diff -pruN 5.0.2-3/auxiliary/cgal_create_cmake_script.1 5.0.3-1/auxiliary/cgal_create_cmake_script.1
--- 5.0.2-3/auxiliary/cgal_create_cmake_script.1	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/auxiliary/cgal_create_cmake_script.1	2020-08-01 19:03:00.000000000 +0000
@@ -1,4 +1,4 @@
-.TH CGAL_CREATE_CMAKE_SCRIPT "1" "February 2020" "CGAL 5.0.2" "User Commands"
+.TH CGAL_CREATE_CMAKE_SCRIPT "1" "August 2020" "CGAL 5.0.3" "User Commands"
 .SH NAME
 cgal_create_cmake_script \- create a cmake script for applications using CGAL
 .SH SYNOPSIS
diff -pruN 5.0.2-3/auxiliary/gdb/test.cpp 5.0.3-1/auxiliary/gdb/test.cpp
--- 5.0.2-3/auxiliary/gdb/test.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/auxiliary/gdb/test.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,5 +1,5 @@
 // Copyright (c) 2011  GeometryFactory Sarl (France)
-// 
+//
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
@@ -39,7 +39,7 @@ int main() {
 
   // no correct pretty-printer for CGAL::Gmpq
   K3::Point_2 p3(-3, 10);
-  K3::Vector_2 v3 = p3 - CGAL::ORIGIN; 
+  K3::Vector_2 v3 = p3 - CGAL::ORIGIN;
 
   CK::Point_2 p4;
   CK::Vector_2 v4;
diff -pruN 5.0.2-3/CGALConfigVersion.cmake 5.0.3-1/CGALConfigVersion.cmake
--- 5.0.2-3/CGALConfigVersion.cmake	1970-01-01 00:00:00.000000000 +0000
+++ 5.0.3-1/CGALConfigVersion.cmake	2020-08-01 19:00:32.000000000 +0000
@@ -0,0 +1 @@
+include(${CMAKE_CURRENT_LIST_DIR}/lib/cmake/CGAL/CGALConfigVersion.cmake)
diff -pruN 5.0.2-3/cmake/modules/CGAL_add_test.cmake 5.0.3-1/cmake/modules/CGAL_add_test.cmake
--- 5.0.2-3/cmake/modules/CGAL_add_test.cmake	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/CGAL_add_test.cmake	2020-08-01 19:00:32.000000000 +0000
@@ -16,6 +16,9 @@ if(NOT POLICY CMP0064)
   # Add a fake function to avoid CMake errors
   function(cgal_add_compilation_test)
   endfunction()
+  # Add a fake function to avoid CMake errors
+  function(cgal_setup_test_properties)
+  endfunction()
 
   # Then return, to exit the file
   return()
@@ -104,12 +107,10 @@ function(cgal_add_compilation_test exe_n
   if(NOT TARGET cgal_check_build_system)
     add_custom_target(cgal_check_build_system)
     add_dependencies( ALL_CGAL_TARGETS cgal_check_build_system )
-  endif()
-  if(NOT TEST check_build_system)
     add_test(NAME "check_build_system"
       COMMAND "${CMAKE_COMMAND}" --build "${CMAKE_BINARY_DIR}" --target "cgal_check_build_system" --config "$<CONFIG>")
     set_property(TEST "check_build_system"
-      APPEND PROPERTY LABELS "Installation")
+      APPEND PROPERTY LABELS "${PROJECT_NAME}")
     if(POLICY CMP0066) # cmake 3.7 or later
       set_property(TEST "check_build_system"
         PROPERTY FIXTURES_SETUP "check_build_system_SetupFixture")
@@ -215,7 +216,7 @@ function(cgal_setup_test_properties test
         PROPERTY
         WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/__exec_test_dir)
     endif()
-    
+
     set_property(TEST "${test_name}"
       APPEND PROPERTY FIXTURES_REQUIRED "${PROJECT_NAME}")
     if(exe_name)
diff -pruN 5.0.2-3/cmake/modules/CGALConfigVersion_binary_header_only.cmake.in 5.0.3-1/cmake/modules/CGALConfigVersion_binary_header_only.cmake.in
--- 5.0.2-3/cmake/modules/CGALConfigVersion_binary_header_only.cmake.in	1970-01-01 00:00:00.000000000 +0000
+++ 5.0.3-1/cmake/modules/CGALConfigVersion_binary_header_only.cmake.in	2020-08-01 19:00:32.000000000 +0000
@@ -0,0 +1,5 @@
+# 
+# This file points to the CGALConfigVersion.cmake for header-only CGAL.
+#
+
+include(@CGAL_INSTALLATION_PACKAGE_DIR@/lib/cmake/CGAL/CGALConfigVersion.cmake)
diff -pruN 5.0.2-3/cmake/modules/CGAL_Macros.cmake 5.0.3-1/cmake/modules/CGAL_Macros.cmake
--- 5.0.2-3/cmake/modules/CGAL_Macros.cmake	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/CGAL_Macros.cmake	2020-08-01 19:00:32.000000000 +0000
@@ -397,7 +397,7 @@ if( NOT CGAL_MACROS_FILE_INCLUDED )
     # CGALConfig.cmake is platform specific so it is generated and stored in the binary folder.
     configure_file("${CGAL_MODULES_DIR}/CGALConfig_binary.cmake.in"  "${CMAKE_BINARY_DIR}/CGALConfig.cmake"        @ONLY)
     write_basic_package_version_file("${CMAKE_BINARY_DIR}/CGALConfigVersion.cmake"
-      VERSION "${CGAL_MAJOR_VERSION}.${CGAL_MINOR_VERSION}.${CGAL_BUILD_VERSION}"
+      VERSION "${CGAL_MAJOR_VERSION}.${CGAL_MINOR_VERSION}.${CGAL_BUGFIX_VERSION}"
       COMPATIBILITY SameMajorVersion)
 
     # There is also a version of CGALConfig.cmake that is prepared in case CGAL in installed in CMAKE_INSTALL_PREFIX.
diff -pruN 5.0.2-3/cmake/modules/CGAL_parse_version_h.cmake 5.0.3-1/cmake/modules/CGAL_parse_version_h.cmake
--- 5.0.2-3/cmake/modules/CGAL_parse_version_h.cmake	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/CGAL_parse_version_h.cmake	2020-08-01 19:00:32.000000000 +0000
@@ -11,7 +11,8 @@ function(cgal_parse_version_h version_h_
   # CMAKE_MATCH_3 and CMAKE_MATCH_4 corresponds to the two sub-expressions
   # of the alternative, and cannot be non-empty at the same time.
   set(${ARGV2} "${CMAKE_MATCH_3}${CMAKE_MATCH_4}" PARENT_SCOPE) # major version
-  set(${ARGV3} "${CMAKE_MATCH_5}" PARENT_SCOPE)                 # minor version
+  MATH(EXPR ${ARGV3} "${CMAKE_MATCH_5}")        # minor version without leading 0
+  set(${ARGV3} "${${ARGV3}}" PARENT_SCOPE)
   set(${ARGV4} "${CMAKE_MATCH_6}" PARENT_SCOPE)                 # patch number
   set(${ARGV5} "${CMAKE_MATCH_7}" PARENT_SCOPE)                 # build number
 endfunction()
diff -pruN 5.0.2-3/cmake/modules/CGAL_SetupCGALDependencies.cmake 5.0.3-1/cmake/modules/CGAL_SetupCGALDependencies.cmake
--- 5.0.2-3/cmake/modules/CGAL_SetupCGALDependencies.cmake	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/CGAL_SetupCGALDependencies.cmake	2020-08-01 19:00:32.000000000 +0000
@@ -85,7 +85,7 @@ function(CGAL_setup_CGAL_dependencies ta
     set(keyword PUBLIC)
   endif()
   if(CGAL_DISABLE_GMP)
-    target_compile_definitions(${target} ${keyword} CGAL_DISABLE_GMP=1)    
+    target_compile_definitions(${target} ${keyword} CGAL_DISABLE_GMP=1)
   else()
     use_CGAL_GMP_support(${target} ${keyword})
     set(CGAL_USE_GMP  TRUE CACHE INTERNAL "CGAL library is configured to use GMP")
@@ -95,7 +95,7 @@ function(CGAL_setup_CGAL_dependencies ta
   if(WITH_LEDA)
     use_CGAL_LEDA_support(${target} ${keyword})
   endif()
-  
+
   if (NOT CGAL_HEADER_ONLY)
     target_compile_definitions(${target} ${keyword} CGAL_NOT_HEADER_ONLY=1)
   endif()
@@ -119,12 +119,29 @@ function(CGAL_setup_CGAL_dependencies ta
   # Now setup compilation flags
   if(MSVC)
     target_compile_options(${target} ${keyword}
-      "-D_SCL_SECURE_NO_DEPRECATE;-D_SCL_SECURE_NO_WARNINGS"
-      "/fp:strict"
-      "/fp:except-"
-      "/wd4503"  # Suppress warnings C4503 about "decorated name length exceeded"
-      "/bigobj"  # Use /bigobj by default
-      )
+      "-D_SCL_SECURE_NO_DEPRECATE;-D_SCL_SECURE_NO_WARNINGS")
+    if(CMAKE_VERSION VERSION_LESS 3.11)
+      target_compile_options(${target} ${keyword}
+        /fp:strict
+        /fp:except-
+        /wd4503  # Suppress warnings C4503 about "decorated name length exceeded"
+        /bigobj  # Use /bigobj by default
+        )
+    else()
+      # The MSVC generator supports `$<COMPILE_LANGUAGE: >` since CMake 3.11.
+      target_compile_options(${target} ${keyword}
+        $<$<COMPILE_LANGUAGE:CXX>:/fp:strict>
+        $<$<COMPILE_LANGUAGE:CXX>:/fp:except->
+        $<$<COMPILE_LANGUAGE:CXX>:/wd4503>  # Suppress warnings C4503 about "decorated name length exceeded"
+        $<$<COMPILE_LANGUAGE:CXX>:/bigobj>  # Use /bigobj by default
+        )
+    endif()
+  elseif ("${CMAKE_CXX_COMPILER_ID}" MATCHES "AppleClang")
+    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 11.0.3)
+      message(STATUS "Apple Clang version ${CMAKE_CXX_COMPILER_VERSION} compiler detected")
+      message(STATUS "Boost MP is turned off for all Apple Clang versions below 11.0.3!")
+      target_compile_options(${target} ${keyword} "-DCGAL_DO_NOT_USE_BOOST_MP")
+    endif()
   elseif(CMAKE_CXX_COMPILER_ID MATCHES "Intel")
     message( STATUS "Using Intel Compiler. Adding -fp-model strict" )
     if(WIN32)
@@ -155,7 +172,7 @@ function(CGAL_setup_CGAL_dependencies ta
     endif()
     if ( "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "alpha" )
       message( STATUS "Using gcc on alpha. Adding -mieee -mfp-rounding-mode=d" )
-      target_compile_options(${target} ${keyword} "-mieee -mfp-rounding-mode=d" )
+      target_compile_options(${target} ${keyword} "-mieee" "-mfp-rounding-mode=d" )
     endif()
   endif()
 endfunction()
diff -pruN 5.0.2-3/cmake/modules/config/support/print_BOOST_version.cpp 5.0.3-1/cmake/modules/config/support/print_BOOST_version.cpp
--- 5.0.2-3/cmake/modules/config/support/print_BOOST_version.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/print_BOOST_version.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,9 +1,9 @@
-// Copyright (c) 2005  
+// Copyright (c) 2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
diff -pruN 5.0.2-3/cmake/modules/config/support/print_GCC_version.cpp 5.0.3-1/cmake/modules/config/support/print_GCC_version.cpp
--- 5.0.2-3/cmake/modules/config/support/print_GCC_version.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/print_GCC_version.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2005  
+// Copyright (c) 2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Fernando Cacciola
 
@@ -22,7 +22,7 @@
 //
 // Just in case this is called with a non-gcc compiler such as pgCC
 //
- 
+
 #ifdef __clang_version__
 #  define _CGAL_GCC_VERSION "Not GNU/CC (CLANG)"
 #else
diff -pruN 5.0.2-3/cmake/modules/config/support/print_GMP_version.cpp 5.0.3-1/cmake/modules/config/support/print_GMP_version.cpp
--- 5.0.2-3/cmake/modules/config/support/print_GMP_version.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/print_GMP_version.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,9 +1,9 @@
-// Copyright (c) 2004  
+// Copyright (c) 2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
diff -pruN 5.0.2-3/cmake/modules/config/support/print_IntelCompiler_version.cpp 5.0.3-1/cmake/modules/config/support/print_IntelCompiler_version.cpp
--- 5.0.2-3/cmake/modules/config/support/print_IntelCompiler_version.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/print_IntelCompiler_version.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2005  
+// Copyright (c) 2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Fernando Cacciola
 
@@ -22,7 +22,7 @@
 //
 // Just in case this is called with a non-gcc compiler such as pgCC
 //
- 
+
 #ifndef __INTEL_COMPILER
 #  define CGAL_INTEL_VERSION "Not ICC"
 #else
diff -pruN 5.0.2-3/cmake/modules/config/support/print_LEDA_version.cpp 5.0.3-1/cmake/modules/config/support/print_LEDA_version.cpp
--- 5.0.2-3/cmake/modules/config/support/print_LEDA_version.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/print_LEDA_version.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,9 +1,9 @@
-// Copyright (c) 2005  
+// Copyright (c) 2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
diff -pruN 5.0.2-3/cmake/modules/config/support/print_MPFR_version.cpp 5.0.3-1/cmake/modules/config/support/print_MPFR_version.cpp
--- 5.0.2-3/cmake/modules/config/support/print_MPFR_version.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/print_MPFR_version.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,9 +1,9 @@
-// Copyright (c) 2005  
+// Copyright (c) 2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
diff -pruN 5.0.2-3/cmake/modules/config/support/print_OPENGL_version.cpp 5.0.3-1/cmake/modules/config/support/print_OPENGL_version.cpp
--- 5.0.2-3/cmake/modules/config/support/print_OPENGL_version.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/print_OPENGL_version.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,9 +1,9 @@
-// Copyright (c) 2006  
+// Copyright (c) 2006
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
diff -pruN 5.0.2-3/cmake/modules/config/support/print_QT_version.cpp 5.0.3-1/cmake/modules/config/support/print_QT_version.cpp
--- 5.0.2-3/cmake/modules/config/support/print_QT_version.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/print_QT_version.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,9 +1,9 @@
-// Copyright (c) 2004  
+// Copyright (c) 2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
diff -pruN 5.0.2-3/cmake/modules/config/support/print_ZLIB_version.cpp 5.0.3-1/cmake/modules/config/support/print_ZLIB_version.cpp
--- 5.0.2-3/cmake/modules/config/support/print_ZLIB_version.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/print_ZLIB_version.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,9 +1,9 @@
-// Copyright (c) 2005  
+// Copyright (c) 2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
diff -pruN 5.0.2-3/cmake/modules/config/support/test_BOOST.cpp 5.0.3-1/cmake/modules/config/support/test_BOOST.cpp
--- 5.0.2-3/cmake/modules/config/support/test_BOOST.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/test_BOOST.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2005  
+// Copyright (c) 2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
diff -pruN 5.0.2-3/cmake/modules/config/support/test_BOOST_PROGRAM_OPTIONS.cpp 5.0.3-1/cmake/modules/config/support/test_BOOST_PROGRAM_OPTIONS.cpp
--- 5.0.2-3/cmake/modules/config/support/test_BOOST_PROGRAM_OPTIONS.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/test_BOOST_PROGRAM_OPTIONS.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -34,7 +34,7 @@ int main(int ac, char *av[])
 
   po::variables_map vm;
   po::store(po::parse_command_line(ac, av, desc), vm);
-  po::notify(vm);    
+  po::notify(vm);
 
   if (vm.count("help")) {
     std::cout << "Help" << "\n";
diff -pruN 5.0.2-3/cmake/modules/config/support/test_BOOST_THREAD.cpp 5.0.3-1/cmake/modules/config/support/test_BOOST_THREAD.cpp
--- 5.0.2-3/cmake/modules/config/support/test_BOOST_THREAD.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/test_BOOST_THREAD.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -30,5 +30,5 @@ int main()
   }
   else {
     return 1;
-  }  
+  }
 }
diff -pruN 5.0.2-3/cmake/modules/config/support/test_GMP.cpp 5.0.3-1/cmake/modules/config/support/test_GMP.cpp
--- 5.0.2-3/cmake/modules/config/support/test_GMP.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/test_GMP.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2004  
+// Copyright (c) 2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : various
 
diff -pruN 5.0.2-3/cmake/modules/config/support/test_GMPXX.cpp 5.0.3-1/cmake/modules/config/support/test_GMPXX.cpp
--- 5.0.2-3/cmake/modules/config/support/test_GMPXX.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/test_GMPXX.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2004  
+// Copyright (c) 2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
diff -pruN 5.0.2-3/cmake/modules/config/support/test_LEDA.cpp 5.0.3-1/cmake/modules/config/support/test_LEDA.cpp
--- 5.0.2-3/cmake/modules/config/support/test_LEDA.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/test_LEDA.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2004  
+// Copyright (c) 2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : various
 
@@ -48,7 +48,7 @@ using namespace leda;
 
 int main()
 {
-  I a(123456); 
+  I a(123456);
   I b(456789);
 
   if (a + b != I(580245))
diff -pruN 5.0.2-3/cmake/modules/config/support/test_LEDAWIN.cpp 5.0.3-1/cmake/modules/config/support/test_LEDAWIN.cpp
--- 5.0.2-3/cmake/modules/config/support/test_LEDAWIN.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/test_LEDAWIN.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2005  
+// Copyright (c) 2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann
 
diff -pruN 5.0.2-3/cmake/modules/config/support/test_LIDIA.cpp 5.0.3-1/cmake/modules/config/support/test_LIDIA.cpp
--- 5.0.2-3/cmake/modules/config/support/test_LIDIA.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/test_LIDIA.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,9 +1,9 @@
-// Copyright (c) 2006  
+// Copyright (c) 2006
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
diff -pruN 5.0.2-3/cmake/modules/config/support/test_MPFR.cpp 5.0.3-1/cmake/modules/config/support/test_MPFR.cpp
--- 5.0.2-3/cmake/modules/config/support/test_MPFR.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/test_MPFR.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2005  
+// Copyright (c) 2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : various
 
diff -pruN 5.0.2-3/cmake/modules/config/support/test_OPENGL.cpp 5.0.3-1/cmake/modules/config/support/test_OPENGL.cpp
--- 5.0.2-3/cmake/modules/config/support/test_OPENGL.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/test_OPENGL.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2006  
+// Copyright (c) 2006
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
@@ -31,7 +31,7 @@
 
 #include <iostream>
 
-// The following global variable is needed otherwise GCC removes the body of 
+// The following global variable is needed otherwise GCC removes the body of
 // the if() blocks which removes its purpose of link check.
 bool execute = false;
 
diff -pruN 5.0.2-3/cmake/modules/config/support/test_QT.cpp 5.0.3-1/cmake/modules/config/support/test_QT.cpp
--- 5.0.2-3/cmake/modules/config/support/test_QT.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/test_QT.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2004  
+// Copyright (c) 2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : various
 
@@ -27,7 +27,7 @@ QArray<int> fib( int num )
 
     f[0] = f[1] = 1;                        // initialize first two numbers
     for ( int i=2; i<num; i++ )
-        f[i] = f[i-1] + f[i-2];     
+        f[i] = f[i-1] + f[i-2];
 
     return f;
 }
@@ -39,6 +39,6 @@ int main()
     QArray<int> a = fib( 6 );               // get 6 first fibonaccis
 
     if(4==a.find(5))
-	return 0;
+        return 0;
     return 1;
 }
diff -pruN 5.0.2-3/cmake/modules/config/support/test_X11.cpp 5.0.3-1/cmake/modules/config/support/test_X11.cpp
--- 5.0.2-3/cmake/modules/config/support/test_X11.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/test_X11.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2005  
+// Copyright (c) 2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann
 
@@ -22,7 +22,7 @@
 int main()
 {
   Display* x = 0;
-  std::cout << "version=" << X_PROTOCOL << "." << X_PROTOCOL_REVISION 
-	    << std::endl;
+  std::cout << "version=" << X_PROTOCOL << "." << X_PROTOCOL_REVISION
+            << std::endl;
   return 0;
 }
diff -pruN 5.0.2-3/cmake/modules/config/support/test_ZLIB.cpp 5.0.3-1/cmake/modules/config/support/test_ZLIB.cpp
--- 5.0.2-3/cmake/modules/config/support/test_ZLIB.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/support/test_ZLIB.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2005  
+// Copyright (c) 2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Laurent Saboret
 
diff -pruN 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_DENORMALS_COMPILE_BUG.cpp 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_DENORMALS_COMPILE_BUG.cpp
--- 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_DENORMALS_COMPILE_BUG.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_DENORMALS_COMPILE_BUG.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2004  
+// Copyright (c) 2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
diff -pruN 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_FPU_ROUNDING_MODE_UNWINDING_VC_BUG.cpp 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_FPU_ROUNDING_MODE_UNWINDING_VC_BUG.cpp
--- 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_FPU_ROUNDING_MODE_UNWINDING_VC_BUG.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_FPU_ROUNDING_MODE_UNWINDING_VC_BUG.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
diff -pruN 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_IEEE_754_BUG.cpp 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_IEEE_754_BUG.cpp
--- 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_IEEE_754_BUG.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_IEEE_754_BUG.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2004  
+// Copyright (c) 2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Sylvain Pion
 
 //| This flag is set if the compiler bugs with special features with IEEE 754
@@ -21,7 +21,7 @@
 bool
 is_valid(double d)
 { return (d == d); }
-                                                                                                                             
+
 bool
 is_finite(double d)
 { return (d == d) && is_valid(d-d); }
diff -pruN 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_ISTREAM_INT_BUG.cpp 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_ISTREAM_INT_BUG.cpp
--- 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_ISTREAM_INT_BUG.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_ISTREAM_INT_BUG.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,7 +6,7 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
@@ -19,11 +19,11 @@
 int main()
 {
   int i;
-  std::string one = "7812,"; 
+  std::string one = "7812,";
   std::istringstream is(one);
   is >> i;
   std::cout << i << std::endl;
-  if(i != 7812){ // bad luck if there is garbage that equals 7812. 
+  if(i != 7812){ // bad luck if there is garbage that equals 7812.
     return 1;
   }
   return 0;
diff -pruN 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_MATCHING_BUG_5.cpp 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_MATCHING_BUG_5.cpp
--- 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_MATCHING_BUG_5.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_MATCHING_BUG_5.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,23 +1,23 @@
-// Copyright (c) 2005  
+// Copyright (c) 2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
 //| This flag is set, if a compiler cannot distinguish the signature
 //| of overloaded function templates, which have one template parameter
 //| to be passed explicitely when being called.
-//| 
+//|
 //| This bug appears for example on g++ 3.3 and 3.4 (but not on more recent
 //| g++ version). This bug appears also on Sun CC 5.90.
 
diff -pruN 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_MATCHING_BUG_6.cpp 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_MATCHING_BUG_6.cpp
--- 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_MATCHING_BUG_6.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_MATCHING_BUG_6.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2005  
+// Copyright (c) 2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
diff -pruN 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_MATCHING_BUG_7.cpp 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_MATCHING_BUG_7.cpp
--- 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_MATCHING_BUG_7.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_MATCHING_BUG_7.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -73,7 +73,7 @@ int main()
 // VC++11 and VC++12 both say that the call to `wconv(p)` is ambiguous:
 //
 // config\testfiles\CGAL_CFG_MATCHING_BUG_7.cpp(61) : error C2666: 'WConv::operator ()' : 2 overloads have similar conversions
-// 
+//
 //         config\testfiles\CGAL_CFG_MATCHING_BUG_7.cpp(51): could be 'void WConv::operator ()(const WPoint &)'
-// 
+//
 //         unable to recover from previous error(s); stopping compilation
diff -pruN 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_MATCHING_BUG_8.cpp 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_MATCHING_BUG_8.cpp
--- 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_MATCHING_BUG_8.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_MATCHING_BUG_8.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -20,7 +20,7 @@
 // VC++12 both says that the call to `wconv(p)` is ambiguous:
 //
 // config\testfiles\CGAL_CFG_MATCHING_BUG_7.cpp(61) : error C2666: 'WConv::operator ()' : 2 overloads have similar conversions
-// 
+//
 //         config\testfiles\CGAL_CFG_MATCHING_BUG_7.cpp(51): could be 'void WConv::operator ()(const WP &)'
-// 
+//
 //         unable to recover from previous error(s); stopping compilation
diff -pruN 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_NO_LIMITS.cpp 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_NO_LIMITS.cpp
--- 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_NO_LIMITS.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_NO_LIMITS.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,29 +1,29 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : various
 
 //| If a compiler has a bug in the implementation of
 //| std::numeric_limits<>::denorm_min(), such as PGCC 7.1-2,
-//| CGAL_CFG_NO_LIMITS is set. 
+//| CGAL_CFG_NO_LIMITS is set.
 
 #include <limits>
 
 int main()
 {
   double d = std::numeric_limits<double>::denorm_min();
-  double e = std::numeric_limits<double>::min();
+  double e = (std::numeric_limits<double>::min)();
   // Note : denorm_min == min is actually not necessarily a bug.
   // So a better test should be found.
   if (d == 0 || d == e)
diff -pruN 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_NO_NEXTAFTER.cpp 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_NO_NEXTAFTER.cpp
--- 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_NO_NEXTAFTER.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_NO_NEXTAFTER.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,22 +1,22 @@
-// Copyright (c) 2006  
+// Copyright (c) 2006
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
 //| If a compiler doesn't know nextafter() (or only knows _nextafter as VC++ 7.1).
 //| nextafter() is part of ISO C99, but not ISO C++98 (hence <math.h> instead of <cmath>).
-//| CGAL_CFG_NO_NEXTAFTER is set. 
+//| CGAL_CFG_NO_NEXTAFTER is set.
 
 #include <math.h>
 
diff -pruN 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_NO_STL.cpp 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_NO_STL.cpp
--- 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_NO_STL.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_NO_STL.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2004  
+// Copyright (c) 2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner, Sylvain Pion
 
diff -pruN 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_NUMERIC_LIMITS_BUG.cpp 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_NUMERIC_LIMITS_BUG.cpp
--- 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_NUMERIC_LIMITS_BUG.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_NUMERIC_LIMITS_BUG.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2004  
+// Copyright (c) 2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
diff -pruN 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_OUTOFLINE_MEMBER_DEFINITION_BUG.cpp 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_OUTOFLINE_MEMBER_DEFINITION_BUG.cpp
--- 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_OUTOFLINE_MEMBER_DEFINITION_BUG.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_OUTOFLINE_MEMBER_DEFINITION_BUG.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2004  
+// Copyright (c) 2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Marc Glisse
 
@@ -23,7 +23,7 @@ struct B
 {
     struct A
     {
-	typedef char C;
+        typedef char C;
     };
     A* f ( typename A :: C );
 };
diff -pruN 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_TEMPLATE_IN_DEFAULT_PARAMETER_BUG.cpp 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_TEMPLATE_IN_DEFAULT_PARAMETER_BUG.cpp
--- 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_TEMPLATE_IN_DEFAULT_PARAMETER_BUG.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_TEMPLATE_IN_DEFAULT_PARAMETER_BUG.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -10,7 +10,7 @@
 // Author(s)     : Marc Glisse
 
 //| If a compiler wants us to remove the template keyword in default
-//| parameters, CGAL_CFG_TEMPLATE_IN_DEFAULT_PARAMETER_BUG is set. 
+//| parameters, CGAL_CFG_TEMPLATE_IN_DEFAULT_PARAMETER_BUG is set.
 //| Bug found in sunCC 5.11.
 
 template < typename A, typename B, typename C =
diff -pruN 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_TYPENAME_BEFORE_DEFAULT_ARGUMENT_BUG.cpp 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_TYPENAME_BEFORE_DEFAULT_ARGUMENT_BUG.cpp
--- 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_TYPENAME_BEFORE_DEFAULT_ARGUMENT_BUG.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_TYPENAME_BEFORE_DEFAULT_ARGUMENT_BUG.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2004  
+// Copyright (c) 2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 
@@ -24,7 +24,7 @@ struct Class {
 template <class Cl>
 void
 function(const Cl& cl,
-	 typename Cl::Nested_class start =  typename Cl::Nested_class())
+         typename Cl::Nested_class start =  typename Cl::Nested_class())
 {}
 
 
diff -pruN 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_USING_BASE_MEMBER_BUG_2.cpp 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_USING_BASE_MEMBER_BUG_2.cpp
--- 5.0.2-3/cmake/modules/config/testfiles/CGAL_CFG_USING_BASE_MEMBER_BUG_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/cmake/modules/config/testfiles/CGAL_CFG_USING_BASE_MEMBER_BUG_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2004  
+// Copyright (c) 2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
diff -pruN 5.0.2-3/CMakeLists.txt 5.0.3-1/CMakeLists.txt
--- 5.0.2-3/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -20,7 +20,7 @@ if(POLICY CMP0056)
   cmake_policy(SET CMP0056 NEW)
 endif()
 
-# Use GNUInstallDirst to get canonical paths
+# Use GNUInstallDirs to get canonical paths
 include(GNUInstallDirs)
 
 #--------------------------------------------------------------------------------------------------
@@ -58,9 +58,9 @@ if ( CGAL_BRANCH_BUILD )
 
   find_program(CGAL_CREATE_CMAKE_SCRIPT cgal_create_cmake_script
                HINT ${CMAKE_SOURCE_DIR}/Scripts/scripts
-	       DOC "Script cgal_create_cmake_script, that creates CMakeLists.txt files"
-	       NO_DEFAULT_PATH
-	       NO_CMAKE_ENVIRONMENT_PATH)
+               DOC "Script cgal_create_cmake_script, that creates CMakeLists.txt files"
+               NO_DEFAULT_PATH
+               NO_CMAKE_ENVIRONMENT_PATH)
 
   if (DEFINED CGAL_WRONG_PACKAGES)
     message(STATUS "Removed not-a-package: ${CGAL_WRONG_PACKAGES}")
@@ -129,18 +129,14 @@ message( "== Setting paths (DONE) ==\n"
 
 message( "== Generate version files ==")
 
-if ( CGAL_BRANCH_BUILD ) 
-    
+if ( CGAL_BRANCH_BUILD )
+
   #
   # Create version files
   #
 
-  file(STRINGS "${CGAL_MAINTENANCE_PACKAGE_DIR}/release_building/MAJOR_NUMBER" CGAL_MAJOR_VERSION REGEX "[0-9]*")
-  file(STRINGS "${CGAL_MAINTENANCE_PACKAGE_DIR}/release_building/MINOR_NUMBER" CGAL_MINOR_VERSION REGEX "[0-9]*")
-  file(STRINGS "${CGAL_MAINTENANCE_PACKAGE_DIR}/release_building/BUGFIX_NUMBER" CGAL_BUGFIX_VERSION REGEX "[0-9]*")
-
   file(REMOVE ${CMAKE_BINARY_DIR}/VERSION)
-  if (CGAL_BUGFIX_VERSION AND CGAL_BUGFIX_VERSION GREATER 0)  
+  if (CGAL_BUGFIX_VERSION AND CGAL_BUGFIX_VERSION GREATER 0)
     set(CGAL_CREATED_VERSION_NUM "${CGAL_MAJOR_VERSION}.${CGAL_MINOR_VERSION}.${CGAL_BUGFIX_VERSION}")
   else()
     set(CGAL_CREATED_VERSION_NUM "${CGAL_MAJOR_VERSION}.${CGAL_MINOR_VERSION}")
@@ -162,11 +158,11 @@ if ( CGAL_BRANCH_BUILD )
 
   #define CGAL_VERSION_NR 1030500135
   string (LENGTH "${CGAL_MAJOR_VERSION}" CGAL_MAJOR_LEN)
-  if ("${CGAL_MAJOR_LEN}" EQUAL 1) 
+  if ("${CGAL_MAJOR_LEN}" EQUAL 1)
     set(CGAL_TMP_MAJOR "0${CGAL_MAJOR_VERSION}")
   endif()
   string (LENGTH "${CGAL_MINOR_VERSION}" CGAL_MINOR_LEN)
-  if ("${CGAL_MINOR_LEN}" EQUAL 1) 
+  if ("${CGAL_MINOR_LEN}" EQUAL 1)
     set(CGAL_TMP_MINOR "0${CGAL_MINOR_VERSION}")
   else()
     set(CGAL_TMP_MINOR "${CGAL_MINOR_VERSION}")
@@ -194,7 +190,7 @@ if ( CGAL_BRANCH_BUILD )
   # Duplicate files
   #
 
-  if (CGAL_REPORT_DUPLICATE_FILES) 
+  if (CGAL_REPORT_DUPLICATE_FILES)
 
     message("== Searching for duplicate files ==")
 
@@ -250,7 +246,7 @@ else()
     message(FATAL_ERROR "File VERSION or include/CGAL/version.h are missing, required by release-build.")
   endif()
 
-  # 
+  #
   # Read and parse CGAL version number from VERSION file
   #
 
@@ -291,7 +287,7 @@ else()
     endif()
     # If CGAL_BUILD_VERSION is not a strictly positive number, error
     if(NOT CGAL_BUILD_VERSION GREATER 0)
-      message(WARNING 
+      message(WARNING
         "Error parsing VERSION file: CGAL_BUILD_VERSION is not a number.\n"
         "The content of the VERSION file is:\n${CGAL_VERSION}\n"
         "CGAL_BUILD_VERSION was set to:\n${CGAL_BUILD_VERSION}")
@@ -338,8 +334,8 @@ endif()
 # - If the binary interface is changed in an incompatible way to previous
 #   release, then increase the SONAME_VERSION, and set the two other
 #   numbers to 0.
-# 
-# SOVERSION history: 
+#
+# SOVERSION history:
 #   CGAL<=3.5  : (unversionned)
 #   CGAL-3.5   : 4.0.0
 #   CGAL-3.5.1 : 4.0.1
@@ -400,8 +396,8 @@ if ( RUNNING_CGAL_AUTO_TEST )
     if ( EXISTS ${CGAL_REFERENCE_CACHE_DIR} )
       if ( EXISTS ${CGAL_REFERENCE_CACHE_DIR}/CMakeCache.txt )
         message( STATUS "Loading reference cache from ${CGAL_REFERENCE_CACHE_DIR}" )
-        load_cache( ${CGAL_REFERENCE_CACHE_DIR} 
-          EXCLUDE CGAL_Core_LIBRARY 
+        load_cache( ${CGAL_REFERENCE_CACHE_DIR}
+          EXCLUDE CGAL_Core_LIBRARY
                   CGAL_CORE_PACKAGE_DIR
                   WITH_CGAL_Core
                   CGAL_INSTALLATION_PACKAGE_DIR
@@ -416,7 +412,7 @@ if ( RUNNING_CGAL_AUTO_TEST )
         ## want that the current build tree depends on binaries that were
         ## build in the reference build tree.
         get_property(cache_variables DIRECTORY PROPERTY CACHE_VARIABLES)
-        foreach(var ${cache_variables}) 
+        foreach(var ${cache_variables})
 #          get_property(var_value CACHE ${var} PROPERTY VALUE)
 #          get_property(type CACHE ${var} PROPERTY TYPE)
           string(REGEX MATCH "^CGAL(_.*_(DEPENDS|BINARY_DIR)|_.*LIBRARY)$" var_name_matches ${var})
@@ -450,7 +446,7 @@ message( STATUS "System: ${CMAKE_SYSTEM_
 #--------------------------------------------------------------------------------------------------
 
 if( MSVC )
-  
+
   uniquely_add_flags ( CGAL_CXX_FLAGS "-D_SCL_SECURE_NO_DEPRECATE;-D_SCL_SECURE_NO_WARNINGS" )
   uniquely_add_flags ( CGAL_CXX_FLAGS "/fp:strict" )
   uniquely_add_flags ( CGAL_CXX_FLAGS "/fp:except-" )
@@ -461,12 +457,12 @@ if( MSVC )
     set(CMAKE_CXX_WARNING_LEVEL 2 CACHE STRING "MSVC C++ compiler warning level" FORCE)
     mark_as_advanced(CMAKE_CXX_WARNING_LEVEL)
   endif()
-    
+
 endif()
 
 if( "\"${CMAKE_CXX_COMPILER_ID}\"" MATCHES "SunPro" )
   message( STATUS "Using SunPro compiler, using STLPort 4." )
-  
+
   uniquely_add_flags( CGAL_CXX_FLAGS "-features=extensions;-library=stlport4;-D_GNU_SOURCE" )
   uniquely_add_flags( CGAL_SHARED_LINKER_FLAGS "-library=stlport4" )
   uniquely_add_flags( CGAL_EXE_LINKER_FLAGS    "-library=stlport4" )
@@ -494,15 +490,15 @@ endif()
 if ( CMAKE_COMPILER_IS_GNUCXX )
 
   set( GCC_FOUND TRUE )
-  
+
   get_dependency_version(GCC)
-  
+
   if ( "${GCC_VERSION}" MATCHES "Not" OR "${GCC_VERSION}" MATCHES "Unknown" )
     set( GCC_FOUND FALSE )
   endif()
-  
+
   if ( GCC_FOUND )
-  
+
     if ( RUNNING_CGAL_AUTO_TEST )
       uniquely_add_flags( CGAL_CXX_FLAGS "-Wall" )
       # Remove -g from the relevant CMAKE_CXX_FLAGS. This will also
@@ -520,24 +516,24 @@ if ( CMAKE_COMPILER_IS_GNUCXX )
       endforeach()
 
     endif()
-    
+
     if ( "${GCC_VERSION}" MATCHES "^[4-9]." )
       message( STATUS "Using gcc version 4 or later. Adding -frounding-math" )
       uniquely_add_flags( CGAL_CXX_FLAGS "-frounding-math" )
     endif()
-    
+
     if ( "${GCC_VERSION}" MATCHES "^4.2" )
       message( STATUS "Using gcc version 4.2. Adding -fno-strict-aliasing" )
       uniquely_add_flags( CGAL_CXX_FLAGS "-fno-strict-aliasing" )
     endif()
-    
+
     if ( "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "alpha" )
       message( STATUS "Using gcc on alpha. Adding -mieee -mfp-rounding-mode=d" )
       uniquely_add_flags( CGAL_CXX_FLAGS "-mieee -mfp-rounding-mode=d" )
     endif()
-    
+
   endif()
-  
+
 endif()
 
 message( "== Generate version files (DONE) ==\n")
@@ -563,7 +559,7 @@ endif()
 message("== Detect external libraries ==")
 
 # this is the place to tell which external libs are supporting
-# Remarks: 
+# Remarks:
 #  External libs configured when Qt5 lib of cgal are required
 #  Coin is used in KDS, but no FindCoin or FindCOIN exists
 #  There exists FindIPE, FindMKL, but they are only used to support supporting libs
@@ -587,7 +583,7 @@ set_special_prefix(Qt5 QT)
 set_special_prefix(Eigen3 EIGEN3)
 set_special_prefix(Coin3D COIN3D)
 
-# some libraries are essential (stl and Boost.Thread are treated in another way) 
+# some libraries are essential (stl and Boost.Thread are treated in another way)
 if($ENV{CGAL_DISABLE_GMP})
   set(CGAL_DISABLE_GMP ON CACHE INTERNAL "")
 endif()
@@ -632,7 +628,7 @@ else()
 endif()
 hide_variable(CGAL_ESSENTIAL_3RD_PARTY_LIBRARIES)
 
-foreach (lib ${CGAL_SUPPORTING_3RD_PARTY_LIBRARIES}) 
+foreach (lib ${CGAL_SUPPORTING_3RD_PARTY_LIBRARIES})
 
   # set standard prefix
   if(NOT DEFINED CGAL_EXT_LIB_${lib}_PREFIX)
@@ -666,7 +662,7 @@ cache_set(CGAL_3RD_PARTY_PRECONFIGURED
 cache_set(CGAL_3RD_PARTY_DEFINITIONS    "" )
 cache_set(CGAL_3RD_PARTY_INCLUDE_DIRS   "" )
 cache_set(CGAL_3RD_PARTY_LIBRARIES      "" )
-cache_set(CGAL_3RD_PARTY_LIBRARIES_DIRS "" ) 
+cache_set(CGAL_3RD_PARTY_LIBRARIES_DIRS "" )
 
 # default is on, but some use-cases need to set it to off, e.g., debian packages
 option( CGAL_ENABLE_PRECONFIG "Select to allow to preconfiguration of external libraries" ON)
@@ -735,7 +731,7 @@ add_config_flag(CGAL_USE_NTL)
 
 add_config_flag( CGAL_BUILD_SHARED_LIBS )
 
-if (NOT ${WITH_CGAL_Core}) 
+if (NOT ${WITH_CGAL_Core})
   set(CGAL_USE_CORE FALSE)
 else()
   set(CGAL_USE_CORE ${CGAL_USE_GMP})
@@ -771,14 +767,14 @@ set ( CGAL_INSTALL_BIN_DIR   "${CMAKE_IN
   )
 
 set ( CGAL_INSTALL_CMAKE_DIR "${CGAL_INSTALL_LIB_DIR}/cmake/CGAL"
-  CACHE STRING "The folder where CGAL CMake modules will be installed, relative to CMAKE_INSTALL_PREFIX" 
+  CACHE STRING "The folder where CGAL CMake modules will be installed, relative to CMAKE_INSTALL_PREFIX"
   )
 
-set ( CGAL_INSTALL_DOC_DIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${CGAL_VERSION_DIR}"
+set ( CGAL_INSTALL_DOC_DIR "${CMAKE_INSTALL_DOCDIR}"
   CACHE STRING "The folder where CGAL documentation and license files will be installed, relative to CMAKE_INSTALL_PREFIX"
   )
 
-set ( CGAL_INSTALL_MAN_DIR "${CMAKE_INSTALL_DATAROOTDIR}/man/man1"
+set ( CGAL_INSTALL_MAN_DIR "${CMAKE_INSTALL_MANDIR}/man1"
   CACHE STRING "The folder where manual pages for CGAL scripts will be installed, relative to CMAKE_INSTALL_PREFIX"
   )
 
@@ -808,7 +804,7 @@ cache_get(CGAL_3RD_PARTY_PRECONFIGURED )
 cache_get(CGAL_3RD_PARTY_DEFINITIONS   )
 cache_get(CGAL_3RD_PARTY_INCLUDE_DIRS  )
 cache_get(CGAL_3RD_PARTY_LIBRARIES     )
-cache_get(CGAL_3RD_PARTY_LIBRARIES_DIRS) 
+cache_get(CGAL_3RD_PARTY_LIBRARIES_DIRS)
 
 add_subdirectory(src)
 
@@ -872,6 +868,8 @@ if(NOT CGAL_HEADER_ONLY)
 else()
   configure_file("${CGAL_MODULES_DIR}/CGALConfig_binary_header_only.cmake.in"
     "${CMAKE_BINARY_DIR}/CGALConfig.cmake"  @ONLY)
+  configure_file("${CGAL_MODULES_DIR}/CGALConfigVersion_binary_header_only.cmake.in"
+    "${CMAKE_BINARY_DIR}/CGALConfigVersion.cmake"  @ONLY)
 endif()
 
 #--------------------------------------------------------------------------------------------------
@@ -890,7 +888,7 @@ endif()
 
 
 foreach (dir ${CGAL_CONFIGURED_PACKAGES})
-  if (EXISTS ${dir}/include/CGAL) 
+  if (EXISTS ${dir}/include/CGAL)
     install(DIRECTORY ${dir}/include/CGAL              DESTINATION ${CGAL_INSTALL_INC_DIR} PATTERN ".svn" EXCLUDE PATTERN "Qt" EXCLUDE)
   endif()
 endforeach()
@@ -900,8 +898,8 @@ endif()
 
 file(GLOB scripts "scripts/*")
 list(SORT scripts)
-list(REMOVE_ITEM scripts 
-  ${CMAKE_CURRENT_SOURCE_DIR}/scripts/cgal_create_assertions.sh 
+list(REMOVE_ITEM scripts
+  ${CMAKE_CURRENT_SOURCE_DIR}/scripts/cgal_create_assertions.sh
   ${CMAKE_CURRENT_SOURCE_DIR}/scripts/cgal_create_cmake_script_with_options)
 install(PROGRAMS ${scripts} DESTINATION ${CGAL_INSTALL_BIN_DIR})
 
@@ -925,12 +923,17 @@ if(NOT CGAL_HEADER_ONLY)
     ${CMAKE_BINARY_DIR}/config/CGALConfig.cmake
     DESTINATION ${CGAL_INSTALL_CMAKE_DIR} )
 else()
-  configure_file(${CMAKE_CURRENT_LIST_DIR}/lib/cmake/CGAL/CGALConfig-installation-dirs.cmake.in
-    ${CMAKE_BINARY_DIR}/config/CGALConfig-installation-dirs.cmake)
   install(FILES
-    ${CMAKE_BINARY_DIR}/config/CGALConfig-installation-dirs.cmake
     ${CMAKE_CURRENT_LIST_DIR}/lib/cmake/CGAL/CGALConfig.cmake
-    DESTINATION ${CGAL_INSTALL_CMAKE_DIR} )
+    ${CMAKE_CURRENT_LIST_DIR}/lib/cmake/CGAL/CGALConfigVersion.cmake
+    DESTINATION ${CGAL_INSTALL_CMAKE_DIR})
+  if(NOT CGAL_INSTALL_CMAKE_DIR STREQUAL "${CGAL_INSTALL_LIB_DIR}/cmake/CGAL")
+    configure_file(${CMAKE_CURRENT_LIST_DIR}/lib/cmake/CGAL/CGALConfig-installation-dirs.cmake.in
+      ${CMAKE_BINARY_DIR}/config/CGALConfig-installation-dirs.cmake)
+    install(FILES
+      ${CMAKE_BINARY_DIR}/config/CGALConfig-installation-dirs.cmake
+      DESTINATION ${CGAL_INSTALL_CMAKE_DIR})
+  endif()
 endif()
 
 if(CGAL_INSTALL_MAN_DIR)
@@ -950,9 +953,9 @@ if ( NOT "${CMAKE_ROOT}" STREQUAL "" )
   if ( EXISTS ${CMAKE_ROOT}/Modules )
     add_custom_target( install_FindCGAL
                       COMMAND ${CMAKE_COMMAND} -E copy ${CGAL_MODULES_DIR}/FindCGAL.cmake ${CMAKE_ROOT}/Modules
-                    ) 
+                    )
   endif()
-endif()  
+endif()
 
 #--------------------------------------------------------------------------------------------------
 #
@@ -967,7 +970,7 @@ endif()
 macro( add_programs subdir target ON_OFF )
 
   cache_set( CGAL_EXECUTABLE_TARGETS "" )
-  
+
   add_custom_target( ${target} )
   add_dependencies( ALL_CGAL_TARGETS ${target} )
 
@@ -975,13 +978,13 @@ macro( add_programs subdir target ON_OFF
   if ( WITH_${target} )
     add_subdirectory( ${subdir} EXCLUDE_FROM_ALL )
   endif()
-  
+
   cache_get( CGAL_EXECUTABLE_TARGETS )
-  
+
   foreach( CGAL_EXECUTABLE_TARGET ${CGAL_EXECUTABLE_TARGETS} )
     add_dependencies( ${target} ${CGAL_EXECUTABLE_TARGET} )
   endforeach()
-     
+
 endmacro()
 
 # This allows programs to locate CGALConfig.cmake
@@ -1015,11 +1018,11 @@ if( WITH_CPACK AND EXISTS "${CMAKE_ROOT}
     set(CPACK_PACKAGE_INSTALL_DIRECTORY "CGAL ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
     set(CPACK_SOURCE_PACKAGE_FILE_NAME "CGAL-${CGAL_VERSION}")
     set(CPACK_RESOURCE_FILE_LICENSE "${CGAL_INSTALLATION_PACKAGE_DIR}/LICENSE")
-    
+
     if(NOT DEFINED CPACK_SYSTEM_NAME)
       set(CPACK_SYSTEM_NAME ${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR})
     endif()
-    
+
     if(${CPACK_SYSTEM_NAME} MATCHES "Windows")
       if(CMAKE_CL_64)
         set(CPACK_SYSTEM_NAME win64-${CMAKE_SYSTEM_PROCESSOR})
@@ -1027,11 +1030,11 @@ if( WITH_CPACK AND EXISTS "${CMAKE_ROOT}
         set(CPACK_SYSTEM_NAME win32-${CMAKE_SYSTEM_PROCESSOR})
       endif()
     endif()
-    
+
     if(NOT DEFINED CPACK_PACKAGE_FILE_NAME)
       set(CPACK_PACKAGE_FILE_NAME "${CPACK_SOURCE_PACKAGE_FILE_NAME}-${CPACK_SYSTEM_NAME}")
     endif()
-    
+
     set(CPACK_PACKAGE_EXECUTABLES "CGAL" "CGAL")
 
     if(WIN32 AND NOT UNIX)
@@ -1051,12 +1054,12 @@ if( WITH_CPACK AND EXISTS "${CMAKE_ROOT}
     endif()
 
     include(CPack)
-    
+
 endif()
 
 
 if ( CGAL_BRANCH_BUILD )
-  option(CGAL_ENABLE_CHECK_HEADERS 
+  option(CGAL_ENABLE_CHECK_HEADERS
     "Enable the special targets \"check_pkg_headers\", \"packages_dependencies\", and \"check_pkg_<package>_headers\" and \"pkg_<package>_deps\" for each package"
     FALSE)
   unset(CGAL_COMPUTE_DEPENDENCIES CACHE) # remove that variable, no longer used
@@ -1140,7 +1143,7 @@ because IPE_FOUND is false.")
       set(flag "-E")
     endif()
     if(NOT DEFINED CGAL_CHECK_SYNTAX_ONLY)
-      execute_process(COMMAND 
+      execute_process(COMMAND
         ${CMAKE_CXX_COMPILER} -x c++ ${flag} ${CGAL_MODULES_DIR}/config/support/test_syntaxonly.cpp
         ERROR_QUIET
         RESULT_VARIABLE ok)
@@ -1180,7 +1183,7 @@ You must disable CGAL_ENABLE_CHECK_HEADE
     # Build the doc
     set(DOC_DIR "${CMAKE_BINARY_DIR}/build_doc")
     file(MAKE_DIRECTORY "${DOC_DIR}")
-    execute_process(COMMAND "${CMAKE_COMMAND}" -DDOXYGEN_EXECUTABLE=${DOXYGEN_EXECUTABLE} "${CMAKE_SOURCE_DIR}/Documentation/doc"
+    execute_process(COMMAND "${CMAKE_COMMAND}" -DCGAL_BUILD_THREE_DOC=TRUE -DDOXYGEN_EXECUTABLE=${DOXYGEN_EXECUTABLE} "${CMAKE_SOURCE_DIR}/Documentation/doc"
         WORKING_DIRECTORY "${DOC_DIR}"
         )
     execute_process(COMMAND "${CMAKE_COMMAND}" --build . --target "doc"
@@ -1340,7 +1343,7 @@ ${CMAKE_CURRENT_SOURCE_DIR}/../${package
         list(REMOVE_DUPLICATES packages_deps)
       endif()
     endforeach() # loop on packages
-    
+
     #Now check that a cpp file including all documented headers compiles
     file(WRITE ${CGAL_BINARY_DIR}/test_headers.cpp "#define  BOOST_PARAMETER_MAX_ARITY 12 \n")
     foreach(header ${list_of_headers_to_test})
@@ -1348,7 +1351,7 @@ ${CMAKE_CURRENT_SOURCE_DIR}/../${package
     endforeach() #loop on headers to include in test file
     file(APPEND ${CGAL_BINARY_DIR}/test_headers.cpp "int main(){}\n")
 
-    add_custom_target(check_headers 
+    add_custom_target(check_headers
                        DEPENDS ${check_pkg_target_list})
 
     string(REPLACE " " ";" compile_options ${compile_options})
@@ -1356,7 +1359,7 @@ ${CMAKE_CURRENT_SOURCE_DIR}/../${package
     add_custom_command(TARGET check_headers
                        POST_BUILD
                        COMMAND ${CMAKE_CXX_COMPILER}
-                        ${compile_options} ${include_options} 
+                        ${compile_options} ${include_options}
                         -x c++ -fsyntax-only ${CGAL_BINARY_DIR}/test_headers.cpp
                     )
 
@@ -1378,4 +1381,3 @@ if(NOT CGAL_BRANCH_BUILD AND EXISTS "${C
   # in a non-branch build this is the top-level CMakeLists.txt
   add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/doc")
 endif()
-
diff -pruN 5.0.2-3/debian/changelog 5.0.3-1/debian/changelog
--- 5.0.2-3/debian/changelog	2020-02-27 07:30:43.000000000 +0000
+++ 5.0.3-1/debian/changelog	2020-08-03 15:57:06.000000000 +0000
@@ -1,3 +1,11 @@
+cgal (5.0.3-1) unstable; urgency=medium
+
+  * New upstream release.
+  * Add Suggests: libceres-dev to libcal-demo.
+  * Remove duplicate Suggests: libglpk-dev for libcgal-demo.
+
+ -- Joachim Reichel <reichel@debian.org>  Mon, 03 Aug 2020 17:57:06 +0200
+
 cgal (5.0.2-3) unstable; urgency=medium
 
   * Really fix FTBFS on armhf (debug code added in 5.0.2-2 was also
diff -pruN 5.0.2-3/debian/control 5.0.3-1/debian/control
--- 5.0.2-3/debian/control	2020-01-28 07:43:32.000000000 +0000
+++ 5.0.3-1/debian/control	2020-08-03 15:57:06.000000000 +0000
@@ -2,24 +2,49 @@ Source: cgal
 Priority: optional
 Maintainer: Joachim Reichel <reichel@debian.org>
 # "ipe" is only needed because it contains goodies.lua which is needed by FindIPE.cmake
-Build-Depends: debhelper-compat (= 12), dpkg-awk, tar (>= 1.28), cmake, zlib1g-dev,
- libboost-dev, libboost-thread-dev, libboost-program-options-dev,
- libboost-system-dev, libeigen3-dev, libgmp-dev, libmpfr-dev,
- libglu1-mesa-dev, qtbase5-dev [!armel !armhf],
- libqt5opengl5-dev [!armel !armhf], libqt5svg5-dev [!armel !armhf],
- libipe-dev, ipe
+Build-Depends:
+  cmake,
+ debhelper-compat (= 12),
+ dpkg-awk,
+ ipe,
+ libboost-dev,
+ libboost-program-options-dev,
+ libboost-system-dev,
+ libboost-thread-dev,
+ libeigen3-dev,
+ libglu1-mesa-dev,
+ libgmp-dev,
+ libipe-dev,
+ libmpfr-dev,
+ libqt5opengl5-dev [!armel !armhf],
+ libqt5svg5-dev [!armel !armhf],
+ qtbase5-dev [!armel !armhf],
+ tar (>= 1.28),
+ zlib1g-dev
 Standards-Version: 4.5.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: http://www.cgal.org/
+Vcs-Git: https://salsa.debian.org/reichel/cgal.git
+Vcs-Browser: https://salsa.debian.org/reichel/cgal
 
 Package: libcgal-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libboost-dev, libboost-thread-dev, libboost-system-dev,
- libboost-program-options-dev, libgmp-dev, libmpfr-dev, zlib1g-dev, ${misc:Depends}
-Suggests: libmpfi-dev, libntl-dev, libtbb-dev
+Depends:
+ libboost-dev,
+ libboost-program-options-dev,
+ libboost-system-dev,
+ libboost-thread-dev,
+ libgmp-dev,
+ libmpfr-dev,
+ zlib1g-dev,
+ ${misc:Depends}
+Suggests:
+ libmpfi-dev,
+ libntl-dev,
+ libtbb-dev
 Description: C++ library for computational geometry (development files)
  CGAL (Computational Geometry Algorithms Library) makes the most important
  of the solutions and methods developed in computational geometry available
@@ -30,13 +55,16 @@ Description: C++ library for computation
  visualization with Qt can be found in the package libcgal-qt5-dev.
 
 Package: libcgal-qt5-dev
-Conflicts: libcgal-qt4-dev
-Replaces: libcgal-qt4-dev
 Section: libdevel
 # actually "Architecture: any [!armel !armhf]" via debhelper
 Architecture: any
 Multi-Arch: same
-Depends: libcgal-dev, qtbase5-dev, libqt5opengl5-dev, libqt5svg5-dev, ${misc:Depends}
+Depends:
+ libcgal-dev,
+ libqt5opengl5-dev,
+ libqt5svg5-dev,
+ qtbase5-dev,
+ ${misc:Depends}
 Description: C++ library for computational geometry (development files, support for Qt5)
  CGAL (Computational Geometry Algorithms Library) makes the most important
  of the solutions and methods developed in computational geometry available
@@ -51,13 +79,36 @@ Architecture: all
 Multi-Arch: foreign
 Depends: libcgal-dev (>= ${binary:Version}), ${misc:Depends}
 Recommends: libcgal-qt5-dev (>= ${binary:Version})
-Suggests: cimg-dev, geomview, gfortran, lib3mf-dev, libatlas-base-dev,
- libboost-filesystem-dev, libboost-iostreams-dev, libboost-serialization-dev,
- libeigen3-dev, libglew-dev, libglpk-dev, libglpk-dev, libipe-dev,
- liblapack-dev, libmagick++-dev, libmetis-dev, libmpfi-dev, libntl-dev,
- libopencv-dev, libqt5opengl5-dev, libqt5sql5-sqlite, libqt5svg5-dev,
- libsuitesparse-dev, libtbb-dev, libvtk7-dev, qtscript5-dev, qttools5-dev,
- qttools5-dev-tools, vtk7
+Suggests:
+ cimg-dev,
+ geomview,
+ gfortran,
+ lib3mf-dev,
+ libatlas-base-dev,
+ libboost-filesystem-dev,
+ libboost-iostreams-dev,
+ libboost-serialization-dev,
+ libceres-dev,
+ libeigen3-dev,
+ libglew-dev,
+ libglpk-dev,
+ libipe-dev,
+ liblapack-dev,
+ libmagick++-dev,
+ libmetis-dev,
+ libmpfi-dev,
+ libntl-dev,
+ libopencv-dev,
+ libqt5opengl5-dev,
+ libqt5sql5-sqlite,
+ libqt5svg5-dev,
+ libsuitesparse-dev,
+ libtbb-dev,
+ libvtk7-dev,
+ qtscript5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
+ vtk7
 Description: C++ library for computational geometry (demos)
  CGAL (Computational Geometry Algorithms Library) makes the most important
  of the solutions and methods developed in computational geometry available
@@ -71,8 +122,6 @@ Section: graphics
 Architecture: any
 Depends: ipe (>= ${Ipe-Version}), ipe (<< ${Ipe-Version}+),
  libcgal-dev (>= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libcgal5-ipelets
-Replaces: libcgal5-ipelets
 Description: C++ library for computational geometry (ipelets)
  CGAL (Computational Geometry Algorithms Library) makes the most important
  of the solutions and methods developed in computational geometry available
diff -pruN 5.0.2-3/debian/rules 5.0.3-1/debian/rules
--- 5.0.2-3/debian/rules	2020-02-27 07:30:39.000000000 +0000
+++ 5.0.3-1/debian/rules	2020-08-03 15:57:06.000000000 +0000
@@ -73,7 +73,7 @@ override_dh_install-arch:
 	sed -i 's/-f\(debug\|file\|macro\)-prefix-map=[^ ]* //' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL/CGALConfig.cmake
 
 	# tweak installed documentation files
-	mv debian/tmp/usr/share/doc/CGAL-`cat VERSION` debian/tmp/usr/share/doc/cgal
+	mv debian/tmp/usr/share/doc/CGAL debian/tmp/usr/share/doc/cgal
 	mv debian/tmp/usr/share/doc/cgal/CHANGES.md debian/tmp/usr/share/doc/cgal/changelog
 	rm debian/tmp/usr/share/doc/cgal/LICENSE*
 	rm debian/tmp/usr/share/doc/cgal/AUTHORS
diff -pruN 5.0.2-3/debian/upstream/metadata 5.0.3-1/debian/upstream/metadata
--- 5.0.2-3/debian/upstream/metadata	1970-01-01 00:00:00.000000000 +0000
+++ 5.0.3-1/debian/upstream/metadata	2020-08-03 15:57:06.000000000 +0000
@@ -0,0 +1,4 @@
+Bug-Database: https://github.com/CGAL/cgal/issues
+Bug-Submit: https://github.com/CGAL/cgal/issues/new
+Repository: https://github.com/CGAL/cgal.git
+Repository-Browse: https://github.com/CGAL/cgal
diff -pruN 5.0.2-3/demo/AABB_tree/benchmarks.cpp 5.0.3-1/demo/AABB_tree/benchmarks.cpp
--- 5.0.2-3/demo/AABB_tree/benchmarks.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/AABB_tree/benchmarks.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -98,7 +98,7 @@ std::size_t Scene::nb_digits(std::size_t
 }
 
 // bench memory against number of facets in the tree
-// the tree is reconstructed each timer in the mesh 
+// the tree is reconstructed each timer in the mesh
 // refinement loop
 void Scene::bench_memory()
 {
@@ -168,8 +168,8 @@ void Scene::bench_construction()
         tree2.accelerate_distance_queries();
         double duration_construction_and_kdtree = time2.time();
 
-        std::cout << m_pPolyhedron->size_of_facets() << "\t" 
-            << duration_construction_alone     << "\t" 
+        std::cout << m_pPolyhedron->size_of_facets() << "\t"
+            << duration_construction_alone     << "\t"
             << duration_construction_and_kdtree << std::endl;
     }
 }
diff -pruN 5.0.2-3/demo/AABB_tree/CMakeLists.txt 5.0.3-1/demo/AABB_tree/CMakeLists.txt
--- 5.0.2-3/demo/AABB_tree/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/AABB_tree/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -46,7 +46,7 @@ if(CGAL_FOUND AND CGAL_Qt5_FOUND AND Qt5
                                        "${CMAKE_CURRENT_BINARY_DIR}/Viewer_moc.cpp"
                                        "${CMAKE_CURRENT_BINARY_DIR}/Scene_moc.cpp" )
 
-  add_executable  ( AABB_demo AABB_demo.cpp ${UI_FILES} ${CGAL_Qt5_RESOURCE_FILES} 
+  add_executable  ( AABB_demo AABB_demo.cpp ${UI_FILES} ${CGAL_Qt5_RESOURCE_FILES}
     #${CGAL_Qt5_MOC_FILES}
     )
   # Link with Qt libraries
diff -pruN 5.0.2-3/demo/AABB_tree/Color_ramp.h 5.0.3-1/demo/AABB_tree/Color_ramp.h
--- 5.0.2-3/demo/AABB_tree/Color_ramp.h	2020-02-21 20:02:42.000000000 +0000
+++ 5.0.3-1/demo/AABB_tree/Color_ramp.h	2020-08-01 19:02:08.000000000 +0000
@@ -4,103 +4,103 @@
 class Color_ramp
 {
 private :
-	int m_nodes[256];
-	unsigned char m_colors[4][256];
+  int m_nodes[256];
+  unsigned char m_colors[4][256];
 
 public :
-	Color_ramp() 
-	{ 
-		build_thermal(); 
-	} 
-	~Color_ramp() {}
+  Color_ramp()
+  {
+    build_thermal();
+  }
+  ~Color_ramp() {}
 
 public :
-	unsigned char r(unsigned int index) const { return m_colors[0][index%256]; }
-	unsigned char g(unsigned int index) const { return m_colors[1][index%256]; }
-	unsigned char b(unsigned int index) const { return m_colors[2][index%256]; }
+  unsigned char r(unsigned int index) const { return m_colors[0][index%256]; }
+  unsigned char g(unsigned int index) const { return m_colors[1][index%256]; }
+  unsigned char b(unsigned int index) const { return m_colors[2][index%256]; }
 
 private:
 
-	void rebuild()
-	{
-		// build nodes
-		m_colors[3][0] = 1;
-		m_colors[3][255] = 1;
-		unsigned int nb_nodes = 0;
-		for(int i=0;i<256;i++)
-		{
-			if(m_colors[3][i])
-			{
-				m_nodes[nb_nodes] = i;
-				nb_nodes++;
-			}
-		}
-
-		// build color_ramp
-		for(int k=0;k<3;k++)
-			for(unsigned int i=0;i<(nb_nodes-1);i++)
-			{
-				int x1 = m_nodes[i];
-				int x2 = m_nodes[i+1];
-				int y1 = m_colors[k][x1];
-				int y2 = m_colors[k][x2];
-				float a = (float)(y2-y1) / (float)(x2-x1);
-				float b = (float)y1 - a*(float)x1;
-				for(int j=x1;j<x2;j++)
-					m_colors[k][j] = (unsigned char)(a*(float)j+b);
-			}
-	}
-
-	void reset()
-	{
-		for(int i=1;i<=254;i++)
-			m_colors[3][i] = 0;
-		m_colors[3][0] = 1;
-		m_colors[3][255] = 1;
-	}
+  void rebuild()
+  {
+    // build nodes
+    m_colors[3][0] = 1;
+    m_colors[3][255] = 1;
+    unsigned int nb_nodes = 0;
+    for(int i=0;i<256;i++)
+    {
+      if(m_colors[3][i])
+      {
+        m_nodes[nb_nodes] = i;
+        nb_nodes++;
+      }
+    }
+
+    // build color_ramp
+    for(int k=0;k<3;k++)
+      for(unsigned int i=0;i<(nb_nodes-1);i++)
+      {
+        int x1 = m_nodes[i];
+        int x2 = m_nodes[i+1];
+        int y1 = m_colors[k][x1];
+        int y2 = m_colors[k][x2];
+        float a = (float)(y2-y1) / (float)(x2-x1);
+        float b = (float)y1 - a*(float)x1;
+        for(int j=x1;j<x2;j++)
+          m_colors[k][j] = (unsigned char)(a*(float)j+b);
+      }
+  }
+
+  void reset()
+  {
+    for(int i=1;i<=254;i++)
+      m_colors[3][i] = 0;
+    m_colors[3][0] = 1;
+    m_colors[3][255] = 1;
+  }
 
 public:
-	void add_node(unsigned int index,
-		unsigned char r,
-		unsigned char g,
-		unsigned char b)
-	{
-		m_colors[3][index] = 1;
-		m_colors[0][index] = r;
-		m_colors[1][index] = g;   
-		m_colors[2][index] = b;
-	}
-
-	void build_red()
-	{
-		reset();
-		m_colors[3][0] = 1;m_colors[0][0] = 128;m_colors[1][0] = 0;m_colors[2][0] = 0;
-		m_colors[3][80] = 1;m_colors[0][80] = 255;m_colors[1][80] = 0;m_colors[2][80] = 0;
-		m_colors[3][160] = 1;m_colors[0][160] = 255;m_colors[1][160] = 128;m_colors[2][160] = 0;
-		m_colors[3][255] = 1;m_colors[0][255] = 255;m_colors[1][255] = 255;m_colors[2][255] = 255;
-		rebuild();
-	}
-
-	void build_thermal()
-	{
-		reset();
-		m_colors[3][0] = 1;m_colors[0][0] = 0;m_colors[1][0] = 0;m_colors[2][0] = 0;
-		m_colors[3][70] = 1;m_colors[0][70] = 128;m_colors[1][70] = 0;m_colors[2][70] = 0;
-		m_colors[3][165] = 1;m_colors[0][165] = 255;m_colors[1][165] = 128;m_colors[2][165] = 0;
-		m_colors[3][240] = 1;m_colors[0][240] = 255;m_colors[1][240] = 191;m_colors[2][240] = 128;
-		m_colors[3][255] = 1;m_colors[0][255] = 255;m_colors[1][255] = 255;m_colors[2][255] = 255;
-		rebuild();
-	}
-
-	void build_blue()
-	{
-		reset();
-		m_colors[3][0] = 1;m_colors[0][0] = 0;m_colors[1][0] = 0;m_colors[2][0] = 128;
-		m_colors[3][80] = 1;m_colors[0][80] = 0;m_colors[1][80] = 0;m_colors[2][80] = 255;
-		m_colors[3][160] = 1;m_colors[0][160] = 0;m_colors[1][160] = 255;m_colors[2][160] = 255;
-		m_colors[3][255] = 1;m_colors[0][255] = 255;m_colors[1][255] = 255;m_colors[2][255] = 255;
-		rebuild();
-	}
+  void add_node(unsigned int index,
+    unsigned char r,
+    unsigned char g,
+    unsigned char b)
+  {
+    m_colors[3][index] = 1;
+    m_colors[0][index] = r;
+    m_colors[1][index] = g;
+    m_colors[2][index] = b;
+  }
+
+  void build_red()
+  {
+    reset();
+    m_colors[3][0] = 1;m_colors[0][0] = 128;m_colors[1][0] = 0;m_colors[2][0] = 0;
+    m_colors[3][80] = 1;m_colors[0][80] = 255;m_colors[1][80] = 0;m_colors[2][80] = 0;
+    m_colors[3][160] = 1;m_colors[0][160] = 255;m_colors[1][160] = 128;m_colors[2][160] = 0;
+    m_colors[3][255] = 1;m_colors[0][255] = 255;m_colors[1][255] = 255;m_colors[2][255] = 255;
+    rebuild();
+  }
+
+  void build_thermal()
+  {
+    reset();
+    m_colors[3][0] = 1;m_colors[0][0] = 0;m_colors[1][0] = 0;m_colors[2][0] = 0;
+    m_colors[3][70] = 1;m_colors[0][70] = 128;m_colors[1][70] = 0;m_colors[2][70] = 0;
+    m_colors[3][165] = 1;m_colors[0][165] = 255;m_colors[1][165] = 128;m_colors[2][165] = 0;
+    m_colors[3][240] = 1;m_colors[0][240] = 255;m_colors[1][240] = 191;m_colors[2][240] = 128;
+    m_colors[3][255] = 1;m_colors[0][255] = 255;m_colors[1][255] = 255;m_colors[2][255] = 255;
+    rebuild();
+  }
+
+  void build_blue()
+  {
+    reset();
+    m_colors[3][0] = 1;m_colors[0][0] = 0;m_colors[1][0] = 0;m_colors[2][0] = 128;
+    m_colors[3][80] = 1;m_colors[0][80] = 0;m_colors[1][80] = 0;m_colors[2][80] = 255;
+    m_colors[3][160] = 1;m_colors[0][160] = 0;m_colors[1][160] = 255;m_colors[2][160] = 255;
+    m_colors[3][255] = 1;m_colors[0][255] = 255;m_colors[1][255] = 255;m_colors[2][255] = 255;
+    rebuild();
+  }
 };
 
 #endif // _COLOR_RAMP_H
diff -pruN 5.0.2-3/demo/AABB_tree/MainWindow.cpp 5.0.3-1/demo/AABB_tree/MainWindow.cpp
--- 5.0.2-3/demo/AABB_tree/MainWindow.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/AABB_tree/MainWindow.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -16,288 +16,288 @@
 MainWindow::MainWindow(QWidget* parent)
 : CGAL::Qt::DemosMainWindow(parent)
 {
-	ui = new Ui::MainWindow;
-	ui->setupUi(this);
+  ui = new Ui::MainWindow;
+  ui->setupUi(this);
 
-	// saves some pointers from ui, for latter use.
-	m_pViewer = ui->viewer;
+  // saves some pointers from ui, for latter use.
+  m_pViewer = ui->viewer;
 
-	// does not save the state of the viewer 
-	m_pViewer->setStateFileName(QString());
+  // does not save the state of the viewer
+  m_pViewer->setStateFileName(QString());
 
-	// accepts drop events
-	setAcceptDrops(true);
-	// setups scene
+  // accepts drop events
+  setAcceptDrops(true);
+  // setups scene
         m_pScene = new Scene();
-	m_pViewer->setScene(m_pScene);
+  m_pViewer->setScene(m_pScene);
         m_pViewer->setManipulatedFrame(m_pScene->manipulatedFrame());
 
-	// connects actionQuit (Ctrl+Q) and qApp->quit()
-	connect(ui->actionQuit, SIGNAL(triggered()),
-		this, SLOT(quit()));
-
-	this->addRecentFiles(ui->menuFile, ui->actionQuit);
-	connect(this, SIGNAL(openRecentFile(QString)),
-		this, SLOT(open(QString)));
+  // connects actionQuit (Ctrl+Q) and qApp->quit()
+  connect(ui->actionQuit, SIGNAL(triggered()),
+    this, SLOT(quit()));
+
+  this->addRecentFiles(ui->menuFile, ui->actionQuit);
+  connect(this, SIGNAL(openRecentFile(QString)),
+    this, SLOT(open(QString)));
 
-	readSettings();
+  readSettings();
 }
 
 MainWindow::~MainWindow()
 {
-	delete ui;
+  delete ui;
 }
 
 void MainWindow::dragEnterEvent(QDragEnterEvent *event)
 {
-	if (event->mimeData()->hasFormat("text/uri-list"))
-		event->acceptProposedAction();
+  if (event->mimeData()->hasFormat("text/uri-list"))
+    event->acceptProposedAction();
 }
 
 void MainWindow::dropEvent(QDropEvent *event)
 {
-	Q_FOREACH(QUrl url, event->mimeData()->urls()) {
-		QString filename = url.toLocalFile();
-		if(!filename.isEmpty()) {
-			QTextStream(stderr) << QString("dropEvent(\"%1\")\n").arg(filename);
-			open(filename);
-		}
-	}
-	event->acceptProposedAction();
+  Q_FOREACH(QUrl url, event->mimeData()->urls()) {
+    QString filename = url.toLocalFile();
+    if(!filename.isEmpty()) {
+      QTextStream(stderr) << QString("dropEvent(\"%1\")\n").arg(filename);
+      open(filename);
+    }
+  }
+  event->acceptProposedAction();
 }
 
 void MainWindow::updateViewerBBox()
 {
-	m_pScene->update_bbox();
-	const Scene::Bbox bbox = m_pScene->bbox();
-	const double xmin = bbox.xmin();
-	const double ymin = bbox.ymin();
-	const double zmin = bbox.zmin();
-	const double xmax = bbox.xmax();
-	const double ymax = bbox.ymax();
-	const double zmax = bbox.zmax();
-	CGAL::qglviewer::Vec 
-		vec_min(xmin, ymin, zmin),
-		vec_max(xmax, ymax, zmax);
-	m_pViewer->setSceneBoundingBox(vec_min,vec_max);
-	m_pViewer->camera()->showEntireScene();
+  m_pScene->update_bbox();
+  const Scene::Bbox bbox = m_pScene->bbox();
+  const double xmin = bbox.xmin();
+  const double ymin = bbox.ymin();
+  const double zmin = bbox.zmin();
+  const double xmax = bbox.xmax();
+  const double ymax = bbox.ymax();
+  const double zmax = bbox.zmax();
+  CGAL::qglviewer::Vec
+    vec_min(xmin, ymin, zmin),
+    vec_max(xmax, ymax, zmax);
+  m_pViewer->setSceneBoundingBox(vec_min,vec_max);
+  m_pViewer->camera()->showEntireScene();
 }
 
 void MainWindow::open(QString filename)
 {
-	QFileInfo fileinfo(filename);
-	if(fileinfo.isFile() && fileinfo.isReadable())
-	{
-		int index = m_pScene->open(filename);
-		if(index >= 0)
-		{
-			QSettings settings;
-			settings.setValue("OFF open directory",
-				fileinfo.absoluteDir().absolutePath());
-			this->addToRecentFiles(filename);
+  QFileInfo fileinfo(filename);
+  if(fileinfo.isFile() && fileinfo.isReadable())
+  {
+    int index = m_pScene->open(filename);
+    if(index >= 0)
+    {
+      QSettings settings;
+      settings.setValue("OFF open directory",
+        fileinfo.absoluteDir().absolutePath());
+      this->addToRecentFiles(filename);
 
-			// update bbox
-			updateViewerBBox();
+      // update bbox
+      updateViewerBBox();
       m_pViewer->update();
-		}
-	}
+    }
+  }
 }
 
 void MainWindow::readSettings()
 {
-	this->readState("MainWindow", Size|State);
+  this->readState("MainWindow", Size|State);
 }
 
 void MainWindow::writeSettings()
 {
-	this->writeState("MainWindow");
-	std::cerr << "Write setting... done.\n";
+  this->writeState("MainWindow");
+  std::cerr << "Write setting... done.\n";
 }
 
 void MainWindow::quit()
 {
-	writeSettings();
-	close();
+  writeSettings();
+  close();
 }
 
 void MainWindow::closeEvent(QCloseEvent *event)
 {
-	writeSettings();
-	event->accept();
+  writeSettings();
+  event->accept();
 }
 
 void MainWindow::on_actionLoadPolyhedron_triggered()
 {
-	QSettings settings;
-	QString directory = settings.value("OFF open directory",
-		QDir::current().dirName()).toString();
-	QStringList filenames = 
-		QFileDialog::getOpenFileNames(this,
-		tr("Load polyhedron..."),
-		directory,
-		tr("OFF files (*.off)\n"
-		"All files (*)"));
-	if(!filenames.isEmpty()) {
-		Q_FOREACH(QString filename, filenames) {
-			open(filename);
-		}
-	}
+  QSettings settings;
+  QString directory = settings.value("OFF open directory",
+    QDir::current().dirName()).toString();
+  QStringList filenames =
+    QFileDialog::getOpenFileNames(this,
+    tr("Load polyhedron..."),
+    directory,
+    tr("OFF files (*.off)\n"
+    "All files (*)"));
+  if(!filenames.isEmpty()) {
+    Q_FOREACH(QString filename, filenames) {
+      open(filename);
+    }
+  }
 }
 
 
 void MainWindow::setAddKeyFrameKeyboardModifiers(::Qt::KeyboardModifiers m)
 {
-	m_pViewer->setAddKeyFrameKeyboardModifiers(m);
+  m_pViewer->setAddKeyFrameKeyboardModifiers(m);
 }
 
 void MainWindow::on_actionInside_points_triggered()
 {
-	bool ok;
-	
-	const unsigned int nb_points = (unsigned)
-		QInputDialog::getInt(NULL, "#Points",
-		"#Points:",10000,1,100000000,9,&ok);
-
-	if(!ok)
-		return;
-
-	QApplication::setOverrideCursor(Qt::WaitCursor);
-	m_pScene->generate_inside_points(nb_points);
-	QApplication::restoreOverrideCursor();
+  bool ok;
+
+  const unsigned int nb_points = (unsigned)
+    QInputDialog::getInt(NULL, "#Points",
+    "#Points:",10000,1,100000000,9,&ok);
+
+  if(!ok)
+    return;
+
+  QApplication::setOverrideCursor(Qt::WaitCursor);
+  m_pScene->generate_inside_points(nb_points);
+  QApplication::restoreOverrideCursor();
   m_pViewer->update();
 }
 
 void MainWindow::on_actionPoints_in_interval_triggered()
 {
-	bool ok;
-	
-	const unsigned int nb_points = (unsigned)
+  bool ok;
+
+  const unsigned int nb_points = (unsigned)
                 QInputDialog::getInt(NULL, "#Points",
-		"#Points:",10000,1,100000000,9,&ok);
+    "#Points:",10000,1,100000000,9,&ok);
 
-	if(!ok)
-		return;
+  if(!ok)
+    return;
 
-  const double min = 
-		QInputDialog::getDouble(NULL, "min",
-		"Min:",-0.1,-1000.0,1000.0,9,&ok);
-	if(!ok)
-		return;
-  const double max = 
-		QInputDialog::getDouble(NULL, "max",
-		"Max:",0.1,-1000.0,1000.0,9,&ok);
-	if(!ok)
-		return;
-
-	QApplication::setOverrideCursor(Qt::WaitCursor);
-	m_pScene->generate_points_in(nb_points,min,max);
-	QApplication::restoreOverrideCursor();
+  const double min =
+    QInputDialog::getDouble(NULL, "min",
+    "Min:",-0.1,-1000.0,1000.0,9,&ok);
+  if(!ok)
+    return;
+  const double max =
+    QInputDialog::getDouble(NULL, "max",
+    "Max:",0.1,-1000.0,1000.0,9,&ok);
+  if(!ok)
+    return;
+
+  QApplication::setOverrideCursor(Qt::WaitCursor);
+  m_pScene->generate_points_in(nb_points,min,max);
+  QApplication::restoreOverrideCursor();
   m_pViewer->update();
 }
 
 void MainWindow::on_actionBoundary_segments_triggered()
 {
-	bool ok;
-	
-	const unsigned int nb_slices = (unsigned)
-		QInputDialog::getInt(NULL, "#Slices",
-		"Slices:",100,1,1000000,8,&ok);
-
-	if(!ok)
-		return;
-
-	QApplication::setOverrideCursor(Qt::WaitCursor);
-	m_pScene->generate_boundary_segments(nb_slices);
-	QApplication::restoreOverrideCursor();
+  bool ok;
+
+  const unsigned int nb_slices = (unsigned)
+    QInputDialog::getInt(NULL, "#Slices",
+    "Slices:",100,1,1000000,8,&ok);
+
+  if(!ok)
+    return;
+
+  QApplication::setOverrideCursor(Qt::WaitCursor);
+  m_pScene->generate_boundary_segments(nb_slices);
+  QApplication::restoreOverrideCursor();
   m_pViewer->update();
 }
 
 void MainWindow::on_actionBoundary_points_triggered()
 {
-	bool ok;
+  bool ok;
+
+  const unsigned int nb_points = (unsigned)
+    QInputDialog::getInt(NULL, "#Points",
+    "Points:",1000,1,10000000,8,&ok);
 
-	const unsigned int nb_points = (unsigned)
-		QInputDialog::getInt(NULL, "#Points",
-		"Points:",1000,1,10000000,8,&ok);
-
-	if(!ok)
-		return;
-
-	QApplication::setOverrideCursor(Qt::WaitCursor);
-	m_pScene->generate_boundary_points(nb_points);
-	QApplication::restoreOverrideCursor();
+  if(!ok)
+    return;
+
+  QApplication::setOverrideCursor(Qt::WaitCursor);
+  m_pScene->generate_boundary_points(nb_points);
+  QApplication::restoreOverrideCursor();
   m_pViewer->update();
 }
 
 void MainWindow::on_actionEdge_points_triggered()
 {
-	bool ok;
+  bool ok;
 
-	const unsigned int nb_points = (unsigned)
-		QInputDialog::getInt(NULL, "#Points",
-		"Points:",1000,1,10000000,8,&ok);
-
-	if(!ok)
-		return;
-
-	QApplication::setOverrideCursor(Qt::WaitCursor);
-	m_pScene->generate_edge_points(nb_points);
-	QApplication::restoreOverrideCursor();
+  const unsigned int nb_points = (unsigned)
+    QInputDialog::getInt(NULL, "#Points",
+    "Points:",1000,1,10000000,8,&ok);
+
+  if(!ok)
+    return;
+
+  QApplication::setOverrideCursor(Qt::WaitCursor);
+  m_pScene->generate_edge_points(nb_points);
+  QApplication::restoreOverrideCursor();
   m_pViewer->update();
 }
 
 void MainWindow::on_actionBench_distances_triggered()
 {
-	bool ok;
-	const double duration = QInputDialog::getDouble(NULL, "Duration",
-		"Duration (s):",1.0,0.01,1000,8,&ok);
-	if(!ok)
-		return;
-
-	QApplication::setOverrideCursor(Qt::WaitCursor);
-	std::cout << std::endl << "Benchmark distances" << std::endl;
-	m_pScene->benchmark_distances(duration);
-	QApplication::restoreOverrideCursor();
+  bool ok;
+  const double duration = QInputDialog::getDouble(NULL, "Duration",
+    "Duration (s):",1.0,0.01,1000,8,&ok);
+  if(!ok)
+    return;
+
+  QApplication::setOverrideCursor(Qt::WaitCursor);
+  std::cout << std::endl << "Benchmark distances" << std::endl;
+  m_pScene->benchmark_distances(duration);
+  QApplication::restoreOverrideCursor();
 }
 
 void MainWindow::on_actionBench_intersections_triggered()
 {
-	bool ok;
-	const double duration = QInputDialog::getDouble(NULL, "Duration",
-		"Duration (s):",1.0,0.01,1000.0,8,&ok);
-	if(!ok)
-		return;
-
-	QApplication::setOverrideCursor(Qt::WaitCursor);
-	std::cout << std::endl << "Benchmark intersections" << std::endl;
-	m_pScene->benchmark_intersections(duration);
-	QApplication::restoreOverrideCursor();
+  bool ok;
+  const double duration = QInputDialog::getDouble(NULL, "Duration",
+    "Duration (s):",1.0,0.01,1000.0,8,&ok);
+  if(!ok)
+    return;
+
+  QApplication::setOverrideCursor(Qt::WaitCursor);
+  std::cout << std::endl << "Benchmark intersections" << std::endl;
+  m_pScene->benchmark_intersections(duration);
+  QApplication::restoreOverrideCursor();
 }
 
 void MainWindow::on_actionUnsigned_distance_function_to_facets_triggered()
 {
-	QApplication::setOverrideCursor(Qt::WaitCursor);
+  QApplication::setOverrideCursor(Qt::WaitCursor);
     m_pScene->activate_cutting_plane();
-	m_pScene->unsigned_distance_function();
-	QApplication::restoreOverrideCursor();
+  m_pScene->unsigned_distance_function();
+  QApplication::restoreOverrideCursor();
   m_pViewer->update();
 }
 
 void MainWindow::on_actionUnsigned_distance_function_to_edges_triggered()
 {
-	QApplication::setOverrideCursor(Qt::WaitCursor);
+  QApplication::setOverrideCursor(Qt::WaitCursor);
     m_pScene->activate_cutting_plane();
-	m_pScene->unsigned_distance_function_to_edges();
-	QApplication::restoreOverrideCursor();
+  m_pScene->unsigned_distance_function_to_edges();
+  QApplication::restoreOverrideCursor();
   m_pViewer->update();
 }
 
 void MainWindow::on_actionSigned_distance_function_to_facets_triggered()
 {
-	QApplication::setOverrideCursor(Qt::WaitCursor);
+  QApplication::setOverrideCursor(Qt::WaitCursor);
     m_pScene->activate_cutting_plane();
-	m_pScene->signed_distance_function();
-	QApplication::restoreOverrideCursor();
+  m_pScene->signed_distance_function();
+  QApplication::restoreOverrideCursor();
   m_pViewer->update();
 }
 
@@ -318,19 +318,19 @@ void MainWindow::on_actionCutting_plane_
 
 void MainWindow::on_actionView_polyhedron_triggered()
 {
-	m_pScene->toggle_view_poyhedron();
+  m_pScene->toggle_view_poyhedron();
   m_pViewer->update();
 }
 
 void MainWindow::on_actionView_points_triggered()
 {
-	m_pScene->toggle_view_points();
+  m_pScene->toggle_view_points();
   m_pViewer->update();
 }
 
 void MainWindow::on_actionView_segments_triggered()
 {
-	m_pScene->toggle_view_segments();
+  m_pScene->toggle_view_segments();
   m_pViewer->update();
 }
 
@@ -342,13 +342,13 @@ void MainWindow::on_actionView_cutting_p
 
 void MainWindow::on_actionClear_points_triggered()
 {
-	m_pScene->clear_points();
+  m_pScene->clear_points();
   m_pViewer->update();
 }
 
 void MainWindow::on_actionClear_segments_triggered()
 {
-	m_pScene->clear_segments();
+  m_pScene->clear_segments();
   m_pViewer->update();
 }
 
@@ -360,52 +360,52 @@ void MainWindow::on_actionClear_cutting_
 
 void MainWindow::on_actionRefine_bisection_triggered()
 {
-	bool ok;
-	const double max_len = 
-		QInputDialog::getDouble(NULL, "Max edge len",
-		"Max edge len:",0.1,0.001,100.0,9,&ok);
-	if(!ok)
-		return;
-
-	QApplication::setOverrideCursor(Qt::WaitCursor);
-	m_pScene->refine_bisection(max_len * max_len);
-	QApplication::restoreOverrideCursor();
+  bool ok;
+  const double max_len =
+    QInputDialog::getDouble(NULL, "Max edge len",
+    "Max edge len:",0.1,0.001,100.0,9,&ok);
+  if(!ok)
+    return;
+
+  QApplication::setOverrideCursor(Qt::WaitCursor);
+  m_pScene->refine_bisection(max_len * max_len);
+  QApplication::restoreOverrideCursor();
   m_pViewer->update();
 }
 
 void MainWindow::on_actionBench_memory_triggered()
 {
-	QApplication::setOverrideCursor(Qt::WaitCursor);
-	m_pScene->bench_memory();
-	QApplication::restoreOverrideCursor();
+  QApplication::setOverrideCursor(Qt::WaitCursor);
+  m_pScene->bench_memory();
+  QApplication::restoreOverrideCursor();
 }
 
 void MainWindow::on_actionBench_construction_triggered()
 {
-	QApplication::setOverrideCursor(Qt::WaitCursor);
-	m_pScene->bench_construction();
-	QApplication::restoreOverrideCursor();
+  QApplication::setOverrideCursor(Qt::WaitCursor);
+  m_pScene->bench_construction();
+  QApplication::restoreOverrideCursor();
 }
 
 void MainWindow::on_actionBench_intersections_vs_nbt_triggered()
 {
-	QApplication::setOverrideCursor(Qt::WaitCursor);
-	m_pScene->bench_intersections_vs_nbt();
-	QApplication::restoreOverrideCursor();
+  QApplication::setOverrideCursor(Qt::WaitCursor);
+  m_pScene->bench_intersections_vs_nbt();
+  QApplication::restoreOverrideCursor();
 }
 
 void MainWindow::on_actionBench_distances_vs_nbt_triggered()
 {
-	QApplication::setOverrideCursor(Qt::WaitCursor);
-	m_pScene->bench_distances_vs_nbt();
-	QApplication::restoreOverrideCursor();
+  QApplication::setOverrideCursor(Qt::WaitCursor);
+  m_pScene->bench_distances_vs_nbt();
+  QApplication::restoreOverrideCursor();
 }
 
 void MainWindow::on_actionRefine_loop_triggered()
 {
-	QApplication::setOverrideCursor(Qt::WaitCursor);
-	m_pScene->refine_loop();
-	QApplication::restoreOverrideCursor();
+  QApplication::setOverrideCursor(Qt::WaitCursor);
+  m_pScene->refine_loop();
+  QApplication::restoreOverrideCursor();
   m_pViewer->update();
 }
 
diff -pruN 5.0.2-3/demo/AABB_tree/MainWindow.h 5.0.3-1/demo/AABB_tree/MainWindow.h
--- 5.0.2-3/demo/AABB_tree/MainWindow.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/demo/AABB_tree/MainWindow.h	2020-08-01 19:02:08.000000000 +0000
@@ -9,79 +9,79 @@ class QDropEvent;
 class Scene;
 class Viewer;
 namespace Ui {
-	class MainWindow;
+  class MainWindow;
 }
 
 
-class MainWindow : 
-	public CGAL::Qt::DemosMainWindow
+class MainWindow :
+  public CGAL::Qt::DemosMainWindow
 {
-	Q_OBJECT
+  Q_OBJECT
 public:
-	MainWindow(QWidget* parent = 0);
-	~MainWindow();
+  MainWindow(QWidget* parent = 0);
+  ~MainWindow();
 
-	public slots:
-		void updateViewerBBox();
-		void open(QString filename);
-		void setAddKeyFrameKeyboardModifiers(Qt::KeyboardModifiers);
-
-		protected slots:
-
-			// settings
-			void quit();
-			void readSettings();
-			void writeSettings();
-
-			// drag & drop
-			void dropEvent(QDropEvent *event);
-			void closeEvent(QCloseEvent *event);
-			void dragEnterEvent(QDragEnterEvent *event);
+  public slots:
+    void updateViewerBBox();
+    void open(QString filename);
+    void setAddKeyFrameKeyboardModifiers(Qt::KeyboardModifiers);
+
+    protected slots:
+
+      // settings
+      void quit();
+      void readSettings();
+      void writeSettings();
+
+      // drag & drop
+      void dropEvent(QDropEvent *event);
+      void closeEvent(QCloseEvent *event);
+      void dragEnterEvent(QDragEnterEvent *event);
 
-			// file menu
-			void on_actionLoadPolyhedron_triggered();
+      // file menu
+      void on_actionLoadPolyhedron_triggered();
 
-			// edit menu
+      // edit menu
       void on_actionSave_snapshot_triggered();
       void on_actionCopy_snapshot_triggered();
-			void on_actionClear_points_triggered();
-			void on_actionClear_segments_triggered();
+      void on_actionClear_points_triggered();
+      void on_actionClear_segments_triggered();
       void on_actionClear_cutting_plane_triggered();
 
-			// algorithm menu
+      // algorithm menu
       void on_actionRefine_loop_triggered();
-			void on_actionEdge_points_triggered();
-			void on_actionInside_points_triggered();
-			void on_actionBoundary_points_triggered();
-			void on_actionRefine_bisection_triggered();
-			void on_actionBoundary_segments_triggered();
+      void on_actionEdge_points_triggered();
+      void on_actionInside_points_triggered();
+      void on_actionBoundary_points_triggered();
+      void on_actionRefine_bisection_triggered();
+      void on_actionBoundary_segments_triggered();
       void on_actionPoints_in_interval_triggered();
-			void on_actionSigned_distance_function_to_facets_triggered();
-			void on_actionUnsigned_distance_function_to_edges_triggered();
-			void on_actionUnsigned_distance_function_to_facets_triggered();
+      void on_actionSigned_distance_function_to_facets_triggered();
+      void on_actionUnsigned_distance_function_to_edges_triggered();
+      void on_actionUnsigned_distance_function_to_facets_triggered();
       void on_actionIntersection_cutting_plane_triggered();
     void on_actionCutting_plane_none_triggered();
 
-			// benchmark menu
-			void on_actionBench_memory_triggered();
-			void on_actionBench_distances_triggered();
-			void on_actionBench_intersections_triggered();
-
-			// benchmark against #triangles
-			void on_actionBench_construction_triggered();
-			void on_actionBench_distances_vs_nbt_triggered();
-			void on_actionBench_intersections_vs_nbt_triggered();
-
-			// view menu
-			void on_actionView_points_triggered();
-			void on_actionView_segments_triggered();
-			void on_actionView_polyhedron_triggered();
+      // benchmark menu
+      void on_actionBench_memory_triggered();
+      void on_actionBench_distances_triggered();
+      void on_actionBench_intersections_triggered();
+
+      // benchmark against #triangles
+      void on_actionBench_construction_triggered();
+      void on_actionBench_distances_vs_nbt_triggered();
+      void on_actionBench_intersections_vs_nbt_triggered();
+
+      // view menu
+      void on_actionView_points_triggered();
+      void on_actionView_segments_triggered();
+      void on_actionView_polyhedron_triggered();
       void on_actionView_cutting_plane_triggered();
 
 private:
-	Scene* m_pScene;
-	Viewer* m_pViewer;
-	Ui::MainWindow* ui;
+  Scene* m_pScene;
+  Viewer* m_pViewer;
+  Ui::MainWindow* ui;
 };
 
 #endif // ifndef MAINWINDOW_H
diff -pruN 5.0.2-3/demo/AABB_tree/Refiner.h 5.0.3-1/demo/AABB_tree/Refiner.h
--- 5.0.2-3/demo/AABB_tree/Refiner.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/demo/AABB_tree/Refiner.h	2020-08-01 19:02:08.000000000 +0000
@@ -5,190 +5,190 @@
 #include <CGAL/Polyhedron_3.h>
 #include <queue>
 
-template <class	Kernel,	class	Polyhedron>
+template <class  Kernel,  class  Polyhedron>
 class CEdge
 {
 public:
-	typedef typename Kernel::FT FT;
-	typedef typename Polyhedron::Halfedge_handle Halfedge_handle;
+  typedef typename Kernel::FT FT;
+  typedef typename Polyhedron::Halfedge_handle Halfedge_handle;
 
 private:
-	FT m_sqlen;
-	Halfedge_handle m_he;
+  FT m_sqlen;
+  Halfedge_handle m_he;
 
 public:
-	// life cycle
-	CEdge(const Halfedge_handle& he)
-	{
-		m_sqlen = squared_len(he);
-		m_he = he;
-	}
-	CEdge(const CEdge& edge) 
-		: m_sqlen(edge.sqlen()),
-		m_he(edge.he())
-	{
-	}
-	~CEdge() {}
+  // life cycle
+  CEdge(const Halfedge_handle& he)
+  {
+    m_sqlen = squared_len(he);
+    m_he = he;
+  }
+  CEdge(const CEdge& edge)
+    : m_sqlen(edge.sqlen()),
+    m_he(edge.he())
+  {
+  }
+  ~CEdge() {}
 
 public:
-	// squared length of an edge
-	static FT squared_len(Halfedge_handle he)
-	{
-		return CGAL::squared_distance(he->vertex()->point(),
-			he->opposite()->vertex()->point());
-	}
+  // squared length of an edge
+  static FT squared_len(Halfedge_handle he)
+  {
+    return CGAL::squared_distance(he->vertex()->point(),
+      he->opposite()->vertex()->point());
+  }
 
 public:
-	// accessors 
-	FT& sqlen() { return m_sqlen; }
-	const FT sqlen() const { return m_sqlen; }
+  // accessors
+  FT& sqlen() { return m_sqlen; }
+  const FT sqlen() const { return m_sqlen; }
 
-	Halfedge_handle he() { return m_he; }
-	const Halfedge_handle he() const { return m_he; }
+  Halfedge_handle he() { return m_he; }
+  const Halfedge_handle he() const { return m_he; }
 };
 
 // functor for priority queue
 template<class Edge>
 struct less // read more priority
-{	
-	bool operator()(const Edge& e1, 
-		const Edge& e2) const
-	{	
-		return e1.sqlen() < e2.sqlen();
-	}
+{
+  bool operator()(const Edge& e1,
+    const Edge& e2) const
+  {
+    return e1.sqlen() < e2.sqlen();
+  }
 };
 
-template <class	Kernel,	class	Polyhedron>
+template <class  Kernel,  class  Polyhedron>
 class Refiner
 {
-	// types
-	typedef typename Kernel::FT FT;
-	typedef CEdge<Kernel, Polyhedron> Edge;
-	typedef typename Polyhedron::Halfedge_handle Halfedge_handle;
-	typedef typename Polyhedron::Edge_iterator   Edge_iterator;
-	typedef std::priority_queue<Edge,
-		std::vector<Edge>,
-		::less<Edge> > PQueue;
-	// data
-	PQueue m_queue;
-	Polyhedron* m_pMesh;
+  // types
+  typedef typename Kernel::FT FT;
+  typedef CEdge<Kernel, Polyhedron> Edge;
+  typedef typename Polyhedron::Halfedge_handle Halfedge_handle;
+  typedef typename Polyhedron::Edge_iterator   Edge_iterator;
+  typedef std::priority_queue<Edge,
+    std::vector<Edge>,
+    ::less<Edge> > PQueue;
+  // data
+  PQueue m_queue;
+  Polyhedron* m_pMesh;
 public :
-	// life cycle
-	Refiner(Polyhedron* pMesh) 
-	{
-		m_pMesh = pMesh;
-	}
-	~Refiner() {}
+  // life cycle
+  Refiner(Polyhedron* pMesh)
+  {
+    m_pMesh = pMesh;
+  }
+  ~Refiner() {}
 
 public :
 
-	void fill_queue(const FT& max_sqlen)
-	{
-		for(Edge_iterator he = m_pMesh->edges_begin();
-			he != m_pMesh->edges_end();
-			he++)
-			if(Edge::squared_len(he) > max_sqlen)
-				m_queue.push(Edge(he));
-	}
-
-	void fill_queue()
-	{
-		for(Edge_iterator he = m_pMesh->edges_begin();
-			he != m_pMesh->edges_end();
-			he++)
-			m_queue.push(Edge(he));
-	}
-
-	// run
-	void run_nb_splits(const unsigned int nb_splits)
-	{
-		// fill queue
-		fill_queue();
-
-		unsigned int nb = 0;
-		while(nb < nb_splits)
-		{
-			// get a copy of the candidate edge
-			Edge edge = m_queue.top(); 
-			m_queue.pop();
-
-			Halfedge_handle he = edge.he();
-			// update point
-			Halfedge_handle hnew = m_pMesh->split_edge(he);
-			hnew->vertex()->point() = CGAL::midpoint(he->vertex()->point(),
-				he->opposite()->vertex()->point());
-
-			// hit has been split into two edges
-			m_queue.push(Edge(hnew));
-			m_queue.push(Edge(he));
-
-			// split facet if possible
-			if(!hnew->is_border())
-			{
-				m_pMesh->split_facet(hnew,hnew->next()->next());
-				m_queue.push(Edge(hnew->next()));
-			}
-
-			// split facet if possible
-			if(!hnew->opposite()->is_border())
-			{
-				m_pMesh->split_facet(hnew->opposite()->next(),
-					hnew->opposite()->next()->next()->next());
-				m_queue.push(Edge(hnew->opposite()->prev()));
-			}
-
-			nb++;
-		} // end while
-	} // end run
-
-
-
-	// run
-	unsigned int operator()(const FT& max_sqlen)
-	{
-		// fill queue
-		fill_queue(max_sqlen);
-
-		unsigned int nb_split = 0;
-		while(!m_queue.empty())
-		{
-			// get a copy of the candidate edge
-			Edge edge = m_queue.top(); 
-			m_queue.pop();
-
-			Halfedge_handle he = edge.he();
-			FT sqlen = Edge::squared_len(he);
-			if(sqlen > max_sqlen)
-			{
-				// update point
-				Halfedge_handle hnew = m_pMesh->split_edge(he);
-				hnew->vertex()->point() = CGAL::midpoint(he->vertex()->point(),
-					he->opposite()->vertex()->point());
-
-				// hit has been split into two edges
-				m_queue.push(Edge(hnew));
-				m_queue.push(Edge(he));
-
-				// split facet if possible
-				if(!hnew->is_border())
-				{
-					m_pMesh->split_facet(hnew,hnew->next()->next());
-					m_queue.push(Edge(hnew->next()));
-				}
-
-				// split facet if possible
-				if(!hnew->opposite()->is_border())
-				{
-					m_pMesh->split_facet(hnew->opposite()->next(),
-						hnew->opposite()->next()->next()->next());
-					m_queue.push(Edge(hnew->opposite()->prev()));
-				}
-
-				nb_split++;
-			} // end if(sqlen > max_sqlen)
-		} // end while(!m_queue.empty())
-		return nb_split;
-	} // end run
+  void fill_queue(const FT& max_sqlen)
+  {
+    for(Edge_iterator he = m_pMesh->edges_begin();
+      he != m_pMesh->edges_end();
+      he++)
+      if(Edge::squared_len(he) > max_sqlen)
+        m_queue.push(Edge(he));
+  }
+
+  void fill_queue()
+  {
+    for(Edge_iterator he = m_pMesh->edges_begin();
+      he != m_pMesh->edges_end();
+      he++)
+      m_queue.push(Edge(he));
+  }
+
+  // run
+  void run_nb_splits(const unsigned int nb_splits)
+  {
+    // fill queue
+    fill_queue();
+
+    unsigned int nb = 0;
+    while(nb < nb_splits)
+    {
+      // get a copy of the candidate edge
+      Edge edge = m_queue.top();
+      m_queue.pop();
+
+      Halfedge_handle he = edge.he();
+      // update point
+      Halfedge_handle hnew = m_pMesh->split_edge(he);
+      hnew->vertex()->point() = CGAL::midpoint(he->vertex()->point(),
+        he->opposite()->vertex()->point());
+
+      // hit has been split into two edges
+      m_queue.push(Edge(hnew));
+      m_queue.push(Edge(he));
+
+      // split facet if possible
+      if(!hnew->is_border())
+      {
+        m_pMesh->split_facet(hnew,hnew->next()->next());
+        m_queue.push(Edge(hnew->next()));
+      }
+
+      // split facet if possible
+      if(!hnew->opposite()->is_border())
+      {
+        m_pMesh->split_facet(hnew->opposite()->next(),
+          hnew->opposite()->next()->next()->next());
+        m_queue.push(Edge(hnew->opposite()->prev()));
+      }
+
+      nb++;
+    } // end while
+  } // end run
+
+
+
+  // run
+  unsigned int operator()(const FT& max_sqlen)
+  {
+    // fill queue
+    fill_queue(max_sqlen);
+
+    unsigned int nb_split = 0;
+    while(!m_queue.empty())
+    {
+      // get a copy of the candidate edge
+      Edge edge = m_queue.top();
+      m_queue.pop();
+
+      Halfedge_handle he = edge.he();
+      FT sqlen = Edge::squared_len(he);
+      if(sqlen > max_sqlen)
+      {
+        // update point
+        Halfedge_handle hnew = m_pMesh->split_edge(he);
+        hnew->vertex()->point() = CGAL::midpoint(he->vertex()->point(),
+          he->opposite()->vertex()->point());
+
+        // hit has been split into two edges
+        m_queue.push(Edge(hnew));
+        m_queue.push(Edge(he));
+
+        // split facet if possible
+        if(!hnew->is_border())
+        {
+          m_pMesh->split_facet(hnew,hnew->next()->next());
+          m_queue.push(Edge(hnew->next()));
+        }
+
+        // split facet if possible
+        if(!hnew->opposite()->is_border())
+        {
+          m_pMesh->split_facet(hnew->opposite()->next(),
+            hnew->opposite()->next()->next()->next());
+          m_queue.push(Edge(hnew->opposite()->prev()));
+        }
+
+        nb_split++;
+      } // end if(sqlen > max_sqlen)
+    } // end while(!m_queue.empty())
+    return nb_split;
+  } // end run
 };
 
 #endif // _REFINER_H_
diff -pruN 5.0.2-3/demo/AABB_tree/Scene.cpp 5.0.3-1/demo/AABB_tree/Scene.cpp
--- 5.0.2-3/demo/AABB_tree/Scene.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/AABB_tree/Scene.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -590,7 +590,7 @@ void Scene::update_bbox()
 }
 
 void Scene::draw(CGAL::QGLViewer* viewer)
-{       
+{
     if(!gl_init)
         initGL();
     if(!are_buffers_initialized)
@@ -857,8 +857,8 @@ void Scene::update_grid_size()
 }
 
 void Scene::generate_points_in(const unsigned int nb_points,
-                               const double min,
-                               const double max)
+                               const double vmin,
+                               const double vmax)
 {
     if(m_pPolyhedron == NULL)
     {
@@ -877,7 +877,7 @@ void Scene::generate_points_in(const uns
     CGAL::Timer timer;
     timer.start();
     std::cout << "Generate " << nb_points << " points in interval ["
-              << min << ";" << max << "]";
+              << vmin << ";" << vmax << "]";
 
     unsigned int nb_trials = 0;
     Vector vec = random_vector();
@@ -894,8 +894,8 @@ void Scene::generate_points_in(const uns
         if(nb_intersections % 2 != 0)
             signed_distance *= -1.0;
 
-        if(signed_distance >= min &&
-                signed_distance <= max)
+        if(signed_distance >= vmin &&
+                signed_distance <= vmax)
         {
             m_points.push_back(p);
             if(m_points.size()%(nb_points/10) == 0)
diff -pruN 5.0.2-3/demo/AABB_tree/Scene.h 5.0.3-1/demo/AABB_tree/Scene.h
--- 5.0.2-3/demo/AABB_tree/Scene.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/demo/AABB_tree/Scene.h	2020-08-01 19:02:08.000000000 +0000
@@ -60,22 +60,22 @@ public:
 public:
     // types
     typedef CGAL::Bbox_3 Bbox;
-    
+
 private:
     typedef CGAL::AABB_face_graph_triangle_primitive<Polyhedron>         Facet_Primitive;
     typedef CGAL::AABB_traits<Kernel, Facet_Primitive>                  Facet_Traits;
     typedef CGAL::AABB_tree<Facet_Traits>                               Facet_tree;
-  
+
     typedef CGAL::AABB_halfedge_graph_segment_primitive<Polyhedron>     Edge_Primitive;
     typedef CGAL::AABB_traits<Kernel, Edge_Primitive>                   Edge_Traits;
     typedef CGAL::AABB_tree<Edge_Traits>                                Edge_tree;
-    
+
     typedef CGAL::qglviewer::ManipulatedFrame ManipulatedFrame;
-    
+
     enum Cut_planes_types {
         NONE, UNSIGNED_FACETS, SIGNED_FACETS, UNSIGNED_EDGES, CUT_SEGMENTS
     };
-  
+
 public:
     QGLContext* context;
     void draw(CGAL::QGLViewer*);
@@ -102,7 +102,7 @@ private:
     FT m_max_distance_function;
     typedef std::pair<Point,FT> Point_distance;
     Point_distance m_distance_function[100][100];
-  
+
     // frame
     ManipulatedFrame* m_frame;
     bool m_view_plane;
@@ -112,10 +112,10 @@ private:
     // An aabb_tree indexing polyhedron facets/segments
     Facet_tree m_facet_tree;
     Edge_tree m_edge_tree;
-    
+
     Cut_planes_types m_cut_plane;
     bool are_buffers_initialized;
-  
+
 private:
     // utility functions
     Vector random_vector();
@@ -135,7 +135,7 @@ private:
 
     template <typename Tree>
     void compute_distance_function(const Tree& tree);
-    
+
     template <typename Tree>
     void sign_distance_function(const Tree& tree);
 
@@ -182,7 +182,7 @@ public:
     void clear_points() { m_points.clear(); changed(); }
     void clear_segments() { m_segments.clear(); changed(); }
     void clear_cutting_plane();
-    
+
     // fast distance setter
     void set_fast_distance(bool b) { m_fast_distance = b; update_grid_size(); }
 
@@ -192,13 +192,13 @@ public:
     void generate_boundary_points(const unsigned int nb_points);
     void generate_boundary_segments(const unsigned int nb_slices);
     void generate_points_in(const unsigned int nb_points,
-        const double min, const double max);
+        const double vmin, const double vmax);
 
     // algorithms/refine
     void refine_loop();
     void refine_bisection(const FT max_sqlen);
 
-    // distance functions 
+    // distance functions
     void signed_distance_function();
     void unsigned_distance_function();
     void unsigned_distance_function_to_edges();
@@ -215,7 +215,7 @@ public:
     bool m_view_segments;
     bool m_view_polyhedron;
 
-    // benchmarks 
+    // benchmarks
     enum {DO_INTERSECT,
         ANY_INTERSECTION,
         NB_INTERSECTIONS,
@@ -254,7 +254,7 @@ public:
     //timer sends a top when all the events are finished
     void timerEvent(QTimerEvent *);
 
-  
+
 public slots:
     // cutting plane
     void cutting_plane(bool override = false);
diff -pruN 5.0.2-3/demo/AABB_tree/Viewer.cpp 5.0.3-1/demo/AABB_tree/Viewer.cpp
--- 5.0.2-3/demo/AABB_tree/Viewer.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/AABB_tree/Viewer.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -42,7 +42,7 @@ void Viewer::mousePressEvent(QMouseEvent
     m_pScene->cutting_plane(true);
     m_custom_mouse = true;
   }
-  
+
   CGAL::QGLViewer::mousePressEvent(e);
 }
 
@@ -55,10 +55,10 @@ void Viewer::mouseReleaseEvent(QMouseEve
     QApplication::setOverrideCursor(Qt::WaitCursor);
     m_pScene->cutting_plane(true);
     QApplication::restoreOverrideCursor();
-      
+
     m_custom_mouse = false;
   }
-  
+
   CGAL::QGLViewer::mouseReleaseEvent(e);
 }
 
diff -pruN 5.0.2-3/demo/AABB_tree/Viewer.h 5.0.3-1/demo/AABB_tree/Viewer.h
--- 5.0.2-3/demo/AABB_tree/Viewer.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/demo/AABB_tree/Viewer.h	2020-08-01 19:02:08.000000000 +0000
@@ -22,7 +22,7 @@ public:
 protected:
   virtual void mousePressEvent(QMouseEvent* e);
   virtual void mouseReleaseEvent(QMouseEvent* e);
-  
+
 private:
   Scene* m_pScene;
   bool m_custom_mouse;
diff -pruN 5.0.2-3/demo/Alpha_shapes_2/Alpha_shapes_2.cpp 5.0.3-1/demo/Alpha_shapes_2/Alpha_shapes_2.cpp
--- 5.0.2-3/demo/Alpha_shapes_2/Alpha_shapes_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Alpha_shapes_2/Alpha_shapes_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -25,7 +25,7 @@
 
 // for viewportsBbox
 #include <CGAL/Qt/utility.h>
-  
+
 // the two base classes
 #include "ui_Alpha_shapes_2.h"
 #include <CGAL/Qt/DemosMainWindow.h>
@@ -48,12 +48,12 @@ class MainWindow :
   public Ui::Alpha_shapes_2
 {
   Q_OBJECT
-  
-private:  
+
+private:
   double alpha;
   std::vector<Point_2> points;
-  Alpha_shape_2 as; 
-  QGraphicsScene scene;  
+  Alpha_shape_2 as;
+  QGraphicsScene scene;
 
   CGAL::Qt::AlphaShapeGraphicsItem<Alpha_shape_2> * agi;
   CGAL::Qt::GraphicsViewPolylineInput<K> * pi;
@@ -93,7 +93,7 @@ MainWindow::MainWindow()
   agi = new CGAL::Qt::AlphaShapeGraphicsItem<Alpha_shape_2>(&as);
 
   QObject::connect(this, SIGNAL(changed()),
-		   agi, SLOT(modelChanged()));
+                   agi, SLOT(modelChanged()));
 
   agi->setVerticesPen(QPen(Qt::red, 3, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   agi->setEdgesPen(QPen(Qt::lightGray, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
@@ -102,30 +102,30 @@ MainWindow::MainWindow()
   agi->setRegularFacesBrush(QBrush(Qt::cyan));
   scene.addItem(agi);
 
-  // 
+  //
   // Manual handling of actions
   //
 
 
-  QObject::connect(this->alphaSlider, SIGNAL(valueChanged(int)), 
-		   this, SLOT(alphaChanged(int)));
+  QObject::connect(this->alphaSlider, SIGNAL(valueChanged(int)),
+                   this, SLOT(alphaChanged(int)));
 
   QObject::connect(this->alphaBox, SIGNAL(valueChanged(int)),
-		   this, SLOT(alphaChanged(int)));
+                   this, SLOT(alphaChanged(int)));
 
-  QObject::connect(this->alphaSlider, SIGNAL(valueChanged(int)), 
-		   this->alphaBox, SLOT(setValue(int)));
+  QObject::connect(this->alphaSlider, SIGNAL(valueChanged(int)),
+                   this->alphaBox, SLOT(setValue(int)));
 
-  QObject::connect(this->alphaBox, SIGNAL(valueChanged(int)), 
-		   this->alphaSlider, SLOT(setValue(int)));
+  QObject::connect(this->alphaBox, SIGNAL(valueChanged(int)),
+                   this->alphaSlider, SLOT(setValue(int)));
 
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   this, SLOT(close()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   this, SLOT(close()));
 
   pi = new CGAL::Qt::GraphicsViewPolylineInput<K>(this, &scene, 1, false); // inputs a list with one point
   QObject::connect(pi, SIGNAL(generate(CGAL::Object)),
-		   this, SLOT(processInput(CGAL::Object)));
-   
+                   this, SLOT(processInput(CGAL::Object)));
+
   scene.installEventFilter(pi);
   //this->actionShowAlphaShape->setChecked(true);
 
@@ -139,7 +139,7 @@ MainWindow::MainWindow()
 
   // Turn the vertical axis upside down
   this->graphicsView->matrix().scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -151,7 +151,7 @@ MainWindow::MainWindow()
 
   this->addRecentFiles(this->menuFile, this->actionQuit);
   connect(this, SIGNAL(openRecentFile(QString)),
-	  this, SLOT(open(QString)));
+          this, SLOT(open(QString)));
 }
 
 
@@ -189,10 +189,10 @@ void MainWindow::alphaChanged(int i)
   Q_EMIT( changed());
 }
 
-/* 
+/*
  *  Qt Automatic Connections
  *  https://doc.qt.io/qt-5/designer-using-a-ui-file.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -212,20 +212,20 @@ void
 MainWindow::on_actionInsertRandomPoints_triggered()
 {
   QRectF rect = CGAL::Qt::viewportsBbox(&scene);
-  CGAL::Qt::Converter<K> convert;  
+  CGAL::Qt::Converter<K> convert;
   Iso_rectangle_2 isor = convert(rect);
   CGAL::Random_points_in_iso_rectangle_2<Point_2> pg((isor.min)(), (isor.max)());
   bool ok = false;
 
-  const int number_of_points = 
-    QInputDialog::getInt(this, 
+  const int number_of_points =
+    QInputDialog::getInt(this,
                              tr("Number of random points"),
                              tr("Enter number of random points"),
-			     100,
-			     0,
-			     (std::numeric_limits<int>::max)(),
-			     1,
-			     &ok);
+                             100,
+                             0,
+                             (std::numeric_limits<int>::max)(),
+                             1,
+                             &ok);
 
   if(!ok) {
     return;
@@ -250,7 +250,7 @@ void
 MainWindow::on_actionLoadPoints_triggered()
 {
   QString fileName = QFileDialog::getOpenFileName(this,
-						  tr("Open Points file"),
+                                                  tr("Open Points file"),
                                                   ".",
                                                   tr("CGAL files (*.pts.cgal);;"
                                                    #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
@@ -292,7 +292,7 @@ MainWindow::open(QString fileName)
   this->addToRecentFiles(fileName);
   actionRecenter->trigger();
   Q_EMIT( changed());
-    
+
 }
 
 
@@ -302,7 +302,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(agi->boundingRect());
-  this->graphicsView->fitInView(agi->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(agi->boundingRect(), Qt::KeepAspectRatio);
 }
 
 
diff -pruN 5.0.2-3/demo/Alpha_shapes_3/Alpha_shape_3.cpp 5.0.3-1/demo/Alpha_shapes_3/Alpha_shape_3.cpp
--- 5.0.2-3/demo/Alpha_shapes_3/Alpha_shape_3.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/Alpha_shapes_3/Alpha_shape_3.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -9,7 +9,7 @@
 int main(int argc, char** argv)
 {
  QApplication application(argc,argv);
- 
+
   application.setOrganizationDomain("geometryfactory.com");
   application.setOrganizationName("GeometryFactory");
   application.setApplicationName("Alpha Shape Reconstruction");
@@ -23,7 +23,7 @@ int main(int argc, char** argv)
 
   CGAL_QT_INIT_RESOURCES;
   Q_INIT_RESOURCE(Alpha_shape_3);
-  
+
   MainWindow mw;
   mw.show();
 
diff -pruN 5.0.2-3/demo/Alpha_shapes_3/MainWindow.cpp 5.0.3-1/demo/Alpha_shapes_3/MainWindow.cpp
--- 5.0.2-3/demo/Alpha_shapes_3/MainWindow.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/Alpha_shapes_3/MainWindow.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -11,37 +11,37 @@ MainWindow::MainWindow(QWidget* parent):
 
   this->addRecentFiles(this->menuFile, this->actionQuit);
   connect(this, SIGNAL(openRecentFile(QString)),
-	  this, SLOT(open(QString)));
+          this, SLOT(open(QString)));
 }
 
 
 void
 MainWindow::connectActions()
 {
-  QObject::connect(this->actionLoad_New_File, SIGNAL(triggered()), 
-		   this, SLOT(open_file()));
+  QObject::connect(this->actionLoad_New_File, SIGNAL(triggered()),
+                   this, SLOT(open_file()));
 
-  QObject::connect(this->alphaSlider, SIGNAL(valueChanged(int)), 
-		   this, SLOT(alphaChanged(int)));
+  QObject::connect(this->alphaSlider, SIGNAL(valueChanged(int)),
+                   this, SLOT(alphaChanged(int)));
 
   QObject::connect(this->alphaBox, SIGNAL(valueChanged(int)),
-		   this, SLOT(alphaChanged(int)));
+                   this, SLOT(alphaChanged(int)));
 
-  QObject::connect(this->alphaSlider, SIGNAL(valueChanged(int)), 
-		   this->alphaBox, SLOT(setValue(int)));
+  QObject::connect(this->alphaSlider, SIGNAL(valueChanged(int)),
+                   this->alphaBox, SLOT(setValue(int)));
 
-  QObject::connect(this->alphaBox, SIGNAL(valueChanged(int)), 
-		   this->alphaSlider, SLOT(setValue(int)));
+  QObject::connect(this->alphaBox, SIGNAL(valueChanged(int)),
+                   this->alphaSlider, SLOT(setValue(int)));
 
-  QObject::connect(this, SIGNAL(sceneChanged()), 
-		   this->viewer, SLOT(sceneChanged()));
+  QObject::connect(this, SIGNAL(sceneChanged()),
+                   this->viewer, SLOT(sceneChanged()));
 
-  QObject::connect(this, SIGNAL(alphaChanged()), 
-		   this->viewer, SLOT(update()));
+  QObject::connect(this, SIGNAL(alphaChanged()),
+                   this->viewer, SLOT(update()));
 
 
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   qApp, SLOT(quit()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   qApp, SLOT(quit()));
 }
 
 void
@@ -49,8 +49,8 @@ MainWindow::open_file()
 {
 
   QString fileName = QFileDialog::getOpenFileName(this,
-						  tr("Open Points File"),
-						  "./data",
+                                                  tr("Open Points File"),
+                                                  "./data",
                                                   tr("pts files (*.pts)"));
 
   if(! fileName.isEmpty()){
@@ -59,7 +59,7 @@ MainWindow::open_file()
 }
 
 
-void 
+void
 MainWindow::alphaChanged(int i)
 {
   if (scene.alpha_shape.number_of_alphas() > 0){
@@ -74,7 +74,7 @@ MainWindow::alphaChanged(int i)
   } else {
     scene.alpha_shape.set_alpha(0);
   }
-  viewer->alphaChanged();  
+  viewer->alphaChanged();
   Q_EMIT(alphaChanged());
 }
 
@@ -97,7 +97,7 @@ MainWindow::open(QString fileName)
   scene.alpha_shape.make_alpha_shape(scene.points.begin(), scene.points.end());
   scene.alpha_shape.set_alpha(16);
   timer.stop();
-  
+
 
   alphaSlider->setRange(0,100);
   alphaSlider->setSliderPosition(50);
diff -pruN 5.0.2-3/demo/Alpha_shapes_3/Viewer.cpp 5.0.3-1/demo/Alpha_shapes_3/Viewer.cpp
--- 5.0.2-3/demo/Alpha_shapes_3/Viewer.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/Alpha_shapes_3/Viewer.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -170,7 +170,7 @@ void Viewer::initialize_buffers()
     buffers[0].release();
 
     buffers[1].bind();
-    buffers[1].allocate(normals.data(), 
+    buffers[1].allocate(normals.data(),
                         static_cast<int>(normals.size()*sizeof(float)));
     normalsLocation = rendering_program.attributeLocation("normal");
     rendering_program.bind();
@@ -216,18 +216,18 @@ void Viewer::attrib_buffers(CGAL::QGLVie
         mvMatrix.data()[i] = (float)mat[i];
     }
     // define material
-     QVector4D	ambient(0.25f, 0.20725f, 0.20725f, 0.922f);
-     QVector4D	diffuse( 1.0f,
+     QVector4D        ambient(0.25f, 0.20725f, 0.20725f, 0.922f);
+     QVector4D        diffuse( 1.0f,
                             0.829f,
                             0.829f,
                             0.922f );
 
-    QVector4D	specular(  0.6f,
+    QVector4D        specular(  0.6f,
                             0.6f,
                             0.6f,
                             1.0f );
 
-    QVector4D	position(0.0f,0.0f,1.0f,1.0f );
+    QVector4D        position(0.0f,0.0f,1.0f,1.0f );
      GLfloat shininess =  11.264f;
 
 
@@ -273,11 +273,11 @@ Viewer::sceneChanged()
 {
 
   Iso_cuboid_3 bb = CGAL::bounding_box(scene->points.begin(), scene->points.end());
-   
+
   this->camera()->setSceneBoundingBox(CGAL::qglviewer::Vec(bb.xmin(), bb.ymin(), bb.zmin()),
-				      CGAL::qglviewer::Vec(bb.xmax(),
-						     bb.ymax(),
-						     bb.zmax()));
+                                      CGAL::qglviewer::Vec(bb.xmax(),
+                                                     bb.ymax(),
+                                                     bb.zmax()));
 
   this->showEntireScene();
 
diff -pruN 5.0.2-3/demo/Apollonius_graph_2/Apollonius_graph_2.cpp 5.0.3-1/demo/Apollonius_graph_2/Apollonius_graph_2.cpp
--- 5.0.2-3/demo/Apollonius_graph_2/Apollonius_graph_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Apollonius_graph_2/Apollonius_graph_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -27,7 +27,7 @@
 
 // for viewportsBbox
 #include <CGAL/Qt/utility.h>
-  
+
 // the two base classes
 #include "ui_Apollonius_graph_2.h"
 #include <CGAL/Qt/DemosMainWindow.h>
@@ -51,10 +51,10 @@ class MainWindow :
   public Ui::Apollonius_graph_2
 {
   Q_OBJECT
-  
-private:  
-  Apollonius ag; 
-  QGraphicsScene scene;  
+
+private:
+  Apollonius ag;
+  QGraphicsScene scene;
 
   CGAL::Qt::ApolloniusGraphGraphicsItem<Apollonius,K> * agi;
   CGAL::Qt::GraphicsViewCircleInput<K> * ci;
@@ -65,7 +65,7 @@ public:
 public Q_SLOTS:
 
   void processInput(CGAL::Object o);
-  
+
   void on_actionInsertRandomPoints_triggered();
 
   void on_actionLoadPoints_triggered();
@@ -93,28 +93,28 @@ MainWindow::MainWindow()
   agi = new CGAL::Qt::ApolloniusGraphGraphicsItem<Apollonius, K>(&ag);
 
   QObject::connect(this, SIGNAL(changed()),
-		   agi, SLOT(modelChanged()));
+                   agi, SLOT(modelChanged()));
 
   agi->setSitesPen(QPen(Qt::red, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   agi->setEdgesPen(QPen(Qt::blue, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   scene.addItem(agi);
 
   // Setup input handlers. They get events before the scene gets them
-  // and the input they generate is passed to the triangulation with 
-  // the signal/slot mechanism    
+  // and the input they generate is passed to the triangulation with
+  // the signal/slot mechanism
 
   ci = new CGAL::Qt::GraphicsViewCircleInput<K>(this, &scene);
   QObject::connect(ci, SIGNAL(generate(CGAL::Object)),
-		   this, SLOT(processInput(CGAL::Object)));
+                   this, SLOT(processInput(CGAL::Object)));
 
   scene.installEventFilter(ci);
 
-  // 
+  //
   // Manual handling of actions
   //
 
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   this, SLOT(close()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   this, SLOT(close()));
 
   //
   // Setup the scene and the view
@@ -126,7 +126,7 @@ MainWindow::MainWindow()
 
   // Turn the vertical axis upside down
   this->graphicsView->matrix().scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -138,7 +138,7 @@ MainWindow::MainWindow()
 
   this->addRecentFiles(this->menuFile, this->actionQuit);
   connect(this, SIGNAL(openRecentFile(QString)),
-	  this, SLOT(open(QString)));
+          this, SLOT(open(QString)));
 }
 
 
@@ -153,10 +153,10 @@ MainWindow::processInput(CGAL::Object o)
 }
 
 
-/* 
+/*
  *  Qt Automatic Connections
  *  https://doc.qt.io/qt-5/designer-using-a-ui-file.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -174,22 +174,22 @@ void
 MainWindow::on_actionInsertRandomPoints_triggered()
 {
   QRectF rect = CGAL::Qt::viewportsBbox(&scene);
-  CGAL::Qt::Converter<K> convert;  
+  CGAL::Qt::Converter<K> convert;
   Iso_rectangle_2 isor = convert(rect);
   double width = isor.xmax() - isor.xmin();
-  
+
   CGAL::Random_points_in_iso_rectangle_2<Point_2> pg((isor.min)(), (isor.max)());
   bool ok = false;
 
-  const int number_of_points = 
-    QInputDialog::getInt(this, 
+  const int number_of_points =
+    QInputDialog::getInt(this,
                              tr("Number of random points"),
                              tr("Enter number of random points"),
-							 100,
-							 0,
-							(std::numeric_limits<int>::max)(),
-							1,
-							&ok);
+                                                         100,
+                                                         0,
+                                                        (std::numeric_limits<int>::max)(),
+                                                        1,
+                                                        &ok);
 
   if(!ok) {
     return;
@@ -217,7 +217,7 @@ void
 MainWindow::on_actionLoadPoints_triggered()
 {
   QString fileName = QFileDialog::getOpenFileName(this,
-						  tr("Open Points file"),
+                                                  tr("Open Points file"),
                                                   ".",
                                                   tr("CGAL files (*.wpts.cgal);;"
                                                    #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
@@ -308,7 +308,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(agi->boundingRect());
-  this->graphicsView->fitInView(agi->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(agi->boundingRect(), Qt::KeepAspectRatio);
 }
 
 
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/ArrangementCurveInputCallback.h 5.0.3-1/demo/Arrangement_on_surface_2/ArrangementCurveInputCallback.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/ArrangementCurveInputCallback.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/ArrangementCurveInputCallback.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/ArrangementCurveInputCallback.h $
-// $Id: ArrangementCurveInputCallback.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/ArrangementCurveInputCallback.h $
+// $Id: ArrangementCurveInputCallback.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Alex Tsui <alextsui05@gmail.com>
@@ -64,7 +64,7 @@ public:
       CGAL::insert( *( this->arrangement ), box.begin( ), box.end( ) );
     }
 #endif
-    
+
     Q_EMIT CGAL::Qt::GraphicsViewInput::modelChanged( );
   }
 
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/ArrangementDemoGraphicsView.cpp 5.0.3-1/demo/Arrangement_on_surface_2/ArrangementDemoGraphicsView.cpp
--- 5.0.2-3/demo/Arrangement_on_surface_2/ArrangementDemoGraphicsView.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/ArrangementDemoGraphicsView.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -109,10 +109,10 @@ QRectF ArrangementDemoGraphicsView::getV
   QPointF p1 = this->mapToScene( 0, 0 );
   QPointF p2 = this->mapToScene( this->width( ), this->height( ) );
 
-  double xmin = std::min( p1.x( ), p2.x( ) );
-  double xmax = std::max( p1.x( ), p2.x( ) );
-  double ymin = std::min( p1.y( ), p2.y( ) );
-  double ymax = std::max( p1.y( ), p2.y( ) );
+  double xmin = (std::min)( p1.x( ), p2.x( ) );
+  double xmax = (std::max)( p1.x( ), p2.x( ) );
+  double ymin = (std::min)( p1.y( ), p2.y( ) );
+  double ymax = (std::max)( p1.y( ), p2.y( ) );
 
   QRectF res = QRectF( QPointF( xmin, ymin ), QPointF( xmax, ymax ) );
 
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/ArrangementDemoGraphicsView.h 5.0.3-1/demo/Arrangement_on_surface_2/ArrangementDemoGraphicsView.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/ArrangementDemoGraphicsView.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/ArrangementDemoGraphicsView.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/ArrangementDemoGraphicsView.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/ArrangementDemoGraphicsView.h $
 // $Id: ArrangementDemoGraphicsView.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/ArrangementDemoPropertiesDialog.h 5.0.3-1/demo/Arrangement_on_surface_2/ArrangementDemoPropertiesDialog.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/ArrangementDemoPropertiesDialog.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/ArrangementDemoPropertiesDialog.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/ArrangementDemoPropertiesDialog.h $
-// $Id: ArrangementDemoPropertiesDialog.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/ArrangementDemoPropertiesDialog.h $
+// $Id: ArrangementDemoPropertiesDialog.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Alex Tsui <alextsui05@gmail.com>
@@ -49,7 +49,7 @@ class ArrangementDemoPropertiesDialog :
 protected:
   void setupUi( );
   void updateUi( );
-    
+
   ArrangementDemoWindow* parent;
   Ui::ArrangementDemoPropertiesDialog* ui;
 }; // class ArrangementDemoPropertiesDialog
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/ArrangementDemoTab.cpp 5.0.3-1/demo/Arrangement_on_surface_2/ArrangementDemoTab.cpp
--- 5.0.2-3/demo/Arrangement_on_surface_2/ArrangementDemoTab.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/ArrangementDemoTab.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -32,7 +32,7 @@ ArrangementDemoTabBase::ArrangementDemoT
 }
 
 ArrangementDemoTabBase::~ArrangementDemoTabBase( )
-{ 
+{
 }
 
 void ArrangementDemoTabBase::setupUi( )
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/ArrangementDemoTab.h 5.0.3-1/demo/Arrangement_on_surface_2/ArrangementDemoTab.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/ArrangementDemoTab.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/ArrangementDemoTab.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/ArrangementDemoTab.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/ArrangementDemoTab.h $
 // $Id: ArrangementDemoTab.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/ArrangementSegmentInputCallback.h 5.0.3-1/demo/Arrangement_on_surface_2/ArrangementSegmentInputCallback.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/ArrangementSegmentInputCallback.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/ArrangementSegmentInputCallback.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/ArrangementSegmentInputCallback.h $
-// $Id: ArrangementSegmentInputCallback.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/ArrangementSegmentInputCallback.h $
+// $Id: ArrangementSegmentInputCallback.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Alex Tsui <alextsui05@gmail.com>
@@ -80,7 +80,7 @@ processInput( CGAL::Object o )
     Curve_2 curve = this->construct_x_monotone_curve_2( p1, p2 );
     CGAL::insert( *( this->arrangement ), curve );
   }
-    
+
   Q_EMIT CGAL::Qt::GraphicsViewInput::modelChanged( );
 }
 
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/Callback.h 5.0.3-1/demo/Arrangement_on_surface_2/Callback.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/Callback.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/Callback.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/Callback.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/Callback.h $
 // $Id: Callback.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/CMakeLists.txt 5.0.3-1/demo/Arrangement_on_surface_2/CMakeLists.txt
--- 5.0.2-3/demo/Arrangement_on_surface_2/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -18,7 +18,7 @@ find_package( Qt5 QUIET COMPONENTS Gui W
 
 if ( CGAL_FOUND AND CGAL_Qt5_FOUND AND Qt5_FOUND AND CGAL_Core_FOUND)
   include(${CGAL_USE_FILE})
-  
+
   include_directories( ./ )
   # Arrangement package includes
   add_definitions(-DQT_NO_KEYWORDS)
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/Conic_reader.h 5.0.3-1/demo/Arrangement_on_surface_2/Conic_reader.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/Conic_reader.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/Conic_reader.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/Conic_reader.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/Conic_reader.h $
 // $Id: Conic_reader.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/CurveGraphicsItem.h 5.0.3-1/demo/Arrangement_on_surface_2/CurveGraphicsItem.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/CurveGraphicsItem.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/CurveGraphicsItem.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/CurveGraphicsItem.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/CurveGraphicsItem.h $
 // $Id: CurveGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/DeleteCurveCallback.h 5.0.3-1/demo/Arrangement_on_surface_2/DeleteCurveCallback.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/DeleteCurveCallback.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/DeleteCurveCallback.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/DeleteCurveCallback.h $
-// $Id: DeleteCurveCallback.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/DeleteCurveCallback.h $
+// $Id: DeleteCurveCallback.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Alex Tsui <alextsui05@gmail.com>
@@ -104,7 +104,7 @@ void DeleteCurveCallback< Arr_ >::reset(
 }
 
 template < typename Arr_ >
-void 
+void
 DeleteCurveCallback<Arr_>::mousePressEvent(QGraphicsSceneMouseEvent* /* event */)
 {
   if ( this->removableHalfedge == Halfedge_handle( ) )
@@ -144,7 +144,7 @@ mouseMoveEvent( QGraphicsSceneMouseEvent
 }
 
 template < typename Arr_ >
-void 
+void
 DeleteCurveCallback< Arr_ >::
 highlightNearestCurve( QGraphicsSceneMouseEvent* event )
 {
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/DeleteCurveMode.h 5.0.3-1/demo/Arrangement_on_surface_2/DeleteCurveMode.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/DeleteCurveMode.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/DeleteCurveMode.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/DeleteCurveMode.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/DeleteCurveMode.h $
 // $Id: DeleteCurveMode.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/DeleteCurveModeItemEditor.h 5.0.3-1/demo/Arrangement_on_surface_2/DeleteCurveModeItemEditor.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/DeleteCurveModeItemEditor.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/DeleteCurveModeItemEditor.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/DeleteCurveModeItemEditor.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/DeleteCurveModeItemEditor.h $
 // $Id: DeleteCurveModeItemEditor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/EnvelopeCallback.h 5.0.3-1/demo/Arrangement_on_surface_2/EnvelopeCallback.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/EnvelopeCallback.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/EnvelopeCallback.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/EnvelopeCallback.h $
-// $Id: EnvelopeCallback.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/EnvelopeCallback.h $
+// $Id: EnvelopeCallback.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Alex Tsui <alextsui05@gmail.com>
@@ -146,7 +146,7 @@ protected:
   void updateEnvelope(bool lower,
                       CGAL::Arr_algebraic_segment_traits_2<Coefficient_>
                       traits);
-  
+
   Construct_x_monotone_subcurve_2< Traits > construct_x_monotone_subcurve_2;
   Arrangement* arr;
   CGAL::Qt::CurveGraphicsItem< Traits >* lowerEnvelope;
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/FillFaceCallback.h 5.0.3-1/demo/Arrangement_on_surface_2/FillFaceCallback.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/FillFaceCallback.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/FillFaceCallback.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/FillFaceCallback.h $
-// $Id: FillFaceCallback.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/FillFaceCallback.h $
+// $Id: FillFaceCallback.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Alex Tsui <alextsui05@gmail.com>
@@ -126,12 +126,12 @@ void FillFaceCallback<Arr_>::mousePressE
 }
 
 template < class Arr_ >
-void 
+void
 FillFaceCallback< Arr_ >::mouseMoveEvent(QGraphicsSceneMouseEvent* /* event */)
 { }
 
 template < class Arr_ >
-void 
+void
 FillFaceCallback< Arr_ >::
 fillFace( QGraphicsSceneMouseEvent* event )
 {
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/GraphicsViewCurveInput.cpp 5.0.3-1/demo/Arrangement_on_surface_2/GraphicsViewCurveInput.cpp
--- 5.0.2-3/demo/Arrangement_on_surface_2/GraphicsViewCurveInput.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/GraphicsViewCurveInput.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -60,7 +60,7 @@ GraphicsViewCurveInputBase::mouseMoveEve
 
 void GraphicsViewCurveInputBase::
 mousePressEvent(QGraphicsSceneMouseEvent* /* event */)
-{ 
+{
   // std::cout << "GraphicsViewCurveInputBase::mousePressEvent" << std::endl;
 }
 
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/GraphicsViewCurveInput.h 5.0.3-1/demo/Arrangement_on_surface_2/GraphicsViewCurveInput.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/GraphicsViewCurveInput.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/GraphicsViewCurveInput.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/GraphicsViewCurveInput.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/GraphicsViewCurveInput.h $
 // $Id: GraphicsViewCurveInput.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/GraphicsViewSegmentInput.h 5.0.3-1/demo/Arrangement_on_surface_2/GraphicsViewSegmentInput.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/GraphicsViewSegmentInput.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/GraphicsViewSegmentInput.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/GraphicsViewSegmentInput.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/GraphicsViewSegmentInput.h $
 // $Id: GraphicsViewSegmentInput.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/ISnappable.h 5.0.3-1/demo/Arrangement_on_surface_2/ISnappable.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/ISnappable.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/ISnappable.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/ISnappable.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/ISnappable.h $
 // $Id: ISnappable.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/MergeEdgeCallback.h 5.0.3-1/demo/Arrangement_on_surface_2/MergeEdgeCallback.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/MergeEdgeCallback.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/MergeEdgeCallback.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/MergeEdgeCallback.h $
-// $Id: MergeEdgeCallback.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/MergeEdgeCallback.h $
+// $Id: MergeEdgeCallback.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Alex Tsui <alextsui05@gmail.com>
@@ -127,7 +127,7 @@ void MergeEdgeCallback<Arr_>::mousePress
   }
   else
   {
-    Halfedge_handle nextHalfedge = 
+    Halfedge_handle nextHalfedge =
       this->getNearestMergeableCurve( this->mergeableHalfedge, event );
     this->arr->merge_edge( this->mergeableHalfedge, nextHalfedge );
     this->reset( );
@@ -152,7 +152,7 @@ void MergeEdgeCallback<Arr_>::mouseMoveE
   }
   else
   {
-    Halfedge_handle nextHalfedge = 
+    Halfedge_handle nextHalfedge =
       this->getNearestMergeableCurve( this->mergeableHalfedge, event );
     this->highlightedCurve2->clear( );
     this->highlightedCurve2->insert( nextHalfedge->curve( ) );
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/NewTabDialog.cpp 5.0.3-1/demo/Arrangement_on_surface_2/NewTabDialog.cpp
--- 5.0.2-3/demo/Arrangement_on_surface_2/NewTabDialog.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/NewTabDialog.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -20,7 +20,7 @@ NewTabDialog::NewTabDialog( QWidget* par
   buttonGroup( new QButtonGroup )
 {
   this->ui->setupUi( this );
-    
+
   this->buttonGroup->addButton( this->ui->segmentRadioButton,
                                 ArrangementDemoWindow::SEGMENT_TRAITS );
   this->buttonGroup->addButton( this->ui->polylineRadioButton,
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/NewTabDialog.h 5.0.3-1/demo/Arrangement_on_surface_2/NewTabDialog.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/NewTabDialog.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/NewTabDialog.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/NewTabDialog.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/NewTabDialog.h $
 // $Id: NewTabDialog.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/OverlayDialog.h 5.0.3-1/demo/Arrangement_on_surface_2/OverlayDialog.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/OverlayDialog.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/OverlayDialog.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/OverlayDialog.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/OverlayDialog.h $
 // $Id: OverlayDialog.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/PointLocationCallback.h 5.0.3-1/demo/Arrangement_on_surface_2/PointLocationCallback.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/PointLocationCallback.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/PointLocationCallback.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/PointLocationCallback.h $
-// $Id: PointLocationCallback.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/PointLocationCallback.h $
+// $Id: PointLocationCallback.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Alex Tsui <alextsui05@gmail.com>
@@ -103,7 +103,7 @@ PointLocationCallback( Arrangement* arr_
   pointLocationStrategy( CGAL::make_object( new Walk_pl_strategy( *arr_ ) ) ),
   arr( arr_ ),
   highlightedCurves( new CGAL::Qt::CurveGraphicsItem< Traits >( ) )
-{ 
+{
   QObject::connect( this, SIGNAL( modelChanged( ) ),
                     this->highlightedCurves, SLOT( modelChanged( ) ) );
 }
@@ -131,7 +131,7 @@ reset( )
 }
 
 template < typename Arr_ >
-void 
+void
 PointLocationCallback< Arr_ >::
 mousePressEvent( QGraphicsSceneMouseEvent* event )
 {
@@ -172,7 +172,7 @@ highlightPointLocation( QGraphicsSceneMo
       this->highlightedCurves->insert( curve );
     } while ( ++cc != face->outer_ccb( ) );
   }
-  Hole_const_iterator hit; 
+  Hole_const_iterator hit;
   Hole_const_iterator eit = face->holes_end( );
   for ( hit = face->holes_begin( ); hit != eit; ++hit )
   { // highlight any holes inside this face
@@ -205,7 +205,7 @@ highlightPointLocation( QGraphicsSceneMo
       this->highlightedCurves->insert( curve );
     }
   } while ( ++cc != face->outer_ccb( ) );
-  Hole_const_iterator hit; 
+  Hole_const_iterator hit;
   Hole_const_iterator eit = face->holes_end( );
   for ( hit = face->holes_begin( ); hit != eit; ++hit )
   { // highlight any holes inside this face
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/PointsGraphicsItem.h 5.0.3-1/demo/Arrangement_on_surface_2/PointsGraphicsItem.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/PointsGraphicsItem.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/PointsGraphicsItem.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/PointsGraphicsItem.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/PointsGraphicsItem.h $
 // $Id: PointsGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/PropertyValueDelegate.cpp 5.0.3-1/demo/Arrangement_on_surface_2/PropertyValueDelegate.cpp
--- 5.0.2-3/demo/Arrangement_on_surface_2/PropertyValueDelegate.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/PropertyValueDelegate.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -20,7 +20,7 @@
 
 PropertyValueDelegate::PropertyValueDelegate( QObject* parent ):
   QItemDelegate( parent )
-{ 
+{
   QItemEditorFactory* factory = new QItemEditorFactory;
   QItemEditorCreatorBase* creator =
     new QStandardItemEditorCreator< PositiveSpinBox >( );
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/PropertyValueDelegate.h 5.0.3-1/demo/Arrangement_on_surface_2/PropertyValueDelegate.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/PropertyValueDelegate.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/PropertyValueDelegate.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/PropertyValueDelegate.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/PropertyValueDelegate.h $
 // $Id: PropertyValueDelegate.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/SplitEdgeCallback.h 5.0.3-1/demo/Arrangement_on_surface_2/SplitEdgeCallback.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/SplitEdgeCallback.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/SplitEdgeCallback.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/SplitEdgeCallback.h $
-// $Id: SplitEdgeCallback.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/SplitEdgeCallback.h $
+// $Id: SplitEdgeCallback.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Alex Tsui <alextsui05@gmail.com>
@@ -73,7 +73,7 @@ public:
   void setScene( QGraphicsScene* scene_ );
   virtual void setColor( QColor c );
   void reset( );
-    
+
   void slotModelChanged( );
 
 protected:
@@ -249,7 +249,7 @@ splitEdges(const Point_2& /* clickedPoin
 }
 
 template < typename Arr_ >
-void 
+void
 SplitEdgeCallback< Arr_ >::mouseMoveEvent( QGraphicsSceneMouseEvent* event )
 {
   Point_2 clickedPoint = this->snapPoint( event );
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/tests/TestAlgebraic.cpp 5.0.3-1/demo/Arrangement_on_surface_2/tests/TestAlgebraic.cpp
--- 5.0.2-3/demo/Arrangement_on_surface_2/tests/TestAlgebraic.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/tests/TestAlgebraic.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -37,7 +37,7 @@ X_monotone_curve_2 makeVerticalLine( Bou
     Traits traits;
     Traits::Construct_point_2 constructPoint =
         traits.construct_point_2_object( );
-    Traits::Construct_x_monotone_segment_2 constructSegment = 
+    Traits::Construct_x_monotone_segment_2 constructSegment =
         traits.construct_x_monotone_segment_2_object( );
 
     std::vector< X_monotone_curve_2 > curves;
@@ -55,7 +55,7 @@ int main( )
     Algebraic_real_1 real( 1 );
     //CGAL::Qt::Converter< Algebraic_kernel_d_2 > testConverter;
     //CGAL::Qt::Converter< CKvA_2 > testConverter;
-    
+
     //CGAL::Qt::Converter< Cartesian > testConverter;
     Kernel_point_2 testPt( 1, 2 );
     Point_2 testPt2( testPt.x( ), testPt.y( ) );
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/tests/Test.cpp 5.0.3-1/demo/Arrangement_on_surface_2/tests/Test.cpp
--- 5.0.2-3/demo/Arrangement_on_surface_2/tests/Test.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/tests/Test.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -38,7 +38,7 @@ int main( )
     Circle_2 circle( p1, p2, p3 );
     Circular_arc_2 arc( circle );
     Traits::Curve_2 curveBox = arc;
-    
+
     std::vector< Circular_arc_2 > arcs;
     arcs.push_back( arc );
     CGAL::insert( arr2, arcs.begin( ), arcs.end( ) );
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/tests/TestRayPL.cpp 5.0.3-1/demo/Arrangement_on_surface_2/tests/TestRayPL.cpp
--- 5.0.2-3/demo/Arrangement_on_surface_2/tests/TestRayPL.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/tests/TestRayPL.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -28,6 +28,6 @@ int main( )
 
     WalkAlongLinePointLocationStrategy pl( arr );
     CGAL::Object o = pl.locate( Point_2( 1, -1 ) );
-    
+
     return 0;
 }
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/VerticalRayGraphicsItem.h 5.0.3-1/demo/Arrangement_on_surface_2/VerticalRayGraphicsItem.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/VerticalRayGraphicsItem.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/VerticalRayGraphicsItem.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/VerticalRayGraphicsItem.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/VerticalRayGraphicsItem.h $
 // $Id: VerticalRayGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Arrangement_on_surface_2/VerticalRayShootCallback.h 5.0.3-1/demo/Arrangement_on_surface_2/VerticalRayShootCallback.h
--- 5.0.2-3/demo/Arrangement_on_surface_2/VerticalRayShootCallback.h	2020-02-21 20:02:51.000000000 +0000
+++ 5.0.3-1/demo/Arrangement_on_surface_2/VerticalRayShootCallback.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/VerticalRayShootCallback.h $
-// $Id: VerticalRayShootCallback.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/demo/Arrangement_on_surface_2/VerticalRayShootCallback.h $
+// $Id: VerticalRayShootCallback.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Alex Tsui <alextsui05@gmail.com>
@@ -225,7 +225,7 @@ highlightPointLocation( QGraphicsSceneMo
   {
     return;
   }
-    
+
   QRectF viewportRect = this->viewportRect( );
   FT y2;
   if ( this->shootingUp )
diff -pruN 5.0.2-3/demo/Bounding_volumes/Bounding_volumes.cpp 5.0.3-1/demo/Bounding_volumes/Bounding_volumes.cpp
--- 5.0.2-3/demo/Bounding_volumes/Bounding_volumes.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Bounding_volumes/Bounding_volumes.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -35,7 +35,7 @@
 
 // for viewportsBbox
 #include <CGAL/Qt/utility.h>
-  
+
 #include <CGAL/Qt/GraphicsViewPolylineInput.h>
 
 // the two base classes
@@ -59,14 +59,14 @@ class MainWindow :
   public Ui::Bounding_volumes
 {
   Q_OBJECT
-  
-private:  
+
+private:
   Polygon_2 convex_hull, min_rectangle, min_parallelogram;
-  Min_circle mc; 
+  Min_circle mc;
   Min_ellipse me;
-  QGraphicsScene scene;  
+  QGraphicsScene scene;
 
-  std::vector<Point_2> points; 
+  std::vector<Point_2> points;
   CGAL::Qt::PointsGraphicsItem<std::vector<Point_2> > * pgi;
   CGAL::Qt::PolygonGraphicsItem<Polygon_2> * convex_hull_gi;
   CGAL::Qt::PolygonGraphicsItem<Polygon_2> * min_rectangle_gi;
@@ -102,7 +102,7 @@ public Q_SLOTS:
   void on_actionShowPCenter_toggled(bool checked);
 
   void on_actionInsertPoint_toggled(bool checked);
-  
+
   void on_actionInsertRandomPoints_triggered();
 
   void on_actionLoadPoints_triggered();
@@ -132,16 +132,16 @@ MainWindow::MainWindow()
   cgi->setPen(QPen(Qt::red, 0, Qt::SolidLine));
   cgi->hide();
   scene.addItem(cgi);
-  
+
   egi = new QGraphicsEllipseItem;
   egi->setPen(QPen(Qt::magenta, 0, Qt::SolidLine));
   egi->hide();
   scene.addItem(egi);
-  
+
   for(std::size_t i =0; i < P; i++){
     p_center[i] = new QGraphicsRectItem;
     p_center[i]->setPen(QPen(Qt::cyan, 0, Qt::SolidLine));
-    p_center[i]->hide(); 
+    p_center[i]->hide();
     scene.addItem(p_center[i]);
   }
 
@@ -149,7 +149,7 @@ MainWindow::MainWindow()
   pgi = new CGAL::Qt::PointsGraphicsItem<std::vector<Point_2> >(&points);
 
   QObject::connect(this, SIGNAL(changed()),
-		   pgi, SLOT(modelChanged()));
+                   pgi, SLOT(modelChanged()));
   pgi->setVerticesPen(QPen(Qt::black, 3, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   scene.addItem(pgi);
 
@@ -158,7 +158,7 @@ MainWindow::MainWindow()
   convex_hull_gi = new CGAL::Qt::PolygonGraphicsItem<Polygon_2>(&convex_hull);
 
   QObject::connect(this, SIGNAL(changed()),
-		   convex_hull_gi, SLOT(modelChanged()));
+                   convex_hull_gi, SLOT(modelChanged()));
   convex_hull_gi->setEdgesPen(QPen(Qt::black, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   scene.addItem(convex_hull_gi);
 
@@ -167,7 +167,7 @@ MainWindow::MainWindow()
   min_rectangle_gi = new CGAL::Qt::PolygonGraphicsItem<Polygon_2>(&min_rectangle);
 
   QObject::connect(this, SIGNAL(changed()),
-		   min_rectangle_gi, SLOT(modelChanged()));
+                   min_rectangle_gi, SLOT(modelChanged()));
   min_rectangle_gi->setEdgesPen(QPen(Qt::green, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   scene.addItem(min_rectangle_gi);
 
@@ -176,28 +176,28 @@ MainWindow::MainWindow()
   min_parallelogram_gi = new CGAL::Qt::PolygonGraphicsItem<Polygon_2>(&min_parallelogram);
 
   QObject::connect(this, SIGNAL(changed()),
-		   min_parallelogram_gi, SLOT(modelChanged()));
+                   min_parallelogram_gi, SLOT(modelChanged()));
   min_parallelogram_gi->setEdgesPen(QPen(Qt::blue, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   scene.addItem(min_parallelogram_gi);
 
 
   // Setup input handlers. They get events before the scene gets them
-  // and the input they generate is passed to the triangulation with 
-  // the signal/slot mechanism    
+  // and the input they generate is passed to the triangulation with
+  // the signal/slot mechanism
   pi = new CGAL::Qt::GraphicsViewPolylineInput<K>(this, &scene, 1);
 
   scene.installEventFilter(pi);
 
   QObject::connect(pi, SIGNAL(generate(CGAL::Object)),
-		   this, SLOT(processInput(CGAL::Object)));
+                   this, SLOT(processInput(CGAL::Object)));
 
 
-  // 
+  //
   // Manual handling of actions
   //
 
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   this, SLOT(close()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   this, SLOT(close()));
 
   //
   // Setup the scene and the view
@@ -209,7 +209,7 @@ MainWindow::MainWindow()
 
   // Turn the vertical axis upside down
   this->graphicsView->matrix().scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -221,7 +221,7 @@ MainWindow::MainWindow()
 
   this->addRecentFiles(this->menuFile, this->actionQuit);
   connect(this, SIGNAL(openRecentFile(QString)),
-	  this, SLOT(open(QString)));
+          this, SLOT(open(QString)));
 }
 
 void
@@ -246,7 +246,7 @@ MainWindow::update()
     min_parallelogram_gi->hide();
   }
 
-  CGAL::Qt::Converter<K> convert;  
+  CGAL::Qt::Converter<K> convert;
 
   if(this->actionShowPCenter->isChecked() && convex_hull.size()>=3){
     for(std::size_t i=0; i< P; i++){
@@ -259,11 +259,11 @@ MainWindow::update()
     cgi->hide();
   } else {
     K::Circle_2 c;
-    if (mc.number_of_support_points() == 2) 
+    if (mc.number_of_support_points() == 2)
       c = K::Circle_2(mc.support_point(0), mc.support_point(1));
     else
       c = K::Circle_2(mc.support_point(0), mc.support_point(1), mc.support_point(2));
-    
+
 
     cgi->setRect(convert(c.bbox()));
     cgi->show();
@@ -287,7 +287,7 @@ MainWindow::update()
       double y = e.center().y();
       egi->setTransform(QTransform().translate(x, y).rotate(angle).translate(-x, -y));
       egi->show();
-    } 
+    }
   }
 }
 
@@ -297,10 +297,10 @@ MainWindow::update_from_points()
 {
     convex_hull.clear();
     CGAL::convex_hull_2(points.begin(), points.end(), std::back_inserter(convex_hull));
-   
+
     min_rectangle.clear();
     CGAL::min_rectangle_2(convex_hull.vertices_begin(), convex_hull.vertices_end(), std::back_inserter(min_rectangle));
- 
+
     min_parallelogram.clear();
     CGAL::min_parallelogram_2(convex_hull.vertices_begin(), convex_hull.vertices_end(), std::back_inserter(min_parallelogram));
 
@@ -322,7 +322,7 @@ MainWindow::processInput(CGAL::Object o)
   std::list<Point_2> input;
   if(CGAL::assign(input, o)){
     Point_2 p = input.front();
-    
+
     mc.insert(p);
     me.insert(p);
     points.push_back(p);
@@ -334,10 +334,10 @@ MainWindow::processInput(CGAL::Object o)
 
     min_rectangle.clear();
     CGAL::min_rectangle_2(convex_hull.vertices_begin(), convex_hull.vertices_end(), std::back_inserter(min_rectangle));
- 
+
     min_parallelogram.clear();
     CGAL::min_parallelogram_2(convex_hull.vertices_begin(), convex_hull.vertices_end(), std::back_inserter(min_parallelogram));
-    
+
     std::vector<Point_2> center;
     double radius;
     if (points.size()>=P){
@@ -353,10 +353,10 @@ MainWindow::processInput(CGAL::Object o)
 }
 
 
-/* 
+/*
  *  Qt Automatic Connections
  *  https://doc.qt.io/qt-5/designer-using-a-ui-file.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -436,20 +436,20 @@ void
 MainWindow::on_actionInsertRandomPoints_triggered()
 {
   QRectF rect = CGAL::Qt::viewportsBbox(&scene);
-  CGAL::Qt::Converter<K> convert;  
+  CGAL::Qt::Converter<K> convert;
   Iso_rectangle_2 isor = convert(rect);
   CGAL::Random_points_in_iso_rectangle_2<Point_2> pg((isor.min)(), (isor.max)());
   bool ok = false;
 
-  const int number_of_points = 
-    QInputDialog::getInt(this, 
+  const int number_of_points =
+    QInputDialog::getInt(this,
                              tr("Number of random points"),
                              tr("Enter number of random points"),
-			     100,
-			     0,
-			     (std::numeric_limits<int>::max)(),
-			     1,
-			     &ok);
+                             100,
+                             0,
+                             (std::numeric_limits<int>::max)(),
+                             1,
+                             &ok);
 
   if(!ok) {
     return;
@@ -476,7 +476,7 @@ void
 MainWindow::on_actionLoadPoints_triggered()
 {
   QString fileName = QFileDialog::getOpenFileName(this,
-						  tr("Open Points file"),
+                                                  tr("Open Points file"),
                                                   ".",
                                                   tr("CGAL files (*.pts.cgal);;"
                                                    #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
@@ -522,14 +522,14 @@ MainWindow::open(QString fileName)
   this->addToRecentFiles(fileName);
   actionRecenter->trigger();
   Q_EMIT( changed());
-    
+
 }
 
 void
 MainWindow::on_actionSavePoints_triggered()
 {
   QString fileName = QFileDialog::getSaveFileName(this,
-						  tr("Save points"),
+                                                  tr("Save points"),
                                                   ".",
                                                   tr("CGAL files (*.pts.cgal);;"
                                                    #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
@@ -552,7 +552,7 @@ MainWindow::on_actionSavePoints_triggere
     }
     else
     {
-      for(Min_circle::Point_iterator  
+      for(Min_circle::Point_iterator
           vit = mc.points_begin(),
           end = mc.points_end();
           vit!= end; ++vit)
@@ -568,7 +568,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(cgi->boundingRect());
-  this->graphicsView->fitInView(cgi->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(cgi->boundingRect(), Qt::KeepAspectRatio);
 }
 
 
diff -pruN 5.0.2-3/demo/Bounding_volumes/Ellipse.h 5.0.3-1/demo/Bounding_volumes/Ellipse.h
--- 5.0.2-3/demo/Bounding_volumes/Ellipse.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/demo/Bounding_volumes/Ellipse.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,32 +3,32 @@
 
 template <class R>
  class Ellipse_2 {
- 
+
     typedef typename R::Point_2 Point_2;
     typedef typename R::Vector_2 Vector_2;
     typedef typename R::Conic_2 Conic_2;
- 
+
     Point_2 ce;
     Vector_2 va_, vb_;
     double a_,b_;
- 
+
  public:
- 
+
     template <class T>
     Ellipse_2(const CGAL::Min_ellipse_2<T>& me)
     {
       CGAL::Simple_cartesian<double>::Conic_2 co;
       me.ellipse().double_conic(co);
- 
+
       double a11 = co.r();
       double a12 = co.t()/2.0;
       double a22 = co.s();
       double b1 = co.u();
       double b2 = co.v();
       double c = co.w();
- 
+
       assert(a11*a22-a12*a12 >= 0);
- 
+
       double delta = (a11>a22)? a11-a22 : a22-a11;
       if( (delta < 0.00000000001) && (a12 == 0)){
         ce = Point_2(-b1/(2*a11), -b2/(2*a11));
@@ -37,7 +37,7 @@ template <class R>
         vb_ = Vector_2(0, b_);
         return;
         }
- 
+
       double kden = 2.0*(a12*a12 - a11*a22);
       double k1 = (a22*b1 - a12*b2)/kden;
       double k2 = (a11*b2 - a12*b1)/kden;
@@ -46,43 +46,43 @@ template <class R>
       double m11 = mu*a11;
       double m12 = mu*a12;
       double m22 = mu*a22;
- 
+
       double r = std::sqrt((m11-m22)*(m11-m22) + 4.0*m12*m12);
       double lambda1 = ((m11+m22) + r)/2.0;
       double lambda2 = ((m11+m22) - r)/2.0;
- 
+
       b_ = 1.0/sqrt(lambda1);
       a_ = 1.0/sqrt(lambda2);
-      double omega = 1.0/ 
+      double omega = 1.0/
  std::sqrt((lambda1-m22)*(lambda1-m22) + m12*m12);
- 
+
       double u1x = - a_ * omega*m12;
       double u1y = a_ * omega * (lambda1-m22);
- 
+
       double u2x = b_* omega * (lambda1-m22);
       double u2y = b_* omega*m12;
- 
+
       va_ = Vector_2(u1x,u1y);
       vb_ = Vector_2(u2x,u2y);
     }
- 
- 
- 
+
+
+
     Point_2 center() const
     {
       return ce;
     }
- 
+
     double a() const
     {
       return a_;
     }
- 
+
     double b() const
     {
       return b_;
     }
- 
+
     double eccentricity() const
     {
       if(a_ == b_){
@@ -90,7 +90,7 @@ template <class R>
       }
       return std::sqrt(1.0 - (b_*b_)/(a_*a_));
     }
- 
+
     const Vector_2& va() const
     {
       return va_;
@@ -99,6 +99,6 @@ template <class R>
     {
       return vb_;
     }
- 
+
  };
 #endif // ELLIPSE_H
diff -pruN 5.0.2-3/demo/CGAL_ipelets/alpha_shapes.cpp 5.0.3-1/demo/CGAL_ipelets/alpha_shapes.cpp
--- 5.0.2-3/demo/CGAL_ipelets/alpha_shapes.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/alpha_shapes.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,12 +6,12 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Sylvain Pion
 
 #include <CGAL/Exact_predicates_inexact_constructions_kernel.h>
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 #include <CGAL/Regular_triangulation_2.h>
 #include <CGAL/Constrained_Delaunay_triangulation_2.h>
 #include <CGAL/Delaunay_triangulation_2.h>
@@ -41,7 +41,7 @@ const std::string  helpmsg[] = {
 };
 
 
-class ASphapeIpelet 
+class ASphapeIpelet
   : public CGAL::Ipelet_base<Kernel,2> {
 public:
   ASphapeIpelet()
@@ -61,10 +61,10 @@ void ASphapeIpelet::protected_run(int fn
 
   std::list<Circle_2> cir_list;
   std::list<Point_2> pt_list;
-  
-  
-  
-  
+
+
+
+
   read_active_objects(
     CGAL::dispatch_or_drop_output<Point_2,Circle_2>(std::back_inserter(pt_list),
                                                     std::back_inserter(cir_list))
@@ -86,19 +86,19 @@ void ASphapeIpelet::protected_run(int fn
   int alpha=-1;
   int nb_ret;
   boost::tie(nb_ret,alpha)=request_value_from_user<int>((boost::format("# Spectral critical value (0-%d)") % A.number_of_alphas()).str() );
-  if (nb_ret == -1) return;  
-  
+  if (nb_ret == -1) return;
+
   if(alpha<0 || (std::size_t) alpha>A.number_of_alphas()){
     print_error_message("Not a good value");
     return;
   }
-  
-  
-  A.set_alpha(alpha==0?std::max(std::numeric_limits<double>::epsilon(),A.get_nth_alpha(0)/2.):
+
+
+  A.set_alpha(alpha==0?(std::max)(std::numeric_limits<double>::epsilon(),A.get_nth_alpha(0)/2.):
               (std::size_t) alpha==A.number_of_alphas()?A.get_nth_alpha(alpha-1)+1:A.get_nth_alpha(alpha-1)/2.+A.get_nth_alpha(alpha)/2.);
   for ( Alpha_shape_2::Alpha_shape_edges_iterator it=A.alpha_shape_edges_begin();it!=A.alpha_shape_edges_end();++it)
     draw_in_ipe(A.segment(*it));
-  
+
   for (Alpha_shape_2::Finite_faces_iterator it=A.finite_faces_begin();it!=A.finite_faces_end();++it){
     if (A.classify(it)==Alpha_shape_2::INTERIOR){
       std::list<Point_2> LP;
diff -pruN 5.0.2-3/demo/CGAL_ipelets/bbox_restriction.cpp 5.0.3-1/demo/CGAL_ipelets/bbox_restriction.cpp
--- 5.0.2-3/demo/CGAL_ipelets/bbox_restriction.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/bbox_restriction.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,7 +6,7 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot
 
@@ -14,15 +14,15 @@
 
 
 
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 
 // --------------------------------------------------------------------
 
 
 namespace CGAL_bbox_restriction{
 
-typedef CGAL::Exact_predicates_inexact_constructions_kernel               Kernel;  
-  
+typedef CGAL::Exact_predicates_inexact_constructions_kernel               Kernel;
+
 const std::string sublabel[] ={
   "Bounding box restriction", "Help"
 };
@@ -49,14 +49,14 @@ void hilbertsortIpelet::protected_run(in
   }
 
 
-  
+
   std::vector<Circle_2> cir_list;
   std::vector<Circular_arc_2> arc_list;
   std::vector<Polygon_2> poly_list;
   std::vector<Segment_2> seg_list;
   std::vector<Point_2>  pt_list;
 
-  read_active_objects( 
+  read_active_objects(
       CGAL::dispatch_or_drop_output<Point_2,Circle_2,Polygon_2,Circular_arc_2,Segment_2>(
                        std::back_inserter(pt_list),std::back_inserter(cir_list),
                        std::back_inserter(poly_list),std::back_inserter(arc_list),
@@ -64,24 +64,24 @@ void hilbertsortIpelet::protected_run(in
       ),true,true
   );
 
-  
+
   if (pt_list.size()<2) {
     print_error_message("No point selected to define a bounding box");
     return;
   }
-  
+
   CGAL::Bbox_2 bbox_2=pt_list.begin()->bbox();
   for (std::vector<Point_2>::iterator it=pt_list.begin();it!=pt_list.end();++it)
     bbox_2=bbox_2+it->bbox();
   Iso_rectangle_2 bbox(bbox_2.xmin(),bbox_2.ymin(),bbox_2.xmax(),bbox_2.ymax());
-  
-  
+
+
   draw_in_ipe(bbox);
   draw_in_ipe(cir_list.begin(),cir_list.end(),bbox,false);
   draw_in_ipe(seg_list.begin(),seg_list.end(),bbox,false);
   draw_in_ipe(arc_list.begin(),arc_list.end(),bbox,false);
   draw_in_ipe(poly_list.begin(),poly_list.end(),bbox,false);
-  
+
 }
 
 }
diff -pruN 5.0.2-3/demo/CGAL_ipelets/circle_pencils.cpp 5.0.3-1/demo/CGAL_ipelets/circle_pencils.cpp
--- 5.0.2-3/demo/CGAL_ipelets/circle_pencils.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/circle_pencils.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,12 +6,12 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Olivier Devillers
- 
+
 #include <CGAL/Cartesian.h>
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 #include <CGAL/Object.h>
 
 #include "include/CGAL_ipelets/pencils.h"
@@ -31,10 +31,10 @@ const std::string helpmsg[] = {
   "Draw the circle orthogonal to three circles"
 };
 
-class pencilIpelet 
+class pencilIpelet
   : public CGAL::Ipelet_base<Kernel,3> {
 public:
-  pencilIpelet() 
+  pencilIpelet()
     :CGAL::Ipelet_base<Kernel,3>("Pencils of circles",sublabel,helpmsg){}
   void protected_run(int);
 };
@@ -43,18 +43,18 @@ public:
 void pencilIpelet::protected_run(int fn)
 {
   Circle_2 circ;     //constructed circle:
-  
+
   if (fn==2) {
     show_help();
     return;
-  } 
-  
+  }
+
   Circle_2  c,c0,c1,c2;
   std::list<Point_2> pt_list,pt_list1;
   std::list<Circle_2> cir_list,cir_list1;
 
 
-  int i=get_IpePage()->primarySelection(); 
+  int i=get_IpePage()->primarySelection();
 
   if (i<0) {
     print_error_message(("No mark or circle selected"));
@@ -63,8 +63,8 @@ void pencilIpelet::protected_run(int fn)
 
   read_one_active_object(get_IpePage()->object(i),CGAL::dispatch_or_drop_output<Point_2,Circle_2>(
        std::back_inserter(pt_list1),
-       std::back_inserter(cir_list1))); 
-  
+       std::back_inserter(cir_list1)));
+
   std::list<Point_2>::iterator it1=pt_list1.begin();
   std::list<Circle_2>::iterator cit1=cir_list1.begin();
 
@@ -76,7 +76,7 @@ void pencilIpelet::protected_run(int fn)
 
   Iso_rectangle_2 bbox=
   read_active_objects(
-		      CGAL::dispatch_or_drop_output<Point_2,Circle_2>(
+                      CGAL::dispatch_or_drop_output<Point_2,Circle_2>(
       std::back_inserter(pt_list),
       std::back_inserter(cir_list)
     )
@@ -100,7 +100,7 @@ void pencilIpelet::protected_run(int fn)
   else {print_error_message(("Not enough marks or circles selected")); return;}
   if ((it!=pt_list.end())||(cit!=cir_list.end()))
     {print_error_message(("Warning: more than three marks or circles selected"));}
-  
+
   // c is the primary selection
   if (c==c1) c1=c0;
   if (c==c2) c2=c0;
@@ -114,17 +114,17 @@ void pencilIpelet::protected_run(int fn)
   case 1:
     // Circle orthogonal to three circles
     circ = compute_circle_orthogonal<Kernel>(c,c1,c2);
-    break;    
-    
+    break;
+
   }     //end of switch
 
 
   // detect degenerate case
-  if (circ==Circle_2()){ 
+  if (circ==Circle_2()){
     Kernel::Vector_2  v;
     if(fn==0)
       v=Kernel::Vector_2(
-	  c2.center().y()-c1.center().y(),c2.center().x()-c1.center().x());
+          c2.center().y()-c1.center().y(),c2.center().x()-c1.center().x());
     else v=c2.center()-c1.center();
       Kernel::FT sqr_length= 1 / v.squared_length();
       double length = 600 * sqrt( sqr_length);
@@ -132,7 +132,7 @@ void pencilIpelet::protected_run(int fn)
       Point_2 q1=c.center()+ v;
       Point_2 q2=c.center()- v;
       print_error_message(
-	 "degenerate case, circle is a line");
+         "degenerate case, circle is a line");
       Kernel::Segment_2 s(q1,q2);
       draw_in_ipe(s);
       return;
diff -pruN 5.0.2-3/demo/CGAL_ipelets/CMakeLists.txt 5.0.3-1/demo/CGAL_ipelets/CMakeLists.txt
--- 5.0.2-3/demo/CGAL_ipelets/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -70,9 +70,9 @@ if ( CGAL_FOUND )
     if (WITH_IPE_7)
       add_definitions(-DCGAL_USE_IPE_7)
     endif()
-    
-    message("-- Using IPE version ${IPE_VERSION} compatibility.") 
-    
+
+    message("-- Using IPE version ${IPE_VERSION} compatibility.")
+
     #setting installation directory
     get_filename_component(IPE_LIBRARY_DIR ${IPE_LIBRARIES} PATH)
     if (IPE_FOUND AND NOT IPELET_INSTALL_DIR)
@@ -80,7 +80,7 @@ if ( CGAL_FOUND )
         remove_leading_zero(IPE_MINOR_VERSION_1)
         remove_leading_zero(IPE_MINOR_VERSION_2)
         set(INSTALL_PATHS "${IPE_LIBRARY_DIR}/ipe/7.${IPE_MINOR_VERSION_1}.${IPE_MINOR_VERSION_2}/ipelets/")
-        find_path(IPELET_INSTALL_DIR 
+        find_path(IPELET_INSTALL_DIR
                       NAMES libgoodies.lua goodies.lua
                       PATHS ${INSTALL_PATHS}
                       DOC "The folder where ipelets will be installed"
@@ -96,14 +96,14 @@ if ( CGAL_FOUND )
         set(INSTALL_PATHS ${INSTALL_PATHS} /usr/lib/ipe/6.0/ipelets)
 
 
-        find_library(IPELET_INSTALL_DIR_FILES 
+        find_library(IPELET_INSTALL_DIR_FILES
                       NAMES align
                       PATHS ${INSTALL_PATHS}
                             ENV IPELETPATH
                     )
         if (IPELET_INSTALL_DIR_FILES)
           get_filename_component(IPELET_INSTALL_DIR ${IPELET_INSTALL_DIR_FILES} PATH)
-        endif()                
+        endif()
       endif()
     endif()
 
@@ -121,7 +121,7 @@ if ( CGAL_FOUND )
     set(CGAL_IPELETS ${CGAL_IPELETS} multi_delaunay)
     set(CGAL_IPELETS ${CGAL_IPELETS} multi_regular)
     set(CGAL_IPELETS ${CGAL_IPELETS} partition)
-    set(CGAL_IPELETS ${CGAL_IPELETS} pca)    
+    set(CGAL_IPELETS ${CGAL_IPELETS} pca)
     set(CGAL_IPELETS ${CGAL_IPELETS} skeleton)
     set(CGAL_IPELETS ${CGAL_IPELETS} svdlinf)
     set(CGAL_IPELETS ${CGAL_IPELETS} triangulation)
diff -pruN 5.0.2-3/demo/CGAL_ipelets/diagrams.cpp 5.0.3-1/demo/CGAL_ipelets/diagrams.cpp
--- 5.0.2-3/demo/CGAL_ipelets/diagrams.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/diagrams.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,13 +6,13 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Sylvain Pion
- 
+
 //~ #include <CGAL/Exact_predicates_inexact_constructions_kernel.h>
 #include <CGAL/Cartesian.h>
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 #include <CGAL/Segment_Delaunay_graph_traits_2.h>
 #include <CGAL/Segment_Delaunay_graph_2.h>
 #include <CGAL/Delaunay_triangulation_2.h>
@@ -35,7 +35,7 @@ typedef CGAL::Regular_triangulation_2<Ke
 //Apollonius
 typedef CGAL::Apollonius_graph_traits_2<Kernel>                               AT;
 typedef CGAL::Apollonius_graph_2<AT>                                          Apollonius;
-typedef Apollonius::Site_2                                                    ASite;  
+typedef Apollonius::Site_2                                                    ASite;
 // --------------------------------------------------------------------
 
 const std::string sublabel[] = {
@@ -49,10 +49,10 @@ const std::string helpmsg[] = {
   "Draw the Apollonius diagram of a set of circles"
 };
 
-class diagrammeIpelet 
+class diagrammeIpelet
   : public CGAL::Ipelet_base<Kernel,5> {
 public:
-  diagrammeIpelet() 
+  diagrammeIpelet()
     :CGAL::Ipelet_base<Kernel,5>("Diagrams",sublabel,helpmsg){}
   void protected_run(int);
 };
@@ -64,18 +64,18 @@ void diagrammeIpelet::protected_run(int
   Delaunay dt;     //Voronoi of points
   Regular rt;     //power diagram
   Apollonius apo;     //apollonius
-  
+
   bool b=false;
- 
+
   if (fn==4) {
     show_help();
     return;
-  } 
-  
+  }
+
   std::list<Point_2> pt_list;
   std::list<Segment_2> sg_list;
   std::list<Circle_2> cir_list;
-  
+
   Iso_rectangle_2 bbox=
   read_active_objects(
     CGAL::dispatch_or_drop_output<Point_2,Polygon_2,Circle_2,Segment_2>(
@@ -85,7 +85,7 @@ void diagrammeIpelet::protected_run(int
       std::back_inserter(sg_list)
     )
   );
-  
+
   switch(fn){
   case 1:
   case 0:
@@ -94,7 +94,7 @@ void diagrammeIpelet::protected_run(int
       print_error_message(("No mark, no segment and no polygon selected"));
       return;
     }
-    
+
     b=!( sg_list.empty() );
     for (std::list<Segment_2>::iterator it=sg_list.begin();it!=sg_list.end();++it)
       svd.insert(it->point(0),it->point(1));
@@ -104,28 +104,28 @@ void diagrammeIpelet::protected_run(int
     else
       dt.insert(pt_list.begin(),pt_list.end());
     break;
-    
-    
+
+
   case 2:
     //POWER DIAGRAM
     if (pt_list.empty() && cir_list.empty()){
       print_error_message(("No mark nor circle selected"));
       return;
     }
-    
+
     for (std::list<Circle_2>::iterator it=cir_list.begin();it!=cir_list.end();it++)
       rt.insert(Weighted_point_2(it->center(),it->squared_radius()));
     for (std::list<Point_2>::iterator it=pt_list.begin();it!=pt_list.end();it++)
       rt.insert(Weighted_point_2(*it,0));
   break;
-     
-     
-  case 3:     
+
+
+  case 3:
     //APOLLONIUS
     if (cir_list.empty()){
       print_error_message(("No circle selected"));
       return;
-    }  
+    }
     for (std::list<Circle_2>::iterator it=cir_list.begin();it!=cir_list.end();it++)
       apo.insert(ASite(it->center(),sqrt(CGAL::to_double(it->squared_radius()))));
     for (std::list<Point_2>::iterator it=pt_list.begin();it!=pt_list.end();it++)
@@ -135,11 +135,11 @@ void diagrammeIpelet::protected_run(int
 
   Kernel::FT incr_len=(fn<2)?50:75;
   //slightly increase the size of the Bbox
-  bbox=Iso_rectangle_2(bbox.min()+Kernel::Vector_2(-incr_len,-incr_len),
-                       bbox.max()+Kernel::Vector_2(incr_len,incr_len));
-  
-  
-  
+  bbox=Iso_rectangle_2((bbox.min)()+Kernel::Vector_2(-incr_len,-incr_len),
+                       (bbox.max)()+Kernel::Vector_2(incr_len,incr_len));
+
+
+
   if(fn<2){     //recover dual objects
     if(b){
       if (fn==0) draw_dual_in_ipe(svd,bbox);
diff -pruN 5.0.2-3/demo/CGAL_ipelets/distance.cpp 5.0.3-1/demo/CGAL_ipelets/distance.cpp
--- 5.0.2-3/demo/CGAL_ipelets/distance.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/distance.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,18 +6,18 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Olivier Devillers
 
 
 #include <CGAL/Exact_circular_kernel_2.h>
 
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 #include <CGAL/Object.h>
 
 
- 
+
 #include <CGAL/Cartesian.h>
 namespace CGAL_distance_ipelet{
 
@@ -39,10 +39,10 @@ const std::string helpmsg[] = {
   "Distance between two marks in inches when printed",
 };
 
-class distanceIpelet 
+class distanceIpelet
   : public CGAL::Ipelet_base<Kernel,4> {
 public:
-  distanceIpelet() 
+  distanceIpelet()
     :CGAL::Ipelet_base<Kernel,4>("Distance",sublabel,helpmsg){}
   void protected_run(int);
 };
@@ -53,11 +53,11 @@ void distanceIpelet::protected_run(int f
   if (fn==3) {
     show_help();
     return;
-  } 
-  
+  }
+
   std::list<Point_2> pt_list;
 
-  int i=get_IpePage()->primarySelection(); 
+  int i=get_IpePage()->primarySelection();
 
   if (i<0) {
     print_error_message(("Nothing selected"));
@@ -66,7 +66,7 @@ void distanceIpelet::protected_run(int f
 
   Iso_rectangle_2 bbox=
   read_active_objects(
-		      CGAL::dispatch_or_drop_output<Point_2>(
+                      CGAL::dispatch_or_drop_output<Point_2>(
       std::back_inserter(pt_list)
     )
   );
@@ -84,9 +84,9 @@ void distanceIpelet::protected_run(int f
   char message[50];
   if (fn==0)
     sprintf(message,"Distance between marks is %f in ipe pts",length);
-  else if (fn==1) 
+  else if (fn==1)
     sprintf(message,"Distance between marks is %f cm",0.0353*length);
-  else if (fn==2) 
+  else if (fn==2)
     sprintf(message,"Distance between marks is %f inches",0.0139*length);
   print_error_message(message);
   return;
diff -pruN 5.0.2-3/demo/CGAL_ipelets/generator.cpp 5.0.3-1/demo/CGAL_ipelets/generator.cpp
--- 5.0.2-3/demo/CGAL_ipelets/generator.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/generator.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,13 +6,13 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Sylvain Pion
 
 #include <CGAL/Exact_predicates_inexact_constructions_kernel.h>
 #include <boost/format.hpp>
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 #include <algorithm>
 #include <CGAL/point_generators_2.h>
 #include <CGAL/copy_n.h>
@@ -26,8 +26,8 @@
 
 
 namespace CGAL_generator{
-  
-  
+
+
 const std::string sublabel[] ={
   "Points in a disk","Points on a grid","Points in a square","Points on a convex hull","Polygon","Segments in a square", "Circles (center in a square)","Help"
 };
@@ -43,7 +43,7 @@ struct generator
   typedef CGAL::Creator_uniform_2<Kernel::FT,Point_2>                     Creator;
   typedef CGAL::Random_points_in_square_2<Point_2,Creator>                Point_generator;
   typedef CGAL::Creator_uniform_2<Kernel::FT,Point_2>                     Pt_creator;
-  
+
   generator()
     : CGAL::Ipelet_base<Kernel,8>("Generators",sublabel, hlpmsg){};
   void protected_run(int);
@@ -62,7 +62,7 @@ void generator::protected_run(int fn)
 
   Iso_rectangle_2 bbox=
   read_active_objects(
-		      CGAL::dispatch_or_drop_output<Point_2,Circle_2>(
+                      CGAL::dispatch_or_drop_output<Point_2,Circle_2>(
       std::back_inserter(pt_list),
       std::back_inserter(cir_list)
     )
@@ -73,7 +73,7 @@ void generator::protected_run(int fn)
   int ret_val;
 
 
-  if (fn==0){      
+  if (fn==0){
     if (cir_list.size()==0) { print_error_message(("Selection must be a circle")); return;}
     Circle_2  circ=*cir_list.begin();
     size =  sqrt(circ.squared_radius());
@@ -91,67 +91,67 @@ void generator::protected_run(int fn)
   }
 
   int nbelements=30;
-  
+
   boost::tie(ret_val,nbelements)=request_value_from_user<int>((boost::format("Number of elements (default : %1%)") % nbelements).str() );
   if (ret_val == -1) return;
   if (ret_val == 0) nbelements=30;
-  
+
 
   if(nbelements < 3){
     print_error_message("Not a good value");
     return;
   }
-  
+
   std::vector<Point_2> points;
   std::vector<Segment_2> segments;
-  
+
   if (fn==5)
     points.reserve(nbelements);
   else
     segments.reserve(nbelements);
-  
+
   #ifdef CGAL_USE_IPE_7
   get_IpePage()->deselectAll();
   #else
   get_IpePage()->DeselectAll();
   #endif
-  
+
   switch(fn){
     case 0:{//random point in a circle
       CGAL::Random_points_in_disc_2<Point_2,Creator> gs( size);
       std::copy_n( gs, nbelements, std::back_inserter(points));
       }
     break;
-    
+
     case 1://random point on a grid
     points_on_square_grid_2( size, nbelements, std::back_inserter(points),Creator());
     break;
-    
+
     case 6:
-    case 2://points in a square : side =   
+    case 2://points in a square : side =
     {CGAL::Random_points_in_square_2<Point_2, Creator> gc (size);
     std::copy_n( gc, nbelements, std::back_inserter(points));
     }
     break;
-    
-    case 3:{//draw random set of point on a convex hull 
+
+    case 3:{//draw random set of point on a convex hull
        CGAL::random_convex_set_2(nbelements, std::back_inserter(points),
         Point_generator( size));
     }
     break;
-    
-    
+
+
     case 4:
-      // create k-gon and write it into a window: 
+      // create k-gon and write it into a window:
       CGAL::random_polygon_2(nbelements, std::back_inserter(points),Point_generator(size));
-      for ( std::vector<Point_2>::iterator it=points.begin(); it!=points.end(); ++it) *it = *it + origin; 
+      for ( std::vector<Point_2>::iterator it=points.begin(); it!=points.end(); ++it) *it = *it + origin;
       draw_polyline_in_ipe(points.begin(),points.end(),true);
       return;
-    
-    case 5://Random segments  
+
+    case 5://Random segments
     typedef CGAL::Random_points_in_square_2<Point_2, Creator> P1;
     typedef CGAL::Random_points_in_square_2<Point_2, Creator> P2;
-    
+
     P1 p1 (size);
     P2 p2 (size);
     typedef CGAL::Creator_uniform_2< Point_2, Segment_2> Seg_creator;
@@ -160,7 +160,7 @@ void generator::protected_run(int fn)
     std::copy_n( g, nbelements, std::back_inserter(segments) );
     break;
   };
-  
+
   if (fn==6){
     CGAL::Random random;
     for (std::vector<Point_2>::iterator it_pt=points.begin();it_pt!=points.end();++it_pt)
@@ -169,13 +169,13 @@ void generator::protected_run(int fn)
   }
   else
     if (!points.empty()){// Translate and draw points
-      for ( std::vector<Point_2>::iterator it=points.begin(); it!=points.end(); ++it) *it = *it + origin; 
+      for ( std::vector<Point_2>::iterator it=points.begin(); it!=points.end(); ++it) *it = *it + origin;
       draw_in_ipe(points.begin(),points.end());
     }
     else
       if (!segments.empty()){// Translate and draw segments
-	for ( std::vector<Segment_2>::iterator it=segments.begin(); it!=segments.end(); ++it) 
-	  *it = Segment_2( it->source() + origin, it->target() + origin); 
+        for ( std::vector<Segment_2>::iterator it=segments.begin(); it!=segments.end(); ++it)
+          *it = Segment_2( it->source() + origin, it->target() + origin);
         draw_in_ipe(segments.begin(),segments.end());
       }
 }
diff -pruN 5.0.2-3/demo/CGAL_ipelets/hilbert_sort.cpp 5.0.3-1/demo/CGAL_ipelets/hilbert_sort.cpp
--- 5.0.2-3/demo/CGAL_ipelets/hilbert_sort.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/hilbert_sort.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,20 +6,20 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Sylvain Pion
 
 #include <CGAL/Exact_predicates_inexact_constructions_kernel.h>
 #include <CGAL/hilbert_sort.h>
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 
 // --------------------------------------------------------------------
 
 
 namespace CGAL_hilbert_sort{
 
-typedef CGAL::Exact_predicates_inexact_constructions_kernel               Kernel;  
+typedef CGAL::Exact_predicates_inexact_constructions_kernel               Kernel;
 
 const std::string sublabel[] ={
   "Hilbert sorting curve", "Help"
@@ -47,7 +47,7 @@ void hilbertsortIpelet::protected_run(in
   }
 
 
-  
+
   std::vector<Point_2> pt_list;
 
   read_active_objects( CGAL::dispatch_or_drop_output<Point_2>( std::back_inserter(pt_list) ) );
@@ -56,7 +56,7 @@ void hilbertsortIpelet::protected_run(in
     print_error_message("No mark selected");
     return;
   }
-  
+
   if (fn==0) CGAL::hilbert_sort(pt_list.begin(), pt_list.end());
   else       CGAL::hilbert_sort(pt_list.begin(), pt_list.end(), CGAL::Hilbert_sort_middle_policy());
 
diff -pruN 5.0.2-3/demo/CGAL_ipelets/hull.cpp 5.0.3-1/demo/CGAL_ipelets/hull.cpp
--- 5.0.2-3/demo/CGAL_ipelets/hull.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/hull.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,13 +6,13 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Sylvain Pion
 
 
 #include <CGAL/Exact_predicates_inexact_constructions_kernel.h>
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 
 #include <CGAL/Delaunay_triangulation_2.h>
 #include <CGAL/Triangulation_vertex_base_with_info_2.h>
@@ -30,7 +30,7 @@ typedef CGAL::Exact_predicates_inexact_c
 typedef CGAL::Apollonius_graph_traits_2<Kernel>                           AT;
 typedef CGAL::Apollonius_graph_2<AT>                                      Apollonius;
 typedef Apollonius::Site_2                                                ASite;
-//Delaunay  
+//Delaunay
 typedef CGAL::Triangulation_vertex_base_with_info_2<bool,Kernel>          Vb;
 typedef CGAL::Triangulation_face_base_2<Kernel>                           Fb;
 typedef CGAL::Triangulation_data_structure_2<Vb,Fb>                       Tds;
@@ -51,7 +51,7 @@ const std::string helpmsg[] = {
 
 // --------------------------------------------------------------------
 
-class enveloppeIpelet 
+class enveloppeIpelet
   : public CGAL::Ipelet_base<Kernel,3>{
 public:
   enveloppeIpelet()
@@ -70,7 +70,7 @@ public:
     else
       angle = angle - f * CGAL_PI/2.;
     return IpeVector((current_pt.x()+c_radius*cos(angle)),(current_pt.y()+c_radius*sin(angle)));
-  }      
+  }
 
 };
 
@@ -85,7 +85,7 @@ void enveloppeIpelet::protected_run(int
     case 0:{//Convex hull using apollonius
       std::list<Point_2> pt_list;
       std::list<Circle_2> cir_list;
-      
+
       read_active_objects(
         CGAL::dispatch_or_drop_output<Point_2,Circle_2,Segment_2,Polygon_2>(
           std::back_inserter(pt_list),
@@ -94,24 +94,24 @@ void enveloppeIpelet::protected_run(int
           point_grabber(std::back_inserter(pt_list))
         )
      );
-      
+
       if (pt_list.empty() && cir_list.empty()) {
         print_error_message("No mark nor circle nor segment selected");
         return;
       }
 
       Apollonius apo;     //apollonius
-      
+
       for (std::list<Point_2>::iterator it=pt_list.begin();it!=pt_list.end();++it)
         apo.insert(ASite(*it,0));
-      for (std::list<Circle_2>::iterator it=cir_list.begin();it!=cir_list.end();++it)  
+      for (std::list<Circle_2>::iterator it=cir_list.begin();it!=cir_list.end();++it)
         apo.insert(ASite(it->center(),sqrt(it->squared_radius())));
-      
+
       if (apo.number_of_vertices()==1) {
         print_error_message("Need more than one mark or one circle");
         return;
       }
-    
+
       Apollonius::Vertex_circulator Cvert = apo.incident_vertices(apo.infinite_vertex()); //take points incident to infinte vertex
       Apollonius::Vertex_circulator Cvert0 = Cvert;
       std::vector<ASite> Vsite0;
@@ -119,7 +119,7 @@ void enveloppeIpelet::protected_run(int
         Vsite0.push_back(Cvert->site());
         ++Cvert;
       }while(Cvert0!=Cvert);
-      
+
       IpeVector pt_ipe1=IpeVector(0,0);
       IpeSegmentSubPath* SSPseg_ipe = new IpeSegmentSubPath;
       Vsite0.insert(Vsite0.begin(),Vsite0.back());
@@ -133,11 +133,11 @@ void enveloppeIpelet::protected_run(int
           Point_2 p_pt = (it-1)->point();  //previous neighbor
           Point_2 c_pt = it->point();
           Point_2 n_pt = (it+1)->point(); //next neighbor
-          double p_rad = (it-1)->weight();   
+          double p_rad = (it-1)->weight();
           double n_rad = (it+1)->weight();
           IpeVector pt_ipe=tangency_point(c_rad,p_rad,c_pt,p_pt);
           IpeVector pt_ipe0=tangency_point(c_rad,n_rad,c_pt,n_pt,-1);
-          
+
           if(it!=Vsiteite00)
             SSPseg_ipe->appendSegment(pt_ipe1,pt_ipe0);
           SSPseg_ipe->appendArc(IpeMatrix(c_rad,0,0,c_rad,c_pt.x(),c_pt.y()),pt_ipe0,pt_ipe);
@@ -153,7 +153,7 @@ void enveloppeIpelet::protected_run(int
       }
       SSPseg_ipe->setClosed(true);
       ipe::Shape shape;
-      shape.appendSubPath(SSPseg_ipe);      
+      shape.appendSubPath(SSPseg_ipe);
       get_IpePage()->append(ipe::EPrimarySelected,CURRENTLAYER,new ipe::Path(CURRENTATTRIBUTES,shape));
       #else
       for(std::vector<ASite>::iterator it=Vsiteite00 ; it!=Vsiteite0 ; --it){//draw precise convex hull computing tangency point to circles
@@ -162,11 +162,11 @@ void enveloppeIpelet::protected_run(int
           Point_2 p_pt = (it-1)->point();  //previous neighbor
           Point_2 c_pt = it->point();
           Point_2 n_pt = (it+1)->point(); //next neighbor
-          double p_rad = (it-1)->weight();   
+          double p_rad = (it-1)->weight();
           double n_rad = (it+1)->weight();
           IpeVector pt_ipe=tangency_point(c_rad,p_rad,c_pt,p_pt);
           IpeVector pt_ipe0=tangency_point(c_rad,n_rad,c_pt,n_pt,-1);
-          
+
           if(it!=Vsiteite00)
             SSPseg_ipe->AppendSegment(pt_ipe1,pt_ipe0);
           SSPseg_ipe->AppendArc(IpeMatrix(c_rad,0,0,c_rad,c_pt.x(),c_pt.y()),pt_ipe0,pt_ipe);
@@ -187,7 +187,7 @@ void enveloppeIpelet::protected_run(int
       #endif
     }
     break;
-    
+
     case 1:{          //CRUST
       std::list<Point_2> pt_list;
       read_active_objects( CGAL::dispatch_or_drop_output<Point_2>(std::back_inserter(pt_list)) );
@@ -199,7 +199,7 @@ void enveloppeIpelet::protected_run(int
       }
 
       Delaunay triang;
-      
+
       for(std::list<Point_2>::iterator it = pt_list.begin();it!=pt_list.end();++it){
         Vertex_handle vI_cgal = triang.insert(*it);
         vI_cgal -> info() = true;
@@ -209,15 +209,15 @@ void enveloppeIpelet::protected_run(int
       pt_list.clear();
       for (Face_iterator itt=triang.finite_faces_begin();itt!=triang.finite_faces_end();++itt)
         pt_list.push_back(triang.dual(itt));
-      
+
       for (std::list<Point_2>::iterator it=pt_list.begin();it!=pt_list.end();++it){
         Vertex_handle vI_cgal = triang.insert(*it);
         vI_cgal -> info() = false;
       }
-      
+
       //keep delaunay segments which endpoints are original points
       for(Delaunay::Finite_edges_iterator it= triang.finite_edges_begin();it!=triang.finite_edges_end();++it){
-        if (it->first->vertex(Delaunay::cw(it->second))->info()==true && 
+        if (it->first->vertex(Delaunay::cw(it->second))->info()==true &&
               it->first->vertex(Delaunay::ccw(it->second))->info()==true)
           draw_in_ipe(Segment_2( it->first->vertex(Delaunay::cw(it->second))->point(),
                                       it->first->vertex(Delaunay::ccw(it->second))->point()
diff -pruN 5.0.2-3/demo/CGAL_ipelets/hyperbolic.cpp 5.0.3-1/demo/CGAL_ipelets/hyperbolic.cpp
--- 5.0.2-3/demo/CGAL_ipelets/hyperbolic.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/hyperbolic.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,20 +6,20 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Olivier Devillers
 
 
 #include <CGAL/Exact_circular_kernel_2.h>
 
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 #include <CGAL/Object.h>
 
 #include "include/CGAL_ipelets/pencils.h"
 
 
- 
+
 #include <CGAL/Cartesian.h>
 namespace CGAL_hyperbolic{
 
@@ -33,7 +33,7 @@ const std::string sublabel[] = {
   "Segment through two points",
   "Bisector of two points",
   "Circle by center and point",
-  "Circle center", 
+  "Circle center",
   "Help"
 };
 
@@ -45,10 +45,10 @@ const std::string helpmsg[] = {
   "Draw the hyperbolic center given a circle (primary selection) in Poincare disk",
 };
 
-class hyperbolicIpelet 
+class hyperbolicIpelet
   : public CGAL::Ipelet_base<Kernel,6> {
 public:
-  hyperbolicIpelet() 
+  hyperbolicIpelet()
     :CGAL::Ipelet_base<Kernel,6>("Hyperbolic",sublabel,helpmsg){}
   void protected_run(int);
 };
@@ -59,16 +59,16 @@ void hyperbolicIpelet::protected_run(int
   Circle_2 circ;     //constructed circle:
   Circle_2 p1,p2;
   Circle_2  poincare,selected;
-  
+
   if (fn==5) {
     show_help();
     return;
-  } 
-  
+  }
+
   std::list<Point_2> pt_list,pt_list1;
   std::list<Circle_2> cir_list,cir_list1;
 
-  int i=get_IpePage()->primarySelection(); 
+  int i=get_IpePage()->primarySelection();
 
   if (i<0) {
     print_error_message(("No mark or circle selected"));
@@ -77,17 +77,17 @@ void hyperbolicIpelet::protected_run(int
 
   read_one_active_object(get_IpePage()->object(i),CGAL::dispatch_or_drop_output<Point_2,Circle_2>(
        std::back_inserter(pt_list1),
-       std::back_inserter(cir_list1))); 
+       std::back_inserter(cir_list1)));
 
   Iso_rectangle_2 bbox=
   read_active_objects(
-		      CGAL::dispatch_or_drop_output<Point_2,Circle_2>(
+                      CGAL::dispatch_or_drop_output<Point_2,Circle_2>(
       std::back_inserter(pt_list),
       std::back_inserter(cir_list)
     )
   );
 
-  
+
   std::list<Point_2>::iterator it1=pt_list1.begin();
   std::list<Circle_2>::iterator cit1=cir_list1.begin();
   std::list<Point_2>::iterator it=pt_list.begin();
@@ -104,7 +104,7 @@ void hyperbolicIpelet::protected_run(int
       return;
     }
   }
-  
+
   poincare=*cit;++cit;
   if(fn==4){
     if( (cit==cir_list.end()) || (cit1==cir_list1.end())){
@@ -119,12 +119,12 @@ void hyperbolicIpelet::protected_run(int
     if (it!=pt_list.end())  {
       p2=Circle_2(*it,0);
       ++it;
-    }else{ 
-      print_error_message(("Two marks and a circle have to be selected")); 
+    }else{
+      print_error_message(("Two marks and a circle have to be selected"));
       return;
     }
     if( (it!=pt_list.end())||(cit!=cir_list.end())){
-      print_error_message(("Only two marks and a circle have to be selected")); 
+      print_error_message(("Only two marks and a circle have to be selected"));
       return;
     }
   }
@@ -133,7 +133,7 @@ void hyperbolicIpelet::protected_run(int
     if (pt_list1.empty()){
       print_error_message(("Primary selection must be a mark (center)"));
       return;
-    }  
+    }
     if (*it1 != p1.center()) {
       //swap
       circ = p1;
@@ -143,7 +143,7 @@ void hyperbolicIpelet::protected_run(int
     if (*it1 != p1.center()) {
       print_error_message(("Primary selection must be a mark (center)"));
       return;
-    }  
+    }
   }
 
   switch(fn){
@@ -158,7 +158,7 @@ void hyperbolicIpelet::protected_run(int
       draw_in_ipe(Circular_arc_2(circ,p2.center(),p1.center(),circ.orientation()));
     else if (orientation(poincare.center(),p1.center(),p2.center())==0){
       print_error_message(
-	"degenerate case, hyperbolic line is on a diameter of Poincare disk");
+        "degenerate case, hyperbolic line is on a diameter of Poincare disk");
       draw_in_ipe(Segment_2(p1.center(),p2.center()));
     }else
       draw_in_ipe(Circular_arc_2(circ,p1.center(),p2.center(),circ.orientation()));
@@ -191,7 +191,7 @@ void hyperbolicIpelet::protected_run(int
   }     //end of switch
 
   // detect degenerate case
-  if (circ==Circle_2()){ 
+  if (circ==Circle_2()){
     Kernel::Vector_2 v;
     if (fn==2) v= Kernel::Vector_2
        (p2.center().y()-p1.center().y(),p2.center().x()-p1.center().x());
@@ -202,13 +202,13 @@ void hyperbolicIpelet::protected_run(int
     Point_2 q1=poincare.center()+ v;
     Point_2 q2=poincare.center()- v;
     print_error_message(
-	"degenerate case, hyperbolic line is a diameter of Poincare disk");
+        "degenerate case, hyperbolic line is a diameter of Poincare disk");
     Kernel::Segment_2 s(q1,q2);
     draw_in_ipe(s);
     return;
     }
 
-  // clip circ by poincare 
+  // clip circ by poincare
   std::vector< CGAL::Object > result;
   Kernel::Circular_arc_point_2 L,R;
   std::pair<Kernel::Circular_arc_point_2, unsigned > the_pair;
diff -pruN 5.0.2-3/demo/CGAL_ipelets/include/CGAL_ipelets/k_delaunay.h 5.0.3-1/demo/CGAL_ipelets/include/CGAL_ipelets/k_delaunay.h
--- 5.0.2-3/demo/CGAL_ipelets/include/CGAL_ipelets/k_delaunay.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/include/CGAL_ipelets/k_delaunay.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ipelets/demo/CGAL_ipelets/include/CGAL_ipelets/k_delaunay.h $
-// $Id: k_delaunay.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ipelets/demo/CGAL_ipelets/include/CGAL_ipelets/k_delaunay.h $
+// $Id: k_delaunay.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Nicolas Carrez
 
@@ -29,7 +29,7 @@ template <class Kernel, class Regular,cl
 void k_delaunay(Regular& rt,input_DS& input_wpt,int order){
   typedef typename Kernel::Point_2 Point_2;
   typedef typename Kernel::Weighted_point_2  Weighted_point_2;
-  
+
   std::vector<typename input_DS::iterator> Current_sel;//DS that will contain all possible combinaisons of k points (iterator), where k is the order
   typename input_DS::iterator it_wpt = input_wpt.begin();
   typename input_DS::iterator stop_combi = input_wpt.end();
@@ -66,7 +66,7 @@ void k_delaunay(Regular& rt,input_DS& in
     double pt_y = 0;
     for(;it_it_wpt!=Current_sel.end();++it_it_wpt){
       pt_x = pt_x + give_x<Kernel>((**it_it_wpt));
-      pt_y = pt_y + give_y<Kernel>((**it_it_wpt));      
+      pt_y = pt_y + give_y<Kernel>((**it_it_wpt));
       weight = weight + order * give_weight<Kernel>((**it_it_wpt));
       //substract form the weight the sum of the squared distances between each pair of wpoints selected
       for(typename std::vector<typename input_DS::iterator>::iterator le_WptI_cgal0 = it_it_wpt+1 ;le_WptI_cgal0!=Current_sel.end();++le_WptI_cgal0){
diff -pruN 5.0.2-3/demo/CGAL_ipelets/include/CGAL_ipelets/pencils.h 5.0.3-1/demo/CGAL_ipelets/include/CGAL_ipelets/pencils.h
--- 5.0.2-3/demo/CGAL_ipelets/include/CGAL_ipelets/pencils.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/include/CGAL_ipelets/pencils.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ipelets/demo/CGAL_ipelets/include/CGAL_ipelets/pencils.h $
-// $Id: pencils.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ipelets/demo/CGAL_ipelets/include/CGAL_ipelets/pencils.h $
+// $Id: pencils.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Olivier Devillers
 
@@ -50,14 +50,14 @@ compute_circle_orthogonal(typename Kerne
     return  typename Kernel::Circle_2();
   }
   typename Kernel::FT x=(  -(z1 * c2.center().y() - c1.center().y() * z2)
-	                +(z * c2.center().y() - c.center().y() * z2)
-	                -(z * c1.center().y() - c.center().y() * z1))/2/det;
+                        +(z * c2.center().y() - c.center().y() * z2)
+                        -(z * c1.center().y() - c.center().y() * z1))/2/det;
   typename Kernel::FT y=(  -(c1.center().x() * z2 - z1 * c2.center().x())
-	                +(c.center().x() * z2 - z * c2.center().x())
-	                -(c.center().x() * z1 - z * c1.center().x()))/2/det;
+                        +(c.center().x() * z2 - z * c2.center().x())
+                        -(c.center().x() * z1 - z * c1.center().x()))/2/det;
   typename Kernel::FT rr=-(  (c1.center().x() * c2.center().y() - c1.center().y() * c2.center().x())*z
-     		         -(c.center().x() * c2.center().y() - c.center().y() * c2.center().x())*z1
-		         +(c.center().x() * c1.center().y() - c.center().y() * c1.center().x())*z2)/det+x*x+y*y;
+                              -(c.center().x() * c2.center().y() - c.center().y() * c2.center().x())*z1
+                         +(c.center().x() * c1.center().y() - c.center().y() * c1.center().x())*z2)/det+x*x+y*y;
   typename Kernel::Point_2 center(x,y);
   typename Kernel::Circle_2 circ(center,rr);
   return circ;
diff -pruN 5.0.2-3/demo/CGAL_ipelets/mesh_2.cpp 5.0.3-1/demo/CGAL_ipelets/mesh_2.cpp
--- 5.0.2-3/demo/CGAL_ipelets/mesh_2.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/mesh_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,12 +6,12 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Sylvain Pion
 
 #include <CGAL/Exact_predicates_inexact_constructions_kernel.h>
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 #include <boost/format.hpp>
 #include <CGAL/Constrained_Delaunay_triangulation_2.h>
 #include <CGAL/Delaunay_mesher_2.h>
@@ -27,7 +27,7 @@ namespace CGAL_mesh_2{
   typedef CGAL::Constrained_Delaunay_triangulation_2<Kernel,Tds,Itag>    CDT;
   typedef CGAL::Delaunay_mesh_size_criteria_2<CDT>                  Criteria;
   typedef CGAL::Delaunay_mesher_2<CDT, Criteria>                    Mesher;
-    
+
 const std::string sublabel[] ={
   "Mesh_2", "Help"
 };
@@ -52,16 +52,16 @@ void IpeletMesh2::protected_run(int fn)
     show_help();
     return;
   }
-  
+
   std::list<Point_2> list_of_seeds;
-  
+
   std::list<Point_2> pt_list;
   std::list<Segment_2> sg_list;
   std::list<Circle_2> cir_list;
   std::list<Polygon_2> pol_list;
-  
+
   Iso_rectangle_2 bbox=
-    read_active_objects( 
+    read_active_objects(
       CGAL::dispatch_or_drop_output<Point_2,Polygon_2,Circle_2,Segment_2>(
         std::back_inserter(pt_list),
         std::back_inserter(pol_list),
@@ -76,7 +76,7 @@ void IpeletMesh2::protected_run(int fn)
   }
 
   CDT cdt;
-  
+
   for (std::list<Point_2>::iterator it=pt_list.begin();it!=pt_list.end();++it)
     cdt.insert(*it);
   for (std::list<Segment_2>::iterator it=sg_list.begin();it!=sg_list.end();++it)
@@ -87,21 +87,21 @@ void IpeletMesh2::protected_run(int fn)
   for (std::list<Circle_2>::iterator it=cir_list.begin();it!=cir_list.end();++it)
     list_of_seeds.push_back(it->center());
 
-  
+
   double alpha=0;
-  
-  int x=static_cast<int>( floor(bbox.max().x()-bbox.min().x()) );
-  int y=static_cast<int>( floor(bbox.max().y()-bbox.min().y()) );
-  
+
+  int x=static_cast<int>( floor((bbox.max)().x()-(bbox.min)().x()) );
+  int y=static_cast<int>( floor((bbox.max)().y()-(bbox.min)().y()) );
+
   int ret_val;
   boost::tie(ret_val,alpha)=request_value_from_user<double>((boost::format("Max edge length (BBox %1%x%2%)") % x % y).str() );
-  if (ret_val == -1) return;  
-  
+  if (ret_val == -1) return;
+
   if(alpha<0){
     print_error_message("Not a good value");
     return;
   }
-  
+
   if (list_of_seeds.empty()){
     Mesher mesher(cdt);
     mesher.set_criteria(Criteria(0.125, alpha));
@@ -110,12 +110,12 @@ void IpeletMesh2::protected_run(int fn)
   else
     CGAL::refine_Delaunay_mesh_2(cdt,list_of_seeds.begin(), list_of_seeds.end(),
       Criteria(0.125, alpha));
-  
-  
+
+
   for (CDT::Finite_edges_iterator it=cdt.finite_edges_begin(); it!=cdt.finite_edges_end();++it)
     if (it->first->is_in_domain() || it->first->neighbor(it->second)->is_in_domain())
       draw_in_ipe(cdt.segment(*it));
-    
+
   group_selected_objects_();
 }
 
diff -pruN 5.0.2-3/demo/CGAL_ipelets/minkowski.cpp 5.0.3-1/demo/CGAL_ipelets/minkowski.cpp
--- 5.0.2-3/demo/CGAL_ipelets/minkowski.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/minkowski.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,12 +6,12 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Sylvain Pion
 
 #include <CGAL/Exact_predicates_exact_constructions_kernel.h>
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 #include <CGAL/minkowski_sum_2.h>
 #include <CGAL/approximated_offset_2.h>
 #include <CGAL/offset_polygon_2.h>
@@ -24,9 +24,9 @@ typedef CGAL::Exact_predicates_exact_con
 typedef CGAL::Polygon_with_holes_2<Kernel,std::vector<Kernel::Point_2> >        Polygon_with_holes_2;
 typedef CGAL::Gps_circle_segment_traits_2<Kernel>                               Gps_traits_2;
 typedef Gps_traits_2::Polygon_2                                                 Offset_polygon_2;
-typedef Gps_traits_2::Polygon_with_holes_2                                      Offset_polygon_with_holes_2;  
-  
-  
+typedef Gps_traits_2::Polygon_with_holes_2                                      Offset_polygon_with_holes_2;
+
+
 const std::string Slab[] = {
   "Minkowski Sum",
   "Polygon Offset",
@@ -38,7 +38,7 @@ const std::string Hmsg[] = {
   "Compute the offsets of a simple polygon defined by a set of circles"
 };
 
-class SubSelectIpelet 
+class SubSelectIpelet
   : public CGAL::Ipelet_base<Kernel,3>{
 public:
   SubSelectIpelet()
@@ -53,37 +53,37 @@ void SubSelectIpelet::protected_run(int
     show_help();
     return;
   }
-  
+
   std::list<Circle_2> cir_list;
   std::list<Polygon_2> pol_list;
-  
+
   Iso_rectangle_2 bbox=
     read_active_objects(
       CGAL::dispatch_or_drop_output<Polygon_2,Circle_2>(
         std::back_inserter(pol_list),
         std::back_inserter(cir_list)
       )
-    );  
-  
-  
+    );
+
+
   if (fn==0 && pol_list.size()!=2){
     print_error_message("You must select exactly two polygons");
     return;
-  }  
-  
-  
+  }
+
+
   std::list<double> r_offsets;
   for (std::list<Circle_2>::iterator it=cir_list.begin();it!=cir_list.end();++it)
     r_offsets.push_back(sqrt(CGAL::to_double(it->squared_radius())));
-  
-  IpeMatrix tfm (1,0,0,1,-CGAL::to_double(bbox.min().x()),-CGAL::to_double(bbox.min().y()));
-  
+
+  IpeMatrix tfm (1,0,0,1,-CGAL::to_double((bbox.min)().x()),-CGAL::to_double((bbox.min)().y()));
+
   for (std::list<Polygon_2>::iterator it=pol_list.begin();it!=pol_list.end();++it)
     if(!it->is_simple()){
       print_error_message("Polygon(s) must be simple");
     }
-  
-  
+
+
   if (fn==0){
     Polygon_2 polygon1=*pol_list.begin();
     Polygon_2 polygon2=*++pol_list.begin();
@@ -92,7 +92,7 @@ void SubSelectIpelet::protected_run(int
     for (Polygon_2::iterator it=sum.outer_boundary().vertices_begin();it!= sum.outer_boundary().vertices_end();++it)
       LP.push_back(*it);
     draw_polyline_in_ipe(LP.begin(),LP.end(),true,false,false);
-    
+
     for (Polygon_with_holes_2::Hole_const_iterator poly_it = sum.holes_begin(); poly_it != sum.holes_end();
           ++poly_it){
       LP.clear();
@@ -100,7 +100,7 @@ void SubSelectIpelet::protected_run(int
         LP.push_back(*it);
       draw_polyline_in_ipe(LP.begin(),LP.end(),true,false,false);
     }
-    
+
     create_polygon_with_holes(true);
     transform_selected_objects_(tfm);
   }
diff -pruN 5.0.2-3/demo/CGAL_ipelets/multi_delaunay.cpp 5.0.3-1/demo/CGAL_ipelets/multi_delaunay.cpp
--- 5.0.2-3/demo/CGAL_ipelets/multi_delaunay.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/multi_delaunay.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,12 +6,12 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Sylvain Pion
 
 #include <CGAL/Exact_predicates_inexact_constructions_kernel.h>
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 
 #include <CGAL/Delaunay_triangulation_2.h>
 #include <CGAL/Triangulation_vertex_base_with_info_2.h>
@@ -48,7 +48,7 @@ const std::string hlpmsg[] = {
 "Generate k-th Delaunay triangulation and k-th dual Voronoi diagram. Note : k must be smaller than the number of input points."
 };
 
-class MdelaunayIpelet 
+class MdelaunayIpelet
   : public CGAL::Ipelet_base<Kernel,11> {
 public:
   MdelaunayIpelet()
@@ -64,24 +64,24 @@ void MdelaunayIpelet::protected_run(int
   RegularI rti;
   Regular rt;
   //~ std::vector<Point_2> pt_list; I use instead pt_list
-  
+
   if (fn==10){
     show_help(false);
     return;
   }
-  
+
   std::vector<Point_2> pt_list;
-  
-  Iso_rectangle_2 bbox=read_active_objects( CGAL::dispatch_or_drop_output<Point_2>( std::back_inserter(pt_list) ) );  
-  
+
+  Iso_rectangle_2 bbox=read_active_objects( CGAL::dispatch_or_drop_output<Point_2>( std::back_inserter(pt_list) ) );
+
   if (pt_list.empty()){
     print_error_message("No mark selected");
     return;
   }
-  
-  
+
+
   dt.insert(pt_list.begin(),pt_list.end());
-  
+
   switch(fn){
     case 0://Classical Delauney
       draw_in_ipe(dt);
@@ -175,10 +175,10 @@ void MdelaunayIpelet::protected_run(int
           boost::tie(ret_val,order)=request_value_from_user<int>("Enter order");
           if (ret_val < 0){
             print_error_message("Incorrect value");
-            return;  
+            return;
           }
           int nb_pts = pt_list.size();
-          
+
           if(order<1 || order>=nb_pts){
             print_error_message("Not a good order");
             return;
diff -pruN 5.0.2-3/demo/CGAL_ipelets/multi_regular.cpp 5.0.3-1/demo/CGAL_ipelets/multi_regular.cpp
--- 5.0.2-3/demo/CGAL_ipelets/multi_regular.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/multi_regular.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,12 +6,12 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Sylvain Pion
 
 #include <CGAL/Exact_predicates_inexact_constructions_kernel.h>
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 #include <CGAL/Regular_triangulation_2.h>
 
 #include "include/CGAL_ipelets/k_delaunay.h"
@@ -19,7 +19,7 @@
 
 namespace CGAL_multi_regular{
 
-  
+
 typedef  CGAL::Exact_predicates_inexact_constructions_kernel           Kernel;
 typedef CGAL::Regular_triangulation_2<Kernel>                          Regular;
 typedef Regular::Finite_edges_iterator                                 itEdge;
@@ -34,10 +34,10 @@ const std::string hlpmsg[] = {
   "Generate k-th regular triangulation and k-th dual Power diagram. Note : k must be smaller than the number of input circles."
 };
 
-class MregularIpelet 
+class MregularIpelet
   : public CGAL::Ipelet_base<Kernel,11> {
 public:
-  MregularIpelet() 
+  MregularIpelet()
     : CGAL::Ipelet_base<Kernel,11>("k-order Regular",sublabel,hlpmsg){}
   void protected_run(int);
 };
@@ -52,26 +52,26 @@ void MregularIpelet::protected_run(int f
 {
   Regular rt;
   std::vector<Weighted_point_2> input_wpt;
-  
+
   if (fn==10) {
     show_help(false);
     return;
   }
-  
+
   Iso_rectangle_2 bbox=
-    read_active_objects( 
+    read_active_objects(
       CGAL::dispatch_or_drop_output<Point_2,Circle_2>(
         wpoint_grabber(std::back_inserter(input_wpt)),
         wpoint_grabber(std::back_inserter(input_wpt))
       )
-    );  
-  
+    );
+
   if (!input_wpt.size()) {
     print_error_message("No circle selected");
     return;
   }
-  
-    
+
+
   int order = 0;
   if(fn==0 || fn==5) order = 1;
   if(fn==1 || fn==6) order = 2;
@@ -81,9 +81,9 @@ void MregularIpelet::protected_run(int f
 
     int ret_val;
     boost::tie(ret_val,order)=request_value_from_user<int>("Enter order");
-    if (ret_val < 0){    
+    if (ret_val < 0){
       print_error_message("Incorrect value");
-      return;  
+      return;
     }
     if(order<1 || order>=(int) input_wpt.size()){
       print_error_message("Not a good order");
@@ -95,8 +95,8 @@ void MregularIpelet::protected_run(int f
     draw_in_ipe(rt);
   else{//Draw kth Power diagram
     double incr_len=75;
-    bbox=Iso_rectangle_2(bbox.min()+Kernel::Vector_2(-incr_len,-incr_len),
-                         bbox.max()+Kernel::Vector_2(incr_len,incr_len));
+    bbox=Iso_rectangle_2((bbox.min)()+Kernel::Vector_2(-incr_len,-incr_len),
+                         (bbox.max)()+Kernel::Vector_2(incr_len,incr_len));
     draw_dual_in_ipe(rt,bbox);        //draw Voronoi Diagram
   }
 }
diff -pruN 5.0.2-3/demo/CGAL_ipelets/partition.cpp 5.0.3-1/demo/CGAL_ipelets/partition.cpp
--- 5.0.2-3/demo/CGAL_ipelets/partition.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/partition.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,19 +6,19 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Sylvain Pion
 
 #include <CGAL/Exact_predicates_inexact_constructions_kernel.h>
 #include <CGAL/partition_2.h>
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 
 
 namespace CGAL_convex_part{
 
 typedef CGAL::Exact_predicates_inexact_constructions_kernel Kernel;
-  
+
 const std::string Slab[] = {
   "Y monotone partition", "Greene's approx Convex Partition","Approx Convex Partition","Optimal Convex Partition", "Help"
 };
@@ -30,7 +30,7 @@ const std::string Hmsg[] = {
   "Optimal convex decomposition of a polygon"
 };
 
-class ConvexpartitionIpelet 
+class ConvexpartitionIpelet
   : public CGAL::Ipelet_base<Kernel,5>{
 public:
   ConvexpartitionIpelet()
@@ -41,7 +41,7 @@ public:
 
 void ConvexpartitionIpelet::protected_run(int fn)
 {
-  
+
   if (fn==4) {
     show_help();
     return;
@@ -50,53 +50,53 @@ void ConvexpartitionIpelet::protected_ru
   std::list<Polygon_2> pol_list;
   read_active_objects( CGAL::dispatch_or_drop_output<Polygon_2>( std::back_inserter(pol_list) ) );
 
-  
-  
+
+
   if (pol_list.size ()==0){
     print_error_message("No polygon selected");
     return;
   }
-  
+
   for (std::list<Polygon_2>::iterator itp=pol_list.begin();itp!=pol_list.end();++itp){
     //~ Polygon_2 polygon=*itp;
     //~ std::list<Polygon_2> partition_polys;
     CGAL::Polygon_2<Kernel,std::list<Kernel::Point_2> > polygon(itp->vertices_begin(),itp->vertices_end());
     std::list<CGAL::Polygon_2<Kernel,std::list<Kernel::Point_2> > > partition_polys;
-    
+
     if (!polygon.is_simple()){
       print_error_message("Polygon must be simple");
-      continue;   
+      continue;
     }
-    
+
     if (polygon.orientation()!=CGAL::COUNTERCLOCKWISE)
       polygon.reverse_orientation();
-    
+
     switch(fn){
     case 0:
-    CGAL::y_monotone_partition_2(polygon.vertices_begin(), 
+    CGAL::y_monotone_partition_2(polygon.vertices_begin(),
                                   polygon.vertices_end(),
                                   std::back_inserter(partition_polys));
     break;
-    
+
     case 1:
-    CGAL::greene_approx_convex_partition_2(polygon.vertices_begin(), 
+    CGAL::greene_approx_convex_partition_2(polygon.vertices_begin(),
                                   polygon.vertices_end(),
                                   std::back_inserter(partition_polys));
     break;
 
     case 2:
-    CGAL::approx_convex_partition_2(polygon.vertices_begin(), 
+    CGAL::approx_convex_partition_2(polygon.vertices_begin(),
                                   polygon.vertices_end(),
                                   std::back_inserter(partition_polys));
     break;
-    
+
     case 3:
-    CGAL::optimal_convex_partition_2(polygon.vertices_begin(), 
+    CGAL::optimal_convex_partition_2(polygon.vertices_begin(),
                                   polygon.vertices_end(),
                                   std::back_inserter(partition_polys));
     break;
     }
-    
+
     draw_in_ipe(partition_polys.begin(),partition_polys.end());
   }
 }
diff -pruN 5.0.2-3/demo/CGAL_ipelets/pca.cpp 5.0.3-1/demo/CGAL_ipelets/pca.cpp
--- 5.0.2-3/demo/CGAL_ipelets/pca.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/pca.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,13 +6,13 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Sylvain Pion
 
 #include <CGAL/Exact_predicates_exact_constructions_kernel.h>
 #include <CGAL/Simple_cartesian.h>
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 #include <CGAL/linear_least_squares_fitting_2.h>
 #include <boost/utility.hpp>
 
@@ -20,7 +20,7 @@ namespace CGAL_pca{
 
 //~ typedef CGAL::Exact_predicates_exact_constructions_kernel                 Kernel;
 typedef CGAL::Simple_cartesian<double>                 Kernel;
-  
+
 const std::string Slab[] = {
   "PCA","Help"
 };
@@ -29,7 +29,7 @@ const std::string Hmsg[] = {
   "(Principal Component Analysis) given a set of points, draw a segment that is on the line defined by the eigen vector associated to the highest eigen value of the covariance matrix of the input points"
 };
 
-class pcaIpelet 
+class pcaIpelet
   : public CGAL::Ipelet_base<Kernel,2>{
 public:
   pcaIpelet()
@@ -45,13 +45,13 @@ void pcaIpelet::protected_run(int fn)
     return;
   }
 
-  
+
   std::list<Point_2> pt_list;
   std::list<Circle_2> cir_list;
   std::list<Polygon_2> poly_list;
   std::list<Kernel::Triangle_2> tri_list;
   std::list<Segment_2> sg_list;
-  
+
   Iso_rectangle_2 bbox=
     read_active_objects(
       CGAL::dispatch_or_drop_output<Point_2,Polygon_2,Circle_2,Segment_2>(
@@ -62,8 +62,8 @@ void pcaIpelet::protected_run(int fn)
       )
     );
 
-  
-  
+
+
   for (std::list<Polygon_2>::iterator it=poly_list.begin();it!=poly_list.end();++it)
     if (it->size()==3){
       tri_list.push_back(Kernel::Triangle_2(*(it->vertices_begin()),
@@ -73,27 +73,27 @@ void pcaIpelet::protected_run(int fn)
     }
     else{
       print_error_message("This implementation is limited to triangles");
-      return;          
+      return;
     }
-  
-  
+
+
   int s=0;
-  
+
   if (!pt_list.empty()) s=1;
   if (!cir_list.empty()) s+=2;
   if (!tri_list.empty()) s+=4;
   if (!sg_list.empty()) s+=8;
-  
-  
+
+
   if (s==0) {
     print_error_message("Nothing is selected");
     return;
   }
-  
-  
+
+
   Kernel::Line_2 line;
   Kernel::Point_2 centroid;
-  
+
   switch (s){
     case 1://points
       linear_least_squares_fitting_2(pt_list.begin(),pt_list.end(),line,centroid,CGAL::Dimension_tag<0>());
@@ -106,20 +106,20 @@ void pcaIpelet::protected_run(int fn)
       break;
     case 8://segments
       linear_least_squares_fitting_2(sg_list.begin(),sg_list.end(),line,centroid,CGAL::Dimension_tag<1>());
-      break;  
+      break;
     default:
       print_error_message("Please select a set of points or segments or triangles or circles");
-      return;    
+      return;
   }
-  
-  
-  
+
+
+
   CGAL::Object obj_cgal = CGAL::intersection(line,bbox);
   Segment_2 seg;
   if (CGAL::assign(seg, obj_cgal))
     draw_in_ipe(seg);
 
-    
+
 
 }
 
diff -pruN 5.0.2-3/demo/CGAL_ipelets/simple_triangulation.cpp 5.0.3-1/demo/CGAL_ipelets/simple_triangulation.cpp
--- 5.0.2-3/demo/CGAL_ipelets/simple_triangulation.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/simple_triangulation.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,6 +1,6 @@
 #include <CGAL/Exact_predicates_inexact_constructions_kernel.h>
 #include <CGAL/Delaunay_triangulation_2.h>
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 
 namespace my_triangulation{
 
@@ -32,21 +32,21 @@ void Triangulation_ipelet::protected_run
       return;
     default:
     std::list<Point_2> pt_lst;
-    
+
     //Recovering points using output iterator of type
     //Dispatch_or_drop_output_iterator
     read_active_objects(
       CGAL::dispatch_or_drop_output<Point_2>(std::back_inserter(pt_lst))
     );
-    
+
     if (pt_lst.empty()) {
       print_error_message("No mark selected");
       return;
     }
-    
+
     Delaunay dt;
     dt.insert(pt_lst.begin(),pt_lst.end());
-    
+
     //draw the triangulation.
     draw_in_ipe(dt);
   };
diff -pruN 5.0.2-3/demo/CGAL_ipelets/skeleton.cpp 5.0.3-1/demo/CGAL_ipelets/skeleton.cpp
--- 5.0.2-3/demo/CGAL_ipelets/skeleton.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/skeleton.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,13 +6,13 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Sylvain Pion
 
 #include <CGAL/Exact_predicates_inexact_constructions_kernel.h>
 #include<boost/shared_ptr.hpp>
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 #include<CGAL/create_offset_polygons_2.h>
 #include <boost/format.hpp>
 
@@ -20,7 +20,7 @@
 namespace CGAL_skeleton{
 
 typedef CGAL::Exact_predicates_inexact_constructions_kernel Kernel;
-  
+
 const std::string Slab[] = {
   "Interior skeleton", "Exterior skeleton","Interior offset","Exterior offset","Interior offsets","Exterior offsets", "Help"
 };
@@ -35,16 +35,16 @@ const std::string Hmsg[] = {
 };
 
 
-class SkeletonIpelet 
+class SkeletonIpelet
   : public CGAL::Ipelet_base<Kernel,7>{
-    
+
   typedef boost::shared_ptr<Polygon_2>        PolygonPtr ;
-  typedef std::vector<PolygonPtr>             PolygonPtrVector ;    
+  typedef std::vector<PolygonPtr>             PolygonPtrVector ;
   typedef CGAL::Straight_skeleton_2<Kernel>   Skeleton ;
   typedef boost::shared_ptr<Skeleton>         SkeletonPtr ;
 
   void draw_straight_skeleton(const Skeleton& skeleton,double);
-    
+
 public:
   SkeletonIpelet()
     :CGAL::Ipelet_base<Kernel,7>("Skeleton and offset",Slab,Hmsg){}
@@ -56,13 +56,13 @@ void SkeletonIpelet::draw_straight_skele
   typedef Skeleton::Vertex_const_handle     Vertex_const_handle ;
   typedef Skeleton::Halfedge_const_handle   Halfedge_const_handle ;
   typedef Skeleton::Halfedge_const_iterator Halfedge_const_iterator ;
-  
+
   Halfedge_const_handle null_halfedge ;
   Vertex_const_handle   null_vertex ;
 
   std::list<Segment_2> seglist;
   std::back_insert_iterator< std::list<Segment_2> > out=std::back_inserter(seglist);
-  
+
   for ( Halfedge_const_iterator i = skeleton.halfedges_begin();
                                 i != skeleton.halfedges_end();
                                 ++i )
@@ -74,7 +74,7 @@ void SkeletonIpelet::draw_straight_skele
 
 void SkeletonIpelet::protected_run(int fn)
 {
-  
+
   if (fn==6) {
     show_help();
     return;
@@ -84,35 +84,35 @@ void SkeletonIpelet::protected_run(int f
   Iso_rectangle_2 bbox=
     read_active_objects( CGAL::dispatch_or_drop_output<Polygon_2>( std::back_inserter(pol_list) ) );
 
-  
-  
+
+
   if (pol_list.size()!=1){
     print_error_message("Exactly one polygon must be selected");
     return;
   }
-  
+
   Polygon_2 polygon=*pol_list.begin();
-  
-    
+
+
   if (!polygon.is_simple()){
     print_error_message("Polygon must be simple");
     return;
   }
-  
+
   if (polygon.orientation()!=CGAL::COUNTERCLOCKWISE)
     polygon.reverse_orientation();
-  
+
   std::list<double> offsets;
     //~ "Interior skeleton", "Exterior skeleton","Interior offset","Exterior offset","Interior offsets","Exterior offsets", "Help"
   SkeletonPtr ss;
-  double max_edge=std::max((bbox.xmax()-bbox.xmin()),(bbox.ymax()-bbox.ymin()));
+  double max_edge=(std::max)((bbox.xmax()-bbox.xmin()),(bbox.ymax()-bbox.ymin()));
   double dist=0.;
   int ret_val=-1;
   switch(fn){
     case 3://Exterior offset
     case 5://Exterior offsets
     case 1://Exterior skeleton
-      ss = CGAL::create_exterior_straight_skeleton_2(max_edge,polygon);      
+      ss = CGAL::create_exterior_straight_skeleton_2(max_edge,polygon);
       break;
     case 2://Interior offset
     case 4://Interior offsets
@@ -120,18 +120,18 @@ void SkeletonIpelet::protected_run(int f
       ss = CGAL::create_interior_straight_skeleton_2(polygon);
       break;
   }
-  
-  
+
+
   if (fn==0 || fn==1)
     draw_straight_skeleton(*ss,max_edge);
   else{
     boost::tie(ret_val,dist)=
       request_value_from_user<double>(
-        (boost::format("Offset value (BBox %1%x%2%)") % (bbox.xmax()-bbox.xmin()) % (bbox.ymax()-bbox.ymin())).str() 
+        (boost::format("Offset value (BBox %1%x%2%)") % (bbox.xmax()-bbox.xmin()) % (bbox.ymax()-bbox.ymin())).str()
       );
     if (ret_val == -1){
       print_error_message("Bad value provided");
-      return;    
+      return;
     }
 
     if (fn==2 || fn==3)
@@ -140,13 +140,13 @@ void SkeletonIpelet::protected_run(int f
       for (int i=1;i<static_cast<int>(ceil(max_edge/dist/2.))+1;++i)
         offsets.push_back(i*dist);
     }
-    
+
     for (std::list<double>::iterator it=offsets.begin();it!=offsets.end();++it){
       PolygonPtrVector offset_polygons = CGAL::create_offset_polygons_2<Polygon_2>(*it,*ss);
       for( PolygonPtrVector::const_iterator pi = offset_polygons.begin() ; pi != offset_polygons.end() ; ++ pi )
         draw_in_ipe(**pi);
     }
-    
+
     if (offsets.size()>1)
       group_selected_objects_();
   }
diff -pruN 5.0.2-3/demo/CGAL_ipelets/svdlinf.cpp 5.0.3-1/demo/CGAL_ipelets/svdlinf.cpp
--- 5.0.2-3/demo/CGAL_ipelets/svdlinf.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/svdlinf.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -96,8 +96,8 @@ namespace CGAL_svdlinf {
     Kernel::FT incr_len = 75;
     // slightly increase the size of the bbox
     bbox = Iso_rectangle_2(
-      bbox.min()+Kernel::Vector_2(-incr_len,-incr_len),
-      bbox.max()+Kernel::Vector_2(incr_len,incr_len));
+      (bbox.min)()+Kernel::Vector_2(-incr_len,-incr_len),
+      (bbox.max)()+Kernel::Vector_2(incr_len,incr_len));
 
     for (std::list<Segment_2>::iterator
          sit  = sg_list.begin();
diff -pruN 5.0.2-3/demo/CGAL_ipelets/triangulation.cpp 5.0.3-1/demo/CGAL_ipelets/triangulation.cpp
--- 5.0.2-3/demo/CGAL_ipelets/triangulation.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/demo/CGAL_ipelets/triangulation.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,7 +6,7 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Sylvain Pion
 
@@ -17,7 +17,7 @@
 #include <CGAL/intersections.h>
 #include <CGAL/Constrained_triangulation_plus_2.h>
 #include <CGAL/Triangulation_conformer_2.h>
-#include <CGAL/CGAL_Ipelet_base.h> 
+#include <CGAL/CGAL_Ipelet_base.h>
 
 
 namespace CGAL_triangulation{
@@ -44,7 +44,7 @@ const std::string Hmsg[] = {
   "Draw a regular triangulation of a set of weighted points (circles, points)"
 };
 
-class triangulationIpelet 
+class triangulationIpelet
   : public CGAL::Ipelet_base<Kernel,6>{
 public:
   triangulationIpelet()
@@ -55,7 +55,7 @@ public:
 
 void triangulationIpelet::protected_run(int fn)
 {
-  
+
   if (fn==5) {
     show_help();
     return;
@@ -65,7 +65,7 @@ void triangulationIpelet::protected_run(
   std::list<Segment_2> sg_list;
   std::list<Circle_2> cir_list;
   std::list<Polygon_2> pol_list;
-  
+
   read_active_objects(
     CGAL::dispatch_or_drop_output<Point_2,Polygon_2,Circle_2,Segment_2>(
       std::back_inserter(pt_list),
@@ -74,12 +74,12 @@ void triangulationIpelet::protected_run(
       std::back_inserter(sg_list)
     )
   );
-  
+
   Delaunay dt;
   CDTplus Cdt;
   Regular rt;
-  
-  
+
+
   switch(fn){
     case 0://Delaunay
       if (pt_list.empty()) {
@@ -108,12 +108,12 @@ void triangulationIpelet::protected_run(
         print_error_message("Invalid constrained triangulation");
         return;
       }
-      
+
       if (!Cdt.number_of_vertices()) {
         print_error_message("No mark nor polygon selected");
         return;
       }
-      
+
       if (fn==2) CGAL::make_conforming_Delaunay_2(Cdt);
       if (fn==3) CGAL::make_conforming_Gabriel_2(Cdt);
       draw_in_ipe(Cdt);
diff -pruN 5.0.2-3/demo/Circular_kernel_2/ArcsGraphicsItem.h 5.0.3-1/demo/Circular_kernel_2/ArcsGraphicsItem.h
--- 5.0.2-3/demo/Circular_kernel_2/ArcsGraphicsItem.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/demo/Circular_kernel_2/ArcsGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -29,9 +29,9 @@ public:
 
 public:
   QRectF boundingRect() const;
-  
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
+
 
   const QPen& intersectionsPen() const
   {
@@ -62,7 +62,7 @@ protected:
   QRectF bounding_rect;
 
   QPen intersections_pen;
-  QPen input_pen;  
+  QPen input_pen;
   Converter<CK> convert;
 };
 
@@ -80,7 +80,7 @@ ArcsGraphicsItem<CK>::ArcsGraphicsItem(s
 }
 
 template <typename CK>
-QRectF 
+QRectF
 ArcsGraphicsItem<CK>::boundingRect() const
 {
   return bounding_rect;
@@ -89,14 +89,14 @@ ArcsGraphicsItem<CK>::boundingRect() con
 
 
 template <typename CK>
-void 
-ArcsGraphicsItem<CK>::paint(QPainter *painter, 
+void
+ArcsGraphicsItem<CK>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem *,
                                     QWidget * )
 {
   painter->setPen(this->inputPen());
   painterostream = PainterOstream<CK>(painter);
- 
+
   for(std::vector<CGAL::Object>::iterator it = arcs.begin(); it != arcs.end(); ++it){
     Circular_arc_2 ca;
     Line_arc_2 la;
@@ -129,7 +129,7 @@ ArcsGraphicsItem<CK>::paint(QPainter *pa
 }
 
 template <typename CK>
-void 
+void
 ArcsGraphicsItem<CK>::updateBoundingBox()
 {
   bounding_rect = QRectF(0,0,100, 100);
@@ -140,17 +140,17 @@ ArcsGraphicsItem<CK>::updateBoundingBox(
     Line_arc_2 la;
     if(assign(ca, *it)){
       if(initialized){
-	bb = bb + ca.supporting_circle().bbox();
+        bb = bb + ca.supporting_circle().bbox();
       } else {
-	initialized = true;
-	bb = ca.supporting_circle().bbox();
+        initialized = true;
+        bb = ca.supporting_circle().bbox();
       }
     } else if(assign(la, *it)){
       if(initialized){
-	bb = bb + la.bbox();
+        bb = bb + la.bbox();
       } else {
-	initialized = true;
-	bb = la.bbox();
+        initialized = true;
+        bb = la.bbox();
       }
     }
   }
@@ -161,7 +161,7 @@ ArcsGraphicsItem<CK>::updateBoundingBox(
 
 
 template <typename CK>
-void 
+void
 ArcsGraphicsItem<CK>::modelChanged()
 {
   if((arcs.empty()) ){
diff -pruN 5.0.2-3/demo/Circular_kernel_2/Circular_kernel_2.cpp 5.0.3-1/demo/Circular_kernel_2/Circular_kernel_2.cpp
--- 5.0.2-3/demo/Circular_kernel_2/Circular_kernel_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Circular_kernel_2/Circular_kernel_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -24,7 +24,7 @@
 // GraphicsView items and event filters (input classes)
 #include <CGAL/Qt/GraphicsViewCircularArcInput.h>
 #include "ArcsGraphicsItem.h"
-  
+
 // the two base classes
 #include "ui_Circular_kernel_2.h"
 #include <CGAL/Qt/DemosMainWindow.h>
@@ -52,11 +52,11 @@ class MainWindow :
   public Ui::Circular_kernel_2
 {
   Q_OBJECT
-  
-private:  
+
+private:
   ArcContainer arcs;
   ArcContainer intersections;
-  QGraphicsScene scene;  
+  QGraphicsScene scene;
 
   ArcsGraphicsItem * agi;
 
@@ -74,7 +74,7 @@ public Q_SLOTS:
 
 
   void on_actionInsertCircularArc_toggled(bool checked);
-  
+
   void on_actionClear_triggered();
 
   void on_actionLoadLineAndCircularArcs_triggered();
@@ -98,26 +98,26 @@ MainWindow::MainWindow()
   agi->setIntersectionsPen(QPen(Qt::red, 3, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
 
   QObject::connect(this, SIGNAL(changed()),
-		   agi, SLOT(modelChanged()));
+                   agi, SLOT(modelChanged()));
 
   agi->setInputPen(QPen(Qt::black, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   scene.addItem(agi);
   agi->hide();
 
   // Setup input handlers. They get events before the scene gets them
-  // and the input they generate is passed to the triangulation with 
-  // the signal/slot mechanism    
+  // and the input they generate is passed to the triangulation with
+  // the signal/slot mechanism
   cai = new CGAL::Qt::GraphicsViewCircularArcInput<CircularKernel>(this, &scene);
 
   QObject::connect(cai, SIGNAL(generate(CGAL::Object)),
-		   this, SLOT(processInput(CGAL::Object)));
+                   this, SLOT(processInput(CGAL::Object)));
 
   // Manual handling of actions
   //
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   qApp, SLOT(quit()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   qApp, SLOT(quit()));
 
-  // Check two actions 
+  // Check two actions
   this->actionInsertCircularArc->setChecked(true);
 
   //
@@ -132,7 +132,7 @@ MainWindow::MainWindow()
 
   // Turn the vertical axis upside down
   this->graphicsView->scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -143,7 +143,7 @@ MainWindow::MainWindow()
   this->addAboutCGAL();
   this->addRecentFiles(this->menuFile, this->actionQuit);
   connect(this, SIGNAL(openRecentFile(QString)),
-	  this, SLOT(open(QString)));
+          this, SLOT(open(QString)));
 }
 
 
@@ -153,7 +153,7 @@ MainWindow::processInput(CGAL::Object o)
   Circular_arc_2 ca;
   Line_arc_2 la;
   bool is_circular = false;
-  
+
   if(assign(ca, o)){
     is_circular = true;
   } else if(! assign(la, o)){
@@ -166,15 +166,15 @@ MainWindow::processInput(CGAL::Object o)
     Line_arc_2 vla;
     if(assign(vca, *it)){
       if(is_circular){
-	CGAL::intersection(ca, vca, std::back_inserter(intersections));
+        CGAL::intersection(ca, vca, std::back_inserter(intersections));
       } else {
-	CGAL::intersection(la, vca, std::back_inserter(intersections));
+        CGAL::intersection(la, vca, std::back_inserter(intersections));
       }
     } else if(assign(vla, *it)){
       if(is_circular){
-	CGAL::intersection(ca, vla, std::back_inserter(intersections));
+        CGAL::intersection(ca, vla, std::back_inserter(intersections));
       } else {
-	CGAL::intersection(la, vla, std::back_inserter(intersections));
+        CGAL::intersection(la, vla, std::back_inserter(intersections));
       }
     }
   }
@@ -183,10 +183,10 @@ MainWindow::processInput(CGAL::Object o)
 }
 
 
-/* 
+/*
  *  Qt Automatic Connections
  *  https://doc.qt.io/qt-5/designer-using-a-ui-file.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -213,10 +213,10 @@ void
 MainWindow::on_actionLoadLineAndCircularArcs_triggered()
 {
   QString fileName = QFileDialog::getOpenFileName(this,
-						  tr("Open Line and Circular Arc File"),
-						  ".",
-						  tr("Edge files (*.arc)\n"
-						   #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
+                                                  tr("Open Line and Circular Arc File"),
+                                                  ".",
+                                                  tr("Edge files (*.arc)\n"
+                                                   #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
                                                      "WKT files (*.wkt *.WKT)\n"
                                                    #endif
                                                      ));
@@ -231,7 +231,7 @@ void
 MainWindow::open(QString fileName)
 {
     std::ifstream ifs(qPrintable(fileName));
-    
+
     char c;
     double x,y;
     if(fileName.endsWith(".wkt", Qt::CaseInsensitive))
@@ -244,7 +244,7 @@ MainWindow::open(QString fileName)
         CGAL::read_multi_point_WKT(ifs, multi_points);
         if(multi_points.size() == 2)
         {
-          Line_arc_2 la(Segment_2(multi_points[0], 
+          Line_arc_2 la(Segment_2(multi_points[0],
                         multi_points[1]));
           for(std::vector<CGAL::Object>::iterator it = arcs.begin(); it != arcs.end(); ++it){
             Circular_arc_2 vca;
@@ -289,7 +289,7 @@ MainWindow::open(QString fileName)
           Point_2 p(x,y);
           ifs >> x >> y;
           Point_2 q(x,y);
-          
+
           Line_arc_2 la(Segment_2(p,q));
           for(std::vector<CGAL::Object>::iterator it = arcs.begin(); it != arcs.end(); ++it){
             Circular_arc_2 vca;
@@ -329,7 +329,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(agi->boundingRect());
-  this->graphicsView->fitInView(agi->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(agi->boundingRect(), Qt::KeepAspectRatio);
 }
 
 
diff -pruN 5.0.2-3/demo/Circular_kernel_2/CMakeLists.txt 5.0.3-1/demo/Circular_kernel_2/CMakeLists.txt
--- 5.0.2-3/demo/Circular_kernel_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Circular_kernel_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -22,7 +22,7 @@ if ( CGAL_FOUND AND CGAL_Qt5_FOUND AND Q
   add_definitions(-DQT_NO_KEYWORDS)
   set(CMAKE_INCLUDE_CURRENT_DIR ON)
   set(CMAKE_AUTOMOC ON)
-  
+
   #--------------------------------
   # The demo: Circular_kernel_2
   #--------------------------------
@@ -33,7 +33,7 @@ if ( CGAL_FOUND AND CGAL_Qt5_FOUND AND Q
   qt5_add_resources ( CGAL_Qt5_RESOURCE_FILES ./Circular_kernel_2.qrc )
 
   # use the Qt MOC preprocessor on classes that derives from QObject
- 
+
 
   # The executable itself.
   add_executable  ( Circular_kernel_2 Circular_kernel_2.cpp ${DT_UI_FILES} ${CGAL_Qt5_RESOURCE_FILES} ${CGAL_Qt5_MOC_FILES})
diff -pruN 5.0.2-3/demo/Circular_kernel_3/Viewer.cpp 5.0.3-1/demo/Circular_kernel_3/Viewer.cpp
--- 5.0.2-3/demo/Circular_kernel_3/Viewer.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Circular_kernel_3/Viewer.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -739,18 +739,18 @@ void Viewer::attrib_buffers(CGAL::QGLVie
         mvMatrix.data()[i] = (float)mat[i];
     }
     // define material
-    QVector4D	ambient(0.1f, 0.1f, 0.1f, 1.0f);
-    QVector4D	diffuse( 0.9f,
+    QVector4D        ambient(0.1f, 0.1f, 0.1f, 1.0f);
+    QVector4D        diffuse( 0.9f,
                          0.9f,
                          0.9f,
                          0.0f );
 
-    QVector4D	specular(  0.0f,
+    QVector4D        specular(  0.0f,
                            0.0f,
                            0.0f,
                            0.0f );
 
-    QVector4D	position( -1.2f, 1.2f, .9797958971f, 1.0f  );
+    QVector4D        position( -1.2f, 1.2f, .9797958971f, 1.0f  );
     GLfloat shininess =  1.0f;
 
 
diff -pruN 5.0.2-3/demo/CMakeLists.txt 5.0.3-1/demo/CMakeLists.txt
--- 5.0.2-3/demo/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -2,7 +2,7 @@ cmake_minimum_required(VERSION 3.1...3.1
 project(CGAL_DEMOS)
 
 
-if (CGAL_BRANCH_BUILD) 
+if (CGAL_BRANCH_BUILD)
 
 foreach (package ${CGAL_CONFIGURED_PACKAGES})
   #message (STATUS "Current package: ${package}")
@@ -37,6 +37,6 @@ foreach( entry ${list} )
    endif()
 
   endif()
-  
+
 endforeach()
 message("== Generating build files for demos (DONE) ==\n")
diff -pruN 5.0.2-3/demo/Convex_hull_3/CMakeLists.txt 5.0.3-1/demo/Convex_hull_3/CMakeLists.txt
--- 5.0.2-3/demo/Convex_hull_3/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Convex_hull_3/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -19,8 +19,8 @@ if ( CGAL_FOUND )
   create_single_source_cgal_program( "quickhull_3_demo.cpp" )
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/demo/Generator/CMakeLists.txt 5.0.3-1/demo/Generator/CMakeLists.txt
--- 5.0.2-3/demo/Generator/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Generator/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -32,7 +32,7 @@ if ( CGAL_FOUND AND CGAL_Qt5_FOUND AND Q
   qt5_add_resources ( CGAL_Qt5_RESOURCE_FILES ./Generator_2.qrc )
 
   # use the Qt MOC preprocessor on classes that derives from QObject
-  
+
   # The executable itself.
   add_executable  ( Generator_2 Generator_2.cpp ${DT_UI_FILES}  ${CGAL_Qt5_RESOURCE_FILES} ${CGAL_Qt5_MOC_FILES} )
 
diff -pruN 5.0.2-3/demo/Generator/Generator_2.cpp 5.0.3-1/demo/Generator/Generator_2.cpp
--- 5.0.2-3/demo/Generator/Generator_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Generator/Generator_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -21,7 +21,7 @@
 #include <CGAL/Qt/PointsGraphicsItem.h>
 #include <CGAL/Qt/utility.h>
 #include <CGAL/Qt/SegmentsGraphicsItem.h>
-  
+
 // the two base classes
 #include "ui_Generator_2.h"
 #include <CGAL/Qt/DemosMainWindow.h>
@@ -37,15 +37,15 @@ class MainWindow :
   public Ui::Generator_2
 {
   Q_OBJECT
-  
+
 private:
 
 
 
   CGAL::Qt::Converter<K> convert;
-  std::vector<Point_2> points; 
-  std::vector<Segment_2> segments; 
-  QGraphicsScene scene;  
+  std::vector<Point_2> points;
+  std::vector<Segment_2> segments;
+  QGraphicsScene scene;
 
   CGAL::Qt::PointsGraphicsItem<std::vector<Point_2> > * pgi;
   CGAL::Qt::SegmentsGraphicsItem<std::vector<Segment_2> > * sgi;
@@ -56,7 +56,7 @@ private:
   on_actionGenerate_triggered()
   {
     QRectF rect = CGAL::Qt::viewportsBbox(&scene);
-    CGAL::Qt::Converter<K> convert;  
+    CGAL::Qt::Converter<K> convert;
     Iso_rectangle_2 isor = convert(rect);
     Point_2 center = CGAL::midpoint(isor[0], isor[2]);
     Vector_2 offset = center - CGAL::ORIGIN;
@@ -67,8 +67,8 @@ private:
     G pg(radius);
     bool ok = false;
 
-  const int number_of_points = 
-      QInputDialog::getInt(this, 
+  const int number_of_points =
+      QInputDialog::getInt(this,
                                tr("Number of random points"),
                                tr("Enter number of random points"),
                                100,
@@ -126,11 +126,11 @@ MainWindow::MainWindow()
   sgi = new CGAL::Qt::SegmentsGraphicsItem<std::vector<Segment_2> >(&segments);
 
   QObject::connect(this, SIGNAL(changed()),
-		   pgi, SLOT(modelChanged()));
+                   pgi, SLOT(modelChanged()));
 
 
     QObject::connect(this, SIGNAL(changed()),
-  		   sgi, SLOT(modelChanged()));
+                     sgi, SLOT(modelChanged()));
 
   pgi->setVerticesPen(QPen(Qt::red, 3, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   sgi->setVerticesPen(QPen(Qt::red, 3, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
@@ -138,13 +138,13 @@ MainWindow::MainWindow()
   scene.addItem(sgi);
 
 
-  // 
+  //
   // Manual handling of actions
   //
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   this, SLOT(close()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   this, SLOT(close()));
+
 
- 
   //
   // Setup the scene and the view
   //
@@ -157,7 +157,7 @@ MainWindow::MainWindow()
 
   // Turn the vertical axis upside down
   this->graphicsView->scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -170,10 +170,10 @@ MainWindow::MainWindow()
 }
 
 
-/* 
+/*
  *  Qt Automatic Connections
  *  https://doc.qt.io/qt-5/designer-using-a-ui-file.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -189,7 +189,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(pgi->boundingRect());
-  this->graphicsView->fitInView(pgi->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(pgi->boundingRect(), Qt::KeepAspectRatio);
 }
 
 void
@@ -220,21 +220,21 @@ void
 MainWindow::on_actionGenerateSegments_triggered()
 {
   segments.reserve(segments.size() + 200);
-  
+
   // Prepare point generator for the horizontal segment, length 200.
   typedef  CGAL::Random_points_on_segment_2<Point_2>  Rpos_generator;
   Rpos_generator rpos( Point_2(-100,0), Point_2(100,0));
-  
+
   // Prepare point generator for random points on circle, radius 250.
   typedef  CGAL::Random_points_on_circle_2<Point_2>  Rpoc_generator;
   Rpoc_generator rpoc( 250);
-  
+
   // Create 200 segments.
   typedef CGAL::Creator_uniform_2< Point_2, Segment_2> Seg_creator;
   typedef CGAL::Join_input_iterator_2< Rpos_generator, Rpoc_generator, Seg_creator> Seg_iterator;
   Seg_iterator g( rpos, rpoc);
   std::copy_n( g, 200, std::back_inserter(segments));
-  
+
   Q_EMIT( changed());
 }
 
@@ -256,7 +256,7 @@ MainWindow::on_actionGenerateSegmentFans
   Count_iterator t1_begin( t1);                   // Finite range.
   Count_iterator t1_end(t1, 50);
   std::copy( t1_begin, t1_end, std::back_inserter(segments));
-  
+
   // A vertical like fan.
   PG p3( Point_2( -50,-250), Point_2(  50,-250),50);
   PG p4( Point_2(-250, 250), Point_2( 250, 250),50);
@@ -281,7 +281,7 @@ MainWindow::on_actionGeneratePolytopeInD
     double w = isor.xmax() - isor.xmin();
     double h = isor.ymax() - isor.ymin();
     double radius = (w<h) ? w/2 : h/2;
-    
+
     //G pg(radius);
     bool ok = false;
     const int number_of_points =
@@ -293,14 +293,14 @@ MainWindow::on_actionGeneratePolytopeInD
                              (std::numeric_limits<int>::max)(),
                              1,
                              &ok);
-    
+
     if(!ok) {
         return;
     }
-    
+
     // wait cursor
     QApplication::setOverrideCursor(Qt::WaitCursor);
-    
+
     segments.reserve(segments.size() + 100);
 
     CGAL::random_convex_hull_in_disc_2(number_of_points,radius,gen,std::back_inserter(points),K());
@@ -315,7 +315,7 @@ MainWindow::on_actionGeneratePolytopeInD
 
     // default cursor
     QApplication::restoreOverrideCursor();
-    
+
     Q_EMIT( changed());
 }
 
diff -pruN 5.0.2-3/demo/Geomview/CMakeLists.txt 5.0.3-1/demo/Geomview/CMakeLists.txt
--- 5.0.2-3/demo/Geomview/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Geomview/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -21,8 +21,8 @@ if ( CGAL_FOUND )
   create_single_source_cgal_program( "gv_terrain.cpp" )
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/demo/Geomview/input.cpp 5.0.3-1/demo/Geomview/input.cpp
--- 5.0.2-3/demo/Geomview/input.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Geomview/input.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,9 +1,9 @@
-// Copyright (c) 2000, 2001, 2004  
+// Copyright (c) 2000, 2001, 2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
diff -pruN 5.0.2-3/demo/Geomview/kernel.cpp 5.0.3-1/demo/Geomview/kernel.cpp
--- 5.0.2-3/demo/Geomview/kernel.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Geomview/kernel.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,9 +1,9 @@
-// Copyright (c) 2000, 2001, 2004  
+// Copyright (c) 2000, 2001, 2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
diff -pruN 5.0.2-3/demo/GraphicsView/min.cpp 5.0.3-1/demo/GraphicsView/min.cpp
--- 5.0.2-3/demo/GraphicsView/min.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/GraphicsView/min.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -4,9 +4,9 @@
 #include <CGAL/Qt/GraphicsViewNavigation.h>
 #include <QLineF>
 #include <QRectF>
-#include <QApplication> 
+#include <QApplication>
 #include <QGraphicsScene>
-#include <QGraphicsView> 
+#include <QGraphicsView>
 
 int main(int argc, char **argv)
 {
diff -pruN 5.0.2-3/demo/Hyperbolic_triangulation_2/CMakeLists.txt 5.0.3-1/demo/Hyperbolic_triangulation_2/CMakeLists.txt
--- 5.0.2-3/demo/Hyperbolic_triangulation_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Hyperbolic_triangulation_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -5,7 +5,7 @@ project (Hyperbolic_triangulation_2_Demo
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 # Instruct CMake to run moc automatically when needed.
-set(CMAKE_AUTOMOC ON) 
+set(CMAKE_AUTOMOC ON)
 
 if(POLICY CMP0071)
   cmake_policy(SET CMP0071 NEW)
@@ -18,9 +18,9 @@ if(CGAL_FOUND AND CGAL_Qt5_FOUND AND Qt5
   include_directories( BEFORE ./ ./include )
   # ui files, created with Qt Designer
   qt5_wrap_ui( UIS HDT2.ui )
-  
+
   qt5_add_resources ( RESOURCE_FILES resources/Delaunay_triangulation_2.qrc )
-  
+
   # cpp files
   add_executable ( HDT2 HDT2.cpp ${CGAL_Qt5_RESOURCE_FILES} ${RESOURCE_FILES} ${UIS})
   add_to_cached_list( CGAL_EXECUTABLE_TARGETS HDT2 )
diff -pruN 5.0.2-3/demo/Hyperbolic_triangulation_2/HDT2.cpp 5.0.3-1/demo/Hyperbolic_triangulation_2/HDT2.cpp
--- 5.0.2-3/demo/Hyperbolic_triangulation_2/HDT2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Hyperbolic_triangulation_2/HDT2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -34,7 +34,7 @@
 
 // for viewportsBbox
 #include <CGAL/Qt/utility.h>
-  
+
 // the two base classes
 #include <CGAL/Qt/DemosMainWindow.h>
 
@@ -50,7 +50,7 @@
 
 typedef K::Point_2 Point_2;
 typedef K::Iso_rectangle_2 Iso_rectangle_2;
- 
+
 typedef CGAL::Hyperbolic_Delaunay_triangulation_2<K> Delaunay;
 
 class MainWindow :
@@ -58,11 +58,11 @@ class MainWindow :
   public Ui::Delaunay_triangulation_2
 {
   Q_OBJECT
-  
-private:  
+
+private:
   Delaunay dt;
   QGraphicsEllipseItem* disk;
-  QGraphicsScene scene;  
+  QGraphicsScene scene;
 
   CGAL::Qt::TriangulationGraphicsItem<Delaunay> * dgi;
   CGAL::Qt::VoronoiGraphicsItem<Delaunay> * vgi;
@@ -88,7 +88,7 @@ public slots:
   void on_actionShowVoronoi_toggled(bool checked);
 
   void on_actionInsertPoint_toggled(bool checked);
-  
+
   void on_actionInsertRandomPoints_triggered();
 
   void on_actionLoadPoints_triggered();
@@ -112,13 +112,13 @@ MainWindow::MainWindow()
   setupUi(this);
 
   this->graphicsView->setAcceptDrops(false);
-  
+
   // Add Poincaré disk
   qreal origin_x = 0, origin_y = 0, radius = 1, diameter = 2*radius;
   qreal left_top_corner_x = origin_x - radius;
   qreal left_top_corner_y = origin_y - radius;
   qreal width = diameter, height = diameter;
-  
+
   disk = new QGraphicsEllipseItem(left_top_corner_x, left_top_corner_y, width, height);
 
   QPen pen;  // creates a default pen
@@ -128,12 +128,12 @@ MainWindow::MainWindow()
   disk->setPen(pen);
 
   scene.addItem(disk);
-    
+
   // Add a GraphicItem for the Delaunay triangulation
   dgi = new CGAL::Qt::TriangulationGraphicsItem<Delaunay>(&dt);
 
   QObject::connect(this, SIGNAL(changed()),
-		   dgi, SLOT(modelChanged()));
+                   dgi, SLOT(modelChanged()));
 
   QPen vpen;
   vpen.setStyle(::Qt::SolidLine);
@@ -142,7 +142,7 @@ MainWindow::MainWindow()
   vpen.setCapStyle(::Qt::RoundCap);
   vpen.setJoinStyle(::Qt::RoundJoin);
   dgi->setVerticesPen(vpen);
-  
+
   QPen epen;
   epen.setWidthF(0.01);
   epen.setBrush(::Qt::black);
@@ -154,31 +154,31 @@ MainWindow::MainWindow()
   vgi = new CGAL::Qt::VoronoiGraphicsItem<Delaunay>(&dt);
 
   QObject::connect(this, SIGNAL(changed()),
-		   vgi, SLOT(modelChanged()));
+                   vgi, SLOT(modelChanged()));
 
   vgi->setEdgesPen(QPen(Qt::blue, 0.01, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   scene.addItem(vgi);
   vgi->hide();
 
   // Setup input handlers. They get events before the scene gets them
-  // and the input they generate is passed to the triangulation with 
-  // the signal/slot mechanism    
+  // and the input they generate is passed to the triangulation with
+  // the signal/slot mechanism
   pi = new CGAL::Qt::TriangulationPointInputAndConflictZone<Delaunay>(&scene, &dt, this);
 
   QObject::connect(pi, SIGNAL(generate(CGAL::Object)),
-		   this, SLOT(processInput(CGAL::Object)));
+                   this, SLOT(processInput(CGAL::Object)));
 
   tcc = new CGAL::Qt::TriangulationCircumcircle<Delaunay>(&scene, &dt, this);
   tcc->setPen(QPen(Qt::red, 0.005, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
 
   cz = new CGAL::Qt::TriangulationConflictZone<Delaunay>(&scene, &dt, this);
 
-  // 
+  //
   // Manual handling of actions
   //
 
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   this, SLOT(close()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   this, SLOT(close()));
 
   // We put mutually exclusive actions in an QActionGroup
   QActionGroup* ag = new QActionGroup(this);
@@ -187,7 +187,7 @@ MainWindow::MainWindow()
   ag->addAction(this->actionCircumcenter);
   ag->addAction(this->actionShowConflictZone);
 
-  // Check two actions 
+  // Check two actions
   this->actionInsertPoint->setChecked(true);
   this->actionShowDelaunay->setChecked(true);
 
@@ -198,17 +198,17 @@ MainWindow::MainWindow()
   scene.setSceneRect(left_top_corner_x, left_top_corner_y, width, height);
   this->graphicsView->setScene(&scene);
   this->graphicsView->setMouseTracking(true);
-  
+
   // we want to adjust the coordinates of QGraphicsView to the coordinates of QGraphicsScene
   // the following line must do this:
   //   this->graphicsView->fitInView( scene.sceneRect(), Qt::KeepAspectRatio);
   // It does not do this sufficiently well.
   // Current solution:
   this->graphicsView->shear(230, 230);
-  
+
   // Turn the vertical axis upside down
   this->graphicsView->matrix().scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -220,7 +220,7 @@ MainWindow::MainWindow()
 
   this->addRecentFiles(this->menuFile, this->actionQuit);
   connect(this, SIGNAL(openRecentFile(QString)),
-	  this, SLOT(open(QString)));
+          this, SLOT(open(QString)));
 }
 
 
@@ -230,7 +230,7 @@ MainWindow::processInput(CGAL::Object o)
   Point_2 p;
   if(CGAL::assign(p, o)){
     QPointF qp(CGAL::to_double(p.x()), CGAL::to_double(p.y()));
-    
+
     // note that if the point is on the boundary then the disk contains the point
     if(disk->contains(qp)){
       dt.insert(p);
@@ -240,10 +240,10 @@ MainWindow::processInput(CGAL::Object o)
 }
 
 
-/* 
+/*
  *  Qt Automatic Connections
  *  http://doc.trolltech.com/4.4/designer-using-a-component.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -275,7 +275,7 @@ MainWindow::on_actionCircumcenter_toggle
   if(checked){
     scene.installEventFilter(tcc);
     tcc->show();
-  } else {  
+  } else {
     scene.removeEventFilter(tcc);
     tcc->hide();
   }
@@ -308,19 +308,19 @@ void
 MainWindow::on_actionInsertRandomPoints_triggered()
 {
   QRectF rect = CGAL::Qt::viewportsBbox(&scene);
-  CGAL::Qt::Converter<K> convert;  
+  CGAL::Qt::Converter<K> convert;
   Iso_rectangle_2 isor = convert(rect);
   CGAL::Random_points_in_disc_2<Point_2> pg(1);
   bool ok = false;
-  const int number_of_points = 
-    QInputDialog::getInt(this, 
+  const int number_of_points =
+    QInputDialog::getInt(this,
                          tr("Number of random points"),
                          tr("Enter number of random points"),
-			     100,
-			     0,
-			     std::numeric_limits<int>::max(),
-			     1,
-			     &ok);
+                             100,
+                             0,
+                             (std::numeric_limits<int>::max)(),
+                             1,
+                             &ok);
 
   if(!ok) {
     return;
@@ -344,8 +344,8 @@ void
 MainWindow::on_actionLoadPoints_triggered()
 {
   QString fileName = QFileDialog::getOpenFileName(this,
-						  tr("Open Points file"),
-						  ".");
+                                                  tr("Open Points file"),
+                                                  ".");
   if(! fileName.isEmpty()){
     open(fileName);
   }
@@ -358,7 +358,7 @@ MainWindow::open(QString fileName)
   // wait cursor
   QApplication::setOverrideCursor(Qt::WaitCursor);
   std::ifstream ifs(qPrintable(fileName));
-  
+
   K::Point_2 p;
   std::vector<K::Point_2> points;
   while(ifs >> p) {
@@ -371,18 +371,18 @@ MainWindow::open(QString fileName)
   this->addToRecentFiles(fileName);
   actionRecenter->trigger();
   emit(changed());
-    
+
 }
 
 void
 MainWindow::on_actionSavePoints_triggered()
 {
   QString fileName = QFileDialog::getSaveFileName(this,
-						  tr("Save points"),
-						  ".");
+                                                  tr("Save points"),
+                                                  ".");
   if(! fileName.isEmpty()){
     std::ofstream ofs(qPrintable(fileName));
-    for(Delaunay::All_vertices_iterator 
+    for(Delaunay::All_vertices_iterator
           vit = dt.all_vertices_begin(),
           end = dt.all_vertices_end();
         vit!= end; ++vit)
@@ -397,7 +397,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(dgi->boundingRect());
-  this->graphicsView->fitInView(dgi->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(dgi->boundingRect(), Qt::KeepAspectRatio);
 }
 
 
diff -pruN 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/HyperbolicPainterOstreamCK.h 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/HyperbolicPainterOstreamCK.h
--- 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/HyperbolicPainterOstreamCK.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/HyperbolicPainterOstreamCK.h	2020-08-01 19:02:22.000000000 +0000
@@ -18,65 +18,65 @@
 namespace CGAL{
 
 namespace Qt {
-  
+
   template <typename K>
-  class PainterOstream<Hyperbolic_Delaunay_triangulation_CK_traits_2<K> > 
-    : public PainterOstream<K> 
+  class PainterOstream<Hyperbolic_Delaunay_triangulation_CK_traits_2<K> >
+    : public PainterOstream<K>
   {
   public:
     typedef PainterOstream<K> Base;
-    
+
     typedef Hyperbolic_Delaunay_triangulation_CK_traits_2<K> Gt;
     typedef PainterOstream<Gt> Self;
-        
+
     typedef typename Gt::Hyperbolic_segment_2      Hyperbolic_segment_2;
 
     typedef typename Gt::Point_2    Point_2;
     typedef Line_arc_2<K>           Line_arc;
     typedef Circular_arc_2<K>       Circular_arc;
     typedef Circular_arc_point_2<K> Circular_arc_point;
-    
+
     PainterOstream(QPainter* p, QRectF rect = QRectF())
-      : Base(p, rect), qp(p), convert(rect) 
+      : Base(p, rect), qp(p), convert(rect)
     {}
-    
+
     using Base::operator <<;
-    
+
     PainterOstream& operator << (Hyperbolic_segment_2 s)
       {
-	if(const Line_arc* seg = boost::get<Line_arc>(&s)) {
-	  operator << (*seg);
-	  return *this;
-	}
-      
-	Circular_arc* arc = boost::get<Circular_arc>(&s);
-
-	if(arc->squared_radius() > 10)
-	  // due to rounding, the arc drawn does not look like it 
-	  // passes through the endpoints
-	  // so we replace the arc by a line segment
-	  {
-	    Point_2 source(to_double(arc->source().x()),to_double(arc->source().y()));
-	    Point_2 target(to_double(arc->target().x()),to_double(arc->target().y()));	    
-	    const Line_arc seg(source,target);
-	    operator << (seg);
-	    return *this;
-	  }
-      
-	operator << (*arc);
-	return *this;
+        if(const Line_arc* seg = boost::get<Line_arc>(&s)) {
+          operator << (*seg);
+          return *this;
+        }
+
+        Circular_arc* arc = boost::get<Circular_arc>(&s);
+
+        if(arc->squared_radius() > 10)
+          // due to rounding, the arc drawn does not look like it
+          // passes through the endpoints
+          // so we replace the arc by a line segment
+          {
+            Point_2 source(to_double(arc->source().x()),to_double(arc->source().y()));
+            Point_2 target(to_double(arc->target().x()),to_double(arc->target().y()));
+            const Line_arc seg(source,target);
+            operator << (seg);
+            return *this;
+          }
+
+        operator << (*arc);
+        return *this;
       }
-    
+
   private:
     // ToDo: These objects must be deleted
     // Copies of these objects are in the base class.
     // We need access to the copies in the base class.
     QPainter* qp;
-    Converter<K> convert;      
+    Converter<K> convert;
   };
-  
+
 } //namespace Qt
-  
+
 } //namespace CGAL
 
 #endif // CGAL_HYPERBOLIC_PAINTER_OSTREAM_H
diff -pruN 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/HyperbolicPainterOstream.h 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/HyperbolicPainterOstream.h
--- 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/HyperbolicPainterOstream.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/HyperbolicPainterOstream.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/HyperbolicPainterOstream.h $
-// $Id: HyperbolicPainterOstream.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/HyperbolicPainterOstream.h $
+// $Id: HyperbolicPainterOstream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Mikhail Bogdanov
@@ -81,7 +81,7 @@ public:
   PainterOstream& operator << (Hyperbolic_segment_2 s)
   {
     if(const Euclidean_segment_2* seg = boost::get<Euclidean_segment_2>(&s)) {
-		CGAL::Qt::PainterOstream<K>::operator << (*seg);
+                CGAL::Qt::PainterOstream<K>::operator << (*seg);
       return *this;
     }
 
@@ -89,7 +89,7 @@ public:
 
     if(arc->squared_radius() > 100) {
       Euclidean_segment_2 seg(arc->source(), arc->target());
-	  CGAL::Qt::PainterOstream<K>::operator << (seg);
+          CGAL::Qt::PainterOstream<K>::operator << (seg);
       return *this;
     }
 
diff -pruN 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/HyperbolicVoronoiGraphicsItem.h 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/HyperbolicVoronoiGraphicsItem.h
--- 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/HyperbolicVoronoiGraphicsItem.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/HyperbolicVoronoiGraphicsItem.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/HyperbolicVoronoiGraphicsItem.h $
-// $Id: HyperbolicVoronoiGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/HyperbolicVoronoiGraphicsItem.h $
+// $Id: HyperbolicVoronoiGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
@@ -39,13 +39,13 @@ public:
   VoronoiGraphicsItem(DT  * dt_);
 
 
-  QRectF 
+  QRectF
   boundingRect() const;
-  
-  void 
+
+  void
   paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
-  void 
+
+  void
   modelChanged();
 
   const QPen& edgesPen() const
@@ -73,7 +73,7 @@ VoronoiGraphicsItem<DT>::VoronoiGraphics
 }
 
 template <typename DT>
-QRectF 
+QRectF
 VoronoiGraphicsItem<DT>::boundingRect() const
 {
   QRectF rect = CGAL::Qt::viewportsBbox(scene());
@@ -82,36 +82,36 @@ VoronoiGraphicsItem<DT>::boundingRect()
 
 
 template <typename DT>
-void 
+void
 VoronoiGraphicsItem<DT>::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget * /*w*/)
 {
   QRectF rect = option->exposedRect;
   PainterOstream<typename DT::Geom_traits> pos(painter, rect);
-  
+
   painter->setPen(edgesPen());
-  
+
   // delete
   QPen temp = painter->pen();
   QPen old = temp;
   temp.setWidthF(0.01);
   painter->setPen(temp);
   //
-  
+
   for(typename DT::All_edges_iterator eit = dt->all_edges_begin();
       eit != dt->all_edges_end();
-      eit++) 
+      eit++)
     {
       typename DT::Hyperbolic_segment s = dt->dual(*eit);
       pos << s;
-    } 
- 
+    }
+
   // delete
   painter->setPen(old);
 }
 
 
 template <typename T>
-void 
+void
 VoronoiGraphicsItem<T>::modelChanged()
 {
   update();
diff -pruN 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationCircumcircle.h 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationCircumcircle.h
--- 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationCircumcircle.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationCircumcircle.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationCircumcircle.h $
-// $Id: TriangulationCircumcircle.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationCircumcircle.h $
+// $Id: TriangulationCircumcircle.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
@@ -13,7 +13,7 @@
 #ifndef CGAL_QT_TRIANGULATION_CIRCUMCIRCLE_H
 #define CGAL_QT_TRIANGULATION_CIRCUMCIRCLE_H
 
-#include <QGraphicsSceneMouseEvent> 
+#include <QGraphicsSceneMouseEvent>
 #include <QGraphicsScene>
 #include <QGraphicsEllipseItem>
 #include <QEvent>
@@ -31,12 +31,12 @@ class TriangulationCircumcircle : public
 public:
   TriangulationCircumcircle(QGraphicsScene* s, DT  * dt_, QObject* parent);
   ~TriangulationCircumcircle();
- 
+
   void setPen(const QPen& pen);
 
   void show();
   void hide();
-  
+
 protected:
 
   virtual void mouseMoveEvent(QGraphicsSceneMouseEvent *event);
@@ -94,7 +94,7 @@ TriangulationCircumcircle<T>::hide()
 
 
 template <typename T>
-void 
+void
 TriangulationCircumcircle<T>::mouseMoveEvent(QGraphicsSceneMouseEvent *event)
 {
   if(dt->dimension() != 2){
@@ -102,13 +102,13 @@ TriangulationCircumcircle<T>::mouseMoveE
     return;
   }
   typename T::Point p = typename T::Point(event->scenePos().x(), event->scenePos().y());
-  
+
   typedef typename T::Face_handle Face_handle;
   fh = dt->locate(p);
-  if (fh != Face_handle()) {  
+  if (fh != Face_handle()) {
     if(dt->is_Delaunay_hyperbolic(fh)){
-      typename T::Geom_traits::Circle_2 c(dt->point(fh,0), 
-                                          dt->point(fh,1), 
+      typename T::Geom_traits::Circle_2 c(dt->point(fh,0),
+                                          dt->point(fh,1),
                                           dt->point(fh,2));
       CGAL::Bbox_2 bb = c.bbox();
       circle->setRect(bb.xmin(), bb.ymin(), bb.xmax()-bb.xmin(), bb.ymax()-bb.ymin());
@@ -123,7 +123,7 @@ TriangulationCircumcircle<T>::mouseMoveE
 
 
 template <typename T>
-bool 
+bool
 TriangulationCircumcircle<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if(event->type() == QEvent::GraphicsSceneMouseMove) {
@@ -134,7 +134,7 @@ TriangulationCircumcircle<T>::eventFilte
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 } // namespace Qt
 } // namespace CGAL
diff -pruN 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationConflictZone.h 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationConflictZone.h
--- 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationConflictZone.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationConflictZone.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationConflictZone.h $
-// $Id: TriangulationConflictZone.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationConflictZone.h $
+// $Id: TriangulationConflictZone.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
@@ -54,14 +54,14 @@ protected:
 
 template <typename T>
 TriangulationConflictZone<T>::TriangulationConflictZone(QGraphicsScene* s,
-							T * dt_,
-							QObject* parent)
+                                                        T * dt_,
+                                                        QObject* parent)
   :  GraphicsViewInput(parent), dt(dt_), scene_(s), animate(false)
 {}
 
 
 template <typename T>
-void 
+void
 TriangulationConflictZone<T>::localize_and_insert_point(QPointF qt_point)
 {
   Point p(convert(qt_point));
@@ -87,12 +87,12 @@ TriangulationConflictZone<T>::localize_a
       qfaces.push_back(item);
     }
   }
-}  
-  
+}
+
 
 
 template <typename T>
-void 
+void
 TriangulationConflictZone<T>::mousePressEvent(QGraphicsSceneMouseEvent *event)
 {
   if(dt->number_of_vertices() == 0 ||
@@ -117,7 +117,7 @@ TriangulationConflictZone<T>::mouseMoveE
 
 
 template <typename T>
-void 
+void
 TriangulationConflictZone<T>::mouseReleaseEvent(QGraphicsSceneMouseEvent * /*event*/)
 {
   faces.clear();
@@ -133,7 +133,7 @@ TriangulationConflictZone<T>::mouseRelea
 
 
 template <typename T>
-bool 
+bool
 TriangulationConflictZone<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if(event->type() == QEvent::GraphicsSceneMousePress) {
@@ -152,7 +152,7 @@ TriangulationConflictZone<T>::eventFilte
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 
 } // namespace Qt
diff -pruN 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItem.h 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItem.h
--- 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItem.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItem.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItem.h $
-// $Id: TriangulationGraphicsItem.h b13e116 2019-10-19T17:00:08+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItem.h $
+// $Id: TriangulationGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -39,9 +39,9 @@ public:
 public:
 
   QRectF boundingRect() const;
-  
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
+
   virtual void operator()(typename T::Face_handle fh);
 
   void setVerticesPen(const QPen& pen)
@@ -88,7 +88,7 @@ protected:
 
   typename T::Vertex_handle vh;
   typename T::Point p;
-  CGAL::Bbox_2 bb;  
+  CGAL::Bbox_2 bb;
   bool bb_initialized;
   QRectF bounding_rect;
 
@@ -113,7 +113,7 @@ TriangulationGraphicsItem<T>::Triangulat
 }
 
 template <typename T>
-QRectF 
+QRectF
 TriangulationGraphicsItem<T>::boundingRect() const
 {
   return bounding_rect;
@@ -121,7 +121,7 @@ TriangulationGraphicsItem<T>::boundingRe
 
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::operator()(typename T::Face_handle fh)
 {
   if(visible_edges) {
@@ -139,7 +139,7 @@ TriangulationGraphicsItem<T>::operator()
 }
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::drawAll(QPainter *painter)
 {
   QPen pen;
@@ -147,7 +147,7 @@ TriangulationGraphicsItem<T>::drawAll(QP
   pen.setBrush(::Qt::black);
   painter->setPen(edges_pen);
   painterostream = PainterOstream<Geom_traits>(painter);
- 
+
   if(visibleEdges()) {
     for(typename T::All_edges_iterator eit = t->all_edges_begin();
         eit != t->all_edges_end();
@@ -159,7 +159,7 @@ TriangulationGraphicsItem<T>::drawAll(QP
 }
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::paintVertices(QPainter *painter)
 {
   if(visibleVertices()) {
@@ -178,7 +178,7 @@ TriangulationGraphicsItem<T>::paintVerti
 }
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::paintVertex(typename T::Vertex_handle vh)
 {
   Converter<Geom_traits> convert;
@@ -190,8 +190,8 @@ TriangulationGraphicsItem<T>::paintVerte
 }
 
 template <typename T>
-void 
-TriangulationGraphicsItem<T>::paint(QPainter *painter, 
+void
+TriangulationGraphicsItem<T>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem *option,
                                     QWidget * /*widget*/)
 {
@@ -200,11 +200,11 @@ TriangulationGraphicsItem<T>::paint(QPai
   } else {
     m_painter = painter;
     painterostream = PainterOstream<Geom_traits>(painter);
-    CGAL::apply_to_range (*t, 
+    CGAL::apply_to_range (*t,
                           typename T::Point(option->exposedRect.left(),
-                                            option->exposedRect.bottom()), 
+                                            option->exposedRect.bottom()),
                           typename T::Point(option->exposedRect.right(),
-                                            option->exposedRect.top()), 
+                                            option->exposedRect.top()),
                           *this);
   }
 }
@@ -212,7 +212,7 @@ TriangulationGraphicsItem<T>::paint(QPai
 // We let the bounding box only grow, so that when vertices get removed
 // the maximal bbox gets refreshed in the GraphicsView
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::updateBoundingBox()
 {
   prepareGeometryChange();
@@ -221,7 +221,7 @@ TriangulationGraphicsItem<T>::updateBoun
 
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::modelChanged()
 {
   if((t->number_of_vertices() == 0)){
diff -pruN 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItemWithColorInfo.h 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItemWithColorInfo.h
--- 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItemWithColorInfo.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItemWithColorInfo.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItemWithColorInfo.h $
-// $Id: TriangulationGraphicsItemWithColorInfo.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItemWithColorInfo.h $
+// $Id: TriangulationGraphicsItemWithColorInfo.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -39,9 +39,9 @@ public:
 public:
 
   QRectF boundingRect() const;
-  
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
+
   virtual void operator()(typename T::Face_handle fh);
 
   const QPen& verticesPen() const
@@ -99,7 +99,7 @@ protected:
 
   typename T::Vertex_handle vh;
   typename T::Point p;
-  CGAL::Bbox_2 bb;  
+  CGAL::Bbox_2 bb;
   bool bb_initialized;
   QRectF bounding_rect;
 
@@ -125,7 +125,7 @@ TriangulationGraphicsItem<T>::Triangulat
 }
 
 template <typename T>
-QRectF 
+QRectF
 TriangulationGraphicsItem<T>::boundingRect() const
 {
   return bounding_rect;
@@ -133,7 +133,7 @@ TriangulationGraphicsItem<T>::boundingRe
 
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::operator()(typename T::Face_handle fh)
 {
   if(visible_edges) {
@@ -152,7 +152,7 @@ TriangulationGraphicsItem<T>::operator()
 }
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::drawAll(QPainter *painter)
 {
   //delete
@@ -161,9 +161,9 @@ TriangulationGraphicsItem<T>::drawAll(QP
   temp.setWidthF(/*0.0035*/0.0045);
   painter->setPen(temp);
   //
-  
+
   painterostream = PainterOstream<Geom_traits>(painter);
-  
+
   if(visibleEdges()) {
     for(typename T::Finite_edges_iterator eit = t->finite_edges_begin();
         eit != t->finite_edges_end();
@@ -171,16 +171,16 @@ TriangulationGraphicsItem<T>::drawAll(QP
       painterostream << t->segment(*eit);
     }
   }
-  
+
   //delete
   painter->setPen(old);
   //
-  
+
   paintVertices(painter);
 }
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::paintVertices(QPainter *painter)
 {
   if(visibleVertices()) {
@@ -192,69 +192,69 @@ TriangulationGraphicsItem<T>::paintVerti
     for(typename T::Finite_vertices_iterator it = t->finite_vertices_begin();
         it != t->finite_vertices_end();
         it++){
-      
+
       // draw vertices with color storing in their info
       if(it->info().getColor() == 0) {
         painter->setPen(QPen(::Qt::red, 3.));
       }
-      
+
       if(it->info().getColor() == 1) {
         painter->setPen(QPen(::Qt::green, 3.));
       }
-      
+
       if(it->info().getColor() == 2) {
         painter->setPen(QPen(::Qt::cyan, 3.));
       }
-      
+
       if(it->info().getColor() == 3) {
         painter->setPen(QPen(::Qt::magenta, 3.));
       }
-      
+
       if(it->info().getColor() == 6) {
         painter->setPen(QPen(::Qt::yellow, 3.));
       }
-      
+
       if(it->info().getColor() == 5) {
         // brown
         painter->setPen(QPen(QColor(139, 69, 19), 3.));
       }
-      
+
       if(it->info().getColor() == 4) {
         painter->setPen(QPen(::Qt::blue, 3.));
       }
-      
-      
+
+
       if(it->info().getColor() == 7) {
         // orange
         QColor orange = QColor(255, 165, 0);
         painter->setPen(QPen(orange, 3.));
       }
-      
+
       if(it->info().getColor() == 8) {
-        // dark green 
+        // dark green
         QColor blue = QColor(0, 102, 51);
         painter->setPen(QPen(blue, 3.));
       }
-      
+
       if(it->info().getColor() == 9) {
         // purple
         QColor blue = QColor(102, 0, 102);
         painter->setPen(QPen(blue, 3.));
       }
-      
+
       if(it->info().getColor() == 10) {
         // close to blue
         QColor blue = QColor(131, 111, 255);
         painter->setPen(QPen(blue, 3.));
       }
-      
+
       //
-      
+
       // delete
       QPen temp = painter->pen();
       QPen old = temp;
       temp.setWidth(9);
-      
+
       double px = to_double(t->point(it).x());
       double py = to_double(t->point(it).y());
       double dist = px*px + py*py;
@@ -274,21 +274,21 @@ TriangulationGraphicsItem<T>::paintVerti
         temp.setWidth(3);//3
       }
       //painter->setPen(temp);
-      
+
       QPointF point = matrix.map(convert(t->point(it)));
       painter->drawPoint(point);
-      
+
       painter->setPen(old);
-       
+
       /*
       QBrush temp = painter->brush();
       QBrush old = temp;
       temp.setColor(painter->pen().color());
-      
+
       painter->setBrush(temp);
-      
+
       painter->drawEllipse(point, 10, 10);
-      
+
       painter->setBrush(old);
        */
     }
@@ -296,7 +296,7 @@ TriangulationGraphicsItem<T>::paintVerti
 }
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::paintOneVertex(const typename T::Point& point)
 {
   Converter<Geom_traits> convert;
@@ -309,12 +309,12 @@ TriangulationGraphicsItem<T>::paintOneVe
 }
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::paintVertex(typename T::Vertex_handle vh)
 {
   Converter<Geom_traits> convert;
   m_painter->setPen(this->verticesPen());
-  
+
   QTransform matrix = m_painter->worldTransform();
   m_painter->resetTransform();
   m_painter->drawPoint(matrix.map(convert(t->point(vh))));
@@ -322,8 +322,8 @@ TriangulationGraphicsItem<T>::paintVerte
 }
 
 template <typename T>
-void 
-TriangulationGraphicsItem<T>::paint(QPainter *painter, 
+void
+TriangulationGraphicsItem<T>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem *option,
                                     QWidget * /*widget*/)
 {
@@ -334,11 +334,11 @@ TriangulationGraphicsItem<T>::paint(QPai
   } else {
     m_painter = painter;
     painterostream = PainterOstream<Geom_traits>(painter);
-    CGAL::apply_to_range (*t, 
+    CGAL::apply_to_range (*t,
                           typename T::Point(option->exposedRect.left(),
-                                            option->exposedRect.bottom()), 
+                                            option->exposedRect.bottom()),
                           typename T::Point(option->exposedRect.right(),
-                                            option->exposedRect.top()), 
+                                            option->exposedRect.top()),
                           *this);
   }
 }
@@ -346,7 +346,7 @@ TriangulationGraphicsItem<T>::paint(QPai
 // We let the bounding box only grow, so that when vertices get removed
 // the maximal bbox gets refreshed in the GraphicsView
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::updateBoundingBox()
 {
   prepareGeometryChange();
@@ -358,11 +358,11 @@ TriangulationGraphicsItem<T>::updateBoun
     bb = t->point(t->finite_vertices_begin()).bbox();
     bb_initialized = true;
   }
-  
+
   if(t->dimension() <2){
     for(typename T::Finite_vertices_iterator it = t->finite_vertices_begin();
-	it != t->finite_vertices_end();
-	++it){
+        it != t->finite_vertices_end();
+        ++it){
       bb = bb + t->point(it).bbox();
     }
   } else {
@@ -381,7 +381,7 @@ TriangulationGraphicsItem<T>::updateBoun
 
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::modelChanged()
 {
   if((t->number_of_vertices() == 0)){
diff -pruN 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationMovingPoint.h 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationMovingPoint.h
--- 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationMovingPoint.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationMovingPoint.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationMovingPoint.h $
-// $Id: TriangulationMovingPoint.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationMovingPoint.h $
+// $Id: TriangulationMovingPoint.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
@@ -51,13 +51,13 @@ protected:
 
 template <typename T>
 TriangulationMovingPoint<T>::TriangulationMovingPoint(T * dt_,
-							  QObject* parent)
+                                                          QObject* parent)
   :  GraphicsViewInput(parent), dt(dt_), vh(), movePointToInsert(false), insertedPoint(false)
 {}
 
 
 template <typename T>
-void 
+void
 TriangulationMovingPoint<T>::localize_and_insert_point(QPointF qt_point)
 {
   Point p(qt_point.x(), qt_point.y());
@@ -77,7 +77,7 @@ TriangulationMovingPoint<T>::localize_an
 
 
 template <typename T>
-void 
+void
 TriangulationMovingPoint<T>::mousePressEvent(QGraphicsSceneMouseEvent *event)
 {
   if(dt->number_of_vertices() == 0 ||
@@ -91,7 +91,7 @@ TriangulationMovingPoint<T>::mousePressE
 
 
 template <typename T>
-void 
+void
 TriangulationMovingPoint<T>::mouseMoveEvent(QGraphicsSceneMouseEvent *event)
 {
 
@@ -110,7 +110,7 @@ TriangulationMovingPoint<T>::mouseMoveEv
 
 
 template <typename T>
-void 
+void
 TriangulationMovingPoint<T>::mouseReleaseEvent(QGraphicsSceneMouseEvent *event)
 {
   if(! movePointToInsert ||
@@ -122,16 +122,16 @@ TriangulationMovingPoint<T>::mouseReleas
     dt->remove(vh);
   }
   vh = Vertex_handle();
-  
+
   emit(modelChanged());
- 
+
   movePointToInsert = false;
 }
 
 
 
 template <typename T>
-bool 
+bool
 TriangulationMovingPoint<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if(event->type() == QEvent::GraphicsSceneMousePress) {
@@ -150,7 +150,7 @@ TriangulationMovingPoint<T>::eventFilter
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 
 } // namespace Qt
diff -pruN 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationPointInputAndConflictZone.h 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationPointInputAndConflictZone.h
--- 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationPointInputAndConflictZone.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationPointInputAndConflictZone.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationPointInputAndConflictZone.h $
-// $Id: TriangulationPointInputAndConflictZone.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationPointInputAndConflictZone.h $
+// $Id: TriangulationPointInputAndConflictZone.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
@@ -53,8 +53,8 @@ protected:
 
 template <typename T>
 TriangulationPointInputAndConflictZone<T>::TriangulationPointInputAndConflictZone(QGraphicsScene* s,
-							T * dt_,
-							QObject* parent)
+                                                        T * dt_,
+                                                        QObject* parent)
   :  GraphicsViewInput(parent), dt(dt_), scene_(s)
 {}
 
@@ -62,7 +62,7 @@ TriangulationPointInputAndConflictZone<T
 
 
 template <typename T>
-void 
+void
 TriangulationPointInputAndConflictZone<T>::mousePressEvent(QGraphicsSceneMouseEvent *event)
 {
   p = convert(event->scenePos());
@@ -71,7 +71,7 @@ TriangulationPointInputAndConflictZone<T
      event->button() != ::Qt::LeftButton) {
     return;
   }
-  
+
 
   dt->find_conflicts(p, std::back_inserter(faces));
   for(typename std::list<Face_handle>::iterator it = faces.begin();
@@ -90,7 +90,7 @@ TriangulationPointInputAndConflictZone<T
 
 
 template <typename T>
-void 
+void
 TriangulationPointInputAndConflictZone<T>::mouseReleaseEvent(QGraphicsSceneMouseEvent * /*event*/)
 {
   faces.clear();
@@ -107,7 +107,7 @@ TriangulationPointInputAndConflictZone<T
 
 
 template <typename T>
-bool 
+bool
 TriangulationPointInputAndConflictZone<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if(event->type() == QEvent::GraphicsSceneMousePress) {
@@ -122,7 +122,7 @@ TriangulationPointInputAndConflictZone<T
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 
 } // namespace Qt
diff -pruN 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationRemoveVertex.h 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationRemoveVertex.h
--- 5.0.2-3/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationRemoveVertex.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationRemoveVertex.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationRemoveVertex.h $
-// $Id: TriangulationRemoveVertex.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hyperbolic_triangulation_2/demo/Hyperbolic_triangulation_2/include/internal/Qt/TriangulationRemoveVertex.h $
+// $Id: TriangulationRemoveVertex.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
@@ -37,7 +37,7 @@ public:
 protected:
 
   void mousePressEvent(QGraphicsSceneMouseEvent *event);
- 
+
   bool eventFilter(QObject *obj, QEvent *event);
 
   DT * dt;
@@ -46,16 +46,16 @@ protected:
 
 template <typename T>
 TriangulationRemoveVertex<T>::TriangulationRemoveVertex(T * dt_,
-							  QObject* parent)
+                                                          QObject* parent)
   :  GraphicsViewInput(parent), dt(dt_)
 {}
 
 
 
 template <typename T>
-void 
+void
 TriangulationRemoveVertex<T>::mousePressEvent(QGraphicsSceneMouseEvent *event)
-{  
+{
   if((event->modifiers()  & ::Qt::ShiftModifier)
      && (! (event->modifiers() & ::Qt::ControlModifier))){
     if(dt->number_of_vertices() == 0){
@@ -72,7 +72,7 @@ TriangulationRemoveVertex<T>::mousePress
 
 
 template <typename T>
-bool 
+bool
 TriangulationRemoveVertex<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if(event->type() == QEvent::GraphicsSceneMousePress) {
@@ -83,7 +83,7 @@ TriangulationRemoveVertex<T>::eventFilte
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 
 } // namespace Qt
diff -pruN 5.0.2-3/demo/icons/license.txt 5.0.3-1/demo/icons/license.txt
--- 5.0.2-3/demo/icons/license.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/icons/license.txt	2020-08-01 19:00:32.000000000 +0000
@@ -2,6 +2,6 @@ The following files have been copied fro
   fileNew.png
   fileOpen.png
   fileSave.png,
-  fit-page-32.png 
+  fit-page-32.png
 
 This Qt version was released under GPL-2 and GPL-3.
diff -pruN 5.0.2-3/demo/Interpolation/CMakeLists.txt 5.0.3-1/demo/Interpolation/CMakeLists.txt
--- 5.0.2-3/demo/Interpolation/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Interpolation/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -20,8 +20,8 @@ if ( CGAL_FOUND )
   create_single_source_cgal_program( "surface_voronoi.cpp" )
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/demo/Interpolation/interpolation_2_demo.cpp 5.0.3-1/demo/Interpolation/interpolation_2_demo.cpp
--- 5.0.2-3/demo/Interpolation/interpolation_2_demo.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Interpolation/interpolation_2_demo.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -95,10 +95,10 @@ visu_graph(CGAL::Geomview_stream & gv, c
   for(int i=0; i< m-1;i++)
     for(int j=0; j< m-1; j++){
       tr.push_back(Triangle_3(points[i*m + j],
-			      points[j+1 + i*m],
-			      points[(j+1) + (i+1)*m]));
+                              points[j+1 + i*m],
+                              points[(j+1) + (i+1)*m]));
       tr.push_back(Triangle_3(points[i*m + j],points[(j+1) + (i+1)*m],
-			      points[j + (i+1)*m]));
+                              points[j + (i+1)*m]));
     }
   gv.draw_triangles(tr.begin(), tr.end());
 }
@@ -114,13 +114,13 @@ void generate_grid_points(Point_vector_2
   points.reserve(n);
 
   std::cout <<" generate " <<n   << " grid points in square of height "
-	    << h <<std::endl;
+            << h <<std::endl;
   // Create n points from a 16 x 16 grid. Note that the double
   // arithmetic _is_ sufficient to produce exact integer grid points.
   // The distance between neighbors is 34 pixel = 510 / 15.
   CGAL::points_on_square_grid_2((double) h, n,
-				std::back_inserter(points),
-				CGAL::Creator_uniform_2<double,Point_2>());
+                                std::back_inserter(points),
+                                CGAL::Creator_uniform_2<double,Point_2>());
 
 }
 
@@ -214,7 +214,7 @@ int main(int ,  char** )
      std::back_insert_iterator<Point_coordinate_vector>,
     K::FT, bool> coordinate_result =
      CGAL::natural_neighbor_coordinates_2(T, points[i],
-					  std::back_inserter(coords));
+                                          std::back_inserter(coords));
    K::FT norm = coordinate_result.second;
    //test if the computation was successful
    assert(coordinate_result.third && norm>0);
@@ -222,45 +222,45 @@ int main(int ,  char** )
    switch(method){
     case 0:
       value = CGAL::linear_interpolation(coords.begin(),coords.end(),norm,
-					 CGAL::Data_access<Point_value_map>(values));
+                                         CGAL::Data_access<Point_value_map>(values));
       break;
    case 1:
       interpolation_result = CGAL::quadratic_interpolation(coords.begin(),coords.end(),
-					  norm, points[i],
-					  CGAL::Data_access< Point_value_map>
-					  (values),
-					  CGAL::Data_access< Point_vector_map>
-					  (gradients),traits); break;
+                                          norm, points[i],
+                                          CGAL::Data_access< Point_value_map>
+                                          (values),
+                                          CGAL::Data_access< Point_vector_map>
+                                          (gradients),traits); break;
     case 2:
       interpolation_result = CGAL::sibson_c1_interpolation(coords.begin(),coords.end(),
-       					  norm, points[i],
-       					  CGAL::Data_access<Point_value_map>
-       					  (values),
-       					  CGAL::Data_access<Point_vector_map>
-       					  (gradients), traits); break;
+                                                 norm, points[i],
+                                                 CGAL::Data_access<Point_value_map>
+                                                 (values),
+                                                 CGAL::Data_access<Point_vector_map>
+                                                 (gradients), traits); break;
     case 3:
       interpolation_result = CGAL::sibson_c1_interpolation_square(coords.begin(),coords.end(),
-						 norm, points[i],
-						 CGAL::Data_access<Point_value_map>
-						 (values),
-						 CGAL::Data_access<Point_vector_map>
-						 (gradients), traits); break;
+                                                 norm, points[i],
+                                                 CGAL::Data_access<Point_value_map>
+                                                 (values),
+                                                 CGAL::Data_access<Point_vector_map>
+                                                 (gradients), traits); break;
     case 4:
       interpolation_result = CGAL::farin_c1_interpolation(coords.begin(),coords.end(),
-					 norm, points[i],
-					 CGAL::Data_access<Point_value_map>
-					 (values),
-					 CGAL::Data_access<Point_vector_map>
-					 (gradients), traits); break;
+                                         norm, points[i],
+                                         CGAL::Data_access<Point_value_map>
+                                         (values),
+                                         CGAL::Data_access<Point_vector_map>
+                                         (gradients), traits); break;
 
     default: std::cout <<"No valid choice of interpolant." <<
-		  std::endl; break;
+                  std::endl; break;
     }
     if(method==0)
       points_3.push_back(Point_3(points[i].x(), points[i].y(),value));
     else if(interpolation_result.second)
       points_3.push_back(Point_3(points[i].x(), points[i].y(),
-				 interpolation_result.first));
+                                 interpolation_result.first));
     else std::cout <<"Interpolation failed"<<std::endl;
     coords.clear();
   }
@@ -277,14 +277,14 @@ int main(int ,  char** )
   visu_graph(gv, points_3,m);
 
   std::cout << "The data points are displayed in blue in the geomview"
-	    << " application." << std::endl;
+            << " application." << std::endl;
   gv << CGAL::blue();
   visu_points(gv,sample_3);
 
   //show the gradients
   if(method>0){
     std::cout << "The function gradients are displayed by red lines "
-	      <<" in the geomview application." << std::endl;
+              <<" in the geomview application." << std::endl;
     gv <<CGAL::red();
     gv << Segment_3(Point_3(h/3,h/3,w),Point_3(h/3,h/3,w)+ Vector_3(-g,-g,0));
     gv << Segment_3(Point_3(-h/3,h/3,w),Point_3(-h/3,h/3,w)+Vector_3(g,-g,0));
diff -pruN 5.0.2-3/demo/Interpolation/surface_voronoi.cpp 5.0.3-1/demo/Interpolation/surface_voronoi.cpp
--- 5.0.2-3/demo/Interpolation/surface_voronoi.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Interpolation/surface_voronoi.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -80,10 +80,10 @@ void visu_points(CGAL::Geomview_stream &
 //point generation:
 // on a sphere:
 void generate_sphere_points(const int& n,
-			    const double& r,
-			    Point_vector& points,
-			    //the test point + normal
-			    Point &p, Vector &normal){
+                            const double& r,
+                            Point_vector& points,
+                            //the test point + normal
+                            Point &p, Vector &normal){
   CGAL::Random_points_on_sphere_3<Point> g(r);
   std::copy_n( g, n, std::back_inserter(points));
   p = Point(0,0, r);
@@ -92,11 +92,11 @@ void generate_sphere_points(const int& n
 
 // on a cylinder
 void generate_cylinder_points(const int& n,
-			      const double& r,
-			      const double& height,
-			      Point_vector& points,
-			      //the test point + normal
-			      Point &p, Vector &normal){
+                              const double& r,
+                              const double& height,
+                              Point_vector& points,
+                              //the test point + normal
+                              Point &p, Vector &normal){
 
   Point_2_vector points_2;
   points_2.reserve(n);
@@ -116,16 +116,16 @@ void generate_cylinder_points(const int&
 
 // on a cube
 void generate_cube_points(const int& n,
-			  const double& r,
-			  Point_vector& points,
-			  //the test point + normal
-			  Point &p, Vector &normal){
+                          const double& r,
+                          Point_vector& points,
+                          //the test point + normal
+                          Point &p, Vector &normal){
 
   Point_2_vector points_2;
   int m=n/6;
   points_2.reserve(m);
   CGAL::points_on_square_grid_2(r,m,std::back_inserter(points_2),
-				CGAL::Creator_uniform_2<Coord_type,Point_2>());
+                                CGAL::Creator_uniform_2<Coord_type,Point_2>());
   //take the tangent plane to the sphere:
   for(int i=0; i < m; i++){
     points.push_back(Point(points_2[i].x(), points_2[i].y(), -r));
@@ -155,7 +155,7 @@ int main()
   // Create test point set. Prepare a vector for 100 points.
   int d;
   std::cout<<"Choose type of surface: 0 -- sphere, 1 -- cylinder,"
-	   << "2 -- cube "<< std::endl;
+           << "2 -- cube "<< std::endl;
   std::cin>> d;
   Point_vector points;
   points.reserve(n);
@@ -177,11 +177,11 @@ int main()
     break;
   case 1:
     transform = Transformation(Coord_type(1),Coord_type(0),Coord_type(0),
-			       Coord_type(0),
-			       Coord_type(0),Coord_type(0.9063),
-			       Coord_type(-0.42261826),Coord_type(0),
-			       Coord_type(0),Coord_type(0.42261826),
-			       Coord_type(0.9063),Coord_type(0));
+                               Coord_type(0),
+                               Coord_type(0),Coord_type(0.9063),
+                               Coord_type(-0.42261826),Coord_type(0),
+                               Coord_type(0),Coord_type(0.42261826),
+                               Coord_type(0.9063),Coord_type(0));
     break;
   case 2:
     transform = Transformation(CGAL::TRANSLATION, Vector(2,3,-1));
@@ -190,7 +190,7 @@ int main()
   //apply affine transformation to points
   Point_vector pts;
   std::transform( points.begin(),points.end(), std::back_inserter(pts),
-		  transform);
+                  transform);
   points=pts;
   p= transform(p);
   normal =transform(normal);
@@ -215,8 +215,8 @@ int main()
   gv << CGAL::orange() <<p;
 
   std::cout << "Visualizing the intersection of "
-	    << "3D Voronoi diagram with tangent plane at "
-	    << p << "." << std::endl;
+            << "3D Voronoi diagram with tangent plane at "
+            << p << "." << std::endl;
   gv << CGAL::blue();
   T.draw_dual(gv);
   Face_iterator fit = T.finite_faces_begin(),
diff -pruN 5.0.2-3/demo/L1_Voronoi_diagram_2/include/CGAL/L1_voronoi_traits_2.h 5.0.3-1/demo/L1_Voronoi_diagram_2/include/CGAL/L1_voronoi_traits_2.h
--- 5.0.2-3/demo/L1_Voronoi_diagram_2/include/CGAL/L1_voronoi_traits_2.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/demo/L1_Voronoi_diagram_2/include/CGAL/L1_voronoi_traits_2.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/demo/L1_Voronoi_diagram_2/include/CGAL/L1_voronoi_traits_2.h $
-// $Id: L1_voronoi_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/demo/L1_Voronoi_diagram_2/include/CGAL/L1_voronoi_traits_2.h $
+// $Id: L1_voronoi_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Ophir Setter
@@ -18,7 +18,7 @@
 #include <CGAL/enum.h>
 #include <CGAL/Arr_tags.h>
 #include <CGAL/Arr_linear_traits_2.h>
-#include <CGAL/number_utils.h> 
+#include <CGAL/number_utils.h>
 #include <CGAL/Envelope_3/Envelope_base.h>
 #include <CGAL/Envelope_3/Env_plane_traits_3_functions.h>
 
@@ -47,7 +47,7 @@ public:
   typedef typename Base::Bottom_side_category  Bottom_side_category;
   typedef typename Base::Top_side_category     Top_side_category;
   typedef typename Base::Right_side_category   Right_side_category;
-  
+
   typedef Point_2                  Xy_monotone_surface_3;
   typedef Point_2                  Surface_3;
 
@@ -63,7 +63,7 @@ public:
   static Point_2 midpoint(const Point_2& p1, const Point_2& p2, std::size_t index) {
     const Point_2 *pp1;
     const Point_2 *pp2;
-    
+
     if (index % 2 == 0) {
       pp1 = &p1;
       pp2 = &p2;
@@ -75,7 +75,7 @@ public:
 
     FT delta_x = pp2->x() - pp1->x();
     FT delta_y = pp2->y() - pp1->y();
-    
+
     FT sign_x = (int)CGAL::sign(delta_x);
     FT sign_y = (int)CGAL::sign(delta_y);
 
@@ -85,17 +85,17 @@ public:
     FT dist = (abs_x + abs_y) / 2;
     FT mid_x = pp1->x();
     FT mid_y = pp1->y();
-    
+
     // Walk on the horizontal edge of the rectangle and then on the vertical.
 
     // There is a chance that the width of the rectangle is smaller then the mid-dist.
     FT walk_x = (CGAL::min)(abs_x, dist);
     mid_x += sign_x * walk_x;
     dist -= walk_x;
-    
+
     CGAL_assertion(abs_y > dist);
     mid_y += sign_y * dist;
-    
+
     return Point_2(mid_x, mid_y);
   }
 
@@ -139,12 +139,12 @@ public:
         res = CGAL::compare_y_at_x(h2, l);
         if (res == side)
           return CGAL::LARGER;
-        
+
         return CGAL::EQUAL;
       }
-      
+
       CGAL_assertion(CGAL::compare_y_at_x(h2, l) == CGAL::opposite(res));
-      if (res == side) 
+      if (res == side)
         return CGAL::SMALLER;
       else
         return CGAL::LARGER;
@@ -160,11 +160,11 @@ public:
       return o;
     }
   };
-  
+
   Make_xy_monotone_3 make_xy_monotone_3_object() const {
     return Make_xy_monotone_3();
   }
-  
+
   class Compare_z_at_xy_3 {
   public:
     Comparison_result operator()(const Point_2& p,
@@ -187,9 +187,9 @@ public:
           CGAL_assertion(cv.is_line());
           p = k.construct_point_on_2_object()(cv.line(), 1);
         }
-      return this->operator()(p, h1, h2); 
+      return this->operator()(p, h1, h2);
     }
-    
+
     Comparison_result operator()(const Xy_monotone_surface_3& h1,
                                  const Xy_monotone_surface_3& h2) const {
       // should happen only if the points are equal.
@@ -232,7 +232,7 @@ public:
   Compare_z_at_xy_below_3 compare_z_at_xy_below_3_object() const {
     return Compare_z_at_xy_below_3();
   }
-  
+
   class Construct_projected_boundary_2 {
   public:
     template <class OutputIterator>
@@ -242,7 +242,7 @@ public:
     }
   };
 
-  Construct_projected_boundary_2 
+  Construct_projected_boundary_2
   construct_projected_boundary_2_object() const
   {
     return Construct_projected_boundary_2();
@@ -267,7 +267,7 @@ public:
 
       if (s_x == CGAL::ZERO && s_y == CGAL::ZERO)
         return o;
-      
+
       // The sites have the same x/y coordinate.
       if (s_x == CGAL::ZERO || s_y == CGAL::ZERO) {
         *o++ = CGAL::make_object(Intersection_curve(CGAL::bisector(s1, s2), 1));
@@ -288,7 +288,7 @@ public:
         left = &p2;
         right = &p1;
       }
-      
+
       if (CGAL::sign(p2.y() - p1.y()) == CGAL::POSITIVE) {
         bottom = &p1;
         top = &p2;
@@ -298,7 +298,7 @@ public:
         bottom = &p2;
         top = &p1;
       }
-      
+
       // We construct the diagonal line either way.
       *o++ = CGAL::make_object(Intersection_curve(Segment_2(p1, p2), 1));
 
@@ -318,7 +318,7 @@ public:
         *o++ = CGAL::make_object(Intersection_curve(Ray_2(*right, Direction_2(1, 0)), mult));
         *o++ = CGAL::make_object(Intersection_curve(Ray_2(*left, Direction_2(-1, 0)), mult));
       }
-      
+
       return o;
     }
   };
diff -pruN 5.0.2-3/demo/L1_Voronoi_diagram_2/include/CGAL/Qt/ArrangementGraphicsItem.h 5.0.3-1/demo/L1_Voronoi_diagram_2/include/CGAL/Qt/ArrangementGraphicsItem.h
--- 5.0.2-3/demo/L1_Voronoi_diagram_2/include/CGAL/Qt/ArrangementGraphicsItem.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/demo/L1_Voronoi_diagram_2/include/CGAL/Qt/ArrangementGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/demo/L1_Voronoi_diagram_2/include/CGAL/Qt/ArrangementGraphicsItem.h $
-// $Id: ArrangementGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/demo/L1_Voronoi_diagram_2/include/CGAL/Qt/ArrangementGraphicsItem.h $
+// $Id: ArrangementGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Ophir Setter <ophirset@post.tau.ac.il>
-//                 
+//
 
 #ifndef CGAL_QT_ARRANGEMENT_GRAPHICS_ITEM_H
 #define CGAL_QT_ARRANGEMENT_GRAPHICS_ITEM_H
@@ -35,18 +35,18 @@ class ArrangementGraphicsItem : public G
 {
 public:
   ArrangementGraphicsItem(const Arr *arr);
-  
+
   void setArrangement(const Arr *arr);
 
-  QRectF 
+  QRectF
   boundingRect() const;
-  
-  void 
-  paint(QPainter *painter, 
-        const QStyleOptionGraphicsItem *option, 
+
+  void
+  paint(QPainter *painter,
+        const QStyleOptionGraphicsItem *option,
         QWidget *widget);
-  
-  void 
+
+  void
   modelChanged();
 
   const QPen& edgesPen() const
@@ -89,7 +89,7 @@ void ArrangementGraphicsItem<Arr>::setAr
 
 
 template <typename Arr>
-QRectF 
+QRectF
 ArrangementGraphicsItem<Arr>::boundingRect() const
 {
   QRectF rect = CGAL::Qt::viewportsBbox(scene());
@@ -97,7 +97,7 @@ ArrangementGraphicsItem<Arr>::boundingRe
 }
 
 template <typename Arr>
-void 
+void
 ArrangementGraphicsItem<Arr>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem *option,
                                     QWidget* )
@@ -107,7 +107,7 @@ ArrangementGraphicsItem<Arr>::paint(QPai
 
   QRectF rect = option->exposedRect;
   PainterOstream<typename Arr::Geometry_traits_2> pos(painter, rect);
-  
+
   painter->setPen(edgesPen());
   for(typename Arr::Edge_const_iterator eit = m_arr->edges_begin();
       eit != m_arr->edges_end(); eit++) {
@@ -123,7 +123,7 @@ ArrangementGraphicsItem<Arr>::paint(QPai
 
 
 template <typename T>
-void 
+void
 ArrangementGraphicsItem<T>::modelChanged()
 {
   update();
diff -pruN 5.0.2-3/demo/L1_Voronoi_diagram_2/include/CGAL/Qt/ArrangementPointInput.h 5.0.3-1/demo/L1_Voronoi_diagram_2/include/CGAL/Qt/ArrangementPointInput.h
--- 5.0.2-3/demo/L1_Voronoi_diagram_2/include/CGAL/Qt/ArrangementPointInput.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/demo/L1_Voronoi_diagram_2/include/CGAL/Qt/ArrangementPointInput.h	2020-08-01 19:02:21.000000000 +0000
@@ -19,7 +19,7 @@ public:
   typedef typename Kernel::Point_2                        Point_2;
 
   ArrangementPointInput(QObject* parent);
-  
+
 protected:
   void mousePressEvent(QGraphicsSceneMouseEvent *event);
   void mouseMoveEvent(QGraphicsSceneMouseEvent *event);
@@ -37,7 +37,7 @@ ArrangementPointInput<T>::ArrangementPoi
 {}
 
 template <typename T>
-void 
+void
 ArrangementPointInput<T>::mousePressEvent(QGraphicsSceneMouseEvent *event)
 {
   m_p = m_convert(event->scenePos());
@@ -45,7 +45,7 @@ ArrangementPointInput<T>::mousePressEven
 
 
 template <typename T>
-void 
+void
 ArrangementPointInput<T>::mouseReleaseEvent(QGraphicsSceneMouseEvent* )
 {
   Q_EMIT (generate(CGAL::make_object(m_p)));
@@ -54,7 +54,7 @@ ArrangementPointInput<T>::mouseReleaseEv
 
 
 template <typename T>
-bool 
+bool
 ArrangementPointInput<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMousePress) {
@@ -69,7 +69,7 @@ ArrangementPointInput<T>::eventFilter(QO
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 
 } // namespace Qt
diff -pruN 5.0.2-3/demo/L1_Voronoi_diagram_2/include/CGAL/Qt/SetGraphicsItem.h 5.0.3-1/demo/L1_Voronoi_diagram_2/include/CGAL/Qt/SetGraphicsItem.h
--- 5.0.2-3/demo/L1_Voronoi_diagram_2/include/CGAL/Qt/SetGraphicsItem.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/demo/L1_Voronoi_diagram_2/include/CGAL/Qt/SetGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/demo/L1_Voronoi_diagram_2/include/CGAL/Qt/SetGraphicsItem.h $
-// $Id: SetGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/demo/L1_Voronoi_diagram_2/include/CGAL/Qt/SetGraphicsItem.h $
+// $Id: SetGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Ophir Setter <ophirset@post.tau.ac.il>
-//                 
+//
 
 #ifndef CGAL_QT_SET_GRAPHICS_ITEM_H
 #define CGAL_QT_SET_GRAPHICS_ITEM_H
@@ -35,16 +35,16 @@ class SetGraphicsItem : public GraphicsI
 {
 public:
   SetGraphicsItem(const Set *arr);
-  
-  QRectF 
+
+  QRectF
   boundingRect() const;
 
-  void 
-  paint(QPainter *painter, 
-        const QStyleOptionGraphicsItem *option, 
+  void
+  paint(QPainter *painter,
+        const QStyleOptionGraphicsItem *option,
         QWidget *widget);
-  
-  void 
+
+  void
   modelChanged();
 
   const QPen& pen() const {
@@ -68,7 +68,7 @@ SetGraphicsItem<Set>::SetGraphicsItem(co
 }
 
 template <typename Set>
-QRectF 
+QRectF
 SetGraphicsItem<Set>::boundingRect() const
 {
   QRectF rect = CGAL::Qt::viewportsBbox(scene());
@@ -77,7 +77,7 @@ SetGraphicsItem<Set>::boundingRect() con
 
 
 template <typename Set>
-void 
+void
 SetGraphicsItem<Set>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem *option,
                                     QWidget* )
@@ -87,9 +87,9 @@ SetGraphicsItem<Set>::paint(QPainter *pa
 
   QRectF rect = option->exposedRect;
   // R is the kernel. Move it to a template parameter.
-  PainterOstream<typename std::iterator_traits<typename Set::const_iterator>::value_type::R> 
+  PainterOstream<typename std::iterator_traits<typename Set::const_iterator>::value_type::R>
     pos(painter, rect);
-  
+
   painter->setPen(this->pen());
   for(typename Set::const_iterator it = m_set->begin();
       it != m_set->end(); it++) {
@@ -99,7 +99,7 @@ SetGraphicsItem<Set>::paint(QPainter *pa
 
 
 template <typename T>
-void 
+void
 SetGraphicsItem<T>::modelChanged()
 {
   update();
diff -pruN 5.0.2-3/demo/L1_Voronoi_diagram_2/L1_voronoi_diagram_2.cpp 5.0.3-1/demo/L1_Voronoi_diagram_2/L1_voronoi_diagram_2.cpp
--- 5.0.2-3/demo/L1_Voronoi_diagram_2/L1_voronoi_diagram_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/L1_Voronoi_diagram_2/L1_voronoi_diagram_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -8,7 +8,7 @@
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Ophir Setter <ophirset@post.tau.ac.il>
-//                 
+//
 
 // CGAL headers
 #include <CGAL/Exact_predicates_exact_constructions_kernel.h>
@@ -37,7 +37,7 @@
 
 // for viewportsBbox
 #include <CGAL/Qt/utility.h>
-  
+
 // the two base classes
 #include "ui_L1_voronoi_diagram_2.h"
 #include <CGAL/Qt/DemosMainWindow.h>
@@ -63,7 +63,7 @@ namespace CGAL {
       os << obj.ray();
     else
       os << obj.line();
-    
+
     return os;
   }
 }
@@ -73,11 +73,11 @@ class MainWindow :
   public Ui::L1_voronoi_diagram_2
 {
   Q_OBJECT
-  
+
 private:
   Points m_sites;
   Envelope_diagram_2 *m_envelope_diagram;
-  QGraphicsScene m_scene;  
+  QGraphicsScene m_scene;
 
   CGAL::Qt::ArrangementGraphicsItem<Envelope_diagram_2> *m_graphics_item;
   CGAL::Qt::SetGraphicsItem<Points> * m_sites_graphics_item;
@@ -124,49 +124,49 @@ MainWindow::MainWindow()
   m_envelope_diagram = new Envelope_diagram_2();
   m_graphics_item = new CGAL::Qt::ArrangementGraphicsItem<Envelope_diagram_2>
     (m_envelope_diagram);
-  
+
   QObject::connect(this, SIGNAL(changed()),
-		   m_graphics_item, SLOT(modelChanged()));
+                   m_graphics_item, SLOT(modelChanged()));
 
   m_graphics_item->
-    setVerticesPen(QPen(Qt::red, 
+    setVerticesPen(QPen(Qt::red,
                         3, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   m_scene.addItem(m_graphics_item);
-  
+
   // Add a GraphicItem for the sites
   m_sites_graphics_item = new CGAL::Qt::SetGraphicsItem<Points>
     (&m_sites);
-  
+
   QObject::connect(this, SIGNAL(changed()),
-		   m_sites_graphics_item, SLOT(modelChanged()));
+                   m_sites_graphics_item, SLOT(modelChanged()));
 
   m_sites_graphics_item->
-    setPen(QPen(Qt::blue, 
+    setPen(QPen(Qt::blue,
                 5, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   m_scene.addItem(m_sites_graphics_item);
 
-  
+
   // Setup input handlers. They get events before the scene gets them
-  // and the input they generate is passed to the triangulation with 
+  // and the input they generate is passed to the triangulation with
   // the signal/slot mechanism
   // ophir
   m_pi = new CGAL::Qt::ArrangementPointInput<Envelope_diagram_2>(this);
-  
+
   QObject::connect(m_pi, SIGNAL(generate(CGAL::Object)),
-		   this, SLOT(processInput(CGAL::Object)));
-  
-  // 
+                   this, SLOT(processInput(CGAL::Object)));
+
+  //
   // Manual handling of actions
   //
 
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   this, SLOT(close()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   this, SLOT(close()));
 
   // We put mutually exclusive actions in an QActionGroup
   QActionGroup* ag = new QActionGroup(this);
   ag->addAction(this->actionInsertPoint);
 
-  // Check two actions 
+  // Check two actions
   this->actionInsertPoint->setChecked(true);
 
   //
@@ -179,7 +179,7 @@ MainWindow::MainWindow()
 
   // Turn the vertical axis upside down
   this->graphicsView->matrix().scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -191,7 +191,7 @@ MainWindow::MainWindow()
 
   this->addRecentFiles(this->menuFile, this->actionQuit);
   connect(this, SIGNAL(openRecentFile(QString)),
-	  this, SLOT(open(QString)));
+          this, SLOT(open(QString)));
 }
 
 
@@ -207,10 +207,10 @@ MainWindow::processInput(CGAL::Object o)
 }
 
 
-/* 
+/*
  *  Qt Automatic Connections
  *  https://doc.qt.io/qt-5/designer-using-a-ui-file.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -237,20 +237,20 @@ void
 MainWindow::on_actionInsertRandomPoints_triggered()
 {
   QRectF rect = CGAL::Qt::viewportsBbox(&m_scene);
-  CGAL::Qt::Converter<Kernel> convert;  
+  CGAL::Qt::Converter<Kernel> convert;
   Iso_rectangle_2 isor = convert(rect);
   CGAL::Random_points_in_iso_rectangle_2<Point_2> pg((isor.min)(), (isor.max)());
   bool ok = false;
 
-  const int number_of_points = 
-    QInputDialog::getInt(this, 
+  const int number_of_points =
+    QInputDialog::getInt(this,
                              tr("Number of random points"),
                              tr("Enter number of random points"),
-			     100,
-			     0,
-			     (std::numeric_limits<int>::max)(),
-			     1,
-			     &ok);
+                             100,
+                             0,
+                             (std::numeric_limits<int>::max)(),
+                             1,
+                             &ok);
 
   if(!ok) {
     return;
@@ -272,7 +272,7 @@ void
 MainWindow::on_actionLoadPoints_triggered()
 {
   QString fileName = QFileDialog::getOpenFileName(this,
-						  tr("Open Points file"),
+                                                  tr("Open Points file"),
                                                   ".",
                                                   tr("CGAL files (*.pts.cgal);;"
                                                    #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
@@ -291,7 +291,7 @@ MainWindow::open(QString fileName)
   // wait cursor
   QApplication::setOverrideCursor(Qt::WaitCursor);
   m_sites.clear();
-  
+
   std::ifstream ifs(qPrintable(fileName));
   if(fileName.endsWith(".wkt", Qt::CaseInsensitive))
   {
@@ -319,7 +319,7 @@ void
 MainWindow::on_actionSavePoints_triggered()
 {
   QString fileName = QFileDialog::getSaveFileName(this,
-						  tr("Save points"),
+                                                  tr("Save points"),
                                                   ".",
                                                   tr("CGAL files (*.pts.cgal);;"
                                                    #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
@@ -346,7 +346,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(bounding_rect());
-  this->graphicsView->fitInView(bounding_rect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(bounding_rect(), Qt::KeepAspectRatio);
 }
 
 void
@@ -363,10 +363,10 @@ MainWindow::calculate_envelope() {
     delete m_envelope_diagram;
     m_envelope_diagram = NULL;
   }
-  
+
   m_envelope_diagram = new Envelope_diagram_2();
   m_graphics_item->setArrangement(m_envelope_diagram);
-    
+
   CGAL::lower_envelope_3 (m_sites.begin(), m_sites.end(), *m_envelope_diagram);
 }
 
@@ -375,7 +375,7 @@ MainWindow::bounding_rect() {
   CGAL::Bbox_2 bbox(0, 0, 0, 0);
 
   if (m_envelope_diagram != NULL) {
-    for (Envelope_diagram_2::Vertex_iterator it = 
+    for (Envelope_diagram_2::Vertex_iterator it =
            m_envelope_diagram->vertices_begin();
          it != m_envelope_diagram->vertices_end(); ++it) {
       double x = CGAL::to_double(it->point().x());
@@ -384,12 +384,12 @@ MainWindow::bounding_rect() {
       bbox = bbox + temp;
     }
   }
-  
+
   QRectF rect(bbox.xmin(),
-              bbox.ymin(), 
+              bbox.ymin(),
               bbox.xmax() - bbox.xmin(),
               bbox.ymax() - bbox.ymin());
-  
+
   return rect;
 }
 
diff -pruN 5.0.2-3/demo/Largest_empty_rect_2/CMakeLists.txt 5.0.3-1/demo/Largest_empty_rect_2/CMakeLists.txt
--- 5.0.2-3/demo/Largest_empty_rect_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Largest_empty_rect_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -20,7 +20,7 @@ find_package(Qt5 QUIET COMPONENTS Xml Sc
 if ( CGAL_FOUND AND CGAL_Qt5_FOUND AND Qt5_FOUND )
 
   add_definitions(-DQT_NO_KEYWORDS)
-  set(CMAKE_INCLUDE_CURRENT_DIR ON)  
+  set(CMAKE_INCLUDE_CURRENT_DIR ON)
   set(CMAKE_AUTOMOC ON)
 
   #--------------------------------
diff -pruN 5.0.2-3/demo/Largest_empty_rect_2/Largest_empty_rectangle_2.cpp 5.0.3-1/demo/Largest_empty_rect_2/Largest_empty_rectangle_2.cpp
--- 5.0.2-3/demo/Largest_empty_rect_2/Largest_empty_rectangle_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Largest_empty_rect_2/Largest_empty_rectangle_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -16,7 +16,7 @@
 #include <CGAL/Qt/PointsGraphicsItem.h>
 #include <CGAL/Qt/GraphicsViewPolylineInput.h>
 #include <CGAL/Qt/utility.h>
-  
+
 // the two base classes
 #include "ui_Largest_empty_rectangle_2.h"
 #include <CGAL/Qt/DemosMainWindow.h>
@@ -34,14 +34,14 @@ class MainWindow :
   public Ui::Largest_empty_rectangle_2
 {
   Q_OBJECT
-  
+
 private:
 
   Iso_rectangle_2 square;
   Largest_empty_iso_rectangle_2 ler;
   CGAL::Qt::Converter<K> convert;
-  std::vector<Point_2> points; 
-  QGraphicsScene scene;  
+  std::vector<Point_2> points;
+  QGraphicsScene scene;
 
   CGAL::Qt::PointsGraphicsItem<std::vector<Point_2> > * pgi;
   QGraphicsRectItem * rgi;
@@ -62,8 +62,8 @@ private:
     G pg(radius);
     bool ok = false;
 
-    const int number_of_points = 
-      QInputDialog::getInt(this, 
+    const int number_of_points =
+      QInputDialog::getInt(this,
                                tr("Number of random points"),
                                tr("Enter number of random points"),
                                100,
@@ -85,7 +85,7 @@ private:
       ler.insert(points.back());
       ++pg;
     }
-    
+
     // default cursor
     QApplication::restoreOverrideCursor();
     Q_EMIT( changed());
@@ -134,10 +134,10 @@ MainWindow::MainWindow()
     frame[i]->setPen(QPen(::Qt::black, 0));
 
   QObject::connect(this, SIGNAL(changed()),
-		   pgi, SLOT(modelChanged()));
+                   pgi, SLOT(modelChanged()));
 
   QObject::connect(this, SIGNAL(changed()),
-		   this, SLOT(update_largest_empty_rectangle()));
+                   this, SLOT(update_largest_empty_rectangle()));
 
   pgi->setVerticesPen(QPen(Qt::red, 3, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   rgi->setBrush(QBrush(Qt::cyan));
@@ -149,17 +149,17 @@ MainWindow::MainWindow()
   scene.addItem(frame[2]);
   scene.addItem(frame[3]);
 
-  // 
+  //
   // Manual handling of actions
   //
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   this, SLOT(close()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   this, SLOT(close()));
+
 
- 
   pi = new CGAL::Qt::GraphicsViewPolylineInput<K>(this, &scene, 1, false); // inputs a list with one point
   QObject::connect(pi, SIGNAL(generate(CGAL::Object)),
-		   this, SLOT(processInput(CGAL::Object)));
-   
+                   this, SLOT(processInput(CGAL::Object)));
+
   scene.installEventFilter(pi);
   //
   // Setup the scene and the view
@@ -173,7 +173,7 @@ MainWindow::MainWindow()
 
   // Turn the vertical axis upside down
   this->graphicsView->scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -187,10 +187,10 @@ MainWindow::MainWindow()
 }
 
 
-/* 
+/*
  *  Qt Automatic Connections
  *  https://doc.qt.io/qt-5/designer-using-a-ui-file.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -233,7 +233,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(convert(square));
-  this->graphicsView->fitInView(convert(square), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(convert(square), Qt::KeepAspectRatio);
 }
 
 void
diff -pruN 5.0.2-3/demo/Linear_cell_complex/import_moka.h 5.0.3-1/demo/Linear_cell_complex/import_moka.h
--- 5.0.2-3/demo/Linear_cell_complex/import_moka.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/demo/Linear_cell_complex/import_moka.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/demo/Linear_cell_complex/import_moka.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/demo/Linear_cell_complex/import_moka.h $
 // $Id: import_moka.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Linear_cell_complex/Linear_cell_complex_3_demo.cpp 5.0.3-1/demo/Linear_cell_complex/Linear_cell_complex_3_demo.cpp
--- 5.0.2-3/demo/Linear_cell_complex/Linear_cell_complex_3_demo.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Linear_cell_complex/Linear_cell_complex_3_demo.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -24,7 +24,7 @@ int main(int argc, char** argv)
   CGAL::set_error_behaviour(CGAL::ABORT);
 
   QApplication application(argc,argv);
-  
+
   application.setOrganizationDomain("cgal.org");
   application.setOrganizationName("CNRS and LIRIS' Establishments");
   application.setApplicationName("3D Linear Cell Complex");
diff -pruN 5.0.2-3/demo/Linear_cell_complex/Linear_cell_complex_3_subdivision.cpp 5.0.3-1/demo/Linear_cell_complex/Linear_cell_complex_3_subdivision.cpp
--- 5.0.2-3/demo/Linear_cell_complex/Linear_cell_complex_3_subdivision.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Linear_cell_complex/Linear_cell_complex_3_subdivision.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -73,7 +73,7 @@ flip_edge (LCC & m, Dart_handle d)
   CGAL_assertion ( !m.is_free(d,2) );
   CGAL_assertion ( !m.is_free(d,1) && !m.is_free(d,0) );
   CGAL_assertion ( !m.is_free(m.beta(d,2), 0) && !m.is_free(m.beta(d, 2), 1) );
-  
+
   if (!m.is_removable<1>(d)) return LCC::null_handle;
 
   Dart_handle d1 = m.beta(d,1);
@@ -106,7 +106,7 @@ flip_edge (LCC & m, Dart_handle d)
     m.link_beta_1(m.beta(d3,3), m.beta(d,3));
     m.link_beta_1(m.beta(d2,3), m.beta(d,2,3));
   }
-  
+
   // CGAL::remove_cell<LCC,1>(m, d);
   // insert_cell_1_in_cell_2(m, d1, d1->beta(1)->beta(1));
 
@@ -127,10 +127,10 @@ subdivide_lcc_3 (LCC & m)
   // 1) We smoth the old vertices.
   std::vector <std::pair<Point_3, Dart_handle> > vertices;  // smooth the old vertices
   vertices.reserve (m.number_of_attributes<0> ());  // get intermediate space
-  std::transform (m.vertex_attributes().begin (), 
-		  m.vertex_attributes().end (),
-		  std::back_inserter (vertices), 
-		  Smooth_old_vertex (m, mark));
+  std::transform (m.vertex_attributes().begin (),
+                  m.vertex_attributes().end (),
+                  std::back_inserter (vertices),
+                  Smooth_old_vertex (m, mark));
 
   // 2) We subdivide each facet.
   m.negate_mark (treated);  // All the darts are marked in O(1).
@@ -189,6 +189,6 @@ subdivide_lcc_3 (LCC & m)
 
   CGAL_assertion (m.is_whole_map_marked (mark));
   m.free_mark (mark);
-  
+
   CGAL_postcondition ( m.is_valid ());
 }
diff -pruN 5.0.2-3/demo/Linear_cell_complex/Linear_cell_complex_pqq_subdivision.cpp 5.0.3-1/demo/Linear_cell_complex/Linear_cell_complex_pqq_subdivision.cpp
--- 5.0.2-3/demo/Linear_cell_complex/Linear_cell_complex_pqq_subdivision.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Linear_cell_complex/Linear_cell_complex_pqq_subdivision.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -7,8 +7,8 @@
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr> 
-//		   Jérémy Girerd-Rey <jeremy.girerd-rey@etu.univ-lyon1.fr>
+// Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
+//                   Jérémy Girerd-Rey <jeremy.girerd-rey@etu.univ-lyon1.fr>
 //
 
 #include "typedefs.h"
@@ -32,7 +32,7 @@ public:
 
     // Old points aren't concerned.
     if (mlcc.is_marked(d, old))
-    {       
+    {
       return make_pair(v.point(), d);
     }
 
@@ -46,12 +46,12 @@ public:
     {
       // If the vertex is on a border.
       if (mlcc.is_free(it,2))
-      { 
+      {
         return make_pair(v.point(), d);
       }
       // If we found barycenter of a facet.
       if (!mlcc.is_marked(mlcc.opposite(it), old))
-      {       
+      {
         facetsPoints.push_back(mlcc.point(mlcc.opposite(it)));
       }
     }
@@ -59,19 +59,19 @@ public:
     // If we found more than two points we are on a vertice barycenter of a facet.
     // They aren't concerned.
     if (facetsPoints.size() > 2 || facetsPoints.size() < 2)
-    {       
+    {
       return make_pair(v.point(), d);
     }
 
     // Average.
-    LCC::Vector averageFacetsV = LCC::Traits::Construct_vector() 
-			          ( CGAL::ORIGIN, LCC::Point(0,0,0) );                                                   
+    LCC::Vector averageFacetsV = LCC::Traits::Construct_vector()
+                                  ( CGAL::ORIGIN, LCC::Point(0,0,0) );
 
     for (unsigned int i=0; i < facetsPoints.size(); i++)
     {
       averageFacetsV = LCC::Traits::Construct_sum_of_vectors()
-      		       (averageFacetsV, 
-       		       LCC::Traits::Construct_vector() (CGAL::ORIGIN, facetsPoints[i]));
+                             (averageFacetsV,
+                              LCC::Traits::Construct_vector() (CGAL::ORIGIN, facetsPoints[i]));
      }
 
     averageFacetsV = LCC::Traits::Construct_scaled_vector()
@@ -79,7 +79,7 @@ public:
 
     // Barycenter point.
     LCC::Vector barycenterV = LCC::Traits::Construct_sum_of_vectors()
-      		              ( LCC::Traits::Construct_vector() (CGAL::ORIGIN, v.point()), averageFacetsV );
+                                    ( LCC::Traits::Construct_vector() (CGAL::ORIGIN, v.point()), averageFacetsV );
 
     barycenterV = LCC::Traits::Construct_scaled_vector()
                   ( barycenterV, (1.0f/2.0f) );
@@ -113,16 +113,16 @@ public:
 
     // Just old points are concerned.
     if (!mlcc.is_marked(d, old))
-    {       
+    {
       return make_pair(v.point(), d);
     }
 
     unsigned int degree = 0;
     std::vector<LCC::Point> edgesPoints;
-    edgesPoints.resize(0);    
-    
+    edgesPoints.resize(0);
+
     std::vector<LCC::Point> facetsPoints;
-    facetsPoints.resize(0);    
+    facetsPoints.resize(0);
 
     // We search barycenter point of incidents facets, and incidents edges points.
     for (LCC::One_dart_per_incident_cell_range<1,0>::iterator it =
@@ -131,12 +131,12 @@ public:
     {
       // If the vertex is on a border
       if (mlcc.is_free(it,2))
-      { 
+      {
         return make_pair(v.point(), d);
       }
       // If incident isn't an old point, it's an edge point.
       if (!mlcc.is_marked(mlcc.opposite(it), old))
-      {       
+      {
         edgesPoints.push_back (mlcc.point(mlcc.opposite(it)));
       }
       // We go find the "facet point" of incidents facet (barycenter of a facet).
@@ -147,57 +147,57 @@ public:
     CGAL_assertion (facetsPoints.size() != 0 && edgesPoints.size() != 0);
 
     if (facetsPoints.size() < 3 || edgesPoints.size() < 3 )
-    {       
+    {
       return make_pair(v.point(), d);
     }
 
     // Average of incidents "edge points".
     LCC::Vector averageEdgesV = LCC::Traits::Construct_vector()
-                              (CGAL::ORIGIN, LCC::Point(0,0,0));                                                   
+                              (CGAL::ORIGIN, LCC::Point(0,0,0));
 
     for (unsigned int i=0; i < edgesPoints.size(); i++)
     {
       averageEdgesV = LCC::Traits::Construct_sum_of_vectors()
-                      ( averageEdgesV, 
-       		      LCC::Traits::Construct_vector() (CGAL::ORIGIN, edgesPoints[i]));
+                      ( averageEdgesV,
+                             LCC::Traits::Construct_vector() (CGAL::ORIGIN, edgesPoints[i]));
     }
 
     averageEdgesV = LCC::Traits::Construct_scaled_vector()
                     ( averageEdgesV, 1.0f/ (LCC::FT) edgesPoints.size() );
 
     // Average of incidents "facet points".
-    LCC::Vector averageFacetsV = LCC::Traits::Construct_vector() 
-			         (CGAL::ORIGIN, LCC::Point(0,0,0));                                                   
+    LCC::Vector averageFacetsV = LCC::Traits::Construct_vector()
+                                 (CGAL::ORIGIN, LCC::Point(0,0,0));
 
     for (unsigned int i=0; i < facetsPoints.size(); i++)
     {
       averageFacetsV = LCC::Traits::Construct_sum_of_vectors()
-      		       ( averageFacetsV, 
-       		       LCC::Traits::Construct_vector() (CGAL::ORIGIN, facetsPoints[i]));
+                             ( averageFacetsV,
+                              LCC::Traits::Construct_vector() (CGAL::ORIGIN, facetsPoints[i]));
     }
 
     averageFacetsV = LCC::Traits::Construct_scaled_vector()
                      ( averageFacetsV, (1.0f/ (LCC::FT) facetsPoints.size()) );
 
-    // COEFFICIENTS of PQQ - Catmull–Clark subdivision : 
+    // COEFFICIENTS of PQQ - Catmull–Clark subdivision :
     // point = ( averageFacets + 2*averageEdges + point*(degree-3) )/degree
 
     averageFacetsV = LCC::Traits::Construct_scaled_vector()
-      		     ( averageFacetsV, 1.0f/ (LCC::FT) degree);
+                           ( averageFacetsV, 1.0f/ (LCC::FT) degree);
 
     averageEdgesV = LCC::Traits::Construct_scaled_vector()
-      		    ( averageEdgesV, 2.0f/ (LCC::FT) degree);
+                          ( averageEdgesV, 2.0f/ (LCC::FT) degree);
 
     LCC::Vector pointV = LCC::Traits::Construct_scaled_vector()
-      		         ( LCC::Traits::Construct_vector() (CGAL::ORIGIN, v.point() ), 
+                               ( LCC::Traits::Construct_vector() (CGAL::ORIGIN, v.point() ),
                          (LCC::FT) (degree-3)/ (LCC::FT) degree );
 
     // New position of the old point.
-    LCC::Vector	newPosition = LCC::Traits::Construct_sum_of_vectors()
-      		              ( averageFacetsV, averageEdgesV);
-    
+    LCC::Vector        newPosition = LCC::Traits::Construct_sum_of_vectors()
+                                    ( averageFacetsV, averageEdgesV);
+
     newPosition = LCC::Traits::Construct_sum_of_vectors()
-      		  ( newPosition, pointV);
+                        ( newPosition, pointV);
 
     std::pair<Point_3, Dart_handle> res=std::make_pair
       (LCC::Traits::Construct_translated_point() (CGAL::ORIGIN, newPosition), d);
@@ -223,7 +223,7 @@ subdivide_lcc_pqq (LCC & m)
 
   // 1) We subdivide each edge.
   m.negate_mark (treated);  // All the darts are marked in O(1).
-  
+
   for (LCC::Dart_range::iterator it (m.darts().begin ());
        m.number_of_marked_darts (treated) > 0; ++it)
   {
@@ -255,7 +255,7 @@ subdivide_lcc_pqq (LCC & m)
 
       // We remove useless edges.
       for (LCC::One_dart_per_incident_cell_range<1,0>::iterator it2 =
-             m.one_dart_per_incident_cell<1,0>(dc).begin(); 
+             m.one_dart_per_incident_cell<1,0>(dc).begin();
           it2 != m.one_dart_per_incident_cell<1,0>(dc).end(); ++it2)
       {
         // If the edge join the center and a corner.
@@ -266,14 +266,14 @@ subdivide_lcc_pqq (LCC & m)
         }
       }
 
-      // Remove edges. 
+      // Remove edges.
       for (std::vector <Dart_handle>::iterator dit = remove.begin ();
           dit != remove.end (); ++dit)
       {
         CGAL_assertion( (m.is_removable<1>(*dit)) );
         m.remove_cell<1>(*dit);
       }
-      remove.resize(0); 
+      remove.resize(0);
       // CGAL_assertion( m.is_valid() );
     }
   }
@@ -282,13 +282,13 @@ subdivide_lcc_pqq (LCC & m)
   CGAL_assertion (m.is_whole_map_marked (treated));
   m.free_mark (treated);
 
-  // 3) Smooth old points. 
+  // 3) Smooth old points.
   std::vector<std::pair<Point_3, Dart_handle> > old_vertices; // smooth the old vertices.
   old_vertices.reserve (m.number_of_attributes<0> ()); // get intermediate space.
-  std::transform (m.vertex_attributes().begin(), 
-		  m.vertex_attributes().end(),
-		  std::back_inserter(old_vertices), 
-		  Smooth_vertex_pqq(m, old));
+  std::transform (m.vertex_attributes().begin(),
+                  m.vertex_attributes().end(),
+                  std::back_inserter(old_vertices),
+                  Smooth_vertex_pqq(m, old));
 
   // Update.
   for (std::vector<std::pair<Point_3, Dart_handle> >::iterator
@@ -297,13 +297,13 @@ subdivide_lcc_pqq (LCC & m)
     m.point(vit->second)=vit->first;
   }
 
-  // 4) Smooth new edges points.	  
+  // 4) Smooth new edges points.
   std::vector<std::pair<Point_3, Dart_handle> > vertices; // smooth the old vertices.
   vertices.reserve(m.number_of_attributes<0>()); // get intermediate space.
-  std::transform (m.vertex_attributes().begin(), 
-		  m.vertex_attributes().end(),
-		  std::back_inserter(vertices), 
-		  Smooth_edge_pqq(m, old));
+  std::transform (m.vertex_attributes().begin(),
+                  m.vertex_attributes().end(),
+                  std::back_inserter(vertices),
+                  Smooth_edge_pqq(m, old));
 
   // Update.
   for (std::vector<std::pair<Point_3, Dart_handle> >::iterator
diff -pruN 5.0.2-3/demo/Linear_cell_complex/MainWindow.h 5.0.3-1/demo/Linear_cell_complex/MainWindow.h
--- 5.0.2-3/demo/Linear_cell_complex/MainWindow.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/demo/Linear_cell_complex/MainWindow.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/demo/Linear_cell_complex/MainWindow.h $
-// $Id: MainWindow.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/demo/Linear_cell_complex/MainWindow.h $
+// $Id: MainWindow.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -103,13 +103,13 @@ public:
 public Q_SLOTS:
   // File menu
   void on_actionSave_triggered();
-  void on_actionLoad_triggered();  
+  void on_actionLoad_triggered();
   void on_actionImportOFF_triggered();
   void on_actionImport3DTDS_triggered();
   void on_actionImportMoka_triggered();
   void on_actionCompute_Voronoi_3D_triggered();
   void on_actionClear_triggered();
-  
+
   // Creations menu
   Dart_handle on_actionCreate_cube_triggered();
   void on_actionCreate3Cubes_triggered();
@@ -152,7 +152,7 @@ public Q_SLOTS:
   void onHeaderClicked(int);
 
   void onCreateMeshOk();
-  
+
   void onMengerInc();
   void onMengerDec();
   void onMengerChange(int);
@@ -182,7 +182,7 @@ public Q_SLOTS:
 
 Q_SIGNALS:
   void sceneChanged();
-  
+
 protected:
   void clear_all();
   void on_new_volume(Dart_handle adart);
diff -pruN 5.0.2-3/demo/Linear_cell_complex/typedefs.h 5.0.3-1/demo/Linear_cell_complex/typedefs.h
--- 5.0.2-3/demo/Linear_cell_complex/typedefs.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/demo/Linear_cell_complex/typedefs.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/demo/Linear_cell_complex/typedefs.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/demo/Linear_cell_complex/typedefs.h $
 // $Id: typedefs.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Linear_cell_complex/Viewer.h 5.0.3-1/demo/Linear_cell_complex/Viewer.h
--- 5.0.2-3/demo/Linear_cell_complex/Viewer.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/demo/Linear_cell_complex/Viewer.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/demo/Linear_cell_complex/Viewer.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/demo/Linear_cell_complex/Viewer.h $
 // $Id: Viewer.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/demo/Mesh_2/conform.cpp 5.0.3-1/demo/Mesh_2/conform.cpp
--- 5.0.2-3/demo/Mesh_2/conform.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Mesh_2/conform.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -36,13 +36,13 @@ typedef K::Point_2 Point;
 void usage(char** argv)
 {
   std::cerr << "Usage: " << argv[0]
-	    << " [-Q] [-D] [-v] input.poly [output.poly]" << std::endl
-	    << "Read a Shewchuk .poly file and output a conforming PSLG."
-	    << std::endl
-	    << "  -Q   Quiet" << std::endl
-	    << "  -D   Make conforming Delaunay, instead of"
+            << " [-Q] [-D] [-v] input.poly [output.poly]" << std::endl
+            << "Read a Shewchuk .poly file and output a conforming PSLG."
+            << std::endl
+            << "  -Q   Quiet" << std::endl
+            << "  -D   Make conforming Delaunay, instead of"
     " conforming Gabriel." << std::endl
-	    << "  -v   Verbose" << std::endl;
+            << "  -v   Verbose" << std::endl;
 }
 
 int main(int argc, char** argv)
@@ -61,17 +61,17 @@ int main(int argc, char** argv)
   while(argv[arg_count][0] == '-' && std::string(argv[arg_count]) != "--")
     {
       if(std::string(argv[arg_count]) == "-Q")
-	terminal_output = false;
+        terminal_output = false;
       else if(std::string(argv[arg_count]) == "-D")
-	delaunay = true;
+        delaunay = true;
       else if(std::string(argv[arg_count]) == "-v")
-	verbose = true;
+        verbose = true;
       else
-	{
-	  std::cerr << "Unknown option " << argv[arg_count] << std::endl;
-	  usage(argv);
-	  return 1;
-	}
+        {
+          std::cerr << "Unknown option " << argv[arg_count] << std::endl;
+          usage(argv);
+          return 1;
+        }
       ++arg_count;
     }
   if(std::string(argv[arg_count]) == "--")
@@ -88,33 +88,33 @@ int main(int argc, char** argv)
       Tr t;
       CGAL::read_triangle_poly_file(t, input);
       if(delaunay)
-	{
-	  if(verbose)
-	    std::cerr << "Make conforming Delaunay..." << std::endl;
-	  CGAL::make_conforming_Delaunay_2(t);
-	}
+        {
+          if(verbose)
+            std::cerr << "Make conforming Delaunay..." << std::endl;
+          CGAL::make_conforming_Delaunay_2(t);
+        }
       else
-	{
-	  if(verbose)
-	    std::cerr << "Make conforming Gabriel..." << std::endl;
-	  CGAL::make_conforming_Gabriel_2(t);
-	}
+        {
+          if(verbose)
+            std::cerr << "Make conforming Gabriel..." << std::endl;
+          CGAL::make_conforming_Gabriel_2(t);
+        }
 
       if(argc==arg_count+1)
-	{
-	  if(terminal_output)
-	    CGAL::write_triangle_poly_file(t, std::cout);
-	}
+        {
+          if(terminal_output)
+            CGAL::write_triangle_poly_file(t, std::cout);
+        }
       else
-	{
-	  std::ofstream output(argv[arg_count+1]);
-	  CGAL::write_triangle_poly_file(t, output);
-	}
+        {
+          std::ofstream output(argv[arg_count+1]);
+          CGAL::write_triangle_poly_file(t, output);
+        }
 
       if(terminal_output)
-	std::cerr
-	  << "Number of points: " << t.number_of_vertices() << std::endl
-	  << "Number of triangles: " << t.number_of_faces () << std::endl;
+        std::cerr
+          << "Number of points: " << t.number_of_vertices() << std::endl
+          << "Number of triangles: " << t.number_of_faces () << std::endl;
 
     }
   else
diff -pruN 5.0.2-3/demo/Mesh_2/mesh.cpp 5.0.3-1/demo/Mesh_2/mesh.cpp
--- 5.0.2-3/demo/Mesh_2/mesh.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Mesh_2/mesh.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -36,7 +36,7 @@ typedef K::Point_2 Point;
 void usage(char** argv)
 {
   std::cerr << "Usage: " << std::endl
-	    << argv[0] << " [-Q] [-a area] input.poly [output.poly]" << std::endl;
+            << argv[0] << " [-Q] [-a area] input.poly [output.poly]" << std::endl;
 }
 
 int main(int argc, char** argv)
@@ -55,30 +55,30 @@ int main(int argc, char** argv)
   while(argv[arg_count][0] == '-' && std::string(argv[arg_count]) != "--")
     {
       if(std::string(argv[arg_count]) == "-Q")
-	terminal_output = false;
+        terminal_output = false;
       else if(std::string(argv[arg_count]) == "-a")
-	{
-	  double area_bound;
-	    if( (argc > arg_count+1) &&
-		std::istringstream(argv[arg_count+1]) >> area_bound )
-	      {
-		criteria.set_area_bound(area_bound);
-		++arg_count;
-	      }
-	    else
-	      {
-		std::cerr << "The area " << argv[arg_count+1]
-			  << " is not a double." << std::endl;
-		usage(argv);
-		return 1;
-	      }
-	}
+        {
+          double area_bound;
+            if( (argc > arg_count+1) &&
+                std::istringstream(argv[arg_count+1]) >> area_bound )
+              {
+                criteria.set_area_bound(area_bound);
+                ++arg_count;
+              }
+            else
+              {
+                std::cerr << "The area " << argv[arg_count+1]
+                          << " is not a double." << std::endl;
+                usage(argv);
+                return 1;
+              }
+        }
       else
-	{
-	  std::cerr << "Unknown option " << argv[arg_count] << std::endl;
-	  usage(argv);
-	  return 1;
-	}
+        {
+          std::cerr << "Unknown option " << argv[arg_count] << std::endl;
+          usage(argv);
+          return 1;
+        }
       ++arg_count;
     }
   if(std::string(argv[arg_count]) == "--")
@@ -97,19 +97,19 @@ int main(int argc, char** argv)
       CGAL::refine_Delaunay_mesh_2(t, criteria);
 
       if(argc==arg_count+1)
-	{
-	  if(terminal_output)
-	    CGAL::write_triangle_poly_file(t, std::cout);
-	}
+        {
+          if(terminal_output)
+            CGAL::write_triangle_poly_file(t, std::cout);
+        }
       else
-	{
-	  std::ofstream output(argv[arg_count+1]);
-	  CGAL::write_triangle_poly_file(t, output);
-	}
+        {
+          std::ofstream output(argv[arg_count+1]);
+          CGAL::write_triangle_poly_file(t, output);
+        }
       if(terminal_output)
-	std::cerr
-	  << "Mesh points: " << t.number_of_vertices() << std::endl
-	  << "Mesh triangles: " << t.number_of_faces () << std::endl;
+        std::cerr
+          << "Mesh points: " << t.number_of_vertices() << std::endl
+          << "Mesh triangles: " << t.number_of_faces () << std::endl;
 
     }
   else
diff -pruN 5.0.2-3/demo/Optimal_transportation_reconstruction_2/CMakeLists.txt 5.0.3-1/demo/Optimal_transportation_reconstruction_2/CMakeLists.txt
--- 5.0.2-3/demo/Optimal_transportation_reconstruction_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Optimal_transportation_reconstruction_2/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -41,27 +41,27 @@ endif()
 if(CGAL_FOUND AND CGAL_Qt5_FOUND AND Qt5_FOUND)
 
   set(
-  SRCS 
-  glviewer.cpp 
+  SRCS
+  glviewer.cpp
   scene.cpp
-  Otr2_demo.cpp 
-  window.cpp 
-  render.cpp 
+  Otr2_demo.cpp
+  window.cpp
+  render.cpp
   )
 
-  set( 
-  CGAL_Qt5_MOC_FILES 
-  moc_dialog_options.cxx 
-  moc_glviewer.cxx 
-  moc_window.cxx 
+  set(
+  CGAL_Qt5_MOC_FILES
+  moc_dialog_options.cxx
+  moc_glviewer.cxx
+  moc_window.cxx
   )
 
   set(
   UIS
-  pwsrec.ui 
+  pwsrec.ui
   options.ui
   )
-  
+
   qt5_wrap_ui( UI_FILES ${UIS} )
 
   include(AddFileDependencies)
@@ -78,10 +78,10 @@ if(CGAL_FOUND AND CGAL_Qt5_FOUND AND Qt5
   qt5_add_resources ( CGAL_Qt5_RESOURCE_FILES pwsrec.qrc )
 
   add_executable  ( Otr2_demo ${SRCS} ${CGAL_Qt5_MOC_FILES} ${UI_FILES} ${CGAL_Qt5_RESOURCE_FILES})
-  
+
   target_link_libraries( Otr2_demo PRIVATE
     CGAL::CGAL CGAL::CGAL_Qt5 Qt5::Gui Qt5::OpenGL )
-  
+
   # Link with pthread if necessary
   if (CIMG_INCLUDE_DIR)
     target_compile_definitions( Otr2_demo PRIVATE -DCGAL_USE_CIMG )
@@ -93,7 +93,7 @@ if(CGAL_FOUND AND CGAL_Qt5_FOUND AND Qt5
       target_link_libraries( Otr2_demo PRIVATE ${CMAKE_THREAD_LIBS_INIT} )
     endif()
   endif()
-    
+
   add_to_cached_list( CGAL_EXECUTABLE_TARGETS Otr2_demo )
 
   include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
diff -pruN 5.0.2-3/demo/Optimal_transportation_reconstruction_2/dialog_options.h 5.0.3-1/demo/Optimal_transportation_reconstruction_2/dialog_options.h
--- 5.0.2-3/demo/Optimal_transportation_reconstruction_2/dialog_options.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/demo/Optimal_transportation_reconstruction_2/dialog_options.h	2020-08-01 19:02:36.000000000 +0000
@@ -26,7 +26,7 @@ public:
     {
         setupUi(this);
     }
-    
+
     void set_all_ranges()
     {
         verbose_spinbox->setRange(0, 2);
@@ -35,30 +35,30 @@ public:
         relocation_spinbox->setRange(0, 50);
         relevance_spinbox->setRange(0., 100000.);
     }
-    
+
     int get_verbose() const { return verbose_spinbox->value(); }
-    void set_verbose(int verbose) { verbose_spinbox->setValue(verbose); }    
-    
+    void set_verbose(int verbose) { verbose_spinbox->setValue(verbose); }
+
     int get_mchoice() const { return mchoice_spinbox->value(); }
     void set_random_sample_size(const int mchoice) { mchoice_spinbox->setValue(mchoice); }
-    
+
     double get_percent() const { return percent_spinbox->value(); }
     void set_percent(const double percent) { percent_spinbox->setValue(percent); }
-    
+
     int get_relocation() const { return relocation_spinbox->value(); }
     void set_relocation(const int value) {
       return relocation_spinbox->setValue(value);
     }
-    
+
     double get_relevance() const { return relevance_spinbox->value(); }
     void set_relevance(double ghost) { relevance_spinbox->setValue(ghost); }
-    
+
     bool get_use_flip() const { return use_flip_checkbox->isChecked(); }
     void set_use_flip(const bool flip) {
       return use_flip_checkbox->setChecked(flip);
     }
 
-    bool get_multiple_choice_checkbox() const { 
+    bool get_multiple_choice_checkbox() const {
       return multiple_choice_checkbox->isChecked(); }
     void set_multiple_choice_checkbox(const bool mc) {
       return multiple_choice_checkbox->setChecked(mc);
diff -pruN 5.0.2-3/demo/Optimal_transportation_reconstruction_2/glviewer.cpp 5.0.3-1/demo/Optimal_transportation_reconstruction_2/glviewer.cpp
--- 5.0.2-3/demo/Optimal_transportation_reconstruction_2/glviewer.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Optimal_transportation_reconstruction_2/glviewer.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -32,7 +32,7 @@ GlViewer::GlViewer(QWidget *pParent)
   setAutoFillBackground(false);
 }
 
-void GlViewer::resizeGL(int width, int height) 
+void GlViewer::resizeGL(int width, int height)
 {
   glViewport(0, 0, width, height);
   double aspect_ratio = double(height) / double(width);
@@ -45,7 +45,7 @@ void GlViewer::resizeGL(int width, int h
   glLoadIdentity();
 }
 
-void GlViewer::initializeGL() 
+void GlViewer::initializeGL()
 {
   QOpenGLWidget::initializeGL();
   initializeOpenGLFunctions();
@@ -55,7 +55,7 @@ void GlViewer::initializeGL()
   glEnable(GL_SMOOTH);
 }
 
-void GlViewer::paintGL() 
+void GlViewer::paintGL()
 {
 
   glClear(GL_COLOR_BUFFER_BIT);
@@ -84,7 +84,7 @@ void GlViewer::paintGL()
   glPopMatrix();
 }
 
-void GlViewer::wheelEvent(QWheelEvent *event) 
+void GlViewer::wheelEvent(QWheelEvent *event)
 {
   if (!m_scene) return;
   m_scale += 0.05 * (event->delta() / 120);
@@ -92,7 +92,7 @@ void GlViewer::wheelEvent(QWheelEvent *e
   update();
 }
 
-void GlViewer::mousePressEvent(QMouseEvent *event) 
+void GlViewer::mousePressEvent(QMouseEvent *event)
 {
   if (!m_scene) return;
   m_mouse_click = event->pos();
@@ -127,7 +127,7 @@ void GlViewer::mouseMoveEvent(QMouseEven
   update();
 }
 
-void GlViewer::mouseReleaseEvent(QMouseEvent *event) 
+void GlViewer::mouseReleaseEvent(QMouseEvent *event)
 {
   if (!m_scene) return;
   m_mouse_move = event->pos();
diff -pruN 5.0.2-3/demo/Optimal_transportation_reconstruction_2/glviewer.h 5.0.3-1/demo/Optimal_transportation_reconstruction_2/glviewer.h
--- 5.0.2-3/demo/Optimal_transportation_reconstruction_2/glviewer.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/demo/Optimal_transportation_reconstruction_2/glviewer.h	2020-08-01 19:02:36.000000000 +0000
@@ -12,13 +12,13 @@
 class GlViewer : public QOpenGLWidget, public QOpenGLFunctions_2_1
 {
     Q_OBJECT
-    
+
 private:
     Scene* m_scene;
-    
+
     // toggles
     bool m_view_points;
-    bool m_view_tolerance;    
+    bool m_view_tolerance;
     bool m_view_vertices;
     bool m_view_edges;
     bool m_view_ghost_edges;
@@ -31,82 +31,82 @@ private:
 
     // interactive modes
     bool m_insert_points;
-    
+
     // rendering options
     double m_line_thickness;
     double m_point_size;
     double m_vertex_size;
-    
+
     // camera
     double m_scale;
     double m_center_x, m_center_y;
-    
+
     // mouse
     QPoint m_mouse_click;
     QPoint m_mouse_move;
     Point m_mouse_pick;
-    
+
 public:
     GlViewer(QWidget *parent);
-    
+
     void set_scene(Scene* pScene) { m_scene = pScene; }
-    
-    void set_camera(const double x, const double y, const double s) 
+
+    void set_camera(const double x, const double y, const double s)
     {
         m_center_x = x;
         m_center_y = y;
         m_scale = s;
     }
-    
+
     // options
     double& line_thickness() { return m_line_thickness; }
     const double& line_thickness() const { return m_line_thickness; }
-    
+
     double& point_size() { return m_point_size; }
     const double& point_size() const { return m_point_size; }
-    
+
     double& vertex_size() { return m_vertex_size; }
     const double& vertex_size() const { return m_vertex_size; }
-    
+
     // toggles
     void toggle_view_points() { m_view_points = !m_view_points; }
 
-    void toggle_view_tolerance() { m_view_tolerance = !m_view_tolerance; } 
+    void toggle_view_tolerance() { m_view_tolerance = !m_view_tolerance; }
 
     void toggle_view_vertices() { m_view_vertices = !m_view_vertices; }
-    
+
     void toggle_view_edges() { m_view_edges = !m_view_edges; }
-    
+
     void toggle_view_ghost_edges() { m_view_ghost_edges = !m_view_ghost_edges; }
-    
+
     void toggle_view_edge_cost() { m_view_edge_cost = !m_view_edge_cost; }
-    
+
     void toggle_view_edge_priority() {
       m_view_edge_priority = !m_view_edge_priority;
     }
-    
+
     void toggle_view_bins () { m_view_bins = !m_view_bins; }
-    
-    void toggle_view_foot_points() { m_view_foot_points = !m_view_foot_points; } 
-    
+
+    void toggle_view_foot_points() { m_view_foot_points = !m_view_foot_points; }
+
     void toggle_view_relocation() { m_view_relocation = !m_view_relocation; }
 
     void toggle_view_edge_relevance() { m_view_edge_relevance = !m_view_edge_relevance; }
-    
+
     void toggle_insert_points() { m_insert_points = !m_insert_points; }
-   
+
 protected:
     // GL
     void paintGL();
     void initializeGL();
     void resizeGL(int width, int height);
-    
+
     // mouse
     void wheelEvent(QWheelEvent *event);
     void mouseMoveEvent(QMouseEvent *event);
     void mousePressEvent(QMouseEvent *event);
     void mouseReleaseEvent(QMouseEvent *event);
-    
+
     void sample_mouse_path(const QPoint& point);
     void move_camera(const QPoint& p0, const QPoint& p1);
     void convert_to_world_space(const QPoint& point, double &x, double &y);
diff -pruN 5.0.2-3/demo/Optimal_transportation_reconstruction_2/render.cpp 5.0.3-1/demo/Optimal_transportation_reconstruction_2/render.cpp
--- 5.0.2-3/demo/Optimal_transportation_reconstruction_2/render.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Optimal_transportation_reconstruction_2/render.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -580,7 +580,7 @@ void R_s_k_2::draw_mesh_blocking_edges(c
       draw_segment(a->point(), b->point());
     }
   }
-}    
+}
 
 void R_s_k_2::draw_collapsible_edge(const float point_size,
     const float line_width,
diff -pruN 5.0.2-3/demo/Optimal_transportation_reconstruction_2/scene.h 5.0.3-1/demo/Optimal_transportation_reconstruction_2/scene.h
--- 5.0.2-3/demo/Optimal_transportation_reconstruction_2/scene.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/demo/Optimal_transportation_reconstruction_2/scene.h	2020-08-01 19:02:36.000000000 +0000
@@ -90,7 +90,7 @@ private:
       return K::Point_3 (sample.point().x(), sample.point().y(), 0.);
     }
   };
-  
+
   // data
   std::vector<Sample_> m_samples;
 
@@ -104,10 +104,10 @@ private:
   double m_bbox_x;
   double m_bbox_y;
   double m_bbox_size;
-  
+
   //Random
   CGAL::Random random;
-  
+
   template <class Vector>
   Vector random_vec(const double scale)
   {
@@ -408,7 +408,7 @@ public:
        3);
     std::cerr << "Average spacing = " << spacing << std::endl;
   }
-  
+
   void print_vertex(Vertex vertex) {
     std::cout << "vertex " << vertex << std::endl;
   }
@@ -637,7 +637,7 @@ public:
 
     if (view_tolerance)
       draw_tolerance(viewer);
-    
+
     if (view_edges)
       m_pwsrec->draw_edges(0.5f * line_thickness, 0.9f, 0.9f, 0.9f);
 
diff -pruN 5.0.2-3/demo/Optimal_transportation_reconstruction_2/window.cpp 5.0.3-1/demo/Optimal_transportation_reconstruction_2/window.cpp
--- 5.0.2-3/demo/Optimal_transportation_reconstruction_2/window.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Optimal_transportation_reconstruction_2/window.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -14,8 +14,8 @@
 #include "ui_options.h"
 #include "dialog_options.h"
 
-MainWindow::MainWindow() : 
-QMainWindow(), Ui_MainWindow(), 
+MainWindow::MainWindow() :
+QMainWindow(), Ui_MainWindow(),
 maxNumRecentFiles(15), recentFileActs(15)
 {
   setupUi(this);
@@ -176,13 +176,13 @@ void MainWindow::on_actionSave_triggered
 }
 
 
-void MainWindow::on_actionInsertPoint_toggled() 
+void MainWindow::on_actionInsertPoint_toggled()
 {
   viewer->toggle_insert_points();
   update();
 }
 
-void MainWindow::on_actionRecenter_triggered() 
+void MainWindow::on_actionRecenter_triggered()
 {
   double center_x, center_y, scale;
   m_scene->compute_bbox(center_x, center_y, scale);
diff -pruN 5.0.2-3/demo/Periodic_2_triangulation_2/CMakeLists.txt 5.0.3-1/demo/Periodic_2_triangulation_2/CMakeLists.txt
--- 5.0.2-3/demo/Periodic_2_triangulation_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Periodic_2_triangulation_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -40,8 +40,8 @@ SOURCE_GROUP("P2T2" FILES ${P2T2_headers
 SOURCE_GROUP("QT" FILES ${QT_headers})
 
 # The executable itself.
-add_executable  ( Periodic_2_Delaunay_triangulation_2 
-  Periodic_2_Delaunay_triangulation_2.cpp 
+add_executable  ( Periodic_2_Delaunay_triangulation_2
+  Periodic_2_Delaunay_triangulation_2.cpp
   ${DT_UI_FILES}  ${CGAL_Qt5_RESOURCE_FILES} ${CGAL_Qt5_MOC_FILES}
   ${headers} ${QT_headers} ${P2T2_headers})
 
diff -pruN 5.0.2-3/demo/Periodic_2_triangulation_2/include/CGAL/Qt/PeriodicTriangulationGraphicsItem.h 5.0.3-1/demo/Periodic_2_triangulation_2/include/CGAL/Qt/PeriodicTriangulationGraphicsItem.h
--- 5.0.2-3/demo/Periodic_2_triangulation_2/include/CGAL/Qt/PeriodicTriangulationGraphicsItem.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/demo/Periodic_2_triangulation_2/include/CGAL/Qt/PeriodicTriangulationGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -11,9 +11,9 @@
 // This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 // WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/demo/Periodic_2_triangulation_2/include/CGAL/Qt/PeriodicTriangulationGraphicsItem.h $
-// $Id: PeriodicTriangulationGraphicsItem.h 243c7b1 2019-07-08T14:05:42+02:00 Maxime Gimeno
-// 
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/demo/Periodic_2_triangulation_2/include/CGAL/Qt/PeriodicTriangulationGraphicsItem.h $
+// $Id: PeriodicTriangulationGraphicsItem.h 590612a 2020-03-26T13:25:16+01:00 Sébastien Loriot
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -33,14 +33,14 @@
 
 namespace CGAL {
   namespace Qt {
-    
+
     template <typename T>
     class PeriodicTriangulationGraphicsItem : public GraphicsItem
     {
       typedef typename T::Geom_traits Geom_traits;
     public:
       PeriodicTriangulationGraphicsItem(T* t_);
-      
+
       void modelChanged();
 
       enum Iterator_type {
@@ -53,18 +53,18 @@ namespace CGAL {
       void setEmphasizedSimplices(Iterator_type type) { this->type = type; }
       Iterator_type getEmphasizedSimplices() { return this->type; }
     public:
-      
+
       QRectF boundingRect() const;
-      
+
       void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-      
+
       virtual void operator()(typename T::Face_handle fh);
-      
+
       const QPen& verticesPen() const
       {
         return vertices_pen;
       }
-      
+
       const QPen& edgesPen() const
       {
         return edges_pen;
@@ -74,17 +74,17 @@ namespace CGAL {
       {
         return faces_pen;
       }
-      
+
       const QPen& domainPen() const
       {
         return domain_pen;
       }
-      
+
       void setVerticesPen(const QPen& pen)
       {
         vertices_pen = pen;
       }
-      
+
       void setEdgesPen(const QPen& pen)
       {
         edges_pen = pen;
@@ -94,49 +94,49 @@ namespace CGAL {
       {
         edges_pen = pen;
       }
-      
+
       void setDomainPen(const QPen& pen)
       {
         domain_pen = pen;
       }
-      
+
       bool visibleVertices() const
       {
         return visible_vertices;
       }
-      
+
       void setVisibleVertices(const bool b)
       {
         visible_vertices = b;
         update();
       }
-      
+
       bool visibleEdges() const
       {
         return visible_edges;
       }
-      
+
       void setVisibleEdges(const bool b)
       {
         visible_edges = b;
         update();
       }
-      
+
     protected:
       virtual void drawAll(QPainter *painter);
       void paintVertices(QPainter *painter);
       void paintOneVertex(const typename T::Point& point);
       virtual void paintVertex(typename T::Vertex_handle vh);
       void updateBoundingBox();
-      
+
       T * t;
       QPainter* m_painter;
       PainterOstream<Geom_traits> painterostream;
-      
+
       typename T::Vertex_handle vh;
       typename T::Point p;
       QRectF bounding_rect;
-      
+
       QPen vertices_pen;
       QPen edges_pen;
       QPen faces_pen;
@@ -146,15 +146,15 @@ namespace CGAL {
 
       Iterator_type type;
     };
-    
-    
+
+
     template <typename T>
     PeriodicTriangulationGraphicsItem<T>::PeriodicTriangulationGraphicsItem(T * t_)
     :  t(t_), painterostream(0),
        visible_edges(true), visible_vertices(true),
        type(NONE)
     {
-      setVerticesPen(QPen(::Qt::red, 1.));      
+      setVerticesPen(QPen(::Qt::red, 1.));
       setFacesPen(QPen(QColor(100,100,100)));
       setDomainPen(QPen(::Qt::blue, .01));
       setEdgesPen(QPen(::Qt::black, .01));
@@ -164,17 +164,17 @@ namespace CGAL {
       updateBoundingBox();
       setZValue(3);
     }
-    
+
     template <typename T>
-    QRectF 
+    QRectF
     PeriodicTriangulationGraphicsItem<T>::boundingRect() const
     {
       return bounding_rect;
     }
-    
-    
+
+
     template <typename T>
-    void 
+    void
     PeriodicTriangulationGraphicsItem<T>::operator()(typename T::Face_handle fh)
     {
       if(visible_edges) {
@@ -191,9 +191,9 @@ namespace CGAL {
         }
       }
     }
-    
+
     template <typename T>
-    void 
+    void
     PeriodicTriangulationGraphicsItem<T>::drawAll(QPainter *painter)
     {
       painterostream = PainterOstream<Geom_traits>(painter);
@@ -220,7 +220,7 @@ namespace CGAL {
           itype = T::STORED;
           break;
         }
-        
+
         Converter<Geom_traits> convert;
 
         QTransform matrix = painter->worldTransform();
@@ -255,23 +255,23 @@ namespace CGAL {
         }
 
         painter->setWorldTransform(matrix);
-      }      
+      }
 
       if(visibleEdges()) {
         painter->setPen(this->edgesPen());
         t->draw_triangulation(painterostream);
       }
-      
+
       paintVertices(painter);
     }
-    
+
     template <typename T>
-    void 
+    void
     PeriodicTriangulationGraphicsItem<T>::paintVertices(QPainter *painter)
     {
       if(visibleVertices()) {
         Converter<Geom_traits> convert;
-        
+
         QTransform matrix = painter->worldTransform();
         painter->resetTransform();
 
@@ -290,7 +290,7 @@ namespace CGAL {
 
             ++v_index;
           }
-          
+
         } else {
           painter->setPen(verticesPen());
           for (typename T::Periodic_point_iterator ppit = t->periodic_points_begin();
@@ -304,36 +304,36 @@ namespace CGAL {
         painter->setWorldTransform(matrix);
       }
     }
-    
+
     template <typename T>
-    void 
+    void
     PeriodicTriangulationGraphicsItem<T>::paintOneVertex(const typename T::Point& point)
     {
       Converter<Geom_traits> convert;
-      
+
       m_painter->setPen(this->verticesPen());
       QTransform matrix = m_painter->worldTransform();
       m_painter->resetTransform();
       m_painter->drawPoint(matrix.map(convert(point)));
       m_painter->setWorldTransform(matrix);
     }
-    
+
     template <typename T>
-    void 
+    void
     PeriodicTriangulationGraphicsItem<T>::paintVertex(typename T::Vertex_handle vh)
     {
       Converter<Geom_traits> convert;
-      
+
       m_painter->setPen(this->verticesPen());
       QTransform matrix = m_painter->worldTransform();
       m_painter->resetTransform();
       m_painter->drawPoint(matrix.map(convert(vh->point())));
       m_painter->setWorldTransform(matrix);
     }
-    
+
     template <typename T>
-    void 
-    PeriodicTriangulationGraphicsItem<T>::paint(QPainter *painter, 
+    void
+    PeriodicTriangulationGraphicsItem<T>::paint(QPainter *painter,
                                                 const QStyleOptionGraphicsItem *,
                                                 QWidget *)
     {
@@ -353,21 +353,21 @@ namespace CGAL {
       }
       m_painter = painter;
     }
-    
+
     // We let the bounding box only grow, so that when vertices get removed
     // the maximal bbox gets refreshed in the GraphicsView
     template <typename T>
-    void 
+    void
     PeriodicTriangulationGraphicsItem<T>::updateBoundingBox()
     {
       prepareGeometryChange();
-      
+
       CGAL::Bbox_2 bb = t->domain().bbox();
       for (typename T::Periodic_triangle_iterator tit = t->periodic_triangles_begin(T::STORED_COVER_DOMAIN);
            tit != t->periodic_triangles_end(T::STORED_COVER_DOMAIN); ++tit) {
         bb = bb + t->triangle(*tit).bbox();
       }
-      
+
       double xmin = bb.xmin();
       double ymin = bb.ymin();
       double dx = bb.xmax() - xmin;
@@ -381,10 +381,10 @@ namespace CGAL {
 
       bounding_rect = QRectF(xmin, ymin, dx, dy);
     }
-    
-    
+
+
     template <typename T>
-    void 
+    void
     PeriodicTriangulationGraphicsItem<T>::modelChanged()
     {
       if((t->number_of_vertices() == 0) ){
@@ -395,8 +395,8 @@ namespace CGAL {
       updateBoundingBox();
       update();
     }
-    
-    
+
+
   } // namespace Qt
 } // namespace CGAL
 
diff -pruN 5.0.2-3/demo/Periodic_2_triangulation_2/include/CGAL/Qt/PeriodicVoronoiGraphicsItem.h 5.0.3-1/demo/Periodic_2_triangulation_2/include/CGAL/Qt/PeriodicVoronoiGraphicsItem.h
--- 5.0.2-3/demo/Periodic_2_triangulation_2/include/CGAL/Qt/PeriodicVoronoiGraphicsItem.h	2020-02-21 20:03:15.000000000 +0000
+++ 5.0.3-1/demo/Periodic_2_triangulation_2/include/CGAL/Qt/PeriodicVoronoiGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/demo/Periodic_2_triangulation_2/include/CGAL/Qt/PeriodicVoronoiGraphicsItem.h $
-// $Id: PeriodicVoronoiGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/demo/Periodic_2_triangulation_2/include/CGAL/Qt/PeriodicVoronoiGraphicsItem.h $
+// $Id: PeriodicVoronoiGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -41,13 +41,13 @@ public:
   PeriodicTriangulationVoronoiGraphicsItem(DT  * dt_);
 
 
-  QRectF 
+  QRectF
   boundingRect() const;
-  
-  void 
+
+  void
   paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
-  void 
+
+  void
   modelChanged();
 
   const QPen& edgesPen() const
@@ -75,7 +75,7 @@ PeriodicTriangulationVoronoiGraphicsItem
 }
 
 template <typename DT>
-QRectF 
+QRectF
 PeriodicTriangulationVoronoiGraphicsItem<DT>::boundingRect() const
 {
   QRectF rect = CGAL::Qt::viewportsBbox(scene());
@@ -84,19 +84,19 @@ PeriodicTriangulationVoronoiGraphicsItem
 
 
 template <typename DT>
-void 
+void
 PeriodicTriangulationVoronoiGraphicsItem<DT>::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget * /*w*/)
 {
   QRectF rect = option->exposedRect;
   PainterOstream<typename DT::Geom_traits> pos(painter, rect);
-  
+
   painter->setPen(edgesPen());
   dt->draw_dual(pos);
 }
 
 
 template <typename T>
-void 
+void
 PeriodicTriangulationVoronoiGraphicsItem<T>::modelChanged()
 {
   update();
diff -pruN 5.0.2-3/demo/Periodic_2_triangulation_2/Periodic_2_Delaunay_triangulation_2.cpp 5.0.3-1/demo/Periodic_2_triangulation_2/Periodic_2_Delaunay_triangulation_2.cpp
--- 5.0.2-3/demo/Periodic_2_triangulation_2/Periodic_2_Delaunay_triangulation_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Periodic_2_triangulation_2/Periodic_2_Delaunay_triangulation_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -30,7 +30,7 @@
 
 // for viewportsBbox
 #include <CGAL/Qt/utility.h>
-  
+
 // the two base classes
 #include "ui_Periodic_2_triangulation_2.h"
 #include <CGAL/Qt/DemosMainWindow.h>
@@ -48,10 +48,10 @@ class MainWindow :
   public Ui::Periodic_2_triangulation_2
 {
   Q_OBJECT
-  
-private:  
-  Periodic_DT triang; 
-  QGraphicsScene scene;  
+
+private:
+  Periodic_DT triang;
+  QGraphicsScene scene;
 
   typedef CGAL::Qt::PeriodicTriangulationGraphicsItem<Periodic_DT> PTGI;
 
@@ -75,7 +75,7 @@ public Q_SLOTS:
   void on_actionInsertRandomPoints_triggered();
   void on_actionConvertTo9Cover_triggered();
   void on_actionConvertTo1Cover_triggered();
-  
+
   void on_actionMovingPoint_toggled(bool checked);
   void on_actionShowConflictZone_toggled(bool checked);
   void on_actionCircumcenter_toggled(bool checked);
@@ -88,10 +88,10 @@ public Q_SLOTS:
   void on_actionUniqueCoverDomainSimplicesEmphasized_triggered(bool checked);
   void on_actionStoredCoverDomainSimplicesEmphasized_triggered(bool checked);
 
-  
+
   void on_actionLoadPoints_triggered();
   void on_actionSavePoints_triggered();
-  
+
   void on_actionRecenter_triggered();
 
   virtual void open(QString fileName);
@@ -112,7 +112,7 @@ MainWindow::MainWindow()
   pt_gi = new CGAL::Qt::PeriodicTriangulationGraphicsItem<Periodic_DT>(&triang);
 
   QObject::connect(this, SIGNAL(changed()),
-		   pt_gi, SLOT(modelChanged()));
+                   pt_gi, SLOT(modelChanged()));
 
   pt_gi->setVerticesPen(QPen(Qt::red, 5, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   scene.addItem(pt_gi);
@@ -121,45 +121,45 @@ MainWindow::MainWindow()
   vgi = new CGAL::Qt::PeriodicTriangulationVoronoiGraphicsItem<Periodic_DT>(&triang);
 
   QObject::connect(this, SIGNAL(changed()),
-		   vgi, SLOT(modelChanged()));
+                   vgi, SLOT(modelChanged()));
 
   vgi->setEdgesPen(QPen(Qt::blue, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   scene.addItem(vgi);
   vgi->hide();
 
   // Setup input handlers. They get events before the scene gets them
-  // and the input they generate is passed to the triangulation with 
-  // the signal/slot mechanism    
+  // and the input they generate is passed to the triangulation with
+  // the signal/slot mechanism
   pt_pi = new CGAL::Qt::TriangulationPointInputAndConflictZone<Periodic_DT>(&scene, &triang, this );
   QObject::connect(pt_pi, SIGNAL(generate(CGAL::Object)),
-		   this, SLOT(processInput(CGAL::Object)));
-  
+                   this, SLOT(processInput(CGAL::Object)));
+
   pt_mp = new CGAL::Qt::TriangulationMovingPoint<Periodic_DT>(&triang, this);
   // TriangulationMovingPoint<Periodic_DT> emits a modelChanged() signal each
   // time the moving point moves.
   // The following connection is for the purpose of emitting changed().
   QObject::connect(pt_mp, SIGNAL(modelChanged()),
-		   this, SIGNAL(changed()));
+                   this, SIGNAL(changed()));
 
   pt_cz = new CGAL::Qt::TriangulationConflictZone<Periodic_DT>(&scene, &triang, this);
   QObject::connect(pt_cz, SIGNAL(modelChanged()),
-		   this, SIGNAL(changed()));
+                   this, SIGNAL(changed()));
 
   pt_rv = new CGAL::Qt::TriangulationRemoveVertex<Periodic_DT>(&triang, this);
   QObject::connect(pt_rv, SIGNAL(modelChanged()),
-		   this, SIGNAL(changed()));
+                   this, SIGNAL(changed()));
 
   pt_cc = new CGAL::Qt::TriangulationCircumcircle<Periodic_DT>(&scene, &triang, this);
   pt_cc ->setPen(QPen(::Qt::black, .01));
   QObject::connect(pt_cc, SIGNAL(modelChanged()),
-		   this, SIGNAL(changed()));
-  
-  // 
+                   this, SIGNAL(changed()));
+
+  //
   // Manual handling of actions
   //
 
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   this, SLOT(close()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   this, SLOT(close()));
 
   // We put mutually exclusive actions in an QActionGroup
   QActionGroup* ag = new QActionGroup(this);
@@ -168,7 +168,7 @@ MainWindow::MainWindow()
   ag->addAction(this->actionCircumcenter);
   ag->addAction(this->actionShowConflictZone);
 
-  // Check two actions 
+  // Check two actions
   this->actionInsertPoint->setChecked(true);
   this->actionShowDelaunay->setChecked(true);
 
@@ -182,7 +182,7 @@ MainWindow::MainWindow()
 
   // Turn the vertical axis upside down
   this->graphicsView->matrix().scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -194,8 +194,8 @@ MainWindow::MainWindow()
 
   this->addRecentFiles(this->menuFile, this->actionQuit);
   connect(this, SIGNAL(openRecentFile(QString)),
-	  this, SLOT(open(QString)));
-  
+          this, SLOT(open(QString)));
+
   on_actionRecenter_triggered();
 }
 
@@ -219,10 +219,10 @@ MainWindow::processInput(CGAL::Object o)
 }
 
 
-/* 
+/*
  *  Qt Automatic Connections
  *  https://doc.qt.io/qt-5/designer-using-a-ui-file.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -266,7 +266,7 @@ MainWindow::on_actionCircumcenter_toggle
   if(checked){
     scene.installEventFilter(pt_cc);
     pt_cc->show();
-  } else {  
+  } else {
     scene.removeEventFilter(pt_cc);
     pt_cc->hide();
   }
@@ -300,15 +300,15 @@ MainWindow::on_actionInsertRandomPoints_
                                                      (triang.domain().max)());
   bool ok = false;
 
-  const int number_of_points = 
-    QInputDialog::getInt(this, 
+  const int number_of_points =
+    QInputDialog::getInt(this,
                              tr("Number of random points"),
                              tr("Enter number of random points"),
-			     250,
-			     0,
-			     (std::numeric_limits<int>::max)(),
-			     1,
-			     &ok);
+                             250,
+                             0,
+                             (std::numeric_limits<int>::max)(),
+                             1,
+                             &ok);
 
   if(!ok) {
     return;
@@ -352,7 +352,7 @@ void
 MainWindow::on_actionLoadPoints_triggered()
 {
   QString fileName = QFileDialog::getOpenFileName(this,
-						  tr("Open Points file"),
+                                                  tr("Open Points file"),
                                                   ".",
                                                   tr("CGAL files (*.pts.cgal);;"
                                                    #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
@@ -371,7 +371,7 @@ MainWindow::open(QString fileName)
   // wait cursor
   QApplication::setOverrideCursor(Qt::WaitCursor);
   std::ifstream ifs(qPrintable(fileName));
-  
+
   Point_2 p;
   std::vector<Point_2> points;
   if(fileName.endsWith(".wkt", Qt::CaseInsensitive))
@@ -394,14 +394,14 @@ MainWindow::open(QString fileName)
   this->addToRecentFiles(fileName);
   actionRecenter->trigger();
   Q_EMIT( changed());
-    
+
 }
 
 void
 MainWindow::on_actionSavePoints_triggered()
 {
   QString fileName = QFileDialog::getSaveFileName(this,
-						  tr("Save points"),
+                                                  tr("Save points"),
                                                   ".",
                                                   tr("CGAL files (*.pts.cgal);;"
                                                    #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
@@ -416,7 +416,7 @@ MainWindow::on_actionSavePoints_triggere
       std::vector<Point_2> points;
       points.reserve(std::distance(triang.unique_vertices_begin(),
                                    triang.unique_vertices_end()));
-      for(Periodic_DT::Unique_vertex_iterator 
+      for(Periodic_DT::Unique_vertex_iterator
           vit = triang.unique_vertices_begin(),
           end = triang.unique_vertices_end();
           vit!= end; ++vit)
@@ -428,7 +428,7 @@ MainWindow::on_actionSavePoints_triggere
     }
     else
     {
-      for(Periodic_DT::Unique_vertex_iterator 
+      for(Periodic_DT::Unique_vertex_iterator
           vit = triang.unique_vertices_begin(),
           end = triang.unique_vertices_end();
           vit!= end; ++vit)
@@ -445,7 +445,7 @@ MainWindow::on_actionRecenter_triggered(
 {
   pt_gi->modelChanged();
   this->graphicsView->setSceneRect(pt_gi->boundingRect());
-  this->graphicsView->fitInView(pt_gi->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(pt_gi->boundingRect(), Qt::KeepAspectRatio);
 }
 
 void MainWindow::on_actionNoneSimplicesEmphasized_triggered(bool)
diff -pruN 5.0.2-3/demo/Periodic_2_triangulation_2/TriangulationCircumcircle.h 5.0.3-1/demo/Periodic_2_triangulation_2/TriangulationCircumcircle.h
--- 5.0.2-3/demo/Periodic_2_triangulation_2/TriangulationCircumcircle.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/demo/Periodic_2_triangulation_2/TriangulationCircumcircle.h	2020-08-01 19:02:21.000000000 +0000
@@ -1,7 +1,7 @@
 #ifndef CGAL_QT_TRIANGULATION_CIRCUMCIRCLE_H
 #define CGAL_QT_TRIANGULATION_CIRCUMCIRCLE_H
 
-#include <QGraphicsSceneMouseEvent> 
+#include <QGraphicsSceneMouseEvent>
 #include <QGraphicsScene>
 #include <QGraphicsEllipseItem>
 #include <QEvent>
@@ -19,12 +19,12 @@ class TriangulationCircumcircle : public
 public:
   TriangulationCircumcircle(QGraphicsScene* s, DT  * dt_, QObject* parent);
   ~TriangulationCircumcircle();
- 
+
   void setPen(const QPen& pen);
 
   void show();
   void hide();
-  
+
 protected:
 
   virtual void mouseMoveEvent(QGraphicsSceneMouseEvent *event);
@@ -82,7 +82,7 @@ TriangulationCircumcircle<DT>::hide()
 
 
 template <typename DT>
-void 
+void
 TriangulationCircumcircle<DT>::mouseMoveEvent(QGraphicsSceneMouseEvent *event)
 {
     if(dt->dimension() != 2){
@@ -90,7 +90,7 @@ TriangulationCircumcircle<DT>::mouseMove
         return;
     }
   typename DT::Point p = typename DT::Point(event->scenePos().x(), event->scenePos().y());
-  
+
   double dx = dt->domain().xmax() - dt->domain().xmin();
   double dy = dt->domain().ymax() - dt->domain().ymin();
   p = typename DT::Point(p.x()- std::floor(p.x()/dx), p.y()- std::floor(p.y()/dy));
@@ -98,8 +98,8 @@ TriangulationCircumcircle<DT>::mouseMove
   fh = dt->locate(p);
 
   typename DT::Triangle triangle = dt->triangle(dt->periodic_triangle(fh));
-  typename DT::Geom_traits::Circle_2 c(triangle[0], 
-                                       triangle[1], 
+  typename DT::Geom_traits::Circle_2 c(triangle[0],
+                                       triangle[1],
                                        triangle[2]);
   CGAL::Bbox_2 bb = c.bbox();
   circle->setRect(bb.xmin(), bb.ymin(), bb.xmax()-bb.xmin(), bb.ymax()-bb.ymin());
@@ -108,7 +108,7 @@ TriangulationCircumcircle<DT>::mouseMove
 
 
 template <typename DT>
-bool 
+bool
 TriangulationCircumcircle<DT>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMouseMove) {
@@ -119,7 +119,7 @@ TriangulationCircumcircle<DT>::eventFilt
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 } // namespace Qt
 } // namespace CGAL
diff -pruN 5.0.2-3/demo/Periodic_2_triangulation_2/TriangulationConflictZone.h 5.0.3-1/demo/Periodic_2_triangulation_2/TriangulationConflictZone.h
--- 5.0.2-3/demo/Periodic_2_triangulation_2/TriangulationConflictZone.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/demo/Periodic_2_triangulation_2/TriangulationConflictZone.h	2020-08-01 19:02:21.000000000 +0000
@@ -57,7 +57,7 @@ TriangulationConflictZone<T>::Triangulat
 }
 
 template <typename T>
-void 
+void
 TriangulationConflictZone<T>::localize_and_insert_point(QPointF qt_point)
 {
   Point p(m_convert(qt_point));
@@ -90,12 +90,12 @@ TriangulationConflictZone<T>::localize_a
       qfaces.push_back(item);
     }
   }
-}  
-  
+}
+
 
 
 template <typename T>
-void 
+void
 TriangulationConflictZone<T>::mousePressEvent(QGraphicsSceneMouseEvent *event)
 {
   if(m_tr->number_of_vertices() == 0 ||
@@ -119,7 +119,7 @@ TriangulationConflictZone<T>::mouseMoveE
 
 
 template <typename T>
-void 
+void
 TriangulationConflictZone<T>::mouseReleaseEvent(QGraphicsSceneMouseEvent *)
 {
   faces.clear();
@@ -136,7 +136,7 @@ TriangulationConflictZone<T>::mouseRelea
 
 
 template <typename T>
-bool 
+bool
 TriangulationConflictZone<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMousePress) {
@@ -155,7 +155,7 @@ TriangulationConflictZone<T>::eventFilte
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 
 } // namespace Qt
diff -pruN 5.0.2-3/demo/Periodic_2_triangulation_2/TriangulationMovingPoint.h 5.0.3-1/demo/Periodic_2_triangulation_2/TriangulationMovingPoint.h
--- 5.0.2-3/demo/Periodic_2_triangulation_2/TriangulationMovingPoint.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/demo/Periodic_2_triangulation_2/TriangulationMovingPoint.h	2020-08-01 19:02:21.000000000 +0000
@@ -40,13 +40,13 @@ protected:
 
 template <typename T>
 TriangulationMovingPoint<T>::TriangulationMovingPoint(T * dt_,
-							  QObject* parent)
+                                                          QObject* parent)
   :  GraphicsViewInput(parent), dt(dt_), vh(), movePointToInsert(false), insertedPoint(false)
 {}
 
 
 template <typename T>
-void 
+void
 TriangulationMovingPoint<T>::localize_and_insert_point(QPointF qt_point)
 {
   Converter<typename T::Geom_traits> convert;
@@ -71,7 +71,7 @@ TriangulationMovingPoint<T>::localize_an
 
 
 template <typename T>
-void 
+void
 TriangulationMovingPoint<T>::mousePressEvent(QGraphicsSceneMouseEvent *event)
 {
   if(dt->number_of_vertices() == 0 ||
@@ -85,7 +85,7 @@ TriangulationMovingPoint<T>::mousePressE
 
 
 template <typename T>
-void 
+void
 TriangulationMovingPoint<T>::mouseMoveEvent(QGraphicsSceneMouseEvent *event)
 {
 
@@ -101,7 +101,7 @@ TriangulationMovingPoint<T>::mouseMoveEv
 
 
 template <typename T>
-void 
+void
 TriangulationMovingPoint<T>::mouseReleaseEvent(QGraphicsSceneMouseEvent *event)
 {
   if (! movePointToInsert || event->button() != ::Qt::LeftButton) {
@@ -112,16 +112,16 @@ TriangulationMovingPoint<T>::mouseReleas
     dt->remove(vh);
     vh = Vertex_handle();
   }
-  
+
   Q_EMIT( modelChanged());
- 
+
   movePointToInsert = false;
 }
 
 
 
 template <typename T>
-bool 
+bool
 TriangulationMovingPoint<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMousePress) {
@@ -140,7 +140,7 @@ TriangulationMovingPoint<T>::eventFilter
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 
 } // namespace Qt
diff -pruN 5.0.2-3/demo/Periodic_2_triangulation_2/TriangulationPointInputAndConflictZone.h 5.0.3-1/demo/Periodic_2_triangulation_2/TriangulationPointInputAndConflictZone.h
--- 5.0.2-3/demo/Periodic_2_triangulation_2/TriangulationPointInputAndConflictZone.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/demo/Periodic_2_triangulation_2/TriangulationPointInputAndConflictZone.h	2020-08-01 19:02:21.000000000 +0000
@@ -43,8 +43,8 @@ protected:
 
 template <typename T>
 TriangulationPointInputAndConflictZone<T>::TriangulationPointInputAndConflictZone(QGraphicsScene* s,
-							T * dt_,
-							QObject* parent)
+                                                        T * dt_,
+                                                        QObject* parent)
   :  GraphicsViewInput(parent), dt(dt_), scene_(s)
 {}
 
@@ -52,7 +52,7 @@ TriangulationPointInputAndConflictZone<T
 
 
 template <typename T>
-void 
+void
 TriangulationPointInputAndConflictZone<T>::mousePressEvent(QGraphicsSceneMouseEvent *event)
 {
   p = convert(event->scenePos());
@@ -65,7 +65,7 @@ TriangulationPointInputAndConflictZone<T
      event->button() != ::Qt::LeftButton) {
     return;
   }
-  
+
 
   dt->get_conflicts(p, std::back_inserter(faces));
   for(typename std::list<Face_handle>::iterator it = faces.begin();
@@ -83,7 +83,7 @@ TriangulationPointInputAndConflictZone<T
 
 
 template <typename T>
-void 
+void
 TriangulationPointInputAndConflictZone<T>::mouseReleaseEvent(QGraphicsSceneMouseEvent *)
 {
   faces.clear();
@@ -100,7 +100,7 @@ TriangulationPointInputAndConflictZone<T
 
 
 template <typename T>
-bool 
+bool
 TriangulationPointInputAndConflictZone<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMousePress) {
@@ -115,7 +115,7 @@ TriangulationPointInputAndConflictZone<T
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 
 } // namespace Qt
diff -pruN 5.0.2-3/demo/Periodic_2_triangulation_2/TriangulationRemoveVertex.h 5.0.3-1/demo/Periodic_2_triangulation_2/TriangulationRemoveVertex.h
--- 5.0.2-3/demo/Periodic_2_triangulation_2/TriangulationRemoveVertex.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/demo/Periodic_2_triangulation_2/TriangulationRemoveVertex.h	2020-08-01 19:02:21.000000000 +0000
@@ -25,7 +25,7 @@ public:
 protected:
 
   void mousePressEvent(QGraphicsSceneMouseEvent *event);
- 
+
   bool eventFilter(QObject *obj, QEvent *event);
 
   DT * dt;
@@ -34,16 +34,16 @@ protected:
 
 template <typename T>
 TriangulationRemoveVertex<T>::TriangulationRemoveVertex(T * dt_,
-							  QObject* parent)
+                                                          QObject* parent)
   :  GraphicsViewInput(parent), dt(dt_)
 {}
 
 
 
 template <typename T>
-void 
+void
 TriangulationRemoveVertex<T>::mousePressEvent(QGraphicsSceneMouseEvent *event)
-{  
+{
   if ((event->modifiers()  & ::Qt::ShiftModifier) && (! (event->modifiers() & ::Qt::ControlModifier))) {
     if(dt->number_of_vertices() == 0) {
       dt->clear();
@@ -59,7 +59,7 @@ TriangulationRemoveVertex<T>::mousePress
 
 
 template <typename T>
-bool 
+bool
 TriangulationRemoveVertex<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMousePress) {
@@ -70,7 +70,7 @@ TriangulationRemoveVertex<T>::eventFilte
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 
 } // namespace Qt
diff -pruN 5.0.2-3/demo/Periodic_3_triangulation_3/MainWindow.h 5.0.3-1/demo/Periodic_3_triangulation_3/MainWindow.h
--- 5.0.2-3/demo/Periodic_3_triangulation_3/MainWindow.h	2020-02-21 20:03:52.000000000 +0000
+++ 5.0.3-1/demo/Periodic_3_triangulation_3/MainWindow.h	2020-08-01 19:02:38.000000000 +0000
@@ -29,69 +29,69 @@ public:
 
     // divers
     connect(s, SIGNAL(message(const QString&, int)),
-	    ui->statusBar, SLOT(showMessage(const QString&, int)));
+            ui->statusBar, SLOT(showMessage(const QString&, int)));
 
     // File menu:
     connect(ui->actionLoad_Points, SIGNAL(triggered()),
-	    s, SLOT(load_points()));
+            s, SLOT(load_points()));
 
     // Init menu:
     connect(ui->actionEmpty_scene, SIGNAL(triggered()),
-	    s, SLOT(init_scene_empty()));
+            s, SLOT(init_scene_empty()));
     connect(ui->actionSingle_Point, SIGNAL(triggered()),
-	    s, SLOT(init_scene_single()));
+            s, SLOT(init_scene_single()));
     connect(ui->actionRandom_Point_Set, SIGNAL(triggered()),
-	    s, SLOT(init_scene_random()));
+            s, SLOT(init_scene_random()));
     connect(ui->actionRandom_Points_in_Plane, SIGNAL(triggered()),
-	    s, SLOT(init_scene_plane()));
+            s, SLOT(init_scene_plane()));
     connect(ui->actionPoint_grid, SIGNAL(triggered()),
-	    s, SLOT(init_scene_grid()));
+            s, SLOT(init_scene_grid()));
 
     // Actions menu:
     connect(ui->actionFlying_ball, SIGNAL(toggled(bool)),
-	    s, SLOT(toggle_flying_ball(bool)));
+            s, SLOT(toggle_flying_ball(bool)));
     connect(ui->actionPause, SIGNAL(toggled(bool)),
-	    s, SLOT(toggle_pause(bool)));
+            s, SLOT(toggle_pause(bool)));
 
     connect(ui->actionInsert_point, SIGNAL(triggered()),
-	    s, SLOT(insert_mp()));
+            s, SLOT(insert_mp()));
     connect(ui->actionInsert_random_point, SIGNAL(triggered()),
-	    s, SLOT(insert_random()));
+            s, SLOT(insert_random()));
 
     connect(ui->actionGrab_image, SIGNAL(triggered()),
             s, SLOT(grab_image()));
-    
+
     // Features menu:
     connect(ui->actionPoint_location, SIGNAL(toggled(bool)),
-	    s, SLOT(toggle_dlocate(bool)));
+            s, SLOT(toggle_dlocate(bool)));
     connect(ui->actionConflict_region, SIGNAL(toggled(bool)),
-	    s, SLOT(toggle_dconflict(bool)));
+            s, SLOT(toggle_dconflict(bool)));
 
     // Options menu:
     connect(ui->actionWireframe, SIGNAL(toggled(bool)),
-	    s, SLOT(toggle_wireframe(bool)));
+            s, SLOT(toggle_wireframe(bool)));
     connect(ui->actionPlanar_triangulation, SIGNAL(toggled(bool)),
-	    s, SLOT(toggle_in_plane(bool)));
+            s, SLOT(toggle_in_plane(bool)));
 
     connect(ui->actionDraw_1_sheeted_covering, SIGNAL(toggled(bool)),
-	    s, SLOT(toggle_force_1cover(bool)));
+            s, SLOT(toggle_force_1cover(bool)));
     connect(ui->actionDraw_bordering_cells_multiply, SIGNAL(toggled(bool)),
-	    s, SLOT(toggle_multiple_cells(bool)));
+            s, SLOT(toggle_multiple_cells(bool)));
 
     connect(ui->actionDraw_segments, SIGNAL(triggered()),
-	    s, SLOT(trigger_draw_type_segment()));
+            s, SLOT(trigger_draw_type_segment()));
     connect(ui->actionDraw_triangles, SIGNAL(triggered()),
-	    s, SLOT(trigger_draw_type_triangle()));
+            s, SLOT(trigger_draw_type_triangle()));
     connect(ui->actionDraw_tetrahedra, SIGNAL(triggered()),
-	    s, SLOT(trigger_draw_type_tetrahedron()));
+            s, SLOT(trigger_draw_type_tetrahedron()));
 
     connect(ui->actionDraw_cube_square, SIGNAL(toggled(bool)),
-	    s, SLOT(toggle_ddomain(bool)));
+            s, SLOT(toggle_ddomain(bool)));
 
     connect(ui->actionClip_along_the_cube_square, SIGNAL(toggled(bool)),
-	    s, SLOT(toggle_cube_clipping(bool)));
+            s, SLOT(toggle_cube_clipping(bool)));
     connect(ui->action2_color_clipping, SIGNAL(toggled(bool)),
-	    s, SLOT(toggle_two_color_clipping(bool)));
+            s, SLOT(toggle_two_color_clipping(bool)));
 
     // Help menu:
     connect(ui->actionDemo_Help, SIGNAL(triggered()),
@@ -127,7 +127,7 @@ public Q_SLOTS:
     process->start(app, args);
     if (!process->waitForStarted()) {
       QMessageBox::critical(this, tr("Remote Control"),
-	  tr("Could not start Qt Assistant from %1.").arg(app));
+          tr("Could not start Qt Assistant from %1.").arg(app));
       return;
     }
   }
@@ -145,10 +145,10 @@ private:
     QFile textFile(fileName);
     textFile.open(QIODevice::ReadOnly);
     QMessageBox mb(QMessageBox::NoIcon,
-	title,
-	QTextStream(&textFile).readAll(),
-	QMessageBox::Ok,
-	this);
+        title,
+        QTextStream(&textFile).readAll(),
+        QMessageBox::Ok,
+        this);
     mb.exec();
   }
 
diff -pruN 5.0.2-3/demo/Periodic_3_triangulation_3/periodic_3_triangulation_3_demo.cpp 5.0.3-1/demo/Periodic_3_triangulation_3/periodic_3_triangulation_3_demo.cpp
--- 5.0.2-3/demo/Periodic_3_triangulation_3/periodic_3_triangulation_3_demo.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Periodic_3_triangulation_3/periodic_3_triangulation_3_demo.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -8,11 +8,11 @@ int main(int argc, char *argv[])
   MainWindow w;
   //w.ui->setupUi(w);
   w.ui->viewer->restoreStateFromFile();
-  
+
   w.show();
 
   a.connect(&a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()));
   a.connect(w.ui->actionExit, SIGNAL(triggered()), &a, SLOT(quit()));
-  
+
   return a.exec();
 }
diff -pruN 5.0.2-3/demo/Periodic_3_triangulation_3/Scene.cpp 5.0.3-1/demo/Periodic_3_triangulation_3/Scene.cpp
--- 5.0.2-3/demo/Periodic_3_triangulation_3/Scene.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Periodic_3_triangulation_3/Scene.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -711,7 +711,7 @@ void Scene::attrib_buffers(CGAL::QGLView
     {
         mvMatrix.data()[i] = (float)mat[i];
     }
-    QVector4D	position(0.0f,0.0f,1.0f,1.0f );
+    QVector4D        position(0.0f,0.0f,1.0f,1.0f );
 
 
     rendering_program.bind();
@@ -828,7 +828,7 @@ void Scene::draw() {
         change_material(materials[VERTEX_COLOR]);
         attrib_buffers(ui->viewer);
         rendering_program.bind();
-        
+
         glEnable(GL_POINT_SMOOTH);
 
         rendering_program.setUniformValue(colorLocation[0], color);
diff -pruN 5.0.2-3/demo/Periodic_3_triangulation_3/Scene.h 5.0.3-1/demo/Periodic_3_triangulation_3/Scene.h
--- 5.0.2-3/demo/Periodic_3_triangulation_3/Scene.h	2020-02-21 20:03:52.000000000 +0000
+++ 5.0.3-1/demo/Periodic_3_triangulation_3/Scene.h	2020-08-01 19:02:38.000000000 +0000
@@ -132,7 +132,7 @@ public Q_SLOTS:
   void grab_image() {
     ui->viewer->saveSnapshot();
   }
-  
+
   void toggle_dlocate(bool on) {
     dlocate = on;
     changed();
@@ -252,9 +252,9 @@ private:
 
   QColor color;
   // define material
-   QVector4D	ambient;
-   QVector4D	diffuse;
-   QVector4D	specular;
+   QVector4D        ambient;
+   QVector4D        diffuse;
+   QVector4D        specular;
    GLfloat      shininess ;
       int poly_vertexLocation[3];
       int normalsLocation[3];
diff -pruN 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/CMakeLists.txt 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/CMakeLists.txt
--- 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -7,7 +7,7 @@ set(CMAKE_INCLUDE_CURRENT_DIR ON)
 include_directories( ${CMAKE_BINARY_DIR} )
 
 # Instruct CMake to run moc automatically when needed.
-set(CMAKE_AUTOMOC ON) 
+set(CMAKE_AUTOMOC ON)
 
 find_package(CGAL QUIET COMPONENTS Core Qt5)
 include(${CGAL_USE_FILE})
diff -pruN 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/hyperbolic_free_motion_animation.h 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/hyperbolic_free_motion_animation.h
--- 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/hyperbolic_free_motion_animation.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/hyperbolic_free_motion_animation.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_4_hyperbolic_triangulation_2/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/hyperbolic_free_motion_animation.h $
-// $Id: hyperbolic_free_motion_animation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_4_hyperbolic_triangulation_2/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/hyperbolic_free_motion_animation.h $
+// $Id: hyperbolic_free_motion_animation.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Iordan Iordanov <iordan.iordanov@loria.fr>
@@ -13,7 +13,7 @@
 //   1. Chooses two points `source` and `target` at random
 //   2. Chooses a `time` parameter for which the point on the segment [source, target] lies inside the octagon
 //   3. Locates this point in the triangulation and keeps the location face and translation
-void 
+void
 MainWindow::initialize_animation_parameters() {
 
   poincare = Circle_2(Point(0,0),1);
@@ -120,12 +120,12 @@ MainWindow::get_image(Point src, Point t
   Segment_2 seg = Construct_hyperbolic_segment_2()(src, tgt);
   Circular_arc_2* carc = boost::get<Circular_arc_2>(&seg);
   Circle_2 crc = carc->supporting_circle();
-  
+
   double sx = CGAL::to_double(((src.x()) - crc.center().x())/sqrt(crc.squared_radius()));
   double sy = CGAL::to_double(((src.y()) - crc.center().y())/sqrt(crc.squared_radius()));
   double tx = CGAL::to_double(((tgt.x()) - crc.center().x())/sqrt(crc.squared_radius()));
   double ty = CGAL::to_double(((tgt.y()) - crc.center().y())/sqrt(crc.squared_radius()));
-  
+
   double dot = CGAL::to_double(sx*tx + sy*ty);
   double n1 = sqrt(sx*sx+sy*sy);
   double n2 = sqrt(tx*tx+ty*ty);
@@ -133,7 +133,7 @@ MainWindow::get_image(Point src, Point t
 
   double x = sin((1.0-time)*theta)/sin(theta)*sx + sin(time*theta)/sin(theta)*tx;
   double y = sin((1.0-time)*theta)/sin(theta)*sy + sin(time*theta)/sin(theta)*ty;
-  
+
   x = CGAL::to_double(x*sqrt(crc.squared_radius()) + crc.center().x());
   y = CGAL::to_double(y*sqrt(crc.squared_radius()) + crc.center().y());
 
@@ -145,7 +145,7 @@ MainWindow::get_image(Point src, Point t
 
 // Updated the `time` so that the corresponding point on the segment [source, target]
 // lies inside the octagon.
-double 
+double
 MainWindow::updateTime() {
   //std::cout << "  ..updating time "; std::cout.flush();
   double t = 0.1;
@@ -161,12 +161,12 @@ MainWindow::updateTime() {
 // Main animation function.
 void
 MainWindow::animate() {
-  
+
   Point p = get_image(source, target, time);
 
   Side_of_original_octagon check;
 
-  // If the point is inside the octagon, just increment the time, compute the point 
+  // If the point is inside the octagon, just increment the time, compute the point
   // corresponding to that time, update everything, and continue.
   //std::cout << "  ..updating time "; std::cout.flush();
   if(check(p) == CGAL::ON_BOUNDED_SIDE) {
@@ -177,16 +177,16 @@ MainWindow::animate() {
     dgi->setMovingPoint(p);
     dgi->setSource(source);
     dgi->setTarget(target);
-    
+
     time += timestep;
 
-  } 
-  // If the point is not inside the octagon, we must find the translation that puts 
+  }
+  // If the point is not inside the octagon, we must find the translation that puts
   // it inside the octagon. We apply the same translation to the `source` and `target`.
-  else { 
+  else {
     //std::cout << "  OUTSIDE!" << std::endl;
 
-    Hyperbolic_translation o; 
+    Hyperbolic_translation o;
 
     bool found = false;
 
@@ -229,7 +229,7 @@ MainWindow::animate() {
     //std::cout << "  ..making points..." << std::endl;
     source = dt.construct_point(source,o);
     target = dt.construct_point(target,o);
-    
+
     // Correct in case of wrong orientation.
     //std::cout << "  ..making line..." << std::endl;
     Segment_2 seg = Construct_hyperbolic_segment_2()(source, target);
@@ -260,7 +260,7 @@ MainWindow::animate() {
     // std::stringstream ss;
     // ss << "/Users/iordanov/Desktop/shots/sshot" << (idx++) << ".png"; // <--- use your own path here!
     // sshot.save(QString(ss.str().c_str()));
-    
+
     // Recursive call
     animate();
   }
diff -pruN 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/HyperbolicPainterOstream.h 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/HyperbolicPainterOstream.h
--- 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/HyperbolicPainterOstream.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/HyperbolicPainterOstream.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_4_hyperbolic_triangulation_2/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/HyperbolicPainterOstream.h $
-// $Id: HyperbolicPainterOstream.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_4_hyperbolic_triangulation_2/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/HyperbolicPainterOstream.h $
+// $Id: HyperbolicPainterOstream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Mikhail Bogdanov
@@ -19,7 +19,7 @@
 namespace CGAL{
 
 namespace Qt {
-  
+
   template <typename K>
   class PainterOstream<Periodic_4_hyperbolic_Delaunay_triangulation_traits_2<K, Hyperbolic_octagon_translation> > : public PainterOstream<K> {
 
@@ -101,9 +101,9 @@ public:
   QPainter* qp;
   Converter<K> convert;
 };
-  
+
 } //namespace Qt
-  
+
 } //namespace CGAL
 
 #endif // CGAL_HYPERBOLIC_PAINTER_OSTREAM_H
diff -pruN 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationCircumcircle.h 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationCircumcircle.h
--- 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationCircumcircle.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationCircumcircle.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_4_hyperbolic_triangulation_2/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationCircumcircle.h $
-// $Id: TriangulationCircumcircle.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_4_hyperbolic_triangulation_2/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationCircumcircle.h $
+// $Id: TriangulationCircumcircle.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
@@ -13,7 +13,7 @@
 #ifndef CGAL_QT_TRIANGULATION_CIRCUMCIRCLE_H
 #define CGAL_QT_TRIANGULATION_CIRCUMCIRCLE_H
 
-#include <QGraphicsSceneMouseEvent> 
+#include <QGraphicsSceneMouseEvent>
 #include <QGraphicsScene>
 #include <QGraphicsEllipseItem>
 #include <QEvent>
@@ -30,12 +30,12 @@ class TriangulationCircumcircle : public
 public:
   TriangulationCircumcircle(QGraphicsScene* s, DT  * dt_, QObject* parent);
   ~TriangulationCircumcircle();
- 
+
   void setPen(const QPen& pen);
 
   void show();
   void hide();
-  
+
 protected:
 
   virtual void mouseMoveEvent(QGraphicsSceneMouseEvent *event);
@@ -94,7 +94,7 @@ TriangulationCircumcircle<T>::hide()
 }
 
 template <typename T>
-void 
+void
 TriangulationCircumcircle<T>::mouseMoveEvent(QGraphicsSceneMouseEvent *event)
 {
   if(dt->dimension() != 2){
@@ -111,7 +111,7 @@ TriangulationCircumcircle<T>::mouseMoveE
     p1 = dt->geom_traits().construct_hyperbolic_point_2_object()(fh->vertex(1)->point(), fh->translation(1));
     p2 = dt->geom_traits().construct_hyperbolic_point_2_object()(fh->vertex(2)->point(), fh->translation(2));
 
-    typename T::Geom_traits::Circle_2 c(p0, p1, p2);  
+    typename T::Geom_traits::Circle_2 c(p0, p1, p2);
     CGAL::Bbox_2 bb = c.bbox();
     circle->setRect(bb.xmin(), bb.ymin(), bb.xmax()-bb.xmin(), bb.ymax()-bb.ymin());
     circle->show();
@@ -122,7 +122,7 @@ TriangulationCircumcircle<T>::mouseMoveE
 
 
 template <typename T>
-bool 
+bool
 TriangulationCircumcircle<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if(event->type() == QEvent::GraphicsSceneMouseMove) {
@@ -133,7 +133,7 @@ TriangulationCircumcircle<T>::eventFilte
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 } // namespace Qt
 } // namespace CGAL
diff -pruN 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationConflictZone.h 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationConflictZone.h
--- 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationConflictZone.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationConflictZone.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_4_hyperbolic_triangulation_2/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationConflictZone.h $
-// $Id: TriangulationConflictZone.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_4_hyperbolic_triangulation_2/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationConflictZone.h $
+// $Id: TriangulationConflictZone.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
@@ -43,7 +43,7 @@ protected:
   bool eventFilter(QObject *obj, QEvent *event);
 
   Point p;
-  
+
   DT * dt;
   Converter<K> convert;
   QGraphicsScene *scene_;
@@ -56,7 +56,7 @@ TriangulationConflictZone<T>::Triangulat
               QObject* parent)
   :  GraphicsViewInput(parent), dt(dt_), scene_(s)
 {}
-  
+
 
 
 template <typename T>
@@ -69,7 +69,7 @@ TriangulationConflictZone<T>::mouseMoveE
 
 
 template <typename T>
-bool 
+bool
 TriangulationConflictZone<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if(event->type() == QEvent::GraphicsSceneMouseMove) {
@@ -80,7 +80,7 @@ TriangulationConflictZone<T>::eventFilte
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 
 } // namespace Qt
diff -pruN 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItem.h 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItem.h
--- 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItem.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItem.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_4_hyperbolic_triangulation_2/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItem.h $
-// $Id: TriangulationGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_4_hyperbolic_triangulation_2/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationGraphicsItem.h $
+// $Id: TriangulationGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
@@ -43,7 +43,7 @@ public:
 public:
 
   QRectF boundingRect() const;
-  
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
 
   virtual void operator()(typename T::Face_handle fh);
@@ -173,7 +173,7 @@ protected:
   typename T::Point p;
   typename T::Point moving_point;
   typename T::Point source, target;
-  CGAL::Bbox_2 bb;  
+  CGAL::Bbox_2 bb;
   bool bb_initialized;
   QRectF bounding_rect;
   Converter<Geom_traits> convert;
@@ -212,7 +212,7 @@ TriangulationGraphicsItem<T>::Triangulat
 }
 
 template <typename T>
-QRectF 
+QRectF
 TriangulationGraphicsItem<T>::boundingRect() const
 {
   return bounding_rect;
@@ -220,7 +220,7 @@ TriangulationGraphicsItem<T>::boundingRe
 
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::operator()(typename T::Face_handle fh)
 {
   if(visible_edges) {
@@ -239,7 +239,7 @@ TriangulationGraphicsItem<T>::operator()
 }
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::drawAll(QPainter *painter)
 {
   QPen temp = painter->pen();
@@ -256,7 +256,7 @@ TriangulationGraphicsItem<T>::drawAll(QP
   painter->setBrush(brush);
 
   painterostream = PainterOstream<Geom_traits>(painter);
-  
+
   painter->drawEllipse(QRectF(-1.0, -1.0, 2.0, 2.0));
 
   if(visible_octagon) {
@@ -310,7 +310,7 @@ TriangulationGraphicsItem<T>::drawAll(QP
 
     typedef typename Geom_traits::Construct_hyperbolic_point_2 CP2;
 
-    for(typename T::Face_iterator fit = t->faces_begin(); fit != t->faces_end(); fit++) {      
+    for(typename T::Face_iterator fit = t->faces_begin(); fit != t->faces_end(); fit++) {
       typename Geom_traits::Point_2 pts[] = { CP2()(fit->vertex(0)->point(), fit->translation(0)),
                                               CP2()(fit->vertex(1)->point(), fit->translation(1)),
                                               CP2()(fit->vertex(2)->point(), fit->translation(2)) } ;
@@ -331,7 +331,7 @@ TriangulationGraphicsItem<T>::drawAll(QP
       }
       //cout << "   copies painted" << std::endl;
     }
-    
+
     if(visible_demo) {
       temp.setColor(::Qt::red);
       painter->setPen(temp);
@@ -343,13 +343,13 @@ TriangulationGraphicsItem<T>::drawAll(QP
   //delete
   painter->setPen(old);
   //
-  
+
   //cout << "painting vertices" << std::endl;
   paintVertices(painter);
 }
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::paintVertices(QPainter *painter)
 {
   if(visibleVertices()) {
@@ -369,7 +369,7 @@ TriangulationGraphicsItem<T>::paintVerti
     for(typename T::Vertex_iterator it = t->vertices_begin();
         it != t->vertices_end();
         it++){
-      
+
       double px = to_double(it->point().x());
       double py = to_double(it->point().y());
       double dist = px*px + py*py;
@@ -386,7 +386,7 @@ TriangulationGraphicsItem<T>::paintVerti
       painter->setPen(temp);
       QPointF point = matrix.map(convert(it->point()));
       painter->drawPoint(point);
-      
+
       if(visible_copies) {
         for(unsigned int k=0; k< trans.size(); k++) {
           typedef typename Geom_traits::Construct_hyperbolic_point_2 CP2;
@@ -430,7 +430,7 @@ TriangulationGraphicsItem<T>::paintVerti
       temp.setWidthF(width);
       temp.setColor(::Qt::blue);
       painter->setPen(temp);
-      
+
       QPointF point = matrix.map(convert(moving_point));
       painter->drawPoint(point);
     }
@@ -440,7 +440,7 @@ TriangulationGraphicsItem<T>::paintVerti
 }
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::paintOneVertex(const typename T::Point& point)
 {
   Converter<Geom_traits> convert;
@@ -453,12 +453,12 @@ TriangulationGraphicsItem<T>::paintOneVe
 }
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::paintVertex(typename T::Vertex_handle vh)
 {
   Converter<Geom_traits> convert;
   m_painter->setPen(this->verticesPen());
-  
+
   QTransform matrix = m_painter->worldTransform();
   m_painter->resetTransform();
   m_painter->drawPoint(matrix.map(convert(vh->point())));
@@ -466,8 +466,8 @@ TriangulationGraphicsItem<T>::paintVerte
 }
 
 template <typename T>
-void 
-TriangulationGraphicsItem<T>::paint(QPainter *painter, 
+void
+TriangulationGraphicsItem<T>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem *option,
                                     QWidget * /*widget*/)
 {
@@ -483,7 +483,7 @@ TriangulationGraphicsItem<T>::paint(QPai
 // We let the bounding box only grow, so that when vertices get removed
 // the maximal bbox gets refreshed in the GraphicsView
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::updateBoundingBox()
 {
   prepareGeometryChange();
@@ -492,7 +492,7 @@ TriangulationGraphicsItem<T>::updateBoun
 
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::modelChanged()
 {
   if((t->number_of_vertices() == 0) ){
diff -pruN 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationPointInput.h 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationPointInput.h
--- 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationPointInput.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationPointInput.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_4_hyperbolic_triangulation_2/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationPointInput.h $
-// $Id: TriangulationPointInput.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_4_hyperbolic_triangulation_2/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/TriangulationPointInput.h $
+// $Id: TriangulationPointInput.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
@@ -61,10 +61,10 @@ TriangulationPointInput<T>::Triangulatio
 
 
 
-// TODO: Do this! 
+// TODO: Do this!
 
 template <typename T>
-void 
+void
 TriangulationPointInput<T>::mousePressEvent(QGraphicsSceneMouseEvent *event)
 {
   p = convert(event->scenePos());
@@ -73,7 +73,7 @@ TriangulationPointInput<T>::mousePressEv
 
 
 template <typename T>
-void 
+void
 TriangulationPointInput<T>::mouseReleaseEvent(QGraphicsSceneMouseEvent * /*event*/)
 {
   faces.clear();
@@ -90,7 +90,7 @@ TriangulationPointInput<T>::mouseRelease
 
 
 template <typename T>
-bool 
+bool
 TriangulationPointInput<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if(event->type() == QEvent::GraphicsSceneMousePress) {
@@ -105,7 +105,7 @@ TriangulationPointInput<T>::eventFilter(
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 
 } // namespace Qt
diff -pruN 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/VoronoiGraphicsItem.h 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/VoronoiGraphicsItem.h
--- 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/VoronoiGraphicsItem.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/VoronoiGraphicsItem.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_4_hyperbolic_triangulation_2/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/VoronoiGraphicsItem.h $
-// $Id: VoronoiGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_4_hyperbolic_triangulation_2/demo/Periodic_4_hyperbolic_triangulation_2/include/internal/Qt/VoronoiGraphicsItem.h $
+// $Id: VoronoiGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
@@ -37,13 +37,13 @@ public:
   VoronoiGraphicsItem(DT  * dt_);
 
 
-  QRectF 
+  QRectF
   boundingRect() const;
-  
-  void 
+
+  void
   paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
-  void 
+
+  void
   modelChanged();
 
   const QPen& edgesPen() const
@@ -85,7 +85,7 @@ VoronoiGraphicsItem<DT>::VoronoiGraphics
 }
 
 template <typename DT>
-QRectF 
+QRectF
 VoronoiGraphicsItem<DT>::boundingRect() const
 {
   QRectF rect = CGAL::Qt::viewportsBbox(scene());
@@ -94,25 +94,25 @@ VoronoiGraphicsItem<DT>::boundingRect()
 
 
 template <typename DT>
-void 
+void
 VoronoiGraphicsItem<DT>::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget * /*w*/)
 {
   QRectF rect = option->exposedRect;
   PainterOstream<typename DT::Geom_traits> pos(painter, rect);
-  
+
   painter->setPen(edgesPen());
-  
+
   // delete
   QPen temp = painter->pen();
   QPen old = temp;
   temp.setWidthF(0.01);
   painter->setPen(temp);
-  
+
   for(typename DT::Face_iterator fit = dt->faces_begin(); fit != dt->faces_end(); fit++) {
     for(int i=0; i<3; ++i) {
       Point p1 = cc[fit];
       Point p2 = dt->geom_traits().construct_hyperbolic_point_2_object()(cc[fit->neighbor(i)], dt->neighbor_translation(fit, i));
-      typename DT::Hyperbolic_segment s =  dt->geom_traits().construct_hyperbolic_segment_2_object()(p1, p2); 
+      typename DT::Hyperbolic_segment s =  dt->geom_traits().construct_hyperbolic_segment_2_object()(p1, p2);
       pos << s;
     }
   }
@@ -122,7 +122,7 @@ VoronoiGraphicsItem<DT>::paint(QPainter
 
 
 template <typename T>
-void 
+void
 VoronoiGraphicsItem<T>::modelChanged()
 {
   updateCCenters();
diff -pruN 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/P4HDT2.cpp 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/P4HDT2.cpp
--- 5.0.2-3/demo/Periodic_4_hyperbolic_triangulation_2/P4HDT2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Periodic_4_hyperbolic_triangulation_2/P4HDT2.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -1,6 +1,6 @@
 #include <fstream>
 
-// CGAL headers 
+// CGAL headers
 
 #include <CGAL/point_generators_2.h>
 #include <internal/Qt/HyperbolicPainterOstream.h>
@@ -22,12 +22,12 @@
 // GraphicsView items and event filters (input classes)
 #include <CGAL/Qt/DemosMainWindow.h>
 #include <internal/Qt/TriangulationCircumcircle.h>
-#include <internal/Qt/TriangulationGraphicsItem.h>    
+#include <internal/Qt/TriangulationGraphicsItem.h>
 #include <internal/Qt/VoronoiGraphicsItem.h>
 #include <internal/Qt/TriangulationConflictZone.h>
 #include <internal/Qt/TriangulationPointInput.h>
 
-#include <CGAL/Periodic_4_hyperbolic_Delaunay_triangulation_traits_2.h> 
+#include <CGAL/Periodic_4_hyperbolic_Delaunay_triangulation_traits_2.h>
 #include <CGAL/Periodic_4_hyperbolic_Delaunay_triangulation_2.h>
 
 #include <CGAL/Hyperbolic_octagon_translation.h>
@@ -37,7 +37,7 @@
 
 #include <CGAL/Timer.h>
 
-typedef CGAL::Periodic_4_hyperbolic_Delaunay_triangulation_traits_2<>           Traits; 
+typedef CGAL::Periodic_4_hyperbolic_Delaunay_triangulation_traits_2<>           Traits;
 typedef Traits::Segment_2                                                       Segment_2;
 typedef Traits::Circle_2                                                        Circle_2;
 typedef Traits::Circular_arc_2                                                  Circular_arc_2;
@@ -58,13 +58,13 @@ class MainWindow :
   public Ui::Periodic_4_hyperbolic_Delaunay_triangulation_2
 {
   Q_OBJECT
-  
-private:    
+
+private:
 
   Point                                                              movingPoint;
 
   Triangulation                                                      dt;
-  QGraphicsScene                                                     scene;  
+  QGraphicsScene                                                     scene;
 
   CGAL::Qt::TriangulationGraphicsItem<Triangulation>               * dgi;
   CGAL::Qt::VoronoiGraphicsItem<Triangulation>                     * vgi;
@@ -94,7 +94,7 @@ public slots:
   void processInput(CGAL::Object o);
 
   void updateMovingPoint(CGAL::Object o);
-  
+
   void on_actionCircumcenter_toggled(bool checked);
 
   void on_actionPlayDemo_toggled(bool checked);
@@ -108,7 +108,7 @@ public slots:
   void on_actionShowOctagon_toggled(bool checked);
 
   void on_actionInsertPoint_toggled(bool checked);
-  
+
   void on_actionInsertRandomPoints_triggered();
 
   void on_actionLoadPoints_triggered();
@@ -136,20 +136,20 @@ MainWindow::MainWindow()
   setupUi(this);
 
   this->graphicsView->setAcceptDrops(false);
-  
+
   // Add Poincaré disk
   qreal origin_x = 0, origin_y = 0, radius = 1, diameter = 2*radius;
   qreal left_top_corner_x = origin_x - radius;
   qreal left_top_corner_y = origin_y - radius;
   qreal width = diameter, height = diameter;
-  
+
   // set background
   qreal eps = 0.01;
   QGraphicsRectItem* rect = new QGraphicsRectItem(left_top_corner_x - eps, left_top_corner_y - eps, width + 2*eps, height + 2*eps);
   rect->setPen(Qt::NoPen);
   rect->setBrush(Qt::white);
   scene.addItem(rect);
-  
+
   // Add a GraphicItem for the Triangulation triangulation
   dgi = new CGAL::Qt::TriangulationGraphicsItem<Triangulation>(&dt);
 
@@ -178,8 +178,8 @@ MainWindow::MainWindow()
 
 
   // Setup input handlers. They get events before the scene gets them
-  // and the input they generate is passed to the triangulation with 
-  // the signal/slot mechanism    
+  // and the input they generate is passed to the triangulation with
+  // the signal/slot mechanism
   pi = new CGAL::Qt::TriangulationPointInput<Triangulation>(&scene, &dt, this );
 
   QObject::connect(pi, SIGNAL(generate(CGAL::Object)), this, SLOT(processInput(CGAL::Object)));
@@ -192,7 +192,7 @@ MainWindow::MainWindow()
   QObject::connect(cz, SIGNAL(generate(CGAL::Object)), this, SLOT(updateMovingPoint(CGAL::Object)));
 
 
-  // 
+  //
   // Manual handling of actions
   //
 
@@ -203,7 +203,7 @@ MainWindow::MainWindow()
   ag->addAction(this->actionInsertPoint);
   ag->addAction(this->actionCircumcenter);
 
-  // Check two actions 
+  // Check two actions
   this->actionInsertPoint->setChecked(true);
   this->actionShowTriangulation->setChecked(true);
   this->actionShowOctagon->setChecked(true);
@@ -256,10 +256,10 @@ MainWindow::updateMovingPoint(CGAL::Obje
 }
 
 
-/* 
+/*
  *  Qt Automatic Connections
  *  http://doc.trolltech.com/4.4/designer-using-a-component.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -294,7 +294,7 @@ MainWindow::on_actionCircumcenter_toggle
   if(checked){
     scene.installEventFilter(tcc);
     tcc->show();
-  } else {  
+  } else {
     scene.removeEventFilter(tcc);
     tcc->hide();
   }
@@ -315,7 +315,7 @@ MainWindow::on_actionShowConflictZone_to
   dgi->setVisibleConflictZone(checked);
   if(checked){
     scene.installEventFilter(cz);
-  } else {  
+  } else {
     scene.removeEventFilter(cz);
   }
 }
@@ -345,13 +345,13 @@ void
 MainWindow::on_actionInsertRandomPoints_triggered()
 {
   bool ok = false;
-  const int number_of_points = 
-    QInputDialog::getInt(this, 
+  const int number_of_points =
+    QInputDialog::getInt(this,
                         tr("Number of random points"),
                         tr("Enter number of random points"),
            100,
            0,
-           std::numeric_limits<int>::max(),
+           (std::numeric_limits<int>::max)(),
            1,
            &ok);
 
@@ -367,17 +367,17 @@ MainWindow::on_actionInsertRandomPoints_
   typedef CGAL::Creator_uniform_2<double, Point_double >     Creator;
 
   CGAL::Random_points_in_disc_2<Point_double, Creator> g(0.85);
-  
+
   Traits::Side_of_original_octagon pred;
   std::vector<Point> pts;
   int cnt = 0;
-  do {    
+  do {
       Point_double pd = *(++g);
       if(pred(pd) != CGAL::ON_UNBOUNDED_SIDE) {
           Point pt = Point(pd.x(), pd.y());
           pts.push_back(pt);
           cnt++;
-      } 
+      }
   } while(cnt < number_of_points);
 
 
@@ -424,7 +424,7 @@ MainWindow::open(QString fileName)
 
   // default cursor
   QApplication::restoreOverrideCursor();
-  emit(changed());    
+  emit(changed());
 }
 
 
@@ -433,7 +433,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(dgi->boundingRect());
-  this->graphicsView->fitInView(dgi->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(dgi->boundingRect(), Qt::KeepAspectRatio);
 }
 
 
diff -pruN 5.0.2-3/demo/Periodic_Lloyd_3/CMakeLists.txt 5.0.3-1/demo/Periodic_Lloyd_3/CMakeLists.txt
--- 5.0.2-3/demo/Periodic_Lloyd_3/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Periodic_Lloyd_3/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -67,11 +67,11 @@ else( CGAL_FOUND AND CGAL_Qt5_FOUND AND
 
   if(NOT CGAL_Qt5_FOUND)
     set(PERIODIC_LLOYD_MISSING_DEPS "the CGAL Qt5 library, ${PERIODIC_LLOYD_MISSING_DEPS}")
-  endif()      	   
+  endif()
 
   if(NOT Qt5_FOUND)
     set(PERIODIC_LLOYD_MISSING_DEPS "Qt5, ${PERIODIC_LLOYD_MISSING_DEPS}")
-  endif()      	   
+  endif()
 
   if(NOT QT_QCOLLECTIONGENERATOR_EXECUTABLE)
     set(PERIODIC_LLOYD_MISSING_DEPS "${CGAL_QCOLLECTIONGENERATOR_TARGET}, ${PERIODIC_LLOYD_MISSING_DEPS}")
diff -pruN 5.0.2-3/demo/Periodic_Lloyd_3/MainWindow.cpp 5.0.3-1/demo/Periodic_Lloyd_3/MainWindow.cpp
--- 5.0.2-3/demo/Periodic_Lloyd_3/MainWindow.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Periodic_Lloyd_3/MainWindow.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -23,24 +23,24 @@ MainWindow::MainWindow(QWidget* parent):
 void
 MainWindow::connectActions()
 {
-  QObject::connect(this->actionNew_Point_Set, SIGNAL(triggered()), 
-		   this, SLOT(newPointSet()));
+  QObject::connect(this->actionNew_Point_Set, SIGNAL(triggered()),
+                   this, SLOT(newPointSet()));
 
-  QObject::connect(this->actionLoad_points, SIGNAL(triggered()), 
-		   this, SLOT(loadPoints()));
+  QObject::connect(this->actionLoad_points, SIGNAL(triggered()),
+                   this, SLOT(loadPoints()));
 
-  QObject::connect(this->actionSave_points, SIGNAL(triggered()), 
-		   this, SLOT(savePoints()));
+  QObject::connect(this->actionSave_points, SIGNAL(triggered()),
+                   this, SLOT(savePoints()));
 
-  QObject::connect(this->speedSlider, SIGNAL(valueChanged(int)), 
-		   this, SLOT(speedChanged(int)));
+  QObject::connect(this->speedSlider, SIGNAL(valueChanged(int)),
+                   this, SLOT(speedChanged(int)));
 
   QObject::connect(this->viewer, SIGNAL(valueChanged(int)),
                    this, SLOT(speedChanged(int)));
 
-  QObject::connect(this, SIGNAL(sceneChanged()), 
-		   this->viewer, SLOT(sceneChanged()));
-  
+  QObject::connect(this, SIGNAL(sceneChanged()),
+                   this->viewer, SLOT(sceneChanged()));
+
   QObject::connect(this->actionStep, SIGNAL(triggered()),
                    this, SLOT(lloydStep()));
 
@@ -53,8 +53,8 @@ MainWindow::connectActions()
   QObject::connect(this->action2D_version, SIGNAL(toggled(bool)),
                    this, SLOT(toggle2D(bool)));
 
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   qApp, SLOT(quit()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   qApp, SLOT(quit()));
 
   QObject::connect(this->actionDemo_Help, SIGNAL(triggered()),
                    this, SLOT(help()));
@@ -92,7 +92,7 @@ MainWindow::newPointSet()
 
   int numberOfPoints = QInputDialog::getInt(this,
       "Periodic Lloyd", "Number of points: ", 100, 0, 2147483647, 1, &ok );
-  
+
   if (ok) newPoints(numberOfPoints);
 }
 
@@ -101,14 +101,14 @@ MainWindow::loadPoints()
 {
   QString fileName = QFileDialog
     ::getOpenFileName(this, tr("Open point set"),
-	".", tr("All files (*)"));
+        ".", tr("All files (*)"));
   if(fileName.isEmpty()) return;
-  
+
   std::ifstream ifs(fileName.toLatin1().data() );
   scene.points.clear();
   Iso_cuboid_3 dom;
   ifs >> dom;
-  std::copy(std::istream_iterator<Point_3>(ifs), 
+  std::copy(std::istream_iterator<Point_3>(ifs),
       std::istream_iterator<Point_3>(),
       std::back_inserter(scene.points));
 
@@ -124,14 +124,14 @@ MainWindow::loadPoints()
   CGAL::qglviewer::Vec center(cx/8.,cy/8.,cz/8.);
   viewer->setSceneCenter(center);
   viewer->setSceneRadius(std::sqrt(
-	  ((dom.xmax()-dom.xmin())*(dom.xmax()-dom.xmin()))
-	  + ((dom.xmax()-dom.xmin())*(dom.xmax()-dom.xmin()))
-	  + ((dom.xmax()-dom.xmin())*(dom.xmax()-dom.xmin()))));
+          ((dom.xmax()-dom.xmin())*(dom.xmax()-dom.xmin()))
+          + ((dom.xmax()-dom.xmin())*(dom.xmax()-dom.xmin()))
+          + ((dom.xmax()-dom.xmin())*(dom.xmax()-dom.xmin()))));
 
   speedSlider->setRange(0,100);
   speedSlider->setSliderPosition(100);
 
-  emit (sceneChanged()); 
+  emit (sceneChanged());
 }
 
 void
@@ -139,9 +139,9 @@ MainWindow::savePoints()
 {
   QString fileName = QFileDialog
     ::getSaveFileName(this, tr("Save point set"),
-	".", tr("*.pts"));
+        ".", tr("*.pts"));
   if(fileName.isEmpty()) return;
-  
+
   std::ofstream ofs(fileName.toLatin1().data() );
   ofs << scene.periodic_triangulation.domain() << '\n';
   for (std::list<Point_3>::iterator pit = scene.points.begin() ;
@@ -154,7 +154,7 @@ void MainWindow::lloydStep() {
   viewer->changed();
   }
 
-void 
+void
 MainWindow::speedChanged(int i)
 {
   int speed = (100-i)*100;
@@ -173,11 +173,11 @@ MainWindow::newPoints(int n)
   CGAL::Random rnd(std::time(NULL));
   CGAL::Random_points_in_cube_3<Point_3, Creator> in_cube(1,rnd);
 
-  for (int i=0 ; i<n ; i++) 
+  for (int i=0 ; i<n ; i++)
     if (scene.two_dimensional) {
       Point_3 rdpt = *in_cube++;
       scene.points.push_back(Point_3(rdpt.x(),rdpt.y(),0.));
-    } else 
+    } else
       scene.points.push_back(*in_cube++);
 
   Iso_cuboid_3 dom(-1,-1,-1,1,1,1);
@@ -193,14 +193,14 @@ MainWindow::newPoints(int n)
   CGAL::qglviewer::Vec center(cx/8.,cy/8.,cz/8.);
   viewer->setSceneCenter(center);
   viewer->setSceneRadius(std::sqrt(
-	  ((dom.xmax()-dom.xmin())*(dom.xmax()-dom.xmin()))
-	  + ((dom.xmax()-dom.xmin())*(dom.xmax()-dom.xmin()))
-	  + ((dom.xmax()-dom.xmin())*(dom.xmax()-dom.xmin()))));
+          ((dom.xmax()-dom.xmin())*(dom.xmax()-dom.xmin()))
+          + ((dom.xmax()-dom.xmin())*(dom.xmax()-dom.xmin()))
+          + ((dom.xmax()-dom.xmin())*(dom.xmax()-dom.xmin()))));
 
   speedSlider->setRange(0,100);
   speedSlider->setSliderPosition(100);
 
-  emit (sceneChanged()); 
+  emit (sceneChanged());
 }
 
 void MainWindow::help() {
@@ -213,7 +213,7 @@ void MainWindow::help() {
 #endif
 
   QStringList args;
-  QString help_path = QCoreApplication::applicationDirPath() 
+  QString help_path = QCoreApplication::applicationDirPath()
     + QDir::separator()
     + QString("./Periodic_Lloyd_3.qhc");
   args << QString("-collectionFile") << help_path;
diff -pruN 5.0.2-3/demo/Periodic_Lloyd_3/Periodic_Lloyd_3.cpp 5.0.3-1/demo/Periodic_Lloyd_3/Periodic_Lloyd_3.cpp
--- 5.0.2-3/demo/Periodic_Lloyd_3/Periodic_Lloyd_3.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Periodic_Lloyd_3/Periodic_Lloyd_3.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -5,7 +5,7 @@
 int main(int argc, char** argv)
 {
   QApplication application(argc,argv);
- 
+
   application.setOrganizationDomain("inria.fr");
   application.setOrganizationName("INRIA");
   application.setApplicationName("3D Periodic Lloyd");
diff -pruN 5.0.2-3/demo/Periodic_Lloyd_3/Scene.h 5.0.3-1/demo/Periodic_Lloyd_3/Scene.h
--- 5.0.2-3/demo/Periodic_Lloyd_3/Scene.h	2020-02-21 20:03:52.000000000 +0000
+++ 5.0.3-1/demo/Periodic_Lloyd_3/Scene.h	2020-08-01 19:02:38.000000000 +0000
@@ -14,22 +14,22 @@ struct Scene {
   void lloyd_step() {
     std::vector<Vertex_handle> vts;
     for (Periodic_point_iterator ppit
-	   = periodic_triangulation.periodic_points_begin(P3DT3::UNIQUE) ;
-	 ppit != periodic_triangulation.periodic_points_end(P3DT3::UNIQUE) ;
-	 ++ppit)
+           = periodic_triangulation.periodic_points_begin(P3DT3::UNIQUE) ;
+         ppit != periodic_triangulation.periodic_points_end(P3DT3::UNIQUE) ;
+         ++ppit)
       vts.push_back(ppit.get_vertex());
-    
+
     points.clear();
     std::vector<Point_3> dual_vertices;
     Point_3 new_point;
     for (std::vector<Vertex_handle>::iterator vit = vts.begin();
-	 vit != vts.end(); ++vit) {
+         vit != vts.end(); ++vit) {
       if (two_dimensional) {
-	dual_vertices.clear();
-	periodic_triangulation.dual(*vit,std::back_inserter(dual_vertices));
-	new_point = compute_barycenter_2D(dual_vertices);
+        dual_vertices.clear();
+        periodic_triangulation.dual(*vit,std::back_inserter(dual_vertices));
+        new_point = compute_barycenter_2D(dual_vertices);
       } else {
-	new_point = periodic_triangulation.dual_centroid(*vit);
+        new_point = periodic_triangulation.dual_centroid(*vit);
       }
       points.push_back(new_point);
     }
@@ -44,7 +44,7 @@ struct Scene {
     FT area(0);
     FT x(0),y(0);
     for (T2::Finite_faces_iterator ffit = t.finite_faces_begin() ;
-	 ffit != t.finite_faces_end() ; ++ffit) {
+         ffit != t.finite_faces_end() ; ++ffit) {
       Triangle_2 tri = t.triangle(ffit);
       FT triarea = tri.area();
       Point_2 tricentr = centroid(tri);
@@ -57,14 +57,14 @@ struct Scene {
     y /= area;
 
     Iso_cuboid_3 d = periodic_triangulation.domain();
-    x = (x < d.xmin() ? x+d.xmax()-d.xmin() 
-	: (x >= d.xmax() ? x-d.xmax()+d.xmin() : x));
-    y = (y < d.ymin() ? y+d.ymax()-d.ymin() 
-	: (y >= d.ymax() ? y-d.ymax()+d.ymin() : y));
+    x = (x < d.xmin() ? x+d.xmax()-d.xmin()
+        : (x >= d.xmax() ? x-d.xmax()+d.xmin() : x));
+    y = (y < d.ymin() ? y+d.ymax()-d.ymin()
+        : (y >= d.ymax() ? y-d.ymax()+d.ymin() : y));
 
     CGAL_triangulation_postcondition((d.xmin()<=x)&&(x<d.xmax()));
     CGAL_triangulation_postcondition((d.ymin()<=y)&&(y<d.ymax()));
-  
+
     return Point_3(x,y,0);
   }
 
diff -pruN 5.0.2-3/demo/Periodic_Lloyd_3/Viewer.cpp 5.0.3-1/demo/Periodic_Lloyd_3/Viewer.cpp
--- 5.0.2-3/demo/Periodic_Lloyd_3/Viewer.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Periodic_Lloyd_3/Viewer.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -92,9 +92,9 @@ Viewer::next_around_circle(const float&
 
   Vec y(cam_norm.z, 0, -cam_norm.x);
   Vec y_norm = y/y.norm();
-  
+
   Vec new_cam = ori + (cam_norm*cos(phi) + y_norm*sin(phi)) * cam.norm();
-  return new_cam;  
+  return new_cam;
 }
 
 void Viewer::initialize_buffers()
diff -pruN 5.0.2-3/demo/Periodic_Lloyd_3/Viewer.h 5.0.3-1/demo/Periodic_Lloyd_3/Viewer.h
--- 5.0.2-3/demo/Periodic_Lloyd_3/Viewer.h	2020-02-21 20:03:52.000000000 +0000
+++ 5.0.3-1/demo/Periodic_Lloyd_3/Viewer.h	2020-08-01 19:02:38.000000000 +0000
@@ -49,7 +49,7 @@ public:
 public slots :
   void changed();
   void sceneChanged();
-  
+
 signals:
   void valueChanged(int i);
 
diff -pruN 5.0.2-3/demo/Polygon/CMakeLists.txt 5.0.3-1/demo/Polygon/CMakeLists.txt
--- 5.0.2-3/demo/Polygon/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Polygon/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -43,7 +43,7 @@ if ( CGAL_FOUND AND CGAL_Qt5_FOUND AND Q
   # qrc files (resources files, that contain icons, at least)
   qt5_add_resources ( CGAL_Qt5_RESOURCE_FILES ./Polygon_2.qrc )
 
-#  add_library( CGAL SHARED IMPORTED ) 
+#  add_library( CGAL SHARED IMPORTED )
 #  SET_PROPERTY(TARGET CGAL PROPERTY IMPORTED_LOCATION ${CGAL_LIBRARY} )
 
   # The executable itself.
diff -pruN 5.0.2-3/demo/Polygon/Polygon_2.cpp 5.0.3-1/demo/Polygon/Polygon_2.cpp
--- 5.0.2-3/demo/Polygon/Polygon_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Polygon/Polygon_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -29,7 +29,7 @@
 #include <CGAL/Qt/PolygonGraphicsItem.h>
 #include <CGAL/Qt/PolygonWithHolesGraphicsItem.h>
 #include <CGAL/Qt/LineGraphicsItem.h>
-  
+
 // the two base classes
 #include "ui_Polygon_2.h"
 #include <CGAL/Qt/DemosMainWindow.h>
@@ -55,16 +55,16 @@ class MainWindow :
   public Ui::Polygon_2
 {
   Q_OBJECT
-  
+
 private:
 
   enum PartitionAlgorithm {YMonotone, ApproximateConvex, OptimalConvex} ;
 
 
   CGAL::Qt::Converter<K> convert;
-  Polygon2 poly, kgon; 
+  Polygon2 poly, kgon;
   Polygon_with_holes_2 selfmink;
-  QGraphicsScene scene;  
+  QGraphicsScene scene;
 
   CGAL::Qt::PolygonGraphicsItem<Polygon2> * pgi;
 
@@ -130,7 +130,7 @@ MainWindow::MainWindow()
   pgi = new CGAL::Qt::PolygonGraphicsItem<Polygon2>(&poly);
 
   QObject::connect(this, SIGNAL(changed()),
-		   pgi, SLOT(modelChanged()));
+                   pgi, SLOT(modelChanged()));
 
   scene.addItem(pgi);
 
@@ -138,8 +138,8 @@ MainWindow::MainWindow()
   kgongi->setEdgesPen(QPen(Qt::blue, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   kgongi->hide();
   scene.addItem(kgongi);
-  
-  
+
+
   lgi = new CGAL::Qt::LineGraphicsItem<K>();
   lgi->setPen(QPen(Qt::blue, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   lgi->hide();
@@ -150,15 +150,15 @@ MainWindow::MainWindow()
 
   this->actionCreateInputPolygon->setChecked(true);
   QObject::connect(pi, SIGNAL(generate(CGAL::Object)),
-		   this, SLOT(processInput(CGAL::Object)));
+                   this, SLOT(processInput(CGAL::Object)));
 
-  // 
+  //
   // Manual handling of actions
   //
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   this, SLOT(close()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   this, SLOT(close()));
+
 
- 
   //
   // Setup the scene and the view
   //
@@ -172,7 +172,7 @@ MainWindow::MainWindow()
 
   // Turn the vertical axis upside down
   this->graphicsView->scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -185,7 +185,7 @@ MainWindow::MainWindow()
 
   this->addRecentFiles(this->menuFile, this->actionQuit);
   connect(this, SIGNAL(openRecentFile(QString)),
-	  this, SLOT(open(QString)));
+          this, SLOT(open(QString)));
 }
 
 
@@ -196,11 +196,11 @@ MainWindow::processInput(CGAL::Object o)
   std::list<Point_2> points;
   if(CGAL::assign(points, o)){
     if((points.size() == 1)&& poly.size()>0){
-    
+
     } else {
       poly.clear();
       if(points.front() == points.back()){
-	points.pop_back();
+        points.pop_back();
       }
       poly.insert(poly.vertices_begin(), points.begin(), points.end());
     }
@@ -208,10 +208,10 @@ MainWindow::processInput(CGAL::Object o)
   }
 }
 
-/* 
+/*
  *  Qt Automatic Connections
  *  https://doc.qt.io/qt-5/designer-using-a-ui-file.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -230,8 +230,8 @@ void
 MainWindow::on_actionLoadPolygon_triggered()
 {
   QString fileName = QFileDialog::getOpenFileName(this,
-						  tr("Open Polygon File"),
-						  ".",
+                                                  tr("Open Polygon File"),
+                                                  ".",
                                                   tr( "Polyline files (*.polygons.cgal);;"
                                                       "WSL files (*.wsl);;"
                                                     #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
@@ -254,7 +254,7 @@ MainWindow::open(QString fileName)
 #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
     CGAL::Polygon_with_holes_2<K> P;
     CGAL::read_polygon_WKT(ifs, P);
-    poly = Polygon2(P.outer_boundary().begin(), 
+    poly = Polygon2(P.outer_boundary().begin(),
                     P.outer_boundary().end());
 #endif
   }
@@ -273,8 +273,8 @@ void
 MainWindow::on_actionSavePolygon_triggered()
 {
   QString fileName = QFileDialog::getSaveFileName(this,
-						  tr("Save Polygon"),
-						  ".",
+                                                  tr("Save Polygon"),
+                                                  ".",
                                                   tr( "Polyline files (*.polygons.cgal);;"
                                                     #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
                                                       "WKT files (*.wkt *.WKT);;"
@@ -314,7 +314,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(pgi->boundingRect());
-  this->graphicsView->fitInView(pgi->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(pgi->boundingRect(), Qt::KeepAspectRatio);
 }
 
 void
@@ -326,9 +326,9 @@ MainWindow::on_actionSelfMinkowskiSum_tr
     }
 
     selfmink = minkowski_sum_2 (poly, poly);
-    
+
     minkgi = new CGAL::Qt::PolygonWithHolesGraphicsItem<Polygon_with_holes_2>(&selfmink);
-    
+
     minkgi->setVerticesPen(QPen(Qt::red, 3, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
     scene.addItem(minkgi);
     minkgi->setEdgesPen(QPen(Qt::darkRed, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
@@ -356,20 +356,20 @@ MainWindow::on_actionInnerSkeleton_trigg
     typedef Ss::Vertex_const_handle     Vertex_const_handle ;
     typedef Ss::Halfedge_const_handle   Halfedge_const_handle ;
     typedef Ss::Halfedge_const_iterator Halfedge_const_iterator ;
-  
+
     Halfedge_const_handle null_halfedge ;
     Vertex_const_handle   null_vertex ;
 
     for ( Halfedge_const_iterator i = ss.halfedges_begin(); i != ss.halfedges_end(); ++i )
       {
-	if ( i->is_bisector() ){
-	  Segment_2 s(i->opposite()->vertex()->point(), i->vertex()->point());
-	  skeletonGraphicsItems.push_back(new QGraphicsLineItem(convert(s)));
-	  scene.addItem(skeletonGraphicsItems.back());
-	  skeletonGraphicsItems.back()->setPen(QPen(Qt::blue, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
-	}
+        if ( i->is_bisector() ){
+          Segment_2 s(i->opposite()->vertex()->point(), i->vertex()->point());
+          skeletonGraphicsItems.push_back(new QGraphicsLineItem(convert(s)));
+          scene.addItem(skeletonGraphicsItems.back());
+          skeletonGraphicsItems.back()->setPen(QPen(Qt::blue, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
+        }
       }
-      
+
   }
 
 }
@@ -380,15 +380,15 @@ MainWindow::on_actionOuterOffset_trigger
   if(poly.size()>0 && poly.is_simple())
   {
     clear();
-    
+
     if(! poly.is_counterclockwise_oriented())
       poly.reverse_orientation();
-    
+
     double w = poly.bbox().xmax() - poly.bbox().xmin() ;
     double h = poly.bbox().ymax() - poly.bbox().ymin() ;
     double s = (std::max)(w,h);
     double def_offset = s * 0.05 ;
-    
+
     bool ok;
     const double off = QInputDialog::getDouble( this
                                               , tr("Offset distance")
@@ -398,15 +398,15 @@ MainWindow::on_actionOuterOffset_trigger
                                               , s
                                               , 2
                                               , &ok
-                                              );  
+                                              );
     if ( ok )
     {
       PolygonPtr_vector lContours = create_exterior_skeleton_and_offset_polygons_2(off,poly) ;
-      
+
       PolygonPtr_vector::const_iterator frame ;
-      
+
       double max_area = 0.0 ;
-      
+
       for( PolygonPtr_vector::const_iterator cit = lContours.begin(); cit != lContours.end(); ++ cit )
       {
         double area = (*cit)->area();
@@ -416,7 +416,7 @@ MainWindow::on_actionOuterOffset_trigger
           frame = cit ;
         }
       }
-      
+
       for( PolygonPtr_vector::const_iterator cit = lContours.begin(); cit != lContours.end(); ++ cit )
       {
         if ( cit != frame )
@@ -429,11 +429,11 @@ MainWindow::on_actionOuterOffset_trigger
             offsetGraphicsItems.push_back(new QGraphicsLineItem(convert(s)));
             scene.addItem(offsetGraphicsItems.back());
             offsetGraphicsItems.back()->setPen(QPen(Qt::red, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
-          } 
+          }
         }
       }
     }
-  }  
+  }
 }
 
 void
@@ -441,15 +441,15 @@ MainWindow::on_actionMaximumAreaKGon_tri
 {
   if( (poly.size()>2) && poly.is_convex()){
     clear();
-    
+
     kgon.clear();
     std::vector<Point_2> points(poly.vertices_begin(),
                                 poly.vertices_end());
     CGAL::maximum_area_inscribed_k_gon_2(points.begin(),
                                          points.end(),
-					 3,
+                                         3,
                                          std::back_inserter(kgon));
-  
+
     kgongi->modelChanged();
     kgongi->show();
   } else {
@@ -462,13 +462,13 @@ MainWindow::on_actionLinearLeastSquaresF
 {
   if(poly.size()>2){
     clear();
-    
+
     Line_2 line;
     CGAL::linear_least_squares_fitting_2(poly.vertices_begin(),
-					 poly.vertices_end(),
-					 line,
-					 CGAL::Dimension_tag<0>());
-  
+                                         poly.vertices_end(),
+                                         line,
+                                         CGAL::Dimension_tag<0>());
+
     lgi->setLine(line);
     lgi->show();
   }
@@ -479,12 +479,12 @@ MainWindow::on_actionLinearLeastSquaresF
 {
   if(poly.size()>2){
     clear();
-    
+
     Line_2 line;
     CGAL::linear_least_squares_fitting_2(poly.edges_begin(),
-					 poly.edges_end(),
-					 line,
-					 CGAL::Dimension_tag<1>());
+                                         poly.edges_end(),
+                                         line,
+                                         CGAL::Dimension_tag<1>());
 
 
     lgi->setLine(line);
@@ -513,7 +513,7 @@ MainWindow::on_actionApproximateConvexPa
 }
 
 
-void 
+void
 MainWindow::partition(PartitionAlgorithm pa)
 {
   if(poly.size()>0){
@@ -533,8 +533,8 @@ MainWindow::partition(PartitionAlgorithm
       break;
     }
     for(std::list<Polygon2>::iterator it = partitionPolygons.begin();
-	it != partitionPolygons.end();
-	++it){
+        it != partitionPolygons.end();
+        ++it){
       partitionGraphicsItems.push_back(new CGAL::Qt::PolygonGraphicsItem<Polygon2>(&(*it)));
       scene.addItem(partitionGraphicsItems.back());
       partitionGraphicsItems.back()->setEdgesPen(QPen(Qt::blue, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
diff -pruN 5.0.2-3/demo/Polyhedron/C3t3_type.h 5.0.3-1/demo/Polyhedron/C3t3_type.h
--- 5.0.2-3/demo/Polyhedron/C3t3_type.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/C3t3_type.h	2020-08-01 19:02:41.000000000 +0000
@@ -33,13 +33,13 @@ struct Wrapper
 {
   typedef int return_type;
   typedef typename K::Point_3 Point_3;
-  
+
   Wrapper(const Implicit_function_interface& f) : f_(f) {}
   return_type operator()(const Point_3& p, const bool=true) const
   {
     return (f_(p.x(),p.y(),p.z()) < 0) ? 1 : 0;
   }
-  
+
 private:
   const Implicit_function_interface& f_;
 };
@@ -69,7 +69,7 @@ typedef CGAL::Compact_mesh_cell_base_3<R
 typedef CGAL::Triangulation_cell_base_with_info_3<int, Robust_K, Cell_base> Cell_base_with_info;
 
 #ifdef CGAL_CONCURRENT_MESH_3
-  typedef CGAL::Mesh_triangulation_3<Polyhedral_mesh_domain, 
+  typedef CGAL::Mesh_triangulation_3<Polyhedral_mesh_domain,
                                      Robust_intersections_traits,
                                      CGAL::Parallel_tag,
                                      CGAL::Default,
diff -pruN 5.0.2-3/demo/Polyhedron/CMakeLists.txt 5.0.3-1/demo/Polyhedron/CMakeLists.txt
--- 5.0.2-3/demo/Polyhedron/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -54,7 +54,7 @@ list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE
 
 # Find CGAL
 
-option( POLYHEDRON_QTSCRIPT_DEBUGGER 
+option( POLYHEDRON_QTSCRIPT_DEBUGGER
   "Activate the use of Qt Script Debugger in Polyhedron_3 demo" OFF)
 
 # Find Qt5 itself
@@ -146,7 +146,7 @@ if(CGAL_Qt5_FOUND AND Qt5_FOUND)
     NO_DEFAULT_PATH
     NO_CMAKE_FIND_ROOT_PATH
     DOC "Path to CGAL/Three/Scene_item.h")
-  
+
   if(CGAL_THREE_HEADERS_PATH)
     qt5_generate_moc( "${CGAL_THREE_HEADERS_PATH}/CGAL/Three/Viewer_interface.h"
       "${CMAKE_CURRENT_BINARY_DIR}/Viewer_interface_moc.cpp" )
@@ -255,7 +255,7 @@ if(CGAL_Qt5_FOUND AND Qt5_FOUND)
 
   add_item(scene_item_decorator Scene_polyhedron_item_decorator.cpp )
   target_link_libraries(scene_item_decorator PUBLIC scene_surface_mesh_item)
- 
+
   add_item(scene_k_ring_selection Plugins/PMP/Scene_facegraph_item_k_ring_selection.cpp)
   target_link_libraries(scene_k_ring_selection PUBLIC scene_surface_mesh_item)
 
@@ -266,7 +266,7 @@ if(CGAL_Qt5_FOUND AND Qt5_FOUND)
   target_link_libraries(scene_shortest_path_item PUBLIC scene_item_decorator scene_surface_mesh_item scene_polylines_item)
 
   add_item(scene_movable_sm_item Plugins/AABB_tree/Scene_movable_sm_item.cpp)
-  
+
   if(EIGEN3_FOUND )
     add_item(scene_textured_item Scene_textured_surface_mesh_item.cpp texture.cpp)
     qt5_wrap_ui( editionUI_FILES Plugins/Surface_mesh_deformation/Deform_mesh.ui )
@@ -285,7 +285,7 @@ if(CGAL_Qt5_FOUND AND Qt5_FOUND)
 
   add_item(scene_nef_polyhedron_item Scene_nef_polyhedron_item.cpp)
   target_link_libraries(scene_nef_polyhedron_item PUBLIC scene_surface_mesh_item)
-  
+
   find_package(LASLIB)
   if (LASLIB_FOUND)
     include(${LASLIB_USE_FILE})
@@ -305,10 +305,10 @@ if(CGAL_Qt5_FOUND AND Qt5_FOUND)
 
   add_item(scene_polylines_item Scene_polylines_item.cpp)
   target_link_libraries(scene_polylines_item PUBLIC scene_basic_objects scene_points_with_normal_item)
-  
+
   add_item(scene_lcc_item Scene_lcc_item.cpp)
-  
-  foreach( lib 
+
+  foreach( lib
       demo_framework
       scene_basic_objects
       scene_color_ramp
@@ -323,7 +323,7 @@ if(CGAL_Qt5_FOUND AND Qt5_FOUND)
     Polyhedron_demo.cpp
     File_loader_dialog_moc.cpp
     ${CGAL_Qt5_RESOURCE_FILES} ${CGAL_Qt5_MOC_FILES}
-    ${FileLoaderDialogUI_files} ${MainWindowUI_files} ${PreferencesUI_FILES} 
+    ${FileLoaderDialogUI_files} ${MainWindowUI_files} ${PreferencesUI_FILES}
     ${statisticsUI_FILES} ${SubViewerUI_files})
   target_link_libraries(polyhedron_demo PUBLIC
     demo_framework point_dialog Qt5::Gui Qt5::OpenGL Qt5::Widgets Qt5::Script)
diff -pruN 5.0.2-3/demo/Polyhedron/Color_ramp.cpp 5.0.3-1/demo/Polyhedron/Color_ramp.cpp
--- 5.0.2-3/demo/Polyhedron/Color_ramp.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Color_ramp.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -18,7 +18,7 @@ Color_component(const double c0, const d
   add(1,c1);
 }
 
-double 
+double
 Color_component::
 interpolate(const double v) const
 {
@@ -30,7 +30,7 @@ interpolate(const double v) const
 
   if ( v>=1 && next != values_.end())
     std::cerr << ".";
-  
+
   if ( next == values_.end() )
   {
     return prev->second;
@@ -48,7 +48,7 @@ add(const double v, double color)
 {
   if ( color > 1 ) { color = 1; }
   if ( color < 0 ) { color = 0; }
-  
+
   Values::iterator next = next_it(v);
   values_.insert(next, std::make_pair(v,color));
 }
@@ -69,10 +69,10 @@ print() const
 {
   for ( Values::const_iterator it = values_.begin(),
        end = values_.end() ; it != end ; ++it )
-  { 
+  {
     std::cout << "<" << it->first << "," << it->second << "> ";
   }
-  
+
   std::cout << std::endl;
 }
 
@@ -84,7 +84,7 @@ Color_ramp::Color_ramp()
   : r_()
   , g_()
   , b_()
-{ 
+{
 }
 
 Color_ramp::Color_ramp(const double r0, const double r1,
@@ -100,7 +100,7 @@ Color_ramp::Color_ramp(const double r0,
   b_.add(0.5,(std::max)(b0,b1));
   }
 
-void 
+void
 Color_ramp::build_red()
 {
   r_.rebuild(1,0.5);
@@ -114,13 +114,13 @@ Color_ramp::build_red()
   b_.add(0.05,0);
 }
 
-void 
+void
 Color_ramp::build_blue()
 {
   r_.rebuild(1,0);
   g_.rebuild(1,0);
   b_.rebuild(1,0.5);
-  
+
   b_.add(0.1,0.8);
   g_.add(0.1,0.4);
   r_.add(0.1,0.4);
@@ -141,7 +141,7 @@ Color_ramp::build_thermal()
   b_.add(1.0,0.0);
 }
 
-void 
+void
 Color_ramp::build_rainbow()
 {
   r_.rebuild(1,0.5);
diff -pruN 5.0.2-3/demo/Polyhedron/Color_ramp.h 5.0.3-1/demo/Polyhedron/Color_ramp.h
--- 5.0.2-3/demo/Polyhedron/Color_ramp.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Color_ramp.h	2020-08-01 19:02:41.000000000 +0000
@@ -13,21 +13,21 @@
 class SCENE_COLOR_RAMP_EXPORT Color_component
 {
   typedef std::list<std::pair<double,double> > Values;
-  
+
 public:
   Color_component();
   Color_component(const double c0, const double c1);
   ~Color_component() {}
-  
+
   double interpolate(const double v) const;
   void add(const double v, double color);
   void rebuild(const double c0, const double c1);
   void print() const;
-  
+
 private:
   inline Values::const_iterator next_it(const double v) const;
   inline Values::iterator next_it(const double v);
-  
+
 private:
   Values values_;
 };
@@ -36,7 +36,7 @@ private:
 class SCENE_COLOR_RAMP_EXPORT Color_ramp
 {
 public :
-	Color_ramp();
+        Color_ramp();
         Color_ramp(const double r0, const double r1, const double g0, const double g1,
                    const double b0, const double b1);
 
@@ -45,8 +45,8 @@ public :
   inline double g(double v) const;
   inline double b(double v) const;
 
-	void build_red();
-	void build_blue();
+        void build_red();
+        void build_blue();
         void build_thermal();
         void build_rainbow();
 
diff -pruN 5.0.2-3/demo/Polyhedron/create_sphere.h 5.0.3-1/demo/Polyhedron/create_sphere.h
--- 5.0.2-3/demo/Polyhedron/create_sphere.h	2020-02-21 20:04:00.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/create_sphere.h	2020-08-01 19:02:45.000000000 +0000
@@ -198,7 +198,7 @@ void create_flat_and_wire_sphere(FLOAT R
   const float to_rad = static_cast<float>(CGAL_PI / 180.0);
 
   create_flat_sphere(R, positions_spheres, normals_spheres);
-  
+
   float T, P;
   float x[4],y[4],z[4];
 
diff -pruN 5.0.2-3/demo/Polyhedron/Edge_container.cpp 5.0.3-1/demo/Polyhedron/Edge_container.cpp
--- 5.0.2-3/demo/Polyhedron/Edge_container.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Edge_container.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -36,7 +36,7 @@ void Edge_container::initGL(Viewer_inter
   if(viewer->isSharing())
   {
     if(!getVao(viewer))
-      setVao(viewer, new Vao(getVao(Three::mainViewer()), 
+      setVao(viewer, new Vao(getVao(Three::mainViewer()),
                              viewer->getShaderProgram(getProgram())));
   }
   else
@@ -70,7 +70,7 @@ void Edge_container::initGL(Viewer_inter
       setVao(viewer, new Vao(viewer->getShaderProgram(getProgram())));
       getVao(viewer)->addVbo(getVbo(Vertices));
       getVao(viewer)->addVbo(getVbo(Colors));
-      
+
       if(viewer->getShaderProgram(getProgram())->property("hasNormals").toBool())
       {
         if(!getVbo(Normals))
@@ -93,7 +93,7 @@ void Edge_container::initGL(Viewer_inter
         if(!getVbo(Centers))
           setVbo(Centers,
                  new Vbo("center",
-                  viewer->getShaderProgram(getProgram())->property("isInstanced").toBool() 
+                  viewer->getShaderProgram(getProgram())->property("isInstanced").toBool()
                   ? Vbo::NOT_INSTANCED
                   : Vbo::GEOMETRY));
         getVao(viewer)->addVbo(getVbo(Centers));
@@ -163,7 +163,7 @@ void Edge_container::draw(Viewer_interfa
       getVao(viewer)->program->setUniformValue("is_surface", d->is_surface);
     if(getVao(viewer)->program->property("hasFMatrix").toBool())
       getVao(viewer)->program->setUniformValue("f_matrix", getFrameMatrix());
-    
+
     if(getVao(viewer)->program->property("hasViewport").toBool())
     {
       getVao(viewer)->program->setUniformValue("viewport", getViewport());
@@ -172,7 +172,7 @@ void Edge_container::draw(Viewer_interfa
     }
     if(getVao(viewer)->program->property("hasWidth").toBool())
       getVao(viewer)->program->setUniformValue("width", getWidth());
-    
+
     if(viewer->getShaderProgram(getProgram())->property("isInstanced").toBool())
     {
       viewer->glDrawArraysInstanced(GL_LINES, 0,
diff -pruN 5.0.2-3/demo/Polyhedron/File_loader_dialog.h 5.0.3-1/demo/Polyhedron/File_loader_dialog.h
--- 5.0.2-3/demo/Polyhedron/File_loader_dialog.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/File_loader_dialog.h	2020-08-01 19:02:41.000000000 +0000
@@ -13,7 +13,7 @@ class File_loader_dialog : public QDialo
     {
       setupUi(this);
     }
-  static 
+  static
     std::pair<QString,bool>
     getItem(QString filename, const QStringList& item_list, bool* ok)
     {
@@ -29,5 +29,5 @@ class File_loader_dialog : public QDialo
         dialog.alwaysUse->isChecked()
       );
     }
-    
+
 };
diff -pruN 5.0.2-3/demo/Polyhedron/implicit_functions/Implicit_function_interface.h 5.0.3-1/demo/Polyhedron/implicit_functions/Implicit_function_interface.h
--- 5.0.2-3/demo/Polyhedron/implicit_functions/Implicit_function_interface.h	2020-02-21 20:04:00.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/implicit_functions/Implicit_function_interface.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/demo/Polyhedron/implicit_functions/Implicit_function_interface.h $
-// $Id: Implicit_function_interface.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/demo/Polyhedron/implicit_functions/Implicit_function_interface.h $
+// $Id: Implicit_function_interface.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_MESH_3_IMPLICIT_FUNCTION_INTERFACE_H
@@ -21,13 +21,13 @@
 #include <QString>
 #include <CGAL/Three/Scene_interface.h>
 
-class Implicit_function_interface 
+class Implicit_function_interface
 {
 public:
   typedef CGAL::Three::Scene_interface::Bbox Bbox;
-  
+
   virtual ~Implicit_function_interface() {}
-  
+
   virtual QString name() const = 0;
   virtual double operator()(double x, double y, double z) const = 0;
   virtual Bbox bbox() const = 0;
diff -pruN 5.0.2-3/demo/Polyhedron/implicit_functions/Klein_implicit_function.cpp 5.0.3-1/demo/Polyhedron/implicit_functions/Klein_implicit_function.cpp
--- 5.0.2-3/demo/Polyhedron/implicit_functions/Klein_implicit_function.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/implicit_functions/Klein_implicit_function.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -11,7 +11,7 @@
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #include <QObject>
@@ -27,14 +27,14 @@ class Klein_implicit_function :
 
 public:
   virtual QString name() const { return "Klein function"; }
-  
+
   virtual double operator()(double x, double y, double z) const
   {
     return   (x*x+y*y+z*z+2*y-1)
            * ( (x*x+y*y+z*z-2*y-1) *(x*x+y*y+z*z-2*y-1)-8*z*z)
            + 16*x*z* (x*x+y*y+z*z-2*y-1);
   }
-  
+
   virtual Bbox bbox() const
   {
     const double radius = 6.;
diff -pruN 5.0.2-3/demo/Polyhedron/implicit_functions/Sphere_implicit_function.cpp 5.0.3-1/demo/Polyhedron/implicit_functions/Sphere_implicit_function.cpp
--- 5.0.2-3/demo/Polyhedron/implicit_functions/Sphere_implicit_function.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/implicit_functions/Sphere_implicit_function.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -11,7 +11,7 @@
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #include <QObject>
@@ -30,12 +30,12 @@ class Sphere_implicit_function :
 
 public:
   virtual QString name() const { return "Sphere function"; }
-  
+
   virtual double operator()(double x, double y, double z) const
   {
     return (x*x + y*y + z*z - radius);
   }
-  
+
   virtual Bbox bbox() const
   {
     double r = radius * 1.2;
diff -pruN 5.0.2-3/demo/Polyhedron/implicit_functions/Tanglecube_implicit_function.cpp 5.0.3-1/demo/Polyhedron/implicit_functions/Tanglecube_implicit_function.cpp
--- 5.0.2-3/demo/Polyhedron/implicit_functions/Tanglecube_implicit_function.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/implicit_functions/Tanglecube_implicit_function.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -11,7 +11,7 @@
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #include <QObject>
@@ -30,14 +30,14 @@ class Tanglecube_implicit_function :
 
 public:
   virtual QString name() const { return "Tanglecube function"; }
-  
+
   virtual double operator()(double x, double y, double z) const
   {
     double x2=x*x, y2=y*y, z2=z*z;
     double x4=x2*x2, y4=y2*y2, z4=z2*z2;
     return x4 - 5*x2 + y4 - 5*y2 + z4 - 5*z2 + 11.8;
   }
-  
+
   virtual Bbox bbox() const
   {
     double r = radius * 1.2;
diff -pruN 5.0.2-3/demo/Polyhedron/include/CGAL/Dualizer.h 5.0.3-1/demo/Polyhedron/include/CGAL/Dualizer.h
--- 5.0.2-3/demo/Polyhedron/include/CGAL/Dualizer.h	2020-02-21 20:04:00.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/CGAL/Dualizer.h	2020-08-01 19:02:45.000000000 +0000
@@ -97,7 +97,7 @@ public:
       HV_circulator he = v->vertex_begin();
       HV_circulator end = he;
       CGAL_For_all(he,end)
-	B.add_vertex_to_facet(m_face_map[he->facet()]);
+        B.add_vertex_to_facet(m_face_map[he->facet()]);
       B.end_facet();
     }
   }
diff -pruN 5.0.2-3/demo/Polyhedron/include/CGAL/Facet_with_id_pmap.h 5.0.3-1/demo/Polyhedron/include/CGAL/Facet_with_id_pmap.h
--- 5.0.2-3/demo/Polyhedron/include/CGAL/Facet_with_id_pmap.h	2020-02-21 20:04:00.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/CGAL/Facet_with_id_pmap.h	2020-08-01 19:02:45.000000000 +0000
@@ -7,14 +7,14 @@ struct Facet_with_id_pmap
   typedef ValueType value_type;
   typedef value_type& reference;
   typedef boost::lvalue_property_map_tag category;
-  
+
   Facet_with_id_pmap(const FaceGraph& fg,
                      std::vector<ValueType>& internal_vector)
     : internal_vector(internal_vector), fg(fg) { }
-  
+
   reference operator[](key_type key) const
   { return internal_vector[get(CGAL::face_index, fg, key)]; }
 private:
   std::vector<ValueType>& internal_vector;
-  const FaceGraph& fg; 
+  const FaceGraph& fg;
 };
diff -pruN 5.0.2-3/demo/Polyhedron/include/CGAL/IO/read_surf_trianglemesh.h 5.0.3-1/demo/Polyhedron/include/CGAL/IO/read_surf_trianglemesh.h
--- 5.0.2-3/demo/Polyhedron/include/CGAL/IO/read_surf_trianglemesh.h	2020-02-21 20:04:00.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/CGAL/IO/read_surf_trianglemesh.h	2020-08-01 19:02:45.000000000 +0000
@@ -275,7 +275,7 @@ bool read_surf(std::istream& input, std:
       std::cout << "\rOrientation of patch #" << (i + 1) << " done";
 
       if(!no_duplicates) //collect duplicates
-      { 
+      {
         for (std::size_t i = nbp_init; i < points.size(); ++i)
           *out++ = points[i];
         std::cout << " (non manifold -> "
diff -pruN 5.0.2-3/demo/Polyhedron/include/CGAL/Make_bar.h 5.0.3-1/demo/Polyhedron/include/CGAL/Make_bar.h
--- 5.0.2-3/demo/Polyhedron/include/CGAL/Make_bar.h	2020-02-21 20:04:00.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/CGAL/Make_bar.h	2020-08-01 19:02:45.000000000 +0000
@@ -7,90 +7,90 @@ template <class HDS,class Polyhedron,cla
 class CModifierBar : public CGAL::Modifier_base<HDS>
 {
 private:
-	typedef typename Kernel::Point_3 Point;
-	typedef typename CGAL::Polyhedron_incremental_builder_3<HDS> builder;
-	Point m_points[8];
+        typedef typename Kernel::Point_3 Point;
+        typedef typename CGAL::Polyhedron_incremental_builder_3<HDS> builder;
+        Point m_points[8];
 
 public:
 
-	// life cycle
-	CModifierBar(Point points[8])
-	{
-		for(int i=0;i<8;i++)
-			m_points[i] = points[i];
-	}
-	~CModifierBar() {}
-
-	void operator()( HDS& hds)
-	{
-		builder B(hds,true);
-		B.begin_surface(3,1,6);
-		
-		for(int i=0;i<8;i++)
-			B.add_vertex(m_points[i]);
-
-		B.begin_facet();
-			B.add_vertex_to_facet(0);
-			B.add_vertex_to_facet(1);
-			B.add_vertex_to_facet(2);
-			B.add_vertex_to_facet(3);
-		B.end_facet();
-
-		B.begin_facet();
-			B.add_vertex_to_facet(0);
-			B.add_vertex_to_facet(4);
-			B.add_vertex_to_facet(5);
-			B.add_vertex_to_facet(1);
-		B.end_facet();
-
-		B.begin_facet();
-			B.add_vertex_to_facet(1);
-			B.add_vertex_to_facet(5);
-			B.add_vertex_to_facet(6);
-			B.add_vertex_to_facet(2);
-		B.end_facet();
-
-		B.begin_facet();
-			B.add_vertex_to_facet(2);
-			B.add_vertex_to_facet(6);
-			B.add_vertex_to_facet(7);
-			B.add_vertex_to_facet(3);
-		B.end_facet();
-
-		B.begin_facet();
-			B.add_vertex_to_facet(3);
-			B.add_vertex_to_facet(7);
-			B.add_vertex_to_facet(4);
-			B.add_vertex_to_facet(0);
-		B.end_facet();
-
-		B.begin_facet();
-			B.add_vertex_to_facet(4);
-			B.add_vertex_to_facet(7);
-			B.add_vertex_to_facet(6);
-			B.add_vertex_to_facet(5);
-		B.end_facet();
+        // life cycle
+        CModifierBar(Point points[8])
+        {
+                for(int i=0;i<8;i++)
+                        m_points[i] = points[i];
+        }
+        ~CModifierBar() {}
+
+        void operator()( HDS& hds)
+        {
+                builder B(hds,true);
+                B.begin_surface(3,1,6);
+
+                for(int i=0;i<8;i++)
+                        B.add_vertex(m_points[i]);
+
+                B.begin_facet();
+                        B.add_vertex_to_facet(0);
+                        B.add_vertex_to_facet(1);
+                        B.add_vertex_to_facet(2);
+                        B.add_vertex_to_facet(3);
+                B.end_facet();
+
+                B.begin_facet();
+                        B.add_vertex_to_facet(0);
+                        B.add_vertex_to_facet(4);
+                        B.add_vertex_to_facet(5);
+                        B.add_vertex_to_facet(1);
+                B.end_facet();
+
+                B.begin_facet();
+                        B.add_vertex_to_facet(1);
+                        B.add_vertex_to_facet(5);
+                        B.add_vertex_to_facet(6);
+                        B.add_vertex_to_facet(2);
+                B.end_facet();
+
+                B.begin_facet();
+                        B.add_vertex_to_facet(2);
+                        B.add_vertex_to_facet(6);
+                        B.add_vertex_to_facet(7);
+                        B.add_vertex_to_facet(3);
+                B.end_facet();
+
+                B.begin_facet();
+                        B.add_vertex_to_facet(3);
+                        B.add_vertex_to_facet(7);
+                        B.add_vertex_to_facet(4);
+                        B.add_vertex_to_facet(0);
+                B.end_facet();
+
+                B.begin_facet();
+                        B.add_vertex_to_facet(4);
+                        B.add_vertex_to_facet(7);
+                        B.add_vertex_to_facet(6);
+                        B.add_vertex_to_facet(5);
+                B.end_facet();
 
-		B.end_surface();
-	}
+                B.end_surface();
+        }
 };
 
 template <class Polyhedron,class Kernel>
 class Make_bar
 {
 public:
-	typedef typename Polyhedron::HalfedgeDS HalfedgeDS;
-	typedef typename Kernel::Point_3 Point;
-	Make_bar() {}
-	~Make_bar() {}
+        typedef typename Polyhedron::HalfedgeDS HalfedgeDS;
+        typedef typename Kernel::Point_3 Point;
+        Make_bar() {}
+        ~Make_bar() {}
 
 public:
-	void run(Point points[8],
-		 Polyhedron &output)
-	{
-		CModifierBar<HalfedgeDS,Polyhedron,Kernel> bar(points);
-		output.delegate(bar);
-	}
+        void run(Point points[8],
+                 Polyhedron &output)
+        {
+                CModifierBar<HalfedgeDS,Polyhedron,Kernel> bar(points);
+                output.delegate(bar);
+        }
 };
 
 #endif // _MAKE_BAR_
diff -pruN 5.0.2-3/demo/Polyhedron/include/CGAL/Make_quad_soup.h 5.0.3-1/demo/Polyhedron/include/CGAL/Make_quad_soup.h
--- 5.0.2-3/demo/Polyhedron/include/CGAL/Make_quad_soup.h	2020-02-21 20:04:00.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/CGAL/Make_quad_soup.h	2020-08-01 19:02:45.000000000 +0000
@@ -7,61 +7,61 @@ template <class HDS,class Polyhedron,cla
 class CModifierQuadSoup : public CGAL::Modifier_base<HDS>
 {
 private:
-	typedef typename Kernel::Point_3 Point;
-	typedef typename CGAL::Polyhedron_incremental_builder_3<HDS> builder;
-	InputIterator m_begin, m_end;
+        typedef typename Kernel::Point_3 Point;
+        typedef typename CGAL::Polyhedron_incremental_builder_3<HDS> builder;
+        InputIterator m_begin, m_end;
 
 public:
 
-	// life cycle
-	CModifierQuadSoup(InputIterator begin,InputIterator end)
-		: m_begin(begin), m_end(end)
-	{
-	}
-	~CModifierQuadSoup() {}
-
-	// make a quad soup
-	void operator()( HDS& hds)
-	{
-		builder B(hds,true);
-		B.begin_surface(4,1,8);
-
-		int index = 0;
-		InputIterator it;
-		for(it = m_begin; it != m_end;)
-		{
-			B.add_vertex(*it++);
-			B.add_vertex(*it++);
-			B.add_vertex(*it++);
-			B.add_vertex(*it++);
-
-			B.begin_facet();
-				B.add_vertex_to_facet(index++);
-				B.add_vertex_to_facet(index++);
-				B.add_vertex_to_facet(index++);
-				B.add_vertex_to_facet(index++);
-			B.end_facet();
-		}
-		B.end_surface();
-	}
+        // life cycle
+        CModifierQuadSoup(InputIterator begin,InputIterator end)
+                : m_begin(begin), m_end(end)
+        {
+        }
+        ~CModifierQuadSoup() {}
+
+        // make a quad soup
+        void operator()( HDS& hds)
+        {
+                builder B(hds,true);
+                B.begin_surface(4,1,8);
+
+                int index = 0;
+                InputIterator it;
+                for(it = m_begin; it != m_end;)
+                {
+                        B.add_vertex(*it++);
+                        B.add_vertex(*it++);
+                        B.add_vertex(*it++);
+                        B.add_vertex(*it++);
+
+                        B.begin_facet();
+                                B.add_vertex_to_facet(index++);
+                                B.add_vertex_to_facet(index++);
+                                B.add_vertex_to_facet(index++);
+                                B.add_vertex_to_facet(index++);
+                        B.end_facet();
+                }
+                B.end_surface();
+        }
 };
 
 template <class Polyhedron,class Kernel,class InputIterator>
 class Make_quad_soup
 {
 public:
-	typedef typename Polyhedron::HalfedgeDS HalfedgeDS;
-	Make_quad_soup() {}
-	~Make_quad_soup() {}
+        typedef typename Polyhedron::HalfedgeDS HalfedgeDS;
+        Make_quad_soup() {}
+        ~Make_quad_soup() {}
 
 public:
-	void run(InputIterator begin,
-		 InputIterator end,
-		 Polyhedron &output)
-	{
-		CModifierQuadSoup<HalfedgeDS,Polyhedron,Kernel,InputIterator> soup(begin,end);
-		output.delegate(soup);
-	}
+        void run(InputIterator begin,
+                 InputIterator end,
+                 Polyhedron &output)
+        {
+                CModifierQuadSoup<HalfedgeDS,Polyhedron,Kernel,InputIterator> soup(begin,end);
+                output.delegate(soup);
+        }
 };
 
 #endif // _MAKE_QUAD_SOUP_
diff -pruN 5.0.2-3/demo/Polyhedron/include/CGAL/Make_triangle_soup.h 5.0.3-1/demo/Polyhedron/include/CGAL/Make_triangle_soup.h
--- 5.0.2-3/demo/Polyhedron/include/CGAL/Make_triangle_soup.h	2020-02-21 20:04:00.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/CGAL/Make_triangle_soup.h	2020-08-01 19:02:45.000000000 +0000
@@ -5,7 +5,7 @@
 #include <CGAL/Polyhedron_incremental_builder_3.h>
 
 template<class Datum, class Polyhedron, class Kernel>
-struct CModifierTriangleSoupVertexMapper 
+struct CModifierTriangleSoupVertexMapper
 { };
 
 template<class Polyhedron, class Kernel>
diff -pruN 5.0.2-3/demo/Polyhedron/include/CGAL/Polyhedron_kernel.h 5.0.3-1/demo/Polyhedron/include/CGAL/Polyhedron_kernel.h
--- 5.0.2-3/demo/Polyhedron/include/CGAL/Polyhedron_kernel.h	2020-02-21 20:04:00.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/CGAL/Polyhedron_kernel.h	2020-08-01 19:02:45.000000000 +0000
@@ -7,10 +7,10 @@
 // If you do not know an interior point for the halfspaces, use linear programming
 // to find one. Assume, n halfspaces defined by: aj*x1+bj*x2+cj*x3+dj>=0, j=1..n.
 // Perform the following linear program:
-//		max(x5) aj*x1+bj*x2+cj*x3+dj*x4-x5>=0, j=1..n
+//                max(x5) aj*x1+bj*x2+cj*x3+dj*x4-x5>=0, j=1..n
 
 // Then, if [x1,x2,x3,x4,x5] is an optimal m_solution with x4,x5>0 we get:
-//		aj*(x1/x4)+bj*(x2/x4)+cj*(x3/x4)+dj>=(x5/x4)>0, j=1..n
+//                aj*(x1/x4)+bj*(x2/x4)+cj*(x3/x4)+dj>=(x5/x4)>0, j=1..n
 // and conclude that the point [x1/x4,x2/x4,x3/x4] is in the interior of all
 // the halfspaces. Note that x5 is optimal, so this point is "way in" the
 // interior (good for precision errors).
@@ -33,133 +33,133 @@ template <class Kernel, class ET>
 class Polyhedron_kernel
 {
 private:
-	// basic types
-	typedef typename Kernel::FT FT;
-	typedef typename Kernel::Point_3 Point;
-	typedef typename Kernel::Plane_3 Plane;
-	typedef typename Kernel::Vector_3 Vector;
-	typedef typename Kernel::Triangle_3 Triangle;
-
-	// program and solution types
-	typedef CGAL::Quadratic_program<double> LP;
-	typedef typename CGAL::Quadratic_program_solution<ET> Solution;
-	typedef typename Solution::Variable_value_iterator Variable_value_iterator;
-
-	// linear program
-	Solution m_solution;
-	Point m_inside_point;
+        // basic types
+        typedef typename Kernel::FT FT;
+        typedef typename Kernel::Point_3 Point;
+        typedef typename Kernel::Plane_3 Plane;
+        typedef typename Kernel::Vector_3 Vector;
+        typedef typename Kernel::Triangle_3 Triangle;
+
+        // program and solution types
+        typedef CGAL::Quadratic_program<double> LP;
+        typedef typename CGAL::Quadratic_program_solution<ET> Solution;
+        typedef typename Solution::Variable_value_iterator Variable_value_iterator;
+
+        // linear program
+        Solution m_solution;
+        Point m_inside_point;
 
 public:
-	Polyhedron_kernel() {}
-	~Polyhedron_kernel() {}
+        Polyhedron_kernel() {}
+        ~Polyhedron_kernel() {}
 
 public:
-	Point& inside_point() { return m_inside_point; }
-	const Point& inside_point() const { return m_inside_point; }
-	unsigned int number_of_iterations() { return m_solution.number_of_iterations(); }
+        Point& inside_point() { return m_inside_point; }
+        const Point& inside_point() const { return m_inside_point; }
+        unsigned int number_of_iterations() { return m_solution.number_of_iterations(); }
 
 public:
 
-	template < class InputIterator >
-	bool solve(InputIterator begin, InputIterator end)
-	{
-		// solve linear program with constraints Ax >= b
-		LP lp(CGAL::LARGER,false);
-
-		// column indices
-		const int index_x1 = 0;
-		const int index_x2 = 1;
-		const int index_x3 = 2;
-		const int index_x4 = 3;
-
-		int j = 0;
-		InputIterator it;
-		for(it = begin; it != end; it++, j++)
-		{
-			const Triangle& triangle = *it;
-			const Point& a = triangle[0];
-			const Point& b = triangle[1];
-			const Point& c = triangle[2];
-			Plane plane(a,c,b); // note a c b to get inward normal
-
-			Vector normal = unit_normal(plane);
-			FT aj = normal.x();
-			FT bj = normal.y();
-			FT cj = normal.z();
-
-			// constraint (line j): aj * x1 + bj * x2 + cj * x3 - x4 >= -dj
-			lp.set_a(index_x1, j, aj);   // aj * x1
-			lp.set_a(index_x2, j, bj);   // bj * x2
-			lp.set_a(index_x3, j, cj);   // cj * x3
-			lp.set_a(index_x4, j, -1.0); // -x4
-
-			// right hand side (>= -dj)
-			FT dj = distance_to_origin(plane) * CGAL::sign(plane.d());
-			lp.set_b(j, -dj);  
-		}
-
-		// objective function -> max x4 (negative sign set because 
-		// the lp solver always minimizes an objective function)
-		lp.set_c(index_x4,-1.0);
-
-		// add constraints over x4 (>= 0). somewhat redundant 
-		// constraint as we later test for x4 > 0
-		lp.set_l(index_x4,true,0.0); 
-
-		// solve the linear program
-		m_solution = CGAL::solve_linear_program(lp, ET());
-
-		if(m_solution.is_infeasible())
-			return false;
-
-		if(!m_solution.is_optimal())
-			return false;
-
-		// get variables
-		Variable_value_iterator X = m_solution.variable_values_begin();
-
-		// Problem: X[0], X[1], ..., X[3] are proxy objects from
-		// boost::facade_iterator. Those proxy objects are of type
-		// operator_brackets_proxy<Variable_value_iterator>, which
-		// is castable to a number type. In CGAL::to_double, the
-		// automatic selection of a Real_embeddable_traits does not
-		// work with such proxy objects (whose type is not
-		// recognized). That is why we need to select the
-		// Real_embeddable_traits manually, and create a functor
-		// to_double manually. 	     -- Laurent Rineau, 2008/09/04
-		typedef CGAL::Real_embeddable_traits<typename Variable_value_iterator::value_type> RE_traits;
-		typename RE_traits::To_double to_double;
-
-		// solution if x4 > 0
-		double x4 = to_double(X[3]);
-		if(x4 <= 0.0)
-			return false;
-
-		// define inside point as (x1;x2;x3)
-		double x1 = to_double(X[0]); 
-		double x2 = to_double(X[1]);
-		double x3 = to_double(X[2]);
-		m_inside_point = Point(x1,x2,x3);
-
-		return true;
-	}
-
-	Vector unit_normal(const Plane& plane)
-	{
-		Vector n = plane.orthogonal_vector();
-		return n / std::sqrt(n * n);
-	}
-
-	FT distance_to_origin(const Plane& plane)
-	{
-		return std::sqrt(CGAL::squared_distance(Point(CGAL::ORIGIN),plane));
-	}
+        template < class InputIterator >
+        bool solve(InputIterator begin, InputIterator end)
+        {
+                // solve linear program with constraints Ax >= b
+                LP lp(CGAL::LARGER,false);
+
+                // column indices
+                const int index_x1 = 0;
+                const int index_x2 = 1;
+                const int index_x3 = 2;
+                const int index_x4 = 3;
+
+                int j = 0;
+                InputIterator it;
+                for(it = begin; it != end; it++, j++)
+                {
+                        const Triangle& triangle = *it;
+                        const Point& a = triangle[0];
+                        const Point& b = triangle[1];
+                        const Point& c = triangle[2];
+                        Plane plane(a,c,b); // note a c b to get inward normal
+
+                        Vector normal = unit_normal(plane);
+                        FT aj = normal.x();
+                        FT bj = normal.y();
+                        FT cj = normal.z();
+
+                        // constraint (line j): aj * x1 + bj * x2 + cj * x3 - x4 >= -dj
+                        lp.set_a(index_x1, j, aj);   // aj * x1
+                        lp.set_a(index_x2, j, bj);   // bj * x2
+                        lp.set_a(index_x3, j, cj);   // cj * x3
+                        lp.set_a(index_x4, j, -1.0); // -x4
+
+                        // right hand side (>= -dj)
+                        FT dj = distance_to_origin(plane) * CGAL::sign(plane.d());
+                        lp.set_b(j, -dj);
+                }
+
+                // objective function -> max x4 (negative sign set because
+                // the lp solver always minimizes an objective function)
+                lp.set_c(index_x4,-1.0);
+
+                // add constraints over x4 (>= 0). somewhat redundant
+                // constraint as we later test for x4 > 0
+                lp.set_l(index_x4,true,0.0);
+
+                // solve the linear program
+                m_solution = CGAL::solve_linear_program(lp, ET());
+
+                if(m_solution.is_infeasible())
+                        return false;
+
+                if(!m_solution.is_optimal())
+                        return false;
+
+                // get variables
+                Variable_value_iterator X = m_solution.variable_values_begin();
+
+                // Problem: X[0], X[1], ..., X[3] are proxy objects from
+                // boost::facade_iterator. Those proxy objects are of type
+                // operator_brackets_proxy<Variable_value_iterator>, which
+                // is castable to a number type. In CGAL::to_double, the
+                // automatic selection of a Real_embeddable_traits does not
+                // work with such proxy objects (whose type is not
+                // recognized). That is why we need to select the
+                // Real_embeddable_traits manually, and create a functor
+                // to_double manually.              -- Laurent Rineau, 2008/09/04
+                typedef CGAL::Real_embeddable_traits<typename Variable_value_iterator::value_type> RE_traits;
+                typename RE_traits::To_double to_double;
+
+                // solution if x4 > 0
+                double x4 = to_double(X[3]);
+                if(x4 <= 0.0)
+                        return false;
+
+                // define inside point as (x1;x2;x3)
+                double x1 = to_double(X[0]);
+                double x2 = to_double(X[1]);
+                double x3 = to_double(X[2]);
+                m_inside_point = Point(x1,x2,x3);
+
+                return true;
+        }
+
+        Vector unit_normal(const Plane& plane)
+        {
+                Vector n = plane.orthogonal_vector();
+                return n / std::sqrt(n * n);
+        }
+
+        FT distance_to_origin(const Plane& plane)
+        {
+                return std::sqrt(CGAL::squared_distance(Point(CGAL::ORIGIN),plane));
+        }
 
 };
 
 template <class Polyhedron, class OutputIterator>
 void get_triangles(Polyhedron& polyhedron,
-		   OutputIterator out)
+                   OutputIterator out)
 {
   typedef typename boost::graph_traits<Polyhedron>::face_descriptor face_descriptor;
   typedef typename boost::graph_traits<Polyhedron>::halfedge_descriptor halfedge_descriptor;
diff -pruN 5.0.2-3/demo/Polyhedron/include/CGAL/statistics_helpers.h 5.0.3-1/demo/Polyhedron/include/CGAL/statistics_helpers.h
--- 5.0.2-3/demo/Polyhedron/include/CGAL/statistics_helpers.h	2020-02-21 20:04:01.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/CGAL/statistics_helpers.h	2020-08-01 19:02:45.000000000 +0000
@@ -24,7 +24,7 @@ struct Angles_test_with_set
   const Set& set;
   typedef typename Set::value_type value_type;
   Angles_test_with_set(const Set& set):set(set) {}
-  
+
   bool operator()(const value_type& f)
   {
     return (set.find(f) == set.end());
diff -pruN 5.0.2-3/demo/Polyhedron/include/CGAL/Textured_polyhedron_builder.h 5.0.3-1/demo/Polyhedron/include/CGAL/Textured_polyhedron_builder.h
--- 5.0.2-3/demo/Polyhedron/include/CGAL/Textured_polyhedron_builder.h	2020-02-21 20:04:01.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/CGAL/Textured_polyhedron_builder.h	2020-08-01 19:02:45.000000000 +0000
@@ -76,7 +76,7 @@ public:
       HF_circulator he = it->facet_begin();
       HF_circulator end = he;
       CGAL_For_all(he,end)
-	B.add_vertex_to_facet(m_vertex_map[he->vertex()]);
+        B.add_vertex_to_facet(m_vertex_map[he->vertex()]);
       B.end_facet();
     }
   }
diff -pruN 5.0.2-3/demo/Polyhedron/include/CGAL/textured_polyhedron.h 5.0.3-1/demo/Polyhedron/include/CGAL/textured_polyhedron.h
--- 5.0.2-3/demo/Polyhedron/include/CGAL/textured_polyhedron.h	2020-02-21 20:04:01.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/CGAL/textured_polyhedron.h	2020-08-01 19:02:45.000000000 +0000
@@ -33,7 +33,7 @@ public:
     Normal_3& normal() { return m_normal; }
     const Normal_3& normal() const { return m_normal; }
     // id
-    std::size_t& id() {	return m_id; }
+    std::size_t& id() {        return m_id; }
     const std::size_t& id() const { return m_id; }
 };
 
@@ -49,13 +49,13 @@ public:
     {
     }
     // u,v coordinates
-    double& u() {	return m_u; }
-    const double& u() const { return m_u;	}
-    double& v() {	return m_v; }
-    const double& v() const { return m_v;	}
+    double& u() {        return m_u; }
+    const double& u() const { return m_u;        }
+    double& v() {        return m_v; }
+    const double& v() const { return m_v;        }
     // id
-    std::size_t& id() {	return m_id; }
-    const std::size_t& id() const { return m_id;	}
+    std::size_t& id() {        return m_id; }
+    const std::size_t& id() const { return m_id;        }
 
 
 };
@@ -85,13 +85,13 @@ public:
     const Normal_3& normal() const { return m_normal; }
 
     // u,v coordinates
-    double& u() {	return m_u; }
-    const double& u() const { return m_u;	}
-    double& v() {	return m_v; }
-    const double& v() const { return m_v;	}
+    double& u() {        return m_u; }
+    const double& u() const { return m_u;        }
+    double& v() {        return m_v; }
+    const double& v() const { return m_v;        }
     // id
-    std::size_t& id() {	return m_id; }
-    const std::size_t& id() const { return m_id;	}
+    std::size_t& id() {        return m_id; }
+    const std::size_t& id() const { return m_id;        }
 };
 
 struct Textured_items : public CGAL::Polyhedron_items_3
@@ -130,7 +130,7 @@ struct Textured_items : public CGAL::Pol
     };
 };
 
-// compute facet normal 
+// compute facet normal
 struct Facet_normal // (functor)
 {
     template<class Facet> void operator()(Facet& f)
@@ -153,7 +153,7 @@ struct Facet_normal // (functor)
     }
 };
 
-// compute vertex normal 
+// compute vertex normal
 struct Vertex_normal // (functor)
 {
     template<class Vertex> void operator()(Vertex& v)
diff -pruN 5.0.2-3/demo/Polyhedron/include/CGAL/translate.h 5.0.3-1/demo/Polyhedron/include/CGAL/translate.h
--- 5.0.2-3/demo/Polyhedron/include/CGAL/translate.h	2020-02-21 20:04:01.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/CGAL/translate.h	2020-08-01 19:02:45.000000000 +0000
@@ -5,7 +5,7 @@
 
 template <class Polyhedron, class Kernel>
 void translate(Polyhedron& polyhedron,
-	       const typename Kernel::Vector_3& translate)
+               const typename Kernel::Vector_3& translate)
 {
   typename Polyhedron::Vertex_iterator v;
   for(v = polyhedron.vertices_begin();
diff -pruN 5.0.2-3/demo/Polyhedron/include/CGAL/Triangulation_file_input.h 5.0.3-1/demo/Polyhedron/include/CGAL/Triangulation_file_input.h
--- 5.0.2-3/demo/Polyhedron/include/CGAL/Triangulation_file_input.h	2020-02-21 20:04:01.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/CGAL/Triangulation_file_input.h	2020-08-01 19:02:45.000000000 +0000
@@ -12,8 +12,8 @@
 // This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 // WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/demo/Polyhedron/include/CGAL/Triangulation_file_input.h $
-// $Id: Triangulation_file_input.h d0e86aa 2017-04-11T17:06:45+02:00 Mael Rouxel-Labbé
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/demo/Polyhedron/include/CGAL/Triangulation_file_input.h $
+// $Id: Triangulation_file_input.h 590612a 2020-03-26T13:25:16+01:00 Sébastien Loriot
 //
 // Author(s)     : Laurent Rineau
 //
@@ -28,7 +28,7 @@
 
 namespace CGAL {
 
-template <typename Tr1, 
+template <typename Tr1,
           typename Tr2,
           typename Update_vertex,
           typename Update_cell>
diff -pruN 5.0.2-3/demo/Polyhedron/include/id_printing.h 5.0.3-1/demo/Polyhedron/include/id_printing.h
--- 5.0.2-3/demo/Polyhedron/include/id_printing.h	2020-02-21 20:04:01.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/id_printing.h	2020-08-01 19:02:45.000000000 +0000
@@ -454,7 +454,7 @@ bool printEdgeIds(const Mesh& mesh,
   QFont font;
   font.setBold(true);
   font.setPointSize(POINT_SIZE);
-  
+
   for(typename boost::graph_traits<Mesh>::edge_descriptor e : edges(mesh))
   {
     const Point& p1 = get(ppmap, source(e, mesh));
diff -pruN 5.0.2-3/demo/Polyhedron/include/Point_set_3.h 5.0.3-1/demo/Polyhedron/include/Point_set_3.h
--- 5.0.2-3/demo/Polyhedron/include/Point_set_3.h	2020-02-21 20:04:01.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/Point_set_3.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/demo/Polyhedron/include/Point_set_3.h $
-// $Id: Point_set_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/demo/Polyhedron/include/Point_set_3.h $
+// $Id: Point_set_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -44,7 +44,7 @@ template <class Gt>
 class Point_set_3 : public CGAL::Point_set_3<typename Gt::Point_3,
                                              typename Gt::Vector_3>
 {
-  
+
 public:
 
   typedef Gt  Geom_traits; ///< Geometric traits class.
@@ -60,14 +60,14 @@ public:
   typedef typename Base::iterator iterator;
   typedef typename Base::const_iterator const_iterator;
   typedef typename Base::Index Index;
-  
+
   // Classic CGAL geometric types
 
   typedef typename Base::template Property_map<double> Double_map;
   typedef typename Base::template Property_map<unsigned char> Byte_map;
-  
+
 private:
-  
+
   // Indicate if m_barycenter, m_bounding_box, m_bounding_sphere and
   // m_diameter_standard_deviation below are valid.
   mutable bool m_bounding_box_is_valid;
@@ -85,10 +85,10 @@ private:
   Double_map m_fred;
   Double_map m_fgreen;
   Double_map m_fblue;
-  
+
   mutable CGAL::Iterator_range<const_iterator> m_const_range;
   CGAL::Iterator_range<iterator> m_range;
-  
+
   // Assignment operator not implemented and declared private to make
   // sure nobody uses the default one without knowing it
   Point_set_3& operator= (const Point_set_3&)
@@ -96,9 +96,9 @@ private:
     return *this;
   }
 
-  
+
 public:
-  
+
   Point_set_3 ()
     : m_const_range (begin(), end())
     , m_range (begin(), end())
@@ -107,7 +107,7 @@ public:
     m_radii_are_uptodate = false;
   }
 
-  // copy constructor 
+  // copy constructor
   Point_set_3 (const Point_set_3& p)
     : Base (p)
     , m_const_range (begin(), end())
@@ -131,7 +131,7 @@ public:
   {
     this->cancel_removals();
   }
-  
+
   bool add_radius()
   {
     bool out = false;
@@ -144,7 +144,7 @@ public:
   bool check_colors()
   {
     bool found = false;
-    
+
     boost::tie (m_red, found) = this->template property_map<unsigned char>("red");
     if (!found)
       {
@@ -205,10 +205,10 @@ public:
   bool get_las_colors()
   {
     bool found = false;
-    
+
     typedef typename Base::template Property_map<unsigned short> Ushort_map;
     Ushort_map red, green, blue;
-    
+
     boost::tie (red, found) = this->template property_map<unsigned short>("R");
     if (!found)
       return false;
@@ -243,7 +243,7 @@ public:
     this->remove_property_map(red);
     this->remove_property_map(green);
     this->remove_property_map(blue);
-    
+
     return true;
   }
 
@@ -261,14 +261,14 @@ public:
   {
     if (has_colors())
       return false;
-    
+
     m_red = this->template add_property_map<unsigned char>("red", 0).first;
     m_green = this->template add_property_map<unsigned char>("green", 0).first;
     m_blue = this->template add_property_map<unsigned char>("blue", 0).first;
 
     return true;
   }
-  
+
   void remove_colors()
   {
     if (m_blue != Byte_map())
@@ -291,7 +291,7 @@ public:
   { return (m_green == Byte_map()) ? m_fgreen[index]  : double(m_green[index]) / 255.; }
   double blue (const Index& index) const
   { return (m_blue == Byte_map()) ? m_fblue[index]  : double(m_blue[index]) / 255.; }
-  
+
   void set_color (const Index& index, unsigned char r = 0, unsigned char g = 0, unsigned char b = 0)
   {
     m_red[index] = r;
@@ -313,8 +313,8 @@ public:
     m_green[index] = color[1];
     m_blue[index] = color[2];
   }
-    
-  
+
+
   iterator first_selected() { return this->m_indices.end() - this->m_nb_removed; }
   const_iterator first_selected() const { return this->m_indices.end() - this->m_nb_removed; }
   void set_first_selected(iterator it)
@@ -348,7 +348,7 @@ public:
   {
     return this->is_removed (it);
   }
-  
+
   // Test if point is selected
   bool is_selected(const Index& idx) const
   {
@@ -396,7 +396,7 @@ public:
 
     while (sel != first - 1 && unsel != first)
       std::swap (*(sel --), *(unsel ++));
-    
+
     this->m_nb_removed = size() - this->m_nb_removed;
   }
 
@@ -492,10 +492,10 @@ public:
   {
     m_bounding_box_is_valid = false;
   }
-  
+
   bool are_radii_uptodate() const { return m_radii_are_uptodate; }
   void set_radii_uptodate(bool /*on*/) { m_radii_are_uptodate = false; }
-  
+
   CGAL::Named_function_parameters
   <Kernel,
    CGAL::internal_np::geom_traits_t,
@@ -530,7 +530,7 @@ private:
     for (const_iterator it = begin(); it != end(); it++)
     {
       const Point& p = this->point(*it);
-      
+
       // update bbox
       xmin = (std::min)(p.x(),xmin);
       ymin = (std::min)(p.y(),ymin);
@@ -572,7 +572,7 @@ private:
 
     m_bounding_box_is_valid = true;
   }
-  
+
 }; // end of class Point_set_3
 
 namespace CGAL
@@ -585,7 +585,7 @@ namespace Point_set_processing_3
   public:
     typedef typename Kernel::FT type;
   };
-  
+
   namespace parameters
   {
     template <typename Kernel>
diff -pruN 5.0.2-3/demo/Polyhedron/include/Progress_bar_callback.h 5.0.3-1/demo/Polyhedron/include/Progress_bar_callback.h
--- 5.0.2-3/demo/Polyhedron/include/Progress_bar_callback.h	2020-02-21 20:04:01.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/Progress_bar_callback.h	2020-08-01 19:02:45.000000000 +0000
@@ -19,13 +19,13 @@ struct Progress_bar_callback
   {
     if (title != NULL)
       std::cerr << title << std::endl;
-    
+
     timer.start();
     t_start = timer.time();
     t_start_estimate = 0.;
     t_latest = t_start;
   }
-  
+
   bool operator()(double advancement) const
   {
     // Avoid calling time() at every single iteration, which could
@@ -40,7 +40,7 @@ struct Progress_bar_callback
     {
       if (advancement != 0. && t_start_estimate == 0.)
         t_start_estimate = t_latest;
-      
+
       std::ostringstream oss;
       oss << "[";
       int adv = int(advancement * bar_size);
@@ -50,7 +50,7 @@ struct Progress_bar_callback
         oss << ">";
       for (int i = adv; i < bar_size; ++ i)
         oss << " ";
-      
+
       oss << "] " << int(advancement * 100) << "% (";
 
       display_time (oss, t);
@@ -58,15 +58,15 @@ struct Progress_bar_callback
       oss << " elapsed, ";
 
       display_time (oss, estimate_remaining(t, advancement));
-      
+
       oss << " remaining)";
-      
+
       std::string bar_string = oss.str();
       std::cerr << "\r" << bar_string;
       for (std::size_t i = bar_string.size(); i < string_size; ++ i)
         std::cerr << " ";
       string_size = (std::max) (string_size, bar_string.size());
-      
+
       t_latest = t;
 
       if (advancement == 1)
@@ -85,15 +85,15 @@ struct Progress_bar_callback
     }
     if (seconds > 3600.)
       {
-	int hours = int(seconds / 3600.);
-	oss << hours << "h";
-	seconds -= hours * 3600.;
+        int hours = int(seconds / 3600.);
+        oss << hours << "h";
+        seconds -= hours * 3600.;
       }
     if (seconds > 60.)
       {
-	int minutes = (int)(seconds / 60.);
-	oss << minutes << "min";
-	seconds -= minutes * 60.;
+        int minutes = (int)(seconds / 60.);
+        oss << minutes << "min";
+        seconds -= minutes * 60.;
       }
     oss << int(seconds) << "sec";
   }
@@ -102,7 +102,7 @@ struct Progress_bar_callback
   {
     if (advancement == 0.)
       return std::numeric_limits<double>::infinity();
-    
+
     return ((1. - advancement) * (seconds - t_start_estimate) / advancement);
   }
 };
diff -pruN 5.0.2-3/demo/Polyhedron/include/QMultipleInputDialog.h 5.0.3-1/demo/Polyhedron/include/QMultipleInputDialog.h
--- 5.0.2-3/demo/Polyhedron/include/QMultipleInputDialog.h	2020-02-21 20:04:01.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/QMultipleInputDialog.h	2020-08-01 19:02:45.000000000 +0000
@@ -16,8 +16,8 @@ class QMultipleInputDialog
   QDialog* dialog;
   QFormLayout* form;
   std::map<std::string, QWidget*> map_widgets;
-  
-  
+
+
 public:
   QMultipleInputDialog (const char* name, QWidget* parent)
   {
@@ -34,7 +34,7 @@ public:
   QObjectType* add (const char* name, const char* key = NULL)
   {
     QObjectType* out = NULL;
-        
+
     if (boost::is_same<QObjectType, QRadioButton>::value)
     {
       out = dynamic_cast<QObjectType*>(new QRadioButton (QString(name), dialog));
@@ -45,7 +45,7 @@ public:
       out = new QObjectType (dialog);
       form->addRow (QString(name), out);
     }
-    
+
     if (key != NULL)
       map_widgets.insert (std::make_pair (key, out));
 
@@ -59,7 +59,7 @@ public:
       found = map_widgets.find (key);
     if (found == map_widgets.end())
       return NULL;
-    
+
     QWidget* widget_out = found->second;
     return qobject_cast<QObjectType*>(widget_out);
   }
@@ -69,19 +69,19 @@ public:
     QDialogButtonBox* oknotok = new QDialogButtonBox
       (QDialogButtonBox::Ok | QDialogButtonBox::Cancel,
        Qt::Horizontal, dialog);
-      
+
     form->addRow (oknotok);
     QObject::connect (oknotok, SIGNAL(accepted()), dialog, SLOT(accept()));
     QObject::connect (oknotok, SIGNAL(rejected()), dialog, SLOT(reject()));
 
     return dialog->exec();
   }
-  
+
   void exec_no_cancel()
   {
     QDialogButtonBox* ok = new QDialogButtonBox
       (QDialogButtonBox::Ok, Qt::Horizontal, dialog);
-      
+
     form->addRow (ok);
     QObject::connect (ok, SIGNAL(accepted()), dialog, SLOT(accept()));
     dialog->exec();
diff -pruN 5.0.2-3/demo/Polyhedron/include/Qt_progress_bar_callback.h 5.0.3-1/demo/Polyhedron/include/Qt_progress_bar_callback.h
--- 5.0.2-3/demo/Polyhedron/include/Qt_progress_bar_callback.h	2020-02-21 20:04:01.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/Qt_progress_bar_callback.h	2020-08-01 19:02:45.000000000 +0000
@@ -10,13 +10,13 @@ class Qt_progress_bar_callback
 {
 
 private:
-  
+
   CGAL::Real_timer timer;
   double t_start;
   mutable double t_latest;
 
   mutable std::size_t nb;
-  
+
   QProgressDialog* dialog;
 
 public:
@@ -24,7 +24,7 @@ public:
   Qt_progress_bar_callback()
   {
   }
-  
+
   Qt_progress_bar_callback(const char* title, QWidget* parent)
     : dialog (new QProgressDialog (QString(title),
                                    QString("Cancel"),
@@ -55,11 +55,11 @@ public:
     {
       dialog->setValue (int (100. * advancement));
       t_latest = t;
-      
+
       if (dialog->wasCanceled())
         return false;
     }
-    
+
     return true;
   }
 };
diff -pruN 5.0.2-3/demo/Polyhedron/include/run_with_qprogressdialog.h 5.0.3-1/demo/Polyhedron/include/run_with_qprogressdialog.h
--- 5.0.2-3/demo/Polyhedron/include/run_with_qprogressdialog.h	2020-02-21 20:04:01.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/run_with_qprogressdialog.h	2020-08-01 19:02:45.000000000 +0000
@@ -17,7 +17,7 @@ typedef CGAL::Sequential_tag Concurrency
 class Signal_callback
 {
 private:
-  
+
   CGAL::Real_timer timer;
   double t_start;
   mutable double t_latest;
@@ -45,9 +45,9 @@ public:
   {
     if (!state)
       return false;
-    
+
     *latest_adv = advancement;
-    
+
     // Avoid calling time() at every single iteration, which could
     // impact performances very badly
     ++ nb;
@@ -61,11 +61,11 @@ public:
       signaler->emit_signal (int (100. * advancement));
 
       t_latest = t;
-      
+
       if (signaler->is_canceled)
         *state = false;
     }
-    
+
     return *state;
   }
 
@@ -79,7 +79,7 @@ protected:
 public:
 
   Signal_callback* callback() { return m_callback.get(); }
-  
+
   Functor_with_signal_callback()
     : m_callback (new Signal_callback(true)) { }
 
@@ -106,9 +106,9 @@ void run_with_qprogressdialog (Functor&
                             0, 100,
                             mainWindow);
   progress.setMinimumDuration(0);
-  
+
   Signal_callback* signal_callback = functor.callback();
-    
+
   QEventLoop::connect (signal_callback->signaler.get(), SIGNAL(progressChanged(int)),
                        &progress, SLOT(setValue(int)));
   QEventLoop::connect (&progress, SIGNAL(canceled()),
@@ -125,7 +125,7 @@ void run_with_qprogressdialog (Functor&
       CGAL::cpp11::sleep_for (0.1);
       QApplication::processEvents ();
     }
-    
+
     thread.join();
   }
   else
@@ -134,7 +134,7 @@ void run_with_qprogressdialog (Functor&
     progress.setWindowModality(Qt::WindowModal);
     functor();
   }
-  
+
   mainWindow->setEnabled(true);
 }
 
diff -pruN 5.0.2-3/demo/Polyhedron/include/UI_point_3.h 5.0.3-1/demo/Polyhedron/include/UI_point_3.h
--- 5.0.2-3/demo/Polyhedron/include/UI_point_3.h	2020-02-21 20:04:01.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/include/UI_point_3.h	2020-08-01 19:02:45.000000000 +0000
@@ -33,7 +33,7 @@ private:
 public:
 
     /// Base class
-    typedef Base Point_with_normal; 
+    typedef Base Point_with_normal;
 
     // Repeat base class public types
     typedef Gt Geom_traits; ///< Geometric traits class.
diff -pruN 5.0.2-3/demo/Polyhedron/MainWindow.cpp 5.0.3-1/demo/Polyhedron/MainWindow.cpp
--- 5.0.2-3/demo/Polyhedron/MainWindow.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/MainWindow.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -158,9 +158,9 @@ MainWindow::MainWindow(const QStringList
   CGAL::Three::Three::s_mainviewer = viewer;
   viewer->setObjectName("mainViewer");
   viewer_window->showMaximized();
-  viewer_window->setWindowFlags( 
+  viewer_window->setWindowFlags(
         Qt::SubWindow
-        | Qt::CustomizeWindowHint 
+        | Qt::CustomizeWindowHint
         | Qt::WindowMaximizeButtonHint
         | Qt::WindowSystemMenuHint
         | Qt::WindowTitleHint
@@ -353,7 +353,7 @@ MainWindow::MainWindow(const QStringList
 
   // Load plugins, and re-enable actions that need it.
   operationSearchBar.setPlaceholderText("Filter...");
-  searchAction->setDefaultWidget(&operationSearchBar);  
+  searchAction->setDefaultWidget(&operationSearchBar);
   connect(&operationSearchBar, &QLineEdit::textChanged,
           this, [=](){filterOperations(true);});
   loadPlugins();
@@ -689,7 +689,7 @@ bool MainWindow::load_plugin(QString fil
     else{
       //qdebug << "error: " << qPrintable(loader.errorString());
       pluginsStatus_map[name] = loader.errorString();
-      
+
     }
     PathNames_map[name].push_back(fileinfo.absoluteDir().absolutePath());
     return true;
@@ -933,7 +933,7 @@ void MainWindow::viewerShow(float xmin,
 }
 
 void MainWindow::viewerShow(Viewer_interface* vi, float x, float y, float z) {
-  
+
   CGAL::qglviewer::ManipulatedCameraFrame backup_frame(*vi->camera()->frame());
   vi->camera()->fitSphere(CGAL::qglviewer::Vec(x, y, z),
                           vi->camera()->sceneRadius()/100);
@@ -991,7 +991,7 @@ void MainWindow::updateViewersBboxes(boo
 
 }
 
-void MainWindow::computeViewerBBox(CGAL::qglviewer::Vec& min, CGAL::qglviewer::Vec& max)
+void MainWindow::computeViewerBBox(CGAL::qglviewer::Vec& vmin, CGAL::qglviewer::Vec& vmax)
 {
   const Scene::Bbox bbox = scene->bbox();
   const double xmin = bbox.xmin();
@@ -1000,16 +1000,16 @@ void MainWindow::computeViewerBBox(CGAL:
   const double xmax = bbox.xmax();
   const double ymax = bbox.ymax();
   const double zmax = bbox.zmax();
-  
-  
-  
-  min = CGAL::qglviewer::Vec(xmin, ymin, zmin);
-  max= CGAL::qglviewer::Vec(xmax, ymax, zmax);
-  
+
+
+
+  vmin = CGAL::qglviewer::Vec(xmin, ymin, zmin);
+  vmax= CGAL::qglviewer::Vec(xmax, ymax, zmax);
+
   CGAL::qglviewer::Vec bbox_center((xmin+xmax)/2, (ymin+ymax)/2, (zmin+zmax)/2);
-  
+
   CGAL::qglviewer::Vec offset(0,0,0);
-  
+
   double l_dist = (std::max)((std::abs)(bbox_center.x - viewer->offset().x),
                              (std::max)((std::abs)(bbox_center.y - viewer->offset().y),
                                         (std::abs)(bbox_center.z - viewer->offset().z)));
@@ -1235,7 +1235,7 @@ void MainWindow::open(QString filename)
   settings.setValue("OFF open directory",
                     fileinfo.absoluteDir().absolutePath());
   loadItem(fileinfo, findLoader(load_pair.first), ok);
- 
+
   if(!ok)
     return;
   this->addToRecentFiles(fileinfo.absoluteFilePath());
@@ -1422,7 +1422,7 @@ void MainWindow::selectionChanged()
   {
     if(vi == NULL)
       continue;
-    
+
     if(item != NULL && item->manipulatable()) {
       vi->setManipulatedFrame(item->manipulatedFrame());
     } else {
@@ -1554,10 +1554,10 @@ void MainWindow::showSceneContextMenu(co
             }
             else if(action->text() == QString("Line Width"))
             {
-              menu_actions["line width"] = action->menu()->actions().last();
+              menu_actions["Line width"] = action->menu()->actions().last();
             }
           }
-          
+
         }
         Q_FOREACH(Scene::Item_id index, scene->selectionIndices())
         {
@@ -1590,7 +1590,7 @@ void MainWindow::showSceneContextMenu(co
                   )->value());
             slider->setOrientation(Qt::Horizontal);
             sliderAction->setDefaultWidget(slider);
-            
+
             connect(slider, &QSlider::valueChanged, [this, slider]()
             {
               Q_FOREACH(Scene::Item_id id, scene->selectionIndices())
@@ -1625,7 +1625,7 @@ void MainWindow::showSceneContextMenu(co
                   )->value());
             slider->setOrientation(Qt::Horizontal);
             sliderAction->setDefaultWidget(slider);
-            
+
             connect(slider, &QSlider::valueChanged, [this, slider]()
             {
               Q_FOREACH(Scene::Item_id id, scene->selectionIndices())
@@ -1660,7 +1660,7 @@ void MainWindow::showSceneContextMenu(co
                   )->value());
             slider->setOrientation(Qt::Horizontal);
             sliderAction->setDefaultWidget(slider);
-            
+
             connect(slider, &QSlider::valueChanged, [this, slider]()
             {
               Q_FOREACH(Scene::Item_id id, scene->selectionIndices())
@@ -1699,11 +1699,11 @@ void MainWindow::showSceneContextMenu(co
             slider->setValue(
                   qobject_cast<QSlider*>(
                     qobject_cast<QWidgetAction*>
-                    (menu_actions["line width"])->defaultWidget()
+                    (menu_actions["Line width"])->defaultWidget()
                   )->value());
             slider->setOrientation(Qt::Horizontal);
             sliderAction->setDefaultWidget(slider);
-            
+
             connect(slider, &QSlider::valueChanged, [this, slider]()
             {
               Q_FOREACH(Scene::Item_id id, scene->selectionIndices())
@@ -1938,7 +1938,7 @@ void MainWindow::on_actionLoad_triggered
       filters << filter;
     }
   }
-  
+
   QString directory = settings.value("OFF open directory",
                                      QDir::current().dirName()).toString();
 
@@ -1966,7 +1966,7 @@ void MainWindow::on_actionLoad_triggered
                     static_cast<unsigned>(nb_files),
                     std::back_inserter(colors_));
   std::size_t nb_item = -1;
-  
+
   Q_FOREACH(const QString& filename, dialog.selectedFiles()) {
 
     CGAL::Three::Scene_item* item = NULL;
@@ -2211,7 +2211,7 @@ void MainWindow::on_actionPreferences_tr
   QDialog dialog(this);
   Ui::PreferencesDialog prefdiag;
   prefdiag.setupUi(&dialog);
-  
+
   float lineWidth[2];
   if(!viewer->isOpenGL_4_3())
     viewer->glGetFloatv(GL_LINE_WIDTH_RANGE, lineWidth);
@@ -2222,22 +2222,22 @@ void MainWindow::on_actionPreferences_tr
   }
   prefdiag.linesHorizontalSlider->setMinimum(lineWidth[0]);
   prefdiag.linesHorizontalSlider->setMaximum(lineWidth[1]);
-  
+
   prefdiag.offset_updateCheckBox->setChecked(
         settings.value("offset_update", false).toBool());
   connect(prefdiag.offset_updateCheckBox, SIGNAL(toggled(bool)),
           scene, SLOT(enableVisibilityRecentering(bool)));
-  
+
   prefdiag.antialiasingCheckBox->setChecked(settings.value("antialiasing", false).toBool());
   connect(prefdiag.antialiasingCheckBox, SIGNAL(toggled(bool)),
           viewer, SLOT(setAntiAliasing(bool)));
-  
+
   prefdiag.quick_cameraCheckBox->setChecked(
         settings.value("quick_camera_mode", true).toBool());
   connect(prefdiag.quick_cameraCheckBox, SIGNAL(toggled(bool)),
           viewer, SLOT(setFastDrawing(bool)));
   prefdiag.max_itemsSpinBox->setValue(viewer->textRenderer()->getMax_textItems());
-  
+
   connect(prefdiag.max_itemsSpinBox,static_cast<void (QSpinBox::*)(int)>(&QSpinBox::valueChanged),
           this, [this](int i){
     setMaxTextItemsDisplayed(i);
@@ -2268,27 +2268,27 @@ void MainWindow::on_actionPreferences_tr
   });
   connect(prefdiag.background_colorPushButton, &QPushButton::clicked,
           this, &MainWindow::setBackgroundColor);
-  
+
   connect(prefdiag.default_save_asPushButton, &QPushButton::clicked,
           this, &MainWindow::setDefaultSaveDir);
-  
+
   connect(prefdiag.lightingPushButton, &QPushButton::clicked,
           this, &MainWindow::setLighting_triggered);
-  
+
   prefdiag.surface_meshComboBox->setCurrentText(CGAL::Three::Three::modeName(
                                                   CGAL::Three::Three::s_defaultSMRM));
   connect(prefdiag.surface_meshComboBox, &QComboBox::currentTextChanged,
           this, [this](const QString& text){
     this->s_defaultSMRM = CGAL::Three::Three::modeFromName(text);
   });
-  
+
   prefdiag.point_setComboBox->setCurrentText(CGAL::Three::Three::modeName(
                                                CGAL::Three::Three::s_defaultPSRM));
   connect(prefdiag.point_setComboBox, &QComboBox::currentTextChanged,
           this, [this](const QString& text){
     this->s_defaultPSRM = CGAL::Three::Three::modeFromName(text);
   });
-  
+
   std::vector<QTreeWidgetItem*> items;
   QBrush successBrush(Qt::green),
       errorBrush(Qt::red),
@@ -2362,7 +2362,7 @@ void MainWindow::on_actionPreferences_tr
       if (item->checkState(0)==Qt::Unchecked)
         plugin_blacklist.insert(item->text(1));
     }
-    
+
     //write settings
     settings.setValue("antialiasing",
                       prefdiag.antialiasingCheckBox->isChecked());
@@ -2382,7 +2382,7 @@ void MainWindow::on_actionPreferences_tr
     settings.setValue("points_size", this->default_point_size);
     settings.setValue("normals_length", this->default_normal_length);
     settings.setValue("lines_width", this->default_lines_width);
-    
+
   }
   else
   {
@@ -2402,7 +2402,7 @@ void MainWindow::setBackgroundColor()
       v->update();
     }
   }
-  
+
 }
 
 void MainWindow::setLighting_triggered()
@@ -2564,7 +2564,7 @@ QString MainWindow::get_item_stats()
   Q_FOREACH(int id, scene->selectionIndices())
   {
     Scene_item* item = scene->item(id);
-    QString classname = item->property("classname").toString(); 
+    QString classname = item->property("classname").toString();
     if(classname.isEmpty())
        classname = item->metaObject()->className();
     if(!classnames.contains(classname))
@@ -2829,7 +2829,7 @@ void MainWindow::on_actionSa_ve_Scene_as
     os << "\'" << names[i].toStdString() << "\', ";
   }
   os<<"\'"<<names.back().toStdString()<<"\'];\n";
-  
+
   //plugin
   os << "var loaders = [";
   for(std::size_t i = 0; i< names.size() -1; ++i)
@@ -2837,7 +2837,7 @@ void MainWindow::on_actionSa_ve_Scene_as
     os << "\'" << loaders[i].toStdString() << "\', ";
   }
   os<<"\'"<<loaders.back().toStdString()<<"\'];\n";
-  
+
   //color
   os << "var colors = [";
   for(std::size_t i = 0; i< names.size() -1; ++i)
@@ -2845,7 +2845,7 @@ void MainWindow::on_actionSa_ve_Scene_as
     os << "[" << colors[i].red() <<", "<< colors[i].green() <<", "<< colors[i].blue() <<"], ";
   }
   os<<"[" << colors.back().red() <<", "<< colors.back().green() <<", "<< colors.back().blue() <<"]];\n";
-  
+
   //rendering mode
   os << "var rendering_modes = [";
   for(std::size_t i = 0; i< names.size() -1; ++i)
@@ -2897,7 +2897,7 @@ void MainWindow::toggleFullScreen()
       dock->show();
     }
     visibleDockWidgets.clear();
-    
+
   }
 }
 
@@ -2920,7 +2920,7 @@ void MainWindow::setupViewer(Viewer* vie
           viewer, SLOT(update()));
   connect(scene, SIGNAL(updated()),
           viewer, SLOT(update()));
-  
+
   QAction* action = subviewer->findChild<QAction*>("actionRecenter");
   connect(action, SIGNAL(triggered()),
           viewer, SLOT(update()));
@@ -2979,17 +2979,17 @@ void MainWindow::setupViewer(Viewer* vie
           this, SLOT(selectSceneItem(int)));
   connect(viewer, SIGNAL(selectedPoint(double, double, double)),
           this, SLOT(showSelectedPoint(double, double, double)));
-  
+
   connect(viewer, SIGNAL(selectionRay(double, double, double,
                                       double, double, double)),
           scene, SIGNAL(selectionRay(double, double, double,
                                      double, double, double)));
-  
+
   connect(viewer, &Viewer::sendMessage,
           this, [](QString s){
     information(s);
   });
-  
+
 }
 
 void MainWindow::on_actionAdd_Viewer_triggered()
@@ -3008,7 +3008,7 @@ void MainWindow::on_actionAdd_Viewer_tri
     scene->removeViewer(viewer2);
     viewerDestroyed(viewer2);
   });
-  
+
   setupViewer(viewer2, subviewer);
   viewer2->camera()->interpolateToFitScene();
   subviewer->show();
@@ -3188,7 +3188,7 @@ void SubViewer::color()
 
 void SubViewer::closeEvent(QCloseEvent *closeEvent)
 {
-  
+
   if(is_main)
   {
     QMessageBox::information(mw, "", "This is the main viewer. It cannot be closed.");
@@ -3209,9 +3209,9 @@ void SubViewer::changeEvent(QEvent *even
       {
         menu->addAction(action);
       }
-      setWindowFlags( 
+      setWindowFlags(
               Qt::SubWindow
-              | Qt::CustomizeWindowHint 
+              | Qt::CustomizeWindowHint
               | Qt::WindowMaximizeButtonHint
               //| Qt::WindowSystemMenuHint
               | Qt::WindowTitleHint
@@ -3227,9 +3227,9 @@ void SubViewer::changeEvent(QEvent *even
       {
         menu->removeAction(action);
       }
-      setWindowFlags( 
+      setWindowFlags(
               Qt::SubWindow
-              | Qt::CustomizeWindowHint 
+              | Qt::CustomizeWindowHint
               | Qt::WindowMaximizeButtonHint
               | Qt::WindowSystemMenuHint
               | Qt::WindowTitleHint
@@ -3251,7 +3251,7 @@ void MainWindow::invalidate_bbox(bool do
 
 void MainWindow::on_action_Save_triggered()
 {
-  if(QMessageBox::question(this, "Save", "Are you sure you want to override these files ?") 
+  if(QMessageBox::question(this, "Save", "Are you sure you want to override these files ?")
      == QMessageBox::No)
     return;
   QList<Scene_item*> to_save;
diff -pruN 5.0.2-3/demo/Polyhedron/MainWindow.h 5.0.3-1/demo/Polyhedron/MainWindow.h
--- 5.0.2-3/demo/Polyhedron/MainWindow.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/MainWindow.h	2020-08-01 19:02:41.000000000 +0000
@@ -55,7 +55,7 @@ namespace Ui {
  * It contains all the widgets, the menus and the elements of interface
  * of the application.*/
 
-class MAINWINDOW_EXPORT MainWindow : 
+class MAINWINDOW_EXPORT MainWindow :
   public CGAL::Qt::DemosMainWindow,
   public Messages_interface,
   public CGAL::Three::Three,
@@ -95,8 +95,8 @@ public:
                                             CGAL::Three::Polyhedron_demo_io_plugin_interface*,
                                             bool& ok,
                                             bool add_to_scene=true);
-  void computeViewerBBox(CGAL::qglviewer::Vec &min, CGAL::qglviewer::Vec &max);
-  void updateViewerBbox(Viewer* vi, bool recenter, CGAL::qglviewer::Vec min, 
+  void computeViewerBBox(CGAL::qglviewer::Vec &vmin, CGAL::qglviewer::Vec &vmax);
+  void updateViewerBbox(Viewer* vi, bool recenter, CGAL::qglviewer::Vec min,
                         CGAL::qglviewer::Vec max);
 Q_SIGNALS:
   //! Is emitted when the Application is closed.
@@ -142,7 +142,7 @@ public Q_SLOTS:
    index of the item to be reloaded as data attached to the action.
    The index must identify a valid `Scene_item`.*/
   void reloadItem();
-  
+
   //! Loads a script. Returns true if it worked.
   bool loadScript(QString filename);
 
@@ -218,7 +218,7 @@ public Q_SLOTS:
   void addAction(QString actionName,
                  QString actionText,
                  QString menuName);
-  
+
   /*! Sets the scene center to the target position and makes the
   * scene slide to this new center. Also sets the pivotPoint of
   * the camera to this position.
@@ -344,10 +344,10 @@ protected Q_SLOTS:
   //!Opens the Preferences dialog.
   void on_actionPreferences_triggered();
   //!Save selected items if able.
-  void on_action_Save_triggered(); 
+  void on_action_Save_triggered();
   // save as...
   //!Opens a dialog to save selected item if able.
-  void on_actionSaveAs_triggered(); 
+  void on_actionSaveAs_triggered();
   //!Calls the function save of the current plugin if able.
   void save(QString filename, QList<CGAL::Three::Scene_item*>& to_save);
   //!Calls the function saveSnapShot of the viewer.
@@ -438,11 +438,11 @@ public:
   /*! Evaluates a script and search for uncaught exceptions. If quiet is false, prints the
    *backtrace of the uncaught exceptions.
    */
-  void evaluate_script(QString script, 
+  void evaluate_script(QString script,
                        const QString & fileName = QString(),
                        const bool quiet = false);
   //! Calls evaluate_script(script, filename, true).
-  void evaluate_script_quiet(QString script, 
+  void evaluate_script_quiet(QString script,
                              const QString & fileName = QString());
 #endif
 public Q_SLOTS:
@@ -465,11 +465,11 @@ private Q_SLOTS:
   void on_actionAdd_Viewer_triggered();
   void on_action_Rearrange_Viewers_triggered();
   void recenterViewer();
-  
+
 private:
   QMap<QAction*, QMenu*> action_menu_map;
 };
-  
+
 struct SubViewer : public QMdiSubWindow
 {
   Q_OBJECT
diff -pruN 5.0.2-3/demo/Polyhedron/Messages_interface.h 5.0.3-1/demo/Polyhedron/Messages_interface.h
--- 5.0.2-3/demo/Polyhedron/Messages_interface.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Messages_interface.h	2020-08-01 19:02:42.000000000 +0000
@@ -12,7 +12,7 @@ public:
   virtual void message_information(QString) = 0;
 };
 
-Q_DECLARE_INTERFACE(Messages_interface, 
+Q_DECLARE_INTERFACE(Messages_interface,
                     "com.geometryfactory.PolyhedronDemo.MessagesInterface/1.0")
 
 #endif // MESSAGES_INTERFACE_H
diff -pruN 5.0.2-3/demo/Polyhedron/Nef_type_fwd.h 5.0.3-1/demo/Polyhedron/Nef_type_fwd.h
--- 5.0.2-3/demo/Polyhedron/Nef_type_fwd.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Nef_type_fwd.h	2020-08-01 19:02:42.000000000 +0000
@@ -14,8 +14,8 @@ namespace CGAL {
 }
 
 typedef CGAL::Nef_polyhedron_3<Exact_Kernel,
-			       CGAL::SNC_indexed_items,
-			       bool> Nef_polyhedron; 
+                               CGAL::SNC_indexed_items,
+                               bool> Nef_polyhedron;
 
 #else //  USE_FORWARD_DECL
 #include "Nef_type.h"
diff -pruN 5.0.2-3/demo/Polyhedron/Nef_type.h 5.0.3-1/demo/Polyhedron/Nef_type.h
--- 5.0.2-3/demo/Polyhedron/Nef_type.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Nef_type.h	2020-08-01 19:02:42.000000000 +0000
@@ -9,7 +9,7 @@
 #include <CGAL/Polyhedron_3.h>
 
 // nef
-#include <CGAL/Nef_polyhedron_3.h> 
+#include <CGAL/Nef_polyhedron_3.h>
 #include <CGAL/Nef_3/SNC_indexed_items.h>
 
 // Boolean operations work only with exact kernel
@@ -21,7 +21,7 @@ typedef CGAL::Exact_predicates_exact_con
 typedef CGAL::Polyhedron_3<Exact_Kernel> Exact_polyhedron;
 
 typedef CGAL::Nef_polyhedron_3<Exact_Kernel,
-			       CGAL::SNC_indexed_items,
-			       bool> Nef_polyhedron; 
+                               CGAL::SNC_indexed_items,
+                               bool> Nef_polyhedron;
 
 #endif // NEF_TYPE_H
diff -pruN 5.0.2-3/demo/Polyhedron/One_ring_iterators.h 5.0.3-1/demo/Polyhedron/One_ring_iterators.h
--- 5.0.2-3/demo/Polyhedron/One_ring_iterators.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/One_ring_iterators.h	2020-08-01 19:02:42.000000000 +0000
@@ -6,7 +6,7 @@
    Halfedge_handle h; //or Vertex_handle or Facet_handle
    for(One_ring_iterator<Halfedge_handle> circ(h); circ; ++circ) {
      Halfedge_handle h_neighbor = circ;
-   } 
+   }
 */
 template<typename Mesh, class T>
 struct One_ring_iterator;
@@ -18,9 +18,9 @@ struct One_ring_iterator<Mesh, typename
 
   operator bool() const { return first || circ != end; }
   operator typename boost::graph_traits<Mesh>::vertex_descriptor() const { return target(opposite(*circ, mesh), mesh); }
-  One_ring_iterator& operator++() { 
+  One_ring_iterator& operator++() {
     first = false;
-    ++circ; 
+    ++circ;
     return *this;
   }
 
@@ -56,7 +56,7 @@ struct One_ring_iterator<Mesh, typename
     if(circ != end) { iterate_to_non_border(); }
     return *this;
   }
-  
+
   void iterate_to_non_border() {
     while(is_border_edge(opposite(*circ, mesh), mesh)) {
       first = false;
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/AABB_tree/Cut_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/AABB_tree/Cut_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/AABB_tree/Cut_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/AABB_tree/Cut_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -745,7 +745,7 @@ private:
     default:
       break;
     }
-    
+
     Tc* tc = getTriangleContainer(0);
     tc->allocate(Tc::Flat_vertices,
                  positions_quad.data(),
@@ -755,8 +755,8 @@ private:
           tex_map.data(),
           static_cast<int>(tex_map.size()*sizeof(float)));
     tc->getTexture()->setData(texture->getData());
-    
-    
+
+
     tc = getTriangleContainer(1);
     tc->allocate(Tc::Flat_vertices,
                  positions_quad.data(),
@@ -767,7 +767,7 @@ private:
           positions_lines.data(),
           static_cast<int>(positions_lines.size()*sizeof(float)));
     setBuffersFilled(true);
-    
+
   }
 
   void initializeBuffers(CGAL::Three::Viewer_interface *viewer) const Q_DECL_OVERRIDE
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/AABB_tree/Do_trees_intersect_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/AABB_tree/Do_trees_intersect_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/AABB_tree/Do_trees_intersect_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/AABB_tree/Do_trees_intersect_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -24,7 +24,7 @@ class DoTreesIntersectplugin:
   Q_INTERFACES(CGAL::Three::Polyhedron_demo_plugin_interface)
   Q_PLUGIN_METADATA(IID "com.geometryfactory.PolyhedronDemo.PluginInterface/1.0")
 public:
-  
+
   bool eventFilter(QObject *, QEvent *event) Q_DECL_OVERRIDE
   {
     if(event->type() != QEvent::KeyPress)
@@ -37,7 +37,7 @@ public:
     }
     return false;
   }
-  
+
   bool applicable(QAction*) const Q_DECL_OVERRIDE
   {
     if(scene->selectionIndices().size() <2)
@@ -49,13 +49,13 @@ public:
     }
     return (! group_item);
   }
-  
+
   QList<QAction*> actions() const Q_DECL_OVERRIDE
   {
     return _actions;
   }
-  
-  
+
+
   void init(QMainWindow* mw, CGAL::Three::Scene_interface* sc, Messages_interface* mi) Q_DECL_OVERRIDE
   {
     this->messageInterface = mi;
@@ -94,18 +94,18 @@ private Q_SLOTS:
         delete col_det;
       col_det = nullptr;
       group_item = nullptr;});
-    
+
     scene->addItem(group_item);
     Q_FOREACH(Scene::Item_id i, scene->selectionIndices())
     {
       Scene_surface_mesh_item* item=qobject_cast<Scene_surface_mesh_item*>(scene->item(i));
       connect(item, &Scene_surface_mesh_item::aboutToBeDestroyed,
-              this, &DoTreesIntersectplugin::cleanup);     
-      
-      CGAL::qglviewer::Vec pos((item->bbox().min(0) + item->bbox().max(0))/2.0, 
-                               (item->bbox().min(1) + item->bbox().max(1))/2.0, 
-                               (item->bbox().min(2) + item->bbox().max(2))/2.0);
-      
+              this, &DoTreesIntersectplugin::cleanup);
+
+      CGAL::qglviewer::Vec pos(((item->bbox().min)(0) + (item->bbox().max)(0))/2.0,
+                               ((item->bbox().min)(1) + (item->bbox().max)(1))/2.0,
+                               ((item->bbox().min)(2) + (item->bbox().max)(2))/2.0);
+
       Scene_movable_sm_item* mov_item = new Scene_movable_sm_item(pos,item->face_graph(),"");
       connect(mov_item->manipulatedFrame(), &CGAL::qglviewer::ManipulatedFrame::modified,
               this, &DoTreesIntersectplugin::update_trees);
@@ -141,7 +141,7 @@ private Q_SLOTS:
     QApplication::restoreOverrideCursor();
     CGAL::Three::Three::information("Press `W` to switch between Wireframe and Transparency mode.");
   }
-  
+
 public Q_SLOTS:
   void init_trees()
   {
@@ -149,13 +149,13 @@ public Q_SLOTS:
       return;
     Q_FOREACH(Scene_movable_sm_item* item, items)
       item->setColor(QColor(Qt::green));
-    
+
     CGAL::Three::Viewer_interface* viewer = static_cast<CGAL::Three::Viewer_interface*>(
           CGAL::QGLViewer::QGLViewerPool().first());
     Scene_movable_sm_item* sel_item = qobject_cast<Scene_movable_sm_item*>(scene->item(scene->mainSelectionIndex()));
     if(!sel_item)
-      return;    
-    
+      return;
+
     std::size_t mesh_id = 0;
     std::size_t sel_id = 0;
     Q_FOREACH(Scene_movable_sm_item* item, items)
@@ -186,11 +186,11 @@ public Q_SLOTS:
             matrix[0], matrix[4], matrix[8],matrix[12],
           matrix[1], matrix[5], matrix[9],matrix[13],
           matrix[2], matrix[6], matrix[10],matrix[14]);
-      EPICK::Aff_transformation_3 transfo = 
+      EPICK::Aff_transformation_3 transfo =
           rota*translation;
-      
+
       col_det->set_transformation(mesh_id++, transfo);
-      
+
       if(do_transparency)
       {
         item->setRenderingMode(Flat);
@@ -211,7 +211,7 @@ public Q_SLOTS:
           matrix[0], matrix[4], matrix[8],matrix[12],
         matrix[1], matrix[5], matrix[9],matrix[13],
         matrix[2], matrix[6], matrix[10],matrix[14]);
-    EPICK::Aff_transformation_3 transfo = 
+    EPICK::Aff_transformation_3 transfo =
         rota*translation;
     col_det->set_transformation(sel_id, transfo);
     std::vector<std::pair<std::size_t, bool> > inter_and_incl
@@ -238,17 +238,17 @@ public Q_SLOTS:
     sel_item->itemChanged();
     viewer->update();
   }
-  
+
   void update_trees()
   {
     if(items.empty())
-      return;    
+      return;
     CGAL::Three::Viewer_interface* viewer = static_cast<CGAL::Three::Viewer_interface*>(
           CGAL::QGLViewer::QGLViewerPool().first());
     Scene_movable_sm_item* sel_item = qobject_cast<Scene_movable_sm_item*>(scene->item(scene->mainSelectionIndex()));
     if(!sel_item)
-      return;    
-    
+      return;
+
     std::size_t mesh_id = 0;
     std::size_t sel_id = 0;
     Q_FOREACH(Scene_movable_sm_item* item, items)
@@ -257,7 +257,7 @@ public Q_SLOTS:
       {
         sel_id = mesh_id;
         ++mesh_id;
-        item->setColor(QColor(255,184,61));        
+        item->setColor(QColor(255,184,61));
         break;
       }
       ++mesh_id;
@@ -276,7 +276,7 @@ public Q_SLOTS:
     prev_ids.clear();
     const double* matrix = sel_item->manipulatedFrame()->matrix();
     sel_item->setFMatrix(matrix);
-    
+
     EPICK::Aff_transformation_3 translation(CGAL::TRANSLATION, -EPICK::Vector_3(sel_item->center().x,
                                                                                 sel_item->center().y,
                                                                                 sel_item->center().z));
@@ -284,7 +284,7 @@ public Q_SLOTS:
           matrix[0], matrix[4], matrix[8],matrix[12],
         matrix[1], matrix[5], matrix[9],matrix[13],
         matrix[2], matrix[6], matrix[10],matrix[14]);
-    EPICK::Aff_transformation_3 transfo = 
+    EPICK::Aff_transformation_3 transfo =
         rota*translation;
     col_det->set_transformation(sel_id, transfo);
     std::vector<std::pair<std::size_t, bool> > inter_and_incl
@@ -303,7 +303,7 @@ public Q_SLOTS:
     sel_item->itemChanged();
     viewer->update();
   }
-  
+
   void cleanup()
   {
     if(!group_item)
@@ -315,7 +315,7 @@ public Q_SLOTS:
     delete col_det;
     col_det = nullptr;
   }
-  
+
   //switch transparent/wireframe.
   void change_display()
   {
@@ -332,7 +332,7 @@ public Q_SLOTS:
       }
     }
   }
-  
+
 private:
   QList<QAction*> _actions;
   Messages_interface* messageInterface;
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/AABB_tree/Scene_movable_sm_item.cpp 5.0.3-1/demo/Polyhedron/Plugins/AABB_tree/Scene_movable_sm_item.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/AABB_tree/Scene_movable_sm_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/AABB_tree/Scene_movable_sm_item.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -38,19 +38,19 @@ struct Scene_movable_sm_item_priv
     Vertices = 0,
     NbOfVbos
   };
-  
+
   CGAL::qglviewer::ManipulatedFrame* frame;
   SMesh* facegraph;
   CGAL::qglviewer::Vec center_;
   Scene_movable_sm_item *item;
   QMatrix4x4 f_matrix;
   const QString item_name;
-  
+
   mutable QOpenGLShaderProgram *program;
   mutable std::vector<float> flat_normals;
   mutable std::vector<float> flat_vertices;
   mutable std::vector<float> edges_vertices;
-  
+
 };
 
 Scene_movable_sm_item::Scene_movable_sm_item(const CGAL::qglviewer::Vec& pos, SMesh* sm,
@@ -62,7 +62,7 @@ Scene_movable_sm_item::Scene_movable_sm_
 
 void Scene_movable_sm_item_priv::initialize_buffers(CGAL::Three::Viewer_interface *viewer = nullptr) const
 {
-  item->getTriangleContainer(0)->initializeBuffers(viewer); 
+  item->getTriangleContainer(0)->initializeBuffers(viewer);
   item->getTriangleContainer(0)->setFlatDataSize(flat_vertices.size());
   item->getEdgeContainer(0)->initializeBuffers(viewer);
   item->getEdgeContainer(0)->setFlatDataSize(edges_vertices.size());
@@ -72,7 +72,7 @@ void Scene_movable_sm_item_priv::initial
   flat_vertices.shrink_to_fit();
   flat_normals.shrink_to_fit();
   edges_vertices.shrink_to_fit();
-  
+
   item->are_buffers_filled = true;
 }
 
@@ -81,7 +81,7 @@ void Scene_movable_sm_item_priv::compute
 {
   typedef EPICK::Point_3 Point;
   QApplication::setOverrideCursor(Qt::WaitCursor);
-  
+
   SMesh::Property_map<face_descriptor, EPICK::Vector_3 > fnormals =
       facegraph->add_property_map<face_descriptor, EPICK::Vector_3 >("f:normal").first;
   CGAL::Polygon_mesh_processing::compute_face_normals(*facegraph,fnormals);
@@ -123,10 +123,10 @@ void Scene_movable_sm_item_priv::compute
                       p.y() - center_.y,
                       p.z() - center_.z);
     CPF::add_point_in_buffer(pc, edges_vertices);
-  }  
-  
-  
-  
+  }
+
+
+
   item->getTriangleContainer(0)->allocate(Tri::Flat_vertices, flat_vertices.data(),
                                           static_cast<int>(flat_vertices.size()*sizeof(float)));
   item->getTriangleContainer(0)->allocate(Tri::Flat_normals, flat_normals.data(),
@@ -150,7 +150,7 @@ void Scene_movable_sm_item::draw(CGAL::T
   getTriangleContainer(0)->setColor(color());
   getTriangleContainer(0)->setAlpha(alpha());
   getTriangleContainer(0)->setFrameMatrix(d->f_matrix);
-  
+
   getTriangleContainer(0)->draw(viewer, true);
 }
 
@@ -162,7 +162,7 @@ void Scene_movable_sm_item::drawEdges(CG
     d->initialize_buffers(viewer);
   getEdgeContainer(0)->setColor(color());
   getEdgeContainer(0)->setFrameMatrix(d->f_matrix);
-  
+
   getEdgeContainer(0)->draw(viewer, true);
 }
 
@@ -176,7 +176,7 @@ void
 Scene_movable_sm_item::compute_bbox() const {
   SMesh::Property_map<vertex_descriptor, Point_3> pprop = d->facegraph->points();
   CGAL::Bbox_3 bbox ;
-  
+
   for(vertex_descriptor vd :vertices(*d->facegraph))
   {
     bbox = bbox + pprop[vd].bbox();
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/AABB_tree/Scene_movable_sm_item.h 5.0.3-1/demo/Polyhedron/Plugins/AABB_tree/Scene_movable_sm_item.h
--- 5.0.2-3/demo/Polyhedron/Plugins/AABB_tree/Scene_movable_sm_item.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/AABB_tree/Scene_movable_sm_item.h	2020-08-01 19:02:42.000000000 +0000
@@ -27,8 +27,8 @@ class SCENE_MOVABLE_SM_ITEM_EXPORT Scene
     : public CGAL::Three::Scene_item_rendering_helper
 {
   Q_OBJECT
-  
-public: 
+
+public:
   Scene_movable_sm_item(const CGAL::qglviewer::Vec& pos, SMesh *sm,
                         const QString name);
   Scene_item* clone() const{return nullptr;}
@@ -41,7 +41,7 @@ public:
   bool manipulatable() const { return true;}
   ManipulatedFrame* manipulatedFrame();
   const CGAL::qglviewer::Vec& center() const;
-  virtual bool supportsRenderingMode(RenderingMode m) const { return m==Flat 
+  virtual bool supportsRenderingMode(RenderingMode m) const { return m==Flat
         || m==Wireframe; }
   virtual void invalidateOpenGLBuffers();
   void setFMatrix(const GLdouble matrix[16]);
@@ -51,7 +51,7 @@ public:
 protected:
   friend struct Scene_movable_sm_item_priv;
   Scene_movable_sm_item_priv* d;
-  
+
 Q_SIGNALS:
   void stop();
   void killed();
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Camera_position/Camera_positions_list.cpp 5.0.3-1/demo/Polyhedron/Plugins/Camera_position/Camera_positions_list.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Camera_position/Camera_positions_list.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Camera_position/Camera_positions_list.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -21,7 +21,7 @@ Camera_positions_list::Camera_positions_
   ui.setupUi(this);
   m_listView = ui.listView;
   m_listView->setModel(m_model);
-  
+
   m_listView->setEditTriggers(QAbstractItemView::DoubleClicked | QAbstractItemView::EditKeyPressed);
   connect(m_listView, SIGNAL(activated(QModelIndex)),
           this, SLOT(activatedRow(QModelIndex)));
@@ -64,7 +64,7 @@ void Camera_positions_list::on_downButto
 
 void Camera_positions_list::on_minusButton_pressed()
 {
-  Q_FOREACH(QModelIndex index, 
+  Q_FOREACH(QModelIndex index,
             m_listView->selectionModel()->selectedIndexes()) {
     m_model->removeRows(index.row(), 1);
   }
@@ -92,7 +92,7 @@ void Camera_positions_list::activatedRow
 void Camera_positions_list::on_saveButton_pressed()
 {
   QString filename =
-    QFileDialog::getSaveFileName(this, 
+    QFileDialog::getSaveFileName(this,
                                  tr("Save camera coordinates to file"),
                                  QString(),
                                  tr("(*.camera.txt)"));
@@ -113,7 +113,7 @@ void Camera_positions_list::on_saveButto
 void Camera_positions_list::on_openButton_pressed()
 {
   QString filename =
-    QFileDialog::getOpenFileName(this, 
+    QFileDialog::getOpenFileName(this,
                                  tr("Read camera coordinates from file"),
                                  QString(),
                                  tr("(*.camera.txt)"));
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Camera_position/Camera_positions_list.h 5.0.3-1/demo/Polyhedron/Plugins/Camera_position/Camera_positions_list.h
--- 5.0.2-3/demo/Polyhedron/Plugins/Camera_position/Camera_positions_list.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Camera_position/Camera_positions_list.h	2020-08-01 19:02:42.000000000 +0000
@@ -10,7 +10,7 @@ class QStandardItemModel;
 
 class Camera_positions_list : public QDockWidget {
   Q_OBJECT
-public:  
+public:
   Camera_positions_list(QWidget* parent);
 
 public Q_SLOTS:
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Camera_position/Camera_positions_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Camera_position/Camera_positions_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Camera_position/Camera_positions_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Camera_position/Camera_positions_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -9,7 +9,7 @@
 
 #include <QMainWindow>
 using namespace CGAL::Three;
-class Polyhedron_demo_camera_positions_plugin : 
+class Polyhedron_demo_camera_positions_plugin :
   public QObject,
   public CGAL::Three::Polyhedron_demo_io_plugin_interface
 {
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Camera_position/CMakeLists.txt 5.0.3-1/demo/Polyhedron/Plugins/Camera_position/CMakeLists.txt
--- 5.0.2-3/demo/Polyhedron/Plugins/Camera_position/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Camera_position/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -1,9 +1,9 @@
 include( polyhedron_demo_macros )
   qt5_wrap_ui( cameraUI_FILES   Camera_positions_list.ui )
-  polyhedron_demo_plugin(camera_positions_plugin 
+  polyhedron_demo_plugin(camera_positions_plugin
     Camera_positions_plugin
-    Camera_positions_list 
+    Camera_positions_list
     ${cameraUI_FILES})
 
-  target_link_libraries( camera_positions_plugin PUBLIC demo_framework) 
+  target_link_libraries( camera_positions_plugin PUBLIC demo_framework)
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Classification/Classification_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Classification/Classification_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Classification/Classification_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Classification/Classification_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -1,6 +1,6 @@
 #include <QtCore/qglobal.h>
 #include <QFileDialog>
-#include <QColorDialog> 
+#include <QColorDialog>
 #include <CGAL/Qt/manipulatedCameraFrame.h>
 #include <CGAL/Qt/manipulatedFrame.h>
 #include <CGAL/Three/Three.h>
@@ -60,13 +60,13 @@ class Polyhedron_demo_classification_plu
   Q_OBJECT
     Q_INTERFACES(CGAL::Three::Polyhedron_demo_plugin_interface)
     Q_PLUGIN_METADATA(IID "com.geometryfactory.PolyhedronDemo.PluginInterface/1.0")
-    
+
   struct LabelButton
   {
     QPushButton* color_button;
     QMenu* menu;
     char shortcut;
-    
+
     QColor color;
 
     QLabel* label2;
@@ -79,13 +79,13 @@ class Polyhedron_demo_classification_plu
       : shortcut (shortcut), color (color)
     {
       color_button = new QPushButton (tr("%1 (%2)").arg(name).arg((char)(std::toupper(shortcut))), parent);
-      
+
       menu = new QMenu("Label Menu", color_button);
 
       QColor text_color (255, 255, 255);
       if (color.red() * 0.299 + color.green() * 0.587 + color.blue() * 0.114 > 128)
         text_color = QColor (0, 0, 0);
-      
+
       QString s("QPushButton { font-weight: bold; background: #"
                 + QString(color.red() < 16? "0" : "") + QString::number(color.red(),16)
                 + QString(color.green() < 16? "0" : "") + QString::number(color.green(),16)
@@ -98,8 +98,8 @@ class Polyhedron_demo_classification_plu
 
       color_button->setStyleSheet(s);
       color_button->setMenu(menu);
-      
-      
+
+
       label2 = new QLabel (name, parent);
       effect = new QComboBox;
       effect->addItem("Penalized");
@@ -133,14 +133,14 @@ class Polyhedron_demo_classification_plu
 
 
 public:
-  bool applicable(QAction*) const { 
+  bool applicable(QAction*) const {
       return
         qobject_cast<Scene_points_with_normal_item*>(scene->item(scene->mainSelectionIndex()))
         || qobject_cast<Scene_surface_mesh_item*>(scene->item(scene->mainSelectionIndex()));
   }
   void print_message(QString message) { CGAL::Three::Three::information(message); }
   QList<QAction*> actions() const { return QList<QAction*>() << actionClassification; }
-  
+
   using Polyhedron_demo_plugin_helper::init;
   void init(QMainWindow* mainWindow, CGAL::Three::Scene_interface* scene_interface, Messages_interface* m) {
 
@@ -165,7 +165,7 @@ public:
             SLOT(on_add_new_label_clicked()));
 
     label_menu->addSeparator();
-    
+
     QAction* use_config_building = label_menu->addAction ("Use configuration ground/vegetation/building");
     connect(use_config_building,  SIGNAL(triggered()), this,
             SLOT(on_use_config_building_clicked()));
@@ -178,17 +178,17 @@ public:
 
     label_menu->addSeparator();
 
-    
+
     QAction* generate = label_menu->addAction ("Create one point set item per label");
     connect(generate,  SIGNAL(triggered()), this,
             SLOT(on_generate_items_button_clicked()));
 
     label_menu->addSeparator();
-        
+
     QAction* clear_labels = label_menu->addAction ("Clear labels");
     connect(clear_labels,  SIGNAL(triggered()), this,
             SLOT(on_clear_labels_clicked()));
-    
+
     ui_widget.setupUi(dock_widget);
     ui_widget_adv.setupUi(dock_widget_adv);
     addDockWidget(dock_widget);
@@ -207,7 +207,7 @@ public:
     action_reset_local = ui_widget.training_menu->addAction ("Reset training set of selection");
     connect(action_reset_local,  SIGNAL(triggered()), this,
             SLOT(on_reset_training_set_of_selection_clicked()));
-    
+
     action_reset = ui_widget.training_menu->addAction ("Reset all training sets");
     connect(action_reset,  SIGNAL(triggered()), this,
             SLOT(on_reset_training_sets_clicked()));
@@ -227,7 +227,7 @@ public:
     action_train->setShortcut(Qt::SHIFT | Qt::Key_T);
     connect(action_train,  SIGNAL(triggered()), this,
             SLOT(on_train_clicked()));
-    
+
     ui_widget.classifier_menu->addSeparator();
 
     action_run = ui_widget.classifier_menu->addAction ("Classify");
@@ -252,11 +252,11 @@ public:
             SLOT(on_load_config_button_clicked()));
 
     ui_widget.classifier_menu->addSeparator();
-    
+
     QAction* switch_classifier = ui_widget.classifier_menu->addAction ("Switch to another classifier...");
     connect(switch_classifier,  SIGNAL(triggered()), this,
             SLOT(on_switch_classifier_clicked()));
-    
+
     connect(ui_widget.display,  SIGNAL(currentIndexChanged(int)), this,
             SLOT(on_display_button_clicked(int)));
 
@@ -280,7 +280,7 @@ public:
     {
       connect(scene_obj, SIGNAL(itemAboutToBeDestroyed(CGAL::Three::Scene_item*)), this,
               SLOT(item_about_to_be_destroyed(CGAL::Three::Scene_item*)));
-        
+
       connect(scene_obj, SIGNAL(itemIndexSelected(int)), this,
               SLOT(update_plugin(int)));
     }
@@ -293,7 +293,7 @@ public:
 
 
 public Q_SLOTS:
-  
+
   void item_about_to_be_destroyed(CGAL::Three::Scene_item* scene_item) {
     Item_map::iterator it = item_map.find(scene_item);
     if (it != item_map.end())
@@ -305,7 +305,7 @@ public Q_SLOTS:
   }
 
   void classification_action()
-  { 
+  {
     dock_widget->show();
     dock_widget->raise();
     if (Scene_points_with_normal_item* points_item
@@ -328,7 +328,7 @@ public Q_SLOTS:
       else
         print_message("Warning: can't find Surface Mesh Selection plugin");
     }
-    
+
     on_help_clicked();
   }
 
@@ -345,7 +345,7 @@ public Q_SLOTS:
     if (oknotok.exec() == QMessageBox::Yes)
       close_classification();
   }
-  
+
   void close_classification()
   {
     for (Item_map::iterator it = item_map.begin(); it != item_map.end(); ++ it)
@@ -424,7 +424,7 @@ public Q_SLOTS:
     if (classif != NULL)
       {
         enable_computation();
-        
+
         // Clear class labels
         for (std::size_t i = 0; i < label_buttons.size(); ++ i)
           {
@@ -445,7 +445,7 @@ public Q_SLOTS:
                                       classif->label_color(i),
                                       get_shortcut (i, classif->label(i)->name().c_str())));
         add_label_button();
-        
+
         // Enabled classif if features computed
         if (classif->features_computed())
           enable_classif();
@@ -483,7 +483,7 @@ public Q_SLOTS:
       = qobject_cast<Scene_polyhedron_selection_item*>(item);
     if (selection_item)
       item = selection_item->polyhedron_item();
-    
+
     Item_map::iterator it = item_map.find(item);
 
     if (it != item_map.end())
@@ -495,7 +495,7 @@ public Q_SLOTS:
 
     return NULL;
   }
-  
+
 
   Item_classification_base* create_from_item(Scene_points_with_normal_item* points_item)
   {
@@ -503,14 +503,14 @@ public Q_SLOTS:
       return item_map[points_item];
 
     bool use_clusters = false;
-    
+
     if (points_item->point_set()->has_property_map<int> ("shape"))
     {
       QMessageBox::StandardButton reply
         = QMessageBox::question(NULL, "Point Set Classification",
                                 "This point set is divided in clusters. Do you want to classify clusters instead of points?",
                                 QMessageBox::Yes|QMessageBox::No, QMessageBox::Yes);
-      
+
       use_clusters = (reply == QMessageBox::Yes);
     }
 
@@ -523,7 +523,7 @@ public Q_SLOTS:
       classif = new Point_set_item_classification (points_item);
 
     item_map.insert (std::make_pair (points_item, classif));
-    
+
     QApplication::restoreOverrideCursor();
     update_plugin_from_item(classif);
     return classif;
@@ -557,7 +557,7 @@ public Q_SLOTS:
     std::cerr << "Error: unknown classifier" << std::endl;
     return -1;
   }
-  
+
   void run (Item_classification_base* classif, int method,
             std::size_t subdivisions = 1,
             double smoothing = 0.5)
@@ -611,9 +611,9 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
-    
+
     QMultipleInputDialog dialog ("Compute Features", mw);
     QSpinBox* scales = dialog.add<QSpinBox> ("Number of scales:");
     scales->setRange (1, 99);
@@ -632,7 +632,7 @@ public Q_SLOTS:
     float vsize = float(voxel_size->value());
     if (vsize == 0.f)
       vsize = -1.f; // auto value
-    
+
     classif->compute_features (std::size_t(scales->value()), vsize);
 
     update_plugin_from_item(classif);
@@ -647,7 +647,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     QString filename;
@@ -682,15 +682,15 @@ public Q_SLOTS:
                                               tr("%1 (CGAL Neural Network config).xml").arg(classif->item()->name()),
                                               "CGAL TensorFlow Neural Network classification configuration (*.xml);;");
 #endif
-    
+
     if (filename == QString())
       return;
 
-    
+
     QApplication::setOverrideCursor(Qt::WaitCursor);
 
     classif->save_config (filename.toStdString().c_str(), classifier);
-    
+
     QApplication::restoreOverrideCursor();
 
   }
@@ -702,7 +702,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
     QString filename;
 
@@ -745,7 +745,7 @@ public Q_SLOTS:
 
     update_plugin_from_item(classif);
     run (classif, 0);
-    
+
     QApplication::restoreOverrideCursor();
     item_changed(classif->item());
   }
@@ -754,7 +754,7 @@ public Q_SLOTS:
   {
     float vmin = std::numeric_limits<float>::infinity();
     float vmax = std::numeric_limits<float>::infinity();
-    
+
     classif->change_color (index, &vmin, &vmax);
 
     if (vmin == std::numeric_limits<float>::infinity() || vmax == std::numeric_limits<float>::infinity())
@@ -771,17 +771,17 @@ public Q_SLOTS:
       ui_widget.maxDisplay->setEnabled(true);
       ui_widget.maxDisplay->setText(tr("Max (%1)").arg(vmax));
     }
-    
+
     item_changed(classif->item());
   }
 
-  
+
   void on_display_button_clicked(int index)
   {
     Item_classification_base* classif
       = get_classification();
     if(!classif)
-      return; 
+      return;
 
     change_color (classif, index);
   }
@@ -816,7 +816,7 @@ public Q_SLOTS:
     if (vmin == std::numeric_limits<float>::infinity()
         || vmax ==  std::numeric_limits<float>::infinity())
       return;
-    
+
     bool ok = false;
     vmin = float(QInputDialog::getDouble((QWidget*)mw,
                                          tr("Set display ramp minimum value (saturate under):"),
@@ -828,13 +828,13 @@ public Q_SLOTS:
       return;
 
     int index = ui_widget.display->currentIndex();
-    
+
     classif->change_color (index, &vmin, &vmax);
     ui_widget.minDisplay->setText(tr("Min* (%1)").arg(vmin));
-    
+
     item_changed(classif->item());
   }
-  
+
   void on_max_display_button_clicked()
   {
     Item_classification_base* classif
@@ -848,7 +848,7 @@ public Q_SLOTS:
     if (vmin == std::numeric_limits<float>::infinity()
         || vmax ==  std::numeric_limits<float>::infinity())
       return;
-    
+
     bool ok = false;
     vmax = float(QInputDialog::getDouble((QWidget*)mw,
                                          tr("Set display ramp maximum value (saturate over):"),
@@ -860,10 +860,10 @@ public Q_SLOTS:
       return;
 
     int index = ui_widget.display->currentIndex();
-    
+
     classif->change_color (index, &vmin, &vmax);
     ui_widget.maxDisplay->setText(tr("Max* (%1)").arg(vmax));
-    
+
     item_changed(classif->item());
   }
 
@@ -874,7 +874,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
     QApplication::setOverrideCursor(Qt::WaitCursor);
     CGAL::Real_timer t;
@@ -893,7 +893,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     QApplication::setOverrideCursor(Qt::WaitCursor);
@@ -905,7 +905,7 @@ public Q_SLOTS:
     QApplication::restoreOverrideCursor();
     item_changed(classif->item());
   }
-  
+
   void on_run_graphcut_button_clicked()
   {
     Item_classification_base* classif
@@ -913,7 +913,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     QMultipleInputDialog dialog ("Classify with Graph Cut", mw);
@@ -928,7 +928,7 @@ public Q_SLOTS:
 
     if (dialog.exec() != QDialog::Accepted)
       return;
-    
+
     QApplication::setOverrideCursor(Qt::WaitCursor);
     CGAL::Real_timer t;
     t.start();
@@ -946,11 +946,11 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     QPushButton* label_clicked = qobject_cast<QPushButton*>(QObject::sender()->parent()->parent());
-    
+
     if (label_clicked == NULL)
       std::cerr << "Error" << std::endl;
     else
@@ -976,7 +976,7 @@ public Q_SLOTS:
         scene->addItem (points_item);
     }
   }
-  
+
   void on_generate_items_button_clicked()
   {
     Item_classification_base* classif
@@ -984,10 +984,10 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
-    
+
     QApplication::setOverrideCursor(Qt::WaitCursor);
 
     std::vector<Scene_item*> new_items;
@@ -1000,13 +1000,13 @@ public Q_SLOTS:
           = qobject_cast<Scene_points_with_normal_item*>(new_items[i]);
         if (!points_item)
           continue;
-        
+
         if (points_item->point_set()->empty())
           delete points_item;
         else
           scene->addItem (points_item);
       }
-    
+
     QApplication::restoreOverrideCursor();
   }
 
@@ -1014,7 +1014,7 @@ public Q_SLOTS:
   {
     classif->clear_labels();
   }
-  
+
   void add_new_label (Item_classification_base* classif, const std::string& name)
   {
     add_new_label (LabelButton (dock_widget,
@@ -1026,7 +1026,7 @@ public Q_SLOTS:
     QColor color = classif->add_new_label (name.c_str());
     label_buttons.back().change_color (color);
   }
-  
+
   void on_add_new_label_clicked()
   {
     Item_classification_base* classif
@@ -1034,7 +1034,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     bool ok;
@@ -1065,7 +1065,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     if (classif->number_of_labels() != 0)
@@ -1074,7 +1074,7 @@ public Q_SLOTS:
         = QMessageBox::question(NULL, "Classification",
                                 "Current labels will be discarded. Continue?",
                                 QMessageBox::Yes|QMessageBox::No, QMessageBox::Yes);
-      
+
       if (reply == QMessageBox::No)
         return;
     }
@@ -1092,7 +1092,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     if (classif->number_of_labels() != 0)
@@ -1101,7 +1101,7 @@ public Q_SLOTS:
         = QMessageBox::question(NULL, "Classification",
                                 "Current labels will be discarded. Continue?",
                                 QMessageBox::Yes|QMessageBox::No, QMessageBox::Yes);
-      
+
       if (reply == QMessageBox::No)
         return;
     }
@@ -1120,7 +1120,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     if (classif->number_of_labels() != 0)
@@ -1129,7 +1129,7 @@ public Q_SLOTS:
         = QMessageBox::question(NULL, "Classification",
                                 "Current labels will be discarded. Continue?",
                                 QMessageBox::Yes|QMessageBox::No, QMessageBox::Yes);
-      
+
       if (reply == QMessageBox::No)
         return;
     }
@@ -1161,7 +1161,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     if (classif->number_of_labels() != 0)
@@ -1170,7 +1170,7 @@ public Q_SLOTS:
         = QMessageBox::question(NULL, "Classification",
                                 "Current labels will be discarded. Continue?",
                                 QMessageBox::Yes|QMessageBox::No, QMessageBox::Yes);
-      
+
       if (reply == QMessageBox::No)
         return;
     }
@@ -1185,7 +1185,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     classif->reset_training_sets();
@@ -1200,7 +1200,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     classif->reset_training_set_of_selection();
@@ -1215,7 +1215,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     QPushButton* label_clicked = qobject_cast<QPushButton*>(QObject::sender()->parent()->parent());
@@ -1228,11 +1228,11 @@ public Q_SLOTS:
       ui_widget.labelGrid->getItemPosition(index, &row_index, &column_index, &row_span, &column_span);
 
       int position = row_index * 3 + column_index;
-      
+
       classif->reset_training_set
         (position);
     }
-    
+
     item_changed(classif->item());
   }
 
@@ -1243,7 +1243,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     classif->validate_selection();
@@ -1256,7 +1256,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     classif->select_random_region();
@@ -1265,10 +1265,10 @@ public Q_SLOTS:
     CGAL::Three::Viewer_interface* viewer = CGAL::Three::Three::activeViewer();
     CGAL::Bbox_3 bbox = classif->bbox();
     const CGAL::qglviewer::Vec offset = CGAL::Three::Three::mainViewer()->offset();
-    
+
     viewer->camera()->fitBoundingBox(CGAL::qglviewer::Vec (bbox.xmin(), bbox.ymin(), bbox.zmin()) + offset,
                                      CGAL::qglviewer::Vec (bbox.xmax(), bbox.ymax(), bbox.zmax()) + offset);
-    
+
 
 
     viewer->camera()->setPivotPoint (CGAL::qglviewer::Vec ((bbox.xmin() + bbox.xmax()) / 2.,
@@ -1283,7 +1283,7 @@ public Q_SLOTS:
     if(!classif)
     {
       print_message("Error: there is no point set classification item!");
-      return; 
+      return;
     }
 
     QApplication::setOverrideCursor(Qt::WaitCursor);
@@ -1302,20 +1302,20 @@ public Q_SLOTS:
 
     QRadioButton* ethz = dialog.add<QRadioButton> (CGAL_CLASSIFICATION_ETHZ_ID);
     ethz->setChecked(true);
-    
+
     QRadioButton* sowf = dialog.add<QRadioButton> (CGAL_CLASSIFICATION_SOWF_ID);
 
 #ifdef CGAL_LINKED_WITH_TENSORFLOW
     QRadioButton* tensorflow = dialog.add<QRadioButton> (CGAL_CLASSIFICATION_TENSORFLOW_ID);
 #endif
-    
+
 #ifdef CGAL_LINKED_WITH_OPENCV
     QRadioButton* opencv = dialog.add<QRadioButton> (CGAL_CLASSIFICATION_OPENCV_ID);
 #endif
 
     if (dialog.exec() != QDialog::Accepted)
       return;
-    
+
     if (ethz->isChecked())
       classifier->setText(CGAL_CLASSIFICATION_ETHZ_ID);
     else if (sowf->isChecked())
@@ -1337,7 +1337,7 @@ public Q_SLOTS:
     else
       dock_widget_adv->hide();
   }
-  
+
   void on_train_clicked()
   {
     Item_classification_base* classif
@@ -1345,11 +1345,11 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     QMultipleInputDialog dialog ("Train Classifier", mw);
-    
+
     int classifier = get_classifier();
     if (classifier == 0) // SOWF
     {
@@ -1382,10 +1382,10 @@ public Q_SLOTS:
       QCheckBox* restart = dialog.add<QCheckBox> ("Restart from scratch: ", "restart");
       restart->setChecked (false);
     }
-    
+
     if (dialog.exec() != QDialog::Accepted)
       return;
-    
+
     QApplication::setOverrideCursor(Qt::WaitCursor);
     CGAL::Real_timer t;
     t.start();
@@ -1399,7 +1399,7 @@ public Q_SLOTS:
   char get_shortcut (std::size_t position, const char* name)
   {
     std::set<char> used_letters;
-    
+
     used_letters.insert('t'); // used for "train"
     used_letters.insert('s'); // used for "random select"
     for (std::size_t i = 0; i < label_buttons.size(); ++ i)
@@ -1421,7 +1421,7 @@ public Q_SLOTS:
 
     return fallback;
   }
-  
+
   void add_new_label (const LabelButton& label_button)
   {
     label_buttons.push_back (label_button);
@@ -1432,20 +1432,20 @@ public Q_SLOTS:
 
     ui_widget.labelGrid->addWidget (label_buttons.back().color_button, x, y);
 
-    QAction* add_selection = label_buttons.back().menu->addAction ("Add selection to training set"); 
+    QAction* add_selection = label_buttons.back().menu->addAction ("Add selection to training set");
 
     add_selection->setShortcut(Qt::SHIFT | (Qt::Key_A + (label_button.shortcut - 'a')));
 //    add_selection->setShortcut(Qt::Key_0 + label_buttons.size() - 1);
-    
+
     connect(add_selection,  SIGNAL(triggered()), this,
             SLOT(on_add_selection_to_training_set_clicked()));
-    
+
     QAction* reset = label_buttons.back().menu->addAction ("Reset training set");
     connect(reset,  SIGNAL(triggered()), this,
             SLOT(on_reset_training_set_clicked()));
 
     label_buttons.back().menu->addSeparator();
-    
+
     QAction* change_color = label_buttons.back().menu->addAction ("Change color");
     connect(change_color,  SIGNAL(triggered()), this,
             SLOT(on_color_changed_clicked()));
@@ -1488,7 +1488,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     QPushButton* label_clicked = qobject_cast<QPushButton*>(QObject::sender()->parent()->parent());
@@ -1503,11 +1503,11 @@ public Q_SLOTS:
       int position = row_index * 3 + column_index;
 
       classif->remove_label (position);
-    
+
       ui_widget.labelGrid->removeWidget (label_buttons[position].color_button);
       label_buttons[position].color_button->deleteLater();
       label_buttons[position].menu->deleteLater();
-            
+
       ui_widget_adv.gridLayout->removeWidget (label_buttons[position].label2);
       delete label_buttons[position].label2;
       ui_widget_adv.gridLayout->removeWidget (label_buttons[position].effect);
@@ -1519,7 +1519,7 @@ public Q_SLOTS:
           int position = i - 1;
           int x = position / 3;
           int y = position % 3;
-          
+
           ui_widget.labelGrid->addWidget (label_buttons[i].color_button, x, y);
           ui_widget_adv.gridLayout->addWidget (label_buttons[i].label2, (int)i, 0);
           ui_widget_adv.gridLayout->addWidget (label_buttons[i].effect, (int)i, 2);
@@ -1539,7 +1539,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     QPushButton* label_clicked = qobject_cast<QPushButton*>(QObject::sender()->parent()->parent());
@@ -1552,13 +1552,13 @@ public Q_SLOTS:
       ui_widget.labelGrid->getItemPosition(index, &row_index, &column_index, &row_span, &column_span);
 
       int position = row_index * 3 + column_index;
-    
+
       QColor color = label_buttons[position].color;
       color = QColorDialog::getColor(color, (QWidget*)mw, "Change color of label");
 
       if (!color.isValid())
         return;
-      
+
       label_buttons[position].change_color (color);
       classif->change_label_color (position,
                                    color);
@@ -1574,7 +1574,7 @@ public Q_SLOTS:
     if(!classif)
     {
       print_message("Error: there is no point set classification item!");
-      return; 
+      return;
     }
 
     QPushButton* label_clicked = qobject_cast<QPushButton*>(QObject::sender()->parent()->parent());
@@ -1587,7 +1587,7 @@ public Q_SLOTS:
       ui_widget.labelGrid->getItemPosition(index, &row_index, &column_index, &row_span, &column_span);
 
       int position = row_index * 3 + column_index;
-      
+
       bool ok;
       QString name =
         QInputDialog::getText((QWidget*)mw,
@@ -1602,7 +1602,7 @@ public Q_SLOTS:
 
       classif->change_label_name (position, name.toStdString());
     }
-    
+
     update_plugin_from_item(classif);
     classif->update_color ();
     item_changed(classif->item());
@@ -1615,7 +1615,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
 
     QPushButton* label_clicked = qobject_cast<QPushButton*>(QObject::sender()->parent()->parent());
@@ -1631,7 +1631,7 @@ public Q_SLOTS:
       classif->add_selection_to_training_set
         (position);
     }
-    
+
     item_changed(classif->item());
   }
 
@@ -1640,11 +1640,11 @@ public Q_SLOTS:
     Item_classification_base* classif
       = get_classification();
     if(!classif)
-        return; 
+        return;
 
     if (classif->number_of_features() <= (std::size_t)v)
       return;
-    
+
     Item_classification_base::Feature_handle
       att = classif->feature(v);
 
@@ -1674,7 +1674,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
     Item_classification_base::Feature_handle
       att = classif->feature(ui_widget_adv.selected_feature->currentIndex());
@@ -1695,7 +1695,7 @@ public Q_SLOTS:
     if(!classif)
       {
         print_message("Error: there is no point set classification item!");
-        return; 
+        return;
       }
     Item_classification_base::Feature_handle
       att = classif->feature(ui_widget_adv.selected_feature->currentIndex());
@@ -1746,10 +1746,10 @@ private:
   QAction* action_run_graphcut;
   QAction* action_save_config;
   QAction* action_load_config;
-  
+
   std::vector<LabelButton> label_buttons;
   QPushButton* label_button;
-  
+
   Ui::Classification ui_widget;
   Ui::ClassificationAdvanced ui_widget_adv;
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Classification/Cluster_classification.cpp 5.0.3-1/demo/Polyhedron/Plugins/Classification/Cluster_classification.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Classification/Cluster_classification.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Classification/Cluster_classification.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -51,7 +51,7 @@ Cluster_classification::Cluster_classifi
   bool classif_found = false;
   boost::tie (m_classif, classif_found) = m_points->point_set()->add_property_map<int>("label", -1);
 
-  training_found = !training_found; // add_property_map returns false if 
+  training_found = !training_found; // add_property_map returns false if
   classif_found = !classif_found;   // property was already there
 
   bool las_found = false;
@@ -76,11 +76,11 @@ Cluster_classification::Cluster_classifi
       training_found = true;
     }
   }
-    
+
   if (training_found || classif_found)
   {
     std::vector<int> used_indices;
-    
+
     for (Point_set::const_iterator it = m_points->point_set()->begin();
          it != m_points->point_set()->first_selected(); ++ it)
     {
@@ -122,12 +122,12 @@ Cluster_classification::Cluster_classifi
       ++ current_idx;
     }
 
-    
+
     for (Point_set::const_iterator it = m_points->point_set()->begin();
          it != m_points->point_set()->first_selected(); ++ it)
     {
       int c = m_cluster_id[*it];
-      
+
       if (training_found)
       {
         if (std::size_t(current_idx) != used_indices.size()) // Empty indices -> reorder indices in point set
@@ -153,7 +153,7 @@ Cluster_classification::Cluster_classifi
           m_clusters[c].label() = m_classif[*it];
       }
     }
-    
+
     std::map<int, std::string> label_names;
     if (las_found) // Use LAS standard
     {
@@ -196,7 +196,7 @@ Cluster_classification::Cluster_classifi
         }
       }
     }
-    
+
     for (std::size_t i = 0; i < used_indices.size(); ++ i)
     {
       if (used_indices[i] == -1)
@@ -227,7 +227,7 @@ Cluster_classification::Cluster_classifi
     for (std::size_t i = 0; i < m_labels.size(); ++ i)
       m_label_colors.push_back (this->get_new_label_color (m_labels[i]->name()));
   }
-  
+
   update_comments_of_point_set_item();
 
   m_sowf = new Sum_of_weighted_features (m_labels, m_features);
@@ -255,7 +255,7 @@ Cluster_classification::Cluster_classifi
                                              m_cluster_id)));
 
   std::set<std::pair<int, int> > adjacencies;
-  
+
   for (Delaunay::Finite_edges_iterator it = dt.finite_edges_begin();
        it != dt.finite_edges_end(); ++ it)
   {
@@ -314,13 +314,13 @@ Cluster_classification::~Cluster_classif
         m_classif[*it] = -1;
       }
     }
-  
+
     // For LAS saving, convert classification info in the LAS standard
 //    if (m_input_is_las)
     {
       Point_set::Property_map<unsigned char> las_classif
         = m_points->point_set()->add_property_map<unsigned char>("classification", 0).first;
-    
+
       std::vector<unsigned char> label_indices;
 
       unsigned char custom = 19;
@@ -371,14 +371,14 @@ Cluster_classification::~Cluster_classif
         unsigned char lc = 1; // unclassified in LAS standard
         if (c != -1)
           lc = label_indices[std::size_t(c)];
-        
+
         las_classif[*it] = lc;
 
         int t = m_training[*it];
         unsigned char lt = 1; // unclassified in LAS standard
         if (t != -1)
           lt = label_indices[std::size_t(t)];
-        
+
         m_training[*it] = int(lt);
       }
 
@@ -405,7 +405,7 @@ void Cluster_classification::backup_exis
 
     m_points->point_set()->remove_colors();
   }
-      
+
   m_points->point_set()->add_colors();
 }
 
@@ -418,7 +418,7 @@ void Cluster_classification::reset_color
     for (Point_set::const_iterator it = m_points->point_set()->begin();
          it != m_points->point_set()->first_selected(); ++ it)
       m_points->point_set()->set_color(*it, m_color[*it]);
-    
+
     m_points->point_set()->remove_property_map(m_color);
   }
 }
@@ -428,19 +428,19 @@ void Cluster_classification::change_colo
   m_index_color = index;
 
   int index_color = real_index_color();
-    
+
   // Colors
   static Color_ramp ramp;
   ramp.build_rainbow();
   reset_indices();
-  
+
   if (index_color == -1) // item color
     m_points->point_set()->remove_colors();
   else
   {
     if (!m_points->point_set()->has_colors())
       m_points->point_set()->add_colors();
-    
+
     if (index_color == 0) // real colors
     {
 
@@ -458,11 +458,11 @@ void Cluster_classification::change_colo
         if (cid != -1)
         {
           std::size_t c = m_clusters[cid].label();
-          
+
           if (c != std::size_t(-1))
             color = m_label_colors[c];
         }
-      
+
         m_points->point_set()->set_color(*it, color);
       }
     }
@@ -474,18 +474,18 @@ void Cluster_classification::change_colo
         QColor color (0, 0, 0);
         int cid = m_cluster_id[*it];
         float div = 1;
-      
+
         if (cid != -1)
         {
           int c = m_clusters[cid].training();
           int c2 = m_clusters[cid].label();
-          
+
           if (c != -1)
             color = m_label_colors[std::size_t(c)];
-          
+
           if (c != c2)
             div = 2;
-        }          
+        }
         m_points->point_set()->set_color(*it, color.red() / div, color.green() / div, color.blue() / div);
       }
     }
@@ -495,7 +495,7 @@ void Cluster_classification::change_colo
            it != m_points->point_set()->first_selected(); ++ it)
       {
         int cid = m_cluster_id[*it];
-      
+
         if (cid != -1)
         {
           srand(cid);
@@ -527,7 +527,7 @@ void Cluster_classification::change_colo
             int cid = m_cluster_id[*it];
             if (cid != -1)
             {
-              float v = std::max (0.f, std::min(1.f, m_label_probabilities[corrected_index][cid]));
+              float v = (std::max) (0.f, (std::min)(1.f, m_label_probabilities[corrected_index][cid]));
               m_points->point_set()->set_color(*it, ramp.r(v) * 255, ramp.g(v) * 255, ramp.b(v) * 255);
             }
             else
@@ -546,9 +546,9 @@ void Cluster_classification::change_colo
 
         Feature_handle feature = m_features[corrected_index];
 
-        float min = std::numeric_limits<float>::max();
-        float max = -std::numeric_limits<float>::max();
-      
+        float min = (std::numeric_limits<float>::max)();
+        float max = -(std::numeric_limits<float>::max)();
+
         if (vmin != NULL && vmax != NULL
             && *vmin != std::numeric_limits<float>::infinity()
             && *vmax != std::numeric_limits<float>::infinity())
@@ -571,7 +571,7 @@ void Cluster_classification::change_colo
             }
           }
         }
-        
+
         for (Point_set::const_iterator it = m_points->point_set()->begin();
              it != m_points->point_set()->first_selected(); ++ it)
         {
@@ -581,7 +581,7 @@ void Cluster_classification::change_colo
             float v = (feature->value(cid) - min) / (max - min);
             if (v < 0.f) v = 0.f;
             if (v > 1.f) v = 1.f;
-            
+
             m_points->point_set()->set_color(*it, ramp.r(v) * 255, ramp.g(v) * 255, ramp.b(v) * 255);
           }
           else
@@ -596,7 +596,7 @@ void Cluster_classification::change_colo
       }
     }
   }
-  
+
   for (Point_set::const_iterator it = m_points->point_set()->first_selected();
        it != m_points->point_set()->end(); ++ it)
     m_points->point_set()->set_color(*it, 255, 0, 0);
@@ -605,7 +605,7 @@ void Cluster_classification::change_colo
 int Cluster_classification::real_index_color() const
 {
   int out = m_index_color;
-  
+
   if (out == 0 && m_color == Point_set::Property_map<CGAL::Color>())
     out = -1;
   return out;
@@ -628,7 +628,7 @@ void Cluster_classification::compute_fea
   CGAL_assertion (!(m_points->point_set()->empty()));
 
   reset_indices();
-  
+
   std::cerr << "Computing pointwise features with " << nb_scales << " scale(s) and ";
   if (voxel_size == -1)
     std::cerr << "automatic voxel size" << std::endl;
@@ -641,9 +641,9 @@ void Cluster_classification::compute_fea
   bool normals = m_points->point_set()->has_normal_map();
   if (normals)
     normal_map = m_points->point_set()->normal_map();
-  
+
   bool colors = (m_color != Point_set::Property_map<CGAL::Color>());
-  
+
   Point_set::Property_map<boost::uint8_t> echo_map;
   bool echo;
   boost::tie (echo_map, echo) = m_points->point_set()->template property_map<boost::uint8_t>("echo");
@@ -653,10 +653,10 @@ void Cluster_classification::compute_fea
   Feature_set pointwise_features;
 
   Generator generator (*(m_points->point_set()), m_points->point_set()->point_map(), nb_scales, voxel_size);
-  
+
   CGAL::Real_timer t;
   t.start();
-    
+
 #ifdef CGAL_LINKED_WITH_TBB
   pointwise_features.begin_parallel_additions();
 #endif
@@ -668,11 +668,11 @@ void Cluster_classification::compute_fea
     generator.generate_color_based_features (pointwise_features, m_color);
   if (echo)
     generator.generate_echo_based_features (pointwise_features, echo_map);
-  
+
 #ifdef CGAL_LINKED_WITH_TBB
   pointwise_features.end_parallel_additions();
 #endif
-  
+
   add_remaining_point_set_properties_as_features(pointwise_features);
 
   t.stop();
@@ -691,29 +691,29 @@ void Cluster_classification::compute_fea
     m_features.template add<Mean_of_feature> (m_clusters,
                                               pointwise_features[i]);
   }
-  
+
 #ifdef CGAL_LINKED_WITH_TBB
   m_features.end_parallel_additions();
   m_features.begin_parallel_additions();
 #endif
-  
+
   for (std::size_t i = 0; i < pointwise_features.size(); ++ i)
   {
     m_features.template add<Variance_of_feature> (m_clusters,
                                                   pointwise_features[i],
                                                   m_features[i]);
-  }  
-  
+  }
+
   add_cluster_features();
 
 #ifdef CGAL_LINKED_WITH_TBB
   m_features.end_parallel_additions();
 #endif
-  
+
   t.stop();
   std::cerr << m_features.size() << " feature(s) computed in " << t.time() << " second(s)" << std::endl;
 
-  
+
   delete m_sowf;
   m_sowf = new Sum_of_weighted_features (m_labels, m_features);
   if (m_ethz != NULL)
@@ -755,7 +755,7 @@ void Cluster_classification::select_rand
       selected.push_back (*it);
     else
       unselected.push_back (*it);
-  
+
   for (std::size_t i = 0; i < unselected.size(); ++ i)
     *(m_points->point_set()->begin() + i) = unselected[i];
   for (std::size_t i = 0; i < selected.size(); ++ i)
@@ -763,13 +763,13 @@ void Cluster_classification::select_rand
 
   m_points->point_set()->set_first_selected
     (m_points->point_set()->begin() + unselected.size());
- 
+
 }
 
 void Cluster_classification::add_remaining_point_set_properties_as_features(Feature_set& feature_set)
 {
   const std::vector<std::string>& prop = m_points->point_set()->base().properties();
-  
+
   for (std::size_t i = 0; i < prop.size(); ++ i)
   {
     if (prop[i] == "index" ||
@@ -821,7 +821,7 @@ void Cluster_classification::train(int c
 
   std::vector<std::size_t> nb_label (m_labels.size(), 0);
   std::size_t nb_total = 0;
-  
+
   std::vector<int> training;
   training.reserve (m_clusters.size());
   for (std::size_t i = 0; i < m_clusters.size(); ++ i)
@@ -833,12 +833,12 @@ void Cluster_classification::train(int c
       ++ nb_total;
     }
   }
-  
+
   std::cerr << nb_total << " cluster(s) used for training ("
             << 100. * (nb_total / double(m_clusters.size())) << "% of the total):" << std::endl;
   for (std::size_t i = 0; i < m_labels.size(); ++ i)
     std::cerr << " * " << m_labels[i]->name() << ": " << nb_label[i] << " clusters(s)" << std::endl;
-  
+
   std::vector<int> indices (m_clusters.size(), -1);
 
   if (classifier == 0)
@@ -906,14 +906,14 @@ void Cluster_classification::train(int c
       while (iss >> s)
         hidden_layers.push_back (std::size_t(s));
     }
-    
+
     m_neural_network->train (training,
                              dialog.get<QCheckBox>("restart")->isChecked(),
                              dialog.get<QSpinBox>("trials")->value(),
                              dialog.get<QDoubleSpinBox>("learning_rate")->value(),
                              dialog.get<QSpinBox>("batch_size")->value(),
                              hidden_layers);
-      
+
     CGAL::Classification::classify<Concurrency_tag> (m_clusters,
                                                      m_labels, *m_neural_network,
                                                      indices, m_label_probabilities);
@@ -922,7 +922,7 @@ void Cluster_classification::train(int c
 
   for (std::size_t i = 0; i < m_clusters.size(); ++ i)
     m_clusters[i].label() = indices[i];
-  
+
   if (m_index_color == 1 || m_index_color == 2)
     change_color (m_index_color);
 }
@@ -971,7 +971,7 @@ bool Cluster_classification::run (int me
     run (method, *m_neural_network, subdivisions, smoothing);
 #endif
   }
-  
+
   return true;
 }
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Classification/Cluster_classification.h 5.0.3-1/demo/Polyhedron/Plugins/Classification/Cluster_classification.h
--- 5.0.2-3/demo/Polyhedron/Plugins/Classification/Cluster_classification.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Classification/Cluster_classification.h	2020-08-01 19:02:42.000000000 +0000
@@ -27,7 +27,7 @@ class Cluster_classification : public It
  public:
   typedef Kernel::Point_3 Point_3;
   typedef Kernel::Vector_3 Vector_3;
-  
+
   typedef Point_set::Point_map Point_map;
   typedef Point_set::Vector_map Vector_map;
 
@@ -55,11 +55,11 @@ class Cluster_classification : public It
     {
       return std::make_pair (point_set->point(idx), (*cluster_id)[idx]);
     }
-    
+
   };
 
  public:
-  
+
   Cluster_classification(Scene_points_with_normal_item* points);
   ~Cluster_classification();
 
@@ -87,7 +87,7 @@ class Cluster_classification : public It
     double dx = bb.xmax() - bb.xmin();
     double dy = bb.ymax() - bb.ymin();
     double dz = bb.zmax() - bb.zmin();
-    
+
     dx *= 10.;
     dy *= 10.;
     dz *= 10.;
@@ -98,7 +98,7 @@ class Cluster_classification : public It
 
   void compute_features (std::size_t nb_scales, float voxel_size);
   void add_remaining_point_set_properties_as_features(Feature_set& feature_set);
-  
+
   void select_random_region();
 
   void add_cluster_features ()
@@ -113,7 +113,7 @@ class Cluster_classification : public It
     m_features.template add<CGAL::Classification::Feature::Eigenvalue> (m_clusters, *m_eigen, 0);
     m_features.template add<CGAL::Classification::Feature::Eigenvalue> (m_clusters, *m_eigen, 1);
     m_features.template add<CGAL::Classification::Feature::Eigenvalue> (m_clusters, *m_eigen, 2);
-    
+
     // m_features.template add<CGAL::Classification::Feature::Linearity> (m_clusters, *m_eigen);
     // m_features.template add<CGAL::Classification::Feature::Planarity> (m_clusters, *m_eigen);
     // m_features.template add<CGAL::Classification::Feature::Sphericity> (m_clusters, *m_eigen);
@@ -124,7 +124,7 @@ class Cluster_classification : public It
     // m_features.template add<CGAL::Classification::Feature::Surface_variation> (m_clusters, *m_eigen);
     // m_features.template add<CGAL::Classification::Feature::Verticality<Kernel> > (m_clusters, *m_eigen);
   }
-  
+
   template <typename Type>
   bool try_adding_simple_feature (Feature_set& feature_set, const std::string& name)
   {
@@ -138,7 +138,7 @@ class Cluster_classification : public It
 
     return okay;
   }
-  
+
   void add_selection_to_training_set (std::size_t label)
   {
     for (Point_set::const_iterator it = m_points->point_set()->first_selected();
@@ -211,7 +211,7 @@ class Cluster_classification : public It
   {
     Scene_points_with_normal_item* points_item
       = new Scene_points_with_normal_item;
-    
+
     points_item->setName (QString("%1 (%2)").arg(name).arg(m_labels[label]->name().c_str()));
     points_item->setColor (m_label_colors[label]);
     for (Point_set::const_iterator it = m_points->point_set()->begin();
@@ -252,7 +252,7 @@ class Cluster_classification : public It
     }
 
   }
-  
+
   QColor add_new_label (const char* name)
   {
     QColor out = Item_classification_base::add_new_label (name);
@@ -263,14 +263,14 @@ class Cluster_classification : public It
   void remove_label (std::size_t position)
   {
     Item_classification_base::remove_label (position);
-    
+
     for (std::size_t i = 0; i < m_clusters.size(); ++ i)
     {
       if (m_clusters[i].training() == int(position))
         m_clusters[i].training() = -1;
       else if (m_clusters[i].training() > int(position))
         m_clusters[i].training() --;
-          
+
       if (m_clusters[i].label() == int(position))
         m_clusters[i].label() = -1;
       else if (m_clusters[i].label() > int(position))
@@ -279,7 +279,7 @@ class Cluster_classification : public It
 
     update_comments_of_point_set_item();
   }
-  
+
   void fill_display_combo_box (QComboBox* cb, QComboBox* cb1) const
   {
     cb->addItem ("Clusters");
@@ -296,10 +296,10 @@ class Cluster_classification : public It
   void update_comments_of_point_set_item()
   {
     std::string& comments = m_points->comments();
-    
+
     // Remove previously registered labels from comments
     std::string new_comment;
-      
+
     std::istringstream stream (comments);
     std::string line;
     while (getline(stream, line))
@@ -320,7 +320,7 @@ class Cluster_classification : public It
       comments += oss.str();
     }
   }
-  
+
   template <typename Classifier>
   bool run (int method, const Classifier& classifier,
             std::size_t subdivisions, double smoothing)
@@ -352,14 +352,14 @@ class Cluster_classification : public It
       m_clusters[i].label() = indices[i];
       ground_truth[i] = m_clusters[i].training();
     }
-  
+
     if (m_index_color == 1 || m_index_color == 2)
       change_color (m_index_color);
 
     std::cerr << "Precision, recall, F1 scores and IoU:" << std::endl;
-    
+
     CGAL::Classification::Evaluation eval (m_labels, ground_truth, indices);
-  
+
     for (std::size_t i = 0; i < m_labels.size(); ++ i)
     {
       std::cerr << " * " << m_labels[i]->name() << ": "
@@ -388,15 +388,15 @@ class Cluster_classification : public It
   Point_set::Property_map<int> m_cluster_id;
   Point_set::Property_map<int> m_training;
   Point_set::Property_map<int> m_classif;
-  
+
   std::vector<std::vector<float> > m_label_probabilities;
-  
+
   int m_index_color;
 
   boost::shared_ptr<Local_eigen_analysis> m_eigen;
 
   bool m_input_is_las;
-  
+
 }; // end class Cluster_classification
 
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Classification/CMakeLists.txt 5.0.3-1/demo/Polyhedron/Plugins/Classification/CMakeLists.txt
--- 5.0.2-3/demo/Polyhedron/Plugins/Classification/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Classification/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -4,7 +4,7 @@ if(EIGEN3_FOUND)
 
   set(classification_linked_libraries)
   set(classification_compile_definitions)
-  
+
   find_package(Boost OPTIONAL_COMPONENTS serialization iostreams)
 
   if( WIN32 )
@@ -59,7 +59,7 @@ if(EIGEN3_FOUND)
     else()
       message(STATUS "NOTICE: TensorFlow not found, Neural Network predicate for classification won't be available.")
     endif()
-    
+
     target_link_libraries(classification_plugin PUBLIC scene_points_with_normal_item
       scene_polylines_item scene_polygon_soup_item scene_surface_mesh_item scene_selection_item scene_color_ramp ${classification_linked_libraries})
     add_dependencies(classification_plugin point_set_selection_plugin selection_plugin)
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Classification/Item_classification_base.h 5.0.3-1/demo/Polyhedron/Plugins/Classification/Item_classification_base.h
--- 5.0.2-3/demo/Polyhedron/Plugins/Classification/Item_classification_base.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Classification/Item_classification_base.h	2020-08-01 19:02:42.000000000 +0000
@@ -36,9 +36,9 @@ public:
 #ifdef CGAL_LINKED_WITH_TENSORFLOW
   typedef CGAL::Classification::TensorFlow::Neural_network_classifier<> Neural_network;
 #endif
-  
+
 public:
-  
+
   Item_classification_base() { }
   virtual ~Item_classification_base() { }
 
@@ -50,7 +50,7 @@ public:
   virtual void compute_features (std::size_t nb_scales, float voxel_size) = 0;
 
   virtual std::string feature_statistics () const { return std::string(); }
-  
+
   virtual void add_selection_to_training_set (std::size_t label) = 0;
   virtual void reset_training_set (std::size_t label) = 0;
   virtual void reset_training_set_of_selection() = 0;
@@ -60,7 +60,7 @@ public:
   virtual void validate_selection () = 0;
   virtual void train(int classifier, const QMultipleInputDialog&) = 0;
   virtual bool run (int method, int classifier, std::size_t subdivisions, double smoothing) = 0;
-  
+
   virtual void update_color () = 0;
   virtual void change_color (int index, float* vmin = NULL, float* vmax = NULL) = 0;
   virtual CGAL::Three::Scene_item* generate_one_item (const char* name,
@@ -69,19 +69,19 @@ public:
                                            const char* name) const = 0;
 
   bool features_computed() const { return (m_features.size() != 0); }
-  std::size_t number_of_features() const { return m_features.size(); }  
+  std::size_t number_of_features() const { return m_features.size(); }
   Feature_handle feature(std::size_t i) { return m_features[i]; }
   float weight (Feature_handle f) const { return m_sowf->weight(f); }
   void set_weight (Feature_handle f, float w) const { m_sowf->set_weight(f,w); }
   Sum_of_weighted_features::Effect effect (Label_handle l, Feature_handle f) const { return m_sowf->effect(l,f); }
   void set_effect (Label_handle l, Feature_handle f, Sum_of_weighted_features::Effect e)
   { m_sowf->set_effect (l, f, e); }
-  
+
   virtual QColor add_new_label (const char* name)
   {
     m_labels.add(name);
     m_label_colors.push_back (get_new_label_color (name));
-    
+
     delete m_sowf;
     m_sowf = new Sum_of_weighted_features (m_labels, m_features);
 
@@ -97,7 +97,7 @@ public:
     delete m_neural_network;
     m_neural_network = new Neural_network (m_labels, m_features);
 #endif
-    
+
     return m_label_colors.back();
   }
   virtual void remove_label (std::size_t position)
@@ -121,7 +121,7 @@ public:
     m_neural_network = new Neural_network (m_labels, m_features);
 #endif
   }
-  
+
   virtual void clear_labels ()
   {
     m_labels.clear();
@@ -248,7 +248,7 @@ public:
     QColor color (64 + rand() % 192,
                   64 + rand() % 192,
                   64 + rand() % 192);
-      
+
     if (name == "ground")
       color = QColor (186, 189, 182);
     else if (name == "low_veget")
@@ -287,7 +287,7 @@ public:
       color = QColor (255, 0, 0);
     else if (name == "facade")
       color = QColor (77, 131, 186);
-    
+
     return color;
   }
 
@@ -304,7 +304,7 @@ protected:
 #ifdef CGAL_LINKED_WITH_TENSORFLOW
   Neural_network* m_neural_network;
 #endif
-  
+
 };
 
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Classification/Point_set_item_classification.cpp 5.0.3-1/demo/Polyhedron/Plugins/Classification/Point_set_item_classification.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Classification/Point_set_item_classification.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Classification/Point_set_item_classification.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -48,7 +48,7 @@ Point_set_item_classification::Point_set
   bool classif_found = false;
   boost::tie (m_classif, classif_found) = m_points->point_set()->add_property_map<int>("label", -1);
 
-  training_found = !training_found; // add_property_map returns false if 
+  training_found = !training_found; // add_property_map returns false if
   classif_found = !classif_found;   // property was already there
 
   bool las_found = false;
@@ -73,11 +73,11 @@ Point_set_item_classification::Point_set
       training_found = true;
     }
   }
-    
+
   if (training_found || classif_found)
   {
     std::vector<int> used_indices;
-    
+
     for (Point_set::const_iterator it = m_points->point_set()->begin();
          it != m_points->point_set()->first_selected(); ++ it)
     {
@@ -140,7 +140,7 @@ Point_set_item_classification::Point_set
         }
       }
     }
-    
+
     std::map<int, std::string> label_names;
     if (las_found) // Use LAS standard
     {
@@ -183,7 +183,7 @@ Point_set_item_classification::Point_set
         }
       }
     }
-    
+
     for (std::size_t i = 0; i < used_indices.size(); ++ i)
     {
       if (used_indices[i] == -1)
@@ -214,7 +214,7 @@ Point_set_item_classification::Point_set
     for (std::size_t i = 0; i < m_labels.size(); ++ i)
       m_label_colors.push_back (this->get_new_label_color (m_labels[i]->name()));
   }
-  
+
   update_comments_of_point_set_item();
 
   m_sowf = new Sum_of_weighted_features (m_labels, m_features);
@@ -251,7 +251,7 @@ Point_set_item_classification::~Point_se
     {
       Point_set::Property_map<unsigned char> las_classif
         = m_points->point_set()->add_property_map<unsigned char>("classification", 0).first;
-    
+
       std::vector<unsigned char> label_indices;
 
       unsigned char custom = 19;
@@ -302,14 +302,14 @@ Point_set_item_classification::~Point_se
         unsigned char lc = 1; // unclassified in LAS standard
         if (c != -1)
           lc = label_indices[std::size_t(c)];
-        
+
         las_classif[*it] = lc;
 
         int t = m_training[*it];
         unsigned char lt = 1; // unclassified in LAS standard
         if (t != -1)
           lt = label_indices[std::size_t(t)];
-        
+
         m_training[*it] = int(lt);
       }
 
@@ -359,19 +359,19 @@ void Point_set_item_classification::chan
   m_index_color = index;
 
   int index_color = real_index_color();
-    
+
   // Colors
   static Color_ramp ramp;
   ramp.build_rainbow();
   reset_indices();
-  
+
   if (index_color == -1) // item color
     m_points->point_set()->remove_colors();
   else
   {
     if (!m_points->point_set()->has_colors())
       m_points->point_set()->add_colors();
-    
+
     if (index_color == 0) // real colors
     {
 
@@ -386,7 +386,7 @@ void Point_set_item_classification::chan
       {
         QColor color (0, 0, 0);
         std::size_t c = m_classif[*it];
-          
+
         if (c != std::size_t(-1))
           color = m_label_colors[c];
 
@@ -401,10 +401,10 @@ void Point_set_item_classification::chan
         QColor color (0, 0, 0);
         int c = m_training[*it];
         int c2 = m_classif[*it];
-          
+
         if (c != -1)
           color = m_label_colors[std::size_t(c)];
-          
+
         float div = 1;
         if (c != c2)
           div = 2;
@@ -429,7 +429,7 @@ void Point_set_item_classification::chan
           for (Point_set::const_iterator it = m_points->point_set()->begin();
                it != m_points->point_set()->first_selected(); ++ it)
           {
-            float v = std::max (0.f, std::min(1.f, m_label_probabilities[corrected_index][*it]));
+            float v = (std::max)(0.f, (std::min)(1.f, m_label_probabilities[corrected_index][*it]));
             m_points->point_set()->set_color(*it, ramp.r(v) * 255, ramp.g(v) * 255, ramp.b(v) * 255);
           }
         }
@@ -443,9 +443,9 @@ void Point_set_item_classification::chan
           return;
         }
         Feature_handle feature = m_features[corrected_index];
-        
-        float min = std::numeric_limits<float>::max();
-        float max = -std::numeric_limits<float>::max();
+
+        float min = (std::numeric_limits<float>::max)();
+        float max = -(std::numeric_limits<float>::max)();
 
         if (vmin != NULL && vmax != NULL
             && *vmin != std::numeric_limits<float>::infinity()
@@ -471,7 +471,7 @@ void Point_set_item_classification::chan
           float v = (feature->value(*it) - min) / (max - min);
           if (v < 0.f) v = 0.f;
           if (v > 1.f) v = 1.f;
-          
+
           m_points->point_set()->set_color(*it, ramp.r(v) * 255, ramp.g(v) * 255, ramp.b(v) * 255);
         }
 
@@ -483,7 +483,7 @@ void Point_set_item_classification::chan
       }
     }
   }
-  
+
   for (Point_set::const_iterator it = m_points->point_set()->first_selected();
        it != m_points->point_set()->end(); ++ it)
     m_points->point_set()->set_color(*it, 255, 0, 0);
@@ -492,7 +492,7 @@ void Point_set_item_classification::chan
 int Point_set_item_classification::real_index_color() const
 {
   int out = m_index_color;
-  
+
   if (out == 0 && m_color == Point_set::Property_map<CGAL::Color>())
     out = -1;
   return out;
@@ -518,7 +518,7 @@ void Point_set_item_classification::comp
     delete m_generator;
 
   reset_indices();
-  
+
   std::cerr << "Computing features with " << nb_scales << " scale(s) and ";
   if (voxel_size == -1)
     std::cerr << "automatic voxel size" << std::endl;
@@ -531,9 +531,9 @@ void Point_set_item_classification::comp
   bool normals = m_points->point_set()->has_normal_map();
   if (normals)
     normal_map = m_points->point_set()->normal_map();
-  
+
   bool colors = (m_color != Point_set::Property_map<CGAL::Color>());
-  
+
   Point_set::Property_map<boost::uint8_t> echo_map;
   bool echo;
   boost::tie (echo_map, echo) = m_points->point_set()->template property_map<boost::uint8_t>("echo");
@@ -544,7 +544,7 @@ void Point_set_item_classification::comp
 
   CGAL::Real_timer t;
   t.start();
-    
+
 #ifdef CGAL_LINKED_WITH_TBB
   m_features.begin_parallel_additions();
 #endif
@@ -556,7 +556,7 @@ void Point_set_item_classification::comp
     m_generator->generate_color_based_features (m_features, m_color);
   if (echo)
     m_generator->generate_echo_based_features (m_features, echo_map);
-  
+
 #ifdef CGAL_LINKED_WITH_TBB
   m_features.end_parallel_additions();
 #endif
@@ -629,7 +629,7 @@ void Point_set_item_classification::sele
         current_idx ++;
       else
         unselected.push_back (*it);
-  
+
   }
   else
   {
@@ -645,7 +645,7 @@ void Point_set_item_classification::sele
       else
         unselected.push_back (*it);
   }
-  
+
   for (std::size_t i = 0; i < unselected.size(); ++ i)
     *(m_points->point_set()->begin() + i) = unselected[i];
   for (std::size_t i = 0; i < selected.size(); ++ i)
@@ -659,7 +659,7 @@ void Point_set_item_classification::sele
 void Point_set_item_classification::add_remaining_point_set_properties_as_features()
 {
   const std::vector<std::string>& prop = m_points->point_set()->base().properties();
-  
+
   for (std::size_t i = 0; i < prop.size(); ++ i)
   {
     if (prop[i] == "index" ||
@@ -708,13 +708,13 @@ void Point_set_item_classification::trai
   m_label_probabilities.resize (m_labels.size());
   for (std::size_t i = 0; i < m_label_probabilities.size(); ++ i)
     m_label_probabilities[i].resize (m_points->point_set()->size(), -1);
-  
+
   std::vector<int> training (m_points->point_set()->size(), -1);
   std::vector<int> indices (m_points->point_set()->size(), -1);
 
   std::vector<std::size_t> nb_label (m_labels.size(), 0);
   std::size_t nb_total = 0;
-  
+
   for (Point_set::const_iterator it = m_points->point_set()->begin();
        it != m_points->point_set()->first_selected(); ++ it)
   {
@@ -796,24 +796,24 @@ void Point_set_item_classification::trai
       while (iss >> s)
         hidden_layers.push_back (std::size_t(s));
     }
-    
+
     m_neural_network->train (training,
                              dialog.get<QCheckBox>("restart")->isChecked(),
                              dialog.get<QSpinBox>("trials")->value(),
                              dialog.get<QDoubleSpinBox>("learning_rate")->value(),
                              dialog.get<QSpinBox>("batch_size")->value(),
                              hidden_layers);
-      
+
     CGAL::Classification::classify<Concurrency_tag> (*(m_points->point_set()),
                                                      m_labels, *m_neural_network,
                                                      indices, m_label_probabilities);
 #endif
   }
-  
+
   for (Point_set::const_iterator it = m_points->point_set()->begin();
        it != m_points->point_set()->first_selected(); ++ it)
     m_classif[*it] = indices[*it];
-  
+
   if (m_index_color == 1 || m_index_color == 2)
      change_color (m_index_color);
 }
@@ -862,7 +862,7 @@ bool Point_set_item_classification::run
     run (method, *m_neural_network, subdivisions, smoothing);
 #endif
   }
-  
+
   return true;
 }
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Classification/Point_set_item_classification.h 5.0.3-1/demo/Polyhedron/Plugins/Classification/Point_set_item_classification.h
--- 5.0.2-3/demo/Polyhedron/Plugins/Classification/Point_set_item_classification.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Classification/Point_set_item_classification.h	2020-08-01 19:02:42.000000000 +0000
@@ -30,12 +30,12 @@ class Point_set_item_classification : pu
  public:
   typedef Kernel::Point_3 Point_3;
   typedef Kernel::Vector_3 Vector_3;
-  
+
   typedef Point_set::Point_map Point_map;
   typedef Point_set::Vector_map Vector_map;
 
   typedef CGAL::Classification::Point_set_feature_generator<Kernel, Point_set, Point_map>               Generator;
-  
+
   struct Cluster
   {
     std::vector<Point_set::Index> inliers;
@@ -46,13 +46,13 @@ class Point_set_item_classification : pu
     std::size_t size() const { return inliers.size(); }
     const Point_set::Index& operator[] (std::size_t i) const { return inliers[i]; }
   };
-  
+
   struct Cluster_neighborhood
   {
     Point_set* point_set;
     Point_set::Property_map<int> cluster_id;
     std::vector<Cluster>* clusters;
-    
+
     Cluster_neighborhood (Point_set* point_set,
                           std::vector<Cluster>& clusters)
       : point_set (point_set)
@@ -60,7 +60,7 @@ class Point_set_item_classification : pu
     {
       cluster_id = point_set->property_map<int>("shape").first;
     }
-    
+
     template <typename OutputIterator>
     OutputIterator operator() (const Point_set::Index& idx,
                                OutputIterator output) const
@@ -77,9 +77,9 @@ class Point_set_item_classification : pu
       return output;
     }
   };
-  
+
  public:
-  
+
   Point_set_item_classification(Scene_points_with_normal_item* points);
   ~Point_set_item_classification();
 
@@ -107,7 +107,7 @@ class Point_set_item_classification : pu
     double dx = bb.xmax() - bb.xmin();
     double dy = bb.ymax() - bb.ymin();
     double dz = bb.zmax() - bb.zmin();
-    
+
     dx *= 10.;
     dy *= 10.;
     dz *= 10.;
@@ -124,11 +124,11 @@ class Point_set_item_classification : pu
 
     for (std::size_t i = 0; i < m_features.size(); ++ i)
     {
-      float vmin = std::numeric_limits<float>::max();
-      float vmax = -std::numeric_limits<float>::max();
+      float vmin = (std::numeric_limits<float>::max)();
+      float vmax = -(std::numeric_limits<float>::max)();
       float vmean = 0.f;
       std::size_t nb = 0;
-      
+
       for (Point_set::const_iterator it = m_points->point_set()->begin_or_selection_begin();
            it != m_points->point_set()->end(); ++ it)
       {
@@ -144,9 +144,9 @@ class Point_set_item_classification : pu
 
     return oss.str();
   }
-  
+
   void add_remaining_point_set_properties_as_features();
-  
+
   void select_random_region();
 
   template <typename Type>
@@ -166,7 +166,7 @@ class Point_set_item_classification : pu
 
     return okay;
   }
-  
+
   void add_selection_to_training_set (std::size_t label)
   {
     for (Point_set::const_iterator it = m_points->point_set()->first_selected();
@@ -228,7 +228,7 @@ class Point_set_item_classification : pu
   {
     Scene_points_with_normal_item* points_item
       = new Scene_points_with_normal_item;
-    
+
     points_item->setName (QString("%1 (%2)").arg(name).arg(m_labels[label]->name().c_str()));
     points_item->setColor (m_label_colors[label]);
     for (Point_set::const_iterator it = m_points->point_set()->begin();
@@ -261,7 +261,7 @@ class Point_set_item_classification : pu
           points_item[c]->point_set()->insert (m_points->point_set()->point(*it));
       }
   }
-  
+
   QColor add_new_label (const char* name)
   {
     QColor out = Item_classification_base::add_new_label (name);
@@ -280,7 +280,7 @@ class Point_set_item_classification : pu
         m_training[*it] = -1;
       else if (m_training[*it] > int(position))
         m_training[*it] --;
-      
+
       if (m_classif[*it] == int(position))
         m_classif[*it] = -1;
       else if (m_classif[*it] > int(position))
@@ -288,7 +288,7 @@ class Point_set_item_classification : pu
     }
     update_comments_of_point_set_item();
   }
-  
+
   int real_index_color() const;
   void reset_indices();
   void backup_existing_colors_and_add_new();
@@ -299,10 +299,10 @@ class Point_set_item_classification : pu
   void update_comments_of_point_set_item()
   {
     std::string& comments = m_points->comments();
-    
+
     // Remove previously registered labels from comments
     std::string new_comment;
-      
+
     std::istringstream stream (comments);
     std::string line;
     while (getline(stream, line))
@@ -323,7 +323,7 @@ class Point_set_item_classification : pu
       comments += oss.str();
     }
   }
-  
+
   template <typename Classifier>
   bool run (int method, const Classifier& classifier,
             std::size_t subdivisions, double smoothing)
@@ -334,7 +334,7 @@ class Point_set_item_classification : pu
     m_label_probabilities.resize (m_labels.size());
     for (std::size_t i = 0; i < m_label_probabilities.size(); ++ i)
       m_label_probabilities[i].resize (m_points->point_set()->size(), -1);
-    
+
     if (method == 0)
       CGAL::Classification::classify<Concurrency_tag> (*(m_points->point_set()),
                                                        m_labels, classifier,
@@ -372,14 +372,14 @@ class Point_set_item_classification : pu
         m_classif[*it] = indices[*it];
         ground_truth[*it] = m_training[*it];
       }
-  
+
     if (m_index_color == 1 || m_index_color == 2)
       change_color (m_index_color);
 
     std::cerr << "Precision, recall, F1 scores and IoU:" << std::endl;
-    
+
     CGAL::Classification::Evaluation eval (m_labels, ground_truth, indices);
-  
+
     for (std::size_t i = 0; i < m_labels.size(); ++ i)
       {
         std::cerr << " * " << m_labels[i]->name() << ": "
@@ -411,11 +411,11 @@ class Point_set_item_classification : pu
   Point_set::Property_map<int> m_classif;
 
   Generator* m_generator;
-  
+
   int m_index_color;
 
   bool m_input_is_las;
-  
+
 }; // end class Point_set_item_classification
 
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Classification/Surface_mesh_item_classification.cpp 5.0.3-1/demo/Polyhedron/Plugins/Classification/Surface_mesh_item_classification.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Classification/Surface_mesh_item_classification.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Classification/Surface_mesh_item_classification.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -28,10 +28,10 @@ Surface_mesh_item_classification::Surfac
   m_labels.add("vegetation");
   m_labels.add("roof");
   m_labels.add("facade");
-  
+
   for (std::size_t i = 0; i < m_labels.size(); ++ i)
     m_label_colors.push_back (this->get_new_label_color (m_labels[i]->name()));
-  
+
   m_sowf = new Sum_of_weighted_features (m_labels, m_features);
   m_ethz = NULL;
 #ifdef CGAL_LINKED_WITH_OPENCV
@@ -106,7 +106,7 @@ void Surface_mesh_item_classification::c
     {
       QColor color (128, 128, 128);
       std::size_t c = m_classif[fd];
-      
+
       if (c != std::size_t(-1))
         color = m_label_colors[c];
 
@@ -120,10 +120,10 @@ void Surface_mesh_item_classification::c
       QColor color (128, 128, 128);
       std::size_t c = m_training[fd];
       std::size_t c2 = m_classif[fd];
-          
+
       if (c != std::size_t(-1))
         color = m_label_colors[c];
-      
+
       float div = 1;
       if (c != c2)
         div = 2;
@@ -151,7 +151,7 @@ void Surface_mesh_item_classification::c
       {
         for(face_descriptor fd : faces(*(m_mesh->polyhedron())))
         {
-          float v = std::max (0.f, std::min(1.f, m_label_probabilities[corrected_index][fd]));
+          float v = (std::max) (0.f, (std::min)(1.f, m_label_probabilities[corrected_index][fd]));
           m_color[fd] = CGAL::Color((unsigned char)(ramp.r(v) * 255),
                                     (unsigned char)(ramp.g(v) * 255),
                                     (unsigned char)(ramp.b(v) * 255));
@@ -166,12 +166,12 @@ void Surface_mesh_item_classification::c
         std::cerr << "Error: trying to access feature " << corrected_index << " out of " << m_features.size() << std::endl;
         return;
       }
-    
+
       Feature_handle feature = m_features[corrected_index];
 
-      float min = std::numeric_limits<float>::max();
-      float max = -std::numeric_limits<float>::max();
-      
+      float min = (std::numeric_limits<float>::max)();
+      float max = -(std::numeric_limits<float>::max)();
+
       if (vmin != NULL && vmax != NULL
           && *vmin != std::numeric_limits<float>::infinity()
           && *vmax != std::numeric_limits<float>::infinity())
@@ -189,18 +189,18 @@ void Surface_mesh_item_classification::c
             min = feature->value(fd);
         }
       }
-      
+
       for(face_descriptor fd : faces(*(m_mesh->polyhedron())))
       {
         float v = (feature->value(fd) - min) / (max - min);
         if (v < 0.f) v = 0.f;
         if (v > 1.f) v = 1.f;
-        
+
         m_color[fd] = CGAL::Color((unsigned char)(ramp.r(v) * 255),
                                   (unsigned char)(ramp.g(v) * 255),
                                   (unsigned char)(ramp.b(v) * 255));
       }
-      
+
       if (vmin != NULL && vmax != NULL)
       {
         *vmin = min;
@@ -217,16 +217,16 @@ void Surface_mesh_item_classification::c
     std::cerr << "automatic voxel size" << std::endl;
   else
     std::cerr << "voxel size = " << voxel_size << std::endl;
-  
+
   m_features.clear();
 
   if (m_generator != NULL)
     delete m_generator;
 
   Face_center_map fc_map (m_mesh->polyhedron());
-  
+
   m_generator = new Generator (*(m_mesh->polyhedron()), fc_map, nb_scales, voxel_size);
-  
+
 #ifdef CGAL_LINKED_WITH_TBB
   m_features.begin_parallel_additions();
 #endif
@@ -237,7 +237,7 @@ void Surface_mesh_item_classification::c
 #ifdef CGAL_LINKED_WITH_TBB
   m_features.end_parallel_additions();
 #endif
-  
+
   delete m_sowf;
   m_sowf = new Sum_of_weighted_features (m_labels, m_features);
   if (m_ethz != NULL)
@@ -280,7 +280,7 @@ void Surface_mesh_item_classification::t
 
   std::vector<std::size_t> nb_label (m_labels.size(), 0);
   std::size_t nb_total = 0;
-  
+
   for(face_descriptor fd : faces(*(m_mesh->polyhedron())))
   {
     training[fd] = m_training[fd];
@@ -290,12 +290,12 @@ void Surface_mesh_item_classification::t
       ++ nb_total;
     }
   }
-  
+
   std::cerr << nb_total << " face(s) used for training ("
             << 100. * (nb_total / double(m_mesh->polyhedron()->faces().size())) << "% of the total):" << std::endl;
   for (std::size_t i = 0; i < m_labels.size(); ++ i)
     std::cerr << " * " << m_labels[i]->name() << ": " << nb_label[i] << " face(s)" << std::endl;
-  
+
   if (classifier == 0)
   {
     m_sowf->train<Concurrency_tag>(training, dialog.get<QSpinBox>("trials")->value());
@@ -362,14 +362,14 @@ void Surface_mesh_item_classification::t
       while (iss >> s)
         hidden_layers.push_back (std::size_t(s));
     }
-    
+
     m_neural_network->train (training,
                              dialog.get<QCheckBox>("restart")->isChecked(),
                              dialog.get<QSpinBox>("trials")->value(),
                              dialog.get<QDoubleSpinBox>("learning_rate")->value(),
                              dialog.get<QSpinBox>("batch_size")->value(),
                              hidden_layers);
-      
+
     CGAL::Classification::classify<Concurrency_tag> (m_mesh->polyhedron()->faces(),
                                                      m_labels, *m_neural_network,
                                                      indices, m_label_probabilities);
@@ -425,6 +425,6 @@ bool Surface_mesh_item_classification::r
     run (method, *m_neural_network, subdivisions, smoothing);
 #endif
   }
-  
+
   return true;
 }
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Classification/Surface_mesh_item_classification.h 5.0.3-1/demo/Polyhedron/Plugins/Classification/Surface_mesh_item_classification.h
--- 5.0.2-3/demo/Polyhedron/Plugins/Classification/Surface_mesh_item_classification.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Classification/Surface_mesh_item_classification.h	2020-08-01 19:02:42.000000000 +0000
@@ -41,7 +41,7 @@ public:
   typedef CGAL::Classification::Mesh_feature_generator<Kernel, Mesh, Face_center_map> Generator;
 
 public:
-  
+
   Surface_mesh_item_classification(Scene_surface_mesh_item* mesh);
   ~Surface_mesh_item_classification();
 
@@ -51,12 +51,12 @@ public:
   void erase_item() { m_mesh = NULL; }
 
   void compute_features (std::size_t nb_scales, float voxel_size);
-  
+
   void add_selection_to_training_set (std::size_t label)
   {
     if (m_selection == NULL)
       return;
-    
+
     for (Selection::iterator it = m_selection->selected_facets.begin();
          it != m_selection->selected_facets.end(); ++ it)
     {
@@ -76,7 +76,7 @@ public:
     if (m_index_color == 1 || m_index_color == 2)
       change_color (m_index_color);
   }
-  
+
   void reset_training_set_of_selection ()
   {
     for (Selection::iterator it = m_selection->selected_facets.begin();
@@ -86,11 +86,11 @@ public:
       m_classif[*it] = -1;
     }
     m_selection->clear_all();
-    
+
     if (m_index_color == 1 || m_index_color == 2)
       change_color (m_index_color);
   }
-  
+
   void reset_training_sets()
   {
     for(face_descriptor fd : faces(*(m_mesh->polyhedron())))
@@ -107,12 +107,12 @@ public:
   {
     if (m_selection == NULL)
       return;
-    
+
     for (Selection::iterator it = m_selection->selected_facets.begin();
          it != m_selection->selected_facets.end(); ++ it)
       m_training[*it] = m_classif[*it];
     m_selection->clear_all();
-    
+
     if (m_index_color == 1 || m_index_color == 2)
       change_color (m_index_color);
   }
@@ -148,7 +148,7 @@ protected:
   {
     std::vector<std::size_t> indices(m_mesh->polyhedron()->faces().size(), -1);
     Face_center_map fc_map (m_mesh->polyhedron());
-    
+
     if (method == 0)
       CGAL::Classification::classify<Concurrency_tag> (m_mesh->polyhedron()->faces(),
                                                        m_labels, classifier,
@@ -161,28 +161,28 @@ protected:
     else if (method == 2)
     {
       // Fix: need bbox of face
-      
+
       CGAL::Classification::classify_with_graphcut<Concurrency_tag>
         (m_mesh->polyhedron()->faces(), Face_descriptor_with_bbox_map(m_mesh->polyhedron()),
          m_labels, classifier,
          m_generator->neighborhood().n_ring_neighbor_query(1),
          smoothing, subdivisions, indices);
     }
-    
+
     std::vector<std::size_t> ground_truth(num_faces(*(m_mesh->polyhedron())), std::size_t(-1));
     for(face_descriptor fd : faces(*(m_mesh->polyhedron())))
     {
       m_classif[fd] = indices[fd];
       ground_truth[fd] = m_training[fd];
     }
-  
+
     if (m_index_color == 1 || m_index_color == 2)
       change_color (m_index_color);
 
     std::cerr << "Precision, recall, F1 scores and IoU:" << std::endl;
-    
+
     CGAL::Classification::Evaluation eval (m_labels, ground_truth, indices);
-  
+
     for (std::size_t i = 0; i < m_labels.size(); ++ i)
       {
         std::cerr << " * " << m_labels[i]->name() << ": "
@@ -199,7 +199,7 @@ protected:
 
     return true;
   }
-  
+
   Scene_surface_mesh_item* m_mesh;
   Scene_polyhedron_selection_item* m_selection;
   Mesh::Property_map<face_descriptor, std::size_t> m_training;
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Convex_decomposition/Nef_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Convex_decomposition/Nef_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Convex_decomposition/Nef_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Convex_decomposition/Nef_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -151,7 +151,7 @@ Polyhedron_demo_nef_plugin::on_actionCon
     std::cerr << "Convex decomposition...";
 
     QApplication::setOverrideCursor(Qt::WaitCursor);
-    
+
     std::list<Scene_surface_mesh_item*> convex_parts;
     item->convex_decomposition(convex_parts);
     int i = 0;
@@ -181,8 +181,8 @@ void
 Polyhedron_demo_nef_plugin::on_actionToPoly_triggered()
 {
   const CGAL::Three::Scene_interface::Item_id index = scene->mainSelectionIndex();
-  
-  Scene_nef_polyhedron_item* item = 
+
+  Scene_nef_polyhedron_item* item =
     qobject_cast<Scene_nef_polyhedron_item*>(scene->item(index));
 
   if(item)
@@ -260,9 +260,9 @@ void Polyhedron_demo_nef_plugin::boolean
                          .arg(QString("Convert to Nef Polyhedron"))
                          .arg(menu ? menu->title() : "Boolean Operations"));
   }
-  Scene_nef_polyhedron_item* itemA = 
+  Scene_nef_polyhedron_item* itemA =
     qobject_cast<Scene_nef_polyhedron_item*>(scene->item(indexA));
-  Scene_nef_polyhedron_item* itemB = 
+  Scene_nef_polyhedron_item* itemB =
     qobject_cast<Scene_nef_polyhedron_item*>(scene->item(indexB));
   if(!itemA || !itemB)
     return;
@@ -291,7 +291,7 @@ void Polyhedron_demo_nef_plugin::boolean
     (*new_item) -= (*itemB);
     break;
   case MINKOWSKI_SUM:
-    new_item = Scene_nef_polyhedron_item::sum(*itemA, 
+    new_item = Scene_nef_polyhedron_item::sum(*itemA,
                                               *itemB);
   }
   std::cout << "ok (" << time.elapsed() << " ms)" << std::endl;
@@ -311,7 +311,7 @@ void Polyhedron_demo_nef_plugin::boolean
   case MINKOWSKI_SUM:
     name = tr("Minkowski sum of %1 and %2");
   }
-  
+
   new_item->setName(name.arg(itemA->name(), itemB->name()));
   new_item->setColor(Qt::green);
   new_item->setRenderingMode(FlatPlusEdges);
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Convex_hull/Convex_hull_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Convex_hull/Convex_hull_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Convex_hull/Convex_hull_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Convex_hull/Convex_hull_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -15,7 +15,7 @@
 #include <CGAL/boost/graph/copy_face_graph.h>
 #include <CGAL/boost/iterator/transform_iterator.hpp>
 using namespace CGAL::Three;
-class Polyhedron_demo_convex_hull_plugin : 
+class Polyhedron_demo_convex_hull_plugin :
   public QObject,
   public Polyhedron_demo_plugin_interface
 {
@@ -38,7 +38,7 @@ public:
   QList<QAction*> actions()const {return _actions;}
 
   bool applicable(QAction*) const {
-    return 
+    return
       qobject_cast<Scene_surface_mesh_item*>(scene->item(scene->mainSelectionIndex())) ||
       qobject_cast<Scene_polylines_item*>(scene->item(scene->mainSelectionIndex())) ||
       qobject_cast<Scene_points_with_normal_item*>(scene->item(scene->mainSelectionIndex())) ||
@@ -59,21 +59,21 @@ void Polyhedron_demo_convex_hull_plugin:
   const CGAL::Three::Scene_interface::Item_id index = scene->mainSelectionIndex();
     Scene_points_with_normal_item* pts_item =
     qobject_cast<Scene_points_with_normal_item*>(scene->item(index));
-  
-  Scene_polylines_item* lines_item = 
+
+  Scene_polylines_item* lines_item =
     qobject_cast<Scene_polylines_item*>(scene->item(index));
-  
-  Scene_polyhedron_selection_item* selection_item = 
+
+  Scene_polyhedron_selection_item* selection_item =
     qobject_cast<Scene_polyhedron_selection_item*>(scene->item(index));
 
-  Scene_surface_mesh_item* sm_item = 
+  Scene_surface_mesh_item* sm_item =
     qobject_cast<Scene_surface_mesh_item*>(scene->item(index));
 
   if( pts_item || lines_item || selection_item || sm_item)
   {
     // wait cursor
     QApplication::setOverrideCursor(Qt::WaitCursor);
-    
+
     QElapsedTimer time;
     time.start();
     std::cout << "Convex hull...";
@@ -85,7 +85,7 @@ void Polyhedron_demo_convex_hull_plugin:
     if(selection_item) {
       SMesh* pMesh = selection_item->polyhedron();
       Vpmap vpm = get(CGAL::vertex_point,*pMesh);
-      
+
       Vpmap_fct v2p(vpm);
       CGAL::convex_hull_3(
         boost::make_transform_iterator(selection_item->selected_vertices.begin(), v2p),
@@ -95,15 +95,15 @@ void Polyhedron_demo_convex_hull_plugin:
     else if ( sm_item ){
       SMesh* pMesh = sm_item->polyhedron();
       Vpmap vpm = get(CGAL::vertex_point,*pMesh);
-      
+
       Vpmap_fct v2p(vpm);
       boost::graph_traits<SMesh>::vertex_iterator b,e;
       boost::tie(b,e) = vertices(*pMesh);
-      
+
       CGAL::convex_hull_3(boost::make_transform_iterator(b,v2p),
                           boost::make_transform_iterator(e,v2p),
                           *pConvex_hull);
-                          
+
     }
     else{
       if (pts_item)
@@ -122,7 +122,7 @@ void Polyhedron_demo_convex_hull_plugin:
         for(std::list<std::vector<Kernel::Point_3> >::const_iterator it = lines_item->polylines.begin();
             it != lines_item->polylines.end();
             ++it)  std::copy(it->begin(), it->end(),std::back_inserter( all_points ) );
-        
+
         CGAL::convex_hull_3(all_points.begin(),all_points.end(),*pConvex_hull);
       }
     }
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Convex_hull/Kernel_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Convex_hull/Kernel_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Convex_hull/Kernel_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Convex_hull/Kernel_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -24,7 +24,7 @@ typedef Kernel::Vector_3 Vector;
 typedef Kernel::Plane_3 Plane;
 typedef Kernel::FT FT;
 using namespace CGAL::Three;
-class Polyhedron_demo_kernel_plugin : 
+class Polyhedron_demo_kernel_plugin :
   public QObject,
   public Polyhedron_demo_plugin_interface
 {
@@ -37,7 +37,7 @@ public:
     return _actions;
   }
 
-  bool applicable(QAction*) const { 
+  bool applicable(QAction*) const {
     return qobject_cast<Scene_surface_mesh_item*>(scene->item(scene->mainSelectionIndex()));
   }
 
@@ -64,7 +64,7 @@ void Polyhedron_demo_kernel_plugin::on_a
 {
   const CGAL::Three::Scene_interface::Item_id index = scene->mainSelectionIndex();
 
-  Scene_surface_mesh_item* sm_item = 
+  Scene_surface_mesh_item* sm_item =
     qobject_cast<Scene_surface_mesh_item*>(scene->item(index));
 
   if(sm_item)
@@ -78,8 +78,8 @@ void Polyhedron_demo_kernel_plugin::on_a
     // get triangles from polyhedron
     std::list<Triangle> triangles;
     get_triangles(*sMesh,std::back_inserter(triangles));
-    
-    // solve LP 
+
+    // solve LP
     std::cout << "Solve linear program..." << triangles.size();
     Polyhedron_kernel kernel;
     if(!kernel.solve(triangles.begin(),triangles.end()))
@@ -109,7 +109,7 @@ void Polyhedron_demo_kernel_plugin::on_a
       const Point p0 = triangle[0] - translate;
       const Point p1 = triangle[1] - translate;
       const Point p2 = triangle[2] - translate;
-      Plane plane(p0,p1,p2); 
+      Plane plane(p0,p1,p2);
       Vector normal = plane.orthogonal_vector();
       normal = normal / std::sqrt(normal*normal);
       // compute distance to origin (do not use plane.d())
@@ -128,24 +128,24 @@ void Polyhedron_demo_kernel_plugin::on_a
     // add kernel as new polyhedron
     typedef SMesh SMesh;
     SMesh* pKernel = new SMesh;
-    
+
     typedef CGAL::Dual<SMesh> Dual;
     typedef boost::graph_traits<Dual>::vertex_descriptor dual_vertex_descriptor;
-    
+
     std::ofstream out("primal.off");
     out << convex_hull << std::endl;
     out.close();
     Dual dual(convex_hull);
-    
-    std::map<dual_vertex_descriptor,Point> vpm; 
-    for(boost::graph_traits<SMesh>::face_descriptor fd : faces(convex_hull)){  
+
+    std::map<dual_vertex_descriptor,Point> vpm;
+    for(boost::graph_traits<SMesh>::face_descriptor fd : faces(convex_hull)){
       std::vector<Point> points(3, Point(CGAL::ORIGIN));
       int i = 0;
-      for(boost::graph_traits<SMesh>::vertex_descriptor vd : 
+      for(boost::graph_traits<SMesh>::vertex_descriptor vd :
                     vertices_around_face(halfedge(fd,convex_hull),convex_hull)){
         points[i++] = get(CGAL::vertex_point,convex_hull,vd);
       }
-      Plane plane(points[0],points[1],points[2]); 
+      Plane plane(points[0],points[1],points[2]);
       FT sqd = CGAL::squared_distance(Point(CGAL::ORIGIN),plane);
       FT distance_to_origin = std::sqrt(sqd);
       Vector normal = plane.orthogonal_vector();
@@ -155,13 +155,13 @@ void Polyhedron_demo_kernel_plugin::on_a
     CGAL::copy_face_graph(dual, *pKernel,
                           CGAL::parameters::vertex_point_map(
                             boost::make_assoc_property_map(vpm)));
-    
+
     Scene_surface_mesh_item* new_item = new Scene_surface_mesh_item(pKernel);
     new_item->setName(tr("%1 (kernel)").arg(sm_item->name()));
     new_item->setColor(Qt::magenta);
     new_item->setRenderingMode(sm_item->renderingMode());
     sm_item->setRenderingMode(Wireframe);
-    
+
     scene->addItem(new_item);
     scene->itemChanged(sm_item);
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Display/Display_property_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Display/Display_property_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Display/Display_property_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Display/Display_property_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -41,8 +41,8 @@ class Scene_heat_item
     : public CGAL::Three::Scene_item_rendering_helper
 {
   Q_OBJECT
-  
-public: 
+
+public:
   Scene_heat_item(Scene_surface_mesh_item* item)
     :sm(item->face_graph()), parent(item)
   {
@@ -59,13 +59,13 @@ public:
              double dir_y,
              double dir_z) Q_DECL_OVERRIDE
   {
-    parent->select( orig_x, orig_y, orig_z, 
+    parent->select( orig_x, orig_y, orig_z,
                     dir_x, dir_y, dir_z);
   }
-  
+
   void initializeBuffers(CGAL::Three::Viewer_interface *viewer) const Q_DECL_OVERRIDE
   {
-    getTriangleContainer(0)->initializeBuffers(viewer); 
+    getTriangleContainer(0)->initializeBuffers(viewer);
     getTriangleContainer(0)->setIdxSize(nb_idx);
     verts.resize(0);
     normals .resize(0);
@@ -76,7 +76,7 @@ public:
     verts.shrink_to_fit();
     normals.shrink_to_fit();
   }
-  
+
   void draw(CGAL::Three::Viewer_interface *viewer) const Q_DECL_OVERRIDE
   {
     if(!visible())
@@ -94,7 +94,7 @@ public:
       computeElements();
       initializeBuffers(viewer);
     }
-    
+
     getTriangleContainer(0)->setAlpha(1.0f);
     getTriangleContainer(0)->draw(viewer, false);
   }
@@ -102,7 +102,7 @@ public:
   {
     SMesh::Property_map<vertex_descriptor, Point_3> pprop = sm->points();
     CGAL::Bbox_3 bbox ;
-    
+
     for(vertex_descriptor vd :vertices(*sm))
     {
       bbox = bbox + pprop[vd].bbox();
@@ -122,7 +122,7 @@ public:
   virtual bool supportsRenderingMode(RenderingMode m) const Q_DECL_OVERRIDE { return m==Gouraud; }
   virtual void invalidateOpenGLBuffers() Q_DECL_OVERRIDE
   {
-    
+
     setBuffersFilled(false);
     compute_bbox();
     getTriangleContainer(0)->reset_vbos(NOT_INSTANCED);
@@ -133,11 +133,11 @@ public:
   {
     const CGAL::qglviewer::Vec v_offset = static_cast<CGAL::Three::Viewer_interface*>(CGAL::QGLViewer::QGLViewerPool().first())->offset();
     EPICK::Vector_3 offset = EPICK::Vector_3(v_offset.x, v_offset.y, v_offset.z);
-    
+
     EPICK::Point_3 p0,p1,p2;
     SMesh::Halfedge_around_face_circulator he(halfedge(fd, *sm), *sm);
     SMesh::Halfedge_around_face_circulator he_end = he;
-    
+
     while(next(*he, *sm) != prev(*he_end, *sm))
     {
       ++he;
@@ -158,14 +158,14 @@ public:
   {
     //Computes the normal of the facet
     EPICK::Vector_3 normal = get(*fnormals, fd);
-    
+
     //check if normal contains NaN values
     if (normal.x() != normal.x() || normal.y() != normal.y() || normal.z() != normal.z())
     {
       qDebug()<<"Warning : normal is not valid. Facet not displayed";
       return;
     }
-    
+
     typedef FacetTriangulator<SMesh, EPICK, boost::graph_traits<SMesh>::vertex_descriptor> FT;
     const CGAL::qglviewer::Vec off = static_cast<CGAL::Three::Viewer_interface*>(CGAL::QGLViewer::QGLViewerPool().first())->offset();
     EPICK::Vector_3 offset(off.x,off.y,off.z);
@@ -186,7 +186,7 @@ public:
       idx.push_back((*im)[triangulation.v2v[ffit->vertex(2)]]);
     }
   }
-  
+
   void computeElements() const Q_DECL_OVERRIDE
   {
     typedef EPICK::Point_3 Point;
@@ -205,7 +205,7 @@ public:
     SMesh::Property_map<vertex_descriptor, CGAL::Color> vcolors =
         sm->property_map<vertex_descriptor, CGAL::Color >("v:color").first;
     SMesh::Property_map<vertex_descriptor, float> vdist=
-        sm->property_map<vertex_descriptor, float >("v:dist").first;    
+        sm->property_map<vertex_descriptor, float >("v:dist").first;
     typedef CGAL::Buffer_for_vao<float, unsigned int> CPF;
     verts.clear();
     normals.clear();
@@ -213,7 +213,7 @@ public:
     colors.clear();
     boost::property_map< SMesh, boost::vertex_index_t >::type
         im = get(boost::vertex_index, *sm);
-    
+
     idx.reserve(num_faces(*sm) * 3);
     for(face_descriptor fd : faces(*sm))
     {
@@ -232,7 +232,7 @@ public:
           facet_points.push_back(positions[target(hd, *sm)]);
         }
         bool is_convex = CPF::is_facet_convex(facet_points, fnormals[fd]);
-        
+
         if(is_convex && is_quad(halfedge(fd,*sm),*sm) )
         {
           halfedge_descriptor hd = halfedge(fd,*sm);
@@ -240,12 +240,12 @@ public:
           idx.push_back(source(hd, *sm));
           idx.push_back(source(next(hd, *sm), *sm));
           idx.push_back(source(next(next(hd, *sm), *sm), *sm));
-          
+
           //2nd half
           idx.push_back(source(hd, *sm));
           idx.push_back(source(next(next(hd, *sm), *sm), *sm));
           idx.push_back(source(prev(hd, *sm), *sm));
-        }    
+        }
         else if(is_convex)
         {
           triangulate_convex_facet(fd, &im);
@@ -262,8 +262,8 @@ public:
       colors.push_back((float)c.red()/255);
       colors.push_back((float)c.green()/255);
       colors.push_back((float)c.blue()/255);
-      
-      
+
+
       Point p = positions[vd] + offset;
       CPF::add_point_in_buffer(p, verts);
       EPICK::Vector_3 n = vnormals[vd];
@@ -275,7 +275,7 @@ public:
                                       static_cast<int>(idx.size()*sizeof(unsigned int)));
     getTriangleContainer(0)->allocate(Tri::Smooth_vertices, verts.data(),
                                       static_cast<int>(num_vertices(*sm)*3*sizeof(float)));
-    
+
     getTriangleContainer(0)->allocate(Tri::Smooth_normals, normals.data(),
                                       static_cast<int>(num_vertices(*sm)*3*sizeof(float)));
     getTriangleContainer(0)->allocate(Tri::VColors, colors.data(),
@@ -286,7 +286,7 @@ public:
     setBuffersFilled(true);
      QApplication::restoreOverrideCursor();
   }
-  
+
   bool isEmpty() const Q_DECL_OVERRIDE {return false;}
   SMesh *face_graph() { return sm;}
   Scene_surface_mesh_item* getParent() { return parent; }
@@ -329,7 +329,7 @@ class DisplayPropertyPlugin :
   typedef CGAL::Heat_method_3::Surface_mesh_geodesic_distances_3<SMesh, CGAL::Heat_method_3::Intrinsic_Delaunay> Heat_method_idt;
   typedef CGAL::dynamic_vertex_property_t<bool>                        Vertex_source_tag;
   typedef boost::property_map<SMesh, Vertex_source_tag>::type Vertex_source_map;
-  
+
 public:
 
   bool applicable(QAction*) const Q_DECL_OVERRIDE
@@ -413,7 +413,7 @@ public:
       {
         return;
       }
-      
+
       rm = minColor.redF();
       gm = minColor.greenF();
       bm = minColor.blueF();
@@ -459,7 +459,7 @@ private Q_SLOTS:
   {
     if(dock_widget->isVisible()) { dock_widget->hide(); }
     else{
-      replaceRamp(); 
+      replaceRamp();
       dock_widget->show();
       dock_widget->raise(); }
   }
@@ -486,7 +486,7 @@ private Q_SLOTS:
     if(!ok)
       QMessageBox::warning(mw, "Error", "You must first run colorize once to initialize the values.");
   }
-  
+
   void colorize()
   {
     Scene_heat_item* h_item = nullptr;
@@ -527,11 +527,11 @@ private Q_SLOTS:
             this, [item](){
       bool does_exist;
       SMesh::Property_map<face_descriptor, double> pmap;
-      boost::tie(pmap, does_exist) = 
+      boost::tie(pmap, does_exist) =
           item->face_graph()->property_map<face_descriptor,double>("f:jacobian");
       if(does_exist)
         item->face_graph()->remove_property_map(pmap);
-      boost::tie(pmap, does_exist) = 
+      boost::tie(pmap, does_exist) =
           item->face_graph()->property_map<face_descriptor,double>("f:angle");
       if(does_exist)
         item->face_graph()->remove_property_map(pmap);
@@ -663,7 +663,7 @@ private Q_SLOTS:
     dock_widget->maxBox->setValue(jacobian_max[item].first);
     return true;
   }
-  
+
   void displayAngles(Scene_surface_mesh_item* item)
   {
     SMesh& smesh = *item->face_graph();
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/IO/CMakeLists.txt 5.0.3-1/demo/Polyhedron/Plugins/IO/CMakeLists.txt
--- 5.0.2-3/demo/Polyhedron/Plugins/IO/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/IO/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -64,11 +64,11 @@ if(has_cxx_rvalues LESS 0 OR has_cxx_var
   message(STATUS "NOTICE : LAS/PLY IO examples require a C++11 compiler and will not be compiled.")
 else()
   set(needed_cxx_features cxx_rvalue_references cxx_variadic_templates)
-  
+
   polyhedron_demo_plugin(ply_plugin PLY_io_plugin KEYWORDS IO PointSetProcessing Classification PMP)
   target_link_libraries(ply_plugin PUBLIC scene_points_with_normal_item scene_polygon_soup_item scene_surface_mesh_item scene_textured_item)
   target_compile_features(ply_plugin PRIVATE ${needed_cxx_features})
-  
+
   if (LASLIB_FOUND)
     polyhedron_demo_plugin(las_plugin LAS_io_plugin KEYWORDS IO PointSetProcessing Classification)
     target_link_libraries(las_plugin PUBLIC scene_points_with_normal_item ${LASLIB_LIBRARIES})
@@ -85,10 +85,10 @@ find_path(3MF_INCLUDE_DIR
   )
 find_library(3MF_LIBRARIES NAMES 3MF DOC "Path to the lib3MF library")
 
-if(3MF_LIBRARIES AND 3MF_INCLUDE_DIR)
+if(3MF_LIBRARIES AND 3MF_INCLUDE_DIR AND EXISTS "${3MF_INCLUDE_DIR}/Model/COM/NMR_DLLInterfaces.h")
   include_directories(${3MF_INCLUDE_DIR})
   polyhedron_demo_plugin(3mf_io_plugin 3mf_io_plugin KEYWORDS IO PMP)
   target_link_libraries(3mf_io_plugin PRIVATE scene_surface_mesh_item scene_points_with_normal_item scene_polylines_item ${3MF_LIBRARIES})
 else()
-  message(STATUS "NOTICE : The 3mf_io_plugin requires the lib3MF library, and will not be compiled.")
+  message(STATUS "NOTICE : The 3mf_io_plugin requires the lib3MF library in a version < 2.0, and will not be compiled.")
 endif()
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/IO/GOCAD_io_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/IO/GOCAD_io_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/IO/GOCAD_io_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/IO/GOCAD_io_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -46,7 +46,7 @@ bool Polyhedron_demo_gocad_plugin::canLo
 
 QList<Scene_item*>
 Polyhedron_demo_gocad_plugin::load(QFileInfo fileinfo, bool& ok, bool add_to_scene) {
-  
+
   // Open file
   std::ifstream in(fileinfo.filePath().toUtf8());
   if(!in) {
@@ -54,8 +54,8 @@ Polyhedron_demo_gocad_plugin::load(QFile
     ok = false;
     return QList<Scene_item*>();
   }
-  
-  
+
+
   CGAL::Timer t;
   t.start();
   // Try to read GOCAD file in a surface_mesh
@@ -69,7 +69,7 @@ Polyhedron_demo_gocad_plugin::load(QFile
     return QList<Scene_item*>()<<item;
   }
   SMesh& P = * const_cast<SMesh*>(item->polyhedron());
-  
+
   std::string name, color;
   if(! read_gocad(P, in, name, color)){
     std::cerr << "Error: Invalid polyhedron" << std::endl;
@@ -77,7 +77,7 @@ Polyhedron_demo_gocad_plugin::load(QFile
     ok = false;
     return QList<Scene_item*>();
   }
-  
+
   t.stop();
   std::cerr << "Reading took " << t.time() << " sec." << std::endl;
   if(name.size() == 0){
@@ -110,10 +110,10 @@ save(QFileInfo fileinfo,QList<CGAL::Thre
   // This plugin supports polyhedrons
   const Scene_surface_mesh_item* sm_item =
       qobject_cast<const Scene_surface_mesh_item*>(item);
-  
+
   if(!sm_item)
     return false;
-  
+
   std::ofstream out(fileinfo.filePath().toUtf8());
   out.precision (std::numeric_limits<double>::digits10 + 2);
   SMesh* poly = const_cast<SMesh*>(sm_item->polyhedron());
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/IO/Implicit_function_io_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/IO/Implicit_function_io_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/IO/Implicit_function_io_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/IO/Implicit_function_io_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -11,7 +11,7 @@
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #include <CGAL/Three/Polyhedron_demo_plugin_helper.h>
@@ -32,7 +32,7 @@
 #include <QLibrary>
 using namespace CGAL::Three;
 class Io_implicit_function_plugin :
-  public QObject, 
+  public QObject,
   protected Polyhedron_demo_plugin_helper
 {
   Q_OBJECT
@@ -48,24 +48,24 @@ public:
   QString name() const { return "implicit functions"; }
   // QString nameFilters() const { return ""; }
   // bool canLoad() const { return false; }
-  
+
 
   typedef Polyhedron_demo_plugin_helper Plugin_helper;
-  
+
   using Plugin_helper::init;
   virtual void init(QMainWindow* mainWindow, CGAL::Three::Scene_interface* scene_interface, Messages_interface*);
-  
+
   QList<QAction*> actions() const
   {
     return QList<QAction*>();
   }
-  
+
 public Q_SLOTS:
   void load_function() const;
-  
+
 private:
   void load_function_plugins();
-  
+
 private:
   QList<Implicit_function_interface*> functions_;
 };
@@ -85,13 +85,13 @@ init(QMainWindow* mainWindow, CGAL::Thre
 {
   this->scene = scene_interface;
   this->mw = mainWindow;
-  
+
   QAction* actionLoadFunction = new QAction("Generate &Implicit Function", mw);
   if( NULL != actionLoadFunction )
   {
     connect(actionLoadFunction, SIGNAL(triggered()), this, SLOT(load_function()));
   }
-  
+
   QMenu* menuFile = mw->findChild<QMenu*>("menuFile");
   QMenu* menu = menuFile->findChild<QMenu*>("menuGenerateObject");
   if(!menu){
@@ -115,7 +115,7 @@ load_function() const
   dialog.setWindowFlags(Qt::Dialog|Qt::CustomizeWindowHint|Qt::WindowCloseButtonHint);
   connect(ui.buttonBox, SIGNAL(accepted()), &dialog, SLOT(accept()));
   connect(ui.buttonBox, SIGNAL(rejected()), &dialog, SLOT(reject()));
-  
+
   // Add loaded functions to the dialog
   int i=0;
   Q_FOREACH( Implicit_function_interface* f, functions_ )
@@ -126,21 +126,21 @@ load_function() const
   // Open window
   int return_code = dialog.exec();
   if(return_code == QDialog::Rejected) { return; }
-  
+
   // Get selected function
   i = ui.functionList->currentIndex();
   Implicit_function_interface* function = functions_[i];
-  
+
   // Create Scene_implicit_function object and add it to the framework
   Scene_implicit_function_item* item =
     new Scene_implicit_function_item(function);
-  
+
   item->setName(tr("%1").arg(function->name()));
   item->setRenderingMode(FlatPlusEdges);
 
   const CGAL::Three::Scene_interface::Item_id index = scene->mainSelectionIndex();
   scene->itemChanged(index);
-    
+
   CGAL::Three::Scene_interface::Item_id new_item_id = scene->addItem(item);
   scene->setSelectedItem(new_item_id);
 }
@@ -151,14 +151,14 @@ load_function_plugins()
 {
   QDir pluginsDir(qApp->applicationDirPath());
   QString dirname = pluginsDir.dirName();
-  if ( !pluginsDir.cd("implicit_functions") ) { 
+  if ( !pluginsDir.cd("implicit_functions") ) {
     // In that case, dirname may be "Debug" or "Release" and one has to
     // search in ../implicit_functions/Debug or
     // ../implicit_functions/Release
     QString newDir = QString("../implicit_functions/") + dirname;
-    if( !pluginsDir.cd(newDir) ) return; 
+    if( !pluginsDir.cd(newDir) ) return;
   }
-  
+
   Q_FOREACH (QString fileName, pluginsDir.entryList(QDir::Files))
   {
     if ( fileName.contains("plugin") && QLibrary::isLibrary(fileName) )
@@ -171,7 +171,7 @@ load_function_plugins()
       {
         Implicit_function_interface* function =
           qobject_cast<Implicit_function_interface*>(function_plugin);
-        
+
         if ( NULL != function )
         {
           functions_ << function;
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/IO/LAS_io_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/IO/LAS_io_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/IO/LAS_io_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/IO/LAS_io_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -61,7 +61,7 @@ bool Polyhedron_demo_las_plugin::save(QF
   std::string extension = fileinfo.suffix().toUtf8().data();
   if (extension != "las" && extension != "LAS")
     return false;
-  
+
   // This plugin supports point sets
   const Scene_points_with_normal_item* point_set_item =
     qobject_cast<const Scene_points_with_normal_item*>(item);
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/IO/lcc_io_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/IO/lcc_io_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/IO/lcc_io_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/IO/lcc_io_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -15,24 +15,24 @@ class LCC_io_plugin :
   Q_OBJECT
   Q_INTERFACES(CGAL::Three::Polyhedron_demo_io_plugin_interface)
   Q_PLUGIN_METADATA(IID "com.geometryfactory.PolyhedronDemo.IOPluginInterface/1.90" FILE "lcc_io_plugin.json")
-  
+
 public:
-  bool isDefaultLoader(const CGAL::Three::Scene_item *item) const 
-  { 
-    if(qobject_cast<const Scene_lcc_item*>(item)) 
-      return true; 
+  bool isDefaultLoader(const CGAL::Three::Scene_item *item) const
+  {
+    if(qobject_cast<const Scene_lcc_item*>(item))
+      return true;
     return false;
   }
   QString name() const { return "lcc_plugin"; }
-  QString nameFilters() const { return 
+  QString nameFilters() const { return
         "OFF files (*.off);;"
         "3-map files (*.3map)"; }
-  
+
   QString saveNameFilters() const {
-    return 
-        "3-map files (*.3map)"; 
+    return
+        "3-map files (*.3map)";
   }
-  
+
   bool canLoad(QFileInfo) const { return true; }
   QList<CGAL::Three::Scene_item*> load(QFileInfo fileinfo, bool& ok, bool add_to_scene=true){
     // Open file
@@ -42,7 +42,7 @@ public:
       ok = false;
       return QList<CGAL::Three::Scene_item*>();
     }
-    
+
     Scene_lcc_item::LCC lcc;
     QString ext = fileinfo.suffix();
     bool res = true;
@@ -65,13 +65,13 @@ public:
     ok = true;
     return QList<CGAL::Three::Scene_item*>()<<new_item;
   }
-  
-  
+
+
   bool canSave(const CGAL::Three::Scene_item*){return false;}
   bool save(QFileInfo, QList<CGAL::Three::Scene_item*>& ){
     return false;
   }
-  
+
 };
 
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/IO/Nef_io_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/IO/Nef_io_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/IO/Nef_io_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/IO/Nef_io_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -41,7 +41,7 @@ load(QFileInfo fileinfo, bool& ok, bool
     ok = false;
     return QList<Scene_item*>();
   }
-  
+
   // Open file
   std::ifstream in(fileinfo.filePath().toUtf8());
   if(!in) {
@@ -49,7 +49,7 @@ load(QFileInfo fileinfo, bool& ok, bool
     ok = false;
     return QList<Scene_item*>();
   }
-    
+
   // Try to read .nef3 in a polyhedron
   Scene_nef_polyhedron_item* item = new Scene_nef_polyhedron_item();
   item->setName(fileinfo.baseName());
@@ -84,7 +84,7 @@ bool Polyhedron_demo_io_nef_plugin::save
 {
   Scene_item* item = items.front();
   // This plugin supports polyhedrons and polygon soups
-  const Scene_nef_polyhedron_item* nef_item = 
+  const Scene_nef_polyhedron_item* nef_item =
     qobject_cast<const Scene_nef_polyhedron_item*>(item);
 
   if(!nef_item)
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/IO/PLY_io_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/IO/PLY_io_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/IO/PLY_io_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/IO/PLY_io_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -23,10 +23,10 @@ class Polyhedron_demo_ply_plugin :
   Q_PLUGIN_METADATA(IID "com.geometryfactory.PolyhedronDemo.IOPluginInterface/1.90" FILE "ply_io_plugin.json")
 
 public:
-  bool isDefaultLoader(const CGAL::Three::Scene_item *item) const 
-  { 
-    if(qobject_cast<const Scene_points_with_normal_item*>(item)) 
-      return true; 
+  bool isDefaultLoader(const CGAL::Three::Scene_item *item) const
+  {
+    if(qobject_cast<const Scene_points_with_normal_item*>(item))
+      return true;
     return false;
   }
   QString name() const { return "ply_plugin"; }
@@ -60,7 +60,7 @@ load(QFileInfo fileinfo, bool& ok, bool
     ok = false;
     return QList<Scene_item*>();
   }
-  
+
   // Test if input is mesh or point set
   bool input_is_mesh = false;
   std::string line;
@@ -95,7 +95,7 @@ load(QFileInfo fileinfo, bool& ok, bool
     // First try mesh
     SMesh *surface_mesh = new SMesh();
     std::string comments;
-    
+
     if (CGAL::read_ply (in, *surface_mesh, comments))
     {
       Scene_surface_mesh_item* sm_item = new Scene_surface_mesh_item(surface_mesh);
@@ -185,13 +185,13 @@ save(QFileInfo fileinfo,QList<CGAL::Thre
 
   if (!ok)
     return false;
-  
+
   std::ofstream out(fileinfo.filePath().toUtf8().data(), std::ios::binary);
   if (choice == tr("Binary"))
     CGAL::set_binary_mode(out);
   else
     out.precision (std::numeric_limits<double>::digits10 + 2);
-  
+
   // This plugin supports point sets
   const Scene_points_with_normal_item* point_set_item =
     qobject_cast<const Scene_points_with_normal_item*>(item);
@@ -227,7 +227,7 @@ save(QFileInfo fileinfo,QList<CGAL::Thre
       items.pop_front();
     return res;
   }
-  
+
   // This plugin supports textured surface meshes
   const Scene_textured_surface_mesh_item* stm_item =
     qobject_cast<const Scene_textured_surface_mesh_item*>(item);
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/IO/Polylines_io_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/IO/Polylines_io_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/IO/Polylines_io_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/IO/Polylines_io_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -123,7 +123,7 @@ load(QFileInfo fileinfo, bool& ok, bool
       CGAL::Three::Three::scene()->addItem(item);
     return QList<Scene_item*>()<<item;
   }
-  
+
   std::list<std::vector<Scene_polylines_item::Point_3> > polylines;
   QStringList polylines_metadata;
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/IO/Surf_io_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/IO/Surf_io_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/IO/Surf_io_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/IO/Surf_io_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -94,7 +94,7 @@ CGAL::Three::Scene_item* Surf_io_plugin:
   }
   if (!duplicated_points.empty())
     std::cout << duplicated_points.size() << " points have been duplicated." << std::endl;
-  
+
   std::vector<QColor> colors_;
   compute_color_map(QColor(100, 100, 255), static_cast<unsigned>(patches.size()),
                     std::back_inserter(colors_));
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/IO/VTK_io_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/IO/VTK_io_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/IO/VTK_io_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/IO/VTK_io_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -71,7 +71,7 @@
 #include <CGAL/Polygon_mesh_processing/internal/named_params_helper.h>
 typedef Scene_surface_mesh_item Scene_facegraph_item;
 typedef Scene_facegraph_item::Face_graph FaceGraph;
-typedef boost::property_traits<boost::property_map<FaceGraph, 
+typedef boost::property_traits<boost::property_map<FaceGraph,
 CGAL::vertex_point_t>::type>::value_type Point;
 
 
@@ -297,8 +297,8 @@ public:
     return (qobject_cast<const Scene_facegraph_item*>(item)
             || qobject_cast<const Scene_c3t3_item*>(item));
   }
-  
-  
+
+
   bool save(QFileInfo fileinfo,QList<CGAL::Three::Scene_item*>& items)
   {
     Scene_item* item = items.front();
@@ -310,7 +310,7 @@ public:
 
     const Scene_facegraph_item* poly_item =
       qobject_cast<const Scene_facegraph_item*>(item);
-    
+
     if (poly_item)
     {
       if (extension != "vtp")
@@ -341,11 +341,11 @@ public:
           qobject_cast<const Scene_c3t3_item*>(item);
       if(!c3t3_item || extension != "vtu")
         return false;
-      
+
       std::ofstream os(output_filename.data());
       os << std::setprecision(16);
       const C3t3& c3t3 = c3t3_item->c3t3();
-      
+
       CGAL::output_to_vtu(os, c3t3);
     }
     items.pop_front();
@@ -390,7 +390,7 @@ public:
         CGAL::Three::Three::scene()->addItem(item);
       return QList<Scene_item*>()<<item;
     }
-    
+
     vtkSmartPointer<vtkPointSet> data;
     vtkSmartPointer<CGAL::ErrorObserverVtk> obs =
       vtkSmartPointer<CGAL::ErrorObserverVtk>::New();
@@ -477,7 +477,7 @@ public:
     {
       group = new Scene_group_item(fileinfo.baseName());
     }
-  
+
     if(is_polygon_mesh)
     {
       FaceGraph* poly = new FaceGraph();
@@ -499,7 +499,7 @@ public:
         }
       }
     }
-    
+
     if (is_c3t3)
     {
       typedef boost::array<int, 3> Facet; // 3 = id
@@ -547,7 +547,7 @@ public:
         }
       }
       CGAL::build_triangulation<Tr, true>(c3t3_item->c3t3().triangulation(), points, finite_cells, border_facets);
-      
+
       for( C3t3::Triangulation::Finite_cells_iterator
            cit = c3t3_item->c3t3().triangulation().finite_cells_begin();
            cit != c3t3_item->c3t3().triangulation().finite_cells_end();
@@ -563,7 +563,7 @@ public:
           }
         }
       }
-      
+
       //if there is no facet in the complex, we add the border facets.
       if(c3t3_item->c3t3().number_of_facets_in_complex() == 0)
       {
@@ -573,10 +573,10 @@ public:
              ++fit)
         {
           typedef C3t3::Triangulation::Cell_handle      Cell_handle;
-          
+
           Cell_handle c = fit->first;
           Cell_handle nc = c->neighbor(fit->second);
-          
+
           // By definition, Subdomain_index() is supposed to be the id of the exterior
           if(c->subdomain_index() != C3t3::Triangulation::Cell::Subdomain_index() &&
              nc->subdomain_index() == C3t3::Triangulation::Cell::Subdomain_index())
@@ -602,7 +602,7 @@ public:
         return QList<Scene_item*>()<<c3t3_item;
       }
     }
-    
+
     if(is_polyline)
     {
       std::vector< std::vector<Point> > segments;
@@ -624,14 +624,14 @@ public:
         return QList<Scene_item*>()<<polyline_item;
       }
     }
-    
+
     if(group){
       ok = true;
       if(add_to_scene)
         CGAL::Three::Three::scene()->addItem(group);
       return QList<Scene_item*>()<<group;
     }
-    
+
     QApplication::restoreOverrideCursor();
     QMessageBox::warning(CGAL::Three::Three::mainWindow(),
                          "Problematic file",
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/IO/XYZ_io_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/IO/XYZ_io_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/IO/XYZ_io_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/IO/XYZ_io_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -45,7 +45,7 @@ load(QFileInfo fileinfo, bool& ok, bool
     return QList<Scene_item*>();
   }
 
-  
+
   if(fileinfo.size() == 0)
   {
     CGAL::Three::Three::warning( tr("The file you are trying to load is empty."));
@@ -67,7 +67,7 @@ load(QFileInfo fileinfo, bool& ok, bool
   }
   if(point_set_item->has_normals())
     point_set_item->setRenderingMode(CGAL::Three::Three::defaultPointSetRenderingMode());
-    
+
   ok = true;
   if(add_to_scene)
     CGAL::Three::Three::scene()->addItem(point_set_item);
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_2/Mesh_2_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Mesh_2/Mesh_2_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_2/Mesh_2_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_2/Mesh_2_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -348,7 +348,7 @@ private:
                        constant_coordinate);
     scene->addItem(poly_item);
     poly_item->invalidateOpenGLBuffers();
-    
+
     std::cout << "ok (" << time.elapsed() << " ms)" << std::endl;
     // default cursor
     QApplication::restoreOverrideCursor();
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/C3t3_io_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/C3t3_io_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/C3t3_io_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/C3t3_io_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -70,7 +70,7 @@ Polyhedron_demo_c3t3_binary_io_plugin::l
       return QList<Scene_item*>();
     }
     Scene_c3t3_item* item = new Scene_c3t3_item();
-    
+
     if(fileinfo.size() == 0)
     {
       CGAL::Three::Three::warning( tr("The file you are trying to load is empty."));
@@ -316,10 +316,10 @@ operator>>( std::istream& is, Fake_CDT_3
     }
     else {
       // if(s != '.') {
-      // 	std::cerr << "v.point()=" << v.point() << std::endl;
-      // 	std::cerr << "s=" << s << " (" << (int)s
-      // 		  << "), just before position "
-      // 		  << is.tellg() << " !\n";
+      //         std::cerr << "v.point()=" << v.point() << std::endl;
+      //         std::cerr << "s=" << s << " (" << (int)s
+      //                   << "), just before position "
+      //                   << is.tellg() << " !\n";
       // }
       CGAL_assertion(s == '.' || s== 'F');
       v.steiner = false;
@@ -379,7 +379,7 @@ operator>>( std::istream& is, Fake_CDT_3
           std::cerr << "\n";
           std::cerr << "s=" << s << " (" << (int)s
                     << "), just before position "
-                    << is.tellg() << " !\n";	}
+                    << is.tellg() << " !\n";        }
         CGAL_assertion(s == '.');
         c._restoring[c.to_edge_index(li, lj)] = false;
       }
@@ -481,7 +481,7 @@ try_load_a_cdt_3(std::istream& is, C3t3&
   }
   if (s != "CGAL" ||
       !(is >> s) ||
-      s != "c3t3") 
+      s != "c3t3")
   {
     return false;
   }
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/C3t3_rib_exporter_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/C3t3_rib_exporter_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/C3t3_rib_exporter_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/C3t3_rib_exporter_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -42,7 +42,7 @@ class C3t3_rib_exporter_plugin :
 public:
   C3t3_rib_exporter_plugin();
   virtual ~C3t3_rib_exporter_plugin() {}
-  
+
   void init(QMainWindow* mainWindow, Scene_interface* scene_interface, Messages_interface*);
   QList<QAction*> actions() const
   {
@@ -51,12 +51,12 @@ public:
   bool applicable(QAction*)const{
     Scene_c3t3_item* item = qobject_cast<Scene_c3t3_item*>(scene->item(scene->mainSelectionIndex()));
     return item && item->is_valid();}
-  
+
 public Q_SLOTS:
   void create_rib();
   void height_changed(int i);
   void width_changed(int i);
-  
+
 private:
   typedef Tr::Bare_point                    Bare_point;
   typedef Tr::Weighted_point                Weighted_point;
@@ -65,12 +65,12 @@ private:
   typedef Geom_traits::Plane_3              Plane;
   typedef Geom_traits::FT                   FT;
   typedef Geom_traits::Aff_transformation_3 Aff_transformation_3;
-  
+
   typedef CGAL::qglviewer::Vec qglVec;
-  
+
   enum Rib_exporter_mode { CUT=0, MESH, TRIANGULATION };
-  
-  struct Rib_exporter_parameters 
+
+  struct Rib_exporter_parameters
   {
     // Materials
     double sphere_radius;
@@ -81,88 +81,88 @@ private:
     double ambientIntensity;
     bool shadowOn;
     double shadowIntensity;
-    
+
     // Picture
     int width;
     int height;
     Rib_exporter_mode mode;
     bool is_preview;
   };
-  
+
 private:
   void update_mask();
-  
+
   bool get_parameters_from_dialog();
-  
+
   QStringList nameFilters() const;
-  bool save(const Scene_c3t3_item&, const QFileInfo& fileinfo);  
+  bool save(const Scene_c3t3_item&, const QFileInfo& fileinfo);
   void init_maps(const C3t3& c3t3, const QColor& color);
   void init_point_radius(const C3t3& c3t3);
   void init_parameters();
-  
+
   Bare_point camera_coordinates(const Bare_point& p);
   void fill_points_and_edges_map(const C3t3& c3t3);
-  
+
   void add_edge(const Bare_point& p, const Bare_point& q, const QColor& color);
   void add_vertex(const Bare_point& p, const QColor& color);
-  
+
   void write_header(const std::string& filename, std::ofstream& out);
-  
+
   void write_lights(std::ofstream& out);
   void write_turn_background_light(bool turn_on, std::ofstream& out);
-  
+
   void write_facets(const C3t3& c3t3, std::ofstream& out);
   void write_facets(const C3t3& c3t3, const Plane& plane, std::ofstream& out);
   void write_surface_cells(const C3t3& c3t3, const Plane& plane, std::ofstream& out);
   void write_cells_intersecting_a_plane(const C3t3& c3t3, const Plane& plane, std::ofstream& out);
   void write_cells_on_the_positive_side_of_a_plane(const C3t3& c3t3, const Plane& plane, std::ofstream& out);
-  
+
   void write_triangle(const Bare_point& p, const Bare_point& q, const Bare_point& r,
                       const QColor& color, const QColor& edge_color, std::ofstream& out);
   void write_tetrahedron (const Bare_point& p, const Bare_point& q, const Bare_point& r, const Bare_point& s,
                           const QColor& color, const QColor& edge_color, std::ofstream& out);
-  
+
   void write_point(const Bare_point& p, std::ofstream& out);
   void write_point_sphere(const Bare_point& p, std::ofstream& out);
-  
+
   void write_edge_cylinder(const Bare_point& p, const Bare_point& q, std::ofstream& out);
-  
+
   // Writes data which has been stored during triangle drawing
   void write_edges_flat(std::ofstream& out);
   void write_edges_volumic(std::ofstream& out);
   void write_vertices_volumic(std::ofstream& out);
-  
+
   void write_color(const QColor& color, bool use_transparency, std::ofstream& out);
   void write_opacity(const double alpha, std::ofstream& out);
-  
+
   // Background
   void write_background(const QColor& color, std::ofstream& out);
-  
+
 private:
   QAction* actionCreateRib;
-  
+
   // Viewer
-  
+
   typedef std::map<C3t3::Surface_patch_index, QColor> Surface_map;
   typedef std::map<C3t3::Subdomain_index, QColor> Subdomain_map;
-  
+
   Surface_map surface_map_;
   Subdomain_map subdomain_map_;
-  
+
   typedef std::map<std::pair<Bare_point, Bare_point>,QColor> Edge_map;
   typedef std::map<Bare_point, QColor> Vertex_map;
-  
+
   Edge_map edges_;
   Vertex_map vertices_;
-  
+
   double zmax_;
   double diag_;
-  
+
   // Cache data to avoid writing too much lines in rib file
   QColor prev_color_;
   double prev_alpha_;
   const Scene_c3t3_item* prev_c3t3_;
-  
+
   Rib_exporter_parameters parameters_;
 };
 
@@ -176,7 +176,7 @@ C3t3_rib_exporter_plugin()
   , prev_alpha_(1)
   , prev_c3t3_(NULL)
 {
-  
+
 }
 
 
@@ -186,7 +186,7 @@ init(QMainWindow* mainWindow, Scene_inte
 {
   this->scene = scene_interface;
   this->mw = mainWindow;
-  
+
   actionCreateRib = new QAction("Export C3t3 to RIB", mw);
   if( NULL != actionCreateRib )
   {
@@ -205,18 +205,18 @@ C3t3_rib_exporter_plugin::create_rib()
     std::cerr << "Can't find viewer" << std::endl;
     return;
   }
-  
+
   // Get Scene_c3t3_item
   Scene_interface::Item_id index = scene->mainSelectionIndex();
-  
+
   Scene_c3t3_item* c3t3_item =
     qobject_cast<Scene_c3t3_item*>(scene->item(index));
-  
+
   if ( NULL == c3t3_item )
   {
     return;
   }
-  
+
   // Init data
   //if ( c3t3_item != prev_c3t3_ ) // Commented because it was causing problems
                                    // when changing the color of the c3t3
@@ -224,40 +224,40 @@ C3t3_rib_exporter_plugin::create_rib()
     init_maps(c3t3_item->c3t3(), c3t3_item->color());
     init_point_radius(c3t3_item->c3t3());
     init_parameters();
-    
+
     prev_c3t3_ = c3t3_item;
   }
-  
+
   // Get parameters from user dialog
   if ( !get_parameters_from_dialog() )
-  { 
+  {
 
     QBitmap bitmap;
     bitmap.clear();
     Three::activeViewer()->setMask(bitmap);
     return;
   }
-  
+
   // Disable Mask
   QBitmap bitmap;
   bitmap.clear();
   Three::activeViewer()->setMask(bitmap);
-  
+
   // Save dialog
   QStringList filters;
   filters << nameFilters();
   filters << tr("All files (*)");
-  
+
   QString filename = QFileDialog::getSaveFileName(mw,
                                                   tr("Save to File..."),
                                                   QString(),
                                                   filters.join(";;"));
-  
+
   QFileInfo fileinfo(filename);
-  
+
   // Save rib file
   save(*c3t3_item,fileinfo);
-  
+
   std::cout << "Rib file created successfully" << std::endl;
 }
 
@@ -284,7 +284,7 @@ C3t3_rib_exporter_plugin::
 update_mask()
 {
   double ratio = double(parameters_.width) / double(parameters_.height);
-  
+
   if ( NULL == Three::activeViewer() )
   {
     std::cerr << "Can't find viewer..." << std::endl;
@@ -305,16 +305,16 @@ get_parameters_from_dialog()
   QDialog dialog(mw);
   Ui::Rib_dialog ui;
   ui.setupUi(&dialog);
-  
+
   connect(ui.buttonBox, SIGNAL(accepted()), &dialog, SLOT(accept()));
   connect(ui.buttonBox, SIGNAL(rejected()), &dialog, SLOT(reject()));
   connect(ui.resWidth, SIGNAL(valueChanged(int)), this, SLOT(width_changed(int)));
   connect(ui.resHeight, SIGNAL(valueChanged(int)), this, SLOT(height_changed(int)));
-  
+
   // -----------------------------------
   // Set data
   // -----------------------------------
-  
+
   // Materials
   ui.sphereRadius->setValue(parameters_.sphere_radius);
   ui.cylinderRadius->setValue(parameters_.cylinder_radius);
@@ -324,54 +324,54 @@ get_parameters_from_dialog()
   ui.ambientIntensity->setValue(parameters_.ambientIntensity);
   ui.isShadowOn->setChecked(parameters_.shadowOn);
   ui.shadowIntensity->setValue(parameters_.shadowIntensity);
-  
+
   // Picture
   QStringList mode_list;
   mode_list << "Export Cut (draws current cut view)"
             << "Export Mesh (draws all surface facets)"
             << "Export Triangulation (draws all points and edges)";
-  
+
   ui.exportMode->insertItems(0,mode_list);
-  
+
   ui.resWidth->setValue(parameters_.width);
   ui.resHeight->setValue(parameters_.height);
   ui.exportMode->setCurrentIndex(static_cast<int>(parameters_.mode));
   ui.isPreview->setChecked(parameters_.is_preview);
-  
+
   // Update mask
 
   update_mask();
-  
+
   // -----------------------------------
   // Get data
   // -----------------------------------
   int i = dialog.exec();
   if(i == QDialog::Rejected)
     return false;
-  
+
   // Materials
   parameters_.sphere_radius = ui.sphereRadius->value();
   parameters_.cylinder_radius = ui.cylinderRadius->value();
-  
+
   // Lights
   parameters_.ambientOn = ui.isAmbientOn->isChecked();
   parameters_.ambientIntensity = ui.ambientIntensity->value();
   parameters_.shadowOn = ui.isShadowOn->isChecked();
   parameters_.shadowIntensity = ui.shadowIntensity->value();
-  
+
   // Picture
   parameters_.width = ui.resWidth->value();
   parameters_.height = ui.resHeight->value();
   parameters_.mode = static_cast<Rib_exporter_mode>(ui.exportMode->currentIndex());
   parameters_.is_preview = ui.isPreview->isChecked();
-  
+
   return true;
 }
-  
+
 
 QStringList
 C3t3_rib_exporter_plugin::nameFilters() const
-{ 
+{
   return QStringList() << "RenderMan file (*.rib)";
 }
 
@@ -383,52 +383,52 @@ save(const Scene_c3t3_item& c3t3_item, c
   QString path = fileInfo.absoluteFilePath();
   std::ofstream rib_file (qPrintable(path));
   rib_file.precision(8);
-  
+
   // Header
   QString basename = fileInfo.baseName();
   write_header(qPrintable(basename), rib_file);
-  
+
   // Lights
   write_lights(rib_file);
-  
+
   // Triangles
   switch ( parameters_.mode )
   {
     case CUT:
       rib_file << "Surface \"plastic\" \"Ka\" 0.65 \"Kd\" 0.85 \"Ks\" 0.25 \"roughness\" 0.1" << std::endl;
       write_facets(c3t3_item.c3t3(), c3t3_item.plane(), rib_file);
-      
+
       rib_file << "Surface \"plastic\" \"Ka\" 0.65 \"Kd\" 0.65 \"Ks\" 0.35 \"roughness\" 0.2" << std::endl;
       //write_cells_intersecting_a_plane(c3t3_item.c3t3(), c3t3_item.plane(), rib_file);
       write_cells_on_the_positive_side_of_a_plane(c3t3_item.c3t3(), c3t3_item.plane(), rib_file);
       break;
-      
+
     case MESH:
       rib_file << "Surface \"plastic\" \"Ka\" 0.65 \"Kd\" 0.85 \"Ks\" 0.25 \"roughness\" 0.1" << std::endl;
       //write_facets(c3t3_item.c3t3(), rib_file);
       write_surface_cells(c3t3_item.c3t3(), c3t3_item.plane(), rib_file);
       break;
-      
+
     case TRIANGULATION:
       fill_points_and_edges_map(c3t3_item.c3t3());
       break;
-      
+
     default:
       std::cerr << "Unexpected mode found" << std::endl;
       return false;
       break;
   }
-  
+
   // Edges and vertices
   rib_file << "Surface \"plastic\" \"Ka\" 0.65 \"Kd\" 0.85 \"Ks\" 0.25 \"roughness\" 0.1" << std::endl;
   write_edges_volumic(rib_file);
   write_vertices_volumic(rib_file);
-  
+
   // Background
   write_background(QColor(255,255,255), rib_file);
-  
+
   rib_file << "WorldEnd" << std::endl;
-  
+
   return true;
 }
 
@@ -439,23 +439,23 @@ C3t3_rib_exporter_plugin::init_maps(cons
   subdomain_map_.clear();
   edges_.clear();
   vertices_.clear();
-  
+
   // Fill maps with 0 as value
   for ( C3t3::Facets_in_complex_iterator fit = c3t3.facets_in_complex_begin(),
        fend = c3t3.facets_in_complex_end() ; fit != fend ; ++fit )
   {
     surface_map_.insert(std::make_pair(c3t3.surface_patch_index(*fit),QColor(0,0,0)));
   }
-  
+
   for ( C3t3::Cells_in_complex_iterator cit = c3t3.cells_in_complex_begin(),
        cend = c3t3.cells_in_complex_end() ; cit != cend ; ++cit )
   {
     subdomain_map_.insert(std::make_pair(c3t3.subdomain_index(cit),QColor(0,0,0)));
   }
-  
+
   // Fill value of maps
   size_t nb_colors = subdomain_map_.size(); // + surface_map_.size();
-  
+
   // Starting hue
   double c = color.hueF();
   int i = 0;
@@ -474,13 +474,13 @@ C3t3_rib_exporter_plugin::
 init_point_radius(const C3t3& c3t3)
 {
   const CGAL::Bbox_3 bbox = c3t3.bbox();
-  
+
   const double xdelta = bbox.xmax() - bbox.xmin();
   const double ydelta = bbox.ymax() - bbox.ymin();
   const double zdelta = bbox.zmax() - bbox.zmin();
-  
+
   diag_ = std::sqrt(xdelta*xdelta + ydelta*ydelta + zdelta*zdelta);
-  
+
   parameters_.sphere_radius =  diag_ * 0.0015;
   parameters_.cylinder_radius =  diag_ * 0.00065;
 }
@@ -495,7 +495,7 @@ init_parameters()
   parameters_.ambientIntensity = 0.20;
   parameters_.shadowOn = true;
   parameters_.shadowIntensity = 0.85;
-  
+
   // Picture
   parameters_.width = 800;
   parameters_.height = 800;
@@ -510,10 +510,10 @@ camera_coordinates(const Bare_point& p)
 {
   qglVec p_vec ( p.x(), p.y(), p.z() );
   qglVec p_cam = Three::activeViewer()->camera()->cameraCoordinatesOf(p_vec);
-  
+
   // Store maximal depth
   zmax_ = (std::max)(zmax_, double(-p_cam[2]));
-  
+
   return Bare_point(p_cam[0],p_cam[1],p_cam[2]);
 }
 
@@ -532,16 +532,16 @@ fill_points_and_edges_map(const C3t3& c3
     const Bare_point& p2 = wp2p(it->vertex(1)->point());
     const Bare_point& p3 = wp2p(it->vertex(2)->point());
     const Bare_point& p4 = wp2p(it->vertex(3)->point());
-    
+
     const QColor& edge_color = subdomain_map_[c3t3.subdomain_index(it)];
-    
+
     add_edge(p1,p2,edge_color);
     add_edge(p1,p3,edge_color);
     add_edge(p1,p4,edge_color);
     add_edge(p2,p3,edge_color);
     add_edge(p2,p4,edge_color);
     add_edge(p3,p4,edge_color);
-    
+
     add_vertex(p1,edge_color);
     add_vertex(p2,edge_color);
     add_vertex(p3,edge_color);
@@ -556,11 +556,11 @@ add_edge(const Bare_point& p, const Bare
 {
   if ( p < q )
   {
-    edges_.insert(std::make_pair(std::make_pair(p,q),color));    
+    edges_.insert(std::make_pair(std::make_pair(p,q),color));
   }
   else
   {
-    edges_.insert(std::make_pair(std::make_pair(q,p),color)); 
+    edges_.insert(std::make_pair(std::make_pair(q,p),color));
   }
 }
 
@@ -569,7 +569,7 @@ void
 C3t3_rib_exporter_plugin::
 add_vertex(const Bare_point& p, const QColor& color)
 {
-  vertices_.insert(std::make_pair(p,color));    
+  vertices_.insert(std::make_pair(p,color));
 }
 
 
@@ -579,15 +579,15 @@ write_header(const std::string& filename
 {
   out << "Option \"limits\" \"numthreads\" [16]" << std::endl
       << "Option \"searchpath\" \"shader\" \".:./shaders:%PIXIE_SHADERS%:%PIXIEHOME%/shaders\"" << std::endl;
-  
+
   if ( ! parameters_.is_preview )
   {
     out << "Attribute \"visibility\" \"specular\" 1" << std::endl
         << "Attribute \"visibility\" \"transmission\" 1" << std::endl << std::endl;
   }
-  
+
   out << "Display \""<< filename << ".tif\" \"file\" \"rgb\"" << std::endl;
-  
+
   if ( ! parameters_.is_preview )
   {
     out << "Format " << parameters_.width << " " << parameters_.height << " 1" << std::endl;
@@ -595,25 +595,25 @@ write_header(const std::string& filename
   else
   {
     double ratio = double(parameters_.height) / double(parameters_.width);
-    
+
     int width = (ratio < 1.)  ? 300               : int(300. / ratio);
     int height = (ratio < 1.) ? int(ratio * 300.) : 300;
-    
+
     out << "Format " << width << " " << height << " 1" << std::endl;
   }
-      
-  
+
+
   if ( parameters_.width > parameters_.height )
   {
     double ratio = double(parameters_.height) / double(parameters_.width);
-    out << "ScreenWindow -1 1 " << -ratio << " " << ratio << std::endl; 
+    out << "ScreenWindow -1 1 " << -ratio << " " << ratio << std::endl;
   }
   else if ( parameters_.height > parameters_.width )
   {
     double ratio = double(parameters_.width) / double(parameters_.height);
-    out << "ScreenWindow " << -ratio << " " << ratio << " -1 1" << std::endl; 
+    out << "ScreenWindow " << -ratio << " " << ratio << " -1 1" << std::endl;
   }
-  
+
   out << "Projection \"perspective\" \"fov\" 45" << std::endl
       << "PixelSamples 4 4" << std::endl
       << "PixelFilter \"catmull-rom\" 3 3" << std::endl
@@ -632,7 +632,7 @@ write_lights(std::ofstream& out)
     // ShadowLight
     out << "LightSource \"shadowdistant\" 1 \"from\" [0 0 0] \"to\" [0 0 1]"
         << " \"shadowname\" \"raytrace\" \"intensity\" " << parameters_.shadowIntensity << std::endl;
-    
+
     // Ambient light
     out << "LightSource \"ambientlight\" 2 \"intensity\" " << parameters_.ambientIntensity << std::endl;
   }
@@ -641,7 +641,7 @@ write_lights(std::ofstream& out)
     out << "LightSource \"distantLight\" 1 \"from\" [0 0 0] \"to\" [0 0 1]"
     << " \"intensity\" 0.85" << std::endl;
   }
-  
+
   // Background light
   out << "LightSource \"ambientlight\" 99 \"intensity\" 1" << std::endl;
   write_turn_background_light(false,out);
@@ -679,14 +679,14 @@ write_facets(const C3t3& c3t3, std::ofst
   {
     const C3t3::Cell_handle& c = it->first;
     const int& k = it->second;
-    
+
     const Bare_point& p1 = wp2p(c->vertex((k+1)&3)->point());
     const Bare_point& p2 = wp2p(c->vertex((k+2)&3)->point());
     const Bare_point& p3 = wp2p(c->vertex((k+3)&3)->point());
-    
+
     QColor color = c3t3.is_in_complex(c) ? subdomain_map_[c3t3.subdomain_index(c)]
     : subdomain_map_[c3t3.subdomain_index(c->neighbor(k))];
-    
+
     write_triangle(p1, p2, p3, color, color.darker(125), out );
   }
 }
@@ -706,7 +706,7 @@ write_facets(const C3t3& c3t3, const Pla
   {
     const C3t3::Cell_handle& c = it->first;
     const int& k = it->second;
-   
+
     const Bare_point& p1 = wp2p(c->vertex((k+1)&3)->point());
     const Bare_point& p2 = wp2p(c->vertex((k+2)&3)->point());
     const Bare_point& p3 = wp2p(c->vertex((k+3)&3)->point());
@@ -714,13 +714,13 @@ write_facets(const C3t3& c3t3, const Pla
     const Side s1 = plane.oriented_side(p1);
     const Side s2 = plane.oriented_side(p2);
     const Side s3 = plane.oriented_side(p3);
-    
-    if(   s1 == CGAL::ON_NEGATIVE_SIDE && s2 == CGAL::ON_NEGATIVE_SIDE 
+
+    if(   s1 == CGAL::ON_NEGATIVE_SIDE && s2 == CGAL::ON_NEGATIVE_SIDE
        && s3 == CGAL::ON_NEGATIVE_SIDE )
     {
       QColor color = c3t3.is_in_complex(c) ? subdomain_map_[c3t3.subdomain_index(c)]
                                            : subdomain_map_[c3t3.subdomain_index(c->neighbor(k))];
-      
+
       write_triangle(p1, p2, p3, color, color.darker(125), out );
     }
   }
@@ -750,16 +750,16 @@ write_surface_cells(const C3t3& c3t3, co
         last_2D_vertex_index = i;
       }
     }
-      
+
     //const int TRANSPARENCY_ALPHA_VALUE = 100;
     CGAL::Bbox_3 bbox = c3t3.bbox();
-    float relPos = (c->weighted_circumcenter().x() - bbox.xmin()) 
+    float relPos = (c->weighted_circumcenter().x() - bbox.xmin())
                    / (bbox.xmax() - bbox.xmin());
-    float TRANSPARENCY_ALPHA_VALUE = 
-      1.f - 
-      (relPos < 0.25f ? 
-        0.0f : 
-        (relPos > 0.75f ? 
+    float TRANSPARENCY_ALPHA_VALUE =
+      1.f -
+      (relPos < 0.25f ?
+        0.0f :
+        (relPos > 0.75f ?
           1.0f :
           (relPos - 0.25f)*1.0f/0.5f
         )
@@ -773,7 +773,7 @@ write_surface_cells(const C3t3& c3t3, co
       QColor basecolor = subdomain_map_[c3t3.subdomain_index(c)];
       QColor facecolor = basecolor.darker(150);
       QColor edgecolor = facecolor.darker(150);
-            
+
       for (int i = 0 ; i < 4 ; ++i)
       {
         if (c3t3.in_dimension(c->vertex((i+1)%4)) == 2
@@ -794,14 +794,14 @@ write_surface_cells(const C3t3& c3t3, co
       }
     }*/
 
-    
+
     // SURFACE CELLS ARE TRANSPARENT
     if (num_2D_vertices >= 2)
     {
       QColor basecolor = subdomain_map_[c3t3.subdomain_index(c)];
       QColor facecolor = basecolor.darker(150);
       QColor edgecolor = facecolor.darker(150);
-      
+
       /*
       typedef Kernel::Oriented_side Side;
 
@@ -810,7 +810,7 @@ write_surface_cells(const C3t3& c3t3, co
       const Side s1 = plane.oriented_side(wp2p(c->vertex(1)->point()));
       const Side s2 = plane.oriented_side(wp2p(c->vertex(2)->point()));
       const Side s3 = plane.oriented_side(wp2p(c->vertex(3)->point()));
-      if(   s0 == CGAL::ON_NEGATIVE_SIDE && s1 == CGAL::ON_NEGATIVE_SIDE 
+      if(   s0 == CGAL::ON_NEGATIVE_SIDE && s1 == CGAL::ON_NEGATIVE_SIDE
          && s2 == CGAL::ON_NEGATIVE_SIDE && s3 == CGAL::ON_NEGATIVE_SIDE )
       {
         edgecolor.setAlpha(TRANSPARENCY_ALPHA_VALUE);
@@ -819,9 +819,9 @@ write_surface_cells(const C3t3& c3t3, co
       {
         edgecolor.setAlpha(255);
       }*/
-      
+
       edgecolor.setAlphaF(TRANSPARENCY_ALPHA_VALUE);
-         
+
       for (int i = 0 ; i < 4 ; ++i)
       {
         write_triangle(wp2p(c->vertex((i+1)%4)->point()),
@@ -835,7 +835,7 @@ write_surface_cells(const C3t3& c3t3, co
       QColor basecolor = subdomain_map_[c3t3.subdomain_index(c)];
       QColor facecolor = basecolor.darker(150);
       QColor edgecolor = facecolor.darker(150);
-            
+
       for (int i = 0 ; i < 4 ; ++i)
       {
         if (i == last_2D_vertex_index)
@@ -873,12 +873,12 @@ write_cells_intersecting_a_plane(const C
     const Bare_point& p2 = wp2p(it->vertex(1)->point());
     const Bare_point& p3 = wp2p(it->vertex(2)->point());
     const Bare_point& p4 = wp2p(it->vertex(3)->point());
-    
+
     const Side s1 = plane.oriented_side(p1);
     const Side s2 = plane.oriented_side(p2);
     const Side s3 = plane.oriented_side(p3);
     const Side s4 = plane.oriented_side(p4);
-    
+
     if(   s1 == CGAL::ON_ORIENTED_BOUNDARY || s2 == CGAL::ON_ORIENTED_BOUNDARY
        || s3 == CGAL::ON_ORIENTED_BOUNDARY || s4 == CGAL::ON_ORIENTED_BOUNDARY
        || s2 != s1 || s3 != s1 || s4 != s1 )
@@ -888,17 +888,17 @@ write_cells_intersecting_a_plane(const C
       QColor edgecolor = facecolor.darker(150);
 
       edgecolor.setAlpha(20);
-      
+
       // Don't write facet twice
       if ( s1 != CGAL::ON_NEGATIVE_SIDE || s2 != CGAL::ON_NEGATIVE_SIDE || s3 != CGAL::ON_NEGATIVE_SIDE )
         write_triangle(p1, p2, p3, facecolor, edgecolor, out );
-      
+
       if ( s1 != CGAL::ON_NEGATIVE_SIDE || s2 != CGAL::ON_NEGATIVE_SIDE || s4 != CGAL::ON_NEGATIVE_SIDE )
         write_triangle(p1, p2, p4, facecolor, edgecolor, out );
-      
+
       if ( s1 != CGAL::ON_NEGATIVE_SIDE || s3 != CGAL::ON_NEGATIVE_SIDE || s4 != CGAL::ON_NEGATIVE_SIDE )
         write_triangle(p1, p3, p4, facecolor, edgecolor, out );
-      
+
       if ( s2 != CGAL::ON_NEGATIVE_SIDE || s3 != CGAL::ON_NEGATIVE_SIDE || s4 != CGAL::ON_NEGATIVE_SIDE )
         write_triangle(p2, p3, p4, facecolor, edgecolor, out );
     }
@@ -921,12 +921,12 @@ write_cells_on_the_positive_side_of_a_pl
     const Bare_point& p2 = wp2p(it->vertex(1)->point());
     const Bare_point& p3 = wp2p(it->vertex(2)->point());
     const Bare_point& p4 = wp2p(it->vertex(3)->point());
-    
+
     const Side s1 = plane.oriented_side(p1);
     const Side s2 = plane.oriented_side(p2);
     const Side s3 = plane.oriented_side(p3);
     const Side s4 = plane.oriented_side(p4);
-    
+
     if( (   s1 == CGAL::ON_POSITIVE_SIDE || s2 == CGAL::ON_POSITIVE_SIDE
          || s3 == CGAL::ON_POSITIVE_SIDE || s4 == CGAL::ON_POSITIVE_SIDE )
         /*&&
@@ -941,17 +941,17 @@ write_cells_on_the_positive_side_of_a_pl
       QColor edgecolor = facecolor.darker(150);
 
       edgecolor.setAlpha(10);
-      
+
       // Don't write facet twice
       if ( s1 != CGAL::ON_NEGATIVE_SIDE || s2 != CGAL::ON_NEGATIVE_SIDE || s3 != CGAL::ON_NEGATIVE_SIDE )
         write_triangle(p1, p2, p3, facecolor, edgecolor, out );
-      
+
       if ( s1 != CGAL::ON_NEGATIVE_SIDE || s2 != CGAL::ON_NEGATIVE_SIDE || s4 != CGAL::ON_NEGATIVE_SIDE )
         write_triangle(p1, p2, p4, facecolor, edgecolor, out );
-      
+
       if ( s1 != CGAL::ON_NEGATIVE_SIDE || s3 != CGAL::ON_NEGATIVE_SIDE || s4 != CGAL::ON_NEGATIVE_SIDE )
         write_triangle(p1, p3, p4, facecolor, edgecolor, out );
-      
+
       if ( s2 != CGAL::ON_NEGATIVE_SIDE || s3 != CGAL::ON_NEGATIVE_SIDE || s4 != CGAL::ON_NEGATIVE_SIDE )
         write_triangle(p2, p3, p4, facecolor, edgecolor, out );
     }
@@ -966,14 +966,14 @@ write_triangle (const Bare_point& p, con
 {
   // Color
   write_color(color, true, out);
-  
+
   // Triangle
   out << "Polygon \"P\" [";
   write_point(p,out);
   write_point(q,out);
   write_point(r,out);
   out << "]" << std::endl;
-  
+
   // Edges (will be drawn later on)
   add_edge(p,q,edge_color);
   add_edge(p,r,edge_color);
@@ -992,7 +992,7 @@ write_tetrahedron (const Bare_point& p,
 {
   // Color
   write_color(color, true, out);
-  
+
   // Triangle
   out << "Polygon \"P\" [";
   write_point(p,out);
@@ -1000,7 +1000,7 @@ write_tetrahedron (const Bare_point& p,
   write_point(r,out);
   write_point(s,out);
   out << "]" << std::endl;
-  
+
   // Edges (will be drawn later on)
   add_edge(p,q,edge_color);
   add_edge(p,r,edge_color);
@@ -1022,7 +1022,7 @@ write_point (const Bare_point& p, std::o
 {
   // Transform point in camera coordinates
   const Bare_point& p_cam = camera_coordinates(p);
-  
+
   // Write it
   out << " " << -p_cam.x() << " " << -p_cam.y() << " " << -p_cam.z() << " ";
 }
@@ -1034,12 +1034,12 @@ write_point_sphere(const Bare_point& p,
 {
   // Transform point in camera coordinates
   const Bare_point& p_cam = camera_coordinates(p);
-  
+
   // radius
   const double& r = parameters_.sphere_radius;
-  
+
   out << "Translate " << -p_cam.x() << " " << -p_cam.y() << " " << -p_cam.z() << std::endl;
-  
+
   // Sphere radius zmin zmax thetamax
   out << "Sphere " << r << " " << -r << " " << r << " 360" << std::endl;
   out << "Identity" << std::endl;
@@ -1053,50 +1053,50 @@ write_edge_cylinder(const Bare_point& p,
   // Transform point in camera coordinates
   const Bare_point& p_cam = camera_coordinates(p);
   const Bare_point& q_cam = camera_coordinates(q);
-  
+
   double pq = CGAL::to_double(CGAL::sqrt(CGAL::squared_distance(p_cam,q_cam)));
-  
+
   Aff_transformation_3 t (CGAL::Translation(), Vector_3(p_cam,CGAL::ORIGIN));
   const Bare_point& q_cam_t = q_cam.transform(t);
-  
+
   Vector_3 Oq (CGAL::ORIGIN,q_cam_t);
   Vector_3 Oz (FT(0),FT(0),FT(1));
-  
+
   Vector_3 r_axis = CGAL::cross_product(Oq,Oz);
   double cos_angle = CGAL::to_double((Oq*Oz)/CGAL::sqrt(Oq.squared_length()));
   double angle = std::acos(cos_angle) * 180. / CGAL_PI;
-  
+
   // radius
   const double& r = parameters_.cylinder_radius;
-  
+
   out << "Translate " << -p_cam.x() << " " << -p_cam.y() << " " << -p_cam.z() << std::endl;
-  out << "Rotate " << (angle+180.) << " " << -r_axis.x() << " " << -r_axis.y() << " " << -r_axis.z() << std::endl; 
-  
+  out << "Rotate " << (angle+180.) << " " << -r_axis.x() << " " << -r_axis.y() << " " << -r_axis.z() << std::endl;
+
   // Cylinder radius zmin zmax thetamax
   out << "Cylinder " << r << " 0 " << pq << " 360" << std::endl;
   out << "Identity" << std::endl;
 }
 
 
-void 
+void
 C3t3_rib_exporter_plugin::
 write_edges_flat(std::ofstream& out)
 {
   // Lights
   write_turn_background_light(true,out);
-  
+
   out << "Surface \"constant\"" << std::endl;
   write_opacity(CGAL_RIB_NON_TRANSPARENT_MATERIAL_ALPHA, out);
-  
+
   // Translation
   out << "Translate 0 0 -0.1" << std::endl;
-  
+
   for ( Edge_map::iterator it = edges_.begin(), end = edges_.end() ;
        it != end ; ++it )
   {
     // Color
     write_color(it->second, true, out);
-    
+
     // Edge
     out << "Curves \"linear\" [2] \"nonperiodic\" \"P\" [";
     write_point(it->first.first,out);
@@ -1106,13 +1106,13 @@ write_edges_flat(std::ofstream& out)
 }
 
 
-void 
+void
 C3t3_rib_exporter_plugin::
 write_edges_volumic(std::ofstream& out)
 {
   // Material
   write_opacity(CGAL_RIB_NON_TRANSPARENT_MATERIAL_ALPHA, out);
-  
+
   for ( Edge_map::iterator it = edges_.begin(), end = edges_.end() ;
        it != end ; ++it )
   {
@@ -1123,13 +1123,13 @@ write_edges_volumic(std::ofstream& out)
   }
 }
 
-void 
+void
 C3t3_rib_exporter_plugin::
 write_vertices_volumic(std::ofstream& out)
 {
   // Material
   write_opacity(CGAL_RIB_NON_TRANSPARENT_MATERIAL_ALPHA, out);
-  
+
   for ( Vertex_map::iterator it = vertices_.begin(), end = vertices_.end() ;
        it != end ; ++it )
   {
@@ -1141,26 +1141,26 @@ write_vertices_volumic(std::ofstream& ou
 }
 
 
-void 
+void
 C3t3_rib_exporter_plugin::
 write_color(const QColor& color, bool use_transparency, std::ofstream& out)
 {
   if ( prev_color_ == color )
-  { 
+  {
     return;
   }
-  
+
   // Cache data
   prev_color_ = color;
-  
+
   // Write opacity data
   if (use_transparency)
   {
     write_opacity(color.alphaF(),out);
   }
-  
+
   // Write color data
-  out << "Color [ " << color.redF() << " " << color.greenF() << " " 
+  out << "Color [ " << color.redF() << " " << color.greenF() << " "
       << color.blueF() <<  " ]" << std::endl;
 }
 
@@ -1173,27 +1173,27 @@ write_opacity(const double alpha, std::o
   {
     return;
   }
-  
+
   // Cache data
   prev_alpha_ = alpha;
-  
+
   // Write opacity data
   out << "Opacity " << alpha << " " << alpha << " " << alpha << std::endl;
 }
 
 
-void 
+void
 C3t3_rib_exporter_plugin::
 write_background(const QColor& color, std::ofstream& out)
 {
   write_turn_background_light(false,out);
-  
+
   out << "Surface \"constant\"" << std::endl;
   write_color(color,false,out);
-  
+
   double corner = zmax_ * 2.;
   double depth_pos = zmax_ * 1.6;
-  
+
   out << "Polygon \"P\" [";
   out << " " << -corner << " " << -corner << " " << depth_pos << " ";
   out << " " <<  corner << " " << -corner << " " << depth_pos << " ";
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/config_mesh_3.h 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/config_mesh_3.h
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/config_mesh_3.h	2020-02-21 20:03:57.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/config_mesh_3.h	2020-08-01 19:02:42.000000000 +0000
@@ -90,7 +90,7 @@
   // =====================
   // Worksharing strategy
   // =====================
-      
+
 //# define CGAL_MESH_3_LOAD_BASED_WORKSHARING // Not recommended
 
   // ==========================================================================
@@ -116,7 +116,7 @@
 # define CGAL_MESH_3_IF_UNSORTED_QUEUE_JUST_SORT_AFTER_SCAN
 
 #endif // CGAL_CONCURRENT_MESH_3
-  
+
 //#define CGAL_MESH_3_PROFILING
 
 #endif // CGAL_DEMO_MESH_3_CONFIG_H
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Facet_extra_criterion.h 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Facet_extra_criterion.h
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Facet_extra_criterion.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Facet_extra_criterion.h	2020-08-01 19:02:42.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/demo/Polyhedron/Plugins/Mesh_3/Facet_extra_criterion.h $
-// $Id: Facet_extra_criterion.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/demo/Polyhedron/Plugins/Mesh_3/Facet_extra_criterion.h $
+// $Id: Facet_extra_criterion.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -80,7 +80,7 @@ protected:
       Surface_patch_index index2 = domain.surface_patch_index(v2->index());
       if(index2) { // (index2.first != 0 && index2.second != 0){
         //index2 = Surface_patch_index(1,1);
-      }      
+      }
       if ( is_index_initialized )
       {
         if ( !(index2 == index) )
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Io_image_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Io_image_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Io_image_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Io_image_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -75,7 +75,7 @@
 // 0..1 and min_max is the range it came from.
 struct IntConverter {
   std::pair<int, int> min_max;
-  
+
   int operator()(float f) {
     float s = f * float((min_max.second - min_max.first));
     //approximate instead of just floor.
@@ -721,7 +721,7 @@ private:
       viewer->installEventFilter(y_item);
       viewer->installEventFilter(z_item);
     }
-    
+
     connect(x_item, SIGNAL(selected(CGAL::Three::Scene_item*)), this, SLOT(select_plane(CGAL::Three::Scene_item*)));
     connect(y_item, SIGNAL(selected(CGAL::Three::Scene_item*)), this, SLOT(select_plane(CGAL::Three::Scene_item*)));
     connect(z_item, SIGNAL(selected(CGAL::Three::Scene_item*)), this, SLOT(select_plane(CGAL::Three::Scene_item*)));
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Io_implicit_function_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Io_implicit_function_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Io_implicit_function_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Io_implicit_function_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -11,7 +11,7 @@
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 //#include <CGAL_demo/Plugin_interface.h>
@@ -35,7 +35,7 @@
 #include <QLibrary>
 using namespace CGAL::Three;
 class Io_implicit_function_plugin :
-  public QObject, 
+  public QObject,
   protected Polyhedron_demo_plugin_helper
 {
   Q_OBJECT
@@ -51,24 +51,24 @@ public:
   QString name() const { return "implicit functions"; }
   // QString nameFilters() const { return ""; }
   // bool canLoad() const { return false; }
-  
+
 
   typedef Polyhedron_demo_plugin_helper Plugin_helper;
-  
+
   using Plugin_helper::init;
   virtual void init(QMainWindow* mainWindow, CGAL::Three::Scene_interface* scene_interface, Messages_interface*);
-  
+
   QList<QAction*> actions() const
   {
     return QList<QAction*>();
   }
-  
+
 public Q_SLOTS:
   void load_function() const;
-  
+
 private:
   void load_function_plugins();
-  
+
 private:
   QList<Implicit_function_interface*> functions_;
 };
@@ -89,21 +89,21 @@ init(QMainWindow* mainWindow, CGAL::Thre
 
   this->scene = scene_interface;
   this->mw = mainWindow;
-  
+
   QAction* actionLoadFunction = new QAction("Load &Implicit Function", mw);
   if( NULL != actionLoadFunction )
   {
     connect(actionLoadFunction, SIGNAL(triggered()), this, SLOT(load_function()));
   }
-  
+
   QMenu* menuFile = mw->findChild<QMenu*>("menuFile");
   if ( NULL != menuFile )
   {
     QList<QAction*> menuFileActions = menuFile->actions();
-    
+
     // Look for action just after "Load..." action
     QAction* actionAfterLoad = NULL;
-    for ( QList<QAction*>::iterator it_action = menuFileActions.begin(), 
+    for ( QList<QAction*>::iterator it_action = menuFileActions.begin(),
          end = menuFileActions.end() ; it_action != end ; ++ it_action ) //Q_FOREACH( QAction* action, menuFileActions)
     {
       if ( NULL != *it_action && (*it_action)->text().contains("Load") )
@@ -115,13 +115,13 @@ init(QMainWindow* mainWindow, CGAL::Thre
         }
       }
     }
-    
+
     // Insert "Load implicit function" action
     if ( NULL != actionAfterLoad )
     {
-      menuFile->insertAction(actionAfterLoad,actionLoadFunction);      
+      menuFile->insertAction(actionAfterLoad,actionLoadFunction);
     }
-    
+
   }
 }
 
@@ -133,10 +133,10 @@ load_function() const
   QDialog dialog(mw);
   Ui::FunctionDialog ui;
   ui.setupUi(&dialog);
-  
+
   connect(ui.buttonBox, SIGNAL(accepted()), &dialog, SLOT(accept()));
   connect(ui.buttonBox, SIGNAL(rejected()), &dialog, SLOT(reject()));
-  
+
   // Add loaded functions to the dialog
   int i=0;
   Q_FOREACH( Implicit_function_interface* f, functions_ )
@@ -147,21 +147,21 @@ load_function() const
   // Open window
   int return_code = dialog.exec();
   if(return_code == QDialog::Rejected) { return; }
-  
+
   // Get selected function
   i = ui.functionList->currentIndex();
   Implicit_function_interface* function = functions_[i];
-  
+
   // Create Scene_implicit_function object and add it to the framework
   Scene_implicit_function_item* item =
     new Scene_implicit_function_item(function);
-  
+
   item->setName(tr("%1").arg(function->name()));
   item->setRenderingMode(FlatPlusEdges);
 
   const CGAL::Three::Scene_interface::Item_id index = scene->mainSelectionIndex();
   scene->itemChanged(index);
-    
+
   CGAL::Three::Scene_interface::Item_id new_item_id = scene->addItem(item);
   scene->setSelectedItem(new_item_id);
 }
@@ -172,14 +172,14 @@ load_function_plugins()
 {
   QDir pluginsDir(qApp->applicationDirPath());
   QString dirname = pluginsDir.dirName();
-  if ( !pluginsDir.cd("implicit_functions") ) { 
+  if ( !pluginsDir.cd("implicit_functions") ) {
     // In that case, dirname may be "Debug" or "Release" and one has to
     // search in ../implicit_functions/Debug or
     // ../implicit_functions/Release
     QString newDir = QString("../implicit_functions/") + dirname;
-    if( !pluginsDir.cd(newDir) ) return; 
+    if( !pluginsDir.cd(newDir) ) return;
   }
-  
+
   Q_FOREACH (QString fileName, pluginsDir.entryList(QDir::Files))
   {
     if ( fileName.contains("plugin") && QLibrary::isLibrary(fileName) )
@@ -192,7 +192,7 @@ load_function_plugins()
       {
         Implicit_function_interface* function =
           qobject_cast<Implicit_function_interface*>(function_plugin);
-        
+
         if ( NULL != function )
         {
           functions_ << function;
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Mesh_function.h 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Mesh_function.h
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Mesh_function.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Mesh_function.h	2020-08-01 19:02:42.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/demo/Polyhedron/Plugins/Mesh_3/Mesh_function.h $
-// $Id: Mesh_function.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/demo/Polyhedron/Plugins/Mesh_3/Mesh_function.h $
+// $Id: Mesh_function.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_DEMO_MESH_3_MESH_FUNCTION_H
@@ -57,7 +57,7 @@ struct Mesh_parameters
   double facet_angle;
   double facet_sizing;
   double facet_approx;
-  
+
   double tet_shape;
   double tet_sizing;
   double edge_sizing;
@@ -66,7 +66,7 @@ struct Mesh_parameters
   int manifold;
   const CGAL::Image_3* image_3_ptr;
   bool use_sizing_field_with_aabb_tree;
-  
+
   inline QStringList log() const;
 };
 
@@ -85,18 +85,18 @@ class Mesh_function
   : public Mesh_function_interface
 {
   typedef Domain_ Domain;
-  
+
 public:
   Mesh_function(C3t3& c3t3, Domain* domain, const Mesh_parameters& p);
-  
+
   ~Mesh_function();
-  
+
   // Launch
   virtual void launch();
-  
+
   // Stop
   virtual void stop();
-  
+
   // Logs
   virtual QStringList parameters_log() const;
   virtual QString status(double time_period) const;
@@ -107,13 +107,13 @@ private:
   typedef std::vector<std::pair<Point_3, Index> >   Initial_points_vector;
   typedef typename Initial_points_vector::iterator  Ipv_iterator;
   typedef C3t3::Vertex_handle                       Vertex_handle;
-  
+
   typedef C3t3::Triangulation                       Tr;
   typedef CGAL::Mesh_criteria_3<Tr>                 Mesh_criteria;
   typedef Mesh_criteria::Edge_criteria              Edge_criteria;
   typedef Mesh_criteria::Facet_criteria             Facet_criteria;
   typedef Mesh_criteria::Cell_criteria              Cell_criteria;
-  
+
   typedef CGAL::Mesh_3::Mesher_3<C3t3, Mesh_criteria, Domain>   Mesher;
 
   void initialize(const Mesh_criteria& criteria, Mesh_fnt::Domain_tag);
@@ -414,7 +414,7 @@ status(double time_period) const
   } else {
     // Get status and return a string corresponding to it
     typename Mesher::Mesher_status s = mesher_->status();
-  
+
     result = QString("Vertices: %1 \n"
                      "Vertices inserted last %2s: %3 \n\n"
                      "Bad facets: %4 \n"
@@ -426,7 +426,7 @@ status(double time_period) const
       .arg(s.cells_queue);
     last_report_ = s;
   }
-  
+
 #endif
   return result;
 }
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Meshing_thread.cpp 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Meshing_thread.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Meshing_thread.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Meshing_thread.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -11,7 +11,7 @@
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #include "config.h"
@@ -34,8 +34,8 @@ Meshing_thread(Mesh_function_interface*
 {
   connect(timer_, SIGNAL(timeout()),
           this,   SLOT(emit_status()));
-  
-  timer_->start(static_cast<int>(timer_period_*1000));  
+
+  timer_->start(static_cast<int>(timer_period_*1000));
 }
 
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Meshing_thread.h 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Meshing_thread.h
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Meshing_thread.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Meshing_thread.h	2020-08-01 19:02:42.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/demo/Polyhedron/Plugins/Mesh_3/Meshing_thread.h $
-// $Id: Meshing_thread.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/demo/Polyhedron/Plugins/Mesh_3/Meshing_thread.h $
+// $Id: Meshing_thread.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_DEMO_MESH_3_MESHING_THREAD_H
@@ -29,13 +29,13 @@ class Mesh_function_interface
 {
 public:
   virtual ~Mesh_function_interface() {}
-  
+
   // Launch
   virtual void launch() = 0;
-  
+
   // Stop
   virtual void stop() = 0;
-  
+
   // Logs
   virtual QStringList parameters_log() const = 0;
   virtual QString status(double time_period) const = 0;
@@ -49,34 +49,34 @@ public:
   // Constructor / Destructor
   Meshing_thread(Mesh_function_interface* f, Scene_c3t3_item* item);
   virtual ~Meshing_thread();
-  
+
   // Scene item
   Scene_c3t3_item* item() const { return item_; }
-  
+
   // Infos about meshing
   double time() const { return time_; }
-  
+
   // Logs
   QStringList parameters_log() const { return f_->parameters_log(); }
-  
+
 public Q_SLOTS:
   // Stop
   void stop();
-  
+
 private Q_SLOTS:
   // emit signal status report
   void emit_status();
-  
+
 Q_SIGNALS:
   // Emitted at the end of the process
   void done(Meshing_thread*);
   // Informs about status of meshing
   void status_report(QString);
-  
+
 protected:
   // Overload of QThread function
   virtual void run();
-  
+
 private:
   Mesh_function_interface* f_;
   Scene_c3t3_item* item_;
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Optimization_plugin_cgal_code.cpp 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Optimization_plugin_cgal_code.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Optimization_plugin_cgal_code.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Optimization_plugin_cgal_code.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -28,7 +28,7 @@ namespace cgp = CGAL::parameters;
 // -----------------------------------
 QString translate_bool(const bool b)
 {
-  return b ? QString("done") 
+  return b ? QString("done")
            : QString("in progress");
 }
 
@@ -46,24 +46,24 @@ public:
   explicit
   Optimization_function_base(C3t3& c3t3, Domain* d)
     : c3t3_(c3t3), domain_(d) {}
-  
+
   /// Destructor
   virtual ~Optimization_function_base()
   {
     delete domain_;
   }
-  
+
   /// Launch
   virtual CGAL::Mesh_optimization_return_code launch()
   {
     return (*this)(c3t3_, *domain_);
   }
-  
+
 protected:
   /// Virtual operator() which should be overloaded
   virtual CGAL::Mesh_optimization_return_code
   operator()(C3t3& c3t3, const Domain& domain) = 0;
-  
+
 private:
   C3t3& c3t3_;
   Domain* domain_;
@@ -84,23 +84,23 @@ Optimizer_thread* cgal_code_optimization
                                         const bool create_new_item)
 {
   // Create result item
-  Scene_c3t3_item* p_result_item = create_new_item ? 
+  Scene_c3t3_item* p_result_item = create_new_item ?
     new Scene_c3t3_item(c3t3_item.c3t3()) : &c3t3_item;
 
   if ( NULL == p_result_item )
   {
     return NULL;
   }
-  
-  
+
+
   // Create domain using real type of c3t3_item.data_item()
   // ------------------
 
 #ifdef CGAL_MESH_3_DEMO_ACTIVATE_SEGMENTED_IMAGES
   // Image
-  const Scene_image_item* image_item = 
+  const Scene_image_item* image_item =
     qobject_cast<const Scene_image_item*>(c3t3_item.data_item());
-  
+
   if ( NULL != image_item )
   {
     // Build domain
@@ -121,7 +121,7 @@ Optimizer_thread* cgal_code_optimization
     // Create thread
     typedef Optimization_function<Image_mesh_domain,Parameters> Opt_function;
     Opt_function* p_opt_function = new Opt_function(p_result_item->c3t3(), p_domain, param);
-    
+
     return new Optimizer_thread(p_opt_function, p_result_item);
   }
 #endif
@@ -150,22 +150,22 @@ Optimizer_thread* cgal_code_optimization
 
 #ifdef CGAL_MESH_3_DEMO_ACTIVATE_IMPLICIT_FUNCTIONS
   // Function
-  const Scene_implicit_function_item* function_item = 
+  const Scene_implicit_function_item* function_item =
     qobject_cast<const Scene_implicit_function_item*>(c3t3_item.data_item());
-  
+
   if ( NULL != function_item )
   {
     // Build domain
     const Implicit_function_interface* p_function = function_item->function();
     if ( NULL == p_function ) { return NULL; }
-    
+
     CGAL::Bbox_3 dom_bbox (p_function->bbox().xmin(),
                            p_function->bbox().ymin(),
                            p_function->bbox().zmin(),
                            p_function->bbox().xmax(),
                            p_function->bbox().ymax(),
                            p_function->bbox().zmax());
-    
+
     Function_mesh_domain* p_domain =
       new Function_mesh_domain(Function_wrapper(*p_function), dom_bbox, 1e-7,
                                CGAL::parameters::construct_surface_patch_index =
@@ -174,11 +174,11 @@ Optimizer_thread* cgal_code_optimization
     // Create thread
     typedef Optimization_function<Function_mesh_domain,Parameters> Opt_function;
     Opt_function* p_opt_function = new Opt_function(p_result_item->c3t3(), p_domain, param);
-    
+
     return new Optimizer_thread(p_opt_function, p_result_item);
   }
 #endif
-  
+
   return NULL;
 }
 
@@ -193,7 +193,7 @@ struct Global_optimization_status
   bool move_points_done;
   bool rebuild_restricted_delaunay_done;
   int iteration_done;
-  
+
   Global_optimization_status()
     : compute_moves_done(false)
     , move_points_done(false)
@@ -205,11 +205,11 @@ struct Global_visitor
 {
   Global_visitor(Global_optimization_status* status) : p_status_(status) {}
   Global_visitor(const Global_visitor& rhs) : p_status_(rhs.p_status_) {}
-  
+
   void after_compute_moves() { p_status_->compute_moves_done = true; }
   void after_move_points() { p_status_->move_points_done = true; }
   void after_rebuild_restricted_delaunay() { p_status_->rebuild_restricted_delaunay_done = true; }
-  
+
   void end_of_iteration(int iteration_number)
   {
     p_status_->iteration_done = iteration_number;
@@ -217,7 +217,7 @@ struct Global_visitor
     p_status_->move_points_done = false;
     p_status_->rebuild_restricted_delaunay_done = false;
   }
-  
+
 private:
   Global_optimization_status* p_status_;
 };
@@ -228,14 +228,14 @@ class Global_optimization_function
   : public Optimization_function_base< Domain >
 {
   typedef Global_visitor                       Visitor;
-  typedef Optimization_function_base< Domain > Base;  
-  
+  typedef Optimization_function_base< Domain > Base;
+
 public:
   /// Constructor
   Global_optimization_function(C3t3& c3t3, Domain* d)
     : Base(c3t3,d)
     , status_() {}
-  
+
   /// Destructor
   virtual ~Global_optimization_function() {}
 
@@ -246,22 +246,22 @@ public:
                           "Compute moves: %2<br />")
     .arg(status_.iteration_done + 2)
     .arg(translate_bool(status_.compute_moves_done));
-    
+
     if ( status_.compute_moves_done )
     {
       res += QString("Move points: %1<br />")
       .arg(translate_bool(status_.move_points_done));
     }
-    
+
     if ( status_.move_points_done )
     {
       res += QString("Rebuild restricted Delaunay: %1")
       .arg(translate_bool(status_.rebuild_restricted_delaunay_done));
     }
-    
+
     return res;
   }
-  
+
 protected:
   Global_optimization_status status_;
 };
@@ -280,7 +280,7 @@ struct Odt_parameters
   double freeze_ratio;
   bool do_freeze;
   int max_iteration_nb;
-  
+
   QStringList log() const
   {
     return QStringList()
@@ -307,10 +307,10 @@ class Optimization_function < Domain, Od
   typedef CGAL::Mesh_3::Mesh_sizing_field<Tr>    Sizing;
   typedef CGAL::Mesh_3::Odt_move<C3t3,Sizing>    Move;
   typedef Global_visitor                         Visitor;
-  
+
   typedef typename CGAL::Mesh_3::Mesh_global_optimizer<C3t3,Domain,Move,Visitor> Odt_optimizer;
 
-  typedef Global_optimization_function< Domain > Base;  
+  typedef Global_optimization_function< Domain > Base;
 
 public:
   /// Constructor
@@ -318,21 +318,21 @@ public:
     : Base(c3t3,d)
     , odt_(NULL)
     , p_(p) {}
-  
+
   /// Destructor
   virtual ~Optimization_function() { delete odt_; }
 
   /// Stops process (set time limit to 1ms)
   virtual void stop() { odt_->set_time_limit(0.001); }
-  
+
   /// Log strings
   virtual QString name() const { return QString("Odt"); }
   virtual QStringList parameters_log() const { return p_.log(); }
-  
+
 protected:
   /// Launch odt optimization
   /// The content of this method is taken from CGAL::odt_optimize_mesh_3()
-  virtual CGAL::Mesh_optimization_return_code 
+  virtual CGAL::Mesh_optimization_return_code
   operator()(C3t3& c3t3, const Domain& domain)
   {
     if ( NULL != odt_ ) { return CGAL::MESH_OPTIMIZATION_UNKNOWN_ERROR; }
@@ -340,18 +340,18 @@ protected:
     // Create optimizer
     odt_ = new Odt_optimizer(c3t3, domain, p_.freeze_ratio, p_.do_freeze, p_.convergence_ratio);
     if ( NULL == odt_ ) { return CGAL::MESH_OPTIMIZATION_UNKNOWN_ERROR; }
-    
+
     // Set max time
     odt_->set_time_limit(p_.time_limit);
-    
+
     // 1000 iteration max to avoid infinite loops
     int max_iteration_nb = ( 0 == p_.max_iteration_nb ) ? 1000
                                                        : p_.max_iteration_nb;
-      
+
     // Launch optimization
     return (*odt_)(max_iteration_nb, Visitor(&(this->status_)));
   }
-  
+
 private:
   Odt_optimizer* odt_;
   Odt_parameters p_;
@@ -374,7 +374,7 @@ cgal_code_odt_mesh_3(Scene_c3t3_item& c3
   p.convergence_ratio = convergence_ratio;
   p.freeze_ratio = freeze_ratio;
   p.max_iteration_nb = max_iteration_number;
-  
+
   return cgal_code_optimization(c3t3_item, p, create_new_item);
 }
 #endif
@@ -394,7 +394,7 @@ struct Lloyd_parameters
   double freeze_ratio;
   bool do_freeze;
   int max_iteration_nb;
-  
+
   QStringList log() const
   {
     return QStringList()
@@ -421,51 +421,51 @@ class Optimization_function < Domain, Ll
   typedef CGAL::Mesh_3::Mesh_sizing_field<Tr>    Sizing;
   typedef CGAL::Mesh_3::Lloyd_move<C3t3,Sizing>  Move;
   typedef Global_visitor                         Visitor;
-  
+
   typedef typename CGAL::Mesh_3::Mesh_global_optimizer<C3t3,Domain,Move,Visitor> Lloyd_optimizer;
-  
+
   typedef Global_optimization_function< Domain > Base;
-  
+
 public:
   /// Constructor
   Optimization_function(C3t3& c3t3, Domain* d, const Lloyd_parameters& p)
     : Base(c3t3,d)
     , lloyd_(NULL)
     , p_(p) {}
-  
+
   /// Destructor
   virtual ~Optimization_function() { delete lloyd_; }
 
   /// Stops process (set time limit to 1ms)
   virtual void stop() { lloyd_->set_time_limit(0.001); }
-  
+
   /// Log strings
   virtual QString name() const { return QString("Lloyd"); }
   virtual QStringList parameters_log() const { return p_.log(); }
-  
+
 protected:
   /// Launch lloyd optimization
   /// The content of this method is taken from CGAL::lloyd_optimize_mesh_3()
-  virtual CGAL::Mesh_optimization_return_code 
+  virtual CGAL::Mesh_optimization_return_code
   operator()(C3t3& c3t3, const Domain& domain)
   {
     if ( NULL != lloyd_ ) { return CGAL::MESH_OPTIMIZATION_UNKNOWN_ERROR; }
-    
+
     // Create optimizer
     lloyd_ = new Lloyd_optimizer(c3t3, domain, p_.freeze_ratio, p_.do_freeze, p_.convergence_ratio);
     if ( NULL == lloyd_ ) { return CGAL::MESH_OPTIMIZATION_UNKNOWN_ERROR; }
-    
+
     // Set max time
     lloyd_->set_time_limit(p_.time_limit);
-    
+
     // 1000 iteration max to avoid infinite loops
     int max_iteration_nb = ( 0 == p_.max_iteration_nb ) ? 1000
                                                         : p_.max_iteration_nb;
-    
+
     // Launch optimization
     return (*lloyd_)(max_iteration_nb, Visitor(&(this->status_)));
   }
-  
+
 private:
   Lloyd_optimizer* lloyd_;
   Lloyd_parameters p_;
@@ -505,7 +505,7 @@ struct Perturb_parameters
 {
   double time_limit;
   double sliver_bound;
-  
+
   QStringList log() const
   {
     return QStringList()
@@ -527,10 +527,10 @@ struct Perturb_visitor
 {
   Perturb_visitor(Perturb_status* status) : p_status_(status) {}
   Perturb_visitor(const Perturb_visitor& rhs) : p_status_(rhs.p_status_) {}
-  
+
   void bound_reached(const double bound) { p_status_->bound_reached = bound; }
   void end_of_perturbation_iteration(std::size_t v) { p_status_->vertices_left = v;}
-  
+
 private:
   Perturb_status* p_status_;
 };
@@ -549,11 +549,11 @@ class Optimization_function < Domain, Pe
   typedef C3t3::Triangulation                                     Tr;
   typedef CGAL::Mesh_3::Min_dihedral_angle_criterion<Tr>          Sc;
   typedef Perturb_visitor                                         Visitor;
-  
+
   typedef CGAL::Mesh_3::Sliver_perturber<C3t3,Domain,Sc,Visitor>  Perturber;
-  
+
   typedef Optimization_function_base< Domain > Base;
-  
+
 public:
   /// Constructor
   Optimization_function(C3t3& c3t3, Domain* d, const Perturb_parameters& p)
@@ -561,13 +561,13 @@ public:
     , perturb_(NULL)
     , p_(p)
     , criterion_(p.sliver_bound, c3t3.triangulation()) {}
-  
+
   /// Destructor
   ~Optimization_function() { delete perturb_; }
 
   /// Stops process (set time limit to 1ms)
   virtual void stop() { perturb_->set_time_limit(0.001); }
-  
+
   /// Log strings
   virtual QString name() const { return QString("Perturb"); }
   virtual QStringList parameters_log() const { return p_.log(); }
@@ -578,11 +578,11 @@ public:
     .arg(status_.bound_reached)
     .arg(status_.vertices_left);
   }
-  
+
 protected:
   /// Launch sliver perturbation
   /// The content of this method is taken from CGAL::perturb_mesh_3()
-  virtual CGAL::Mesh_optimization_return_code  
+  virtual CGAL::Mesh_optimization_return_code
   operator()(C3t3& c3t3, const Domain& domain)
   {
     if ( NULL != perturb_ ) { return CGAL::MESH_OPTIMIZATION_UNKNOWN_ERROR; }
@@ -591,23 +591,23 @@ protected:
     typedef CGAL::Mesh_3::Volume_perturbation<C3t3,Domain,Sc>         Volume;
     typedef CGAL::Mesh_3::Dihedral_angle_perturbation<C3t3,Domain,Sc> Dihedral_angle;
     typedef CGAL::Mesh_3::Li_random_perturbation<C3t3,Domain,Sc>      Li_random;
-    
+
     // Build perturber
     perturb_ = new Perturber(c3t3, domain, criterion_);
     if ( NULL == perturb_ ) { return CGAL::MESH_OPTIMIZATION_UNKNOWN_ERROR; }
-    
+
     // Add perturbations
     perturb_->add_perturbation(new Sq_radius(40,0.05));
     perturb_->add_perturbation(new Volume(40,0.05));
     perturb_->add_perturbation(new Dihedral_angle(40,0.05));
     perturb_->add_perturbation(new Li_random(100,0.15));
-    
+
     // Set max time
     perturb_->set_time_limit(p_.time_limit);
-    
+
     // Set sliver bound (0 means no sliver bound)
     if ( 0 == p_.sliver_bound ) { p_.sliver_bound = criterion_.get_max_value(); }
-    
+
     // Launch perturber
     return (*perturb_)(Visitor(&status_));
   }
@@ -632,7 +632,7 @@ cgal_code_perturb_mesh_3(Scene_c3t3_item
   Perturb_parameters p;
   p.sliver_bound = sliver_bound;
   p.time_limit = time_limit;
-  
+
   return cgal_code_optimization(c3t3_item, p, create_new_item);
 }
 #endif
@@ -647,7 +647,7 @@ struct Exude_parameters
 {
   double time_limit;
   double sliver_bound;
-  
+
   QStringList log() const
   {
     return QStringList()
@@ -661,7 +661,7 @@ struct Exude_status
 {
   double cells_left_in_queue;
   double vertices_pumped;
-  
+
   Exude_status() : cells_left_in_queue(0), vertices_pumped(0) {}
 };
 
@@ -669,9 +669,9 @@ struct Exude_visitor
 {
   Exude_visitor(Exude_status* status) : p_status_(status) {}
   Exude_visitor(const Exude_visitor& rhs) : p_status_(rhs.p_status_) {}
-  
+
   void after_cell_pumped(std::size_t n) { p_status_->cells_left_in_queue = n; }
-  
+
 private:
   Exude_status* p_status_;
 };
@@ -691,9 +691,9 @@ class Optimization_function < Domain, Ex
   typedef CGAL::Mesh_3::Min_dihedral_angle_criterion<Tr>    Sc;
   typedef Exude_visitor                                     Visitor;
   typedef CGAL::Mesh_3::Slivers_exuder<C3t3,Sc,Visitor>     Exuder;
-  
+
   typedef Optimization_function_base< Domain > Base;
-  
+
 public:
   // Constructor
   Optimization_function(C3t3& c3t3, Domain* d, const Exude_parameters& p)
@@ -701,13 +701,13 @@ public:
     , exude_(NULL)
     , p_(p)
     , criterion_(p.sliver_bound, c3t3.triangulation()) {}
-  
+
   /// Destructor
   ~Optimization_function() { delete exude_; }
-  
+
   /// Stops process (set time limit to 1ms)
   virtual void stop() { exude_->set_time_limit(0.001); }
-  
+
   // Log strings
   virtual QString name() const { return QString("Exude"); }
   virtual QStringList parameters_log() const { return p_.log(); }
@@ -718,26 +718,26 @@ public:
       .arg(status_.cells_left_in_queue);
       //.arg(status_.vertices_pumped);
   }
-  
+
 protected:
   /// Launch sliver exudation
   /// The content of this method is taken from CGAL::exude_mesh_3()
-  virtual CGAL::Mesh_optimization_return_code  
+  virtual CGAL::Mesh_optimization_return_code
   operator()(C3t3& c3t3, const Domain&)
   {
     if ( NULL != exude_ ) { return CGAL::MESH_OPTIMIZATION_UNKNOWN_ERROR; }
-    
+
     // Create exuder
     exude_ = new Exuder(c3t3, criterion_);
     if ( NULL == exude_ ) { return CGAL::MESH_OPTIMIZATION_UNKNOWN_ERROR; }
-    
+
     // Set time_limit
     exude_->set_time_limit(p_.time_limit);
-    
+
     // Launch exudation
     return (*exude_)(Visitor(&status_));
   }
-  
+
 private:
   Exuder* exude_;
   Exude_parameters p_;
@@ -756,14 +756,14 @@ cgal_code_exude_mesh_3(Scene_c3t3_item&
                        const bool create_new_item)
 {
   // Create result item
-  Scene_c3t3_item* p_result_item = create_new_item ? 
+  Scene_c3t3_item* p_result_item = create_new_item ?
     new Scene_c3t3_item(c3t3_item.c3t3()) : &c3t3_item;
 
   if ( NULL == p_result_item )
   {
     return NULL;
   }
-  
+
   // Exudation
   Exude_parameters p;
   p.sliver_bound = sliver_bound;
@@ -772,7 +772,7 @@ cgal_code_exude_mesh_3(Scene_c3t3_item&
   // Create thread
   typedef Optimization_function<int,Exude_parameters> Opt_function;
   Opt_function* p_opt_function = new Opt_function(p_result_item->c3t3(), NULL, p);
-  
+
   return new Optimizer_thread(p_opt_function, p_result_item);
 }
 #endif
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Optimization_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Optimization_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Optimization_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Optimization_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -87,7 +87,7 @@ public:
   Mesh_3_optimization_plugin();
   virtual void init(QMainWindow*, Scene_interface*, Messages_interface*);
   inline virtual QList<QAction*> actions() const;
-  
+
   bool applicable(QAction* a) const {
     Scene_c3t3_item* item
       = qobject_cast<Scene_c3t3_item*>(scene->item(scene->mainSelectionIndex()));
@@ -113,16 +113,16 @@ public Q_SLOTS:
 #ifndef CGAL_MESH_3_DEMO_DISABLE_EXUDER
   void exude();
 #endif
-  
+
   void optimization_done(Optimizer_thread* t);
   void status_report(QString s);
-  
+
 private:
   Scene_c3t3_item* get_c3t3_item() const;
-  
+
   void treat_result(Scene_c3t3_item& source_item, Scene_c3t3_item& result_item,
                     const QString& name) const;
-  
+
   void launch_thread(Optimizer_thread* thread, const QString& msg);
 
 private:
@@ -132,7 +132,7 @@ private:
   QAction* actionExude;
   Messages_interface* msg;
   QMessageBox* message_box_;
-  
+
   Scene_c3t3_item* source_item_;
   Scene_interface *scene;
   QMainWindow* mw;
@@ -152,7 +152,7 @@ Mesh_3_optimization_plugin()
 {
 }
 
-void 
+void
 Mesh_3_optimization_plugin::
 init(QMainWindow* mainWindow,
      Scene_interface* scene_interface,
@@ -160,7 +160,7 @@ init(QMainWindow* mainWindow,
 {
   this->scene = scene_interface;
   this->mw = mainWindow;
-  
+
   // Create menu items
 #ifndef CGAL_MESH_3_DEMO_DISABLE_ODT
   actionOdt = new QAction(tr("odt_optimize_mesh_3"), mw);
@@ -170,7 +170,7 @@ init(QMainWindow* mainWindow,
     connect(actionOdt, SIGNAL(triggered()), this, SLOT(odt()));
   }
 #endif
-  
+
 #ifndef CGAL_MESH_3_DEMO_DISABLE_LLOYD
   actionLloyd = new QAction(tr("lloyd_optimize_mesh_3"), mw);
   if( NULL != actionLloyd )
@@ -179,7 +179,7 @@ init(QMainWindow* mainWindow,
     connect(actionLloyd, SIGNAL(triggered()), this, SLOT(lloyd()));
   }
 #endif
-  
+
 #ifndef CGAL_MESH_3_DEMO_DISABLE_PERTURBER
   actionPerturb = new QAction(tr("perturb_mesh_3"), mw);
   if( NULL != actionPerturb )
@@ -188,7 +188,7 @@ init(QMainWindow* mainWindow,
     connect(actionPerturb, SIGNAL(triggered()), this, SLOT(perturb()));
   }
 #endif
-  
+
 #ifndef CGAL_MESH_3_DEMO_DISABLE_EXUDER
   actionExude =new QAction(tr("exude_mesh_3"), mw);
   if( NULL != actionExude )
@@ -197,16 +197,16 @@ init(QMainWindow* mainWindow,
     connect(actionExude, SIGNAL(triggered()), this, SLOT(exude()));
   }
 #endif
-  
+
   msg = msg_interface;
 }
 
 
 inline
-QList<QAction*> 
+QList<QAction*>
 Mesh_3_optimization_plugin::actions() const
 {
-  return QList<QAction*>() << actionOdt << actionLloyd 
+  return QList<QAction*>() << actionOdt << actionLloyd
                            << actionPerturb << actionExude;
 }
 
@@ -234,45 +234,45 @@ Mesh_3_optimization_plugin::odt()
           &dialog, SLOT(accept()));
   connect(ui.buttonBox, SIGNAL(rejected()),
           &dialog, SLOT(reject()));
-  
+
   connect(ui.noTimeLimit, SIGNAL(toggled(bool)),
           ui.maxTime,     SLOT(setDisabled(bool)));
-  
+
   ui.objectName->setText(item->name());
 
   namespace cgpd = CGAL::parameters::default_values;
   ui.convergenceRatio->setValue(cgpd::odt_convergence_ratio);
   ui.freezeRatio->setValue(cgpd::odt_freeze_ratio);
-  
+
   int i = dialog.exec();
   if(i == QDialog::Rejected)
     return;
-    
+
   // 0 means parameter is not considered
   const double max_time = ui.noTimeLimit->isChecked() ? 0 : ui.maxTime->value();
   const int max_iteration_nb = static_cast<int>(ui.maxIterationNb->value());
   const double convergence = ui.convergenceRatio->value();
   const double freeze = ui.freezeRatio->value();
   const bool create_new_item = ui.createNewItem->isChecked();
-  
+
   // -----------------------------------
   // Launch optimization
   // -----------------------------------
   QApplication::setOverrideCursor(Qt::WaitCursor);
-  
+
   Optimizer_thread* opt_thread = cgal_code_odt_mesh_3(*item,
                                                       max_time,
                                                       convergence,
                                                       freeze,
                                                       max_iteration_nb,
                                                       create_new_item);
-  
+
   if ( NULL == opt_thread )
   {
     QApplication::restoreOverrideCursor();
     return;
   }
-  
+
   source_item_ = item;
   launch_thread(opt_thread, "Odt iterations are running...");
   QApplication::restoreOverrideCursor();
@@ -297,25 +297,25 @@ Mesh_3_optimization_plugin::lloyd()
   ui.setupUi(&dialog);
   dialog.setWindowFlags(Qt::Dialog|Qt::CustomizeWindowHint|Qt::WindowCloseButtonHint);
   dialog.setWindowTitle(tr("Lloyd-smoothing parameters"));
-  
+
   connect(ui.buttonBox, SIGNAL(accepted()),
           &dialog, SLOT(accept()));
   connect(ui.buttonBox, SIGNAL(rejected()),
           &dialog, SLOT(reject()));
-  
+
   connect(ui.noTimeLimit, SIGNAL(toggled(bool)),
           ui.maxTime,     SLOT(setDisabled(bool)));
-  
+
   ui.objectName->setText(item->name());
-  
+
   namespace cgpd = CGAL::parameters::default_values;
   ui.convergenceRatio->setValue(cgpd::lloyd_convergence_ratio);
   ui.freezeRatio->setValue(cgpd::lloyd_freeze_ratio);
-  
+
   int i = dialog.exec();
   if(i == QDialog::Rejected)
     return;
-  
+
   // 0 means parameter is not considered
   const double max_time = ui.noTimeLimit->isChecked() ? 0 : ui.maxTime->value();
   const int max_iteration_nb = static_cast<int>(ui.maxIterationNb->value());
@@ -327,7 +327,7 @@ Mesh_3_optimization_plugin::lloyd()
   // Launch optimization
   // -----------------------------------
   QApplication::setOverrideCursor(Qt::WaitCursor);
-  
+
   Optimizer_thread* opt_thread = cgal_code_lloyd_mesh_3(*item,
                                                         max_time,
                                                         convergence,
@@ -355,7 +355,7 @@ Mesh_3_optimization_plugin::perturb()
   // -----------------------------------
   Scene_c3t3_item* item = get_c3t3_item();
   if ( NULL == item ) { return; }
-  
+
   // -----------------------------------
   // Dialog box
   // -----------------------------------
@@ -364,46 +364,46 @@ Mesh_3_optimization_plugin::perturb()
   ui.setupUi(&dialog);
   dialog.setWindowFlags(Qt::Dialog|Qt::CustomizeWindowHint|Qt::WindowCloseButtonHint);
   dialog.setWindowTitle(tr("Sliver perturbation parameters"));
-  
+
   connect(ui.buttonBox, SIGNAL(accepted()),
           &dialog, SLOT(accept()));
   connect(ui.buttonBox, SIGNAL(rejected()),
           &dialog, SLOT(reject()));
-  
+
   connect(ui.noTimeLimit, SIGNAL(toggled(bool)),
           ui.maxTime,     SLOT(setDisabled(bool)));
-  
+
   connect(ui.noBound,     SIGNAL(toggled(bool)),
           ui.sliverBound, SLOT(setDisabled(bool)));
-  
+
   ui.objectName->setText(item->name());
-  
+
   int i = dialog.exec();
   if(i == QDialog::Rejected)
     return;
-  
+
   // 0 means parameter is not considered
   const double max_time = ui.noTimeLimit->isChecked() ? 0 : ui.maxTime->value();
   const double sliver_bound = ui.noBound->isChecked() ? 0 : ui.sliverBound->value();
   const bool create_new_item = ui.createNewItem->isChecked();
-  
+
   // -----------------------------------
   // Launch optimization
   // -----------------------------------
   QApplication::setOverrideCursor(Qt::WaitCursor);
-  
+
   Optimizer_thread* opt_thread = cgal_code_perturb_mesh_3(*item,
                                                           max_time,
                                                           sliver_bound,
                                                           create_new_item);
-  
+
 
   if ( NULL == opt_thread )
   {
     QApplication::restoreOverrideCursor();
     return;
   }
-  
+
   source_item_ = item;
   launch_thread(opt_thread, "Sliver perturbation is running...");
   QApplication::restoreOverrideCursor();
@@ -420,7 +420,7 @@ Mesh_3_optimization_plugin::exude()
   // -----------------------------------
   Scene_c3t3_item* item = get_c3t3_item();
   if ( NULL == item ) { return; }
-  
+
   // -----------------------------------
   // Dialog box
   // -----------------------------------
@@ -429,35 +429,35 @@ Mesh_3_optimization_plugin::exude()
   ui.setupUi(&dialog);
   dialog.setWindowFlags(Qt::Dialog|Qt::CustomizeWindowHint|Qt::WindowCloseButtonHint);
   dialog.setWindowTitle(tr("Sliver exudation parameters"));
-  
+
   connect(ui.buttonBox, SIGNAL(accepted()),
           &dialog, SLOT(accept()));
   connect(ui.buttonBox, SIGNAL(rejected()),
           &dialog, SLOT(reject()));
-  
+
   connect(ui.noTimeLimit, SIGNAL(toggled(bool)),
           ui.maxTime,     SLOT(setDisabled(bool)));
-  
+
   connect(ui.noBound,     SIGNAL(toggled(bool)),
           ui.sliverBound, SLOT(setDisabled(bool)));
-  
+
   ui.objectName->setText(item->name());
   ui.sliverBound->setValue(25.);
-  
+
   int i = dialog.exec();
   if(i == QDialog::Rejected)
     return;
-  
+
   // 0 means parameter is not considered
   const double max_time = ui.noTimeLimit->isChecked() ? 0 : ui.maxTime->value();
   const double sliver_bound = ui.noBound->isChecked() ? 0 : ui.sliverBound->value();
   const bool create_new_item = ui.createNewItem->isChecked();
-  
+
   // -----------------------------------
   // Launch optimization
   // -----------------------------------
   QApplication::setOverrideCursor(Qt::WaitCursor);
-  
+
   Optimizer_thread* opt_thread = cgal_code_exude_mesh_3(*item,
                                                         max_time,
                                                         sliver_bound,
@@ -468,7 +468,7 @@ Mesh_3_optimization_plugin::exude()
     QApplication::restoreOverrideCursor();
     return;
   }
-  
+
   source_item_ = item;
   launch_thread(opt_thread, "Sliver exudation is running...");
   QApplication::restoreOverrideCursor();
@@ -489,14 +489,14 @@ get_c3t3_item() const
                           tr("Selected object is not a mesh... optimization can't be performed"));
     return NULL;
   }
-  
+
   if ( NULL == item->data_item() )
   {
     QMessageBox::critical(mw,tr(""),
                           tr("Can't perturb: data object has been destroyed !"));
     return NULL;
   }
-  
+
   return item;
 }
 
@@ -510,9 +510,9 @@ treat_result(Scene_c3t3_item& source_ite
 {
   result_item.setName(tr("%1 [%2]").arg(source_item.name())
                                    .arg(name));
-  
+
   result_item.c3t3_changed();
-  
+
   // If a new item has been created
   if ( &source_item != &result_item)
   {
@@ -520,23 +520,23 @@ treat_result(Scene_c3t3_item& source_ite
     result_item.setPosition((bbox.xmin() + bbox.xmax())/2.f,
                             (bbox.ymin() + bbox.ymax())/2.f,
                             (bbox.zmin() + bbox.zmax())/2.f);
-    
+
     result_item.setColor(QColor(59,74,226));
     result_item.setRenderingMode(source_item.renderingMode());
     result_item.set_data_item(source_item.data_item());
 
     source_item.setVisible(false);
-    
+
     const Scene_interface::Item_id index = scene->mainSelectionIndex();
     scene->itemChanged(index);
-    
+
     Scene_interface::Item_id new_item_id = scene->addItem(&result_item);
     scene->setSelectedItem(new_item_id);
   }
   else
   {
     result_item.update_histogram();
-    
+
     const Scene_interface::Item_id index = scene->mainSelectionIndex();
     scene->itemChanged(index);
   }
@@ -549,7 +549,7 @@ optimization_done(Optimizer_thread* thre
 {
   CGAL::Mesh_optimization_return_code return_code = thread->return_code();
   QString name = thread->optimizer_name();
-  
+
   // Print message in console
   QString str = QString("%1 of \"%2\" done in %3s<br>"
                         "End reason: '%4'<br>")
@@ -557,14 +557,14 @@ optimization_done(Optimizer_thread* thre
                   .arg(source_item_->name())
                   .arg(thread->time())
                   .arg(translate(return_code));
-  
+
   Q_FOREACH( QString param, thread->parameters_log() )
   {
     str.append(QString("( %1 )<br>").arg(param));
   }
-  
+
   CGAL::Three::Three::information(qPrintable(str));
-  
+
   // Treat new c3t3 item
   Scene_c3t3_item* result_item = thread->item();
   treat_result( *source_item_, *result_item, name);
@@ -588,25 +588,25 @@ launch_thread(Optimizer_thread* opt_thre
                                  window_text,
                                  QMessageBox::Cancel,
                                  mw);
-  
+
   message_box_->setDefaultButton(QMessageBox::Cancel);
   QAbstractButton* cancelButton = message_box_->button(QMessageBox::Cancel);
   cancelButton->setText(tr("Stop"));
-  
+
   QObject::connect(cancelButton, SIGNAL(clicked()),
                    opt_thread,   SLOT(stop()));
-  
+
   message_box_->show();
-  
+
   // -----------------------------------
   // Connect main thread to optimization thread and launch optimizer
   // -----------------------------------
   QObject::connect(opt_thread, SIGNAL(done(Optimizer_thread*)),
                    this,       SLOT(optimization_done(Optimizer_thread*)));
-  
+
   QObject::connect(opt_thread, SIGNAL(status_report(QString)),
                    this,       SLOT(status_report(QString)));
-  
+
   opt_thread->start();
 
 }
@@ -617,7 +617,7 @@ Mesh_3_optimization_plugin::
 status_report(QString str)
 {
   if ( NULL == message_box_ ) { return; }
-  
+
   message_box_->setInformativeText(str);
 }
 
@@ -635,7 +635,7 @@ translate(CGAL::Mesh_optimization_return
     case CGAL::MAX_ITERATION_NUMBER_REACHED: return QString("Max iteration number reached");
     case CGAL::ALL_VERTICES_FROZEN: return QString("All vertices have been frozen");
   }
-  
+
   return QString("ERROR");
 }
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Optimizer_thread.cpp 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Optimizer_thread.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Optimizer_thread.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Optimizer_thread.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -11,7 +11,7 @@
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #include "config_mesh_3.h"
@@ -33,7 +33,7 @@ Optimizer_thread(Optimization_function_i
 {
   connect(timer_, SIGNAL(timeout()),
           this,   SLOT(emit_status()));
-  timer_->start(static_cast<int>(timer_period_*1000));  
+  timer_->start(static_cast<int>(timer_period_*1000));
 }
 
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Optimizer_thread.h 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Optimizer_thread.h
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Optimizer_thread.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Optimizer_thread.h	2020-08-01 19:02:42.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/demo/Polyhedron/Plugins/Mesh_3/Optimizer_thread.h $
-// $Id: Optimizer_thread.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/demo/Polyhedron/Plugins/Mesh_3/Optimizer_thread.h $
+// $Id: Optimizer_thread.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef DEMO_MESH_3_OPTIMIZER_THREAD_H
@@ -31,13 +31,13 @@ class Optimization_function_interface
 {
 public:
   virtual ~Optimization_function_interface() {}
-  
+
   // Launch
   virtual CGAL::Mesh_optimization_return_code launch() = 0;
-  
+
   // Stop
   virtual void stop() = 0;
-  
+
   // Logs
   virtual QString name() const = 0;
   virtual QStringList parameters_log() const = 0;
@@ -51,36 +51,36 @@ class Optimizer_thread : public QThread
 public:
   Optimizer_thread(Optimization_function_interface* f, Scene_c3t3_item* item);
   virtual ~Optimizer_thread();
-  
+
   // Scene item
   Scene_c3t3_item* item() const { return item_; }
-  
+
   // Infos about optimization
   CGAL::Mesh_optimization_return_code return_code() const { return rc_; }
   double time() const { return time_; }
-  
+
   // Logs
   QString optimizer_name() const { return f_->name(); }
   QStringList parameters_log() const { return f_->parameters_log(); }
-  
+
 public Q_SLOTS:
   // Stop
   void stop();
-  
+
 private Q_SLOTS:
   // emit signal status report
   void emit_status();
-  
+
 Q_SIGNALS:
   // Emitted at the end of the process
   void done(Optimizer_thread*);
   // Informs about status of the process
   void status_report(QString);
-  
+
 protected:
   // Overload of QThread function
   virtual void run();
-  
+
 private:
   Optimization_function_interface* f_;
   Scene_c3t3_item* item_;
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Raw_image_dialog.h 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Raw_image_dialog.h
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Raw_image_dialog.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Raw_image_dialog.h	2020-08-01 19:02:42.000000000 +0000
@@ -4,7 +4,7 @@
 #include "ui_raw_image.h"
 #include <CGAL/ImageIO.h>
 
-class Raw_image_dialog : public QDialog, public Ui::Raw_image_dialog 
+class Raw_image_dialog : public QDialog, public Ui::Raw_image_dialog
 {
   Q_OBJECT
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Volume_plane.h 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Volume_plane.h
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Volume_plane.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Volume_plane.h	2020-08-01 19:02:42.000000000 +0000
@@ -65,7 +65,7 @@ struct z_tag {};
 
 template<typename Tag>
 class Volume_plane : public Volume_plane_interface, public Tag {
-private : 
+private :
   float tx, ty, tz;
 public:
  Volume_plane(float tx, float ty, float tz);
@@ -108,7 +108,7 @@ public:
 
   virtual RenderingMode renderingMode() const { return Flat; }
   bool supportsRenderingMode(RenderingMode m) const { return m == Flat; }
-  
+
   QString toolTip() const { return "Plane through a volume"; }
   QString name() const { return name(*this); }
 
@@ -149,63 +149,63 @@ public:
           Tc::Facet_centers,
           c_spheres.data(),
           static_cast<int>(c_spheres.size()*sizeof(float)));
-    
+
     nb_vertices = v_spheres.size();
     nb_centers = c_spheres.size();
     v_rec.resize(0);
     getEdgeContainer(0)->reset_vbos(ALL);
     drawRectangle(*this, !viewer->isOpenGL_4_3());
     getEdgeContainer(0)->allocate(Ec::Vertices,
-                                  v_rec.data(), 
+                                  v_rec.data(),
                                   static_cast<int>(v_rec.size()*sizeof(float)));
     nb_edges = v_rec.size();
     is_grabbing = false;
-    
+
     // for each vertex
     getTriangleContainer(0)->reset_vbos(ALL);
     vertices.resize(0);
     indices.resize(0);
     vertices.reserve(bdim_ * adim_ * 3);
-    for(unsigned int i = 0; i < adim_; ++i) 
+    for(unsigned int i = 0; i < adim_; ++i)
     {
       for(unsigned int j = 0; j < bdim_; ++j)
       {
         buildVertex(vertices, i, j);
       }
     }
-    
+
     assert(vertices.size() == (3 * adim_ * bdim_));
-    
+
     // for each patch
     for(unsigned int j = 0; j < adim_ - 1; ++j) {
       for(unsigned int k = 0; k < bdim_ - 1; ++k) {
         //0
         indices.push_back( j * bdim_ + k );
         assert(indices.back() < (vertices.size() / 3));
-        
+
         //1
         indices.push_back( j * bdim_ + (k + 1) );
         assert(indices.back() < (vertices.size() / 3));
-        
+
         //3
         indices.push_back( (j+1) * bdim_ + (k+1) );
         assert(indices.back() < (vertices.size() / 3));
-        
+
         //0
         indices.push_back( j * bdim_ + k );
         assert(indices.back() < (vertices.size() / 3));
-        
+
         //3
         indices.push_back( (j+1) * bdim_ + (k+1) );
         assert(indices.back() < (vertices.size() / 3));
-        
+
         //2
         indices.push_back( (j+1) * bdim_ + (k) );
         assert(indices.back() < (vertices.size() / 3));
-        
+
       }
     }
-    
+
     assert((indices.size() / 6) == (adim_ - 1) * (bdim_ - 1));
     getTriangleContainer(0)->allocate(
           Tc::Vertex_indices,
@@ -234,7 +234,7 @@ private:
   CGAL::qglviewer::Vec translationVector(z_tag) const {
     return CGAL::qglviewer::Vec(0.0, 0.0, zscale_);
   }
-  
+
   void buildVertex(std::vector<float>& out, unsigned int i, unsigned int j) {
     buildVertex(out, i, j, *this);
   }
@@ -272,7 +272,7 @@ private:
   mutable std::vector< float > colors_;
   mutable std::vector< float > vertices;
   mutable std::vector<unsigned int> indices;
-  
+
 
   QString name(x_tag) const { return tr("X Slice for %1").arg(name_); }
   QString name(y_tag) const { return tr("Y Slice for %2").arg(name_); }
@@ -411,7 +411,7 @@ private:
     c->setTranslationConstraint(CGAL::qglviewer::AxisPlaneConstraint::AXIS, CGAL::qglviewer::Vec(1.0f, 0.0f, 0.0f));
     return c;
   }
-  
+
   CGAL::qglviewer::Constraint* setConstraint(y_tag) {
     CGAL::qglviewer::AxisPlaneConstraint* c = new Length_constraint<1>(cdim_ * yscale_);
     c->setRotationConstraintType(CGAL::qglviewer::AxisPlaneConstraint::FORBIDDEN);
@@ -447,7 +447,7 @@ private:
 
   void initializeBuffers(CGAL::Three::Viewer_interface* viewer) const
   {
-    getTriangleContainer(0)->getVbo(Tc::VColors)->offset 
+    getTriangleContainer(0)->getVbo(Tc::VColors)->offset
         = (currentCube*int(sizeof(float))) * (bdim_) * (adim_) * 3;
       getTriangleContainer(1)->initializeBuffers(viewer);
       getTriangleContainer(1)->setFlatDataSize(nb_vertices);
@@ -473,7 +473,7 @@ private:
 template<typename T>
 Volume_plane<T>::Volume_plane(float tx, float ty, float tz)
   : Volume_plane_interface(new CGAL::qglviewer::ManipulatedFrame),
-    tx(tx), ty(ty), tz(tz)    
+    tx(tx), ty(ty), tz(tz)
  {
     const CGAL::qglviewer::Vec offset = static_cast<CGAL::Three::Viewer_interface*>(CGAL::QGLViewer::QGLViewerPool().first())->offset();
     mFrame_->setPosition(offset.x, offset.y, offset.z);
@@ -483,10 +483,10 @@ Volume_plane<T>::Volume_plane(float tx,
     sphere_Slider->setMaximum(100);
     setTriangleContainer(1, new Tc(Vi::PROGRAM_SPHERES, false));
     setTriangleContainer(0, new Tc(Vi::PROGRAM_NO_SELECTION, true));
-    setEdgeContainer(0, new Ec(Three::mainViewer()->isOpenGL_4_3() 
+    setEdgeContainer(0, new Ec(Three::mainViewer()->isOpenGL_4_3()
                                ? PROGRAM_SOLID_WIREFRAME
                                : PROGRAM_NO_SELECTION, false));
-    
+
  }
 template<typename T>
 void Volume_plane<T>::setData(unsigned int adim, unsigned int bdim, unsigned int cdim, float xscale, float yscale, float zscale, std::vector<float> &colors)
@@ -544,7 +544,7 @@ void Volume_plane<T>::draw(Viewer_interf
   {
     f.data()[i] = (float)mFrame_->matrix()[i];
   }
-  
+
   f.translate(QVector3D(tx, ty, tz));
   getEdgeContainer(0)->setFrameMatrix(f);
   printGlError(viewer, __LINE__);
@@ -555,12 +555,12 @@ void Volume_plane<T>::draw(Viewer_interf
   viewer->glDepthRangef(0.00005f, 0.99995f);
   getEdgeContainer(0)->draw(viewer, true);
   viewer->glDepthRangef(0.0,1.0);
-  
-  
+
+
   getTriangleContainer(0)->setFrameMatrix(f);
   getTriangleContainer(0)->draw(viewer, false);
   printGlError(viewer, __LINE__);
-  
+
   //hide spheres if only 1 plane.
   if(aDim() <= 1 ||
      bDim() <= 1 ||
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Volume_plane_interface.h 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Volume_plane_interface.h
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Volume_plane_interface.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Volume_plane_interface.h	2020-08-01 19:02:42.000000000 +0000
@@ -15,7 +15,7 @@ using namespace CGAL::Three;
 class Volume_plane_interface : public Scene_item_rendering_helper {
 Q_OBJECT
 public:
-  Volume_plane_interface(CGAL::qglviewer::ManipulatedFrame* f) : mFrame_(f) { 
+  Volume_plane_interface(CGAL::qglviewer::ManipulatedFrame* f) : mFrame_(f) {
     connect(mFrame_, SIGNAL(manipulated()), this, SLOT(propagateManipulation()));
   }
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Volume_plane_intersection.cpp 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Volume_plane_intersection.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Volume_plane_intersection.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Volume_plane_intersection.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -72,7 +72,7 @@ void Volume_plane_intersection_priv::com
 
    item->_bbox =  Scene_item::Bbox( tx, ty, tz,
                   tz+x, ty+y, tz+z);
-   
+
    item->getEdgeContainer(0)->allocate(Ec::Vertices,
                                        a_vertex.data(),
                                        static_cast<int>(a_vertex.size()*sizeof(float)));
@@ -90,19 +90,19 @@ void Volume_plane_intersection_priv::com
 
 void Volume_plane_intersection_priv::initializeBuffers(Viewer_interface* viewer)const
 {
-  
+
   item->getEdgeContainer(0)->initializeBuffers(viewer);
   item->getEdgeContainer(0)->setFlatDataSize(a_size);
   item->getEdgeContainer(1)->initializeBuffers(viewer);
   item->getEdgeContainer(1)->setFlatDataSize(b_size);
   item->getEdgeContainer(2)->initializeBuffers(viewer);
   item->getEdgeContainer(2)->setFlatDataSize(c_size);
-  
+
   a_vertex.clear();
   a_vertex.shrink_to_fit();
-  b_vertex.clear();        
+  b_vertex.clear();
   b_vertex.shrink_to_fit();
-  c_vertex.clear();        
+  c_vertex.clear();
   c_vertex.shrink_to_fit();
 }
 
@@ -121,7 +121,7 @@ void Volume_plane_intersection::draw(Vie
     initializeBuffers(viewer);
   }
   viewer->glDepthRangef(0.00001f, 0.99999f);
-  
+
   QVector2D vp(viewer->width(), viewer->height());
   if(d->b && d->c) {
     GLdouble mat[16];
@@ -202,17 +202,17 @@ Volume_plane_intersection::Volume_plane_
   setColor(QColor(255, 128, 0));
   setName("Volume plane intersection");
   setEdgeContainer(2, new Ec(
-                     Three::mainViewer()->isOpenGL_4_3() 
+                     Three::mainViewer()->isOpenGL_4_3()
                      ? Vi::PROGRAM_SOLID_WIREFRAME
                      : Vi::PROGRAM_NO_SELECTION,
                      false));
   setEdgeContainer(1, new Ec(
-                     Three::mainViewer()->isOpenGL_4_3() 
+                     Three::mainViewer()->isOpenGL_4_3()
                      ? Vi::PROGRAM_SOLID_WIREFRAME
                      : Vi::PROGRAM_NO_SELECTION,
                      false));
   setEdgeContainer(0, new Ec(
-                     Three::mainViewer()->isOpenGL_4_3() 
+                     Three::mainViewer()->isOpenGL_4_3()
                      ? Vi::PROGRAM_SOLID_WIREFRAME
                      : Vi::PROGRAM_NO_SELECTION,
                      false));
@@ -234,7 +234,7 @@ void Volume_plane_intersection::planeRem
 void Volume_plane_intersection::invalidateOpenGLBuffers()
 {
   setBuffersFilled(false);
-  
+
   for(int i=0; i<3; ++i)
     getEdgeContainer(i)->reset_vbos(ALL);
 }
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Volume_plane_thread.h 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Volume_plane_thread.h
--- 5.0.2-3/demo/Polyhedron/Plugins/Mesh_3/Volume_plane_thread.h	2020-02-21 20:03:56.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Mesh_3/Volume_plane_thread.h	2020-08-01 19:02:42.000000000 +0000
@@ -21,7 +21,7 @@ struct Clamp_to_one_zero_range {
 };
 
 class Volume_plane_thread : public QThread {
-Q_OBJECT  
+Q_OBJECT
 public:
   Volume_plane_thread(const CGAL::Image_3* img, const Clamp_to_one_zero_range& clamp, const QString& name)
     : img(img), clamper(clamp), item(NULL), name(name) { _type = 'n';}
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Operations_on_polyhedra/Clip_polyhedron_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Operations_on_polyhedra/Clip_polyhedron_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Operations_on_polyhedra/Clip_polyhedron_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Operations_on_polyhedra/Clip_polyhedron_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -50,7 +50,7 @@ public:
       computeElements();
       initializeBuffers(viewer);
     }
-    
+
     QMatrix4x4 f_matrix;
     for(int i=0; i<16; i++)
       f_matrix.data()[i] = (float)frame->matrix()[i];
@@ -96,10 +96,10 @@ public :
     //creates and link the actions
     actionClipPolyhedra = new QAction("Clip Polyhedra With Plane", mw);
     actionClipPolyhedra->setProperty("subMenuName","Polygon Mesh Processing/Corefinement");
-    
+
     actionStartClippingWithPoly = new QAction("Clip Polyhedra With Polyhedron", mw);
     actionStartClippingWithPoly->setProperty("subMenuName", "Polygon Mesh Processing/Corefinement");
-    
+
     dock_widget = new QDockWidget("Polyhedra Clipping", mw);
     dock_widget->setVisible(false); // do not show at the beginning
     ui_widget.setupUi(dock_widget);
@@ -113,10 +113,10 @@ public :
             this, SLOT(pop_widget()));
     connect(ui_widget.clipButton, &QPushButton::clicked,
             this, &Clip_polyhedron_plugin::clip);
-    
+
     connect(actionStartClippingWithPoly, &QAction::triggered,
             this, &Clip_polyhedron_plugin::start_clipping_with_poly);
-    
+
   }
   bool applicable(QAction*) const
   {
@@ -281,7 +281,7 @@ public Q_SLOTS:
     }
     QApplication::restoreOverrideCursor();
   }
-  
+
   void start_clipping_with_poly()
   {
     if(plane)
@@ -314,12 +314,12 @@ public Q_SLOTS:
     dock_widget->show();
     dock_widget->raise();
   }
-      
+
   void clip_with_poly()
   {
     if(!clipper_item)
       return;
-    
+
     QApplication::setOverrideCursor(Qt::WaitCursor);
     CGAL::QGLViewer* viewer = Three::mainViewer();
     QList<Scene_item*> polyhedra;
@@ -339,19 +339,19 @@ public Q_SLOTS:
           matrix[0], matrix[4], matrix[8],matrix[12],
         matrix[1], matrix[5], matrix[9],matrix[13],
         matrix[2], matrix[6], matrix[10],matrix[14]);
-    EPICK::Aff_transformation_3 transfo = 
+    EPICK::Aff_transformation_3 transfo =
         rota*translation;
     CGAL::Polygon_mesh_processing::transform(transfo, clipper);
-    
+
     //Fills the list of target polyhedra and the cutting plane
     for(int id = 0; id<scene->numberOfEntries(); ++id)
     {
       if(id == scene->item_id(clipper_item))
         continue;
       Scene_surface_mesh_item *sm_item = qobject_cast<Scene_surface_mesh_item*>(scene->item(id));
-      
+
       //todo if tms intersect
-      
+
       if(sm_item && CGAL::is_triangle_mesh(*sm_item->polyhedron()))
       {
         polyhedra << sm_item;
@@ -381,7 +381,7 @@ public Q_SLOTS:
       }
       else
       {
-        
+
         SMesh* neg_side = new SMesh(*sm_item->face_graph());
         CGAL::Polygon_mesh_processing::clip(*neg_side,
                                             clipper,
@@ -406,7 +406,7 @@ public Q_SLOTS:
                                             throw_on_self_intersection(true).
                                             use_compact_clipper(
                                               !ui_widget.coplanarCheckBox->isChecked()));
-        
+
         new_item = new Scene_surface_mesh_item(pos_side);
         new_item->setName(QString("%1 on %2").arg(sm_item->name()).arg("positive side"));
         new_item->setColor(sm_item->color());
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Operations_on_polyhedra/Partition_graph_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Operations_on_polyhedra/Partition_graph_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Operations_on_polyhedra/Partition_graph_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Operations_on_polyhedra/Partition_graph_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -51,7 +51,7 @@ public:
   bool applicable(QAction*) const {
     return qobject_cast<Scene_facegraph_item*>(scene->item(scene->mainSelectionIndex()));
   }
-  
+
   void init(QMainWindow* _mw, CGAL::Three::Scene_interface* scene_interface, Messages_interface*) {
     mw = _mw;
     this->scene = scene_interface;
@@ -63,7 +63,7 @@ public:
     if(actionNodalPartition) {
       connect(actionNodalPartition, SIGNAL(triggered()),this, SLOT(create_nodal_partition()));
     }
-    
+
     actionDualPartition = new QAction(
                 tr("Create a Dual Graph Based Partition")
           , mw);
@@ -79,7 +79,7 @@ private:
   enum PARTITION_TYPE{
     NODAL=0,
     DUAL};
-  
+
   void create_partition(PARTITION_TYPE type)
   {
     Scene_facegraph_item* item =
@@ -101,15 +101,15 @@ private:
       item->setItemIsMulticolor(true);
       item->computeItemColorVectorAutomatically(true);
     }
-    
+
     typedef boost::property_map<FaceGraph,CGAL::face_patch_id_t<int> >::type PatchIDMap;
     FaceGraph* fg =item->face_graph();
-    boost::property_map<FaceGraph, boost::vertex_index_t>::type 
+    boost::property_map<FaceGraph, boost::vertex_index_t>::type
       vimap = get(boost::vertex_index, *fg);
-    
+
     PatchIDMap pidmap = get(CGAL::face_patch_id_t<int>(), *fg);
     std::map<boost::graph_traits<FaceGraph>::vertex_descriptor,
-        int> vpm; 
+        int> vpm;
     if(type == DUAL)
       CGAL::METIS::partition_dual_graph(*fg,
                                         nparts,
@@ -135,7 +135,7 @@ private:
   {
     create_partition(DUAL);
   }
-  
+
 
 }; // end class Polyhedron_demo_affine_transform_plugin
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Operations_on_polyhedra/Point_set_from_vertices_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Operations_on_polyhedra/Point_set_from_vertices_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Operations_on_polyhedra/Point_set_from_vertices_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Operations_on_polyhedra/Point_set_from_vertices_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -13,7 +13,7 @@
 #include "Messages_interface.h"
 
 using namespace CGAL::Three;
-class Polyhedron_demo_point_set_from_vertices_plugin : 
+class Polyhedron_demo_point_set_from_vertices_plugin :
   public QObject,
   public Polyhedron_demo_plugin_interface
 {
@@ -86,7 +86,7 @@ void Polyhedron_demo_point_set_from_vert
   {
     apply(sm_item);
   }
-  
+
   Scene_polygon_soup_item* soup_item =
     qobject_cast<Scene_polygon_soup_item*>(scene->item(index));
 
@@ -103,7 +103,7 @@ void Polyhedron_demo_point_set_from_vert
 
       for (std::size_t i = 0; i < pts.size(); ++ i)
         points->point_set()->insert (pts[i]);
-      
+
       scene->addItem (points);
     }
   QApplication::restoreOverrideCursor();
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PCA/Affine_transform_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PCA/Affine_transform_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PCA/Affine_transform_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PCA/Affine_transform_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -62,7 +62,7 @@ public:
     setPointContainer(0, new Pc(Vi::PROGRAM_NO_SELECTION, false));
     setBbox(Bbox(bbox.xmin(),bbox.ymin(),bbox.zmin(),
                  bbox.xmax(),bbox.ymax(),bbox.zmax()));
-    
+
     nb_points = points.size();
     for(auto v : CGAL::QGLViewer::QGLViewerPool())
     {
@@ -76,7 +76,7 @@ public:
     Q_FOREACH(CGAL::QGLViewer* v, CGAL::QGLViewer::QGLViewerPool())
       initializeBuffers(qobject_cast<Vi*>(v));
   }
-  
+
   void initializeBuffers(Viewer_interface *v) const
   {
     Pc* pc = getPointContainer(0);
@@ -143,11 +143,11 @@ public:
     {
       bbox = bbox + ps.point(*it).bbox();
     }
-    CGAL::qglviewer::Vec min(bbox.xmin(),bbox.ymin(),bbox.zmin());
-    CGAL::qglviewer::Vec max(bbox.xmax(),bbox.ymax(),bbox.zmax());
+    CGAL::qglviewer::Vec v_min(bbox.xmin(),bbox.ymin(),bbox.zmin());
+    CGAL::qglviewer::Vec v_max(bbox.xmax(),bbox.ymax(),bbox.zmax());
 
-    setBbox(Bbox(min.x,min.y,min.z,
-                 max.x,max.y,max.z));
+    setBbox(Bbox(v_min.x,v_min.y,v_min.z,
+                 v_max.x,v_max.y,v_max.z));
   }
   bool isEmpty() const{return false;}
 Q_SIGNALS:
@@ -192,7 +192,7 @@ public:
           || qobject_cast<Scene_points_with_normal_item*>(scene->item(scene->mainSelectionIndex()))
           || qobject_cast<Scene_transform_point_set_item*>(scene->item(scene->mainSelectionIndex()));
   }
-  
+
   void init(QMainWindow* _mw, CGAL::Three::Scene_interface* scene_interface, Messages_interface*) {
     for(int i=0; i<3; ++i)
     {
@@ -247,7 +247,7 @@ public:
             this, &Polyhedron_demo_affine_transform_plugin::clear);
     connect(ui.undoButton, &QPushButton::clicked,
             this, &Polyhedron_demo_affine_transform_plugin::undo);
-    connect(ui.validatePushButton, &QPushButton::clicked, 
+    connect(ui.validatePushButton, &QPushButton::clicked,
             this, &Polyhedron_demo_affine_transform_plugin::end);
     //initial state is Translation: no need for this one
     ui.lineEditA->hide();
@@ -260,7 +260,7 @@ public:
   {
     dock_widget->hide();
   }
-  
+
 private:
   QDockWidget* dock_widget;
   Ui::TransformationWidget ui;
@@ -406,24 +406,24 @@ public:
 
 void Polyhedron_demo_affine_transform_plugin::grid()
 {
-      Facegraph_item* item = 
+      Facegraph_item* item =
           qobject_cast<Facegraph_item*>(scene->item(scene->mainSelectionIndex()));
       if(!item)
         return;
-      
-      
+
+
       FaceGraph m = *item->face_graph();
-      
+
       Scene_item::Bbox b = item->bbox();
-      
-      
-      double x_t(CGAL::sqrt(CGAL::squared_distance(Kernel::Point_3(b.min(0), b.min(1), b.min(2)), 
-                                                   Kernel::Point_3(b.max(0), b.min(1), b.min(2))))),
-          y_t(CGAL::sqrt(CGAL::squared_distance(Kernel::Point_3(b.min(0), b.min(1), b.min(2)), 
-                                                Kernel::Point_3(b.min(0), b.max(1), b.min(2))))),
-          z_t(CGAL::sqrt(CGAL::squared_distance(Kernel::Point_3(b.min(0), b.min(1), b.min(2)), 
-                                                Kernel::Point_3(b.min(0), b.min(1), b.max(2)))));
-      
+
+
+      double x_t(CGAL::sqrt(CGAL::squared_distance(Kernel::Point_3((b.min)(0), (b.min)(1), (b.min)(2)),
+                                                   Kernel::Point_3((b.max)(0), (b.min)(1), (b.min)(2))))),
+          y_t(CGAL::sqrt(CGAL::squared_distance(Kernel::Point_3((b.min)(0), (b.min)(1), (b.min)(2)),
+                                                Kernel::Point_3((b.min)(0), (b.max)(1), (b.min)(2))))),
+          z_t(CGAL::sqrt(CGAL::squared_distance(Kernel::Point_3((b.min)(0), (b.min)(1), (b.min)(2)),
+                                                Kernel::Point_3((b.min)(0), (b.min)(1), (b.max)(2)))));
+
       GridDialog dialog(mw);
       dialog.x_space_doubleSpinBox->setValue(x_t);
       dialog.y_space_doubleSpinBox->setValue(y_t);
@@ -437,7 +437,7 @@ void Polyhedron_demo_affine_transform_pl
       x_t = dialog.x_space_doubleSpinBox->value();
       y_t = dialog.y_space_doubleSpinBox->value();
       z_t = dialog.z_space_doubleSpinBox->value();
-      
+
       for(int i = 0; i < i_max; ++i)
       {
         for(int j = 0; j< j_max; ++j)
@@ -446,7 +446,7 @@ void Polyhedron_demo_affine_transform_pl
           {
             FaceGraph e;
             CGAL::copy_face_graph(m,e);
-            
+
             Kernel::Aff_transformation_3 trans(CGAL::TRANSLATION, Kernel::Vector_3(i*x_t,j*y_t,k*z_t));
             CGAL::Polygon_mesh_processing::transform(trans, e);
             Facegraph_item* t_item = new Facegraph_item(e);
@@ -495,7 +495,7 @@ void Polyhedron_demo_affine_transform_pl
 
 void Polyhedron_demo_affine_transform_plugin::start(FaceGraph *facegraph, const QString name, const Scene_item::Bbox &bbox){
   QApplication::setOverrideCursor(Qt::PointingHandCursor);
-  
+
   double x=(bbox.xmin()+bbox.xmax())/2;
   double y=(bbox.ymin()+bbox.ymax())/2;
   double z=(bbox.zmin()+bbox.zmax())/2;
@@ -603,7 +603,7 @@ void Polyhedron_demo_affine_transform_pl
                                                    new_ps->point(idx).z() - c.z);
       new_ps->point(idx) = Kernel::Point_3 (vec.x(), vec.y(), vec.z());
     }
-    
+
     new_item->setName(tr("%1_transformed").arg(transform_points_item->getBase()->name()));
     scene->replaceItem(tr_item_index,new_item);
     delete transform_points_item;
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PCA/Basic_generator_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PCA/Basic_generator_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PCA/Basic_generator_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PCA/Basic_generator_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -55,7 +55,7 @@ public :
 
 
     QMenu* menuFile = mw->findChild<QMenu*>("menuFile");
-    
+
     QMenu* menu = menuFile->findChild<QMenu*>("menuGenerateObject");
     if(!menu){
       QAction* actionLoad = mw->findChild<QAction*>("actionLoadPlugin");
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PCA/Clipping_box_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PCA/Clipping_box_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PCA/Clipping_box_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PCA/Clipping_box_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -80,8 +80,8 @@ void Clipping_box_plugin::init(QMainWind
   dock_widget = new ClipWidget("Clip box", mw);
   dock_widget->setVisible(false); // do not show at the beginning
   addDockWidget(dock_widget);
-  
-  
+
+
   connect(actionClipbox, &QAction::triggered,
           this, [this](){
     dock_widget->show();
@@ -90,7 +90,7 @@ void Clipping_box_plugin::init(QMainWind
   });
   connect(dock_widget->pushButton, SIGNAL(toggled(bool)),
           this, SLOT(clip(bool)));
-  
+
   item = NULL;
   connect(mw, SIGNAL(newViewerCreated(QObject*)),
           this, SLOT(connectNewViewer(QObject*)));
@@ -132,10 +132,10 @@ void Clipping_box_plugin::clipbox()
           this, &Clipping_box_plugin::tab_change);
   item->setName("Clipping box");
   item->setRenderingMode(FlatPlusEdges);
-  
+
   Q_FOREACH(CGAL::QGLViewer* viewer, CGAL::QGLViewer::QGLViewerPool())
     viewer->installEventFilter(item);
-  
+
   scene->addItem(item);
   actionClipbox->setEnabled(false);
 
@@ -151,10 +151,10 @@ void Clipping_box_plugin::clip(bool b)
 {
   typedef CGAL::Epick Kernel;
   typedef CGAL::Polyhedron_3<Kernel> Mesh;
-  
+
   Q_FOREACH(CGAL::QGLViewer* v, CGAL::QGLViewer::QGLViewerPool())
   {
-    CGAL::Three::Viewer_interface* viewer = 
+    CGAL::Three::Viewer_interface* viewer =
         qobject_cast<CGAL::Three::Viewer_interface*>(v);
     if(b)
     {
@@ -228,7 +228,7 @@ void Clipping_box_plugin::tab_change()
     action->setChecked(false);
     clipbox();
   }
-  
+
 }
 
 bool Clipping_box_plugin::eventFilter(QObject *, QEvent *event) {
@@ -236,12 +236,12 @@ bool Clipping_box_plugin::eventFilter(QO
   if (dock_widget->isHidden() || !(dock_widget->isActiveWindow()) || dock_widget->tabWidget->currentIndex() != 1
       || (dock_widget->tabWidget->currentIndex() == 1 && !dock_widget->clipButton->isChecked()))
     return false;
-  
+
   if(event->type() == QEvent::KeyPress || event->type() == QEvent::KeyRelease)
   {
     QKeyEvent *keyEvent = static_cast<QKeyEvent*>(event);
     Qt::KeyboardModifiers modifiers = keyEvent->modifiers();
-    
+
     shift_pressing = modifiers.testFlag(Qt::ShiftModifier);
   }
   CGAL::Three::Viewer_interface* viewer = static_cast<CGAL::Three::Viewer_interface*>(
@@ -250,7 +250,7 @@ bool Clipping_box_plugin::eventFilter(QO
   if(shift_pressing && event->type() == QEvent::MouseButtonPress)
   {
     background = static_cast<CGAL::Three::Viewer_interface*>(viewer)->grabFramebuffer();
-    
+
     QMouseEvent *mouseEvent = static_cast<QMouseEvent*>(event);
     // Start selection
     if (mouseEvent->button() == Qt::LeftButton)
@@ -261,10 +261,10 @@ bool Clipping_box_plugin::eventFilter(QO
         QApplication::setOverrideCursor(Qt::CrossCursor);
         if (viewer->camera()->frame()->isSpinning())
           viewer->camera()->frame()->stopSpinning();
-        
+
         visualizer = new Selection_visualizer(true,
                                               scene->bbox());
-        
+
         visualizer->sample_mouse_path(background);
         return true;
       }
@@ -288,27 +288,27 @@ bool Clipping_box_plugin::eventFilter(QO
     QVector4D planes[6];
     GLdouble coefs[6][4];
     viewer->camera()->getFrustumPlanesCoefficients(coefs);
-    
+
     Kernel::Plane_3 plane(coefs[2][0], coefs[2][1], coefs[2][2], -coefs[2][3]);
     planes[0] = QVector4D(plane.a(), plane.b(), plane.c(), plane.d());
     plane = Kernel::Plane_3(coefs[3][0], coefs[3][1], coefs[3][2],- coefs[3][3]);
     planes[1] = QVector4D(plane.a(), plane.b(), plane.c(), plane.d());
-    
+
     Kernel::Vector_3 right_vector(viewer->camera()->rightVector().x,
                                   viewer->camera()->rightVector().y,
                                   viewer->camera()->rightVector().z);
-    
+
     Kernel::Vector_3 front_vector(viewer->camera()->viewDirection().x,
                                   viewer->camera()->viewDirection().y,
                                   viewer->camera()->viewDirection().z);
-    
+
     Kernel::Vector_3 up_vector = CGAL::cross_product(right_vector, front_vector);
-    
+
     Point_2 left_point(visualizer->domain_rectangle.xmin(),
             visualizer->domain_rectangle.ymin());
     Point_2 right_point(visualizer->domain_rectangle.xmax(),
             visualizer->domain_rectangle.ymax());
-    
+
     CGAL::qglviewer::Vec left_vec = viewer->camera()->unprojectedCoordinatesOf(CGAL::qglviewer::Vec(
                                                  left_point.x(),
                                                  left_point.y(),
@@ -317,31 +317,31 @@ bool Clipping_box_plugin::eventFilter(QO
                                                  right_point.x(),
                                                  right_point.y(),
                                                  0));
-    plane = Kernel::Plane_3(Point_3(left_vec.x, left_vec.y, left_vec.z), 
+    plane = Kernel::Plane_3(Point_3(left_vec.x, left_vec.y, left_vec.z),
                           -right_vector);
     planes[2] = QVector4D(plane.a(),
                           plane.b(),
                           plane.c(),
                           plane.d());
-    plane = Kernel::Plane_3(Point_3(left_vec.x, left_vec.y, left_vec.z), 
+    plane = Kernel::Plane_3(Point_3(left_vec.x, left_vec.y, left_vec.z),
                           up_vector);
     planes[3] = QVector4D(plane.a(),
                           plane.b(),
                           plane.c(),
                           plane.d());
-    plane = Kernel::Plane_3(Point_3(right_vec.x, right_vec.y, right_vec.z), 
+    plane = Kernel::Plane_3(Point_3(right_vec.x, right_vec.y, right_vec.z),
                           right_vector);
     planes[4] = QVector4D(plane.a(),
                           plane.b(),
                           plane.c(),
                           plane.d());
-    plane = Kernel::Plane_3(Point_3(right_vec.x, right_vec.y, right_vec.z), 
+    plane = Kernel::Plane_3(Point_3(right_vec.x, right_vec.y, right_vec.z),
                           -up_vector);
     planes[5] = QVector4D(plane.a(),
                           plane.b(),
                           plane.c(),
                           plane.d());
-    
+
     viewer->enableClippingBox(planes);
     dock_widget->unclipButton->setEnabled(true);
     dock_widget->clipButton->setChecked(false);
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PCA/Create_bbox_mesh_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PCA/Create_bbox_mesh_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PCA/Create_bbox_mesh_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PCA/Create_bbox_mesh_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -14,7 +14,7 @@
 
 using namespace CGAL::Three;
 
-class Create_bbox_mesh_plugin : 
+class Create_bbox_mesh_plugin :
   public QObject,
   public CGAL::Three::Polyhedron_demo_plugin_interface
 {
@@ -86,7 +86,7 @@ bool Create_bbox_mesh_plugin::bbox(bool
 {
   Scene_interface::Bbox bbox;
   bool initialized = false;
-  
+
   Q_FOREACH(int index, scene->selectionIndices()) {
     Scene_item* item = scene->item(index);
     if(item->isFinite() && ! item->isEmpty()) {
@@ -102,7 +102,7 @@ bool Create_bbox_mesh_plugin::bbox(bool
             << "\n                 " << bbox.ymax() - bbox.ymin()
             << "\n                 " << bbox.zmax() - bbox.zmin()
             << std::endl;
-  
+
   if(extended) {
     const double delta_x = ( bbox.xmax() - bbox.xmin() ) / 20.;
     const double delta_y = ( bbox.ymax() - bbox.ymin() ) / 20.;
@@ -115,10 +115,10 @@ bool Create_bbox_mesh_plugin::bbox(bool
           bbox.ymax() + delta_y,
           bbox.zmax() + delta_z);
   }
-  
-  if(bbox.min(0) > bbox.max(0) ||
-     bbox.min(1) > bbox.max(1) ||
-     bbox.min(2) > bbox.max(2))
+
+  if((bbox.min)(0) > (bbox.max)(0) ||
+     (bbox.min)(1) > (bbox.max)(1) ||
+     (bbox.min)(2) > (bbox.max)(2))
   {
     return false;
   }
@@ -126,7 +126,7 @@ bool Create_bbox_mesh_plugin::bbox(bool
   EPICK::Iso_cuboid_3 ic(bbox);
   SMesh* p = new SMesh;
   CGAL::make_hexahedron(ic[0], ic[1], ic[2], ic[3], ic[4], ic[5], ic[6], ic[7],*p);
-  
+
   item = new Scene_surface_mesh_item(p);
   item->setName("Scene bbox mesh");
   item->setRenderingMode(Wireframe);
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PCA/Edit_box_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PCA/Edit_box_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PCA/Edit_box_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PCA/Edit_box_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -100,7 +100,7 @@ void Edit_box_plugin::bbox()
   item->setRenderingMode(FlatPlusEdges);
   Q_FOREACH(CGAL::QGLViewer* viewer, CGAL::QGLViewer::QGLViewerPool())
     viewer->installEventFilter(item);
-  
+
   scene->addItem(item);
   actionBbox->setEnabled(false);
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PCA/Pca_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PCA/Pca_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PCA/Pca_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PCA/Pca_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -103,10 +103,10 @@ void Polyhedron_demo_pca_plugin::on_acti
   Three::CursorScopeGuard scope(Qt::WaitCursor);
   if(sm_item){
     std::list<Triangle> triangles;
-    
+
     SMesh* pMesh = sm_item->polyhedron();
     ::triangles(*pMesh,std::back_inserter(triangles));
-    
+
     if(! triangles.empty()){
       QString item_name = sm_item->name();
       // fit plane to triangles
@@ -114,7 +114,7 @@ void Polyhedron_demo_pca_plugin::on_acti
       std::cout << "Fit plane...";
       CGAL::linear_least_squares_fitting_3(triangles.begin(),triangles.end(),plane,CGAL::Dimension_tag<2>());
       std::cout << "ok" << std::endl;
-      
+
       // compute centroid
       Point center_of_mass = CGAL::centroid(triangles.begin(),triangles.end());
       Scene_plane_item* new_item = new Scene_plane_item(this->scene);
@@ -132,11 +132,11 @@ void Polyhedron_demo_pca_plugin::on_acti
   }
     Scene_points_with_normal_item* item =
         qobject_cast<Scene_points_with_normal_item*>(scene->item(index));
-    
+
     if (item)
     {
       Point_set* points = item->point_set();
-      
+
       // fit plane to triangles
       Plane plane;
       Point center_of_mass;
@@ -145,7 +145,7 @@ void Polyhedron_demo_pca_plugin::on_acti
           (points->points().begin(),points->points().end(),plane, center_of_mass,
            CGAL::Dimension_tag<0>());
       std::cout << "ok" << std::endl;
-      
+
       // compute centroid
       Scene_plane_item* new_item = new Scene_plane_item(this->scene);
       new_item->setPosition(center_of_mass.x(),
@@ -168,16 +168,16 @@ void Polyhedron_demo_pca_plugin::on_acti
 
   Scene_surface_mesh_item* sm_item =
       qobject_cast<Scene_surface_mesh_item*>(scene->item(index));
-  
+
   if(sm_item)
   {
     CGAL::Bbox_3 bb;
-    
+
     SMesh* pMesh = sm_item->polyhedron();
     std::list<Triangle> triangles;
-    
+
     bb = ::triangles(*pMesh,std::back_inserter(triangles));
-    
+
     if(! triangles.empty()){
       QString item_name = sm_item->name();
       // fit line to triangles
@@ -185,46 +185,46 @@ void Polyhedron_demo_pca_plugin::on_acti
       std::cout << "Fit line...";
       CGAL::linear_least_squares_fitting_3(triangles.begin(),triangles.end(),line,CGAL::Dimension_tag<2>());
       std::cout << "ok" << std::endl;
-      
+
       // compute centroid
       Point center_of_mass = CGAL::centroid(triangles.begin(),triangles.end());
-      
+
       // compute bounding box diagonal
       Iso_cuboid bbox(bb);
-      
+
       // compute scale for rendering using diagonal of bbox
       Point cmin = (bbox.min)();
       Point cmax = (bbox.max)();
       FT diag = std::sqrt(CGAL::squared_distance(cmin,cmax));
-      
+
       // construct a 3D bar
       Vector u = line.to_vector();
       u = u / std::sqrt(u*u);
-      
+
       Point a = center_of_mass + u * diag;
       Point b = center_of_mass - u * diag;
-      
+
       Plane plane_a = line.perpendicular_plane(a);
-      
+
       Vector u1 = plane_a.base1();
       u1 = u1 / std::sqrt(u1*u1);
       u1 = u1 * 0.01 * diag;
       Vector u2 = plane_a.base2();
       u2 = u2 / std::sqrt(u2*u2);
       u2 = u2 * 0.01 * diag;
-      
+
       Point points[8];
-      
+
       points[0] = a + u1;
       points[1] = a + u2;
       points[2] = a - u1;
       points[3] = a - u2;
-      
+
       points[4] = b + u1;
       points[5] = b + u2;
       points[6] = b - u1;
       points[7] = b - u2;
-      
+
       // add best fit line as new polyhedron bar
       SMesh* pFit = new SMesh;
       CGAL::make_hexahedron(
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PCA/Scene_edit_box_item.cpp 5.0.3-1/demo/Polyhedron/Plugins/PCA/Scene_edit_box_item.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PCA/Scene_edit_box_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PCA/Scene_edit_box_item.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -61,7 +61,7 @@ struct Scene_edit_box_item_priv{
     P_Faces,
     Nbf
   };
-  
+
   enum Line_containers{
     Edges = 0,
     S_Edges,
@@ -270,25 +270,25 @@ Scene_edit_box_item::Scene_edit_box_item
   d = new Scene_edit_box_item_priv(scene_interface, this);
 
   are_buffers_filled = false;
-  
+
   Q_FOREACH(CGAL::QGLViewer* v, CGAL::QGLViewer::QGLViewerPool())
   {
     v->setMouseTracking(true);
   }
   connect(Three::mainWindow(), SIGNAL(newViewerCreated(QObject*)),
           this, SLOT(connectNewViewer(QObject*)));
-  
+
   setTriangleContainer(Priv::P_Faces  , new Tc(Vi::PROGRAM_NO_SELECTION, false));
   setTriangleContainer(Priv::Faces , new Tc(Vi::PROGRAM_WITH_LIGHT, false));
   setTriangleContainer(Priv::S_Faces , new Tc(Vi::PROGRAM_WITH_LIGHT, false));
   setTriangleContainer(Priv::Spheres  , new Tc(Vi::PROGRAM_SPHERES, false));
   setTriangleContainer(Priv::S_Spheres, new Tc(Vi::PROGRAM_SPHERES, false));
   setTriangleContainer(Priv::P_Spheres, new Tc(Vi::PROGRAM_DARK_SPHERES, false));
-  
-  
+
+
   for(int i=Priv::Nbe-1; i>=0; --i)
   {
-    setEdgeContainer(i, 
+    setEdgeContainer(i,
                      new Ec(Three::mainViewer()->isOpenGL_4_3()
                             ? Vi::PROGRAM_SOLID_WIREFRAME
                             : Vi::PROGRAM_NO_SELECTION,
@@ -345,7 +345,7 @@ void Scene_edit_box_item::draw(Viewer_in
   }
 
   drawSpheres(viewer, f_matrix);
-  
+
 }
 
 void Scene_edit_box_item::drawEdges(Viewer_interface* viewer) const
@@ -378,7 +378,7 @@ void Scene_edit_box_item::drawEdges(View
   ec->setFrameMatrix(f_matrix);
   ec->setColor(QColor(Qt::black));
   ec->draw(viewer, true);
-  
+
   if(renderingMode() == Wireframe)
   {
     drawSpheres(viewer, f_matrix);
@@ -392,16 +392,16 @@ void Scene_edit_box_item::compute_bbox()
   const CGAL::qglviewer::Vec offset = static_cast<CGAL::Three::Viewer_interface*>(CGAL::QGLViewer::QGLViewerPool().first())->offset();
 
 
-  QVector3D min(d->pool[0], d->pool[1], d->pool[2]);
-  QVector3D max(d->pool[3], d->pool[4], d->pool[5]);
+  QVector3D vmin(d->pool[0], d->pool[1], d->pool[2]);
+  QVector3D vmax(d->pool[3], d->pool[4], d->pool[5]);
 
   for(int i=0; i< 3; ++i)
   {
-    min[i] += d->frame->translation()[i]-d->center_[i]-offset[i];
-    max[i] += d->frame->translation()[i]-d->center_[i]-offset[i];
+    vmin[i] += d->frame->translation()[i]-d->center_[i]-offset[i];
+    vmax[i] += d->frame->translation()[i]-d->center_[i]-offset[i];
   }
 
-  setBbox(Scene_item::Bbox(min.x(),min.y(),min.z(),max.x(),max.y(),max.z()));
+  setBbox(Scene_item::Bbox(vmin.x(),vmin.y(),vmin.z(),vmax.x(),vmax.y(),vmax.z()));
 }
 
 
@@ -605,24 +605,24 @@ void Scene_edit_box_item::highlight(View
             Tc::Flat_vertices,
             d->vertex_spheres.data(),
             static_cast<int>(d->vertex_spheres.size()*sizeof(float)));
-      
+
       tc->allocate(
             Tc::Flat_normals,
             d->normal_spheres.data(),
             static_cast<int>(d->normal_spheres.size()*sizeof(float)));
-      
+
       tc->allocate(
             Tc::Facet_centers,
             d->hl_vertex.data(),
             static_cast<int>(d->hl_vertex.size()*sizeof(float)));
-      
+
       tc->setFlatDataSize(d->vertex_spheres.size());
       tc->setCenterSize(d->hl_vertex.size());
       //draw
       d->hl_type = Scene_edit_box_item_priv::VERTEX;
       Q_FOREACH(CGAL::QGLViewer* v, CGAL::QGLViewer::QGLViewerPool())
       {
-        CGAL::Three::Viewer_interface* viewer = 
+        CGAL::Three::Viewer_interface* viewer =
             static_cast<CGAL::Three::Viewer_interface*>(v);
         tc->initializeBuffers(viewer);
       }
@@ -651,7 +651,7 @@ void Scene_edit_box_item::highlight(View
       d->hl_type = Scene_edit_box_item_priv::EDGE;
       Q_FOREACH(CGAL::QGLViewer* v, CGAL::QGLViewer::QGLViewerPool())
       {
-        CGAL::Three::Viewer_interface* viewer = 
+        CGAL::Three::Viewer_interface* viewer =
             static_cast<CGAL::Three::Viewer_interface*>(v);
         ec->initializeBuffers(viewer);
       }
@@ -679,7 +679,7 @@ void Scene_edit_box_item::highlight(View
             Tc::Flat_vertices,
             d->hl_vertex.data(),
             static_cast<int>(d->hl_vertex.size()*sizeof(float)));
-      
+
       tc->allocate(
             Tc::Flat_normals,
             d->hl_normal.data(),
@@ -689,7 +689,7 @@ void Scene_edit_box_item::highlight(View
       d->hl_type = Scene_edit_box_item_priv::FACE;
       Q_FOREACH(CGAL::QGLViewer* v, CGAL::QGLViewer::QGLViewerPool())
       {
-        CGAL::Three::Viewer_interface* viewer = 
+        CGAL::Three::Viewer_interface* viewer =
             static_cast<CGAL::Three::Viewer_interface*>(v);
         tc->initializeBuffers(viewer);
       }
@@ -716,14 +716,14 @@ void Scene_edit_box_item::clearHL()
 
   Tc* tc = getTriangleContainer(Priv::S_Spheres);
   tc->reset_vbos(ALL);
-  tc->allocate(Tc::Flat_vertices, d->vertex_spheres.data(), 
+  tc->allocate(Tc::Flat_vertices, d->vertex_spheres.data(),
                static_cast<int>(d->vertex_spheres.size()*sizeof(float)));
-  tc->allocate(Tc::Flat_normals, 
+  tc->allocate(Tc::Flat_normals,
                d->normal_spheres.data(),
                static_cast<int>(d->normal_spheres.size()*sizeof(float)));
-  
+
   tc->allocate(Tc::Facet_centers, nullptr, 0);
-  
+
   tc->initializeBuffers(viewer);
   tc->setFlatDataSize(0);
   tc->setCenterSize(0);
@@ -733,7 +733,7 @@ void Scene_edit_box_item::clearHL()
   ec->allocate(Ec::Vertices, nullptr, 0);
   ec->initializeBuffers(viewer);
   ec->setFlatDataSize(0);
-  
+
   tc = getTriangleContainer(Priv::S_Faces);
   tc->reset_vbos(ALL);
   tc->allocate(Tc::Flat_vertices, nullptr, 0);
@@ -897,7 +897,7 @@ void Scene_edit_box_item_priv::draw_pick
   for (int i=0; i<16; ++i)
     mv_mat.data()[i] = GLfloat(d_mat[i]);
   mv_mat = mv_mat*f_matrix;
-  
+
 
   if(item->renderingMode() == FlatPlusEdges)
   {
@@ -921,7 +921,7 @@ void Scene_edit_box_item_priv::draw_pick
   Ec* ec = item->getEdgeContainer(P_Edges);
   if(viewer->isOpenGL_4_3())
   {
-   
+
     QVector2D vp(viewer->width(), viewer->height());
     ec->setViewport(vp);
     ec->setWidth(6.0f);
@@ -1101,11 +1101,11 @@ void Scene_edit_box_item::drawHl(Viewer_
   if(d->hl_type == Scene_edit_box_item_priv::VERTEX)
   {
     Tc* tc = getTriangleContainer(Priv::S_Spheres);
-    
+
     tc->setFrameMatrix(f_matrix);
     tc->setMvMatrix(mv_mat);
     tc->setColor(QColor(Qt::yellow));
-    
+
     double radius =std::sqrt(
         (point(6,0) - point(0,0)) * (point(6,0) - point(0,0)) +
         (point(6,1) - point(0,1)) * (point(6,1) - point(0,1)) +
@@ -1129,7 +1129,7 @@ void Scene_edit_box_item::drawHl(Viewer_
     ec->setFrameMatrix(f_matrix);
     ec->setColor(QColor(Qt::yellow));
     ec->draw(viewer, true);
-    
+
   }
   else if(d->hl_type == Scene_edit_box_item_priv::FACE)
   {
@@ -1141,7 +1141,7 @@ void Scene_edit_box_item::drawHl(Viewer_
     tc->setMvMatrix(mv_mat);
     tc->setFrameMatrix(f_matrix);
     tc->setClipping(false);
-    
+
     tc->setColor(QColor(Qt::yellow));
     tc->setAlpha(0.5);
     tc->draw(viewer, true);
@@ -1177,7 +1177,7 @@ void Scene_edit_box_item::drawTransparen
   for (int i=0; i<16; ++i)
     mv_mat.data()[i] = GLfloat(d_mat[i]);
   mv_mat = mv_mat*f_matrix;
-  
+
   viewer->glEnable(GL_BLEND);
   viewer->glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
   Tc* tc = getTriangleContainer(Priv::Faces);
@@ -1214,28 +1214,28 @@ void Scene_edit_box_item::computeElement
         Ec::Vertices,
         d->vertex_edges.data(),
         static_cast<GLsizei>(d->vertex_edges.size()*sizeof(float)));
-  
+
   ec->allocate(
         Ec::Colors,
         d->color_edges.data(),
         static_cast<GLsizei>(d->color_edges.size()*sizeof(float)));
-  
-  
+
+
   Tc* tc = getTriangleContainer(Priv::Spheres);
   tc->allocate(
         Tc::Flat_vertices,
         d->vertex_spheres.data(),
         static_cast<int>(d->vertex_spheres.size()*sizeof(float)));
-  
+
   tc->allocate(
-        Tc::Flat_normals, 
+        Tc::Flat_normals,
         d->normal_spheres.data(),
         static_cast<int>(d->normal_spheres.size()*sizeof(float)));
   tc->allocate(
         Tc::Facet_centers,
         d->center_spheres.data(),
         static_cast<int>(d->center_spheres.size()*sizeof(float)));
-  
+
   tc = getTriangleContainer(Priv::P_Spheres);
   tc->allocate(
         Tc::Flat_vertices,
@@ -1246,18 +1246,18 @@ void Scene_edit_box_item::computeElement
         Tc::Facet_centers,
         d->center_spheres.data(),
         static_cast<int>(d->center_spheres.size()*sizeof(float)));
-  
+
   tc->allocate(
         Tc::FColors,
         d->color_spheres.data(),
         static_cast<int>(d->color_spheres.size()*sizeof(float)));
-  
+
   tc = getTriangleContainer(Priv::Faces);
   tc->allocate(
         Tc::Flat_vertices,
         d->vertex_faces.data(),
         static_cast<int>(d->vertex_faces.size()*sizeof(float)));
-  
+
   tc->allocate(
         Tc::Flat_normals,
         d->normal_faces.data(),
@@ -1276,27 +1276,27 @@ void Scene_edit_box_item::computeElement
 
 void Scene_edit_box_item::initializeBuffers(Viewer_interface *v) const
 {
-  
+
   getTriangleContainer(Priv::Faces)->initializeBuffers(v);
   getTriangleContainer(Priv::P_Faces)->initializeBuffers(v);
-  
+
   getTriangleContainer(Priv::Spheres)->initializeBuffers(v);
   getTriangleContainer(Priv::Spheres)->initializeBuffers(v);
   getTriangleContainer(Priv::P_Spheres)->initializeBuffers(v);
   getTriangleContainer(Priv::P_Spheres)->initializeBuffers(v);
-  
+
   getEdgeContainer(Priv::Edges)->initializeBuffers(v);
   getEdgeContainer(Priv::P_Edges)->initializeBuffers(v);
 
-  
+
   getTriangleContainer(Priv::Faces)->setFlatDataSize(d->vertex_faces.size());
   getTriangleContainer(Priv::P_Faces)->setFlatDataSize(d->vertex_faces.size());
-  
+
   getTriangleContainer(Priv::Spheres)->setFlatDataSize(d->vertex_spheres.size());
   getTriangleContainer(Priv::Spheres)->setCenterSize(d->center_spheres.size());
   getTriangleContainer(Priv::P_Spheres)->setFlatDataSize(d->vertex_spheres.size());
   getTriangleContainer(Priv::P_Spheres)->setCenterSize(d->center_spheres.size());
-  
+
   getEdgeContainer(Priv::Edges)->setFlatDataSize(d->vertex_edges.size());
   getEdgeContainer(Priv::P_Edges)->setFlatDataSize(d->vertex_edges.size());
 }
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PCA/Scene_edit_box_item.h 5.0.3-1/demo/Polyhedron/Plugins/PCA/Scene_edit_box_item.h
--- 5.0.2-3/demo/Polyhedron/Plugins/PCA/Scene_edit_box_item.h	2020-02-21 20:03:57.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PCA/Scene_edit_box_item.h	2020-08-01 19:02:42.000000000 +0000
@@ -43,7 +43,7 @@ class SCENE_EDIT_BOX_ITEM_EXPORT Scene_e
     void drawEdges(CGAL::Three::Viewer_interface* viewer) const;
     void drawSpheres(CGAL::Three::Viewer_interface* viewer, const QMatrix4x4 f_matrix) const;
     void invalidateOpenGLBuffers();
-    
+
     //      5-----6
     //  .   |  .  |
     // 4------7   |
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PCA/Scene_facegraph_transform_item.cpp 5.0.3-1/demo/Polyhedron/Plugins/PCA/Scene_facegraph_transform_item.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PCA/Scene_facegraph_transform_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PCA/Scene_facegraph_transform_item.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -54,8 +54,8 @@ void Scene_facegraph_transform_item_priv
 {
     QApplication::setOverrideCursor(Qt::WaitCursor);
     positions_lines.resize(0);
-    typedef Kernel::Point_3		        Point;
-    typedef boost::graph_traits<FaceGraph>::edge_iterator	Edge_iterator;
+    typedef Kernel::Point_3                        Point;
+    typedef boost::graph_traits<FaceGraph>::edge_iterator        Edge_iterator;
     typedef boost::property_map<FaceGraph, CGAL::vertex_point_t>::type VPmap;
     VPmap vpmap = get(CGAL::vertex_point, *facegraph);
     Edge_iterator he;
@@ -123,10 +123,10 @@ Scene_facegraph_transform_item::compute_
         ++it) {
       bbox = bbox + get(vpmap, *it).bbox();
     }
-    CGAL::qglviewer::Vec min(bbox.xmin(),bbox.ymin(),bbox.zmin());
-    CGAL::qglviewer::Vec max(bbox.xmax(),bbox.ymax(),bbox.zmax());
-    setBbox(Bbox(min.x,min.y,min.z,
-                 max.x,max.y,max.z));
+    CGAL::qglviewer::Vec vmin(bbox.xmin(),bbox.ymin(),bbox.zmin());
+    CGAL::qglviewer::Vec vmax(bbox.xmax(),bbox.ymax(),bbox.zmax());
+    setBbox(Bbox(vmin.x,vmin.y,vmin.z,
+                 vmax.x,vmax.y,vmax.z));
 }
 
 
@@ -156,7 +156,7 @@ FaceGraph *Scene_facegraph_transform_ite
 void Scene_facegraph_transform_item::computeElements() const
 {
   d->compute_elements();
-  
+
   getEdgeContainer(0)->allocate(
         Ec::Vertices,
         d->positions_lines.data(),
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PCA/Scene_facegraph_transform_item.h 5.0.3-1/demo/Polyhedron/Plugins/PCA/Scene_facegraph_transform_item.h
--- 5.0.2-3/demo/Polyhedron/Plugins/PCA/Scene_facegraph_transform_item.h	2020-02-21 20:03:57.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PCA/Scene_facegraph_transform_item.h	2020-08-01 19:02:42.000000000 +0000
@@ -23,8 +23,8 @@ typedef CGAL::Surface_mesh<Kernel::Point
 class SCENE_FACEGRAPH_TRANSFORM_ITEM_EXPORT Scene_facegraph_transform_item
         : public CGAL::Three::Scene_item_rendering_helper {
     Q_OBJECT
-    
-public: 
+
+public:
     Scene_facegraph_transform_item(const CGAL::qglviewer::Vec& pos, FaceGraph *sm,
                                     const QString name);
     Scene_item* clone() const{return NULL;}
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/CMakeLists.txt 5.0.3-1/demo/Polyhedron/Plugins/PMP/CMakeLists.txt
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -21,7 +21,7 @@ if(EIGEN3_FOUND)
 
     polyhedron_demo_plugin(hole_filling_polyline_plugin Hole_filling_polyline_plugin )
     target_link_libraries(hole_filling_polyline_plugin PUBLIC scene_surface_mesh_item scene_polylines_item)
-    
+
     qt5_wrap_ui( Mean_curvature_flow_skeleton_pluginUI_FILES  Mean_curvature_flow_skeleton_plugin.ui)
     polyhedron_demo_plugin(mean_curvature_flow_skeleton_plugin Mean_curvature_flow_skeleton_plugin ${Mean_curvature_flow_skeleton_pluginUI_FILES})
     target_link_libraries(mean_curvature_flow_skeleton_plugin
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Detect_sharp_edges_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Detect_sharp_edges_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Detect_sharp_edges_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Detect_sharp_edges_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -49,7 +49,7 @@ public:
     }
     return false;
   }
-  
+
   QList<QAction*> actions() const {
     return QList<QAction*>() << actionSharEdges;
   }
@@ -79,7 +79,7 @@ void Polyhedron_demo_detect_sharp_edges_
 {
   QApplication::setOverrideCursor(Qt::WaitCursor);
   typedef std::pair<int,FaceGraph*> Poly_tuple;
-  
+
   // Get selected items
   QList<Poly_tuple> polyhedrons;
   Q_FOREACH(int index, scene->selectionIndices())
@@ -88,7 +88,7 @@ void Polyhedron_demo_detect_sharp_edges_
       qobject_cast<Scene_facegraph_item*>(scene->item(index));
     if(!item)
       return;
-    
+
     FaceGraph* pMesh = item->polyhedron();
     if(!pMesh)
       return;
@@ -99,11 +99,11 @@ void Polyhedron_demo_detect_sharp_edges_
   QApplication::restoreOverrideCursor();
   if(input_dialog) {
     bool ok = true;
-    angle = QInputDialog::getDouble(NULL, 
+    angle = QInputDialog::getDouble(NULL,
                                     tr("Sharp edges max angle"),
                                     tr("Angle in degrees between 0 and 180:"),
                                     angle, // value
-                                    0.,          // min 
+                                    0.,          // min
                                     180., // max
                                     2,          // decimals
                                     &ok);
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Distance_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Distance_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Distance_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Distance_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -99,7 +99,7 @@ public:
     }
     getTriangleContainer(0)->draw(viewer, false);
   }
-  
+
   void drawEdges(Viewer_interface* viewer) const
   {
     getEdgeContainer(0)->setColor(QColor(Qt::black));
@@ -169,11 +169,11 @@ private:
     normals.resize(0);
     colors.resize(0);
 
-    typedef Kernel::Vector_3	    Vector;
+    typedef Kernel::Vector_3            Vector;
     typedef boost::graph_traits<Face_graph>::face_descriptor   face_descriptor;
     typedef boost::graph_traits<Face_graph>::vertex_descriptor vertex_descriptor;
 
-    typedef boost::property_map<Face_graph,CGAL::vertex_point_t>::type VPmap; 
+    typedef boost::property_map<Face_graph,CGAL::vertex_point_t>::type VPmap;
     VPmap vpmap = get(CGAL::vertex_point,*poly);
 
     //facets
@@ -191,7 +191,7 @@ private:
       for(boost::graph_traits<Face_graph>::face_descriptor f : faces(*poly)) {
         Vector nf = get(nf_pmap, f);
         typedef FacetTriangulator<Face_graph, Kernel, boost::graph_traits<Face_graph>::vertex_descriptor> FT;
-        
+
         //compute distance with other polyhedron
         //sample facet
         std::vector<Kernel::Point_3> sampled_points;
@@ -278,8 +278,8 @@ private:
     //edges
     {
       //Lines
-      typedef Kernel::Point_3		Point;
-      typedef boost::graph_traits<Face_graph>::edge_descriptor	edge_descriptor;
+      typedef Kernel::Point_3                Point;
+      typedef boost::graph_traits<Face_graph>::edge_descriptor        edge_descriptor;
 
       for(edge_descriptor he : edges(*poly)){
         const Point& a = get(vpmap,target(he,*poly));
@@ -296,10 +296,10 @@ private:
         }
       }
     }
-    
+
     Tc* tc = getTriangleContainer(0);
     Ec* ec = getEdgeContainer(0);
-    
+
     tc->allocate(
           Tc::Flat_vertices,
           m_vertices.data(),
@@ -320,7 +320,7 @@ private:
     setBuffersFilled(true);
     QApplication::restoreOverrideCursor();
   }
-  
+
   void initializeBuffers(Viewer_interface *viewer)const
   {
     Tc* tc = getTriangleContainer(0);
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Engrave_text_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Engrave_text_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Engrave_text_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Engrave_text_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -80,7 +80,7 @@ struct Bot
   double d;
   PMAP pmap;
   NMAP nmap;
-  
+
 };
 
 template<typename PMAP,
@@ -92,7 +92,7 @@ struct Top
       double d):d(d),
     nmap(nmap),
     pmap(pmap){}
-  
+
   template<typename VD, typename T>
   void operator()(const T& v1, VD v2) const
   {
@@ -127,19 +127,19 @@ public :
       polylines(polylines),
       graph(graph),
       transfo(transfo){}
-  
+
   ~ParamItem()
   {
     delete component;
   }
-  
+
   QRectF boundingRect() const
   {
     return bounding_rect;
   }
-  
+
   void set_transfo(EPICK::Aff_transformation_2 t){ transfo = t;}
-  
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *, QWidget *)
   {
     QPen pen;
@@ -152,12 +152,12 @@ public :
     painter->setBrush(brush);
     SMesh::Property_map<halfedge_descriptor, float> u;
     SMesh::Property_map<halfedge_descriptor, float> v;
-    
+
     u = graph->add_property_map<halfedge_descriptor, float>
         ("h:u", 0.0f).first;
     v = graph->add_property_map<halfedge_descriptor, float>
         ("h:v", 0.0f).first;
-    
+
     for( Component::iterator
          fi = component->begin();
          fi != component->end();
@@ -173,7 +173,7 @@ public :
       points[2] = QPointF(get(u, h), -get(v, h));
       painter->drawPolygon(points,3);
     }
-    
+
     pen.setColor(Qt::red);
     pen.setWidth(0);
     painter->setPen(pen);
@@ -190,13 +190,13 @@ public :
       painter->drawPolyline(points.data(), static_cast<int>(points.size()));
     }
   }
-  
+
 private:
   QString texMesh_name;
   QRectF bounding_rect;
   Component* component;
   const std::vector<std::vector<EPICK::Point_2> >& polylines;
-  
+
   SMesh* graph;
   EPICK::Aff_transformation_2 transfo;
 };
@@ -208,7 +208,7 @@ public:
     :CGAL::Qt::GraphicsViewNavigation(),
       prev_pos(QPoint(0,0))
   { }
-  
+
 protected:
   bool eventFilter(QObject *obj, QEvent *ev)
   {
@@ -231,14 +231,14 @@ protected:
       {
         qreal dir[2] = {v->mapToScene(me->pos()).x() - prev_pos.x(),
                         v->mapToScene(me->pos()).y() - prev_pos.y()};
-        
+
         v->translate(dir[0],dir[1]);
         v->update();
       }
       prev_pos = v->mapToScene(me->pos());
       break;
     }
-      
+
     case QEvent::MouseButtonPress: {
       is_dragging = true;
       break;
@@ -260,7 +260,7 @@ protected:
       v->update();
       break;
     }
-      
+
     case QEvent::MouseButtonDblClick: {
       v->fitInView(v->scene()->itemsBoundingRect(), Qt::KeepAspectRatio);
       break;
@@ -295,7 +295,7 @@ class Q_DECL_EXPORT Engrave_text_plugin
   Q_OBJECT
   Q_INTERFACES(CGAL::Three::Polyhedron_demo_plugin_interface)
   Q_PLUGIN_METADATA(IID "com.geometryfactory.PolyhedronDemo.PluginInterface/1.0")
-  
+
 private:
   typedef CGAL::Surface_mesh_shortest_path_traits<EPICK, SMesh> SP_traits;
   typedef CGAL::Surface_mesh_shortest_path<SP_traits> Surface_mesh_shortest_path;
@@ -305,7 +305,7 @@ private:
   typedef CGAL::AABB_tree<Tree_traits> Tree;
   typedef EPICK::Point_3 Point_3;
   Messages_interface* messages;
-  
+
 public :
   ~Engrave_text_plugin()
   {
@@ -319,7 +319,7 @@ public :
     this->scene = Three::scene();
     this->mw = Three::mainWindow();
     messages = m;
-    
+
     //action
     QAction* actionFitText= new QAction("Fit Text", mw);
     connect(actionFitText, SIGNAL(triggered()),
@@ -337,13 +337,13 @@ public :
             this, &Engrave_text_plugin::generateTextItem);
     connect(dock_widget->letter_checkBox, &QCheckBox::toggled,
             this, &Engrave_text_plugin::generateTextItem);
-    
+
     //items
     visu_item = nullptr;
     sel_item = nullptr;
     textMesh = nullptr;
     sm = nullptr;
-    
+
     //transfo
     angle = 0.0;
     scalX=1.0;
@@ -369,45 +369,45 @@ public :
       scene->setSelectedItem(scene->item_id(sel_item));
       visualize();
     });
-    
+
     connect(dock_widget->bot_slider, &QSlider::valueChanged,
             this, [this](){
       if(textMesh)
         generateTextItem();
     });
-    
+
     connect(dock_widget->top_slider, &QSlider::valueChanged,
             this, [this](){
       if(textMesh)
         generateTextItem();
     });
-    
+
     connect(dock_widget->reset_button, &QPushButton::clicked,
             this, [this](){
       cleanup();
     });
-    
+
     connect(dock_widget->t_up_pushButton, &QPushButton::clicked,
             this, [this](){
       translation += EPICK::Vector_2(0,0.005);
       scene->setSelectedItem(scene->item_id(sel_item));
       visualize();
     });
-    
+
     connect(dock_widget->t_down_pushButton, &QPushButton::clicked,
             this, [this](){
       translation -= EPICK::Vector_2(0,0.005);
       scene->setSelectedItem(scene->item_id(sel_item));
       visualize();
     });
-    
+
     connect(dock_widget->t_right_pushButton, &QPushButton::clicked,
             this, [this](){
       translation += EPICK::Vector_2(0.005,0);
       scene->setSelectedItem(scene->item_id(sel_item));
       visualize();
     });
-    
+
     connect(dock_widget->t_left_pushButton, &QPushButton::clicked,
             this, [this](){
       translation -= EPICK::Vector_2(0.005,0);
@@ -443,7 +443,7 @@ public Q_SLOTS:
   {
     dock_widget->setVisible(!dock_widget->isVisible());
   }
-  
+
   void visualize() {
     if(!sel_item)
       sel_item =
@@ -464,7 +464,7 @@ public Q_SLOTS:
     if(visu_item)
       scene->erase(scene->item_id(visu_item));
     visu_item = nullptr;
-    
+
     if(!sm)
     {
       sm = new SMesh();
@@ -473,27 +473,27 @@ public Q_SLOTS:
           CGAL::Polygon_mesh_processing::longest_border(*sm).first;
       SMesh::Property_map<SMesh::Vertex_index, EPICK::Point_2> uv_map =
           sm->add_property_map<SMesh::Vertex_index, EPICK::Point_2>("v:uv").first;
-      
+
       // Parameterized bool pmap
       boost::unordered_set<SMesh::Vertex_index> vs;
       SMP::internal::Bool_property_map< boost::unordered_set<SMesh::Vertex_index> > vpm(vs);
-      
+
       // Parameterizer
       SMP::ARAP_parameterizer_3<SMesh> parameterizer;
-      
-      SMP::Error_code status = parameterizer.parameterize(*sm, hd, uv_map, 
+
+      SMP::Error_code status = parameterizer.parameterize(*sm, hd, uv_map,
                                                           get(boost::vertex_index, *sm), vpm);
       if(status != SMP::OK) {
         std::cout << "Encountered a problem: " << status << std::endl;
         cleanup();
         return ;
       }
-      
+
       std::cout << "Parameterized with ARAP (SM) computed." << std::endl;
-      xmin = std::numeric_limits<double>::max();
-      xmax = std::numeric_limits<double>::min();
-      ymin = std::numeric_limits<double>::max();
-      ymax = std::numeric_limits<double>::min();
+      xmin = (std::numeric_limits<double>::max)();
+      xmax = (std::numeric_limits<double>::min)();
+      ymin = (std::numeric_limits<double>::max)();
+      ymax = (std::numeric_limits<double>::min)();
       uv_map_3 =
           sm->add_property_map<SMesh::Vertex_index, Point_3>("v:uv3").first;
       for(SMesh::Vertex_index v : sm->vertices())
@@ -504,27 +504,27 @@ public Q_SLOTS:
           xmax = uv_map[v][0];
         if(uv_map[v][0] < xmin)
           xmin = uv_map[v][0];
-        
+
         if(uv_map[v][1] > ymax)
           ymax = uv_map[v][1];
         if(uv_map[v][1] < ymin)
           ymin = uv_map[v][1];
       }
-      
+
       CGAL::linear_least_squares_fitting_2(
             uv_map.begin(),
             uv_map.end(),
             bf_line,
             CGAL::Dimension_tag<0>());
-      
+
       EPICK::Vector_2 A(bf_line.to_vector()),
-          B(EPICK::Point_2(0,0), 
-            EPICK::Point_2(1,0));      
+          B(EPICK::Point_2(0,0),
+            EPICK::Point_2(1,0));
       if (A.x()<0) A=-A;
           angle = std::acos(A.x()/CGAL::sqrt(A.squared_length()));
           if ( A.y()<0 ) angle+=3*CGAL_PI/2.;
           if (angle>2*CGAL_PI) angle-=2*CGAL_PI;
-      
+
       locked = true;
       dock_widget->rot_slider->setSliderPosition(angle*180.0/CGAL_PI);
       locked = false;
@@ -538,7 +538,7 @@ public Q_SLOTS:
     polylines.clear();
     float pxmin(8000),pxmax(-8000),
         pymin(8000), pymax(-8000);
-    
+
     Q_FOREACH(QPolygonF poly, polys){
       Q_FOREACH(QPointF pf, poly)
       {
@@ -563,16 +563,16 @@ public Q_SLOTS:
                                                     ));
         }
       }
-    
+
     // build AABB-tree for face location queries
     Tree aabb_tree(faces(*sm).first, faces(*sm).second, *sm, uv_map_3);
-    
+
     visu_item = new Scene_polylines_item;
-    
-    
+
+
     // compute 3D coordinates
     transfo =
-        EPICK::Aff_transformation_2(CGAL::TRANSLATION, 
+        EPICK::Aff_transformation_2(CGAL::TRANSLATION,
                                     EPICK::Vector_2((xmax-xmin)/2+xmin,
                                                     (ymax-ymin)/2+ymin)+ translation)
         * EPICK::Aff_transformation_2(CGAL::ROTATION,sin(angle), cos(angle))
@@ -586,7 +586,7 @@ public Q_SLOTS:
       for(const EPICK::Point_2& p : polyline)
       {
         EPICK::Point_2 p_2 = transfo.transform(p);
-        
+
         Face_location loc = Surface_mesh_shortest_path::locate(
               Point_3(p_2.x(), p_2.y(), 0),
               aabb_tree, *sm, uv_map_3);
@@ -599,7 +599,7 @@ public Q_SLOTS:
     scene->addItem(visu_item);
     dock_widget->engraveButton->setEnabled(true);
     dock_widget->text_meshButton->setEnabled(true);
-    
+
     if(graphics_scene->items().empty())
     {
       Component* component = new Component();
@@ -629,7 +629,7 @@ public Q_SLOTS:
         put(umap, *it, static_cast<float>(u));
         put(vmap, *it, static_cast<float>(v));
       }
-      
+
       //ParamItem does not take ownership of text_mesh_bottom
       ParamItem *param_item= new ParamItem(component, polylines, transfo, sm,
                                            QRectF(QPointF(xmin, -ymax), QPointF(xmax, -ymin)));
@@ -645,7 +645,7 @@ public Q_SLOTS:
     }
     // dock_widget->visualizeButton->setEnabled(false);
   }
-  
+
   void create_text_mesh(SMesh& text_mesh)
   {
     if(!visu_item)
@@ -691,7 +691,7 @@ public Q_SLOTS:
       bbox += CGAL::bbox_2(points.begin(), points.end(), EPICK());
     }
     mark_nested_domains(cdt);
-    
+
     SMesh text_mesh_bottom;
     cdt2_to_face_graph(cdt,
                        text_mesh_bottom);
@@ -700,17 +700,17 @@ public Q_SLOTS:
     NPMAP vnormals =
         text_mesh_bottom.add_property_map<vertex_descriptor,
         EPICK::Vector_3 >("v:normal").first;
-    
+
     if(!dock_widget->letter_checkBox->isChecked())
     {
       CGAL::Polygon_mesh_processing::compute_vertex_normals(text_mesh_bottom, vnormals);
     }
     else{
-      // \todo Computing normals before the final 
+      // \todo Computing normals before the final
       // mesh would be better.
-      
+
       //foreach CC
-      SMesh::Property_map<face_descriptor, int> fcmap = 
+      SMesh::Property_map<face_descriptor, int> fcmap =
           text_mesh_bottom.add_property_map<face_descriptor, int>("f:cc", 0).first;
       std::size_t nb_cc = PMP::connected_components(text_mesh_bottom,
                                                     fcmap);
@@ -718,7 +718,7 @@ public Q_SLOTS:
       {
         //compute the average normal for the cc give it to every vertex
         EPICK::Vector_3 normal(0,0,0);
-        CGAL::Face_filtered_graph<SMesh> fmesh(text_mesh_bottom, 
+        CGAL::Face_filtered_graph<SMesh> fmesh(text_mesh_bottom,
                                                static_cast<int>(cc),
                                                fcmap);
         for(vertex_descriptor vd : vertices(fmesh))
@@ -734,34 +734,34 @@ public Q_SLOTS:
     }
     Bot<VPMap, NPMAP> bot(vnormals, dock_widget->bot_slider->value()/100000.0,
                           get(CGAL::vertex_point, text_mesh));
-    Top<VPMap, NPMAP> top(vnormals, get(CGAL::vertex_point, text_mesh), 
+    Top<VPMap, NPMAP> top(vnormals, get(CGAL::vertex_point, text_mesh),
                           dock_widget->top_slider->value()/100000.0);
     PMP::extrude_mesh(text_mesh_bottom, text_mesh, bot, top);
   }
-  
+
   void engrave() {
     QApplication::setOverrideCursor(Qt::WaitCursor);
     SMesh text_mesh_complete;
     create_text_mesh(text_mesh_complete);
-    
+
     if (PMP::does_self_intersect(text_mesh_complete))
     {
       QApplication::restoreOverrideCursor();
       CGAL::Three::Three::information("Error: text mesh self-intersects!");
       return;
     }
-    
+
     SMesh result;
     CGAL::copy_face_graph(*sel_item->polyhedron(), result);
     bool OK = PMP::corefine_and_compute_difference(result, text_mesh_complete, result);
-    
+
     if (!OK)
     {
       QApplication::restoreOverrideCursor();
       CGAL::Three::Three::information("Error: the output mesh is not manifold!");
       return;
     }
-    
+
     CGAL::Polygon_mesh_processing::triangulate_faces(result);
     Scene_surface_mesh_item* result_item = new Scene_surface_mesh_item(
           result);
@@ -777,11 +777,11 @@ public Q_SLOTS:
     dock_widget->text_meshButton->setEnabled(false);
     dock_widget->visualizeButton->setEnabled(true);
   }
-  
+
   void generateTextItem()
   {
     QApplication::setOverrideCursor(Qt::WaitCursor);
-    
+
     if(textMesh)
     {
       textMesh->face_graph()->clear();
@@ -801,12 +801,12 @@ public Q_SLOTS:
     }
     QApplication::restoreOverrideCursor();
   }
-  
+
   void closure()Q_DECL_OVERRIDE
   {
     dock_widget->hide();
   }
-  
+
 private:
   template <class CDT>
   void
@@ -836,8 +836,8 @@ private:
       }
     }
   }
-  
-  
+
+
   template <class CDT>
   void
   mark_nested_domains(CDT& cdt)
@@ -857,15 +857,15 @@ private:
       }
     }
   }
-  
+
   template <class CDT, class TriangleMesh>
   void cdt2_to_face_graph(const CDT& cdt,
                           TriangleMesh& tm)
   {
-    
+
     Tree aabb_tree(faces(*sm).first, faces(*sm).second, *sm, uv_map_3);
     typedef typename boost::graph_traits<TriangleMesh>::vertex_descriptor vertex_descriptor;
-    
+
     typedef std::map<typename CDT::Vertex_handle, vertex_descriptor> Map;
     Map descriptors;
     for (typename CDT::Finite_faces_iterator fit=cdt.finite_faces_begin(),
@@ -890,11 +890,11 @@ private:
         }
         vds[i]=it->second;
       }
-      
+
       CGAL::Euler::add_face(vds, tm);
     }
   }
-  
+
   void cleanup()
   {
     dock_widget->scalX_slider->setValue(1000);
@@ -919,7 +919,7 @@ private:
       visu_item = nullptr;
     }
   }
-  
+
   QList<QAction*> _actions;
   EngraveWidget* dock_widget;
   Scene_polylines_item* visu_item;
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Extrude_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Extrude_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Extrude_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Extrude_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -81,7 +81,7 @@ public :
     for (int i=0; i<16; ++i)
       mv_mat.data()[i] = GLfloat(d_mat[i]);
     mv_mat = mv_mat*f_matrix;
-    
+
     Tc* tc = getTriangleContainer(0);
     tc->setMvMatrix(mv_mat);
     tc->setFrameMatrix(f_matrix);
@@ -93,7 +93,7 @@ public :
   {
     Q_FOREACH(CGAL::QGLViewer* v, CGAL::QGLViewer::QGLViewerPool())
     {
-      CGAL::Three::Viewer_interface* viewer = 
+      CGAL::Three::Viewer_interface* viewer =
           static_cast<CGAL::Three::Viewer_interface*>(v);
       if(viewer == NULL)
         continue;
@@ -129,8 +129,8 @@ public :
   }
   double length()const { return length_; }
 private:
-  //make an arrow showing the length and direction of the transformation for the extrusion. 
-  void initializeBuffers(Viewer_interface *viewer)const Q_DECL_OVERRIDE 
+  //make an arrow showing the length and direction of the transformation for the extrusion.
+  void initializeBuffers(Viewer_interface *viewer)const Q_DECL_OVERRIDE
   {
     std::vector<float> vertices;
     std::vector<float> normals;
@@ -143,7 +143,7 @@ private:
       float a = (float) std::atan(Rf / 0.33);
       QVector4D pR(0., 1.*length_, 0, 1.);
       QVector4D nR(Rf*2.*sin(D), sin(a), Rf*2.*cos(D), 1.);
-      
+
       //point A1
       vertices.push_back(pR.x());
       vertices.push_back(pR.y());
@@ -151,7 +151,7 @@ private:
       normals.push_back(nR.x());
       normals.push_back(nR.y());
       normals.push_back(nR.z());
-      
+
       //point B1
       pR = QVector4D(Rf*2.*sin(D), 0.66f*length_, Rf*2.* cos(D), 1.f);
       nR = QVector4D(sin(D), sin(a), cos(D), 1.);
@@ -165,7 +165,7 @@ private:
       D = (d+360/prec)*CGAL_PI/180.0;
       pR = QVector4D(Rf*2.* sin(D), 0.66f*length_, Rf *2.* cos(D), 1.f);
       nR = QVector4D(sin(D), sin(a), cos(D), 1.0);
-      
+
       vertices.push_back(pR.x());
       vertices.push_back(pR.y());
       vertices.push_back(pR.z());
@@ -173,7 +173,7 @@ private:
       normals.push_back(nR.y());
       normals.push_back(nR.z());
     }
-    
+
     //cylinder
     //body of the cylinder
     for(int d = 0; d<360; d+= 360/prec)
@@ -182,7 +182,7 @@ private:
       double D = d*CGAL_PI/180.0;
       QVector4D pR(Rf*sin(D), 0.66f*length_, Rf*cos(D), 1.f);
       QVector4D nR(sin(D), 0.f, cos(D), 1.f);
-      
+
       vertices.push_back(pR.x());
       vertices.push_back(pR.y());
       vertices.push_back(pR.z());
@@ -192,7 +192,7 @@ private:
       //point B1
       pR = QVector4D(Rf * sin(D),0,Rf*cos(D), 1.0);
       nR = QVector4D(sin(D), 0, cos(D), 1.0);
-      
+
       vertices.push_back(pR.x());
       vertices.push_back(pR.y());
       vertices.push_back(pR.z());
@@ -211,7 +211,7 @@ private:
       normals.push_back(nR.z());
       //point A2
       D = (d+360/prec)*CGAL_PI/180.0;
-      
+
       pR = QVector4D(Rf * sin(D),0,Rf*cos(D), 1.0);
       nR = QVector4D(sin(D), 0, cos(D), 1.0);
 
@@ -224,7 +224,7 @@ private:
       //point B2
       pR = QVector4D(Rf * sin(D), 0.66f*length_, Rf*cos(D), 1.f);
       nR = QVector4D(sin(D), 0, cos(D), 1.0);
-      
+
       vertices.push_back(pR.x());
       vertices.push_back(pR.y());
       vertices.push_back(pR.z());
@@ -235,7 +235,7 @@ private:
       D = d*CGAL_PI/180.0;
       pR = QVector4D(Rf * sin(D), 0.66f*length_, Rf*cos(D), 1.f);
       nR = QVector4D(sin(D), 0.f, cos(D), 1.f);
-      
+
       vertices.push_back(pR.x());
       vertices.push_back(pR.y());
       vertices.push_back(pR.z());
@@ -243,20 +243,20 @@ private:
       normals.push_back(nR.y());
       normals.push_back(nR.z());
     }
-    
+
     //fill buffers
     //vao containing the data for the facets
     Tc* tc = getTriangleContainer(0);
     tc->allocate(Tc::Flat_vertices,
                  vertices.data(),
                  static_cast<GLsizei>(vertices.size()*sizeof(float)));
- 
+
     tc->allocate(Tc::Flat_normals,
                  normals.data(),
                  static_cast<GLsizei>(normals.size()*sizeof(float)));
     tc->initializeBuffers(viewer);
     tc->setFlatDataSize(vertices.size());
-    
+
     _bbox = Bbox(0,0,0,0,0,0);
     for(std::size_t i = 0; i< vertices.size(); i+=3)
     {
@@ -267,7 +267,7 @@ private:
     setBbox(_bbox);
     setBuffersInit(viewer, true);
   }
-  
+
   Vec center_;
   double length_;
   double tick;
@@ -298,7 +298,7 @@ CGAL::Bbox_3 triangles(const TriangleMes
 Vector estimate_normals(const std::vector<Triangle>& tris)
 {
   Vector moy(0,0,0);
-  
+
   for(const Triangle& tri : tris)
   {
     Vector norm = CGAL::Polygon_mesh_processing::internal::triangle_normal(
@@ -318,12 +318,12 @@ class ExtrudePlugin :
   Q_INTERFACES(CGAL::Three::Polyhedron_demo_plugin_interface)
   Q_PLUGIN_METADATA(IID "com.geometryfactory.PolyhedronDemo.PluginInterface/1.0" FILE "extrude_plugin.json")
 public:
- 
+
   bool applicable(QAction* action) const Q_DECL_OVERRIDE
   {
     if(action == actionCreateItem)
     {
-      return !oliver_queen && 
+      return !oliver_queen &&
           (qobject_cast<Scene_face_graph_item*>(scene->item(scene->mainSelectionIndex()))
            || qobject_cast<Scene_polyhedron_selection_item*>(scene->item(scene->mainSelectionIndex())));
     }
@@ -331,7 +331,7 @@ public:
       return true;
     return false;
   }
- 
+
   QList<QAction*> actions() const Q_DECL_OVERRIDE
   {
     return _actions;
@@ -378,8 +378,8 @@ private Q_SLOTS:
       if(!sel_item->export_selected_facets_as_polyhedron(pMesh))
       {
         CGAL::Three::Three::error("Face selection is not valid. Aborting.");
-        
-        return; 
+
+        return;
       }
       fg_item = new Scene_facegraph_item(pMesh);
       fg_item->setName(QString("%1 selection").arg(sel_item->polyhedron_item()->name()));
@@ -400,18 +400,18 @@ private Q_SLOTS:
     ::triangles(*pMesh,std::back_inserter(triangles));
     Plane plane;
     CGAL::linear_least_squares_fitting_3(triangles.begin(),triangles.end(),plane,CGAL::Dimension_tag<2>());
-    
+
     // compute centroid
     Point c = CGAL::centroid(triangles.begin(),triangles.end());
-    
-    oliver_queen = new Scene_arrow_item(Vec(c.x(),c.y(),c.z()), fg_item->diagonalBbox() / 50.0f, 
+
+    oliver_queen = new Scene_arrow_item(Vec(c.x(),c.y(),c.z()), fg_item->diagonalBbox() / 50.0f,
                                         fg_item->diagonalBbox()/3.0f);
     Vec dir(plane.orthogonal_vector().x(),
-            plane.orthogonal_vector().y(), 
+            plane.orthogonal_vector().y(),
             plane.orthogonal_vector().z());
     if(CGAL::scalar_product(Vector(dir.x, dir.y, dir.z), estimate_normals(triangles)) > 0)
       dir = -dir;
-    
+
     CGAL::qglviewer::Quaternion orientation(CGAL::qglviewer::Vec(0,1,0), dir);
     oliver_queen->manipulatedFrame()->setOrientation(orientation);
     constraint.setRotationConstraintType(CGAL::qglviewer::AxisPlaneConstraint::FREE);
@@ -424,12 +424,12 @@ private Q_SLOTS:
     mw->installEventFilter(oliver_queen);
     scene->addItem(oliver_queen);
     target = fg_item;
-    
+
     connect(oliver_queen, &Scene_arrow_item::aboutToBeDestroyed,
             [this](){
       oliver_queen = NULL;
     });
-    
+
     //!@todo : add a way to track scene's bbox recomputation and reset frame's position when triggered.
   }
   void do_extrude()
@@ -450,7 +450,7 @@ private Q_SLOTS:
     QVector3D dir = rotate_matrix * QVector3D(0,1,0);
     dir.normalize();
     dir = length * dir;
-    
+
     CGAL::Polygon_mesh_processing::extrude_mesh(pMesh, *target->face_graph(),
                                                 Kernel::Vector_3(dir.x(), dir.y(), dir.z()));
     scene->erase(scene->item_id(oliver_queen));
@@ -460,9 +460,9 @@ private Q_SLOTS:
     target->itemChanged();
     target = NULL;
   }
-  
+
 private:
-  
+
   QList<QAction*> _actions;
   Messages_interface* messageInterface;
   Scene_interface* scene;
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Fairing_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Fairing_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Fairing_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Fairing_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -39,9 +39,9 @@ class Polyhedron_demo_fairing_plugin :
   Q_INTERFACES(CGAL::Three::Polyhedron_demo_plugin_interface)
   Q_PLUGIN_METADATA(IID "com.geometryfactory.PolyhedronDemo.PluginInterface/1.0" FILE "fairing_plugin.json")
 public:
-  bool applicable(QAction*) const { 
+  bool applicable(QAction*) const {
     return qobject_cast<Scene_facegraph_item*>(scene->item(scene->mainSelectionIndex()))
-    || qobject_cast<Scene_polyhedron_selection_item*>(scene->item(scene->mainSelectionIndex()));  
+    || qobject_cast<Scene_polyhedron_selection_item*>(scene->item(scene->mainSelectionIndex()));
   }
   void print_message(QString message) { CGAL::Three::Three::information(message);}
   QList<QAction*> actions() const { return QList<QAction*>() << actionFairing; }
@@ -68,8 +68,8 @@ public:
     dock_widget->setWindowTitle(tr(
                                   "Fairing "
                                   ));
-    
-    connect(ui_widget.Fair_button,  SIGNAL(clicked()), this, SLOT(on_Fair_button_clicked()));  
+
+    connect(ui_widget.Fair_button,  SIGNAL(clicked()), this, SLOT(on_Fair_button_clicked()));
     connect(ui_widget.Refine_button,  SIGNAL(clicked()), this, SLOT(on_Refine_button_clicked()));
   }
   virtual void closure()
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Hole_filling_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Hole_filling_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Hole_filling_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Hole_filling_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -125,7 +125,7 @@ public:
     return (m == Wireframe);
   }
   void drawEdges(CGAL::Three::Viewer_interface* viewer) const {
-    
+
     for(Polyline_data_list::const_iterator it = polyline_data_list.begin(); it != polyline_data_list.end(); ++it) {
       if(it == active_hole) { it->polyline->setWidth(7); }
       else                  { it->polyline->setWidth(3); }
@@ -218,7 +218,7 @@ private:
     }
 
     clear();
-  
+
     Face_graph& poly = *poly_item->polyhedron();
 
     boost::unordered_set<fg_halfedge_descriptor> visited;
@@ -301,7 +301,7 @@ private:
     selected_holes.clear();
     active_hole = polyline_data_list.end();
   }
-  
+
   Polyline_data_list::const_iterator active_hole;
   Mouse_keyboard_state state;
 public:
@@ -450,7 +450,7 @@ void Polyhedron_demo_hole_filling_plugin
   dock_widget->setWindowTitle(tr(
                                   "Hole Filling"
                                 ));
-  
+
   connect(ui_widget.Fill_from_selection_button,  SIGNAL(clicked()), this, SLOT(on_Fill_from_selection_button()));
   connect(ui_widget.Visualize_holes_button,  SIGNAL(clicked()), this, SLOT(on_Visualize_holes_button()));
   connect(ui_widget.Fill_selected_holes_button,  SIGNAL(clicked()), this, SLOT(on_Fill_selected_holes_button()));
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Hole_filling_polyline_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Hole_filling_polyline_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Hole_filling_polyline_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Hole_filling_polyline_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -35,7 +35,7 @@ struct Face : public std::array<int,3>
     (*this)[0] = i;
     (*this)[1] = j;
     (*this)[2] = k;
-  } 
+  }
 };
 namespace PMP = CGAL::Polygon_mesh_processing;
 
@@ -73,14 +73,14 @@ public Q_SLOTS:
     if(!polylines_item) {
       print_message("Error: there is no selected polyline item!");
       return;
-    } 
+    }
 
     bool also_refine;
-    const double density_control_factor = 
+    const double density_control_factor =
       QInputDialog::getDouble(mw, tr("Density Control Factor"),
       tr("Density Control Factor (Cancel for not Refine): "), 1.41, 0.0, 100.0, 2, &also_refine);
 
-    bool use_DT = 
+    bool use_DT =
       QMessageBox::Yes == QMessageBox::question(
       NULL, "Use Delaunay Triangulation", "Use Delaunay Triangulation ?", QMessageBox::Yes|QMessageBox::No);
 
@@ -88,15 +88,15 @@ public Q_SLOTS:
     QApplication::processEvents();
     std::size_t counter = 0;
     for(Scene_polylines_item::Polylines_container::iterator it = polylines_item->polylines.begin();
-      it != polylines_item->polylines.end(); ++it, ++counter) 
+      it != polylines_item->polylines.end(); ++it, ++counter)
     {
       if(it->front() != it->back()) { //not closed, skip it
         print_message("Warning: skipping not closed polyline!");
-        continue; 
-      } 
+        continue;
+      }
       if(it->size() < 4) { // no triangle, skip it (needs at least 3 + 1 repeat)
         print_message("Warning: skipping polyline which has less than 4 points!");
-        continue; 
+        continue;
       }
 
       CGAL::Timer timer; timer.start();
@@ -120,7 +120,7 @@ public Q_SLOTS:
       CGAL::Polygon_mesh_processing::polygon_soup_to_polygon_mesh(*it,
                                                                   patch,
                                                                   *poly);
-      
+
       if(also_refine) {
         timer.reset();
         CGAL::Polygon_mesh_processing::refine(*poly, faces(*poly),
@@ -128,7 +128,7 @@ public Q_SLOTS:
                                               CGAL::Polygon_mesh_processing::parameters::density_control_factor(density_control_factor));
         print_message(QString("Refined in %1 sec.").arg(timer.time()));
       }
-      
+
       Scene_surface_mesh_item* poly_item = new Scene_surface_mesh_item(poly);
       poly_item->setName(tr("%1-filled-%2").arg(polylines_item->name()).arg(counter));
       poly_item->setRenderingMode(FlatPlusEdges);
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Inside_out_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Inside_out_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Inside_out_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Inside_out_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -9,7 +9,7 @@
 #include <CGAL/Three/Polyhedron_demo_plugin_interface.h>
 #include <CGAL/Polygon_mesh_processing/orientation.h>
 using namespace CGAL::Three;
-class Polyhedron_demo_inside_out_plugin : 
+class Polyhedron_demo_inside_out_plugin :
   public QObject,
   public Polyhedron_demo_plugin_interface
 {
@@ -68,11 +68,11 @@ private:
 void Polyhedron_demo_inside_out_plugin::on_actionInsideOut_triggered()
 {
   const CGAL::Three::Scene_interface::Item_id index = scene->mainSelectionIndex();
-  
-  Scene_polygon_soup_item* soup_item = 
+
+  Scene_polygon_soup_item* soup_item =
     qobject_cast<Scene_polygon_soup_item*>(scene->item(index));
 
-  Scene_surface_mesh_item* sm_item = 
+  Scene_surface_mesh_item* sm_item =
     qobject_cast<Scene_surface_mesh_item*>(scene->item(index));
 
   if(soup_item || sm_item)
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Isotropic_remeshing_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Isotropic_remeshing_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Isotropic_remeshing_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Isotropic_remeshing_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -382,9 +382,9 @@ public Q_SLOTS:
             {
               QApplication::restoreOverrideCursor();
               //If facets are selected, splitting edges will add facets that won't be selected, and it will mess up the rest.
-              //If there is only edges, it will work fine because new edges are dealt with in the code, so we can directly 
+              //If there is only edges, it will work fine because new edges are dealt with in the code, so we can directly
               //split and continue.
-              // Possibility todo: check if the barycenter of a new face is inside an old selected face to 
+              // Possibility todo: check if the barycenter of a new face is inside an old selected face to
               //select it again.
               if(!selection_item->selected_facets.empty())
               {
@@ -397,7 +397,7 @@ public Q_SLOTS:
               else if(QMessageBox::question(mw, tr("Error"),
                                             tr("Isotropic remeshing : protect_constraints cannot be set to"
                                                " true with constraints larger than 4/3 * target_edge_length."
-                                               " Do you wish to split the constrained edges ?")) != 
+                                               " Do you wish to split the constrained edges ?")) !=
                       QMessageBox::Yes)
               {
                 return;
@@ -459,7 +459,7 @@ public Q_SLOTS:
                   .vertex_is_constrained_map(selection_item->constrained_vertices_pmap()));
             }
         }
-        
+
         SMesh mesh_ = *selection_item->polyhedron();
         std::vector<bool> are_edges_removed;
         are_edges_removed.resize(mesh_.number_of_edges()+mesh_.number_of_removed_edges());
@@ -471,11 +471,11 @@ public Q_SLOTS:
           if(!are_edges_removed[i])
             are_edges_constrained[i] = get(selection_item->constrained_edges_pmap(), SMesh::Edge_index(static_cast<int>(i)));
         }
-        
-        
+
+
         int i0, i1,
             nE(mesh_.number_of_edges()+mesh_.number_of_removed_edges());
-        
+
         //get constrained values in order.
         if (nE > 0)
         {
@@ -486,7 +486,7 @@ public Q_SLOTS:
             while (!are_edges_removed[i0] && i0 < i1) ++i0;
             while ( are_edges_removed[i1] && i0 < i1) --i1;
             if (i0 >= i1) break;
-            
+
             // swap
             std::swap(are_edges_constrained[i0], are_edges_constrained[i1]);
             std::swap(are_edges_removed[i0], are_edges_removed[i1]);
@@ -505,7 +505,7 @@ public Q_SLOTS:
         {
           selection_item->polyhedron_item()->setItemIsMulticolor(false);
         }
-        
+
         selection_item->polyhedron_item()->polyhedron()->collect_garbage();
         //fix constrained_edges_map
         for(int i=0; i< nE; ++i)
@@ -514,7 +514,7 @@ public Q_SLOTS:
               pmap = selection_item->constrained_edges_pmap();
           put(pmap, SMesh::Edge_index(i), are_edges_constrained[i]);
         }
-        
+
         selection_item->poly_item_changed();
         selection_item->clear<face_descriptor>();
         selection_item->changed_with_poly_item();
@@ -563,7 +563,7 @@ public Q_SLOTS:
           if (preserve_duplicates)
           {
             detect_and_split_duplicates(poly_items, edges_to_protect_map, target_length);
-           
+
           }
           Scene_polyhedron_selection_item::Is_constrained_map<Edge_set> ecm(&edges_to_protect);
           for(edge_descriptor e : edges(pmesh))
@@ -611,7 +611,6 @@ public Q_SLOTS:
         }
         if (fpmap_valid)
         {
-          PMP::connected_components(pmesh, fpmap, PMP::parameters::edge_is_constrained_map(eif));
           poly_item->setItemIsMulticolor(true);
           poly_item->show_feature_edges(true);
         }
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Jet_fitting_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Jet_fitting_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Jet_fitting_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Jet_fitting_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -37,7 +37,7 @@ public:
 
   }
 
-  bool applicable(QAction*) const { 
+  bool applicable(QAction*) const {
     return qobject_cast<Scene_surface_mesh_item*>(scene->item(scene->mainSelectionIndex()));
   }
 
@@ -122,7 +122,7 @@ void Polyhedron_demo_jet_fitting_plugin:
   // get active polyhedron
   const CGAL::Three::Scene_interface::Item_id index = scene->mainSelectionIndex();
   QString name = scene->item(index)->name();
-  Scene_surface_mesh_item* sm_item = 
+  Scene_surface_mesh_item* sm_item =
     qobject_cast<Scene_surface_mesh_item*>(scene->item(index));
   if(! sm_item){
     return;
@@ -140,12 +140,12 @@ void Polyhedron_demo_jet_fitting_plugin:
 
   SMesh* pMesh = sm_item->polyhedron();
   compute(pMesh, min_curv, max_curv);
-  
+
   scene->addItem(max_curv);
   scene->addItem(min_curv);
   max_curv->invalidateOpenGLBuffers();
   min_curv->invalidateOpenGLBuffers();
-  
+
   // default cursor
   QApplication::restoreOverrideCursor();
 }
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Mean_curvature_flow_skeleton_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Mean_curvature_flow_skeleton_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Mean_curvature_flow_skeleton_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Mean_curvature_flow_skeleton_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -61,27 +61,27 @@ struct Polyline_visitor
 {
   typedef std::vector<Point> Polyline;
   typedef std::vector<std::size_t> Polyline_of_ids;
-  
+
   std::list<Polyline>& polylines;
   Skeleton& skeleton;
-  
+
   Polyline_visitor(std::list<Polyline>& lines, Skeleton& skeleton)
     : polylines(lines),
       skeleton(skeleton)
   {}
-  
+
   void start_new_polyline()
   {
     Polyline V;
     polylines.push_back(V);
   }
-  
+
   void add_node(boost::graph_traits<Skeleton>::vertex_descriptor vd)
   {
     Polyline& polyline = polylines.back();
     polyline.push_back(skeleton[vd].point);
   }
-  
+
   void end_polyline(){}
 };
 
@@ -102,7 +102,7 @@ public:
   {
     delete ui;
   }
-  
+
   void init(QMainWindow* mainWindow, CGAL::Three::Scene_interface* scene_interface, Messages_interface*) {
 
     this->mw = mainWindow;
@@ -243,7 +243,7 @@ public:
 
     // the algorithm is only applicable on a mesh
     // that has only one connected component
-    
+
     boost::unordered_map<boost::graph_traits<Face_graph>::face_descriptor,int> cc(num_faces(*pMesh));
     std::size_t num_component = PMP::connected_components(*pMesh, boost::make_assoc_property_map(cc));
 
@@ -373,12 +373,12 @@ void Polyhedron_demo_mean_curvature_flow
 
     // init the polyhedron simplex indices
   CGAL::set_halfedgeds_items_id(*item->input_triangle_mesh);
-  boost::property_map<Face_graph, boost::vertex_index_t>::type 
+  boost::property_map<Face_graph, boost::vertex_index_t>::type
     vimap = get(boost::vertex_index, *item->input_triangle_mesh);
 
   //for each input vertex compute its distance to the skeleton
   std::vector<double> distances(num_vertices(*item->input_triangle_mesh));
-  
+
   Face_graph *smesh = item->input_triangle_mesh;
 
   boost::property_map<Face_graph,CGAL::vertex_point_t>::type vpm
@@ -431,7 +431,7 @@ void Polyhedron_demo_mean_curvature_flow
     if(segment > nb_segment)
       nb_segment = segment + 1;
     put(fpim, fd, segment);
-    
+
   }
   item_segmentation->setItemIsMulticolor(true);
   item_segmentation->computeItemColorVectorAutomatically(true);
@@ -660,7 +660,7 @@ if(!contracted_item)
     ps->insert(point);
   }
   ps->select_all();
-  
+
   if (item->fixedPointsItemIndex == -1)
   {
     item->fixedPointsItemIndex = scene->addItem(fixedPointsItem);
@@ -832,7 +832,7 @@ void Polyhedron_demo_mean_curvature_flow
     ps->insert(point);
   }
   ps->select_all();
-  
+
   if (item->fixedPointsItemIndex == -1)
   {
     item->fixedPointsItemIndex = scene->addItem(fixedPointsItem);
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Orient_soup_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Orient_soup_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Orient_soup_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Orient_soup_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -19,7 +19,7 @@
 #include "Messages_interface.h"
 #include "ui_Repair_soup.h"
 using namespace CGAL::Three;
-class Polyhedron_demo_orient_soup_plugin : 
+class Polyhedron_demo_orient_soup_plugin :
   public QObject,
   public Polyhedron_demo_plugin_interface
 {
@@ -36,7 +36,7 @@ public:
       if(qobject_cast<Scene_polygon_soup_item*>(scene->item(index)))
         return true;
       else
-        if (action==actionShuffle && 
+        if (action==actionShuffle &&
             qobject_cast<Scene_surface_mesh_item*>(scene->item(index))
             )
           return true;
@@ -59,7 +59,7 @@ private:
                      const CGAL::Three::Scene_interface::Item_id& index);
   void getNMPoints(std::set<std::size_t> &vertices_to_duplicate,
       Scene_polygon_soup_item* item);
-  
+
   CGAL::Three::Scene_interface* scene;
   Messages_interface* messages;
   QMainWindow* mw;
@@ -231,7 +231,7 @@ void Polyhedron_demo_orient_soup_plugin:
 void Polyhedron_demo_orient_soup_plugin::displayNonManifoldEdges()
 {
   const CGAL::Three::Scene_interface::Item_id index = scene->mainSelectionIndex();
-  
+
   Scene_polygon_soup_item* item =
     qobject_cast<Scene_polygon_soup_item*>(scene->item(index));
 
@@ -245,9 +245,9 @@ void Polyhedron_demo_orient_soup_plugin:
 }
 void Polyhedron_demo_orient_soup_plugin::createPointsAndPolyline()
 {
-  
+
   const CGAL::Three::Scene_interface::Item_id index = scene->mainSelectionIndex();
-  
+
   Scene_polygon_soup_item* item =
     qobject_cast<Scene_polygon_soup_item*>(scene->item(index));
 
@@ -272,13 +272,13 @@ void Polyhedron_demo_orient_soup_plugin:
       }
       points->setName(QString("Non Manifold Vertices of %1").arg(item->name()));
           points->setColor(QColor(Qt::red));
-          
+
           scene->addItem(points);
     }
     Polygon_soup::Edges nm_edges = item->non_manifold_edges();
     if(!nm_edges.empty())
     {
-      Scene_polylines_item* poly = 
+      Scene_polylines_item* poly =
           new Scene_polylines_item();
       for(Polygon_soup::Edge edge : nm_edges)
       {
@@ -290,7 +290,7 @@ void Polyhedron_demo_orient_soup_plugin:
       }
       poly->setName(QString("Non Manifold Edges of %1").arg(item->name()));
       poly->setColor(QColor(Qt::red));
-      
+
       scene->addItem(poly);
       items_created = true;
     }
@@ -301,7 +301,7 @@ void Polyhedron_demo_orient_soup_plugin:
     QApplication::restoreOverrideCursor();
     if(!items_created)
       QMessageBox::information(mw, "Nothing Non-manifold", "No non-manifold edge nor vertex was found.");
-  }  
+  }
 }
 
 void Polyhedron_demo_orient_soup_plugin::getNMPoints(
@@ -309,16 +309,16 @@ void Polyhedron_demo_orient_soup_plugin:
     Scene_polygon_soup_item* item)
 {
   typedef std::pair<std::size_t, std::size_t>                              V_ID_pair;
-  typedef CGAL::Polygon_mesh_processing::internal::Polygon_soup_orienter<Polygon_soup::Points, 
+  typedef CGAL::Polygon_mesh_processing::internal::Polygon_soup_orienter<Polygon_soup::Points,
       Polygon_soup::Polygons> PSO;
   typedef PSO::Edge_map Edge_map;
   typedef std::set<V_ID_pair>                                              Marked_edges;
-      
+
   Edge_map edges;
   edges.resize(item->points().size());
   Marked_edges m_edges;
   PSO::fill_edge_map(edges, m_edges, item->polygons());
-  
+
   // for each vertex, indicates the list of polygon containing it
   std::vector< std::vector<std::size_t> > incident_polygons_per_vertex(item->points().size());
   std::size_t nb_polygons=item->polygons().size();
@@ -329,7 +329,7 @@ void Polyhedron_demo_orient_soup_plugin:
   }
 
   std::size_t nbv = item->points().size();
-  
+
   for (std::size_t v_id = 0; v_id < nbv; ++v_id)
   {
     const std::vector< std::size_t >& incident_polygons = incident_polygons_per_vertex[v_id];
@@ -347,7 +347,7 @@ void Polyhedron_demo_orient_soup_plugin:
         vertices_to_duplicate.insert(v_id);
       }
 
-      
+
       std::size_t nbv = item->polygons()[p_id].size(), pvid=0;
       for (; pvid!=nbv; ++pvid)
         if (v_id==item->polygons()[p_id][pvid]) break;
@@ -380,9 +380,9 @@ void Polyhedron_demo_orient_soup_plugin:
       first_pass=false;
     }
   }
-  
+
   //remove vertices already in NM edges
-  //check edges of p_id. 
+  //check edges of p_id.
   for(Scene_polygon_soup_item::Edge edge : item->non_manifold_edges())
   {
     vertices_to_duplicate.erase(edge[0]);
@@ -406,10 +406,10 @@ public:
 void Polyhedron_demo_orient_soup_plugin::cleanSoup()
 {
   const CGAL::Three::Scene_interface::Item_id index = scene->mainSelectionIndex();
-  
+
   Scene_polygon_soup_item* item =
       qobject_cast<Scene_polygon_soup_item*>(scene->item(index));
-  
+
   if(!item)
     return;
   RepairDialog dlg;
@@ -417,7 +417,7 @@ void Polyhedron_demo_orient_soup_plugin:
     return;
   bool b1 = dlg.eadCheckbox->isChecked(), b2 = dlg.rsoCheckBox->isChecked();
   item->repair(b1, b2);
-  
+
   item->invalidateOpenGLBuffers();
   item->itemChanged();
 }
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Point_inside_polyhedron_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Point_inside_polyhedron_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Point_inside_polyhedron_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Point_inside_polyhedron_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -40,7 +40,7 @@ class Polyhedron_demo_point_inside_polyh
   Q_PLUGIN_METADATA(IID "com.geometryfactory.PolyhedronDemo.PluginInterface/1.0")
 
 public:
-  bool applicable(QAction*) const 
+  bool applicable(QAction*) const
   {
     for(CGAL::Three::Scene_interface::Item_id i = 0, end = scene->numberOfEntries();
         i < end; ++i)
@@ -72,9 +72,9 @@ public:
 
     addDockWidget(dock_widget);
 
-    connect(ui_widget.Select_button,  SIGNAL(clicked()), this, SLOT(on_Select_button())); 
-    connect(ui_widget.Sample_random_points_from_bbox,  SIGNAL(clicked()), this, SLOT(on_Sample_random_points_from_bbox())); 
-    
+    connect(ui_widget.Select_button,  SIGNAL(clicked()), this, SLOT(on_Select_button()));
+    connect(ui_widget.Sample_random_points_from_bbox,  SIGNAL(clicked()), this, SLOT(on_Sample_random_points_from_bbox()));
+
   }
 
   virtual void closure()
@@ -84,12 +84,12 @@ public:
 
 
 public Q_SLOTS:
-  void point_inside_polyhedron_action() { 
+  void point_inside_polyhedron_action() {
     dock_widget->show();
     dock_widget->raise();
   }
 
-  void on_Select_button() 
+  void on_Select_button()
   {
     bool inside = ui_widget.Inside_check_box->isChecked();
     bool on_boundary = ui_widget.On_boundary_check_box->isChecked();
@@ -131,7 +131,7 @@ public Q_SLOTS:
     if((inside_smesh_testers.empty()) || point_sets.empty()) { QApplication::restoreOverrideCursor(); return; }
 
     // deselect all points
-    for(std::vector<Point_set*>::iterator point_set_it = point_sets.begin(); 
+    for(std::vector<Point_set*>::iterator point_set_it = point_sets.begin();
       point_set_it != point_sets.end(); ++point_set_it) {
       (*point_set_it)->unselect_all();
     }
@@ -173,7 +173,7 @@ public Q_SLOTS:
     // for repaint
     Q_FOREACH(CGAL::Three::Scene_interface::Item_id id, scene->selectionIndices()) {
       Scene_points_with_normal_item* point_item = qobject_cast<Scene_points_with_normal_item*>(scene->item(id));
-      if(point_item) { 
+      if(point_item) {
         found = true;
         point_item->invalidateOpenGLBuffers();
         scene->itemChanged(point_item);
@@ -187,7 +187,7 @@ public Q_SLOTS:
   }
 
   void on_Sample_random_points_from_bbox() {
-    
+
     // calculate bbox of selected polyhedron items
     boost::optional<CGAL::Three::Scene_interface::Bbox> bbox
       = boost::make_optional(false, CGAL::Three::Scene_interface::Bbox());
@@ -210,13 +210,13 @@ public Q_SLOTS:
     }
 
     if(!bbox) {
-      print_message("Error: there is no selected polyhedron item(s)."); 
+      print_message("Error: there is no selected polyhedron item(s).");
       return;
     }
 
     // take number of points param
     bool ok;
-    const int nb_points = 
+    const int nb_points =
       QInputDialog::getInt(mw, tr("Number of Points"),
       tr("Number of Points:"),
       100000, // default value
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Polyhedron_slicer_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Polyhedron_slicer_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Polyhedron_slicer_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Polyhedron_slicer_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -13,7 +13,7 @@
 #include "ui_Polyhedron_slicer_widget.h"
 
 #include <CGAL/Exact_predicates_inexact_constructions_kernel.h>
-#include <CGAL/bounding_box.h> 
+#include <CGAL/bounding_box.h>
 #include <CGAL/Polygon_mesh_slicer.h>
 
 #include <QElapsedTimer>
@@ -37,8 +37,8 @@ class Polyhedron_demo_polyhedron_slicer_
 
 public:
   bool applicable(QAction*) const
-  { 
-    return qobject_cast<Scene_surface_mesh_item*>(scene->item(scene->mainSelectionIndex())); 
+  {
+    return qobject_cast<Scene_surface_mesh_item*>(scene->item(scene->mainSelectionIndex()));
   }
 
   void print_message(QString message) { CGAL::Three::Three::information(message);}
@@ -86,9 +86,9 @@ private:
 
   QDockWidget* dock_widget;
   Ui::Polyhedron_slicer ui_widget;
-  
+
   template <typename TriangleMesh>
-  void intersection_of_plane_Polyhedra_3_using_AABB_wrapper(TriangleMesh& mesh, 
+  void intersection_of_plane_Polyhedra_3_using_AABB_wrapper(TriangleMesh& mesh,
     const std::vector<Epic_kernel::Plane_3>& planes,
     const std::vector<CGAL::qglviewer::Vec>& plane_positions,
     std::list<std::vector<Epic_kernel::Point_3> >& polylines);
@@ -115,8 +115,8 @@ void Polyhedron_demo_polyhedron_slicer_p
 
   addDockWidget(dock_widget);
 
-  connect(ui_widget.Generate_button,  SIGNAL(clicked()), this, SLOT(on_Generate_button_clicked()));   
-  connect(ui_widget.Update_plane_button,  SIGNAL(clicked()), this, SLOT(on_Update_plane_button_clicked())); 
+  connect(ui_widget.Generate_button,  SIGNAL(clicked()), this, SLOT(on_Generate_button_clicked()));
+  connect(ui_widget.Update_plane_button,  SIGNAL(clicked()), this, SLOT(on_Update_plane_button_clicked()));
 }
 
 QList<QAction*> Polyhedron_demo_polyhedron_slicer_plugin::actions() const {
@@ -125,7 +125,7 @@ QList<QAction*> Polyhedron_demo_polyhedr
 
 void Polyhedron_demo_polyhedron_slicer_plugin::slicer_widget_action(){
   if(dock_widget->isVisible()) { return; }
-  dock_widget->show(); 
+  dock_widget->show();
   dock_widget->raise();
   ///// from cut plugin /////
   CGAL_assertion(plane_item == NULL);
@@ -143,7 +143,7 @@ void Polyhedron_demo_polyhedron_slicer_p
   connect(plane_item->manipulatedFrame(), SIGNAL(modified()),
     this, SLOT(plane_manipulated_frame_modified()));
 
-  if(Scene* scene_casted = dynamic_cast<Scene*>(scene)) 
+  if(Scene* scene_casted = dynamic_cast<Scene*>(scene))
   { connect(scene_casted, SIGNAL(itemAboutToBeDestroyed(CGAL::Three::Scene_item*)), this, SLOT(item_about_to_be_destroyed(CGAL::Three::Scene_item*))); }
   scene->addItem(plane_item);
 
@@ -183,7 +183,7 @@ bool Polyhedron_demo_polyhedron_slicer_p
   double center_x = ui_widget.Center_x->text().toDouble(&ok_1);
   double center_y = ui_widget.Center_y->text().toDouble(&ok_2);
   double center_z = ui_widget.Center_z->text().toDouble(&ok_3);
-  if(!ok_1 || !ok_2 || !ok_3) 
+  if(!ok_1 || !ok_2 || !ok_3)
   { print_message("Error: center coordinates not convertible to double."); return false; }
 
   // set center
@@ -193,7 +193,7 @@ bool Polyhedron_demo_polyhedron_slicer_p
 
   // get base 1 and base 2
   double bases[6];
-  if(!get_base_1_2(bases)) 
+  if(!get_base_1_2(bases))
   { print_message("Error: Base-1, Base-2 coordinates not convertible to double."); return false; }
 
   // compute other axis
@@ -201,7 +201,7 @@ bool Polyhedron_demo_polyhedron_slicer_p
   CGAL::qglviewer::Vec base_2(bases[3], bases[4], bases[5]);
   CGAL::qglviewer::Vec other = cross(base_1, base_2);
   if(other.norm() == 0.0) { print_message("Error: collinear base vectors are not accepted!"); return false; }
-  
+
   // set orientation
   CGAL::qglviewer::Quaternion orientation_from_bases;
   orientation_from_bases.setFromRotatedBasis(base_1, base_2, other);
@@ -218,9 +218,9 @@ bool Polyhedron_demo_polyhedron_slicer_p
 void Polyhedron_demo_polyhedron_slicer_plugin::on_Generate_button_clicked()
 {
   Scene_surface_mesh_item* sm_item = getSelectedItem<Scene_surface_mesh_item>();
-  if(! sm_item) { 
+  if(! sm_item) {
     print_message("Error: There is no selected Scene_surface_mesh_item!");
-    return; 
+    return;
   }
   QString item_name = sm_item->name();
 
@@ -245,10 +245,10 @@ void Polyhedron_demo_polyhedron_slicer_p
   // get distance between planes
   bool to_double_ok = true;
   double distance_with_planes = ui_widget.Distance_with_planes->text().toDouble(&to_double_ok);
-  if(!to_double_ok) { 
+  if(!to_double_ok) {
     print_message("Error: Set Distance_with_planes text box!");
     QApplication::restoreOverrideCursor();
-    return; 
+    return;
   }
 
   // construct a bbox for selected polyhedron
@@ -261,7 +261,7 @@ void Polyhedron_demo_polyhedron_slicer_p
   std::vector<Epic_kernel::Plane_3> planes;
   std::vector<CGAL::qglviewer::Vec> plane_positions;
 
-  for(int dir = 1, step = 0; /* */ ; ++step) 
+  for(int dir = 1, step = 0; /* */ ; ++step)
   {
     double distance_norm = (dir * step) * distance_with_planes;
     CGAL::qglviewer::Vec new_pos = pos + (n*distance_norm);
@@ -270,7 +270,7 @@ void Polyhedron_demo_polyhedron_slicer_p
     Epic_kernel::Point_3 new_pos_cgal(new_pos[0], new_pos[1], new_pos[2]);
     Epic_kernel::Plane_3 plane(new_pos_cgal, normal);
 
-    if(!CGAL::do_intersect(cgal_bbox, plane)) { 
+    if(!CGAL::do_intersect(cgal_bbox, plane)) {
       if(dir == -1) { break; }
       std::reverse(planes.begin(), planes.end());
       std::reverse(plane_positions.begin(), plane_positions.end());
@@ -279,12 +279,12 @@ void Polyhedron_demo_polyhedron_slicer_p
       continue;
     }
     planes.push_back(plane);
-    plane_positions.push_back(new_pos); 
+    plane_positions.push_back(new_pos);
   }
   print_message(QString("Created %1 cuts inside bbox...").arg(planes.size()));
 
   bool new_polyline_item_for_polylines = ui_widget.newPolylineItemCheckBox->checkState() == Qt::Checked;
-  if(!new_polyline_item_for_polylines) 
+  if(!new_polyline_item_for_polylines)
   {
     Scene_polylines_item* new_polylines_item = new Scene_polylines_item();
     QElapsedTimer time; time.start();
@@ -342,14 +342,14 @@ void Polyhedron_demo_polyhedron_slicer_p
 // this function assumes 'planes' are parallel
 template <typename TriangleMesh>
 void Polyhedron_demo_polyhedron_slicer_plugin::intersection_of_plane_Polyhedra_3_using_AABB_wrapper(
-  TriangleMesh& poly, 
+  TriangleMesh& poly,
   const std::vector<Epic_kernel::Plane_3>& planes,
   const std::vector<CGAL::qglviewer::Vec>& plane_positions,
-  std::list<std::vector<Epic_kernel::Point_3> >& polylines) 
+  std::list<std::vector<Epic_kernel::Point_3> >& polylines)
 {
   CGAL::Polygon_mesh_slicer<TriangleMesh, Epic_kernel> slicer(poly);
   std::vector<CGAL::qglviewer::Vec>::const_iterator plane_position_it = plane_positions.begin();
-  for(std::vector<Epic_kernel::Plane_3>::const_iterator plane_it = planes.begin(); plane_it != planes.end(); ++plane_it, ++plane_position_it) 
+  for(std::vector<Epic_kernel::Plane_3>::const_iterator plane_it = planes.begin(); plane_it != planes.end(); ++plane_it, ++plane_position_it)
     slicer(*plane_it, std::front_inserter(polylines));
 
 }
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Polyhedron_stitching_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Polyhedron_stitching_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Polyhedron_stitching_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Polyhedron_stitching_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -37,11 +37,11 @@ public:
     actionStitchBorders= new QAction(tr("Stitch Duplicated Boundaries"), mainWindow);
     actionStitchBorders->setObjectName("actionStitchBorders");
     actionStitchBorders->setProperty("subMenuName", "Polygon Mesh Processing/Repair");
-    
+
     actionStitchByCC= new QAction(tr("Stitch Borders Per Connected Components"), mainWindow);
     actionStitchByCC->setObjectName("actionStitchByCC");
     actionStitchByCC->setProperty("subMenuName", "Polygon Mesh Processing/Repair");
-    
+
     autoConnectActions();
   }
 
@@ -59,7 +59,7 @@ public:
 
   template <typename Item>
   void on_actionStitchBorders_triggered(Scene_interface::Item_id index);
-  
+
   template <typename Item>
   void on_actionStitchByCC_triggered(Scene_interface::Item_id index);
 
@@ -142,7 +142,7 @@ void Polyhedron_demo_polyhedron_stitchin
 {
   Item* item =
       qobject_cast<Item*>(scene->item(index));
-  
+
   if(!item)
     return;
   CGAL::Polygon_mesh_processing::stitch_borders(*item->polyhedron(),
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Repair_polyhedron_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Repair_polyhedron_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Repair_polyhedron_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Repair_polyhedron_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -11,11 +11,15 @@
 #include <QMainWindow>
 #include <QObject>
 #include <QInputDialog>
-#include <limits>
 
 #include <CGAL/Polygon_mesh_processing/repair.h>
 #include <CGAL/Polygon_mesh_processing/internal/repair_extra.h>
 #include <CGAL/Polygon_mesh_processing/corefinement.h>
+#include <CGAL/Polygon_mesh_processing/merge_border_vertices.h>
+
+#include <cmath>
+#include <limits>
+#include <vector>
 
 using namespace CGAL::Three;
 class Polyhedron_demo_repair_polyhedron_plugin :
@@ -41,6 +45,7 @@ public:
     actionRemoveSelfIntersections = new QAction(tr("Remove Self-Intersections"), mw);
     actionStitchCloseBorderHalfedges = new QAction(tr("Stitch Close Border Halfedges"), mw);
     actionDuplicateNMVertices = new QAction(tr("Duplicate Non-Manifold Vertices"), mw);
+    actionMergeDuplicatedVerticesOnBoundaryCycles = new QAction(tr("Merge Duplicated Vertices on Boundary Cycles"), mw);
     actionAutorefine = new QAction(tr("Autorefine Mesh"), mw);
     actionAutorefineAndRMSelfIntersections = new QAction(tr("Autorefine and Remove Self-Intersections"), mw);
 
@@ -49,6 +54,7 @@ public:
     actionRemoveSelfIntersections->setObjectName("actionRemoveSelfIntersections");
     actionStitchCloseBorderHalfedges->setObjectName("actionStitchCloseBorderHalfedges");
     actionDuplicateNMVertices->setObjectName("actionDuplicateNMVertices");
+    actionMergeDuplicatedVerticesOnBoundaryCycles->setObjectName("actionMergeDuplicatedVerticesOnBoundaryCycles");
     actionAutorefine->setObjectName("actionAutorefine");
     actionAutorefineAndRMSelfIntersections->setObjectName("actionAutorefineAndRMSelfIntersections");
 
@@ -57,6 +63,7 @@ public:
     actionRemoveSelfIntersections->setProperty("subMenuName", "Polygon Mesh Processing/Repair/Experimental");
     actionRemoveIsolatedVertices->setProperty("subMenuName", "Polygon Mesh Processing/Repair");
     actionDuplicateNMVertices->setProperty("subMenuName", "Polygon Mesh Processing/Repair");
+    actionMergeDuplicatedVerticesOnBoundaryCycles->setProperty("subMenuName", "Polygon Mesh Processing/Repair");
     actionAutorefine->setProperty("subMenuName", "Polygon Mesh Processing/Repair/Experimental");
     actionAutorefineAndRMSelfIntersections->setProperty("subMenuName", "Polygon Mesh Processing/Repair/Experimental");
 
@@ -70,6 +77,7 @@ public:
                              << actionRemoveSelfIntersections
                              << actionStitchCloseBorderHalfedges
                              << actionDuplicateNMVertices
+                             << actionMergeDuplicatedVerticesOnBoundaryCycles
                              << actionAutorefine
                              << actionAutorefineAndRMSelfIntersections;
   }
@@ -90,6 +98,8 @@ public:
   template <typename Item>
   void on_actionDuplicateNMVertices_triggered(Scene_interface::Item_id index);
   template <typename Item>
+  void on_actionMergeDuplicatedVerticesOnBoundaryCycles_triggered(Scene_interface::Item_id index);
+  template <typename Item>
   void on_actionAutorefine_triggered(Scene_interface::Item_id index);
   template <typename Item>
   void on_actionAutorefineAndRMSelfIntersections_triggered(Scene_interface::Item_id index);
@@ -100,6 +110,7 @@ public Q_SLOTS:
   void on_actionRemoveSelfIntersections_triggered();
   void on_actionStitchCloseBorderHalfedges_triggered();
   void on_actionDuplicateNMVertices_triggered();
+  void on_actionMergeDuplicatedVerticesOnBoundaryCycles_triggered();
   void on_actionAutorefine_triggered();
   void on_actionAutorefineAndRMSelfIntersections_triggered();
 
@@ -109,6 +120,7 @@ private:
   QAction* actionRemoveSelfIntersections;
   QAction* actionStitchCloseBorderHalfedges;
   QAction* actionDuplicateNMVertices;
+  QAction* actionMergeDuplicatedVerticesOnBoundaryCycles;
   QAction* actionAutorefine;
   QAction* actionAutorefineAndRMSelfIntersections;
 
@@ -226,7 +238,7 @@ void Polyhedron_demo_repair_polyhedron_p
   if (poly_item)
   {
     try{
-      bool solved = 
+      bool solved =
         CGAL::Polygon_mesh_processing::experimental::
           autorefine_and_remove_self_intersections(*poly_item->polyhedron());
       if (!solved)
@@ -308,4 +320,31 @@ void Polyhedron_demo_repair_polyhedron_p
   QApplication::restoreOverrideCursor();
 }
 
+template <typename Item>
+void Polyhedron_demo_repair_polyhedron_plugin::on_actionMergeDuplicatedVerticesOnBoundaryCycles_triggered(Scene_interface::Item_id index)
+{
+  namespace PMP = CGAL::Polygon_mesh_processing;
+
+  if(Item* poly_item = qobject_cast<Item*>(scene->item(index)))
+  {
+    const std::size_t old_nv = vertices(*poly_item->polyhedron()).size();
+    PMP::merge_duplicated_vertices_in_boundary_cycles(*poly_item->polyhedron());
+    const std::size_t new_nv = vertices(*poly_item->polyhedron()).size();
+    CGAL::Three::Three::information(tr(" %1 vertices merged").arg(old_nv - new_nv));
+    if(old_nv != new_nv)
+    {
+      poly_item->invalidateOpenGLBuffers();
+      Q_EMIT poly_item->itemChanged();
+    }
+  }
+}
+
+void Polyhedron_demo_repair_polyhedron_plugin::on_actionMergeDuplicatedVerticesOnBoundaryCycles_triggered()
+{
+  QApplication::setOverrideCursor(Qt::WaitCursor);
+  const Scene_interface::Item_id index = scene->mainSelectionIndex();
+  on_actionMergeDuplicatedVerticesOnBoundaryCycles_triggered<Scene_surface_mesh_item>(index);
+  QApplication::restoreOverrideCursor();
+}
+
 #include "Repair_polyhedron_plugin.moc"
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Scene_facegraph_item_k_ring_selection.h 5.0.3-1/demo/Polyhedron/Plugins/PMP/Scene_facegraph_item_k_ring_selection.h
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Scene_facegraph_item_k_ring_selection.h	2020-02-21 20:03:57.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Scene_facegraph_item_k_ring_selection.h	2020-08-01 19:02:42.000000000 +0000
@@ -104,7 +104,7 @@ public:
   {
     init(poly_item, mw, aht, k_ring);
   }
-  
+
   void setHighLighting(bool b)
   {
     cut_highlighting = !b;
@@ -118,7 +118,7 @@ public:
     }
   }
 
-  void init(Scene_facegraph_item* poly_item, QMainWindow* mw, Active_handle::Type aht, 
+  void init(Scene_facegraph_item* poly_item, QMainWindow* mw, Active_handle::Type aht,
             int k_ring) {
     this->poly_item = poly_item;
     this->active_handle_type = aht;
@@ -131,7 +131,7 @@ public:
     cut_highlighting = false;
     is_ready_to_paint_select = true;
     is_lasso_active = false;
-    
+
     Q_FOREACH(CGAL::QGLViewer* viewer,CGAL::QGLViewer::QGLViewerPool()){
       viewer->installEventFilter(this);
       viewer->setMouseBindingDescription(Qt::Key_D, Qt::ShiftModifier, Qt::LeftButton, "(When in selection plugin) Removes the clicked primitive from the selection. ");
@@ -155,7 +155,7 @@ public Q_SLOTS:
   {
     o->installEventFilter(this);
   }
-  void vertex_has_been_selected(void* void_ptr) 
+  void vertex_has_been_selected(void* void_ptr)
   {
     if((*CGAL::QGLViewer::QGLViewerPool().begin())->property("performing_selection").toBool())
       return;
@@ -182,7 +182,7 @@ public Q_SLOTS:
     }
     updateIsTreated();
   }
-  void edge_has_been_selected(void* void_ptr) 
+  void edge_has_been_selected(void* void_ptr)
   {
     if((*CGAL::QGLViewer::QGLViewerPool().begin())->property("performing_selection").toBool())
       return;
@@ -195,7 +195,7 @@ public Q_SLOTS:
     }
     updateIsTreated();
   }
-  
+
   void paint_selection()
   {
     if(is_ready_to_paint_select)
@@ -209,7 +209,7 @@ public Q_SLOTS:
       const CGAL::qglviewer::Vec& point = camera->pointUnderPixel(paint_pos, found) - offset;
       if(found)
       {
-       CGAL::qglviewer::Vec orig; 
+       CGAL::qglviewer::Vec orig;
        CGAL::qglviewer::Vec dir;
        if(camera->type() == CGAL::qglviewer::Camera::PERSPECTIVE)
        {
@@ -219,10 +219,10 @@ public Q_SLOTS:
        else
        {
          dir = camera->viewDirection();
-         orig = CGAL::qglviewer::Vec(point.x - dir.x, 
+         orig = CGAL::qglviewer::Vec(point.x - dir.x,
                                      point.y - dir.y,
                                      point.z - dir.z);
-         
+
        }
         poly_item->select(orig.x, orig.y, orig.z, dir.x, dir.y, dir.z);
       }
@@ -313,7 +313,7 @@ public Q_SLOTS:
       else
       {
         dir = camera->viewDirection();
-        orig = CGAL::qglviewer::Vec(center.x - dir.x, 
+        orig = CGAL::qglviewer::Vec(center.x - dir.x,
                                     center.y - dir.y,
                                     center.z - dir.z);
       }
@@ -406,10 +406,10 @@ public Q_SLOTS:
         else
         {
           dir = camera->viewDirection();
-          orig = CGAL::qglviewer::Vec(point.x - dir.x, 
+          orig = CGAL::qglviewer::Vec(point.x - dir.x,
                                       point.y - dir.y,
                                       point.z - dir.z);
-          
+
         }
         is_highlighting = true;
         poly_item->select(orig.x, orig.y, orig.z, dir.x, dir.y, dir.z);
@@ -432,7 +432,7 @@ Q_SIGNALS:
   void selected_HL(const std::set<fg_edge_descriptor>&);
   void toogle_insert(const bool);
   void endSelection();
-  void resetIsTreated(); 
+  void resetIsTreated();
   void isCurrentlySelected(Scene_facegraph_item_k_ring_selection*);
   void clearHL();
 
@@ -590,7 +590,7 @@ protected:
         viewer->setFocus();
         return false;
       }
-      
+
       if(!is_lasso_active)
       {
         is_ready_to_paint_select = true;
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Selection_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Selection_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Selection_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Selection_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -79,14 +79,14 @@ class Polyhedron_demo_selection_plugin :
 public:
   QString nameFilters() const override { return "Selection files(*.selection.txt)"; }
   QString name() const override { return "selection_sm_plugin"; }
-  
+
   bool canLoad(QFileInfo) const override {
     Scene_item * item = CGAL::Three::Three::scene()->item(
           CGAL::Three::Three::scene()->mainSelectionIndex());
     Scene_facegraph_item* fg_item = qobject_cast<Scene_facegraph_item*>(item);
     if(fg_item)
       return true;
-    Scene_polyhedron_selection_item* sel_item = 
+    Scene_polyhedron_selection_item* sel_item =
         qobject_cast<Scene_polyhedron_selection_item*>(item);
     if (sel_item)
       return true;
@@ -126,7 +126,7 @@ public:
         items.pop_front();
       return res;
   }
-  
+
   bool applicable(QAction* action) const override {
     if(action == actionSelfIntersection)
       return qobject_cast<Scene_face_graph_item*>(scene->item(scene->mainSelectionIndex()));
@@ -186,8 +186,8 @@ public:
     connect(ui_widget.Inverse_selection_button,  SIGNAL(clicked()), this, SLOT(on_Inverse_selection_button_clicked()));
     connect(ui_widget.Select_isolated_components_button,  SIGNAL(clicked()), this, SLOT(on_Select_isolated_components_button_clicked()));
     connect(ui_widget.Get_minimum_button,  SIGNAL(clicked()), this, SLOT(on_Get_minimum_button_clicked()));
-    connect(ui_widget.Create_selection_item_button,  SIGNAL(clicked()), this, SLOT(on_Create_selection_item_button_clicked()));    
-    connect(ui_widget.Selection_type_combo_box, SIGNAL(currentIndexChanged(int)), 
+    connect(ui_widget.Create_selection_item_button,  SIGNAL(clicked()), this, SLOT(on_Create_selection_item_button_clicked()));
+    connect(ui_widget.Selection_type_combo_box, SIGNAL(currentIndexChanged(int)),
             this, SLOT(on_Selection_type_combo_box_changed(int)));
     connect(ui_widget.lassoCheckBox, &QCheckBox::toggled,
             this, &Polyhedron_demo_selection_plugin::on_LassoCheckBox_changed);
@@ -202,12 +202,12 @@ public:
     ui_widget.Add_to_selection_button->hide();
     ui_widget.Select_all_NTButton->hide();
     QObject* scene = dynamic_cast<QObject*>(scene_interface);
-    if(scene) { 
+    if(scene) {
       connect(scene, SIGNAL(itemAboutToBeDestroyed(CGAL::Three::Scene_item*)), this, SLOT(item_about_to_be_destroyed(CGAL::Three::Scene_item*)));
       connect(scene, SIGNAL(newItem(int)), this, SLOT(new_item_created(int)));
       connect(scene, SIGNAL(selectionChanged(int)), this, SLOT(filter_operations()));
-    } 
-    
+    }
+
     //Fill operations combo box.
     operations_strings = {
       "Create Point Set from Selected Vertices"           ,
@@ -219,9 +219,9 @@ public:
       "Convert from Edge Selection to Facets Selection"        ,
       "Convert from Edge Selection to Point Selection"         ,
       "Convert from Facet Selection to Boundary Edge Selection",
-      "Convert from Facet Selection to Point Selection"        
+      "Convert from Facet Selection to Point Selection"
     };
-    
+
     operations_map[operations_strings[0]] = 0;
     operations_map[operations_strings[1]] = 1;
     operations_map[operations_strings[2]] = 2;
@@ -368,11 +368,11 @@ public Q_SLOTS:
     Scene_polyhedron_selection_item* selection_item = getSelectedItem<Scene_polyhedron_selection_item>();
     if(!selection_item) {
       print_message("Error: there is no selected polyhedron selection item!");
-      return; 
+      return;
     }
     if(ui_widget.tabWidget->currentIndex() == 0)
       selection_item->clear();
-    else //case current tab is Components, then active simplices are edges. 
+    else //case current tab is Components, then active simplices are edges.
     {
       selection_item->selected_edges.clear();
       selection_item->invalidateOpenGLBuffers();
@@ -407,7 +407,7 @@ public Q_SLOTS:
       selection_item = onTheFlyItem();
     if(!selection_item) {
       print_message("Error: there is no selected polyhedron selection item!");
-      return; 
+      return;
     }
 
     boost::optional<std::size_t> minimum =
@@ -423,7 +423,7 @@ public Q_SLOTS:
       selection_item = onTheFlyItem();
     if(!selection_item) {
       print_message("Error: there is no selected polyhedron selection item!");
-      return; 
+      return;
     }
     boost::optional<std::size_t> minimum = selection_item->get_minimum_isolated_component();
     if(minimum) {
@@ -433,13 +433,13 @@ public Q_SLOTS:
   }
   // Create selection item for selected polyhedron item
   void on_Create_selection_item_button_clicked() {
-    
+
     Scene_face_graph_item* poly_item = qobject_cast<Scene_face_graph_item*>(scene->item(scene->mainSelectionIndex()));
     if(!poly_item) {
       print_message("Error: there is no selected "
                     "Surface_mesh "
                     "item!");
-      return; 
+      return;
     }
     if(selection_item_map.find(poly_item) != selection_item_map.end())
       return;
@@ -510,7 +510,7 @@ public Q_SLOTS:
     }
     filter_operations();
   }
-  
+
   void on_Insertion_radio_button_toggled(bool toggle){
     for(Selection_item_map::iterator it = selection_item_map.begin(); it != selection_item_map.end(); ++it) {
       it->second->set_is_insert(toggle);
@@ -573,7 +573,7 @@ public Q_SLOTS:
       std::map<fg_vertex_descriptor, Edge_graph::vertex_descriptor> p2vd;
       std::map<fg_vertex_descriptor, Edge_graph::vertex_descriptor>::iterator it_find;
       bool insert_OK;
-      
+
       Face_graph * poly = selection_item->polyhedron();
       VPmap vpm = get(CGAL::vertex_point,*poly);
       for(Scene_polyhedron_selection_item::Selection_set_edge::iterator begin = selection_item->selected_edges.begin();
@@ -934,7 +934,7 @@ public Q_SLOTS:
     Scene_polyhedron_selection_item* selection_item = getSelectedItem<Scene_polyhedron_selection_item>();
     if(!selection_item) {
       print_message("Error: there is no selected polyhedron selection item!");
-      return; 
+      return;
     }
 
     int steps = ui_widget.Expand_reduce_spin_box->value();
@@ -944,7 +944,7 @@ public Q_SLOTS:
   // To handle empty selection items coming from loader
   void new_item_created(int item_id) {
     typedef Scene_polyhedron_selection_item::Active_handle Active_handle;
-    Scene_polyhedron_selection_item* selection_item = 
+    Scene_polyhedron_selection_item* selection_item =
       qobject_cast<Scene_polyhedron_selection_item*>(scene->item(item_id));
     if(!selection_item) { return; }
 
@@ -1003,7 +1003,7 @@ public Q_SLOTS:
     //  connect(selection_item,SIGNAL(simplicesSelected(CGAL::Three::Scene_item*)), scene_ptr, SLOT(setSelectedItem(CGAL::Three::Scene_item*)));
     connect(selection_item,SIGNAL(isCurrentlySelected(Scene_facegraph_item_k_ring_selection*)), this, SLOT(isCurrentlySelected(Scene_facegraph_item_k_ring_selection*)));
     on_LassoCheckBox_changed(ui_widget.lassoCheckBox->isChecked());
-    
+
     if(!from_plugin){
       ui_widget.selectionOrEuler->setCurrentIndex(0);
     }
@@ -1041,23 +1041,23 @@ public Q_SLOTS:
   }
 void filter_operations()
 {
-  Scene_polyhedron_selection_item* selection_item = 
+  Scene_polyhedron_selection_item* selection_item =
       qobject_cast<Scene_polyhedron_selection_item*>(scene->item(
                                                        scene->mainSelectionIndex()));
-  if (!selection_item) 
+  if (!selection_item)
     return;
   QString current_op = ui_widget.operationsBox->currentText();
   ui_widget.operationsBox->clear();
-  
-  bool has_v(!selection_item->selected_vertices.empty() || 
-             ui_widget.Selection_type_combo_box->currentIndex() == 0), 
-      has_e(!selection_item->selected_edges.empty()|| 
-            ui_widget.Selection_type_combo_box->currentIndex() == 2|| 
-            ui_widget.Selection_type_combo_box->currentIndex() == 4), 
-      has_f(!selection_item->selected_facets.empty()|| 
-            ui_widget.Selection_type_combo_box->currentIndex() == 1|| 
+
+  bool has_v(!selection_item->selected_vertices.empty() ||
+             ui_widget.Selection_type_combo_box->currentIndex() == 0),
+      has_e(!selection_item->selected_edges.empty()||
+            ui_widget.Selection_type_combo_box->currentIndex() == 2||
+            ui_widget.Selection_type_combo_box->currentIndex() == 4),
+      has_f(!selection_item->selected_facets.empty()||
+            ui_widget.Selection_type_combo_box->currentIndex() == 1||
             ui_widget.Selection_type_combo_box->currentIndex() == 3);
-  
+
   if(has_v)
   {
     ui_widget.operationsBox->addItem(operations_strings[0]);
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/PMP/Triangulate_facets_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/PMP/Triangulate_facets_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/PMP/Triangulate_facets_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/PMP/Triangulate_facets_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -8,7 +8,7 @@
 
 #include <CGAL/Polygon_mesh_processing/triangulate_faces.h>
 using namespace CGAL::Three;
-class Polyhedron_demo_triangulate_facets_plugin : 
+class Polyhedron_demo_triangulate_facets_plugin :
   public QObject,
   public Polyhedron_demo_plugin_helper
 {
@@ -28,7 +28,7 @@ public:
     actionTriangulateFacets->setProperty("subMenuName","Polygon Mesh Processing");
     if(actionTriangulateFacets) {
       connect(actionTriangulateFacets, SIGNAL(triggered()),
-              this, SLOT(triangulate())); 
+              this, SLOT(triangulate()));
     }
   };
 
@@ -48,7 +48,7 @@ public Q_SLOTS:
    void triangulate() {
       QApplication::setOverrideCursor(Qt::WaitCursor);
     Q_FOREACH(CGAL::Three::Scene_interface::Item_id index, scene->selectionIndices())  {
-      
+
       Scene_surface_mesh_item* sm_item =
           qobject_cast<Scene_surface_mesh_item*>(scene->item(index));
       SMesh* pMesh = sm_item->polyhedron();
@@ -63,12 +63,12 @@ public Q_SLOTS:
       sm_item->resetColors();
       sm_item->invalidateOpenGLBuffers();
       scene->itemChanged(sm_item);
-    } // end of the loop on the selected items   
+    } // end of the loop on the selected items
 
     // default cursor
     QApplication::restoreOverrideCursor();
   }
-  
+
 private:
   QAction* actionTriangulateFacets;
   Messages_interface* messages;
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Alpha_shape_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Alpha_shape_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Alpha_shape_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Alpha_shape_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -341,7 +341,7 @@ void Scene_alpha_shape_item::draw(CGAL::
 }
 
 void Scene_alpha_shape_item::drawPoints(CGAL::Three::Viewer_interface* viewer) const
-{ 
+{
   if ( getBuffersFilled() &&
        ! getBuffersInit(viewer))
   {
@@ -409,7 +409,7 @@ void Scene_alpha_shape_item::initializeB
   Pc* pc = getPointContainer(0);
   pc->initializeBuffers(viewer);
   pc->setFlatDataSize(vertices.size());
- 
+
   Tc* tc = getTriangleContainer(0);
   tc->initializeBuffers(viewer);
   tc->setIdxSize(indices.size());
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Merge_point_sets_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Merge_point_sets_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Merge_point_sets_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Merge_point_sets_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -22,7 +22,7 @@ class Polyhedron_demo_merge_point_sets_p
 
 private:
   QAction* actionMergePointSets;
-  
+
 public:
   void init(QMainWindow* mainWindow, CGAL::Three::Scene_interface* scene_interface, Messages_interface*) {
     scene = scene_interface;
@@ -34,11 +34,11 @@ public:
   QList<QAction*> actions() const {
     return QList<QAction*>() << actionMergePointSets;
   }
-  
+
   bool applicable(QAction*) const {
     if (scene->selectionIndices().size() < 2)
       return false;
-    
+
     Q_FOREACH(int index, scene->selectionIndices())
       {
         if ( qobject_cast<Scene_points_with_normal_item*>(scene->item(index)) )
@@ -76,7 +76,7 @@ void Polyhedron_demo_merge_point_sets_pl
           mainSelectionItem->setName(tr("%1 + %2").arg(mainSelectionItem->name()).arg(item->name()));
         }
     }
-  
+
 
   mainSelectionItem->invalidateOpenGLBuffers();
   scene->itemChanged(mainSelectionIndex);
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_average_spacing_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_average_spacing_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_average_spacing_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_average_spacing_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -57,7 +57,7 @@ class Polyhedron_demo_point_set_average_
 
 private:
   QAction* actionAverageSpacing;
-  
+
 public:
   void init(QMainWindow* mainWindow, CGAL::Three::Scene_interface* scene_interface, Messages_interface*) {
     scene = scene_interface;
@@ -71,7 +71,7 @@ public:
   QList<QAction*> actions() const {
     return QList<QAction*>() << actionAverageSpacing;
   }
-  
+
   //! Applicable if the currently selected item is a
   //! points_with_normal_item.
   bool applicable(QAction*) const {
@@ -108,9 +108,9 @@ void Polyhedron_demo_point_set_average_s
                                1000, // max
                                1, // step
                                &ok);
-    if(!ok) 
+    if(!ok)
       return;
-    
+
     QApplication::setOverrideCursor(Qt::BusyCursor);
     QApplication::processEvents();
     CGAL::Real_timer task_timer; task_timer.start();
@@ -119,15 +119,15 @@ void Polyhedron_demo_point_set_average_s
     // Computes average spacing
     Compute_average_spacing_functor functor (points, nb_neighbors);
     run_with_qprogressdialog (functor, "Computing average spacing...", mw);
-    
+
     double average_spacing = *functor.result;
 
     // Print result
     Kernel::Sphere_3 bsphere = points->bounding_sphere();
     double radius = std::sqrt(bsphere.squared_radius());
     std::size_t memory = CGAL::Memory_sizer().virtual_size();
-    std::cerr << "Average spacing = " << average_spacing 
-              << " = " << average_spacing/radius << " * point set radius (" 
+    std::cerr << "Average spacing = " << average_spacing
+              << " = " << average_spacing/radius << " * point set radius ("
               << task_timer.time() << " seconds, "
               << (memory>>20) << " Mb allocated)"
               << std::endl;
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_bilateral_smoothing_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_bilateral_smoothing_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_bilateral_smoothing_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_bilateral_smoothing_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -60,7 +60,7 @@ class Polyhedron_demo_point_set_bilatera
   Q_OBJECT
   Q_INTERFACES(CGAL::Three::Polyhedron_demo_plugin_interface)
   Q_PLUGIN_METADATA(IID "com.geometryfactory.PolyhedronDemo.PluginInterface/1.0")
-  
+
   QAction* actionBilateralSmoothing;
 
 public:
@@ -128,9 +128,9 @@ void Polyhedron_demo_point_set_bilateral
       return;
 
     std::cerr << "Bilateral smoothing using "
-	      << dialog.iterations () << " iteration(s), neighborhood size of "
-	      << dialog.neighborhood_size () << " and sharpness angle of "
-	      << dialog.sharpness_angle () << "... ";
+              << dialog.iterations () << " iteration(s), neighborhood size of "
+              << dialog.neighborhood_size () << " and sharpness angle of "
+              << dialog.sharpness_angle () << "... ";
     QApplication::setOverrideCursor(Qt::BusyCursor);
 
     CGAL::Timer task_timer; task_timer.start();
@@ -149,11 +149,11 @@ void Polyhedron_demo_point_set_bilateral
         if (std::isnan(error)) // NaN return means algorithm was interrupted
           break;
       }
-    
+
     std::size_t memory = CGAL::Memory_sizer().virtual_size();
     std::cerr << task_timer.time() << " seconds, "
-	      << (memory>>20) << " Mb allocated)"
-	      << std::endl;
+              << (memory>>20) << " Mb allocated)"
+              << std::endl;
 
     // Updates scene
     item->invalidateOpenGLBuffers();
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_normal_estimation_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_normal_estimation_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_normal_estimation_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_normal_estimation_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -79,7 +79,7 @@ struct Vector_to_pmap
   typedef Point_set::Index                     key_type;
   typedef bool                                 value_type;
   typedef value_type                           reference;
-  
+
   std::vector<bool>* vec;
 
   Vector_to_pmap (std::vector<bool>* vec = NULL) : vec (vec) { }
@@ -187,7 +187,7 @@ void Polyhedron_demo_point_set_normal_es
     Point_set* points = item->point_set();
     if(points == NULL)
         return;
-  
+
     for(Point_set::iterator it = points->begin_or_selection_begin(); it != points->end(); ++it){
       points->normal(*it) = -1 * points->normal(*it);
     }
@@ -216,7 +216,7 @@ void Polyhedron_demo_point_set_normal_es
     Point_set_demo_normal_estimation_dialog dialog;
     if(!dialog.exec())
       return;
-      
+
     QApplication::setOverrideCursor(Qt::BusyCursor);
     QApplication::processEvents();
 
@@ -325,10 +325,10 @@ void Polyhedron_demo_point_set_normal_es
       orient_selection = dialog.add<QRadioButton> ("Orient selection");
       orient_selection->setChecked(false);
     }
-    
+
     if(!dialog.exec())
       return;
-      
+
     QApplication::setOverrideCursor(Qt::BusyCursor);
     QApplication::processEvents();
 
@@ -349,7 +349,7 @@ void Polyhedron_demo_point_set_normal_es
 
       for (Point_set::iterator it = points->first_selected(); it != points->end(); ++ it)
         constrained_map[*it] = true;
-              
+
       first_unoriented_point =
         CGAL::mst_orient_normals(*points,
                                  std::size_t(neighborhood->value()),
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_outliers_removal_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_outliers_removal_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_outliers_removal_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_outliers_removal_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -39,7 +39,7 @@ struct Outlier_removal_functor
   void operator()()
   {
     // Computes outliers
-    *result = 
+    *result =
       CGAL::remove_outliers(*points,
                             nb_neighbors,
                             points->parameters().
@@ -70,7 +70,7 @@ public:
     actionOutlierRemoval->setObjectName("actionOutlierRemoval");
     autoConnectActions();
   }
-  
+
   //! Applicate for Point_sets with normals.
   bool applicable(QAction*) const {
     return qobject_cast<Scene_points_with_normal_item*>(scene->item(scene->mainSelectionIndex()));
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_selection_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_selection_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_selection_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_selection_plugin.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -44,10 +44,10 @@
 #include <tbb/parallel_for.h>
 #include <mutex>
 #include <tbb/blocked_range.h>
-#include <tbb/scalable_allocator.h>  
+#include <tbb/scalable_allocator.h>
 #endif // CGAL_LINKED_WITH_TBB
 
-// Class for visualizing selection 
+// Class for visualizing selection
 // provides mouse selection functionality
 using namespace CGAL::Three;
 
@@ -73,14 +73,14 @@ class Q_DECL_EXPORT Scene_point_set_sele
   typedef std::vector<Point_2> Polyline_2;
   typedef std::vector<Polyline_2> Polylines;
   typedef Scene_item::Bbox Bbox;
-  
+
   bool rectangle;
   std::vector<Point_2> contour_2d;
   Polylines* polyline;
   Scene_item::Bbox point_set_bbox;
   CGAL::Bbox_2 domain_rectangle;
   Polygon_2 domain_freeform;
-  
+
 public:
 
   Scene_point_set_selection_visualizer(bool rectangle, const Bbox& point_set_bbox)
@@ -121,17 +121,17 @@ public:
 
   Polyline_2& poly() const
   { return polyline->front(); }
-  
+
   bool update_polyline () const
   {
     if (contour_2d.size() < 2 ||
         (!(poly().empty()) && contour_2d.back () == poly().back()))
       return false;
-    
+
     if (rectangle)
       {
-	poly().clear();
-	
+        poly().clear();
+
         poly().push_back ( Point_2 (domain_rectangle.xmin(),
                                 domain_rectangle.ymin()));
         poly().push_back ( Point_2 (domain_rectangle.xmax(),
@@ -147,26 +147,26 @@ public:
     else
       {
         if (!(poly().empty()) && contour_2d.back () == poly().back())
-	  return false;
+          return false;
 
-	poly().clear();
+        poly().clear();
 
-	for (unsigned int i = 0; i < contour_2d.size (); ++ i)
+        for (unsigned int i = 0; i < contour_2d.size (); ++ i)
           poly().push_back (contour_2d[i]);
       }
     return true;
   }
 
-  
+
   void sample_mouse_path(QImage& image)
   {
     CGAL::QGLViewer* viewer = getActiveViewer();
     const QPoint& p = viewer->mapFromGlobal(QCursor::pos());
-    
+
     if (rectangle && contour_2d.size () == 2)
       {
-	contour_2d[1] = Point_2 (p.x (), p.y ());
-	domain_rectangle = CGAL::bbox_2 (contour_2d.begin (), contour_2d.end ());
+        contour_2d[1] = Point_2 (p.x (), p.y ());
+        domain_rectangle = CGAL::bbox_2 (contour_2d.begin (), contour_2d.end ());
       }
     else
       contour_2d.push_back (Point_2 (p.x (), p.y ()));
@@ -181,7 +181,7 @@ public:
   void apply_path()
   {
     update_polyline ();
-    domain_rectangle = CGAL::bbox_2 (contour_2d.begin (), contour_2d.end ());    
+    domain_rectangle = CGAL::bbox_2 (contour_2d.begin (), contour_2d.end ());
     if (!rectangle)
       domain_freeform = Polygon_2 (contour_2d.begin (), contour_2d.end ());
   }
@@ -189,12 +189,12 @@ public:
   bool is_selected (CGAL::qglviewer::Vec& p)
   {
     if (domain_rectangle.xmin () < p.x &&
-	p.x < domain_rectangle.xmax () &&
-	domain_rectangle.ymin () < p.y &&
-	p.y < domain_rectangle.ymax ())
+        p.x < domain_rectangle.xmax () &&
+        domain_rectangle.ymin () < p.y &&
+        p.y < domain_rectangle.ymax ())
       {
-	if (rectangle)
-	  return true;
+        if (rectangle)
+          return true;
 /*
  * domain_freeform.has_on_bounded_side() requires the polygon to be simple, which is never the case.
  * However, it works very well even if the polygon is not simple, so we use this instead to avoid
@@ -224,9 +224,9 @@ class Selection_test {
   QVector4D* clipbox;
   const Ui::PointSetSelection& ui_widget;
 
-  
+
 public:
-  
+
   Selection_test(Point_set* point_set,
                  bool* selected,
                  CGAL::qglviewer::Camera* camera,
@@ -300,7 +300,7 @@ public:
         selected[idx] = (already_selected && !now_selected);
     }
   }
-  
+
   bool is_inside_clipbox (const Kernel::Point_3& p) const
   {
     if(!static_cast<CGAL::Three::Viewer_interface*>(CGAL::QGLViewer::QGLViewerPool().first())->isClipping())
@@ -315,7 +315,7 @@ public:
              clipbox[4][0]*x+clipbox[4][1]*y+clipbox[4][2]*z+clipbox[4][3]>0 ||
              clipbox[5][0]*x+clipbox[5][1]*y+clipbox[5][2]*z+clipbox[5][3]>0);
   }
-  
+
 };
 
 
@@ -332,7 +332,7 @@ class Neighborhood
 
   Scene_points_with_normal_item* points_item;
   boost::shared_ptr<Tree> tree;
-  
+
 public:
 
   Neighborhood () : points_item (NULL)
@@ -349,7 +349,7 @@ public:
     if (this->points_item != points_item)
     {
       this->points_item = points_item;
-      
+
       tree = boost::make_shared<Tree> (points_item->point_set()->begin(),
                                        points_item->point_set()->end(),
                                        Tree::Splitter(),
@@ -365,7 +365,7 @@ public:
       return;
 
     Distance tr_dist(points_item->point_set()->point_map());
-    
+
     std::vector<bool> selected_bitmap (points_item->point_set()->size(), false);
 
     for (Point_set::iterator it = points_item->point_set()->first_selected();
@@ -393,7 +393,7 @@ public:
     points_item->invertSelection();
     expand();
     points_item->invertSelection();
-    
+
     points_item->invalidateOpenGLBuffers();
     points_item->itemChanged();
   }
@@ -404,16 +404,16 @@ public:
     double cos_threshold = std::cos (CGAL_PI * normal_threshold / 180.);
 
     Distance tr_dist(points_item->point_set()->point_map());
- 
+
     std::set<Point_set::Index> index_container;
     std::vector<Point_set::Index> index_container_former_ring;
     std::set<Point_set::Index> index_container_current_ring;
-    
-    int conti = 0; 	//for accelerate least_square fitting 
+
+    int conti = 0;         //for accelerate least_square fitting
 
     std::vector<Kernel::Point_3> init_points;
     init_points.reserve (6);
-          
+
     Neighbor_search search(*tree, query, 6, 0, true, tr_dist);
     for (Neighbor_search::iterator nit = search.begin(); nit != search.end(); ++ nit)
     {
@@ -427,12 +427,12 @@ public:
                                          init_points.end(),
                                          optimal_plane,
                                          CGAL::Dimension_tag<0>());
-    
+
     Kernel::Vector_3 plane_normal = optimal_plane.orthogonal_vector();
     plane_normal = plane_normal / std::sqrt(plane_normal * plane_normal);
 
     std::vector<Point_set::Index> neighbors;
-    
+
     bool propagation = false;
     do
     {
@@ -448,11 +448,11 @@ public:
         Sphere fs (points_item->point_set()->point(point_index),
                    cluster_epsilon, 0, tree->traits());
         tree->search (std::back_inserter (neighbors), fs);
-                
+
         for (std::size_t nb = 0; nb < neighbors.size(); ++ nb)
         {
           Point_set::Index neighbor_index = neighbors[nb];
-                    
+
           if (index_container.find(neighbor_index) != index_container.end())
             continue;
 
@@ -469,7 +469,7 @@ public:
             if (std::fabs (normal * plane_normal) < cos_threshold)
               continue;
           }
-          
+
           index_container.insert (neighbor_index);
           propagation = true;
           index_container_current_ring.insert(neighbor_index);
@@ -489,7 +489,7 @@ public:
       conti++;
       if (index_container.size() < 5)
         continue;
-          
+
       if ((conti < 10) || (conti<50 && conti % 10 == 0) || (conti>50 && conti % 500 == 0))
       {
         std::list<Kernel::Point_3> listp;
@@ -512,7 +512,7 @@ public:
     std::vector<Point_set::Index> unselected, selected;
 
     for(Point_set::iterator it = points_item->point_set()->begin ();
-	it != points_item->point_set()->end(); ++ it)
+        it != points_item->point_set()->end(); ++ it)
       if (index_container.find (*it) != index_container.end())
         selected.push_back (*it);
       else
@@ -525,12 +525,12 @@ public:
 
     if (selected.empty ())
       {
-	points_item->point_set()->unselect_all();
+        points_item->point_set()->unselect_all();
       }
     else
       {
-	points_item->point_set()->set_first_selected
-	  (points_item->point_set()->begin() + unselected.size());
+        points_item->point_set()->set_first_selected
+          (points_item->point_set()->begin() + unselected.size());
       }
     points_item->invalidateOpenGLBuffers();
     points_item->itemChanged();
@@ -547,7 +547,7 @@ class Polyhedron_demo_point_set_selectio
     Q_INTERFACES(CGAL::Three::Polyhedron_demo_plugin_interface)
     Q_PLUGIN_METADATA(IID "com.geometryfactory.PolyhedronDemo.PluginInterface/1.0")
 public:
-  bool applicable(QAction*) const { 
+  bool applicable(QAction*) const {
       return qobject_cast<Scene_points_with_normal_item*>(scene->item(scene->mainSelectionIndex()));
   }
   void print_message(QString message) { CGAL::Three::Three::information(message); }
@@ -571,7 +571,7 @@ public:
     addDockWidget(dock_widget);
 
     connect(ui_widget.region, SIGNAL(toggled(bool)), this, SLOT(set_region_parameters(bool)));
-    
+
     // Fill actions of menu
     ui_widget.menu->setMenu (new QMenu("Point Set Selection Menu", ui_widget.menu));
     QAction* select_all = ui_widget.menu->menu()->addAction ("Select all points");
@@ -590,7 +590,7 @@ public:
     connect(add_box, SIGNAL(triggered()), this, SLOT(select_points()));
     add_box->setEnabled(false);
 
-    connect(ui_widget.box, SIGNAL(toggled(bool)), 
+    connect(ui_widget.box, SIGNAL(toggled(bool)),
             this, SLOT(on_box_toggled(bool)));
     connect(ui_widget.helpButton, &QAbstractButton::clicked,
     [this](){
@@ -604,7 +604,7 @@ public:
     edit_box = NULL;
     shift_pressing = false;
     ctrl_pressing = false;
-    
+
     Q_FOREACH(CGAL::QGLViewer* viewer, CGAL::QGLViewer::QGLViewerPool())
     {
       viewer->installEventFilter(this);
@@ -626,13 +626,13 @@ protected:
     static QImage background;
     if (dock_widget->isHidden() || !(dock_widget->isActiveWindow()) || ui_widget.box->isChecked())
       return false;
-    
+
     Scene_points_with_normal_item* point_set_item
       = qobject_cast<Scene_points_with_normal_item*>(scene->item(scene->mainSelectionIndex()));
     if(!point_set_item) {
-      return false; 
+      return false;
     }
-      
+
     if(event->type() == QEvent::KeyPress || event->type() == QEvent::KeyRelease)
     {
       QKeyEvent *keyEvent = static_cast<QKeyEvent*>(event);
@@ -648,11 +648,11 @@ protected:
     if(shift_pressing && event->type() == QEvent::MouseButtonPress)
       {
       background = static_cast<CGAL::Three::Viewer_interface*>(*CGAL::QGLViewer::QGLViewerPool().begin())->grabFramebuffer();
-	QMouseEvent *mouseEvent = static_cast<QMouseEvent*>(event);
+        QMouseEvent *mouseEvent = static_cast<QMouseEvent*>(event);
         Viewer_interface* viewer = getActiveViewer();
         background = viewer->grabFramebuffer();
-	// Start selection
-	if (mouseEvent->button() == Qt::LeftButton)
+        // Start selection
+        if (mouseEvent->button() == Qt::LeftButton)
         {
           // Region growing
           if (ui_widget.region->isChecked())
@@ -661,7 +661,7 @@ protected:
             bool found = false;
             QPoint pixel(mouseEvent->pos().x(),
                          viewer->camera()->screenHeight() - 1 - mouseEvent->pos().y());
-            
+
             CGAL::qglviewer::Vec point = viewer->camera()->pointUnderPixel(mouseEvent->pos(),
                                                                      found);
             if(!found)
@@ -671,22 +671,22 @@ protected:
             }
             const CGAL::qglviewer::Vec offset = Three::mainViewer()->offset();
             point = point - offset;
-            
+
             neighborhood.point_set (point_set_item).grow_region
               (Kernel::Point_3 (point.x, point.y, point.z),
                rg_epsilon, rg_cluster_epsilon, rg_normal_threshold);
-            
+
             QApplication::restoreOverrideCursor();
             return true;
           }
           // Start standard selection
           else if (!visualizer)
           {
-	    QApplication::setOverrideCursor(Qt::CrossCursor);
+            QApplication::setOverrideCursor(Qt::CrossCursor);
             CGAL::QGLViewer* viewer = getActiveViewer();
             if (viewer->camera()->frame()->isSpinning())
               viewer->camera()->frame()->stopSpinning();
-	
+
             visualizer = new Selection_visualizer(ui_widget.rectangle->isChecked(),
                                                                   point_set_item->bbox());
 
@@ -694,13 +694,13 @@ protected:
             return true;
           }
         }
-	// Cancel selection
-	else if (mouseEvent->button() == Qt::RightButton && visualizer)
-	  {
-	    visualizer = NULL;
-	    QApplication::restoreOverrideCursor();
+        // Cancel selection
+        else if (mouseEvent->button() == Qt::RightButton && visualizer)
+          {
+            visualizer = NULL;
+            QApplication::restoreOverrideCursor();
             return true;
-	  }
+          }
       }
       // Expand/reduce selection
     else if (shift_pressing && event->type() == QEvent::Wheel)
@@ -717,18 +717,18 @@ protected:
     // End selection
     else if (event->type() == QEvent::MouseButtonRelease && visualizer)
       {
-	visualizer->apply_path();
-	select_points();
-	visualizer = NULL;
-	QApplication::restoreOverrideCursor();
+        visualizer->apply_path();
+        select_points();
+        visualizer = NULL;
+        QApplication::restoreOverrideCursor();
         getActiveViewer()->set2DSelectionMode(false);
-	return true;
+        return true;
       }
     // Update selection
     else if (event->type() == QEvent::MouseMove && visualizer)
       {
         visualizer->sample_mouse_path(background);
-	return true;
+        return true;
       }
     //Position request
     else if(ctrl_pressing && event->type() == QEvent::MouseButtonPress)
@@ -754,7 +754,7 @@ protected:
 
       const CGAL::qglviewer::Vec offset = Three::mainViewer()->offset();
       point = point - offset;
-      
+
       Neighbor_search search(tree, Point(point.x, point.y, point.z), 1);
       Point res = search.begin()->first;
       CGAL::Three::Three::information(QString("Selected point : (%1, %2, %3)").arg(res.x()).arg(res.y()).arg(res.z()));
@@ -764,13 +764,13 @@ protected:
 
 protected Q_SLOTS:
 
-  
+
   void connectNewViewer(QObject* o)
   {
     if(edit_box)
       o->installEventFilter(edit_box);
     o->installEventFilter(this);
-    
+
   }
 
   void select_points()
@@ -778,15 +778,15 @@ protected Q_SLOTS:
     Scene_points_with_normal_item* point_set_item = getSelectedItem<Scene_points_with_normal_item>();
     if(!point_set_item)
       {
-	print_message("Error: no point set selected!");
-	return; 
+        print_message("Error: no point set selected!");
+        return;
       }
 
     Point_set* points = point_set_item->point_set();
 
     if (ui_widget.new_selection->isChecked())
       points->unselect_all();
-    
+
     const CGAL::qglviewer::Vec offset = Three::mainViewer()->offset();
     CGAL::QGLViewer* viewer = getActiveViewer();
 
@@ -810,7 +810,7 @@ protected Q_SLOTS:
       (std::partition (points->begin(), points->end(),
                        [&] (const Point_set::Index& idx) -> bool
                        { return !selected_bitmap[idx]; }));
-    
+
     point_set_item->invalidateOpenGLBuffers();
     point_set_item->itemChanged();
   }
@@ -827,7 +827,7 @@ protected Q_SLOTS:
     if (rg_epsilon < 0.)
       rg_epsilon = (std::max)(0.00001, 0.005 * scene->len_diagonal());
     epsilon->setValue (rg_epsilon);
-    
+
     QDoubleSpinBox* cluster_epsilon = dialog.add<QDoubleSpinBox> ("Cluster epsilon: ");
     cluster_epsilon->setRange (0.00001, 1000000.);
     cluster_epsilon->setDecimals (5);
@@ -839,7 +839,7 @@ protected Q_SLOTS:
     normal_threshold->setRange (0, 90);
     normal_threshold->setSuffix (QString("°"));
     normal_threshold->setValue (rg_normal_threshold);
-    
+
     if (dialog.exec())
     {
       rg_epsilon = epsilon->value();
@@ -847,35 +847,35 @@ protected Q_SLOTS:
       rg_normal_threshold = normal_threshold->value();
     }
   }
-  
+
 
 
 public Q_SLOTS:
-  void selection_action() { 
+  void selection_action() {
     dock_widget->show();
     dock_widget->raise();
   }
-  
+
   // Select all
   void on_Select_all_button_clicked() {
     Scene_points_with_normal_item* point_set_item = getSelectedItem<Scene_points_with_normal_item>();
     if(!point_set_item)
       {
-	print_message("Error: no point set selected!");
-	return; 
+        print_message("Error: no point set selected!");
+        return;
       }
     QApplication::setOverrideCursor(Qt::WaitCursor);
     point_set_item->selectAll();
     QApplication::restoreOverrideCursor();
   }
-  
+
   // Clear selection
   void on_Clear_button_clicked() {
     Scene_points_with_normal_item* point_set_item
       = qobject_cast<Scene_points_with_normal_item*>(scene->item(scene->mainSelectionIndex()));
     if(!point_set_item) {
       print_message("Error: no point set selected!");
-      return; 
+      return;
     }
     QApplication::setOverrideCursor(Qt::WaitCursor);
     point_set_item->resetSelection();
@@ -887,7 +887,7 @@ public Q_SLOTS:
       = qobject_cast<Scene_points_with_normal_item*>(scene->item(scene->mainSelectionIndex()));
     if(!point_set_item) {
       print_message("Error: no point set selected!");
-      return; 
+      return;
     }
     QApplication::setOverrideCursor(Qt::WaitCursor);
     point_set_item->deleteSelection();
@@ -899,7 +899,7 @@ public Q_SLOTS:
       = qobject_cast<Scene_points_with_normal_item*>(scene->item(scene->mainSelectionIndex()));
     if(!point_set_item) {
       print_message("Error: no point set selected!");
-      return; 
+      return;
     }
     QApplication::setOverrideCursor(Qt::WaitCursor);
     point_set_item->invertSelection();
@@ -911,7 +911,7 @@ public Q_SLOTS:
       = qobject_cast<Scene_points_with_normal_item*>(scene->item(scene->mainSelectionIndex()));
     if(!point_set_item) {
       print_message("Error: no point set selected!");
-      return; 
+      return;
     }
     if(point_set_item->isSelectionEmpty ()) {
       print_message("Error: there is no selected point in point set item!");
@@ -923,11 +923,11 @@ public Q_SLOTS:
     new_item->point_set()->check_colors();
 
     new_item->setName(QString("%1 (selected points)").arg(point_set_item->name()));
-    
+
     new_item->setColor(point_set_item->color());
     new_item->setRenderingMode(point_set_item->renderingMode());
     new_item->setVisible(point_set_item->visible());
-    
+
     std::cerr << point_set_item->point_set()->info() << std::endl;
     std::cerr << new_item->point_set()->info() << std::endl;
 
@@ -985,7 +985,7 @@ private:
 
   QDockWidget* dock_widget;
   QAction* add_box;
-  
+
   Ui::PointSetSelection ui_widget;
   Selection_visualizer* visualizer;
   Neighborhood neighborhood;
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_shape_detection_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_shape_detection_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_shape_detection_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_shape_detection_plugin.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -46,7 +46,7 @@ struct Detect_shapes_functor
 {
   Shape_detection& shape_detection;
   typename Shape_detection::Parameters& op;
-  
+
   Detect_shapes_functor (Shape_detection& shape_detection,
                          typename Shape_detection::Parameters& op)
     : shape_detection (shape_detection), op (op)
@@ -88,10 +88,10 @@ public:
   double normal_tolerance() const { return m_normal_tolerance_field->value(); }
   double search_probability() const { return m_probability_field->value(); }
   double gridCellSize() const { return 1.0; }
-  bool detect_plane() const { return planeCB->isChecked(); } 
-  bool detect_sphere() const { return sphereCB->isChecked(); } 
-  bool detect_cylinder() const { return cylinderCB->isChecked(); } 
-  bool detect_torus() const { return torusCB->isChecked(); } 
+  bool detect_plane() const { return planeCB->isChecked(); }
+  bool detect_sphere() const { return sphereCB->isChecked(); }
+  bool detect_cylinder() const { return cylinderCB->isChecked(); }
+  bool detect_torus() const { return torusCB->isChecked(); }
   bool detect_cone() const { return coneCB->isChecked(); }
   bool add_property() const { return m_add_property->isChecked(); }
   bool generate_colored_point_set() const { return m_one_colored_point_set->isChecked(); }
@@ -115,12 +115,12 @@ class Polyhedron_demo_point_set_shape_de
   QAction* actionDetect;
   QAction* actionEstimateParameters;
   QAction* actionDetectShapesSM;
-  
+
   typedef Point_set_3<Kernel>::Point_map PointPMap;
   typedef Point_set_3<Kernel>::Vector_map NormalPMap;
 
   typedef CGAL::Shape_detection::Efficient_RANSAC_traits<Epic_kernel, Point_set, PointPMap, NormalPMap> Traits;
-  
+
 public:
   void init(QMainWindow* mainWindow, CGAL::Three::Scene_interface* scene_interface, Messages_interface*) {
     scene = scene_interface;
@@ -135,12 +135,12 @@ public:
   }
 
   bool applicable(QAction* action) const {
-    
+
     Scene_points_with_normal_item* item =
       qobject_cast<Scene_points_with_normal_item*>(scene->item(scene->mainSelectionIndex()));
     Scene_surface_mesh_item* sm_item =
       qobject_cast<Scene_surface_mesh_item*>(scene->item(scene->mainSelectionIndex()));
-    
+
     if (action->objectName() == "actionDetectShapesSM") {
       if (sm_item)
         return true;
@@ -158,7 +158,7 @@ public:
     void on_actionDetect_triggered();
     void on_actionEstimateParameters_triggered();
     void on_actionDetectShapesSM_triggered();
-  
+
 private:
 
   typedef Kernel::Plane_3 Plane_3;
@@ -179,9 +179,9 @@ private:
 
     using Face_range = typename SMesh::Face_range;
 
-    using Neighbor_query = 
+    using Neighbor_query =
     CGAL::Shape_detection::Polygon_mesh::One_ring_neighbor_query<SMesh>;
-    using Region_type = 
+    using Region_type =
     CGAL::Shape_detection::Polygon_mesh::Least_squares_plane_fit_region<Kernel, SMesh>;
 
     using Vertex_to_point_map = typename Region_type::Vertex_to_point_map;
@@ -193,29 +193,29 @@ private:
     const Face_range face_range = faces(mesh);
 
     // Set parameters.
-    const double max_distance_to_plane = 
+    const double max_distance_to_plane =
     dialog.epsilon();
-    const double max_accepted_angle = 
+    const double max_accepted_angle =
     (std::acos(dialog.normal_tolerance()) * 180.0) / CGAL_PI;
-    const std::size_t min_region_size = 
+    const std::size_t min_region_size =
     dialog.min_points();
 
     // Region growing.
     Neighbor_query neighbor_query(mesh);
     const Vertex_to_point_map vertex_to_point_map(get(CGAL::vertex_point, mesh));
     Region_type region_type(
-      mesh, 
-      max_distance_to_plane, max_accepted_angle, min_region_size, 
+      mesh,
+      max_distance_to_plane, max_accepted_angle, min_region_size,
       vertex_to_point_map);
-    
+
     Region_growing region_growing(
       face_range, neighbor_query, region_type);
 
     std::vector< std::vector<std::size_t> > regions;
     region_growing.detect(std::back_inserter(regions));
 
-    std::cerr << "* " << regions.size() << 
-    " regions have been found" 
+    std::cerr << "* " << regions.size() <<
+    " regions have been found"
     << std::endl;
 
     // Output result as a new colored item.
@@ -234,7 +234,7 @@ private:
     for (std::size_t i = 0; i < regions.size(); ++i) {
       for (const std::size_t idx : regions[i]) {
         const auto fit = fr.begin() + idx;
-        fg.property_map<face_descriptor, int>("f:patch_id").first[*fit] = 
+        fg.property_map<face_descriptor, int>("f:patch_id").first[*fit] =
         static_cast<int>(i);
       }
       CGAL::Random rnd(static_cast<unsigned int>(i));
@@ -255,29 +255,29 @@ private:
     using Point_map = typename Point_set::Point_map;
     using Normal_map = typename Point_set::Vector_map;
 
-    using Neighbor_query = 
+    using Neighbor_query =
     CGAL::Shape_detection::Point_set::Sphere_neighbor_query<Kernel, Point_set, Point_map>;
-    using Region_type = 
+    using Region_type =
     CGAL::Shape_detection::Point_set::Least_squares_plane_fit_region<Kernel, Point_set, Point_map, Normal_map>;
-    using Region_growing = 
+    using Region_growing =
     CGAL::Shape_detection::Region_growing<Point_set, Neighbor_query, Region_type>;
 
     // Set parameters.
-    const double search_sphere_radius = 
+    const double search_sphere_radius =
     dialog.cluster_epsilon();
-    const double max_distance_to_plane = 
+    const double max_distance_to_plane =
     dialog.epsilon();
-    const double max_accepted_angle = 
+    const double max_accepted_angle =
     (std::acos(dialog.normal_tolerance()) * 180.0) / CGAL_PI;
-    const std::size_t min_region_size = 
+    const std::size_t min_region_size =
     dialog.min_points();
 
     // Get a point set.
     CGAL::Random rand(static_cast<unsigned int>(time(0)));
     Point_set* points = item->point_set();
-    
+
     scene->setSelectedItem(-1);
-    Scene_points_with_normal_item *colored_item = 
+    Scene_points_with_normal_item *colored_item =
     new Scene_points_with_normal_item;
 
     colored_item->setName(QString("%1 (region growing)").arg(item->name()));
@@ -290,7 +290,7 @@ private:
       scene->addItem(colored_item);
     }
     std::string& comments = item->comments();
-    
+
     Point_set::Property_map<int> shape_id;
     if (dialog.add_property()) {
       bool added = false;
@@ -302,13 +302,13 @@ private:
 
       // Remove previously detected shapes from comments.
       std::string new_comment;
-      
+
       std::istringstream stream(comments);
       std::string line;
       while (getline(stream, line)) {
         std::string tag;
-        std::stringstream iss(line); 
-        
+        std::stringstream iss(line);
+
         if (iss >> tag && tag == "shape")
           continue;
         new_comment += line + "\n";
@@ -320,12 +320,12 @@ private:
 
     // Region growing set up.
     Neighbor_query neighbor_query(
-      *points, 
-      search_sphere_radius, 
+      *points,
+      search_sphere_radius,
       points->point_map());
-    
+
     Region_type region_type(
-      *points, 
+      *points,
       max_distance_to_plane, max_accepted_angle, min_region_size,
       points->point_map(), points->normal_map());
 
@@ -338,15 +338,15 @@ private:
       groups[0] = new Scene_group_item("Planes");
       groups[0]->setRenderingMode(Points);
     }
-    
+
     // The actual shape detection.
     CGAL::Real_timer t;
     t.start();
     std::vector< std::vector<std::size_t> > regions;
     region_growing.detect(std::back_inserter(regions));
     t.stop();
-    
-    std::cout << regions.size() << 
+
+    std::cout << regions.size() <<
       " shapes found in " << t.time() << " second(s)" << std::endl;
 
     std::vector<Plane_3> planes;
@@ -354,7 +354,7 @@ private:
       *points, points->point_map(), regions, planes);
 
     if (dialog.regularize()) {
-      
+
       std::cerr << "Regularization of planes... " << std::endl;
       CGAL::regularize_planes(
         *points,
@@ -363,13 +363,13 @@ private:
         CGAL::Identity_property_map<Plane_3>(),
         CGAL::Shape_detection::RG::Point_to_shape_index_map(*points, regions),
         true, true, true, true,
-        max_accepted_angle, 
+        max_accepted_angle,
         max_distance_to_plane);
 
       std::cerr << "done" << std::endl;
     }
     std::map<Point_3, QColor> color_map;
-    
+
     int index = 0;
     for (const auto& plane : planes) {
 
@@ -379,15 +379,15 @@ private:
         oss << " plane " << plane << std::endl;
         comments += oss.str();
       }
-      Scene_points_with_normal_item *point_item = 
+      Scene_points_with_normal_item *point_item =
       new Scene_points_with_normal_item;
-      
+
       for (const std::size_t idx : regions[index]) {
         point_item->point_set()->insert(points->point(*(points->begin() + idx)));
         if (dialog.add_property())
           shape_id[*(points->begin() + idx)] = index;
       }
-      
+
       unsigned char r, g, b;
       r = static_cast<unsigned char>(64 + rand.get_int(0, 192));
       g = static_cast<unsigned char>(64 + rand.get_int(0, 192));
@@ -404,12 +404,12 @@ private:
         }
         colored_item->invalidateOpenGLBuffers();
       }
-      
-      // Providing a useful name consisting of the order of detection, 
+
+      // Providing a useful name consisting of the order of detection,
       // name of type and number of inliers.
       std::stringstream ss;
       ss << item->name().toStdString() << "_plane_";
-          
+
       Vector_3 plane_normal = plane.orthogonal_vector();
       const double normal_length = CGAL::sqrt(plane_normal.squared_length());
       CGAL_precondition(normal_length > 0.0);
@@ -417,7 +417,7 @@ private:
 
       Kernel::Point_3 ref = CGAL::ORIGIN + plane_normal;
       if (color_map.find(ref) == color_map.end()) {
-        
+
         ref = CGAL::ORIGIN + (-1.0) * plane_normal;
         if (color_map.find(ref) == color_map.end())
           color_map[ref] = point_item->color();
@@ -429,14 +429,14 @@ private:
       if (dialog.generate_colored_point_set()) {
         for (std::size_t i = 0; i < nb_colored_pts; ++i) {
           colored_item->point_set()->set_color(
-            *(colored_item->point_set()->end() - 1 - i), 
+            *(colored_item->point_set()->end() - 1 - i),
             color_map[ref].red(),
             color_map[ref].green(),
             color_map[ref].blue());
         }
       }
       ss << "(" << ref << ")_";
-          
+
       if (dialog.generate_alpha()) {
         // If plane, build alpha shape
         Scene_surface_mesh_item* sm_item = NULL;
@@ -447,7 +447,7 @@ private:
         build_alpha_shape(
           *(point_item->point_set()), rg_plane,
           sm_item, search_sphere_radius);
-          
+
         if (sm_item){
           sm_item->setColor(point_item->color ());
           sm_item->setName(QString("%1%2_alpha_shape").arg(QString::fromStdString(ss.str()))
@@ -471,7 +471,7 @@ private:
         point_item->point_set()->add_normal_map();
 
         // Set normals for point_item to the plane's normal.
-        for (auto it = point_item->point_set()->begin(); 
+        for (auto it = point_item->point_set()->begin();
         it != point_item->point_set()->end(); ++it)
           point_item->point_set()->normal(*it) = plane_normal;
 
@@ -490,7 +490,7 @@ private:
 
     if (dialog.generate_structured()) {
       std::cerr << "Structuring point set... ";
-        
+
       Scene_points_with_normal_item *pts_full = new Scene_points_with_normal_item;
       pts_full->point_set()->add_normal_map();
 
@@ -502,7 +502,7 @@ private:
         points->parameters().
         plane_map(CGAL::Identity_property_map<Plane_3>()).
         plane_index_map(CGAL::Shape_detection::RG::Point_to_shape_index_map(*points, regions)));
-                
+
       if (pts_full->point_set()->empty())
         delete pts_full;
       else {
@@ -515,7 +515,7 @@ private:
       }
       std::cerr << "done" << std::endl;
     }
-    
+
     // Updates scene.
     scene->itemChanged(index);
     QApplication::restoreOverrideCursor();
@@ -536,16 +536,16 @@ private:
     op.min_points = dialog.min_points();          // Only extract shapes with a minimum number of points.
     op.epsilon = dialog.epsilon();          // maximum euclidean distance between point and shape.
     op.cluster_epsilon = dialog.cluster_epsilon();    // maximum euclidean distance between points to be clustered.
-    op.normal_threshold = dialog.normal_tolerance();   // normal_threshold < dot(surface_normal, point_normal); 
+    op.normal_threshold = dialog.normal_tolerance();   // normal_threshold < dot(surface_normal, point_normal);
 
     CGAL::Random rand(static_cast<unsigned int>(time(0)));
     // Gets point set
     Point_set* points = item->point_set();
 
     Scene_points_with_normal_item::Bbox bb = item->bbox();
- 
+
     double diam = CGAL::sqrt((bb.xmax()-bb.xmin())*(bb.xmax()-bb.xmin()) + (bb.ymax()-bb.ymin())*(bb.ymax()-bb.ymin()) + (bb.zmax()-bb.zmin())*(bb.zmax()-bb.zmin()));
-    
+
     scene->setSelectedItem(-1);
     Scene_points_with_normal_item *colored_item
       = new Scene_points_with_normal_item;
@@ -560,7 +560,7 @@ private:
     }
 
     std::string& comments = item->comments();
-    
+
     Point_set::Property_map<int> shape_id;
     if (dialog.add_property())
     {
@@ -574,7 +574,7 @@ private:
 
       // Remove previously detected shapes from comments
       std::string new_comment;
-      
+
       std::istringstream stream (comments);
       std::string line;
       while (getline(stream, line))
@@ -588,7 +588,7 @@ private:
       comments = new_comment;
       comments += "shape -1 no assigned shape\n";
     }
-    
+
     QApplication::setOverrideCursor(Qt::BusyCursor);
 
     Ransac ransac;
@@ -629,7 +629,7 @@ private:
     Detect_shapes_functor<Ransac> functor (ransac, op);
     run_with_qprogressdialog<CGAL::Sequential_tag> (functor, "Detecting shapes...", mw);
     t.stop();
-    
+
     std::cout << ransac.shapes().size() << " shapes found in "
               << t.time() << " second(s)" << std::endl;
 
@@ -644,12 +644,12 @@ private:
                                  CGAL::Shape_detection::Point_to_shape_index_map<Traits>(*points, planes),
                                  true, true, true, true,
                                  180 * std::acos (op.normal_threshold) / CGAL_PI, op.epsilon);
-    
+
         std::cerr << "done" << std::endl;
       }
 
     std::map<Kernel::Point_3, QColor> color_map;
-    
+
     int index = 0;
     for(boost::shared_ptr<typename Ransac::Shape> shape : ransac.shapes())
     {
@@ -685,16 +685,16 @@ private:
 
         comments += oss.str();
       }
-        
+
       Scene_points_with_normal_item *point_item = new Scene_points_with_normal_item;
-      
+
       for(std::size_t i : shape->indices_of_assigned_points())
       {
         point_item->point_set()->insert(points->point(*(points->begin()+i)));
         if (dialog.add_property())
           shape_id[*(points->begin()+i)] = index;
       }
-      
+
       unsigned char r, g, b;
 
       r = static_cast<unsigned char>(64 + rand.get_int(0, 192));
@@ -714,11 +714,11 @@ private:
         }
         colored_item->invalidateOpenGLBuffers();
       }
-      
+
       // Providing a useful name consisting of the order of detection, name of type and number of inliers
       std::stringstream ss;
       if (dynamic_cast<CGAL::Shape_detection::Cylinder<Traits> *>(shape.get())){
-        CGAL::Shape_detection::Cylinder<Traits> * cyl 
+        CGAL::Shape_detection::Cylinder<Traits> * cyl
           = dynamic_cast<CGAL::Shape_detection::Cylinder<Traits> *>(shape.get());
         ss << item->name().toStdString() << "_cylinder_" << cyl->radius() << "_";
       }
@@ -728,7 +728,7 @@ private:
 
           boost::shared_ptr<CGAL::Shape_detection::Plane<Traits> > pshape
             = boost::dynamic_pointer_cast<CGAL::Shape_detection::Plane<Traits> > (shape);
-          
+
           Kernel::Point_3 ref = CGAL::ORIGIN + pshape->plane_normal ();
 
           if (color_map.find (ref) == color_map.end ())
@@ -753,7 +753,7 @@ private:
           }
 
           ss << "(" << ref << ")_";
-          
+
           if (dialog.generate_alpha ())
             {
               // If plane, build alpha shape
@@ -763,7 +763,7 @@ private:
 
               build_alpha_shape (*(point_item->point_set()), pshape,
                                  sm_item, dialog.cluster_epsilon());
-          
+
               if(sm_item){
                 sm_item->setColor(point_item->color ());
                 sm_item->setName(QString("%1%2_alpha_shape").arg(QString::fromStdString(ss.str()))
@@ -785,7 +785,7 @@ private:
         ss << item->name().toStdString() << "_sphere_";
       ss << shape->indices_of_assigned_points().size();
 
-      //names[i] = ss.str(		
+      //names[i] = ss.str(
       point_item->setName(QString::fromStdString(ss.str()));
       point_item->setRenderingMode(item->renderingMode());
 
@@ -808,7 +808,7 @@ private:
 
           if(scene->item_id(groups[0]) == -1)
             scene->addItem(groups[0]);
-          
+
           point_item->invalidateOpenGLBuffers();
           scene->changeGroup(point_item, groups[0]);
         }
@@ -843,10 +843,10 @@ private:
     if (dialog.generate_structured ())
       {
         std::cerr << "Structuring point set... ";
-        
+
         Scene_points_with_normal_item *pts_full = new Scene_points_with_normal_item;
         pts_full->point_set()->add_normal_map();
-        
+
         typename Ransac::Plane_range planes = ransac.planes();
         CGAL::structure_point_set (*points,
                                    planes,
@@ -855,7 +855,7 @@ private:
                                    points->parameters().
                                    plane_map(CGAL::Shape_detection::Plane_map<Traits>()).
                                    plane_index_map(CGAL::Shape_detection::Point_to_shape_index_map<Traits>(*points, planes)));
-                
+
         if (pts_full->point_set ()->empty ())
           delete pts_full;
         else
@@ -869,7 +869,7 @@ private:
           }
         std::cerr << "done" << std::endl;
       }
-    
+
     // Updates scene
     scene->itemChanged(index);
 
@@ -877,7 +877,7 @@ private:
 
     item->setVisible(false);
   }
-  
+
   Kernel::Point_2 to_2d (const Point_3& centroid,
                          const Vector_3& base1,
                          const Vector_3& base2,
@@ -964,7 +964,7 @@ void Polyhedron_demo_point_set_shape_det
       Point_set_demo_point_set_shape_detection_dialog dialog;
       if(!dialog.exec())
         return;
-      
+
       QApplication::setOverrideCursor(Qt::WaitCursor);
       if (dialog.region_growing())
       {
@@ -1003,11 +1003,11 @@ void Polyhedron_demo_point_set_shape_det
     projections.push_back (plane->to_2d (points.point(*it)));
 
   Alpha_shape_2 ashape (projections.begin (), projections.end (), epsilon);
-  
+
   std::map<Alpha_shape_2::Vertex_handle, std::size_t> map_v2i;
 
   Scene_polygon_soup_item *soup_item = new Scene_polygon_soup_item;
-  
+
   soup_item->init_polygon_soup(points.size(), ashape.number_of_faces ());
   std::size_t current_index = 0;
 
@@ -1041,9 +1041,9 @@ void Polyhedron_demo_point_set_shape_det
       std::cerr << "POLYGON SOUP EMPTY" << std::endl;
       for (std::size_t i = 0; i < projections.size (); ++ i)
         std::cerr << projections[i] << std::endl;
-      
+
     }
-  
+
   delete soup_item;
 }
 
@@ -1070,7 +1070,7 @@ void Polyhedron_demo_point_set_shape_det
                                    tr("Selection is empty.\nTo estimate parameters, please select a planar section."));
           return;
         }
-      
+
       QApplication::setOverrideCursor(Qt::WaitCursor);
 
       typedef CGAL::Search_traits_3<Kernel> SearchTraits_3;
@@ -1122,10 +1122,10 @@ void Polyhedron_demo_point_set_shape_det
       std::sort (epsilon.begin(), epsilon.end());
       std::sort (dispersion.begin(), dispersion.end());
       std::sort (cluster_epsilon.begin(), cluster_epsilon.end());
-      
+
       QApplication::restoreOverrideCursor();
 
-      
+
       QMessageBox::information(NULL,
                                tr("Estimated Parameters"),
                                tr("Epsilon = [%1 ; %2 ; %3 ; %4 ; %5]\nNormal Tolerance = [%6 ; %7 ; %8 ; %9 ; %10]\nMinimum Number of Points = %11\nConnectivity Epsilon = [%12 ; %13 ; %14 ; %15 ; %16]")
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_simplification_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_simplification_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_simplification_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_simplification_plugin.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -151,7 +151,7 @@ class Point_set_demo_point_set_simplific
   double maximumSurfaceVariation() const { return m_maximumSurfaceVariation->value(); }
 
 public Q_SLOTS:
-  
+
   void on_Random_toggled (bool toggled)
   {
     m_randomSimplificationPercentage->setEnabled (toggled);
@@ -224,23 +224,23 @@ void Polyhedron_demo_point_set_simplific
 
       Grid_simplify_functor functor (points, dialog.gridCellSize() * average_spacing);
       run_with_qprogressdialog<CGAL::Sequential_tag> (functor, "Grid simplyfing...", mw);
-      
+
       // Computes points to remove by Grid Clustering
       first_point_to_remove = *functor.result;
-        
+
     }
     else
     {
       std::cerr << "Point set hierarchy simplification (cluster size = " << dialog.maximumClusterSize()
-		<< ", maximum variation = " << dialog.maximumSurfaceVariation() << ")...\n";
+                << ", maximum variation = " << dialog.maximumSurfaceVariation() << ")...\n";
 
       // Computes points to remove by Hierarchy
       Hierarchy_simplify_functor functor (points, dialog.maximumClusterSize(),
                                           dialog.maximumSurfaceVariation());
       run_with_qprogressdialog<CGAL::Sequential_tag> (functor, "Hierarchy simplyfing...", mw);
-      
+
       first_point_to_remove = *functor.result;
-        
+
     }
 
     std::size_t nb_points_to_remove = std::distance(first_point_to_remove, points->end());
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_smoothing_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_smoothing_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_smoothing_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_smoothing_plugin.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -64,7 +64,7 @@ public:
     return QList<QAction*>() << actionJetSmoothing;
   }
 
-  bool applicable(QAction*) const { 
+  bool applicable(QAction*) const {
     return qobject_cast<Scene_points_with_normal_item*>(scene->item(scene->mainSelectionIndex()));
   }
 
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_upsampling_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_upsampling_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_upsampling_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_upsampling_plugin.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -24,7 +24,7 @@ typedef CGAL::Parallel_tag Concurrency_t
 #else
 typedef CGAL::Sequential_tag Concurrency_tag;
 #endif
- 
+
 using namespace CGAL::Three;
 class Polyhedron_demo_point_set_upsampling_plugin :
   public QObject,
@@ -33,7 +33,7 @@ class Polyhedron_demo_point_set_upsampli
   Q_OBJECT
   Q_INTERFACES(CGAL::Three::Polyhedron_demo_plugin_interface)
   Q_PLUGIN_METADATA(IID "com.geometryfactory.PolyhedronDemo.PluginInterface/1.0")
-  
+
   QAction* actionEdgeAwareUpsampling;
   Messages_interface* message_interface;
 public:
@@ -61,7 +61,7 @@ public Q_SLOTS:
 
 class Point_set_demo_point_set_upsampling_dialog : public QDialog, private Ui::PointSetUpsamplingDialog
 {
-  
+
   Q_OBJECT
 public:
   Point_set_demo_point_set_upsampling_dialog(QWidget * /*parent*/ = 0)
@@ -86,11 +86,11 @@ void Polyhedron_demo_point_set_upsamplin
   if(item)
     {
       if (!(item->has_normals ()))
-	{
+        {
           CGAL::Three::Three::error("Error: upsampling algorithm requires point set with normals.");
-	  return;
-	}
-      
+          return;
+        }
+
       // Gets point set
       Point_set* points = item->point_set();
       if(points == NULL)
@@ -99,15 +99,15 @@ void Polyhedron_demo_point_set_upsamplin
       // Gets options
       Point_set_demo_point_set_upsampling_dialog dialog;
       if(!dialog.exec())
-	return;
+        return;
 
       unsigned int output_size = static_cast<unsigned int>(dialog.output_size ()
-							   * points->size ());
+                                                           * points->size ());
       std::cerr << "Edge aware upsampling (sharpness angle = "
-		<< dialog.sharpness_angle () << ", edge sensitivity = "
-		<< dialog.edge_sensitivity () << ", neighborhood radius = "
-		<< dialog.neighborhood_radius () << " * average spacing, output size = "
-		<< output_size << "...\n";
+                << dialog.sharpness_angle () << ", edge sensitivity = "
+                << dialog.edge_sensitivity () << ", neighborhood radius = "
+                << dialog.neighborhood_radius () << " * average spacing, output size = "
+                << output_size << "...\n";
 
       QApplication::setOverrideCursor(Qt::WaitCursor);
 
@@ -115,29 +115,29 @@ void Polyhedron_demo_point_set_upsamplin
 
       // Computes average spacing
       double average_spacing = CGAL::compute_average_spacing<Concurrency_tag>(*points, 6);
-      
+
       std::size_t nb_selected = points->nb_selected_points();
-      
+
       std::vector<std::pair<Point_set::Point, Point_set::Vector> > new_points;
       CGAL::edge_aware_upsample_point_set<Concurrency_tag>(points->all_or_selection_if_not_empty(),
-					  std::back_inserter(new_points),
+                                          std::back_inserter(new_points),
                                           points->parameters().
                                           sharpness_angle (dialog.sharpness_angle()).
                                           edge_sensitivity (dialog.edge_sensitivity()).
                                           neighbor_radius (dialog.neighborhood_radius() * average_spacing).
                                           number_of_output_points (output_size));
       nb_selected += new_points.size();
-      
+
       for (unsigned int i = 0; i < new_points.size (); ++ i)
-	points->insert (new_points[i].first, new_points[i].second);
+        points->insert (new_points[i].first, new_points[i].second);
 
       if (nb_selected != new_points.size())
         points->set_first_selected (points->end() - nb_selected);
-      
+
       std::size_t memory = CGAL::Memory_sizer().virtual_size();
       std::cerr << task_timer.time() << " seconds, "
-		<< (memory>>20) << " Mb allocated)"
-		<< std::endl;
+                << (memory>>20) << " Mb allocated)"
+                << std::endl;
 
       // Updates scene
       item->invalidateOpenGLBuffers();
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_wlop_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_wlop_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Point_set_wlop_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Point_set_wlop_plugin.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -53,7 +53,7 @@ struct Wlop_functor
   double select_percentage;
   double neighbor_radius;
   Scene_points_with_normal_item* new_item;
-  
+
   Wlop_functor (Point_set* points, double select_percentage, double neighbor_radius,
                 Scene_points_with_normal_item* new_item)
     : points (points), select_percentage (select_percentage)
@@ -81,7 +81,7 @@ class Polyhedron_demo_point_set_wlop_plu
   Q_OBJECT
   Q_INTERFACES(CGAL::Three::Polyhedron_demo_plugin_interface)
   Q_PLUGIN_METADATA(IID "com.geometryfactory.PolyhedronDemo.PluginInterface/1.0")
-  
+
   QAction* actionSimplifyAndRegularize;
 
 public:
@@ -144,8 +144,8 @@ void Polyhedron_demo_point_set_wlop_plug
     CGAL::Timer task_timer; task_timer.start();
 
     std::cerr << "Point cloud simplification and regularization by WLOP ("
-	      << dialog.retainedPercentage () << "% retained points, neighborhood radius = "
-	      << dialog.neighborhoodRadius() <<" * average spacing)...\n";
+              << dialog.retainedPercentage () << "% retained points, neighborhood radius = "
+              << dialog.neighborhoodRadius() <<" * average spacing)...\n";
 
     // Computes average spacing
     Compute_average_spacing_functor functor_as (points, 6);
@@ -165,10 +165,10 @@ void Polyhedron_demo_point_set_wlop_plug
 
     std::size_t memory = CGAL::Memory_sizer().virtual_size();
     std::cerr << "Simplification and regularization: "
-	      << new_item->point_set ()->size () << " point(s) created ("
-	      << task_timer.time() << " seconds, "
-	      << (memory>>20) << " Mb allocated)"
-	      << std::endl;
+              << new_item->point_set ()->size () << " point(s) created ("
+              << task_timer.time() << " seconds, "
+              << (memory>>20) << " Mb allocated)"
+              << std::endl;
 
     QApplication::restoreOverrideCursor();
   }
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_advancing_front_impl.cpp 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_advancing_front_impl.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_advancing_front_impl.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_advancing_front_impl.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -92,7 +92,7 @@ struct Priority_with_structure_coherence
 
   Structuring& structuring;
   double bound;
-  
+
   Priority_with_structure_coherence(Structuring& structuring,
                                     double bound)
     : structuring (structuring), bound (bound)
@@ -150,7 +150,7 @@ void get_planes_from_shape_map (const Po
   int plane_idx = shape_map[sorted_indices.front()];
   if (plane_idx != -1)
     begin = sorted_indices.begin();
-  
+
   for (std::vector<Point_set::Index>::iterator it = sorted_indices.begin();
        it != sorted_indices.end(); ++ it)
   {
@@ -211,7 +211,7 @@ SMesh* advancing_front (const Point_set&
     for (std::size_t i = 0; i < structuring.size(); ++ i)
       structured.push_back (structuring.point(i));
     std::cerr << structured.size() << " structured point(s) generated" << std::endl;
-    
+
     Priority_with_structure_coherence<Structuring> priority
       (structuring, 10. * sampling);
     Construct construct(*mesh, structured);
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_plugin.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -40,7 +40,7 @@ SMesh* poisson_reconstruct (Point_set& p
 
 void scale_space (const Point_set& points,
                   std::vector<Scene_polygon_soup_item*>& items,
-                  bool jet_smoother, 
+                  bool jet_smoother,
                   unsigned int iterations,
                   unsigned int neighbors, unsigned int fitting, unsigned int monge,
                   unsigned int neighborhood_size, unsigned int samples,
@@ -69,7 +69,7 @@ public:
 #if defined(CGAL_USE_SCIP)
     m_solver->addItem("SCIP");
 #endif
-    
+
 #if defined(CGAL_USE_GLPK)
     m_solver->addItem("GLPK");
 #endif
@@ -92,14 +92,14 @@ public:
     tabWidget->setTabEnabled(3, false);
     tabWidget->setTabToolTip(3, QString("Polygonal requires normals, please estimate normals first"));
   }
-  
+
 
   void disable_structuring()
   {
     m_use_structuring->setEnabled(false);
     m_use_structuring->setToolTip(QString("Point Set Structuring requires detected planes, please detect shapes first"));
   }
-  
+
   // Advancing front
   double longest_edge () const { return m_longestEdge->value (); }
   double radius_ratio_bound () const { return m_radiusRatioBound->value (); }
@@ -137,7 +137,7 @@ public:
   double data_coverage() const { return m_data_coverage->value(); }
   double model_complexity() const { return m_model_complexity->value(); }
   QString solver_name() const { return m_solver->currentText(); }
-  
+
 };
 
 class Polyhedron_demo_surface_reconstruction_plugin :
@@ -164,7 +164,7 @@ public:
   void scale_space_reconstruction (const Polyhedron_demo_surface_reconstruction_plugin_dialog& dialog);
   void poisson_reconstruction (const Polyhedron_demo_surface_reconstruction_plugin_dialog& dialog);
   void polygonal_reconstruction (const Polyhedron_demo_surface_reconstruction_plugin_dialog& dialog);
-  
+
   //! Applicate for Point_sets with normals.
   bool applicable(QAction*) const {
     return qobject_cast<Scene_points_with_normal_item*>(scene->item(scene->mainSelectionIndex()));
@@ -204,7 +204,7 @@ void Polyhedron_demo_surface_reconstruct
       dialog.disable_structuring();
       dialog.disable_polygonal();
     }
-      
+
     if(!dialog.exec())
       return;
 
@@ -251,7 +251,7 @@ void Polyhedron_demo_surface_reconstruct
     QApplication::setOverrideCursor(Qt::WaitCursor);
 
     std::cerr << "Advancing front reconstruction... ";
-      
+
     // Reconstruct point set as a polyhedron
     SMesh* mesh = advancing_front (*points,
                                    dialog.longest_edge(),
@@ -295,7 +295,7 @@ void Polyhedron_demo_surface_reconstruct
     QApplication::setOverrideCursor(Qt::WaitCursor);
 
     std::cout << "Scale scape surface reconstruction...";
-      
+
     std::vector<Scene_polygon_soup_item*> reco_items;
 
     scale_space (*points, reco_items,
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_poisson_impl.cpp 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_poisson_impl.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_poisson_impl.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_poisson_impl.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -45,9 +45,9 @@ private:
 
   typedef typename Triangulation::Cell_handle Cell_handle;
   typedef typename Triangulation::Finite_cells_iterator Finite_cells_iterator;
-  
+
   const Triangulation& m_tr;
-  
+
 public:
 
   Marching_tets (const Triangulation& tr) : m_tr (tr) { }
@@ -60,7 +60,7 @@ public:
 
     std::size_t nb_points = 0;
     std::map<Point_3, std::size_t> map_p2i;
-    
+
     for (Finite_cells_iterator cit = m_tr.finite_cells_begin();
          cit != m_tr.finite_cells_end(); ++ cit)
     {
@@ -131,17 +131,17 @@ private:
       }
     }
   }
-  
+
   bool extract_level_set_points(Cell_handle cell, const FT value, std::vector<Point_3>& points, Vector_3& direction) const
   {
     Point_3 point;
     if(level_set(cell, value, 0, 1, point, direction)) points.push_back(point);
-		if(level_set(cell, value, 0, 2, point, direction)) points.push_back(point);
-		if(level_set(cell, value, 0, 3, point, direction)) points.push_back(point);
-		if(level_set(cell, value, 1, 2, point, direction)) points.push_back(point);
-		if(level_set(cell, value, 1, 3, point, direction)) points.push_back(point);
-		if(level_set(cell, value, 2, 3, point, direction)) points.push_back(point);
-		return points.size() != 0;
+                if(level_set(cell, value, 0, 2, point, direction)) points.push_back(point);
+                if(level_set(cell, value, 0, 3, point, direction)) points.push_back(point);
+                if(level_set(cell, value, 1, 2, point, direction)) points.push_back(point);
+                if(level_set(cell, value, 1, 3, point, direction)) points.push_back(point);
+                if(level_set(cell, value, 2, 3, point, direction)) points.push_back(point);
+                return points.size() != 0;
   }
 
   bool level_set(Cell_handle cell, const FT value, const int i1, const int i2, Point_3& p, Vector_3& direction) const
@@ -219,18 +219,18 @@ SMesh* poisson_reconstruct(Point_set& po
   // Computes implicit function
   //***************************************
 
- 
+
   std::cerr << "Computes Poisson implicit function "
             << "using " << (conjugate_gradient ? "Conjugate Gradient" : "Simplicial LDLT") << "..." << std::endl;
-              
-    
+
+
   // Creates implicit function from the point set.
   // Note: this method requires an iterator over points
   // + property maps to access each point's position and normal.
   Poisson_reconstruction_function function(points.begin_or_selection_begin(), points.end(),
                                            points.point_map(), points.normal_map());
 
-  bool ok = false;    
+  bool ok = false;
   if(conjugate_gradient)
   {
     CGAL::Eigen_solver_traits<Eigen::SimplicialCholesky<CGAL::Eigen_sparse_matrix<double>::EigenType> > solver;
@@ -257,10 +257,10 @@ SMesh* poisson_reconstruct(Point_set& po
   task_timer.reset();
 
   SMesh* mesh = new SMesh;
-  
+
   if (marching_tets)
   {
-    
+
     std::cerr << "Marching tetrahedra..." << std::endl;
 
     std::vector<Point_3> vertices;
@@ -350,7 +350,7 @@ SMesh* poisson_reconstruct(Point_set& po
     // Prints total reconstruction duration
     std::cerr << "Total reconstruction (implicit function + meshing): " << reconstruction_timer.time() << " seconds\n";
   }
-  
+
   //***************************************
   // Computes reconstruction error
   //***************************************
@@ -365,17 +365,17 @@ SMesh* poisson_reconstruct(Point_set& po
   double avg_distance = 0;
 
   std::set<typename boost::graph_traits<SMesh>::face_descriptor> faces_to_keep;
-    
+
   for (Point_set::const_iterator p=points.begin_or_selection_begin(); p!=points.end(); p++)
   {
     typename AABB_traits::Point_and_primitive_id pap = tree.closest_point_and_primitive (points.point (*p));
     double distance = std::sqrt(CGAL::squared_distance (pap.first, points.point(*p)));
-      
+
     max_distance = (std::max)(max_distance, distance);
     avg_distance += distance;
 
     typename boost::graph_traits<SMesh>::face_descriptor f = pap.second;
-    faces_to_keep.insert (f);  
+    faces_to_keep.insert (f);
   }
   avg_distance /= double(points.size());
 
@@ -387,7 +387,7 @@ SMesh* poisson_reconstruct(Point_set& po
   {
     typename boost::graph_traits<SMesh>::face_iterator it = faces(*mesh).begin ();
     while (it != faces(*mesh).end ())
-	  {
+          {
       typename boost::graph_traits<SMesh>::face_iterator current = it ++;
 
       if (faces_to_keep.find (*current) == faces_to_keep.end ())
@@ -395,7 +395,7 @@ SMesh* poisson_reconstruct(Point_set& po
         CGAL::Euler::remove_face(halfedge (*current, *mesh), *mesh);
       }
 
-	  }
+          }
 
   }
   return mesh;
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_polygonal_impl.cpp 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_polygonal_impl.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_polygonal_impl.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_polygonal_impl.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -12,7 +12,7 @@
 #  include <CGAL/GLPK_mixed_integer_program_traits.h>
 #endif
 
-typedef	CGAL::Polygonal_surface_reconstruction<Kernel> Polygonal_surface_reconstruction;
+typedef        CGAL::Polygonal_surface_reconstruction<Kernel> Polygonal_surface_reconstruction;
 
 SMesh* polygonal_reconstruct (const Point_set& points,
                               double data_fitting,
@@ -25,11 +25,11 @@ SMesh* polygonal_reconstruct (const Poin
   CGAL_USE (data_coverage);
   CGAL_USE (model_complexity);
   CGAL_USE (solver_name);
-  
+
   Point_set::Property_map<int> shape_map
     = points.property_map<int>("shape").first;
 
-	Polygonal_surface_reconstruction poly
+        Polygonal_surface_reconstruction poly
     (points, points.point_map(), points.normal_map(), shape_map);
 
   SMesh* mesh = new SMesh;
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_scale_space_impl.cpp 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_scale_space_impl.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_scale_space_impl.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Point_set/Surface_reconstruction_scale_space_impl.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -27,7 +27,7 @@ typedef CGAL::Scale_space_reconstruction
 
 void scale_space (const Point_set& points,
                   std::vector<Scene_polygon_soup_item*>& items,
-                  bool jet_smoother, 
+                  bool jet_smoother,
                   unsigned int iterations,
                   unsigned int neighbors, unsigned int fitting, unsigned int monge,
                   unsigned int neighborhood_size, unsigned int samples,
@@ -51,7 +51,7 @@ void scale_space (const Point_set& point
     ScaleSpaceWPS smoother(neighborhood_size, samples);
     reconstruct.increase_scale(iterations, smoother);
     squared_radius = smoother.squared_radius();
-      
+
   }
 
   if (advancing_front_mesher)
@@ -76,7 +76,7 @@ void scale_space (const Point_set& point
 
     std::map<std::size_t, std::size_t> map_i2i;
     std::size_t current_index = 0;
-    
+
     for (ScaleSpace::Facet_iterator it = reconstruct.facets_begin();
          it != reconstruct.facets_end(); ++ it)
     {
@@ -87,7 +87,7 @@ void scale_space (const Point_set& point
           map_i2i.insert (std::make_pair ((*it)[ind], current_index ++));
           Point_3 p = points.point(*(points.begin_or_selection_begin() + (*it)[ind]));
           new_item->new_vertex (p.x (), p.y (), p.z ());
-            
+
           if (generate_smooth)
           {
             p = *(reconstruct.points_begin() + (*it)[ind]);
@@ -102,7 +102,7 @@ void scale_space (const Point_set& point
         smooth_item->new_triangle( map_i2i[(*it)[0]],
                                    map_i2i[(*it)[1]],
                                    map_i2i[(*it)[2]] );
-              
+
     }
 
     items.push_back(new_item);
@@ -133,7 +133,7 @@ void scale_space (const Point_set& point
 
       std::map<unsigned int, unsigned int> map_i2i;
       unsigned int current_index = 0;
-    
+
       for (ScaleSpaceASM::Facet_iterator it = mesher.shell_begin (sh);
            it != mesher.shell_end (sh); ++ it)
       {
@@ -144,7 +144,7 @@ void scale_space (const Point_set& point
             map_i2i.insert (std::make_pair ((*it)[ind], current_index ++));
             Point_3 p = points.point(*(points.begin_or_selection_begin() + (*it)[ind]));
             new_item->new_vertex (p.x (), p.y (), p.z ());
-                    
+
             if (generate_smooth)
             {
               p = *(reconstruct.points_begin() + (*it)[ind]);
@@ -159,7 +159,7 @@ void scale_space (const Point_set& point
           smooth_item->new_triangle( map_i2i[(*it)[0]],
                                      map_i2i[(*it)[1]],
                                      map_i2i[(*it)[2]] );
-              
+
       }
 
       items.push_back (new_item);
@@ -200,7 +200,7 @@ void scale_space (const Point_set& point
             map_i2i.insert (std::make_pair ((*it)[ind], current_index ++));
             Point_3 p = points.point(*(points.begin_or_selection_begin() + (*it)[ind]));
             new_item->new_vertex (p.x (), p.y (), p.z ());
-                    
+
             if (generate_smooth)
             {
               p = *(reconstruct.points_begin() + (*it)[ind]);
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Subdivision_methods/Subdivision_methods_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Subdivision_methods/Subdivision_methods_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Subdivision_methods/Subdivision_methods_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Subdivision_methods/Subdivision_methods_plugin.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -95,7 +95,7 @@ void Polyhedron_demo_subdivision_methods
 void Polyhedron_demo_subdivision_methods_plugin::on_actionLoop_triggered()
 {
   CGAL::Three::Scene_interface::Item_id index = scene->mainSelectionIndex();
-  
+
   Scene_surface_mesh_item* sm_item =
       qobject_cast<Scene_surface_mesh_item*>(scene->item(index));
   if(!sm_item)
@@ -167,7 +167,7 @@ void Polyhedron_demo_subdivision_methods
                                       1,
                                       1);
   apply_sqrt3(sm_item, nb_steps);
-  
+
 }
 
 template<class FaceGraphItem>
@@ -200,7 +200,7 @@ void Polyhedron_demo_subdivision_methods
                                       1,
                                       1);
   apply_doosabin(sm_item, nb_steps);
-  
+
 }
 
 #include "Subdivision_methods_plugin.moc"
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/CMakeLists.txt 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/CMakeLists.txt
--- 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -6,9 +6,9 @@ endif()
 
 if(EIGEN3_FOUND)
   find_package(CGAL COMPONENTS Core)
-  
+
   include(${CGAL_USE_FILE})
-  
+
   qt5_wrap_ui(parameterizationUI_FILES Parameterization_widget.ui OTE_dialog.ui)
   polyhedron_demo_plugin(parameterization_plugin Parameterization_plugin ${parameterizationUI_FILES})
   target_link_libraries(parameterization_plugin PUBLIC scene_surface_mesh_item scene_textured_item scene_selection_item)
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/Mesh_plane_detection_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/Mesh_plane_detection_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/Mesh_plane_detection_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/Mesh_plane_detection_plugin.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -26,7 +26,7 @@
 namespace PMP = CGAL::Polygon_mesh_processing;
 
 using namespace CGAL::Three;
-class Polyhedron_demo_mesh_plane_detection_plugin : 
+class Polyhedron_demo_mesh_plane_detection_plugin :
   public QObject,
   public Polyhedron_demo_plugin_helper
 {
@@ -41,10 +41,10 @@ class Polyhedron_demo_mesh_plane_detecti
   }
 
   bool applicable(QAction*) const {
-    return 
+    return
       qobject_cast<Scene_surface_mesh_item*>(scene->item(scene->mainSelectionIndex()));
-  }    
-    
+  }
+
   void init(QMainWindow* mainWindow, CGAL::Three::Scene_interface* scene_interface, Messages_interface*) {
     this->scene = scene_interface;
     this->mw = mainWindow;
@@ -62,10 +62,10 @@ class Polyhedron_demo_mesh_plane_detecti
   virtual void closure()
   {
   }
-    
-  template<class SegmentPropertyMap> 
+
+  template<class SegmentPropertyMap>
   void colorize_segmentation(Scene_surface_mesh_item* item, SegmentPropertyMap& segment_ids, std::vector<QColor>& color_vector);
-  
+
   void check_and_set_ids(SMesh *sm);
 
 public Q_SLOTS:
@@ -81,14 +81,14 @@ private:
                               OutputIterator output)
   {
     typedef SMesh::size_type size_type;
-    
+
     std::cerr << "Detecting planes with:" << std::endl
               << " * Area min = " << area_min << std::endl
               << " * Min cos angle = " << angle_max << std::endl;
     std::vector<int> label_region(mesh.number_of_faces(), 0);
     int class_index = 0;
 
-    
+
     for (typename SMesh::Face_iterator f = mesh.faces_begin(); f != mesh.faces_end(); ++f)
       {
         if (label_region[*f] != 0)
@@ -96,13 +96,13 @@ private:
         class_index++;
         label_region[*f] = class_index;
         double area = PMP::face_area (*f, mesh, PMP::parameters::geom_traits(EPICK()));
-            
+
         //characteristics of the seed
         EPICK::Vector_3 normal_seed = PMP::compute_face_normal (*f, mesh, PMP::parameters::geom_traits(EPICK()));
         EPICK::Point_3 pt_seed = mesh.point(target(halfedge(*f, mesh), mesh));
         EPICK::Plane_3 optimal_plane(pt_seed, normal_seed);
                    //        Kernel::Plane_3 optimal_plane = f->plane();
-              
+
         //initialization containers
         std::vector<size_type> index_container (1,*f);
         std::vector<size_type> index_container_former_ring (1, *f);
@@ -124,7 +124,7 @@ private:
                 {
                   if (is_border(*circ, mesh))
                     continue;
-                  
+
                   typename SMesh::Face_index
                     neighbor = mesh.face(opposite(*circ, mesh));
                   size_type neighbor_index = neighbor;
@@ -144,7 +144,7 @@ private:
                 }
               while (++ circ != start);
             }
-			
+
           //update containers
           index_container_former_ring.clear();
           for (std::list<size_type>::iterator it = index_container_current_ring.begin();
@@ -180,8 +180,8 @@ void Polyhedron_demo_mesh_plane_detectio
 void Polyhedron_demo_mesh_plane_detection_plugin::on_actionPlaneDetection_triggered()
 {
   const CGAL::Three::Scene_interface::Item_id index = scene->mainSelectionIndex();
-  
-  Scene_surface_mesh_item* poly_item = 
+
+  Scene_surface_mesh_item* poly_item =
     qobject_cast<Scene_surface_mesh_item*>(scene->item(index));
 
   if (poly_item)
@@ -191,7 +191,7 @@ void Polyhedron_demo_mesh_plane_detectio
       QDialog dialog(mw);
       Ui::Mesh_plane_detection_dialog ui;
       ui.setupUi(&dialog);
-  
+
       // check user cancellation
       if(dialog.exec() == QDialog::Rejected)
         return;
@@ -211,15 +211,15 @@ void Polyhedron_demo_mesh_plane_detectio
 
       //poly_item->set_color_vector_read_only(true);
       colorize_segmentation (poly_item, indices, poly_item->color_vector());
-      
-      std::cerr << "ok (" << time.elapsed() << " ms, " 
+
+      std::cerr << "ok (" << time.elapsed() << " ms, "
                 << pmesh.number_of_halfedges() / 2 << " edges)" << std::endl;
 
       poly_item->invalidateOpenGLBuffers();
       scene->itemChanged(index);
       QApplication::restoreOverrideCursor();
     }
-  
+
 }
 
 template<class SegmentPropertyMap>
@@ -233,15 +233,15 @@ void Polyhedron_demo_mesh_plane_detectio
   SMesh* sm = item->face_graph();
   color_vector.clear();
   std::size_t max_segment = 0;
-  for(SMesh::Face_iterator facet_it = sm->faces_begin(); 
-      facet_it != sm->faces_end(); ++facet_it)   
+  for(SMesh::Face_iterator facet_it = sm->faces_begin();
+      facet_it != sm->faces_end(); ++facet_it)
     {
       std::size_t segment_id = segment_ids[static_cast<std::size_t>(*facet_it)];
       sm->property_map<face_descriptor, int>("f:patch_id").first[*facet_it] = static_cast<int>(segment_id);
-      max_segment = (std::max)(max_segment, segment_id);      
+      max_segment = (std::max)(max_segment, segment_id);
     }
   color_vector.push_back(QColor(0, 0, 0));
-  for(std::size_t i = 1; i <= max_segment; ++i)   
+  for(std::size_t i = 1; i <= max_segment; ++i)
     color_vector.push_back (QColor (CGAL::get_default_random().get_int (41, 255),
                                     CGAL::get_default_random().get_int (35, 238),
                                     CGAL::get_default_random().get_int (35, 255)));
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/Mesh_segmentation_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/Mesh_segmentation_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/Mesh_segmentation_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/Mesh_segmentation_plugin.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -245,7 +245,7 @@ void Polyhedron_demo_mesh_segmentation_p
 template<class FacegraphItem>
 void Polyhedron_demo_mesh_segmentation_plugin::apply_Partition_button_clicked(FacegraphItem* item)
 {
-  
+
   typedef typename FacegraphItem::Face_graph Facegraph;
   QApplication::setOverrideCursor(Qt::WaitCursor);
 
@@ -292,9 +292,9 @@ void Polyhedron_demo_mesh_segmentation_p
     FaceGraph_with_id_to_vector_property_map<Facegraph, double> sdf_pmap(&pair->second, fidmap);
     sdf_values(*(pair->first->face_graph()), sdf_pmap, cone_angle, number_of_rays);
   }
- 
-  
-  
+
+
+
   std::vector<std::size_t> internal_segment_map(num_faces(*pair->first->face_graph()));
   FaceGraph_with_id_to_vector_property_map<Facegraph, std::size_t> segment_pmap(&internal_segment_map, fidmap);
   FaceGraph_with_id_to_vector_property_map<Facegraph, double> sdf_pmap(&pair->second, fidmap);
@@ -302,11 +302,11 @@ void Polyhedron_demo_mesh_segmentation_p
   if(!isClosed)
   {
     bool has_sdf_values = false;
-    for(typename boost::graph_traits<Facegraph>::face_descriptor f : 
+    for(typename boost::graph_traits<Facegraph>::face_descriptor f :
                   faces(*pair->first->face_graph()))
     {
       if(sdf_pmap[f] != -1
-         && sdf_pmap[f] != std::numeric_limits<double>::max())
+         && sdf_pmap[f] != (std::numeric_limits<double>::max)())
       {
         has_sdf_values = true;
         break;
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/Mesh_simplification_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/Mesh_simplification_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/Mesh_simplification_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/Mesh_simplification_plugin.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -27,7 +27,7 @@ class Custom_stop_predicate
   bool m_and;
   CGAL::Surface_mesh_simplification::Count_stop_predicate<FaceGraph> m_count_stop;
   CGAL::Surface_mesh_simplification::Edge_length_stop_predicate<double> m_length_stop;
-  
+
 public:
 
   Custom_stop_predicate (bool use_and, std::size_t nb_edges, double edge_length)
@@ -41,7 +41,7 @@ public:
 
   template <typename Profile>
   bool operator() (const double& current_cost, const Profile& edge_profile,
-                   std::size_t initial_count, std::size_t current_count) const 
+                   std::size_t initial_count, std::size_t current_count) const
   {
     if (m_and)
       return (m_count_stop(current_cost, edge_profile, initial_count, current_count)
@@ -55,7 +55,7 @@ public:
 
 
 using namespace CGAL::Three;
-class Polyhedron_demo_mesh_simplification_plugin : 
+class Polyhedron_demo_mesh_simplification_plugin :
   public QObject,
   public Polyhedron_demo_plugin_interface
 {
@@ -82,7 +82,7 @@ public:
       _actions <<actionSimplify;
 
   }
-  bool applicable(QAction*) const { 
+  bool applicable(QAction*) const {
     return qobject_cast<Scene_facegraph_item*>(scene->item(scene->mainSelectionIndex()))
       || qobject_cast<Scene_polyhedron_selection_item*>(scene->item(scene->mainSelectionIndex()));
   }
@@ -98,7 +98,7 @@ private :
 void Polyhedron_demo_mesh_simplification_plugin::on_actionSimplify_triggered()
 {
   const CGAL::Three::Scene_interface::Item_id index = scene->mainSelectionIndex();
-  
+
   Scene_facegraph_item* poly_item =
     qobject_cast<Scene_facegraph_item*>(scene->item(index));
 
@@ -127,7 +127,7 @@ void Polyhedron_demo_mesh_simplification
     double diago_length = CGAL::sqrt((bbox.xmax()-bbox.xmin())*(bbox.xmax()-bbox.xmin())
                                      + (bbox.ymax()-bbox.ymin())*(bbox.ymax()-bbox.ymin()) +
                                      (bbox.zmax()-bbox.zmin())*(bbox.zmax()-bbox.zmin()));
-    
+
     ui.m_nb_edges->setValue ((int)(num_halfedges(pmesh) / 4));
     ui.m_nb_edges->setMaximum ((int)(num_halfedges(pmesh)));
     ui.m_edge_length->setValue (diago_length * 0.05);
@@ -150,7 +150,7 @@ void Polyhedron_demo_mesh_simplification
                                  : 0),
                                 (ui.m_use_edge_length->isChecked()
                                  ? ui.m_edge_length->value()
-                                 : std::numeric_limits<double>::max()));
+                                 : (std::numeric_limits<double>::max)()));
 
     if (selection_item)
       {
@@ -161,7 +161,7 @@ void Polyhedron_demo_mesh_simplification
            Scene_polyhedron_selection_item::Is_constrained_map
            <Scene_polyhedron_selection_item::Selection_set_edge> >
           placement (selection_item->constrained_edges_pmap());
-        
+
         CGAL::Surface_mesh_simplification::edge_collapse
           (pmesh, stop,
            CGAL::parameters::edge_is_constrained_map(selection_item->constrained_edges_pmap())
@@ -172,13 +172,13 @@ void Polyhedron_demo_mesh_simplification
         CGAL::Surface_mesh_simplification::Bounded_normal_change_placement
           <CGAL::Surface_mesh_simplification::LindstromTurk_placement
            <FaceGraph> > placement;
-        
+
         CGAL::Surface_mesh_simplification::edge_collapse
           (pmesh, stop,
            CGAL::parameters::vertex_index_map(get(boost::vertex_index, pmesh)).get_placement(placement));
       }
-    
-    std::cout << "ok (" << time.elapsed() << " ms, " 
+
+    std::cout << "ok (" << time.elapsed() << " ms, "
       << num_halfedges(pmesh) / 2 << " edges)" << std::endl;
 
     // update scene
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/Offset_meshing_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/Offset_meshing_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/Offset_meshing_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/Offset_meshing_plugin.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -11,7 +11,7 @@
 #include <QtPlugin>
 #include <QThread>
 #include "Scene_surface_mesh_item.h"
-#include "Scene_polygon_soup_item.h" 
+#include "Scene_polygon_soup_item.h"
 #include <QInputDialog>
 #include <QStringList>
 #include <QMessageBox>
@@ -201,7 +201,7 @@ public:
     return m_offset_distance - distance;
   }
 
-}; // end class Polygon_soup_offset_function 
+}; // end class Polygon_soup_offset_function
 
 } //end of CGAL namespace
 
@@ -319,7 +319,7 @@ SMesh* cgal_off_meshing(QWidget*,
     {
       CGAL::Polygon_mesh_processing::reverse_face_orientations(*pRemesh);
     }
-    
+
     return pRemesh;
   }
   else
@@ -328,7 +328,7 @@ SMesh* cgal_off_meshing(QWidget*,
 
 struct Mesher_thread:public QThread{
   Q_OBJECT
-  
+
 private:
   SMesh* sMesh;
   Scene_polygon_soup_item* soup_item;
@@ -438,9 +438,9 @@ void Polyhedron_demo_offset_meshing_plug
   }
   else if(soup_item == 0)
     return;
-  double X=box.max(0)-box.min(0),
-      Y = box.max(1)-box.min(1),
-      Z = box.max(2)-box.min(2);
+  double X=(box.max)(0)-(box.min)(0),
+      Y = (box.max)(1)-(box.min)(1),
+      Z = (box.max)(2)-(box.min)(2);
   diag = CGAL::sqrt(X*X+Y*Y+Z*Z);
   double offset_value = QInputDialog::getDouble(mw,
                                                 QString("Choose Offset Value"),
@@ -506,7 +506,7 @@ void Polyhedron_demo_offset_meshing_plug
                                approx,
                                tag_index);
   connect(worker, &QThread::finished, worker, &QObject::deleteLater);
-  connect(worker, &Mesher_thread::resultReady, this, 
+  connect(worker, &Mesher_thread::resultReady, this,
           [item, angle, sizing, approx, offset_value, index]
           (SMesh *new_mesh){
     QApplication::restoreOverrideCursor();
@@ -526,7 +526,7 @@ void Polyhedron_demo_offset_meshing_plug
     item->setVisible(false);
     CGAL::Three::Three::scene()->itemChanged(index);
     QApplication::restoreOverrideCursor();
-    
+
   });
   QMessageBox* message_box = new QMessageBox(QMessageBox::NoIcon,
                                              "Meshing",
@@ -546,7 +546,7 @@ void Polyhedron_demo_offset_meshing_plug
   connect(worker, &Mesher_thread::finished,
           message_box, &QMessageBox::close);
   message_box->open();
-  
+
   QApplication::setOverrideCursor(Qt::BusyCursor);
   worker->start();
 }
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/Parameterization_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/Parameterization_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/Parameterization_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/Parameterization_plugin.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -266,7 +266,7 @@ public :
     painter->setPen(pen);
     painter->setBrush(brush);
     SMesh::Property_map<halfedge_descriptor,float> u,v;
-    
+
     u = graph->add_property_map<halfedge_descriptor,float>("h:u", 0.0f).first;
     v = graph->add_property_map<halfedge_descriptor,float>("h:v", 0.0f).first;
 
@@ -417,7 +417,7 @@ public Q_SLOTS:
   void replacePolyline()
   {
     if(current_uv_item){
-      Scene_textured_facegraph_item* t_item = 
+      Scene_textured_facegraph_item* t_item =
           qobject_cast<Scene_textured_facegraph_item*>(projections.key(current_uv_item));
      t_item->add_border_edges(std::vector<float>(0));
     }
@@ -443,14 +443,14 @@ public Q_SLOTS:
         graphics_scene->removeItem(graphics_scene->items().first());
 
       graphics_scene->addItem(current_uv_item);
-      ui_widget.graphicsView->fitInView(current_uv_item->boundingRect(), 
+      ui_widget.graphicsView->fitInView(current_uv_item->boundingRect(),
                                         Qt::KeepAspectRatio);
       ui_widget.component_numberLabel->setText(
             QString("Component : %1/%2").arg(current_uv_item->current_component()+1)
             .arg(current_uv_item->number_of_components()));
       dock_widget->setWindowTitle(tr("UVMapping for %1")
                                   .arg(current_uv_item->item_name()));
-      Scene_textured_facegraph_item* t_item = 
+      Scene_textured_facegraph_item* t_item =
           qobject_cast<Scene_textured_facegraph_item*>(projections.key(current_uv_item));
      t_item->add_border_edges(
             current_uv_item->concatenated_borders());
@@ -605,7 +605,7 @@ void Polyhedron_demo_parameterization_pl
   QElapsedTimer time;
   time.start();
   // add textured polyhedon to the scene
-  
+
   // \todo for surface_mesh
   Base_face_graph tMesh = *pMesh;
   std::vector<bool> mark(num_halfedges(tMesh)/2,false);
@@ -907,14 +907,14 @@ void Polyhedron_demo_parameterization_pl
   } //end for each component
 
   QApplication::restoreOverrideCursor();
-  QPointF min(FLT_MAX, FLT_MAX), max(-FLT_MAX, -FLT_MAX);
+  QPointF pmin(FLT_MAX, FLT_MAX), pmax(-FLT_MAX, -FLT_MAX);
 
   SMesh::Property_map<halfedge_descriptor, float> umap;
   SMesh::Property_map<halfedge_descriptor, float> vmap;
-  
+
   umap = tMesh.add_property_map<halfedge_descriptor, float>("h:u", 0.0f).first;
   vmap = tMesh.add_property_map<halfedge_descriptor, float>("h:v", 0.0f).first;
-  
+
   tMesh.property_stats(std::cerr);
   Base_face_graph::Halfedge_iterator it;
   for(it = tMesh.halfedges_begin();
@@ -926,14 +926,14 @@ void Polyhedron_demo_parameterization_pl
     FT v = uv_pm[target(hd, sMesh)].y();
     put(umap, *it, static_cast<float>(u));
     put(vmap, *it, static_cast<float>(v));
-    if(u<min.x())
-      min.setX(u);
-    if(u>max.x())
-      max.setX(u);
-    if(v<min.y())
-      min.setY(v);
-    if(v>max.y())
-      max.setY(v);
+    if(u<pmin.x())
+      pmin.setX(u);
+    if(u>pmax.x())
+      pmax.setX(u);
+    if(v<pmin.y())
+      pmin.setY(v);
+    if(v>pmax.y())
+      pmax.setY(v);
   }
 
   Components* components = new Components(0);
@@ -948,7 +948,7 @@ void Polyhedron_demo_parameterization_pl
   }
 
   Scene_textured_facegraph_item* new_item = new Scene_textured_facegraph_item(tMesh);
-  UVItem *projection = new UVItem(components,new_item->textured_face_graph(), uv_borders, QRectF(min, max));
+  UVItem *projection = new UVItem(components,new_item->textured_face_graph(), uv_borders, QRectF(pmin, pmax));
   projection->set_item_name(new_item_name);
 
   new_item->setName(new_item_name);
@@ -964,12 +964,12 @@ void Polyhedron_demo_parameterization_pl
   graphics_scene->addItem(projection);
   projections[new_item] = projection;
   if(current_uv_item){
-    Scene_textured_facegraph_item* t_item = 
+    Scene_textured_facegraph_item* t_item =
         qobject_cast<Scene_textured_facegraph_item*>(projections.key(current_uv_item));
    t_item->add_border_edges(std::vector<float>(0));
   }
   current_uv_item = projection;
-  Scene_textured_facegraph_item* t_item = 
+  Scene_textured_facegraph_item* t_item =
       qobject_cast<Scene_textured_facegraph_item*>(projections.key(current_uv_item));
   t_item->add_border_edges(
         current_uv_item->concatenated_borders());
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/Scene_polyhedron_shortest_path_item.cpp 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/Scene_polyhedron_shortest_path_item.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/Scene_polyhedron_shortest_path_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/Scene_polyhedron_shortest_path_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -30,19 +30,19 @@ struct Scene_polyhedron_shortest_path_it
   typedef GraphTraits::face_descriptor face_descriptor;
   typedef GraphTraits::face_iterator face_iterator;
 
-  typedef CGAL::Surface_mesh_shortest_path_traits<Kernel, Face_graph> 
+  typedef CGAL::Surface_mesh_shortest_path_traits<Kernel, Face_graph>
   Surface_mesh_shortest_path_traits;
-  typedef CGAL::Surface_mesh_shortest_path<Surface_mesh_shortest_path_traits> 
+  typedef CGAL::Surface_mesh_shortest_path<Surface_mesh_shortest_path_traits>
   Surface_mesh_shortest_path;
   typedef Surface_mesh_shortest_path::Face_location Face_location;
-  typedef CGAL::AABB_face_graph_triangle_primitive<Face_graph, VertexPointMap> 
+  typedef CGAL::AABB_face_graph_triangle_primitive<Face_graph, VertexPointMap>
   AABB_face_graph_primitive;
   typedef CGAL::AABB_traits<Kernel, AABB_face_graph_primitive> AABB_face_graph_traits;
   typedef CGAL::AABB_tree<AABB_face_graph_traits> AABB_face_graph_tree;
 
-  typedef Surface_mesh_shortest_path_traits::Barycentric_coordinates 
+  typedef Surface_mesh_shortest_path_traits::Barycentric_coordinates
   Barycentric_coordinates;
-  typedef Surface_mesh_shortest_path_traits::Construct_barycentric_coordinates 
+  typedef Surface_mesh_shortest_path_traits::Construct_barycentric_coordinates
   Construct_barycentric_coordinates;
   typedef Surface_mesh_shortest_path_traits::Ray_3 Ray_3;
   typedef Surface_mesh_shortest_path_traits::Point_3 Point_3;
@@ -105,14 +105,14 @@ Scene_polyhedron_shortest_path_item::Sce
 Scene_polyhedron_shortest_path_item::Scene_polyhedron_shortest_path_item(
     Scene_face_graph_item* polyhedronItem,
     CGAL::Three::Scene_interface* sceneInterface,
-    Messages_interface* messages, 
+    Messages_interface* messages,
     QMainWindow* mainWindow)
   :Scene_polyhedron_item_decorator(polyhedronItem, false)
 { d = new Scene_polyhedron_shortest_path_item_priv(this);
   common_constructor();
   initialize(polyhedronItem, sceneInterface, messages, mainWindow);
 }
-  
+
 Scene_polyhedron_shortest_path_item::~Scene_polyhedron_shortest_path_item()
 {
   deinitialize();
@@ -127,8 +127,8 @@ void Scene_polyhedron_shortest_path_item
      const CGAL::qglviewer::Vec offset = Three::mainViewer()->offset();
      typedef Scene_polyhedron_shortest_path_item::Surface_mesh_shortest_path::
          Source_point_iterator Source_point_iterator;
-    for( Source_point_iterator it = m_shortestPaths->source_points_begin(); 
-         it != m_shortestPaths->source_points_end(); 
+    for( Source_point_iterator it = m_shortestPaths->source_points_begin();
+         it != m_shortestPaths->source_points_end();
          ++it)
     {
       const Kernel::Point_3& p = m_shortestPaths->point(it->first, it->second);
@@ -159,7 +159,7 @@ bool Scene_polyhedron_shortest_path_item
     return true;
   }
 }
-  
+
 void Scene_polyhedron_shortest_path_item::draw(CGAL::Three::Viewer_interface* viewer) const
 {
     if (supportsRenderingMode(renderingMode()))
@@ -184,14 +184,14 @@ void Scene_polyhedron_shortest_path_item
     computeElements();
     initializeBuffers(viewer);
   }
-  
+
    viewer->setGlPointSize(4.0f);
    Pc* pc = getPointContainer(0);
    pc->setColor(QColor(Qt::green));
    pc->draw(viewer, true);
    viewer->setGlPointSize(1.0f);
 }
-  
+
 Scene_polyhedron_shortest_path_item* Scene_polyhedron_shortest_path_item::clone() const
 {
   return 0;
@@ -202,7 +202,7 @@ void Scene_polyhedron_shortest_path_item
   d->m_selectionMode = mode;
 }
 
-Scene_polyhedron_shortest_path_item::Selection_mode 
+Scene_polyhedron_shortest_path_item::Selection_mode
 Scene_polyhedron_shortest_path_item::get_selection_mode() const
 {
   return d->m_selectionMode;
@@ -232,7 +232,7 @@ void Scene_polyhedron_shortest_path_item
             CGAL::get(CGAL::halfedge_index, *(item->polyhedron())),
             CGAL::get(CGAL::face_index, *(item->polyhedron())),
             CGAL::get(CGAL::vertex_point, *(item->polyhedron())));
-            
+
   //m_shortestPaths->m_debugOutput = true;
 
   m_isTreeCached = false;
@@ -256,14 +256,14 @@ void Scene_polyhedron_shortest_path_item
     CGAL::Three::Three::information("Done.");
   }
 }
-  
+
 void Scene_polyhedron_shortest_path_item::poly_item_changed()
 {
   d->recreate_shortest_path_object();
   invalidateOpenGLBuffers();
   Q_EMIT itemChanged();
 }
-  
+
 void Scene_polyhedron_shortest_path_item::invalidateOpenGLBuffers()
 {
   compute_bbox();
@@ -292,7 +292,7 @@ bool Scene_polyhedron_shortest_path_item
     const CGAL::qglviewer::Vec orig = camera->position() - offset;
     outRay = Ray_3(Point_3(orig.x, orig.y, orig.z), Point_3(point.x, point.y, point.z));
   }
-  
+
   return found;
 }
 
@@ -300,28 +300,28 @@ void Scene_polyhedron_shortest_path_item
     const Scene_polyhedron_shortest_path_item::Face_location& faceLocation)
 {
   Surface_mesh_shortest_path_traits::Compute_squared_distance_3 computeSquaredDistance3;
-  
+
   const Point_3 pickLocation = m_shortestPaths->point(faceLocation.first,
                                                       faceLocation.second);
-  
+
   Surface_mesh_shortest_path::Source_point_iterator found =
       m_shortestPaths->source_points_end();
   FT minDistance(0.0);
-  
+
   for (Surface_mesh_shortest_path::Source_point_iterator it =
-       m_shortestPaths->source_points_begin(); 
+       m_shortestPaths->source_points_begin();
        it != m_shortestPaths->source_points_end(); ++it)
   {
     Point_3 sourceLocation = m_shortestPaths->point(it->first, it->second);
     FT distance = computeSquaredDistance3(sourceLocation, pickLocation);
-    
+
     if (found == m_shortestPaths->source_points_end() || distance < minDistance)
     {
       found = it;
       minDistance = distance;
     }
   }
-  
+
   if (found != m_shortestPaths->source_points_end())
   {
     m_shortestPaths->remove_source_point(found);
@@ -333,7 +333,7 @@ void Scene_polyhedron_shortest_path_item
 {
   size_t minIndex = 0;
   FT minCoord(inOutLocation.second[0]);
-  
+
   for (size_t i = 1; i < 3; ++i)
   {
     if (minCoord > inOutLocation.second[i])
@@ -342,11 +342,11 @@ void Scene_polyhedron_shortest_path_item
       minCoord = inOutLocation.second[i];
     }
   }
-  
+
   // The nearest edge is that of the two non-minimal barycentric coordinates
   size_t nearestEdge[2];
   size_t current = 0;
-  
+
   for (size_t i = 0; i < 3; ++i)
   {
     if (i != minIndex)
@@ -366,17 +366,17 @@ void Scene_polyhedron_shortest_path_item
     m_shortestPaths->point(inOutLocation.first,
     construct_barycentric_coordinates(FT(0.0), FT(0.0), FT(1.0))),
   };
-  
+
   CGAL::Surface_mesh_shortest_paths_3::Parametric_distance_along_segment_3<
       Surface_mesh_shortest_path_traits> parametricDistanceSegment3;
-  
+
   Point_3 trianglePoint = m_shortestPaths->point(inOutLocation.first, inOutLocation.second);
-  
-  FT distanceAlongSegment = parametricDistanceSegment3(trianglePoints[nearestEdge[0]], 
+
+  FT distanceAlongSegment = parametricDistanceSegment3(trianglePoints[nearestEdge[0]],
       trianglePoints[nearestEdge[1]], trianglePoint);
-  
+
   FT coords[3] = { FT(0.0), FT(0.0), FT(0.0), };
-  
+
   coords[nearestEdge[1]] = distanceAlongSegment;
   coords[nearestEdge[0]] = FT(1.0) - distanceAlongSegment;
 
@@ -388,7 +388,7 @@ void Scene_polyhedron_shortest_path_item
 {
   size_t maxIndex = 0;
   FT maxCoord(inOutLocation.second[0]);
-  
+
   for (size_t i = 1; i < 3; ++i)
   {
     if (inOutLocation.second[i] > maxCoord)
@@ -397,10 +397,10 @@ void Scene_polyhedron_shortest_path_item
       maxCoord = inOutLocation.second[i];
     }
   }
-  
+
   FT coords[3] = { FT(0.0), FT(0.0), FT(0.0), };
   coords[maxIndex] = FT(1.0);
-  
+
   Construct_barycentric_coordinates construct_barycentric_coordinates;
   inOutLocation.second = construct_barycentric_coordinates(coords[0], coords[1], coords[2]);
 }
@@ -409,9 +409,9 @@ bool Scene_polyhedron_shortest_path_item
 {
   QApplication::setOverrideCursor(Qt::WaitCursor);
   ensure_aabb_object();
-  
+
   Face_location faceLocation = m_shortestPaths->locate(ray, m_aabbTree);
-  
+
   if (faceLocation.first == GraphTraits::null_face())
   {
     CGAL::Three::Three::information(QObject::tr("Shortest Paths: No face under cursor."));
@@ -461,11 +461,11 @@ bool Scene_polyhedron_shortest_path_item
       case It::FACE_MODE:
         break;
       }
-      
+
       if (m_shortestPaths->number_of_source_points() > 0)
       {
         ensure_shortest_paths_tree();
-        
+
         Scene_polylines_item* polylines = new Scene_polylines_item();
 
         polylines->polylines.push_back(Scene_polylines_item::Polyline());
@@ -476,7 +476,7 @@ bool Scene_polyhedron_shortest_path_item
         time.start();
         //~ m_shortestPaths->m_debugOutput=true;
         m_shortestPaths->shortest_path_points_to_source_points(
-              faceLocation.first, 
+              faceLocation.first,
               faceLocation.second,
               std::back_inserter(polylines->polylines.back()));
         std::cout << "ok (" << time.elapsed() << " ms)" << std::endl;
@@ -515,14 +515,14 @@ bool Scene_polyhedron_shortest_path_item
     Qt::KeyboardModifiers modifiers = keyEvent->modifiers();
     d->m_shiftHeld = modifiers.testFlag(Qt::ShiftModifier);
   }
-  
+
   if (event->type() == QEvent::MouseButtonPress && d->m_shiftHeld)
   {
     QMouseEvent* mouseEvent = static_cast<QMouseEvent*>(event);
-    if(mouseEvent->button() == Qt::LeftButton) 
+    if(mouseEvent->button() == Qt::LeftButton)
     {
       Ray_3 mouseRay;
-      
+
       if (d->get_mouse_ray(mouseEvent, mouseRay))
       {
         if (d->run_point_select(mouseRay))
@@ -532,7 +532,7 @@ bool Scene_polyhedron_shortest_path_item
       }
     }
   }
-  
+
   return false;
 }
 
@@ -544,21 +544,21 @@ bool Scene_polyhedron_shortest_path_item
 
 bool Scene_polyhedron_shortest_path_item::deferred_load(
     Scene_face_graph_item* polyhedronItem,
-    CGAL::Three::Scene_interface* sceneInterface, 
-    Messages_interface* messages, 
+    CGAL::Three::Scene_interface* sceneInterface,
+    Messages_interface* messages,
     QMainWindow* mainWindow)
 {
   initialize(polyhedronItem, sceneInterface, messages, mainWindow);
-  
+
   std::ifstream inFile(d->m_deferredLoadFilename.c_str());
-  
-  if (!inFile) 
-  { 
+
+  if (!inFile)
+  {
     return false;
   }
-  
+
   d->m_shortestPaths->clear();
-  
+
   std::vector<face_descriptor> listOfFaces;
   listOfFaces.reserve(CGAL::num_faces(*polyhedron()));
   face_iterator current, end;
@@ -577,33 +577,33 @@ bool Scene_polyhedron_shortest_path_item
     std::istringstream lineStream(line);
     FT coords[3];
     lineStream >> faceId >> coords[0] >> coords[1] >> coords[2];
-    
+
     location = construct_barycentric_coordinates(coords[0], coords[1], coords[2]);
-    
+
     // std::cout << "Read in face: " << faceId << " , " << location << std::endl;
-    
+
     d->m_shortestPaths->add_source_point(listOfFaces[faceId], location);
   }
 
   return true;
 }
 
-bool Scene_polyhedron_shortest_path_item::save(const std::string& file_name) const 
+bool Scene_polyhedron_shortest_path_item::save(const std::string& file_name) const
 {
   std::ofstream out(file_name.c_str());
   boost::property_map<Face_graph, CGAL::face_index_t>::type fimap
       = get(CGAL::face_index, *polyhedron());
   if (!out)
-  { 
-    return false; 
+  {
+    return false;
   }
 
   for(Surface_mesh_shortest_path::Source_point_iterator it =
-      d->m_shortestPaths->source_points_begin(); 
+      d->m_shortestPaths->source_points_begin();
       it != d->m_shortestPaths->source_points_end();
       ++it)
-  { 
-    out << get(fimap, it->first) << " " << it->second[0] << " " << it->second[1] 
+  {
+    out << get(fimap, it->first) << " " << it->second[0] << " " << it->second[1]
         << " " << it->second[3] << std::endl;
   }
 
@@ -611,15 +611,15 @@ bool Scene_polyhedron_shortest_path_item
 }
 
 void Scene_polyhedron_shortest_path_item::initialize(
-    Scene_face_graph_item* polyhedronItem, 
-    CGAL::Three::Scene_interface* sceneInterface, 
+    Scene_face_graph_item* polyhedronItem,
+    CGAL::Three::Scene_interface* sceneInterface,
     Messages_interface* messages, QMainWindow* mainWindow)
 {
   d->m_mainWindow = mainWindow;
   d->m_messages = messages;
   this->poly_item = polyhedronItem;
   d->m_sceneInterface = sceneInterface;
-  connect(polyhedronItem, SIGNAL(item_is_about_to_be_changed()), this, 
+  connect(polyhedronItem, SIGNAL(item_is_about_to_be_changed()), this,
           SLOT(poly_item_changed()));
   Q_FOREACH(CGAL::QGLViewer* viewer, CGAL::QGLViewer::QGLViewerPool())
     viewer->installEventFilter(this);
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/Scene_polyhedron_shortest_path_item.h 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/Scene_polyhedron_shortest_path_item.h
--- 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/Scene_polyhedron_shortest_path_item.h	2020-02-21 20:03:57.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/Scene_polyhedron_shortest_path_item.h	2020-08-01 19:02:42.000000000 +0000
@@ -34,25 +34,25 @@ struct Scene_polyhedron_shortest_path_it
 class SCENE_POLYHEDRON_SHORTEST_PATH_ITEM_EXPORT Scene_polyhedron_shortest_path_item : public Scene_polyhedron_item_decorator
 {
   Q_OBJECT
-  
+
   friend class Polyhedron_demo_shortest_path_plugin;
-  
+
 public:
   typedef CGAL::Three::Scene_interface::Bbox Bbox;
-  
+
   typedef boost::property_map<Face_graph, CGAL::vertex_point_t>::type VertexPointMap;
-  
+
   typedef boost::graph_traits<Face_graph> GraphTraits;
   typedef GraphTraits::face_descriptor face_descriptor;
   typedef GraphTraits::face_iterator face_iterator;
-  
+
   typedef CGAL::Surface_mesh_shortest_path_traits<Kernel, Face_graph> Surface_mesh_shortest_path_traits;
   typedef CGAL::Surface_mesh_shortest_path<Surface_mesh_shortest_path_traits> Surface_mesh_shortest_path;
   typedef Surface_mesh_shortest_path::Face_location Face_location;
   typedef CGAL::AABB_face_graph_triangle_primitive<Face_graph, VertexPointMap> AABB_face_graph_primitive;
   typedef CGAL::AABB_traits<Kernel, AABB_face_graph_primitive> AABB_face_graph_traits;
   typedef CGAL::AABB_tree<AABB_face_graph_traits> AABB_face_graph_tree;
-  
+
   typedef Surface_mesh_shortest_path_traits::Barycentric_coordinates Barycentric_coordinates;
   typedef Surface_mesh_shortest_path_traits::Construct_barycentric_coordinates Construct_barycentric_coordinates;
   typedef Surface_mesh_shortest_path_traits::Ray_3 Ray_3;
@@ -72,26 +72,26 @@ public:
     EDGE_MODE = 1,
     FACE_MODE = 2
   };
-  
+
 public:
   void common_constructor();
   Scene_polyhedron_shortest_path_item();
   Scene_polyhedron_shortest_path_item(Scene_face_graph_item* polyhedronItem, CGAL::Three::Scene_interface* sceneInterface, Messages_interface* messages, QMainWindow* mainWindow);
   ~Scene_polyhedron_shortest_path_item();
-  
+
   void set_selection_mode(Selection_mode mode);
   Selection_mode get_selection_mode() const;
   void set_primitives_mode(Primitives_mode mode);
   Primitives_mode get_primitives_mode() const;
-  
+
   virtual bool supportsRenderingMode(RenderingMode m) const;
   using Scene_polyhedron_item_decorator::draw;
   virtual void draw(CGAL::Three::Viewer_interface*) const;
   // Points OpenGL drawing
   virtual void drawPoints(CGAL::Three::Viewer_interface*) const;
-  
+
   virtual Scene_polyhedron_shortest_path_item* clone() const;
-  
+
   bool deferred_load(Scene_face_graph_item* polyhedronItem, CGAL::Three::Scene_interface* sceneInterface, Messages_interface* messages, QMainWindow* mainWindow);
   virtual bool load(const std::string& file_name);
   virtual bool save(const std::string& file_name) const;
@@ -101,17 +101,17 @@ public:
 protected:
   void initialize(Scene_face_graph_item* polyhedronItem, CGAL::Three::Scene_interface* sceneInterface, Messages_interface* messages, QMainWindow* mainWindow);
   void deinitialize();
-  
+
   virtual bool isFinite() const;
   virtual bool isEmpty() const;
   virtual void compute_bbox()const;
   virtual QString toolTip() const;
   friend struct Scene_polyhedron_shortest_path_item_priv;
   Scene_polyhedron_shortest_path_item_priv* d;
-  
+
 protected:
   bool eventFilter(QObject* /*target*/, QEvent * gen_event);
-  
+
 public Q_SLOTS:
   void poly_item_changed();
   void connectNewViewer(QObject* o);
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/VSA_wrapper.h 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/VSA_wrapper.h
--- 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh/VSA_wrapper.h	2020-02-21 20:03:57.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh/VSA_wrapper.h	2020-08-01 19:02:42.000000000 +0000
@@ -96,7 +96,7 @@ class VSA_WRAPPER_EXPORT VSA_wrapper {
   typedef CGAL::Variational_shape_approximation<SMesh, Vertex_point_map,
     Compact_metric, EPICK> Compact_approx;
 #endif
-  
+
 
 public:
   enum Metric { L21, L2, Compact };
@@ -154,7 +154,7 @@ public:
     // generate proxy colors
     m_proxy_colors.clear();
     m_proxy_colors.reserve(number_of_proxies());
-    
+
     for (std::size_t i = 0; i < number_of_proxies(); ++i) {
       m_proxy_colors.push_back(generate_random_color());
     }
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh_deformation/CMakeLists.txt 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh_deformation/CMakeLists.txt
--- 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh_deformation/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh_deformation/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -1,6 +1,6 @@
 include( polyhedron_demo_macros )
 if ( EIGEN3_FOUND AND "${EIGEN3_VERSION}" VERSION_GREATER "3.1.90" )
- 
+
   polyhedron_demo_plugin(edit_plugin Edit_polyhedron_plugin Deform_mesh.ui)
   target_link_libraries(edit_plugin PUBLIC scene_surface_mesh_item scene_edit_item scene_selection_item)
 else()
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh_deformation/Edit_polyhedron_plugin.cpp 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh_deformation/Edit_polyhedron_plugin.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh_deformation/Edit_polyhedron_plugin.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh_deformation/Edit_polyhedron_plugin.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -17,7 +17,7 @@
 typedef Scene_surface_mesh_item Scene_facegraph_item;
 
 using namespace CGAL::Three;
-class Polyhedron_demo_edit_polyhedron_plugin : 
+class Polyhedron_demo_edit_polyhedron_plugin :
   public QObject,
   public Polyhedron_demo_plugin_helper
 {
@@ -26,7 +26,7 @@ class Polyhedron_demo_edit_polyhedron_pl
   Q_PLUGIN_METADATA(IID "com.geometryfactory.PolyhedronDemo.PluginInterface/1.0")
 
 public:
-  Polyhedron_demo_edit_polyhedron_plugin() 
+  Polyhedron_demo_edit_polyhedron_plugin()
     : Polyhedron_demo_plugin_helper(), dock_widget(NULL)
   { }
   ~Polyhedron_demo_edit_polyhedron_plugin()
@@ -50,12 +50,12 @@ public Q_SLOTS:
   void on_PrevCtrlVertPushButton_clicked();
   void on_NextCtrlVertPushButton_clicked();
   void on_SelectAllVerticesPushButton_clicked();
-  void on_DeleteCtrlVertPushButton_clicked();  
+  void on_DeleteCtrlVertPushButton_clicked();
   void on_ApplyAndClosePushButton_clicked();
   void on_DiscardChangesPushButton_clicked();
   void on_ClearROIPushButton_clicked();
   void on_ShowROICheckBox_stateChanged(int state);
-  void on_ShowAsSphereCheckBox_stateChanged(int state);  
+  void on_ShowAsSphereCheckBox_stateChanged(int state);
   void on_ActivatePivotingCheckBox_stateChanged(int state);
   void on_ActivateFixedPlaneCheckBox_stateChanged(int state);
   void on_OverwritePushButton_clicked();
@@ -89,7 +89,7 @@ private:
 QList<QAction*> Polyhedron_demo_edit_polyhedron_plugin::actions() const {
   return QList<QAction*>() << actionDeformation;
 }
-bool Polyhedron_demo_edit_polyhedron_plugin::applicable(QAction*) const { 
+bool Polyhedron_demo_edit_polyhedron_plugin::applicable(QAction*) const {
   Q_FOREACH(CGAL::Three::Scene_interface::Item_id i, scene->selectionIndices())
   {
     if(qobject_cast<Scene_facegraph_item*>(scene->item(i)))
@@ -130,7 +130,7 @@ void Polyhedron_demo_edit_polyhedron_plu
         , mw);
   dock_widget->setVisible(false); // do not show at the beginning
 
-  ui_widget.setupUi(dock_widget); 
+  ui_widget.setupUi(dock_widget);
   dock_widget->setWindowTitle(tr(
                                   "Surface Mesh Deformation"
                                 ));
@@ -146,7 +146,7 @@ void Polyhedron_demo_edit_polyhedron_plu
   connect(ui_widget.DiscardChangesPushButton, SIGNAL(clicked()), this, SLOT(on_DiscardChangesPushButton_clicked()));
   connect(ui_widget.ClearROIPushButton, SIGNAL(clicked()), this, SLOT(on_ClearROIPushButton_clicked()));
   connect(ui_widget.ShowROICheckBox, SIGNAL(stateChanged(int)), this, SLOT(on_ShowROICheckBox_stateChanged(int)));
-  connect(ui_widget.ShowAsSphereCheckBox, SIGNAL(stateChanged(int)), this, SLOT(on_ShowAsSphereCheckBox_stateChanged(int)));  
+  connect(ui_widget.ShowAsSphereCheckBox, SIGNAL(stateChanged(int)), this, SLOT(on_ShowAsSphereCheckBox_stateChanged(int)));
   connect(ui_widget.ActivateFixedPlaneCheckBox, SIGNAL(stateChanged(int)), this, SLOT(on_ActivateFixedPlaneCheckBox_stateChanged(int)));
   connect(ui_widget.ActivatePivotingCheckBox, SIGNAL(stateChanged(int)), this, SLOT(on_ActivatePivotingCheckBox_stateChanged(int)));
   connect(ui_widget.OverwritePushButton, SIGNAL(clicked()), this, SLOT(on_OverwritePushButton_clicked()));
@@ -165,7 +165,7 @@ void Polyhedron_demo_edit_polyhedron_plu
 }
 
 void Polyhedron_demo_edit_polyhedron_plugin::on_actionDeformation_triggered()
-{  
+{
   // dock widget should be constructed in init()
   if(dock_widget->isVisible()) { dock_widget->hide(); }
   else                         { dock_widget->show(); dock_widget->raise();}
@@ -252,8 +252,8 @@ void Polyhedron_demo_edit_polyhedron_plu
   {
     Scene_edit_polyhedron_item* edit_item = qobject_cast<Scene_edit_polyhedron_item*>(scene->item(i));
     if(!edit_item) { continue; }
-    scene->itemChanged(edit_item);  // just for redraw   
-  }  
+    scene->itemChanged(edit_item);  // just for redraw
+  }
 }
 void Polyhedron_demo_edit_polyhedron_plugin::on_ShowAsSphereCheckBox_stateChanged(int state)
 {
@@ -265,8 +265,8 @@ void Polyhedron_demo_edit_polyhedron_plu
       edit_item->ShowAsSphere(false);
     else
       edit_item->ShowAsSphere(true);
-    scene->itemChanged(edit_item);  // just for redraw   
-  }  
+    scene->itemChanged(edit_item);  // just for redraw
+  }
 }
 void Polyhedron_demo_edit_polyhedron_plugin::on_ActivatePivotingCheckBox_stateChanged(int state)
 {
@@ -274,14 +274,14 @@ void Polyhedron_demo_edit_polyhedron_plu
   {
     Scene_edit_polyhedron_item* edit_item = qobject_cast<Scene_edit_polyhedron_item*>(scene->item(i));
     if(!edit_item) { continue; }
-    
+
     if(state == Qt::Checked) {
       edit_item->pivoting_begin();
     }
     else {
       edit_item->pivoting_end();
     }
-    scene->itemChanged(edit_item);     
+    scene->itemChanged(edit_item);
   }
 }
 void Polyhedron_demo_edit_polyhedron_plugin::on_ActivateFixedPlaneCheckBox_stateChanged(int)
@@ -308,7 +308,7 @@ void Polyhedron_demo_edit_polyhedron_plu
   Scene_edit_polyhedron_item* edit_item = qobject_cast<Scene_edit_polyhedron_item*>(scene->item(item_id));
   if(!edit_item) return;                             // the selected item is not of the right type
 
-  boost::optional<std::size_t> minimum = 
+  boost::optional<std::size_t> minimum =
     edit_item->select_isolated_components(ui_widget.Threshold_size_spin_box->value());
   if(minimum) {
     ui_widget.Threshold_size_spin_box->setValue((int) *minimum);
@@ -330,27 +330,27 @@ void Polyhedron_demo_edit_polyhedron_plu
 {
   int item_id = scene->mainSelectionIndex();
   Scene_edit_polyhedron_item* edit_item = qobject_cast<Scene_edit_polyhedron_item*>(scene->item(item_id));
-  if(!edit_item) return;  
+  if(!edit_item) return;
 
-  QString fileName = QFileDialog::getSaveFileName(mw, "Save", 
+  QString fileName = QFileDialog::getSaveFileName(mw, "Save",
       "roi.txt", "Text (*.txt)");
   if(fileName.isNull()) { return; }
 
-  edit_item->save_roi(fileName.toLocal8Bit().data());  
+  edit_item->save_roi(fileName.toLocal8Bit().data());
 }
 void Polyhedron_demo_edit_polyhedron_plugin::on_ReadROIPushButton_clicked()
 {
   int item_id = scene->mainSelectionIndex();
   Scene_edit_polyhedron_item* edit_item = qobject_cast<Scene_edit_polyhedron_item*>(scene->item(item_id));
-  if(!edit_item) return;  
+  if(!edit_item) return;
 
-  QString fileName = QFileDialog::getOpenFileName(mw, "Read", 
+  QString fileName = QFileDialog::getOpenFileName(mw, "Read",
     "roi.txt", "Text (*.txt)");
   if(fileName.isNull()) { return; }
 
   edit_item->read_roi(fileName.toLocal8Bit().data());
   edit_item->invalidateOpenGLBuffers();
-  scene->itemChanged(edit_item); 
+  scene->itemChanged(edit_item);
 }
 
 
@@ -425,7 +425,7 @@ void Polyhedron_demo_edit_polyhedron_plu
 
 
 void Polyhedron_demo_edit_polyhedron_plugin::on_ROIRadioButton_toggled(bool value) {
-  int k_ring = value ? ui_widget.BrushSpinBoxRoi->value() : 
+  int k_ring = value ? ui_widget.BrushSpinBoxRoi->value() :
                        ui_widget.BrushSpinBoxCtrlVert->value();
   for(CGAL::Three::Scene_interface::Item_id i = 0, end = scene->numberOfEntries(); i < end; ++i)
   {
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh_deformation/Scene_edit_polyhedron_item.cpp 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh_deformation/Scene_edit_polyhedron_item.cpp
--- 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh_deformation/Scene_edit_polyhedron_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh_deformation/Scene_edit_polyhedron_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -170,7 +170,7 @@ struct Facegraph_selector
   }
 
   ////ctrl_groups/////
-  
+
   Ctrl_vertices_sm_group_data_list::iterator& get_active_group(SMesh*)
   {
     return d->sm_active_group;
@@ -193,7 +193,7 @@ struct Facegraph_selector
     return d->sm_ctrl_vertex_frame_map;
   }
 
-  
+
   Ctrl_vertices_sm_group_data_list::iterator& get_active_group(SMesh*, Scene_edit_polyhedron_item_priv* d)const
   {
     return d->sm_active_group;
@@ -431,7 +431,7 @@ void Scene_edit_polyhedron_item::deform(
 {
 
   if(!is_there_any_ctrl_vertices()) { return; }
-  
+
   d->deform(d->sm_item->polyhedron());
   d->sm_item->invalidate_aabb_tree();
   Q_EMIT itemChanged();
@@ -1050,9 +1050,9 @@ void Scene_edit_polyhedron_item::draw_RO
   viewer->setGlPointSize(5);
   //Draw the points
   if(d->ui_widget->ShowROICheckBox->isChecked()) {
-    
+
     if(!d->ui_widget->ShowAsSphereCheckBox->isChecked() || !viewer->isExtensionFound()) {
-      
+
       Pc* pc = getPointContainer(Priv::Roi_points);
       pc->setColor(QColor(0,255,0));
       pc->draw(viewer, true);
@@ -1070,7 +1070,7 @@ void Scene_edit_polyhedron_item::draw_RO
       Scene_group_item::draw(viewer);
     }
   }
-  
+
     if(!d->ui_widget->ShowAsSphereCheckBox->isChecked() || !viewer->isExtensionFound()) {
         Pc* pc = getPointContainer(Priv::Control_points);
         pc->draw(viewer, false);
@@ -1092,17 +1092,17 @@ void Scene_edit_polyhedron_item_priv::co
     pos_bbox[3]=bb.xmax(); pos_bbox[4]=bb.ymin(); pos_bbox[5]=bb.zmin();
     pos_bbox[6]=bb.xmin(); pos_bbox[7]=bb.ymin(); pos_bbox[8]=bb.zmin();
     pos_bbox[9]=bb.xmin(); pos_bbox[10]=bb.ymax(); pos_bbox[11]=bb.zmin();
-    
+
     pos_bbox[12]=bb.xmin(); pos_bbox[13]=bb.ymin(); pos_bbox[14]=bb.zmin();
     pos_bbox[15]=bb.xmin(); pos_bbox[16]=bb.ymin(); pos_bbox[17]=bb.zmax();
     pos_bbox[18]= bb.xmax(); pos_bbox[19]=bb.ymin(); pos_bbox[20]=bb.zmin();
     pos_bbox[21]= bb.xmax(); pos_bbox[22]=bb.ymax(); pos_bbox[23]=bb.zmin();
-    
+
     pos_bbox[24]= bb.xmax(); pos_bbox[25]=bb.ymin(); pos_bbox[26]=bb.zmin();
     pos_bbox[27]= bb.xmax(); pos_bbox[28]=bb.ymin(); pos_bbox[29]=bb.zmax();
     pos_bbox[30]=bb.xmin(); pos_bbox[31]=bb.ymax(); pos_bbox[32]=bb.zmin();
     pos_bbox[33]=bb.xmax(); pos_bbox[34]=bb.ymax(); pos_bbox[35]=bb.zmin();
-    
+
     pos_bbox[36]=bb.xmin(); pos_bbox[37]=bb.ymax(); pos_bbox[38]=bb.zmin();
     pos_bbox[39]=bb.xmin(); pos_bbox[40]=bb.ymax(); pos_bbox[41]=bb.zmax();
     pos_bbox[42]=bb.xmin(); pos_bbox[43]=bb.ymin(); pos_bbox[44]=bb.zmax();
@@ -1117,7 +1117,7 @@ void Scene_edit_polyhedron_item_priv::co
     pos_bbox[63]=bb.xmax(); pos_bbox[64]=bb.ymin(); pos_bbox[65]=bb.zmax();
     pos_bbox[66]=bb.xmax(); pos_bbox[67]=bb.ymax(); pos_bbox[68]=bb.zmax();
     pos_bbox[69]=bb.xmax(); pos_bbox[70]=bb.ymax(); pos_bbox[71]=bb.zmin();
-    
+
 }
 
 void Scene_edit_polyhedron_item::invalidateOpenGLBuffers()
@@ -1167,7 +1167,7 @@ QString Scene_edit_polyhedron_item::tool
 {
   if(!d->sm_item->polyhedron())
     return QString();
-  
+
   return QObject::tr("<p>Surface Mesh <b>%1</b> (mode: %5, color: %6)</p>"
                      "<p>Number of vertices: %2<br />"
                      "Number of edges: %3<br />"
@@ -1251,7 +1251,7 @@ bool Scene_edit_polyhedron_item::keyPres
 
 void Scene_edit_polyhedron_item::update_frame_plane()
 {
-  
+
   for(Ctrl_vertices_sm_group_data_list::iterator hgb_data = d->sm_ctrl_vertex_frame_map.begin();
       hgb_data != d->sm_ctrl_vertex_frame_map.end(); ++hgb_data)
   {
@@ -1422,7 +1422,7 @@ void Scene_edit_polyhedron_item::create_
   Control_vertices_data<SMesh> hgd(d->deform_sm_mesh, new_frame);
   d->sm_ctrl_vertex_frame_map.push_back(hgd);
   hgd.refresh(surface_mesh());
-  
+
   d->sm_active_group = --d->sm_ctrl_vertex_frame_map.end();
 
   invalidateOpenGLBuffers();
@@ -1549,7 +1549,7 @@ void Scene_edit_polyhedron_item::save_ro
   // save control vertices
   out << d->sm_ctrl_vertex_frame_map.size() << std::endl; // control vertices count
   for(Ctrl_vertices_sm_group_data_list::const_iterator hgb = d->sm_ctrl_vertex_frame_map.begin(); hgb != d->sm_ctrl_vertex_frame_map.end(); ++hgb) {
-    
+
     out << hgb->ctrl_vertices_group.size() << std::endl;
     for(std::vector<sm_vertex_descriptor>::const_iterator hb = hgb->ctrl_vertices_group.begin(); hb != hgb->ctrl_vertices_group.end(); ++hb)
     {
@@ -1656,7 +1656,7 @@ bool Scene_edit_polyhedron_item::is_ther
 {
   Ctrl_vertices_sm_group_data_list::iterator hgb, hge;
   if(!is_there_any_ctrl_vertices_group(hgb, hge)) { return false; } // there isn't any group of control vertices
-  
+
   for(; hgb != hge; ++hgb) // check inside groups of control vertices
   {
     if(!hgb->ctrl_vertices_group.empty()) { return true; }
@@ -1744,7 +1744,7 @@ void Scene_edit_polyhedron_item::update_
     d->normals[id*3] = n.x();
     d->normals[id*3+1] = n.y();
     d->normals[id*3+2] = n.z();
-    
+
   }
 }
 
@@ -1802,16 +1802,16 @@ void Scene_edit_polyhedron_item::compute
           vertices_ptr->data(),
           static_cast<int>(vertices_ptr->size()*sizeof(float)));
     tc->allocate(
-          Tc::Smooth_normals, 
+          Tc::Smooth_normals,
           d->normals.data(),
           static_cast<int>(d->normals.size()*sizeof(float)));
     tc->allocate(
-          Tc::Vertex_indices, 
+          Tc::Vertex_indices,
           d->tris.data(),
           static_cast<int>(d->tris.size()*sizeof(float)));
   }
   //vao for the ROI points
-  {  
+  {
     Pc* pc = getPointContainer(Priv::Roi_points);
     pc->allocate(
           Pc::Vertices,
@@ -1837,7 +1837,7 @@ void Scene_edit_polyhedron_item::compute
     ec->allocate(Ec::Vertices,
                  d->pos_bbox.data(),
                  static_cast<int>(d->pos_bbox.size()*sizeof(float)));
-    
+
     d->nb_bbox = d->pos_bbox.size();
   }
   //vao for the control points
@@ -1846,12 +1846,12 @@ void Scene_edit_polyhedron_item::compute
     pc->allocate(Pc::Vertices,
                  d->control_points.data(),
                  static_cast<int>(d->control_points.size()*sizeof(float)));
-    
+
     pc->allocate(Pc::Colors,
                  d->control_color.data(),
                  static_cast<int>(d->control_color.size()*sizeof(float)));
-    
-    
+
+
     d->nb_control = d->control_points.size();
   }
   //vao for the axis
@@ -1865,11 +1865,11 @@ void Scene_edit_polyhedron_item::compute
                  d->color_lines.data(),
                  static_cast<int>(d->color_lines.size()*sizeof(float)));
     d->nb_axis = d->pos_axis.size();
-    
+
   }
   //vao for the frame plane
   {
-    
+
     Tc* tc = getTriangleContainer(Priv::Frame_plane);
     tc->allocate(Tc::Smooth_vertices,
                  d->pos_frame_plane.data(),
@@ -1890,7 +1890,7 @@ void Scene_edit_polyhedron_item::initial
   getEdgeContainer(Priv::BBox)->initializeBuffers(v);
   getPointContainer(Priv::Roi_points)->initializeBuffers(v);
   getPointContainer(Priv::Control_points)->initializeBuffers(v);
-  
+
   getTriangleContainer(Priv::Facets)->setIdxSize(d->tris.size());
   getTriangleContainer(Priv::Frame_plane)->setIdxSize(d->plane_idx.size());
   getEdgeContainer(Priv::Edges)->setIdxSize(d->_edges.size());
@@ -1898,7 +1898,7 @@ void Scene_edit_polyhedron_item::initial
   getEdgeContainer(Priv::BBox)->setFlatDataSize(d->nb_bbox);
   getPointContainer(Priv::Roi_points)->setFlatDataSize(d->nb_ROI);
   getPointContainer(Priv::Control_points)->setFlatDataSize(d->nb_control);
-  
+
   d->pos_axis.resize(0);
   d->pos_axis.shrink_to_fit();
   d->color_lines.resize(0);
diff -pruN 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh_deformation/Scene_edit_polyhedron_item.h 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh_deformation/Scene_edit_polyhedron_item.h
--- 5.0.2-3/demo/Polyhedron/Plugins/Surface_mesh_deformation/Scene_edit_polyhedron_item.h	2020-02-21 20:03:57.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Plugins/Surface_mesh_deformation/Scene_edit_polyhedron_item.h	2020-08-01 19:02:42.000000000 +0000
@@ -1,6 +1,6 @@
 #ifndef SCENE_EDIT_POLYHEDRON_ITEM_H
 #define SCENE_EDIT_POLYHEDRON_ITEM_H
-//#define CGAL_PROFILE 
+//#define CGAL_PROFILE
 #include "Scene_edit_polyhedron_item_config.h"
 #include "Scene_surface_mesh_item.h"
 #include <CGAL/Three/Scene_transparent_interface.h>
@@ -212,7 +212,7 @@ private:
     }
   }
   CGAL::Three::Scene_interface::Bbox calculate_initial_bbox()
-  {    
+  {
     if(initial_positions.empty()) {return CGAL::Three::Scene_interface::Bbox(0,0,0,0,0,0); }
 
     const CGAL::qglviewer::Vec& p_i = *(initial_positions.begin());
@@ -236,21 +236,21 @@ struct Mouse_keyboard_state_deformation
   bool left_button_pressing;
   bool right_button_pressing;
 
-  Mouse_keyboard_state_deformation() 
+  Mouse_keyboard_state_deformation()
     : ctrl_pressing(false), shift_pressing(false), left_button_pressing(false), right_button_pressing(false)
   { }
 };
 typedef std::list<Control_vertices_data<SMesh> > Ctrl_vertices_sm_group_data_list;
 struct Scene_edit_polyhedron_item_priv;
 // This class represents a polyhedron in the OpenGL scene
-class SCENE_EDIT_POLYHEDRON_ITEM_EXPORT Scene_edit_polyhedron_item 
+class SCENE_EDIT_POLYHEDRON_ITEM_EXPORT Scene_edit_polyhedron_item
   : public CGAL::Three::Scene_group_item ,
     public CGAL::Three::Scene_transparent_interface
 {
   Q_INTERFACES(CGAL::Three::Scene_transparent_interface)
   Q_PLUGIN_METADATA(IID "com.geometryfactory.PolyhedronDemo.TransparentInterface/1.0")
   Q_OBJECT
-public:  
+public:
   Scene_edit_polyhedron_item(){} //needed by the transparent interface
   /// Create an Scene_edit_polyhedron_item from a Scene_surface-mesh_item.
   /// The ownership of the polyhedron is moved to the new edit_polyhedron
@@ -270,9 +270,9 @@ public:
   void setVisible(bool b);
   void setRenderingMode(RenderingMode m);
 
-  
+
   // Indicate if rendering mode is supported
-  bool supportsRenderingMode(RenderingMode m) const { 
+  bool supportsRenderingMode(RenderingMode m) const {
     return m == GouraudPlusEdges;
   }
   void draw(CGAL::Three::Viewer_interface*) const;
diff -pruN 5.0.2-3/demo/Polyhedron/Point_container.cpp 5.0.3-1/demo/Polyhedron/Point_container.cpp
--- 5.0.2-3/demo/Polyhedron/Point_container.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Point_container.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -33,7 +33,7 @@ void Point_container::initGL(Viewer_inte
   if(viewer->isSharing())
   {
     if(!getVao(viewer))
-      setVao(viewer, new Vao(getVao(Three::mainViewer()), 
+      setVao(viewer, new Vao(getVao(Three::mainViewer()),
                              viewer->getShaderProgram(getProgram())));
   }
   else
@@ -75,7 +75,7 @@ void Point_container::initGL(Viewer_inte
       }
       getVao(viewer)->addVbo(getVbo(Vertices));
       getVao(viewer)->addVbo(getVbo(Colors));
-      
+
     }
   }
   setGLInit(viewer, true);
diff -pruN 5.0.2-3/demo/Polyhedron/Polyhedron_demo.cpp 5.0.3-1/demo/Polyhedron/Polyhedron_demo.cpp
--- 5.0.2-3/demo/Polyhedron/Polyhedron_demo.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Polyhedron_demo.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -63,7 +63,7 @@ Polyhedron_demo::Polyhedron_demo(int& ar
 
   QCommandLineParser parser;
   parser.addHelpOption();
-  
+
   QCommandLineOption use_keyword("keyword",
                               tr("Only loads the plugins associated with the following keyword. Can be called multiple times."),
                                  "keyword");
@@ -97,7 +97,7 @@ Polyhedron_demo::Polyhedron_demo(int& ar
   keywords.append(parser_keywords);
   d_ptr->mainWindow.reset(new MainWindow(keywords, parser.isSet(verbose)));
   MainWindow& mainWindow = *d_ptr->mainWindow;
-  
+
   mainWindow.setWindowTitle(main_window_title);
   mainWindow.show();
 
diff -pruN 5.0.2-3/demo/Polyhedron/Polyhedron_demo.h 5.0.3-1/demo/Polyhedron/Polyhedron_demo.h
--- 5.0.2-3/demo/Polyhedron/Polyhedron_demo.h	2020-02-21 20:03:57.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Polyhedron_demo.h	2020-08-01 19:02:42.000000000 +0000
@@ -21,7 +21,7 @@ public:
    */
   Polyhedron_demo(int& argc, char **argv,
                   QString application_name = "Polyhedron_3 demo",
-                  QString main_window_title = "CGAL Polyhedron demo", 
+                  QString main_window_title = "CGAL Polyhedron demo",
                   QStringList input_keywords = QStringList());
 
   ~Polyhedron_demo();
diff -pruN 5.0.2-3/demo/Polyhedron/Primitive_container.cpp 5.0.3-1/demo/Polyhedron/Primitive_container.cpp
--- 5.0.2-3/demo/Polyhedron/Primitive_container.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Primitive_container.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -119,7 +119,7 @@ void Primitive_container::initializeBuff
     viewer->glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_REPEAT);
     viewer->glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_LINEAR);
     viewer->glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR);
-    
+
     getVao(viewer)->release();
   }
   d->VAOs[viewer]->release();
@@ -258,7 +258,7 @@ void Primitive_container::setTextureSize
     d->texture = new Texture();
   d->texture->Width = size.width();
   d->texture->Height = size.height();
-  d->texture->size = 3 * size.width()*size.height(); 
+  d->texture->size = 3 * size.width()*size.height();
   d->texture->data = new GLubyte[d->texture->size];
 }
 
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_c3t3_item.cpp 5.0.3-1/demo/Polyhedron/Scene_c3t3_item.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_c3t3_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_c3t3_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -71,7 +71,7 @@ public :
          delete alphaSlider;
   }
   void compute_bbox() const Q_DECL_OVERRIDE{}
-  
+
   void gl_initialization(Vi* viewer)
   {
     if(!isInit(viewer))
@@ -105,7 +105,7 @@ public :
   {
     getTriangleContainer(0)->reset_vbos(ALL);
     getEdgeContainer(0)->reset_vbos(ALL);
-    
+
     getTriangleContainer(0)->allocate(Tc::Flat_vertices,
           vertices->data(), static_cast<int>(vertices->size()*sizeof(float)));
     getTriangleContainer(0)->allocate(Tc::Flat_normals, normals->data(),
@@ -131,7 +131,7 @@ public :
       getEdgeContainer(0)->setFlatDataSize(edges->size());
     }
   }
-  
+
   //Displays the item
   void draw(CGAL::Three::Viewer_interface* viewer) const Q_DECL_OVERRIDE
   {
@@ -165,7 +165,7 @@ public :
     getEdgeContainer(0)->setPlane(cp);
     getEdgeContainer(0)->setColor(QColor(Qt::black));
     getEdgeContainer(0)->draw(viewer, true);
-    
+
   }
 
   void setFast(bool b)
@@ -240,10 +240,10 @@ public :
   QMenu* contextMenu() Q_DECL_OVERRIDE
   {
     QMenu* menu = Scene_item::contextMenu();
-  
+
     const char* prop_name = "Menu modified by Scene_surface_mesh_item.";
     bool menuChanged = menu->property(prop_name).toBool();
-  
+
     if(!menuChanged) {
       menu->addSeparator();
       QMenu *container = new QMenu(tr("Alpha value"));
@@ -255,7 +255,7 @@ public :
         setAlpha(alphaSlider->value());
         redraw();
       });
-      
+
       container->addAction(sliderAction);
       menu->addMenu(container);
       setProperty("menu_changed", true);
@@ -267,10 +267,10 @@ public :
   {
     return m_alpha ;
   }
-  
+
   void setAlpha(int a) Q_DECL_OVERRIDE
   {
-    m_alpha = a / 255.0f;    
+    m_alpha = a / 255.0f;
     redraw();
   }
 private:
@@ -395,10 +395,10 @@ struct Scene_c3t3_item_priv {
 
   void invalidate_stats()
   {
-    min_edges_length = std::numeric_limits<float>::max();
+    min_edges_length = (std::numeric_limits<float>::max)();
     max_edges_length = 0;
     mean_edges_length = 0;
-    min_dihedral_angle = std::numeric_limits<float>::max();
+    min_dihedral_angle = (std::numeric_limits<float>::max)();
     max_dihedral_angle = 0;
     mean_dihedral_angle = 0;
     nb_subdomains = 0;
@@ -406,8 +406,8 @@ struct Scene_c3t3_item_priv {
     nb_cnc = 0;
     nb_vertices = 0;
     nb_tets = 0;
-    smallest_radius_radius = std::numeric_limits<float>::max();
-    smallest_edge_radius = std::numeric_limits<float>::max();
+    smallest_radius_radius = (std::numeric_limits<float>::max)();
+    smallest_edge_radius = (std::numeric_limits<float>::max)();
     biggest_v_sma_cube = 0;
     computed_stats = false;
   }
@@ -520,14 +520,14 @@ void Scene_c3t3_item::common_constructor
   c3t3_changed();
   setRenderingMode(FlatPlusEdges);
   create_flat_and_wire_sphere(1.0f,d->s_vertex,d->s_normals, d->ws_vertex);
-  
+
   d->is_surface = is_surface;
   d->is_grid_shown = !is_surface;
   d->show_tetrahedra = !is_surface;
   d->last_intersection = !d->show_tetrahedra;
-  
+
   setTriangleContainer(C3t3_faces, new Tc(Vi::PROGRAM_C3T3, false));
-  
+
   setEdgeContainer(CNC, new Ec(Vi::PROGRAM_NO_SELECTION, false));
   setEdgeContainer(Grid_edges, new Ec(Vi::PROGRAM_NO_SELECTION, false));
   setEdgeContainer(C3t3_edges, new Ec(Vi::PROGRAM_C3T3_EDGES, false));
@@ -548,7 +548,7 @@ Scene_c3t3_item::Scene_c3t3_item(const C
   : Scene_group_item("unnamed")
   , d(new Scene_c3t3_item_priv(c3t3, this))
 {
-  d->reset_cut_plane();  
+  d->reset_cut_plane();
   common_constructor(is_surface);
 }
 
@@ -947,7 +947,7 @@ void Scene_c3t3_item::draw(CGAL::Three::
         d->intersection->setFast(false);
       else
         d->intersection->setFast(true);
-      
+
       if(!d->frame->isManipulated() && !d->areInterBufFilled(viewer))
       {
         //initGL
@@ -963,7 +963,7 @@ void Scene_c3t3_item::draw(CGAL::Three::
   }
   if(d->is_grid_shown)
   {
-    //viewer->makeCurrent(); //messes with the depthPeeling 
+    //viewer->makeCurrent(); //messes with the depthPeeling
     getEdgeContainer(Grid_edges)->setColor(QColor(Qt::black));
     QMatrix4x4 f_mat;
     for (int i = 0; i<16; i++)
@@ -1008,13 +1008,13 @@ void Scene_c3t3_item::drawEdges(CGAL::Th
       getEdgeContainer(Grid_edges)->setFrameMatrix(f_mat);
       getEdgeContainer(Grid_edges)->draw(viewer, true);
     }
-    
+
     QVector4D cp(this->plane().a(),this->plane().b(),this->plane().c(),this->plane().d());
     getEdgeContainer(C3t3_edges)->setPlane(cp);
     getEdgeContainer(C3t3_edges)->setIsSurface(d->is_surface);
     getEdgeContainer(C3t3_edges)->setColor(QColor(Qt::black));
     getEdgeContainer(C3t3_edges)->draw(viewer, true);
-    
+
     if(d->show_tetrahedra){
       if(!d->frame->isManipulated())
         d->intersection->setFast(false);
@@ -1057,14 +1057,14 @@ void Scene_c3t3_item::drawPoints(CGAL::T
       computeElements();
       initializeBuffers(viewer);
     }
-    
-    
+
+
     QVector4D cp(this->plane().a(),this->plane().b(),this->plane().c(),this->plane().d());
     getPointContainer(C3t3_points)->setPlane(cp);
     getPointContainer(C3t3_points)->setIsSurface(d->is_surface);
     getPointContainer(C3t3_points)->setColor(this->color());
     getPointContainer(C3t3_points)->draw(viewer, true);
-    
+
     if(d->is_grid_shown)
     {
       getEdgeContainer(Grid_edges)->setColor(QColor(Qt::black));
@@ -1213,7 +1213,7 @@ QMenu* Scene_c3t3_item::contextMenu()
   bool menuChanged = menu->property(prop_name).toBool();
 
   if (!menuChanged) {
-    
+
     QMenu *container = new QMenu(tr("Alpha value"));
     container->menuAction()->setProperty("is_groupable", true);
     QWidgetAction *sliderAction = new QWidgetAction(0);
@@ -1228,7 +1228,7 @@ QMenu* Scene_c3t3_item::contextMenu()
     );
     container->addAction(sliderAction);
     menu->addMenu(container);
-    
+
     container = new QMenu(tr("Tetrahedra's Shrink Factor"));
     sliderAction = new QWidgetAction(0);
     connect(d->tet_Slider, &QSlider::valueChanged, this, &Scene_c3t3_item::itemChanged);
@@ -1272,7 +1272,7 @@ QMenu* Scene_c3t3_item::contextMenu()
     connect(actionShowGrid, SIGNAL(toggled(bool)),
             this, SLOT(show_grid(bool)));
 
-    
+
     menu->setProperty(prop_name, true);
   }
   return menu;
@@ -1286,8 +1286,8 @@ void Scene_c3t3_item_priv::initializeBuf
     item->getTriangleContainer(Scene_c3t3_item::C3t3_faces)->initializeBuffers(viewer);
     item->getTriangleContainer(Scene_c3t3_item::C3t3_faces)->setFlatDataSize(
           positions_poly_size);
-    
-    
+
+
     positions_poly.clear();
     positions_poly.shrink_to_fit();
     normals.clear();
@@ -1309,7 +1309,7 @@ void Scene_c3t3_item_priv::initializeBuf
     item->getPointContainer(Scene_c3t3_item::C3t3_points)->initializeBuffers(viewer);
     item->getPointContainer(Scene_c3t3_item::C3t3_points)->setFlatDataSize(
           positions_lines_size);
-    
+
     positions_lines.clear();
     positions_lines.shrink_to_fit();
   }
@@ -1379,7 +1379,7 @@ void Scene_c3t3_item_priv::computeInters
   positions_barycenter.clear();
   const Geom_traits::Plane_3& plane = item->plane(offset);
   tree.all_intersected_primitives(plane,
-        boost::make_function_output_iterator(ComputeIntersection(*this)));  
+        boost::make_function_output_iterator(ComputeIntersection(*this)));
   intersection->gl_initialization(viewer);
 }
 
@@ -1443,7 +1443,7 @@ void Scene_c3t3_item_priv::computeSphere
 }
 
 void Scene_c3t3_item_priv::computeElements()
-{  
+{
   if(!alphaSlider)
    {
      alphaSlider = new QSlider(::Qt::Horizontal);
@@ -1451,7 +1451,7 @@ void Scene_c3t3_item_priv::computeElemen
      alphaSlider->setMaximum(255);
      alphaSlider->setValue(255);
    }
-  
+
   positions_poly.clear();
   positions_grid.clear();
   normals.clear();
@@ -1986,7 +1986,7 @@ void Scene_c3t3_item::invalidateOpenGLBu
   getEdgeContainer(CNC)->reset_vbos(ALL);
   getEdgeContainer(Grid_edges)->reset_vbos(ALL);
   getPointContainer(C3t3_points)->reset_vbos(ALL);
-  
+
   Q_FOREACH(CGAL::QGLViewer* v, CGAL::QGLViewer::QGLViewerPool())
   {
     CGAL::Three::Viewer_interface* viewer = static_cast<CGAL::Three::Viewer_interface*>(v);
@@ -2065,52 +2065,52 @@ void Scene_c3t3_item::computeElements()c
 {
   QApplication::setOverrideCursor(Qt::WaitCursor);
   const_cast<Scene_c3t3_item*>(this)->d->computeElements();
-  
+
   getTriangleContainer(C3t3_faces)->allocate(
         Tc::Flat_vertices, d->positions_poly.data(),
         static_cast<int>(d->positions_poly.size()*sizeof(float)));
-  
+
   getTriangleContainer(C3t3_faces)->allocate(
         Tc::Flat_normals,
         d->normals.data(),
         static_cast<int>(d->normals.size()*sizeof(float)));
-  
-  
+
+
   getTriangleContainer(C3t3_faces)->allocate(
         Tc::FColors,
         d->f_colors.data(),
         static_cast<int>(d->f_colors.size()*sizeof(float)));
-  
+
   getTriangleContainer(C3t3_faces)->allocate(
         Tc::Facet_centers,
         d->positions_barycenter.data(),
         static_cast<int>(d->positions_barycenter.size()*sizeof(float)));
-  
+
   d->positions_poly_size = d->positions_poly.size();
-  
+
   getEdgeContainer(C3t3_edges)->allocate(
         Ec::Vertices,
         d->positions_lines.data(),
         static_cast<int>(d->positions_lines.size()*sizeof(float)));
   d->positions_lines_size = d->positions_lines.size();
-  
+
   getEdgeContainer(CNC)->allocate(
         Ec::Vertices,
         d->positions_lines_not_in_complex.data(),
         static_cast<int>(d->positions_lines_not_in_complex.size()*sizeof(float)));
-  
+
   d->positions_lines_not_in_complex_size = d->positions_lines_not_in_complex.size();
-  
+
   getEdgeContainer(Grid_edges)->allocate(
         Ec::Vertices,
         d->positions_grid.data(),
         static_cast<int>(d->positions_grid.size()*sizeof(float)));
-  
+
   getPointContainer(C3t3_points)->allocate(
         Pc::Vertices,
         d->positions_lines.data(),
         static_cast<int>(d->positions_lines.size()*sizeof(float)));
-  
+
   setBuffersFilled(true);
   QApplication::restoreOverrideCursor();
 }
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_c3t3_item.h 5.0.3-1/demo/Polyhedron/Scene_c3t3_item.h
--- 5.0.2-3/demo/Polyhedron/Scene_c3t3_item.h	2020-02-21 20:03:58.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_c3t3_item.h	2020-08-01 19:02:43.000000000 +0000
@@ -161,7 +161,7 @@ public:
   void initializeBuffers(Viewer_interface *) const Q_DECL_OVERRIDE;
   void computeElements() const Q_DECL_OVERRIDE;
   void newViewer(Viewer_interface *viewer) Q_DECL_OVERRIDE;
-  
+
   protected:
     friend struct Scene_c3t3_item_priv;
     Scene_c3t3_item_priv* d;
diff -pruN 5.0.2-3/demo/Polyhedron/Scene.cpp 5.0.3-1/demo/Polyhedron/Scene.cpp
--- 5.0.2-3/demo/Polyhedron/Scene.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -82,7 +82,7 @@ Scene::addItem(CGAL::Three::Scene_item*
             qobject_cast<CGAL::Three::Scene_group_item*>(item);
     if(group)
         addGroup(group);
-    //init the item for the mainViewer to avoid using unexisting 
+    //init the item for the mainViewer to avoid using unexisting
     //VAOs if the mainViewer is not the first to be drawn.
     QOpenGLFramebufferObject* fbo = CGAL::Three::Three::mainViewer()->depthPeelingFbo();
     CGAL::Three::Three::mainViewer()->setDepthPeelingFbo(nullptr);//to prevent crashing as the fbo is not initialized in this call.
@@ -249,7 +249,7 @@ Scene::erase(QList<int> indices)
     children.removeAll(removed_item);
     indexErased(removed_item);
     m_entries.removeAll(item);
-    
+
     Q_EMIT itemAboutToBeDestroyed(item);
     item->aboutToBeDestroyed();
     item->deleteLater();
@@ -312,7 +312,7 @@ Scene::item(Item_id index) const
     return m_entries.value(index); // QList::value checks bounds
 }
 
-Scene::Item_id 
+Scene::Item_id
 Scene::item_id(CGAL::Three::Scene_item* scene_item) const
 {
     return m_entries.indexOf(scene_item);
@@ -347,7 +347,7 @@ Scene::duplicate(Item_id index)
 
 void Scene::initializeGL(CGAL::Three::Viewer_interface* viewer)
 {
-  
+
   //Vertex source code
   const char vertex_source[] =
   {
@@ -361,9 +361,9 @@ void Scene::initializeGL(CGAL::Three::Vi
     "  f_texCoord = v_texCoord;                  \n"
     "  gl_Position = projection_matrix * vertex; \n"
     "}                                           \n"
-    
+
   };
-  
+
   const char vertex_source_comp[] =
   {
     "attribute highp vec4 vertex;                \n"
@@ -375,7 +375,7 @@ void Scene::initializeGL(CGAL::Three::Vi
     "  f_texCoord = v_texCoord;                  \n"
     "  gl_Position = projection_matrix * vertex; \n"
     "}                                           \n"
-    
+
   };
   //Fragment source code
   const char fragment_source[] =
@@ -398,8 +398,8 @@ void Scene::initializeGL(CGAL::Three::Vi
     "  gl_FragColor = texture2D(texture, f_texCoord); \n"
     "}                                                                      \n"
   };
-  
-  
+
+
   QOpenGLShader vertex_shader(QOpenGLShader::Vertex);
   QOpenGLShader fragment_shader(QOpenGLShader::Fragment);
   if(viewer->isOpenGL_4_3())
@@ -408,7 +408,7 @@ void Scene::initializeGL(CGAL::Three::Vi
     {
       std::cerr<<"Compiling vertex source FAILED"<<std::endl;
     }
-    
+
     if(!fragment_shader.compileSourceCode(fragment_source))
     {
       std::cerr<<"Compiling fragmentsource FAILED"<<std::endl;
@@ -420,13 +420,13 @@ void Scene::initializeGL(CGAL::Three::Vi
     {
       std::cerr<<"Compiling vertex source FAILED"<<std::endl;
     }
-    
+
     if(!fragment_shader.compileSourceCode(fragment_source_comp))
     {
       std::cerr<<"Compiling fragmentsource FAILED"<<std::endl;
     }
   }
-  
+
   if(!program.addShader(&vertex_shader))
   {
     std::cerr<<"adding vertex shader FAILED"<<std::endl;
@@ -446,17 +446,17 @@ void Scene::initializeGL(CGAL::Three::Vi
   points[9] = -1.0f; points[10] = -1.0f; points[11] = 0.0f;
   points[12] = -1.0f; points[13] = 1.0f; points[14] = 0.0f;
   points[15] = 1.0f; points[16] = 1.0f; points[17] = 0.0f;
-  
+
   uvs[0] = 0.0f; uvs[1] = 0.0f;
   uvs[2] = 1.0f; uvs[3] = 1.0f;
   uvs[4] = 1.0f; uvs[5] = 0.0f;
   uvs[6] = 0.0f; uvs[7] = 0.0f;
   uvs[8] = 0.0f; uvs[9] = 1.0f;
   uvs[10] = 1.0f; uvs[11] = 1.0f;
-  
+
   vbo[0].create();
   vbo[1].create();
-  
+
   viewer->makeCurrent();
   vaos[viewer] = new QOpenGLVertexArrayObject();
   vaos[viewer]->create();
@@ -467,7 +467,7 @@ void Scene::initializeGL(CGAL::Three::Vi
   program.enableAttributeArray("vertex");
   program.setAttributeArray("vertex", GL_FLOAT, 0, 3);
   vbo[0].release();
-  
+
   vbo[1].bind();
   vbo[1].allocate(uvs, 12 * sizeof(float));
   program.enableAttributeArray("v_texCoord");
@@ -519,7 +519,7 @@ bool item_should_be_skipped_in_draw(Scen
   }
   return true;
 }
- 
+
 
 void Scene::renderScene(const QList<Scene_interface::Item_id> &items,
                         Viewer_interface *viewer,
@@ -555,7 +555,7 @@ void Scene::renderScene(const QList<Scen
         }
         item.draw(viewer);
         if(with_names) {
-          
+
           //    read depth buffer at pick location;
           float depth = 1.0;
           viewer->glReadPixels(picked_pixel.x(),viewer->camera()->screenHeight()-1-picked_pixel.y(),1,1,GL_DEPTH_COMPONENT, GL_FLOAT, &depth);
@@ -598,6 +598,10 @@ void Scene::renderWireScene(const QList<
           || item.renderingMode() == PointsPlusNormals
           || item.renderingMode() == GouraudPlusEdges)
        {
+         if(with_names) {
+           viewer->glClearDepthf(1.0);
+           viewer->glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
+         }
          viewer->setGlPointSize(2.f);
          item.drawEdges(viewer);
        }
@@ -656,6 +660,10 @@ void Scene::renderPointScene(const QList
          (item.renderingMode() == PointsPlusNormals)  ||
          (item.renderingMode() == ShadedPoints))
       {
+        if(with_names) {
+          viewer->glClearDepthf(1.0);
+          viewer->glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
+        }
         viewer->setGlPointSize(3.0f);
         item.drawPoints(viewer);
       }
@@ -681,7 +689,7 @@ void Scene::renderPointScene(const QList
        return true;
    return false;
  }
-void 
+void
 Scene::draw_aux(bool with_names, CGAL::Three::Viewer_interface* viewer)
 {
     QMap<float, int> picked_item_IDs;
@@ -704,9 +712,9 @@ Scene::draw_aux(bool with_names, CGAL::T
     renderScene(children, viewer, picked_item_IDs, with_names, -1, false, NULL);
     if(with_names)
     {
-      //here we get the selected point, before erasing the depth buffer. We store it 
-      //in a dynamic property as a QList<double>. If there is some alpha, the 
-      //depth buffer is altered, and the picking will return true even when it is 
+      //here we get the selected point, before erasing the depth buffer. We store it
+      //in a dynamic property as a QList<double>. If there is some alpha, the
+      //depth buffer is altered, and the picking will return true even when it is
       // performed in the background, when it should return false. To avoid that,
       // we distinguish the case were there is no alpha, to let the viewer
       //perform it, and the case where the pixel is not found. In the first case,
@@ -737,7 +745,7 @@ Scene::draw_aux(bool with_names, CGAL::T
       QColor background = viewer->backgroundColor();
       fbos.resize((int)viewer->total_pass());
       depth_test.resize((int)viewer->total_pass()-1);
-      
+
       //first pass
       fbos[0] = new QOpenGLFramebufferObject(viewer->width(), viewer->height(),QOpenGLFramebufferObject::Depth, GL_TEXTURE_2D, GL_RGBA32F);
       fbos[0]->bind();
@@ -767,7 +775,7 @@ Scene::draw_aux(bool with_names, CGAL::T
       renderScene(opaque_items, viewer, picked_item_IDs, false, 0,true, NULL);
       renderScene(transparent_items, viewer, picked_item_IDs, false, 0,true, NULL);
       depth_test[0]->release();
-   
+
       //other passes
       for(int i=1; i<viewer->total_pass()-1; ++i)
       {
@@ -787,7 +795,7 @@ Scene::draw_aux(bool with_names, CGAL::T
         renderScene(opaque_items     , viewer, picked_item_IDs, false, i, false, depth_test[i-1]);
         renderScene(transparent_items, viewer, picked_item_IDs, false, i, false, depth_test[i-1]);
         fbos[i]->release();
-   
+
         depth_test[i] = new QOpenGLFramebufferObject(viewer->width(), viewer->height(),QOpenGLFramebufferObject::Depth, GL_TEXTURE_2D, GL_RGBA32F);
         depth_test[i]->bind();
         viewer->glDisable(GL_BLEND);
@@ -803,8 +811,8 @@ Scene::draw_aux(bool with_names, CGAL::T
         renderScene(transparent_items, viewer, picked_item_IDs, false, i, true, depth_test[i-1]);
         depth_test[i]->release();
       }
-   
-   
+
+
       //last pass
       fbos[(int)viewer->total_pass()-1] = new QOpenGLFramebufferObject(viewer->width(), viewer->height(),QOpenGLFramebufferObject::Depth, GL_TEXTURE_2D, GL_RGBA32F);
       fbos[(int)viewer->total_pass()-1]->bind();
@@ -822,7 +830,7 @@ Scene::draw_aux(bool with_names, CGAL::T
       fbos[(int)viewer->total_pass()-1]->release();
       if(viewer->getStoredFrameBuffer() != NULL)
         viewer->getStoredFrameBuffer()->bind();
-   
+
       //blending
       program.bind();
       vaos[viewer]->bind();
@@ -834,7 +842,7 @@ Scene::draw_aux(bool with_names, CGAL::T
       viewer->glClear(GL_COLOR_BUFFER_BIT);
       viewer->glEnable(GL_BLEND);
       viewer->glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
-      
+
       QMatrix4x4 proj_mat;
       proj_mat.setToIdentity();
       proj_mat.ortho(-1,1,-1,1,0,1);
@@ -852,13 +860,13 @@ Scene::draw_aux(bool with_names, CGAL::T
       vaos[viewer]->release();
       program.release();
     }
-   
+
     viewer->glDepthFunc(GL_LEQUAL);
     // Wireframe OpenGL drawing
     renderWireScene(children, viewer, picked_item_IDs, with_names);
     // Points OpenGL drawing
     renderPointScene(children, viewer, picked_item_IDs, with_names);
-    
+
     if(with_names)
     {
         QList<float> depths = picked_item_IDs.keys();
@@ -1126,7 +1134,7 @@ bool Scene::dropMimeData(const QMimeData
 
 //todo : if a group is selected, don't treat it's children.
 bool Scene::sort_lists(QVector<QList<int> >&sorted_lists, bool up)
-{  
+{
   QVector<int> group_found;
   Q_FOREACH(int i, selectionIndices())
   {
@@ -1149,7 +1157,7 @@ bool Scene::sort_lists(QVector<QList<int
       }
     }
   }
-  //iterate the first list to find the groups that are selected and remove the corresponding 
+  //iterate the first list to find the groups that are selected and remove the corresponding
   //sub lists.
   //todo: do that for each group. (treat subgroups)
   for(int i = 0; i< sorted_lists.first().size(); ++i)
@@ -1198,7 +1206,7 @@ void Scene::moveRowUp()
   //if moving one up would put it out of range, then we stop and do nothing.
   if(!sort_lists(sorted_lists, true))
     return;
-  
+
   for(int i=0; i<sorted_lists.first().size(); ++i)
   {
     Item_id selected_id = sorted_lists.first()[i];
@@ -1262,7 +1270,7 @@ void Scene::moveRowDown()
         int newId = children.indexOf(
               index_map.value(index(baseId.row()+1, baseId.column(),baseId.parent()))) ;
         children.move(children.indexOf(selected_id), newId);
-      
+
       redraw_model();
       to_select.prepend(m_entries.indexOf(selected_item));
     }
@@ -1327,7 +1335,7 @@ QItemSelection Scene::createSelection(QL
 
 QItemSelection Scene::createSelectionAll()
 {
-  //it is not possible to directly create a selection with items that have different parents, so 
+  //it is not possible to directly create a selection with items that have different parents, so
   //we do it iteratively.
   QItemSelection sel;
   for(int i=0; i< m_entries.size(); ++i)
@@ -1382,7 +1390,7 @@ void Scene::itemVisibilityChanged(CGAL::
     //does not recenter
     if(visibility_recentering_enabled){
       Q_EMIT updated_bbox(true);
-      
+
     }
   }
 }
@@ -1917,7 +1925,7 @@ void Scene::initGL(Viewer_interface *vie
   program.release();
 }
 
-void Scene::callDraw(){  
+void Scene::callDraw(){
   Q_FOREACH(CGAL::QGLViewer* v, CGAL::QGLViewer::QGLViewerPool())
   {
     qobject_cast<Viewer_interface*>(v)->update();
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_find_items.h 5.0.3-1/demo/Polyhedron/Scene_find_items.h
--- 5.0.2-3/demo/Polyhedron/Scene_find_items.h	2020-02-21 20:03:58.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_find_items.h	2020-08-01 19:02:43.000000000 +0000
@@ -14,11 +14,11 @@ namespace details {
 typedef QString (CGAL::Three::Scene_item ::*Scene_item_name_fn_ptr)() const;
 
 // Declaration only (defined in Scene.cpp)
-SCENE_EXPORT 
+SCENE_EXPORT
 CGAL::Three::Scene_item*
 findItem(const CGAL::Three::Scene_interface* scene_interface,
          const QMetaObject& metaobj,
-         QString name, Scene_item_name_fn_ptr fn); 
+         QString name, Scene_item_name_fn_ptr fn);
 
 // Declaration only (defined in Scene.cpp)
 SCENE_EXPORT
@@ -29,9 +29,9 @@ findItems(const CGAL::Three::Scene_inter
 
 template <typename T>
 T findItem(const CGAL::Three::Scene_interface* scene, QString name,
-           Scene_item_name_fn_ptr fn) 
+           Scene_item_name_fn_ptr fn)
 {
-  return 
+  return
     static_cast<T>(findItem(scene,
                             reinterpret_cast<T>(0)->staticMetaObject,
                             name, fn));
@@ -58,7 +58,7 @@ QList<T> findItems(const CGAL::Three::Sc
 /** Search the first item that can be cast to T (T must be a pointer
     type), and called "name". If "name" is omitted, all names are
     accepted.
-*/      
+*/
 template <typename T>
 T findItem(const CGAL::Three::Scene_interface* scene,
            QString item_name = QString())
@@ -67,43 +67,43 @@ T findItem(const CGAL::Three::Scene_inte
 /** Returns all items that can be cast to T (T must be a pointer
     type), and called "name". If "name" is omitted, all names are
     accepted.
-*/      
+*/
 template <typename T>
 QList<T> findItems(const CGAL::Three::Scene_interface* scene,
-                   QString item_name = QString()) 
+                   QString item_name = QString())
 { return details::findItems<T>(scene, item_name, &CGAL::Three::Scene_item::name); }
 
 /** Search the first item that can be cast to T (T must be a pointer
     type), and that has objectName() equal to "name". If "name" is
     omitted, all names are accepted.
-*/      
+*/
 template <typename T>
 T findItemByObjectName(const CGAL::Three::Scene_interface* scene,
-                       QString obj_name = QString()) 
+                       QString obj_name = QString())
 { return details::findItem<T>(scene, obj_name, &QObject::objectName); }
 
 /** Returns all items that can be cast to T (T must be a pointer type),
     and have objectName() equal to "name". If "name" is omitted, all
     names are accepted.
-*/      
+*/
 template <typename T>
 QList<T> findItemsByObjectName(const CGAL::Three::Scene_interface* scene,
-                               QString obj_name = QString()) 
+                               QString obj_name = QString())
 { return details::findItems<T>(scene, obj_name, &QObject::objectName); }
 
 
 // template <typename T>
 // T scene_findItem(const Scene* scene, QString name, Scene_item_name_fn_ptr fn) {
-//   return 
-//     static_cast<T>(scene_findItem(scene, name, fn, 
+//   return
+//     static_cast<T>(scene_findItem(scene, name, fn,
 //                                   reinterpret_cast<T>(0)->staticMetaObject()));
 // }
 
 // template <typename T>
-// QList<T> 
+// QList<T>
 // scene_findItems(const Scene* scene, QString name, Scene_item_name_fn_ptr fn) {
-//   QList<void*> void_list = 
-//     scene_findItems(scene, name, fn, 
+//   QList<void*> void_list =
+//     scene_findItems(scene, name, fn,
 //                     reinterpret_cast<T>(0)->staticMetaObject());
 //   QList<T> list;
 //   Q_FOREACH(void* ptr, void_list) {
@@ -112,7 +112,7 @@ QList<T> findItemsByObjectName(const CGA
 //   return list;
 // }
 
-// } // end scene namespace 
+// } // end scene namespace
 
 } // end namespace scene
 
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_group_item.cpp 5.0.3-1/demo/Polyhedron/Scene_group_item.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_group_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_group_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -36,7 +36,7 @@ Scene_group_item::Bbox Scene_group_item:
    {
      first_non_empty = getChild(id);
    }
- 
+
  if(first_non_empty)
  {
    Bbox b =first_non_empty->bbox();
@@ -65,7 +65,7 @@ QString Scene_group_item::toolTip() cons
 }
 
 void Scene_group_item::addChild(Scene_item* new_item)
-{  
+{
     if(!children.contains(scene->item_id(new_item)))
     {
         children.append(scene->item_id(new_item));
@@ -90,7 +90,7 @@ void Scene_group_item::update_group_numb
             qobject_cast<Scene_group_item*>(new_item);
     if(group)
       Q_FOREACH(Scene_interface::Item_id id, group->getChildren()){
-        
+
         update_group_number(getChild(id),n+1);
       }
     new_item->has_group = n;
@@ -148,17 +148,17 @@ void Scene_group_item::moveUp(int i)
 }
 
 void Scene_group_item::draw(CGAL::Three::Viewer_interface* ) const  {
-  
+
 }
 
 void Scene_group_item::drawEdges(CGAL::Three::Viewer_interface* ) const
 {
-  
+
 }
 
 void Scene_group_item::drawPoints(CGAL::Three::Viewer_interface* ) const
 {
-  
+
 }
 
 void Scene_group_item::renderChildren(Viewer_interface *viewer,
diff -pruN 5.0.2-3/demo/Polyhedron/Scene.h 5.0.3-1/demo/Polyhedron/Scene.h
--- 5.0.2-3/demo/Polyhedron/Scene.h	2020-02-21 20:03:57.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene.h	2020-08-01 19:02:42.000000000 +0000
@@ -42,9 +42,9 @@ class SCENE_EXPORT Scene  :
 public:
   QList<QModelIndex> getModelIndexFromId(int id) const;
   int getIdFromModelIndex(QModelIndex modelId) const;
-  enum Columns { NameColumn = 0, 
-                 ColorColumn, 
-                 RenderingModeColumn, 
+  enum Columns { NameColumn = 0,
+                 ColorColumn,
+                 RenderingModeColumn,
                  VisibleColumn,
                  ABColumn,
                  LastColumn = ABColumn,
@@ -66,7 +66,7 @@ public:
   const QList<CGAL::Three::Scene_item*>& entries() const { return m_entries; }
   Q_INVOKABLE CGAL::Three::Scene_item* item(int) const Q_DECL_OVERRIDE;
   int item_id(CGAL::Three::Scene_item*) const Q_DECL_OVERRIDE;
-  
+
   //! \todo Replace Index based selection functionality with those
   //! functions.
   ///@{
@@ -148,7 +148,7 @@ public:
     if(!b)
       allItemsChanged();
   }
-  
+
 public Q_SLOTS:
   //!Specifies a group as Expanded for the Geometric Objects view
   void setExpanded(QModelIndex);
@@ -299,7 +299,7 @@ private:
   QMap<CGAL::Three::Viewer_interface*, QOpenGLVertexArrayObject*> vaos;
   mutable QOpenGLBuffer vbo[2];
   Bbox last_bbox;
-  //the scene will ignore the itemChanged() signals while this is true. 
+  //the scene will ignore the itemChanged() signals while this is true.
   bool dont_emit_changes;
   bool visibility_recentering_enabled;
   bool sort_lists(QVector<QList<int> >&sorted_lists, bool up);
@@ -338,7 +338,7 @@ private:
   QAbstractProxyModel *proxy;
   Scene *scene;
   mutable int size;
-  
+
 }; // end class SceneDelegate
 
 #endif // SCENE_H
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_image_item.cpp 5.0.3-1/demo/Polyhedron/Scene_image_item.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_image_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_image_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -24,12 +24,12 @@ class Image_accessor
 {
 public:
   Image_accessor(const Image& im, int dx=1, int dy=1, int dz=1);
-  
+
   bool is_vertex_active(std::size_t i, std::size_t j, std::size_t k) const;
   const QColor& vertex_color(std::size_t i, std::size_t j, std::size_t k) const;
   void normal(std::size_t i, std::size_t j, std::size_t k,
               float& x, float& y, float& z) const;
-  
+
   int dx() const { return dx_; }
   int dy() const { return dy_; }
   int dz() const { return dz_; }
@@ -39,22 +39,22 @@ public:
   double vx() const { return im_.vx(); }
   double vy() const { return im_.vy(); }
   double vz() const { return im_.vz(); }
-  
+
   double tx() const { return im_.image()->tx; }
   double ty() const { return im_.image()->ty; }
   double tz() const { return im_.image()->tz; }
-  
+
 private:
   unsigned char non_null_neighbor_data(std::size_t i,
                                        std::size_t j,
                                        std::size_t k) const;
-  
+
   unsigned char image_data(std::size_t i, std::size_t j, std::size_t k) const;
-  
+
   void add_to_normal(unsigned char v,
                      float& x, float& y, float& z,
                      int dx, int dy, int dz) const;
-  
+
 private:
   const Image& im_;
   int dx_, dy_, dz_;
@@ -73,12 +73,12 @@ Image_accessor::Image_accessor(const Ima
 {
   const std::size_t xdim = im_.xdim();
   const std::size_t ydim = im_.ydim();
-  const std::size_t zdim = im_.zdim();  
-  
+  const std::size_t zdim = im_.zdim();
+
   for(std::size_t i=0 ; i<xdim ; i+=dx_)
-  { 
+  {
     for(std::size_t j=0 ; j<ydim ; j+=dy_)
-    { 
+    {
       for(std::size_t k=0 ; k<zdim ; k+=dz_)
       {
         unsigned char c = image_data(i,j,k);
@@ -86,7 +86,7 @@ Image_accessor::Image_accessor(const Ima
       }
     }
   }
-  
+
   double i=0;
   const double starting_hue = 45./360.; // magenta
   for ( std::map<unsigned char, QColor>::iterator it = colors_.begin(),
@@ -98,7 +98,7 @@ Image_accessor::Image_accessor(const Ima
   }
 }
 
-bool 
+bool
 Image_accessor::
 is_vertex_active(std::size_t i, std::size_t j, std::size_t k) const
 {
@@ -110,16 +110,16 @@ is_vertex_active(std::size_t i, std::siz
   unsigned char v6 = image_data(i    , j-dy_, k  );
   unsigned char v7 = image_data(i    , j    , k-dz_);
   unsigned char v8 = image_data(i    , j    , k  );
-  
+
   // don't draw interior vertices
-  if ( v1 != 0 && v2 != 0 && v3 != 0 && v4 != 0 && 
+  if ( v1 != 0 && v2 != 0 && v3 != 0 && v4 != 0 &&
        v5 != 0 && v6 != 0 && v7 != 0 && v8 != 0 )
   {
     return false;
   }
-  
-  return ( v1 != 0 || v2 != 0 || v3 != 0 || v4 != 0 || 
-           v5 != 0 || v6 != 0 || v7 != 0 || v8 != 0 ); 
+
+  return ( v1 != 0 || v2 != 0 || v3 != 0 || v4 != 0 ||
+           v5 != 0 || v6 != 0 || v7 != 0 || v8 != 0 );
 }
 
 const QColor&
@@ -127,10 +127,10 @@ Image_accessor::vertex_color(std::size_t
 {
   unsigned char c = non_null_neighbor_data(i,j,k);
   if ( 0 == c ) { return default_color_; }
-  
+
   std::map<unsigned char, QColor>::const_iterator color = colors_.find(c);
   if ( colors_.end() == color ) { return default_color_; }
-  
+
   return color->second;
 }
 
@@ -149,7 +149,7 @@ non_null_neighbor_data(std::size_t i, st
 {
   unsigned char v = image_data(i-dx_, j-dy_, k-dz_);
   if ( v != 0 ) { return v; }
-  
+
   v = image_data(i-dx_, j-dy_, k  );
   if ( v != 0 ) { return v; }
 
@@ -161,16 +161,16 @@ non_null_neighbor_data(std::size_t i, st
 
   v = image_data(i    , j-dy_, k-dz_);
   if ( v != 0 ) { return v; }
-  
+
   v = image_data(i    , j-dy_, k  );
   if ( v != 0 ) { return v; }
-  
+
   v = image_data(i    , j    , k-dz_);
   if ( v != 0 ) { return v; }
 
   v = image_data(i    , j    , k  );
   if ( v != 0 ) { return v; }
-  
+
   return 0;
 }
 
@@ -181,25 +181,25 @@ normal(std::size_t i, std::size_t j, std
 {
   unsigned char v = image_data(i-dx_, j-dy_, k-dz_);
   add_to_normal(v,x,y,z,       1    , 1    , 1);
-  
+
   v = image_data(        i-dx_, j-dy_, k);
   add_to_normal(v,x,y,z, 1    , 1    , -1);
-  
+
   v = image_data(        i-dx_, j    , k-dz_);
   add_to_normal(v,x,y,z, 1    , -1   , 1);
-  
+
   v = image_data(        i-dx_, j    , k  );
   add_to_normal(v,x,y,z, 1    , -1   , -1);
-  
+
   v = image_data(        i    , j-dy_, k-dz_);
   add_to_normal(v,x,y,z, -1   , 1    , 1);
-  
+
   v = image_data(        i    , j-dy_, k  );
   add_to_normal(v,x,y,z, -1   , 1    , -1);
-  
+
   v = image_data(        i    , j    , k-dz_);
   add_to_normal(v,x,y,z, -1   , -1   , 1);
-  
+
   v = image_data(        i    , j    , k);
   add_to_normal(v,x,y,z, -1   , -1   , -1);
 }
@@ -224,38 +224,38 @@ class Vertex_buffer_helper
 {
 public:
   Vertex_buffer_helper(const Image_accessor& data, bool is_ogl_4_3);
-  
+
   void fill_buffer_data();
 
   float* colors() { return colors_.data(); }
   float* normals() { return normals_.data(); }
   float* vertices() { return vertices_.data();}
   unsigned int* quads() { return quads_.data(); }
-  
+
   std::size_t color_size() const { return colors_.size(); }
   std::size_t normal_size() const { return normals_.size(); }
   std::size_t vertex_size() const { return vertices_.size(); }
   std::size_t quad_size() const { return quads_.size(); }
-  
+
 private:
   void treat_vertex(std::size_t i, std::size_t j, std::size_t k);
-  
+
   void push_color(std::size_t i, std::size_t j, std::size_t k);
   void push_normal(std::size_t i, std::size_t j, std::size_t k);
   void push_vertex(std::size_t i, std::size_t j, std::size_t k);
   void push_quads(std::size_t i, std::size_t j, std::size_t k);
   void push_quad(int pos1, int pos2, int pos3, int pos4);
-  
+
   int compute_position(std::size_t i, std::size_t j, std::size_t k) const;
   int vertex_index(std::size_t i, std::size_t j, std::size_t k) const;
-  
+
   int dx() const { return data_.dx(); }
   int dy() const { return data_.dy(); }
   int dz() const { return data_.dz(); }
-  
+
 private:
   static int vertex_not_found_;
-  
+
   const Image_accessor& data_;
   typedef std::map<int, std::size_t> Indices;
   Indices indices_;
@@ -297,7 +297,7 @@ Vertex_buffer_helper::treat_vertex(std::
     push_vertex(i,j,k);
     push_color(i,j,k);
     push_normal(i,j,k);
-    push_quads(i,j,k);    
+    push_quads(i,j,k);
   }
 }
 
@@ -316,12 +316,12 @@ Vertex_buffer_helper::push_normal(std::s
 {
   float x=0.f, y=0.f, z=0.f;
   data_.normal(i,j,k,x,y,z);
-  
+
   float norm = std::sqrt(x*x+y*y+z*z);
   x = x / norm;
   y = y / norm;
   z = z / norm;
-  
+
   normals_.push_back(x);
   normals_.push_back(y);
   normals_.push_back(z);
@@ -331,7 +331,7 @@ void
 Vertex_buffer_helper::push_vertex(std::size_t i, std::size_t j, std::size_t k)
 {
   indices_.insert(std::make_pair(compute_position(i,j,k),
-                                 vertices_.size()/3)); 
+                                 vertices_.size()/3));
   //resize the "border vertices"
   double di = double(i),dj = double(j),dk = double(k);
   if (di == 0)
@@ -360,7 +360,7 @@ Vertex_buffer_helper::push_quads(std::si
   int pos3 = vertex_index(i     , j-dy(), k) ;
   int pos4 = vertex_index(i     ,j      , k);
   push_quad(pos1, pos2, pos3, pos4);
-  
+
   pos1 = vertex_index(i-dx(), j, k);
   pos2 = vertex_index(i-dx(), j, k-dz());
   pos3 = vertex_index(i     , j, k-dz());
@@ -409,14 +409,14 @@ vertex_index(std::size_t i, std::size_t
   {
     return vertex_not_found_;
   }
-  
+
   int vertex_key = compute_position(i,j,k);
   Indices::const_iterator it = indices_.find(vertex_key);
   if ( it != indices_.end() )
   {
     return static_cast<int>(it->second);
   }
-  
+
   return vertex_not_found_;
 }
 
@@ -465,14 +465,14 @@ Scene_image_item::Scene_image_item(Image
   setTriangleContainer(0,new Tc(
                          Three::mainViewer()->isOpenGL_4_3()
                          ? Vi::PROGRAM_NO_INTERPOLATION
-                         : Vi::PROGRAM_WITH_LIGHT, 
+                         : Vi::PROGRAM_WITH_LIGHT,
                          true));
   setEdgeContainer(0, new Ec(
                      Three::mainViewer()->isOpenGL_4_3()
                      ? Vi::PROGRAM_SOLID_WIREFRAME
                      : Vi::PROGRAM_NO_SELECTION,
                      false));
-  
+
 }
 
 
@@ -549,7 +549,7 @@ Scene_image_item::toolTip() const
             "<p>Spacings: ( %6 , %7 , %8 )</p>")
     .arg(this->name())
     .arg(w_type)
-    .arg(m_image->xdim()) 
+    .arg(m_image->xdim())
     .arg(m_image->ydim())
     .arg(m_image->zdim())
     .arg(m_image->vx())
@@ -559,7 +559,7 @@ Scene_image_item::toolTip() const
 
 bool
 Scene_image_item::supportsRenderingMode(RenderingMode m) const
-{ 
+{
   switch ( m )
   {
   case Wireframe:
@@ -570,7 +570,7 @@ Scene_image_item::supportsRenderingMode(
   default:
     return false;
   }
-  
+
   return false;
 }
 
@@ -677,7 +677,7 @@ void Scene_image_item_priv::draw_Bbox(Sc
 }
 
 void Scene_image_item::drawEdges(Viewer_interface *viewer) const
-{ 
+{
   if(!isInit(viewer))
     initGL(viewer);
   if ( getBuffersFilled() &&
@@ -716,10 +716,10 @@ void Scene_image_item::initializeBuffers
 {
   getTriangleContainer(0)->initializeBuffers(v);
   getTriangleContainer(0)->setIdxSize(d->idx_size);
-  
+
   getEdgeContainer(0)->initializeBuffers(v);
   getEdgeContainer(0)->setFlatDataSize(d->box_size);
-  
+
   d->v_box.clear();
   d->v_box.shrink_to_fit();
   if(d->helper)
@@ -741,22 +741,22 @@ void Scene_image_item::computeElements()
                                                   d->m_voxel_scale);
     d->helper = new internal::Vertex_buffer_helper(image_data_accessor, d->is_ogl_4_3);
     d->helper->fill_buffer_data();
-    getTriangleContainer(0)->allocate( 
+    getTriangleContainer(0)->allocate(
           Tc::Smooth_vertices,
           d->helper->vertices(), static_cast<int>(d->helper->vertex_size()*sizeof(float)));
-    getTriangleContainer(0)->allocate( 
+    getTriangleContainer(0)->allocate(
           Tc::Smooth_normals,
           d->helper->normals(), static_cast<int>(d->helper->normal_size()*sizeof(float)));
-    
-    getTriangleContainer(0)->allocate( 
+
+    getTriangleContainer(0)->allocate(
           Tc::VColors,
           d->helper->colors(), static_cast<int>(d->helper->color_size()*sizeof(float)));
-    getTriangleContainer(0)->allocate( 
+    getTriangleContainer(0)->allocate(
           Tc::Vertex_indices,
           d->helper->quads(), static_cast<int>(d->helper->quad_size()*sizeof(unsigned int)));
     d->idx_size = d->helper->quad_size();
   }
-  getEdgeContainer(0)->allocate( 
+  getEdgeContainer(0)->allocate(
         Ec::Vertices,
         d->v_box.data(), static_cast<int>(d->v_box.size()*sizeof(float)));
   d->box_size = d->v_box.size();
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_implicit_function_item.cpp 5.0.3-1/demo/Polyhedron/Scene_implicit_function_item.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_implicit_function_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_implicit_function_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -76,13 +76,13 @@ void Scene_implicit_function_item_priv::
 {
     item->getTriangleContainer(0)->initializeBuffers(viewer);
     item->getTriangleContainer(0)->setFlatDataSize(nb_quad);
-    
+
     item->getEdgeContainer(0)->initializeBuffers(viewer);
     item->getEdgeContainer(0)->setFlatDataSize(nb_cube);
-    
+
     item->getEdgeContainer(1)->initializeBuffers(viewer);
     item->getEdgeContainer(1)->setFlatDataSize(nb_grid);
-        
+
     positions_tex_quad.clear();
     positions_tex_quad.shrink_to_fit();
     texture_map.clear();
@@ -371,14 +371,14 @@ Scene_implicit_function_item::draw(CGAL:
     d->frame_->setOrientation(1., 0, 0, 0);
     d->init = true;
   }
-  
+
   if(d->frame_->isManipulated()) {
       if(d->need_update_) {
           compute_function_grid();
           d->need_update_ = false;
       }
   }
-  
+
   if(!isInit(viewer))
     initGL(viewer);
   if ( getBuffersFilled() &&
@@ -420,7 +420,7 @@ Scene_implicit_function_item::drawEdges(
     computeElements();
     initializeBuffers(viewer);
   }
-    
+
     getEdgeContainer(0)->setColor(QColor(0,0,0));
     getEdgeContainer(0)->draw(viewer, true);
     QMatrix4x4 f_mat;
@@ -601,18 +601,18 @@ void Scene_implicit_function_item::compu
         d->positions_tex_quad.data(),
         static_cast<int>(d->positions_tex_quad.size()*sizeof(float)));
   d->nb_quad = d->positions_tex_quad.size();
-  
+
   getTriangleContainer(0)->allocate(
         Tc::Texture_map,
         d->texture_map.data(),
         static_cast<int>(d->texture_map.size()*sizeof(float)));
-  
+
   getEdgeContainer(0)->allocate(
         Ec::Vertices,
         d->positions_cube.data(),
         static_cast<int>(d->positions_cube.size()*sizeof(float)));
   d->nb_cube= d->positions_cube.size();
-  
+
   getEdgeContainer(1)->allocate(
         Ec::Vertices,
         d->positions_grid.data(),
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_implicit_function_item.h 5.0.3-1/demo/Polyhedron/Scene_implicit_function_item.h
--- 5.0.2-3/demo/Polyhedron/Scene_implicit_function_item.h	2020-02-21 20:03:58.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_implicit_function_item.h	2020-08-01 19:02:43.000000000 +0000
@@ -13,17 +13,17 @@
 
 struct Scene_implicit_function_item_priv;
 
-class SCENE_IMPLICIT_FUNCTION_ITEM_EXPORT Scene_implicit_function_item 
+class SCENE_IMPLICIT_FUNCTION_ITEM_EXPORT Scene_implicit_function_item
   : public CGAL::Three::Scene_item_rendering_helper
 {
   Q_OBJECT
-  
+
   typedef CGAL::qglviewer::ManipulatedFrame ManipulatedFrame;
-  
+
 public:
   Scene_implicit_function_item(Implicit_function_interface*);
   virtual ~Scene_implicit_function_item();
-  
+
   Implicit_function_interface* function() const ;
 
   bool isFinite() const { return true; }
@@ -36,7 +36,7 @@ public:
   virtual bool supportsRenderingMode(RenderingMode m) const;
   virtual bool manipulatable() const { return true; }
   virtual ManipulatedFrame* manipulatedFrame();
-  
+
 
 
   // actually draw() is also overloaded to detect when the cut plane is moved
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_item.cpp 5.0.3-1/demo/Polyhedron/Scene_item.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -91,7 +91,7 @@ const char* slotName(RenderingMode mode)
 QString CGAL::Three::Scene_item::renderingModeName() const
 {
     return CGAL::Three::Three::modeName(renderingMode());
-} 
+}
 QMenu* CGAL::Three::Scene_item::contextMenu()
 {
     if(defaultContextMenu) {
@@ -225,5 +225,5 @@ float Scene_item::alpha() const
 
 void Scene_item::setAlpha(int )
 {
- 
+
 }
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_item_rendering_helper.cpp 5.0.3-1/demo/Polyhedron/Scene_item_rendering_helper.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_item_rendering_helper.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_item_rendering_helper.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -169,10 +169,10 @@ Scene_item::Bbox Scene_item_rendering_he
   return priv->_bbox;
 }
 
-bool Scene_item_rendering_helper::isInit(CGAL::Three::Viewer_interface* viewer)const 
-{ 
+bool Scene_item_rendering_helper::isInit(CGAL::Three::Viewer_interface* viewer)const
+{
   if(priv->isinit.find(viewer) != priv->isinit.end())
-    return priv->isinit[viewer]; 
+    return priv->isinit[viewer];
   return false;
 }
 
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_lcc_item.cpp 5.0.3-1/demo/Polyhedron/Scene_lcc_item.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_lcc_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_lcc_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -40,9 +40,9 @@ struct lcc_priv{
   std::vector<Facet> facets;
   std::size_t nb_volumes;
   bool is_mono_color;
-  
+
   std::size_t nb_lines, nb_vertices, nb_faces;
-  
+
   lcc_priv(const Scene_lcc_item::LCC& lcc)
     :lcc(lcc), is_mono_color(true){}
 
@@ -60,7 +60,7 @@ struct lcc_priv{
       cur=lcc.next(cur);
     }
     while(cur!=dh);
-    
+
     cur=dh;
     do
     {
@@ -76,16 +76,16 @@ struct lcc_priv{
       double z = f.normal.z() + (pa.x()-pb.x())*(pa.y()+pb.y());
       f.normal = Scene_lcc_item::LCC::Vector(x,y,z);
     }
-    
+
     if (f.size()==3)
-    { 
+    {
       for(auto pt = f.points.begin();
           pt != f.points.end();
           ++pt)
       {
         faces.push_back(pt->x() + offset.x);
         faces.push_back(pt->y() + offset.y);
-        faces.push_back(pt->z() + offset.z);    
+        faces.push_back(pt->z() + offset.z);
       }
     }
     else if (CGAL::Buffer_for_vao<float, std::size_t>::is_facet_convex(f.points,f.normal))
@@ -104,7 +104,7 @@ struct lcc_priv{
         faces.push_back(p.x() + offset.x);
         faces.push_back(p.y() + offset.y);
         faces.push_back(p.z() + offset.z);
-        
+
         p = f.points[0];
         faces.push_back(p.x() + offset.x);
         faces.push_back(p.y() + offset.y);
@@ -118,14 +118,14 @@ struct lcc_priv{
         faces.push_back(p.y() + offset.y);
         faces.push_back(p.z() + offset.z);
       }
-      else 
+      else
       {
         for(std::size_t i=1; i<f.size()-1; ++i)
         {
           Point& p0 = f.points[0];
           Point& p1 = f.points[i];
           Point& p2 = f.points[i+1];
-  
+
           // (1) add points
           faces.push_back(p0.x() + offset.x);
           faces.push_back(p0.y() + offset.y);
@@ -146,14 +146,14 @@ struct lcc_priv{
         Scene_lcc_item::LCC::Vector v;
         std::size_t index;
       };
-      
+
       struct Face_info
       {
         bool exist_edge[3];
         bool is_external;
         bool is_process;
       };
-      
+
       typedef CGAL::Triangulation_2_projection_traits_3<CGAL::Exact_predicates_inexact_constructions_kernel> P_traits;
       typedef CGAL::Triangulation_vertex_base_with_info_2<Vertex_info, P_traits> Vb;
       typedef CGAL::Triangulation_face_base_with_info_2<Face_info, P_traits>     Fb1;
@@ -161,7 +161,7 @@ struct lcc_priv{
       typedef CGAL::Triangulation_data_structure_2<Vb,Fb>                        TDS;
       typedef CGAL::Exact_predicates_tag                                         Itag;
       typedef CGAL::Constrained_Delaunay_triangulation_2<P_traits, TDS, Itag>    CDT;
-      
+
       P_traits cdt_traits(f.normal);
       CDT cdt(cdt_traits);
         // (1) We insert all the edges as contraint in the CDT.
@@ -177,12 +177,12 @@ struct lcc_priv{
           { cdt.insert_constraint(previous, vh); }
           previous=vh;
         }
-        
+
         if (previous!=NULL && previous!=first)
         { cdt.insert_constraint(previous, first); }
-        
+
         // (2) We mark all external triangles
-        // (2.1) We initialize is_external and is_process values 
+        // (2.1) We initialize is_external and is_process values
         for(typename CDT::All_faces_iterator fit = cdt.all_faces_begin(),
               fitend = cdt.all_faces_end(); fit!=fitend; ++fit)
         {
@@ -215,10 +215,10 @@ struct lcc_priv{
             }
           }
         }
-        
+
         if ( face_internal!=NULL )
         { face_queue.push(face_internal); }
-        
+
         while(!face_queue.empty())
         {
           typename CDT::Face_handle fh = face_queue.front();
@@ -237,8 +237,8 @@ struct lcc_priv{
             }
           }
         }
-        
-        // (3) Now we iterates on the internal faces to add the vertices 
+
+        // (3) Now we iterates on the internal faces to add the vertices
         //     and the normals to the appropriate vectors
         for(typename CDT::Finite_faces_iterator ffit=cdt.finite_faces_begin(),
               ffitend = cdt.finite_faces_end(); ffit!=ffitend; ++ffit)
@@ -246,7 +246,7 @@ struct lcc_priv{
           if(!ffit->info().is_external)
           {
             for(unsigned int i=0; i<3; ++i)
-            {            
+            {
               Point p = ffit->vertex(i)->point();
               faces.push_back(p.x() + offset.x);
               faces.push_back(p.y() + offset.y);
@@ -269,12 +269,12 @@ Scene_lcc_item::Scene_lcc_item(const LCC
   setTriangleContainer(0,
                        new Tri(Three::mainViewer()->isOpenGL_4_3() ? Vi::PROGRAM_FLAT
                                                                    : Vi::PROGRAM_OLD_FLAT, false));
-  
+
   setEdgeContainer(0,
                    new Ec(Three::mainViewer()->isOpenGL_4_3() ? Vi::PROGRAM_SOLID_WIREFRAME
                                                               : Vi::PROGRAM_NO_SELECTION
                                                                 , false));
-  setPointContainer(0, 
+  setPointContainer(0,
                     new Pc(Vi::PROGRAM_NO_SELECTION, false));
 }
 
@@ -355,7 +355,7 @@ void Scene_lcc_item::drawEdges(CGAL::Thr
   if(viewer->isOpenGL_4_3())
   {
     QVector2D vp(viewer->width(), viewer->height());
-    
+
     getEdgeContainer(0)->setViewport(vp);
     getEdgeContainer(0)->setWidth(2);
   }
@@ -386,7 +386,7 @@ void Scene_lcc_item::drawPoints(CGAL::Th
     computeElements();
     initializeBuffers(viewer);
   }
-  
+
   getPointContainer(0)->setColor(QColor(Qt::black));
   getPointContainer(0)->draw(viewer, true);
   viewer->setGlPointSize(point_size);
@@ -433,11 +433,11 @@ void Scene_lcc_item::computeElements() c
               d->lines.push_back(p1.x() + offset.x);
               d->lines.push_back(p1.y() + offset.y);
               d->lines.push_back(p1.z() + offset.z);
-              
+
               d->lines.push_back(p2.x() + offset.x);
               d->lines.push_back(p2.y() + offset.y);
               d->lines.push_back(p2.z() + offset.z);
-              
+
               for (typename LCC::template Dart_of_cell_basic_range<1>::
                    const_iterator ite=d->lcc.template darts_of_cell_basic<1>(itf, markedges).begin(),
                    iteend=d->lcc.template darts_of_cell_basic<1>(itf, markedges).end();
@@ -468,14 +468,14 @@ void Scene_lcc_item::computeElements() c
     d->lcc.unmark(it, markedges);
     d->lcc.unmark(it, markfaces);
     d->lcc.unmark(it, markvolumes);
-    
+
   }
-  
+
   d->lcc.free_mark(markvolumes);
   d->lcc.free_mark(markfaces);
   d->lcc.free_mark(markedges);
-  d->lcc.free_mark(markvertices);  
-  
+  d->lcc.free_mark(markvertices);
+
   getTriangleContainer(0)->allocate(
         Tri::Flat_vertices, d->faces.data(),
         static_cast<int>(d->faces.size()*sizeof(float)));
@@ -490,11 +490,11 @@ void Scene_lcc_item::computeElements() c
   getEdgeContainer(0)->allocate(
         Ec::Vertices, d->lines.data(),
         static_cast<int>(d->lines.size()*sizeof(float)));
-  
+
   getPointContainer(0)->allocate(
         Pc::Vertices, d->vertices.data(),
         static_cast<int>(d->vertices.size()*sizeof(float)));
-  
+
   setBuffersFilled(true);
   d->nb_faces = d->faces.size();
   d->nb_lines = d->lines.size();
@@ -507,8 +507,8 @@ void Scene_lcc_item::initializeBuffers(C
   getEdgeContainer(0)->initializeBuffers(viewer);
   getEdgeContainer(0)->setFlatDataSize(d->nb_lines);
   getPointContainer(0)->initializeBuffers(viewer);
-  getPointContainer(0)->setFlatDataSize(d->nb_vertices);  
-  
+  getPointContainer(0)->setFlatDataSize(d->nb_vertices);
+
   d->faces.clear();
   d->faces.shrink_to_fit();
   d->lines.clear();
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_lcc_item.h 5.0.3-1/demo/Polyhedron/Scene_lcc_item.h
--- 5.0.2-3/demo/Polyhedron/Scene_lcc_item.h	2020-02-21 20:03:58.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_lcc_item.h	2020-08-01 19:02:43.000000000 +0000
@@ -26,25 +26,25 @@ public:
   typedef CGAL::Linear_cell_complex_for_combinatorial_map<3> LCC;
   Scene_lcc_item(const LCC &lcc);
   ~Scene_lcc_item();
-  
+
   bool isEmpty()const Q_DECL_OVERRIDE;
   bool isFinite() const Q_DECL_OVERRIDE { return true; }
-  
+
   Scene_lcc_item* clone() const Q_DECL_OVERRIDE ;
   bool supportsRenderingMode(RenderingMode m) const Q_DECL_OVERRIDE ;
   QString toolTip() const Q_DECL_OVERRIDE ;
   void compute_bbox()const Q_DECL_OVERRIDE;
-  
-  
+
+
   void draw(CGAL::Three::Viewer_interface*) const Q_DECL_OVERRIDE ;
   void drawEdges(CGAL::Three::Viewer_interface*) const Q_DECL_OVERRIDE ;
   void drawPoints(CGAL::Three::Viewer_interface*) const Q_DECL_OVERRIDE ;
-  
+
   void computeElements() const Q_DECL_OVERRIDE;
   void initializeBuffers(CGAL::Three::Viewer_interface *) const Q_DECL_OVERRIDE;
 
   QMenu* contextMenu() Q_DECL_OVERRIDE ;
-  
+
 public Q_SLOTS:
     void invalidateOpenGLBuffers() Q_DECL_OVERRIDE;
     void randomFaceColors();
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_nef_polyhedron_item.cpp 5.0.3-1/demo/Polyhedron/Scene_nef_polyhedron_item.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_nef_polyhedron_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_nef_polyhedron_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -362,7 +362,7 @@ void Scene_nef_polyhedron_item_priv::com
     } //end points
     QApplication::restoreOverrideCursor();
 }
-Scene_nef_polyhedron_item* 
+Scene_nef_polyhedron_item*
 Scene_nef_polyhedron_item::clone() const {
     return new Scene_nef_polyhedron_item(*d->nef_poly);
 }
@@ -384,7 +384,7 @@ Scene_nef_polyhedron_item::load_from_off
     return (bool) in;
 }
 
-QFont 
+QFont
 Scene_nef_polyhedron_item::font() const {
     QFont font;
     font.setItalic(!font.italic());
@@ -406,7 +406,7 @@ Scene_nef_polyhedron_item::save(std::ost
     return (bool) in;
 }
 
-QString 
+QString
 Scene_nef_polyhedron_item::toolTip() const
 {
     if(!d->nef_poly)
@@ -442,7 +442,7 @@ void Scene_nef_polyhedron_item::draw(CGA
     computeElements();
     initializeBuffers(viewer);
   }
-  
+
   Tc* tc = getTriangleContainer(0);
   tc->setColor(this->color());
   tc->getVao(viewer)->bind();
@@ -614,7 +614,7 @@ operator-=(const Scene_nef_polyhedron_it
 
 Scene_nef_polyhedron_item*
 Scene_nef_polyhedron_item::
-sum(const Scene_nef_polyhedron_item& a, 
+sum(const Scene_nef_polyhedron_item& a,
     const Scene_nef_polyhedron_item& b)
 {
     return new Scene_nef_polyhedron_item(CGAL::minkowski_sum_3(*a.d->nef_poly,
@@ -668,27 +668,27 @@ Scene_nef_polyhedron_item::selection_cha
 void Scene_nef_polyhedron_item::computeElements() const
 {
   d->compute_normals_and_vertices();
-  
+
   Tc* tc = getTriangleContainer(0);
   tc->allocate(
         Tc::Flat_vertices,
         d->positions_facets.data(),
         static_cast<int>(d->positions_facets.size()*sizeof(float)));
-  
+
   tc->allocate(
         Tc::Flat_normals,
         d->normals.data(),
         static_cast<int>(d->normals.size()*sizeof(float)));
-  
+
   d->nb_facets = d->positions_facets.size();
-  
+
   getEdgeContainer(0)->allocate(
         Ec::Vertices,
         d->positions_lines.data(),
         static_cast<int>(d->positions_lines.size()*sizeof(float)));
   d->nb_lines = d->positions_lines.size();
-  
-  
+
+
   getPointContainer(0)->allocate(
         Pc::Vertices,
         d->positions_points.data(),
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_nef_polyhedron_item.h 5.0.3-1/demo/Polyhedron/Scene_nef_polyhedron_item.h
--- 5.0.2-3/demo/Polyhedron/Scene_nef_polyhedron_item.h	2020-02-21 20:03:58.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_nef_polyhedron_item.h	2020-08-01 19:02:43.000000000 +0000
@@ -65,7 +65,7 @@ public:
   operator-=(const Scene_nef_polyhedron_item&); // difference
 
   static Scene_nef_polyhedron_item*
-  sum(const Scene_nef_polyhedron_item&, 
+  sum(const Scene_nef_polyhedron_item&,
       const Scene_nef_polyhedron_item&);
 
   void convex_decomposition(std::list< Scene_surface_mesh_item*>&);
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_plane_item.cpp 5.0.3-1/demo/Polyhedron/Scene_plane_item.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_plane_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_plane_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -74,7 +74,7 @@ void Scene_plane_item::computeElements()
     positions_quad.push_back(0.0  );
 
     getTriangleContainer(0)->allocate(Tc::Flat_vertices, positions_quad.data(),
-                                      static_cast<int>(positions_quad.size() 
+                                      static_cast<int>(positions_quad.size()
                                                        * sizeof(float)));
     }
     //The grid
@@ -104,7 +104,7 @@ void Scene_plane_item::computeElements()
             positions_lines.push_back(0.0          );
         }
         getEdgeContainer(0)->allocate(Ec::Vertices, positions_lines.data(),
-                                          static_cast<int>(positions_lines.size() 
+                                          static_cast<int>(positions_lines.size()
                                                            * sizeof(float)));
     }
     nb_quads = positions_quad.size();
@@ -128,11 +128,11 @@ void Scene_plane_item::draw(Viewer_inter
     computeElements();
     initializeBuffers(viewer);
   }
-  
+
   QMatrix4x4 f_matrix;
   for(int i=0; i<16; i++)
     f_matrix.data()[i] = (float)frame->matrix()[i];
-  
+
   getTriangleContainer(0)->setFrameMatrix(f_matrix);
   getTriangleContainer(0)->setColor(this->color());
   getTriangleContainer(0)->draw(viewer, true);
@@ -198,9 +198,9 @@ Scene_plane_item* Scene_plane_item::clon
 }
 
 QString Scene_plane_item::toolTip() const {
-  
+
   const CGAL::qglviewer::Vec offset = static_cast<CGAL::Three::Viewer_interface*>(CGAL::QGLViewer::QGLViewerPool().first())->offset();
-  
+
   const CGAL::qglviewer::Vec& pos = frame->position() - offset;
   const CGAL::qglviewer::Vec& n = frame->inverseTransformOf(CGAL::qglviewer::Vec(0.f, 0.f, 1.f));
   return
@@ -286,10 +286,10 @@ void Scene_plane_item::setManipulatable(
 QMenu* Scene_plane_item::contextMenu()
 {
   QMenu* menu = Scene_item::contextMenu();
-  
+
   const char* prop_name = "Menu modified by Scene_plane_item.";
   bool menuChanged = menu->property(prop_name).toBool();
-  
+
   if(!menuChanged) {
     menu->addSeparator();
     QAction* actionOrientPlane=
@@ -316,7 +316,7 @@ void Scene_plane_item::setPlaneOrientati
   const CGAL::qglviewer::Vec& n = frame->inverseTransformOf(CGAL::qglviewer::Vec(0.f, 0.f, 1.f));
   do{
     bool ok;
-    
+
     QString placeHolder = tr("%1*x + %2*y + %3*z + %4 = 0")
         .arg(n[0]).arg(n[1]).arg(n[2]).arg( - (pos -offset)* n);
     QString eq = QInputDialog::getText(CGAL::Three::Three::mainWindow(),
@@ -334,7 +334,7 @@ void Scene_plane_item::setPlaneOrientati
     }
   }while(!does_match);
   double a(rx.cap(1).toDouble()), b(rx.cap(2).toDouble()), c(rx.cap(3).toDouble()), d(rx.cap(4).toDouble());
-  
+
   Kernel_epic::Point_3 sure_point(0,0,0);
   if(c != 0)
     sure_point = Kernel_epic::Point_3(offset.x, offset.y, offset.z-d/c);
@@ -342,9 +342,9 @@ void Scene_plane_item::setPlaneOrientati
     sure_point = Kernel_epic::Point_3(offset.x, offset.y-d/b, offset.z);
   else if (a !=0)
     sure_point = Kernel_epic::Point_3(offset.x-d/a, offset.y, offset.z);
-  
+
   Kernel_epic::Plane_3 pl(sure_point, Kernel_epic::Vector_3(a,b,c));
-  
+
   QVector3D normal(a,b,c);
   normal.normalize();
   setNormal(normal.x(), normal.y(), normal.z());
@@ -353,7 +353,7 @@ void Scene_plane_item::setPlaneOrientati
         (scene->bbox().ymin() + scene->bbox().ymax()) /2.0   +offset.y,
       (scene->bbox().zmin() + scene->bbox().zmax()) /2.0   +offset.z );
   bbox_center = pl.projection(bbox_center);
-  QVector3D new_pos = 
+  QVector3D new_pos =
       QVector3D(bbox_center.x(), bbox_center.y(), bbox_center.z());
   setPosition(new_pos.x(), new_pos.y(), new_pos.z());
   invalidateOpenGLBuffers();
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_plane_item.h 5.0.3-1/demo/Polyhedron/Scene_plane_item.h
--- 5.0.2-3/demo/Polyhedron/Scene_plane_item.h	2020-02-21 20:03:58.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_plane_item.h	2020-08-01 19:02:43.000000000 +0000
@@ -17,7 +17,7 @@
 typedef CGAL::Exact_predicates_inexact_constructions_kernel Kernel_epic;
 typedef Kernel_epic::Plane_3 Plane_3;
 
-class SCENE_BASIC_OBJECTS_EXPORT Scene_plane_item 
+class SCENE_BASIC_OBJECTS_EXPORT Scene_plane_item
   : public CGAL::Three::Scene_item_rendering_helper
 {
   Q_OBJECT
@@ -84,9 +84,9 @@ public Q_SLOTS:
   virtual void invalidateOpenGLBuffers() Q_DECL_OVERRIDE;
 
   void setPosition(float x, float y, float z);
-  
+
   void setPosition(double x, double y, double z);
-  
+
   void setNormal(float x, float y, float z);
 
   void setNormal(double x, double y, double z);
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_points_with_normal_item.cpp 5.0.3-1/demo/Polyhedron/Scene_points_with_normal_item.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_points_with_normal_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_points_with_normal_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -34,7 +34,7 @@
 #ifdef CGAL_LINKED_WITH_TBB
 #include <tbb/parallel_for.h>
 #include <tbb/blocked_range.h>
-#include <tbb/scalable_allocator.h>  
+#include <tbb/scalable_allocator.h>
 #endif // CGAL_LINKED_WITH_TBB
 
 const std::size_t limit_fast_drawing = 300000; //arbitraty large value
@@ -151,7 +151,7 @@ class Fill_buffers {
   double length;
   std::size_t size_p;
   std::size_t offset_normal_indices;
-  
+
 public:
   Fill_buffers(Point_set* point_set,
                std::vector<Point_set::Index>& indices,
@@ -188,11 +188,11 @@ public:
   {
     const Point_set::Index& idx = indices[i];
     const Kernel::Point_3& p = point_set->point(idx);
-    
+
     positions_lines[i * size_p    ] = p.x() + offset.x;
     positions_lines[i * size_p + 1] = p.y() + offset.y;
     positions_lines[i * size_p + 2] = p.z() + offset.z;
-    
+
     if(has_normals)
     {
       const Kernel::Vector_3& n = point_set->normal(idx);
@@ -233,7 +233,7 @@ Scene_points_with_normal_item::Scene_poi
     setRenderingMode(CGAL::Three::Three::defaultPointSetRenderingMode());
     is_selected = true;
   }
-  
+
   invalidateOpenGLBuffers();
 }
 
@@ -301,7 +301,7 @@ void Scene_points_with_normal_item_priv:
     std::vector<Point_set::Index> indices;
     indices.reserve (m_points->size());
     std::copy (m_points->begin(), m_points->end(), std::back_inserter(indices));
-    
+
     CGAL::cpp98::random_shuffle (indices.begin(), indices.end() - m_points->nb_selected_points());
     if (m_points->nb_selected_points() != 0)
       CGAL::cpp98::random_shuffle (indices.end() - m_points->nb_selected_points(), indices.end());
@@ -318,9 +318,9 @@ void Scene_points_with_normal_item_priv:
       positions_lines.resize(m_points->size() * 6);
       positions_normals.resize((m_points->size() - m_points->nb_selected_points()) * 3);
       positions_selected_normals.resize(m_points->nb_selected_points() * 3);
-      
+
       // we can't afford computing real average spacing just for display, 0.5% of bbox will do
-      average_spacing = 0.005 * item->diagonalBbox(); 
+      average_spacing = 0.005 * item->diagonalBbox();
       normal_length = (std::min)(average_spacing, std::sqrt(
                                    region_of_interest.squared_radius() / 1000.));
       length_factor = 10.0/100*normal_Slider->value();
@@ -335,7 +335,7 @@ void Scene_points_with_normal_item_priv:
     Fill_buffers fill_buffers_2 (m_points, indices, positions_lines, positions_selected_normals,
                                  item->has_normals(), offset, normal_length * length_factor,
                                  m_points->first_selected() - m_points->begin());
-     
+
 #ifdef CGAL_LINKED_WITH_TBB
     tbb::parallel_for(tbb::blocked_range<size_t>(0,
                                                  m_points->size() - m_points->nb_selected_points()),
@@ -349,7 +349,7 @@ void Scene_points_with_normal_item_priv:
     for (std::size_t i = indices.size() - m_points->nb_selected_points(); i < indices.size(); ++ i)
       fill_buffers_2.apply (i);
 #endif
-    
+
     //The colors
     if (m_points->has_colors())
     {
@@ -365,7 +365,7 @@ void Scene_points_with_normal_item_priv:
           colors_points.push_back (m_points->blue(indices[i]));
         }
     }
-        
+
     nb_lines = positions_lines.size();
     if(item->has_normals())
       nb_points = positions_lines.size()/2;
@@ -524,7 +524,7 @@ void Scene_points_with_normal_item::sele
       selected.push_back (*ptit);
     else
       unselected.push_back (*ptit);
-  
+
   for (std::size_t i = 0; i < unselected.size(); ++ i)
     *(d->m_points->begin() + i) = unselected[i];
   for (std::size_t i = 0; i < selected.size(); ++ i)
@@ -538,7 +538,7 @@ void Scene_points_with_normal_item::sele
   {
     d->m_points->set_first_selected
       (d->m_points->begin() + unselected.size());
-  } 
+  }
 
   invalidateOpenGLBuffers();
   Q_EMIT itemChanged();
@@ -567,7 +567,7 @@ bool Scene_points_with_normal_item::read
   }
   if (d->m_points->check_colors())
     std::cerr << "-> Point set has colors" << std::endl;
-  
+
   invalidateOpenGLBuffers();
   return ok;
 }
@@ -576,9 +576,9 @@ bool Scene_points_with_normal_item::read
 bool Scene_points_with_normal_item::write_las_point_set(std::ostream& stream) const
 {
   Q_ASSERT(d->m_points != NULL);
-  
+
   d->m_points->reset_indices();
-  
+
   return stream &&
     CGAL::write_las_point_set (stream, *(d->m_points));
 }
@@ -620,7 +620,7 @@ bool Scene_points_with_normal_item::writ
   Q_ASSERT(d->m_points != NULL);
 
   d->m_points->reset_indices();
-  
+
   if (!stream)
     return false;
 
@@ -696,7 +696,7 @@ Scene_points_with_normal_item::toolTip()
     .arg(color().name());
 }
 
-bool Scene_points_with_normal_item::supportsRenderingMode(RenderingMode m) const 
+bool Scene_points_with_normal_item::supportsRenderingMode(RenderingMode m) const
 {
   switch ( m )
   {
@@ -954,7 +954,7 @@ void Scene_points_with_normal_item::inva
     getPointContainer(Priv::Selected_shaded_points)->reset_vbos(Scene_item_rendering_helper::ALL);
     getPointContainer(Priv::Shaded_points)->reset_vbos(Scene_item_rendering_helper::ALL);
     getEdgeContainer(0)->reset_vbos(Scene_item_rendering_helper::ALL);
-    
+
     Q_FOREACH(CGAL::QGLViewer* v, CGAL::QGLViewer::QGLViewerPool())
     {
       CGAL::Three::Viewer_interface* viewer = static_cast<CGAL::Three::Viewer_interface*>(v);
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_points_with_normal_item.h 5.0.3-1/demo/Polyhedron/Scene_points_with_normal_item.h
--- 5.0.2-3/demo/Polyhedron/Scene_points_with_normal_item.h	2020-02-21 20:03:58.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_points_with_normal_item.h	2020-08-01 19:02:43.000000000 +0000
@@ -65,7 +65,7 @@ public:
 
   virtual void drawEdges(CGAL::Three::Viewer_interface* viewer) const Q_DECL_OVERRIDE;
   virtual void drawPoints(CGAL::Three::Viewer_interface*) const Q_DECL_OVERRIDE;
-  
+
   // Gets wrapped point set
   Point_set*       point_set();
   const Point_set* point_set() const;
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_polygon_soup_item.cpp 5.0.3-1/demo/Polyhedron/Scene_polygon_soup_item.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_polygon_soup_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_polygon_soup_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -20,7 +20,7 @@
 
 #include <CGAL/IO/OFF_reader.h>
 #include <CGAL/IO/File_writer_OFF.h>
-#include <CGAL/version.h> 
+#include <CGAL/version.h>
 
 #include <CGAL/Polygon_mesh_processing/polygon_soup_to_polygon_mesh.h>
 #include <CGAL/Polygon_mesh_processing/orient_polygon_soup.h>
@@ -90,7 +90,7 @@ struct Scene_polygon_soup_item_priv{
     Edges = 0,
     NM_edges
   };
-  
+
   Polygon_soup* soup;
   bool oriented;
   mutable std::vector<float> positions_poly;
@@ -105,7 +105,7 @@ struct Scene_polygon_soup_item_priv{
   bool is_triangle, is_quad, stats_computed;
   double minl, maxl, meanl, midl, mini, maxi, ave;
   std::size_t nb_null_edges, nb_degen_faces;
-  
+
   Scene_polygon_soup_item* item;
 
 };
@@ -121,7 +121,7 @@ Scene_polygon_soup_item_priv::triangulat
 {
   const CGAL::qglviewer::Vec off = static_cast<CGAL::Three::Viewer_interface*>(CGAL::QGLViewer::QGLViewerPool().first())->offset();
   EPICK::Vector_3 offset(off.x,off.y,off.z);
-  
+
     //Computes the normal of the facet
     Traits::Vector_3 normal = CGAL::NULL_VECTOR;
 
@@ -136,7 +136,7 @@ Scene_polygon_soup_item_priv::triangulat
     }
     if (normal == CGAL::NULL_VECTOR) // No normal could be computed, return
       return;
-    
+
     typedef FacetTriangulator<SMesh, EPICK, std::size_t> FT;
 
     std::size_t it = 0;
@@ -311,7 +311,7 @@ Scene_polygon_soup_item_priv::compute_no
         positions_nm_lines.push_back(b.y()+offset.y);
         positions_nm_lines.push_back(b.z()+offset.z);
     }
-    
+
 }
 
 
@@ -334,7 +334,7 @@ Scene_polygon_soup_item::~Scene_polygon_
   delete d;
 }
 
-Scene_polygon_soup_item* 
+Scene_polygon_soup_item*
 Scene_polygon_soup_item::clone() const {
   Scene_polygon_soup_item* new_soup = new Scene_polygon_soup_item();
   new_soup->d->soup = d->soup->clone();
@@ -442,7 +442,7 @@ void Scene_polygon_soup_item::inside_out
   invalidateOpenGLBuffers();
 }
 
-bool 
+bool
 Scene_polygon_soup_item::orient()
 {
 
@@ -480,7 +480,7 @@ Scene_polygon_soup_item::orient()
 }
 
 
-bool 
+bool
 Scene_polygon_soup_item::save(std::ostream& out) const
 {
 
@@ -529,7 +529,7 @@ Scene_polygon_soup_item::exportAsSurface
   }
   return false;
 }
-QString 
+QString
 Scene_polygon_soup_item::toolTip() const
 {
 
@@ -565,10 +565,10 @@ Scene_polygon_soup_item::draw(CGAL::Thre
       computeElements();
       initializeBuffers(viewer);
     }
-    
+
     if(renderingMode() == Flat || renderingMode() == FlatPlusEdges)
     {
-    
+
       if(d->soup->fcolors.empty())
         getTriangleContainer(Priv::Flat_facets)->setColor(this->color());
       getTriangleContainer(Priv::Flat_facets)->draw(viewer, d->soup->fcolors.empty());
@@ -583,7 +583,7 @@ Scene_polygon_soup_item::draw(CGAL::Thre
 
 void
 Scene_polygon_soup_item::drawPoints(CGAL::Three::Viewer_interface* viewer) const {
-    
+
     if(d->soup == 0) return;
     if(!isInit(viewer))
       initGL(viewer);
@@ -662,7 +662,7 @@ void Scene_polygon_soup_item::compute_bb
                bbox.xmax(),bbox.ymax(),bbox.zmax()));
 }
 
-void 
+void
 Scene_polygon_soup_item::new_vertex(const double& x,
                                     const double& y,
                                     const double& z)
@@ -670,8 +670,8 @@ Scene_polygon_soup_item::new_vertex(cons
 
     d->soup->points.push_back(Point_3(x, y, z));
 }
-                               
-void 
+
+void
 Scene_polygon_soup_item::new_triangle(const std::size_t i,
                                       const std::size_t j,
                                       const std::size_t k)
@@ -717,7 +717,7 @@ void Scene_polygon_soup_item::load(const
 
     d->soup->fcolors.reserve (fcolors.size());
     std::copy (fcolors.begin(), fcolors.end(), std::back_inserter (d->soup->fcolors));
-    
+
     d->soup->vcolors.reserve (vcolors.size());
     std::copy (vcolors.begin(), vcolors.end(), std::back_inserter (d->soup->vcolors));
 }
@@ -755,7 +755,7 @@ void Scene_polygon_soup_item::itemAboutT
   }
 }
 
-const Polygon_soup::Edges& 
+const Polygon_soup::Edges&
 Scene_polygon_soup_item::non_manifold_edges() const
 {
   return d->soup->non_manifold_edges;
@@ -765,19 +765,19 @@ void Scene_polygon_soup_item::initialize
 {
   getTriangleContainer(Priv::Flat_facets)->initializeBuffers(v);
   getTriangleContainer(Priv::Flat_facets)->setFlatDataSize(d->nb_polys);
-  
+
   getTriangleContainer(Priv::Smooth_facets)->initializeBuffers(v);
   getTriangleContainer(Priv::Smooth_facets)->setFlatDataSize(d->nb_polys);
-  
+
   getEdgeContainer(Priv::Edges)->initializeBuffers(v);
   getEdgeContainer(Priv::Edges)->setFlatDataSize(d->nb_lines);
-  
+
   getEdgeContainer(Priv::NM_edges)->initializeBuffers(v);
   getEdgeContainer(Priv::NM_edges)->setFlatDataSize(d->nb_nm_edges);
-  
+
   getPointContainer(0)->initializeBuffers(v);
   getPointContainer(0)->setFlatDataSize(d->nb_lines);
-  
+
   d->normals.resize(0);
   d->positions_poly.resize(0);
   d->normals.shrink_to_fit();
@@ -791,15 +791,15 @@ void Scene_polygon_soup_item::initialize
 }
 
 void Scene_polygon_soup_item::computeElements() const
-{ 
+{
   QApplication::setOverrideCursor(Qt::WaitCursor);
   d->compute_normals_and_vertices();
-  
+
   getTriangleContainer(Priv::Flat_facets)->allocate(
         Tc::Flat_vertices,
         d->positions_poly.data(),
         static_cast<int>(d->positions_poly.size()*sizeof(float)));
-  
+
   getTriangleContainer(Priv::Flat_facets)->allocate(
         Tc::Flat_normals,
         d->normals.data(),
@@ -815,12 +815,12 @@ void Scene_polygon_soup_item::computeEle
         Tc::Flat_vertices,
         d->positions_poly.data(),
         static_cast<int>(d->positions_poly.size()*sizeof(float)));
-    
+
   getTriangleContainer(Priv::Smooth_facets)->allocate(
         Tc::Flat_normals,
         d->normals.data(),
         static_cast<int>(d->normals.size()*sizeof(float)));
-  
+
   if(!d->v_colors.empty())
   {
     getTriangleContainer(Priv::Smooth_facets)->allocate(
@@ -828,28 +828,28 @@ void Scene_polygon_soup_item::computeEle
           d->v_colors.data(),
           static_cast<int>(d->v_colors.size()*sizeof(float)));
   }
-  
+
   d->nb_polys = d->positions_poly.size();
-  
+
   getEdgeContainer(Priv::Edges)->allocate(
         Ec::Vertices,
         d->positions_lines.data(),
         static_cast<int>(d->positions_lines.size()*sizeof(float)));
-  
+
   getPointContainer(0)->allocate(
         Pc::Vertices,
         d->positions_lines.data(),
         static_cast<int>(d->positions_lines.size()*sizeof(float)));
-  
-  
+
+
   getEdgeContainer(Priv::NM_edges)->allocate(
         Ec::Vertices,
         d->positions_nm_lines.data(),
         static_cast<int>(d->positions_nm_lines.size()*sizeof(float)));
-  
+
   d->nb_nm_edges = d->positions_nm_lines.size();
   d->nb_lines = d->positions_lines.size();
-  
+
   setBuffersFilled(true);
   QApplication::restoreOverrideCursor();
 }
@@ -881,19 +881,19 @@ CGAL::Three::Scene_item::Header_data Sce
 
   //titles
   data.titles.append(QString("#Points"));
-  
+
   data.titles.append(QString("#Polygons"));
   data.titles.append(QString("Pure Triangle"));
   data.titles.append(QString("Pure Quad"));
   data.titles.append(QString("#Degenerate Polygons"));
-  
+
   data.titles.append(QString("#Edges"));
   data.titles.append(QString("Minimum Length"));
   data.titles.append(QString("Maximum Length"));
   data.titles.append(QString("Median Length"));
   data.titles.append(QString("Mean Length"));
   data.titles.append(QString("#Degenerate Edges"));
-  
+
   data.titles.append(QString("Minimum"));
   data.titles.append(QString("Maximum"));
   data.titles.append(QString("Average"));
@@ -904,7 +904,7 @@ QString Scene_polygon_soup_item::compute
 {
   if(!d->stats_computed)
     d->compute_stats();
-        
+
   switch(type)
   {
   case NB_VERTICES:
@@ -913,7 +913,7 @@ QString Scene_polygon_soup_item::compute
     return QString::number(d->soup->polygons.size());
   case NB_EDGES:
     return QString::number(d->nb_lines/6);
-    
+
   case NB_DEGENERATED_FACES:
   {
     if(d->is_triangle)
@@ -923,7 +923,7 @@ QString Scene_polygon_soup_item::compute
     else
       return QString("n/a");
   }
-    
+
   case MIN_LENGTH:
     return QString::number(d->minl);
   case MAX_LENGTH:
@@ -934,14 +934,14 @@ QString Scene_polygon_soup_item::compute
     return QString::number(d->meanl);
   case NB_NULL_LENGTH:
     return QString::number(d->nb_null_edges);
-    
+
   case MIN_ANGLE:
     return QString::number(d->mini);
   case MAX_ANGLE:
     return QString::number(d->maxi);
   case MEAN_ANGLE:
     return QString::number(d->ave);
-    
+
   case IS_PURE_TRIANGLE:
     if(d->is_triangle)
       return QString("yes");
@@ -984,8 +984,8 @@ Scene_polygon_soup_item_priv::compute_st
   accumulator_set< double,
     features< tag::min, tag::max, tag::mean > > angles_acc;
   double rad_to_deg = 180. / CGAL_PI;
-  
-  
+
+
   for(auto poly : soup->polygons)
   {
     if(poly.size() != 3)
@@ -997,7 +997,7 @@ Scene_polygon_soup_item_priv::compute_st
       Polygon_soup::Point_3 a(soup->points[poly[i]]),
           b(soup->points[poly[(i+1)%poly.size()]]),
           c(soup->points[poly[(i+2)%poly.size()]]);
-      if (a == b) 
+      if (a == b)
         ++nb_null_edges;
       edges_acc(CGAL::sqrt(CGAL::squared_distance(a, b)));
       typename Traits::Vector_3 ba(b, a);
@@ -1017,6 +1017,6 @@ Scene_polygon_soup_item_priv::compute_st
   mini = extract_result< tag::min >(angles_acc);
   maxi = extract_result< tag::max >(angles_acc);
   ave = extract_result< tag::mean >(angles_acc);
-  
+
   stats_computed = true;
 }
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_polygon_soup_item.h 5.0.3-1/demo/Polyhedron/Scene_polygon_soup_item.h
--- 5.0.2-3/demo/Polyhedron/Scene_polygon_soup_item.h	2020-02-21 20:03:59.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_polygon_soup_item.h	2020-08-01 19:02:44.000000000 +0000
@@ -97,11 +97,11 @@ struct Polygon_soup
 
 class Scene_surface_mesh_item;
 
-class SCENE_POLYGON_SOUP_ITEM_EXPORT Scene_polygon_soup_item 
+class SCENE_POLYGON_SOUP_ITEM_EXPORT Scene_polygon_soup_item
         : public CGAL::Three::Scene_item_rendering_helper
 {
     Q_OBJECT
-public:  
+public:
     typedef EPICK::Point_3 Point_3;
     typedef Polygon_soup::Points Points;
     typedef Polygon_soup::Polygons Polygons;
@@ -115,7 +115,7 @@ public:
 
     template <class Point, class Polygon>
     void load(const std::vector<Point>& points, const std::vector<Polygon>& polygons);
-    
+
     template <class Point, class Polygon>
     void load(const std::vector<Point>& points, const std::vector<Polygon>& polygons,
               const std::vector<CGAL::Color>& fcolors,
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_polyhedron_item_decorator.cpp 5.0.3-1/demo/Polyhedron/Scene_polyhedron_item_decorator.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_polyhedron_item_decorator.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_polyhedron_item_decorator.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -7,16 +7,16 @@ Scene_polyhedron_item_decorator::Scene_p
 { }
 
 Scene_polyhedron_item_decorator::~Scene_polyhedron_item_decorator()
-{ 
+{
   if(delete_poly_item) { delete poly_item; }
 }
 
-Scene_polyhedron_item_decorator* 
+Scene_polyhedron_item_decorator*
 Scene_polyhedron_item_decorator::clone() const {
   return 0;
 }
 
-QString 
+QString
 Scene_polyhedron_item_decorator::toolTip() const
 {
   if(!poly_item->polyhedron())
@@ -34,12 +34,12 @@ Scene_polyhedron_item_decorator::toolTip
     .arg(this->color().name());
 }
 
-Face_graph* 
-Scene_polyhedron_item_decorator::polyhedron()       
+Face_graph*
+Scene_polyhedron_item_decorator::polyhedron()
 { return poly_item->polyhedron(); }
 
-const Face_graph* 
-Scene_polyhedron_item_decorator::polyhedron() const 
+const Face_graph*
+Scene_polyhedron_item_decorator::polyhedron() const
 { return poly_item->polyhedron(); }
 
 bool
@@ -62,7 +62,7 @@ invalidateOpenGLBuffers()
   compute_bbox();
 }
 
-void 
+void
 Scene_polyhedron_item_decorator::select(double orig_x,
                                    double orig_y,
                                    double orig_z,
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_polyhedron_item_decorator.h 5.0.3-1/demo/Polyhedron/Scene_polyhedron_item_decorator.h
--- 5.0.2-3/demo/Polyhedron/Scene_polyhedron_item_decorator.h	2020-02-21 20:03:59.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_polyhedron_item_decorator.h	2020-08-01 19:02:44.000000000 +0000
@@ -9,10 +9,10 @@ typedef Scene_face_graph_item::Face_grap
 
 // This class is a decorator for Scene_surface_mesh_item yet it does not inherit it but
 // Scene_item_rendering_helper
-class SCENE_POLYHEDRON_ITEM_DECORATOR_EXPORT Scene_polyhedron_item_decorator 
+class SCENE_POLYHEDRON_ITEM_DECORATOR_EXPORT Scene_polyhedron_item_decorator
   : public CGAL::Three::Scene_item_rendering_helper {
   Q_OBJECT
-public:  
+public:
   /// Create an Scene_polyhedron_item_decorator from a Scene_polyhedron_item.
 
   Scene_polyhedron_item_decorator(Scene_face_graph_item* poly_item, bool delete_item = true);
@@ -20,7 +20,7 @@ public:
 
   /// Returns 0, so that one cannot clone decorator
   Scene_polyhedron_item_decorator* clone() const;
-  
+
   // // IO
   // bool load(std::istream& in);
   // bool save(std::ostream& out) const;
@@ -30,7 +30,7 @@ public:
 
   // // Function to override the context menu
   // QMenu* contextMenu();
-  
+
   // Indicate if rendering mode is supported
   bool supportsRenderingMode(RenderingMode m) const { return (m!=PointsPlusNormals ); }
 
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_polyhedron_selection_item.cpp 5.0.3-1/demo/Polyhedron/Scene_polyhedron_selection_item.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_polyhedron_selection_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_polyhedron_selection_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -62,10 +62,10 @@ public:
     :undo_(std::forward<Undo> (undo)),
       item(item)
   {}
-  
+
   void undo() override
   {
-    undo_(); 
+    undo_();
     item->compute_normal_maps();
     item->polyhedron_item()->invalidateOpenGLBuffers();
     item->invalidateOpenGLBuffers();
@@ -80,16 +80,16 @@ struct Scene_polyhedron_selection_item_p
   typedef Scene_facegraph_item_k_ring_selection::Active_handle Active_handle;
   typedef boost::unordered_set<fg_vertex_descriptor
   , CGAL::Handle_hash_function>    Selection_set_vertex;
-  typedef boost::unordered_set<fg_face_descriptor, 
+  typedef boost::unordered_set<fg_face_descriptor,
   CGAL::Handle_hash_function>      Selection_set_facet;
-  typedef boost::unordered_set<fg_edge_descriptor, 
+  typedef boost::unordered_set<fg_edge_descriptor,
   CGAL::Handle_hash_function>    Selection_set_edge;
   struct vertex_on_path
   {
     fg_vertex_descriptor vertex;
     bool is_constrained;
   };
-  
+
 
   Scene_polyhedron_selection_item_priv(Scene_polyhedron_selection_item* parent):
     item(parent)
@@ -105,7 +105,7 @@ struct Scene_polyhedron_selection_item_p
   void compute_any_elements(std::vector<float> &p_facets,
                             std::vector<float> &p_lines, std::vector<float> &p_points,
                             std::vector<float> &p_normals,
-                            const Selection_set_vertex& p_sel_vertex, 
+                            const Selection_set_vertex& p_sel_vertex,
                             const Selection_set_facet &p_sel_facet,
                             const Selection_set_edge &p_sel_edges) const;
   void compute_temp_elements() const;
@@ -151,7 +151,7 @@ struct Scene_polyhedron_selection_item_p
   const Face_graph* polyhedron()const { return poly; }
 
   bool canAddFace(fg_halfedge_descriptor hc, Scene_polyhedron_selection_item::fg_halfedge_descriptor t);
-  bool canAddFaceAndVertex(Scene_polyhedron_selection_item::fg_halfedge_descriptor hc, 
+  bool canAddFaceAndVertex(Scene_polyhedron_selection_item::fg_halfedge_descriptor hc,
                            Scene_polyhedron_selection_item::fg_halfedge_descriptor t);
 
   mutable std::vector<float> positions_facets;
@@ -213,7 +213,7 @@ void Scene_polyhedron_selection_item_pri
   item->getEdgeContainer(Edges)->setFlatDataSize(nb_lines);
   item->getPointContainer(Points)->initializeBuffers(viewer);
   item->getPointContainer(Points)->setFlatDataSize(nb_points);
-  
+
   positions_facets.resize(0);
   positions_facets.shrink_to_fit();
 
@@ -247,7 +247,7 @@ void Scene_polyhedron_selection_item_pri
   std::vector<float>(positions_temp_points).swap(positions_temp_points);
   positions_fixed_points.resize(0);
   std::vector<float>(positions_fixed_points).swap(positions_fixed_points);
-  
+
 }
 
 void Scene_polyhedron_selection_item_priv::initialize_HL_buffers(CGAL::Three::Viewer_interface *viewer)const
@@ -271,9 +271,9 @@ void push_back_xyz(const TypeWithXYZ& t,
 typedef EPICK Traits;
 
 //Make sure all the facets are triangles
-typedef Traits::Point_3	            Point_3;
-typedef Traits::Point_3	            Point;
-typedef Traits::Vector_3	    Vector;
+typedef Traits::Point_3                    Point_3;
+typedef Traits::Point_3                    Point;
+typedef Traits::Vector_3            Vector;
 
 void
 Scene_polyhedron_selection_item_priv::triangulate_facet(fg_face_descriptor fit,const Vector normal,
@@ -281,7 +281,7 @@ Scene_polyhedron_selection_item_priv::tr
 {
   const CGAL::qglviewer::Vec off = Three::mainViewer()->offset();
   EPICK::Vector_3 offset(off.x,off.y,off.z);
-  
+
   typedef FacetTriangulator<Face_graph, EPICK, fg_vertex_descriptor> FT;
   FT triangulation(fit,normal,poly, offset);
     //iterates on the internal faces to add the vertices to the positions
@@ -425,27 +425,27 @@ void Scene_polyhedron_selection_item_pri
   QApplication::setOverrideCursor(Qt::WaitCursor);
   compute_any_elements(positions_facets, positions_lines, positions_points, normals,
                        item->selected_vertices, item->selected_facets, item->selected_edges);
-  
+
   item->getTriangleContainer(Facets)->allocate(
         Tc::Flat_vertices,
         positions_facets.data(),
         static_cast<int>(positions_facets.size()*sizeof(float)));
-  
+
   item->getTriangleContainer(Facets)->allocate(
         Tc::Flat_normals,
         normals.data(),
         static_cast<int>(normals.size()*sizeof(float)));
-  
+
   item->getPointContainer(Points)->allocate(
         Pc::Vertices,
         positions_points.data(),
         static_cast<int>(positions_points.size()*sizeof(float)));
-  
+
   item->getEdgeContainer(Edges)->allocate(
         Ec::Vertices,
         positions_lines.data(),
         static_cast<int>(positions_lines.size()*sizeof(float)));
-  
+
   nb_facets = positions_facets.size();
   nb_lines = positions_lines.size();
   nb_points = positions_points.size();
@@ -490,7 +490,7 @@ void Scene_polyhedron_selection_item_pri
       i++;
     }
   }
-  
+
   item->getTriangleContainer(Temp_facets)->allocate(
         Tc::Flat_vertices,
         positions_temp_facets.data(),
@@ -499,7 +499,7 @@ void Scene_polyhedron_selection_item_pri
         Tc::Flat_normals,
         temp_normals.data(),
         static_cast<int>(temp_normals.size()*sizeof(float)));
-  
+
   item->getEdgeContainer(Temp_edges)->allocate(
         Ec::Vertices,
         positions_temp_lines.data(),
@@ -508,7 +508,7 @@ void Scene_polyhedron_selection_item_pri
         Pc::Vertices,
         positions_temp_points.data(),
         static_cast<int>(positions_temp_points.size()*sizeof(float)));
-  
+
 item->getPointContainer(Fixed_points)->allocate(
       Pc::Vertices,
       positions_fixed_points.data(),
@@ -518,7 +518,7 @@ item->getPointContainer(Fixed_points)->a
         Pc::Colors,
         color_fixed_points.data(),
         static_cast<int>(color_fixed_points.size()*sizeof(float)));
-  
+
   nb_temp_facets = positions_temp_facets.size();
   nb_temp_lines = positions_temp_lines.size();
   nb_temp_points = positions_temp_points.size();
@@ -539,17 +539,17 @@ void Scene_polyhedron_selection_item_pri
         Tc::Flat_normals,
         HL_normals.data(),
         static_cast<int>(HL_normals.size()*sizeof(float)));
-  
+
   item->getEdgeContainer(HL_edges)->allocate(
         Ec::Vertices,
         positions_HL_lines.data(),
         static_cast<int>(positions_HL_lines.size()*sizeof(float)));
-  
+
   item->getPointContainer(HL_points)->allocate(
         Pc::Vertices,
         positions_HL_points.data(),
         static_cast<int>(positions_HL_points.size()*sizeof(float)));
-  
+
   QApplication::restoreOverrideCursor();
 }
 
@@ -570,20 +570,20 @@ void Scene_polyhedron_selection_item::dr
     computeElements();
     initializeBuffers(viewer);
   }
-  
+
   viewer->glGetFloatv(GL_POLYGON_OFFSET_FACTOR, &offset_factor);
   viewer->glGetFloatv(GL_POLYGON_OFFSET_UNITS, &offset_units);
   viewer->glPolygonOffset(0.9f, 0.9f);
-  
+
   getTriangleContainer(Priv::HL_facets)->setColor(QColor(255,153,51));
   getTriangleContainer(Priv::HL_facets)->draw(viewer, true);
-  
+
   getTriangleContainer(Priv::Temp_facets)->setColor(QColor(0,255,0));
   getTriangleContainer(Priv::Temp_facets)->draw(viewer, true);
-  
+
   getTriangleContainer(Priv::Facets)->setColor(this->color());
   getTriangleContainer(Priv::Facets)->draw(viewer, true);
-  
+
   viewer->glEnable(GL_POLYGON_OFFSET_LINE);
   viewer->glPolygonOffset(0.3f, 0.3f);
   drawEdges(viewer);
@@ -594,7 +594,7 @@ void Scene_polyhedron_selection_item::dr
 
 void Scene_polyhedron_selection_item::drawEdges(CGAL::Three::Viewer_interface* viewer) const
 {
-  
+
   if(!isInit(viewer))
     initGL(viewer);
   if ( getBuffersFilled() &&
@@ -608,15 +608,15 @@ void Scene_polyhedron_selection_item::dr
     computeElements();
     initializeBuffers(viewer);
   }
-  
+
   QVector2D vp(viewer->width(), viewer->height());
   if(viewer->isOpenGL_4_3())
   {
-    
+
     getEdgeContainer(Priv::HL_edges)->setViewport(vp);
     getEdgeContainer(Priv::HL_edges)->setWidth(3.0f);
   }
-  
+
   getEdgeContainer(Priv::HL_edges)->setColor(QColor(255,153,51));
   getEdgeContainer(Priv::HL_edges)->draw(viewer, true);
   if(viewer->isOpenGL_4_3())
@@ -624,7 +624,7 @@ void Scene_polyhedron_selection_item::dr
     getEdgeContainer(Priv::Temp_edges)->setViewport(vp);
     getEdgeContainer(Priv::Temp_edges)->setWidth(3.0f);
   }
-  
+
   getEdgeContainer(Priv::Temp_edges)->setColor(QColor(0,200,0));
   getEdgeContainer(Priv::Temp_edges)->draw(viewer, true);
   if(viewer->isOpenGL_4_3())
@@ -640,9 +640,9 @@ void Scene_polyhedron_selection_item::dr
 
 void Scene_polyhedron_selection_item::drawPoints(CGAL::Three::Viewer_interface* viewer) const
 {
-  
+
   viewer->setGlPointSize(5.0f);
-  
+
   if(!d->are_HL_buffers_filled)
   {
     d->compute_HL_elements();
@@ -657,7 +657,7 @@ void Scene_polyhedron_selection_item::dr
                                                    (std::min)(color().blue()+color().red(), 255),
                                                    (std::min)(color().green()+color().red(), 255)));
   getPointContainer(Priv::Points)->draw(viewer, true);
-  
+
   viewer->setGlPointSize(1.f);
 }
 
@@ -989,11 +989,11 @@ bool Scene_polyhedron_selection_item::tr
         d->stack.clear();
         d->stack.push(new EulerOperation(
                         [new_h, p, mesh, vpm](){
-          
+
           halfedge_descriptor h = CGAL::Euler::add_center_vertex(
                 new_h, *mesh);
           put(vpm, target(h,*mesh), p);
-          
+
         }, this));
         compute_normal_maps();
         polyhedron_item()->invalidateOpenGLBuffers();
@@ -1095,7 +1095,7 @@ bool Scene_polyhedron_selection_item:: t
       //Split edge
     case 2:
     {
-      
+
       SMesh* mesh = polyhedron();
       Point_3 a(get(vpm,target(halfedge(ed, *mesh),*mesh))),
           b(get(vpm,target(opposite(halfedge(ed, *mesh),*mesh),*mesh)));
@@ -1107,7 +1107,7 @@ bool Scene_polyhedron_selection_item:: t
         put(vpm, target(h,*mesh), p);
       }, this));
       Point_3 p((b.x()+a.x())/2.0, (b.y()+a.y())/2.0,(b.z()+a.z())/2.0);
-      
+
       put(vpm, target(hhandle,*mesh), p);
       invalidateOpenGLBuffers();
       poly_item->invalidateOpenGLBuffers();
@@ -1172,8 +1172,8 @@ bool Scene_polyhedron_selection_item:: t
     case 6:
 
         //check preconditions
-      if(boost::distance(CGAL::halfedges_around_face(halfedge(ed, *polyhedron()),*polyhedron())) == 3 
-         && 
+      if(boost::distance(CGAL::halfedges_around_face(halfedge(ed, *polyhedron()),*polyhedron())) == 3
+         &&
          boost::distance(CGAL::halfedges_around_face(opposite(halfedge(ed, *polyhedron()),*polyhedron()),*polyhedron())) == 3
         && !CGAL::is_border(ed, *polyhedron()))
       {
@@ -1438,7 +1438,7 @@ bool Scene_polyhedron_selection_item::tr
         SMesh* mesh = polyhedron();
           double x(0), y(0), z(0);
           int total(0);
-          
+
           for(fg_halfedge_descriptor hafc : halfedges_around_face(halfedge(fh,*mesh),*mesh))
           {
             fg_vertex_descriptor vd = target(hafc,*mesh);
@@ -1782,10 +1782,10 @@ void Scene_polyhedron_selection_item::on
 
 void Scene_polyhedron_selection_item::common_constructor()
 {
-  d = new Scene_polyhedron_selection_item_priv(this);  
+  d = new Scene_polyhedron_selection_item_priv(this);
   d->original_sel_mode = static_cast<Active_handle::Type>(0);
   d->operation_mode = -1;
- 
+
   d->nb_facets = 0;
   d->nb_points = 0;
   d->nb_lines = 0;
@@ -1798,15 +1798,15 @@ void Scene_polyhedron_selection_item::co
   d->ready_to_move = false;
   do_process = true;
   setProperty("no_picking", true);
-  
-  setPointContainer(3, 
+
+  setPointContainer(3,
                     new Pc(Vi::PROGRAM_NO_SELECTION, false));
   for(int i=2; i>=0; --i)
   {
     setTriangleContainer(i,
                          new Tc(Vi::PROGRAM_WITH_LIGHT, false));
     setEdgeContainer(i,
-                     new Ec(Three::mainViewer()->isOpenGL_4_3() 
+                     new Ec(Three::mainViewer()->isOpenGL_4_3()
                             ? Vi::PROGRAM_SOLID_WIREFRAME
                             : Vi::PROGRAM_NO_SELECTION,
                             false));
@@ -1830,7 +1830,7 @@ Scene_polyhedron_selection_item::Scene_p
   sf.remove(rx);
   if(!sf.isEmpty())
     setProperty("defaultSaveDir", sf);
-  
+
   init(poly_item, mw);
   invalidateOpenGLBuffers();
   compute_normal_maps();
@@ -1876,14 +1876,14 @@ void Scene_polyhedron_selection_item::in
       setBuffersFilled(false);
       getTriangleContainer(Priv::Facets)->reset_vbos(ALL);
       getTriangleContainer(Priv::Temp_facets)->reset_vbos(ALL);
-      
+
       getEdgeContainer(Priv::Edges)->reset_vbos(ALL);
       getEdgeContainer(Priv::Temp_edges)->reset_vbos(ALL);
-      
+
       getPointContainer(Priv::Points)->reset_vbos(ALL);
       getPointContainer(Priv::Temp_points)->reset_vbos(ALL);
       getPointContainer(Priv::Fixed_points)->reset_vbos(ALL);
-      
+
       Q_FOREACH(CGAL::QGLViewer* v, CGAL::QGLViewer::QGLViewerPool())
       {
         CGAL::Three::Viewer_interface* viewer =
@@ -2282,7 +2282,7 @@ void Scene_polyhedron_selection_item::se
   redraw();
 }
 
-QString 
+QString
 Scene_polyhedron_selection_item::toolTip() const
 {
   if(!poly_item || !poly_item->polyhedron())
@@ -2394,7 +2394,7 @@ QString Scene_polyhedron_selection_item:
       faces_aspect_ratio(d->poly, selected_facets,min_altitude, min_ar, max_ar, mean_ar);
     }
   }
-  
+
   switch(type)
   {
   case NB_VERTICES:
@@ -2420,7 +2420,7 @@ QString Scene_polyhedron_selection_item:
   }
   case NB_FACETS:
     return QString::number(selected_facets.size());
-    
+
   case NB_CONNECTED_COMPOS:
   {
     // Extract the part n°0 of the partition into a new, independent mesh
@@ -2429,10 +2429,10 @@ QString Scene_polyhedron_selection_item:
     boost::vector_property_map<int,
         boost::property_map<SMesh, boost::face_index_t>::type>
         fccmap(get(boost::face_index, *d->filtered_graph));
-    
+
     return QString::number(CGAL::Polygon_mesh_processing::connected_components(*d->filtered_graph, fccmap));
   }
-    
+
   case NB_BORDER_EDGES:
   {
     int i=0;
@@ -2444,7 +2444,7 @@ QString Scene_polyhedron_selection_item:
     }
     return QString::number(i);
   }
-    
+
   case NB_EDGES:{
     std::set<fg_edge_descriptor> total_edges;
     for(auto e : selected_edges)
@@ -2460,11 +2460,11 @@ QString Scene_polyhedron_selection_item:
     }
     return QString::number(total_edges.size());
   }
-    
+
   case VOLUME:
     return QString("n/a");
     break;
-    
+
   case GENUS:
     return QString("n/a");
     break;
@@ -2490,13 +2490,13 @@ QString Scene_polyhedron_selection_item:
     else
       return QString("n/a");
   }
-    
+
   case SELFINTER:
   {
     if(selected_facets.size() == 0)
       return QString("n/a");
     if(is_triangle_mesh(*d->poly)){
-      bool self_intersect 
+      bool self_intersect
           = CGAL::Polygon_mesh_processing::does_self_intersect(*(d->poly));
       if (self_intersect)
         return QString("Yes");
@@ -2515,7 +2515,7 @@ QString Scene_polyhedron_selection_item:
     return QString::number(meanl);
   case NB_NULL_LENGTH:
     return QString::number(number_of_null_length_edges);
-    
+
   case MIN_ANGLE:
     return QString::number(mini);
   case MAX_ANGLE:
@@ -2526,7 +2526,7 @@ QString Scene_polyhedron_selection_item:
   {
     return QString("n/a");
   }
-    
+
   case MIN_AREA:
     return QString::number(min_area);
   case MAX_AREA:
@@ -2562,7 +2562,7 @@ QString Scene_polyhedron_selection_item:
     else
       return QString("no");
   }
-    
+
   }//end switch
   return QString();
 }
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_polyhedron_selection_item.h 5.0.3-1/demo/Polyhedron/Scene_polyhedron_selection_item.h
--- 5.0.2-3/demo/Polyhedron/Scene_polyhedron_selection_item.h	2020-02-21 20:03:59.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_polyhedron_selection_item.h	2020-08-01 19:02:44.000000000 +0000
@@ -188,7 +188,7 @@ struct Selection_traits<typename Selecti
 
 //////////////////////////////////////////////////////////////////////////
 struct Scene_polyhedron_selection_item_priv;
-class SCENE_POLYHEDRON_SELECTION_ITEM_EXPORT Scene_polyhedron_selection_item 
+class SCENE_POLYHEDRON_SELECTION_ITEM_EXPORT Scene_polyhedron_selection_item
   : public Scene_polyhedron_item_decorator,
     public CGAL::Three::Scene_print_item_interface
 {
@@ -220,21 +220,21 @@ public:
   void printAllIds();
   bool testDisplayId(double, double, double, CGAL::Three::Viewer_interface*)const;
   bool shouldDisplayIds(CGAL::Three::Scene_item *current_item) const;
-  QString defaultSaveName() const 
-  { 
+  QString defaultSaveName() const
+  {
     QString res = name();
     res.remove(" (selection)");
-    return res;      
+    return res;
   }
   void initializeBuffers(CGAL::Three::Viewer_interface *) const;
   void computeElements() const;
 
-protected: 
+protected:
   void init(Scene_face_graph_item* poly_item, QMainWindow* mw);
 
-  Active_handle::Type get_active_handle_type() 
+  Active_handle::Type get_active_handle_type()
   { return k_ring_selector.active_handle_type; }
-  void set_active_handle_type(Active_handle::Type aht) 
+  void set_active_handle_type(Active_handle::Type aht)
   { k_ring_selector.active_handle_type = aht; }
   void set_lasso_mode(bool b)
   { k_ring_selector.set_lasso_mode(b); }
@@ -243,7 +243,7 @@ protected:
 
   bool get_is_insert() { return is_insert; }
   void set_is_insert(bool i) { is_insert = i; }
-  
+
 public:
   typedef boost::unordered_set<fg_vertex_descriptor, CGAL::Handle_hash_function>    Selection_set_vertex;
   typedef boost::unordered_set<fg_face_descriptor, CGAL::Handle_hash_function>      Selection_set_facet;
@@ -290,31 +290,31 @@ public:
       = boost::make_optional(false, CGAL::Bbox_3());
 
 
-    for(Selection_set_vertex::const_iterator v_it = selected_vertices.begin(); 
+    for(Selection_set_vertex::const_iterator v_it = selected_vertices.begin();
         v_it != selected_vertices.end(); ++v_it) {
 
       if(item_bbox) { *item_bbox = *item_bbox + get(vpm,*v_it).bbox(); }
       else          {  item_bbox = get(vpm,*v_it).bbox(); }
     }
 
-    for(Selection_set_edge::const_iterator e_it = selected_edges.begin(); 
+    for(Selection_set_edge::const_iterator e_it = selected_edges.begin();
         e_it != selected_edges.end(); ++e_it) {
       CGAL::Bbox_3 e_bbox = get(vpm,target(halfedge(*e_it,*polyhedron()),*polyhedron())).bbox();
       e_bbox = e_bbox + get(vpm,target(opposite(halfedge(*e_it,*polyhedron()),*polyhedron()),*polyhedron())).bbox();
         if(item_bbox) { *item_bbox = *item_bbox + e_bbox; }
         else          {  item_bbox = e_bbox; }
     }
-  
-    for(Selection_set_facet::const_iterator f_it = selected_facets.begin(); 
+
+    for(Selection_set_facet::const_iterator f_it = selected_facets.begin();
         f_it != selected_facets.end(); ++f_it) {
       fg_face_descriptor fd = *f_it;
       for(fg_halfedge_descriptor he : halfedges_around_face(halfedge(fd,*polyhedron()),*polyhedron())){
         if(item_bbox) { *item_bbox = *item_bbox + get(vpm,target(he,*polyhedron())).bbox(); }
         else          {  item_bbox = get(vpm,target(he,*polyhedron())).bbox(); }
-    
+
       }
     }
-    
+
     if(!item_bbox)
     {
       setBbox(this->poly_item->bbox());
@@ -334,18 +334,18 @@ public:
     std::ofstream out(file_name.c_str());
     if(!out) { return false; }
 
-    for(Selection_set_vertex::const_iterator it = selected_vertices.begin(); it != selected_vertices.end(); ++it) 
+    for(Selection_set_vertex::const_iterator it = selected_vertices.begin(); it != selected_vertices.end(); ++it)
       { out << get(boost::vertex_index, *polyhedron(), *it) << " "; }
     out << "\n";
 
-    for(Selection_set_facet::const_iterator it = selected_facets.begin(); it != selected_facets.end(); ++it) 
+    for(Selection_set_facet::const_iterator it = selected_facets.begin(); it != selected_facets.end(); ++it)
       { out << get(boost::face_index, *polyhedron(), *it) << " "; }
     out << "\n";
 
-    for(Selection_set_edge::const_iterator it = selected_edges.begin(); it != selected_edges.end(); ++it) 
+    for(Selection_set_edge::const_iterator it = selected_edges.begin(); it != selected_edges.end(); ++it)
     {
       fg_edge_descriptor ed = *it;
-      out << get(boost::vertex_index, *polyhedron(), source(ed,*polyhedron())) << " " 
+      out << get(boost::vertex_index, *polyhedron(), source(ed,*polyhedron())) << " "
           << get(boost::vertex_index, *polyhedron(),target(ed,*polyhedron())) << " ";
     }
 
@@ -360,9 +360,9 @@ public:
   }
 
 
-  // this function is called by selection_plugin, since at the time of the call of load(...) 
+  // this function is called by selection_plugin, since at the time of the call of load(...)
   // we do not have access to selected polyhedron item
-  bool actual_load(Scene_face_graph_item* poly_item, QMainWindow* mw) 
+  bool actual_load(Scene_face_graph_item* poly_item, QMainWindow* mw)
   {
 
     init(poly_item, mw);
@@ -372,7 +372,7 @@ public:
 
     for(fg_vertex_descriptor vb : vertices(*polyhedron()))
       { all_vertices.push_back(vb); }
-    
+
     std::vector<fg_face_descriptor> all_facets;
     all_facets.reserve(num_faces(*polyhedron()));
     for(fg_face_descriptor fb : faces(*polyhedron()))
@@ -695,7 +695,7 @@ public:
 
   void erase_selected_facets() {
     if(selected_facets.empty()) {return;}
-    // no-longer-valid vertices and edges will be handled when item_about_to_be_changed() 
+    // no-longer-valid vertices and edges will be handled when item_about_to_be_changed()
 
     for (Selection_set_edge::iterator eit = selected_edges.begin(); eit != selected_edges.end();)
     {
@@ -752,7 +752,7 @@ public:
     for(Selection_set_facet::iterator fb = selected_facets.begin(); fb != selected_facets.end(); ++fb) {
       for(fg_halfedge_descriptor hb : halfedges_around_face(halfedge(*fb,*polyhedron()),*polyhedron())){
         if(get(vertex_selection_map(), target(hb,*polyhedron())) == 0) {
-          put(vertex_selection_map(),target(hb,*polyhedron()), counter++); 
+          put(vertex_selection_map(),target(hb,*polyhedron()), counter++);
           points.push_back(get(vpm,target(hb,*polyhedron())));
         }
       }
@@ -1021,7 +1021,7 @@ public:
 protected :
   friend struct Scene_polyhedron_selection_item_priv;
   Scene_polyhedron_selection_item_priv *d;
-  
+
 public:
   //statistics
   enum STATS {
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_polylines_item.cpp 5.0.3-1/demo/Polyhedron/Scene_polylines_item.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_polylines_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_polylines_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -39,7 +39,7 @@ struct Scene_polylines_item_private {
     {
       nb_vertices = 0;
       nb_edges = 0;
-      min_length = std::numeric_limits<double>::max();
+      min_length = (std::numeric_limits<double>::max)();
       max_length = 0;
       mean_length = 0;
       computed_stats = false;
@@ -78,12 +78,12 @@ Scene_polylines_item_private::initialize
     lineWidth[1] = 10;
   }
   line_Slider->setMaximum(lineWidth[1]);
-  
+
   item->getEdgeContainer(0)->initializeBuffers(viewer);
   item->getEdgeContainer(0)->setFlatDataSize(nb_lines);
   item->getPointContainer(0)->initializeBuffers(viewer);
-  item->getPointContainer(0)->setFlatDataSize(nb_lines);  
-  
+  item->getPointContainer(0)->setFlatDataSize(nb_lines);
+
   positions_lines.clear();
   positions_lines.shrink_to_fit();
 }
@@ -105,9 +105,9 @@ Scene_polylines_item_private::computeEle
       if(it->empty()) continue;
       if(it->front() == it->back())
         nb_vertices += it->size() - 1;
-      else 
+      else
         nb_vertices += it->size();
-      
+
       for(size_t i = 0, end = it->size()-1;
           i < end; ++i)
       {
@@ -144,14 +144,14 @@ Scene_polylines_item_private::computeEle
     if(!computed_stats)
       mean_length = mean/double(nb_edges);
     computed_stats = true;
-    
+
     item->getEdgeContainer(0)->allocate(
           Ec::Vertices, positions_lines.data(),
           static_cast<int>(positions_lines.size()*sizeof(float)));
     item->getPointContainer(0)->allocate(
           Pc::Vertices, positions_lines.data(),
           static_cast<int>(positions_lines.size()*sizeof(float)));
-    
+
     item->setBuffersFilled(true);
     nb_lines = positions_lines.size();
     QApplication::restoreOverrideCursor();
@@ -269,20 +269,20 @@ Scene_polylines_item_private::computeSph
       QApplication::restoreOverrideCursor();
 }
 
-Scene_polylines_item::Scene_polylines_item() 
+Scene_polylines_item::Scene_polylines_item()
     :CGAL::Three::Scene_group_item("unnamed")
     ,d(new Scene_polylines_item_private(this))
 {
     setRenderingMode(FlatPlusEdges);
     d->nb_lines = 0;
     d->spheres = NULL;
-    setEdgeContainer(0, 
+    setEdgeContainer(0,
                      new Ec(Three::mainViewer()->isOpenGL_4_3() ? Vi::PROGRAM_SOLID_WIREFRAME
                                                                 : Vi::PROGRAM_NO_SELECTION
                                                                   , false));
-    setPointContainer(0, 
+    setPointContainer(0,
                       new Pc(Vi::PROGRAM_NO_SELECTION, false));
-    
+
 }
 
 Scene_polylines_item::~Scene_polylines_item()
@@ -333,7 +333,7 @@ Scene_item::Bbox Scene_polylines_item::b
 {
   return Scene_item_rendering_helper::bbox();
 }
-Scene_polylines_item* 
+Scene_polylines_item*
 Scene_polylines_item::clone() const {
     Scene_polylines_item* item = new Scene_polylines_item;
     item->polylines = polylines;
@@ -405,11 +405,11 @@ Scene_polylines_item::draw(CGAL::Three::
 }
 
 // Wireframe OpenGL drawing
-void 
+void
 Scene_polylines_item::drawEdges(CGAL::Three::Viewer_interface* viewer) const {
   if(!visible())
     return;
-  
+
   if(renderingMode() == Wireframe
      || renderingMode() == FlatPlusEdges)
   {
@@ -429,7 +429,7 @@ Scene_polylines_item::drawEdges(CGAL::Th
     if(viewer->isOpenGL_4_3())
     {
       QVector2D vp(viewer->width(), viewer->height());
-      
+
       getEdgeContainer(0)->setViewport(vp);
       getEdgeContainer(0)->setWidth(GLfloat(d->line_Slider->value()));
     }
@@ -442,7 +442,7 @@ Scene_polylines_item::drawEdges(CGAL::Th
     }
 }
 
-void 
+void
 Scene_polylines_item::drawPoints(CGAL::Three::Viewer_interface* viewer) const {
   if(!visible())
     return;
@@ -464,7 +464,7 @@ Scene_polylines_item::drawPoints(CGAL::T
       computeElements();
       initializeBuffers(viewer);
     }
-    
+
     getPointContainer(0)->setColor(this->color());
     getPointContainer(0)->draw(viewer, true);
     viewer->setGlPointSize(point_size);
@@ -475,7 +475,7 @@ Scene_polylines_item::drawPoints(CGAL::T
    }
 }
 
-QMenu* Scene_polylines_item::contextMenu() 
+QMenu* Scene_polylines_item::contextMenu()
 {
     const char* prop_name = "Menu modified by Scene_polylines_item.";
 
@@ -508,7 +508,7 @@ QMenu* Scene_polylines_item::contextMenu
 
         menu->setProperty(prop_name, true);
         container->menuAction()->setProperty("is_groupable", true);
-        QAction* actionCreatePointSet = 
+        QAction* actionCreatePointSet =
             menu->addAction(tr("Create Point Set from Polyline"));
         actionCreatePointSet->setObjectName("actionCreatePointSet");
         connect(actionCreatePointSet, &QAction::triggered,
@@ -573,7 +573,7 @@ void Scene_polylines_item::change_corner
           }
           d->spheres->invalidateOpenGLBuffers();
           d->computeSpheres();
-          
+
         }
         else if(r>0 && d->spheres)
         {
@@ -778,7 +778,7 @@ void Scene_polylines_item::computeElemen
 
 void Scene_polylines_item::point_set_from_polyline()
 {
-  Scene_points_with_normal_item* new_ps_item 
+  Scene_points_with_normal_item* new_ps_item
       = new Scene_points_with_normal_item();
   for(auto it = polylines.begin();
       it != polylines.end();
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_polylines_item.h 5.0.3-1/demo/Polyhedron/Scene_polylines_item.h
--- 5.0.2-3/demo/Polyhedron/Scene_polylines_item.h	2020-02-21 20:03:59.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_polylines_item.h	2020-08-01 19:02:44.000000000 +0000
@@ -14,7 +14,7 @@
 struct Scene_polylines_item_private;
 class Scene_spheres_item;
 
-class SCENE_POLYLINES_ITEM_EXPORT Scene_polylines_item 
+class SCENE_POLYLINES_ITEM_EXPORT Scene_polylines_item
     : public CGAL::Three::Scene_group_item
 {
     Q_OBJECT
@@ -57,10 +57,10 @@ public:
 
 
     void smooth(std::vector<Point_3>& polyline);
-    //When selecting a polylineitem, we don't want to select its children, so 
+    //When selecting a polylineitem, we don't want to select its children, so
     //we can still apply Operations to it
     QList<Scene_interface::Item_id> getChildrenForSelection() const Q_DECL_OVERRIDE {
-      return QList<Scene_interface::Item_id>(); 
+      return QList<Scene_interface::Item_id>();
     }
     void setWidth(int i);
     void computeElements() const Q_DECL_OVERRIDE;
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_spheres_item.cpp 5.0.3-1/demo/Polyhedron/Scene_spheres_item.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_spheres_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_spheres_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -59,11 +59,11 @@ Scene_spheres_item::Scene_spheres_item(S
 {
   setParent(parent);
   d = new Scene_spheres_item_priv(planed, this);
-  setTriangleContainer(0, 
+  setTriangleContainer(0,
                        new Tc(planed ? Vi::PROGRAM_CUTPLANE_SPHERES
                                      : Vi::PROGRAM_SPHERES
                                        ,false));
-  setEdgeContainer(0, 
+  setEdgeContainer(0,
                    new Ec(planed ? Vi::PROGRAM_CUTPLANE_SPHERES
                                  : Vi::PROGRAM_SPHERES
                                    ,false));
@@ -137,14 +137,14 @@ void Scene_spheres_item::drawEdges(Viewe
     setBuffersFilled(true);
     setBuffersInit(viewer, true);
   }
-  
+
   if(d->has_plane)
   {
     QVector4D cp(d->plane.a(),d->plane.b(),d->plane.c(),d->plane.d());
     getEdgeContainer(0)->setPlane(cp);
   }
   getEdgeContainer(0)->draw(viewer, false);
-  
+
 }
 void Scene_spheres_item::add_sphere(const CGAL::Sphere_3<Kernel>& sphere, CGAL::Color color)
 {
@@ -206,40 +206,40 @@ void Scene_spheres_item::computeElements
   {
     getTriangleContainer(0)->allocate(Tc::Flat_vertices, d->vertices.data(),
                                       static_cast<int>(d->vertices.size()*sizeof(float)));
-    
+
     getTriangleContainer(0)->allocate(Tc::Flat_normals, d->normals.data(),
                                       static_cast<int>(d->normals.size()*sizeof(float)));
     d->nb_vertices = d->vertices.size();
-    
+
   }
   getTriangleContainer(0)->allocate(Tc::FColors, d->colors.data(),
                                     static_cast<int>(d->colors.size()*sizeof(float)));
   getTriangleContainer(0)->allocate(Tc::Radius, d->radius.data(),
                                     static_cast<int>(d->radius.size()*sizeof(float)));
-  
+
   getTriangleContainer(0)->allocate(Tc::Facet_centers, d->centers.data(),
                                     static_cast<int>(d->centers.size()*sizeof(float)));
   if(!d->model_sphere_is_up)
   {
     getEdgeContainer(0)->allocate(Ec::Vertices, d->edges.data(),
                                   static_cast<int>(d->edges.size()*sizeof(float)));
-    
-    getEdgeContainer(0)->allocate(Ec::Normals, d->normals.data(), 
+
+    getEdgeContainer(0)->allocate(Ec::Normals, d->normals.data(),
                                   static_cast<int>(d->normals.size()*sizeof(float)));
     d->model_sphere_is_up = true;
     d->nb_edges = d->edges.size();
   }
   getEdgeContainer(0)->allocate(Ec::Colors, d->edges_colors.data(),
                                 static_cast<int>(d->edges_colors.size()*sizeof(float)));
-  
+
   getEdgeContainer(0)->allocate(Ec::Radius, d->radius.data(),
                                 static_cast<int>(d->radius.size()*sizeof(float)));
-  
+
   getEdgeContainer(0)->allocate(Ec::Centers, d->centers.data(),
                                 static_cast<int>(d->centers.size()*sizeof(float)));
-  
+
   d->nb_centers = d->centers.size();
-  
+
 }
 
 void Scene_spheres_item::gl_initialization(Vi* viewer)
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_surface_mesh_item.cpp 5.0.3-1/demo/Polyhedron/Scene_surface_mesh_item.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_surface_mesh_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_surface_mesh_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -151,7 +151,7 @@ struct Scene_surface_mesh_item_priv{
                                                  true));
     item->setPointContainer(0, new Point_container(VI::PROGRAM_WITHOUT_LIGHT,
                                                  false));
-    
+
     has_feature_edges = false;
     invalidate_stats();
     vertices_displayed = false;
@@ -193,7 +193,7 @@ struct Scene_surface_mesh_item_priv{
   void* get_aabb_tree();
   QList<EPICK::Triangle_3> triangulate_primitive(face_descriptor fit,
                                                  EPICK::Vector_3 normal);
-  
+
   //! \brief triangulate_facet Triangulates a facet.
   //! \param fd a face_descriptor of the facet that needs to be triangulated.
   //! \param fnormals a property_map containing the normals of the mesh.
@@ -310,7 +310,7 @@ void Scene_surface_mesh_item::standard_c
   d->textFItems = new TextListItem(this);
   are_buffers_filled = false;
   invalidate(ALL);
-  
+
 }
 Scene_surface_mesh_item::Scene_surface_mesh_item(SMesh* sm)
 {
@@ -393,39 +393,39 @@ void Scene_surface_mesh_item_priv::compu
   v_colors.clear();
   idx_data_.clear();
   idx_data_.shrink_to_fit();
-  
+
   SMesh::Property_map<vertex_descriptor, EPICK::Vector_3 > vnormals =
       smesh_->add_property_map<vertex_descriptor, EPICK::Vector_3 >("v:normal").first;
-  
+
   SMesh::Property_map<face_descriptor, EPICK::Vector_3 > fnormals =
       smesh_->add_property_map<face_descriptor, EPICK::Vector_3 >("f:normal").first;
   CGAL::Polygon_mesh_processing::compute_face_normals(*smesh_,fnormals);
-  
+
   typedef boost::graph_traits<SMesh>::face_descriptor face_descriptor;
   CGAL::Polygon_mesh_processing::compute_vertex_normals(*smesh_,vnormals);
-  
+
   const CGAL::qglviewer::Vec o = static_cast<CGAL::Three::Viewer_interface*>(CGAL::QGLViewer::QGLViewerPool().first())->offset();
   EPICK::Vector_3 offset(o.x, o.y, o.z);
-  
+
   SMesh::Property_map<vertex_descriptor, SMesh::Point> positions =
       smesh_->points();
-  
+
   SMesh::Property_map<vertex_descriptor, CGAL::Color> vcolors =
       smesh_->property_map<vertex_descriptor, CGAL::Color >("v:color").first;
-  
+
   SMesh::Property_map<face_descriptor, CGAL::Color> fcolors =
       smesh_->property_map<face_descriptor, CGAL::Color >("f:color").first;
-  
+
   boost::property_map< SMesh, boost::vertex_index_t >::type
       im = get(boost::vertex_index, *smesh_);
-  
+
   idx_data_.reserve(num_faces(*smesh_) * 3);
-  
+
   typedef CGAL::Buffer_for_vao<float, unsigned int> CPF;
   typedef boost::graph_traits<SMesh>::face_descriptor face_descriptor;
   typedef boost::graph_traits<SMesh>::halfedge_descriptor halfedge_descriptor;
   typedef boost::graph_traits<SMesh>::edge_descriptor edge_descriptor;
-  
+
   if(name.testFlag(Scene_item_rendering_helper::GEOMETRY))
   {
     for(face_descriptor fd : faces(*smesh_))
@@ -445,7 +445,7 @@ void Scene_surface_mesh_item_priv::compu
           facet_points.push_back(positions[target(hd, *smesh_)]);
         }
         bool is_convex = CPF::is_facet_convex(facet_points, fnormals[fd]);
-        
+
         if(is_convex && is_quad(halfedge(fd,*smesh_),*smesh_) )
         {
           halfedge_descriptor hd = halfedge(fd,*smesh_);
@@ -453,12 +453,12 @@ void Scene_surface_mesh_item_priv::compu
           idx_data_.push_back(source(hd, *smesh_));
           idx_data_.push_back(source(next(hd, *smesh_), *smesh_));
           idx_data_.push_back(source(next(next(hd, *smesh_), *smesh_), *smesh_));
-          
+
           //2nd half
           idx_data_.push_back(source(hd, *smesh_));
           idx_data_.push_back(source(next(next(hd, *smesh_), *smesh_), *smesh_));
           idx_data_.push_back(source(prev(hd, *smesh_), *smesh_));
-        }    
+        }
         else if(is_convex)
         {
           triangulate_convex_facet(fd, &fnormals, 0, &im, name, true);
@@ -470,10 +470,10 @@ void Scene_surface_mesh_item_priv::compu
       }
     }
   }
-  
+
   if(name.testFlag(Scene_item_rendering_helper::COLORS))
   {
-    
+
     has_fpatch_id = smesh_->property_map<face_descriptor, int >("f:patch_id").second;
     has_fcolors = smesh_->property_map<face_descriptor, CGAL::Color >("f:color").second;
     has_vcolors = smesh_->property_map<vertex_descriptor, CGAL::Color >("v:color").second;
@@ -496,19 +496,19 @@ void Scene_surface_mesh_item_priv::compu
     }
     idx_edge_data_.shrink_to_fit();
   }
-  
+
   if(name.testFlag(Scene_item_rendering_helper::COLORS) &&
      has_fpatch_id){
     initialize_colors();
   }
-  
-  
+
+
   //compute the Flat data
-  
+
   flat_vertices.clear();
   flat_normals.clear();
   f_colors.clear();
-  
+
   for(face_descriptor fd : faces(*smesh_))
   {
     if(is_triangle(halfedge(fd,*smesh_),*smesh_))
@@ -531,7 +531,7 @@ void Scene_surface_mesh_item_priv::compu
           {
             //The sharp features detection produces patch ids >=1, this
             //is meant to insure the wanted id is in the range [min,max]
-            QColor c = item->color_vector()[fpatch_id_map[fd] - min_patch_id]; 
+            QColor c = item->color_vector()[fpatch_id_map[fd] - min_patch_id];
             CGAL::Color color(c.red(),c.green(),c.blue());
             CPF::add_color_in_buffer(color, f_colors);
           }
@@ -560,7 +560,7 @@ void Scene_surface_mesh_item_priv::compu
         CGAL::Color *c;
         if(has_fpatch_id)
         {
-          QColor color = item->color_vector()[fpatch_id_map[fd] - min_patch_id]; 
+          QColor color = item->color_vector()[fpatch_id_map[fd] - min_patch_id];
           c = new CGAL::Color(color.red(),color.green(),color.blue());
         }
         else if(has_fcolors)
@@ -568,13 +568,13 @@ void Scene_surface_mesh_item_priv::compu
         else
           c = 0;
         addFlatData(p,n,c, name);
-        
+
         hd = next(halfedge(fd, *smesh_),*smesh_);
         addFlatData(positions[source(hd, *smesh_)]
             ,fnormals[fd]
             ,c
             ,name);
-        
+
         hd = next(next(halfedge(fd, *smesh_),*smesh_), *smesh_);
         addFlatData(positions[source(hd, *smesh_)]
             ,fnormals[fd]
@@ -586,13 +586,13 @@ void Scene_surface_mesh_item_priv::compu
             ,fnormals[fd]
             ,c
             ,name);
-        
+
         hd = next(next(halfedge(fd, *smesh_),*smesh_), *smesh_);
         addFlatData(positions[source(hd, *smesh_)]
             ,fnormals[fd]
             ,c
             ,name);
-        
+
         hd = prev(halfedge(fd, *smesh_), *smesh_);
         addFlatData(positions[source(hd, *smesh_)]
             ,fnormals[fd]
@@ -611,7 +611,7 @@ void Scene_surface_mesh_item_priv::compu
       }
     }
   }
-  
+
   if(has_vcolors && name.testFlag(Scene_item_rendering_helper::COLORS))
   {
     for(vertex_descriptor vd : vertices(*smesh_))
@@ -622,7 +622,7 @@ void Scene_surface_mesh_item_priv::compu
       v_colors.push_back((float)c.blue()/255);
     }
   }
-  
+
   if(floated &&
      (name.testFlag(Scene_item_rendering_helper::GEOMETRY)|| name.testFlag(Scene_item_rendering_helper::NORMALS)))
   {
@@ -646,7 +646,7 @@ void Scene_surface_mesh_item_priv::compu
     idx_feature_edge_data_size = idx_feature_edge_data_.size();
     idx_data_size = idx_data_.size();
     flat_vertices_size = flat_vertices.size();
-    
+
     item->getPointContainer(0)->allocate(Pt::Vertices, smooth_vertices.data(),
                                         static_cast<int>(num_vertices(*smesh_)*3*sizeof(cgal_gl_data)));
     item->getEdgeContainer(0)->allocate(Ed::Indices, idx_edge_data_.data(),
@@ -688,7 +688,7 @@ void Scene_surface_mesh_item_priv::compu
     else
       item->getTriangleContainer(0)->allocate(Tri::VColors, 0, 0);
   }
-  
+
   QApplication::restoreOverrideCursor();
 }
 
@@ -719,7 +719,7 @@ void Scene_surface_mesh_item_priv::initi
   item->getEdgeContainer(1)->initializeBuffers(viewer);
   item->getEdgeContainer(0)->initializeBuffers(viewer);
   item->getPointContainer(0)->initializeBuffers(viewer);
-  
+
   ////Clean-up
   item->getPointContainer(0)->setFlatDataSize(vertices(*smesh_).size()*3);
   item->getTriangleContainer(1)->setFlatDataSize(flat_vertices_size);
@@ -757,8 +757,8 @@ void Scene_surface_mesh_item::draw(CGAL:
       d->initializeBuffers(viewer);
       setBuffersInit(viewer, true);
     }
-  
-  
+
+
   if(renderingMode() == Gouraud ||
      renderingMode() == GouraudPlusEdges)
   {
@@ -872,7 +872,7 @@ void Scene_surface_mesh_item_priv::trian
   Point p0,p1,p2;
   SMesh::Halfedge_around_face_circulator he(halfedge(fd, *smesh_), *smesh_);
   SMesh::Halfedge_around_face_circulator he_end = he;
-  
+
   while(next(*he, *smesh_) != prev(*he_end, *smesh_))
   {
     ++he;
@@ -887,7 +887,7 @@ void Scene_surface_mesh_item_priv::trian
       CGAL::Color* color;
       if(has_fpatch_id)
       {
-        QColor c = item->color_vector()[fpatch_id_map[fd] - min_patch_id]; 
+        QColor c = item->color_vector()[fpatch_id_map[fd] - min_patch_id];
         color = new CGAL::Color(c.red(),c.green(),c.blue());
       }
       else if(has_fcolors)
@@ -902,7 +902,7 @@ void Scene_surface_mesh_item_priv::trian
                   (*fnormals)[fd],
                   color,
                   name);
-      
+
       addFlatData(p2,
                   (*fnormals)[fd],
                   color,
@@ -926,7 +926,7 @@ Scene_surface_mesh_item_priv::triangulat
                                            Scene_item_rendering_helper::Gl_data_names name,
                                            bool index) const
 {
-  
+
   //Computes the normal of the facet
   EPICK::Vector_3 normal = get(*fnormals, fd);
   if(normal == CGAL::NULL_VECTOR)
@@ -946,7 +946,7 @@ Scene_surface_mesh_item_priv::triangulat
       }
       next_ =next(next_, *smesh_);
     }while(next_ != start);
-    
+
     if (normal == CGAL::NULL_VECTOR) // No normal could be computed, return
     {
       qDebug()<<"Warning : normal is not valid. Facet not displayed";
@@ -959,7 +959,7 @@ Scene_surface_mesh_item_priv::triangulat
     qDebug()<<"Warning : normal is not valid. Facet not displayed";
     return;
   }
-  
+
   typedef FacetTriangulator<SMesh, EPICK, boost::graph_traits<SMesh>::vertex_descriptor> FT;
   const CGAL::qglviewer::Vec off = static_cast<CGAL::Three::Viewer_interface*>(CGAL::QGLViewer::QGLViewerPool().first())->offset();
   EPICK::Vector_3 offset(off.x,off.y,off.z);
@@ -979,14 +979,14 @@ Scene_surface_mesh_item_priv::triangulat
       CGAL::Color* color;
       if(has_fpatch_id)
       {
-        QColor c= item->color_vector()[fpatch_id_map[fd] - min_patch_id]; 
+        QColor c= item->color_vector()[fpatch_id_map[fd] - min_patch_id];
         color = new CGAL::Color(c.red(),c.green(),c.blue());
       }
       else if(has_fcolors)
         color = &(*fcolors)[fd];
       else
         color = 0;
-      
+
       addFlatData(ffit->vertex(0)->point()-offset,
                   (*fnormals)[fd],
                   color,
@@ -995,7 +995,7 @@ Scene_surface_mesh_item_priv::triangulat
                   (*fnormals)[fd],
                   color,
                   name);
-      
+
       addFlatData(ffit->vertex(2)->point()-offset,
                   (*fnormals)[fd],
                   color,
@@ -1013,7 +1013,7 @@ Scene_surface_mesh_item_priv::triangulat
         idx_data_.push_back((*im)[triangulation.v2v[ffit->vertex(2)]]);
       }
     }
-    
+
   }
 }
 void delete_aabb_tree(Scene_surface_mesh_item* item)
@@ -1116,7 +1116,7 @@ void* Scene_surface_mesh_item_priv::get_
       for(face_descriptor f : faces(*sm))
       {
         //if face is degenerate, skip it
-        if (CGAL::is_triangle(halfedge(f, *sm), *sm) 
+        if (CGAL::is_triangle(halfedge(f, *sm), *sm)
             && CGAL::Polygon_mesh_processing::is_degenerate_triangle_face(f, *sm))
           continue;
         //if face not triangle, triangulate corresponding primitive before adding it to the tree
@@ -1291,7 +1291,7 @@ void Scene_surface_mesh_item::invalidate
     setBuffersInit(viewer, false);
     viewer->update();
   }
-  
+
   getTriangleContainer(1)->reset_vbos(name);
   getTriangleContainer(0)->reset_vbos(name);
   getEdgeContainer(1)->reset_vbos(name);
@@ -1798,7 +1798,7 @@ void Scene_surface_mesh_item::zoomToPosi
     bool found = false;
     CGAL::qglviewer::Vec point_under = viewer->camera()->pointUnderPixel(point,found);
     EPICK::Point_3 ray_origin;
-    CGAL::qglviewer::Vec dir; 
+    CGAL::qglviewer::Vec dir;
     if(viewer->camera()->type() == CGAL::qglviewer::Camera::PERSPECTIVE)
     {
       ray_origin = EPICK::Point_3(viewer->camera()->position().x - offset.x,
@@ -1809,7 +1809,7 @@ void Scene_surface_mesh_item::zoomToPosi
     else
     {
       dir = viewer->camera()->viewDirection();
-      ray_origin = EPICK::Point_3(point_under.x - dir.x, 
+      ray_origin = EPICK::Point_3(point_under.x - dir.x,
                                   point_under.y - dir.y,
                                   point_under.z - dir.z);
     }
@@ -1984,8 +1984,8 @@ QMenu* Scene_surface_mesh_item::contextM
     actionZoomToId->setObjectName("actionZoomToId");
     connect(actionZoomToId, &QAction::triggered,
             this, &Scene_surface_mesh_item::zoomToId);
-    
-    
+
+
     setProperty("menu_changed", true);
     menu->setProperty(prop_name, true);
   }
@@ -2111,7 +2111,7 @@ bool Scene_surface_mesh_item::testDispla
   EPICK::Point_3 src(x - offset.x,
                       y - offset.y,
                       z - offset.z);
-  
+
   CGAL::qglviewer::Camera* cam = viewer->camera();
   EPICK::Point_3 dest( cam->position().x - offset.x,
                        cam->position().y - offset.y,
@@ -2301,7 +2301,7 @@ void Scene_surface_mesh_item::computeEle
   const_cast<Scene_surface_mesh_item*>(this)->itemChanged();
 }
 
-void 
+void
 Scene_surface_mesh_item::initializeBuffers(CGAL::Three::Viewer_interface* viewer)const
 {
   const_cast<Scene_surface_mesh_item*>(this)->//temporary, until the drawing pipeline is not const anymore.
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_surface_mesh_item.h 5.0.3-1/demo/Polyhedron/Scene_surface_mesh_item.h
--- 5.0.2-3/demo/Polyhedron/Scene_surface_mesh_item.h	2020-02-21 20:03:59.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_surface_mesh_item.h	2020-08-01 19:02:44.000000000 +0000
@@ -69,11 +69,11 @@ public:
   QMenu* contextMenu() Q_DECL_OVERRIDE;
 
   void setItemIsMulticolor(bool);
-  //to be called before invalidate() to enable or disable the recomputation 
-  //of the colors_ vector to scale on min_patch value. 
+  //to be called before invalidate() to enable or disable the recomputation
+  //of the colors_ vector to scale on min_patch value.
   // For example, the Mesh_segmentation_plugin computes the colors_
-  // vector itself, so it must set recompute_colors to false to avoid 
-  // having it ovewritten 
+  // vector itself, so it must set recompute_colors to false to avoid
+  // having it ovewritten
   // in the code of this item.
   void computeItemColorVectorAutomatically(bool);
   bool isItemMulticolor();
@@ -92,7 +92,7 @@ public:
   // Gets PLY comments (empty if mesh not originated from PLY input)
   std::string& comments();
   const std::string& comments() const;
-  
+
   void invalidate_aabb_tree();
   void invalidateOpenGLBuffers()Q_DECL_OVERRIDE;
   void invalidate(Gl_data_names name);
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_textured_polyhedron_item.cpp 5.0.3-1/demo/Polyhedron/Scene_textured_polyhedron_item.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_textured_polyhedron_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_textured_polyhedron_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -246,8 +246,8 @@ Scene_textured_polyhedron_item_priv::com
 
     }
     //Lines
-    typedef Kernel::Point_3		Point;
-    typedef Base::Edge_iterator	Edge_iterator;
+    typedef Kernel::Point_3                Point;
+    typedef Base::Edge_iterator        Edge_iterator;
 
     Edge_iterator he;
 
@@ -314,7 +314,7 @@ Scene_textured_polyhedron_item::~Scene_t
     delete d;
 }
 
-Scene_textured_polyhedron_item* 
+Scene_textured_polyhedron_item*
 Scene_textured_polyhedron_item::clone() const {
     return new Scene_textured_polyhedron_item(*d->poly);
 }
@@ -330,14 +330,14 @@ Scene_textured_polyhedron_item::load(std
 }
 
 // Write textured_polyhedron to .OFF file
-bool 
+bool
 Scene_textured_polyhedron_item::save(std::ostream& out) const
 {
     out << *d->poly;
     return (bool) out;
 }
 
-QString 
+QString
 Scene_textured_polyhedron_item::toolTip() const
 {
     if(!d->poly)
@@ -416,9 +416,9 @@ void Scene_textured_polyhedron_item::dra
     vaos[Scene_textured_polyhedron_item_priv::Border_edges]->release();
 }
 
-Textured_polyhedron* 
+Textured_polyhedron*
 Scene_textured_polyhedron_item::textured_polyhedron()       { return d->poly; }
-const Textured_polyhedron* 
+const Textured_polyhedron*
 Scene_textured_polyhedron_item::textured_polyhedron() const { return d->poly; }
 
 bool
@@ -463,7 +463,7 @@ void Scene_textured_polyhedron_item::add
 {
   d->positions_border = border_edges;
   d->nb_border = border_edges.size();
-  d->program=is_opengl_4_3 
+  d->program=is_opengl_4_3
       ? getShaderProgram(PROGRAM_SOLID_WIREFRAME)
       : getShaderProgram(PROGRAM_NO_SELECTION);
   d->program->bind();
diff -pruN 5.0.2-3/demo/Polyhedron/Scene_textured_surface_mesh_item.cpp 5.0.3-1/demo/Polyhedron/Scene_textured_surface_mesh_item.cpp
--- 5.0.2-3/demo/Polyhedron/Scene_textured_surface_mesh_item.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Scene_textured_surface_mesh_item.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -113,8 +113,8 @@ Scene_textured_surface_mesh_item_priv::c
   }
 
   //Edges
-  typedef EPICK::Point_3		Point;
-  typedef SMesh::Edge_iterator	Edge_iterator;
+  typedef EPICK::Point_3                Point;
+  typedef SMesh::Edge_iterator        Edge_iterator;
 
   Edge_iterator he;
 
@@ -147,7 +147,7 @@ Scene_textured_surface_mesh_item_priv::c
       edges_buffer.push_back(u);
       edges_buffer.push_back(v);
   }
-  
+
   nb_face_verts = faces_buffer.size();
   nb_edge_verts = edges_buffer.size();
 }
@@ -170,8 +170,8 @@ void Scene_textured_surface_mesh_item::c
     CGAL::Three::Viewer_interface* viewer = static_cast<CGAL::Three::Viewer_interface*>(v);
     initGL(viewer);
   }
-  d->nb_face_verts = 0; 
-  d->nb_edge_verts = 0; 
+  d->nb_face_verts = 0;
+  d->nb_edge_verts = 0;
   d->nb_border_verts = 0;
   d->are_buffers_filled = false;
   d->are_border_filled = false;
@@ -180,7 +180,7 @@ Scene_textured_surface_mesh_item::Scene_
 {
   d = new Scene_textured_surface_mesh_item_priv(this);
   common_constructor();
-  
+
 }
 
 Scene_textured_surface_mesh_item::Scene_textured_surface_mesh_item(SMesh* const p)
@@ -275,10 +275,10 @@ void Scene_textured_surface_mesh_item::d
     initializeBuffers(viewer);
   }
   getEdgeContainer(0)->draw(viewer, true);
-  
+
   if(viewer->isOpenGL_4_3())
   {
-    
+
     QVector2D vp(viewer->width(), viewer->height());
     getEdgeContainer(1)->setViewport(vp);
     getEdgeContainer(1)->setWidth(4.0f);
@@ -356,13 +356,13 @@ void Scene_textured_surface_mesh_item::i
     d->edges_buffer.shrink_to_fit();
     d->faces_buffer.clear();
     d->faces_buffer.shrink_to_fit();
-    
+
     getEdgeContainer(1)->initializeBuffers(v);
     getEdgeContainer(1)->setFlatDataSize(d->nb_border_verts);
-    
+
     d->border_edges_buffer.clear();
     d->border_edges_buffer.shrink_to_fit();
-  
+
 }
 
 void Scene_textured_surface_mesh_item::computeElements() const
@@ -371,29 +371,29 @@ void Scene_textured_surface_mesh_item::c
   if(!d->are_buffers_filled)
   {
     d->compute_normals_and_vertices();
-    
+
     getTriangleContainer(0)->setTupleSize(8);
     getTriangleContainer(0)->getVbo(Tc::Flat_vertices)->stride = 8 * sizeof(float);
     getTriangleContainer(0)->allocate(
           Tc::Flat_vertices,
           d->faces_buffer.data(),
           static_cast<int>(d->faces_buffer.size()*sizeof(float)));
-    
+
     getTriangleContainer(0)->getVbo(Tc::Flat_normals)->offset = 3 * sizeof(float);
     getTriangleContainer(0)->getVbo(Tc::Flat_normals)->stride = 8 * sizeof(float);
     getTriangleContainer(0)->allocate(
           Tc::Flat_normals,
           d->faces_buffer.data(),
           static_cast<int>(d->faces_buffer.size()*sizeof(float)));
-    
+
     getTriangleContainer(0)->getVbo(Tc::Texture_map)->offset = 6 * sizeof(float);
     getTriangleContainer(0)->getVbo(Tc::Texture_map)->stride = 8 * sizeof(float);
     getTriangleContainer(0)->allocate(
           Tc::Texture_map,
           d->faces_buffer.data(),
           static_cast<int>(d->faces_buffer.size()*sizeof(float)));
-    
-    
+
+
     //Edges
     getEdgeContainer(0)->setTupleSize(5);
     getEdgeContainer(0)->getVbo(Ec::Vertices)->stride = 5 * sizeof(float);
@@ -405,7 +405,7 @@ void Scene_textured_surface_mesh_item::c
     getEdgeContainer(0)->allocate(Ec::Texture_map,
                                   d->edges_buffer.data(),
                                   static_cast<int>(d->edges_buffer.size()*sizeof(float)));
-    
+
     getTriangleContainer(0)->getTexture()->setData(d->texture.GetData());
     getEdgeContainer(0)->getTexture()->setData(d->texture.GetData());
     d->are_buffers_filled = true;
@@ -420,6 +420,6 @@ void Scene_textured_surface_mesh_item::c
     d->are_border_filled = true;
   }
   setBuffersFilled(true);
-  QApplication::restoreOverrideCursor();  
+  QApplication::restoreOverrideCursor();
 }
 
diff -pruN 5.0.2-3/demo/Polyhedron/Selection_visualizer.h 5.0.3-1/demo/Polyhedron/Selection_visualizer.h
--- 5.0.2-3/demo/Polyhedron/Selection_visualizer.h	2020-02-21 20:03:59.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Selection_visualizer.h	2020-08-01 19:02:44.000000000 +0000
@@ -7,7 +7,7 @@
 #include <CGAL/Three/Viewer_interface.h>
 #include <QPainter>
 
-// Class for visualizing selection 
+// Class for visualizing selection
 // provides mouse selection functionality
 class Q_DECL_EXPORT Selection_visualizer
 {
@@ -20,13 +20,13 @@ class Q_DECL_EXPORT Selection_visualizer
   typedef std::vector<Point_2> Polyline_2;
   typedef std::vector<Polyline_2> Polylines;
   typedef CGAL::Three::Scene_item::Bbox Bbox;
-  
+
   bool rectangle;
   std::vector<Point_2> contour_2d;
   Polylines* polyline;
   Bbox point_set_bbox;
   Polygon_2 domain_freeform;
-  
+
 public:
   CGAL::Bbox_2 domain_rectangle;
 
@@ -68,17 +68,17 @@ public:
 
   Polyline_2& poly() const
   { return polyline->front(); }
-  
+
   bool update_polyline () const
   {
     if (contour_2d.size() < 2 ||
         (!(poly().empty()) && contour_2d.back () == poly().back()))
       return false;
-    
+
     if (rectangle)
       {
-	poly().clear();
-	
+        poly().clear();
+
         poly().push_back ( Point_2 (domain_rectangle.xmin(),
                                 domain_rectangle.ymin()));
         poly().push_back ( Point_2 (domain_rectangle.xmax(),
@@ -94,26 +94,26 @@ public:
     else
       {
         if (!(poly().empty()) && contour_2d.back () == poly().back())
-	  return false;
+          return false;
 
-	poly().clear();
+        poly().clear();
 
-	for (unsigned int i = 0; i < contour_2d.size (); ++ i)
+        for (unsigned int i = 0; i < contour_2d.size (); ++ i)
           poly().push_back (contour_2d[i]);
       }
     return true;
   }
 
-  
+
   void sample_mouse_path(QImage& image)
   {
     CGAL::QGLViewer* viewer = *CGAL::QGLViewer::QGLViewerPool().begin();
     const QPoint& p = viewer->mapFromGlobal(QCursor::pos());
-    
+
     if (rectangle && contour_2d.size () == 2)
       {
-	contour_2d[1] = Point_2 (p.x (), p.y ());
-	domain_rectangle = CGAL::bbox_2 (contour_2d.begin (), contour_2d.end ());
+        contour_2d[1] = Point_2 (p.x (), p.y ());
+        domain_rectangle = CGAL::bbox_2 (contour_2d.begin (), contour_2d.end ());
       }
     else
       contour_2d.push_back (Point_2 (p.x (), p.y ()));
@@ -128,7 +128,7 @@ public:
   void apply_path()
   {
     update_polyline ();
-    domain_rectangle = CGAL::bbox_2 (contour_2d.begin (), contour_2d.end ());    
+    domain_rectangle = CGAL::bbox_2 (contour_2d.begin (), contour_2d.end ());
     if (!rectangle)
       domain_freeform = Polygon_2 (contour_2d.begin (), contour_2d.end ());
   }
@@ -136,12 +136,12 @@ public:
   bool is_selected (CGAL::qglviewer::Vec& p)
   {
     if (domain_rectangle.xmin () < p.x &&
-	p.x < domain_rectangle.xmax () &&
-	domain_rectangle.ymin () < p.y &&
-	p.y < domain_rectangle.ymax ())
+        p.x < domain_rectangle.xmax () &&
+        domain_rectangle.ymin () < p.y &&
+        p.y < domain_rectangle.ymax ())
       {
-	if (rectangle)
-	  return true;
+        if (rectangle)
+          return true;
 /*
  * domain_freeform.has_on_bounded_side() requires the polygon to be simple, which is never the case.
  * However, it works very well even if the polygon is not simple, so we use this instead to avoid
diff -pruN 5.0.2-3/demo/Polyhedron/Show_point_dialog.cpp 5.0.3-1/demo/Polyhedron/Show_point_dialog.cpp
--- 5.0.2-3/demo/Polyhedron/Show_point_dialog.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Show_point_dialog.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -10,10 +10,10 @@ Show_point_dialog::Show_point_dialog(QWi
 {
   ui->setupUi(this);
 
-  QClipboard::Mode mode = QClipboard::Selection; 
+  QClipboard::Mode mode = QClipboard::Selection;
   while(true) {
     QString clipboard_text = QApplication::clipboard()->text(mode);
-    
+
     interprete_string(clipboard_text);
     if(m_has_correct_coordinates) {
       ui->lineEdit->setText(clipboard_text);
@@ -39,13 +39,13 @@ void Show_point_dialog::interprete_strin
 {
   QString double_re("([-+]?[0-9]*\\.?[0-9]+(?:[eE][-+]?[0-9]+)?)");
   QString not_double_char_re("[^0-9-+.eE]");
-  QString full_re = QString("^") 
+  QString full_re = QString("^")
     + not_double_char_re + "*"
     + double_re
     + not_double_char_re + "+"
     + double_re
     + not_double_char_re + "+"
-    + double_re 
+    + double_re
     + "(" + not_double_char_re + "*"
     + "|" + not_double_char_re + "+" + double_re
     + ")"
diff -pruN 5.0.2-3/demo/Polyhedron/texture.cpp 5.0.3-1/demo/Polyhedron/texture.cpp
--- 5.0.2-3/demo/Polyhedron/texture.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/texture.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -223,10 +223,10 @@ int Texture::Extract(int left, int top,
   // Check
   if(left >= right || top >= bottom)
     return 0;
-  if(left < 0  || left >= (int)m_Width || 
+  if(left < 0  || left >= (int)m_Width ||
     right < 0 || right >= (int)m_Width)
     return 0;
-  if(top < 0  || top >= (int)m_Height || 
+  if(top < 0  || top >= (int)m_Height ||
     bottom < 0 || bottom >= (int)m_Height)
     return 0;
 
@@ -251,7 +251,7 @@ int Texture::Extract(int left, int top,
   for(j=0;j<NewHeight;j++)
     for(i=0;i<NewWidth;i++)
       for(k=0;k<BytePerPixel;k++)
-	pData[NewWidthByte32*j+i*BytePerPixel+k] = m_pData[m_WidthByte32*(m_Height-1-(j+top))+(i+left)*BytePerPixel+k];
+        pData[NewWidthByte32*j+i*BytePerPixel+k] = m_pData[m_WidthByte32*(m_Height-1-(j+top))+(i+left)*BytePerPixel+k];
 
   // Replace datas
   delete [] m_pData;
@@ -304,25 +304,25 @@ int Texture::DuplicateMirror(int left, i
   for(j=0;j<NewHeight/2;j++)
     for(i=0;i<NewWidth/2;i++)
       for(k=0;k<BytePerPixel;k++)
-	pData[NewWidthByte32*j+i*BytePerPixel+k] = m_pData[m_WidthByte32*(bottom-(j+top))+(i+left)*BytePerPixel+k];
+        pData[NewWidthByte32*j+i*BytePerPixel+k] = m_pData[m_WidthByte32*(bottom-(j+top))+(i+left)*BytePerPixel+k];
   // o o
   // o x
   for(j=0;j<NewHeight/2;j++)
     for(i=NewWidth/2;i<NewWidth;i++)
       for(k=0;k<BytePerPixel;k++)
-	pData[NewWidthByte32*j+i*BytePerPixel+k] = m_pData[m_WidthByte32*(bottom-(j+top))+(right-(i-NewWidth/2+left))*BytePerPixel+k];
+        pData[NewWidthByte32*j+i*BytePerPixel+k] = m_pData[m_WidthByte32*(bottom-(j+top))+(right-(i-NewWidth/2+left))*BytePerPixel+k];
   // x o
   // o o
   for(j=NewHeight/2;j<NewHeight;j++)
     for(i=0;i<NewWidth/2;i++)
       for(k=0;k<BytePerPixel;k++)
-	pData[NewWidthByte32*j+i*BytePerPixel+k] = m_pData[m_WidthByte32*(j-NewHeight/2+top)+(i+left)*BytePerPixel+k];
+        pData[NewWidthByte32*j+i*BytePerPixel+k] = m_pData[m_WidthByte32*(j-NewHeight/2+top)+(i+left)*BytePerPixel+k];
   // o x
   // o o
   for(j=NewHeight/2;j<NewHeight;j++)
     for(i=NewWidth/2;i<NewWidth;i++)
       for(k=0;k<BytePerPixel;k++)
-	pData[NewWidthByte32*j+i*BytePerPixel+k] = m_pData[m_WidthByte32*(j-NewHeight/2+top)+(right-(i-NewWidth/2+left))*BytePerPixel+k];
+        pData[NewWidthByte32*j+i*BytePerPixel+k] = m_pData[m_WidthByte32*(j-NewHeight/2+top)+(right-(i-NewWidth/2+left))*BytePerPixel+k];
 
   // Replace datas
   delete [] m_pData;
@@ -375,12 +375,12 @@ int Texture::DuplicateRepeatWidth(int le
   for(j=0;j<NewHeight;j++)
     for(i=0;i<NewWidth/2;i++)
       for(k=0;k<BytePerPixel;k++)
-	pData[NewWidthByte32*j+i*BytePerPixel+k] = m_pData[m_WidthByte32*(bottom-(j+top))+(i+left)*BytePerPixel+k];
+        pData[NewWidthByte32*j+i*BytePerPixel+k] = m_pData[m_WidthByte32*(bottom-(j+top))+(i+left)*BytePerPixel+k];
   // o x
   for(j=0;j<NewHeight;j++)
     for(i=NewWidth/2;i<NewWidth;i++)
       for(k=0;k<BytePerPixel;k++)
-	pData[NewWidthByte32*j+i*BytePerPixel+k] = m_pData[m_WidthByte32*(bottom-(j+top))+(i-NewWidth/2+left)*BytePerPixel+k];
+        pData[NewWidthByte32*j+i*BytePerPixel+k] = m_pData[m_WidthByte32*(bottom-(j+top))+(i-NewWidth/2+left)*BytePerPixel+k];
 
   // Replace datas
   delete [] m_pData;
@@ -399,8 +399,8 @@ int Texture::DuplicateRepeatWidth(int le
 // Fill
 //********************************************
 void Texture::Fill(unsigned char r,
-		   unsigned char g,
-		   unsigned char b)
+                   unsigned char g,
+                   unsigned char b)
 {
   if(!IsValid()) return;
   if(m_Depth != 24) return;
@@ -418,9 +418,9 @@ void Texture::Fill(unsigned char r,
 // GreyToColor
 //***************************************
 void Texture::GreyToColor(unsigned char grey,
-			  unsigned char r, 
-			  unsigned char g,
-			  unsigned char b)
+                          unsigned char r,
+                          unsigned char g,
+                          unsigned char b)
 {
   if(!IsValid()) return;
   if(m_Depth != 24) return;
@@ -429,9 +429,9 @@ void Texture::GreyToColor(unsigned char
     {
       if(m_pData[m_WidthByte32*j+i*3] == grey)
       {
-	m_pData[m_WidthByte32*j+i*3] = b;
-	m_pData[m_WidthByte32*j+i*3+1] = g;
-	m_pData[m_WidthByte32*j+i*3+2] = r;
+        m_pData[m_WidthByte32*j+i*3] = b;
+        m_pData[m_WidthByte32*j+i*3+1] = g;
+        m_pData[m_WidthByte32*j+i*3+2] = r;
       }
     }
 }
@@ -440,11 +440,11 @@ void Texture::GreyToColor(unsigned char
 // ColorToColor
 //***************************************
 void Texture::ColorToColor(unsigned char r1,
-			   unsigned char g1,
-			   unsigned char b1,
-			   unsigned char r2, 
-			   unsigned char g2,
-			   unsigned char b2)
+                           unsigned char g1,
+                           unsigned char b1,
+                           unsigned char r2,
+                           unsigned char g2,
+                           unsigned char b2)
 {
   if(!IsValid()) return;
   if(m_Depth != 24) return;
@@ -452,12 +452,12 @@ void Texture::ColorToColor(unsigned char
     for(unsigned int i=0;i<m_Width;i++)
     {
       if(m_pData[m_WidthByte32*j+i*3] == b1 &&
-	m_pData[m_WidthByte32*j+i*3+1] == g1 &&
-	m_pData[m_WidthByte32*j+i*3+2] == r1)
+        m_pData[m_WidthByte32*j+i*3+1] == g1 &&
+        m_pData[m_WidthByte32*j+i*3+2] == r1)
       {
-	m_pData[m_WidthByte32*j+i*3]   = b2;
-	m_pData[m_WidthByte32*j+i*3+1] = g2;
-	m_pData[m_WidthByte32*j+i*3+2] = r2;
+        m_pData[m_WidthByte32*j+i*3]   = b2;
+        m_pData[m_WidthByte32*j+i*3+1] = g2;
+        m_pData[m_WidthByte32*j+i*3+2] = r2;
       }
     }
 }
@@ -480,7 +480,7 @@ int Texture::SetAlphaLayer(unsigned char
   if(m_Depth != 32)
     return 0;
 
-  // Fill alpha layer 
+  // Fill alpha layer
   int size = m_Width * m_Height;
   for(int i=0;i<4*size;i+=4)
     m_pData[i+3] = alpha;
@@ -535,7 +535,7 @@ int Texture::AddAlphaLayer(unsigned char
 // SetAlpha
 // From RGB to grey scales, then alpha layer
 //********************************************
-int Texture::SetAlphaLayer(Texture *pTexture) 
+int Texture::SetAlphaLayer(Texture *pTexture)
 {
   // Check
   if(!IsValid())
@@ -571,10 +571,10 @@ int Texture::SetAlphaLayer(Texture *pTex
 //********************************************
 // ReadBuffer
 //********************************************
-int Texture::ReadBuffer(unsigned char *buffer, 
-			int width, 
-			int height, 
-			int depth)
+int Texture::ReadBuffer(unsigned char *buffer,
+                        int width,
+                        int height,
+                        int depth)
 {
   if(buffer == NULL)
     return 0;
@@ -587,8 +587,8 @@ int Texture::ReadBuffer(unsigned char *b
   for(int j=0;j<height;j++)
     for(int i=0;i<width;i++)
       for(int k=0;k<BytePerPixel;k++)
-	m_pData[m_WidthByte32*j + i*BytePerPixel+k] = 
-	buffer[(width*j+i)*BytePerPixel+k];
+        m_pData[m_WidthByte32*j + i*BytePerPixel+k] =
+        buffer[(width*j+i)*BytePerPixel+k];
 
   return 1;
 }
@@ -597,9 +597,9 @@ int Texture::ReadBuffer(unsigned char *b
 //********************************************
 // ReadBufferByte32
 //********************************************
-int Texture::ReadBufferByte32(unsigned char *pData, 
-			      int width, 
-			      int height)
+int Texture::ReadBufferByte32(unsigned char *pData,
+                              int width,
+                              int height)
 {
   // alloc 32 bits buffer
   if(!Alloc(width,height,32))
@@ -633,18 +633,18 @@ void Texture::Copy(Texture *pTexture)
   for(unsigned int j=0;j<height;j++)
     for(unsigned int i=0;i<width;i++)
       for(unsigned int k=0;k<BytePerPixel;k++)
-	m_pData[m_WidthByte32*j + i*BytePerPixel+k] = 
-	pBuffer[(width*j+i)*BytePerPixel+k];
+        m_pData[m_WidthByte32*j + i*BytePerPixel+k] =
+        pBuffer[(width*j+i)*BytePerPixel+k];
 }
 
 
 //********************************************
 // ReadBuffer
 //********************************************
-int Texture::ReadBuffer(float *buffer, 
-			int width, 
-			int height, 
-			int depth)
+int Texture::ReadBuffer(float *buffer,
+                        int width,
+                        int height,
+                        int depth)
 {
   if(buffer == NULL)
     return 0;
@@ -657,8 +657,8 @@ int Texture::ReadBuffer(float *buffer,
   for(int j=0;j<height;j++)
     for(int i=0;i<width;i++)
       for(int k=0;k<BytePerPixel;k++)
-	m_pData[m_WidthByte32*j + i*BytePerPixel+k] = 
-	(unsigned char)(255.0f * buffer[(width*j+i)*BytePerPixel+k]);
+        m_pData[m_WidthByte32*j + i*BytePerPixel+k] =
+        (unsigned char)(255.0f * buffer[(width*j+i)*BytePerPixel+k]);
 
   return 1;
 }
@@ -666,10 +666,10 @@ int Texture::ReadBuffer(float *buffer,
 //********************************************
 // ReadBuffer
 //********************************************
-int Texture::ReadBuffer(float **ppBuffer, 
-			int width, 
-			int height,
-			float ratio)
+int Texture::ReadBuffer(float **ppBuffer,
+                        int width,
+                        int height,
+                        float ratio)
 {
   if(ppBuffer == NULL)
     return 0;
@@ -690,9 +690,9 @@ int Texture::ReadBuffer(float **ppBuffer
 //********************************************
 // WriteBuffer
 //********************************************
-int Texture::WriteBuffer(float **ppBuffer, 
-			 int width, 
-			 int height)
+int Texture::WriteBuffer(float **ppBuffer,
+                         int width,
+                         int height)
 {
   if(ppBuffer == NULL)
     return 0;
@@ -706,9 +706,9 @@ int Texture::WriteBuffer(float **ppBuffe
 //********************************************
 // WriteBuffer32
 //********************************************
-int Texture::WriteBuffer32(float **ppBuffer, 
-			   int width, 
-			   int height)
+int Texture::WriteBuffer32(float **ppBuffer,
+                           int width,
+                           int height)
 {
   if(ppBuffer == NULL)
     return 0;
@@ -733,10 +733,10 @@ int Texture::WriteBuffer32(float **ppBuf
 //********************************************
 // ReadBuffer
 //********************************************
-int Texture::ReadBuffer(double *buffer, 
-			int width, 
-			int height, 
-			int depth)
+int Texture::ReadBuffer(double *buffer,
+                        int width,
+                        int height,
+                        int depth)
 {
   if(buffer == NULL)
     return 0;
@@ -766,9 +766,9 @@ int Texture::Grey(unsigned int x, unsign
   int BytePerPixel = m_Depth / 8;
   // Grey scale
   if(BytePerPixel == 1)
-    return (int)m_pData[m_WidthByte32*y + x]; 
+    return (int)m_pData[m_WidthByte32*y + x];
   else // 24 or 32 bits (alpha layer)
-    return (int)((int)m_pData[m_WidthByte32*y + x*BytePerPixel+0]+ 
+    return (int)((int)m_pData[m_WidthByte32*y + x*BytePerPixel+0]+
     (int)m_pData[m_WidthByte32*y + x*BytePerPixel+1]+
     (int)m_pData[m_WidthByte32*y + x*BytePerPixel+2])/3;
 }
@@ -776,22 +776,22 @@ int Texture::Grey(unsigned int x, unsign
 //********************************************
 // Color
 //********************************************
-void Texture::Color(unsigned int x, unsigned int y, 
-		    unsigned char *pRed, unsigned char *pGreen, unsigned char *pBlue)
+void Texture::Color(unsigned int x, unsigned int y,
+                    unsigned char *pRed, unsigned char *pGreen, unsigned char *pBlue)
 {
   int BytePerPixel = m_Depth / 8;
   // Grey scale
   if(BytePerPixel == 1)
   {
-    *pRed = m_pData[m_WidthByte32*y + x]; 
-    *pGreen = m_pData[m_WidthByte32*y + x]; 
-    *pBlue = m_pData[m_WidthByte32*y + x]; 
+    *pRed = m_pData[m_WidthByte32*y + x];
+    *pGreen = m_pData[m_WidthByte32*y + x];
+    *pBlue = m_pData[m_WidthByte32*y + x];
   }
   else // 24 or 32 bits (alpha layer)
   {
-    *pRed = m_pData[m_WidthByte32*y + x*BytePerPixel]; 
-    *pGreen = m_pData[m_WidthByte32*y + x*BytePerPixel+1]; 
-    *pBlue = m_pData[m_WidthByte32*y + x*BytePerPixel+2]; 
+    *pRed = m_pData[m_WidthByte32*y + x*BytePerPixel];
+    *pGreen = m_pData[m_WidthByte32*y + x*BytePerPixel+1];
+    *pBlue = m_pData[m_WidthByte32*y + x*BytePerPixel+2];
   }
 }
 
@@ -800,13 +800,13 @@ void Texture::Color(unsigned int x, unsi
 
 
 void Texture::GenerateMirrorV(unsigned int width,
-			      unsigned int height, 
-			      unsigned char r,
-			      unsigned char g,
-			      unsigned char b,
-			      unsigned char rb,
-			      unsigned char gb,
-			      unsigned char bb)
+                              unsigned int height,
+                              unsigned char r,
+                              unsigned char g,
+                              unsigned char b,
+                              unsigned char rb,
+                              unsigned char gb,
+                              unsigned char bb)
 {
   Alloc(width,height,24);
 
@@ -834,13 +834,13 @@ void Texture::GenerateMirrorV(unsigned i
 }
 
 void Texture::GenerateMirrorH(unsigned int width,
-			      unsigned int height, 
-			      unsigned char r,
-			      unsigned char g,
-			      unsigned char b,
-			      unsigned char rb,
-			      unsigned char gb,
-			      unsigned char bb)
+                              unsigned int height,
+                              unsigned char r,
+                              unsigned char g,
+                              unsigned char b,
+                              unsigned char rb,
+                              unsigned char gb,
+                              unsigned char bb)
 {
   Alloc(width,height,24);
 
@@ -869,14 +869,14 @@ void Texture::GenerateMirrorH(unsigned i
 
 
 void Texture::GenerateCheckerBoard(unsigned int width,
-				   unsigned int height, 
-				   int size,
-				   unsigned char r,
-				   unsigned char g,
-				   unsigned char b,
-				   unsigned char rb,
-				   unsigned char gb,
-				   unsigned char bb)
+                                   unsigned int height,
+                                   int size,
+                                   unsigned char r,
+                                   unsigned char g,
+                                   unsigned char b,
+                                   unsigned char rb,
+                                   unsigned char gb,
+                                   unsigned char bb)
 {
   Alloc(width,height,24);
 
@@ -887,30 +887,30 @@ void Texture::GenerateCheckerBoard(unsig
       int v = (int)((double)j/(double)size);
       bool h_odd = (h%2) == 0;
       bool v_odd = (v%2) == 0;
-      if((h_odd	+ v_odd)%2 == 0)
+      if((h_odd        + v_odd)%2 == 0)
       {
-	m_pData[m_WidthByte32*j + i*3]   = rb;
-	m_pData[m_WidthByte32*j + i*3+1] = gb;
-	m_pData[m_WidthByte32*j + i*3+2] = bb;
+        m_pData[m_WidthByte32*j + i*3]   = rb;
+        m_pData[m_WidthByte32*j + i*3+1] = gb;
+        m_pData[m_WidthByte32*j + i*3+2] = bb;
       }
       else
       {
-	m_pData[m_WidthByte32*j + i*3]   = r;
-	m_pData[m_WidthByte32*j + i*3+1] = g;
-	m_pData[m_WidthByte32*j + i*3+2] = b;
+        m_pData[m_WidthByte32*j + i*3]   = r;
+        m_pData[m_WidthByte32*j + i*3+1] = g;
+        m_pData[m_WidthByte32*j + i*3+2] = b;
       }
     }
 }
 
 void Texture::GenerateVStripes(unsigned int width,
-			       unsigned int height, 
-			       int size,
-			       unsigned char r,
-			       unsigned char g,
-			       unsigned char b,
-			       unsigned char rb,
-			       unsigned char gb,
-			       unsigned char bb)
+                               unsigned int height,
+                               int size,
+                               unsigned char r,
+                               unsigned char g,
+                               unsigned char b,
+                               unsigned char rb,
+                               unsigned char gb,
+                               unsigned char bb)
 {
   Alloc(width,height,24);
 
@@ -921,28 +921,28 @@ void Texture::GenerateVStripes(unsigned
       bool h_odd = (h%2) == 0;
       if(h_odd)
       {
-	m_pData[m_WidthByte32*j + i*3]   = rb;
-	m_pData[m_WidthByte32*j + i*3+1] = gb;
-	m_pData[m_WidthByte32*j + i*3+2] = bb;
+        m_pData[m_WidthByte32*j + i*3]   = rb;
+        m_pData[m_WidthByte32*j + i*3+1] = gb;
+        m_pData[m_WidthByte32*j + i*3+2] = bb;
       }
       else
       {
-	m_pData[m_WidthByte32*j + i*3]   = r;
-	m_pData[m_WidthByte32*j + i*3+1] = g;
-	m_pData[m_WidthByte32*j + i*3+2] = b;
+        m_pData[m_WidthByte32*j + i*3]   = r;
+        m_pData[m_WidthByte32*j + i*3+1] = g;
+        m_pData[m_WidthByte32*j + i*3+2] = b;
       }
     }
 }
 
 void Texture::GenerateHStripes(unsigned int width,
-			       unsigned int height, 
-			       int size,
-			       unsigned char r,
-			       unsigned char g,
-			       unsigned char b,
-			       unsigned char rb,
-			       unsigned char gb,
-			       unsigned char bb)
+                               unsigned int height,
+                               int size,
+                               unsigned char r,
+                               unsigned char g,
+                               unsigned char b,
+                               unsigned char rb,
+                               unsigned char gb,
+                               unsigned char bb)
 {
   Alloc(width,height,24);
 
@@ -953,15 +953,15 @@ void Texture::GenerateHStripes(unsigned
       bool v_odd = (v%2) == 0;
       if(v_odd)
       {
-	m_pData[m_WidthByte32*j + i*3]   = rb;
-	m_pData[m_WidthByte32*j + i*3+1] = gb;
-	m_pData[m_WidthByte32*j + i*3+2] = bb;
+        m_pData[m_WidthByte32*j + i*3]   = rb;
+        m_pData[m_WidthByte32*j + i*3+1] = gb;
+        m_pData[m_WidthByte32*j + i*3+2] = bb;
       }
       else
       {
-	m_pData[m_WidthByte32*j + i*3]   = r;
-	m_pData[m_WidthByte32*j + i*3+1] = g;
-	m_pData[m_WidthByte32*j + i*3+2] = b;
+        m_pData[m_WidthByte32*j + i*3]   = r;
+        m_pData[m_WidthByte32*j + i*3+1] = g;
+        m_pData[m_WidthByte32*j + i*3+2] = b;
       }
     }
 }
@@ -971,15 +971,15 @@ void Texture::GenerateHStripes(unsigned
 // GenerateGrid
 //***************************************
 void Texture::GenerateGrid(unsigned int width,
-			   unsigned int height, 
-			   int /*size*/,
-			   unsigned int thickness,
-			   unsigned char r,
-			   unsigned char g,
-			   unsigned char b,
-			   unsigned char rb,
-			   unsigned char gb,
-			   unsigned char bb)
+                           unsigned int height,
+                           int /*size*/,
+                           unsigned int thickness,
+                           unsigned char r,
+                           unsigned char g,
+                           unsigned char b,
+                           unsigned char rb,
+                           unsigned char gb,
+                           unsigned char bb)
 {
   Alloc(width,height,24);
 
@@ -1015,8 +1015,8 @@ void Texture::GenerateGrid(unsigned int
 }
 
 void Texture::GenerateGradientH(unsigned int width,
-				unsigned int height,
-				int /*size*/)
+                                unsigned int height,
+                                int /*size*/)
 {
   Alloc(width,height,24);
 
@@ -1033,8 +1033,8 @@ void Texture::GenerateGradientH(unsigned
   }
 }
 void Texture::GenerateGradientV(unsigned int width,
-				unsigned int height,
-				int /*size*/)
+                                unsigned int height,
+                                int /*size*/)
 {
   Alloc(width,height,24);
 
@@ -1055,14 +1055,14 @@ void Texture::GenerateGradientV(unsigned
 // GenerateLines
 //***************************************
 void Texture::GenerateLines(unsigned int width,
-			    unsigned int height, 
-			    int size,
-			    unsigned char r,
-			    unsigned char g,
-			    unsigned char b,
-			    unsigned char rb,
-			    unsigned char gb,
-			    unsigned char bb)
+                            unsigned int height,
+                            int size,
+                            unsigned char r,
+                            unsigned char g,
+                            unsigned char b,
+                            unsigned char rb,
+                            unsigned char gb,
+                            unsigned char bb)
 {
   Alloc(width,height,24);
 
diff -pruN 5.0.2-3/demo/Polyhedron/texture.h 5.0.3-1/demo/Polyhedron/texture.h
--- 5.0.2-3/demo/Polyhedron/texture.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/texture.h	2020-08-01 19:02:45.000000000 +0000
@@ -16,7 +16,7 @@ private :
   unsigned char *m_pData;         // data
   unsigned int   m_Width;         // width (pixels)
   unsigned int   m_Height;        // height (pixels)
-  unsigned int   m_Depth;         // bits per pixel 
+  unsigned int   m_Depth;         // bits per pixel
   unsigned int     m_WidthByte32; // width (in bytes, and 32 bits aligned)
 
 public :
@@ -52,7 +52,7 @@ public :
   int HasAlpha() { return (m_Depth == 32); }
   int AddAlphaLayer(unsigned char alpha);
   int SetAlphaLayer(unsigned char alpha);
-  int SetAlphaLayer(Texture *pTexture);	// Put an alpha layer from grey scale
+  int SetAlphaLayer(Texture *pTexture);        // Put an alpha layer from grey scale
 
   // DuplicateMirror
   int DuplicateMirror(int left=0,int top=0,int right=-1,int bottom=-1);
@@ -63,7 +63,7 @@ public :
   int ReadBuffer(unsigned char *buffer, int width, int height, int depth);
   int ReadBufferByte32(unsigned char *pData,int width,int height);
   int ReadBuffer(float *buffer, int width, int height, int depth);
-  int	ReadBuffer(double *buffer,int width, int height, int depth);
+  int        ReadBuffer(double *buffer,int width, int height, int depth);
   int  Grey(unsigned int x,unsigned int y);
   void Color(unsigned int x,unsigned int y,
     unsigned char *pRed,unsigned char *pGreen,unsigned char *pBlue);
@@ -84,10 +84,10 @@ public :
   void GenerateVStripes(unsigned int width,unsigned int height,int size,
     unsigned char r,unsigned char g,unsigned char b,
     unsigned char rb,unsigned char gb,unsigned char bb);
-  void GenerateMirrorV(unsigned int width,unsigned int height, 
+  void GenerateMirrorV(unsigned int width,unsigned int height,
     unsigned char r,unsigned char g,unsigned char b,
     unsigned char rb,unsigned char gb,unsigned char bb);
-  void GenerateMirrorH(unsigned int width,unsigned int height, 
+  void GenerateMirrorH(unsigned int width,unsigned int height,
     unsigned char r,unsigned char g,unsigned char b,
     unsigned char rb,unsigned char gb,unsigned char bb);
 
@@ -103,7 +103,7 @@ public :
   void Fill(unsigned char r,unsigned char g,unsigned char b);
   void Copy(Texture *pTexture);
 
-  void GreyToColor(unsigned char grey,unsigned char r, 
+  void GreyToColor(unsigned char grey,unsigned char r,
     unsigned char g,unsigned char b);
   void ColorToColor(unsigned char r1,unsigned char g1,
     unsigned char b1,unsigned char r2, unsigned char g2,
diff -pruN 5.0.2-3/demo/Polyhedron/Travel_isolated_components.h 5.0.3-1/demo/Polyhedron/Travel_isolated_components.h
--- 5.0.2-3/demo/Polyhedron/Travel_isolated_components.h	2020-02-21 20:03:59.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Travel_isolated_components.h	2020-08-01 19:02:44.000000000 +0000
@@ -81,7 +81,7 @@ public:
   template<class OutputIterator>
   struct Selection_visitor
   {
-    Selection_visitor(std::size_t threshold_size, OutputIterator out) 
+    Selection_visitor(std::size_t threshold_size, OutputIterator out)
       : threshold_size(threshold_size), out(out), any_inserted(false) { }
 
     template<class Descriptor>
@@ -111,15 +111,15 @@ public:
   */
   // NOTE: prior to call this function, id fields should be updated
   template<class Descriptor, class InputIterator, class IsSelected, class Visitor>
-  void travel(InputIterator begin, 
-              InputIterator end, 
-              std::size_t size, 
-              const IsSelected& selection, 
+  void travel(InputIterator begin,
+              InputIterator end,
+              std::size_t size,
+              const IsSelected& selection,
               Visitor& visitor)
   {
     std::vector<bool> mark(size, false);
 
-    for(; begin != end; ++begin) 
+    for(; begin != end; ++begin)
     {
       Descriptor h = *begin;
 
diff -pruN 5.0.2-3/demo/Polyhedron/Triangle_container.cpp 5.0.3-1/demo/Polyhedron/Triangle_container.cpp
--- 5.0.2-3/demo/Polyhedron/Triangle_container.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Triangle_container.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -36,14 +36,19 @@ void Triangle_container::initGL( Viewer_
   if(viewer->isSharing())
   {
     if(!getVao(viewer))
-      setVao(viewer, new Vao(getVao(Three::mainViewer()), 
+      setVao(viewer, new Vao(getVao(Three::mainViewer()),
                              viewer->getShaderProgram(getProgram())));
   }
   else
   {
-    
     if(!getVao(viewer))
       setVao(viewer, new Vao(viewer->getShaderProgram(getProgram())));
+    //in both because of the soup item
+    if(!getVbo(VColors))
+      setVbo(VColors,
+             new Vbo("colors",
+                     Vbo::COLORS));
+    getVao(viewer)->addVbo(getVbo(VColors));
     if(isDataIndexed())
     {
       if(!getVbo(Smooth_vertices))
@@ -56,7 +61,7 @@ void Triangle_container::initGL( Viewer_
                        QOpenGLBuffer::IndexBuffer));
       getVao(viewer)->addVbo(getVbo(Smooth_vertices));
       getVao(viewer)->addVbo(getVbo(Vertex_indices));
-      
+
       if(viewer->getShaderProgram(getProgram())->property("hasNormals").toBool())
       {
         if(!getVbo(Smooth_normals))
@@ -65,11 +70,6 @@ void Triangle_container::initGL( Viewer_
                          Vbo::NORMALS));
         getVao(viewer)->addVbo(getVbo(Smooth_normals));
       }
-      if(!getVbo(VColors))
-        setVbo(VColors,
-               new Vbo("colors",
-                       Vbo::COLORS));
-      getVao(viewer)->addVbo(getVbo(VColors));
       if(viewer->getShaderProgram(getProgram())->property("hasDistanceValues").toBool())
       {
         if(!getVbo(Distances))
@@ -103,18 +103,18 @@ void Triangle_container::initGL( Viewer_
                        Vbo::COLORS,
                        QOpenGLBuffer::VertexBuffer, GL_FLOAT, 0, 3));
       getVao(viewer)->addVbo(getVbo(FColors));
-      
+
       if(viewer->getShaderProgram(getProgram())->property("hasCenter").toBool())
       {
         if(!getVbo(Facet_centers))
           setVbo(Facet_centers,
                  new Vbo("center",
-                  viewer->getShaderProgram(getProgram())->property("isInstanced").toBool() 
+                  viewer->getShaderProgram(getProgram())->property("isInstanced").toBool()
                          ? Vbo::NOT_INSTANCED
                          : Vbo::GEOMETRY));
         getVao(viewer)->addVbo(getVbo(Facet_centers));
       }
-      
+
       if(viewer->getShaderProgram(getProgram())->property("hasRadius").toBool())
       {
         if(!getVbo(Radius))
@@ -123,7 +123,7 @@ void Triangle_container::initGL( Viewer_
                          Vbo::NOT_INSTANCED,
                          QOpenGLBuffer::VertexBuffer, GL_FLOAT, 0, 1));
         getVao(viewer)->addVbo(getVbo(Radius));
-        
+
       }
       if(viewer->getShaderProgram(getProgram())->property("hasTexture").toBool())
       {
diff -pruN 5.0.2-3/demo/Polyhedron/triangulate_primitive.h 5.0.3-1/demo/Polyhedron/triangulate_primitive.h
--- 5.0.2-3/demo/Polyhedron/triangulate_primitive.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/triangulate_primitive.h	2020-08-01 19:02:45.000000000 +0000
@@ -112,13 +112,13 @@ private:
     P_traits cdt_traits(normal);
     cdt = new CDT(cdt_traits);
     typename CDT::Vertex_handle previous, first, last_inserted;
-    
+
     // Iterate the points of the facet and decide if they must be inserted in the CDT
     typename Kernel::FT x(0), y(0), z(0);
 
     for(PointAndId idPoint : idPoints)
     {
-     
+
       x += idPoint.point.x();
      y += idPoint.point.y();
      z += idPoint.point.z();
diff -pruN 5.0.2-3/demo/Polyhedron/Viewer.cpp 5.0.3-1/demo/Polyhedron/Viewer.cpp
--- 5.0.2-3/demo/Polyhedron/Viewer.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Viewer.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -50,7 +50,7 @@ public:
   QVector4D diffuse;
   QVector4D specular;
   float spec_power;
-  
+
   // M e s s a g e s
   QString message;
   bool _displayMessage;
@@ -114,7 +114,7 @@ class LightingDialog :
     public Ui::LightingDialog
 {
   Q_OBJECT
-public: 
+public:
   QColor ambient, diffuse, specular;
   LightingDialog(Viewer_impl* d)
   {
@@ -122,35 +122,35 @@ public:
     position_lineEdit->setText(QString("%1,%2,%3")
                                .arg(d->position.x())
                                .arg(d->position.y())
-                               .arg(d->position.z()));    
+                               .arg(d->position.z()));
     QPalette palette;
-    ambient=QColor(255*d->ambient.x(), 
-                   255*d->ambient.y(), 
+    ambient=QColor(255*d->ambient.x(),
+                   255*d->ambient.y(),
                    255*d->ambient.z());
     palette.setColor(QPalette::Button,ambient);
     ambientButton->setPalette(palette);
     ambientButton->setStyle(QStyleFactory::create("Fusion"));
-    
-    diffuse=QColor(255*d->diffuse.x(), 
-                   255*d->diffuse.y(), 
+
+    diffuse=QColor(255*d->diffuse.x(),
+                   255*d->diffuse.y(),
                    255*d->diffuse.z());
     palette.setColor(QPalette::Button,diffuse);
     diffuseButton->setPalette(palette);
     diffuseButton->setStyle(QStyleFactory::create("Fusion"));
-    
-    specular=QColor(255*d->specular.x(), 
-                    255*d->specular.y(), 
+
+    specular=QColor(255*d->specular.x(),
+                    255*d->specular.y(),
                     255*d->specular.z());
     palette.setColor(QPalette::Button,specular);
     specularButton->setPalette(palette);
     specularButton->setStyle(QStyleFactory::create("Fusion"));
     spec_powrSlider->setValue(static_cast<int>(d->spec_power));
-    
+
     connect(&ambient_dial, &QColorDialog::currentColorChanged, this, &LightingDialog::ambient_changed );
     connect(&diffuse_dial, &QColorDialog::currentColorChanged, this, &LightingDialog::diffuse_changed );
     connect(&spec_dial, &QColorDialog::currentColorChanged, this,    &LightingDialog::specular_changed);
-    
-    connect(ambientButton, &QPushButton::clicked, 
+
+    connect(ambientButton, &QPushButton::clicked,
             [this](){
       ambient_dial.setCurrentColor(ambient);
       ambient_dial.exec();
@@ -159,7 +159,7 @@ public:
       palette.setColor(QPalette::Button, ambient);
       ambientButton->setPalette(palette);
     });
-    connect(diffuseButton, &QPushButton::clicked, 
+    connect(diffuseButton, &QPushButton::clicked,
             [this](){
       diffuse_dial.setCurrentColor(diffuse);
       diffuse_dial.exec();
@@ -168,7 +168,7 @@ public:
       palette.setColor(QPalette::Button, diffuse);
       diffuseButton->setPalette(palette);
     });
-    connect(specularButton, &QPushButton::clicked, 
+    connect(specularButton, &QPushButton::clicked,
             [this](){
       spec_dial.setCurrentColor(specular);
       spec_dial.exec();
@@ -177,7 +177,7 @@ public:
       palette.setColor(QPalette::Button, specular);
       specularButton->setPalette(palette);
     });
-    
+
     //D e f a u l t - S e t t i n g s
     connect(buttonBox->button(QDialogButtonBox::StandardButton::RestoreDefaults), &QPushButton::clicked,
             [this](){
@@ -199,12 +199,12 @@ private Q_SLOTS:
   void diffuse_changed()
   {
     diffuse = diffuse_dial.currentColor();
-    s_diffuse_changed(); 
+    s_diffuse_changed();
   }
   void ambient_changed()
   {
     ambient = ambient_dial.currentColor();
-    s_ambient_changed(); 
+    s_ambient_changed();
   }
   void specular_changed()
   {
@@ -221,7 +221,7 @@ private:
   QColorDialog spec_dial;
 };
 
-std::vector<QOpenGLShaderProgram*> Viewer_impl::shader_programs = 
+std::vector<QOpenGLShaderProgram*> Viewer_impl::shader_programs =
     std::vector<QOpenGLShaderProgram*>(Viewer::NB_OF_PROGRAMS);
 void Viewer::doBindings()
 {
@@ -232,25 +232,25 @@ void Viewer::doBindings()
                           cam_pos.split(",").at(1).toFloat(),
                           cam_pos.split(",").at(2).toFloat(),
                           1.0f);
-  
+
   QString ambient = viewer_settings.value("ambient", QString("0.4,0.4,0.4")).toString();
   d->ambient = QVector4D(ambient.split(",").at(0).toFloat(),
                          ambient.split(",").at(1).toFloat(),
                          ambient.split(",").at(2).toFloat(),
                          1.0f);
-  
+
   QString diffuse = viewer_settings.value("diffuse", QString("1.0,1.0,1.0")).toString();
   d->diffuse = QVector4D(diffuse.split(",").at(0).toFloat(),
                          diffuse.split(",").at(1).toFloat(),
                          diffuse.split(",").at(2).toFloat(),
                          1.0f);
-  
+
   QString specular = viewer_settings.value("specular", QString("0.0,0.0,0.0")).toString();
   d->specular = QVector4D(specular.split(",").at(0).toFloat(),
                           specular.split(",").at(1).toFloat(),
                           specular.split(",").at(2).toFloat(),
                           1.0f);
-  
+
   d->spec_power = viewer_settings.value("spec_power", 51.8).toFloat();
   d->scene = 0;
   d->projection_is_ortho = false;
@@ -263,7 +263,7 @@ void Viewer::doBindings()
   d->shader_programs.resize(NB_OF_PROGRAMS);
   d->textRenderer = new TextRenderer();
   d->is_2d_selection_mode = false;
-  
+
   connect( d->textRenderer, SIGNAL(sendMessage(QString,int)),
            this, SLOT(printMessage(QString,int)) );
   connect(&d->messageTimer, SIGNAL(timeout()), SLOT(hideMessage()));
@@ -384,7 +384,7 @@ void Viewer::setScene(CGAL::Three::Scene
 
 bool Viewer::antiAliasing() const
 {
-  return d->antialiasing; 
+  return d->antialiasing;
 }
 
 void Viewer::setAntiAliasing(bool b)
@@ -415,7 +415,7 @@ bool Viewer::inFastDrawing() const
 }
 
 void Viewer::draw()
-{ 
+{
   glEnable(GL_DEPTH_TEST);
   d->draw_aux(false, this);
 }
@@ -469,7 +469,7 @@ void Viewer::init()
   setBackgroundColor(bc);
   d->vao.create();
   d->buffer.create();
-  
+
   //setting the program used for the distance
   if(!is_linked)
   {
@@ -564,7 +564,7 @@ void Viewer::mousePressEvent(QMouseEvent
 {
   makeCurrent();
   if(event->button() == Qt::RightButton &&
-     event->modifiers().testFlag(Qt::ShiftModifier)) 
+     event->modifiers().testFlag(Qt::ShiftModifier))
   {
     select(event->pos());
     requestContextMenu(event->globalPos());
@@ -596,7 +596,7 @@ void Viewer::mousePressEvent(QMouseEvent
 }
 void Viewer::mouseDoubleClickEvent(QMouseEvent* event)
 {
-  makeCurrent(); 
+  makeCurrent();
   CGAL::QGLViewer::mouseDoubleClickEvent(event);
 }
 
@@ -848,7 +848,7 @@ QString CGAL::Three::Viewer_interface::d
 bool Viewer::moveCameraToCoordinates(QString s, float animation_duration) {
   CGAL::qglviewer::Frame new_frame;
   if(readFrame(s, new_frame)) {
-    camera()->interpolateTo(new_frame, animation_duration); 
+    camera()->interpolateTo(new_frame, animation_duration);
     return true;
   }
   else
@@ -882,7 +882,7 @@ void Viewer::attribBuffers(int program_n
     this->camera()->getModelViewProjectionMatrix(d_mat);
     for (int i=0; i<16; ++i)
         mvp_mat.data()[i] = GLfloat(d_mat[i]);
-   
+
     QOpenGLShaderProgram* program = getShaderProgram(program_name);
     program->bind();
     program->setUniformValue("point_size", getGlPointSize());
@@ -915,20 +915,20 @@ void Viewer::attribBuffers(int program_n
     case PROGRAM_NO_SELECTION:
     case PROGRAM_HEAT_INTENSITY:
       program->setUniformValue("alpha", 1.0f); //overriden in item draw() if necessary
-    default: 
+    default:
       break;
     }
     switch(program_name)
     {
     case PROGRAM_SPHERES:
     case PROGRAM_DARK_SPHERES:
-    case PROGRAM_WITH_LIGHT: 
-    case PROGRAM_OLD_FLAT: 
+    case PROGRAM_WITH_LIGHT:
+    case PROGRAM_OLD_FLAT:
       program->setUniformValue("f_matrix",f_mat);
-    default: 
+    default:
       break;
     }
-    
+
     switch(program_name)
     {
     case PROGRAM_WITH_LIGHT:
@@ -1024,7 +1024,7 @@ void Viewer::drawVisualHints()
           glEnable(GL_DEPTH_TEST);
         }
         else
-        {          
+        {
           QOpenGLShaderProgram* program = getShaderProgram(PROGRAM_SOLID_WIREFRAME);
           program->bind();
           QVector2D vp(width(), height());
@@ -1041,7 +1041,7 @@ void Viewer::drawVisualHints()
           glDrawArrays(GL_LINES, 0, static_cast<GLsizei>(2));
           d->vao.release();
           program->release();
-          
+
           program = getShaderProgram(PROGRAM_NO_SELECTION);
           program->bind();
           program->setAttributeValue("colors", QColor(Qt::black));
@@ -1079,7 +1079,7 @@ void Viewer::drawVisualHints()
       d->textRenderer->addText(message_text);
     }
     d->textRenderer->draw(this);
-    
+
     if (d->_displayMessage)
       d->textRenderer->removeText(message_text);
     delete message_text;
@@ -1145,9 +1145,9 @@ QOpenGLShaderProgram* Viewer::getShaderP
   {
   case PROGRAM_C3T3:
   {
-    QOpenGLShaderProgram* program = isOpenGL_4_3() 
+    QOpenGLShaderProgram* program = isOpenGL_4_3()
         ? declare_program(name, ":/cgal/Polyhedron_3/resources/shader_c3t3.vert" , ":/cgal/Polyhedron_3/resources/shader_c3t3.frag")
-        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_c3t3.vert" , 
+        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_c3t3.vert" ,
                           ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_c3t3.frag");
     program->setProperty("hasLight", true);
     program->setProperty("hasNormals", true);
@@ -1159,9 +1159,9 @@ QOpenGLShaderProgram* Viewer::getShaderP
   }
   case PROGRAM_C3T3_EDGES:
   {
-    QOpenGLShaderProgram* program = isOpenGL_4_3() 
+    QOpenGLShaderProgram* program = isOpenGL_4_3()
         ? declare_program(name, ":/cgal/Polyhedron_3/resources/shader_c3t3_edges.vert" , ":/cgal/Polyhedron_3/resources/shader_c3t3_edges.frag")
-        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_c3t3_edges.vert" , 
+        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_c3t3_edges.vert" ,
                           ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_c3t3_edges.frag");
     program->setProperty("hasCutPlane", true);
     program->setProperty("hasSurfaceMode", true);
@@ -1169,9 +1169,9 @@ QOpenGLShaderProgram* Viewer::getShaderP
   }
   case PROGRAM_WITH_LIGHT:
   {
-    QOpenGLShaderProgram* program = isOpenGL_4_3() 
+    QOpenGLShaderProgram* program = isOpenGL_4_3()
         ? declare_program(name, ":/cgal/Polyhedron_3/resources/shader_with_light.vert" , ":/cgal/Polyhedron_3/resources/shader_with_light.frag")
-        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_with_light.vert" , 
+        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_with_light.vert" ,
                           ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_with_light.frag");
     program->setProperty("hasLight", true);
     program->setProperty("hasNormals", true);
@@ -1181,9 +1181,9 @@ QOpenGLShaderProgram* Viewer::getShaderP
   }
   case PROGRAM_HEAT_INTENSITY:
   {
-    QOpenGLShaderProgram* program = isOpenGL_4_3() 
+    QOpenGLShaderProgram* program = isOpenGL_4_3()
         ? declare_program(name, ":/cgal/Polyhedron_3/resources/heat_intensity_shader.vert" , ":/cgal/Polyhedron_3/resources/heat_intensity_shader.frag")
-        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/heat_intensity_shader.vert" , 
+        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/heat_intensity_shader.vert" ,
                           ":/cgal/Polyhedron_3/resources/compatibility_shaders/heat_intensity_shader.frag");
     program->setProperty("hasLight", true);
     program->setProperty("hasNormals", true);
@@ -1193,18 +1193,18 @@ QOpenGLShaderProgram* Viewer::getShaderP
   }
   case PROGRAM_WITHOUT_LIGHT:
   {
-    QOpenGLShaderProgram* program = isOpenGL_4_3() 
+    QOpenGLShaderProgram* program = isOpenGL_4_3()
         ? declare_program(name, ":/cgal/Polyhedron_3/resources/shader_without_light.vert" , ":/cgal/Polyhedron_3/resources/shader_without_light.frag")
-        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_without_light.vert" , 
+        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_without_light.vert" ,
                           ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_without_light.frag");
     program->setProperty("hasFMatrix", true);
     return program;
   }
   case PROGRAM_NO_SELECTION:
   {
-    QOpenGLShaderProgram* program = isOpenGL_4_3() 
+    QOpenGLShaderProgram* program = isOpenGL_4_3()
         ? declare_program(name, ":/cgal/Polyhedron_3/resources/shader_without_light.vert" , ":/cgal/Polyhedron_3/resources/shader_no_light_no_selection.frag")
-        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_without_light.vert" , 
+        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_without_light.vert" ,
                           ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_no_light_no_selection.frag");
     program->setProperty("hasFMatrix", true);
     program->setProperty("hasTransparency", true);
@@ -1212,7 +1212,7 @@ QOpenGLShaderProgram* Viewer::getShaderP
   }
   case PROGRAM_WITH_TEXTURE:
   {
-    QOpenGLShaderProgram* program = isOpenGL_4_3() 
+    QOpenGLShaderProgram* program = isOpenGL_4_3()
         ? declare_program(name, ":/cgal/Polyhedron_3/resources/shader_with_texture.vert" , ":/cgal/Polyhedron_3/resources/shader_with_texture.frag")
         : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_with_texture.vert" ,
                           ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_with_texture.frag");
@@ -1224,7 +1224,7 @@ QOpenGLShaderProgram* Viewer::getShaderP
   }
   case PROGRAM_PLANE_TWO_FACES:
   {
-    QOpenGLShaderProgram* program = isOpenGL_4_3() 
+    QOpenGLShaderProgram* program = isOpenGL_4_3()
         ?declare_program(name, ":/cgal/Polyhedron_3/resources/shader_without_light.vert" , ":/cgal/Polyhedron_3/resources/shader_plane_two_faces.frag")
        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_without_light.vert" ,
                          ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_plane_two_faces.frag");
@@ -1235,9 +1235,9 @@ QOpenGLShaderProgram* Viewer::getShaderP
   }
   case PROGRAM_WITH_TEXTURED_EDGES:
   {
-    QOpenGLShaderProgram* program = isOpenGL_4_3() 
+    QOpenGLShaderProgram* program = isOpenGL_4_3()
         ? declare_program(name, ":/cgal/Polyhedron_3/resources/shader_with_textured_edges.vert" , ":/cgal/Polyhedron_3/resources/shader_with_textured_edges.frag")
-        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_with_textured_edges.vert" , 
+        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_with_textured_edges.vert" ,
                           ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_with_textured_edges.frag");
     program->setProperty("hasFMatrix", true);
     program->setProperty("hasTexture", true);
@@ -1245,11 +1245,11 @@ QOpenGLShaderProgram* Viewer::getShaderP
   }
   case PROGRAM_INSTANCED:
   {
-    QOpenGLShaderProgram* program = isOpenGL_4_3() 
+    QOpenGLShaderProgram* program = isOpenGL_4_3()
         ? declare_program(name, ":/cgal/Polyhedron_3/resources/shader_instanced.vert" , ":/cgal/Polyhedron_3/resources/shader_with_light.frag")
         : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_instanced.vert" ,
                           ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_with_light.frag");
-    
+
     program->setProperty("hasLight", true);
     program->setProperty("hasNormals", true);
     program->setProperty("isInstanced", true);
@@ -1257,7 +1257,7 @@ QOpenGLShaderProgram* Viewer::getShaderP
   }
   case PROGRAM_INSTANCED_WIRE:
   {
-    QOpenGLShaderProgram* program = isOpenGL_4_3() 
+    QOpenGLShaderProgram* program = isOpenGL_4_3()
         ? declare_program(name, ":/cgal/Polyhedron_3/resources/shader_instanced.vert" , ":/cgal/Polyhedron_3/resources/shader_without_light.frag")
         : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_instanced.vert" ,
                           ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_without_light.frag");
@@ -1269,9 +1269,9 @@ QOpenGLShaderProgram* Viewer::getShaderP
   }
   case PROGRAM_CUTPLANE_SPHERES:
   {
-    QOpenGLShaderProgram* program = isOpenGL_4_3() 
+    QOpenGLShaderProgram* program = isOpenGL_4_3()
         ? declare_program(name, ":/cgal/Polyhedron_3/resources/shader_c3t3_spheres.vert" , ":/cgal/Polyhedron_3/resources/shader_c3t3.frag")
-        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_c3t3_spheres.vert" , 
+        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_c3t3_spheres.vert" ,
                           ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_c3t3.frag");
     program->setProperty("hasLight", true);
     program->setProperty("hasNormals", true);
@@ -1283,7 +1283,7 @@ QOpenGLShaderProgram* Viewer::getShaderP
   }
   case PROGRAM_SPHERES:
   {
-    QOpenGLShaderProgram* program = isOpenGL_4_3() 
+    QOpenGLShaderProgram* program = isOpenGL_4_3()
         ?declare_program(name, ":/cgal/Polyhedron_3/resources/shader_spheres.vert" , ":/cgal/Polyhedron_3/resources/shader_with_light.frag")
        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_spheres.vert" ,
                          ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_with_light.frag");
@@ -1298,7 +1298,7 @@ QOpenGLShaderProgram* Viewer::getShaderP
   }
   case PROGRAM_DARK_SPHERES:
   {
-    QOpenGLShaderProgram* program = isOpenGL_4_3() 
+    QOpenGLShaderProgram* program = isOpenGL_4_3()
         ?declare_program(name, ":/cgal/Polyhedron_3/resources/shader_dark_spheres.vert" , ":/cgal/Polyhedron_3/resources/shader_no_light_no_selection.frag")
        : declare_program(name, ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_dark_spheres.vert" ,
                          ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_no_light_no_selection.frag");
@@ -1322,9 +1322,9 @@ QOpenGLShaderProgram* Viewer::getShaderP
   }
   case PROGRAM_OLD_FLAT:
   {
-    QOpenGLShaderProgram* program = isOpenGL_4_3() 
+    QOpenGLShaderProgram* program = isOpenGL_4_3()
         ? declare_program(name, ":/cgal/Polyhedron_3/resources/shader_with_light.vert", ":/cgal/Polyhedron_3/resources/shader_old_flat.frag")
-        : declare_program(name, 
+        : declare_program(name,
                           ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_with_light.vert",
                           ":/cgal/Polyhedron_3/resources/compatibility_shaders/shader_old_flat.frag");
     program->setProperty("hasLight", true);
@@ -1339,7 +1339,7 @@ QOpenGLShaderProgram* Viewer::getShaderP
       return 0;
     }
     QOpenGLShaderProgram* program = declare_program(name,
-                                                    ":/cgal/Polyhedron_3/resources/solid_wireframe_shader.vert", 
+                                                    ":/cgal/Polyhedron_3/resources/solid_wireframe_shader.vert",
                                                     ":/cgal/Polyhedron_3/resources/solid_wireframe_shader.frag");
     program->setProperty("hasViewport", true);
     program->setProperty("hasWidth", true);
@@ -1492,7 +1492,7 @@ void Viewer_impl::showDistance(QPoint pi
         v.resize(6);
         v[0] = float(APoint.x); v[1] = float(APoint.y); v[2] = float(APoint.z);
         v[3] = float(BPoint.x); v[4] = float(BPoint.y); v[5] = float(BPoint.z);
-       
+
         vao.bind();
         buffer.bind();
         buffer.allocate(v.data(),6*sizeof(float));
@@ -1500,7 +1500,7 @@ void Viewer_impl::showDistance(QPoint pi
         rendering_program_dist.setAttributeBuffer("vertex",GL_FLOAT,0,3);
         buffer.release();
         vao.release();
-        
+
         distance_is_displayed = true;
         double dist = std::sqrt((BPoint.x-APoint.x)*(BPoint.x-APoint.x) + (BPoint.y-APoint.y)*(BPoint.y-APoint.y) + (BPoint.z-APoint.z)*(BPoint.z-APoint.z));
         QFont font;
@@ -1704,7 +1704,7 @@ void Viewer::messageLogged(QOpenGLDebugM
 
 void Viewer::setLighting()
 {
-  
+
   //save current settings;
   float prev_spec = d->spec_power;
   QVector4D prev_pos = d->position;
@@ -1750,38 +1750,38 @@ void Viewer::setLighting()
     d->position = QVector4D(coords[0], coords[1], coords[2], 1.0f);
     update();
   });
-  
+
 
   //set ambient
   connect(dialog, &LightingDialog::s_ambient_changed,
           [this, dialog](){
-    d->ambient=QVector4D(dialog->ambient.redF(), 
-                         dialog->ambient.greenF(), 
-                         dialog->ambient.blueF(), 
+    d->ambient=QVector4D(dialog->ambient.redF(),
+                         dialog->ambient.greenF(),
+                         dialog->ambient.blueF(),
                          1.0f);
     update();
   });
-          
+
   //set diffuse
   connect(dialog, &LightingDialog::s_diffuse_changed,
           [this, dialog](){
-    d->diffuse=QVector4D(dialog->diffuse.redF(), 
-                         dialog->diffuse.greenF(), 
-                         dialog->diffuse.blueF(), 
+    d->diffuse=QVector4D(dialog->diffuse.redF(),
+                         dialog->diffuse.greenF(),
+                         dialog->diffuse.blueF(),
                          1.0f);
     update();
   });
   //set specular
   connect(dialog, &LightingDialog::s_specular_changed,
           [this, dialog](){
-    d->specular=QVector4D(dialog->specular.redF() , 
-                         dialog->specular.greenF(), 
-                         dialog->specular.blueF() , 
+    d->specular=QVector4D(dialog->specular.redF() ,
+                         dialog->specular.greenF(),
+                         dialog->specular.blueF() ,
                          1.0f);
     update();
-    
+
   });
-  
+
   //reset default
   connect(dialog->buttonBox->button(QDialogButtonBox::StandardButton::RestoreDefaults), &QPushButton::clicked,
           [this](){
@@ -1789,9 +1789,9 @@ void Viewer::setLighting()
     d->ambient=QVector4D(77.0/255,77.0/255,77.0/255, 1.0);
     d->diffuse=QVector4D(204.0/255,204.0/255,204.0/255,1.0);
     d->specular=QVector4D(0,0,0,1.0);
-    d->spec_power = 51;    
+    d->spec_power = 51;
     update();
-    
+
   });
   if(!dialog->exec())
   {
diff -pruN 5.0.2-3/demo/Polyhedron/Viewer.h 5.0.3-1/demo/Polyhedron/Viewer.h
--- 5.0.2-3/demo/Polyhedron/Viewer.h	2020-02-21 20:03:59.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron/Viewer.h	2020-08-01 19:02:44.000000000 +0000
@@ -81,7 +81,7 @@ public:
                                         const char* v_shader,
                                         const char* f_shader)const;
   QPainter* getPainter()Q_DECL_OVERRIDE;
-  
+
 
   TextRenderer* textRenderer() Q_DECL_OVERRIDE;
   void enableClippingBox(QVector4D box[]) Q_DECL_OVERRIDE;
@@ -110,7 +110,7 @@ public Q_SLOTS:
   //! @returns a QString containing the position and orientation of the camera.
   QString dumpCameraCoordinates() Q_DECL_OVERRIDE;
   //!Moves the camera to the new coordinates (position and orientation) through an animation.
-  bool moveCameraToCoordinates(QString, 
+  bool moveCameraToCoordinates(QString,
                                float animation_duration = 0.5f) Q_DECL_OVERRIDE;
   //!Makes the Viewer display a message
   void printMessage(QString message, int ms_delay );
diff -pruN 5.0.2-3/demo/Polyhedron_IO/CMakeLists.txt 5.0.3-1/demo/Polyhedron_IO/CMakeLists.txt
--- 5.0.2-3/demo/Polyhedron_IO/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron_IO/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -20,8 +20,8 @@ if ( CGAL_FOUND )
   create_single_source_cgal_program( "viewpoint2off.cpp" )
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/demo/Polyhedron_IO/viewpoint2off.cpp 5.0.3-1/demo/Polyhedron_IO/viewpoint2off.cpp
--- 5.0.2-3/demo/Polyhedron_IO/viewpoint2off.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyhedron_IO/viewpoint2off.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -85,9 +85,9 @@ int main( int argc, char **argv) {
         else if ( n < 3 ) {
             filename[n ++] = argv[i];
         } else {
-	    ++n;
+            ++n;
             break;
-	}
+        }
     }
     if ((n < 1) || (n > 3) || help) {
         if ( ! help)
diff -pruN 5.0.2-3/demo/Polyline_simplification_2/include/CGAL/Qt/Polyline_simplification_2_graphics_item.h 5.0.3-1/demo/Polyline_simplification_2/include/CGAL/Qt/Polyline_simplification_2_graphics_item.h
--- 5.0.2-3/demo/Polyline_simplification_2/include/CGAL/Qt/Polyline_simplification_2_graphics_item.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/demo/Polyline_simplification_2/include/CGAL/Qt/Polyline_simplification_2_graphics_item.h	2020-08-01 19:02:45.000000000 +0000
@@ -11,9 +11,9 @@
 // This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 // WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyline_simplification_2/demo/Polyline_simplification_2/include/CGAL/Qt/Polyline_simplification_2_graphics_item.h $
-// $Id: Polyline_simplification_2_graphics_item.h 243c7b1 2019-07-08T14:05:42+02:00 Maxime Gimeno
-// 
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyline_simplification_2/demo/Polyline_simplification_2/include/CGAL/Qt/Polyline_simplification_2_graphics_item.h $
+// $Id: Polyline_simplification_2_graphics_item.h 590612a 2020-03-26T13:25:16+01:00 Sébastien Loriot
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -41,23 +41,23 @@ class PolylineSimplificationGraphicsItem
   Vertices_in_constraint_iterator
   decrement(Vertices_in_constraint_iterator it)
   {
-    do{ 
+    do{
       --it;
     } while(it->removed);
     return it;
   }
-  
+
   Vertices_in_constraint_iterator
   increment(Vertices_in_constraint_iterator it)
   {
-    do{ 
+    do{
       ++it;
     } while(it->removed);
     return it;
   }
-  
 
-  
+
+
 public:
 
   PolylineSimplificationGraphicsItem(PCT  * pct)
@@ -65,11 +65,11 @@ public:
   {
     constraints_pen = this->edgesPen();
     constraints_pen.setColor(::Qt::red);
-    
+
     unremovable_vertices_pen = this->verticesPen();
     unremovable_vertices_pen.setColor(::Qt::blue);
   }
-  
+
   void operator()(typename PCT::Face_handle fh);
 
   const QPen& constraintsPen() const
@@ -118,11 +118,11 @@ private:
 };
 
 template <typename PCT>
-void 
+void
 PolylineSimplificationGraphicsItem<PCT>::drawAll(QPainter *painter)
 {
   this->painterostream = PainterOstream<Geom_traits>(painter);
-  
+
   for(typename PCT::Finite_edges_iterator eit = this->t->finite_edges_begin();
       eit != this->t->finite_edges_end();
       ++eit)
@@ -131,19 +131,19 @@ PolylineSimplificationGraphicsItem<PCT>:
      {
        painter->setPen(constraintsPen());
        this->painterostream << this->t->segment(*eit);
-     } 
+     }
      else if( this->visibleEdges() )
      {
        painter->setPen(this->edgesPen());
        this->painterostream << this->t->segment(*eit);
-     }    
+     }
   }
-  
+
   this->paintVertices(painter);
 }
 
 template <typename PCT>
-void 
+void
 PolylineSimplificationGraphicsItem<PCT>::operator()( typename PCT::Face_handle fh )
 {
   for (int i=0; i<3; i++) {
@@ -151,10 +151,10 @@ PolylineSimplificationGraphicsItem<PCT>:
 //      if(this->visibleConstraints() && this->t->is_constrained(typename PCT::Edge(fh,i)) && (! this->t->is_infinite(fh->neighbor(i)))){
       if(this->visibleConstraints() && this->t->is_constrained(typename PCT::Edge(fh,i)) ){
         this->m_painter->setPen(constraintsPen());
-	this->painterostream << this->t->segment(fh,i);
+        this->painterostream << this->t->segment(fh,i);
       } else if( this->visibleEdges() ){
-	this->m_painter->setPen(this->edgesPen());
-	this->painterostream << this->t->segment(fh,i);
+        this->m_painter->setPen(this->edgesPen());
+        this->painterostream << this->t->segment(fh,i);
       }
     }
     if(this->visibleVertices()) {
@@ -165,12 +165,12 @@ PolylineSimplificationGraphicsItem<PCT>:
 
 
 template <typename PCT>
-void 
+void
 PolylineSimplificationGraphicsItem<PCT>::paintVertex( typename PCT::Vertex_handle vh )
 {
   Converter<Geom_traits> convert;
-  
-  //  if ( vh->is_unremovable() || vh->is_shared() ) {     
+
+  //  if ( vh->is_unremovable() || vh->is_shared() ) {
   //    this->m_painter->setPen(this->unremovableVerticesPen());
   // } else {
     this->m_painter->setPen(this->verticesPen());
@@ -183,10 +183,10 @@ PolylineSimplificationGraphicsItem<PCT>:
 
 
 template <typename PCT>
-void 
+void
 PolylineSimplificationGraphicsItem<PCT>::paintVertices(QPainter *painter)
 {
-  if(this->visibleVertices()) 
+  if(this->visibleVertices())
   {
     Converter<Geom_traits> convert;
 
@@ -198,10 +198,10 @@ PolylineSimplificationGraphicsItem<PCT>:
       for(Vertices_in_constraint_iterator it = this->t->vertices_in_constraint_begin(*cit);
         it != this->t->vertices_in_constraint_end(*cit);
         it++){
-        QPointF point = matrix.map(convert((*it)->point()));  
-        if ( (*it)->is_removable() )       
+        QPointF point = matrix.map(convert((*it)->point()));
+        if ( (*it)->is_removable() )
           painter->setPen(this->verticesPen());
-        else 
+        else
           painter->setPen(this->unremovableVerticesPen());
 
         painter->drawPoint(point);
@@ -209,7 +209,7 @@ PolylineSimplificationGraphicsItem<PCT>:
     }
   }
 }
-  
+
 } // namespace Qt
 } // namespace CGAL
 
diff -pruN 5.0.2-3/demo/Polyline_simplification_2/include/CGAL/Qt/TriangulationArrangementGraphicsItem.h 5.0.3-1/demo/Polyline_simplification_2/include/CGAL/Qt/TriangulationArrangementGraphicsItem.h
--- 5.0.2-3/demo/Polyline_simplification_2/include/CGAL/Qt/TriangulationArrangementGraphicsItem.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/demo/Polyline_simplification_2/include/CGAL/Qt/TriangulationArrangementGraphicsItem.h	2020-08-01 19:02:45.000000000 +0000
@@ -11,9 +11,9 @@
 // This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 // WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyline_simplification_2/demo/Polyline_simplification_2/include/CGAL/Qt/TriangulationArrangementGraphicsItem.h $
-// $Id: TriangulationArrangementGraphicsItem.h 243c7b1 2019-07-08T14:05:42+02:00 Maxime Gimeno
-// 
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyline_simplification_2/demo/Polyline_simplification_2/include/CGAL/Qt/TriangulationArrangementGraphicsItem.h $
+// $Id: TriangulationArrangementGraphicsItem.h 590612a 2020-03-26T13:25:16+01:00 Sébastien Loriot
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -38,11 +38,11 @@ public:
   {
     constraints_pen = this->edgesPen();
     constraints_pen.setColor(::Qt::red);
-    
+
     fixed_vertices_pen = this->verticesPen();
     fixed_vertices_pen.setColor(::Qt::blue);
   }
-  
+
   void operator()(typename T::Face_handle fh);
 
   const QPen& constraintsPen() const
@@ -91,16 +91,16 @@ private:
 };
 
 template <typename T>
-void 
+void
 TriangulationArrangementGraphicsItem<T>::drawAll(QPainter *painter)
 {
   this->painterostream = PainterOstream<Geom_traits>(painter);
-  
+
   for(typename T::Finite_edges_iterator eit = this->t->finite_edges_begin();
       eit != this->t->finite_edges_end();
       ++eit)
   {
-     
+
     if (   !eit->first->vertex(this->t->ccw(eit->second))->is_corner()
         || !eit->first->vertex(this->t->cw (eit->second))->is_corner()
        )
@@ -109,7 +109,7 @@ TriangulationArrangementGraphicsItem<T>:
      {
        painter->setPen(constraintsPen());
        this->painterostream << this->t->segment(*eit);
-     } 
+     }
      else if( this->visibleEdges() )
      {
        painter->setPen(this->edgesPen());
@@ -117,22 +117,22 @@ TriangulationArrangementGraphicsItem<T>:
      }
     }
   }
-  
+
   this->paintVertices(painter);
 }
 
 template <typename T>
-void 
+void
 TriangulationArrangementGraphicsItem<T>::operator()(typename T::Face_handle fh)
 {
   for (int i=0; i<3; i++) {
     if ( fh < fh->neighbor(i) || this->t->is_infinite(fh->neighbor(i)) )  {
       if(this->visibleConstraints() && this->t->is_constrained(typename T::Edge(fh,i)) && (! this->t->is_infinite(fh->neighbor(i)))){
         this->m_painter->setPen(constraintsPen());
-	this->painterostream << this->t->segment(fh,i);
+        this->painterostream << this->t->segment(fh,i);
       } else if( this->visibleEdges() ){
-	this->m_painter->setPen(this->edgesPen());
-	this->painterostream << this->t->segment(fh,i);
+        this->m_painter->setPen(this->edgesPen());
+        this->painterostream << this->t->segment(fh,i);
       }
     }
     if(this->visibleVertices()) {
@@ -143,13 +143,13 @@ TriangulationArrangementGraphicsItem<T>:
 
 
 template <typename T>
-void 
+void
 TriangulationArrangementGraphicsItem<T>::paintVertex(typename T::Vertex_handle vh)
 {
   if ( ! vh->is_corner() ) {
     Converter<Geom_traits> convert;
-    
-    if ( vh->is_fixed() ) {     
+
+    if ( vh->is_fixed() ) {
       this->m_painter->setPen(this->fixedVerticesPen());
     } else {
       this->m_painter->setPen(this->verticesPen());
@@ -163,10 +163,10 @@ TriangulationArrangementGraphicsItem<T>:
 
 
 template <typename T>
-void 
+void
 TriangulationArrangementGraphicsItem<T>::paintVertices(QPainter *painter)
 {
-  if(this->visibleVertices()) 
+  if(this->visibleVertices())
   {
     Converter<Geom_traits> convert;
 
@@ -180,10 +180,10 @@ TriangulationArrangementGraphicsItem<T>:
       {
         QPointF point = matrix.map(convert(it->point()));
 
-        if ( it->is_fixed() )       
+        if ( it->is_fixed() )
              painter->setPen(this->fixedVerticesPen());
         else painter->setPen(this->verticesPen());
-        
+
         painter->drawPoint(point);
       }
     }
diff -pruN 5.0.2-3/demo/Polyline_simplification_2/Polyline_simplification_2.cpp 5.0.3-1/demo/Polyline_simplification_2/Polyline_simplification_2.cpp
--- 5.0.2-3/demo/Polyline_simplification_2/Polyline_simplification_2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Polyline_simplification_2/Polyline_simplification_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -10,7 +10,7 @@
 #include <CGAL/Bbox_2.h>
 #include <CGAL/assertions_behaviour.h>
 #include <CGAL/Exact_predicates_inexact_constructions_kernel.h>
-#include <CGAL/Timer.h> 
+#include <CGAL/Timer.h>
 #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
 #include <CGAL/IO/WKT.h>
 #endif
@@ -22,7 +22,7 @@ bool lAppToLog = false ;
 void Polyline_simplification_2_external_trace( std::string m )
 {
   std::ofstream out("polysim_log.txt", ( lAppToLog ? std::ios::app | std::ios::ate : std::ios::trunc | std::ios::ate ) );
-  out << std::setprecision(19) << m << std::endl << std::flush ; 
+  out << std::setprecision(19) << m << std::endl << std::flush ;
   lAppToLog = true ;
 }
 
@@ -34,8 +34,8 @@ void error_handler ( char const* what, c
        << "Line: " << line << std::endl;
   if ( msg != 0)
       std::cerr << "Explanation:" << msg << std::endl;
-    
-  throw std::runtime_error("CGAL Error");  
+
+  throw std::runtime_error("CGAL Error");
 }
 
 
@@ -91,15 +91,15 @@ class MainWindow :
   public Ui::Polyline_simplification_2
 {
   Q_OBJECT
-  
-private:  
 
-  PCT                                                m_pct; 
+private:
+
+  PCT                                                m_pct;
   QGraphicsScene                                    mScene;
   CGAL::Qt::PolylineSimplificationGraphicsItem<PCT> * mGI;
   CGAL::Qt::GraphicsViewPolylineInput<K> *          mPI;
-  
-private:  
+
+private:
 
 public:
 
@@ -122,9 +122,9 @@ public Q_SLOTS:
   void processInput(CGAL::Object o);
 
   void on_actionShowTriangulation_toggled(bool checked);
-  
+
   void on_actionInsertPolyline_toggled(bool checked);
-  
+
   void on_actionClear_triggered();
 
   void on_actionRecenter_triggered();
@@ -136,7 +136,7 @@ public Q_SLOTS:
   Mode getSimplificationMode() ;
 
   double getThreshold() ;
-  
+
 Q_SIGNALS:
   void changed();
 };
@@ -147,14 +147,14 @@ MainWindow::MainWindow()
 {
   CGAL::set_error_handler  (error_handler);
   CGAL::set_warning_handler(error_handler);
-  
+
   setupUi(this);
 
   setAcceptDrops(true);
 
   // Add a GraphicItem for the PS triangulation
   mGI = new CGAL::Qt::PolylineSimplificationGraphicsItem<PCT>(&m_pct);
-    
+
   QObject::connect(this, SIGNAL(changed()), mGI, SLOT(modelChanged()));
 
   mGI->setVerticesPen(QPen(Qt::black, 2, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
@@ -162,18 +162,18 @@ MainWindow::MainWindow()
   mGI->setZValue(-1);
   mGI->setVisibleEdges(false);
   mGI->setVisibleConstraints(true);
-  
+
   mScene.addItem(mGI);
 
   // Setup input handlers. They get events before the mScene gets them
-  // and the input they generate is passed to the triangulation with 
-  // the signal/slot mechanism    
+  // and the input they generate is passed to the triangulation with
+  // the signal/slot mechanism
   mPI = new CGAL::Qt::GraphicsViewPolylineInput<K>(this, &mScene, 0, true); // inputs polylines which are not closed
   this->on_actionInsertPolyline_toggled(true);
   QObject::connect(mPI, SIGNAL(generate(CGAL::Object)), this, SLOT(processInput(CGAL::Object)));
-    
 
-  // 
+
+  //
   // Manual handling of actions
   //
   QObject::connect(this->actionQuit, SIGNAL(triggered()), this, SLOT(close()));
@@ -183,7 +183,7 @@ MainWindow::MainWindow()
   //  ag->addAction(this->actionInsertPolyline);
 
   this->actionShowTriangulation->setChecked(false);
-  
+
   //
   // Setup the mScene and the view
   //
@@ -194,7 +194,7 @@ MainWindow::MainWindow()
 
   // Turn the vertical axis upside down
   this->graphicsView->scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -207,20 +207,20 @@ MainWindow::MainWindow()
 
   this->addRecentFiles(this->menuFile, this->actionQuit);
   connect(this, SIGNAL(openRecentFile(QString)), this, SLOT(open(QString)));
-	  
+
 //  QObject::connect(thresholdSlider, SIGNAL(valueChanged(int)), this, SLOT(set_Threshold(int)));
-	  
+
 }
 
 
-void 
+void
 MainWindow::dragEnterEvent(QDragEnterEvent *event)
 {
   if (event->mimeData()->hasFormat("text/uri-list"))
     event->acceptProposedAction();
 }
 
-void 
+void
 MainWindow::dropEvent(QDropEvent *event)
 {
   QString filename = event->mimeData()->urls().at(0).path();
@@ -234,7 +234,7 @@ MainWindow::processInput(CGAL::Object o)
   std::list<Point_2> points;
   if(CGAL::assign(points, o))
   {
-    if(points.size() >= 2) 
+    if(points.size() >= 2)
     {
       m_pct.insert_constraint(points.begin(), points.end());
 #if 0
@@ -246,16 +246,16 @@ MainWindow::processInput(CGAL::Object o)
       }
 #endif
       Q_EMIT( changed());
-    }  
+    }
   }
   Q_EMIT( changed());
 }
 
 
-/* 
+/*
  *  Qt Automatic Connections
  *  https://doc.qt.io/qt-5/designer-using-a-ui-file.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -306,12 +306,12 @@ void MainWindow::on_actionSimplify_trigg
   // wait cursor
   QApplication::setOverrideCursor(Qt::WaitCursor);
 
-  
+
   try
   {
     switch( getSimplificationMode() )
     {
-    case ABS_P   : simplify(m_pct, PS2::Squared_distance_cost(),  PS2::Stop_below_count_ratio_threshold(getThreshold())   ) ; 
+    case ABS_P   : simplify(m_pct, PS2::Squared_distance_cost(),  PS2::Stop_below_count_ratio_threshold(getThreshold())   ) ;
  break ;
     case ABS_E   : simplify(m_pct, PS2::Squared_distance_cost(), PS2::Stop_above_cost_threshold(getThreshold()) ) ; break ;
     case REL_P   : simplify(m_pct, PS2::Scaled_squared_distance_cost(),  PS2::Stop_below_count_ratio_threshold(getThreshold()) ) ; break ;
@@ -321,14 +321,14 @@ void MainWindow::on_actionSimplify_trigg
 
       break ;
     }
-    
+
     statusBar()->showMessage(QString("Simplification done"));
-  }  
-  catch(...) 
+  }
+  catch(...)
   {
     statusBar()->showMessage(QString("Exception ocurred"));
   }
-  
+
    // default cursor
   QApplication::restoreOverrideCursor();
   mGI->modelChanged();
@@ -336,7 +336,7 @@ void MainWindow::on_actionSimplify_trigg
 }
 
 
-void 
+void
 MainWindow::open(QString fileName)
 {
   if(! fileName.isEmpty()){
@@ -374,11 +374,11 @@ std::string trim_right ( std::string str
     if ( pos != std::string::npos )
       return str.substr(0,pos+1);
   }
-  
-  return std::string("") ;  
+
+  return std::string("") ;
 }
 
-void MainWindow::loadWKT(QString 
+void MainWindow::loadWKT(QString
                          #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
                          fileName
                          #endif
@@ -386,14 +386,14 @@ void MainWindow::loadWKT(QString
 {
 #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
     typedef std::vector<Point_2> MultiPoint;
-  
+
   typedef std::vector<Point_2> LineString;
   typedef std::deque<LineString> MultiLineString;
-  
+
   typedef CGAL::Polygon_2<K> Polygon_2;
   typedef CGAL::Polygon_with_holes_2<K> Polygon_with_holes_2;
   typedef std::deque<Polygon_with_holes_2> MultiPolygon;
-  
+
   std::ifstream ifs(qPrintable(fileName));
   MultiPoint points;
   MultiLineString polylines;
@@ -418,9 +418,9 @@ void MainWindow::loadWKT(QString
       m_pct.insert_constraint(hole);
     }
  }
-   
+
   Q_EMIT( changed());
-  
+
   actionRecenter->trigger();
 #endif
 }
@@ -434,20 +434,20 @@ void MainWindow::loadOSM(QString fileNam
   try
   {
     std::ifstream ifs(qPrintable(fileName));
-    
+
     std::string line ;
-    
+
     std::vector<Point_2> poly ;
-    
+
     while ( std::getline(ifs,line) )
     {
       line = trim_right(line);
-      
+
       if ( line.size() > 0 )
       {
         if ( line.find(':') != std::string::npos )
         {
-          if ( poly.size() > 0 )  
+          if ( poly.size() > 0 )
           {
             if ( poly.front() == poly.back() && poly.size() >= 4 )
             {
@@ -465,21 +465,21 @@ void MainWindow::loadOSM(QString fileNam
         else
         {
           double x,y ;
-          
+
           std::string::size_type pos = line.find(',');
           if ( pos != std::string::npos )
             line[pos]= ' ' ;
-          
+
           std::istringstream ss(line);
-          
+
           ss >> x >> y ;
-          
+
           poly.push_back( Point_2(x,y) );
         }
       }
     }
-    
-    if ( poly.size() > 0 )  
+
+    if ( poly.size() > 0 )
     {
       if ( poly.front() == poly.back() )
       {
@@ -490,14 +490,14 @@ void MainWindow::loadOSM(QString fileNam
         m_pct.insert_constraint(poly.begin(), poly.end() ) ;
       }
     }
-  }  
-  catch(...) 
+  }
+  catch(...)
   {
     statusBar()->showMessage(QString("Exception ocurred"));
   }
-  
+
   Q_EMIT( changed());
-  
+
   actionRecenter->trigger();
 }
 
@@ -505,7 +505,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(mGI->boundingRect());
-  this->graphicsView->fitInView(mGI->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(mGI->boundingRect(), Qt::KeepAspectRatio);
 }
 
 #include "Polyline_simplification_2.moc"
@@ -520,7 +520,7 @@ int main(int argc, char **argv)
 
   // Import resources from libCGALQt5.
   CGAL_QT_INIT_RESOURCES;
-	
+
   MainWindow mainWindow;
   mainWindow.show();
   return app.exec();
diff -pruN 5.0.2-3/demo/Principal_component_analysis/CMakeLists.txt 5.0.3-1/demo/Principal_component_analysis/CMakeLists.txt
--- 5.0.2-3/demo/Principal_component_analysis/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Principal_component_analysis/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -68,7 +68,7 @@ else (CGAL_Qt5_FOUND AND Qt5_FOUND )
     set(PCA_MISSING_DEPS "Qt5, ${PCA_MISSING_DEPS}")
   endif()
 
-  
+
   message(STATUS "NOTICE: This demo requires ${PCA_MISSING_DEPS} and will not be compiled.")
 
 endif (CGAL_Qt5_FOUND AND Qt5_FOUND )
diff -pruN 5.0.2-3/demo/Principal_component_analysis/MainWindow.cpp 5.0.3-1/demo/Principal_component_analysis/MainWindow.cpp
--- 5.0.2-3/demo/Principal_component_analysis/MainWindow.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Principal_component_analysis/MainWindow.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -13,159 +13,159 @@
 
 #include "ui_MainWindow.h"
 
-#include <QMimeData> 
+#include <QMimeData>
 
 
 MainWindow::MainWindow(QWidget* parent)
 : CGAL::Qt::DemosMainWindow(parent)
 {
-	ui = new Ui::MainWindow;
-	ui->setupUi(this);
+        ui = new Ui::MainWindow;
+        ui->setupUi(this);
 
-	// saves some pointers from ui, for latter use.
-	m_pViewer = ui->viewer;
+        // saves some pointers from ui, for latter use.
+        m_pViewer = ui->viewer;
 
-	// does not save the state of the viewer 
-	m_pViewer->setStateFileName(QString());
+        // does not save the state of the viewer
+        m_pViewer->setStateFileName(QString());
 
-	// accepts drop events
-	setAcceptDrops(true);
+        // accepts drop events
+        setAcceptDrops(true);
 
-	// setups scene
-	m_pScene = new Scene;
-	m_pViewer->setScene(m_pScene);
+        // setups scene
+        m_pScene = new Scene;
+        m_pViewer->setScene(m_pScene);
 
-	// connects actionQuit (Ctrl+Q) and qApp->quit()
-	connect(ui->actionQuit, SIGNAL(triggered()),
-		this, SLOT(quit()));
+        // connects actionQuit (Ctrl+Q) and qApp->quit()
+        connect(ui->actionQuit, SIGNAL(triggered()),
+                this, SLOT(quit()));
 
-	this->addRecentFiles(ui->menuFile, ui->actionQuit);
-	connect(this, SIGNAL(openRecentFile(QString)),
-		this, SLOT(open(QString)));
+        this->addRecentFiles(ui->menuFile, ui->actionQuit);
+        connect(this, SIGNAL(openRecentFile(QString)),
+                this, SLOT(open(QString)));
 
-	readSettings();
+        readSettings();
 }
 
 MainWindow::~MainWindow()
 {
-	delete ui;
+        delete ui;
 }
 
 void MainWindow::dragEnterEvent(QDragEnterEvent *event)
 {
-	if (event->mimeData()->hasFormat("text/uri-list"))
-		event->acceptProposedAction();
+        if (event->mimeData()->hasFormat("text/uri-list"))
+                event->acceptProposedAction();
 }
 
 void MainWindow::dropEvent(QDropEvent *event)
 {
-	Q_FOREACH(QUrl url, event->mimeData()->urls()) {
-		QString filename = url.toLocalFile();
-		if(!filename.isEmpty()) {
-			QTextStream(stderr) << QString("dropEvent(\"%1\")\n").arg(filename);
-			open(filename);
-		}
-	}
-	event->acceptProposedAction();
+        Q_FOREACH(QUrl url, event->mimeData()->urls()) {
+                QString filename = url.toLocalFile();
+                if(!filename.isEmpty()) {
+                        QTextStream(stderr) << QString("dropEvent(\"%1\")\n").arg(filename);
+                        open(filename);
+                }
+        }
+        event->acceptProposedAction();
 }
 
 void MainWindow::updateViewerBBox()
 {
-	m_pScene->update_bbox();
-	const Scene::Bbox bbox = m_pScene->bbox();
-	const double xmin = bbox.xmin();
-	const double ymin = bbox.ymin();
-	const double zmin = bbox.zmin();
-	const double xmax = bbox.xmax();
-	const double ymax = bbox.ymax();
-	const double zmax = bbox.zmax();
-	CGAL::qglviewer::Vec 
-		vec_min(xmin, ymin, zmin),
-		vec_max(xmax, ymax, zmax);
-	m_pViewer->setSceneBoundingBox(vec_min,vec_max);
-	m_pViewer->camera()->showEntireScene();
+        m_pScene->update_bbox();
+        const Scene::Bbox bbox = m_pScene->bbox();
+        const double xmin = bbox.xmin();
+        const double ymin = bbox.ymin();
+        const double zmin = bbox.zmin();
+        const double xmax = bbox.xmax();
+        const double ymax = bbox.ymax();
+        const double zmax = bbox.zmax();
+        CGAL::qglviewer::Vec
+                vec_min(xmin, ymin, zmin),
+                vec_max(xmax, ymax, zmax);
+        m_pViewer->setSceneBoundingBox(vec_min,vec_max);
+        m_pViewer->camera()->showEntireScene();
 }
 
 void MainWindow::on_actionView_polyhedron_triggered()
 {
-	m_pScene->toggle_view_poyhedron();
+        m_pScene->toggle_view_poyhedron();
   m_pViewer->update();
 }
 
 void MainWindow::on_actionRefine_loop_triggered()
 {
-	QApplication::setOverrideCursor(Qt::WaitCursor);
-	m_pScene->refine_loop();
-	QApplication::restoreOverrideCursor();
+        QApplication::setOverrideCursor(Qt::WaitCursor);
+        m_pScene->refine_loop();
+        QApplication::restoreOverrideCursor();
   m_pViewer->update();
 }
 
 
 void MainWindow::open(QString filename)
 {
-	QFileInfo fileinfo(filename);
-	if(fileinfo.isFile() && fileinfo.isReadable())
-	{
-		int index = m_pScene->open(filename);
-		if(index >= 0)
-		{
-			QSettings settings;
-			settings.setValue("OFF open directory",
-				fileinfo.absoluteDir().absolutePath());
-			this->addToRecentFiles(filename);
+        QFileInfo fileinfo(filename);
+        if(fileinfo.isFile() && fileinfo.isReadable())
+        {
+                int index = m_pScene->open(filename);
+                if(index >= 0)
+                {
+                        QSettings settings;
+                        settings.setValue("OFF open directory",
+                                fileinfo.absoluteDir().absolutePath());
+                        this->addToRecentFiles(filename);
 
-			// update bbox
-			updateViewerBBox();
+                        // update bbox
+                        updateViewerBBox();
       m_pViewer->update();
-		}
-	}
+                }
+        }
 }
 
 void MainWindow::readSettings()
 {
-	this->readState("MainWindow", Size|State);
+        this->readState("MainWindow", Size|State);
 }
 
 void MainWindow::writeSettings()
 {
-	this->writeState("MainWindow");
-	std::cerr << "Write setting... done.\n";
+        this->writeState("MainWindow");
+        std::cerr << "Write setting... done.\n";
 }
 
 void MainWindow::quit()
 {
-	writeSettings();
-	close();
+        writeSettings();
+        close();
 }
 
 void MainWindow::closeEvent(QCloseEvent *event)
 {
-	writeSettings();
-	event->accept();
+        writeSettings();
+        event->accept();
 }
 
 void MainWindow::on_actionLoadPolyhedron_triggered()
 {
-	QSettings settings;
-	QString directory = settings.value("OFF open directory",
-		QDir::current().dirName()).toString();
-	QStringList filenames = 
-		QFileDialog::getOpenFileNames(this,
-		tr("Load polyhedron..."),
-		directory,
-		tr("OFF files (*.off)\n"
-		"All files (*)"));
-	if(!filenames.isEmpty()) {
-		Q_FOREACH(QString filename, filenames) {
-			open(filename);
-		}
-	}
+        QSettings settings;
+        QString directory = settings.value("OFF open directory",
+                QDir::current().dirName()).toString();
+        QStringList filenames =
+                QFileDialog::getOpenFileNames(this,
+                tr("Load polyhedron..."),
+                directory,
+                tr("OFF files (*.off)\n"
+                "All files (*)"));
+        if(!filenames.isEmpty()) {
+                Q_FOREACH(QString filename, filenames) {
+                        open(filename);
+                }
+        }
 }
 
 
 void MainWindow::setAddKeyFrameKeyboardModifiers(::Qt::KeyboardModifiers m)
 {
-	m_pViewer->setAddKeyFrameKeyboardModifiers(m);
+        m_pViewer->setAddKeyFrameKeyboardModifiers(m);
 }
 
 void MainWindow::on_actionSave_snapshot_triggered()
@@ -175,35 +175,35 @@ void MainWindow::on_actionSave_snapshot_
 void MainWindow::on_actionCopy_snapshot_triggered()
 {
   // copy snapshot to clipboard
-	QApplication::setOverrideCursor(Qt::WaitCursor);
+        QApplication::setOverrideCursor(Qt::WaitCursor);
   QClipboard *qb = QApplication::clipboard();
   m_pViewer->makeCurrent();
   m_pViewer->raise();
   QImage snapshot = m_pViewer->grabFramebuffer();
   qb->setImage(snapshot);
-	QApplication::restoreOverrideCursor();
+        QApplication::restoreOverrideCursor();
 }
 
 void MainWindow::on_actionFit_triangles_triggered()
 {
- 	QApplication::setOverrideCursor(Qt::WaitCursor);
+         QApplication::setOverrideCursor(Qt::WaitCursor);
   m_pScene->fit_triangles();
   m_pViewer->update();
-	QApplication::restoreOverrideCursor();
+        QApplication::restoreOverrideCursor();
 }
 
 void MainWindow::on_actionFit_edges_triggered()
 {
- 	QApplication::setOverrideCursor(Qt::WaitCursor);
+         QApplication::setOverrideCursor(Qt::WaitCursor);
   m_pScene->fit_edges();
   m_pViewer->update();
-	QApplication::restoreOverrideCursor();
+        QApplication::restoreOverrideCursor();
 }
 
 void MainWindow::on_actionFit_vertices_triggered()
 {
- 	QApplication::setOverrideCursor(Qt::WaitCursor);
+         QApplication::setOverrideCursor(Qt::WaitCursor);
   m_pScene->fit_vertices();
   m_pViewer->update();
-	QApplication::restoreOverrideCursor();
+        QApplication::restoreOverrideCursor();
 }
diff -pruN 5.0.2-3/demo/Principal_component_analysis/MainWindow.h 5.0.3-1/demo/Principal_component_analysis/MainWindow.h
--- 5.0.2-3/demo/Principal_component_analysis/MainWindow.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/demo/Principal_component_analysis/MainWindow.h	2020-08-01 19:02:46.000000000 +0000
@@ -9,55 +9,55 @@ class QDropEvent;
 class Scene;
 class Viewer;
 namespace Ui {
-	class MainWindow;
+        class MainWindow;
 }
 
 
-class MainWindow : 
-	public CGAL::Qt::DemosMainWindow
+class MainWindow :
+        public CGAL::Qt::DemosMainWindow
 {
-	Q_OBJECT
+        Q_OBJECT
 public:
-	MainWindow(QWidget* parent = 0);
-	~MainWindow();
+        MainWindow(QWidget* parent = 0);
+        ~MainWindow();
 
-	public slots:
-		void updateViewerBBox();
-		void open(QString filename);
-		void setAddKeyFrameKeyboardModifiers(Qt::KeyboardModifiers);
-
-		protected slots:
-
-			// settings
-			void quit();
-			void readSettings();
-			void writeSettings();
-
-			// drag & drop
-			void dropEvent(QDropEvent *event);
-			void closeEvent(QCloseEvent *event);
-			void dragEnterEvent(QDragEnterEvent *event);
+        public slots:
+                void updateViewerBBox();
+                void open(QString filename);
+                void setAddKeyFrameKeyboardModifiers(Qt::KeyboardModifiers);
+
+                protected slots:
+
+                        // settings
+                        void quit();
+                        void readSettings();
+                        void writeSettings();
+
+                        // drag & drop
+                        void dropEvent(QDropEvent *event);
+                        void closeEvent(QCloseEvent *event);
+                        void dragEnterEvent(QDragEnterEvent *event);
 
-			// file menu
-			void on_actionLoadPolyhedron_triggered();
+                        // file menu
+                        void on_actionLoadPolyhedron_triggered();
 
-			// edit menu
+                        // edit menu
       void on_actionSave_snapshot_triggered();
       void on_actionCopy_snapshot_triggered();
 
-			// algorithm menu
+                        // algorithm menu
       void on_actionRefine_loop_triggered();
       void on_actionFit_triangles_triggered();
       void on_actionFit_edges_triggered();
       void on_actionFit_vertices_triggered();
 
-			// view menu
-			void on_actionView_polyhedron_triggered();
+                        // view menu
+                        void on_actionView_polyhedron_triggered();
 
 private:
-	Scene* m_pScene;
-	Viewer* m_pViewer;
-	Ui::MainWindow* ui;
+        Scene* m_pScene;
+        Viewer* m_pViewer;
+        Ui::MainWindow* ui;
 };
 
 #endif // ifndef MAINWINDOW_H
diff -pruN 5.0.2-3/demo/Principal_component_analysis/Scene.cpp 5.0.3-1/demo/Principal_component_analysis/Scene.cpp
--- 5.0.2-3/demo/Principal_component_analysis/Scene.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Principal_component_analysis/Scene.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -23,7 +23,7 @@ Scene::Scene()
 
     // view options
     m_view_polyhedron = true;
-    
+
 }
 
 Scene::~Scene()
@@ -105,7 +105,7 @@ void Scene::draw(Viewer* viewer)
   for(int i=0; i<16; ++i)
     mvp_matrix.data()[i] = (GLfloat)mat[i];
   rendering_program.setUniformValue("mvp_matrix", mvp_matrix);
-  
+
   if(m_view_polyhedron){
     rendering_program.setUniformValue("color", QColor(Qt::black));
     render_polyhedron(viewer);
@@ -138,11 +138,11 @@ void Scene::render_plane(Viewer* viewer)
     rendering_program.setAttributeBuffer("vertex", GL_FLOAT, 0,3);
     rendering_program.enableAttributeArray("vertex");
     buffers[0].release();
-    
+
     viewer->glDrawArrays(GL_LINE_LOOP, 0, 4);
     vao[0].release();
- 
- 
+
+
 }
 
 void Scene::render_line(Viewer* viewer)
@@ -153,8 +153,8 @@ void Scene::render_line(Viewer* viewer)
     GLfloat verts[6];
     verts[0]=a.x();verts[1]=a.y();verts[2]=a.z();
     verts[3]=b.x();verts[4]=b.y();verts[5]=b.z();
-    
-    
+
+
     vao[1].bind();
     buffers[1].bind();
     buffers[1].allocate(verts, 6*sizeof(GLfloat));
@@ -166,10 +166,10 @@ void Scene::render_line(Viewer* viewer)
 }
 
 void Scene::render_centroid(Viewer* viewer)
-{ 
+{
     GLfloat verts[3];
     verts[0]=m_centroid.x();verts[1]=m_centroid.y();verts[2]=m_centroid.z();
-    
+
     vao[2].bind();
     buffers[2].bind();
     buffers[2].allocate(verts, 3*sizeof(GLfloat));
@@ -192,9 +192,9 @@ void Scene::render_polyhedron(Viewer *vi
     if(m_pPolyhedron != NULL)
     {
       typedef Kernel::Point_3 Point;
-    
+
       std::vector<GLfloat> verts;
-      
+
       Polyhedron::Edge_iterator he;
       for(he = m_pPolyhedron->edges_begin();
           he != m_pPolyhedron->edges_end();
@@ -205,7 +205,7 @@ void Scene::render_polyhedron(Viewer *vi
         verts.push_back(a.x());verts.push_back(a.y());verts.push_back(a.z());
         verts.push_back(b.x());verts.push_back(b.y());verts.push_back(b.z());
       }
-    
+
       vao[3].bind();
       buffers[3].bind();
       buffers[3].allocate(verts.data(), static_cast<int>(verts.size()*sizeof(GLfloat)));
@@ -254,9 +254,9 @@ void Scene::fit_triangles()
 
     m_centroid = CGAL::centroid(triangles.begin(),triangles.end());
     CGAL::linear_least_squares_fitting_3(triangles.begin(),
-        triangles.end(), m_line, CGAL::Dimension_tag<2>()); 
+        triangles.end(), m_line, CGAL::Dimension_tag<2>());
     CGAL::linear_least_squares_fitting_3(triangles.begin(),
-        triangles.end(), m_plane, CGAL::Dimension_tag<2>()); 
+        triangles.end(), m_plane, CGAL::Dimension_tag<2>());
 
     std::cout << "done" << std::endl;
 }
@@ -276,12 +276,12 @@ void Scene::fit_edges()
         Segment segment(a,b);
         segments.push_back(segment);
     }
-    
+
     m_centroid = CGAL::centroid(segments.begin(),segments.end());
     CGAL::linear_least_squares_fitting_3(segments.begin(),
-        segments.end(), m_line, CGAL::Dimension_tag<1>()); 
+        segments.end(), m_line, CGAL::Dimension_tag<1>());
     CGAL::linear_least_squares_fitting_3(segments.begin(),
-        segments.end(), m_plane, CGAL::Dimension_tag<1>()); 
+        segments.end(), m_plane, CGAL::Dimension_tag<1>());
 
     std::cout << "done" << std::endl;
 }
@@ -299,12 +299,12 @@ void Scene::fit_vertices()
         const Point& p = v->point();
         points.push_back(p);
     }
-    
+
     m_centroid = CGAL::centroid(points.begin(),points.end());
     CGAL::linear_least_squares_fitting_3(points.begin(),
-        points.end(), m_line, CGAL::Dimension_tag<0>()); 
+        points.end(), m_line, CGAL::Dimension_tag<0>());
     CGAL::linear_least_squares_fitting_3(points.begin(),
-        points.end(), m_plane, CGAL::Dimension_tag<0>()); 
+        points.end(), m_plane, CGAL::Dimension_tag<0>());
 
     std::cout << "done" << std::endl;
 }
@@ -357,7 +357,7 @@ void Scene::gl_init()
   {
       std::cerr<<"linking Program FAILED"<<std::endl;
   }
-  
+
   for(int i=0; i< 4; ++i)
   {
     buffers[i].create();
diff -pruN 5.0.2-3/demo/Principal_component_analysis/types.h 5.0.3-1/demo/Principal_component_analysis/types.h
--- 5.0.2-3/demo/Principal_component_analysis/types.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/demo/Principal_component_analysis/types.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,7 +3,7 @@
 
 #include <CGAL/Simple_cartesian.h>
 #include <CGAL/Polyhedron_3.h>
-#include <CGAL/boost/iterator/transform_iterator.hpp> 
+#include <CGAL/boost/iterator/transform_iterator.hpp>
 
 typedef CGAL::Simple_cartesian<double> Kernel;
 typedef Kernel::FT FT;
diff -pruN 5.0.2-3/demo/Segment_Delaunay_graph_2/include/CGAL/Constraints_loader.h 5.0.3-1/demo/Segment_Delaunay_graph_2/include/CGAL/Constraints_loader.h
--- 5.0.2-3/demo/Segment_Delaunay_graph_2/include/CGAL/Constraints_loader.h	2020-02-21 20:03:15.000000000 +0000
+++ 5.0.3-1/demo/Segment_Delaunay_graph_2/include/CGAL/Constraints_loader.h	2020-08-01 19:02:21.000000000 +0000
@@ -88,7 +88,7 @@ class Constraints_loader {
     typedef typename Points_container::const_iterator Points_iterator;
     typedef std::vector<Points_iterator> Indices;
     typedef std::vector<typename CDT::Vertex_handle> Vertices;
-    
+
     Sort_traits_2<typename CDT::Geom_traits, Points_iterator> sort_traits;
 
     Indices indices;
@@ -106,7 +106,7 @@ class Constraints_loader {
     Vertices vertices;
     vertices.resize(points.size());
     typename CDT::Vertex_handle hint;
-    for(typename Indices::const_iterator 
+    for(typename Indices::const_iterator
           pt_it_it = indices.begin(), end = indices.end();
         pt_it_it != end; ++pt_it_it) {
       typename CDT::Vertex_handle vh = cdt.insert(**pt_it_it, hint);
@@ -117,12 +117,12 @@ class Constraints_loader {
     std::cerr << " done (" << timer.time() << "s)\n";
 
     std::cerr << "Inserting constraints...\n";
-    boost::progress_display show_progress(constraints.size(), 
+    boost::progress_display show_progress(constraints.size(),
                                           std::cerr,
                                           "");
     timer.reset();
     timer.start();
-    for(typename Constraints_container::const_iterator 
+    for(typename Constraints_container::const_iterator
           cit = constraints.begin(), end = constraints.end();
         cit != end; ++cit) {
       ++show_progress;
diff -pruN 5.0.2-3/demo/Segment_Delaunay_graph_2/Segment_voronoi_2.cpp 5.0.3-1/demo/Segment_Delaunay_graph_2/Segment_voronoi_2.cpp
--- 5.0.2-3/demo/Segment_Delaunay_graph_2/Segment_voronoi_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Segment_Delaunay_graph_2/Segment_voronoi_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -49,9 +49,9 @@ class MainWindow :
   public Ui::Segment_voronoi_2
 {
   Q_OBJECT
-  
-private:  
-  SVD svd; 
+
+private:
+  SVD svd;
   QGraphicsScene scene;
   std::list<Point_2> seeds;
 
@@ -63,7 +63,7 @@ public:
   MainWindow();
 
 private:
-  template <typename Iterator> 
+  template <typename Iterator>
   void insert_polyline(Iterator b, Iterator e)
   {
     Point_2 p, q;
@@ -80,7 +80,7 @@ private:
         vh = wh;
         p = q;
       } else {
-        std::cout << "duplicate point: " << p << std::endl; 
+        std::cout << "duplicate point: " << p << std::endl;
       }
     }
     Q_EMIT( changed());
@@ -94,7 +94,7 @@ public Q_SLOTS:
   void processInput(CGAL::Object o);
 
   void on_actionInsertPolyline_toggled(bool checked);
-  
+
   void on_actionClear_triggered();
 
   void on_actionRecenter_triggered();
@@ -125,9 +125,9 @@ MainWindow::MainWindow()
   segmentColor.setAlpha(150);
   sdggi->setSegmentPen(QPen(segmentColor,0));
   sdggi->setVoronoiPen(QPen(voronoiColor,0));
-    
+
   QObject::connect(this, SIGNAL(changed()),
-		   sdggi, SLOT(modelChanged()));
+                   sdggi, SLOT(modelChanged()));
 
   sdggi->setVerticesPen(QPen(Qt::red, 3, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
 
@@ -135,25 +135,25 @@ MainWindow::MainWindow()
   scene.addItem(sdggi);
 
   // Setup input handlers. They get events before the scene gets them
-  // and the input they generate is passed to the triangulation with 
-  // the signal/slot mechanism    
+  // and the input they generate is passed to the triangulation with
+  // the signal/slot mechanism
   pi = new CGAL::Qt::GraphicsViewPolylineInput<K>(this, &scene, 0, true); // inputs polylines which are not closed
   QObject::connect(pi, SIGNAL(generate(CGAL::Object)),
-		   this, SLOT(processInput(CGAL::Object)));
-    
+                   this, SLOT(processInput(CGAL::Object)));
 
 
-  // 
+
+  //
   // Manual handling of actions
   //
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   this, SLOT(close()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   this, SLOT(close()));
 
   // We put mutually exclusive actions in an QActionGroup
   QActionGroup* ag = new QActionGroup(this);
   ag->addAction(this->actionInsertPolyline);
 
-  // Check two actions 
+  // Check two actions
   this->actionInsertPolyline->setChecked(true);
   this->actionShowVoronoi->setChecked(true);
   this->actionShowConstraints->setChecked(true);
@@ -168,7 +168,7 @@ MainWindow::MainWindow()
 
   // Turn the vertical axis upside down
   this->graphicsView->scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -180,7 +180,7 @@ MainWindow::MainWindow()
 
   this->addRecentFiles(this->menuFile, this->actionQuit);
   connect(this, SIGNAL(openRecentFile(QString)),
-	  this, SLOT(open(QString)));
+          this, SLOT(open(QString)));
 }
 
 
@@ -198,7 +198,7 @@ MainWindow::processInput(CGAL::Object o)
       std::cout.precision(12);
       std::cout << points.size() << std::endl;
       for( std::list<Point_2>::iterator it =  points.begin(); it != points.end(); ++it){
-	std::cout << *it << std::endl;
+        std::cout << *it << std::endl;
       }
       */
       insert_polyline(points.begin(), points.end());
@@ -210,10 +210,10 @@ MainWindow::processInput(CGAL::Object o)
 }
 
 
-/* 
+/*
  *  Qt Automatic Connections
  *  https://doc.qt.io/qt-5/designer-using-a-ui-file.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -237,7 +237,7 @@ MainWindow::on_actionClear_triggered()
 }
 
 
-void 
+void
 MainWindow::open(QString fileName)
 {
   if(! fileName.isEmpty()){
@@ -260,9 +260,9 @@ void
 MainWindow::on_actionLoadSegments_triggered()
 {
   QString fileName = QFileDialog::getOpenFileName(this,
-						  tr("Open Constraint File"),
-						  ".",
-						  tr("Edge files (*.edg);;"
+                                                  tr("Open Constraint File"),
+                                                  ".",
+                                                  tr("Edge files (*.edg);;"
                                                      "Polyline files (*.polygons.cgal);;"
                                                    #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
                                                      "WKT files (*.wkt *.WKT)"
@@ -292,8 +292,8 @@ MainWindow::loadPolygonConstraints(QStri
     }
     svd.insert(vp, vfirst);
   }
-  
-  
+
+
   Q_EMIT( changed());
   actionRecenter->trigger();
 }
@@ -310,7 +310,7 @@ MainWindow::loadEdgConstraints(QString f
   bool first=true;
   int n;
   ifs >> n;
-  
+
   K::Point_2 p,q, qold(0,0); // Initialize qold, as otherwise some g++ issue a unjustified warning
 
   SVD::Vertex_handle vp, vq, vqold;
@@ -340,8 +340,8 @@ MainWindow::loadEdgConstraints(QString f
   actionRecenter->trigger();
 }
 
-void 
-MainWindow::loadWKTConstraints(QString 
+void
+MainWindow::loadWKTConstraints(QString
                                #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
                                fileName
                                #endif
@@ -350,8 +350,8 @@ MainWindow::loadWKTConstraints(QString
 #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
   typedef CGAL::Polygon_with_holes_2<K> Polygon;
   typedef std::vector<K::Point_2> LineString;
-  
-  //Multipolygon 
+
+  //Multipolygon
   K::Point_2 p,q, first;
   SVD::Vertex_handle vp, vq, vfirst;
   std::ifstream ifs(qPrintable(fileName));
@@ -390,7 +390,7 @@ MainWindow::loadWKTConstraints(QString
     CGAL::read_multi_linestring_WKT(ifs, linestrings);
     for(const LineString& ls : linestrings)
     {
-      bool first_pass=true;      
+      bool first_pass=true;
       LineString::const_iterator it = ls.begin();
       for(; it!=ls.end(); ++it){
         p = *it++;
@@ -421,7 +421,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(sdggi->boundingRect());
-  this->graphicsView->fitInView(sdggi->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(sdggi->boundingRect(), Qt::KeepAspectRatio);
 }
 
 #include "Segment_voronoi_2.moc"
diff -pruN 5.0.2-3/demo/Segment_Delaunay_graph_2/svd-typedefs.h 5.0.3-1/demo/Segment_Delaunay_graph_2/svd-typedefs.h
--- 5.0.2-3/demo/Segment_Delaunay_graph_2/svd-typedefs.h	2020-02-21 20:03:15.000000000 +0000
+++ 5.0.3-1/demo/Segment_Delaunay_graph_2/svd-typedefs.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/demo/Segment_Delaunay_graph_2/svd-typedefs.h $
-// $Id: svd-typedefs.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/demo/Segment_Delaunay_graph_2/svd-typedefs.h $
+// $Id: svd-typedefs.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -42,9 +42,9 @@ typedef CGAL::Field_with_sqrt_tag EMTag;
 typedef CGAL::Simple_cartesian<CORE::Expr> ERep;
 struct Gt
   : public CGAL::Segment_Delaunay_graph_filtered_traits_2<Rep,
-							  MTag,
-							  ERep,
-							  EMTag>
+                                                          MTag,
+                                                          ERep,
+                                                          EMTag>
 {};
 #else
 struct Gt
diff -pruN 5.0.2-3/demo/Segment_Delaunay_graph_Linf_2/include/CGAL/Constraints_loader.h 5.0.3-1/demo/Segment_Delaunay_graph_Linf_2/include/CGAL/Constraints_loader.h
--- 5.0.2-3/demo/Segment_Delaunay_graph_Linf_2/include/CGAL/Constraints_loader.h	2020-02-21 20:03:15.000000000 +0000
+++ 5.0.3-1/demo/Segment_Delaunay_graph_Linf_2/include/CGAL/Constraints_loader.h	2020-08-01 19:02:21.000000000 +0000
@@ -88,7 +88,7 @@ class Constraints_loader {
     typedef typename Points_container::const_iterator Points_iterator;
     typedef std::vector<Points_iterator> Indices;
     typedef std::vector<typename CDT::Vertex_handle> Vertices;
-    
+
     Sort_traits_2<typename CDT::Geom_traits, Points_iterator> sort_traits;
 
     Indices indices;
@@ -106,7 +106,7 @@ class Constraints_loader {
     Vertices vertices;
     vertices.resize(points.size());
     typename CDT::Vertex_handle hint;
-    for(typename Indices::const_iterator 
+    for(typename Indices::const_iterator
           pt_it_it = indices.begin(), end = indices.end();
         pt_it_it != end; ++pt_it_it) {
       typename CDT::Vertex_handle vh = cdt.insert(**pt_it_it, hint);
@@ -117,12 +117,12 @@ class Constraints_loader {
     std::cerr << " done (" << timer.time() << "s)\n";
 
     std::cerr << "Inserting constraints...\n";
-    boost::progress_display show_progress(constraints.size(), 
+    boost::progress_display show_progress(constraints.size(),
                                           std::cerr,
                                           "");
     timer.reset();
     timer.start();
-    for(typename Constraints_container::const_iterator 
+    for(typename Constraints_container::const_iterator
           cit = constraints.begin(), end = constraints.end();
         cit != end; ++cit) {
       ++show_progress;
diff -pruN 5.0.2-3/demo/Segment_Delaunay_graph_Linf_2/Segment_voronoi_linf_2.cpp 5.0.3-1/demo/Segment_Delaunay_graph_Linf_2/Segment_voronoi_linf_2.cpp
--- 5.0.2-3/demo/Segment_Delaunay_graph_Linf_2/Segment_voronoi_linf_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Segment_Delaunay_graph_Linf_2/Segment_voronoi_linf_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -50,9 +50,9 @@ class MainWindow :
   public Ui::Segment_voronoi_2
 {
   Q_OBJECT
-  
-private:  
-  SVD svd; 
+
+private:
+  SVD svd;
   QGraphicsScene scene;
   std::list<Point_2> seeds;
 
@@ -64,7 +64,7 @@ public:
   MainWindow();
 
 private:
-  template <typename Iterator> 
+  template <typename Iterator>
   void insert_polyline(Iterator b, Iterator e)
   {
     Point_2 p, q;
@@ -95,7 +95,7 @@ public Q_SLOTS:
   void processInput(CGAL::Object o);
 
   void on_actionInsertPolyline_toggled(bool checked);
-  
+
   void on_actionClear_triggered();
 
   void on_actionRecenter_triggered();
@@ -111,7 +111,7 @@ public Q_SLOTS:
   void loadWKT(QString);
 
   void loadPointsInput(QString);
-  
+
   void loadSitesInput(QString);
 
 Q_SIGNALS:
@@ -133,9 +133,9 @@ MainWindow::MainWindow()
   segmentColor.setAlpha(150);
   sdggi->setSegmentPen(QPen(segmentColor,0));
   sdggi->setVoronoiPen(QPen(voronoiColor,0));
-    
+
   QObject::connect(this, SIGNAL(changed()),
-		   sdggi, SLOT(modelChanged()));
+                   sdggi, SLOT(modelChanged()));
 
   sdggi->setVerticesPen(QPen(Qt::red, 3, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
 
@@ -143,25 +143,25 @@ MainWindow::MainWindow()
   scene.addItem(sdggi);
 
   // Setup input handlers. They get events before the scene gets them
-  // and the input they generate is passed to the triangulation with 
-  // the signal/slot mechanism    
+  // and the input they generate is passed to the triangulation with
+  // the signal/slot mechanism
   pi = new CGAL::Qt::GraphicsViewPolylineInput<K>(this, &scene, 0, true); // inputs polylines which are not closed
   QObject::connect(pi, SIGNAL(generate(CGAL::Object)),
-		   this, SLOT(processInput(CGAL::Object)));
-    
+                   this, SLOT(processInput(CGAL::Object)));
 
 
-  // 
+
+  //
   // Manual handling of actions
   //
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   this, SLOT(close()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   this, SLOT(close()));
 
   // We put mutually exclusive actions in an QActionGroup
   QActionGroup* ag = new QActionGroup(this);
   ag->addAction(this->actionInsertPolyline);
 
-  // Check two actions 
+  // Check two actions
   this->actionInsertPolyline->setChecked(true);
   this->actionShowVoronoi->setChecked(true);
   this->actionShowConstraints->setChecked(true);
@@ -176,7 +176,7 @@ MainWindow::MainWindow()
 
   // Turn the vertical axis upside down
   this->graphicsView->scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -188,7 +188,7 @@ MainWindow::MainWindow()
 
   this->addRecentFiles(this->menuFile, this->actionQuit);
   connect(this, SIGNAL(openRecentFile(QString)),
-	  this, SLOT(open(QString)));
+          this, SLOT(open(QString)));
 
   if (has_file_argument) {
     open(file_to_open);
@@ -211,7 +211,7 @@ MainWindow::processInput(CGAL::Object o)
       std::cout.precision(12);
       std::cout << points.size() << std::endl;
       for( std::list<Point_2>::iterator it =  points.begin(); it != points.end(); ++it){
-	std::cout << *it << std::endl;
+        std::cout << *it << std::endl;
       }
       */
       insert_polyline(points.begin(), points.end());
@@ -223,10 +223,10 @@ MainWindow::processInput(CGAL::Object o)
 }
 
 
-/* 
+/*
  *  Qt Automatic Connections
  *  http://doc.trolltech.com/4.4/designer-using-a-component.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -250,7 +250,7 @@ MainWindow::on_actionClear_triggered()
 }
 
 
-void 
+void
 MainWindow::open(QString fileName)
 {
   if(! fileName.isEmpty()){
@@ -281,13 +281,13 @@ MainWindow::open(QString fileName)
 void
 MainWindow::on_actionLoadSegments_triggered()
 {
-  QString fileName = 
+  QString fileName =
     QFileDialog::getOpenFileName(this,
                                  tr("Open Constraint File"),
                                  ".",
                                  tr(
                                     "Cin  files (*.cin);;"
-                                    "Pin  files (*.pin);;" 
+                                    "Pin  files (*.pin);;"
                                     "Pts  files (*.pts);;"
                                     "Edge files (*.edg);;"
                                     "Polylines files (*.polygons.cgal);;"
@@ -322,8 +322,8 @@ MainWindow::loadPolygonConstraints(QStri
       svd.insert(vp, vfirst);
     }
   }
-  
-  
+
+
   Q_EMIT( changed());
   actionRecenter->trigger();
 }
@@ -340,7 +340,7 @@ MainWindow::loadEdgConstraints(QString f
   bool first=true;
   int n;
   ifs >> n;
-  
+
   K::Point_2 p,q, qold(0,0); // Initialize qold, as otherwise some g++ issue a unjustified warning
 
   SVD::Vertex_handle vp, vq, vqold;
@@ -382,13 +382,13 @@ MainWindow::loadPoints(QString fileName)
       svd.insert(p);
     }
   }
-  
+
   Q_EMIT( changed());
   actionRecenter->trigger();
 }
 
 void
-MainWindow::loadWKT(QString 
+MainWindow::loadWKT(QString
                     #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
                     fileName
                     #endif
@@ -416,10 +416,10 @@ MainWindow::loadWKT(QString
     {
       if(ls.empty())
         continue;
-      
+
       bool first=true;
       K::Point_2 p,q, qold(0,0); // Initialize qold, as otherwise some g++ issue a unjustified warning
-    
+
       SVD::Vertex_handle vp, vq, vqold;
       LineString::const_iterator it = ls.begin();
       for(; it != ls.end(); ++it){
@@ -441,7 +441,7 @@ MainWindow::loadWKT(QString
       }
     }
     }while(ifs.good() && !ifs.eof());
-  
+
   //Polygons
   ifs.clear();
   ifs.seekg(0, ifs.beg);
@@ -458,7 +458,7 @@ MainWindow::loadWKT(QString
       SVD::Vertex_handle vp, vq, vfirst;
       Polygon::General_polygon_2::const_iterator it
           = poly.outer_boundary().begin();
-      
+
         first = *it;
         p = first;
         vfirst = vp = svd.insert(p);
@@ -476,7 +476,7 @@ MainWindow::loadWKT(QString
         }
       }
   }while(ifs.good() && !ifs.eof());
-  
+
   Q_EMIT( changed());
   actionRecenter->trigger();
 #endif
@@ -490,7 +490,7 @@ MainWindow::loadPointsInput(QString file
   while (ifs >> p) {
     svd.insert(p);
   }
-  
+
   Q_EMIT( changed());
   actionRecenter->trigger();
 }
@@ -506,7 +506,7 @@ MainWindow::loadSitesInput(QString fileN
 
     CGAL_SDG_DEBUG( svd.file_output_verbose(std::cout); ) ;
   }
-  
+
   Q_EMIT( changed());
   actionRecenter->trigger();
 }
@@ -518,7 +518,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(sdggi->boundingRect());
-  this->graphicsView->fitInView(sdggi->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(sdggi->boundingRect(), Qt::KeepAspectRatio);
 }
 
 
diff -pruN 5.0.2-3/demo/Segment_Delaunay_graph_Linf_2/svd-typedefs.h 5.0.3-1/demo/Segment_Delaunay_graph_Linf_2/svd-typedefs.h
--- 5.0.2-3/demo/Segment_Delaunay_graph_Linf_2/svd-typedefs.h	2020-02-21 20:03:15.000000000 +0000
+++ 5.0.3-1/demo/Segment_Delaunay_graph_Linf_2/svd-typedefs.h	2020-08-01 19:02:21.000000000 +0000
@@ -28,9 +28,9 @@ typedef CGAL::Field_with_sqrt_tag MTag;
 typedef CGAL::Field_with_sqrt_tag EMTag;
 typedef CGAL::Simple_cartesian<CORE::Expr> ERep;
 typedef CGAL::Segment_Delaunay_graph_Linf_filtered_traits_2<Rep,
-							  MTag,
-							  ERep,
-							  EMTag>
+                                                          MTag,
+                                                          ERep,
+                                                          EMTag>
 Gt;
 #else
 typedef CGAL::Segment_Delaunay_graph_Linf_filtered_traits_2<Rep> Gt;
diff -pruN 5.0.2-3/demo/Snap_rounding_2/Snap_rounding_2.cpp 5.0.3-1/demo/Snap_rounding_2/Snap_rounding_2.cpp
--- 5.0.2-3/demo/Snap_rounding_2/Snap_rounding_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Snap_rounding_2/Snap_rounding_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -26,7 +26,7 @@
 
 // for viewportsBbox
 #include <CGAL/Qt/utility.h>
- 
+
 // the two base classes
 #include "ui_Snap_rounding_2.h"
 #include <CGAL/Qt/DemosMainWindow.h>
@@ -45,10 +45,10 @@ class MainWindow :
   public Ui::Snap_rounding_2
 {
   Q_OBJECT
-  
-private:  
-  
-  QGraphicsScene scene;  
+
+private:
+
+  QGraphicsScene scene;
 
   CGAL::Qt::RegularGridGraphicsItem<K> * rgi;
 
@@ -62,15 +62,15 @@ private:
   InputSegmentsGraphicsItem * isgi;
   OutputPolylinesGraphicsItem *plgi;
   double delta;
-  
+
 public:
   MainWindow();
-              
+
   void resize(){
   this->graphicsView->setSceneRect(QRectF(0,0,20, 20));
   this->graphicsView->fitInView(0,0, 20, 20, Qt::KeepAspectRatio);
   }
-              
+
 public Q_SLOTS:
 
   void processInput(CGAL::Object o);
@@ -112,8 +112,8 @@ MainWindow::MainWindow()
  // inputs polylines with 2 points
   pi = new CGAL::Qt::GraphicsViewPolylineInput<K>(this, &scene, 2, false);
   QObject::connect(pi, SIGNAL(generate(CGAL::Object)),
-		   this, SLOT(processInput(CGAL::Object)));
-  
+                   this, SLOT(processInput(CGAL::Object)));
+
   scene.installEventFilter(pi);
 
   // Manual handling of actions
@@ -121,10 +121,10 @@ MainWindow::MainWindow()
 
 
   QObject::connect(this->doubleSpinBox, SIGNAL(valueChanged(double)),
-		   this, SLOT(deltaChanged(double)));
+                   this, SLOT(deltaChanged(double)));
 
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   this, SLOT(close()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   this, SLOT(close()));
 
   //
   // Setup the scene and the view
@@ -152,7 +152,7 @@ MainWindow::MainWindow()
   scene.addItem(rgi);
 
   plgi->setEdgesPen(QPen(Qt::blue, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -164,7 +164,7 @@ MainWindow::MainWindow()
 
   this->addRecentFiles(this->menuFile, this->actionQuit);
   connect(this, SIGNAL(openRecentFile(QString)),
-	  this, SLOT(open(QString)));
+          this, SLOT(open(QString)));
 }
 
 
@@ -201,10 +201,10 @@ MainWindow::processInput(CGAL::Object o)
   Q_EMIT( changed());
 }
 
-/* 
+/*
  *  Qt Automatic Connections
  *  https://doc.qt.io/qt-5/designer-using-a-ui-file.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -249,7 +249,7 @@ void
 MainWindow::on_actionLoadSegments_triggered()
 {
   QString fileName = QFileDialog::getOpenFileName(this,
-						  tr("Open segment file"),
+                                                  tr("Open segment file"),
                                                   ".",
                                                   tr("Edge files (*.edg);;"
                                                    #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
@@ -301,7 +301,7 @@ void
 MainWindow::on_actionSaveSegments_triggered()
 {
   QString fileName = QFileDialog::getSaveFileName(this,
-						  tr("Save points"),
+                                                  tr("Save points"),
                                                   ".",
                                                   tr("Edge files (*.edg);;"
                                                    #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
@@ -336,7 +336,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(isgi->boundingRect());
-  this->graphicsView->fitInView(isgi->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(isgi->boundingRect(), Qt::KeepAspectRatio);
 }
 
 
diff -pruN 5.0.2-3/demo/Spatial_searching_2/NearestNeighbor.h 5.0.3-1/demo/Spatial_searching_2/NearestNeighbor.h
--- 5.0.2-3/demo/Spatial_searching_2/NearestNeighbor.h	2020-02-21 20:03:15.000000000 +0000
+++ 5.0.3-1/demo/Spatial_searching_2/NearestNeighbor.h	2020-08-01 19:02:21.000000000 +0000
@@ -2,7 +2,7 @@
 #define CGAL_QT_NEAREST_NEIGHBOR_H
 
 #include <vector>
-#include <QGraphicsSceneMouseEvent> 
+#include <QGraphicsSceneMouseEvent>
 #include <QGraphicsScene>
 #include <QGraphicsEllipseItem>
 #include <QEvent>
@@ -19,16 +19,16 @@ namespace Qt {
 template <typename T>
 class NearestNeighbor : public GraphicsViewInput
 {
-  typedef typename T::Point_d Point_2; 
+  typedef typename T::Point_d Point_2;
 public:
   NearestNeighbor(QGraphicsScene* s, typename T::Tree  * t_, QObject* parent, int N);
   ~NearestNeighbor();
- 
+
   void setPen(const QPen& pen);
 
   void show();
   void hide();
-  
+
   void setN(int n)
   {
     N = n;
@@ -99,7 +99,7 @@ NearestNeighbor<T>::hide()
 
 
 template <typename T>
-void 
+void
 NearestNeighbor<T>::mouseMoveEvent(QGraphicsSceneMouseEvent *event)
 {
   if(t->empty()){
@@ -127,7 +127,7 @@ NearestNeighbor<T>::mouseMoveEvent(QGrap
 
 
 template <typename T>
-bool 
+bool
 NearestNeighbor<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMouseMove) {
@@ -138,7 +138,7 @@ NearestNeighbor<T>::eventFilter(QObject
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 } // namespace Qt
 } // namespace CGAL
diff -pruN 5.0.2-3/demo/Spatial_searching_2/Spatial_searching_2.cpp 5.0.3-1/demo/Spatial_searching_2/Spatial_searching_2.cpp
--- 5.0.2-3/demo/Spatial_searching_2/Spatial_searching_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Spatial_searching_2/Spatial_searching_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -20,7 +20,7 @@
 #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
 #include <CGAL/IO/WKT.h>
 #endif
-  
+
 // the two base classes
 #include "ui_Spatial_searching_2.h"
 #include <CGAL/Qt/DemosMainWindow.h>
@@ -43,12 +43,12 @@ class MainWindow :
   public Ui::Spatial_searching_2
 {
   Q_OBJECT
-  
+
 private:
   Tree tree;
 
   CGAL::Qt::Converter<K> convert;
-  QGraphicsScene scene;  
+  QGraphicsScene scene;
 
   CGAL::Qt::PointsInKdTreeGraphicsItem<Tree> * pgi;
   NearestNeighbor * nearest_neighbor;
@@ -62,7 +62,7 @@ public:
   {
 
     QRectF rect = CGAL::Qt::viewportsBbox(&scene);
-    CGAL::Qt::Converter<K> convert;  
+    CGAL::Qt::Converter<K> convert;
     Iso_rectangle_2 isor = convert(rect);
     Point_2 center = CGAL::midpoint(isor[0], isor[2]);
     Vector_2 offset = center - CGAL::ORIGIN;
@@ -73,8 +73,8 @@ public:
     G pg(radius);
     bool ok = false;
 
-    const int number_of_points = 
-      QInputDialog::getInt(this, 
+    const int number_of_points =
+      QInputDialog::getInt(this,
                                tr("Number of random points"),
                                tr("Enter number of random points"),
                                100,
@@ -90,7 +90,7 @@ public:
     // wait cursor
     QApplication::setOverrideCursor(Qt::WaitCursor);
 
-    std::vector<Point_2> points; 
+    std::vector<Point_2> points;
 
     points.reserve(number_of_points);
     for(int i = 0; i < number_of_points; ++i){
@@ -98,7 +98,7 @@ public:
       ++pg;
     }
     tree.insert(points.begin(), points.end());
-    
+
     // default cursor
     QApplication::restoreOverrideCursor();
     Q_EMIT( changed());
@@ -134,7 +134,7 @@ MainWindow::MainWindow()
   pgi = new CGAL::Qt::PointsInKdTreeGraphicsItem<Tree>(&tree);
 
   QObject::connect(this, SIGNAL(changed()),
-		   pgi, SLOT(modelChanged()));
+                   pgi, SLOT(modelChanged()));
 
   pgi->setVerticesPen(QPen(Qt::black, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   scene.addItem(pgi);
@@ -143,17 +143,17 @@ MainWindow::MainWindow()
   nearest_neighbor->setPen(QPen(Qt::red, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   scene.installEventFilter(nearest_neighbor);
 
-  // 
+  //
   // Manual handling of actions
   //
 
   QObject::connect(this->nn, SIGNAL(valueChanged(int)),
-		   this, SLOT(N_changed(int)));
+                   this, SLOT(N_changed(int)));
+
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   this, SLOT(close()));
 
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   this, SLOT(close()));
 
- 
   //
   // Setup the scene and the view
   //
@@ -167,7 +167,7 @@ MainWindow::MainWindow()
 
   // Turn the vertical axis upside down
   this->graphicsView->scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -179,7 +179,7 @@ MainWindow::MainWindow()
 
   this->addRecentFiles(this->menuFile, this->actionQuit);
   connect(this, SIGNAL(openRecentFile(QString)),
-	  this, SLOT(open(QString)));
+          this, SLOT(open(QString)));
 }
 
 
@@ -191,10 +191,10 @@ void MainWindow::N_changed(int i)
 }
 
 
-/* 
+/*
  *  Qt Automatic Connections
  *  https://doc.qt.io/qt-5/designer-using-a-ui-file.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -215,7 +215,7 @@ MainWindow::on_actionRecenter_triggered(
     return;
   }
   this->graphicsView->setSceneRect(pgi->boundingRect());
-  this->graphicsView->fitInView(pgi->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(pgi->boundingRect(), Qt::KeepAspectRatio);
 }
 
 void
@@ -246,7 +246,7 @@ void
 MainWindow::on_actionLoadPoints_triggered()
 {
   QString fileName = QFileDialog::getOpenFileName(this,
-						  tr("Open Points file"),
+                                                  tr("Open Points file"),
                                                   ".",
                                                   tr("CGAL files (*.pts.cgal);;"
                                                    #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
@@ -266,7 +266,7 @@ MainWindow::open(QString fileName)
   // wait cursor
   QApplication::setOverrideCursor(Qt::WaitCursor);
   std::ifstream ifs(qPrintable(fileName));
-  
+
   K::Point_2 p;
   std::vector<K::Point_2> points;
   if(fileName.endsWith(".wkt", Qt::CaseInsensitive))
@@ -287,13 +287,13 @@ MainWindow::open(QString fileName)
   this->addToRecentFiles(fileName);
   actionRecenter->trigger();
   Q_EMIT( changed());
-    
+
 }
 
 void
 MainWindow::clear()
 {
-  tree.clear();  
+  tree.clear();
 }
 
 
diff -pruN 5.0.2-3/demo/Stream_lines_2/Stream_lines_2.cpp 5.0.3-1/demo/Stream_lines_2/Stream_lines_2.cpp
--- 5.0.2-3/demo/Stream_lines_2/Stream_lines_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Stream_lines_2/Stream_lines_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -47,16 +47,16 @@ class MainWindow :
   public Ui::Stream_lines_2
 {
   Q_OBJECT
-  
-private:  
+
+private:
   Stream_lines * stream_lines;
   Runge_kutta_integrator * runge_kutta_integrator;
   Regular_grid * regular_grid;
   double density;
   double ratio;
   double integrating;
-  int sampling;  
-  QGraphicsScene scene;  
+  int sampling;
+  QGraphicsScene scene;
 
   CGAL::Qt::StreamLinesGraphicsItem<Stream_lines,K> * sli;
   CGAL::Qt::RegularGridVectorFieldGraphicsItem<Regular_grid,K> * rgi;
@@ -95,8 +95,8 @@ MainWindow::MainWindow()
   // Manual handling of actions
   //
 
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   this, SLOT(close()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   this, SLOT(close()));
 
   //
   // Setup the scene and the view
@@ -107,7 +107,7 @@ MainWindow::MainWindow()
 
   // Turn the vertical axis upside down
   this->graphicsView->matrix().scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -119,15 +119,15 @@ MainWindow::MainWindow()
 
   this->addRecentFiles(this->menuFile, this->actionQuit);
   connect(this, SIGNAL(openRecentFile(QString)),
-	  this, SLOT(open(QString)));
+          this, SLOT(open(QString)));
 }
 
 
 
-/* 
+/*
  *  Qt Automatic Connections
  *  https://doc.qt.io/qt-5/designer-using-a-ui-file.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -149,7 +149,7 @@ MainWindow::generate()
   rgi = new CGAL::Qt::RegularGridVectorFieldGraphicsItem<Regular_grid, K>(regular_grid);
 
   QObject::connect(this, SIGNAL(changed()),
-		   sli, SLOT(modelChanged()));
+                   sli, SLOT(modelChanged()));
 
 
   rgi->setVerticesPen(QPen(Qt::red, 3, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
@@ -170,11 +170,11 @@ MainWindow::on_actionLoadPoints_triggere
 #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
 #endif
   QString fileName = QFileDialog::getOpenFileName(this,
-						  tr("Open grid file"),
-						  "."
-						#if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
-						,tr("WKT files (*.wkt *.WKT)")
-						#endif
+                                                  tr("Open grid file"),
+                                                  "."
+                                                #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
+                                                ,tr("WKT files (*.wkt *.WKT)")
+                                                #endif
                                                   );
   if(! fileName.isEmpty()){
     open(fileName);
@@ -188,7 +188,7 @@ MainWindow::open(QString fileName)
   // wait cursor
   QApplication::setOverrideCursor(Qt::WaitCursor);
   std::ifstream ifs(qPrintable(fileName));
-  
+
   runge_kutta_integrator = new Runge_kutta_integrator(integrating);
   double iXSize, iYSize;
   iXSize = iYSize = 512;
@@ -242,7 +242,7 @@ MainWindow::open(QString fileName)
   this->addToRecentFiles(fileName);
   generate();
   Q_EMIT( changed());
-    
+
 }
 
 void
@@ -250,12 +250,12 @@ MainWindow::on_actionSavePoints_triggere
 {
 #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
   QString fileName = QFileDialog::getSaveFileName(this,
-						  tr("Save points"),
-						  ".",
+                                                  tr("Save points"),
+                                                  ".",
                                                   tr("WKT files (*.wkt *.WKT)"));
   if(! fileName.isEmpty()){
     std::ofstream ofs(qPrintable(fileName));
-    
+
     std::vector<std::vector<Point_2> >mp;
     mp.resize(regular_grid->get_dimension().second);
     for (int i=0;i<regular_grid->get_dimension().first;++i)
@@ -278,7 +278,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(rgi->boundingRect());
-  this->graphicsView->fitInView(rgi->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(rgi->boundingRect(), Qt::KeepAspectRatio);
 }
 
 
diff -pruN 5.0.2-3/demo/Surface_mesh_deformation/CMakeLists.txt 5.0.3-1/demo/Surface_mesh_deformation/CMakeLists.txt
--- 5.0.2-3/demo/Surface_mesh_deformation/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/demo/Surface_mesh_deformation/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -26,8 +26,8 @@ if ( CGAL_FOUND )
     message(STATUS "NOTICE: This program requires the Eigen library, version 3.2 or later and will not be compiled.")
   endif()
 else()
-  
+
     message(STATUS "NOTICE: This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/demo/Surface_mesher/binary_image.h 5.0.3-1/demo/Surface_mesher/binary_image.h
--- 5.0.2-3/demo/Surface_mesher/binary_image.h	2020-02-21 20:04:28.000000000 +0000
+++ 5.0.3-1/demo/Surface_mesher/binary_image.h	2020-08-01 19:02:56.000000000 +0000
@@ -60,9 +60,9 @@ public:
   void finish_open() {
     CGAL_IMAGE_IO_CASE(image_ptr.get(),
                        Word *min; Word *max;
-                       (boost::tie(min, max)) = 
+                       (boost::tie(min, max)) =
                          (CGAL::min_max_element((Word*)(data()),
-                                                (Word*)(data()) + 
+                                                (Word*)(data()) +
                                                 xdim() * ydim() * zdim()));
                         min_value = *min;
                         max_value = *max;)
@@ -83,7 +83,7 @@ public:
     return (float)(((image_ptr->zdim) - 1.0)*(image_ptr->vz));
   }
 
-  Point center() 
+  Point center()
   {
     FT cx = 0.5 * xmax();
     FT cy = 0.5 * ymax();
@@ -107,12 +107,12 @@ public:
 
 public:
   bool inside(const float x,
-              const float y, 
+              const float y,
               const float z) const
   {
-    return ( x >= 0.0f && 
-             y >= 0.0f && 
-             z >= 0.0f && 
+    return ( x >= 0.0f &&
+             y >= 0.0f &&
+             z >= 0.0f &&
              x <= xmax() &&
              y <= ymax() &&
              z <= zmax() );
@@ -145,15 +145,15 @@ public:
     const float x = static_cast<float>(CGAL::to_double(p.x()));
     const float y = static_cast<float>(CGAL::to_double(p.y()));
     const float z = static_cast<float>(CGAL::to_double(p.z()));
-      
+
     if(interpolation()) {
       if(labellized()) {
-	CGAL_IMAGE_IO_CASE(image_ptr.get(),
-			   return (this->labellized_trilinear_interpolation<Word, double>(x, y, z, min_value));)
+        CGAL_IMAGE_IO_CASE(image_ptr.get(),
+                           return (this->labellized_trilinear_interpolation<Word, double>(x, y, z, min_value));)
       }
       else {
-	CGAL_IMAGE_IO_CASE(image_ptr.get(),
- 			   return (this->trilinear_interpolation<Word, double>(x, y, z, min_value));)
+        CGAL_IMAGE_IO_CASE(image_ptr.get(),
+                            return (this->trilinear_interpolation<Word, double>(x, y, z, min_value));)
       }
     }
     else {
@@ -161,30 +161,30 @@ public:
       const std::ptrdiff_t j = static_cast<std::ptrdiff_t>(y/image()->vy + 0.5f);
       const std::ptrdiff_t k = static_cast<std::ptrdiff_t>(z/image()->vz + 0.5f);
       if( i < 0 ||
-	  j < 0 ||
-	  k < 0 )
+          j < 0 ||
+          k < 0 )
       {
-	return 0;
+        return 0;
       }
       else
-      {    
-	const std::size_t ui = static_cast<std::size_t>(i);
-	const std::size_t uj = static_cast<std::size_t>(j);
-	const std::size_t uk = static_cast<std::size_t>(k);
-	if( ui >= image()->xdim ||
-	    uj >= image()->ydim ||
-	    uk >= image()->zdim )
-	{
-	  return 0;
-	}
-	else
-	{
-	  return this->value(ui, uj, uk);
-	}
+      {
+        const std::size_t ui = static_cast<std::size_t>(i);
+        const std::size_t uj = static_cast<std::size_t>(j);
+        const std::size_t uk = static_cast<std::size_t>(k);
+        if( ui >= image()->xdim ||
+            uj >= image()->ydim ||
+            uk >= image()->zdim )
+        {
+          return 0;
+        }
+        else
+        {
+          return this->value(ui, uj, uk);
+        }
       }
     }
     return FT();
   }
 }; // end CBinary_image_3
- 
+
 #endif // BINARY_IMAGE_3
diff -pruN 5.0.2-3/demo/Surface_mesher/File_XT.h 5.0.3-1/demo/Surface_mesher/File_XT.h
--- 5.0.2-3/demo/Surface_mesher/File_XT.h	2020-02-21 20:04:28.000000000 +0000
+++ 5.0.3-1/demo/Surface_mesher/File_XT.h	2020-08-01 19:02:56.000000000 +0000
@@ -1,6 +1,6 @@
 /*********************************************************************
-*	25 - 02 - 97
-*	gestion des fichiers image ELF
+*        25 - 02 - 97
+*        gestion des fichiers image ELF
 *
 *********************************************************************/
 
@@ -19,7 +19,7 @@ void permuteLong(char *a)
 {
     char tmp;
 
-#ifdef CGAL_LITTLE_ENDIAN 
+#ifdef CGAL_LITTLE_ENDIAN
 tmp=a[0]; a[0]=a[3]; a[3]=tmp;
 tmp=a[1]; a[1]=a[2]; a[2]=tmp;
 #endif
@@ -29,7 +29,7 @@ void permuteLongTab(long *a,int nb)
 {
     int i;
 
-#ifdef CGAL_LITTLE_ENDIAN 
+#ifdef CGAL_LITTLE_ENDIAN
 for(i=0;i<nb;i++) permuteLong( (char *) &a[i]);
 #endif
 }
@@ -38,7 +38,7 @@ void permuteShort(char *a)
 {
     char tmp;
 
-#ifdef CGAL_LITTLE_ENDIAN 
+#ifdef CGAL_LITTLE_ENDIAN
 tmp=a[0]; a[0]=a[1]; a[1]=tmp;
 #endif
 }
@@ -47,16 +47,16 @@ void permuteShortTab(short *a, int nb)
 {
     int i;
 
-#ifdef CGAL_LITTLE_ENDIAN 
+#ifdef CGAL_LITTLE_ENDIAN
 for(i=0;i<nb;i++) permuteShort( (char *) &a[i]);
 #endif
 }
 
 void permuteFloat(char *a )
 {
-	char tmp;
-	
-#ifdef CGAL_LITTLE_ENDIAN 
+        char tmp;
+
+#ifdef CGAL_LITTLE_ENDIAN
 tmp=a[0]; a[0]=a[3]; a[3]=tmp;
 tmp=a[1]; a[1]=a[2]; a[2]=tmp;
 #endif
@@ -65,9 +65,9 @@ tmp=a[1]; a[1]=a[2]; a[2]=tmp;
 
 void permuteFloatTab(float *a, int nb)
 {
-	int i;
+        int i;
 
-#ifdef CGAL_LITTLE_ENDIAN 
+#ifdef CGAL_LITTLE_ENDIAN
 for(i=0;i<nb;i++) permuteFloat((char *) &a[i]);
 #endif
 }
@@ -75,9 +75,9 @@ for(i=0;i<nb;i++) permuteFloat((char *)
 
 void permuteDouble(char *a )
 {
-	char tmp;
-	
-#ifdef CGAL_LITTLE_ENDIAN 
+        char tmp;
+
+#ifdef CGAL_LITTLE_ENDIAN
 tmp=a[0]; a[0]=a[3]; a[3]=tmp;
 tmp=a[1]; a[1]=a[2]; a[2]=tmp;
 #endif
@@ -86,9 +86,9 @@ tmp=a[1]; a[1]=a[2]; a[2]=tmp;
 
 void permuteDoubleTab(double *a, int nb)
 {
-	int i;
+        int i;
 
-#ifdef CGAL_LITTLE_ENDIAN 
+#ifdef CGAL_LITTLE_ENDIAN
 for(i=0;i<nb;i++) permuteDouble((char *) &a[i]);
 #endif
 }
@@ -100,7 +100,7 @@ int lire_longueur_trace(const char * nom
     int flag=0;
 
 if ( (fin=fopen(nomfich,"rw"))!=NULL )
- {  
+ {
     fseek(fin,4,0);
     if (fread(long_trace,4,1,fin) != 1) {
       flag = -1;
@@ -119,7 +119,7 @@ int lire_nb_trace(const char * nomfich,
     int flag=0;
 
 if ( (fin=fopen(nomfich,"rw"))!=NULL )
- {  
+ {
     fseek(fin,8,0);
     if (fread(nb_trace,4,1,fin) != 1) {
       flag = -1;
@@ -138,7 +138,7 @@ int lire_nb_plan(const char * nomfich, l
     int flag=0;
 
 if ( (fin=fopen(nomfich,"rw"))!=NULL )
- {  
+ {
     fseek(fin,12,0);
     if (fread(nb_plan,4,1,fin) != 1) {
       flag = -1;
@@ -158,7 +158,7 @@ int lire_nb_octet(const char * nomfich,
     int flag=0;
 
 if ( (fin=fopen(nomfich,"rw"))!=NULL )
- {  
+ {
     fseek(fin,36,0);
     if (fread(nb_octet,4,1,fin) != 1) {
       flag = -1;
@@ -178,7 +178,7 @@ int lire_longueur_entete(const char * no
     int flag=0;
 
 if ( (fin=fopen(nomfich,"rw"))!=NULL )
- {  
+ {
     fseek(fin,72,0);
     if (fread(long_entete,4,1,fin) != 1) {
       flag = -1;
diff -pruN 5.0.2-3/demo/Surface_mesher/mainwindow.cpp 5.0.3-1/demo/Surface_mesher/mainwindow.cpp
--- 5.0.2-3/demo/Surface_mesher/mainwindow.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/demo/Surface_mesher/mainwindow.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -28,7 +28,7 @@
 #  include "polyhedral_surface.h"
 #endif
 
-MainWindow::MainWindow(MainWindow* other_window /* = 0 */) : 
+MainWindow::MainWindow(MainWindow* other_window /* = 0 */) :
   CGAL::Qt::DemosMainWindow(),
   surface(0)
 {
@@ -44,9 +44,9 @@ MainWindow::MainWindow(MainWindow* other
 
   this->addAboutCGAL();
   this->addRecentFiles(this->menu_File,
-		       this->action_Quit);
+                       this->action_Quit);
   connect(this, SIGNAL(openRecentFile(QString)),
-	  this, SLOT(surface_open(QString)));
+          this, SLOT(surface_open(QString)));
 
   this->readState();
 
@@ -96,7 +96,7 @@ void MainWindow::show_only(QString tag)
   QTextStream err(&dummy);
 #endif
   err << "** Show only in \"" << tag << "\"\n";
-  Q_FOREACH(QObject* object, 
+  Q_FOREACH(QObject* object,
             this->findChildren<QObject*>())
   {
     QStringList show_only_in = object->property("show_only_in").toStringList();
@@ -112,7 +112,7 @@ void MainWindow::show_only(QString tag)
         menu->menuAction()->setVisible(visible);
       }
       else {
-	object->setProperty("visible", QVariant::fromValue<bool>(visible));
+        object->setProperty("visible", QVariant::fromValue<bool>(visible));
       }
     }
   }
@@ -122,7 +122,7 @@ void MainWindow::on_action_Open_triggere
 {
   QSettings settings;
   QString directory = settings.value("Open directory",
-				     QDir::current().dirName()).toString();
+                                     QDir::current().dirName()).toString();
   QString filename = QFileDialog::getOpenFileName(this, tr("Open File"),
                                                   directory,
                                                   tr("all Files (*.*)"));
@@ -130,7 +130,7 @@ void MainWindow::on_action_Open_triggere
     QFileInfo fileinfo(filename);
     if(fileinfo.isFile() && fileinfo.isReadable()) {
       settings.setValue("Open directory",
-			fileinfo.absoluteDir().absolutePath());
+                        fileinfo.absoluteDir().absolutePath());
       surface_open(filename);
     }
   }
diff -pruN 5.0.2-3/demo/Surface_mesher/mainwindow.h 5.0.3-1/demo/Surface_mesher/mainwindow.h
--- 5.0.2-3/demo/Surface_mesher/mainwindow.h	2020-02-21 20:04:28.000000000 +0000
+++ 5.0.3-1/demo/Surface_mesher/mainwindow.h	2020-08-01 19:02:56.000000000 +0000
@@ -32,7 +32,7 @@ private Q_SLOTS:
   void on_action_OpenDirectory_triggered();
   void on_action_Quit_triggered();
   void on_action_Clone_triggered();
-  
+
 private:
   void closeEvent(QCloseEvent *event);
   Surface* surface;
diff -pruN 5.0.2-3/demo/Surface_mesher/polyhedral_surface.cpp 5.0.3-1/demo/Surface_mesher/polyhedral_surface.cpp
--- 5.0.2-3/demo/Surface_mesher/polyhedral_surface.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/demo/Surface_mesher/polyhedral_surface.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -19,7 +19,7 @@ typedef CGAL_polyhedral_surface::Polyhed
 Polyhedral_surface::Polyhedral_surface(QObject* parent,
                                        double sharp_edges_angle_lower_bound,
                                        double sharp_edges_angle_upper_bound)
-  : Surface(parent), 
+  : Surface(parent),
     m_inverse_normals(false),
     surface_ptr(0),
     parent(parent),
@@ -36,31 +36,31 @@ Polyhedral_surface::Polyhedral_surface(Q
     is_dirty(true),
     list_id(0)
 {
-  connection_map["actionDisplay_octree"] = 
+  connection_map["actionDisplay_octree"] =
     std::make_pair(SIGNAL(toggled(bool)),
                    SLOT(toggle_display_octree(bool)));
 
-  connection_map["actionDisplay_edges_octree"] = 
+  connection_map["actionDisplay_edges_octree"] =
     std::make_pair(SIGNAL(toggled(bool)),
                    SLOT(toggle_display_edges_octree(bool)));
 
-  connection_map["actionDisplay_surface"] = 
+  connection_map["actionDisplay_surface"] =
     std::make_pair(SIGNAL(toggled(bool)),
                    SLOT(toggle_display_surface(bool)));
 
-  connection_map["actionDisplay_all_edges"] = 
+  connection_map["actionDisplay_all_edges"] =
     std::make_pair(SIGNAL(toggled(bool)),
                    SLOT(toggle_display_all_edges(bool)));
 
-  connection_map["actionDisplay_control_edges"] = 
+  connection_map["actionDisplay_control_edges"] =
     std::make_pair(SIGNAL(toggled(bool)),
                    SLOT(toggle_display_control_edges(bool)));
 
-  connection_map["actionInverse_normals"] = 
+  connection_map["actionInverse_normals"] =
     std::make_pair(SIGNAL(toggled(bool)),
                    SLOT(set_inverse_normals(bool)));
 
-  connection_map["actionSubdivision"] = 
+  connection_map["actionSubdivision"] =
     std::make_pair(SIGNAL(triggered()),
                    SLOT(make_one_subdivision_step()));
   connection_map["action_Options"] =
@@ -83,7 +83,7 @@ void Polyhedral_surface::on_action_Optio
   QDoubleSpinBox* sb_upper = options_dialog->findChild<QDoubleSpinBox*>("angle_upper_bound");
   QDoubleSpinBox* sb_lower = options_dialog->findChild<QDoubleSpinBox*>("angle_lower_bound");
 
-  if(!sb_lower || !sb_upper) 
+  if(!sb_lower || !sb_upper)
     return;
 
   sb_lower->setValue(sharp_edges_angle_lower_bound);
@@ -133,7 +133,7 @@ void Polyhedral_surface::connect_actions
   connect(this, SIGNAL(changed()), this, SLOT(display_nb_elements_in_status_bar()));
 }
 
-void Polyhedral_surface::display_nb_elements_in_status_bar() const 
+void Polyhedral_surface::display_nb_elements_in_status_bar() const
 {
   QMainWindow* mw = qobject_cast<QMainWindow *>(parent);
   if(surface_ptr && mw)
@@ -151,7 +151,7 @@ void Polyhedral_surface::set_dirty()
   Q_EMIT changed();
 }
 
-void Polyhedral_surface::busy() const 
+void Polyhedral_surface::busy() const
 {
   QMainWindow* mw = qobject_cast<QMainWindow *>(parent);
   if(mw)
@@ -161,7 +161,7 @@ void Polyhedral_surface::busy() const
   QApplication::setOverrideCursor(QCursor(Qt::WaitCursor));
 }
 
-void Polyhedral_surface::not_busy() const 
+void Polyhedral_surface::not_busy() const
 {
   QApplication::restoreOverrideCursor();
   QMainWindow* mw = qobject_cast<QMainWindow *>(parent);
@@ -184,7 +184,7 @@ void Polyhedral_surface::set_sharp_edges
   }
 }
 
-void Polyhedral_surface::update_data_structures() 
+void Polyhedral_surface::update_data_structures()
 {
   surface_ptr->compute_sharp_edges_incidence_graph();
   if(display_octree || display_edges_octree) {
@@ -195,7 +195,7 @@ void Polyhedral_surface::update_data_str
     is_octree_initialized = false;
 }
 
-void Polyhedral_surface::construct_octree() 
+void Polyhedral_surface::construct_octree()
 {
   busy();
   surface_ptr->construct_octree();
@@ -268,10 +268,10 @@ bool Polyhedral_surface::open(const QStr
 
   if(surface_ptr)
     delete surface_ptr;
-  surface_ptr = new CGAL_polyhedral_surface(in, 
-                                            sharp_edges_angle_lower_bound, 
+  surface_ptr = new CGAL_polyhedral_surface(in,
+                                            sharp_edges_angle_lower_bound,
                                             sharp_edges_angle_upper_bound,
-                                            false /*do not construct 
+                                            false /*do not construct
                                                     octree*/);
   if(!in) {
     QApplication::restoreOverrideCursor();
@@ -304,14 +304,14 @@ bool Polyhedral_surface::open(const QStr
                                         CGAL::qglviewer::Vec(xmax, ymax, zmax));
   viewer->setBackgroundColor(Qt::white);
   viewer->showEntireScene();
-  
+
   QAction* actionInverse_normals = qFindChild<QAction*>(this, "actionInverse_normals");
   if(actionInverse_normals) actionInverse_normals->setChecked(false);
   Q_EMIT set_dirty();
   return true;
 }
 
-void Polyhedral_surface::close() 
+void Polyhedral_surface::close()
 {
   delete surface_ptr;
   surface_ptr = 0;
@@ -330,7 +330,7 @@ void Polyhedral_surface::postSelection(c
   if(!surface_ptr) return;
 
   selected_facet = selected_edge = -1;
-    
+
   const int nb_vertices = surface_ptr->incidence_graph.vertices.size();
   const int nb_edges = surface_ptr->incidence_graph.edges.size();
   if(viewer->selectedName() >= nb_edges + nb_vertices)
@@ -346,7 +346,7 @@ void Polyhedral_surface::postSelection(c
 
   Q_EMIT set_dirty();
 }
-  
+
 void Polyhedral_surface::draw(bool with_names)
 {
   if(!list_id)
@@ -378,7 +378,7 @@ void Polyhedral_surface::get_bbox(float&
     ymax=surface_ptr->bbox().ymax();
     zmax=surface_ptr->bbox().zmax();
   }
-  else 
+  else
   {
     xmin = ymin = zmin = 0.f;
     xmax = ymax = zmax = 1.f;
@@ -396,12 +396,12 @@ bool Polyhedral_surface::inverse_normals
 
 
 Surface* get_polyhedral_surface(QObject* parent,
-				double sharp_edges_angle_lower_bound,
-				double sharp_edges_angle_upper_bound = 180.)
+                                double sharp_edges_angle_lower_bound,
+                                double sharp_edges_angle_upper_bound = 180.)
 {
   return new Polyhedral_surface(parent,
-				sharp_edges_angle_lower_bound,
-				sharp_edges_angle_upper_bound);
+                                sharp_edges_angle_lower_bound,
+                                sharp_edges_angle_upper_bound);
 }
 
 #include "polyhedral_surface.moc"
diff -pruN 5.0.2-3/demo/Surface_mesher/polyhedral_surface.h 5.0.3-1/demo/Surface_mesher/polyhedral_surface.h
--- 5.0.2-3/demo/Surface_mesher/polyhedral_surface.h	2020-02-21 20:04:28.000000000 +0000
+++ 5.0.3-1/demo/Surface_mesher/polyhedral_surface.h	2020-08-01 19:02:56.000000000 +0000
@@ -38,11 +38,11 @@ typedef CGAL::Polyhedral_surface_3<Poly_
 class Polyhedral_surface : public Surface
 {
   Q_OBJECT;
-  
+
 public:
   Polyhedral_surface(QObject* parent,
-		     double sharp_edges_angle_lower_bound = 90,
-		     double sharp_edges_angle_upper_bound = 120);
+                     double sharp_edges_angle_lower_bound = 90,
+                     double sharp_edges_angle_upper_bound = 120);
 
   ~Polyhedral_surface();
 public Q_SLOTS:
@@ -72,7 +72,7 @@ public:
   void postSelection(const QPoint&);
   void draw(bool with_names);
   void get_bbox(float& xmin, float& ymin, float& zmin,
-		float& xmax, float& ymax, float& zmax);
+                float& xmax, float& ymax, float& zmax);
 
 public Q_SLOTS:
   void set_inverse_normals(const bool b);
diff -pruN 5.0.2-3/demo/Surface_mesher/Raw_image_dialog.cpp 5.0.3-1/demo/Surface_mesher/Raw_image_dialog.cpp
--- 5.0.2-3/demo/Surface_mesher/Raw_image_dialog.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/demo/Surface_mesher/Raw_image_dialog.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,16 +1,16 @@
 #include "Raw_image_dialog.h"
 
 Raw_image_dialog::Raw_image_dialog(QWidget* parent)
-  : QDialog(parent) 
+  : QDialog(parent)
 {
   setupUi(this);
 }
 
 void Raw_image_dialog::update_image_size() {
   label_image_size->setNum((int)image_word_size() *
-			   dim_x->value() *
-			   dim_y->value() *
-			   dim_z->value());
+                           dim_x->value() *
+                           dim_y->value() *
+                           dim_z->value());
 }
 
 unsigned int Raw_image_dialog::image_word_size() const {
diff -pruN 5.0.2-3/demo/Surface_mesher/Raw_image_dialog.h 5.0.3-1/demo/Surface_mesher/Raw_image_dialog.h
--- 5.0.2-3/demo/Surface_mesher/Raw_image_dialog.h	2020-02-21 20:04:28.000000000 +0000
+++ 5.0.3-1/demo/Surface_mesher/Raw_image_dialog.h	2020-08-01 19:02:56.000000000 +0000
@@ -3,7 +3,7 @@
 
 #include "ui_raw_image.h"
 
-class Raw_image_dialog : public QDialog, public Ui::Raw_image_dialog 
+class Raw_image_dialog : public QDialog, public Ui::Raw_image_dialog
 {
   Q_OBJECT
 
diff -pruN 5.0.2-3/demo/Surface_mesher/surface.h 5.0.3-1/demo/Surface_mesher/surface.h
--- 5.0.2-3/demo/Surface_mesher/surface.h	2020-02-21 20:04:28.000000000 +0000
+++ 5.0.3-1/demo/Surface_mesher/surface.h	2020-08-01 19:02:56.000000000 +0000
@@ -24,7 +24,7 @@ public Q_SLOTS:
   virtual void close() = 0;
   virtual void draw() = 0;
   virtual void get_bbox(float&, float&, float&,
-			float&, float&, float&) = 0;
+                        float&, float&, float&) = 0;
   virtual void drawWithNames() {};
   virtual void postSelection(const QPoint&) {};
 Q_SIGNALS:
diff -pruN 5.0.2-3/demo/Surface_mesher/values_list.cpp 5.0.3-1/demo/Surface_mesher/values_list.cpp
--- 5.0.2-3/demo/Surface_mesher/values_list.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/demo/Surface_mesher/values_list.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -53,7 +53,7 @@ QWidget *Values_delegate::createEditor(Q
   }
   else return QItemDelegate::createEditor(parent, option, index);
 }
-  
+
 void Values_delegate::setEditorData(QWidget *editor,
                                        const QModelIndex &index) const
 {
@@ -106,7 +106,7 @@ Values_list::Values_list(QWidget* parent
   Q_ASSERT_X(treeWidget, "Values_list constructor", "cannot find widget \"treeWidget\"");
 
   treeWidget->sortByColumn(Value, Qt::AscendingOrder);
-   
+
   treeWidget->header()->setSectionsClickable(false);
 
 
@@ -122,7 +122,7 @@ Values_list::Values_list(QWidget* parent
           this, SIGNAL(changed()));
 
   connect(this, SIGNAL(changed()),
-	  this, SLOT(update_items_cache()));
+          this, SLOT(update_items_cache()));
 }
 
 QColor Values_list::color(const int i) const
@@ -197,7 +197,7 @@ void Values_list::save_values(QString fi
  settings.endGroup();
 }
 
-void Values_list::load_values(QString filename) 
+void Values_list::load_values(QString filename)
 {
   QSettings settings;
 
diff -pruN 5.0.2-3/demo/Surface_mesher/values_list.h 5.0.3-1/demo/Surface_mesher/values_list.h
--- 5.0.2-3/demo/Surface_mesher/values_list.h	2020-02-21 20:04:28.000000000 +0000
+++ 5.0.3-1/demo/Surface_mesher/values_list.h	2020-08-01 19:02:56.000000000 +0000
@@ -33,11 +33,11 @@ protected:
 
 class Values_list : public QWidget
 {
-  Q_OBJECT 
+  Q_OBJECT
 public:
   enum Field { Value = 0 , Color = 1, Name = 2};
   Values_list(QWidget* parent);
-  
+
   // const accessors
   int numberOfValues() const;
   QColor color(const int i) const;
diff -pruN 5.0.2-3/demo/Surface_mesher/volume.cpp 5.0.3-1/demo/Surface_mesher/volume.cpp
--- 5.0.2-3/demo/Surface_mesher/volume.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/demo/Surface_mesher/volume.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -53,7 +53,7 @@ struct Threshold : public CGAL::cpp98::u
 };
 
 class Classify_from_isovalue_list :
-  public CGAL::cpp98::unary_function<FT, unsigned char> 
+  public CGAL::cpp98::unary_function<FT, unsigned char>
 {
   typedef std::pair<FT, result_type> Isovalue;
   typedef std::vector<Isovalue> Isovalues;
@@ -136,7 +136,7 @@ public:
 };
 
 // class Classify_from_isovalue_list :
-//   public CGAL::cpp98::unary_function<FT, const QTreeWidgetItem*> 
+//   public CGAL::cpp98::unary_function<FT, const QTreeWidgetItem*>
 // {
 //   typedef std::pair<FT, result_type> Isovalue;
 //   typedef std::vector<Isovalue> Isovalues;
@@ -179,7 +179,7 @@ public:
 //       return 0;
 //   }
 // };
-Volume::Volume(MainWindow* mw) : 
+Volume::Volume(MainWindow* mw) :
   Surface(mw),
   m_sm_angle(30),
   m_sm_radius(0),
@@ -254,7 +254,7 @@ Volume::Volume(MainWindow* mw) :
           this, SLOT(check_can_export_off()));
 
   connect(mw->labellizedRadioButton, SIGNAL(toggled(bool)),
-	  this, SLOT(labellizedToogled(bool)));
+          this, SLOT(labellizedToogled(bool)));
 
   mw->actionExport_surface_mesh_to_OFF->setEnabled(false);
   connect(mw->actionExport_surface_mesh_to_OFF, SIGNAL(triggered()),
@@ -339,7 +339,7 @@ Volume::~Volume()
   if(smoother) smoother->Delete();
 }
 
-bool Volume::opendir(const QString& dirname) 
+bool Volume::opendir(const QString& dirname)
 {
   bool result = true;
   if(!fileinfo.isReadable())
@@ -546,58 +546,58 @@ bool Volume::open(const QString& filenam
     else if(open_xt(filename)) {
       return true;
     }
-    else 
+    else
     {
       QSettings settings;
       settings.beginGroup(QUrl::toPercentEncoding(fileinfo.absoluteFilePath()));
       if( settings.value("is_raw").toBool() &&
-	  m_image.read_raw(filename.toStdString().c_str(),
-			   settings.value("dim_x").toInt(),
-			   settings.value("dim_y").toInt(),
-			   settings.value("dim_z").toInt(),
-			   settings.value("spacing_x").toDouble(),
-			   settings.value("spacing_y").toDouble(),
-			   settings.value("spacing_z").toDouble(),
-			   settings.value("offset").toInt()) )
+          m_image.read_raw(filename.toStdString().c_str(),
+                           settings.value("dim_x").toInt(),
+                           settings.value("dim_y").toInt(),
+                           settings.value("dim_z").toInt(),
+                           settings.value("spacing_x").toDouble(),
+                           settings.value("spacing_y").toDouble(),
+                           settings.value("spacing_z").toDouble(),
+                           settings.value("offset").toInt()) )
       {
-	status_message(tr("File %1 successfully opened.").arg(filename));
-	finish_open();
-	return true;
+        status_message(tr("File %1 successfully opened.").arg(filename));
+        finish_open();
+        return true;
       }
       else if(QMessageBox::warning(mw, mw->windowTitle(),
-				   tr("Error with file <tt>%1</tt>:\n"
-				      "unknown file format!\n"
-				      "\n"
-				      "Open it as a raw image?").arg(filename),
-				   QMessageBox::Yes|QMessageBox::No) == QMessageBox::Yes) 
+                                   tr("Error with file <tt>%1</tt>:\n"
+                                      "unknown file format!\n"
+                                      "\n"
+                                      "Open it as a raw image?").arg(filename),
+                                   QMessageBox::Yes|QMessageBox::No) == QMessageBox::Yes)
       {
-	Raw_image_dialog raw_dialog;
-	raw_dialog.label_file_size->setText(QString("%1 B").arg(fileinfo.size()));
-	if( raw_dialog.exec() && 
-	    m_image.read_raw(filename.toStdString().c_str(),
-			     raw_dialog.dim_x->value(),
-			     raw_dialog.dim_y->value(),
-			     raw_dialog.dim_z->value(),
-			     raw_dialog.spacing_x->value(),
-			     raw_dialog.spacing_y->value(),
-			     raw_dialog.spacing_z->value(),
-			     raw_dialog.offset->value()) )
-	{
-	  status_message(tr("File %1 successfully opened.").arg(filename));
-	  QSettings settings;
-	  settings.beginGroup(QUrl::toPercentEncoding(fileinfo.absoluteFilePath()));
-	  settings.setValue("is_raw", true);
-	  settings.setValue("dim_x", raw_dialog.dim_x->value());
-	  settings.setValue("dim_y", raw_dialog.dim_y->value());
-	  settings.setValue("dim_z", raw_dialog.dim_z->value());
-	  settings.setValue("spacing_x", raw_dialog.spacing_x->value());
-	  settings.setValue("spacing_y", raw_dialog.spacing_y->value());
-	  settings.setValue("spacing_z", raw_dialog.spacing_z->value());
-	  settings.setValue("offset", raw_dialog.offset->value());
-	  settings.endGroup();
-	  finish_open();
-	  return true;
-	}
+        Raw_image_dialog raw_dialog;
+        raw_dialog.label_file_size->setText(QString("%1 B").arg(fileinfo.size()));
+        if( raw_dialog.exec() &&
+            m_image.read_raw(filename.toStdString().c_str(),
+                             raw_dialog.dim_x->value(),
+                             raw_dialog.dim_y->value(),
+                             raw_dialog.dim_z->value(),
+                             raw_dialog.spacing_x->value(),
+                             raw_dialog.spacing_y->value(),
+                             raw_dialog.spacing_z->value(),
+                             raw_dialog.offset->value()) )
+        {
+          status_message(tr("File %1 successfully opened.").arg(filename));
+          QSettings settings;
+          settings.beginGroup(QUrl::toPercentEncoding(fileinfo.absoluteFilePath()));
+          settings.setValue("is_raw", true);
+          settings.setValue("dim_x", raw_dialog.dim_x->value());
+          settings.setValue("dim_y", raw_dialog.dim_y->value());
+          settings.setValue("dim_z", raw_dialog.dim_z->value());
+          settings.setValue("spacing_x", raw_dialog.spacing_x->value());
+          settings.setValue("spacing_y", raw_dialog.spacing_y->value());
+          settings.setValue("spacing_z", raw_dialog.spacing_z->value());
+          settings.setValue("offset", raw_dialog.offset->value());
+          settings.endGroup();
+          finish_open();
+          return true;
+        }
       }
     }
   }
@@ -624,10 +624,10 @@ void Volume::export_off()
 {
   QFileDialog filedialog(mw, tr("Export surface to file"));
   filedialog.setFileMode(QFileDialog::AnyFile);
-  
+
   filedialog.setNameFilter(tr("OFF files (*.off);;"
                               "All files (*)"));
-  
+
   filedialog.setAcceptMode(QFileDialog::AcceptSave);
   filedialog.setDefaultSuffix("off");
   if(filedialog.exec())
@@ -655,7 +655,7 @@ void Volume::save_image_to_inr()
 {
   QFileDialog filedialog(mw, tr("Export image to Inrimage format"));
   filedialog.setFileMode(QFileDialog::AnyFile);
-  
+
   filedialog.setNameFilter(tr("Inrimage files (*.inr);;"
                               "Compressed Inrimage files (*.inr.gz)"));
 
@@ -693,12 +693,12 @@ void Volume::status_message(QString stri
   mw->statusBar()->showMessage(string);
 }
 
-void Volume::busy() const 
+void Volume::busy() const
 {
   QApplication::setOverrideCursor(QCursor(Qt::WaitCursor));
 }
 
-void Volume::not_busy() const 
+void Volume::not_busy() const
 {
   QApplication::restoreOverrideCursor();
 }
@@ -737,7 +737,7 @@ void Volume::display_marchin_cube()
 
     nbs_of_mc_triangles.resize(values_list->numberOfValues());
 
-    for(int value_id = 0; 
+    for(int value_id = 0;
         value_id < values_list->numberOfValues();
         ++value_id)
     {
@@ -868,7 +868,7 @@ void Volume::display_surface_mesher_resu
     // surface mesh traits class
     typedef CGAL::Surface_mesher::Implicit_surface_oracle_3<Kernel,
       //     typedef CGAL::Surface_mesher::Image_surface_oracle_3<Kernel,
-      Surface_3, 
+      Surface_3,
       Classify_from_isovalue_list,
       Generate_surface_identifiers> Oracle;
     Oracle oracle(classify, generate_ids);
@@ -878,22 +878,22 @@ void Volume::display_surface_mesher_resu
       typedef std::vector<std::pair<Point_3, double> > Seeds;
       Seeds seeds;
       {
-	std::cerr << "Search seeds...\n";
-	std::set<unsigned char> domains;
-	search_for_connected_components(std::back_inserter(seeds),
-					CGAL::inserter(domains),
-					classify);
-	std::cerr << "Found " << seeds.size() << " seed(s).\n";
-
-	if(mw->labellizedRadioButton->isChecked() && 
-	   values_list->numberOfValues() == 0) 
-	{
-	  Q_FOREACH(unsigned char label, domains) {
-	    if(label != 0) {
-	      values_list->addValue(label);
-	    }
-	  }
-	}
+        std::cerr << "Search seeds...\n";
+        std::set<unsigned char> domains;
+        search_for_connected_components(std::back_inserter(seeds),
+                                        CGAL::inserter(domains),
+                                        classify);
+        std::cerr << "Found " << seeds.size() << " seed(s).\n";
+
+        if(mw->labellizedRadioButton->isChecked() &&
+           values_list->numberOfValues() == 0)
+        {
+          Q_FOREACH(unsigned char label, domains) {
+            if(label != 0) {
+              values_list->addValue(label);
+            }
+          }
+        }
       }
       std::ofstream seeds_out("seeds.off");
       std::ofstream segments_out("segments.txt");
@@ -901,33 +901,33 @@ void Volume::display_surface_mesher_resu
       seeds_out << "OFF\n" << seeds.size() << " 0 0\n";
       segments_out.precision(18);
       for(Seeds::const_iterator it = seeds.begin(), end = seeds.end();
-	  it != end; ++it)
+          it != end; ++it)
       {
         seeds_out << it->first << std::endl;
-	CGAL::Random_points_on_sphere_3<Point_3> random_points_on_sphere_3(it->second);
-	Oracle::Intersect_3 intersect = oracle.intersect_3_object();
-	for(int i = 0; i < 20; ++i)
-	{
-	  const Point_3 test = it->first + (*random_points_on_sphere_3++ - CGAL::ORIGIN);
-	  CGAL::Object o = intersect(surface, Segment_3(it->first, test));
-	  if (const Point_3* intersection = CGAL::object_cast<Point_3>(&o)) {
+        CGAL::Random_points_on_sphere_3<Point_3> random_points_on_sphere_3(it->second);
+        Oracle::Intersect_3 intersect = oracle.intersect_3_object();
+        for(int i = 0; i < 20; ++i)
+        {
+          const Point_3 test = it->first + (*random_points_on_sphere_3++ - CGAL::ORIGIN);
+          CGAL::Object o = intersect(surface, Segment_3(it->first, test));
+          if (const Point_3* intersection = CGAL::object_cast<Point_3>(&o)) {
             segments_out << "2 " << it->first << " " << *intersection << std::endl;
-	    del.insert(*intersection);
+            del.insert(*intersection);
           }
-	  else 
-	  {
-	    std::cerr << 
-	      boost::format("Error. Segment (%1%, %2%) does not intersect the surface! values=(%3%, %4%)\n")
-	      % it->first % test
-	      % surface(it->first) % surface(test);
-	  }
-	}
+          else
+          {
+            std::cerr <<
+              boost::format("Error. Segment (%1%, %2%) does not intersect the surface! values=(%3%, %4%)\n")
+              % it->first % test
+              % surface(it->first) % surface(test);
+          }
+        }
       }
     }
     else {
-      oracle.construct_initial_points_object()(surface, 
-					       CGAL::inserter(c2t3.triangulation()),
-					       20);
+      oracle.construct_initial_points_object()(surface,
+                                               CGAL::inserter(c2t3.triangulation()),
+                                               20);
     }
 
     std::ofstream points_out("initial-points.off");
@@ -952,7 +952,7 @@ void Volume::display_surface_mesher_resu
       aspect_ratio_criterion (m_sm_angle);
     CGAL::Surface_mesher::Vertices_on_the_same_psc_element_criterion<Tr, Surface_3>
       vertices_on_the_same_psc_element_criterion(surface);
-    
+
     std::vector<Criterion*> criterion_vector;
     criterion_vector.push_back(&aspect_ratio_criterion);
     criterion_vector.push_back(&uniform_size_criterion);
@@ -973,19 +973,19 @@ void Volume::display_surface_mesher_resu
       CGAL::Manifold_tag,
       CGAL_SURFACE_MESHER_VERBOSITY
       >::type Surface_mesher_manifold;
-      
+
     typedef CGAL::Surface_mesher_generator<C2t3,
       Oracle,
       Criteria,
       CGAL::Non_manifold_tag,
       CGAL_SURFACE_MESHER_VERBOSITY
-      >::type Surface_mesher_non_manifold; 
+      >::type Surface_mesher_non_manifold;
 
     if(mw->manifoldCheckBox->isChecked()) {
       // meshing surface
       std::cerr << "manifold criteria is activated.\n";
 //       make_surface_mesh(c2t3, surface, oracle, criteria,
-// 			CGAL::Manifold_tag(), 0);
+//                         CGAL::Manifold_tag(), 0);
       Surface_mesher_manifold manifold_mesher(c2t3, surface, oracle, criteria);
       manifold_mesher.refine_mesh();
     }
@@ -997,26 +997,26 @@ void Volume::display_surface_mesher_resu
 //       direct_draw = true;
       non_manifold_mesher.init();
       while(!non_manifold_mesher.is_algorithm_done()) {
-	CGAL::Null_mesh_visitor null_visitor;
-	non_manifold_mesher.one_step(null_visitor);
-	if(++nb_steps % 1000 == 0) {
-	  CGAL::Timer timer;
-	  std::cerr << "(process events...";
-	  timer.start();
-	  list_draw_marching_cube_is_valid = false;
-	  lists_draw_surface_is_valid = false;
-	  for(Tr::Finite_cells_iterator 
-		cit = del.finite_cells_begin(),
-		end = del.finite_cells_end();
-	      cit != end; ++cit)
-	  {
-	    cit->info() = classify(surface(cit->circumcenter()));
-	  }
-// 	  Q_EMIT changed();
-	  qApp->processEvents();
-	  timer.stop();
-	  std::cerr << timer.time() << " secondes)\n";
-	}
+        CGAL::Null_mesh_visitor null_visitor;
+        non_manifold_mesher.one_step(null_visitor);
+        if(++nb_steps % 1000 == 0) {
+          CGAL::Timer timer;
+          std::cerr << "(process events...";
+          timer.start();
+          list_draw_marching_cube_is_valid = false;
+          lists_draw_surface_is_valid = false;
+          for(Tr::Finite_cells_iterator
+                cit = del.finite_cells_begin(),
+                end = del.finite_cells_end();
+              cit != end; ++cit)
+          {
+            cit->info() = classify(surface(cit->circumcenter()));
+          }
+//           Q_EMIT changed();
+          qApp->processEvents();
+          timer.stop();
+          std::cerr << timer.time() << " secondes)\n";
+        }
       }
 #else
       non_manifold_mesher.refine_mesh();
@@ -1026,10 +1026,10 @@ void Volume::display_surface_mesher_resu
     not_busy();
     direct_draw = false;
 
-    for(Tr::Finite_cells_iterator 
-	  cit = del.finite_cells_begin(),
-	  end = del.finite_cells_end();
-	cit != end; ++cit)
+    for(Tr::Finite_cells_iterator
+          cit = del.finite_cells_begin(),
+          end = del.finite_cells_end();
+        cit != end; ++cit)
     {
       cit->info() = classify(surface(cit->circumcenter()));
     }
@@ -1045,7 +1045,7 @@ void Volume::display_surface_mesher_resu
       const Point_3 left_circumcenter = cell->circumcenter();
       const Point_3 right_circumcenter = cell->neighbor(index)->circumcenter();
 
-      const Triangle_3 t = 
+      const Triangle_3 t =
         Triangle_3(cell->vertex(del.vertex_triple_index(index, 0))->point(),
                    cell->vertex(del.vertex_triple_index(index, 1))->point(),
                    cell->vertex(del.vertex_triple_index(index, 2))->point());
@@ -1053,15 +1053,15 @@ void Volume::display_surface_mesher_resu
       const Vector v = t[2] - t[0];
       Vector n = CGAL::cross_product(u,v);
       n = n / std::sqrt(n*n);
-      if(mw->labellizedRadioButton->isChecked()) 
+      if(mw->labellizedRadioButton->isChecked())
       {
-	m_surface.push_back(Facet_(t,
-				  n,
-				  values_list->search((std::max)(surface(left_circumcenter), 
-								 surface(right_circumcenter)))));
+        m_surface.push_back(Facet_(t,
+                                  n,
+                                  values_list->search((std::max)(surface(left_circumcenter),
+                                                                 surface(right_circumcenter)))));
       }
       else {
-	m_surface.push_back(Facet_(t,n,cell->vertex(del.vertex_triple_index(index, 0))->point().element_index()));
+        m_surface.push_back(Facet_(t,n,cell->vertex(del.vertex_triple_index(index, 0))->point().element_index()));
       }
     }
 
@@ -1156,21 +1156,21 @@ void Volume::gl_draw_image_bbox(const fl
 
 void Volume::draw()
 {
-  float	ambient[]  =   { 0.25f,
+  float        ambient[]  =   { 0.25f,
                          0.20725f,
                          0.20725f,
                          0.922f };
-  float	diffuse[]  =   { 1.0f,
+  float        diffuse[]  =   { 1.0f,
                          0.829f,
                          0.829f,
                          0.922f };
 
-  float	specular[]  = {  0.296648f,
+  float        specular[]  = {  0.296648f,
                          0.296648f,
                          0.296648f,
                          0.522f };
 
-  float	emission[]  = {  0.3f,
+  float        emission[]  = {  0.3f,
                          0.3f,
                          0.3f,
                          1.0f };
@@ -1247,10 +1247,10 @@ void Volume::draw()
                 m_triangulation_color.blueF());
     ::glLineWidth(1.0);
     ::glBegin(GL_LINES);
-    for(Tr::Finite_edges_iterator 
-          eit = del.finite_edges_begin(), 
+    for(Tr::Finite_edges_iterator
+          eit = del.finite_edges_begin(),
           end = del.finite_edges_end();
-        eit != end; ++eit) 
+        eit != end; ++eit)
     {
       const Point_3 p1 = eit->first->vertex(eit->second)->point();
       const Point_3 p2 = eit->first->vertex(eit->third)->point();
@@ -1262,13 +1262,13 @@ void Volume::draw()
 }
 
 void Volume::set_radius_bound(double d)
-{ 
+{
   m_sm_radius = FT(d);
   changed_parameters();
 }
 
 void Volume::set_distance_bound(double d)
-{ 
+{
   m_sm_distance = FT(d);
   changed_parameters();
 }
@@ -1281,7 +1281,7 @@ void Volume::gl_draw_surface_mc()
     gl_draw_marchingcube();
     return;
   }
-  
+
   if(lists_draw_surface_mc_is_valid)
   {
     for(int i = 0, nbs = values_list->numberOfValues(); i < nbs; ++i )
@@ -1320,7 +1320,7 @@ void Volume::gl_draw_surface_mc()
       gl_draw_surface(m_surface_mc.begin(),
                       m_surface_mc.end(),
                       values_list->item(i));
-        
+
       if(lists_draw_surface_mc[i]) // If lists_draw_surface[i]==0 then
       {                            // something got wrong in the list
         ::glEndList();             // generation.
@@ -1336,40 +1336,40 @@ void Volume::gl_draw_surface()
 //   if(mw->labellizedRadioButton->isChecked()) {
 //     mw->viewer->qglColor(::Qt::blue);
 //     gl_draw_surface(m_surface.begin(),
-// 		    m_surface.end(),
-// 		    0);
+//                     m_surface.end(),
+//                     0);
 //   }
 //   else
   if(direct_draw) {
     ::glBegin(GL_TRIANGLES);
     unsigned int counter = 0;
     for(Tr::Finite_cells_iterator
-	  cit = del.finite_cells_begin(), end = del.finite_cells_end();
-	cit != end; ++cit)
+          cit = del.finite_cells_begin(), end = del.finite_cells_end();
+        cit != end; ++cit)
     {
       for(int facet_index = 0; facet_index < 4; ++facet_index)
       {
-	const Tr::Cell_handle& facet_cell = cit;
-	if(c2t3.face_status(facet_cell, facet_index) == C2t3::NOT_IN_COMPLEX) {
-	  continue;
-	}
-	const Point_3& a = facet_cell->vertex(del.vertex_triple_index(facet_index, 0))->point();
-	const Point_3& b = facet_cell->vertex(del.vertex_triple_index(facet_index, 1))->point();
-	const Point_3& c = facet_cell->vertex(del.vertex_triple_index(facet_index, 2))->point();
-	Vector n = CGAL::cross_product(b-a,c-a);
-	n = n / std::sqrt(n*n); // unit normal
-	if(m_inverse_normals) {
-	  ::glNormal3d(-n.x(),-n.y(),-n.z());
-	} else {
-	  ::glNormal3d(n.x(),n.y(),n.z());
-	}
+        const Tr::Cell_handle& facet_cell = cit;
+        if(c2t3.face_status(facet_cell, facet_index) == C2t3::NOT_IN_COMPLEX) {
+          continue;
+        }
+        const Point_3& a = facet_cell->vertex(del.vertex_triple_index(facet_index, 0))->point();
+        const Point_3& b = facet_cell->vertex(del.vertex_triple_index(facet_index, 1))->point();
+        const Point_3& c = facet_cell->vertex(del.vertex_triple_index(facet_index, 2))->point();
+        Vector n = CGAL::cross_product(b-a,c-a);
+        n = n / std::sqrt(n*n); // unit normal
+        if(m_inverse_normals) {
+          ::glNormal3d(-n.x(),-n.y(),-n.z());
+        } else {
+          ::glNormal3d(n.x(),n.y(),n.z());
+        }
         ::glColor3d(values_list->color(values_list->search(facet_cell->info())).redF(),
                     values_list->color(values_list->search(facet_cell->info())).greenF(),
                     values_list->color(values_list->search(facet_cell->info())).blueF());
-	::glVertex3d(a.x(),a.y(),a.z());
-	::glVertex3d(b.x(),b.y(),b.z());
-	::glVertex3d(c.x(),c.y(),c.z());
-	++counter;
+        ::glVertex3d(a.x(),a.y(),a.z());
+        ::glVertex3d(b.x(),b.y(),b.z());
+        ::glVertex3d(c.x(),c.y(),c.z());
+        ++counter;
       }
       ::glEnd();
     }
@@ -1402,7 +1402,7 @@ void Volume::gl_draw_surface()
                                  " in gl_draw_surface(), ()\n")
         % lists_draw_surface[i]
         % i;
-        
+
       ::glColor3d(values_list->color(i).redF(),
                 values_list->color(i).greenF(),
                 values_list->color(i).blueF());
@@ -1413,57 +1413,57 @@ void Volume::gl_draw_surface()
                     ? GL_COMPILE_AND_EXECUTE    // in the list generation.
                     : GL_COMPILE);
 
-      if(!mw->labellizedRadioButton->isChecked()) 
+      if(!mw->labellizedRadioButton->isChecked())
       {
-	gl_draw_surface(m_surface.begin(),
-			m_surface.end(),
-			values_list->item(i));
+        gl_draw_surface(m_surface.begin(),
+                        m_surface.end(),
+                        values_list->item(i));
       }
-      else 
+      else
       {
-	const auto volume_index = static_cast<unsigned char>(values_list->value(i));
+        const auto volume_index = static_cast<unsigned char>(values_list->value(i));
 
-	::glBegin(GL_TRIANGLES);
-	unsigned int counter = 0;
-	for(C2t3::Facet_iterator
-	      fit = c2t3.facets_begin(), end = c2t3.facets_end();
-	    fit != end; ++fit)
-	{
-	  Tr::Cell_handle facet_cell = fit->first;
-	  int facet_index = fit->second;
-	  Tr::Cell_handle opposite_cell = facet_cell->neighbor(facet_index);
-	  int opposite_index = opposite_cell->index(facet_cell);
-
-	  if( facet_cell->info() != volume_index ) {
-	    if( opposite_cell->info() == volume_index ) {
-	      std::swap(facet_cell, opposite_cell);
-	      std::swap(facet_index, opposite_index);
-	    }
-	    else 
-	      continue; // go to next facet
-	  }
-	  const Point_3& a = opposite_cell->vertex(del.vertex_triple_index(opposite_index, 0))->point();
-	  const Point_3& b = opposite_cell->vertex(del.vertex_triple_index(opposite_index, 1))->point();
-	  const Point_3& c = opposite_cell->vertex(del.vertex_triple_index(opposite_index, 2))->point();
-	  Vector n = CGAL::cross_product(b-a,c-a);
-	  n = n / std::sqrt(n*n); // unit normal
-	  if(m_inverse_normals) {
-	    ::glNormal3d(-n.x(),-n.y(),-n.z());
-	  } else {
-	    ::glNormal3d(n.x(),n.y(),n.z());
-	  }
-	  ::glVertex3d(a.x(),a.y(),a.z());
-	  ::glVertex3d(b.x(),b.y(),b.z());
-	  ::glVertex3d(c.x(),c.y(),c.z());
-	  ++counter;
-	}
-	::glEnd();
-	std::cerr << boost::format("(c2t3) number of facets: %1%\n")
-	  % counter;
+        ::glBegin(GL_TRIANGLES);
+        unsigned int counter = 0;
+        for(C2t3::Facet_iterator
+              fit = c2t3.facets_begin(), end = c2t3.facets_end();
+            fit != end; ++fit)
+        {
+          Tr::Cell_handle facet_cell = fit->first;
+          int facet_index = fit->second;
+          Tr::Cell_handle opposite_cell = facet_cell->neighbor(facet_index);
+          int opposite_index = opposite_cell->index(facet_cell);
+
+          if( facet_cell->info() != volume_index ) {
+            if( opposite_cell->info() == volume_index ) {
+              std::swap(facet_cell, opposite_cell);
+              std::swap(facet_index, opposite_index);
+            }
+            else
+              continue; // go to next facet
+          }
+          const Point_3& a = opposite_cell->vertex(del.vertex_triple_index(opposite_index, 0))->point();
+          const Point_3& b = opposite_cell->vertex(del.vertex_triple_index(opposite_index, 1))->point();
+          const Point_3& c = opposite_cell->vertex(del.vertex_triple_index(opposite_index, 2))->point();
+          Vector n = CGAL::cross_product(b-a,c-a);
+          n = n / std::sqrt(n*n); // unit normal
+          if(m_inverse_normals) {
+            ::glNormal3d(-n.x(),-n.y(),-n.z());
+          } else {
+            ::glNormal3d(n.x(),n.y(),n.z());
+          }
+          ::glVertex3d(a.x(),a.y(),a.z());
+          ::glVertex3d(b.x(),b.y(),b.z());
+          ::glVertex3d(c.x(),c.y(),c.z());
+          ++counter;
+        }
+        ::glEnd();
+        std::cerr << boost::format("(c2t3) number of facets: %1%\n")
+          % counter;
       }
 
       if(!direct_draw && lists_draw_surface[i])
-	                        // If lists_draw_surface[i]==0 then
+                                // If lists_draw_surface[i]==0 then
       {                         // something got wrong in the list
         ::glEndList();          // generation.
       }
diff -pruN 5.0.2-3/demo/Surface_mesher/volume.h 5.0.3-1/demo/Surface_mesher/volume.h
--- 5.0.2-3/demo/Surface_mesher/volume.h	2020-02-21 20:04:29.000000000 +0000
+++ 5.0.3-1/demo/Surface_mesher/volume.h	2020-08-01 19:02:56.000000000 +0000
@@ -152,7 +152,7 @@ private:
 #endif // CGAL_SURFACE_MESH_DEMO_USE_MARCHING_CUBE
 
   bool m_view_mc; // that boolean is here even with if
-		  // CGAL_SURFACE_MESH_DEMO_USE_MARCHING_CUBE
+                  // CGAL_SURFACE_MESH_DEMO_USE_MARCHING_CUBE
                   // is not defined.
 
 #ifdef CGAL_USE_VTK
@@ -175,11 +175,11 @@ private:
                           const unsigned char blue);
 
   template <typename PointsOutputIterator,
-	    typename DomainsOutputIterator,
-	    typename TransformOperator>
+            typename DomainsOutputIterator,
+            typename TransformOperator>
   void search_for_connected_components(PointsOutputIterator,
-				       DomainsOutputIterator, 
-				       TransformOperator);
+                                       DomainsOutputIterator,
+                                       TransformOperator);
 
 public:
   void gl_draw_surface();
@@ -209,7 +209,7 @@ public Q_SLOTS:
   void check_can_export_off();
   void draw();
   void get_bbox(float& /*xmin*/, float& /*ymin*/, float& /*zmin*/,
-		float& /*xmax*/, float& /*ymax*/, float& /*zmax*/) {}
+                float& /*xmax*/, float& /*ymax*/, float& /*zmax*/) {}
   void close() {}
   void display_surface_mesher_result();
   void set_radius_bound(double);
@@ -227,11 +227,11 @@ private:
 };
 
 template <typename PointsOutputIterator,
-	  typename DomainsOutputIterator,
-	  typename TransformOperator>
+          typename DomainsOutputIterator,
+          typename TransformOperator>
 void Volume::search_for_connected_components(PointsOutputIterator it,
-					     DomainsOutputIterator dom_it,
-					     TransformOperator transform)
+                                             DomainsOutputIterator dom_it,
+                                             TransformOperator transform)
 {
   const std::size_t nx = m_image.xdim();
   const std::size_t ny = m_image.ydim();
@@ -258,7 +258,7 @@ void Volume::search_for_connected_compon
         if(visited[i][j][k]>0)
           continue;
         const Label current_label = transform(m_image.value(i, j, k));
-	*dom_it++ = current_label;
+        *dom_it++ = current_label;
         if(current_label == Label()) {
           visited[i][j][k] = 3;
           continue;
@@ -269,7 +269,7 @@ void Volume::search_for_connected_compon
         std::cerr << boost::format("Found new connected component (#%5%) "
                                    "at voxel (%1%, %2%, %3%), value=%4%, volume id=%6%\n")
           % i % j % k
-          % m_image.value(i, j, k) 
+          % m_image.value(i, j, k)
           % number_of_connected_components
           % (int)current_label;
 
@@ -369,12 +369,12 @@ void Volume::search_for_connected_compon
             }
             else // end of second pass, return the last visited voxel
             {
-// 	      if(nb_voxels >= 100)
-	      {
-		*it++ = std::make_pair(m_image.point(i, j, k), (depth+1)*max_v);
-		std::cerr << boost::format("Found seed %5%, which is voxel (%1%, %2%, %3%), value=%4%\n")
-		  % i % j % k %  m_image.value(i, j, k) % m_image.point(i, j, k);
-	      }
+//               if(nb_voxels >= 100)
+              {
+                *it++ = std::make_pair(m_image.point(i, j, k), (depth+1)*max_v);
+                std::cerr << boost::format("Found seed %5%, which is voxel (%1%, %2%, %3%), value=%4%\n")
+                  % i % j % k %  m_image.value(i, j, k) % m_image.point(i, j, k);
+              }
             }
           } // end if queue.empty()
         } // end while !queue.empty() (with local indices i, j, k)
diff -pruN 5.0.2-3/demo/Three/CMakeLists.txt 5.0.3-1/demo/Three/CMakeLists.txt
--- 5.0.2-3/demo/Three/CMakeLists.txt	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/demo/Three/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -13,8 +13,8 @@ find_package(CGAL QUIET COMPONENTS Core
 if ( CGAL_FOUND )
     include(${CGAL_USE_FILE})
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/demo/Three/Example_plugin/CMakeLists.txt 5.0.3-1/demo/Three/Example_plugin/CMakeLists.txt
--- 5.0.2-3/demo/Three/Example_plugin/CMakeLists.txt	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/demo/Three/Example_plugin/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -16,18 +16,18 @@ find_package(Qt5
              QUIET
              COMPONENTS            OpenGL Script Svg Xml
              OPTIONAL_COMPONENTS   ScriptTools)
-             
-if(Qt5_FOUND AND CGAL_FOUND)  
+
+if(Qt5_FOUND AND CGAL_FOUND)
   find_package(CGAL_polyhedron_demo)
 
 include( ${CGAL_POLYHEDRON_DEMO_USE_FILE} )
 
 # Let plugins be compiled in the same directory as the executable.
 set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}")
-           
+
 
   polyhedron_demo_plugin(example_plugin Example_plugin)
-  
+
   qt5_wrap_ui( basicUI_FILES Basic_dialog.ui  )
   polyhedron_demo_plugin(basic_plugin Basic_plugin ${basicUI_FILES})
 
diff -pruN 5.0.2-3/demo/Triangulation_2/CMakeLists.txt 5.0.3-1/demo/Triangulation_2/CMakeLists.txt
--- 5.0.2-3/demo/Triangulation_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -35,7 +35,7 @@ qt5_add_resources ( CD_RES_FILE Constrai
 qt5_wrap_ui( CD_UI_FILES Constrained_Delaunay_triangulation_2.ui)
 # The executable itself.
 add_executable( Constrained_Delaunay_triangulation_2
-  Constrained_Delaunay_triangulation_2.cpp ${CD_UI_FILES} ${CGAL_Qt5_RESOURCE_FILES} 
+  Constrained_Delaunay_triangulation_2.cpp ${CD_UI_FILES} ${CGAL_Qt5_RESOURCE_FILES}
   ${CD_RES_FILE})
 target_link_libraries( Constrained_Delaunay_triangulation_2
   PRIVATE CGAL::CGAL CGAL::CGAL_Qt5 Qt5::Widgets)
diff -pruN 5.0.2-3/demo/Triangulation_2/Constrained_Delaunay_triangulation_2.cpp 5.0.3-1/demo/Triangulation_2/Constrained_Delaunay_triangulation_2.cpp
--- 5.0.2-3/demo/Triangulation_2/Constrained_Delaunay_triangulation_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_2/Constrained_Delaunay_triangulation_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -89,7 +89,7 @@ discoverInfiniteComponent(const CDT & ct
     Face_handle fh = queue.front();
     queue.pop_front();
     fh->set_in_domain(false);
-    
+
     for(int i = 0; i < 3; i++)
     {
       Face_handle fi = fh->neighbor(i);
@@ -101,7 +101,7 @@ discoverInfiniteComponent(const CDT & ct
 }
 
 template<typename SeedList>
-void 
+void
 discoverComponents(const CDT & ct,
                    const SeedList& seeds)
 {
@@ -146,7 +146,7 @@ discoverComponents(const CDT & ct,
       }
     }
   }
-} 
+}
 
 
 
@@ -155,9 +155,9 @@ class MainWindow :
   public Ui::Constrained_Delaunay_triangulation_2
 {
   Q_OBJECT
-  
-private:  
-  CDT cdt; 
+
+private:
+  CDT cdt;
   QGraphicsScene scene;
   std::list<Point_2> m_seeds;
 
@@ -173,7 +173,7 @@ public:
   void clear();
 
 private:
-  template <typename Iterator> 
+  template <typename Iterator>
   void insert_polyline(Iterator b, Iterator e)
   {
     Point_2 p, q;
@@ -190,7 +190,7 @@ private:
         vh = wh;
         p = q;
       } else {
-        std::cout << "duplicate point: " << p << std::endl; 
+        std::cout << "duplicate point: " << p << std::endl;
       }
     }
     Q_EMIT( changed());
@@ -218,9 +218,9 @@ public Q_SLOTS:
   void on_actionShow_seeds_toggled(bool checked);
 
   void on_actionInsertPolyline_toggled(bool checked);
-  
+
   void on_actionInsertSeeds_OnOff_toggled(bool checked);
-  
+
   void on_actionCircumcenter_toggled(bool checked);
 
   void on_actionClear_triggered();
@@ -230,7 +230,7 @@ public Q_SLOTS:
   void on_actionLoadConstraints_triggered();
 
   void loadWKT(QString);
-  
+
   void loadFile(QString);
 
   void loadPolyConstraints(QString);
@@ -274,7 +274,7 @@ MainWindow::MainWindow()
   QColor facesColor(::Qt::blue);
   facesColor.setAlpha(150);
   dgi->setFacesInDomainBrush(facesColor);
-    
+
   QObject::connect(this, SIGNAL(changed()),
                    dgi, SLOT(modelChanged()));
   dgi->setVerticesPen(
@@ -288,30 +288,30 @@ MainWindow::MainWindow()
   scene.addItem(dgi);
 
   // Setup input handlers. They get events before the scene gets them
-  // and the input they generate is passed to the triangulation with 
-  // the signal/slot mechanism    
+  // and the input they generate is passed to the triangulation with
+  // the signal/slot mechanism
   pi = new CGAL::Qt::GraphicsViewPolylineInput<K>(this, &scene, 0, true); // inputs polylines which are not closed
   QObject::connect(pi, SIGNAL(generate(CGAL::Object)),
                    this, SLOT(processInput(CGAL::Object)));
-  
+
   tcc = new CGAL::Qt::TriangulationCircumcircle<CDT>(&scene, &cdt, this);
   tcc->setPen(QPen(Qt::red, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
-  
+
   dms = new CGAL::Qt::DelaunayMeshInsertSeeds<CDT>(&scene, &cdt, this);//input seeds
   QObject::connect(dms, SIGNAL(generate(CGAL::Object)),
                    this, SLOT(processInput(CGAL::Object)));
 
-  // 
+  //
   // Manual handling of actions
   //
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
                    this, SLOT(close()));
-  
+
   // We put mutually exclusive actions in an QActionGroup
   QActionGroup* ag = new QActionGroup(this);
   ag->addAction(this->actionInsertPolyline);
 
-  // Check two actions 
+  // Check two actions
   this->actionInsertPolyline->setChecked(true);
   this->actionShowDelaunay->setChecked(true);
   this->actionShowVertices->setChecked(true);
@@ -332,7 +332,7 @@ MainWindow::MainWindow()
 
   // Turn the vertical axis upside down
   this->graphicsView->scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -378,10 +378,10 @@ MainWindow::processInput(CGAL::Object o)
 }
 
 
-/* 
+/*
  *  Qt Automatic Connections
  *  https://doc.qt.io/qt-5/designer-using-a-ui-file.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -478,7 +478,7 @@ MainWindow::on_actionCircumcenter_toggle
   if(checked){
     scene.installEventFilter(tcc);
     tcc->show();
-  } else {  
+  } else {
     scene.removeEventFilter(tcc);
     tcc->hide();
   }
@@ -502,7 +502,7 @@ MainWindow::clear()
     dgi->setVisibleSeeds(true, m_seeds.end(), m_seeds.end());
 }
 
-void 
+void
 MainWindow::open(QString fileName)
 {
   if(! fileName.isEmpty()){
@@ -542,9 +542,9 @@ void
 MainWindow::on_actionLoadConstraints_triggered()
 {
   QString fileName = QFileDialog::getOpenFileName(this,
-						  tr("Open Constraint File"),
-						  ".",
-						  tr("Edge files (*.edg);;"
+                                                  tr("Open Constraint File"),
+                                                  ".",
+                                                  tr("Edge files (*.edg);;"
                                                      "Polyline files (*.polygons.cgal);;"
                                                      "Poly files (*.poly);;"
                                                      "Plg files (*.plg);;"
@@ -556,7 +556,7 @@ MainWindow::on_actionLoadConstraints_tri
   open(fileName);
 }
 
-void 
+void
 MainWindow::loadWKT(QString
                     #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
                     filename
@@ -576,19 +576,19 @@ MainWindow::loadWKT(QString
     {
       if(p.outer_boundary().is_empty())
         continue;
-      
+
       for(Point point : p.outer_boundary().container())
           cdt.insert(point);
-      for(Polygon::General_polygon_2::Edge_const_iterator 
+      for(Polygon::General_polygon_2::Edge_const_iterator
           e_it=p.outer_boundary().edges_begin(); e_it != p.outer_boundary().edges_end(); ++e_it)
         cdt.insert_constraint(e_it->source(), e_it->target());
-      
-      for(Polygon::Hole_const_iterator h_it = 
+
+      for(Polygon::Hole_const_iterator h_it =
           p.holes_begin(); h_it != p.holes_end(); ++h_it)
-      {                  
+      {
         for(Point point : h_it->container())
             cdt.insert(point);
-        for(Polygon::General_polygon_2::Edge_const_iterator 
+        for(Polygon::General_polygon_2::Edge_const_iterator
             e_it=h_it->edges_begin(); e_it != h_it->edges_end(); ++e_it)
         {
           cdt.insert_constraint(e_it->source(), e_it->target());
@@ -611,7 +611,7 @@ MainWindow::loadWKT(QString
       K::Point_2 p,q, qold(0,0); // initialize to avoid maybe-uninitialized warning from GCC6
       bool first = true;
       CDT::Vertex_handle vp, vq, vqold;
-      LineString::const_iterator it = 
+      LineString::const_iterator it =
           ls.begin();
       for(; it != ls.end(); ++it) {
         p = *it++;
@@ -634,7 +634,7 @@ MainWindow::loadWKT(QString
       }
     }
   }while(ifs.good() && !ifs.eof());
-  
+
   //Points
   ifs.clear();
   ifs.seekg(0, ifs.beg);
@@ -647,7 +647,7 @@ MainWindow::loadWKT(QString
       cdt.insert(p);
     }
   }while(ifs.good() && !ifs.eof());
-  
+
   discoverComponents(cdt, m_seeds);
   Q_EMIT( changed());
   actionRecenter->trigger();
@@ -704,7 +704,7 @@ MainWindow::loadPolygonConstraints(QStri
       cdt.insert_constraint(vp, vfirst);
     }
   }
-  
+
   discoverComponents(cdt, m_seeds);
   Q_EMIT( changed());
   actionRecenter->trigger();
@@ -722,7 +722,7 @@ MainWindow::loadEdgConstraints(QString f
   bool first=true;
   int n;
   ifs >> n;
-  
+
   K::Point_2 p,q, qold(0,0); // initialize to avoid maybe-uninitialized warning from GCC6
 
   CDT::Vertex_handle vp, vq, vqold;
@@ -759,7 +759,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(dgi->boundingRect());
-  this->graphicsView->fitInView(dgi->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(dgi->boundingRect(), Qt::KeepAspectRatio);
 }
 
 
@@ -768,8 +768,8 @@ MainWindow::on_actionSaveConstraints_tri
 {
   QString fileName = QFileDialog::getSaveFileName(this,
 
-						  tr("Save Constraints"),
-						  ".",
+                                                  tr("Save Constraints"),
+                                                  ".",
                                                   tr("CGAL files (*.cpts.cgal);;"
                                                      "VTU files (*.vtu);;"
                                                      "All (*)"));
@@ -783,7 +783,7 @@ void
 MainWindow::saveConstraints(QString fileName)
 {
   std::ofstream output(qPrintable(fileName));
-  
+
   if(!fileName.endsWith("vtu") && output)
     output << cdt;
   else if (output)
@@ -915,8 +915,8 @@ MainWindow::on_actionInsertRandomPoints_
   CGAL::Random_points_in_iso_rectangle_2<Point_2> pg((isor.min)(), (isor.max)());
   bool ok = false;
 
-  const int number_of_points = 
-      QInputDialog::getInt(this, 
+  const int number_of_points =
+      QInputDialog::getInt(this,
                            tr("Number of random points"),
                            tr("Enter number of random points"),
                            100,
@@ -924,7 +924,7 @@ MainWindow::on_actionInsertRandomPoints_
                            (std::numeric_limits<int>::max)(),
                            1,
                            &ok);
-  
+
   if(!ok) {
     return;
   }
diff -pruN 5.0.2-3/demo/Triangulation_2/DelaunayMeshInsertSeeds.h 5.0.3-1/demo/Triangulation_2/DelaunayMeshInsertSeeds.h
--- 5.0.2-3/demo/Triangulation_2/DelaunayMeshInsertSeeds.h	2020-02-21 20:03:15.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_2/DelaunayMeshInsertSeeds.h	2020-08-01 19:02:21.000000000 +0000
@@ -28,7 +28,7 @@ public:
 
 protected:
 
-  void mousePressEvent(QGraphicsSceneMouseEvent *event); 
+  void mousePressEvent(QGraphicsSceneMouseEvent *event);
   bool eventFilter(QObject *obj, QEvent *event);
 
 private:
@@ -39,9 +39,9 @@ private:
 
 
 template <typename T>
-void 
+void
 DelaunayMeshInsertSeeds<T>::mousePressEvent(QGraphicsSceneMouseEvent *event)
-{  
+{
   if((event->modifiers() & ::Qt::ShiftModifier)
     && event->button() == ::Qt::LeftButton)
   {
@@ -55,12 +55,12 @@ DelaunayMeshInsertSeeds<T>::mousePressEv
 
 
 template <typename T>
-bool 
+bool
 DelaunayMeshInsertSeeds<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMousePress)
   {
-    QGraphicsSceneMouseEvent *mouseEvent 
+    QGraphicsSceneMouseEvent *mouseEvent
       = static_cast<QGraphicsSceneMouseEvent *>(event);
     mousePressEvent(mouseEvent);
     return false;
@@ -70,7 +70,7 @@ DelaunayMeshInsertSeeds<T>::eventFilter(
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 
 } // namespace Qt
diff -pruN 5.0.2-3/demo/Triangulation_2/Delaunay_triangulation_2.cpp 5.0.3-1/demo/Triangulation_2/Delaunay_triangulation_2.cpp
--- 5.0.2-3/demo/Triangulation_2/Delaunay_triangulation_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_2/Delaunay_triangulation_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -29,7 +29,7 @@
 
 // for viewportsBbox
 #include <CGAL/Qt/utility.h>
-  
+
 // the two base classes
 #include "ui_Delaunay_triangulation_2.h"
 #include <CGAL/Qt/DemosMainWindow.h>
@@ -45,10 +45,10 @@ class MainWindow :
   public Ui::Delaunay_triangulation_2
 {
   Q_OBJECT
-  
-private:  
-  Delaunay dt; 
-  QGraphicsScene scene;  
+
+private:
+  Delaunay dt;
+  QGraphicsScene scene;
 
   CGAL::Qt::TriangulationGraphicsItem<Delaunay> * dgi;
   CGAL::Qt::VoronoiGraphicsItem<Delaunay> * vgi;
@@ -76,7 +76,7 @@ public Q_SLOTS:
   void on_actionShowVoronoi_toggled(bool checked);
 
   void on_actionInsertPoint_toggled(bool checked);
-  
+
   void on_actionInsertRandomPoints_triggered();
 
   void on_actionLoadPoints_triggered();
@@ -105,7 +105,7 @@ MainWindow::MainWindow()
   dgi = new CGAL::Qt::TriangulationGraphicsItem<Delaunay>(&dt);
 
   QObject::connect(this, SIGNAL(changed()),
-		   dgi, SLOT(modelChanged()));
+                   dgi, SLOT(modelChanged()));
 
   dgi->setVerticesPen(QPen(Qt::red, 3, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   scene.addItem(dgi);
@@ -114,42 +114,42 @@ MainWindow::MainWindow()
   vgi = new CGAL::Qt::VoronoiGraphicsItem<Delaunay>(&dt);
 
   QObject::connect(this, SIGNAL(changed()),
-		   vgi, SLOT(modelChanged()));
+                   vgi, SLOT(modelChanged()));
 
   vgi->setEdgesPen(QPen(Qt::blue, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   scene.addItem(vgi);
   vgi->hide();
 
   // Setup input handlers. They get events before the scene gets them
-  // and the input they generate is passed to the triangulation with 
-  // the signal/slot mechanism    
+  // and the input they generate is passed to the triangulation with
+  // the signal/slot mechanism
   pi = new CGAL::Qt::TriangulationPointInputAndConflictZone<Delaunay>(&scene, &dt, this );
 
   QObject::connect(pi, SIGNAL(generate(CGAL::Object)),
-		   this, SLOT(processInput(CGAL::Object)));
+                   this, SLOT(processInput(CGAL::Object)));
 
   mp = new CGAL::Qt::TriangulationMovingPoint<Delaunay>(&dt, this);
   // TriangulationMovingPoint<Delaunay> emits a modelChanged() signal each
   // time the moving point moves.
   // The following connection is for the purpose of emitting changed().
   QObject::connect(mp, SIGNAL(modelChanged()),
-		   this, SIGNAL(changed()));
+                   this, SIGNAL(changed()));
 
   trv = new CGAL::Qt::TriangulationRemoveVertex<Delaunay>(&dt, this);
   QObject::connect(trv, SIGNAL(modelChanged()),
-		   this, SIGNAL(changed()));
+                   this, SIGNAL(changed()));
 
   tcc = new CGAL::Qt::TriangulationCircumcircle<Delaunay>(&scene, &dt, this);
   tcc->setPen(QPen(Qt::red, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
 
   cz = new CGAL::Qt::TriangulationConflictZone<Delaunay>(&scene, &dt, this);
 
-  // 
+  //
   // Manual handling of actions
   //
 
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   this, SLOT(close()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   this, SLOT(close()));
 
   // We put mutually exclusive actions in an QActionGroup
   QActionGroup* ag = new QActionGroup(this);
@@ -158,7 +158,7 @@ MainWindow::MainWindow()
   ag->addAction(this->actionCircumcenter);
   ag->addAction(this->actionShowConflictZone);
 
-  // Check two actions 
+  // Check two actions
   this->actionInsertPoint->setChecked(true);
   this->actionShowDelaunay->setChecked(true);
 
@@ -172,7 +172,7 @@ MainWindow::MainWindow()
 
   // Turn the vertical axis upside down
   this->graphicsView->matrix().scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -185,7 +185,7 @@ MainWindow::MainWindow()
 
   this->addRecentFiles(this->menuFile, this->actionQuit);
   connect(this, SIGNAL(openRecentFile(QString)),
-	  this, SLOT(open(QString)));
+          this, SLOT(open(QString)));
 }
 
 
@@ -200,10 +200,10 @@ MainWindow::processInput(CGAL::Object o)
 }
 
 
-/* 
+/*
  *  Qt Automatic Connections
  *  https://doc.qt.io/qt-5/designer-using-a-ui-file.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -249,7 +249,7 @@ MainWindow::on_actionCircumcenter_toggle
   if(checked){
     scene.installEventFilter(tcc);
     tcc->show();
-  } else {  
+  } else {
     scene.removeEventFilter(tcc);
     tcc->hide();
   }
@@ -282,20 +282,20 @@ void
 MainWindow::on_actionInsertRandomPoints_triggered()
 {
   QRectF rect = CGAL::Qt::viewportsBbox(&scene);
-  CGAL::Qt::Converter<K> convert;  
+  CGAL::Qt::Converter<K> convert;
   Iso_rectangle_2 isor = convert(rect);
   CGAL::Random_points_in_iso_rectangle_2<Point_2> pg((isor.min)(), (isor.max)());
   bool ok = false;
 
-  const int number_of_points = 
-    QInputDialog::getInt(this, 
+  const int number_of_points =
+    QInputDialog::getInt(this,
                              tr("Number of random points"),
                              tr("Enter number of random points"),
-			     100,
-			     0,
-			     (std::numeric_limits<int>::max)(),
-			     1,
-			     &ok);
+                             100,
+                             0,
+                             (std::numeric_limits<int>::max)(),
+                             1,
+                             &ok);
 
   if(!ok) {
     return;
@@ -319,7 +319,7 @@ void
 MainWindow::on_actionLoadPoints_triggered()
 {
   QString fileName = QFileDialog::getOpenFileName(this,
-						  tr("Open Points file"),
+                                                  tr("Open Points file"),
                                                   ".",
                                                   tr("CGAL files (*.pts.cgal);;"
                                                    #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
@@ -338,7 +338,7 @@ MainWindow::open(QString fileName)
   // wait cursor
   QApplication::setOverrideCursor(Qt::WaitCursor);
   std::ifstream ifs(qPrintable(fileName));
-  
+
   K::Point_2 p;
   std::vector<K::Point_2> points;
   if(fileName.endsWith(".wkt", Qt::CaseInsensitive))
@@ -350,7 +350,7 @@ MainWindow::open(QString fileName)
   else
     while(ifs >> p) {
       // ignore whatever comes after x and y
-      ifs.ignore((std::numeric_limits<std::streamsize>::max)(), '\n'); 
+      ifs.ignore((std::numeric_limits<std::streamsize>::max)(), '\n');
       points.push_back(p);
     }
   dt.insert(points.begin(), points.end());
@@ -360,7 +360,7 @@ MainWindow::open(QString fileName)
   this->addToRecentFiles(fileName);
   actionRecenter->trigger();
   Q_EMIT( changed());
-    
+
 }
 
 void
@@ -381,7 +381,7 @@ MainWindow::on_actionSavePoints_triggere
 #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
       std::vector<K::Point_2> points;
       points.reserve(dt.number_of_vertices());
-      for(Delaunay::Finite_vertices_iterator 
+      for(Delaunay::Finite_vertices_iterator
           vit = dt.finite_vertices_begin(),
           end = dt.finite_vertices_end();
           vit!= end; ++vit)
@@ -392,7 +392,7 @@ MainWindow::on_actionSavePoints_triggere
 #endif
     }
     else
-      for(Delaunay::Finite_vertices_iterator 
+      for(Delaunay::Finite_vertices_iterator
           vit = dt.finite_vertices_begin(),
           end = dt.finite_vertices_end();
           vit!= end; ++vit)
@@ -407,7 +407,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(dgi->boundingRect());
-  this->graphicsView->fitInView(dgi->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(dgi->boundingRect(), Qt::KeepAspectRatio);
 }
 
 
diff -pruN 5.0.2-3/demo/Triangulation_2/include/CGAL/Lipschitz_sizing_field_criteria_2.h 5.0.3-1/demo/Triangulation_2/include/CGAL/Lipschitz_sizing_field_criteria_2.h
--- 5.0.2-3/demo/Triangulation_2/include/CGAL/Lipschitz_sizing_field_criteria_2.h	2020-02-21 20:03:16.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_2/include/CGAL/Lipschitz_sizing_field_criteria_2.h	2020-08-01 19:02:21.000000000 +0000
@@ -18,22 +18,22 @@ class Lipschitz_sizing_field_criteria_2
 {
 
 public:
-    
+
   typedef SF Sizing_field;
-    
+
 protected:
-    
+
   Sizing_field* sizing_field;
 
   typedef typename CDT::Geom_traits Geom_traits;
   Geom_traits traits;
-    
+
 public:
-    
+
   typedef Delaunay_mesh_criteria_2<CDT> Base;
-    
+
   Lipschitz_sizing_field_criteria_2(const double aspect_bound = 0.125,
-				    Sizing_field* sf = 0,
+                                    Sizing_field* sf = 0,
                                     const Geom_traits& traits = Geom_traits())
     : Base(aspect_bound), sizing_field(sf), traits(traits)
   {}
@@ -54,29 +54,29 @@ public:
   struct Quality : public std::pair<double, double>
   {
     typedef std::pair<double, double> Base;
-      
+
     Quality() : Base() {};
     Quality(double _sine, double _size) : Base(_sine, _size) {};
-      
+
     const double& size() const { return second; }
     const double& sine() const { return first; }
-      
+
     // q1<q2 means q1 is prioritised over q2
     // ( q1 == *this, q2 == q )
     bool operator<(const Quality& q) const
     {
       if( size() > 1 )
-	if( q.size() > 1 )
-	  return ( size() > q.size() );
-	else
-	  return true; // *this is big but not q
+        if( q.size() > 1 )
+          return ( size() > q.size() );
+        else
+          return true; // *this is big but not q
       else
-	if( q.size() >  1 )
-	  return false; // q is big but not *this
+        if( q.size() >  1 )
+          return false; // q is big but not *this
       return( sine() < q.sine() );
     }
   };
-    
+
   class Is_bad : public Base::Is_bad
   {
   protected:
@@ -87,7 +87,7 @@ public:
 
     typedef typename Base::Is_bad::Point_2 Point_2;
 
-    Is_bad(const double aspect_bound, Sizing_field* sf, 
+    Is_bad(const double aspect_bound, Sizing_field* sf,
            const Geom_traits& traits)
       : Base::Is_bad(aspect_bound, traits), sizing_field(sf)
     {
@@ -98,49 +98,49 @@ public:
       typedef typename CDT::Geom_traits Geom_traits;
       typedef typename Geom_traits::Compute_area_2 Compute_area_2;
       typedef typename Geom_traits::Compute_squared_distance_2 Compute_squared_distance_2;
-	    
+
       Geom_traits traits; /** @warning traits with data!! */
-	    
+
       Compute_squared_distance_2 squared_distance = traits.compute_squared_distance_2_object();
 
       const Point_2& pa = fh->vertex(0)->point();
       const Point_2& pb = fh->vertex(1)->point();
       const Point_2& pc = fh->vertex(2)->point();
-	    
+
       double
-	a = CGAL::to_double(squared_distance(pb, pc)),
-	b = CGAL::to_double(squared_distance(pc, pa)),
-	c = CGAL::to_double(squared_distance(pa, pb));
-	    
+        a = CGAL::to_double(squared_distance(pb, pc)),
+        b = CGAL::to_double(squared_distance(pc, pa)),
+        c = CGAL::to_double(squared_distance(pa, pb));
+
       double max_length; // squared max edge length
       double second_max_length;
-	    
+
       if(a < b)
-	{
-	  if(b < c) 
-	    {
-	      max_length = c;
-	      second_max_length = b;
-	    }
-	  else 
-	    { // c<=b
-	      max_length = b;
-	      second_max_length = ( a < c ? c : a );
-	    }
-	}
+        {
+          if(b < c)
+            {
+              max_length = c;
+              second_max_length = b;
+            }
+          else
+            { // c<=b
+              max_length = b;
+              second_max_length = ( a < c ? c : a );
+            }
+        }
       else // b<=a
-	{
-	  if(a < c) 
-	    {
-	      max_length = c;
-	      second_max_length = a;
-	    }
-	  else 
-	    { // c<=a
-	      max_length = a;
-	      second_max_length = ( b < c ? c : b );
-	    }
-	}
+        {
+          if(a < c)
+            {
+              max_length = c;
+              second_max_length = a;
+            }
+          else
+            { // c<=a
+              max_length = a;
+              second_max_length = ( b < c ? c : b );
+            }
+        }
 
       q.second = 0;
 
@@ -150,50 +150,50 @@ public:
       squared_size_bound *= squared_size_bound;
 
       if( squared_size_bound != 0 )
-	{
-	  q.second = max_length / squared_size_bound;
-	  // normalized by size bound to deal
-	  // with size field
-	  if( q.size() > 1 )
-	    {
-	      q.first = 1; // (do not compute sine)
-	      //std::cout << "imperatively bad!!\n";
-	      return Mesh_2::IMPERATIVELY_BAD;
-	    }
-	}
+        {
+          q.second = max_length / squared_size_bound;
+          // normalized by size bound to deal
+          // with size field
+          if( q.size() > 1 )
+            {
+              q.first = 1; // (do not compute sine)
+              //std::cout << "imperatively bad!!\n";
+              return Mesh_2::IMPERATIVELY_BAD;
+            }
+        }
 
       Compute_area_2 area_2 = traits.compute_area_2_object();
-	    
+
       double area = 2*CGAL::to_double(area_2(pa, pb, pc));
-	    
+
       q.first = (area * area) / (max_length * second_max_length); // (sine)
-	    
+
       if( q.sine() < this->B )
-	{
-	  //std::cout << "bad!\n";
-	  return Mesh_2::BAD;
-	}
+        {
+          //std::cout << "bad!\n";
+          return Mesh_2::BAD;
+        }
       else
-	{
-	  //std::cout << "not bad.\n";
-	  return Mesh_2::NOT_BAD;
-	}
+        {
+          //std::cout << "not bad.\n";
+          return Mesh_2::NOT_BAD;
+        }
     }
-	
+
     Mesh_2::Face_badness operator ()(const Quality q) const
     {
       if(q.size() > 1)
-	return Mesh_2::IMPERATIVELY_BAD;
+        return Mesh_2::IMPERATIVELY_BAD;
       if(q.sine() < this->B)
-	return Mesh_2::BAD;
+        return Mesh_2::BAD;
       else
-	return Mesh_2::NOT_BAD;
+        return Mesh_2::NOT_BAD;
     }
 
   };
 
   Is_bad is_bad_object() const
-  { 
+  {
     return Is_bad(this->bound(), sizing_field, traits);
   }
 
diff -pruN 5.0.2-3/demo/Triangulation_2/Regular_triangulation_2.cpp 5.0.3-1/demo/Triangulation_2/Regular_triangulation_2.cpp
--- 5.0.2-3/demo/Triangulation_2/Regular_triangulation_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_2/Regular_triangulation_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -23,7 +23,7 @@
 #include <CGAL/Qt/GraphicsViewCircleInput.h>
 #include <CGAL/Qt/RegularTriangulationGraphicsItem.h>
 #include <CGAL/Qt/PowerdiagramGraphicsItem.h>
-  
+
 // for viewportsBbox
 #include <CGAL/Qt/utility.h>
 // the two base classes
@@ -43,10 +43,10 @@ class MainWindow :
   public Ui::Regular_triangulation_2
 {
   Q_OBJECT
-  
-private:  
-  Regular dt; 
-  QGraphicsScene scene;  
+
+private:
+  Regular dt;
+  QGraphicsScene scene;
 
   CGAL::Qt::RegularTriangulationGraphicsItem<Regular> * dgi;
   CGAL::Qt::PowerdiagramGraphicsItem<Regular> * vgi;
@@ -65,7 +65,7 @@ public Q_SLOTS:
   void on_actionShowPowerdiagram_toggled(bool checked);
 
   void on_actionInsertPoint_toggled(bool checked);
-  
+
   void on_actionInsertRandomPoints_triggered();
 
   void on_actionLoadPoints_triggered();
@@ -91,7 +91,7 @@ MainWindow::MainWindow()
   dgi = new CGAL::Qt::RegularTriangulationGraphicsItem<Regular>(&dt);
 
   QObject::connect(this, SIGNAL(changed()),
-		   dgi, SLOT(modelChanged()));
+                   dgi, SLOT(modelChanged()));
 
   dgi->setVerticesPen(QPen(Qt::red, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   scene.addItem(dgi);
@@ -100,36 +100,36 @@ MainWindow::MainWindow()
   vgi = new CGAL::Qt::PowerdiagramGraphicsItem<Regular>(&dt);
 
   QObject::connect(this, SIGNAL(changed()),
-		   vgi, SLOT(modelChanged()));
+                   vgi, SLOT(modelChanged()));
 
   vgi->setEdgesPen(QPen(Qt::blue, 0, Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin));
   scene.addItem(vgi);
   vgi->hide();
 
   // Setup input handlers. They get events before the scene gets them
-  // and the input they generate is passed to the triangulation with 
-  // the signal/slot mechanism    
+  // and the input they generate is passed to the triangulation with
+  // the signal/slot mechanism
   pi = new CGAL::Qt::GraphicsViewCircleInput<K>(this, &scene, 1); // emits center/radius
-                                                                           
+
 
   QObject::connect(pi, SIGNAL(generate(CGAL::Object)),
-		   this, SLOT(processInput(CGAL::Object)));
+                   this, SLOT(processInput(CGAL::Object)));
 
   trv = new CGAL::Qt::RegularTriangulationRemoveVertex<Regular>(&dt, this);
   QObject::connect(trv, SIGNAL(modelChanged()),
-		   this, SIGNAL(changed()));
+                   this, SIGNAL(changed()));
 
-  // 
+  //
   // Manual handling of actions
   //
-  QObject::connect(this->actionQuit, SIGNAL(triggered()), 
-		   this, SLOT(close()));
+  QObject::connect(this->actionQuit, SIGNAL(triggered()),
+                   this, SLOT(close()));
 
   // We put mutually exclusive actions in an QActionGroup
   QActionGroup* ag = new QActionGroup(this);
   ag->addAction(this->actionInsertPoint);
 
-  // Check two actions 
+  // Check two actions
   this->actionInsertPoint->setChecked(true);
   this->actionShowRegular->setChecked(true);
 
@@ -143,7 +143,7 @@ MainWindow::MainWindow()
 
   // Turn the vertical axis upside down
   this->graphicsView->matrix().scale(1, -1);
-                                                      
+
   // The navigation adds zooming and translation functionality to the
   // QGraphicsView
   this->addNavigation(this->graphicsView);
@@ -168,10 +168,10 @@ MainWindow::processInput(CGAL::Object o)
 }
 
 
-/* 
+/*
  *  Qt Automatic Connections
  *  https://doc.qt.io/qt-5/designer-using-a-ui-file.html#automatic-connections
- * 
+ *
  *  setupUi(this) generates connections to the slots named
  *  "on_<action_name>_<signal_name>"
  */
@@ -220,8 +220,8 @@ MainWindow::on_actionInsertRandomPoints_
   CGAL::Random_points_in_iso_rectangle_2<Point_2> pg((isor.min)(), (isor.max)());
   CGAL::Random rnd(CGAL::get_default_random());
 
-  const int number_of_points = 
-    QInputDialog::getInt(this, 
+  const int number_of_points =
+    QInputDialog::getInt(this,
                              tr("Number of random points"),
                              tr("Enter number of random points"), 100, 0);
 
@@ -244,7 +244,7 @@ void
 MainWindow::on_actionLoadPoints_triggered()
 {
   QString fileName = QFileDialog::getOpenFileName(this,
-						  tr("Open Points file"),
+                                                  tr("Open Points file"),
                                                   ".",
                                                   tr("Weighted Points (*.wpts.cgal);;"
                                                    #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
@@ -285,7 +285,7 @@ void
 MainWindow::on_actionSavePoints_triggered()
 {
   QString fileName = QFileDialog::getSaveFileName(this,
-						  tr("Save points"),
+                                                  tr("Save points"),
                                                   ".reg.cgal",
                                                   tr("Weighted Points (*.wpts.cgal);;"
                                                    #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
@@ -298,12 +298,12 @@ MainWindow::on_actionSavePoints_triggere
     {
 #if BOOST_VERSION >= 105600 && (! defined(BOOST_GCC) || BOOST_GCC >= 40500)
       std::vector<K::Point_3> points_3;
-      for(Regular::Finite_vertices_iterator 
+      for(Regular::Finite_vertices_iterator
           vit = dt.finite_vertices_begin(),
           end = dt.finite_vertices_end();
           vit!= end; ++vit)
       {
-        points_3.push_back(K::Point_3(vit->point().x(), 
+        points_3.push_back(K::Point_3(vit->point().x(),
                                       vit->point().y(),
                                       vit->point().weight()));
       }
@@ -312,7 +312,7 @@ MainWindow::on_actionSavePoints_triggere
     }
     else
     {
-      for(Regular::Finite_vertices_iterator 
+      for(Regular::Finite_vertices_iterator
           vit = dt.finite_vertices_begin(),
           end = dt.finite_vertices_end();
           vit!= end; ++vit)
@@ -328,7 +328,7 @@ void
 MainWindow::on_actionRecenter_triggered()
 {
   this->graphicsView->setSceneRect(dgi->boundingRect());
-  this->graphicsView->fitInView(dgi->boundingRect(), Qt::KeepAspectRatio);  
+  this->graphicsView->fitInView(dgi->boundingRect(), Qt::KeepAspectRatio);
 }
 
 
diff -pruN 5.0.2-3/demo/Triangulation_2/RegularTriangulationRemoveVertex.h 5.0.3-1/demo/Triangulation_2/RegularTriangulationRemoveVertex.h
--- 5.0.2-3/demo/Triangulation_2/RegularTriangulationRemoveVertex.h	2020-02-21 20:03:15.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_2/RegularTriangulationRemoveVertex.h	2020-08-01 19:02:21.000000000 +0000
@@ -24,7 +24,7 @@ public:
 protected:
 
   void mousePressEvent(QGraphicsSceneMouseEvent *event);
- 
+
   bool eventFilter(QObject *obj, QEvent *event);
 
   DT * dt;
@@ -33,16 +33,16 @@ protected:
 
 template <typename T>
 RegularTriangulationRemoveVertex<T>::RegularTriangulationRemoveVertex(T * dt_,
-							  QObject* parent)
+                                                          QObject* parent)
   :  GraphicsViewInput(parent), dt(dt_)
 {}
 
 
 
 template <typename T>
-void 
+void
 RegularTriangulationRemoveVertex<T>::mousePressEvent(QGraphicsSceneMouseEvent *event)
-{  
+{
   if((event->modifiers()  & ::Qt::ShiftModifier)
      && (! (event->modifiers() & ::Qt::ControlModifier))){
     if(dt->number_of_vertices() == 0){
@@ -60,7 +60,7 @@ RegularTriangulationRemoveVertex<T>::mou
 
 
 template <typename T>
-bool 
+bool
 RegularTriangulationRemoveVertex<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMousePress) {
@@ -71,7 +71,7 @@ RegularTriangulationRemoveVertex<T>::eve
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 
 } // namespace Qt
diff -pruN 5.0.2-3/demo/Triangulation_2/TriangulationCircumcircle.h 5.0.3-1/demo/Triangulation_2/TriangulationCircumcircle.h
--- 5.0.2-3/demo/Triangulation_2/TriangulationCircumcircle.h	2020-02-21 20:03:15.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_2/TriangulationCircumcircle.h	2020-08-01 19:02:21.000000000 +0000
@@ -1,7 +1,7 @@
 #ifndef CGAL_QT_TRIANGULATION_CIRCUMCIRCLE_H
 #define CGAL_QT_TRIANGULATION_CIRCUMCIRCLE_H
 
-#include <QGraphicsSceneMouseEvent> 
+#include <QGraphicsSceneMouseEvent>
 #include <QGraphicsScene>
 #include <QGraphicsEllipseItem>
 #include <QEvent>
@@ -19,12 +19,12 @@ class TriangulationCircumcircle : public
 public:
   TriangulationCircumcircle(QGraphicsScene* s, DT  * dt_, QObject* parent);
   ~TriangulationCircumcircle();
- 
+
   void setPen(const QPen& pen);
 
   void show();
   void hide();
-  
+
 protected:
 
   virtual void mouseMoveEvent(QGraphicsSceneMouseEvent *event);
@@ -85,7 +85,7 @@ TriangulationCircumcircle<T>::hide()
 
 
 template <typename T>
-void 
+void
 TriangulationCircumcircle<T>::mouseMoveEvent(QGraphicsSceneMouseEvent *event)
 {
   if(dt->dimension() != 2){
@@ -100,8 +100,8 @@ TriangulationCircumcircle<T>::mouseMoveE
   fh = dt->locate(p, hint->face());
   hint = fh->vertex(0);
   if(!dt->is_infinite(fh)){
-    typename T::Geom_traits::Circle_2 c(fh->vertex(0)->point(), 
-                                        fh->vertex(1)->point(), 
+    typename T::Geom_traits::Circle_2 c(fh->vertex(0)->point(),
+                                        fh->vertex(1)->point(),
                                         fh->vertex(2)->point());
     CGAL::Bbox_2 bb = c.bbox();
     circle->setRect(bb.xmin(), bb.ymin(), bb.xmax()-bb.xmin(), bb.ymax()-bb.ymin());
@@ -113,7 +113,7 @@ TriangulationCircumcircle<T>::mouseMoveE
 
 
 template <typename T>
-bool 
+bool
 TriangulationCircumcircle<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMouseMove) {
@@ -124,7 +124,7 @@ TriangulationCircumcircle<T>::eventFilte
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 } // namespace Qt
 } // namespace CGAL
diff -pruN 5.0.2-3/demo/Triangulation_2/TriangulationConflictZone.h 5.0.3-1/demo/Triangulation_2/TriangulationConflictZone.h
--- 5.0.2-3/demo/Triangulation_2/TriangulationConflictZone.h	2020-02-21 20:03:15.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_2/TriangulationConflictZone.h	2020-08-01 19:02:21.000000000 +0000
@@ -43,14 +43,14 @@ protected:
 
 template <typename T>
 TriangulationConflictZone<T>::TriangulationConflictZone(QGraphicsScene* s,
-							T * dt_,
-							QObject* parent)
+                                                        T * dt_,
+                                                        QObject* parent)
   :  GraphicsViewInput(parent), dt(dt_), scene_(s), animate(false)
 {}
 
 
 template <typename T>
-void 
+void
 TriangulationConflictZone<T>::localize_and_insert_point(QPointF qt_point)
 {
   Point p(convert(qt_point));
@@ -76,12 +76,12 @@ TriangulationConflictZone<T>::localize_a
       qfaces.push_back(item);
     }
   }
-}  
-  
+}
+
 
 
 template <typename T>
-void 
+void
 TriangulationConflictZone<T>::mousePressEvent(QGraphicsSceneMouseEvent *event)
 {
   if(dt->number_of_vertices() == 0 ||
@@ -106,7 +106,7 @@ TriangulationConflictZone<T>::mouseMoveE
 
 
 template <typename T>
-void 
+void
 TriangulationConflictZone<T>::mouseReleaseEvent(QGraphicsSceneMouseEvent * /*event*/)
 {
   faces.clear();
@@ -122,7 +122,7 @@ TriangulationConflictZone<T>::mouseRelea
 
 
 template <typename T>
-bool 
+bool
 TriangulationConflictZone<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMousePress) {
@@ -141,7 +141,7 @@ TriangulationConflictZone<T>::eventFilte
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 
 } // namespace Qt
diff -pruN 5.0.2-3/demo/Triangulation_2/TriangulationMovingPoint.h 5.0.3-1/demo/Triangulation_2/TriangulationMovingPoint.h
--- 5.0.2-3/demo/Triangulation_2/TriangulationMovingPoint.h	2020-02-21 20:03:15.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_2/TriangulationMovingPoint.h	2020-08-01 19:02:21.000000000 +0000
@@ -39,13 +39,13 @@ protected:
 
 template <typename T>
 TriangulationMovingPoint<T>::TriangulationMovingPoint(T * dt_,
-							  QObject* parent)
+                                                          QObject* parent)
   :  GraphicsViewInput(parent), dt(dt_), vh(), movePointToInsert(false), insertedPoint(false)
 {}
 
 
 template <typename T>
-void 
+void
 TriangulationMovingPoint<T>::localize_and_insert_point(QPointF qt_point)
 {
   Point p(qt_point.x(), qt_point.y());
@@ -65,7 +65,7 @@ TriangulationMovingPoint<T>::localize_an
 
 
 template <typename T>
-void 
+void
 TriangulationMovingPoint<T>::mousePressEvent(QGraphicsSceneMouseEvent *event)
 {
   if(dt->number_of_vertices() == 0 ||
@@ -79,7 +79,7 @@ TriangulationMovingPoint<T>::mousePressE
 
 
 template <typename T>
-void 
+void
 TriangulationMovingPoint<T>::mouseMoveEvent(QGraphicsSceneMouseEvent *event)
 {
 
@@ -98,7 +98,7 @@ TriangulationMovingPoint<T>::mouseMoveEv
 
 
 template <typename T>
-void 
+void
 TriangulationMovingPoint<T>::mouseReleaseEvent(QGraphicsSceneMouseEvent *event)
 {
   if(! movePointToInsert ||
@@ -110,16 +110,16 @@ TriangulationMovingPoint<T>::mouseReleas
     dt->remove(vh);
   }
   vh = Vertex_handle();
-  
+
   Q_EMIT( modelChanged());
- 
+
   movePointToInsert = false;
 }
 
 
 
 template <typename T>
-bool 
+bool
 TriangulationMovingPoint<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMousePress) {
@@ -138,7 +138,7 @@ TriangulationMovingPoint<T>::eventFilter
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 
 } // namespace Qt
diff -pruN 5.0.2-3/demo/Triangulation_2/TriangulationPointInputAndConflictZone.h 5.0.3-1/demo/Triangulation_2/TriangulationPointInputAndConflictZone.h
--- 5.0.2-3/demo/Triangulation_2/TriangulationPointInputAndConflictZone.h	2020-02-21 20:03:15.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_2/TriangulationPointInputAndConflictZone.h	2020-08-01 19:02:21.000000000 +0000
@@ -42,8 +42,8 @@ protected:
 
 template <typename T>
 TriangulationPointInputAndConflictZone<T>::TriangulationPointInputAndConflictZone(QGraphicsScene* s,
-							T * dt_,
-							QObject* parent)
+                                                        T * dt_,
+                                                        QObject* parent)
   :  GraphicsViewInput(parent), dt(dt_), scene_(s)
 {}
 
@@ -51,7 +51,7 @@ TriangulationPointInputAndConflictZone<T
 
 
 template <typename T>
-void 
+void
 TriangulationPointInputAndConflictZone<T>::mousePressEvent(QGraphicsSceneMouseEvent *event)
 {
   p = convert(event->scenePos());
@@ -60,7 +60,7 @@ TriangulationPointInputAndConflictZone<T
      event->button() != ::Qt::LeftButton) {
     return;
   }
-  
+
   QPen blackPen(::Qt::black, 0, ::Qt::SolidLine, ::Qt::RoundCap, ::Qt::RoundJoin);
   dt->find_conflicts(p, faces);
   for(typename std::list<Face_handle>::iterator it = faces.begin();
@@ -80,7 +80,7 @@ TriangulationPointInputAndConflictZone<T
 
 
 template <typename T>
-void 
+void
 TriangulationPointInputAndConflictZone<T>::mouseReleaseEvent(QGraphicsSceneMouseEvent * /*event*/)
 {
   faces.clear();
@@ -97,7 +97,7 @@ TriangulationPointInputAndConflictZone<T
 
 
 template <typename T>
-bool 
+bool
 TriangulationPointInputAndConflictZone<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMousePress) {
@@ -112,7 +112,7 @@ TriangulationPointInputAndConflictZone<T
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 
 } // namespace Qt
diff -pruN 5.0.2-3/demo/Triangulation_2/TriangulationRemoveVertex.h 5.0.3-1/demo/Triangulation_2/TriangulationRemoveVertex.h
--- 5.0.2-3/demo/Triangulation_2/TriangulationRemoveVertex.h	2020-02-21 20:03:15.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_2/TriangulationRemoveVertex.h	2020-08-01 19:02:21.000000000 +0000
@@ -26,7 +26,7 @@ public:
 protected:
 
   void mousePressEvent(QGraphicsSceneMouseEvent *event);
- 
+
   bool eventFilter(QObject *obj, QEvent *event);
 
   DT * dt;
@@ -35,16 +35,16 @@ protected:
 
 template <typename T>
 TriangulationRemoveVertex<T>::TriangulationRemoveVertex(T * dt_,
-							  QObject* parent)
+                                                          QObject* parent)
   :  GraphicsViewInput(parent), dt(dt_)
 {}
 
 
 
 template <typename T>
-void 
+void
 TriangulationRemoveVertex<T>::mousePressEvent(QGraphicsSceneMouseEvent *event)
-{  
+{
   if((event->modifiers()  & ::Qt::ShiftModifier)
      && (! (event->modifiers() & ::Qt::ControlModifier))){
     if(dt->number_of_vertices() == 0){
@@ -61,7 +61,7 @@ TriangulationRemoveVertex<T>::mousePress
 
 
 template <typename T>
-bool 
+bool
 TriangulationRemoveVertex<T>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMousePress) {
@@ -72,7 +72,7 @@ TriangulationRemoveVertex<T>::eventFilte
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 
 } // namespace Qt
diff -pruN 5.0.2-3/demo/Triangulation_3/CMakeLists.txt 5.0.3-1/demo/Triangulation_3/CMakeLists.txt
--- 5.0.2-3/demo/Triangulation_3/CMakeLists.txt	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_3/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -32,7 +32,7 @@ endif(Qt5_FOUND)
 option(CGAL_ACTIVATE_CONCURRENT_TRIANGULATION_3
   "Activate parallelism in Triangulation_3"
   OFF)
-  
+
 # And add -DCGAL_CONCURRENT_TRIANGULATION_3 if that option is ON
 if( CGAL_ACTIVATE_CONCURRENT_TRIANGULATION_3 )
   add_definitions( -DCGAL_CONCURRENT_TRIANGULATION_3 )
@@ -83,13 +83,13 @@ else( CGAL_FOUND AND Qt5_FOUND)
 
   if(NOT CGAL_Qt5_FOUND)
     set(TRIANGULATION_3_MISSING_DEPS "the CGAL Qt5 library, ${TRIANGULATION_3_MISSING_DEPS}")
-  endif()      	   
+  endif()
 
   if(NOT Qt5_FOUND)
     set(TRIANGULATION_3_MISSING_DEPS "Qt5, ${TRIANGULATION_3_MISSING_DEPS}")
-  endif()      	   
+  endif()
+
 
-  
   message(STATUS "NOTICE: This demo requires ${TRIANGULATION_3_MISSING_DEPS}and will not be compiled.")
 
 endif( CGAL_FOUND AND CGAL_Qt5_FOUND AND Qt5_FOUND  )
diff -pruN 5.0.2-3/demo/Triangulation_3/MainWindow.cpp 5.0.3-1/demo/Triangulation_3/MainWindow.cpp
--- 5.0.2-3/demo/Triangulation_3/MainWindow.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_3/MainWindow.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -45,43 +45,43 @@ void MainWindow::connectActions()
 {
   // Edit menu actions
   QObject::connect(this->actionIncremental_Construct, SIGNAL(toggled(bool)),
-	   this->viewer, SLOT(toggleIncremental(bool)));
+           this->viewer, SLOT(toggleIncremental(bool)));
   QObject::connect(this->actionStop_Animation, SIGNAL(triggered()),
-	   this->viewer, SLOT(stopIncremental()));
+           this->viewer, SLOT(stopIncremental()));
   QObject::connect(this->viewer, SIGNAL(stopIncAnimation()),
-	   this, SLOT(stopAnimation()));
+           this, SLOT(stopAnimation()));
 
   // Show menu actions
   QObject::connect(this->actionShow_Axis, SIGNAL(toggled(bool)),
-	   this->viewer, SLOT(toggleShowAxis(bool)));
+           this->viewer, SLOT(toggleShowAxis(bool)));
   QObject::connect(this->actionShow_Vertex, SIGNAL(toggled(bool)),
-	   this->viewer, SLOT(toggleShowVertex(bool)));
+           this->viewer, SLOT(toggleShowVertex(bool)));
   QObject::connect(this->actionShow_DEdge, SIGNAL(toggled(bool)),
-	   this->viewer, SLOT(toggleShowDEdge(bool)));
+           this->viewer, SLOT(toggleShowDEdge(bool)));
   QObject::connect(this->actionShow_VEdge, SIGNAL(toggled(bool)),
-	   this->viewer, SLOT(toggleShowVEdge(bool)));
+           this->viewer, SLOT(toggleShowVEdge(bool)));
   QObject::connect(this->actionShow_Facet, SIGNAL(toggled(bool)),
-	   this->viewer, SLOT(toggleShowFacet(bool)));
+           this->viewer, SLOT(toggleShowFacet(bool)));
   QObject::connect(this->actionFlat, SIGNAL(toggled(bool)),
-	   this->viewer, SLOT(toggleFlat(bool)));
+           this->viewer, SLOT(toggleFlat(bool)));
 
   // Preferences
   QObject::connect(this->actionPreferences, SIGNAL(triggered()),
-	   this->viewer, SLOT(setPreferences()));
+           this->viewer, SLOT(setPreferences()));
 
   // Help menu actions
   QObject::connect(this->actionDemo_Help, SIGNAL(triggered()),
-	   this->viewer, SLOT(help()));
+           this->viewer, SLOT(help()));
   QObject::connect(this->actionAbout_T3_demo, SIGNAL(triggered()),
        this, SLOT(popupAboutDemo()));
 
   // Quit
   QObject::connect(this->actionQuit, SIGNAL(triggered()),
-	   qApp, SLOT(closeAllWindows()));
+           qApp, SLOT(closeAllWindows()));
 
   // Viewer signals
   QObject::connect(this, SIGNAL(sceneChanged()),
-	   this->viewer, SLOT(update()));
+           this->viewer, SLOT(update()));
 }
 
 void MainWindow::closeEvent(QCloseEvent * /*event*/)
@@ -113,9 +113,9 @@ void MainWindow::setMode(QAction *action
 void MainWindow::on_actionLoad_Points_triggered()
 {
   QString fileName = QFileDialog::getOpenFileName(this,
-		     tr("Open an file"),	// dialog caption
-		     ".",	// initial directory
-		     tr("OFF files (*.off);;XYZ files (*.xyz);;All files (*.*)"));	// selection filter
+                     tr("Open an file"),        // dialog caption
+                     ".",        // initial directory
+                     tr("OFF files (*.off);;XYZ files (*.xyz);;All files (*.*)"));        // selection filter
   if( fileName.isEmpty() )  return;
 
   // erase old data
@@ -149,9 +149,9 @@ void MainWindow::on_actionSave_Points_tr
   }
 
   QString fileName = QFileDialog::getSaveFileName(this,
-		     tr("Save an file"),	// dialog caption
-		     ".",	// initial directory
-		     tr("OFF files (*.off);;XYZ files (*.xyz);;All files (*.*)"));	// selection filter
+                     tr("Save an file"),        // dialog caption
+                     ".",        // initial directory
+                     tr("OFF files (*.off);;XYZ files (*.xyz);;All files (*.*)"));        // selection filter
   if( fileName.isEmpty() )  return;
 
   // parse fileName to get the file type
@@ -170,9 +170,9 @@ void MainWindow::on_actionSave_Points_tr
 void MainWindow::on_actionGenerate_Points_triggered()
 {
   bool isOk;
- 
+
   int nPoints = QInputDialog::getInt(this,
-              "3D Triangulation demo", "Number of points: ",	// caption and label
+              "3D Triangulation demo", "Number of points: ",        // caption and label
               100, // default value
               4, // min value
               2147483647, // max value
@@ -184,7 +184,7 @@ void MainWindow::on_actionGenerate_Point
     // erase old data
     viewer->clear();
 
-  	// generate points
+          // generate points
     m_scene.generatePoints(nPoints);
     // set selectBuffer size (if necessary)
     viewer->setSelBuffSize();
diff -pruN 5.0.2-3/demo/Triangulation_3/PreferenceDlg.h 5.0.3-1/demo/Triangulation_3/PreferenceDlg.h
--- 5.0.2-3/demo/Triangulation_3/PreferenceDlg.h	2020-02-21 20:04:36.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_3/PreferenceDlg.h	2020-08-01 19:02:59.000000000 +0000
@@ -5,7 +5,7 @@
 #include <QColorDialog>
 
 #include <QGridLayout>
-#include <QGroupBox> 
+#include <QGroupBox>
 
 #include <QLabel>
 #include <QLineEdit>
diff -pruN 5.0.2-3/demo/Triangulation_3/typedefs.h 5.0.3-1/demo/Triangulation_3/typedefs.h
--- 5.0.2-3/demo/Triangulation_3/typedefs.h	2020-02-21 20:04:37.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_3/typedefs.h	2020-08-01 19:02:59.000000000 +0000
@@ -20,15 +20,15 @@
 typedef CGAL::Exact_predicates_inexact_constructions_kernel Kernel;
 
 // Ddefine field type
-typedef Kernel::FT	FT;
+typedef Kernel::FT        FT;
 
-typedef Kernel::Vector_3		Vector_3;
-typedef Kernel::Direction_3		Direction_3;
+typedef Kernel::Vector_3                Vector_3;
+typedef Kernel::Direction_3                Direction_3;
 
-//typedef Kernel::Point_3		Point_3;
-//typedef Kernel::Vector_3	Vector_3;
-//typedef Kernel::Segment_3	Segment_3;
-//typedef Kernel::Triangle_3	Triangle_3;
+//typedef Kernel::Point_3                Point_3;
+//typedef Kernel::Vector_3        Vector_3;
+//typedef Kernel::Segment_3        Segment_3;
+//typedef Kernel::Triangle_3        Triangle_3;
 
 // Added for T3 demo
 
@@ -51,14 +51,14 @@ template < class GT, class Vb=CGAL::Tria
 class Vertex_base : public Vb
 {
 public:
-  typedef typename Vb::Point	Point;
-  typedef typename Vb::Vertex_handle	Vertex_handle;
-  typedef typename Vb::Cell_handle		Cell_handle;
+  typedef typename Vb::Point        Point;
+  typedef typename Vb::Vertex_handle        Vertex_handle;
+  typedef typename Vb::Cell_handle                Cell_handle;
 
   template < class TDS2 >
   struct Rebind_TDS {
-    typedef typename Vb::template Rebind_TDS<TDS2>::Other	Vb2;
-    typedef Vertex_base< GT, Vb2 >	Other;
+    typedef typename Vb::template Rebind_TDS<TDS2>::Other        Vb2;
+    typedef Vertex_base< GT, Vb2 >        Other;
   };
   Vertex_base()
    : m_isSelected(false) {}
@@ -88,34 +88,34 @@ private:
 #ifdef CGAL_CONCURRENT_TRIANGULATION_3
 typedef CGAL::Spatial_lock_grid_3<
   CGAL::Tag_priority_blocking>                        Lock_ds;
-typedef CGAL::Triangulation_data_structure_3< 
+typedef CGAL::Triangulation_data_structure_3<
           Vertex_base<Kernel>,
           CGAL::Delaunay_triangulation_cell_base_3<Kernel>,
           CGAL::Parallel_tag >                        Tds;
 typedef CGAL::Delaunay_triangulation_3<
-  Kernel, Tds, CGAL::Default, Lock_ds>	              DT3;
+  Kernel, Tds, CGAL::Default, Lock_ds>                      DT3;
 
 #else
 typedef CGAL::Triangulation_data_structure_3<
           Vertex_base<Kernel>,
           CGAL::Delaunay_triangulation_cell_base_3<Kernel> >        Tds;
 typedef CGAL::Delaunay_triangulation_3<
-  Kernel, Tds/*, CGAL::Fast_location*/>	                            DT3;
+  Kernel, Tds/*, CGAL::Fast_location*/>                                    DT3;
 #endif
 
-typedef DT3::Object		Object_3;
-typedef DT3::Point		Point_3;
-typedef DT3::Segment	Segment_3;
-typedef DT3::Ray		Ray_3;
-typedef DT3::Triangle	Triangle_3;
-
-typedef DT3::Vertex_handle	Vertex_handle;
-typedef DT3::Finite_vertices_iterator	vertices_iterator;
-typedef DT3::Edge		Edge;
-typedef DT3::Finite_edges_iterator	edges_iterator;
-typedef DT3::Facet		Facet;
-typedef DT3::Finite_facets_iterator	facets_iterator;
-typedef DT3::Cell_handle	Cell_handle;
-typedef DT3::Finite_cells_iterator	cells_iterator;
+typedef DT3::Object                Object_3;
+typedef DT3::Point                Point_3;
+typedef DT3::Segment        Segment_3;
+typedef DT3::Ray                Ray_3;
+typedef DT3::Triangle        Triangle_3;
+
+typedef DT3::Vertex_handle        Vertex_handle;
+typedef DT3::Finite_vertices_iterator        vertices_iterator;
+typedef DT3::Edge                Edge;
+typedef DT3::Finite_edges_iterator        edges_iterator;
+typedef DT3::Facet                Facet;
+typedef DT3::Finite_facets_iterator        facets_iterator;
+typedef DT3::Cell_handle        Cell_handle;
+typedef DT3::Finite_cells_iterator        cells_iterator;
 
 #endif
diff -pruN 5.0.2-3/demo/Triangulation_3/Viewer.cpp 5.0.3-1/demo/Triangulation_3/Viewer.cpp
--- 5.0.2-3/demo/Triangulation_3/Viewer.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_3/Viewer.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1099,7 +1099,7 @@ void Viewer::attrib_buffers(CGAL::QGLVie
     {
         mvMatrix.data()[i] = (float)mat[i];
     }
-    QVector4D	position(0.0f,0.0f,1.0f,1.0f );
+    QVector4D        position(0.0f,0.0f,1.0f,1.0f );
     // Ambient
     ambient[0] = 0.29225f;
     ambient[1] = 0.29225f;
@@ -1213,7 +1213,7 @@ void Viewer::draw()
         // Insert point mode
         if( m_curMode == INSERT_PT) {
             // Show prompt messages
-            
+
             drawText( width()-200, 20, tr("Shift+Left: Insert a point"), fontPrompt );
             drawText( width()-200, 40, tr("Hold Left: Move the point"), fontPrompt );
             drawText( width()-200, 60, tr("Return: Insert to DT"), fontPrompt );
@@ -1237,7 +1237,7 @@ void Viewer::draw()
         }
         else if( m_curMode == SELECT) {
             // Show prompt messages
-            
+
             drawText( width()-200, 20, tr("Shift+Left: Select"), fontPrompt );
             drawText( width()-200, 40, tr("Ctrl+Left: Add selection"),
                       QFont("Arial", 14) );
@@ -1253,7 +1253,7 @@ void Viewer::draw()
         }
         else if( m_curMode == MOVE ) {
             // Show prompt messages
-            
+
             drawText( width()-200, 20, tr("Left Click: Select"), fontPrompt );
             if(m_isMoving)
                 drawText( width()-200, 40, tr("Shift+Wheel: Resize trackball"), fontPrompt );
@@ -1267,7 +1267,7 @@ void Viewer::draw()
         }
         else if( m_curMode == FINDNB ) {
             // Show prompt messages
-            
+
             drawText( width()-200, 20, tr("Shift+Left: Place query point"), fontPrompt );
             drawText( width()-200, 40, tr("Shift+Wheel: Resize trackball"), fontPrompt );
             rendering_program.bind();
@@ -1286,7 +1286,7 @@ void Viewer::draw()
         }
         else if(m_curMode == EMPTYSPH){
             // Show prompt messages
-            
+
             drawText( width()-200, 20, tr("Shift+Left: Place query point"), fontPrompt );
             drawText( width()-200, 40, tr("Press S: Show/Hide trackball"), fontPrompt );
             drawText( width()-200, 60, tr("Shift+Wheel: Resize trackball"), fontPrompt );
@@ -1316,7 +1316,7 @@ void Viewer::draw()
             switch( m_curStep ) {
             case NEWPT:
                 // Show prompt messages
-                
+
                 drawText( 10, 20, tr("Highlight the next-to-insert point"), fontPrompt );
                 // Highlight the next-to-insert point
                 rendering_program.bind();
@@ -1330,7 +1330,7 @@ void Viewer::draw()
                 break;
             case CELL:  // show the tetrahedron that contains the point
                 // Show prompt messages
-                
+
                 drawText( 10, 20, tr("Show the tetrahedron containing the point"), fontPrompt );
                 drawText( 10, 40, tr("(Only finite facets are drawn)"), fontPrompt );
                 // Highlight the next-to-insert vertex
@@ -1352,7 +1352,7 @@ void Viewer::draw()
                 break;
             case CONFLICT:  // show the conflict region
                 // Show prompt messages
-                
+
                 drawText( 10, 20, tr("Show the conflict region"), fontPrompt );
                 // Highlight the next-to-insert vertex
                 rendering_program.bind();
@@ -1411,7 +1411,7 @@ void Viewer::draw()
 
         if( m_curMode == INSERT_PT) {
             // Show prompt messages
-            
+
             drawText( width()-200, 20, tr("Shift+Left: Insert a point"), fontPrompt );
             drawText( width()-200, 40, tr("Hold Left: Move the point"), fontPrompt );
             drawText( width()-200, 60, tr("Return: Insert to DT"), fontPrompt );
@@ -1436,7 +1436,7 @@ void Viewer::draw()
         }
         else if( m_curMode == SELECT) {
             // Show prompt messages
-            
+
             drawText( width()-200, 20, tr("Shift+Left: Select"), fontPrompt );
             drawText( width()-200, 40, tr("Ctrl+Left: Add selection"),
                       QFont("Arial", 14) );
@@ -1452,7 +1452,7 @@ void Viewer::draw()
         }
         else if( m_curMode == MOVE ) {
             // Show prompt messages
-            
+
             drawText( width()-200, 20, tr("Left Click: Select"), fontPrompt );
             if(m_isMoving)
                 drawText( width()-200, 40, tr("Shift+Wheel: Resize trackball"), fontPrompt );
@@ -1466,7 +1466,7 @@ void Viewer::draw()
         }
         else if( m_curMode == FINDNB ) {
             // Show prompt messages
-            
+
             drawText( width()-200, 20, tr("Shift+Left: Place query point"), fontPrompt );
             drawText( width()-200, 40, tr("Shift+Wheel: Resize trackball"), fontPrompt );
             rendering_program_spheres.bind();
@@ -1486,7 +1486,7 @@ void Viewer::draw()
         }
         else if(m_curMode == EMPTYSPH){
             // Show prompt messages
-            
+
             drawText( width()-200, 20, tr("Shift+Left: Place query point"), fontPrompt );
             drawText( width()-200, 40, tr("Press S: Show/Hide trackball"), fontPrompt );
             drawText( width()-200, 60, tr("Shift+Wheel: Resize trackball"), fontPrompt );
@@ -1518,7 +1518,7 @@ void Viewer::draw()
             switch( m_curStep ) {
             case NEWPT:
                 // Show prompt messages
-                
+
                 drawText( 10, 20, tr("Highlight the next-to-insert point"), fontPrompt );
                 // Highlight the next-to-insert point
                 rendering_program_spheres.bind();
@@ -1531,7 +1531,7 @@ void Viewer::draw()
                 break;
             case CELL:  // show the tetrahedron that contains the point
                 // Show prompt messages
-                
+
                 drawText( 10, 20, tr("Show the tetrahedron containing the point"), fontPrompt );
                 drawText( 10, 40, tr("(Only finite facets are drawn)"), fontPrompt );
                 // Highlight the next-to-insert vertex
@@ -1552,7 +1552,7 @@ void Viewer::draw()
                 break;
             case CONFLICT:  // show the conflict region
                 // Show prompt messages
-                
+
                 drawText( 10, 20, tr("Show the conflict region"), fontPrompt );
                 // Highlight the next-to-insert vertex
                 rendering_program_spheres.bind();
@@ -1589,7 +1589,7 @@ void Viewer::draw()
     }
     if( m_curMode == INSERT_V  ) {
         // Show prompt messages
-        
+
         drawText( width()-200, 20, tr("Shift+Left: Insert a vertex"), fontPrompt );
         drawText( width()-200, 40, tr("Shift+Wheel: Resize trackball"), fontPrompt );
 
@@ -1679,7 +1679,7 @@ void Viewer::drawWithNames()
     rendering_program.setAttributeArray("vertex",GL_FLOAT,0,3);
     buffers[33].release();
     vao[3].release();
-    
+
     QMatrix4x4 mvpMatrix;
     double mat[16];
     camera()->getModelViewProjectionMatrix(mat);
@@ -1694,7 +1694,7 @@ void Viewer::drawWithNames()
     glDrawArrays(GL_POINTS,0,1);
     vao[27].release();
     rendering_program.release();
-    
+
     //read depth and store in map
     GLfloat depth = 1.0f;
     glReadPixels(picking_pos.x(),camera()->screenHeight()-1-picking_pos.y(),1,1,GL_DEPTH_COMPONENT, GL_FLOAT, &depth);
@@ -1702,8 +1702,8 @@ void Viewer::drawWithNames()
     {
       picked_IDs[depth] = i;
     }
-    
-    
+
+
   }//end-for-points
 
     // push a name for the newly inserted point
@@ -1714,7 +1714,7 @@ void Viewer::drawWithNames()
         //draw point
         GLfloat buf[3];
         buf[0]=m_newPt.x();
-        buf[1]=m_newPt.y(); 
+        buf[1]=m_newPt.y();
         buf[2]=m_newPt.z();
         rendering_program.bind();
         vao[27].bind();
@@ -1723,7 +1723,7 @@ void Viewer::drawWithNames()
         rendering_program.enableAttributeArray("vertex");
         rendering_program.setAttributeArray("vertex",GL_FLOAT,0,3);
         buffers[33].release();
-        
+
         QMatrix4x4 mvpMatrix;
         double mat[16];
         camera()->getModelViewProjectionMatrix(mat);
@@ -1738,7 +1738,7 @@ void Viewer::drawWithNames()
         glDrawArrays(GL_POINTS,0,1);
         vao[3].release();
         rendering_program.release();
-        
+
         //read depth and store in map
         GLfloat depth = 1.0f;
         glReadPixels(picking_pos.x(),camera()->screenHeight()-1-picking_pos.y(),1,1,GL_DEPTH_COMPONENT, GL_FLOAT, &depth);
@@ -1747,8 +1747,8 @@ void Viewer::drawWithNames()
           picked_IDs[depth] = -1;
         }
     }//end-if-newPt
-    
-  
+
+
 }
 void Viewer::beginSelection(const QPoint &point)
 {
@@ -1760,7 +1760,7 @@ void Viewer::endSelection(const QPoint&
   CGAL::QGLViewer::endSelection(p);
   // flush GL buffers
   glFlush();
-  
+
   bool picked = false;
   int id = 0;
   QList<float> depths = picked_IDs.keys();
@@ -1777,7 +1777,7 @@ void Viewer::endSelection(const QPoint&
             m_isPress = false;
     }//end-if-notselected
 
-    
+
     /* Check whether the new point is clicked on */
     else if( m_curMode == INSERT_PT ) {
         if( m_hasNewPt && (id == -1 ))
@@ -1804,7 +1804,7 @@ void Viewer::endSelection(const QPoint&
             m_vidSeled.clear();
 
             // record the new selections
-            
+
                 m_vidSeled.push_back(id);
                 m_pScene->m_vhArray.at( m_vidSeled.back() )->setSeled();
         } else {
diff -pruN 5.0.2-3/demo/Triangulation_3/Viewer.h 5.0.3-1/demo/Triangulation_3/Viewer.h
--- 5.0.2-3/demo/Triangulation_3/Viewer.h	2020-02-21 20:04:37.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_3/Viewer.h	2020-08-01 19:02:59.000000000 +0000
@@ -347,9 +347,9 @@ private:
   static const int vaoSize = 29;
   static const int vboSize = 34;
   // define material
-   QVector4D	ambient;
-   QVector4D	diffuse;
-   QVector4D	specular;
+   QVector4D        ambient;
+   QVector4D        diffuse;
+   QVector4D        specular;
    GLfloat      shininess ;
       int poly_vertexLocation[3];
       int normalsLocation[3];
@@ -396,7 +396,7 @@ private:
       std::vector<float> *incremental_next_point;
       std::vector<float> *incremental_facet;
       std::vector<float> *incremental_conflict;
-      
+
       //picking
       QMap<float, int> picked_IDs;
       QPoint picking_pos;
diff -pruN 5.0.2-3/demo/Triangulation_3_Geomview_demos/CMakeLists.txt 5.0.3-1/demo/Triangulation_3_Geomview_demos/CMakeLists.txt
--- 5.0.2-3/demo/Triangulation_3_Geomview_demos/CMakeLists.txt	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_3_Geomview_demos/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -22,8 +22,8 @@ if ( CGAL_FOUND )
   create_single_source_cgal_program( "Triangulation_3_voronoi_demo.cpp" )
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/demo/Triangulation_3_Geomview_demos/Triangulation_3_color_demo.cpp 5.0.3-1/demo/Triangulation_3_Geomview_demos/Triangulation_3_color_demo.cpp
--- 5.0.2-3/demo/Triangulation_3_Geomview_demos/Triangulation_3_color_demo.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_3_Geomview_demos/Triangulation_3_color_demo.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -64,9 +64,9 @@ int main()
   gv << T;
 
   std::cout << "           Vertices of T with their own color" << std::endl
-	    << "           red for degree 6 (counting infinite vertex)"
-	    << std::endl
-	    << "           white otherwise" << std::endl;
+            << "           red for degree 6 (counting infinite vertex)"
+            << std::endl
+            << "           white otherwise" << std::endl;
   for (vit = T.finite_vertices_begin(); vit != T.finite_vertices_end(); ++vit)
     gv << vit->info() << vit->point();
 
diff -pruN 5.0.2-3/demo/Triangulation_3_Geomview_demos/Triangulation_3_demo.cpp 5.0.3-1/demo/Triangulation_3_Geomview_demos/Triangulation_3_demo.cpp
--- 5.0.2-3/demo/Triangulation_3_Geomview_demos/Triangulation_3_demo.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_3_Geomview_demos/Triangulation_3_demo.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -47,7 +47,7 @@ typedef Triangulation::Point
 //////////////////////
 template<class TRIANGULATION>
 void visu_cell(CGAL::Geomview_stream & os, const TRIANGULATION & T,
-	       Cell_handle c)
+               Cell_handle c)
 {
   if ( ! T.is_infinite(c) )
     os << T.tetrahedron(c);
@@ -56,14 +56,14 @@ void visu_cell(CGAL::Geomview_stream & o
 }
 template<class TRIANGULATION>
 void visu_facet(CGAL::Geomview_stream & os, const TRIANGULATION & T,
-	       Cell_handle c, int i)
+               Cell_handle c, int i)
 {
   if ( ! T.is_infinite(c,i) )
     os << T.triangle(c,i);
 }
 template<class TRIANGULATION>
 void visu_edge(CGAL::Geomview_stream & os, const TRIANGULATION & T,
-	       Cell_handle c, int i, int j)
+               Cell_handle c, int i, int j)
 {
   if ( ! T.is_infinite(c,i,j) )
     os << T.segment(c,i,j);
@@ -84,7 +84,7 @@ void visu_vertices(CGAL::Geomview_stream
 }
 template<class TRIANGULATION>
 void visu_vertex(CGAL::Geomview_stream & os, const TRIANGULATION & T,
-	       Cell_handle c, int i)
+               Cell_handle c, int i)
 {
   if ( ! T.is_infinite(c->vertex(i)) )
     os << c->vertex(i)->point();
@@ -105,7 +105,7 @@ int main()
   if (! iFile) {
     std::cout <<"A file named points in directory data"
               <<" containing points should be provided," << std::endl
-	      <<"see README"<<std::endl;
+              <<"see README"<<std::endl;
     return 1;
   }
 
@@ -168,8 +168,8 @@ int main()
   gv << T;
   gv.set_wired(false);
   std::cout <<"          You can move one of the" <<std::endl
-	    <<"          two triangulations by selecting it"    <<std::endl
-	    <<"          in the Geomview targets" <<std::endl;
+            <<"          two triangulations by selecting it"    <<std::endl
+            <<"          in the Geomview targets" <<std::endl;
 
   char ch;
   std::cout << "Enter any character to quit" << std::endl;
diff -pruN 5.0.2-3/demo/Triangulation_3_Geomview_demos/Triangulation_3_remove_demo.cpp 5.0.3-1/demo/Triangulation_3_Geomview_demos/Triangulation_3_remove_demo.cpp
--- 5.0.2-3/demo/Triangulation_3_Geomview_demos/Triangulation_3_remove_demo.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_3_Geomview_demos/Triangulation_3_remove_demo.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -46,7 +46,7 @@ typedef Dt::Point           Point;
 //////////////////////
 template<class TRIANGULATION>
 void visu_cell(CGAL::Geomview_stream & os, const TRIANGULATION & T,
-	       Cell_handle c)
+               Cell_handle c)
 {
   if ( ! T.is_infinite(c) )
     os << T.tetrahedron(c);
@@ -55,14 +55,14 @@ void visu_cell(CGAL::Geomview_stream & o
 }
 template<class TRIANGULATION>
 void visu_facet(CGAL::Geomview_stream & os, const TRIANGULATION & T,
-	       Cell_handle c, int i)
+               Cell_handle c, int i)
 {
   if ( ! T.is_infinite(c,i) )
     os << T.triangle(c,i);
 }
 template<class TRIANGULATION>
 void visu_edge(CGAL::Geomview_stream & os, const TRIANGULATION & T,
-	       Cell_handle c, int i, int j)
+               Cell_handle c, int i, int j)
 {
   if ( ! T.is_infinite(c,i,j) )
     os << T.segment(c,i,j);
@@ -83,7 +83,7 @@ void visu_vertices(CGAL::Geomview_stream
 }
 template<class TRIANGULATION>
 void visu_vertex(CGAL::Geomview_stream & os, const TRIANGULATION & T,
-	       Cell_handle c, int i)
+               Cell_handle c, int i)
 {
   if ( ! T.is_infinite(c->vertex(i)) )
     os << c->vertex(i)->point();
@@ -108,7 +108,7 @@ int main()
   for (z=0 ; z<5 ; z++)
     for (y=0 ; y<5 ; y++)
       for (x=0 ; x<5 ; x++)
-	  V[i++] = T.insert(Point(x,y,z));
+          V[i++] = T.insert(Point(x,y,z));
 
   assert( T.is_valid() );
   assert( T.number_of_vertices() == 125 );
diff -pruN 5.0.2-3/demo/Triangulation_3_Geomview_demos/Triangulation_3_voronoi_demo.cpp 5.0.3-1/demo/Triangulation_3_Geomview_demos/Triangulation_3_voronoi_demo.cpp
--- 5.0.2-3/demo/Triangulation_3_Geomview_demos/Triangulation_3_voronoi_demo.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/demo/Triangulation_3_Geomview_demos/Triangulation_3_voronoi_demo.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -56,7 +56,7 @@ int main()
   for (int z=0 ; z<3 ; z++)
     for (int y=0 ; y<3 ; y++)
       for (int x=0 ; x<3 ; x++)
-	  T.insert(Point(x, y, z));
+          T.insert(Point(x, y, z));
 
   T.is_valid(true);
 
diff -pruN 5.0.2-3/examples/AABB_tree/AABB_cached_bbox_example.cpp 5.0.3-1/examples/AABB_tree/AABB_cached_bbox_example.cpp
--- 5.0.2-3/examples/AABB_tree/AABB_cached_bbox_example.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/AABB_tree/AABB_cached_bbox_example.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -13,7 +13,7 @@ typedef CGAL::Exact_predicates_inexact_c
 typedef K::FT FT;
 typedef K::Point_3 Point_3;
 typedef CGAL::Bbox_3 Bbox_3;
-typedef CGAL::Surface_mesh<Point_3> Surface_mesh; 
+typedef CGAL::Surface_mesh<Point_3> Surface_mesh;
 typedef CGAL::Polyhedron_3<K> Polyhedron_3;
 typedef CGAL::Timer Timer;
 
@@ -27,7 +27,7 @@ void triangle_mesh(const char* fname)
 
   TriangleMesh tmesh;
   std::ifstream in(fname);
-  in >> tmesh; 
+  in >> tmesh;
   Timer t;
   t.start();
   Tree tree(faces(tmesh).first, faces(tmesh).second, tmesh);
@@ -37,7 +37,7 @@ void triangle_mesh(const char* fname)
 }
 
 
-Bbox_3 bbox(boost::graph_traits<Surface_mesh>::face_descriptor fd, 
+Bbox_3 bbox(boost::graph_traits<Surface_mesh>::face_descriptor fd,
             const Surface_mesh& p)
 {
   boost::graph_traits<Surface_mesh>::halfedge_descriptor hd = halfedge(fd,p);
@@ -59,11 +59,11 @@ void surface_mesh_cache_bbox(const char*
   Surface_mesh tmesh;
   std::ifstream in(fname);
   in >> tmesh;
-  
+
   Timer t;
   t.start();
   Bbox_pmap bb = tmesh.add_property_map<face_descriptor,Bbox_3>("f:bbox",Bbox_3()).first;
- 
+
   for(face_descriptor fd : faces(tmesh)){
     put(bb, fd, bbox(fd,tmesh));
   }
diff -pruN 5.0.2-3/examples/AABB_tree/AABB_custom_example.cpp 5.0.3-1/examples/AABB_tree/AABB_custom_example.cpp
--- 5.0.2-3/examples/AABB_tree/AABB_custom_example.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/AABB_tree/AABB_custom_example.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -48,7 +48,7 @@ public:
     // this is the type of data that the queries returns. For this example
     // we imagine that, for some reasons, we do not want to store the iterators
     // of the vector, but raw pointers. This is to show that the Id type
-    // does not have to be the same as the one of the input parameter of the 
+    // does not have to be the same as the one of the input parameter of the
     // constructor.
     typedef const My_triangle* Id;
 
@@ -62,14 +62,14 @@ private:
 public:
     My_triangle_primitive() {} // default constructor needed
 
-    // the following constructor is the one that receives the iterators from the 
+    // the following constructor is the one that receives the iterators from the
     // iterator range given as input to the AABB_tree
     My_triangle_primitive(Iterator it)
         : m_pt(&(*it)) {}
 
     const Id& id() const { return m_pt; }
 
-    // utility function to convert a custom 
+    // utility function to convert a custom
     // point type to CGAL point type.
     Point convert(const My_point *p) const
     {
diff -pruN 5.0.2-3/examples/AABB_tree/AABB_custom_indexed_triangle_set_array_example.cpp 5.0.3-1/examples/AABB_tree/AABB_custom_indexed_triangle_set_array_example.cpp
--- 5.0.2-3/examples/AABB_tree/AABB_custom_indexed_triangle_set_array_example.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/AABB_tree/AABB_custom_indexed_triangle_set_array_example.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -11,7 +11,7 @@ typedef CGAL::Simple_cartesian<double> K
 
 
 // The points are stored in a flat array of doubles
-// The triangles are stored in a flat array of indices 
+// The triangles are stored in a flat array of indices
 // referring to an array of coordinates: three consecutive
 // coordinates represent a point, and three consecutive
 // indices represent a triangle.
@@ -60,7 +60,7 @@ private:
 public:
     My_triangle_primitive() {} // default constructor needed
 
-    // the following constructor is the one that receives the iterators from the 
+    // the following constructor is the one that receives the iterators from the
     // iterator range given as input to the AABB_tree
     My_triangle_primitive(Triangle_iterator a)
         : m_it(a) {}
@@ -69,18 +69,18 @@ public:
 
     // on the fly conversion from the internal data to the CGAL types
     Datum datum() const
-    { 
+    {
         Point_index_iterator p_it = m_it.base();
-        Point p(*(point_container + 3 * (*p_it)), 
-                *(point_container + 3 * (*p_it) + 1), 
+        Point p(*(point_container + 3 * (*p_it)),
+                *(point_container + 3 * (*p_it) + 1),
                 *(point_container + 3 * (*p_it) + 2) );
         ++p_it;
-        Point q(*(point_container + 3 * (*p_it)), 
-                *(point_container + 3 * (*p_it) + 1), 
+        Point q(*(point_container + 3 * (*p_it)),
+                *(point_container + 3 * (*p_it) + 1),
                 *(point_container + 3 * (*p_it) + 2));
         ++p_it;
-        Point r(*(point_container + 3 * (*p_it)), 
-                *(point_container + 3 * (*p_it) + 1), 
+        Point r(*(point_container + 3 * (*p_it)),
+                *(point_container + 3 * (*p_it) + 1),
                 *(point_container + 3 * (*p_it) + 2));
 
         return Datum(p, q, r); // assembles triangle from three points
@@ -88,9 +88,9 @@ public:
 
     // one point which must be on the primitive
     Point reference_point() const
-    { 
-      return Point(*(point_container + 3 * (*m_it)), 
-                   *(point_container + 3 * (*m_it) + 1), 
+    {
+      return Point(*(point_container + 3 * (*m_it)),
+                   *(point_container + 3 * (*m_it) + 1),
                    *(point_container + 3 * (*m_it) + 2));
     }
 };
@@ -119,7 +119,7 @@ int main()
     triangles[6] = 0; triangles[7] = 3; triangles[8] = 2;
 
     // constructs AABB tree
-    Tree tree(Triangle_iterator(triangles), 
+    Tree tree(Triangle_iterator(triangles),
         Triangle_iterator(triangles+9));
 
     // counts #intersections
diff -pruN 5.0.2-3/examples/AABB_tree/AABB_custom_indexed_triangle_set_example.cpp 5.0.3-1/examples/AABB_tree/AABB_custom_indexed_triangle_set_example.cpp
--- 5.0.2-3/examples/AABB_tree/AABB_custom_indexed_triangle_set_example.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/AABB_tree/AABB_custom_indexed_triangle_set_example.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -24,7 +24,7 @@ struct My_point {
         : x(_x), y(_y), z(_z) {}
 };
 
-// The triangles are stored in a flat array of indices 
+// The triangles are stored in a flat array of indices
 // referring to an array of points: three consecutive
 // indices represent a triangle.
 typedef std::vector<size_t>::const_iterator Point_index_iterator;
@@ -71,7 +71,7 @@ private:
 public:
     My_triangle_primitive() {} // default constructor needed
 
-    // the following constructor is the one that receives the iterators from the 
+    // the following constructor is the one that receives the iterators from the
     // iterator range given as input to the AABB_tree
     My_triangle_primitive(Triangle_iterator a)
         : m_it(a) {}
@@ -80,7 +80,7 @@ public:
 
     // on the fly conversion from the internal data to the CGAL types
     Datum datum() const
-    { 
+    {
         Point_index_iterator p_it = m_it.base();
         const My_point& mp = (*point_container)[*p_it];
         Point p(mp.x, mp.y, mp.z);
@@ -96,7 +96,7 @@ public:
 
     // one point which must be on the primitive
     Point reference_point() const
-    { 
+    {
         const My_point& mp = (*point_container)[*m_it];
         return Point(mp.x, mp.y, mp.z);
     }
@@ -121,16 +121,16 @@ int main()
     points.push_back(a);
     points.push_back(b);
     points.push_back(c);
-    points.push_back(d); 
+    points.push_back(d);
 
     // generates indexed triangle set
     std::vector<size_t> triangles;
-    triangles.push_back(0); triangles.push_back(1); triangles.push_back(2);  
-    triangles.push_back(0); triangles.push_back(1); triangles.push_back(3);  
-    triangles.push_back(0); triangles.push_back(3); triangles.push_back(2);  
+    triangles.push_back(0); triangles.push_back(1); triangles.push_back(2);
+    triangles.push_back(0); triangles.push_back(1); triangles.push_back(3);
+    triangles.push_back(0); triangles.push_back(3); triangles.push_back(2);
 
     // constructs AABB tree
-    Tree tree(Triangle_iterator(triangles.begin()), 
+    Tree tree(Triangle_iterator(triangles.begin()),
         Triangle_iterator(triangles.end()));
 
     // counts #intersections
diff -pruN 5.0.2-3/examples/AABB_tree/AABB_custom_triangle_soup_example.cpp 5.0.3-1/examples/AABB_tree/AABB_custom_triangle_soup_example.cpp
--- 5.0.2-3/examples/AABB_tree/AABB_custom_triangle_soup_example.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/AABB_tree/AABB_custom_triangle_soup_example.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,6 +1,6 @@
 
 // Author(s) : Camille Wormser, Pierre Alliez
-// Example of an AABB tree used with a simple list of 
+// Example of an AABB tree used with a simple list of
 // triangles (a triangle soup) stored into an array of points.
 
 #include <iostream>
@@ -25,7 +25,7 @@ struct My_point {
     My_point (double _x, double _y, double _z) : x(_x), y(_y), z(_z) {}
 };
 
-// The triangles are stored in a flat vector of points (a triangle soup): 
+// The triangles are stored in a flat vector of points (a triangle soup):
 // three consecutive points represent a triangle
 typedef std::vector<My_point>::const_iterator Point_iterator;
 
@@ -66,7 +66,7 @@ private:
 public:
     My_triangle_primitive() {} // default constructor needed
 
-    // the following constructor is the one that receives the iterators from the 
+    // the following constructor is the one that receives the iterators from the
     // iterator range given as input to the AABB_tree
     My_triangle_primitive(Triangle_iterator a)
         : m_it(a) {}
@@ -76,7 +76,7 @@ public:
     // on the fly conversion from the internal data
     // to the CGAL types
     Datum datum() const
-    { 
+    {
         Point_iterator p_it = m_it.base();
         Point p(p_it->x, p_it->y, p_it->z);
         ++p_it;
@@ -89,7 +89,7 @@ public:
 
     // returns one point which must be on the primitive
     Point reference_point() const
-    { 
+    {
         return Point(m_it->x, m_it->y, m_it->z);
     }
 };
@@ -107,12 +107,12 @@ int main()
     My_point d(0.0, 0.0, 0.0);
 
     std::vector<My_point> triangles;
-    triangles.push_back(a); triangles.push_back(b); triangles.push_back(c);  
-    triangles.push_back(a); triangles.push_back(b); triangles.push_back(d);  
-    triangles.push_back(a); triangles.push_back(d); triangles.push_back(c);  
+    triangles.push_back(a); triangles.push_back(b); triangles.push_back(c);
+    triangles.push_back(a); triangles.push_back(b); triangles.push_back(d);
+    triangles.push_back(a); triangles.push_back(d); triangles.push_back(c);
 
     // constructs AABB tree
-    Tree tree(Triangle_iterator(triangles.begin()), 
+    Tree tree(Triangle_iterator(triangles.begin()),
         Triangle_iterator(triangles.end()));
 
     // counts #intersections
diff -pruN 5.0.2-3/examples/AABB_tree/AABB_halfedge_graph_edge_example.cpp 5.0.3-1/examples/AABB_tree/AABB_halfedge_graph_edge_example.cpp
--- 5.0.2-3/examples/AABB_tree/AABB_halfedge_graph_edge_example.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/AABB_tree/AABB_halfedge_graph_edge_example.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -23,8 +23,8 @@ void run(const HalfedgeGraph& graph){
   typename Kernel::Point_3 q(0.0, 1.0, 0.0);
   typename Kernel::Point_3 r(0.0, 0.0, 1.0);
 
-  // constructs the AABB tree and the internal search tree for 
-  // efficient distance queries.  
+  // constructs the AABB tree and the internal search tree for
+  // efficient distance queries.
   Tree tree( CGAL::edges(graph).first,
              CGAL::edges(graph).second, graph);
   tree.accelerate_distance_queries();
@@ -40,7 +40,7 @@ void run(const HalfedgeGraph& graph){
   typename Kernel::Point_3 point_query(2.0, 2.0, 2.0);
   typename Kernel::Point_3 closest = tree.closest_point(point_query);
 
-  std::cerr << "closest point is: " << closest << std::endl;  
+  std::cerr << "closest point is: " << closest << std::endl;
 }
 
 int main()
@@ -51,7 +51,7 @@ int main()
   Point s(0.0, 0.0, 0.0);
   Polyhedron polyhedron;
   polyhedron.make_tetrahedron(p, q, r, s);
-  
+
   run<K>(polyhedron);
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/AABB_tree/AABB_polyhedron_edge_example.cpp 5.0.3-1/examples/AABB_tree/AABB_polyhedron_edge_example.cpp
--- 5.0.2-3/examples/AABB_tree/AABB_polyhedron_edge_example.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/AABB_tree/AABB_polyhedron_edge_example.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -26,7 +26,7 @@ int main()
     Polyhedron polyhedron;
     polyhedron.make_tetrahedron(p, q, r, s);
 
-    // constructs the AABB tree and the internal search tree for 
+    // constructs the AABB tree and the internal search tree for
     // efficient distance queries.
     Tree tree( CGAL::edges(polyhedron).first,
                CGAL::edges(polyhedron).second,
diff -pruN 5.0.2-3/examples/AABB_tree/AABB_polyhedron_facet_distance_example.cpp 5.0.3-1/examples/AABB_tree/AABB_polyhedron_facet_distance_example.cpp
--- 5.0.2-3/examples/AABB_tree/AABB_polyhedron_facet_distance_example.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/AABB_tree/AABB_polyhedron_facet_distance_example.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -28,7 +28,7 @@ int main()
     Polyhedron polyhedron;
     polyhedron.make_tetrahedron(p, q, r, s);
 
-    // constructs AABB tree and computes internal KD-tree 
+    // constructs AABB tree and computes internal KD-tree
     // data structure to accelerate distance queries
     Tree tree(faces(polyhedron).first, faces(polyhedron).second, polyhedron);
     tree.accelerate_distance_queries();
@@ -50,7 +50,7 @@ int main()
     Polyhedron::Face_handle f = pp.second; // closest primitive id
     std::cout << "closest point: " << closest_point << std::endl;
     std::cout << "closest triangle: ( "
-              << f->halfedge()->vertex()->point() << " , " 
+              << f->halfedge()->vertex()->point() << " , "
               << f->halfedge()->next()->vertex()->point() << " , "
               << f->halfedge()->next()->next()->vertex()->point()
               << " )" << std::endl;
diff -pruN 5.0.2-3/examples/AABB_tree/AABB_polyhedron_facet_intersection_example.cpp 5.0.3-1/examples/AABB_tree/AABB_polyhedron_facet_intersection_example.cpp
--- 5.0.2-3/examples/AABB_tree/AABB_polyhedron_facet_intersection_example.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/AABB_tree/AABB_polyhedron_facet_intersection_example.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -80,10 +80,10 @@ int main()
     Plane_intersection plane_intersection = tree.any_intersection(plane_query);
     if(plane_intersection)
     {
-      
+
       if(boost::get<Segment>(&(plane_intersection->first)))
             std::cout << "intersection object is a segment" << std::endl;
     }
-    
+
     return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/AABB_tree/AABB_ray_shooting_example.cpp 5.0.3-1/examples/AABB_tree/AABB_ray_shooting_example.cpp
--- 5.0.2-3/examples/AABB_tree/AABB_ray_shooting_example.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/AABB_tree/AABB_ray_shooting_example.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -38,7 +38,7 @@ struct Skip {
     };
     return(t == fd);
   }
-  
+
 };
 
 int main(int argc, char* argv[])
@@ -48,7 +48,7 @@ int main(int argc, char* argv[])
   Mesh mesh;
   input >> mesh;
   Tree tree(faces(mesh).first, faces(mesh).second, mesh);
-  
+
   double d = CGAL::Polygon_mesh_processing::is_outward_oriented(mesh)?-1:1;
 
   for(face_descriptor fd : faces(mesh)){
@@ -56,8 +56,8 @@ int main(int argc, char* argv[])
     Point p = CGAL::centroid(mesh.point(source(hd,mesh)),
                              mesh.point(target(hd,mesh)),
                              mesh.point(target(next(hd,mesh),mesh)));
-    Vector v = CGAL::Polygon_mesh_processing::compute_face_normal(fd,mesh);	
-    
+    Vector v = CGAL::Polygon_mesh_processing::compute_face_normal(fd,mesh);
+
     Ray ray(p,d * v);
     Skip skip(fd);
     Ray_intersection intersection = tree.first_intersection(ray, skip);
diff -pruN 5.0.2-3/examples/AABB_tree/AABB_segment_3_example.cpp 5.0.3-1/examples/AABB_tree/AABB_segment_3_example.cpp
--- 5.0.2-3/examples/AABB_tree/AABB_segment_3_example.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/AABB_tree/AABB_segment_3_example.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -33,7 +33,7 @@ int main()
     segments.push_back(Segment(a,c));
     segments.push_back(Segment(c,d));
 
-    // constructs the AABB tree and the internal search tree for 
+    // constructs the AABB tree and the internal search tree for
     // efficient distance computations.
     Tree tree(segments.begin(),segments.end());
     tree.accelerate_distance_queries();
@@ -48,7 +48,7 @@ int main()
     std::cout << tree.number_of_intersected_primitives(triangle_query)
         << " intersections(s) with triangle" << std::endl;
 
-    // computes the closest point from a point query 
+    // computes the closest point from a point query
     Point point_query(2.0, 2.0, 2.0);
     Point closest = tree.closest_point(point_query);
 
diff -pruN 5.0.2-3/examples/AABB_tree/CMakeLists.txt 5.0.3-1/examples/AABB_tree/CMakeLists.txt
--- 5.0.2-3/examples/AABB_tree/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/AABB_tree/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Advancing_front_surface_reconstruction/CMakeLists.txt 5.0.3-1/examples/Advancing_front_surface_reconstruction/CMakeLists.txt
--- 5.0.2-3/examples/Advancing_front_surface_reconstruction/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Advancing_front_surface_reconstruction/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Advancing_front_surface_reconstruction/reconstruction_structured.cpp 5.0.3-1/examples/Advancing_front_surface_reconstruction/reconstruction_structured.cpp
--- 5.0.2-3/examples/Advancing_front_surface_reconstruction/reconstruction_structured.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Advancing_front_surface_reconstruction/reconstruction_structured.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -45,7 +45,7 @@ struct On_the_fly_pair{
   typedef std::pair<Point, std::size_t> result_type;
 
   On_the_fly_pair(const Pwn_vector& points) : points(points) {}
-  
+
   result_type
   operator()(std::size_t i) const
   {
@@ -59,7 +59,7 @@ struct Priority_with_structure_coherence
 
   Structure& structure;
   double bound;
-  
+
   Priority_with_structure_coherence(Structure& structure,
                                     double bound)
     : structure (structure), bound (bound)
@@ -111,10 +111,10 @@ int main (int argc, char* argv[])
   Pwn_vector points;
 
   const char* fname = (argc>1) ? argv[1] : "data/cube.pwn";
-  // Loading point set from a file. 
+  // Loading point set from a file.
   std::ifstream stream(fname);
 
-  if (!stream || 
+  if (!stream ||
     !CGAL::read_xyz_points(stream,
       std::back_inserter(points),
       CGAL::parameters::point_map(Point_map()).
@@ -194,6 +194,6 @@ int main (int argc, char* argv[])
   std::cerr << "all done\n" << std::endl;
 
   f.close();
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Algebraic_foundations/algebraic_structure_dispatch.cpp 5.0.3-1/examples/Algebraic_foundations/algebraic_structure_dispatch.cpp
--- 5.0.2-3/examples/Algebraic_foundations/algebraic_structure_dispatch.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Algebraic_foundations/algebraic_structure_dispatch.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -4,18 +4,18 @@
 #include <CGAL/int.h>
 
 template< typename NT > NT unit_part(const NT& x);
-template< typename NT > 
+template< typename NT >
 NT unit_part_(const NT& x, CGAL::Field_tag);
-template< typename NT > 
+template< typename NT >
 NT unit_part_(const NT& x, CGAL::Integral_domain_without_division_tag);
 
 template< typename NT >
 NT unit_part(const NT& x){
-    // the unit part of 0 is defined as 1. 
+    // the unit part of 0 is defined as 1.
     if (x == 0 ) return NT(1);
 
     typedef CGAL::Algebraic_structure_traits<NT> AST;
-    typedef typename AST::Algebraic_category Algebraic_category; 
+    typedef typename AST::Algebraic_category Algebraic_category;
     return unit_part_(x,Algebraic_category());
 }
 
@@ -28,21 +28,21 @@ NT unit_part_(const NT& x, CGAL::Integra
 template< typename NT >
 NT unit_part_(const NT& x, CGAL::Field_tag){
     // For Fields every x != 0 is a unit.
-    // Therefore, every x != 0 is its own unit part. 
+    // Therefore, every x != 0 is its own unit part.
     return x;
 }
 
 int main(){
-    // Function call for a model of EuclideanRing, i.e. int. 
+    // Function call for a model of EuclideanRing, i.e. int.
     std::cout<< "int:    unit_part(-3  ): " << unit_part(-3  ) << std::endl;
-    // Function call for a model of FieldWithSqrt, i.e. double 
+    // Function call for a model of FieldWithSqrt, i.e. double
     std::cout<< "double: unit_part(-3.0): " << unit_part(-3.0) << std::endl;
     return 0;
 }
 
-// Note that this is just an example 
-// This implementation for unit part won't work for some types, e.g., 
-// types that are not RealEmbeddable or types representing structures that have 
+// Note that this is just an example
+// This implementation for unit part won't work for some types, e.g.,
+// types that are not RealEmbeddable or types representing structures that have
 // more units than just -1 and +1. (e.g. MP_Float representing Z[1/2])
-// From there Algebraic_structure_traits provides the functor Unit_part.  
+// From there Algebraic_structure_traits provides the functor Unit_part.
 
diff -pruN 5.0.2-3/examples/Algebraic_foundations/CMakeLists.txt 5.0.3-1/examples/Algebraic_foundations/CMakeLists.txt
--- 5.0.2-3/examples/Algebraic_foundations/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Algebraic_foundations/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Algebraic_kernel_d/CMakeLists.txt 5.0.3-1/examples/Algebraic_kernel_d/CMakeLists.txt
--- 5.0.2-3/examples/Algebraic_kernel_d/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Algebraic_kernel_d/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -22,7 +22,7 @@ if( CGAL_FOUND AND MPFI_FOUND)
   create_single_source_cgal_program( "Solve_1.cpp" )
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library and MPFI, and will not be compiled.")
-  
+
 endif()
diff -pruN 5.0.2-3/examples/Algebraic_kernel_d/Compare_1.cpp 5.0.3-1/examples/Algebraic_kernel_d/Compare_1.cpp
--- 5.0.2-3/examples/Algebraic_kernel_d/Compare_1.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Algebraic_kernel_d/Compare_1.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -2,7 +2,7 @@
 // $Id$
 
 #include <CGAL/config.h>
-#ifdef CGAL_USE_MPFI 
+#ifdef CGAL_USE_MPFI
 #include <CGAL/Algebraic_kernel_d_1.h>
 #include <CGAL/Gmpz.h>
 #include <vector>
diff -pruN 5.0.2-3/examples/Algebraic_kernel_d/Construct_algebraic_real_1.cpp 5.0.3-1/examples/Algebraic_kernel_d/Construct_algebraic_real_1.cpp
--- 5.0.2-3/examples/Algebraic_kernel_d/Construct_algebraic_real_1.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Algebraic_kernel_d/Construct_algebraic_real_1.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -2,7 +2,7 @@
 // $Id$
 
 #include <CGAL/config.h>
-#ifdef CGAL_USE_MPFI 
+#ifdef CGAL_USE_MPFI
 #include <CGAL/Algebraic_kernel_d_1.h>
 #include <CGAL/Gmpz.h>
 #include <vector>
@@ -16,7 +16,7 @@ typedef AK::Bound
 typedef AK::Multiplicity_type                           Multiplicity_type;
 
 int main(){
-  AK ak; // an object of 
+  AK ak; // an object of
   AK::Construct_algebraic_real_1 construct_algreal_1 = ak.construct_algebraic_real_1_object();
 
   std::cout << "Construct from int         : " << construct_algreal_1(int(2)) << "\n";
diff -pruN 5.0.2-3/examples/Algebraic_kernel_d/Isolate_1.cpp 5.0.3-1/examples/Algebraic_kernel_d/Isolate_1.cpp
--- 5.0.2-3/examples/Algebraic_kernel_d/Isolate_1.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Algebraic_kernel_d/Isolate_1.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -2,7 +2,7 @@
 // $Id$
 
 #include <CGAL/config.h>
-#ifdef CGAL_USE_MPFI 
+#ifdef CGAL_USE_MPFI
 #include <CGAL/Algebraic_kernel_d_1.h>
 #include <CGAL/Gmpz.h>
 #include <vector>
@@ -15,7 +15,7 @@ typedef AK::Bound
 typedef AK::Multiplicity_type                           Multiplicity_type;
 
 int main(){
-  AK ak; // an object of 
+  AK ak; // an object of
   AK::Construct_algebraic_real_1 construct_algreal_1 = ak.construct_algebraic_real_1_object();
   AK::Isolate_1 isolate_1 = ak.isolate_1_object();
   AK::Compute_polynomial_1 compute_polynomial_1 = ak.compute_polynomial_1_object();
diff -pruN 5.0.2-3/examples/Algebraic_kernel_d/Sign_at_1.cpp 5.0.3-1/examples/Algebraic_kernel_d/Sign_at_1.cpp
--- 5.0.2-3/examples/Algebraic_kernel_d/Sign_at_1.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Algebraic_kernel_d/Sign_at_1.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -2,7 +2,7 @@
 // $Id$
 
 #include <CGAL/config.h>
-#ifdef CGAL_USE_MPFI 
+#ifdef CGAL_USE_MPFI
 #include <CGAL/Algebraic_kernel_d_1.h>
 #include <CGAL/Gmpz.h>
 #include <vector>
diff -pruN 5.0.2-3/examples/Algebraic_kernel_d/Solve_1.cpp 5.0.3-1/examples/Algebraic_kernel_d/Solve_1.cpp
--- 5.0.2-3/examples/Algebraic_kernel_d/Solve_1.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Algebraic_kernel_d/Solve_1.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -2,7 +2,7 @@
 // $Id$
 
 #include <CGAL/config.h>
-#ifdef CGAL_USE_MPFI 
+#ifdef CGAL_USE_MPFI
 #include <CGAL/Algebraic_kernel_d_1.h>
 #include <CGAL/Gmpz.h>
 #include <vector>
@@ -14,7 +14,7 @@ typedef AK::Bound
 typedef AK::Multiplicity_type                           Multiplicity_type;
 
 int main(){
-  AK ak; // an object of 
+  AK ak; // an object of
   AK::Solve_1 solve_1 = ak.solve_1_object();
   Polynomial_1 x = CGAL::shift(AK::Polynomial_1(1),1); // the monomial x
 
diff -pruN 5.0.2-3/examples/Alpha_shapes_2/CMakeLists.txt 5.0.3-1/examples/Alpha_shapes_2/CMakeLists.txt
--- 5.0.2-3/examples/Alpha_shapes_2/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Alpha_shapes_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Alpha_shapes_3/CMakeLists.txt 5.0.3-1/examples/Alpha_shapes_3/CMakeLists.txt
--- 5.0.2-3/examples/Alpha_shapes_3/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Alpha_shapes_3/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Alpha_shapes_3/ex_alpha_shapes_with_fast_location_3.cpp 5.0.3-1/examples/Alpha_shapes_3/ex_alpha_shapes_with_fast_location_3.cpp
--- 5.0.2-3/examples/Alpha_shapes_3/ex_alpha_shapes_with_fast_location_3.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Alpha_shapes_3/ex_alpha_shapes_with_fast_location_3.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -38,15 +38,15 @@ int main()
   // compute alpha shape
   Alpha_shape_3 as(dt);
   std::cout << "Alpha shape computed in REGULARIZED mode by defaut."
-	    << std::endl;
+            << std::endl;
 
    // find optimal alpha values
   Alpha_shape_3::NT alpha_solid = as.find_alpha_solid();
   Alpha_iterator opt = as.find_optimal_alpha(1);
   std::cout << "Smallest alpha value to get a solid through data points is "
-	    << alpha_solid << std::endl;
+            << alpha_solid << std::endl;
   std::cout << "Optimal alpha value to get one connected component is "
-	    <<  *opt    << std::endl;
+            <<  *opt    << std::endl;
   as.set_alpha(*opt);
   assert(as.number_of_solid_components() == 1);
   return 0;
diff -pruN 5.0.2-3/examples/Alpha_shapes_3/ex_weighted_alpha_shapes_3.cpp 5.0.3-1/examples/Alpha_shapes_3/ex_weighted_alpha_shapes_3.cpp
--- 5.0.2-3/examples/Alpha_shapes_3/ex_weighted_alpha_shapes_3.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Alpha_shapes_3/ex_weighted_alpha_shapes_3.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -46,13 +46,13 @@ int main()
   std::list<Facet>       facets;
   std::list<Edge>        edges;
   as.get_alpha_shape_cells(std::back_inserter(cells),
-			   Alpha_shape_3::INTERIOR);
+                           Alpha_shape_3::INTERIOR);
   as.get_alpha_shape_facets(std::back_inserter(facets),
-			    Alpha_shape_3::REGULAR);
+                            Alpha_shape_3::REGULAR);
   as.get_alpha_shape_facets(std::back_inserter(facets),
-			    Alpha_shape_3::SINGULAR);
+                            Alpha_shape_3::SINGULAR);
   as.get_alpha_shape_edges(std::back_inserter(edges),
-			   Alpha_shape_3::SINGULAR);
+                           Alpha_shape_3::SINGULAR);
   std::cout << " The 0-shape has : " << std::endl;
   std::cout << cells.size() << " interior tetrahedra" << std::endl;
   std::cout << facets.size() << " boundary facets" << std::endl;
diff -pruN 5.0.2-3/examples/Apollonius_graph_2/CMakeLists.txt 5.0.3-1/examples/Apollonius_graph_2/CMakeLists.txt
--- 5.0.2-3/examples/Apollonius_graph_2/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Apollonius_graph_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -19,8 +19,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Approximate_min_ellipsoid_d/CMakeLists.txt 5.0.3-1/examples/Approximate_min_ellipsoid_d/CMakeLists.txt
--- 5.0.2-3/examples/Approximate_min_ellipsoid_d/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Approximate_min_ellipsoid_d/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -11,7 +11,7 @@ if ( CGAL_FOUND )
   if (EIGEN3_FOUND)
     include( ${EIGEN3_USE_FILE} )
   endif()
-  
+
   # create a target per cppfile
   file(GLOB cppfiles RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
   foreach(cppfile ${cppfiles})
@@ -21,8 +21,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/algebraic_curves.cpp 5.0.3-1/examples/Arrangement_on_surface_2/algebraic_curves.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/algebraic_curves.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/algebraic_curves.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -4,8 +4,8 @@
 #if (!CGAL_USE_CORE) && (!CGAL_USE_LEDA) && (!(CGAL_USE_GMP && CGAL_USE_MPFI))
 int main ()
 {
-  std::cout << "Sorry, this example needs CORE, LEDA, or GMP+MPFI ..." 
-	    << std::endl; 
+  std::cout << "Sorry, this example needs CORE, LEDA, or GMP+MPFI ..."
+            << std::endl;
   return 0;
 }
 #else
@@ -35,14 +35,14 @@ int main() {
     CGAL::set_pretty_mode(std::cout);
 
     Arr_traits_2 arr_traits;
- 
+
     // Functor to create a curve from a Polynomial_2
     Arr_traits_2::Construct_curve_2 construct_curve
         = arr_traits.construct_curve_2_object();
 
     Polynomial_2 x = CGAL::shift(Polynomial_2(1),1,0);
     Polynomial_2 y = CGAL::shift(Polynomial_2(1),1,1);
-  
+
     Arrangement_2 arr(&arr_traits);
 
     // Construct an (unbounded line) with equation 3x-5y+2=0
@@ -74,9 +74,9 @@ int main() {
     // Print the arrangement size.
     std::cout << "The arrangement size:" << std::endl
               << "   V = " << arr.number_of_vertices()
-              << ",  E = " << arr.number_of_edges() 
+              << ",  E = " << arr.number_of_edges()
               << ",  F = " << arr.number_of_faces() << std::endl;
-    
+
     return 0;
 }
 
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/algebraic_segments.cpp 5.0.3-1/examples/Arrangement_on_surface_2/algebraic_segments.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/algebraic_segments.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/algebraic_segments.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,7 +6,7 @@
 int main ()
 {
   std::cout << "Sorry, this example needs CORE, LEDA, or GMP+MPFI ..."
-	    << std::endl;
+            << std::endl;
   return 0;
 }
 #else
@@ -114,7 +114,7 @@ int main() {
       (CGAL::make_object(construct_point(Integer(1),Integer(5))));
     isolated_points.push_back
       (CGAL::make_object(construct_point(Algebraic_real_1(-1),
-					 Algebraic_real_1(5))));
+                                         Algebraic_real_1(5))));
 
     CGAL::insert(arr,isolated_points.begin(), isolated_points.end());
 
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/Bezier_curves.cpp 5.0.3-1/examples/Arrangement_on_surface_2/Bezier_curves.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/Bezier_curves.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/Bezier_curves.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -7,7 +7,7 @@
 #include <iostream>
 int main ()
 {
-  std::cout << "Sorry, this example needs CORE ..." << std::endl; 
+  std::cout << "Sorry, this example needs CORE ..." << std::endl;
   return 0;
 }
 #else
@@ -48,7 +48,7 @@ int main (int argc, char *argv[])
   std::list<Bezier_curve_2>  curves;
   Bezier_curve_2             B;
   unsigned int               k;
-  
+
   in_file >> n_curves;
   for (k = 0; k < n_curves; k++) {
     // Read the current curve (specified by its control points).
@@ -65,7 +65,7 @@ int main (int argc, char *argv[])
   // Print the arrangement size.
   std::cout << "The arrangement size:" << std::endl
             << "   V = " << arr.number_of_vertices()
-            << ",  E = " << arr.number_of_edges() 
+            << ",  E = " << arr.number_of_edges()
             << ",  F = " << arr.number_of_faces() << std::endl;
 
   return 0;
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/CMakeLists.txt 5.0.3-1/examples/Arrangement_on_surface_2/CMakeLists.txt
--- 5.0.2-3/examples/Arrangement_on_surface_2/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -19,8 +19,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/conic_multiplicities.cpp 5.0.3-1/examples/Arrangement_on_surface_2/conic_multiplicities.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/conic_multiplicities.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/conic_multiplicities.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -7,7 +7,7 @@
 #include <iostream>
 int main ()
 {
-  std::cout << "Sorry, this example needs CORE ..." << std::endl; 
+  std::cout << "Sorry, this example needs CORE ..." << std::endl;
   return 0;
 }
 #else
@@ -28,7 +28,7 @@ typedef Rat_kernel::Point_2
 typedef Rat_kernel::Segment_2                         Rat_segment_2;
 typedef Rat_kernel::Circle_2                          Rat_circle_2;
 typedef CGAL::Cartesian<Algebraic>                    Alg_kernel;
-typedef CGAL::Arr_conic_traits_2<Rat_kernel, 
+typedef CGAL::Arr_conic_traits_2<Rat_kernel,
                                  Alg_kernel,
                                  Nt_traits>           Traits_2;
 typedef Traits_2::Point_2                             Point_2;
@@ -56,7 +56,7 @@ int main ()
   Point_2        ps2 (-Rational(1,2), Rational(1,2));
   Point_2        pt2 (Rational(1,2), Rational(1,2));
   Conic_arc_2    cv2 (circ2, CGAL::COUNTERCLOCKWISE, ps2, pt2);
-  
+
   insert (arr, cv2, pl);
 
   // Print the resulting arrangement.
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/conics.cpp 5.0.3-1/examples/Arrangement_on_surface_2/conics.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/conics.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/conics.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,7 +6,7 @@
 #include <iostream>
 int main ()
 {
-  std::cout << "Sorry, this example needs CORE ..." << std::endl; 
+  std::cout << "Sorry, this example needs CORE ..." << std::endl;
   return 0;
 }
 #else
@@ -47,7 +47,7 @@ int main ()
   // phi=36.87 degree (such that sin(phi) = 0.6, cos(phi) = 0.8),
   // yielding: 58x^2 + 72y^2 - 48xy - 360 = 0.
   Conic_arc_2   c2 (58, 72, -48, 0, 0, -360);
-  
+
   insert (arr, c2);
 
   // Insert the segment (1, 1) -- (0, -3).
@@ -97,13 +97,13 @@ int main ()
   Point_2       ps7 (4, 3);
   Point_2       pt7 (4, 2);
   Conic_arc_2   c7 (circ7, CGAL::CLOCKWISE, ps7, pt7);
-  
+
   insert (arr, c7);
 
   // Print out the size of the resulting arrangement.
   std::cout << "The arrangement size:" << std::endl
             << "   V = " << arr.number_of_vertices()
-            << ",  E = " << arr.number_of_edges() 
+            << ",  E = " << arr.number_of_edges()
             << ",  F = " << arr.number_of_faces() << std::endl;
 
   return 0;
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/global_insertion.cpp 5.0.3-1/examples/Arrangement_on_surface_2/global_insertion.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/global_insertion.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/global_insertion.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -26,7 +26,7 @@ int main ()
 
   S1[0] = Segment_2 (Point_2 (1, 2.5), Point_2 (4, 5));
   S1[1] = Segment_2 (Point_2 (1, 2.5), Point_2 (6, 2.5));
-  S1[2] = Segment_2 (Point_2 (1, 2.5), Point_2 (4, 0));  
+  S1[2] = Segment_2 (Point_2 (1, 2.5), Point_2 (4, 0));
   S1[3] = Segment_2 (Point_2 (4, 5), Point_2 (6, 2.5));
   S1[4] = Segment_2 (Point_2 (4, 0), Point_2 (6, 2.5));
 
@@ -51,7 +51,7 @@ int main ()
   // Print the size of the arrangement.
   std::cout << "The arrangement size:" << std::endl
             << "   V = " << arr.number_of_vertices()
-            << ",  E = " << arr.number_of_edges() 
+            << ",  E = " << arr.number_of_edges()
             << ",  F = " << arr.number_of_faces() << std::endl;
   return 0;
 }
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/incremental_insertion.cpp 5.0.3-1/examples/Arrangement_on_surface_2/incremental_insertion.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/incremental_insertion.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/incremental_insertion.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -25,7 +25,7 @@ int main()
 
   Segment_2      s1(Point_2(1, 0), Point_2(2, 4));
   Segment_2      s2(Point_2(5, 0), Point_2(5, 5));
-  Segment_2      s3(Point_2(1, 0), Point_2(5, 3));  
+  Segment_2      s3(Point_2(1, 0), Point_2(5, 3));
   Segment_2      s4(Point_2(0, 2), Point_2(6, 0));
   Segment_2      s5(Point_2(3, 0), Point_2(5, 5));
 
@@ -45,7 +45,7 @@ int main()
   // the boundary of the face that contains it.
   Point_2 q(4, 1);
   Walk_pl::result_type obj = pl.locate(q);
-  
+
   Arrangement_2::Face_const_handle  f;
   CGAL_assertion_code(bool success =) CGAL::assign(f, obj);
 
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/observer.cpp 5.0.3-1/examples/Arrangement_on_surface_2/observer.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/observer.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/observer.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -70,15 +70,15 @@ int main ()
 
   std::cout << "The initial arrangement size:" << std::endl
             << "   V = " << arr.number_of_vertices()
-            << ",  E = " << arr.number_of_edges() 
+            << ",  E = " << arr.number_of_edges()
             << ",  F = " << arr.number_of_faces() << std::endl;
 
   // Now remove a portion of the vertical segment.
   remove_edge (arr, e_vert);
- 
+
   std::cout << "The final arrangement size:" << std::endl
             << "   V = " << arr.number_of_vertices()
-            << ",  E = " << arr.number_of_edges() 
+            << ",  E = " << arr.number_of_edges()
             << ",  F = " << arr.number_of_faces() << std::endl;
 
   return 0;
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/overlay_unbounded.cpp 5.0.3-1/examples/Arrangement_on_surface_2/overlay_unbounded.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/overlay_unbounded.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/overlay_unbounded.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -71,7 +71,7 @@ int main ()
   insert (arr2, Segment_2 (Point_2(4, 4), Point_2(-4, 4)));
   insert (arr2, Segment_2 (Point_2(-4, 4), Point_2(-4, -4)));
 
-  // Give the unbounded face the index 1, and the bounded face the index 2. 
+  // Give the unbounded face the index 1, and the bounded face the index 2.
   CGAL_assertion (arr2.number_of_faces() == 2);
 
   ArrangementB_2::Face_iterator    fit;
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/point_location_example.cpp 5.0.3-1/examples/Arrangement_on_surface_2/point_location_example.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/point_location_example.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/point_location_example.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -35,6 +35,6 @@ int main ()
   point_location_query (landmarks_pl, Point_2(3, 2));    // q4
   point_location_query (landmarks_pl, Point_2(5, 2));    // q5
   point_location_query (landmarks_pl, Point_2(1, 0));    // q6
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/point_location_utils.h 5.0.3-1/examples/Arrangement_on_surface_2/point_location_utils.h
--- 5.0.2-3/examples/Arrangement_on_surface_2/point_location_utils.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/point_location_utils.h	2020-08-01 19:02:11.000000000 +0000
@@ -53,7 +53,7 @@ print_point_location
   const Vertex_const_handle*   v;
   const Halfedge_const_handle* e;
   const Face_const_handle*     f;
-  
+
   std::cout << "The point (" << q << ") is located ";
   if ( ( f = boost::get<Face_const_handle>(&obj) ) )          // located inside a face
     std::cout << "inside "
@@ -98,7 +98,7 @@ void vertical_ray_shooting_query(const V
 
   // Perform the point-location query.
   typename Vertical_ray_shooting::result_type obj = vrs.ray_shoot_up(q);
-  
+
   // Print the result.
   typedef typename Vertical_ray_shooting::Arrangement_2 Arrangement_2;
   typedef typename Arrangement_2::Vertex_const_handle   Vertex_const_handle;
@@ -108,7 +108,7 @@ void vertical_ray_shooting_query(const V
   const Vertex_const_handle*   v;
   const Halfedge_const_handle* e;
   const Face_const_handle*     f;
-  
+
   std::cout << "Shooting up from (" << q << ") : ";
 
   if ( (v = boost::get<Vertex_const_handle>(&obj)) )         // we hit a vertex
@@ -128,7 +128,7 @@ void vertical_ray_shooting_query(const V
 // the vertical ray-shooting examples.
 // The function assumes that the arrangement is of line segments with integer
 // coordinates.
-//			
+//
 template <class Arrangement_>
 void construct_segments_arr(Arrangement_& arr)
 {
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/predefined_kernel.cpp 5.0.3-1/examples/Arrangement_on_surface_2/predefined_kernel.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/predefined_kernel.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/predefined_kernel.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -37,7 +37,7 @@ int main (int argc, char *argv[])
   // <sx_2> <sy_2>  <tx_2> <ty_2>        // source and target of segment #2.
   //   :      :       :      :
   // <sx_n> <sy_n>  <tx_n> <ty_n>        // source and target of segment #n.
-  
+
   std::list<Segment_2>  segments;
 
   unsigned int n;
@@ -55,7 +55,7 @@ int main (int argc, char *argv[])
   Arrangement_2                  arr;
   CGAL::Timer                    timer;
 
-  std::cout << "Performing aggregated insertion of " 
+  std::cout << "Performing aggregated insertion of "
             << n << " segments." << std::endl;
 
   timer.start();
@@ -64,11 +64,11 @@ int main (int argc, char *argv[])
 
   // Print the arrangement dimensions.
   std::cout << "V = " << arr.number_of_vertices()
-	    << ",  E = " << arr.number_of_edges() 
-	    << ",  F = " << arr.number_of_faces() << std::endl;
+            << ",  E = " << arr.number_of_edges()
+            << ",  F = " << arr.number_of_faces() << std::endl;
+
+  std::cout << "Construction took " << timer.time()
+            << " seconds." << std::endl;
 
-  std::cout << "Construction took " << timer.time() 
-	    << " seconds." << std::endl;
-  
   return 0;
 }
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/predefined_kernel_non_intersecting.cpp 5.0.3-1/examples/Arrangement_on_surface_2/predefined_kernel_non_intersecting.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/predefined_kernel_non_intersecting.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/predefined_kernel_non_intersecting.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -55,7 +55,7 @@ int main (int argc, char *argv[])
   Arrangement_2                  arr;
   CGAL::Timer                    timer;
 
-  std::cout << "Performing aggregated insertion of " 
+  std::cout << "Performing aggregated insertion of "
             << n << " segments." << std::endl;
 
   timer.start();
@@ -64,11 +64,11 @@ int main (int argc, char *argv[])
 
   // Print the arrangement dimensions.
   std::cout << "V = " << arr.number_of_vertices()
-	    << ",  E = " << arr.number_of_edges() 
-	    << ",  F = " << arr.number_of_faces() << std::endl;
+            << ",  E = " << arr.number_of_edges()
+            << ",  F = " << arr.number_of_faces() << std::endl;
+
+  std::cout << "Construction took " << timer.time()
+            << " seconds." << std::endl;
 
-  std::cout << "Construction took " << timer.time() 
-	    << " seconds." << std::endl;
-  
   return 0;
 }
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/rational_functions.cpp 5.0.3-1/examples/Arrangement_on_surface_2/rational_functions.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/rational_functions.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/rational_functions.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -7,7 +7,7 @@
 #include <iostream>
 int main ()
 {
-  std::cout << "Sorry, this example needs CORE ..." << std::endl; 
+  std::cout << "Sorry, this example needs CORE ..." << std::endl;
   return 0;
 }
 
@@ -19,7 +19,7 @@ int main ()
 #include <CGAL/Arrangement_2.h>                    // Arrangement
 
 typedef CORE::BigInt                               Number_type;
-typedef CGAL::Algebraic_kernel_d_1<Number_type>	   AK1;
+typedef CGAL::Algebraic_kernel_d_1<Number_type>           AK1;
 typedef CGAL::Arr_rational_function_traits_2<AK1>  Traits_2;
 
 typedef Traits_2::Polynomial_1                     Polynomial_1;
@@ -34,14 +34,14 @@ int main ()
   // create a polynomial representing x .-)
   Polynomial_1 x = CGAL::shift(Polynomial_1(1),1);
 
-  // Traits class object 
-  Traits_2 traits; 
+  // Traits class object
+  Traits_2 traits;
   Traits_2::Construct_x_monotone_curve_2 construct_arc
-    = traits.construct_x_monotone_curve_2_object(); 
+    = traits.construct_x_monotone_curve_2_object();
 
-  // container storing all arcs 
+  // container storing all arcs
   std::vector<Traits_2::X_monotone_curve_2>  arcs;
-  
+
   // Create an arc supported by the polynomial y = x^4 - 6x^2 + 8,
   // defined over the interval [-2.1, 2.1]:
   Polynomial_1 P1 = x*x*x*x - 6*x*x + 8;
@@ -53,19 +53,19 @@ int main ()
   // defined over the interval [-3, 3]:
   Polynomial_1 P2 = x;
   Polynomial_1 Q2 = 1+x*x;
-  
+
   arcs.push_back(construct_arc(P2, Q2, Alg_real_1(-3), Alg_real_1(3)));
 
   // Create an arc supported by the parabola y = 8 - x^2,
   // defined over the interval [-2, 3]:
-  Polynomial_1 P3 = 8 - x*x; 
+  Polynomial_1 P3 = 8 - x*x;
   arcs.push_back(construct_arc(P3, Alg_real_1(-2), Alg_real_1(3)));
-  
+
   // Create an arc supported by the line y = -2x,
   // defined over the interval [-3, 0]:
   Polynomial_1 P4 = -2*x;
   arcs.push_back(construct_arc(P4, Alg_real_1(-3), Alg_real_1(0)));
-  
+
   // Construct the arrangement of the four arcs.
 
   // Print the arcs.
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/rational_functions_rational_coefficients.cpp 5.0.3-1/examples/Arrangement_on_surface_2/rational_functions_rational_coefficients.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/rational_functions_rational_coefficients.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/rational_functions_rational_coefficients.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -7,7 +7,7 @@
 #include <iostream>
 int main ()
 {
-  std::cout << "Sorry, this example needs CORE ..." << std::endl; 
+  std::cout << "Sorry, this example needs CORE ..." << std::endl;
   return 0;
 }
 
@@ -21,7 +21,7 @@ int main ()
 
 typedef CORE::BigInt                               Integer;
 typedef CORE::BigRat                               Rational;
-typedef CGAL::Algebraic_kernel_d_1<Integer>	   AK1;
+typedef CGAL::Algebraic_kernel_d_1<Integer>           AK1;
 typedef CGAL::Arr_rational_function_traits_2<AK1>  Traits_2;
 
 typedef std::vector<Rational>                      Rat_vec;
@@ -33,14 +33,14 @@ int main ()
 {
   CGAL::set_pretty_mode(std::cout);             // for nice printouts.
 
-  // Traits class object 
-  Traits_2 traits; 
+  // Traits class object
+  Traits_2 traits;
   Traits_2::Construct_x_monotone_curve_2 construct_arc
-    = traits.construct_x_monotone_curve_2_object(); 
+    = traits.construct_x_monotone_curve_2_object();
 
-  // container storing all arcs 
+  // container storing all arcs
   std::vector<Traits_2::X_monotone_curve_2>  arcs;
-  
+
   // Create an arc supported by the function y = 0.1x^4 - 0.6x^2 + 0.8 / 0.1,
   // defined over the interval [-2.1, 2.1]:
   Rat_vec P1,Q1;
@@ -49,9 +49,9 @@ int main ()
   P1.push_back(Rational(-6,10));
   P1.push_back(Rational(0));
   P1.push_back(Rational(1,10));
-  
+
   Q1.push_back(Rational(1,10));
-  
+
   Alg_real_1 l(Traits_2::Algebraic_kernel_d_1::Bound(-2.1));
   Alg_real_1 r(Traits_2::Algebraic_kernel_d_1::Bound(2.1));
   arcs.push_back(construct_arc(P1.begin(), P1.end(), Q1.begin(), Q1.end(), l, r));
@@ -61,11 +61,11 @@ int main ()
   Rat_vec P2,Q2;
   P2.push_back(Rational(0));
   P2.push_back(Rational(1,10));
-  
+
   Q2.push_back(Rational(1,10));
   Q2.push_back(Rational(0));
   Q2.push_back(Rational(1,10));
-  
+
   arcs.push_back(construct_arc(P2.begin(), P2.end(), Q2.begin(), Q2.end(),
                                Alg_real_1(-3), Alg_real_1(3)));
 
@@ -77,10 +77,10 @@ int main ()
   P3.push_back(Rational(-1,10));
 
   Q3.push_back(Rational(1,10));
-  
+
   arcs.push_back(construct_arc(P3.begin(), P3.end(), Q3.begin(), Q3.end(),
                                Alg_real_1(-2), Alg_real_1(3)));
-  
+
   // Create an arc supported by the line y = -0.2x / 0.1,
   // defined over the interval [-3, 0]:
   Rat_vec P4,Q4;
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/spherical_insert.cpp 5.0.3-1/examples/Arrangement_on_surface_2/spherical_insert.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/spherical_insert.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/spherical_insert.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -21,7 +21,7 @@ int main ()
 {
   // Construct the arrangement of five intersecting segments.
   Arrangement_2 arr;
-  
+
   std::list<X_monotone_curve_2> arcs;
 
   arcs.push_back(X_monotone_curve_2(Point_2(1, 0, 0), Point_2(0, 1, 0)));
@@ -34,7 +34,7 @@ int main ()
   arcs.push_back(X_monotone_curve_2(Point_2(-1, 0, 0), Point_2(0, -1, 0)));
   arcs.push_back(X_monotone_curve_2(Point_2(0, 0, -1), Point_2(1, 0, 0)));
   arcs.push_back(X_monotone_curve_2(Point_2(0, 1, 0), Point_2(0, 0, -1)));
-  
+
 #if 0
   // insert_non_intersecting_curves (arr, arcs.begin(), arcs.end());
   // insert_x_monotone_curves (arr, arcs.begin(), arcs.end());
@@ -50,7 +50,7 @@ int main ()
   // Print the size of the arrangement.
   std::cout << "The arrangement size:" << std::endl
             << "   V = " << arr.number_of_vertices()
-            << ",  E = " << arr.number_of_edges() 
+            << ",  E = " << arr.number_of_edges()
             << ",  F = " << arr.number_of_faces() << std::endl;
 
   return 0;
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/tracing_counting.cpp 5.0.3-1/examples/Arrangement_on_surface_2/tracing_counting.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/tracing_counting.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/tracing_counting.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -35,12 +35,12 @@ int main ()
   insert(arr1, segments.begin(), segments.end());
   std::cout << traits << std::endl;
   traits.clear_counters();
-  
+
   // Construct an arrangement using incremental insertion:
   Arrangement_2 arr2(&traits);
   insert(arr2, s1);
   insert(arr2, s2);
   std::cout << traits << std::endl;
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/unbounded_non_intersecting.cpp 5.0.3-1/examples/Arrangement_on_surface_2/unbounded_non_intersecting.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/unbounded_non_intersecting.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/unbounded_non_intersecting.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -17,7 +17,7 @@ typedef Traits_2::X_monotone_curve_2
 typedef CGAL::Arrangement_2<Traits_2>                 Arrangement_2;
 typedef Arrangement_2::Vertex_handle                  Vertex_handle;
 typedef Arrangement_2::Halfedge_handle                Halfedge_handle;
- 
+
 int main ()
 {
   Arrangement_2      arr;
@@ -30,7 +30,7 @@ int main ()
 
   X_monotone_curve_2 c1_left = Ray_2 (Point_2 (0, 0), Point_2 (-1, 0));
   X_monotone_curve_2 c1_right = Ray_2 (Point_2 (0, 0), Point_2 (1, 0));
- 
+
   e1 = arr.split_edge (e1, c1_left, c1_right);
   Vertex_handle      v = e1->target();
 
@@ -57,8 +57,8 @@ int main ()
             << "   V = " << arr.number_of_vertices()
             << " (plus " << arr.number_of_vertices_at_infinity()
             << " at infinity)"
-            << ",  E = " << arr.number_of_edges() 
-            << ",  F = " << arr.number_of_faces() 
+            << ",  E = " << arr.number_of_edges()
+            << ",  F = " << arr.number_of_faces()
             << " (" << arr.number_of_unbounded_faces() << " unbounded)"
             << std::endl << std::endl;
 
diff -pruN 5.0.2-3/examples/Arrangement_on_surface_2/unbounded_rational_functions.cpp 5.0.3-1/examples/Arrangement_on_surface_2/unbounded_rational_functions.cpp
--- 5.0.2-3/examples/Arrangement_on_surface_2/unbounded_rational_functions.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Arrangement_on_surface_2/unbounded_rational_functions.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -7,7 +7,7 @@
 #include <iostream>
 int main ()
 {
-  std::cout << "Sorry, this example needs CORE ..." << std::endl; 
+  std::cout << "Sorry, this example needs CORE ..." << std::endl;
   return 0;
 }
 
@@ -18,8 +18,8 @@ int main ()
 #include <CGAL/Arr_rational_function_traits_2.h> // Traits
 #include <CGAL/Arrangement_2.h>                  // Arrangement
 
-typedef CORE::BigInt	                           Number_type;
-typedef CGAL::Algebraic_kernel_d_1<Number_type>	   AK1;
+typedef CORE::BigInt                                   Number_type;
+typedef CGAL::Algebraic_kernel_d_1<Number_type>           AK1;
 typedef CGAL::Arr_rational_function_traits_2<AK1>  Traits_2;
 
 typedef Traits_2::Polynomial_1                     Polynomial_1;
@@ -30,21 +30,21 @@ typedef CGAL::Arrangement_2<Traits_2>
 int main ()
 {
   CGAL::set_pretty_mode(std::cout);             // for nice printouts.
-  
-  // Traits class object 
-  AK1 ak1; 
+
+  // Traits class object
+  AK1 ak1;
   Traits_2 traits(&ak1);
-    
-  // constructor for rational functions 
-  Traits_2::Construct_curve_2 construct = traits.construct_curve_2_object(); 
-  
+
+  // constructor for rational functions
+  Traits_2::Construct_curve_2 construct = traits.construct_curve_2_object();
+
   // a polynomial representing x .-)
   Polynomial_1 x = CGAL::shift(Polynomial_1(1),1);
-  
-  // container storing all arcs 
+
+  // container storing all arcs
   std::vector<Traits_2::Curve_2>  arcs;
 
-  
+
   // Create the rational functions (y = 1 / x), and (y = -1 / x).
   Polynomial_1 P1(1);
   Polynomial_1 minusP1(-P1);
@@ -54,8 +54,8 @@ int main ()
 
   // Create a bounded segments of the parabolas (y = -4*x^2 + 3) and
   // (y = 4*x^2 - 3), defined over [-sqrt(3)/2, sqrt(3)/2].
-  Polynomial_1 P2 = -4*x*x+3; 
-  Polynomial_1 minusP2 = -P2; 
+  Polynomial_1 P2 = -4*x*x+3;
+  Polynomial_1 minusP2 = -P2;
   std::vector<std::pair<Alg_real_1,int> > roots;
 
   // [-sqrt(3)/2, sqrt(3)/2]
@@ -81,8 +81,8 @@ int main ()
     << "   V = " << arr.number_of_vertices()
     << " (plus " << arr.number_of_vertices_at_infinity()
     << " at infinity)"
-    << ",  E = " << arr.number_of_edges() 
-    << ",  F = " << arr.number_of_faces() 
+    << ",  E = " << arr.number_of_edges()
+    << ",  F = " << arr.number_of_faces()
     << " (" << arr.number_of_unbounded_faces() << " unbounded)"
     << std::endl << std::endl;
 
diff -pruN 5.0.2-3/examples/Barycentric_coordinates_2/CMakeLists.txt 5.0.3-1/examples/Barycentric_coordinates_2/CMakeLists.txt
--- 5.0.2-3/examples/Barycentric_coordinates_2/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Barycentric_coordinates_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Barycentric_coordinates_2/Discrete_harmonic_coordinates_example.cpp 5.0.3-1/examples/Barycentric_coordinates_2/Discrete_harmonic_coordinates_example.cpp
--- 5.0.2-3/examples/Barycentric_coordinates_2/Discrete_harmonic_coordinates_example.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Barycentric_coordinates_2/Discrete_harmonic_coordinates_example.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -24,7 +24,7 @@ int main()
     // Construct a unit square.
     const int number_of_vertices = 4;
     Point_vector vertices(number_of_vertices);
-    
+
     vertices[0] = Point(0, 0); vertices[1] = Point(1, 0); vertices[2] = Point(1, 1); vertices[3] = Point(0, 1);
 
     // Create an std::vector to store coordinates.
@@ -96,7 +96,7 @@ int main()
 
     // Output the computed coordinate values.
     cout << endl << "Exact discrete harmonic coordinates for all the defined points: " << endl << endl;
-    const size_t number_of_query_points = coordinates.size(); 
+    const size_t number_of_query_points = coordinates.size();
     for(int index = 0; index < int(number_of_query_points); ++index) {
         cout << "Coordinate " << index % number_of_vertices + 1 << " = " << coordinates[index] << " ";
         if((index +  1) %      number_of_vertices  == 0) cout << endl;
diff -pruN 5.0.2-3/examples/Barycentric_coordinates_2/Mean_value_coordinates_example.cpp 5.0.3-1/examples/Barycentric_coordinates_2/Mean_value_coordinates_example.cpp
--- 5.0.2-3/examples/Barycentric_coordinates_2/Mean_value_coordinates_example.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Barycentric_coordinates_2/Mean_value_coordinates_example.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -20,11 +20,11 @@ typedef CGAL::Barycentric_coordinates::G
 using std::cout; using std::endl; using std::string;
 
 int main()
-{    
+{
     // Construct a star-shaped polygon.
     const int number_of_vertices = 10;
     Point_vector vertices(number_of_vertices);
-    
+
     vertices[0] = Point(0.0, 0.0); vertices[1] = Point(0.1, -0.8); vertices[2] = Point(0.3, 0.0); vertices[3] = Point(0.6, -0.5); vertices[4]  = Point(0.6 , 0.1);
     vertices[5] = Point(1.1, 0.6); vertices[6] = Point(0.3,  0.2); vertices[7] = Point(0.1, 0.8); vertices[8] = Point(0.1,  0.2); vertices[9] = Point(-0.7, 0.0);
 
diff -pruN 5.0.2-3/examples/Barycentric_coordinates_2/Terrain_height_modeling.cpp 5.0.3-1/examples/Barycentric_coordinates_2/Terrain_height_modeling.cpp
--- 5.0.2-3/examples/Barycentric_coordinates_2/Terrain_height_modeling.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Barycentric_coordinates_2/Terrain_height_modeling.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -70,7 +70,7 @@ int main()
 
     // Mesh this polygon.
 
-    // Create a constrained Delaunay triangulation.  
+    // Create a constrained Delaunay triangulation.
     CDT cdt;
 
     std::vector<Vertex_handle> vertex_handle(number_of_vertices);
@@ -114,7 +114,7 @@ int main()
         const Point &point = vertex_iterator->point();
         mean_value_coordinates(point, std::back_inserter(coordinates));
 
-        for(int j = 0; j < number_of_vertices; ++j) 
+        for(int j = 0; j < number_of_vertices; ++j)
             point_coordinates[j] = std::make_pair(vertices[j], coordinates[j]);
 
         Scalar f = CGAL::linear_interpolation(point_coordinates.begin(), point_coordinates.end(), Scalar(1), Value_access(point_function_value));
diff -pruN 5.0.2-3/examples/Barycentric_coordinates_2/Wachspress_coordinates_example.cpp 5.0.3-1/examples/Barycentric_coordinates_2/Wachspress_coordinates_example.cpp
--- 5.0.2-3/examples/Barycentric_coordinates_2/Wachspress_coordinates_example.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Barycentric_coordinates_2/Wachspress_coordinates_example.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -43,7 +43,7 @@ int main()
 
     // Print some information about the polygon and coordinates.
     wachspress_coordinates.print_information();
-    
+
     // Compute Wachspress coordinates for all the randomly defined points.
     cout << endl << "Computed Wachspress coordinates: " << endl << endl;
     for(int i = 0; i < number_of_points; ++i) {
diff -pruN 5.0.2-3/examples/BGL_arrangement_2/arrangement_dual.cpp 5.0.3-1/examples/BGL_arrangement_2/arrangement_dual.cpp
--- 5.0.2-3/examples/BGL_arrangement_2/arrangement_dual.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_arrangement_2/arrangement_dual.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -15,7 +15,7 @@
 
 #include "arr_print.h"
 
-// A property map that reads/writes the information to/from the extended 
+// A property map that reads/writes the information to/from the extended
 // face.
 template <typename Arrangement, class Type> class Extended_face_property_map {
 public:
diff -pruN 5.0.2-3/examples/BGL_arrangement_2/CMakeLists.txt 5.0.3-1/examples/BGL_arrangement_2/CMakeLists.txt
--- 5.0.2-3/examples/BGL_arrangement_2/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_arrangement_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -13,8 +13,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/BGL_arrangement_2/primal.cpp 5.0.3-1/examples/BGL_arrangement_2/primal.cpp
--- 5.0.2-3/examples/BGL_arrangement_2/primal.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_arrangement_2/primal.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -46,15 +46,15 @@ double get(Edge_length_func edge_length,
 {
   return edge_length(e);
 }
- 
+
 int main()
 {
   Arrangement_2   arr;
- 
+
   // Construct an arrangement of seven intersecting line segments.
   // We keep a handle for the vertex v_0 that corresponds to the point (1,1).
   Arrangement_2::Halfedge_handle  e =
-    insert_non_intersecting_curve (arr, Segment_2 (Point_2 (1, 1), 
+    insert_non_intersecting_curve (arr, Segment_2 (Point_2 (1, 1),
                                                    Point_2 (7, 1)));
   Arrangement_2::Vertex_handle    v0 = e->source();
   insert (arr, Segment_2 (Point_2 (1, 1), Point_2 (3, 7)));
@@ -66,16 +66,16 @@ int main()
 
   // Create a mapping of the arrangement vertices to indices.
   CGAL::Arr_vertex_index_map<Arrangement_2>        index_map(arr);
-  
+
   // Perform Dijkstra's algorithm from the vertex v0.
   Edge_length_func                                      edge_length;
-  
+
   boost::vector_property_map<double, CGAL::Arr_vertex_index_map<Arrangement_2> > dist_map(static_cast<unsigned int>(arr.number_of_vertices()), index_map);
   boost::dijkstra_shortest_paths(arr, v0,
                                  boost::vertex_index_map(index_map).
                                  weight_map(edge_length).
                                  distance_map(dist_map));
-  
+
   // Print the results:
   Arrangement_2::Vertex_iterator      vit;
 
diff -pruN 5.0.2-3/examples/BGL_LCC/CMakeLists.txt 5.0.3-1/examples/BGL_LCC/CMakeLists.txt
--- 5.0.2-3/examples/BGL_LCC/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_LCC/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -12,7 +12,7 @@ find_package( CGAL QUIET COMPONENTS  )
 if ( NOT CGAL_FOUND )
 
   message(STATUS "This project requires the CGAL library, and will not be compiled.")
-  return()  
+  return()
 
 endif()
 
@@ -23,7 +23,7 @@ if ( NOT Boost_FOUND )
 
   message(STATUS "This project requires the Boost library, and will not be compiled.")
 
-  return()  
+  return()
 
 endif()
 
diff -pruN 5.0.2-3/examples/BGL_LCC/copy_lcc.cpp 5.0.3-1/examples/BGL_LCC/copy_lcc.cpp
--- 5.0.2-3/examples/BGL_LCC/copy_lcc.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_LCC/copy_lcc.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -51,7 +51,7 @@ int main(int argc, char* argv[])
 
     boost::unordered_map<source_vertex_descriptor, tm_vertex_descriptor> v2v;
     boost::unordered_map<source_halfedge_descriptor, tm_halfedge_descriptor> h2h;
-    
+
     CGAL::copy_face_graph(T1, S, CGAL::parameters::vertex_to_vertex_output_iterator(std::inserter(v2v, v2v.end()))
                                                   .halfedge_to_halfedge_output_iterator(std::inserter(h2h, h2h.end())));
     std::ofstream out("reverse.off");
diff -pruN 5.0.2-3/examples/BGL_LCC/distance_lcc.cpp 5.0.3-1/examples/BGL_LCC/distance_lcc.cpp
--- 5.0.2-3/examples/BGL_LCC/distance_lcc.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_LCC/distance_lcc.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -21,21 +21,21 @@ int main(int argc, char** argv)
   CGAL::read_off((argc>1)?argv[1]:"cube.off", lcc);
 
   // This is the vector where the distance gets written to
-  std::vector<int> distance(lcc.vertex_attributes().size());  
+  std::vector<int> distance(lcc.vertex_attributes().size());
 
-  // Here we start at an arbitrary vertex 
+  // Here we start at an arbitrary vertex
   // Any other vertex could be the starting point
   vertex_iterator vb, ve;
   boost::tie(vb,ve)=vertices(lcc);
   vertex_descriptor  vd = *vb;
-  
+
   std::cout << "We compute distances to " << vd->point() << std::endl;
 
   // bfs = breadth first search explores the graph
-  // Just as the distance_recorder there is a way to record the predecessor of a vertex  
+  // Just as the distance_recorder there is a way to record the predecessor of a vertex
   boost::breadth_first_search(lcc,
-			      vd,
-			      visitor(boost::make_bfs_visitor
+                              vd,
+                              visitor(boost::make_bfs_visitor
                                       (boost::record_distances
                                        (make_iterator_property_map
                                         (distance.begin(),
@@ -48,6 +48,6 @@ int main(int argc, char** argv)
     vd = *vb;
     std::cout<<vd->point()<<"  is "<<distance[vd->id()]<<" hops away."<<std::endl;
   }
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/BGL_LCC/kruskal_lcc.cpp 5.0.3-1/examples/BGL_LCC/kruskal_lcc.cpp
--- 5.0.2-3/examples/BGL_LCC/kruskal_lcc.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_LCC/kruskal_lcc.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -23,14 +23,14 @@ void kruskal(const LCC& lcc)
 {
   // We use the default edge weight which is the length of the edge
   // This property map is defined in graph_traits_Linear_cell_complex_for_combinatorial_map.h
-  
+
   // This function call requires a vertex_index_map named parameter which
   // when  ommitted defaults to "get(vertex_index,graph)".
   // That default works here because the vertex type has an "id()" method
   // field which is used by the vertex_index internal property.
   std::list<edge_descriptor> mst;
   boost::kruskal_minimum_spanning_tree(lcc,std::back_inserter(mst));
-  
+
   std::cout << "#VRML V2.0 utf8\n"
     "Shape {\n"
     "appearance Appearance {\n"
@@ -39,21 +39,21 @@ void kruskal(const LCC& lcc)
     "IndexedLineSet {\n"
     "coord Coordinate {\n"
     "point [ \n";
-  
+
   vertex_iterator vb, ve;
   for(boost::tie(vb,ve) = vertices(lcc); vb!=ve; ++vb){
     std::cout << (*vb)->point() << "\n";
   }
-  
+
   std::cout << "]\n"
     "}\n"
     "coordIndex [\n";
-  
+
   for(std::list<edge_descriptor>::iterator it = mst.begin(); it != mst.end(); ++it){
     std::cout << source(*it,lcc)->id()
-	      << ", " << target(*it,lcc)->id() <<  ", -1\n";
+              << ", " << target(*it,lcc)->id() <<  ", -1\n";
   }
-  
+
   std::cout << "]\n"
     "}#IndexedLineSet\n"
     "}# Shape\n";
@@ -63,14 +63,14 @@ void kruskal(const LCC& lcc)
 int main()
 {
   LCC lcc;
-  
+
   Point a(1,0,0);
   Point b(0,1,0);
   Point c(0,0,1);
   Point d(0,0,0);
-  
+
   lcc.make_tetrahedron(a,b,c,d);
   kruskal(lcc);
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/BGL_LCC/normals_lcc.cpp 5.0.3-1/examples/BGL_LCC/normals_lcc.cpp
--- 5.0.2-3/examples/BGL_LCC/normals_lcc.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_LCC/normals_lcc.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -14,12 +14,12 @@ typedef CGAL::Linear_cell_complex_traits
 typedef CGAL::Linear_cell_complex_for_bgl_combinatorial_map_helper
           <2, 3, LCC_traits>::type LCC;
 
-template<typename HalfedgeGraph, 
-         typename PointMap, 
+template<typename HalfedgeGraph,
+         typename PointMap,
          typename NormalMap>
-void calculate_face_normals(const HalfedgeGraph& g, 
-                            PointMap pm, 
-                            NormalMap nm) 
+void calculate_face_normals(const HalfedgeGraph& g,
+                            PointMap pm,
+                            NormalMap nm)
 {
   typedef boost::graph_traits<HalfedgeGraph> GraphTraits;
   typedef typename GraphTraits::face_iterator face_iterator;
@@ -39,7 +39,7 @@ void calculate_face_normals(const Halfed
     edg = next(edg, g);
     point p2 = pm[target(edg, g)];
     edg = next(edg, g);
-      
+
     if(edg == edgb) {
       // triangle
       nm[*fb] = CGAL::unit_normal(p1, p2, p0);
@@ -51,11 +51,11 @@ void calculate_face_normals(const Halfed
         n = n + CGAL::normal(p1, p2, p0);
         p0 = p1;
         p1 = p2;
-        
+
         edg = next(edg, g);
         p2 = pm[target(edg, g)];
       } while(edg != edgb);
-      
+
       nm[*fb] = n / CGAL::sqrt(n.squared_length());
     }
   }
@@ -68,12 +68,12 @@ int main(int argc, char** argv)
 
   LCC lcc;
   CGAL::read_off((argc>1)?argv[1]:"cube.off", lcc);
-  
+
   // Ad hoc property_map to store normals. Face_index_map is used to
   // map face_descriptors to a contiguous range of indices. See
   // http://www.boost.org/libs/property_map/doc/vector_property_map.html
   // for details.
-  boost::vector_property_map<Vector, Face_index_map> 
+  boost::vector_property_map<Vector, Face_index_map>
     normals(get(CGAL::face_index, lcc));
 
   calculate_face_normals(
@@ -85,7 +85,7 @@ int main(int argc, char** argv)
   std::cout << "Normals" << std::endl;
   for(LCC::Attribute_range<2>::type::iterator it=lcc.attributes<2>().begin();
       it!=lcc.attributes<2>().end(); ++it)
-  { 
+  {
     // Facet_iterator is a face_descriptor, so we can use it as the
     // key here
     std::cout << normals[it] << std::endl;
diff -pruN 5.0.2-3/examples/BGL_LCC/range_lcc.cpp 5.0.3-1/examples/BGL_LCC/range_lcc.cpp
--- 5.0.2-3/examples/BGL_LCC/range_lcc.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_LCC/range_lcc.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -35,22 +35,22 @@ struct Fct
 void fct(const LCC& lcc)
 {
   vertex_range vr(vertices(lcc));
-  
+
   std::cout << "new for loop" << std::endl;
   for(vertex_descriptor vd : vr){
     std::cout << vd->point() << std::endl;
   }
-  
+
   std::cout << "boost::tie + std::for_each" << std::endl;
   vertex_iterator vb, ve;
-  
+
   boost::tie(vb,ve) = vertices_range(lcc);
   std::for_each(vb,ve, Fct());
 }
 
 int main(int argc, char** argv)
 {
-  LCC lcc;  
+  LCC lcc;
   CGAL::read_off((argc>1)?argv[1]:"cube.off", lcc);
 
   fct(lcc);
diff -pruN 5.0.2-3/examples/BGL_LCC/transform_iterator_lcc.cpp 5.0.3-1/examples/BGL_LCC/transform_iterator_lcc.cpp
--- 5.0.2-3/examples/BGL_LCC/transform_iterator_lcc.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_LCC/transform_iterator_lcc.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -19,7 +19,7 @@ typedef CGAL::Halfedge_around_target_ite
 
 template <typename G>
 struct Source {
-  const G* g; 
+  const G* g;
 
   Source()
     : g(NULL)
@@ -44,14 +44,14 @@ int main(int argc, char** argv)
   CGAL::read_off((argc>1)?argv[1]:"cube.off", lcc);
   GraphTraits::vertex_descriptor vd = *(vertices(lcc).first);
 
-  typedef boost::transform_iterator<Source<LCC>,halfedge_around_target_iterator> adjacent_vertex_iterator; 
+  typedef boost::transform_iterator<Source<LCC>,halfedge_around_target_iterator> adjacent_vertex_iterator;
 
   halfedge_around_target_iterator hb,he;
   boost::tie(hb,he) = halfedges_around_target(halfedge(vd,lcc),lcc);
   adjacent_vertex_iterator avib, avie;
   avib = boost::make_transform_iterator(hb, Source<LCC>(lcc));
   avie = boost::make_transform_iterator(he, Source<LCC>(lcc));
-  
+
   std::list<vertex_descriptor> V;
   std::copy(avib,avie, std::back_inserter(V));
   return 0;
diff -pruN 5.0.2-3/examples/BGL_OpenMesh/CMakeLists.txt 5.0.3-1/examples/BGL_OpenMesh/CMakeLists.txt
--- 5.0.2-3/examples/BGL_OpenMesh/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_OpenMesh/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -12,7 +12,7 @@ find_package( CGAL QUIET COMPONENTS  )
 if ( NOT CGAL_FOUND )
 
   message(STATUS "This project requires the CGAL library, and will not be compiled.")
-  return()  
+  return()
 
 endif()
 
@@ -23,7 +23,7 @@ if ( NOT Boost_FOUND )
 
   message(STATUS "This project requires the Boost library, and will not be compiled.")
 
-  return()  
+  return()
 
 endif()
 
diff -pruN 5.0.2-3/examples/BGL_polyhedron_3/CMakeLists.txt 5.0.3-1/examples/BGL_polyhedron_3/CMakeLists.txt
--- 5.0.2-3/examples/BGL_polyhedron_3/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_polyhedron_3/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -12,7 +12,7 @@ find_package( CGAL QUIET COMPONENTS  )
 if ( NOT CGAL_FOUND )
 
   message(STATUS "This project requires the CGAL library, and will not be compiled.")
-  return()  
+  return()
 
 endif()
 
@@ -23,7 +23,7 @@ if ( NOT Boost_FOUND )
 
   message(STATUS "This project requires the Boost library, and will not be compiled.")
 
-  return()  
+  return()
 
 endif()
 
diff -pruN 5.0.2-3/examples/BGL_polyhedron_3/copy_polyhedron.cpp 5.0.3-1/examples/BGL_polyhedron_3/copy_polyhedron.cpp
--- 5.0.2-3/examples/BGL_polyhedron_3/copy_polyhedron.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_polyhedron_3/copy_polyhedron.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -35,16 +35,17 @@ int main(int argc, char* argv[])
 
   std::ifstream in((argc>1)?argv[1]:"cube.off");
   in >> S;
+  assert( CGAL::is_valid_polygon_mesh(S) );
 
   // Note that the vertex_point property of the Source and Target1
   // come from different kernels.
   typedef CGAL::Surface_mesh<Point> Target1;
   Target1 T1;
-  {
-    CGAL::copy_face_graph(S, T1);
-    std::ofstream out("sm.off");
-    out << T1;
-  }
+  CGAL::copy_face_graph(S, T1);
+  assert( CGAL::is_valid_polygon_mesh(T1) );
+  assert( vertices(S).size()==vertices(T1).size() );
+  assert( halfedges(S).size()==halfedges(T1).size() );
+  assert( faces(S).size()==faces(T1).size() );
 
 #if defined(CGAL_USE_OPENMESH)
   typedef OpenMesh::PolyMesh_ArrayKernelT</* MyTraits*/> Target2;
@@ -58,11 +59,17 @@ int main(int argc, char* argv[])
     boost::unordered_map<sm_vertex_descriptor, tm_vertex_descriptor>     v2v;
     boost::unordered_map<sm_halfedge_descriptor, tm_halfedge_descriptor> h2h;
     boost::unordered_map<sm_face_descriptor, tm_face_descriptor>         f2f;
-    
+
     CGAL::copy_face_graph(S, T2, CGAL::parameters::vertex_to_vertex_output_iterator(std::inserter(v2v, v2v.end()))
                                  .halfedge_to_halfedge_output_iterator(std::inserter(h2h, h2h.end()))
                                  .face_to_face_output_iterator(std::inserter(f2f, f2f.end())));
-    OpenMesh::IO::write_mesh(T2, "om.off");
+    assert( CGAL::is_valid_polygon_mesh(T2) );
+    assert( v2v.size()==vertices(T2).size() );
+    assert( h2h.size()==halfedges(T2).size() );
+    assert( f2f.size()==faces(T2).size() );
+    assert( vertices(S).size()==vertices(T2).size() );
+    assert( halfedges(S).size()==halfedges(T2).size() );
+    assert( faces(S).size()==faces(T2).size() );
   }
 #endif
   S.clear();
@@ -74,17 +81,19 @@ int main(int argc, char* argv[])
     typedef boost::graph_traits<Source>::vertex_descriptor   tm_vertex_descriptor;
     typedef boost::graph_traits<Source>::halfedge_descriptor tm_halfedge_descriptor;
     typedef boost::graph_traits<Source>::face_descriptor   tm_face_descriptor;
-    
+
 
     boost::unordered_map<source_vertex_descriptor, tm_vertex_descriptor> v2v;
     boost::unordered_map<source_halfedge_descriptor, tm_halfedge_descriptor> h2h;
     boost::unordered_map<source_face_descriptor, tm_face_descriptor> f2f;
-    CGAL::copy_face_graph(T1, S, std::inserter(v2v, v2v.end()), std::inserter(h2h, h2h.end()));
-    std::ofstream out("reverse.off");
-    out << S;
     CGAL::copy_face_graph(T1, S, CGAL::parameters::vertex_to_vertex_map(boost::make_assoc_property_map(v2v))
                           .halfedge_to_halfedge_output_iterator(std::inserter(h2h, h2h.end()))
                           .face_to_face_map(boost::make_assoc_property_map(f2f)));
+
+    assert( CGAL::is_valid_polygon_mesh(S) );
+    assert( vertices(S).size()==vertices(T1).size() );
+    assert( halfedges(S).size()==halfedges(T1).size() );
+    assert( faces(S).size()==faces(T1).size() );
   }
   return 0;
 }
diff -pruN 5.0.2-3/examples/BGL_polyhedron_3/distance.cpp 5.0.3-1/examples/BGL_polyhedron_3/distance.cpp
--- 5.0.2-3/examples/BGL_polyhedron_3/distance.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_polyhedron_3/distance.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -16,14 +16,14 @@ typedef boost::graph_traits<Polyhedron>:
 
 int main(int argc, char** argv) {
 
-  Polyhedron P;  
+  Polyhedron P;
   std::ifstream in((argc>1)?argv[1]:"cube.off");
   in >> P ;
-  
+
   // associate indices to the vertices using the "id()" field of the vertex.
   vertex_iterator vb, ve;
   int index = 0;
-  
+
   // boost::tie assigns the first and second element of the std::pair
   // returned by boost::vertices to the variables vit and ve
   for(boost::tie(vb,ve)=vertices(P); vb!=ve; ++vb ){
@@ -32,24 +32,24 @@ int main(int argc, char** argv) {
   }
 
   // This is the vector where the distance gets written to
-  std::vector<int> distance(P.size_of_vertices());  
-  
+  std::vector<int> distance(P.size_of_vertices());
+
 
-  // Here we start at an arbitrary vertex 
+  // Here we start at an arbitrary vertex
   // Any other vertex could be the starting point
   boost::tie(vb,ve)=vertices(P);
   vertex_descriptor  vd = *vb;
-  
+
   std::cout << "We compute distances to " << vd->point() << std::endl;
-  
+
 
   // bfs = breadth first search explores the graph
-  // Just as the distance_recorder there is a way to record the predecessor of a vertex  
-  boost::breadth_first_search(P, 
-			      vd,
-			      visitor(boost::make_bfs_visitor(boost::record_distances(make_iterator_property_map(distance.begin(),
-														 get(boost::vertex_index, P)),
-										      boost::on_tree_edge()))));
+  // Just as the distance_recorder there is a way to record the predecessor of a vertex
+  boost::breadth_first_search(P,
+                              vd,
+                              visitor(boost::make_bfs_visitor(boost::record_distances(make_iterator_property_map(distance.begin(),
+                                                                                                                 get(boost::vertex_index, P)),
+                                                                                      boost::on_tree_edge()))));
 
 
 
@@ -58,6 +58,6 @@ int main(int argc, char** argv) {
     vd = *vb;
     std::cout <<  vd->point() << "  is " << distance[vd->id()] << " hops away" << std::endl;
   }
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/BGL_polyhedron_3/incident_vertices.cpp 5.0.3-1/examples/BGL_polyhedron_3/incident_vertices.cpp
--- 5.0.2-3/examples/BGL_polyhedron_3/incident_vertices.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_polyhedron_3/incident_vertices.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -35,7 +35,7 @@ adjacent_vertices_V2(const Polyhedron& g
                      OutputIterator out)
 {
   halfedge_around_target_iterator hi, he;
-  
+
   for(boost::tie(hi, he) = halfedges_around_target(halfedge(vd,g),g); hi != he; ++hi)
   {
     *out++ = source(*hi,g);
@@ -45,7 +45,7 @@ adjacent_vertices_V2(const Polyhedron& g
 
 
 int main(int argc, char** argv)
-{ 
+{
   std::ifstream in((argc>1)?argv[1]:"cube.off");
   Polyhedron P;
   in >> P;
diff -pruN 5.0.2-3/examples/BGL_polyhedron_3/kruskal.cpp 5.0.3-1/examples/BGL_polyhedron_3/kruskal.cpp
--- 5.0.2-3/examples/BGL_polyhedron_3/kruskal.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_polyhedron_3/kruskal.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -32,22 +32,22 @@ kruskal(const Polyhedron& P)
   // associate indices to the vertices
   vertex_iterator vb, ve;
   int index = 0;
-  
+
   // boost::tie assigns the first and second element of the std::pair
   // returned by boost::vertices to the variables vb and ve
   for(boost::tie(vb, ve)=vertices(P); vb!=ve; ++vb){
     vertex_index_pmap[*vb]= index++;
   }
 
-  
+
   // We use the default edge weight which is the length of the edge
   // This property map is defined in graph_traits_Polyhedron_3.h
 
   // In the function call you can see a named parameter: vertex_index_map
   std::list<edge_descriptor> mst;
 
-  boost::kruskal_minimum_spanning_tree(P, 
-                                       std::back_inserter(mst), 
+  boost::kruskal_minimum_spanning_tree(P,
+                                       std::back_inserter(mst),
                                        boost::vertex_index_map(vertex_index_pmap));
 
   std::cout << "#VRML V2.0 utf8\n"
diff -pruN 5.0.2-3/examples/BGL_polyhedron_3/kruskal_with_stored_id.cpp 5.0.3-1/examples/BGL_polyhedron_3/kruskal_with_stored_id.cpp
--- 5.0.2-3/examples/BGL_polyhedron_3/kruskal_with_stored_id.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_polyhedron_3/kruskal_with_stored_id.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -23,14 +23,14 @@ kruskal( const Polyhedron& P)
 
   // We use the default edge weight which is the length of the edge
   // This property map is defined in graph_traits_Polyhedron_3.h
-  
+
   // This function call requires a vertex_index_map named parameter which
   // when  ommitted defaults to "get(vertex_index,graph)".
   // That default works here because the vertex type has an "id()" method
   // field which is used by the vertex_index internal property.
   std::list<edge_descriptor> mst;
   boost::kruskal_minimum_spanning_tree(P,std::back_inserter(mst));
-  
+
   std::cout << "#VRML V2.0 utf8\n"
     "Shape {\n"
     "appearance Appearance {\n"
@@ -39,21 +39,21 @@ kruskal( const Polyhedron& P)
     "IndexedLineSet {\n"
     "coord Coordinate {\n"
     "point [ \n";
-  
+
   vertex_iterator vb, ve;
   for(boost::tie(vb,ve) = vertices(P); vb!=ve; ++vb){
     std::cout << (*vb)->point() << "\n";
   }
-  
+
   std::cout << "]\n"
     "}\n"
     "coordIndex [\n";
-  
+
   for(std::list<edge_descriptor>::iterator it = mst.begin(); it != mst.end(); ++it){
     std::cout << source(*it,P)->id()
-	      << ", " << target(*it,P)->id() <<  ", -1\n";
+              << ", " << target(*it,P)->id() <<  ", -1\n";
   }
-  
+
   std::cout << "]\n"
     "}#IndexedLineSet\n"
     "}# Shape\n";
@@ -61,27 +61,27 @@ kruskal( const Polyhedron& P)
 
 
 int main() {
-  
+
   Polyhedron P;
-  
+
   Point a(1,0,0);
   Point b(0,1,0);
   Point c(0,0,1);
   Point d(0,0,0);
-  
+
   P.make_tetrahedron(a,b,c,d);
 
   // associate indices to the vertices using the "id()" field of the vertex.
   vertex_iterator vb, ve;
   int index = 0;
-  
+
   // boost::tie assigns the first and second element of the std::pair
   // returned by boost::vertices to the variables vit and ve
   for(boost::tie(vb,ve)=vertices(P); vb!=ve; ++vb ){
     vertex_descriptor  vd = *vb;
     vd->id() = index++;
   }
-  
+
   kruskal(P);
   return 0;
 }
diff -pruN 5.0.2-3/examples/BGL_polyhedron_3/normals.cpp 5.0.3-1/examples/BGL_polyhedron_3/normals.cpp
--- 5.0.2-3/examples/BGL_polyhedron_3/normals.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_polyhedron_3/normals.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -12,12 +12,12 @@ typedef Kernel::Point_3
 typedef Kernel::Vector_3                                             Vector;
 typedef CGAL::Polyhedron_3<Kernel, CGAL::Polyhedron_items_with_id_3> Polyhedron;
 
-template<typename HalfedgeGraph, 
-         typename PointMap, 
+template<typename HalfedgeGraph,
+         typename PointMap,
          typename NormalMap>
-void calculate_face_normals(const HalfedgeGraph& g, 
-                            PointMap pm, 
-                            NormalMap nm) 
+void calculate_face_normals(const HalfedgeGraph& g,
+                            PointMap pm,
+                            NormalMap nm)
 {
   typedef boost::graph_traits<HalfedgeGraph> GraphTraits;
   typedef typename GraphTraits::face_iterator face_iterator;
@@ -37,7 +37,7 @@ void calculate_face_normals(const Halfed
     edg = next(edg, g);
     point p2 = pm[target(edg, g)];
     edg = next(edg, g);
-      
+
     if(edg == edgb) {
       // triangle
       nm[*fb] = CGAL::unit_normal(p1, p2, p0);
@@ -49,11 +49,11 @@ void calculate_face_normals(const Halfed
         n = n + CGAL::normal(p1, p2, p0);
         p0 = p1;
         p1 = p2;
-        
+
         edg = next(edg, g);
         p2 = pm[target(edg, g)];
       } while(edg != edgb);
-      
+
       nm[*fb] = n / CGAL::sqrt(n.squared_length());
     }
   }
@@ -61,18 +61,18 @@ void calculate_face_normals(const Halfed
 
 int main(int argc, char** argv)
 {
-  typedef boost::property_map< 
+  typedef boost::property_map<
     Polyhedron,
-    CGAL::face_index_t 
+    CGAL::face_index_t
     >::const_type Face_index_map;
 
   std::ifstream in((argc>1)?argv[1]:"cube.off");
   Polyhedron P;
   in >> P ;
-  
+
   // initialize facet indices
   std::size_t i = 0;
-  for(Polyhedron::Facet_iterator it = P.facets_begin(); it != P.facets_end(); ++it, ++i) 
+  for(Polyhedron::Facet_iterator it = P.facets_begin(); it != P.facets_end(); ++it, ++i)
   {
     it->id() = i;
   }
@@ -81,7 +81,7 @@ int main(int argc, char** argv)
   // map face_descriptors to a contiguous range of indices. See
   // http://www.boost.org/libs/property_map/doc/vector_property_map.html
   // for details.
-  boost::vector_property_map<Vector, Face_index_map> 
+  boost::vector_property_map<Vector, Face_index_map>
     normals(get(CGAL::face_index, P));
 
   calculate_face_normals(
@@ -91,7 +91,7 @@ int main(int argc, char** argv)
     );
 
   std::cout << "Normals" << std::endl;
-  for(Polyhedron::Facet_iterator it = P.facets_begin(); it != P.facets_end(); ++it) { 
+  for(Polyhedron::Facet_iterator it = P.facets_begin(); it != P.facets_end(); ++it) {
     // Facet_iterator is a face_descriptor, so we can use it as the
     // key here
     std::cout << normals[it] << std::endl;
diff -pruN 5.0.2-3/examples/BGL_polyhedron_3/range.cpp 5.0.3-1/examples/BGL_polyhedron_3/range.cpp
--- 5.0.2-3/examples/BGL_polyhedron_3/range.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_polyhedron_3/range.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -34,22 +34,22 @@ struct Fct
 void fct(const Polyhedron& p)
 {
   vertex_range vr(vertices(p));
-  
+
   std::cout << "new for loop" << std::endl;
   for(vertex_descriptor vd : vr){
     std::cout << vd->point() << std::endl;
   }
-    
+
   std::cout << "boost::tie + std::for_each" << std::endl;
   vertex_iterator vb, ve;
-  
+
   boost::tie(vb,ve) = vertices_range(p);
   std::for_each(vb,ve, Fct());
 }
 
 int main(int argc, char** argv)
 {
-  Polyhedron P;  
+  Polyhedron P;
   std::ifstream in((argc>1)?argv[1]:"cube.off");
   in >> P ;
 
diff -pruN 5.0.2-3/examples/BGL_polyhedron_3/transform_iterator.cpp 5.0.3-1/examples/BGL_polyhedron_3/transform_iterator.cpp
--- 5.0.2-3/examples/BGL_polyhedron_3/transform_iterator.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_polyhedron_3/transform_iterator.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -18,7 +18,7 @@ typedef CGAL::Halfedge_around_target_ite
 
 template <typename G>
 struct Source {
-  const G* g; 
+  const G* g;
 
   Source()
     : g(NULL)
@@ -38,20 +38,20 @@ struct Source {
 };
 
 int main(int argc, char** argv)
-{ 
+{
   std::ifstream in((argc>1)?argv[1]:"cube.off");
   Polyhedron P;
   in >> P;
   GraphTraits::vertex_descriptor vd = *(vertices(P).first);
 
-  typedef boost::transform_iterator<Source<Polyhedron>,halfedge_around_target_iterator> adjacent_vertex_iterator; 
+  typedef boost::transform_iterator<Source<Polyhedron>,halfedge_around_target_iterator> adjacent_vertex_iterator;
 
   halfedge_around_target_iterator hb,he;
   boost::tie(hb,he) = halfedges_around_target(halfedge(vd,P),P);
   adjacent_vertex_iterator avib, avie;
   avib = boost::make_transform_iterator(hb, Source<Polyhedron>(P));
   avie = boost::make_transform_iterator(he, Source<Polyhedron>(P));
-  
+
   std::list<vertex_descriptor> V;
   std::copy(avib,avie, std::back_inserter(V));
   return 0;
diff -pruN 5.0.2-3/examples/BGL_surface_mesh/connected_components.cpp 5.0.3-1/examples/BGL_surface_mesh/connected_components.cpp
--- 5.0.2-3/examples/BGL_surface_mesh/connected_components.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_surface_mesh/connected_components.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -12,7 +12,7 @@ typedef CGAL::Surface_mesh<Point>
 
 typedef boost::graph_traits<Mesh>::vertex_descriptor vertex_descriptor;
 
-int main(int argc, char* argv[]) 
+int main(int argc, char* argv[])
 {
   Mesh sm;
   std::ifstream in((argc>1)?argv[1]:"data/prim.off");
@@ -26,6 +26,6 @@ int main(int argc, char* argv[])
   for(vertex_descriptor v : vertices(sm)){
     std::cout  << v << " is in component " << ccmap[v] << std::endl;
   }
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/BGL_surface_mesh/data/flatten.selection.txt 5.0.3-1/examples/BGL_surface_mesh/data/flatten.selection.txt
--- 5.0.2-3/examples/BGL_surface_mesh/data/flatten.selection.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_surface_mesh/data/flatten.selection.txt	2020-08-01 19:00:32.000000000 +0000
@@ -1,3 +1,3 @@
 
 
-1 5 1 0 1 3 2 1 
+1 5 1 0 1 3 2 1
diff -pruN 5.0.2-3/examples/BGL_surface_mesh/data/hole.selection.txt 5.0.3-1/examples/BGL_surface_mesh/data/hole.selection.txt
--- 5.0.2-3/examples/BGL_surface_mesh/data/hole.selection.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_surface_mesh/data/hole.selection.txt	2020-08-01 19:00:32.000000000 +0000
@@ -1,3 +1,3 @@
 
 
-2 1 1 0 
+2 1 1 0
diff -pruN 5.0.2-3/examples/BGL_surface_mesh/data/two_connected_components.selection.txt 5.0.3-1/examples/BGL_surface_mesh/data/two_connected_components.selection.txt
--- 5.0.2-3/examples/BGL_surface_mesh/data/two_connected_components.selection.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_surface_mesh/data/two_connected_components.selection.txt	2020-08-01 19:00:32.000000000 +0000
@@ -1,3 +1,3 @@
 
 
-1 5 5 4 4 7 3 7 1 3 
+1 5 5 4 4 7 3 7 1 3
diff -pruN 5.0.2-3/examples/BGL_surface_mesh/prim.cpp 5.0.3-1/examples/BGL_surface_mesh/prim.cpp
--- 5.0.2-3/examples/BGL_surface_mesh/prim.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_surface_mesh/prim.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -12,7 +12,7 @@ typedef CGAL::Surface_mesh<Point>
 
 typedef boost::graph_traits<Mesh>::vertex_descriptor vertex_descriptor;
 
-int main(int argc, char* argv[]) 
+int main(int argc, char* argv[])
 {
   Mesh P;
   //std::cin >> P;
@@ -38,16 +38,16 @@ int main(int argc, char* argv[])
   for(vertex_descriptor vd : vertices(P)){
     std::cout <<  "        " << P.point(vd) << "\n";
   }
-  
+
   std::cout << "        ]\n"
     "     }\n"
-    "      coordIndex [\n"; 
+    "      coordIndex [\n";
   for(vertex_descriptor vd : vertices(P)){
     if(predecessor[vd]!=vd){
       std::cout << "      " << std::size_t(vd) << ", " << std::size_t(predecessor[vd]) <<  ", -1\n";
     }
   }
-  
+
   std::cout << "]\n"
     "  }#IndexedLineSet\n"
     "}# Shape\n";
diff -pruN 5.0.2-3/examples/BGL_surface_mesh/write_inp.cpp 5.0.3-1/examples/BGL_surface_mesh/write_inp.cpp
--- 5.0.2-3/examples/BGL_surface_mesh/write_inp.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_surface_mesh/write_inp.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -13,7 +13,7 @@ typedef CGAL::Surface_mesh<Point>
 
 typedef boost::graph_traits<Mesh>::vertex_descriptor vertex_descriptor;
 
-int main() 
+int main()
 {
   Mesh sm;
   CGAL::make_quad(Point(0,0,0), Point(1,0,0),Point(1,1,0),Point(0,1,0), sm);
diff -pruN 5.0.2-3/examples/BGL_triangulation_2/CMakeLists.txt 5.0.3-1/examples/BGL_triangulation_2/CMakeLists.txt
--- 5.0.2-3/examples/BGL_triangulation_2/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/BGL_triangulation_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -13,8 +13,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Boolean_set_operations_2/bezier_traits_adapter.cpp 5.0.3-1/examples/Boolean_set_operations_2/bezier_traits_adapter.cpp
--- 5.0.2-3/examples/Boolean_set_operations_2/bezier_traits_adapter.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Boolean_set_operations_2/bezier_traits_adapter.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -30,7 +30,7 @@ typedef CGAL::Cartesian<Rational>
 typedef CGAL::Cartesian<Algebraic>                      Alg_kernel;
 typedef CGAL::Arr_Bezier_curve_traits_2<Rat_kernel, Alg_kernel, Nt_traits>
                                                         Traits_2;
-  
+
 typedef Rat_kernel::Point_2                             Rat_point_2;
 typedef Traits_2::Curve_2                               Bezier_curve_2;
 typedef Traits_2::X_monotone_curve_2                    X_monotone_curve_2;
@@ -49,7 +49,7 @@ bool read_Bezier_polygon(const char* fil
 
   if (! in_file.is_open())
     return false;
-  
+
   // Read the number of curves.
   unsigned int      n_curves;
   unsigned int      k;
@@ -76,12 +76,12 @@ bool read_Bezier_polygon(const char* fil
 
     in_file >> B;
     mk_x_monotone(B, std::back_inserter(x_objs));
-    
+
     for (xoit = x_objs.begin(); xoit != x_objs.end(); ++xoit) {
       if (CGAL::assign(xcv, *xoit))
         xcvs.push_back(xcv);
     }
-    
+
     // Check if the current curve closes a polygon, namely whether it target
     // point (the last control point) equals the source of the first curve in
     // the current chain.
@@ -92,11 +92,11 @@ bool read_Bezier_polygon(const char* fil
         // and clockwise oriented if it represents a hole.
         Polygon_2          pgn(xcvs.begin(), xcvs.end());
         CGAL::Orientation  orient = pgn.orientation();
-        
+
         if ((pgns.empty() && (orient == CGAL::CLOCKWISE)) ||
             (! pgns.empty() && (orient == CGAL::COUNTERCLOCKWISE)))
           pgn.reverse_orientation();
-        
+
         pgns.push_back(pgn);
         xcvs.clear();
         first = true;
@@ -114,7 +114,7 @@ bool read_Bezier_polygon(const char* fil
 
   // Construct the polygon with holes.
   std::list<Polygon_2>::iterator     pit = pgns.begin();
-  
+
   ++pit;
   P = Polygon_with_holes_2(pgns.front(), pit, pgns.end());
 
@@ -146,9 +146,9 @@ int main(int argc, char* argv[])
   }
 
   timer.stop();
-  std::cout << "Constructed the input polygons in " << timer.time() 
+  std::cout << "Constructed the input polygons in " << timer.time()
             << " seconds." << std::endl << std::endl;
-  
+
   // Compute the intersection of the two polygons.
   Polygon_set                     R;
   Polygon_set::const_iterator     rit;
@@ -157,7 +157,7 @@ int main(int argc, char* argv[])
   timer.start();
   CGAL::intersection(P1, P2, std::back_inserter(R));
   timer.stop();
-  
+
   std::cout << "The intersection polygons are of sizes: {";
   for (rit = R.begin(); rit != R.end(); ++rit)
     std::cout << ' ' << rit->outer_boundary().size();
diff -pruN 5.0.2-3/examples/Boolean_set_operations_2/CMakeLists.txt 5.0.3-1/examples/Boolean_set_operations_2/CMakeLists.txt
--- 5.0.2-3/examples/Boolean_set_operations_2/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Boolean_set_operations_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -19,8 +19,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Boolean_set_operations_2/connect_polygon.cpp 5.0.3-1/examples/Boolean_set_operations_2/connect_polygon.cpp
--- 5.0.2-3/examples/Boolean_set_operations_2/connect_polygon.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Boolean_set_operations_2/connect_polygon.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -13,12 +13,12 @@ typedef CGAL::Polygon_with_holes_2<Kerne
 
 int main (int argc, char* argv[])
 {
-  
+
   // Get the name of the input file from the command line, or use the default
   // pgn_holes.dat file if no command-line parameters are given.
   //more data files can be found under test data
-  //boundary no other connections are made.  
-  const char* filename = (argc > 1) ? argv[1] : "pgn_holes.dat";  
+  //boundary no other connections are made.
+  const char* filename = (argc > 1) ? argv[1] : "pgn_holes.dat";
   std::ifstream input_file (filename);
   if (! input_file.is_open())
   {
diff -pruN 5.0.2-3/examples/Box_intersection_d/box_d_do_intersect_polylines.cpp 5.0.3-1/examples/Box_intersection_d/box_d_do_intersect_polylines.cpp
--- 5.0.2-3/examples/Box_intersection_d/box_d_do_intersect_polylines.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Box_intersection_d/box_d_do_intersect_polylines.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -4,40 +4,40 @@
 #include <CGAL/box_intersection_d.h>
 
 
-template <typename Polyline> 
+template <typename Poly>
 class Polylines_do_intersect
 {
-  typedef typename Polyline::const_iterator Iterator;
+  typedef typename Poly::const_iterator Iterator;
   typedef typename std::iterator_traits<Iterator>::value_type Point_2;
   typedef typename CGAL::Kernel_traits<Point_2>::Kernel::Segment_2 Segment_2;
   typedef CGAL::Bbox_2 Bbox_2;
 
-  const Polyline& pA, &pB;
-  
+  const Poly& pA, &pB;
+
   struct Box : public CGAL::Box_intersection_d::Box_with_handle_d<double,2,Iterator> {
-    
+
     typedef CGAL::Box_intersection_d::Box_with_handle_d<double,2,Iterator> Base;
-    
+
     Box( const Bbox_2& b, Iterator it)
       : Base(b,it)
     {}
-    
+
   };
 
-  
+
   class FirstIntersection
   {};
 
-  
+
   class Overlap {
-    
-    const Polyline& pA, &pB;
+
+    const Poly& pA, &pB;
   public:
-    Overlap(const Polyline& pA, const Polyline& pB)
+    Overlap(const Poly& pA, const Poly& pB)
       : pA(pA), pB(pB)
     {}
-    
-    
+
+
     void operator()(const Box& a, const Box& b) {
       Segment_2 sa(*(a.handle()), *(++(a.handle())));
       Segment_2 sb(*(b.handle()), *(++(b.handle())));
@@ -48,8 +48,8 @@ class Polylines_do_intersect
   };
 
 public:
-  
-  Polylines_do_intersect(const Polyline& pA, const Polyline& pB)
+
+  Polylines_do_intersect(const Poly& pA, const Poly& pB)
     : pA(pA), pB(pB)
   {}
 
@@ -58,7 +58,7 @@ public:
     std::vector<Box> bA, bB;
     bA.reserve(pA.size() - 1 );
     bB.reserve(pB.size() - 1 );
-    
+
     Iterator begin = pA.begin();
     for(std::size_t j=0; j < pA.size()-1; j++){
       Bbox_2 bb = pA[j].bbox() + pA[j+1].bbox();
@@ -69,7 +69,7 @@ public:
       Bbox_2 bb = pB[j].bbox() + pB[j+1].bbox();
       bB.push_back(Box(bb, begin+j));
     }
-    
+
     Overlap overlap(pA,pB);
 
     try {
@@ -81,24 +81,24 @@ public:
   }
 
 };
-  
 
-template <typename Polyline>
-bool polylines_do_intersect(const Polyline& pA,const Polyline& pB)
+
+template <typename Poly>
+bool polylines_do_intersect(const Poly& pA,const Poly& pB)
 {
-  Polylines_do_intersect<Polyline> pdi(pA,pB);
+  Polylines_do_intersect<Poly> pdi(pA,pB);
   return pdi();
 }
 
 
 typedef CGAL::Exact_predicates_inexact_constructions_kernel K;
 typedef K::Point_2 Point_2;
-typedef std::vector<Point_2> Polyline;
+typedef std::vector<Point_2> CGAL_polyline;
 
 int main()
 {
-  Polyline pA = { Point_2(0,0), Point_2(1,0) };
-  Polyline pB = { Point_2(0,0), Point_2(0,1), Point_2(2,1) , Point_2(1,0)};
+  CGAL_polyline pA = { Point_2(0,0), Point_2(1,0) };
+  CGAL_polyline pB = { Point_2(0,0), Point_2(0,1), Point_2(2,1) , Point_2(1,0)};
 
   if(polylines_do_intersect(pA,pB)){
     std::cout << "intersection" << std::endl;
diff -pruN 5.0.2-3/examples/Box_intersection_d/CMakeLists.txt 5.0.3-1/examples/Box_intersection_d/CMakeLists.txt
--- 5.0.2-3/examples/Box_intersection_d/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Box_intersection_d/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Box_intersection_d/proximity_custom_box_traits.cpp 5.0.3-1/examples/Box_intersection_d/proximity_custom_box_traits.cpp
--- 5.0.2-3/examples/Box_intersection_d/proximity_custom_box_traits.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Box_intersection_d/proximity_custom_box_traits.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -40,7 +40,7 @@ void report( const Point_3* a, const Poi
 }
 
 int main(int argc, char*argv[]) {
-  
+
   std::ifstream in((argc>1)?argv[1]:"data/points.xyz");
   Point_3 p;
   while(in >> p){
diff -pruN 5.0.2-3/examples/Box_intersection_d/triangle_self_intersect.cpp 5.0.3-1/examples/Box_intersection_d/triangle_self_intersect.cpp
--- 5.0.2-3/examples/Box_intersection_d/triangle_self_intersect.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Box_intersection_d/triangle_self_intersect.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -18,7 +18,7 @@ struct Report {
   {}
 
   // callback functor that reports all truly intersecting triangles
-  void operator()(const Box& a, const Box& b) const 
+  void operator()(const Box& a, const Box& b) const
   {
     std::cout << "Box " << (a.handle() - triangles->begin()) << " and "
               << (b.handle() - triangles->begin()) << " intersect";
@@ -39,12 +39,12 @@ int main(int argc, char*argv[])
   while(in >> t){
     triangles.push_back(t);
   }
-  
+
   // Create the corresponding vector of bounding boxes
   std::vector<Box> boxes;
   for ( Iterator i = triangles.begin(); i != triangles.end(); ++i)
     boxes.push_back( Box( i->bbox(), i));
-  
+
   // Run the self intersection algorithm with all defaults
   CGAL::box_self_intersection_d( boxes.begin(), boxes.end(), Report(triangles));
   return 0;
diff -pruN 5.0.2-3/examples/Box_intersection_d/triangle_self_intersect_pointers.cpp 5.0.3-1/examples/Box_intersection_d/triangle_self_intersect_pointers.cpp
--- 5.0.2-3/examples/Box_intersection_d/triangle_self_intersect_pointers.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Box_intersection_d/triangle_self_intersect_pointers.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -43,12 +43,12 @@ int main(int argc, char*argv[])
   std::vector<Box> boxes;
   for ( Iterator i = triangles.begin(); i != triangles.end(); ++i)
     boxes.push_back( Box( i->bbox(), i));
-  
+
   // Create the corresponding vector of pointers to bounding boxes
   std::vector<Box *> ptr;
   for ( std::vector<Box>::iterator i = boxes.begin(); i != boxes.end(); ++i)
     ptr.push_back( &*i);
-  
+
   // Run the self intersection algorithm with all defaults on the
   // indirect pointers to bounding boxes. Avoids copying the boxes.
   CGAL::box_self_intersection_d( ptr.begin(), ptr.end(), Report(triangles));
diff -pruN 5.0.2-3/examples/CGALimageIO/CMakeLists.txt 5.0.3-1/examples/CGALimageIO/CMakeLists.txt
--- 5.0.2-3/examples/CGALimageIO/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/CGALimageIO/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -2,7 +2,7 @@
 # This is the CMake script for compiling a CGAL application.
 
 cmake_minimum_required(VERSION 3.1...3.15)
-project( CGALimageIO_Examples ) 
+project( CGALimageIO_Examples )
 
 
 if(POLICY CMP0074)
diff -pruN 5.0.2-3/examples/CGALimageIO/convert_raw_image_to_inr.cpp 5.0.3-1/examples/CGALimageIO/convert_raw_image_to_inr.cpp
--- 5.0.2-3/examples/CGALimageIO/convert_raw_image_to_inr.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/CGALimageIO/convert_raw_image_to_inr.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -21,7 +21,7 @@ int main(int argc, char** argv)
     std::ifstream input_aux_file(sub_filename.str().c_str());
     int xdim, ydim, zdim;
     input_aux_file >> xdim >> ydim >> zdim;
-    if(!input_aux_file) 
+    if(!input_aux_file)
     {
       cout << "\nERROR: cannot read the auxiliary file '" << sub_filename.str() << "'!\n";
       return 1;
diff -pruN 5.0.2-3/examples/CGALimageIO/test_imageio.cpp 5.0.3-1/examples/CGALimageIO/test_imageio.cpp
--- 5.0.2-3/examples/CGALimageIO/test_imageio.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/CGALimageIO/test_imageio.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -11,53 +11,53 @@ int main(int argc, char** argv)
     _image* image = ::_readImage(argv[1]);
     if(image)
     {
-      std::cerr 
-	<< "Image infos:"
-	<< "\ndimensions"
-	<< SHOW(xdim)
-	<< SHOW(ydim)
-	<< SHOW(zdim)
-	<< SHOW(vdim)
-	<< "\nvoxel size"
-	<< SHOW(vx)
-	<< SHOW(vy)
-	<< SHOW(vz)
-	<<"\nimage offset"
-	<< SHOW(tx)
-	<< SHOW(ty)
-	<< SHOW(tz)
-	<<"\nrotation vector"
-	<< SHOW(rx)
-	<< SHOW(ry)
-	<< SHOW(rz)
-	<<"\nimage center"
-	<< SHOW(cx)
-	<< SHOW(cy)
-	<< SHOW(cz)
-	<< "\nword size (in bytes)"
-	<< SHOW(wdim)
-	<< "\nimage format"
-	<< "\n  " << image->imageFormat->realName 
-	<< " (extension list: " << image->imageFormat->fileExtension << ")" 
-	<< "\nvectors interlaced or not ("
+      std::cerr
+        << "Image infos:"
+        << "\ndimensions"
+        << SHOW(xdim)
+        << SHOW(ydim)
+        << SHOW(zdim)
+        << SHOW(vdim)
+        << "\nvoxel size"
+        << SHOW(vx)
+        << SHOW(vy)
+        << SHOW(vz)
+        <<"\nimage offset"
+        << SHOW(tx)
+        << SHOW(ty)
+        << SHOW(tz)
+        <<"\nrotation vector"
+        << SHOW(rx)
+        << SHOW(ry)
+        << SHOW(rz)
+        <<"\nimage center"
+        << SHOW(cx)
+        << SHOW(cy)
+        << SHOW(cz)
+        << "\nword size (in bytes)"
+        << SHOW(wdim)
+        << "\nimage format"
+        << "\n  " << image->imageFormat->realName
+        << " (extension list: " << image->imageFormat->fileExtension << ")"
+        << "\nvectors interlaced or not ("
         << SHOWENUM(VM_INTERLACED) << ", "
         << SHOWENUM(VM_NON_INTERLACED) << ", "
         << SHOWENUM(VM_SCALAR) << ")"
-	<< SHOW(vectMode)
-	<< "\nword kind ("
-	<< SHOWENUM(WK_FIXED) << ", "
-	<< SHOWENUM(WK_FLOAT) << ", "
-	<< SHOWENUM(WK_UNKNOWN)
-	<< ")"
-	<< SHOW(wordKind)
-	<< "\nword sign ("
-	<< SHOWENUM(SGN_SIGNED) << ", "
-	<< SHOWENUM(SGN_UNSIGNED) << ", "
-	<< SHOWENUM(SGN_UNKNOWN)
-	<< ")"
-	<< SHOW(sign)
-	<< "\n";
-      
+        << SHOW(vectMode)
+        << "\nword kind ("
+        << SHOWENUM(WK_FIXED) << ", "
+        << SHOWENUM(WK_FLOAT) << ", "
+        << SHOWENUM(WK_UNKNOWN)
+        << ")"
+        << SHOW(wordKind)
+        << "\nword sign ("
+        << SHOWENUM(SGN_SIGNED) << ", "
+        << SHOWENUM(SGN_UNSIGNED) << ", "
+        << SHOWENUM(SGN_UNKNOWN)
+        << ")"
+        << SHOW(sign)
+        << "\n";
+
       ::_freeImage(image);
     }
     else
diff -pruN 5.0.2-3/examples/CGAL_ipelets/CMakeLists.txt 5.0.3-1/examples/CGAL_ipelets/CMakeLists.txt
--- 5.0.2-3/examples/CGAL_ipelets/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/CGAL_ipelets/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/CGAL_ipelets/test_grabbers.cpp 5.0.3-1/examples/CGAL_ipelets/test_grabbers.cpp
--- 5.0.2-3/examples/CGAL_ipelets/test_grabbers.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/CGAL_ipelets/test_grabbers.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -20,28 +20,28 @@ int main(int, char*[])
   std::list<Segment_2> sg_list;
   sg_list.push_back(Segment_2(Point_2(0,0),Point_2(1,1)));
   sg_list.push_back(Segment_2(Point_2(0,1),Point_2(1,2)));
-  
-  std::copy(sg_list.begin(), sg_list.end(),CGAL::internal::point_grabber<Kernel>(std::back_inserter(pt_list)));  
+
+  std::copy(sg_list.begin(), sg_list.end(),CGAL::internal::point_grabber<Kernel>(std::back_inserter(pt_list)));
 
   assert (pt_list.size()==4);
-  
+
   std::list<Polygon_2> pol_list;
   pol_list.push_back(Polygon_2(pt_list.begin(),pt_list.end()));
   pol_list.push_back(Polygon_2(pt_list.begin(),pt_list.end()));
 
-  std::copy(pol_list.begin(), pol_list.end(),CGAL::internal::point_grabber<Kernel>(std::back_inserter(pt_list)));  
-  
+  std::copy(pol_list.begin(), pol_list.end(),CGAL::internal::point_grabber<Kernel>(std::back_inserter(pt_list)));
+
   assert (pt_list.size()==12);
-  
+
   std::copy(pol_list.begin(), pol_list.end(),CGAL::internal::segment_grabber<Kernel>(std::back_inserter(sg_list)));
-            
+
   assert (sg_list.size()==10);
 
   std::list<Circle_2> l_cir;
   l_cir.push_back( Circle_2(Point_2(0,0),4) );
-  
+
   std::list<Weighted_point> l_wp;
-  
+
   std::copy(l_cir.begin(), l_cir.end(),CGAL::internal::wpoint_grabber<Kernel>(std::back_inserter(l_wp)));
 
   std::copy(pt_list.begin(), pt_list.end(),CGAL::internal::wpoint_grabber<Kernel>(std::back_inserter(l_wp)));
diff -pruN 5.0.2-3/examples/Circular_kernel_2/CMakeLists.txt 5.0.3-1/examples/Circular_kernel_2/CMakeLists.txt
--- 5.0.2-3/examples/Circular_kernel_2/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Circular_kernel_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Circular_kernel_2/functor_has_on_2.cpp 5.0.3-1/examples/Circular_kernel_2/functor_has_on_2.cpp
--- 5.0.2-3/examples/Circular_kernel_2/functor_has_on_2.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Circular_kernel_2/functor_has_on_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -15,14 +15,14 @@ int main()
     for(int j = 0; j <= 10; j++) {
       Point_2 p = Point_2(i, j);
       if(Circular_k().has_on_2_object()(c,p)) {
-	n++;
-	std::cout << "(" << i << "," << j << ")" << std::endl;
+        n++;
+        std::cout << "(" << i << "," << j << ")" << std::endl;
       }
     }
   }
-  std::cout << "There are " << n << " points in the [0,..,10]x[0,..,10] " 
-	    << "grid on the circular" << std::endl
-	    << " arc defined counterclockwisely by the points (0,0), (5,5), (10,0)" 
-	    << std::endl << "See the points above." << std::endl;
+  std::cout << "There are " << n << " points in the [0,..,10]x[0,..,10] "
+            << "grid on the circular" << std::endl
+            << " arc defined counterclockwisely by the points (0,0), (5,5), (10,0)"
+            << std::endl << "See the points above." << std::endl;
   return 0;
 }
diff -pruN 5.0.2-3/examples/Circular_kernel_2/intersecting_arcs.cpp 5.0.3-1/examples/Circular_kernel_2/intersecting_arcs.cpp
--- 5.0.2-3/examples/Circular_kernel_2/intersecting_arcs.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Circular_kernel_2/intersecting_arcs.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -25,7 +25,7 @@ double prob_2() {
     if(CGAL::orientation(p4, p5, p6) != CGAL::COUNTERCLOCKWISE) std::swap(p4, p6);
     T o2 = T(p4, p5, p6);
 
-    typedef typename CGAL::CK2_Intersection_traits<Circular_k, T, T>::type 
+    typedef typename CGAL::CK2_Intersection_traits<Circular_k, T, T>::type
       Intersection_result;
     std::vector<Intersection_result> res;
     CGAL::intersection(o1, o2, std::back_inserter(res));
@@ -43,7 +43,7 @@ int main()
   std::cout << "The probability is: " << prob_2<Circular_arc_2>() <<
     std::endl << std::endl;
 
-  std::cout << "And what about the probability that two circles formed by" 
+  std::cout << "And what about the probability that two circles formed by"
     << std::endl;
   std::cout << "three random counterclockwise-oriented points on" << std::endl;
   std::cout << "an unit square intersect? (wait a second please)" << std::endl;
diff -pruN 5.0.2-3/examples/Circular_kernel_3/CMakeLists.txt 5.0.3-1/examples/Circular_kernel_3/CMakeLists.txt
--- 5.0.2-3/examples/Circular_kernel_3/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Circular_kernel_3/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Circular_kernel_3/functor_compare_theta_3.cpp 5.0.3-1/examples/Circular_kernel_3/functor_compare_theta_3.cpp
--- 5.0.2-3/examples/Circular_kernel_3/functor_compare_theta_3.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Circular_kernel_3/functor_compare_theta_3.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -11,14 +11,14 @@ int main(){
   //construct two circles lying on sphere s1
   SK::Circle_3 C1(s1,s2);
   SK::Circle_3 C2(s1,s3);
-  
+
   SK::Intersect_3 inter;
   //create a functor to compare theta-coordinates on sphere s1
   SK::Compare_theta_z_3 cmp(s1);
   std::vector< CGAL::Object > intersections;
   inter(C1,C2,std::back_inserter(intersections));
 
-  //unsigned integer indicates multiplicity of intersection point 
+  //unsigned integer indicates multiplicity of intersection point
   std::pair<SK::Circular_arc_point_3,unsigned> p1=
     CGAL::object_cast< std::pair<SK::Circular_arc_point_3,unsigned> >(intersections[0]);
   std::pair<SK::Circular_arc_point_3,unsigned> p2=
@@ -28,12 +28,12 @@ int main(){
   SK::Circular_arc_point_3 t_extreme[2];
   //Compute theta extremal points of circle C1 on sphere s1
   CGAL::theta_extremal_points(C1,s1,t_extreme);
-  
+
   //The theta coordinates of theta extremal points of C1 enclose that of each intersection point.
   assert(cmp(t_extreme[0],p1.first)==CGAL::SMALLER);
   assert(cmp(t_extreme[0],p2.first)==CGAL::SMALLER);
   assert(cmp(t_extreme[1],p1.first)==CGAL::LARGER);
   assert(cmp(t_extreme[1],p2.first)==CGAL::LARGER);
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Circular_kernel_3/functor_has_on_3.cpp 5.0.3-1/examples/Circular_kernel_3/functor_has_on_3.cpp
--- 5.0.2-3/examples/Circular_kernel_3/functor_has_on_3.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Circular_kernel_3/functor_has_on_3.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -12,19 +12,19 @@ int main()
   for(int i = 0; i <= 10; i++) {
     for(int j = 0; j <= 10; j++) {
       for(int k = 0; k <= 10; k++) {
-	Point_3 p = Point_3(i, j, k);
-	if(Spherical_k().has_on_3_object()(c,p)) {
-	  n++;
-	  std::cout << "(" << i << "," << j << "," << k << ")" << std::endl;
-	}
+        Point_3 p = Point_3(i, j, k);
+        if(Spherical_k().has_on_3_object()(c,p)) {
+          n++;
+          std::cout << "(" << i << "," << j << "," << k << ")" << std::endl;
+        }
       }
     }
   }
 
-  std::cout << "There are " << n << " points in the " 
-	    << "[0,..,10]x[0,..,10]x[0,...,10] " 
-	    << "grid on the circular" << std::endl
-	    << " arc defined by the points (10,10,0), (5,5,5), (0,0,0)" 
-	    << std::endl << "See the points above." << std::endl;
+  std::cout << "There are " << n << " points in the "
+            << "[0,..,10]x[0,..,10]x[0,...,10] "
+            << "grid on the circular" << std::endl
+            << " arc defined by the points (10,10,0), (5,5,5), (0,0,0)"
+            << std::endl << "See the points above." << std::endl;
   return 0;
 }
diff -pruN 5.0.2-3/examples/Circulator/CMakeLists.txt 5.0.3-1/examples/Circulator/CMakeLists.txt
--- 5.0.2-3/examples/Circulator/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Circulator/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Classification/CMakeLists.txt 5.0.3-1/examples/Classification/CMakeLists.txt
--- 5.0.2-3/examples/Classification/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Classification/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -11,7 +11,7 @@ find_package( CGAL QUIET COMPONENTS  )
 
 if ( NOT CGAL_FOUND )
   message(STATUS "This project requires the CGAL library, and will not be compiled.")
-  return()  
+  return()
 endif()
 
 # Boost and its components
@@ -19,13 +19,13 @@ find_package( Boost REQUIRED )
 
 if ( NOT Boost_FOUND )
   message(STATUS "This project requires the Boost library, and will not be compiled.")
-  return()  
+  return()
 endif()
 
 find_package( Boost OPTIONAL_COMPONENTS serialization iostreams )
 
 if( WIN32 )
-# to avoid a warning with old cmake 
+# to avoid a warning with old cmake
   set(_Boost_BZIP2_HEADERS             "boost/iostreams/filter/bzip2.hpp")
   set(_Boost_ZLIB_HEADERS              "boost/iostreams/filter/zlib.hpp")
   find_package( Boost OPTIONAL_COMPONENTS bzip2 zlib)
@@ -123,7 +123,7 @@ if (TensorFlow_FOUND)
     ${TensorFlow_LIBRARY})
   set(classification_compile_definitions ${classification_compile_definitions}
     "-DCGAL_LINKED_WITH_TENSORFLOW")
-  
+
   set(targets ${targets} example_tensorflow_neural_network)
 else()
   message(STATUS "NOTICE: TensorFlow not found, Neural Network predicate for classification won't be available.")
diff -pruN 5.0.2-3/examples/Classification/example_classification.cpp 5.0.3-1/examples/Classification/example_classification.cpp
--- 5.0.2-3/examples/Classification/example_classification.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Classification/example_classification.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -78,7 +78,7 @@ int main (int argc, char** argv)
 
   //! [Analysis]
   ///////////////////////////////////////////////////////////////////
-  
+
   ///////////////////////////////////////////////////////////////////
   //! [Features]
 
@@ -91,7 +91,7 @@ int main (int argc, char** argv)
 #ifdef CGAL_LINKED_WITH_TBB
   features.begin_parallel_additions();
 #endif
-  
+
   Feature_handle distance_to_plane = features.add<Distance_to_plane> (pts, Pmap(), eigen);
   Feature_handle dispersion = features.add<Dispersion> (pts, Pmap(), grid,
                                                         radius_neighbors);
@@ -101,7 +101,7 @@ int main (int argc, char** argv)
 #ifdef CGAL_LINKED_WITH_TBB
   features.end_parallel_additions();
 #endif
-  
+
   //! [Features]
   ///////////////////////////////////////////////////////////////////
 
@@ -115,7 +115,7 @@ int main (int argc, char** argv)
 
   //! [Labels]
   ///////////////////////////////////////////////////////////////////
-  
+
   ///////////////////////////////////////////////////////////////////
   //! [Weights]
 
@@ -124,12 +124,12 @@ int main (int argc, char** argv)
   classifier.set_weight (distance_to_plane, 6.75e-2f);
   classifier.set_weight (dispersion, 5.45e-1f);
   classifier.set_weight (elevation, 1.47e1f);
-  
+
   std::cerr << "Setting effects" << std::endl;
   classifier.set_effect (ground, distance_to_plane, Classifier::NEUTRAL);
   classifier.set_effect (ground, dispersion, Classifier::NEUTRAL);
   classifier.set_effect (ground, elevation, Classifier::PENALIZING);
-  
+
   classifier.set_effect (vegetation, distance_to_plane,  Classifier::FAVORING);
   classifier.set_effect (vegetation, dispersion, Classifier::FAVORING);
   classifier.set_effect (vegetation, elevation, Classifier::NEUTRAL);
@@ -147,7 +147,7 @@ int main (int argc, char** argv)
   ///////////////////////////////////////////////////////////////////
   //! [Classify]
   std::vector<int> label_indices (pts.size(), -1);
-    
+
   CGAL::Real_timer t;
   t.start();
   Classification::classify<Concurrency_tag> (pts, labels, classifier, label_indices);
@@ -156,7 +156,7 @@ int main (int argc, char** argv)
   t.reset();
   //! [Classify]
   ///////////////////////////////////////////////////////////////////
-  
+
   ///////////////////////////////////////////////////////////////////
   //! [Smoothing]
   t.start();
@@ -181,7 +181,7 @@ int main (int argc, char** argv)
   std::cerr << "Classification with graphcut performed in " << t.time() << " second(s)" << std::endl;
   //! [Graph_cut]
   ///////////////////////////////////////////////////////////////////
-  
+
   // Save the output in a colored PLY format
 
   std::ofstream f ("classification.ply");
@@ -195,11 +195,11 @@ int main (int argc, char** argv)
     << "property uchar green" << std::endl
     << "property uchar blue" << std::endl
     << "end_header" << std::endl;
-  
+
   for (std::size_t i = 0; i < pts.size(); ++ i)
   {
     f << pts[i] << " ";
-      
+
     Label_handle label = labels[std::size_t(label_indices[i])];
     if (label == ground)
       f << "245 180 0" << std::endl;
@@ -213,7 +213,7 @@ int main (int argc, char** argv)
       std::cerr << "Error: unknown classification label" << std::endl;
     }
   }
-  
+
   std::cerr << "All done" << std::endl;
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Classification/example_cluster_classification.cpp 5.0.3-1/examples/Classification/example_cluster_classification.cpp
--- 5.0.2-3/examples/Classification/example_cluster_classification.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Classification/example_cluster_classification.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -55,7 +55,7 @@ int main (int argc, char** argv)
 {
   std::string filename        = "data/b9.ply";
   std::string filename_config = "data/b9_clusters_config.gz";
-  
+
   if (argc > 1)
     filename = argv[1];
   if (argc > 2)
@@ -77,42 +77,42 @@ int main (int argc, char** argv)
   t.reset();
 
   Feature_set pointwise_features;
-  
+
   std::cerr << "Generating pointwise features" << std::endl;
   t.start();
   Feature_generator generator (pts, pts.point_map(), 5); // using 5 scales
-  
+
 #ifdef CGAL_LINKED_WITH_TBB
   pointwise_features.begin_parallel_additions();
 #endif
-  
+
   generator.generate_point_based_features (pointwise_features);
   generator.generate_normal_based_features (pointwise_features, pts.normal_map());
 
 #ifdef CGAL_LINKED_WITH_TBB
   pointwise_features.end_parallel_additions();
 #endif
-  
+
   t.stop();
   std::cerr << "Done in " << t.time() << " second(s)" << std::endl;
 
   ///////////////////////////////////////////////////////////////////
   //! [Cluster]
-  
+
   std::cerr << "Detecting planes and creating clusters" << std::endl;
   t.start();
-  
+
   const double search_sphere_radius  = 1.0;
   const double max_distance_to_plane = 1.0;
   const double max_accepted_angle    = 25.0;
   const std::size_t min_region_size  = 10;
 
   Neighbor_query neighbor_query (
-    pts, 
-    search_sphere_radius, 
+    pts,
+    search_sphere_radius,
     pts.point_map());
   Region_type region_type (
-    pts, 
+    pts,
     max_distance_to_plane, max_accepted_angle, min_region_size,
     pts.point_map(), pts.normal_map());
   Region_growing region_growing (
@@ -122,10 +122,10 @@ int main (int argc, char** argv)
   region_growing.detect
     (boost::make_function_output_iterator
      ([&](const std::vector<std::size_t>& region) -> void {
-        
+
         // Create a new cluster.
         Classification::Cluster<Point_set, Pmap> cluster (pts, pts.point_map());
-        for (const std::size_t idx : region) 
+        for (const std::size_t idx : region)
           cluster.insert(idx);
         clusters.push_back(cluster);
       }));
@@ -137,24 +137,24 @@ int main (int argc, char** argv)
 
   //! [Cluster]
   ///////////////////////////////////////////////////////////////////
-  
+
   std::cerr << "Computing cluster features" << std::endl;
-  
+
   ///////////////////////////////////////////////////////////////////
   //! [Eigen]
-  
+
   Local_eigen_analysis eigen = Local_eigen_analysis::create_from_point_clusters (clusters);
 
   //! [Eigen]
   ///////////////////////////////////////////////////////////////////
 
   t.start();
-  
+
   ///////////////////////////////////////////////////////////////////
   //! [Features]
-  
+
   Feature_set features;
-  
+
 #ifdef CGAL_LINKED_WITH_TBB
   features.begin_parallel_additions();
 #endif
@@ -176,19 +176,19 @@ int main (int argc, char** argv)
 
   features.add<Classification::Feature::Cluster_size> (clusters);
   features.add<Classification::Feature::Cluster_vertical_extent> (clusters);
-  
+
   for (std::size_t i = 0; i < 3; ++ i)
     features.add<Classification::Feature::Eigenvalue> (clusters, eigen, (unsigned int)(i));
-  
+
 #ifdef CGAL_LINKED_WITH_TBB
   features.end_parallel_additions();
 #endif
-  
+
   //! [Features]
   ///////////////////////////////////////////////////////////////////
-  
+
   t.stop();
-  
+
   // Add types.
   Label_set labels;
   Label_handle ground     = labels.add ("ground");
@@ -196,10 +196,10 @@ int main (int argc, char** argv)
   Label_handle roof       = labels.add ("roof");
 
   std::vector<int> label_indices(clusters.size(), -1);
-  
+
   std::cerr << "Using ETHZ Random Forest Classifier" << std::endl;
   Classification::ETHZ_random_forest_classifier classifier (labels, features);
-  
+
   std::cerr << "Loading configuration" << std::endl;
   std::ifstream in_config (filename_config, std::ios_base::in | std::ios_base::binary);
   classifier.load_configuration (in_config);
@@ -209,7 +209,7 @@ int main (int argc, char** argv)
   t.start();
   Classification::classify<Concurrency_tag> (clusters, labels, classifier, label_indices);
   t.stop();
-  
+
   std::cerr << "Classification done in " << t.time() << " second(s)" << std::endl;
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Classification/example_ethz_random_forest.cpp 5.0.3-1/examples/Classification/example_ethz_random_forest.cpp
--- 5.0.2-3/examples/Classification/example_ethz_random_forest.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Classification/example_ethz_random_forest.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -37,7 +37,7 @@ typedef Classification::Point_set_featur
 int main (int argc, char** argv)
 {
   std::string filename = "data/b9_training.ply";
-  
+
   if (argc > 1)
     filename = argv[1];
 
@@ -46,7 +46,7 @@ int main (int argc, char** argv)
 
   std::cerr << "Reading input" << std::endl;
   in >> pts;
-  
+
   Imap label_map;
   bool lm_found = false;
   boost::tie (label_map, lm_found) = pts.property_map<int> ("label");
@@ -62,23 +62,23 @@ int main (int argc, char** argv)
              std::back_inserter (ground_truth));
 
   Feature_set features;
-  
+
   std::cerr << "Generating features" << std::endl;
   CGAL::Real_timer t;
   t.start();
   Feature_generator generator (pts, pts.point_map(),
                                5);  // using 5 scales
-  
+
 #ifdef CGAL_LINKED_WITH_TBB
   features.begin_parallel_additions();
 #endif
-  
+
   generator.generate_point_based_features (features);
 
 #ifdef CGAL_LINKED_WITH_TBB
   features.end_parallel_additions();
 #endif
-  
+
   t.stop();
   std::cerr << "Done in " << t.time() << " second(s)" << std::endl;
 
@@ -89,10 +89,10 @@ int main (int argc, char** argv)
   Label_handle roof = labels.add ("roof");
 
   std::vector<int> label_indices(pts.size(), -1);
-  
+
   std::cerr << "Using ETHZ Random Forest Classifier" << std::endl;
   Classification::ETHZ::Random_forest_classifier classifier (labels, features);
-  
+
   std::cerr << "Training" << std::endl;
   t.reset();
   t.start();
@@ -107,12 +107,12 @@ int main (int argc, char** argv)
      generator.neighborhood().k_neighbor_query(12),
      0.2f, 1, label_indices);
   t.stop();
-  
+
   std::cerr << "Classification with graphcut done in " << t.time() << " second(s)" << std::endl;
 
   std::cerr << "Precision, recall, F1 scores and IoU:" << std::endl;
   Classification::Evaluation evaluation (labels, ground_truth, label_indices);
-  
+
   for (std::size_t i = 0; i < labels.size(); ++ i)
   {
     std::cerr << " * " << labels[i]->name() << ": "
@@ -134,7 +134,7 @@ int main (int argc, char** argv)
   for (std::size_t i = 0; i < label_indices.size(); ++ i)
   {
     label_map[i] = label_indices[i]; // update label map with computed classification
-    
+
     Label_handle label = labels[label_indices[i]];
 
     if (label == ground)
@@ -157,6 +157,6 @@ int main (int argc, char** argv)
   f << pts;
 
   std::cerr << "All done" << std::endl;
-  
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Classification/example_feature.cpp 5.0.3-1/examples/Classification/example_feature.cpp
--- 5.0.2-3/examples/Classification/example_feature.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Classification/example_feature.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -58,7 +58,7 @@ public:
     else
       return 0.f;
   }
-    
+
 };
 
 //! [Feature]
@@ -95,14 +95,14 @@ int main (int argc, char** argv)
   // Feature that identifies points whose x coordinate is between -20
   // and 20 and whose y coordinate is between -15 and 15
   Feature_handle my_feature = features.add<My_feature> (pts, -20., 20., -15., 15.);
-  
+
   //! [Addition]
   ///////////////////////////////////////////////////////////////////
-  
+
   Feature_handle verticality = features.add<Verticality> (pts, eigen);
 
   Classifier classifier (labels, features);
-  
+
   std::cerr << "Setting weights" << std::endl;
   classifier.set_weight(verticality, 0.5);
   classifier.set_weight(my_feature, 0.25);
diff -pruN 5.0.2-3/examples/Classification/example_generation_and_training.cpp 5.0.3-1/examples/Classification/example_generation_and_training.cpp
--- 5.0.2-3/examples/Classification/example_generation_and_training.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Classification/example_generation_and_training.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -43,7 +43,7 @@ int main (int argc, char** argv)
 
   std::cerr << "Reading input" << std::endl;
   in >> pts;
-  
+
   Imap label_map;
   bool lm_found = false;
   boost::tie (label_map, lm_found) = pts.property_map<int> ("label");
@@ -61,10 +61,10 @@ int main (int argc, char** argv)
   std::cerr << "Generating features" << std::endl;
   CGAL::Real_timer t;
   t.start();
-  
+
   ///////////////////////////////////////////////////////////////////
   //! [Generator]
-  
+
   Feature_set features;
 
   std::size_t number_of_scales = 5;
@@ -73,19 +73,19 @@ int main (int argc, char** argv)
 #ifdef CGAL_LINKED_WITH_TBB
   features.begin_parallel_additions();
 #endif
-  
+
   generator.generate_point_based_features (features);
 
 #ifdef CGAL_LINKED_WITH_TBB
   features.end_parallel_additions();
 #endif
-  
+
   //! [Generator]
   ///////////////////////////////////////////////////////////////////
-  
+
   t.stop();
   std::cerr << features.size() << " feature(s) generated in " << t.time() << " second(s)" << std::endl;
-    
+
   // Add types
   Label_set labels;
   Label_handle ground = labels.add ("ground");
@@ -93,7 +93,7 @@ int main (int argc, char** argv)
   Label_handle roof = labels.add ("roof");
 
   Classifier classifier (labels, features);
-  
+
   std::cerr << "Training" << std::endl;
   t.reset();
   t.start();
@@ -113,7 +113,7 @@ int main (int argc, char** argv)
 
   std::cerr << "Precision, recall, F1 scores and IoU:" << std::endl;
   Classification::Evaluation evaluation (labels, ground_truth, label_indices);
-  
+
   for (std::size_t i = 0; i < labels.size(); ++ i)
   {
     std::cerr << " * " << labels[i]->name() << ": "
@@ -126,7 +126,7 @@ int main (int argc, char** argv)
   std::cerr << "Accuracy = " << evaluation.accuracy() << std::endl
             << "Mean F1 score = " << evaluation.mean_f1_score() << std::endl
             << "Mean IoU = " << evaluation.mean_intersection_over_union() << std::endl;
-  
+
 
   /// Save the configuration to be able to reload it later
   std::ofstream fconfig ("config.xml");
@@ -134,6 +134,6 @@ int main (int argc, char** argv)
   fconfig.close();
 
   std::cerr << "All done" << std::endl;
-  
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Classification/example_mesh_classification.cpp 5.0.3-1/examples/Classification/example_mesh_classification.cpp
--- 5.0.2-3/examples/Classification/example_mesh_classification.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Classification/example_mesh_classification.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -33,7 +33,7 @@ int main (int argc, char** argv)
 {
   std::string filename = "data/b9_mesh.off";
   std::string filename_config = "data/b9_mesh_config.gz";
-  
+
   if (argc > 1)
     filename = argv[1];
   if (argc > 2)
@@ -48,28 +48,28 @@ int main (int argc, char** argv)
   std::cerr << "Generating features" << std::endl;
   CGAL::Real_timer t;
   t.start();
-  
+
   ///////////////////////////////////////////////////////////////////
   //! [Generator]
 
   Feature_set features;
-  
+
   Face_point_map face_point_map (&mesh); // Associates each face to its center of mass
 
   std::size_t number_of_scales = 5;
   Feature_generator generator (mesh, face_point_map, number_of_scales);
-  
+
 #ifdef CGAL_LINKED_WITH_TBB
   features.begin_parallel_additions();
 #endif
-  
+
   generator.generate_point_based_features (features); // Features that consider the mesh as a point set
   generator.generate_face_based_features (features);  // Features computed directly on mesh faces
 
 #ifdef CGAL_LINKED_WITH_TBB
   features.end_parallel_additions();
 #endif
-  
+
   //! [Generator]
   ///////////////////////////////////////////////////////////////////
 
@@ -83,7 +83,7 @@ int main (int argc, char** argv)
   Label_handle roof = labels.add ("roof");
 
   std::vector<int> label_indices(mesh.number_of_faces(), -1);
-  
+
   std::cerr << "Using ETHZ Random Forest Classifier" << std::endl;
   Classification::ETHZ::Random_forest_classifier classifier (labels, features);
 
@@ -99,8 +99,8 @@ int main (int argc, char** argv)
      generator.neighborhood().n_ring_neighbor_query(2),
      0.2f, 1, label_indices);
   t.stop();
-  
+
   std::cerr << "Classification with graphcut done in " << t.time() << " second(s)" << std::endl;
-  
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Classification/example_opencv_random_forest.cpp 5.0.3-1/examples/Classification/example_opencv_random_forest.cpp
--- 5.0.2-3/examples/Classification/example_opencv_random_forest.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Classification/example_opencv_random_forest.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -37,7 +37,7 @@ typedef Classification::Point_set_featur
 int main (int argc, char** argv)
 {
   std::string filename = "data/b9_training.ply";
-  
+
   if (argc > 1)
     filename = argv[1];
 
@@ -46,7 +46,7 @@ int main (int argc, char** argv)
 
   std::cerr << "Reading input" << std::endl;
   in >> pts;
-  
+
   Imap label_map;
   bool lm_found = false;
   boost::tie (label_map, lm_found) = pts.property_map<int> ("label");
@@ -62,7 +62,7 @@ int main (int argc, char** argv)
              std::back_inserter (ground_truth));
 
   Feature_set features;
-  
+
   std::cerr << "Generating features" << std::endl;
   CGAL::Real_timer t;
   t.start();
@@ -72,12 +72,12 @@ int main (int argc, char** argv)
 #ifdef CGAL_LINKED_WITH_TBB
   features.begin_parallel_additions();
 #endif
-  
+
   generator.generate_point_based_features (features);
 #ifdef CGAL_LINKED_WITH_TBB
   features.end_parallel_additions();
 #endif
-  
+
   t.stop();
   std::cerr << "Done in " << t.time() << " second(s)" << std::endl;
 
@@ -88,10 +88,10 @@ int main (int argc, char** argv)
   Label_handle roof = labels.add ("roof");
 
   std::vector<int> label_indices(pts.size(), -1);
-  
+
   std::cerr << "Using OpenCV Random Forest Classifier" << std::endl;
   Classification::OpenCV::Random_forest_classifier classifier (labels, features);
-  
+
   std::cerr << "Training" << std::endl;
   t.reset();
   t.start();
@@ -106,12 +106,12 @@ int main (int argc, char** argv)
      generator.neighborhood().k_neighbor_query(12),
      0.2f, 1, label_indices);
   t.stop();
-  
+
   std::cerr << "Classification with graphcut done in " << t.time() << " second(s)" << std::endl;
 
   std::cerr << "Precision, recall, F1 scores and IoU:" << std::endl;
   Classification::Evaluation evaluation (labels, ground_truth, label_indices);
-  
+
   for (std::size_t i = 0; i < labels.size(); ++ i)
   {
     std::cerr << " * " << labels[i]->name() << ": "
@@ -133,7 +133,7 @@ int main (int argc, char** argv)
   for (std::size_t i = 0; i < label_indices.size(); ++ i)
   {
     label_map[i] = label_indices[i]; // update label map with computed classification
-    
+
     Label_handle label = labels[label_indices[i]];
 
     if (label == ground)
@@ -156,6 +156,6 @@ int main (int argc, char** argv)
   f << pts;
 
   std::cerr << "All done" << std::endl;
-  
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Classification/example_tensorflow_neural_network.cpp 5.0.3-1/examples/Classification/example_tensorflow_neural_network.cpp
--- 5.0.2-3/examples/Classification/example_tensorflow_neural_network.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Classification/example_tensorflow_neural_network.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -37,7 +37,7 @@ typedef Classification::Point_set_featur
 int main (int argc, char** argv)
 {
   std::string filename = "data/b9_training.ply";
-  
+
   if (argc > 1)
     filename = argv[1];
 
@@ -46,7 +46,7 @@ int main (int argc, char** argv)
 
   std::cerr << "Reading input" << std::endl;
   in >> pts;
-  
+
   Imap label_map;
   bool lm_found = false;
   boost::tie (label_map, lm_found) = pts.property_map<int> ("label");
@@ -62,23 +62,23 @@ int main (int argc, char** argv)
              std::back_inserter (ground_truth));
 
   Feature_set features;
-  
+
   std::cerr << "Generating features" << std::endl;
   CGAL::Real_timer t;
   t.start();
   Feature_generator generator (pts, pts.point_map(),
                                5);  // using 5 scales
-  
+
 #ifdef CGAL_LINKED_WITH_TBB
   features.begin_parallel_additions();
 #endif
-  
+
   generator.generate_point_based_features (features);
 
 #ifdef CGAL_LINKED_WITH_TBB
   features.end_parallel_additions();
 #endif
-  
+
   t.stop();
   std::cerr << "Done in " << t.time() << " second(s)" << std::endl;
 
@@ -89,10 +89,10 @@ int main (int argc, char** argv)
   Label_handle roof = labels.add ("roof");
 
   std::vector<int> label_indices(pts.size(), -1);
-  
+
   std::cerr << "Using TensorFlow neural network Classifier" << std::endl;
   Classification::TensorFlow::Neural_network_classifier<> classifier (labels, features);
-  
+
   std::cerr << "Training" << std::endl;
   t.reset();
   t.start();
@@ -109,12 +109,12 @@ int main (int argc, char** argv)
      generator.neighborhood().k_neighbor_query(12),
      0.2f, 1, label_indices);
   t.stop();
-  
+
   std::cerr << "Classification with graphcut done in " << t.time() << " second(s)" << std::endl;
 
   std::cerr << "Precision, recall, F1 scores and IoU:" << std::endl;
   Classification::Evaluation evaluation (labels, ground_truth, label_indices);
-  
+
   for (std::size_t i = 0; i < labels.size(); ++ i)
   {
     std::cerr << " * " << labels[i]->name() << ": "
@@ -136,7 +136,7 @@ int main (int argc, char** argv)
   for (std::size_t i = 0; i < label_indices.size(); ++ i)
   {
     label_map[i] = label_indices[i]; // update label map with computed classification
-    
+
     Label_handle label = labels[label_indices[i]];
 
     if (label == ground)
@@ -159,6 +159,6 @@ int main (int argc, char** argv)
   f << pts;
 
   std::cerr << "All done" << std::endl;
-  
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/CMakeLists.txt 5.0.3-1/examples/CMakeLists.txt
--- 5.0.2-3/examples/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -2,7 +2,7 @@ cmake_minimum_required(VERSION 3.1...3.1
 project(CGAL_EXAMPLES)
 
 
-if (CGAL_BRANCH_BUILD) 
+if (CGAL_BRANCH_BUILD)
 
 foreach (package ${CGAL_CONFIGURED_PACKAGES})
   #message (STATUS "Current package: ${package}")
@@ -31,12 +31,12 @@ foreach( entry ${list} )
     file(GLOB files "${entry}/*.cpp")
 
     # If there is no .cpp files, ignore the sub-directory
-    if(files)  
+    if(files)
      process_CGAL_subdirectory("${entry}" examples example)
       # Note: process_CGAL_subdirectory is defined in cmake/modules/CGAL_Macros.cmake
    endif()
 
   endif()
-  
+
 endforeach()
 message("== Generating build files for examples (DONE) ==\n")
diff -pruN 5.0.2-3/examples/Combinatorial_map/CMakeLists.txt 5.0.3-1/examples/Combinatorial_map/CMakeLists.txt
--- 5.0.2-3/examples/Combinatorial_map/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Combinatorial_map/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,7 +17,7 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
diff -pruN 5.0.2-3/examples/Combinatorial_map/map_3_marks.cpp 5.0.3-1/examples/Combinatorial_map/map_3_marks.cpp
--- 5.0.2-3/examples/Combinatorial_map/map_3_marks.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Combinatorial_map/map_3_marks.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -42,7 +42,7 @@ int main()
   // 5) Thanks to the mark, we know which darts come from the first tetrahedron.
   unsigned int res=0;
   for (CMap_3::Dart_range::iterator it(cm.darts().begin()),
-	 itend(cm.darts().end()); it!=itend; ++it)
+         itend(cm.darts().end()); it!=itend; ++it)
   {
     if ( cm.is_marked(it, amark) )
       ++res;
diff -pruN 5.0.2-3/examples/Combinatorial_map/map_3_operations.cpp 5.0.3-1/examples/Combinatorial_map/map_3_operations.cpp
--- 5.0.2-3/examples/Combinatorial_map/map_3_operations.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Combinatorial_map/map_3_operations.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -36,7 +36,7 @@ int main()
   path.push_back(cm.beta(dh2,2,1));
 
   CGAL_assertion( (cm.is_insertable_cell_2_in_cell_3
-		               (path.begin(),path.end())) );
+                               (path.begin(),path.end())) );
 
   Dart_handle dh3=cm.insert_cell_2_in_cell_3(path.begin(),path.end());
   CGAL_assertion( cm.is_valid() );
@@ -60,7 +60,7 @@ int main()
 
   // Display the combinatorial map characteristics.
   cm.display_characteristics(std::cout) << ", valid="
-					<< cm.is_valid() << std::endl;
+                                        << cm.is_valid() << std::endl;
 
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Convex_decomposition_3/CMakeLists.txt 5.0.3-1/examples/Convex_decomposition_3/CMakeLists.txt
--- 5.0.2-3/examples/Convex_decomposition_3/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Convex_decomposition_3/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Convex_decomposition_3/list_of_convex_parts.cpp 5.0.3-1/examples/Convex_decomposition_3/list_of_convex_parts.cpp
--- 5.0.2-3/examples/Convex_decomposition_3/list_of_convex_parts.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Convex_decomposition_3/list_of_convex_parts.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -3,7 +3,7 @@
 #include <CGAL/Nef_polyhedron_3.h>
 #include <CGAL/IO/Nef_polyhedron_iostream_3.h>
 #include <CGAL/Nef_3/SNC_indexed_items.h>
-#include <CGAL/convex_decomposition_3.h> 
+#include <CGAL/convex_decomposition_3.h>
 #include <list>
 
 typedef CGAL::Exact_predicates_exact_constructions_kernel Kernel;
@@ -12,14 +12,14 @@ typedef CGAL::Nef_polyhedron_3<Kernel, C
 typedef Nef_polyhedron_3::Volume_const_iterator Volume_const_iterator;
 
 int main() {
-  
+
   Nef_polyhedron_3 N;
   std::cin >> N;
 
   CGAL::convex_decomposition_3(N);
   std::list<Polyhedron_3> convex_parts;
-  
-  // the first volume is the outer volume, which is 
+
+  // the first volume is the outer volume, which is
   // ignored in the decomposition
   Volume_const_iterator ci = ++N.volumes_begin();
   for( ; ci != N.volumes_end(); ++ci) {
diff -pruN 5.0.2-3/examples/Convex_hull_2/CMakeLists.txt 5.0.3-1/examples/Convex_hull_2/CMakeLists.txt
--- 5.0.2-3/examples/Convex_hull_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Convex_hull_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -19,8 +19,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Convex_hull_2/convex_hull_indices_2.cpp 5.0.3-1/examples/Convex_hull_2/convex_hull_indices_2.cpp
--- 5.0.2-3/examples/Convex_hull_2/convex_hull_indices_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Convex_hull_2/convex_hull_indices_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -20,10 +20,10 @@ int main()
                                   Point_2(0,0),
                                   Point_2(10,10),
                                   Point_2(2,6) };
-  
+
   std::vector<std::size_t> indices(points.size()), out;
   std::iota(indices.begin(), indices.end(),0);
-  
+
   CGAL::convex_hull_2(indices.begin(), indices.end(), std::back_inserter(out),
                       Convex_hull_traits_2(CGAL::make_property_map(points)));
 
diff -pruN 5.0.2-3/examples/Convex_hull_2/include/CGAL/ch_timing_2.h 5.0.3-1/examples/Convex_hull_2/include/CGAL/ch_timing_2.h
--- 5.0.2-3/examples/Convex_hull_2/include/CGAL/ch_timing_2.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/examples/Convex_hull_2/include/CGAL/ch_timing_2.h	2020-08-01 19:02:19.000000000 +0000
@@ -15,7 +15,7 @@ template <class ForwardIterator, class O
 void
 ch_timing( ForwardIterator first, ForwardIterator last,
            OutputIterator result,
-           int iterations, 
+           int iterations,
            const Traits& ch_traits);
 
 } //namespace CGAL
diff -pruN 5.0.2-3/examples/Convex_hull_2/include/CGAL/ch_timing_2_impl.h 5.0.3-1/examples/Convex_hull_2/include/CGAL/ch_timing_2_impl.h
--- 5.0.2-3/examples/Convex_hull_2/include/CGAL/ch_timing_2_impl.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/examples/Convex_hull_2/include/CGAL/ch_timing_2_impl.h	2020-08-01 19:02:19.000000000 +0000
@@ -15,7 +15,7 @@ template <class ForwardIterator, class O
 void
 ch_timing( ForwardIterator first, ForwardIterator last,
            OutputIterator result,
-           int iterations, 
+           int iterations,
            const Traits& ch_traits)
 {
   using std::cout;
diff -pruN 5.0.2-3/examples/Convex_hull_3/CMakeLists.txt 5.0.3-1/examples/Convex_hull_3/CMakeLists.txt
--- 5.0.2-3/examples/Convex_hull_3/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Convex_hull_3/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -12,7 +12,7 @@ find_package( CGAL QUIET COMPONENTS  )
 if ( NOT CGAL_FOUND )
 
   message(STATUS "This project requires the CGAL library, and will not be compiled.")
-  return()  
+  return()
 
 endif()
 
@@ -23,7 +23,7 @@ if ( NOT Boost_FOUND )
 
   message(STATUS "This project requires the Boost library, and will not be compiled.")
 
-  return()  
+  return()
 
 endif()
 
diff -pruN 5.0.2-3/examples/Convex_hull_3/dynamic_hull_3.cpp 5.0.3-1/examples/Convex_hull_3/dynamic_hull_3.cpp
--- 5.0.2-3/examples/Convex_hull_3/dynamic_hull_3.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Convex_hull_3/dynamic_hull_3.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -41,7 +41,7 @@ int main()
   //to get the number of points on the convex hull
   Surface_mesh chull;
   CGAL::convex_hull_3_to_face_graph(T, chull);
-  
+
   std::cout << "After removal of 25 points, there are "
             << num_vertices(chull) << " points on the convex hull." << std::endl;
 
diff -pruN 5.0.2-3/examples/Convex_hull_3/dynamic_hull_LCC_3.cpp 5.0.3-1/examples/Convex_hull_3/dynamic_hull_LCC_3.cpp
--- 5.0.2-3/examples/Convex_hull_3/dynamic_hull_LCC_3.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Convex_hull_3/dynamic_hull_LCC_3.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -43,7 +43,7 @@ int main()
   //to get the number of points on the convex hull
   LCC chull;
   CGAL::convex_hull_3_to_face_graph(T, chull);
-  
+
   std::cout << "After removal of 25 points, there are "
             << num_vertices(chull) << " points on the convex hull." << std::endl;
 
diff -pruN 5.0.2-3/examples/Convex_hull_3/dynamic_hull_OM_3.cpp 5.0.3-1/examples/Convex_hull_3/dynamic_hull_OM_3.cpp
--- 5.0.2-3/examples/Convex_hull_3/dynamic_hull_OM_3.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Convex_hull_3/dynamic_hull_OM_3.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -47,7 +47,7 @@ int main()
   //to get the number of points on the convex hull
   Surface_mesh chull;
   CGAL::convex_hull_3_to_face_graph(T, chull);
-  
+
   std::cout << "After removal of 25 points, there are "
             << num_vertices(chull) << " points on the convex hull." << std::endl;
 
diff -pruN 5.0.2-3/examples/Convex_hull_3/dynamic_hull_SM_3.cpp 5.0.3-1/examples/Convex_hull_3/dynamic_hull_SM_3.cpp
--- 5.0.2-3/examples/Convex_hull_3/dynamic_hull_SM_3.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Convex_hull_3/dynamic_hull_SM_3.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -42,7 +42,7 @@ int main()
   //to get the number of points on the convex hull
   Polyhedron_3 chull;
   CGAL::link_to_face_graph(T, T.infinite_vertex(), chull);
-  
+
   std::cout << "After removal of 25 points, there are "
             << num_vertices(chull) << " points on the convex hull." << std::endl;
 
diff -pruN 5.0.2-3/examples/Convex_hull_3/quickhull_3.cpp 5.0.3-1/examples/Convex_hull_3/quickhull_3.cpp
--- 5.0.2-3/examples/Convex_hull_3/quickhull_3.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Convex_hull_3/quickhull_3.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -23,12 +23,12 @@ int main(int argc, char* argv[])
 
   // define polyhedron to hold convex hull
   Polyhedron_3 poly;
-  
+
   // compute convex hull of non-collinear points
   CGAL::convex_hull_3(points.begin(), points.end(), poly);
 
   std::cout << "The convex hull contains " << poly.size_of_vertices() << " vertices" << std::endl;
-  
+
   Surface_mesh sm;
   CGAL::convex_hull_3(points.begin(), points.end(), sm);
 
diff -pruN 5.0.2-3/examples/Convex_hull_3/quickhull_any_dim_3.cpp 5.0.3-1/examples/Convex_hull_3/quickhull_any_dim_3.cpp
--- 5.0.2-3/examples/Convex_hull_3/quickhull_any_dim_3.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Convex_hull_3/quickhull_any_dim_3.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -16,7 +16,7 @@ int main(int argc, char* argv[])
   std::ifstream in( (argc>1)? argv[1] : "data/cube.xyz");
   std::vector<Point_3> points;
   Point_3 p;
- 
+
   while(in >> p){
     points.push_back(p);
   }
diff -pruN 5.0.2-3/examples/Convex_hull_3/quickhull_OM_3.cpp 5.0.3-1/examples/Convex_hull_3/quickhull_OM_3.cpp
--- 5.0.2-3/examples/Convex_hull_3/quickhull_OM_3.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Convex_hull_3/quickhull_OM_3.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -9,7 +9,7 @@
 #include <CGAL/boost/graph/graph_traits_TriMesh_ArrayKernelT.h>
 
 typedef CGAL::Exact_predicates_inexact_constructions_kernel  K;
-typedef K::Point_3  
+typedef K::Point_3
                               Point_3;
 typedef OpenMesh::TriMesh_ArrayKernelT</* MyTraits*/> Mesh;
 
@@ -24,13 +24,13 @@ int main(int argc, char* argv[])
 
   // define polyhedron to hold convex hull
   Mesh poly;
-  
+
   // compute convex hull of non-collinear points
   CGAL::convex_hull_3(points.begin(), points.end(), poly);
 
 
   Mesh sm;
-  
+
   CGAL::convex_hull_3(points.begin(), points.end(), sm);
 
   CGAL::write_off((argc>2)?argv[2]:"out.off", sm);
diff -pruN 5.0.2-3/examples/Envelope_2/CMakeLists.txt 5.0.3-1/examples/Envelope_2/CMakeLists.txt
--- 5.0.2-3/examples/Envelope_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Envelope_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Envelope_2/convex_hull_2.cpp 5.0.3-1/examples/Envelope_2/convex_hull_2.cpp
--- 5.0.2-3/examples/Envelope_2/convex_hull_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Envelope_2/convex_hull_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -73,7 +73,7 @@ int main (int argc, char* argv[])
   // Handle the degenerate case of a vertical convex hull edge:
   if (e->curve().data() != max_diag.leftmost()->curve().data())
     std::cout << " (" << points[e->curve().data()] << ')';
-  
+
   e = max_diag.leftmost();
   while (e != max_diag.rightmost()) {
     std::cout << " (" << points[e->curve().data()] << ')';
diff -pruN 5.0.2-3/examples/Envelope_3/CMakeLists.txt 5.0.3-1/examples/Envelope_3/CMakeLists.txt
--- 5.0.2-3/examples/Envelope_3/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Envelope_3/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -19,8 +19,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Envelope_3/envelope_spheres.cpp 5.0.3-1/examples/Envelope_3/envelope_spheres.cpp
--- 5.0.2-3/examples/Envelope_3/envelope_spheres.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Envelope_3/envelope_spheres.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -83,11 +83,11 @@ int main(int argc, char **argv)
 
   // Print the dimensions of the minimization diagram.
   std::cout << "V = " << min_diag.number_of_vertices()
-	    << ",  E = " << min_diag.number_of_edges()
-	    << ",  F = " << min_diag.number_of_faces() << std::endl;
+            << ",  E = " << min_diag.number_of_edges()
+            << ",  F = " << min_diag.number_of_faces() << std::endl;
 
   std::cout << "Construction took " << timer.time()
-	    << " seconds." << std::endl;
+            << " seconds." << std::endl;
 
   return 0;
 }
diff -pruN 5.0.2-3/examples/Envelope_3/envelope_triangles.cpp 5.0.3-1/examples/Envelope_3/envelope_triangles.cpp
--- 5.0.2-3/examples/Envelope_3/envelope_triangles.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Envelope_3/envelope_triangles.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -87,7 +87,7 @@ int main ()
                                                     Point_3 (6, 6, 0),
                                                     Point_3 (1, 3, 4)),
                                         'B'));
-  
+
   // Compute and print the minimization diagram.
   Envelope_diagram_2      min_diag;
 
diff -pruN 5.0.2-3/examples/Filtered_kernel/Cartesian_I.h 5.0.3-1/examples/Filtered_kernel/Cartesian_I.h
--- 5.0.2-3/examples/Filtered_kernel/Cartesian_I.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/examples/Filtered_kernel/Cartesian_I.h	2020-08-01 19:02:20.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2000,2001,2002,2003  
+// Copyright (c) 2000,2001,2002,2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/examples/Filtered_kernel/Cartesian_I.h $
-// $Id: Cartesian_I.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/examples/Filtered_kernel/Cartesian_I.h $
+// $Id: Cartesian_I.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -42,8 +42,8 @@ public:
     {
       Object o = typename K::Intersect_2()(s1, s2);
       if(! o.is_empty()){
-	*it = o;
-	it++;
+        *it = o;
+        it++;
       }
 
       return it;
@@ -83,7 +83,7 @@ struct Cartesian_base_ref_count_I
 
 
   CGAL_Kernel_cons(Intersect_with_iterators_2,
-  		 intersect_with_iterators_2_object)
+                   intersect_with_iterators_2_object)
 #include <CGAL/Kernel/interface_macros.h>
 
     template<typename A, typename B>
diff -pruN 5.0.2-3/examples/Filtered_kernel/CMakeLists.txt 5.0.3-1/examples/Filtered_kernel/CMakeLists.txt
--- 5.0.2-3/examples/Filtered_kernel/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Filtered_kernel/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Generalized_map/comparison_gmap_cmap.cpp 5.0.3-1/examples/Generalized_map/comparison_gmap_cmap.cpp
--- 5.0.2-3/examples/Generalized_map/comparison_gmap_cmap.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Generalized_map/comparison_gmap_cmap.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -47,9 +47,9 @@ int main()
 
   std::cout<<"Combinatorial map:"<<std::endl;
   test(cm);
-  
+
   std::cout<<"Generalized map:"<<std::endl;
   test(gm);
-  
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Generalized_map/gmap_3_with_colored_facets.cpp 5.0.3-1/examples/Generalized_map/gmap_3_with_colored_facets.cpp
--- 5.0.2-3/examples/Generalized_map/gmap_3_with_colored_facets.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Generalized_map/gmap_3_with_colored_facets.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -59,8 +59,8 @@ int main()
 
   // 3) Set the color of all facets of the second hexahedron to 13.
   for (GMap_3::One_dart_per_incident_cell_range<2, 3>::iterator it=
-	 gm.one_dart_per_incident_cell<2,3>(dh2).begin(),
-	 itend=gm.one_dart_per_incident_cell<2,3>(dh2).end(); it!=itend; ++it)
+         gm.one_dart_per_incident_cell<2,3>(dh2).begin(),
+         itend=gm.one_dart_per_incident_cell<2,3>(dh2).end(); it!=itend; ++it)
   { gm.info<2>(it)=13; }
 
   // 4) 3-Sew the two hexahedra along one facet.
diff -pruN 5.0.2-3/examples/Generator/ball_d.cpp 5.0.3-1/examples/Generator/ball_d.cpp
--- 5.0.2-3/examples/Generator/ball_d.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Generator/ball_d.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -13,7 +13,7 @@ int main ()
   int dim =5;
   double size = 100.0;
   std::cout << "Generating "<<nb_points<<" random points in a"
-	    <<" ball in "<<dim<<"D of center 0 and radius "<<size<<std::endl;
+            <<" ball in "<<dim<<"D of center 0 and radius "<<size<<std::endl;
   std::vector<Point> v;
   v.reserve (nb_points);
   CGAL::Random_points_in_ball_d<Point> gen (dim, 100.0);
diff -pruN 5.0.2-3/examples/Generator/CMakeLists.txt 5.0.3-1/examples/Generator/CMakeLists.txt
--- 5.0.2-3/examples/Generator/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Generator/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -15,7 +15,7 @@ if ( CGAL_FOUND )
   if (EIGEN3_FOUND)
     include( ${EIGEN3_USE_FILE} )
   endif()
-  
+
   # create a target per cppfile
   file(GLOB cppfiles RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
   foreach(cppfile ${cppfiles})
@@ -27,8 +27,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Generator/grid_d.cpp 5.0.3-1/examples/Generator/grid_d.cpp
--- 5.0.2-3/examples/Generator/grid_d.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Generator/grid_d.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -15,11 +15,11 @@ int main ()
   int dim = 4;
   double size = 5.0;
   std::cout << "Generating "<<nb_points<<" grid points in "
-	      <<dim<<"D" << std::endl;
-  std::vector<Point> v; 
+              <<dim<<"D" << std::endl;
+  std::vector<Point> v;
   v.reserve(nb_points);
-  CGAL::points_on_cube_grid_d (dim, size, (std::size_t) nb_points, 
-			       std::back_inserter(v), Creator_d(dim) );
+  CGAL::points_on_cube_grid_d (dim, size, (std::size_t) nb_points,
+                               std::back_inserter(v), Creator_d(dim) );
   for (int i = 0; i < nb_points; ++i) std::cout<<"  "<<v[i]<<std::endl;
   return 0;
 }
diff -pruN 5.0.2-3/examples/Generator/random_convex_hull_2.cpp 5.0.3-1/examples/Generator/random_convex_hull_2.cpp
--- 5.0.2-3/examples/Generator/random_convex_hull_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Generator/random_convex_hull_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,9 +6,9 @@
 #include <vector>
 using namespace CGAL;
 
-typedef Exact_predicates_inexact_constructions_kernel 	 K;
+typedef Exact_predicates_inexact_constructions_kernel          K;
 typedef K::Point_2                                       Point;
-typedef K::FT								        	 FT;
+typedef K::FT                                                                                 FT;
 
 const double RADIUS=1.0;
 int main( )
diff -pruN 5.0.2-3/examples/Generator/random_degenerate_point_set.cpp 5.0.3-1/examples/Generator/random_degenerate_point_set.cpp
--- 5.0.2-3/examples/Generator/random_degenerate_point_set.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Generator/random_degenerate_point_set.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -28,12 +28,12 @@ int main() {
     // Select 100 points randomly and append them at the end of
     // the current vector of points.
     random_selection( points.begin(), points.end(), 100,
-		      std::back_inserter(points));
+                      std::back_inserter(points));
 
     // Create 100 points that are collinear to two randomly chosen
     // points and append them to the current vector of points.
     random_collinear_points_2( points.begin(), points.end(), 100,
-			       std::back_inserter( points));
+                               std::back_inserter( points));
 
     // Check that we have really created 1000 points.
     assert( points.size() == 1000);
@@ -44,10 +44,10 @@ int main() {
 
     // Check range of values.
     for ( Vector::iterator i = points.begin(); i != points.end(); i++){
-	assert( i->x() <=  251);
-	assert( i->x() >= -251);
-	assert( i->y() <=  251);
-	assert( i->y() >= -251);
+        assert( i->x() <=  251);
+        assert( i->x() >= -251);
+        assert( i->y() <=  251);
+        assert( i->y() >= -251);
     }
     return 0;
 }
diff -pruN 5.0.2-3/examples/Generator/random_points_tetrahedron_and_triangle_3.cpp 5.0.3-1/examples/Generator/random_points_tetrahedron_and_triangle_3.cpp
--- 5.0.2-3/examples/Generator/random_points_tetrahedron_and_triangle_3.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Generator/random_points_tetrahedron_and_triangle_3.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -3,47 +3,47 @@
 #include <CGAL/point_generators_3.h>
 #include <CGAL/Random.h>
 
-typedef CGAL::Exact_predicates_inexact_constructions_kernel 		K;
-typedef K::Point_3 													Point_3;
-typedef K::Triangle_3 												Triangle_3;
-typedef K::Tetrahedron_3 											Tetrahedron_3;
-typedef CGAL::Random_points_in_triangle_3<Point_3> 					Point_generator_i;
-typedef CGAL::Random_points_in_tetrahedron_3<Point_3> 				Point_generator_ii;
+typedef CGAL::Exact_predicates_inexact_constructions_kernel                 K;
+typedef K::Point_3                                                                                                         Point_3;
+typedef K::Triangle_3                                                                                                 Triangle_3;
+typedef K::Tetrahedron_3                                                                                         Tetrahedron_3;
+typedef CGAL::Random_points_in_triangle_3<Point_3>                                         Point_generator_i;
+typedef CGAL::Random_points_in_tetrahedron_3<Point_3>                                 Point_generator_ii;
 
 int main() {
-	std::cout << "This example does two things:" << std::endl;
-	std::cout << "  (i) it creates 100 random points in a triangle in 3D; and" << std::endl;
-	std::cout << "  (ii) it creates 100 random points in a tetrahedron in 3D." << std::endl;
-	
-	// The input triangle is as follows
-	Triangle_3 tri(Point_3(0,0,0),Point_3(1,0,0),Point_3(0,1,0));
-	Tetrahedron_3 tet(Point_3(0,0,0),Point_3(1,0,0),Point_3(0,1,0),Point_3(0,0,1));
-	
-	// we get output points in these containers
-	std::vector<Point_3> points_in_tri, points_in_tet;
-	
-	// creating the first generator, input is the Triangle_3 tri
-	Point_generator_i g_i(tri);
-	
-	// creating the second generator, input is the Tetrahedron_3 tet
-	Point_generator_ii g_ii(tet);
-	
-	// get 100 random points in tri
-	std::copy_n(g_i, 100, std::back_inserter(points_in_tri));
-	
-	// get 100 random points in tet
-	std::copy_n(g_ii, 100, std::back_inserter(points_in_tet));
-	
-	// Check that we have really created 100 points.
-	assert( points_in_tri.size() == 100);
-	
-	// Check that we have really created 100 points.
-	assert( points_in_tet.size() == 100);
-	
-	// print the first points
-	std::cout << "In triangle: " << points_in_tri[0] << std::endl;
-	std::cout << "In tetrahedron: " << points_in_tet[0] << std::endl;
-	
-	return 0;
+        std::cout << "This example does two things:" << std::endl;
+        std::cout << "  (i) it creates 100 random points in a triangle in 3D; and" << std::endl;
+        std::cout << "  (ii) it creates 100 random points in a tetrahedron in 3D." << std::endl;
+
+        // The input triangle is as follows
+        Triangle_3 tri(Point_3(0,0,0),Point_3(1,0,0),Point_3(0,1,0));
+        Tetrahedron_3 tet(Point_3(0,0,0),Point_3(1,0,0),Point_3(0,1,0),Point_3(0,0,1));
+
+        // we get output points in these containers
+        std::vector<Point_3> points_in_tri, points_in_tet;
+
+        // creating the first generator, input is the Triangle_3 tri
+        Point_generator_i g_i(tri);
+
+        // creating the second generator, input is the Tetrahedron_3 tet
+        Point_generator_ii g_ii(tet);
+
+        // get 100 random points in tri
+        std::copy_n(g_i, 100, std::back_inserter(points_in_tri));
+
+        // get 100 random points in tet
+        std::copy_n(g_ii, 100, std::back_inserter(points_in_tet));
+
+        // Check that we have really created 100 points.
+        assert( points_in_tri.size() == 100);
+
+        // Check that we have really created 100 points.
+        assert( points_in_tet.size() == 100);
+
+        // print the first points
+        std::cout << "In triangle: " << points_in_tri[0] << std::endl;
+        std::cout << "In tetrahedron: " << points_in_tet[0] << std::endl;
+
+        return 0;
 }
 
diff -pruN 5.0.2-3/examples/Generator/random_points_triangle_2.cpp 5.0.3-1/examples/Generator/random_points_triangle_2.cpp
--- 5.0.2-3/examples/Generator/random_points_triangle_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Generator/random_points_triangle_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -3,33 +3,33 @@
 #include <CGAL/point_generators_2.h>
 #include <CGAL/Random.h>
 
-typedef CGAL::Exact_predicates_inexact_constructions_kernel 		K;
-typedef K::Point_2 													Point_2;
-typedef K::Triangle_2 												Triangle_2;
-typedef std::vector<Point_2>										Container;
-typedef CGAL::Random_points_in_triangle_2<Point_2> 					Point_generator;
+typedef CGAL::Exact_predicates_inexact_constructions_kernel                 K;
+typedef K::Point_2                                                                                                         Point_2;
+typedef K::Triangle_2                                                                                                 Triangle_2;
+typedef std::vector<Point_2>                                                                                Container;
+typedef CGAL::Random_points_in_triangle_2<Point_2>                                         Point_generator;
 
 int main() {
-	std::cout << "Creating 100 random points in a triangle in 2D." << std::endl;
-	
-	// The input triangle is as follows
-	Triangle_2 tri(Point_2(0,0),Point_2(1,0),Point_2(0,1));
-	
-	// generated points are in that container
-	Container points;
-	
-	// creating the generator, input is the Triangle_2 tri
-	Point_generator g(tri);
-	
-	// get 100 random points in tri
-	std::copy_n(g, 100, std::back_inserter(points));
-	
-	// Check that we have really created 100 points.
-	assert( points.size() == 100);
-	
-	// print the first point that was generated
-	std::cout << points[0] << std::endl;
-	
-	return 0;
+        std::cout << "Creating 100 random points in a triangle in 2D." << std::endl;
+
+        // The input triangle is as follows
+        Triangle_2 tri(Point_2(0,0),Point_2(1,0),Point_2(0,1));
+
+        // generated points are in that container
+        Container points;
+
+        // creating the generator, input is the Triangle_2 tri
+        Point_generator g(tri);
+
+        // get 100 random points in tri
+        std::copy_n(g, 100, std::back_inserter(points));
+
+        // Check that we have really created 100 points.
+        assert( points.size() == 100);
+
+        // print the first point that was generated
+        std::cout << points[0] << std::endl;
+
+        return 0;
 }
 
diff -pruN 5.0.2-3/examples/Generator/random_segments2.cpp 5.0.3-1/examples/Generator/random_segments2.cpp
--- 5.0.2-3/examples/Generator/random_segments2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Generator/random_segments2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -43,14 +43,14 @@ int main() {
 
     CGAL_assertion( segs.size() == 100);
     for ( Vector::iterator i = segs.begin(); i != segs.end(); i++){
-	CGAL_assertion( i->source().x() <=  250);
-	CGAL_assertion( i->source().x() >= -250);
-	CGAL_assertion( i->source().y() <=  250);
-	CGAL_assertion( i->source().y() >= -250);
-	CGAL_assertion( i->target().x() <=  250);
-	CGAL_assertion( i->target().x() >= -250);
-	CGAL_assertion( i->target().y() <=  250);
-	CGAL_assertion( i->target().y() >= -250);
+        CGAL_assertion( i->source().x() <=  250);
+        CGAL_assertion( i->source().x() >= -250);
+        CGAL_assertion( i->source().y() <=  250);
+        CGAL_assertion( i->source().y() >= -250);
+        CGAL_assertion( i->target().x() <=  250);
+        CGAL_assertion( i->target().x() >= -250);
+        CGAL_assertion( i->target().y() <=  250);
+        CGAL_assertion( i->target().y() >= -250);
     }
     return 0;
 }
diff -pruN 5.0.2-3/examples/Generator/sphere_d.cpp 5.0.3-1/examples/Generator/sphere_d.cpp
--- 5.0.2-3/examples/Generator/sphere_d.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Generator/sphere_d.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -12,7 +12,7 @@ int main ()
   int dim =5;
   double size = 100.0;
   std::cout << "Generating "<<nb_points<<" random points on the surface of "
-	    <<"a sphere in "<<dim<<"D of center 0 and radius "<<size<<std::endl;
+            <<"a sphere in "<<dim<<"D of center 0 and radius "<<size<<std::endl;
   std::vector<Point> v;
   v.reserve (nb_points);
   CGAL::Random_points_on_sphere_d<Point> gen (dim, 100.0);
diff -pruN 5.0.2-3/examples/HalfedgeDS/CMakeLists.txt 5.0.3-1/examples/HalfedgeDS/CMakeLists.txt
--- 5.0.2-3/examples/HalfedgeDS/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/HalfedgeDS/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Heat_method_3/heat_method.cpp 5.0.3-1/examples/Heat_method_3/heat_method.cpp
--- 5.0.2-3/examples/Heat_method_3/heat_method.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Heat_method_3/heat_method.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -17,7 +17,7 @@ int main(int argc, char* argv[])
 {
   Triangle_mesh tm;
   const char* filename = (argc > 1) ? argv[1] : "./data/elephant.off";
-  std::ifstream input(filename);  
+  std::ifstream input(filename);
   if (!input || !(input >> tm) || tm.is_empty()) {
     std::cerr << "Not a valid off file." << std::endl;
     return 1;
@@ -27,7 +27,7 @@ int main(int argc, char* argv[])
   Vertex_distance_map vertex_distance = tm.add_property_map<vertex_descriptor, double>("v:distance", 0).first;
 
   vertex_descriptor source = *(vertices(tm).first);
-  
+
   CGAL::Heat_method_3::estimate_geodesic_distances(tm, vertex_distance, source) ;
 
   std::cout << "Source vertex " << source << " at: " << tm.point(source) << std::endl;
diff -pruN 5.0.2-3/examples/Heat_method_3/heat_method_polyhedron.cpp 5.0.3-1/examples/Heat_method_3/heat_method_polyhedron.cpp
--- 5.0.2-3/examples/Heat_method_3/heat_method_polyhedron.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Heat_method_3/heat_method_polyhedron.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -26,7 +26,7 @@ int main(int argc, char* argv[])
   boost::unordered_map<vertex_descriptor, double> vertex_distance;
 
   vertex_descriptor source = *(vertices(tm).first);
-  
+
   CGAL::Heat_method_3::estimate_geodesic_distances(tm,
                                                    boost::make_assoc_property_map(vertex_distance),
                                                    source) ;
diff -pruN 5.0.2-3/examples/Heat_method_3/heat_method_surface_mesh.cpp 5.0.3-1/examples/Heat_method_3/heat_method_surface_mesh.cpp
--- 5.0.2-3/examples/Heat_method_3/heat_method_surface_mesh.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Heat_method_3/heat_method_surface_mesh.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -24,7 +24,7 @@ int main(int argc, char* argv[])
     std::cerr << "Not a valid off file." << std::endl;
     return 1;
   }
-  
+
   //property map for the distance values to the source set
   Vertex_distance_map vertex_distance = tm.add_property_map<vertex_descriptor, double>("v:distance", 0).first;
 
@@ -34,24 +34,24 @@ int main(int argc, char* argv[])
   vertex_descriptor source = *(vertices(tm).first);
   hm.add_source(source);
   hm.estimate_geodesic_distances(vertex_distance);
-  
+
   Point_3 sp = tm.point(source);
 
   std::cout << "source: " << sp  << " " << source << std::endl;
-  vertex_descriptor far;
+  vertex_descriptor vfar;
   double sdistance = 0;
-  
+
   for(vertex_descriptor vd : vertices(tm)){
     std::cout << vd << "  is at distance " << get(vertex_distance, vd) << " to " << source << std::endl;
     if(get(vertex_distance, vd) > sdistance){
-      far = vd;
+      vfar = vd;
       sdistance = get(vertex_distance, vd);
     }
   }
 
-  std::cout << "far: " << tm.point(far) << " " << far << std::endl;
+  std::cout << "vfar: " << tm.point(vfar) << " " << vfar << std::endl;
 
-  hm.add_source(far);
+  hm.add_source(vfar);
   hm.estimate_geodesic_distances(vertex_distance);
 
   for(vertex_descriptor vd : vertices(tm)){
diff -pruN 5.0.2-3/examples/Heat_method_3/heat_method_surface_mesh_direct.cpp 5.0.3-1/examples/Heat_method_3/heat_method_surface_mesh_direct.cpp
--- 5.0.2-3/examples/Heat_method_3/heat_method_surface_mesh_direct.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Heat_method_3/heat_method_surface_mesh_direct.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -25,7 +25,7 @@ int main(int argc, char* argv[])
     std::cerr << "Not a valid off file." << std::endl;
     return 1;
   }
-  
+
    //property map for the distance values to the source set
   Vertex_distance_map vertex_distance = tm.add_property_map<vertex_descriptor,double>("v:distance",0).first;
 
diff -pruN 5.0.2-3/examples/Hyperbolic_triangulation_2/CMakeLists.txt 5.0.3-1/examples/Hyperbolic_triangulation_2/CMakeLists.txt
--- 5.0.2-3/examples/Hyperbolic_triangulation_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Hyperbolic_triangulation_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -9,17 +9,17 @@ project( Hyperbolic_triangulation_2_Exam
 find_package(CGAL QUIET COMPONENTS Core )
 
 if ( CGAL_FOUND )
-	
-  	include( ${CGAL_USE_FILE} )
 
-  	include( CGAL_CreateSingleSourceCGALProgram )
+          include( ${CGAL_USE_FILE} )
 
-  	create_single_source_cgal_program( "ht2_example.cpp" )
-  	create_single_source_cgal_program( "ht2_example_color.cpp" )
+          include( CGAL_CreateSingleSourceCGALProgram )
+
+          create_single_source_cgal_program( "ht2_example.cpp" )
+          create_single_source_cgal_program( "ht2_example_color.cpp" )
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Hyperbolic_triangulation_2/ht2_example.cpp 5.0.3-1/examples/Hyperbolic_triangulation_2/ht2_example.cpp
--- 5.0.2-3/examples/Hyperbolic_triangulation_2/ht2_example.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Hyperbolic_triangulation_2/ht2_example.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -20,7 +20,7 @@ int main(int argc, char** argv)
   if(argc < 2) {
     std::cout << "usage: " << argv[0] << " [number_of_points]" << std::endl;
     std::cout << "Defaulting to 100k points..." << std::endl;
-    N = 100000; 
+    N = 100000;
   } else {
     N = atoi(argv[1]);
   }
diff -pruN 5.0.2-3/examples/Inscribed_areas/CMakeLists.txt 5.0.3-1/examples/Inscribed_areas/CMakeLists.txt
--- 5.0.2-3/examples/Inscribed_areas/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Inscribed_areas/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Interpolation/CMakeLists.txt 5.0.3-1/examples/Interpolation/CMakeLists.txt
--- 5.0.2-3/examples/Interpolation/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Interpolation/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Interval_skip_list/CMakeLists.txt 5.0.3-1/examples/Interval_skip_list/CMakeLists.txt
--- 5.0.2-3/examples/Interval_skip_list/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Interval_skip_list/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Interval_skip_list/isl_terrain.cpp 5.0.3-1/examples/Interval_skip_list/isl_terrain.cpp
--- 5.0.2-3/examples/Interval_skip_list/isl_terrain.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Interval_skip_list/isl_terrain.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -21,7 +21,7 @@ int main()
   Delaunay dt;
 
   dt.insert(std::istream_iterator<Point_3>(fin),
-	    std::istream_iterator<Point_3>());
+            std::istream_iterator<Point_3>());
 
   Interval_skip_list isl;
   for(Finite_faces_iterator fh = dt.finite_faces_begin();
diff -pruN 5.0.2-3/examples/Jet_fitting_3/CMakeLists.txt 5.0.3-1/examples/Jet_fitting_3/CMakeLists.txt
--- 5.0.2-3/examples/Jet_fitting_3/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Jet_fitting_3/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -32,7 +32,7 @@ if ( CGAL_FOUND )
 
     create_single_source_cgal_program( "Mesh_estimation.cpp" )
     create_single_source_cgal_program( "Single_estimation.cpp" )
-    
+
   else()
     message(STATUS "NOTICE: This program requires Eigen 3.1 (or greater) and will not be compiled.")
   endif()
diff -pruN 5.0.2-3/examples/Jet_fitting_3/data/in_points_d4.txt 5.0.3-1/examples/Jet_fitting_3/data/in_points_d4.txt
--- 5.0.2-3/examples/Jet_fitting_3/data/in_points_d4.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Jet_fitting_3/data/in_points_d4.txt	2020-08-01 19:00:33.000000000 +0000
@@ -1,8 +1,8 @@
-0 0 0 
+0 0 0
 0 1 .2
 0 -1 0.2
 1 0 0.1
--1 0 0.1 
+-1 0 0.1
 1 1 0.3
 -1 1 .3
 -1 -1 .3
@@ -12,7 +12,7 @@
 -2 0 .4
 0 -2 .8
 2 2 1.2
--2 -2 1.2 
+-2 -2 1.2
 2 -2 1.2
 -2 2 1.2
 
diff -pruN 5.0.2-3/examples/Jet_fitting_3/data/in_points_file.txt 5.0.3-1/examples/Jet_fitting_3/data/in_points_file.txt
--- 5.0.2-3/examples/Jet_fitting_3/data/in_points_file.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Jet_fitting_3/data/in_points_file.txt	2020-08-01 19:00:33.000000000 +0000
@@ -1,6 +1,6 @@
-0 0 0 
+0 0 0
 0 1 .2
 0 -1 0.2
 1 0 0.1
--1 0 0.1 
+-1 0 0.1
 1 1 0.3
diff -pruN 5.0.2-3/examples/Jet_fitting_3/Mesh_estimation.cpp 5.0.3-1/examples/Jet_fitting_3/Mesh_estimation.cpp
--- 5.0.2-3/examples/Jet_fitting_3/Mesh_estimation.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Jet_fitting_3/Mesh_estimation.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -86,8 +86,8 @@ unsigned int min_nb_points = (d_fitting
 // 2. the exact number of rings to be used
 // 3. nothing is specified
 void gather_fitting_points(Vertex* v,
-			   std::vector<DPoint> &in_points,
-			   Vertex_PM_type& vpm)
+                           std::vector<DPoint> &in_points,
+                           Vertex_PM_type& vpm)
 {
   //container to collect vertices of v on the PolyhedralSurf
   std::vector<Vertex*> gathered;
@@ -210,8 +210,8 @@ std::cerr << "res4openGL_fname" << res4o
   std::ifstream stream(if_name.c_str());
   stream >> P;
   std::cout << "loadMesh...  "<< "Polysurf with " << P.size_of_vertices()
-	    << " vertices and " << P.size_of_facets()
-	    << " facets. " << std::endl;
+            << " vertices and " << P.size_of_facets()
+            << " facets. " << std::endl;
 
   if(verbose)
     out_verbose << "Polysurf with " << P.size_of_vertices()
@@ -264,12 +264,12 @@ std::cerr << "res4openGL_fname" << res4o
     //skip if the nb of points is to small
     if ( in_points.size() < min_nb_points )
       {std::cerr << "not enough pts for fitting this vertex" << in_points.size() << std::endl;
-	continue;}
+        continue;}
 
     // perform the fitting
     My_Monge_via_jet_fitting monge_fit;
     monge_form = monge_fit(in_points.begin(), in_points.end(),
-			   d_fitting, d_monge);
+                           d_fitting, d_monge);
     //switch min-max ppal curv/dir wrt the mesh orientation
     const DVector normal_mesh = Poly_facet_ops::compute_vertex_average_unit_normal(v, fpm);
     monge_form.comply_wrt_given_normal(normal_mesh);
@@ -288,9 +288,9 @@ std::cerr << "res4openGL_fname" << res4o
       for (;itbp!=itep;itbp++) out_verbose << *itbp << std::endl ;
 
       out_verbose << "--- vertex " <<  ++nb_vertices_considered
-                  <<	" : " << v->point() << std::endl
+                  <<        " : " << v->point() << std::endl
                   << "number of points used : " << in_points.size() << std::endl
-	;// << monge_form;
+        ;// << monge_form;
     }
   } //all vertices processed
 
@@ -299,6 +299,6 @@ std::cerr << "res4openGL_fname" << res4o
   out_4ogl.close();
   if(verbose) {
     out_verbose.close();
-  }  
+  }
   return 0;
 }
diff -pruN 5.0.2-3/examples/Jet_fitting_3/PolyhedralSurf.h 5.0.3-1/examples/Jet_fitting_3/PolyhedralSurf.h
--- 5.0.2-3/examples/Jet_fitting_3/PolyhedralSurf.h	2020-02-21 20:03:22.000000000 +0000
+++ 5.0.3-1/examples/Jet_fitting_3/PolyhedralSurf.h	2020-08-01 19:02:25.000000000 +0000
@@ -100,7 +100,7 @@ Facet_PM<TPoly> get_fpm(boost::vertex_at
 //----------------------------------------------------------------
  //  int ring_index;
 //   My_halfedge(): ring_index(-1) {}
-//   void setRingIndex(int i) {	ring_index = i;    }
+//   void setRingIndex(int i) {        ring_index = i;    }
 //   int getRingIndex() {return ring_index;    }
 //   void resetRingIndex() {ring_index = -1;    }
 
diff -pruN 5.0.2-3/examples/Jet_fitting_3/PolyhedralSurf_operations.h 5.0.3-1/examples/Jet_fitting_3/PolyhedralSurf_operations.h
--- 5.0.2-3/examples/Jet_fitting_3/PolyhedralSurf_operations.h	2020-02-21 20:03:22.000000000 +0000
+++ 5.0.3-1/examples/Jet_fitting_3/PolyhedralSurf_operations.h	2020-08-01 19:02:25.000000000 +0000
@@ -13,7 +13,7 @@ struct Edge_length {
   template <class HalfEdge_handle>
   double operator() (HalfEdge_handle h) {
     double l = CGAL::sqrt(CGAL::squared_distance(h->prev()->vertex()->point(),
-						 h->vertex()->point()));
+                                                 h->vertex()->point()));
     return l;
   }
 };
@@ -24,10 +24,10 @@ struct Facet_unit_normal {
   typename Facet::Vector_3 operator() (Facet & f) {
       typename Facet::Halfedge_handle h = f.halfedge();
       typename Facet::Vector_3 normal =
-	CGAL::cross_product(h->vertex()->point() -
-			    h->opposite()->vertex()->point(),
-			    h->next()->vertex()->point() -
-			    h->opposite()->vertex()->point());
+        CGAL::cross_product(h->vertex()->point() -
+                            h->opposite()->vertex()->point(),
+                            h->next()->vertex()->point() -
+                            h->opposite()->vertex()->point());
       return normal / CGAL::sqrt(normal * normal);
     }
 };
diff -pruN 5.0.2-3/examples/Jet_fitting_3/PolyhedralSurf_rings.h 5.0.3-1/examples/Jet_fitting_3/PolyhedralSurf_rings.h
--- 5.0.2-3/examples/Jet_fitting_3/PolyhedralSurf_rings.h	2020-02-21 20:03:22.000000000 +0000
+++ 5.0.3-1/examples/Jet_fitting_3/PolyhedralSurf_rings.h	2020-08-01 19:02:25.000000000 +0000
@@ -21,37 +21,37 @@ protected:
 
   //vertex indices are initialised to -1
   static void reset_ring_indices(std::vector < Vertex * >&vces,
-				 VertexPropertyMap& vpm);
+                                 VertexPropertyMap& vpm);
 
   //i >= 1; from a start vertex on the current i-1 ring, push non-visited neighbors
   //of start in the nextRing and set indices to i. Also add these vertices in all.
   static void push_neighbours_of(Vertex * start, int ith,
-			  std::vector < Vertex * >&nextRing,
-			  std::vector < Vertex * >&all,
-			  VertexPropertyMap& vpm);
+                          std::vector < Vertex * >&nextRing,
+                          std::vector < Vertex * >&all,
+                          VertexPropertyMap& vpm);
 
   //i >= 1, from a currentRing i-1, collect all neighbors, set indices
   //to i and store them in nextRing and all.
   static void collect_ith_ring(int ith,
-			std::vector < Vertex * >&currentRing,
-			std::vector < Vertex * >&nextRing,
-			std::vector < Vertex * >&all,
-			VertexPropertyMap& vpm);
+                        std::vector < Vertex * >&currentRing,
+                        std::vector < Vertex * >&nextRing,
+                        std::vector < Vertex * >&all,
+                        VertexPropertyMap& vpm);
 
  public:
   //collect i>=1 rings : all neighbours up to the ith ring,
   static void
     collect_i_rings(Vertex* v,
-		    int ring_i,
-		    std::vector < Vertex * >& all,
-		    VertexPropertyMap& vpm);
+                    int ring_i,
+                    std::vector < Vertex * >& all,
+                    VertexPropertyMap& vpm);
 
   //collect enough rings (at least 1), to get at least min_nb of neighbors
   static void
     collect_enough_rings(Vertex* v,
-			 unsigned int min_nb,
-			 std::vector < Vertex * >& all,
-			 VertexPropertyMap& vpm);
+                         unsigned int min_nb,
+                         std::vector < Vertex * >& all,
+                         VertexPropertyMap& vpm);
 };
 
 ////IMPLEMENTATION/////////////////////////////////////////////////////////////////////
@@ -59,9 +59,9 @@ protected:
 template < class TPoly , class VertexPropertyMap>
 void T_PolyhedralSurf_rings <TPoly, VertexPropertyMap>::
 push_neighbours_of(Vertex * start, int ith,
-		   std::vector < Vertex * >&nextRing,
-		   std::vector < Vertex * >&all,
-		   VertexPropertyMap& vpm)
+                   std::vector < Vertex * >&nextRing,
+                   std::vector < Vertex * >&all,
+                   VertexPropertyMap& vpm)
 {
   Vertex *v;
   Halfedge_around_vertex_circulator
@@ -81,9 +81,9 @@ push_neighbours_of(Vertex * start, int i
 template <class TPoly, class VertexPropertyMap>
 void T_PolyhedralSurf_rings <TPoly, VertexPropertyMap>::
 collect_ith_ring(int ith, std::vector < Vertex * >&currentRing,
-		 std::vector < Vertex * >&nextRing,
-		 std::vector < Vertex * >&all,
-		 VertexPropertyMap& vpm)
+                 std::vector < Vertex * >&nextRing,
+                 std::vector < Vertex * >&all,
+                 VertexPropertyMap& vpm)
 {
   typename std::vector < Vertex * >::iterator
     itb =    currentRing.begin(), ite = currentRing.end();
@@ -94,7 +94,7 @@ collect_ith_ring(int ith, std::vector <
 template <class TPoly, class VertexPropertyMap>
   void T_PolyhedralSurf_rings <TPoly, VertexPropertyMap>::
 reset_ring_indices(std::vector < Vertex * >&vces,
-		   VertexPropertyMap& vpm)
+                   VertexPropertyMap& vpm)
 {
   typename std::vector < Vertex * >::iterator
     itb = vces.begin(), ite = vces.end();
@@ -104,9 +104,9 @@ reset_ring_indices(std::vector < Vertex
 template <class TPoly, class VertexPropertyMap>
   void T_PolyhedralSurf_rings <TPoly, VertexPropertyMap>::
 collect_i_rings(Vertex* v,
-		int ring_i,
-		std::vector < Vertex * >& all,
-		VertexPropertyMap& vpm)
+                int ring_i,
+                std::vector < Vertex * >& all,
+                VertexPropertyMap& vpm)
 {
   std::vector<Vertex*> current_ring, next_ring;
   std::vector<Vertex*> *p_current_ring, *p_next_ring;
@@ -132,9 +132,9 @@ collect_i_rings(Vertex* v,
 template <class TPoly, class VertexPropertyMap>
   void T_PolyhedralSurf_rings <TPoly, VertexPropertyMap>::
 collect_enough_rings(Vertex* v,
-		     unsigned int min_nb,
-		     std::vector < Vertex * >& all,
-		     VertexPropertyMap& vpm)
+                     unsigned int min_nb,
+                     std::vector < Vertex * >& all,
+                     VertexPropertyMap& vpm)
 {
   std::vector<Vertex*> current_ring, next_ring;
   std::vector<Vertex*> *p_current_ring, *p_next_ring;
diff -pruN 5.0.2-3/examples/Jet_fitting_3/Single_estimation.cpp 5.0.3-1/examples/Jet_fitting_3/Single_estimation.cpp
--- 5.0.2-3/examples/Jet_fitting_3/Single_estimation.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Jet_fitting_3/Single_estimation.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -20,7 +20,7 @@ int main(int argc, char *argv[])
     {
       std::cout << " Usage : " << argv[0]
                 << " <inputPoints.txt> <d_fitting> <d_monge>" << std::endl
-		<< "test with default arguments" << std::endl;
+                << "test with default arguments" << std::endl;
     }
   else {
     name_file_in = argv[1];
@@ -35,7 +35,7 @@ int main(int argc, char *argv[])
       std::cerr << "cannot open file for input\n";
       exit(-1);
     }
-  
+
   //initalize the in_points container
   double x, y, z;
   std::vector<DPoint> in_points;
@@ -54,12 +54,12 @@ int main(int argc, char *argv[])
   //OUTPUT on std::cout
   CGAL::set_pretty_mode(std::cout);
   std::cout << "vertex : " << in_points[0] << std::endl
-	    << "number of points used : " << in_points.size() << std::endl
-	    << monge_form;
+            << "number of points used : " << in_points.size() << std::endl
+            << monge_form;
   std::cout  << "condition_number : " << monge_fit.condition_number() << std::endl
-	     << "pca_eigen_vals and associated pca_eigen_vecs :"  << std::endl;
+             << "pca_eigen_vals and associated pca_eigen_vecs :"  << std::endl;
   for (int i=0; i<3; i++)
     std::cout << monge_fit.pca_basis(i).first << std::endl
-	      << monge_fit.pca_basis(i).second  << std::endl;
+              << monge_fit.pca_basis(i).second  << std::endl;
   return 0;
 }
diff -pruN 5.0.2-3/examples/Kernel_23/cartesian_converter.cpp 5.0.3-1/examples/Kernel_23/cartesian_converter.cpp
--- 5.0.2-3/examples/Kernel_23/cartesian_converter.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Kernel_23/cartesian_converter.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -14,27 +14,27 @@ int main(){
     IK::Point_3(1.,0.,-1.),
     IK::Point_3(0.,1.,3.)
   );
-  
+
   IK::Line_3 l1(
     IK::Point_3(0.2,0.25,-7),
     IK::Point_3(0.25,0.3,4)
   );
-  
+
   IK_to_EK to_exact;
-  
+
   EK::Triangle_3 t2=to_exact(t1);
   EK::Line_3     l2=to_exact(l1);
-  
+
   CGAL::cpp11::result_of<EK::Intersect_3(EK::Triangle_3, EK::Line_3)>::type
     inter = CGAL::intersection(t2,l2);
 
   // As we are sure that there IS an intersection
-  // and that the intersection IS a point 
+  // and that the intersection IS a point
   // we do not have to check for this, or put it in a try/catch
   const EK::Point_3& exact_pt = boost::get<EK::Point_3>(*inter);
-  
+
   EK_to_IK to_inexact;
-  
+
   IK::Point_3 inexact_pt = to_inexact(exact_pt);
   std::cout << inexact_pt << std::endl;
   return 0;
diff -pruN 5.0.2-3/examples/Kernel_23/CMakeLists.txt 5.0.3-1/examples/Kernel_23/CMakeLists.txt
--- 5.0.2-3/examples/Kernel_23/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Kernel_23/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Kernel_23/exact.cpp 5.0.3-1/examples/Kernel_23/exact.cpp
--- 5.0.2-3/examples/Kernel_23/exact.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Kernel_23/exact.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -12,17 +12,17 @@ int main()
     q  = Point_2(1, 0.6);
     std::cout << (CGAL::collinear(p,q,r) ? "collinear\n" : "not collinear\n");
   }
-  
+
   {
     std::istringstream input("0 0.3   1 0.6   2 0.9");
     input >> p >> q >> r;
     std::cout << (CGAL::collinear(p,q,r) ? "collinear\n" : "not collinear\n");
   }
-  
+
   {
     q = CGAL::midpoint(p,r);
-    std::cout << (CGAL::collinear(p,q,r) ? "collinear\n" : "not collinear\n");   
+    std::cout << (CGAL::collinear(p,q,r) ? "collinear\n" : "not collinear\n");
   }
- 
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Kernel_23/intersection_visitor.cpp 5.0.3-1/examples/Kernel_23/intersection_visitor.cpp
--- 5.0.2-3/examples/Kernel_23/intersection_visitor.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Kernel_23/intersection_visitor.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -31,11 +31,11 @@ int main()
   // without C++11
   CGAL::cpp11::result_of<Intersect_2(Segment_2, Line_2)>::type
     result = intersection(seg, lin);
-  if (result) { 
-    boost::apply_visitor(Intersection_visitor(), *result); 
+  if (result) {
+    boost::apply_visitor(Intersection_visitor(), *result);
   } else {
     // no intersection
   }
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Kernel_23/MyKernel.cpp 5.0.3-1/examples/Kernel_23/MyKernel.cpp
--- 5.0.2-3/examples/Kernel_23/MyKernel.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Kernel_23/MyKernel.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -56,7 +56,7 @@ int main()
 
   K::Intersect_2 intersection;
 
-  CGAL::cpp11::result_of<K::Intersect_2(Segment, Segment)>::type 
+  CGAL::cpp11::result_of<K::Intersect_2(Segment, Segment)>::type
     intersect = intersection(s1, s2);
 
   K::Construct_cartesian_const_iterator_2 construct_it;
diff -pruN 5.0.2-3/examples/Kernel_23/MyPointC2_iostream.h 5.0.3-1/examples/Kernel_23/MyPointC2_iostream.h
--- 5.0.2-3/examples/Kernel_23/MyPointC2_iostream.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/examples/Kernel_23/MyPointC2_iostream.h	2020-08-01 19:02:26.000000000 +0000
@@ -31,7 +31,7 @@ operator>>(std::istream &is, MyPointC2 &
     case CGAL::IO::BINARY :
         CGAL::read(is, x);
         CGAL::read(is, y);
-	CGAL::read(is, c);
+        CGAL::read(is, c);
         break;
     default:
         std::cerr << "" << std::endl;
diff -pruN 5.0.2-3/examples/Kernel_23/MySegmentC2.h 5.0.3-1/examples/Kernel_23/MySegmentC2.h
--- 5.0.2-3/examples/Kernel_23/MySegmentC2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/examples/Kernel_23/MySegmentC2.h	2020-08-01 19:02:26.000000000 +0000
@@ -245,7 +245,7 @@ operator>>(std::istream &is, MySegmentC2
     is >> p >> q;
 
     if (is)
-	s = MySegmentC2<R>(p, q);
+        s = MySegmentC2<R>(p, q);
     return is;
 }
 
diff -pruN 5.0.2-3/examples/Kernel_23/points_and_segment.cpp 5.0.3-1/examples/Kernel_23/points_and_segment.cpp
--- 5.0.2-3/examples/Kernel_23/points_and_segment.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Kernel_23/points_and_segment.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -12,25 +12,25 @@ int main()
   std::cout << "p = " << p << std::endl;
   std::cout << "q = " << q.x() << " " << q.y() << std::endl;
 
-  std::cout << "sqdist(p,q) = " 
+  std::cout << "sqdist(p,q) = "
             << CGAL::squared_distance(p,q) << std::endl;
-  
+
   Segment_2 s(p,q);
   Point_2 m(5, 9);
-  
+
   std::cout << "m = " << m << std::endl;
   std::cout << "sqdist(Segment_2(p,q), m) = "
             << CGAL::squared_distance(s,m) << std::endl;
 
   std::cout << "p, q, and m ";
   switch (CGAL::orientation(p,q,m)){
-  case CGAL::COLLINEAR: 
+  case CGAL::COLLINEAR:
     std::cout << "are collinear\n";
     break;
   case CGAL::LEFT_TURN:
     std::cout << "make a left turn\n";
     break;
-  case CGAL::RIGHT_TURN: 
+  case CGAL::RIGHT_TURN:
     std::cout << "make a right turn\n";
     break;
   }
diff -pruN 5.0.2-3/examples/Kernel_23/surprising.cpp 5.0.3-1/examples/Kernel_23/surprising.cpp
--- 5.0.2-3/examples/Kernel_23/surprising.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Kernel_23/surprising.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -8,15 +8,15 @@ int main()
 {
   {
     Point_2 p(0, 0.3), q(1, 0.6), r(2, 0.9);
-    std::cout << (CGAL::collinear(p,q,r) ? "collinear\n" : "not collinear\n");   
+    std::cout << (CGAL::collinear(p,q,r) ? "collinear\n" : "not collinear\n");
   }
   {
     Point_2 p(0, 1.0/3.0), q(1, 2.0/3.0), r(2, 1);
-    std::cout << (CGAL::collinear(p,q,r) ? "collinear\n" : "not collinear\n");   
-  }  
+    std::cout << (CGAL::collinear(p,q,r) ? "collinear\n" : "not collinear\n");
+  }
   {
     Point_2 p(0,0), q(1, 1), r(2, 2);
-    std::cout << (CGAL::collinear(p,q,r) ? "collinear\n" : "not collinear\n");   
-  }  
+    std::cout << (CGAL::collinear(p,q,r) ? "collinear\n" : "not collinear\n");
+  }
   return 0;
 }
diff -pruN 5.0.2-3/examples/Linear_cell_complex/basic_viewer.h 5.0.3-1/examples/Linear_cell_complex/basic_viewer.h
--- 5.0.2-3/examples/Linear_cell_complex/basic_viewer.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/examples/Linear_cell_complex/basic_viewer.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/examples/Linear_cell_complex/basic_viewer.h $
-// $Id: basic_viewer.h b13e116 2019-10-19T17:00:08+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/examples/Linear_cell_complex/basic_viewer.h $
+// $Id: basic_viewer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -46,10 +46,10 @@ const char vertex_source_mono[] =
     "#version 120 \n"
     "attribute highp vec4 vertex;\n"
     "attribute highp vec3 normal;\n"
-    
+
     "uniform highp mat4 mvp_matrix;\n"
     "uniform highp mat4 mv_matrix; \n"
-    
+
     "varying highp vec4 fP; \n"
     "varying highp vec3 fN; \n"
     "void main(void)\n"
@@ -66,10 +66,10 @@ const char vertex_source_color[] =
     "attribute highp vec4 vertex;\n"
     "attribute highp vec3 normal;\n"
     "attribute highp vec3 color;\n"
-    
+
     "uniform highp mat4 mvp_matrix;\n"
     "uniform highp mat4 mv_matrix; \n"
-    
+
     "varying highp vec4 fP; \n"
     "varying highp vec3 fN; \n"
     "varying highp vec4 fColor; \n"
@@ -94,20 +94,20 @@ const char fragment_source_mono[] =
     "uniform highp vec4 light_spec; \n"
     "uniform highp vec4 light_amb;  \n"
     "uniform float spec_power ; \n"
-    
+
     "void main(void) { \n"
-    
+
     "   highp vec3 L = light_pos.xyz - fP.xyz; \n"
     "   highp vec3 V = -fP.xyz; \n"
-    
+
     "   highp vec3 N = normalize(fN); \n"
     "   L = normalize(L); \n"
     "   V = normalize(V); \n"
-    
+
     "   highp vec3 R = reflect(-L, N); \n"
     "   highp vec4 diffuse = max(dot(N,L), 0.0) * light_diff * color; \n"
     "   highp vec4 specular = pow(max(dot(R,V), 0.0), spec_power) * light_spec; \n"
-    
+
     "gl_FragColor = light_amb*color + diffuse  ; \n"
     "} \n"
     "\n"
@@ -124,20 +124,20 @@ const char fragment_source_color[] =
     "uniform highp vec4 light_spec; \n"
     "uniform highp vec4 light_amb;  \n"
     "uniform float spec_power ; \n"
-    
+
     "void main(void) { \n"
-    
+
     "   highp vec3 L = light_pos.xyz - fP.xyz; \n"
     "   highp vec3 V = -fP.xyz; \n"
-    
+
     "   highp vec3 N = normalize(fN); \n"
     "   L = normalize(L); \n"
     "   V = normalize(V); \n"
-    
+
     "   highp vec3 R = reflect(-L, N); \n"
     "   highp vec4 diffuse = max(dot(N,L), 0.0) * light_diff * fColor; \n"
     "   highp vec4 specular = pow(max(dot(R,V), 0.0), spec_power) * light_spec; \n"
-    
+
     "gl_FragColor = light_amb*fColor + diffuse  ; \n"
     "} \n"
     "\n"
@@ -232,7 +232,7 @@ public:
     m_inverse_normal(false),
     m_empty(true),
     m_size_points(7.),
-    m_size_edges(3.1),    
+    m_size_edges(3.1),
     m_vertices_mono_color(51, 51, 178),
     m_edges_mono_color(51, 51, 148),
     m_faces_mono_color(180, 125, 200),
@@ -266,12 +266,12 @@ public:
   void clear()
   {
     for (unsigned int i=0; i<LAST_INDEX; ++i)
-    { arrays[i].clear(); }    
+    { arrays[i].clear(); }
   }
 
   bool is_empty() const
   { return m_empty; }
-  
+
   void add_point(const Local_point& p, std::vector<float>& point_vector)
   {
     point_vector.push_back(p.x());
@@ -297,7 +297,7 @@ public:
     normal_vector.push_back(n.y());
     normal_vector.push_back(n.z());
   }
-  
+
   void add_mono_point(const Local_point& p)
   { add_point(p, arrays[POS_MONO_POINTS]); }
 
@@ -306,13 +306,13 @@ public:
     add_point(p, arrays[POS_COLORED_POINTS]);
     add_color(acolor, arrays[COLOR_POINTS]);
   }
-  
+
   void add_mono_segment(const Local_point& p1, const Local_point& p2)
   {
     add_point(p1, arrays[POS_MONO_SEGMENTS]);
     add_point(p2, arrays[POS_MONO_SEGMENTS]);
   }
-  
+
   void add_colored_segment(const Local_point& p1, const Local_point& p2,
                            const CGAL::Color& acolor)
   {
@@ -328,7 +328,7 @@ public:
       std::cerr<<"You cannot start a new face before to finish the previous one."<<std::endl;
       return;
     }
-    
+
     m_face_started=true;
   }
 
@@ -352,7 +352,7 @@ public:
   bool add_point_in_face(const Local_point& p)
   {
     if (!m_face_started) return false;
-    
+
     if (points_of_face.empty() || points_of_face.back()!=p)
     {
       points_of_face.push_back(p);
@@ -360,14 +360,14 @@ public:
     }
     return false;
   }
-  
+
   /// Add a point at the end of the current face
   /// @param p the point to add
   /// @p_normal the vertex normal in this point (for Gourod shading)
   void add_point_in_face(const Local_point& p, const Local_vector& p_normal)
   {
     if (!m_face_started) return;
-    
+
     if (add_point_in_face(p))
     {
       vertex_normals_for_face.push_back(p_normal);
@@ -381,14 +381,14 @@ public:
     {
       std::cout<<"PB: you try to triangulate a face with "<<points_of_face.size()<<" vertices."
                <<std::endl;
-      
+
       m_face_started=false;
       points_of_face.clear();
       vertex_normals_for_face.clear();
 
       return;
     }
-    
+
     Local_vector normal=compute_normal_of_face<Local_kernel>(points_of_face);
 
     if (points_of_face.size()==3) // Triangle: no need to triangulate
@@ -458,7 +458,7 @@ public:
           cdt.insert_constraint(previous, first);
 
         // (2) We mark all external triangles
-        // (2.1) We initialize is_external and is_process values 
+        // (2.1) We initialize is_external and is_process values
         for(typename CDT::All_faces_iterator fit = cdt.all_faces_begin(),
               fitend = cdt.all_faces_end(); fit!=fitend; ++fit)
         {
@@ -494,7 +494,7 @@ public:
 
         if ( face_internal!=NULL )
           face_queue.push(face_internal);
-        
+
         while(! face_queue.empty() )
         {
           typename CDT::Face_handle fh = face_queue.front();
@@ -531,7 +531,7 @@ public:
               // Its color
               if (m_started_face_is_colored)
               { add_color(color_of_face, arrays[COLOR_FACES]); }
-              
+
               // Its flat normal
               add_normal(normal, arrays[m_started_face_is_colored?
                                         FLAT_NORMAL_COLORED_FACES:
@@ -555,29 +555,29 @@ public:
     points_of_face.clear();
     vertex_normals_for_face.clear();
   }
-  
+
 protected:
-  
+
   void compile_shaders()
   {
     rendering_program_mono.removeAllShaders();
     rendering_program_color.removeAllShaders();
     /*rendering_program_p_l_mono.removeAllShaders();
       rendering_program_p_l_color.removeAllShaders(); */
-    
+
     // Create the buffers
     for (int i=0; i<NB_VBO_BUFFERS; ++i)
     {
       if(!buffers[i].isCreated() && !buffers[i].create())
       { std::cerr<<"VBO Creation number "<<i<<" FAILED"<<std::endl; }
     }
-    
+
     for (int i=0; i<NB_VAO_BUFFERS; ++i)
     {
       if(!vao[i].isCreated() && !vao[i].create())
       { std::cerr<<"VAO Creation number "<<i<<" FAILED"<<std::endl; }
     }
-    
+
     //The Facets
     QOpenGLShader *vertex_shader_mono = new QOpenGLShader(QOpenGLShader::Vertex);
     if(!vertex_shader_mono->compileSourceCode(vertex_source_mono))
@@ -589,7 +589,7 @@ protected:
     if(!rendering_program_mono.addShader(vertex_shader_mono))
     { std::cerr<<"adding vertex shader FAILED"<<std::endl; }
     if(!rendering_program_mono.addShader(fragment_shader_mono))
-    { std::cerr<<"adding fragment shader FAILED"<<std::endl; }    
+    { std::cerr<<"adding fragment shader FAILED"<<std::endl; }
     if(!rendering_program_mono.link())
     { std::cerr<<"linking Program FAILED"<<std::endl; }
     rendering_program_mono.bind();
@@ -615,7 +615,7 @@ protected:
     if(!rendering_program_color.addShader(vertex_shader_color))
     { std::cerr<<"adding vertex shader FAILED"<<std::endl; }
     if(!rendering_program_color.addShader(fragment_shader_color))
-    { std::cerr<<"adding fragment shader FAILED"<<std::endl; }    
+    { std::cerr<<"adding fragment shader FAILED"<<std::endl; }
     if(!rendering_program_color.link())
     { std::cerr<<"linking Program FAILED"<<std::endl; }
     rendering_program_color.bind();
@@ -654,11 +654,11 @@ protected:
     // 2.1) Mono segments
 
     // 2.2) Color segments
-    
+
     // 3) FACE SHADER
     assert(vaon<NB_VAO_BUFFERS);
     vao[vaon].bind();
-    
+
     // 3.1) Mono faces
 
     // 3.1.1) points of the mono faces
@@ -675,7 +675,7 @@ protected:
 
     buffers[bufn].release();
     ++bufn;
-    
+
     // 3.1.2) normals of the mono faces
     assert(bufn<NB_VBO_BUFFERS);
     buffers[bufn].bind();
@@ -696,7 +696,7 @@ protected:
     rendering_program_mono.enableAttributeArray(normalsLocation);
     rendering_program_mono.setAttributeBuffer(normalsLocation,GL_FLOAT,0,3);
     rendering_program_mono.release();
-    
+
     buffers[bufn].release();
     ++bufn;
 
@@ -706,8 +706,8 @@ protected:
     // 3.2) Color faces
     assert(vaon<NB_VAO_BUFFERS);
     vao[vaon].bind();
-  
-    // 3.2.1) points of the color faces    
+
+    // 3.2.1) points of the color faces
     assert(bufn<NB_VBO_BUFFERS);
     buffers[bufn].bind();
     buffers[bufn].allocate(arrays[POS_COLORED_FACES].data(),
@@ -717,10 +717,10 @@ protected:
     rendering_program_color.enableAttributeArray(vertexLocation[vaon]);
     rendering_program_color.setAttributeBuffer(vertexLocation[vaon],GL_FLOAT,0,3);
     rendering_program_color.release();
-      
+
     buffers[bufn].release();
     ++bufn;
-    
+
     // 3.2.2) normals of the color faces
     assert(bufn<NB_VBO_BUFFERS);
     buffers[bufn].bind();
@@ -741,10 +741,10 @@ protected:
     rendering_program_color.enableAttributeArray(normalsLocation);
     rendering_program_color.setAttributeBuffer(normalsLocation,GL_FLOAT,0,3);
     rendering_program_color.release();
-    
+
     buffers[bufn].release();
     ++bufn;
-    
+
     // 3.2.3) colors of the faces
     if (!m_use_mono_color)
     {
@@ -757,13 +757,13 @@ protected:
       rendering_program_color.enableAttributeArray(colorsLocation);
       rendering_program_color.setAttributeBuffer(colorsLocation,GL_FLOAT,0,3);
       rendering_program_color.release();
-      
+
       buffers[bufn].release();
       ++bufn;
     }
 
     vao[vaon].release();
-    ++vaon;    
+    ++vaon;
 
     m_are_buffers_initialized = true;
   }
@@ -936,7 +936,7 @@ protected:
       { arrays[k][i]=-arrays[k][i]; }
     }
   }
-  
+
   virtual void keyPressEvent(QKeyEvent *e)
   {
     const Qt::KeyboardModifiers modifiers = e->modifiers();
@@ -976,7 +976,7 @@ protected:
     {
       m_inverse_normal=!m_inverse_normal;
       negate_all_normals();
-      compile_shaders(); 
+      compile_shaders();
       initialize_buffers();
       displayMessage(QString("Inverse normal=%1.").arg(m_inverse_normal?"true":"false"));
       updateGL();
@@ -1127,7 +1127,7 @@ private:
   bool m_use_mono_color;
   bool m_inverse_normal;
   bool m_empty;
-  
+
   double m_size_points;
   double m_size_edges;
 
@@ -1138,7 +1138,7 @@ private:
 
   bool m_are_buffers_initialized;
   CGAL::Bbox_3 bb;
-  
+
   //Shaders elements
   int vertexLocation[NB_VAO_BUFFERS];
   int normalsLocation;
@@ -1148,7 +1148,7 @@ private:
   int colorLocation2;
   int lightLocation[5];
 
-  enum 
+  enum
     { POS_MONO_POINTS=0,
       POS_COLORED_POINTS,
       POS_MONO_SEGMENTS,
diff -pruN 5.0.2-3/examples/Linear_cell_complex/CMakeLists.txt 5.0.3-1/examples/Linear_cell_complex/CMakeLists.txt
--- 5.0.2-3/examples/Linear_cell_complex/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Linear_cell_complex/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -31,7 +31,7 @@ if (CGAL_FOUND)
   create_single_source_cgal_program("gmap_linear_cell_complex_3.cpp")
   create_single_source_cgal_program("linear_cell_complex_3.cpp")
   create_single_source_cgal_program("linear_cell_complex_3_attributes_management.cpp")
-  create_single_source_cgal_program("linear_cell_complex_3_operations.cpp")  
+  create_single_source_cgal_program("linear_cell_complex_3_operations.cpp")
   create_single_source_cgal_program("linear_cell_complex_3_with_colored_vertices.cpp")
   create_single_source_cgal_program("linear_cell_complex_3_with_mypoint.cpp")
   create_single_source_cgal_program("linear_cell_complex_4.cpp")
diff -pruN 5.0.2-3/examples/Linear_cell_complex/draw_linear_cell_complex.cpp 5.0.3-1/examples/Linear_cell_complex/draw_linear_cell_complex.cpp
--- 5.0.2-3/examples/Linear_cell_complex/draw_linear_cell_complex.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Linear_cell_complex/draw_linear_cell_complex.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -20,8 +20,8 @@ int main()
                         Point(10,0,4), Point(10,5,4));
 
   lcc.sew<3>(lcc.beta(dh1, 1, 1, 2), lcc.beta(dh2, 2));
-  
-  lcc.display_characteristics(std::cout)<<", valid=" 
+
+  lcc.display_characteristics(std::cout)<<", valid="
                                         <<lcc.is_valid()<<std::endl;
   CGAL::draw(lcc);
 
diff -pruN 5.0.2-3/examples/Linear_cell_complex/gmap_linear_cell_complex_3.cpp 5.0.3-1/examples/Linear_cell_complex/gmap_linear_cell_complex_3.cpp
--- 5.0.2-3/examples/Linear_cell_complex/gmap_linear_cell_complex_3.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Linear_cell_complex/gmap_linear_cell_complex_3.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -8,16 +8,16 @@ typedef LCC_3::Point
 typedef LCC_3::FT                         FT;
 
 // Functor used to display all the vertices of a given volume.
-template<class LCC> 
+template<class LCC>
 struct Display_vol_vertices : public CGAL::cpp98::unary_function<LCC, void>
 {
-  Display_vol_vertices(const LCC& alcc) : 
-    lcc(alcc), 
+  Display_vol_vertices(const LCC& alcc) :
+    lcc(alcc),
     nb_volume(0)
   {}
 
-  void operator() (typename LCC::Dart& d) 
-  { 
+  void operator() (typename LCC::Dart& d)
+  {
     std::cout<<"Volume "<<++nb_volume<<" : ";
     for (typename LCC::template One_dart_per_incident_cell_range<0,3>::
            const_iterator it=lcc.template one_dart_per_incident_cell<0,3>
@@ -40,7 +40,7 @@ int main()
   LCC_3 lcc;
 
   // Create two tetrahedra.
-  Dart_handle d1 = lcc.make_tetrahedron(Point(-1, 0, 0), Point(0, 2, 0), 
+  Dart_handle d1 = lcc.make_tetrahedron(Point(-1, 0, 0), Point(0, 2, 0),
                                         Point(1, 0, 0), Point(1, 1, 2));
   Dart_handle d2 = lcc.make_tetrahedron(Point(0, 2, -1),
                                         Point(-1, 0, -1),
@@ -51,9 +51,9 @@ int main()
   // Vertex_attribute container.
   CGAL::set_ascii_mode(std::cout);
   std::cout<<"Vertices: ";
-  for (LCC_3::Vertex_attribute_const_range::iterator 
+  for (LCC_3::Vertex_attribute_const_range::iterator
          v=lcc.vertex_attributes().begin(),
-         vend=lcc.vertex_attributes().end(); 
+         vend=lcc.vertex_attributes().end();
        v!=vend; ++v)
     std::cout << lcc.point_of_vertex_attribute(v) << "; ";
   std::cout<<std::endl;
@@ -61,7 +61,7 @@ int main()
   // Display the vertices of each volume by iterating on darts.
   std::for_each(lcc.one_dart_per_cell<3>().begin(),
                 lcc.one_dart_per_cell<3>().end(),
-                Display_vol_vertices<LCC_3>(lcc));  
+                Display_vol_vertices<LCC_3>(lcc));
 
   // 3-Sew the 2 tetrahedra along one facet
   lcc.sew<3>(d1, d2);
@@ -69,11 +69,11 @@ int main()
   // Display the vertices of each volume by iterating on darts.
   std::for_each(lcc.one_dart_per_cell<3>().begin(),
                 lcc.one_dart_per_cell<3>().end(),
-                Display_vol_vertices<LCC_3>(lcc));  
+                Display_vol_vertices<LCC_3>(lcc));
 
   // Translate the second tetrahedra by a given vector
   LCC_3::Vector v(3,1,1);
-  for (LCC_3::One_dart_per_incident_cell_range<0,3>::iterator 
+  for (LCC_3::One_dart_per_incident_cell_range<0,3>::iterator
          it=lcc.one_dart_per_incident_cell<0,3>(d2).begin(),
          itend=lcc.one_dart_per_incident_cell<0,3>(d2).end();
        it!=itend; ++it)
@@ -85,11 +85,11 @@ int main()
   // Display the vertices of each volume by iterating on darts.
   std::for_each(lcc.one_dart_per_cell<3>().begin(),
                 lcc.one_dart_per_cell<3>().end(),
-                Display_vol_vertices<LCC_3>(lcc));  
+                Display_vol_vertices<LCC_3>(lcc));
 
   // We display the lcc characteristics.
   std::cout<<"LCC characteristics: ";
-  lcc.display_characteristics(std::cout) << ", valid=" << lcc.is_valid() 
+  lcc.display_characteristics(std::cout) << ", valid=" << lcc.is_valid()
                                          << std::endl;
 
   return EXIT_SUCCESS;
diff -pruN 5.0.2-3/examples/Linear_cell_complex/linear_cell_complex_3.cpp 5.0.3-1/examples/Linear_cell_complex/linear_cell_complex_3.cpp
--- 5.0.2-3/examples/Linear_cell_complex/linear_cell_complex_3.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Linear_cell_complex/linear_cell_complex_3.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -7,16 +7,16 @@ typedef LCC_3::Dart_handle
 typedef LCC_3::Point                                       Point;
 
 // Functor used to display all the vertices of a given volume.
-template<class LCC> 
+template<class LCC>
 struct Display_vol_vertices : public CGAL::cpp98::unary_function<LCC, void>
 {
-  Display_vol_vertices(const LCC& alcc) : 
-    lcc(alcc), 
+  Display_vol_vertices(const LCC& alcc) :
+    lcc(alcc),
     nb_volume(0)
   {}
 
-  void operator() (typename LCC::Dart& d) 
-  { 
+  void operator() (typename LCC::Dart& d)
+  {
     std::cout<<"Volume "<<++nb_volume<<" : ";
     for (typename LCC::template One_dart_per_incident_cell_range<0,3>::
            const_iterator it=lcc.template one_dart_per_incident_cell<0,3>
@@ -39,20 +39,20 @@ int main()
   LCC_3 lcc;
 
   // Create two tetrahedra.
-  Dart_handle d1 = lcc.make_tetrahedron(Point(-1, 0, 0), Point(0, 2, 0), 
+  Dart_handle d1 = lcc.make_tetrahedron(Point(-1, 0, 0), Point(0, 2, 0),
                                         Point(1, 0, 0), Point(1, 1, 2));
   Dart_handle d2 = lcc.make_tetrahedron(Point(0, 2, -1),
                                         Point(-1, 0, -1),
                                         Point(1, 0, -1),
                                         Point(1, 1, -3));
 
-  // Display all the vertices of the lcc by iterating on the 
+  // Display all the vertices of the lcc by iterating on the
   // Vertex_attribute container.
   CGAL::set_ascii_mode(std::cout);
   std::cout<<"Vertices: ";
-  for (LCC_3::Vertex_attribute_const_range::iterator 
+  for (LCC_3::Vertex_attribute_const_range::iterator
          v=lcc.vertex_attributes().begin(),
-         vend=lcc.vertex_attributes().end(); 
+         vend=lcc.vertex_attributes().end();
        v!=vend; ++v)
     std::cout << lcc.point_of_vertex_attribute(v) << "; ";
   std::cout<<std::endl;
@@ -60,7 +60,7 @@ int main()
   // Display the vertices of each volume by iterating on darts.
   std::for_each(lcc.one_dart_per_cell<3>().begin(),
                 lcc.one_dart_per_cell<3>().end(),
-                Display_vol_vertices<LCC_3>(lcc));  
+                Display_vol_vertices<LCC_3>(lcc));
 
   // 3-Sew the 2 tetrahedra along one facet
   lcc.sew<3>(d1, d2);
@@ -68,11 +68,11 @@ int main()
   // Display the vertices of each volume by iterating on darts.
   std::for_each(lcc.one_dart_per_cell<3>().begin(),
                 lcc.one_dart_per_cell<3>().end(),
-                Display_vol_vertices<LCC_3>(lcc));  
+                Display_vol_vertices<LCC_3>(lcc));
 
   // Translate the second tetrahedra by a given vector
   LCC_3::Vector v(3,1,1);
-  for (LCC_3::One_dart_per_incident_cell_range<0,3>::iterator 
+  for (LCC_3::One_dart_per_incident_cell_range<0,3>::iterator
          it=lcc.one_dart_per_incident_cell<0,3>(d2).begin(),
          itend=lcc.one_dart_per_incident_cell<0,3>(d2).end();
        it!=itend; ++it)
@@ -84,11 +84,11 @@ int main()
   // Display the vertices of each volume by iterating on darts.
   std::for_each(lcc.one_dart_per_cell<3>().begin(),
                 lcc.one_dart_per_cell<3>().end(),
-                Display_vol_vertices<LCC_3>(lcc));  
+                Display_vol_vertices<LCC_3>(lcc));
 
   // We display the lcc characteristics.
   std::cout<<"LCC characteristics: ";
-  lcc.display_characteristics(std::cout) << ", valid=" << lcc.is_valid() 
+  lcc.display_characteristics(std::cout) << ", valid=" << lcc.is_valid()
                                          << std::endl;
 
   return EXIT_SUCCESS;
diff -pruN 5.0.2-3/examples/Linear_cell_complex/linear_cell_complex_3_operations.cpp 5.0.3-1/examples/Linear_cell_complex/linear_cell_complex_3_operations.cpp
--- 5.0.2-3/examples/Linear_cell_complex/linear_cell_complex_3_operations.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Linear_cell_complex/linear_cell_complex_3_operations.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -24,9 +24,9 @@ void run_test()
 {
   typedef typename LCC::Point Point;
   typedef typename LCC::Dart_handle Dart_handle;
-  
+
   LCC lcc;
-  
+
   Dart_handle dh1 = lcc.
     make_hexahedron(Point(0,0,0),Point(1,0,0),
                     Point(1,2,0),Point(0,2,0),
@@ -42,7 +42,7 @@ void run_test()
                     Point(0,2,5),Point(1,2,6),
                     Point(1,3,8),Point(0,0,8),
                     Point(5,0,9),Point(7,3,9));
-  
+
   lcc.template sew<3>(dh1,lcc.other_orientation
                       (lcc.template opposite<2>
                        (lcc.next(lcc.next(lcc.template opposite<2>(dh2))))));
@@ -63,14 +63,14 @@ void run_test()
   path.push_back(lcc.next(lcc.template opposite<2>(dh2)));
   lcc.insert_cell_2_in_cell_3(path.begin(),path.end());
 
-  lcc.display_characteristics(std::cout) << ", valid=" 
-                                         << lcc.is_valid() << std::endl;  
+  lcc.display_characteristics(std::cout) << ", valid="
+                                         << lcc.is_valid() << std::endl;
 }
 
 int main()
 {
   run_test<LCC_3_cmap>();
   run_test<LCC_3_gmap>();
-  
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Linear_cell_complex/linear_cell_complex_3_with_colored_vertices.cpp 5.0.3-1/examples/Linear_cell_complex/linear_cell_complex_3_with_colored_vertices.cpp
--- 5.0.2-3/examples/Linear_cell_complex/linear_cell_complex_3_with_colored_vertices.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Linear_cell_complex/linear_cell_complex_3_with_colored_vertices.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -14,10 +14,10 @@ struct Myitem
   template<class Refs>
   struct Dart_wrapper
   {
-    typedef CGAL::Cell_attribute_with_point< Refs, int, CGAL::Tag_true, 
+    typedef CGAL::Cell_attribute_with_point< Refs, int, CGAL::Tag_true,
                                              Average_functor >
     Vertex_attribute;
-    
+
     typedef std::tuple<Vertex_attribute> Attributes;
   };
 };
@@ -51,23 +51,23 @@ Dart_handle make_iso_cuboid(LCC_3& lcc,
 int main()
 {
   LCC_3 lcc;
-  
+
   // Create two iso_cuboids.
   Dart_handle d1 = make_iso_cuboid(lcc, Point(-2, 0, 0), 1);
   Dart_handle d2 = make_iso_cuboid(lcc, Point(0, 0, 0), 1);
 
   // Set the "color" of all vertices of the first cube to 1.
-  for (LCC_3::One_dart_per_incident_cell_range<0, 3>::iterator 
-         it=lcc.one_dart_per_incident_cell<0,3>(d1).begin(), 
+  for (LCC_3::One_dart_per_incident_cell_range<0, 3>::iterator
+         it=lcc.one_dart_per_incident_cell<0,3>(d1).begin(),
          itend=lcc.one_dart_per_incident_cell<0,3>(d1).end(); it!=itend; ++it)
   { lcc.info<0>(it)=1; }
-  
+
   // Set the "color" of all vertices of the second cube to 19.
   for (LCC_3::One_dart_per_incident_cell_range<0, 3>::iterator it=
          lcc.one_dart_per_incident_cell<0,3>(d2).begin(),
          itend=lcc.one_dart_per_incident_cell<0,3>(d2).end(); it!=itend; ++it)
   { lcc.info<0>(it)=19; }
-  
+
   // 3-Sew the two cubes along one facet.
   lcc.sew<3>(lcc.beta(d1, 1, 1, 2), lcc.beta(d2, 2));
 
@@ -76,11 +76,11 @@ int main()
 
   // Set the color of the new vertex to 5.
   lcc.info<0>(d3)=5;
-  
+
   // Display all the vertices of the map.
-  for (LCC_3::Vertex_attribute_range::iterator 
+  for (LCC_3::Vertex_attribute_range::iterator
          it=lcc.vertex_attributes().begin(),
-         itend=lcc.vertex_attributes().end(); 
+         itend=lcc.vertex_attributes().end();
        it!=itend; ++it)
   {
     std::cout<<"point: "<<lcc.point_of_vertex_attribute(it)<<", "<<"color: "
diff -pruN 5.0.2-3/examples/Linear_cell_complex/linear_cell_complex_3_with_mypoint.cpp 5.0.3-1/examples/Linear_cell_complex/linear_cell_complex_3_with_mypoint.cpp
--- 5.0.2-3/examples/Linear_cell_complex/linear_cell_complex_3_with_mypoint.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Linear_cell_complex/linear_cell_complex_3_with_mypoint.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -6,14 +6,14 @@ template<typename K>
 struct mypoint : public K::Point_3
 {
   typedef typename K::Point_3 Base;
-  
+
   mypoint() : mtype('a')
   {}
 
   mypoint(const Base& apoint) : Base(apoint),
                                 mtype('b')
   {}
-  
+
   mypoint(const mypoint& apoint) : Base(apoint),
                                    mtype('c')
   {}
@@ -24,7 +24,7 @@ struct mypoint : public K::Point_3
 
   char type() const
   { return mtype; }
-  
+
 private:
   char mtype;
 };
@@ -64,7 +64,7 @@ Dart_handle make_iso_cuboid(LCC_3& lcc,
 int main()
 {
   LCC_3 lcc;
-  
+
   // Create two iso_cuboids.
   Dart_handle d1 = make_iso_cuboid(lcc, Point(-2, 0, 0), 1);
   Dart_handle d2 = make_iso_cuboid(lcc, Point(0, 0, 0), 1);
@@ -76,9 +76,9 @@ int main()
   lcc.insert_barycenter_in_cell<2>(lcc.beta(d2, 2));
 
   // Display all the vertices of the map.
-  for (LCC_3::Vertex_attribute_range::iterator 
+  for (LCC_3::Vertex_attribute_range::iterator
          it=lcc.vertex_attributes().begin(),
-         itend=lcc.vertex_attributes().end(); 
+         itend=lcc.vertex_attributes().end();
        it!=itend; ++it)
   {
     std::cout<<"point: "<<lcc.point_of_vertex_attribute(it)
diff -pruN 5.0.2-3/examples/Linear_cell_complex/linear_cell_complex_4.cpp 5.0.3-1/examples/Linear_cell_complex/linear_cell_complex_4.cpp
--- 5.0.2-3/examples/Linear_cell_complex/linear_cell_complex_4.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Linear_cell_complex/linear_cell_complex_4.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -11,7 +11,7 @@ typedef LCC_4::FT
 int main()
 {
   LCC_4 lcc;
-  
+
   // Create two tetrahedra.
   FT p1[5]={ 0, 0, 0, 0, 0}; std::vector<FT> v1(p1,p1+5);
   FT p2[5]={ 0, 2, 0, 0, 0}; std::vector<FT> v2(p2,p2+5);
@@ -21,12 +21,12 @@ int main()
   FT p6[5]={-1, 2, 0, 0, 0}; std::vector<FT> v6(p6,p6+5);
   FT p7[5]={-1, 1, 2, 0, 0}; std::vector<FT> v7(p7,p7+5);
   FT p8[5]={-3, 1, 2, 0, 0}; std::vector<FT> v8(p8,p8+5);
-  
+
   Dart_handle d1 = lcc.make_tetrahedron(Point(5, v1.begin(), v1.end()),
                                         Point(5, v2.begin(), v2.end()),
                                         Point(5, v3.begin(), v3.end()),
-                                        Point(5, v4.begin(), v4.end()));  
-  
+                                        Point(5, v4.begin(), v4.end()));
+
   Dart_handle d2 = lcc.make_tetrahedron(Point(5, v5.begin(), v5.end()),
                                         Point(5, v6.begin(), v6.end()),
                                         Point(5, v7.begin(), v7.end()),
@@ -36,7 +36,7 @@ int main()
   std::cout<<", valid="<<lcc.is_valid()<<std::endl;
 
   lcc.sew<4>(d1,d2);
-  
+
   lcc.display_characteristics(std::cout);
   std::cout<<", valid="<<lcc.is_valid()<<std::endl;
 
@@ -50,7 +50,7 @@ int main()
   // Add one edge to cut the face containing dart d3 in two.
   Dart_handle d4 = lcc.insert_cell_1_in_cell_2(d3, lcc.alpha(d1, 1, 0, 1));
   CGAL_assertion( lcc.is_valid() );
-  
+
   lcc.display_characteristics(std::cout);
   std::cout<<", valid="<<lcc.is_valid()<<std::endl;
 
diff -pruN 5.0.2-3/examples/Linear_cell_complex/plane_graph_to_lcc_2.cpp 5.0.3-1/examples/Linear_cell_complex/plane_graph_to_lcc_2.cpp
--- 5.0.2-3/examples/Linear_cell_complex/plane_graph_to_lcc_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Linear_cell_complex/plane_graph_to_lcc_2.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -37,18 +37,18 @@ int main(int narg, char** argv)
   }
   else
     filename=std::string(argv[1]);
-  
+
   LCC_2 lcc;
 
   std::ifstream is(filename.c_str());
   std::cout<<"Import plane graph from "<<filename<<std::endl;
   CGAL::import_from_plane_graph(lcc, is);
-  
+
   // Display the lcc characteristics.
   std::cout<<"LCC characteristics:"<<std::endl<<"  ";
-  lcc.display_characteristics(std::cout) 
+  lcc.display_characteristics(std::cout)
     << ", valid=" << lcc.is_valid() << std::endl;
-  
+
   return EXIT_SUCCESS;
 }
 
diff -pruN 5.0.2-3/examples/Linear_cell_complex/voronoi_2.cpp 5.0.3-1/examples/Linear_cell_complex/voronoi_2.cpp
--- 5.0.2-3/examples/Linear_cell_complex/voronoi_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Linear_cell_complex/voronoi_2.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -20,7 +20,7 @@ void display_voronoi(LCC_2& alcc, Dart_h
 {
   // We remove the infinite face plus all the faces adjacent to it.
   // Indeed, we cannot view these faces since they do not have
-  // a "correct geometry". 
+  // a "correct geometry".
   std::stack<Dart_handle> toremove;
   LCC_2::size_type mark_toremove=alcc.get_new_mark();
 
@@ -37,9 +37,9 @@ void display_voronoi(LCC_2& alcc, Dart_h
     {
       CGAL::mark_cell<LCC_2,2>(alcc, alcc.opposite<2>(it), mark_toremove);
       toremove.push(alcc.opposite<2>(it));
-    }   
+    }
   }
-  
+
   while( !toremove.empty() )
   {
     alcc.remove_cell<2>(toremove.top());
@@ -47,9 +47,9 @@ void display_voronoi(LCC_2& alcc, Dart_h
   }
 
   CGAL_assertion(alcc.is_without_boundary(1));
-    
+
   std::cout<<"Voronoi subdvision, only finite faces:"<<std::endl<<"  ";
-  alcc.display_characteristics(std::cout) << ", valid=" 
+  alcc.display_characteristics(std::cout) << ", valid="
                                           << alcc.is_valid()
                                           << std::endl;
 }
@@ -63,7 +63,7 @@ void transform_dart_to_their_dual(LCC& a
   typename LCC::Dart_range::iterator it2=adual.darts().begin();
 
   std::map<typename LCC::Dart_handle, typename LCC::Dart_handle> dual;
-  
+
   for ( ; it1!=alcc.darts().end(); ++it1, ++it2 )
   {
     dual[it1]=it2;
@@ -73,7 +73,7 @@ void transform_dart_to_their_dual(LCC& a
           ::iterator it=assoc.begin(), itend=assoc.end(); it!=itend; ++it)
   {
     assoc[it->first]=dual[it->second];
-  } 
+  }
 }
 
 template<typename LCC, typename TR>
@@ -96,7 +96,7 @@ int main(int narg, char** argv)
 {
   if (narg>1 && (!strcmp(argv[1],"-h") || !strcmp(argv[1],"-?")) )
   {
-    std::cout<<"Usage : voronoi_2 filename"<<std::endl   
+    std::cout<<"Usage : voronoi_2 filename"<<std::endl
              <<"   filename being a fine containing 2D points used to "
              <<" compute the Delaunay_triangulation_2."<<std::endl;
     return EXIT_FAILURE;
@@ -110,7 +110,7 @@ int main(int narg, char** argv)
   }
   else
     filename=std::string(argv[1]);
-  
+
   // 1) Compute the Delaunay_triangulation_2.
   Triangulation T;
 
@@ -120,22 +120,22 @@ int main(int narg, char** argv)
     std::cout << "Problem reading file " << filename << std::endl;
     return EXIT_FAILURE;
   }
-  
+
   std::istream_iterator<Point> begin(iFile), end;
   T.insert(begin, end);
   CGAL_assertion(T.is_valid(false));
- 
+
   // 2) Convert the triangulation into a 2D lcc.
   LCC_2 lcc;
   std::map<Triangulation::Face_handle,
            LCC_2::Dart_handle > face_to_dart;
-  
+
   Dart_handle dh=CGAL::import_from_triangulation_2<LCC_2, Triangulation>
     (lcc, T, &face_to_dart);
   CGAL_assertion(lcc.is_without_boundary());
 
   std::cout<<"Delaunay triangulation :"<<std::endl<<"  ";
-  lcc.display_characteristics(std::cout) << ", valid=" 
+  lcc.display_characteristics(std::cout) << ", valid="
                                          << lcc.is_valid() << std::endl;
 
   // 3) Compute the dual lcc.
@@ -149,10 +149,10 @@ int main(int narg, char** argv)
   transform_dart_to_their_dual<LCC_2,Triangulation>
     (lcc, dual_lcc, face_to_dart);
   set_geometry_of_dual<LCC_2,Triangulation>(dual_lcc, T, face_to_dart);
-  
+
   // 5) Display the dual_lcc characteristics.
   std::cout<<"Voronoi subdvision :"<<std::endl<<"  ";
-  dual_lcc.display_characteristics(std::cout) << ", valid=" 
+  dual_lcc.display_characteristics(std::cout) << ", valid="
                                               << dual_lcc.is_valid()
                                               << std::endl;
 
diff -pruN 5.0.2-3/examples/Linear_cell_complex/voronoi_3.cpp 5.0.3-1/examples/Linear_cell_complex/voronoi_3.cpp
--- 5.0.2-3/examples/Linear_cell_complex/voronoi_3.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Linear_cell_complex/voronoi_3.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -22,14 +22,14 @@ void display_voronoi(LCC_3& alcc, Dart_h
 {
   // We remove the infinite volume plus all the volumes adjacent to it.
   // Indeed, we cannot view these volumes since they do not have
-  // a "correct geometry". 
+  // a "correct geometry".
   std::stack<Dart_handle> toremove;
   LCC_3::size_type mark_toremove=alcc.get_new_mark();
 
   // adart belongs to the infinite volume.
   toremove.push(adart);
   CGAL::mark_cell<LCC_3,3>(alcc, adart, mark_toremove);
- 
+
   // Now we get all the volumes adjacent to the infinite volume.
   for (LCC_3::Dart_of_cell_range<3>::iterator
          it=alcc.darts_of_cell<3>(adart).begin(),
@@ -41,7 +41,7 @@ void display_voronoi(LCC_3& alcc, Dart_h
       toremove.push(alcc.beta(it,3));
     }
   }
-  
+
   while( !toremove.empty() )
   {
     alcc.remove_cell<3>(toremove.top());
@@ -49,9 +49,9 @@ void display_voronoi(LCC_3& alcc, Dart_h
   }
 
   CGAL_assertion(alcc.is_without_boundary(1) && alcc.is_without_boundary(2));
-  
+
   std::cout<<"Voronoi subdvision, only finite volumes:"<<std::endl<<"  ";
-  alcc.display_characteristics(std::cout) << ", valid=" 
+  alcc.display_characteristics(std::cout) << ", valid="
                                           << alcc.is_valid()
                                           << std::endl;
 }
@@ -65,7 +65,7 @@ void transform_dart_to_their_dual(LCC& a
   typename LCC::Dart_range::iterator it2=adual.darts().begin();
 
   std::map<typename LCC::Dart_handle, typename LCC::Dart_handle> dual;
-  
+
   for ( ; it1!=alcc.darts().end(); ++it1, ++it2 )
   {
     dual[it1]=it2;
@@ -99,7 +99,7 @@ int main(int narg, char** argv)
 {
   if (narg>1 && (!strcmp(argv[1],"-h") || !strcmp(argv[1],"-?")) )
   {
-    std::cout<<"Usage : voronoi_3 filename"<<std::endl   
+    std::cout<<"Usage : voronoi_3 filename"<<std::endl
              <<"   filename being a fine containing 3D points used to "
              <<" compute the Delaunay_triangulation_3."<<std::endl;
     return EXIT_FAILURE;
@@ -113,7 +113,7 @@ int main(int narg, char** argv)
   }
   else
     filename=std::string(argv[1]);
-  
+
   // 1) Compute the Delaunay_triangulation_3.
   Triangulation T;
 
@@ -123,11 +123,11 @@ int main(int narg, char** argv)
     std::cout << "Problem reading file " << filename << std::endl;
     return EXIT_FAILURE;
   }
-  
+
   std::istream_iterator<Point> begin(iFile), end;
   T.insert(begin, end);
   CGAL_assertion(T.is_valid(false));
- 
+
   // 2) Convert the triangulation into a 3D lcc.
   LCC_3 lcc;
   std::map<Triangulation::Cell_handle,
@@ -137,7 +137,7 @@ int main(int narg, char** argv)
     (lcc, T, &vol_to_dart);
 
   std::cout<<"Delaunay triangulation :"<<std::endl<<"  ";
-  lcc.display_characteristics(std::cout) << ", valid=" 
+  lcc.display_characteristics(std::cout) << ", valid="
                                          << lcc.is_valid() << std::endl;
 
   // 3) Compute the dual lcc.
@@ -151,10 +151,10 @@ int main(int narg, char** argv)
   transform_dart_to_their_dual<LCC_3,Triangulation>
     (lcc, dual_lcc, vol_to_dart);
   set_geometry_of_dual<LCC_3,Triangulation>(dual_lcc, T, vol_to_dart);
-  
+
   // 5) Display the dual_lcc characteristics.
   std::cout<<"Voronoi subdvision :"<<std::endl<<"  ";
-  dual_lcc.display_characteristics(std::cout) << ", valid=" 
+  dual_lcc.display_characteristics(std::cout) << ", valid="
                                               << dual_lcc.is_valid()
                                               << std::endl;
   display_voronoi(dual_lcc, ddh);
diff -pruN 5.0.2-3/examples/Matrix_search/CMakeLists.txt 5.0.3-1/examples/Matrix_search/CMakeLists.txt
--- 5.0.2-3/examples/Matrix_search/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Matrix_search/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Mesh_2/CMakeLists.txt 5.0.3-1/examples/Mesh_2/CMakeLists.txt
--- 5.0.2-3/examples/Mesh_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_2/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -13,7 +13,7 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
diff -pruN 5.0.2-3/examples/Mesh_2/mesh_optimization.cpp 5.0.3-1/examples/Mesh_2/mesh_optimization.cpp
--- 5.0.2-3/examples/Mesh_2/mesh_optimization.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_2/mesh_optimization.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -47,7 +47,7 @@ int main()
   Mesher mesher(cdt);
   mesher.set_criteria(Criteria(0.125, 0.05));
   mesher.refine_mesh();
-  
+
   std::cout << "Number of vertices: " << cdt.number_of_vertices() << std::endl;
 
   std::cout << "Run Lloyd optimization...";
diff -pruN 5.0.2-3/examples/Mesh_2/mesh_with_seeds.cpp 5.0.3-1/examples/Mesh_2/mesh_with_seeds.cpp
--- 5.0.2-3/examples/Mesh_2/mesh_with_seeds.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_2/mesh_with_seeds.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -53,7 +53,7 @@ int main()
   std::cout << "Number of finite faces: " << cdt.number_of_faces() << std::endl;
   int mesh_faces_counter = 0;
   for(CDT::Finite_faces_iterator fit = cdt.finite_faces_begin();
-      fit != cdt.finite_faces_end(); ++fit) 
+      fit != cdt.finite_faces_end(); ++fit)
   {
     if(fit->is_in_domain()) ++mesh_faces_counter;
   }
diff -pruN 5.0.2-3/examples/Mesh_3/CMakeLists.txt 5.0.3-1/examples/Mesh_3/CMakeLists.txt
--- 5.0.2-3/examples/Mesh_3/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -29,7 +29,7 @@ if ( CGAL_FOUND )
   option(CGAL_ACTIVATE_CONCURRENT_MESH_3
     "Activate parallelism in Mesh_3"
     OFF)
-    
+
   # And add -DCGAL_CONCURRENT_MESH_3 if that option is ON
   if( CGAL_ACTIVATE_CONCURRENT_MESH_3 OR ENV{CGAL_ACTIVATE_CONCURRENT_MESH_3} )
     add_definitions( -DCGAL_CONCURRENT_MESH_3 )
@@ -42,7 +42,7 @@ if ( CGAL_FOUND )
       find_package( TBB )
     endif( LINK_WITH_TBB )
   endif()
-  
+
   # Use Eigen
   find_package(Eigen3 3.1.0 REQUIRED) #(3.1.0 or greater)
   if (NOT EIGEN3_FOUND)
@@ -51,7 +51,7 @@ if ( CGAL_FOUND )
   else()
     include( ${EIGEN3_USE_FILE} )
   endif()
-  
+
   find_package(VTK QUIET COMPONENTS vtkImagingGeneral vtkIOImage NO_MODULE)
   if(VTK_FOUND)
     if(VTK_USE_FILE)
@@ -96,7 +96,7 @@ if ( CGAL_FOUND )
         cgal_add_test( mesh_3D_gray_vtk_image )
         add_to_cached_list( CGAL_EXECUTABLE_TARGETS mesh_3D_gray_vtk_image )
       endif()
- 
+
       create_single_source_cgal_program( "mesh_3D_gray_image.cpp" )
       create_single_source_cgal_program( "mesh_3D_gray_image_multiple_values.cpp" )
       create_single_source_cgal_program( "mesh_3D_image_with_features.cpp" )
@@ -119,28 +119,30 @@ if ( CGAL_FOUND )
 #    create_single_source_cgal_program( "mesh_polyhedral_surface_tolerance_region.cpp" )
 #    create_single_source_cgal_program( "mesh_polyhedral_edge_tolerance_region.cpp" )
 
-    if(CGAL_ACTIVATE_CONCURRENT_MESH_3 AND TBB_FOUND AND TARGET ${target})
+    if(CGAL_ACTIVATE_CONCURRENT_MESH_3 AND TBB_FOUND)
       foreach(target
-        mesh_3D_image_with_features
         mesh_3D_image
-        mesh_polyhedral_domain
+        mesh_3D_image_variable_size
         mesh_3D_image_with_custom_initialization
-        mesh_two_implicit_spheres_with_balls
-        mesh_optimization_lloyd_example
-        mesh_optimization_example
+        mesh_3D_image_with_features
         mesh_implicit_sphere
-        mesh_polyhedral_complex_sm
         mesh_implicit_sphere_variable_size
-        mesh_polyhedral_domain_sm
-        mesh_polyhedral_domain_with_lipschitz_sizing
+        mesh_optimization_example
+        mesh_optimization_lloyd_example
         mesh_polyhedral_complex
+        mesh_polyhedral_complex_sm
+        mesh_polyhedral_domain
+        mesh_polyhedral_domain_sm
         mesh_polyhedral_domain_with_features
-        mesh_3D_image_variable_size)
-        CGAL_target_use_TBB(${target})
+        mesh_polyhedral_domain_with_features_sm
+        mesh_polyhedral_domain_with_lipschitz_sizing
+        mesh_two_implicit_spheres_with_balls)
+        if(TARGET ${target})
+          CGAL_target_use_TBB(${target})
+        endif()
       endforeach()
     endif()
 
 else()
   message(STATUS "This program requires the CGAL library, and will not be compiled.")
 endif()
-
diff -pruN 5.0.2-3/examples/Mesh_3/mesh_3D_gray_vtk_image.cpp 5.0.3-1/examples/Mesh_3/mesh_3D_gray_vtk_image.cpp
--- 5.0.2-3/examples/Mesh_3/mesh_3D_gray_vtk_image.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/mesh_3D_gray_vtk_image.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -55,24 +55,24 @@ int main(int argc, char* argv[])
   double fs = (argc>3)? boost::lexical_cast<double>(argv[3]): 1;
   double fd = (argc>4)? boost::lexical_cast<double>(argv[4]): 0.1;
   double cs = (argc>5)? boost::lexical_cast<double>(argv[5]): 1;
-  
+
   vtkDICOMImageReader*dicom_reader = vtkDICOMImageReader::New();
   dicom_reader->SetDirectoryName(argv[1]);
-  
+
   vtkDemandDrivenPipeline*executive =
     vtkDemandDrivenPipeline::SafeDownCast(dicom_reader->GetExecutive());
   if (executive)
     {
       executive->SetReleaseDataFlag(0, 0); // where 0 is the port index
     }
-  
+
   vtkImageGaussianSmooth* smoother = vtkImageGaussianSmooth::New();
   smoother->SetStandardDeviations(1., 1., 1.);
   smoother->SetInputConnection(dicom_reader->GetOutputPort());
   smoother->Update();
   vtkImageData* vtk_image = smoother->GetOutput();
   vtk_image->Print(std::cerr);
-  
+
   CGAL::Image_3 image = CGAL::read_vtk_image_data(vtk_image);
   if(image.image() == 0){
     std::cerr << "could not create a CGAL::Image_3 from the vtk image\n";
@@ -91,13 +91,13 @@ int main(int argc, char* argv[])
   // Mesh criteria
   Mesh_criteria criteria(facet_angle=30, facet_size=fs, facet_distance=fd,
                          cell_radius_edge_ratio=3, cell_size=cs);
-  
+
   // Meshing
   C3t3 c3t3 = CGAL::make_mesh_3<C3t3>(domain, criteria);
-  
+
   // Output
   std::ofstream medit_file("out.mesh");
   c3t3.output_to_medit(medit_file);
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Mesh_3/mesh_3D_image_variable_size.cpp 5.0.3-1/examples/Mesh_3/mesh_3D_image_variable_size.cpp
--- 5.0.2-3/examples/Mesh_3/mesh_3D_image_variable_size.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/mesh_3D_image_variable_size.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -51,9 +51,9 @@ int main(int argc, char* argv[])
   double kidney_size = 3.;
   int volume_dimension = 3;
   Sizing_field size(8);
-  size.set_size(kidney_size, volume_dimension, 
+  size.set_size(kidney_size, volume_dimension,
                 domain.index_from_subdomain_index(127));
-  
+
   // Mesh criteria
   Mesh_criteria criteria(facet_angle=30, facet_size=6, facet_distance=2,
                          cell_radius_edge_ratio=3, cell_size=size);
diff -pruN 5.0.2-3/examples/Mesh_3/mesh_cubes_intersection.cpp 5.0.3-1/examples/Mesh_3/mesh_cubes_intersection.cpp
--- 5.0.2-3/examples/Mesh_3/mesh_cubes_intersection.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/mesh_cubes_intersection.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -85,10 +85,10 @@ int main()
 
   // Perturbation (maximum cpu time: 10s, targeted dihedral angle: default)
   CGAL::perturb_mesh_3(c3t3, domain, time_limit = 10);
-  
+
   // Exudation
   CGAL::exude_mesh_3(c3t3,12);
-  
+
   // Output
   std::ofstream medit_file("out_cubes_intersection.mesh");
   CGAL::output_to_medit(medit_file, c3t3);
diff -pruN 5.0.2-3/examples/Mesh_3/mesh_cubes_intersection_with_features.cpp 5.0.3-1/examples/Mesh_3/mesh_cubes_intersection_with_features.cpp
--- 5.0.2-3/examples/Mesh_3/mesh_cubes_intersection_with_features.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/mesh_cubes_intersection_with_features.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -172,10 +172,10 @@ int main()
 
   // Perturbation (maximum cpu time: 10s, targeted dihedral angle: default)
   CGAL::perturb_mesh_3(c3t3, domain, time_limit = 10);
-  
+
   // Exudation
   CGAL::exude_mesh_3(c3t3,12);
-  
+
   // Output
   std::ofstream medit_file("out_cubes_intersection_with_features.mesh");
   CGAL::output_to_medit(medit_file, c3t3);
diff -pruN 5.0.2-3/examples/Mesh_3/mesh_hybrid_mesh_domain.cpp 5.0.3-1/examples/Mesh_3/mesh_hybrid_mesh_domain.cpp
--- 5.0.2-3/examples/Mesh_3/mesh_hybrid_mesh_domain.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/mesh_hybrid_mesh_domain.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -186,7 +186,7 @@ FT sphere_centered_at_111 (const Point&
   const FT dx=p.x()-1;
   const FT dy=p.y()-1;
   const FT dz=p.z()-1;
-  
+
   return dx*dx+dy*dy+dz*dz-1;
 }
 
@@ -237,11 +237,11 @@ int main()
   Facet_criteria facet_criteria(30, 0.08, 0.025); // angle, size, approximation
   Cell_criteria cell_criteria(2, 0.1); // radius-edge ratio, size
   Mesh_criteria criteria(edge_criteria, facet_criteria, cell_criteria);
-  
+
   // Mesh generation (without optimization)
   C3t3 c3t3 = CGAL::make_mesh_3<C3t3>(domain, criteria,
                                       no_perturb(), no_exude());
-  
+
   // Output
   dump_c3t3(c3t3, "out");
 
diff -pruN 5.0.2-3/examples/Mesh_3/mesh_implicit_domains_2.cpp 5.0.3-1/examples/Mesh_3/mesh_implicit_domains_2.cpp
--- 5.0.2-3/examples/Mesh_3/mesh_implicit_domains_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/mesh_implicit_domains_2.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -63,10 +63,10 @@ int main()
 
   // Perturbation (maximum cpu time: 10s, targeted dihedral angle: default)
   CGAL::perturb_mesh_3(c3t3, domain, time_limit = 10);
-  
+
   // Exudation
   CGAL::exude_mesh_3(c3t3,12);
-  
+
   // Output
   std::ofstream medit_file("out.mesh");
   CGAL::output_to_medit(medit_file, c3t3);
diff -pruN 5.0.2-3/examples/Mesh_3/mesh_implicit_domains.cpp 5.0.3-1/examples/Mesh_3/mesh_implicit_domains.cpp
--- 5.0.2-3/examples/Mesh_3/mesh_implicit_domains.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/mesh_implicit_domains.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -55,10 +55,10 @@ int main()
 
   // Perturbation (maximum cpu time: 10s, targeted dihedral angle: default)
   CGAL::perturb_mesh_3(c3t3, domain, time_limit = 10);
-  
+
   // Exudation
   CGAL::exude_mesh_3(c3t3,12);
-  
+
   // Output
   std::ofstream medit_file("out.mesh");
   CGAL::output_to_medit(medit_file, c3t3);
diff -pruN 5.0.2-3/examples/Mesh_3/mesh_implicit_ellipsoid.cpp 5.0.3-1/examples/Mesh_3/mesh_implicit_ellipsoid.cpp
--- 5.0.2-3/examples/Mesh_3/mesh_implicit_ellipsoid.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/mesh_implicit_ellipsoid.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -31,7 +31,7 @@ FT ellipsoid_function (const Point& p)
   const FT x2=p.x()*p.x();
   const FT y2=p.y()*p.y();
   const FT z2=p.z()*p.z();
-  
+
   return x2+2*y2+4*z2-1;
 }
 
@@ -44,30 +44,30 @@ int main()
   Mesh_domain domain =
     Mesh_domain::create_implicit_mesh_domain(ellipsoid_function,
                                              K::Sphere_3(CGAL::ORIGIN, 2.));
-  
+
   // Criteria
   Facet_criteria facet_criteria(30, 0.08, 0.025); // angle, size, approximation
   Cell_criteria cell_criteria(2, 0.1); // radius-edge ratio, size
   Mesh_criteria criteria(facet_criteria, cell_criteria);
-  
+
   // Mesh generation (without optimization)
   C3t3 c3t3 = CGAL::make_mesh_3<C3t3>(domain, criteria, no_perturb(), no_exude());
-  
+
   // Output
   std::ofstream medit_file("out_wo.mesh");
   c3t3.output_to_medit(medit_file);
   medit_file.close();
-  
+
   // Perturbation (5s, 12degree)
   CGAL::perturb_mesh_3(c3t3, domain, time_limit=5, sliver_bound=12);
-  
+
   // Exudation
   CGAL::exude_mesh_3(c3t3);
-  
+
   // Output
   medit_file.open("out_optimized.mesh");
   c3t3.output_to_medit(medit_file);
-  
+
   return 0;
 }
 
diff -pruN 5.0.2-3/examples/Mesh_3/mesh_implicit_sphere.cpp 5.0.3-1/examples/Mesh_3/mesh_implicit_sphere.cpp
--- 5.0.2-3/examples/Mesh_3/mesh_implicit_sphere.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/mesh_implicit_sphere.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -46,7 +46,7 @@ int main()
   // Mesh criteria
   Mesh_criteria criteria(facet_angle=30, facet_size=0.1, facet_distance=0.025,
                          cell_radius_edge_ratio=2, cell_size=0.1);
-  
+
   // Mesh generation
   C3t3 c3t3 = CGAL::make_mesh_3<C3t3>(domain, criteria);
 
diff -pruN 5.0.2-3/examples/Mesh_3/mesh_implicit_sphere_variable_size.cpp 5.0.3-1/examples/Mesh_3/mesh_implicit_sphere_variable_size.cpp
--- 5.0.2-3/examples/Mesh_3/mesh_implicit_sphere_variable_size.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/mesh_implicit_sphere_variable_size.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -34,11 +34,11 @@ struct Spherical_sizing_field
   typedef ::FT FT;
   typedef Point Point_3;
   typedef Mesh_domain::Index Index;
-  
+
   FT operator()(const Point_3& p, const int, const Index&) const
   {
     FT sq_d_to_origin = CGAL::squared_distance(p, Point(CGAL::ORIGIN));
-    return CGAL::abs( CGAL::sqrt(sq_d_to_origin)-0.5 ) / 5. + 0.025; 
+    return CGAL::abs( CGAL::sqrt(sq_d_to_origin)-0.5 ) / 5. + 0.025;
   }
 };
 
@@ -63,7 +63,7 @@ int main()
   Spherical_sizing_field size;
   Mesh_criteria criteria(facet_angle=30, facet_size=0.1, facet_distance=0.025,
                          cell_radius_edge_ratio=2, cell_size=size);
-  
+
   // Mesh generation
   C3t3 c3t3 = CGAL::make_mesh_3<C3t3>(domain, criteria, no_exude(), no_perturb());
 
diff -pruN 5.0.2-3/examples/Mesh_3/mesh_optimization_lloyd_example.cpp 5.0.3-1/examples/Mesh_3/mesh_optimization_lloyd_example.cpp
--- 5.0.2-3/examples/Mesh_3/mesh_optimization_lloyd_example.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/mesh_optimization_lloyd_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -49,18 +49,18 @@ int main(int argc, char*argv[])
                                       lloyd(time_limit=30),
                                       no_perturb(),
                                       exude(time_limit=10, sliver_bound=10));
-  
+
   // Mesh generation and optimization in several call
   C3t3 c3t3_bis = CGAL::make_mesh_3<C3t3>(domain, criteria,
                                           no_perturb(), no_exude());
-  
+
   CGAL::lloyd_optimize_mesh_3(c3t3_bis, domain, time_limit=30);
   CGAL::exude_mesh_3(c3t3_bis, sliver_bound=10, time_limit=10);
-  
+
   // Output
   std::ofstream medit_file("out.mesh");
   c3t3.output_to_medit(medit_file);
-  
+
   std::ofstream medit_file_bis("out_bis.mesh");
   c3t3_bis.output_to_medit(medit_file_bis);
 
diff -pruN 5.0.2-3/examples/Mesh_3/mesh_polyhedral_domain.cpp 5.0.3-1/examples/Mesh_3/mesh_polyhedral_domain.cpp
--- 5.0.2-3/examples/Mesh_3/mesh_polyhedral_domain.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/mesh_polyhedral_domain.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -43,7 +43,7 @@ int main(int argc, char*argv[])
     return EXIT_FAILURE;
   }
   input.close();
-  
+
   if (!CGAL::is_triangle_mesh(polyhedron)){
     std::cerr << "Input geometry is not triangulated." << std::endl;
     return EXIT_FAILURE;
@@ -51,11 +51,11 @@ int main(int argc, char*argv[])
 
   // Create domain
   Mesh_domain domain(polyhedron);
-  
+
   // Mesh criteria (no cell_size set)
   Mesh_criteria criteria(facet_angle=25, facet_size=0.15, facet_distance=0.008,
                          cell_radius_edge_ratio=3);
-  
+
   // Mesh generation
   C3t3 c3t3 = CGAL::make_mesh_3<C3t3>(domain, criteria, no_perturb(), no_exude());
 
diff -pruN 5.0.2-3/examples/Mesh_3/mesh_polyhedral_domain_sm.cpp 5.0.3-1/examples/Mesh_3/mesh_polyhedral_domain_sm.cpp
--- 5.0.2-3/examples/Mesh_3/mesh_polyhedral_domain_sm.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/mesh_polyhedral_domain_sm.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -43,7 +43,7 @@ int main(int argc, char*argv[])
     return EXIT_FAILURE;
   }
   input.close();
-  
+
   if (!CGAL::is_triangle_mesh(polyhedron)){
     std::cerr << "Input geometry is not triangulated." << std::endl;
     return EXIT_FAILURE;
@@ -51,11 +51,11 @@ int main(int argc, char*argv[])
 
   // Create domain
   Mesh_domain domain(polyhedron);
-  
+
   // Mesh criteria (no cell_size set)
   Mesh_criteria criteria(facet_angle=25, facet_size=0.15, facet_distance=0.008,
                          cell_radius_edge_ratio=3);
-  
+
   // Mesh generation
   C3t3 c3t3 = CGAL::make_mesh_3<C3t3>(domain, criteria, no_perturb(), no_exude());
 
diff -pruN 5.0.2-3/examples/Mesh_3/mesh_polyhedral_domain_with_features.cpp 5.0.3-1/examples/Mesh_3/mesh_polyhedral_domain_with_features.cpp
--- 5.0.2-3/examples/Mesh_3/mesh_polyhedral_domain_with_features.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/mesh_polyhedral_domain_with_features.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -8,7 +8,7 @@
 #include <CGAL/make_mesh_3.h>
 #include <CGAL/IO/output_to_vtu.h>
 
-// Domain 
+// Domain
 typedef CGAL::Exact_predicates_inexact_constructions_kernel K;
 typedef CGAL::Mesh_polyhedron_3<K>::type Polyhedron;
 typedef CGAL::Polyhedral_mesh_domain_with_features_3<K> Mesh_domain;
@@ -50,7 +50,7 @@ int main(int argc, char*argv[])
 
   // Create domain
   Mesh_domain domain(polyhedron);
-  
+
   // Get sharp features
   domain.detect_features();
 
@@ -58,7 +58,7 @@ int main(int argc, char*argv[])
   Mesh_criteria criteria(edge_size = 0.025,
                          facet_angle = 25, facet_size = 0.05, facet_distance = 0.005,
                          cell_radius_edge_ratio = 3, cell_size = 0.05);
-  
+
   // Mesh generation
   C3t3 c3t3 = CGAL::make_mesh_3<C3t3>(domain, criteria);
 
diff -pruN 5.0.2-3/examples/Mesh_3/mesh_polyhedral_domain_with_lipschitz_sizing.cpp 5.0.3-1/examples/Mesh_3/mesh_polyhedral_domain_with_lipschitz_sizing.cpp
--- 5.0.2-3/examples/Mesh_3/mesh_polyhedral_domain_with_lipschitz_sizing.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/mesh_polyhedral_domain_with_lipschitz_sizing.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -13,7 +13,7 @@
 typedef CGAL::Exact_predicates_inexact_constructions_kernel K;
 typedef K::FT FT;
 
-// Domain 
+// Domain
 typedef CGAL::Mesh_polyhedron_3<K>::type Polyhedron;
 typedef CGAL::Polyhedral_mesh_domain_with_features_3<K> Mesh_domain;
 
diff -pruN 5.0.2-3/examples/Mesh_3/mesh_polyhedral_domain_with_surface_inside.cpp 5.0.3-1/examples/Mesh_3/mesh_polyhedral_domain_with_surface_inside.cpp
--- 5.0.2-3/examples/Mesh_3/mesh_polyhedral_domain_with_surface_inside.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/mesh_polyhedral_domain_with_surface_inside.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -9,7 +9,7 @@
 #include <CGAL/make_mesh_3.h>
 #include <CGAL/Timer.h>
 
-// Domain 
+// Domain
 typedef CGAL::Exact_predicates_inexact_constructions_kernel K;
 
 typedef CGAL::Mesh_polyhedron_3<K>::type Polyhedron;
@@ -56,7 +56,7 @@ int main(int argc, char*argv[])
   Mesh_criteria criteria(edge_size = 0.025,
                          facet_angle = 25, facet_size = 0.05, facet_distance = 0.005,
                          cell_radius_edge_ratio = 3, cell_size = 0.05);
-  
+
   // Mesh generation
   C3t3 c3t3 = CGAL::make_mesh_3<C3t3>(domain, criteria,
                                       no_perturb(), no_exude());
diff -pruN 5.0.2-3/examples/Mesh_3/remesh_polyhedral_surface.cpp 5.0.3-1/examples/Mesh_3/remesh_polyhedral_surface.cpp
--- 5.0.2-3/examples/Mesh_3/remesh_polyhedral_surface.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Mesh_3/remesh_polyhedral_surface.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -7,7 +7,7 @@
 #include <CGAL/Polyhedral_mesh_domain_with_features_3.h>
 #include <CGAL/make_mesh_3.h>
 
-// Domain 
+// Domain
 typedef CGAL::Exact_predicates_inexact_constructions_kernel K;
 typedef CGAL::Polyhedral_mesh_domain_with_features_3<K> Mesh_domain;
 
@@ -44,7 +44,7 @@ int main()
   // and no "bounding polyhedron", so the volumetric part of the domain will be
   // empty.
   Mesh_domain domain(poly_ptrs_vector.begin(), poly_ptrs_vector.end());
-  
+
   // Get sharp features
   domain.detect_features(); //includes detection of borders
 
@@ -53,7 +53,7 @@ int main()
                          facet_angle = 25,
                          facet_size = 0.1,
                          facet_distance = 0.001);
-  
+
   // Mesh generation
   C3t3 c3t3 = CGAL::make_mesh_3<C3t3>(domain, criteria, no_perturb(), no_exude());
 
diff -pruN 5.0.2-3/examples/Min_annulus_d/CMakeLists.txt 5.0.3-1/examples/Min_annulus_d/CMakeLists.txt
--- 5.0.2-3/examples/Min_annulus_d/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Min_annulus_d/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -13,8 +13,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Min_circle_2/CMakeLists.txt 5.0.3-1/examples/Min_circle_2/CMakeLists.txt
--- 5.0.2-3/examples/Min_circle_2/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Min_circle_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -13,8 +13,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Min_circle_2/min_circle_2.cpp 5.0.3-1/examples/Min_circle_2/min_circle_2.cpp
--- 5.0.2-3/examples/Min_circle_2/min_circle_2.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Min_circle_2/min_circle_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -17,7 +17,7 @@ main( int, char**)
     Point P[n];
 
     for ( int i = 0; i < n; ++i)
-	P[ i] = Point( (i%2 == 0 ? i : -i), 0);
+        P[ i] = Point( (i%2 == 0 ? i : -i), 0);
     // (0,0), (-1,0), (2,0), (-3,0), ...
 
     Min_circle  mc1( P, P+n, false);    // very slow
diff -pruN 5.0.2-3/examples/Min_ellipse_2/CMakeLists.txt 5.0.3-1/examples/Min_ellipse_2/CMakeLists.txt
--- 5.0.2-3/examples/Min_ellipse_2/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Min_ellipse_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -13,8 +13,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Min_ellipse_2/min_ellipse_2.cpp 5.0.3-1/examples/Min_ellipse_2/min_ellipse_2.cpp
--- 5.0.2-3/examples/Min_ellipse_2/min_ellipse_2.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Min_ellipse_2/min_ellipse_2.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -19,7 +19,7 @@ main( int, char**)
     Point     P[n];
 
     for ( int i = 0; i < n; ++i)
-	P[ i] = Point( i % 2 ? i : -i , 0);
+        P[ i] = Point( i % 2 ? i : -i , 0);
     // (0,0), (-1,0), (2,0), (-3,0)
 
     std::cout << "Computing ellipse (without randomization)...";
diff -pruN 5.0.2-3/examples/Minkowski_sum_2/CMakeLists.txt 5.0.3-1/examples/Minkowski_sum_2/CMakeLists.txt
--- 5.0.2-3/examples/Minkowski_sum_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Minkowski_sum_2/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -19,8 +19,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Minkowski_sum_2/pgn_print.h 5.0.3-1/examples/Minkowski_sum_2/pgn_print.h
--- 5.0.2-3/examples/Minkowski_sum_2/pgn_print.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/examples/Minkowski_sum_2/pgn_print.h	2020-08-01 19:02:33.000000000 +0000
@@ -35,7 +35,7 @@ template <typename Polygon_with_holes>
 void print_polygon_with_holes(const Polygon_with_holes & pwh)
 {
   if (! pwh.is_unbounded()) {
-    std::cout << "{ Outer boundary = "; 
+    std::cout << "{ Outer boundary = ";
     print_polygon (pwh.outer_boundary());
   }
   else std::cout << "{ Unbounded polygon." << std::endl;
diff -pruN 5.0.2-3/examples/Minkowski_sum_3/CMakeLists.txt 5.0.3-1/examples/Minkowski_sum_3/CMakeLists.txt
--- 5.0.2-3/examples/Minkowski_sum_3/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Minkowski_sum_3/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Minkowski_sum_3/glide.cpp 5.0.3-1/examples/Minkowski_sum_3/glide.cpp
--- 5.0.2-3/examples/Minkowski_sum_3/glide.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Minkowski_sum_3/glide.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -8,16 +8,16 @@ typedef CGAL::Exact_predicates_exact_con
 typedef CGAL::Nef_polyhedron_3<Kernel>     Nef_polyhedron;
 typedef Kernel::Point_3 Point_3;
 typedef Point_3* point_iterator;
-typedef std::pair<point_iterator,point_iterator> 
+typedef std::pair<point_iterator,point_iterator>
   point_range;
 typedef std::list<point_range> polyline;
 
-int main() 
+int main()
 {
   Nef_polyhedron N0;
   std::cin >> N0;
-  Point_3 pl[6] = 
-    {Point_3(-100,0,0), 
+  Point_3 pl[6] =
+    {Point_3(-100,0,0),
      Point_3(40,-70,0),
      Point_3(40,50,40),
      Point_3(-90,-60,60),
diff -pruN 5.0.2-3/examples/Min_quadrilateral_2/CMakeLists.txt 5.0.3-1/examples/Min_quadrilateral_2/CMakeLists.txt
--- 5.0.2-3/examples/Min_quadrilateral_2/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Min_quadrilateral_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -13,8 +13,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Min_sphere_d/CMakeLists.txt 5.0.3-1/examples/Min_sphere_d/CMakeLists.txt
--- 5.0.2-3/examples/Min_sphere_d/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Min_sphere_d/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -13,8 +13,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Min_sphere_of_spheres_d/CMakeLists.txt 5.0.3-1/examples/Min_sphere_of_spheres_d/CMakeLists.txt
--- 5.0.2-3/examples/Min_sphere_of_spheres_d/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Min_sphere_of_spheres_d/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -13,8 +13,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Modular_arithmetic/CMakeLists.txt 5.0.3-1/examples/Modular_arithmetic/CMakeLists.txt
--- 5.0.2-3/examples/Modular_arithmetic/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Modular_arithmetic/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Modular_arithmetic/modular_filter.cpp 5.0.3-1/examples/Modular_arithmetic/modular_filter.cpp
--- 5.0.2-3/examples/Modular_arithmetic/modular_filter.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Modular_arithmetic/modular_filter.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -3,80 +3,80 @@
 
 #ifdef CGAL_USE_GMP
 
-#include <CGAL/Gmpz.h>        
+#include <CGAL/Gmpz.h>
 #include <CGAL/Polynomial.h>
 
 // Function in case  Polynomial is Modularizable
 template< typename Polynomial >
 bool may_have_common_factor(
     const Polynomial& p1, const Polynomial& p2, CGAL::Tag_true){
-  std::cout<< "The type is modularizable" << std::endl; 
+  std::cout<< "The type is modularizable" << std::endl;
 
-  // Enforce IEEE double precision and rounding mode to nearest 
-  // before useing modular arithmetic 
+  // Enforce IEEE double precision and rounding mode to nearest
+  // before useing modular arithmetic
   CGAL::Protect_FPU_rounding<true> pfr(CGAL_FE_TONEAREST);
- 
+
   // Use Modular_traits to convert to polynomials with modular coefficients
   typedef CGAL::Modular_traits<Polynomial> MT;
   typedef typename MT::Residue_type MPolynomial;
   typedef typename MT::Modular_image Modular_image;
   MPolynomial mp1 = Modular_image()(p1);
   MPolynomial mp2 = Modular_image()(p2);
-  
-  // check for unlucky primes, the polynomials should not lose a degree 
+
+  // check for unlucky primes, the polynomials should not lose a degree
   typename CGAL::Polynomial_traits_d<Polynomial>::Degree  degree;
   typename CGAL::Polynomial_traits_d<MPolynomial>::Degree mdegree;
-  if ( degree(p1) != mdegree(mp1)) return true;   
-  if ( degree(p2) != mdegree(mp2)) return true; 
+  if ( degree(p1) != mdegree(mp1)) return true;
+  if ( degree(p2) != mdegree(mp2)) return true;
 
-  // compute gcd for modular images 
+  // compute gcd for modular images
   MPolynomial mg  = CGAL::gcd(mp1,mp2);
-  
-  // if the modular gcd is not trivial: return true 
+
+  // if the modular gcd is not trivial: return true
   if ( mdegree(mg) > 0 ){
     std::cout << "The gcd may be non trivial" << std::endl;
     return true;
   }else{
     std::cout << "The gcd is trivial" << std::endl;
-    return false; 
+    return false;
   }
 }
 
-// This function returns true, since the filter is not applicable 
+// This function returns true, since the filter is not applicable
 template< typename Polynomial >
 bool may_have_common_factor(
     const Polynomial&, const Polynomial&, CGAL::Tag_false){
-  std::cout<< "The type is not modularizable" << std::endl; 
-  return true; 
+  std::cout<< "The type is not modularizable" << std::endl;
+  return true;
 }
 
 template< typename Polynomial >
 Polynomial modular_filtered_gcd(const Polynomial& p1, const Polynomial& p2){
   typedef CGAL::Modular_traits<Polynomial> MT;
   typedef typename MT::Is_modularizable Is_modularizable;
-    
-  // Try to avoid actual gcd computation 
+
+  // Try to avoid actual gcd computation
   if (may_have_common_factor(p1,p2, Is_modularizable())){
     // Compute gcd, since the filter indicates a common factor
     return CGAL::gcd(p1,p2);
   }else{
     typename CGAL::Polynomial_traits_d<Polynomial>::Univariate_content  content;
     typename CGAL::Polynomial_traits_d<Polynomial>::Construct_polynomial construct;
-    return construct(CGAL::gcd(content(p1),content(p2))); // return trivial gcd 
+    return construct(CGAL::gcd(content(p1),content(p2))); // return trivial gcd
   }
 }
 
 int main(){
   CGAL::set_pretty_mode(std::cout);
-    
-  typedef CGAL::Gmpz NT; 
-  typedef CGAL::Polynomial<NT> Poly; 
+
+  typedef CGAL::Gmpz NT;
+  typedef CGAL::Polynomial<NT> Poly;
   CGAL::Polynomial_traits_d<Poly>::Construct_polynomial construct;
 
-  Poly  f1=construct(NT(2), NT(6), NT(4)); 
+  Poly  f1=construct(NT(2), NT(6), NT(4));
   Poly  f2=construct(NT(12), NT(4), NT(8));
   Poly  f3=construct(NT(3), NT(4));
-    
+
   std::cout << "f1        : " << f1 << std::endl;
   std::cout << "f2        : " << f2 << std::endl;
 
@@ -87,7 +87,7 @@ int main(){
   std::cout << std::endl;
   Poly p1 = f1*f3;
   Poly p2 = f2*f3;
-    
+
   std::cout << "f3        : " << f3 << std::endl;
   std::cout << "p1=f1*f3  : " << p1 << std::endl;
   std::cout << "p2=f2*f3  : " << p2 << std::endl;
@@ -100,7 +100,7 @@ int main(){
 #else
 
 int main (){
-  std::cout << " This example needs GMP! " << std::endl; 
+  std::cout << " This example needs GMP! " << std::endl;
 }
 
-#endif 
+#endif
diff -pruN 5.0.2-3/examples/Nef_2/CMakeLists.txt 5.0.3-1/examples/Nef_2/CMakeLists.txt
--- 5.0.2-3/examples/Nef_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Nef_2/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Nef_2/nef_2_exploration.cpp 5.0.3-1/examples/Nef_2/nef_2_exploration.cpp
--- 5.0.2-3/examples/Nef_2/nef_2_exploration.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Nef_2/nef_2_exploration.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -54,7 +54,7 @@ void explore(std::string s, const Nef_po
     }
 
     // explore the holes if the face has holes
-    Hole_const_iterator hit = explorer.holes_begin(fit), end = explorer.holes_end(fit); 
+    Hole_const_iterator hit = explorer.holes_begin(fit), end = explorer.holes_end(fit);
     if(hit == end){
       std::cout << "* has no hole" << std::endl;
     }else{
@@ -70,7 +70,7 @@ void explore(std::string s, const Nef_po
         std::cout << " ( f = frame edge, e = ordinary edge)" << std::endl;
       }
     }
-  } 
+  }
   std::cout << "done\n" << std::endl;
 }
 
@@ -79,11 +79,11 @@ int main() {
   CGAL::set_pretty_mode(std::cout);
   Nef_polyhedron N0(Nef_polyhedron::COMPLETE);
   explore("complete", N0);
-  
+
   Line l(0,1,-2); // l : 0x + y - 2 = 0
   Nef_polyhedron N1(l,Nef_polyhedron::INCLUDED);
   explore("line", N1);
-  
+
   Point p1(1,1), p2(10,1), p3(10,10);
   Point triangle[3] = { p1, p2, p3 };
   Nef_polyhedron N2(triangle, triangle+3);
@@ -101,8 +101,8 @@ int main() {
     Nef_polyhedron N3(triangle, triangle+3);
     N2 -= N3;
   }
-  
+
   explore("triangle with two triangular holes", N2);
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Nef_2/nef_2_polylines.cpp 5.0.3-1/examples/Nef_2/nef_2_polylines.cpp
--- 5.0.2-3/examples/Nef_2/nef_2_polylines.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Nef_2/nef_2_polylines.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -41,40 +41,40 @@ int main()
     Face_const_iterator fit = explorer.faces_begin();
     std::cout << "explorer.mark(explorer.faces_begin()) "  << ((explorer.mark(fit))? "is part of polygon" :  "is not part of polygon") << std::endl;
     for(Hole_const_iterator hit = explorer.holes_begin(fit); hit != explorer.holes_end(fit); hit++){
-	std::cout << " A hole" << std::endl;
-	Halfedge_around_face_const_circulator hafc(hit), done(hit);
-	do{
-	  Vertex_const_handle vh = explorer.target(hafc);
-	  std::cout << explorer.point(vh) << " [" << explorer.point(vh).x().exact() << " | " << explorer.point(vh).y().exact() << "],  " ;
-	  hafc++;
-	}while(hafc != done);
-	std::cout << std::endl;
+        std::cout << " A hole" << std::endl;
+        Halfedge_around_face_const_circulator hafc(hit), done(hit);
+        do{
+          Vertex_const_handle vh = explorer.target(hafc);
+          std::cout << explorer.point(vh) << " [" << explorer.point(vh).x().exact() << " | " << explorer.point(vh).y().exact() << "],  " ;
+          hafc++;
+        }while(hafc != done);
+        std::cout << std::endl;
       }
 
 
     // The other faces have outer face cycles, and they may have holes
     for( fit++;
-	fit != explorer.faces_end();
-	fit++){
+        fit != explorer.faces_end();
+        fit++){
 
       Halfedge_around_face_const_circulator hafc = explorer.face_cycle(fit), done(hafc);
       std::cout << "face: " << ((explorer.mark(fit))? "is part of polygon" :  "is not part of polygon") << std::endl;
       do{
-	Vertex_const_handle vh = explorer.target(hafc);
-	  std::cout << explorer.point(vh) << " [" << explorer.point(vh).x().exact() << " | " << explorer.point(vh).y().exact() << "],  " ;
-	  hafc++;
+        Vertex_const_handle vh = explorer.target(hafc);
+          std::cout << explorer.point(vh) << " [" << explorer.point(vh).x().exact() << " | " << explorer.point(vh).y().exact() << "],  " ;
+          hafc++;
       }while(hafc != done);
       std::cout << std::endl;
 
       for(Hole_const_iterator hit = explorer.holes_begin(fit); hit != explorer.holes_end(fit); hit++){
-	std::cout << " A hole" << std::endl;
-	Halfedge_around_face_const_circulator hafc(hit), done(hit);
-	do{
-	  Vertex_const_handle vh = explorer.target(hafc);
-	  std::cout << explorer.point(vh) << " [" << explorer.point(vh).x().exact() << " | " << explorer.point(vh).y().exact() << "],  " ;
-	  hafc++;
-	}while(hafc != done);
-	std::cout << std::endl;
+        std::cout << " A hole" << std::endl;
+        Halfedge_around_face_const_circulator hafc(hit), done(hit);
+        do{
+          Vertex_const_handle vh = explorer.target(hafc);
+          std::cout << explorer.point(vh) << " [" << explorer.point(vh).x().exact() << " | " << explorer.point(vh).y().exact() << "],  " ;
+          hafc++;
+        }while(hafc != done);
+        std::cout << std::endl;
       }
 
     }
diff -pruN 5.0.2-3/examples/Nef_3/CMakeLists.txt 5.0.3-1/examples/Nef_3/CMakeLists.txt
--- 5.0.2-3/examples/Nef_3/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Nef_3/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Nef_3/handling_double_coordinates.cpp 5.0.3-1/examples/Nef_3/handling_double_coordinates.cpp
--- 5.0.2-3/examples/Nef_3/handling_double_coordinates.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Nef_3/handling_double_coordinates.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -14,15 +14,15 @@ int main() {
   Nef_polyhedron N(P);
 
   std::cout << "Exact_predicates_exact_constructions_kernel + SNC_indexed_items"
-	    << std::endl
-	    << "  allows efficient handling of input "
-		 "using floating point coordinates"
-	    << std::endl;
+            << std::endl
+            << "  allows efficient handling of input "
+                 "using floating point coordinates"
+            << std::endl;
 
   if(N.is_simple()) {
     N.convert_to_polyhedron(P);
     std::cout << P;
-  } 
+  }
   else {
     std::cout << N;
   }
diff -pruN 5.0.2-3/examples/Nef_3/polyline_construction.cpp 5.0.3-1/examples/Nef_3/polyline_construction.cpp
--- 5.0.2-3/examples/Nef_3/polyline_construction.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Nef_3/polyline_construction.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -14,7 +14,7 @@ typedef std::list<point_range> polyline;
 int main() {
 
   Point_3 pl[4] = {Point_3(0,0,0), Point_3(1,0,0),
-		   Point_3(1,1,0), Point_3(0,1,0)};
+                   Point_3(1,1,0), Point_3(0,1,0)};
   polyline poly;
   poly.push_back(point_range(pl,pl+4));
   Nef_polyhedron N(poly.begin(), poly.end(), Nef_polyhedron::Polylines_tag());
diff -pruN 5.0.2-3/examples/Nef_3/transformation.cpp 5.0.3-1/examples/Nef_3/transformation.cpp
--- 5.0.2-3/examples/Nef_3/transformation.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Nef_3/transformation.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -19,13 +19,13 @@ int main() {
   Nef_polyhedron N(Plane_3(0,1,0,0));
   Aff_transformation_3 transl(CGAL::TRANSLATION, Vector_3(5, 7, 9));
   Aff_transformation_3 rotx90(1,0,0,
-			      0,0,-1,
-			      0,1,0,
-			      1);
+                              0,0,-1,
+                              0,1,0,
+                              1);
   Aff_transformation_3 scale(3,0,0,
-			     0,3,0,
-			     0,0,3,
-			     2);
+                             0,3,0,
+                             0,0,3,
+                             2);
 
   N.transform(transl);
   CGAL_assertion(N == Nef_polyhedron(Plane_3(0,1,0,-7)));
diff -pruN 5.0.2-3/examples/Nef_S2/CMakeLists.txt 5.0.3-1/examples/Nef_S2/CMakeLists.txt
--- 5.0.2-3/examples/Nef_S2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Nef_S2/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -19,8 +19,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Nef_S2/include/CGAL/Nef_S2/create_random_Nef_S2.h 5.0.3-1/examples/Nef_S2/include/CGAL/Nef_S2/create_random_Nef_S2.h
--- 5.0.2-3/examples/Nef_S2/include/CGAL/Nef_S2/create_random_Nef_S2.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/examples/Nef_S2/include/CGAL/Nef_S2/create_random_Nef_S2.h	2020-08-01 19:02:35.000000000 +0000
@@ -30,7 +30,7 @@ create_random_Nef_S2(Nef_polyhedron_S2<K
   Point_3 ph;
   Point_3 o(0,0,0);
   while ( n-- > 0 ) {
-    do { ph = *S++; } 
+    do { ph = *S++; }
     while ( ph == o );
     Plane_3 h(o,(ph-CGAL::ORIGIN).direction());
     L.push_back( Sphere_circle(h) );
diff -pruN 5.0.2-3/examples/Nef_S2/nef_s2_exploration.cpp 5.0.3-1/examples/Nef_S2/nef_s2_exploration.cpp
--- 5.0.2-3/examples/Nef_S2/nef_s2_exploration.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Nef_S2/nef_s2_exploration.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -26,20 +26,20 @@ int main() {
     std::cout << " start with an " << std::endl;
     CGAL_forall_sface_cycles_of(it,sf) {
       if (it.is_svertex()) {
-	std::cout << "  svertex at position ";
-	std::cout << SVertex_const_handle(it)->point() << std::endl;
+        std::cout << "  svertex at position ";
+        std::cout << SVertex_const_handle(it)->point() << std::endl;
       }
       else if (it.is_shalfedge()) {
-	std::cout << "  shalfedge from ";
-	std::cout << SHalfedge_const_handle(it)->source()->point() << " to ";
-	std::cout << SHalfedge_const_handle(it)->target()->point() << std::endl;
+        std::cout << "  shalfedge from ";
+        std::cout << SHalfedge_const_handle(it)->source()->point() << " to ";
+        std::cout << SHalfedge_const_handle(it)->target()->point() << std::endl;
       }
       else if (it.is_shalfloop()) {
-	std::cout << "  shalfloop lying in the plane ";
-	std::cout << SHalfloop_const_handle(it)->circle() << std::endl;
+        std::cout << "  shalfloop lying in the plane ";
+        std::cout << SHalfloop_const_handle(it)->circle() << std::endl;
       }
       else
-	std::cout << "something is wrong" << std::endl;
+        std::cout << "something is wrong" << std::endl;
     }
   }
   return 0;
diff -pruN 5.0.2-3/examples/Optimal_transportation_reconstruction_2/CMakeLists.txt 5.0.3-1/examples/Optimal_transportation_reconstruction_2/CMakeLists.txt
--- 5.0.2-3/examples/Optimal_transportation_reconstruction_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Optimal_transportation_reconstruction_2/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -12,8 +12,8 @@ if ( CGAL_FOUND )
   create_single_source_cgal_program( "otr2_mass_example.cpp" )
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Optimal_transportation_reconstruction_2/otr2_indexed_output_example.cpp 5.0.3-1/examples/Optimal_transportation_reconstruction_2/otr2_indexed_output_example.cpp
--- 5.0.2-3/examples/Optimal_transportation_reconstruction_2/otr2_indexed_output_example.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Optimal_transportation_reconstruction_2/otr2_indexed_output_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -24,7 +24,7 @@ void load_xy_file(const std::string& fil
 }
 
 void indexed_output(Otr_2& otr2)
-{  
+{
   std::cout << "(-------------Off output---------- )" << std::endl;
 
   std::vector<Point> points;
@@ -40,7 +40,7 @@ void indexed_output(Otr_2& otr2)
 
   // points
   std::vector<Point>::iterator pit;
-  for (pit = points.begin(); pit != points.end(); pit++) 
+  for (pit = points.begin(); pit != points.end(); pit++)
     std::cout << *pit << std::endl;
 
   // isolated vertices
diff -pruN 5.0.2-3/examples/Optimal_transportation_reconstruction_2/otr2_list_output_example.cpp 5.0.3-1/examples/Optimal_transportation_reconstruction_2/otr2_list_output_example.cpp
--- 5.0.2-3/examples/Optimal_transportation_reconstruction_2/otr2_list_output_example.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Optimal_transportation_reconstruction_2/otr2_list_output_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -35,11 +35,11 @@ void list_output(Otr_2& otr2)
     std::back_inserter(isolated_points), std::back_inserter(segments));
 
   std::vector<Point>::iterator pit;
-  for (pit = isolated_points.begin(); pit != isolated_points.end(); pit++) 
+  for (pit = isolated_points.begin(); pit != isolated_points.end(); pit++)
     std::cout  << *pit << std::endl;
 
   std::vector<Segment>::iterator sit;
-  for (sit = segments.begin(); sit != segments.end(); sit++) 
+  for (sit = segments.begin(); sit != segments.end(); sit++)
     std::cout << *sit << std::endl;
 }
 
diff -pruN 5.0.2-3/examples/Optimal_transportation_reconstruction_2/otr2_mass_example.cpp 5.0.3-1/examples/Optimal_transportation_reconstruction_2/otr2_mass_example.cpp
--- 5.0.2-3/examples/Optimal_transportation_reconstruction_2/otr2_mass_example.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Optimal_transportation_reconstruction_2/otr2_mass_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -58,12 +58,12 @@ int main ()
 
   std::cout << "Isolated vertices:" << std::endl;
   std::vector<Point>::iterator vit;
-  for (vit = isolated_vertices.begin(); vit != isolated_vertices.end(); vit++) 
+  for (vit = isolated_vertices.begin(); vit != isolated_vertices.end(); vit++)
     std::cout << *vit << std::endl;
 
   std::cerr << "Edges:" << std::endl;
   std::vector<Segment>::iterator eit;
-  for (eit = edges.begin(); eit != edges.end(); eit++) 
+  for (eit = edges.begin(); eit != edges.end(); eit++)
     std::cout << *eit << std::endl;
 
   return 0;
diff -pruN 5.0.2-3/examples/Optimal_transportation_reconstruction_2/otr2_simplest_example_with_tolerance.cpp 5.0.3-1/examples/Optimal_transportation_reconstruction_2/otr2_simplest_example_with_tolerance.cpp
--- 5.0.2-3/examples/Optimal_transportation_reconstruction_2/otr2_simplest_example_with_tolerance.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Optimal_transportation_reconstruction_2/otr2_simplest_example_with_tolerance.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -24,7 +24,7 @@ int main ()
 
   Otr otr(points); // no mass given, one unit mass per point assumed
   otr.run_under_wasserstein_tolerance(0.1);
- 
+
 
   return 0;
 }
diff -pruN 5.0.2-3/examples/Partition_2/CMakeLists.txt 5.0.3-1/examples/Partition_2/CMakeLists.txt
--- 5.0.2-3/examples/Partition_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Partition_2/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Partition_2/optimal_convex_partition_2.cpp 5.0.3-1/examples/Partition_2/optimal_convex_partition_2.cpp
--- 5.0.2-3/examples/Partition_2/optimal_convex_partition_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Partition_2/optimal_convex_partition_2.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -33,7 +33,7 @@ int main()
 {
    Polygon_2             polygon;
    Polygon_list          partition_polys;
-  
+
    make_polygon(polygon);
    CGAL::optimal_convex_partition_2(polygon.vertices_begin(),
                                     polygon.vertices_end(),
diff -pruN 5.0.2-3/examples/Partition_2/y_monotone_partition_2.cpp 5.0.3-1/examples/Partition_2/y_monotone_partition_2.cpp
--- 5.0.2-3/examples/Partition_2/y_monotone_partition_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Partition_2/y_monotone_partition_2.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -47,11 +47,11 @@ int main( )
       assert(CGAL::is_y_monotone_2((*poly_it).vertices_begin(),
                                    (*poly_it).vertices_end()));
    }
-   
+
    assert(CGAL::partition_is_valid_2(polygon.vertices_begin(),
                                      polygon.vertices_end(),
                                      partition_polys.begin(),
                                      partition_polys.end()));
-   
+
    return 0;
 }
diff -pruN 5.0.2-3/examples/Partition_2/y_monotone_partition_indices_2.cpp 5.0.3-1/examples/Partition_2/y_monotone_partition_indices_2.cpp
--- 5.0.2-3/examples/Partition_2/y_monotone_partition_indices_2.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Partition_2/y_monotone_partition_indices_2.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -16,10 +16,10 @@ typedef Partition_traits_2::Point_2
 typedef Partition_traits_2::Polygon_2                       Polygon_2;  // a polygon of indices
 typedef std::list<Polygon_2>                                Polygon_list;
 
-/*  
+/*
 
       v4     v2
-      | \   /| 
+      | \   /|
       |  \ / |
       |  v3  |
       |      |
@@ -53,12 +53,12 @@ int main( )
       }
      std::cout << std::endl;
    }
-   
+
    assert(CGAL::partition_is_valid_2(polygon.vertices_begin(),
                                      polygon.vertices_end(),
                                      partition_polys.begin(),
                                      partition_polys.end(),
                                      traits));
-   
+
    return 0;
 }
diff -pruN 5.0.2-3/examples/Periodic_2_triangulation_2/CMakeLists.txt 5.0.3-1/examples/Periodic_2_triangulation_2/CMakeLists.txt
--- 5.0.2-3/examples/Periodic_2_triangulation_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Periodic_2_triangulation_2/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Periodic_3_mesh_3/CMakeLists.txt 5.0.3-1/examples/Periodic_3_mesh_3/CMakeLists.txt
--- 5.0.2-3/examples/Periodic_3_mesh_3/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Periodic_3_mesh_3/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -14,7 +14,7 @@ find_package( CGAL QUIET  COMPONENTS Ima
 
 if ( CGAL_FOUND )
   include( ${CGAL_USE_FILE} )
-else()  
+else()
   message(STATUS "This project requires the CGAL library, and will not be compiled.")
   return()
 endif()
diff -pruN 5.0.2-3/examples/Periodic_3_triangulation_3/CMakeLists.txt 5.0.3-1/examples/Periodic_3_triangulation_3/CMakeLists.txt
--- 5.0.2-3/examples/Periodic_3_triangulation_3/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Periodic_3_triangulation_3/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Periodic_4_hyperbolic_triangulation_2/CMakeLists.txt 5.0.3-1/examples/Periodic_4_hyperbolic_triangulation_2/CMakeLists.txt
--- 5.0.2-3/examples/Periodic_4_hyperbolic_triangulation_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Periodic_4_hyperbolic_triangulation_2/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -13,8 +13,8 @@ if ( CGAL_FOUND AND (CGAL_Core_FOUND OR
   create_single_source_cgal_program( "p4ht2_example_insertion.cpp" )
 
 else()
-  
+
   message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Point_set_2/CMakeLists.txt 5.0.3-1/examples/Point_set_2/CMakeLists.txt
--- 5.0.2-3/examples/Point_set_2/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Point_set_2/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Point_set_3/CMakeLists.txt 5.0.3-1/examples/Point_set_3/CMakeLists.txt
--- 5.0.2-3/examples/Point_set_3/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Point_set_3/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -12,7 +12,7 @@ find_package( CGAL QUIET COMPONENTS Qt5
 if ( NOT CGAL_FOUND )
 
   message(STATUS "This project requires the CGAL library, and will not be compiled.")
-  return()  
+  return()
 
 endif()
 
@@ -27,7 +27,7 @@ if ( NOT Boost_FOUND )
 
   message(STATUS "This project requires the Boost library, and will not be compiled.")
 
-  return()  
+  return()
 
 endif()
 
@@ -40,7 +40,7 @@ create_single_source_cgal_program( "poin
 create_single_source_cgal_program( "point_set_read_xyz.cpp" )
 create_single_source_cgal_program( "point_set_advanced.cpp" )
 
-set(needed_cxx_features cxx_rvalue_references cxx_variadic_templates)    
+set(needed_cxx_features cxx_rvalue_references cxx_variadic_templates)
 create_single_source_cgal_program( "point_set_read_ply.cpp" CXX_FEATURES ${needed_cxx_features} )
 
 find_package(Eigen3 3.1.0) #(requires 3.1.0 or greater)
diff -pruN 5.0.2-3/examples/Point_set_3/draw_point_set_3.cpp 5.0.3-1/examples/Point_set_3/draw_point_set_3.cpp
--- 5.0.2-3/examples/Point_set_3/draw_point_set_3.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Point_set_3/draw_point_set_3.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -24,6 +24,6 @@ int main (int argc, char** argv)
   }
 
   CGAL::draw(point_set);
-  
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Point_set_3/point_set_advanced.cpp 5.0.3-1/examples/Point_set_3/point_set_advanced.cpp
--- 5.0.2-3/examples/Point_set_3/point_set_advanced.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Point_set_3/point_set_advanced.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -28,6 +28,6 @@ int main (int argc, char** argv)
       std::cerr << "Can't read input file " << std::endl;
       return EXIT_FAILURE;
     }
-  
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Point_set_3/point_set_algo.cpp 5.0.3-1/examples/Point_set_3/point_set_algo.cpp
--- 5.0.2-3/examples/Point_set_3/point_set_algo.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Point_set_3/point_set_algo.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -67,9 +67,9 @@ int main (int, char**)
   parameters.min_points = std::size_t(point_set.size() / 3);
   parameters.epsilon = 0.01;
   parameters.cluster_epsilon = 0.5;
-  parameters.normal_threshold = 0.9;   
+  parameters.normal_threshold = 0.9;
   ransac.detect(parameters);
-  
+
   for(boost::shared_ptr<Efficient_ransac::Shape> shape : ransac.shapes())
     if (Sphere* sphere = dynamic_cast<Sphere*>(shape.get()))
       std::cerr << "Detected sphere of center " << sphere->center() // Center should be approx 0, 0, 0
diff -pruN 5.0.2-3/examples/Point_set_3/point_set.cpp 5.0.3-1/examples/Point_set_3/point_set.cpp
--- 5.0.2-3/examples/Point_set_3/point_set.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Point_set_3/point_set.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -25,7 +25,7 @@ void print_point_set (const Point_set& p
 int main (int, char**)
 {
   Point_set point_set;
-  
+
   // Add points
   point_set.insert (Point (0., 0., 0.));
   point_set.insert (Point (0., 0., 1.));
@@ -44,7 +44,7 @@ int main (int, char**)
   // Add point + normal
   point_set.insert (Point (1., 2., 3.), Vector (4., 5., 6.));
 
-  print_point_set(point_set); 
+  print_point_set(point_set);
 
   // Add new item
   Point_set::iterator new_item = point_set.insert(Point (7., 8., 9.));
@@ -56,12 +56,12 @@ int main (int, char**)
                     point_set.begin() + 4);
 
   print_point_set(point_set); // New item has default values
-  
+
   // Display information
   std::cerr << "Number of removed points: " <<point_set.number_of_removed_points() << std::endl;
 
   point_set.collect_garbage();
-  
+
   // Display information (garbage should be gone)
   std::cerr << "After garbage collection: " <<point_set.number_of_removed_points() << std::endl;
 
diff -pruN 5.0.2-3/examples/Point_set_3/point_set_property.cpp 5.0.3-1/examples/Point_set_3/point_set_property.cpp
--- 5.0.2-3/examples/Point_set_3/point_set_property.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Point_set_3/point_set_property.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -21,7 +21,7 @@ void print_point_set (const Point_set& p
   boost::tie (color, boost::tuples::ignore) = point_set.property_map<Color>("color");
   FT_map intensity;
   boost::tie (intensity, boost::tuples::ignore) =  point_set.property_map<FT>("intensity");
-  
+
   std::cerr << "Content of point set:" << std::endl;
   for (Point_set::const_iterator it = point_set.begin();
        it != point_set.end(); ++ it)
diff -pruN 5.0.2-3/examples/Point_set_3/point_set_read_ply.cpp 5.0.3-1/examples/Point_set_3/point_set_read_ply.cpp
--- 5.0.2-3/examples/Point_set_3/point_set_read_ply.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Point_set_3/point_set_read_ply.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -34,7 +34,7 @@ int main (int argc, char** argv)
   Point_set::Property_map<boost::int32_t> label_prop;
   bool found = false;
   boost::tie (label_prop, found)  = point_set.property_map<boost::int32_t> ("label");
-  
+
   if (found)
     {
       std::cerr << "Point set has an integer \"label\" property with values:" << std::endl;
@@ -55,6 +55,6 @@ int main (int argc, char** argv)
     out.precision(17); // Use sufficient precision in ASCII
     CGAL::write_ply_point_set (out, point_set); // same as `out << point_set`
   }
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Point_set_3/point_set_read_xyz.cpp 5.0.3-1/examples/Point_set_3/point_set_read_xyz.cpp
--- 5.0.2-3/examples/Point_set_3/point_set_read_xyz.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Point_set_3/point_set_read_xyz.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -35,7 +35,7 @@ int main (int argc, char** argv)
           point_set.normal(*it) = n;
         }
     }
-  
+
   // Writing result in OFF format
   std::ofstream out("normalized_normals.off");
   out.precision(17);
@@ -43,6 +43,6 @@ int main (int argc, char** argv)
     {
       return EXIT_FAILURE;
     }
-    
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Point_set_processing_3/average_spacing_example.cpp 5.0.3-1/examples/Point_set_processing_3/average_spacing_example.cpp
--- 5.0.2-3/examples/Point_set_processing_3/average_spacing_example.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Point_set_processing_3/average_spacing_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -29,7 +29,7 @@ int main(int argc, char*argv[])
     // Reads a .xyz point set file in points.
     // As the point is the second element of the tuple (that is with index 1)
     // we use a property map that accesses the 1st element of the tuple.
-    
+
     std::vector<IndexedPointWithColorTuple> points;
     std::ifstream stream(fname);
     if (!stream ||
diff -pruN 5.0.2-3/examples/Point_set_processing_3/bilateral_smooth_point_set_example.cpp 5.0.3-1/examples/Point_set_processing_3/bilateral_smooth_point_set_example.cpp
--- 5.0.2-3/examples/Point_set_processing_3/bilateral_smooth_point_set_example.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Point_set_processing_3/bilateral_smooth_point_set_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -48,7 +48,7 @@ int main(int argc, char*argv[])
   double sharpness_angle = 25; // control sharpness of the result.
                                // The bigger the smoother the result will be
   int iter_number = 3;         // number of times the projection is applied
-  
+
   for (int i = 0; i < iter_number; ++i)
   {
     /* double error = */
@@ -59,7 +59,7 @@ int main(int argc, char*argv[])
       normal_map(CGAL::Second_of_pair_property_map<PointVectorPair>()).
       sharpness_angle (sharpness_angle));
   }
-  
+
   //// Save point set.
   std::ofstream out(output_filename);
   out.precision(17);
diff -pruN 5.0.2-3/examples/Point_set_processing_3/callback_example.cpp 5.0.3-1/examples/Point_set_processing_3/callback_example.cpp
--- 5.0.2-3/examples/Point_set_processing_3/callback_example.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Point_set_processing_3/callback_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -41,7 +41,7 @@ struct Progress_to_std_cerr_callback
     t_start = timer.time();
     t_latest = t_start;
   }
-  
+
   bool operator()(double advancement) const
   {
     // Avoid calling time() at every single iteration, which could
@@ -55,7 +55,7 @@ struct Progress_to_std_cerr_callback
     {
       std::cerr << "\r" // Return at the beginning of same line and overwrite
                 << name << ": " << int(advancement * 100) << "%";
-      
+
       if (advancement == 1)
         std::cerr << std::endl;
       t_latest = t;
@@ -69,7 +69,7 @@ struct Progress_to_std_cerr_callback
 int main (int argc, char* argv[])
 {
   int N = (argc > 1) ? boost::lexical_cast<int>(argv[1]) : 1000;
-  
+
   // Generate N points on a sphere of radius 100.
   std::vector<Point> points;
   points.reserve (N);
diff -pruN 5.0.2-3/examples/Point_set_processing_3/CMakeLists.txt 5.0.3-1/examples/Point_set_processing_3/CMakeLists.txt
--- 5.0.2-3/examples/Point_set_processing_3/CMakeLists.txt	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/examples/Point_set_processing_3/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -16,7 +16,7 @@ if ( CGAL_FOUND )
   if (MSVC)
     # Quit warning in the lasreader
     add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_SECURE_NO_WARNINGS)
-    
+
     if ( CMAKE_SIZEOF_VOID_P EQUAL 4 )
       # Allow Windows 32bit applications to use up to 3GB of RAM
       SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /LARGEADDRESSAWARE")
@@ -32,7 +32,7 @@ if ( CGAL_FOUND )
   option(CGAL_ACTIVATE_CONCURRENT_PSP3
          "Enable concurrency"
          OFF)
-     
+
   if( CGAL_ACTIVATE_CONCURRENT_PSP3 OR ENV{CGAL_ACTIVATE_CONCURRENT_PSP3} )
     find_package( TBB REQUIRED )
   endif()
@@ -55,10 +55,10 @@ if ( CGAL_FOUND )
   create_single_source_cgal_program( "structuring_example.cpp" )
   create_single_source_cgal_program( "callback_example.cpp" )
 
-  set(needed_cxx_features cxx_rvalue_references cxx_variadic_templates)    
+  set(needed_cxx_features cxx_rvalue_references cxx_variadic_templates)
   create_single_source_cgal_program( "read_ply_points_with_colors_example.cpp" CXX_FEATURES ${needed_cxx_features} )
   create_single_source_cgal_program( "write_ply_points_example.cpp" CXX_FEATURES ${needed_cxx_features} )
-    
+
   find_package(LASLIB)
   if (LASLIB_FOUND)
     include(${LASLIB_USE_FILE})
@@ -69,7 +69,7 @@ if ( CGAL_FOUND )
   else()
     message(STATUS "NOTICE : the LAS reader test requires LASlib and will not be compiled.")
   endif()
-  
+
   # Use Eigen
   find_package(Eigen3 3.1.0) #(requires 3.1.0 or greater)
   if (EIGEN3_FOUND)
diff -pruN 5.0.2-3/examples/Point_set_processing_3/edge_aware_upsample_point_set_example.cpp 5.0.3-1/examples/Point_set_processing_3/edge_aware_upsample_point_set_example.cpp
--- 5.0.2-3/examples/Point_set_processing_3/edge_aware_upsample_point_set_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Point_set_processing_3/edge_aware_upsample_point_set_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -44,11 +44,11 @@ int main(int argc, char* argv[])
 
   //Algorithm parameters
   const double sharpness_angle = 25;   // control sharpness of the result.
-  const double edge_sensitivity = 0;    // higher values will sample more points near the edges          
+  const double edge_sensitivity = 0;    // higher values will sample more points near the edges
   const double neighbor_radius = 0.25;  // initial size of neighborhood.
   const std::size_t number_of_output_points = points.size() * 4;
 
-   //Run algorithm 
+   //Run algorithm
   CGAL::edge_aware_upsample_point_set<Concurrency_tag>(
     points,
     std::back_inserter(points),
@@ -60,7 +60,7 @@ int main(int argc, char* argv[])
     number_of_output_points(number_of_output_points));
 
   // Saves point set.
-  std::ofstream out(output_filename);  
+  std::ofstream out(output_filename);
   out.precision(17);
   if (!out ||
      !CGAL::write_xyz_points(
diff -pruN 5.0.2-3/examples/Point_set_processing_3/grid_simplify_indices.cpp 5.0.3-1/examples/Point_set_processing_3/grid_simplify_indices.cpp
--- 5.0.2-3/examples/Point_set_processing_3/grid_simplify_indices.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Point_set_processing_3/grid_simplify_indices.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -23,7 +23,7 @@ int main(int argc, char*argv[])
   while(stream >> p >> v){
     points.push_back(p);
     normals.push_back(v);
-  } 
+  }
 
   std::cout << points.size() << " input points" << std::endl;
   std::vector<std::size_t> indices(points.size());
diff -pruN 5.0.2-3/examples/Point_set_processing_3/hierarchy_simplification_example.cpp 5.0.3-1/examples/Point_set_processing_3/hierarchy_simplification_example.cpp
--- 5.0.2-3/examples/Point_set_processing_3/hierarchy_simplification_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Point_set_processing_3/hierarchy_simplification_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -30,20 +30,20 @@ int main(int argc, char*argv[])
 
   // simplification by clustering using erase-remove idiom
   points.erase (CGAL::hierarchy_simplify_point_set (points,
-						    CGAL::parameters::size(100). // Max cluster size
-						    maximum_variation(0.01)), // Max surface variation
-		points.end ());
+                                                    CGAL::parameters::size(100). // Max cluster size
+                                                    maximum_variation(0.01)), // Max surface variation
+                points.end ());
 
   std::size_t memory = CGAL::Memory_sizer().virtual_size();
-  
+
   std::cout << points.size () << " point(s) kept, computed in "
-	    << task_timer.time() << " seconds, "
-	    << (memory>>20) << " Mib allocated." << std::endl;
+            << task_timer.time() << " seconds, "
+            << (memory>>20) << " Mib allocated." << std::endl;
 
   std::ofstream f ("out.xyz");
   f.precision(17);
   CGAL::write_xyz_points (f, points);
-  
+
   return EXIT_SUCCESS;
 }
 
diff -pruN 5.0.2-3/examples/Point_set_processing_3/normals_example.cpp 5.0.3-1/examples/Point_set_processing_3/normals_example.cpp
--- 5.0.2-3/examples/Point_set_processing_3/normals_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Point_set_processing_3/normals_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -67,7 +67,7 @@ int main(int argc, char*argv[])
          CGAL::parameters::point_map(CGAL::First_of_pair_property_map<PointVectorPair>()).
          normal_map(CGAL::Second_of_pair_property_map<PointVectorPair>()));
     }
-    
+
     // Orients normals.
     // Note: mst_orient_normals() requires a range of points
     // as well as property maps to access each point's position and normal.
diff -pruN 5.0.2-3/examples/Point_set_processing_3/property_map.cpp 5.0.3-1/examples/Point_set_processing_3/property_map.cpp
--- 5.0.2-3/examples/Point_set_processing_3/property_map.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Point_set_processing_3/property_map.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -20,7 +20,7 @@ typedef K::Point_3 Point_3;
 typedef K::Vector_3 Vector_3;
 
 // Point with normal vector stored in a std::pair.
-typedef std::pair<Point_3, Vector_3> PointVectorPair; 
+typedef std::pair<Point_3, Vector_3> PointVectorPair;
 
 
 // This is an implementation detail of the process_point_set function.
@@ -61,7 +61,7 @@ void process_point_set(Iterator beg, Ite
 template <typename Iterator>
 void process_point_set(Iterator beg, Iterator end)
 {
-  process_point_set(beg,end, 
+  process_point_set(beg,end,
     CGAL::make_identity_property_map(
       typename CGAL::value_type_traits<Iterator>::type())
     );
@@ -137,13 +137,13 @@ int main()
                       points.end(),
                       CGAL::Nth_of_tuple_property_map<1,IndexedPointWithOrientableNormalTuple>());
 
-    std::cout << boost::tuples::set_open('[') << boost::tuples::set_close(']') << boost::tuples::set_delimiter(','); 
+    std::cout << boost::tuples::set_open('[') << boost::tuples::set_close(']') << boost::tuples::set_delimiter(',');
 
     for(int i = 0; i < 10; i++){
       std::cout << points[i]  << std::endl;
     }
 
-    //We keep the sequence in order, but determine the normal and if it is different from zero set the Boolean to true 
+    //We keep the sequence in order, but determine the normal and if it is different from zero set the Boolean to true
     orient_normals(points.begin(),
                    points.end(),
                    CGAL::make_nth_of_tuple_property_map<2>(IndexedPointWithOrientableNormalTuple()),
@@ -152,7 +152,7 @@ int main()
     std::cout << "\nAfter orient_normals\n";
     for(int i = 0; i < 10; i++){
       std::cout << points[i]  << std::endl;
-    }     
+    }
   }
 
   // same test with std::tuple
diff -pruN 5.0.2-3/examples/Point_set_processing_3/random_simplification_example.cpp 5.0.3-1/examples/Point_set_processing_3/random_simplification_example.cpp
--- 5.0.2-3/examples/Point_set_processing_3/random_simplification_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Point_set_processing_3/random_simplification_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -36,10 +36,10 @@ int main(int argc, char*argv[])
   std::ofstream out((argc>2)?argv[2]:"Three_lady_copy.xyz");
   out.precision(17);
   if (!out ||
-	  !CGAL::write_xyz_points(
+          !CGAL::write_xyz_points(
             out, points))
   {
-	  return EXIT_FAILURE;
+          return EXIT_FAILURE;
   }
 
   return EXIT_SUCCESS;
diff -pruN 5.0.2-3/examples/Point_set_processing_3/read_las_example.cpp 5.0.3-1/examples/Point_set_processing_3/read_las_example.cpp
--- 5.0.2-3/examples/Point_set_processing_3/read_las_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Point_set_processing_3/read_las_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -40,6 +40,6 @@ int main(int argc, char*argv[])
 
   for (std::size_t i = 0; i < points.size(); ++ i)
     std::cout << points[i].first << std::endl;
-  
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Point_set_processing_3/read_ply_points_with_colors_example.cpp 5.0.3-1/examples/Point_set_processing_3/read_ply_points_with_colors_example.cpp
--- 5.0.2-3/examples/Point_set_processing_3/read_ply_points_with_colors_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Point_set_processing_3/read_ply_points_with_colors_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -58,6 +58,6 @@ int main(int argc, char*argv[])
                 << "), color (" << int(c[0]) << " " << int(c[1]) << " " << int(c[2])
                 << ") and intensity " << I << std::endl;
     }
-  
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Point_set_processing_3/remove_outliers_example.cpp 5.0.3-1/examples/Point_set_processing_3/remove_outliers_example.cpp
--- 5.0.2-3/examples/Point_set_processing_3/remove_outliers_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Point_set_processing_3/remove_outliers_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -48,7 +48,7 @@ int main(int argc, char*argv[])
   std::cerr << (100. * std::distance(first_to_remove, points.end()) / (double)(points.size()))
             << "% of the points are considered outliers when using a distance threshold of "
             << 2. * average_spacing << std::endl;
-  
+
 
   ///////////////////
   // SECOND OPTION //
diff -pruN 5.0.2-3/examples/Point_set_processing_3/scale_estimation_example.cpp 5.0.3-1/examples/Point_set_processing_3/scale_estimation_example.cpp
--- 5.0.2-3/examples/Point_set_processing_3/scale_estimation_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Point_set_processing_3/scale_estimation_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -27,10 +27,10 @@ int main (int argc, char** argv)
 {
 
   const char* fname = (argc>1)?argv[1]:"data/sphere_20k.xyz";
-  
+
   CGAL::Timer task_timer;
-  
-  std::vector<Point_3> points;  
+
+  std::vector<Point_3> points;
   std::ifstream stream(fname);
 
   // read input
@@ -40,12 +40,12 @@ int main (int argc, char** argv)
       std::cerr << "Error: can't read input file" << std::endl;
       return EXIT_FAILURE;
     }
-          
+
   // estimate k scale
   task_timer.start();
   std::size_t k_scale = CGAL::estimate_global_k_neighbor_scale (points);
   task_timer.stop();
-  
+
   // Example: use estimated k as scale for jet smoothing
   CGAL::jet_smooth_point_set<Concurrency_tag>
     (points, static_cast<unsigned int>(k_scale));
@@ -59,7 +59,7 @@ int main (int argc, char** argv)
   points.erase (CGAL::grid_simplify_point_set (points, range_scale),
                 points.end());
 
-  
+
   // print some informations on runtime
   std::size_t memory = CGAL::Memory_sizer().virtual_size();
   double time = task_timer.time();
diff -pruN 5.0.2-3/examples/Point_set_processing_3/structuring_example.cpp 5.0.3-1/examples/Point_set_processing_3/structuring_example.cpp
--- 5.0.2-3/examples/Point_set_processing_3/structuring_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Point_set_processing_3/structuring_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -29,10 +29,10 @@ int main (int argc, char** argv)
   // Points with normals.
   Pwn_vector points;
 
-  // Loading point set from a file. 
+  // Loading point set from a file.
   std::ifstream stream(argc>1 ? argv[1] : "data/cube.pwn");
 
-  if (!stream || 
+  if (!stream ||
     !CGAL::read_xyz_points(stream,
       std::back_inserter(points),
       CGAL::parameters::point_map(Point_map()).
@@ -43,15 +43,15 @@ int main (int argc, char** argv)
   }
 
   std::cerr << points.size() << " point(s) read." << std::endl;
-  
+
   // Shape detection
   Efficient_ransac ransac;
   ransac.set_input(points);
   ransac.add_shape_factory<Plane>();
   ransac.detect();
-  
+
   Efficient_ransac::Plane_range planes = ransac.planes();
-  
+
   Pwn_vector structured_pts;
 
   CGAL::structure_point_set (points,
@@ -70,6 +70,6 @@ int main (int argc, char** argv)
   CGAL::write_xyz_points (out, structured_pts,
                           CGAL::parameters::point_map(Point_map()).normal_map(Normal_map()));
   out.close();
-  
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Point_set_processing_3/wlop_simplify_and_regularize_point_set_example.cpp 5.0.3-1/examples/Point_set_processing_3/wlop_simplify_and_regularize_point_set_example.cpp
--- 5.0.2-3/examples/Point_set_processing_3/wlop_simplify_and_regularize_point_set_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Point_set_processing_3/wlop_simplify_and_regularize_point_set_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -44,7 +44,7 @@ int main(int argc, char** argv)
     (points, std::back_inserter(output),
      CGAL::parameters::select_percentage(retain_percentage).
      neighbor_radius (neighbor_radius));
-  
+
   std::ofstream out(output_filename);
   out.precision(17);
   if (!out || !CGAL::write_xyz_points(
diff -pruN 5.0.2-3/examples/Point_set_processing_3/write_ply_points_example.cpp 5.0.3-1/examples/Point_set_processing_3/write_ply_points_example.cpp
--- 5.0.2-3/examples/Point_set_processing_3/write_ply_points_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Point_set_processing_3/write_ply_points_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -21,7 +21,7 @@ typedef CGAL::Nth_of_tuple_property_map<
 
 // Define how a color should be stored
 namespace CGAL {
-  template< class F > 
+  template< class F >
   struct Output_rep< ::Color, F > {
     const ::Color& c;
     static const bool is_specialized = true;
@@ -35,7 +35,7 @@ namespace CGAL {
         out.write(reinterpret_cast<const char*>(&c), sizeof(c));
       return out;
     }
-  }; 
+  };
 }
 
 
@@ -53,7 +53,7 @@ int main(int, char**)
 
   std::ofstream f("out.ply", std::ios::binary);
   CGAL::set_binary_mode(f); // The PLY file will be written in the binary format
-  
+
   CGAL::write_ply_points_with_properties
     (f, points,
      CGAL::make_ply_point_writer (Point_map()),
@@ -63,6 +63,6 @@ int main(int, char**)
                      CGAL::PLY_property<unsigned char>("blue"),
                      CGAL::PLY_property<unsigned char>("alpha")),
      std::make_pair (Intensity_map(), CGAL::PLY_property<int>("intensity")));
-  
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Poisson_surface_reconstruction_3/CMakeLists.txt 5.0.3-1/examples/Poisson_surface_reconstruction_3/CMakeLists.txt
--- 5.0.2-3/examples/Poisson_surface_reconstruction_3/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Poisson_surface_reconstruction_3/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -26,7 +26,7 @@ if ( CGAL_FOUND )
   if (EIGEN3_FOUND)
     include( ${EIGEN3_USE_FILE} )
   endif()
-  
+
   if (EIGEN3_FOUND)
     # Executables that require Eigen 3
     create_single_source_cgal_program( "poisson_reconstruction_example.cpp" )
@@ -36,7 +36,7 @@ if ( CGAL_FOUND )
     message(STATUS "NOTICE: The examples need Eigen 3.1 (or greater) will not be compiled.")
   endif()
 
-  
+
 else()
 
     message(STATUS "NOTICE: This program requires the CGAL library, and will not be compiled.")
diff -pruN 5.0.2-3/examples/Poisson_surface_reconstruction_3/poisson_reconstruction.cpp 5.0.3-1/examples/Poisson_surface_reconstruction_3/poisson_reconstruction.cpp
--- 5.0.2-3/examples/Poisson_surface_reconstruction_3/poisson_reconstruction.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Poisson_surface_reconstruction_3/poisson_reconstruction.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -73,7 +73,7 @@ struct Counter {
       std::cerr << "Counter reached " << N << std::endl;
     }
   }
-  
+
 };
 
 struct InsertVisitor {
@@ -115,7 +115,7 @@ int main(int argc, char * argv[])
       std::cerr << "Options:\n";
       std::cerr << "  -sm_radius <float>     Radius upper bound (default=100 * average spacing)\n";
       std::cerr << "  -sm_distance <float>   Distance upper bound (default=0.25 * average spacing)\n";
-      
+
       return EXIT_FAILURE;
     }
 
@@ -232,10 +232,10 @@ int main(int argc, char * argv[])
 
     CGAL::Timer reconstruction_timer; reconstruction_timer.start();
 
-    
+
     Counter counter(std::distance(points.begin(), points.end()));
     InsertVisitor visitor(counter) ;
-    
+
 
     //***************************************
     // Computes implicit function
@@ -258,14 +258,14 @@ int main(int argc, char * argv[])
       {
         std::cerr << "Use Eigen 3\n";
         CGAL::Eigen_solver_traits<Eigen::ConjugateGradient<CGAL::Eigen_sparse_symmetric_matrix<double>::EigenType> > solver;
-        if ( ! function.compute_implicit_function(solver, visitor, 
+        if ( ! function.compute_implicit_function(solver, visitor,
                                                 approximation_ratio,
                                                 average_spacing_ratio) )
         {
           std::cerr << "Error: cannot compute implicit function" << std::endl;
           return EXIT_FAILURE;
         }
-      }    
+      }
       else
       {
         std::cerr << "Error: invalid solver " << solver_name << "\n";
@@ -309,7 +309,7 @@ int main(int argc, char * argv[])
     FT radius = std::sqrt(bsphere.squared_radius());
 
     // Defines the implicit surface: requires defining a
-  	// conservative bounding sphere centered at inner point.
+          // conservative bounding sphere centered at inner point.
     FT sm_sphere_radius = 5.0 * radius;
     FT sm_dichotomy_error = sm_distance*average_spacing/1000.0; // Dichotomy error must be << sm_distance
     Surface_3 surface(function,
diff -pruN 5.0.2-3/examples/Poisson_surface_reconstruction_3/poisson_reconstruction_example.cpp 5.0.3-1/examples/Poisson_surface_reconstruction_3/poisson_reconstruction_example.cpp
--- 5.0.2-3/examples/Poisson_surface_reconstruction_3/poisson_reconstruction_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Poisson_surface_reconstruction_3/poisson_reconstruction_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -63,7 +63,7 @@ int main(void)
 
     // Computes the Poisson indicator function f()
     // at each vertex of the triangulation.
-    if ( ! function.compute_implicit_function() ) 
+    if ( ! function.compute_implicit_function() )
       return EXIT_FAILURE;
 
     // Computes average spacing
diff -pruN 5.0.2-3/examples/Poisson_surface_reconstruction_3/poisson_reconstruction_function.cpp 5.0.3-1/examples/Poisson_surface_reconstruction_3/poisson_reconstruction_function.cpp
--- 5.0.2-3/examples/Poisson_surface_reconstruction_3/poisson_reconstruction_function.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Poisson_surface_reconstruction_3/poisson_reconstruction_function.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -29,7 +29,7 @@ int main(void)
     }
 
   Polyhedron output_mesh;
-  
+
   double average_spacing = CGAL::compute_average_spacing<CGAL::Sequential_tag>
     (points, 6, CGAL::parameters::point_map(CGAL::First_of_pair_property_map<Pwn>()));
 
diff -pruN 5.0.2-3/examples/Polygon/CMakeLists.txt 5.0.3-1/examples/Polygon/CMakeLists.txt
--- 5.0.2-3/examples/Polygon/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -26,8 +26,8 @@ if ( CGAL_FOUND )
   endif()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Polygon/draw_polygon_with_holes.cpp 5.0.3-1/examples/Polygon/draw_polygon_with_holes.cpp
--- 5.0.2-3/examples/Polygon/draw_polygon_with_holes.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon/draw_polygon_with_holes.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -14,7 +14,7 @@ int main()
   outer_polygon.push_back(Point(0,0)); outer_polygon.push_back(Point(9,0));
   outer_polygon.push_back(Point(6,8)); outer_polygon.push_back(Point(5,3));
   outer_polygon.push_back(Point(2,8)); outer_polygon.push_back(Point(0,8));
-  
+
   std::vector<Polygon_2> holes(3);
   holes[0].push_back(Point(6,2)); holes[0].push_back(Point(7,1));
   holes[0].push_back(Point(7,3)); holes[0].push_back(Point(6,3));
@@ -23,7 +23,7 @@ int main()
   holes[1].push_back(Point(2,1)); holes[1].push_back(Point(3,1));
   holes[1].push_back(Point(3,3)); holes[1].push_back(Point(2,2));
   holes[1].push_back(Point(1,2));
-  
+
   holes[2].push_back(Point(1,4)); holes[2].push_back(Point(2,4));
   holes[2].push_back(Point(2,5)); holes[2].push_back(Point(3,5));
   holes[2].push_back(Point(3,6)); holes[2].push_back(Point(1,6));
diff -pruN 5.0.2-3/examples/Polygon/projected_polygon.cpp 5.0.3-1/examples/Polygon/projected_polygon.cpp
--- 5.0.2-3/examples/Polygon/projected_polygon.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon/projected_polygon.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -9,8 +9,8 @@ typedef K::Point_3 Point_3;
 int main()
 {
   Point_3 points[4] = { Point_3(0,1,1), Point_3(0,2,1), Point_3(0,2,2), Point_3(0,1,2) };
-  bool b =  CGAL::is_simple_2(points, 
-                              points+4, 
+  bool b =  CGAL::is_simple_2(points,
+                              points+4,
                               CGAL::Projection_traits_yz_3<K>());
   if (!b){
     std::cerr << "Error polygon is not simple" << std::endl;
diff -pruN 5.0.2-3/examples/Polygonal_surface_reconstruction/CMakeLists.txt 5.0.3-1/examples/Polygonal_surface_reconstruction/CMakeLists.txt
--- 5.0.2-3/examples/Polygonal_surface_reconstruction/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygonal_surface_reconstruction/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -12,7 +12,7 @@ find_package( CGAL QUIET COMPONENTS  )
 if ( NOT CGAL_FOUND )
 
   message(STATUS "NOTICE: This project requires the CGAL library, and will not be compiled.")
-  return()  
+  return()
 
 endif()
 
@@ -27,7 +27,7 @@ if ( NOT Boost_FOUND )
 
   message(STATUS "NOTICE: This project requires the Boost library, and will not be compiled.")
 
-  return()  
+  return()
 
 endif()
 
@@ -54,7 +54,7 @@ if(EIGEN3_FOUND)
         message( STATUS "NOTICE: This project requires either SCIP or GLPK, and will not be compiled. "
                         "Please provide either 'SCIP_DIR' or 'GLPK_INCLUDE_DIR' and 'GLPK_LIBRARIES'")
       else()
-        
+
 
           include_directories( BEFORE ${GLPK_INCLUDE_DIR} )
 
diff -pruN 5.0.2-3/examples/Polygonal_surface_reconstruction/polyfit_example_model_complexty_control.cpp 5.0.3-1/examples/Polygonal_surface_reconstruction/polyfit_example_model_complexty_control.cpp
--- 5.0.2-3/examples/Polygonal_surface_reconstruction/polyfit_example_model_complexty_control.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygonal_surface_reconstruction/polyfit_example_model_complexty_control.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -7,10 +7,10 @@
 
 #ifdef CGAL_USE_SCIP
 #include <CGAL/SCIP_mixed_integer_program_traits.h>
-typedef CGAL::SCIP_mixed_integer_program_traits<double>			MIP_Solver;
+typedef CGAL::SCIP_mixed_integer_program_traits<double>                        MIP_Solver;
 #elif defined(CGAL_USE_GLPK)
 #include <CGAL/GLPK_mixed_integer_program_traits.h>
-typedef CGAL::GLPK_mixed_integer_program_traits<double>			MIP_Solver;
+typedef CGAL::GLPK_mixed_integer_program_traits<double>                        MIP_Solver;
 #endif
 
 
@@ -21,124 +21,124 @@ typedef CGAL::GLPK_mixed_integer_program
 #include <fstream>
 
 
-typedef CGAL::Exact_predicates_inexact_constructions_kernel		Kernel;
-typedef Kernel::Point_3											Point;
-typedef Kernel::Vector_3										Vector;
-typedef	CGAL::Polygonal_surface_reconstruction<Kernel>			Polygonal_surface_reconstruction;
-typedef CGAL::Surface_mesh<Point>								Surface_mesh;
+typedef CGAL::Exact_predicates_inexact_constructions_kernel                Kernel;
+typedef Kernel::Point_3                                                                                        Point;
+typedef Kernel::Vector_3                                                                                Vector;
+typedef        CGAL::Polygonal_surface_reconstruction<Kernel>                        Polygonal_surface_reconstruction;
+typedef CGAL::Surface_mesh<Point>                                                                Surface_mesh;
 
 // Point with normal, and plane index
-typedef boost::tuple<Point, Vector, int>						PNI;
-typedef CGAL::Nth_of_tuple_property_map<0, PNI>					Point_map;
-typedef CGAL::Nth_of_tuple_property_map<1, PNI>					Normal_map;
-typedef CGAL::Nth_of_tuple_property_map<2, PNI>					Plane_index_map;
+typedef boost::tuple<Point, Vector, int>                                                PNI;
+typedef CGAL::Nth_of_tuple_property_map<0, PNI>                                        Point_map;
+typedef CGAL::Nth_of_tuple_property_map<1, PNI>                                        Normal_map;
+typedef CGAL::Nth_of_tuple_property_map<2, PNI>                                        Plane_index_map;
 
 /*
 * The following example shows how to control the model complexity by
 * increasing the influence of the model complexity term.
-* In this example, the intermediate results from plane extraction and 
+* In this example, the intermediate results from plane extraction and
 * candidate generation are cached and reused.
 */
 
 int main()
 {
     const std::string& input_file("data/building.ply");
-	std::ifstream input_stream(input_file.c_str());
+        std::ifstream input_stream(input_file.c_str());
 
-	std::vector<PNI> points; // store points
+        std::vector<PNI> points; // store points
 
-	std::cout << "Loading point cloud: " << input_file << "...";
-	CGAL::Timer t;
-	t.start();
-
-	if (!input_stream ||
-		!CGAL::read_ply_points_with_properties(
-			input_stream,
-			std::back_inserter(points),
-			CGAL::make_ply_point_reader(Point_map()),
-			CGAL::make_ply_normal_reader(Normal_map()),
-			std::make_pair(Plane_index_map(), CGAL::PLY_property<int>("segment_index"))))
-	{
-		std::cerr << "Error: cannot read file " << input_file << std::endl;
-		return EXIT_FAILURE;
-	}
-	else
-		std::cout << " Done. " << points.size() << " points. Time: " << t.time() << " sec." << std::endl;
-
-	//////////////////////////////////////////////////////////////////////////
-
-	std::cout << "Generating candidate faces...";
-	t.reset();
-
-	Polygonal_surface_reconstruction algo(
-		points,
-		Point_map(),
-		Normal_map(),
-		Plane_index_map()
-	);
-
-	std::cout << " Done. Time: " << t.time() << " sec." << std::endl;
-
-	//////////////////////////////////////////////////////////////////////////
-
-	// Reconstruction with complexity control
-	
-	// Model 1: more detail
-	Surface_mesh model;
-
-	std::cout << "Reconstructing with complexity 0.05...";
-	t.reset();
-	if (!algo.reconstruct<MIP_Solver>(model, 0.8, 0.15, 0.05)) {
-		std::cerr << " Failed: " << algo.error_message() << std::endl;
-		return EXIT_FAILURE;
-	}
-	else {
+        std::cout << "Loading point cloud: " << input_file << "...";
+        CGAL::Timer t;
+        t.start();
+
+        if (!input_stream ||
+                !CGAL::read_ply_points_with_properties(
+                        input_stream,
+                        std::back_inserter(points),
+                        CGAL::make_ply_point_reader(Point_map()),
+                        CGAL::make_ply_normal_reader(Normal_map()),
+                        std::make_pair(Plane_index_map(), CGAL::PLY_property<int>("segment_index"))))
+        {
+                std::cerr << "Error: cannot read file " << input_file << std::endl;
+                return EXIT_FAILURE;
+        }
+        else
+                std::cout << " Done. " << points.size() << " points. Time: " << t.time() << " sec." << std::endl;
+
+        //////////////////////////////////////////////////////////////////////////
+
+        std::cout << "Generating candidate faces...";
+        t.reset();
+
+        Polygonal_surface_reconstruction algo(
+                points,
+                Point_map(),
+                Normal_map(),
+                Plane_index_map()
+        );
+
+        std::cout << " Done. Time: " << t.time() << " sec." << std::endl;
+
+        //////////////////////////////////////////////////////////////////////////
+
+        // Reconstruction with complexity control
+
+        // Model 1: more detail
+        Surface_mesh model;
+
+        std::cout << "Reconstructing with complexity 0.05...";
+        t.reset();
+        if (!algo.reconstruct<MIP_Solver>(model, 0.8, 0.15, 0.05)) {
+                std::cerr << " Failed: " << algo.error_message() << std::endl;
+                return EXIT_FAILURE;
+        }
+        else {
        const std::string& output_file = "data/building_result-0.05.off";
        std::ofstream output_stream(output_file.c_str());
        if (output_stream && CGAL::write_off(output_stream, model))
-			std::cout << " Done. Saved to " << output_file << ". Time: " << t.time() << " sec." << std::endl;
-		else {
+                        std::cout << " Done. Saved to " << output_file << ". Time: " << t.time() << " sec." << std::endl;
+                else {
            std::cerr << " Failed saving file." << std::endl;
            return EXIT_FAILURE;
        }
-	}
+        }
 
-	// Model 2: a little less detail
-	std::cout << "Reconstructing with complexity 0.5...";
-	t.reset();
-	if (!algo.reconstruct<MIP_Solver>(model, 0.3, 0.2, 0.5)) {
-		std::cerr << " Failed: " << algo.error_message() << std::endl;
-		return EXIT_FAILURE;
-	}
-	else {
+        // Model 2: a little less detail
+        std::cout << "Reconstructing with complexity 0.5...";
+        t.reset();
+        if (!algo.reconstruct<MIP_Solver>(model, 0.3, 0.2, 0.5)) {
+                std::cerr << " Failed: " << algo.error_message() << std::endl;
+                return EXIT_FAILURE;
+        }
+        else {
        const std::string& output_file = "data/building_result-0.5.off";
        std::ofstream output_stream(output_file.c_str());
        if (output_stream && CGAL::write_off(output_stream, model))
-			std::cout << " Done. Saved to " << output_file << ". Time: " << t.time() << " sec." << std::endl;
-		else {
+                        std::cout << " Done. Saved to " << output_file << ". Time: " << t.time() << " sec." << std::endl;
+                else {
            std::cerr << " Failed saving file." << std::endl;
            return EXIT_FAILURE;
        }
-	}
+        }
 
-	// Model 3: more less detail
-	std::cout << "Reconstructing with complexity 0.7...";
-	t.reset();
-	if (!algo.reconstruct<MIP_Solver>(model, 0.2, 0.1, 0.7)) {
-		std::cerr << " Failed: " << algo.error_message() << std::endl;
-		return EXIT_FAILURE;
-	}
-	else {
-		const std::string& output_file = "data/building_result-0.7.off";
-		std::ofstream output_stream(output_file.c_str());
-		if (output_stream && CGAL::write_off(output_stream, model))
-			std::cout << " Done. Saved to " << output_file << ". Time: " << t.time() << " sec." << std::endl;
-		else {
-			std::cerr << " Failed saving file." << std::endl;
-			return EXIT_FAILURE;
-		}
-	}
-	return EXIT_SUCCESS;
+        // Model 3: more less detail
+        std::cout << "Reconstructing with complexity 0.7...";
+        t.reset();
+        if (!algo.reconstruct<MIP_Solver>(model, 0.2, 0.1, 0.7)) {
+                std::cerr << " Failed: " << algo.error_message() << std::endl;
+                return EXIT_FAILURE;
+        }
+        else {
+                const std::string& output_file = "data/building_result-0.7.off";
+                std::ofstream output_stream(output_file.c_str());
+                if (output_stream && CGAL::write_off(output_stream, model))
+                        std::cout << " Done. Saved to " << output_file << ". Time: " << t.time() << " sec." << std::endl;
+                else {
+                        std::cerr << " Failed saving file." << std::endl;
+                        return EXIT_FAILURE;
+                }
+        }
+        return EXIT_SUCCESS;
 }
 
 
diff -pruN 5.0.2-3/examples/Polygonal_surface_reconstruction/polyfit_example_user_provided_planes.cpp 5.0.3-1/examples/Polygonal_surface_reconstruction/polyfit_example_user_provided_planes.cpp
--- 5.0.2-3/examples/Polygonal_surface_reconstruction/polyfit_example_user_provided_planes.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygonal_surface_reconstruction/polyfit_example_user_provided_planes.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -7,10 +7,10 @@
 
 #ifdef CGAL_USE_SCIP
 #include <CGAL/SCIP_mixed_integer_program_traits.h>
-typedef CGAL::SCIP_mixed_integer_program_traits<double>			MIP_Solver;
+typedef CGAL::SCIP_mixed_integer_program_traits<double>                        MIP_Solver;
 #elif defined(CGAL_USE_GLPK)
 #include <CGAL/GLPK_mixed_integer_program_traits.h>
-typedef CGAL::GLPK_mixed_integer_program_traits<double>			MIP_Solver;
+typedef CGAL::GLPK_mixed_integer_program_traits<double>                        MIP_Solver;
 #endif
 
 
@@ -21,87 +21,87 @@ typedef CGAL::GLPK_mixed_integer_program
 #include <fstream>
 
 
-typedef CGAL::Exact_predicates_inexact_constructions_kernel		Kernel;
-typedef Kernel::Point_3											Point;
-typedef Kernel::Vector_3										Vector;
-typedef	CGAL::Polygonal_surface_reconstruction<Kernel>			Polygonal_surface_reconstruction;
-typedef CGAL::Surface_mesh<Point>								Surface_mesh;
+typedef CGAL::Exact_predicates_inexact_constructions_kernel                Kernel;
+typedef Kernel::Point_3                                                                                        Point;
+typedef Kernel::Vector_3                                                                                Vector;
+typedef        CGAL::Polygonal_surface_reconstruction<Kernel>                        Polygonal_surface_reconstruction;
+typedef CGAL::Surface_mesh<Point>                                                                Surface_mesh;
 
 // Point with normal, and plane index
-typedef boost::tuple<Point, Vector, int>						PNI;
-typedef CGAL::Nth_of_tuple_property_map<0, PNI>					Point_map;
-typedef CGAL::Nth_of_tuple_property_map<1, PNI>					Normal_map;
-typedef CGAL::Nth_of_tuple_property_map<2, PNI>					Plane_index_map;
+typedef boost::tuple<Point, Vector, int>                                                PNI;
+typedef CGAL::Nth_of_tuple_property_map<0, PNI>                                        Point_map;
+typedef CGAL::Nth_of_tuple_property_map<1, PNI>                                        Normal_map;
+typedef CGAL::Nth_of_tuple_property_map<2, PNI>                                        Plane_index_map;
 
 /*
 * The following example shows the reconstruction using user-provided
 * planar segments stored in PLY format. In the PLY format, a property
-* named "segment_index" stores the plane index for each point (-1 if 
-* the point is not assigned to a plane). 
+* named "segment_index" stores the plane index for each point (-1 if
+* the point is not assigned to a plane).
 */
 
 int main()
 {
     const std::string& input_file("data/ball.ply");
-	std::ifstream input_stream(input_file.c_str());
+        std::ifstream input_stream(input_file.c_str());
 
-	std::vector<PNI> points; // store points
+        std::vector<PNI> points; // store points
 
-	std::cout << "Loading point cloud: " << input_file << "...";
-	CGAL::Timer t;
-	t.start();
-
-	if (!input_stream ||
-		!CGAL::read_ply_points_with_properties(
-			input_stream,
-			std::back_inserter(points),
-			CGAL::make_ply_point_reader(Point_map()),
-			CGAL::make_ply_normal_reader(Normal_map()),
-			std::make_pair(Plane_index_map(), CGAL::PLY_property<int>("segment_index"))))
-	{
-		std::cerr << "Error: cannot read file " << input_file << std::endl;
-		return EXIT_FAILURE;
-	}
-	else
-		std::cout << " Done. " << points.size() << " points. Time: " << t.time() << " sec." << std::endl;
-
-	//////////////////////////////////////////////////////////////////////////
-
-	std::cout << "Generating candidate faces...";
-	t.reset();
-
-	Polygonal_surface_reconstruction algo(
-		points, 
-		Point_map(), 
-		Normal_map(),
-		Plane_index_map()
-	);
-
-	std::cout << " Done. Time: " << t.time() << " sec." << std::endl;
-
-	//////////////////////////////////////////////////////////////////////////
-
-	Surface_mesh model;
-
-	std::cout << "Reconstructing...";
-	t.reset();
-
-	if (!algo.reconstruct<MIP_Solver>(model)) {
-		std::cerr << " Failed: " << algo.error_message() << std::endl;
-		return EXIT_FAILURE;
-	}
+        std::cout << "Loading point cloud: " << input_file << "...";
+        CGAL::Timer t;
+        t.start();
+
+        if (!input_stream ||
+                !CGAL::read_ply_points_with_properties(
+                        input_stream,
+                        std::back_inserter(points),
+                        CGAL::make_ply_point_reader(Point_map()),
+                        CGAL::make_ply_normal_reader(Normal_map()),
+                        std::make_pair(Plane_index_map(), CGAL::PLY_property<int>("segment_index"))))
+        {
+                std::cerr << "Error: cannot read file " << input_file << std::endl;
+                return EXIT_FAILURE;
+        }
+        else
+                std::cout << " Done. " << points.size() << " points. Time: " << t.time() << " sec." << std::endl;
+
+        //////////////////////////////////////////////////////////////////////////
+
+        std::cout << "Generating candidate faces...";
+        t.reset();
+
+        Polygonal_surface_reconstruction algo(
+                points,
+                Point_map(),
+                Normal_map(),
+                Plane_index_map()
+        );
+
+        std::cout << " Done. Time: " << t.time() << " sec." << std::endl;
+
+        //////////////////////////////////////////////////////////////////////////
+
+        Surface_mesh model;
+
+        std::cout << "Reconstructing...";
+        t.reset();
+
+        if (!algo.reconstruct<MIP_Solver>(model)) {
+                std::cerr << " Failed: " << algo.error_message() << std::endl;
+                return EXIT_FAILURE;
+        }
 
-	// Saves the mesh model
+        // Saves the mesh model
     const std::string& output_file("data/ball_result.off");
     std::ofstream output_stream(output_file.c_str());
     if (output_stream && CGAL::write_off(output_stream, model))
-		std::cout << " Done. Saved to " << output_file << ". Time: " << t.time() << " sec." << std::endl;
-	else {
+                std::cout << " Done. Saved to " << output_file << ". Time: " << t.time() << " sec." << std::endl;
+        else {
         std::cerr << " Failed saving file." << std::endl;
         return EXIT_FAILURE;
     }
 
-	return EXIT_SUCCESS;
+        return EXIT_SUCCESS;
 }
 
 
diff -pruN 5.0.2-3/examples/Polygonal_surface_reconstruction/polyfit_example_without_input_planes.cpp 5.0.3-1/examples/Polygonal_surface_reconstruction/polyfit_example_without_input_planes.cpp
--- 5.0.2-3/examples/Polygonal_surface_reconstruction/polyfit_example_without_input_planes.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygonal_surface_reconstruction/polyfit_example_without_input_planes.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -9,12 +9,12 @@
 #ifdef CGAL_USE_SCIP
 
 #include <CGAL/SCIP_mixed_integer_program_traits.h>
-typedef CGAL::SCIP_mixed_integer_program_traits<double>			MIP_Solver;
+typedef CGAL::SCIP_mixed_integer_program_traits<double>                        MIP_Solver;
 
 #elif defined(CGAL_USE_GLPK)
 
 #include <CGAL/GLPK_mixed_integer_program_traits.h>
-typedef CGAL::GLPK_mixed_integer_program_traits<double>			MIP_Solver;
+typedef CGAL::GLPK_mixed_integer_program_traits<double>                        MIP_Solver;
 
 #endif
 
@@ -26,127 +26,127 @@ typedef CGAL::GLPK_mixed_integer_program
 #include <fstream>
 
 
-typedef CGAL::Exact_predicates_inexact_constructions_kernel			Kernel;
+typedef CGAL::Exact_predicates_inexact_constructions_kernel                        Kernel;
 
-typedef Kernel::Point_3												Point;
-typedef Kernel::Vector_3											Vector;
+typedef Kernel::Point_3                                                                                                Point;
+typedef Kernel::Vector_3                                                                                        Vector;
 
 // Point with normal, and plane index
-typedef boost::tuple<Point, Vector, int>							PNI;
-typedef std::vector<PNI>											Point_vector;
-typedef CGAL::Nth_of_tuple_property_map<0, PNI>						Point_map;
-typedef CGAL::Nth_of_tuple_property_map<1, PNI>						Normal_map;
-typedef CGAL::Nth_of_tuple_property_map<2, PNI>						Plane_index_map;
+typedef boost::tuple<Point, Vector, int>                                                        PNI;
+typedef std::vector<PNI>                                                                                        Point_vector;
+typedef CGAL::Nth_of_tuple_property_map<0, PNI>                                                Point_map;
+typedef CGAL::Nth_of_tuple_property_map<1, PNI>                                                Normal_map;
+typedef CGAL::Nth_of_tuple_property_map<2, PNI>                                                Plane_index_map;
 
 typedef CGAL::Shape_detection::Efficient_RANSAC_traits<Kernel, Point_vector, Point_map, Normal_map>     Traits;
 
 typedef CGAL::Shape_detection::Efficient_RANSAC<Traits>             Efficient_ransac;
-typedef CGAL::Shape_detection::Plane<Traits>						Plane;
+typedef CGAL::Shape_detection::Plane<Traits>                                                Plane;
 typedef CGAL::Shape_detection::Point_to_shape_index_map<Traits>     Point_to_shape_index_map;
 
-typedef	CGAL::Polygonal_surface_reconstruction<Kernel>				Polygonal_surface_reconstruction;
-typedef CGAL::Surface_mesh<Point>									Surface_mesh;
+typedef        CGAL::Polygonal_surface_reconstruction<Kernel>                                Polygonal_surface_reconstruction;
+typedef CGAL::Surface_mesh<Point>                                                                        Surface_mesh;
 
 /*
 * This example first extracts planes from the input point cloud
-* (using RANSAC with default parameters) and then reconstructs 
+* (using RANSAC with default parameters) and then reconstructs
 * the surface model from the planes.
 */
 
 int main()
 {
-	Point_vector points;
+        Point_vector points;
 
-	// Loads point set from a file. 
-	const std::string input_file("data/cube.pwn");
+        // Loads point set from a file.
+        const std::string input_file("data/cube.pwn");
     std::ifstream input_stream(input_file.c_str());
-	if (input_stream.fail()) {
-		std::cerr << "failed open file \'" <<input_file << "\'" << std::endl;
-		return EXIT_FAILURE;
-	}
-	std::cout << "Loading point cloud: " << input_file << "...";
+        if (input_stream.fail()) {
+                std::cerr << "failed open file \'" <<input_file << "\'" << std::endl;
+                return EXIT_FAILURE;
+        }
+        std::cout << "Loading point cloud: " << input_file << "...";
 
-	CGAL::Timer t;
-	t.start();
+        CGAL::Timer t;
+        t.start();
     if (!input_stream ||
-		!CGAL::read_xyz_points(input_stream,
-			std::back_inserter(points),
-			CGAL::parameters::point_map(Point_map()).normal_map(Normal_map())))
-	{
-		std::cerr << "Error: cannot read file " << input_file << std::endl;
-		return EXIT_FAILURE;
-	}
-	else
-		std::cout << " Done. " << points.size() << " points. Time: " << t.time() << " sec." << std::endl;
-
-	// Shape detection
-	Efficient_ransac ransac;
-	ransac.set_input(points);
-	ransac.add_shape_factory<Plane>();
-
-	std::cout << "Extracting planes...";
-	t.reset();
-	ransac.detect();
-
-	Efficient_ransac::Plane_range planes = ransac.planes();
-	std::size_t num_planes = planes.size();
-
-	std::cout << " Done. " << num_planes << " planes extracted. Time: " << t.time() << " sec." << std::endl;
-
-	// Stores the plane index of each point as the third element of the tuple.
-	Point_to_shape_index_map shape_index_map(points, planes);
-	for (std::size_t i = 0; i < points.size(); ++i) {
-		// Uses the get function from the property map that accesses the 3rd element of the tuple.
-		int plane_index = get(shape_index_map, i);
-		points[i].get<2>() = plane_index;
-	}
-
-	//////////////////////////////////////////////////////////////////////////
-
-	std::cout << "Generating candidate faces...";
-	t.reset();
-
-	Polygonal_surface_reconstruction algo(
-		points,
-		Point_map(),
-		Normal_map(),
-		Plane_index_map()
-	);
-
-	std::cout << " Done. Time: " << t.time() << " sec." << std::endl;
-
-	//////////////////////////////////////////////////////////////////////////
-
-	Surface_mesh model;
-
-	std::cout << "Reconstructing...";
-	t.reset();
-
-	if (!algo.reconstruct<MIP_Solver>(model)) {
-		std::cerr << " Failed: " << algo.error_message() << std::endl;
-		return EXIT_FAILURE;
-	}
-
-	const std::string& output_file("data/cube_result.off");
-	std::ofstream output_stream(output_file.c_str());
-	if (output_stream && CGAL::write_off(output_stream, model))
-		std::cout << " Done. Saved to " << output_file << ". Time: " << t.time() << " sec." << std::endl;
-	else {
-		std::cerr << " Failed saving file." << std::endl;
-		return EXIT_FAILURE;
-	}
-
-	//////////////////////////////////////////////////////////////////////////
-
-	// Also stores the candidate faces as a surface mesh to a file
-	Surface_mesh candidate_faces;
-	algo.output_candidate_faces(candidate_faces);
-	const std::string& candidate_faces_file("data/cube_candidate_faces.off");
-	std::ofstream candidate_stream(candidate_faces_file.c_str());
-	if (candidate_stream && CGAL::write_off(candidate_stream, candidate_faces))
-		std::cout << "Candidate faces saved to " << candidate_faces_file << "." << std::endl;
+                !CGAL::read_xyz_points(input_stream,
+                        std::back_inserter(points),
+                        CGAL::parameters::point_map(Point_map()).normal_map(Normal_map())))
+        {
+                std::cerr << "Error: cannot read file " << input_file << std::endl;
+                return EXIT_FAILURE;
+        }
+        else
+                std::cout << " Done. " << points.size() << " points. Time: " << t.time() << " sec." << std::endl;
+
+        // Shape detection
+        Efficient_ransac ransac;
+        ransac.set_input(points);
+        ransac.add_shape_factory<Plane>();
+
+        std::cout << "Extracting planes...";
+        t.reset();
+        ransac.detect();
+
+        Efficient_ransac::Plane_range planes = ransac.planes();
+        std::size_t num_planes = planes.size();
+
+        std::cout << " Done. " << num_planes << " planes extracted. Time: " << t.time() << " sec." << std::endl;
+
+        // Stores the plane index of each point as the third element of the tuple.
+        Point_to_shape_index_map shape_index_map(points, planes);
+        for (std::size_t i = 0; i < points.size(); ++i) {
+                // Uses the get function from the property map that accesses the 3rd element of the tuple.
+                int plane_index = get(shape_index_map, i);
+                points[i].get<2>() = plane_index;
+        }
+
+        //////////////////////////////////////////////////////////////////////////
+
+        std::cout << "Generating candidate faces...";
+        t.reset();
+
+        Polygonal_surface_reconstruction algo(
+                points,
+                Point_map(),
+                Normal_map(),
+                Plane_index_map()
+        );
+
+        std::cout << " Done. Time: " << t.time() << " sec." << std::endl;
+
+        //////////////////////////////////////////////////////////////////////////
+
+        Surface_mesh model;
+
+        std::cout << "Reconstructing...";
+        t.reset();
+
+        if (!algo.reconstruct<MIP_Solver>(model)) {
+                std::cerr << " Failed: " << algo.error_message() << std::endl;
+                return EXIT_FAILURE;
+        }
+
+        const std::string& output_file("data/cube_result.off");
+        std::ofstream output_stream(output_file.c_str());
+        if (output_stream && CGAL::write_off(output_stream, model))
+                std::cout << " Done. Saved to " << output_file << ". Time: " << t.time() << " sec." << std::endl;
+        else {
+                std::cerr << " Failed saving file." << std::endl;
+                return EXIT_FAILURE;
+        }
+
+        //////////////////////////////////////////////////////////////////////////
+
+        // Also stores the candidate faces as a surface mesh to a file
+        Surface_mesh candidate_faces;
+        algo.output_candidate_faces(candidate_faces);
+        const std::string& candidate_faces_file("data/cube_candidate_faces.off");
+        std::ofstream candidate_stream(candidate_faces_file.c_str());
+        if (candidate_stream && CGAL::write_off(candidate_stream, candidate_faces))
+                std::cout << "Candidate faces saved to " << candidate_faces_file << "." << std::endl;
 
-	return EXIT_SUCCESS;
+        return EXIT_SUCCESS;
 }
 
 
diff -pruN 5.0.2-3/examples/Polygonal_surface_reconstruction/polyfit_example_with_region_growing.cpp 5.0.3-1/examples/Polygonal_surface_reconstruction/polyfit_example_with_region_growing.cpp
--- 5.0.2-3/examples/Polygonal_surface_reconstruction/polyfit_example_with_region_growing.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygonal_surface_reconstruction/polyfit_example_with_region_growing.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -15,7 +15,7 @@ typedef CGAL::SCIP_mixed_integer_program
 #elif defined(CGAL_USE_GLPK)
 
 #include <CGAL/GLPK_mixed_integer_program_traits.h>
-typedef CGAL::GLPK_mixed_integer_program_traits<double>	MIP_Solver;
+typedef CGAL::GLPK_mixed_integer_program_traits<double>        MIP_Solver;
 
 #endif
 
@@ -24,19 +24,19 @@ typedef CGAL::GLPK_mixed_integer_program
 #include <fstream>
 #include <CGAL/Timer.h>
 
-typedef CGAL::Exact_predicates_inexact_constructions_kernel	Kernel;
+typedef CGAL::Exact_predicates_inexact_constructions_kernel        Kernel;
 
 typedef Kernel::FT       FT;
-typedef Kernel::Point_3	 Point;
+typedef Kernel::Point_3         Point;
 typedef Kernel::Vector_3 Vector;
 
 // Point with normal, and plane index.
 typedef boost::tuple<Point, Vector, int> PNI;
 typedef std::vector<PNI> Point_vector;
 
-typedef CGAL::Nth_of_tuple_property_map<0, PNI>	Point_map;
-typedef CGAL::Nth_of_tuple_property_map<1, PNI>	Normal_map;
-typedef CGAL::Nth_of_tuple_property_map<2, PNI>	Plane_index_map;
+typedef CGAL::Nth_of_tuple_property_map<0, PNI>        Point_map;
+typedef CGAL::Nth_of_tuple_property_map<1, PNI>        Normal_map;
+typedef CGAL::Nth_of_tuple_property_map<2, PNI>        Plane_index_map;
 
 typedef CGAL::Shape_detection::Point_set::
 Sphere_neighbor_query<Kernel, Point_vector, Point_map> Neighbor_query;
@@ -45,8 +45,8 @@ Least_squares_plane_fit_region<Kernel, P
 typedef CGAL::Shape_detection::
 Region_growing<Point_vector, Neighbor_query, Region_type> Region_growing;
 
-typedef CGAL::Surface_mesh<Point>	Surface_mesh;
-typedef	CGAL::Polygonal_surface_reconstruction<Kernel> Polygonal_surface_reconstruction;
+typedef CGAL::Surface_mesh<Point>        Surface_mesh;
+typedef        CGAL::Polygonal_surface_reconstruction<Kernel> Polygonal_surface_reconstruction;
 
 class Index_map {
 
diff -pruN 5.0.2-3/examples/Polygon_mesh_processing/CMakeLists.txt 5.0.3-1/examples/Polygon_mesh_processing/CMakeLists.txt
--- 5.0.2-3/examples/Polygon_mesh_processing/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon_mesh_processing/CMakeLists.txt	2020-08-01 19:00:33.000000000 +0000
@@ -10,7 +10,7 @@ find_package( CGAL QUIET COMPONENTS  )
 if ( NOT CGAL_FOUND )
 
   message(STATUS "This project requires the CGAL library, and will not be compiled.")
-  return()  
+  return()
 
 endif()
 
@@ -21,7 +21,7 @@ if ( NOT Boost_FOUND )
 
   message(STATUS "This project requires the Boost library, and will not be compiled.")
 
-  return()  
+  return()
 
 endif()
 
diff -pruN 5.0.2-3/examples/Polygon_mesh_processing/compute_normals_example_OM.cpp 5.0.3-1/examples/Polygon_mesh_processing/compute_normals_example_OM.cpp
--- 5.0.2-3/examples/Polygon_mesh_processing/compute_normals_example_OM.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon_mesh_processing/compute_normals_example_OM.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -34,10 +34,10 @@ int main(int argc, char* argv[])
 
   Vector v(0, 0, 0);
   for(vertex_descriptor vd : vertices(mesh)){
-      put(vnormals, vd, v); 
+      put(vnormals, vd, v);
     }
   for(face_descriptor fd : faces(mesh)){
-      put(fnormals, fd, v); 
+      put(fnormals, fd, v);
     }
   CGAL::Polygon_mesh_processing::compute_normals
     (mesh,
diff -pruN 5.0.2-3/examples/Polygon_mesh_processing/connected_components_example.cpp 5.0.3-1/examples/Polygon_mesh_processing/connected_components_example.cpp
--- 5.0.2-3/examples/Polygon_mesh_processing/connected_components_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon_mesh_processing/connected_components_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -29,7 +29,7 @@ struct Constraint : public boost::put_ge
     :g_(NULL)
   {}
 
-  Constraint(G& g, double bound) 
+  Constraint(G& g, double bound)
     : g_(&g), bound_(bound)
   {}
 
@@ -88,7 +88,7 @@ int main(int argc, char* argv[])
 
   std::cerr << "Connected components without edge constraints" << std::endl;
   std::cerr << cc.size() << " faces in the CC of " << fd << std::endl;
-  
+
   // Instead of writing the faces into a container, you can set a face property to true
   typedef Mesh::Property_map<face_descriptor, bool> F_select_map;
   F_select_map fselect_map =
@@ -116,12 +116,12 @@ int main(int argc, char* argv[])
               << " is made of " << cc.second << " faces" << std::endl;
   }
 
-  std::cerr << "- We keep only components which have at least 4 faces" << std::endl; 
+  std::cerr << "- We keep only components which have at least 4 faces" << std::endl;
   PMP::keep_large_connected_components(mesh,
       4,
       PMP::parameters::edge_is_constrained_map(Constraint<Mesh>(mesh, bound)));
 
-  std::cerr << "- We keep the two largest components" << std::endl; 
+  std::cerr << "- We keep the two largest components" << std::endl;
   PMP::keep_largest_connected_components(mesh,
       2,
       PMP::parameters::edge_is_constrained_map(Constraint<Mesh>(mesh, bound)));
diff -pruN 5.0.2-3/examples/Polygon_mesh_processing/corefinement_LCC.cpp 5.0.3-1/examples/Polygon_mesh_processing/corefinement_LCC.cpp
--- 5.0.2-3/examples/Polygon_mesh_processing/corefinement_LCC.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon_mesh_processing/corefinement_LCC.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -37,7 +37,7 @@ int main(int argc, char* argv[])
   CGAL::write_off(output, mesh1);
   output.close();
   output.open("mesh2_refined.off");
-  CGAL::write_off(output, mesh2);  
+  CGAL::write_off(output, mesh2);
   output.close();
 
   return 0;
diff -pruN 5.0.2-3/examples/Polygon_mesh_processing/face_filtered_graph_example.cpp 5.0.3-1/examples/Polygon_mesh_processing/face_filtered_graph_example.cpp
--- 5.0.2-3/examples/Polygon_mesh_processing/face_filtered_graph_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon_mesh_processing/face_filtered_graph_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -37,7 +37,7 @@ int main(int argc, char* argv[])
   faces_size_type num = PMP::connected_components(mesh,fccmap);
 
   std::cerr << "- The graph has " << num << " connected components (face connectivity)" << std::endl;
- 
+
   Filtered_graph ffg(mesh, 0, fccmap);
 
   std::cout << "The faces in component 0 are:" << std::endl;
@@ -51,7 +51,7 @@ int main(int argc, char* argv[])
     components.push_back(1);
 
     ffg.set_selected_faces(components, fccmap);
-    
+
     std::cout << "The faces in components 0 and 1 are:" << std::endl;
     for(Filtered_graph::face_descriptor f : faces(ffg)){
     std::cout  << f << std::endl;
diff -pruN 5.0.2-3/examples/Polygon_mesh_processing/hole_filling_example.cpp 5.0.3-1/examples/Polygon_mesh_processing/hole_filling_example.cpp
--- 5.0.2-3/examples/Polygon_mesh_processing/hole_filling_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon_mesh_processing/hole_filling_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -50,7 +50,7 @@ int main(int argc, char* argv[])
 
   std::cout << std::endl;
   std::cout << nb_holes << " holes have been filled" << std::endl;
-  
+
   std::ofstream out("filled.off");
   out.precision(17);
   out << poly << std::endl;
diff -pruN 5.0.2-3/examples/Polygon_mesh_processing/hole_filling_example_LCC.cpp 5.0.3-1/examples/Polygon_mesh_processing/hole_filling_example_LCC.cpp
--- 5.0.2-3/examples/Polygon_mesh_processing/hole_filling_example_LCC.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon_mesh_processing/hole_filling_example_LCC.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -53,7 +53,7 @@ int main(int argc, char* argv[])
 
   std::cout << std::endl;
   std::cout << nb_holes << " holes have been filled" << std::endl;
-  
+
   std::ofstream out("filled_LCC.off");
   out.precision(17);
   CGAL::write_off(out, mesh);
diff -pruN 5.0.2-3/examples/Polygon_mesh_processing/hole_filling_example_SM.cpp 5.0.3-1/examples/Polygon_mesh_processing/hole_filling_example_SM.cpp
--- 5.0.2-3/examples/Polygon_mesh_processing/hole_filling_example_SM.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon_mesh_processing/hole_filling_example_SM.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -52,7 +52,7 @@ int main(int argc, char* argv[])
 
   std::cout << std::endl;
   std::cout << nb_holes << " holes have been filled" << std::endl;
-  
+
   std::ofstream out("filled_SM.off");
   out.precision(17);
   out << mesh << std::endl;
diff -pruN 5.0.2-3/examples/Polygon_mesh_processing/isotropic_remeshing_of_patch_example.cpp 5.0.3-1/examples/Polygon_mesh_processing/isotropic_remeshing_of_patch_example.cpp
--- 5.0.2-3/examples/Polygon_mesh_processing/isotropic_remeshing_of_patch_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon_mesh_processing/isotropic_remeshing_of_patch_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -63,7 +63,7 @@ int main(int argc, char* argv[])
   seed.push_back(*(faces(mesh).first));
   selected[seed.front()] = true;
   CGAL::expand_face_selection(seed, mesh, 5, selected, std::back_inserter(patch));
-  
+
   std::cout << " and patch of size " << patch.size() << std::endl;
   PMP::isotropic_remeshing(patch,
                            target_edge_length,
diff -pruN 5.0.2-3/examples/Polygon_mesh_processing/mesh_slicer_example.cpp 5.0.3-1/examples/Polygon_mesh_processing/mesh_slicer_example.cpp
--- 5.0.2-3/examples/Polygon_mesh_processing/mesh_slicer_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon_mesh_processing/mesh_slicer_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -31,7 +31,7 @@ int main(int argc, char* argv[])
   }
 
   // Slicer constructor from the mesh
-  CGAL::Polygon_mesh_slicer<Mesh, K> slicer(mesh); 
+  CGAL::Polygon_mesh_slicer<Mesh, K> slicer(mesh);
 
   Polylines polylines;
   slicer(K::Plane_3(0, 0, 1, -0.4), std::back_inserter(polylines));
diff -pruN 5.0.2-3/examples/Polygon_mesh_processing/point_inside_example_OM.cpp 5.0.3-1/examples/Polygon_mesh_processing/point_inside_example_OM.cpp
--- 5.0.2-3/examples/Polygon_mesh_processing/point_inside_example_OM.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon_mesh_processing/point_inside_example_OM.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -47,7 +47,7 @@ int main(int argc, char* argv[])
     std::cerr << "Input geometry is not triangulated." << std::endl;
     return EXIT_FAILURE;
   }
- 
+
   CGAL::Side_of_triangle_mesh<Mesh, K> inside(mesh);
 
   double size = max_coordinate(mesh);
diff -pruN 5.0.2-3/examples/Polygon_mesh_processing/repair_polygon_soup_example.cpp 5.0.3-1/examples/Polygon_mesh_processing/repair_polygon_soup_example.cpp
--- 5.0.2-3/examples/Polygon_mesh_processing/repair_polygon_soup_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon_mesh_processing/repair_polygon_soup_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -11,7 +11,7 @@
 typedef CGAL::Exact_predicates_inexact_constructions_kernel     K;
 typedef K::Point_3                                              Point_3;
 
-typedef std::vector<std::size_t>                                Polygon;
+typedef std::vector<std::size_t>                                CGAL_Polygon;
 typedef CGAL::Surface_mesh<Point_3>                             Mesh;
 
 namespace PMP = CGAL::Polygon_mesh_processing;
@@ -20,7 +20,7 @@ int main(int, char**)
 {
   // First, construct a polygon soup with some problems
   std::vector<Point_3> points;
-  std::vector<Polygon> polygons;
+  std::vector<CGAL_Polygon> polygons;
 
   points.push_back(Point_3(0,0,0));
   points.push_back(Point_3(1,0,0));
@@ -30,7 +30,7 @@ int main(int, char**)
   points.push_back(Point_3(0,1,0)); // duplicate point
   points.push_back(Point_3(0,-2,0)); // unused point
 
-  Polygon p;
+  CGAL_Polygon p;
   p.push_back(0); p.push_back(1); p.push_back(2);
   polygons.push_back(p);
 
diff -pruN 5.0.2-3/examples/Polygon_mesh_processing/self_intersections_example.cpp 5.0.3-1/examples/Polygon_mesh_processing/self_intersections_example.cpp
--- 5.0.2-3/examples/Polygon_mesh_processing/self_intersections_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon_mesh_processing/self_intersections_example.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -34,6 +34,6 @@ int main(int argc, char* argv[])
   PMP::self_intersections(mesh, std::back_inserter(intersected_tris));
 
   std::cout << intersected_tris.size() << " pairs of triangles intersect." << std::endl;
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Polygon_mesh_processing/stitch_borders_example_OM.cpp 5.0.3-1/examples/Polygon_mesh_processing/stitch_borders_example_OM.cpp
--- 5.0.2-3/examples/Polygon_mesh_processing/stitch_borders_example_OM.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon_mesh_processing/stitch_borders_example_OM.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -27,7 +27,7 @@ int main(int argc, char* argv[])
 
   CGAL::Polygon_mesh_processing::stitch_borders(mesh,
                                                 CGAL::Polygon_mesh_processing::parameters::vertex_point_map(get(CGAL::vertex_point, mesh)));
-  
+
   mesh.garbage_collection();
   std::cout << "Stitching done : " << std::endl;
   std::cout << "\t Number of vertices  :\t" << num_vertices(mesh) << std::endl;
diff -pruN 5.0.2-3/examples/Polygon_mesh_processing/triangulate_faces_example_OM.cpp 5.0.3-1/examples/Polygon_mesh_processing/triangulate_faces_example_OM.cpp
--- 5.0.2-3/examples/Polygon_mesh_processing/triangulate_faces_example_OM.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polygon_mesh_processing/triangulate_faces_example_OM.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -21,7 +21,7 @@ int main(int argc, char* argv[])
 
   Mesh mesh;
   OpenMesh::IO::read_mesh(mesh, filename);
- 
+
   CGAL::Polygon_mesh_processing::triangulate_faces(mesh,
      CGAL::Polygon_mesh_processing::parameters::vertex_point_map(get(CGAL::vertex_point, mesh)).
                                                    geom_traits(Kernel()));
diff -pruN 5.0.2-3/examples/Polyhedron/CMakeLists.txt 5.0.3-1/examples/Polyhedron/CMakeLists.txt
--- 5.0.2-3/examples/Polyhedron/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyhedron/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -32,10 +32,10 @@ if ( CGAL_FOUND )
   if(CGAL_Qt5_FOUND )
     target_link_libraries(draw_polyhedron PUBLIC CGAL::CGAL_Qt5)
   endif()
-  
+
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Polyhedron/polyhedron_prog_vector.cpp 5.0.3-1/examples/Polyhedron/polyhedron_prog_vector.cpp
--- 5.0.2-3/examples/Polyhedron/polyhedron_prog_vector.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyhedron/polyhedron_prog_vector.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -19,6 +19,6 @@ int main() {
     P.make_tetrahedron( p, q, r, s);
     CGAL::set_ascii_mode( std::cout);
     std::copy( P.points_begin(), P.points_end(),
-	       std::ostream_iterator<Point_3>( std::cout, "\n"));
+               std::ostream_iterator<Point_3>( std::cout, "\n"));
     return 0;
 }
diff -pruN 5.0.2-3/examples/Polyhedron_IO/CMakeLists.txt 5.0.3-1/examples/Polyhedron_IO/CMakeLists.txt
--- 5.0.2-3/examples/Polyhedron_IO/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyhedron_IO/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Polyhedron_IO/iv2off.cpp 5.0.3-1/examples/Polyhedron_IO/iv2off.cpp
--- 5.0.2-3/examples/Polyhedron_IO/iv2off.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyhedron_IO/iv2off.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -255,7 +255,7 @@ int main( int argc, char **argv) {
     }
     if ( !*p_in) {
         cerr << argv[0] << ": error: cannot open file '"<< iname
-	     << "' for reading." <<endl;
+             << "' for reading." <<endl;
         exit( 1);
     }
 
diff -pruN 5.0.2-3/examples/Polyhedron_IO/off2iv.cpp 5.0.3-1/examples/Polyhedron_IO/off2iv.cpp
--- 5.0.2-3/examples/Polyhedron_IO/off2iv.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyhedron_IO/off2iv.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -22,27 +22,27 @@ int main( int argc, char **argv) {
     char *filename[2];
     bool help = false;
     for (int i = 1; i < argc; i++) { // check commandline options
-	if ( strcmp( "-v", argv[i]) == 0)
-	    verbose = true;
-	else if ( (strcmp( "-h", argv[i]) == 0) ||
-		  (strcmp( "-help", argv[i]) == 0))
-	    help = true;
-	else if ( n < 2 ) {
-	    filename[ n++] = argv[i];
-	} else {
-	    ++n;
-	    break;
-	}
+        if ( strcmp( "-v", argv[i]) == 0)
+            verbose = true;
+        else if ( (strcmp( "-h", argv[i]) == 0) ||
+                  (strcmp( "-help", argv[i]) == 0))
+            help = true;
+        else if ( n < 2 ) {
+            filename[ n++] = argv[i];
+        } else {
+            ++n;
+            break;
+        }
     }
     if ((n > 2) || help) {
-	if ( ! help)
-	    cerr << "Error: in parameter list" << endl;
-	cerr << "Usage: " << argv[0] << " [<options>] [<infile> [<outfile>]]"
-	     << endl;
-	cerr << "       convert a CGAL object (OFF) to Open Inventor .iv "
-	        "format." << endl;
-	cerr << "       -v      verbose." << endl;
-	exit( ! help);
+        if ( ! help)
+            cerr << "Error: in parameter list" << endl;
+        cerr << "Usage: " << argv[0] << " [<options>] [<infile> [<outfile>]]"
+             << endl;
+        cerr << "       convert a CGAL object (OFF) to Open Inventor .iv "
+                "format." << endl;
+        cerr << "       -v      verbose." << endl;
+        exit( ! help);
     }
 
     CGAL::Verbose_ostream vout( verbose);
@@ -52,32 +52,32 @@ int main( int argc, char **argv) {
     istream*     p_in = &cin;
     ifstream     in;
     if ( n > 0) {
-	in.open( filename[0]);
-	p_in = &in;
-	iname = filename[0];
+        in.open( filename[0]);
+        p_in = &in;
+        iname = filename[0];
     }
     if ( !*p_in) {
-	cerr << argv[0] << ": error: cannot open file '"<< iname
-	     << "' for reading." <<endl;
-	exit( 1);
+        cerr << argv[0] << ": error: cannot open file '"<< iname
+             << "' for reading." <<endl;
+        exit( 1);
     }
 
     const char*  oname    = "cout";
     ostream*     p_out = &cout;
     ofstream     out;
     if ( n > 1) {
-	out.open( filename[1]);
-	p_out = &out;
-	oname = filename[1];
+        out.open( filename[1]);
+        p_out = &out;
+        oname = filename[1];
     }
     if ( !*p_out) {
-	cerr << argv[0] << ": error: cannot open file '"<< oname
-	     << "' for writing." <<endl;
-	exit( 1);
+        cerr << argv[0] << ": error: cannot open file '"<< oname
+             << "' for writing." <<endl;
+        exit( 1);
     }
 
     vout << "CGAL::generic_copy_OFF( " << iname << ", " << oname
-	 << ") ...." << endl;
+         << ") ...." << endl;
     CGAL::Inventor_ostream os( *p_out);
     CGAL::File_writer_inventor  writer;
     CGAL::generic_copy_OFF( *p_in, *p_out, writer);
@@ -86,14 +86,14 @@ int main( int argc, char **argv) {
     vout << "    .... done." << endl;
 
     if ( !*p_in) {
-	cerr << argv[0] << " read error: while reading file '"
-	     << iname << "'." << endl;
-	exit( 1);
+        cerr << argv[0] << " read error: while reading file '"
+             << iname << "'." << endl;
+        exit( 1);
     }
     if ( !*p_out) {
-	cerr << argv[0] << " write error: while writing file '"
-	     << oname << "'." << endl;
-	exit( 1);
+        cerr << argv[0] << " write error: while writing file '"
+             << oname << "'." << endl;
+        exit( 1);
     }
     return 0;
 }
diff -pruN 5.0.2-3/examples/Polyhedron_IO/off2off.cpp 5.0.3-1/examples/Polyhedron_IO/off2off.cpp
--- 5.0.2-3/examples/Polyhedron_IO/off2off.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyhedron_IO/off2off.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -23,35 +23,35 @@ int main( int argc, char **argv) {
     char *filename[2];
     bool help = false;
     for (int i = 1; i < argc; i++) { // check commandline options
-	if ( strcmp( "-v", argv[i]) == 0)
-	    verbose = true;
-	else if ( strcmp( "-b", argv[i]) == 0)
-	    binary = true;
-	else if ( strcmp( "-skel", argv[i]) == 0)
-	    skel = true;
-	else if ( strcmp( "-noc", argv[i]) == 0)
-	    noc = true;
-	else if ( (strcmp( "-h", argv[i]) == 0) ||
-		  (strcmp( "-help", argv[i]) == 0))
-	    help = true;
-	else if ( n < 2 ) {
-	    filename[ n++] = argv[i];
-	} else {
-	    ++n;
-	    break;
-	}
+        if ( strcmp( "-v", argv[i]) == 0)
+            verbose = true;
+        else if ( strcmp( "-b", argv[i]) == 0)
+            binary = true;
+        else if ( strcmp( "-skel", argv[i]) == 0)
+            skel = true;
+        else if ( strcmp( "-noc", argv[i]) == 0)
+            noc = true;
+        else if ( (strcmp( "-h", argv[i]) == 0) ||
+                  (strcmp( "-help", argv[i]) == 0))
+            help = true;
+        else if ( n < 2 ) {
+            filename[ n++] = argv[i];
+        } else {
+            ++n;
+            break;
+        }
     }
     if ((n > 2) || help) {
-	if ( ! help)
-	    cerr << "Error: in parameter list" << endl;
-	cerr << "Usage: " << argv[0] << " [<options>] [<infile> [<outfile>]]"
-	     << endl;
-	cerr << "       copy an object in OFF." << endl;
-	cerr << "       -b      binary (default is ASCII)." << endl;
-	cerr << "       -skel   Geomview SKEL format." << endl;
-	cerr << "       -noc    no comments in file." << endl;
-	cerr << "       -v      verbose." << endl;
-	exit( ! help);
+        if ( ! help)
+            cerr << "Error: in parameter list" << endl;
+        cerr << "Usage: " << argv[0] << " [<options>] [<infile> [<outfile>]]"
+             << endl;
+        cerr << "       copy an object in OFF." << endl;
+        cerr << "       -b      binary (default is ASCII)." << endl;
+        cerr << "       -skel   Geomview SKEL format." << endl;
+        cerr << "       -noc    no comments in file." << endl;
+        cerr << "       -v      verbose." << endl;
+        exit( ! help);
     }
 
     CGAL::Verbose_ostream vout( verbose);
@@ -61,46 +61,46 @@ int main( int argc, char **argv) {
     istream*     p_in  = &cin;
     ifstream     in;
     if ( n > 0) {
-	in.open( filename[0]);
-	p_in = &in;
-	iname = filename[0];
+        in.open( filename[0]);
+        p_in = &in;
+        iname = filename[0];
     }
     if ( !*p_in) {
-	cerr << argv[0] << ": error: cannot open file '"<< iname
-	     << "' for reading." << endl;
-	exit( 1);
+        cerr << argv[0] << ": error: cannot open file '"<< iname
+             << "' for reading." << endl;
+        exit( 1);
     }
 
     const char*  oname = "cout";
     ostream*     p_out = &cout;
     ofstream     out;
     if ( n > 1) {
-	out.open( filename[1]);
-	p_out = &out;
-	oname = filename[1];
+        out.open( filename[1]);
+        p_out = &out;
+        oname = filename[1];
     }
     if ( !*p_out) {
-	cerr << argv[0] << ": error: cannot open file '"<< oname
-	     << "' for writing." <<endl;
-	exit( 1);
+        cerr << argv[0] << ": error: cannot open file '"<< oname
+             << "' for writing." <<endl;
+        exit( 1);
     }
 
     vout << "CGAL::generic_copy_OFF( " << iname << ", " << oname
-	 << (binary ? ", binary" : ", ASCII") << ") ...." << endl;
+         << (binary ? ", binary" : ", ASCII") << ") ...." << endl;
     CGAL::File_header_OFF  header( binary, noc, skel, verbose);
     CGAL::File_writer_OFF  writer( header);
     CGAL::generic_copy_OFF( *p_in, *p_out, writer);
     vout << "    .... done." << endl;
 
     if ( !*p_in) {
-	cerr << argv[0] << " read error: while reading file '"
-	     << iname << "'." << endl;
-	exit( 1);
+        cerr << argv[0] << " read error: while reading file '"
+             << iname << "'." << endl;
+        exit( 1);
     }
     if ( !*p_out) {
-	cerr << argv[0] << " write error: while writing file '"
-	     << oname << "'." << endl;
-	exit( 1);
+        cerr << argv[0] << " write error: while writing file '"
+             << oname << "'." << endl;
+        exit( 1);
     }
     return 0;
 }
diff -pruN 5.0.2-3/examples/Polyhedron_IO/off2stl.cpp 5.0.3-1/examples/Polyhedron_IO/off2stl.cpp
--- 5.0.2-3/examples/Polyhedron_IO/off2stl.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyhedron_IO/off2stl.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -40,9 +40,9 @@ int main( int argc, char **argv) {
         else if ( n < 2 ) {
             filename[ n++] = argv[i];
         } else {
-	    ++n;
+            ++n;
             break;
-	}
+        }
     }
     if ((n > 2) || help) {
         if ( ! help)
diff -pruN 5.0.2-3/examples/Polyhedron_IO/off2vrml.cpp 5.0.3-1/examples/Polyhedron_IO/off2vrml.cpp
--- 5.0.2-3/examples/Polyhedron_IO/off2vrml.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyhedron_IO/off2vrml.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -34,9 +34,9 @@ int main( int argc, char **argv) {
         else if ( n < 2 ) {
             filename[ n++] = argv[i];
         } else {
-	    ++n;
+            ++n;
             break;
-	}
+        }
     }
     if ((n > 2) || help) {
         if ( ! help)
diff -pruN 5.0.2-3/examples/Polyhedron_IO/off2wav.cpp 5.0.3-1/examples/Polyhedron_IO/off2wav.cpp
--- 5.0.2-3/examples/Polyhedron_IO/off2wav.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyhedron_IO/off2wav.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -28,9 +28,9 @@ int main( int argc, char **argv) {
         else if ( n < 2 ) {
             filename[ n++] = argv[i];
         } else {
-	    ++n;
+            ++n;
             break;
-	}
+        }
     }
     if ((n > 2) || help) {
         if ( ! help)
diff -pruN 5.0.2-3/examples/Polyhedron_IO/off_bbox.cpp 5.0.3-1/examples/Polyhedron_IO/off_bbox.cpp
--- 5.0.2-3/examples/Polyhedron_IO/off_bbox.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyhedron_IO/off_bbox.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -33,9 +33,9 @@ int main( int argc, char **argv) {
         else if ( n < 1 ) {
             filename[ n++] = argv[i];
         } else {
-	    n++;
+            n++;
             break;
-	}
+        }
     }
     if ((n > 1) || help) {
         if ( ! help)
diff -pruN 5.0.2-3/examples/Polyhedron_IO/off_glue.cpp 5.0.3-1/examples/Polyhedron_IO/off_glue.cpp
--- 5.0.2-3/examples/Polyhedron_IO/off_glue.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyhedron_IO/off_glue.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -60,9 +60,9 @@ int main( int argc, char **argv) {
         else if ( n < 2 ) {
             filename[ n++] = argv[i];
         } else {
-	    ++n;
+            ++n;
             break;
-	}
+        }
     }
     if ((n > 2) || help) {
         if ( ! help)
diff -pruN 5.0.2-3/examples/Polyhedron_IO/off_transform.cpp 5.0.3-1/examples/Polyhedron_IO/off_transform.cpp
--- 5.0.2-3/examples/Polyhedron_IO/off_transform.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyhedron_IO/off_transform.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -64,14 +64,14 @@ int main( int argc, char **argv) {
                 help = true;
             }
         } else if ( (strcmp( "-h", argv[i]) == 0) ||
-		    (strcmp( "-help", argv[i]) == 0))
+                    (strcmp( "-help", argv[i]) == 0))
             help = true;
         else if ( n < 2 ) {
             filename[ n++] = argv[i];
         } else {
-	    ++n;
+            ++n;
             break;
-	}
+        }
     }
     if ((n > 2) || help) {
         if ( ! help)
@@ -147,7 +147,7 @@ int main( int argc, char **argv) {
         writer.write_vertex( q.x(), q.y(), q.z());
     }
     verr << "    .... done." << scanner.size_of_vertices() << " points read."
-	 << endl;
+         << endl;
 
     if ( ! *p_in) {
         cerr << argv[0] << " read error: while reading file '"<< name << "'."
diff -pruN 5.0.2-3/examples/Polyhedron_IO/polyhedron_copy.cpp 5.0.3-1/examples/Polyhedron_IO/polyhedron_copy.cpp
--- 5.0.2-3/examples/Polyhedron_IO/polyhedron_copy.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyhedron_IO/polyhedron_copy.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -37,9 +37,9 @@ int main( int argc, char **argv) {
         else if ( n < 2 ) {
             filename[ n++] = argv[i];
         } else {
-	    ++n;
+            ++n;
             break;
-	}
+        }
     }
     if ((n > 2) || help) {
         if ( ! help)
diff -pruN 5.0.2-3/examples/Polyhedron_IO/terr_trian.cpp 5.0.3-1/examples/Polyhedron_IO/terr_trian.cpp
--- 5.0.2-3/examples/Polyhedron_IO/terr_trian.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyhedron_IO/terr_trian.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -56,36 +56,36 @@ int main( int argc, char **argv) {
     for (int i = 1; i < argc; i++) { // check commandline options
         if ( strcmp( "-v", argv[i]) == 0)
             verbose = true;
-	else if ( strcmp( "-b", argv[i]) == 0)
-	    binary = true;
-	else if ( strcmp( "-noc", argv[i]) == 0)
-	    noc = true;
-	else if ( strcmp( "-delaunay", argv[i]) == 0)
-	    delaunay = true;
-	else if ( strcmp( "-incr", argv[i]) == 0)
-	    incr = true;
+        else if ( strcmp( "-b", argv[i]) == 0)
+            binary = true;
+        else if ( strcmp( "-noc", argv[i]) == 0)
+            noc = true;
+        else if ( strcmp( "-delaunay", argv[i]) == 0)
+            delaunay = true;
+        else if ( strcmp( "-incr", argv[i]) == 0)
+            incr = true;
         else if ( (strcmp( "-h", argv[i]) == 0) ||
                   (strcmp( "-help", argv[i]) == 0))
             help = true;
         else if ( n < 2 ) {
             filename[ n++] = argv[i];
         } else {
-	    ++n;
+            ++n;
             break;
-	}
+        }
     }
     if ((n > 2) || help) {
         if ( ! help)
             cerr << "Error: in parameter list" << endl;
         cerr << "Usage: " << argv[0] << " [<options>] [<infile> [<outfile>]]"
              << endl;
-	cerr << "       Terrain triangulation in the xy-plane." << endl;
-	cerr << "       -delaunay  Delaunay triangulation (default)." << endl;
-	cerr << "       -incr      Incremental insertion (no flips)." << endl;
-	cerr << "       -b         binary output (default is ASCII)." << endl;
-	cerr << "       -noc       no comments in file." << endl;
-	cerr << "       -v         verbose." << endl;
-	exit( ! help);
+        cerr << "       Terrain triangulation in the xy-plane." << endl;
+        cerr << "       -delaunay  Delaunay triangulation (default)." << endl;
+        cerr << "       -incr      Incremental insertion (no flips)." << endl;
+        cerr << "       -b         binary output (default is ASCII)." << endl;
+        cerr << "       -noc       no comments in file." << endl;
+        cerr << "       -v         verbose." << endl;
+        exit( ! help);
     }
 
     CGAL::Verbose_ostream vout( verbose);
@@ -95,77 +95,77 @@ int main( int argc, char **argv) {
     istream*     p_in  = &cin;
     ifstream     in;
     if ( n > 0) {
-	in.open( filename[0]);
-	p_in = &in;
-	iname = filename[0];
+        in.open( filename[0]);
+        p_in = &in;
+        iname = filename[0];
     }
     if ( !*p_in) {
-	cerr << argv[0] << ": error: cannot open file '" << iname
-	 << "' for reading." <<endl;
-	exit( 1);
+        cerr << argv[0] << ": error: cannot open file '" << iname
+         << "' for reading." <<endl;
+        exit( 1);
     }
 
     CGAL::File_scanner_OFF scanner( * p_in, true);
     if ( !*p_in)
-	exit( 1);
+        exit( 1);
 
     const char*  oname = "cout";
     ostream*     p_out = &cout;
     ofstream     out;
     if ( n > 1) {
-	out.open( filename[1]);
-	p_out = &out;
-	oname = filename[1];
+        out.open( filename[1]);
+        p_out = &out;
+        oname = filename[1];
     }
     if ( !*p_out) {
-	cerr << argv[0] << ": error: cannot open file '"<< oname
-	     << "' for writing." <<endl;
-	exit( 1);
+        cerr << argv[0] << ": error: cannot open file '"<< oname
+             << "' for writing." <<endl;
+        exit( 1);
     }
 
     // index array.
     int* indices = new int[ scanner.size_of_vertices()];
     for ( std::size_t k = 0; k < scanner.size_of_vertices(); k++)
-	indices[k] = -1;
+        indices[k] = -1;
 
     if ( delaunay || ! incr) {
-	Delaunay_triangulation triang;
-	vout << "Scanning and triangulating ..." << endl;
-	for ( std::size_t j = 0; j < scanner.size_of_vertices(); j++) {
-	    double x, y, z;
-	    scanner.scan_vertex( x, y, z);
-	    IPoint p( x, y, z, indices + j);
-	    triang.insert( p);
-	}
-	vout << "    .... done." << endl;
-	vout << "write_triangulation( " << oname
-	     << (binary ? ", binary" : ", ASCII") << ") ...." << endl;
-	CGAL::triangulation_print_OFF( *p_out, triang, binary, noc, verbose);
-	vout << "    .... done." << endl;
+        Delaunay_triangulation triang;
+        vout << "Scanning and triangulating ..." << endl;
+        for ( std::size_t j = 0; j < scanner.size_of_vertices(); j++) {
+            double x, y, z;
+            scanner.scan_vertex( x, y, z);
+            IPoint p( x, y, z, indices + j);
+            triang.insert( p);
+        }
+        vout << "    .... done." << endl;
+        vout << "write_triangulation( " << oname
+             << (binary ? ", binary" : ", ASCII") << ") ...." << endl;
+        CGAL::triangulation_print_OFF( *p_out, triang, binary, noc, verbose);
+        vout << "    .... done." << endl;
     } else {
         Triangulation triang;
-	vout << "Scanning and triangulating ..." << endl;
-	for ( std::size_t j = 0; j < scanner.size_of_vertices(); j++) {
-	    double x, y, z;
-	    scanner.scan_vertex( x, y, z);
-	    IPoint p( x, y, z, indices + j);
-	    triang.insert( p);
-	}
-	vout << "    .... done." << endl;
-	vout << "write_triangulation( " << oname
-	     << (binary ? ", binary" : ", ASCII") << ") ...." << endl;
-	CGAL::triangulation_print_OFF( *p_out, triang, binary, noc, verbose);
-	vout << "    .... done." << endl;
+        vout << "Scanning and triangulating ..." << endl;
+        for ( std::size_t j = 0; j < scanner.size_of_vertices(); j++) {
+            double x, y, z;
+            scanner.scan_vertex( x, y, z);
+            IPoint p( x, y, z, indices + j);
+            triang.insert( p);
+        }
+        vout << "    .... done." << endl;
+        vout << "write_triangulation( " << oname
+             << (binary ? ", binary" : ", ASCII") << ") ...." << endl;
+        CGAL::triangulation_print_OFF( *p_out, triang, binary, noc, verbose);
+        vout << "    .... done." << endl;
     }
     if ( !*p_in) {
-	cerr << argv[0] << " read error: while reading file '"<< iname << "'."
-	     << endl;
-	exit( 1);
+        cerr << argv[0] << " read error: while reading file '"<< iname << "'."
+             << endl;
+        exit( 1);
     }
     if ( !*p_out) {
-	cerr << argv[0] << " write error: while writing file '"<< oname << "'."
-	     << endl;
-	exit( 1);
+        cerr << argv[0] << " write error: while writing file '"<< oname << "'."
+             << endl;
+        exit( 1);
     }
     delete[] indices;
     return 0;
diff -pruN 5.0.2-3/examples/Polyhedron_IO/triangulation_print_OFF.h 5.0.3-1/examples/Polyhedron_IO/triangulation_print_OFF.h
--- 5.0.2-3/examples/Polyhedron_IO/triangulation_print_OFF.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/examples/Polyhedron_IO/triangulation_print_OFF.h	2020-08-01 19:02:45.000000000 +0000
@@ -10,10 +10,10 @@ namespace CGAL {
 template < class Triang >
 void
 triangulation_print_OFF( std::ostream& out,
-			 const Triang& triang,
-			 bool binary  = false,
-			 bool noc     = false,
-			 bool verbose = false) {
+                         const Triang& triang,
+                         bool binary  = false,
+                         bool noc     = false,
+                         bool verbose = false) {
     CGAL_precondition( triang.is_valid());
     typedef typename Triang::Vertex           Vertex;
     typedef typename Triang::Vertex_iterator  Vertex_iterator;
@@ -23,9 +23,9 @@ triangulation_print_OFF( std::ostream& o
     std::size_t vn = 0;
     Vertex_iterator vi = triang.vertices_begin();
     for ( ; vi != triang.vertices_end(); ++vi) {
-	CGAL_assertion( ! triang.is_infinite( vi));
-	mapping[ &*vi] = vn;
-	vn++;
+        CGAL_assertion( ! triang.is_infinite( vi));
+        mapping[ &*vi] = vn;
+        vn++;
     }
     CGAL_assertion( vn == std::size_t( triang.number_of_vertices()));
 
@@ -33,8 +33,8 @@ triangulation_print_OFF( std::ostream& o
     std::size_t fn  = 0;
     Face_iterator fi = triang.faces_begin();
     for ( ; fi != triang.faces_end(); ++fi) {
-	CGAL_assertion( ! triang.is_infinite( fi));
-	fn++;
+        CGAL_assertion( ! triang.is_infinite( fi));
+        fn++;
     }
     std::size_t fin = triang.number_of_faces() - fn;
 
@@ -44,24 +44,24 @@ triangulation_print_OFF( std::ostream& o
 
     vi = triang.vertices_begin();
     for ( ; vi != triang.vertices_end(); ++vi) {
-	CGAL_assertion( ! triang.is_infinite( vi));
-	writer.write_vertex( to_double(vi->point().x()),
-			     to_double(vi->point().y()),
-			     to_double(vi->point().z()));
+        CGAL_assertion( ! triang.is_infinite( vi));
+        writer.write_vertex( to_double(vi->point().x()),
+                             to_double(vi->point().y()),
+                             to_double(vi->point().z()));
     }
     writer.write_facet_header();
 
     fi = triang.faces_begin();
     while ( fn --) {
-	writer.write_facet_begin( 3);
-	CGAL_assertion( mapping.find(&*(fi->vertex(0))) != mapping.end());
-	CGAL_assertion( mapping.find(&*(fi->vertex(1))) != mapping.end());
-	CGAL_assertion( mapping.find(&*(fi->vertex(2))) != mapping.end());
-	writer.write_facet_vertex_index( mapping[ &*(fi->vertex(0))]);
-	writer.write_facet_vertex_index( mapping[ &*(fi->vertex(1))]);
-	writer.write_facet_vertex_index( mapping[ &*(fi->vertex(2))]);
-	writer.write_facet_end();
-	++fi;
+        writer.write_facet_begin( 3);
+        CGAL_assertion( mapping.find(&*(fi->vertex(0))) != mapping.end());
+        CGAL_assertion( mapping.find(&*(fi->vertex(1))) != mapping.end());
+        CGAL_assertion( mapping.find(&*(fi->vertex(2))) != mapping.end());
+        writer.write_facet_vertex_index( mapping[ &*(fi->vertex(0))]);
+        writer.write_facet_vertex_index( mapping[ &*(fi->vertex(1))]);
+        writer.write_facet_vertex_index( mapping[ &*(fi->vertex(2))]);
+        writer.write_facet_end();
+        ++fi;
     }
     CGAL_assertion( fi == triang.faces_end());
     writer.write_footer();
diff -pruN 5.0.2-3/examples/Polyline_simplification_2/CMakeLists.txt 5.0.3-1/examples/Polyline_simplification_2/CMakeLists.txt
--- 5.0.2-3/examples/Polyline_simplification_2/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyline_simplification_2/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Polyline_simplification_2/points_and_vertices.cpp 5.0.3-1/examples/Polyline_simplification_2/points_and_vertices.cpp
--- 5.0.2-3/examples/Polyline_simplification_2/points_and_vertices.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyline_simplification_2/points_and_vertices.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -35,21 +35,21 @@ typedef PS::Squared_distance_cost Cost;
 void print(const CT& ct, Constraint_id cid)
 {
   std::cout << "simplified polyline" <<std::endl;
-  for(Vertices_in_constraint_iterator vit = 
+  for(Vertices_in_constraint_iterator vit =
         ct.vertices_in_constraint_begin(cid);
       vit != ct.vertices_in_constraint_end(cid);
       ++vit){
     std::cout << (*vit)->point() << std::endl ;
   }
-  
+
   std::cout << "original points" <<std::endl;
-  for(Points_in_constraint_iterator pit = 
+  for(Points_in_constraint_iterator pit =
         ct.points_in_constraint_begin(cid);
       pit != ct.points_in_constraint_end(cid);
       ++pit){
     std::cout << *pit << std::endl ;
   }
-  
+
 }
 
 
@@ -74,7 +74,7 @@ int main(int argc, char* argv[])
   print(ct, cid);
   PS::simplify(ct, cid, Cost(), Stop(0.5), remove_points);
   ct.remove_points_without_corresponding_vertex(cid);
-  print(ct, cid);  
+  print(ct, cid);
 #else
   ifs.close();
 #endif
diff -pruN 5.0.2-3/examples/Polyline_simplification_2/simplify.cpp 5.0.3-1/examples/Polyline_simplification_2/simplify.cpp
--- 5.0.2-3/examples/Polyline_simplification_2/simplify.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyline_simplification_2/simplify.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -49,7 +49,7 @@ int main(int argc, char* argv[])
       cit != ct.constraints_end();
       ++cit) {
     std::cout << "simplified polyline" << std::endl;
-    for(Points_in_constraint_iterator vit = 
+    for(Points_in_constraint_iterator vit =
           ct.points_in_constraint_begin(*cit);
         vit != ct.points_in_constraint_end(*cit);
         ++vit)
diff -pruN 5.0.2-3/examples/Polyline_simplification_2/simplify_polygon.cpp 5.0.3-1/examples/Polyline_simplification_2/simplify_polygon.cpp
--- 5.0.2-3/examples/Polyline_simplification_2/simplify_polygon.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyline_simplification_2/simplify_polygon.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -24,7 +24,7 @@ int main(int argc, char* argv[])
   CGAL::read_polygon_WKT(ifs, polygon);
   Cost cost;
   polygon = PS::simplify(polygon, cost, Stop(0.5));
-  
+
   std::cout.precision(12);
   CGAL::write_polygon_WKT(std::cout, polygon) << std::endl;
 
diff -pruN 5.0.2-3/examples/Polyline_simplification_2/simplify_polyline.cpp 5.0.3-1/examples/Polyline_simplification_2/simplify_polyline.cpp
--- 5.0.2-3/examples/Polyline_simplification_2/simplify_polyline.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyline_simplification_2/simplify_polyline.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -27,7 +27,7 @@ int main(int argc, char* argv[])
   Cost cost;
   std::deque<Point_2> result;
   PS::simplify(polyline.begin(), polyline.end(), cost, Stop(0.5), std::back_inserter(result));
-  
+
   std::cout.precision(12);
   for(std::size_t i=0; i < result.size(); ++i){
     std::cout << result[i] << std::endl;
diff -pruN 5.0.2-3/examples/Polyline_simplification_2/simplify_terrain.cpp 5.0.3-1/examples/Polyline_simplification_2/simplify_terrain.cpp
--- 5.0.2-3/examples/Polyline_simplification_2/simplify_terrain.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polyline_simplification_2/simplify_terrain.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -38,7 +38,7 @@ int main()
       cit != ct.constraints_end();
       ++cit) {
     std::cout << "simplified polyline" << std::endl;
-    for(Points_in_constraint_iterator vit = 
+    for(Points_in_constraint_iterator vit =
           ct.points_in_constraint_begin(*cit);
         vit != ct.points_in_constraint_end(*cit);
         ++vit)
diff -pruN 5.0.2-3/examples/Polynomial/CMakeLists.txt 5.0.3-1/examples/Polynomial/CMakeLists.txt
--- 5.0.2-3/examples/Polynomial/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polynomial/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Polynomial/coefficient_access.cpp 5.0.3-1/examples/Polynomial/coefficient_access.cpp
--- 5.0.2-3/examples/Polynomial/coefficient_access.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polynomial/coefficient_access.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -6,26 +6,26 @@ int main(){
   CGAL::set_pretty_mode(std::cout);
   typedef CGAL::Polynomial_type_generator<int,2>::Type Poly_2;
   typedef CGAL::Polynomial_traits_d<Poly_2>            PT_2;
-  
-  //construction using shift 
+
+  //construction using shift
   Poly_2 x = PT_2::Shift()(Poly_2(1),1,0); // = x^1
   Poly_2 y = PT_2::Shift()(Poly_2(1),1,1); // = y^1
-  
+
   Poly_2 F // = (11*x^2 + 5*x)*y^4 + (7*x^2)*y^3
-    = 11 * CGAL::ipower(y,4) * CGAL::ipower(x,2) 
-    + 5 * CGAL::ipower(y,4)  * CGAL::ipower(x,1) 
-    + 7 * CGAL::ipower(y,3)  * CGAL::ipower(x,2);  
+    = 11 * CGAL::ipower(y,4) * CGAL::ipower(x,2)
+    + 5 * CGAL::ipower(y,4)  * CGAL::ipower(x,1)
+    + 7 * CGAL::ipower(y,3)  * CGAL::ipower(x,2);
   std::cout << "The bivariate polynomial F: " << F <<"\n"<< std::endl;
-  
+
   PT_2::Get_coefficient get_coefficient;
   std::cout << "Coefficient of y^0: "<< get_coefficient(F,0) << std::endl;
   std::cout << "Coefficient of y^1: "<< get_coefficient(F,1) << std::endl;
   std::cout << "Coefficient of y^2: "<< get_coefficient(F,2) << std::endl;
   std::cout << "Coefficient of y^3: "<< get_coefficient(F,3) << std::endl;
   std::cout << "Coefficient of y^4: "<< get_coefficient(F,4) << std::endl;
-  std::cout << "Coefficient of y^5: "<< get_coefficient(F,5) << std::endl; 
+  std::cout << "Coefficient of y^5: "<< get_coefficient(F,5) << std::endl;
   std::cout << std::endl;
-  
+
   PT_2::Leading_coefficient lcoeff;
   std::cout << "Leading coefficient with respect to y:           "
             << lcoeff(F)   // = 11*x^2 + 5*x
@@ -35,9 +35,9 @@ int main(){
   std::cout << "Innermost coefficient of monomial x^1y^4:        "
             << get_icoeff(F,CGAL::Exponent_vector(1,4)) // = 5
             << std::endl;
-  
+
   PT_2::Innermost_leading_coefficient ilcoeff;
   std::cout << "Innermost leading coefficient with respect to y: "
-            << ilcoeff(F) // = 11 
-            << std::endl; 
+            << ilcoeff(F) // = 11
+            << std::endl;
 }
diff -pruN 5.0.2-3/examples/Polynomial/construction.cpp 5.0.3-1/examples/Polynomial/construction.cpp
--- 5.0.2-3/examples/Polynomial/construction.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polynomial/construction.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -4,23 +4,23 @@
 
 int main(){
   CGAL::set_pretty_mode(std::cout);
-  
+
   typedef CGAL::Polynomial_type_generator<int,2>::Type Poly_2;
   typedef CGAL::Polynomial_traits_d<Poly_2>            PT_2;
   typedef PT_2::Coefficient_type                       Poly_1;
-  typedef PT_2::Innermost_coefficient_type             Integer; 
-   
+  typedef PT_2::Innermost_coefficient_type             Integer;
+
   PT_2::Construct_polynomial construct_polynomial;
   Poly_2 dc;
 
 
   // constructing a constant polynomial from int
-  Poly_2 two(2); // = 2 
+  Poly_2 two(2); // = 2
   std::cout << "A constant polynomial: " << two << std::endl;
 
-  
+
   // construction from an iterator range of univariate polynomials
-  
+
   std::list<Poly_1> univariate_coeffs;
   univariate_coeffs.push_back(Poly_1(3));
   univariate_coeffs.push_back(Poly_1(0));
@@ -28,22 +28,22 @@ int main(){
   Poly_2 F = // 5*y^2 + 3
     construct_polynomial(univariate_coeffs.begin(),univariate_coeffs.end());
   std::cout << "The bivariate polynomial F: " << F << std::endl;
-  
-   
-  // construction from an iterator range over monomials 
-  
+
+
+  // construction from an iterator range over monomials
+
   std::list<std::pair<CGAL::Exponent_vector, Integer> > innermost_coeffs;
   innermost_coeffs.push_back(std::make_pair(CGAL::Exponent_vector(0,0),-2));
   innermost_coeffs.push_back(std::make_pair(CGAL::Exponent_vector(3,5),2));
   Poly_2 G = // (2*x^3)*y^5 + (-2)
     construct_polynomial(innermost_coeffs.begin(),innermost_coeffs.end());
   std::cout << "The bivariate polynomial G: " << G << std::endl;
-  
-  //construction using shift 
+
+  //construction using shift
   PT_2::Shift shift;
   Poly_2 x = shift(Poly_2(1),1,0); // 'multiply' 1 by x_0^1
   Poly_2 y = shift(Poly_2(1),1,1); // 'multiply' 1 by x_1^1
-  
+
   Poly_2 H = 5 * x * y + 3 * y * y; // = 3*y^2 + (5*x)*y
   std::cout << "The bivariate polynomial H: " << H << std::endl;
 }
diff -pruN 5.0.2-3/examples/Polynomial/degree.cpp 5.0.3-1/examples/Polynomial/degree.cpp
--- 5.0.2-3/examples/Polynomial/degree.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polynomial/degree.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -6,30 +6,30 @@ int main(){
   CGAL::set_pretty_mode(std::cout);
   typedef CGAL::Polynomial_type_generator<int,2>::Type Poly_2;
   typedef CGAL::Polynomial_traits_d<Poly_2>            PT_2;
-  
-  //construction using shift 
+
+  //construction using shift
   Poly_2 x = PT_2::Shift()(Poly_2(1),1,0); // x_0^1
   Poly_2 y = PT_2::Shift()(Poly_2(1),1,1); // x_1^1
-  
+
   Poly_2 F // = (11*x^2 + 5*x)*y^4 + (7*x^2)*y^3
-    = 11 * CGAL::ipower(y,4) * CGAL::ipower(x,2) 
-    + 5 * CGAL::ipower(y,4)  * CGAL::ipower(x,1) 
-    + 7 * CGAL::ipower(y,3)  * CGAL::ipower(x,2);  
+    = 11 * CGAL::ipower(y,4) * CGAL::ipower(x,2)
+    + 5 * CGAL::ipower(y,4)  * CGAL::ipower(x,1)
+    + 7 * CGAL::ipower(y,3)  * CGAL::ipower(x,2);
   std::cout << "The bivariate polynomial F: " << F <<"\n"<< std::endl;
-  
-  PT_2::Degree degree; 
-  PT_2::Total_degree total_degree; 
+
+  PT_2::Degree degree;
+  PT_2::Total_degree total_degree;
   PT_2::Degree_vector degree_vector;
-  
-  std::cout << "The degree of F with respect to y: "<< degree(F)       // = 4 
+
+  std::cout << "The degree of F with respect to y: "<< degree(F)       // = 4
             << std::endl;
-  std::cout << "The degree of F with respect to x: "<< degree(F,0)     // = 2 
+  std::cout << "The degree of F with respect to x: "<< degree(F,0)     // = 2
             << std::endl;
-  std::cout << "The total degree of F            : "<< total_degree(F) // = 6 
+  std::cout << "The total degree of F            : "<< total_degree(F) // = 6
             << std::endl;
   std::cout << "The degree vector of F           : "<< degree_vector(F)// = (2,4)
             << std::endl;
-  
-  
-  
+
+
+
 }
diff -pruN 5.0.2-3/examples/Polynomial/gcd_up_to_constant_factor.cpp 5.0.3-1/examples/Polynomial/gcd_up_to_constant_factor.cpp
--- 5.0.2-3/examples/Polynomial/gcd_up_to_constant_factor.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polynomial/gcd_up_to_constant_factor.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -6,33 +6,33 @@ int main(){
   CGAL::set_pretty_mode(std::cout);
   typedef CGAL::Polynomial_type_generator<int,1>::Type Poly_1;
   typedef CGAL::Polynomial_traits_d<Poly_1>            PT_1;
-  
+
   PT_1::Shift                     shift;
   PT_1::Gcd                       gcd;
   PT_1::Gcd_up_to_constant_factor gcd_utcf;
   PT_1::Multivariate_content      mcontent;
   PT_1::Canonicalize              canonicalize;
-  
-  //construction using shift 
+
+  //construction using shift
   Poly_1 x = shift(Poly_1(1),1,0); // x^1
-  
-  // common factor 7 * (x^2-2) 
+
+  // common factor 7 * (x^2-2)
   Poly_1 F = 21*(x-5)*(x*x-2); // = 21*x^3 + (-105)*x^2 + (-42)*x + 210
   Poly_1 G = 14*(x-3)*(x*x-2); // = 14*x^3 + (-42)*x^2 + (-28)*x + 84
-  
+
   std::cout << "The univariate polynomial F: " << F << std::endl;
   std::cout << "The univariate polynomial G: " << G << std::endl;
-  std::cout << "Common multivariate content:              " 
-            << CGAL::gcd(mcontent(F),mcontent(G)) // = 7 
+  std::cout << "Common multivariate content:              "
+            << CGAL::gcd(mcontent(F),mcontent(G)) // = 7
             << std::endl;
-  std::cout << "The gcd of F and G:                       " 
+  std::cout << "The gcd of F and G:                       "
             << gcd(F,G)                           // = 7*x^2 + (-14)
             << std::endl;
-  std::cout << "The gcd up to constant factor of F and G: " 
+  std::cout << "The gcd up to constant factor of F and G: "
             << gcd_utcf(F,G)                      // = x^2 + (-2)
             << std::endl;
-  std::cout << "Same as canonicalized gcd of F and G:     " 
+  std::cout << "Same as canonicalized gcd of F and G:     "
             << canonicalize(gcd_utcf(F,G))        // = x^2 + (-2)
             << std::endl;
-  
+
 }
diff -pruN 5.0.2-3/examples/Polynomial/subresultants.cpp 5.0.3-1/examples/Polynomial/subresultants.cpp
--- 5.0.2-3/examples/Polynomial/subresultants.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polynomial/subresultants.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -11,10 +11,10 @@ int main(){
 
   typedef CGAL::Polynomial_type_generator<Int,1>::Type Poly_1;
   typedef CGAL::Polynomial_traits_d<Poly_1>            PT_1;
-  
-  //construction using shift 
+
+  //construction using shift
   Poly_1 x = PT_1::Shift()(Poly_1(1),1); // x^1
-  
+
   Poly_1 F // = (x+1)^2*(x-1)*(2x-1)=2x^4+x^3-3x^2-x+1
     =   2 * CGAL::ipower(x,4) + 1 * CGAL::ipower(x,3)
       - 3 * CGAL::ipower(x,2) - 1 * CGAL::ipower(x,1)
@@ -34,9 +34,9 @@ int main(){
   // Real root counting:
   PT_1::Principal_sturm_habicht_sequence stha;
   std::vector<Int> psc;
-  
+
   stha(F,std::back_inserter(psc));
-  
+
   int roots = CGAL::number_of_real_roots(psc.begin(),psc.end());
 
   std::cout << "The number of real roots of F is: " << roots << std::endl; // 3
@@ -46,5 +46,5 @@ int main(){
   std::cout << "The number of real roots of G is: " << roots << std::endl; // 2
 
   return 0;
-  
+
 }
diff -pruN 5.0.2-3/examples/Polynomial/substitute.cpp 5.0.3-1/examples/Polynomial/substitute.cpp
--- 5.0.2-3/examples/Polynomial/substitute.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polynomial/substitute.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -6,35 +6,35 @@ int main(){
   CGAL::set_pretty_mode(std::cout);
   typedef CGAL::Polynomial_type_generator<int,2>::Type Poly_2;
   typedef CGAL::Polynomial_traits_d<Poly_2>            PT_2;
-  
-  //construction using shift 
+
+  //construction using shift
   Poly_2 x = PT_2::Shift()(Poly_2(1),1,0); // x^1
   Poly_2 y = PT_2::Shift()(Poly_2(1),1,1); // y^1
-  
-  
+
+
   Poly_2 F = 2*x*y + 3*CGAL::ipower(y,3);
   std::cout << "The bivariate polynomial F: " << F // = 3*y^3 + (2*x)*y
             << std::endl << std::endl;
 
   PT_2::Evaluate evaluate;
   PT_2::Evaluate_homogeneous hevaluate;
-  
+
   // Evaluation considers a polynomials as univariate:
   std::cout << "F(5): " << evaluate(F,5)      // = 10*x + 375
-            << std::endl; 
-  // Evaluate_homogeneous considers F as a homogeneous polynomial in 
-  // the outermost variable only, that is, F is interpreted as 
-  // F(u,v) = 2*x*u*v^2 + 3 * u^3 
+            << std::endl;
+  // Evaluate_homogeneous considers F as a homogeneous polynomial in
+  // the outermost variable only, that is, F is interpreted as
+  // F(u,v) = 2*x*u*v^2 + 3 * u^3
   std::cout << "F(5,7): " << hevaluate(F,5,7) // = 490*x + 375
             << std::endl << std::endl;
 
-  
+
   PT_2::Substitute substitute;
   PT_2::Substitute_homogeneous hsubstitute;
-  
-  // Substitute considers a polynomials as multivariate, that is, the 
+
+  // Substitute considers a polynomials as multivariate, that is, the
   // new values for the variables are given by an iterator range
-  // Note that the value type only has to be interoperable with the innermost 
+  // Note that the value type only has to be interoperable with the innermost
   // coefficient
   std::list<Poly_2> replacements;
   replacements.push_back(x-1); // replace x by x-1
@@ -45,10 +45,10 @@ int main(){
   std::cout << "F(x-1,y):   " // = 3*y^3 + (2*x + (-2))*y
             << substitute(F,replacements.begin(),replacements.end())
             << std::endl;
-  // Substitute_homogeneous considers F as a homogeneous polynomial in 
-  // all variable, that is, F is interpreted as 
-  // F(x,y,w) = 2*x*y*w + 3 * y^3 
-  replacements.push_back(y);  // replace z by y 
+  // Substitute_homogeneous considers F as a homogeneous polynomial in
+  // all variable, that is, F is interpreted as
+  // F(x,y,w) = 2*x*y*w + 3 * y^3
+  replacements.push_back(y);  // replace z by y
 
   std::cout << "F(x-1,y,y): " // = 3*y^3 + (2*x + (-2))*y^2
             << hsubstitute(F,replacements.begin(),replacements.end())
diff -pruN 5.0.2-3/examples/Polynomial/swap_move.cpp 5.0.3-1/examples/Polynomial/swap_move.cpp
--- 5.0.2-3/examples/Polynomial/swap_move.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polynomial/swap_move.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -6,26 +6,26 @@ int main(){
   CGAL::set_pretty_mode(std::cout);
   typedef CGAL::Polynomial_type_generator<int,3>::Type Poly_3;
   typedef CGAL::Polynomial_traits_d<Poly_3>            PT_3;
-  
-  //construction using shift 
+
+  //construction using shift
   Poly_3 x = PT_3::Shift()(Poly_3(1),1,0); // x_0^1
   Poly_3 y = PT_3::Shift()(Poly_3(1),1,1); // x_1^1
   Poly_3 z = PT_3::Shift()(Poly_3(1),1,2); // x_2^1
-  
-  
-  Poly_3 F = x*y*y*z*z*z; 
+
+
+  Poly_3 F = x*y*y*z*z*z;
   std::cout << "The trivariate polynomial F: " << F << std::endl;
   std::cout << std::endl;
 
-  PT_3::Swap swap; 
-  PT_3::Move move; 
-  PT_3::Permute permute; 
+  PT_3::Swap swap;
+  PT_3::Move move;
+  PT_3::Permute permute;
 
   std::cout << "x and z swapped: "<< swap(F,0,2) // = x^3*y^2*z
-            << std::endl;  
+            << std::endl;
   std::cout << "x and y swapped: "<< swap(F,0,1) // = x^2*y*z^3
-            << std::endl << std::endl; 
-  
+            << std::endl << std::endl;
+
   std::cout << "x moved to outermost position           : "
             << move(F,0,2)                       // = x^2*y^3*z
             << std::endl;
@@ -34,9 +34,9 @@ int main(){
             << std::endl;
 
   std::cout << "Same as the permutation (0,1,2)->(2,0,1): ";
-  std::vector<int> perm; 
+  std::vector<int> perm;
   perm.push_back(2);perm.push_back(0);perm.push_back(1);
   std::cout << permute(F,perm.begin(),perm.end())// = x^2*y^3*z
             << std::endl;
-  
+
 }
diff -pruN 5.0.2-3/examples/Polytope_distance_d/CMakeLists.txt 5.0.3-1/examples/Polytope_distance_d/CMakeLists.txt
--- 5.0.2-3/examples/Polytope_distance_d/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Polytope_distance_d/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Principal_component_analysis/CMakeLists.txt 5.0.3-1/examples/Principal_component_analysis/CMakeLists.txt
--- 5.0.2-3/examples/Principal_component_analysis/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Principal_component_analysis/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -23,8 +23,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Principal_component_analysis/linear_least_squares_fitting_points_2.cpp 5.0.3-1/examples/Principal_component_analysis/linear_least_squares_fitting_points_2.cpp
--- 5.0.2-3/examples/Principal_component_analysis/linear_least_squares_fitting_points_2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Principal_component_analysis/linear_least_squares_fitting_points_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -15,7 +15,7 @@ int main()
   points.push_back(Point(3.0,4.0));
   points.push_back(Point(5.0,6.0));
 
-  // fit line 
+  // fit line
   Line line;
   linear_least_squares_fitting_2(points.begin(),points.end(),line,CGAL::Dimension_tag<0>());
 
diff -pruN 5.0.2-3/examples/Principal_component_analysis/linear_least_squares_fitting_triangles_3.cpp 5.0.3-1/examples/Principal_component_analysis/linear_least_squares_fitting_triangles_3.cpp
--- 5.0.2-3/examples/Principal_component_analysis/linear_least_squares_fitting_triangles_3.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Principal_component_analysis/linear_least_squares_fitting_triangles_3.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -28,9 +28,9 @@ int main(void)
 
   // fit plane to whole triangles
   linear_least_squares_fitting_3(triangles.begin(),triangles.end(),plane,CGAL::Dimension_tag<2>());
-  
+
   // fit line to triangle vertices
   linear_least_squares_fitting_3(triangles.begin(),triangles.end(),line, CGAL::Dimension_tag<0>());
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Profiling_tools/CMakeLists.txt 5.0.3-1/examples/Profiling_tools/CMakeLists.txt
--- 5.0.2-3/examples/Profiling_tools/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Profiling_tools/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Property_map/CMakeLists.txt 5.0.3-1/examples/Property_map/CMakeLists.txt
--- 5.0.2-3/examples/Property_map/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Property_map/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -9,7 +9,7 @@ find_package( CGAL QUIET COMPONENTS  )
 if ( NOT CGAL_FOUND )
 
   message(STATUS "This project requires the CGAL library, and will not be compiled.")
-  return()  
+  return()
 
 endif()
 
@@ -20,7 +20,7 @@ if ( NOT Boost_FOUND )
 
   message(STATUS "This project requires the Boost library, and will not be compiled.")
 
-  return()  
+  return()
 
 endif()
 
diff -pruN 5.0.2-3/examples/Property_map/dynamic_properties.cpp 5.0.3-1/examples/Property_map/dynamic_properties.cpp
--- 5.0.2-3/examples/Property_map/dynamic_properties.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Property_map/dynamic_properties.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -16,13 +16,13 @@ int main()
   typedef boost::property_map<Mesh, CGAL::dynamic_vertex_property_t<std::string> >::type VertexNameMap;
   VertexNameMap vnm  = get(CGAL::dynamic_vertex_property_t<std::string>(), mesh);
   put(vnm, *(vertices(mesh).first), "Paris");
-  
+
   std::cout << get(vnm, *(vertices(mesh).first)) << std::endl;
-  
+
   typedef boost::property_map<Mesh, CGAL::dynamic_halfedge_property_t<double> >::type TrafficDensityMap;
   TrafficDensityMap tdm = get(CGAL::dynamic_halfedge_property_t<double>(), mesh);
   put(tdm, *(halfedges(mesh).first), 0.7);
-  
+
   std::cout << get(tdm, *(halfedges(mesh).first)) << std::endl;
 
   return 0;
diff -pruN 5.0.2-3/examples/QP_solver/CMakeLists.txt 5.0.3-1/examples/QP_solver/CMakeLists.txt
--- 5.0.2-3/examples/QP_solver/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/QP_solver/convex_hull_containment2.cpp 5.0.3-1/examples/QP_solver/convex_hull_containment2.cpp
--- 5.0.2-3/examples/QP_solver/convex_hull_containment2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/convex_hull_containment2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -18,8 +18,8 @@ typedef CGAL::Cartesian_d<double> Kernel
 typedef Kernel_d::Point_d Point_d;
 
 bool is_in_convex_hull (const Point_d& p,
-			std::vector<Point_d>::const_iterator begin,
-			std::vector<Point_d>::const_iterator end)
+                        std::vector<Point_d>::const_iterator begin,
+                        std::vector<Point_d>::const_iterator end)
 {
   CGAL::Quadratic_program_solution<ET> s =
     solve_convex_hull_containment_lp (p, begin, end,ET(0));
@@ -37,7 +37,7 @@ int main()
     for (int j=0; j<=10; ++j) {
       // (i,j) is in the simplex iff i+j <= 10
       bool contained = is_in_convex_hull
-	(Point_d (i, j), points.begin(), points.end());
+        (Point_d (i, j), points.begin(), points.end());
       assert (contained == (i+j<=10));
     }
 
diff -pruN 5.0.2-3/examples/QP_solver/convex_hull_containment_benchmarks.cpp 5.0.3-1/examples/QP_solver/convex_hull_containment_benchmarks.cpp
--- 5.0.2-3/examples/QP_solver/convex_hull_containment_benchmarks.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/convex_hull_containment_benchmarks.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,4 +1,4 @@
-// Example: assess the solver performance under any of the available 
+// Example: assess the solver performance under any of the available
 // pricing strategies, in the convex-hull-containment problem
 // NOTE: in order to see meaningful results, compile with -DNDEBUG
 #include <vector>
@@ -30,11 +30,11 @@ int main()
   std::vector<Point_d> points;
   for (int j =0; j<n; ++j) {
     std::vector<double> coords;
-    for (int i=0; i<d; ++i) 
+    for (int i=0; i<d; ++i)
       coords.push_back(rd.get_double());
     points.push_back (Point_d (d, coords.begin(), coords.end()));
   }
-  
+
   // benchmark all pricing strategies in turn
   CGAL::Quadratic_program_pricing_strategy strategy[] = {
     CGAL::QP_CHOOSE_DEFAULT,              // QP_PARTIAL_FILTERED_DANTZIG
@@ -44,7 +44,7 @@ int main()
     CGAL::QP_FILTERED_DANTZIG,            // Dantzig's filtered pivot rule...
     CGAL::QP_PARTIAL_FILTERED_DANTZIG     // ... with partial pricing
   };
-  
+
   CGAL::Timer t;
   for (int i=0; i<6; ++i) {
     // test strategy i
@@ -52,8 +52,8 @@ int main()
     options.set_pricing_strategy (strategy[i]);
     t.reset(); t.start();
     // is origin in convex hull of the points? (most likely, not)
-    solve_convex_hull_containment_lp 
-      (Point_d (d, CGAL::ORIGIN), points.begin(), points.end(), 
+    solve_convex_hull_containment_lp
+      (Point_d (d, CGAL::ORIGIN), points.begin(), points.end(),
        ET(0), options);
     t.stop();
     std::cout << "Time (s) = " << t.time() << std::endl;
diff -pruN 5.0.2-3/examples/QP_solver/convex_hull_containment.cpp 5.0.3-1/examples/QP_solver/convex_hull_containment.cpp
--- 5.0.2-3/examples/QP_solver/convex_hull_containment.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/convex_hull_containment.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -18,8 +18,8 @@ typedef CGAL::Cartesian_d<double> Kernel
 typedef Kernel_d::Point_d Point_d;
 
 bool is_in_convex_hull (const Point_d& p,
-			std::vector<Point_d>::const_iterator begin,
-			std::vector<Point_d>::const_iterator end)
+                        std::vector<Point_d>::const_iterator begin,
+                        std::vector<Point_d>::const_iterator end)
 {
   CGAL::Quadratic_program_solution<ET> s =
     solve_convex_hull_containment_lp (p, begin, end, ET(0));
@@ -37,7 +37,7 @@ int main()
     for (int j=0; j<=10; ++j) {
       // (i,j) is in the simplex iff i+j <= 10
       bool contained = is_in_convex_hull
-	(Point_d (i, j), points.begin(), points.end());
+        (Point_d (i, j), points.begin(), points.end());
       assert (contained == (i+j<=10));
     }
 
diff -pruN 5.0.2-3/examples/QP_solver/cycling.cpp 5.0.3-1/examples/QP_solver/cycling.cpp
--- 5.0.2-3/examples/QP_solver/cycling.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/cycling.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -29,7 +29,7 @@ int main() {
   // solve the program, using ET as the exact type
   // choose verbose mode and Bland pricing
   CGAL::Quadratic_program_options options;
-  options.set_verbosity(1);                         // verbose mode 
+  options.set_verbosity(1);                         // verbose mode
   options.set_pricing_strategy(CGAL::QP_BLAND);     // Bland's rule
   options.set_auto_validation(true);                // automatic self-check
   Solution s = CGAL::solve_nonnegative_linear_program(lp, ET(), options);
diff -pruN 5.0.2-3/examples/QP_solver/first_lp.cpp 5.0.3-1/examples/QP_solver/first_lp.cpp
--- 5.0.2-3/examples/QP_solver/first_lp.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/first_lp.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -21,10 +21,10 @@ typedef CGAL::Quadratic_program_solution
 
 int main() {
   // by default, we have a nonnegative LP with Ax <= b
-  Program lp (CGAL::SMALLER, true, 0, false, 0); 
-  
+  Program lp (CGAL::SMALLER, true, 0, false, 0);
+
   // now set the non-default entries
-  const int X = 0; 
+  const int X = 0;
   const int Y = 1;
   lp.set_a(X, 0,  1); lp.set_a(Y, 0, 1); lp.set_b(0, 7);  //  x + y  <= 7
   lp.set_a(X, 1, -1); lp.set_a(Y, 1, 2); lp.set_b(1, 4);  // -x + 2y <= 4
@@ -37,6 +37,6 @@ int main() {
   assert (s.solves_linear_program(lp));
 
   // output solution
-  std::cout << s; 
+  std::cout << s;
   return 0;
 }
diff -pruN 5.0.2-3/examples/QP_solver/first_lp_from_iterators.cpp 5.0.3-1/examples/QP_solver/first_lp_from_iterators.cpp
--- 5.0.2-3/examples/QP_solver/first_lp_from_iterators.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/first_lp_from_iterators.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -23,7 +23,7 @@ typedef CGAL::Linear_program_from_iterat
  int*,                                                 // for l
  bool*,                                                // for fu
  int*,                                                 // for u
- int*>                                                 // for c 
+ int*>                                                 // for c
 Program;
 typedef CGAL::Quadratic_program_solution<ET> Solution;
 
@@ -32,7 +32,7 @@ int main() {
   int  Ay[] = {1,  2};                        // column for y
   int*  A[] = {Ax, Ay};                       // A comes columnwise
   int   b[] = {7, 4};                         // right-hand side
-  CGAL::Const_oneset_iterator<CGAL::Comparison_result> 
+  CGAL::Const_oneset_iterator<CGAL::Comparison_result>
         r(    CGAL::SMALLER);                 // constraints are "<="
   bool fl[] = {true, true};                   // both x, y are lower-bounded
   int   l[] = {0, 0};
diff -pruN 5.0.2-3/examples/QP_solver/first_lp_from_mps.cpp 5.0.3-1/examples/QP_solver/first_lp_from_mps.cpp
--- 5.0.2-3/examples/QP_solver/first_lp_from_mps.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/first_lp_from_mps.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,4 +1,4 @@
-// example: read linear program in MPS format from file 
+// example: read linear program in MPS format from file
 // the LP below is the first linear program example in the user manual
 #include <iostream>
 #include <fstream>
diff -pruN 5.0.2-3/examples/QP_solver/first_nonnegative_lp.cpp 5.0.3-1/examples/QP_solver/first_nonnegative_lp.cpp
--- 5.0.2-3/examples/QP_solver/first_nonnegative_lp.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/first_nonnegative_lp.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,5 +1,5 @@
 // example: construct a nonnegative linear program from data
-// the LP below is the first nonnegative linear program example 
+// the LP below is the first nonnegative linear program example
 // in the user manual
 #include <iostream>
 #include <cassert>
@@ -22,10 +22,10 @@ typedef CGAL::Quadratic_program_solution
 
 int main() {
   // by default, we have a nonnegative LP with Ax <= b
-  Program lp (CGAL::SMALLER, true, 0, false, 0); 
-  
+  Program lp (CGAL::SMALLER, true, 0, false, 0);
+
   // now set the non-default entries
-  const int X = 0; 
+  const int X = 0;
   const int Y = 1;
   lp.set_a(X, 0,  1); lp.set_a(Y, 0, 1); lp.set_b(0, 7);  //  x + y  <= 7
   lp.set_a(X, 1, -1); lp.set_a(Y, 1, 2); lp.set_b(1, 4);  // -x + 2y <= 4
@@ -34,7 +34,7 @@ int main() {
   // solve the program, using ET as the exact type
   Solution s = CGAL::solve_nonnegative_linear_program(lp, ET());
   assert (s.solves_nonnegative_linear_program(lp));
- 
+
   // output solution
   std::cout << s;
   return 0;
diff -pruN 5.0.2-3/examples/QP_solver/first_nonnegative_lp_from_iterators.cpp 5.0.3-1/examples/QP_solver/first_nonnegative_lp_from_iterators.cpp
--- 5.0.2-3/examples/QP_solver/first_nonnegative_lp_from_iterators.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/first_nonnegative_lp_from_iterators.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,5 +1,5 @@
 // example: construct a nonnegative linear program from given iterators
-// the LP below is the first nonnegative linear program example 
+// the LP below is the first nonnegative linear program example
 // in the user manual
 #include <iostream>
 
@@ -20,7 +20,7 @@ typedef CGAL::Nonnegative_linear_program
 <int**,                                                // for A
  int*,                                                 // for b
  CGAL::Const_oneset_iterator<CGAL::Comparison_result>, // for r
- int*>                                                 // for c 
+ int*>                                                 // for c
 Program;
 typedef CGAL::Quadratic_program_solution<ET> Solution;
 
@@ -29,7 +29,7 @@ int main() {
   int  Ay[] = {1,  2};                        // column for y
   int*  A[] = {Ax, Ay};                       // A comes columnwise
   int   b[] = {7, 4};                         // right-hand side
-  CGAL::Const_oneset_iterator<CGAL::Comparison_result> 
+  CGAL::Const_oneset_iterator<CGAL::Comparison_result>
         r(    CGAL::SMALLER);                 // constraints are "<="
   int   c[] = {0, -32};
 
diff -pruN 5.0.2-3/examples/QP_solver/first_nonnegative_lp_from_mps.cpp 5.0.3-1/examples/QP_solver/first_nonnegative_lp_from_mps.cpp
--- 5.0.2-3/examples/QP_solver/first_nonnegative_lp_from_mps.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/first_nonnegative_lp_from_mps.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,5 +1,5 @@
-// example: read nonnegative linear program in MPS format from file 
-// the LP below is the first nonnegative linear program example 
+// example: read nonnegative linear program in MPS format from file
+// the LP below is the first nonnegative linear program example
 // in the user manual
 #include <iostream>
 #include <fstream>
diff -pruN 5.0.2-3/examples/QP_solver/first_nonnegative_qp.cpp 5.0.3-1/examples/QP_solver/first_nonnegative_qp.cpp
--- 5.0.2-3/examples/QP_solver/first_nonnegative_qp.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/first_nonnegative_qp.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,5 +1,5 @@
 // example: construct a nonnegative quadratic program from data
-// the QP below is the first nonnegative quadratic program example 
+// the QP below is the first nonnegative quadratic program example
 // in the user manual
 #include <iostream>
 #include <cassert>
@@ -22,10 +22,10 @@ typedef CGAL::Quadratic_program_solution
 
 int main() {
   // by default, we have a nonnegative QP with Ax <= b
-  Program qp (CGAL::SMALLER, true, 0, false, 0); 
-  
+  Program qp (CGAL::SMALLER, true, 0, false, 0);
+
   // now set the non-default entries
-  const int X = 0; 
+  const int X = 0;
   const int Y = 1;
   qp.set_a(X, 0,  1); qp.set_a(Y, 0, 1); qp.set_b(0, 7);  //  x + y  <= 7
   qp.set_a(X, 1, -1); qp.set_a(Y, 1, 2); qp.set_b(1, 4);  // -x + 2y <= 4
@@ -36,8 +36,8 @@ int main() {
   // solve the program, using ET as the exact type
   Solution s = CGAL::solve_nonnegative_quadratic_program(qp, ET());
   assert (s.solves_nonnegative_quadratic_program(qp));
- 
+
   // output solution
-  std::cout << s; 
+  std::cout << s;
   return 0;
 }
diff -pruN 5.0.2-3/examples/QP_solver/first_nonnegative_qp_from_iterators.cpp 5.0.3-1/examples/QP_solver/first_nonnegative_qp_from_iterators.cpp
--- 5.0.2-3/examples/QP_solver/first_nonnegative_qp_from_iterators.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/first_nonnegative_qp_from_iterators.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,5 +1,5 @@
 // example: construct a nonnegative quadratic program from given iterators
-// the QP below is the first nonnegative quadratic program example 
+// the QP below is the first nonnegative quadratic program example
 // in the user manual
 #include <iostream>
 
@@ -21,7 +21,7 @@ typedef CGAL::Nonnegative_quadratic_prog
  int*,                                                 // for b
  CGAL::Const_oneset_iterator<CGAL::Comparison_result>, // for r
  int**,                                                // for D
- int*>                                                 // for c 
+ int*>                                                 // for c
 Program;
 typedef CGAL::Quadratic_program_solution<ET> Solution;
 
@@ -30,7 +30,7 @@ int main() {
   int  Ay[] = {1,  2};                        // column for y
   int*  A[] = {Ax, Ay};                       // A comes columnwise
   int   b[] = {7, 4};                         // right-hand side
-  CGAL::Const_oneset_iterator<CGAL::Comparison_result> 
+  CGAL::Const_oneset_iterator<CGAL::Comparison_result>
         r(    CGAL::SMALLER);                 // constraints are "<="
   int  D1[] = {2};                            // 2D_{1,1}
   int  D2[] = {0, 8};                         // 2D_{2,1}, 2D_{2,2}
diff -pruN 5.0.2-3/examples/QP_solver/first_nonnegative_qp_from_mps.cpp 5.0.3-1/examples/QP_solver/first_nonnegative_qp_from_mps.cpp
--- 5.0.2-3/examples/QP_solver/first_nonnegative_qp_from_mps.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/first_nonnegative_qp_from_mps.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,5 +1,5 @@
-// example: read nonnegative quadratic program in MPS format from file 
-// the QP below is the first nonnegative quadratic program example 
+// example: read nonnegative quadratic program in MPS format from file
+// the QP below is the first nonnegative quadratic program example
 // in the user manual
 #include <iostream>
 #include <fstream>
diff -pruN 5.0.2-3/examples/QP_solver/first_qp_basic_constraints.cpp 5.0.3-1/examples/QP_solver/first_qp_basic_constraints.cpp
--- 5.0.2-3/examples/QP_solver/first_qp_basic_constraints.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/first_qp_basic_constraints.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,4 +1,4 @@
-// example: output basic constraint indices 
+// example: output basic constraint indices
 // the QP below is the first quadratic program example in the user manual
 #include <iostream>
 
@@ -20,8 +20,8 @@ typedef CGAL::Quadratic_program_solution
 
 int main() {
   // by default, we have a nonnegative QP with Ax <= b
-  Program qp (CGAL::SMALLER, true, 0, false, 0); 
-  
+  Program qp (CGAL::SMALLER, true, 0, false, 0);
+
   // now set the non-default entries: 0 <-> x, 1 <-> y
   qp.set_a(0, 0,  1); qp.set_a(1, 0, 1); qp.set_b(0, 7);  //  x + y  <= 7
   qp.set_a(0, 1, -1); qp.set_a(1, 1, 2); qp.set_b(1, 4);  // -x + 2y <= 4
@@ -37,7 +37,7 @@ int main() {
   if (s.is_optimal()) { // we know that, don't we?
     std::cout << "Basic constraints: ";
     for (Solution::Index_iterator it = s.basic_constraint_indices_begin();
-	 it != s.basic_constraint_indices_end(); ++it)
+         it != s.basic_constraint_indices_end(); ++it)
       std::cout << *it << "  ";
     std::cout << std::endl;
   }
diff -pruN 5.0.2-3/examples/QP_solver/first_qp.cpp 5.0.3-1/examples/QP_solver/first_qp.cpp
--- 5.0.2-3/examples/QP_solver/first_qp.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/first_qp.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -21,10 +21,10 @@ typedef CGAL::Quadratic_program_solution
 
 int main() {
   // by default, we have a nonnegative QP with Ax <= b
-  Program qp (CGAL::SMALLER, true, 0, false, 0); 
-  
-  // now set the non-default entries: 
-  const int X = 0; 
+  Program qp (CGAL::SMALLER, true, 0, false, 0);
+
+  // now set the non-default entries:
+  const int X = 0;
   const int Y = 1;
   qp.set_a(X, 0,  1); qp.set_a(Y, 0, 1); qp.set_b(0, 7);  //  x + y  <= 7
   qp.set_a(X, 1, -1); qp.set_a(Y, 1, 2); qp.set_b(1, 4);  // -x + 2y <= 4
@@ -38,6 +38,6 @@ int main() {
   assert (s.solves_quadratic_program(qp));
 
   // output solution
-  std::cout << s; 
+  std::cout << s;
   return 0;
 }
diff -pruN 5.0.2-3/examples/QP_solver/first_qp_from_iterators.cpp 5.0.3-1/examples/QP_solver/first_qp_from_iterators.cpp
--- 5.0.2-3/examples/QP_solver/first_qp_from_iterators.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/first_qp_from_iterators.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -24,7 +24,7 @@ typedef CGAL::Quadratic_program_from_ite
  bool*,                                                // for fu
  int*,                                                 // for u
  int**,                                                // for D
- int*>                                                 // for c 
+ int*>                                                 // for c
 Program;
 typedef CGAL::Quadratic_program_solution<ET> Solution;
 
@@ -33,7 +33,7 @@ int main() {
   int  Ay[] = {1,  2};                        // column for y
   int*  A[] = {Ax, Ay};                       // A comes columnwise
   int   b[] = {7, 4};                         // right-hand side
-  CGAL::Const_oneset_iterator<CGAL::Comparison_result> 
+  CGAL::Const_oneset_iterator<CGAL::Comparison_result>
         r(    CGAL::SMALLER);                 // constraints are "<="
   bool fl[] = {true, true};                   // both x, y are lower-bounded
   int   l[] = {0, 0};
diff -pruN 5.0.2-3/examples/QP_solver/first_qp_from_mps.cpp 5.0.3-1/examples/QP_solver/first_qp_from_mps.cpp
--- 5.0.2-3/examples/QP_solver/first_qp_from_mps.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/first_qp_from_mps.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,4 +1,4 @@
-// example: read quadratic program in MPS format from file 
+// example: read quadratic program in MPS format from file
 // the QP below is the first quadratic program example in the user manual
 #include <iostream>
 #include <fstream>
@@ -28,6 +28,6 @@ int main() {
   Solution s = CGAL::solve_quadratic_program(qp, ET());
 
   // output solution
-  std::cout << s; 
+  std::cout << s;
   return 0;
 }
diff -pruN 5.0.2-3/examples/QP_solver/important_variables.cpp 5.0.3-1/examples/QP_solver/important_variables.cpp
--- 5.0.2-3/examples/QP_solver/important_variables.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/important_variables.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -17,23 +17,23 @@ int main()
   points.push_back (Point_d (4, 1)); // point 1
   points.push_back (Point_d (4, 4)); // point 2
   points.push_back (Point_d (2, 3)); // point 3
- 
+
   // test all 25 integer points in [0,4]^2
   for (int i=0; i<=4; ++i)
     for (int j=0; j<=4; ++j) {
       Point_d p (i, j);
       Solution s = solve_convex_hull_containment_lp
-	(p, points.begin(), points.end(), CGAL::MP_Float());
+        (p, points.begin(), points.end(), CGAL::MP_Float());
       std::cout << p;
       if (s.is_infeasible())
-	std::cout << " is not in the convex hull\n";
+        std::cout << " is not in the convex hull\n";
       else {
-	assert (s.is_optimal());
-	std::cout << " is a convex combination of the points ";
-	Solution::Index_iterator it = s.basic_variable_indices_begin();
-	Solution::Index_iterator end = s.basic_variable_indices_end();
-	for (; it != end; ++it) std::cout << *it << " ";
-	std::cout << std::endl;
+        assert (s.is_optimal());
+        std::cout << " is a convex combination of the points ";
+        Solution::Index_iterator it = s.basic_variable_indices_begin();
+        Solution::Index_iterator end = s.basic_variable_indices_end();
+        for (; it != end; ++it) std::cout << *it << " ";
+        std::cout << std::endl;
       }
     }
   return 0;
diff -pruN 5.0.2-3/examples/QP_solver/infeasibility_certificate.cpp 5.0.3-1/examples/QP_solver/infeasibility_certificate.cpp
--- 5.0.2-3/examples/QP_solver/infeasibility_certificate.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/infeasibility_certificate.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -18,16 +18,16 @@ typedef CGAL::Nonnegative_linear_program
 <int**,                                                // for A
  int*,                                                 // for b
  CGAL::Comparison_result*,                             // for r
- int*>                                                 // for c 
+ int*>                                                 // for c
 Program;
 typedef CGAL::Quadratic_program_solution<ET> Solution;
 
-// we demonstrate Farkas Lemma: either the system 
+// we demonstrate Farkas Lemma: either the system
 //     A x <= b
 //       x >= 0
 // has a solution, or there exists y such that
-//       y >= 0 
-//    y^TA >= 0 
+//       y >= 0
+//    y^TA >= 0
 //    y^Tb <  0
 // In the following instance, the first system has no solution,
 // since adding up the two inequalities gives x_2 <= -1:
@@ -40,7 +40,7 @@ int main() {
   int  Ax2[] = {-2,  3};                        // column for x2
   int*   A[] = {Ax1, Ax2};                      // A comes columnwise
   int    b[] = {1, -2};                         // right-hand side
-  CGAL::Comparison_result 
+  CGAL::Comparison_result
     r[] = {CGAL::SMALLER, CGAL::SMALLER};      // constraints are "<="
   int    c[] = {0, 0};                         // zero objective function
 
@@ -53,7 +53,7 @@ int main() {
 
   // get certificate for infeasibility
   assert (s.is_infeasible());
-  Solution::Infeasibility_certificate_iterator y = 
+  Solution::Infeasibility_certificate_iterator y =
     s.infeasibility_certificate_begin();
   // check y >= 0
   assert (ET(y[0]) >= 0);
diff -pruN 5.0.2-3/examples/QP_solver/invert_matrix.cpp 5.0.3-1/examples/QP_solver/invert_matrix.cpp
--- 5.0.2-3/examples/QP_solver/invert_matrix.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/invert_matrix.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -33,14 +33,14 @@ int main() {
 
   // constraint matrix A: the random matrix to be inverted
   for (int j=0; j<n; ++j)
-    for (int i=0; i<n; ++i) 
+    for (int i=0; i<n; ++i)
       lp.set_a (j, i, rd.get_int (-s, s));
 
   // we need to solve n LP, one for every right-hand side b =  e_j to
   // get j-th column of the inverse
   for (int j=0; j<n; ++j) {
     lp.set_b (j, 1);
-	       
+
     // solve the lp, using ET as the exact type
     Solution s = CGAL::solve_linear_program(lp, ET());
     if (s.is_infeasible()) {
@@ -50,25 +50,25 @@ int main() {
       // store solution
       inv_a.push_back(std::vector<CGAL::Quotient<ET> >());
       std::copy (s.variable_values_begin(), s.variable_values_end(),
-		 std::back_inserter (inv_a[j]));
+                 std::back_inserter (inv_a[j]));
     }
     lp.set_b (j, 0); // reset for next round
   }
 
   // output both matrices, and check that they are indeed inverse to each
-  // other 
+  // other
   std::cout << "Random matrix A...:" << std::endl;
   Program::A_iterator a = lp.get_a();
   for (int i=0; i<n; ++i) {
-    for (int j=0; j<n; ++j) 
-      std::cout << (*(a+j))[i] << " "; // row i 
+    for (int j=0; j<n; ++j)
+      std::cout << (*(a+j))[i] << " "; // row i
     std::cout << std::endl;
   }
 
   std::cout << std::endl << "...and its inverse: " << std::endl;
   for (int i=0; i<n; ++i) {
-    for (int j=0; j<n; ++j) 
-      std::cout << inv_a[j][i] << " "; // row i 
+    for (int j=0; j<n; ++j)
+      std::cout << inv_a[j][i] << " "; // row i
     std::cout << std::endl;
   }
 
@@ -76,7 +76,7 @@ int main() {
   for (int i=0; i<n; ++i)
     for (int j=0; j<n; ++j) {
       // i-th row of A times j-th column of inverse
-      CGAL::Quotient<ET> val; 
+      CGAL::Quotient<ET> val;
       for (int k=0; k<n; ++k) val += (*(a+k))[i] * inv_a[j][k];
       assert (val == (i == j ? 1 : 0));
     }
diff -pruN 5.0.2-3/examples/QP_solver/optimality_certificate.cpp 5.0.3-1/examples/QP_solver/optimality_certificate.cpp
--- 5.0.2-3/examples/QP_solver/optimality_certificate.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/optimality_certificate.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -18,13 +18,13 @@ typedef CGAL::Nonnegative_linear_program
 <int**,                                                // for A
  int*,                                                 // for b
  CGAL::Comparison_result*,                             // for r
- int*>                                                 // for c 
+ int*>                                                 // for c
 Program;
 typedef CGAL::Quadratic_program_solution<ET> Solution;
 
 // we demonstrate the optimality certificate: if the
 // linear program
-// min c^T x 
+// min c^T x
 //       A x <= b
 //         x >= 0
 // has an optimal solution x*, then there exists y (in fact an optimal
@@ -33,10 +33,10 @@ typedef CGAL::Quadratic_program_solution
 //    y^T A  >= -c^T,
 //    y^T b   = -c^T x*
 //
-// In the following instance, the linear program has an optimal solution, 
-// since it is feasible (take (1,0)) and bounded, due to the first 
+// In the following instance, the linear program has an optimal solution,
+// since it is feasible (take (1,0)) and bounded, due to the first
 // constraint:
-// min  x_1 + 2x_2 
+// min  x_1 + 2x_2
 //      x_1 + 3x_2  <=  1
 //     -x_1 +  x_2  <= -1
 //      x_1,   x_2  >=  0
@@ -46,7 +46,7 @@ int main() {
   int  Ax2[] = { 3,  1};                        // column for x2
   int*   A[] = {Ax1, Ax2};                      // A comes columnwise
   int    b[] = { 1, -1};                        // right-hand side
-  CGAL::Comparison_result 
+  CGAL::Comparison_result
     r[] = {CGAL::SMALLER, CGAL::SMALLER};       // constraints are "<="
   int    c[] = { 1,  2};                        // objective function
 
@@ -59,14 +59,14 @@ int main() {
 
   // get certificate for optimality
   assert (s.is_optimal());
-  Solution::Variable_value_iterator x = 
+  Solution::Variable_value_iterator x =
     s.variable_values_begin();
-  Solution::Optimality_certificate_iterator y = 
+  Solution::Optimality_certificate_iterator y =
     s.optimality_certificate_begin();
   // check y >= 0
   assert (y[0] >= 0);
   assert (y[1] >= 0);
-  // check y^T A >= -c^T 
+  // check y^T A >= -c^T
   assert (y[0] * A[0][0] + y[1] * A[0][1] >= -c[0]);
   assert (y[0] * A[1][0] + y[1] * A[1][1] >= -c[1]);
   // check y^T b = c^T x*
diff -pruN 5.0.2-3/examples/QP_solver/print_first_lp.cpp 5.0.3-1/examples/QP_solver/print_first_lp.cpp
--- 5.0.2-3/examples/QP_solver/print_first_lp.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/print_first_lp.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -8,8 +8,8 @@ typedef CGAL::Quadratic_program<int> Pro
 
 int main() {
   // by default, we have a nonnegative QP with Ax <= b
-  Program lp (CGAL::SMALLER, true, 0, false, 0); 
-  
+  Program lp (CGAL::SMALLER, true, 0, false, 0);
+
   // now set the non-default entries: 0 <-> x, 1 <-> y
   lp.set_a(0, 0,  1); lp.set_a(1, 0, 1); lp.set_b(0, 7);  //  x + y  <= 7
   lp.set_a(0, 1, -1); lp.set_a(1, 1, 2); lp.set_b(1, 4);  // -x + 2y <= 4
diff -pruN 5.0.2-3/examples/QP_solver/print_first_nonnegative_lp.cpp 5.0.3-1/examples/QP_solver/print_first_nonnegative_lp.cpp
--- 5.0.2-3/examples/QP_solver/print_first_nonnegative_lp.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/print_first_nonnegative_lp.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -8,8 +8,8 @@ typedef CGAL::Quadratic_program<int> Pro
 
 int main() {
   // by default, we have a nonnegative QP with Ax <= b
-  Program lp (CGAL::SMALLER, true, 0, false, 0); 
-  
+  Program lp (CGAL::SMALLER, true, 0, false, 0);
+
   // now set the non-default entries: 0 <-> x, 1 <-> y
   lp.set_a(0, 0,  1); lp.set_a(1, 0, 1); lp.set_b(0, 7);  //  x + y  <= 7
   lp.set_a(0, 1, -1); lp.set_a(1, 1, 2); lp.set_b(1, 4);  // -x + 2y <= 4
diff -pruN 5.0.2-3/examples/QP_solver/print_first_nonnegative_qp.cpp 5.0.3-1/examples/QP_solver/print_first_nonnegative_qp.cpp
--- 5.0.2-3/examples/QP_solver/print_first_nonnegative_qp.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/print_first_nonnegative_qp.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -8,11 +8,11 @@ typedef CGAL::Quadratic_program<int> Pro
 
 int main() {
   // by default, we have a nonnegative QP with Ax <= b
-  Program qp (CGAL::SMALLER, true, 0, false, 0); 
-  
+  Program qp (CGAL::SMALLER, true, 0, false, 0);
+
   // now set the non-default entries: 0 <-> x, 1 <-> y
   qp.set_a(0, 0,  1); qp.set_a(1, 0, 1); qp.set_b(0, 7);  //  x + y  <= 7
-  qp.set_a(0, 1, -1); qp.set_a(1, 1, 2); qp.set_b(1, 4);  // -x + 2y <= 4  
+  qp.set_a(0, 1, -1); qp.set_a(1, 1, 2); qp.set_b(1, 4);  // -x + 2y <= 4
   qp.set_d(0, 0, 2); qp.set_d (1, 1, 8);                  // x^2 + 4 y^2
   qp.set_c(1, -32);                                       // -32y
   qp.set_c0(64);                                          // +64
diff -pruN 5.0.2-3/examples/QP_solver/print_first_qp.cpp 5.0.3-1/examples/QP_solver/print_first_qp.cpp
--- 5.0.2-3/examples/QP_solver/print_first_qp.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/print_first_qp.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -8,11 +8,11 @@ typedef CGAL::Quadratic_program<int> Pro
 
 int main() {
   // by default, we have a nonnegative QP with Ax <= b
-  Program qp (CGAL::SMALLER, true, 0, false, 0); 
-  
+  Program qp (CGAL::SMALLER, true, 0, false, 0);
+
   // now set the non-default entries: 0 <-> x, 1 <-> y
   qp.set_a(0, 0,  1); qp.set_a(1, 0, 1); qp.set_b(0, 7);  //  x + y  <= 7
-  qp.set_a(0, 1, -1); qp.set_a(1, 1, 2); qp.set_b(1, 4);  // -x + 2y <= 4  
+  qp.set_a(0, 1, -1); qp.set_a(1, 1, 2); qp.set_b(1, 4);  // -x + 2y <= 4
   qp.set_u(1, true, 4);                                   //       y <= 4
   qp.set_d(0, 0, 2); qp.set_d (1, 1, 8);                  // x^2 + 4 y^2
   qp.set_c(1, -32);                                       // -32y
diff -pruN 5.0.2-3/examples/QP_solver/solve_convex_hull_containment_lp2.h 5.0.3-1/examples/QP_solver/solve_convex_hull_containment_lp2.h
--- 5.0.2-3/examples/QP_solver/solve_convex_hull_containment_lp2.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/solve_convex_hull_containment_lp2.h	2020-08-01 19:02:46.000000000 +0000
@@ -1,4 +1,4 @@
-// example: function to check whether a point is in the convex 
+// example: function to check whether a point is in the convex
 // hull of other points; this version uses a maker
 #include <CGAL/boost/iterator/transform_iterator.hpp>
 #include <CGAL/Kernel_traits.h>
@@ -19,8 +19,8 @@ struct Homogeneous_begin  {
 template <class Point_d, class RandomAccessIterator, class ET>
 CGAL::Quadratic_program_solution<ET>
 solve_convex_hull_containment_lp (const Point_d& p,
-				  RandomAccessIterator begin,
-				  RandomAccessIterator end, const ET& dummy)
+                                  RandomAccessIterator begin,
+                                  RandomAccessIterator end, const ET& dummy)
 {
   // construct program and solve it
   return CGAL::solve_nonnegative_linear_program
diff -pruN 5.0.2-3/examples/QP_solver/solve_convex_hull_containment_lp3.h 5.0.3-1/examples/QP_solver/solve_convex_hull_containment_lp3.h
--- 5.0.2-3/examples/QP_solver/solve_convex_hull_containment_lp3.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/solve_convex_hull_containment_lp3.h	2020-08-01 19:02:46.000000000 +0000
@@ -1,4 +1,4 @@
-// example: function to check whether a point is in the convex 
+// example: function to check whether a point is in the convex
 // hull of other points; this version uses a maker
 #include <CGAL/boost/iterator/transform_iterator.hpp>
 #include <CGAL/Kernel_traits.h>
@@ -20,9 +20,9 @@ struct Homogeneous_begin  {
 template <class Point_d, class RandomAccessIterator, class ET>
 CGAL::Quadratic_program_solution<ET>
 solve_convex_hull_containment_lp (const Point_d& p,
-				  RandomAccessIterator begin,
-				  RandomAccessIterator end, const ET& dummy,
-				  const CGAL::Quadratic_program_options& o)
+                                  RandomAccessIterator begin,
+                                  RandomAccessIterator end, const ET& dummy,
+                                  const CGAL::Quadratic_program_options& o)
 {
   // construct program and solve it
   return CGAL::solve_nonnegative_linear_program
@@ -35,5 +35,5 @@ solve_convex_hull_containment_lp (const
       CGAL::Const_oneset_iterator<CGAL::Comparison_result>(CGAL::EQUAL),   // ~
       CGAL::Const_oneset_iterator
       <typename CGAL::Kernel_traits<Point_d>::Kernel::RT> (0)),            // c
-      dummy, o);   
+      dummy, o);
 }
diff -pruN 5.0.2-3/examples/QP_solver/solve_convex_hull_containment_lp.h 5.0.3-1/examples/QP_solver/solve_convex_hull_containment_lp.h
--- 5.0.2-3/examples/QP_solver/solve_convex_hull_containment_lp.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/solve_convex_hull_containment_lp.h	2020-08-01 19:02:46.000000000 +0000
@@ -1,4 +1,4 @@
-// example: function to check whether a point is in the convex 
+// example: function to check whether a point is in the convex
 // hull of other points
 #include <CGAL/QP_models.h>
 #include <CGAL/QP_functions.h>
@@ -18,8 +18,8 @@ struct Homogeneous_begin  {
 template <class Point_d, class RandomAccessIterator, class ET>
 CGAL::Quadratic_program_solution<ET>
 solve_convex_hull_containment_lp (const Point_d& p,
-				  RandomAccessIterator begin,
-				  RandomAccessIterator end, const ET& dummy)
+                                  RandomAccessIterator begin,
+                                  RandomAccessIterator end, const ET& dummy)
 {
   // Constraint matrix type: A[j][i] is the i-th homogeneous coordinate of p_j
   typedef boost::transform_iterator
@@ -39,8 +39,8 @@ solve_convex_hull_containment_lp (const
 
   // ok, we are prepared now: construct program and solve it
   Program lp (static_cast<int>(end-begin), // number of variables
-	      p.dimension()+1,             // number of constraints
-	      A_it (begin), B_it (p.homogeneous_begin()),
-	      R_it (CGAL::EQUAL), C_it (0));
+              p.dimension()+1,             // number of constraints
+              A_it (begin), B_it (p.homogeneous_begin()),
+              R_it (CGAL::EQUAL), C_it (0));
   return CGAL::solve_nonnegative_linear_program (lp, dummy);
 }
diff -pruN 5.0.2-3/examples/QP_solver/unboundedness_certificate.cpp 5.0.3-1/examples/QP_solver/unboundedness_certificate.cpp
--- 5.0.2-3/examples/QP_solver/unboundedness_certificate.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/QP_solver/unboundedness_certificate.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -18,13 +18,13 @@ typedef CGAL::Nonnegative_linear_program
 <int**,                                                // for A
  int*,                                                 // for b
  CGAL::Comparison_result*,                             // for r
- int*>                                                 // for c 
+ int*>                                                 // for c
 Program;
 typedef CGAL::Quadratic_program_solution<ET> Solution;
 
 // we demonstrate the unboundedness certificate: either the feasible
 // linear program
-// min c^T x 
+// min c^T x
 //       A x <= b
 //         x >= 0
 // is bounded, or there exists w such that
@@ -33,11 +33,11 @@ typedef CGAL::Quadratic_program_solution
 //     c^t w <  0,
 // in which case the objective function becomes arbitrarily small
 // along the ray {x* + tw | t >= 0}, x* any feasible solution.
-// 
+//
 // In the following instance, the linear program is unbounded, since
 // the ray {(t,t)| t>= 1} is feasible, and the objective function becomes
 // arbitrarily small on it:
-// min -x_1 - 2x_2 
+// min -x_1 - 2x_2
 //      x_1 - 2x_2  <=  -1
 //     -x_1 +  x_2  <=   2
 //      x_1,   x_2  >=   0
@@ -47,7 +47,7 @@ int main() {
   int  Ax2[] = {-2,  1};                        // column for x2
   int*   A[] = {Ax1, Ax2};                      // A comes columnwise
   int    b[] = {-1, 2};                         // right-hand side
-  CGAL::Comparison_result 
+  CGAL::Comparison_result
     r[] = {CGAL::SMALLER, CGAL::SMALLER};       // constraints are "<="
   int    c[] = {-1, -2};                        // objective function
 
diff -pruN 5.0.2-3/examples/RangeSegmentTrees/CMakeLists.txt 5.0.3-1/examples/RangeSegmentTrees/CMakeLists.txt
--- 5.0.2-3/examples/RangeSegmentTrees/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/RangeSegmentTrees/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -13,8 +13,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/RangeSegmentTrees/include/Tree_Traits.h 5.0.3-1/examples/RangeSegmentTrees/include/Tree_Traits.h
--- 5.0.2-3/examples/RangeSegmentTrees/include/Tree_Traits.h	2020-02-21 20:04:12.000000000 +0000
+++ 5.0.3-1/examples/RangeSegmentTrees/include/Tree_Traits.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/SearchStructures/examples/RangeSegmentTrees/include/Tree_Traits.h $
-// $Id: Tree_Traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/SearchStructures/examples/RangeSegmentTrees/include/Tree_Traits.h $
+// $Id: Tree_Traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Gabriele Neyer
 
@@ -100,7 +100,7 @@ class Tree_traits_2{
     Key_2 operator()(const Key& k)
     { return k.second;}
   };
-  
+
   class C_Compare_1{
   public:
     bool operator()(Key_1 k1, Key_1 k2)
@@ -111,7 +111,7 @@ class Tree_traits_2{
 
   class C_Compare_2{
   public:
-    
+
     bool operator()(Key_2 k1, Key_2 k2)
     {
       return std::less<double>()(k1,k2);
@@ -199,10 +199,10 @@ class Tree_traits_3{
     Key_3 operator()(const Key& k)
     { return k.key_3;}
   };
-  
+
   class C_Compare_1{
   public:
-    
+
     bool operator()(Key_1 k1, Key_1 k2)
     {
       return std::less<int>()(k1,k2);
@@ -211,7 +211,7 @@ class Tree_traits_3{
 
   class C_Compare_2{
   public:
-    
+
     bool operator()(Key_2 k1, Key_2 k2)
     {
       return std::less<double>()(k1,k2);
@@ -220,7 +220,7 @@ class Tree_traits_3{
 
   class C_Compare_3{
   public:
-    
+
     bool operator()(Key_3 k1, Key_3 k2)
     {
       return std::less<long>()(k1,k2);
@@ -333,10 +333,10 @@ class Tree_traits_4{
     Key_4 operator()(const Key& k)
     { return k.key_4;}
   };
-  
+
   class C_Compare_1{
   public:
-    
+
     bool operator()(Key_1 k1, Key_1 k2)
     {
       return std::less<int>()(k1,k2);
@@ -345,7 +345,7 @@ class Tree_traits_4{
 
   class C_Compare_2{
   public:
-    
+
     bool operator()(Key_2 k1, Key_2 k2)
     {
       return std::less<double>()(k1,k2);
@@ -354,7 +354,7 @@ class Tree_traits_4{
 
   class C_Compare_3{
   public:
-    
+
     bool operator()(Key_3 k1, Key_3 k2)
     {
       return std::less<long>()(k1,k2);
@@ -363,7 +363,7 @@ class Tree_traits_4{
 
   class C_Compare_4{
   public:
-    
+
     bool operator()(Key_4 k1, Key_4 k2)
     {
       return std::less<double>()(k1,k2);
diff -pruN 5.0.2-3/examples/RangeSegmentTrees/range_tree_3.cpp 5.0.3-1/examples/RangeSegmentTrees/range_tree_3.cpp
--- 5.0.2-3/examples/RangeSegmentTrees/range_tree_3.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/RangeSegmentTrees/range_tree_3.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -44,7 +44,7 @@ int main()
   while(current!=OutputList.end())
   {
     std::cerr << (*current).key_1<< "-" <<  (*current).key_2<< "-"
-	 << (*current).key_3 << std::endl;
+         << (*current).key_3 << std::endl;
     current++;
   }
 
diff -pruN 5.0.2-3/examples/RangeSegmentTrees/range_tree_4.cpp 5.0.3-1/examples/RangeSegmentTrees/range_tree_4.cpp
--- 5.0.2-3/examples/RangeSegmentTrees/range_tree_4.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/RangeSegmentTrees/range_tree_4.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -43,7 +43,7 @@ int main()
   while(current!=OutputList.end())
   {
     std::cerr << (*current).key_1<< "-" <<  (*current).key_2 << "-"
-	 <<  (*current).key_3 << (*current).key_4 << std::endl;
+         <<  (*current).key_3 << (*current).key_4 << std::endl;
     current++;
   }
 
diff -pruN 5.0.2-3/examples/RangeSegmentTrees/range_tree_map_2.cpp 5.0.3-1/examples/RangeSegmentTrees/range_tree_map_2.cpp
--- 5.0.2-3/examples/RangeSegmentTrees/range_tree_map_2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/RangeSegmentTrees/range_tree_map_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -51,7 +51,7 @@ int main()
   while(current!=OutputList.end())
   {
     std::cerr << (*current).first.x()<< "-" << (*current).first.y() << " +char= "
-	 << (*current).second << std::endl;
+         << (*current).second << std::endl;
     current++;
   }
   if(Range_tree_2.range_tree_2->is_valid())
diff -pruN 5.0.2-3/examples/RangeSegmentTrees/segment_tree_2.cpp 5.0.3-1/examples/RangeSegmentTrees/segment_tree_2.cpp
--- 5.0.2-3/examples/RangeSegmentTrees/segment_tree_2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/RangeSegmentTrees/segment_tree_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -48,7 +48,7 @@ int main()
   while(j!=OutputList.end())
   {
     std::cerr << (*j).first.first << "-" << (*j).second.first << " "
-	 << (*j).first.second << "-" << (*j).second.second << std::endl;
+         << (*j).first.second << "-" << (*j).second.second << std::endl;
     j++;
   }
   // Interval b(Key(320, 900),Key(330.1,910.7));
@@ -59,7 +59,7 @@ int main()
   while(j!=N.end())
   {
     std::cerr << (*j).first.first << "-" << (*j).second.first << " "
-	 << (*j).first.second << "-" << (*j).second.second << std::endl;
+         << (*j).first.second << "-" << (*j).second.second << std::endl;
     j++;
   }
   if(Segment_tree_2.segment_tree_2->is_valid())
diff -pruN 5.0.2-3/examples/RangeSegmentTrees/segment_tree_3.cpp 5.0.3-1/examples/RangeSegmentTrees/segment_tree_3.cpp
--- 5.0.2-3/examples/RangeSegmentTrees/segment_tree_3.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/RangeSegmentTrees/segment_tree_3.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -41,8 +41,8 @@ int main()
   while(j!=OutputList.end())
   {
     std::cerr << (*j).first.key_1 << "," << (*j).first.key_2 << ", "
-	 << (*j).first.key_3 << "-" << (*j).second.key_1 << ","
-	 << (*j).second.key_2 << ", " << (*j).second.key_3 << std::endl;
+         << (*j).first.key_3 << "-" << (*j).second.key_1 << ","
+         << (*j).second.key_2 << ", " << (*j).second.key_3 << std::endl;
     j++;
   }
   Interval b(Key(2,6.8,9),Key(3,7,10));
@@ -52,8 +52,8 @@ int main()
   while(j!=N.end())
   {
     std::cerr << (*j).first.key_1 << "," << (*j).first.key_2 << ", "
-	 << (*j).first.key_3 << "-" << (*j).second.key_1 << ","
-	 << (*j).second.key_2 << ", " << (*j).second.key_3 << std::endl;
+         << (*j).first.key_3 << "-" << (*j).second.key_1 << ","
+         << (*j).second.key_2 << ", " << (*j).second.key_3 << std::endl;
     j++;
   }
   if(Segment_tree_3.segment_tree_3->is_valid())
diff -pruN 5.0.2-3/examples/RangeSegmentTrees/segment_tree_4.cpp 5.0.3-1/examples/RangeSegmentTrees/segment_tree_4.cpp
--- 5.0.2-3/examples/RangeSegmentTrees/segment_tree_4.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/RangeSegmentTrees/segment_tree_4.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -41,9 +41,9 @@ int main()
   while(j!=OutputList.end())
   {
     std::cerr << (*j).first.key_1 << "," << (*j).first.key_2 << ", "
-	 << (*j).first.key_3 << ", " << (*j).first.key_4 << "-"
-	 << (*j).second.key_1 << "," << (*j).second.key_2 << ", "
-	 << (*j).second.key_3 << " , " <<  (*j).second.key_4 << std::endl;
+         << (*j).first.key_3 << ", " << (*j).first.key_4 << "-"
+         << (*j).second.key_1 << "," << (*j).second.key_2 << ", "
+         << (*j).second.key_3 << " , " <<  (*j).second.key_4 << std::endl;
     j++;
   }
   Interval b(Key(2,6.8,9, 5.9),Key(3,7,10, 6.7));
@@ -53,9 +53,9 @@ int main()
   while(j!=N.end())
   {
     std::cerr << (*j).first.key_1 << "," << (*j).first.key_2 << ", "
-	 << (*j).first.key_3 << ", " << (*j).first.key_4 << "-"
-	 << (*j).second.key_1 << "," << (*j).second.key_2 << ", "
-	 << (*j).second.key_3 << " , " <<  (*j).second.key_4 << std::endl;
+         << (*j).first.key_3 << ", " << (*j).first.key_4 << "-"
+         << (*j).second.key_1 << "," << (*j).second.key_2 << ", "
+         << (*j).second.key_3 << " , " <<  (*j).second.key_4 << std::endl;
     j++;
   }
   if(Segment_tree_4.segment_tree_4->is_valid())
diff -pruN 5.0.2-3/examples/RangeSegmentTrees/segment_tree_map_2.cpp 5.0.3-1/examples/RangeSegmentTrees/segment_tree_map_2.cpp
--- 5.0.2-3/examples/RangeSegmentTrees/segment_tree_map_2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/RangeSegmentTrees/segment_tree_map_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -49,7 +49,7 @@ int main()
   while(j!=OutputList.end())
   {
     std::cerr << (*j).first.first.x() << "-" << (*j).first.second.x() << " "
-	 << (*j).first.first.y() << "-" << (*j).first.second.y() << std::endl;
+         << (*j).first.first.y() << "-" << (*j).first.second.y() << std::endl;
     j++;
   }
 
@@ -62,7 +62,7 @@ int main()
   while(j!=N.end())
   {
     std::cerr << (*j).first.first.x() << "-" << (*j).first.second.x() << " "
-	 << (*j).first.first.y() << "-" << (*j).first.second.y() << std::endl;
+         << (*j).first.first.y() << "-" << (*j).first.second.y() << std::endl;
     j++;
   }
   if(Segment_tree_2.segment_tree_2->is_valid())
diff -pruN 5.0.2-3/examples/RangeSegmentTrees/segment_tree_set_2.cpp 5.0.3-1/examples/RangeSegmentTrees/segment_tree_set_2.cpp
--- 5.0.2-3/examples/RangeSegmentTrees/segment_tree_set_2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/RangeSegmentTrees/segment_tree_set_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -48,7 +48,7 @@ int main()
   while(j!=OutputList.end())
   {
     std::cerr << (*j).first.x() << "-" << (*j).second.x() << " "
-	 << (*j).first.y() << "-" << (*j).second.y() << std::endl;
+         << (*j).first.y() << "-" << (*j).second.y() << std::endl;
     j++;
   }
   std::cerr << "\n enclosing_query (6,10),(7,11) \n";
@@ -59,7 +59,7 @@ int main()
   while(j!=N.end())
   {
     std::cerr << (*j).first.x() << "-" << (*j).second.x() << " "
-	 << (*j).first.y() << "-" << (*j).second.y() << std::endl;
+         << (*j).first.y() << "-" << (*j).second.y() << std::endl;
     j++;
   }
   if(Segment_tree_2.segment_tree_2->is_valid())
diff -pruN 5.0.2-3/examples/RangeSegmentTrees/segment_tree_set_3.cpp 5.0.3-1/examples/RangeSegmentTrees/segment_tree_set_3.cpp
--- 5.0.2-3/examples/RangeSegmentTrees/segment_tree_set_3.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/RangeSegmentTrees/segment_tree_set_3.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -43,8 +43,8 @@ int main()
   while(j!=OutputList.end())
   {
     std::cerr << (*j).first.x() << "," << (*j).first.y() << "," << (*j).first.z()
-	 <<", " << (*j).second.x() << "," << (*j).second.y() << ","
-	 << (*j).second.z() << std::endl;
+         <<", " << (*j).second.x() << "," << (*j).second.y() << ","
+         << (*j).second.z() << std::endl;
     j++;
   }
   Interval b(Key(6,10,7),Key(7,11,8));
@@ -54,8 +54,8 @@ int main()
   while(j!=N.end())
   {
     std::cerr << (*j).first.x() << "," << (*j).first.y() << "," << (*j).first.z()
-	 <<", " << (*j).second.x() << "," << (*j).second.y() << ","
-	 << (*j).second.z() << std::endl;
+         <<", " << (*j).second.x() << "," << (*j).second.y() << ","
+         << (*j).second.z() << std::endl;
     j++;
   }
   if(Segment_tree_3.segment_tree_3->is_valid())
diff -pruN 5.0.2-3/examples/Rectangular_p_center_2/CMakeLists.txt 5.0.3-1/examples/Rectangular_p_center_2/CMakeLists.txt
--- 5.0.2-3/examples/Rectangular_p_center_2/CMakeLists.txt	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/examples/Rectangular_p_center_2/CMakeLists.txt	2020-08-01 19:00:32.000000000 +0000
@@ -13,8 +13,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Ridges_3/CMakeLists.txt 5.0.3-1/examples/Ridges_3/CMakeLists.txt
--- 5.0.2-3/examples/Ridges_3/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Ridges_3/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -12,7 +12,7 @@ if ( CGAL_FOUND )
   find_package(Eigen3 3.1.0) #(requires 3.1.0 or greater)
   if (EIGEN3_FOUND)
     include( ${EIGEN3_USE_FILE} )
-    
+
     # Link with Boost.ProgramOptions (optional)
     find_package(Boost QUIET COMPONENTS program_options)
     if(TARGET Boost::program_options)
@@ -39,7 +39,7 @@ if ( CGAL_FOUND )
   endif()
 
 else()
-  
+
     message(STATUS "NOTICE: This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
diff -pruN 5.0.2-3/examples/Ridges_3/compute_normals.h 5.0.3-1/examples/Ridges_3/compute_normals.h
--- 5.0.2-3/examples/Ridges_3/compute_normals.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/examples/Ridges_3/compute_normals.h	2020-08-01 19:02:47.000000000 +0000
@@ -5,7 +5,7 @@
 
 
 template <typename TriangleMesh, typename FaceVectorMap, typename Kernel>
-const typename Kernel::Vector_3 
+const typename Kernel::Vector_3
 computeFacetsAverageUnitNormal(const TriangleMesh& tm,
                                typename boost::graph_traits<TriangleMesh>::vertex_descriptor v,
                                FaceVectorMap fvm,
@@ -21,10 +21,10 @@ computeFacetsAverageUnitNormal(const Tri
     {
       h = *hedgeb;
       if (is_border_edge(h,tm))
-	{
-	  hedgeb++;
-	  continue;
-	}
+        {
+          hedgeb++;
+          continue;
+        }
 
       f =  face(h,tm);
       n = get(fvm,f);
@@ -47,11 +47,11 @@ void compute_facets_normals(const Triang
   VPM vpm = get(CGAL::vertex_point,tm);
   for(typename boost::graph_traits<TriangleMesh>::face_descriptor f : faces(tm)){
     typename boost::graph_traits<TriangleMesh>::halfedge_descriptor h = halfedge(f,tm);
-    Vector_3 normal = 
+    Vector_3 normal =
       CGAL::cross_product(get(vpm, target(h,tm)) -
-			    get(vpm, target(opposite(h,tm),tm)),
+                            get(vpm, target(opposite(h,tm),tm)),
                           get(vpm, target(next(h,tm),tm)) -
-			    get(vpm, target(opposite(h,tm),tm)));
+                            get(vpm, target(opposite(h,tm),tm)));
       put(fvm, f, normal / CGAL::sqrt(normal * normal));
   }
 }
diff -pruN 5.0.2-3/examples/Ridges_3/Compute_Ridges_Umbilics.cpp 5.0.3-1/examples/Ridges_3/Compute_Ridges_Umbilics.cpp
--- 5.0.2-3/examples/Ridges_3/Compute_Ridges_Umbilics.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Ridges_3/Compute_Ridges_Umbilics.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -44,13 +44,13 @@ typedef boost::associative_property_map<
 //RIDGES
 typedef CGAL::Ridge_line<PolyhedralSurf> Ridge_line;
 typedef CGAL::Ridge_approximation < PolyhedralSurf,
-				    VertexFT_property_map,
-				    VertexVector_property_map > Ridge_approximation;
+                                    VertexFT_property_map,
+                                    VertexVector_property_map > Ridge_approximation;
 //UMBILICS
 typedef CGAL::Umbilic<PolyhedralSurf> Umbilic;
 typedef CGAL::Umbilic_approximation < PolyhedralSurf,
-				      VertexFT_property_map,
-				      VertexVector_property_map > Umbilic_approximation;
+                                      VertexFT_property_map,
+                                      VertexVector_property_map > Umbilic_approximation;
 
 //create property maps
 VertexFT_map vertex_k1_map, vertex_k2_map,
@@ -83,8 +83,8 @@ unsigned int min_nb_points = (d_fitting
 */
 template <typename VertexPointMap>
 void gather_fitting_points(vertex_descriptor v,
-			   std::vector<Point_3> &in_points,
-			   Poly_rings& poly_rings,
+                           std::vector<Point_3> &in_points,
+                           Poly_rings& poly_rings,
                            VertexPointMap vpm)
 {
   //container to collect vertices of v on the PolyhedralSurf
@@ -145,7 +145,7 @@ void compute_differential_quantities(Pol
     assert( d_monge >= 3);
     // run the main fct : perform the fitting
     monge_form = monge_fit(in_points.begin(), in_points.end(),
-			   d_fitting, d_monge);
+                           d_fitting, d_monge);
 
     //switch min-max ppal curv/dir wrt the mesh orientation
     const Vector_3 normal_mesh = computeFacetsAverageUnitNormal(P,v, face2normal_pm, Kernel());
@@ -161,18 +161,18 @@ void compute_differential_quantities(Pol
     if ( d_monge >= 4) {
       //= 3*b1^2+(k1-k2)(c0-3k1^3)
       vertex_P1_map[v] =
-	3*monge_form.coefficients()[3]*monge_form.coefficients()[3]
-	+(monge_form.coefficients()[0]-monge_form.coefficients()[1])
-	*(monge_form.coefficients()[6]
-	  -3*monge_form.coefficients()[0]*monge_form.coefficients()[0]
-	  *monge_form.coefficients()[0]);
+        3*monge_form.coefficients()[3]*monge_form.coefficients()[3]
+        +(monge_form.coefficients()[0]-monge_form.coefficients()[1])
+        *(monge_form.coefficients()[6]
+          -3*monge_form.coefficients()[0]*monge_form.coefficients()[0]
+          *monge_form.coefficients()[0]);
       //= 3*b2^2+(k2-k1)(c4-3k2^3)
       vertex_P2_map[v] =
-	3*monge_form.coefficients()[4]*monge_form.coefficients()[4]
-	+(-monge_form.coefficients()[0]+monge_form.coefficients()[1])
-	*(monge_form.coefficients()[10]
-	  -3*monge_form.coefficients()[1]*monge_form.coefficients()[1]
-	  *monge_form.coefficients()[1]);
+        3*monge_form.coefficients()[4]*monge_form.coefficients()[4]
+        +(-monge_form.coefficients()[0]+monge_form.coefficients()[1])
+        *(monge_form.coefficients()[10]
+          -3*monge_form.coefficients()[1]*monge_form.coefficients()[1]
+          *monge_form.coefficients()[1]);
     }
   } //END FOR LOOP
 }
@@ -225,10 +225,10 @@ int main()
       if ( int_tag == 3 ) tag_order = CGAL::Ridge_order_3;
       if ( int_tag == 4 ) tag_order = CGAL::Ridge_order_4;
       if ( int_tag != 3 && int_tag != 4 )
-	{std::cerr << "ridge_order must be CGAL::Ridge_order_3 or CGAL::Ridge_order_4";
-	  return 1;}
+        {std::cerr << "ridge_order must be CGAL::Ridge_order_3 or CGAL::Ridge_order_4";
+          return 1;}
     }
-#else 
+#else
     std::cerr << "Command-line options require Boost.ProgramOptions" << std::endl;
     if_name = "data/poly2x^2+y^2-0.062500.off";
     d_fitting = 3;
@@ -258,26 +258,26 @@ int main()
     if (of_name[i] == '/') of_name[i]='_';
   std::ostringstream str_4ogl;
   str_4ogl << "data/"
-	   << of_name << "RIDGES"
-	   << "-d" << d_fitting
-	   << "-m" << d_monge
-	   << "-t" << tag_order
-	   << "-a" << nb_rings
-	   << "-p" << nb_points_to_use
-	   << ".4ogl.txt";
+           << of_name << "RIDGES"
+           << "-d" << d_fitting
+           << "-m" << d_monge
+           << "-t" << tag_order
+           << "-a" << nb_rings
+           << "-p" << nb_points_to_use
+           << ".4ogl.txt";
   std::cout << str_4ogl.str() << std::endl ;
   std::ofstream out_4ogl(str_4ogl.str().c_str() , std::ios::out);
 
   //if verbose only...
   std::ostringstream str_verb;
   str_verb << "data/"
-	   << of_name << "RIDGES"
-	   << "-d" << d_fitting
-	   << "-m" << d_monge
-	   << "-t" << tag_order
-	   << "-a" << nb_rings
-	   << "-p" << nb_points_to_use
-	   << ".verb.txt";
+           << of_name << "RIDGES"
+           << "-d" << d_fitting
+           << "-m" << d_monge
+           << "-t" << tag_order
+           << "-a" << nb_rings
+           << "-p" << nb_points_to_use
+           << ".verb.txt";
   std::cout << str_verb.str() << std::endl ;
   std::ofstream out_verb(str_verb.str().c_str() , std::ios::out);
 
@@ -286,11 +286,11 @@ int main()
   std::ifstream stream(if_name.c_str());
   stream >> P;
   fprintf(stderr, "loadMesh %d Ves %d Facets\n",
-	  (int)P.size_of_vertices(), (int)P.size_of_facets());
+          (int)P.size_of_vertices(), (int)P.size_of_facets());
   if(verbose)
     out_verb << "Polysurf with " << P.size_of_vertices()
-	     << " vertices and " << P.size_of_facets()
-	     << " facets. " << std::endl;
+             << " vertices and " << P.size_of_facets()
+             << " facets. " << std::endl;
 
   //exit if not enough points in the model
   if (min_nb_points > P.size_of_vertices())
@@ -311,10 +311,10 @@ int main()
   //--------------------------------------------------------------------------
   std::cout << "Compute ridges..." << std::endl;
   Ridge_approximation ridge_approximation(P,
-					  vertex_k1_pm, vertex_k2_pm,
-					  vertex_b0_pm, vertex_b3_pm,
-					  vertex_d1_pm, vertex_d2_pm,
-					  vertex_P1_pm, vertex_P2_pm );
+                                          vertex_k1_pm, vertex_k2_pm,
+                                          vertex_b0_pm, vertex_b3_pm,
+                                          vertex_d1_pm, vertex_d2_pm,
+                                          vertex_P1_pm, vertex_P2_pm );
   std::vector<Ridge_line*> ridge_lines;
   std::back_insert_iterator<std::vector<Ridge_line*> > ii(ridge_lines);
 
@@ -325,11 +325,11 @@ int main()
 
   // or with the global function
   CGAL::compute_max_ridges(P,
-			   vertex_k1_pm, vertex_k2_pm,
-			   vertex_b0_pm, vertex_b3_pm,
-			   vertex_d1_pm, vertex_d2_pm,
-			   vertex_P1_pm, vertex_P2_pm,
-			   ii, tag_order);
+                           vertex_k1_pm, vertex_k2_pm,
+                           vertex_b0_pm, vertex_b3_pm,
+                           vertex_d1_pm, vertex_d2_pm,
+                           vertex_P1_pm, vertex_P2_pm,
+                           ii, tag_order);
 
   std::vector<Ridge_line*>::iterator iter_lines = ridge_lines.begin(),
     iter_end = ridge_lines.end();
@@ -358,14 +358,14 @@ int main()
 
   //explicit construction of the class
  //  Umbilic_approximation umbilic_approximation(P,
-// 					      vertex_k1_pm, vertex_k2_pm,
-// 					      vertex_d1_pm, vertex_d2_pm);
+//                                               vertex_k1_pm, vertex_k2_pm,
+//                                               vertex_d1_pm, vertex_d2_pm);
 //   umbilic_approximation.compute(umb_it, umb_size);
   //or global function call
   CGAL::compute_umbilics(P,
-			 vertex_k1_pm, vertex_k2_pm,
-			 vertex_d1_pm, vertex_d2_pm,
-			 umb_it, umb_size);
+                         vertex_k1_pm, vertex_k2_pm,
+                         vertex_d1_pm, vertex_d2_pm,
+                         umb_it, umb_size);
 
   std::vector<Umbilic*>::iterator iter_umb = umbilics.begin(),
     iter_umb_end = umbilics.end();
diff -pruN 5.0.2-3/examples/Ridges_3/PolyhedralSurf.h 5.0.3-1/examples/Ridges_3/PolyhedralSurf.h
--- 5.0.2-3/examples/Ridges_3/PolyhedralSurf.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/examples/Ridges_3/PolyhedralSurf.h	2020-08-01 19:02:47.000000000 +0000
@@ -65,7 +65,7 @@ class PolyhedralSurf;
 namespace boost {
   template <>
   struct graph_traits<PolyhedralSurf> : public boost::graph_traits<Polyhedron>
-  {};  
+  {};
 
   template <>
   struct graph_traits<PolyhedralSurf const> : public boost::graph_traits<Polyhedron>
diff -pruN 5.0.2-3/examples/Ridges_3/PolyhedralSurf_rings.h 5.0.3-1/examples/Ridges_3/PolyhedralSurf_rings.h
--- 5.0.2-3/examples/Ridges_3/PolyhedralSurf_rings.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/examples/Ridges_3/PolyhedralSurf_rings.h	2020-08-01 19:02:47.000000000 +0000
@@ -31,28 +31,28 @@ protected:
   //i >= 1; from a start vertex on the current i-1 ring, push non-visited neighbors
   //of start in the nextRing and set indices to i. Also add these vertices in all.
   void push_neighbours_of(const Vertex_const_handle start, const int ith,
-			  std::vector < Vertex_const_handle > &nextRing,
-			  std::vector < Vertex_const_handle > &all);
+                          std::vector < Vertex_const_handle > &nextRing,
+                          std::vector < Vertex_const_handle > &all);
 
   //i >= 1, from a currentRing i-1, collect all neighbors, set indices
   //to i and store them in nextRing and all.
   void collect_ith_ring(const int ith,
-			std::vector < Vertex_const_handle > &currentRing,
-			std::vector < Vertex_const_handle > &nextRing,
-			std::vector < Vertex_const_handle > &all);
+                        std::vector < Vertex_const_handle > &currentRing,
+                        std::vector < Vertex_const_handle > &nextRing,
+                        std::vector < Vertex_const_handle > &all);
 
  public:
   T_PolyhedralSurf_rings(const TPoly& P);
 
   //collect i>=1 rings : all neighbours up to the ith ring,
   void collect_i_rings(const Vertex_const_handle v,
-		       const int ring_i,
-		       std::vector < Vertex_const_handle >& all);
+                       const int ring_i,
+                       std::vector < Vertex_const_handle >& all);
 
   //collect enough rings (at least 1), to get at least min_nb of neighbors
   void collect_enough_rings(const Vertex_const_handle v,
-			    const unsigned int min_nb,
-			    std::vector < Vertex_const_handle >& all);
+                            const unsigned int min_nb,
+                            std::vector < Vertex_const_handle >& all);
 };
 
 ////IMPLEMENTATION/////////////////////////////////////////////////////////////////////
@@ -71,8 +71,8 @@ T_PolyhedralSurf_rings(const TPoly& P)
 template < class TPoly >
 void T_PolyhedralSurf_rings <TPoly>::
 push_neighbours_of(const Vertex_const_handle start, const int ith,
-		   std::vector < Vertex_const_handle > &nextRing,
-		   std::vector < Vertex_const_handle > &all)
+                   std::vector < Vertex_const_handle > &nextRing,
+                   std::vector < Vertex_const_handle > &all)
 {
   Vertex_const_handle v;
   Halfedge_around_vertex_const_circulator
@@ -92,8 +92,8 @@ push_neighbours_of(const Vertex_const_ha
 template <class TPoly>
 void T_PolyhedralSurf_rings <TPoly>::
 collect_ith_ring(const int ith, std::vector < Vertex_const_handle > &currentRing,
-		 std::vector < Vertex_const_handle > &nextRing,
-		 std::vector < Vertex_const_handle > &all)
+                 std::vector < Vertex_const_handle > &nextRing,
+                 std::vector < Vertex_const_handle > &all)
 {
   typename std::vector < Vertex_const_handle >::const_iterator
     itb = currentRing.begin(), ite = currentRing.end();
@@ -113,8 +113,8 @@ reset_ring_indices(std::vector < Vertex_
 template <class TPoly>
   void T_PolyhedralSurf_rings <TPoly>::
 collect_i_rings(const Vertex_const_handle v,
-		const int ring_i,
-		std::vector < Vertex_const_handle >& all)
+                const int ring_i,
+                std::vector < Vertex_const_handle >& all)
 {
   std::vector<Vertex_const_handle> current_ring, next_ring;
   std::vector<Vertex_const_handle> *p_current_ring, *p_next_ring;
@@ -140,8 +140,8 @@ collect_i_rings(const Vertex_const_handl
 template <class TPoly>
   void T_PolyhedralSurf_rings <TPoly>::
 collect_enough_rings(const Vertex_const_handle v,
-		     const unsigned int min_nb,
-		     std::vector < Vertex_const_handle >& all)
+                     const unsigned int min_nb,
+                     std::vector < Vertex_const_handle >& all)
 {
   std::vector<Vertex_const_handle> current_ring, next_ring;
   std::vector<Vertex_const_handle> *p_current_ring, *p_next_ring;
diff -pruN 5.0.2-3/examples/Ridges_3/Ridges_Umbilics_LCC.cpp 5.0.3-1/examples/Ridges_3/Ridges_Umbilics_LCC.cpp
--- 5.0.2-3/examples/Ridges_3/Ridges_Umbilics_LCC.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Ridges_3/Ridges_Umbilics_LCC.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -47,13 +47,13 @@ typedef boost::associative_property_map<
 //RIDGES
 typedef CGAL::Ridge_line<PolyhedralSurf> Ridge_line;
 typedef CGAL::Ridge_approximation < PolyhedralSurf,
-				    VertexFT_property_map,
-				    VertexVector_property_map > Ridge_approximation;
+                                    VertexFT_property_map,
+                                    VertexVector_property_map > Ridge_approximation;
 //UMBILICS
 typedef CGAL::Umbilic<PolyhedralSurf> Umbilic;
 typedef CGAL::Umbilic_approximation < PolyhedralSurf,
-				      VertexFT_property_map,
-				      VertexVector_property_map > Umbilic_approximation;
+                                      VertexFT_property_map,
+                                      VertexVector_property_map > Umbilic_approximation;
 
 //create property maps
 VertexFT_map vertex_k1_map, vertex_k2_map,
@@ -86,8 +86,8 @@ unsigned int min_nb_points = (d_fitting
 */
 template <typename VertexPointMap>
 void gather_fitting_points(vertex_descriptor v,
-			   std::vector<Point_3> &in_points,
-			   Poly_rings& poly_rings,
+                           std::vector<Point_3> &in_points,
+                           Poly_rings& poly_rings,
                            VertexPointMap vpm)
 {
   //container to collect vertices of v on the PolyhedralSurf
@@ -148,7 +148,7 @@ void compute_differential_quantities(Pol
     assert( d_monge >= 3);
     // run the main fct : perform the fitting
     monge_form = monge_fit(in_points.begin(), in_points.end(),
-			   d_fitting, d_monge);
+                           d_fitting, d_monge);
 
     //switch min-max ppal curv/dir wrt the mesh orientation
     const Vector_3 normal_mesh = computeFacetsAverageUnitNormal(P,v, face2normal_pm, Kernel());
@@ -164,18 +164,18 @@ void compute_differential_quantities(Pol
     if ( d_monge >= 4) {
       //= 3*b1^2+(k1-k2)(c0-3k1^3)
       vertex_P1_map[v] =
-	3*monge_form.coefficients()[3]*monge_form.coefficients()[3]
-	+(monge_form.coefficients()[0]-monge_form.coefficients()[1])
-	*(monge_form.coefficients()[6]
-	  -3*monge_form.coefficients()[0]*monge_form.coefficients()[0]
-	  *monge_form.coefficients()[0]);
+        3*monge_form.coefficients()[3]*monge_form.coefficients()[3]
+        +(monge_form.coefficients()[0]-monge_form.coefficients()[1])
+        *(monge_form.coefficients()[6]
+          -3*monge_form.coefficients()[0]*monge_form.coefficients()[0]
+          *monge_form.coefficients()[0]);
       //= 3*b2^2+(k2-k1)(c4-3k2^3)
       vertex_P2_map[v] =
-	3*monge_form.coefficients()[4]*monge_form.coefficients()[4]
-	+(-monge_form.coefficients()[0]+monge_form.coefficients()[1])
-	*(monge_form.coefficients()[10]
-	  -3*monge_form.coefficients()[1]*monge_form.coefficients()[1]
-	  *monge_form.coefficients()[1]);
+        3*monge_form.coefficients()[4]*monge_form.coefficients()[4]
+        +(-monge_form.coefficients()[0]+monge_form.coefficients()[1])
+        *(monge_form.coefficients()[10]
+          -3*monge_form.coefficients()[1]*monge_form.coefficients()[1]
+          *monge_form.coefficients()[1]);
     }
   } //END FOR LOOP
 }
@@ -228,10 +228,10 @@ int main()
       if ( int_tag == 3 ) tag_order = CGAL::Ridge_order_3;
       if ( int_tag == 4 ) tag_order = CGAL::Ridge_order_4;
       if ( int_tag != 3 && int_tag != 4 )
-	{std::cerr << "ridge_order must be CGAL::Ridge_order_3 or CGAL::Ridge_order_4";
-	  return 1;}
+        {std::cerr << "ridge_order must be CGAL::Ridge_order_3 or CGAL::Ridge_order_4";
+          return 1;}
     }
-#else 
+#else
     std::cerr << "Command-line options require Boost.ProgramOptions" << std::endl;
     if_name = "data/poly2x^2+y^2-0.062500.off";
     d_fitting = 3;
@@ -261,26 +261,26 @@ int main()
     if (of_name[i] == '/') of_name[i]='_';
   std::ostringstream str_4ogl;
   str_4ogl << "data/"
-	   << of_name << "RIDGES"
-	   << "-d" << d_fitting
-	   << "-m" << d_monge
-	   << "-t" << tag_order
-	   << "-a" << nb_rings
-	   << "-p" << nb_points_to_use
-	   << ".4ogl.txt";
+           << of_name << "RIDGES"
+           << "-d" << d_fitting
+           << "-m" << d_monge
+           << "-t" << tag_order
+           << "-a" << nb_rings
+           << "-p" << nb_points_to_use
+           << ".4ogl.txt";
   std::cout << str_4ogl.str() << std::endl ;
   std::ofstream out_4ogl(str_4ogl.str().c_str() , std::ios::out);
 
   //if verbose only...
   std::ostringstream str_verb;
   str_verb << "data/"
-	   << of_name << "RIDGES"
-	   << "-d" << d_fitting
-	   << "-m" << d_monge
-	   << "-t" << tag_order
-	   << "-a" << nb_rings
-	   << "-p" << nb_points_to_use
-	   << ".verb.txt";
+           << of_name << "RIDGES"
+           << "-d" << d_fitting
+           << "-m" << d_monge
+           << "-t" << tag_order
+           << "-a" << nb_rings
+           << "-p" << nb_points_to_use
+           << ".verb.txt";
   std::cout << str_verb.str() << std::endl ;
   std::ofstream out_verb(str_verb.str().c_str() , std::ios::out);
 
@@ -288,11 +288,11 @@ int main()
   PolyhedralSurf P;
   CGAL::read_off(if_name.c_str(), P);
   fprintf(stderr, "loadMesh %d Ves %d Facets\n",
-	  (int)num_vertices(P), (int)num_faces(P));
+          (int)num_vertices(P), (int)num_faces(P));
   if(verbose)
     out_verb << "Polysurf with " << num_vertices(P)
-	     << " vertices and " << num_faces(P)
-	     << " facets. " << std::endl;
+             << " vertices and " << num_faces(P)
+             << " facets. " << std::endl;
 
   //exit if not enough points in the model
   if (min_nb_points > num_vertices(P))
@@ -313,10 +313,10 @@ int main()
   //--------------------------------------------------------------------------
   std::cout << "Compute ridges..." << std::endl;
   Ridge_approximation ridge_approximation(P,
-					  vertex_k1_pm, vertex_k2_pm,
-					  vertex_b0_pm, vertex_b3_pm,
-					  vertex_d1_pm, vertex_d2_pm,
-					  vertex_P1_pm, vertex_P2_pm );
+                                          vertex_k1_pm, vertex_k2_pm,
+                                          vertex_b0_pm, vertex_b3_pm,
+                                          vertex_d1_pm, vertex_d2_pm,
+                                          vertex_P1_pm, vertex_P2_pm );
   std::vector<Ridge_line*> ridge_lines;
   std::back_insert_iterator<std::vector<Ridge_line*> > ii(ridge_lines);
 
@@ -327,11 +327,11 @@ int main()
 
   // or with the global function
   CGAL::compute_max_ridges(P,
-			   vertex_k1_pm, vertex_k2_pm,
-			   vertex_b0_pm, vertex_b3_pm,
-			   vertex_d1_pm, vertex_d2_pm,
-			   vertex_P1_pm, vertex_P2_pm,
-			   ii, tag_order);
+                           vertex_k1_pm, vertex_k2_pm,
+                           vertex_b0_pm, vertex_b3_pm,
+                           vertex_d1_pm, vertex_d2_pm,
+                           vertex_P1_pm, vertex_P2_pm,
+                           ii, tag_order);
 
   std::vector<Ridge_line*>::iterator iter_lines = ridge_lines.begin(),
     iter_end = ridge_lines.end();
@@ -360,14 +360,14 @@ int main()
 
   //explicit construction of the class
  //  Umbilic_approximation umbilic_approximation(P,
-// 					      vertex_k1_pm, vertex_k2_pm,
-// 					      vertex_d1_pm, vertex_d2_pm);
+//                                               vertex_k1_pm, vertex_k2_pm,
+//                                               vertex_d1_pm, vertex_d2_pm);
 //   umbilic_approximation.compute(umb_it, umb_size);
   //or global function call
   CGAL::compute_umbilics(P,
-			 vertex_k1_pm, vertex_k2_pm,
-			 vertex_d1_pm, vertex_d2_pm,
-			 umb_it, umb_size);
+                         vertex_k1_pm, vertex_k2_pm,
+                         vertex_d1_pm, vertex_d2_pm,
+                         umb_it, umb_size);
 
   std::vector<Umbilic*>::iterator iter_umb = umbilics.begin(),
     iter_umb_end = umbilics.end();
diff -pruN 5.0.2-3/examples/Ridges_3/Ridges_Umbilics_SM.cpp 5.0.3-1/examples/Ridges_3/Ridges_Umbilics_SM.cpp
--- 5.0.2-3/examples/Ridges_3/Ridges_Umbilics_SM.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Ridges_3/Ridges_Umbilics_SM.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -34,17 +34,17 @@ typedef PolyhedralSurf::Property_map<ver
 //RIDGES
 typedef CGAL::Ridge_line<PolyhedralSurf> Ridge_line;
 typedef CGAL::Ridge_approximation < PolyhedralSurf,
-				    VertexFT_property_map,
-				    VertexVector_property_map > Ridge_approximation;
+                                    VertexFT_property_map,
+                                    VertexVector_property_map > Ridge_approximation;
 //UMBILICS
 typedef CGAL::Umbilic<PolyhedralSurf> Umbilic;
 typedef CGAL::Umbilic_approximation < PolyhedralSurf,
-				      VertexFT_property_map,
-				      VertexVector_property_map > Umbilic_approximation;
+                                      VertexFT_property_map,
+                                      VertexVector_property_map > Umbilic_approximation;
 
 //create property maps
 
-PolyhedralSurf::Property_map<vertex_descriptor,FT> 
+PolyhedralSurf::Property_map<vertex_descriptor,FT>
 vertex_k1_pm, vertex_k2_pm,
   vertex_b0_pm, vertex_b3_pm,
   vertex_P1_pm, vertex_P2_pm;
@@ -71,8 +71,8 @@ unsigned int min_nb_points = (d_fitting
 */
 template <typename VertexPointMap>
 void gather_fitting_points(vertex_descriptor v,
-			   std::vector<Point_3> &in_points,
-			   Poly_rings& poly_rings,
+                           std::vector<Point_3> &in_points,
+                           Poly_rings& poly_rings,
                            VertexPointMap vpm)
 {
   //container to collect vertices of v on the PolyhedralSurf
@@ -133,7 +133,7 @@ void compute_differential_quantities(Pol
     assert( d_monge >= 3);
     // run the main fct : perform the fitting
     monge_form = monge_fit(in_points.begin(), in_points.end(),
-			   d_fitting, d_monge);
+                           d_fitting, d_monge);
 
     //switch min-max ppal curv/dir wrt the mesh orientation
     const Vector_3 normal_mesh = computeFacetsAverageUnitNormal(P,v, face2normal_pm, Kernel());
@@ -149,18 +149,18 @@ void compute_differential_quantities(Pol
     if ( d_monge >= 4) {
       //= 3*b1^2+(k1-k2)(c0-3k1^3)
       vertex_P1_pm[v] =
-	3*monge_form.coefficients()[3]*monge_form.coefficients()[3]
-	+(monge_form.coefficients()[0]-monge_form.coefficients()[1])
-	*(monge_form.coefficients()[6]
-	  -3*monge_form.coefficients()[0]*monge_form.coefficients()[0]
-	  *monge_form.coefficients()[0]);
+        3*monge_form.coefficients()[3]*monge_form.coefficients()[3]
+        +(monge_form.coefficients()[0]-monge_form.coefficients()[1])
+        *(monge_form.coefficients()[6]
+          -3*monge_form.coefficients()[0]*monge_form.coefficients()[0]
+          *monge_form.coefficients()[0]);
       //= 3*b2^2+(k2-k1)(c4-3k2^3)
       vertex_P2_pm[v] =
-	3*monge_form.coefficients()[4]*monge_form.coefficients()[4]
-	+(-monge_form.coefficients()[0]+monge_form.coefficients()[1])
-	*(monge_form.coefficients()[10]
-	  -3*monge_form.coefficients()[1]*monge_form.coefficients()[1]
-	  *monge_form.coefficients()[1]);
+        3*monge_form.coefficients()[4]*monge_form.coefficients()[4]
+        +(-monge_form.coefficients()[0]+monge_form.coefficients()[1])
+        *(monge_form.coefficients()[10]
+          -3*monge_form.coefficients()[1]*monge_form.coefficients()[1]
+          *monge_form.coefficients()[1]);
     }
   } //END FOR LOOP
 }
@@ -213,10 +213,10 @@ int main()
       if ( int_tag == 3 ) tag_order = CGAL::Ridge_order_3;
       if ( int_tag == 4 ) tag_order = CGAL::Ridge_order_4;
       if ( int_tag != 3 && int_tag != 4 )
-	{std::cerr << "ridge_order must be CGAL::Ridge_order_3 or CGAL::Ridge_order_4";
-	  return 1;}
+        {std::cerr << "ridge_order must be CGAL::Ridge_order_3 or CGAL::Ridge_order_4";
+          return 1;}
     }
-#else 
+#else
     std::cerr << "Command-line options require Boost.ProgramOptions" << std::endl;
     if_name = "data/poly2x^2+y^2-0.062500.off";
     d_fitting = 3;
@@ -246,26 +246,26 @@ int main()
     if (of_name[i] == '/') of_name[i]='_';
   std::ostringstream str_4ogl;
   str_4ogl << "data/"
-	   << of_name << "RIDGES"
-	   << "-d" << d_fitting
-	   << "-m" << d_monge
-	   << "-t" << tag_order
-	   << "-a" << nb_rings
-	   << "-p" << nb_points_to_use
-	   << ".4ogl.txt";
+           << of_name << "RIDGES"
+           << "-d" << d_fitting
+           << "-m" << d_monge
+           << "-t" << tag_order
+           << "-a" << nb_rings
+           << "-p" << nb_points_to_use
+           << ".4ogl.txt";
   std::cout << str_4ogl.str() << std::endl ;
   std::ofstream out_4ogl(str_4ogl.str().c_str() , std::ios::out);
 
   //if verbose only...
   std::ostringstream str_verb;
   str_verb << "data/"
-	   << of_name << "RIDGES"
-	   << "-d" << d_fitting
-	   << "-m" << d_monge
-	   << "-t" << tag_order
-	   << "-a" << nb_rings
-	   << "-p" << nb_points_to_use
-	   << ".verb.txt";
+           << of_name << "RIDGES"
+           << "-d" << d_fitting
+           << "-m" << d_monge
+           << "-t" << tag_order
+           << "-a" << nb_rings
+           << "-p" << nb_points_to_use
+           << ".verb.txt";
   std::cout << str_verb.str() << std::endl ;
   std::ofstream out_verb(str_verb.str().c_str() , std::ios::out);
 
@@ -274,18 +274,18 @@ int main()
   std::ifstream stream(if_name.c_str());
   stream >> P;
   fprintf(stderr, "loadMesh %d Ves %d Facets\n",
-	  (int)num_vertices(P), (int)num_faces(P));
+          (int)num_vertices(P), (int)num_faces(P));
   if(verbose)
     out_verb << "Polysurf with " << num_vertices(P)
-	     << " vertices and " << num_faces(P)
-	     << " facets. " << std::endl;
+             << " vertices and " << num_faces(P)
+             << " facets. " << std::endl;
 
 
 vertex_k1_pm = P.add_property_map<vertex_descriptor,FT>("v:k1",0).first;
 vertex_k2_pm = P.add_property_map<vertex_descriptor,FT>("v:k2",0).first;
-vertex_b0_pm = P.add_property_map<vertex_descriptor,FT>("v:b0",0).first; 
+vertex_b0_pm = P.add_property_map<vertex_descriptor,FT>("v:b0",0).first;
 vertex_b3_pm = P.add_property_map<vertex_descriptor,FT>("v:b3",0).first;
-vertex_P1_pm = P.add_property_map<vertex_descriptor,FT>("v:P1",0).first; 
+vertex_P1_pm = P.add_property_map<vertex_descriptor,FT>("v:P1",0).first;
 vertex_P2_pm = P.add_property_map<vertex_descriptor,FT>("v:P2",0).first;
 
 vertex_d1_pm = P.add_property_map<vertex_descriptor,Vector_3>("v:d1",Vector_3(0,0,0)).first;
@@ -312,10 +312,10 @@ face2normal_pm = P.add_property_map<face
   //--------------------------------------------------------------------------
   std::cout << "Compute ridges..." << std::endl;
   Ridge_approximation ridge_approximation(P,
-					  vertex_k1_pm, vertex_k2_pm,
-					  vertex_b0_pm, vertex_b3_pm,
-					  vertex_d1_pm, vertex_d2_pm,
-					  vertex_P1_pm, vertex_P2_pm );
+                                          vertex_k1_pm, vertex_k2_pm,
+                                          vertex_b0_pm, vertex_b3_pm,
+                                          vertex_d1_pm, vertex_d2_pm,
+                                          vertex_P1_pm, vertex_P2_pm );
   std::vector<Ridge_line*> ridge_lines;
   std::back_insert_iterator<std::vector<Ridge_line*> > ii(ridge_lines);
 
@@ -326,11 +326,11 @@ face2normal_pm = P.add_property_map<face
 
   // or with the global function
   CGAL::compute_max_ridges(P,
-			   vertex_k1_pm, vertex_k2_pm,
-			   vertex_b0_pm, vertex_b3_pm,
-			   vertex_d1_pm, vertex_d2_pm,
-			   vertex_P1_pm, vertex_P2_pm,
-			   ii, tag_order);
+                           vertex_k1_pm, vertex_k2_pm,
+                           vertex_b0_pm, vertex_b3_pm,
+                           vertex_d1_pm, vertex_d2_pm,
+                           vertex_P1_pm, vertex_P2_pm,
+                           ii, tag_order);
 
   std::vector<Ridge_line*>::iterator iter_lines = ridge_lines.begin(),
     iter_end = ridge_lines.end();
@@ -359,14 +359,14 @@ face2normal_pm = P.add_property_map<face
 
   //explicit construction of the class
  //  Umbilic_approximation umbilic_approximation(P,
-// 					      vertex_k1_pm, vertex_k2_pm,
-// 					      vertex_d1_pm, vertex_d2_pm);
+//                                               vertex_k1_pm, vertex_k2_pm,
+//                                               vertex_d1_pm, vertex_d2_pm);
 //   umbilic_approximation.compute(umb_it, umb_size);
   //or global function call
   CGAL::compute_umbilics(P,
-			 vertex_k1_pm, vertex_k2_pm,
-			 vertex_d1_pm, vertex_d2_pm,
-			 umb_it, umb_size);
+                         vertex_k1_pm, vertex_k2_pm,
+                         vertex_d1_pm, vertex_d2_pm,
+                         umb_it, umb_size);
 
   std::vector<Umbilic*>::iterator iter_umb = umbilics.begin(),
     iter_umb_end = umbilics.end();
diff -pruN 5.0.2-3/examples/Scale_space_reconstruction_3/CMakeLists.txt 5.0.3-1/examples/Scale_space_reconstruction_3/CMakeLists.txt
--- 5.0.2-3/examples/Scale_space_reconstruction_3/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Scale_space_reconstruction_3/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -10,7 +10,7 @@ if ( CGAL_FOUND )
   option(ACTIVATE_CONCURRENCY
          "Enable concurrency"
          ON)
- 
+
   if( ACTIVATE_CONCURRENCY )
     find_package( TBB )
     if( NOT TBB_FOUND )
@@ -35,7 +35,7 @@ if ( CGAL_FOUND )
     message( STATUS "NOTICE: The example needs Eigen 3.1 (or greater) and will not be compiled." )
   endif()
 else()
-  
+
   message( STATUS "This program requires the CGAL library, and will not be compiled." )
-  
+
 endif()
diff -pruN 5.0.2-3/examples/Scale_space_reconstruction_3/scale_space_advancing_front.cpp 5.0.3-1/examples/Scale_space_reconstruction_3/scale_space_advancing_front.cpp
--- 5.0.2-3/examples/Scale_space_reconstruction_3/scale_space_advancing_front.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Scale_space_reconstruction_3/scale_space_advancing_front.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -47,29 +47,29 @@ int main(int argc, char** argv)
 
   CGAL::Timer t;
   t.start();
-  
+
   // Construct the mesh in a scale space.
   Reconstruction reconstruct (points.points().begin(), points.points().end());
   reconstruct.increase_scale<Smoother> (4);
   reconstruct.reconstruct_surface (Mesher (0.5));
-  
+
   std::cerr << "done in " << t.time() << " sec." << std::endl;
-  
+
   t.reset();
-  
+
   std::ofstream out ("out.off");
   out << "OFF" << std::endl << points.size() << " " << reconstruct.number_of_facets() << " 0" << std::endl;
-  
+
   for (Point_set::iterator it = points.begin(); it != points.end(); ++ it)
     out << points.point(*it) << std::endl;
-  
+
   for (Reconstruction::Facet_iterator it = reconstruct.facets_begin();
        it != reconstruct.facets_end(); ++ it)
     out << "3 " << (*it)[0] << " " << (*it)[1] << " " << (*it)[2] << std::endl;
 
   std::cerr << "Writing result in " << t.time() << " sec." << std::endl;
-  
+
   std::cerr << "Done." << std::endl;
-  
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Scale_space_reconstruction_3/scale_space_incremental.cpp 5.0.3-1/examples/Scale_space_reconstruction_3/scale_space_incremental.cpp
--- 5.0.2-3/examples/Scale_space_reconstruction_3/scale_space_incremental.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Scale_space_reconstruction_3/scale_space_incremental.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -47,7 +47,7 @@ int main(int argc, char* argv[]) {
 
     // Construct the reconstruction
     Reconstruction reconstruct;
-    
+
     // Add the points.
     reconstruct.insert( points.begin(), points.end() );
 
@@ -79,7 +79,7 @@ int main(int argc, char* argv[]) {
         std::cout << "Second reconstruction done." << std::endl;
         // Write the reconstruction.
         dump_reconstruction(reconstruct, "reconstruction2.off");
-      }      
+      }
     }
 
     std::cout << "Reconstructions are ready to be examinated in your favorite viewer" << std::endl;
diff -pruN 5.0.2-3/examples/Scale_space_reconstruction_3/scale_space_manifold.cpp 5.0.3-1/examples/Scale_space_reconstruction_3/scale_space_manifold.cpp
--- 5.0.2-3/examples/Scale_space_reconstruction_3/scale_space_manifold.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Scale_space_reconstruction_3/scale_space_manifold.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -46,9 +46,9 @@ int main(int argc, char* argv[]) {
   Mesher mesher( smoother.squared_radius(),
                  false, // Do not separate shells
                  true // Force manifold output
-               );                 
+               );
   reconstruct.reconstruct_surface( mesher );
-  
+
   std::cerr << "Reconstruction done in " << t.time() << " sec." << std::endl;
   t.reset();
   std::ofstream out ("out.off");
diff -pruN 5.0.2-3/examples/Segment_Delaunay_graph_2/CMakeLists.txt 5.0.3-1/examples/Segment_Delaunay_graph_2/CMakeLists.txt
--- 5.0.2-3/examples/Segment_Delaunay_graph_2/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Segment_Delaunay_graph_2/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Segment_Delaunay_graph_2/sdg-info-set.cpp 5.0.3-1/examples/Segment_Delaunay_graph_2/sdg-info-set.cpp
--- 5.0.2-3/examples/Segment_Delaunay_graph_2/sdg-info-set.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Segment_Delaunay_graph_2/sdg-info-set.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -103,7 +103,7 @@ struct Info_set_convert_info
 
   inline
   result_type operator()(const Info_set<Info_item>& info0,
-			 const Info_set<Info_item>& , bool) const
+                         const Info_set<Info_item>& , bool) const
   {
     // just return the info of the supporting segment
     return info0;
@@ -122,7 +122,7 @@ struct Info_set_merge_info
 
   inline
   Info_set<Info_item> operator()(const Info_set<Info_item>& info0,
-				 const Info_set<Info_item>& info1) const
+                                 const Info_set<Info_item>& info1) const
   {
     typedef typename Info_set<Info_item>::Info_list       Info_list;
 
@@ -182,9 +182,9 @@ typedef Info_set_merge_info<Info_item>
 
 typedef
 CGAL::Segment_Delaunay_graph_storage_traits_with_info_2<Gt,
-							Info,
-							Convert_info,
-							Merge_info>
+                                                        Info,
+                                                        Convert_info,
+                                                        Merge_info>
 ST;
 
 typedef CGAL::Segment_Delaunay_graph_hierarchy_2<Gt,ST> SDG2;
diff -pruN 5.0.2-3/examples/Segment_Delaunay_graph_2/sdg-red-blue-info.cpp 5.0.3-1/examples/Segment_Delaunay_graph_2/sdg-red-blue-info.cpp
--- 5.0.2-3/examples/Segment_Delaunay_graph_2/sdg-red-blue-info.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Segment_Delaunay_graph_2/sdg-red-blue-info.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -84,9 +84,9 @@ typedef CGAL::Segment_Delaunay_graph_fil
 // define the storage traits with info
 typedef
 CGAL::Segment_Delaunay_graph_storage_traits_with_info_2<Gt,
-							Red_blue,
-							Red_blue_convert_info,
-							Red_blue_merge_info>
+                                                        Red_blue,
+                                                        Red_blue_convert_info,
+                                                        Red_blue_merge_info>
 ST;
 
 typedef CGAL::Segment_Delaunay_graph_2<Gt,ST>  SDG2;
diff -pruN 5.0.2-3/examples/Segment_Delaunay_graph_Linf_2/CMakeLists.txt 5.0.3-1/examples/Segment_Delaunay_graph_Linf_2/CMakeLists.txt
--- 5.0.2-3/examples/Segment_Delaunay_graph_Linf_2/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Segment_Delaunay_graph_Linf_2/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -22,8 +22,8 @@ if ( CGAL_FOUND )
   create_single_source_cgal_program( "print-sdg-linf.cpp" )
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Segment_Delaunay_graph_Linf_2/sdg-info-set-linf.cpp 5.0.3-1/examples/Segment_Delaunay_graph_Linf_2/sdg-info-set-linf.cpp
--- 5.0.2-3/examples/Segment_Delaunay_graph_Linf_2/sdg-info-set-linf.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Segment_Delaunay_graph_Linf_2/sdg-info-set-linf.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -103,7 +103,7 @@ struct Info_set_convert_info
 
   inline
   result_type operator()(const Info_set<Info_item>& info0,
-			 const Info_set<Info_item>& , bool) const
+                         const Info_set<Info_item>& , bool) const
   {
     // just return the info of the supporting segment
     return info0;
@@ -122,7 +122,7 @@ struct Info_set_merge_info
 
   inline
   Info_set<Info_item> operator()(const Info_set<Info_item>& info0,
-				 const Info_set<Info_item>& info1) const
+                                 const Info_set<Info_item>& info1) const
   {
     typedef typename Info_set<Info_item>::Info_list       Info_list;
 
diff -pruN 5.0.2-3/examples/Set_movable_separability_2/is_pullout_direction_single_mold_trans_cast.cpp 5.0.3-1/examples/Set_movable_separability_2/is_pullout_direction_single_mold_trans_cast.cpp
--- 5.0.2-3/examples/Set_movable_separability_2/is_pullout_direction_single_mold_trans_cast.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Set_movable_separability_2/is_pullout_direction_single_mold_trans_cast.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -4,8 +4,8 @@
 #include <CGAL/Set_movable_separability_2/Single_mold_translational_casting/is_pullout_direction.h>
 
 typedef CGAL::Exact_predicates_exact_constructions_kernel Kernel;
-typedef Kernel::Vector_2                              	  Vector_2;
-typedef Kernel::Point_2                              	  Point_2;
+typedef Kernel::Vector_2                                        Vector_2;
+typedef Kernel::Point_2                                        Point_2;
 typedef Kernel::Direction_2                               Direction_2;
 typedef CGAL::Polygon_2<Kernel>                           Polygon_2;
 
diff -pruN 5.0.2-3/examples/Set_movable_separability_2/top_edges_single_mold_trans_cast.cpp 5.0.3-1/examples/Set_movable_separability_2/top_edges_single_mold_trans_cast.cpp
--- 5.0.2-3/examples/Set_movable_separability_2/top_edges_single_mold_trans_cast.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Set_movable_separability_2/top_edges_single_mold_trans_cast.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -8,8 +8,8 @@
 typedef CGAL::Exact_predicates_exact_constructions_kernel Kernel;
 typedef CGAL::Polygon_2<Kernel>                           Polygon_2;
 typedef Kernel::Direction_2                               Direction_2;
-typedef Kernel::Vector_2                              	  Vector_2;
-typedef Kernel::Point_2                              	  Point_2;
+typedef Kernel::Vector_2                                        Vector_2;
+typedef Kernel::Point_2                                        Point_2;
 
 // A direction range is a closed range of directions on the unit circle.
 typedef std::pair<Direction_2, Direction_2>               Direction_range;
diff -pruN 5.0.2-3/examples/Shape_detection/CMakeLists.txt 5.0.3-1/examples/Shape_detection/CMakeLists.txt
--- 5.0.2-3/examples/Shape_detection/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Shape_detection/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -45,6 +45,6 @@ if(CGAL_FOUND)
     "efficient_RANSAC_with_point_access.cpp")
 
 else()
-  message(WARNING 
+  message(WARNING
   "This program requires the CGAL library, and will not be compiled.")
 endif()
diff -pruN 5.0.2-3/examples/Shape_detection/efficient_RANSAC_and_plane_regularization.cpp 5.0.3-1/examples/Shape_detection/efficient_RANSAC_and_plane_regularization.cpp
--- 5.0.2-3/examples/Shape_detection/efficient_RANSAC_and_plane_regularization.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Shape_detection/efficient_RANSAC_and_plane_regularization.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -27,17 +27,17 @@ typedef CGAL::Shape_detection::Efficient
 typedef CGAL::Shape_detection::Plane<Traits>            Plane;
 
 int main(int argc, char** argv) {
-  
+
   Pwn_vector points;
   std::ifstream stream(argc > 1 ? argv[1] : "data/cube.pwn");
 
-  if (!stream || 
+  if (!stream ||
     !CGAL::read_xyz_points(
       stream,
       std::back_inserter(points),
       CGAL::parameters::point_map(Point_map()).
       normal_map(Normal_map()))) {
-      
+
     std::cerr << "Error: cannot read file cube.pwn!" << std::endl;
     return EXIT_FAILURE;
   }
@@ -61,6 +61,6 @@ int main(int argc, char** argv) {
                           false, // do not regularize coplanarity
                           true,  // regularize Z-symmetry (default)
                           10);   // 10 degrees of tolerance for parallelism / orthogonality
-  
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Shape_detection/efficient_RANSAC_basic.cpp 5.0.3-1/examples/Shape_detection/efficient_RANSAC_basic.cpp
--- 5.0.2-3/examples/Shape_detection/efficient_RANSAC_basic.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Shape_detection/efficient_RANSAC_basic.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -26,7 +26,7 @@ typedef CGAL::Shape_detection::Efficient
 typedef CGAL::Shape_detection::Plane<Traits>            Plane;
 
 int main (int argc, char** argv) {
-  
+
   std::cout << "Efficient RANSAC" << std::endl;
   const char* filename = (argc > 1) ? argv[1] : "data/cube.pwn";
 
@@ -36,13 +36,13 @@ int main (int argc, char** argv) {
   // Load point set from a file.
   std::ifstream stream(filename);
 
-  if (!stream || 
+  if (!stream ||
     !CGAL::read_xyz_points(
       stream,
       std::back_inserter(points),
       CGAL::parameters::point_map(Point_map()).
       normal_map(Normal_map()))) {
-      
+
     std::cerr << "Error: cannot read file cube.pwn!" << std::endl;
     return EXIT_FAILURE;
   }
@@ -60,7 +60,7 @@ int main (int argc, char** argv) {
   ransac.detect();
 
   // Print number of detected shapes.
-  std::cout << ransac.shapes().end() - ransac.shapes().begin() 
+  std::cout << ransac.shapes().end() - ransac.shapes().begin()
   << " shapes detected." << std::endl;
 
   return EXIT_SUCCESS;
diff -pruN 5.0.2-3/examples/Shape_detection/efficient_RANSAC_with_callback.cpp 5.0.3-1/examples/Shape_detection/efficient_RANSAC_with_callback.cpp
--- 5.0.2-3/examples/Shape_detection/efficient_RANSAC_with_callback.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Shape_detection/efficient_RANSAC_with_callback.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -27,18 +27,18 @@ typedef CGAL::Shape_detection::Efficient
 typedef CGAL::Shape_detection::Plane<Traits>            Plane;
 
 struct Timeout_callback {
-  
+
   mutable int nb;
   mutable CGAL::Timer timer;
   const double limit;
-  
-  Timeout_callback(double limit) : 
+
+  Timeout_callback(double limit) :
   nb(0), limit(limit) {
     timer.start();
   }
-  
+
   bool operator()(double advancement) const {
-    
+
     // Avoid calling time() at every single iteration, which could
     // impact performances very badly.
     ++nb;
@@ -56,20 +56,20 @@ struct Timeout_callback {
 };
 
 int main (int argc, char** argv) {
-  
+
   std::cout << "Efficient RANSAC" << std::endl;
   const char* filename = (argc > 1) ? argv[1] : "data/cube.pwn";
 
   Pwn_vector points;
   std::ifstream stream(filename);
 
-  if (!stream || 
+  if (!stream ||
     !CGAL::read_xyz_points(
       stream,
       std::back_inserter(points),
       CGAL::parameters::point_map(Point_map()).
       normal_map(Normal_map()))) {
-      
+
     std::cerr << "Error: cannot read file cube.pwn!" << std::endl;
     return EXIT_FAILURE;
   }
@@ -78,10 +78,10 @@ int main (int argc, char** argv) {
   ransac.set_input(points);
   ransac.add_shape_factory<Plane>();
 
-  // Create callback that interrupts the algorithm 
+  // Create callback that interrupts the algorithm
   // if it takes more than half a second.
   Timeout_callback timeout_callback(0.5);
-  
+
   // Detect registered shapes with the default parameters.
   ransac.detect(Efficient_ransac::Parameters(), timeout_callback);
 
diff -pruN 5.0.2-3/examples/Shape_detection/efficient_RANSAC_with_custom_shape.cpp 5.0.3-1/examples/Shape_detection/efficient_RANSAC_with_custom_shape.cpp
--- 5.0.2-3/examples/Shape_detection/efficient_RANSAC_with_custom_shape.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Shape_detection/efficient_RANSAC_with_custom_shape.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -22,20 +22,20 @@ typedef CGAL::Shape_detection::Efficient
 typedef My_Plane<Traits>                                Plane;
 
 int main(int argc, char** argv) {
-  
+
   // Points with normals.
   Pwn_vector points;
 
   // Load point set from a file.
   std::ifstream stream((argc > 1) ? argv[1] : "data/cube.pwn");
 
-  if (!stream || 
+  if (!stream ||
     !CGAL::read_xyz_points(
       stream,
       std::back_inserter(points),
       CGAL::parameters::point_map(Point_map()).
       normal_map(Normal_map()))) {
-      
+
     std::cerr << "Error: cannot read file cube.pwn!" << std::endl;
     return EXIT_FAILURE;
   }
@@ -53,7 +53,7 @@ int main(int argc, char** argv) {
   ransac.detect();
 
   // Print number of detected shapes.
-  std::cout << ransac.shapes().end() - ransac.shapes().begin() 
+  std::cout << ransac.shapes().end() - ransac.shapes().begin()
   << " shapes detected." << std::endl;
 
   return EXIT_SUCCESS;
diff -pruN 5.0.2-3/examples/Shape_detection/efficient_RANSAC_with_parameters.cpp 5.0.3-1/examples/Shape_detection/efficient_RANSAC_with_parameters.cpp
--- 5.0.2-3/examples/Shape_detection/efficient_RANSAC_with_parameters.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Shape_detection/efficient_RANSAC_with_parameters.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -26,7 +26,7 @@ typedef CGAL::Shape_detection::Sphere<Tr
 typedef CGAL::Shape_detection::Torus<Traits>            Torus;
 
 int main(int argc, char** argv) {
-  
+
   // Points with normals.
   Pwn_vector points;
 
@@ -39,7 +39,7 @@ int main(int argc, char** argv) {
       std::back_inserter(points),
       CGAL::parameters::point_map(Point_map()).
       normal_map(Normal_map()))) {
-    
+
     std::cerr << "Error: cannot read file cube.pwn!" << std::endl;
     return EXIT_FAILURE;
   }
@@ -51,7 +51,7 @@ int main(int argc, char** argv) {
 
   // Provide input data.
   ransac.set_input(points);
-    
+
   // Register shapes for detection.
   ransac.add_shape_factory<Plane>();
   ransac.add_shape_factory<Sphere>();
@@ -64,61 +64,61 @@ int main(int argc, char** argv) {
 
   // Set probability to miss the largest primitive at each iteration.
   parameters.probability = 0.05;
- 
-  // Detect shapes with at least 500 points.
+
+  // Detect shapes with at least 200 points.
   parameters.min_points = 200;
 
   // Set maximum Euclidean distance between a point and a shape.
   parameters.epsilon = 0.002;
- 
+
   // Set maximum Euclidean distance between points to be clustered.
   parameters.cluster_epsilon = 0.01;
- 
+
   // Set maximum normal deviation.
-  // 0.9 < dot(surface_normal, point_normal); 
-  parameters.normal_threshold = 0.9;   
-  
+  // 0.9 < dot(surface_normal, point_normal);
+  parameters.normal_threshold = 0.9;
+
   // Detect shapes.
   ransac.detect(parameters);
 
   // Print number of detected shapes and unassigned points.
-  std::cout << ransac.shapes().end() - ransac.shapes().begin() 
+  std::cout << ransac.shapes().end() - ransac.shapes().begin()
   << " detected shapes, "
   << ransac.number_of_unassigned_points()
   << " unassigned points." << std::endl;
-  
+
   // Efficient_ransac::shapes() provides
   // an iterator range to the detected shapes.
   Efficient_ransac::Shape_range shapes = ransac.shapes();
   Efficient_ransac::Shape_range::iterator it = shapes.begin();
 
   while (it != shapes.end()) {
-    
+
     // Get specific parameters depending on the detected shape.
     if (Plane* plane = dynamic_cast<Plane*>(it->get())) {
-      
+
       Kernel::Vector_3 normal = plane->plane_normal();
       std::cout << "Plane with normal " << normal << std::endl;
-        
+
       // Plane shape can also be converted to the Kernel::Plane_3.
-      std::cout << "Kernel::Plane_3: " << 
+      std::cout << "Kernel::Plane_3: " <<
       static_cast<Kernel::Plane_3>(*plane) << std::endl;
 
     } else if (Cylinder* cyl = dynamic_cast<Cylinder*>(it->get())) {
-      
+
       Kernel::Line_3 axis = cyl->axis();
       FT radius = cyl->radius();
-      
-      std::cout << "Cylinder with axis " 
+
+      std::cout << "Cylinder with axis "
       << axis << " and radius " << radius << std::endl;
 
     } else {
-        
+
       // Print the parameters of the detected shape.
       // This function is available for any type of shape.
       std::cout << (*it)->info() << std::endl;
     }
-    
+
     // Proceed with the next detected shape.
     it++;
   }
diff -pruN 5.0.2-3/examples/Shape_detection/efficient_RANSAC_with_point_access.cpp 5.0.3-1/examples/Shape_detection/efficient_RANSAC_with_point_access.cpp
--- 5.0.2-3/examples/Shape_detection/efficient_RANSAC_with_point_access.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Shape_detection/efficient_RANSAC_with_point_access.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -23,7 +23,7 @@ typedef CGAL::Shape_detection::Efficient
 typedef CGAL::Shape_detection::Plane<Traits>            Plane;
 
 int main(int argc, char** argv) {
-  
+
   // Points with normals.
   Pwn_vector points;
 
@@ -36,7 +36,7 @@ int main(int argc, char** argv) {
       std::back_inserter(points),
       CGAL::parameters::point_map(Point_map()).
       normal_map(Normal_map()))) {
-      
+
     std::cerr << "Error: cannot read file cube.pwn!" << std::endl;
     return EXIT_FAILURE;
   }
@@ -64,10 +64,10 @@ int main(int argc, char** argv) {
 
   // Perform detection several times and choose result with the highest coverage.
   Efficient_ransac::Shape_range shapes = ransac.shapes();
-  
+
   FT best_coverage = 0;
   for (std::size_t i = 0; i < 3; ++i) {
-    
+
     // Reset timer.
     time.reset();
     time.start();
@@ -79,30 +79,30 @@ int main(int argc, char** argv) {
     time.stop();
 
     // Compute coverage, i.e. ratio of the points assigned to a shape.
-    FT coverage = 
+    FT coverage =
     FT(points.size() - ransac.number_of_unassigned_points()) / FT(points.size());
 
     // Print number of assigned shapes and unassigned points.
     std::cout << "time: " << time.time() * 1000 << "ms" << std::endl;
-    std::cout << ransac.shapes().end() - ransac.shapes().begin() 
+    std::cout << ransac.shapes().end() - ransac.shapes().begin()
     << " primitives, " << coverage << " coverage" << std::endl;
-    
+
     // Choose result with the highest coverage.
     if (coverage > best_coverage) {
-      
+
       best_coverage = coverage;
-      
+
       // Efficient_ransac::shapes() provides
-      // an iterator range to the detected shapes. 
+      // an iterator range to the detected shapes.
       shapes = ransac.shapes();
     }
   }
 
   Efficient_ransac::Shape_range::iterator it = shapes.begin();
   while (it != shapes.end()) {
-    
+
     boost::shared_ptr<Efficient_ransac::Shape> shape = *it;
-    
+
     // Use Shape_base::info() to print the parameters of the detected shape.
     std::cout << (*it)->info();
 
@@ -114,7 +114,7 @@ int main(int argc, char** argv) {
     index_it = (*it)->indices_of_assigned_points().begin();
 
     while (index_it != (*it)->indices_of_assigned_points().end()) {
-      
+
       // Retrieve point.
       const Point_with_normal& p = *(points.begin() + (*index_it));
 
diff -pruN 5.0.2-3/examples/Shape_detection/include/efficient_RANSAC_with_custom_shape.h 5.0.3-1/examples/Shape_detection/include/efficient_RANSAC_with_custom_shape.h
--- 5.0.2-3/examples/Shape_detection/include/efficient_RANSAC_with_custom_shape.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/examples/Shape_detection/include/efficient_RANSAC_with_custom_shape.h	2020-08-01 19:02:51.000000000 +0000
@@ -15,13 +15,13 @@ public:
   typedef typename Traits::Point_3 Point;   // point type
   typedef typename Traits::Vector_3 Vector; // vector type
 
-  My_Plane() : 
+  My_Plane() :
   CGAL::Shape_detection::Shape_base<Traits>()
   { }
 
   // Compute squared Euclidean distance from query point to the shape.
   virtual FT squared_distance(const Point& p) const {
-    
+
     const FT sd = (this->constr_vec(m_point_on_primitive, p)) * m_normal;
     return sd * sd;
   }
@@ -36,22 +36,22 @@ public:
 
   // Return a string with shape parameters.
   virtual std::string info() const {
-    
+
     std::stringstream sstr;
 
-    sstr << "Type: plane (" << this->get_x(m_normal) << ", " 
+    sstr << "Type: plane (" << this->get_x(m_normal) << ", "
     << this->get_y(m_normal) << ", " << this->get_z(m_normal) << ")x - " <<
-    
+
     m_d << " = 0" << " #Pts: " << this->m_indices.size();
 
     return sstr.str();
   }
 
 protected:
-  
+
   // Construct shape base on a minimal set of samples from the input data.
   virtual void create_shape(const std::vector<std::size_t>& indices) {
-    
+
     const Point p1 = this->point(indices[0]);
     const Point p2 = this->point(indices[1]);
     const Point p3 = this->point(indices[2]);
@@ -69,9 +69,9 @@ protected:
   virtual void squared_distance(
     const std::vector<std::size_t>& indices,
     std::vector<FT>& dists) const {
-      
+
     for (std::size_t i = 0; i < indices.size(); ++i) {
-      
+
       const FT sd = (this->point(indices[i]) - m_point_on_primitive) * m_normal;
       dists[i] = sd * sd;
     }
@@ -82,7 +82,7 @@ protected:
   virtual void cos_to_normal(
     const std::vector<std::size_t>& indices,
     std::vector<FT>& angles) const {
-    
+
     for (std::size_t i = 0; i < indices.size(); ++i)
       angles[i] = CGAL::abs(this->normal(indices[i]) * m_normal);
   }
@@ -93,7 +93,7 @@ protected:
   }
 
 private:
-  
+
   Point  m_point_on_primitive;
   Vector m_normal;
   FT     m_d;
diff -pruN 5.0.2-3/examples/Shape_detection/region_growing_on_point_set_2.cpp 5.0.3-1/examples/Shape_detection/region_growing_on_point_set_2.cpp
--- 5.0.2-3/examples/Shape_detection/region_growing_on_point_set_2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Shape_detection/region_growing_on_point_set_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -44,22 +44,22 @@ using PLY_Color_map    = CGAL::Second_of
 
 // Define how a color should be stored.
 namespace CGAL {
-    
+
   template<class F>
   struct Output_rep< ::Color, F > {
-        
+
     const ::Color& c;
     static const bool is_specialized = true;
-    
+
     Output_rep(const ::Color& c) : c(c) { }
 
     std::ostream& operator()(std::ostream& out) const {
-            
-      if (is_ascii(out)) 
+
+      if (is_ascii(out))
         out << int(c[0]) << " " << int(c[1]) << " " << int(c[2]);
-      else 
+      else
         out.write(reinterpret_cast<const char*>(&c), sizeof(c));
-            
+
       return out;
     }
   };
@@ -67,31 +67,40 @@ namespace CGAL {
 } // namespace CGAL
 
 int main(int argc, char *argv[]) {
-    
-  std::cout << std::endl << 
-    "region_growing_on_point_set_2 example started" 
+
+  std::cout << std::endl <<
+    "region_growing_on_point_set_2 example started"
   << std::endl << std::endl;
-    
-  std::cout << 
-    "Note: if 0 points are loaded, please specify the path to the file data/point_set_2.xyz by hand!" 
+
+  std::cout <<
+    "Note: if 0 points are loaded, please specify the path to the file data/point_set_2.xyz by hand!"
   << std::endl << std::endl;
 
   // Load xyz data either from a local folder or a user-provided file.
   std::ifstream in(argc > 1 ? argv[1] : "data/point_set_2.xyz");
   CGAL::set_ascii_mode(in);
 
+  if (!in) {
+    std::cout <<
+    "Error: cannot read the file point_set_2.xyz!" << std::endl;
+    std::cout <<
+    "You can either create a symlink to the data folder or provide this file by hand."
+    << std::endl << std::endl;
+    return EXIT_FAILURE;
+  }
+
   Input_range input_range;
   FT a, b, c, d, e, f;
 
   while (in >> a >> b >> c >> d >> e >> f)
     input_range.push_back(
       std::make_pair(Point_2(a, b), Vector_2(d, e)));
-    
+
   in.close();
-  std::cout << 
-    "* loaded " 
-  << input_range.size() << 
-    " points with normals" 
+  std::cout <<
+    "* loaded "
+  << input_range.size() <<
+    " points with normals"
   << std::endl;
 
   // Default parameter values for the data file point_set_2.xyz.
@@ -102,13 +111,13 @@ int main(int argc, char *argv[]) {
 
   // Create instances of the classes Neighbor_query and Region_type.
   Neighbor_query neighbor_query(
-    input_range, 
+    input_range,
     search_sphere_radius);
 
   Region_type region_type(
-    input_range, 
+    input_range,
     max_distance_to_line, max_accepted_angle, min_region_size);
-    
+
   // Create an instance of the region growing class.
   Region_growing region_growing(
     input_range, neighbor_query, region_type);
@@ -118,18 +127,18 @@ int main(int argc, char *argv[]) {
   region_growing.detect(std::back_inserter(regions));
 
   // Print the number of found regions.
-  std::cout << "* " << regions.size() << 
-    " regions have been found" 
+  std::cout << "* " << regions.size() <<
+    " regions have been found"
   << std::endl;
 
   Pwc_vector pwc;
   srand(static_cast<unsigned int>(time(NULL)));
-  
+
   // Iterate through all regions.
   for (const auto& region : regions) {
-        
+
     // Generate a random color.
-    const Color color = 
+    const Color color =
       CGAL::make_array(
         static_cast<unsigned char>(rand() % 256),
         static_cast<unsigned char>(rand() % 256),
@@ -146,7 +155,7 @@ int main(int argc, char *argv[]) {
 
   // Save the result to a file in the user-provided path if any.
   if (argc > 2) {
-        
+
     const std::string path     = argv[2];
     const std::string fullpath = path + "regions_point_set_2.ply";
 
@@ -157,20 +166,20 @@ int main(int argc, char *argv[]) {
       out, pwc,
       CGAL::make_ply_point_writer(PLY_Point_map()),
         std::make_tuple(
-          PLY_Color_map(), 
+          PLY_Color_map(),
           CGAL::PLY_property<unsigned char>("red"),
           CGAL::PLY_property<unsigned char>("green"),
           CGAL::PLY_property<unsigned char>("blue")));
 
-    std::cout << 
-      "* found regions are saved in " 
+    std::cout <<
+      "* found regions are saved in "
     << fullpath << std::endl;
     out.close();
   }
 
-  std::cout << std::endl << 
-    "region_growing_on_point_set_2 example finished" 
+  std::cout << std::endl <<
+    "region_growing_on_point_set_2 example finished"
   << std::endl << std::endl;
-  
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Shape_detection/region_growing_on_point_set_3.cpp 5.0.3-1/examples/Shape_detection/region_growing_on_point_set_3.cpp
--- 5.0.2-3/examples/Shape_detection/region_growing_on_point_set_3.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Shape_detection/region_growing_on_point_set_3.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -41,11 +41,11 @@ using Points_3     = std::vector<Point_3
 
 // Define an insert iterator.
 struct Insert_point_colored_by_region_index {
-      
+
   using argument_type = Indices;
   using result_type   = void;
 
-  using Color_map = 
+  using Color_map =
   typename Output_range:: template Property_map<unsigned char>;
 
   const Input_range& m_input_range;
@@ -54,33 +54,33 @@ struct Insert_point_colored_by_region_in
         std::size_t& m_number_of_regions;
 
   Color_map m_red, m_green, m_blue;
-    
+
   Insert_point_colored_by_region_index(
     const Input_range& input_range,
     const   Point_map  point_map,
          Output_range& output_range,
-          std::size_t& number_of_regions) : 
+          std::size_t& number_of_regions) :
   m_input_range(input_range),
   m_point_map(point_map),
   m_output_range(output_range),
   m_number_of_regions(number_of_regions) {
-        
-    m_red = 
+
+    m_red =
     m_output_range.template add_property_map<unsigned char>("red", 0).first;
-    m_green = 
+    m_green =
     m_output_range.template add_property_map<unsigned char>("green", 0).first;
-    m_blue = 
+    m_blue =
     m_output_range.template add_property_map<unsigned char>("blue", 0).first;
   }
 
   result_type operator()(const argument_type& region) {
 
     CGAL::Random rand(static_cast<unsigned int>(m_number_of_regions));
-    const unsigned char r = 
+    const unsigned char r =
     static_cast<unsigned char>(64 + rand.get_int(0, 192));
-    const unsigned char g = 
+    const unsigned char g =
     static_cast<unsigned char>(64 + rand.get_int(0, 192));
-    const unsigned char b = 
+    const unsigned char b =
     static_cast<unsigned char>(64 + rand.get_int(0, 192));
 
     for (const std::size_t index : region) {
@@ -98,29 +98,38 @@ struct Insert_point_colored_by_region_in
 }; // Insert_point_colored_by_region_index
 
 int main(int argc, char *argv[]) {
-    
-  std::cout << std::endl << 
-    "region_growing_on_point_set_3 example started" 
+
+  std::cout << std::endl <<
+    "region_growing_on_point_set_3 example started"
   << std::endl << std::endl;
-    
-  std::cout << 
-    "Note: if 0 points are loaded, please specify the path to the file data/point_set_3.xyz by hand!" 
+
+  std::cout <<
+    "Note: if 0 points are loaded, please specify the path to the file data/point_set_3.xyz by hand!"
   << std::endl << std::endl;
 
   // Load xyz data either from a local folder or a user-provided file.
   std::ifstream in(argc > 1 ? argv[1] : "data/point_set_3.xyz");
   CGAL::set_ascii_mode(in);
 
+  if (!in) {
+    std::cout <<
+    "Error: cannot read the file point_set_3.xyz!" << std::endl;
+    std::cout <<
+    "You can either create a symlink to the data folder or provide this file by hand."
+    << std::endl << std::endl;
+    return EXIT_FAILURE;
+  }
+
   const bool with_normal_map = true;
   Input_range input_range(with_normal_map);
 
   in >> input_range;
   in.close();
 
-  std::cout << 
-    "* loaded " 
-  << input_range.size() << 
-    " points with normals" 
+  std::cout <<
+    "* loaded "
+  << input_range.size() <<
+    " points with normals"
   << std::endl;
 
   // Default parameter values for the data file point_set_3.xyz.
@@ -131,12 +140,12 @@ int main(int argc, char *argv[]) {
 
   // Create instances of the classes Neighbor_query and Region_type.
   Neighbor_query neighbor_query(
-    input_range, 
-    k, 
+    input_range,
+    k,
     input_range.point_map());
-    
+
   Region_type region_type(
-    input_range, 
+    input_range,
     max_distance_to_plane, max_accepted_angle, min_region_size,
     input_range.point_map(), input_range.normal_map());
 
@@ -145,13 +154,13 @@ int main(int argc, char *argv[]) {
     input_range, neighbor_query, region_type);
 
   // Run the algorithm.
-  Output_range output_range; 
+  Output_range output_range;
   std::size_t number_of_regions = 0;
 
   Insert_point_colored_by_region_index inserter(
-     input_range, input_range.point_map(), 
+     input_range, input_range.point_map(),
     output_range, number_of_regions);
-  
+
   CGAL::Timer timer;
 
   timer.start();
@@ -160,13 +169,13 @@ int main(int argc, char *argv[]) {
   timer.stop();
 
   // Print the number of found regions.
-  std::cout << "* " << number_of_regions << 
-    " regions have been found in " << timer.time() << " seconds" 
+  std::cout << "* " << number_of_regions <<
+    " regions have been found in " << timer.time() << " seconds"
   << std::endl;
 
   // Save the result to a file in the user-provided path if any.
   if (argc > 2) {
-        
+
     const std::string path     = argv[2];
     const std::string fullpath = path + "regions_point_set_3.ply";
 
@@ -182,8 +191,8 @@ int main(int argc, char *argv[]) {
   region_growing.unassigned_items(std::back_inserter(unassigned_items));
 
   // Print the number of unassigned items.
-  std::cout << "* " << unassigned_items.size() << 
-    " points do not belong to any region" 
+  std::cout << "* " << unassigned_items.size() <<
+    " points do not belong to any region"
   << std::endl;
 
   // Store all unassigned points.
@@ -197,12 +206,12 @@ int main(int argc, char *argv[]) {
     unassigned_points.push_back(point);
   }
 
-  std::cout << "* " << unassigned_points.size() << 
-    " unassigned points are stored" 
+  std::cout << "* " << unassigned_points.size() <<
+    " unassigned points are stored"
   << std::endl;
 
-  std::cout << std::endl << 
-    "region_growing_on_point_set_3 example finished" 
+  std::cout << std::endl <<
+    "region_growing_on_point_set_3 example finished"
   << std::endl << std::endl;
 
   return EXIT_SUCCESS;
diff -pruN 5.0.2-3/examples/Shape_detection/region_growing_on_polygon_mesh.cpp 5.0.3-1/examples/Shape_detection/region_growing_on_polygon_mesh.cpp
--- 5.0.2-3/examples/Shape_detection/region_growing_on_polygon_mesh.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Shape_detection/region_growing_on_polygon_mesh.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -43,7 +43,7 @@ using Color = CGAL::Color;
 
     using Polygon_mesh = CGAL::Polyhedron_3<Kernel, CGAL::Polyhedron_items_3, CGAL::HalfedgeDS_vector>;
     using Face_range   = typename CGAL::Iterator_range<typename boost::graph_traits<Polygon_mesh>::face_iterator>;
-    
+
     using Neighbor_query = CGAL::Shape_detection::Polygon_mesh::One_ring_neighbor_query<Polygon_mesh, Face_range>;
     using Region_type    = CGAL::Shape_detection::Polygon_mesh::Least_squares_plane_fit_region<Kernel, Polygon_mesh, Face_range>;
     using Sorting        = CGAL::Shape_detection::Polygon_mesh::Least_squares_plane_fit_sorting<Kernel, Polygon_mesh, Neighbor_query, Face_range>;
@@ -59,24 +59,33 @@ using Region_growing = CGAL::Shape_detec
 
 int main(int argc, char *argv[]) {
 
-  std::cout << std::endl << 
-    "region_growing_on_polygon_mesh example started" 
+  std::cout << std::endl <<
+    "region_growing_on_polygon_mesh example started"
   << std::endl << std::endl;
 
   // Load off data either from a local folder or a user-provided file.
   std::ifstream in(argc > 1 ? argv[1] : "data/polygon_mesh.off");
   CGAL::set_ascii_mode(in);
 
+  if (!in) {
+    std::cout <<
+    "Error: cannot read the file polygon_mesh.off!" << std::endl;
+    std::cout <<
+    "You can either create a symlink to the data folder or provide this file by hand."
+    << std::endl << std::endl;
+    return EXIT_FAILURE;
+  }
+
   Polygon_mesh polygon_mesh;
   in >> polygon_mesh;
-    
+
   in.close();
   const Face_range face_range = faces(polygon_mesh);
 
-  std::cout << 
-    "* polygon mesh with " 
-  << face_range.size() << 
-    " faces is loaded" 
+  std::cout <<
+    "* polygon mesh with "
+  << face_range.size() <<
+    " faces is loaded"
   << std::endl;
 
   // Default parameter values for the data file polygon_mesh.off.
@@ -91,8 +100,8 @@ int main(int argc, char *argv[]) {
     get(CGAL::vertex_point, polygon_mesh));
 
   Region_type region_type(
-    polygon_mesh, 
-    max_distance_to_plane, max_accepted_angle, min_region_size, 
+    polygon_mesh,
+    max_distance_to_plane, max_accepted_angle, min_region_size,
     vertex_to_point_map);
 
   // Sort face indices.
@@ -111,31 +120,31 @@ int main(int argc, char *argv[]) {
   region_growing.detect(std::back_inserter(regions));
 
   // Print the number of found regions.
-  std::cout << "* " << regions.size() << 
-    " regions have been found" 
+  std::cout << "* " << regions.size() <<
+    " regions have been found"
   << std::endl;
 
   // Save the result in a file only if it is stored in CGAL::Surface_mesh.
   #if defined(USE_SURFACE_MESH)
-  
+
     using Face_index = typename Polygon_mesh::Face_index;
-      
+
     // Save the result to a file in the user-provided path if any.
     srand(static_cast<unsigned int>(time(NULL)));
     if (argc > 2) {
 
       bool created;
       typename Polygon_mesh::template Property_map<Face_index, Color> face_color;
-      boost::tie(face_color, created) = 
+      boost::tie(face_color, created) =
         polygon_mesh.template add_property_map<Face_index, Color>(
           "f:color", Color(0, 0, 0));
 
       if (!created) {
-              
-        std::cout << std::endl << 
-          "region_growing_on_polygon_mesh example finished" 
+
+        std::cout << std::endl <<
+          "region_growing_on_polygon_mesh example finished"
         << std::endl << std::endl;
-          
+
         return EXIT_FAILURE;
       }
 
@@ -146,7 +155,7 @@ int main(int argc, char *argv[]) {
 
       // Iterate through all regions.
       for (const auto& region : regions) {
-              
+
         // Generate a random color.
         const Color color(
           static_cast<unsigned char>(rand() % 256),
@@ -162,16 +171,16 @@ int main(int argc, char *argv[]) {
       out << polygon_mesh;
       out.close();
 
-      std::cout << 
-        "* polygon mesh is saved in " 
+      std::cout <<
+        "* polygon mesh is saved in "
       << fullpath << std::endl;
     }
 
   #endif
 
-  std::cout << std::endl << 
-    "region_growing_on_polygon_mesh example finished" 
+  std::cout << std::endl <<
+    "region_growing_on_polygon_mesh example finished"
   << std::endl << std::endl;
-    
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Shape_detection/region_growing_with_custom_classes.cpp 5.0.3-1/examples/Shape_detection/region_growing_with_custom_classes.cpp
--- 5.0.2-3/examples/Shape_detection/region_growing_with_custom_classes.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Shape_detection/region_growing_with_custom_classes.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -19,24 +19,24 @@ namespace Custom {
   // A range of objects.
   using Objects = std::vector<Object>;
 
-  // The Neighbor_query functor that accesses neighbors stored in 
+  // The Neighbor_query functor that accesses neighbors stored in
   // the object struct above.
   class Neighbor_query {
     const Objects& m_objects;
 
   public:
-    Neighbor_query(const Objects& objects) : 
-    m_objects(objects) 
+    Neighbor_query(const Objects& objects) :
+    m_objects(objects)
     { }
 
     void operator()(
-      const std::size_t query_index, 
+      const std::size_t query_index,
       std::vector<std::size_t>& neighbors) const {
-      
+
       std::size_t i = 0;
       for (const auto& object : m_objects) {
         if (i == query_index) {
-          
+
           neighbors = object.neighbors;
           return;
         } ++i;
@@ -46,7 +46,7 @@ namespace Custom {
 
   // The Region_type class, where the function is_part_of_region() verifies
   // a very specific condition that the first and second objects in the
-  // range are in fact neighbors; is_valid_region() function always 
+  // range are in fact neighbors; is_valid_region() function always
   // returns true after the first call to the update() function.
   // These are the only functions that have to be defined.
   class Region_type {
@@ -60,14 +60,14 @@ namespace Custom {
       const std::size_t query_index,
       const std::vector<std::size_t>& region) const {
 
-      if (region.size() == 0) 
+      if (region.size() == 0)
         return false;
 
-      const std::size_t index = region[0]; 
+      const std::size_t index = region[0];
 
       if (index == 0 && query_index == 1) return true;
       if (query_index == 0 && index == 1) return true;
-      
+
       return false;
     }
 
@@ -80,27 +80,27 @@ namespace Custom {
     }
   };
 
-  // The SeedMap class that uses the m_objects_map to define 
+  // The SeedMap class that uses the m_objects_map to define
   // the seeding order of objects.
   class Seed_map {
-                        
+
   public:
     using key_type   = std::size_t;
     using value_type = std::size_t;
     using category   = boost::lvalue_property_map_tag;
 
-    Seed_map(const std::map<std::size_t, std::size_t>& objects_map) : 
-    m_objects_map(objects_map) 
+    Seed_map(const std::map<std::size_t, std::size_t>& objects_map) :
+    m_objects_map(objects_map)
     { }
 
-    value_type operator[](const key_type key) const { 
+    value_type operator[](const key_type key) const {
       return m_objects_map.find(key)->second;
     }
 
     friend value_type get(
-      const Seed_map& seed_map, 
-      const key_type key) { 
-      
+      const Seed_map& seed_map,
+      const key_type key) {
+
       return seed_map[key];
     }
 
@@ -120,13 +120,13 @@ using Seed_map       = Custom::Seed_map;
 using Region  = std::vector<std::size_t>;
 using Regions = std::vector<Region>;
 
-using Region_growing = 
+using Region_growing =
 CGAL::Shape_detection::Region_growing<Objects, Neighbor_query, Region_type, Seed_map>;
 
-int main() { 
-  
-  std::cout << std::endl << 
-    "region_growing_with_custom_classes example started" 
+int main() {
+
+  std::cout << std::endl <<
+    "region_growing_with_custom_classes example started"
   << std::endl << std::endl;
 
   // Define a range of objects, where the first two objects form
@@ -137,11 +137,11 @@ int main() {
 
   // Region 1.
   Object object1;
-  object1.neighbors.resize(1, 1); 
+  object1.neighbors.resize(1, 1);
   objects.push_back(object1);
-  
+
   Object object2;
-  object2.neighbors.resize(1, 0); 
+  object2.neighbors.resize(1, 0);
   objects.push_back(object2);
 
   // Region 2.
@@ -173,12 +173,12 @@ int main() {
   region_growing.detect(std::back_inserter(regions));
 
   // Print the number of found regions. It must be two regions.
-  std::cout << "* " << regions.size() << 
-    " regions have been found among " << objects.size() <<  " objects" 
+  std::cout << "* " << regions.size() <<
+    " regions have been found among " << objects.size() <<  " objects"
   << std::endl;
 
-  std::cout << std::endl << 
-    "region_growing_with_custom_classes example finished" 
+  std::cout << std::endl <<
+    "region_growing_with_custom_classes example finished"
   << std::endl << std::endl;
 
   return EXIT_SUCCESS;
diff -pruN 5.0.2-3/examples/Shape_detection/shape_detection_basic_deprecated.cpp 5.0.3-1/examples/Shape_detection/shape_detection_basic_deprecated.cpp
--- 5.0.2-3/examples/Shape_detection/shape_detection_basic_deprecated.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Shape_detection/shape_detection_basic_deprecated.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -33,21 +33,21 @@ typedef CGAL::Shape_detection_3::Plane<T
 // Please update your code to the new version using other examples!
 template<typename ShapeDetection>
 int run(const char* filename) {
-  
+
   // Points with normals.
   Pwn_vector points;
 
-  // Load a point set from a file. 
+  // Load a point set from a file.
   // read_xyz_points_and_normals takes an OutputIterator for storing the points
   // and a property map to store the normal vector with each point.
   std::ifstream stream(filename);
 
-  if (!stream || 
+  if (!stream ||
     !CGAL::read_xyz_points(stream,
       std::back_inserter(points),
       CGAL::parameters::point_map(Point_map()).
       normal_map(Normal_map()))) {
-      
+
     std::cout << "Error: cannot read the file cube.pwn" << std::endl;
     return EXIT_FAILURE;
   }
@@ -65,14 +65,14 @@ int run(const char* filename) {
   shape_detection.detect();
 
   // Print number of detected shapes.
-  std::cout << shape_detection.shapes().end() - shape_detection.shapes().begin() 
+  std::cout << shape_detection.shapes().end() - shape_detection.shapes().begin()
   << " shapes detected." << std::endl;
 
   return EXIT_SUCCESS;
 }
 
 int main (int argc, char** argv) {
-  
+
   if (argc > 1 && std::string(argv[1]) == "-r") {
     std::cout << "Efficient RANSAC" << std::endl;
     return run<Efficient_ransac> ((argc > 2) ? argv[2] : "data/cube.pwn");
diff -pruN 5.0.2-3/examples/Skin_surface_3/CMakeLists.txt 5.0.3-1/examples/Skin_surface_3/CMakeLists.txt
--- 5.0.2-3/examples/Skin_surface_3/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Skin_surface_3/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -2,7 +2,7 @@
 # This is the CMake script for compiling a CGAL application.
 
 cmake_minimum_required(VERSION 3.1...3.15)
-project( Skin_surface_3_Examples ) 
+project( Skin_surface_3_Examples )
 
 
 
@@ -24,14 +24,14 @@ if (CGAL_FOUND)
   create_single_source_cgal_program( "skin_surface_subdiv.cpp" )
   create_single_source_cgal_program( "skin_surface_subdiv_with_normals.cpp" )
   create_single_source_cgal_program( "union_of_balls_simple.cpp" )
-  create_single_source_cgal_program( "union_of_balls_subdiv.cpp" )  
-  
+  create_single_source_cgal_program( "union_of_balls_subdiv.cpp" )
+
   find_package(ESBTL)
   if(ESBTL_FOUND)
     include_directories( ${ESBTL_INCLUDE_DIR} )
-    create_single_source_cgal_program( "skin_surface_pdb_reader.cpp" )    
+    create_single_source_cgal_program( "skin_surface_pdb_reader.cpp" )
   else(ESBTL_FOUND)
-    message(STATUS "NOTICE: skin_surface_pdb_reader.cpp requires ESBTL library, and will not be compiled.")  
+    message(STATUS "NOTICE: skin_surface_pdb_reader.cpp requires ESBTL library, and will not be compiled.")
   endif(ESBTL_FOUND)
 
 else(CGAL_FOUND)
diff -pruN 5.0.2-3/examples/Skin_surface_3/include/extract_balls_from_pdb.h 5.0.3-1/examples/Skin_surface_3/include/extract_balls_from_pdb.h
--- 5.0.2-3/examples/Skin_surface_3/include/extract_balls_from_pdb.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/examples/Skin_surface_3/include/extract_balls_from_pdb.h	2020-08-01 19:02:51.000000000 +0000
@@ -8,20 +8,20 @@
 template <class K,class System, class OutputIterator>
 void extract_balls_from_pdb(const char *filename,
                             std::vector<System>& systems,
-                            OutputIterator weighted_points) 
+                            OutputIterator weighted_points)
 {
-  
+
   typedef ESBTL::Generic_classifier<ESBTL::Radius_of_atom<double,typename System::Atom> >     T_Atom_classifier;
   typedef ESBTL::Accept_none_occupancy_policy<ESBTL::PDB::Line_format<> >                     Accept_none_occupancy_policy;
   typedef ESBTL::Weighted_atom_iterator<typename System::Model,
                                         typename K::Weighted_point_3,
-                                        ESBTL::Weight_of_atoms<T_Atom_classifier> >  Weighted_atom_iterator;  
-  
+                                        ESBTL::Weight_of_atoms<T_Atom_classifier> >  Weighted_atom_iterator;
+
   ESBTL::PDB_line_selector sel;
-  
+
   ESBTL::All_atom_system_builder<System> builder(systems,sel.max_nb_systems());
   T_Atom_classifier atom_classifier;
-  
+
   ESBTL::read_a_pdb_file(filename,sel,builder,Accept_none_occupancy_policy());
 
   if ( systems.empty() || systems[0].has_no_model() ){
@@ -31,7 +31,7 @@ void extract_balls_from_pdb(const char *
   const typename System::Model& model=* systems[0].models_begin();
   std::copy(Weighted_atom_iterator(model.atoms_begin(),&atom_classifier),
             Weighted_atom_iterator(model.atoms_end(),&atom_classifier),
-            weighted_points);  
+            weighted_points);
 
 }
 
diff -pruN 5.0.2-3/examples/Snap_rounding_2/CMakeLists.txt 5.0.3-1/examples/Snap_rounding_2/CMakeLists.txt
--- 5.0.2-3/examples/Snap_rounding_2/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Snap_rounding_2/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Snap_rounding_2/snap_rounding_data.cpp 5.0.3-1/examples/Snap_rounding_2/snap_rounding_data.cpp
--- 5.0.2-3/examples/Snap_rounding_2/snap_rounding_data.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Snap_rounding_2/snap_rounding_data.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -16,11 +16,11 @@
  *  This example converts arbitrary-precision arrangment into fixed-precision using Snap Rounding and by using INPUT DATA FROM A USER SPECIFIED FILE.
  *  <Argument 1> (Mandatory) path to the input file containing the arrangment information.
  *  <Argument 2> (Optional)  path to the output file where the results of snap rounding will be stored.
- *							Not providing this argument will print the result on standard output.
+ *                                                        Not providing this argument will print the result on standard output.
  *
  *  Input file format
- *  Line # 1: 		Number of line-segments present in the file.
- *  Line # 2 to N+1:	segment_start_point_x <space> segment_start_point_y <space> segment_end_point_x <space> segment_end_point_y
+ *  Line # 1:                 Number of line-segments present in the file.
+ *  Line # 2 to N+1:        segment_start_point_x <space> segment_start_point_y <space> segment_end_point_x <space> segment_end_point_y
  *
  *  Each line should contain information about just one segment.
 */
@@ -43,89 +43,89 @@ typedef std::list<Polyline_2>
 
 int main(int argc, char* argv[])
 {
-	//if(argc > 3 || argc < 2)
-	if(argc > 3)
-	{
-		std::cout<< "Incorrect input. <Arg 1> path to the INPUT file. <Arg 2> (optional) path to the OUTPUT file. No arguments to choose the default data file" << std::endl;
-		return -1;
-	}
-
-	Segment_list_2 seg_list;
-	Polyline_list_2 output_list;
-
-	std::ifstream my_read_file;
-	std::ofstream my_write_file;
-
-	if(argc > 1)
-		my_read_file.open(argv[1]);
-	else
-		my_read_file.open("data/snap_rounding_data");
-
-	if(!my_read_file.is_open())
-	{
-		std::cout<< "Error opening the input file"<< std::endl;
-		return -1;
-	}
-
-	if(argc==3)
-	{
-		my_write_file.open(argv[2]);
-
-		if(!my_read_file.is_open())
-		{
-			std::cout<< "Error opening the output file"<< std::endl;
-			return -1;
-		}
-	}
-
-	unsigned int number_of_lines = 0;
-	my_read_file >> number_of_lines;
-
-	for(unsigned int i=0; i<number_of_lines; i++)
-	{
-		double point_start_x, point_start_y, point_end_x, point_end_y;
-		my_read_file >> point_start_x;
-		my_read_file >> point_start_y;
-		my_read_file >> point_end_x;
-		my_read_file >> point_end_y;
-
-		seg_list.push_back(Segment_2(Point_2(point_start_x, point_start_y), Point_2(point_end_x, point_end_y)));
-	}
-
-	// Generate an iterated snap-rounding representation, where the centers of
-	// the hot pixels bear their original coordinates, using 1 kd trees:
-	CGAL::snap_rounding_2<Traits,Segment_list_2::const_iterator,Polyline_list_2>
-	  									(seg_list.begin(), seg_list.end(), output_list, 1.0, true, false, 1);
-
- 	int counter = 0;
-	Polyline_list_2::const_iterator iter1;
-
-	if(argc == 3) //output to the file
-	{
-		for (iter1 = output_list.begin(); iter1 != output_list.end(); ++iter1)
-		{
-		    my_write_file << "Polyline number " << ++counter << ":\n";
-		    Polyline_2::const_iterator iter2;
-
-		    for (iter2 = iter1->begin(); iter2 != iter1->end(); ++iter2)
-		      my_write_file << "    (" << iter2->x() << ":" << iter2->y() << ")\n";
-		}
-
-		my_write_file.close();
-	}
-	else //output to std output
-	{
-		for (iter1 = output_list.begin(); iter1 != output_list.end(); ++iter1)
-		{
-		    std::cout << "Polyline number " << ++counter << ":\n";
-		    Polyline_2::const_iterator iter2;
-
-		    for (iter2 = iter1->begin(); iter2 != iter1->end(); ++iter2)
-		      std::cout << "    (" << iter2->x() << ":" << iter2->y() << ")\n";
-		}
-	}
+        //if(argc > 3 || argc < 2)
+        if(argc > 3)
+        {
+                std::cout<< "Incorrect input. <Arg 1> path to the INPUT file. <Arg 2> (optional) path to the OUTPUT file. No arguments to choose the default data file" << std::endl;
+                return -1;
+        }
+
+        Segment_list_2 seg_list;
+        Polyline_list_2 output_list;
+
+        std::ifstream my_read_file;
+        std::ofstream my_write_file;
+
+        if(argc > 1)
+                my_read_file.open(argv[1]);
+        else
+                my_read_file.open("data/snap_rounding_data");
+
+        if(!my_read_file.is_open())
+        {
+                std::cout<< "Error opening the input file"<< std::endl;
+                return -1;
+        }
+
+        if(argc==3)
+        {
+                my_write_file.open(argv[2]);
+
+                if(!my_read_file.is_open())
+                {
+                        std::cout<< "Error opening the output file"<< std::endl;
+                        return -1;
+                }
+        }
+
+        unsigned int number_of_lines = 0;
+        my_read_file >> number_of_lines;
+
+        for(unsigned int i=0; i<number_of_lines; i++)
+        {
+                double point_start_x, point_start_y, point_end_x, point_end_y;
+                my_read_file >> point_start_x;
+                my_read_file >> point_start_y;
+                my_read_file >> point_end_x;
+                my_read_file >> point_end_y;
+
+                seg_list.push_back(Segment_2(Point_2(point_start_x, point_start_y), Point_2(point_end_x, point_end_y)));
+        }
+
+        // Generate an iterated snap-rounding representation, where the centers of
+        // the hot pixels bear their original coordinates, using 1 kd trees:
+        CGAL::snap_rounding_2<Traits,Segment_list_2::const_iterator,Polyline_list_2>
+                                                                                  (seg_list.begin(), seg_list.end(), output_list, 1.0, true, false, 1);
+
+         int counter = 0;
+        Polyline_list_2::const_iterator iter1;
+
+        if(argc == 3) //output to the file
+        {
+                for (iter1 = output_list.begin(); iter1 != output_list.end(); ++iter1)
+                {
+                    my_write_file << "Polyline number " << ++counter << ":\n";
+                    Polyline_2::const_iterator iter2;
+
+                    for (iter2 = iter1->begin(); iter2 != iter1->end(); ++iter2)
+                      my_write_file << "    (" << iter2->x() << ":" << iter2->y() << ")\n";
+                }
+
+                my_write_file.close();
+        }
+        else //output to std output
+        {
+                for (iter1 = output_list.begin(); iter1 != output_list.end(); ++iter1)
+                {
+                    std::cout << "Polyline number " << ++counter << ":\n";
+                    Polyline_2::const_iterator iter2;
+
+                    for (iter2 = iter1->begin(); iter2 != iter1->end(); ++iter2)
+                      std::cout << "    (" << iter2->x() << ":" << iter2->y() << ")\n";
+                }
+        }
 
-	my_read_file.close();
+        my_read_file.close();
 
-	return(0);
+        return(0);
 }
diff -pruN 5.0.2-3/examples/Solver_interface/CMakeLists.txt 5.0.3-1/examples/Solver_interface/CMakeLists.txt
--- 5.0.2-3/examples/Solver_interface/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Solver_interface/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -58,8 +58,8 @@ if ( CGAL_FOUND )
   endif()
 
 else()
-  
+
     message(STATUS "NOTICE: This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Solver_interface/mixed_integer_program.cpp 5.0.3-1/examples/Solver_interface/mixed_integer_program.cpp
--- 5.0.2-3/examples/Solver_interface/mixed_integer_program.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Solver_interface/mixed_integer_program.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,20 +1,20 @@
 
-/* 
+/*
 * This example shows how to formulate and solve the following MIP problem:
 *
-*	Maximize
+*        Maximize
 *   Objective: x1 + 2 x2 + 3 x3 + x4
 *   Subject to
-*   	c1: - x1 +   x2 + x3 +  10 x4 <= 20
-*   	c2:   x1 - 3 x2 + x3          <= 30
-*   	c3:          x2      - 3.5 x4  =  0
+*           c1: - x1 +   x2 + x3 +  10 x4 <= 20
+*           c2:   x1 - 3 x2 + x3          <= 30
+*           c3:          x2      - 3.5 x4  =  0
 *   Bounds
-*   	0 <= x1 <= 40
-*   	2 <= x4 <= 3
+*           0 <= x1 <= 40
+*           2 <= x4 <= 3
 *   General
-*   	x4 is integer
+*           x4 is integer
 *
-*   	Expected results: x1=40; x2=10.5; x3=19.5; x4=3;
+*           Expected results: x1=40; x2=10.5; x3=19.5; x4=3;
 */
 
 
@@ -23,81 +23,81 @@
 #ifdef CGAL_USE_SCIP
 
 #include <CGAL/SCIP_mixed_integer_program_traits.h>
-typedef CGAL::SCIP_mixed_integer_program_traits<double>			MIP_Solver;
+typedef CGAL::SCIP_mixed_integer_program_traits<double>                        MIP_Solver;
 
 #elif defined(CGAL_USE_GLPK)
 
 #include <CGAL/GLPK_mixed_integer_program_traits.h>
-typedef CGAL::GLPK_mixed_integer_program_traits<double>			MIP_Solver;
+typedef CGAL::GLPK_mixed_integer_program_traits<double>                        MIP_Solver;
 
 #endif
 
 
 #if defined(CGAL_USE_GLPK) || defined(CGAL_USE_SCIP)
 
-typedef typename MIP_Solver::Variable			Variable;
-typedef typename MIP_Solver::Linear_objective	Linear_objective;
-typedef typename MIP_Solver::Linear_constraint	Linear_constraint;
+typedef typename MIP_Solver::Variable                        Variable;
+typedef typename MIP_Solver::Linear_objective        Linear_objective;
+typedef typename MIP_Solver::Linear_constraint        Linear_constraint;
 
 
 int main()
 {
-	MIP_Solver solver;
+        MIP_Solver solver;
 
-	// Variable x1
-	Variable* x1 = solver.create_variable(Variable::CONTINUOUS, 0, 40, "x1");
+        // Variable x1
+        Variable* x1 = solver.create_variable(Variable::CONTINUOUS, 0, 40, "x1");
 
-	// Variable x2
-	// You can create first (using default parameters) and then assign values.
-	Variable* x2 = solver.create_variable();
-	x2->set_name("x2");	// This is optional (a default will be given)
-
-	// Variable x3
-	Variable* x3 = solver.create_variable();	// Uses all default parameters
-	x3->set_name("x3");
-
-	// Variable x4
-	Variable* x4 = solver.create_variable(Variable::INTEGER, 2, 3, "x4");
-
-	// Objective. 
-	// Be careful this is "MAXIMIZE"
-	Linear_objective * obj = solver.create_objective(Linear_objective::MAXIMIZE);
-	obj->add_coefficient(x1, 1.0);
-	obj->add_coefficient(x2, 2.0);
-	obj->add_coefficient(x3, 3.0);
-	obj->add_coefficient(x4, 1.0);
-
-	// Constraint c1: -x1 + x2 + x3 + 10 x4 <= 20
-	Linear_constraint* c1 = solver.create_constraint(-Linear_constraint::infinity(), 20, "c1");
-	c1->add_coefficient(x1, -1);
-	c1->add_coefficient(x2, 1);
-	c1->add_coefficient(x3, 1);
-	c1->add_coefficient(x4, 10);
-
-	// Constraint c2: x1 - 3 x2 + x3 <= 30
-	Linear_constraint* c2 = solver.create_constraint(-Linear_constraint::infinity(), 30, "c2");
-	c2->add_coefficient(x1, 1);
-	c2->add_coefficient(x2, -3);
-	c2->add_coefficient(x3, 1);
-
-	// Constraint c3:  x2 - 3.5 x4 = 0
-	Linear_constraint* c3 = solver.create_constraint(0, 0, "c3");
-	c3->add_coefficient(x2, 1);
-	c3->add_coefficient(x4, -3.5);
-
-	// Solve
-	if (solver.solve()) {
-		std::cout << "result: " << std::endl;
-		const std::vector<double>& results = solver.solution();
-		for (std::size_t i = 0; i < results.size(); ++i) {
-			std::cout << "\tx" << i + 1 << ": " << results[i] << std::endl;
-		}
-		return EXIT_SUCCESS;
-	}
-	else {
-		std::cerr << "solving problem failed" << std::endl;
-		return EXIT_FAILURE;
-	}
+        // Variable x2
+        // You can create first (using default parameters) and then assign values.
+        Variable* x2 = solver.create_variable();
+        x2->set_name("x2");        // This is optional (a default will be given)
+
+        // Variable x3
+        Variable* x3 = solver.create_variable();        // Uses all default parameters
+        x3->set_name("x3");
+
+        // Variable x4
+        Variable* x4 = solver.create_variable(Variable::INTEGER, 2, 3, "x4");
+
+        // Objective.
+        // Be careful this is "MAXIMIZE"
+        Linear_objective * obj = solver.create_objective(Linear_objective::MAXIMIZE);
+        obj->add_coefficient(x1, 1.0);
+        obj->add_coefficient(x2, 2.0);
+        obj->add_coefficient(x3, 3.0);
+        obj->add_coefficient(x4, 1.0);
+
+        // Constraint c1: -x1 + x2 + x3 + 10 x4 <= 20
+        Linear_constraint* c1 = solver.create_constraint(-Linear_constraint::infinity(), 20, "c1");
+        c1->add_coefficient(x1, -1);
+        c1->add_coefficient(x2, 1);
+        c1->add_coefficient(x3, 1);
+        c1->add_coefficient(x4, 10);
+
+        // Constraint c2: x1 - 3 x2 + x3 <= 30
+        Linear_constraint* c2 = solver.create_constraint(-Linear_constraint::infinity(), 30, "c2");
+        c2->add_coefficient(x1, 1);
+        c2->add_coefficient(x2, -3);
+        c2->add_coefficient(x3, 1);
+
+        // Constraint c3:  x2 - 3.5 x4 = 0
+        Linear_constraint* c3 = solver.create_constraint(0, 0, "c3");
+        c3->add_coefficient(x2, 1);
+        c3->add_coefficient(x4, -3.5);
+
+        // Solve
+        if (solver.solve()) {
+                std::cout << "result: " << std::endl;
+                const std::vector<double>& results = solver.solution();
+                for (std::size_t i = 0; i < results.size(); ++i) {
+                        std::cout << "\tx" << i + 1 << ": " << results[i] << std::endl;
+                }
+                return EXIT_SUCCESS;
+        }
+        else {
+                std::cerr << "solving problem failed" << std::endl;
+                return EXIT_FAILURE;
+        }
 }
 
 
diff -pruN 5.0.2-3/examples/Spatial_searching/CMakeLists.txt 5.0.3-1/examples/Spatial_searching/CMakeLists.txt
--- 5.0.2-3/examples/Spatial_searching/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_searching/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -13,10 +13,10 @@ find_package( CGAL QUIET COMPONENTS )
 if ( NOT CGAL_FOUND )
 
   message(STATUS "This project requires the CGAL library, and will not be compiled.")
-  return()  
+  return()
 
 endif()
-            
+
 find_package(Eigen3 3.1.91) #(requires 3.2.0 or greater)
 if (EIGEN3_FOUND)
   include( ${EIGEN3_USE_FILE} )
diff -pruN 5.0.2-3/examples/Spatial_searching/distance_browsing.cpp 5.0.3-1/examples/Spatial_searching/distance_browsing.cpp
--- 5.0.2-3/examples/Spatial_searching/distance_browsing.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_searching/distance_browsing.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -35,7 +35,7 @@ int main() {
 
   std::cout <<  "The first 5 nearest neighbours with positive x-coord are: " << std::endl;
   for (int j=0; (j < 5)&&(it!=end); ++j,++it)
-    std::cout <<   (*it).first << "  at squared distance = " << (*it).second << std::endl;
+    std::cout <<   (*it).first << "  at squared distance = " << it->second << std::endl;
 
   return 0;
 }
diff -pruN 5.0.2-3/examples/Spatial_searching/Distance.h 5.0.3-1/examples/Spatial_searching/Distance.h
--- 5.0.2-3/examples/Spatial_searching/Distance.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/examples/Spatial_searching/Distance.h	2020-08-01 19:02:52.000000000 +0000
@@ -11,7 +11,7 @@ struct Distance {
   }
 
   double min_distance_to_rectangle(const Point& p,
-				   const CGAL::Kd_tree_rectangle<FT,D>& b) const {
+                                   const CGAL::Kd_tree_rectangle<FT,D>& b) const {
     double distance(0.0), h = p.x();
     if (h < b.min_coord(0)) distance += (b.min_coord(0)-h)*(b.min_coord(0)-h);
     if (h > b.max_coord(0)) distance += (h-b.max_coord(0))*(h-b.max_coord(0));
@@ -25,7 +25,7 @@ struct Distance {
   }
 
   double min_distance_to_rectangle(const Point& p,
-				   const CGAL::Kd_tree_rectangle<FT,D>& b,std::vector<double>& dists){   
+                                   const CGAL::Kd_tree_rectangle<FT,D>& b,std::vector<double>& dists){
     double distance(0.0), h = p.x();
     if (h < b.min_coord(0)){
       dists[0] = (b.min_coord(0)-h);
@@ -58,7 +58,7 @@ struct Distance {
 
 
   double max_distance_to_rectangle(const Point& p,
-				   const CGAL::Kd_tree_rectangle<FT,D>& b) const {
+                                   const CGAL::Kd_tree_rectangle<FT,D>& b) const {
     double h = p.x();
 
     double d0 = (h >= (b.min_coord(0)+b.max_coord(0))/2.0) ?
@@ -74,12 +74,12 @@ struct Distance {
   }
 
   double max_distance_to_rectangle(const Point& p,
-				   const CGAL::Kd_tree_rectangle<FT,D>& b,std::vector<double>& dists){   
+                                   const CGAL::Kd_tree_rectangle<FT,D>& b,std::vector<double>& dists){
     double h = p.x();
 
     dists[0] = (h >= (b.min_coord(0)+b.max_coord(0))/2.0) ?
                 (h-b.min_coord(0)) : (b.max_coord(0)-h);
-    
+
     h=p.y();
     dists[1] = (h >= (b.min_coord(1)+b.max_coord(1))/2.0) ?
                 (h-b.min_coord(1)) : (b.max_coord(1)-h);
@@ -90,7 +90,7 @@ struct Distance {
   }
 
   double new_distance(double& dist, double old_off, double new_off,
-		      int /* cutting_dimension */)  const {
+                      int /* cutting_dimension */)  const {
     return dist + new_off*new_off - old_off*old_off;
   }
 
diff -pruN 5.0.2-3/examples/Spatial_searching/fuzzy_range_query.cpp 5.0.3-1/examples/Spatial_searching/fuzzy_range_query.cpp
--- 5.0.2-3/examples/Spatial_searching/fuzzy_range_query.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_searching/fuzzy_range_query.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -24,7 +24,7 @@ int main() {
 
   // Insert N points in the tree
   Tree tree(N_Random_points_iterator(rpit,0),
-	    N_Random_points_iterator(rpit,N));
+            N_Random_points_iterator(rpit,N));
 
   // define range query objects
   double  pcoord[D] = { 300, 300, 300, 300 };
diff -pruN 5.0.2-3/examples/Spatial_searching/general_neighbor_searching.cpp 5.0.3-1/examples/Spatial_searching/general_neighbor_searching.cpp
--- 5.0.2-3/examples/Spatial_searching/general_neighbor_searching.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_searching/general_neighbor_searching.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -30,7 +30,7 @@ int  main() {
   Neighbor_search N1(tree, query, 5, 10.0, false); // eps=10.0, nearest=false
 
   std::cout << "For query rectangle = [0.1, 0.2]^4 " << std::endl
-	    <<  "the " << K << " approximate furthest neighbors are: " << std::endl;
+            <<  "the " << K << " approximate furthest neighbors are: " << std::endl;
   for (Neighbor_search::iterator it = N1.begin();it != N1.end();it++) {
     std::cout << " Point " << it->first << " at distance  " << tr_dist.inverse_of_transformed_distance(it->second) << std::endl;
   }
diff -pruN 5.0.2-3/examples/Spatial_searching/searching_polyhedron_vertices.cpp 5.0.3-1/examples/Spatial_searching/searching_polyhedron_vertices.cpp
--- 5.0.2-3/examples/Spatial_searching/searching_polyhedron_vertices.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_searching/searching_polyhedron_vertices.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -44,8 +44,8 @@ int main(int argc, char* argv[]) {
   K_neighbor_search search(tree, query, K,0,true,tr_dist);
   std::cout <<"The "<< K << " nearest vertices to the query point at (0,0,0) are:" << std::endl;
   for(K_neighbor_search::iterator it = search.begin(); it != search.end(); it++){
-    std::cout << "vertex " << &*(it->first) << " : " << vppmap[it->first] << " at distance " 
-	      << tr_dist.inverse_of_transformed_distance(it->second) << std::endl;
+    std::cout << "vertex " << &*(it->first) << " : " << vppmap[it->first] << " at distance "
+              << tr_dist.inverse_of_transformed_distance(it->second) << std::endl;
   }
   return 0;
 }
diff -pruN 5.0.2-3/examples/Spatial_searching/searching_polyhedron_vertices_with_fuzzy_sphere.cpp 5.0.3-1/examples/Spatial_searching/searching_polyhedron_vertices_with_fuzzy_sphere.cpp
--- 5.0.2-3/examples/Spatial_searching/searching_polyhedron_vertices_with_fuzzy_sphere.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_searching/searching_polyhedron_vertices_with_fuzzy_sphere.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -30,20 +30,16 @@ int main(int argc, char* argv[])
   in  >> mesh;
 
   Vertex_point_pmap vppmap = get(CGAL::vertex_point,mesh);
+  Traits traits(vppmap);
+  Tree tree(vertices(mesh).begin(), vertices(mesh).end(), Splitter(), traits);
 
-  // Insert number_of_data_points in the tree
-  Tree tree(vertices(mesh).begin(),
-            vertices(mesh).end(),
-            Splitter(),
-            Traits(vppmap)
-  );
   Point_3 query(0.0, 0.0, 0.0);
   double radius = 0.5;
   double epsilon = 0.01;
 
   // search vertices
-  CGAL::Fuzzy_sphere<Traits> fz(query, radius, epsilon);
-  
+  CGAL::Fuzzy_sphere<Traits> fz(query, radius, epsilon, traits);
+
   //collect vertices that are inside the sphere
   std::list<vertex_descriptor> result;
   tree.search(std::back_inserter(result), fz);
diff -pruN 5.0.2-3/examples/Spatial_searching/searching_surface_mesh_vertices.cpp 5.0.3-1/examples/Spatial_searching/searching_surface_mesh_vertices.cpp
--- 5.0.2-3/examples/Spatial_searching/searching_surface_mesh_vertices.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_searching/searching_surface_mesh_vertices.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -46,8 +46,8 @@ int main(int argc, char* argv[]) {
   K_neighbor_search search(tree, query, K,0,true,tr_dist);
   std::cout <<"The "<< K << " nearest vertices to the query point at (0,0,0) are:" << std::endl;
   for(K_neighbor_search::iterator it = search.begin(); it != search.end(); it++){
-    std::cout << "vertex " << it->first << " : " << vppmap[it->first] << " at distance " 
-	      << tr_dist.inverse_of_transformed_distance(it->second) << std::endl;
+    std::cout << "vertex " << it->first << " : " << vppmap[it->first] << " at distance "
+              << tr_dist.inverse_of_transformed_distance(it->second) << std::endl;
   }
   return 0;
 }
diff -pruN 5.0.2-3/examples/Spatial_searching/searching_with_point_with_info.cpp 5.0.3-1/examples/Spatial_searching/searching_with_point_with_info.cpp
--- 5.0.2-3/examples/Spatial_searching/searching_with_point_with_info.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_searching/searching_with_point_with_info.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -28,7 +28,7 @@ int main() {
   Random_points_iterator rpit( 1.0);
   std::vector<Point_3> points;
   std::vector<int>     indices;
-  
+
   points.push_back(Point_3(*rpit++));
   points.push_back(Point_3(*rpit++));
   points.push_back(Point_3(*rpit++));
@@ -48,7 +48,7 @@ int main() {
   // Insert number_of_data_points in the tree
   Tree tree(
     boost::make_zip_iterator(boost::make_tuple( points.begin(),indices.begin() )),
-    boost::make_zip_iterator(boost::make_tuple( points.end(),indices.end() ) )  
+    boost::make_zip_iterator(boost::make_tuple( points.end(),indices.end() ) )
   );
   Point_3 query(0.0, 0.0, 0.0);
   Distance tr_dist;
@@ -57,7 +57,7 @@ int main() {
   K_neighbor_search search(tree, query, K);
   for(K_neighbor_search::iterator it = search.begin(); it != search.end(); it++){
     std::cout << " d(q, nearest neighbor)=  "
-	      << tr_dist.inverse_of_transformed_distance(it->second) << " " 
+              << tr_dist.inverse_of_transformed_distance(it->second) << " "
               << boost::get<0>(it->first)<< " " << boost::get<1>(it->first) << std::endl;
   }
   return 0;
diff -pruN 5.0.2-3/examples/Spatial_searching/searching_with_point_with_info_inplace.cpp 5.0.3-1/examples/Spatial_searching/searching_with_point_with_info_inplace.cpp
--- 5.0.2-3/examples/Spatial_searching/searching_with_point_with_info_inplace.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_searching/searching_with_point_with_info_inplace.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -18,13 +18,13 @@ public:
   typedef Point_3 value_type;
   typedef const value_type& reference;
   typedef std::size_t key_type;
-  typedef boost::lvalue_property_map_tag category;  
+  typedef boost::lvalue_property_map_tag category;
 
   My_point_property_map(const std::vector<Point_3>& pts):points(pts){}
 
   reference operator[](key_type k) const {return points[k];}
 
-  friend reference get(const My_point_property_map& ppmap,key_type i) 
+  friend reference get(const My_point_property_map& ppmap,key_type i)
   {return ppmap[i];}
 };
 
@@ -44,7 +44,7 @@ int main() {
   // generator for random data points in the cube ( (-1,-1,-1), (1,1,1) )
   Random_points_iterator rpit( 1.0);
   std::vector<Point_3> points;
-  
+
   points.push_back(Point_3(*rpit++));
   points.push_back(Point_3(*rpit++));
   points.push_back(Point_3(*rpit++));
@@ -69,7 +69,7 @@ int main() {
   K_neighbor_search search(tree, query, K,0,true,tr_dist);
   for(K_neighbor_search::iterator it = search.begin(); it != search.end(); it++){
     std::cout << " d(q, nearest neighbor)=  "
-	      << tr_dist.inverse_of_transformed_distance(it->second) << " " 
+              << tr_dist.inverse_of_transformed_distance(it->second) << " "
               << points[it->first] << " " << it->first << std::endl;
   }
   return 0;
diff -pruN 5.0.2-3/examples/Spatial_searching/searching_with_point_with_info_pmap.cpp 5.0.3-1/examples/Spatial_searching/searching_with_point_with_info_pmap.cpp
--- 5.0.2-3/examples/Spatial_searching/searching_with_point_with_info_pmap.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_searching/searching_with_point_with_info_pmap.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -10,7 +10,7 @@ typedef CGAL::Exact_predicates_inexact_c
 typedef Kernel::Point_3 Point_3;
 
 typedef boost::const_associative_property_map<std::map<std::size_t,Point_3> >           My_point_property_map;
-  
+
 typedef CGAL::Random_points_in_cube_3<Point_3>                                          Random_points_iterator;
 typedef CGAL::Search_traits_3<Kernel>                                                   Traits_base;
 typedef CGAL::Search_traits_adapter<std::size_t,My_point_property_map,Traits_base>      Traits;
@@ -26,7 +26,7 @@ int main() {
   // generator for random data points in the cube ( (-1,-1,-1), (1,1,1) )
   Random_points_iterator rpit( 1.0);
   std::map<std::size_t,Point_3> points;
-  
+
   points[0]=Point_3(*rpit++);
   points[1]=Point_3(*rpit++);
   points[2]=Point_3(*rpit++);
@@ -51,7 +51,7 @@ int main() {
   K_neighbor_search search(tree, query, K,0,true,tr_dist);
   for(K_neighbor_search::iterator it = search.begin(); it != search.end(); it++){
     std::cout << " d(q, nearest neighbor)=  "
-	      << tr_dist.inverse_of_transformed_distance(it->second) << " "
+              << tr_dist.inverse_of_transformed_distance(it->second) << " "
               << points[it->first] << " " << it->first << std::endl;
   }
   return 0;
diff -pruN 5.0.2-3/examples/Spatial_searching/splitter_worst_cases.cpp 5.0.3-1/examples/Spatial_searching/splitter_worst_cases.cpp
--- 5.0.2-3/examples/Spatial_searching/splitter_worst_cases.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_searching/splitter_worst_cases.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -20,7 +20,7 @@ int main()
   Points sliding_worst_case;
   for (int i = 0 ,j = 1; i < 10 ; ++i , j *= 2){
     sliding_worst_case.push_back(Point_2(((double)i)/10 , 0));
-    sliding_worst_case.push_back(Point_2( (double)j , 0));    
+    sliding_worst_case.push_back(Point_2( (double)j , 0));
   }
 
   Sliding_midpoint sliding(10);
@@ -44,7 +44,7 @@ int main()
   }
   median_worst_case.push_back(Point_2(20,0));
 
- 
+
   Tree_median tree3(median_worst_case.begin() , median_worst_case.end() , median);
 
   tree3.build();
diff -pruN 5.0.2-3/examples/Spatial_searching/user_defined_point_and_distance.cpp 5.0.3-1/examples/Spatial_searching/user_defined_point_and_distance.cpp
--- 5.0.2-3/examples/Spatial_searching/user_defined_point_and_distance.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_searching/user_defined_point_and_distance.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -20,7 +20,7 @@ int main() {
 
   // Insert number_of_data_points in the tree
   Tree tree(N_Random_points_iterator(rpit,0),
-	    N_Random_points_iterator(N));
+            N_Random_points_iterator(N));
 
   Point query(0.0, 0.0, 0.0);
   Distance tr_dist;
@@ -29,14 +29,14 @@ int main() {
   K_neighbor_search search(tree, query, K);
   for(K_neighbor_search::iterator it = search.begin(); it != search.end(); it++){
     std::cout << " d(q, nearest neighbor)=  "
-	      << tr_dist.inverse_of_transformed_distance(it->second) << std::endl;
+              << tr_dist.inverse_of_transformed_distance(it->second) << std::endl;
   }
   // search K furthest neighbour searching, with eps=0, search_nearest=false
   K_neighbor_search search2(tree, query, K, 0.0, false);
 
   for(K_neighbor_search::iterator it = search2.begin(); it != search2.end(); it++){
     std::cout << " d(q, furthest neighbor)=  "
-	      << tr_dist.inverse_of_transformed_distance(it->second) << std::endl;
+              << tr_dist.inverse_of_transformed_distance(it->second) << std::endl;
   }
   return 0;
 }
diff -pruN 5.0.2-3/examples/Spatial_searching/using_fair_splitting_rule.cpp 5.0.3-1/examples/Spatial_searching/using_fair_splitting_rule.cpp
--- 5.0.2-3/examples/Spatial_searching/using_fair_splitting_rule.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_searching/using_fair_splitting_rule.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -22,8 +22,8 @@ int main() {
   Fair fair(5); // bucket size=5
   // Insert number_of_data_points in the tree
   Tree tree(N_Random_points_iterator(rpit,0),
-	    N_Random_points_iterator(N),
-	    fair);
+            N_Random_points_iterator(N),
+            fair);
 
   Point_d query(0,0);
 
diff -pruN 5.0.2-3/examples/Spatial_searching/weighted_Minkowski_distance.cpp 5.0.3-1/examples/Spatial_searching/weighted_Minkowski_distance.cpp
--- 5.0.2-3/examples/Spatial_searching/weighted_Minkowski_distance.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_searching/weighted_Minkowski_distance.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -23,7 +23,7 @@ int main() {
   Random_points_iterator rpit( 1.0);
 
   Tree tree(N_Random_points_iterator(rpit,0),
-	    N_Random_points_iterator(N));
+            N_Random_points_iterator(N));
 
   Point_d query(0,0);
 
diff -pruN 5.0.2-3/examples/Spatial_sorting/CMakeLists.txt 5.0.3-1/examples/Spatial_sorting/CMakeLists.txt
--- 5.0.2-3/examples/Spatial_sorting/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_sorting/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Spatial_sorting/example_delaunay_2.cpp 5.0.3-1/examples/Spatial_sorting/example_delaunay_2.cpp
--- 5.0.2-3/examples/Spatial_sorting/example_delaunay_2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_sorting/example_delaunay_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -15,16 +15,16 @@ typedef CGAL::Delaunay_triangulation_2<K
 typedef K::Point_2                                          Point;
 typedef CGAL::Creator_uniform_2<double,Point>               Creator_2;
 
-void compute_delaunay(std::vector<Point>::iterator it, 
-			std::vector<Point>::iterator e){
+void compute_delaunay(std::vector<Point>::iterator it,
+                        std::vector<Point>::iterator e){
     DT dt;
     DT::Face_handle hint;
     for( ;it!=e; ++it)  hint = dt.insert(*it, hint)->face();
     return;
 }
 
-void test_orders(std::vector<Point>::iterator b, 
-			std::vector<Point>::iterator e){
+void test_orders(std::vector<Point>::iterator b,
+                        std::vector<Point>::iterator e){
     CGAL::Timer cost;
 
     cost.reset();cost.start();
diff -pruN 5.0.2-3/examples/Spatial_sorting/hilbert.cpp 5.0.3-1/examples/Spatial_sorting/hilbert.cpp
--- 5.0.2-3/examples/Spatial_sorting/hilbert.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_sorting/hilbert.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -13,7 +13,7 @@ int main ()
   std::size_t size = 16;
   std::vector<Point> v; v.reserve(size);
   CGAL::points_on_square_grid_2(3.0, size,            // generate points
-				std::back_inserter(v), Creator());
+                                std::back_inserter(v), Creator());
 
   CGAL::hilbert_sort (v.begin(), v.end());            // sort
 
diff -pruN 5.0.2-3/examples/Spatial_sorting/hilbert_policies.cpp 5.0.3-1/examples/Spatial_sorting/hilbert_policies.cpp
--- 5.0.2-3/examples/Spatial_sorting/hilbert_policies.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_sorting/hilbert_policies.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -13,7 +13,7 @@ int main ()
   v.push_back( Point(1.0,1.0)) ;
   v.push_back( Point(0.1,0.1)) ;
   v.push_back( Point(0.2,0.8)) ;
-  
+
   std::cout << "Hilbert sort (middle policy)." << std::endl;
   CGAL::hilbert_sort (v.begin(), v.end(), K(), CGAL::Hilbert_sort_middle_policy());
   std::cout<<v[0]<<"; "<<v[1]<<"; "<<v[2]<<"; "<<v[3]<<"; "<<std::endl;
diff -pruN 5.0.2-3/examples/Spatial_sorting/hilbert_sort_on_sphere.cpp 5.0.3-1/examples/Spatial_sorting/hilbert_sort_on_sphere.cpp
--- 5.0.2-3/examples/Spatial_sorting/hilbert_sort_on_sphere.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_sorting/hilbert_sort_on_sphere.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -20,7 +20,7 @@ int main ()
   std::cout << "UNIT SPHERE: " << std::endl;
 
   v.reserve(size);
-                                                                    
+
   CGAL::Random_points_on_sphere_3<Point> unit_sphere(1.0, random);  // generate points
   for (std::size_t i = 0; i < size; ++i) v.push_back(*unit_sphere++);
 
@@ -41,7 +41,7 @@ int main ()
   for (std::size_t i = 0; i < size; ++i) v.push_back(*given_sphere++ + trans);
 
   CGAL::hilbert_sort_on_sphere(v.begin(), v.end(),                   // sort
-    sphere.squared_radius(), sphere.center());  
+    sphere.squared_radius(), sphere.center());
 
   for(std::size_t i=0; i<size; ++i) std::cout << v[i] << std::endl; //output
 
diff -pruN 5.0.2-3/examples/Spatial_sorting/myPoint.cpp 5.0.3-1/examples/Spatial_sorting/myPoint.cpp
--- 5.0.2-3/examples/Spatial_sorting/myPoint.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_sorting/myPoint.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -37,7 +37,7 @@ struct MySpatialSortingTraits {
 
   typedef MyLessX Less_x_2;
   typedef MyLessY Less_y_2;
-  
+
   Less_x_2 less_x_2_object() const
   {
     return Less_x_2();
@@ -58,15 +58,15 @@ int main()
   points.push_back(MyPoint(414,2, 5));
   points.push_back(MyPoint(4,21 , 1));
   points.push_back(MyPoint(7,74 , 2));
-  points.push_back(MyPoint(74,4 , 4));  
-  
+  points.push_back(MyPoint(74,4 , 4));
+
   MySpatialSortingTraits sst;
   CGAL::spatial_sort(points.begin(), points.end(), sst);
 
   for (std::vector< MyPoint >::iterator it=points.begin();it!=points.end();++it)
     std::cout << it->color << " ";
-  std::cout << "\n";  
-  
+  std::cout << "\n";
+
   std::cerr << "done" << std::endl;
   return 0;
 }
diff -pruN 5.0.2-3/examples/Spatial_sorting/small_example_delaunay_2.cpp 5.0.3-1/examples/Spatial_sorting/small_example_delaunay_2.cpp
--- 5.0.2-3/examples/Spatial_sorting/small_example_delaunay_2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_sorting/small_example_delaunay_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -6,8 +6,8 @@
 #include <vector>
 typedef CGAL::Exact_predicates_inexact_constructions_kernel K;
 typedef CGAL::Delaunay_triangulation_2<K> DT;
-void compute_delaunay(std::vector<K::Point_2>::iterator it, 
-			std::vector<K::Point_2>::iterator e){
+void compute_delaunay(std::vector<K::Point_2>::iterator it,
+                        std::vector<K::Point_2>::iterator e){
     DT dt;
     DT::Face_handle hint;
     for( ;it!=e; ++it)  hint = dt.insert(*it, hint)->face();
diff -pruN 5.0.2-3/examples/Spatial_sorting/sort_indices.cpp 5.0.3-1/examples/Spatial_sorting/sort_indices.cpp
--- 5.0.2-3/examples/Spatial_sorting/sort_indices.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_sorting/sort_indices.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -2,7 +2,7 @@
 #include <CGAL/spatial_sort.h>
 #include <CGAL/point_generators_2.h>
 // Below is a traits class that allow to dereference before comparing
-// coordinates.    Requirements are to define in the traits class : 
+// coordinates.    Requirements are to define in the traits class :
 // Point_2, Less_x_2, less_x_2_object, Less_y_2, and less_y_2_object
 template <typename Kernel, typename Iterator>
 struct Dereference_traits_2 {
@@ -21,7 +21,7 @@ struct Dereference_traits_2 {
   struct Less_y_2 {  // Same stuff for y direction
     Kernel k;
     Less_y_2 (const Kernel &kernel = Kernel()): k (kernel) {}
-    bool operator() (const Point_2 &p, const Point_2 &q) const 
+    bool operator() (const Point_2 &p, const Point_2 &q) const
     {  return k.less_y_2_object() (*p, *q); }
   };
   Less_y_2  less_y_2_object() const  {    return Less_y_2(k);  }
@@ -30,7 +30,7 @@ typedef CGAL::Exact_predicates_inexact_c
 typedef K::Point_2                                             Point;
 typedef std::vector<Point>::iterator                           Point_it;
 typedef CGAL::Hilbert_sort_2<Dereference_traits_2<K, Point_it>,
-			    CGAL::Hilbert_sort_median_policy > H_sort;
+                            CGAL::Hilbert_sort_median_policy > H_sort;
 typedef CGAL::Multiscale_sort<H_sort>                          My_sort;
 int main ()
 {
diff -pruN 5.0.2-3/examples/Spatial_sorting/spatial_sort_on_sphere.cpp 5.0.3-1/examples/Spatial_sorting/spatial_sort_on_sphere.cpp
--- 5.0.2-3/examples/Spatial_sorting/spatial_sort_on_sphere.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_sorting/spatial_sort_on_sphere.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -20,7 +20,7 @@ int main ()
   std::cout << "UNIT SPHERE: " << std::endl;
 
   v.reserve(size);
-                                                                    
+
   CGAL::Random_points_on_sphere_3<Point> unit_sphere(1.0, random);  // generate points
   for (std::size_t i = 0; i < size; ++i) v.push_back(*unit_sphere++);
 
diff -pruN 5.0.2-3/examples/Spatial_sorting/sp_sort_using_property_map_2.cpp 5.0.3-1/examples/Spatial_sorting/sp_sort_using_property_map_2.cpp
--- 5.0.2-3/examples/Spatial_sorting/sp_sort_using_property_map_2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_sorting/sp_sort_using_property_map_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -9,7 +9,7 @@ typedef Kernel::Point_2
 typedef std::pair<Point_2,int>              Point_with_info;
 typedef std::vector< Point_with_info >      Data_vector;
 
-typedef CGAL::Spatial_sort_traits_adapter_2<Kernel, 
+typedef CGAL::Spatial_sort_traits_adapter_2<Kernel,
   CGAL::First_of_pair_property_map<Point_with_info>
 > Search_traits_2;
 
@@ -22,7 +22,7 @@ int main()
   points.push_back(std::make_pair(Point_2(4,21)  , 1));
   points.push_back(std::make_pair(Point_2(7,74)  , 2));
   points.push_back(std::make_pair(Point_2(74,4)  , 4));
-  
+
   Search_traits_2 traits;
   CGAL::spatial_sort(points.begin(), points.end(), traits);
   for (Data_vector::iterator it=points.begin();it!=points.end();++it)
@@ -30,6 +30,6 @@ int main()
   std::cout << "\n";
 
   std::cout << "done" << std::endl;
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Spatial_sorting/sp_sort_using_property_map_3.cpp 5.0.3-1/examples/Spatial_sorting/sp_sort_using_property_map_3.cpp
--- 5.0.2-3/examples/Spatial_sorting/sp_sort_using_property_map_3.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_sorting/sp_sort_using_property_map_3.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -18,14 +18,14 @@ int main()
   points.push_back(Point_3(4,2,56));
   points.push_back(Point_3(744,4154,43));
   points.push_back(Point_3(74,44,1));
-  
+
   std::vector<std::size_t> indices;
   indices.reserve(points.size());
-  
+
   std::copy(boost::counting_iterator<std::size_t>(0),
             boost::counting_iterator<std::size_t>(points.size()),
             std::back_inserter(indices));
-  
+
   CGAL::spatial_sort( indices.begin(),
                       indices.end(),
                       Search_traits_3(CGAL::make_property_map(points)) );
@@ -34,6 +34,6 @@ int main()
     std::cout << points[*it] << "\n";
 
   std::cout << "done" << std::endl;
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Spatial_sorting/sp_sort_using_property_map_d.cpp 5.0.3-1/examples/Spatial_sorting/sp_sort_using_property_map_d.cpp
--- 5.0.2-3/examples/Spatial_sorting/sp_sort_using_property_map_d.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Spatial_sorting/sp_sort_using_property_map_d.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -33,20 +33,20 @@ int main()
 {
   double coords[] ={ 1.0, 1.0, 1.0, 1.0,
                      2.0, 2.0, 2.0, 2.0 };
-  
+
   Data_vector points;
   points.push_back(std::make_pair(Point_d(4,coords  ,coords+4) , 1));
   points.push_back(std::make_pair(Point_d(4,coords+4,coords+8) , 2));
 
   std::vector<Vect_ppmap::key_type> indices;
-  indices.reserve(points.size());  
-  
+  indices.reserve(points.size());
+
   std::copy(
     boost::counting_iterator<Vect_ppmap::key_type>(0),
     boost::counting_iterator<Vect_ppmap::key_type>(points.size()),
     std::back_inserter(indices) );
-  
-  CGAL::spatial_sort( 
+
+  CGAL::spatial_sort(
     indices.begin(),
     indices.end(),
     Search_traits_d(Vect_ppmap(points)) );
@@ -57,6 +57,6 @@ int main()
   std::cout << std::endl;
 
   std::cout << "done" << std::endl;
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/STL_Extension/CMakeLists.txt 5.0.3-1/examples/STL_Extension/CMakeLists.txt
--- 5.0.2-3/examples/STL_Extension/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/STL_Extension/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/STL_Extension/Dispatch_output_iterator.cpp 5.0.3-1/examples/STL_Extension/Dispatch_output_iterator.cpp
--- 5.0.2-3/examples/STL_Extension/Dispatch_output_iterator.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/STL_Extension/Dispatch_output_iterator.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -9,11 +9,11 @@ int main()
   std::vector<double> b;
   std::vector<char> c;
 
-  typedef CGAL::Dispatch_output_iterator< 
+  typedef CGAL::Dispatch_output_iterator<
     std::tuple<int, double, char>,
     std::tuple<std::back_insert_iterator< std::vector<int> >,
                std::back_insert_iterator< std::vector<double> >,
-               std::back_insert_iterator< std::vector<char> > 
+               std::back_insert_iterator< std::vector<char> >
                > > Dispatch;
 
   Dispatch disp = CGAL::dispatch_output<int, double, char>(
@@ -25,11 +25,11 @@ int main()
   var va = 23; var vb = 4.2; var vc = 'x';
 
   // goes to a
-  *disp++ = va; 
+  *disp++ = va;
   // goes to b
-  *disp++ = vb; 
+  *disp++ = vb;
   // goes to c
-  *disp++ = vc; 
+  *disp++ = vc;
   // goes to a
   *disp++ = 42;
 
diff -pruN 5.0.2-3/examples/STL_Extension/unordered_map.cpp 5.0.3-1/examples/STL_Extension/unordered_map.cpp
--- 5.0.2-3/examples/STL_Extension/unordered_map.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/STL_Extension/unordered_map.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -10,7 +10,7 @@ typedef CGAL::Surface_mesh<Point_3>
 typedef boost::graph_traits<Mesh>::vertex_descriptor vertex_descriptor;
 
 int main()
-{ 
+{
   boost::unordered_map<vertex_descriptor, int> bum;
   Mesh mesh;
   vertex_descriptor vd  = mesh.add_vertex();
diff -pruN 5.0.2-3/examples/Straight_skeleton_2/CMakeLists.txt 5.0.3-1/examples/Straight_skeleton_2/CMakeLists.txt
--- 5.0.2-3/examples/Straight_skeleton_2/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Straight_skeleton_2/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -19,8 +19,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Straight_skeleton_2/Create_offset_polygons_2.cpp 5.0.3-1/examples/Straight_skeleton_2/Create_offset_polygons_2.cpp
--- 5.0.2-3/examples/Straight_skeleton_2/Create_offset_polygons_2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Straight_skeleton_2/Create_offset_polygons_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -22,7 +22,7 @@ typedef std::vector<PolygonPtr> PolygonP
 int main()
 {
   Polygon_2 poly ;
-  
+
   poly.push_back( Point(-1,-1) ) ;
   poly.push_back( Point(0,-12) ) ;
   poly.push_back( Point(1,-1) ) ;
@@ -31,14 +31,14 @@ int main()
   poly.push_back( Point(0,12) ) ;
   poly.push_back( Point(-1,1) ) ;
   poly.push_back( Point(-12,0) ) ;
-     
+
   SsPtr ss = CGAL::create_interior_straight_skeleton_2(poly);
-  
+
   double lOffset = 1 ;
-  
+
   PolygonPtrVector offset_polygons = CGAL::create_offset_polygons_2<Polygon_2>(lOffset,*ss);
-  
+
   print_polygons(offset_polygons);
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Straight_skeleton_2/Create_saop_from_polygon_with_holes_2.cpp 5.0.3-1/examples/Straight_skeleton_2/Create_saop_from_polygon_with_holes_2.cpp
--- 5.0.2-3/examples/Straight_skeleton_2/Create_saop_from_polygon_with_holes_2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Straight_skeleton_2/Create_saop_from_polygon_with_holes_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -28,7 +28,7 @@ typedef std::vector<PolygonPtr> PolygonP
 int main()
 {
   Polygon_2 outer ;
-  
+
   outer.push_back( Point(-1,-1) ) ;
   outer.push_back( Point(0,-12) ) ;
   outer.push_back( Point(1,-1) ) ;
@@ -37,22 +37,22 @@ int main()
   outer.push_back( Point(0,12) ) ;
   outer.push_back( Point(-1,1) ) ;
   outer.push_back( Point(-12,0) ) ;
-  
+
   Polygon_2 hole ;
-  
+
   hole.push_back( Point(-1,0) ) ;
   hole.push_back( Point(0,1 ) ) ;
   hole.push_back( Point(1,0 ) ) ;
   hole.push_back( Point(0,-1) ) ;
-    
+
   Polygon_with_holes poly( outer ) ;
-  
+
   poly.add_hole( hole ) ;
-     
+
   double lOffset = 0.2 ;
-     
+
   PolygonPtrVector offset_polygons = CGAL::create_interior_skeleton_and_offset_polygons_2(lOffset,poly);
-  
+
   print_polygons(offset_polygons);
 
   return 0;
diff -pruN 5.0.2-3/examples/Straight_skeleton_2/Create_skeleton_and_offset_polygons_2.cpp 5.0.3-1/examples/Straight_skeleton_2/Create_skeleton_and_offset_polygons_2.cpp
--- 5.0.2-3/examples/Straight_skeleton_2/Create_skeleton_and_offset_polygons_2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Straight_skeleton_2/Create_skeleton_and_offset_polygons_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -24,7 +24,7 @@ typedef std::vector<PolygonPtr> PolygonP
 int main()
 {
   Polygon_2 poly ;
-  
+
   poly.push_back( Point(-1,-1) ) ;
   poly.push_back( Point(0,-12) ) ;
   poly.push_back( Point(1,-1) ) ;
@@ -33,14 +33,14 @@ int main()
   poly.push_back( Point(0,12) ) ;
   poly.push_back( Point(-1,1) ) ;
   poly.push_back( Point(-12,0) ) ;
-  
+
   FT lOffset = 1 ;
-  
+
   PolygonPtrVector inner_offset_polygons = CGAL::create_interior_skeleton_and_offset_polygons_2(lOffset,poly);
   PolygonPtrVector outer_offset_polygons = CGAL::create_exterior_skeleton_and_offset_polygons_2(lOffset,poly);
-     
+
   print_polygons(inner_offset_polygons);
   print_polygons(outer_offset_polygons);
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Straight_skeleton_2/Create_skeleton_and_offset_polygons_with_holes_2.cpp 5.0.3-1/examples/Straight_skeleton_2/Create_skeleton_and_offset_polygons_with_holes_2.cpp
--- 5.0.2-3/examples/Straight_skeleton_2/Create_skeleton_and_offset_polygons_with_holes_2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Straight_skeleton_2/Create_skeleton_and_offset_polygons_with_holes_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -20,9 +20,9 @@ typedef std::vector<PolygonWithHolesPtr>
 
 
 int main()
-{  
-  Polygon_2 outer ;  
-  
+{
+  Polygon_2 outer ;
+
   outer.push_back( Point( 0.0, 0.0) ) ;
   outer.push_back( Point(10.0, 0.0) ) ;
   outer.push_back( Point(10.0, 4.5) ) ;
@@ -35,22 +35,22 @@ int main()
   outer.push_back( Point(10.0, 5.5) ) ;
   outer.push_back( Point(10.0,10.0) ) ;
   outer.push_back( Point( 0.0,10.0) ) ;
-  
+
   Polygon_2 hole ;
-  
+
   hole.push_back( Point(3.0,3.0) ) ;
   hole.push_back( Point(3.0,7.0) ) ;
   hole.push_back( Point(7.0,7.0) ) ;
   hole.push_back( Point(7.0,3.0) ) ;
-    
+
   PolygonWithHoles poly( outer ) ;
-  
+
   poly.add_hole( hole ) ;
-      
+
   double lOffset = 1 ;
 
   PolygonWithHolesPtrVector offset_poly_with_holes = CGAL::create_interior_skeleton_and_offset_polygons_with_holes_2(lOffset,poly);
-  
+
   print_polygons_with_holes(offset_poly_with_holes);
 
   return 0;
diff -pruN 5.0.2-3/examples/Straight_skeleton_2/Create_straight_skeleton_2.cpp 5.0.3-1/examples/Straight_skeleton_2/Create_straight_skeleton_2.cpp
--- 5.0.2-3/examples/Straight_skeleton_2/Create_straight_skeleton_2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Straight_skeleton_2/Create_straight_skeleton_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -17,7 +17,7 @@ typedef boost::shared_ptr<Ss> SsPtr ;
 int main()
 {
   Polygon_2 poly ;
-  
+
   poly.push_back( Point(-1,-1) ) ;
   poly.push_back( Point(0,-12) ) ;
   poly.push_back( Point(1,-1) ) ;
@@ -26,18 +26,18 @@ int main()
   poly.push_back( Point(0,12) ) ;
   poly.push_back( Point(-1,1) ) ;
   poly.push_back( Point(-12,0) ) ;
-     
+
   // You can pass the polygon via an iterator pair
   SsPtr iss = CGAL::create_interior_straight_skeleton_2(poly.vertices_begin(), poly.vertices_end());
 
   // Or you can pass the polygon directly, as below.
-  
+
   // To create an exterior straight skeleton you need to specify a maximum offset.
-  double lMaxOffset = 5 ; 
+  double lMaxOffset = 5 ;
   SsPtr oss = CGAL::create_exterior_straight_skeleton_2(lMaxOffset, poly);
-  
+
   print_straight_skeleton(*iss);
   print_straight_skeleton(*oss);
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Straight_skeleton_2/Create_straight_skeleton_from_polygon_with_holes_2.cpp 5.0.3-1/examples/Straight_skeleton_2/Create_straight_skeleton_from_polygon_with_holes_2.cpp
--- 5.0.2-3/examples/Straight_skeleton_2/Create_straight_skeleton_from_polygon_with_holes_2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Straight_skeleton_2/Create_straight_skeleton_from_polygon_with_holes_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -19,7 +19,7 @@ typedef boost::shared_ptr<Ss> SsPtr ;
 int main()
 {
   Polygon_2 outer ;
-  
+
   outer.push_back( Point(-1,-1) ) ;
   outer.push_back( Point(0,-12) ) ;
   outer.push_back( Point(1,-1) ) ;
@@ -28,21 +28,21 @@ int main()
   outer.push_back( Point(0,12) ) ;
   outer.push_back( Point(-1,1) ) ;
   outer.push_back( Point(-12,0) ) ;
-  
+
   Polygon_2 hole ;
-  
+
   hole.push_back( Point(-1,0) ) ;
   hole.push_back( Point(0,1 ) ) ;
   hole.push_back( Point(1,0 ) ) ;
   hole.push_back( Point(0,-1) ) ;
-    
+
   Polygon_with_holes poly( outer ) ;
-  
+
   poly.add_hole( hole ) ;
-     
+
   SsPtr iss = CGAL::create_interior_straight_skeleton_2(poly);
-  
+
   print_straight_skeleton(*iss);
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Straight_skeleton_2/dump_to_eps.h 5.0.3-1/examples/Straight_skeleton_2/dump_to_eps.h
--- 5.0.2-3/examples/Straight_skeleton_2/dump_to_eps.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/examples/Straight_skeleton_2/dump_to_eps.h	2020-08-01 19:02:53.000000000 +0000
@@ -8,13 +8,13 @@ template<class K, class C>
 Bbox_2 bbox_2 ( Polygon_with_holes_2<K,C> const& aPolyWH )
 {
   Bbox_2 rBbox = bbox_2(aPolyWH.outer_boundary().vertices_begin(), aPolyWH.outer_boundary().vertices_end());
-  
+
   for ( typename Polygon_with_holes_2<K,C>::Hole_const_iterator hit = aPolyWH.holes_begin()
-      ; hit != aPolyWH.holes_end() 
-      ; ++ hit 
+      ; hit != aPolyWH.holes_end()
+      ; ++ hit
       )
     rBbox = rBbox + bbox_2(hit->vertices_begin(), hit->vertices_end());
-    
+
   return rBbox ;
 }
 
@@ -24,23 +24,23 @@ template<class K, class C>
 void dump_to_eps( CGAL::Polygon_2<K,C> const& aPoly, char const* aType, double aScale, std::ostream& rOut )
 {
   typedef typename CGAL::Polygon_2<K,C>::const_iterator vertex_const_iterator ;
-    
+
   vertex_const_iterator begin = aPoly.vertices_begin() ;
   vertex_const_iterator end   = aPoly.vertices_end  () ;
   vertex_const_iterator last  = end - 1 ;
-  
+
   for( vertex_const_iterator curr = begin ; curr != end ; ++ curr )
   {
     vertex_const_iterator next = curr == last ? begin : curr + 1 ;
-    
+
     rOut << aType << std::endl
-         << aScale * curr->x() 
-         << " " 
+         << aScale * curr->x()
+         << " "
          << aScale * curr->y()
          << " "
          << aScale * next->x()
          << " "
-         << aScale * next->y() 
+         << aScale * next->y()
          << " E\n";
   }
 }
@@ -49,7 +49,7 @@ template<class K, class C>
 void dump_to_eps( CGAL::Polygon_with_holes_2<K,C> const& aPWH, char const* aType, double aScale, std::ostream& rOut )
 {
   dump_to_eps(aPWH.outer_boundary(), aType, aScale, rOut ) ;
-      
+
   for ( typename CGAL::Polygon_with_holes_2<K,C>::Hole_const_iterator hit = aPWH.holes_begin()
       ; hit != aPWH.holes_end()
       ; ++ hit
@@ -62,21 +62,21 @@ void dump_to_eps( CGAL::Straight_skeleto
 {
   typedef typename CGAL::Straight_skeleton_2<K>::Halfedge_const_iterator Halfedge_const_iterator ;
   typedef typename CGAL::Straight_skeleton_2<K>::Halfedge_const_handle   Halfedge_const_handle ;
-  
+
   for(Halfedge_const_iterator hit = aSkeleton.halfedges_begin(); hit != aSkeleton.halfedges_end(); ++hit)
   {
     Halfedge_const_handle h = hit ;
 
     if( h->is_bisector() && ((h->id()%2)==0) && !h->has_infinite_time() && !h->opposite()->has_infinite_time() )
-    { 
-      rOut << aType << std::endl 
-           << aScale * h->vertex()->point().x() 
-           << " " 
+    {
+      rOut << aType << std::endl
+           << aScale * h->vertex()->point().x()
+           << " "
            << aScale * h->vertex()->point().y()
            << " "
            << aScale * h->opposite()->vertex()->point().x()
            << " "
-           << aScale * h->opposite()->vertex()->point().y() 
+           << aScale * h->opposite()->vertex()->point().y()
            << " E\n";
     }
   }
@@ -86,27 +86,27 @@ template<class K, class C>
 void dump_to_eps ( CGAL::Polygon_with_holes_2<K,C> const&                                     aInput
                  , std::vector< boost::shared_ptr< CGAL::Polygon_with_holes_2<K,C> > > const& aOutput
                  , std::ostream&                                                            rOut
-                 ) 
+                 )
 {
   typedef std::vector< boost::shared_ptr< CGAL::Polygon_with_holes_2<K,C> > > PolyWH_vector ;
-    
+
   CGAL::Bbox_2 lBbox = CGAL::bbox_2(aInput);
-  
+
   for( typename PolyWH_vector::const_iterator it = aOutput.begin() ; it != aOutput.end(); ++ it )
     lBbox = lBbox + CGAL::bbox_2(**it);
-    
+
   double lScale = 1000 / (lBbox.xmax() - lBbox.xmin()) ;
 
   if ( lScale < 1 )
     lScale = 1 ;
-    
-  rOut << "%!PS-Adobe-2.0 EPSF-2.0\n%%BoundingBox:" 
-       << static_cast<int>(std::floor(lScale* lBbox.xmin()-1)) 
-       << " " 
-       << static_cast<int>(std::floor(lScale* lBbox.ymin()-1)) 
+
+  rOut << "%!PS-Adobe-2.0 EPSF-2.0\n%%BoundingBox:"
+       << static_cast<int>(std::floor(lScale* lBbox.xmin()-1))
+       << " "
+       << static_cast<int>(std::floor(lScale* lBbox.ymin()-1))
+       << " "
+       << static_cast<int>(std::ceil(lScale*lBbox.xmax()+1))
        << " "
-       << static_cast<int>(std::ceil(lScale*lBbox.xmax()+1)) 
-       << " " 
        << static_cast<int>(std::ceil(lScale*lBbox.ymax()+1))
        << std::endl;
 
@@ -119,36 +119,36 @@ void dump_to_eps ( CGAL::Polygon_with_ho
           "/output_w { 0.1 setlinewidth } bind def\n"
           "% stroke - x1 y1 x2 y2 E\n"
           "/E {newpath moveto lineto stroke} bind def\n\n"  ;
-       
+
   dump_to_eps(aInput,"input",lScale,rOut);
-   
+
   for( typename PolyWH_vector::const_iterator it = aOutput.begin() ; it != aOutput.end(); ++ it )
     dump_to_eps(**it,"output",lScale,rOut);
-   
+
   rOut << "grestore\nshowpage" << std::endl;
-  
+
 }
 
 template<class K, class C>
 void dump_to_eps ( CGAL::Polygon_with_holes_2<K,C> const& aInput
                  , CGAL::Straight_skeleton_2<K>  const& aSkeleton
                  , std::ostream&                        rOut
-                 ) 
+                 )
 {
   CGAL::Bbox_2 lBbox = CGAL::bbox_2(aInput);
-    
+
   double lScale = 1000 / (lBbox.xmax() - lBbox.xmin()) ;
 
   if ( lScale < 1 )
     lScale = 1 ;
-    
-  rOut << "%!PS-Adobe-2.0 EPSF-2.0\n%%BoundingBox:" 
-       << static_cast<int>(std::floor(lScale* lBbox.xmin()-1)) 
-       << " " 
-       << static_cast<int>(std::floor(lScale* lBbox.ymin()-1)) 
+
+  rOut << "%!PS-Adobe-2.0 EPSF-2.0\n%%BoundingBox:"
+       << static_cast<int>(std::floor(lScale* lBbox.xmin()-1))
+       << " "
+       << static_cast<int>(std::floor(lScale* lBbox.ymin()-1))
+       << " "
+       << static_cast<int>(std::ceil(lScale*lBbox.xmax()+1))
        << " "
-       << static_cast<int>(std::ceil(lScale*lBbox.xmax()+1)) 
-       << " " 
        << static_cast<int>(std::ceil(lScale*lBbox.ymax()+1))
        << std::endl;
 
@@ -161,11 +161,11 @@ void dump_to_eps ( CGAL::Polygon_with_ho
           "/skeleton_w { 0.1 setlinewidth } bind def\n"
           "% stroke - x1 y1 x2 y2 E\n"
           "/E {newpath moveto lineto stroke} bind def\n\n"  ;
-       
+
   dump_to_eps(aInput,"input",lScale,rOut);
-   
+
   dump_to_eps(aSkeleton,"skeleton",lScale,rOut);
-   
+
   rOut << "grestore\nshowpage" << std::endl;
-  
+
 }
diff -pruN 5.0.2-3/examples/Straight_skeleton_2/Low_level_API.cpp 5.0.3-1/examples/Straight_skeleton_2/Low_level_API.cpp
--- 5.0.2-3/examples/Straight_skeleton_2/Low_level_API.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Straight_skeleton_2/Low_level_API.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -103,7 +103,7 @@ int main()
     if ( ss )
     {
       print_straight_skeleton(*ss);
-      
+
       // Instantiate the container of offset contours
       ContourSequence offset_contours ;
 
@@ -130,7 +130,7 @@ int main()
 
       // Remove the offset contour that corresponds to the frame.
       offset_contours.erase(f);
-      
+
       print_polygons(offset_contours);
     }
   }
diff -pruN 5.0.2-3/examples/Straight_skeleton_2/print.h 5.0.3-1/examples/Straight_skeleton_2/print.h
--- 5.0.2-3/examples/Straight_skeleton_2/print.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/examples/Straight_skeleton_2/print.h	2020-08-01 19:02:53.000000000 +0000
@@ -11,9 +11,9 @@ template<class K, class C>
 void print_polygon ( CGAL::Polygon_2<K,C> const& poly )
 {
   typedef CGAL::Polygon_2<K,C> Polygon ;
-  
+
   std::cout << "Polygon with " << poly.size() << " vertices" << std::endl ;
-  
+
   for( typename Polygon::Vertex_const_iterator vi = poly.vertices_begin() ; vi != poly.vertices_end() ; ++ vi )
   {
     print_point(*vi); std::cout << std::endl ;
@@ -24,9 +24,9 @@ template<class K, class C>
 void print_polygons ( std::vector< boost::shared_ptr< CGAL::Polygon_2<K,C> > > const& polies )
 {
   typedef std::vector< boost::shared_ptr< CGAL::Polygon_2<K,C> > > PolygonVector ;
-  
+
   std::cout << "Polygon list with " << polies.size() << " polygons" << std::endl ;
-  
+
   for( typename PolygonVector::const_iterator pi = polies.begin() ; pi != polies.end() ; ++ pi )
     print_polygon(**pi);
 }
@@ -35,11 +35,11 @@ template<class K, class C>
 void print_polygon_with_holes ( CGAL::Polygon_with_holes_2<K,C> const& polywh )
 {
   typedef CGAL::Polygon_with_holes_2<K,C> PolygonWithHoles ;
-  
+
   std::cout << "Polygon_with_holes having " << polywh.number_of_holes() << " holes" << std::endl ;
-  
+
   print_polygon(polywh.outer_boundary());
-  
+
   for( typename PolygonWithHoles::Hole_const_iterator hi = polywh.holes_begin() ; hi != polywh.holes_end() ; ++ hi )
     print_polygon(*hi);
 }
@@ -61,19 +61,19 @@ template<class K>
 void print_straight_skeleton( CGAL::Straight_skeleton_2<K> const& ss )
 {
   typedef CGAL::Straight_skeleton_2<K> Ss ;
-  
+
   typedef typename Ss::Vertex_const_handle     Vertex_const_handle ;
   typedef typename Ss::Halfedge_const_handle   Halfedge_const_handle ;
   typedef typename Ss::Halfedge_const_iterator Halfedge_const_iterator ;
-  
+
   Halfedge_const_handle null_halfedge ;
   Vertex_const_handle   null_vertex ;
 
-  std::cout << "Straight skeleton with " << ss.size_of_vertices() 
+  std::cout << "Straight skeleton with " << ss.size_of_vertices()
             << " vertices, " << ss.size_of_halfedges()
             << " halfedges and " << ss.size_of_faces()
             << " faces" << std::endl ;
-            
+
   for ( Halfedge_const_iterator i = ss.halfedges_begin(); i != ss.halfedges_end(); ++i )
   {
     print_point(i->opposite()->vertex()->point()) ;
diff -pruN 5.0.2-3/examples/Straight_skeleton_2/sample_2.dat 5.0.3-1/examples/Straight_skeleton_2/sample_2.dat
--- 5.0.2-3/examples/Straight_skeleton_2/sample_2.dat	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Straight_skeleton_2/sample_2.dat	2020-08-01 19:00:34.000000000 +0000
@@ -796,6 +796,7 @@
 167.296557342766 360.871085345452
 167.744787609337 360.377948309933
 167.863816118 360.005542426543
+11
 23
 156.546465790032 350.129491775935
 156.631071513651 349.501853078311
@@ -820,7 +821,6 @@
 154.608369147537 352.251118234997
 155.443087494133 351.763350754683
 156.116744553803 351.046809889083
-11
 9
 169.692461883782 340.668489426082
 165.857470428704 337.680490463679
diff -pruN 5.0.2-3/examples/Straight_skeleton_2/Show_offset_polygon.cpp 5.0.3-1/examples/Straight_skeleton_2/Show_offset_polygon.cpp
--- 5.0.2-3/examples/Straight_skeleton_2/Show_offset_polygon.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Straight_skeleton_2/Show_offset_polygon.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -24,23 +24,23 @@ typedef std::vector<Polygon_with_holes_p
 int main( int argc, char* argv[] )
 {
   Polygon_with_holes input ;
-  
+
   if ( argc > 1 )
   {
     std::string name = argv[1] ;
-  
+
     std::cout << "Input file: " << name << std::endl ;
-      
+
     std::ifstream is(name.c_str()) ;
     if ( is )
     {
       is >> input ;
-      
+
       double lOffset = 0.25 ;
-      
+
       if ( argc > 2 )
         lOffset = std::atof(argv[2]);
-      
+
       std::cout << "Offsetting at: " << lOffset << std::endl ;
 
       Polygon_with_holes_ptr_vector offset_polygons = CGAL::create_interior_skeleton_and_offset_polygons_with_holes_2(lOffset,input);
@@ -49,9 +49,9 @@ int main( int argc, char* argv[] )
       if ( argc > 3  )
            eps_name = argv[3];
       else eps_name = name + ".offset.eps" ;
-      
+
       std::ofstream eps(eps_name.c_str()) ;
-      if ( eps )  
+      if ( eps )
       {
         std::cerr << "Result: " << eps_name << std::endl ;
         dump_to_eps(input,offset_polygons,eps);
@@ -59,23 +59,23 @@ int main( int argc, char* argv[] )
       else
       {
         std::cerr << "Could not open result file: " << eps_name << std::endl ;
-      }  
-    }  
+      }
+    }
     else
     {
       std::cerr << "Could not open input file: " << name << std::endl ;
-    }  
+    }
   }
   else
   {
-    std::cerr << "Computes the interior offset of a polygon with holes and draws the result in an EPS file." << std::endl 
-              << std::endl 
-              << "Usage: show_offset_polygon <intput_file> [offset_distance] [output_eps_file]" << std::endl 
-              << std::endl 
+    std::cerr << "Computes the interior offset of a polygon with holes and draws the result in an EPS file." << std::endl
+              << std::endl
+              << "Usage: show_offset_polygon <intput_file> [offset_distance] [output_eps_file]" << std::endl
+              << std::endl
               << "       intput_file  Text file describing the input polygon with holes." << std::endl
               << "         (See inputfile_format.txt for details)" << std::endl
-              << "       offset_distance [default=0.25]." << std::endl 
-              << "       output_file     [default='innput_file.offset.eps']" << std::endl ; 
+              << "       offset_distance [default=0.25]." << std::endl
+              << "       output_file     [default='innput_file.offset.eps']" << std::endl ;
   }
 
   return 0;
diff -pruN 5.0.2-3/examples/Straight_skeleton_2/Show_straight_skeleton.cpp 5.0.3-1/examples/Straight_skeleton_2/Show_straight_skeleton.cpp
--- 5.0.2-3/examples/Straight_skeleton_2/Show_straight_skeleton.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Straight_skeleton_2/Show_straight_skeleton.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -25,18 +25,39 @@ typedef boost::shared_ptr<Straight_skele
 int main( int argc, char* argv[] )
 {
   Polygon_with_holes input ;
-  
+
   if ( argc > 1 )
   {
     std::string name = argv[1] ;
-  
+
     std::cout << "Input file: " << name << std::endl ;
-      
+
     std::ifstream is(name.c_str()) ;
     if ( is )
     {
       is >> input ;
-      
+
+      //check the validity of the input and fix orientation
+      if (!input.outer_boundary().is_simple())
+      {
+        std::cerr << "ERROR: outer boundary is not simple.";
+        return 1;
+      }
+      if ( input.outer_boundary().is_clockwise_oriented() )
+        input.outer_boundary().reverse_orientation();
+      int k=0;
+      for (Polygon_with_holes::Hole_iterator it = input.holes_begin();
+                                             it!=input.holes_end(); ++it, ++k)
+      {
+        if (!it->is_simple())
+        {
+          std::cerr << "ERROR: hole "<< k << " is not simple.\n";
+          return 1;
+        }
+        if (it->is_counterclockwise_oriented())
+          it->reverse_orientation();
+      }
+
       Straight_skeleton_ptr ss = CGAL::create_interior_straight_skeleton_2(input);
       if ( ss )
       {
@@ -44,9 +65,9 @@ int main( int argc, char* argv[] )
         if ( argc > 2  )
              eps_name = argv[2];
         else eps_name = name + ".skeleton.eps" ;
-        
+
         std::ofstream eps(eps_name.c_str()) ;
-        if ( eps )  
+        if ( eps )
         {
           std::cerr << "Result: " << eps_name << std::endl ;
           dump_to_eps(input,*ss,eps);
@@ -54,27 +75,27 @@ int main( int argc, char* argv[] )
         else
         {
           std::cerr << "Could not open result file: " << eps_name << std::endl ;
-        }  
+        }
       }
       else
       {
         std::cerr << "ERROR creating interior straight skeleton" << std::endl ;
       }
-    }  
+    }
     else
     {
       std::cerr << "Could not open input file: " << name << std::endl ;
-    }  
+    }
   }
   else
   {
-    std::cerr << "Computes the straight skeleton in the interior of a polygon with holes and draws it in an EPS file." << std::endl 
-              << std::endl 
-              << "Usage: show_straight_skeleton <intput_file> [output_eps_file]" << std::endl 
-              << std::endl 
+    std::cerr << "Computes the straight skeleton in the interior of a polygon with holes and draws it in an EPS file." << std::endl
+              << std::endl
+              << "Usage: show_straight_skeleton <intput_file> [output_eps_file]" << std::endl
+              << std::endl
               << "       intput_file  Text file describing the input polygon with holes." << std::endl
               << "         (See input_file_format.txt for details)" << std::endl
-              << "       output_file     [default='innput_file.skeleton.eps']" << std::endl ; 
+              << "       output_file     [default='innput_file.skeleton.eps']" << std::endl ;
   }
 
   return 0;
diff -pruN 5.0.2-3/examples/Stream_lines_2/CMakeLists.txt 5.0.3-1/examples/Stream_lines_2/CMakeLists.txt
--- 5.0.2-3/examples/Stream_lines_2/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Stream_lines_2/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Stream_lines_2/stl_regular_field.cpp 5.0.3-1/examples/Stream_lines_2/stl_regular_field.cpp
--- 5.0.2-3/examples/Stream_lines_2/stl_regular_field.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Stream_lines_2/stl_regular_field.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -52,8 +52,8 @@ int main()
     {
       fw << "\n";
       for(Point_iterator pit = sit->first; pit != sit->second; pit++){
-	Point_2 p = *pit;
-	fw << p.x() << " " << p.y() << "\n";
+        Point_2 p = *pit;
+        fw << p.x() << " " << p.y() << "\n";
       }
     }
 
diff -pruN 5.0.2-3/examples/Stream_support/CMakeLists.txt 5.0.3-1/examples/Stream_support/CMakeLists.txt
--- 5.0.2-3/examples/Stream_support/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Stream_support/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -17,7 +17,7 @@ if ( CGAL_FOUND )
 
     message(STATUS "This project requires the Boost library, and will not be compiled.")
 
-    return()  
+    return()
 
   endif()
 
@@ -27,10 +27,10 @@ if ( CGAL_FOUND )
     create_single_source_cgal_program( "read_WKT.cpp" )
 
     create_single_source_cgal_program( "read_xml.cpp" )
-  
+
 else ()
   message(STATUS "This project requires the CGAL library, and will not be compiled.")
-  return()  
+  return()
 
 endif()
 
diff -pruN 5.0.2-3/examples/Stream_support/Point_WKT.cpp 5.0.3-1/examples/Stream_support/Point_WKT.cpp
--- 5.0.2-3/examples/Stream_support/Point_WKT.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Stream_support/Point_WKT.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -20,7 +20,7 @@ int main(int argc, char* argv[])
 {
   typedef CGAL::Point_2<Kernel> Point;
   typedef std::vector<Point>  MultiPoint;
-  
+
   std::ifstream is((argc>1)?argv[1]:"data/multipoint.wkt");
   MultiPoint mp;
   CGAL::read_multi_point_WKT(is, mp);
diff -pruN 5.0.2-3/examples/Stream_support/Polygon_WKT.cpp 5.0.3-1/examples/Stream_support/Polygon_WKT.cpp
--- 5.0.2-3/examples/Stream_support/Polygon_WKT.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Stream_support/Polygon_WKT.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -36,7 +36,7 @@ int main(int argc, char* argv[])
     for(Polygon p : polys)
       std::cout<<p<<std::endl;
   }
-  
+
   {
     std::ifstream  is((argc>2)?argv[2]:"data/multipolygon.wkt");
     MultiPolygon mp;
diff -pruN 5.0.2-3/examples/Stream_support/read_WKT.cpp 5.0.3-1/examples/Stream_support/read_WKT.cpp
--- 5.0.2-3/examples/Stream_support/read_WKT.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Stream_support/read_WKT.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -19,10 +19,10 @@ int main(int argc, char* argv[])
 {
   typedef CGAL::Point_2<Kernel> Point;
   typedef std::vector<Point> MultiPoint;
-  
+
   typedef std::vector<Point> LineString;
   typedef std::vector<LineString> MultiLineString;
-  
+
   typedef CGAL::Polygon_with_holes_2<Kernel> Polygon;
   typedef std::vector<Polygon> MultiPolygon;
 
@@ -32,7 +32,7 @@ int main(int argc, char* argv[])
     MultiLineString polylines;
     MultiPolygon polygons;
     CGAL::read_WKT(is, points,polylines,polygons);
-    
+
     for(Point p : points)
       std::cout<<p<<std::endl;
     for(LineString ls : polylines)
@@ -40,7 +40,7 @@ int main(int argc, char* argv[])
           std::cout<<p<<std::endl;
     for(Polygon p : polygons)
       std::cout<<p<<std::endl;
-    
+
   }
   return 0;
 }
diff -pruN 5.0.2-3/examples/Stream_support/read_xml.cpp 5.0.3-1/examples/Stream_support/read_xml.cpp
--- 5.0.2-3/examples/Stream_support/read_xml.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Stream_support/read_xml.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -15,11 +15,11 @@ int main(int argc, char* argv[]){
   std::vector<Point_3> points;
 
   for(boost::property_tree::ptree::value_type& node : tree.get_child("PolySet.Polygon")){
-    boost::property_tree::ptree subtree = node.second;         
+    boost::property_tree::ptree subtree = node.second;
     if( node.first == "Point" ){
       for( boost::property_tree::ptree::value_type const& v : subtree.get_child( "" ) ) {
         std::string label = v.first;
-        
+
         if ( label == "<xmlattr>" ) {
           Point_3 p(subtree.get<double>( label+".X"),
                     subtree.get<double>( label+".Y"),
@@ -28,7 +28,7 @@ int main(int argc, char* argv[]){
         }
       }
     }
-  }    
+  }
 
   std::cout << points.size() << " points read"<< std::endl;
   return 0;
diff -pruN 5.0.2-3/examples/Subdivision_method_3/CMakeLists.txt 5.0.3-1/examples/Subdivision_method_3/CMakeLists.txt
--- 5.0.2-3/examples/Subdivision_method_3/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Subdivision_method_3/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Subdivision_method_3/Customized_subdivision.cpp 5.0.3-1/examples/Subdivision_method_3/Customized_subdivision.cpp
--- 5.0.2-3/examples/Subdivision_method_3/Customized_subdivision.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Subdivision_method_3/Customized_subdivision.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -55,7 +55,7 @@ public:
     for(halfedge_descriptor hd : halfedges_around_target(vd, pmesh)){
       ++n;
       Point_ref p = get(vpm, target(opposite(hd,pmesh),pmesh));
-      R[0] += p[0]; 	R[1] += p[1]; 	R[2] += p[2];
+      R[0] += p[0];         R[1] += p[1];         R[2] += p[2];
     }
 
     if (n == 6) {
diff -pruN 5.0.2-3/examples/Surface_mesh/CMakeLists.txt 5.0.3-1/examples/Surface_mesh/CMakeLists.txt
--- 5.0.2-3/examples/Surface_mesh/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -44,10 +44,10 @@ if ( CGAL_FOUND )
     target_link_libraries(draw_surface_mesh PUBLIC CGAL::CGAL_Qt5)
     target_link_libraries(sm_draw_small_faces PUBLIC CGAL::CGAL_Qt5)
   endif()
-  
+
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Surface_mesh/draw_surface_mesh_small_faces.h 5.0.3-1/examples/Surface_mesh/draw_surface_mesh_small_faces.h
--- 5.0.2-3/examples/Surface_mesh/draw_surface_mesh_small_faces.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh/draw_surface_mesh_small_faces.h	2020-08-01 19:02:54.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh/examples/Surface_mesh/draw_surface_mesh_small_faces.h $
-// $Id: draw_surface_mesh_small_faces.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh/examples/Surface_mesh/draw_surface_mesh_small_faces.h $
+// $Id: draw_surface_mesh_small_faces.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -31,7 +31,7 @@ class SimpleSurfaceMeshWithSmallFacesVie
   typedef typename SM::Edge_index edge_descriptor;
   typedef typename SM::Halfedge_index halfedge_descriptor;
   typedef typename Kernel::FT FT;
-  
+
 public:
   /// Construct the viewer.
   /// @param amesh the surface mesh to view
@@ -48,7 +48,7 @@ public:
     setKeyDescription(Qt::Key_I, "Increment threshold for small faces");
     setKeyDescription(Qt::Key_D, "Decrement threshold for small faces");
     setKeyDescription(Qt::Key_S, "Draw small faces only , big faces only, both");
-    
+
     if (sm.faces().begin()!=sm.faces().end())
     {
       bool exist;
@@ -59,7 +59,7 @@ public:
       m_min_size=faces_size[*(sm.faces().begin())];
       m_max_size=m_min_size;
       FT cur_size;
-      
+
       for (typename SM::Face_range::iterator f=sm.faces().begin(); f!=sm.faces().end(); ++f)
       {
         cur_size=faces_size[*f];
@@ -76,7 +76,7 @@ protected:
   {
     // [Face creation]
     bool issmall=false;
-    
+
     // Default color of faces
     CGAL::Color c(75,160,255);
 
@@ -95,7 +95,7 @@ protected:
 
     if ((issmall && !m_draw_small_faces) || (!issmall && !m_draw_big_faces))
     { return; }
-    
+
     // Add the color of the face, then all its points.
     face_begin(c);
     halfedge_descriptor hd=sm.halfedge(fh);
@@ -116,7 +116,7 @@ protected:
     add_segment(sm.point(sm.source(sm.halfedge(e))),
                 sm.point(sm.target(sm.halfedge(e))));
     /// [Edge creation]
-  } 
+  }
 
   void compute_vertex(vertex_descriptor vh)
   {
@@ -135,7 +135,7 @@ protected:
       if (*f!=boost::graph_traits<SM>::null_face())
       { compute_face(*f); }
     }
-    
+
     for (typename SM::Edge_range::iterator e=sm.edges().begin();
          e!=sm.edges().end(); ++e)
     { compute_edge(*e); }
@@ -190,7 +190,7 @@ protected:
         m_draw_small_faces=true;
         msg=QString("Draw small and big faces.");
       }
-      
+
       displayMessage(msg);
       compute_elements();
       redraw();
@@ -220,7 +220,7 @@ protected:
     assert(nb>0);
     return (typename Kernel::Construct_scaled_vector_3()(normal, 1.0/nb));
   }
-  
+
   typename Kernel::Vector_3 get_vertex_normal(halfedge_descriptor he)
   {
     typename Kernel::Vector_3 normal=CGAL::NULL_VECTOR;
@@ -235,11 +235,11 @@ protected:
       he=sm.next(sm.opposite(he));
     }
     while (he!=end);
-    
+
     if (!typename Kernel::Equal_3()(normal, CGAL::NULL_VECTOR))
     { normal=(typename Kernel::Construct_scaled_vector_3()
               (normal, 1.0/CGAL::sqrt(normal.squared_length()))); }
-    
+
     return normal;
   }
 
@@ -259,7 +259,7 @@ void draw_surface_mesh_with_small_faces(
 #else
   bool cgal_test_suite=qEnvironmentVariableIsSet("CGAL_TEST_SUITE");
 #endif
-  
+
   if (!cgal_test_suite)
   {
     int argc=1;
diff -pruN 5.0.2-3/examples/Surface_mesh/sm_bgl.cpp 5.0.3-1/examples/Surface_mesh/sm_bgl.cpp
--- 5.0.2-3/examples/Surface_mesh/sm_bgl.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh/sm_bgl.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -15,7 +15,7 @@ typedef CGAL::Surface_mesh<Point>
 
 typedef boost::graph_traits<Mesh>::vertex_descriptor vertex_descriptor;
 
-int main(int /* argc */, char* argv[]) 
+int main(int /* argc */, char* argv[])
 {
   Mesh sm;
   std::ifstream in(argv[1]);
@@ -40,16 +40,16 @@ int main(int /* argc */, char* argv[])
   for(vertex_descriptor vd : vertices(sm)){
     std::cout <<  "        " << sm.point(vd) << "\n";
   }
-  
+
   std::cout << "        ]\n"
     "     }\n"
-    "      coordIndex [\n"; 
+    "      coordIndex [\n";
   for(vertex_descriptor vd : vertices(sm)){
     if(predecessor[vd]!=vd){
       std::cout << "      " << std::size_t(vd) << ", " << std::size_t(predecessor[vd]) <<  ", -1\n";
     }
   }
-  
+
   std::cout << "]\n"
     "  }#IndexedLineSet\n"
     "}# Shape\n";
diff -pruN 5.0.2-3/examples/Surface_mesh/sm_circulators.cpp 5.0.3-1/examples/Surface_mesh/sm_circulators.cpp
--- 5.0.2-3/examples/Surface_mesh/sm_circulators.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh/sm_circulators.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -29,7 +29,7 @@ int main()
   vertex_descriptor x = m.add_vertex(K::Point_3(1,1,0));
 
   face_descriptor f = m.add_face(u,v,w,x);
- 
+
   {
     std::cout << "vertices around vertex " << v << std::endl;
     CGAL::Vertex_around_target_circulator<Mesh> vbegin(m.halfedge(v),m), done(vbegin);
@@ -38,12 +38,12 @@ int main()
       std::cout << *vbegin++ << std::endl;
     } while(vbegin != done);
   }
-   
-  { 
+
+  {
     std::cout << "vertices around face " << f << std::endl;
     CGAL::Vertex_around_face_iterator<Mesh> vbegin, vend;
     for(boost::tie(vbegin, vend) = vertices_around_face(m.halfedge(f), m);
-        vbegin != vend; 
+        vbegin != vend;
         ++vbegin){
       std::cout << *vbegin << std::endl;
     }
@@ -52,8 +52,8 @@ int main()
   // or the same again, but directly with a range based loop
   for(vertex_descriptor vd : vertices_around_face(m.halfedge(f), m)){
     std::cout << vd << std::endl;
-  } 
-    
+  }
+
 
   return 0;
 }
diff -pruN 5.0.2-3/examples/Surface_mesh/sm_derivation.cpp 5.0.3-1/examples/Surface_mesh/sm_derivation.cpp
--- 5.0.2-3/examples/Surface_mesh/sm_derivation.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh/sm_derivation.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -27,7 +27,7 @@ namespace boost {
   struct property_map<My::Mesh, T>
     : public boost::property_map<My::Mesh::Base, T>
   {};
-  
+
 }
 
 namespace CGAL{
@@ -52,11 +52,11 @@ int main()
     }
   }
   std::cout << CGAL::Polygon_mesh_processing::bbox(mesh) << std::endl;
-  
+
   return 0;
 }
 
- 
 
 
- 
+
+
diff -pruN 5.0.2-3/examples/Surface_mesh/sm_do_intersect.cpp 5.0.3-1/examples/Surface_mesh/sm_do_intersect.cpp
--- 5.0.2-3/examples/Surface_mesh/sm_do_intersect.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh/sm_do_intersect.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -88,14 +88,14 @@ unsigned int intersect(const Mesh& P, co
 
   // build boxes and pointers to boxes
   boost::transform(P.faces(),
-                 std::back_inserter(P_boxes), 
+                 std::back_inserter(P_boxes),
                  boost::bind(boost::value_factory<Box>(), _1, boost::cref(P)));
 
 
-  std::transform(P_boxes.begin(), P_boxes.end(), std::back_inserter(P_box_ptr), 
+  std::transform(P_boxes.begin(), P_boxes.end(), std::back_inserter(P_box_ptr),
                  &address_of_box);
   boost::transform(Q.faces(),
-                 std::back_inserter(Q_boxes), 
+                 std::back_inserter(Q_boxes),
                  boost::bind(boost::value_factory<Box>(), _1, boost::cref(Q)));
   std::transform(Q_boxes.begin(), Q_boxes.end(), std::back_inserter(Q_box_ptr),
                  &address_of_box);
@@ -117,17 +117,17 @@ int main(int argc, char* argv[])
     std::cerr << "Usage: do_intersect <mesh_1.off> <mesh_2.off>" << std::endl;
     return EXIT_FAILURE;
   }
-  
+
   std::ifstream inP(argv[1]);
   inP >> P;
-  
+
   std::ifstream inQ(argv[2]);
   inQ >> Q;
   Timer timer;
   timer.start();
   unsigned int num_intersections = intersect(P,Q);
   timer.stop();
-  std::cout << "Counted " << num_intersections << " in " 
+  std::cout << "Counted " << num_intersections << " in "
             << timer.time() << " seconds." << std::endl;
 
   return 0;
diff -pruN 5.0.2-3/examples/Surface_mesh/sm_draw_small_faces.cpp 5.0.3-1/examples/Surface_mesh/sm_draw_small_faces.cpp
--- 5.0.2-3/examples/Surface_mesh/sm_draw_small_faces.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh/sm_draw_small_faces.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -19,17 +19,17 @@ int main(int argc, char* argv[])
   input>>sm;
 
   CGAL::Polygon_mesh_processing::triangulate_faces(sm);
-  
+
   Mesh::Property_map<face_descriptor, FT> faces_size;
   bool created;
   boost::tie(faces_size, created)=sm.add_property_map<face_descriptor, FT>("f:size",0.);
   CGAL_assertion(created);
-  
+
   for(face_descriptor fd : sm.faces())
   { faces_size[fd]=CGAL::Polygon_mesh_processing::face_area(fd, sm); }
 
   draw_surface_mesh_with_small_faces(sm);
-  
+
   sm.remove_property_map(faces_size);
 
   return EXIT_SUCCESS;
diff -pruN 5.0.2-3/examples/Surface_mesh/sm_iterators.cpp 5.0.3-1/examples/Surface_mesh/sm_iterators.cpp
--- 5.0.2-3/examples/Surface_mesh/sm_iterators.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh/sm_iterators.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -30,7 +30,7 @@ int main()
 
   /* face_descriptor f = */ m.add_face(u,v,w,x);
 
-  { 
+  {
     std::cout << "all vertices " << std::endl;
 
     // The vertex iterator type is a nested type of the Vertex_range
@@ -38,7 +38,7 @@ int main()
 
     Mesh::Vertex_range r = m.vertices();
     // The iterators can be accessed through the C++ range API
-    vb = r.begin(); 
+    vb = r.begin();
     ve = r.end();
     // or the boost Range API
     vb = boost::begin(r);
@@ -48,19 +48,19 @@ int main()
     for(boost::tie(vb, ve) = m.vertices(); vb != ve; ++vb){
             std::cout << *vb << std::endl;
     }
-    
+
     // Instead of the classical for loop one can use
     // the boost macro for a range
     for(vertex_descriptor vd : m.vertices()){
       std::cout << vd << std::endl;
     }
 
-    // or the C++11 for loop. Note that there is a ':' and not a ',' as in BOOST_FOREACH 
+    // or the C++11 for loop. Note that there is a ':' and not a ',' as in BOOST_FOREACH
     for(vertex_descriptor vd : m.vertices()){
       std::cout << vd << std::endl;
     }
-    
+
   }
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Surface_mesh/sm_join.cpp 5.0.3-1/examples/Surface_mesh/sm_join.cpp
--- 5.0.2-3/examples/Surface_mesh/sm_join.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh/sm_join.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -10,12 +10,12 @@ typedef CGAL::Surface_mesh<Point>
 
 typedef boost::graph_traits<Mesh>::vertex_descriptor vertex_descriptor;
 
-int main(int argc, char* argv[]) 
+int main(int argc, char* argv[])
 {
   Mesh sm1, sm2;
   std::ifstream in1((argc>1)?argv[1]:"data/triangle.off");
   in1 >> sm1;
- 
+
   std::ifstream in2((argc>2)?argv[2]:"data/quad.off");
 
   Mesh::Property_map<vertex_descriptor,std::string> name1, name2;
@@ -28,11 +28,11 @@ int main(int argc, char* argv[])
 
   sm1 += sm2;
 
- 
+
   for(vertex_descriptor vd : vertices(sm1)){
     std::cerr << vd << " " <<  name1[vd] <<std::endl;
   }
-  
-  
+
+
   std::cout << sm1 << std::endl;
 }
diff -pruN 5.0.2-3/examples/Surface_mesh/sm_kruskal.cpp 5.0.3-1/examples/Surface_mesh/sm_kruskal.cpp
--- 5.0.2-3/examples/Surface_mesh/sm_kruskal.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh/sm_kruskal.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -23,7 +23,7 @@ kruskal(const Mesh& sm)
 
   std::list<edge_descriptor> mst;
 
-  boost::kruskal_minimum_spanning_tree(sm, 
+  boost::kruskal_minimum_spanning_tree(sm,
                                        std::back_inserter(mst));
 
   std::cout << "#VRML V2.0 utf8\n"
diff -pruN 5.0.2-3/examples/Surface_mesh/sm_memory.cpp 5.0.3-1/examples/Surface_mesh/sm_memory.cpp
--- 5.0.2-3/examples/Surface_mesh/sm_memory.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh/sm_memory.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -12,31 +12,31 @@ int main()
   Mesh m;
   Mesh::Vertex_index u;
   for(unsigned int i=0; i < 5; ++i){
-    Mesh::Vertex_index v = m.add_vertex(K::Point_3(0,0,i+1));  
+    Mesh::Vertex_index v = m.add_vertex(K::Point_3(0,0,i+1));
     if(i==2) u=v;
   }
 
   m.remove_vertex(u);
 
   std::cout << "After insertion of 5 vertices and removal of the 3. vertex\n"
-            << "# vertices  / # vertices + # removed vertices = " 
+            << "# vertices  / # vertices + # removed vertices = "
             << m.number_of_vertices()
             << " / " << m.number_of_vertices() + m.number_of_removed_vertices() << std::endl;
-  
+
   std::cout << "Iterate over vertices\n";
   {
     for(vertex_descriptor vd : m.vertices()){
       std::cout << m.point(vd) << std::endl;
     }
   }
-  
+
   // The status of being used or removed is stored in a property map
   Mesh::Property_map<Mesh::Vertex_index,bool> removed
     = m.property_map<Mesh::Vertex_index,bool>("v:removed").first;
- 
-  
+
+
   std::cout << "\nIterate over vertices and deleted vertices\n"
-            << "# vertices / # vertices + # removed vertices = " 
+            << "# vertices / # vertices + # removed vertices = "
             << m.number_of_vertices()
             << " / " << m.number_of_vertices() + m.number_of_removed_vertices() << std::endl;
     {
@@ -54,7 +54,7 @@ int main()
             << "# vertices / # vertices + # removed vertices = "
             << m.number_of_vertices()
             << " / " << m.number_of_vertices() + m.number_of_removed_vertices() << std::endl;
-  
+
  {
    unsigned int i = 0, end = m.number_of_vertices() + m.number_of_removed_vertices();
     for( ; i < end; ++i) {
diff -pruN 5.0.2-3/examples/Surface_mesh/sm_properties.cpp 5.0.3-1/examples/Surface_mesh/sm_properties.cpp
--- 5.0.2-3/examples/Surface_mesh/sm_properties.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh/sm_properties.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -49,7 +49,7 @@ int main()
 
   // retrieve the point property for which exists a convenience function
   Mesh::Property_map<vertex_descriptor, K::Point_3> location = m.points();
-  for(vertex_descriptor vd : m.vertices()) { 
+  for(vertex_descriptor vd : m.vertices()) {
     std::cout << name[vd] << " @ " << location[vd] << std::endl;
   }
 
@@ -57,7 +57,7 @@ int main()
   for(std::string p : props){
     std::cout << p << std::endl;
   }
-  
+
   // delete the string property again
   m.remove_property_map(name);
 
diff -pruN 5.0.2-3/examples/Surface_mesh_deformation/all_roi_assign_example_Surface_mesh.cpp 5.0.3-1/examples/Surface_mesh_deformation/all_roi_assign_example_Surface_mesh.cpp
--- 5.0.2-3/examples/Surface_mesh_deformation/all_roi_assign_example_Surface_mesh.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_deformation/all_roi_assign_example_Surface_mesh.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -41,7 +41,7 @@ int main()
     return 1;
   }
 
-  // Use set_target_position() to set the constained position 
+  // Use set_target_position() to set the constained position
   // of control_1. control_2 remains at the last assigned positions
   Surface_mesh_deformation::Point constrained_pos_1(-0.35, 0.40, 0.60);
   deform_mesh.set_target_position(control_1, constrained_pos_1);
diff -pruN 5.0.2-3/examples/Surface_mesh_deformation/all_roi_assign_example_with_OpenMesh.cpp 5.0.3-1/examples/Surface_mesh_deformation/all_roi_assign_example_with_OpenMesh.cpp
--- 5.0.2-3/examples/Surface_mesh_deformation/all_roi_assign_example_with_OpenMesh.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_deformation/all_roi_assign_example_with_OpenMesh.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -42,7 +42,7 @@ int main()
     return 1;
   }
 
-  // Use set_target_position() to set the constained position 
+  // Use set_target_position() to set the constained position
   // of control_1. control_2 remains at the last assigned positions
   Surface_mesh_deformation::Point constrained_pos_1(-0.35, 0.40, 0.60);
   deform_mesh.set_target_position(control_1, constrained_pos_1);
diff -pruN 5.0.2-3/examples/Surface_mesh_deformation/CMakeLists.txt 5.0.3-1/examples/Surface_mesh_deformation/CMakeLists.txt
--- 5.0.2-3/examples/Surface_mesh_deformation/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_deformation/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -37,8 +37,8 @@ if ( CGAL_FOUND )
     message(STATUS "NOTICE: These examples require the Eigen library, version 3.2 or later and will not be compiled.")
   endif()
 else()
-  
+
     message(STATUS "NOTICE: These exmaples require the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Surface_mesh_deformation/k_ring_roi_translate_rotate_Surface_mesh.cpp 5.0.3-1/examples/Surface_mesh_deformation/k_ring_roi_translate_rotate_Surface_mesh.cpp
--- 5.0.2-3/examples/Surface_mesh_deformation/k_ring_roi_translate_rotate_Surface_mesh.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_deformation/k_ring_roi_translate_rotate_Surface_mesh.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -7,7 +7,7 @@
 
 
 typedef CGAL::Simple_cartesian<double>                                   Kernel;
-typedef Kernel::Point_3 Point_3; 
+typedef Kernel::Point_3 Point_3;
 typedef CGAL::Surface_mesh<Point_3>  Mesh;
 
 typedef boost::graph_traits<Mesh>::vertex_descriptor   vertex_descriptor;
diff -pruN 5.0.2-3/examples/Surface_mesher/CMakeLists.txt 5.0.3-1/examples/Surface_mesher/CMakeLists.txt
--- 5.0.2-3/examples/Surface_mesher/CMakeLists.txt	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesher/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -22,8 +22,8 @@ else()
   if(RUNNING_CGAL_AUTO_TEST)
     # Just to avoid a warning from CMake if that variable is set on the command line...
   endif()
-  
+
   message(STATUS "NOTICE: This program requires the CGAL and CGAL ImageIO libraries, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Surface_mesh_parameterization/CMakeLists.txt 5.0.3-1/examples/Surface_mesh_parameterization/CMakeLists.txt
--- 5.0.2-3/examples/Surface_mesh_parameterization/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_parameterization/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -57,7 +57,7 @@ if ( CGAL_FOUND )
     create_single_source_cgal_program( "seam_Polyhedron_3.cpp" )
     create_single_source_cgal_program( "simple_parameterization.cpp" )
     create_single_source_cgal_program( "square_border_parameterizer.cpp" )
-    
+
     if(SuiteSparse_FOUND)
       target_link_libraries(orbifold PRIVATE ${SuiteSparse_LIBRARIES})
     endif()
diff -pruN 5.0.2-3/examples/Surface_mesh_parameterization/data/blob.selection.txt 5.0.3-1/examples/Surface_mesh_parameterization/data/blob.selection.txt
--- 5.0.2-3/examples/Surface_mesh_parameterization/data/blob.selection.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_parameterization/data/blob.selection.txt	2020-08-01 19:00:34.000000000 +0000
@@ -1,3 +1,3 @@
 
 
-35 125 96 1 24 96 95 35 0 95 125 24 
+35 125 96 1 24 96 95 35 0 95 125 24
diff -pruN 5.0.2-3/examples/Surface_mesh_parameterization/data/lion2.selection.txt 5.0.3-1/examples/Surface_mesh_parameterization/data/lion2.selection.txt
--- 5.0.2-3/examples/Surface_mesh_parameterization/data/lion2.selection.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_parameterization/data/lion2.selection.txt	2020-08-01 19:00:34.000000000 +0000
@@ -1,3 +1,3 @@
 
 
-7439 5767 7496 5336 7498 5820 5336 7204 7495 5819 5768 7439 5773 7499 7494 2430 130 2235 216 2227 5335 7495 134 1955 5767 7498 2235 216 7204 5335 1955 22 6053 130 2430 6053 7499 5768 1940 44 2227 134 5819 7494 5820 7496 22 1940 
+7439 5767 7496 5336 7498 5820 5336 7204 7495 5819 5768 7439 5773 7499 7494 2430 130 2235 216 2227 5335 7495 134 1955 5767 7498 2235 216 7204 5335 1955 22 6053 130 2430 6053 7499 5768 1940 44 2227 134 5819 7494 5820 7496 22 1940
diff -pruN 5.0.2-3/examples/Surface_mesh_parameterization/data/lion3.selection.txt 5.0.3-1/examples/Surface_mesh_parameterization/data/lion3.selection.txt
--- 5.0.2-3/examples/Surface_mesh_parameterization/data/lion3.selection.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_parameterization/data/lion3.selection.txt	2020-08-01 19:00:34.000000000 +0000
@@ -1,3 +1,3 @@
 
 
-46 2232 2584 1876 45 2212 5635 7348 220 2556 2512 220 1875 2512 3636 1875 1033 3636 1048 4142 3953 1048 5363 7503 5360 7502 131 2220 7222 5360 7348 5008 7501 5635 7221 5358 1921 43 2214 133 7500 5359 7220 5357 4750 5234 4847 7220 4848 4847 3013 4750 1029 3013 2224 1028 47 2224 2213 47 129 2214 2232 129 2212 46 2231 45 132 2231 43 1920 20 1921 4790 7450 7449 4791 5358 7501 6954 4788 5007 7222 7439 5767 1034 2440 7227 5363 1199 5773 7451 4786 6223 3052 5773 7499 6718 3053 7499 5768 4831 1297 1297 4382 7496 5336 5768 7439 4786 6953 4413 1312 2692 2691 7495 5819 4791 6955 5819 7494 1918 20 5234 4848 5362 7227 3051 6222 1876 2615 2430 6053 2659 355 6955 4790 7494 2430 216 2227 3052 6719 2235 216 3605 1029 5767 7498 2615 1034 1057 5773 1313 4413 453 2659 7204 5335 1920 131 5008 5007 1955 22 5335 7495 5359 7221 1940 44 3408 3055 3432 3410 5336 7204 2227 134 1028 3605 6224 3054 7502 5362 6222 3049 3049 3095 5820 7496 7450 4789 5357 7500 4382 1199 1300 4831 2220 132 3054 6718 3095 453 3053 6223 21 1918 134 1955 355 4083 7498 5820 6953 1300 6719 3051 2691 3408 4083 1057 3055 6224 133 2213 7503 5652 5652 3953 6053 130 5142 1313 1312 7449 4789 6954 4142 1033 2556 221 22 1940 130 2235 221 2584 3410 2692 4788 7451 
+46 2232 2584 1876 45 2212 5635 7348 220 2556 2512 220 1875 2512 3636 1875 1033 3636 1048 4142 3953 1048 5363 7503 5360 7502 131 2220 7222 5360 7348 5008 7501 5635 7221 5358 1921 43 2214 133 7500 5359 7220 5357 4750 5234 4847 7220 4848 4847 3013 4750 1029 3013 2224 1028 47 2224 2213 47 129 2214 2232 129 2212 46 2231 45 132 2231 43 1920 20 1921 4790 7450 7449 4791 5358 7501 6954 4788 5007 7222 7439 5767 1034 2440 7227 5363 1199 5773 7451 4786 6223 3052 5773 7499 6718 3053 7499 5768 4831 1297 1297 4382 7496 5336 5768 7439 4786 6953 4413 1312 2692 2691 7495 5819 4791 6955 5819 7494 1918 20 5234 4848 5362 7227 3051 6222 1876 2615 2430 6053 2659 355 6955 4790 7494 2430 216 2227 3052 6719 2235 216 3605 1029 5767 7498 2615 1034 1057 5773 1313 4413 453 2659 7204 5335 1920 131 5008 5007 1955 22 5335 7495 5359 7221 1940 44 3408 3055 3432 3410 5336 7204 2227 134 1028 3605 6224 3054 7502 5362 6222 3049 3049 3095 5820 7496 7450 4789 5357 7500 4382 1199 1300 4831 2220 132 3054 6718 3095 453 3053 6223 21 1918 134 1955 355 4083 7498 5820 6953 1300 6719 3051 2691 3408 4083 1057 3055 6224 133 2213 7503 5652 5652 3953 6053 130 5142 1313 1312 7449 4789 6954 4142 1033 2556 221 22 1940 130 2235 221 2584 3410 2692 4788 7451
diff -pruN 5.0.2-3/examples/Surface_mesh_parameterization/data/lion4.selection.txt 5.0.3-1/examples/Surface_mesh_parameterization/data/lion4.selection.txt
--- 5.0.2-3/examples/Surface_mesh_parameterization/data/lion4.selection.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_parameterization/data/lion4.selection.txt	2020-08-01 19:00:34.000000000 +0000
@@ -1,3 +1,3 @@
-26 1957 
+26 1957
 
-1921 43 1034 2440 2615 1034 3638 1873 2556 221 217 4077 1873 4137 20 1921 4142 1033 3953 1048 1032 3953 3645 1874 2584 1876 1031 3645 3935 1047 1047 3642 46 2232 129 2214 47 2224 218 3641 1045 3638 4077 1045 1046 4138 1030 3935 2224 1028 2213 47 1875 2512 3013 217 45 2212 1918 20 1878 2507 1049 2582 2623 1049 224 3917 2507 1879 1877 2618 3036 359 6211 2989 2989 6365 958 3036 6433 958 6320 818 3576 6433 945 6473 2968 945 2220 132 793 3342 762 2968 4138 1030 2920 821 3342 794 2805 6356 2956 793 223 2623 806 2956 3460 806 3463 6386 816 3458 3392 6544 3412 6716 131 2220 132 2231 3636 1875 6365 2700 768 6200 769 6547 6201 769 2694 816 6353 784 3399 6543 471 2694 222 2598 818 2805 1029 3013 2700 2699 2855 6320 2512 220 6544 3398 6386 805 1940 44 22 1940 7277 1637 3642 219 4410 1313 7279 5157 133 2213 1955 22 134 1955 1656 5188 2227 134 216 2227 2235 216 130 2235 2222 130 6547 768 1887 2222 3458 3463 1048 4142 4133 1059 4656 1672 3924 224 4130 1887 1613 7164 227 4130 1637 4720 4136 1043 3370 846 4131 227 2231 45 2991 6211 794 2920 1044 4131 3611 1044 1059 3611 5116 1641 5143 4410 1874 4140 1058 4133 5182 1665 4075 1886 2598 223 1043 4075 43 1920 1672 5087 1056 3614 1885 4082 3641 1046 6184 2855 4137 218 3614 1885 221 2584 5087 7071 4134 1056 2941 6371 2582 1878 4734 1656 4693 1644 1794 5305 1055 4134 220 2556 1876 2615 5159 1655 5338 1055 6473 3576 4135 1058 6200 2941 4082 1057 1033 3636 1203 5338 6543 3387 1057 4136 1920 131 5305 1805 5101 1650 5307 1794 5301 5307 1665 4734 7164 5301 3605 1029 7071 1613 6371 2991 5079 1645 1644 5079 1664 5182 5125 7089 6358 3399 1805 4772 6356 3392 2232 129 1652 5159 3398 6358 4407 1664 359 3616 6716 471 4139 1031 4793 1314 3917 1035 5144 5143 1655 4729 1028 3605 1313 4793 4720 1640 1035 2462 1886 4135 4729 1663 6912 4574 7103 1652 4684 1620 1650 4684 4772 1203 3616 1055 1314 4407 4140 1032 1879 3924 3387 6353 1517 6912 7087 5121 1657 4693 848 3370 1640 5116 5188 1657 6337 762 1641 7087 5124 7277 784 2975 5121 5101 1663 5144 21 1918 7089 5124 1620 7279 2618 222 1645 4656 805 3460 846 6201 821 6337 5031 5125 2699 3412 2975 848 4574 5031 4940 1517 2214 133 219 4139 5157 7103 2212 46 1516 4940 
+1921 43 1034 2440 2615 1034 3638 1873 2556 221 217 4077 1873 4137 20 1921 4142 1033 3953 1048 1032 3953 3645 1874 2584 1876 1031 3645 3935 1047 1047 3642 46 2232 129 2214 47 2224 218 3641 1045 3638 4077 1045 1046 4138 1030 3935 2224 1028 2213 47 1875 2512 3013 217 45 2212 1918 20 1878 2507 1049 2582 2623 1049 224 3917 2507 1879 1877 2618 3036 359 6211 2989 2989 6365 958 3036 6433 958 6320 818 3576 6433 945 6473 2968 945 2220 132 793 3342 762 2968 4138 1030 2920 821 3342 794 2805 6356 2956 793 223 2623 806 2956 3460 806 3463 6386 816 3458 3392 6544 3412 6716 131 2220 132 2231 3636 1875 6365 2700 768 6200 769 6547 6201 769 2694 816 6353 784 3399 6543 471 2694 222 2598 818 2805 1029 3013 2700 2699 2855 6320 2512 220 6544 3398 6386 805 1940 44 22 1940 7277 1637 3642 219 4410 1313 7279 5157 133 2213 1955 22 134 1955 1656 5188 2227 134 216 2227 2235 216 130 2235 2222 130 6547 768 1887 2222 3458 3463 1048 4142 4133 1059 4656 1672 3924 224 4130 1887 1613 7164 227 4130 1637 4720 4136 1043 3370 846 4131 227 2231 45 2991 6211 794 2920 1044 4131 3611 1044 1059 3611 5116 1641 5143 4410 1874 4140 1058 4133 5182 1665 4075 1886 2598 223 1043 4075 43 1920 1672 5087 1056 3614 1885 4082 3641 1046 6184 2855 4137 218 3614 1885 221 2584 5087 7071 4134 1056 2941 6371 2582 1878 4734 1656 4693 1644 1794 5305 1055 4134 220 2556 1876 2615 5159 1655 5338 1055 6473 3576 4135 1058 6200 2941 4082 1057 1033 3636 1203 5338 6543 3387 1057 4136 1920 131 5305 1805 5101 1650 5307 1794 5301 5307 1665 4734 7164 5301 3605 1029 7071 1613 6371 2991 5079 1645 1644 5079 1664 5182 5125 7089 6358 3399 1805 4772 6356 3392 2232 129 1652 5159 3398 6358 4407 1664 359 3616 6716 471 4139 1031 4793 1314 3917 1035 5144 5143 1655 4729 1028 3605 1313 4793 4720 1640 1035 2462 1886 4135 4729 1663 6912 4574 7103 1652 4684 1620 1650 4684 4772 1203 3616 1055 1314 4407 4140 1032 1879 3924 3387 6353 1517 6912 7087 5121 1657 4693 848 3370 1640 5116 5188 1657 6337 762 1641 7087 5124 7277 784 2975 5121 5101 1663 5144 21 1918 7089 5124 1620 7279 2618 222 1645 4656 805 3460 846 6201 821 6337 5031 5125 2699 3412 2975 848 4574 5031 4940 1517 2214 133 219 4139 5157 7103 2212 46 1516 4940
diff -pruN 5.0.2-3/examples/Surface_mesh_parameterization/data/lion.selection.txt 5.0.3-1/examples/Surface_mesh_parameterization/data/lion.selection.txt
--- 5.0.2-3/examples/Surface_mesh_parameterization/data/lion.selection.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_parameterization/data/lion.selection.txt	2020-08-01 19:00:34.000000000 +0000
@@ -1,3 +1,3 @@
 
 
-3410 2692 5142 1313 4083 1057 2691 3408 355 4083 3095 453 3053 6223 3049 3095 6719 3051 3054 6718 6224 3054 3432 3410 3408 3055 1940 44 4788 7451 3055 6224 4382 1199 22 1940 1955 22 7204 5335 1313 4413 5767 7498 134 1955 2227 134 5335 7495 216 2227 2235 216 130 2235 6053 130 7494 2430 2659 355 2430 6053 3051 6222 6955 4790 5819 7494 1312 7449 4791 6955 7495 5819 5820 7496 5336 7204 2692 2691 4786 6953 3052 6719 1300 4831 7498 5820 7450 4789 4413 1312 5768 7439 7496 5336 1297 4382 7499 5768 5773 7499 6223 3052 1057 5773 1199 5773 7439 5767 4831 1297 6718 3053 6953 1300 453 2659 6954 4788 7451 4786 4789 6954 7449 4791 6222 3049 4790 7450 
+3410 2692 5142 1313 4083 1057 2691 3408 355 4083 3095 453 3053 6223 3049 3095 6719 3051 3054 6718 6224 3054 3432 3410 3408 3055 1940 44 4788 7451 3055 6224 4382 1199 22 1940 1955 22 7204 5335 1313 4413 5767 7498 134 1955 2227 134 5335 7495 216 2227 2235 216 130 2235 6053 130 7494 2430 2659 355 2430 6053 3051 6222 6955 4790 5819 7494 1312 7449 4791 6955 7495 5819 5820 7496 5336 7204 2692 2691 4786 6953 3052 6719 1300 4831 7498 5820 7450 4789 4413 1312 5768 7439 7496 5336 1297 4382 7499 5768 5773 7499 6223 3052 1057 5773 1199 5773 7439 5767 4831 1297 6718 3053 6953 1300 453 2659 6954 4788 7451 4786 4789 6954 7449 4791 6222 3049 4790 7450
diff -pruN 5.0.2-3/examples/Surface_mesh_parameterization/data/square_corners.selection.txt 5.0.3-1/examples/Surface_mesh_parameterization/data/square_corners.selection.txt
--- 5.0.2-3/examples/Surface_mesh_parameterization/data/square_corners.selection.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_parameterization/data/square_corners.selection.txt	2020-08-01 19:00:34.000000000 +0000
@@ -1,3 +1,3 @@
-133 8 0 287 
+133 8 0 287
 
 
diff -pruN 5.0.2-3/examples/Surface_mesh_segmentation/CMakeLists.txt 5.0.3-1/examples/Surface_mesh_segmentation/CMakeLists.txt
--- 5.0.2-3/examples/Surface_mesh_segmentation/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_segmentation/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -14,7 +14,7 @@ find_package( CGAL QUIET COMPONENTS  )
 if ( NOT CGAL_FOUND )
 
   message(STATUS "This project requires the CGAL library, and will not be compiled.")
-  return()  
+  return()
 
 endif()
 
@@ -25,7 +25,7 @@ if ( NOT Boost_FOUND )
 
   message(STATUS "This project requires the Boost library, and will not be compiled.")
 
-  return()  
+  return()
 
 endif()
 
diff -pruN 5.0.2-3/examples/Surface_mesh_segmentation/segmentation_from_sdf_values_OpenMesh_example.cpp 5.0.3-1/examples/Surface_mesh_segmentation/segmentation_from_sdf_values_OpenMesh_example.cpp
--- 5.0.2-3/examples/Surface_mesh_segmentation/segmentation_from_sdf_values_OpenMesh_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_segmentation/segmentation_from_sdf_values_OpenMesh_example.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -26,7 +26,7 @@ int main(int argc, char** argv )
     OpenMesh::IO::read_mesh(mesh, argv[1]);
   else
     OpenMesh::IO::read_mesh(mesh, "data/cactus.off");
- 
+
   if (!CGAL::is_triangle_mesh(mesh)){
     std::cerr << "Input geometry is not triangulated." << std::endl;
     return EXIT_FAILURE;
diff -pruN 5.0.2-3/examples/Surface_mesh_segmentation/segmentation_from_sdf_values_SM_example.cpp 5.0.3-1/examples/Surface_mesh_segmentation/segmentation_from_sdf_values_SM_example.cpp
--- 5.0.2-3/examples/Surface_mesh_segmentation/segmentation_from_sdf_values_SM_example.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_segmentation/segmentation_from_sdf_values_SM_example.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -9,7 +9,7 @@
 typedef CGAL::Exact_predicates_inexact_constructions_kernel Kernel;
 typedef Kernel::Point_3 Point_3;
 
-typedef CGAL::Surface_mesh<Point_3> Mesh; 
+typedef CGAL::Surface_mesh<Point_3> Mesh;
 
 typedef boost::graph_traits<Mesh>::vertex_descriptor vertex_descriptor;
 typedef boost::graph_traits<Mesh>::face_descriptor face_descriptor;
@@ -18,7 +18,7 @@ int main(int argc, char** argv )
 {
   Mesh mesh;
   if (argc==2){
-    std::ifstream input(argv[1]); 
+    std::ifstream input(argv[1]);
     input >> mesh;
   } else {
     std::ifstream cactus("data/cactus.off");
diff -pruN 5.0.2-3/examples/Surface_mesh_shortest_path/CMakeLists.txt 5.0.3-1/examples/Surface_mesh_shortest_path/CMakeLists.txt
--- 5.0.2-3/examples/Surface_mesh_shortest_path/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_shortest_path/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -17,7 +17,7 @@ if ( CGAL_FOUND )
   create_single_source_cgal_program( "shortest_paths_no_id.cpp" )
   create_single_source_cgal_program( "shortest_paths_with_id.cpp" )
   create_single_source_cgal_program( "shortest_paths.cpp" )
-  
+
   find_package( OpenMesh QUIET )
   if ( OpenMesh_FOUND )
     include( UseOpenMesh )
@@ -27,8 +27,8 @@ if ( CGAL_FOUND )
     message(STATUS "Examples that use OpenMesh will not be compiled.")
   endif()
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Surface_mesh_simplification/CMakeLists.txt 5.0.3-1/examples/Surface_mesh_simplification/CMakeLists.txt
--- 5.0.2-3/examples/Surface_mesh_simplification/CMakeLists.txt	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_simplification/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -14,7 +14,7 @@ find_package( CGAL QUIET COMPONENTS  )
 if ( NOT CGAL_FOUND )
 
   message(STATUS "This project requires the CGAL library, and will not be compiled.")
-  return()  
+  return()
 
 endif()
 
@@ -25,7 +25,7 @@ if ( NOT Boost_FOUND )
 
   message(STATUS "This project requires the Boost library, and will not be compiled.")
 
-  return()  
+  return()
 
 endif()
 
diff -pruN 5.0.2-3/examples/Surface_mesh_simplification/edge_collapse_bounded_normal_change.cpp 5.0.3-1/examples/Surface_mesh_simplification/edge_collapse_bounded_normal_change.cpp
--- 5.0.2-3/examples/Surface_mesh_simplification/edge_collapse_bounded_normal_change.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_simplification/edge_collapse_bounded_normal_change.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -11,11 +11,11 @@
 
 
 typedef CGAL::Simple_cartesian<double> Kernel;
-typedef CGAL::Surface_mesh<Kernel::Point_3> Surface_mesh; 
+typedef CGAL::Surface_mesh<Kernel::Point_3> Surface_mesh;
 
 namespace SMS = CGAL::Surface_mesh_simplification;
 
-int main( int argc, char** argv ) 
+int main( int argc, char** argv )
 {
   Surface_mesh surface_mesh;
 
@@ -26,7 +26,7 @@ int main( int argc, char** argv )
   // In this example, the simplification stops when the number of undirected edges
   // left in the surface mesh drops below the specified number (1000)
   SMS::Count_stop_predicate<Surface_mesh> stop(num_halfedges(surface_mesh)/2 - 1);
-     
+
   typedef SMS::Bounded_normal_change_placement<SMS::LindstromTurk_placement<Surface_mesh> > Placement;
 
 
@@ -44,5 +44,5 @@ int main( int argc, char** argv )
   os.precision(17);
   os << surface_mesh;
 
-  return EXIT_SUCCESS;      
+  return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Surface_mesh_simplification/edge_collapse_constrained_border_surface_mesh.cpp 5.0.3-1/examples/Surface_mesh_simplification/edge_collapse_constrained_border_surface_mesh.cpp
--- 5.0.2-3/examples/Surface_mesh_simplification/edge_collapse_constrained_border_surface_mesh.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_simplification/edge_collapse_constrained_border_surface_mesh.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -19,7 +19,7 @@
 typedef CGAL::Simple_cartesian<double> Kernel;
 typedef Kernel::Point_3 Point_3;
 
-typedef CGAL::Surface_mesh<Point_3> Surface_mesh; 
+typedef CGAL::Surface_mesh<Point_3> Surface_mesh;
 typedef boost::graph_traits<Surface_mesh>::halfedge_descriptor halfedge_descriptor;
 typedef boost::graph_traits<Surface_mesh>::edge_descriptor edge_descriptor;
 
@@ -88,7 +88,7 @@ int main( int argc, char** argv )
   SMS::Count_stop_predicate<Surface_mesh> stop(0);
 
   Border_is_constrained_edge_map bem(surface_mesh);
-  
+
   // This the actual call to the simplification algorithm.
   // The surface mesh and stop conditions are mandatory arguments.
   int r = SMS::edge_collapse
diff -pruN 5.0.2-3/examples/Surface_mesh_simplification/edge_collapse_enriched_polyhedron.cpp 5.0.3-1/examples/Surface_mesh_simplification/edge_collapse_enriched_polyhedron.cpp
--- 5.0.2-3/examples/Surface_mesh_simplification/edge_collapse_enriched_polyhedron.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_simplification/edge_collapse_enriched_polyhedron.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -14,7 +14,7 @@ typedef CGAL::Simple_cartesian<double> K
 typedef Kernel::Point_3 Point;
 
 // Setup an enriched polyhedron type which stores an id() field in the items
-typedef CGAL::Polyhedron_3<Kernel,CGAL::Polyhedron_items_with_id_3> Surface_mesh; 
+typedef CGAL::Polyhedron_3<Kernel,CGAL::Polyhedron_items_with_id_3> Surface_mesh;
 
 typedef boost::graph_traits<Surface_mesh>::halfedge_descriptor halfedge_descriptor;
 typedef boost::graph_traits<Surface_mesh>::vertex_descriptor vertex_descriptor;
@@ -22,10 +22,10 @@ typedef boost::graph_traits<Surface_mesh
 namespace SMS = CGAL::Surface_mesh_simplification;
 
 
-int main( int argc, char** argv ) 
+int main( int argc, char** argv )
 {
-  Surface_mesh surface_mesh; 
-  
+  Surface_mesh surface_mesh;
+
   std::ifstream is(argv[1]);
   is >> surface_mesh;
   if (!CGAL::is_triangle_mesh(surface_mesh)){
@@ -33,41 +33,41 @@ int main( int argc, char** argv )
     return EXIT_FAILURE;
   }
 
-  // The items in this polyhedron have an "id()" field 
+  // The items in this polyhedron have an "id()" field
   // which the default index maps used in the algorithm
   // need to get the index of a vertex/edge.
   // However, the Polyhedron_3 class doesn't assign any value to
   // this id(), so we must do it here:
   int index = 0;
-  
+
   for(halfedge_descriptor hd : halfedges(surface_mesh)){
     hd->id() = index++;
 }
   index = 0;
-  
+
   for(vertex_descriptor vd : vertices(surface_mesh)){
     vd->id() = index++;
 }
-    
+
   // In this example, the simplification stops when the number of undirected edges
   // drops below 10% of the initial count
   SMS::Count_ratio_stop_predicate<Surface_mesh> stop(0.1);
- 
-    
+
+
   // The index maps are not explicitelty passed as in the previous
   // example because the surface mesh items have a proper id() field.
   // On the other hand, we pass here explicit cost and placement
   // function which differ from the default policies, ommited in
   // the previous example.
   int r = SMS::edge_collapse(surface_mesh, stop);
-  
-  std::cout << "\nFinished...\n" << r << " edges removed.\n" 
+
+  std::cout << "\nFinished...\n" << r << " edges removed.\n"
             << (surface_mesh.size_of_halfedges()/2) << " final edges.\n";
-        
+
   std::ofstream os( argc > 2 ? argv[2] : "out.off" );
   os.precision(17);
   os << surface_mesh;
-  
-  return EXIT_SUCCESS;      
+
+  return EXIT_SUCCESS;
 }
 
diff -pruN 5.0.2-3/examples/Surface_mesh_simplification/edge_collapse_OpenMesh.cpp 5.0.3-1/examples/Surface_mesh_simplification/edge_collapse_OpenMesh.cpp
--- 5.0.2-3/examples/Surface_mesh_simplification/edge_collapse_OpenMesh.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_simplification/edge_collapse_OpenMesh.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -37,10 +37,10 @@ public:
 
   inline friend reference get(const Constrained_edge_map& em, key_type e)
   {
-    bool b = em.sm_.property(em.constraint,em.sm_.edge_handle(e.idx())); 
+    bool b = em.sm_.property(em.constraint,em.sm_.edge_handle(e.idx()));
     return b;
   }
-  
+
   inline friend void put(const Constrained_edge_map& em, key_type e, value_type b)
   {
     em.sm_.property(em.constraint,em.sm_.edge_handle(e.idx())) = b;
@@ -55,7 +55,7 @@ private:
 
 namespace SMS = CGAL::Surface_mesh_simplification ;
 
-int main( int argc, char** argv ) 
+int main( int argc, char** argv )
 {
   Surface_mesh surface_mesh;
   Constrained_edge_map constraints_map(surface_mesh);
@@ -79,23 +79,23 @@ int main( int argc, char** argv )
   // In this example, the simplification stops when the number of undirected edges
   // left in the surface mesh drops below the specified number (1000)
   SMS::Count_stop_predicate<Surface_mesh> stop(0);
-     
+
   // This the actual call to the simplification algorithm.
   // The surface mesh and stop conditions are mandatory arguments.
 
   int r = SMS::edge_collapse
             (surface_mesh
             ,stop
-             ,CGAL::parameters::halfedge_index_map  (get(CGAL::halfedge_index  ,surface_mesh)) 
+             ,CGAL::parameters::halfedge_index_map  (get(CGAL::halfedge_index  ,surface_mesh))
                                .vertex_point_map(get(boost::vertex_point, surface_mesh))
-                               .edge_is_constrained_map(constraints_map) 
+                               .edge_is_constrained_map(constraints_map)
              );
-  
+
   surface_mesh.garbage_collection();
-  std::cout << "\nFinished...\n" << r << " edges removed.\n" 
+  std::cout << "\nFinished...\n" << r << " edges removed.\n"
             << num_edges(surface_mesh) << " final edges.\n" ;
-        
+
    OpenMesh::IO::write_mesh(surface_mesh, "out.off");
-  
+
   return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Surface_mesh_simplification/edge_collapse_polyhedron.cpp 5.0.3-1/examples/Surface_mesh_simplification/edge_collapse_polyhedron.cpp
--- 5.0.2-3/examples/Surface_mesh_simplification/edge_collapse_polyhedron.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_simplification/edge_collapse_polyhedron.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -12,14 +12,14 @@
 
 
 typedef CGAL::Simple_cartesian<double> Kernel;
-typedef CGAL::Polyhedron_3<Kernel> Surface_mesh; 
+typedef CGAL::Polyhedron_3<Kernel> Surface_mesh;
 
 namespace SMS = CGAL::Surface_mesh_simplification;
 
-int main( int argc, char** argv ) 
+int main( int argc, char** argv )
 {
   Surface_mesh surface_mesh;
-  
+
   std::ifstream is(argv[1]);
   is >> surface_mesh;
   if (!CGAL::is_triangle_mesh(surface_mesh)){
@@ -31,7 +31,7 @@ int main( int argc, char** argv )
   // In this example, the simplification stops when the number of undirected edges
   // left in the surface mesh drops below the specified number (1000)
   SMS::Count_stop_predicate<Surface_mesh> stop(1000);
-     
+
   // This the actual call to the simplification algorithm.
   // The surface mesh and stop conditions are mandatory arguments.
   // The index maps are needed because the vertices and edges
@@ -39,16 +39,16 @@ int main( int argc, char** argv )
   int r = SMS::edge_collapse
             (surface_mesh
             ,stop
-             ,CGAL::parameters::vertex_index_map(get(CGAL::vertex_external_index, surface_mesh)) 
-                               .halfedge_index_map  (get(CGAL::halfedge_external_index, surface_mesh)) 
+             ,CGAL::parameters::vertex_index_map(get(CGAL::vertex_external_index, surface_mesh))
+                               .halfedge_index_map  (get(CGAL::halfedge_external_index, surface_mesh))
             );
-  
-  std::cout << "\nFinished...\n" << r << " edges removed.\n" 
+
+  std::cout << "\nFinished...\n" << r << " edges removed.\n"
             << (surface_mesh.size_of_halfedges()/2) << " final edges.\n";
-        
+
   std::ofstream os( argc > 2 ? argv[2] : "out.off" );
   os.precision(17);
   os << surface_mesh;
-  
-  return EXIT_SUCCESS;      
+
+  return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Surface_mesh_simplification/edge_collapse_surface_mesh.cpp 5.0.3-1/examples/Surface_mesh_simplification/edge_collapse_surface_mesh.cpp
--- 5.0.2-3/examples/Surface_mesh_simplification/edge_collapse_surface_mesh.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_simplification/edge_collapse_surface_mesh.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -8,15 +8,15 @@
 
 typedef CGAL::Simple_cartesian<double> Kernel;
 typedef Kernel::Point_3 Point_3;
-typedef CGAL::Surface_mesh<Point_3> Surface_mesh; 
+typedef CGAL::Surface_mesh<Point_3> Surface_mesh;
 
 namespace SMS = CGAL::Surface_mesh_simplification;
 
 
-int main( int argc, char** argv ) 
+int main( int argc, char** argv )
 {
-  Surface_mesh surface_mesh; 
-  
+  Surface_mesh surface_mesh;
+
   std::ifstream is(argv[1]);
   is >> surface_mesh;
   if (!CGAL::is_triangle_mesh(surface_mesh)){
@@ -27,15 +27,15 @@ int main( int argc, char** argv )
   // In this example, the simplification stops when the number of undirected edges
   // drops below 10% of the initial count
   SMS::Count_ratio_stop_predicate<Surface_mesh> stop(0.1);
- 
+
   int r = SMS::edge_collapse(surface_mesh, stop);
 
-  std::cout << "\nFinished...\n" << r << " edges removed.\n" 
+  std::cout << "\nFinished...\n" << r << " edges removed.\n"
             << surface_mesh.number_of_edges() << " final edges.\n";
- 
+
   std::ofstream os( argc > 2 ? argv[2] : "out.off" );
   os.precision(17);
   os << surface_mesh;
-  
-  return EXIT_SUCCESS;      
+
+  return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/Surface_mesh_simplification/edge_collapse_visitor_surface_mesh.cpp 5.0.3-1/examples/Surface_mesh_simplification/edge_collapse_visitor_surface_mesh.cpp
--- 5.0.2-3/examples/Surface_mesh_simplification/edge_collapse_visitor_surface_mesh.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/examples/Surface_mesh_simplification/edge_collapse_visitor_surface_mesh.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -16,7 +16,7 @@
 typedef CGAL::Simple_cartesian<double> Kernel;
 typedef Kernel::Point_3 Point_3;
 
-typedef CGAL::Surface_mesh<Point_3> Surface_mesh; 
+typedef CGAL::Surface_mesh<Point_3> Surface_mesh;
 
 typedef boost::graph_traits<Surface_mesh>::halfedge_descriptor halfedge_descriptor;
 typedef boost::graph_traits<Surface_mesh>::vertex_descriptor vertex_descriptor;
@@ -32,37 +32,37 @@ typedef SMS::Edge_profile<Surface_mesh>
 //
 struct Stats
 {
-  Stats() 
+  Stats()
     : collected(0)
     , processed(0)
     , collapsed(0)
     , non_collapsable(0)
-    , cost_uncomputable(0) 
-    , placement_uncomputable(0) 
-  {} 
-  
+    , cost_uncomputable(0)
+    , placement_uncomputable(0)
+  {}
+
   std::size_t collected;
   std::size_t processed;
   std::size_t collapsed;
   std::size_t non_collapsable;
   std::size_t cost_uncomputable ;
-  std::size_t placement_uncomputable; 
+  std::size_t placement_uncomputable;
 };
 
 struct My_visitor : SMS::Edge_collapse_visitor_base<Surface_mesh>
 {
-  My_visitor( Stats* s) : stats(s){} 
+  My_visitor( Stats* s) : stats(s){}
 
   // Called during the collecting phase for each edge collected.
   void OnCollected( Profile const&, boost::optional<double> const& )
   {
     ++ stats->collected;
     std::cerr << "\rEdges collected: " << stats->collected << std::flush;
-  }                
-  
+  }
+
   // Called during the processing phase for each edge selected.
   // If cost is absent the edge won't be collapsed.
-  void OnSelected(Profile const&          
+  void OnSelected(Profile const&
                  ,boost::optional<double> cost
                  ,std::size_t             initial
                  ,std::size_t             current
@@ -71,44 +71,44 @@ struct My_visitor : SMS::Edge_collapse_v
     ++ stats->processed;
     if ( !cost )
       ++ stats->cost_uncomputable;
-      
+
     if ( current == initial )
       std::cerr << "\n" << std::flush;
     std::cerr << "\r" << current << std::flush;
-  }                
-  
+  }
+
   // Called during the processing phase for each edge being collapsed.
   // If placement is absent the edge is left uncollapsed.
-  void OnCollapsing(Profile const&          
+  void OnCollapsing(Profile const&
                    ,boost::optional<Point>  placement
                    )
   {
     if ( !placement )
       ++ stats->placement_uncomputable;
-  }                
-  
+  }
+
   // Called for each edge which failed the so called link-condition,
   // that is, which cannot be collapsed because doing so would
   // turn the surface mesh into a non-manifold.
   void OnNonCollapsable( Profile const& )
   {
     ++ stats->non_collapsable;
-  }                
-  
+  }
+
   // Called after each edge has been collapsed
   void OnCollapsed( Profile const&, vertex_descriptor )
   {
     ++ stats->collapsed;
-  }                
-  
+  }
+
   Stats* stats;
 };
 
 
-int main( int argc, char** argv ) 
+int main( int argc, char** argv )
 {
-  Surface_mesh surface_mesh; 
-  
+  Surface_mesh surface_mesh;
+
   std::ifstream is(argv[1]);
   is >> surface_mesh;
   if (!CGAL::is_triangle_mesh(surface_mesh)){
@@ -119,9 +119,9 @@ int main( int argc, char** argv )
   // In this example, the simplification stops when the number of undirected edges
   // drops below 10% of the initial count
   SMS::Count_ratio_stop_predicate<Surface_mesh> stop(0.1);
- 
+
   Stats stats;
-  
+
   My_visitor vis(&stats);
 
   // The index maps are not explicitelty passed as in the previous
@@ -140,16 +140,16 @@ int main( int argc, char** argv )
             << "\nEdges collapsed: "  << stats.collapsed
             << std::endl
             << "\nEdges not collapsed due to topological constraints: "  << stats.non_collapsable
-            << "\nEdge not collapsed due to cost computation constraints: "  << stats.cost_uncomputable 
-            << "\nEdge not collapsed due to placement computation constraints: " << stats.placement_uncomputable 
-            << std::endl; 
-            
-  std::cout << "\nFinished...\n" << r << " edges removed.\n" 
+            << "\nEdge not collapsed due to cost computation constraints: "  << stats.cost_uncomputable
+            << "\nEdge not collapsed due to placement computation constraints: " << stats.placement_uncomputable
+            << std::endl;
+
+  std::cout << "\nFinished...\n" << r << " edges removed.\n"
             << surface_mesh.number_of_edges() << " final edges.\n";
- 
+
   std::ofstream os( argc > 2 ? argv[2] : "out.off" );
   os.precision(17);
   os << surface_mesh;
-  
-  return EXIT_SUCCESS;      
+
+  return EXIT_SUCCESS;
 }
diff -pruN 5.0.2-3/examples/TDS_3/CMakeLists.txt 5.0.3-1/examples/TDS_3/CMakeLists.txt
--- 5.0.2-3/examples/TDS_3/CMakeLists.txt	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/TDS_3/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Triangulation/barycentric_subdivision.cpp 5.0.3-1/examples/Triangulation/barycentric_subdivision.cpp
--- 5.0.2-3/examples/Triangulation/barycentric_subdivision.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation/barycentric_subdivision.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -89,7 +89,7 @@ void find_face_from_vertices( const TDS
             face.set_full_cell(*cit);
             for( std::size_t i = 0; i <= fdim; ++i )
             {
-              face.set_index(static_cast<int>(i), 
+              face.set_index(static_cast<int>(i),
                              (*cit)->index(face_vertices[i]));
             }
             return;
@@ -120,7 +120,7 @@ int main()
 
     // The number of full cells should be twice the factorial of
     // |tds.current_dimension()+1|. Eg, 1440 for dimension 5.
-    std::cout << "Triangulation has " 
+    std::cout << "Triangulation has "
         << tds.number_of_full_cells() << " full cells";
     CGAL_assertion( tds.is_valid() );
     std::cout << " and is valid!"<<std::endl;
diff -pruN 5.0.2-3/examples/Triangulation/CMakeLists.txt 5.0.3-1/examples/Triangulation/CMakeLists.txt
--- 5.0.2-3/examples/Triangulation/CMakeLists.txt	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -15,10 +15,10 @@ endif()
 find_package(CGAL QUIET)
 
 if ( CGAL_FOUND )
-  
-  find_package(Eigen3 3.1.0) 
-  if (EIGEN3_FOUND) 
-    include( ${EIGEN3_USE_FILE} ) 
+
+  find_package(Eigen3 3.1.0)
+  if (EIGEN3_FOUND)
+    include( ${EIGEN3_USE_FILE} )
 
     create_single_source_cgal_program( "barycentric_subdivision.cpp" )
     create_single_source_cgal_program( "delaunay_triangulation.cpp" )
@@ -33,8 +33,8 @@ if ( CGAL_FOUND )
   endif()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Triangulation/convex_hull.cpp 5.0.3-1/examples/Triangulation/convex_hull.cpp
--- 5.0.2-3/examples/Triangulation/convex_hull.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation/convex_hull.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -12,13 +12,13 @@
 const int D = 4;
 typedef CGAL::Epick_d< CGAL::Dimension_tag<D> >               K;
 typedef CGAL::Delaunay_triangulation<K>                       T;
-// The triangulation uses the default instanciation of the 
+// The triangulation uses the default instanciation of the
 // TriangulationDataStructure template parameter
 
 int main(int argc, char **argv)
 {
   int N = 200; // number of points
-  if (argc > 1) 
+  if (argc > 1)
     N = atoi(argv[1]);
 
   // Generate N random points
@@ -26,20 +26,20 @@ int main(int argc, char **argv)
   Random_points_iterator rand_it(D, 1.0, CGAL::get_default_random());
   std::vector<T::Point> points;
   std::copy_n(rand_it, N, std::back_inserter(points));
-  
+
   T t(D);
   CGAL_assertion(t.empty());
-  
+
   // insert the points in the triangulation, only if they are outside the
   // convex hull
   std::cout << "Convex hull of " << N << " points in dim " << D << "...\n";
-  
+
   // Spatial sort points to speed-up localization
   CGAL::spatial_sort(points.begin(), points.end(), t.geom_traits());
 
   int c = 0;
   T::Full_cell_handle hint;
-  for (std::vector<T::Point>::iterator it_p = points.begin() ; 
+  for (std::vector<T::Point>::iterator it_p = points.begin() ;
     it_p != points.end() ; ++it_p)
   {
     T::Locate_type lt;
diff -pruN 5.0.2-3/examples/Triangulation/regular_triangulation.cpp 5.0.3-1/examples/Triangulation/regular_triangulation.cpp
--- 5.0.2-3/examples/Triangulation/regular_triangulation.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation/regular_triangulation.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -25,14 +25,14 @@ int main()
   std::vector<Weighted_point> points;
   for (int i = 0; i < N; ++i)
     points.push_back(Weighted_point(*rand_it++, rng.get_double(0., 10.)));
-  
+
   T t(D);
   CGAL_assertion(t.empty());
-  
+
   // Insert the points in the triangulation
   t.insert(points.begin(), points.end());
   CGAL_assertion( t.is_valid() );
-  std::cout << "Regular triangulation successfully computed: " 
+  std::cout << "Regular triangulation successfully computed: "
     << t.number_of_vertices() << " vertices, "
     << t.number_of_finite_full_cells() << " finite cells."
     << std::endl;
diff -pruN 5.0.2-3/examples/Triangulation/triangulation1.cpp 5.0.3-1/examples/Triangulation/triangulation1.cpp
--- 5.0.2-3/examples/Triangulation/triangulation1.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation/triangulation1.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -6,7 +6,7 @@
        cit != t.full_cells_end(); ++cit )
     {
       if( ! t.is_infinite(cit) )
-	continue;
+        continue;
       Facet ft(cit, cit->index(t.infinite_vertex()));
       ++i;// |ft| is a facet of the convex hull
     }
diff -pruN 5.0.2-3/examples/Triangulation/triangulation2.cpp 5.0.3-1/examples/Triangulation/triangulation2.cpp
--- 5.0.2-3/examples/Triangulation/triangulation2.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation/triangulation2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -2,12 +2,12 @@
   typedef Triangulation::Full_cell_handle Full_cell_handle;
   typedef Triangulation::Facet Facet;
   typedef std::vector<Full_cell_handle> Full_cells;
-  
+
   Full_cells infinite_full_cells;
   std::back_insert_iterator<Full_cells> out(infinite_full_cells);
-  
+
   t.incident_full_cells(t.infinite_vertex(), out);
-  
+
   for( Full_cells::iterator sit = infinite_full_cells.begin();
        sit != infinite_full_cells.end(); ++sit )
     {
diff -pruN 5.0.2-3/examples/Triangulation/triangulation.cpp 5.0.3-1/examples/Triangulation/triangulation.cpp
--- 5.0.2-3/examples/Triangulation/triangulation.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation/triangulation.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -39,9 +39,9 @@ int main()
     typedef std::vector<Face> Faces;
     Faces edges;
     std::back_insert_iterator<Faces> out(edges);
-    t.tds().incident_faces(t.infinite_vertex(), 1, out);  
+    t.tds().incident_faces(t.infinite_vertex(), 1, out);
     // collect faces of dimension 1 (edges) incident to the infinite vertex
-    std::cout << "There are " << edges.size() 
+    std::cout << "There are " << edges.size()
               << " vertices on the convex hull." << std::endl;
 
 #include "triangulation1.cpp" // See below
diff -pruN 5.0.2-3/examples/Triangulation/triangulation_data_structure_static.cpp 5.0.3-1/examples/Triangulation/triangulation_data_structure_static.cpp
--- 5.0.2-3/examples/Triangulation/triangulation_data_structure_static.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation/triangulation_data_structure_static.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -19,7 +19,7 @@ int main()
   for( int i = 1; i <= 5; ++i )
       V[i] = S.insert_increase_dimension(V[0]);
   // the first 6 vertices have created a triangulation
-  // of the 4-dimensional topological sphere 
+  // of the 4-dimensional topological sphere
   // (the boundary of a five dimensional simplex).
   CGAL_assertion( 4 == S.current_dimension() );
   CGAL_assertion( 6 == S.number_of_vertices() );
@@ -39,7 +39,7 @@ int main()
   CGAL_assertion( 16 == S.number_of_full_cells() );
 
   c = V[3]->full_cell();
-  TDS::Face face(c);  
+  TDS::Face face(c);
   // meant to contain the edge joining vertices 2 and 4 of full_cell c
   face.set_index(0, 2); // namely vertex 2
   face.set_index(1, 4); // and vertex 4
diff -pruN 5.0.2-3/examples/Triangulation_2/CMakeLists.txt 5.0.3-1/examples/Triangulation_2/CMakeLists.txt
--- 5.0.2-3/examples/Triangulation_2/CMakeLists.txt	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_2/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -36,8 +36,8 @@ if ( CGAL_FOUND )
   endif()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Triangulation_2/constrained_plus.cpp 5.0.3-1/examples/Triangulation_2/constrained_plus.cpp
--- 5.0.2-3/examples/Triangulation_2/constrained_plus.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_2/constrained_plus.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -28,6 +28,6 @@ main( )
        scit != cdt.subconstraints_end();
        ++scit)  ++count;
   std::cout << "The number of resulting constrained edges is  "
-	    <<  count << std::endl;
+            <<  count << std::endl;
   return 0;
 }
diff -pruN 5.0.2-3/examples/Triangulation_2/copy_triangulation_2.cpp 5.0.3-1/examples/Triangulation_2/copy_triangulation_2.cpp
--- 5.0.2-3/examples/Triangulation_2/copy_triangulation_2.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_2/copy_triangulation_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -29,7 +29,7 @@ struct Convert_vertex{
 
 struct Convert_face{
   DT2_epec::Face operator()(const DT2_epic::Face&) const { return DT2_epec::Face(); }
-  void operator()(const DT2_epic::Face&,DT2_epec::Face&) const {}  
+  void operator()(const DT2_epic::Face&,DT2_epec::Face&) const {}
 };
 
 int main()
@@ -41,7 +41,7 @@ int main()
   DT2_epic dt2_epic;
   dt2_epic.insert(points.begin(), points.end());
   DT2_epec dt2_epec;
-  dt2_epec.set_infinite_vertex( 
+  dt2_epec.set_infinite_vertex(
     dt2_epec.tds().copy_tds( dt2_epic.tds(),dt2_epic.infinite_vertex(), Convert_vertex(), Convert_face() ) );
 
   CGAL_assertion( dt2_epec.is_valid() );
diff -pruN 5.0.2-3/examples/Triangulation_2/for_loop_2.cpp 5.0.3-1/examples/Triangulation_2/for_loop_2.cpp
--- 5.0.2-3/examples/Triangulation_2/for_loop_2.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_2/for_loop_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -37,11 +37,11 @@ int main()
     Vertex_handle vh = *b; // you must dereference the iterator to get a handle
     std::cout << vh->point() << std::endl;
   }
-  
+
   std::cout << "and you can use a C++11 for loop\n";
   for(Vertex_handle vh : T.finite_vertex_handles()){
     std::cout << vh->point() << std::endl;
   }
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Triangulation_2/info_insert_with_pair_iterator_2.cpp 5.0.3-1/examples/Triangulation_2/info_insert_with_pair_iterator_2.cpp
--- 5.0.2-3/examples/Triangulation_2/info_insert_with_pair_iterator_2.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_2/info_insert_with_pair_iterator_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -20,7 +20,7 @@ int main()
   points.push_back( std::make_pair(Point(2,2),4)   );
   points.push_back( std::make_pair(Point(-4,0),5)  );
 
-  
+
   Delaunay T;
   T.insert( points.begin(),points.end() );
 
diff -pruN 5.0.2-3/examples/Triangulation_2/info_insert_with_transform_iterator_2.cpp 5.0.3-1/examples/Triangulation_2/info_insert_with_transform_iterator_2.cpp
--- 5.0.2-3/examples/Triangulation_2/info_insert_with_transform_iterator_2.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_2/info_insert_with_transform_iterator_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -12,7 +12,7 @@ typedef Delaunay::Point
 typedef Delaunay::Vertex_handle                                     Vertex_handle;
 
 //a functor that returns a std::pair<Point,unsigned>.
-//the unsigned integer is incremented at each call to 
+//the unsigned integer is incremented at each call to
 //operator()
 struct Auto_count : public CGAL::cpp98::unary_function<const Point&,std::pair<Point,unsigned> >{
   mutable unsigned i;
@@ -32,13 +32,13 @@ int main()
   points.push_back(Point(2,2));
   points.push_back(Point(-1,0));
 
-  
+
   Delaunay T;
   T.insert( boost::make_transform_iterator(points.begin(),Auto_count()),
             boost::make_transform_iterator(points.end(),  Auto_count() )  );
 
   CGAL_assertion( T.number_of_vertices() == 6 );
-  
+
   // check that the info was correctly set.
   Delaunay::Finite_vertices_iterator vit;
   for (Vertex_handle v : T.finite_vertex_handles())
@@ -47,6 +47,6 @@ int main()
       exit(EXIT_FAILURE);
     }
   std::cout << "OK" << std::endl;
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Triangulation_2/info_insert_with_zip_iterator_2.cpp 5.0.3-1/examples/Triangulation_2/info_insert_with_zip_iterator_2.cpp
--- 5.0.2-3/examples/Triangulation_2/info_insert_with_zip_iterator_2.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_2/info_insert_with_zip_iterator_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -20,8 +20,8 @@ int main()
   indices.push_back(2);
   indices.push_back(3);
   indices.push_back(4);
-  indices.push_back(5);  
-  
+  indices.push_back(5);
+
   std::vector<Point> points;
   points.push_back(Point(0,0));
   points.push_back(Point(1,0));
@@ -30,15 +30,15 @@ int main()
   points.push_back(Point(2,2));
   points.push_back(Point(-1,0));
 
-  
-  
+
+
   Delaunay T;
   T.insert( boost::make_zip_iterator(boost::make_tuple( points.begin(),indices.begin() )),
             boost::make_zip_iterator(boost::make_tuple( points.end(),indices.end() ) )  );
 
   CGAL_assertion( T.number_of_vertices() == 6 );
-  
-  
+
+
   // check that the info was correctly set.
 
   for (Vertex_handle v : T.finite_vertex_handles())
diff -pruN 5.0.2-3/examples/Triangulation_2/polygon_triangulation.cpp 5.0.3-1/examples/Triangulation_2/polygon_triangulation.cpp
--- 5.0.2-3/examples/Triangulation_2/polygon_triangulation.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_2/polygon_triangulation.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -9,7 +9,7 @@ struct FaceInfo2
   FaceInfo2(){}
   int nesting_level;
 
-  bool in_domain(){ 
+  bool in_domain(){
     return nesting_level%2 == 1;
   }
 };
@@ -26,10 +26,10 @@ typedef CDT::Point
 typedef CGAL::Polygon_2<K>                                        Polygon_2;
 typedef CDT::Face_handle                                          Face_handle;
 
-void 
-mark_domains(CDT& ct, 
-             Face_handle start, 
-             int index, 
+void
+mark_domains(CDT& ct,
+             Face_handle start,
+             int index,
              std::list<CDT::Edge>& border )
 {
   if(start->info().nesting_level != -1){
@@ -58,7 +58,7 @@ mark_domains(CDT& ct,
 //explore set of facets connected with non constrained edges,
 //and attribute to each such set a nesting level.
 //We start from facets incident to the infinite vertex, with a nesting
-//level of 0. Then we recursively consider the non-explored facets incident 
+//level of 0. Then we recursively consider the non-explored facets incident
 //to constrained edges bounding the former set and increase the nesting level by 1.
 //Facets in the domain are those with an odd nesting level.
 void
@@ -84,7 +84,7 @@ mark_domains(CDT& cdt)
 
 int main( )
 {
-  //construct two non-intersecting nested polygons  
+  //construct two non-intersecting nested polygons
   Polygon_2 polygon1;
   polygon1.push_back(Point(0,0));
   polygon1.push_back(Point(2,0));
@@ -95,21 +95,21 @@ int main( )
   polygon2.push_back(Point(1.5,0.5));
   polygon2.push_back(Point(1.5,1.5));
   polygon2.push_back(Point(0.5,1.5));
-  
+
   //Insert the polygons into a constrained triangulation
   CDT cdt;
   cdt.insert_constraint(polygon1.vertices_begin(), polygon1.vertices_end(), true);
   cdt.insert_constraint(polygon2.vertices_begin(), polygon2.vertices_end(), true);
-  
+
   //Mark facets that are inside the domain bounded by the polygon
   mark_domains(cdt);
-  
+
   int count=0;
   for (Face_handle f : cdt.finite_face_handles())
   {
     if ( f->info().in_domain() ) ++count;
   }
-  
+
   std::cout << "There are " << count << " facets in the domain." << std::endl;
 
   return 0;
diff -pruN 5.0.2-3/examples/Triangulation_2/polylines_triangulation.cpp 5.0.3-1/examples/Triangulation_2/polylines_triangulation.cpp
--- 5.0.2-3/examples/Triangulation_2/polylines_triangulation.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_2/polylines_triangulation.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -15,7 +15,7 @@ typedef CDTP::Point
 typedef CDTP::Constraint_id                                               Cid;
 typedef CDTP::Vertex_handle                                               Vertex_handle;
 
-void 
+void
 print(const CDTP& cdtp, Cid cid)
 {
   std::cout << "Polyline constraint:" << std::endl;
@@ -25,14 +25,14 @@ print(const CDTP& cdtp, Cid cid)
 }
 
 
-void 
+void
 contexts(const CDTP& cdtp)
 {
   for(auto sc : cdtp.subconstraints()){
     Vertex_handle vp = sc.first.first, vq = sc.first.second;
 
     if(cdtp.number_of_enclosing_constraints(vp, vq) == 2){
-      std::cout << "subconstraint " << vp->point() << " " << vq->point() 
+      std::cout << "subconstraint " << vp->point() << " " << vq->point()
                 << " is on constraints starting at:\n";
       for(const CDTP::Context& c : cdtp.contexts(vp,vq)){
         std::cout << (*(c.vertices_begin()))->point() << std::endl;
diff -pruN 5.0.2-3/examples/Triangulation_2/print_cropped_voronoi.cpp 5.0.3-1/examples/Triangulation_2/print_cropped_voronoi.cpp
--- 5.0.2-3/examples/Triangulation_2/print_cropped_voronoi.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_2/print_cropped_voronoi.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -16,16 +16,16 @@ typedef CGAL::Delaunay_triangulation_2<K
 struct Cropped_voronoi_from_delaunay{
   std::list<Segment_2> m_cropped_vd;
   Iso_rectangle_2 m_bbox;
-  
+
   Cropped_voronoi_from_delaunay(const Iso_rectangle_2& bbox):m_bbox(bbox){}
-  
+
   template <class RSL>
   void crop_and_extract_segment(const RSL& rsl){
     CGAL::Object obj = CGAL::intersection(rsl,m_bbox);
     const Segment_2* s=CGAL::object_cast<Segment_2>(&obj);
     if (s) m_cropped_vd.push_back(*s);
   }
-  
+
   void operator<<(const Ray_2& ray)    { crop_and_extract_segment(ray); }
   void operator<<(const Line_2& line)  { crop_and_extract_segment(line); }
   void operator<<(const Segment_2& seg){ crop_and_extract_segment(seg); }
@@ -37,7 +37,7 @@ int main(){
   points.push_back(Point_2(0,0));
   points.push_back(Point_2(1,1));
   points.push_back(Point_2(0,1));
-  
+
   Delaunay_triangulation_2 dt2;
   //insert points into the triangulation
   dt2.insert(points.begin(),points.end());
diff -pruN 5.0.2-3/examples/Triangulation_2/terrain_with_info.cpp 5.0.3-1/examples/Triangulation_2/terrain_with_info.cpp
--- 5.0.2-3/examples/Triangulation_2/terrain_with_info.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_2/terrain_with_info.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -24,6 +24,6 @@ int main()
   vh->info() = "London";
   vh = dt.insert(Point(0,1,0.2));
   vh->info() = "New York";
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Triangulation_2/voronoi.cpp 5.0.3-1/examples/Triangulation_2/voronoi.cpp
--- 5.0.2-3/examples/Triangulation_2/voronoi.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_2/voronoi.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -26,6 +26,6 @@ int main( )
     else if (CGAL::object_cast<K::Ray_2>(&o)) {++nr;}
   }
   std::cout << "The Voronoi diagram has " << ns << " finite edges "
-	    << " and " << nr << " rays" << std::endl;
+            << " and " << nr << " rays" << std::endl;
   return 0;
 }
diff -pruN 5.0.2-3/examples/Triangulation_3/CMakeLists.txt 5.0.3-1/examples/Triangulation_3/CMakeLists.txt
--- 5.0.2-3/examples/Triangulation_3/CMakeLists.txt	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_3/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -54,8 +54,8 @@ if ( CGAL_FOUND )
   endif()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Triangulation_3/copy_triangulation_3.cpp 5.0.3-1/examples/Triangulation_3/copy_triangulation_3.cpp
--- 5.0.2-3/examples/Triangulation_3/copy_triangulation_3.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_3/copy_triangulation_3.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -29,7 +29,7 @@ struct Convert_vertex{
 
 struct Convert_cell{
   DT3_epec::Cell operator()(const DT3_epic::Cell&) const { return DT3_epec::Cell(); }
-  void operator()(const DT3_epic::Cell&,DT3_epec::Cell&) const {}  
+  void operator()(const DT3_epic::Cell&,DT3_epec::Cell&) const {}
 };
 
 int main()
@@ -40,7 +40,7 @@ int main()
 
   DT3_epic dt3_epic(points.begin(), points.end());
   DT3_epec dt3_epec;
-  dt3_epec.set_infinite_vertex( 
+  dt3_epec.set_infinite_vertex(
     dt3_epec.tds().copy_tds( dt3_epic.tds(),dt3_epic.infinite_vertex(), Convert_vertex(), Convert_cell() ) );
 
   CGAL_assertion( dt3_epec.is_valid() );
diff -pruN 5.0.2-3/examples/Triangulation_3/for_loop.cpp 5.0.3-1/examples/Triangulation_3/for_loop.cpp
--- 5.0.2-3/examples/Triangulation_3/for_loop.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_3/for_loop.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -35,11 +35,11 @@ int main()
     Vertex_handle vh = *b; // you must dereference the iterator to get a handle
     std::cout << vh->point() << std::endl;
   }
-  
+
   std::cout << "and you can use a C++11 for loop\n";
   for(Vertex_handle vh : T.finite_vertex_handles()){
     std::cout << vh->point() << std::endl;
   }
-  
+
   return 0;
 }
diff -pruN 5.0.2-3/examples/Triangulation_3/info_insert_with_pair_iterator.cpp 5.0.3-1/examples/Triangulation_3/info_insert_with_pair_iterator.cpp
--- 5.0.2-3/examples/Triangulation_3/info_insert_with_pair_iterator.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_3/info_insert_with_pair_iterator.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -23,7 +23,7 @@ int main()
   points.push_back( std::make_pair(Point(2,2,2),4) );
   points.push_back( std::make_pair(Point(-1,0,1),5) );
 
-  
+
   Delaunay T( points.begin(),points.end() );
 
   CGAL_assertion( T.number_of_vertices() == 6 );
diff -pruN 5.0.2-3/examples/Triangulation_3/info_insert_with_pair_iterator_regular.cpp 5.0.3-1/examples/Triangulation_3/info_insert_with_pair_iterator_regular.cpp
--- 5.0.2-3/examples/Triangulation_3/info_insert_with_pair_iterator_regular.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_3/info_insert_with_pair_iterator_regular.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -23,7 +23,7 @@ int main()
   points.push_back( std::make_pair(Wpoint(Point(0,0,1),2),3) );
   points.push_back( std::make_pair(Wpoint(Point(2,2,2),2),4) );
   points.push_back( std::make_pair(Wpoint(Point(-1,0,1),2),5) );
-  
+
   Regular rt( points.begin(),points.end() );
 
   CGAL_assertion( rt.number_of_vertices() == 6 );
diff -pruN 5.0.2-3/examples/Triangulation_3/info_insert_with_transform_iterator.cpp 5.0.3-1/examples/Triangulation_3/info_insert_with_transform_iterator.cpp
--- 5.0.2-3/examples/Triangulation_3/info_insert_with_transform_iterator.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_3/info_insert_with_transform_iterator.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -15,7 +15,7 @@ typedef CGAL::Delaunay_triangulation_3<K
 typedef Delaunay::Point                                             Point;
 
 //a functor that returns a std::pair<Point,unsigned>.
-//the unsigned integer is incremented at each call to 
+//the unsigned integer is incremented at each call to
 //operator()
 struct Auto_count : public CGAL::cpp98::unary_function<const Point&,std::pair<Point,unsigned> >{
   mutable unsigned i;
diff -pruN 5.0.2-3/examples/Triangulation_3/parallel_insertion_and_removal_in_regular_3.cpp 5.0.3-1/examples/Triangulation_3/parallel_insertion_and_removal_in_regular_3.cpp
--- 5.0.2-3/examples/Triangulation_3/parallel_insertion_and_removal_in_regular_3.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_3/parallel_insertion_and_removal_in_regular_3.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -12,9 +12,9 @@ int main()
   typedef CGAL::Exact_predicates_inexact_constructions_kernel K;
 
   // Regular T3
-  typedef CGAL::Triangulation_data_structure_3< 
-    CGAL::Regular_triangulation_vertex_base_3<K>, 
-    CGAL::Regular_triangulation_cell_base_3<K>, 
+  typedef CGAL::Triangulation_data_structure_3<
+    CGAL::Regular_triangulation_vertex_base_3<K>,
+    CGAL::Regular_triangulation_cell_base_3<K>,
     CGAL::Parallel_tag>                                       Tds;
 
   typedef CGAL::Regular_triangulation_3<K, Tds>               Rt;
@@ -32,7 +32,7 @@ int main()
   V.reserve(NUM_INSERTED_POINTS);
   for (int i = 0; i != NUM_INSERTED_POINTS; ++i)
     V.push_back(Weighted_point(*rnd++));
-  
+
   // Construct the locking data-structure, using the bounding-box of the points
   Rt::Lock_data_structure locking_ds(
     CGAL::Bbox_3(-1., -1., -1., 1., 1., 1.), 50);
@@ -50,7 +50,7 @@ int main()
     vertices_to_remove.push_back(vit++);
   // Parallel remove
   rtr.remove(vertices_to_remove.begin(), vertices_to_remove.end());
-  
+
   assert(rtr.is_valid());
 
 #endif //CGAL_LINKED_WITH_TBB
diff -pruN 5.0.2-3/examples/Triangulation_3/parallel_insertion_in_delaunay_3.cpp 5.0.3-1/examples/Triangulation_3/parallel_insertion_in_delaunay_3.cpp
--- 5.0.2-3/examples/Triangulation_3/parallel_insertion_in_delaunay_3.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_3/parallel_insertion_in_delaunay_3.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -15,7 +15,7 @@ int main()
   typedef CGAL::Exact_predicates_inexact_constructions_kernel K;
 
   // Delaunay T3
-  typedef CGAL::Triangulation_data_structure_3< 
+  typedef CGAL::Triangulation_data_structure_3<
             CGAL::Triangulation_vertex_base_3<K>,
             CGAL::Delaunay_triangulation_cell_base_3<K>,
             CGAL::Parallel_tag>                               Tds;
diff -pruN 5.0.2-3/examples/Triangulation_3/sequential_parallel.cpp 5.0.3-1/examples/Triangulation_3/sequential_parallel.cpp
--- 5.0.2-3/examples/Triangulation_3/sequential_parallel.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Triangulation_3/sequential_parallel.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -19,13 +19,13 @@ int main()
 {
   CGAL::Random_points_in_cube_3<Point> rnd(1.);
 
-  std::cerr << "Construction of a 3D Delaunay triangulation from a vector of " 
+  std::cerr << "Construction of a 3D Delaunay triangulation from a vector of "
             << NUM_INSERTED_POINTS << " random points in a cube" << std::endl;
   std::vector<Point> V;
   V.reserve(NUM_INSERTED_POINTS);
   for (int i = 0; i != NUM_INSERTED_POINTS; ++i)
     V.push_back(*rnd++);
-  
+
   // Sequential Delaunay T3
   typedef CGAL::Delaunay_triangulation_3<K> SequentialTriangulation;
 
@@ -34,7 +34,7 @@ int main()
   SequentialTriangulation S(V.begin(), V.end());
   t.stop();
   std::cerr << "Sequential construction takes " << t.time() << " sec." << std::endl;
-  
+
 // Parallel Delaunay T3
 #ifdef CGAL_LINKED_WITH_TBB
   typedef CGAL::Triangulation_data_structure_3<
diff -pruN 5.0.2-3/examples/Visibility_2/CMakeLists.txt 5.0.3-1/examples/Visibility_2/CMakeLists.txt
--- 5.0.2-3/examples/Visibility_2/CMakeLists.txt	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Visibility_2/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/examples/Visibility_2/general_polygon_example.cpp 5.0.3-1/examples/Visibility_2/general_polygon_example.cpp
--- 5.0.2-3/examples/Visibility_2/general_polygon_example.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Visibility_2/general_polygon_example.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -6,7 +6,7 @@
 #include <iostream>
 #include <vector>
 
-// Define the used kernel and arrangement  
+// Define the used kernel and arrangement
 typedef CGAL::Exact_predicates_exact_constructions_kernel       Kernel;
 typedef Kernel::Point_2                                         Point_2;
 typedef Kernel::Segment_2                                       Segment_2;
@@ -15,11 +15,11 @@ typedef CGAL::Arrangement_2<Traits_2>
 typedef Arrangement_2::Halfedge_const_handle                    Halfedge_const_handle;
 typedef Arrangement_2::Face_handle                              Face_handle;
 
-// Define the used visibility class 
+// Define the used visibility class
 typedef CGAL::Triangular_expansion_visibility_2<Arrangement_2>  TEV;
 
 int main() {
-  // Defining the input geometry 
+  // Defining the input geometry
   Point_2 p1(1,2), p2(12, 3), p3(19,-2), p4(12,6), p5(14,14), p6( 9,5);
   Point_2 h1(8,3), h2(10, 3), h3( 8, 4), h4(10,6), h5(11, 6), h6(11,7);
   std::vector<Segment_2> segments;
@@ -29,35 +29,35 @@ int main() {
   segments.push_back(Segment_2(p4,p5));
   segments.push_back(Segment_2(p5,p6));
   segments.push_back(Segment_2(p6,p1));
-  
+
   segments.push_back(Segment_2(h1,h2));
   segments.push_back(Segment_2(h2,h3));
   segments.push_back(Segment_2(h3,h1));
   segments.push_back(Segment_2(h4,h5));
   segments.push_back(Segment_2(h5,h6));
   segments.push_back(Segment_2(h6,h4));
-  
-  // insert geometry into the arrangement 
+
+  // insert geometry into the arrangement
   Arrangement_2 env;
   CGAL::insert_non_intersecting_curves(env,segments.begin(),segments.end());
-  
+
   //Find the halfedge whose target is the query point.
-  //(usually you may know that already by other means)  
+  //(usually you may know that already by other means)
   Point_2 query_point = p4;
   Halfedge_const_handle he = env.halfedges_begin();
   while (he->source()->point() != p3 || he->target()->point() != p4)
     he++;
-  
+
   //visibility query
   Arrangement_2 output_arr;
   TEV tev(env);
   Face_handle fh = tev.compute_visibility(query_point, he, output_arr);
-  
+
   //print out the visibility region.
   std::cout << "Regularized visibility region of q has "
             << output_arr.number_of_edges()
             << " edges." << std::endl;
-  
+
   std::cout << "Boundary edges of the visibility region:" << std::endl;
   Arrangement_2::Ccb_halfedge_circulator curr = fh->outer_ccb();
   std::cout << "[" << curr->source()->point() << " -> " << curr->target()->point() << "]" << std::endl;
diff -pruN 5.0.2-3/examples/Visibility_2/simple_polygon_visibility_2.cpp 5.0.3-1/examples/Visibility_2/simple_polygon_visibility_2.cpp
--- 5.0.2-3/examples/Visibility_2/simple_polygon_visibility_2.cpp	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Visibility_2/simple_polygon_visibility_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -31,7 +31,7 @@ int main() {
   Arrangement_2 env;
   CGAL::insert_non_intersecting_curves(env,segments.begin(),segments.end());
 
-  // find the face of the query point 
+  // find the face of the query point
   // (usually you may know that by other means)
   Point_2 q(0.5, 2);
   Arrangement_2::Face_const_handle * face;
@@ -39,8 +39,8 @@ int main() {
   CGAL::Arr_point_location_result<Arrangement_2>::Type obj = pl.locate(q);
   // The query point locates in the interior of a face
   face = boost::get<Arrangement_2::Face_const_handle> (&obj);
-  
-  // compute non regularized visibility area  
+
+  // compute non regularized visibility area
   // Define visibiliy object type that computes non-regularized visibility area
   typedef CGAL::Simple_polygon_visibility_2<Arrangement_2, CGAL::Tag_false> NSPV;
   Arrangement_2 non_regular_output;
@@ -53,9 +53,9 @@ int main() {
             << " edges:" << std::endl;
   for (Edge_const_iterator eit = non_regular_output.edges_begin(); eit != non_regular_output.edges_end(); ++eit)
     std::cout << "[" << eit->source()->point() << " -> " << eit->target()->point() << "]" << std::endl;
-   
 
-  // compute non regularized visibility area 
+
+  // compute non regularized visibility area
   // Define visibiliy object type that computes regularized visibility area
   typedef CGAL::Simple_polygon_visibility_2<Arrangement_2, CGAL::Tag_true> RSPV;
   Arrangement_2 regular_output;
@@ -68,7 +68,7 @@ int main() {
             << " edges:" << std::endl;
   for (Edge_const_iterator eit = regular_output.edges_begin(); eit != regular_output.edges_end(); ++eit)
     std::cout << "[" << eit->source()->point() << " -> " << eit->target()->point() << "]" << std::endl;
-  
+
   return 0;
 }
 
diff -pruN 5.0.2-3/examples/Voronoi_diagram_2/CMakeLists.txt 5.0.3-1/examples/Voronoi_diagram_2/CMakeLists.txt
--- 5.0.2-3/examples/Voronoi_diagram_2/CMakeLists.txt	2020-02-21 20:00:09.000000000 +0000
+++ 5.0.3-1/examples/Voronoi_diagram_2/CMakeLists.txt	2020-08-01 19:00:34.000000000 +0000
@@ -17,8 +17,8 @@ if ( CGAL_FOUND )
   endforeach()
 
 else()
-  
+
     message(STATUS "This program requires the CGAL library, and will not be compiled.")
-  
+
 endif()
 
diff -pruN 5.0.2-3/include/CGAL/AABB_face_graph_triangle_primitive.h 5.0.3-1/include/CGAL/AABB_face_graph_triangle_primitive.h
--- 5.0.2-3/include/CGAL/AABB_face_graph_triangle_primitive.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/AABB_face_graph_triangle_primitive.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/AABB_face_graph_triangle_primitive.h $
-// $Id: AABB_face_graph_triangle_primitive.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/AABB_face_graph_triangle_primitive.h $
+// $Id: AABB_face_graph_triangle_primitive.h ff82af6 2020-07-08T12:57:05+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -96,7 +96,7 @@ class AABB_face_graph_triangle_primitive
   {
     return std::make_pair(fd, &fg);
   }
-  
+
 public:
   #ifdef DOXYGEN_RUNNING
   /// \name Types
@@ -112,10 +112,10 @@ public:
   /*!
   Id type:
   - `boost::graph_traits<FaceGraph>::%face_descriptor` if `OneFaceGraphPerTree` is `CGAL::Tag_true`
-  - `std::pair<boost::graph_traits<FaceGraph>::%face_descriptor, FaceGraph>` if `OneFaceGraphPerTree` is `CGAL::Tag_false`
+  - `std::pair<boost::graph_traits<FaceGraph>::%face_descriptor, const FaceGraph*>` if `OneFaceGraphPerTree` is `CGAL::Tag_false`
   */
   unspecified_type Id;
-  
+
   /// @}
 
   /*!
diff -pruN 5.0.2-3/include/CGAL/AABB_halfedge_graph_segment_primitive.h 5.0.3-1/include/CGAL/AABB_halfedge_graph_segment_primitive.h
--- 5.0.2-3/include/CGAL/AABB_halfedge_graph_segment_primitive.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/AABB_halfedge_graph_segment_primitive.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/AABB_halfedge_graph_segment_primitive.h $
-// $Id: AABB_halfedge_graph_segment_primitive.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/AABB_halfedge_graph_segment_primitive.h $
+// $Id: AABB_halfedge_graph_segment_primitive.h ff82af6 2020-07-08T12:57:05+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -47,7 +47,7 @@ namespace CGAL {
  *    and `AABBPrimitiveWithSharedData` if `OneHalfedgeGraphPerTree` is `CGAL::Tag_true`.
  *
  * \tparam HalfedgeGraph is a model of the halfedge graph concept.
- *   as key type and a \cgal Kernel `Point_3` as value type. 
+ *   as key type and a \cgal Kernel `Point_3` as value type.
  * \tparam VertexPointPMap is a property map with `boost::graph_traits<HalfedgeGraph>::%vertex_descriptor`.
  *                         The default is `typename boost::property_map< HalfedgeGraph,vertex_point_t>::%type`.
  * \tparam OneHalfedgeGraphPerTree is either `CGAL::Tag_true` or `CGAL::Tag_false`.
@@ -125,8 +125,8 @@ public:
   typedef Kernel_traits<Point>::Kernel::Segment_3 Datum;
   /*!
   Id type:
-  - `boost::graph_traits<HalfedgeGraph>::%edge_descriptor if `OneHalfedgeGraphPerTree` is `Tag_true`
-  - `std::pair<boost::graph_traits<HalfedgeGraph>::edge_descriptor, HalfedgeGraph>` if `OneHalfedgeGraphPerTree` is `Tag_false`
+  - `boost::graph_traits<HalfedgeGraph>::%edge_descriptor` if `OneHalfedgeGraphPerTree` is `Tag_true`
+  - `std::pair<boost::graph_traits<HalfedgeGraph>::%edge_descriptor, const HalfedgeGraph*>` if `OneHalfedgeGraphPerTree` is `Tag_false`
   */
   unspecified_type Id;
   /// @}
@@ -202,4 +202,3 @@ public:
 #include <CGAL/enable_warnings.h>
 
 #endif // CGAL_AABB_HALFEDGE_GRAPH_SEGMENT_PRIMITIVE_H
-
diff -pruN 5.0.2-3/include/CGAL/AABB_polyhedral_oracle.h 5.0.3-1/include/CGAL/AABB_polyhedral_oracle.h
--- 5.0.2-3/include/CGAL/AABB_polyhedral_oracle.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/AABB_polyhedral_oracle.h	2020-08-01 19:02:56.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/AABB_polyhedral_oracle.h $
-// $Id: AABB_polyhedral_oracle.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/AABB_polyhedral_oracle.h $
+// $Id: AABB_polyhedral_oracle.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -49,7 +49,7 @@ namespace CGAL {
     typedef class AABB_traits<Kernel,AABB_primitive> AABB_traits;
     typedef AABB_tree<AABB_traits> Tree;
     typedef typename AABB_traits::Bounding_box Bounding_box;
-    
+
     typedef boost::shared_ptr<Tree> Tree_shared_ptr;
     Tree_shared_ptr m_pTree;
 
@@ -74,7 +74,7 @@ namespace CGAL {
     friend class Intersect_3;
 
     class Intersect_3 {
-      
+
       const Self& self;
 
     public:
@@ -86,18 +86,18 @@ namespace CGAL {
       {
         boost::optional< typename AABB_traits::template Intersection_and_primitive_id<Segment_3>::Type >
           intersection = surface.tree()->any_intersection(segment);
-        
+
         if ( intersection )
           return intersection->first;
         else
           return Object();
       }
-      
+
       Object operator()(const Surface_3& surface, const Line_3& line) const
       {
         boost::optional< typename AABB_traits::template Intersection_and_primitive_id<Line_3>::Type >
           intersection = surface.tree()->any_intersection(line);
-        
+
         if ( intersection )
           return intersection->first;
         else
@@ -107,7 +107,7 @@ namespace CGAL {
       {
         boost::optional< typename AABB_traits::template Intersection_and_primitive_id<Ray_3>::Type >
           intersection = surface.tree()->any_intersection(ray);
-        
+
         if ( intersection )
           return intersection->first;
         else
@@ -136,11 +136,11 @@ namespace CGAL {
 
       template <typename OutputIteratorPoints>
       OutputIteratorPoints operator() (const Surface_3& /* surface */,
-	OutputIteratorPoints out,
-	int /* n */) const
+        OutputIteratorPoints out,
+        int /* n */) const
       {
-	// std::cout << "AABB_polyhedral_oracle: empty initial point set" << std::endl;
-	return out;
+        // std::cout << "AABB_polyhedral_oracle: empty initial point set" << std::endl;
+        return out;
       }
     };
 
diff -pruN 5.0.2-3/include/CGAL/AABB_polyhedron_segment_primitive.h 5.0.3-1/include/CGAL/AABB_polyhedron_segment_primitive.h
--- 5.0.2-3/include/CGAL/AABB_polyhedron_segment_primitive.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/AABB_polyhedron_segment_primitive.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/AABB_polyhedron_segment_primitive.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/AABB_polyhedron_segment_primitive.h $
 // $Id: AABB_polyhedron_segment_primitive.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/AABB_polyhedron_triangle_primitive.h 5.0.3-1/include/CGAL/AABB_polyhedron_triangle_primitive.h
--- 5.0.2-3/include/CGAL/AABB_polyhedron_triangle_primitive.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/AABB_polyhedron_triangle_primitive.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/AABB_polyhedron_triangle_primitive.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/AABB_polyhedron_triangle_primitive.h $
 // $Id: AABB_polyhedron_triangle_primitive.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/AABB_primitive.h 5.0.3-1/include/CGAL/AABB_primitive.h
--- 5.0.2-3/include/CGAL/AABB_primitive.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/AABB_primitive.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/AABB_primitive.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/AABB_primitive.h $
 // $Id: AABB_primitive.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/AABB_segment_primitive.h 5.0.3-1/include/CGAL/AABB_segment_primitive.h
--- 5.0.2-3/include/CGAL/AABB_segment_primitive.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/AABB_segment_primitive.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/AABB_segment_primitive.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/AABB_segment_primitive.h $
 // $Id: AABB_segment_primitive.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/AABB_traits.h 5.0.3-1/include/CGAL/AABB_traits.h
--- 5.0.2-3/include/CGAL/AABB_traits.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/AABB_traits.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/AABB_traits.h $
-// $Id: AABB_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/AABB_traits.h $
+// $Id: AABB_traits.h 2e8a59d 2020-07-21T15:25:54+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -105,7 +105,7 @@ struct AABB_traits_base_2<GeomTraits,tru
         } else {
           FT t1 = ((bbox.min)(i) - *source_iter) / *direction_iter;
           FT t2 = ((bbox.max)(i) - *source_iter) / *direction_iter;
- 
+
           t_near = (std::max)(t_near, (std::min)(t1, t2));
           t_far = (std::min)(t_far, (std::max)(t1, t2));
 
@@ -171,9 +171,11 @@ class AABB_tree;
 /// \sa `AABBPrimitiveWithSharedData`
 
   template<typename GeomTraits, typename AABBPrimitive, typename BboxMap = Default>
-class AABB_traits:
-  public internal::AABB_tree::AABB_traits_base<AABBPrimitive>,
+class AABB_traits
+#ifndef DOXYGEN_RUNNING
+: public internal::AABB_tree::AABB_traits_base<AABBPrimitive>,
   public internal::AABB_tree::AABB_traits_base_2<GeomTraits>
+#endif
 {
   typedef typename CGAL::Object Object;
 public:
@@ -300,7 +302,7 @@ public:
   public:
     Compute_bbox(const AABB_traits<GeomTraits,AABBPrimitive, BboxMap>& traits)
       :m_traits (traits) {}
-    
+
     template<typename ConstPrimitiveIterator>
     typename AT::Bounding_box operator()(ConstPrimitiveIterator first,
                                          ConstPrimitiveIterator beyond) const
@@ -312,7 +314,7 @@ public:
         }
       return bbox;
     }
-    
+
   };
 
   Compute_bbox compute_bbox_object() const {return Compute_bbox(*this);}
@@ -444,7 +446,7 @@ private:
   {
     return internal::Primitive_helper<AT>::get_datum(pr,*this).bbox();
   }
-  
+
 
   typedef enum { CGAL_AXIS_X = 0,
                  CGAL_AXIS_Y = 1,
diff -pruN 5.0.2-3/include/CGAL/AABB_tree.h 5.0.3-1/include/CGAL/AABB_tree.h
--- 5.0.2-3/include/CGAL/AABB_tree.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/AABB_tree.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/AABB_tree.h $
-// $Id: AABB_tree.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/AABB_tree.h $
+// $Id: AABB_tree.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -38,7 +38,7 @@ namespace CGAL {
 /// \addtogroup PkgAABBTreeRef
 /// @{
 
-	/**
+  /**
    * Class AABB_tree is a static data structure for efficient
    * intersection and distance computations in 3D. It builds a
    * hierarchy of axis-aligned bounding boxes (an AABB tree) from a set
@@ -51,41 +51,41 @@ namespace CGAL {
    * \sa `AABBPrimitive`
    *
    */
-	template <typename AABBTraits>
-	class AABB_tree
-	{
-	private:
-		// internal KD-tree used to accelerate the distance queries
-		typedef AABB_search_tree<AABBTraits> Search_tree;
+  template <typename AABBTraits>
+  class AABB_tree
+  {
+  private:
+    // internal KD-tree used to accelerate the distance queries
+    typedef AABB_search_tree<AABBTraits> Search_tree;
 
-		// type of the primitives container
-		typedef std::vector<typename AABBTraits::Primitive> Primitives;
+    // type of the primitives container
+    typedef std::vector<typename AABBTraits::Primitive> Primitives;
 
-	public:
+  public:
     typedef AABBTraits AABB_traits;
-    
+
     /// \name Types
     ///@{
 
     /// Number type returned by the distance queries.
-		typedef typename AABBTraits::FT FT;
+    typedef typename AABBTraits::FT FT;
 
 
     /// Type of 3D point.
-		typedef typename AABBTraits::Point_3 Point;
+    typedef typename AABBTraits::Point_3 Point;
 
     /// Type of input primitive.
-		typedef typename AABBTraits::Primitive Primitive;
-		/// Identifier for a primitive in the tree.
-		typedef typename Primitive::Id Primitive_id;
-		/// Unsigned integral size type.
-		typedef typename Primitives::size_type size_type; 
+    typedef typename AABBTraits::Primitive Primitive;
+    /// Identifier for a primitive in the tree.
+    typedef typename Primitive::Id Primitive_id;
+    /// Unsigned integral size type.
+    typedef typename Primitives::size_type size_type;
     /// Type of bounding box.
-		typedef typename AABBTraits::Bounding_box Bounding_box;
+    typedef typename AABBTraits::Bounding_box Bounding_box;
     /// 3D Point and Primitive Id type
-		typedef typename AABBTraits::Point_and_primitive_id Point_and_primitive_id;
-    /// \deprecated 
-		typedef typename AABBTraits::Object_and_primitive_id Object_and_primitive_id;
+    typedef typename AABBTraits::Point_and_primitive_id Point_and_primitive_id;
+    /// \deprecated
+    typedef typename AABBTraits::Object_and_primitive_id Object_and_primitive_id;
 
     /*!
     An alias to `AABBTraits::Intersection_and_primitive_id<Query>`
@@ -100,10 +100,10 @@ namespace CGAL {
     };
     #endif
 
-    
+
     ///@}
 
-	public:
+  public:
     /// \name Creation
     ///@{
 
@@ -119,8 +119,8 @@ namespace CGAL {
      * It is equivalent to constructing an empty tree and calling `insert(first,last,t...)`.
      * The tree stays empty if the memory allocation is not successful.
      */
-		template<typename InputIterator,typename ... T>
-		AABB_tree(InputIterator first, InputIterator beyond,T&& ...);  
+    template<typename InputIterator,typename ... T>
+    AABB_tree(InputIterator first, InputIterator beyond,T&& ...);
 
     /// After one or more calls to `insert()` the internal data
     /// structure of the tree must be reconstructed. This procedure
@@ -139,12 +139,12 @@ namespace CGAL {
 #endif
     ///@}
 
-		/// \name Operations
-		///@{
+    /// \name Operations
+    ///@{
 
     /// Equivalent to calling `clear()` and then `insert(first,last,t...)`.
-		template<typename ConstPrimitiveIterator,typename ... T>
-		void rebuild(ConstPrimitiveIterator first, ConstPrimitiveIterator beyond,T&& ...);
+    template<typename ConstPrimitiveIterator,typename ... T>
+    void rebuild(ConstPrimitiveIterator first, ConstPrimitiveIterator beyond,T&& ...);
 
 
     /// Add a sequence of primitives to the set of primitives of the AABB tree.
@@ -153,51 +153,51 @@ namespace CGAL {
     /// `Primitive(%InputIterator, T...)`. If `Primitive` is a model of the concept
     /// `AABBPrimitiveWithSharedData`, a call to `AABBTraits::set_shared_data(t...)`
     /// is made using the internally stored traits.
-		template<typename InputIterator,typename ... T>
-		void insert(InputIterator first, InputIterator beyond,T&& ...);
+    template<typename InputIterator,typename ... T>
+    void insert(InputIterator first, InputIterator beyond,T&& ...);
 
     /// Adds a primitive to the set of primitives of the tree.
     inline void insert(const Primitive& p);
 
-		/// Clears and destroys the tree.
-		~AABB_tree()
-		{
-			clear();
-		}
+    /// Clears and destroys the tree.
+    ~AABB_tree()
+    {
+      clear();
+    }
     /// Returns a const reference to the internally stored traits class.
     const AABBTraits& traits() const{
-      return m_traits; 
+      return m_traits;
     }
-    
-		/// Clears the tree.
-		void clear()
-		{
-			// clear AABB tree
+
+    /// Clears the tree.
+    void clear()
+    {
+      // clear AABB tree
       clear_nodes();
-			m_primitives.clear();
-			clear_search_tree();
-			m_default_search_tree_constructed = false;
-		}
-
-		/// Returns the axis-aligned bounding box of the whole tree.
-		/// \pre `!empty()`
-		const Bounding_box bbox() const { 
-			CGAL_precondition(!empty());
-			if(size() > 1)
-				return root_node()->bbox(); 
-			else
-				return traits().compute_bbox_object()(m_primitives.begin(),
-								      m_primitives.end());
-		}
-    
+      m_primitives.clear();
+      clear_search_tree();
+      m_default_search_tree_constructed = false;
+    }
+
+    /// Returns the axis-aligned bounding box of the whole tree.
+    /// \pre `!empty()`
+    const Bounding_box bbox() const {
+      CGAL_precondition(!empty());
+      if(size() > 1)
+        return root_node()->bbox();
+      else
+        return traits().compute_bbox_object()(m_primitives.begin(),
+                      m_primitives.end());
+    }
+
     /// Returns the number of primitives in the tree.
-		size_type size() const { return m_primitives.size(); }
-    
+    size_type size() const { return m_primitives.size(); }
+
     /// Returns \c true, iff the tree contains no primitive.
-		bool empty() const { return m_primitives.empty(); }
-		///@}
+    bool empty() const { return m_primitives.empty(); }
+    ///@}
 
-	private:
+  private:
     template <typename ... T>
     void set_primitive_data_impl(CGAL::Boolean_tag<false>,T ... ){}
     template <typename ... T>
@@ -209,27 +209,27 @@ namespace CGAL {
       set_primitive_data_impl(CGAL::Boolean_tag<internal::Has_nested_type_Shared_data<Primitive>::value>(),std::forward<T>(t)...);
     }
 
-		bool build_kd_tree() const;
-		template<typename ConstPointIterator>
-		bool build_kd_tree(ConstPointIterator first, ConstPointIterator beyond) const;
+    bool build_kd_tree() const;
+    template<typename ConstPointIterator>
+    bool build_kd_tree(ConstPointIterator first, ConstPointIterator beyond) const;
 public:
 
     /// \name Intersection Tests
     ///@{
 
-		/// Returns `true`, iff the query intersects at least one of
-		/// the input primitives. \tparam Query must be a type for
-		/// which `do_intersect` predicates are
-		/// defined in the traits class `AABBTraits`.
-		template<typename Query>
-		bool do_intersect(const Query& query) const;
+    /// Returns `true`, iff the query intersects at least one of
+    /// the input primitives. \tparam Query must be a type for
+    /// which `do_intersect` predicates are
+    /// defined in the traits class `AABBTraits`.
+    template<typename Query>
+    bool do_intersect(const Query& query) const;
 
     /// Returns the number of primitives intersected by the
     /// query. \tparam Query must be a type for which
     /// `do_intersect` predicates are defined
     /// in the traits class `AABBTraits`.
-		template<typename Query>
-		size_type number_of_intersected_primitives(const Query& query) const;
+    template<typename Query>
+    size_type number_of_intersected_primitives(const Query& query) const;
 
     /// Outputs to the iterator the list of all intersected primitives
     /// ids. This function does not compute the intersection points
@@ -237,12 +237,12 @@ public:
     /// function below. \tparam Query must be a type for which
     /// `do_intersect` predicates are defined
     /// in the traits class `AABBTraits`.
-		template<typename Query, typename OutputIterator>
-		OutputIterator all_intersected_primitives(const Query& query, OutputIterator out) const;
+    template<typename Query, typename OutputIterator>
+    OutputIterator all_intersected_primitives(const Query& query, OutputIterator out) const;
 
 
-    /// Returns the intersected primitive id that is encountered first 
-		/// in the tree traversal, iff
+    /// Returns the intersected primitive id that is encountered first
+    /// in the tree traversal, iff
     /// the query intersects at least one of the input primitives. No
     /// particular order is guaranteed over the tree traversal, such
     /// that, e.g, the primitive returned is not necessarily the
@@ -250,8 +250,8 @@ public:
     /// must be a type for which
     /// `do_intersect` predicates are defined
     /// in the traits class `AABBTraits`.
-		template <typename Query>
-		boost::optional<Primitive_id> any_intersected_primitive(const Query& query) const;
+    template <typename Query>
+    boost::optional<Primitive_id> any_intersected_primitive(const Query& query) const;
     ///@}
 
     /// \name Intersections
@@ -263,18 +263,18 @@ public:
     /// the iterator. `do_intersect()`
     /// predicates and intersections must be defined for `Query`
     /// in the `AABBTraits` class.
-		template<typename Query, typename OutputIterator>
-		OutputIterator all_intersections(const Query& query, OutputIterator out) const;
+    template<typename Query, typename OutputIterator>
+    OutputIterator all_intersections(const Query& query, OutputIterator out) const;
 
 
-    /// Returns the intersection that is encountered first 
-		/// in the tree traversal. No particular
+    /// Returns the intersection that is encountered first
+    /// in the tree traversal. No particular
     /// order is guaranteed over the tree traversal, e.g, the
     /// primitive returned is not necessarily the closest from the
     /// source point of a ray query. Type `Query` must be a type
     /// for which `do_intersect` predicates
     /// and intersections are defined in the traits class AABBTraits.
-		template <typename Query>
+    template <typename Query>
     boost::optional< typename Intersection_and_primitive_id<Query>::Type >
     any_intersection(const Query& query) const;
 
@@ -345,8 +345,8 @@ public:
     /// `accelerate_distance_queries()` should be called before the
     /// first distance query, so that an internal secondary search
     /// structure is build, for improving performance.
-		/// \pre `!empty()`
-		FT squared_distance(const Point& query) const;
+    /// \pre `!empty()`
+    FT squared_distance(const Point& query) const;
 
     /// Returns the point in the union of all input primitives which
     /// is closest to the query. In case there are several closest
@@ -355,24 +355,24 @@ public:
     /// called before the first distance query, so that an internal
     /// secondary search structure is build, for improving
     /// performance.
-		/// \pre `!empty()`
-		Point closest_point(const Point& query) const;
+    /// \pre `!empty()`
+    Point closest_point(const Point& query) const;
+
 
-    
     /// Returns a `Point_and_primitive_id` which realizes the
     /// smallest distance between the query point and all input
     /// primitives. Method `accelerate_distance_queries()` should be
     /// called before the first distance query, so that an internal
     /// secondary search structure is build, for improving
     /// performance.
-		/// \pre `!empty()`
-		Point_and_primitive_id closest_point_and_primitive(const Point& query) const;
+    /// \pre `!empty()`
+    Point_and_primitive_id closest_point_and_primitive(const Point& query) const;
 
 
     ///@}
 
     /// \name Accelerating the Distance Queries
-    /// 
+    ///
     /// In the following paragraphs, we discuss details of the
     /// implementation of the distance queries. We explain the
     /// internal use of hints, how the user can pass his own hints to
@@ -387,7 +387,7 @@ public:
     /// exact specification of these internal algorithms is that they
     /// minimize the distance to the object composed of the union of
     /// the primitives and the hint.
-    /// It follows that 
+    /// It follows that
     /// - in order to return the exact distance to the set of
     /// primitives, the algorithms need the hint to be exactly on the
     /// primitives;
@@ -426,171 +426,171 @@ public:
     /// relevant in some cases.
     ///@{
 
-		/// Constructs internal search tree from
-		/// a point set taken on the internal primitives
-		/// returns `true` iff successful memory allocation
-		bool accelerate_distance_queries() const;
+    /// Constructs internal search tree from
+    /// a point set taken on the internal primitives
+    /// returns `true` iff successful memory allocation
+    bool accelerate_distance_queries() const;
 
     /// Constructs an internal KD-tree containing the specified point
     /// set, to be used as the set of potential hints for accelerating
     /// the distance queries.
     /// \tparam ConstPointIterator is an iterator with
     /// value type `Point_and_primitive_id`.
-		template<typename ConstPointIterator>
-		bool accelerate_distance_queries(ConstPointIterator first, ConstPointIterator beyond) const
-		{
-			#ifdef CGAL_HAS_THREADS
-			//this ensures that this is done once at a time
-			CGAL_SCOPED_LOCK(kd_tree_mutex);
-			#endif
-			clear_search_tree();
-			m_default_search_tree_constructed = false; // not a default kd-tree
-			return build_kd_tree(first,beyond);
-		}
-    
+    template<typename ConstPointIterator>
+    bool accelerate_distance_queries(ConstPointIterator first, ConstPointIterator beyond) const
+    {
+      #ifdef CGAL_HAS_THREADS
+      //this ensures that this is done once at a time
+      CGAL_SCOPED_LOCK(kd_tree_mutex);
+      #endif
+      clear_search_tree();
+      m_default_search_tree_constructed = false; // not a default kd-tree
+      return build_kd_tree(first,beyond);
+    }
+
     /// Returns the minimum squared distance between the query point
     /// and all input primitives. The internal KD-tree is not used.
-		/// \pre `!empty()`
-		FT squared_distance(const Point& query, const Point& hint) const;
+    /// \pre `!empty()`
+    FT squared_distance(const Point& query, const Point& hint) const;
 
     /// Returns the point in the union of all input primitives which
     /// is closest to the query. In case there are several closest
     /// points, one arbitrarily chosen closest point is returned. The
     /// internal KD-tree is not used.
-		/// \pre `!empty()`
-		Point closest_point(const Point& query, const Point& hint) const;
-    
+    /// \pre `!empty()`
+    Point closest_point(const Point& query, const Point& hint) const;
+
     /// Returns a `Point_and_primitive_id` which realizes the
     /// smallest distance between the query point and all input
     /// primitives. The internal KD-tree is not used.
-		/// \pre `!empty()`
-		Point_and_primitive_id closest_point_and_primitive(const Point& query, const Point_and_primitive_id& hint) const;
+    /// \pre `!empty()`
+    Point_and_primitive_id closest_point_and_primitive(const Point& query, const Point_and_primitive_id& hint) const;
 
     ///@}
 
-	private:
+  private:
     template<typename AABBTree, typename SkipFunctor>
     friend class AABB_ray_intersection;
 
     // clear nodes
     void clear_nodes()
     {
-			if( size() > 1 ) {
-				delete [] m_p_root_node;
-			}
-			m_p_root_node = nullptr;
+      if( size() > 1 ) {
+        delete [] m_p_root_node;
+      }
+      m_p_root_node = nullptr;
     }
 
-		// clears internal KD tree
-		void clear_search_tree() const
-		{
-			if ( m_search_tree_constructed )
-			{
-				CGAL_assertion( m_p_search_tree!=nullptr );
-				delete m_p_search_tree;
-				m_p_search_tree = nullptr;
-				m_search_tree_constructed = false;
+    // clears internal KD tree
+    void clear_search_tree() const
+    {
+      if ( m_search_tree_constructed )
+      {
+        CGAL_assertion( m_p_search_tree!=nullptr );
+        delete m_p_search_tree;
+        m_p_search_tree = nullptr;
+        m_search_tree_constructed = false;
                         }
-		}
+    }
 
-	public:
+  public:
 
     /// \internal
-		template <class Query, class Traversal_traits>
-		void traversal(const Query& query, Traversal_traits& traits) const
-		{
-			switch(size())
-			{
-			case 0:
-				break;
-			case 1:
-				traits.intersection(query, singleton_data());
-				break;
-			default: // if(size() >= 2)
-				root_node()->template traversal<Traversal_traits,Query>(query, traits, m_primitives.size());
-			}
-		}
-
-	private:
-		typedef AABB_node<AABBTraits> Node;
-
-
-	public:
-		// returns a point which must be on one primitive
-		Point_and_primitive_id any_reference_point_and_id() const
-		{
-			CGAL_assertion(!empty());
-			return Point_and_primitive_id(
+    template <class Query, class Traversal_traits>
+    void traversal(const Query& query, Traversal_traits& traits) const
+    {
+      switch(size())
+      {
+      case 0:
+        break;
+      case 1:
+        traits.intersection(query, singleton_data());
+        break;
+      default: // if(size() >= 2)
+        root_node()->template traversal<Traversal_traits,Query>(query, traits, m_primitives.size());
+      }
+    }
+
+  private:
+    typedef AABB_node<AABBTraits> Node;
+
+
+  public:
+    // returns a point which must be on one primitive
+    Point_and_primitive_id any_reference_point_and_id() const
+    {
+      CGAL_assertion(!empty());
+      return Point_and_primitive_id(
         internal::Primitive_helper<AABB_traits>::get_reference_point(m_primitives[0],m_traits), m_primitives[0].id()
       );
-		}
+    }
 
-	public:
-		Point_and_primitive_id best_hint(const Point& query) const
-		{
-			if(m_search_tree_constructed)
+  public:
+    Point_and_primitive_id best_hint(const Point& query) const
+    {
+      if(m_search_tree_constructed)
                         {
-				return m_p_search_tree->closest_point(query);
+        return m_p_search_tree->closest_point(query);
                         }
-			else
-				return this->any_reference_point_and_id();
-		}
-		
-		//! Returns the datum (geometric object) represented `p`. 
+      else
+        return this->any_reference_point_and_id();
+    }
+
+    //! Returns the datum (geometric object) represented `p`.
 #ifndef DOXYGEN_RUNNING
-		typename internal::Primitive_helper<AABBTraits>::Datum_type 
+    typename internal::Primitive_helper<AABBTraits>::Datum_type
 #else
-		typename AABBTraits::Primitive::Datum_reference 
+    typename AABBTraits::Primitive::Datum_reference
 #endif
-		datum(Primitive& p)const
-		{
-		  return internal::Primitive_helper<AABBTraits>::
-		      get_datum(p, this->traits());
-		}
+    datum(Primitive& p)const
+    {
+      return internal::Primitive_helper<AABBTraits>::
+          get_datum(p, this->traits());
+    }
 
-	private:
+  private:
     //Traits class
     AABBTraits m_traits;
-		// set of input primitives
-		Primitives m_primitives;
-		// single root node
-		Node* m_p_root_node;
+    // set of input primitives
+    Primitives m_primitives;
+    // single root node
+    Node* m_p_root_node;
     #ifdef CGAL_HAS_THREADS
     mutable CGAL_MUTEX internal_tree_mutex;//mutex used to protect const calls inducing build()
     mutable CGAL_MUTEX kd_tree_mutex;//mutex used to protect calls to accelerate_distance_queries
     #endif
-  
+
     const Node* root_node() const {
-			CGAL_assertion(size() > 1);
+      CGAL_assertion(size() > 1);
       if(m_need_build){
         #ifdef CGAL_HAS_THREADS
         //this ensures that build() will be called once
         CGAL_SCOPED_LOCK(internal_tree_mutex);
         if(m_need_build)
         #endif
-          const_cast< AABB_tree<AABBTraits>* >(this)->build(); 
+          const_cast< AABB_tree<AABBTraits>* >(this)->build();
       }
       return m_p_root_node;
     }
 
-		const Primitive& singleton_data() const {
-			CGAL_assertion(size() == 1);
-			return *m_primitives.begin();
-		}
-
-		// search KD-tree
-		mutable const Search_tree* m_p_search_tree;
-		mutable bool m_search_tree_constructed;
+    const Primitive& singleton_data() const {
+      CGAL_assertion(size() == 1);
+      return *m_primitives.begin();
+    }
+
+    // search KD-tree
+    mutable const Search_tree* m_p_search_tree;
+    mutable bool m_search_tree_constructed;
     mutable bool m_default_search_tree_constructed; // indicates whether the internal kd-tree should be built
     bool m_need_build;
 
-	private:
-		// Disabled copy constructor & assignment operator
-		typedef AABB_tree<AABBTraits> Self;
-		AABB_tree(const Self& src);
-		Self& operator=(const Self& src);
+  private:
+    // Disabled copy constructor & assignment operator
+    typedef AABB_tree<AABBTraits> Self;
+    AABB_tree(const Self& src);
+    Self& operator=(const Self& src);
 
-	};  // end class AABB_tree
+  };  // end class AABB_tree
 
 /// @}
 
@@ -605,54 +605,54 @@ public:
     , m_need_build(false)
   {}
 
- 	template<typename Tr>
-	template<typename ConstPrimitiveIterator, typename ... T>
-	AABB_tree<Tr>::AABB_tree(ConstPrimitiveIterator first,
+   template<typename Tr>
+  template<typename ConstPrimitiveIterator, typename ... T>
+  AABB_tree<Tr>::AABB_tree(ConstPrimitiveIterator first,
                            ConstPrimitiveIterator beyond,
                            T&& ... t)
-		: m_traits()
+    : m_traits()
     , m_primitives()
-		, m_p_root_node(nullptr)
-		, m_p_search_tree(nullptr)
-		, m_search_tree_constructed(false)
+    , m_p_root_node(nullptr)
+    , m_p_search_tree(nullptr)
+    , m_search_tree_constructed(false)
     , m_default_search_tree_constructed(false)
     , m_need_build(false)
-	{
-		// Insert each primitive into tree
+  {
+    // Insert each primitive into tree
     insert(first, beyond,std::forward<T>(t)...);
- 	}
-  
-	template<typename Tr>
-	template<typename ConstPrimitiveIterator, typename ... T>
-	void AABB_tree<Tr>::insert(ConstPrimitiveIterator first,
+   }
+
+  template<typename Tr>
+  template<typename ConstPrimitiveIterator, typename ... T>
+  void AABB_tree<Tr>::insert(ConstPrimitiveIterator first,
                              ConstPrimitiveIterator beyond,
                              T&& ... t)
-	{
-		set_shared_data(std::forward<T>(t)...);
-		while(first != beyond)
-		{
-			m_primitives.push_back(Primitive(first,std::forward<T>(t)...));
-			++first;
-		}
+  {
+    set_shared_data(std::forward<T>(t)...);
+    while(first != beyond)
+    {
+      m_primitives.push_back(Primitive(first,std::forward<T>(t)...));
+      ++first;
+    }
     m_need_build = true;
   }
-  
+
   // Clears tree and insert a set of primitives
-	template<typename Tr>
-	template<typename ConstPrimitiveIterator, typename ... T>
-	void AABB_tree<Tr>::rebuild(ConstPrimitiveIterator first,
+  template<typename Tr>
+  template<typename ConstPrimitiveIterator, typename ... T>
+  void AABB_tree<Tr>::rebuild(ConstPrimitiveIterator first,
                               ConstPrimitiveIterator beyond,
                               T&& ... t)
-	{
-		// cleanup current tree and internal KD tree
-		clear();
+  {
+    // cleanup current tree and internal KD tree
+    clear();
 
-		// inserts primitives
+    // inserts primitives
     insert(first, beyond,std::forward<T>(t)...);
 
     build();
-	}  
-        
+  }
+
         template<typename Tr>
         template<typename ... T>
         void AABB_tree<Tr>::build(T&& ... t)
@@ -661,133 +661,133 @@ public:
           build();
         }
 
-	template<typename Tr>
-	void AABB_tree<Tr>::insert(const Primitive& p)
-	{
+  template<typename Tr>
+  void AABB_tree<Tr>::insert(const Primitive& p)
+  {
     m_primitives.push_back(p);
     m_need_build = true;
   }
 
-	// Build the data structure, after calls to insert(..)
-	template<typename Tr>
-	void AABB_tree<Tr>::build()
-	{
+  // Build the data structure, after calls to insert(..)
+  template<typename Tr>
+  void AABB_tree<Tr>::build()
+  {
     clear_nodes();
 
     if(m_primitives.size() > 1) {
 
-			// allocates tree nodes
-			m_p_root_node = new Node[m_primitives.size()-1]();
-			if(m_p_root_node == nullptr)
-			{
-				std::cerr << "Unable to allocate memory for AABB tree" << std::endl;
-				CGAL_assertion(m_p_root_node != nullptr);
-				m_primitives.clear();
-				clear();
-			}
-
-			// constructs the tree
-			m_p_root_node->expand(m_primitives.begin(), m_primitives.end(),
-					      m_primitives.size(), m_traits);
-		}
-
-
-		// In case the users has switched on the accelerated distance query
-		// data structure with the default arguments, then it has to be
-		// /built/rebuilt.
-		if(m_default_search_tree_constructed)
-			build_kd_tree();
-		m_need_build = false;
-	}
-	// constructs the search KD tree from given points
-	// to accelerate the distance queries
-	template<typename Tr>
-	bool AABB_tree<Tr>::build_kd_tree() const
-	{
-		// iterate over primitives to get reference points on them
-		std::vector<Point_and_primitive_id> points;
-		points.reserve(m_primitives.size());
-		typename Primitives::const_iterator it;
-		for(it = m_primitives.begin(); it != m_primitives.end(); ++it)
-			points.push_back( Point_and_primitive_id(
-				internal::Primitive_helper<AABB_traits>::get_reference_point(
-					*it,m_traits), it->id() ) );
-
-		// clears current KD tree
-		clear_search_tree();
-		bool res = build_kd_tree(points.begin(), points.end());
-		m_default_search_tree_constructed = true;
-		return res;
-	}
-
-	// constructs the search KD tree from given points
-	// to accelerate the distance queries
-	template<typename Tr>
-	template<typename ConstPointIterator>
-	bool AABB_tree<Tr>::build_kd_tree(ConstPointIterator first,
-		ConstPointIterator beyond) const
-	{
-		m_p_search_tree = new Search_tree(first, beyond);
+      // allocates tree nodes
+      m_p_root_node = new Node[m_primitives.size()-1]();
+      if(m_p_root_node == nullptr)
+      {
+        std::cerr << "Unable to allocate memory for AABB tree" << std::endl;
+        CGAL_assertion(m_p_root_node != nullptr);
+        m_primitives.clear();
+        clear();
+      }
+
+      // constructs the tree
+      m_p_root_node->expand(m_primitives.begin(), m_primitives.end(),
+                m_primitives.size(), m_traits);
+    }
+
+
+    // In case the users has switched on the accelerated distance query
+    // data structure with the default arguments, then it has to be
+    // /built/rebuilt.
+    if(m_default_search_tree_constructed)
+      build_kd_tree();
+    m_need_build = false;
+  }
+  // constructs the search KD tree from given points
+  // to accelerate the distance queries
+  template<typename Tr>
+  bool AABB_tree<Tr>::build_kd_tree() const
+  {
+    // iterate over primitives to get reference points on them
+    std::vector<Point_and_primitive_id> points;
+    points.reserve(m_primitives.size());
+    typename Primitives::const_iterator it;
+    for(it = m_primitives.begin(); it != m_primitives.end(); ++it)
+      points.push_back( Point_and_primitive_id(
+        internal::Primitive_helper<AABB_traits>::get_reference_point(
+          *it,m_traits), it->id() ) );
+
+    // clears current KD tree
+    clear_search_tree();
+    bool res = build_kd_tree(points.begin(), points.end());
+    m_default_search_tree_constructed = true;
+    return res;
+  }
+
+  // constructs the search KD tree from given points
+  // to accelerate the distance queries
+  template<typename Tr>
+  template<typename ConstPointIterator>
+  bool AABB_tree<Tr>::build_kd_tree(ConstPointIterator first,
+    ConstPointIterator beyond) const
+  {
+    m_p_search_tree = new Search_tree(first, beyond);
                 m_default_search_tree_constructed = true;
-		if(m_p_search_tree != nullptr)
-		{
-			m_search_tree_constructed = true;
-			return true;
-		}
-		else
-    {
-			std::cerr << "Unable to allocate memory for accelerating distance queries" << std::endl;
-			return false;
-    }
-	}
-
-	// constructs the search KD tree from internal primitives
-	template<typename Tr>
-	bool AABB_tree<Tr>::accelerate_distance_queries() const
-	{
-		if(m_primitives.empty()) return true;
-		if (m_default_search_tree_constructed)
-		{
-			if (!m_need_build) return m_search_tree_constructed;
-			return true; // default return type, no tree built
-		}
-
-		if(!m_need_build) // the tree was already built, build the kd-tree
-		{
-			#ifdef CGAL_HAS_THREADS
-			//this ensures that this function will be done once
-			CGAL_SCOPED_LOCK(kd_tree_mutex);
-			#endif
-			if (!m_need_build)
-			{
-				// clears current KD tree
-				clear_search_tree();
-				bool res = build_kd_tree();
-				m_default_search_tree_constructed = true;
-				return res;
-			};
-		}
-		m_default_search_tree_constructed = true;
-		return m_search_tree_constructed;
-	}
-
-	template<typename Tr>
-	template<typename Query>
-	bool
-		AABB_tree<Tr>::do_intersect(const Query& query) const
-	{
+    if(m_p_search_tree != nullptr)
+    {
+      m_search_tree_constructed = true;
+      return true;
+    }
+    else
+    {
+      std::cerr << "Unable to allocate memory for accelerating distance queries" << std::endl;
+      return false;
+    }
+  }
+
+  // constructs the search KD tree from internal primitives
+  template<typename Tr>
+  bool AABB_tree<Tr>::accelerate_distance_queries() const
+  {
+    if(m_primitives.empty()) return true;
+    if (m_default_search_tree_constructed)
+    {
+      if (!m_need_build) return m_search_tree_constructed;
+      return true; // default return type, no tree built
+    }
+
+    if(!m_need_build) // the tree was already built, build the kd-tree
+    {
+      #ifdef CGAL_HAS_THREADS
+      //this ensures that this function will be done once
+      CGAL_SCOPED_LOCK(kd_tree_mutex);
+      #endif
+      if (!m_need_build)
+      {
+        // clears current KD tree
+        clear_search_tree();
+        bool res = build_kd_tree();
+        m_default_search_tree_constructed = true;
+        return res;
+      };
+    }
+    m_default_search_tree_constructed = true;
+    return m_search_tree_constructed;
+  }
+
+  template<typename Tr>
+  template<typename Query>
+  bool
+    AABB_tree<Tr>::do_intersect(const Query& query) const
+  {
     using namespace CGAL::internal::AABB_tree;
     typedef typename AABB_tree<Tr>::AABB_traits AABBTraits;
-		Do_intersect_traits<AABBTraits, Query> traversal_traits(m_traits);
-		this->traversal(query, traversal_traits);
-		return traversal_traits.is_intersection_found();
-	}
+    Do_intersect_traits<AABBTraits, Query> traversal_traits(m_traits);
+    this->traversal(query, traversal_traits);
+    return traversal_traits.is_intersection_found();
+  }
 #ifndef DOXYGEN_RUNNING //To avoid doxygen to consider definition and declaration as 2 different functions (size_type causes problems)
-	template<typename Tr>
-	template<typename Query>
-	typename AABB_tree<Tr>::size_type
-		AABB_tree<Tr>::number_of_intersected_primitives(const Query& query) const
-	{
+  template<typename Tr>
+  template<typename Query>
+  typename AABB_tree<Tr>::size_type
+    AABB_tree<Tr>::number_of_intersected_primitives(const Query& query) const
+  {
     using namespace CGAL::internal::AABB_tree;
     using CGAL::internal::AABB_tree::Counting_output_iterator;
     typedef typename AABB_tree<Tr>::AABB_traits AABBTraits;
@@ -796,134 +796,134 @@ public:
     size_type counter = 0;
     Counting_iterator out(&counter);
 
-		Listing_primitive_traits<AABBTraits, 
+    Listing_primitive_traits<AABBTraits,
       Query, Counting_iterator> traversal_traits(out,m_traits);
-		this->traversal(query, traversal_traits);
-		return counter;
-	}
+    this->traversal(query, traversal_traits);
+    return counter;
+  }
 #endif
-	template<typename Tr>
-	template<typename Query, typename OutputIterator>
-	OutputIterator
-		AABB_tree<Tr>::all_intersected_primitives(const Query& query,
-		OutputIterator out) const
-	{
+  template<typename Tr>
+  template<typename Query, typename OutputIterator>
+  OutputIterator
+    AABB_tree<Tr>::all_intersected_primitives(const Query& query,
+    OutputIterator out) const
+  {
     using namespace CGAL::internal::AABB_tree;
     typedef typename AABB_tree<Tr>::AABB_traits AABBTraits;
-		Listing_primitive_traits<AABBTraits, 
+    Listing_primitive_traits<AABBTraits,
       Query, OutputIterator> traversal_traits(out,m_traits);
-		this->traversal(query, traversal_traits);
-		return out;
-	}
-
-	template<typename Tr>
-	template<typename Query, typename OutputIterator>
-	OutputIterator
-		AABB_tree<Tr>::all_intersections(const Query& query,
-		OutputIterator out) const
-	{
+    this->traversal(query, traversal_traits);
+    return out;
+  }
+
+  template<typename Tr>
+  template<typename Query, typename OutputIterator>
+  OutputIterator
+    AABB_tree<Tr>::all_intersections(const Query& query,
+    OutputIterator out) const
+  {
     using namespace CGAL::internal::AABB_tree;
     typedef typename AABB_tree<Tr>::AABB_traits AABBTraits;
-		Listing_intersection_traits<AABBTraits, 
+    Listing_intersection_traits<AABBTraits,
       Query, OutputIterator> traversal_traits(out,m_traits);
-		this->traversal(query, traversal_traits);
-		return out;
-	}
+    this->traversal(query, traversal_traits);
+    return out;
+  }
 
 
-	template <typename Tr>
-	template <typename Query>
+  template <typename Tr>
+  template <typename Query>
   boost::optional< typename AABB_tree<Tr>::template Intersection_and_primitive_id<Query>::Type >
-		AABB_tree<Tr>::any_intersection(const Query& query) const
-	{
+    AABB_tree<Tr>::any_intersection(const Query& query) const
+  {
     using namespace CGAL::internal::AABB_tree;
     typedef typename AABB_tree<Tr>::AABB_traits AABBTraits;
-		First_intersection_traits<AABBTraits, Query> traversal_traits(m_traits);
-		this->traversal(query, traversal_traits);
-		return traversal_traits.result();
-	}
-
-	template <typename Tr>
-	template <typename Query>
-	boost::optional<typename AABB_tree<Tr>::Primitive_id>
-		AABB_tree<Tr>::any_intersected_primitive(const Query& query) const
-	{
+    First_intersection_traits<AABBTraits, Query> traversal_traits(m_traits);
+    this->traversal(query, traversal_traits);
+    return traversal_traits.result();
+  }
+
+  template <typename Tr>
+  template <typename Query>
+  boost::optional<typename AABB_tree<Tr>::Primitive_id>
+    AABB_tree<Tr>::any_intersected_primitive(const Query& query) const
+  {
     using namespace CGAL::internal::AABB_tree;
     typedef typename AABB_tree<Tr>::AABB_traits AABBTraits;
-		First_primitive_traits<AABBTraits, Query> traversal_traits(m_traits);
-		this->traversal(query, traversal_traits);
-		return traversal_traits.result();
-	}
-
-	// closest point with user-specified hint
-	template<typename Tr>
-	typename AABB_tree<Tr>::Point
-		AABB_tree<Tr>::closest_point(const Point& query,
-		const Point& hint) const
-	{
-		CGAL_precondition(!empty());
-		typename Primitive::Id hint_primitive = m_primitives[0].id();
+    First_primitive_traits<AABBTraits, Query> traversal_traits(m_traits);
+    this->traversal(query, traversal_traits);
+    return traversal_traits.result();
+  }
+
+  // closest point with user-specified hint
+  template<typename Tr>
+  typename AABB_tree<Tr>::Point
+    AABB_tree<Tr>::closest_point(const Point& query,
+    const Point& hint) const
+  {
+    CGAL_precondition(!empty());
+    typename Primitive::Id hint_primitive = m_primitives[0].id();
     using namespace CGAL::internal::AABB_tree;
     typedef typename AABB_tree<Tr>::AABB_traits AABBTraits;
-		Projection_traits<AABBTraits> projection_traits(hint,hint_primitive,m_traits);
-		this->traversal(query, projection_traits);
-		return projection_traits.closest_point();
-	}
-
-	// closest point without hint, the search KD-tree is queried for the
-	// first closest neighbor point to get a hint
-	template<typename Tr>
-	typename AABB_tree<Tr>::Point
-		AABB_tree<Tr>::closest_point(const Point& query) const
-	{
-		CGAL_precondition(!empty());
-		const Point_and_primitive_id hint = best_hint(query);
-		return closest_point(query,hint.first);
-	}
-
-	// squared distance with user-specified hint
-	template<typename Tr>
-	typename AABB_tree<Tr>::FT
-		AABB_tree<Tr>::squared_distance(const Point& query,
-		const Point& hint) const
-	{
-		CGAL_precondition(!empty());
-		const Point closest = this->closest_point(query, hint);
-		return Tr().squared_distance_object()(query, closest);
-	}
-
-	// squared distance without user-specified hint
-	template<typename Tr>
-	typename AABB_tree<Tr>::FT
-		AABB_tree<Tr>::squared_distance(const Point& query) const
-	{
-		CGAL_precondition(!empty());
-		const Point closest = this->closest_point(query);
-		return Tr().squared_distance_object()(query, closest);
-	}
-
-	// closest point with user-specified hint
-	template<typename Tr>
-	typename AABB_tree<Tr>::Point_and_primitive_id
-		AABB_tree<Tr>::closest_point_and_primitive(const Point& query) const
-	{
-		CGAL_precondition(!empty());
-		return closest_point_and_primitive(query,best_hint(query));
-	}
-
-	// closest point with user-specified hint
-	template<typename Tr>
-	typename AABB_tree<Tr>::Point_and_primitive_id
-		AABB_tree<Tr>::closest_point_and_primitive(const Point& query,
-		const Point_and_primitive_id& hint) const
-	{
-		CGAL_precondition(!empty());
+    Projection_traits<AABBTraits> projection_traits(hint,hint_primitive,m_traits);
+    this->traversal(query, projection_traits);
+    return projection_traits.closest_point();
+  }
+
+  // closest point without hint, the search KD-tree is queried for the
+  // first closest neighbor point to get a hint
+  template<typename Tr>
+  typename AABB_tree<Tr>::Point
+    AABB_tree<Tr>::closest_point(const Point& query) const
+  {
+    CGAL_precondition(!empty());
+    const Point_and_primitive_id hint = best_hint(query);
+    return closest_point(query,hint.first);
+  }
+
+  // squared distance with user-specified hint
+  template<typename Tr>
+  typename AABB_tree<Tr>::FT
+    AABB_tree<Tr>::squared_distance(const Point& query,
+    const Point& hint) const
+  {
+    CGAL_precondition(!empty());
+    const Point closest = this->closest_point(query, hint);
+    return Tr().squared_distance_object()(query, closest);
+  }
+
+  // squared distance without user-specified hint
+  template<typename Tr>
+  typename AABB_tree<Tr>::FT
+    AABB_tree<Tr>::squared_distance(const Point& query) const
+  {
+    CGAL_precondition(!empty());
+    const Point closest = this->closest_point(query);
+    return Tr().squared_distance_object()(query, closest);
+  }
+
+  // closest point with user-specified hint
+  template<typename Tr>
+  typename AABB_tree<Tr>::Point_and_primitive_id
+    AABB_tree<Tr>::closest_point_and_primitive(const Point& query) const
+  {
+    CGAL_precondition(!empty());
+    return closest_point_and_primitive(query,best_hint(query));
+  }
+
+  // closest point with user-specified hint
+  template<typename Tr>
+  typename AABB_tree<Tr>::Point_and_primitive_id
+    AABB_tree<Tr>::closest_point_and_primitive(const Point& query,
+    const Point_and_primitive_id& hint) const
+  {
+    CGAL_precondition(!empty());
     using namespace CGAL::internal::AABB_tree;
     typedef typename AABB_tree<Tr>::AABB_traits AABBTraits;
-		Projection_traits<AABBTraits> projection_traits(hint.first,hint.second,m_traits);
-		this->traversal(query, projection_traits);
-		return projection_traits.closest_point_and_primitive();
-	}
+    Projection_traits<AABBTraits> projection_traits(hint.first,hint.second,m_traits);
+    this->traversal(query, projection_traits);
+    return projection_traits.closest_point_and_primitive();
+  }
 
 } // end namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/AABB_triangle_primitive.h 5.0.3-1/include/CGAL/AABB_triangle_primitive.h
--- 5.0.2-3/include/CGAL/AABB_triangle_primitive.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/AABB_triangle_primitive.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/AABB_triangle_primitive.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/AABB_triangle_primitive.h $
 // $Id: AABB_triangle_primitive.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/AABB_triangulation_3_cell_primitive.h 5.0.3-1/include/CGAL/AABB_triangulation_3_cell_primitive.h
--- 5.0.2-3/include/CGAL/AABB_triangulation_3_cell_primitive.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/AABB_triangulation_3_cell_primitive.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/AABB_triangulation_3_cell_primitive.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/AABB_triangulation_3_cell_primitive.h $
 // $Id: AABB_triangulation_3_cell_primitive.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/AABB_triangulation_3_triangle_primitive.h 5.0.3-1/include/CGAL/AABB_triangulation_3_triangle_primitive.h
--- 5.0.2-3/include/CGAL/AABB_triangulation_3_triangle_primitive.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/AABB_triangulation_3_triangle_primitive.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/AABB_triangulation_3_triangle_primitive.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/AABB_triangulation_3_triangle_primitive.h $
 // $Id: AABB_triangulation_3_triangle_primitive.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Advancing_front_surface_reconstruction_cell_base_3.h 5.0.3-1/include/CGAL/Advancing_front_surface_reconstruction_cell_base_3.h
--- 5.0.2-3/include/CGAL/Advancing_front_surface_reconstruction_cell_base_3.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Advancing_front_surface_reconstruction_cell_base_3.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Advancing_front_surface_reconstruction/include/CGAL/Advancing_front_surface_reconstruction_cell_base_3.h $
-// $Id: Advancing_front_surface_reconstruction_cell_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Advancing_front_surface_reconstruction/include/CGAL/Advancing_front_surface_reconstruction_cell_base_3.h $
+// $Id: Advancing_front_surface_reconstruction_cell_base_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Frank Da, David Cohen-Steiner, Andreas Fabri
@@ -73,7 +73,7 @@ namespace CGAL {
     {
 #ifdef AFSR_FACET_NUMBER
       for(int i = 0; i < 4; i++){
-	_facet_number[i] = -1;
+        _facet_number[i] = -1;
       }
 #endif
     }
@@ -87,7 +87,7 @@ namespace CGAL {
     {
 #ifdef FACET_NUMBER
       for(int i = 0; i < 4; i++){
-	_facet_number[i] = -1;
+        _facet_number[i] = -1;
       }
 #endif
     }
@@ -103,7 +103,7 @@ namespace CGAL {
     {
 #ifdef AFSR_FACET_NUMBER
       for(int i = 0; i < 4; i++){
-	_facet_number[i] = -1;
+        _facet_number[i] = -1;
       }
 #endif
     }
@@ -116,9 +116,9 @@ namespace CGAL {
         delete[] _smallest_radius_facet_tab;
 #ifdef AFSR_LAZY
       if (_circumcenter != nullptr)
-	delete _circumcenter;
+        delete _circumcenter;
       if (_squared_radius != nullptr)
-	delete _squared_radius;
+        delete _squared_radius;
 #endif
     }
 
@@ -128,15 +128,15 @@ namespace CGAL {
     inline void clear()
     {
       if (_smallest_radius_facet_tab != nullptr)
-	delete[] _smallest_radius_facet_tab;
+        delete[] _smallest_radius_facet_tab;
       _smallest_radius_facet_tab = nullptr;
       selected_facet = 0;
 #ifdef AFSR_LAZY
       if (_circumcenter != nullptr)
-	delete _circumcenter;
+        delete _circumcenter;
       _circumcenter = nullptr;
       if (_squared_radius != nullptr)
-	delete _squared_radius;
+        delete _squared_radius;
       _squared_radius = nullptr;
 #endif
     }
@@ -145,18 +145,18 @@ namespace CGAL {
     inline coord_type smallest_radius(const int& i)
     {
       if (_smallest_radius_facet_tab == nullptr)
-	return -1;
+        return -1;
       return _smallest_radius_facet_tab[i];
     }
 
     inline void set_smallest_radius(const int& i, const coord_type& c)
     {
       if (_smallest_radius_facet_tab == nullptr)
-	{
-	  _smallest_radius_facet_tab = new coord_type[4];
-	  for(int i = 0; i < 4; i++)
-	    _smallest_radius_facet_tab[i] = -1;
-	}
+        {
+          _smallest_radius_facet_tab = new coord_type[4];
+          for(int i = 0; i < 4; i++)
+            _smallest_radius_facet_tab[i] = -1;
+        }
       _smallest_radius_facet_tab[i] = c;
     }
 
@@ -164,10 +164,10 @@ namespace CGAL {
     inline bool alloc_smallest_radius_tab(coord_type* ptr)
     {
       if (_smallest_radius_facet_tab==nullptr)
-	{
-	  _smallest_radius_facet_tab = ptr;
-	  return true;
-	}
+        {
+          _smallest_radius_facet_tab = ptr;
+          return true;
+        }
       return false;
     }
 
diff -pruN 5.0.2-3/include/CGAL/Advancing_front_surface_reconstruction.h 5.0.3-1/include/CGAL/Advancing_front_surface_reconstruction.h
--- 5.0.2-3/include/CGAL/Advancing_front_surface_reconstruction.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Advancing_front_surface_reconstruction.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Advancing_front_surface_reconstruction/include/CGAL/Advancing_front_surface_reconstruction.h $
-// $Id: Advancing_front_surface_reconstruction.h 06151ee 2019-12-05T11:01:14+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Advancing_front_surface_reconstruction/include/CGAL/Advancing_front_surface_reconstruction.h $
+// $Id: Advancing_front_surface_reconstruction.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Frank Da, David Cohen-Steiner, Andreas Fabri
@@ -401,12 +401,12 @@ namespace CGAL {
     {
       if (vh->m_incident_border == nullptr) return false; //vh is interior
       if (vh->m_incident_border->first->first != nullptr)
-	{
-	  if (vh->m_incident_border->second->first != nullptr)
-	    return ((vh->m_incident_border->first->second.second == i)||
-		    (vh->m_incident_border->second->second.second == i));
-	  return (vh->m_incident_border->first->second.second == i);
-	}
+        {
+          if (vh->m_incident_border->second->first != nullptr)
+            return ((vh->m_incident_border->first->second.second == i)||
+                    (vh->m_incident_border->second->second.second == i));
+          return (vh->m_incident_border->first->second.second == i);
+        }
       return false; //vh is still exterior
     }
 
@@ -414,32 +414,32 @@ namespace CGAL {
     void remove_border_edge(Vertex_handle w, Vertex_handle v)
     {
       if (w->m_incident_border != nullptr)
-	{
-	  if (w->m_incident_border->second->first == v)
-	    {
-	      w->m_incident_border->second->first = nullptr;
-	      set_interior_edge(w,v);
-	      return;
-	    }
-	  if (w->m_incident_border->first->first == v)
-	    {
-	      if (w->m_incident_border->second->first != nullptr)
-		{
-		  Next_border_elt* tmp = w->m_incident_border->first;
-		  w->m_incident_border->first = w->m_incident_border->second;
-		  w->m_incident_border->second = tmp;
-		  w->m_incident_border->second->first = nullptr;
-		  set_interior_edge(w,v);
-		  return;
-		}
-	      else
-		{
-		  w->m_incident_border->first->first = nullptr;
-		  set_interior_edge(w,v);
-		  return;
-		}
-	    }
-	}
+        {
+          if (w->m_incident_border->second->first == v)
+            {
+              w->m_incident_border->second->first = nullptr;
+              set_interior_edge(w,v);
+              return;
+            }
+          if (w->m_incident_border->first->first == v)
+            {
+              if (w->m_incident_border->second->first != nullptr)
+                {
+                  Next_border_elt* tmp = w->m_incident_border->first;
+                  w->m_incident_border->first = w->m_incident_border->second;
+                  w->m_incident_border->second = tmp;
+                  w->m_incident_border->second->first = nullptr;
+                  set_interior_edge(w,v);
+                  return;
+                }
+              else
+                {
+                  w->m_incident_border->first->first = nullptr;
+                  set_interior_edge(w,v);
+                  return;
+                }
+            }
+        }
     }
 
 
@@ -448,12 +448,12 @@ namespace CGAL {
 
       bool r1;
       if(w->m_ie_first == ie_sentinel){
-	r1 = false;
+        r1 = false;
       }else {
-	typename std::list<Vertex_handle>::iterator b(w->m_ie_first), e(w->m_ie_last);
-	e++;
-	typename std::list<Vertex_handle>::iterator r = std::find(b, e, v);
-	r1 = ( r != e);
+        typename std::list<Vertex_handle>::iterator b(w->m_ie_first), e(w->m_ie_last);
+        e++;
+        typename std::list<Vertex_handle>::iterator r = std::find(b, e, v);
+        r1 = ( r != e);
       }
 
       return r1;
@@ -467,17 +467,17 @@ namespace CGAL {
     inline void set_interior_edge(Vertex_handle w, Vertex_handle v)
     {
       if(w->m_ie_last == ie_sentinel){ // empty set
-	CGAL_assertion(w->m_ie_first == w->m_ie_last);
-	w->m_ie_last = interior_edges.insert(w->m_ie_last, v);
-	w->m_ie_first = w->m_ie_last;
+        CGAL_assertion(w->m_ie_first == w->m_ie_last);
+        w->m_ie_last = interior_edges.insert(w->m_ie_last, v);
+        w->m_ie_first = w->m_ie_last;
       } else {
-	typename std::list<Vertex_handle>::iterator e(w->m_ie_last);
-	e++;
+        typename std::list<Vertex_handle>::iterator e(w->m_ie_last);
+        e++;
 #ifdef DEBUG
-	typename std::list<Vertex_handle>::iterator r = std::find(w->m_ie_first, e, v);
-	CGAL_assertion(r == e);
+        typename std::list<Vertex_handle>::iterator r = std::find(w->m_ie_first, e, v);
+        CGAL_assertion(r == e);
 #endif
-	w->m_ie_last = interior_edges.insert(e, v);
+        w->m_ie_last = interior_edges.insert(e, v);
       }
     }
 
@@ -485,26 +485,26 @@ namespace CGAL {
     inline void remove_interior_edge(Vertex_handle w, Vertex_handle v)
     {
       if(w->m_ie_first == ie_sentinel){
-	CGAL_assertion(w->m_ie_last == w->m_ie_first);
+        CGAL_assertion(w->m_ie_last == w->m_ie_first);
       } else if(w->m_ie_first == w->m_ie_last){ // there is only one element
-	if(*(w->m_ie_first) == v){
-	  interior_edges.erase(w->m_ie_first);
-	  w->m_ie_last = ie_sentinel;
-	  w->m_ie_first = w->m_ie_last;
-	}
+        if(*(w->m_ie_first) == v){
+          interior_edges.erase(w->m_ie_first);
+          w->m_ie_last = ie_sentinel;
+          w->m_ie_first = w->m_ie_last;
+        }
       } else {
-	typename std::list<Vertex_handle>::iterator b(w->m_ie_first), e(w->m_ie_last);
-	e++;
-	typename std::list<Vertex_handle>::iterator r = std::find(b, e, v);
-	if(r != e){
-	  if(r == w->m_ie_first){
-	    w->m_ie_first++;
-	  }
-	  if(r == w->m_ie_last){
-	    w->m_ie_last--;
-	  }
-	  interior_edges.erase(r);
-	}
+        typename std::list<Vertex_handle>::iterator b(w->m_ie_first), e(w->m_ie_last);
+        e++;
+        typename std::list<Vertex_handle>::iterator r = std::find(b, e, v);
+        if(r != e){
+          if(r == w->m_ie_first){
+            w->m_ie_first++;
+          }
+          if(r == w->m_ie_last){
+            w->m_ie_last--;
+          }
+          interior_edges.erase(r);
+        }
       }
     }
 
@@ -514,20 +514,20 @@ namespace CGAL {
     inline void set_incidence_request(Vertex_handle w, const Incidence_request_elt& ir)
     {
       if(w->m_ir_last == sentinel ){
-	CGAL_assertion(w->m_ir_first == w->m_ir_last);
-	w->m_ir_last = incidence_requests.insert(w->m_ir_last, ir);
-	w->m_ir_first = w->m_ir_last;
+        CGAL_assertion(w->m_ir_first == w->m_ir_last);
+        w->m_ir_last = incidence_requests.insert(w->m_ir_last, ir);
+        w->m_ir_first = w->m_ir_last;
       } else {
-	typename std::list<Incidence_request_elt>::iterator e(w->m_ir_last);
-	e++;
-	w->m_ir_last = incidence_requests.insert(e, ir);
+        typename std::list<Incidence_request_elt>::iterator e(w->m_ir_last);
+        e++;
+        w->m_ir_last = incidence_requests.insert(e, ir);
       }
     }
 
     inline bool is_incidence_requested(Vertex_handle w) const
     {
       if(w->m_ir_last == sentinel ){
-	CGAL_assertion(w->m_ir_first == sentinel );
+        CGAL_assertion(w->m_ir_first == sentinel );
       }
       return (w->m_ir_last != sentinel );
     }
@@ -540,10 +540,10 @@ namespace CGAL {
     inline Incidence_request_iterator incidence_request_end(Vertex_handle w)
     {
       if(w->m_ir_last != sentinel ){
-	CGAL_assertion(w->m_ir_first != sentinel );
-	Incidence_request_iterator it(w->m_ir_last);
-	it++;
-	return it;
+        CGAL_assertion(w->m_ir_first != sentinel );
+        Incidence_request_iterator it(w->m_ir_last);
+        it++;
+        return it;
       }
       return w->m_ir_last;
     }
@@ -551,11 +551,11 @@ namespace CGAL {
     inline void erase_incidence_request(Vertex_handle w)
     {
       if(w->m_ir_last != sentinel ){
-	CGAL_assertion(w->m_ir_first != sentinel );
-	w->m_ir_last++;
-	incidence_requests.erase(w->m_ir_first, w->m_ir_last);
-	w->m_ir_first = sentinel ;
-	w->m_ir_last = sentinel ;
+        CGAL_assertion(w->m_ir_first != sentinel );
+        w->m_ir_last++;
+        incidence_requests.erase(w->m_ir_first, w->m_ir_last);
+        w->m_ir_first = sentinel ;
+        w->m_ir_last = sentinel ;
       }
     }
 
@@ -563,17 +563,17 @@ namespace CGAL {
     void re_init(Vertex_handle w)
     {
       if (w->m_incident_border != nullptr)
-	{
-	  w->delete_border();
-	}
+        {
+          w->delete_border();
+        }
 
       if(w->m_ir_first != sentinel ){
-	CGAL_assertion(w->m_ir_last != sentinel );
-	typename std::list< Incidence_request_elt >::iterator b(w->m_ir_first), e(w->m_ir_last);
-	e++;
-	incidence_requests.erase(b, e);
-	w->m_ir_first = sentinel ;
-	w->m_ir_last = sentinel ;
+        CGAL_assertion(w->m_ir_last != sentinel );
+        typename std::list< Incidence_request_elt >::iterator b(w->m_ir_first), e(w->m_ir_last);
+        e++;
+        incidence_requests.erase(b, e);
+        w->m_ir_first = sentinel ;
+        w->m_ir_last = sentinel ;
       }
 
       w->m_incident_border = new_border();
@@ -587,10 +587,10 @@ namespace CGAL {
     {
       w->m_mark--;
       if(w->m_mark == 0)
-	{
-	  w->delete_border();
-	  erase_incidence_request(w);
-	}
+        {
+          w->delete_border();
+          erase_incidence_request(w);
+        }
     }
 
 
@@ -621,21 +621,21 @@ namespace CGAL {
     void clear_vertex(Vertex_handle w)
     {
       if (w->m_incident_border != nullptr)
-	{
-	  w->delete_border();
-	}
+        {
+          w->delete_border();
+        }
       if(w->m_ir_first != sentinel ){
-	CGAL_assertion(w->m_ir_last != sentinel );
-	typename std::list< Incidence_request_elt >::iterator b(w->m_ir_first), e(w->m_ir_last);
-	e++;
-	incidence_requests.erase(b, e);
+        CGAL_assertion(w->m_ir_last != sentinel );
+        typename std::list< Incidence_request_elt >::iterator b(w->m_ir_first), e(w->m_ir_last);
+        e++;
+        incidence_requests.erase(b, e);
       }
 
       if(w->m_ie_first != ie_sentinel){
-	CGAL_assertion(w->m_ie_last != ie_sentinel);
-	typename std::list<Vertex_handle>::iterator b(w->m_ie_first), e(w->m_ie_last);
-	e++;
-	interior_edges.erase(b, e);
+        CGAL_assertion(w->m_ie_last != ie_sentinel);
+        typename std::list<Vertex_handle>::iterator b(w->m_ie_first), e(w->m_ie_last);
+        e++;
+        interior_edges.erase(b, e);
       }
     }
 
@@ -1315,7 +1315,7 @@ namespace CGAL {
       returns the infinite floating value that prevents a facet to be used.
     */
     coord_type infinity() const { return std::numeric_limits<coord_type>::infinity(); }
-    /// @}      
+    /// @}
 
     //---------------------------------------------------------------------
     // For a border edge e we determine the incident facet which has the highest
@@ -1801,150 +1801,150 @@ namespace CGAL {
                       return EXTERIOR_CASE;
                     }
                   else // c->vertex(i) is a border point (and now there's only 1
-		  // border incident to a point... _mark<1 even if th orientation
-		  // may be such as one vh has 2 successorson the same border...
-		  {
-		    // a ce niveau on peut tester si le recollement se fait en
-		    // maintenant la compatibilite d'orientation des bords (pour
-		    // surface orientable...) ou si elle est brisee...
-		    Edge_incident_facet edge_Ifacet_1(Edge(c, i, edge_Efacet.first.second),
+                  // border incident to a point... _mark<1 even if th orientation
+                  // may be such as one vh has 2 successorson the same border...
+                  {
+                    // a ce niveau on peut tester si le recollement se fait en
+                    // maintenant la compatibilite d'orientation des bords (pour
+                    // surface orientable...) ou si elle est brisee...
+                    Edge_incident_facet edge_Ifacet_1(Edge(c, i, edge_Efacet.first.second),
                                                       edge_Efacet.second);
-		    Edge_incident_facet edge_Ifacet_2(Edge(c, i, edge_Efacet.first.third),
+                    Edge_incident_facet edge_Ifacet_2(Edge(c, i, edge_Efacet.first.third),
                                                       edge_Efacet.second);
 
-		    e1 = compute_value(edge_Ifacet_1);
-		    e2 = compute_value(edge_Ifacet_2);
+                    e1 = compute_value(edge_Ifacet_1);
+                    e2 = compute_value(edge_Ifacet_2);
 
-		    if ((e1.first >= STANDBY_CANDIDATE)&&(e2.first >= STANDBY_CANDIDATE))
-		      return NOT_VALID_CONNECTING_CASE;
+                    if ((e1.first >= STANDBY_CANDIDATE)&&(e2.first >= STANDBY_CANDIDATE))
+                      return NOT_VALID_CONNECTING_CASE;
 
-		    // vu compute value: les candidats oreilles fournis sont sans
-		    // aretes interieures et le sommet oppose n'est pas non plus interieur
-		    Edge_incident_facet ear1 = e1.second.second;
-		    Edge_incident_facet ear2 = e2.second.second;
-
-		    int ear1_i = (6 - ear1.second
-				  - ear1.first.second
-				  - ear1.first.third);
-		    Cell_handle ear1_c =  ear1.first.first;
-		    Border_elt result_ear1;
-
-		    int ear2_i = (6 - ear2.second
-				  - ear2.first.second
-				  - ear2.first.third);
-		    Cell_handle ear2_c =  ear2.first.first;
-		    Border_elt result_ear2;
-
-		    Edge_like ear1_e, ear2_e;
-		    // pour maintenir la reconstruction d'une surface orientable :
-		    // on verifie que les bords se recollent dans des sens opposes
-		    if (ordered_key.first==v1)
-		      {
-			ear1_e = Edge_like(c->vertex(i), ear1_c ->vertex(ear1_i));
-			ear2_e = Edge_like(ear2_c ->vertex(ear2_i), c->vertex(i));
-		      }
-		    else
-		      {
-			ear1_e = Edge_like(ear1_c ->vertex(ear1_i), c->vertex(i));
-			ear2_e = Edge_like(c->vertex(i), ear2_c ->vertex(ear2_i));
-		      }
-
-		    //maintient la surface orientable
-		    bool is_border_ear1 = is_ordered_border_elt(ear1_e, result_ear1);
-		    bool is_border_ear2 = is_ordered_border_elt(ear2_e, result_ear2);
-		    bool ear1_valid(false), ear2_valid(false);
-		    if (is_border_ear1&&(e1.first < STANDBY_CANDIDATE)&&
-			(e1.first <=  value)&&
-			(result12.second==result_ear1.second))
-		      {
-			ear1_valid = test_merge(ear1_e, result_ear1, v1,
-						priority(*this, ear1_c, ear1.second)) != 0;
-		      }
-		    if (is_border_ear2&&(e2.first < STANDBY_CANDIDATE)&&
-			(e2.first <= value)&&
-			(result12.second==result_ear2.second))
-		      {
-			ear2_valid = test_merge(ear2_e, result_ear2, v2,
-						priority(*this, ear2_c, ear2.second)) != 0;
-		      }
-		    if ((!ear1_valid)&&(!ear2_valid))
-		      return NOT_VALID_CONNECTING_CASE;
-
-		    IO_edge_type* p1;
-		    IO_edge_type* p2;
-
-		    border_extend(ordered_key, result12,
-				  v1, v2, c->vertex(i),
-				  e1, e2, p1, p2);
-
-		    if (ear1_valid&&ear2_valid&&(ear1_e==ear2_e))
-		      {
-			if (e1.first < e2.first)
-			  {
-			    Validation_case res = validate(ear1, e1.first);
-			    if (!((res == EAR_CASE)||(res == FINAL_CASE)))
-			      std::cerr << "+++probleme de recollement : cas "
-					<< res << std::endl;
-			    e2 = compute_value(edge_Ifacet_2);
-
-			    if (ordered_key.first == v1)
-			      p2 = set_again_border_elt(c->vertex(i), v2,
-							Border_elt(e2, result2.second));
-			    else
-			      p2 = set_again_border_elt(v2, c->vertex(i),
-							Border_elt(e2, result2.second));
-
-			    _ordered_border.insert(Radius_ptr_type(e2.first, p2));
-			  }
-			else
-			  {
-			    Validation_case res = validate(ear2, e2.first);
-			    if (!((res == EAR_CASE)||(res == FINAL_CASE)))
-			      std::cerr << "+++probleme de recollement : cas "
-					<< res << std::endl;
-			    e1 = compute_value(edge_Ifacet_1);
-
-			    if (ordered_key.first == v1)
-			      p1 = set_again_border_elt(v1, c->vertex(i),
-							Border_elt(e1, result1.second));
-			    else
-			      p1 = set_again_border_elt(c->vertex(i), v1,
-							Border_elt(e1, result1.second));
-
-			    _ordered_border.insert(Radius_ptr_type(e1.first, p1));
-			  }
-		      }
-		    else// les deux oreilles ne se recollent pas sur la meme arete...
-		      {
-			// on resoud la singularite.
-			if (ear1_valid)
-			  {
-			    Validation_case res = validate(ear1, e1.first);
-			    if (!((res == EAR_CASE)||(res == FINAL_CASE)))
-			      std::cerr << "+++probleme de recollement : cas "
-					<< res << std::endl;
-			  }
-			if (ear2_valid)
-			  {
-			    Validation_case res = validate(ear2, e2.first);
-			    if (!((res == EAR_CASE)||(res == FINAL_CASE)))
-			      std::cerr << "+++probleme de recollement : cas "
-					<< res << std::endl;
-			  }
-			// on met a jour la PQ s'il y a lieu... mais surtout pas
-			// avant la resolution de la singularite
-			if (!ear1_valid)
-			  {
-			    _ordered_border.insert(Radius_ptr_type(e1.first, p1));
-			  }
-			if (!ear2_valid)
-			  {
-			    _ordered_border.insert(Radius_ptr_type(e2.first, p2));
-			  }
-		      }
-		    select_facet(c, edge_Efacet.second);
-		    return CONNECTING_CASE;
-		  }
+                    // vu compute value: les candidats oreilles fournis sont sans
+                    // aretes interieures et le sommet oppose n'est pas non plus interieur
+                    Edge_incident_facet ear1 = e1.second.second;
+                    Edge_incident_facet ear2 = e2.second.second;
+
+                    int ear1_i = (6 - ear1.second
+                                  - ear1.first.second
+                                  - ear1.first.third);
+                    Cell_handle ear1_c =  ear1.first.first;
+                    Border_elt result_ear1;
+
+                    int ear2_i = (6 - ear2.second
+                                  - ear2.first.second
+                                  - ear2.first.third);
+                    Cell_handle ear2_c =  ear2.first.first;
+                    Border_elt result_ear2;
+
+                    Edge_like ear1_e, ear2_e;
+                    // pour maintenir la reconstruction d'une surface orientable :
+                    // on verifie que les bords se recollent dans des sens opposes
+                    if (ordered_key.first==v1)
+                      {
+                        ear1_e = Edge_like(c->vertex(i), ear1_c ->vertex(ear1_i));
+                        ear2_e = Edge_like(ear2_c ->vertex(ear2_i), c->vertex(i));
+                      }
+                    else
+                      {
+                        ear1_e = Edge_like(ear1_c ->vertex(ear1_i), c->vertex(i));
+                        ear2_e = Edge_like(c->vertex(i), ear2_c ->vertex(ear2_i));
+                      }
+
+                    //maintient la surface orientable
+                    bool is_border_ear1 = is_ordered_border_elt(ear1_e, result_ear1);
+                    bool is_border_ear2 = is_ordered_border_elt(ear2_e, result_ear2);
+                    bool ear1_valid(false), ear2_valid(false);
+                    if (is_border_ear1&&(e1.first < STANDBY_CANDIDATE)&&
+                        (e1.first <=  value)&&
+                        (result12.second==result_ear1.second))
+                      {
+                        ear1_valid = test_merge(ear1_e, result_ear1, v1,
+                                                priority(*this, ear1_c, ear1.second)) != 0;
+                      }
+                    if (is_border_ear2&&(e2.first < STANDBY_CANDIDATE)&&
+                        (e2.first <= value)&&
+                        (result12.second==result_ear2.second))
+                      {
+                        ear2_valid = test_merge(ear2_e, result_ear2, v2,
+                                                priority(*this, ear2_c, ear2.second)) != 0;
+                      }
+                    if ((!ear1_valid)&&(!ear2_valid))
+                      return NOT_VALID_CONNECTING_CASE;
+
+                    IO_edge_type* p1;
+                    IO_edge_type* p2;
+
+                    border_extend(ordered_key, result12,
+                                  v1, v2, c->vertex(i),
+                                  e1, e2, p1, p2);
+
+                    if (ear1_valid&&ear2_valid&&(ear1_e==ear2_e))
+                      {
+                        if (e1.first < e2.first)
+                          {
+                            Validation_case res = validate(ear1, e1.first);
+                            if (!((res == EAR_CASE)||(res == FINAL_CASE)))
+                              std::cerr << "+++probleme de recollement : cas "
+                                        << res << std::endl;
+                            e2 = compute_value(edge_Ifacet_2);
+
+                            if (ordered_key.first == v1)
+                              p2 = set_again_border_elt(c->vertex(i), v2,
+                                                        Border_elt(e2, result2.second));
+                            else
+                              p2 = set_again_border_elt(v2, c->vertex(i),
+                                                        Border_elt(e2, result2.second));
+
+                            _ordered_border.insert(Radius_ptr_type(e2.first, p2));
+                          }
+                        else
+                          {
+                            Validation_case res = validate(ear2, e2.first);
+                            if (!((res == EAR_CASE)||(res == FINAL_CASE)))
+                              std::cerr << "+++probleme de recollement : cas "
+                                        << res << std::endl;
+                            e1 = compute_value(edge_Ifacet_1);
+
+                            if (ordered_key.first == v1)
+                              p1 = set_again_border_elt(v1, c->vertex(i),
+                                                        Border_elt(e1, result1.second));
+                            else
+                              p1 = set_again_border_elt(c->vertex(i), v1,
+                                                        Border_elt(e1, result1.second));
+
+                            _ordered_border.insert(Radius_ptr_type(e1.first, p1));
+                          }
+                      }
+                    else// les deux oreilles ne se recollent pas sur la meme arete...
+                      {
+                        // on resoud la singularite.
+                        if (ear1_valid)
+                          {
+                            Validation_case res = validate(ear1, e1.first);
+                            if (!((res == EAR_CASE)||(res == FINAL_CASE)))
+                              std::cerr << "+++probleme de recollement : cas "
+                                        << res << std::endl;
+                          }
+                        if (ear2_valid)
+                          {
+                            Validation_case res = validate(ear2, e2.first);
+                            if (!((res == EAR_CASE)||(res == FINAL_CASE)))
+                              std::cerr << "+++probleme de recollement : cas "
+                                        << res << std::endl;
+                          }
+                        // on met a jour la PQ s'il y a lieu... mais surtout pas
+                        // avant la resolution de la singularite
+                        if (!ear1_valid)
+                          {
+                            _ordered_border.insert(Radius_ptr_type(e1.first, p1));
+                          }
+                        if (!ear2_valid)
+                          {
+                            _ordered_border.insert(Radius_ptr_type(e2.first, p2));
+                          }
+                      }
+                    select_facet(c, edge_Efacet.second);
+                    return CONNECTING_CASE;
+                  }
                 }
             }
         }
@@ -2047,7 +2047,7 @@ namespace CGAL {
                         {
                           new_candidate = compute_value(mem_Ifacet);
                           if ((new_candidate != mem_e_it))
-                            // 			      &&(new_candidate.first < NOT_VALID_CANDIDATE))
+                            //                               &&(new_candidate.first < NOT_VALID_CANDIDATE))
                             {
                               IO_edge_type* pnew =
                                 set_again_border_elt(key_tmp.first, key_tmp.second,
@@ -2369,7 +2369,7 @@ namespace CGAL {
             {
               std::list<Vertex_handle> L_v_tmp;
               Vertex_handle vprev_it(v_it), done(vprev_it), vh_it;
-              // 	  Vertex_handle vsucc_it;
+              //           Vertex_handle vsucc_it;
               int v_count(0);
               // collect all vertices on the border
               do
diff -pruN 5.0.2-3/include/CGAL/Advancing_front_surface_reconstruction_vertex_base_3.h 5.0.3-1/include/CGAL/Advancing_front_surface_reconstruction_vertex_base_3.h
--- 5.0.2-3/include/CGAL/Advancing_front_surface_reconstruction_vertex_base_3.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Advancing_front_surface_reconstruction_vertex_base_3.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Advancing_front_surface_reconstruction/include/CGAL/Advancing_front_surface_reconstruction_vertex_base_3.h $
-// $Id: Advancing_front_surface_reconstruction_vertex_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Advancing_front_surface_reconstruction/include/CGAL/Advancing_front_surface_reconstruction_vertex_base_3.h $
+// $Id: Advancing_front_surface_reconstruction_vertex_base_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Frank Da, David Cohen-Steiner, Andreas Fabri
@@ -173,11 +173,11 @@ namespace CGAL {
     {
       if (m_incident_border == nullptr) return nullptr; //vh is interior
       if (m_incident_border->first->first != nullptr)
-	if (m_incident_border->first->second.second == i)
-	  return m_incident_border->first;
+        if (m_incident_border->first->second.second == i)
+          return m_incident_border->first;
       if (m_incident_border->second->first != nullptr)
-	if (m_incident_border->second->second.second == i)
-	  return m_incident_border->second;
+        if (m_incident_border->second->second.second == i)
+          return m_incident_border->second;
       return nullptr;
     }
 
@@ -188,7 +188,7 @@ namespace CGAL {
     {
       if (m_incident_border == nullptr) return false;
       return ((m_incident_border->first->first == v)||
-	      (m_incident_border->second->first == v));
+              (m_incident_border->second->first == v));
     }
 
     inline Next_border_elt* border_elt(Vertex_handle v) const
@@ -216,13 +216,13 @@ namespace CGAL {
     inline  void set_next_border_elt(const Next_border_elt& elt)
     {
       if (m_incident_border->first->first == nullptr)
-	*m_incident_border->first = elt;
+        *m_incident_border->first = elt;
       else
-	{
-	  if (m_incident_border->second->first != nullptr)
-	    std::cerr << "+++probleme de MAJ du bord <Vertex_base>" << std::endl;
-	  *m_incident_border->second = elt;
-	}
+        {
+          if (m_incident_border->second->first != nullptr)
+            std::cerr << "+++probleme de MAJ du bord <Vertex_base>" << std::endl;
+          *m_incident_border->second = elt;
+        }
     }
 
 
@@ -257,9 +257,9 @@ namespace CGAL {
     inline void inc_mark()
     {
       if (m_mark==-1)
-	m_mark=1;
+        m_mark=1;
       else
-	m_mark++;
+        m_mark++;
     }
 
     //-------------------------------------------------------------------
diff -pruN 5.0.2-3/include/CGAL/Aff_transformation_2.h 5.0.3-1/include/CGAL/Aff_transformation_2.h
--- 5.0.2-3/include/CGAL/Aff_transformation_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Aff_transformation_2.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Aff_transformation_2.h $
-// $Id: Aff_transformation_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Aff_transformation_2.h $
+// $Id: Aff_transformation_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Andreas Fabri, Stefan Schirra
 
 #ifndef CGAL_AFF_TRANSFORMATION_2_H
diff -pruN 5.0.2-3/include/CGAL/Aff_transformation_3.h 5.0.3-1/include/CGAL/Aff_transformation_3.h
--- 5.0.2-3/include/CGAL/Aff_transformation_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Aff_transformation_3.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Aff_transformation_3.h $
-// $Id: Aff_transformation_3.h 530fa6b 2019-12-20T09:48:05+01:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Aff_transformation_3.h $
+// $Id: Aff_transformation_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri, Stefan Schirra
diff -pruN 5.0.2-3/include/CGAL/aff_transformation_tags.h 5.0.3-1/include/CGAL/aff_transformation_tags.h
--- 5.0.2-3/include/CGAL/aff_transformation_tags.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/aff_transformation_tags.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/aff_transformation_tags.h $
-// $Id: aff_transformation_tags.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/aff_transformation_tags.h $
+// $Id: aff_transformation_tags.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
- 
+
 
 #ifndef CGAL_AFF_TRANSFORMATION_TAGS_H
 #define CGAL_AFF_TRANSFORMATION_TAGS_H
diff -pruN 5.0.2-3/include/CGAL/aff_transformation_tags_impl.h 5.0.3-1/include/CGAL/aff_transformation_tags_impl.h
--- 5.0.2-3/include/CGAL/aff_transformation_tags_impl.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/aff_transformation_tags_impl.h	2020-08-01 19:02:27.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/aff_transformation_tags_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/aff_transformation_tags_impl.h $
 // $Id: aff_transformation_tags_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Algebraic_extension_traits.h 5.0.3-1/include/CGAL/Algebraic_extension_traits.h
--- 5.0.2-3/include/CGAL/Algebraic_extension_traits.h	2020-02-21 20:02:45.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_extension_traits.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_foundations/include/CGAL/Algebraic_extension_traits.h $
-// $Id: Algebraic_extension_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_foundations/include/CGAL/Algebraic_extension_traits.h $
+// $Id: Algebraic_extension_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -14,7 +14,7 @@
 
 
 /*! \file CGAL/Algebraic_extension_traits.h
- *  \brief Defines traits class CGAL::Algebraic_extension_traits. 
+ *  \brief Defines traits class CGAL::Algebraic_extension_traits.
 */
 
 #ifndef CGAL_ALGEBRAIC_NUMBER_TRAITS_H
@@ -29,22 +29,22 @@ namespace CGAL {
 template< class T >
 class Algebraic_extension_traits {
 public:
-    //! \name Typedefs 
+    //! \name Typedefs
     //! the number type for which this instance has been instantiated
     typedef T Type;
     //! standard number types are not extended
     typedef CGAL::Tag_false Is_extended;
-  
-    //! computes the factor which normalizes a number to be integral after 
+
+    //! computes the factor which normalizes a number to be integral after
     //  multiplication
-    class Normalization_factor 
+    class Normalization_factor
         : public CGAL::cpp98::unary_function<Type,Type> {
     private:
-        static Type 
+        static Type
         normalization_factor(const Type&,Integral_domain_without_division_tag){
             return Type(1);
         }
-        static Type 
+        static Type
         normalization_factor(const Type& a, Field_tag){
             return Type(1)/a;
         }
@@ -57,15 +57,15 @@ public:
             return normalization_factor(a, Tag());
         }
     };
-    
-    class Denominator_for_algebraic_integers 
+
+    class Denominator_for_algebraic_integers
         : public CGAL::cpp98::unary_function<Type,Type> {
-    public: 
+    public:
         //! determine normalization factor
         Type operator () (const Type&) {
             return Type(1);
         }
-        
+
         template <class InputIterator>
         Type operator () (InputIterator, InputIterator) {
             return Type(1);
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_converter.h 5.0.3-1/include/CGAL/Algebraic_kernel_converter.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_converter.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_converter.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_circles/include/CGAL/Algebraic_kernel_converter.h $
-// $Id: Algebraic_kernel_converter.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_circles/include/CGAL/Algebraic_kernel_converter.h $
+// $Id: Algebraic_kernel_converter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Constantinos Tsirogiannis
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_ALGEBRAIC_KERNEL_FOR_CIRCLES_CONVERTER_H
@@ -29,32 +29,32 @@ namespace CGAL {
 // - FT converter ?
 
 template < class Al_K1, class Al_K2,
-           class RT_converter = NT_converter<typename Al_K1::RT, 
+           class RT_converter = NT_converter<typename Al_K1::RT,
                                              typename Al_K2::RT>,
-	   class Root_of_converter = NT_converter<typename Al_K1::Root_of_2,
-					          typename Al_K2::Root_of_2 > >
+           class Root_of_converter = NT_converter<typename Al_K1::Root_of_2,
+                                                  typename Al_K2::Root_of_2 > >
 class Algebraic_kernel_converter {
 public:
 
-	typedef typename Al_K1::RT      RT_1;
-	typedef typename Al_K2::RT      RT_2;
-	typedef RT_converter            RT_type_converter;
-	typedef Root_of_converter       Root_of_type_converter;
-
-	typename Al_K2::Polynomial_1_2 operator () (const typename Al_K1::Polynomial_1_2 &p) const
-	{
-		return typename Al_K2::Polynomial_1_2(RT_converter()(p.a()),
+        typedef typename Al_K1::RT      RT_1;
+        typedef typename Al_K2::RT      RT_2;
+        typedef RT_converter            RT_type_converter;
+        typedef Root_of_converter       Root_of_type_converter;
+
+        typename Al_K2::Polynomial_1_2 operator () (const typename Al_K1::Polynomial_1_2 &p) const
+        {
+                return typename Al_K2::Polynomial_1_2(RT_converter()(p.a()),
                                                       RT_converter()(p.b()),
-					              RT_converter()(p.c()));
-	}
+                                                      RT_converter()(p.c()));
+        }
 
-	typename Al_K2::Polynomial_for_circles_2_2 operator () 
-               	(const typename Al_K1::Polynomial_for_circles_2_2 &p) const
-	{
-		return typename Al_K2::Polynomial_for_circles_2_2(RT_converter()(p.a()),
+        typename Al_K2::Polynomial_for_circles_2_2 operator ()
+                       (const typename Al_K1::Polynomial_for_circles_2_2 &p) const
+        {
+                return typename Al_K2::Polynomial_for_circles_2_2(RT_converter()(p.a()),
                                                                   RT_converter()(p.b()),
-							          RT_converter()(p.r_sq()));
-	}
+                                                                  RT_converter()(p.r_sq()));
+        }
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Algebraic_curve_kernel_2.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Algebraic_curve_kernel_2.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Algebraic_curve_kernel_2.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Algebraic_curve_kernel_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Algebraic_curve_kernel_2.h $
-// $Id: Algebraic_curve_kernel_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Algebraic_curve_kernel_2.h $
+// $Id: Algebraic_curve_kernel_2.h 67b53fa 2020-04-29T14:06:37+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Eric Berberich <eric@mpi-inf.mpg.de>
 //                 Pavel Emeliyanenko <asm@mpi-sb.mpg.de>
@@ -61,10 +61,10 @@ namespace CGAL {
  * As such, it contains functionality
  * for solving and manipulating (systems of) bivariate polynomials,
  * of arbitrary degree,
- * as required by the \c AlgebraicKernel_d_2 concept. 
+ * as required by the \c AlgebraicKernel_d_2 concept.
  * Additionally, it contains functionality for the topological-geometric
- * analysis of a single algebraic curve 
- * (given as the vanishing set of the polynomial), 
+ * analysis of a single algebraic curve
+ * (given as the vanishing set of the polynomial),
  * and of a pair of curves (given as a pair of polynomials), as required by the
  * \c AlgebraicKernelWithAnalysis_d_2 concept. These two analyses are
  * available via the types \c Curve_analysis_2 and Curve_pair_analysis_2.
@@ -79,7 +79,7 @@ namespace CGAL {
  * \b Algebraic_curve_kernel_2 is a template class, and needs a model
  * of the \c AlgebraicKernel_d_1 concept as parameter.
  *
- * Internally, the curve- and curve-pair analysis 
+ * Internally, the curve- and curve-pair analysis
  * are the computational fundament of the kernel. That means, whenever
  * a polynomial is considered within the kernel, the curve analysis
  * of the corresponding algebraic curve is performed.
@@ -98,16 +98,16 @@ class Algebraic_curve_kernel_2 : public
 // the same for construction functors
 #define CGAL_Algebraic_Kernel_cons(Y,Z) CGAL_Algebraic_Kernel_pred(Y,Z)
 
-protected:    
+protected:
     // temporary types
-    
+
 public:
     //!\name public typedefs
     //!@{
 
     //! type of 1D algebraic kernel
     typedef AlgebraicKernel_d_1 Algebraic_kernel_d_1;
-    
+
     //! type of x-coordinate
     typedef typename Algebraic_kernel_d_1::Algebraic_real_1 Algebraic_real_1;
 
@@ -118,43 +118,43 @@ public:
     typedef Algebraic_curve_kernel_2<AlgebraicKernel_d_1> Self;
 
     typedef Self Algebraic_kernel_d_2;
-    
+
     // Bound type
     typedef typename Algebraic_kernel_d_1::Bound Bound;
 
     typedef typename Algebraic_kernel_d_1::size_type size_type;
     typedef typename Algebraic_kernel_d_1::Multiplicity_type Multiplicity_type;
-        
+
     typedef typename CGAL::Get_arithmetic_kernel<Bound>::Arithmetic_kernel
       Arithmetic_kernel;
-    
+
     typedef typename Arithmetic_kernel::Bigfloat Bigfloat;
     typedef typename Arithmetic_kernel::Bigfloat_interval Bigfloat_interval;
-    
-    //! Univariate polynomial type 
+
+    //! Univariate polynomial type
     typedef typename Algebraic_kernel_d_1::Polynomial_1 Polynomial_1;
-    
+
     //! Bivariate polynomial type
     typedef typename CGAL::Polynomial_traits_d<Polynomial_1>
     :: template Rebind<Coefficient,2>::Other::Type Polynomial_2;
-    
+
     //! bivariate polynomial traits
     typedef ::CGAL::Polynomial_traits_d< Polynomial_2 >
         Polynomial_traits_2;
 
     /*!
-     * \brief  type of a curve point, a model for the 
+     * \brief  type of a curve point, a model for the
      * \c AlgebraicKernel_d_2::AlgebraicReal_2 concept
      */
     typedef internal::Xy_coordinate_2<Self> Algebraic_real_2;
 
-    /*! 
+    /*!
      * type of the curve analysis, a model for the
      * \c AlgebraicKernelWithAnalysis_d_2::CurveAnalysis_2 concept
      */
-    typedef CGAL::Curve_analysis_2<Self> Curve_analysis_2; 
+    typedef CGAL::Curve_analysis_2<Self> Curve_analysis_2;
 
-    /*! 
+    /*!
      * type of the curve pair analysis, a model for the
      * \c AlgebraicKernelWithAnalysis_d_2::CurvePairAnalysis_2 concept
      */
@@ -166,29 +166,29 @@ public:
     //  berfriending representations to make protected typedefs available
     friend class internal::Curve_analysis_2_rep<Self>;
     friend class internal::Curve_pair_analysis_2_rep<Self>;
-    
+
     //!@}
     //! \name rebind operator
     //!@{
 
-    template <class NewAlgebraicKernel> 
-    struct rebind { 
-        typedef Algebraic_curve_kernel_2<NewAlgebraicKernel> Other;        
+    template <class NewAlgebraicKernel>
+    struct rebind {
+        typedef Algebraic_curve_kernel_2<NewAlgebraicKernel> Other;
     };
 
     //!@}
 protected:
     //! \name private functors
     //!@{
- 
+
 #if 0
-   
+
     //! polynomial canonicalizer, needed for the cache
-    template <class Poly> 
+    template <class Poly>
     struct Poly_canonicalizer : public CGAL::cpp98::unary_function< Poly, Poly >
     {
     // use Polynomial_traits_d<>::Canonicalize ?
-        Poly operator()(Poly p) 
+        Poly operator()(Poly p)
         {
             typedef CGAL::Scalar_factor_traits<Poly> Sf_traits;
             typedef typename Sf_traits::Scalar Scalar;
@@ -200,19 +200,19 @@ protected:
                      return p;
             }
             CGAL_assertion(g != Scalar(0));
-            if(g != Scalar(1)) 
+            if(g != Scalar(1))
                 scalar_div(p,g);
-            if(CGAL::leading_coefficient(CGAL::leading_coefficient(p))) < 0) 
+            if(CGAL::leading_coefficient(CGAL::leading_coefficient(p))) < 0)
                 scalar_div(p,Scalar(-1));
-            return p;        
+            return p;
         }
-           
+
     };
 #endif
 
     // NOT a curve pair in our notation, simply a std::pair of Curve_analysis_2
     typedef std::pair<Curve_analysis_2, Curve_analysis_2> Pair_of_curves_2;
-    
+
     //! orders pair items by ids
     struct Pair_id_order {
 #ifdef CGAL_ALGEBRAIC_KERNEL_DONT_SWAP
@@ -220,17 +220,17 @@ protected:
         const std::pair<T1, T2>& operator()(const std::pair<T1, T2>& p) const {
           return p;
         }
-#else      
+#else
         template<class T1, class T2>
         std::pair<T1, T2> operator()(const std::pair<T1, T2>& p) const {
-            
+
           if(p.first.id() > p.second.id())
             return std::make_pair(p.second, p.first);
           return p;
         }
  #endif
     };
-    
+
     class Curve_creator {
 
     public:
@@ -241,9 +241,9 @@ protected:
         }
 
     protected:
-        
+
         Algebraic_kernel_d_2* _m_kernel;
-        
+
     };
 
     template <class Result>
@@ -259,11 +259,11 @@ protected:
         }
 
     protected:
-        
+
         Algebraic_kernel_d_2* _m_kernel;
-        
+
     };
-    
+
     struct Pair_id_equal_to {
 
         template <class T1, class T2>
@@ -281,29 +281,29 @@ protected:
         typename Polynomial_traits_2::Canonicalize,
         Curve_creator > Curve_cache_2;
 
-    //! type of curve pair analysis cache 
+    //! type of curve pair analysis cache
     typedef internal::LRU_hashed_map_with_kernel<Self,Pair_of_curves_2,
         Curve_pair_analysis_2, internal::Pair_hasher, Pair_id_equal_to,
         Pair_id_order,
         Pair_creator<Curve_pair_analysis_2> > Curve_pair_cache_2;
-    
+
     typedef std::pair<Polynomial_2, Polynomial_2>
         Pair_of_polynomial_2;
 
     template<typename T> struct Gcd {
-    
+
         T operator() (std::pair<T,T> pair) {
             return typename CGAL::Polynomial_traits_d<Polynomial_2>
                 ::Gcd_up_to_constant_factor()(pair.first,pair.second);
         }
-    } ;     
+    } ;
 
 
     template<typename T> struct Pair_cannonicalize {
-    
+
         std::pair<T,T> operator() (std::pair<T,T> pair) {
-        
-            if(pair.first > pair.second) 
+
+            if(pair.first > pair.second)
                 return std::make_pair(pair.second,pair.first);
             return pair;
         }
@@ -313,7 +313,7 @@ protected:
     <Polynomial_2, Polynomial_2,
             std::less<Polynomial_2>,
             std::less<Polynomial_2> > Polynomial_2_compare;
-    
+
     //! Cache for gcd computations
     typedef CGAL::Cache<Pair_of_polynomial_2,
                         Polynomial_2,
@@ -326,49 +326,49 @@ protected:
 public:
     //!\name cache access functions
     //!@{
-                        
+
     //! access to the gcd_cache
     Gcd_cache_2& gcd_cache_2() const {
         return *_m_gcd_cache_2;
     }
 
     //! access to the curve cache
-    Curve_cache_2& curve_cache_2() const 
+    Curve_cache_2& curve_cache_2() const
     {
         return *_m_curve_cache_2;
     }
-    
+
     //! access to the curve pair cache
-    Curve_pair_cache_2& curve_pair_cache_2() const 
+    Curve_pair_cache_2& curve_pair_cache_2() const
     {
         return *_m_curve_pair_cache_2;
     }
 
     // Composition of two unary functors
     template<typename InnerFunctor,typename OuterFunctor>
-      class Unary_compose 
+      class Unary_compose
       : public CGAL::cpp98::unary_function<typename InnerFunctor::argument_type,
                                    typename OuterFunctor::result_type> {
-				     
+
     public:
-	     
+
        Unary_compose(const InnerFunctor& inner,
-		     const OuterFunctor& outer) 
-	 : _inner(inner), _outer(outer) {}
-	 
+                     const OuterFunctor& outer)
+         : _inner(inner), _outer(outer) {}
+
        Unary_compose(const Unary_compose& other)
-	 : _inner(other._inner), _outer(other._outer) {}
+         : _inner(other._inner), _outer(other._outer) {}
 
-	 Unary_compose() : _inner(::boost::none),_outer(::boost::none) {}
+         Unary_compose() : _inner(::boost::none),_outer(::boost::none) {}
 
        typedef typename InnerFunctor::argument_type argument_type;
        typedef typename OuterFunctor::result_type result_type;
-			     
+
 
        result_type operator() (const argument_type& arg) const {
-	 CGAL_assertion(bool(_inner));
-	 CGAL_assertion(bool(_outer));
-	 return _outer.get()(_inner.get()(arg));
+         CGAL_assertion(bool(_inner));
+         CGAL_assertion(bool(_outer));
+         return _outer.get()(_inner.get()(arg));
        }
     private:
        ::boost::optional<InnerFunctor> _inner;
@@ -377,7 +377,7 @@ public:
 
     template<typename InnerFunctor,typename OuterFunctor>
       Unary_compose<InnerFunctor,OuterFunctor>
-      unary_compose(const InnerFunctor& inner, const OuterFunctor& outer) 
+      unary_compose(const InnerFunctor& inner, const OuterFunctor& outer)
       const {
       return Unary_compose<InnerFunctor,OuterFunctor>(inner, outer);
     }
@@ -386,19 +386,19 @@ public:
     //!@}
     //! \name public functors and predicates
     //!@{
-       
-                
+
+
 public:
-    //! \brief default constructor 
-    Algebraic_curve_kernel_2() 
+    //! \brief default constructor
+    Algebraic_curve_kernel_2()
       : _m_gcd_cache_2(new Gcd_cache_2())
-    {  
-      _m_curve_cache_2 = boost::shared_ptr<Curve_cache_2>(new Curve_cache_2(this)); 
-      _m_curve_pair_cache_2 =  boost::shared_ptr<Curve_pair_cache_2> (new Curve_pair_cache_2(this)); 
-      // std::cout << "CONSTRUCTION  Algebraic_curve_kernel_2 " << std::endl; 
+    {
+      _m_curve_cache_2 = boost::shared_ptr<Curve_cache_2>(new Curve_cache_2(this));
+      _m_curve_pair_cache_2 =  boost::shared_ptr<Curve_pair_cache_2> (new Curve_pair_cache_2(this));
+      // std::cout << "CONSTRUCTION  Algebraic_curve_kernel_2 " << std::endl;
     }
-    
-public: 
+
+public:
     static auto initialize_poly_0() {
       Polynomial_2 poly_0;
       return poly_0;
@@ -427,16 +427,20 @@ public:
     public:
 
         Construct_curve_2(const Algebraic_kernel_d_2* kernel) : _m_kernel(kernel) {}
-            
+
       Curve_analysis_2 operator()
         (const Polynomial_2& f) const {
-        return _m_kernel->curve_cache_2()(f);
+        if (_m_kernel->is_square_free_2_object()(f)) {
+          return _m_kernel->curve_cache_2()(f);
+        } else {
+          return _m_kernel->curve_cache_2()(_m_kernel->make_square_free_2_object()(f));
+        }
       }
 
     protected:
 
         const Algebraic_kernel_d_2* _m_kernel;
-        
+
 
     };
     CGAL_Algebraic_Kernel_cons(Construct_curve_2, construct_curve_2_object);
@@ -451,12 +455,12 @@ public:
 
     public:
 
-        Construct_curve_pair_2(const Algebraic_kernel_d_2* kernel) 
+        Construct_curve_pair_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
-           
+
         Curve_pair_analysis_2 operator()
            (const Curve_analysis_2& ca1, const Curve_analysis_2& ca2) const {
-                
+
             Curve_pair_analysis_2 cpa_2 =
                 _m_kernel->curve_pair_cache_2()(std::make_pair(ca1, ca2));
             return cpa_2;
@@ -475,445 +479,445 @@ public:
     private:
 
       Curve_analysis_2 _construct_defining_polynomial_from(Bound b) const {
-	typedef CGAL::Fraction_traits<Bound> FT;
-	// We rely on the fact that the Bound is a fraction
-	CGAL_static_assertion((::boost::is_same<typename FT::Is_fraction,
-			                     CGAL::Tag_true>::value));
-	typedef typename FT::Numerator_type Numerator;
-	typedef typename FT::Denominator_type Denominator;
-	typedef CGAL::Coercion_traits<Numerator,Coefficient> Num_coercion;
-	CGAL_static_assertion((::boost::is_same
-			      <Coefficient,
-   			       typename Num_coercion::Type>::value));
-	typedef CGAL::Coercion_traits<Denominator,Coefficient> Denom_coercion;
-	CGAL_static_assertion((::boost::is_same
-			       <Coefficient,
-			        typename Denom_coercion::Type>::value));
-	typename Num_coercion::Cast num_cast;
-	typename Denom_coercion::Cast denom_cast;
-	typename FT::Decompose decompose;
-	
-	Numerator num_uncasted;
-	Denominator denom_uncasted;
-	decompose(b,num_uncasted,denom_uncasted);
-
-	Coefficient num = num_cast(num_uncasted);
-	Coefficient denom = denom_cast(denom_uncasted);
-
-	typedef CGAL::Exponent_vector Exponent;
-	std::pair<Exponent,Coefficient> coeffs[2] 
-	  = {std::make_pair(Exponent(0,0),num),
-	     std::make_pair(Exponent(0,1),-denom)};
-	Polynomial_2 pol = typename Polynomial_traits_2
-	  ::Construct_polynomial()(coeffs,coeffs+2);
-	return _m_kernel->construct_curve_2_object()(pol);
+        typedef CGAL::Fraction_traits<Bound> FT;
+        // We rely on the fact that the Bound is a fraction
+        CGAL_static_assertion((::boost::is_same<typename FT::Is_fraction,
+                                             CGAL::Tag_true>::value));
+        typedef typename FT::Numerator_type Numerator;
+        typedef typename FT::Denominator_type Denominator;
+        typedef CGAL::Coercion_traits<Numerator,Coefficient> Num_coercion;
+        CGAL_static_assertion((::boost::is_same
+                              <Coefficient,
+                                  typename Num_coercion::Type>::value));
+        typedef CGAL::Coercion_traits<Denominator,Coefficient> Denom_coercion;
+        CGAL_static_assertion((::boost::is_same
+                               <Coefficient,
+                                typename Denom_coercion::Type>::value));
+        typename Num_coercion::Cast num_cast;
+        typename Denom_coercion::Cast denom_cast;
+        typename FT::Decompose decompose;
+
+        Numerator num_uncasted;
+        Denominator denom_uncasted;
+        decompose(b,num_uncasted,denom_uncasted);
+
+        Coefficient num = num_cast(num_uncasted);
+        Coefficient denom = denom_cast(denom_uncasted);
+
+        typedef CGAL::Exponent_vector Exponent;
+        std::pair<Exponent,Coefficient> coeffs[2]
+          = {std::make_pair(Exponent(0,0),num),
+             std::make_pair(Exponent(0,1),-denom)};
+        Polynomial_2 pol = typename Polynomial_traits_2
+          ::Construct_polynomial()(coeffs,coeffs+2);
+        return _m_kernel->construct_curve_2_object()(pol);
       }
-	
+
       Curve_analysis_2 _construct_defining_polynomial_from
-	(typename CGAL::First_if_different<Coefficient,Bound>::Type c) const {
-	typedef CGAL::Exponent_vector Exponent;
-	std::pair<Exponent,Coefficient> coeffs[2] 
-	  = {std::make_pair(Exponent(0,0),c),std::make_pair(Exponent(0,1),-1)};
-	Polynomial_2 pol = typename Polynomial_traits_2
-	  ::Construct_polynomial()(coeffs,coeffs+2);
-	return _m_kernel->construct_curve_2_object()(pol);
+        (typename CGAL::First_if_different<Coefficient,Bound>::Type c) const {
+        typedef CGAL::Exponent_vector Exponent;
+        std::pair<Exponent,Coefficient> coeffs[2]
+          = {std::make_pair(Exponent(0,0),c),std::make_pair(Exponent(0,1),-1)};
+        Polynomial_2 pol = typename Polynomial_traits_2
+          ::Construct_polynomial()(coeffs,coeffs+2);
+        return _m_kernel->construct_curve_2_object()(pol);
       }
 
 
     public:
-      
+
       typedef Algebraic_real_2 result_type;
 
-      Construct_algebraic_real_2(const Algebraic_kernel_d_2* kernel) 
-	: _m_kernel(kernel) {}
-	
+      Construct_algebraic_real_2(const Algebraic_kernel_d_2* kernel)
+        : _m_kernel(kernel) {}
+
 
       result_type operator() (int x,int y) const {
-	return this->operator()(Bound(x),Bound(y));
+        return this->operator()(Bound(x),Bound(y));
       }
 
       result_type operator() (Bound x,Bound y) const {
-	Algebraic_real_1 x_alg 
-	  = _m_kernel->construct_algebraic_real_1_object()(x);
-	Curve_analysis_2 ca
-	  = this->_construct_defining_polynomial_from(y);
-	return Algebraic_real_2(x_alg,ca,0);
-      }
-
-      result_type operator() 
-	(typename CGAL::First_if_different<Coefficient,Bound>::Type x,
-	 typename CGAL::First_if_different<Coefficient,Bound>::Type y) const {
-	Algebraic_real_1 x_alg 
-	  = _m_kernel->construct_algebraic_real_1_object()(x);
-	Curve_analysis_2 ca 
-	  = this->_construct_defining_polynomial_from(y);
-	return Algebraic_real_2(x_alg,ca,0);
+        Algebraic_real_1 x_alg
+          = _m_kernel->construct_algebraic_real_1_object()(x);
+        Curve_analysis_2 ca
+          = this->_construct_defining_polynomial_from(y);
+        return Algebraic_real_2(x_alg,ca,0);
+      }
+
+      result_type operator()
+        (typename CGAL::First_if_different<Coefficient,Bound>::Type x,
+         typename CGAL::First_if_different<Coefficient,Bound>::Type y) const {
+        Algebraic_real_1 x_alg
+          = _m_kernel->construct_algebraic_real_1_object()(x);
+        Curve_analysis_2 ca
+          = this->_construct_defining_polynomial_from(y);
+        return Algebraic_real_2(x_alg,ca,0);
       }
-      
+
       result_type operator() (Algebraic_real_1 x, Algebraic_real_1 y) const {
-	std::vector< Algebraic_real_1> roots;
-	Polynomial_1 y_pol =_m_kernel->compute_polynomial_1_object()(y); 
-	_m_kernel->solve_1_object()(y_pol,true,std::back_inserter(roots));
-	std::pair<typename std::vector< Algebraic_real_1>::iterator,
-            	  typename std::vector< Algebraic_real_1>::iterator>
-	  it_pair = std::equal_range(roots.begin(),roots.end(),y);
-	CGAL_assertion(std::distance(it_pair.first,it_pair.second)==1);
-	int index = static_cast<int>(std::distance(roots.begin(),it_pair.first));
-	
-	int degree = CGAL::degree(y_pol);
-	std::vector<std::pair<CGAL::Exponent_vector,Coefficient> > coeffs;
-	for(int i=0;i<=degree;i++) {
-	  Coefficient c = CGAL::get_coefficient(y_pol,i);
-	  coeffs.push_back(std::make_pair(CGAL::Exponent_vector(0,i),c));
-	}
-	Polynomial_2 y_pol_in_xy
-	  = typename Polynomial_traits_2::Construct_polynomial()
-	      (coeffs.begin(),coeffs.end());
-	Curve_analysis_2 ca 
-	  = _m_kernel->construct_curve_2_object()(y_pol_in_xy);
-	return Algebraic_real_2(x,ca,index);
-      }
-      
-      result_type operator() (Polynomial_2 f,Polynomial_2 g,size_type i) 
-	const {
-	CGAL_precondition(_m_kernel->is_square_free_2_object()(f));
-	CGAL_precondition(_m_kernel->is_square_free_2_object()(g));
-	CGAL_precondition(_m_kernel->is_coprime_2_object()(f,g));
-	std::vector<std::pair<Algebraic_real_2,Multiplicity_type> > roots;
-	this->_m_kernel->solve_2_object()(f,g,std::back_inserter(roots));
-	CGAL_assertion(roots.size()>static_cast<size_t>(i));
-	return roots[i].first;
+        std::vector< Algebraic_real_1> roots;
+        Polynomial_1 y_pol =_m_kernel->compute_polynomial_1_object()(y);
+        _m_kernel->solve_1_object()(y_pol,true,std::back_inserter(roots));
+        std::pair<typename std::vector< Algebraic_real_1>::iterator,
+                      typename std::vector< Algebraic_real_1>::iterator>
+          it_pair = std::equal_range(roots.begin(),roots.end(),y);
+        CGAL_assertion(std::distance(it_pair.first,it_pair.second)==1);
+        int index = static_cast<int>(std::distance(roots.begin(),it_pair.first));
+
+        int degree = CGAL::degree(y_pol);
+        std::vector<std::pair<CGAL::Exponent_vector,Coefficient> > coeffs;
+        for(int i=0;i<=degree;i++) {
+          Coefficient c = CGAL::get_coefficient(y_pol,i);
+          coeffs.push_back(std::make_pair(CGAL::Exponent_vector(0,i),c));
+        }
+        Polynomial_2 y_pol_in_xy
+          = typename Polynomial_traits_2::Construct_polynomial()
+              (coeffs.begin(),coeffs.end());
+        Curve_analysis_2 ca
+          = _m_kernel->construct_curve_2_object()(y_pol_in_xy);
+        return Algebraic_real_2(x,ca,index);
+      }
+
+      result_type operator() (Polynomial_2 f,Polynomial_2 g,size_type i)
+        const {
+        CGAL_precondition(_m_kernel->is_square_free_2_object()(f));
+        CGAL_precondition(_m_kernel->is_square_free_2_object()(g));
+        CGAL_precondition(_m_kernel->is_coprime_2_object()(f,g));
+        std::vector<std::pair<Algebraic_real_2,Multiplicity_type> > roots;
+        this->_m_kernel->solve_2_object()(f,g,std::back_inserter(roots));
+        CGAL_assertion(roots.size()>static_cast<size_t>(i));
+        return roots[i].first;
       }
 
       result_type operator() (Polynomial_2 f,Polynomial_2 g,
-			      Bound x_l, Bound x_u, 
-			      Bound y_l, Bound y_u) const {
-	CGAL_precondition(x_l<x_u);
-	CGAL_precondition(y_l<y_u);
-	CGAL_precondition(_m_kernel->is_square_free_2_object()(f));
-	CGAL_precondition(_m_kernel->is_square_free_2_object()(g));
-	CGAL_precondition(_m_kernel->is_coprime_2_object()(f,g));
-	std::vector<std::pair<Algebraic_real_2,Multiplicity_type> > roots;
-	this->_m_kernel->solve_2_object()(f,g,x_l,x_u,y_l,y_u,
-					 std::back_inserter(roots));
-	CGAL_precondition(roots.size()==1);
-	CGAL_precondition(_m_kernel->compare_x_2_object()(roots[0].first,x_l)
-          	          == CGAL::LARGER);
-	CGAL_precondition(_m_kernel->compare_x_2_object()(roots[0].first,x_u)
-          	          == CGAL::SMALLER);
-	CGAL_precondition(_m_kernel->compare_y_2_object()(roots[0].first,y_l)
-          	          == CGAL::LARGER);
-	CGAL_precondition(_m_kernel->compare_y_2_object()(roots[0].first,y_u)
-          	          == CGAL::SMALLER);
-	return roots[0].first;
+                              Bound x_l, Bound x_u,
+                              Bound y_l, Bound y_u) const {
+        CGAL_precondition(x_l<x_u);
+        CGAL_precondition(y_l<y_u);
+        CGAL_precondition(_m_kernel->is_square_free_2_object()(f));
+        CGAL_precondition(_m_kernel->is_square_free_2_object()(g));
+        CGAL_precondition(_m_kernel->is_coprime_2_object()(f,g));
+        std::vector<std::pair<Algebraic_real_2,Multiplicity_type> > roots;
+        this->_m_kernel->solve_2_object()(f,g,x_l,x_u,y_l,y_u,
+                                         std::back_inserter(roots));
+        CGAL_precondition(roots.size()==1);
+        CGAL_precondition(_m_kernel->compare_x_2_object()(roots[0].first,x_l)
+                            == CGAL::LARGER);
+        CGAL_precondition(_m_kernel->compare_x_2_object()(roots[0].first,x_u)
+                            == CGAL::SMALLER);
+        CGAL_precondition(_m_kernel->compare_y_2_object()(roots[0].first,y_l)
+                            == CGAL::LARGER);
+        CGAL_precondition(_m_kernel->compare_y_2_object()(roots[0].first,y_u)
+                            == CGAL::SMALLER);
+        return roots[0].first;
       }
 
       // These are not part of the concept, but used internally
 
       result_type operator() (Algebraic_real_1 x,int y) const {
-	return this->operator()(x,Bound(y));
+        return this->operator()(x,Bound(y));
       }
 
       result_type operator() (Algebraic_real_1 x,Bound y) const {
-	Curve_analysis_2 ca 
-	  = this->_construct_defining_polynomial_from(y);
-	return Algebraic_real_2(x,ca,0);
+        Curve_analysis_2 ca
+          = this->_construct_defining_polynomial_from(y);
+        return Algebraic_real_2(x,ca,0);
       }
 
-      result_type operator() 
-	(Algebraic_real_1 x,
-	 typename CGAL::First_if_different<Coefficient,Bound>::Type y) const {
-	Curve_analysis_2 ca 
-	  = this->_construct_defining_polynomial_from(y);
-	return Algebraic_real_2(x,ca,0);
+      result_type operator()
+        (Algebraic_real_1 x,
+         typename CGAL::First_if_different<Coefficient,Bound>::Type y) const {
+        Curve_analysis_2 ca
+          = this->_construct_defining_polynomial_from(y);
+        return Algebraic_real_2(x,ca,0);
       }
-      
+
 
     protected:
       const Algebraic_kernel_d_2* _m_kernel;
 
     };
-    CGAL_Algebraic_Kernel_cons(Construct_algebraic_real_2, 
-			       construct_algebraic_real_2_object);
-      
+    CGAL_Algebraic_Kernel_cons(Construct_algebraic_real_2,
+                               construct_algebraic_real_2_object);
+
+
 
-    
     class Compute_polynomial_x_2 :
       public CGAL::cpp98::unary_function<Algebraic_real_2, Polynomial_1> {
 
     public:
 
-      Compute_polynomial_x_2(const Algebraic_kernel_d_2* kernel) 
-	: _m_kernel(kernel) {}
-	  
+      Compute_polynomial_x_2(const Algebraic_kernel_d_2* kernel)
+        : _m_kernel(kernel) {}
+
       Polynomial_1 operator()(const Algebraic_real_2& xy) const {
-	return _m_kernel->compute_polynomial_1_object()(xy.x());
+        return _m_kernel->compute_polynomial_1_object()(xy.x());
       }
 
     protected:
-        
+
       const Algebraic_kernel_d_2* _m_kernel;
 
     };
-    CGAL_Algebraic_Kernel_cons(Compute_polynomial_x_2, 
-			       compute_polynomial_x_2_object);
+    CGAL_Algebraic_Kernel_cons(Compute_polynomial_x_2,
+                               compute_polynomial_x_2_object);
 
     class Compute_polynomial_y_2 :
       public CGAL::cpp98::unary_function<Algebraic_real_2, Polynomial_1> {
 
     public:
 
-      Compute_polynomial_y_2(const Algebraic_kernel_d_2* kernel) 
-	: _m_kernel(kernel) {}
-	  
+      Compute_polynomial_y_2(const Algebraic_kernel_d_2* kernel)
+        : _m_kernel(kernel) {}
+
       Polynomial_1 operator()(const Algebraic_real_2& xy) const {
-	return _m_kernel->compute_polynomial_1_object()(xy.y());
+        return _m_kernel->compute_polynomial_1_object()(xy.y());
       }
 
     protected:
-        
+
       const Algebraic_kernel_d_2* _m_kernel;
 
     };
-    CGAL_Algebraic_Kernel_cons(Compute_polynomial_y_2, 
-			       compute_polynomial_y_2_object);
+    CGAL_Algebraic_Kernel_cons(Compute_polynomial_y_2,
+                               compute_polynomial_y_2_object);
 
 
     class Isolate_x_2 : public CGAL::cpp98::binary_function<Algebraic_real_2,
                                                     Polynomial_1,
                                                     std::pair<Bound,Bound> > {
-      
+
     public:
 
-      Isolate_x_2(const Algebraic_kernel_d_2* kernel) 
-	: _m_kernel(kernel) {}
-	  
-	std::pair<Bound,Bound> operator()(Algebraic_real_2 a,
-					  Polynomial_1 p) const {
-	  return _m_kernel->isolate_1_object()
-	    (_m_kernel->compute_x_2_object()(a),p);
-	}
-    
+      Isolate_x_2(const Algebraic_kernel_d_2* kernel)
+        : _m_kernel(kernel) {}
+
+        std::pair<Bound,Bound> operator()(Algebraic_real_2 a,
+                                          Polynomial_1 p) const {
+          return _m_kernel->isolate_1_object()
+            (_m_kernel->compute_x_2_object()(a),p);
+        }
+
     protected:
-        
+
       const Algebraic_kernel_d_2* _m_kernel;
 
     };
-    CGAL_Algebraic_Kernel_cons(Isolate_x_2, 
-			       isolate_x_2_object);
+    CGAL_Algebraic_Kernel_cons(Isolate_x_2,
+                               isolate_x_2_object);
 
     class Isolate_y_2 : public CGAL::cpp98::binary_function<Algebraic_real_2,
                                                     Polynomial_1,
                                                     std::pair<Bound,Bound> > {
-      
+
     public:
 
-      Isolate_y_2(const Algebraic_kernel_d_2* kernel) 
-	: _m_kernel(kernel) {}
-	  
-	std::pair<Bound,Bound> operator()(Algebraic_real_2 a,
-					  Polynomial_1 p) const {
-	  // Note: One can avoid to compute the y-coordinate:
-	  // 1.) Construct a Polynomial_2 out of p (with no x-variable)
-	  // 2.) Check whether a lies on p
-	  // 3.) If no, approx the y-coordinate until it is isolated
-	  //     from all roots of p
-	  // 4.) If yes, return the isolating interval of the
-	  //     corresponding roots of p
-	  // 
-	  // It is not clear, however, whether this is less expensive,
-	  // especially if p has high degree
-	  return _m_kernel->isolate_1_object()
-	    (_m_kernel->compute_y_2_object()(a),p);
-	}
-    
+      Isolate_y_2(const Algebraic_kernel_d_2* kernel)
+        : _m_kernel(kernel) {}
+
+        std::pair<Bound,Bound> operator()(Algebraic_real_2 a,
+                                          Polynomial_1 p) const {
+          // Note: One can avoid to compute the y-coordinate:
+          // 1.) Construct a Polynomial_2 out of p (with no x-variable)
+          // 2.) Check whether a lies on p
+          // 3.) If no, approx the y-coordinate until it is isolated
+          //     from all roots of p
+          // 4.) If yes, return the isolating interval of the
+          //     corresponding roots of p
+          //
+          // It is not clear, however, whether this is less expensive,
+          // especially if p has high degree
+          return _m_kernel->isolate_1_object()
+            (_m_kernel->compute_y_2_object()(a),p);
+        }
+
     protected:
-        
+
       const Algebraic_kernel_d_2* _m_kernel;
 
     };
-    CGAL_Algebraic_Kernel_cons(Isolate_y_2, 
-			       isolate_y_2_object);
+    CGAL_Algebraic_Kernel_cons(Isolate_y_2,
+                               isolate_y_2_object);
 
     class Isolate_2 {
-      
+
     public:
 
       typedef std::array<Bound,4> result_type;
 
-      Isolate_2(const Algebraic_kernel_d_2* kernel) 
-	: _m_kernel(kernel) {}
-	  
+      Isolate_2(const Algebraic_kernel_d_2* kernel)
+        : _m_kernel(kernel) {}
+
     protected:
 
       // refines the approximation of a until the box is away from all
       // common solutions of f and g
       result_type _approx_interval(Algebraic_real_2 a,
-				   Polynomial_2 f,
-				   Polynomial_2 g) const {
-	CGAL_precondition(!_m_kernel->is_zero_at_2_object()(f,a));
-        
+                                   Polynomial_2 f,
+                                   Polynomial_2 g) const {
+        CGAL_precondition(!_m_kernel->is_zero_at_2_object()(f,a));
+
         typename Algebraic_curve_kernel_2::Approximate_absolute_x_2
-	  approx_x = _m_kernel->approximate_absolute_x_2_object();
-	typename Algebraic_curve_kernel_2::Approximate_absolute_y_2
-	  approx_y = _m_kernel->approximate_absolute_y_2_object();
-        
-        typedef CGAL::internal::Interval_evaluate_2< Polynomial_2, Bound > 
+          approx_x = _m_kernel->approximate_absolute_x_2_object();
+        typename Algebraic_curve_kernel_2::Approximate_absolute_y_2
+          approx_y = _m_kernel->approximate_absolute_y_2_object();
+
+        typedef CGAL::internal::Interval_evaluate_2< Polynomial_2, Bound >
           Interval_evaluate_2;
-        typedef typename Interval_evaluate_2::result_type 
+        typedef typename Interval_evaluate_2::result_type
           Interval_result_type;
         Interval_evaluate_2 interval_evaluate_2;
 
         long prec = 4;
-        
-	while(true) {
-	  std::pair<Bound,Bound> x_pair = approx_x(a,prec);
-	  std::pair<Bound,Bound> y_pair = approx_y(a,prec);
-	  result_type curr_box = CGAL::make_array(x_pair.first,
-						  x_pair.second,
-						  y_pair.first,
-						  y_pair.second);
-	  Interval_result_type eval_f = interval_evaluate_2(f,curr_box);
-	  if((CGAL::sign(eval_f.first)==CGAL::sign(eval_f.second)) &&
-	     (CGAL::sign(eval_f.first)!=CGAL::ZERO)) {
-	    return curr_box;
-	  } 
-	  Interval_result_type eval_g = interval_evaluate_2(g,curr_box);
-	  if((CGAL::sign(eval_g.first)==CGAL::sign(eval_g.second)) &&
-	     (CGAL::sign(eval_g.first)!=CGAL::ZERO)) {
-	    return curr_box;
-	  } 
-	  prec*=2;
-	  
-	}
+
+        while(true) {
+          std::pair<Bound,Bound> x_pair = approx_x(a,prec);
+          std::pair<Bound,Bound> y_pair = approx_y(a,prec);
+          result_type curr_box = CGAL::make_array(x_pair.first,
+                                                  x_pair.second,
+                                                  y_pair.first,
+                                                  y_pair.second);
+          Interval_result_type eval_f = interval_evaluate_2(f,curr_box);
+          if((CGAL::sign(eval_f.first)==CGAL::sign(eval_f.second)) &&
+             (CGAL::sign(eval_f.first)!=CGAL::ZERO)) {
+            return curr_box;
+          }
+          Interval_result_type eval_g = interval_evaluate_2(g,curr_box);
+          if((CGAL::sign(eval_g.first)==CGAL::sign(eval_g.second)) &&
+             (CGAL::sign(eval_g.first)!=CGAL::ZERO)) {
+            return curr_box;
+          }
+          prec*=2;
+
+        }
       }
 
     public:
 
       result_type operator()(Algebraic_real_2 a,
-			     Polynomial_2 f) const {
-	return this->_approx_interval(a,f,Polynomial_2(Coefficient(0)));
+                             Polynomial_2 f) const {
+        return this->_approx_interval(a,f,Polynomial_2(Coefficient(0)));
       }
-	
+
 
       result_type operator()(Algebraic_real_2 a,
-			     Polynomial_2 f,
-			     Polynomial_2 g) const {
+                             Polynomial_2 f,
+                             Polynomial_2 g) const {
+
+        Curve_analysis_2 ca1 = _m_kernel->construct_curve_2_object()(f);
+        Curve_analysis_2 ca2 = _m_kernel->construct_curve_2_object()(g);
+        Curve_pair_analysis_2 cpa_2
+          = _m_kernel->construct_curve_pair_2_object()(ca1,ca2);
+        int idx; bool event;
+        cpa_2.x_to_index(_m_kernel->compute_x_2_object()(a),idx,event);
+        if(! event) { // No critical point, no intersection
+          return this->_approx_interval(a,f,g);
+        }
+        std::vector<std::pair<Algebraic_real_2,Multiplicity_type> > roots;
+        _m_kernel->solve_at_x_2_object()(cpa_2,idx,std::back_inserter(roots));
+        if(roots.size()==0) {
+          // easy case: No intersection at a's x-coordinate:
+          return this->_approx_interval(a,f,g);
+        }
+        // Check whether a is really an intersection
+        if(!_m_kernel->is_zero_at_2_object()(f,a)) {
+          return this->operator()(a,f);
+        }
+        if(!_m_kernel->is_zero_at_2_object()(g,a)) {
+          return this->operator()(a,g);
+        }
+        // At this point, a is a common solution of f and g, it must
+        // be one of the points in roots
+        // Isolating x-interval is immediately available from CPA:
+        Bound xl = cpa_2.bound_value_in_interval(idx),
+          xu  = cpa_2.bound_value_in_interval(idx+1);
+        // Often, there is just one point, so filter this easy case
+        if(roots.size()==1) {
+          // Any y-interval containing roots[0].first is isolating
+          std::pair<Bound,Bound> y_pair
+            = _m_kernel->approximate_absolute_y_2_object()(roots[0].first,4);
+          return CGAL::make_array(xl,xu,y_pair.first,y_pair.second);
+        } else {
+          // more work! We should not assume that each
+          // roots[i].first has f or g as defining polynomial, because
+          // the representation might have been simplifed
+
+          // Here's the safe way: Take the simpler of the curves
+          // (but the one without vertical component!)
+          Curve_analysis_2 ca;
+          typedef typename Curve_analysis_2::Status_line_1 Status_line_CA_1;
+          Status_line_CA_1 status_line;
+          Status_line_CA_1 status_line1
+            = ca1.status_line_at_exact_x(_m_kernel->compute_x_2_object()(a));
+          Status_line_CA_1 status_line2
+            = ca2.status_line_at_exact_x(_m_kernel->compute_x_2_object()(a));
+          if(status_line1.covers_line()) {
+            ca=ca2;
+            status_line=status_line2;
+          } else if(status_line2.covers_line()) {
+            ca=ca1;
+            status_line=status_line1;
+          } else if(CGAL::total_degree(f)<CGAL::total_degree(g)) {
+            ca=ca1;
+            status_line=status_line1;
+          } else {
+            ca=ca2;
+            status_line=status_line2;
+          }
+          // binary search is possible, but does not help here,
+          // since the Curve_pair_analysis is the costly operation
+          for(int i=0; i<status_line.number_of_events();i++) {
+            if(status_line.algebraic_real_2(i)==a) {
+              // Now, we can simply take the isolating interval
+              return CGAL::make_array(xl,xu,
+                                      status_line.lower_bound(i),
+                                      status_line.upper_bound(i));
+            }
+          }
+
+          CGAL_error_msg("Bug in Isolate_2, please contact developers");
+          // We should never reach this point
 
-	Curve_analysis_2 ca1 = _m_kernel->construct_curve_2_object()(f);
-	Curve_analysis_2 ca2 = _m_kernel->construct_curve_2_object()(g);
-	Curve_pair_analysis_2 cpa_2
-	  = _m_kernel->construct_curve_pair_2_object()(ca1,ca2);
-	int idx; bool event;
-	cpa_2.x_to_index(_m_kernel->compute_x_2_object()(a),idx,event);
-	if(! event) { // No critical point, no intersection
-	  return this->_approx_interval(a,f,g);
-	}
-	std::vector<std::pair<Algebraic_real_2,Multiplicity_type> > roots;
-	_m_kernel->solve_at_x_2_object()(cpa_2,idx,std::back_inserter(roots));
-	if(roots.size()==0) {
-	  // easy case: No intersection at a's x-coordinate:
-	  return this->_approx_interval(a,f,g);
-	}
-	// Check whether a is really an intersection
-	if(!_m_kernel->is_zero_at_2_object()(f,a)) {
-	  return this->operator()(a,f); 
-	}
-	if(!_m_kernel->is_zero_at_2_object()(g,a)) {
-	  return this->operator()(a,g);
-	}
-	// At this point, a is a common solution of f and g, it must
-	// be one of the points in roots
-	// Isolating x-interval is immediately available from CPA:
-	Bound xl = cpa_2.bound_value_in_interval(idx),
-	  xu  = cpa_2.bound_value_in_interval(idx+1);
-	// Often, there is just one point, so filter this easy case
-	if(roots.size()==1) {
-	  // Any y-interval containing roots[0].first is isolating
-	  std::pair<Bound,Bound> y_pair 
-	    = _m_kernel->approximate_absolute_y_2_object()(roots[0].first,4);
-	  return CGAL::make_array(xl,xu,y_pair.first,y_pair.second);
-	} else { 
-	  // more work! We should not assume that each
-	  // roots[i].first has f or g as defining polynomial, because
-	  // the representation might have been simplifed
-
-	  // Here's the safe way: Take the simpler of the curves
-	  // (but the one without vertical component!)
-	  Curve_analysis_2 ca;
-	  typedef typename Curve_analysis_2::Status_line_1 Status_line_CA_1;
-	  Status_line_CA_1 status_line;
-	  Status_line_CA_1 status_line1
-	    = ca1.status_line_at_exact_x(_m_kernel->compute_x_2_object()(a));
-	  Status_line_CA_1 status_line2
-	    = ca2.status_line_at_exact_x(_m_kernel->compute_x_2_object()(a));
-	  if(status_line1.covers_line()) {
-	    ca=ca2;
-	    status_line=status_line2;
-	  } else if(status_line2.covers_line()) {
-	    ca=ca1;
-	    status_line=status_line1;
-	  } else if(CGAL::total_degree(f)<CGAL::total_degree(g)) {
-	    ca=ca1;
-	    status_line=status_line1;
-	  } else {
-	    ca=ca2;
-	    status_line=status_line2;
-	  }
-	  // binary search is possible, but does not help here,
-	  // since the Curve_pair_analysis is the costly operation
-	  for(int i=0; i<status_line.number_of_events();i++) {
-	    if(status_line.algebraic_real_2(i)==a) {
-	      // Now, we can simply take the isolating interval
-	      return CGAL::make_array(xl,xu,
-				      status_line.lower_bound(i),
-				      status_line.upper_bound(i));
-	    }
-	  }
-	  
-	  CGAL_error_msg("Bug in Isolate_2, please contact developers"); 
-	  // We should never reach this point
-	
-	}
-	// Never reached, but make pedantics happy
-	return CGAL::make_array(Bound(0),Bound(0),Bound(0),Bound(0));
+        }
+        // Never reached, but make pedantics happy
+        return CGAL::make_array(Bound(0),Bound(0),Bound(0),Bound(0));
       }
 
     protected:
-        
+
       const Algebraic_kernel_d_2* _m_kernel;
 
     };
-    CGAL_Algebraic_Kernel_cons(Isolate_2, 
-			       isolate_2_object);
+    CGAL_Algebraic_Kernel_cons(Isolate_2,
+                               isolate_2_object);
+
 
-            
     //! returns the x-coordinate of an \c Algebraic_real_2 object
     class Compute_x_2 :
         public CGAL::cpp98::unary_function<Algebraic_real_2, Algebraic_real_1> {
 
     public:
 
-        Compute_x_2(const Algebraic_kernel_d_2* kernel) 
+        Compute_x_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
-        
+
         Algebraic_real_1 operator()(const Algebraic_real_2& xy) const {
             return xy.x();
         }
 
     protected:
-        
+
         const Algebraic_kernel_d_2* _m_kernel;
 
     };
     CGAL_Algebraic_Kernel_cons(Compute_x_2, compute_x_2_object);
-    
+
 #if CGAL_AK_ENABLE_DEPRECATED_INTERFACE
     typedef Compute_x_2 Get_x_2;
     CGAL_Algebraic_Kernel_cons(Get_x_2, get_x_2_object);
 #endif
 
-    /*! 
+    /*!
      * \brief returns the y-coordinate of \c Algebraic_real_2 object
      *
      * \attention{This method returns the y-coordinate in isolating interval
@@ -921,61 +925,61 @@ public:
      * consuming taks, since it is against the "y-per-x"-view that we take
      * in our kernel. Therefore, it is recommended, if possible,
      *  to use the functors
-     * \c Approximate_absolute_y_2 and \c Approximate_relative_y_2 that 
-     * return approximation of the y-coordinate. 
+     * \c Approximate_absolute_y_2 and \c Approximate_relative_y_2 that
+     * return approximation of the y-coordinate.
      */
     class Compute_y_2 :
         public CGAL::cpp98::unary_function<Algebraic_real_2, Algebraic_real_1> {
-        
+
     public:
-        
-        Compute_y_2(const Algebraic_kernel_d_2* kernel) 
+
+        Compute_y_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
 
         Algebraic_real_1 operator()(const Algebraic_real_2& xy) const {
             return xy.y();
         }
     protected:
-        
+
         const Algebraic_kernel_d_2* _m_kernel;
 
     };
     CGAL_Algebraic_Kernel_cons(Compute_y_2, compute_y_2_object);
-    
+
 #if CGAL_AK_ENABLE_DEPRECATED_INTERFACE
     typedef Compute_x_2 Get_y_2;
     CGAL_Algebraic_Kernel_cons(Get_y_2, get_y_2_object);
 #endif
 
-    class Approximate_absolute_x_2 
+    class Approximate_absolute_x_2
     : public CGAL::cpp98::binary_function<Algebraic_real_2,int,std::pair<Bound,Bound> >{
-    
+
     public:
 
-        Approximate_absolute_x_2(const Algebraic_kernel_d_2* kernel) 
+        Approximate_absolute_x_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
 
         std::pair<Bound,Bound> operator() (Algebraic_real_2 xy,
                                     int prec) const {
             Compute_x_2 get_x = _m_kernel->compute_x_2_object();
-            return _m_kernel->approximate_absolute_1_object() 
-	      (get_x(xy),prec);
+            return _m_kernel->approximate_absolute_1_object()
+              (get_x(xy),prec);
         }
 
     protected:
-        
+
         const Algebraic_kernel_d_2* _m_kernel;
-        
+
     };
-    CGAL_Algebraic_Kernel_cons(Approximate_absolute_x_2, 
+    CGAL_Algebraic_Kernel_cons(Approximate_absolute_x_2,
                                approximate_absolute_x_2_object);
 
-    class Approximate_relative_x_2 
+    class Approximate_relative_x_2
     : public CGAL::cpp98::binary_function<Algebraic_real_2,int,std::pair<Bound,Bound> >{
-    
+
     public:
-        
-        Approximate_relative_x_2(const Algebraic_kernel_d_2* kernel) 
+
+        Approximate_relative_x_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
 
         std::pair<Bound,Bound> operator() (Algebraic_real_2 xy,
@@ -985,25 +989,25 @@ public:
         }
 
     protected:
-        
+
         const Algebraic_kernel_d_2* _m_kernel;
 
     };
-    CGAL_Algebraic_Kernel_cons(Approximate_relative_x_2, 
+    CGAL_Algebraic_Kernel_cons(Approximate_relative_x_2,
                                approximate_relative_x_2_object);
 
-    class Approximate_absolute_y_2 
+    class Approximate_absolute_y_2
     : public CGAL::cpp98::binary_function<Algebraic_real_2,int,std::pair<Bound,Bound> >{
 
     public:
 
-        Approximate_absolute_y_2(const Algebraic_kernel_d_2* kernel) 
+        Approximate_absolute_y_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
-        
+
         std::pair<Bound,Bound> operator() (Algebraic_real_2 xy,
                                     int prec) const {
-            
-            Bound l = xy.lower_bound_y();  
+
+            Bound l = xy.lower_bound_y();
             Bound u = xy.upper_bound_y();
             Bound error = CGAL::ipower(Bound(2),CGAL::abs(prec));
             while((u-l)*error>Bound(1)) {
@@ -1013,21 +1017,21 @@ public:
           }
           return std::make_pair(l,u);
         }
-    
+
     protected:
 
         const Algebraic_kernel_d_2* _m_kernel;
 
     };
-    CGAL_Algebraic_Kernel_cons(Approximate_absolute_y_2, 
+    CGAL_Algebraic_Kernel_cons(Approximate_absolute_y_2,
                                approximate_absolute_y_2_object);
 
-    class Approximate_relative_y_2 
+    class Approximate_relative_y_2
     : public CGAL::cpp98::binary_function<Algebraic_real_2,int,std::pair<Bound,Bound> >{
-        
+
     public:
-        
-        Approximate_relative_y_2(const Algebraic_kernel_d_2* kernel) 
+
+        Approximate_relative_y_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
 
         std::pair<Bound,Bound> operator() (Algebraic_real_2 xy,
@@ -1039,7 +1043,7 @@ public:
                   !=CGAL::POSITIVE) {
                 xy.refine_y();
             }
-            Bound l = xy.lower_bound_y();  
+            Bound l = xy.lower_bound_y();
             Bound u = xy.upper_bound_y();
             Bound error = CGAL::ipower(Bound(2),CGAL::abs(prec));
             Bound min_b = (CGAL::min)(CGAL::abs(u),CGAL::abs(l));
@@ -1057,11 +1061,11 @@ public:
         const Algebraic_kernel_d_2* _m_kernel;
 
     };
-    CGAL_Algebraic_Kernel_cons(Approximate_relative_y_2, 
+    CGAL_Algebraic_Kernel_cons(Approximate_relative_y_2,
                                approximate_relative_y_2_object);
 
-    
-    /*! 
+
+    /*!
      * \brief returns a value of type \c Bound that lies between
      * the x-coordinates of the \c Algebraic_real_2s.
      *
@@ -1070,17 +1074,17 @@ public:
     class Bound_between_x_2 {
 
     public:
-        
-        Bound_between_x_2(const Algebraic_kernel_d_2* kernel) 
+
+        Bound_between_x_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
-       
+
         typedef Algebraic_real_2 first_argument_type;
         typedef Algebraic_real_2 second_argument_type;
         typedef Bound result_type;
-            
-        result_type operator()(const Algebraic_real_2& r1, 
+
+        result_type operator()(const Algebraic_real_2& r1,
                 const Algebraic_real_2& r2) const {
- 	  return this->_m_kernel->bound_between_1_object()
+           return this->_m_kernel->bound_between_1_object()
                 (r1.x(), r2.x());
         }
 
@@ -1089,30 +1093,30 @@ public:
         const Algebraic_kernel_d_2* _m_kernel;
 
     };
-    CGAL_Algebraic_Kernel_cons(Bound_between_x_2, 
+    CGAL_Algebraic_Kernel_cons(Bound_between_x_2,
             bound_between_x_2_object);
-            
-    /*! 
+
+    /*!
      * \brief returns a value of type \c Bound that lies between
      * the y-coordinates of the \c Algebraic_real_2s.
      *
      * \pre{The y-coordinates must not be equal}
      */
     class Bound_between_y_2 {
-       
+
     public:
-        
-        Bound_between_y_2(const Algebraic_kernel_d_2* kernel) 
+
+        Bound_between_y_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
 
         typedef Algebraic_real_2 first_argument_type;
         typedef Algebraic_real_2 second_argument_type;
         typedef Bound result_type;
 
-	typedef typename Algebraic_kernel_d_2::Curve_analysis_2
-	  ::Status_line_1::Bitstream_descartes Isolator;
+        typedef typename Algebraic_kernel_d_2::Curve_analysis_2
+          ::Status_line_1::Bitstream_descartes Isolator;
 
-        result_type operator()(const Algebraic_real_2& r1, 
+        result_type operator()(const Algebraic_real_2& r1,
                 const Algebraic_real_2& r2) const {
 
             CGAL_precondition(r1.y() != r2.y());
@@ -1124,16 +1128,16 @@ public:
 
             Isolator isol2 =
                 r2.curve().status_line_at_exact_x(r2.x()).isolator();
-            
+
             Bound low1, low2, high1, high2;
-            
+
             while (true) {
                 low1 = isol1.left_bound(r1.arcno());
                 high1 = isol1.right_bound(r1.arcno());
-                
+
                 low2 = isol2.left_bound(r2.arcno());
                 high2 = isol2.right_bound(r2.arcno());
-                
+
                 if (low1 > high2) {
                     res = ((low1 + high2)/Bound(2));
                     break;
@@ -1142,7 +1146,7 @@ public:
                     res = ((low2 + high1)/Bound(2));
                     break;
                 }
-                
+
                 // else
                 isol1.refine_interval(r1.arcno());
                 isol2.refine_interval(r2.arcno());
@@ -1169,83 +1173,83 @@ public:
         const Algebraic_kernel_d_2* _m_kernel;
 
     };
-    CGAL_Algebraic_Kernel_cons(Bound_between_y_2, 
+    CGAL_Algebraic_Kernel_cons(Bound_between_y_2,
             bound_between_y_2_object);
-    
-    //! \brief comparison of x-coordinates 
+
+    //! \brief comparison of x-coordinates
     class Compare_x_2 :
          public CGAL::cpp98::binary_function<Algebraic_real_2, Algebraic_real_2,
                                       Comparison_result > {
 
     public:
-        
-        Compare_x_2(const Algebraic_kernel_d_2* kernel) 
+
+        Compare_x_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
 
-        Comparison_result operator()(const Algebraic_real_2& xy1, 
+        Comparison_result operator()(const Algebraic_real_2& xy1,
                                      const Algebraic_real_2& xy2) const {
-	  return _m_kernel->compare_1_object()(xy1.x(), xy2.x());
+          return _m_kernel->compare_1_object()(xy1.x(), xy2.x());
         }
 
 #if CGAL_AK_ENABLE_DEPRECATED_INTERFACE
-        Comparison_result operator()(const Algebraic_real_1& xy1, 
+        Comparison_result operator()(const Algebraic_real_1& xy1,
                                      const Algebraic_real_1& xy2) const {
-	  return _m_kernel->compare_1_object()(xy1, xy2);
+          return _m_kernel->compare_1_object()(xy1, xy2);
         }
 
 #endif
 
-        Comparison_result operator()(const Algebraic_real_2& xy, 
+        Comparison_result operator()(const Algebraic_real_2& xy,
                                      int i) const {
-	  return _m_kernel->compare_1_object()
-	    ( _m_kernel->compute_x_2_object()(xy), 
-	      _m_kernel->construct_algebraic_real_1_object()(i) );
+          return _m_kernel->compare_1_object()
+            ( _m_kernel->compute_x_2_object()(xy),
+              _m_kernel->construct_algebraic_real_1_object()(i) );
         }
         Comparison_result operator()(int i, const Algebraic_real_2& xy) const {
-	  return _m_kernel->compare_1_object()
-	    ( _m_kernel->construct_algebraic_real_1_object()(i),
-	      _m_kernel->compute_x_2_object()(xy) );
+          return _m_kernel->compare_1_object()
+            ( _m_kernel->construct_algebraic_real_1_object()(i),
+              _m_kernel->compute_x_2_object()(xy) );
         }
 
 
-        Comparison_result operator()(const Algebraic_real_2& xy, 
+        Comparison_result operator()(const Algebraic_real_2& xy,
                                      Bound b) const {
-	  return _m_kernel->compare_1_object()
-	    ( _m_kernel->compute_x_2_object()(xy), 
-	      _m_kernel->construct_algebraic_real_1_object()(b) );
-        }
-        Comparison_result operator()(Bound b, 
-				     const Algebraic_real_2& xy) const {
-	  return _m_kernel->compare_1_object()
-	    ( _m_kernel->construct_algebraic_real_1_object()(b),
-	      _m_kernel->compute_x_2_object()(xy) );
+          return _m_kernel->compare_1_object()
+            ( _m_kernel->compute_x_2_object()(xy),
+              _m_kernel->construct_algebraic_real_1_object()(b) );
+        }
+        Comparison_result operator()(Bound b,
+                                     const Algebraic_real_2& xy) const {
+          return _m_kernel->compare_1_object()
+            ( _m_kernel->construct_algebraic_real_1_object()(b),
+              _m_kernel->compute_x_2_object()(xy) );
         }
 
         Comparison_result operator()
-	  (const Algebraic_real_2& xy, 
-	   typename CGAL::First_if_different<Coefficient,Bound>::Type c) 
-	  const {
-	  return _m_kernel->compare_1_object()
-	    ( _m_kernel->compute_x_2_object()(xy), 
-	      _m_kernel->construct_algebraic_real_1_object()(c) );
+          (const Algebraic_real_2& xy,
+           typename CGAL::First_if_different<Coefficient,Bound>::Type c)
+          const {
+          return _m_kernel->compare_1_object()
+            ( _m_kernel->compute_x_2_object()(xy),
+              _m_kernel->construct_algebraic_real_1_object()(c) );
         }
         Comparison_result operator()
-	  (typename CGAL::First_if_different<Coefficient,Bound>::Type c, 
-	   const Algebraic_real_2& xy) const {
-	  return _m_kernel->compare_1_object()
-	    ( _m_kernel->construct_algebraic_real_1_object()(c),
-	      _m_kernel->compute_x_2_object()(xy) );
+          (typename CGAL::First_if_different<Coefficient,Bound>::Type c,
+           const Algebraic_real_2& xy) const {
+          return _m_kernel->compare_1_object()
+            ( _m_kernel->construct_algebraic_real_1_object()(c),
+              _m_kernel->compute_x_2_object()(xy) );
         }
 
-        Comparison_result operator()(const Algebraic_real_2& xy, 
+        Comparison_result operator()(const Algebraic_real_2& xy,
                                      const Algebraic_real_1 a) const {
-	  return _m_kernel->compare_1_object()
-	    ( _m_kernel->compute_x_2_object()(xy),a );
+          return _m_kernel->compare_1_object()
+            ( _m_kernel->compute_x_2_object()(xy),a );
         }
-        Comparison_result operator()(const Algebraic_real_1& a, 
-				     const Algebraic_real_2& xy) const {
-	  return _m_kernel->compare_1_object()
-	    ( a,_m_kernel->compute_x_2_object()(xy) );
+        Comparison_result operator()(const Algebraic_real_1& a,
+                                     const Algebraic_real_2& xy) const {
+          return _m_kernel->compare_1_object()
+            ( a,_m_kernel->compute_x_2_object()(xy) );
         }
 
 
@@ -1257,11 +1261,11 @@ public:
     };
     CGAL_Algebraic_Kernel_pred(Compare_x_2, compare_x_2_object);
 
-    /*! 
+    /*!
      * \brief comparison of y-coordinates of two points
      *
      * \attention{If both points have different x-coordinates, this method
-     * has to translate both y-coordinates 
+     * has to translate both y-coordinates
      * into isolating interval representations which is a time-consuming
      * operation (compare the documentation of the \c Get_y_2 functor)
      * If possible, it is recommended to avoid this functor for efficiency.}
@@ -1269,113 +1273,113 @@ public:
     class Compare_y_2 :
         public CGAL::cpp98::binary_function< Algebraic_real_2, Algebraic_real_2,
                 Comparison_result > {
-    
+
     public:
 
-        Compare_y_2(const Algebraic_kernel_d_2* kernel) 
+        Compare_y_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
-    
-        Comparison_result operator()(const Algebraic_real_2& xy1, 
+
+        Comparison_result operator()(const Algebraic_real_2& xy1,
                                      const Algebraic_real_2& xy2) const {
-            
-	  // It is easier if the x coordinates are equal!
-	  if(_m_kernel->compare_x_2_object()(xy1, xy2) ==
-	     CGAL::EQUAL) 
-	    return _m_kernel->compare_xy_2_object()(xy1, xy2, true);
-	  
-	  return _m_kernel->compare_1_object()(xy1.y(), xy2.y());
+
+          // It is easier if the x coordinates are equal!
+          if(_m_kernel->compare_x_2_object()(xy1, xy2) ==
+             CGAL::EQUAL)
+            return _m_kernel->compare_xy_2_object()(xy1, xy2, true);
+
+          return _m_kernel->compare_1_object()(xy1.y(), xy2.y());
         }
-	
-	Comparison_result operator()(const Algebraic_real_2& xy, 
+
+        Comparison_result operator()(const Algebraic_real_2& xy,
                                      int i) const {
-	  
-	  Algebraic_real_1 x = _m_kernel->compute_x_2_object()(xy);
-	  Algebraic_real_2 xy_from_i			       
-	    = _m_kernel->construct_algebraic_real_2_object()(x,i);
-	  return _m_kernel->compare_xy_2_object()(xy, xy_from_i, true);
-          
-        }
-
-	Comparison_result operator()(int i,const Algebraic_real_2& xy) const {
-	  
-	  Algebraic_real_1 x = _m_kernel->compute_x_2_object()(xy);
-	  Algebraic_real_2 xy_from_i			       
-	    = _m_kernel->construct_algebraic_real_2_object()(x,i);
-	  return _m_kernel->compare_xy_2_object()(xy_from_i, xy, true);
-          
+
+          Algebraic_real_1 x = _m_kernel->compute_x_2_object()(xy);
+          Algebraic_real_2 xy_from_i
+            = _m_kernel->construct_algebraic_real_2_object()(x,i);
+          return _m_kernel->compare_xy_2_object()(xy, xy_from_i, true);
+
         }
 
-	Comparison_result operator()(const Algebraic_real_2& xy, 
+        Comparison_result operator()(int i,const Algebraic_real_2& xy) const {
+
+          Algebraic_real_1 x = _m_kernel->compute_x_2_object()(xy);
+          Algebraic_real_2 xy_from_i
+            = _m_kernel->construct_algebraic_real_2_object()(x,i);
+          return _m_kernel->compare_xy_2_object()(xy_from_i, xy, true);
+
+        }
+
+        Comparison_result operator()(const Algebraic_real_2& xy,
                                      Bound b) const {
-	  
-	  Algebraic_real_1 x = _m_kernel->compute_x_2_object()(xy);
-	  Algebraic_real_2 xy_from_b			       
-	    = _m_kernel->construct_algebraic_real_2_object()(x,b);
-	  return _m_kernel->compare_xy_2_object()(xy, xy_from_b, true);
-          
-        }
-
-	Comparison_result operator()(Bound b,
-				     const Algebraic_real_2& xy) const {
-	  
-	  Algebraic_real_1 x = _m_kernel->compute_x_2_object()(xy);
-	  Algebraic_real_2 xy_from_b			       
-	    = _m_kernel->construct_algebraic_real_2_object()(x,b);
-	  return _m_kernel->compare_xy_2_object()(xy_from_b, xy, true);
-	}
-
-	Comparison_result operator()
-	  (const Algebraic_real_2& xy, 
-	   typename CGAL::First_if_different<Coefficient,Bound>::Type c) 
-	  const {
-	  
-	  Algebraic_real_1 x = _m_kernel->compute_x_2_object()(xy);
-	  Algebraic_real_2 xy_from_c			       
-	    = _m_kernel->construct_algebraic_real_2_object()(x,c);
-	  return _m_kernel->compare_xy_2_object()(xy, xy_from_c, true);
-	}
-
-	Comparison_result operator()
-	  (typename CGAL::First_if_different<Coefficient,Bound>::Type c,
-	   const Algebraic_real_2& xy) 
-	  const {
-	  
-	  Algebraic_real_1 x = _m_kernel->compute_x_2_object()(xy);
-	  Algebraic_real_2 xy_from_c			       
-	    = _m_kernel->construct_algebraic_real_2_object()(x,c);
-	  return _m_kernel->compare_xy_2_object()(xy_from_c, xy, true);
-	}
 
-	Comparison_result operator()(const Algebraic_real_2& xy, 
+          Algebraic_real_1 x = _m_kernel->compute_x_2_object()(xy);
+          Algebraic_real_2 xy_from_b
+            = _m_kernel->construct_algebraic_real_2_object()(x,b);
+          return _m_kernel->compare_xy_2_object()(xy, xy_from_b, true);
+
+        }
+
+        Comparison_result operator()(Bound b,
+                                     const Algebraic_real_2& xy) const {
+
+          Algebraic_real_1 x = _m_kernel->compute_x_2_object()(xy);
+          Algebraic_real_2 xy_from_b
+            = _m_kernel->construct_algebraic_real_2_object()(x,b);
+          return _m_kernel->compare_xy_2_object()(xy_from_b, xy, true);
+        }
+
+        Comparison_result operator()
+          (const Algebraic_real_2& xy,
+           typename CGAL::First_if_different<Coefficient,Bound>::Type c)
+          const {
+
+          Algebraic_real_1 x = _m_kernel->compute_x_2_object()(xy);
+          Algebraic_real_2 xy_from_c
+            = _m_kernel->construct_algebraic_real_2_object()(x,c);
+          return _m_kernel->compare_xy_2_object()(xy, xy_from_c, true);
+        }
+
+        Comparison_result operator()
+          (typename CGAL::First_if_different<Coefficient,Bound>::Type c,
+           const Algebraic_real_2& xy)
+          const {
+
+          Algebraic_real_1 x = _m_kernel->compute_x_2_object()(xy);
+          Algebraic_real_2 xy_from_c
+            = _m_kernel->construct_algebraic_real_2_object()(x,c);
+          return _m_kernel->compare_xy_2_object()(xy_from_c, xy, true);
+        }
+
+        Comparison_result operator()(const Algebraic_real_2& xy,
                                      const Algebraic_real_1& a) const {
-	  
-	  Algebraic_real_1 x = _m_kernel->compute_x_2_object()(xy);
-	  Algebraic_real_2 xy_from_a			       
-	    = _m_kernel->construct_algebraic_real_2_object()(x,a);
-	  return _m_kernel->compare_xy_2_object()(xy, xy_from_a, true);
-          
-        }
-
-	Comparison_result operator()(const Algebraic_real_1& a,
-				     const Algebraic_real_2& xy) const {
-	  
-	  Algebraic_real_1 x = _m_kernel->compute_x_2_object()(xy);
-	  Algebraic_real_2 xy_from_a			       
-	    = _m_kernel->construct_algebraic_real_2_object()(x,a);
-	  return _m_kernel->compare_xy_2_object()(xy_from_a, xy, true);
-	}
+
+          Algebraic_real_1 x = _m_kernel->compute_x_2_object()(xy);
+          Algebraic_real_2 xy_from_a
+            = _m_kernel->construct_algebraic_real_2_object()(x,a);
+          return _m_kernel->compare_xy_2_object()(xy, xy_from_a, true);
+
+        }
+
+        Comparison_result operator()(const Algebraic_real_1& a,
+                                     const Algebraic_real_2& xy) const {
+
+          Algebraic_real_1 x = _m_kernel->compute_x_2_object()(xy);
+          Algebraic_real_2 xy_from_a
+            = _m_kernel->construct_algebraic_real_2_object()(x,a);
+          return _m_kernel->compare_xy_2_object()(xy_from_a, xy, true);
+        }
 
     protected:
-        
+
         const Algebraic_kernel_d_2* _m_kernel;
-        
+
     };
     CGAL_Algebraic_Kernel_pred(Compare_y_2, compare_y_2_object);
-    
-    /*! 
+
+    /*!
      * \brief lexicographical comparison of two \c Algebraic_real_2 objects
      *
-     * \param equal_x if set, the points are assumed 
+     * \param equal_x if set, the points are assumed
      * to have equal x-coordinates, thus only the y-coordinates are compared.
      */
     class Compare_xy_2 :
@@ -1384,26 +1388,26 @@ public:
 
     public:
 
-         Compare_xy_2(const Algebraic_kernel_d_2* kernel) 
+         Compare_xy_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
-    
-         Comparison_result operator()(const Algebraic_real_2& xy1, 
+
+         Comparison_result operator()(const Algebraic_real_2& xy1,
              const Algebraic_real_2& xy2, bool equal_x = false) const {
 
              // handle easy cases first
              /*if(xy1.is_identical(xy2))
                 return CGAL::EQUAL;
-                
+
              if(equal_x && xy1.curve().is_identical(xy2.curve()))
                 return CGAL::sign(xy1.arcno() - xy2.arcno());
-                
+
              bool swap = (xy1.id() > xy2.id());
              std::pair<Algebraic_real_2, Algebraic_real_2> p(xy1, xy2);
              if(swap) {
                  p.first = xy2;
                  p.second = xy1;
              }
-           
+
              typename Cmp_xy_map::Find_result r =
                 _m_kernel->_m_cmp_xy.find(p);
              if(r.second) {
@@ -1411,89 +1415,89 @@ public:
                  return (swap ? -(r.first->second) : r.first->second);
              }*/
 
-            return xy1.compare_xy(xy2, equal_x);             
+            return xy1.compare_xy(xy2, equal_x);
              //_m_kernel->_m_cmp_xy.insert(std::make_pair(p, res));
              //return (swap ? -res : res);
-	 }
+         }
 
-	 Comparison_result operator() (const Algebraic_real_2& xy,
-				       int x, int y) const {
-	   Comparison_result comp_x
-	     = _m_kernel->compare_x_2_object()(xy,x);
-	   return (comp_x != CGAL::EQUAL 
-		   ? comp_x 
-		   : _m_kernel->compare_y_2_object()(xy,y) );
-	 }
-
-	 Comparison_result operator() (int x,int y,
-				       const Algebraic_real_2& xy) const {
-	   Comparison_result comp_x
-	     = _m_kernel->compare_x_2_object()(x,xy);
-	   return (comp_x != CGAL::EQUAL 
-		   ? comp_x 
-		   : _m_kernel->compare_y_2_object()(y,xy) );
-	 }
-
-	 Comparison_result operator() (const Algebraic_real_2& xy,
-				       Bound x, Bound y) const {
-	   Comparison_result comp_x
-	     = _m_kernel->compare_x_2_object()(xy,x);
-	   return (comp_x != CGAL::EQUAL 
-		   ? comp_x 
-		   : _m_kernel->compare_y_2_object()(xy,y) );
-	 }
-
-	 Comparison_result operator() (Bound x,Bound y,
-				       const Algebraic_real_2& xy) const {
-	   Comparison_result comp_x
-	     = _m_kernel->compare_x_2_object()(x,xy);
-	   return (comp_x != CGAL::EQUAL 
-		   ? comp_x 
-		   : _m_kernel->compare_y_2_object()(y,xy) );
-	 }
-
-	 Comparison_result operator() 
-	   (const Algebraic_real_2& xy,
-	    typename CGAL::First_if_different<Coefficient,Bound>::Type x, 
-	    typename CGAL::First_if_different<Coefficient,Bound>::Type y) 
-	   const {
-	   Comparison_result comp_x
-	     = _m_kernel->compare_x_2_object()(xy,x);
-	   return (comp_x != CGAL::EQUAL 
-		   ? comp_x 
-		   : _m_kernel->compare_y_2_object()(xy,y) );
-	 }
-
-	 Comparison_result operator() 
-	   (typename CGAL::First_if_different<Coefficient,Bound>::Type x,
-	    typename CGAL::First_if_different<Coefficient,Bound>::Type y,
-	    const Algebraic_real_2& xy) const {
-	   Comparison_result comp_x
-	     = _m_kernel->compare_x_2_object()(x,xy);
-	   return (comp_x != CGAL::EQUAL 
-		   ? comp_x 
-		   : _m_kernel->compare_y_2_object()(y,xy) );
-	 }
-
-	 Comparison_result operator() (const Algebraic_real_2& xy,
-				       const Algebraic_real_1& x, 
-				       const Algebraic_real_1& y) const {
-	   Comparison_result comp_x
-	     = _m_kernel->compare_x_2_object()(xy,x);
-	   return (comp_x != CGAL::EQUAL 
-		   ? comp_x 
-		   : _m_kernel->compare_y_2_object()(xy,y) );
-	 }
-
-	 Comparison_result operator() (const Algebraic_real_1& x, 
-				       const Algebraic_real_1& y,
-				       const Algebraic_real_2& xy) const {
-	   Comparison_result comp_x
-	     = _m_kernel->compare_x_2_object()(x,xy);
-	   return (comp_x != CGAL::EQUAL 
-		   ? comp_x 
-		   : _m_kernel->compare_y_2_object()(y,xy) );
-	 }
+         Comparison_result operator() (const Algebraic_real_2& xy,
+                                       int x, int y) const {
+           Comparison_result comp_x
+             = _m_kernel->compare_x_2_object()(xy,x);
+           return (comp_x != CGAL::EQUAL
+                   ? comp_x
+                   : _m_kernel->compare_y_2_object()(xy,y) );
+         }
+
+         Comparison_result operator() (int x,int y,
+                                       const Algebraic_real_2& xy) const {
+           Comparison_result comp_x
+             = _m_kernel->compare_x_2_object()(x,xy);
+           return (comp_x != CGAL::EQUAL
+                   ? comp_x
+                   : _m_kernel->compare_y_2_object()(y,xy) );
+         }
+
+         Comparison_result operator() (const Algebraic_real_2& xy,
+                                       Bound x, Bound y) const {
+           Comparison_result comp_x
+             = _m_kernel->compare_x_2_object()(xy,x);
+           return (comp_x != CGAL::EQUAL
+                   ? comp_x
+                   : _m_kernel->compare_y_2_object()(xy,y) );
+         }
+
+         Comparison_result operator() (Bound x,Bound y,
+                                       const Algebraic_real_2& xy) const {
+           Comparison_result comp_x
+             = _m_kernel->compare_x_2_object()(x,xy);
+           return (comp_x != CGAL::EQUAL
+                   ? comp_x
+                   : _m_kernel->compare_y_2_object()(y,xy) );
+         }
+
+         Comparison_result operator()
+           (const Algebraic_real_2& xy,
+            typename CGAL::First_if_different<Coefficient,Bound>::Type x,
+            typename CGAL::First_if_different<Coefficient,Bound>::Type y)
+           const {
+           Comparison_result comp_x
+             = _m_kernel->compare_x_2_object()(xy,x);
+           return (comp_x != CGAL::EQUAL
+                   ? comp_x
+                   : _m_kernel->compare_y_2_object()(xy,y) );
+         }
+
+         Comparison_result operator()
+           (typename CGAL::First_if_different<Coefficient,Bound>::Type x,
+            typename CGAL::First_if_different<Coefficient,Bound>::Type y,
+            const Algebraic_real_2& xy) const {
+           Comparison_result comp_x
+             = _m_kernel->compare_x_2_object()(x,xy);
+           return (comp_x != CGAL::EQUAL
+                   ? comp_x
+                   : _m_kernel->compare_y_2_object()(y,xy) );
+         }
+
+         Comparison_result operator() (const Algebraic_real_2& xy,
+                                       const Algebraic_real_1& x,
+                                       const Algebraic_real_1& y) const {
+           Comparison_result comp_x
+             = _m_kernel->compare_x_2_object()(xy,x);
+           return (comp_x != CGAL::EQUAL
+                   ? comp_x
+                   : _m_kernel->compare_y_2_object()(xy,y) );
+         }
+
+         Comparison_result operator() (const Algebraic_real_1& x,
+                                       const Algebraic_real_1& y,
+                                       const Algebraic_real_2& xy) const {
+           Comparison_result comp_x
+             = _m_kernel->compare_x_2_object()(x,xy);
+           return (comp_x != CGAL::EQUAL
+                   ? comp_x
+                   : _m_kernel->compare_y_2_object()(y,xy) );
+         }
 
     protected:
 
@@ -1501,22 +1505,22 @@ public:
 
     };
     CGAL_Algebraic_Kernel_pred(Compare_xy_2, compare_xy_2_object);
-    
+
     /*!
-     * \brief checks whether the curve induced by \c p 
+     * \brief checks whether the curve induced by \c p
      * has only finitely many self-intersection points
      *
-     * In algebraic terms, it is checked whether  
+     * In algebraic terms, it is checked whether
      * the polynomial \c p is square free.
      */
     class Has_finite_number_of_self_intersections_2 :
             public CGAL::cpp98::unary_function< Polynomial_2, bool > {
-        
+
     public:
 
-        Has_finite_number_of_self_intersections_2(const Algebraic_kernel_d_2* kernel) 
+        Has_finite_number_of_self_intersections_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
-        
+
         bool operator()(const Polynomial_2& p) const {
 
             typename Polynomial_traits_2::Is_square_free is_square_free;
@@ -1524,26 +1528,26 @@ public:
         }
 
     protected:
-        
+
         const Algebraic_kernel_d_2* _m_kernel;
-        
+
     };
-    CGAL_Algebraic_Kernel_pred(Has_finite_number_of_self_intersections_2, 
+    CGAL_Algebraic_Kernel_pred(Has_finite_number_of_self_intersections_2,
             has_finite_number_of_self_intersections_2_object);
-            
-    /*! 
-     * \brief checks whether two curves induced bt \c f and \c g 
+
+    /*!
+     * \brief checks whether two curves induced bt \c f and \c g
      * habe finitely many intersections.
      *
-     * In algebraic terms, it is checked whether 
+     * In algebraic terms, it is checked whether
      * the two polynomials \c f and \c g are coprime.
-     */ 
+     */
     class Has_finite_number_of_intersections_2 :
         public CGAL::cpp98::binary_function< Polynomial_2, Polynomial_2, bool > {
-         
+
     public:
 
-        Has_finite_number_of_intersections_2(const Algebraic_kernel_d_2* kernel) 
+        Has_finite_number_of_intersections_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
 
         bool operator()(const Polynomial_2& f,
@@ -1557,28 +1561,28 @@ public:
         }
 
     protected:
-        
+
         const Algebraic_kernel_d_2* _m_kernel;
-        
+
     };
-  CGAL_Algebraic_Kernel_pred(Has_finite_number_of_intersections_2, 
+  CGAL_Algebraic_Kernel_pred(Has_finite_number_of_intersections_2,
             has_finite_number_of_intersections_2_object);
-    
+
   // Square_free_factorize_2
   class Square_free_factorize_2 {
 
   public:
-      
-      Square_free_factorize_2(const Algebraic_kernel_d_2* kernel) 
+
+      Square_free_factorize_2(const Algebraic_kernel_d_2* kernel)
           : _m_kernel(kernel) {}
-      
+
       typedef Polynomial_2 first_argument_type;
       template< class OutputIterator>
-      OutputIterator operator()( const Polynomial_2& p, OutputIterator it) 
+      OutputIterator operator()( const Polynomial_2& p, OutputIterator it)
           const {
           return CGAL::square_free_factorize_up_to_constant_factor(p,it);
-      } 
-  
+      }
+
   protected:
 
         const Algebraic_kernel_d_2* _m_kernel;
@@ -1587,15 +1591,15 @@ public:
   CGAL_Algebraic_Kernel_cons(
           Square_free_factorize_2, square_free_factorize_2_object);
 
-  //this is deprecated ! 
+  //this is deprecated !
     //! Various curve and curve pair decomposition functions
   class Decompose_2 {
-    
+
     public:
 
         typedef bool result_type;
 
-        Decompose_2(const Algebraic_kernel_d_2* kernel) 
+        Decompose_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
 
         //! returns the square free part of the curve induced by \c p
@@ -1603,11 +1607,11 @@ public:
             typename Polynomial_traits_2::Make_square_free msf;
             return msf(p);
         }
-        
-        /*! 
-         * \brief computes a square-free factorization of a curve \c c, 
+
+        /*!
+         * \brief computes a square-free factorization of a curve \c c,
          * returns the number of pairwise coprime square-free factors
-         * 
+         *
          * returns square-free pairwise coprime factors in \c fit and
          * multiplicities in \c mit. The value type of \c fit is
          * \c Curve_analysis_2, the value type of \c mit is \c int
@@ -1615,17 +1619,17 @@ public:
         template< class OutputIterator1, class OutputIterator2 >
         int operator()(const Curve_analysis_2& ca,
                      OutputIterator1 fit, OutputIterator2 mit ) const {
-                        
+
             typename Polynomial_traits_2::
                 Square_free_factorize_up_to_constant_factor factorize;
             std::vector<Polynomial_2> factors;
-            
+
             int n_factors = factorize(ca.polynomial_2(),
                                       std::back_inserter(factors), mit);
             Construct_curve_2 cc_2 = _m_kernel->construct_curve_2_object();
-            for(int i = 0; i < static_cast<int>(factors.size()); i++) 
+            for(int i = 0; i < static_cast<int>(factors.size()); i++)
                 *fit++ = cc_2(factors[i]);
-            
+
             return n_factors;
         }
 
@@ -1636,23 +1640,23 @@ public:
          * The common part of the curves \c ca1 and \c ca2 is written in
          * \c oib, the coprime parts are written to \c oi1 and \c oi2,
          * respectively.
-         *         
-         * \return {true, if the two curves were not coprime (i.e., have a 
+         *
+         * \return {true, if the two curves were not coprime (i.e., have a
          * non-trivial common part}
          *
          * The value type of \c oi{1,2,b} is \c Curve_analysis_2
          */
-        template < class OutputIterator > 
+        template < class OutputIterator >
         bool operator()(const Curve_analysis_2& ca1,
             const Curve_analysis_2& ca2, OutputIterator oi1,
                 OutputIterator oi2, OutputIterator oib) const {
 
 #if CGAL_ACK_DONT_CHECK_POLYNOMIALS_FOR_COPRIMALITY
-        return false;  
-#else 
+        return false;
+#else
 
             Construct_curve_2 cc_2 = _m_kernel->construct_curve_2_object();
-          
+
 
             if (ca1.id() == ca2.id()) {
                 return false;
@@ -1660,7 +1664,7 @@ public:
 
             const Polynomial_2& f = ca1.polynomial_2();
             const Polynomial_2& g = ca2.polynomial_2();
-            
+
             if(f == g) {
               // both curves are equal, but have different representations!
               // std::cout <<"f: " << f <<std::endl;
@@ -1677,9 +1681,9 @@ public:
             if( n!=0 || nc!=0 ) {
                 Curve_analysis_2 common_curve = cc_2(gcd);
                 *oib++ = common_curve;
-                Polynomial_2 divided_curve 
+                Polynomial_2 divided_curve
                     = CGAL::integral_division(f,gcd);
-                if( CGAL::degree(divided_curve)>=1 || 
+                if( CGAL::degree(divided_curve)>=1 ||
                     CGAL::degree(
                             CGAL::univariate_content_up_to_constant_factor
                             (divided_curve)) >=1 ) {
@@ -1697,7 +1701,7 @@ public:
                 return true;
             }
 
-                
+
             // copy original curves to the output iterator:
             *oi1++ = ca1;
             *oi2++ = ca2;
@@ -1711,12 +1715,12 @@ public:
 
   };
     CGAL_Algebraic_Kernel_cons(Decompose_2, decompose_2_object);
-    
+
     //!@}
 public:
     //! \name types and functors for \c CurvedKernelViaAnalysis_2
     //!@{
-    
+
     //! Algebraic name
     typedef Algebraic_real_1 Coordinate_1;
 
@@ -1727,13 +1731,13 @@ public:
 
     public:
 
-      Is_square_free_2(const Algebraic_kernel_d_2* kernel) 
+      Is_square_free_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
 
       bool operator()(const Polynomial_2& p) const {
-	return typename Polynomial_traits_2::Is_square_free() (p);
+        return typename Polynomial_traits_2::Is_square_free() (p);
       }
-      
+
     private:
 
       const Algebraic_kernel_d_2* _m_kernel;
@@ -1749,13 +1753,13 @@ public:
                                                           Polynomial_2> {
 
     public:
-      Make_square_free_2(const Algebraic_kernel_d_2* kernel) 
+      Make_square_free_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
 
       Polynomial_2 operator()(const Polynomial_2& p) const {
-	return typename Polynomial_traits_2::Make_square_free() (p);
+        return typename Polynomial_traits_2::Make_square_free() (p);
       }
-      
+
     private:
 
       const Algebraic_kernel_d_2* _m_kernel;
@@ -1769,32 +1773,32 @@ public:
 
       typedef bool result_type;
 
-      Make_coprime_2(const Algebraic_kernel_d_2* kernel) 
-	: _m_kernel(kernel) {}
-	
+      Make_coprime_2(const Algebraic_kernel_d_2* kernel)
+        : _m_kernel(kernel) {}
+
       bool operator()(const Polynomial_2& p1,
-		      const Polynomial_2& p2,
-		      Polynomial_2& g,
-		      Polynomial_2& q1,
-		      Polynomial_2& q2) const {
-	
-	Polynomial_2 one(Coefficient(1));
-	
-	if (p1==p2) {
-	  g=p1; q1=one; q2=one;
-	  return false;
-	}
-	Gcd_cache_2& gcd_cache = _m_kernel->gcd_cache_2();
-	g = gcd_cache(std::make_pair(p1,p2));
-	q1=CGAL::integral_division_up_to_constant_factor(p1,g);
-	q2=CGAL::integral_division_up_to_constant_factor(p2,g);
-	return CGAL::total_degree(g)==0;
+                      const Polynomial_2& p2,
+                      Polynomial_2& g,
+                      Polynomial_2& q1,
+                      Polynomial_2& q2) const {
+
+        Polynomial_2 one(Coefficient(1));
+
+        if (p1==p2) {
+          g=p1; q1=one; q2=one;
+          return false;
+        }
+        Gcd_cache_2& gcd_cache = _m_kernel->gcd_cache_2();
+        g = gcd_cache(std::make_pair(p1,p2));
+        q1=CGAL::integral_division_up_to_constant_factor(p1,g);
+        q2=CGAL::integral_division_up_to_constant_factor(p2,g);
+        return CGAL::total_degree(g)==0;
       }
-      
+
     private:
-      
+
       const Algebraic_kernel_d_2* _m_kernel;
-      
+
     };
     CGAL_Algebraic_Kernel_cons(Make_coprime_2, make_coprime_2_object);
 
@@ -1804,42 +1808,42 @@ public:
     /*!
      * \brief computes the x-critical points of of a curve/a polynomial
      *
-     * An x-critical point (x,y) of \c f (or its induced curve) 
-     * satisfies f(x,y) = f_y(x,y) = 0, 
+     * An x-critical point (x,y) of \c f (or its induced curve)
+     * satisfies f(x,y) = f_y(x,y) = 0,
      * where f_y means the derivative w.r.t. y.
      * In pariticular, each singular point is x-critical.
      */
-    class X_critical_points_2 : 
+    class X_critical_points_2 :
         public CGAL::cpp98::binary_function< Curve_analysis_2,
             CGAL::cpp98::iterator<std::output_iterator_tag, Algebraic_real_2>,
             CGAL::cpp98::iterator<std::output_iterator_tag, Algebraic_real_2> > {
-       
+
     public:
-        
-        X_critical_points_2(const Algebraic_kernel_d_2* kernel) 
+
+        X_critical_points_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
-        /*! 
-         * \brief writes the x-critical points of \c ca_2 into \c oi 
+        /*!
+         * \brief writes the x-critical points of \c ca_2 into \c oi
          */
         template <class OutputIterator>
         OutputIterator operator()(const Curve_analysis_2& ca_2,
                 OutputIterator oi) const {
-                
+
             typename Polynomial_traits_2::Differentiate diff;
             Construct_curve_2 cc_2 = _m_kernel->construct_curve_2_object();
-            Construct_curve_pair_2 ccp_2 
+            Construct_curve_pair_2 ccp_2
                 = _m_kernel->construct_curve_pair_2_object();
             // construct curve analysis of a derivative in y
             Curve_analysis_2 ca_2x = cc_2(diff(ca_2.polynomial_2(),0));
             Curve_pair_analysis_2 cpa_2 = ccp_2(ca_2, ca_2x);
             typename Curve_pair_analysis_2::Status_line_1 cpv_line;
             typename Curve_analysis_2::Status_line_1 cv_line;
-            
+
             int i, j, n_arcs, n_events =
                 cpa_2.number_of_status_lines_with_event();
             std::pair<int,int> ipair;
             bool vline_constructed = false;
-            
+
             for(i = 0; i < n_events; i++) {
                 cpv_line = cpa_2.status_line_at_event(i);
                 // no 2-curve intersections over this status line
@@ -1848,7 +1852,7 @@ public:
                 n_arcs = cpv_line.number_of_events();
                 for(j = 0; j < n_arcs; j++) {
                     ipair = cpv_line.curves_at_event(j, ca_2,ca_2x);
-                    if(ipair.first == -1|| ipair.second == -1) 
+                    if(ipair.first == -1|| ipair.second == -1)
                         continue;
                     if(!vline_constructed) {
                         cv_line = ca_2.status_line_at_exact_x(cpv_line.x());
@@ -1862,7 +1866,7 @@ public:
             }
             return oi;
         }
-        
+
         //! \brief computes the \c i-th x-critical point of  \c ca
         Algebraic_real_2 operator()(const Curve_analysis_2& ca, int i) const
         {
@@ -1871,7 +1875,7 @@ public:
             CGAL_precondition(0 >= i&&i < x_points.size());
             return x_points[i];
         }
-    
+
     protected:
 
         const Algebraic_kernel_d_2* _m_kernel;
@@ -1879,12 +1883,12 @@ public:
     };
     CGAL_Algebraic_Kernel_cons(X_critical_points_2,
         x_critical_points_2_object);
-    
+
     /*!
      * \brief computes the y-critical points of of a curve/a polynomial
      *
-     * An y-critical point (x,y) of \c f (or its induced curve) 
-     * satisfies f(x,y) = f_x(x,y) = 0, 
+     * An y-critical point (x,y) of \c f (or its induced curve)
+     * satisfies f(x,y) = f_x(x,y) = 0,
      * where f_x means the derivative w.r.t. x.
      * In pariticular, each singular point is y-critical.
      */
@@ -1892,34 +1896,34 @@ public:
         public CGAL::cpp98::binary_function< Curve_analysis_2,
             CGAL::cpp98::iterator<std::output_iterator_tag, Algebraic_real_2>,
             CGAL::cpp98::iterator<std::output_iterator_tag, Algebraic_real_2> > {
-        
+
 
     public:
 
-        Y_critical_points_2(const Algebraic_kernel_d_2* kernel) 
+        Y_critical_points_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
 
-        /*! 
-         * \brief writes the y-critical points of \c ca_2 into \c oi 
+        /*!
+         * \brief writes the y-critical points of \c ca_2 into \c oi
          */
         template <class OutputIterator>
-        OutputIterator operator()(const Curve_analysis_2& ca_2, 
+        OutputIterator operator()(const Curve_analysis_2& ca_2,
             OutputIterator oi) const
         {
             Construct_curve_2 cc_2 = _m_kernel->construct_curve_2_object();
-            Construct_curve_pair_2 ccp_2 
+            Construct_curve_pair_2 ccp_2
                 = _m_kernel->construct_curve_pair_2_object();
-            
+
             typename Curve_analysis_2::Status_line_1 cv_line;
             std::pair<int,int> ipair;
             int i, j, k, n_arcs, n_events =
                 ca_2.number_of_status_lines_with_event();
-            
-            bool cpa_constructed = false, vline_constructed = false; 
+
+            bool cpa_constructed = false, vline_constructed = false;
             typename Curve_pair_analysis_2::Status_line_1
                 cpv_line;
             Curve_pair_analysis_2 cpa_2;
-            
+
             for(i = 0; i < n_events; i++) {
                 cv_line = ca_2.status_line_at_event(i);
                 n_arcs = cv_line.number_of_events();
@@ -1947,7 +1951,7 @@ public:
                     // obtain the y-position of j-th event of curve p
                     k = cpv_line.event_of_curve(j, ca_2);
                     ipair = cpv_line.curves_at_event(k);
-                    
+
                     // pick up only event comprised of both curve and its der
                     if(ipair.first != -1&&ipair.second != -1)
                         *oi++ = cv_line.algebraic_real_2(j);
@@ -1983,74 +1987,74 @@ public:
 
     // Overload the Sign_at_1 functor, to enable filter steps in the
     // Curve analysis in a coherent way
-    class Sign_at_1 
+    class Sign_at_1
       : public::CGAL::cpp98::binary_function<Polynomial_1,Algebraic_real_1,Sign> {
 
-      
+
     public:
-        
-        Sign_at_1(const Algebraic_kernel_d_2* kernel) 
+
+        Sign_at_1(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
-       
 
-	// Version that refines r up to a certain precision. 
-	// If the (non-zero) sign was not computed until this
-	// precision, CGAL::ZERO is returned. This can be used internally
-	// as a filter to detect easy cases	
-	Sign operator()(const Polynomial_1& p,
-			const Algebraic_real_1& r,
-			int max_prec) const {
-	    typename Algebraic_kernel_d_2::Approximate_absolute_1 approx_x
-	      = _m_kernel->approximate_absolute_1_object();
 
-            typedef CGAL::internal::Interval_evaluate_1< Polynomial_1, Bound > 
+        // Version that refines r up to a certain precision.
+        // If the (non-zero) sign was not computed until this
+        // precision, CGAL::ZERO is returned. This can be used internally
+        // as a filter to detect easy cases
+        Sign operator()(const Polynomial_1& p,
+                        const Algebraic_real_1& r,
+                        int max_prec) const {
+            typename Algebraic_kernel_d_2::Approximate_absolute_1 approx_x
+              = _m_kernel->approximate_absolute_1_object();
+
+            typedef CGAL::internal::Interval_evaluate_1< Polynomial_1, Bound >
               Interval_evaluate_1;
-            typedef typename Interval_evaluate_1::result_type 
+            typedef typename Interval_evaluate_1::result_type
               Interval_result_type;
             Interval_evaluate_1 interval_evaluate_1;
-	    
-	    long prec = 1;
+
+            long prec = 1;
 
             while(prec<=max_prec) {
-  	        std::pair<Bound,Bound> x_pair = approx_x(r,prec);
-		
-		Interval_result_type iv
+                  std::pair<Bound,Bound> x_pair = approx_x(r,prec);
+
+                Interval_result_type iv
                   = interval_evaluate_1(p,
-					std::make_pair(x_pair.first,
-						       x_pair.second));
+                                        std::make_pair(x_pair.first,
+                                                       x_pair.second));
                 CGAL::Sign s_lower = CGAL::sign(iv.first);
                 if(s_lower == CGAL::sign(iv.second)) {
-		  return s_lower;
-		} else {
-		  prec*=2;
-		}
-	    }
-	    return CGAL::ZERO;
-	  
-	}
+                  return s_lower;
+                } else {
+                  prec*=2;
+                }
+            }
+            return CGAL::ZERO;
+
+        }
 
         Sign operator()(const Polynomial_1& p,
                         const Algebraic_real_1& r,
-			bool known_to_be_non_zero=false) const {
-                
-	    if(!known_to_be_non_zero &&
-	       _m_kernel->is_zero_at_1_object()(p, r)) {
-	      return CGAL::ZERO;
-	    }
-	    CGAL::Sign result = this->operator()
-	      (p,r,(std::numeric_limits<int>::max)());
-	    CGAL_assertion(result != CGAL::ZERO);
-	    return result;	    
+                        bool known_to_be_non_zero=false) const {
+
+            if(!known_to_be_non_zero &&
+               _m_kernel->is_zero_at_1_object()(p, r)) {
+              return CGAL::ZERO;
+            }
+            CGAL::Sign result = this->operator()
+              (p,r,(std::numeric_limits<int>::max)());
+            CGAL_assertion(result != CGAL::ZERO);
+            return result;
         }
-        
+
     protected:
-        
+
         const Algebraic_kernel_d_2* _m_kernel;
 
 
 
     };
-    CGAL_Algebraic_Kernel_pred(Sign_at_1, sign_at_1_object);    
+    CGAL_Algebraic_Kernel_pred(Sign_at_1, sign_at_1_object);
 
 
     /*!
@@ -2064,159 +2068,159 @@ public:
         public CGAL::cpp98::binary_function<Polynomial_2, Algebraic_real_2, Sign > {
 
     public:
-        
-        Sign_at_2(const Algebraic_kernel_d_2* kernel) 
+
+        Sign_at_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
-       
-	Sign operator()(const Polynomial_2& f,
+
+        Sign operator()(const Polynomial_2& f,
                         const Algebraic_real_2& r,
-			bool known_to_be_non_zero=false) const {
+                        bool known_to_be_non_zero=false) const {
 
-	  return this->operator()(_m_kernel->construct_curve_2_object()(f),r,
-				  known_to_be_non_zero);
+          return this->operator()(_m_kernel->construct_curve_2_object()(f),r,
+                                  known_to_be_non_zero);
         }
 
-	// Version that refines x- and y-coordinate up to a certain
-	// precision. If the non-zero sign was not computed until this
-	// precision, CGAL::ZERO is returned. This can used internally
-	// as a filter to detect easy cases	
-	Sign operator()(const Polynomial_2& f,
-			const Algebraic_real_2& r,
-			int max_prec) const {
-	  return this->operator()(_m_kernel->construct_curve_2_object()(f),r,
-				  max_prec);
-	}
-
-	// Version that refines x- and y-coordinate up to a certain
-	// precision. If the non-zero sign was not computed until this
-	// precision, CGAL::ZERO is returned. This can be used internally
-	// as a filter to detect easy cases	
-	Sign operator()(const Curve_analysis_2& ca_2,
-			const Algebraic_real_2& r,
-			int max_prec) const {
-	    if(ca_2.is_identical(r.curve())) {
-	      return CGAL::ZERO;
-	    }
-	    typename Algebraic_kernel_d_2::Approximate_absolute_x_2 approx_x
-	      = _m_kernel->approximate_absolute_x_2_object();
-	    typename Algebraic_kernel_d_2::Approximate_absolute_y_2 approx_y
-	      = _m_kernel->approximate_absolute_y_2_object();
+        // Version that refines x- and y-coordinate up to a certain
+        // precision. If the non-zero sign was not computed until this
+        // precision, CGAL::ZERO is returned. This can used internally
+        // as a filter to detect easy cases
+        Sign operator()(const Polynomial_2& f,
+                        const Algebraic_real_2& r,
+                        int max_prec) const {
+          return this->operator()(_m_kernel->construct_curve_2_object()(f),r,
+                                  max_prec);
+        }
+
+        // Version that refines x- and y-coordinate up to a certain
+        // precision. If the non-zero sign was not computed until this
+        // precision, CGAL::ZERO is returned. This can be used internally
+        // as a filter to detect easy cases
+        Sign operator()(const Curve_analysis_2& ca_2,
+                        const Algebraic_real_2& r,
+                        int max_prec) const {
+            if(ca_2.is_identical(r.curve())) {
+              return CGAL::ZERO;
+            }
+            typename Algebraic_kernel_d_2::Approximate_absolute_x_2 approx_x
+              = _m_kernel->approximate_absolute_x_2_object();
+            typename Algebraic_kernel_d_2::Approximate_absolute_y_2 approx_y
+              = _m_kernel->approximate_absolute_y_2_object();
 
-            typedef CGAL::internal::Interval_evaluate_2< Polynomial_2, Bound > 
+            typedef CGAL::internal::Interval_evaluate_2< Polynomial_2, Bound >
               Interval_evaluate_2;
-            typedef typename Interval_evaluate_2::result_type 
+            typedef typename Interval_evaluate_2::result_type
               Interval_result_type;
             Interval_evaluate_2 interval_evaluate_2;
-	    
-	    long prec = 4;
+
+            long prec = 4;
 
             while(prec<=max_prec) {
-  	        std::pair<Bound,Bound> x_pair = approx_x(r,prec);
-  	        std::pair<Bound,Bound> y_pair = approx_y(r,prec);
-		
-		Interval_result_type iv
+                  std::pair<Bound,Bound> x_pair = approx_x(r,prec);
+                  std::pair<Bound,Bound> y_pair = approx_y(r,prec);
+
+                Interval_result_type iv
                   = interval_evaluate_2(ca_2.polynomial_2(),
-					CGAL::make_array(x_pair.first,
-							 x_pair.second,
-							 y_pair.first,
-							 y_pair.second));
+                                        CGAL::make_array(x_pair.first,
+                                                         x_pair.second,
+                                                         y_pair.first,
+                                                         y_pair.second));
                 CGAL::Sign s_lower = CGAL::sign(iv.first);
                 if(s_lower == CGAL::sign(iv.second)) {
-		  return s_lower;
-		} else {
-		  prec*=2;
-		}
-	    }
-	    return CGAL::ZERO;
-	  
-	}
+                  return s_lower;
+                } else {
+                  prec*=2;
+                }
+            }
+            return CGAL::ZERO;
+
+        }
 
         Sign operator()(const Curve_analysis_2& ca_2,
                         const Algebraic_real_2& r,
-			bool known_to_be_non_zero=false) const {
-                
- 	    if(ca_2.is_identical(r.curve())) {
-	      return CGAL::ZERO;
-	    }
-	    if(!known_to_be_non_zero &&
-	       _m_kernel->is_zero_at_2_object()(ca_2, r)) {
-	      return CGAL::ZERO;
-	    }
-	    CGAL::Sign result = this->operator()
-	      (ca_2,r,(std::numeric_limits<int>::max)());
-	    CGAL_assertion(result != CGAL::ZERO);
-	    return result;	    
+                        bool known_to_be_non_zero=false) const {
+
+             if(ca_2.is_identical(r.curve())) {
+              return CGAL::ZERO;
+            }
+            if(!known_to_be_non_zero &&
+               _m_kernel->is_zero_at_2_object()(ca_2, r)) {
+              return CGAL::ZERO;
+            }
+            CGAL::Sign result = this->operator()
+              (ca_2,r,(std::numeric_limits<int>::max)());
+            CGAL_assertion(result != CGAL::ZERO);
+            return result;
         }
-        
+
     protected:
-        
+
         const Algebraic_kernel_d_2* _m_kernel;
 
-    
+
     };
     CGAL_Algebraic_Kernel_pred(Sign_at_2, sign_at_2_object);
 
-    class Is_zero_at_2 
+    class Is_zero_at_2
       : public CGAL::cpp98::binary_function<Polynomial_2,Algebraic_real_2,bool> {
-    
+
     public:
-      
-      Is_zero_at_2(const Algebraic_kernel_d_2* kernel) 
-	: _m_kernel(kernel) {}
-	
+
+      Is_zero_at_2(const Algebraic_kernel_d_2* kernel)
+        : _m_kernel(kernel) {}
+
       bool operator() (const Polynomial_2& f, const Algebraic_real_2& r) const {
-	return this->operator() (_m_kernel->construct_curve_2_object()(f),r);
+        return this->operator() (_m_kernel->construct_curve_2_object()(f),r);
       }
 
-      bool operator() (const Curve_analysis_2& ca_2, 
-		       const Algebraic_real_2& r) const {
+      bool operator() (const Curve_analysis_2& ca_2,
+                       const Algebraic_real_2& r) const {
+
+
+        if (CGAL::is_zero(ca_2.polynomial_2())) {
+          return true;
+        }
+
+        Construct_curve_2 cc_2 = _m_kernel->construct_curve_2_object();
+        Construct_curve_pair_2 ccp_2
+          = _m_kernel->construct_curve_pair_2_object();
+
+        typename Curve_analysis_2::Status_line_1
+          cv_line = ca_2.status_line_for_x(r.x());
+        // fast check for the presence of status line at r.x()
+        if(cv_line.covers_line())
+          return true;
+
+        // Handle non-coprime polynomial
+        Polynomial_2 gcd = _m_kernel->gcd_cache_2()
+          (std::make_pair(ca_2.polynomial_2(), r.curve().polynomial_2()));
+
+        Curve_analysis_2 gcd_curve = cc_2(gcd);
+        if(CGAL::total_degree(gcd)>0) {
+
+          Construct_curve_pair_2 ccp_2
+            = _m_kernel->construct_curve_pair_2_object();
+          Curve_analysis_2 r_curve_remainder =
+            cc_2(CGAL::integral_division_up_to_constant_factor
+                 (r.curve().polynomial_2(), gcd));
 
+          r.simplify_by(ccp_2(gcd_curve, r_curve_remainder));
+          if(r.curve().polynomial_2() == gcd)
+            return true;
+        }
+
+        Curve_pair_analysis_2 cpa_2 = ccp_2(ca_2, r.curve());
+        typename Curve_pair_analysis_2::Status_line_1
+          cpv_line = cpa_2.status_line_for_x(r.x());
 
-	if (CGAL::is_zero(ca_2.polynomial_2())) {
-	  return true;
-	}
-	
-	Construct_curve_2 cc_2 = _m_kernel->construct_curve_2_object();
-	Construct_curve_pair_2 ccp_2 
-	  = _m_kernel->construct_curve_pair_2_object();
-
-	typename Curve_analysis_2::Status_line_1
-	  cv_line = ca_2.status_line_for_x(r.x());
-	// fast check for the presence of status line at r.x()
-	if(cv_line.covers_line())    
-	  return true;
-	
-	// Handle non-coprime polynomial
-	Polynomial_2 gcd = _m_kernel->gcd_cache_2()
-	  (std::make_pair(ca_2.polynomial_2(), r.curve().polynomial_2()));
-	
-	Curve_analysis_2 gcd_curve = cc_2(gcd);
-	if(CGAL::total_degree(gcd)>0) {
-	  
-	  Construct_curve_pair_2 ccp_2
-	    = _m_kernel->construct_curve_pair_2_object();
-	  Curve_analysis_2 r_curve_remainder =
-	    cc_2(CGAL::integral_division_up_to_constant_factor
-		 (r.curve().polynomial_2(), gcd));
-                    
-	  r.simplify_by(ccp_2(gcd_curve, r_curve_remainder));
-	  if(r.curve().polynomial_2() == gcd) 
-	    return true;
-	}
-
-	Curve_pair_analysis_2 cpa_2 = ccp_2(ca_2, r.curve());
-	typename Curve_pair_analysis_2::Status_line_1
-	  cpv_line = cpa_2.status_line_for_x(r.x());
-	
-	if(cpv_line.is_event() && cpv_line.is_intersection()) {
-	  // get an y-position of the point r
-	  int idx = cpv_line.event_of_curve(r.arcno(), r.curve());
-	  std::pair<int, int> ipair =
-	    cpv_line.curves_at_event(idx);
-	  if(ipair.first != -1 && ipair.second != -1)
-	    return true;
-	}
-	return false;
+        if(cpv_line.is_event() && cpv_line.is_intersection()) {
+          // get an y-position of the point r
+          int idx = cpv_line.event_of_curve(r.arcno(), r.curve());
+          std::pair<int, int> ipair =
+            cpv_line.curves_at_event(idx);
+          if(ipair.first != -1 && ipair.second != -1)
+            return true;
+        }
+        return false;
       }
 
     protected:
@@ -2224,8 +2228,8 @@ public:
         const Algebraic_kernel_d_2* _m_kernel;
 
     };
-    CGAL_Algebraic_Kernel_cons(Is_zero_at_2, 
-			       is_zero_at_2_object);
+    CGAL_Algebraic_Kernel_cons(Is_zero_at_2,
+                               is_zero_at_2_object);
 
 
  protected:
@@ -2235,79 +2239,79 @@ public:
 
     public:
 
-        Solve_at_x_2(const Algebraic_kernel_d_2* kernel) 
+        Solve_at_x_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
 
 
-	//! Version with Algebraic_real_1
+        //! Version with Algebraic_real_1
         template <class OutputIterator>
-	  OutputIterator
-           operator()(const Curve_pair_analysis_2& cpa_2, 
-		      Algebraic_real_1 a,
-		      OutputIterator res) const {
-	  int idx; bool event;
-	  cpa_2.x_to_index(a,idx,event);
-	  if(! event) {
-	    return res; // no intersections at a
-	  } else {
-	    return this->operator()(cpa_2,idx,res);
-	  }
-	}
+          OutputIterator
+           operator()(const Curve_pair_analysis_2& cpa_2,
+                      Algebraic_real_1 a,
+                      OutputIterator res) const {
+          int idx; bool event;
+          cpa_2.x_to_index(a,idx,event);
+          if(! event) {
+            return res; // no intersections at a
+          } else {
+            return this->operator()(cpa_2,idx,res);
+          }
+        }
 
         //! Version with index (faster)
         template <class OutputIterator>
-	  OutputIterator
-           operator()(const Curve_pair_analysis_2& cpa_2, 
-		      size_type index,
-		      OutputIterator res) const 
+          OutputIterator
+           operator()(const Curve_pair_analysis_2& cpa_2,
+                      size_type index,
+                      OutputIterator res) const
         {
-  	    Curve_analysis_2 ca1 = cpa_2.curve_analysis(true),
-	      ca2 = cpa_2.curve_analysis(false);
+              Curve_analysis_2 ca1 = cpa_2.curve_analysis(true),
+              ca2 = cpa_2.curve_analysis(false);
             typename Curve_pair_analysis_2::Status_line_1 cpv_line;
-            // do we need to check which supporting curve is simpler ?    
+            // do we need to check which supporting curve is simpler ?
             typename Polynomial_traits_2::Total_degree total_degree;
 
             Polynomial_2 f1 = ca1.polynomial_2(),
                 f2 = ca2.polynomial_2();
             bool first_curve = (total_degree(f1) < total_degree(f2));
-            
+
             CGAL_assertion(index<cpa_2.number_of_status_lines_with_event());
-	    cpv_line = cpa_2.status_line_at_event(index);
-	    Algebraic_real_1 x = cpv_line.x(); 
-	    bool ca1_covers_line 
-	      = ca1.status_line_at_exact_x(x).covers_line();
-	    bool ca2_covers_line 
-	      = ca2.status_line_at_exact_x(x).covers_line();
-	    
-	    for(int j = 0; j < cpv_line.number_of_events(); j++) {
-	      std::pair<int,int> ipair = cpv_line.curves_at_event(j,ca1,ca2);
-	      if(ipair.first != -1 && ipair.second != -1) {
-		Algebraic_real_2 new_root   
-		  = Algebraic_real_2(x, 
-				     (first_curve ? ca1 : ca2),
-				     (first_curve ? ipair.first
-				      : ipair.second));
-		Multiplicity_type new_mult
-		  = cpv_line.multiplicity_of_intersection(j);
-		*res++ = std::make_pair(new_root,new_mult);
-		continue;
-	      }
-	      if(ipair.first!=-1 && ca2_covers_line) {
-		Algebraic_real_2 new_root   
-		  = Algebraic_real_2(x,ca1,ipair.first);
-		Multiplicity_type new_mult=-1;
-		*res++ = std::make_pair(new_root,new_mult);
-		continue;
-	      }
-	      if(ipair.second!=-1 && ca1_covers_line) {
-		Algebraic_real_2 new_root   
-		  = Algebraic_real_2(x,ca2,ipair.second);
-		Multiplicity_type new_mult=-1;
-		*res++ = std::make_pair(new_root,new_mult);
-		continue;
-	      }
-	    }
-	    return res;
+            cpv_line = cpa_2.status_line_at_event(index);
+            Algebraic_real_1 x = cpv_line.x();
+            bool ca1_covers_line
+              = ca1.status_line_at_exact_x(x).covers_line();
+            bool ca2_covers_line
+              = ca2.status_line_at_exact_x(x).covers_line();
+
+            for(int j = 0; j < cpv_line.number_of_events(); j++) {
+              std::pair<int,int> ipair = cpv_line.curves_at_event(j,ca1,ca2);
+              if(ipair.first != -1 && ipair.second != -1) {
+                Algebraic_real_2 new_root
+                  = Algebraic_real_2(x,
+                                     (first_curve ? ca1 : ca2),
+                                     (first_curve ? ipair.first
+                                      : ipair.second));
+                Multiplicity_type new_mult
+                  = cpv_line.multiplicity_of_intersection(j);
+                *res++ = std::make_pair(new_root,new_mult);
+                continue;
+              }
+              if(ipair.first!=-1 && ca2_covers_line) {
+                Algebraic_real_2 new_root
+                  = Algebraic_real_2(x,ca1,ipair.first);
+                Multiplicity_type new_mult=-1;
+                *res++ = std::make_pair(new_root,new_mult);
+                continue;
+              }
+              if(ipair.second!=-1 && ca1_covers_line) {
+                Algebraic_real_2 new_root
+                  = Algebraic_real_2(x,ca2,ipair.second);
+                Multiplicity_type new_mult=-1;
+                *res++ = std::make_pair(new_root,new_mult);
+                continue;
+              }
+            }
+            return res;
         }
 
     protected:
@@ -2324,12 +2328,12 @@ public:
      * \brief computes solutions of systems of two 2 equations and 2 variables
      *
      * \pre the polynomials must be square-free and coprime
-     */  
+     */
     class Solve_2 {
-    
+
     public:
 
-        Solve_2(const Algebraic_kernel_d_2* kernel) 
+        Solve_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
 
 #if CGAL_AK_ENABLE_DEPRECATED_INTERFACE
@@ -2338,32 +2342,32 @@ public:
            operator()
                (const Polynomial_2& f, const Polynomial_2& g,
                 OutputIteratorRoots roots, OutputIteratorMult mults) const {
-	  std::vector<std::pair<Algebraic_real_2,Multiplicity_type> > 
-	    roots_vec;
-	  this->operator()(f,g,std::back_inserter(roots_vec));
-	  typename Algebraic_kernel_d_1::template Pair_first
-	    <Algebraic_real_2,Multiplicity_type> pair_first;	  
-	  typename Algebraic_kernel_d_1::template Pair_second
-	    <Algebraic_real_2,Multiplicity_type> pair_second;	  
-	  std::copy(::boost::make_transform_iterator
-		      (roots_vec.begin(),pair_first),
-		    ::boost::make_transform_iterator
-		      (roots_vec.end(),pair_first),
-		    roots);
-	  std::copy(::boost::make_transform_iterator
-		      (roots_vec.begin(),pair_second),
-		    ::boost::make_transform_iterator
-		      (roots_vec.end(),pair_second),
-		    mults);
-	  return std::make_pair(roots,mults);
-	}
-	  
+          std::vector<std::pair<Algebraic_real_2,Multiplicity_type> >
+            roots_vec;
+          this->operator()(f,g,std::back_inserter(roots_vec));
+          typename Algebraic_kernel_d_1::template Pair_first
+            <Algebraic_real_2,Multiplicity_type> pair_first;
+          typename Algebraic_kernel_d_1::template Pair_second
+            <Algebraic_real_2,Multiplicity_type> pair_second;
+          std::copy(::boost::make_transform_iterator
+                      (roots_vec.begin(),pair_first),
+                    ::boost::make_transform_iterator
+                      (roots_vec.end(),pair_first),
+                    roots);
+          std::copy(::boost::make_transform_iterator
+                      (roots_vec.begin(),pair_second),
+                    ::boost::make_transform_iterator
+                      (roots_vec.end(),pair_second),
+                    mults);
+          return std::make_pair(roots,mults);
+        }
+
 #endif
 
-        /*! 
+        /*!
          * \brief solves the system (f=0,g=0)
          *
-         * All solutions of the system are written into \c roots 
+         * All solutions of the system are written into \c roots
          * (whose value type is \c Algebraic_real_2). The multiplicities
          * are written into \c mults (whose value type is \c int)
          */
@@ -2371,7 +2375,7 @@ public:
            operator()
                (const Polynomial_2& f, const Polynomial_2& g,
                 OutputIterator res) const {
-            return 
+            return
                 (*this)(_m_kernel->construct_curve_2_object()(f),
                         _m_kernel->construct_curve_2_object()(g),
                         res);
@@ -2383,42 +2387,42 @@ public:
            operator()
                (const Curve_analysis_2& f, const Curve_analysis_2& g,
                 OutputIteratorRoots roots, OutputIteratorMult mults) const {
-	  std::vector<std::pair<Algebraic_real_2,Multiplicity_type> > 
-	    roots_vec;
-	  this->operator()(f,g,std::back_inserter(roots_vec));
-	  typename Algebraic_kernel_d_1::template Pair_first
-	    <Algebraic_real_2,Multiplicity_type> pair_first;	  
-	  typename Algebraic_kernel_d_1::template Pair_second
-	    <Algebraic_real_2,Multiplicity_type> pair_second;	  
-	  std::copy(::boost::make_transform_iterator
-		      (roots_vec.begin(),pair_first),
-		    ::boost::make_transform_iterator
-		      (roots_vec.end(),pair_first),
-		    roots);
-	  std::copy(::boost::make_transform_iterator
-		      (roots_vec.begin(),pair_second),
-		    ::boost::make_transform_iterator
-		      (roots_vec.end(),pair_second),
-		    mults);
-	  return std::make_pair(roots,mults);
-	}
-	  
+          std::vector<std::pair<Algebraic_real_2,Multiplicity_type> >
+            roots_vec;
+          this->operator()(f,g,std::back_inserter(roots_vec));
+          typename Algebraic_kernel_d_1::template Pair_first
+            <Algebraic_real_2,Multiplicity_type> pair_first;
+          typename Algebraic_kernel_d_1::template Pair_second
+            <Algebraic_real_2,Multiplicity_type> pair_second;
+          std::copy(::boost::make_transform_iterator
+                      (roots_vec.begin(),pair_first),
+                    ::boost::make_transform_iterator
+                      (roots_vec.end(),pair_first),
+                    roots);
+          std::copy(::boost::make_transform_iterator
+                      (roots_vec.begin(),pair_second),
+                    ::boost::make_transform_iterator
+                      (roots_vec.end(),pair_second),
+                    mults);
+          return std::make_pair(roots,mults);
+        }
+
 #endif
 
 
         //! Version with curve analyses
         template <class OutputIterator>
-	  OutputIterator
-           operator()(const Curve_analysis_2& ca1, 
-		      const Curve_analysis_2& ca2,
-		      OutputIterator res) const 
+          OutputIterator
+           operator()(const Curve_analysis_2& ca1,
+                      const Curve_analysis_2& ca2,
+                      OutputIterator res) const
         {
             // these tests are quite expensive... do we really need them ??
             /*
             CGAL_precondition_code (
-                typename Self::Has_finite_number_of_self_intersections_2 
+                typename Self::Has_finite_number_of_self_intersections_2
                     not_self_overlapped;
-                typename Self::Has_finite_number_of_intersections_2 
+                typename Self::Has_finite_number_of_intersections_2
                     do_not_overlap;
                 CGAL_precondition(not_self_overlapped(ca1) &&
                     not_self_overlapped(ca2));
@@ -2429,70 +2433,70 @@ public:
                 = _m_kernel->construct_curve_pair_2_object();
             Curve_pair_analysis_2 cpa_2 = ccp_2(ca1, ca2);
             typename Curve_pair_analysis_2::Status_line_1 cpv_line;
-            // do we need to check which supporting curve is simpler ?    
+            // do we need to check which supporting curve is simpler ?
             //typename Polynomial_traits_2::Total_degree total_degree;
 
             //Polynomial_2 f1 = ca1.polynomial_2(),
             //    f2 = ca2.polynomial_2();
             //bool first_curve = (total_degree(f1) < total_degree(f2));
-            
+
             int i, n = cpa_2.number_of_status_lines_with_event();
-	    for(i = 0; i < n; i++) {
+            for(i = 0; i < n; i++) {
               _m_kernel->solve_at_x_2_object()(cpa_2,i,res);
             }
             return res;
         }
 
-	template <class OutputIterator> OutputIterator
-	  operator()
-	  (const Polynomial_2& f, const Polynomial_2& g,
-	   Bound xl, Bound xu, Bound yl, Bound yu,
-	   OutputIterator res) const {
-	  // Note: This could be improved by not computing all solutions
-	  //       but only those in [xl,xu] (lazy evaluation)
-	  std::vector<std::pair<Algebraic_real_2,Multiplicity_type> > roots;
-	  this->operator() (f,g,std::back_inserter(roots));
-	  // Find the x-values using binary search:
-	  typename Algebraic_kernel_d_1::template Pair_first
-	    <Algebraic_real_2,Multiplicity_type> pair_first;
-	  typedef typename
-	    std::vector<std::pair<Algebraic_real_2,Multiplicity_type> >
-	    ::iterator Iterator;
-	  Iterator roots_start = std::lower_bound
-	    (::boost::make_transform_iterator
-	     (roots.begin(),
-	      _m_kernel->unary_compose(pair_first,
-				       _m_kernel->compute_x_2_object())),
-	     ::boost::make_transform_iterator
-	     (roots.end(),
-	      _m_kernel->unary_compose(pair_first,
-				       _m_kernel->compute_x_2_object())),
-	     _m_kernel->construct_algebraic_real_1_object()(xl)).base();
-	  Iterator roots_end = std::upper_bound
-	    (::boost::make_transform_iterator
-	     (roots_start,
-	      _m_kernel->unary_compose(pair_first,
-				       _m_kernel->compute_x_2_object())),
-	     ::boost::make_transform_iterator
-	     (roots.end(),
-	      _m_kernel->unary_compose(pair_first,
-				       _m_kernel->compute_x_2_object())),
-	     _m_kernel->construct_algebraic_real_1_object()(xu)).base();
-	  // Now check y-coordinate. Binary search is not possible here!
-	  // Note that compare_y is not too expensive here because we
-	  // only compare with rationals
-	  for(Iterator it=roots_start;it!=roots_end;it++) {
-	    if(_m_kernel->compare_y_2_object()(yl,it->first)==CGAL::LARGER) {
-	      continue;
-	    }
-	    if(_m_kernel->compare_y_2_object()(it->first,yu)==CGAL::LARGER) {
-	      continue;
-	    }
-	    *res++ = *it;
-	  }
-	  return res;
-	}
-	     
+        template <class OutputIterator> OutputIterator
+          operator()
+          (const Polynomial_2& f, const Polynomial_2& g,
+           Bound xl, Bound xu, Bound yl, Bound yu,
+           OutputIterator res) const {
+          // Note: This could be improved by not computing all solutions
+          //       but only those in [xl,xu] (lazy evaluation)
+          std::vector<std::pair<Algebraic_real_2,Multiplicity_type> > roots;
+          this->operator() (f,g,std::back_inserter(roots));
+          // Find the x-values using binary search:
+          typename Algebraic_kernel_d_1::template Pair_first
+            <Algebraic_real_2,Multiplicity_type> pair_first;
+          typedef typename
+            std::vector<std::pair<Algebraic_real_2,Multiplicity_type> >
+            ::iterator Iterator;
+          Iterator roots_start = std::lower_bound
+            (::boost::make_transform_iterator
+             (roots.begin(),
+              _m_kernel->unary_compose(pair_first,
+                                       _m_kernel->compute_x_2_object())),
+             ::boost::make_transform_iterator
+             (roots.end(),
+              _m_kernel->unary_compose(pair_first,
+                                       _m_kernel->compute_x_2_object())),
+             _m_kernel->construct_algebraic_real_1_object()(xl)).base();
+          Iterator roots_end = std::upper_bound
+            (::boost::make_transform_iterator
+             (roots_start,
+              _m_kernel->unary_compose(pair_first,
+                                       _m_kernel->compute_x_2_object())),
+             ::boost::make_transform_iterator
+             (roots.end(),
+              _m_kernel->unary_compose(pair_first,
+                                       _m_kernel->compute_x_2_object())),
+             _m_kernel->construct_algebraic_real_1_object()(xu)).base();
+          // Now check y-coordinate. Binary search is not possible here!
+          // Note that compare_y is not too expensive here because we
+          // only compare with rationals
+          for(Iterator it=roots_start;it!=roots_end;it++) {
+            if(_m_kernel->compare_y_2_object()(yl,it->first)==CGAL::LARGER) {
+              continue;
+            }
+            if(_m_kernel->compare_y_2_object()(it->first,yu)==CGAL::LARGER) {
+              continue;
+            }
+            *res++ = *it;
+          }
+          return res;
+        }
+
     protected:
 
         const Algebraic_kernel_d_2* _m_kernel;
@@ -2500,20 +2504,20 @@ public:
     };
     CGAL_Algebraic_Kernel_cons(Solve_2, solve_2_object);
 
-    class Number_of_solutions_2 
+    class Number_of_solutions_2
       : public CGAL::cpp98::binary_function<Polynomial_2,Polynomial_2,size_type> {
-    
+
     public:
-      
-      Number_of_solutions_2(const Algebraic_kernel_d_2* kernel) 
-	: _m_kernel(kernel) {}
-	
-      size_type operator() 
-	(const Polynomial_2& f, const Polynomial_2& g) const {
 
-	std::vector<std::pair<Algebraic_real_2,Multiplicity_type> > roots;
-	_m_kernel->solve_2_object()(f,g,std::back_inserter(roots));
-	return static_cast<size_type>(roots.size()); 
+      Number_of_solutions_2(const Algebraic_kernel_d_2* kernel)
+        : _m_kernel(kernel) {}
+
+      size_type operator()
+        (const Polynomial_2& f, const Polynomial_2& g) const {
+
+        std::vector<std::pair<Algebraic_real_2,Multiplicity_type> > roots;
+        _m_kernel->solve_2_object()(f,g,std::back_inserter(roots));
+        return static_cast<size_type>(roots.size());
       }
 
     protected:
@@ -2521,45 +2525,45 @@ public:
         const Algebraic_kernel_d_2* _m_kernel;
 
     };
-    CGAL_Algebraic_Kernel_cons(Number_of_solutions_2, 
-			       number_of_solutions_2_object);
+    CGAL_Algebraic_Kernel_cons(Number_of_solutions_2,
+                               number_of_solutions_2_object);
 
     // Functor used to evaluate a Polynomial_2 in a Bound, up to a
     // constant factor
-    class Evaluate_utcf_2 
+    class Evaluate_utcf_2
       : public CGAL::cpp98::binary_function<Polynomial_2,Bound,Polynomial_1> {
-    
+
     public:
-      
-      Evaluate_utcf_2(const Algebraic_kernel_d_2* kernel) 
-	: _m_kernel(kernel) {}
-	
+
+      Evaluate_utcf_2(const Algebraic_kernel_d_2* kernel)
+        : _m_kernel(kernel) {}
+
       Polynomial_1 operator() (const Polynomial_2& f, Bound b) const {
-	typedef CGAL::Fraction_traits<Bound> FT;
-	// We rely on the fact that the Bound is a fraction
-	CGAL_static_assertion((::boost::is_same<typename FT::Is_fraction,
-			                     CGAL::Tag_true>::value));
-	typedef typename FT::Numerator_type Numerator;
-	typedef typename FT::Denominator_type Denominator;
-	typedef CGAL::Coercion_traits<Numerator,Coefficient> Num_coercion;
-	CGAL_static_assertion((::boost::is_same
-			      <Coefficient,
-   			       typename Num_coercion::Type>::value));
-	typedef CGAL::Coercion_traits<Denominator,Coefficient> Denom_coercion;
-	CGAL_static_assertion((::boost::is_same
-			       <Coefficient,
-			        typename Denom_coercion::Type>::value));
-	typename Num_coercion::Cast num_cast;
-	typename Denom_coercion::Cast denom_cast;
-	typename FT::Decompose decompose;
-	
-	Numerator num_uncasted;
-	Denominator denom_uncasted;
-	decompose(b,num_uncasted,denom_uncasted);
-
-	Coefficient num = num_cast(num_uncasted);
-	Coefficient denom = denom_cast(denom_uncasted);
-	return CGAL::evaluate_homogeneous(f,num,denom);
+        typedef CGAL::Fraction_traits<Bound> FT;
+        // We rely on the fact that the Bound is a fraction
+        CGAL_static_assertion((::boost::is_same<typename FT::Is_fraction,
+                                             CGAL::Tag_true>::value));
+        typedef typename FT::Numerator_type Numerator;
+        typedef typename FT::Denominator_type Denominator;
+        typedef CGAL::Coercion_traits<Numerator,Coefficient> Num_coercion;
+        CGAL_static_assertion((::boost::is_same
+                              <Coefficient,
+                                  typename Num_coercion::Type>::value));
+        typedef CGAL::Coercion_traits<Denominator,Coefficient> Denom_coercion;
+        CGAL_static_assertion((::boost::is_same
+                               <Coefficient,
+                                typename Denom_coercion::Type>::value));
+        typename Num_coercion::Cast num_cast;
+        typename Denom_coercion::Cast denom_cast;
+        typename FT::Decompose decompose;
+
+        Numerator num_uncasted;
+        Denominator denom_uncasted;
+        decompose(b,num_uncasted,denom_uncasted);
+
+        Coefficient num = num_cast(num_uncasted);
+        Coefficient denom = denom_cast(denom_uncasted);
+        return CGAL::evaluate_homogeneous(f,num,denom);
       }
 
     protected:
@@ -2567,8 +2571,8 @@ public:
         const Algebraic_kernel_d_2* _m_kernel;
 
     };
-    CGAL_Algebraic_Kernel_cons(Evaluate_utcf_2, 
-			       evaluate_utcf_2_object);
+    CGAL_Algebraic_Kernel_cons(Evaluate_utcf_2,
+                               evaluate_utcf_2_object);
 
 #if CGAL_AK_ENABLE_DEPRECATED_INTERFACE
     /*!
@@ -2578,9 +2582,9 @@ public:
 
     public:
 
-        Swap_x_and_y_2(const Algebraic_kernel_d_2* kernel) 
+        Swap_x_and_y_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
-        
+
         typedef Polynomial_2 argument_type;
         typedef Curve_analysis_2 result_type;
 
@@ -2593,7 +2597,7 @@ public:
                 = typename Polynomial_traits_2::Swap() (f,0,1);
             return _m_kernel->construct_curve_2_object() (f_yx);
         }
-    
+
     protected:
 
         const Algebraic_kernel_d_2* _m_kernel;
@@ -2606,86 +2610,86 @@ public:
         public CGAL::cpp98::unary_function<Algebraic_real_2, void> {
 
     public:
-        
-        Refine_x_2(const Algebraic_kernel_d_2* kernel) 
+
+        Refine_x_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
-      
+
         void operator()(const Algebraic_real_2& r) const {
-            r.refine_x();            
+            r.refine_x();
         }
-	/* TODO: if needed, include
-        void operator()(Algebraic_real_2& r, int rel_prec) const {  
+        /* TODO: if needed, include
+        void operator()(Algebraic_real_2& r, int rel_prec) const {
             r.refine_x(rel_prec);
         }
-	*/
-        
+        */
+
     protected:
 
         const Algebraic_kernel_d_2* _m_kernel;
 
     };
     CGAL_Algebraic_Kernel_pred(Refine_x_2, refine_x_2_object);
-    
+
     class Refine_y_2 :
         public CGAL::cpp98::unary_function<Algebraic_real_2, void> {
 
     public:
 
-        Refine_y_2(const Algebraic_kernel_d_2* kernel) 
+        Refine_y_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
-      
+
         void operator()(const Algebraic_real_2& r) const {
-  	    return r.refine_y();
+              return r.refine_y();
         }
-        
-	/* TODO: if needed, include
-        void operator()(Algebraic_real_2& r, int rel_prec) const {  
+
+        /* TODO: if needed, include
+        void operator()(Algebraic_real_2& r, int rel_prec) const {
             return r.refine_y(rel_prec);
         }
-	*/
-    
+        */
+
     protected:
 
         const Algebraic_kernel_d_2* _m_kernel;
 
     };
     CGAL_Algebraic_Kernel_pred(Refine_y_2, refine_y_2_object);
-    
+
     class Lower_bound_x_2 {
-       
+
     public:
 
-        Lower_bound_x_2(const Algebraic_kernel_d_2* kernel) 
+        Lower_bound_x_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
 
         typedef Algebraic_real_2 argument_type;
         typedef Bound result_type;
-            
+
         result_type operator()(const Algebraic_real_2& r) {
-	    return r.lower_bound_x();
-	}
-        
+            return r.lower_bound_x();
+        }
+
     protected:
 
         const Algebraic_kernel_d_2* _m_kernel;
 
     };
     CGAL_Algebraic_Kernel_cons(Lower_bound_x_2, lower_bound_x_2_object);
-    
+
     class Upper_bound_x_2 {
-       
+
     public:
 
-        Upper_bound_x_2(const Algebraic_kernel_d_2* kernel) 
+        Upper_bound_x_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
 
         typedef Algebraic_real_2 argument_type;
         typedef Bound result_type;
-            
+
         result_type operator()(const Algebraic_real_2& r) {
             return r.upper_bound_x();
         }
-    
+
     protected:
 
         const Algebraic_kernel_d_2* _m_kernel;
@@ -2694,18 +2698,18 @@ public:
     CGAL_Algebraic_Kernel_cons(Upper_bound_x_2, upper_bound_x_2_object);
 
     class Lower_bound_y_2 {
-    
+
     public:
 
-        Lower_bound_y_2(const Algebraic_kernel_d_2* kernel) 
+        Lower_bound_y_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
-        
+
         typedef Algebraic_real_2 argument_type;
         typedef Bound result_type;
-            
+
         result_type operator()(const Algebraic_real_2& r) {
-	  return r.lower_bound_y();
-	}
+          return r.lower_bound_y();
+        }
 
     protected:
 
@@ -2713,21 +2717,21 @@ public:
 
     };
     CGAL_Algebraic_Kernel_cons(Lower_bound_y_2, lower_bound_y_2_object);
-    
+
     //! an upper bound of the y-coordinate of \c r
     class Upper_bound_y_2 {
-    
+
     public:
 
-        Upper_bound_y_2(const Algebraic_kernel_d_2* kernel) 
+        Upper_bound_y_2(const Algebraic_kernel_d_2* kernel)
             : _m_kernel(kernel) {}
-   
+
         typedef Algebraic_real_2 argument_type;
         typedef Bound result_type;
-            
+
         result_type operator()(const Algebraic_real_2& r) {
- 	  return r.upper_bound_y();
-	}
+           return r.upper_bound_y();
+        }
 
     protected:
 
@@ -2735,10 +2739,10 @@ public:
 
     };
     CGAL_Algebraic_Kernel_cons(Upper_bound_y_2, upper_bound_y_2_object);
-    
 
 
-  typedef Bound Boundary; 
+
+  typedef Bound Boundary;
   typedef Lower_bound_x_2 Lower_boundary_x_2;
   typedef Lower_bound_y_2 Lower_boundary_y_2;
   typedef Upper_bound_x_2 Upper_boundary_x_2;
@@ -2755,9 +2759,9 @@ public:
 #endif
 
 
-#undef CGAL_Algebraic_Kernel_pred    
-#undef CGAL_Algebraic_Kernel_cons 
-    
+#undef CGAL_Algebraic_Kernel_pred
+#undef CGAL_Algebraic_Kernel_cons
+
     //!@}
 
 protected:
@@ -2766,7 +2770,7 @@ mutable boost::shared_ptr<Curve_cache_2>
 mutable boost::shared_ptr<Curve_pair_cache_2> _m_curve_pair_cache_2;
 mutable boost::shared_ptr<Gcd_cache_2> _m_gcd_cache_2;
 
-    
+
 }; // class Algebraic_curve_kernel_2
 
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/algebraic_curve_kernel_2_tools.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/algebraic_curve_kernel_2_tools.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/algebraic_curve_kernel_2_tools.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/algebraic_curve_kernel_2_tools.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/algebraic_curve_kernel_2_tools.h $
-// $Id: algebraic_curve_kernel_2_tools.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/algebraic_curve_kernel_2_tools.h $
+// $Id: algebraic_curve_kernel_2_tools.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Kerber <mkerber@mpi-inf.mpg.de>
 //
@@ -34,7 +34,7 @@ namespace CGAL {
 
 namespace internal {
 
-/* 
+/*
  * \brief Function for merging two sets
  *
  * This function is similar to the \c std::union_set operation.
@@ -55,41 +55,41 @@ set_union_with_source(InputIterator1 fir
                       OutputIterator1 merged_values,
                       OutputIterator2 merged_values_info,
                       BinaryFunction compare) {
-      
+
     InputIterator1 first_it=first_begin;
     InputIterator2 second_it=second_begin;
 
     while((first_it != first_end) || (second_it!=second_end)) {
-	if(first_it == first_end) {
+        if(first_it == first_end) {
             *merged_values=*second_it++;
             ++merged_values;
             *merged_values_info++ = CGAL::internal::ROOT_OF_SECOND_SET;
             continue;
-	}
-	if(second_it == second_end) {
+        }
+        if(second_it == second_end) {
             *merged_values++=*first_it++;
             *merged_values_info++ = CGAL::internal::ROOT_OF_FIRST_SET;
             continue;
-	}
+        }
 
-	CGAL::Comparison_result c = compare(*first_it,*second_it);
+        CGAL::Comparison_result c = compare(*first_it,*second_it);
 
-	if(c==CGAL::EQUAL) {
+        if(c==CGAL::EQUAL) {
             *merged_values++=*first_it++;
             ++second_it;
             *merged_values_info++ = CGAL::internal::ROOT_OF_BOTH_SETS;
             continue;
-	}
-	if(c==CGAL::SMALLER) {
+        }
+        if(c==CGAL::SMALLER) {
             *merged_values++=*first_it++;
             *merged_values_info++ = CGAL::internal::ROOT_OF_FIRST_SET;
             continue;
-	}
-	if(c==CGAL::LARGER) {
+        }
+        if(c==CGAL::LARGER) {
             *merged_values++=*second_it++;
             *merged_values_info++ = CGAL::internal::ROOT_OF_SECOND_SET;
             continue;
-	}
+        }
     }
     return std::make_pair(merged_values,merged_values_info);
 }
@@ -105,7 +105,7 @@ Poly_2 poly_non_vanish_leading_term(Alge
                                     Algebraic_real alpha) {
     Poly_2 f(pol);
     while(true) {
-	if(kernel->is_zero_at_1_object()
+        if(kernel->is_zero_at_1_object()
            (CGAL::leading_coefficient(f),alpha)) {
             typename Poly_2::const_iterator poly_end = f.end();
             if(f.begin()==poly_end) {
@@ -113,10 +113,10 @@ Poly_2 poly_non_vanish_leading_term(Alge
             }
             poly_end--;
             f=Poly_2(f.begin(),poly_end);
-	}
-	else {
+        }
+        else {
             break;
-	}
+        }
     }
     return f;
 }
@@ -124,9 +124,9 @@ Poly_2 poly_non_vanish_leading_term(Alge
 /*!
  * \brief finds a Rational value left of an Algebraic real alpha
  */
-template<typename AlgebraicKernel_1> typename AlgebraicKernel_1::Bound 
-  bound_left_of(const AlgebraicKernel_1* kernel, 
-		typename AlgebraicKernel_1::Algebraic_real_1 ar) {
+template<typename AlgebraicKernel_1> typename AlgebraicKernel_1::Bound
+  bound_left_of(const AlgebraicKernel_1* kernel,
+                typename AlgebraicKernel_1::Algebraic_real_1 ar) {
 
     typedef AlgebraicKernel_1 Algebraic_kernel_d_1;
 
@@ -143,10 +143,10 @@ template<typename AlgebraicKernel_1> typ
         break;
     }
     case(CGAL::NEGATIVE): {
-        Algebraic_real_1 small_value 
-	  = kernel->construct_algebraic_real_1_object()
-	  (Bound(2)*kernel->approximate_absolute_1_object()(ar,1).first);
-    
+        Algebraic_real_1 small_value
+          = kernel->construct_algebraic_real_1_object()
+          (Bound(2)*kernel->approximate_absolute_1_object()(ar,1).first);
+
         return kernel->bound_between_1_object()(small_value,ar);
         // = small_value.rational_between(ar);
         //= ar.low()-1;
@@ -159,79 +159,79 @@ template<typename AlgebraicKernel_1> typ
 /*!
  * \brief finds a Rational value rightt of an Algebraic real alpha
  */
-template<typename AlgebraicKernel_1> typename AlgebraicKernel_1::Bound 
-  bound_right_of(const AlgebraicKernel_1* kernel, 
-		 typename AlgebraicKernel_1::Algebraic_real_1 ar) {
-    
+template<typename AlgebraicKernel_1> typename AlgebraicKernel_1::Bound
+  bound_right_of(const AlgebraicKernel_1* kernel,
+                 typename AlgebraicKernel_1::Algebraic_real_1 ar) {
+
     return -bound_left_of(kernel,-ar);
 
 }
 
 
 /*!
- * \brief Produces intermediate rational values for a list of 
+ * \brief Produces intermediate rational values for a list of
  * algebraic reals.
  *
- * For a list of Algebraic real values with \c n elements, a list with 
- * <tt>n+1</tt> elements of rational values is given such that the 
+ * For a list of Algebraic real values with \c n elements, a list with
+ * <tt>n+1</tt> elements of rational values is given such that the
  * <tt>i</tt>th element is
  * between the <tt>i</tt>th and the <tt>(i+1)</tt>th element of the input list
  *
  * The input list must be in increasing order
  */
 template<typename AlgebraicKernel_1,
-         typename InputIterator, 
-         typename OutputIterator> 
+         typename InputIterator,
+         typename OutputIterator>
   OutputIterator find_intermediate_values(const AlgebraicKernel_1* kernel,
-					  InputIterator start,
-					  InputIterator end,
-					  OutputIterator output) {
+                                          InputIterator start,
+                                          InputIterator end,
+                                          OutputIterator output) {
     CGAL_static_assertion
       ((::boost::is_same
-	<typename AlgebraicKernel_1::Algebraic_real_1,
-	typename std::iterator_traits<InputIterator>::value_type >::value));
-    
+        <typename AlgebraicKernel_1::Algebraic_real_1,
+        typename std::iterator_traits<InputIterator>::value_type >::value));
+
     typedef typename AlgebraicKernel_1::Bound Bound;
     if(start==end) {
-	// Empty vector, create one element
-	*output++=Bound(0);
-	return output;
+        // Empty vector, create one element
+        *output++=Bound(0);
+        return output;
     }
     *output++=bound_left_of(kernel,*start);
-      
+
     InputIterator it_1(start),it_2(start);
     ++it_2;
     while(it_2 != end) {
-	CGAL_assertion(it_1->compare(*it_2)==CGAL::SMALLER);
-	Bound beta 
-	  = kernel->bound_between_1_object()(*it_1,*it_2);
-	*output++=beta;
-	++it_1;
-	++it_2;
+        CGAL_assertion(it_1->compare(*it_2)==CGAL::SMALLER);
+        Bound beta
+          = kernel->bound_between_1_object()(*it_1,*it_2);
+        *output++=beta;
+        ++it_1;
+        ++it_2;
     }
     *output++=bound_right_of(kernel,*it_1);
 
     return output;
 }
-  
+
 
 
 // Used internally for zero_test_bivariate
 
 namespace for_zero_test_bivariate {
 
-template<typename Poly_coer_1,typename Polynomial_1> 
+template<typename Poly_coer_1,typename Polynomial_1>
   void cast_back_utcf(const Poly_coer_1& p,Polynomial_1& q) {
   // We can assume that both template arguments are polynomial types
   typedef CGAL::Fraction_traits<Poly_coer_1> FT;
   CGAL_static_assertion((::boost::is_same<typename FT::Is_fraction,
-		       CGAL::Tag_true>::value));
+                       CGAL::Tag_true>::value));
   typedef typename FT::Numerator_type Numerator;
   typedef typename FT::Denominator_type Denominator;
   typedef CGAL::Coercion_traits<Numerator,Polynomial_1> Num_coercion;
   CGAL_static_assertion((::boost::is_same
-		       <Polynomial_1,
-		       typename Num_coercion::Type>::value));
+                       <Polynomial_1,
+                       typename Num_coercion::Type>::value));
   Numerator p_num;
   Denominator p_denom;
   typename FT::Decompose()(p,p_num,p_denom);
@@ -244,11 +244,11 @@ template<typename A> void cast_back_utcf
 
 } // of namespace for_zero_test_bivariate
 
-/* 
+/*
  * \brief  Symbolic zero test.
  *
- * Checks whether <tt>h(x,y(x))=0</tt>, where <tt>y(x)</tt> is a rational 
- * expression in terms of \c x, i.e. <tt>y=p/q</tt> with <tt>p,q</tt> 
+ * Checks whether <tt>h(x,y(x))=0</tt>, where <tt>y(x)</tt> is a rational
+ * expression in terms of \c x, i.e. <tt>y=p/q</tt> with <tt>p,q</tt>
  * univariate polynomials
  */
 template<typename AlgebraicCurveKernel_2>
@@ -262,12 +262,12 @@ template<typename AlgebraicCurveKernel_2
     bool result;
     typedef typename AlgebraicCurveKernel_2::Polynomial_1 Polynomial_1;
 #if !CGAL_ACK_USE_NO_REDUCTION_MODULO_RESULTANT
-    
+
     //typedef typename AlgebraicCurveKernel_2::Algebraic_real_1 Algebraic_real_1;
     typedef typename AlgebraicCurveKernel_2::Bound Bound;
     typedef typename AlgebraicCurveKernel_2::Coefficient Coefficient;
     typedef typename AlgebraicCurveKernel_2::Polynomial_2 Polynomial_2;
-    
+
     typedef CGAL::Coercion_traits<Bound,Coefficient> Coercion;
     typedef typename Coercion::Type Coercion_type;
     typedef typename CGAL::Polynomial_traits_d<Polynomial_2>
@@ -289,25 +289,25 @@ template<typename AlgebraicCurveKernel_2
        (q.begin(),cast),
        boost::make_transform_iterator
        (q.end(),cast));
-    
+
     if(general) {
-    
+
 
         Poly_coer_1 modulus = typename CGAL::Polynomial_traits_d<Poly_coer_1>
-	::Construct_polynomial()
+        ::Construct_polynomial()
             (boost::make_transform_iterator
              (alpha.polynomial().begin(),cast),
              boost::make_transform_iterator
              (alpha.polynomial().end(),cast));
-        
+
 /*
   #if CGAL_ACK_DEBUG_FLAG
   CGAL_ACK_DEBUG_PRINT << "Mod: " << modulus << std::endl;
-  #endif 
+  #endif
 */
         p_rat=CGAL::mod(p_rat,modulus);
         q_rat=CGAL::mod(q_rat,modulus);
-        
+
         int n = CGAL::degree(h,1);
         // Create the powers of p and q mod modulus
 /*
@@ -362,12 +362,12 @@ template<typename AlgebraicCurveKernel_2
   CGAL_ACK_DEBUG_PRINT << "done\ncomp rat pol.." << std::flush;
   #endif
 */
-	
+
         Poly_coer_1 curr_coeff,curr_fac;
         Poly_coer_1 h_0_rat(Coercion_type(0));
         for(int i=0;i<=n;i++) {
-	  Poly_coer_1 tmp_pol = typename CGAL::Polynomial_traits_d<Poly_coer_1>
-	    ::Construct_polynomial()
+          Poly_coer_1 tmp_pol = typename CGAL::Polynomial_traits_d<Poly_coer_1>
+            ::Construct_polynomial()
                 (boost::make_transform_iterator
                  (h[i].begin(),cast),
                  boost::make_transform_iterator
@@ -377,25 +377,25 @@ template<typename AlgebraicCurveKernel_2
             h_0_rat+=curr_fac;
         }
 
-	Polynomial_1 h_0_utcf;
-	for_zero_test_bivariate::cast_back_utcf(h_0_rat,h_0_utcf);
-	
+        Polynomial_1 h_0_utcf;
+        for_zero_test_bivariate::cast_back_utcf(h_0_rat,h_0_utcf);
+
         return kernel->is_zero_at_1_object() (h_0_utcf,alpha);
     }
     else {
         Coercion_type b = cast(alpha.rational()),
-	  p_b=CGAL::evaluate(p_rat,b),q_b=CGAL::evaluate(q_rat,b);
+          p_b=CGAL::evaluate(p_rat,b),q_b=CGAL::evaluate(q_rat,b);
         int n = CGAL::degree(h,1);
         Coercion_type eval(0);
         for(int i=0;i<=n;i++) {
-	  Poly_coer_1 h_i_rat = typename CGAL::Polynomial_traits_d<Poly_coer_1>
-	    ::Construct_polynomial()
-	    (boost::make_transform_iterator
-	     (CGAL::get_coefficient(h,i).begin(),cast),
-	     boost::make_transform_iterator
-	     (CGAL::get_coefficient(h,i).end(),cast));
-	  eval+=CGAL::evaluate(h_i_rat,b)
-	    *CGAL::ipower(p_b,i)*CGAL::ipower(q_b,n-i);
+          Poly_coer_1 h_i_rat = typename CGAL::Polynomial_traits_d<Poly_coer_1>
+            ::Construct_polynomial()
+            (boost::make_transform_iterator
+             (CGAL::get_coefficient(h,i).begin(),cast),
+             boost::make_transform_iterator
+             (CGAL::get_coefficient(h,i).end(),cast));
+          eval+=CGAL::evaluate(h_i_rat,b)
+            *CGAL::ipower(p_b,i)*CGAL::ipower(q_b,n-i);
         }
         result=(CGAL::sign(eval)==CGAL::ZERO);
     }
@@ -403,14 +403,14 @@ template<typename AlgebraicCurveKernel_2
 #warning Uses no reduction modulo resultant!
     Polynomial_1 h_0=CGAL::evaluate_homogeneous(h,p,q);
     result= kernel->is_zero_at_1_object() (h_0,alpha);
-#endif      
-    
+#endif
+
     return result;
-    
+
 }
 
 
-	  
+
 } // namespace internal
 
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Algebraic_real_d_1.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Algebraic_real_d_1.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Algebraic_real_d_1.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Algebraic_real_d_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Algebraic_real_d_1.h $
-// $Id: Algebraic_real_d_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Algebraic_real_d_1.h $
+// $Id: Algebraic_real_d_1.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     :  Michael Hemmer <hemmer@mpi-inf.mpg.de> 
+//
+// Author(s)     :  Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //
 // ============================================================================
 
@@ -63,18 +63,18 @@ namespace internal {
 
   THIS CLASS IS CONSIDERED AS EXPERIMENTAL !
 */
-template < class Coefficient_, 
+template < class Coefficient_,
            class Rational_,
            class HandlePolicy = ::CGAL::Handle_policy_no_union,
            class AlgebraicRealRep_d_1 = internal::Algebraic_real_rep< Coefficient_, Rational_ > >
 class Algebraic_real_d_1 :
     public ::CGAL::Handle_with_policy< AlgebraicRealRep_d_1, HandlePolicy > {
 
-  // currently Rational is the only supported Bound type. 
+  // currently Rational is the only supported Bound type.
   CGAL_static_assertion(
-      (   ::boost::is_same <Rational_, 
+      (   ::boost::is_same <Rational_,
           typename Get_arithmetic_kernel<Coefficient_>::Arithmetic_kernel::Rational>::value));
-    
+
 
 
 public :
@@ -82,26 +82,26 @@ public :
   typedef Algebraic_real_d_1<Coefficient_,Rational_, HandlePolicy, AlgebraicRealRep_d_1>  Self;
 
   typedef Coefficient_                                  Coefficient;
-  typedef Rational_                                     Bound; 
+  typedef Rational_                                     Bound;
   typedef HandlePolicy                                  Handle_policy;
-  typedef AlgebraicRealRep_d_1                          Algebraic_real_rep_d_1; 
-  typedef typename Algebraic_real_rep_d_1::Polynomial_1 Polynomial_1; 
+  typedef AlgebraicRealRep_d_1                          Algebraic_real_rep_d_1;
+  typedef typename Algebraic_real_rep_d_1::Polynomial_1 Polynomial_1;
 
   // These public typedefs should be removed in the long run
-  // typedef typename Algebraic_real_rep_d_1::Polynomial_1 Polynomial; 
+  // typedef typename Algebraic_real_rep_d_1::Polynomial_1 Polynomial;
   typedef Rational_                                     Rational;
-  
+
 private:
   typedef CGAL::Fraction_traits<Rational> FT_rational;
   typedef typename FT_rational::Numerator_type Integer;
-  
-private: 
+
+private:
   static inline Self& get_default_instance(){
-    CGAL_STATIC_THREAD_LOCAL_VARIABLE(Self, x,0); 
-    return x; 
+    CGAL_STATIC_THREAD_LOCAL_VARIABLE(Self, x,0);
+    return x;
   }
 public:
-  
+
   //! Default constructor
   Algebraic_real_d_1() : Base(static_cast<const Base&>(get_default_instance())) {}
 
@@ -130,7 +130,7 @@ public:
   int degree() const {
     return CGAL::degree(this->ptr()->polynomial());
   }
-  
+
   //! returns the lower endpoint of the isolating interval
   Rational low() const { return this->ptr()->low(); }
   Rational lower() const { return this->ptr()->low(); }
@@ -435,8 +435,8 @@ template<class Coefficient, class Ration
 std::ostream&
 operator << (std::ostream& os,
     const CGAL::internal::Algebraic_real_d_1<Coefficient, Rational, HandlePolicy, RepClass >& x){
-  os << "["   << x.polynomial() 
-     << ",["  << oformat(x.low()) 
+  os << "["   << x.polynomial()
+     << ",["  << oformat(x.low())
      << " , " << oformat(x.high()) << " ]]";
   return os;
 }
@@ -448,12 +448,12 @@ template<class Coefficient, class Ration
 std::istream&
 operator >> (std::istream& is,
     CGAL::internal::Algebraic_real_d_1<Coefficient, Rational, HandlePolicy, RepClass>& x){
-  
+
   typedef  CGAL::internal::Algebraic_real_d_1<Coefficient, Rational, HandlePolicy, RepClass > ALGNUM;
- 
+
   Rational low, high;
   typename CGAL::Polynomial_type_generator<Coefficient,1>::Type poly;
-  
+
   swallow(is, '[');// read the "["
   is >> poly;
   swallow(is, ',');// read the ","
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Algebraic_real_quadratic_refinement_rep_bfi.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Algebraic_real_quadratic_refinement_rep_bfi.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Algebraic_real_quadratic_refinement_rep_bfi.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Algebraic_real_quadratic_refinement_rep_bfi.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Algebraic_real_quadratic_refinement_rep_bfi.h $
-// $Id: Algebraic_real_quadratic_refinement_rep_bfi.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Algebraic_real_quadratic_refinement_rep_bfi.h $
+// $Id: Algebraic_real_quadratic_refinement_rep_bfi.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //                  Michael Kerber <mkerber@mpi-inf.mpg.de>
@@ -39,27 +39,27 @@ namespace CGAL {
 namespace internal {
 
 // definition of the Algebraic_real_rep x:
-    
+
 //For details about the method, see
 /*
  * @Unpublished{abbott-quadratic,
- *    author = 	 {John Abbott},
- *    title = 	 {Quadratic Interval Refinement for Real Roots},
+ *    author =          {John Abbott},
+ *    title =          {Quadratic Interval Refinement for Real Roots},
  *    url =      {http://www.dima.unige.it/~abbott/},
  *  note =       {Poster presented at the 2006 Internat. Sympos. on Symbolic
  and Algebraic Computation (ISSAC 2006)}
  * }
  */
 
-template< class Coefficient_, class Field_> 
+template< class Coefficient_, class Field_>
 class Algebraic_real_quadratic_refinement_rep_bfi
     : public Algebraic_real_rep<Coefficient_, Field_> {
 
     typedef Coefficient_                            Coefficient;
     typedef Field_                                  Field;
 
-    typedef typename 
-    CGAL::Get_arithmetic_kernel<Field>::Arithmetic_kernel:: 
+    typedef typename
+    CGAL::Get_arithmetic_kernel<Field>::Arithmetic_kernel::
         Bigfloat_interval BFI;
 
     typedef typename CGAL::Bigfloat_interval_traits<BFI>::Bound BF;
@@ -67,51 +67,51 @@ class Algebraic_real_quadratic_refinemen
     // This is a implicit restriction - Field must be some type
     // modelling rational numbers to get an integer type
     typedef typename CGAL::Fraction_traits<Field>::Numerator_type Integer;
-    
+
     typedef typename
         CGAL::Polynomial_type_generator<Coefficient,1>::Type Poly;
 
     typedef Algebraic_real_rep <Coefficient,Field>     Base;
-    typedef Algebraic_real_quadratic_refinement_rep_bfi<Coefficient,Field> 
+    typedef Algebraic_real_quadratic_refinement_rep_bfi<Coefficient,Field>
     Self;
 
-    typedef typename CGAL::Coercion_traits<Coefficient,Field>::Type 
+    typedef typename CGAL::Coercion_traits<Coefficient,Field>::Type
     Eval_result_type;
 
 private:
 
     mutable long prec_;
 
-    typedef typename 
+    typedef typename
         CGAL::Polynomial_traits_d<Poly>::template Rebind<BFI,1>
     ::Other::Type BFI_polynomial;
 
     mutable boost::optional
         < BFI_polynomial > f_bfi_;
-    
-    mutable boost::optional<BFI> low_bfi_, f_low_bfi_, 
-        high_bfi_, f_high_bfi_; 
+
+    mutable boost::optional<BFI> low_bfi_, f_low_bfi_,
+        high_bfi_, f_high_bfi_;
 
     mutable long N;
 
-  // TODO: replace by call of Coercion_traits<Poly,BFI>::Cast() 
+  // TODO: replace by call of Coercion_traits<Poly,BFI>::Cast()
     BFI_polynomial _convert_polynomial_to_bfi(const Poly& f) const {
         std::vector<BFI> coeffs;
         for(int i = 0; i <= CGAL::degree(f); i++) {
             coeffs.push_back(CGAL::convert_to_bfi(f[i]));
         }
-        return BFI_polynomial(coeffs.begin(), coeffs.end());   
+        return BFI_polynomial(coeffs.begin(), coeffs.end());
     }
 
     void _set_prec(long new_prec) const {
-        
+
         prec_ = new_prec;
         CGAL::set_precision(BFI(), prec_);
 
         f_bfi_ = _convert_polynomial_to_bfi(this->polynomial());
 
         low_bfi_ = CGAL::convert_to_bfi(this->low());
-        
+
         high_bfi_ = CGAL::convert_to_bfi(this->high());
         f_low_bfi_ = f_bfi_.get().evaluate(low_bfi_.get());
         f_high_bfi_ = f_bfi_.get().evaluate(high_bfi_.get());
@@ -126,15 +126,15 @@ private:
 
         m_bfi = CGAL::convert_to_bfi(m);
         f_m_bfi = f_bfi_.get().evaluate(m_bfi);
-        
+
         if(CGAL::zero_in(f_m_bfi)) {
-            
+
             // Okay, compute exactly
             return CGAL::sign(this->polynomial().evaluate(m));
         }
-        
+
         // If we are here, then the interval is away from zero
-        
+
         return CGAL::sign(CGAL::upper(f_m_bfi));
 
     }
@@ -148,26 +148,26 @@ public:
     //! creates the algebraic real from int \a i.
     explicit Algebraic_real_quadratic_refinement_rep_bfi(int i = 0)
         : Base(i),N(2){
-    } 
+    }
     //! creates the algebraic real from Field \a m.
     explicit Algebraic_real_quadratic_refinement_rep_bfi(const Field& m)
         : Base(m),N(2) {
-    } 
+    }
     /*! \brief creates the algebraic real as the unique root of \a P
       in the open interval <var>]low,high[</var>.
-      \pre the polynomial \a P is square free 
+      \pre the polynomial \a P is square free
       \pre P(low)!=0
       \pre P(high)<0
       \pre x is the one and only root in the open interval of \a P.
     */
-    Algebraic_real_quadratic_refinement_rep_bfi(const Poly& P, 
-                                                Field LOW, 
-                                                Field HIGH) 
-        : Base(P,LOW,HIGH), 
+    Algebraic_real_quadratic_refinement_rep_bfi(const Poly& P,
+                                                Field LOW,
+                                                Field HIGH)
+        : Base(P,LOW,HIGH),
           N(2)
-    { 
+    {
         _set_prec(16);
-        
+
     }
 
     //! copy constructor
@@ -178,15 +178,15 @@ public:
     {
     }
 
-    // assignment 
+    // assignment
     Algebraic_real_quadratic_refinement_rep_bfi& operator=(const Self& y) {
         Base::operator=(y);
-	f_low_bfi_=y.f_low_bfi_;
-	f_high_bfi_=y.f_high_bfi_;
+        f_low_bfi_=y.f_low_bfi_;
+        f_high_bfi_=y.f_high_bfi_;
         low_bfi_=y.low_bfi_;
-	high_bfi_=y.high_bfi_;
+        high_bfi_=y.high_bfi_;
         f_bfi_=y.f_bfi_;
-	N=y.N;
+        N=y.N;
         return *this;
     }
 
@@ -195,7 +195,7 @@ public:
     virtual void bisect() const{
 
         if(this->is_rational()) return;
-        
+
         Field m = (this->low_+this->high_)/Field(2);
 
         CGAL::simplify(m);
@@ -204,7 +204,7 @@ public:
 
         if (s  == ::CGAL::ZERO ) {
             this->learn_from(m);
-	}
+        }
         else {
             if ( s == this->sign_at_low() ) {
                 this->low_  = m;
@@ -212,7 +212,7 @@ public:
                 f_low_bfi_ = f_m_bfi;
                 last_bisect_lower=false;
             } else {
-                this->high_ = m; 
+                this->high_ = m;
                 high_bfi_ = m_bfi;
                 f_high_bfi_ = f_m_bfi;
                 last_bisect_lower=true;
@@ -222,9 +222,9 @@ public:
     }
 
 protected:
-    virtual void set_implicit_rep(const Poly & P, 
-				  const Field& LOW, 
-				  const Field& HIGH,
+    virtual void set_implicit_rep(const Poly & P,
+                                  const Field& LOW,
+                                  const Field& HIGH,
                                   bool dummy_bool=false) const {
 
         bool poly_changed = (P!=this->polynomial());
@@ -247,8 +247,8 @@ protected:
         Base::set_explicit_rep(m);
     }
 
-     
-public: 
+
+public:
     virtual void refine_at(const Field& m) const{
         Field old_low_=this->low_, old_high_=this->high_;
         Poly old_pol = this->polynomial();
@@ -265,7 +265,7 @@ public:
             f_bfi_ = boost::none;
         }
     }
-    
+
     // Abbott's refinement method
     virtual void refine() const {
 
@@ -282,13 +282,13 @@ public:
         CGAL_assertion(CGAL::sign(this->polynomial().evaluate(this->low()))
                        ==this->sign_at_low_);
 
-        CGAL_assertion( this->sign_at_low_ != 
+        CGAL_assertion( this->sign_at_low_ !=
                         CGAL::sign(this->polynomial().evaluate(this->high())) );
-      
+
         CGAL_assertion(this->low() != this->high());
-      
+
         Integer i = find_interval();
-      
+
         while(N!=1 && !refine_by_factor(i)) {
             N/=2;
             i = find_interval();
@@ -358,12 +358,12 @@ private:
                 break;
             }
             _set_prec(2*prec_);
-                        
+
         }
 
-        CGAL_postcondition(i>=0 && 
+        CGAL_postcondition(i>=0 &&
                            i <= CGAL::ipower(Integer(2),N));
-        
+
         return i;
     }
 
@@ -410,7 +410,7 @@ private:
             new_left_bfi = m_bfi;
             f_new_left_bfi = f_m_bfi;
             s_new_left = s_m;
-        
+
             new_right = m+step;
             CGAL::simplify(new_right);
             s_new_right = _sign_at(new_right,new_right_bfi,f_new_right_bfi);
@@ -459,19 +459,19 @@ protected:
         }
 
         BFI eval = f_bfi_.get().evaluate(convert_to_bfi(m));
-        
+
         CGAL::Sign s = CGAL::sign(CGAL::lower(eval));
-              
+
         // correct sign if needed
         if( s*CGAL::sign(CGAL::upper(eval) ) != CGAL::POSITIVE ){
-            
+
             //std::cout << "APPROX FAILED-------------------------------"<<std::endl;
             s = this->polynomial().sign_at(m);
             if ( s != CGAL::ZERO ) {
                 _set_prec(2*prec_);
             }
         }
-        
+
 
         CGAL_postcondition(s == this->polynomial_.sign_at(m));
 
@@ -479,19 +479,19 @@ protected:
             this->learn_from(m);
         }else{
             if ( s == this->sign_at_low() ) this->low_  = m;
-            else                            this->high_ = m; 
+            else                            this->high_ = m;
         }
 
         return s;
-    }        
+    }
 
-public: 
+public:
     virtual void simplify() const {
         Poly f_old = this->polynomial();
         Base::simplify();
         if(f_old != this->polynomial()) {
             f_bfi_ = boost::none;
-        }      
+        }
     }
 };
 } // namepace internal
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Algebraic_real_rep_bfi.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Algebraic_real_rep_bfi.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Algebraic_real_rep_bfi.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Algebraic_real_rep_bfi.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Algebraic_real_rep_bfi.h $
-// $Id: Algebraic_real_rep_bfi.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Algebraic_real_rep_bfi.h $
+// $Id: Algebraic_real_rep_bfi.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //
@@ -15,10 +15,10 @@
 // TODO: The comments are all original EXACUS comments and aren't adapted. So
 //         they may be wrong now.
 
-// This is code is expreimental ! 
+// This is code is expreimental !
 
 /*! \file NiX/Algebraic_real_rep_bfi.h
-  \brief Algebraic_real_rep with refinement via interval rep 
+  \brief Algebraic_real_rep with refinement via interval rep
 */
 
 #ifndef CGAL_ALGEBRAIC_KERNEL_D_ALGEBRAIC_REAL_REP_BFI_H
@@ -36,51 +36,51 @@
 
 namespace CGAL {
 
-// it would be nice to remove the explicit use of Sqrt_extension 
-// in this file. However, it is much more efficient to convert the root 
-// only once. see convert_to_bfi  
+// it would be nice to remove the explicit use of Sqrt_extension
+// in this file. However, it is much more efficient to convert the root
+// only once. see convert_to_bfi
 //template <class COEFF, class ROOT> class Sqrt_extension;  //use forward declaration instead
 
 namespace internal {
 
 // definition of the Algebraic_real_rep_bfi x:
-    
-//IS_GENERAL: 
-// low_  lower bound of x 
-// high_ upper bound of x 
-// polynomial_ a square free polynomial 
+
+//IS_GENERAL:
+// low_  lower bound of x
+// high_ upper bound of x
+// polynomial_ a square free polynomial
 // sign_at_low_ = polynomial_.evaluate(low_)
-// x is the only root of polynomial_ in the open interval ]low_,high_[ 
+// x is the only root of polynomial_ in the open interval ]low_,high_[
 // low_ != x != high
 // ******************* EXEPTION *******************
 // x is rational: in this case low=high=x
 
- 
-template< class Coefficient_, class Field_> 
+
+template< class Coefficient_, class Field_>
 class Algebraic_real_rep_bfi
     : public Algebraic_real_rep<Coefficient_,Field_> {
-    
-    typedef Algebraic_real_rep<Coefficient_,Field_>  Base; 
+
+    typedef Algebraic_real_rep<Coefficient_,Field_>  Base;
 
     typedef Coefficient_                            Coefficient;
     typedef Field_                                  Field;
-    
+
     typedef typename CGAL::Get_arithmetic_kernel<Coefficient>::Arithmetic_kernel AT;
     typedef typename AT::Bigfloat          BF;
     typedef typename AT::Bigfloat_interval BFI;
-    typedef typename AT::Field_with_sqrt   FWS; 
-    
+    typedef typename AT::Field_with_sqrt   FWS;
+
     typedef typename CGAL::Polynomial_type_generator<Coefficient,1>::Type Poly;
-    typedef typename Poly::const_iterator           PIterator; 
-    
-    typedef Algebraic_real_rep_bfi <Coefficient,Field>     Self;   
+    typedef typename Poly::const_iterator           PIterator;
 
-    mutable std::vector<BFI>          polynomial_approx; 
+    typedef Algebraic_real_rep_bfi <Coefficient,Field>     Self;
+
+    mutable std::vector<BFI>          polynomial_approx;
     mutable long                      current_prec;
-        
+
 private:
-    template <class Polynomial_1, class OI> 
-    inline 
+    template <class Polynomial_1, class OI>
+    inline
     void convert_coeffs(const Polynomial_1& poly, OI it) const {
         typename CGAL::Polynomial_traits_d<Polynomial_1>::Get_coefficient
             coeff;
@@ -89,32 +89,32 @@ private:
         }
     }
 
-   template <class COEFF, class ROOT, class ACDE_TAG, class FP_TAG, class OI > 
-    inline 
+   template <class COEFF, class ROOT, class ACDE_TAG, class FP_TAG, class OI >
+    inline
     void
     convert_coeffs(
             const CGAL::Polynomial< CGAL::Sqrt_extension<COEFF,ROOT,ACDE_TAG,FP_TAG> >& poly,
             OI it ) const {
-        
+
         BFI root(0);
         for(int i = 0; i <= CGAL::degree(poly); i++){
             if(poly[i].is_extended()){
-//                typename Coercion_traits<FWS,ROOT >::Cast cast_root;  
+//                typename Coercion_traits<FWS,ROOT >::Cast cast_root;
 //                root = convert_to_bfi(NiX::sqrt(cast_root(poly[i].root())));
                 root = CGAL::sqrt(convert_to_bfi(poly[i].root()));
-                break;  
+                break;
             }
         }
-        
+
         for(int i = 0; i <= CGAL::degree(poly); i++){
             if(poly[i].is_extended()){
-                *it++ = 
-                    convert_to_bfi(poly[i].a0()) + 
+                *it++ =
+                    convert_to_bfi(poly[i].a0()) +
                     convert_to_bfi(poly[i].a1()) * root ;
             }else{
                 *it++ = convert_to_bfi(poly[i].a0());
             }
-        } 
+        }
     }
 
     typedef CGAL::Sign                              TRI_BOOL;
@@ -124,7 +124,7 @@ public:
     const Field&           high()          const {return this->high_;}
     const Poly&            polynomial()    const {return this->polynomial_;}
     const TRI_BOOL&        sign_at_low()   const {return this->sign_at_low_;}
-    
+
     template <class NTX>
     void strong_refine(const NTX& m) const{
         if(is_rational()) return;
@@ -145,18 +145,18 @@ public:
     }
 
     CGAL::Comparison_result
-    compare(const Field& y, bool are_distinct = false) const {  
+    compare(const Field& y, bool are_distinct = false) const {
         if(is_rational()) return CGAL::compare(rational(),y);
         if(y <= low()) {
             strong_refine(y);
             return CGAL::LARGER;
         }
-        if(high() <= y) { 
+        if(high() <= y) {
             strong_refine(y);
             return CGAL::SMALLER;
         }
-        
-        // now: low < y < high 
+
+        // now: low < y < high
         if(!are_distinct){
             if(sign_of_polynomial_at(y)==CGAL::ZERO){
                 this->learn_from(y);
@@ -170,12 +170,12 @@ public:
         if(y < low()) return CGAL::LARGER;
         else          return CGAL::SMALLER;
     }
-    
+
     CGAL::Comparison_result
     compare (const Algebraic_real_rep_bfi& y, bool are_distinct = false) const{
         if(  is_rational()) return -y.compare(  rational());
         if(y.is_rational()) return    compare(y.rational());
-        
+
         // type of both x and y IS_GENERAL
         if ( high() <= y.low() ) return CGAL::SMALLER;
         if ( low()  >= y.high()) return CGAL::LARGER;
@@ -197,7 +197,7 @@ public:
         // type of both x and y still IS_GENERAL
         if ( high()   <= y.low() ) return CGAL::SMALLER;
         if ( y.high() <=   low() ) return CGAL::LARGER;
-        
+
         // filter 1 (optional): determine distinctness by refining intervals
 #if NiX_REFINEMENTS_BEFORE_GCD > 0
         if (!are_distinct) {
@@ -225,21 +225,21 @@ public:
             // we have ]low(), high()[ == ]y.low(),y.high()[ == ]L,R[
             // and let both numbers decide for the gcd or its complement
             Poly F1,F2,G;
-            G = CGAL::gcd_up_to_constant_factor(polynomial(),y.polynomial()); 
+            G = CGAL::gcd_up_to_constant_factor(polynomial(),y.polynomial());
             F1 = CGAL::integral_division_up_to_constant_factor(polynomial(),G);
             CGAL_postcondition(CGAL::degree(F1)==
                                CGAL::degree(polynomial())-CGAL::degree(G));
             F2 = CGAL::integral_division_up_to_constant_factor(y.polynomial(),G);
             CGAL_postcondition(CGAL::degree(F2)==
                                CGAL::degree(y.polynomial())-CGAL::degree(G));
-           
+
             this->learn_from(G,F1);
             y.learn_from(G,F2);
 
             // this may simplify them due to degree loss
             if (y.is_rational()) return    compare(y.rational());
             if (  is_rational()) return -y.compare(  rational());
-        
+
             // type of x and y is still IS_GENERAL
             // check for equality
             if (G.sign_at(L)!=G.sign_at(R)){
@@ -247,7 +247,7 @@ public:
                 return CGAL::EQUAL;
             }
         }
-        
+
         // if we are here, we know the numbers to be distinct
         // refine to disjointness
         for (;;) {
@@ -264,14 +264,14 @@ public:
     //! creates the algebraic real from int \a i.
     explicit Algebraic_real_rep_bfi(int i = 0)
         :Base(i){}
- 
+
     //! creates the algebraic real from Field \a m.
     explicit Algebraic_real_rep_bfi(const Field& m)
         :Base(m), current_prec(53) {}
-    
+
     /*! \brief creates the algebraic real as the unique root of \a P
         in the open interval <var>]low,high[</var>.
-        \pre the polynomial \a P is square free 
+        \pre the polynomial \a P is square free
         \pre P(low)!=0
         \pre P(high)<0
         \pre x is the one and only root in the open interval of \a P.
@@ -283,8 +283,8 @@ public:
     //! copy constructor
     Algebraic_real_rep_bfi(const Self& y)
         : Base(y), current_prec(53){}
-    
-    // assignment 
+
+    // assignment
     Algebraic_real_rep_bfi& operator=(const Self& y) {
         if ( this != & y) {
             this->erase_from_list();
@@ -295,23 +295,23 @@ public:
         NiX_expensive_postcond(this->self_test());
         return *this;
     }
-    
-   
+
+
     BFI evaluate_polynomial_approx(const BFI& x) const {
        // std::cout << "eval approx  begin"<< std::endl;
         typedef std::vector<BFI> BFI_VEC;
-        typedef typename BFI_VEC::reverse_iterator RIT; 
-        
+        typedef typename BFI_VEC::reverse_iterator RIT;
+
         BFI result(0);
         for(RIT rit = polynomial_approx.rbegin();
             rit != polynomial_approx.rend();
             rit++){
-            result = result * x + (*rit); 
+            result = result * x + (*rit);
         }
        // std::cout << "eval approx  end"<< std::endl;
-        return result; 
+        return result;
     }
-  
+
     void refine_poly_approximation() const {
         CGAL_precondition(current_prec > 1);
         current_prec *= 2;
@@ -321,44 +321,44 @@ public:
         convert_coeffs(
                 this->polynomial(),
                 std::back_inserter(polynomial_approx));
-        
+
         Self const *next = static_cast<const Self *>(this->next);
         while(this != next){
             // std::cout << this << " " << next << std::endl;
-            next->polynomial_approx = polynomial_approx; 
-            next->current_prec      = current_prec; 
+            next->polynomial_approx = polynomial_approx;
+            next->current_prec      = current_prec;
             next = static_cast<const Self *>(next->next);
         }
     };
-    
+
     void update_poly_approximation() const {
         long old_prec = set_precision( BFI(), current_prec );
-        
+
         polynomial_approx.clear();
         convert_coeffs( this->polynomial(), std::back_inserter( polynomial_approx ) );
-                    
+
         set_precision( BFI(), old_prec );
-        
+
         // TODO: Problems if the next block gets executed
 //        Self const *next = static_cast<const Self *>(this->next);
 //        while(this != next){
 //            // std::cout << this << " " << next << std::endl;
-//            next->polynomial_approx = polynomial_approx; 
-//            next->current_prec      = current_prec; 
+//            next->polynomial_approx = polynomial_approx;
+//            next->current_prec      = current_prec;
 //            next = static_cast<const Self *>(next->next);
 //        }
     }
-    
-    void refine() const{              
+
+    void refine() const{
         if(this->is_rational()) return;
-        
+
        // std::cout << "refine begin ------- "<< std::endl;
 
         Field m = (this->low()+this->high())/Field(2);
 
         // Currently, sign_of_polynomial_at performs exactly the needed
-        // refinement. 
-        // TODO: But what if this changes? 
+        // refinement.
+        // TODO: But what if this changes?
         sign_of_polynomial_at( m );
         //std::cout << "refine end ----------------- "<<current_prec<<  std::endl;
     }
@@ -372,42 +372,42 @@ protected:
         CGAL::simplify(m);
 
         // if polynomial has changed, the approximated polynomial gets
-        // updated  
-        if ( (int) polynomial_approx.size() != 
+        // updated
+        if ( (int) polynomial_approx.size() !=
              CGAL::degree(this->polynomial_)+1) {
             update_poly_approximation();
-        }        
-        
+        }
+
         CGAL_postcondition(polynomial_approx.size() > 0);
-        
+
         BFI eval = evaluate_polynomial_approx(convert_to_bfi(m));
-                
+
         CGAL::Sign s = CGAL::sign(CGAL::lower(eval));
-              
+
         // correct sign if needed
         if( s*CGAL::sign(CGAL::upper(eval) ) != CGAL::POSITIVE ){
-            
+
             //std::cout << "APPROX FAILED-------------------------------"<<std::endl;
             s = this->polynomial().sign_at(m);
             if ( s != CGAL::ZERO ) {
-                refine_poly_approximation(); 
+                refine_poly_approximation();
             }
         }
-        
+
         CGAL_postcondition(s == this->polynomial_.sign_at(m));
 
         if ( s == CGAL::ZERO ) {
             this->learn_from(m);
         }else{
             if ( s == this->sign_at_low() ) this->low_  = m;
-            else                            this->high_ = m; 
+            else                            this->high_ = m;
         }
 
         set_precision(BFI(),old_prec);
-        
+
         return s;
-    }    
-    
+    }
+
 };
 
 }//namespace internal
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Algebraic_real_rep.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Algebraic_real_rep.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Algebraic_real_rep.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Algebraic_real_rep.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Algebraic_real_rep.h $
-// $Id: Algebraic_real_rep.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Algebraic_real_rep.h $
+// $Id: Algebraic_real_rep.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //
@@ -30,18 +30,18 @@ namespace CGAL {
 namespace internal {
 
 // definition of the Algebraic_real_rep x:
-    
-//IS_GENERAL: 
-// low_  lower bound of x 
-// high_ upper bound of x 
-// polynomial_ a square free polynomial 
+
+//IS_GENERAL:
+// low_  lower bound of x
+// high_ upper bound of x
+// polynomial_ a square free polynomial
 // sign_at_low_ = polynomial_.evaluate(low_)
-// x is the only root of polynomial_ in the open interval ]low_,high_[ 
+// x is the only root of polynomial_ in the open interval ]low_,high_[
 // low_ != x != high
 // ******************* EXEPTION *******************
 // x is rational: in this case low=high=x
- 
-template< class Coefficient_, class Rational_> 
+
+template< class Coefficient_, class Rational_>
 class Algebraic_real_rep{
 
 public:
@@ -49,24 +49,24 @@ public:
     typedef Rational_                                Bound;
     typedef typename CGAL::Polynomial_type_generator<Coefficient,1>::Type Polynomial_1;
 
-private: 
+private:
     typedef Rational_                                Rational;
     typedef typename CGAL::Polynomial_type_generator<Coefficient,1>::Type Poly;
     typedef CGAL::Sign                              TRI_BOOL;
 
-    typedef Algebraic_real_rep <Coefficient,Rational>     Self;   
+    typedef Algebraic_real_rep <Coefficient,Rational>     Self;
 public:
-    typedef boost::optional< std::pair<double, double> >                  Interval_option; 
+    typedef boost::optional< std::pair<double, double> >                  Interval_option;
 
-    mutable Poly polynomial_;                //!< square free polynomial     
+    mutable Poly polynomial_;                //!< square free polynomial
     mutable Rational low_;                      //!< lower endpoint of interval
     mutable Rational high_;                     //!< upper endpoint of interval
     mutable CGAL::Sign sign_at_low_;         //!< sign of polynomial a \a low_
-    mutable Interval_option interval_option;               
+    mutable Interval_option interval_option;
     mutable bool  is_rational_;
 
     mutable const Self *next;
-    mutable const Self *prev; 
+    mutable const Self *prev;
 private:
     void copy_all_members(const Algebraic_real_rep& y) const {
         polynomial_     = y.polynomial_;
@@ -76,15 +76,15 @@ private:
         interval_option = y.interval_option;
         is_rational_    = y.is_rational_;
     }
-     
-    
+
+
 protected:
     virtual CGAL::Sign sign_of_polynomial_at( const Rational& f ) const {
         return polynomial().sign_at( f );
     }
-    
+
 protected:
-    // joins the two lists of related algebraic reals  
+    // joins the two lists of related algebraic reals
     void introduce(const Algebraic_real_rep& y) const{
         y.prev->next=next;
         next->prev=y.prev;
@@ -92,7 +92,7 @@ protected:
         y.prev=this;
     }
 protected:
-   
+
     // x leaves the list of related algebraic reals
     void erase_from_list() const {
         next->prev=prev;
@@ -100,14 +100,14 @@ protected:
         next=prev=this;
     }
 protected:
-    virtual void set_explicit_rep(const Rational& m) const {     
+    virtual void set_explicit_rep(const Rational& m) const {
 
         typename Fraction_traits<Rational>::Decompose decomp;
         typename Fraction_traits<Rational>::Numerator_type num;
         typename Fraction_traits<Rational>::Denominator_type den;
         decomp(m, num, den);
-        
-        polynomial_ = Poly(-Coefficient(num),Coefficient(den)); 
+
+        polynomial_ = Poly(-Coefficient(num),Coefficient(den));
         is_rational_ = true;
         low_  = m;
         high_ = m;
@@ -115,17 +115,17 @@ protected:
         interval_option = Interval_option(CGAL::to_interval(m));
     }
 protected:
-    virtual void set_implicit_rep(const Poly & P, 
-                          const Rational& LOW, 
+    virtual void set_implicit_rep(const Poly & P,
+                          const Rational& LOW,
                           const Rational& HIGH,
                           bool use_expensive_sign = false ) const {
-        
-        CGAL_precondition(LOW < HIGH);        
-        CGAL_precondition(P.sign_at(LOW)  != CGAL::ZERO);       
-        CGAL_precondition(P.sign_at(HIGH) != CGAL::ZERO);     
+
+        CGAL_precondition(LOW < HIGH);
+        CGAL_precondition(P.sign_at(LOW)  != CGAL::ZERO);
+        CGAL_precondition(P.sign_at(HIGH) != CGAL::ZERO);
         CGAL_precondition(P.sign_at(HIGH) != P.sign_at(LOW));
         CGAL_precondition_msg(typename CGAL::Polynomial_traits_d< Poly >::Is_square_free()(P), "Polynomial not square-free.");
-               
+
         polynomial_ = P;
         low_=LOW;
         high_=HIGH;
@@ -135,15 +135,15 @@ protected:
 
         // interval_option left out
 
-        // trys to set rational if degree is 1 
+        // trys to set rational if degree is 1
         typedef typename CGAL::Coercion_traits< Coefficient, Rational >::Type RET;
         set_rational(RET());
     }
-private: 
+private:
     template < class NTX >
     void set_rational(NTX) const {
     }
-    
+
     void set_rational(Rational) const {
         if (CGAL::degree(polynomial()) == 1) {
             low_ = high_ = -Rational(polynomial()[0])/Rational(polynomial()[1]);
@@ -151,34 +151,34 @@ private:
             interval_option = Interval_option(CGAL::to_interval(rational()));
         }
     }
-    
+
 
 public:
     //! creates the algebraic real from int \a i.
     explicit Algebraic_real_rep(int i = 0){
         next=prev=this;
         set_explicit_rep(i);
-    } 
+    }
     //! creates the algebraic real from Rational \a m.
     explicit Algebraic_real_rep(const Rational& m){
         next=prev=this;
-        set_explicit_rep(m);        
-    } 
+        set_explicit_rep(m);
+    }
     /*! \brief creates the algebraic real as the unique root of \a P
         in the open interval <var>]low,high[</var>.
-        \pre the polynomial \a P is square free 
+        \pre the polynomial \a P is square free
         \pre P(low)!=0
         \pre P(high)<0
         \pre x is the one and only root in the open interval of \a P.
     */
-    Algebraic_real_rep(const Poly& P, Rational LOW, Rational HIGH) { 
+    Algebraic_real_rep(const Poly& P, Rational LOW, Rational HIGH) {
         if (LOW == HIGH) {
             CGAL_precondition(P.sign_at(LOW) == CGAL::ZERO);
-            set_explicit_rep(LOW);        
+            set_explicit_rep(LOW);
         } else {
-            CGAL_precondition(LOW < HIGH);        
-            CGAL_precondition(P.sign_at(LOW)  != CGAL::ZERO);       
-            CGAL_precondition(P.sign_at(HIGH) != CGAL::ZERO);     
+            CGAL_precondition(LOW < HIGH);
+            CGAL_precondition(P.sign_at(LOW)  != CGAL::ZERO);
+            CGAL_precondition(P.sign_at(HIGH) != CGAL::ZERO);
             CGAL_precondition(P.sign_at(HIGH) != P.sign_at(LOW));
             CGAL_precondition_msg(typename CGAL::Polynomial_traits_d<Poly>::Is_square_free()(P), "Polynomial not square-free.");
             set_implicit_rep(P,LOW,HIGH);
@@ -187,17 +187,17 @@ public:
     }
 
     //! copy constructor
-    Algebraic_real_rep(const Self& y){         
+    Algebraic_real_rep(const Self& y){
         next=prev=this;
         copy_all_members(y);
-        introduce(y);  
+        introduce(y);
     }
     //! destructor
     virtual ~Algebraic_real_rep(){
         erase_from_list();
     }
 
-    // assignment 
+    // assignment
     Algebraic_real_rep& operator=(const Self& y) {
         if ( this != & y) {
             erase_from_list();
@@ -212,9 +212,9 @@ public:
     const Rational&           low()           const {return low_;}
     const Rational&           high()          const {return high_;}
     const Poly&            polynomial()    const {return polynomial_;}
-        
+
     const TRI_BOOL&        sign_at_low()   const {return sign_at_low_;}
-    
+
     /*const std::pair< double, double>& interval() const {
         if( interval_option ) {
             return *interval_option;
@@ -225,7 +225,7 @@ public:
             set_precision( BF(), 53 );
             interval_option = Interval_option( internal::to_interval( convert_to_bfi( (*this) ) ) );
             set_precision( BF(), old_precision );
-            return *interval_option;            
+            return *interval_option;
         }
     }*/
     /*const std::pair<double, double>&        interval()      const {
@@ -249,53 +249,53 @@ public:
     /*double to_double() const {
         return (to_interval().first +to_interval().second)/2;
     }*/
- 
+
     /*! \brief convert algebraic real to type Interval */
-    /*std::pair<double, double> to_interval() const { 
-        
+    /*std::pair<double, double> to_interval() const {
+
         CGAL_precondition(compare(Rational(interval().first)) != CGAL::SMALLER);
         CGAL_precondition(compare(Rational(interval().second)) != CGAL::LARGER);
-        return interval();    
+        return interval();
     }*/
-    
+
 private:
     bool self_test() const{
         if(!is_rational()){
             CGAL_precondition(low()<high());
-            
+
             CGAL_precondition(sign_at_low() != CGAL::ZERO);
             CGAL_precondition(polynomial().sign_at(low() )== sign_at_low());
             CGAL_precondition(polynomial().sign_at(high())==-sign_at_low());
         }else{
-            CGAL_precondition(low()==high());             
-            CGAL_precondition(polynomial().sign_at(low() )==CGAL::ZERO);         
+            CGAL_precondition(low()==high());
+            CGAL_precondition(polynomial().sign_at(low() )==CGAL::ZERO);
         }
         return true;
-    }    
+    }
 public:
 
     virtual void bisect() const {
-        
+
         if(is_rational()) return;
-        
+
         Rational m = (low()+high())/Rational(2);
         CGAL::simplify(m);
-        
+
         CGAL::Sign s = sign_of_polynomial_at(m);
         if ( s == CGAL::ZERO ) learn_from(m);
-        else 
+        else
             if ( s == sign_at_low() ) low_  = m;
-            else                      high_ = m;  
+            else                      high_ = m;
     }
 
-    virtual void refine() const{ 
+    virtual void refine() const{
         bisect();
     }
 
 public:
     template <class NTX>
     void strong_refine(const NTX& m) const{
-        
+
         if(is_rational()) return;
 
         if( NTX(low()) <= m && m <= NTX(high()) ){
@@ -304,31 +304,31 @@ public:
             while( NTX(low()) <= m && m <= NTX(high())) refine();
         }
     }
-public: 
+public:
     virtual void refine_at(const Rational& m) const{
         if(is_rational()) return;
         if( m <= low() || high() <= m ) return;
-        
-        // now: low < m < high 
+
+        // now: low < m < high
         CGAL::Sign s = sign_of_polynomial_at(m);
         if(s == CGAL::ZERO)         learn_from(m);
         else (s == sign_at_low())? low_ = m : high_=m;
     }
-    
-public:     
+
+public:
     CGAL::Comparison_result
-    compare(const Rational& y, bool are_distinct = false) const {  
+    compare(const Rational& y, bool are_distinct = false) const {
         if(is_rational()) return CGAL::compare(rational(),y);
         if(y <= low()) {
             strong_refine(y);
             return CGAL::LARGER;
         }
-        if(high() <= y) { 
+        if(high() <= y) {
             strong_refine(y);
             return CGAL::SMALLER;
         }
-        
-        // now: low < y < high 
+
+        // now: low < y < high
         if(!are_distinct){
             if(sign_of_polynomial_at(y)==CGAL::ZERO){
                 learn_from(y);
@@ -342,12 +342,12 @@ public:
         if(y < low()) return CGAL::LARGER;
         else          return CGAL::SMALLER;
     }
-    
+
     CGAL::Comparison_result
     compare (const Algebraic_real_rep& y, bool are_distinct = false) const{
         if(  is_rational()) return -y.compare(  rational());
         if(y.is_rational()) return    compare(y.rational());
-        
+
         // type of both x and y IS_GENERAL
         if ( high() <= y.low() ) return CGAL::SMALLER;
         if ( low()  >= y.high()) return CGAL::LARGER;
@@ -369,7 +369,7 @@ public:
         // type of both x and y still IS_GENERAL
         if ( high()   <= y.low() ) return CGAL::SMALLER;
         if ( y.high() <=   low() ) return CGAL::LARGER;
-       
+
         // filter 2: probabilistically check coprimality
         if (!are_distinct) {
             are_distinct = !(may_have_common_factor(polynomial(),
@@ -382,21 +382,21 @@ public:
             // we have ]low(), high()[ == ]y.low(),y.high()[ == ]L,R[
             // and let both numbers decide for the gcd or its complement
             Poly F1,F2,G;
-            G = CGAL::gcd_up_to_constant_factor(polynomial(),y.polynomial()); 
+            G = CGAL::gcd_up_to_constant_factor(polynomial(),y.polynomial());
             F1 = integral_division_up_to_constant_factor(polynomial(),G);
             CGAL_postcondition(CGAL::degree(F1)==
                                CGAL::degree(polynomial())-CGAL::degree(G));
             F2 = integral_division_up_to_constant_factor(y.polynomial(),G);
             CGAL_postcondition(CGAL::degree(F2)==
                                CGAL::degree(y.polynomial())-CGAL::degree(G));
-           
+
             learn_from(G,F1);
             y.learn_from(G,F2);
 
             // this may simplify them due to degree loss
             if (y.is_rational()) return    compare(y.rational());
             if (  is_rational()) return -y.compare(  rational());
-        
+
             // type of x and y is still IS_GENERAL
             // check for equality
             if (G.sign_at(L)!=G.sign_at(R)){
@@ -404,7 +404,7 @@ public:
                 return CGAL::EQUAL;
             }
         }
-        
+
         // if we are here, we know the numbers to be distinct
         // refine to disjointness
         for (;;) {
@@ -428,37 +428,37 @@ protected:
         typename Fraction_traits<Rational>::Numerator_type num;
         typename Fraction_traits<Rational>::Denominator_type den;
         decomp(m, num, den);
-        Poly G = Poly(-Coefficient(num),Coefficient(den)); 
+        Poly G = Poly(-Coefficient(num),Coefficient(den));
         Poly F1= integral_division_up_to_constant_factor(polynomial(),G);
         CGAL_postcondition(CGAL::degree(F1)==
                            CGAL::degree(polynomial())-CGAL::degree(G));
-   
+
         learn_from(G,F1);
-     
+
         if(!is_rational()) set_explicit_rep(m);
-    }   
-  
+    }
+
     // splits the list of related algebraic reals according to the two
     // factors of the polynomial
     void learn_from(const Poly& pfactor1,
                     const Poly& pfactor2) const {
         if(CGAL::degree(pfactor1)==0) return;
         if(CGAL::degree(pfactor2)==0) return;
-         
+
         CGAL_precondition(may_have_common_factor(polynomial(),pfactor1));
         CGAL_precondition(may_have_common_factor(polynomial(),pfactor2));
         CGAL_precondition(CGAL::degree(pfactor1)+CGAL::degree(pfactor2)
                           == CGAL::degree(polynomial()));
 
 
-      
+
         Self dummy1, dummy2;
         Self const *last=prev;
         Self const *current=this;
         Self const *next;
         while(true){
             next=current->next;
-            
+
             if(pfactor1.sign_at(current->low())!=
                pfactor1.sign_at(current->high())){
                 current->next=&dummy1;
@@ -472,22 +472,22 @@ protected:
                 current->next=&dummy2;
                 current->prev=dummy2.prev;
                 dummy2.prev->next=current;
-                dummy2.prev=current;                    
+                dummy2.prev=current;
                 current->set_implicit_rep(pfactor2,
                                           current->low(),
                                           current->high(), true );
             }
-            
+
             if(current==last) break;
             current=next;
         }
     }
-    
+
 public:
     bool is_root_of(const Poly& Q) const {
         if (CGAL::degree(Q) == 0) return Q.is_zero();
         if (is_rational()  ) return CGAL::ZERO == Q.sign_at(rational());
-        
+
         if ( may_have_common_factor(polynomial(), Q) ) {
           Poly G = CGAL::gcd_up_to_constant_factor(polynomial(),Q);
             if(CGAL::degree(G)!=0){
@@ -499,13 +499,13 @@ public:
                 learn_from(G,F1);
                 return (G.sign_at(low()) != G.sign_at(high()));
             }
-        } 
-        return false;      
+        }
+        return false;
     }
-public: 
+public:
     virtual void simplify() const{
         if(is_rational()){
-          
+
         }else{
             CGAL::simplify(low_);
             CGAL::simplify(high_);
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Bitstream_coefficient_kernel_at_alpha.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Bitstream_coefficient_kernel_at_alpha.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Bitstream_coefficient_kernel_at_alpha.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Bitstream_coefficient_kernel_at_alpha.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Bitstream_coefficient_kernel_at_alpha.h $
-// $Id: Bitstream_coefficient_kernel_at_alpha.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Bitstream_coefficient_kernel_at_alpha.h $
+// $Id: Bitstream_coefficient_kernel_at_alpha.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Kerber  <mkerber@mpi-inf.mpg.de>
 //
@@ -17,7 +17,7 @@
 namespace CGAL {
 
 #include <CGAL/disable_warnings.h>
-  
+
 #include <CGAL/basic.h>
 
 #include <CGAL/Arithmetic_kernel.h>
@@ -52,14 +52,14 @@ private:
     Algebraic_kernel_d_1* _m_kernel;
     Algebraic_real_1 _m_alpha;
 
-    
+
 };
 
 template < typename AlgebraicKernel_1 >
 class Bitstream_coefficient_kernel_at_alpha
     : public CGAL::Handle_with_policy
         < CGAL::internal::Bitstream_coefficient_kernel_at_alpha_rep
-            <AlgebraicKernel_1 > 
+            <AlgebraicKernel_1 >
         >
 {
 
@@ -71,19 +71,19 @@ public:
     typedef AlgebraicKernel_1 Algebraic_kernel_d_1;
 
     typedef typename Algebraic_kernel_d_1::Algebraic_real_1 Algebraic_real_1;
-    
+
     typedef typename Algebraic_kernel_d_1::Polynomial_1 Polynomial_1;
 
     typedef Polynomial_1 Coefficient;
 
-    typedef typename 
+    typedef typename
     CGAL::Get_arithmetic_kernel<typename Coefficient::NT>::Arithmetic_kernel
-    Arithmetic_kernel; 
+    Arithmetic_kernel;
 
     typedef typename Arithmetic_kernel::Integer Integer;
 
     typedef typename Algebraic_kernel_d_1::Bound Bound;
-  
+
     typedef typename Arithmetic_kernel::Bigfloat_interval Bigfloat_interval;
 
     typedef CGAL::internal::Bitstream_coefficient_kernel_at_alpha_rep
@@ -99,13 +99,13 @@ public:
 
     Bitstream_coefficient_kernel_at_alpha() : Base(Rep()) {}
 
-#ifdef DOXYGEN_RUNNING  
+#ifdef DOXYGEN_RUNNING
     Bitstream_coefficient_kernel_at_alpha(const Self& traits)
       : Base(static_cast<const Base&>(traits)) {}
 #endif
-  
+
     Bitstream_coefficient_kernel_at_alpha(Algebraic_kernel_d_1* kernel,
-                                          Algebraic_real_1 alpha) 
+                                          Algebraic_real_1 alpha)
       : Base(kernel,alpha) {}
 
     //@}
@@ -114,8 +114,8 @@ public:
     //! @{
 
     struct Is_zero : public CGAL::cpp98::unary_function<Coefficient,bool> {
-        
-        Is_zero(Algebraic_kernel_d_1* kernel,Algebraic_real_1 alpha) 
+
+        Is_zero(Algebraic_kernel_d_1* kernel,Algebraic_real_1 alpha)
             : _m_kernel(kernel),_m_alpha(alpha) {}
 
         bool operator() (Coefficient f) const {
@@ -132,51 +132,51 @@ public:
         return Is_zero(this->ptr()->_m_kernel,this->ptr()->_m_alpha);
     }
 
-    struct Convert_to_bfi 
+    struct Convert_to_bfi
         : public CGAL::cpp98::unary_function<Coefficient,Bigfloat_interval> {
-        
+
         Convert_to_bfi(Algebraic_kernel_d_1* kernel,
-		       Algebraic_real_1 alpha) 
-	  : _m_kernel(kernel), _m_alpha(alpha) {}
+                       Algebraic_real_1 alpha)
+          : _m_kernel(kernel), _m_alpha(alpha) {}
 
         Bigfloat_interval operator() (Coefficient f) const {
             typename CGAL::Polynomial_traits_d<Coefficient>
                 ::template Rebind<Bigfloat_interval,1>::Other::Type f_bfi;
-            
-	    typename Algebraic_kernel_d_1::Approximate_relative_1 approx_alpha
-	      =_m_kernel->approximate_relative_1_object();
-
-	    typedef typename Algebraic_kernel_d_1::Bound Bound;
-	    
-	    Bigfloat_interval alpha_bfi, f_alpha_bfi;
-            
+
+            typename Algebraic_kernel_d_1::Approximate_relative_1 approx_alpha
+              =_m_kernel->approximate_relative_1_object();
+
+            typedef typename Algebraic_kernel_d_1::Bound Bound;
+
+            Bigfloat_interval alpha_bfi, f_alpha_bfi;
+
             long p = CGAL::get_precision(Bigfloat_interval());
-            
+
             long prec = 16;
-            
+
             long wbit = 0;
-	    
-	    while(true) {
+
+            while(true) {
                 CGAL::set_precision(Bigfloat_interval(),prec);
-                
+
                 f_bfi = this->_convert_polynomial_to_bfi(f);
-                
-		std::pair<Bound,Bound> alpha_bounds
-		  = approx_alpha(_m_alpha,prec);
-		
-		alpha_bfi = CGAL::hull
-      		              (CGAL::convert_to_bfi(alpha_bounds.first),
-			       CGAL::convert_to_bfi(alpha_bounds.second));
-		
-		f_alpha_bfi = f_bfi.evaluate(alpha_bfi);
-                
+
+                std::pair<Bound,Bound> alpha_bounds
+                  = approx_alpha(_m_alpha,prec);
+
+                alpha_bfi = CGAL::hull
+                                    (CGAL::convert_to_bfi(alpha_bounds.first),
+                               CGAL::convert_to_bfi(alpha_bounds.second));
+
+                f_alpha_bfi = f_bfi.evaluate(alpha_bfi);
+
                 if(!CGAL::singleton(f_alpha_bfi)) {
                     long ceil = CGAL::internal::ceil_log2_abs(f_alpha_bfi);
                     long signi = CGAL::get_significant_bits(f_alpha_bfi);
                     wbit   = ceil - signi + p;
-                    
-                } 
-                
+
+                }
+
                 if(wbit<-5 || CGAL::singleton(f_alpha_bfi)) {
                     break;
                 } else {
@@ -186,9 +186,9 @@ public:
             CGAL::set_precision(Bigfloat_interval(),p);
             return f_alpha_bfi;
         }
-        
+
     private:
-        
+
         typename CGAL::Polynomial_traits_d<Coefficient>
         ::template Rebind<Bigfloat_interval,1>::Other::Type
         _convert_polynomial_to_bfi(Coefficient f) const {
@@ -201,11 +201,11 @@ public:
             }
             return typename CGAL::Polynomial_traits_d<Coefficient>
                 ::template Rebind<Bigfloat_interval,1>::Other
-                ::Construct_polynomial()(coeffs.begin(),coeffs.end());   
+                ::Construct_polynomial()(coeffs.begin(),coeffs.end());
         }
 
         Algebraic_kernel_d_1* _m_kernel;
-            
+
         Algebraic_real_1 _m_alpha;
     };
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Bitstream_coefficient_kernel.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Bitstream_coefficient_kernel.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Bitstream_coefficient_kernel.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Bitstream_coefficient_kernel.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Bitstream_coefficient_kernel.h $
-// $Id: Bitstream_coefficient_kernel.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Bitstream_coefficient_kernel.h $
+// $Id: Bitstream_coefficient_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Kerber <mkerber@mpi-inf.mpg.de>
 //
@@ -24,11 +24,11 @@ namespace internal {
 template <typename Coefficient_> struct Bitstream_coefficient_kernel {
 
     typedef Coefficient_ Coefficient;
-    
-    typedef typename 
-        CGAL::Get_arithmetic_kernel<Coefficient_>::Arithmetic_kernel  
+
+    typedef typename
+        CGAL::Get_arithmetic_kernel<Coefficient_>::Arithmetic_kernel
     Arithmetic_kernel;
-    
+
     typedef typename Arithmetic_kernel::Bigfloat_interval Bigfloat_interval;
     typedef typename Arithmetic_kernel::Integer Integer;
     typedef typename Arithmetic_kernel::Rational Bound;
@@ -36,24 +36,24 @@ template <typename Coefficient_> struct
 
     typedef typename CGAL::Algebraic_structure_traits<Coefficient>
         ::Is_zero  Is_zero;
-    
+
     Is_zero is_zero_object() const {
         return Is_zero();
     }
 
     struct Convert_to_bfi : public CGAL::cpp98::unary_function
         <Coefficient,Bigfloat_interval> {
-        
+
         Bigfloat_interval operator() (Coefficient c) const {
             return CGAL::convert_to_bfi(c);
         }
     };
-    
+
     Convert_to_bfi convert_to_bfi_object() const {
         return Convert_to_bfi();
     }
-        
-    
+
+
 }; // of class Bitstream_coefficient_kernel
 
 } // namespace internal
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_E08_tree.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_E08_tree.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_E08_tree.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_E08_tree.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_E08_tree.h $
-// $Id: Bitstream_descartes_E08_tree.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_E08_tree.h $
+// $Id: Bitstream_descartes_E08_tree.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Arno Eigenwillig <arno@mpi-inf.mpg.de>
 //
@@ -126,7 +126,7 @@ void Power_to_Bernstein_pm1_nofrac_matri
                 else              { sum += term; }
             }
             m_[ij_to_idx(i,j)] =
-                sum 
+                sum
               * CGAL::internal::caching_factorial<Integer>(i)
               * CGAL::internal::caching_factorial<Integer>(degree - i);
         }
@@ -204,7 +204,7 @@ Bitstream_bernstein_from_power<Traits_>:
     log_radius_(log_radius),
     approximator_(traits.approximator_object()),
     lower_bound_log2_abs_(traits.lower_bound_log2_abs_object())
-{ 
+{
     CGAL_assertion(degree_ >= 0);
     lbd_log_lcoeff_ = lower_bound_log2_abs_(input_power_coeff_[degree_]);
     if (degree_ == 2) {
@@ -407,7 +407,7 @@ template <class BitstreamDescartesE08Tre
   typedef CGAL::internal::Sign_eps_log2                                 \
   <Integer, Abs_le_pow2, Sign>                                          \
   Sign_eps_log2                                                         \
-  
+
 // end #define
 
 // typedefs for Bitstream_descartes_E08_tree{,_rep}
@@ -415,7 +415,7 @@ template <class BitstreamDescartesE08Tre
   CGAL_BITSTREAM_DESCARTES_E08_TREE_COMMON_TYPEDEFS;                   \
   typedef CGAL::internal::Bitstream_descartes_E08_node<TRAITS> Node;   \
   typedef std::list<Node> Node_list                                    \
-  
+
 // end #define
 
 
@@ -432,7 +432,7 @@ struct Bitstream_descartes_E08_node {
 public:
   typedef Bitstream_descartes_E08_node Self;
   CGAL_BITSTREAM_DESCARTES_E08_TREE_COMMON_TYPEDEFS;
-  
+
   friend class CGAL::internal::Bitstream_descartes_E08_tree<TRAITS>;
   friend class CGAL::internal::Bitstream_descartes_E08_tree_rep<TRAITS>;
 
@@ -566,11 +566,11 @@ public:
     Bitstream_descartes_E08_tree() : Base(Rep()) { }
 
     //! copy constructor
-#ifdef DOXYGEN_RUNNING  
+#ifdef DOXYGEN_RUNNING
     Bitstream_descartes_E08_tree(const Self& p)
         : Base(static_cast<const Base&>(p))
     { }
-#endif  
+#endif
 
     /*! \brief construct from initial interval and coefficients
      *
@@ -888,7 +888,7 @@ Bitstream_descartes_E08_tree<BitstreamDe
     int l_min_var, l_max_var, r_min_var, r_max_var;
     internal::var_eps(this->ptr()->tmp1_coeff_.begin(),
                                      this->ptr()->tmp1_coeff_.end(),
-                                     l_min_var, l_max_var, 
+                                     l_min_var, l_max_var,
                                      Sign_eps_log2(n->log_eps_)
     );
     internal::var_eps(this->ptr()->tmp2_coeff_.begin(),
@@ -905,7 +905,7 @@ Bitstream_descartes_E08_tree<BitstreamDe
         int children = 1;
         if (r_min_var > 0) {
             // create new node for right child
-            Node_iterator r = 
+            Node_iterator r =
                 this->ptr()->node_list_.insert(beyond, Node(degree(),
                             this->ptr()->splitpoint_num_,        // lower
                             n->upper_num_ << delta_log_bdry_den, // upper
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Bitstream_descartes.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Bitstream_descartes.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Bitstream_descartes.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Bitstream_descartes.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Bitstream_descartes.h $
-// $Id: Bitstream_descartes.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Bitstream_descartes.h $
+// $Id: Bitstream_descartes.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Kerber <mkerber@mpi-inf.mpg.de>
 //
@@ -30,13 +30,13 @@
 
 #include <CGAL/Algebraic_kernel_d/exceptions.h>
 
-namespace CGAL { 
+namespace CGAL {
 
 namespace internal {
 
 //! enum to distinguish between different descartes instances
 enum Bitstream_descartes_type {
-  GENERIC_DESCARTES = 0, 
+  GENERIC_DESCARTES = 0,
   SQUARE_FREE_DESCARTES = 1, //!< uses Square_free_descartes_tag constructor
   M_K_DESCARTES = 2, //!< uses M_k_descartes_tag constructor
   BACKSHEAR_DESCARTES = 3, //!< uses Backshear_descartes_tag constructor
@@ -76,74 +76,74 @@ class Virtual_method_exception {};
  */
 template<typename BitstreamDescartesRndlTreeTraits,
       typename Policy=CGAL::Handle_policy_no_union>
-class Generic_descartes_rep 
+class Generic_descartes_rep
   : public Policy::template Hierarchy_base<CGAL_ALLOCATOR(char) >::Type {
-  
+
 public:
-  
+
   //! The traits class for approximations
-  typedef BitstreamDescartesRndlTreeTraits 
+  typedef BitstreamDescartesRndlTreeTraits
   Bitstream_descartes_rndl_tree_traits;
-  
+
   //! The Handle class
   typedef Bitstream_descartes<Bitstream_descartes_rndl_tree_traits> Handle;
-  
+
   //! The Coeeficient type of the input polynomial
   typedef typename Bitstream_descartes_rndl_tree_traits::Coefficient
   Coefficient;
-  
+
   //! The polynomial type
   typedef typename Bitstream_descartes_rndl_tree_traits::POLY Polynomial;
-  
+
   typedef Generic_descartes_rep<Bitstream_descartes_rndl_tree_traits> Self;
-  
+
   //! The type of the used Bitstream Descartes tree
 #if CGAL_ACK_BITSTREAM_USES_E08_TREE
   typedef CGAL::internal::Bitstream_descartes_E08_tree
-  <Bitstream_descartes_rndl_tree_traits> 
+  <Bitstream_descartes_rndl_tree_traits>
   Bitstream_tree;
 #else
   typedef CGAL::internal::Bitstream_descartes_rndl_tree
-  <Bitstream_descartes_rndl_tree_traits> 
+  <Bitstream_descartes_rndl_tree_traits>
   Bitstream_tree;
 #endif
-  
-  
+
+
   //! The used integer type
   typedef typename Bitstream_descartes_rndl_tree_traits::Integer Integer;
-  
+
   //! The type for the iterator of the nodes of the bitstream tree
   typedef typename Bitstream_tree::Node_iterator Node_iterator;
-  
+
   //! The same as constant iterator
   typedef typename Bitstream_tree::Node_const_iterator Node_const_iterator;
-  
+
   //! How the boundaries of the isolating intervals are represented
   typedef typename Bitstream_descartes_rndl_tree_traits::Bound Bound;
-  
+
   //! Default constructor (does nothing)
   Generic_descartes_rep(Bitstream_descartes_type type = GENERIC_DESCARTES) :
     type_(type) {
   };
-  
-  /*! 
+
+  /*!
    * Constructor computing an interval containing all real roots of \c f,
    * and initialising the Bitstream Descartes tree
    */
-  Generic_descartes_rep(Bitstream_descartes_type type, 
+  Generic_descartes_rep(Bitstream_descartes_type type,
                         Polynomial f,
-                        Bitstream_descartes_rndl_tree_traits traits) : 
-    type_(type), 
-    f_(f), 
-    traits_(traits), 
+                        Bitstream_descartes_rndl_tree_traits traits) :
+    type_(type),
+    f_(f),
+    traits_(traits),
     is_isolated_(false) {
-    
+
     Integer lower,upper;
     long log_div;
     this->get_interval(f,lower,upper,log_div,traits);
     //AcX_DSTREAM("f: " << f << std::endl);
     if (CGAL::degree(f) > 0) {
-      bitstream_tree 
+      bitstream_tree
 #if CGAL_ACK_BITSTREAM_USES_E08_TREE
         = Bitstream_tree(-log_div,
                          f.begin(),
@@ -157,7 +157,7 @@ public:
                        typename Bitstream_tree::Monomial_basis_tag(),
                        traits);
 #endif
-      
+
       if (bitstream_tree.begin() == bitstream_tree.end()) {
         number_of_intervals = 0;
       } else {
@@ -167,50 +167,50 @@ public:
       number_of_intervals=0;
     }
   }
-  
-  /*! 
+
+  /*!
    * Constructor that copies the Bitstream tree given from outside
    * and initialising the Bitstream Descartes tree
    * The tree must "fit" to the polynomial
    */
-  Generic_descartes_rep(Bitstream_descartes_type type, 
+  Generic_descartes_rep(Bitstream_descartes_type type,
                         Polynomial f,
                         Bitstream_tree tree,
-                        Bitstream_descartes_rndl_tree_traits traits) : 
-    type_(type), 
-    f_(f), 
-    traits_(traits), 
+                        Bitstream_descartes_rndl_tree_traits traits) :
+    type_(type),
+    f_(f),
+    traits_(traits),
     bitstream_tree(tree),
     is_isolated_(false) {
-    
+
     tree.set_traits(traits);
-    
+
     number_of_intervals = 0;
-    
+
     for(Node_iterator curr = bitstream_tree.begin();
         curr != bitstream_tree.end();
         curr++) {
       number_of_intervals++;
     }
   }
-  
+
   //! Destructor (does nothing)
   virtual ~Generic_descartes_rep() {
   }
-  
+
   //! Needed for the referencing counting mechanism
   virtual CGAL::Reference_counted_hierarchy<>* clone() {
     return new Generic_descartes_rep(*this);
   }
-  
-  /*! 
+
+  /*!
    * \brief Computes a better approximation of the \c i th root of the
    * polynomial
    */
   virtual void refine_interval(int i) const {
     CGAL_assertion(i >= 0);
     CGAL_assertion(i < number_of_intervals);
-    Node_iterator curr = bitstream_tree.begin(), begin, end, 
+    Node_iterator curr = bitstream_tree.begin(), begin, end,
       new_begin, helper;
     std::advance(curr,i);
     int intervals = 1;
@@ -224,7 +224,7 @@ public:
       intervals += new_intervals-1;
       begin = new_begin;
       curr = helper;
-      
+
       // Fixes the bug when a interval splits, and the leftmost subintervals
       // has no children with sign variation >=1
       if (intervals == 1) {
@@ -233,63 +233,63 @@ public:
       if (new_intervals == 0) {
         continue;
       }
-      
+
       while(curr != end) {
         intervals += bitstream_tree.subdivide(curr,new_begin,helper)-1;
         curr = helper;
       }
-      
+
     }
     while (intervals != 1);
-    //std::cout << "Refined " << left_bound(i) << " " << right_bound(i) << std::endl; 
-    
+    //std::cout << "Refined " << left_bound(i) << " " << right_bound(i) << std::endl;
+
   }
-  
-  /*! 
+
+  /*!
    * \brief isolates the root of \c f
    *
    * The mechanism is the following: The \c bitstream_tree member of the
-   * object is transformed via subdivision until the 
+   * object is transformed via subdivision until the
    * \c termination_condition routine of the object returns true. When this
    * happens, the \c process_nodes routine of the object is called.
    */
   virtual void isolate() {
-    
+
     //AcX_DSTREAM("Starting isolation" << std::endl);
-    
+
     Node_iterator curr = bitstream_tree.begin(),dummy,new_curr;
-    
+
     if(curr == bitstream_tree.end()) {
       is_isolated_ = true;
       return;
     }
-    
+
     int newly_created;
-    
+
     while (!this->termination_condition()) {
-      
+
       if (curr == bitstream_tree.end()) {
         curr = bitstream_tree.begin();
       }
-      
+
       if (bitstream_tree.max_var(curr) == 1) {
         ++curr;
       }
       else {
-        //AcX_DSTREAM("Subdivision at " 
-        //<< CGAL::to_double(bitstream_tree.lower(curr)) << " " 
+        //AcX_DSTREAM("Subdivision at "
+        //<< CGAL::to_double(bitstream_tree.lower(curr)) << " "
         //<< CGAL::to_double(bitstream_tree.upper(curr)) << std::flush);
         newly_created = bitstream_tree.subdivide(curr,dummy,new_curr);
         number_of_intervals += newly_created-1;
         curr = new_curr;
         //AcX_DSTREAM("done" << std::endl);
       }
-      
+
     }
     this->process_nodes();
     is_isolated_ = true;
   }
-  
+
   /*!
    * \brief Computes an interval containing all real roots of \c p,
    * using the Fujiwara root bound.
@@ -297,16 +297,16 @@ public:
    * So far, the \c log_div variable is always set to zero, this means
    * that <i>[lower,upper]</i> is the interval containing all real roots
    */
-  virtual void get_interval(const Polynomial& p, Integer& lower, 
+  virtual void get_interval(const Polynomial& p, Integer& lower,
                             Integer& upper, long& log_div,
                             Bitstream_descartes_rndl_tree_traits traits) {
-    
-    
+
+
     typename Bitstream_descartes_rndl_tree_traits::Lower_bound_log2_abs
       lower_bound_log2_abs = traits.lower_bound_log2_abs_object();
-    typename 
+    typename
       Bitstream_descartes_rndl_tree_traits::Upper_bound_log2_abs_approximator
-      upper_bound_log2_abs_approximator 
+      upper_bound_log2_abs_approximator
       = traits.upper_bound_log2_abs_approximator_object();
     //AcX_DSTREAM("Fujiwara bound.." << p <<  std::endl);
 #if CGAL_ACK_BITSTREAM_USES_E08_TREE
@@ -317,7 +317,7 @@ public:
        upper_bound_log2_abs_approximator
       );
 #else
-    
+
     log_div = -CGAL::internal
       ::Fujiwara_root_bound_log
       (p.begin(),
@@ -326,21 +326,21 @@ public:
        upper_bound_log2_abs_approximator
       );
 #endif
-    
+
     //AcX_DSTREAM("Fujiwara returns " << log_div << std::endl);
     // To be sure
     log_div--;
     lower=Integer(-1);
     upper=Integer(1);
     return;
-    
+
   }
-  
+
   //! returns the number of detected isolating intervals
   virtual int number_of_real_roots() const {
     return number_of_intervals;
   }
-  
+
   //! The lower bound of the \c i th root
   virtual Bound left_bound(int i) const  {
     CGAL_assertion(i >= 0);
@@ -348,8 +348,8 @@ public:
     Node_const_iterator curr = bitstream_tree.begin();
     std::advance(curr,i);
     return bitstream_tree.lower(curr);
-  } 
-  
+  }
+
   //! The upper bound of the \c i th root
   virtual Bound right_bound(int i) const {
     CGAL_assertion(i >= 0);
@@ -357,35 +357,35 @@ public:
     Node_const_iterator curr = bitstream_tree.begin();
     std::advance(curr,i);
     return bitstream_tree.upper(curr);
-  } 
-  
+  }
+
   //! Returns the polynomial which is isolated
   Polynomial polynomial() const {
     return f_;
   }
-  
-  /*! 
+
+  /*!
    * \brief When does the isolation algorithm terminate?
    *
    * This method must be specialised by derived classes
-   */      
+   */
   virtual bool termination_condition() {
     throw Virtual_method_exception();
     return false;
   }
-  
+
   /*!
    * \brief Gives an opportunity to process the nodes after
    * the subdivision steps are finished
    *
    * This method must be specialised by derived classes, but can
    * remain empty in many cases.
-   */ 
+   */
   virtual void process_nodes() {
     throw Virtual_method_exception();
     return;
   }
-  
+
   /*! \brief Returns whether the \c i th root is definitely a simple root
    * of the isolated polynomial
    *
@@ -395,7 +395,7 @@ public:
     throw Virtual_method_exception();
     return false;
   }
-  
+
   /*! \brief Returns whether the \c i th root is definitely a multiple root
    * of the isolated polynomial
    *
@@ -405,74 +405,74 @@ public:
     throw Virtual_method_exception();
     return false;
   }
-  
-  
+
+
   virtual int multiplicity_of_root(int CGAL_assertion_code(i)) const {
     CGAL_assertion(i >= 0);
     CGAL_assertion(i < number_of_intervals);
     return -1;
   }
-  
+
   virtual int get_upper_bound_for_multiplicity(int i) const {
     CGAL_assertion(i >= 0);
     CGAL_assertion(i < number_of_intervals);
     Node_const_iterator curr = bitstream_tree.begin();
     std::advance(curr,i);
     return bitstream_tree.min_var(curr);
-  } 
-  
+  }
+
   //! Must be specialized by the derived class
   virtual int degree_of_gcd() const {
     throw Virtual_method_exception();
     return -1;
   }
-  
+
   //! Must be specialized by the derived class
   virtual Polynomial square_free_part() const {
     throw Virtual_method_exception();
     return Polynomial();
   }
-  
+
   //! Must be specialized by the derived class
   virtual Handle inverse_transform_isolator() const {
     throw Virtual_method_exception();
     return Handle();
   }
-  
+
   bool is_isolated() const {
     return is_isolated_;
   }
-  
+
   Bitstream_descartes_rndl_tree_traits traits() const {
     return traits_;
   }
-  
+
   Bitstream_tree get_tree() const {
-    
+
     return bitstream_tree;
-    
+
   }
-  
+
   //! type to distinguish used constructor
   Bitstream_descartes_type type_;
-  
+
 protected:
-  
+
   //! Polynomial which is isolated
   Polynomial f_;
-  
+
   //! The traits class
   Bitstream_descartes_rndl_tree_traits traits_;
-  
+
   //! The tree of the Bitstream Descartes method
   mutable Bitstream_tree bitstream_tree;
-  
+
   //! The number of detected isolating intervals
   int number_of_intervals;
-  
+
   //! Has isolation already taken place
   mutable bool is_isolated_;
-  
+
 };
 
 /*
@@ -480,30 +480,30 @@ protected:
  */
 template<typename BitstreamDescartesRndlTreeTraits,
       typename Policy=CGAL::Handle_policy_no_union>
-class Square_free_descartes_rep 
+class Square_free_descartes_rep
   : public Generic_descartes_rep<BitstreamDescartesRndlTreeTraits> {
-  
-  
+
+
 public:
-  
+
   //! Traits type
-  typedef BitstreamDescartesRndlTreeTraits 
+  typedef BitstreamDescartesRndlTreeTraits
   Bitstream_descartes_rndl_tree_traits;
-  
+
   //! The generic representation
   typedef Generic_descartes_rep<BitstreamDescartesRndlTreeTraits,
-	Policy> Base;
-  
+        Policy> Base;
+
   //! Polynomial type
   typedef typename Base::Polynomial Polynomial;
-  
+
   //! Iterator for the leaves in the bitstream tree
   typedef typename Base::Node_iterator Node_iterator;
-  
+
   //! The type of the tree that controls the Bitstream instance
   typedef typename Base::Bitstream_tree Bitstream_tree;
-  
-  /*! 
+
+  /*!
    * \brief Constructor with the square free polynomial <tt>f<tt>.
    */
   Square_free_descartes_rep(
@@ -512,7 +512,7 @@ public:
     Base(SQUARE_FREE_DESCARTES, f,traits) {
   }
 
-  /*! 
+  /*!
    * \brief Constructor with the square free polynomial <tt>f<tt>.
    */
   Square_free_descartes_rep(
@@ -526,7 +526,7 @@ public:
   virtual CGAL::Reference_counted_hierarchy<>* clone() {
     return new Square_free_descartes_rep(*this);
   }
-	
+
   /*!
    * \brief Terminates when all detected roots are simple
    */
@@ -539,17 +539,17 @@ public:
     }
     return true;
   }
-	
-  //! nothing to do here	
+
+  //! nothing to do here
   virtual void process_nodes() {
     return;
   }
-	
+
   //! Polynomial is square free, so gcd is 1
   virtual int degree_of_gcd() const {
     return 0;
   }
-        
+
   //! Polynomial is square free
   virtual Polynomial square_free_part() const {
     return this->f_;
@@ -559,12 +559,12 @@ public:
   virtual bool is_certainly_simple_root(int ) const {
     return true;
   }
-	
+
   //! Always false
   virtual bool is_certainly_multiple_root(int ) const {
     return false;
   }
-      
+
 };
 
 /*
@@ -572,16 +572,16 @@ public:
  */
 template<typename BitstreamDescartesRndlTreeTraits,
       typename Policy=CGAL::Handle_policy_no_union>
-class M_k_descartes_rep 
+class M_k_descartes_rep
   : public Generic_descartes_rep<BitstreamDescartesRndlTreeTraits> {
-	
-	
+
+
 public:
-	
+
   //! Traits class
-  typedef BitstreamDescartesRndlTreeTraits 
+  typedef BitstreamDescartesRndlTreeTraits
   Bitstream_descartes_rndl_tree_traits;
-    
+
   //! Generic representation
   typedef Generic_descartes_rep<BitstreamDescartesRndlTreeTraits,
                                         Policy> Base;
@@ -610,7 +610,7 @@ public:
    * and <tt>k</tt> need to be the exact number of real roots of <tt>f</tt>
    * counted without multiplicity and the degree of the greatest common
    * divisor of <tt>f</tt> with its partial derivative, respectively.
-   */ 
+   */
   M_k_descartes_rep(Polynomial f,int m, int k,
                     Bitstream_descartes_rndl_tree_traits traits) :
     Base(M_K_DESCARTES, f,traits),
@@ -629,7 +629,7 @@ public:
   }
 
   //! Default constructor
-  M_k_descartes_rep() { 
+  M_k_descartes_rep() {
   }
 
   //! Needed for reference counting
@@ -647,7 +647,7 @@ public:
    */
   virtual bool termination_condition() {
     int counted_simple_roots=0;
-    int max_max_var = 0; 
+    int max_max_var = 0;
     for(Node_iterator curr=Base::bitstream_tree.begin();
         curr != Base::bitstream_tree.end(); curr++) {
       int max_var = Base::bitstream_tree.max_var(curr);
@@ -657,16 +657,16 @@ public:
       if(max_var == 1) { // && Base::bitstream_tree.max_var(curr)==1) {
         ++counted_simple_roots;
       }
-    }      
+    }
     //AcX_DSTREAM("Situation: " << this->number_of_intervals << " intervals " << this->number_of_roots << " are expected" << std::endl);
-    if (this->number_of_intervals == this->number_of_roots 
+    if (this->number_of_intervals == this->number_of_roots
         && counted_simple_roots >= number_of_roots-1) {
       return true;
     }
     if (max_max_var <= gcd_degree) {
       throw CGAL::internal::Non_generic_position_exception();
     }
-        
+
     return false;
 
   }
@@ -690,20 +690,20 @@ public:
   virtual int degree_of_gcd() const {
     return gcd_degree;
   }
-        
+
   //! True for all roots except for the candidate
   virtual bool is_certainly_simple_root(int i) const {
     return (i!=index_of_multiple);
   }
-	
+
   //! Always false
   virtual bool is_certainly_multiple_root(int) const {
     return false;
   }
-      
+
 
 protected:
-    
+
   //! The "m"
   int number_of_roots;
 
@@ -715,21 +715,21 @@ protected:
 
 };
 
-    
+
 template<typename BitstreamDescartesRndlTreeTraits,
              typename EventRefinement,
              typename Policy=CGAL::Handle_policy_no_union>
-class Backshear_descartes_rep 
+class Backshear_descartes_rep
   : public Generic_descartes_rep<BitstreamDescartesRndlTreeTraits> {
-                                   
+
 
 public:
 
   typedef EventRefinement Event_refinement;
-   
-  typedef BitstreamDescartesRndlTreeTraits 
+
+  typedef BitstreamDescartesRndlTreeTraits
   Bitstream_descartes_rndl_tree_traits;
-   
+
   typedef Generic_descartes_rep<BitstreamDescartesRndlTreeTraits,
                                         Policy> Base;
 
@@ -751,12 +751,12 @@ public:
       int number_of_events,
       Event_refinement event_refinement,
       Bitstream_descartes_rndl_tree_traits traits) :
-    Base(BACKSHEAR_DESCARTES,f,traits), 
+    Base(BACKSHEAR_DESCARTES,f,traits),
     number_of_non_event_points(number_of_non_event_points),
     number_of_events(number_of_events),
     event_refinement(event_refinement) {
   }
-          
+
   Backshear_descartes_rep() {
   }
 
@@ -765,7 +765,7 @@ public:
   }
 
   virtual void isolate() {
-      
+
     Node_iterator curr = Base::bitstream_tree.begin(),sub_begin,new_curr;
 
     if(curr == Base::bitstream_tree.end()) {
@@ -792,7 +792,7 @@ public:
         //AcX_DSTREAM("nothing happend" << std::endl);
       }
       else {
-        newly_created = 
+        newly_created =
           Base::bitstream_tree.subdivide(curr,sub_begin,new_curr);
         mark_helper = markings.erase(curr_mark);
         curr_mark = mark_helper;
@@ -804,7 +804,7 @@ public:
         Base::number_of_intervals += newly_created-1;
         curr = new_curr;
         //AcX_DSTREAM(newly_created << " new intervals, marking size: " << markings.size() << std::endl);
-        
+
       }
     }
     this->process_nodes();
@@ -830,7 +830,7 @@ public:
       ++curr_mark;
     }
     CGAL_assertion(curr_mark == markings.end());
-    return ((marked_intervals == number_of_events) 
+    return ((marked_intervals == number_of_events)
             && (unmarked_odd_intervals == number_of_non_event_points));
   }
 
@@ -838,7 +838,7 @@ public:
     Node_iterator curr=Base::bitstream_tree.begin(),curr_helper;
     Marking_iterator curr_mark = markings.begin();
     while(curr!=Base::bitstream_tree.end()) {
-      if(((*curr_mark) == -1) && 
+      if(((*curr_mark) == -1) &&
          (Base::bitstream_tree.min_var(curr) % 2 == 0)) {
         ++curr;
         curr_helper = curr;
@@ -866,7 +866,7 @@ public:
     std::advance(curr,i);
     return (Base::bitstream_tree.max_var(curr) == 1);
   }
-	
+
   virtual bool is_certainly_multiple_root(int i) const {
     CGAL_assertion(i >= 0);
     CGAL_assertion(i < Base::number_of_intervals);
@@ -874,7 +874,7 @@ public:
     std::advance(curr,i);
     return (*curr>=0);
   }
-          
+
 
 protected:
 
@@ -895,7 +895,7 @@ protected:
       while(true) {
         if(CGAL::compare(event_refinement.lower_bound(i),lower)
            !=CGAL::NEGATIVE
-           && 
+           &&
            CGAL::compare(event_refinement.upper_bound(i),upper)
            !=CGAL::POSITIVE) {
           //Event inside the interval
@@ -910,31 +910,31 @@ protected:
           break;
         }
         event_refinement.refine(i);
-              
+
       }
     }
     return -1;
   }
-          
+
 };
 
 /*
- * \brief Adaptor for roots of a vert line 
+ * \brief Adaptor for roots of a vert line
  * (needed as dummy in surface analysis)
  *
  */
 template<typename BitstreamDescartesRndlTreeTraits,
       typename VertLine,
       typename Policy=CGAL::Handle_policy_no_union>
-class Vert_line_adapter_descartes_rep 
+class Vert_line_adapter_descartes_rep
   : public Generic_descartes_rep<BitstreamDescartesRndlTreeTraits> {
-        
+
 public:
-        
+
   //! The traits class for approximations
-  typedef BitstreamDescartesRndlTreeTraits 
+  typedef BitstreamDescartesRndlTreeTraits
   Bitstream_descartes_rndl_tree_traits;
-        
+
   //! type of vert line
   typedef VertLine Vert_line;
 
@@ -942,55 +942,55 @@ public:
   typedef typename Vert_line::Curve_analysis_2 Curve_analysis_2;
 
   //! type of Curve_kernel_2;
-  typedef typename Curve_analysis_2::Algebraic_kernel_with_analysis_2 
+  typedef typename Curve_analysis_2::Algebraic_kernel_with_analysis_2
   Curve_kernel_2;
 
   //! The Coeeficient type of the input polynomial
-  typedef typename Bitstream_descartes_rndl_tree_traits::Coefficient 
+  typedef typename Bitstream_descartes_rndl_tree_traits::Coefficient
   Coefficient;
-        
+
   //! The polynomial type
-  typedef typename CGAL::Polynomial_type_generator<Coefficient,1>::Type 
+  typedef typename CGAL::Polynomial_type_generator<Coefficient,1>::Type
   Polynomial;
-        
+
   typedef Vert_line_adapter_descartes_rep
   <Bitstream_descartes_rndl_tree_traits, Vert_line, Policy> Self;
-        
+
   //! The used integer type
   typedef typename Bitstream_descartes_rndl_tree_traits::Integer Integer;
-        
+
   //! How the boundaries of the isolating intervals are represented
   typedef typename Bitstream_descartes_rndl_tree_traits::Bound
   Bound;
-        
+
   typedef Generic_descartes_rep<Bitstream_descartes_rndl_tree_traits>
   Base;
-        
+
   //! The type for the inverse isolator
   typedef typename Base::Handle Handle;
-        
-  /*! 
+
+  /*!
    * \brief Constructor
    */
   template<typename InputIterator>
   Vert_line_adapter_descartes_rep(InputIterator begin,
                                   InputIterator end,
                                   Bitstream_descartes_rndl_tree_traits traits)
-    : Base(VERT_LINE_ADAPTER_DESCARTES) 
+    : Base(VERT_LINE_ADAPTER_DESCARTES)
   {
     for (InputIterator it = begin; it != end; it++) {
       root_vec.push_back(std::make_pair(*it, 4));
     }
-	    
+
     this->is_isolated_ = true;
     this->traits_ = traits;
     this->f_  = Polynomial(0);
-    this->number_of_intervals 
+    this->number_of_intervals
       = static_cast<int>(root_vec.size());
     // Isolate all real roots until intervals are disjoint:
     for (int i = 1; i < this->number_of_real_roots(); i++ ){
       while(left_bound(i) < right_bound(i-1) ) {
-        if (right_bound(i)-left_bound(i) < 
+        if (right_bound(i)-left_bound(i) <
             right_bound(i-1) - left_bound(i-1) ) {
           refine_interval(i-1);
         } else {
@@ -1000,8 +1000,8 @@ public:
 
     }
   }
-        
-        
+
+
   //! Destructor (does nothing)
   virtual ~Vert_line_adapter_descartes_rep() {
   }
@@ -1010,15 +1010,15 @@ public:
   virtual CGAL::Reference_counted_hierarchy<>* clone() {
     return new Vert_line_adapter_descartes_rep(*this);
   }
-        
+
   virtual void refine_interval(int i) const {
     root_vec[i] = std::make_pair(root_vec[i].first, root_vec[i].second * 2);
   }
-        
+
   virtual void isolate() const {
   }
 
- 
+
   //! The lower bound of the \c i th root
   virtual Bound left_bound(int i) const  {
     typename Curve_kernel_2::Approximate_absolute_y_2
@@ -1028,7 +1028,7 @@ public:
                     (root_vec[i].first.second),
                     root_vec[i].second).first;
   }
-    
+
   //! The upper bound of the \c i th root
   virtual Bound right_bound(int i) const {
     typename Curve_kernel_2::Approximate_absolute_y_2
@@ -1047,8 +1047,8 @@ public:
   virtual bool is_certainly_simple_root(int /* i */) const {
     return false;
   }
-        
-  /*! \brief Returns whether the \c i th root is definitely 
+
+  /*! \brief Returns whether the \c i th root is definitely
    * a multiple root
    * of the isolated polynomial
    *
@@ -1070,61 +1070,61 @@ protected:
  * \brief Class for the Bitstream Descartes method
  *
  * Class for the real root isolation of polynomials, using the Bitstream
- * Descartes method. The polynomials coefficient type is arbitrary, the 
- * approximations of the coefficient type are obtained with the 
+ * Descartes method. The polynomials coefficient type is arbitrary, the
+ * approximations of the coefficient type are obtained with the
  * \c BitstreamDescartesRndlTreeTraits parameter. For the requirements
- * of this traits class, see the documentation of 
- * CGAL::Bitstream_descartes_rndl_tree. 
+ * of this traits class, see the documentation of
+ * CGAL::Bitstream_descartes_rndl_tree.
  *
  * Internally, an instance of CGAL::Bitstream_descartes_rndl_tree is explored
  * in a specific way. That exploration strategy depends on the constructor
  * that is used to create the object. A tag is passed that defines the
  * variant of the Bitstream Descartes method: The Square_free_descartes_tag
  * starts the usual Bitstream method for square free integer polynomials.
- * With the M_k_descartes tag, it is able to handle one multiple root in 
+ * With the M_k_descartes tag, it is able to handle one multiple root in
  * favourable situations, the Backshear_descartes_tag allows to isolate
  * even more complicated polynomials, if the multiple roots with even
  * multiplicity can be refined from outside. See the corresponding
  * constructors for more information.
- * 
+ *
  */
 template<typename BitstreamDescartesRndlTreeTraits>
-class Bitstream_descartes 
+class Bitstream_descartes
   : ::CGAL::Handle_with_policy<
     CGAL::internal::Generic_descartes_rep<BitstreamDescartesRndlTreeTraits> > {
-    
+
 public:
-    
+
   //! Traits class
-  typedef BitstreamDescartesRndlTreeTraits 
+  typedef BitstreamDescartesRndlTreeTraits
   Bitstream_descartes_rndl_tree_traits;
-      
+
   // The generic representation class
-  typedef 
+  typedef
   CGAL::internal::Generic_descartes_rep<BitstreamDescartesRndlTreeTraits> Rep;
 
   // The Handle type
   typedef ::CGAL::Handle_with_policy<Rep> Base;
-    
+
   //! The coefficients of the polynomial
   typedef typename Bitstream_descartes_rndl_tree_traits::Coefficient
   Coefficient;
-    
+
   //! The polynomial's type
-  typedef typename CGAL::Polynomial_type_generator<Coefficient,1>::Type 
+  typedef typename CGAL::Polynomial_type_generator<Coefficient,1>::Type
   Polynomial;
-    
-  typedef Bitstream_descartes<Bitstream_descartes_rndl_tree_traits> 
+
+  typedef Bitstream_descartes<Bitstream_descartes_rndl_tree_traits>
   Self;
-    
+
   // Type for the Bitstream Descartes tree
 #if CGAL_ACK_BITSTREAM_USES_E08_TREE
   typedef CGAL::internal::Bitstream_descartes_E08_tree
-  <Bitstream_descartes_rndl_tree_traits> 
+  <Bitstream_descartes_rndl_tree_traits>
   Bitstream_tree;
 #else
   typedef CGAL::internal::Bitstream_descartes_rndl_tree
-  <Bitstream_descartes_rndl_tree_traits> 
+  <Bitstream_descartes_rndl_tree_traits>
   Bitstream_tree;
 #endif
 
@@ -1132,11 +1132,11 @@ public:
   typedef typename Bitstream_descartes_rndl_tree_traits::Integer Integer;
 
   //! Iterator type for the leaves of the Descartes tree
-  typedef typename Bitstream_tree::Node_iterator 
+  typedef typename Bitstream_tree::Node_iterator
   Node_iterator;
 
   //! Const iterator for the leaves
-  typedef typename Bitstream_tree::Node_const_iterator 
+  typedef typename Bitstream_tree::Node_const_iterator
   Node_const_iterator;
 
   //! Type for the interval boundaries of the isolating intervals
@@ -1149,11 +1149,11 @@ public:
   //! Copy constructor
   Bitstream_descartes(const Self& other) : Base(static_cast<const Base&>(other))
   {}
-  
-  /*! 
+
+  /*!
    * \brief Constructor for a polynomial \c f
    *
-   * See the documentation of the constrctor 
+   * See the documentation of the constrctor
    * with \c Square_free_descartes_tag
    */
   Bitstream_descartes(Polynomial f,
@@ -1168,10 +1168,10 @@ public:
     }
   }
 
-  /*! 
+  /*!
    * \brief Constructor for the square free Descartes method
    *
-   * The polynomial \c f must not have multiple real roots. The 
+   * The polynomial \c f must not have multiple real roots. The
    * Bitstream Descartes tree is traversed in a bfs manner until
    * all leaves have sign variation zero or one.
    */
@@ -1188,14 +1188,14 @@ public:
     }
   }
 
-  /*! 
+  /*!
    * \brief Constructor for the square free Descartes method,
    * using a precomputed tree
    *
-   * The polynomial \c f must not have multiple real roots. The 
+   * The polynomial \c f must not have multiple real roots. The
    * Bitstream Descartes tree is traversed in a bfs manner until
    * all leaves have sign variation zero or one.
-   * The tree must be adequate for the polynomial. 
+   * The tree must be adequate for the polynomial.
    * Use that constructor only if you know what you're doing!
    */
   Bitstream_descartes(Square_free_descartes_tag ,
@@ -1212,7 +1212,7 @@ public:
     }
   }
 
-  /*! 
+  /*!
    * \brief Constructor for the m-k-Descartes method
    *
    * The polynomial \c f must have exactly \c m real roots, counted without
@@ -1250,11 +1250,11 @@ public:
       this->isolate();
     }
   }
-  
 
-  /*! 
+
+  /*!
    * \brief Constructor for the Backshear-Decartes method
-   * 
+   *
    * The polynomial \c f must have exactly \c number_of_real_roots
    * many real roots, counted without multiplicity. Additionally, a set of
    * \c number_of_events root can be refined to arbitrary precision with the
@@ -1275,7 +1275,7 @@ public:
                       Bitstream_descartes_rndl_tree_traits traits
                       = Bitstream_descartes_rndl_tree_traits(),
                       bool isolate = true)
-    : Base(new 
+    : Base(new
            CGAL::internal::Backshear_descartes_rep
            <Bitstream_descartes_rndl_tree_traits,EventRefinement>
            (f,number_of_real_roots-number_of_events,
@@ -1287,7 +1287,7 @@ public:
   }
 
 
-  /*! 
+  /*!
    * \brief Constructor for the Vert-line-adapter-Descartes method
    *
    */
@@ -1318,7 +1318,7 @@ public:
   //! Returns the traits class
   Bitstream_descartes_rndl_tree_traits traits() const {
     return this->ptr()->traits();
-  } 
+  }
 
   //! Number of real roots of the polynomial
   int number_of_real_roots() const {
@@ -1339,10 +1339,10 @@ public:
   }
 
   //! The left bound of the <tt>i</tt>th isolating interval
-  void left_bound(int i, 
-                  Integer& numerator, 
+  void left_bound(int i,
+                  Integer& numerator,
                   Integer& denominator) const {
-    typedef CGAL::Fraction_traits<Bound> Fraction_traits; 
+    typedef CGAL::Fraction_traits<Bound> Fraction_traits;
     typename Fraction_traits::Decompose decompose;
     decompose(left_bound(i),numerator,denominator);
   }
@@ -1354,10 +1354,10 @@ public:
   }
 
   //! The right bound of the <tt>i</tt>th isolating interval
-  void right_bound(int i, 
-                   Integer& numerator, 
+  void right_bound(int i,
+                   Integer& numerator,
                    Integer& denominator) const {
-    typedef CGAL::Fraction_traits<Bound> Fraction_traits; 
+    typedef CGAL::Fraction_traits<Bound> Fraction_traits;
     typename Fraction_traits::Decompose decompose;
     decompose(right_bound(i),numerator,denominator);
   }
@@ -1365,23 +1365,23 @@ public:
   //! The length of the <tt>i</tt>th isolating interval
   Bound length(int i) const {
     CGAL_assertion(is_isolated());
-    return (this->ptr()->right_bound(i) - 
+    return (this->ptr()->right_bound(i) -
             this->ptr()->left_bound(i));
   }
 
   bool is_exact_root(int) const { return false; }
 
-  /*! 
-   * \brief Returns true if the <tt>i</tt>th root is known to be a simple 
+  /*!
+   * \brief Returns true if the <tt>i</tt>th root is known to be a simple
    * root of the curve.
    */
   bool is_certainly_simple_root(int i) const {
     CGAL_assertion(is_isolated());
     return this->ptr()->is_certainly_simple_root(i);
   }
-	
-  /*! 
-   * \brief Returns true if the <tt>i</tt>th root is known to be a multiple 
+
+  /*!
+   * \brief Returns true if the <tt>i</tt>th root is known to be a multiple
    * root of the curve.
    */
   bool is_certainly_multiple_root(int i) const {
@@ -1389,8 +1389,8 @@ public:
     return this->ptr()->is_certainly_multiple_root(i);
   }
 
-        
-  /*! 
+
+  /*!
    * \brief Returns the multiplicity of the root if know, otherwise -1
    */
   int multiplicity_of_root(int i) const {
@@ -1415,31 +1415,31 @@ public:
 
 
 public:
-  
+
   //! Starts the isolation of the real roots.
   void isolate() {
     CGAL_assertion(!is_isolated());
     this->ptr()->isolate();
   }
-  
+
   bool is_isolated() const {
     return this->ptr()->is_isolated();
   }
-  
+
   Bitstream_tree get_tree() const {
     return this->ptr()->get_tree();
   }
-  
+
   //! returns the degree of the gcd of f and its derivative, if known
   int degree_of_gcd() const {
     return this->ptr()->degree_of_gcd();
   }
-  
+
   //! returns the square free part of f, if known
   Polynomial square_free_part() const {
     return this->ptr()->square_free_part();
   }
-  
+
 };
 
 } // namespace internal
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_rndl_tree.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_rndl_tree.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_rndl_tree.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_rndl_tree.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_rndl_tree.h $
-// $Id: Bitstream_descartes_rndl_tree.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_rndl_tree.h $
+// $Id: Bitstream_descartes_rndl_tree.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Arno Eigenwillig <arno@mpi-inf.mpg.de>
 //
@@ -227,7 +227,7 @@ polynomial_power_to_bernstein_approx(
 
 // min/max number of variations in epsilon-sign
 template <class InputIterator, class UnaryFunction>
-void var_eps( 
+void var_eps(
         InputIterator first, InputIterator beyond,
         int& min_var, int& max_var,
         const UnaryFunction& sign_eps
@@ -393,7 +393,7 @@ de_casteljau_generic(
         while (rit2 != right_end) {
             ++rit1; ++rit2;
             combine.into_first(*rit1, *rit2);
-        } 
+        }
         right_end = rit1;
     }
 
@@ -498,7 +498,7 @@ namespace internal {
   typedef internal::Abs_le_pow2<Ceil_log2_abs_Integer> Abs_le_pow2;     \
   typedef internal::Sign_eps_log2<Integer, Abs_le_pow2, Sign>           \
   Sign_eps_log2                                                         \
-  
+
 // end #define
 
 // typedefs for Bitstream_descartes_rndl_tree{,_rep}
@@ -557,7 +557,7 @@ private:
         log_eps_       = n.log_eps_;
         log_C_eps_     = n.log_C_eps_;
     }
-  
+
     Self& operator= (const Self&)=delete;
 }; // struct Bitstream_descartes_rndl_node
 
@@ -724,7 +724,7 @@ public:
     Node_iterator chld_first, chld_beyond;
     while (it != T.end()) {
         if (T.max_var(it) == 1) {
-            cout << "found [" << T.lower(it) << ", " << T.upper(it) << "]\n"; 
+            cout << "found [" << T.lower(it) << ", " << T.upper(it) << "]\n";
             ++it;
         } else {
             T.subdivide(it, chld_first, chld_beyond);
@@ -939,7 +939,7 @@ public:
             this->ptr()->node_list_.erase(n);
         }
     }
-        
+
 
     /*! \brief construct from initial interval and coefficients
      *
@@ -964,10 +964,10 @@ public:
     {
         CGAL_precondition(lower_num < upper_num);
         init_tree();
-        
+
     }
 
-    /*! 
+    /*!
      * This is needed for compatibility with other tree implementations
      * The initial interval is
      *  [-1, 1] / 2^(\c -log_bdry_den ).
@@ -980,7 +980,7 @@ public:
             const BitstreamDescartesRndlTreeTraits& traits
                                         = BitstreamDescartesRndlTreeTraits()
     )
-        : Base(Rep(Integer(-1), Integer(1), -log_bdry_den, 
+        : Base(Rep(Integer(-1), Integer(1), -log_bdry_den,
                    first, beyond, tag, traits))
     {
         init_tree();
@@ -1083,9 +1083,9 @@ public:
      */
     void set_traits(TRAITS& traits) {
 
-      this->ptr()->approximator_ 
+      this->ptr()->approximator_
         = traits.approximator_object();
-      this->ptr()->lower_bound_log2_abs_ 
+      this->ptr()->lower_bound_log2_abs_
         = traits.lower_bound_log2_abs_object();
 
     }
@@ -1267,7 +1267,7 @@ Bitstream_descartes_rndl_tree<BitstreamD
         int children = 1;
         if (r_min_var > 0) {
             // create new node for right child
-            Node_iterator r = 
+            Node_iterator r =
                 this->ptr()->node_list_.insert(beyond, Node(degree(),
                             this->ptr()->splitpoint_num_,        // lower
                             n->upper_num_ << delta_log_bdry_den, // upper
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_rndl_tree_traits.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_rndl_tree_traits.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_rndl_tree_traits.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_rndl_tree_traits.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_rndl_tree_traits.h $
-// $Id: Bitstream_descartes_rndl_tree_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Bitstream_descartes_rndl_tree_traits.h $
+// $Id: Bitstream_descartes_rndl_tree_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Kerber <mkerber@mpi-inf.mpg.de>
 //
@@ -28,7 +28,7 @@
 #include <vector>
 
 #if CGAL_USE_CORE
-namespace CORE { class BigInt; } 
+namespace CORE { class BigInt; }
 #endif
 
 namespace CGAL {
@@ -36,20 +36,20 @@ namespace CGAL {
 namespace internal {
 
 #if CGAL_USE_CORE
-// bugfix for CORE by Michael Kerber 
+// bugfix for CORE by Michael Kerber
 // why is there a specialized function for CORE?
 inline CORE::BigInt shift_integer_by(CORE::BigInt x, long shift){
   if( shift > 0 ){
     while(shift>63) {
       x = (x >> 63);
       shift-=63;
-    }  
+    }
     x = (x >> shift);
   }else{
-    // add 0 bits 
-    x = (x << -shift);   
-  }   
-  return x; 
+    // add 0 bits
+    x = (x << -shift);
+  }
+  return x;
 }
 #endif
 
@@ -58,17 +58,17 @@ Shiftable shift_integer_by(Shiftable x,
   if( shift > 0 ){
     x >>= shift;
   }else{
-    x <<= -shift;  // adds 0 bits 
-  }   
-  return x; 
+    x <<= -shift;  // adds 0 bits
+  }
+  return x;
 }
 
 // forward
-template <typename BitstreamCoefficientKernel> 
+template <typename BitstreamCoefficientKernel>
 class Bitstream_descartes_rndl_tree_traits;
 
 
-template <class BitstreamCoefficientKernel> 
+template <class BitstreamCoefficientKernel>
 class Bitstream_descartes_rndl_tree_traits_rep {
 
 public:
@@ -77,14 +77,14 @@ public:
 
     Bitstream_descartes_rndl_tree_traits_rep
         (Bitstream_coefficient_kernel kernel)
-	: _m_kernel(kernel)
-    {	
-    } 
+        : _m_kernel(kernel)
+    {
+    }
 
-    Bitstream_descartes_rndl_tree_traits_rep() {} 
+    Bitstream_descartes_rndl_tree_traits_rep() {}
 
 private:
-    
+
     Bitstream_coefficient_kernel _m_kernel;
 
     friend class Bitstream_descartes_rndl_tree_traits
@@ -103,16 +103,16 @@ class Bitstream_descartes_rndl_tree_trai
 public:
     //! typedefs
     //! @{
-    
+
     typedef BitstreamCoefficientKernel Bitstream_coefficient_kernel;
 
     typedef typename Bitstream_coefficient_kernel::Coefficient Coefficient;
 
     typedef typename Bitstream_coefficient_kernel::Bigfloat_interval BFI;
-    typedef typename CGAL::Bigfloat_interval_traits<BFI>::Bound BF; 
-    
-    typedef typename 
-        CGAL::Polynomial_type_generator<Coefficient,1>::Type POLY; 
+    typedef typename CGAL::Bigfloat_interval_traits<BFI>::Bound BF;
+
+    typedef typename
+        CGAL::Polynomial_type_generator<Coefficient,1>::Type POLY;
     typedef  Bitstream_descartes_rndl_tree_traits
         < Bitstream_coefficient_kernel > Self;
 
@@ -121,7 +121,7 @@ public:
             <Bitstream_coefficient_kernel> >
         Base;
 
-    typedef typename Bitstream_coefficient_kernel::Integer  Integer; 
+    typedef typename Bitstream_coefficient_kernel::Integer  Integer;
     typedef typename Bitstream_coefficient_kernel::Bound Bound;
 
     //! @}
@@ -139,8 +139,8 @@ public:
     //! @{
 
     Bitstream_descartes_rndl_tree_traits(const Bitstream_coefficient_kernel& kernel)
-      : Base(kernel){} 
- 
+      : Base(kernel){}
+
     Bitstream_descartes_rndl_tree_traits()
       : Base(static_cast<const Base&>(get_default_instance())){}
 
@@ -148,27 +148,27 @@ public:
 #ifdef DOXYGEN_RUNNING
     Bitstream_descartes_rndl_tree_traits(const Self& traits)
       : Base(static_cast<const Base&>(traits)){}
-#endif  
+#endif
     //! @}
 
     class Approximator {
-        
+
     private:
-	
-	Bitstream_coefficient_kernel _m_kernel;
+
+        Bitstream_coefficient_kernel _m_kernel;
 
     public:
-	Approximator
-            (const Bitstream_coefficient_kernel& kernel) 
+        Approximator
+            (const Bitstream_coefficient_kernel& kernel)
             : _m_kernel(kernel) {};
 
-	Approximator() {};
+        Approximator() {};
 
         Integer operator() (Coefficient f, long p) {
 
             //std::cout << "Called approximator with f=" << f
             //          << " and p=" << p << std::endl;
-            
+
             typename CGAL::internal::Float_traits<BF>::Get_exponent get_exp;
             typename CGAL::internal::Float_traits<BF>::Get_mantissa get_m;
 
@@ -176,11 +176,11 @@ public:
             long prec = 4;
 
             BFI f_alpha_bfi;
-            
+
             while(true) {
-                
+
                 CGAL::set_precision(BFI(),prec);
-                
+
                 f_alpha_bfi = _m_kernel.convert_to_bfi_object()(f);
                 if(CGAL::singleton(f_alpha_bfi)) {
                     break;
@@ -191,27 +191,27 @@ public:
                 } else {
                     prec*=2;
                 }
-                
+
             }
 
             BF lower = CGAL::lower(f_alpha_bfi);
-                
-            long shift = - (p + get_exp(lower)); 
-            Integer bfi_m(get_m(lower)); 
+
+            long shift = - (p + get_exp(lower));
+            Integer bfi_m(get_m(lower));
             bfi_m = shift_integer_by(bfi_m,shift);
-           
-//             if( shift > 0 ){               
+
+//             if( shift > 0 ){
 //               while(shift>63) { // this is a bug fix HACK for CORE::BigInt
 //                  bfi_m = (bfi_m >> 63);
 //                  shift-=63;
 //                }
 //                bfi_m = (bfi_m >> shift);
 //             }else{
-//                 // add 0 bits 
-//                 bfi_m = (bfi_m << -shift);   
-//             }  
+//                 // add 0 bits
+//                 bfi_m = (bfi_m << -shift);
+//             }
             CGAL::set_precision(BFI(),old_prec);
-            
+
             //std::cout << "returns " << bfi_m << std::endl;
 
             return bfi_m;
@@ -226,19 +226,19 @@ public:
     class Lower_bound_log2_abs {
 
     private:
-	Bitstream_coefficient_kernel _m_kernel;
+        Bitstream_coefficient_kernel _m_kernel;
 
     public:
-	Lower_bound_log2_abs
-        (const Bitstream_coefficient_kernel& kernel) 
+        Lower_bound_log2_abs
+        (const Bitstream_coefficient_kernel& kernel)
             : _m_kernel(kernel) {}
-	
+
         Lower_bound_log2_abs() {};
 
-	long operator() (Coefficient f) {
-            //std::cout << "Called lower_bound_log2_abs with " 
+        long operator() (Coefficient f) {
+            //std::cout << "Called lower_bound_log2_abs with "
             //          << f << std::flush;
-          
+
             CGAL_assertion(! _m_kernel.is_zero_object()(f));
 
             long old_prec = CGAL::get_precision(BFI());
@@ -280,20 +280,20 @@ public:
         }
 
     };
-    
+
     Lower_bound_log2_abs lower_bound_log2_abs_object() const {
-	return Lower_bound_log2_abs(this->ptr()->_m_kernel);
+        return Lower_bound_log2_abs(this->ptr()->_m_kernel);
     }
 
 
     class Upper_bound_log2_abs_approximator {
 
     private:
-	Bitstream_coefficient_kernel _m_kernel;
+        Bitstream_coefficient_kernel _m_kernel;
 
-	// Stores id of polynomials which are known to vanish (or not to 
-	// vanish) at alpha
-	std::vector<Coefficient> zeroes,non_zeroes;
+        // Stores id of polynomials which are known to vanish (or not to
+        // vanish) at alpha
+        std::vector<Coefficient> zeroes,non_zeroes;
 
         std::vector<Coefficient> coeffs_for_alpha;
 
@@ -301,21 +301,21 @@ public:
         long prec;
 
     public:
-	Upper_bound_log2_abs_approximator
-        (const Bitstream_coefficient_kernel& kernel) 
+        Upper_bound_log2_abs_approximator
+        (const Bitstream_coefficient_kernel& kernel)
             : _m_kernel(kernel), prec(4)
         {}
 
         Upper_bound_log2_abs_approximator() : prec(4) {};
 
-	bool initial_upper_bound
+        bool initial_upper_bound
         (Coefficient f, long& ub_log2_abs,bool& is_certainly_zero) {
             return improve_upper_bound(f,ub_log2_abs,is_certainly_zero);
-	}
+        }
 
-	bool improve_upper_bound
+        bool improve_upper_bound
         (const Coefficient f, long& ub_log2_abs,bool& is_certainly_zero) {
-            //std::cout << "improve upper bound.." 
+            //std::cout << "improve upper bound.."
             // << f << std::endl;
 
             long old_prec = CGAL::get_precision(BFI());
@@ -354,12 +354,12 @@ public:
                 coeffs_for_alpha.clear();
             }
             coeffs_for_alpha.push_back(f);
-            
+
             BFI f_alpha_iv = _m_kernel.convert_to_bfi_object()(f);
-            
+
             BF abs_upper = (std::max)(CGAL::abs(CGAL::lower(f_alpha_iv)),
                                       CGAL::abs(CGAL::upper(f_alpha_iv)));
-            
+
             if(CGAL::sign(abs_upper)==CGAL::ZERO) {
                 is_certainly_zero=true;
                 CGAL::set_precision(BFI(),old_prec);
@@ -369,10 +369,10 @@ public:
             ub_log2_abs = CGAL::internal::ceil_log2_abs(abs_upper);
 
             if(! CGAL::zero_in(f_alpha_iv) ) {
-                
+
               BF abs_lower = (std::min)(CGAL::abs(CGAL::lower(f_alpha_iv)),
                                         CGAL::abs(CGAL::upper(f_alpha_iv)));
-                long lb_log2_abs 
+                long lb_log2_abs
                     = CGAL::internal::floor_log2_abs
                     (CGAL::convert_to_bfi(abs_lower));
                 CGAL_assertion(ub_log2_abs >= lb_log2_abs);
@@ -386,21 +386,21 @@ public:
             }
         }
     };
-    
-    Upper_bound_log2_abs_approximator 
+
+    Upper_bound_log2_abs_approximator
     upper_bound_log2_abs_approximator_object() const {
-	return Upper_bound_log2_abs_approximator(this->ptr()->_m_kernel);
+        return Upper_bound_log2_abs_approximator(this->ptr()->_m_kernel);
     }
 
 
     // TODO: Look whether this is best possible
     class Bound_creator {
-	
+
     public:
-	
-	Bound_creator() {}
-	
-	Bound operator() (Integer x,long p) {
+
+        Bound_creator() {}
+
+        Bound operator() (Integer x,long p) {
             Integer num=x, denom,two(2),q,r;
             if(p < 0) {
                 CGAL::div_mod(num,two,q,r);
@@ -416,12 +416,12 @@ public:
                 denom=1;
             }
             Bound b(num);
-	    b /= Bound(denom);
+            b /= Bound(denom);
             CGAL::simplify(b);
             return b;
-	} 
+        }
     };
-    
+
     typedef typename CGAL::Real_embeddable_traits<Integer>::Sgn Sign;
     typedef typename CGAL::internal::Real_embeddable_extension<Integer>
         ::Ceil_log2_abs Ceil_log2_abs_Integer;
@@ -429,7 +429,7 @@ public:
         ::Ceil_log2_abs Ceil_log2_abs_long;
 
 }; // end of class Bitstream_descartes_rndl_tree_traits
-    
+
 
 } // namespace internal
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/bound_between_1.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/bound_between_1.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/bound_between_1.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/bound_between_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/bound_between_1.h $
-// $Id: bound_between_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/bound_between_1.h $
+// $Id: bound_between_1.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 //
 // Author(s)     : Michael Kerber <mkerber@mpi-inf.mpg.de>
@@ -51,7 +51,7 @@ simple_bound_between(const Algebraic_rea
     //srb.start();
     typedef typename Algebraic_real::Rational Rational;
     typename CGAL::Fraction_traits<Rational>::Compose compose;
-    typedef typename 
+    typedef typename
         CGAL::Get_arithmetic_kernel<Rational>::Arithmetic_kernel AK;
     typedef typename AK::Bigfloat_interval Bigfloat_interval;
     typedef typename CGAL::Bigfloat_interval_traits<Bigfloat_interval>
@@ -64,7 +64,7 @@ simple_bound_between(const Algebraic_rea
     if(a>b) {
       return simple_bound_between(b,a);
     }
-      
+
     //std::cout << "Intermediate1: " << CGAL::to_double(a) << " " << CGAL::to_double(b) << std::endl;
     /*
      * First, refine a and b until their isolating intervals are disjoint
@@ -89,7 +89,7 @@ simple_bound_between(const Algebraic_rea
     //srb_b.start();
     Bigfloat x=CGAL::upper(CGAL::convert_to_bfi(a.high()));
     Bigfloat y=CGAL::lower(CGAL::convert_to_bfi(b.low()));
-    
+
     if(x>=y) {
         Rational size_a=a.high() - a.low(),
             size_b=b.high() - b.low(),
@@ -110,7 +110,7 @@ simple_bound_between(const Algebraic_rea
                     y=CGAL::lower(CGAL::convert_to_bfi(b.low()));
                 } else {
                     a.refine();
-                    size_a=a.high()-a.low();    
+                    size_a=a.high()-a.low();
                     x=CGAL::upper(CGAL::convert_to_bfi(a.high()));
                 }
                 size_max = size_a>size_b ? size_a : size_b;
@@ -118,7 +118,7 @@ simple_bound_between(const Algebraic_rea
             }
         }
     }
-    CGAL_assertion(x<y); 
+    CGAL_assertion(x<y);
 
     //srb_b.stop();
     //std::cout << "Intermediate2: " << x << " " << y << std::endl;
@@ -130,8 +130,8 @@ simple_bound_between(const Algebraic_rea
     Integer x_m = mantissa(x), y_m=mantissa(y);
     long x_e = exponent(x), y_e = exponent(y);
     //std::cout << "Floats1: " << x_m << " " << x_e << " and " << y_m << " " << y_e << std::endl;
-    
-    
+
+
     if (((x_m > 0) && (y_m < 0)) || ((x_m < 0) && (y_m > 0))) {
         //srb.stop();
         return Rational(0);
@@ -173,7 +173,7 @@ simple_bound_between(const Algebraic_rea
     }
     //srb_d.stop();
     CGAL_assertion(y_e==x_e && x_e==min_e);
-    CGAL_assertion(x_m < y_m); 
+    CGAL_assertion(x_m < y_m);
     //std::cout << "Floats4: " << x_m << " " << x_e << " and " << y_m << " " << y_e << std::endl;
 
     // Avoid mantissas to have difference one
@@ -190,7 +190,7 @@ simple_bound_between(const Algebraic_rea
     long x_log = x_m==Integer(0) ? -1 : CGAL::internal::floor_log2_abs(x_m),
         y_log = y_m==Integer(0) ? -1 : CGAL::internal::floor_log2_abs(y_m),
         old_log = y_log;
-    //std::cout << x_log << " < " << y_log << std::endl;  
+    //std::cout << x_log << " < " << y_log << std::endl;
     while(x_log==y_log) {
         //std::cout << "here" << std::endl;
         while(old_log > y_log) {
@@ -250,7 +250,7 @@ simple_bound_between(const Algebraic_rea
     return rat_between;
 }
 
-	  
+
 } // namespace internal
 
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/construct_binary.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/construct_binary.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/construct_binary.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/construct_binary.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/construct_binary.h $
-// $Id: construct_binary.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/construct_binary.h $
+// $Id: construct_binary.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //
@@ -33,23 +33,23 @@ namespace CGAL {
 
 namespace internal {
 
-// Generic construct_binary function, using ipower 
+// Generic construct_binary function, using ipower
 template< class Integer >
 inline void construct_binary( const Integer& e, Integer& x ) {
     CGAL_precondition( e >= 0 );
     Integer exponent(e);
     x = Integer(1);
-    
+
     const Integer max_ipower = (exponent > Integer((std::numeric_limits<int>::max)())) ?
-      CGAL::ipower( Integer(2), (std::numeric_limits<int>::max)() ) : 
+      CGAL::ipower( Integer(2), (std::numeric_limits<int>::max)() ) :
                 Integer(0);
-    
+
     while( exponent > Integer((std::numeric_limits<int>::max)()) ) {
         x *= max_ipower;
-        exponent -= Integer((std::numeric_limits<int>::max)());    
+        exponent -= Integer((std::numeric_limits<int>::max)());
     }
-    
-    x *= CGAL::ipower( Integer(2), (int)CGAL::to_double(exponent) );    
+
+    x *= CGAL::ipower( Integer(2), (int)CGAL::to_double(exponent) );
 }
 
 template< class Integer, class Rational >
@@ -57,7 +57,7 @@ inline void construct_binary( const Inte
        Integer den(1), num;
        if(e>0) {
           construct_binary( e, num );
-          num *= m;          
+          num *= m;
        }
        else {
           num = m;
@@ -67,22 +67,22 @@ inline void construct_binary( const Inte
 }
 
 // Specialization for LEDA
-    
+
 #ifdef CGAL_USE_LEDA
-    
+
     // Constructs 2^e from an integer e. Needed in Descartes
     inline void construct_binary(const ::leda::integer& e, ::leda::integer& x) {
        typedef ::leda::integer  Integer;
        x = Integer(1) << e.to_long();
     }
-    
+
     // Constructs m*2^e from two integers m,e. Needed in Descartes
     inline void construct_binary(const ::leda::integer& m, const ::leda::integer& e,
                   ::leda::rational& x) {
-                    
+
        typedef ::leda::integer  Integer;
        typedef ::leda::rational Rational;
-    
+
        Integer den(1);
        Integer num(m);
        if(e>0) {
@@ -99,19 +99,19 @@ inline void construct_binary( const Inte
 // Specialization for CORE
 
 #ifdef CGAL_USE_CORE
-    
+
     // Constructs 2^e from an integer e. Needed in Descartes
     inline void construct_binary(const ::CORE::BigInt& e, ::CORE::BigInt& x) {
        typedef ::CORE::BigInt Integer;
        x = Integer(1) << ::CORE::ulongValue(e);
     }
-    
+
     // Constructs m*2^e from two integers m,e. Needed in Descardes
-    inline void construct_binary(const ::CORE::BigInt& m, const ::CORE::BigInt& e, 
+    inline void construct_binary(const ::CORE::BigInt& m, const ::CORE::BigInt& e,
                   ::CORE::BigRat& x) {
        typedef ::CORE::BigInt Integer;
        typedef ::CORE::BigRat Rational;
-      
+
        Integer den(1);
        Integer num(m);
        if(e>0) {
@@ -122,7 +122,7 @@ inline void construct_binary( const Inte
        }
        x = Rational(num, den);
     }
-    
+
 #endif // CGAL_USE_CORE
 
 } // namespace internal
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Curve_analysis_2.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Curve_analysis_2.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Curve_analysis_2.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Curve_analysis_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Curve_analysis_2.h $
-// $Id: Curve_analysis_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Curve_analysis_2.h $
+// $Id: Curve_analysis_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Kerber <mkerber@mpi-inf.mpg.de>
 //
@@ -59,35 +59,35 @@
 
 namespace CGAL {
 
-template<typename AlgebraicKernelWithAnalysis_2, 
+template<typename AlgebraicKernelWithAnalysis_2,
          typename Rep_>
 class Curve_analysis_2;
 
 namespace internal {
 
-template<typename Comparable,bool has_template_typedefs> 
+template<typename Comparable,bool has_template_typedefs>
   struct Is_derived_from_Handle_with_policy {
     typedef boost::false_type Tag;
 };
-  
-template<typename Comparable> 
+
+template<typename Comparable>
   struct Is_derived_from_Handle_with_policy<Comparable,true> {
 
     typedef typename
       boost::is_base_of< CGAL::Handle_with_policy
                              < typename Comparable::T,
-			       typename Comparable::Handle_policy,
+                               typename Comparable::Handle_policy,
                                typename Comparable::Allocator >,
-                         Comparable 
+                         Comparable
                        >::type Tag;
 };
 
 
-template<typename Comparable,typename Tag> struct Compare_for_vert_line_map_ 
+template<typename Comparable,typename Tag> struct Compare_for_vert_line_map_
     {
       bool operator() (const Comparable& a, const Comparable& b) const {
-	return a<b;
-      }	
+        return a<b;
+      }
 };
 
 template<typename Comparable>
@@ -100,7 +100,7 @@ template<typename Comparable>
 
 template<typename Comparable> struct Compare_for_vert_line_map
   : public CGAL::cpp98::binary_function<Comparable,Comparable,bool> {
-    
+
   BOOST_MPL_HAS_XXX_TRAIT_DEF(T)
   BOOST_MPL_HAS_XXX_TRAIT_DEF(Handle_policy)
   BOOST_MPL_HAS_XXX_TRAIT_DEF(Allocator)
@@ -110,7 +110,7 @@ template<typename Comparable> struct Com
       has_T<Comparable>::value &&
       has_Handle_policy<Comparable>::value &&
       has_Allocator<Comparable>::value>::Tag Tag;
-  
+
   public:
 
   bool operator() (const Comparable& a, const Comparable& b) const {
@@ -119,9 +119,9 @@ template<typename Comparable> struct Com
   }
 
   private:
-    
+
   Compare_for_vert_line_map_<Comparable,Tag> eval;
-  
+
 
 };
 
@@ -136,27 +136,27 @@ public:
 
     //! the class itself
     typedef Curve_analysis_2_rep Self;
-    
+
     //! The handle class
     typedef CGAL::Curve_analysis_2
         <Algebraic_kernel_with_analysis_2,Self> Handle;
-    
+
     //protected:
 public:
 
     typedef int size_type;
-    
+
     CGAL_ACK_SNAP_ALGEBRAIC_CURVE_KERNEL_2_TYPEDEFS(Handle);
 
-    typedef std::map< Bound, Status_line_1 > 
+    typedef std::map< Bound, Status_line_1 >
     Vert_line_at_rational_map;
-    
-    typedef 
-    std::map< Algebraic_real_1, 
-              Status_line_1, 
+
+    typedef
+    std::map< Algebraic_real_1,
+              Status_line_1,
               internal::Compare_for_vert_line_map<Algebraic_real_1> >
     Vert_line_map;
-    
+
     //!\name Constructors
     //!@{
 
@@ -164,17 +164,17 @@ public:
     Curve_analysis_2_rep()
     {
     }
-    
+
     //! Constructor with polynomial
     Curve_analysis_2_rep(Algebraic_kernel_with_analysis_2 *kernel,
-                         Polynomial_2 poly, 
-                         CGAL::Degeneracy_strategy strategy) :  
+                         Polynomial_2 poly,
+                         CGAL::Degeneracy_strategy strategy) :
         _m_kernel(kernel), f(poly), degeneracy_strategy(strategy)
     {
     }
-    
+
     //!@}
-    
+
 private:
 
     typedef internal::LRU_hashed_map<
@@ -184,9 +184,9 @@ private:
 
     Intermediate_cache intermediate_cache;
 
-    typedef internal::Event_line_builder<Algebraic_kernel_with_analysis_2> 
+    typedef internal::Event_line_builder<Algebraic_kernel_with_analysis_2>
         Event_line_builder;
-    
+
 
     // Internal information struct about x-coordinates
     struct Event_coordinate_1 {
@@ -200,7 +200,7 @@ private:
         size_type index_of_prim_lcoeff_root;
         boost::optional<Status_line_1> stack;
     };
-    
+
     // Functor to get the X_coordinate of an Event_coordinate
     struct Val_functor {
         typedef Event_coordinate_1 argument_type;
@@ -212,7 +212,7 @@ private:
 
 
     //! The object holding the information about events, as an optional
-    mutable boost::optional<std::vector<Event_coordinate_1> > 
+    mutable boost::optional<std::vector<Event_coordinate_1> >
         event_coordinates;
 
     //! The algebraic kernel to use
@@ -233,19 +233,19 @@ private:
      * only without vertical line components.
      */
     mutable boost::optional<Polynomial_2> f_primitive;
-    
+
     //! the polynomial containing all roots of the resultant of the primitive
     //! part of f and its y-derivative
-    mutable boost::optional<Polynomial_1> 
+    mutable boost::optional<Polynomial_1>
         resultant_of_primitive_and_derivative_y;
 
     //! the polynomial containing all roots of the resultant of the primitive
     //! part of f and its x-derivative
-    mutable boost::optional<Polynomial_1> 
+    mutable boost::optional<Polynomial_1>
         resultant_of_primitive_and_derivative_x;
 
     //! The Sturm-Habicht polynomials of f
-    mutable boost::optional<std::vector<Polynomial_2> > 
+    mutable boost::optional<std::vector<Polynomial_2> >
         sturm_habicht_of_primitive;
 
     //! The content of f
@@ -261,16 +261,16 @@ private:
     mutable boost::optional<bool> has_vertical_component;
 
     //! The intermediate values
-    mutable boost::optional<std::vector<boost::optional<Bound> > > 
+    mutable boost::optional<std::vector<boost::optional<Bound> > >
     intermediate_values;
 
     //! stores Y_values at rational coordinate
     mutable Vert_line_at_rational_map vert_line_at_rational_map;
-    
+
     //! stores vert_lines
     mutable Vert_line_map vert_line_map;
 
-    /**! \brief Information about whether arcs at +/- infty 
+    /**! \brief Information about whether arcs at +/- infty
      *   are asymptotic to y=beta,
      *   or go to +/- infty also in y-direction
      */
@@ -286,54 +286,54 @@ private:
 
 
 /*!
- * \brief Analysis for algebraic curves of arbitrary degree. 
+ * \brief Analysis for algebraic curves of arbitrary degree.
  *
  * This class constitutes a model for the concept
  * AlgebraicKernelWithAnalysis_d_2::CurveAnalysis_2.
  * For a square-free bivariate polynomial \c f, a topologic-geometrical
  * analysis of the algebraic curve defined by the vanishing set of \c f
  * is provided. This means, one can ask for the total number, and the position
- * of the critical x-coordinates of the curve, and for each x-coordinate, 
+ * of the critical x-coordinates of the curve, and for each x-coordinate,
  * geometric information about the curve can be obtained. This data
  * is capsuled into an object of type \c Curve_analysis_2::Status_line_1,
  * which is in fact a \c Status_line_CA_1 object.
  *
  * The restriction to square-free curves is a weak one, since the curves
- * can be made square-free before passed to the analysis. 
+ * can be made square-free before passed to the analysis.
  * The \c Construct_curve_2 functor of \c Algebraic_curve_kernel_2 is
  * doing so, thus it accepts arbitrary bivariate polynomials.
  *
  * The analysis is implemented in a "lazy" fashion. This means, when
  * created, the analysis delays all computations until the information
  * is queried for the first time. This means, if only parts of the curves
- * are of interest, only a partial analysis is performed. 
+ * are of interest, only a partial analysis is performed.
  * We remark that nevertheless, the global \e projection \e step
  * (i.e., computing the (sub)resultants) must be done once a \c Status_line_1
  * is queried. Often, this step forms the bottleneck in the whole computation.
  *
  * For more details of the algorithm, consult the reference:
- * A.Eigenwillig, M.Kerber, N.Wolpert: Fast and Exact Geometric Analysis of 
- * Real Algebraic Plane Curves. Proceedings of the International Symposium 
+ * A.Eigenwillig, M.Kerber, N.Wolpert: Fast and Exact Geometric Analysis of
+ * Real Algebraic Plane Curves. Proceedings of the International Symposium
  * on Symbolic and Algebraic Computation (ISSAC 2007), pp. 151-158
  */
-template<typename AlgebraicKernelWithAnalysis_2, 
-  typename Rep_ 
-   = internal::Curve_analysis_2_rep< AlgebraicKernelWithAnalysis_2> 
+template<typename AlgebraicKernelWithAnalysis_2,
+  typename Rep_
+   = internal::Curve_analysis_2_rep< AlgebraicKernelWithAnalysis_2>
 >
 class Curve_analysis_2 : public ::CGAL::Handle_with_policy< Rep_ > {
-  
+
     //! \name typedefs
     //! @{
 
 public:
     //! this instance' first template parameter
     typedef AlgebraicKernelWithAnalysis_2 Algebraic_kernel_with_analysis_2;
-  
+
     //! this instance' second template parameter
     typedef Rep_ Rep;
 
 private:
-  
+
     //! The internal type for event coordinates
     typedef typename Rep::Event_coordinate_1 Event_coordinate_1;
 
@@ -342,15 +342,15 @@ private:
 
     // Base class
     typedef ::CGAL::Handle_with_policy<Rep> Base;
-    
+
     // This type
     typedef CGAL::Curve_analysis_2<Algebraic_kernel_with_analysis_2,Rep> Self;
-    
+
 public:
 
     //! Indexing type
     typedef typename Rep::size_type size_type;
-    
+
     CGAL_ACK_SNAP_ALGEBRAIC_CURVE_KERNEL_2_TYPEDEFS(Self);
 
     //! Required by the CurveKernel_2 concept
@@ -382,7 +382,7 @@ private:
 public:
 
     //! Type to represent points on curves
-    typedef typename Algebraic_kernel_with_analysis_2::Algebraic_real_2 
+    typedef typename Algebraic_kernel_with_analysis_2::Algebraic_real_2
       Algebraic_real_2;
 
     //! Required by the CurveKernel_2 concept
@@ -397,7 +397,7 @@ private:
 
     //! \name Helping structs
     // @{
-    
+
     struct Event_functor {
         Event_functor(const Self* curve) : curve(curve) {}
         const Self* curve;
@@ -436,18 +436,18 @@ public:
     //! @{
 
     //! Iterator type for status lines at events
-    typedef boost::transform_iterator<Event_functor, 
-                              boost::counting_iterator<size_type> > 
+    typedef boost::transform_iterator<Event_functor,
+                              boost::counting_iterator<size_type> >
     Event_line_iterator;
 
     //! Iterator type for status lines of intervals
-    typedef boost::transform_iterator<Intermediate_functor, 
-                              boost::counting_iterator<size_type> > 
+    typedef boost::transform_iterator<Intermediate_functor,
+                              boost::counting_iterator<size_type> >
     Intermediate_line_iterator;
 
     //! Iterator type for the principal sturm habicht coefficients of the curve
-    typedef boost::transform_iterator<Stha_functor, 
-                              boost::counting_iterator<size_type> > 
+    typedef boost::transform_iterator<Stha_functor,
+                              boost::counting_iterator<size_type> >
     Principal_sturm_habicht_iterator;
 
     //! @}
@@ -455,31 +455,31 @@ public:
 public:
 
     //!\name Constructors
-    //!@{  
-      
+    //!@{
+
     //! Default constructor, constructs an empty and invalid curve analysis
     Curve_analysis_2() :Base(Rep()) {
     }
 
-    /*! 
+    /*!
      * \brief Constructs the curve analysis for the given polynomial
      *
      * Analyses the curve that is defined by the vanishing set of the
-     * polynomial \c f. 
+     * polynomial \c f.
      * \pre \c f is square free.
-     * \param strategy The default strategy 
+     * \param strategy The default strategy
      * (\c SHEAR_ONLY_AT_IRRATIONAL_STRATEGY)
      * is to \c shear the curve
      * if a degenerate situation is detected during the analysis,
      * except at rational x-coordinates where the curve can be analysed
      * more directly. The analysis
      * is then performed in  the sheared system, and finally translated back
-     * into the original system. 
+     * into the original system.
      * Using \c SHEAR_STRATEGY, a shear is triggered also for degeneracies
      * at rational x-coordinate. With both strategies, it is guaranteed that
      * the analysis works successfully for any square free input curve.
      * On the other hand, the EXCEPTION_STRATEGY throws an exception of type
-     * \c internal::Zero_resultant_exception<Polynomial_2>, 
+     * \c internal::Zero_resultant_exception<Polynomial_2>,
      * instead of performing a shear.
      *
      * \Todo Currently the defualt strategy has been changed to SHEAR_STRATEGY
@@ -489,7 +489,7 @@ public:
     explicit Curve_analysis_2(Algebraic_kernel_with_analysis_2 *kernel,
                               const Polynomial_2& f,
                               CGAL::Degeneracy_strategy strategy
-                                  = CGAL_ACK_DEFAULT_DEGENERACY_STRATEGY) 
+                                  = CGAL_ACK_DEFAULT_DEGENERACY_STRATEGY)
         : Base(Rep(kernel,f,strategy))
     {
 
@@ -498,7 +498,7 @@ public:
     //! \brief Copy constructor
 #ifdef DOXYGEN_RUNNING
     Curve_analysis_2(const Self& alg_curve)
-        : Base(static_cast<const Base&>(alg_curve)) 
+        : Base(static_cast<const Base&>(alg_curve))
     {
     }
 #endif
@@ -523,11 +523,11 @@ private:
                          InputIterator1 event_end,
                          InputIterator2 intermediate_begin,
                          InputIterator2 CGAL_precondition_code(intermediate_end)) const {
-        
+
         if(! this->ptr()->event_coordinates) {
-            
+
             std::vector<Event_coordinate_1> event_coordinate_vector;
-            
+
             for(InputIterator1 it = event_begin; it != event_end; it++) {
                 Event_coordinate_1 curr_event;
                 curr_event.val = it->x();
@@ -539,7 +539,7 @@ private:
 
         InputIterator1 it1 = event_begin;
         for(size_type i = 0; i < number_of_status_lines_with_event() ; i++ ) {
-            this->ptr()->vert_line_map[event_coordinates()[i].val] = *it1; 
+            this->ptr()->vert_line_map[event_coordinates()[i].val] = *it1;
             event_coordinates()[i].stack = *it1;
 
             it1++;
@@ -547,26 +547,26 @@ private:
         CGAL_assertion(it1 == event_end);
 
         if(! this->ptr()->intermediate_values) {
-            this->ptr()->intermediate_values 
+            this->ptr()->intermediate_values
                 = std::vector<boost::optional<Bound> >
                     (number_of_status_lines_with_event()+1);
         }
 
         InputIterator2 it2 = intermediate_begin;
-        for(size_type i = 0; 
-            i < static_cast<int>(intermediate_values().size()); 
+        for(size_type i = 0;
+            i < static_cast<int>(intermediate_values().size());
             i++,it2++) {
-            
+
             CGAL_assertion(it2->x().is_rational());
             Bound q = it2->x().rational();
-            
+
             intermediate_values()[i] = q;
             this->ptr()->vert_line_map[it2->x()] = *it2;
             this->ptr()->vert_line_at_rational_map[q] = *it2;
-            
+
         }
         CGAL_assertion(it2 == intermediate_end);
-        
+
     }
 
 public:
@@ -576,9 +576,9 @@ public:
     bool has_defining_polynomial() const {
         return bool(this->ptr()->f);
     }
-        
+
 public:
-    
+
     /*! \brief Sets the defining polynomial.
      *
      * \pre The object has no defining polynomial yet.
@@ -594,9 +594,9 @@ public:
 
 public:
 
-    /*! 
+    /*!
      * \brief Returns whether the curve is y-regular
-     * 
+     *
      * A curve is called y-regular if the leading coefficient of its defining
      * polynomial wrt y is a constant, i.e., contains no x
      */
@@ -608,7 +608,7 @@ public:
 #endif
         return CGAL::degree(CGAL::leading_coefficient(polynomial_2())) == 0;
     }
-    
+
 public:
 
     /*!
@@ -624,10 +624,10 @@ public:
         }
 #endif
         if(is_y_regular()) {
-	    this->ptr()->has_vertical_component = false;
+            this->ptr()->has_vertical_component = false;
         }
         if(! this->ptr()->has_vertical_component) {
-            // This is computed as side effect 
+            // This is computed as side effect
             // when the event coordinates are computed
             event_coordinates();
             CGAL_assertion(this->ptr()->has_vertical_component);
@@ -645,7 +645,7 @@ public:
 
 public:
 
-    /*! 
+    /*!
      * \brief Returns the number of event lines of the curve
      *
      * Algebraically, the number of real roots of the discriminant of
@@ -660,13 +660,13 @@ public:
 #endif
         return static_cast<size_type>(event_coordinates().size());
     }
-      
+
 public:
 
-    /*! 
+    /*!
      * \brief Returns whether the given x-coordinate is critical for the curve
      * and which event or interval index the x-coordinate belongs to.
-     * 
+     *
      * \param is_event is set to \c true if the curve has an event
      * at this x-coordinate, or in other words, if the discriminant of its
      * defining polynomial vanishes at \c x
@@ -682,14 +682,14 @@ public:
         CGAL_precondition(has_defining_polynomial());
         typename Rep::Val_functor xval;
         i = static_cast<size_type>(std::lower_bound(
-                ::boost::make_transform_iterator(event_coordinates().begin(), 
+                ::boost::make_transform_iterator(event_coordinates().begin(),
                                                  xval),
                 ::boost::make_transform_iterator(event_coordinates().end(),
                                                  xval),
                 x
-        ) - ::boost::make_transform_iterator(event_coordinates().begin(), 
+        ) - ::boost::make_transform_iterator(event_coordinates().begin(),
                                              xval));
-        is_event = (i < static_cast<size_type>(event_coordinates().size()) && 
+        is_event = (i < static_cast<size_type>(event_coordinates().size()) &&
                     (event_coordinates()[i].val == x) );
     }
 
@@ -705,21 +705,21 @@ public:
         }
 #endif
         CGAL_precondition_code(
-                size_type n = 
+                size_type n =
                 static_cast<size_type>(event_coordinates().size());
         );
         CGAL_precondition(i>=0 && i<n);
         if(! event_coordinates()[i].stack) {
             Status_line_1 event_line = create_status_line_at_event(i);
-            this->ptr()->vert_line_map[event_coordinates()[i].val] 
-                = event_line; 
+            this->ptr()->vert_line_map[event_coordinates()[i].val]
+                = event_line;
             event_coordinates()[i].stack = event_line;
         }
         CGAL_postcondition(event_coordinates()[i].stack.get().is_event());
         return event_coordinates()[i].stack.get();
     }
-    
-public:    
+
+public:
 
     //! Returns a status line at the rational <tt>x</tt>-coordinate \c b
     Status_line_1& status_line_at_exact_x(Bound b) const {
@@ -738,38 +738,38 @@ private:
      * is not an event of the curve
      *
      * This function controls the internal cache that stores already created
-     * status line at non-events. 
+     * status line at non-events.
      */
-    Status_line_1& status_line_at_exact_non_event_x(Algebraic_real_1 alpha) 
+    Status_line_1& status_line_at_exact_non_event_x(Algebraic_real_1 alpha)
         const {
 
         if(alpha.is_rational()) {
-            
+
             typename Rep::Vert_line_at_rational_map::iterator it =
                 this->ptr()->vert_line_at_rational_map.find
                 (alpha.rational());
-            
+
             if (it != this->ptr()->vert_line_at_rational_map.end()) {
                 CGAL_assertion(!it->second.is_event());
                 return it->second;
             }
         }
-        
+
         typename Rep::Vert_line_map::iterator it =
             this->ptr()->vert_line_map.find(alpha);
-        
+
         if (it != this->ptr()->vert_line_map.end()) {
             CGAL_assertion(!it->second.is_event());
             return it->second;
         }
-        
-        
+
+
         // Not stored yet, so create it and store it
-        Status_line_1 cvl 
+        Status_line_1 cvl
             = create_status_line_at_non_event(alpha);
         CGAL_assertion(!cvl.is_event());
         this->ptr()->vert_line_map[alpha] = cvl;
-        
+
         if(alpha.is_rational()) {
             this->ptr()->vert_line_at_rational_map[alpha.rational()] = cvl;
         }
@@ -797,21 +797,21 @@ public:
     }
 
 private:
-    
+
     // Creates a status line for the curve's <tt>index</tt>th critical point
-    Status_line_1 create_status_line_at_event(size_type index) const 
+    Status_line_1 create_status_line_at_event(size_type index) const
       {
 
         Event_coordinate_1& event = event_coordinates()[index];
-        
+
         Algebraic_real_1 x = event.val;
-        
+
         try {
-            
+
             Event_coordinate_1& event = event_coordinates()[index];
-        
+
             Algebraic_real_1 x = event.val;
-            
+
 #if CGAL_ACK_SHEAR_ALL_NOT_Y_REGULAR_CURVES
             if(event.mult_of_prim_lcoeff_root > 0) {
                 throw CGAL::internal::Non_generic_position_exception();
@@ -823,9 +823,9 @@ private:
                     throw CGAL::internal::Non_generic_position_exception();
                 }
             }
-        
+
 #endif
-        
+
 #if CGAL_ACK_DEBUG_FLAG
             double ev_approx = CGAL::to_double(x);
             CGAL_ACK_DEBUG_PRINT << (index+1) << "th line: "
@@ -833,29 +833,29 @@ private:
                                  << ev_approx
                                  << ".."
                                  << std::flush;
-#endif	
-            size_type left_arcs 
+#endif
+            size_type left_arcs
                 = status_line_for_x(x,CGAL::NEGATIVE).number_of_events();
-            size_type right_arcs 
+            size_type right_arcs
                 = status_line_for_x(x,CGAL::POSITIVE).number_of_events();
-        
+
             bool root_of_resultant=(event.mult_of_prim_res_root>0);
             bool root_of_content=(event.mult_of_content_root>0);
-        
+
             size_type mult_of_resultant  = event.mult_of_prim_res_root;
 
 /*
 #if CGAL_ACK_DEBUG_FLAG
-            CGAL_ACK_DEBUG_PRINT << "Event line for " << index << " " 
-                                 << root_of_resultant << " " 
-                                 << root_of_content << " " 
-                                 << mult_of_resultant << " " 
-                                 << left_arcs << " " << right_arcs 
+            CGAL_ACK_DEBUG_PRINT << "Event line for " << index << " "
+                                 << root_of_resultant << " "
+                                 << root_of_content << " "
+                                 << mult_of_resultant << " "
+                                 << left_arcs << " " << right_arcs
                                  << std::endl;
 #endif
 */
 
-            Status_line_1 ev_line 
+            Status_line_1 ev_line
                 = event_line_builder().create_event_line(index,
                                                          x,
                                                          left_arcs,
@@ -863,7 +863,7 @@ private:
                                                          root_of_resultant,
                                                          root_of_content,
                                                          mult_of_resultant);
-        
+
             event.stack = ev_line;
 
 #if CGAL_ACK_DEBUG_FLAG
@@ -877,17 +877,17 @@ private:
                 throw CGAL::internal::Non_generic_position_exception();
                 break;
             }
-	    // Feature does not working atm
+            // Feature does not working atm
             case(CGAL::SHEAR_ONLY_AT_IRRATIONAL_STRATEGY): {
-	      CGAL_error_msg("Currently not supported");
-	      /*
-	      if(x.is_rational()) {
+              CGAL_error_msg("Currently not supported");
+              /*
+              if(x.is_rational()) {
                     return create_non_generic_event_at_rational(x,index);
                 }
-                // FALL INTO NEXT CASE                    
-	      */
+                // FALL INTO NEXT CASE
+              */
             }
-	    case(CGAL::SHEAR_STRATEGY): {
+            case(CGAL::SHEAR_STRATEGY): {
                 return create_non_generic_event_with_shear(index);
                 break;
             }
@@ -902,8 +902,8 @@ private:
 
 private:
 
-    /* 
-     * \brief Method to create a status line using shear and backshear 
+    /*
+     * \brief Method to create a status line using shear and backshear
      *
      * Note that this methods creates <b>all</b> event lines of the object
      * at once, and stores them in the object.
@@ -919,7 +919,7 @@ private:
             try {
                 s = shear_controller.get_shear_factor();
 #if CGAL_ACK_DEBUG_FLAG
-                CGAL_ACK_DEBUG_PRINT << "Trying shear factor " 
+                CGAL_ACK_DEBUG_PRINT << "Trying shear factor "
                                      << s << std::endl;
 #endif
                 // TODO: Move shear somewhere else
@@ -927,7 +927,7 @@ private:
                        CGAL::internal::shear
                            (primitive_polynomial_2(),Coefficient(s)),
                        CGAL::EXCEPTION_STRATEGY);
-                Shear_transformation< Algebraic_kernel_with_analysis_2 > 
+                Shear_transformation< Algebraic_kernel_with_analysis_2 >
                     shear_transformation(kernel());
                 shear_transformation.report_sheared_disc_roots
                     (boost::make_transform_iterator(
@@ -935,26 +935,26 @@ private:
                              typename Rep::Val_functor()),
                      boost::make_transform_iterator(
                              event_coordinates().end(),
-                             typename Rep::Val_functor()) 
+                             typename Rep::Val_functor())
                     );
-              
+
                 // Store the sheared curve for later use
                 this->ptr()->sheared_curves.insert(std::make_pair(s,D));
                 shear_transformation(D,-s,(Self&)*this,false);
                 set_vertical_line_components();
-                
+
                 break;
             }
             catch(CGAL::internal::Non_generic_position_exception /* err */) {
 
                 shear_controller.report_failure(s);
 #if CGAL_ACK_DEBUG_FLAG
-                CGAL_ACK_DEBUG_PRINT << "Bad shear factor, retrying..." 
+                CGAL_ACK_DEBUG_PRINT << "Bad shear factor, retrying..."
                                      << std::endl;
 #endif
             }
         }
-        
+
         return status_line_at_event(index);
     }
 
@@ -968,26 +968,26 @@ private:
      * the square free part of the defining polynomial at this position.
      *
      * COMMENTED OUT
-     
+
     Status_line_1 create_non_generic_event_at_rational(Algebraic_real_1 x,
                                                        size_type index) const {
 
-        
+
 #if CGAL_ACK_DEBUG_FLAG
-        CGAL_ACK_DEBUG_PRINT << "Non-generic, rational position x = " 
+        CGAL_ACK_DEBUG_PRINT << "Non-generic, rational position x = "
                              << CGAL::to_double(x)
                              << std::flush;
 #endif
-        
+
         CGAL_precondition(x.is_rational());
         Bound r = x.rational();
 
-	Polynomial_1 f_at_x = kernel()->evaluate_utcf_2_object()
-	  (typename Polynomial_traits_2::Swap()
-	      (primitive_polynomial_2(),0, 1),
-	   r);
-        
-        f_at_x_sq_free 
+        Polynomial_1 f_at_x = kernel()->evaluate_utcf_2_object()
+          (typename Polynomial_traits_2::Swap()
+              (primitive_polynomial_2(),0, 1),
+           r);
+
+        f_at_x_sq_free
             = typename CGAL::Polynomial_traits_d<typename FT::Numerator_type>
                 ::Make_square_free() (f_at_x);
 
@@ -995,9 +995,9 @@ private:
         Bitstream_traits traits(coeff_kernel);
 
         // We need to make an artificial bivariate polynomial
-        typedef typename 
+        typedef typename
             CGAL::Polynomial_traits_d<typename FT::Numerator_type>
-            ::template Rebind<typename FT::Numerator_type,1>::Other::Type 
+            ::template Rebind<typename FT::Numerator_type,1>::Other::Type
             Poly_coer_num_2;
 
         std::vector<typename FT::Numerator_type> coeffs;
@@ -1009,7 +1009,7 @@ private:
         Bitstream_descartes isolator(CGAL::internal::Square_free_descartes_tag(),
                                      f_at_x_ext,
                                      traits);
-        
+
         // Now adjacencies
         std::vector<Bound> bucket_borders;
 
@@ -1033,73 +1033,73 @@ private:
                          Algebraic_real_1(isolator.left_bound(i)))
                 );
             }
-            
+
             bucket_borders.push_back(
                     CGAL::internal::bound_right_of
                         (kernel(),
-			 Algebraic_real_1(isolator.right_bound(n-1))));
+                         Algebraic_real_1(isolator.right_bound(n-1))));
         }
 
         Bound left = bound_value_in_interval(index);
         Bound right = bound_value_in_interval(index+1);
-        
+
         typedef boost::numeric::interval<Coercion_type> Coercion_interval;
 
         typename Coercion::Cast cast;
 
         for(int i = 0; i < static_cast<int>(bucket_borders.size()); i++) {
-            
-            Poly_coer_1 curr_pol 
+
+            Poly_coer_1 curr_pol
                 =  primitive_polynomial_2().evaluate(bucket_borders[i]);
-            
-	    CGAL::internal::Interval_evaluate_1
-	      <Poly_coer_1,Bound>
-	      interval_evaluate_1;
+
+            CGAL::internal::Interval_evaluate_1
+              <Poly_coer_1,Bound>
+              interval_evaluate_1;
 
             while(true) {
-	      std::pair<Bound,Bound> curr_interval_pair 
+              std::pair<Bound,Bound> curr_interval_pair
                   = interval_evaluate_1(curr_pol,std::make_pair(left,right));
-	      Coercion_interval curr_interval(curr_interval_pair.first,
-					      curr_interval_pair.second);
+              Coercion_interval curr_interval(curr_interval_pair.first,
+                                              curr_interval_pair.second);
 
-	      if(boost::numeric::in_zero(curr_interval)) {
-		// "refine"
-		Bound middle = (left+right)/2;
-		if(middle==r) {
-		  left=(left+middle)/2;
-		  right = (right+middle)/2;
-		} else if(middle>r) {
-		  right=middle;
-		} else {
-		  left=middle;
-		}
-	      } else {
-		break;
-	      }
+              if(boost::numeric::in_zero(curr_interval)) {
+                // "refine"
+                Bound middle = (left+right)/2;
+                if(middle==r) {
+                  left=(left+middle)/2;
+                  right = (right+middle)/2;
+                } else if(middle>r) {
+                  right=middle;
+                } else {
+                  left=middle;
+                }
+              } else {
+                break;
+              }
             }
         }
 
-        Status_line_1 left_line 
+        Status_line_1 left_line
             = status_line_at_exact_non_event_x(Algebraic_real_1(left)),
-            right_line 
+            right_line
             = status_line_at_exact_non_event_x(Algebraic_real_1(right));
-        
+
         int n_left = left_line.number_of_events();
         int n_right = right_line.number_of_events();
-        
+
         std::vector<int> left_arcs(bucket_borders.size()+1),
             right_arcs(bucket_borders.size()+1);
-        
+
         for(unsigned int i=0;i<left_arcs.size();i++) {
             left_arcs[i]=0;
         }
         for(unsigned int i=0;i<right_arcs.size();i++) {
             right_arcs[i]=0;
         }
-        
+
         int curr_index=0;
         for(int i=0; i < n_left; i++) {
-            
+
             while(true) {
                 if(curr_index==static_cast<int>(bucket_borders.size())) {
                     left_arcs[curr_index]++;
@@ -1118,7 +1118,7 @@ private:
         }
         curr_index=0;
         for(int i=0; i < n_right; i++) {
-            
+
             while(true) {
                 if(curr_index==static_cast<int>(bucket_borders.size())) {
                     right_arcs[curr_index]++;
@@ -1136,14 +1136,14 @@ private:
             }
 
         }
-        
+
         typename Status_line_1::Arc_container arc_container;
-        
+
         for(int i = 0; i < n; i++) {
             arc_container.push_back(std::make_pair(left_arcs[i+1],
                                                    right_arcs[i+1]));
         }
-        
+
         Status_line_1 status_line(x,index,*this,n_left,n_right,arc_container);
 
         status_line._set_number_of_branches_approaching_infinity
@@ -1166,8 +1166,8 @@ private:
 
 public:
 
-    /*! 
-     * \brief Returns the status line for the interval 
+    /*!
+     * \brief Returns the status line for the interval
      * preceeding the <tt>i</tt>th event
      *
      * Returns a status line for a reference x-coordinate of the <tt>i</tt>th
@@ -1177,23 +1177,23 @@ public:
     Status_line_1 status_line_of_interval(size_type i) const
     {
         CGAL_precondition(i >= 0 && i <= number_of_status_lines_with_event());
-      
+
 #if CGAL_ACK_USE_SPECIAL_TREATMENT_FOR_CONIX
         if(CGAL::degree(polynomial_2(),1)==2) {
             return this->conic_status_line_of_interval(i);
         }
 #endif
-  
+
         Bound b = bound_value_in_interval(i);
-        
-        Status_line_1 intermediate_line 
+
+        Status_line_1 intermediate_line
             = status_line_at_exact_non_event_x(Algebraic_real_1(b));
 
         CGAL_postcondition(! intermediate_line.is_event());
 
         return intermediate_line;
     }
-    
+
 
 public:
 
@@ -1208,8 +1208,8 @@ public:
      * the status line for the event is returned. Otherwise, the status line
      * for the left or right neighboring interval is returned, depending
      * on whether \c perturb is set to \c CGAL::NEGATIVE or \c CGAL::POSITIVE.
-     * If \c x is not an event, \c perturb has no effect. 
-     */ 
+     * If \c x is not an event, \c perturb has no effect.
+     */
     Status_line_1 status_line_for_x(Algebraic_real_1 x,
                                     CGAL::Sign perturb = CGAL::ZERO) const
     {
@@ -1227,7 +1227,7 @@ public:
                 return status_line_at_event(i);
             if(perturb == CGAL::POSITIVE)
                 i++;
-        } 
+        }
         return status_line_of_interval(i);
     }
 
@@ -1239,13 +1239,13 @@ private:
      *
      * It is required that none of the following situations occurs at position
      * <tt>ar</tt>: singularity, vertical tangent line, vertical asymptote.\n
-     * Otherwise, the method might run into an infinite loop. 
-     * 
+     * Otherwise, the method might run into an infinite loop.
+     *
      * \param index if set to -1, the interval containing \c ar is computed
      * within the method, and the index of the status line is set accordingly.
      */
     Status_line_1
-    create_status_line_at_non_event(Algebraic_real_1 ar, int index = -1) 
+    create_status_line_at_non_event(Algebraic_real_1 ar, int index = -1)
         const {
 
         if(index==-1) {
@@ -1255,13 +1255,13 @@ private:
         }
         CGAL_assertion(index>=0);
 
-        // TODO .. delay creation of refinement object 
+        // TODO .. delay creation of refinement object
         // especially when ar is rational
-        
+
         Bitstream_coefficient_kernel coeff_kernel(kernel(),ar);
         Bitstream_traits traits(coeff_kernel);
 
-        Bitstream_descartes 
+        Bitstream_descartes
             bitstream_descartes(CGAL::internal::Square_free_descartes_tag(),
                                 primitive_polynomial_2(),
                                 traits);
@@ -1270,7 +1270,7 @@ private:
 
         Status_line_1 status_line(ar, index, *this, root_number);
         status_line.set_isolator(bitstream_descartes);
-        
+
         CGAL_assertion(! status_line.is_event());
 
         return status_line;
@@ -1284,13 +1284,13 @@ private:
     * Note: So far, a new instance is created each time the function is called
     */
     Event_line_builder event_line_builder() const {
-        
+
         return Event_line_builder(kernel(), *this, primitive_polynomial_2());
     }
 
 public:
 
-    /*! 
+    /*!
      * \brief Number of arcs over the given interval
      *
      * Shortcut for <tt>status_line_of_interval(i).number_of_events()</tt>
@@ -1303,7 +1303,7 @@ public:
         }
 #endif
         CGAL_assertion_code(
-                size_type n 
+                size_type n
                     = static_cast<size_type>(intermediate_values().size());
         );
         CGAL_precondition(i>=0 && i<=n);
@@ -1312,7 +1312,7 @@ public:
 
 public:
 
-    /*! 
+    /*!
      * \brief Rational number in the <tt>i</tt>th interval between events
      *
      * The result of this method is taken as the reference x-coordinate
@@ -1324,7 +1324,7 @@ public:
             return this->conic_bound_value_in_interval(i);
         }
 #endif
-        CGAL_assertion(i>=0 && 
+        CGAL_assertion(i>=0 &&
                        i < static_cast<size_type>
                            (intermediate_values().size()));
         if(! intermediate_values()[i]) {
@@ -1334,19 +1334,19 @@ public:
                 intermediate_values()[0]=Bound(0);
             } else {
                 if(i==0) {
-                    intermediate_values()[i] 
-		      = bound_left_of(kernel(),event_coordinates()[i].val);
+                    intermediate_values()[i]
+                      = bound_left_of(kernel(),event_coordinates()[i].val);
                 } else if(i == static_cast<size_type>
                               (event_coordinates().size())) {
-                    intermediate_values()[i] 
+                    intermediate_values()[i]
                         = bound_right_of
-		      (kernel(),event_coordinates()[i-1].val);
-                    
+                      (kernel(),event_coordinates()[i-1].val);
+
                 } else {
                     intermediate_values()[i]
-		      = kernel()->bound_between_1_object()
-		      (event_coordinates()[i-1].val,
-		       event_coordinates()[i].val);
+                      = kernel()->bound_between_1_object()
+                      (event_coordinates()[i-1].val,
+                       event_coordinates()[i].val);
                 }
             }
         }
@@ -1356,7 +1356,7 @@ public:
 
 public:
 
-    /*! 
+    /*!
      * Returns the content of the defining polynomial
      *
      * The content is the gcd of its coefficients (the polynomial is considered
@@ -1376,9 +1376,9 @@ public:
 
 public:
 
-    /*! 
+    /*!
      * Returns the primitive part of the defining polynomial
-     * 
+     *
      * The primitive part of \c f is the \c f divided by its content.
      */
     Polynomial_2 primitive_polynomial_2() const {
@@ -1407,12 +1407,12 @@ private:
 #if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "Computing the content..." << std::flush;
 #endif
-        this->ptr()->content 
+        this->ptr()->content
             = typename CGAL::Polynomial_traits_d< Polynomial_2 >::
                 Univariate_content_up_to_constant_factor()( polynomial_2() );
         if(CGAL::degree(content())==0) {
 #if CGAL_ACK_DEBUG_FLAG
-            CGAL_ACK_DEBUG_PRINT << "no vertical lines as components" 
+            CGAL_ACK_DEBUG_PRINT << "no vertical lines as components"
                                  << std::endl;
 #endif
             this->ptr()->f_primitive=polynomial_2();
@@ -1425,7 +1425,7 @@ private:
             CGAL_assertion( typename CGAL::Polynomial_traits_d< Polynomial_1 >
                             ::Is_square_free()(content()));
             this->ptr()->f_primitive=polynomial_2() / content();
-	    
+
         }
 
     }
@@ -1433,23 +1433,23 @@ private:
 private:
 
     //! Returns the Sturm-Habicht sequence of the primitive part of f
-    std::vector<Polynomial_2>& sturm_habicht_of_primitive() const 
+    std::vector<Polynomial_2>& sturm_habicht_of_primitive() const
       {
         if(! this->ptr()->sturm_habicht_of_primitive) {
             compute_sturm_habicht_of_primitive();
-        }  
+        }
         return this->ptr()->sturm_habicht_of_primitive.get();
     }
 
-public: 
+public:
 
-    /*! 
-     * \brief Returns the <tt>i</tt>th Sturm-Habicht polynomial 
+    /*!
+     * \brief Returns the <tt>i</tt>th Sturm-Habicht polynomial
      * of the primitive part of the defining polynomial
      */
-    Polynomial_2 sturm_habicht_of_primitive(size_type i) const 
+    Polynomial_2 sturm_habicht_of_primitive(size_type i) const
       {
-        CGAL_assertion(i>=0 && 
+        CGAL_assertion(i>=0 &&
                     i < static_cast<size_type>
                        (sturm_habicht_of_primitive().size()));
         return sturm_habicht_of_primitive()[i];
@@ -1457,13 +1457,13 @@ public:
 
 public:
 
-    /*! 
+    /*!
      * \brief Returns the <tt>i</tt>th principal Sturm-Habicht coefficient
      * of the primitive part of the defining polynomial
      */
     Polynomial_1 principal_sturm_habicht_of_primitive(size_type i) const
       {
-        CGAL_assertion(i>=0 && 
+        CGAL_assertion(i>=0 &&
                     i < static_cast<size_type>
                        (sturm_habicht_of_primitive().size()));
 
@@ -1476,7 +1476,7 @@ public:
 
 public:
 
-    /*! 
+    /*!
      * \brief Returns the <tt>i</tt>th coprincipal Sturm-Habicht coefficient
      * of the primitive part of the defining polynomial
      *
@@ -1485,7 +1485,7 @@ public:
      */
     Polynomial_1 coprincipal_sturm_habicht_of_primitive(size_type i) const
       {
-        CGAL_assertion(i>=1 && 
+        CGAL_assertion(i>=1 &&
                     i < static_cast<size_type>
                        (sturm_habicht_of_primitive().size()));
         CGAL_assertion(CGAL::degree(sturm_habicht_of_primitive()[i])<=i);
@@ -1497,7 +1497,7 @@ public:
 
 public:
 
-    /*! 
+    /*!
      * \brief Returns an iterator to the principal Sturm-Habicht coefficients,
      * starting with the <tt>0</tt>th one (the resultant)
      */
@@ -1520,19 +1520,19 @@ private:
     // Internal method to compute the Sturm-Habicht sequence
     void compute_sturm_habicht_of_primitive() const
       {
-        
+
 #if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "Compute Sturm-Habicht.." << std::flush;
 #endif
         std::vector<Polynomial_2> stha;
-        
+
         // Fix a problem for constant primitive part.
         // In this case, the St.-Ha. sequence is never needed
         if(CGAL::degree(primitive_polynomial_2()) == 0) {
             // Set the resultant
             stha.push_back(primitive_polynomial_2());
         } else {
-            
+
 #if CGAL_ACK_USE_BEZOUT_MATRIX_FOR_SUBRESULTANTS
 #warning USES BEZOUT MATRIX FOR SUBRESULTANTS
             CGAL::internal::bezout_polynomial_subresultants<Polynomial_traits_2>
@@ -1549,7 +1549,7 @@ private:
                     stha[i] = -stha[i];
                 }
             }
-            
+
 #else
             typename Polynomial_traits_2::Sturm_habicht_sequence()
                 (primitive_polynomial_2(),std::back_inserter(stha));
@@ -1564,12 +1564,12 @@ private:
                     (polynomial_2());
             }
         }
-        
+
         this->ptr()->sturm_habicht_of_primitive = stha;
         CGAL_assertion(CGAL::canonicalize
-		       (resultant_of_primitive_and_derivative_y()) == 
+                       (resultant_of_primitive_and_derivative_y()) ==
                        CGAL::canonicalize
-		       (principal_sturm_habicht_of_primitive(0)));
+                       (principal_sturm_habicht_of_primitive(0)));
 #if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "done" << std::endl;
 #endif
@@ -1601,7 +1601,7 @@ private:
     // Computes <tt>res_y(f,f_y)</tt>, where \c f is the defining polynomial
     void compute_resultant_of_primitive_and_derivative_y() const
       {
-  
+
 #if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "Compute resultant.." << std::flush;
 #endif
@@ -1612,24 +1612,24 @@ private:
 #ifndef CGAL_ACK_RESULTANT_FIRST_STRATEGY_DEGREE_THRESHOLD
         bool speed_up = true;
 #else
-        bool speed_up=CGAL::degree(polynomial_2()) >= 
+        bool speed_up=CGAL::degree(polynomial_2()) >=
             CGAL_ACK_RESULTANT_FIRST_STRATEGY_DEGREE_THRESHOLD;
 #endif
 #else
         bool speed_up=false;
 #endif
-        
+
         if(CGAL::degree(polynomial_2()) == 0) {
-	    this->ptr()->resultant_of_primitive_and_derivative_y 
+            this->ptr()->resultant_of_primitive_and_derivative_y
                 = Polynomial_1(1);
         } else {
-            
+
             if(! speed_up) {
-                
+
                 // Compute resultant using the Sturm-Habicht sequence
-                this->ptr()->resultant_of_primitive_and_derivative_y 
+                this->ptr()->resultant_of_primitive_and_derivative_y
                     = principal_sturm_habicht_of_primitive(0);
-        
+
             } else {
                 typename Polynomial_traits_2::Differentiate diff;
                 this->ptr()->resultant_of_primitive_and_derivative_y
@@ -1649,11 +1649,11 @@ private:
                 (polynomial_2());
         }
     }
-    
+
     // Computes <tt>res_y(f,f_x)</tt>, where \c f is the defining polynomial
     void compute_resultant_of_primitive_and_derivative_x() const
       {
-        
+
 #if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "Compute x-resultant.." << std::flush;
 #endif
@@ -1661,19 +1661,19 @@ private:
         CGAL_assertion(has_defining_polynomial());
 
         // Transpose the polynomial
-        Polynomial_2 f_yx = typename Polynomial_traits_2::Swap() 
+        Polynomial_2 f_yx = typename Polynomial_traits_2::Swap()
             (polynomial_2(),0,1);
 
         if( CGAL::degree(f_yx) == 0 ) {
             // Polynomial only consists of horizontal lines
             // primitive resultant is set to 1
-            this->ptr()->resultant_of_primitive_and_derivative_x 
+            this->ptr()->resultant_of_primitive_and_derivative_x
                 = Polynomial_1(1);
         } else {
-            
+
             Polynomial_2 f_yx_primitive;
-            
-            Polynomial_1 content_yx 
+
+            Polynomial_1 content_yx
                 = typename CGAL::Polynomial_traits_d< Polynomial_2 >::
                     Univariate_content_up_to_constant_factor()( f_yx );
             if(CGAL::degree(content_yx)==0) {
@@ -1684,16 +1684,16 @@ private:
                     (typename CGAL::Polynomial_traits_d< Polynomial_1 >::
                          Is_square_free()(content_yx));
                 f_yx_primitive=f_yx / content_yx;
-                
+
             }
-            
+
             this->ptr()->resultant_of_primitive_and_derivative_x
                 = CGAL::resultant
                 (typename Polynomial_traits_2::Swap() (f_yx_primitive,0,1),
-                 typename Polynomial_traits_2::Swap() 
+                 typename Polynomial_traits_2::Swap()
                     (CGAL::differentiate(f_yx_primitive),0,1) );
         }
-        
+
 #if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "done" << std::endl;
 #endif
@@ -1721,7 +1721,7 @@ private:
 private:
 
     // Returns the intermediate values for intervals between events
-    std::vector<boost::optional<Bound> >& intermediate_values() const 
+    std::vector<boost::optional<Bound> >& intermediate_values() const
       {
         if(! this->ptr()->intermediate_values) {
             // This is created during event_coordiantes()
@@ -1743,13 +1743,13 @@ private:
      */
     void compute_event_coordinates() const
       {
-         
+
 #if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "compute events..." << std::flush;
 #endif
-         
+
         Solve_1 solve_1;
-         
+
         std::vector<std::pair<Algebraic_real_1,size_type> > content_pairs;
         std::vector<Algebraic_real_1> content_roots;
         std::vector<size_type> content_mults;
@@ -1760,7 +1760,7 @@ private:
             content_roots.push_back(content_pairs[i].first);
             content_mults.push_back(content_pairs[i].second);
         }
-        
+
         // Set the vertical_line_components flag as side effect
         this->ptr()->has_vertical_component = (content_roots.size() > 0);
 
@@ -1769,7 +1769,7 @@ private:
         std::vector<size_type> res_mults;
         Polynomial_1 R = resultant_of_primitive_and_derivative_y();
         solve_1(R,std::back_inserter(res_pairs));
-        
+
         for(int i=0; i < static_cast<int>(res_pairs.size()); i++ ) {
             res_roots.push_back(res_pairs[i].first);
             res_mults.push_back(res_pairs[i].second);
@@ -1785,10 +1785,10 @@ private:
             lcoeff_roots.push_back(lcoeff_pairs[i].first);
             lcoeff_mults.push_back(lcoeff_pairs[i].second);
         }
-        
+
 
         //Now, merge the vertical line positions with the resultant roots
-        typename 
+        typename
             CGAL::Real_embeddable_traits<Algebraic_real_1>::Compare compare;
 
         std::vector<Algebraic_real_1> event_values;
@@ -1803,50 +1803,50 @@ private:
              std::back_inserter(event_values_info),
              compare);
 
-        // Now, build the Event_coordinate_1 entries 
+        // Now, build the Event_coordinate_1 entries
         // for each element of event_values
-        size_type curr_res_index = 0, curr_content_index = 0, 
+        size_type curr_res_index = 0, curr_content_index = 0,
             curr_lcoeff_index = 0;
         std::vector<Event_coordinate_1> event_coordinate_vector;
 
-        for(size_type i = 0; 
-            i < static_cast<size_type>(event_values.size()); 
+        for(size_type i = 0;
+            i < static_cast<size_type>(event_values.size());
             i++ ) {
-            
+
             Event_coordinate_1 curr_event;
             curr_event.val = event_values[i];
             switch(event_values_info[i]) {
-            
+
             case(CGAL::internal::ROOT_OF_FIRST_SET): {
                 curr_event.index_of_prim_res_root = curr_res_index;
-                CGAL_expensive_assertion(res_roots[curr_res_index] == 
+                CGAL_expensive_assertion(res_roots[curr_res_index] ==
                                          event_values[i]);
-                curr_event.mult_of_prim_res_root 
+                curr_event.mult_of_prim_res_root
                     = res_mults[curr_res_index];
                 curr_res_index++;
-                if(curr_lcoeff_index < 
+                if(curr_lcoeff_index <
                    static_cast<size_type>(lcoeff_roots.size()) &&
                    event_values[i]==lcoeff_roots[curr_lcoeff_index]) {
                     // We have a root of the leading coefficient
                     // of the primitve polynomial
                     curr_event.index_of_prim_lcoeff_root = curr_lcoeff_index;
-                    curr_event.mult_of_prim_lcoeff_root 
+                    curr_event.mult_of_prim_lcoeff_root
                         = lcoeff_mults[curr_lcoeff_index];
                     curr_lcoeff_index++;
                 } else {
                     curr_event.index_of_prim_lcoeff_root = -1;
                     curr_event.mult_of_prim_lcoeff_root = 0;
                 }
-                
+
                 curr_event.index_of_content_root = -1;
                 curr_event.mult_of_content_root = 0;
                 break;
             }
             case(CGAL::internal::ROOT_OF_SECOND_SET): {
                 curr_event.index_of_content_root = curr_content_index;
-                CGAL_expensive_assertion(content_roots[curr_content_index] == 
+                CGAL_expensive_assertion(content_roots[curr_content_index] ==
                                          event_values[i]);
-                curr_event.mult_of_content_root 
+                curr_event.mult_of_content_root
                     = content_mults[curr_content_index];
                 curr_content_index++;
                 curr_event.index_of_prim_res_root = -1;
@@ -1859,18 +1859,18 @@ private:
             }
             case(CGAL::internal::ROOT_OF_BOTH_SETS): {
                 curr_event.index_of_prim_res_root = curr_res_index;
-                CGAL_expensive_assertion(res_roots[curr_res_index] == 
+                CGAL_expensive_assertion(res_roots[curr_res_index] ==
                                          event_values[i]);
-                curr_event.mult_of_prim_res_root 
+                curr_event.mult_of_prim_res_root
                     = res_mults[curr_res_index];
                 curr_res_index++;
-                if(curr_lcoeff_index < 
+                if(curr_lcoeff_index <
                    static_cast<size_type>(lcoeff_roots.size()) &&
                    event_values[i]==lcoeff_roots[curr_lcoeff_index]) {
                     // We have a root of the leading coefficient
                     // of the primitve polynomial
                     curr_event.index_of_prim_lcoeff_root = curr_lcoeff_index;
-                    curr_event.mult_of_prim_lcoeff_root 
+                    curr_event.mult_of_prim_lcoeff_root
                         = lcoeff_mults[curr_lcoeff_index];
                     curr_lcoeff_index++;
                 } else {
@@ -1878,18 +1878,18 @@ private:
                     curr_event.mult_of_prim_lcoeff_root = 0;
                 }
                 curr_event.index_of_content_root = curr_content_index;
-                CGAL_expensive_assertion(content_roots[curr_content_index] == 
+                CGAL_expensive_assertion(content_roots[curr_content_index] ==
                                          event_values[i]);
-                curr_event.mult_of_content_root 
+                curr_event.mult_of_content_root
                     = content_mults[curr_content_index];
                 curr_content_index++;
                 break;
             }
             } // of switch
-            /*           
+            /*
 #if CGAL_ACK_DEBUG_FLAG
-            CGAL_ACK_DEBUG_PRINT << "Constructed event_coordinate: " 
-                                 << CGAL::to_double(curr_event.val) << " " 
+            CGAL_ACK_DEBUG_PRINT << "Constructed event_coordinate: "
+                                 << CGAL::to_double(curr_event.val) << " "
                                  << "\nmult_of_prim_res_root : "
                                  << curr_event.mult_of_prim_res_root
                                  << "\nindex_of_prim_res_root : "
@@ -1907,36 +1907,36 @@ private:
             */
             event_coordinate_vector.push_back(curr_event);
         }
-        
 
-        CGAL_assertion(curr_lcoeff_index == 
+
+        CGAL_assertion(curr_lcoeff_index ==
                        static_cast<size_type>(lcoeff_roots.size()));
-        CGAL_assertion(curr_res_index == 
+        CGAL_assertion(curr_res_index ==
                        static_cast<size_type>(res_roots.size()));
-        CGAL_assertion(curr_content_index == 
+        CGAL_assertion(curr_content_index ==
                        static_cast<size_type>(content_roots.size()));
 
-        this->ptr()->intermediate_values 
+        this->ptr()->intermediate_values
             = std::vector<boost::optional<Bound> >
             (event_coordinate_vector.size()+1);
         this->ptr()->event_coordinates = event_coordinate_vector;
-      
+
 #if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "done" << std::endl;
 #endif
 
     }
 
-public:    
+public:
 
-    /*! 
+    /*!
      * \brief Returns a \c Curve_analysis_2 object for a sheared curve.
      *
      * The shear factor is given by the integer \c s.
      * This functions only shears the primitive part of the defining equation.
      * Internal caching is used to avoid repeated shears.
      *
-     * \todo The sheared curves are not inserted into the curve_cache 
+     * \todo The sheared curves are not inserted into the curve_cache
      * of the Algebraic_curve_kernel_2 yet.
      */
     Self& shear_primitive_part(Integer s) const
@@ -1951,14 +1951,14 @@ public:
            this->ptr()->bad_shears.end()) {
             throw CGAL::internal::Non_generic_position_exception();
         }
-        typedef typename std::map<Integer,Self>::iterator 
+        typedef typename std::map<Integer,Self>::iterator
             Map_iterator;
         Map_iterator it = this->ptr()->sheared_curves.find(s);
         if(it != this->ptr()->sheared_curves.end()) {
             return it->second;
         }
         try {
-            Shear_transformation<Algebraic_kernel_with_analysis_2> 
+            Shear_transformation<Algebraic_kernel_with_analysis_2>
                 shear_transformation(kernel());
             Self D=shear_transformation((Self&)*this, s);
             std::pair<Map_iterator,bool> insertion =
@@ -1971,7 +1971,7 @@ public:
             throw CGAL::internal::Non_generic_position_exception();
         }
     }
-    
+
 public:
 
     //! Iterator for sheared curves
@@ -1984,21 +1984,21 @@ public:
         return this->ptr()->sheared_curves.end();
     }
 
-private:	
-  
+private:
+
     // Sets the flag for vertical lines in all status lines that need it
     void set_vertical_line_components() const {
-        for(size_type i = 0; 
-            i < static_cast<size_type>(event_coordinates().size()); 
+        for(size_type i = 0;
+            i < static_cast<size_type>(event_coordinates().size());
             i++ ) {
-            
+
             if(event_coordinates()[i].mult_of_content_root > 0) {
                 status_line_at_event(i)._set_v_line();
             }
         }
-         
+
     }
-    
+
 
 public:
 
@@ -2064,7 +2064,7 @@ public:
     }
 
 public:
-   
+
     //! \brief Iterator for the status lines for intervals
     Intermediate_line_iterator intermediate_begin() const {
         return boost::make_transform_iterator
@@ -2084,19 +2084,19 @@ public:
     /*!
      * \brief Returns the limit an infinite arc converges to
      *
-     * \pre <tt>loc==CGAL::LEFT_BOUNDARY || 
+     * \pre <tt>loc==CGAL::LEFT_BOUNDARY ||
      *          loc==CGAL::RIGHT_BOUNDARY</tt>
      *
      * This method returns for the <tt>arcno</tt>th arc that goes to -infinity
      * or +infinity (depending on \c loc) the y-coordinate it converges to.
      * Possible values are either a \c Algebraic_real_1 object, or one of the
      * values \c CGAL::TOP_BOUNDARY, \c CGAL::BOTTOM_BOUNDARY
-     * that denote that the arc is unbounded in y-direction. 
+     * that denote that the arc is unbounded in y-direction.
      * The result is wrapped into a \c CGAL::Object object.
      */
     Asymptote_y asymptotic_value_of_arc(CGAL::Box_parameter_space_2 loc,
                                         size_type arcno) const {
-        
+
         CGAL_precondition(loc == CGAL::LEFT_BOUNDARY ||
                           loc == CGAL::RIGHT_BOUNDARY);
 
@@ -2105,15 +2105,15 @@ public:
             return this->conic_asymptotic_value_of_arc(loc,arcno);
         }
 #endif
-        
+
         if(loc == CGAL::LEFT_BOUNDARY) {
-            
+
             if(! this->ptr()->horizontal_asymptotes_left) {
                 compute_horizontal_asymptotes();
             }
-            std::vector<Asymptote_y>& asym_info 
+            std::vector<Asymptote_y>& asym_info
                 = this->ptr()->horizontal_asymptotes_left.get();
-            CGAL_precondition(arcno>=0 && 
+            CGAL_precondition(arcno>=0 &&
                               arcno<static_cast<size_type>(asym_info.size()));
             return asym_info[arcno];
         } // else loc == CGAL::RIGHT_BOUNDARY
@@ -2121,12 +2121,12 @@ public:
         if(! this->ptr()->horizontal_asymptotes_right) {
             compute_horizontal_asymptotes();
         }
-        std::vector<Asymptote_y>& asym_info 
+        std::vector<Asymptote_y>& asym_info
             = this->ptr()->horizontal_asymptotes_right.get();
-        CGAL_precondition(arcno>=0 && 
+        CGAL_precondition(arcno>=0 &&
                           arcno<static_cast<size_type>(asym_info.size()));
         return asym_info[arcno];
-        
+
     }
 
 
@@ -2134,24 +2134,24 @@ private:
 
     // Internal method to compute horizontal asymptotes
     void compute_horizontal_asymptotes() const {
-      
+
         // TODO: Filter out curves with no arc to +/- infty
 
         Solve_1 solve_1 = kernel()->solve_1_object();
 
-        Polynomial_1 leading_coefficient_in_x 
-            = CGAL::leading_coefficient(typename Polynomial_traits_2::Swap() 
+        Polynomial_1 leading_coefficient_in_x
+            = CGAL::leading_coefficient(typename Polynomial_traits_2::Swap()
                                         (polynomial_2(),0,1));
         std::vector<Algebraic_real_1> roots_of_lcoeff;
-        
+
         solve_1(leading_coefficient_in_x,
                 std::back_inserter(roots_of_lcoeff),
                 false);
-        
+
 
         std::vector<Bound> stripe_bounds;
         find_intermediate_values(kernel(),
-				 roots_of_lcoeff.begin(),
+                                 roots_of_lcoeff.begin(),
                                  roots_of_lcoeff.end(),
                                  std::back_inserter(stripe_bounds));
         Bound leftmost_bound = bound_value_in_interval(0),
@@ -2159,36 +2159,36 @@ private:
                 (this->number_of_status_lines_with_event());
         for(size_type i=0;i<static_cast<size_type>(stripe_bounds.size());i++) {
             Bound& beta = stripe_bounds[i];
-            Polynomial_1 poly_at_beta 
-	      = kernel()->evaluate_utcf_2_object()(this->polynomial_2(),beta);
+            Polynomial_1 poly_at_beta
+              = kernel()->evaluate_utcf_2_object()(this->polynomial_2(),beta);
             std::vector<Algebraic_real_1> x_coordinates_at_beta;
             solve_1(poly_at_beta,std::back_inserter(x_coordinates_at_beta),
                     false);
-            size_type number_of_roots 
+            size_type number_of_roots
                 = static_cast<size_type>(x_coordinates_at_beta.size());
             if(number_of_roots>0) {
                 if(leftmost_bound > x_coordinates_at_beta[0].low()) {
                     leftmost_bound = x_coordinates_at_beta[0].low();
                 }
-                if(rightmost_bound 
+                if(rightmost_bound
                    < x_coordinates_at_beta[number_of_roots-1].high()) {
-                    rightmost_bound 
+                    rightmost_bound
                         = x_coordinates_at_beta[number_of_roots-1].high();
                 }
-            }     
+            }
         }
-        
+
         // Just to be sure...
         leftmost_bound = leftmost_bound - 1;
         rightmost_bound = rightmost_bound + 1;
 
-        Polynomial_1 curve_at_left_end 
-	= kernel()->evaluate_utcf_2_object()
-	  (typename Polynomial_traits_2::Swap() (this->polynomial_2(),0,1),
-	   leftmost_bound);
+        Polynomial_1 curve_at_left_end
+        = kernel()->evaluate_utcf_2_object()
+          (typename Polynomial_traits_2::Swap() (this->polynomial_2(),0,1),
+           leftmost_bound);
         std::vector<Algebraic_real_1> roots_at_left_end;
         solve_1(curve_at_left_end,std::back_inserter(roots_at_left_end),false);
-        size_type number_of_roots_at_left_end 
+        size_type number_of_roots_at_left_end
             = static_cast<size_type>(roots_at_left_end.size());
         std::vector<Asymptote_y> asym_left_info;
         size_type current_stripe=0,i=0;
@@ -2202,7 +2202,7 @@ private:
             if(roots_at_left_end[i].low() > stripe_bounds[current_stripe]) {
                 current_stripe++;
                 continue;
-            }        
+            }
             if(roots_at_left_end[i].high() < stripe_bounds[current_stripe]) {
                 if(current_stripe==0) {
                     asym_left_info.push_back(CGAL::make_object
@@ -2219,14 +2219,14 @@ private:
             roots_at_left_end[i].refine();
         }
         this->ptr()->horizontal_asymptotes_left = asym_left_info;
-         
-        Polynomial_1 curve_at_right_end 
-	= kernel()->evaluate_utcf_2_object()
-  	    (typename Polynomial_traits_2::Swap() (this->polynomial_2(),0,1),
+
+        Polynomial_1 curve_at_right_end
+        = kernel()->evaluate_utcf_2_object()
+              (typename Polynomial_traits_2::Swap() (this->polynomial_2(),0,1),
              rightmost_bound);
         std::vector<Algebraic_real_1> roots_at_right_end;
         solve_1(curve_at_right_end,std::back_inserter(roots_at_right_end),false);
-        size_type number_of_roots_at_right_end 
+        size_type number_of_roots_at_right_end
             = static_cast<size_type>(roots_at_right_end.size());
         std::vector<Asymptote_y> asym_right_info;
         current_stripe=0;
@@ -2241,7 +2241,7 @@ private:
             if(roots_at_right_end[i].low() > stripe_bounds[current_stripe]) {
                 current_stripe++;
                 continue;
-            }        
+            }
             if(roots_at_right_end[i].high() < stripe_bounds[current_stripe]) {
                 if(current_stripe==0) {
                     asym_right_info.push_back(CGAL::make_object
@@ -2258,7 +2258,7 @@ private:
             roots_at_right_end[i].refine();
         }
         this->ptr()->horizontal_asymptotes_right = asym_right_info;
- 
+
     }
 
     //! @}
@@ -2267,22 +2267,22 @@ public:
 
     template<typename OutputIterator> void get_roots_at_rational
     (Bound r, OutputIterator it) const {
-        
+
         typename Rep::Intermediate_cache::Find_result find_result
             = this->ptr()->intermediate_cache.find(r);
 
-	std::vector<Algebraic_real_1> p_roots;
+        std::vector<Algebraic_real_1> p_roots;
 
         if(find_result.second) {
             p_roots = find_result.first->second;
         } else {
-	    Polynomial_2 swapped = typename Polynomial_traits_2::Swap() 
-                              	    (this->polynomial_2(), 0, 1);
-	    Polynomial_1 p = kernel()->evaluate_utcf_2_object()(swapped,r);
-	    kernel()->solve_1_object()(p,std::back_inserter(p_roots),false);
+            Polynomial_2 swapped = typename Polynomial_traits_2::Swap()
+                                          (this->polynomial_2(), 0, 1);
+            Polynomial_1 p = kernel()->evaluate_utcf_2_object()(swapped,r);
+            kernel()->solve_1_object()(p,std::back_inserter(p_roots),false);
 
             this->ptr()->intermediate_cache.insert(std::make_pair(r,p_roots));
-            
+
         }
         std::copy(p_roots.begin(),p_roots.end(),it);
     }
@@ -2294,7 +2294,7 @@ public:
 #if CGAL_ACK_USE_SPECIAL_TREATMENT_FOR_CONIX
 
 private:
-    
+
     bool conic_is_y_regular() const {
         CGAL_error_msg("Implement me");
         return false;
@@ -2393,41 +2393,41 @@ private:
 
     // another friend
     friend class Shear_transformation<Algebraic_kernel_with_analysis_2>;
-    
+
     //! @}
 
 }; // class Algebraic_curve_2_2
 
 
 //! \brief Prints the objects.
-template<typename AlgebraicKernelWithAnalysis_2, 
+template<typename AlgebraicKernelWithAnalysis_2,
          typename Rep_>
 std::ostream& operator<< (
-        std::ostream& out, 
-        const Curve_analysis_2< AlgebraicKernelWithAnalysis_2, 
+        std::ostream& out,
+        const Curve_analysis_2< AlgebraicKernelWithAnalysis_2,
         Rep_ >& curve) {
 
   typedef AlgebraicKernelWithAnalysis_2 Algebraic_kernel_with_analysis_2;
-  
+
   typedef Rep_ Rep;
-  
+
   typedef Curve_analysis_2< Algebraic_kernel_with_analysis_2, Rep > Curve;
-  
+
   typedef typename Curve::size_type size_type;
   typedef typename Curve::Asymptote_y Asymptote_y;
-  
-    
+
+
     switch (::CGAL::get_mode(out)) {
     case ::CGAL::IO::PRETTY: {
-      
+
       out << "--------------- Analysis results ---------------" << std::endl;
-      out << "Number of constructed event lines: " 
-          << curve.number_of_status_lines_with_event() 
+      out << "Number of constructed event lines: "
+          << curve.number_of_status_lines_with_event()
           << std::endl;
       out << "(Horizontal) asymptotes at -infty: " << std::flush;
       for (size_type i = 0; i < curve.arcs_over_interval(0); i++) {
-        
-        const Asymptote_y& curr_asym_info_obj 
+
+        const Asymptote_y& curr_asym_info_obj
           = curve.asymptotic_value_of_arc(CGAL::LEFT_BOUNDARY,i);
         typename Curve::Algebraic_real_1 curr_asym_info;
         bool is_finite = CGAL::assign(curr_asym_info,curr_asym_info_obj);
@@ -2444,32 +2444,32 @@ std::ostream& operator<< (
             out << "-infty " << std::flush;
           }
         } else { // is_finite
-          out << CGAL::to_double(curr_asym_info) 
+          out << CGAL::to_double(curr_asym_info)
               << " " << std::flush;
         }
       }
-      
+
       out << std::endl;
-      
-      out << "Intermediate line at " 
+
+      out << "Intermediate line at "
           << CGAL::to_double(curve.bound_value_in_interval(0))
-          << ": " << curve.arcs_over_interval(0) << " passing arcs" 
-          << std::endl 
+          << ": " << curve.arcs_over_interval(0) << " passing arcs"
+          << std::endl
           << std::endl;
-      for (size_type i = 0; i < curve.number_of_status_lines_with_event(); 
+      for (size_type i = 0; i < curve.number_of_status_lines_with_event();
            i++) {
         out << curve.status_line_at_event(i) << std::endl;
-        out << "Intermediate line at " 
+        out << "Intermediate line at "
             << CGAL::to_double(curve.bound_value_in_interval(i+1))
-            << ": " << curve.arcs_over_interval(i+1) 
+            << ": " << curve.arcs_over_interval(i+1)
             << " passing arcs" << std::endl
             << std::endl;
       }
       out << "(Horizontal) asymptotes at +infty: " << std::flush;
       size_type no_events = curve.number_of_status_lines_with_event();
       for (size_type i = 0; i < curve.arcs_over_interval(no_events); i++) {
-        
-        const Asymptote_y& curr_asym_info_obj 
+
+        const Asymptote_y& curr_asym_info_obj
           = curve.asymptotic_value_of_arc(CGAL::RIGHT_BOUNDARY,i);
         typename Curve::Algebraic_real_1 curr_asym_info;
         bool is_finite = CGAL::assign(curr_asym_info,curr_asym_info_obj);
@@ -2486,13 +2486,13 @@ std::ostream& operator<< (
             out << "-infty " << std::flush;
           }
         } else { // is_finite
-          out << CGAL::to_double(curr_asym_info) 
+          out << CGAL::to_double(curr_asym_info)
               << " " << std::flush;
         }
       }
-      
+
       out << std::endl;
-      
+
       out << "------------------------------------------------" << std::endl;
       break;
     }
@@ -2503,23 +2503,23 @@ std::ostream& operator<< (
       // ASCII
       out << curve.polynomial_2();
     }
-    
+
     return out;
 }
 
 //! \brief Reads the objects from stream
-template<typename AlgebraicKernelWithAnalysis_2, 
+template<typename AlgebraicKernelWithAnalysis_2,
          typename Rep_>
 std::istream& operator>> (
-    std::istream& is, 
+    std::istream& is,
     Curve_analysis_2< AlgebraicKernelWithAnalysis_2, Rep_ >& curve) {
-  
+
   CGAL_precondition(CGAL::is_ascii(is));
-  
+
   typedef AlgebraicKernelWithAnalysis_2 Algebraic_kernel_with_analysis_2;
 
   typedef Rep_ Rep;
-  
+
   typename Curve_analysis_2< Algebraic_kernel_with_analysis_2, Rep >::
     Polynomial_2 f;
 
@@ -2528,10 +2528,10 @@ std::istream& operator>> (
   // TODO is get_static_instance the right way?
   curve = Algebraic_kernel_with_analysis_2::get_static_instance().
     construct_curve_2_object()(f);
-  
+
   return is;
 }
-  
+
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Curve_pair_analysis_2.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Curve_pair_analysis_2.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Curve_pair_analysis_2.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Curve_pair_analysis_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Curve_pair_analysis_2.h $
-// $Id: Curve_pair_analysis_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Curve_pair_analysis_2.h $
+// $Id: Curve_pair_analysis_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Eric Berberich <eric@mpi-inf.mpg.de>
 //                 Michael Kerber <mkerber@mpi-inf.mpg.de>
@@ -41,7 +41,7 @@
 namespace CGAL {
 
 namespace internal {
-    
+
 template<class AlgebraicReal_1>
 class Distinct_compare {
 
@@ -53,7 +53,7 @@ public:
     typedef Algebraic_real_1                  first_argument_type;
     typedef Algebraic_real_1                  second_argument_type;
 
-    ::CGAL::Comparison_result operator() 
+    ::CGAL::Comparison_result operator()
         (Algebraic_real_1 a,Algebraic_real_1 b) {
         return a.compare_distinct(b);
     }
@@ -70,7 +70,7 @@ template < typename AlgebraicKernelWithA
 class Curve_pair_analysis_2;
 
 template<typename AlgebraicKernelWithAnalysis_2>
-std::ostream& operator<< 
+std::ostream& operator<<
     (std::ostream&,const Curve_pair_analysis_2
                            <AlgebraicKernelWithAnalysis_2>&);
 
@@ -90,7 +90,7 @@ enum Slice_type {
  * An x-event of the curve pair is either a root of a dicriminant of a single
  * curve, or a root of the resultant of both curves, or both.
  * The \c Event_indices vector stores a triple <tt>(fg,ffy,ggy)</tt> denoting
- * that some event is the <tt>fg</tt> root of <tt>res(f,g,y)</tt>, 
+ * that some event is the <tt>fg</tt> root of <tt>res(f,g,y)</tt>,
  * the <tt>ffy</tt>th root of <tt>disc(f,y)</tt> and
  * the <tt>ggy</tt>th root of <tt>disc(g,y)</tt>.
  */
@@ -100,7 +100,7 @@ struct Event_indices {
     size_type fg;
     size_type ffy;
     size_type ggy;
-    Event_indices(size_type fg,size_type ffy, size_type ggy) 
+    Event_indices(size_type fg,size_type ffy, size_type ggy)
     : fg(fg), ffy(ffy), ggy(ggy) {}
 };
 
@@ -117,15 +117,15 @@ public:
 
     typedef Curve_pair_analysis_2<Algebraic_kernel_with_analysis_2> Handle;
 
-    typedef typename Algebraic_kernel_with_analysis_2::Curve_analysis_2 
+    typedef typename Algebraic_kernel_with_analysis_2::Curve_analysis_2
         Curve_analysis_2;
 
     typedef typename Curve_analysis_2::size_type size_type;
 
     typedef typename Curve_analysis_2::Polynomial_2 Polynomial_2;
-        
+
     typedef typename Curve_analysis_2::Algebraic_real_1 Algebraic_real_1;
-        
+
     typedef typename Polynomial_2::NT Polynomial_1;
 
     typedef typename Curve_analysis_2::Bound Bound;
@@ -148,10 +148,10 @@ public:
         size_type mult;
     };
 
-    typedef std::vector<std::vector<Intersection_info> > 
+    typedef std::vector<std::vector<Intersection_info> >
         Intersection_info_container;
-        
-    typedef boost::optional<Intersection_info_container> 
+
+    typedef boost::optional<Intersection_info_container>
         Lazy_intersection_info_container;
 
     // For lazy evaluation of Status_line_CPA_1s.
@@ -161,7 +161,7 @@ public:
 
     //! \name Constructors
     //! @{
-    
+
     // DefaultConstructible
     Curve_pair_analysis_2_rep() :
         c1_(), c2_() {
@@ -183,31 +183,31 @@ private:
     //! @{
 
     Algebraic_kernel_with_analysis_2* _m_kernel;
-    
+
     Curve_analysis_2 c1_;
     Curve_analysis_2 c2_;
 
     Polynomial_2 f;
     Polynomial_2 g;
 
-    
+
     mutable boost::optional<std::vector<Polynomial_2> > subresultants;
 
-    mutable boost::optional<std::vector<Polynomial_1> > 
+    mutable boost::optional<std::vector<Polynomial_1> >
         principal_subresultants;
-    mutable boost::optional<std::vector<Polynomial_1> > 
+    mutable boost::optional<std::vector<Polynomial_1> >
         coprincipal_subresultants;
-        
+
     mutable boost::optional<Polynomial_1> resultant;
 
     mutable boost::optional<std::vector<Algebraic_real_1> > resultant_roots;
-    mutable boost::optional<std::vector<Algebraic_real_1> > 
+    mutable boost::optional<std::vector<Algebraic_real_1> >
         event_x_coordinates;
-    mutable boost::optional<std::vector<size_type> > 
+    mutable boost::optional<std::vector<size_type> >
         multiplicities_of_resultant_roots;
 
     mutable boost::optional<std::vector<Bound> > stripe_values;
-        
+
     mutable std::vector< Lazy_status_line_CPA_1 > event_slices;
 
     mutable boost::optional<std::vector< Lazy_bound > > intermediate_values;
@@ -229,7 +229,7 @@ private:
 
     //! \name friends
     //! @{
-    
+
     friend class Curve_pair_analysis_2<Algebraic_kernel_with_analysis_2>;
 
     //!@}
@@ -256,16 +256,16 @@ private:
  * expensive symbolic computations in some cases.
  *
  * For all algorithmic details of the curve pair analysis, we refer to
- * Arno Eigenwillig, Michael Kerber: Exact and Efficient 2D-Arrangements 
- * of Arbitrary Algebraic Curves. Proceedings of the Nineteenth Annual 
+ * Arno Eigenwillig, Michael Kerber: Exact and Efficient 2D-Arrangements
+ * of Arbitrary Algebraic Curves. Proceedings of the Nineteenth Annual
  * ACM-SIAM Symposium on Discrete Algorithms (SODA 2008), pp. 122-131
  */
 template < typename AlgebraicKernelWithAnalysis_2 >
-class Curve_pair_analysis_2 : 
+class Curve_pair_analysis_2 :
     public ::CGAL::Handle_with_policy
         < CGAL::internal::Curve_pair_analysis_2_rep
               < AlgebraicKernelWithAnalysis_2 > > {
-    
+
 
 public:
 
@@ -276,18 +276,18 @@ public:
     typedef AlgebraicKernelWithAnalysis_2 Algebraic_kernel_with_analysis_2;
 
 private:
-    
+
     //! Representation class
     typedef CGAL::internal::Curve_pair_analysis_2_rep
       < Algebraic_kernel_with_analysis_2 > Rep;
-    
+
     //! Base class
     typedef ::CGAL::Handle_with_policy< Rep >        Base;
 
 public:
     //! The Curve_pair_analysis_2 itself
     typedef Curve_pair_analysis_2<Algebraic_kernel_with_analysis_2> Self;
-    
+
     //! The corresponding Curve_analysis_2 class
     typedef typename Rep::Curve_analysis_2 Curve_analysis_2;
 
@@ -304,7 +304,7 @@ public:
     typedef typename Rep::Algebraic_real_1 Algebraic_real_1;
 
     //! Type for points with algebraic coordinates
-    typedef typename Algebraic_kernel_with_analysis_2::Algebraic_real_2 
+    typedef typename Algebraic_kernel_with_analysis_2::Algebraic_real_2
         Algebraic_real_2;
 
     //! Bound type (for rational numbers)
@@ -314,12 +314,12 @@ private:
     // Optional for boundaries
     typedef typename Rep::Lazy_bound Lazy_bound;
 
-    // Object to store information about intersection points 
-    typedef typename Rep::Intersection_info_container 
+    // Object to store information about intersection points
+    typedef typename Rep::Intersection_info_container
         Intersection_info_container;
 
     // Its lazy version
-    typedef typename Rep::Lazy_intersection_info_container 
+    typedef typename Rep::Lazy_intersection_info_container
         Lazy_intersection_info_container;
 
     // Type for indices of events.
@@ -333,20 +333,20 @@ private:
 
     // Coefficient type
     typedef typename Curve_analysis_2::Coefficient Coefficient;
-    
+
     // Polynomial traits class
     typedef CGAL::Polynomial_traits_d<Polynomial_2> Polynomial_traits_2;
 
     // Polynomial traits class
     typedef CGAL::Polynomial_traits_d<Polynomial_1> Polynomial_traits_1;
-  
+
 public:
-    
+
     //! The event slice object type
     typedef typename Rep::Status_line_CPA_1 Status_line_CPA_1;
-    
+
     /*!
-     * Required by the concept. The name is not used internally 
+     * Required by the concept. The name is not used internally
      * to distinguish from one curve status_lines syntactically
      */
     typedef Status_line_CPA_1 Status_line_1;
@@ -358,7 +358,7 @@ private:
 
     // Coercion between Bound and Coefficient type
     typedef CGAL::Coercion_traits<Bound, Coefficient> Coercion;
-    
+
     // The common supertype
     typedef typename Coercion::Type Coercion_type;
 
@@ -383,16 +383,16 @@ private:
     //! @{
 
     struct Curves_at_event_functor {
-        
+
         typedef size_type argument_type;
         typedef CGAL::internal::Slice_type result_type;
 
-        Curves_at_event_functor(const Status_line_CPA_1& status_line) 
+        Curves_at_event_functor(const Status_line_CPA_1& status_line)
             : status_line(status_line)
         {}
 
         CGAL::internal::Slice_type operator() (size_type i) const {
-            typedef typename Status_line_CPA_1::size_type 
+            typedef typename Status_line_CPA_1::size_type
                 Status_line_size_type;
             std::pair<Status_line_size_type,Status_line_size_type> pair =
                 status_line.curves_at_event(i);
@@ -406,19 +406,19 @@ private:
             return CGAL::internal::INTERSECTION;
         }
     private:
-        
+
         const Status_line_CPA_1& status_line;
-        
+
     };
 
-    typedef boost::transform_iterator<Curves_at_event_functor, 
-                              boost::counting_iterator<size_type> > 
+    typedef boost::transform_iterator<Curves_at_event_functor,
+                              boost::counting_iterator<size_type> >
         Status_line_CPA_iterator;
 
     struct Xval_of_status_line_CA_1 {
         typedef Status_line_CA_1 argument_type;
         typedef Algebraic_real_1 result_type;
-        Algebraic_real_1 operator() (const Status_line_CA_1& status_line) 
+        Algebraic_real_1 operator() (const Status_line_CA_1& status_line)
             const {
             return status_line.x();
         }
@@ -428,7 +428,7 @@ private:
 
     //! \name Constructors
     //! @{
-    
+
 public:
 
     //! DefaultConstructible
@@ -437,61 +437,61 @@ public:
     };
 
     //! \brief Copy constructor
-#ifdef DOXYGEN_RUNNING 
+#ifdef DOXYGEN_RUNNING
     Curve_pair_analysis_2(const Self& alg_curve_pair)
-        : Base(static_cast<const Base&>(alg_curve_pair)) 
+        : Base(static_cast<const Base&>(alg_curve_pair))
     {
     }
 #endif
     // Assignable
-    
+
     /*!
      * \brief Constructable from two curves
      *
-     * Create a curve pair object for the two curves \c c1 and \c c2, 
+     * Create a curve pair object for the two curves \c c1 and \c c2,
      * given by their curve analysis object. The two curves are checked
      * to have no common vertical line component (if they have, an
      * exception of type \c CGAL::internal::Non_generic_position_exception
      * is thrown), no further computation is performed.
      *
-     * \param strategy If a degenerate situation (e.g., two covertical 
-     * intersection at the same x-coordinate) occurs during the analysis, 
+     * \param strategy If a degenerate situation (e.g., two covertical
+     * intersection at the same x-coordinate) occurs during the analysis,
      * this value controls the strategy to handle it. If set to
      * CGAL::EXCEPTION_STRATEGY, an exception of type
      * \c CGAL::internal::Non_generic_position_exception is thrown whenever
      * such a degeneracy occurs. If set to \c CGAL::SHEAR_STRATEGY, a shear
      * transformation is performed, and the sheared curve pair is used
-     * to handle degenerate situations. Finally, if set to 
+     * to handle degenerate situations. Finally, if set to
      * CGAL::SHEAR_ONLY_AT_IRRATIONAL_STRATEGY, degeneracies at rational
      * x-ccordinates are handled directly, and a shear is only applied
      * in other situations. The default argument for \c strategy is
      * \c CGAL::SHEAR_ONLY_AT_IRRATIONAL_STRATEGY.
      */
     Curve_pair_analysis_2(Algebraic_kernel_with_analysis_2* kernel,
-                          Curve_analysis_2 c1, 
+                          Curve_analysis_2 c1,
                           Curve_analysis_2 c2,
                           CGAL::Degeneracy_strategy strategy
-                              = CGAL_ACK_DEFAULT_DEGENERACY_STRATEGY) 
-        : Base(Rep(kernel,c1, c2, strategy)) 
+                              = CGAL_ACK_DEFAULT_DEGENERACY_STRATEGY)
+        : Base(Rep(kernel,c1, c2, strategy))
     {
-        
+
 #if CGAL_ACK_DEBUG_FLAG
         CGAL::set_pretty_mode(CGAL_ACK_DEBUG_PRINT);
 #endif
-            
+
 #if CGAL_ACK_DEBUG_FLAG
-        CGAL_ACK_DEBUG_PRINT << "Check content for squarefreeness.." 
+        CGAL_ACK_DEBUG_PRINT << "Check content for squarefreeness.."
                              << std::flush;
 #endif
         if(CGAL::degree(this->ptr()->c1_.content())>0 &&
            CGAL::degree(this->ptr()->c2_.content())>0) {
             typename Polynomial_traits_1::Gcd_up_to_constant_factor gcd_utcf;
             if(CGAL::degree(gcd_utcf
-                            (this->ptr()->c1_.content(), 
+                            (this->ptr()->c1_.content(),
                              this->ptr()->c2_.content())) >= 1) {
-                
+
 #if CGAL_ACK_DEBUG_FLAG
-                CGAL_ACK_DEBUG_PRINT << "Common vertical line discovered" 
+                CGAL_ACK_DEBUG_PRINT << "Common vertical line discovered"
                                      << std::endl;
 #endif
                 throw CGAL::internal::Non_generic_position_exception();
@@ -501,9 +501,9 @@ public:
 #endif
             }
         }
-        
+
     }
-    
+
     //! @}
 
 
@@ -515,15 +515,15 @@ private:
     // Computes the subresultant coefficients of the defining polynomials
     void compute_subresultants() const;
 
-    /* 
+    /*
      * Computes the roots of the resultants (via isolation) and their
      * multiplicities
      */
     void compute_resultant_roots_with_multiplicities() const;
-    
+
     /*
-     * Computes all x-events of the curve pair, 
-     * together with their event indices 
+     * Computes all x-events of the curve pair,
+     * together with their event indices
      */
     void compute_event_x_coordinates_with_event_indices() const;
 
@@ -559,7 +559,7 @@ public:
     }
 
     Algebraic_real_1& resultant_roots(size_type i) const {
-        CGAL_assertion(i>=0 && 
+        CGAL_assertion(i>=0 &&
                        i < static_cast<size_type>(resultant_roots().size()));
         return resultant_roots()[i];
     }
@@ -570,10 +570,10 @@ public:
         }
         CGAL_assertion(bool(this->ptr()->multiplicities_of_resultant_roots));
         return this->ptr()->multiplicities_of_resultant_roots.get();
-    }    
-    
+    }
+
     size_type multiplicities_of_resultant_roots(size_type i) const {
-        CGAL_assertion(i>=0 && 
+        CGAL_assertion(i>=0 &&
                        i < static_cast<size_type>
                            (multiplicities_of_resultant_roots().size()));
         return multiplicities_of_resultant_roots()[i];
@@ -583,10 +583,10 @@ public:
         if(! this->ptr()->stripe_values) {
             this->ptr()->stripe_values = std::vector<Bound>();
             find_intermediate_values
-	      (kernel(),
-	       resultant_roots().begin(),
-	       resultant_roots().end(),
-	       std::back_inserter(this->ptr()->stripe_values.get()));
+              (kernel(),
+               resultant_roots().begin(),
+               resultant_roots().end(),
+               std::back_inserter(this->ptr()->stripe_values.get()));
         }
         CGAL_assertion(bool(this->ptr()->stripe_values));
         return this->ptr()->stripe_values.get();
@@ -606,7 +606,7 @@ public:
         }
         CGAL_assertion(bool(this->ptr()->event_indices));
         return this->ptr()->event_indices.get();
-    } 
+    }
 
 public:
 
@@ -614,17 +614,17 @@ public:
      * \brief Returns the indices of the <tt>i</tt>th event value
      *
      * Returns a Event_indices <tt>(fg,ffy,ggy)</tt> such that
-     * the <tt>i</tt>th event root is the <tt>fg</tt>th root of the 
-     * resultant of \c f and \c g, the <tt>ffy</tt>th root of the 
-     * discriminant of \c f, and  the <tt>ggy</tt>th root of the 
+     * the <tt>i</tt>th event root is the <tt>fg</tt>th root of the
+     * resultant of \c f and \c g, the <tt>ffy</tt>th root of the
+     * discriminant of \c f, and  the <tt>ggy</tt>th root of the
      * discriminant of \c g.
      */
     Event_indices event_indices(size_type i) const {
-        CGAL_assertion(i>=0 && 
+        CGAL_assertion(i>=0 &&
                        i < static_cast<size_type>
                            (event_indices().size()));
         return event_indices()[i];
-    } 
+    }
 
 private:
 
@@ -656,7 +656,7 @@ private:
     }
 
     Polynomial_2& subresultants(size_type i) const {
-        CGAL_assertion(i>=0 && 
+        CGAL_assertion(i>=0 &&
                        i < static_cast<size_type>(subresultants().size()));
         return subresultants()[i];
     }
@@ -670,7 +670,7 @@ private:
     }
 
     Polynomial_1& principal_subresultants(size_type i) const {
-        CGAL_assertion(i>=0 && 
+        CGAL_assertion(i>=0 &&
                        i < static_cast<size_type>
                            (principal_subresultants().size()));
         return principal_subresultants()[i];
@@ -685,17 +685,17 @@ private:
     }
 
     Polynomial_1& coprincipal_subresultants(size_type i) const {
-        CGAL_assertion(i>=0 && 
+        CGAL_assertion(i>=0 &&
                        i < static_cast<size_type>
                            (coprincipal_subresultants().size()));
         return coprincipal_subresultants()[i];
     }
-    
+
 
 
 private:
 
-    /* 
+    /*
      * Refines the isolating intervals until they are disjoint
      * Returns CGAL::SMALLER, if the y-coordinate defined by <tt>(e1,i1)</tt>
      * is smaller than the y-coordinate <tt>(e2,i2)</tt>,
@@ -711,9 +711,9 @@ private:
             }
             else {
                 e1.refine(i1);
-            } 
+            }
         }
-        return (e1.lower_bound(i1) < e2.lower_bound(i2)) 
+        return (e1.lower_bound(i1) < e2.lower_bound(i2))
             ? CGAL::SMALLER
             : CGAL::LARGER;
     }
@@ -723,14 +723,14 @@ private:
     /*!
      * TODO doc
      */
-    Status_line_CPA_1 create_event_slice(size_type i) 
+    Status_line_CPA_1 create_event_slice(size_type i)
         const {
 #if !CGAL_ACK_NO_ARC_FLIP
         size_type index_in_fg = event_indices(i).fg;
         if(index_in_fg == -1 ) {
             return create_slice_with_multiplicity_zero_or_one(i);
         } else {
-            size_type mult_of_alpha 
+            size_type mult_of_alpha
                 = multiplicities_of_resultant_roots(index_in_fg);
             if(mult_of_alpha == 1) {
                 return create_slice_with_multiplicity_zero_or_one(i);
@@ -743,7 +743,7 @@ private:
 #endif
     }
 
-    Status_line_CPA_1 create_slice_of_higher_multiplicity(size_type i) 
+    Status_line_CPA_1 create_slice_of_higher_multiplicity(size_type i)
         const {
         bool is_resultant_root = event_indices(i).fg >=0;
         if(is_resultant_root &&
@@ -771,17 +771,17 @@ private:
                 return create_event_slice_with_shear(i);
             }
             }
-            
-            
+
+
             // NEVER HAPPENS
             return Status_line_CPA_1();
-            
+
         }
     }
 
 private:
     Status_line_CPA_1 create_event_slice_at_rational(size_type i) const {
-        
+
         Algebraic_real_1& x = event_x(i);
 
         CGAL_precondition(x.is_rational());
@@ -789,9 +789,9 @@ private:
 
         int k = degree_of_local_gcd(event_indices(i).fg,x);
         Polynomial_2 sres = subresultants(k);
-        
-        Polynomial_1 gcd = kernel()->evaluate_utcf_2_object() 
-	  (typename Polynomial_traits_2::Swap() (sres,0,1),r);
+
+        Polynomial_1 gcd = kernel()->evaluate_utcf_2_object()
+          (typename Polynomial_traits_2::Swap() (sres,0,1),r);
         std::vector<Algebraic_real_1> gcd_roots;
         kernel()->solve_1_object()(gcd,std::back_inserter(gcd_roots),false);
         size_type m = static_cast<size_type>(gcd_roots.size());
@@ -810,23 +810,23 @@ private:
                 it->first=CGAL::internal::INTERSECTION;
             }
         }
-        
+
         return create_slice_from_slice_info(i,slice_info,true);
     }
 
 private:
-    
+
     /*!
      * TODO doc
      */
-    Status_line_CPA_1 create_slice_with_multiplicity_zero_or_one(size_type i) 
+    Status_line_CPA_1 create_slice_with_multiplicity_zero_or_one(size_type i)
         const;
-       
+
 private:
 
     // Creates an intermediate slice at a rational value
     Status_line_CPA_1 create_intermediate_slice_at(int i) const;
-    
+
 private:
 
     // Create a slice with id \c id from the Slice_info object
@@ -838,13 +838,13 @@ private:
 
     // Computes a slice_info object at Algebraic_real_1 \c alpha
     Slice_info construct_slice_info(Algebraic_real_1 alpha) const;
-      
+
 private:
-      
-    Status_line_CPA_1 construct_generic_case(size_type i) const;        
+
+    Status_line_CPA_1 construct_generic_case(size_type i) const;
 
 private:
-      
+
     bool check_candidate_by_arc_pattern(size_type index,
                                         Status_line_CA_1& e1,
                                         size_type i1,
@@ -856,9 +856,9 @@ private:
      * TODO update doc
      * Checks the point on e1 with index i1, and
      * the point on e2 with index i2 really intersect. The \c slice_info
-     * is updated accordingly: If not intersecting, the corresponding 
+     * is updated accordingly: If not intersecting, the corresponding
      * points are refined until they can be arranged in the correct order.
-     * If intersecting, the corresponding Slice_info element is set to 
+     * If intersecting, the corresponding Slice_info element is set to
      * INTERSECTION.
      */
     template<typename InputIterator>
@@ -882,11 +882,11 @@ private:
         Algebraic_real_1 alpha = e1.x();
         CGAL_assertion(alpha==e2.x());
         if(CGAL::internal::zero_test_bivariate
-	   <Algebraic_kernel_with_analysis_2>
-	     (kernel(),alpha,this->ptr()->f,p,q) && 
+           <Algebraic_kernel_with_analysis_2>
+             (kernel(),alpha,this->ptr()->f,p,q) &&
            CGAL::internal::zero_test_bivariate
-	   <Algebraic_kernel_with_analysis_2>
-	     (kernel(),alpha,this->ptr()->g,p,q)) {
+           <Algebraic_kernel_with_analysis_2>
+             (kernel(),alpha,this->ptr()->g,p,q)) {
             return true;
         }
         else {
@@ -902,9 +902,9 @@ private:
      * index \c index1, and for the point on \c e2 with index \c index2
      * overlap
      */
-    bool overlap(Status_line_CA_1& e1, 
+    bool overlap(Status_line_CA_1& e1,
                  size_type index1,
-                 Status_line_CA_1& e2, 
+                 Status_line_CA_1& e2,
                  size_type index2) const {
         if(e1.lower_bound(index1) > e2.upper_bound(index2)) {
             return false;
@@ -918,18 +918,18 @@ private:
     }
 
     /*
-     * For the point \c p on \c e1 with index \c index1, find the 
+     * For the point \c p on \c e1 with index \c index1, find the
      * unique point on \c e2 which might be equal to \c p. If no point
      * can be equal, -1 is returned.
      */
-    size_type find_possible_matching(Status_line_CA_1& e1, 
+    size_type find_possible_matching(Status_line_CA_1& e1,
                                      size_type index1,
                                      Status_line_CA_1& e2) const;
 
 
     size_type degree_of_local_gcd(size_type index_of_fg,
                             Algebraic_real_1 alpha) const {
-        
+
         if(multiplicities_of_resultant_roots(index_of_fg) == 1) {
             return 1;
         } else {
@@ -954,7 +954,7 @@ public:
         return c ? ev_ind.ggy : ev_ind.ffy;
     }
 
-    size_type event_of_curve_analysis(size_type i, 
+    size_type event_of_curve_analysis(size_type i,
                                       const Curve_analysis_2& c) const {
         CGAL_assertion(c.id()==curve_analysis(false).id() ||
                        c.id()==curve_analysis(true).id());
@@ -962,7 +962,7 @@ public:
         return (c.id()==curve_analysis(false).id()) ? ev_ind.ffy : ev_ind.ggy;
     }
 
-    /*! 
+    /*!
      * \brief Returns the number of event slices
      *
      * Precisely, this is the number of points which are either root of
@@ -975,7 +975,7 @@ public:
 
     //! Returns the x-coordinate of the <tt>i</tt>th event
     Algebraic_real_1& event_x(size_type i) const {
-        CGAL_assertion(i>=0 && 
+        CGAL_assertion(i>=0 &&
                        i<static_cast<size_type>(event_x_coordinates().size()));
         return event_x_coordinates()[i];
     }
@@ -987,7 +987,7 @@ public:
      * event value, the \c event flag is set to true, otherwise to false
      * and the slice of the interval to which \c x belongs is returned
      */
-    void x_to_index(Algebraic_real_1 x, 
+    void x_to_index(Algebraic_real_1 x,
                     size_type& idx, bool& event) const {
         const std::vector<Algebraic_real_1>& sl = event_x_coordinates();
         idx = static_cast<size_type>(std::lower_bound(sl.begin(),
@@ -998,8 +998,8 @@ public:
     }
 
 
-    Status_line_CPA_1 status_line_for_x(Algebraic_real_1 x, 
-                                        CGAL::Sign perturb = CGAL::ZERO) 
+    Status_line_CPA_1 status_line_for_x(Algebraic_real_1 x,
+                                        CGAL::Sign perturb = CGAL::ZERO)
     const {
         size_type index;
         bool evt;
@@ -1010,12 +1010,12 @@ public:
             case(CGAL::NEGATIVE): return status_line_of_interval(index);
             case(CGAL::POSITIVE): return status_line_of_interval(index+1);
             }
-        } // else: 
+        } // else:
         return status_line_of_interval(index);
-        
-        
+
+
     }
-        
+
 
     Status_line_CPA_1 status_line_at_exact_x(Algebraic_real_1 x) {
         return status_line_for_x(x);
@@ -1023,7 +1023,7 @@ public:
 
 
 public:
-      
+
     //! Returns the Status_line_CPA_1 at the <tt>i</tt>th event
     const Status_line_CPA_1& status_line_at_event(size_type i) const {
         if(! this->ptr()->event_slices[i]) {
@@ -1032,7 +1032,7 @@ public:
         CGAL_assertion(bool(this->ptr()->event_slices[i]));
         return this->ptr()->event_slices[i].get();
     }
-      
+
 
 
     //! Returns the Status_line_CPA_1 at the <tt>i</tt>th interval
@@ -1040,18 +1040,18 @@ public:
 
         if(! intermediate_slices()[i]) {
 
-            intermediate_slices()[i] 
+            intermediate_slices()[i]
                 = create_intermediate_slice_at(i);
-          
+
         }
 
         return intermediate_slices()[i].get();
     }
-        
+
     //!  Returns bound representative value at the <tt>i</tt>th interval
     const Bound bound_value_in_interval(size_type i) const {
 
-        const std::vector<Algebraic_real_1>& events = event_x_coordinates(); 
+        const std::vector<Algebraic_real_1>& events = event_x_coordinates();
 
         if(! intermediate_values()[i]) {
             // Create the intermediate x-coordinate first
@@ -1060,16 +1060,16 @@ public:
                 intermediate_values()[0]=Bound(0);
             } else {
                 if(i==0) {
-                    intermediate_values()[i] 
-		      = bound_left_of(kernel(),events[i]);
+                    intermediate_values()[i]
+                      = bound_left_of(kernel(),events[i]);
                 } else if(i == static_cast<size_type>(events.size())) {
                     intermediate_values()[i]
-		      = bound_right_of(kernel(),events[i-1]);
+                      = bound_right_of(kernel(),events[i-1]);
 
                 } else {
                     intermediate_values()[i]
-		      = kernel()->bound_between_1_object()
-		          (events[i-1],events[i]);
+                      = kernel()->bound_between_1_object()
+                          (events[i-1],events[i]);
                 }
             }
         }
@@ -1077,11 +1077,11 @@ public:
         return intermediate_values()[i].get();
 
     }
-        
+
 private:
-      
+
     struct Bound_to_coercion_functor {
-        
+
         typedef Bound argument_type;
         typedef Coercion_type result_type;
 
@@ -1092,7 +1092,7 @@ private:
     };
 
     struct Coefficient_to_coercion_functor {
-        
+
         typedef Coefficient argument_type;
         typedef Coercion_type result_type;
 
@@ -1116,7 +1116,7 @@ private:
             = *(this->ptr()->intersection_info_container);
         std::size_t n = old_info_container.size();
         CGAL_assertion(n == new_info_container.size());
-        //iterate through the vector and update 
+        //iterate through the vector and update
         // (-1 stands for "multiplicity unknown")
         for(std::size_t i=0;i<n;i++) {
           std::size_t m = old_info_container[i].size();
@@ -1126,7 +1126,7 @@ private:
                   = (std::max)(new_info_container[i][j].mult,
                                old_info_container[i][j].mult);
             }
-          
+
         }
     }
 
@@ -1140,8 +1140,8 @@ private:
                     Intersection_info_container info_container;
                     new_shear_for_intersection_info(info_container);
                     merge_new_intersection_info(info_container);
-                }		  
-                Status_line_CPA_1 slice 
+                }
+                Status_line_CPA_1 slice
                     = create_event_slice_from_current_intersection_info(i);
 
                 return slice;
@@ -1154,30 +1154,30 @@ private:
         }
     }
 
-      
-    Status_line_CPA_1 
+
+    Status_line_CPA_1
         create_event_slice_from_current_intersection_info (size_type i) const;
 
     Bound x_sheared(Bound x, Bound y,Integer sh) const {
         return x-sh*y;
     }
 
-    void update_intersection_info(Intersection_info_container& 
+    void update_intersection_info(Intersection_info_container&
                                   info_container,
                                   Self& sh_pair,
                                   Status_line_CPA_1 slice,
                                   size_type i,
                                   size_type j,
                                   Integer s) const;
-      
+
     /*
      * \brief Reduces the number of possible intersections
      *
-     * At the position given by the event lins \c e1 and \c e2 and the slice 
+     * At the position given by the event lins \c e1 and \c e2 and the slice
      * info object \c slice, the points on the event lines are further refined
      * until there are only \c n possible intersection points. The method can
      * be interrupted if all possible intersection points are known to have
-     * a maximal intersection mulipicity smaller \c k, and a 
+     * a maximal intersection mulipicity smaller \c k, and a
      * Non_generic_position_exception is thrown then.
      */
     size_type reduce_number_of_candidates_and_intersections_to
@@ -1186,48 +1186,48 @@ private:
          Status_line_CA_1& e2,
          Slice_info& slice,
          size_type k=-1) const;
-        
+
     // Handle provides
     // .id()
     // .is_identical
 
     friend std::ostream& operator<< <>
-               (std::ostream& out, 
+               (std::ostream& out,
                 const Self& curve_pair);
 
 }; // end of Curve_pair_analysis_2
 
 //! \brief Prints the objects.
 template<typename AlgebraicKernelWithAnalysis_2>
-std::ostream& operator<< 
-    (std::ostream& out, 
+std::ostream& operator<<
+    (std::ostream& out,
      const Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>& curve_pair) {
-    typedef Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2> 
+    typedef Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>
         Curve_pair_analysis_2;
     typedef typename Curve_pair_analysis_2::size_type size_type;
     typedef typename Curve_pair_analysis_2::Event_indices Event_indices;
     typedef typename Curve_pair_analysis_2::Status_line_CPA_1 Slice;
     out << "--------------- Analysis results ---------------" << std::endl;
-    out << "Number of constructed event lines: " 
-        << curve_pair.number_of_status_lines_with_event() 
+    out << "Number of constructed event lines: "
+        << curve_pair.number_of_status_lines_with_event()
         << std::endl;
-      
+
     out << "Intermediate line: "  << std::flush;
     Slice slice=curve_pair.status_line_of_interval(0);
-    
+
     out << slice.number_of_events() << " passing arcs" << std::endl ;
     out << "in order: " << std::flush;
     for(size_type i=0;i<slice.number_of_events();i++) {
-        CGAL_assertion(slice.curves_at_event(i).first==-1 || 
+        CGAL_assertion(slice.curves_at_event(i).first==-1 ||
                        slice.curves_at_event(i).second==-1 );
         if(slice.curves_at_event(i).second==-1) {
             out << "First " <<std::flush;
         } else {
             out << "Second " <<std::flush;
         }
-    }          
+    }
     out << std::endl << std::endl;
-    for(size_type j = 0; 
+    for(size_type j = 0;
         j < curve_pair.number_of_status_lines_with_event();
         j++) {
 
@@ -1235,9 +1235,9 @@ std::ostream& operator<<
             << ": " << std::endl;
         out << "Indices: ";
         Event_indices ev_ind = curve_pair.event_indices(j);
-        out << "fg: " << ev_ind.fg << ", ffy: " 
-            << ev_ind.ffy <<", ggy: " << ev_ind.ggy 
-            << std::endl; 
+        out << "fg: " << ev_ind.fg << ", ffy: "
+            << ev_ind.ffy <<", ggy: " << ev_ind.ggy
+            << std::endl;
         slice = curve_pair.status_line_at_event(j);
         out << slice.number_of_events() << " passing arcs" << std::endl ;
         out << "in order: " << std::flush;
@@ -1250,8 +1250,8 @@ std::ostream& operator<<
                 out << "Inter," << slice.multiplicity_of_intersection(i)
                     << " " << std::flush;
             }
-          
-        }   
+
+        }
         out << std::endl << std::endl;
 
         out << "Intermediate line:"  << std::flush;
@@ -1259,19 +1259,19 @@ std::ostream& operator<<
         out << slice.number_of_events() << " passing arcs" << std::endl ;
         out << "in order: " << std::flush;
         for(size_type i=0;i<slice.number_of_events();i++) {
-            CGAL_assertion(slice.curves_at_event(i).first==-1 || 
+            CGAL_assertion(slice.curves_at_event(i).first==-1 ||
                        slice.curves_at_event(i).second==-1 );
             if(slice.curves_at_event(i).second==-1) {
                 out << "First " <<std::flush;
             } else {
                 out << "Second " <<std::flush;
             }
-            
-        }          
+
+        }
         out << std::endl << std::endl;
     }
     out << "------------------------------------------------" << std::endl;
-    
+
     return out;
 }
 
@@ -1284,14 +1284,14 @@ std::ostream& operator<<
 template <typename AlgebraicKernelWithAnalysis_2>
 void Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>::compute_resultant()
     const {
-    
+
 #if CGAL_ACK_RESULTANT_FIRST_STRATEGY
 #ifndef CGAL_ACK_RESULTANT_FIRST_STRATEGY_DEGREE_THRESHOLD
     bool speed_up = true;
 #else
     bool speed_up = (std::min)
         (CGAL::degree(curve_analysis(false).polynomial_2(),1),
-         CGAL::degree(curve_analysis(true).polynomial_2(),1)) >= 
+         CGAL::degree(curve_analysis(true).polynomial_2(),1)) >=
          CGAL_ACK_RESULTANT_FIRST_STRATEGY_DEGREE_THRESHOLD;
 #endif
 #else
@@ -1299,23 +1299,23 @@ void Curve_pair_analysis_2<AlgebraicKern
 #endif
     if(speed_up) {
 #if CGAL_ACK_DEBUG_FLAG
-        CGAL_ACK_DEBUG_PRINT << "Compute the resultant of f and g..." 
+        CGAL_ACK_DEBUG_PRINT << "Compute the resultant of f and g..."
                              << std::flush;
 #endif
-        this->ptr()->resultant 
+        this->ptr()->resultant
             = CGAL::resultant(this->ptr()->f,this->ptr()->g);
     } else {
 #if CGAL_ACK_DEBUG_FLAG
-        CGAL_ACK_DEBUG_PRINT << "Compute the subres-seq of f and g..." 
+        CGAL_ACK_DEBUG_PRINT << "Compute the subres-seq of f and g..."
                              << std::flush;
 #endif
         compute_subresultants();
-        
-        this->ptr()->resultant 
+
+        this->ptr()->resultant
             = this->ptr()->principal_subresultants.get()[0];
     }
-    
-    
+
+
     if(this->ptr()->resultant.get().is_zero()) {
         throw CGAL::internal::Zero_resultant_exception<Polynomial_2>
             (this->ptr()->f,
@@ -1324,7 +1324,7 @@ void Curve_pair_analysis_2<AlgebraicKern
 #if CGAL_ACK_DEBUG_FLAG
     CGAL_ACK_DEBUG_PRINT << "done" << std::endl;
 #endif
-    
+
 }
 
 //////////////////// compute_resultant_roots_with_multiplicities()
@@ -1332,9 +1332,9 @@ void Curve_pair_analysis_2<AlgebraicKern
 template<typename AlgebraicKernelWithAnalysis_2>
 void Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>::
 compute_resultant_roots_with_multiplicities() const {
-    
+
 #if CGAL_ACK_DEBUG_FLAG
-    CGAL_ACK_DEBUG_PRINT << "Isolate the real roots of resultant..." 
+    CGAL_ACK_DEBUG_PRINT << "Isolate the real roots of resultant..."
                          << std::flush;
 #endif
     Solve_1 solve_1;
@@ -1349,25 +1349,25 @@ compute_resultant_roots_with_multiplicit
         this->ptr()->multiplicities_of_resultant_roots.get()
             .push_back(res_pairs[i].second);
     }
-    
+
 #if CGAL_ACK_DEBUG_FLAG
     CGAL_ACK_DEBUG_PRINT << "done" << std::endl;
 #endif
-    
+
 #if CGAL_ACK_DEBUG_FLAG
     for(size_type i = 0;
         i<static_cast<size_type>
             (this->ptr()->resultant_roots.get().size());
         i++) {
-        CGAL_ACK_DEBUG_PRINT 
-            << "Root at " 
+        CGAL_ACK_DEBUG_PRINT
+            << "Root at "
             << CGAL::to_double(this->ptr()->resultant_roots.get()[i])
             << " with multiplicity "
             << this->ptr()->multiplicities_of_resultant_roots.get()[i]
             << std::endl;
     }
 #endif
-    
+
 }
 
 //////////////////// compute_event_x_coordinates_with_event_indices
@@ -1375,16 +1375,16 @@ compute_resultant_roots_with_multiplicit
 template<typename AlgebraicKernelWithAnalysis_2>
 void Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>::
 compute_event_x_coordinates_with_event_indices() const {
-    
+
     Xval_of_status_line_CA_1 xval;
     const Curve_analysis_2& c1=this->ptr()->c1_, c2=this->ptr()->c2_;
-    
+
     std::vector<Algebraic_real_1> one_curve_events;
-    
+
     std::vector<CGAL::internal::Three_valued> one_curve_events_type;
-    
+
     typename CGAL::Real_embeddable_traits<Algebraic_real_1>::Compare compare;
-    
+
     CGAL::internal::set_union_with_source
         (::boost::make_transform_iterator(c1.event_begin(),xval),
          ::boost::make_transform_iterator(c1.event_end(),xval),
@@ -1393,7 +1393,7 @@ compute_event_x_coordinates_with_event_i
          std::back_inserter(one_curve_events),
          std::back_inserter(one_curve_events_type),
          compare);
-    
+
     this->ptr()->event_x_coordinates = std::vector<Algebraic_real_1>();
     std::vector<CGAL::internal::Three_valued> events_type;
     CGAL::internal::set_union_with_source
@@ -1404,9 +1404,9 @@ compute_event_x_coordinates_with_event_i
          std::back_inserter(this->ptr()->event_x_coordinates.get()),
          std::back_inserter(events_type),
          compare);
-    std::vector<Algebraic_real_1>& events 
+    std::vector<Algebraic_real_1>& events
         = this->ptr()->event_x_coordinates.get();
-    
+
     typename std::vector<CGAL::internal::Three_valued>::iterator one_curve_it
         =one_curve_events_type.begin();
     size_type inter_count=0, f_count=0,g_count=0;
@@ -1456,7 +1456,7 @@ compute_event_x_coordinates_with_event_i
 #endif
 */
             this->ptr()->event_slices.emplace_back();
-            
+
             event_indices.push_back
                 (Event_indices(inter_count,-1,-1));
             inter_count++;
@@ -1465,12 +1465,12 @@ compute_event_x_coordinates_with_event_i
         case(CGAL::internal::ROOT_OF_BOTH_SETS): {
 /*
 #if CGAL_ACK_DEBUG_FLAG
-            CGAL_ACK_DEBUG_PRINT << " one and two curve event" 
+            CGAL_ACK_DEBUG_PRINT << " one and two curve event"
                                      << std::endl;
 #endif
 */
             this->ptr()->event_slices.emplace_back();
-            
+
             switch(*(one_curve_it++)) {
             case(CGAL::internal::ROOT_OF_FIRST_SET): {
                 event_indices.push_back
@@ -1497,14 +1497,14 @@ compute_event_x_coordinates_with_event_i
         }
         }
     }
-    CGAL_assertion(inter_count 
+    CGAL_assertion(inter_count
                    == static_cast<size_type>
                    (resultant_roots().size()));
     CGAL_assertion(one_curve_it==one_curve_events_type.end());
 #if CGAL_ACK_DEBUG_FLAG
-    CGAL_ACK_DEBUG_PRINT << "done" << std::endl; 
+    CGAL_ACK_DEBUG_PRINT << "done" << std::endl;
 #endif
-    
+
 }
 
 //////////////////// compute_intermediate_values_and_slices()
@@ -1512,7 +1512,7 @@ compute_event_x_coordinates_with_event_i
 template<typename AlgebraicKernelWithAnalysis_2>
 void Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>::
 compute_intermediate_values_and_slices() const {
-    
+
 #if CGAL_ACK_DEBUG_FLAG
     CGAL_ACK_DEBUG_PRINT << "Prepare intermediate slices.." << std::flush;
 #endif
@@ -1537,7 +1537,7 @@ compute_subresultants() const {
     const Polynomial_2& f = this->ptr()->f, g=this->ptr()->g;
     this->ptr()->subresultants = std::vector<Polynomial_2>();
     if(CGAL::degree(f,1)<CGAL::degree(g,1)) {
-#if CGAL_ACK_USE_BEZOUT_MATRIX_FOR_SUBRESULTANTS 
+#if CGAL_ACK_USE_BEZOUT_MATRIX_FOR_SUBRESULTANTS
         CGAL::internal::bezout_polynomial_subresultants
             (g,f,std::back_inserter(this->ptr()->subresultants.get()));
 #else
@@ -1546,7 +1546,7 @@ compute_subresultants() const {
             (g,f,std::back_inserter(this->ptr()->subresultants.get()));
 #endif
     } else {
-#if CGAL_ACK_USE_BEZOUT_MATRIX_FOR_SUBRESULTANTS 
+#if CGAL_ACK_USE_BEZOUT_MATRIX_FOR_SUBRESULTANTS
         CGAL::internal::bezout_polynomial_subresultants
             (f,g,std::back_inserter(this->ptr()->subresultants.get()));
 #else
@@ -1555,12 +1555,12 @@ compute_subresultants() const {
             (f,g,std::back_inserter(this->ptr()->subresultants.get()));
 #endif
     }
-    
-    std::vector<Polynomial_2>& subresultants 
+
+    std::vector<Polynomial_2>& subresultants
         = this->ptr()->subresultants.get();
-    
+
     size_type n = static_cast<size_type>(subresultants.size());
-    
+
     for(size_type i=0;i<n;i++) {
         if(CGAL::degree(subresultants[i]) < i) {
             this->ptr()->principal_subresultants->
@@ -1584,26 +1584,26 @@ compute_subresultants() const {
     // This must be corrected, if f and g have same degree:
     if(CGAL::degree(f,1) == CGAL::degree(g,1)) {
         if(n>=1) {
-            this->ptr()->principal_subresultants.get()[n-1] 
+            this->ptr()->principal_subresultants.get()[n-1]
                 = Polynomial_1(CGAL::leading_coefficient(g));
         }
         if(n>=2) {
-            this->ptr()->coprincipal_subresultants.get()[n-2] 
+            this->ptr()->coprincipal_subresultants.get()[n-2]
                 = Polynomial_1(g[CGAL::degree(g,1)-1]);
         }
     }
-    
+
 }
 
 //////////////////// create_slice_with_multiplicity_zero_or_one
 
 template<typename AlgebraicKernelWithAnalysis_2>
 typename Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>
-    ::Status_line_CPA_1 
+    ::Status_line_CPA_1
 Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>::
 create_slice_with_multiplicity_zero_or_one(size_type i) const {
-    
-    const std::vector<Algebraic_real_1>& events 
+
+    const std::vector<Algebraic_real_1>& events
         = event_x_coordinates();
     Algebraic_real_1 alpha = events[i];
     const Curve_analysis_2& c1=curve_analysis(false), c2=curve_analysis(true);
@@ -1611,54 +1611,54 @@ create_slice_with_multiplicity_zero_or_o
     bool flag1,flag2;
     c1.x_to_index(alpha,i1,flag1);
     c2.x_to_index(alpha,i2,flag2);
-    
+
     bool exactly_at_alpha_1 = flag1, exactly_at_alpha_2 = flag2;
     Status_line_CA_1 e1=flag1 ? c1.status_line_at_event(i1)
         : c1.status_line_of_interval(i1);
     Status_line_CA_1 e2=flag2 ? c2.status_line_at_event(i2)
         : c2.status_line_of_interval(i2);
-    
+
     Status_line_CPA_1 left_slice = this->status_line_of_interval(i),
         right_slice = this->status_line_of_interval(i+1);
-    
-    Status_line_CPA_iterator left_it 
+
+    Status_line_CPA_iterator left_it
         = ::boost::make_transform_iterator
         (::boost::counting_iterator<size_type>(0),
          Curves_at_event_functor(left_slice));
-    Status_line_CPA_iterator right_it 
+    Status_line_CPA_iterator right_it
         = ::boost::make_transform_iterator
         (::boost::counting_iterator<size_type>(0),
          Curves_at_event_functor(right_slice));
 
-    Status_line_CPA_iterator left_end 
+    Status_line_CPA_iterator left_end
         = ::boost::make_transform_iterator
         (::boost::counting_iterator<size_type>
          (left_slice.number_of_events()),
          Curves_at_event_functor(left_slice));
-    Status_line_CPA_iterator right_end 
+    Status_line_CPA_iterator right_end
         = ::boost::make_transform_iterator
         (::boost::counting_iterator<size_type>
          (right_slice.number_of_events()),
          Curves_at_event_functor(right_slice));
 
     // Take out asymptotes
-    size_type asym_lm_1 
+    size_type asym_lm_1
         = e1.number_of_branches_approaching_minus_infinity().first;
-    size_type asym_rm_1 
+    size_type asym_rm_1
         = e1.number_of_branches_approaching_minus_infinity().second;
-    size_type asym_lp_1 
+    size_type asym_lp_1
         = e1.number_of_branches_approaching_plus_infinity().first;
-    size_type asym_rp_1 
+    size_type asym_rp_1
         = e1.number_of_branches_approaching_plus_infinity().second;
-    size_type asym_lm_2 
+    size_type asym_lm_2
         = e2.number_of_branches_approaching_minus_infinity().first;
-    size_type asym_rm_2 
+    size_type asym_rm_2
         = e2.number_of_branches_approaching_minus_infinity().second;
-    size_type asym_lp_2 
+    size_type asym_lp_2
         = e2.number_of_branches_approaching_plus_infinity().first;
-    size_type asym_rp_2 
+    size_type asym_rp_2
         = e2.number_of_branches_approaching_plus_infinity().second;
-            
+
     while(asym_lm_1 != 0 || asym_lm_2 != 0) {
         CGAL_assertion(*left_it != CGAL::internal::INTERSECTION);
         if(*left_it == CGAL::internal::FIRST_CURVE) {
@@ -1714,27 +1714,27 @@ create_slice_with_multiplicity_zero_or_o
 
     size_type event_index_1=0, event_index_2=0;
 
-    while(event_index_1 != e1.number_of_events() || 
+    while(event_index_1 != e1.number_of_events() ||
           event_index_2 != e2.number_of_events()) {
 
-        CGAL_assertion(event_index_1 != e1.number_of_events() || 
+        CGAL_assertion(event_index_1 != e1.number_of_events() ||
                        event_index_2 != e2.number_of_events());
         if(event_index_1==e1.number_of_events()) {
             curr_lowest_arc=CGAL::internal::SECOND_CURVE;
-        } 
+        }
         else if(event_index_2==e2.number_of_events()) {
             curr_lowest_arc=CGAL::internal::FIRST_CURVE;
-        } 
-        else if((e1.number_of_incident_branches(event_index_1).first>0 && 
+        }
+        else if((e1.number_of_incident_branches(event_index_1).first>0 &&
                  e2.number_of_incident_branches(event_index_2).first>0)) {
             // The next arc on the left must come as next:
             curr_lowest_arc=*left_it;
-        } 
-        else if((e1.number_of_incident_branches(event_index_1).second>0 && 
+        }
+        else if((e1.number_of_incident_branches(event_index_1).second>0 &&
                  e2.number_of_incident_branches(event_index_2).second>0)) {
             // The next arc on the right must come as next:
             curr_lowest_arc=*right_it;
-        } 
+        }
         else {
             // We cannot decide it from the arcs, so we have to compare
             // isolating intervals
@@ -1746,10 +1746,10 @@ create_slice_with_multiplicity_zero_or_o
                 e2 = c2.status_line_at_exact_x(alpha);
                 CGAL_assertion(e2.number_of_events()>event_index_2);
             }
-            CGAL::Sign e1_smaller 
+            CGAL::Sign e1_smaller
                 = split_compare(e1,event_index_1,e2,event_index_2);
-            curr_lowest_arc 
-                = (e1_smaller==CGAL::SMALLER) 
+            curr_lowest_arc
+                = (e1_smaller==CGAL::SMALLER)
                 ? CGAL::internal::FIRST_CURVE : CGAL::internal::SECOND_CURVE;
         }
 
@@ -1810,7 +1810,7 @@ create_slice_with_multiplicity_zero_or_o
                 }
                 left_it++;
             }
-              
+
             j=0;
             while(j<e2.number_of_incident_branches(event_index_2).second) {
                 if(*right_it==CGAL::internal::SECOND_CURVE) {
@@ -1841,12 +1841,12 @@ create_slice_with_multiplicity_zero_or_o
                 curr_lowest_arc=CGAL::internal::INTERSECTION;
                 curr_multiplicity=1;
             }
-            
+
         }
         slice_info.push_back(std::make_pair(curr_lowest_arc,
                                             curr_multiplicity));
     }
-    CGAL_assertion(left_it == left_end && 
+    CGAL_assertion(left_it == left_end &&
                    right_it == right_end);
 
     return create_slice_from_slice_info(i,slice_info,true);
@@ -1856,10 +1856,10 @@ create_slice_with_multiplicity_zero_or_o
 
 template<typename AlgebraicKernelWithAnalysis_2>
 typename Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>
-    ::Status_line_CPA_1 
+    ::Status_line_CPA_1
 Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>::
 create_intermediate_slice_at(int i) const {
-    
+
     Bound r = bound_value_in_interval(i);
 
     std::vector<Algebraic_real_1> p1_roots,p2_roots;
@@ -1867,13 +1867,13 @@ create_intermediate_slice_at(int i) cons
     this->ptr()->c1_.get_roots_at_rational(r,std::back_inserter(p1_roots));
     this->ptr()->c2_.get_roots_at_rational(r,std::back_inserter(p2_roots));
 
-    size_type number_of_roots 
+    size_type number_of_roots
         = static_cast<size_type>(p1_roots.size() + p2_roots.size());
     std::vector<Algebraic_real_1> p12_roots;
     p12_roots.reserve(number_of_roots);
     std::vector<CGAL::internal::Three_valued> p12_order;
     p12_order.reserve(number_of_roots);
-    
+
     CGAL::internal::Distinct_compare<Algebraic_real_1> distinct_compare;
     set_union_with_source(p1_roots.begin(),
                           p1_roots.end(),
@@ -1882,10 +1882,10 @@ create_intermediate_slice_at(int i) cons
                           std::back_inserter(p12_roots),
                           std::back_inserter(p12_order),
                           distinct_compare);
-    
+
     Slice_info slice_info;
-    
-    for(typename std::vector<CGAL::internal::Three_valued>::const_iterator 
+
+    for(typename std::vector<CGAL::internal::Three_valued>::const_iterator
             it = p12_order.begin();
         it!=p12_order.end();
         it++) {
@@ -1900,24 +1900,24 @@ create_intermediate_slice_at(int i) cons
                 (std::make_pair(CGAL::internal::SECOND_CURVE,-1));
             break;
         }
-        case(CGAL::internal::ROOT_OF_BOTH_SETS): {  
+        case(CGAL::internal::ROOT_OF_BOTH_SETS): {
             CGAL_assertion(false);
             break;
         }
         }
     }
-    
-    Status_line_CPA_1 new_slice 
+
+    Status_line_CPA_1 new_slice
         = create_slice_from_slice_info(i,slice_info,false);
-    
-    return new_slice;          
+
+    return new_slice;
 }
 
 //////////////////// create_slice_from_slice_info
 
 template<typename AlgebraicKernelWithAnalysis_2>
 typename Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>
-    ::Status_line_CPA_1 
+    ::Status_line_CPA_1
 Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>::
 create_slice_from_slice_info(size_type id,
                              const Slice_info& slice,
@@ -1927,7 +1927,7 @@ create_slice_from_slice_info(size_type i
     typedef typename Status_line_CPA_1::Int_container Int_container;
     Arc_container arc_container;
     Int_container int_container;
-    
+
     for(typename Slice_info::const_iterator it = slice.begin();
         it!=slice.end();
         it++) {
@@ -1960,30 +1960,30 @@ create_slice_from_slice_info(size_type i
         }
         }
     }
-    
-    return event_flag 
+
+    return event_flag
         ? Status_line_CPA_1(id,arc_container,*this)
-        : Status_line_CPA_1(id,int_container,*this);  
+        : Status_line_CPA_1(id,int_container,*this);
 }
 
 //////////////////// construct_slice_info
 
 template<typename AlgebraicKernelWithAnalysis_2>
-typename Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>::Slice_info 
+typename Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>::Slice_info
 Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>::
 construct_slice_info(Algebraic_real_1 alpha) const {
-    
+
 /*
   #if CGAL_ACK_DEBUG_FLAG
-  CGAL_ACK_DEBUG_PRINT << "Consider alpha=" << CGAL::to_double(alpha) 
+  CGAL_ACK_DEBUG_PRINT << "Consider alpha=" << CGAL::to_double(alpha)
   << std::endl;
   #endif
-*/      
-    
+*/
+
     Status_line_CA_1 e1 = this->ptr()->c1_.status_line_at_exact_x(alpha);
-    
+
     Status_line_CA_1 e2 = this->ptr()->c2_.status_line_at_exact_x(alpha);
-    
+
     std::vector<std::pair<size_type,size_type> > matchings;
     for(size_type i=0;i<e1.number_of_events();i++) {
         size_type match=find_possible_matching(e1,i,e2);
@@ -1995,7 +1995,7 @@ construct_slice_info(Algebraic_real_1 al
         }
 /*
   #if CGAL_ACK_DEBUG_FLAG
-  CGAL_ACK_DEBUG_PRINT << "New matching: (" << i 
+  CGAL_ACK_DEBUG_PRINT << "New matching: (" << i
   << "," << match << ")" << std::endl;
   #endif
 */
@@ -2003,8 +2003,8 @@ construct_slice_info(Algebraic_real_1 al
     }
     size_type i1=0, i2=0,
         n1=e1.number_of_events(), n2=e2.number_of_events();
-    
-    typename std::vector<std::pair<size_type,size_type> >::const_iterator 
+
+    typename std::vector<std::pair<size_type,size_type> >::const_iterator
         match = matchings.begin();
     Slice_info slice_info;
     while(i1<n1 || i2<n2) {
@@ -2020,8 +2020,8 @@ construct_slice_info(Algebraic_real_1 al
             i1++;
             continue;
         }
-        if(match!=matchings.end() && 
-           i1==match->first && 
+        if(match!=matchings.end() &&
+           i1==match->first &&
            i2==match->second) {
             slice_info.push_back(std::make_pair(CGAL::internal::CANDIDATE,1));
             i1++;
@@ -2050,23 +2050,23 @@ construct_slice_info(Algebraic_real_1 al
 
 template<typename AlgebraicKernelWithAnalysis_2>
 typename Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>
-    ::Status_line_CPA_1 
+    ::Status_line_CPA_1
 Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>::
 construct_generic_case(size_type i) const {
-    
+
     Algebraic_real_1 alpha = event_x(i);
-    
+
     Slice_info slice_info;
-    
+
     size_type index_of_fg = event_indices(i).fg;
     size_type index_of_ffy =event_indices(i).ffy;
     size_type index_of_ggy =event_indices(i).ggy;
     if(index_of_fg>=0) {
-        if(kernel()->is_zero_at_1_object() 
+        if(kernel()->is_zero_at_1_object()
              (CGAL::leading_coefficient
               (this->ptr()->c1_.polynomial_2()),alpha)
            ||
-           kernel()->is_zero_at_1_object() 
+           kernel()->is_zero_at_1_object()
              (CGAL::leading_coefficient
               (this->ptr()->c2_.polynomial_2()),alpha)) {
             throw CGAL::internal::Non_generic_position_exception();
@@ -2074,7 +2074,7 @@ construct_generic_case(size_type i) cons
         size_type k = -1; // not yet computed
         if(index_of_ffy==-1 && index_of_ggy==-1) {
             // this means, we need the multiplicity of the intersections
-            if(kernel()->is_zero_at_1_object() 
+            if(kernel()->is_zero_at_1_object()
                (principal_subresultants(1),alpha)) {
                 // multiplicity cannot be determined, throw exception
                 throw CGAL::internal::Non_generic_position_exception();
@@ -2084,9 +2084,9 @@ construct_generic_case(size_type i) cons
         } else {
             k = degree_of_local_gcd(index_of_fg,alpha);
         }
-        Status_line_CA_1 e1 
+        Status_line_CA_1 e1
             = this->ptr()->c1_.status_line_at_exact_x(alpha);
-        Status_line_CA_1 e2 
+        Status_line_CA_1 e2
             = this->ptr()->c2_.status_line_at_exact_x(alpha);
         slice_info = construct_slice_info(alpha);
         size_type no_candidates=
@@ -2115,9 +2115,9 @@ construct_generic_case(size_type i) cons
                             slice_it,i);
         }
     } else {
-        Status_line_CA_1 e1 
+        Status_line_CA_1 e1
             = this->ptr()->c1_.status_line_at_exact_x(alpha);
-        Status_line_CA_1 e2 
+        Status_line_CA_1 e2
             = this->ptr()->c2_.status_line_at_exact_x(alpha);
         slice_info = construct_slice_info(alpha);
         reduce_number_of_candidates_and_intersections_to
@@ -2136,7 +2136,7 @@ check_candidate_by_arc_pattern(size_type
                                size_type i1,
                                Status_line_CA_1& e2,
                                size_type i2) const {
-    
+
     Status_line_CPA_1 left_slice = status_line_of_interval(index),
         right_slice = status_line_of_interval(index+1);
     size_type left_index=0,right_index=0;
@@ -2151,16 +2151,16 @@ check_candidate_by_arc_pattern(size_type
     // left_index and right_index now point at the position
     // of the first arc into the candidate
     size_type num_of_arcs_to_candidate_left
-        = e1.number_of_incident_branches(i1).first 
+        = e1.number_of_incident_branches(i1).first
         + e2.number_of_incident_branches(i2).first,
         num_of_arcs_to_candidate_right
-        = e1.number_of_incident_branches(i1).second 
+        = e1.number_of_incident_branches(i1).second
         + e2.number_of_incident_branches(i2).second;
-    CGAL_assertion(left_index + num_of_arcs_to_candidate_left <= 
+    CGAL_assertion(left_index + num_of_arcs_to_candidate_left <=
                    left_slice.number_of_events());
     CGAL_assertion(right_index + num_of_arcs_to_candidate_right <=
                    right_slice.number_of_events());
-    
+
     CGAL::internal::Slice_type curr;
     Curves_at_event_functor left_functor(left_slice);
     size_type number_of_changes;
@@ -2169,11 +2169,11 @@ check_candidate_by_arc_pattern(size_type
         number_of_changes=0;
 /*
 #if CGAL_ACK_DEBUG_FLAG
-        CGAL_ACK_DEBUG_PRINT <<  num_of_arcs_to_candidate_left 
-                             << num_of_arcs_to_candidate_right 
+        CGAL_ACK_DEBUG_PRINT <<  num_of_arcs_to_candidate_left
+                             << num_of_arcs_to_candidate_right
                              << left_index << right_index << std::endl;
 #endif
-*/          
+*/
         for(size_type i=1;i<num_of_arcs_to_candidate_left;i++) {
             if(curr != left_functor(left_index+i)) {
                 curr = left_functor(left_index+i);
@@ -2184,9 +2184,9 @@ check_candidate_by_arc_pattern(size_type
             }
         }
     }
-    
+
     Curves_at_event_functor right_functor(right_slice);
-    
+
     if(right_index < right_slice.number_of_events()) {
         curr = right_functor(right_index);
         number_of_changes=0;
@@ -2200,7 +2200,7 @@ check_candidate_by_arc_pattern(size_type
             }
         }
     }
-    
+
     return false;
 }
 
@@ -2215,14 +2215,14 @@ check_candidate(Status_line_CA_1& e1,siz
                 Slice_info& slice_info,
                 InputIterator slice_it,
                 size_type root_index) const {
-    
+
     Algebraic_real_1 xval = e1.x();
     CGAL_assertion(xval==e2.x());
     bool is_intersection=false;
     size_type index_in_fg = event_indices(root_index).fg;
     size_type mult_of_resultant
         = multiplicities_of_resultant_roots(index_in_fg);
-    
+
     if(k%2==1 || mult_of_resultant%2==1) {
         is_intersection=true;
     } else {
@@ -2238,7 +2238,7 @@ check_candidate(Status_line_CA_1& e1,siz
         if(k==1) {
             mult_of_intersection = mult_of_resultant;
         } else {
-            mult_of_intersection = -1; 
+            mult_of_intersection = -1;
         }
         slice_info.insert(slice_it,
                           std::make_pair(CGAL::internal::INTERSECTION,
@@ -2246,7 +2246,7 @@ check_candidate(Status_line_CA_1& e1,siz
     }
     else {
         CGAL::Sign e1_smaller=split_compare(e1,i1,e2,i2);
-        
+
         slice_it=slice_info.erase(slice_it);
         if(e1_smaller==CGAL::SMALLER) {
             slice_it = slice_info.insert
@@ -2269,10 +2269,10 @@ check_candidate(Status_line_CA_1& e1,siz
 template<typename AlgebraicKernelWithAnalysis_2>
 typename Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>::size_type
 Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>::
-find_possible_matching(Status_line_CA_1& e1, 
+find_possible_matching(Status_line_CA_1& e1,
                        size_type index1,
                        Status_line_CA_1& e2) const {
-    
+
     std::vector<size_type> possible_overlaps;
     for(size_type i=0;i<e2.number_of_events();i++) {
         if(overlap(e1,index1,e2,i)) {
@@ -2289,7 +2289,7 @@ find_possible_matching(Status_line_CA_1&
             }
         }
         e1.refine(index1);
-        
+
         typename std::vector<size_type>::iterator it
             = possible_overlaps.begin();
         while(it!=possible_overlaps.end()) {
@@ -2314,43 +2314,43 @@ find_possible_matching(Status_line_CA_1&
 
 template<typename AlgebraicKernelWithAnalysis_2>
 void Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>::
-new_shear_for_intersection_info(Intersection_info_container& info_container) 
+new_shear_for_intersection_info(Intersection_info_container& info_container)
     const {
 #if CGAL_ACK_DEBUG_FLAG
     CGAL_ACK_DEBUG_PRINT << "Use shear for intersections.." << std::endl;
 #endif
     bool good_direction_found=false;
     Integer s;
-    
+
     while(! good_direction_found) {
         try {
             info_container.clear();
-            info_container.resize(resultant_roots().size());               
+            info_container.resize(resultant_roots().size());
             s = this->ptr()->shear_controller.get_shear_factor();
 #if CGAL_ACK_DEBUG_FLAG
             CGAL_ACK_DEBUG_PRINT << "Try shear factor " << s << std::endl;
-            CGAL_ACK_DEBUG_PRINT 
+            CGAL_ACK_DEBUG_PRINT
                 << ">>>>>>>>>>> Transform first curve"  << std::endl;
 #endif
-            
-            Curve_analysis_2 sh1 
+
+            Curve_analysis_2 sh1
                 = this->ptr()->c1_.shear_primitive_part(s);
 #if CGAL_ACK_DEBUG_FLAG
-            CGAL_ACK_DEBUG_PRINT 
+            CGAL_ACK_DEBUG_PRINT
                 << "<<<<<<<<<<< End of transform first curve" << std::endl;
-            CGAL_ACK_DEBUG_PRINT << ">>>>>>>>>>> Transform second curve" 
+            CGAL_ACK_DEBUG_PRINT << ">>>>>>>>>>> Transform second curve"
                                  << std::endl;
 #endif
             Curve_analysis_2 sh2 = this->ptr()->c2_.shear_primitive_part(s);
 #if CGAL_ACK_DEBUG_FLAG
-            CGAL_ACK_DEBUG_PRINT 
-                << "<<<<<<<<<<< End of transform second curve" 
+            CGAL_ACK_DEBUG_PRINT
+                << "<<<<<<<<<<< End of transform second curve"
                 << std::endl;
 #endif
             Self sh_pair(kernel(),sh1,sh2,CGAL::EXCEPTION_STRATEGY);
-            
-#if CGAL_ACK_DEBUG_FLAG 
-            CGAL_ACK_DEBUG_PRINT << "Shear back intersection points..." 
+
+#if CGAL_ACK_DEBUG_FLAG
+            CGAL_ACK_DEBUG_PRINT << "Shear back intersection points..."
                                  << std::flush;
 #endif
             for(size_type i=0;
@@ -2360,7 +2360,7 @@ new_shear_for_intersection_info(Intersec
                 if(sh_pair.event_indices(i).fg==-1) {
                     continue;
                 }
-                Status_line_CPA_1 slice 
+                Status_line_CPA_1 slice
                     = sh_pair.status_line_at_event(i);
                 Curves_at_event_functor functor(slice);
                 for(size_type j=0;j<slice.number_of_events();j++) {
@@ -2378,7 +2378,7 @@ new_shear_for_intersection_info(Intersec
             this->ptr()->shear_controller.report_failure(s);
         }
     }
-    
+
 #if CGAL_ACK_DEBUG_FLAG
     CGAL_ACK_DEBUG_PRINT << "done" << std::endl;
 #endif
@@ -2389,7 +2389,7 @@ new_shear_for_intersection_info(Intersec
 
 template<typename AlgebraicKernelWithAnalysis_2>
 typename Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>
-    ::Status_line_CPA_1 
+    ::Status_line_CPA_1
 Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>::
 create_event_slice_from_current_intersection_info (size_type i) const{
 #if CGAL_ACK_DEBUG_FLAG
@@ -2404,7 +2404,7 @@ create_event_slice_from_current_intersec
                    static_cast<size_type>
                    (intersection_info_container.size()));
 #if CGAL_ACK_DEBUG_FLAG
-    CGAL_ACK_DEBUG_PRINT << i << "th slice has " 
+    CGAL_ACK_DEBUG_PRINT << i << "th slice has "
                          << intersection_info_container[index_of_fg].size()
                          << " intersections" << std::endl;
 #endif
@@ -2423,8 +2423,8 @@ create_event_slice_from_current_intersec
          -1);
     CGAL_assertion(no_intersections==static_cast<size_type>
                    (intersection_info_container[index_of_fg].size()));
-    typename std::vector<typename Rep::Intersection_info>::iterator 
-        inter_info_it 
+    typename std::vector<typename Rep::Intersection_info>::iterator
+        inter_info_it
         = intersection_info_container[index_of_fg].begin();
     for(size_type j=0;j<static_cast<size_type>(slice.size());j++) {
         if(slice[j].first==CGAL::internal::INTERSECTION) {
@@ -2436,23 +2436,23 @@ create_event_slice_from_current_intersec
                 // Multiplicity unknown for case where we need it
                 throw CGAL::internal::Non_generic_position_exception();
             }
-            slice[j].second=inter_info_it->mult;              
+            slice[j].second=inter_info_it->mult;
             inter_info_it++;
         }
     }
-    
+
 #if CGAL_ACK_DEBUG_FLAG
     CGAL_ACK_DEBUG_PRINT << "done" << std::endl;
 #endif
     return create_slice_from_slice_info(i,slice,true);
-    
+
 }
 
 //////////////////// update_intersection_info
 
 template<typename AlgebraicKernelWithAnalysis_2>
 void Curve_pair_analysis_2<AlgebraicKernelWithAnalysis_2>::
-update_intersection_info(Intersection_info_container& 
+update_intersection_info(Intersection_info_container&
                          info_container,
                          Self& sh_pair,
                          Status_line_CPA_1 slice,
@@ -2473,7 +2473,7 @@ update_intersection_info(Intersection_in
     intersection_info.mult=slice.multiplicity_of_intersection(j);
     // Find the right position to insert the object
     // first the "x-coordiante"
-    size_type left_index = -1, 
+    size_type left_index = -1,
         right_index = static_cast<size_type>(stripe_values().size()-1);
     Algebraic_real_1 xv = ev.x();
     Bound lx = xv.low(), rx=xv.high(),
@@ -2494,26 +2494,26 @@ update_intersection_info(Intersection_in
         Bound left=(s<0) ? x_sheared(lx,ry,-s): x_sheared(lx,ly,-s);
         Bound right = (s<0) ? x_sheared(rx,ly,-s) : x_sheared(rx,ry,-s);
         CGAL_assertion(left<right);
-        while(left_index<right_index && 
+        while(left_index<right_index &&
               stripe_values()[left_index+1]<left) {
             ++left_index;
         }
-        while(left_index<right_index && 
+        while(left_index<right_index &&
               right<stripe_values()[right_index]) {
             --right_index;
         }
     }
     CGAL_assertion(left_index==right_index);
-        
+
     // Now, the "y-coordinate"
     typedef std::vector<Intersection_info> Intersection_info_vector;
-    Intersection_info_vector& info_vec 
+    Intersection_info_vector& info_vec
         = info_container[left_index];
     typename Intersection_info_vector::iterator info_it=info_vec.begin();
     while(info_it!=info_vec.end()) {
         Status_line_CA_1& comp_ev=info_it->ev;
         size_type comp_index = info_it->index;
-        CGAL::Sign index_smaller 
+        CGAL::Sign index_smaller
             = split_compare(ev,index,comp_ev,comp_index);
         if(index_smaller==CGAL::LARGER) {
             info_it++;
@@ -2521,7 +2521,7 @@ update_intersection_info(Intersection_in
             break;
         }
     }
-    info_vec.insert(info_it,intersection_info);        
+    info_vec.insert(info_it,intersection_info);
 }
 
 //////////////////// reduce_number_of_candidates_and_intersections_to
@@ -2536,8 +2536,8 @@ reduce_number_of_candidates_and_intersec
                                                  size_type k) const {
 /*
 #if CGAL_ACK_DEBUG_FLAG
-    CGAL_ACK_DEBUG_PRINT << "Reduce: " << n << " " 
-                         << CGAL::to_double(e1.x()) << " " << k 
+    CGAL_ACK_DEBUG_PRINT << "Reduce: " << n << " "
+                         << CGAL::to_double(e1.x()) << " " << k
                          << std::endl;
 #endif
 */
@@ -2552,13 +2552,13 @@ reduce_number_of_candidates_and_intersec
         }
     }
     CGAL_assertion(number_of_intersections<=n);
-    
+
     typename Slice_info::iterator slice_it=slice.begin();
     size_type i1=0,i2=0;
     size_type max_candidate_mult=0;
     while(n<number_of_candidates+number_of_intersections) {
         if(slice_it==slice.end()) {
-            CGAL_assertion(e1.number_of_events()==i1 && 
+            CGAL_assertion(e1.number_of_events()==i1 &&
                            e2.number_of_events()==i2);
             if(max_candidate_mult<k) {
                 throw CGAL::internal::Non_generic_position_exception();
@@ -2607,7 +2607,7 @@ reduce_number_of_candidates_and_intersec
                 size_type m1 = e1.get_upper_bound_for_multiplicity(i1),
                     m2 = e2.get_upper_bound_for_multiplicity(i2),
                     min_m = m1<m2 ? m1 : m2;
-                max_candidate_mult = max_candidate_mult>min_m 
+                max_candidate_mult = max_candidate_mult>min_m
                     ? max_candidate_mult : min_m;
             }
             i1++;
@@ -2623,7 +2623,7 @@ reduce_number_of_candidates_and_intersec
         slice_it++;
     }
     return number_of_intersections+number_of_candidates;
-}      
+}
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Descartes.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Descartes.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Descartes.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Descartes.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Descartes.h $
-// $Id: Descartes.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Descartes.h $
+// $Id: Descartes.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //
@@ -16,8 +16,8 @@
 //         they may be wrong now.
 
 /*! \file NiX/Descartes.h
-  \brief Defines class NiX::Descartes. 
-  
+  \brief Defines class NiX::Descartes.
+
   Isolate real roots of polynomials.
 
   This file provides a class to isolate real roots of polynomials,
@@ -32,7 +32,7 @@
 #define CGAL_ALGEBRAIC_KERNEL_D_DESCARTES_H
 
 #include <CGAL/basic.h>
-#include <CGAL/Polynomial.h> 
+#include <CGAL/Polynomial.h>
 
 #include <CGAL/Algebraic_kernel_d/univariate_polynomial_utils.h>
 #include <CGAL/Algebraic_kernel_d/construct_binary.h>
@@ -47,9 +47,9 @@ namespace CGAL {
 namespace internal {
 
 /*! \ingroup NiX_Algebraic_real
- *  \brief A model of concept RealRootIsolator. 
+ *  \brief A model of concept RealRootIsolator.
  */
-template <class Polynomial_, class Rational_> 
+template <class Polynomial_, class Rational_>
 class Descartes {
     typedef CGAL::Fraction_traits<Polynomial_> FT_poly;
     typedef Fraction_traits<Rational_> FT_rat;
@@ -65,63 +65,63 @@ public:
 private:
     typedef typename Polynomial::NT Coeff;
     typedef Integer IT;
-    
+
     Polynomial poly_;
-    int number_of_real_roots_;   
-    IT* numerator;   
-    IT* denominator_exponent; 
+    int number_of_real_roots_;
+    IT* numerator;
+    IT* denominator_exponent;
     bool* is_exact;
     IT LEFT,SCALE,DENOM;
     bool is_strong_;
     int k;
     bool interval_given;
-    
+
 public:
     /*! \brief Constructor from univariate square free polynomial.
-    
-    The RealRootIsolator provides isolating intervals for the real 
+
+    The RealRootIsolator provides isolating intervals for the real
     roots of the polynomial.
-    \pre the polynomial is square free      
+    \pre the polynomial is square free
     */
-    Descartes(const Polynomial& P = Polynomial(Coeff(0)), 
+    Descartes(const Polynomial& P = Polynomial(Coeff(0)),
             bool is_strong = false,
-            int kk = 2) 
-        : poly_(P) , 
-          is_strong_(is_strong), 
+            int kk = 2)
+        : poly_(P) ,
+          is_strong_(is_strong),
           k(kk),
           interval_given(false) {
-        
-        numerator = new IT[CGAL::degree(P)]; 
+
+        numerator = new IT[CGAL::degree(P)];
         denominator_exponent = new IT[CGAL::degree(P)];
-        is_exact = new bool[CGAL::degree(P)]; 
+        is_exact = new bool[CGAL::degree(P)];
         number_of_real_roots_ = 0;
-        if(CGAL::degree(P) == 0) 
-            { 
+        if(CGAL::degree(P) == 0)
+            {
                 if(P.is_zero()) number_of_real_roots_ = -1;
                 return;
             }
-        
+
         intern_decompose(poly_,typename FT_poly::Is_fraction());
     }
-    
-    // constructor for coefficient types \c Coeff with given interval 
+
+    // constructor for coefficient types \c Coeff with given interval
     // (experimental)
     Descartes(const Polynomial& P,
             const Rational& left,
             const Rational& right,
             bool is_strong = false,
-            int kk = 2) 
-        : poly_(P) , 
-          is_strong_(is_strong), 
+            int kk = 2)
+        : poly_(P) ,
+          is_strong_(is_strong),
           k(kk),
           interval_given(true) {
-        
-        numerator = new IT[CGAL::degree(P)]; 
+
+        numerator = new IT[CGAL::degree(P)];
         denominator_exponent = new IT[CGAL::degree(P)];
         is_exact = new bool[CGAL::degree(P)];
         number_of_real_roots_ = 0;
-        if(CGAL::degree(P) == 0) 
-            { 
+        if(CGAL::degree(P) == 0)
+            {
                 if(P.is_zero()) number_of_real_roots_ = -1;
                 return;
             }
@@ -130,7 +130,7 @@ public:
         typedef typename FT_rat::Denominator Denominator;
         Numerator numleft, numright;
         Denominator denleft, denright;
- 
+
         decompose(left,numleft,denleft);
         decompose(right,numright,denright);
 
@@ -144,18 +144,18 @@ public:
 
     //! copy constructor
     Descartes(const Descartes& D)
-        : poly_(D.poly_), 
+        : poly_(D.poly_),
           number_of_real_roots_(D.number_of_real_roots_),
-          LEFT(D.LEFT), 
+          LEFT(D.LEFT),
           SCALE(D.SCALE),
           DENOM(D.DENOM),
-          is_strong_(D.is_strong_), 
+          is_strong_(D.is_strong_),
           k(D.k),
           interval_given(D.interval_given) {
-        
-        numerator = new IT[CGAL::degree(poly_)]; 
+
+        numerator = new IT[CGAL::degree(poly_)];
         denominator_exponent = new IT[CGAL::degree(poly_)];
-        is_exact = new bool[CGAL::degree(poly_)]; 
+        is_exact = new bool[CGAL::degree(poly_)];
         for(int i=0; i<number_of_real_roots(); i++)
             {
                 numerator[i] = D.numerator[i];
@@ -172,36 +172,36 @@ public:
     }
 
 public: // functions
-    
-    /*! \brief returns the defining polynomial*/ 
+
+    /*! \brief returns the defining polynomial*/
     Polynomial polynomial() const { return poly_; }
-    
+
     //! returns the number of real roots
     int number_of_real_roots() const { return number_of_real_roots_; }
 
-    /*! \brief returns true if the isolating interval is degenerated to a 
+    /*! \brief returns true if the isolating interval is degenerated to a
       single point.
-      
-      If is_exact_root(i) is true, 
+
+      If is_exact_root(i) is true,
       then left_bound(int i) equals  \f$root_i\f$. \n
-      If is_exact_root(i) is true, 
-      then right_bound(int i) equals  \f$root_i\f$. \n 
+      If is_exact_root(i) is true,
+      then right_bound(int i) equals  \f$root_i\f$. \n
     */
     bool is_exact_root(int i) const { return is_exact[i]; }
-      
- 
-   
-public:   
-  
-  
+
+
+
+public:
+
+
     void left_bound(int i, IT& numerator_, IT& denominator_) const {
         CGAL_assertion(i >= 0 && i < number_of_real_roots_);
         construct_binary(denominator_exponent[i], denominator_);
         numerator_= SCALE * numerator[i] + LEFT * denominator_;
         denominator_ = denominator_ * DENOM;
     }
-    
-  
+
+
     void right_bound(int i,IT& numerator_, IT& denominator_) const {
         CGAL_assertion(i >= 0 && i < number_of_real_roots_);
         if(is_exact[i]){
@@ -214,61 +214,61 @@ public:
         }
     }
 public:
-    
-    /*! \brief returns  \f${l_i}\f$ the left bound of the isolating interval 
+
+    /*! \brief returns  \f${l_i}\f$ the left bound of the isolating interval
       for root  \f$root_{i}\f$.
-      
+
       In case is_exact_root(i) is true,  \f$l_i = root_{i}\f$,\n
-      otherwise:  \f$l_i < root_{i}\f$. 
-         
+      otherwise:  \f$l_i < root_{i}\f$.
+
       If  \f$i-1>=0\f$, then  \f$l_i > root_{i-1}\f$. \n
-      If  \f$i-1>=0\f$, then  \f$l_i >= r_{i-1}\f$, 
+      If  \f$i-1>=0\f$, then  \f$l_i >= r_{i-1}\f$,
       the right bound of  \f$root_{i-1}\f$\n
 
       \pre 0 <= i < number_of_real_roots()
     */
-    Rational left_bound(int i) const { 
+    Rational left_bound(int i) const {
         IT numerator_, denominator_;
         left_bound(i,numerator_,denominator_);
         return Rational(numerator_) / Rational(denominator_);
     }
-    
-    /*! \brief returns  \f${r_i}\f$ the right bound of the isolating interval 
+
+    /*! \brief returns  \f${r_i}\f$ the right bound of the isolating interval
       for root  \f$root_{i}\f$.
-      
+
       In case is_exact_root(i) is true,  \f$r_i = root_{i}\f$,\n
-      otherwise:  \f$r_i > root_{i}\f$. 
-         
+      otherwise:  \f$r_i > root_{i}\f$.
+
       If  \f$i+1< n \f$, then  \f$r_i < root_{i+1}\f$,
       where \f$n\f$ is number of real roots.\n
-      If  \f$i+1< n \f$, then  \f$r_i <= l_{i+1}\f$, 
+      If  \f$i+1< n \f$, then  \f$r_i <= l_{i+1}\f$,
       the left bound of  \f$root_{i+1}\f$\n
 
-        
+
       \pre 0 <= i < number_of_real_roots()
     */
-    Rational right_bound(int i) const { 
+    Rational right_bound(int i) const {
         IT numerator_, denominator_;
         right_bound(i,numerator_,denominator_);
         return Rational(numerator_) / Rational(denominator_);
-    }  
-    
+    }
+
 private:
     void intern_decompose( Polynomial P_, ::CGAL::Tag_true){
         typename FT_poly::Decompose decompose;
         typename FT_poly::Numerator_type NumP;
         typename FT_poly::Denominator_type dummy;
- 
+
         decompose(P_,NumP,dummy);
         init_with(NumP);
     }
 
-    void intern_decompose( Polynomial P, ::CGAL::Tag_false){ 
+    void intern_decompose( Polynomial P, ::CGAL::Tag_false){
         init_with(P);
     }
 
-  
-    template<class Polynomial__> 
+
+    template<class Polynomial__>
     void init_with(const Polynomial__& P){
         typedef typename  Polynomial__::NT Coeff;
         if(!interval_given)
@@ -281,28 +281,28 @@ private:
         Polynomial__ Q = ::CGAL::scale_up(R,Coeff(SCALE));
         zero_one_descartes<Coeff>(Q,0,0);
     }
-    
-    
+
+
     //! returns the polynomial $(1 + x)^n P(1/(1 + x))$.
     template <class Coeff__>
     /*
-    typename 
-    CGAL::Polynomial_traits_d<Polynomial> 
+    typename
+    CGAL::Polynomial_traits_d<Polynomial>
     ::template Rebind<Coeff__,1>::Other::Type
     */
-    POLYNOMIAL_REBIND(Coeff__) 
-        variation_transformation(const POLYNOMIAL_REBIND(Coeff__)& P) { 
+    POLYNOMIAL_REBIND(Coeff__)
+        variation_transformation(const POLYNOMIAL_REBIND(Coeff__)& P) {
         POLYNOMIAL_REBIND(Coeff__) R = reversal(P);
-        return translate_by_one(R); 
+        return translate_by_one(R);
     }
 
     //! Returns an upper bound on the absolute value of all roots of $P$.
     /*! The upper bound is a power of two. Only works for univariate
-     * polynomials. 
+     * polynomials.
      */
     template <class Coeff__>
-    IT weak_upper_root_bound(const POLYNOMIAL_REBIND(Coeff__)& P) { 
-  
+    IT weak_upper_root_bound(const POLYNOMIAL_REBIND(Coeff__)& P) {
+
         typename Real_embeddable_traits<Coeff__>::Abs abs;
         const int n = CGAL::degree(P);
         IT r(1);  // return value
@@ -328,29 +328,29 @@ private:
             return false;
         return (P[0] != Coeff__(0) && P.evaluate(Coeff__(1)) != Coeff__(0));
     }
-    //! Descartes algoritm to determine isolating intervals for the roots 
+    //! Descartes algoritm to determine isolating intervals for the roots
     //! lying in the interval (0,1).
     // The parameters $(i,D)$ describe the interval $(i/2^D, (i+1)/2^D)$.
     // Here $0\leq i < 2^D$.
     template <class Coeff__>
     void zero_one_descartes(const POLYNOMIAL_REBIND(Coeff__)& P,
-            IT i, IT D) { 
-        // Determine the number of sign variations of the transformed 
-        // polynomial $(1+x)^nP(1/(1+x))$. This gives the number of 
+            IT i, IT D) {
+        // Determine the number of sign variations of the transformed
+        // polynomial $(1+x)^nP(1/(1+x))$. This gives the number of
         // roots of $P$ in $(0,1)$.
 
         POLYNOMIAL_REBIND(Coeff__) R = variation_transformation<Coeff__>(P);
         int descarte = sign_variations(R);
-        
+
         // no root
         if ( descarte == 0 ) return;
 
         // exactly one root
         // Note the termination criterion $P(0)\neq 0$ and $P(1)\neq 0$.
         // This ensures that the given interval is an isolating interval.
-        if ( descarte == 1 
-                && P[0] != Coeff__(0) 
-                && P.evaluate(Coeff__(1)) != Coeff__(0) ) { 
+        if ( descarte == 1
+                && P[0] != Coeff__(0)
+                && P.evaluate(Coeff__(1)) != Coeff__(0) ) {
             if(is_strong_) {
                 strong_zero_one_descartes<Coeff__>(P,i,D);
                 return;
@@ -360,8 +360,8 @@ private:
                 denominator_exponent[number_of_real_roots_] = D;
                 is_exact[number_of_real_roots_] = false;
                 number_of_real_roots_++;
-                return; 
-            } 
+                return;
+            }
         }
 
         // more than one root
@@ -371,33 +371,33 @@ private:
         // Transform the polynomial such that the first half of the interval
         // is mapped to the unit interval.
         POLYNOMIAL_REBIND(Coeff__) Q = scale_down(P,Coeff__(2));
- 
+
         // Consider the first half of the interval.
         zero_one_descartes<Coeff__>(Q,i,D);
-     
-        // Test if the polynomial is zero at the midpoint of the interval 
+
+        // Test if the polynomial is zero at the midpoint of the interval
         POLYNOMIAL_REBIND(Coeff__)  S = translate_by_one(Q);
-        if ( S[0] == Coeff__(0) ) { 
+        if ( S[0] == Coeff__(0) ) {
             numerator[number_of_real_roots_] = i + 1;
             denominator_exponent[number_of_real_roots_] = D;
             is_exact[number_of_real_roots_] = true;
             number_of_real_roots_++;
         }
-         
-        // Consider the second half of the interval. 
-        zero_one_descartes<Coeff__>(S,i+1,D); 
+
+        // Consider the second half of the interval.
+        zero_one_descartes<Coeff__>(S,i+1,D);
     }
 
 
-    //! Strong Descartes algoritm to determine isolating intervals for the 
+    //! Strong Descartes algoritm to determine isolating intervals for the
     //! roots lying in the interval (0,1), where the first
-    //! derivative have no sign change. \pre $P$ has only one root in the 
+    //! derivative have no sign change. \pre $P$ has only one root in the
     //! interval given by $(i,D)$.
     // The parameters $(i,D)$ describe the interval $(i/2^D, (i+1)/2^D)$.
     // Here $0\leq i < D$.
     template <class Coeff__>
     void strong_zero_one_descartes(const POLYNOMIAL_REBIND(Coeff__)& P,
-            IT i, IT D) { 
+            IT i, IT D) {
 
         // Test if the polynomial P' has no roots in the
         // interval. For further use in Newton, the interval should be not
@@ -422,11 +422,11 @@ private:
                 denominator_exponent[number_of_real_roots_] = D;
                 is_exact[number_of_real_roots_] = false;
                 number_of_real_roots_++;
-                return; 
+                return;
             }
         }
 
-        // either $P'$ fails the test, 
+        // either $P'$ fails the test,
         // or the interval is too large
         // Refine the interval.
         i = 2*i; D = D+1;
@@ -434,10 +434,10 @@ private:
         // Transform the polynomial such that the first half of the interval
         // is mapped to the unit interval.
         POLYNOMIAL_REBIND(Coeff__) Q = scale_down(P,Coeff__(2));
- 
-        // Test if the polynomial is zero at the midpoint of the interval 
+
+        // Test if the polynomial is zero at the midpoint of the interval
         POLYNOMIAL_REBIND(Coeff__)  S = translate_by_one(Q);
-        if ( S[0] == Coeff__(0) ) { 
+        if ( S[0] == Coeff__(0) ) {
             numerator[number_of_real_roots_] = i + 1;
             denominator_exponent[number_of_real_roots_] = D;
             is_exact[number_of_real_roots_] = true;
@@ -450,11 +450,11 @@ private:
             strong_zero_one_descartes<Coeff__>(Q,i,D);
             return;
         }
-         
-        // Consider the second half of the interval. 
-        strong_zero_one_descartes<Coeff__>(S,i+1,D); 
+
+        // Consider the second half of the interval.
+        strong_zero_one_descartes<Coeff__>(S,i+1,D);
         return;
-    } 
+    }
 };
 
 } // namespace internal
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/enums.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/enums.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/enums.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/enums.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/enums.h $
-// $Id: enums.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/enums.h $
+// $Id: enums.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Kerber <mkerber@mpi-inf.mpg.de>
 //
@@ -31,14 +31,14 @@ namespace internal {
 } // namespace internal
 
 /*!
- * \brief Represents different strategies how to handle 
+ * \brief Represents different strategies how to handle
  * degenerate cases during the analysis
  *
- * Currently, there are two possible strategies implemented. See the 
+ * Currently, there are two possible strategies implemented. See the
  * constructor of \c Curve_analysis_2 for more details.
  */
 enum Degeneracy_strategy {
-    
+
     SHEAR_STRATEGY = 0,
     EXCEPTION_STRATEGY = 1,
     SHEAR_ONLY_AT_IRRATIONAL_STRATEGY = 2
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Event_line_builder.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Event_line_builder.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Event_line_builder.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Event_line_builder.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Event_line_builder.h $
-// $Id: Event_line_builder.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Event_line_builder.h $
+// $Id: Event_line_builder.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Kerber <mkerber@mpi-inf.mpg.de>
 //
@@ -44,9 +44,9 @@ namespace internal {
 /*!
  * \brief Constructs Vert_line-objects for an algebraic curve.
  *
- *  
+ *
  * The method \ref create_event_line builds such a vert-line
- * for critical x-values. See the 
+ * for critical x-values. See the
  * documentation of this routines for further information.
  *
  */
@@ -68,11 +68,11 @@ public:
     typedef typename Algebraic_kernel_with_analysis_2::Bound Bound;
 
     // \brief Univariate polynomials
-    typedef typename Algebraic_kernel_with_analysis_2::Polynomial_1 
+    typedef typename Algebraic_kernel_with_analysis_2::Polynomial_1
         Polynomial_1;
 
     // \brief Bivariate polynomials
-    typedef typename Algebraic_kernel_with_analysis_2::Polynomial_2 
+    typedef typename Algebraic_kernel_with_analysis_2::Polynomial_2
         Polynomial_2;
 
     // \brief Rational polynomials
@@ -83,7 +83,7 @@ public:
     // \brief Type for x-values
     typedef typename Curve_analysis_2::Algebraic_real_1 Algebraic_real_1;
 
-    //! \brief \c Vert_line specification for critical x-values 
+    //! \brief \c Vert_line specification for critical x-values
     typedef typename Curve_analysis_2::Status_line_1 Status_line_1;
 
     // \brief Type for Polynomial traits
@@ -97,13 +97,13 @@ public:
      *
      * Apart from the curve itself a polynomial is passed which is expected
      * to be the primitive part of the curve.
-     * If the flag \c compute_sturm_habicht is set, the principal and 
+     * If the flag \c compute_sturm_habicht is set, the principal and
      * coprincipal Sturm-Habicht coefficients of \c polynomial are computed.
      * These coefficients provide information about properties of the curve
      * at certain <tt>x</tt>-coordinates. Some methods of this class are only
      * possible if they are computed.
      *
-     * See \c NiX_resultant_matrix  for 
+     * See \c NiX_resultant_matrix  for
      * more details about Sturm-Habicht sequences.
      */
     Event_line_builder(Algebraic_kernel_with_analysis_2* kernel,
@@ -113,8 +113,8 @@ public:
     {}
 
 
-    /*! 
-     * \brief Creates an event line at position \c alpha for the specified 
+    /*!
+     * \brief Creates an event line at position \c alpha for the specified
      * curve.
      *
      * Additionally, the \c id of the event line to be created has to be
@@ -131,34 +131,34 @@ public:
      * coefficients. It is necessary that they were computed beforehand.
      * However, such symbolic computations need not be done if alpha is a
      * simple root of the resultant, so if \c mult equals 1.
-     * 
+     *
      * The method will succeed, if the curve has only one multiple root
      * at \c alpha over the complex numbers. It will never succeed, if there is
      * more than one real root at \c alpha. In other cases, the outcome is not
-     * clear. In cases where the functions fails, a 
-     * CGAL::internal::Non_generic_position_exception is thrown, otherwise, a 
+     * clear. In cases where the functions fails, a
+     * CGAL::internal::Non_generic_position_exception is thrown, otherwise, a
      * fixed AcX::Vert_line object is returned.
      */
     Status_line_1
     create_event_line(int id,Algebraic_real_1 alpha,int arcs_left,int arcs_right,
-                      bool root_of_resultant, bool root_of_content,int mult) 
+                      bool root_of_resultant, bool root_of_content,int mult)
     {
 
         try {
-	
+
             int k;
 
 
-            Bitstream_descartes bit_des 
+            Bitstream_descartes bit_des
                 = construct_bitstream_descartes(alpha,k,root_of_resultant,mult,
                                                 arcs_left,arcs_right);
 /*
 #if CGAL_ACK_DEBUG_FLAG
-            CGAL_ACK_DEBUG_PRINT << "bitstream descartes constructed" 
+            CGAL_ACK_DEBUG_PRINT << "bitstream descartes constructed"
                                  << std::endl;
 #endif
 */
-	
+
             int n = bit_des.number_of_real_roots();
 
             int c = this->get_index_of_multiple_root(bit_des);
@@ -170,9 +170,9 @@ public:
 */
             int arcs_to_candidate_left=arcs_left-n+1;
             int arcs_to_candidate_right=arcs_right-n+1;
-	
-            //flag seems to be not used for now, but caused warnings (M.Hemmer) 
-            //bool event_flag; 
+
+            //flag seems to be not used for now, but caused warnings (M.Hemmer)
+            //bool event_flag;
 
             //if(false) {
             if(arcs_to_candidate_left!=1 || arcs_to_candidate_right!= 1) {
@@ -180,7 +180,7 @@ public:
             }
             else {
 
-// Need this flag to decide the event flag correctly, 
+// Need this flag to decide the event flag correctly,
 // we don't care about it for now!
 #if !CGAL_ACK_CHECK_CANDIDATE_FOR_SINGULARITY
               //event_flag=false;
@@ -194,7 +194,7 @@ public:
 #if CGAL_ACK_DEBUG_FLAG
                     CGAL_ACK_DEBUG_PRINT << "Ev check..." << std::flush;
 #endif
-                    
+
                     typename Polynomial_traits_2::Differentiate diff;
                     Polynomial_2 fx diff(f,0);
                     Polynomial_2 fy diff(f,1);
@@ -204,9 +204,9 @@ public:
                 }
 #endif
             }
-	
+
             int root_number=bit_des.number_of_real_roots();
-            
+
             typename Status_line_1::Arc_container arc_container;
 
             for(int i=0;i<root_number;i++) {
@@ -219,22 +219,22 @@ public:
                                         arcs_to_candidate_right));
                 }
             }
-            
-            Status_line_1 vl(alpha, id, curve, arcs_left, arcs_right, 
+
+            Status_line_1 vl(alpha, id, curve, arcs_left, arcs_right,
                              arc_container);
             vl.set_isolator(bit_des);
-                    
+
             vl._set_number_of_branches_approaching_infinity
                 (std::make_pair(0,0),std::make_pair(0,0));
 
 #if !CGAL_ACK_SHEAR_ALL_NOT_Y_REGULAR_CURVES
-            if(kernel()->is_zero_at_1_object() 
+            if(kernel()->is_zero_at_1_object()
                (CGAL::leading_coefficient(polynomial),alpha)) {
                 int n = CGAL::degree(polynomial,1);
                 CGAL_assertion(! kernel()->is_zero_at_1_object()
                                  (CGAL::get_coefficient(polynomial,n-1),
                                   alpha));
-                CGAL::Sign asym_sign 
+                CGAL::Sign asym_sign
                     = kernel()->sign_at_1_object()
                         (CGAL::get_coefficient(polynomial,n-1),alpha)
                     * kernel()->sign_at_1_object()
@@ -250,8 +250,8 @@ public:
                 }
             }
 #endif
-        
-     
+
+
             if(root_of_content) {
                 vl._set_v_line();
             }
@@ -259,12 +259,12 @@ public:
         }
         catch(CGAL::internal::Non_generic_position_exception /* err */) {
 #if CGAL_ACK_DEBUG_FLAG
-            CGAL_ACK_DEBUG_PRINT << "Detected non-generic position for alpha=" 
+            CGAL_ACK_DEBUG_PRINT << "Detected non-generic position for alpha="
                                  << CGAL::to_double(alpha) << std::endl;
 #endif
             throw CGAL::internal::Non_generic_position_exception();
         }
-      
+
     }
 
 protected:
@@ -279,13 +279,13 @@ protected:
     typedef boost::numeric::interval<Bound> Interval;
 
     // \brief Refinement type from the curve class.
-    typedef typename Curve_analysis_2::Bitstream_descartes 
+    typedef typename Curve_analysis_2::Bitstream_descartes
     Bitstream_descartes;
 
-    typedef typename Curve_analysis_2::Bitstream_coefficient_kernel 
-    Bitstream_coefficient_kernel;    
+    typedef typename Curve_analysis_2::Bitstream_coefficient_kernel
+    Bitstream_coefficient_kernel;
 
-    typedef typename Curve_analysis_2::Bitstream_traits 
+    typedef typename Curve_analysis_2::Bitstream_traits
     Bitstream_traits;
 
     Algebraic_kernel_with_analysis_2* _m_kernel;
@@ -297,10 +297,10 @@ protected:
     Polynomial_2 polynomial;
 
 
-    /*! 
+    /*!
      * \brief Exact information about <tt>f<sub>x=alpha</sub></tt>.
      *
-     * Returns a pair <tt>(m,k)</tt> with the following meaning. Let 
+     * Returns a pair <tt>(m,k)</tt> with the following meaning. Let
      * \c seq be a sequence <tt>g<sub>0</sub>,...,g<sub>n</sub></tt>.
      * Then, \c k is the first index for which <tt>g<sub>i</sub>(alpha)</tt>
      * is not zero. The number <tt>m</tt> is the result of the function
@@ -308,8 +308,8 @@ protected:
      * <tt>C</tt> is defined as in L.Gonzalez-Vega, I.Necula: Efficient
      * topology determination of implicitly defined algebraic plane curves.
      * <i>Computer Aided Geometric Design</i> <b>19</b> (2002) 719-743.
-     * If \c seq is the sequence of principal Sturm-Habicht coefficients, 
-     * \c m is the number of real roots of <tt>f<sub>x=alpha</sub></tt>, 
+     * If \c seq is the sequence of principal Sturm-Habicht coefficients,
+     * \c m is the number of real roots of <tt>f<sub>x=alpha</sub></tt>,
      * counted without multiplicity.
      *
      * If the first elements in the sequence are known to be zero,
@@ -318,19 +318,19 @@ protected:
      */
     template<typename InputIterator>
     std::pair<int,int> compute_mk(Algebraic_real_1 alpha,
-				  InputIterator seq_begin,
+                                  InputIterator seq_begin,
                                   InputIterator seq_end,
-				  int first_elements_zero=0) {
-     
+                                  int first_elements_zero=0) {
+
         typedef InputIterator Input_iterator;
 
 
         Algebraic_real_1& alpha_ref=alpha;
 
         int m,k=-1; // Initialize to prevent compiler warning
-	
+
         bool k_fixed=false;
-        
+
         std::ptrdiff_t seq_size = static_cast<std::ptrdiff_t>(std::distance(seq_begin,seq_end));
 
         typedef int VT;
@@ -348,7 +348,7 @@ protected:
 
 /*
 #if CGAL_ACK_DEBUG_FLAG
-        CGAL_ACK_DEBUG_PRINT << seq_size << " elements to consider" 
+        CGAL_ACK_DEBUG_PRINT << seq_size << " elements to consider"
                              << std::endl;
 #endif
 */
@@ -374,10 +374,10 @@ protected:
 */
 
             CGAL::Sign ia_try
-	      =kernel()->sign_at_1_object()(*seq_it,
-					    alpha_ref,
-					    CGAL_ACK_COMPUTE_MK_PRECISION);
-	
+              =kernel()->sign_at_1_object()(*seq_it,
+                                            alpha_ref,
+                                            CGAL_ACK_COMPUTE_MK_PRECISION);
+
             //CGAL::Sign ia_try=CGAL::ZERO;
 
             if(ia_try!=CGAL::ZERO) {
@@ -393,11 +393,11 @@ protected:
 /*
 #if CGAL_ACK_DEBUG_FLAG
                 CGAL_ACK_DEBUG_PRINT << "successful" << std::endl;
-#endif	  
+#endif
 */
                 continue;
             }
-	    /*
+            /*
 #if CGAL_ACK_DEBUG_FLAG
             CGAL_ACK_DEBUG_PRINT << "no success" << std::endl;
             CGAL_ACK_DEBUG_PRINT << "Is root of..." << std::flush;
@@ -405,13 +405,13 @@ protected:
             CGAL_ACK_DEBUG_PRINT << "pol=" << *seq_it << std::endl;
             CGAL_ACK_DEBUG_PRINT << "alpha=" << alpha.polynomial() << std::endl;
 #endif
-	    */
+            */
 
             bool root_of = kernel()->is_zero_at_1_object()(*seq_it,alpha);
 /*
 #if CGAL_ACK_DEBUG_FLAG
-            CGAL_ACK_DEBUG_PRINT << "done " 
-                                 << ((root_of) ? "true" : "false") 
+            CGAL_ACK_DEBUG_PRINT << "done "
+                                 << ((root_of) ? "true" : "false")
                                  << std::endl;
 #endif
 */
@@ -423,9 +423,9 @@ protected:
 #endif
 */
                 spec_stha.push_back(VT(0));
-            } 
+            }
             else {
-/*                
+/*
 #if CGAL_ACK_DEBUG_FLAG
                 CGAL_ACK_DEBUG_PRINT << "is nonzero.." << std::flush;
 #endif
@@ -440,15 +440,15 @@ protected:
 */
                 }
 /*
-#if CGAL_ACK_DEBUG_FLAG                
+#if CGAL_ACK_DEBUG_FLAG
                 ::CGAL::set_ascii_mode(CGAL_ACK_DEBUG_PRINT);
                 CGAL_ACK_DEBUG_PRINT << "Stha: " << (*seq_it) << std::endl;
 #endif
 */
                 VT beta
                     =kernel()->sign_at_1_object() (*seq_it,alpha_ref);
-                
-/*          
+
+/*
 #if CGAL_ACK_DEBUG_FLAG
                 CGAL_ACK_DEBUG_PRINT << "Value: " << beta << std::endl;
 #endif
@@ -470,11 +470,11 @@ protected:
           }
           CGAL_ACK_DEBUG_PRINT << "--------" << std::endl;
 #endif
-*/        
+*/
 
         typename A_vector::iterator it=spec_stha.begin() + k;
 /*
-#if CGAL_ACK_DEBUG_FLAG        
+#if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "k=" << k << ", Compute m..." << std::flush;
 #endif
 */
@@ -497,45 +497,45 @@ protected:
         return ret;
     }
 
-    /*! 
-     * \brief Constructs a Bitstream Descartes object for 
+    /*!
+     * \brief Constructs a Bitstream Descartes object for
      * <tt>f<sub>x=alpha</sub></tt>
      *
-     * Tries to isolate the roots of <tt>f<sub>x=alpha</sub></tt> with the 
+     * Tries to isolate the roots of <tt>f<sub>x=alpha</sub></tt> with the
      * Bitstream m-k-Descartes method. As additional information, the value
      * \c k is returned which is the greatest common divisor of \c f with its
      * derivative. The flag \c root_of_resultant denotes whether alpha is
      * a root of the resultant of \c f with its derivative.
      * Also, the multiplicity of \c alpha as root of the resultant is given
-     * It his multiplcity is 1, one can avoid the computations with the 
+     * It his multiplcity is 1, one can avoid the computations with the
      * Sturm-Habicht coefficient by looking at \c arcs_left and \c arcs_right.
      *
      * This method requires the Sturm-Habicht coefficients of \c f to be
      * computed beforehand.
-     * On failure, the error CGAL::internal::Non_generic_position_exception 
+     * On failure, the error CGAL::internal::Non_generic_position_exception
      * is thrown.
      */
-    Bitstream_descartes construct_bitstream_descartes(const Algebraic_real_1& 
-						      alpha,
-						      int& k,
-						      bool root_of_resultant,
-						      int mult,
-						      int arcs_left,
-						      int arcs_right) 
+    Bitstream_descartes construct_bitstream_descartes(const Algebraic_real_1&
+                                                      alpha,
+                                                      int& k,
+                                                      bool root_of_resultant,
+                                                      int mult,
+                                                      int arcs_left,
+                                                      int arcs_right)
     {
-        
-        
+
+
         Bitstream_traits traits(Bitstream_coefficient_kernel(kernel(),alpha));
 
         if(root_of_resultant) {
 #if !CGAL_ACK_SHEAR_ALL_NOT_Y_REGULAR_CURVES
-            if(kernel()->is_zero_at_1_object() 
+            if(kernel()->is_zero_at_1_object()
                (CGAL::leading_coefficient(polynomial),alpha)) {
-                Polynomial_2 trunc_pol = 
+                Polynomial_2 trunc_pol =
                     CGAL::internal::poly_non_vanish_leading_term
                       (kernel(),polynomial,alpha);
 
-                CGAL_assertion(CGAL::degree(trunc_pol,1)+1 == 
+                CGAL_assertion(CGAL::degree(trunc_pol,1)+1 ==
                                CGAL::degree(polynomial,1));
                 CGAL::internal::Square_free_descartes_tag t;
 
@@ -552,7 +552,7 @@ protected:
                 k=1;
             }
             else {
-                std::pair<int,int> mk 
+                std::pair<int,int> mk
                     = compute_mk(alpha,
                                  curve.principal_sturm_habicht_begin(),
                                  curve.principal_sturm_habicht_end(),
@@ -561,11 +561,11 @@ protected:
                 m = mk.first;
                 k = mk.second;
             }
-	
+
 #if CGAL_ACK_DEBUG_FLAG
             CGAL_ACK_DEBUG_PRINT << "Bit Des..." << std::flush;
 #endif
-      
+
             CGAL::internal::M_k_descartes_tag t;
 
             Bitstream_descartes bit_des(t,polynomial,m,k,traits);
@@ -583,10 +583,10 @@ protected:
 
 
     /*!
-     * \brief Checks whether a point is a singularity or not.  
+     * \brief Checks whether a point is a singularity or not.
      *
      * This routine is applied in situations where a potential event point
-     * has one incident arc to the left and to the right. To distinguish 
+     * has one incident arc to the left and to the right. To distinguish
      * singularities from other points, this method checks whether the two
      * linearly independent partial derivatives \c der_1 and \c der_2 vansh
      * at the point \c (alpha,beta). Here, \c beta is implicitly defined as
@@ -599,50 +599,50 @@ protected:
      * there is a singularity at <tt>(alpha,beta)</tt>.
      */
     bool event_point_checker(Bitstream_descartes& bit_des,
-			     const Polynomial_2& polynomial,
-			     const Algebraic_real_1& alpha,
-			     int k,
-			     const Polynomial_2& der_1,
-			     const Polynomial_2& der_2) 
+                             const Polynomial_2& polynomial,
+                             const Algebraic_real_1& alpha,
+                             int k,
+                             const Polynomial_2& der_1,
+                             const Polynomial_2& der_2)
     {
-     
+
         //Guess the right expression for y
 /*
 #if CGAL_ACK_DEBUG_FLAG
-        CGAL_ACK_DEBUG_PRINT << costha.size() << " " 
+        CGAL_ACK_DEBUG_PRINT << costha.size() << " "
                              << stha.size() << std::endl;
         CGAL_ACK_DEBUG_PRINT << k << std::endl;
-        CGAL_ACK_DEBUG_PRINT << "Costha: " << costha[k-1] 
+        CGAL_ACK_DEBUG_PRINT << "Costha: " << costha[k-1]
                              << " Stha: " << stha[k] << std::endl;
 #endif
 */
-      
+
         Polynomial_1 p = -curve.coprincipal_sturm_habicht_of_primitive(k);
-        Polynomial_1 q 
+        Polynomial_1 q
             = Coefficient(k)*curve.principal_sturm_habicht_of_primitive(k);
 /*
 #if CGAL_ACK_DEBUG_FLAG
-        CGAL_ACK_DEBUG_PRINT << k << " " << CGAL::to_double(alpha) 
+        CGAL_ACK_DEBUG_PRINT << k << " " << CGAL::to_double(alpha)
                              << std::endl);
-        CGAL_ACK_DEBUG_PRINT << p << " " << q << std::endl 
+        CGAL_ACK_DEBUG_PRINT << p << " " << q << std::endl
                              << polynomial << std::endl;
         Bound a_d = alpha.low();
         CGAL_ACK_DEBUG_PRINT << CGAL::to_double(p.evaluate(a_d)/
-                                                q.evaluate(a_d)) 
+                                                q.evaluate(a_d))
                              << std::endl;
 #endif
 */
         // Check whether it lies in the candidates interval
-      
+
 #if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "iv-test..." << std::flush;
 #endif
 
         typedef typename CGAL::Get_arithmetic_kernel<Algebraic_real_1>
             ::Arithmetic_kernel::Bigfloat_interval BFI;
-      
+
         CGAL::internal::Bitstream_coefficient_kernel_at_alpha
-            <Algebraic_kernel_with_analysis_2> 
+            <Algebraic_kernel_with_analysis_2>
             alpha_kernel(kernel(),alpha);
 
         int c = this->get_index_of_multiple_root(bit_des);
@@ -657,7 +657,7 @@ protected:
         while(true) {
             CGAL::set_precision(BFI(),prec);
             //std::cout << "Increased to " << prec << std::endl;
-            BFI isol_iv 
+            BFI isol_iv
                 = CGAL::hull(CGAL::convert_to_bfi(bit_des.left_bound(c)),
                              CGAL::convert_to_bfi(bit_des.right_bound(c)));
             BFI q_iv = alpha_kernel.convert_to_bfi_object()(q);
@@ -684,10 +684,10 @@ protected:
         CGAL_ACK_DEBUG_PRINT << "on f..." << std::flush;
 #endif
         if(! CGAL::internal::zero_test_bivariate
-	       <Algebraic_kernel_with_analysis_2>
-	         (kernel(),alpha,polynomial,p,q)) {
+               <Algebraic_kernel_with_analysis_2>
+                 (kernel(),alpha,polynomial,p,q)) {
 #if CGAL_ACK_DEBUG_FLAG
-            CGAL_ACK_DEBUG_PRINT << "Detected non-generic position for alpha=" 
+            CGAL_ACK_DEBUG_PRINT << "Detected non-generic position for alpha="
                                  << CGAL::to_double(alpha) << std::endl;
 #endif
             throw CGAL::internal::Non_generic_position_exception();
@@ -696,17 +696,17 @@ protected:
 #if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "on fx..." << std::flush;
 #endif
-        bool is_singularity 
-	  = CGAL::internal::zero_test_bivariate
-	      <Algebraic_kernel_with_analysis_2>
-	        (kernel(),alpha,der_1,p,q);
+        bool is_singularity
+          = CGAL::internal::zero_test_bivariate
+              <Algebraic_kernel_with_analysis_2>
+                (kernel(),alpha,der_1,p,q);
         if(is_singularity) {
 #if CGAL_ACK_DEBUG_FLAG
             CGAL_ACK_DEBUG_PRINT << "on fy..." << std::flush;
 #endif
             return CGAL::internal::zero_test_bivariate
-	             <Algebraic_kernel_with_analysis_2>
-	               (kernel(),alpha,der_2,p,q);
+                     <Algebraic_kernel_with_analysis_2>
+                       (kernel(),alpha,der_2,p,q);
         } else {
             return false;
         }
@@ -723,7 +723,7 @@ protected:
         }
         return -1;
     }
-         
+
 
 }; //class Event_line_builder
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/exceptions.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/exceptions.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/exceptions.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/exceptions.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/exceptions.h $
-// $Id: exceptions.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/exceptions.h $
+// $Id: exceptions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Kerber <mkerber@mpi-inf.mpg.de>
 //
@@ -22,22 +22,22 @@ namespace CGAL {
 
   namespace internal {
 
-    /*! 
+    /*!
      * \brief Exception class for not sufficiently generic positions.
      *
      * Must be thrown whenever a curve cannot be analysed because its position
      * is not "good enough".
      */
     class Non_generic_position_exception {
-      
+
     public:
 
       //! Default constructible
       Non_generic_position_exception() {}
-      
+
     };
 
-    /*! 
+    /*!
      * \brief Exception class for not sufficiently generic positions.
      *
      * Must be thrown whenever a curve cannot be analysed because its position
@@ -45,7 +45,7 @@ namespace CGAL {
      */
     template<typename Polynomial>
     class Zero_resultant_exception {
-      
+
       Polynomial curve1,curve2;
       bool one_curve_failure;
 
@@ -54,11 +54,11 @@ namespace CGAL {
       Zero_resultant_exception(Polynomial c)
         : curve1(c), curve2(c),one_curve_failure(true)
         {}
-        
+
       Zero_resultant_exception(Polynomial c1,Polynomial c2)
         : curve1(c1),curve2(c2),one_curve_failure(false)
         {}
-      
+
     };
 
   } // namespace internal
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/flags.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/flags.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/flags.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/flags.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/flags.h $
-// $Id: flags.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/flags.h $
+// $Id: flags.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Kerber <mkerber@mpi-inf.mpg.de>
 //
@@ -17,10 +17,10 @@
 #ifndef CGAL_ACK_FLAGS_H
 #define CGAL_ACK_FLAGS_H 1
 
-// TODO: use new interface and remove this flag 
-#ifndef CGAL_AK_ENABLE_DEPRECATED_INTERFACE 
+// TODO: use new interface and remove this flag
+#ifndef CGAL_AK_ENABLE_DEPRECATED_INTERFACE
 #define CGAL_AK_ENABLE_DEPRECATED_INTERFACE 0
-#endif 
+#endif
 
 // Is debug-information printed?
 #ifndef CGAL_ACK_DEBUG_FLAG
@@ -50,7 +50,7 @@
 #endif
 
 /**
- * For random choices in the algorithm, this seed is used 
+ * For random choices in the algorithm, this seed is used
  * If set to zero, a random seed is used
  */
 #ifndef CGAL_ACK_STATIC_SEED
@@ -66,7 +66,7 @@
 
 
 /**
- * If set, the program uses the AlciX-code 
+ * If set, the program uses the AlciX-code
  * for the curve- and curve-pair-analysis.
  * This flag is only for debugging purposes.
  */
@@ -90,7 +90,7 @@
  * compuation time
  *
  * WARNING: Currently, the status line does not store the additional
- * information whether a point is singluar or not. 
+ * information whether a point is singluar or not.
  * Therefore, there is currently no reasons to set this flag. It is still
  * contained for possible further extension of the status line.
  */
@@ -110,7 +110,7 @@
  * The "resultant first" strategy means: instead of computing the full
  * subresultant sequence (or Sturm-Habicht sequence), the algorithm
  * only computed the resultant in a first step. This suffices already for
- * many curves (i.e., regular ones). The full subresultant is computed 
+ * many curves (i.e., regular ones). The full subresultant is computed
  * if it is needed for the first time.
  *
  * This strategy only makes sense if computing resultants is faster than
@@ -147,7 +147,7 @@
 /**
  * Allows to switch off the specialized method for Status_line_CPA_1
  * if multiplicity is zero or one.
- * Since this methods improves the performance, 
+ * Since this methods improves the performance,
  * it is not recommended to set this flag unless for testing
  */
 #ifndef ACK_CGAL_NO_ARC_FLIP
@@ -160,7 +160,7 @@
  * SHEAR_STRATEGY performs a shear whenever a degenerate situation occurs.
  * SHEAR_ONLY_AT_IRRATIONAL_STRATEGY handles rational coordinates with
  * a more direct method, but performs a shear for irrational x-coordinates
- * that have a degeneracy. Finally, EXCEPTION_STRATEGY throws an exception 
+ * that have a degeneracy. Finally, EXCEPTION_STRATEGY throws an exception
  * whenever a degeneracy occurs.
  */
 #ifndef CGAL_ACK_DEFAULT_DEGENERACY_STRATEGY
@@ -182,7 +182,7 @@
  * At some points in the algorithm, it is checked whether a polynomial
  * H(x):=h(p(x),q(x)) vanishes for an algebraic number x_0 with polynomial r.
  * For that check, the computation of H is done modulo r for efficiency.
- * This can be switched off by this flag, though it is recommended not to 
+ * This can be switched off by this flag, though it is recommended not to
  * do so.
  */
 #ifndef CGAL_ACK_USE_NO_REDUCTION_MODULO_RESULTANT
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Float_traits.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Float_traits.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Float_traits.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Float_traits.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Float_traits.h $
-// $Id: Float_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Float_traits.h $
+// $Id: Float_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //
@@ -15,7 +15,7 @@
 // TODO: Some comments are original EXACUS comments and aren't adapted. So
 //         they may be wrong now.
 
-// TODO: should exponent type be long or Integer ? 
+// TODO: should exponent type be long or Integer ?
 
 #ifndef CGAL_ALGEBRAIC_KERNEL_D_FLOAT_TRAITS_H
 #define CGAL_ALGEBRAIC_KERNEL_D_FLOAT_TRAITS_H
@@ -24,11 +24,11 @@
 
 #if CGAL_USE_LEDA
 #include <CGAL/leda_bigfloat.h>
-#endif 
+#endif
 
 #if CGAL_USE_CORE
 #include <CGAL/CORE_BigFloat.h>
-#endif 
+#endif
 
 #if CGAL_USE_MPFR
 #include <CGAL/Gmpfr.h>
@@ -40,16 +40,16 @@
 namespace CGAL {
 
 namespace internal {
-    
-// Don't define default, results in more convinient compiler messages 
+
+// Don't define default, results in more convinient compiler messages
 template< class Type > class Float_traits;
 // {
-// public:        
+// public:
 //   typedef Null_functor    Get_mantissa;
-//   typedef Null_functor    Get_exponent;  
+//   typedef Null_functor    Get_exponent;
 //   typedef Null_functor    Mul_by_pow_of_2;
 // };
-    
+
 #ifdef CGAL_USE_LEDA
 
 // Specialization for leda_bigfloat
@@ -60,14 +60,14 @@ public:
     : public CGAL::cpp98::unary_function< leda_bigfloat, leda_integer > {
     leda_integer operator()( const leda_bigfloat& x ) const {
       //std::cout << x.get_significant() << std::endl;
-      return x.get_significant();                
+      return x.get_significant();
     }
   };
-        
+
   struct Get_exponent
     : public CGAL::cpp98::unary_function< leda_bigfloat, long > {
     long operator()( const leda_bigfloat& x ) const {
-      return x.get_exponent().to_long();                
+      return x.get_exponent().to_long();
     }
   };
 
@@ -79,22 +79,22 @@ public:
   };
 };
 
-#endif    
-    
+#endif
+
 #ifdef CGAL_USE_CORE
 
 // Specialization for CORE::BigFloat
 template<>
 class Float_traits< CORE::BigFloat > {
 public:
-      
+
   struct Get_mantissa
     : public CGAL::cpp98::unary_function< CORE::BigFloat, CORE::BigInt > {
-    CORE::BigInt operator()( const CORE::BigFloat& x ) const { 
+    CORE::BigInt operator()( const CORE::BigFloat& x ) const {
       return x.m();
     }
   };
-        
+
   struct Get_exponent
     : public CGAL::cpp98::unary_function< CORE::BigFloat, long > {
     long operator()( const CORE::BigFloat& x ) const {
@@ -111,38 +111,38 @@ public:
   };
 
 };
-#endif    
+#endif
 
 
 #if CGAL_USE_MPFR
 template<> class Float_traits< Gmpfr > {
-  
+
   struct Get_mantissa_exponent
     : public CGAL::cpp98::unary_function< Gmpfr, std::pair<Gmpz,long> > {
-    
+
     std::pair<Gmpz,long> operator()( const Gmpfr& x ) const {
-      return x.to_integer_exp(); 
+      return x.to_integer_exp();
     }
   };
-public:  
+public:
   struct Get_mantissa
     : public CGAL::cpp98::unary_function< Gmpfr, Gmpz > {
     Gmpz operator()( const Gmpfr& x ) const {
-      return Get_mantissa_exponent()(x).first;      
+      return Get_mantissa_exponent()(x).first;
     }
   };
-  
+
   struct Get_exponent
     : public CGAL::cpp98::unary_function< Gmpfr, long > {
-    long operator()( const Gmpfr& x ) const { 
-      return Get_mantissa_exponent()(x).second;      
+    long operator()( const Gmpfr& x ) const {
+      return Get_mantissa_exponent()(x).second;
     }
   };
-    
+
 struct Mul_by_pow_of_2
   : public CGAL::cpp98::binary_function< Gmpfr, Gmpz, Gmpfr> {
   Gmpfr operator()( const Gmpfr& a, long e ) const {
-    Gmpfr result(0,a.get_precision()); // just to get the prec of a 
+    Gmpfr result(0,a.get_precision()); // just to get the prec of a
     if (e >= 0 ){
       mpfr_mul_2si (result.fr(), a.fr(), e, mpfr_get_default_rounding_mode());
       //std::cout << "INPUT   : "<< a <<"+" << e << std::endl;
@@ -158,7 +158,7 @@ struct Mul_by_pow_of_2
   }
 };
 };
-#endif 
+#endif
 } //namespace internal
 
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Interval_evaluate_1.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Interval_evaluate_1.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Interval_evaluate_1.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Interval_evaluate_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Interval_evaluate_1.h $
-// $Id: Interval_evaluate_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Interval_evaluate_1.h $
+// $Id: Interval_evaluate_1.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Kerber <mkerber@mpi-inf.mpg.de>
 //
@@ -32,48 +32,48 @@ namespace internal {
 template<typename Polynomial_1, typename Bound>
 struct Interval_evaluate_1 : public CGAL::cpp98::binary_function
 <Polynomial_1,std::pair<Bound,Bound>,
-  std::pair<typename CGAL::Coercion_traits<typename 
+  std::pair<typename CGAL::Coercion_traits<typename
      CGAL::Polynomial_traits_d<Polynomial_1>::Coefficient_type,Bound>::Type,
-  typename CGAL::Coercion_traits<typename 
+  typename CGAL::Coercion_traits<typename
      CGAL::Polynomial_traits_d<Polynomial_1>::Coefficient_type,Bound>::Type> > {
-  
+
   typedef CGAL::Polynomial_traits_d< Polynomial_1 > PT_1;
-  
+
   typedef typename PT_1::Innermost_coefficient_type Innermost_coefficient_type;
-  
+
   typedef CGAL::Coercion_traits< Innermost_coefficient_type, Bound > CT;
-  
+
   typedef typename CT::Type Coercion_type;
-  
+
   typedef std::pair< Coercion_type, Coercion_type > result_type;
 
   result_type operator()(const Polynomial_1& p,
                          const std::pair< Bound, Bound >& b) const {
     return this->operator()(p, CGAL::make_array(b.first, b.second));
   }
-  
+
   result_type operator()(const Polynomial_1& p,
                          const std::array< Bound, 2 >& b) const {
-    
+
     typename CT::Cast cast;
-  
+
     typedef ::boost::numeric::interval< Coercion_type > Coercion_interval;
-  
-    typedef typename PT_1::Coefficient_const_iterator 
+
+    typedef typename PT_1::Coefficient_const_iterator
       Coefficient_const_iterator;
-  
+
     Coercion_interval ix(cast(b[0]), cast(b[1]));
-    
-    typedef typename PT_1::Coefficient_const_iterator_range 
+
+    typedef typename PT_1::Coefficient_const_iterator_range
       Coefficient_const_iterator_range;
-    
-    Coefficient_const_iterator_range range = 
+
+    Coefficient_const_iterator_range range =
       typename PT_1::Construct_coefficient_const_iterator_range()(p);
-    
+
     Coefficient_const_iterator it = std::prev(range.second);
-    
+
     Coercion_interval res(cast(*it));
-    
+
     Coefficient_const_iterator p_begin = range.first;
     while(it != p_begin) {
       it--;
@@ -81,7 +81,7 @@ struct Interval_evaluate_1 : public CGAL
     }
     return std::make_pair(res.lower(),res.upper());
   }
-  
+
 };
 
 } // namespace internal
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Interval_evaluate_2.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Interval_evaluate_2.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Interval_evaluate_2.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Interval_evaluate_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Interval_evaluate_2.h $
-// $Id: Interval_evaluate_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Interval_evaluate_2.h $
+// $Id: Interval_evaluate_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Kerber <mkerber@mpi-inf.mpg.de>
 //
@@ -35,56 +35,56 @@ struct Interval_evaluate_2 : public CGAL
 <Polynomial_2,std::array<Bound,4>,
       std::pair<typename CGAL::Coercion_traits<typename CGAL::Polynomial_traits_d<Polynomial_2>::Innermost_coefficient_type,Bound>::Type,
                 typename CGAL::Coercion_traits<typename CGAL::Polynomial_traits_d<Polynomial_2>::Innermost_coefficient_type,Bound>::Type> > {
-  
+
 public:
-  
+
   typedef CGAL::Polynomial_traits_d< Polynomial_2 > PT_2;
-  
+
   typedef typename PT_2::Innermost_coefficient_type Innermost_coefficient_type;
-  
+
   typedef CGAL::Coercion_traits< Innermost_coefficient_type, Bound > CT;
 
   typedef typename CT::Type Coercion_type;
 
   typedef std::pair< Coercion_type, Coercion_type > result_type;
-  
+
   result_type operator()(const Polynomial_2& p,
                          const std::array< Bound, 4 >& b) const {
-    
+
     typename CT::Cast cast;
-    
+
     typedef ::boost::numeric::interval< Coercion_type > Coercion_interval;
-    
+
     typedef typename PT_2::Coefficient_const_iterator
       Coefficient_const_iterator;
-    
-    typedef typename PT_2::Coefficient_const_iterator_range 
+
+    typedef typename PT_2::Coefficient_const_iterator_range
       Coefficient_const_iterator_range;
-    
+
     typedef typename PT_2::Coefficient_type Polynomial_1;
 
-    CGAL::internal::Interval_evaluate_1< Polynomial_1,Bound > 
+    CGAL::internal::Interval_evaluate_1< Polynomial_1,Bound >
       interval_evaluate_1;
-    
+
     typedef typename CGAL::internal::Interval_evaluate_1< Polynomial_1,Bound >::
       result_type Interval_result_type;
-    
+
     std::pair< Bound, Bound > x_pair = std::make_pair(b[0],b[1]);
-    
+
     Coercion_interval iy(cast(b[2]),cast(b[3]));
-    
+
     // CGAL::Polynomial does not provide Coercion_traits for number
     // types => therefore evaluate manually
     Coefficient_const_iterator_range range =
       typename PT_2::Construct_coefficient_const_iterator_range()(p);
-    
+
     Coefficient_const_iterator it = std::prev(range.second);
-    
+
     Interval_result_type initial_pair = interval_evaluate_1(*it,x_pair);
     Coercion_interval res(initial_pair.first,initial_pair.second);
-    
+
     Coefficient_const_iterator p_begin = range.first;
-    
+
     while((it) != p_begin) {
       it--;
       Interval_result_type curr_iv = interval_evaluate_1(*it,x_pair);
@@ -92,7 +92,7 @@ public:
     }
     return std::make_pair(res.lower(),res.upper());
   }
-  
+
 };
 
 } // namespace internal
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/LRU_hashed_map.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/LRU_hashed_map.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/LRU_hashed_map.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/LRU_hashed_map.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/LRU_hashed_map.h $
-// $Id: LRU_hashed_map.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/LRU_hashed_map.h $
+// $Id: LRU_hashed_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Pavel Emeliyanenko <asm@mpi-sb.mpg.de>
 //
@@ -38,12 +38,12 @@ namespace internal {
 
 //! \brief this class defines hashed map container with LRU capabilities,
 //!
-//! stores pair of \c KeyType_ and \c ValueType_. Before adding to 
+//! stores pair of \c KeyType_ and \c ValueType_. Before adding to
 //! the map the input is normialized using \c Canonicalizer_
-//! \c Pred_ is binary predicate acting as an equivalence relation on 
+//! \c Pred_ is binary predicate acting as an equivalence relation on
 //! values of \c KeyType_, \c Creator_ is a mapping from \c KeyType_ to
 //! \c ValueType_, \c Hash_ is function object which returns hash values
-//! for the keys 
+//! for the keys
 template <
     class KeyType_, class ValueType_,
     class Hash_ = boost::hash<KeyType_>,
@@ -54,8 +54,8 @@ class LRU_hashed_map
 {
 public:
     //!\name public typedefs
-    //!@{ 
-    
+    //!@{
+
     //! this instance's first argument
     typedef KeyType_ Key_type;
     //! this instance's second argument
@@ -68,7 +68,7 @@ public:
     typedef Canonicalizer_ Canonicalizer;
     //! mapping \c KeyType_ -> \c ValueType_
     typedef Creator_ Creator;
-    
+
     //! hashed map data type
     typedef std::pair<Key_type, Value_type> Data_type;
 
@@ -86,9 +86,9 @@ public:
             boost::multi_index::hashed_unique<
                   ::boost::multi_index::member_offset<Data_type,Key_type,0>,
                     Hash, Pred > > > Hashed_map;
-    
 
-        
+
+
     //!@}
 protected:
     //!\name private members
@@ -97,26 +97,26 @@ protected:
 
     //! hashed map instance
     mutable Hashed_map _m_hashed_map;
-    
+
     //! maximal size allowed
     unsigned _m_max_size;
-    
+
     //!@}
 public:
     //!\name iterator types
     //!@{
-    
-    //! hashed index iterator 
+
+    //! hashed index iterator
     typedef typename
         boost::multi_index::nth_index_iterator<Hashed_map,1>::type
             Hashed_iterator;
-    
-    //! sequenced index iterator 
+
+    //! sequenced index iterator
     typedef typename
         boost::multi_index::nth_index_iterator<Hashed_map,0>::type
             Sequenced_iterator;
-        
-    //! sequenced index const iterator 
+
+    //! sequenced index const iterator
     typedef typename
         boost::multi_index::nth_index_const_iterator<Hashed_map,0>::type
             Sequenced_const_iterator;
@@ -125,31 +125,31 @@ public:
     //! \c Data_type and a boolean indicating whether an element with
     //! specified key was found
     typedef std::pair<Hashed_iterator, bool> Find_result;
-    
+
     //!@}
 public:
     //!\name constructors and access functions
     //!@{
-    
+
     //! \brief default constructor
-    LRU_hashed_map(unsigned max_size = 
+    LRU_hashed_map(unsigned max_size =
             (std::numeric_limits< unsigned >::max)()) :
-        _m_hashed_map(),_m_max_size(max_size) 
+        _m_hashed_map(),_m_max_size(max_size)
     {  }
-    
+
     virtual ~LRU_hashed_map()
     {  }
-    
+
     /*! \brief implements cache-like behaviour of the map
     *
     *  If the object is not in the map, it is constructed using \c Creator
     *  and added to the map
     */
-    Value_type operator()(const Key_type& key_) const 
+    Value_type operator()(const Key_type& key_) const
     {
         Canonicalizer canonicalize;
         Key_type key = canonicalize(key_);
-        
+
         Find_result p = find(key);
         if(!p.second) {
             Creator create;
@@ -159,14 +159,14 @@ public:
         }
         return (p.first)->second;
     }
-    
+
     //! \brief looks for an entry with a specified key in the map
     //!
     //! returns a pair of iterator pointing to \c Data_type and a boolean
     //! indicating whether an element with specified key was found
-    Find_result find(const Key_type& key) const 
+    Find_result find(const Key_type& key) const
     {
-        typename boost::multi_index::nth_index<Hashed_map,1>::type& 
+        typename boost::multi_index::nth_index<Hashed_map,1>::type&
         idx = _m_hashed_map.template get<1>();
         Hashed_iterator it = idx.find(key);
         if(it == idx.end()) {
@@ -175,16 +175,16 @@ public:
 
         // otherwise put the accessed element on the top
         // Comment out because of compiler problems with 3.4
-	/*
-	_m_hashed_map.relocate(_m_hashed_map.begin(), 
+        /*
+        _m_hashed_map.relocate(_m_hashed_map.begin(),
                 _m_hashed_map.project<0>(it));
-	*/
+        */
         return Find_result(it, true);
     }
-        
+
     //! \brief inserts an entry to the map
     //!
-    //! on successful insertion, \c p.first points to the element 
+    //! on successful insertion, \c p.first points to the element
     //! inserted; otherwise \c p.first points to an element that caused
     //! the insertion to be banned. If the map's size exceeds \c max_size
     //! the least recently used entry is dropped
@@ -194,7 +194,7 @@ public:
             _m_hashed_map.pop_back();
         return _m_hashed_map.push_front(data);
     }
-    
+
     //! clears the map contents
     void clear() { _m_hashed_map.clear(); }
 
@@ -216,25 +216,25 @@ public:
     Sequenced_iterator end() { return _m_hashed_map.end(); }
 
     //! returns a const_iterator pointing to the beginning of the map
-    Sequenced_const_iterator begin() const 
+    Sequenced_const_iterator begin() const
     { return _m_hashed_map.begin(); }
 
     //! Returns a const_iterator pointing to the end of the map
-    Sequenced_const_iterator end() const 
+    Sequenced_const_iterator end() const
     { return _m_hashed_map.end(); }
-   
+
     //!@}
 }; // class LRU_hashed_map_with_kernel
 
 
 //! \brief this class defines hashed map container with LRU capabilities,
 //!
-//! stores pair of \c KeyType_ and \c ValueType_. Before adding to 
+//! stores pair of \c KeyType_ and \c ValueType_. Before adding to
 //! the map the input is normialized using \c Canonicalizer_
-//! \c Pred_ is binary predicate acting as an equivalence relation on 
+//! \c Pred_ is binary predicate acting as an equivalence relation on
 //! values of \c KeyType_, \c Creator_ is a mapping from \c KeyType_ to
 //! \c ValueType_, \c Hash_ is function object which returns hash values
-//! for the keys 
+//! for the keys
 template <
     class AlgebraicKernelWithAnalysis_2,
     class KeyType_, class ValueType_,
@@ -242,7 +242,7 @@ template <
     class Pred_ = std::equal_to<KeyType_>,
     class Canonicalizer_ = CGAL::Identity<KeyType_>,
     class Creator_ = CGAL::Creator_1<KeyType_, ValueType_> >
-class LRU_hashed_map_with_kernel 
+class LRU_hashed_map_with_kernel
   : public LRU_hashed_map<KeyType_,ValueType_,Hash_,
                           Pred_,Canonicalizer_,Creator_>
 {
@@ -253,7 +253,7 @@ public:
 
     typedef LRU_hashed_map<KeyType_,ValueType_,
                            Hash_,Pred_,Canonicalizer_,Creator_> Base;
-    
+
     //! this instance's first argument
     typedef typename Base::Key_type Key_type;
     //! this instance's second argument
@@ -266,7 +266,7 @@ public:
     typedef typename Base::Canonicalizer Canonicalizer;
     //! mapping \c KeyType_ -> \c ValueType_
     typedef typename Base::Creator Creator;
-    
+
     //! hashed map data type
     typedef typename Base::Data_type Data_type;
 
@@ -274,7 +274,7 @@ public:
 
 
 protected:
-    
+
     Algebraic_kernel_with_analysis_2* _m_kernel;
 
 
@@ -282,46 +282,46 @@ public:
 
     //!\name iterator types
     //!@{
-    
-    //! hashed index iterator 
+
+    //! hashed index iterator
     typedef typename Base::Hashed_iterator Hashed_iterator;
-    
-    //! sequenced index iterator 
+
+    //! sequenced index iterator
     typedef typename Base::Sequenced_iterator Sequenced_iterator;
-        
-    //! sequenced index const iterator 
+
+    //! sequenced index const iterator
     typedef typename Base::Sequenced_const_iterator Sequenced_const_iterator;
 
     //! result type of \c find operation: a pair of iterator pointing to
     //! \c Data_type and a boolean indicating whether an element with
     //! specified key was found
     typedef typename Base::Find_result Find_result;
-    
+
     //!@}
 
     //!\name constructors and access functions
     //!@{
-    
+
     //! \brief default constructor
     LRU_hashed_map_with_kernel(Algebraic_kernel_with_analysis_2* kernel,
-                               unsigned max_size = (std::numeric_limits<unsigned>::max)()) : 
+                               unsigned max_size = (std::numeric_limits<unsigned>::max)()) :
         Base(max_size),
         _m_kernel(kernel)
     {  }
-    
+
     ~LRU_hashed_map_with_kernel()
     {  }
-    
+
     /*! \brief implements cache-like behaviour of the map
     *
     *  If the object is not in the map, it is constructed using \c Creator
     *  and added to the map
     */
-    Value_type operator()(const Key_type& key_) const 
+    Value_type operator()(const Key_type& key_) const
     {
         Canonicalizer canonicalize;
         Key_type key = canonicalize(key_);
-        
+
         Find_result p = this->find(key);
         if(!p.second) {
             Creator create(_m_kernel);
@@ -331,7 +331,7 @@ public:
         }
         return (p.first)->second;
     }
-    
+
     //!@}
 
 }; // class LRU_hashed_map_with_kernel
@@ -375,7 +375,7 @@ struct Poly_hasher {
 
         typedef typename Poly_2::NT Poly_1;
         typedef typename Poly_1::NT NT;
-        
+
         const Poly_1& v = p[0];
         typename Poly_1::const_iterator cit;
         NT res(0);
@@ -390,23 +390,23 @@ struct Poly_hasher {
         return static_cast<std::size_t>(CGAL::to_double(res));
     }
 };
-    
+
 struct Pair_id_hasher {
     typedef size_t result_type;
 
     template <class T1, class T2>
     size_t operator()(const std::pair<T1, T2>& p) const {
-    
+
         std::size_t seed = p.first.id() + 0x9e3779b9;
         seed ^= p.second.id() + 0x9e3779b9 + (seed << 6) + (seed >> 2);
         return seed;
-    }  
+    }
 };
 
 struct Pair_hasher {
 
     typedef size_t result_type;
-    
+
     template <class T1, class T2>
     size_t operator()(const std::pair<T1, T2>& p) const
     {
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/macros.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/macros.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/macros.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/macros.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/macros.h $
-// $Id: macros.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/macros.h $
+// $Id: macros.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Eric Berberich <eric@mpi-inf.mpg.de>
 //                 Michael Kerber <mkerber@mpi-inf.mpg.de>
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Real_embeddable_extension.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Real_embeddable_extension.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Real_embeddable_extension.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Real_embeddable_extension.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Real_embeddable_extension.h $
-// $Id: Real_embeddable_extension.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Real_embeddable_extension.h $
+// $Id: Real_embeddable_extension.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //
@@ -36,15 +36,15 @@
 #ifdef CGAL_USE_GMP
 #include <CGAL/Gmpz.h>
 #include <CGAL/Gmpq.h>
-#endif 
+#endif
 
 #ifdef CGAL_USE_MPFR
 #include <CGAL/Gmpfr.h>
-#endif 
+#endif
 
 #ifdef CGAL_USE_MPFI
 #include <CGAL/Gmpfi.h>
-#endif 
+#endif
 
 
 namespace CGAL {
@@ -53,8 +53,8 @@ namespace internal {
 
 // TODO: Implement array in source code file
 //    extern const signed char floor_log2_4bit[16]; // see src/floor_log2_4bit.C
-    
-// Don't define default, results in more convinient compiler messages 
+
+// Don't define default, results in more convinient compiler messages
 template< class Type > class Real_embeddable_extension;
 // {
 // public:
@@ -65,13 +65,13 @@ template< class Type > class Real_embedd
 // };
 
 
-    
+
 // Functor adapting functions
 template< class NT >
 long floor_log2_abs( const NT& x ) {
   return typename Real_embeddable_extension< NT >::Floor_log2_abs()( x );
 }
-    
+
 template< class NT >
 long ceil_log2_abs( const NT& x ) {
   return typename Real_embeddable_extension< NT >::Ceil_log2_abs()( x );
@@ -91,8 +91,8 @@ ceil (const NT& x) {
 
 // Specialization for long
 template<>
-class Real_embeddable_extension< long > {            
-public:      
+class Real_embeddable_extension< long > {
+public:
   struct Ceil_log2_abs
     : public CGAL::cpp98::unary_function< long, long > {
     long operator()( long x ) {
@@ -105,7 +105,7 @@ public:
 
   struct Floor_log2_abs
     : public CGAL::cpp98::unary_function< long, long > {
-  private:          
+  private:
     signed char floor_log2_4bit[16];
   public:
     Floor_log2_abs() {
@@ -124,9 +124,9 @@ public:
       floor_log2_4bit[12] = 3;
       floor_log2_4bit[13] = 3;
       floor_log2_4bit[14] = 3;
-      floor_log2_4bit[15] = 3;                            
+      floor_log2_4bit[15] = 3;
     }
-            
+
     long operator()( long x ) {
       if (x < 0) x = -x;
       CGAL_precondition(x > 0);
@@ -152,7 +152,7 @@ public:
 
 #ifdef CGAL_USE_LEDA
 // Specialization for leda_integer
-    
+
 template<>
 class Real_embeddable_extension< leda_integer > {
 public:
@@ -174,7 +174,7 @@ public:
       while (--i >= 0) {
         if (x.contents(i) != 0) return l+1;
       }
-      return l;                    
+      return l;
     }
   };
 
@@ -182,7 +182,7 @@ public:
     : public CGAL::cpp98::unary_function< leda_integer, long > {
     long operator()( const leda_integer& x ) const {
       CGAL_precondition(x != leda_integer(0));
-      ::leda::digit_sz ldgzeros 
+      ::leda::digit_sz ldgzeros
           = ::leda::digLeadingZeros(x.highword());
       result_type l =
         x.used_words() * ::leda::DIGIT_LENGTH - 1 - ldgzeros;
@@ -199,7 +199,7 @@ public:
     leda_integer operator() (const leda_integer& x) const { return x;}
   };
 };
-    
+
 template<>
 class Real_embeddable_extension< leda_bigfloat > {
 public:
@@ -212,34 +212,34 @@ public:
       CGAL_precondition(CGAL::sign(x) != CGAL::ZERO);
       ::leda::integer abs_sign = abs(x.get_significant());
       return (x.get_exponent() + ::leda::log(abs_sign)).to_long();
-                
+
     }
   };
-        
+
   struct Ceil_log2_abs
     : public CGAL::cpp98::unary_function< leda_bigfloat, long > {
     long operator()( const leda_bigfloat& x ) const {
       CGAL_precondition(CGAL::sign(x) != CGAL::ZERO);
-      return ::leda::ilog2(x).to_long();                
+      return ::leda::ilog2(x).to_long();
     }
   };
 
   struct Floor
     : public CGAL::cpp98::unary_function< leda_bigfloat, leda_integer > {
-    leda_integer operator() ( const leda_bigfloat& x ) const { 
+    leda_integer operator() ( const leda_bigfloat& x ) const {
       return leda::to_integer( x, leda::TO_N_INF );
     }
   };
-        
+
   struct Ceil
     : public CGAL::cpp98::unary_function< leda_bigfloat, leda_integer > {
-    leda_integer operator() ( const leda_bigfloat& x ) const { 
+    leda_integer operator() ( const leda_bigfloat& x ) const {
       return leda::to_integer( x, leda::TO_P_INF );
     }
   };
 
 };
-    
+
 template<>
 class Real_embeddable_extension< leda_bigfloat_interval > {
 public:
@@ -247,41 +247,41 @@ public:
 
   struct Floor_log2_abs
     : public CGAL::cpp98::unary_function< leda_bigfloat_interval, long > {
-              
+
     result_type operator() (const argument_type& x) const {
       CGAL_precondition(! ::boost::numeric::in_zero(x));
       return internal::floor_log2_abs(::boost::numeric::abs(x).lower());
-    }                    
+    }
   };
-        
+
   struct Ceil_log2_abs
     : public CGAL::cpp98::unary_function< leda_bigfloat_interval, long > {
     long operator()( const leda_bigfloat_interval& x ) const {
-      CGAL_precondition(!(::boost::numeric::in_zero(x) && 
+      CGAL_precondition(!(::boost::numeric::in_zero(x) &&
               ::boost::numeric::singleton(x)));
-      return internal::ceil_log2_abs(::boost::numeric::abs(x).upper());                    
+      return internal::ceil_log2_abs(::boost::numeric::abs(x).upper());
     }
   };
 
   struct Floor
     : public CGAL::cpp98::unary_function< leda_bigfloat_interval, leda_integer > {
-    leda_integer operator() ( const leda_bigfloat_interval& x ) 
-      const { 
+    leda_integer operator() ( const leda_bigfloat_interval& x )
+      const {
       return internal::floor( x.lower() );
     }
   };
-        
+
   struct Ceil
     : public CGAL::cpp98::unary_function< leda_bigfloat_interval, leda_integer > {
-    leda_integer operator() ( const leda_bigfloat_interval& x ) 
-      const { 
+    leda_integer operator() ( const leda_bigfloat_interval& x )
+      const {
       return internal::ceil( x.upper() );
     }
   };
 };
-                  
+
 #endif
-    
+
 #ifdef CGAL_USE_CORE
 
 // Specialization for CORE::BigInt
@@ -293,9 +293,9 @@ public:
     : public CGAL::cpp98::unary_function< CORE::BigInt, long > {
     long operator()( const CORE::BigInt& x ) const {
       return CORE::floorLg(x);
-    }            
+    }
   };
-        
+
   struct Ceil_log2_abs
     : public CGAL::cpp98::unary_function< CORE::BigInt, long > {
     long operator()( const CORE::BigInt& x ) const {
@@ -305,13 +305,13 @@ public:
 
   struct Floor
     : public CGAL::cpp98::unary_function< CORE::BigInt, CORE::BigInt > {
-    CORE::BigInt operator() (const CORE::BigInt& x) const { 
+    CORE::BigInt operator() (const CORE::BigInt& x) const {
       return x;
     }
   };
   struct Ceil
     : public CGAL::cpp98::unary_function< CORE::BigInt, CORE::BigInt > {
-    CORE::BigInt operator() (const CORE::BigInt& x) const { 
+    CORE::BigInt operator() (const CORE::BigInt& x) const {
       return x;
     }
   };
@@ -328,9 +328,9 @@ public:
       CGAL_precondition(!CGAL::zero_in(x));
       x = CGAL::abs(x);
       return CORE::floorLg(x.m()-x.err())+x.exp()*CORE::CHUNK_BIT;
-    }            
+    }
   };
-        
+
   struct Ceil_log2_abs
     : public CGAL::cpp98::unary_function< CORE::BigFloat, long > {
     long operator()( CORE::BigFloat x ) const {
@@ -343,7 +343,7 @@ public:
 
   struct Floor
     : public CGAL::cpp98::unary_function< CORE::BigFloat, CORE::BigInt > {
-    CORE::BigInt operator() ( const CORE::BigFloat& x ) const { 
+    CORE::BigInt operator() ( const CORE::BigFloat& x ) const {
       CORE::BigInt xi = x.BigIntValue();
       if(x.sign() < 0 && x.cmp(xi)!=0) {
         xi--;
@@ -351,10 +351,10 @@ public:
       return xi;
     }
   };
-        
+
   struct Ceil
     : public CGAL::cpp98::unary_function< CORE::BigFloat, CORE::BigInt > {
-    CORE::BigInt operator() ( const CORE::BigFloat& x ) const { 
+    CORE::BigInt operator() ( const CORE::BigFloat& x ) const {
       CORE::BigInt xi = x.BigIntValue();
       if(x.sign() >0 && x.cmp(xi)!=0) {
         xi++;
@@ -380,38 +380,38 @@ public:
     long operator()( const Gmpz& x ) const {
       CGAL_precondition(!CGAL::is_zero(x));
       return static_cast<long>(mpz_sizeinbase(x.mpz(),2)-1);
-    }            
+    }
   };
-        
+
   struct Ceil_log2_abs
     : public CGAL::cpp98::unary_function< Gmpz, long > {
     long operator()( const Gmpz& x ) const {
       long pos  = mpz_scan1(x.mpz(),0);
       long size = static_cast<long>(mpz_sizeinbase(x.mpz(),2));
-      if (pos == size-1) 
+      if (pos == size-1)
         return size-1;
-      else 
+      else
         return size;
     }
   };
 
   struct Floor
     : public CGAL::cpp98::unary_function< Gmpz, Gmpz > {
-    Gmpz operator() (const Gmpz& x) const { 
+    Gmpz operator() (const Gmpz& x) const {
       return x;
     }
   };
   struct Ceil
     : public CGAL::cpp98::unary_function< Gmpz, Gmpz > {
-    Gmpz operator() (const Gmpz& x) const { 
+    Gmpz operator() (const Gmpz& x) const {
       return x;
     }
   };
 };
 
-#endif 
+#endif
 
-#ifdef CGAL_USE_MPFR 
+#ifdef CGAL_USE_MPFR
 template<>
 class Real_embeddable_extension< Gmpfr > {
 public:
@@ -420,19 +420,19 @@ public:
   struct Floor_log2_abs
     : public CGAL::cpp98::unary_function< Gmpfr, long > {
     long operator()( const Gmpfr& x ) const {
-      Float_traits<Gmpfr>::Get_mantissa get_mantissa; 
-      Float_traits<Gmpfr>::Get_exponent get_exponent; 
+      Float_traits<Gmpfr>::Get_mantissa get_mantissa;
+      Float_traits<Gmpfr>::Get_exponent get_exponent;
       CGAL_precondition(!CGAL::is_zero(x));
       Real_embeddable_extension<Gmpz>::Floor_log2_abs floor_log2_abs;
       return floor_log2_abs(get_mantissa(x))+get_exponent(x);
     }
   };
-        
+
   struct Ceil_log2_abs
     : public CGAL::cpp98::unary_function< Gmpfr, long > {
     long operator()( const Gmpfr& x ) const {
-      Float_traits<Gmpfr>::Get_mantissa get_mantissa; 
-      Float_traits<Gmpfr>::Get_exponent get_exponent; 
+      Float_traits<Gmpfr>::Get_mantissa get_mantissa;
+      Float_traits<Gmpfr>::Get_exponent get_exponent;
       CGAL_precondition(!CGAL::is_zero(x));
       Real_embeddable_extension<Gmpz>::Ceil_log2_abs ceil_log2_abs;
       return ceil_log2_abs(get_mantissa(x))+get_exponent(x);
@@ -441,24 +441,24 @@ public:
 
   struct Floor
     : public CGAL::cpp98::unary_function< Gmpfr, Gmpz > {
-    Gmpz operator() ( const Gmpfr& x ) const {  
-      Gmpz result; 
+    Gmpz operator() ( const Gmpfr& x ) const {
+      Gmpz result;
       mpfr_get_z (result.mpz(),x.fr(),GMP_RNDD);
-      return result; 
+      return result;
     }
   };
-        
+
   struct Ceil
     : public CGAL::cpp98::unary_function< Gmpfr, Gmpz > {
-    Gmpz operator() ( const Gmpfr& x ) const { 
-      Gmpz result; 
+    Gmpz operator() ( const Gmpfr& x ) const {
+      Gmpz result;
       mpfr_get_z (result.mpz(),x.fr(),GMP_RNDU);
-      return result; 
+      return result;
     }
   };
 
 };
-#endif     
+#endif
 
 #ifdef CGAL_USE_MPFI
 template<>
@@ -471,36 +471,36 @@ public:
     result_type operator() (const argument_type& x) const {
       CGAL_precondition(!x.is_zero());
       return internal::floor_log2_abs(x.abs().inf());
-    }                    
+    }
   };
-        
+
   struct Ceil_log2_abs
     : public CGAL::cpp98::unary_function< Gmpfi, long > {
     long operator()( const Gmpfi& x ) const {
       CGAL_precondition(!x.inf().is_zero() || !x.sup().is_zero());
-      return internal::ceil_log2_abs(x.abs().sup());                    
+      return internal::ceil_log2_abs(x.abs().sup());
     }
   };
 
   struct Floor
     : public CGAL::cpp98::unary_function< Gmpfi, Gmpz > {
-    Gmpz operator() ( const Gmpfi& x ) 
-      const { 
+    Gmpz operator() ( const Gmpfi& x )
+      const {
       return internal::floor( x.inf() );
     }
   };
-        
+
   struct Ceil
     : public CGAL::cpp98::unary_function< Gmpfi, Gmpz > {
-    Gmpz operator() ( const Gmpfi& x ) 
-      const { 
+    Gmpz operator() ( const Gmpfi& x )
+      const {
       return internal::ceil( x.sup() );
     }
   };
 };
-  
+
 #endif
-        
+
 } //namespace internal
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Real_roots.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Real_roots.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Real_roots.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Real_roots.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Real_roots.h $
-// $Id: Real_roots.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Real_roots.h $
+// $Id: Real_roots.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //
@@ -17,7 +17,7 @@
 
 
 /*! \file NiX/Real_roots.h
-    \brief This file defines the class NiX::Real_roots. 
+    \brief This file defines the class NiX::Real_roots.
 */
 
 #ifndef CGAL_ALGEBRAIC_KERNEL_D_REAL_ROOTS_H
@@ -31,17 +31,17 @@
 #include <queue>
 
 
-namespace CGAL { 
+namespace CGAL {
 
 namespace internal {
-    
+
 /*! \ingroup NiX_Real_roots
  *  \brief This class provides operators for a comfortable construction of
- *  AlgebraicReal from Polynomials using a specific RealRootIsolator.  
+ *  AlgebraicReal from Polynomials using a specific RealRootIsolator.
  *
- *  A valid template argument for AlgebraicReal is NiX::Algebraic_real. 
+ *  A valid template argument for AlgebraicReal is NiX::Algebraic_real.
  */
-template < class AlgebraicReal , 
+template < class AlgebraicReal ,
            class RealRootIsolator  >
 class Real_roots{
 public:
@@ -49,29 +49,29 @@ public:
     typedef Real_roots<AlgebraicReal,RealRootIsolator> Self;
     //! First template argument.
     typedef AlgebraicReal Algebraic_real;
-    //! Second template argument. 
+    //! Second template argument.
     typedef RealRootIsolator  Real_root_isolator;
     //! The Polnomial type used by Algebraic_real and the Real_root_isolator.
     typedef typename Algebraic_real::Polynomial_1 Polynomial;
 
 private:
-    typedef typename AlgebraicReal::Coefficient Coefficient;    
-    typedef typename AlgebraicReal::Rational    Rational; 
-private: 
+    typedef typename AlgebraicReal::Coefficient Coefficient;
+    typedef typename AlgebraicReal::Rational    Rational;
+private:
 template < class PolynomialIterator,
            class IntIterator,
-           class AlgebraicRealOutputIterator,              
+           class AlgebraicRealOutputIterator,
            class IntOutputIterator>
 int gen_agebraic_reals_with_mults( PolynomialIterator           fac,
                                    PolynomialIterator           fac_end,
                                    IntIterator                  mul,
                                    IntIterator                  CGAL_precondition_code(mul_end),
                                    AlgebraicRealOutputIterator  oi_root,
-                                   IntOutputIterator            oi_mult){   
-    
+                                   IntOutputIterator            oi_mult){
+
     Self real_roots;
     typedef std::pair<Algebraic_real, int> PAIR;
-    
+
     // find zeroes of each factor and sort them in ascending order
     std::priority_queue< PAIR,std::vector<PAIR>,std::greater<PAIR> > pqueue;
     std::vector<Algebraic_real>                    tmp;
@@ -86,7 +86,7 @@ int gen_agebraic_reals_with_mults( Polyn
         fac++;
         mul++;
     }
-    
+
     // output factors and multiplicities
     int n = 0;
     while (!pqueue.empty()) {
@@ -123,45 +123,45 @@ void write_factors_by_multiplicity(Polyn
 public:
 /*! \brief computes all roots of the square free polynomial P in
  * ascending order and returns the number of real roots.
- */   
+ */
 template <class AlgebraicRealOutputIterator>
-int operator()(const Polynomial&        poly , 
-               AlgebraicRealOutputIterator it){        
-    
+int operator()(const Polynomial&        poly ,
+               AlgebraicRealOutputIterator it){
+
     CGAL_precondition_msg( typename CGAL::Polynomial_traits_d< Polynomial >::Is_square_free()(poly), "P not square free.");
     return (*this)(Real_root_isolator(poly),it);
 }
-   
+
 
 public:
 /*! \brief computes all roots of the polynomial P in ascending order
  * and their multiplicity and returns the number of real roots.
  *
  *  This operator returns the number \e n of distinct real roots of \c poly.
- *  Each root is represented as an object of an instance AlgebraicReal. 
+ *  Each root is represented as an object of an instance AlgebraicReal.
  *  The operator writes these \e n real zeroes in ascending order to \c
- *  oi_root. 
+ *  oi_root.
  *  It writes the multiplicities of the zeroes in the same order to
- *  \c oi_mult .   
+ *  \c oi_mult .
  */
-template <class AlgebraicRealOutputIterator, 
+template <class AlgebraicRealOutputIterator,
           class IntOutputIterator>
 int operator()(const Polynomial&           poly,
                AlgebraicRealOutputIterator oi_root,
-               IntOutputIterator           oi_mult){  
+               IntOutputIterator           oi_mult){
     CGAL_precondition(CGAL::degree(poly) >= 0);
-    // fast exit 
-    if (CGAL::degree(poly) == 0) 
+    // fast exit
+    if (CGAL::degree(poly) == 0)
         return (poly.is_zero())?-1:0;
-          
+
     std::list<Polynomial>       sqffac;
     std::list<int>              facmul;
-    
+
     filtered_square_free_factorize_utcf(poly,
-					    std::back_inserter(sqffac), 
-					    std::back_inserter(facmul));
-    
-    
+                                            std::back_inserter(sqffac),
+                                            std::back_inserter(facmul));
+
+
     int number_of_real_roots=
         gen_agebraic_reals_with_mults(sqffac.begin(),sqffac.end(),
                                       facmul.begin(),facmul.end(),
@@ -169,15 +169,15 @@ int operator()(const Polynomial&
                                       oi_mult);
     return number_of_real_roots;
 }
-         
-public:     
+
+public:
 /*! \brief computes all roots defined by the Real_root_isolator object in
- * ascending order 
+ * ascending order
  */
 template <class AlgebraicRealOutputIterator>
-int operator()(const Real_root_isolator&    isolator, 
-               AlgebraicRealOutputIterator  it){ 
-    
+int operator()(const Real_root_isolator&    isolator,
+               AlgebraicRealOutputIterator  it){
+
     Polynomial poly = isolator.polynomial();
     //cout << "P: "<<poly<<endl;
     // take out exact known roots out of Poly
@@ -192,12 +192,12 @@ int operator()(const Real_root_isolator&
             decomp(root,num,denom);
             Polynomial linear_factor(Coefficient(-num),
                                      Coefficient(denom));
-            poly=CGAL::integral_division(poly,linear_factor);                
+            poly=CGAL::integral_division(poly,linear_factor);
         }
-    }   
-    //cout << "P_without_exact: "<<poly<<endl;        
+    }
+    //cout << "P_without_exact: "<<poly<<endl;
     std::vector<AlgebraicReal> conjugated_roots;
-    std::back_insert_iterator<std::vector<AlgebraicReal> > con_it 
+    std::back_insert_iterator<std::vector<AlgebraicReal> > con_it
         = std::back_inserter(conjugated_roots);
     // construct AlgebraicReal
     for(int j = 0 ; j < isolator.number_of_real_roots(); j++){
@@ -207,7 +207,7 @@ int operator()(const Real_root_isolator&
             CGAL::simplify(root);
             *it++=AlgebraicReal(root);
         }else{
-            // other roots 
+            // other roots
             Rational left = isolator.left_bound(j);
             Rational right= isolator.right_bound(j);
             CGAL::simplify(left);
@@ -215,8 +215,8 @@ int operator()(const Real_root_isolator&
             AlgebraicReal tmp(poly,left,right);
             *it++=tmp;
             *con_it++=tmp;
-        } 
-    }   
+        }
+    }
     AlgebraicReal::conjugate(conjugated_roots.begin(),
                              conjugated_roots.end());
     return isolator.number_of_real_roots();
@@ -230,11 +230,11 @@ int operator()(const Real_root_isolator&
  *  their respective multiplicities.
  *
  *  This operator returns the number \e n of distinct real roots of \c poly .
- *  Each root is represented as an object of an instance AlgebraicReal. 
+ *  Each root is represented as an object of an instance AlgebraicReal.
  *  The operator writes these \e n real zeroes in ascending order to \c
- *  oi_root. 
+ *  oi_root.
  *  It writes the multiplicities of the roots in the same order to
- *  \c oi_mult .                                                              
+ *  \c oi_mult .
  *  Finally, it writes the square-free factors of \c p
  *  to \c oi_poly such that the factor #<I>k</I> written is the factor
  *  with exponent \e k in the square-free factorization of \c p , or
@@ -244,45 +244,45 @@ int operator()(const Real_root_isolator&
  *
  *  The data types involved are determined the \c AlgebraicReal
  *  template argument. In particular, \c p must be of type
- *  \c NiX::Polynomial<AlgebraicReal::Coefficient>, as are its factors; 
- *  the roots are of type \c AlgebraicReal ; and the multiplicities are 
+ *  \c NiX::Polynomial<AlgebraicReal::Coefficient>, as are its factors;
+ *  the roots are of type \c AlgebraicReal ; and the multiplicities are
  *  of type \c int .
  *
  */
 template <class AlgebraicRealOutputIterator,
-          class IntOutputIterator, 
+          class IntOutputIterator,
           class PolynomialOutputIterator>
-int operator()( const Polynomial&           poly, 
+int operator()( const Polynomial&           poly,
                 AlgebraicRealOutputIterator oi_root,
-                IntOutputIterator           oi_mult, 
+                IntOutputIterator           oi_mult,
                 PolynomialOutputIterator    oi_poly) {
-    
+
     CGAL_precondition(CGAL::degree(poly) >= 0);
-    
-    // fast exit 
-    if (CGAL::degree(poly) == 0) 
+
+    // fast exit
+    if (CGAL::degree(poly) == 0)
         return (poly.is_zero())?-1:0;
-          
-    
+
+
     std::list<Polynomial>       sqffac;
     std::list<int>              facmul;
-    
+
     filtered_square_free_factorize_utcf(poly,
-					    std::back_inserter(sqffac),
-					    std::back_inserter(facmul));
-    
+                                            std::back_inserter(sqffac),
+                                            std::back_inserter(facmul));
+
     write_factors_by_multiplicity(sqffac.begin(),sqffac.end(),
                                   facmul.begin(),facmul.end(),
                                   oi_poly);
-    
+
     int numer_of_real_roots =
       gen_agebraic_reals_with_mults(sqffac.begin(),sqffac.end(),
-				    facmul.begin(),facmul.end(),
-				    oi_root,
-				    oi_mult);
+                                    facmul.begin(),facmul.end(),
+                                    oi_root,
+                                    oi_mult);
     return numer_of_real_roots;
-	  }
-	   };
+          }
+           };
 
 } // namespace internal
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/refine_zero_against.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/refine_zero_against.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/refine_zero_against.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/refine_zero_against.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/refine_zero_against.h $
-// $Id: refine_zero_against.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/refine_zero_against.h $
+// $Id: refine_zero_against.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //
@@ -35,33 +35,33 @@ int descartes(Polynomial& p, const Field
     typedef typename Polynomial::NT Coefficient;
     typedef typename Fraction_traits<Field>::Numerator_type Numerator;
     typedef typename Fraction_traits<Field>::Denominator_type Denominator;
-  
+
     typename Fraction_traits<Field>::Decompose decomp;
-    //typename Algebraic_structure_traits<Field>::Simplify simplify;  
+    //typename Algebraic_structure_traits<Field>::Simplify simplify;
 
     //simplify(low);
     //simplify(high);
 
     Numerator num_high, num_low_sub_high;
     Denominator den_high, den_low_sub_high;
-   
+
     decomp(high, num_high, den_high);
     decomp(low - high, num_low_sub_high, den_low_sub_high);
-    
+
     Coefficient tmp(num_high);
     // apply Descartes' rule to count zeros of q in ]low,high[
     Polynomial transf = // q(high + (low-high)/(1+x))
       CGAL::translate_by_one(
           CGAL::reversal(
               CGAL::scale_homogeneous(
-                  CGAL::translate_homogeneous(p 
-                      ,Coefficient(num_high) 
+                  CGAL::translate_homogeneous(p
+                      ,Coefficient(num_high)
                       ,Coefficient(den_high))
-                  ,Coefficient(num_low_sub_high) 
+                  ,Coefficient(num_low_sub_high)
                   ,Coefficient(den_low_sub_high)
               )
           )
-      );    
+      );
     return sign_variations(transf);
 }
 
@@ -122,8 +122,8 @@ bool refine_zero_against(Field& low, Fie
                     gcd_pq = Polynomial(1);
                 }
             }
-            std::cout << CGAL::to_double(low) << " " 
-                      << CGAL::to_double(high) << " " 
+            std::cout << CGAL::to_double(low) << " "
+                      << CGAL::to_double(high) << " "
                       << CGAL::degree(gcd_pq) << " "
                       << gcd_pq
                       << std::endl;
@@ -162,7 +162,7 @@ template < class Polynomial, class Field
 static bool strong_refine_zero_against(Field& low, Field& high,
                                        Polynomial p, Polynomial q){
     std::cout << "comp has_common_root" << std::endl;
-    
+
     bool has_common_root = refine_zero_against(low,high,p,q);
 
     std::cout << "done, " << has_common_root << std::endl;
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Shear_controller.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Shear_controller.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Shear_controller.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Shear_controller.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Shear_controller.h $
-// $Id: Shear_controller.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Shear_controller.h $
+// $Id: Shear_controller.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Kerber <mkerber@mpi-inf.mpg.de>
 //
@@ -31,7 +31,7 @@ namespace CGAL {
      * \brief A class that controls the used shear factors
      *
      * The objects returns positive integers that are used as shear factors.
-     * It choses integers from the range \c 1..max at random , 
+     * It choses integers from the range \c 1..max at random ,
      * where \c c is a positive integer
      * initially set in the constructor (8 by default). No integer is given
      * twice by \c get_shear_factor(), at least if the failed ones are reported
@@ -41,14 +41,14 @@ namespace CGAL {
      */
     template<typename Int,int InitialMax=8>
       class Shear_controller {
-      
+
     public:
-      
+
       //! Constructor, getting the maximal absolute value of the shear factor
       Shear_controller()
-	:
+        :
 #if CGAL_ACK_STATIC_SEED
-	  #warning Warning, uses static seed!
+          #warning Warning, uses static seed!
         rng(CGAL_ACK_STATIC_SEED)
 #else
         rng()
@@ -56,17 +56,17 @@ namespace CGAL {
         , m_max(InitialMax)
         , pos_next_factor(0)  {
           CGAL_assertion(m_max>=1);
-	}
-	
+        }
+
         //! Reports that the shear factor \c factor was bad.
-	void report_failure(Int factor) {
+        void report_failure(Int factor) {
           this->bad_shears.insert(factor);
-	  long failures=static_cast<long>(this->bad_shears.size())+1;
-	  if(2*failures>this->m_max) {
-	    this->m_max*=2;
-	  }
-	  
-	}
+          long failures=static_cast<long>(this->bad_shears.size())+1;
+          if(2*failures>this->m_max) {
+            this->m_max*=2;
+          }
+
+        }
 
         //! Gets a shear factor
         Int get_shear_factor() {
@@ -79,20 +79,20 @@ namespace CGAL {
     private:
 
         //! Gets a new shear factor
-	Int get_new_shear_factor() {
-	  CGAL_assertion(int(this->bad_shears.size())<m_max);
-	  while(true) {
-	    Int s = Int((rng.get_int(0,(std::numeric_limits<int>::max)())%m_max )+1);
-	    if(bad_shears.find(s)==bad_shears.end()) {
-	      return s;
-	    }
-	  }
-	}
+        Int get_new_shear_factor() {
+          CGAL_assertion(int(this->bad_shears.size())<m_max);
+          while(true) {
+            Int s = Int((rng.get_int(0,(std::numeric_limits<int>::max)())%m_max )+1);
+            if(bad_shears.find(s)==bad_shears.end()) {
+              return s;
+            }
+          }
+        }
 
         Random rng;
-      
-	// Maximal absolute value
-	Int m_max;
+
+        // Maximal absolute value
+        Int m_max;
 
         static std::vector<Int>& value_order() {
           CGAL_STATIC_THREAD_LOCAL_VARIABLE_0(std::vector<Int>, value_order_);
@@ -100,10 +100,10 @@ namespace CGAL {
         }
 
         int pos_next_factor;
-	
+
   // Unsuccessful shear factors
-	std::set<Int> bad_shears;
-	
+        std::set<Int> bad_shears;
+
     };
 
   } // namespace internal
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/shear.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/shear.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/shear.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/shear.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/shear.h $
-// $Id: shear.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/shear.h $
+// $Id: shear.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Kerber <mkerber@mpi-inf.mpg.de>
 //
@@ -32,9 +32,9 @@ namespace internal {
 
 /*! \ingroup NiX_bivariate_polynomial_hacks
  *  \brief Computes the polynomial f(x+sy,y)
- */ 
+ */
 template<class NT>
-CGAL::Polynomial<CGAL::Polynomial<NT> > 
+CGAL::Polynomial<CGAL::Polynomial<NT> >
 shear(const CGAL::Polynomial<CGAL::Polynomial<NT> >& f,NT s) {
     typedef CGAL::Polynomial<NT> Poly_1;
     typedef CGAL::Polynomial<Poly_1> Poly_2;
@@ -51,7 +51,7 @@ shear(const CGAL::Polynomial<CGAL::Polyn
 
     return typename CGAL::Polynomial_traits_d<Poly_2>::Substitute()
         (f,coeffs.begin(), coeffs.end());
-    
+
 }
 
 } // namespace internal
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Shear_transformation.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Shear_transformation.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Shear_transformation.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Shear_transformation.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Shear_transformation.h $
-// $Id: Shear_transformation.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Shear_transformation.h $
+// $Id: Shear_transformation.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Kerber <mkerber@mpi-inf.mpg.de>
 //
@@ -34,13 +34,13 @@ namespace CGAL {
 template<typename AlgebraicKernelWithAnalysis_2> class Shear_transformation {
 
 public:
-      
+
     typedef AlgebraicKernelWithAnalysis_2  Algebraic_kernel_with_analysis_2;
 
-    typedef typename Algebraic_kernel_with_analysis_2::Curve_analysis_2 
+    typedef typename Algebraic_kernel_with_analysis_2::Curve_analysis_2
         Curve_analysis_2;
 
-    typedef typename  AlgebraicKernelWithAnalysis_2::Polynomial_traits_2 
+    typedef typename  AlgebraicKernelWithAnalysis_2::Polynomial_traits_2
         Polynomial_traits_2;
 
     CGAL_ACK_SNAP_ALGEBRAIC_CURVE_KERNEL_2_TYPEDEFS(Curve_analysis_2);
@@ -50,8 +50,8 @@ public:
     typedef std::vector< Algebraic_real_1 > Root_container;
 
     typedef typename Root_container::iterator Root_iterator;
-    
-    typedef typename Curve_analysis_2::Event_line_iterator 
+
+    typedef typename Curve_analysis_2::Event_line_iterator
     Status_line_1_iterator;
 
 private:
@@ -72,7 +72,7 @@ public:
           sh_disc_roots_computed(false)
     {}
 
-    template<typename InputIterator>      
+    template<typename InputIterator>
     void report_sheared_disc_roots(InputIterator begin,
                                    InputIterator end) {
         std::copy(begin,end,std::back_inserter(sh_disc_roots));
@@ -86,17 +86,17 @@ public:
         return D;
     }
 
-    void operator() (const Curve_analysis_2& C, Integer s, Curve_analysis_2& D, 
+    void operator() (const Curve_analysis_2& C, Integer s, Curve_analysis_2& D,
                      bool use_primitive_curve=true) {
         this->C=C;
         this->s=s;
         this->use_primitive_curve = use_primitive_curve;
 /*
 #if CGAL_ACK_DEBUG_FLAG
-        CGAL_ACK_DEBUG_PRINT << "Curve_analysis_2: " 
+        CGAL_ACK_DEBUG_PRINT << "Curve_analysis_2: "
                              << C.polynomial_2() << std::endl;
-        CGAL_ACK_DEBUG_PRINT << "num events: " 
-                             << C.number_of_status_lines_with_event() 
+        CGAL_ACK_DEBUG_PRINT << "num events: "
+                             << C.number_of_status_lines_with_event()
                              << std::endl;
         CGAL_ACK_DEBUG_PRINT << "s: " << s << std::endl;
 #endif
@@ -135,18 +135,18 @@ public:
             CGAL_ACK_DEBUG_PRINT << "done.." << std::flush;
 #endif
         }
-        
+
         der_sh_pol = typename Polynomial_traits_2::Differentiate() (sh_pol,1);
         sh_der_sh_pol = CGAL::internal::shear(der_sh_pol,Coefficient(-s));
-      
+
 #if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "done" << std::endl;
 #endif
 
         Solve_1 solve_1;
-        
+
 #if CGAL_ACK_DEBUG_FLAG
-        CGAL_ACK_DEBUG_PRINT << "Store the discriminant roots.." 
+        CGAL_ACK_DEBUG_PRINT << "Store the discriminant roots.."
                              << std::flush;
 #endif
 
@@ -162,23 +162,23 @@ public:
 
         if(! sh_disc_roots_computed) {
 #if CGAL_ACK_DEBUG_FLAG
-            CGAL_ACK_DEBUG_PRINT << "Compute the sheared discriminant.." 
+            CGAL_ACK_DEBUG_PRINT << "Compute the sheared discriminant.."
                                  << std::flush;
 #endif
 
             if(typename Polynomial_traits_2::Degree() (sh_pol) > 0) {
-            
 
-                Polynomial_1 sh_disc 
+
+                Polynomial_1 sh_disc
                     = CGAL::resultant(sh_pol,der_sh_pol);
-                
+
 #if CGAL_ACK_DEBUG_FLAG
                 CGAL_ACK_DEBUG_PRINT << "root isolation.." << std::flush;
 #endif
                 solve_1(sh_disc,std::back_inserter(sh_disc_roots),false);
-                
+
             }
-             
+
 #if CGAL_ACK_DEBUG_FLAG
             CGAL_ACK_DEBUG_PRINT << "done" << std::endl;
 #endif
@@ -191,23 +191,23 @@ public:
         Root_container ev_res_roots;
         if(typename Polynomial_traits_2::Degree() (sh_pol) > 0) {
             Polynomial_1 ev_res = CGAL::resultant(pol,sh_der_sh_pol);
-            
+
 #if CGAL_ACK_DEBUG_FLAG
             CGAL_ACK_DEBUG_PRINT << "root isolation.." << std::flush;
 #endif
             solve_1(ev_res,std::back_inserter(ev_res_roots),false);
-            
+
         }
-        
+
 #if CGAL_ACK_DEBUG_FLAG
-        CGAL_ACK_DEBUG_PRINT << "done, " << ev_res_roots.size() 
+        CGAL_ACK_DEBUG_PRINT << "done, " << ev_res_roots.size()
                              << " roots found" << std::endl;
 #endif
 
 #if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "Merge both root sets..." << std::flush;
 #endif
-        typename CGAL::Real_embeddable_traits<Algebraic_real_1>::Compare 
+        typename CGAL::Real_embeddable_traits<Algebraic_real_1>::Compare
             x_compare;
 
         CGAL::internal::set_union_with_source
@@ -218,17 +218,17 @@ public:
              std::back_inserter(x_structure),
              std::back_inserter(x_structure_info),
              x_compare);
- 
+
 #if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "done" << std::endl;
         CGAL_ACK_DEBUG_PRINT << "Take the stripe values..." << std::flush;
 #endif
 
         CGAL::internal::find_intermediate_values
-	  (kernel(),
-	   sh_disc_roots.begin(),
-	   sh_disc_roots.end(),
-	   std::back_inserter(stripe_values));
+          (kernel(),
+           sh_disc_roots.begin(),
+           sh_disc_roots.end(),
+           std::back_inserter(stripe_values));
 #if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "done" << std::endl;
         CGAL_ACK_DEBUG_PRINT << "Search sheared event points..." << std::flush;
@@ -237,7 +237,7 @@ public:
 
 #if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "done" << std::endl;
-        CGAL_ACK_DEBUG_PRINT << "Find start- and endpoints for sweep.." 
+        CGAL_ACK_DEBUG_PRINT << "Find start- and endpoints for sweep.."
                              << std::flush;
 #endif
         find_far_points(D);
@@ -246,20 +246,20 @@ public:
         CGAL_ACK_DEBUG_PRINT << "done" << std::endl;
         CGAL_ACK_DEBUG_PRINT << "Start sweep..." << std::flush;
 #endif
-        
+
         sweep();
 #if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "done" << std::endl;
         CGAL_ACK_DEBUG_PRINT << "vert lines info:" << std::endl;
 
         for(int i=0;i<static_cast<int>(pre_vert_lines.size());i++) {
-            
-            CGAL_ACK_DEBUG_PRINT << "At: " 
+
+            CGAL_ACK_DEBUG_PRINT << "At: "
                                  << CGAL::to_double(sh_disc_roots[i]) << ", "
                                  << pre_vert_lines[i].number_of_non_event_roots
-                                 << " non-event-roots, and " 
+                                 << " non-event-roots, and "
                                  << pre_vert_lines[i].event_points.size()
-                                 << std::endl;  
+                                 << std::endl;
         }
         CGAL_ACK_DEBUG_PRINT << "Vert_lines.." << std::flush;
 #endif
@@ -279,7 +279,7 @@ public:
     }
 
 private:
-    
+
     // X-coordinate of the shear of p
     Bound x_sheared(Point p,Integer sh) {
         return p.first-sh*p.second;
@@ -289,7 +289,7 @@ private:
     }
 
     int compute_stripe(Status_line_1& ev, int index) {
-        int left_index = -1, 
+        int left_index = -1,
             right_index = static_cast<int>(stripe_values.size()-1);
         Algebraic_real_1 xv = ev.x();
         Bound lx = xv.low(), rx=xv.high(),
@@ -340,7 +340,7 @@ private:
                 if(descartes.left_bound(0)<lower_bound) {
                     lower_bound = descartes.left_bound(0);
                 }
-                if(descartes.right_bound(m-1) 
+                if(descartes.right_bound(m-1)
                    > upper_bound) {
                     upper_bound = descartes.right_bound(m-1);
                 }
@@ -358,7 +358,7 @@ private:
         if(C.number_of_status_lines_with_event()>0) {
             if(far_left>C.status_line_at_event(0).x().low()) {
                 far_left = C.status_line_at_event(0).x().low();
-            }   
+            }
             if(far_right<C.status_line_at_event
                (C.number_of_status_lines_with_event()-1).x().high()) {
                 far_right = C.status_line_at_event
@@ -371,8 +371,8 @@ private:
         y_in_box = (upper_bound + lower_bound)/2;
 /*
 #if CGAL_ACK_DEBUG_FLAG
-        CGAL_ACK_DEBUG_PRINT << "far_left: " << far_left << "\nfar_right: " 
-                             << far_right << "\ny_in_box: " << y_in_box 
+        CGAL_ACK_DEBUG_PRINT << "far_left: " << far_left << "\nfar_right: "
+                             << far_right << "\ny_in_box: " << y_in_box
                              << std::endl;
 #endif
 */
@@ -399,34 +399,34 @@ private:
         }
 
         // left side
-        
+
         CGAL_assertion(left.x().is_rational());
         Bound left_x = left.x().rational();
-        
-	Polynomial_1 left_pol = kernel()->evaluate_utcf_2_object()
-	  (typename Polynomial_traits_2::Swap() (pol, 0, 1),
-	   left_x);
+
+        Polynomial_1 left_pol = kernel()->evaluate_utcf_2_object()
+          (typename Polynomial_traits_2::Swap() (pol, 0, 1),
+           left_x);
         Polynomial_1 left_sh_der_sh_pol = kernel()->evaluate_utcf_2_object()
-	  (typename Polynomial_traits_2::Swap() (sh_der_sh_pol, 0, 1),
-	   left_x);
+          (typename Polynomial_traits_2::Swap() (sh_der_sh_pol, 0, 1),
+           left_x);
 
         // right side
 
-      
+
         CGAL_assertion(right.x().is_rational());
         Bound right_x = right.x().rational();
 
-	Polynomial_1 right_pol = kernel()->evaluate_utcf_2_object()
-	  (typename Polynomial_traits_2::Swap() (pol, 0, 1),
-	   right_x);
+        Polynomial_1 right_pol = kernel()->evaluate_utcf_2_object()
+          (typename Polynomial_traits_2::Swap() (pol, 0, 1),
+           right_x);
         Polynomial_1 right_sh_der_sh_pol = kernel()->evaluate_utcf_2_object()
-	  (typename Polynomial_traits_2::Swap() (sh_der_sh_pol, 0, 1),
-	   right_x);
+          (typename Polynomial_traits_2::Swap() (sh_der_sh_pol, 0, 1),
+           right_x);
 
         int asym_left_minus,asym_left_plus,asym_right_minus,asym_right_plus;
-        
+
         typedef typename Status_line_1::Arc_pair Arc_pair;
-        
+
         Arc_pair apair1 = ev.number_of_branches_approaching_minus_infinity();
         Arc_pair apair2 = ev.number_of_branches_approaching_plus_infinity();
 
@@ -439,8 +439,8 @@ private:
         left_id += asym_left_minus;
         right_id += asym_right_minus;
         while(ev_id != ev_n) {
-        
-            typename Status_line_1::Arc_pair arc_pair = 
+
+            typename Status_line_1::Arc_pair arc_pair =
                 ev.number_of_incident_branches(ev_id);
 
             int arcs_left = arc_pair.first;
@@ -448,8 +448,8 @@ private:
             if(arcs_left+arcs_right!=2) {
 /*
 #if CGAL_ACK_DEBUG_FLAG
-                CGAL_ACK_DEBUG_PRINT << "Sheared event point found at " 
-                                     << ev.x().to_double() << ", index " 
+                CGAL_ACK_DEBUG_PRINT << "Sheared event point found at "
+                                     << ev.x().to_double() << ", index "
                                      << ev_id << std::endl;
 #endif
 */
@@ -465,24 +465,24 @@ private:
                                           left.lower_bound(left_id),
                                           left.upper_bound(left_id));
 
-                    CGAL::Sign left_sign 
-		      = kernel()->sign_at_1_object()
-		          (left_sh_der_sh_pol,left_y,true);
+                    CGAL::Sign left_sign
+                      = kernel()->sign_at_1_object()
+                          (left_sh_der_sh_pol,left_y,true);
 
                     Algebraic_real_1 right_y(right_pol,
                                            right.lower_bound(right_id),
                                            right.upper_bound(right_id));
 
-                    CGAL::Sign right_sign 
-		      = kernel()->sign_at_1_object()
-		          (right_sh_der_sh_pol,right_y,true);
+                    CGAL::Sign right_sign
+                      = kernel()->sign_at_1_object()
+                          (right_sh_der_sh_pol,right_y,true);
 
                     if(left_sign!=right_sign) {
 /*
 #if CGAL_ACK_DEBUG_FLAG
-                        CGAL_ACK_DEBUG_PRINT << "Sheared ev point found at " 
-                                             << ev.x().to_double() 
-                                             << ", index " << ev_id 
+                        CGAL_ACK_DEBUG_PRINT << "Sheared ev point found at "
+                                             << ev.x().to_double()
+                                             << ", index " << ev_id
                                              << std::endl;
 #endif
 */
@@ -497,23 +497,23 @@ private:
                                           left.lower_bound(left_id),
                                           left.upper_bound(left_id));
 
-                    CGAL::Sign left_sign_1 
-		      = kernel()->sign_at_1_object()
-		          (left_sh_der_sh_pol,left_y_1,true);
+                    CGAL::Sign left_sign_1
+                      = kernel()->sign_at_1_object()
+                          (left_sh_der_sh_pol,left_y_1,true);
 
                     left_id++;
                     Algebraic_real_1 left_y_2(left_pol,
                                           left.lower_bound(left_id),
                                           left.upper_bound(left_id));
-                    CGAL::Sign left_sign_2 
-		      = kernel()->sign_at_1_object()
-		          (left_sh_der_sh_pol,left_y_2,true);
+                    CGAL::Sign left_sign_2
+                      = kernel()->sign_at_1_object()
+                          (left_sh_der_sh_pol,left_y_2,true);
                     if(left_sign_1!=left_sign_2) {
 /*
 #if CGAL_ACK_DEBUG_FLAG
-                        CGAL_ACK_DEBUG_PRINT << "Sheared ev point found at " 
-                                             << ev.x().to_double() 
-                                             << ", index " << ev_id 
+                        CGAL_ACK_DEBUG_PRINT << "Sheared ev point found at "
+                                             << ev.x().to_double()
+                                             << ", index " << ev_id
                                              << std::endl;
 #endif
 */
@@ -527,22 +527,22 @@ private:
                                                right.lower_bound(right_id),
                                                right.upper_bound(right_id));
 
-                    CGAL::Sign right_sign_1 
-		      = kernel()->sign_at_1_object()
-		          (right_sh_der_sh_pol,right_y_1,true);
+                    CGAL::Sign right_sign_1
+                      = kernel()->sign_at_1_object()
+                          (right_sh_der_sh_pol,right_y_1,true);
                     right_id++;
                     Algebraic_real_1 right_y_2(right_pol,
                                                right.lower_bound(right_id),
                                                right.upper_bound(right_id));
-                    CGAL::Sign right_sign_2 
-		      = kernel()->sign_at_1_object()
-		          (right_sh_der_sh_pol,right_y_2,true);
+                    CGAL::Sign right_sign_2
+                      = kernel()->sign_at_1_object()
+                          (right_sh_der_sh_pol,right_y_2,true);
                     if(right_sign_1!=right_sign_2) {
 /*
 #if CGAL_ACK_DEBUG_FLAG
-                        CGAL_ACK_DEBUG_PRINT << "Sheared ev point found at " 
-                                             << ev.x().to_double()  
-                                             << ", index " << ev_id 
+                        CGAL_ACK_DEBUG_PRINT << "Sheared ev point found at "
+                                             << ev.x().to_double()
+                                             << ", index " << ev_id
                                              << std::endl;
 #endif
 */
@@ -565,7 +565,7 @@ private:
         sh_ev_indices.resize(x_structure.size());
         std::vector<Bound> intermediate_values;
         find_intermediate_values(kernel(),
-				 x_structure.begin(),
+                                 x_structure.begin(),
                                  x_structure.end(),
                                  std::back_inserter(intermediate_values));
 /*
@@ -576,7 +576,7 @@ private:
         std::vector<Status_line_1> intermediate_lines(intermediate_values.size());
 
         int i=0;
-        for(typename std::vector<Bound>::iterator it 
+        for(typename std::vector<Bound>::iterator it
                 = intermediate_values.begin();
             it!=intermediate_values.end();it++) {
             intermediate_lines[i]=C.status_line_at_exact_x(*it);
@@ -584,7 +584,7 @@ private:
         }
         int event_count=0;
 /*
-#if CGAL_ACK_DEBUG_FLAG        
+#if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "at some x.." << std::flush;
 #endif
 */
@@ -592,18 +592,18 @@ private:
             CGAL::internal::Three_valued info = x_structure_info[i];
 /*
 #if CGAL_ACK_DEBUG_FLAG
-            CGAL_ACK_DEBUG_PRINT <<  i << "th of " << x_structure.size() 
+            CGAL_ACK_DEBUG_PRINT <<  i << "th of " << x_structure.size()
                                  << std::endl;
             CGAL_ACK_DEBUG_PRINT << "To_double approx" << std::endl;
-            CGAL_ACK_DEBUG_PRINT << "x_struct: " 
-                                 << CGAL::to_double(x_structure[i]) 
+            CGAL_ACK_DEBUG_PRINT << "x_struct: "
+                                 << CGAL::to_double(x_structure[i])
                                  << std::endl;
             CGAL_ACK_DEBUG_PRINT << "Info: " << info << std::endl;
 #endif
 */
-            if(info==CGAL::internal::ROOT_OF_SECOND_SET || 
+            if(info==CGAL::internal::ROOT_OF_SECOND_SET ||
                info==CGAL::internal::ROOT_OF_BOTH_SETS) {
-                const Status_line_1& event_line_at_x = 
+                const Status_line_1& event_line_at_x =
                     (info==CGAL::internal::ROOT_OF_BOTH_SETS)
                     ? C.status_line_at_event(event_count) : C.status_line_at_exact_x(x_structure[i]);
 /*
@@ -623,7 +623,7 @@ private:
 #endif
 */
             }
-            if(info==CGAL::internal::ROOT_OF_FIRST_SET || 
+            if(info==CGAL::internal::ROOT_OF_FIRST_SET ||
                info==CGAL::internal::ROOT_OF_BOTH_SETS) {
                 event_count++;
             }
@@ -631,10 +631,10 @@ private:
 
         CGAL_assertion(event_count==C.number_of_status_lines_with_event());
     }
-    
+
     struct Sh_ev_point_info {
 
-        Sh_ev_point_info(Status_line_1 ev,int index) 
+        Sh_ev_point_info(Status_line_1 ev,int index)
             : ev(ev),index(index),
               incident_left(0),
               incident_right(0)
@@ -650,7 +650,7 @@ private:
         int asym_left_plus,asym_left_minus,asym_right_plus,asym_right_minus;
         int number_of_non_event_roots;
         std::vector<Sh_ev_point_info> event_points;
-      
+
         Bound lower_bound(int i) {
             Sh_ev_point_info p= event_points[i];
             return p.ev.lower_bound(p.index);
@@ -748,15 +748,15 @@ private:
         }
 /*
 #if CGAL_ACK_DEBUG_FLAG
-        CGAL_ACK_DEBUG_PRINT << "X-coordinate (far left) " 
+        CGAL_ACK_DEBUG_PRINT << "X-coordinate (far left) "
                              << CGAL::to_double(far_left) << std::endl;
 #endif
 */
-        Status_line_1 far_left_line 
+        Status_line_1 far_left_line
             = C.status_line_at_exact_x(Algebraic_real_1(far_left));
 /*
 #if CGAL_ACK_DEBUG_FLAG
-        CGAL_ACK_DEBUG_PRINT << "No. arcs " 
+        CGAL_ACK_DEBUG_PRINT << "No. arcs "
                              << far_left_line.number_of_events() << std::endl;
 #endif
 */
@@ -765,22 +765,22 @@ private:
         }
     }
 
-    
+
     void end_sweep() {
-        Status_line_1 far_right_line 
+        Status_line_1 far_right_line
             = C.status_line_at_exact_x(Algebraic_real_1(far_right));
 /*
 #if CGAL_ACK_DEBUG_FLAG
-        CGAL_ACK_DEBUG_PRINT << "X-coordinate (far right) " 
+        CGAL_ACK_DEBUG_PRINT << "X-coordinate (far right) "
                              << CGAL::to_double(far_right) << std::endl;
 #endif
 */
         CGAL_assertion(far_right_line.number_of_events()
                        ==static_cast<int>(y_structure.size()));
-      
+
         typename Y_structure::iterator y_it=y_structure.begin();
         for(int i=0;i<far_right_line.number_of_events();i++) {
-            Y_structure_element y_el 
+            Y_structure_element y_el
                 = create_unbounded_element(far_right_line,i);
             handle_edge(*y_it,y_el);
             y_it++;
@@ -790,8 +790,8 @@ private:
     void sweep_at_x_coordinate(int index) {
 /*
 #if CGAL_ACK_DEBUG_FLAG
-        CGAL_ACK_DEBUG_PRINT << "X-coordinate " 
-                             << CGAL::to_double(x_structure[index]) 
+        CGAL_ACK_DEBUG_PRINT << "X-coordinate "
+                             << CGAL::to_double(x_structure[index])
                              << std::endl;
 #endif
 */
@@ -806,12 +806,12 @@ private:
         typename Y_structure::iterator y_it=y_structure.begin();
 /*
 #if CGAL_ACK_DEBUG_FLAG
-        CGAL_ACK_DEBUG_PRINT << "Y-structure has " << y_structure.size() 
+        CGAL_ACK_DEBUG_PRINT << "Y-structure has " << y_structure.size()
                              << " elements" << std::endl;
 #endif
 */
         // needed for vertical components
-        std::vector<Y_structure_element> events_at_x; 
+        std::vector<Y_structure_element> events_at_x;
         bool vert=ev.covers_line() && ! this->use_primitive_curve;
         Y_structure_element below,above;
         Y_structure_element minus_x_inf,plus_x_inf;
@@ -822,9 +822,9 @@ private:
         above = (s>0) ? minus_x_inf: plus_x_inf;
         events_at_x.push_back(below);
         int minus_left,minus_right,plus_left,plus_right;
-        
+
         typedef typename Status_line_1::Arc_pair Arc_pair;
-        
+
         Arc_pair apair1 = ev.number_of_branches_approaching_minus_infinity();
         Arc_pair apair2 = ev.number_of_branches_approaching_plus_infinity();
 
@@ -843,7 +843,7 @@ private:
             y_it++;
         }
         while(ev_id<ev_n) {
-            typename Status_line_1::Arc_pair arc_pair 
+            typename Status_line_1::Arc_pair arc_pair
                 = ev.number_of_incident_branches(ev_id);
             int left_arcs=arc_pair.first;
             int right_arcs=arc_pair.second;
@@ -877,18 +877,18 @@ private:
                     Y_structure_element new_y;
                     new_y.one_event_known=false;
                     new_y.x_index=x_extreme_index_counter;
-            
+
                     // Prevent compiler warnings:
                     new_y.y_index=-1;
                     new_y.y_type=FINITE;
                     new_y.x_type=FINITE;
-            
+
                     y_it=y_structure.insert(y_it,new_y);
                     y_it++;
                     y_it=y_structure.insert(y_it,new_y);
                     y_it++;
                     x_extreme_index_counter++;
-                }     
+                }
             }
             ev_id++;
         }
@@ -934,7 +934,7 @@ private:
             }
         }
     }
-    
+
     void handle_edge(Y_structure_element& e1,
                      Y_structure_element& e2) {
 /*
@@ -945,7 +945,7 @@ private:
             y_struct_info(*it,CGAL_ACK_DEBUG_PRINT);
         }
         CGAL_ACK_DEBUG_PRINT << "Y-STRUCT done" << std::endl;
-      
+
         CGAL_ACK_DEBUG_PRINT << "handle edge..." << std::flush;
         CGAL_ACK_DEBUG_PRINT << "info for e1: ";
         y_struct_info(e1,CGAL_ACK_DEBUG_PRINT);
@@ -976,8 +976,8 @@ private:
                 it++;
             }
         } else {
-            CGAL_assertion(e1.x_type!=e2.x_type || 
-                           e1.x_type==FINITE || 
+            CGAL_assertion(e1.x_type!=e2.x_type ||
+                           e1.x_type==FINITE ||
                            e2.x_type==FINITE);
             if(e2.x_type==MINUS_INFTY || e1.x_type==PLUS_INFTY) {
                 handle_edge(e2,e1);
@@ -990,7 +990,7 @@ private:
                 }
             }
             int left_stripe = (e1.x_type==MINUS_INFTY) ? -1 : e1.x_index;
-            int right_stripe = (e2.x_type==PLUS_INFTY) 
+            int right_stripe = (e2.x_type==PLUS_INFTY)
                 ? static_cast<int>(stripe_values.size()-1) : e2.x_index;
             for(int i=left_stripe+1;i<right_stripe;i++) {
                 pre_vert_lines[i].number_of_non_event_roots++;
@@ -1028,14 +1028,14 @@ private:
                     break;
                 }
                 }
-            }   
+            }
         }
 /*
 #if CGAL_ACK_DEBUG_FLAG
         CGAL_ACK_DEBUG_PRINT << "handle edge done" << std::endl;
 #endif
 */
-      
+
     }
 
     void sweep() {
@@ -1045,7 +1045,7 @@ private:
 #endif
 */
         start_sweep();
-      
+
 /*
 #if CGAL_ACK_DEBUG_FLAG
         for(typename Y_structure::iterator it=y_structure.begin();
@@ -1061,8 +1061,8 @@ private:
         for(int i=0;i<static_cast<int>(x_structure.size());i++) {
 /*
 #if CGAL_ACK_DEBUG_FLAG
-            CGAL_ACK_DEBUG_PRINT << "Coordinate.." 
-                                 << CGAL::to_double(x_structure[i]) 
+            CGAL_ACK_DEBUG_PRINT << "Coordinate.."
+                                 << CGAL::to_double(x_structure[i])
                                  << ", index " << i << std::endl;
             CGAL_ACK_DEBUG_PRINT <<  << "Y-struct before x" << std::endl;
             for(typename Y_structure::iterator it=y_structure.begin();
@@ -1070,7 +1070,7 @@ private:
                 it++) {
                 y_struct_info(*it,CGAL_ACK_DEBUG_PRINT);
             }
-            
+
             CGAL_ACK_DEBUG_PRINT << "End of y-struct" << std::endl;
 #endif
 */
@@ -1088,11 +1088,11 @@ private:
     Status_line_1 create_event_line(Curve_analysis_2& D,int i) {
         Algebraic_real_1 xval = sh_disc_roots[i];
         Bitstream_traits traits(Bitstream_coefficient_kernel(kernel(),xval));
-        int number_of_events 
+        int number_of_events
             = static_cast<int>(pre_vert_lines[i].event_points.size());
-        int number_of_roots 
-            = pre_vert_lines[i].number_of_non_event_roots+number_of_events; 
-        Polynomial_2 sh_pol_with_correct_degree 
+        int number_of_roots
+            = pre_vert_lines[i].number_of_non_event_roots+number_of_events;
+        Polynomial_2 sh_pol_with_correct_degree
             = CGAL::internal::poly_non_vanish_leading_term(kernel(),sh_pol,xval);
         Bitstream_descartes descartes(CGAL::internal::Backshear_descartes_tag(),
                                       sh_pol_with_correct_degree,
@@ -1142,7 +1142,7 @@ private:
     }
 
     Algebraic_kernel_with_analysis_2* _m_kernel;
-  
+
     Curve_analysis_2 C;
 
     Integer s;
@@ -1151,10 +1151,10 @@ private:
 
     Root_container sh_disc_roots,x_structure;
     std::vector<CGAL::internal::Three_valued> x_structure_info;
-    
+
     std::vector<std::vector<int> > sh_ev_indices;
 
-    std::vector<Bound> stripe_values;                   
+    std::vector<Bound> stripe_values;
 
     Bound far_left, far_right, y_in_box;
 
@@ -1171,7 +1171,7 @@ private:
     bool disc_roots_computed,sh_disc_roots_computed;
 
 };
- 
+
 } //namespace CGAL
 
 #endif
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Status_line_CA_1.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Status_line_CA_1.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Status_line_CA_1.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Status_line_CA_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Status_line_CA_1.h $
-// $Id: Status_line_CA_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Status_line_CA_1.h $
+// $Id: Status_line_CA_1.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Pavel Emeliyanenko <asm@mpi-sb.mpg.de>
 //
@@ -26,18 +26,18 @@ namespace CGAL {
 
 namespace internal {
 
-template < class CurveAnalysis_2, class Rep_ > 
+template < class CurveAnalysis_2, class Rep_ >
 class Status_line_CA_1;
 
 template <class CurveAnalysis_2, class Rep>
-std::ostream& operator<< (std::ostream&, 
+std::ostream& operator<< (std::ostream&,
     const Status_line_CA_1<CurveAnalysis_2, Rep>&);
 
 #if !CGAL_ACK_USE_EXACUS
-template < typename AlgebraicCurveKernel_2 > 
+template < typename AlgebraicCurveKernel_2 >
 class Event_line_builder;
 
-template < typename AlgebraicCurveKernel_2 > 
+template < typename AlgebraicCurveKernel_2 >
 class Shear_transformation;
 #endif
 
@@ -49,8 +49,8 @@ public:
 
     // this template argument
     typedef AlgebraicCurveKernel_2 Algebraic_curve_kernel_2;
-  
-    typedef typename Algebraic_curve_kernel_2::Curve_analysis_2 
+
+    typedef typename Algebraic_curve_kernel_2::Curve_analysis_2
       Curve_analysis_2;
 
     // myself
@@ -58,7 +58,7 @@ public:
 
     // type of x-coordinate
     typedef typename Curve_analysis_2::Algebraic_real_1
-                Algebraic_real_1; 
+                Algebraic_real_1;
 
     // type of a curve point
     typedef typename Curve_analysis_2::Algebraic_real_2
@@ -83,7 +83,7 @@ public:
     // constructors
 
     // default constructor ()
-    Status_line_CA_1_rep() 
+    Status_line_CA_1_rep()
     {   }
 
     // constructs status line over interval
@@ -100,7 +100,7 @@ public:
     // constructs status line at events
     Status_line_CA_1_rep(
         Algebraic_real_1 x, size_type i,
-        const Curve_analysis_2& ca, 
+        const Curve_analysis_2& ca,
         size_type , size_type ) :
       _m_kernel(ca.kernel()),
              _m_x(x), _m_index(i), _m_ca(ca),
@@ -112,7 +112,7 @@ public:
     //! kernel instance
     // TODO remove kernel?
     const Algebraic_curve_kernel_2 *_m_kernel;
-    
+
     //! x-coordinate of event info
     mutable Algebraic_real_1 _m_x;
 
@@ -121,8 +121,8 @@ public:
     size_type _m_index;
 
     //! underlying curve analysis
-    Curve_analysis_2 _m_ca; 
-    
+    Curve_analysis_2 _m_ca;
+
     //! number of incident arcs to the left and to the right
     //Arc_pair _m_num_arcs;
 
@@ -134,22 +134,22 @@ public:
 
     //! curve has vertical line at this x-coordinate
     mutable bool _m_vertical_line;
-    
+
     //! decsribes an event
     mutable bool _m_event;
 
     //! number of arcs running down the pole
     Arc_pair _m_num_arcs_minus_inf;
-    
+
     //! number of arcs running up the pole
     Arc_pair _m_num_arcs_plus_inf;
 
     /*// matchings valid?
     mutable bool matching_valid_;
-    
+
     // match side arcs to event arcs
     mutable std::vector< int > matching_[2];
-    
+
     // total number of arcs
     int numarcs_at_;
 
@@ -158,13 +158,13 @@ public:
 
     // stores multiplicities
     std::vector< int > multiplicities_;*/
-    
+
     // stores algebraic real over the vertical line
     mutable std::vector<boost::optional< Algebraic_real_2 > >_m_xy_coords;
 
     // stores the isolator instance
     mutable boost::optional<Bitstream_descartes> isolator;
-    
+
      // befriending the handle
     friend class Status_line_CA_1<Curve_analysis_2, Self>;
     //friend class Curve_analysis_2;
@@ -173,21 +173,21 @@ public:
 
 };
 
-//! \brief The class provides information about the intersections of a curve 
-//! with a vertical line at a given finite x-coordinate. 
+//! \brief The class provides information about the intersections of a curve
+//! with a vertical line at a given finite x-coordinate.
 //!
 //! Note that a curve can have a vertical line component at this coordinate
-//! and non-vertical components may intersect the vertical line respectively. 
-//! With the help of this class' methods one is able to compute the local 
-//! topology of the curve at the given vertical line. Note that vertical lines 
-//! at x = +/-oo are not allowed, since different events (curve ends going to 
-//! infinity with different non-horizontal asymptotes) would have equal 
-//! y-coordinate (+/-oo), which confuses more than it helps. Note in addition 
-//! that curve ends approaching the vertical asymptote introduce an event 
-//! (depending on whether approaching +oo or -oo - but the event with 
-//! coordinates (x,?oo), resp. (x,+oo), occur only once, if they occur, and 
+//! and non-vertical components may intersect the vertical line respectively.
+//! With the help of this class' methods one is able to compute the local
+//! topology of the curve at the given vertical line. Note that vertical lines
+//! at x = +/-oo are not allowed, since different events (curve ends going to
+//! infinity with different non-horizontal asymptotes) would have equal
+//! y-coordinate (+/-oo), which confuses more than it helps. Note in addition
+//! that curve ends approaching the vertical asymptote introduce an event
+//! (depending on whether approaching +oo or -oo - but the event with
+//! coordinates (x,?oo), resp. (x,+oo), occur only once, if they occur, and
 //! they imply not to be associated with a instance of \c Algebraic_real_2.
-template <class AlgebraicCurveKernel_2, 
+template <class AlgebraicCurveKernel_2,
           class Rep_ = internal::Status_line_CA_1_rep<AlgebraicCurveKernel_2> >
 class Status_line_CA_1
       : public ::CGAL::Handle_with_policy< Rep_ > {
@@ -200,7 +200,7 @@ public:
     typedef AlgebraicCurveKernel_2 Algebraic_curve_kernel_2;
 
     typedef typename Algebraic_curve_kernel_2::Curve_analysis_2 Curve_analysis_2;
-    
+
     //! this instance's second template parameter
     typedef Rep_ Rep;
 
@@ -208,7 +208,7 @@ public:
     typedef Status_line_CA_1<Algebraic_curve_kernel_2, Rep> Self;
 
     //! type of x-coordinate
-    typedef typename Curve_analysis_2::Algebraic_real_1 Algebraic_real_1; 
+    typedef typename Curve_analysis_2::Algebraic_real_1 Algebraic_real_1;
 
     //! type of a curve point
     typedef typename Curve_analysis_2::Algebraic_real_2 Algebraic_real_2;
@@ -224,10 +224,10 @@ public:
 
     //! Local isolator type
     typedef typename Rep::Bitstream_descartes Bitstream_descartes;
-    
+
      //! the handle superclass
     typedef ::CGAL::Handle_with_policy< Rep > Base;
-    
+
     //!@}
 public:
     //!\name constructors
@@ -236,16 +236,16 @@ public:
     /*!\brief
      * Default constructor
      */
-    Status_line_CA_1() : 
-        Base(Rep()) {   
+    Status_line_CA_1() :
+        Base(Rep()) {
     }
 
     /*!\brief
      * copy constructor
      */
-#ifdef DOXYGEN_RUNNING  
-    Status_line_CA_1(const Self& p) : 
-            Base(static_cast<const Base&>(p)) {  
+#ifdef DOXYGEN_RUNNING
+    Status_line_CA_1(const Self& p) :
+            Base(static_cast<const Base&>(p)) {
     }
 #endif
 
@@ -261,7 +261,7 @@ public:
         Algebraic_real_1 x, size_type i, const Curve_analysis_2& ca,
         size_type n_arcs) :
         Base(Rep(x, i, ca, n_arcs)) {
-    
+
         CGAL_precondition(n_arcs >= 0);
         CGAL_precondition_code(
             bool is_event;
@@ -270,10 +270,10 @@ public:
             CGAL_precondition(!is_event && idx == i);
         );
     }
-    
+
 
     /*!\brief
-     * constructs a status line at the event with x-coorinate \c x 
+     * constructs a status line at the event with x-coorinate \c x
      *
      * \c arcs container defines # of incident arcs to the left and to the
      * right of each intersection point of the curve \c ca with this status
@@ -285,9 +285,9 @@ public:
      *
      * \pre there is a curve event at specified x-coordinate
      */
-    Status_line_CA_1(Algebraic_real_1 x, 
+    Status_line_CA_1(Algebraic_real_1 x,
         size_type i, const Curve_analysis_2& ca,
-        size_type n_arcs_left, size_type n_arcs_right, 
+        size_type n_arcs_left, size_type n_arcs_right,
         Arc_container arcs, bool has_v_line = false) :
         Base(Rep(x, i, ca, n_arcs_left, n_arcs_right)) {
 
@@ -308,7 +308,7 @@ public:
      *
      * arcs and vertical line flag can be set later
      */
-    Status_line_CA_1(Algebraic_real_1 x, 
+    Status_line_CA_1(Algebraic_real_1 x,
         size_type i, const Curve_analysis_2& ca,
         size_type n_arcs_left, size_type n_arcs_right) :
         Base(Rep(x, i, ca, n_arcs_left, n_arcs_right)) {
@@ -321,40 +321,40 @@ public:
             CGAL_precondition(idx == i);
         );
     }
-    
+
     /*!\brief
      * constructs from a given represenation
      */
-    Status_line_CA_1(Rep rep) : 
-        Base(rep) {  
+    Status_line_CA_1(Rep rep) :
+        Base(rep) {
     }
-    
+
     //!@}
 public:
     //!\name access functions
     //!@{
-    
+
     /*! \brief
      *  returns the x-coordinate of the status line (always a finite value)
      */
     Algebraic_real_1 x() const {
         return this->ptr()->_m_x;
     }
-    
+
     /*! \brief
      *  returns this status line CurveAnalysis_2 object
      */
     Curve_analysis_2 curve_analysis_2() const {
         return this->ptr()->_m_ca;
     }
-    
+
     /*! \brief
      *  returns this status line index (event or interval index)
      */
     size_type index() const {
         return this->ptr()->_m_index;
     }
-        
+
     /*! \brief
      *  returns \c true in case the given curve contains the status line
      *  as a component
@@ -378,15 +378,15 @@ public:
         return this->ptr()->_m_event;
     }
 
-    /*! \brief 
+    /*! \brief
      * returns \c true if the ith point is an event point
      */
     bool is_event(size_type i) const {
         // TODO: Make it possible to detect singularities as well
         Arc_pair branches = number_of_incident_branches(i);
         return branches.first!=1 || branches.second!=1;
-    } 
-        
+    }
+
 
     /*! \brief
      * returns number of distinct and finite intersections of a curve with a
@@ -406,11 +406,11 @@ public:
     {
         CGAL_precondition(0 <= j&&j < number_of_events());
         if(!this->ptr()->_m_xy_coords[j])
-	  this->ptr()->_m_xy_coords[j] = Algebraic_real_2(x(), 
+          this->ptr()->_m_xy_coords[j] = Algebraic_real_2(x(),
                 this->ptr()->_m_ca, j);
         return *(this->ptr()->_m_xy_coords[j]);
     }
-    
+
     /*!\brief
      * alias for \c get_algebraic_real_2()
      */
@@ -427,11 +427,11 @@ public:
      * \pre 0 <= j < num_of_events()
      */
     Arc_pair number_of_incident_branches(int j) const {
-    
+
         CGAL_precondition(0 <= j&&j < number_of_events());
         if(!is_event())
             return Arc_pair(1, 1);
-            
+
         return (*(this->ptr()->_m_arcs))[j];
     }
 
@@ -462,7 +462,7 @@ protected:
 public:
     //!@{
 
-    /*!\brief 
+    /*!\brief
      * sets # of arcs running from left and right to -inf and +inf at vertical
      * asymptote
      */
@@ -503,17 +503,17 @@ public:
         os << "; x = " << x() << "; #events: " << number_of_events() << "; "
            << std::flush;
 #else
-        os << "; x = " << CGAL::to_double(x()) << "; #events: " 
+        os << "; x = " << CGAL::to_double(x()) << "; #events: "
            << number_of_events() << "; " << std::flush;
 #endif
 
-        
+
         if(is_event()) {
             os << "incident branches: {" << std::flush;
 //            typename Arc_container::const_iterator ait =
 //                (*this->ptr()->_m_arcs).begin();
             for(int i = 0; i < number_of_events(); i++) {
-                
+
                 Arc_pair arc_pair = number_of_incident_branches(i);
 
                 if(i!=0) {
@@ -522,9 +522,9 @@ public:
                 Algebraic_real_2 xy = algebraic_real_2(i);
                 typedef typename Bitstream_descartes::Bound Bound;
                 Bound th = CGAL::ipower(Bound(1,2),53);
-		std::pair<double,double> d_pair 
-		   = xy.to_double();
-		os << "y=" << d_pair.second << ", " << std::flush;
+                std::pair<double,double> d_pair
+                   = xy.to_double();
+                os << "y=" << d_pair.second << ", " << std::flush;
                 os << "(" << arc_pair.first << ", " << arc_pair.second << ")"
                    << std::flush;
             }
@@ -539,7 +539,7 @@ public:
                     p.second << ")" << std::flush;
             if(covers_line())
                 os << "; covers line" << std::flush;
-        } else 
+        } else
             os << "interval line" << std::flush;
 
         os << "]" << std::flush;
@@ -593,14 +593,14 @@ public:
 
     //! these are our friends
     //friend class Curve_analysis_2;
-    
+
 }; // class Status_line_CA_1
 
 template <class CurveAnalysis_2, class Rep>
 std::ostream& operator<< (
-        std::ostream& os, 
+        std::ostream& os,
         const internal::Status_line_CA_1<CurveAnalysis_2, Rep>& line) {
-        
+
     line.write(os);
     return os;
 }
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Status_line_CPA_1.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Status_line_CPA_1.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Status_line_CPA_1.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Status_line_CPA_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Status_line_CPA_1.h $
-// $Id: Status_line_CPA_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Status_line_CPA_1.h $
+// $Id: Status_line_CPA_1.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Pavel Emeliyanenko <asm@mpi-sb.mpg.de>
 //
@@ -23,11 +23,11 @@ namespace CGAL {
 
 namespace internal {
 
-template < class CurvePairAnalysis_2, class Rep_ > 
+template < class CurvePairAnalysis_2, class Rep_ >
 class Status_line_CPA_1;
 
 template <class CurvePairAnalysis_2, class Rep>
-std::ostream& operator<< (std::ostream&, 
+std::ostream& operator<< (std::ostream&,
     const Status_line_CPA_1<CurvePairAnalysis_2, Rep>&);
 
 template < class CurvePairAnalysis_2 >
@@ -41,7 +41,7 @@ class Status_line_CPA_1_rep {
 
     // type of x-coordinate
     typedef typename Curve_pair_analysis_2::Algebraic_real_1
-                Algebraic_real_1; 
+                Algebraic_real_1;
 
     // type of a curve point
     typedef typename Curve_pair_analysis_2::Algebraic_real_2
@@ -62,7 +62,7 @@ class Status_line_CPA_1_rep {
     // constructors
 public:
     // default constructor ()
-    Status_line_CPA_1_rep()  
+    Status_line_CPA_1_rep()
     {   }
 
     // constructs an empty status line object
@@ -72,7 +72,7 @@ public:
 
     // stores this status line interval or event index of a curve pair
     size_type _m_index;
-    
+
     // represents x-coordinate of event of rational value over interval
     // computed only by demand
     mutable boost::optional<Algebraic_real_1> _m_x;
@@ -82,7 +82,7 @@ public:
     mutable Arc_container _m_arcs;
 
     // inverse mapping from arcnos of the 1st and 2nd curve to respective
-    // y-position 
+    // y-position
     mutable Int_container _m_arcno_to_pos[2];
 
     // stores multiplicities of intersection points (-1 if there is no 2-curve
@@ -102,19 +102,19 @@ public:
     friend class Status_line_CPA_1<Curve_pair_analysis_2, Self>;
 };
 
-//! \brief The class provides information about the intersections of a pair of 
-//! curves with a (intended) vertical line (ignoring vertical lines of the 
-//! curves themselves). 
-//! 
+//! \brief The class provides information about the intersections of a pair of
+//! curves with a (intended) vertical line (ignoring vertical lines of the
+//! curves themselves).
+//!
 //! Each intersection of a curve with the vertical line defined by some given x
-//! induces an event. An event can be asked for its coordinates 
-//! (\c Algebraic_real_2) and the involved curve(s). Note that the involvement 
-//! also holds for curve ends approaching the vertical asymptote. 
+//! induces an event. An event can be asked for its coordinates
+//! (\c Algebraic_real_2) and the involved curve(s). Note that the involvement
+//! also holds for curve ends approaching the vertical asymptote.
 //! Curve_pair_vertical_line_1 at x = +/-oo are not allowed.
-template <class CurvePairAnalysis_2, 
+template <class CurvePairAnalysis_2,
       class Rep_ = internal::Status_line_CPA_1_rep<CurvePairAnalysis_2> >
-class Status_line_CPA_1 : 
-    public ::CGAL::Handle_with_policy< Rep_ > 
+class Status_line_CPA_1 :
+    public ::CGAL::Handle_with_policy< Rep_ >
 {
 public:
     //!@{
@@ -122,7 +122,7 @@ public:
 
     //! this instance's first template parameter
     typedef CurvePairAnalysis_2 Curve_pair_analysis_2;
-    
+
     //! this instance's second template parameter
     typedef Rep_ Rep;
 
@@ -130,7 +130,7 @@ public:
     typedef Status_line_CPA_1<Curve_pair_analysis_2, Rep> Self;
 
     //! type of x-coordinate
-    typedef typename Curve_pair_analysis_2::Algebraic_real_1 Algebraic_real_1; 
+    typedef typename Curve_pair_analysis_2::Algebraic_real_1 Algebraic_real_1;
 
     //! type of a curve point
     typedef typename Curve_pair_analysis_2::Algebraic_real_2 Algebraic_real_2;
@@ -149,7 +149,7 @@ public:
 
      //! the handle superclass
     typedef ::CGAL::Handle_with_policy< Rep > Base;
-    
+
     //!@}
 public:
     //!\name constructors
@@ -158,19 +158,19 @@ public:
     /*!\brief
      * Default constructor
      */
-    Status_line_CPA_1() : 
-        Base(Rep()) {   
+    Status_line_CPA_1() :
+        Base(Rep()) {
     }
 
     /*!\brief
      * copy constructor
      */
 #ifdef DOXYGEN_RUNNING
-    Status_line_CPA_1(const Self& p) : 
-            Base(static_cast<const Base&>(p)) {  
+    Status_line_CPA_1(const Self& p) :
+            Base(static_cast<const Base&>(p)) {
     }
 #endif
-  
+
     /*!\brief
      * constructs undefined status line
      */
@@ -206,19 +206,19 @@ public:
         _set_interval_arcs(arcs);
     }
 
-protected:            
+protected:
     /*!\brief
      * constructs from a given represenation
      */
-    Status_line_CPA_1(Rep rep) : 
-        Base(rep) {  
+    Status_line_CPA_1(Rep rep) :
+        Base(rep) {
     }
-    
+
     //!@}
 public:
     //!\name access functions
     //!@{
-    
+
     /*! \brief
      * returns the x-coordinate of the vertical line (always a finite value).
      */
@@ -230,7 +230,7 @@ public:
                 this->ptr()->_m_cpa._internal_curve_pair().event_x(index()) :
                 Algebraic_real_1(this->ptr()->_m_cpa._internal_curve_pair().
                                bound_value_in_interval(index())));
-#else   
+#else
                 this->ptr()->_m_cpa.event_x(index()) :
                 Algebraic_real_1(this->ptr()->_m_cpa.
                     bound_value_in_interval(index())));
@@ -238,13 +238,13 @@ public:
         }
         return *(this->ptr()->_m_x);
     }
-    
+
     //! returns this vertical line's index (event or interval index)
     size_type index() const {
         CGAL_precondition(this->ptr()->_m_index>=0);
         return this->ptr()->_m_index;
     }
-        
+
     /*! \brief
      *  returns number of distinct and finite intersections of a pair
      *  of curves  with a (intended) vertical line ignoring a real vertical
@@ -256,14 +256,14 @@ public:
 
 
     /*! \brief
-     *  returns the y-position of the k-th event of 
+     *  returns the y-position of the k-th event of
      *  the curve in the sequence of events.
      *
      * Note that each event is formed by the 1st, 2nd, or both curves
      *
      * \pre 0 <= k < "number of arcs defined for curve c at x()"
      */
-    size_type event_of_curve(size_type k, 
+    size_type event_of_curve(size_type k,
                              const typename Curve_pair_analysis_2
                                  ::Curve_analysis_2& c) const {
         CGAL_assertion(c.id()==this->ptr()->_m_cpa.curve_analysis(false).id()||
@@ -284,7 +284,7 @@ public:
      * \pre 0 <= k < "number of arcs defined for curve[c] at x()"
      */
     size_type event_of_curve(size_type k, bool c) const {
-    
+
         CGAL_precondition_msg(0 <= k &&
             k < static_cast<size_type>(this->ptr()->_m_arcno_to_pos[c].size()),
                 "Invalid arc number of the c-th curve specified");
@@ -304,7 +304,7 @@ public:
         CGAL_precondition(is_intersection());
         CGAL_precondition(this->ptr()->_m_arcs[j].first != -1 &&
                           this->ptr()->_m_arcs[j].second != -1);
-        
+
         return this->ptr()->_m_mults[j];
     }
 
@@ -327,11 +327,11 @@ public:
      * by which arc numbers of the curve \c ca, or -1, if the
      * corresponding curve is not involved.
      */
-    Arc_pair curves_at_event(size_type j, 
+    Arc_pair curves_at_event(size_type j,
                              const typename Curve_pair_analysis_2
                                  ::Curve_analysis_2& c1,
                              const typename Curve_pair_analysis_2
-                                 ::Curve_analysis_2& CGAL_precondition_code(c2)) const 
+                                 ::Curve_analysis_2& CGAL_precondition_code(c2)) const
     {
 
         CGAL_precondition(0 <= j && j < number_of_events());
@@ -377,32 +377,32 @@ public:
      * sets arcs at event (use at your own risk!)
      */
     void _set_event_arcs(const Arc_container& arcs) const {
-    
+
         size_type k = 0, arcf = 0, arcg = 0;
         this->ptr()->_m_arcs.resize(arcs.size());
         this->ptr()->_m_mults.resize(arcs.size());
         this->ptr()->_m_event = true;
-        
+
         for(typename Arc_container::const_iterator ait = arcs.begin();
                 ait != arcs.end(); ait++, k++) {
-                
+
             if(ait->first == 0) { // 1st curve
                 this->ptr()->_m_arcs[k].first = arcf++;
                 this->ptr()->_m_arcs[k].second = -1;
                 this->ptr()->_m_arcno_to_pos[0].push_back(k);
-                
+
             } else if(ait->first == 1) { // 2nd curve
                 this->ptr()->_m_arcs[k].first = -1;
                 this->ptr()->_m_arcs[k].second = arcg++;
                 this->ptr()->_m_arcno_to_pos[1].push_back(k);
-                
+
             } else if(ait->first == 2) { // intersection
                 this->ptr()->_m_arcs[k].first = arcf++;
                 this->ptr()->_m_arcs[k].second = arcg++;
                 this->ptr()->_m_arcno_to_pos[0].push_back(k);
                 this->ptr()->_m_arcno_to_pos[1].push_back(k);
                 this->ptr()->_m_intersection = true;
-                
+
             } else
                 CGAL_error_msg("Bogus curve index..");
             this->ptr()->_m_mults[k] = ait->second;
@@ -425,12 +425,12 @@ public:
                 this->ptr()->_m_arcs[k].first = arcf++;
                 this->ptr()->_m_arcs[k].second = -1;
                 this->ptr()->_m_arcno_to_pos[0].push_back(k);
-                
+
             } else if(*ait == 1) { // 2nd curve
                 this->ptr()->_m_arcs[k].first = -1;
                 this->ptr()->_m_arcs[k].second = arcg++;
                 this->ptr()->_m_arcno_to_pos[1].push_back(k);
-                
+
             } else
                 CGAL_error_msg("Bogus curve index..");
         }
@@ -442,25 +442,25 @@ public:
     //!@{
 
     void write(std::ostream& os) const {
-    
+
         os << "status_line [CPA@" << this->ptr()->_m_cpa.id();
-        
+
         os << "; x = " << (index()==-1 ? 999.999 : CGAL::to_double(x())) << "; #events: " << number_of_events() << "; ";
-        
+
         typename Arc_container::const_iterator ait =
                 this->ptr()->_m_arcs.begin();
-        if(is_event()) 
+        if(is_event())
             os << "arcs at event: {";
         else
             os << "arcs of interval: {";
-        
+
         for(; ait != this->ptr()->_m_arcs.end(); ait++) {
             if(ait != this->ptr()->_m_arcs.begin())
                 os << ", ";
             os << "(" << ait->first << "; " << ait->second << ")";
         }
         os << "}, arcno2pos: (";
-        
+
         CGAL::output_range(os, this->ptr()->_m_arcno_to_pos[0].begin(),
                 this->ptr()->_m_arcno_to_pos[0].end(), ",");
         os << "), (";
@@ -475,7 +475,7 @@ public:
 template <class CurvePairAnalysis_2, class Rep>
 std::ostream& operator<< (std::ostream& os,
         const internal::Status_line_CPA_1<CurvePairAnalysis_2, Rep>& sline) {
-        
+
     sline.write(os);
     return os;
 }
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/univariate_polynomial_utils.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/univariate_polynomial_utils.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/univariate_polynomial_utils.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/univariate_polynomial_utils.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/univariate_polynomial_utils.h $
-// $Id: univariate_polynomial_utils.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/univariate_polynomial_utils.h $
+// $Id: univariate_polynomial_utils.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //
@@ -29,13 +29,13 @@ namespace internal {
      *  \relates CGAL::Polynomial
      */
     template <class NT>
-    NT weak_upper_root_bound(const Polynomial<NT>& P) { 
+    NT weak_upper_root_bound(const Polynomial<NT>& P) {
         // code comes from Kurt Mehlhorn
         // see [Mignotte, 1992], p.144 for a proof
         CGAL_precondition(Polynomial_traits_d<NT>::d == 0);
         typename Real_embeddable_traits<NT>::Abs abs;
         const int n = CGAL::degree(P);
-        NT x(1); 
+        NT x(1);
         NT val;
         for (;;) {
             val = -abs(P[n]);
@@ -46,7 +46,7 @@ namespace internal {
             x *= NT(2);
         }
     }
-    
+
     //! return the number of sign variations in the coefficient sequence of \c P.
     /*! This is the number of sign changes (+ to - or - to +) in the
      *  coefficient sequence of the polynomial, ignoring zeroes.
@@ -55,7 +55,7 @@ namespace internal {
      *  \relates CGAL::Polynomial
      */
     template <class NT>
-    int sign_variations(const Polynomial<NT>& P) { 
+    int sign_variations(const Polynomial<NT>& P) {
         const int n = CGAL::degree(P);
         int variations = 0;
         int old_sign = CGAL::sign(P[n]); // never zero unless P is zero
@@ -72,8 +72,8 @@ namespace internal {
 
     /*! \ingroup CGAL_polynomial_utils
      *  \brief checks whether a univariate polynomial is square-free
-     */    
-    
+     */
+
     /*template < class NT >
     bool is_square_free(const Polynomial<NT>& p) {
         if( may_have_multiple_factor(p) ) {
@@ -83,13 +83,13 @@ namespace internal {
             return true;
         }
     }
-    
+
     template< class NT >
-    bool is_square_free( const Polynomail< Polynomial< NT > >& ) { 
-        
-        
+    bool is_square_free( const Polynomail< Polynomial< NT > >& ) {
+
+
         return true;
-    } */   
+    } */
 
 } // namespace internal
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d/Xy_coordinate_2.h 5.0.3-1/include/CGAL/Algebraic_kernel_d/Xy_coordinate_2.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d/Xy_coordinate_2.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d/Xy_coordinate_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Xy_coordinate_2.h $
-// $Id: Xy_coordinate_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d/Xy_coordinate_2.h $
+// $Id: Xy_coordinate_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Eric Berberich <eric@mpi-inf.mpg.de>
 //                 Pavel Emeliyanenko <asm@mpi-sb.mpg.de>
@@ -27,7 +27,7 @@ namespace CGAL {
 
 namespace internal {
 
-template < class AlgebraicCurveKernel_2, class Rep_, 
+template < class AlgebraicCurveKernel_2, class Rep_,
       class HandlePolicy_ ,
       class Allocator_>
         //::boost::fast_pool_allocator<Rep_> >
@@ -47,7 +47,7 @@ public:
     typedef typename Algebraic_curve_kernel_2::Curve_analysis_2
         Curve_analysis_2;
 
-    typedef typename Algebraic_curve_kernel_2::Algebraic_real_1 
+    typedef typename Algebraic_curve_kernel_2::Algebraic_real_1
         Algebraic_real_1;
 
     typedef CGAL::Bbox_2 Bbox_2;
@@ -60,10 +60,10 @@ public:
     // default constructor ()
     Xy_coordinate_2_rep() : _m_arcno(-1) {
     }
-    
+
     // standard constructor
     Xy_coordinate_2_rep(const Algebraic_real_1& x,
-                        const Curve_analysis_2& curve, int arcno) 
+                        const Curve_analysis_2& curve, int arcno)
       : _m_kernel(curve.kernel()),_m_x(x), _m_curve(curve), _m_arcno(arcno) {
     }
 
@@ -73,10 +73,10 @@ public:
 
     // x-coordinate
     Algebraic_real_1 _m_x;
-    
+
     // supporting curve
     mutable Curve_analysis_2 _m_curve;
-    
+
     // arc number on curve
     mutable int _m_arcno;
 
@@ -88,44 +88,44 @@ public:
 
 };
 
-//! \brief class \c Xy_coordinate_2 represents a single root of a system of 
-//! two polynomial equations in two variables that are models 
+//! \brief class \c Xy_coordinate_2 represents a single root of a system of
+//! two polynomial equations in two variables that are models
 //! \c AlgebraicCurveKernel_2::Polynomial_2
 //!
 //! \c Xy_coordinate_2 coordinate is represented by an \c Algebraic_real_1,
 //! a supporting curve and an arcno and is valid only for finite solutions,
-//! i.e., it cannot represent points at infinity 
-template <class AlgebraicCurveKernel_2, 
+//! i.e., it cannot represent points at infinity
+template <class AlgebraicCurveKernel_2,
           class Rep_ = internal::Xy_coordinate_2_rep<AlgebraicCurveKernel_2>,
-          class HandlePolicy_= CGAL::Handle_policy_union, 
+          class HandlePolicy_= CGAL::Handle_policy_union,
           class Allocator_ = CGAL_ALLOCATOR(Rep_) >
-class Xy_coordinate_2 : 
-    public ::CGAL::Handle_with_policy<Rep_, HandlePolicy_, Allocator_> 
+class Xy_coordinate_2 :
+    public ::CGAL::Handle_with_policy<Rep_, HandlePolicy_, Allocator_>
 {
 public:
     //! \name public typedefs
     //!@{
-    
+
     //! this instance's first template parameter
     typedef AlgebraicCurveKernel_2 Algebraic_curve_kernel_2;
-    
+
     //! this instance's second template parameter
     typedef Rep_ Rep;
-    
+
     //! this instance's third template parameter
     typedef HandlePolicy_ Handle_policy;
-    
+
     //! this instance's fourth template parameter
     typedef Allocator_ Allocator;
 
     //! this instance itself
     typedef Xy_coordinate_2<Algebraic_curve_kernel_2, Rep, Handle_policy,
         Allocator> Self;
-        
+
     //! an instance of AlgebraicKernel_1
-    typedef typename Algebraic_curve_kernel_2::Algebraic_kernel_d_1 
+    typedef typename Algebraic_curve_kernel_2::Algebraic_kernel_d_1
         Algebraic_kernel_d_1;
-    
+
     typedef typename Algebraic_curve_kernel_2::Polynomial_1 Polynomial_1;
     typedef CGAL::Polynomial_traits_d<Polynomial_1> Polynomial_traits_1;
 
@@ -133,7 +133,7 @@ public:
     typedef CGAL::Polynomial_traits_d<Polynomial_2> Polynomial_traits_2;
 
     //! type of (explicit) x- and y-coordinates
-    typedef typename Algebraic_curve_kernel_2::Algebraic_real_1 
+    typedef typename Algebraic_curve_kernel_2::Algebraic_real_1
         Algebraic_real_1;
 
     //! Coefficient type
@@ -142,11 +142,11 @@ public:
     //! type of curve pair analysis
     typedef typename Algebraic_curve_kernel_2::Curve_pair_analysis_2
                 Curve_pair_analysis_2;
-    
+
     //! type of curve analysis
     typedef typename Algebraic_curve_kernel_2::Curve_analysis_2
                 Curve_analysis_2;
-    
+
     //! the handle superclass
     typedef ::CGAL::Handle_with_policy<Rep, Handle_policy, Allocator> Base;
 
@@ -158,7 +158,7 @@ public:
 
     //! Type for the bounding box
     typedef typename Rep::Bbox_2 Bbox_2;
-    
+
     //!@}
 private:
     //! \name private methods
@@ -172,7 +172,7 @@ private:
     {
         std::vector<Curve_analysis_2> parts_of_f, parts_of_g, common;
 
-        if(kernel()->decompose_2_object()(p.curve(), q.curve(), 
+        if(kernel()->decompose_2_object()(p.curve(), q.curve(),
             std::back_inserter(parts_of_f), std::back_inserter(parts_of_g),
                 std::back_inserter(common))) {
 
@@ -181,40 +181,40 @@ private:
             if(parts_of_f.size() == 1) {
                 p.simplify_by(kernel()->construct_curve_pair_2_object()(
                     parts_of_f[0], common[0]));
-            } 
-            
+            }
+
             if(parts_of_g.size() == 1) {
                 q.simplify_by(kernel()->construct_curve_pair_2_object()(
                     parts_of_g[0], common[0]));
-            } 
+            }
             return true;
         }
         return false;
     }
-    
+
     //!@}
 public:
     //!\name Constructors
     //!@{
 
-    /*!\brief 
+    /*!\brief
      * default constructor
      *
      * A default-constructed point supports no operation other than
-     * having \c CGAL::degree(curve()) return \c -1. 
+     * having \c CGAL::degree(curve()) return \c -1.
      */
-    Xy_coordinate_2() : 
-        Base(Rep()) { 
+    Xy_coordinate_2() :
+        Base(Rep()) {
     }
 
     /*!\brief
      * copy constructor
      */
-#ifdef DOXYGEN_RUNNING  
-    Xy_coordinate_2(const Self& p) : 
-        Base(static_cast<const Base&>(p)) {  
+#ifdef DOXYGEN_RUNNING
+    Xy_coordinate_2(const Self& p) :
+        Base(static_cast<const Base&>(p)) {
     }
-#endif  
+#endif
 
     /*!\brief
      * Point at \c x, on \c curve with \c arcno. Finite points on vertical arcs
@@ -223,7 +223,7 @@ public:
     Xy_coordinate_2(const Algebraic_real_1& x, const Curve_analysis_2& curve,
                     int arcno) :
           Base(Rep(x, curve, arcno)) {
-            
+
         CGAL_precondition(arcno >= 0);
         CGAL_precondition_code(
             typename Curve_analysis_2::Status_line_1 v =
@@ -231,24 +231,24 @@ public:
         );
         CGAL_precondition(arcno >= 0 && arcno < v.number_of_events());
     }
-    
+
     /*!\brief
      * constructs a point from a given represenation
      */
-    Xy_coordinate_2(Rep rep) : 
-        Base(rep) {  
+    Xy_coordinate_2(Rep rep) :
+        Base(rep) {
     }
-   
+
     //!@}
 public:
     //!\name Access functions
     //!@{
-    
-    /*!\brief 
+
+    /*!\brief
      * x-coordinate of the point
      */
-    const Algebraic_real_1& x() const { 
-        return this->ptr()->_m_x; 
+    const Algebraic_real_1& x() const {
+        return this->ptr()->_m_x;
     }
 
     /*!
@@ -266,14 +266,14 @@ public:
         // EBEB 2012-07-05 deactivated map for y-roots for not being used
         // typedef Roots Data;
         // EBEB 2012-07-05 deactivated map for y-roots for not being used
-        //        typedef std::map< Key, Data, CGAL::Handle_id_less_than< Key > > 
+        //        typedef std::map< Key, Data, CGAL::Handle_id_less_than< Key > >
         //    Y_root_map;
-        
+
         // EBEB 2012-07-05 deactivated map for y-roots for not being used
         //static Y_root_map y_root_map;
 
         if (!this->ptr()->_m_y) {
-            
+
             Polynomial_2 f = curve().primitive_polynomial_2();
             // This will be the defining polynomial of y
             Polynomial_1 y_pol;
@@ -283,9 +283,9 @@ public:
             bool point_is_certainly_critical = false;
             typename Curve_analysis_2::Status_line_1 line =
                 curve().status_line_at_exact_x(x());
-            
+
             // EBEB 2012-07-05 deactivated map for y-roots for not being used
-            //typename Y_root_map::iterator yit = 
+            //typename Y_root_map::iterator yit =
             //    y_root_map.find(line);
 
             // TODO: Cache resultant computation
@@ -296,53 +296,53 @@ public:
                 //   curve().event_info(i);
                 typename Curve_analysis_2::Status_line_1::Arc_pair ipair =
                     line.number_of_incident_branches(arcno());
-                
+
                 if (ipair.first != 1 || ipair.second != 1) {
                     point_is_certainly_critical = true;
                     y_pol = CGAL::make_square_free(
                               CGAL::resultant
                                 (typename Polynomial_traits_2::Swap() (f,0,1),
-                                 typename Polynomial_traits_2::Swap() 
+                                 typename Polynomial_traits_2::Swap()
                                    (CGAL::differentiate(f),0,1))
                         );
                     // BUGFIX: y_pol might be zero:
                     if(y_pol.is_zero()) {
                         // force re-computation with bigger resultant
                         point_is_certainly_critical=false;
-                    }                             
-                    
+                    }
+
                 }
             }
-            
+
             if (!point_is_certainly_critical) {
-                
+
                 Polynomial_2 r(x().polynomial());
                 y_pol = CGAL::make_square_free(
-			  CGAL::resultant
+                          CGAL::resultant
                             (typename Polynomial_traits_2::Swap() (f,0,1),
                              typename Polynomial_traits_2::Swap() (r,0,1))
                 );
-                
+
             }
             typename Algebraic_kernel_d_1::Solve_1 real_roots;
-            
+
             Roots y_roots;
-            real_roots(y_pol, std::back_inserter(y_roots), false ); 
-            
+            real_roots(y_pol, std::back_inserter(y_roots), false );
+
             long prec = 16;
-	    
-	    typename Algebraic_curve_kernel_2::Approximate_absolute_y_2
-	      approx_y=kernel()->approximate_absolute_y_2_object();
-	    
-	    std::pair<Bound,Bound> y_pair = approx_y(*this,prec);
-	    
-	    Bound_interval y_iv(y_pair.first,y_pair.second);
-            
+
+            typename Algebraic_curve_kernel_2::Approximate_absolute_y_2
+              approx_y=kernel()->approximate_absolute_y_2_object();
+
+            std::pair<Bound,Bound> y_pair = approx_y(*this,prec);
+
+            Bound_interval y_iv(y_pair.first,y_pair.second);
+
             typedef typename std::vector<Algebraic_real_1>::const_iterator
                 Iterator;
-            
+
             std::list< Iterator > candidates;
-            
+
             for (Iterator it = y_roots.begin(); it != y_roots.end(); it++) {
                 Bound_interval it_interval(it->low(), it->high());
                 if (boost::numeric::overlap(it_interval, y_iv)) {
@@ -352,15 +352,15 @@ public:
             CGAL_assertion(!candidates.empty());
 
             while (candidates.size() > 1) {
-	        prec*=2;
-	        y_pair = approx_y(*this,prec);
-	    
+                prec*=2;
+                y_pair = approx_y(*this,prec);
+
                 y_iv = Bound_interval(y_pair.first,y_pair.second);
 
                 for (typename std::list< Iterator >::iterator dit, cit =
                          candidates.begin(); cit != candidates.end(); ) {
                     bool remove = false;
-                    Bound_interval 
+                    Bound_interval
                         cit_interval((*cit)->low(), (*cit)->high());
                     if (!boost::numeric::overlap(cit_interval, y_iv)) {
                         dit = cit;
@@ -373,30 +373,30 @@ public:
                 }
             }
             CGAL_assertion(static_cast< int >(candidates.size()) == 1);
-            this->ptr()->_m_y = 
+            this->ptr()->_m_y =
                 Algebraic_real_1(
-                        (*candidates.begin())->polynomial(), 
-                        (*candidates.begin())->low(), 
+                        (*candidates.begin())->polynomial(),
+                        (*candidates.begin())->low(),
                         (*candidates.begin())->high()
                 );
         }
         CGAL_postcondition(bool(this->ptr()->_m_y));
         return *this->ptr()->_m_y;
     }
-    
+
     /*!\brief
      * supporting curve of the point
      */
     Curve_analysis_2 curve() const {
-        return this->ptr()->_m_curve; 
+        return this->ptr()->_m_curve;
     }
-    
+
     /*!\brief
      * arc number of point
      *
      */
-    int arcno() const { 
-        return this->ptr()->_m_arcno; 
+    int arcno() const {
+        return this->ptr()->_m_arcno;
     }
 
     //!@}
@@ -406,12 +406,12 @@ public:
 
     /*!\brief
      * compares x-coordinates of \c *this with \c q
-     * 
+     *
      * do we need this method or one should use Algebraic_curve_kernel_2
      * directly ?
      */
     CGAL::Comparison_result compare_x(const Self& q) const {
-    
+
         if(this->is_identical(q)) {
             return CGAL::EQUAL;
         }
@@ -421,22 +421,22 @@ public:
     /*!\brief
      * compares \c *this with \c q lexicographically
      */
-    CGAL::Comparison_result compare_xy(const Self& q, 
+    CGAL::Comparison_result compare_xy(const Self& q,
         bool equal_x = false) const {
-        
-        if(this->is_identical(q)) 
+
+        if(this->is_identical(q))
             return CGAL::EQUAL;
 
-        CGAL::Comparison_result res = (equal_x ? CGAL::EQUAL : compare_x(q)); 
+        CGAL::Comparison_result res = (equal_x ? CGAL::EQUAL : compare_x(q));
         if(res == CGAL::EQUAL) {
             res = _compare_y_at_x(q);
         }
         return res;
     }
-    
+
     //! equality
     bool operator == (const Self& q) const {return q.compare_xy(*this)== 0;}
-    
+
     //! inequality
     bool operator != (const Self& q) const {return q.compare_xy(*this)!= 0;}
 
@@ -451,11 +451,11 @@ public:
 
     //! greater-equal in (x,y) lexicographic order
     bool operator >= (const Self& q) const {return q.compare_xy(*this)<= 0;}
-    
+
     //!@}
 
     //!@{
-    //! \name 
+    //! \name
 
     const Algebraic_curve_kernel_2* kernel() const {
         return this->ptr()->_m_kernel;
@@ -468,56 +468,56 @@ private:
      *
      * \pre x() == q.x()
      */
-    CGAL::Comparison_result _compare_y_at_x(const Self& q) const 
+    CGAL::Comparison_result _compare_y_at_x(const Self& q) const
     {
         CGAL_precondition(this->compare_x(q) == CGAL::EQUAL);
-    
+
         Curve_analysis_2 f = curve(), g = q.curve();
-        if(f.is_identical(g)) 
+        if(f.is_identical(g))
             return CGAL::sign(arcno() - q.arcno());
-        if(Self::_simplify(*this, q)) 
+        if(Self::_simplify(*this, q))
             // restart since supporting curves might be equal now
             return _compare_y_at_x(q);
-                        
+
         Curve_pair_analysis_2 cpa_2 =
             kernel()->construct_curve_pair_2_object()(f, g);
-            
-            
+
+
         typename Curve_pair_analysis_2::Status_line_1 vline =
             cpa_2.status_line_for_x(x());
         return CGAL::sign(vline.event_of_curve(arcno(), f) -
                     vline.event_of_curve(q.arcno(), g));
     }
-    
+
     //!@}
 public:
     //!\name Reconstructing functions
     //!@{
-    
+
     /*!\brief
      * Simplifies the representation of a point.
-     * 
-     * Given a decomposition of the point's supporting \c curve() into 
+     *
+     * Given a decomposition of the point's supporting \c curve() into
      * a pair of two curves \c pair, this function searches this point
      * in the curve pair and resets the curve and the arcno to this
-     * found arc. It can happen, that both curves of the pair fit this 
+     * found arc. It can happen, that both curves of the pair fit this
      * condition (intersection of the two curves at this point), then it
      * chooses the simpler one (less total degree).
      *
      * \pre pair must be a decomposition of curve()
      */
     void simplify_by(const Curve_pair_analysis_2& cpa_2) const {
-    
+
         CGAL_precondition_code(
             Polynomial_2 mult =
                     cpa_2.curve_analysis(0).polynomial_2() *
                     cpa_2.curve_analysis(1).polynomial_2();
         );
         // common parts
-        CGAL_precondition(CGAL::resultant(mult, 
+        CGAL_precondition(CGAL::resultant(mult,
                                           curve().polynomial_2()).is_zero());
         // full parts
-        CGAL_precondition(CGAL::degree(mult) == 
+        CGAL_precondition(CGAL::degree(mult) ==
                           CGAL::degree(curve().polynomial_2()));
         CGAL_precondition(CGAL::total_degree(mult) ==
                           CGAL::total_degree(curve().polynomial_2()));
@@ -529,7 +529,7 @@ public:
             typename Curve_analysis_2::Status_line_1 cv_line =
                 curve().status_line_for_x(x());
         );
-        CGAL_precondition(cpv_line.number_of_events() == 
+        CGAL_precondition(cpv_line.number_of_events() ==
             cv_line.number_of_events());
 
         bool cid = false;
@@ -542,22 +542,22 @@ public:
             // line). Therefore, the old arc number is also valid in the curve
             // pair.
             Polynomial_2 ff = cpa_2.curve_analysis(0).polynomial_2(),
-	                 gg = cpa_2.curve_analysis(1).polynomial_2();
-            if(total_degree(ff) > total_degree(gg)) 
+                         gg = cpa_2.curve_analysis(1).polynomial_2();
+            if(total_degree(ff) > total_degree(gg))
                 cid = true;
-        } else 
+        } else
           cid = (p.first == -1);
         // overwrite data
         this->ptr()->_m_curve = cpa_2.curve_analysis(cid);
         this->ptr()->_m_arcno = (cid == 0 ? p.first : p.second);
     }
-    
+
     //! befriending output iterator
    // friend std::ostream& operator << <>(std::ostream& os, const Self& pt);
 
     //!@}
 public:
-    
+
     //! Returns whether the x-coordinate equals zero
     bool is_x_zero() const {
       return CGAL::is_zero(this->ptr()->_m_x);
@@ -568,18 +568,18 @@ public:
       CGAL::Sign lower_sign = CGAL::sign(this->lower_bound_y()),
                  upper_sign = CGAL::sign(this->upper_bound_y());
       if( lower_sign == CGAL::ZERO ||upper_sign == CGAL::ZERO) {
-	if(lower_sign==upper_sign) { //both zero
-	  return true;
-	} else { // one zero, one not...isol interval is OPEN
-	  return false;
-	}
+        if(lower_sign==upper_sign) { //both zero
+          return true;
+        } else { // one zero, one not...isol interval is OPEN
+          return false;
+        }
       } else if( lower_sign==upper_sign) { // zero not in isol interval
-	return false;
+        return false;
       } else { // zero in interval, need to check
-	Polynomial_1 constant_pol =
- 	  CGAL::get_coefficient(curve().primitive_polynomial_2(),0);
-	bool zero_is_root_of_local_pol 
-  	  = kernel()->is_zero_at_1_object()(constant_pol,this->ptr()->_m_x);
+        Polynomial_1 constant_pol =
+           CGAL::get_coefficient(curve().primitive_polynomial_2(),0);
+        bool zero_is_root_of_local_pol
+            = kernel()->is_zero_at_1_object()(constant_pol,this->ptr()->_m_x);
         // Since we know that y_iv is an _isolating_ interval,
         // we can immediately return
         return zero_is_root_of_local_pol;
@@ -589,15 +589,15 @@ public:
     // returns a double approximation of the point
     std::pair<double, double> to_double() const {
 
-      typedef typename CGAL::Get_arithmetic_kernel<Bound>::Arithmetic_kernel 
+      typedef typename CGAL::Get_arithmetic_kernel<Bound>::Arithmetic_kernel
         AT;
-        typedef typename AT::Bigfloat_interval BFI; 
+        typedef typename AT::Bigfloat_interval BFI;
 
         long old_prec = get_precision(BFI());
-        
+
         set_precision (BFI(), 53);
 
-	// rely on double conversion of the x-type
+        // rely on double conversion of the x-type
         double double_x = CGAL::to_double(this->ptr()->_m_x);
         double double_y;
 
@@ -607,32 +607,32 @@ public:
         } else if(is_y_zero()) {
             double_y = 0.;
         } else {
-            while(CGAL::sign(this->lower_bound_y()) != 
+            while(CGAL::sign(this->lower_bound_y()) !=
                   CGAL::sign(this->upper_bound_y()) ) {
                 this->refine_y();
             }
             long final_prec = set_precision(BFI(),get_precision(BFI())+4);
-            
-            BFI bfi = CGAL::hull(convert_to_bfi(this->lower_bound_y()), 
-				 convert_to_bfi(this->upper_bound_y()));
-            
-            while( !singleton(bfi) &&  
+
+            BFI bfi = CGAL::hull(convert_to_bfi(this->lower_bound_y()),
+                                 convert_to_bfi(this->upper_bound_y()));
+
+            while( !singleton(bfi) &&
                    get_significant_bits(bfi) < final_prec  ){
                 this->refine_y();
                 bfi = CGAL::hull(
-                        convert_to_bfi(this->lower_bound_y()), 
+                        convert_to_bfi(this->lower_bound_y()),
                         convert_to_bfi(this->upper_bound_y()));
             }
-            double_y 
+            double_y
                 = CGAL::to_double((CGAL::lower(bfi)+ CGAL::upper(bfi)) / 2);
         }
         set_precision(BFI(),old_prec);
-        return std::make_pair(double_x, double_y); 
+        return std::make_pair(double_x, double_y);
     }
 
     public:
 
-    
+
     void refine_y() const {
         this->curve().status_line_at_exact_x(this->x()).refine(this->arcno());
     }
@@ -671,17 +671,17 @@ public:
 
 }; // class Xy_coordinate_2
 
-template < class AlgebraicCurveKernel_2, class Rep> 
-std::ostream& operator<< (std::ostream& os, 
+template < class AlgebraicCurveKernel_2, class Rep>
+std::ostream& operator<< (std::ostream& os,
     const Xy_coordinate_2<AlgebraicCurveKernel_2, Rep>& pt)
 {
   switch (::CGAL::get_mode(os)) {
   case ::CGAL::IO::PRETTY: {
     os << "[x-coord: " << CGAL::to_double(pt.x()) << "; curve: " <<
-      pt.curve().polynomial_2() << 
+      pt.curve().polynomial_2() <<
       "; arcno: " << pt.arcno() << "]\n";
     break;
-  } 
+  }
   case ::CGAL::IO::BINARY:
     std::cerr << "BINARY format not yet implemented" << std::endl;
     break;
@@ -695,40 +695,40 @@ std::ostream& operator<< (std::ostream&
     os << pt.arcno();
     os << ")";
   }
-  return os;    
+  return os;
 }
 
-template < class AlgebraicCurveKernel_2, class Rep_ > 
+template < class AlgebraicCurveKernel_2, class Rep_ >
 std::istream& operator >> (
     std::istream& is,
     Xy_coordinate_2< AlgebraicCurveKernel_2, Rep_>& pt) {
 
   CGAL_precondition(CGAL::is_ascii(is));
-  
+
   // this instance's first template argument
   typedef AlgebraicCurveKernel_2 Algebraic_curve_kernel_2;
-  
+
   // this instance's second template argument
   typedef Rep_ Rep;
 
   // myself
   typedef Xy_coordinate_2< Algebraic_curve_kernel_2, Rep > Xy_coordinate_2;
-  
-  typedef typename Algebraic_curve_kernel_2::Algebraic_real_1 
+
+  typedef typename Algebraic_curve_kernel_2::Algebraic_real_1
     Algebraic_real_1;
 
   typedef typename Algebraic_curve_kernel_2::Curve_analysis_2
     Curve_analysis_2;
-  
+
   // x-coordinate
   Algebraic_real_1 x;
-    
+
   // supporting curve
   Curve_analysis_2 curve;
-    
+
   // arc number on curve
   int arcno;
-  
+
   // read "Algebraic_real_xca_2("
   swallow(is, 'A');
   swallow(is, 'l');
@@ -751,22 +751,22 @@ std::istream& operator >> (
   swallow(is, '_');
   swallow(is, '2');
   swallow(is, '(');
-  
-  
+
+
   // read values
   is >> x;
   swallow(is, ',');
-  
+
   is >> curve;
   swallow(is, ',');
-  
+
   is >> arcno;
-  
+
   // read the ")
-  swallow(is, ')'); 
-  
+  swallow(is, ')');
+
   pt = Xy_coordinate_2(x, curve, arcno);
-  
+
   return is;
 }
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d_1.h 5.0.3-1/include/CGAL/Algebraic_kernel_d_1.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d_1.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d_1.h $
-// $Id: Algebraic_kernel_d_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d_1.h $
+// $Id: Algebraic_kernel_d_1.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Michael Hemmer <hemmer@mpi-inf.mpg.de>    
+//
+// Author(s)     : Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //                 Sebastian Limbach <slimbach@mpi-inf.mpg.de>
 //                 Michael Kerber    <mkerber@mpi-inf.mpg.de>
 //
@@ -19,9 +19,9 @@
 
 #include <CGAL/disable_warnings.h>
 
-#ifndef CGAL_AK_ENABLE_DEPRECATED_INTERFACE 
+#ifndef CGAL_AK_ENABLE_DEPRECATED_INTERFACE
 #define CGAL_AK_ENABLE_DEPRECATED_INTERFACE 0
-#endif 
+#endif
 
 #include <CGAL/basic.h>
 #include <CGAL/Algebraic_kernel_d/flags.h>
@@ -41,11 +41,11 @@ namespace CGAL {
 namespace internal {
 template< class AlgebraicReal1, class Isolator_ >
 class Algebraic_kernel_d_1_base {
-  
+
 public:
   typedef AlgebraicReal1                              Algebraic_real_1;
   typedef Isolator_                                   Isolator;
-            
+
   typedef typename Algebraic_real_1::Coefficient      Coefficient;
   typedef typename Algebraic_real_1::Bound            Bound;
   typedef typename Algebraic_real_1::Polynomial_1     Polynomial_1;
@@ -70,63 +70,63 @@ protected:
     struct Pair_second : public CGAL::cpp98::unary_function<std::pair<A,B>,B> {
       B operator() (std::pair<A,B> pair) const { return pair.second; }
   };
-  
-public:    
+
+public:
   class Algebraic_real_traits {
   public:
     typedef Algebraic_real_1                      Type;
-    
-    struct Bound_between 
+
+    struct Bound_between
       : public CGAL::cpp98::binary_function< Type, Type, Bound > {
-      Bound operator()( const Type& t1, 
+      Bound operator()( const Type& t1,
           const Type& t2 ) const {
 #if CGAL_AK_DONT_USE_SIMPLE_BOUND_BETWEEN
 #warning uses deprecated bound_between_1 functor
         return t1.rational_between( t2 );
 #else
-	return internal::simple_bound_between(t1,t2);
+        return internal::simple_bound_between(t1,t2);
 #endif
       }
     };
-                                
+
     struct Lower_bound
       : public CGAL::cpp98::unary_function< Type, Bound > {
       Bound operator()( const Type& t ) const {
         return t.low();
       }
     };
-                
+
     struct Upper_bound
       : public CGAL::cpp98::unary_function< Type, Bound > {
       Bound operator()( const Type& t ) const {
         return t.high();
       }
     };
-                
+
     struct Refine
       : public CGAL::cpp98::unary_function< Type, void > {
       void operator()( const Type& t ) const {
         t.refine();
       }
-                    
+
       void operator()( Type& t, int rel_prec ) const {
         // If t is zero, we can refine the interval to
         //  infinite precission
         if( CGAL::is_zero( t ) ) {
-          t = Type(0);                            
+          t = Type(0);
         } else {
           // Refine until both boundaries have the same sign
-          while( CGAL::sign( t.high() ) != 
+          while( CGAL::sign( t.high() ) !=
               CGAL::sign( t.low() ) )
             t.refine();
-                            
+
           CGAL_assertion( CGAL::sign( t.high() ) != CGAL::ZERO &&
               CGAL::sign( t.low() ) != CGAL::ZERO );
-                            
+
           // Calculate the needed precision
-          Bound prec = Bound(1) / 
+          Bound prec = Bound(1) /
             CGAL::ipower( Bound(2), rel_prec );
-                            
+
           // Refine until precision is reached
           while( CGAL::abs( t.high() - t.low() ) /
                  (CGAL::max)( CGAL::abs( t.high() ),
@@ -135,20 +135,20 @@ public:
 
             CGAL_assertion( CGAL::sign( t.high() ) != CGAL::ZERO &&
                 CGAL::sign( t.low() ) != CGAL::ZERO );
-                                
-          } 
-        }                        
+
+          }
+        }
       }
-    };              
-    
+    };
+
     struct Approximate_absolute_1:
       public CGAL::cpp98::binary_function<Algebraic_real_1,int,std::pair<Bound,Bound> >{
-      std::pair<Bound,Bound> 
+      std::pair<Bound,Bound>
       operator()(const Algebraic_real_1& x, int prec) const {
-        Lower_bound lower; 
-        Upper_bound upper; 
-        Refine refine; 
-        Bound l = lower(x);  
+        Lower_bound lower;
+        Upper_bound upper;
+        Refine refine;
+        Bound l = lower(x);
         Bound u = upper(x);
         Bound error = CGAL::ipower(Bound(2),CGAL::abs(prec));
         while((prec>0)?((u-l)*error>Bound(1)):((u-l)>error)){
@@ -158,19 +158,19 @@ public:
         }
         return std::make_pair(l,u);
       }
-    }; 
-    
+    };
+
     struct Approximate_relative_1:
       public CGAL::cpp98::binary_function<Algebraic_real_1,int,std::pair<Bound,Bound> >{
-      std::pair<Bound,Bound> 
+      std::pair<Bound,Bound>
       operator()(const Algebraic_real_1& x, int prec) const {
-        
+
         if(CGAL::is_zero(x)) return std::make_pair(Bound(0),Bound(0));
-        
-        Lower_bound lower; 
-        Upper_bound upper; 
-        Refine refine; 
-        Bound l = lower(x);  
+
+        Lower_bound lower;
+        Upper_bound upper;
+        Refine refine;
+        Bound l = lower(x);
         Bound u = upper(x);
         Bound error = CGAL::ipower(Bound(2),CGAL::abs(prec));
         Bound min_b = (CGAL::min)(CGAL::abs(u),CGAL::abs(l));
@@ -187,27 +187,27 @@ public:
 #if CGAL_AK_ENABLE_DEPRECATED_INTERFACE
     typedef Lower_bound Lower_boundary;
     typedef Upper_bound Upper_boundary;
-    typedef Bound_between Boundary_between; 
-#endif    
+    typedef Bound_between Boundary_between;
+#endif
 
 
   }; // class Algebraic_real_traits
 
   struct Construct_algebraic_real_1;
-  
+
   // Functors of Algebraic_kernel_d_1
   struct Solve_1 {
   public:
     template <class OutputIterator>
-    OutputIterator 
-    operator()(const Polynomial_1& p, OutputIterator oi) const {  
+    OutputIterator
+    operator()(const Polynomial_1& p, OutputIterator oi) const {
 #if CGAL_AK_ENABLE_DEPRECATED_INTERFACE
 #else
       CGAL_precondition(!CGAL::is_zero(p));
 #endif
-      internal::Real_roots< Algebraic_real_1, Isolator > real_roots; 
+      internal::Real_roots< Algebraic_real_1, Isolator > real_roots;
       std::list< int > mults;
-      std::list< Algebraic_real_1 > roots; 
+      std::list< Algebraic_real_1 > roots;
       real_roots( p, std::back_inserter(roots), std::back_inserter( mults ) );
       CGAL_assertion(roots.size()==mults.size());
       std::list<int>::iterator mit =mults.begin();
@@ -220,29 +220,29 @@ public:
       }
       return oi;
     }
-    
+
 #if 1 || CGAL_AK_ENABLE_DEPRECATED_INTERFACE
     template< class OutputIterator >
-    OutputIterator operator()( 
-        const Polynomial_1& p, 
-        OutputIterator oi , 
+    OutputIterator operator()(
+        const Polynomial_1& p,
+        OutputIterator oi ,
         bool known_to_be_square_free) const {
       return this->operator()(p,known_to_be_square_free,oi);
     }
 #endif
 
     template< class OutputIterator >
-    OutputIterator operator()( 
-        const Polynomial_1& p, 
+    OutputIterator operator()(
+        const Polynomial_1& p,
         bool known_to_be_square_free,
         OutputIterator oi) const {
 
-      internal::Real_roots< Algebraic_real_1, Isolator > real_roots; 
+      internal::Real_roots< Algebraic_real_1, Isolator > real_roots;
 #if CGAL_AK_ENABLE_DEPRECATED_INTERFACE
 #else
       CGAL_precondition(!CGAL::is_zero(p));
 #endif
-      std::list<Algebraic_real_1> roots; 
+      std::list<Algebraic_real_1> roots;
       if( known_to_be_square_free ){
         real_roots(p,std::back_inserter(roots));
       }else{
@@ -254,30 +254,30 @@ public:
 
 #if CGAL_AK_ENABLE_DEPRECATED_INTERFACE
     template< class OutputIteratorRoots , class OutputIteratorMults >
-    std::pair<OutputIteratorRoots,OutputIteratorMults> 
-    operator()( 
-        const Polynomial_1& p, 
+    std::pair<OutputIteratorRoots,OutputIteratorMults>
+    operator()(
+        const Polynomial_1& p,
         OutputIteratorRoots roi,
         OutputIteratorMults moi) const {
 
-      internal::Real_roots< Algebraic_real_1, Isolator > real_roots; 
+      internal::Real_roots< Algebraic_real_1, Isolator > real_roots;
       real_roots(p,roi,moi);
       return std::make_pair(roi,moi);
     }
 #endif
 
     protected:
-    
+
     /*
     // TODO: Can we avoid to use this?
-    struct Greater_compare : 
+    struct Greater_compare :
       public CGAL::cpp98::binary_function<Algebraic_real_1,Algebraic_real_1,bool> {
-      
+
       bool operator() (const Algebraic_real_1& a, const Algebraic_real_1& b)
-	const {
-	return a>b;
+        const {
+        return a>b;
       }
-      
+
     };
     */
 
@@ -285,41 +285,41 @@ public:
 
     template< class OutputIterator >
     OutputIterator operator()(const Polynomial_1& p, Bound l, Bound u,
-			      OutputIterator res) const {
-      
+                              OutputIterator res) const {
+
       std::vector<std::pair<Algebraic_real_1,Multiplicity_type> > roots;
       this->operator() (p,std::back_inserter(roots));
       Algebraic_real_1 alg_l=Construct_algebraic_real_1()(l);
       Algebraic_real_1 alg_u=Construct_algebraic_real_1()(u);
       typedef typename
-	std::vector<std::pair<Algebraic_real_1,Multiplicity_type> >::iterator
-	Iterator;
+        std::vector<std::pair<Algebraic_real_1,Multiplicity_type> >::iterator
+        Iterator;
       Pair_first<Algebraic_real_1,Multiplicity_type> pair_first;
       Iterator it_start=std::lower_bound
-	(::boost::make_transform_iterator(roots.begin(),pair_first),
-	 ::boost::make_transform_iterator(roots.end(),pair_first),
-	 alg_l).base();
+        (::boost::make_transform_iterator(roots.begin(),pair_first),
+         ::boost::make_transform_iterator(roots.end(),pair_first),
+         alg_l).base();
       Iterator it_end=std::upper_bound
-	(::boost::make_transform_iterator(it_start,pair_first),
-	 ::boost::make_transform_iterator(roots.end(),pair_first),
-	 alg_u).base();
+        (::boost::make_transform_iterator(it_start,pair_first),
+         ::boost::make_transform_iterator(roots.end(),pair_first),
+         alg_u).base();
       std::copy(it_start,it_end,res);
       return res;
     }
 
     template< class OutputIterator >
-    OutputIterator operator()(const Polynomial_1& p, 
-			      bool known_to_be_square_free,
-			      Bound l, Bound u,
-			      OutputIterator res) const {
-      
+    OutputIterator operator()(const Polynomial_1& p,
+                              bool known_to_be_square_free,
+                              Bound l, Bound u,
+                              OutputIterator res) const {
+
       std::vector<Algebraic_real_1 > roots;
       this->operator() (p,known_to_be_square_free,std::back_inserter(roots));
       Algebraic_real_1 alg_l=Construct_algebraic_real_1()(l);
       Algebraic_real_1 alg_u=Construct_algebraic_real_1()(u);
       typedef typename
-	std::vector<Algebraic_real_1>::iterator
-	Iterator;
+        std::vector<Algebraic_real_1>::iterator
+        Iterator;
       Iterator it_start=std::lower_bound(roots.begin(),roots.end(),alg_l);
       Iterator it_end=std::upper_bound(it_start,roots.end(),alg_u);
       std::copy(it_start,it_end,res);
@@ -328,26 +328,26 @@ public:
 
   };
 
-  class Number_of_solutions_1 
+  class Number_of_solutions_1
       : public CGAL::cpp98::unary_function<Polynomial_1,size_type> {
-    
+
     public:
-	
-      size_type operator() 
-	(const Polynomial_1& p) const {
 
-	std::vector<std::pair<Algebraic_real_1,Multiplicity_type> > roots;
-	Solve_1()(p,std::back_inserter(roots));
-	return static_cast<size_type>(roots.size()); 
+      size_type operator()
+        (const Polynomial_1& p) const {
+
+        std::vector<std::pair<Algebraic_real_1,Multiplicity_type> > roots;
+        Solve_1()(p,std::back_inserter(roots));
+        return static_cast<size_type>(roots.size());
       }
 
   };
 
-            
-  struct Sign_at_1 
+
+  struct Sign_at_1
     : public CGAL::cpp98::binary_function< Polynomial_1, Algebraic_real_1, CGAL::Sign > {
     CGAL::Sign operator()( const Polynomial_1& p, const Algebraic_real_1& ar ) const {
-      if(CGAL::is_zero(p)) return ZERO; 
+      if(CGAL::is_zero(p)) return ZERO;
       if(CGAL::degree(p)==0) return p.sign_at(0);
       if( ar.low() == ar.high() ) return p.sign_at( ar.low() );
 
@@ -356,52 +356,52 @@ public:
       }
 
       Polynomial_1 g = gcd_utcf(p,ar.polynomial());
-      if (g.sign_at(ar.low()) != g.sign_at(ar.high())) return ZERO; 
-     
+      if (g.sign_at(ar.low()) != g.sign_at(ar.high())) return ZERO;
+
       while(internal::descartes(p,ar.low(),ar.high()) > 0) ar.refine();
       while( p.sign_at(ar.low())  == ZERO )  ar.refine();
       while( p.sign_at(ar.high()) == ZERO )  ar.refine();
 
       CGAL::Sign result = p.sign_at(ar.low());
       CGAL_assertion(result == p.sign_at(ar.high()));
-      return result; 
+      return result;
     }
-  };                
-  struct Is_zero_at_1 
+  };
+  struct Is_zero_at_1
     : public CGAL::cpp98::binary_function< Polynomial_1, Algebraic_real_1, bool > {
     bool operator()( const Polynomial_1& p, const Algebraic_real_1& ar ) const {
-      if(CGAL::is_zero(p)) return true; 
+      if(CGAL::is_zero(p)) return true;
       if( ar.low() == ar.high() ) return p.sign_at( ar.low() ) == ZERO;
       Polynomial_1 g = gcd_utcf(p,ar.polynomial());
       return g.sign_at(ar.low()) != g.sign_at(ar.high());
     }
-  };                
-                   
-  struct Is_square_free_1 
+  };
+
+  struct Is_square_free_1
     : public CGAL::cpp98::unary_function< Polynomial_1, bool > {
     bool operator()( const Polynomial_1& p ) const {
       typename CGAL::Polynomial_traits_d< Polynomial_1 >::Is_square_free isf;
       return isf(p);
     }
   };
-            
+
   struct Is_coprime_1
     : public CGAL::cpp98::binary_function< Polynomial_1, Polynomial_1, bool > {
     bool operator()( const Polynomial_1& p1, const Polynomial_1& p2 ) const {
       typename CGAL::Polynomial_traits_d< Polynomial_1 >::Total_degree total_degree;
-                        
-      // TODO: Is GCD already filtered? 
-      return( total_degree( gcd_utcf( p1, p2 ) ) == 0 );                        
-    } 
-  }; 
-            
+
+      // TODO: Is GCD already filtered?
+      return( total_degree( gcd_utcf( p1, p2 ) ) == 0 );
+    }
+  };
+
   struct Make_square_free_1
     : public CGAL::cpp98::unary_function< Polynomial_1, Polynomial_1 > {
     Polynomial_1 operator()( const Polynomial_1& p ) const {
       return typename CGAL::Polynomial_traits_d< Polynomial_1 >::Make_square_free()( p );
     }
   };
-            
+
   struct Make_coprime_1 {
     typedef bool         result_type;
     typedef Polynomial_1 first_argument_type;
@@ -409,26 +409,26 @@ public:
     typedef Polynomial_1 third_argument_type;
     typedef Polynomial_1 fourth_argument_type;
     typedef Polynomial_1 fifth_argument_type;
-                
+
     bool operator()( const Polynomial_1& p1,
         const Polynomial_1& p2,
-        Polynomial_1& g, // ggT utcf 
+        Polynomial_1& g, // ggT utcf
         Polynomial_1& q1, // Rest utcf
         Polynomial_1& q2 ) const {
       g = typename CGAL::Polynomial_traits_d< Polynomial_1 >::Gcd_up_to_constant_factor()( p1, p2 );
       q1 = p1 / g;
       q2 = p2 / g;
       return CGAL::is_one(g);
-    }                 
+    }
   };
-            
+
 
   struct Square_free_factorize_1 {
     template< class OutputIterator>
     OutputIterator operator()( const Polynomial_1& p, OutputIterator it) const {
       typename PT_1::Square_free_factorize_up_to_constant_factor sqff;
       return sqff(p,it);
-    } 
+    }
   };
 
   struct Compute_polynomial_1 : public CGAL::cpp98::unary_function<Algebraic_real_1,
@@ -437,7 +437,7 @@ public:
       return x.polynomial();
     }
   };
-  
+
   struct Construct_algebraic_real_1 {
 
     public:
@@ -445,51 +445,51 @@ public:
       typedef Algebraic_real_1 result_type;
 
       result_type operator() (int a) const {
-	return Algebraic_real_1(a);
+        return Algebraic_real_1(a);
       }
 
       result_type operator() (Bound a) const {
-	return Algebraic_real_1(a);
+        return Algebraic_real_1(a);
       }
 
-      result_type operator() 
+      result_type operator()
       (typename CGAL::First_if_different<Coefficient,Bound>::Type a) const {
-	Coefficient coeffs[2] = {a,Coefficient(-1)};
-	Polynomial_1 p = typename PT_1::Construct_polynomial()
-	  (coeffs,coeffs+2);
-	std::vector<Algebraic_real_1 > roots;
-	Solve_1()(p,true,std::back_inserter(roots));
-	CGAL_assertion(roots.size() == size_type(1));
-	return roots[0];
-      }
-      
-
-      result_type operator() (Polynomial_1 p,size_type i) 
-	const {
-	std::vector<Algebraic_real_1 > roots;
-	Solve_1()(p,true,std::back_inserter(roots));
-	CGAL_assertion( size_type(roots.size()) > i);
-	return roots[i];
+        Coefficient coeffs[2] = {a,Coefficient(-1)};
+        Polynomial_1 p = typename PT_1::Construct_polynomial()
+          (coeffs,coeffs+2);
+        std::vector<Algebraic_real_1 > roots;
+        Solve_1()(p,true,std::back_inserter(roots));
+        CGAL_assertion(roots.size() == size_type(1));
+        return roots[0];
+      }
+
+
+      result_type operator() (Polynomial_1 p,size_type i)
+        const {
+        std::vector<Algebraic_real_1 > roots;
+        Solve_1()(p,true,std::back_inserter(roots));
+        CGAL_assertion( size_type(roots.size()) > i);
+        return roots[i];
       }
 
       result_type operator() (Polynomial_1 p,
-			      Bound l, Bound u) const {
-	CGAL_precondition(l<u);
-	return Algebraic_real_1(p,l,u);
+                              Bound l, Bound u) const {
+        CGAL_precondition(l<u);
+        return Algebraic_real_1(p,l,u);
       }
 
   };
 
   struct Compare_1
     : public CGAL::cpp98::binary_function<Algebraic_real_1,
-	                          Algebraic_real_1,
+                                  Algebraic_real_1,
                                   CGAL::Comparison_result>{
-    
+
     typedef CGAL::Comparison_result result_type;
 
     result_type operator() (Algebraic_real_1 a,Algebraic_real_1 b) const {
       return typename Real_embeddable_traits<Algebraic_real_1>
-	                ::Compare() (a,b);
+                        ::Compare() (a,b);
     }
 
     result_type operator() (Algebraic_real_1 a,int b) const {
@@ -500,8 +500,8 @@ public:
       return this->operator()(a,Construct_algebraic_real_1()(b));
     }
 
-    
-    result_type operator() 
+
+    result_type operator()
       (Algebraic_real_1 a,
        typename CGAL::First_if_different<Coefficient,Bound>::Type b) const {
       return this->operator()(a,Construct_algebraic_real_1()(b));
@@ -515,8 +515,8 @@ public:
       return this->operator()(Construct_algebraic_real_1()(a),b);
     }
 
-    
-    result_type operator() 
+
+    result_type operator()
       (typename CGAL::First_if_different<Coefficient,Bound>::Type a,
        Algebraic_real_1 b) const {
       return this->operator()(Construct_algebraic_real_1()(a),b);
@@ -528,49 +528,49 @@ public:
 
   struct Isolate_1 : public CGAL::cpp98::binary_function
     < Algebraic_real_1,Polynomial_1,std::pair<Bound,Bound> > {
-    
+
     public:
 
     std::pair<Bound,Bound> operator() (const Algebraic_real_1 a,
-				       const Polynomial_1 p) const {
+                                       const Polynomial_1 p) const {
+
+      if(p == a.polynomial()) return std::make_pair(a.low(),a.high());
 
-      if(p == a.polynomial()) return std::make_pair(a.low(),a.high()); 
-      
       std::vector<Algebraic_real_1> roots;
       // First isolate p...
       Solve_1()(p,false,std::back_inserter(roots));
       typedef typename std::vector<Algebraic_real_1>::iterator Iterator;
       // Binary search on the root to find a place where a could be inserted
       std::pair<Iterator,Iterator> it_pair
-	= equal_range(roots.begin(),roots.end(),a);
+        = equal_range(roots.begin(),roots.end(),a);
       CGAL_assertion(std::distance(it_pair.first,it_pair.second)==0 ||
-		     std::distance(it_pair.first,it_pair.second)==1);
+                     std::distance(it_pair.first,it_pair.second)==1);
       // If we can insert a in two places, it must have been in roots already
       bool a_in_roots = std::distance(it_pair.first,it_pair.second)==1;
       if(a_in_roots) {
-	// TODO: can we rely on the property that the isolating intervals
-	// of the roots in p are isolating from each other. What
-	// if p was factorized during isolation? Is that still
-	// guaranteed? To be sure, we do it this way:
-	if(it_pair.first!=roots.begin()) {
-	  it_pair.first->strong_refine(*(it_pair.first-1)); 
-	}
-	if(it_pair.second!=roots.end()) {
-	  it_pair.first->strong_refine(*(it_pair.second)); 
-	}
-	return std::make_pair(it_pair.first->low(),it_pair.first->high());
+        // TODO: can we rely on the property that the isolating intervals
+        // of the roots in p are isolating from each other. What
+        // if p was factorized during isolation? Is that still
+        // guaranteed? To be sure, we do it this way:
+        if(it_pair.first!=roots.begin()) {
+          it_pair.first->strong_refine(*(it_pair.first-1));
+        }
+        if(it_pair.second!=roots.end()) {
+          it_pair.first->strong_refine(*(it_pair.second));
+        }
+        return std::make_pair(it_pair.first->low(),it_pair.first->high());
       } else {
-	// Refine a until disjoint from neighbors 
-	// This is probably not even necessary since the isolating
-	// interval of a isolates against all roots of p thanks to the
-	// comparisons. But to be sure...
-	if(it_pair.first!=roots.begin()) {
-	  a.strong_refine(*(it_pair.first-1)); 
-	}
-	if(it_pair.first!=roots.end()) {
-	  a.strong_refine(*(it_pair.first));
-	}
-	return std::make_pair(a.low(),a.high());
+        // Refine a until disjoint from neighbors
+        // This is probably not even necessary since the isolating
+        // interval of a isolates against all roots of p thanks to the
+        // comparisons. But to be sure...
+        if(it_pair.first!=roots.begin()) {
+          a.strong_refine(*(it_pair.first-1));
+        }
+        if(it_pair.first!=roots.end()) {
+          a.strong_refine(*(it_pair.first));
+        }
+        return std::make_pair(a.low(),a.high());
       }
     }
 
@@ -581,8 +581,8 @@ public:
   typedef typename Algebraic_real_traits::Approximate_relative_1 Approximate_relative_1;
 
 
-  
-      
+
+
 #define CGAL_ALGEBRAIC_KERNEL_1_PRED(Y,Z) Y Z() const { return Y(); }
 #define CGAL_ALGEBRAIC_KERNEL_1_PRED_WITH_KERNEL \
             Y Z() const { return Y((const Algebraic_kernel_d_1*)this); }
@@ -620,9 +620,9 @@ public:
   CGAL_ALGEBRAIC_KERNEL_1_PRED(Isolate_1,
       isolate_1_object);
 
-  // Deprecated 
+  // Deprecated
 #if CGAL_AK_ENABLE_DEPRECATED_INTERFACE
-  typedef Bound Boundary;  
+  typedef Bound Boundary;
   typedef typename Algebraic_real_traits::Refine Refine_1;
   typedef typename Algebraic_real_traits::Lower_bound Lower_bound_1;
   typedef typename Algebraic_real_traits::Upper_bound Upper_bound_1;
@@ -637,9 +637,9 @@ public:
   CGAL_ALGEBRAIC_KERNEL_1_PRED(Upper_boundary_1, upper_boundary_1_object);
   CGAL_ALGEBRAIC_KERNEL_1_PRED(Boundary_between_1, boundary_between_1_object);
 #endif
-      
-#undef CGAL_ALGEBRAIC_KERNEL_1_PRED  
-          
+
+#undef CGAL_ALGEBRAIC_KERNEL_1_PRED
+
 };
 } // namespace internal
 
@@ -648,19 +648,19 @@ template< class Coefficient,
           class Bound = typename CGAL::Get_arithmetic_kernel< Coefficient >::Arithmetic_kernel::Rational,
           class RepClass = internal::Algebraic_real_rep< Coefficient, Bound >,
           class Isolator = internal::Descartes< typename CGAL::Polynomial_type_generator<Coefficient,1>::Type, Bound > >
-class Algebraic_kernel_d_1    
-  : public internal::Algebraic_kernel_d_1_base< 
+class Algebraic_kernel_d_1
+  : public internal::Algebraic_kernel_d_1_base<
 
-    // Template argument #1 (AlgebraicReal1)        
-        internal::Algebraic_real_d_1< 
-            Coefficient, 
+    // Template argument #1 (AlgebraicReal1)
+        internal::Algebraic_real_d_1<
+            Coefficient,
             Bound,
-            ::CGAL::Handle_policy_no_union,     
+            ::CGAL::Handle_policy_no_union,
             RepClass >,
-        
+
     // Template argument #2 (Isolator_)
         Isolator >
-            
+
 {};
 
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_d_2.h 5.0.3-1/include/CGAL/Algebraic_kernel_d_2.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_d_2.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_d_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d_2.h $
-// $Id: Algebraic_kernel_d_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_d_2.h $
+// $Id: Algebraic_kernel_d_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Kerber    <mkerber@mpi-inf.mpg.de>
 //
@@ -28,7 +28,7 @@ template<typename Coefficient> class Alg
   : public CGAL::Algebraic_curve_kernel_2
                < CGAL::Algebraic_kernel_d_1 <Coefficient> >
 {};
- 
+
 } //namespace CGAL
 
 #include <CGAL/enable_warnings.h>
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_for_circles/function_objects_on_roots_and_polynomials_2_2.h 5.0.3-1/include/CGAL/Algebraic_kernel_for_circles/function_objects_on_roots_and_polynomials_2_2.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_for_circles/function_objects_on_roots_and_polynomials_2_2.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_for_circles/function_objects_on_roots_and_polynomials_2_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_circles/include/CGAL/Algebraic_kernel_for_circles/function_objects_on_roots_and_polynomials_2_2.h $
-// $Id: function_objects_on_roots_and_polynomials_2_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_circles/include/CGAL/Algebraic_kernel_for_circles/function_objects_on_roots_and_polynomials_2_2.h $
+// $Id: function_objects_on_roots_and_polynomials_2_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_ALGEBRAIC_KERNEL_FOR_CIRCLES_FUNCTION_OBJECTS_ON_ROOTS_AND_POLYNOMIALS_2_H
@@ -28,7 +28,7 @@
 namespace CGAL {
 
 namespace AlgebraicFunctors {
-  
+
   template < class AK >
   class Solve
   {
@@ -36,35 +36,35 @@ namespace AlgebraicFunctors {
     typedef typename AK::Polynomial_1_2             Equation_Line;
 
   public:
-    typedef void         result_type; 
+    typedef void         result_type;
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Equation_Circle & e1, 
-	       const Equation_Circle & e2, 
-	       OutputIterator res) const
+    operator()(const Equation_Circle & e1,
+               const Equation_Circle & e2,
+               OutputIterator res) const
     { return AlgebraicFunctors::solve<AK> ( e1, e2, res); }
-    
+
     template < class OutputIterator >
     OutputIterator
-    operator()(const Equation_Line & e1, 
-	       const Equation_Circle & e2, 
-	       OutputIterator res) const
+    operator()(const Equation_Line & e1,
+               const Equation_Circle & e2,
+               OutputIterator res) const
     { return AlgebraicFunctors::solve<AK> ( e1, e2, res); }
 
-    
+
     template < class OutputIterator >
     OutputIterator
-    operator()(const Equation_Circle & e1, 
-	       const Equation_Line & e2, 
-	       OutputIterator res) const
+    operator()(const Equation_Circle & e1,
+               const Equation_Line & e2,
+               OutputIterator res) const
     { return AlgebraicFunctors::solve<AK> ( e1, e2, res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Equation_Line & e1, 
-	       const Equation_Line & e2, 
-	       OutputIterator res) const
+    operator()(const Equation_Line & e1,
+               const Equation_Line & e2,
+               OutputIterator res) const
     { return AlgebraicFunctors::solve<AK> ( e1, e2, res); }
 
   };
@@ -74,9 +74,9 @@ namespace AlgebraicFunctors {
   {
     typedef typename AK::RT                         RT;
     typedef typename AK::Polynomial_for_circles_2_2 Polynomial_for_circles_2_2;
-    
+
   public:
-    
+
     typedef Polynomial_for_circles_2_2 result_type;
 
     result_type
@@ -90,9 +90,9 @@ namespace AlgebraicFunctors {
   {
     typedef typename AK::RT             RT;
     typedef typename AK::Polynomial_1_2 Polynomial_1_2;
-    
+
   public:
-    
+
     typedef Polynomial_1_2 result_type;
 
     result_type
@@ -103,7 +103,7 @@ namespace AlgebraicFunctors {
 
   template < class AK >
   class Sign_at
-  {    
+  {
     typedef typename AK::Polynomial_1_2             Polynomial_1_2;
     typedef typename AK::Polynomial_for_circles_2_2 Polynomial_for_circles_2_2;
     typedef typename AK::Root_for_circles_2_2       Root_for_circles_2_2;
@@ -113,19 +113,19 @@ namespace AlgebraicFunctors {
 
     result_type
     operator()( const Polynomial_for_circles_2_2 & equation,
-		const Root_for_circles_2_2 & r ) const
+                const Root_for_circles_2_2 & r ) const
     { return AlgebraicFunctors::sign_at<AK>(equation, r); }
 
     result_type
     operator()( const Polynomial_1_2 & equation,
-		const Root_for_circles_2_2 & r ) const
+                const Root_for_circles_2_2 & r ) const
     { return AlgebraicFunctors::sign_at<AK>(equation, r); }
 
   };
-    
+
   template < class AK >
   class X_critical_points
-  {    
+  {
     typedef typename AK::Root_for_circles_2_2       Root_for_circles_2_2;
     typedef typename AK::Polynomial_for_circles_2_2 Polynomial_for_circles_2_2;
 
@@ -133,21 +133,21 @@ namespace AlgebraicFunctors {
     typedef void         result_type;
 
     Root_for_circles_2_2
-    operator()(const Polynomial_for_circles_2_2 & c, 
-	       bool i) const
+    operator()(const Polynomial_for_circles_2_2 & c,
+               bool i) const
     { return AlgebraicFunctors::x_critical_point<AK>(c,i); }
 
     template <class OutputIterator>
     OutputIterator
-    operator()(const Polynomial_for_circles_2_2 & c, 
-	       OutputIterator res) const
+    operator()(const Polynomial_for_circles_2_2 & c,
+               OutputIterator res) const
     { return AlgebraicFunctors::x_critical_points<AK>(c,res); }
 
   };
 
   template < class AK >
   class Y_critical_points
-  {    
+  {
     typedef typename AK::Root_for_circles_2_2       Root_for_circles_2_2;
     typedef typename AK::Polynomial_for_circles_2_2 Polynomial_for_circles_2_2;
 
@@ -155,14 +155,14 @@ namespace AlgebraicFunctors {
     typedef void         result_type;
 
     Root_for_circles_2_2
-    operator()(const Polynomial_for_circles_2_2 & c, 
-	       bool i) const
+    operator()(const Polynomial_for_circles_2_2 & c,
+               bool i) const
     { return AlgebraicFunctors::y_critical_point<AK>(c,i); }
 
     template <class OutputIterator>
     OutputIterator
-    operator()(const Polynomial_for_circles_2_2 & c, 
-	       OutputIterator res) const
+    operator()(const Polynomial_for_circles_2_2 & c,
+               OutputIterator res) const
     { return AlgebraicFunctors::y_critical_points<AK>(c,res); }
 
   };
@@ -177,8 +177,8 @@ namespace AlgebraicFunctors {
     typedef CGAL::Comparison_result result_type;
 
     result_type
-    operator()(const Root_for_circles_2_2& r1, 
-	       const Root_for_circles_2_2& r2) const
+    operator()(const Root_for_circles_2_2& r1,
+               const Root_for_circles_2_2& r2) const
     { return AlgebraicFunctors::compare_x<RT>(r1, r2); }
 
   };
@@ -188,13 +188,13 @@ namespace AlgebraicFunctors {
   {
     typedef typename AK::Root_for_circles_2_2 Root_for_circles_2_2;
     typedef typename AK::RT                   RT;
-    
+
   public:
     typedef CGAL::Comparison_result result_type;
 
     result_type
-    operator()(const Root_for_circles_2_2& r1, 
-	       const Root_for_circles_2_2& r2) const
+    operator()(const Root_for_circles_2_2& r1,
+               const Root_for_circles_2_2& r2) const
     { return AlgebraicFunctors::compare_y<RT>(r1, r2); }
 
   };
@@ -209,8 +209,8 @@ namespace AlgebraicFunctors {
     typedef CGAL::Comparison_result result_type;
 
     result_type
-    operator()(const Root_for_circles_2_2& r1, 
-	       const Root_for_circles_2_2& r2) const
+    operator()(const Root_for_circles_2_2& r1,
+               const Root_for_circles_2_2& r2) const
     { return AlgebraicFunctors::compare_xy<RT>(r1, r2); }
 
   };
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_for_circles/internal_functions_comparison_root_for_circles_2_2.h 5.0.3-1/include/CGAL/Algebraic_kernel_for_circles/internal_functions_comparison_root_for_circles_2_2.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_for_circles/internal_functions_comparison_root_for_circles_2_2.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_for_circles/internal_functions_comparison_root_for_circles_2_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_circles/include/CGAL/Algebraic_kernel_for_circles/internal_functions_comparison_root_for_circles_2_2.h $
-// $Id: internal_functions_comparison_root_for_circles_2_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_circles/include/CGAL/Algebraic_kernel_for_circles/internal_functions_comparison_root_for_circles_2_2.h $
+// $Id: internal_functions_comparison_root_for_circles_2_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Julien Hazebrouck
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_ALGEBRAIC_KERNEL_FOR_CIRCLES_COMPARISON_ROOT_FOR_CIRCLES_2_2_H
@@ -24,25 +24,25 @@
 
 namespace CGAL {
   namespace AlgebraicFunctors{
-  
+
     template <typename RT>
-      Comparison_result 
+      Comparison_result
       compare_x(const CGAL::Root_for_circles_2_2<RT>& r1, const CGAL::Root_for_circles_2_2<RT>& r2){
       return compare(r1.x(), r2.x());
     }
-  
+
     template <typename RT>
-      Comparison_result 
+      Comparison_result
       compare_y(const CGAL::Root_for_circles_2_2<RT>& r1, const CGAL::Root_for_circles_2_2<RT>& r2){
       return compare(r1.y(), r2.y());
     }
-  
+
     template <typename RT>
       Comparison_result
       compare_xy(const CGAL::Root_for_circles_2_2<RT>& r1, const CGAL::Root_for_circles_2_2<RT>& r2){
       Comparison_result compx = compare_x(r1, r2);
       if(compx != 0)
-	return compx;
+        return compx;
       return compare_y(r1, r2);
     }
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_for_circles/internal_functions_on_roots_and_polynomial_1_2_and_2_2.h 5.0.3-1/include/CGAL/Algebraic_kernel_for_circles/internal_functions_on_roots_and_polynomial_1_2_and_2_2.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_for_circles/internal_functions_on_roots_and_polynomial_1_2_and_2_2.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_for_circles/internal_functions_on_roots_and_polynomial_1_2_and_2_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_circles/include/CGAL/Algebraic_kernel_for_circles/internal_functions_on_roots_and_polynomial_1_2_and_2_2.h $
-// $Id: internal_functions_on_roots_and_polynomial_1_2_and_2_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_circles/include/CGAL/Algebraic_kernel_for_circles/internal_functions_on_roots_and_polynomial_1_2_and_2_2.h $
+// $Id: internal_functions_on_roots_and_polynomial_1_2_and_2_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Julien Hazebrouck
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_ALGEBRAIC_KERNEL_FOR_CIRCLES_FUNCTIONS_ON_ROOTS_AND_POLYNOMIAL_1_2_AND_2_2_H
@@ -27,63 +27,63 @@ namespace CGAL {
 
 
   template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
   solve( const typename AK::Polynomial_1_2 & e1,
-	 const typename AK::Polynomial_for_circles_2_2 & e2,
-	 OutputIterator res )
+         const typename AK::Polynomial_for_circles_2_2 & e2,
+         OutputIterator res )
   {
     typedef typename AK::FT FT;
     typedef typename AK::Root_of_2 Root_of_2;
     typedef typename AK::Root_for_circles_2_2 Root_for_circles_2_2;
     if (is_zero(e1.a())){//horizontal line
-      
+
       const FT hy = -e1.c()/e1.b();
       const FT hdisc = e2.r_sq() - CGAL::square(hy - e2.b());
       CGAL::Sign sign_hdisc = CGAL::sign(hdisc);
-    
+
       if(sign_hdisc == NEGATIVE) return res;
-      if(sign_hdisc == ZERO) {	
-	*res++ = std::make_pair
-	  ( Root_for_circles_2_2(Root_of_2(e2.a()), 
+      if(sign_hdisc == ZERO) {
+        *res++ = std::make_pair
+          ( Root_for_circles_2_2(Root_of_2(e2.a()),
                                  Root_of_2(hy)), 2u);
-	return res;
+        return res;
       }
       const Root_of_2 x_res1 = make_root_of_2(e2.a(),FT(-1),hdisc);
       const Root_of_2 x_res2 = make_root_of_2(e2.a(),FT(1),hdisc);
-      const Root_of_2 y_res = Root_of_2(hy);  
+      const Root_of_2 y_res = Root_of_2(hy);
       *res++ = std::make_pair
-	( Root_for_circles_2_2(x_res1, y_res), 1u);
+        ( Root_for_circles_2_2(x_res1, y_res), 1u);
       *res++ = std::make_pair
-	( Root_for_circles_2_2(x_res2, y_res), 1u);
+        ( Root_for_circles_2_2(x_res2, y_res), 1u);
       return res;
     }
     else if(is_zero(e1.b())){//vertical line
-      
+
       const FT vx = -e1.c()/e1.a();
       const FT vdisc = e2.r_sq() - CGAL::square(vx - e2.a());
       CGAL::Sign sign_vdisc = CGAL::sign(vdisc);
 
       if(sign_vdisc == NEGATIVE) return res;
       if(sign_vdisc == ZERO) {
-	*res++ = std::make_pair
-	  ( Root_for_circles_2_2(Root_of_2(vx), 
+        *res++ = std::make_pair
+          ( Root_for_circles_2_2(Root_of_2(vx),
                                  Root_of_2(e2.b())), 2u);
-	return res;
+        return res;
       }
-      
-      const Root_of_2 x_res = Root_of_2(vx); 
+
+      const Root_of_2 x_res = Root_of_2(vx);
       const Root_of_2 y_res1 = make_root_of_2(e2.b(),FT(-1),vdisc);
       const Root_of_2 y_res2 = make_root_of_2(e2.b(),FT(1),vdisc);
 
       *res++ = std::make_pair
-	( Root_for_circles_2_2(x_res, y_res1), 1u);
+        ( Root_for_circles_2_2(x_res, y_res1), 1u);
       *res++ = std::make_pair
-	( Root_for_circles_2_2(x_res, y_res2), 1u);
+        ( Root_for_circles_2_2(x_res, y_res2), 1u);
       return res;
     }
     else {
-      
+
       const FT line_factor = CGAL::square(e1.a()) + CGAL::square(e1.b());
       const FT disc = line_factor*e2.r_sq() -
                       CGAL::square(e1.a()*e2.a() + e1.b()*e2.b() + e1.c());
@@ -97,28 +97,28 @@ namespace CGAL {
 
       if (sign_disc == ZERO) {
         *res++ = std::make_pair
-	  ( Root_for_circles_2_2(Root_of_2(x_base), 
+          ( Root_for_circles_2_2(Root_of_2(x_base),
                                  Root_of_2(y_base)), 2u);
-	return res;
+        return res;
       }
 
-      // We have two intersection points, whose coordinates are one-root numbers. 
+      // We have two intersection points, whose coordinates are one-root numbers.
       const FT x_root_coeff = e1.b() / line_factor;
       const FT y_root_coeff = e1.a() / line_factor;
 
       if (CGAL::sign(e1.b()) == POSITIVE) {
         *res++ = std::make_pair
-	( Root_for_circles_2_2(make_root_of_2(x_base, -x_root_coeff, disc), 
+        ( Root_for_circles_2_2(make_root_of_2(x_base, -x_root_coeff, disc),
                                make_root_of_2(y_base, y_root_coeff, disc)), 1u);
         *res++ = std::make_pair
-	( Root_for_circles_2_2(make_root_of_2(x_base, x_root_coeff, disc), 
+        ( Root_for_circles_2_2(make_root_of_2(x_base, x_root_coeff, disc),
                                make_root_of_2(y_base, -y_root_coeff, disc)), 1u);
       } else {
         *res++ = std::make_pair
-	( Root_for_circles_2_2(make_root_of_2(x_base, x_root_coeff, disc), 
+        ( Root_for_circles_2_2(make_root_of_2(x_base, x_root_coeff, disc),
                                make_root_of_2(y_base, -y_root_coeff, disc)), 1u);
         *res++ = std::make_pair
-	( Root_for_circles_2_2(make_root_of_2(x_base, -x_root_coeff, disc), 
+        ( Root_for_circles_2_2(make_root_of_2(x_base, -x_root_coeff, disc),
                                make_root_of_2(y_base, y_root_coeff, disc)), 1u);
       }
       return res;
@@ -126,21 +126,21 @@ namespace CGAL {
   }
 
   template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
   solve( const typename AK::Polynomial_for_circles_2_2 & e1,
-	 const typename AK::Polynomial_1_2 & e2,
-	 OutputIterator res )
+         const typename AK::Polynomial_1_2 & e2,
+         OutputIterator res )
   {
     return solve<AK> (e2, e1, res);
   }
 
   template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
   solve( const typename AK::Polynomial_1_2 & e1,
-	 const typename AK::Polynomial_1_2 & e2,
-	 OutputIterator res )
+         const typename AK::Polynomial_1_2 & e2,
+         OutputIterator res )
   {
     typedef typename AK::FT FT;
     typedef typename AK::Root_of_2 Root_of_2;
@@ -152,24 +152,24 @@ namespace CGAL {
     if(is_zero(e2.a())){
       const FT sol = -e2.c()/e2.b();
       *res++ = std::make_pair
-	  ( Root_for_circles_2_2(Root_of_2(-(e1.b()*sol + e1.c())/e1.a()),
+          ( Root_for_circles_2_2(Root_of_2(-(e1.b()*sol + e1.c())/e1.a()),
                                  Root_of_2(sol)), 1u);
       return res;
     }
     //general case
-    const FT sol = (e2.a()*e1.c() - e2.c()*e1.a()) / delta; 
+    const FT sol = (e2.a()*e1.c() - e2.c()*e1.a()) / delta;
     *res++ = std::make_pair
-	  ( Root_for_circles_2_2(Root_of_2(-(e2.b()*sol + e2.c())/e2.a()),
+          ( Root_for_circles_2_2(Root_of_2(-(e2.b()*sol + e2.c())/e2.a()),
                                  Root_of_2(sol)), 1u);
     return res;
   }
 
     template < class AK >
-    inline 
+    inline
     Sign sign_at( const typename AK::Polynomial_1_2 & equation,
-		  const typename AK::Root_for_circles_2_2 & r)
+                  const typename AK::Root_for_circles_2_2 & r)
     {
-      Comparison_result c = compare(r.x()*equation.a(), 
+      Comparison_result c = compare(r.x()*equation.a(),
                                     -equation.c() - r.y()*equation.b());
       if(c == EQUAL) return ZERO;
       if(c == LARGER) return POSITIVE;
@@ -177,7 +177,7 @@ namespace CGAL {
     }
 
 
-  
+
   } // namespace AlgebraicFunctors
 } // namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_for_circles/internal_functions_on_roots_and_polynomials_2_2.h 5.0.3-1/include/CGAL/Algebraic_kernel_for_circles/internal_functions_on_roots_and_polynomials_2_2.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_for_circles/internal_functions_on_roots_and_polynomials_2_2.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_for_circles/internal_functions_on_roots_and_polynomials_2_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_circles/include/CGAL/Algebraic_kernel_for_circles/internal_functions_on_roots_and_polynomials_2_2.h $
-// $Id: internal_functions_on_roots_and_polynomials_2_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_circles/include/CGAL/Algebraic_kernel_for_circles/internal_functions_on_roots_and_polynomials_2_2.h $
+// $Id: internal_functions_on_roots_and_polynomials_2_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion
@@ -30,8 +30,8 @@ namespace CGAL {
   inline
   OutputIterator
   solve( const typename AK::Polynomial_for_circles_2_2 & e1,
-	 const typename AK::Polynomial_for_circles_2_2 & e2,
-	 OutputIterator res )
+         const typename AK::Polynomial_for_circles_2_2 & e2,
+         OutputIterator res )
   {
     CGAL_precondition( ! (e1 == e2) ); // polynomials of this type cannot be multiple
     // of one another if they are not equal
@@ -59,9 +59,9 @@ namespace CGAL {
       // one double root,
       // no need to care about the boolean of the Root_of
       *res++ = std::make_pair
-	( Root_for_circles_2_2
-	  (Root_of_2(x_base), Root_of_2(y_base)),
-	  static_cast<unsigned>(2) ); // multiplicity = 2
+        ( Root_for_circles_2_2
+          (Root_of_2(x_base), Root_of_2(y_base)),
+          static_cast<unsigned>(2) ); // multiplicity = 2
       return res;
     }
 
@@ -73,24 +73,24 @@ namespace CGAL {
       const FT y_root_coeff = dx / (2 * dist2);
       if(sign_dx == NEGATIVE) {
         * res++ = std::make_pair
-	( Root_for_circles_2_2(Root_of_2(x_base),
+        ( Root_for_circles_2_2(Root_of_2(x_base),
                                make_root_of_2(y_base, y_root_coeff, disc)),
-	  static_cast<unsigned>(1) );
+          static_cast<unsigned>(1) );
 
         * res++ = std::make_pair
-	( Root_for_circles_2_2(Root_of_2(x_base),
+        ( Root_for_circles_2_2(Root_of_2(x_base),
                                make_root_of_2(y_base, -y_root_coeff, disc)),
-	  static_cast<unsigned>(1) );
+          static_cast<unsigned>(1) );
       } else {
         * res++ = std::make_pair
-	( Root_for_circles_2_2(Root_of_2(x_base),
+        ( Root_for_circles_2_2(Root_of_2(x_base),
                                make_root_of_2(y_base, -y_root_coeff, disc)),
-	  static_cast<unsigned>(1) );
+          static_cast<unsigned>(1) );
 
         * res++ = std::make_pair
-	( Root_for_circles_2_2(Root_of_2(x_base),
+        ( Root_for_circles_2_2(Root_of_2(x_base),
                                make_root_of_2(y_base, y_root_coeff, disc)),
-	  static_cast<unsigned>(1) );
+          static_cast<unsigned>(1) );
       }
       return res;
     }
@@ -99,24 +99,24 @@ namespace CGAL {
       const FT x_root_coeff = dy / (2 * dist2);
       if(sign_dy == POSITIVE) {
         * res++ = std::make_pair
-	( Root_for_circles_2_2(make_root_of_2(x_base, -x_root_coeff, disc),
+        ( Root_for_circles_2_2(make_root_of_2(x_base, -x_root_coeff, disc),
                                Root_of_2(y_base)),
-	  static_cast<unsigned>(1) );
+          static_cast<unsigned>(1) );
 
         * res++ = std::make_pair
-	( Root_for_circles_2_2(make_root_of_2(x_base, x_root_coeff, disc),
+        ( Root_for_circles_2_2(make_root_of_2(x_base, x_root_coeff, disc),
                                Root_of_2(y_base)),
-	  static_cast<unsigned>(1) );
+          static_cast<unsigned>(1) );
       } else {
         * res++ = std::make_pair
-	( Root_for_circles_2_2(make_root_of_2(x_base, x_root_coeff, disc),
+        ( Root_for_circles_2_2(make_root_of_2(x_base, x_root_coeff, disc),
                                Root_of_2(y_base)),
-	  static_cast<unsigned>(1) );
+          static_cast<unsigned>(1) );
 
         * res++ = std::make_pair
-	( Root_for_circles_2_2(make_root_of_2(x_base, -x_root_coeff, disc),
+        ( Root_for_circles_2_2(make_root_of_2(x_base, -x_root_coeff, disc),
                                Root_of_2(y_base)),
-	  static_cast<unsigned>(1) );
+          static_cast<unsigned>(1) );
       }
       return res;
     }
@@ -128,21 +128,21 @@ namespace CGAL {
       * res++ = std::make_pair
       ( Root_for_circles_2_2(make_root_of_2(x_base, -x_root_coeff, disc),
                              make_root_of_2(y_base, y_root_coeff, disc)),
-	static_cast<unsigned>(1) );
+        static_cast<unsigned>(1) );
 
       * res++ = std::make_pair
       ( Root_for_circles_2_2(make_root_of_2(x_base, x_root_coeff, disc),
                              make_root_of_2(y_base, -y_root_coeff, disc)),
-	static_cast<unsigned>(1) );
+        static_cast<unsigned>(1) );
     } else {
       * res++ = std::make_pair
       ( Root_for_circles_2_2(make_root_of_2(x_base, x_root_coeff, disc),
                              make_root_of_2(y_base, -y_root_coeff, disc)),
-	static_cast<unsigned>(1) );
+        static_cast<unsigned>(1) );
       * res++ = std::make_pair
       ( Root_for_circles_2_2(make_root_of_2(x_base, -x_root_coeff, disc),
                              make_root_of_2(y_base, y_root_coeff, disc)),
-	static_cast<unsigned>(1) );
+        static_cast<unsigned>(1) );
     }
 
     return res;
@@ -151,7 +151,7 @@ namespace CGAL {
   template < class AK >
   inline
   Sign sign_at( const typename AK::Polynomial_for_circles_2_2 & equation,
-	 const typename AK::Root_for_circles_2_2 & r)
+         const typename AK::Root_for_circles_2_2 & r)
   {
     Comparison_result c = compare(square(r.x() - equation.a()),
                                   equation.r_sq() -
@@ -165,7 +165,7 @@ namespace CGAL {
   template <class AK>
   typename AK::Root_for_circles_2_2
   x_critical_point(const typename AK::Polynomial_for_circles_2_2 & c,
-		   bool i)
+                   bool i)
   {
     typedef typename AK::Root_of_2            Root_of_2;
     typedef typename AK::FT                   FT;
@@ -178,7 +178,7 @@ namespace CGAL {
   template <class AK, class OutputIterator>
   OutputIterator
   x_critical_points(const typename AK::Polynomial_for_circles_2_2 & c,
-		    OutputIterator res)
+                    OutputIterator res)
   {
     typedef typename AK::FT                   FT;
     typedef typename AK::Root_for_circles_2_2 Root_for_circles_2_2;
@@ -194,7 +194,7 @@ namespace CGAL {
   template <class AK>
   typename AK::Root_for_circles_2_2
   y_critical_point(const typename AK::Polynomial_for_circles_2_2 &c,
-		   bool i)
+                   bool i)
   {
     typedef typename AK::Root_of_2            Root_of_2;
     typedef typename AK::FT                   FT;
@@ -207,7 +207,7 @@ namespace CGAL {
   template <class AK, class OutputIterator>
   OutputIterator
   y_critical_points(const typename AK::Polynomial_for_circles_2_2 & c,
-		    OutputIterator res)
+                    OutputIterator res)
   {
     typedef typename AK::Root_for_circles_2_2 Root_for_circles_2_2;
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_for_circles_2_2.h 5.0.3-1/include/CGAL/Algebraic_kernel_for_circles_2_2.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_for_circles_2_2.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_for_circles_2_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_circles/include/CGAL/Algebraic_kernel_for_circles_2_2.h $
-// $Id: Algebraic_kernel_for_circles_2_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_circles/include/CGAL/Algebraic_kernel_for_circles_2_2.h $
+// $Id: Algebraic_kernel_for_circles_2_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_ALGEBRAIC_KERNEL_FOR_CIRCLES_2_2_H
@@ -39,8 +39,8 @@ namespace CGAL {
     typedef RT_                                        RT;
     typedef typename Root_of_traits< RT >::RootOf_1    FT;
 
-    typedef CGAL::Polynomial_1_2<RT>               Polynomial_1_2; 
-    typedef CGAL::Polynomial_for_circles_2_2<RT>   Polynomial_for_circles_2_2; 
+    typedef CGAL::Polynomial_1_2<RT>               Polynomial_1_2;
+    typedef CGAL::Polynomial_for_circles_2_2<RT>   Polynomial_for_circles_2_2;
     // problem RT / FT ?
 
     typedef typename Root_of_traits< RT >::RootOf_2  Root_of_2;
@@ -81,10 +81,10 @@ namespace CGAL {
 
     Compare_x compare_x_object() const
     { return Compare_x(); }
-    
+
     Compare_y compare_y_object() const
     { return Compare_y(); }
-    
+
     Compare_xy compare_xy_object() const
     { return Compare_xy(); }
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_for_spheres/function_objects_on_roots_and_polynomials_2_3.h 5.0.3-1/include/CGAL/Algebraic_kernel_for_spheres/function_objects_on_roots_and_polynomials_2_3.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_for_spheres/function_objects_on_roots_and_polynomials_2_3.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_for_spheres/function_objects_on_roots_and_polynomials_2_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -4,13 +4,13 @@
 // This file is part of CGAL (www.cgal.org).
 //
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_spheres/include/CGAL/Algebraic_kernel_for_spheres/function_objects_on_roots_and_polynomials_2_3.h $
-// $Id: function_objects_on_roots_and_polynomials_2_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_spheres/include/CGAL/Algebraic_kernel_for_spheres/function_objects_on_roots_and_polynomials_2_3.h $
+// $Id: function_objects_on_roots_and_polynomials_2_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -30,7 +30,7 @@
 namespace CGAL {
 
 namespace AlgebraicSphereFunctors {
-  
+
   template < class AK >
   class Solve
   {
@@ -43,7 +43,7 @@ namespace AlgebraicSphereFunctors {
       Polynomial_for_spheres_2_3,
       Polynomial_1_3>       Equation_Circle;
     typedef typename AK::Polynomials_for_line_3 Polynomials_for_line_3;
-    
+
   public:
     template < class OutputIterator >
       OutputIterator
@@ -171,8 +171,8 @@ namespace AlgebraicSphereFunctors {
        OutputIterator res) const
       { return AlgebraicSphereFunctors::solve<AK> ( e1, e2, e3, res); }
 
-    
-    
+
+
 
   };
 
@@ -181,7 +181,7 @@ namespace AlgebraicSphereFunctors {
   {
     typedef typename AK::RT                                        RT;
     typedef typename AK::Polynomial_for_spheres_2_3 Polynomial_for_spheres_2_3;
-    
+
   public:
     Polynomial_for_spheres_2_3
     operator()(const RT& xc, const RT& yc,const RT& zc, const RT& r_sq) const
@@ -194,7 +194,7 @@ namespace AlgebraicSphereFunctors {
   {
     typedef typename AK::RT                                        RT;
     typedef typename AK::Polynomial_1_3 Polynomial_1_3;
-    
+
   public:
     Polynomial_1_3
     operator()(const RT& a, const RT& b,const RT& c, const RT& d) const
@@ -206,7 +206,7 @@ namespace AlgebraicSphereFunctors {
   {
     typedef typename AK::FT                                        FT;
     typedef typename AK::Polynomials_for_line_3 Polynomials_for_line_3;
-    
+
   public:
     Polynomials_for_line_3
     operator()(const FT& a1, const FT& b1,
@@ -227,16 +227,16 @@ namespace AlgebraicSphereFunctors {
 
     result_type
     operator()( const Polynomial_for_spheres_2_3 & equation,
-		const Root_for_spheres_2_3 & r ) const
+                const Root_for_spheres_2_3 & r ) const
     { return AlgebraicSphereFunctors::sign_at<AK>(equation, r); }
 
     result_type
     operator()( const Polynomial_1_3 & equation,
-		const Root_for_spheres_2_3 & r ) const
+                const Root_for_spheres_2_3 & r ) const
     { return AlgebraicSphereFunctors::sign_at<AK>(equation, r); }
 
   };
-    
+
 
   template < class AK >
   class X_critical_points
@@ -250,25 +250,25 @@ namespace AlgebraicSphereFunctors {
     typedef void         result_type;
 
     Root_for_spheres_2_3
-    operator()(const Polynomial_for_spheres_2_3 & c, 
-	       bool i) const
+    operator()(const Polynomial_for_spheres_2_3 & c,
+               bool i) const
     { return AlgebraicSphereFunctors::x_critical_point<AK>(c,i); }
 
     template <class OutputIterator>
     OutputIterator
-    operator()(const Polynomial_for_spheres_2_3 & c, 
-	       OutputIterator res) const
+    operator()(const Polynomial_for_spheres_2_3 & c,
+               OutputIterator res) const
     { return AlgebraicSphereFunctors::x_critical_points<AK>(c,res); }
 
     Root_for_spheres_2_3
-    operator()(const std::pair< Polynomial_for_spheres_2_3, Polynomial_1_3 > & c, 
-	       bool i) const
+    operator()(const std::pair< Polynomial_for_spheres_2_3, Polynomial_1_3 > & c,
+               bool i) const
     { return AlgebraicSphereFunctors::x_critical_point<AK>(c,i); }
 
     template <class OutputIterator>
     OutputIterator
-    operator()(const std::pair< Polynomial_for_spheres_2_3, Polynomial_1_3 > & c, 
-	       OutputIterator res) const
+    operator()(const std::pair< Polynomial_for_spheres_2_3, Polynomial_1_3 > & c,
+               OutputIterator res) const
     { return AlgebraicSphereFunctors::x_critical_points<AK>(c,res); }
   };
 
@@ -284,25 +284,25 @@ namespace AlgebraicSphereFunctors {
     typedef void         result_type;
 
     Root_for_spheres_2_3
-    operator()(const Polynomial_for_spheres_2_3 & c, 
-	       bool i) const
+    operator()(const Polynomial_for_spheres_2_3 & c,
+               bool i) const
     { return AlgebraicSphereFunctors::y_critical_point<AK>(c,i); }
 
     template <class OutputIterator>
     OutputIterator
-    operator()(const Polynomial_for_spheres_2_3 & c, 
-	       OutputIterator res) const
+    operator()(const Polynomial_for_spheres_2_3 & c,
+               OutputIterator res) const
     { return AlgebraicSphereFunctors::y_critical_points<AK>(c,res); }
 
     Root_for_spheres_2_3
-    operator()(const std::pair< Polynomial_for_spheres_2_3, Polynomial_1_3 > & c, 
-	       bool i) const
+    operator()(const std::pair< Polynomial_for_spheres_2_3, Polynomial_1_3 > & c,
+               bool i) const
     { return AlgebraicSphereFunctors::y_critical_point<AK>(c,i); }
 
     template <class OutputIterator>
     OutputIterator
-    operator()(const std::pair< Polynomial_for_spheres_2_3, Polynomial_1_3 > & c, 
-	       OutputIterator res) const
+    operator()(const std::pair< Polynomial_for_spheres_2_3, Polynomial_1_3 > & c,
+               OutputIterator res) const
     { return AlgebraicSphereFunctors::y_critical_points<AK>(c,res); }
   };
 
@@ -318,36 +318,36 @@ namespace AlgebraicSphereFunctors {
     typedef void         result_type;
 
     Root_for_spheres_2_3
-    operator()(const Polynomial_for_spheres_2_3 & c, 
-	       bool i) const
+    operator()(const Polynomial_for_spheres_2_3 & c,
+               bool i) const
     { return AlgebraicSphereFunctors::z_critical_point<AK>(c,i); }
 
     template <class OutputIterator>
     OutputIterator
-    operator()(const Polynomial_for_spheres_2_3 & c, 
-	       OutputIterator res) const
+    operator()(const Polynomial_for_spheres_2_3 & c,
+               OutputIterator res) const
     { return AlgebraicSphereFunctors::z_critical_points<AK>(c,res); }
 
     Root_for_spheres_2_3
-    operator()(const std::pair< Polynomial_for_spheres_2_3, Polynomial_1_3 > & c, 
-	       bool i) const
+    operator()(const std::pair< Polynomial_for_spheres_2_3, Polynomial_1_3 > & c,
+               bool i) const
     { return AlgebraicSphereFunctors::z_critical_point<AK>(c,i); }
 
     template <class OutputIterator>
     OutputIterator
-    operator()(const std::pair< Polynomial_for_spheres_2_3, Polynomial_1_3 > & c, 
-	       OutputIterator res) const
+    operator()(const std::pair< Polynomial_for_spheres_2_3, Polynomial_1_3 > & c,
+               OutputIterator res) const
     { return AlgebraicSphereFunctors::z_critical_points<AK>(c,res); }
 
   };
-  
+
   template <typename RT>
   class Compare_x
   {
   public:
-    Comparison_result 
-    operator()(const Root_for_spheres_2_3<RT>& r1, 
-	     const Root_for_spheres_2_3<RT>& r2) const
+    Comparison_result
+    operator()(const Root_for_spheres_2_3<RT>& r1,
+             const Root_for_spheres_2_3<RT>& r2) const
     { return AlgebraicSphereFunctors::compare_x<RT>(r1, r2); }
 
   };
@@ -356,9 +356,9 @@ namespace AlgebraicSphereFunctors {
   class Compare_y
   {
   public:
-     Comparison_result 
-    operator()(const Root_for_spheres_2_3<RT>& r1, 
-	     const Root_for_spheres_2_3<RT>& r2) const
+     Comparison_result
+    operator()(const Root_for_spheres_2_3<RT>& r1,
+             const Root_for_spheres_2_3<RT>& r2) const
     { return AlgebraicSphereFunctors::compare_y<RT>(r1, r2); }
   };
 
@@ -366,9 +366,9 @@ namespace AlgebraicSphereFunctors {
   class Compare_z
   {
   public:
-     Comparison_result 
-    operator()(const Root_for_spheres_2_3<RT>& r1, 
-	     const Root_for_spheres_2_3<RT>& r2) const
+     Comparison_result
+    operator()(const Root_for_spheres_2_3<RT>& r1,
+             const Root_for_spheres_2_3<RT>& r2) const
     { return AlgebraicSphereFunctors::compare_z<RT>(r1, r2); }
   };
 
@@ -376,9 +376,9 @@ namespace AlgebraicSphereFunctors {
   class Compare_xy
   {
   public:
-    Comparison_result 
-    operator()(const Root_for_spheres_2_3<RT>& r1, 
-	     const Root_for_spheres_2_3<RT>& r2) const
+    Comparison_result
+    operator()(const Root_for_spheres_2_3<RT>& r1,
+             const Root_for_spheres_2_3<RT>& r2) const
     { return AlgebraicSphereFunctors::compare_xy<RT>(r1, r2); }
   };
 
@@ -386,9 +386,9 @@ namespace AlgebraicSphereFunctors {
   class Compare_xyz
   {
   public:
-    Comparison_result 
-    operator()(const Root_for_spheres_2_3<RT>& r1, 
-	     const Root_for_spheres_2_3<RT>& r2) const
+    Comparison_result
+    operator()(const Root_for_spheres_2_3<RT>& r1,
+             const Root_for_spheres_2_3<RT>& r2) const
     { return AlgebraicSphereFunctors::compare_xyz<RT>(r1, r2); }
   };
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_comparison_root_for_spheres_2_3.h 5.0.3-1/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_comparison_root_for_spheres_2_3.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_comparison_root_for_spheres_2_3.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_comparison_root_for_spheres_2_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -4,13 +4,13 @@
 // This file is part of CGAL (www.cgal.org).
 //
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_spheres/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_comparison_root_for_spheres_2_3.h $
-// $Id: internal_functions_comparison_root_for_spheres_2_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_spheres/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_comparison_root_for_spheres_2_3.h $
+// $Id: internal_functions_comparison_root_for_spheres_2_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -26,31 +26,31 @@
 
 namespace CGAL {
   namespace AlgebraicSphereFunctors{
-  
+
     template <typename RT>
-      Comparison_result 
+      Comparison_result
       compare_x(const CGAL::Root_for_spheres_2_3<RT>& r1, const CGAL::Root_for_spheres_2_3<RT>& r2){
       return compare(r1.x(), r2.x());
     }
-  
+
     template <typename RT>
-      Comparison_result 
+      Comparison_result
       compare_y(const CGAL::Root_for_spheres_2_3<RT>& r1, const CGAL::Root_for_spheres_2_3<RT>& r2){
       return compare(r1.y(), r2.y());
     }
 
     template <typename RT>
-      Comparison_result 
+      Comparison_result
       compare_z(const CGAL::Root_for_spheres_2_3<RT>& r1, const CGAL::Root_for_spheres_2_3<RT>& r2){
       return compare(r1.z(), r2.z());
     }
-  
+
     template <typename RT>
       Comparison_result
       compare_xy(const CGAL::Root_for_spheres_2_3<RT>& r1, const CGAL::Root_for_spheres_2_3<RT>& r2){
       Comparison_result compx = compare_x(r1, r2);
       if(compx != 0)
-	return compx;
+        return compx;
       return compare_y(r1, r2);
     }
 
@@ -59,7 +59,7 @@ namespace CGAL {
       compare_xyz(const CGAL::Root_for_spheres_2_3<RT>& r1, const CGAL::Root_for_spheres_2_3<RT>& r2){
       Comparison_result compxy = compare_xy(r1, r2);
       if(compxy != 0)
-	return compxy;
+        return compxy;
       return compare_z(r1, r2);
     }
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomial_1_3_and_2_3.h 5.0.3-1/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomial_1_3_and_2_3.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomial_1_3_and_2_3.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomial_1_3_and_2_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -4,13 +4,13 @@
 // This file is part of CGAL (www.cgal.org).
 //
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_spheres/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomial_1_3_and_2_3.h $
-// $Id: internal_functions_on_roots_and_polynomial_1_3_and_2_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_spheres/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomial_1_3_and_2_3.h $
+// $Id: internal_functions_on_roots_and_polynomial_1_3_and_2_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -33,28 +33,28 @@ namespace CGAL {
   namespace AlgebraicSphereFunctors {
 
   template < class AK >
-  inline 
+  inline
   Sign sign_at( const typename AK::Polynomial_for_spheres_2_3 & equation,
-		  const typename AK::Root_for_spheres_2_3 &r){
+                  const typename AK::Root_for_spheres_2_3 &r){
     return CGAL_NTS sign(r.evaluate(equation));
   }
 
   template < class AK >
-  inline 
+  inline
   Sign sign_at(const typename AK::Polynomial_1_3 & equation,
-		const typename AK::Root_for_spheres_2_3 &r){
+                const typename AK::Root_for_spheres_2_3 &r){
     return CGAL_NTS sign(r.evaluate(equation));
   }
 
   template < class AK >
-  inline 
+  inline
   bool contains(const typename AK::Polynomials_for_line_3 & equation,
-		const typename AK::Root_for_spheres_2_3 &r){
-    return r.is_on_line(equation); 
+                const typename AK::Root_for_spheres_2_3 &r){
+    return r.is_on_line(equation);
   }
 
   template <class AK>
-  bool intersect(const typename AK::Polynomial_1_3 & p1, 
+  bool intersect(const typename AK::Polynomial_1_3 & p1,
                  const typename AK::Polynomial_1_3 & p2) {
     typedef typename AK::RT RT;
 
@@ -72,8 +72,8 @@ namespace CGAL {
   template <class AK>
   inline
   typename AK::Polynomials_for_line_3
-  line_from_2_planes(const typename AK::Polynomial_1_3 & p1, 
-                     const typename AK::Polynomial_1_3 & p2) 
+  line_from_2_planes(const typename AK::Polynomial_1_3 & p1,
+                     const typename AK::Polynomial_1_3 & p2)
   {
     typedef typename AK::Polynomials_for_line_3 Polynomials_for_line_3;
     typedef typename AK::FT FT;
@@ -88,7 +88,7 @@ namespace CGAL {
       const FT b2 = (p2.d() * p1.c() - p2.c() * p1.d()) / a1;
       const FT b3 = (p2.b() * p1.d() - p2.d() * p1.b()) / a1;
       return Polynomials_for_line_3(a1, b1, a2, b2, a3, b3);
-    } 
+    }
 
     if(!is_zero(a2)) {
       const FT b1 = (p1.d() * p2.c() - p1.c() * p2.d()) / a2;
@@ -103,16 +103,16 @@ namespace CGAL {
     const FT b2 = (p2.a() * p1.d() - p2.d() * p1.a()) / a3;
     const FT b3 = 0;
     return Polynomials_for_line_3(a1, b1, a2, b2, a3, b3);
- 
+
   }
 
   template <class AK>
   inline
-  bool intersect(const typename AK::Polynomial_for_spheres_2_3 & s1, 
+  bool intersect(const typename AK::Polynomial_for_spheres_2_3 & s1,
                  const typename AK::Polynomial_for_spheres_2_3 & s2) {
     typedef typename AK::FT FT;
     typedef typename AK::Root_of_2 Root_of_2;
-    
+
     const FT dx = s2.a() - s1.a();
     const FT dy = s2.b() - s1.b();
     const FT dz = s2.c() - s1.c();
@@ -121,7 +121,7 @@ namespace CGAL {
                   CGAL::square(dz);
     const FT sq_r1r2 = s1.r_sq()*s2.r_sq();
     const FT sq_r1_p_sq_r2 = s1.r_sq() + s2.r_sq();
-  
+
     Root_of_2 left_1 = make_root_of_2(d2,FT(-2),sq_r1r2);
     if(left_1 > sq_r1_p_sq_r2) return false;
     Root_of_2 left_2 = make_root_of_2(d2,FT(2),sq_r1r2);
@@ -131,20 +131,20 @@ namespace CGAL {
 
   template <class AK>
   inline
-  bool intersect(const typename AK::Polynomial_1_3 & p, 
+  bool intersect(const typename AK::Polynomial_1_3 & p,
                  const typename AK::Polynomial_for_spheres_2_3 & s) {
-    return CGAL::square(p.a()*s.a() + p.b()*s.b() + p.c()*s.c() + p.d()) <=  
-        ((CGAL::square(p.a()) + CGAL::square(p.b()) + CGAL::square(p.c())) * 
+    return CGAL::square(p.a()*s.a() + p.b()*s.b() + p.c()*s.c() + p.d()) <=
+        ((CGAL::square(p.a()) + CGAL::square(p.b()) + CGAL::square(p.c())) *
         s.r_sq());
   }
 
   template <class AK>
   inline
-  bool tangent(const typename AK::Polynomial_for_spheres_2_3 & s1, 
+  bool tangent(const typename AK::Polynomial_for_spheres_2_3 & s1,
                  const typename AK::Polynomial_for_spheres_2_3 & s2) {
     typedef typename AK::RT RT;
     typedef typename AK::Root_of_2 Root_of_2;
-    
+
     const RT dx = s2.a() - s1.a();
     const RT dy = s2.b() - s1.b();
     const RT dz = s2.c() - s1.c();
@@ -153,7 +153,7 @@ namespace CGAL {
                   CGAL::square(dz);
     const RT sq_r1r2 = s1.r_sq()*s2.r_sq();
     const RT sq_r1_p_sq_r2 = s1.r_sq() + s2.r_sq();
-  
+
     Root_of_2 left_1 = make_root_of_2(d2,RT(-2),sq_r1r2);
     if(left_1 == sq_r1_p_sq_r2) return true;
     Root_of_2 left_2 = make_root_of_2(d2,RT(2),sq_r1r2);
@@ -163,17 +163,17 @@ namespace CGAL {
 
   template <class AK>
   inline
-  bool tangent(const typename AK::Polynomial_1_3  & p, 
+  bool tangent(const typename AK::Polynomial_1_3  & p,
                  const typename AK::Polynomial_for_spheres_2_3 & s) {
-    return CGAL::square(p.a()*s.a() + p.b()*s.b() + p.c()*s.c() + p.d()) ==  
-        ((CGAL::square(p.a()) + CGAL::square(p.b()) + CGAL::square(p.c())) * 
+    return CGAL::square(p.a()*s.a() + p.b()*s.b() + p.c()*s.c() + p.d()) ==
+        ((CGAL::square(p.a()) + CGAL::square(p.b()) + CGAL::square(p.c())) *
         s.r_sq());
   }
 
   template <class AK>
   typename AK::Polynomial_1_3
-  plane_from_2_spheres(const typename AK::Polynomial_for_spheres_2_3 & s1, 
-                       const typename AK::Polynomial_for_spheres_2_3 & s2) 
+  plane_from_2_spheres(const typename AK::Polynomial_for_spheres_2_3 & s1,
+                       const typename AK::Polynomial_for_spheres_2_3 & s2)
   {
     typedef typename AK::Polynomial_1_3 Polynomial_1_3;
     typedef typename AK::RT RT;
@@ -185,28 +185,28 @@ namespace CGAL {
     const RT a = 2*(s2.a() - s1.a());
     const RT b = 2*(s2.b() - s1.b());
     const RT c = 2*(s2.c() - s1.c());
-    const RT d = CGAL::square(s1.a()) + 
+    const RT d = CGAL::square(s1.a()) +
            CGAL::square(s1.b()) +
-           CGAL::square(s1.c()) - s1.r_sq() - 
-      CGAL::square(s2.a()) - 
+           CGAL::square(s1.c()) - s1.r_sq() -
+      CGAL::square(s2.a()) -
       CGAL::square(s2.b()) -
       CGAL::square(s2.c()) + s2.r_sq();
     return Polynomial_1_3(a, b, c, d);
   }
 
   template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
     solve(const typename AK::Polynomials_for_line_3 &p,
           const typename AK::Polynomial_for_spheres_2_3& s,
-	 OutputIterator res )
+         OutputIterator res )
   {
     typedef typename AK::FT FT;
     typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3;
     typedef typename AK::Root_of_2 Root_of_2;
 
     // we must have a line
-    CGAL_kernel_precondition(!p.degenerated());  
+    CGAL_kernel_precondition(!p.degenerated());
 
     const FT sq_a1 = CGAL::square(p.a1());
     const FT sq_a2 = CGAL::square(p.a2());
@@ -219,11 +219,11 @@ namespace CGAL {
     const FT b = p.a1() * (p.b1() - s.a()) +
                  p.a2() * (p.b2() - s.b()) +
                  p.a3() * (p.b3() - s.c());
-    const FT c = CGAL::square(p.b1()) + 
-                 CGAL::square(p.b2()) + 
-                 CGAL::square(p.b3()) + 
-                 sq_a + sq_b + sq_c - 
-                 2*(s.a() * p.b1() + 
+    const FT c = CGAL::square(p.b1()) +
+                 CGAL::square(p.b2()) +
+                 CGAL::square(p.b3()) +
+                 sq_a + sq_b + sq_c -
+                 2*(s.a() * p.b1() +
                     s.b() * p.b2() +
                     s.c() * p.b3()) - s.r_sq();
     const FT alpha = -b/a;
@@ -235,8 +235,8 @@ namespace CGAL {
       *res++ = std::make_pair(
         Root_for_spheres_2_3(Root_of_2(p.a1() * alpha + p.b1()),
                              Root_of_2(p.a2() * alpha + p.b2()),
-                             Root_of_2(p.a3() * alpha + p.b3())), 
-        2); 
+                             Root_of_2(p.a3() * alpha + p.b3())),
+        2);
       return res;
     }
 
@@ -257,35 +257,35 @@ namespace CGAL {
       *res++ = std::make_pair(
         Root_for_spheres_2_3(p.a1() * t1 + p.b1(),
                              p.a2() * t1 + p.b2(),
-                             p.a3() * t1 + p.b3()), 
-        1); 
+                             p.a3() * t1 + p.b3()),
+        1);
       *res++ = std::make_pair(
         Root_for_spheres_2_3(p.a1() * t2 + p.b1(),
                              p.a2() * t2 + p.b2(),
-                             p.a3() * t2 + p.b3()), 
+                             p.a3() * t2 + p.b3()),
         1);
     } else {
       *res++ = std::make_pair(
         Root_for_spheres_2_3(p.a1() * t2 + p.b1(),
                              p.a2() * t2 + p.b2(),
-                             p.a3() * t2 + p.b3()), 
-        1); 
+                             p.a3() * t2 + p.b3()),
+        1);
       *res++ = std::make_pair(
         Root_for_spheres_2_3(p.a1() * t1 + p.b1(),
                              p.a2() * t1 + p.b2(),
-                             p.a3() * t1 + p.b3()), 
+                             p.a3() * t1 + p.b3()),
         1);
-    } 
+    }
 
     return res;
   }
 
   template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
     solve(const typename AK::Polynomial_for_spheres_2_3& s,
           const typename AK::Polynomials_for_line_3 &p,
-	 OutputIterator res )
+         OutputIterator res )
   {
     return solve<AK>(p,s,res);
   }
@@ -293,11 +293,11 @@ namespace CGAL {
   namespace internal {
 
     template < class AK, class OutputIterator >
-    inline 
+    inline
     OutputIterator
-      solve_tangent(const typename AK::Polynomial_1_3 & p, 
+      solve_tangent(const typename AK::Polynomial_1_3 & p,
             const typename AK::Polynomial_for_spheres_2_3& s,
-  	    OutputIterator res )
+              OutputIterator res )
     {
       typedef typename AK::FT FT;
       typedef typename AK::Root_of_2 Root_of_2;
@@ -305,36 +305,36 @@ namespace CGAL {
       // It returns no solution when there is infinitely solution
       // For now, this solve is only for internal computations purpose
       CGAL_kernel_precondition(
-        CGAL::square(p.a()*s.a() + p.b()*s.b() + p.c()*s.c() + p.d()) ==  
-        ((CGAL::square(p.a()) + CGAL::square(p.b()) + CGAL::square(p.c())) * 
+        CGAL::square(p.a()*s.a() + p.b()*s.b() + p.c()*s.c() + p.d()) ==
+        ((CGAL::square(p.a()) + CGAL::square(p.b()) + CGAL::square(p.c())) *
         s.r_sq()));
 
-      const FT t = -(p.a()*s.a() + p.b()*s.b() + p.c()*s.c() + p.d()) / 
-        (CGAL::square(p.a()) + CGAL::square(p.b()) + CGAL::square(p.c())); 
+      const FT t = -(p.a()*s.a() + p.b()*s.b() + p.c()*s.c() + p.d()) /
+        (CGAL::square(p.a()) + CGAL::square(p.b()) + CGAL::square(p.c()));
 
       *res++ = std::make_pair(
         Root_for_spheres_2_3(Root_of_2(p.a() * t + s.a()),
                              Root_of_2(p.b() * t + s.b()),
-                             Root_of_2(p.c() * t + s.c())), 
-        2); 
+                             Root_of_2(p.c() * t + s.c())),
+        2);
 
       return res;
     }
   }
 
   template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
     solve(const typename AK::Polynomial_1_3 & e1,
-	  const typename AK::Polynomial_1_3 & e2,
+          const typename AK::Polynomial_1_3 & e2,
           const typename AK::Polynomial_for_spheres_2_3& e3,
-	 OutputIterator res )
+         OutputIterator res )
   {
     typedef typename AK::RT RT;
     typedef typename AK::Polynomials_for_line_3 Polynomials_for_line_3;
     // we put as a precondition that the polynomial for spheres represents
     // a sphere and not an isolated point or an empty_space
-    CGAL_kernel_precondition(!(e3.empty_space() || e3.isolated_point())); 
+    CGAL_kernel_precondition(!(e3.empty_space() || e3.isolated_point()));
     // if the planes are the same
     // since the solution can only be points or nothing
     // the only case that remains is a plane tangent to a sphere
@@ -348,29 +348,29 @@ namespace CGAL {
   }
 
   template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
     solve(const typename AK::Polynomial_for_spheres_2_3& e1,
-	  const typename AK::Polynomial_1_3 & e2,
-	  const typename AK::Polynomial_1_3 & e3,
-	 OutputIterator res )
+          const typename AK::Polynomial_1_3 & e2,
+          const typename AK::Polynomial_1_3 & e3,
+         OutputIterator res )
   {
     return solve<AK>(e2,e3,e1,res);
   }
 
   template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
     solve(const typename AK::Polynomial_for_spheres_2_3& e1,
-	  const typename AK::Polynomial_for_spheres_2_3& e2,
-	  const typename AK::Polynomial_1_3 & e3,
-	 OutputIterator res )
+          const typename AK::Polynomial_for_spheres_2_3& e2,
+          const typename AK::Polynomial_1_3 & e3,
+         OutputIterator res )
   {
     typedef typename AK::Polynomial_1_3 Polynomial_1_3;
     // we put as a precondition that the polynomial for spheres represents
     // a sphere and not an isolated point or an empty_space
-    CGAL_kernel_precondition(!(e1.empty_space() || e1.isolated_point())); 
-    CGAL_kernel_precondition(!(e2.empty_space() || e2.isolated_point())); 
+    CGAL_kernel_precondition(!(e1.empty_space() || e1.isolated_point()));
+    CGAL_kernel_precondition(!(e2.empty_space() || e2.isolated_point()));
     // The solve can only be points or nothing
     if(e1 == e2) {
       if(tangent<AK>(e3,e1)) {
@@ -386,62 +386,62 @@ namespace CGAL {
   }
 
   template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
     solve(const typename AK::Polynomial_1_3 & e1,
           const typename AK::Polynomial_for_spheres_2_3& e2,
-	  const typename AK::Polynomial_for_spheres_2_3& e3,	  
-	 OutputIterator res )
+          const typename AK::Polynomial_for_spheres_2_3& e3,
+         OutputIterator res )
   {
     return solve<AK>(e2,e3,e1,res);
   }
 
   template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
     solve( const std::pair<typename AK::Polynomial_for_spheres_2_3, typename AK::Polynomial_1_3 > & e1,
-	 const typename AK::Polynomial_1_3 & e2,
-	 OutputIterator res )
+         const typename AK::Polynomial_1_3 & e2,
+         OutputIterator res )
   {
     return solve<AK>(e1.first,e1.second,e2,res);
   }
 
   template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
-    solve(const typename AK::Polynomial_1_3 & e1, 
+    solve(const typename AK::Polynomial_1_3 & e1,
           const std::pair<typename AK::Polynomial_for_spheres_2_3, typename AK::Polynomial_1_3 > & e2,
-	  OutputIterator res )
+          OutputIterator res )
   {
     return solve<AK>(e2,e1,res);
   }
 
   template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
     solve( const std::pair<typename AK::Polynomial_for_spheres_2_3, typename AK::Polynomial_1_3 > & e1,
-	 const typename AK::Polynomial_for_spheres_2_3 & e2,
-	 OutputIterator res )
+         const typename AK::Polynomial_for_spheres_2_3 & e2,
+         OutputIterator res )
   {
     return solve<AK>(e1.first, e2, e1.second,res);
   }
 
   template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
-    solve(const typename AK::Polynomial_for_spheres_2_3 & e1, 
+    solve(const typename AK::Polynomial_for_spheres_2_3 & e1,
           const std::pair<typename AK::Polynomial_for_spheres_2_3, typename AK::Polynomial_1_3 > & e2,
-	  OutputIterator res )
+          OutputIterator res )
   {
     return solve<AK>(e2,e1, res);
   }
 
   template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
     solve( const std::pair<typename AK::Polynomial_for_spheres_2_3, typename AK::Polynomial_1_3 > & e1,
-	 const std::pair<typename AK::Polynomial_for_spheres_2_3, typename AK::Polynomial_1_3 > & e2,
-	 OutputIterator res )
+         const std::pair<typename AK::Polynomial_for_spheres_2_3, typename AK::Polynomial_1_3 > & e2,
+         OutputIterator res )
   {
     typedef typename AK::RT RT;
     typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3;
@@ -472,7 +472,7 @@ namespace CGAL {
     if(p2.undefined()) {
       return solve<AK>(s1, s2, p1, res);
     }
-    if(same_solutions<RT>(p1, p2)) { 
+    if(same_solutions<RT>(p1, p2)) {
       return solve<AK>(s1, s2, p1, res);
     }
 
@@ -482,7 +482,7 @@ namespace CGAL {
     if(solutions.size() == 0) return res;
     if(solutions.size() == 1) {
       if(sign_at<AK>(s2, solutions[0].first) == ZERO) {
-        *res++ = solutions[0]; 
+        *res++ = solutions[0];
       } return res;
     }
 
@@ -508,11 +508,11 @@ namespace CGAL {
   }
 
 template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
     solve( const std::pair<typename AK::Polynomial_for_spheres_2_3, typename AK::Polynomial_1_3 > & e1,
-	   const typename AK::Polynomials_for_line_3 & l,
-	   OutputIterator res )
+           const typename AK::Polynomials_for_line_3 & l,
+           OutputIterator res )
   {
     typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3;
     typedef typename AK::Polynomial_for_spheres_2_3 Polynomial_for_spheres_2_3;
@@ -536,7 +536,7 @@ template < class AK, class OutputIterato
     if(solutions.size() == 0) return res;
     if(solutions.size() == 1) {
       if(sign_at<AK>(p1, solutions[0].first) == ZERO) {
-        *res++ = solutions[0]; 
+        *res++ = solutions[0];
       } return res;
     }
 
@@ -562,11 +562,11 @@ template < class AK, class OutputIterato
   }
 
   template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
     solve( const typename AK::Polynomials_for_line_3 & l,
-	   const std::pair<typename AK::Polynomial_for_spheres_2_3, typename AK::Polynomial_1_3 > & e1,
-	   OutputIterator res ) {
+           const std::pair<typename AK::Polynomial_for_spheres_2_3, typename AK::Polynomial_1_3 > & e1,
+           OutputIterator res ) {
     return solve<AK>(e1, l, res);
   }
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomials_1_3.h 5.0.3-1/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomials_1_3.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomials_1_3.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomials_1_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -4,13 +4,13 @@
 // This file is part of CGAL (www.cgal.org).
 //
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_spheres/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomials_1_3.h $
-// $Id: internal_functions_on_roots_and_polynomials_1_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_spheres/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomials_1_3.h $
+// $Id: internal_functions_on_roots_and_polynomials_1_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -27,12 +27,12 @@ namespace CGAL {
   namespace AlgebraicSphereFunctors {
 
   template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
     solve( const typename AK::Polynomial_1_3 & e1,
-	   const typename AK::Polynomial_1_3 & e2,
-	   const typename AK::Polynomial_1_3 & e3,
-	 OutputIterator res )
+           const typename AK::Polynomial_1_3 & e2,
+           const typename AK::Polynomial_1_3 & e3,
+         OutputIterator res )
   {
     typedef typename AK::FT FT;
     typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3;
@@ -56,7 +56,7 @@ namespace CGAL {
     FT z = -(a2*b3*d1-a1*b3*d2+a1*b2*d3-a3*b2*d1-a2*b1*d3+a3*b1*d2)/denominateur;
     FT y = (-a1*d2*c3+a1*c2*d3-a2*c1*d3-a3*c2*d1+a3*c1*d2+a2*c3*d1)/denominateur;
     FT x = -(-b1*d2*c3+b1*c2*d3+b3*c1*d2-b2*c1*d3+b2*d1*c3-b3*c2*d1)/denominateur;
-    *res++ = std::make_pair(Root_for_spheres_2_3(x,y,z), 
+    *res++ = std::make_pair(Root_for_spheres_2_3(x,y,z),
                             static_cast<unsigned>(1));
     return res;
   }
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomials_2_3.h 5.0.3-1/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomials_2_3.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomials_2_3.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomials_2_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -4,13 +4,13 @@
 // This file is part of CGAL (www.cgal.org).
 //
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_spheres/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomials_2_3.h $
-// $Id: internal_functions_on_roots_and_polynomials_2_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_spheres/include/CGAL/Algebraic_kernel_for_spheres/internal_functions_on_roots_and_polynomials_2_3.h $
+// $Id: internal_functions_on_roots_and_polynomials_2_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -29,20 +29,20 @@ namespace CGAL {
   namespace AlgebraicSphereFunctors {
 
   template < class AK, class OutputIterator >
-  inline 
+  inline
   OutputIterator
     solve( const typename AK::Polynomial_for_spheres_2_3 &e1,
            const typename AK::Polynomial_for_spheres_2_3 &e2,
-	   const typename AK::Polynomial_for_spheres_2_3 &e3,
-	   OutputIterator res )
+           const typename AK::Polynomial_for_spheres_2_3 &e3,
+           OutputIterator res )
   {
-	  typedef typename AK::FT FT;
+          typedef typename AK::FT FT;
     CGAL_kernel_precondition(!((e1 == e2) && (e2 == e3)));
     // we put as a precondition that the polynomial for spheres represents
     // a sphere and not an isolated point or an empty_space
-    CGAL_kernel_precondition(!(e1.empty_space() || e1.isolated_point())); 
-    CGAL_kernel_precondition(!(e2.empty_space() || e2.isolated_point())); 
-    CGAL_kernel_precondition(!(e3.empty_space() || e3.isolated_point())); 
+    CGAL_kernel_precondition(!(e1.empty_space() || e1.isolated_point()));
+    CGAL_kernel_precondition(!(e2.empty_space() || e2.isolated_point()));
+    CGAL_kernel_precondition(!(e3.empty_space() || e3.isolated_point()));
     typedef typename AK::Polynomial_1_3 Polynomial_1_3;
     // The degenerated cases are 2 tangent spheres
     // os 2 non-intersecting spheres
@@ -63,29 +63,29 @@ namespace CGAL {
       CGAL_kernel_precondition(!(intersect<AK>(e1,e2)));
       return res;
     }
-    
+
     // non degenerated case
     if(intersect<AK>(e1,e2)) {
       Polynomial_1_3 p1 = plane_from_2_spheres<AK>(e1,e2);
       if(intersect<AK>(e2,e3)) {
-        Polynomial_1_3 p2 = plane_from_2_spheres<AK>(e2,e3); 
+        Polynomial_1_3 p2 = plane_from_2_spheres<AK>(e2,e3);
         if(same_solutions<FT>(p1,p2)) {
-	        const FT sq_d1 = CGAL::square(p1.a()*e1.a() + p1.b()*e1.b() +
-	                                p1.c()*e1.c() + p1.d()) /
-							(square(p1.a()) + square(p1.b()) + square(p1.c()));
-					const FT r1_sqr = e1.r_sq() - sq_d1;
-
-	        const FT sq_d2 = CGAL::square(p2.a()*e2.a() + p2.b()*e2.b() +
-	                                p2.c()*e2.c() + p2.d()) /
-							(square(p2.a()) + square(p2.b()) + square(p2.c()));
-					const FT r2_sqr = e2.r_sq() - sq_d2;
-					if(r1_sqr != r2_sqr) return res;
-	        // otherwise there are an infinite number of points
-	        // this is not allowed
-					CGAL_kernel_precondition(r1_sqr == 0);
-					return internal::solve_tangent<AK>(p1,e1,res);
-	      }        
-				return solve<AK>(p1,p2,e2,res);
+                const FT sq_d1 = CGAL::square(p1.a()*e1.a() + p1.b()*e1.b() +
+                                        p1.c()*e1.c() + p1.d()) /
+                                                        (square(p1.a()) + square(p1.b()) + square(p1.c()));
+                                        const FT r1_sqr = e1.r_sq() - sq_d1;
+
+                const FT sq_d2 = CGAL::square(p2.a()*e2.a() + p2.b()*e2.b() +
+                                        p2.c()*e2.c() + p2.d()) /
+                                                        (square(p2.a()) + square(p2.b()) + square(p2.c()));
+                                        const FT r2_sqr = e2.r_sq() - sq_d2;
+                                        if(r1_sqr != r2_sqr) return res;
+                // otherwise there are an infinite number of points
+                // this is not allowed
+                                        CGAL_kernel_precondition(r1_sqr == 0);
+                                        return internal::solve_tangent<AK>(p1,e1,res);
+              }
+                                return solve<AK>(p1,p2,e2,res);
       } return res;
     } return res;
   }
@@ -95,7 +95,7 @@ namespace CGAL {
   x_critical_point(const typename AK::Polynomial_for_spheres_2_3 & s, bool i)
   {
     typedef typename AK::Root_of_2 Root_of_2;
-    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3; 
+    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3;
 
     return Root_for_spheres_2_3(
             make_root_of_2(s.a(),typename AK::FT(i?-1:1),s.r_sq()),
@@ -108,9 +108,9 @@ namespace CGAL {
   x_critical_points(const typename AK::Polynomial_for_spheres_2_3 & s, OutputIterator res)
   {
     typedef typename AK::Root_of_2 Root_of_2;
-    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3; 
+    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3;
     typedef typename AK::FT FT;
-    
+
     *res++ =  Root_for_spheres_2_3(make_root_of_2(s.a(),FT(-1),s.r_sq()),
                                 Root_of_2(s.b()),
                                 Root_of_2(s.c()));
@@ -125,14 +125,14 @@ namespace CGAL {
   y_critical_point(const typename AK::Polynomial_for_spheres_2_3 &s, bool i)
   {
     typedef typename AK::Root_of_2 Root_of_2;
-    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3; 
+    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3;
 
     return Root_for_spheres_2_3(
             Root_of_2(s.a()),
             make_root_of_2(s.b(),typename AK::FT(i?-1:1),s.r_sq()),
             Root_of_2(s.c()));
   }
-  
+
   template <class AK, class OutputIterator>
   OutputIterator
   y_critical_points(const typename AK::Polynomial_for_spheres_2_3 & s, OutputIterator res)
@@ -155,13 +155,13 @@ namespace CGAL {
   z_critical_point(const typename AK::Polynomial_for_spheres_2_3 &s, bool i)
   {
     typedef typename AK::Root_of_2 Root_of_2;
-    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3; 
+    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3;
 
     return Root_for_spheres_2_3(Root_of_2(s.a()),
                                 Root_of_2(s.b()),
             make_root_of_2(s.c(),typename AK::FT(i?-1:1),s.r_sq()));
   }
-  
+
   template <class AK, class OutputIterator>
   OutputIterator
   z_critical_points(const typename AK::Polynomial_for_spheres_2_3 & s, OutputIterator res)
@@ -181,12 +181,12 @@ namespace CGAL {
 
   template <class AK>
   typename AK::Root_for_spheres_2_3
-  x_critical_point( const std::pair<typename AK::Polynomial_for_spheres_2_3, 
+  x_critical_point( const std::pair<typename AK::Polynomial_for_spheres_2_3,
                                      typename AK::Polynomial_1_3 > &c, bool i)
   {
     typedef typename AK::FT FT;
     typedef typename AK::Root_of_2 Root_of_2;
-    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3; 
+    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3;
     typedef typename AK::Polynomial_for_spheres_2_3 Polynomial_for_spheres_2_3;
     typedef typename AK::Polynomial_1_3 Polynomial_1_3;
 
@@ -195,7 +195,7 @@ namespace CGAL {
 
     // It has to be the equation of a diametral circle
     CGAL_kernel_precondition((intersect<AK>(p,s)));
-    CGAL_kernel_precondition(CGAL_NTS sign(p.a() * s.a() + p.b() * s.b() + 
+    CGAL_kernel_precondition(CGAL_NTS sign(p.a() * s.a() + p.b() * s.b() +
                                       p.c() * s.c() + p.d()) == ZERO);
     CGAL_kernel_precondition(!(is_zero(p.b()) && is_zero(p.c())));
 
@@ -215,13 +215,13 @@ namespace CGAL {
 
   template <class AK, class OutputIterator>
   OutputIterator
-  x_critical_points( const std::pair<typename AK::Polynomial_for_spheres_2_3, 
-                                     typename AK::Polynomial_1_3 > &c, 
+  x_critical_points( const std::pair<typename AK::Polynomial_for_spheres_2_3,
+                                     typename AK::Polynomial_1_3 > &c,
                      OutputIterator res)
   {
     typedef typename AK::FT FT;
     typedef typename AK::Root_of_2 Root_of_2;
-    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3; 
+    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3;
     typedef typename AK::Polynomial_for_spheres_2_3 Polynomial_for_spheres_2_3;
     typedef typename AK::Polynomial_1_3 Polynomial_1_3;
 
@@ -230,7 +230,7 @@ namespace CGAL {
 
     // It has to be the equation of a diametral circle
     CGAL_kernel_precondition((intersect<AK>(p,s)));
-    CGAL_kernel_precondition(CGAL_NTS sign(p.a() * s.a() + p.b() * s.b() + 
+    CGAL_kernel_precondition(CGAL_NTS sign(p.a() * s.a() + p.b() * s.b() +
                                            p.c() * s.c() + p.d()) == ZERO);
     CGAL_kernel_precondition(!(is_zero(p.b()) && is_zero(p.c())));
 
@@ -255,12 +255,12 @@ namespace CGAL {
 
   template <class AK>
   typename AK::Root_for_spheres_2_3
-  y_critical_point( const std::pair<typename AK::Polynomial_for_spheres_2_3, 
+  y_critical_point( const std::pair<typename AK::Polynomial_for_spheres_2_3,
                                      typename AK::Polynomial_1_3 > &c, bool i)
   {
     typedef typename AK::FT FT;
     typedef typename AK::Root_of_2 Root_of_2;
-    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3; 
+    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3;
     typedef typename AK::Polynomial_for_spheres_2_3 Polynomial_for_spheres_2_3;
     typedef typename AK::Polynomial_1_3 Polynomial_1_3;
 
@@ -269,7 +269,7 @@ namespace CGAL {
 
     // It has to be the equation of a diametral circle
     CGAL_kernel_precondition((intersect<AK>(p,s)));
-    CGAL_kernel_precondition(CGAL_NTS sign(p.a() * s.a() + p.b() * s.b() + 
+    CGAL_kernel_precondition(CGAL_NTS sign(p.a() * s.a() + p.b() * s.b() +
                                            p.c() * s.c() + p.d()) == ZERO);
     CGAL_kernel_precondition(!(is_zero(p.a()) && is_zero(p.c())));
 
@@ -290,18 +290,18 @@ namespace CGAL {
         const Root_of_2 y = make_root_of_2(s.b(),FT(i?1:-1),delta);
         const Root_of_2 z = make_root_of_2(s.c(),FT(i?FT(-cz):(cz)),delta);
       return Root_for_spheres_2_3(x,y,z);
-    } 
+    }
   }
 
   template <class AK, class OutputIterator>
   OutputIterator
-  y_critical_points( const std::pair<typename AK::Polynomial_for_spheres_2_3, 
-                                     typename AK::Polynomial_1_3 > &c, 
+  y_critical_points( const std::pair<typename AK::Polynomial_for_spheres_2_3,
+                                     typename AK::Polynomial_1_3 > &c,
                      OutputIterator res)
   {
     typedef typename AK::FT FT;
     typedef typename AK::Root_of_2 Root_of_2;
-    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3; 
+    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3;
     typedef typename AK::Polynomial_for_spheres_2_3 Polynomial_for_spheres_2_3;
     typedef typename AK::Polynomial_1_3 Polynomial_1_3;
 
@@ -310,7 +310,7 @@ namespace CGAL {
 
     // It has to be the equation of a diametral circle
     CGAL_kernel_precondition((intersect<AK>(p,s)));
-    CGAL_kernel_precondition(CGAL_NTS sign(p.a() * s.a() + p.b() * s.b() + 
+    CGAL_kernel_precondition(CGAL_NTS sign(p.a() * s.a() + p.b() * s.b() +
                                            p.c() * s.c() + p.d()) == ZERO);
     CGAL_kernel_precondition(!(is_zero(p.a()) && is_zero(p.c())));
 
@@ -334,18 +334,18 @@ namespace CGAL {
     } else {
       *res++ =  Root_for_spheres_2_3(x2,y2,z2);
       *res++ =  Root_for_spheres_2_3(x1,y1,z1);
-    } 
+    }
     return res;
   }
 
   template <class AK>
   typename AK::Root_for_spheres_2_3
-  z_critical_point( const std::pair<typename AK::Polynomial_for_spheres_2_3, 
+  z_critical_point( const std::pair<typename AK::Polynomial_for_spheres_2_3,
                                      typename AK::Polynomial_1_3 > &c, bool i)
   {
     typedef typename AK::FT FT;
     typedef typename AK::Root_of_2 Root_of_2;
-    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3; 
+    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3;
     typedef typename AK::Polynomial_for_spheres_2_3 Polynomial_for_spheres_2_3;
     typedef typename AK::Polynomial_1_3 Polynomial_1_3;
 
@@ -354,7 +354,7 @@ namespace CGAL {
 
     // It has to be the equation of a diametral circle
     CGAL_kernel_precondition((intersect<AK>(p,s)));
-    CGAL_kernel_precondition(CGAL_NTS sign(p.a() * s.a() + p.b() * s.b() + 
+    CGAL_kernel_precondition(CGAL_NTS sign(p.a() * s.a() + p.b() * s.b() +
                                            p.c() * s.c() + p.d()) == ZERO);
     CGAL_kernel_precondition(!(is_zero(p.a()) && is_zero(p.b())));
 
@@ -387,18 +387,18 @@ namespace CGAL {
         const Root_of_2 y = make_root_of_2(s.b(),FT(i?FT(-cy):(cy)),delta);
         const Root_of_2 z = make_root_of_2(s.c(),FT(i?1:-1),delta);
       return Root_for_spheres_2_3(x,y,z);
-    } 
+    }
   }
 
   template <class AK, class OutputIterator>
   OutputIterator
-  z_critical_points( const std::pair<typename AK::Polynomial_for_spheres_2_3, 
-                                     typename AK::Polynomial_1_3 > &c, 
+  z_critical_points( const std::pair<typename AK::Polynomial_for_spheres_2_3,
+                                     typename AK::Polynomial_1_3 > &c,
                      OutputIterator res)
   {
     typedef typename AK::FT FT;
     typedef typename AK::Root_of_2 Root_of_2;
-    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3; 
+    typedef typename AK::Root_for_spheres_2_3 Root_for_spheres_2_3;
     typedef typename AK::Polynomial_for_spheres_2_3 Polynomial_for_spheres_2_3;
     typedef typename AK::Polynomial_1_3 Polynomial_1_3;
 
@@ -407,7 +407,7 @@ namespace CGAL {
 
     // It has to be the equation of a diametral circle
     CGAL_kernel_precondition((intersect<AK>(p,s)));
-    CGAL_kernel_precondition(CGAL_NTS sign(p.a() * s.a() + p.b() * s.b() + 
+    CGAL_kernel_precondition(CGAL_NTS sign(p.a() * s.a() + p.b() * s.b() +
                                            p.c() * s.c() + p.d()) == ZERO);
     CGAL_kernel_precondition(!(is_zero(p.a()) && is_zero(p.b())));
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_for_spheres_2_3.h 5.0.3-1/include/CGAL/Algebraic_kernel_for_spheres_2_3.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_for_spheres_2_3.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_for_spheres_2_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -4,13 +4,13 @@
 // This file is part of CGAL (www.cgal.org).
 //
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_spheres/include/CGAL/Algebraic_kernel_for_spheres_2_3.h $
-// $Id: Algebraic_kernel_for_spheres_2_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_spheres/include/CGAL/Algebraic_kernel_for_spheres_2_3.h $
+// $Id: Algebraic_kernel_for_spheres_2_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -45,7 +45,7 @@ namespace CGAL {
 
     typedef RT_                                        RT;
     typedef typename Root_of_traits< RT >::RootOf_1    FT;
-            
+
     typedef CGAL::Polynomials_for_line_3<FT>           Polynomials_for_line_3;
     typedef CGAL::Polynomial_for_spheres_2_3<FT>       Polynomial_for_spheres_2_3;
     typedef CGAL::Polynomial_1_3<FT>                   Polynomial_1_3;
@@ -101,16 +101,16 @@ namespace CGAL {
 
     Compare_x compare_x_object() const
     { return Compare_x(); }
-    
+
     Compare_y compare_y_object() const
     { return Compare_y(); }
 
     Compare_z compare_z_object() const
     { return Compare_z(); }
-    
+
     Compare_xy compare_xy_object() const
     { return Compare_xy(); }
-    
+
     Compare_xyz compare_xyz_object() const
     { return Compare_xyz(); }
 
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_rs_gmpq_d_1.h 5.0.3-1/include/CGAL/Algebraic_kernel_rs_gmpq_d_1.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_rs_gmpq_d_1.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_rs_gmpq_d_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_rs_gmpq_d_1.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_rs_gmpq_d_1.h $
 // $Id: Algebraic_kernel_rs_gmpq_d_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Algebraic_kernel_rs_gmpz_d_1.h 5.0.3-1/include/CGAL/Algebraic_kernel_rs_gmpz_d_1.h
--- 5.0.2-3/include/CGAL/Algebraic_kernel_rs_gmpz_d_1.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_kernel_rs_gmpz_d_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_rs_gmpz_d_1.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/Algebraic_kernel_rs_gmpz_d_1.h $
 // $Id: Algebraic_kernel_rs_gmpz_d_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Algebraic_structure_traits.h 5.0.3-1/include/CGAL/Algebraic_structure_traits.h
--- 5.0.2-3/include/CGAL/Algebraic_structure_traits.h	2020-02-21 20:02:45.000000000 +0000
+++ 5.0.3-1/include/CGAL/Algebraic_structure_traits.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_foundations/include/CGAL/Algebraic_structure_traits.h $
-// $Id: Algebraic_structure_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_foundations/include/CGAL/Algebraic_structure_traits.h $
+// $Id: Algebraic_structure_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -58,7 +58,7 @@ struct Field_with_root_of_tag : public F
 
 // The algebraic structure traits template
 // =========================================================================
-template< class Type_ > 
+template< class Type_ >
 class Algebraic_structure_traits  {
   public:
     typedef Type_  Type;
@@ -69,19 +69,19 @@ class Algebraic_structure_traits  {
     typedef Null_functor Simplify;
     typedef Null_functor Unit_part;
     typedef Null_functor Integral_division;
-    typedef Null_functor Is_square;    
+    typedef Null_functor Is_square;
     typedef Null_functor Gcd;
     typedef Null_functor Div_mod;
     typedef Null_functor Div;
     typedef Null_functor Mod;
     typedef Null_functor Square;
     typedef Null_functor Is_zero;
-    typedef Null_functor Is_one;    
+    typedef Null_functor Is_one;
     typedef Null_functor Sqrt;
     typedef Null_functor Kth_root;
-    typedef Null_functor Root_of; 
-    typedef Null_functor Divides; 
-    typedef Null_functor Inverse; 
+    typedef Null_functor Root_of;
+    typedef Null_functor Divides;
+    typedef Null_functor Inverse;
 };
 
 // The algebraic structure traits base class
@@ -99,10 +99,10 @@ class Algebraic_structure_traits_base< T
     typedef Null_tag       Algebraic_category;
     typedef Tag_false      Is_exact;
     typedef Null_tag       Is_numerical_sensitive;
-    typedef Null_tag       Boolean; 
+    typedef Null_tag       Boolean;
 
     // does nothing by default
-    class Simplify 
+    class Simplify
       : public CGAL::cpp98::unary_function< Type&, void > {
       public:
         void operator()( Type& ) const {}
@@ -110,17 +110,17 @@ class Algebraic_structure_traits_base< T
 
     typedef Null_functor Unit_part;
     typedef Null_functor Integral_division;
-    typedef Null_functor Is_square;    
+    typedef Null_functor Is_square;
     typedef Null_functor Gcd;
     typedef Null_functor Div_mod;
     typedef Null_functor Div;
     typedef Null_functor Mod;
     typedef Null_functor Square;
     typedef Null_functor Is_zero;
-    typedef Null_functor Is_one;    
+    typedef Null_functor Is_one;
     typedef Null_functor Sqrt;
     typedef Null_functor Kth_root;
-    typedef Null_functor Root_of; 
+    typedef Null_functor Root_of;
     typedef Null_functor Divides;
     typedef Null_functor Inverse;
 };
@@ -128,12 +128,12 @@ class Algebraic_structure_traits_base< T
 //! The template specialization that is used if the number type is
 //! a model of the \c IntegralDomainWithoutDiv concept. The \c Simplify
 //! does nothing by default and the \c Unit_part is equal to
-//! \c Type(-1) for negative numbers and 
+//! \c Type(-1) for negative numbers and
 //! \c Type(1) otherwise
 template< class Type_ >
-class Algebraic_structure_traits_base< Type_, 
-                                       Integral_domain_without_division_tag > 
-    : public Algebraic_structure_traits_base< Type_, 
+class Algebraic_structure_traits_base< Type_,
+                                       Integral_domain_without_division_tag >
+    : public Algebraic_structure_traits_base< Type_,
                                               Null_tag > {
   public:
     typedef Type_                                 Type;
@@ -141,34 +141,34 @@ class Algebraic_structure_traits_base< T
     typedef bool                                  Boolean;
 
     // returns Type(1) by default
-    class Unit_part 
+    class Unit_part
       : public CGAL::cpp98::unary_function< Type, Type > {
       public:
         Type operator()( const Type& x ) const {
-          return( x < Type(0)) ? 
-                  Type(-1) : Type(1); 
+          return( x < Type(0)) ?
+                  Type(-1) : Type(1);
         }
     };
-    
-    class Square 
+
+    class Square
       : public CGAL::cpp98::unary_function< Type, Type > {
-      public:        
+      public:
         Type operator()( const Type& x ) const {
           return x*x;
         }
     };
-    
-    class Is_zero 
+
+    class Is_zero
       : public CGAL::cpp98::unary_function< Type, bool > {
-      public:        
+      public:
         bool operator()( const Type& x ) const {
           return x == Type(0);
         }
     };
 
-    class Is_one 
+    class Is_one
       : public CGAL::cpp98::unary_function< Type, bool > {
-      public:        
+      public:
         bool operator()( const Type& x ) const {
           return x == Type(1);
         }
@@ -178,15 +178,15 @@ class Algebraic_structure_traits_base< T
 
 
 //! The template specialization that is used if the number type is
-//! a model of the \c IntegralDomain concept. It is equivalent to the 
+//! a model of the \c IntegralDomain concept. It is equivalent to the
 //! specialization
-//! for the \c IntegralDomainWithoutDiv concept. The additionally required 
-//! \c Integral_division functor needs to be implemented in the 
+//! for the \c IntegralDomainWithoutDiv concept. The additionally required
+//! \c Integral_division functor needs to be implemented in the
 //! \c Algebraic_structure_traits itself.
 template< class Type_ >
-class Algebraic_structure_traits_base< Type_, 
+class Algebraic_structure_traits_base< Type_,
                                        Integral_domain_tag >
-    : public Algebraic_structure_traits_base< Type_, 
+    : public Algebraic_structure_traits_base< Type_,
                                        Integral_domain_without_division_tag > {
   public:
     typedef Type_       Type;
@@ -196,39 +196,39 @@ class Algebraic_structure_traits_base< T
 
 //! The template specialization that is used if the number type is
 //! a model of the \c UFDomain concept. It is equivalent to the specialization
-//! for the \c IntegralDomain concept. The additionally required 
+//! for the \c IntegralDomain concept. The additionally required
 //! \c Integral_div functor
-//! and \c Gcd functor need to be implemented in the 
+//! and \c Gcd functor need to be implemented in the
 //! \c Algebraic_structure_traits itself.
 template< class Type_ >
-class Algebraic_structure_traits_base< Type_, 
+class Algebraic_structure_traits_base< Type_,
                                        Unique_factorization_domain_tag >
-    : public Algebraic_structure_traits_base< Type_, 
+    : public Algebraic_structure_traits_base< Type_,
                                               Integral_domain_tag > {
   public:
     typedef Type_  Type;
     typedef Unique_factorization_domain_tag    Algebraic_category;
 
   // Default implementation of Divides functor for unique factorization domains
-  // x divides y if gcd(y,x) equals x up to inverses 
-  class Divides 
+  // x divides y if gcd(y,x) equals x up to inverses
+  class Divides
     : public CGAL::cpp98::binary_function<Type,Type,bool>{
   public:
-    bool operator()( const Type& x,  const Type& y) const {  
+    bool operator()( const Type& x,  const Type& y) const {
       typedef CGAL::Algebraic_structure_traits<Type> AST;
       typename AST::Gcd gcd;
       typename AST::Unit_part unit_part;
       typename AST::Integral_division idiv;
       return gcd(y,x) == idiv(x,unit_part(x));
     }
-    // second operator computing q = x/y 
-    bool operator()( const Type& x,  const Type& y, Type& q) const {    
+    // second operator computing q = x/y
+    bool operator()( const Type& x,  const Type& y, Type& q) const {
       typedef CGAL::Algebraic_structure_traits<Type> AST;
       typename AST::Integral_division idiv;
       bool result = (*this)(x,y);
-      if( result == true ) 
+      if( result == true )
         q = idiv(x,y);
-      return result; 
+      return result;
     }
     CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR_WITH_RT(Type,bool)
   };
@@ -238,43 +238,43 @@ class Algebraic_structure_traits_base< T
 //! The template specialization that is used if the number type is
 //! a model of the \c EuclideanRing concept.
 template< class Type_ >
-class Algebraic_structure_traits_base< Type_, 
+class Algebraic_structure_traits_base< Type_,
                                        Euclidean_ring_tag >
-    : public Algebraic_structure_traits_base< Type_, 
+    : public Algebraic_structure_traits_base< Type_,
                                               Unique_factorization_domain_tag > {
   public:
     typedef Type_        Type;
     typedef Euclidean_ring_tag    Algebraic_category;
 
     // maps to \c Div by default.
-    class Integral_division 
+    class Integral_division
       : public CGAL::cpp98::binary_function< Type, Type,
-                                Type > { 
+                                Type > {
       public:
-        Type operator()( 
-                const Type& x, 
-                const Type& y) const { 
-            typedef Algebraic_structure_traits<Type> AST; 
+        Type operator()(
+                const Type& x,
+                const Type& y) const {
+            typedef Algebraic_structure_traits<Type> AST;
             typedef typename AST::Is_exact Is_exact;
             CGAL_USE_TYPE(Is_exact);
             typename AST::Div actual_div;
-            
-            CGAL_precondition_msg( 
+
+            CGAL_precondition_msg(
                     !Is_exact::value || actual_div( x, y) * y == x,
                     "'x' must be divisible by 'y' in "
                     "Algebraic_structure_traits<...>::Integral_div()(x,y)" );
-            return actual_div( x, y);          
+            return actual_div( x, y);
         }
         CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR( Type )
     };
 
     // Algorithm from NiX/euclids_algorithm.h
-    class Gcd 
+    class Gcd
       : public CGAL::cpp98::binary_function< Type, Type,
-                                Type > { 
+                                Type > {
       public:
-        Type operator()( 
-                const Type& x, 
+        Type operator()(
+                const Type& x,
                 const Type& y) const {
             typedef Algebraic_structure_traits<Type> AST;
             typename AST::Mod mod;
@@ -282,7 +282,7 @@ class Algebraic_structure_traits_base< T
             typename AST::Integral_division integral_div;
             // First: the extreme cases and negative sign corrections.
             if (x == Type(0)) {
-                if (y == Type(0))  
+                if (y == Type(0))
                     return Type(0);
                 return integral_div( y, unit_part(y) );
             }
@@ -290,7 +290,7 @@ class Algebraic_structure_traits_base< T
                 return integral_div(x, unit_part(x) );
             Type u = integral_div( x, unit_part(x) );
             Type v = integral_div( y, unit_part(y) );
-            // Second: assuming mod is the most expensive op here, 
+            // Second: assuming mod is the most expensive op here,
             // we don't compute it unnecessarily if u < v
             if (u < v) {
                 v = mod(v,u);
@@ -321,84 +321,84 @@ class Algebraic_structure_traits_base< T
                 v = mod(w,u);
             } while (v != Type(0));
             return u;
-        }  
+        }
         CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR( Type )
     };
 
     // based on \c Div and \c Mod.
-    class Div_mod { 
+    class Div_mod {
     public:
         typedef Type    first_argument_type;
         typedef Type    second_argument_type;
         typedef Type&   third_argument_type;
         typedef Type&   fourth_argument_type;
         typedef void  result_type;
-        void operator()( const Type& x, 
-                const Type& y, 
+        void operator()( const Type& x,
+                const Type& y,
                 Type& q, Type& r) const {
             typedef Algebraic_structure_traits<Type> Traits;
             typename Traits::Div  actual_div;
             typename Traits::Mod  actual_mod;
             q = actual_div( x, y );
-            r = actual_mod( x, y );          
+            r = actual_mod( x, y );
             return;
         }
-        
+
         template < class NT1, class NT2 >
-        void operator()( 
-                const NT1& x, 
+        void operator()(
+                const NT1& x,
                 const NT2& y,
-                Type& q, 
+                Type& q,
                 Type& r ) const {
             typedef Coercion_traits< NT1, NT2 > CT;
-            typedef typename CT::Type Coercion_type_NT1_NT2; 
+            typedef typename CT::Type Coercion_type_NT1_NT2;
             CGAL_USE_TYPE(Coercion_type_NT1_NT2);
-            CGAL_static_assertion(( 
+            CGAL_static_assertion((
               ::boost::is_same<Coercion_type_NT1_NT2 , Type >::value));
-            
+
             typename Coercion_traits< NT1, NT2 >::Cast cast;
-            operator()( cast(x), cast(y), q, r );          
+            operator()( cast(x), cast(y), q, r );
         }
     };
-    
+
     // based on \c Div_mod.
-    class Div 
+    class Div
       : public CGAL::cpp98::binary_function< Type, Type,
                                 Type > {
       public:
-        Type operator()( const Type& x, 
+        Type operator()( const Type& x,
                                         const Type& y) const {
           typename Algebraic_structure_traits<Type>
                                                     ::Div_mod actual_div_mod;
-          Type q;     
+          Type q;
           Type r;
           actual_div_mod( x, y, q, r );
           return q;
         };
-        
+
         CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR( Type )
     };
 
     // based on \c Div_mod.
-    class Mod 
+    class Mod
       : public CGAL::cpp98::binary_function< Type, Type,
-                                Type > { 
+                                Type > {
       public:
-        Type operator()( const Type& x, 
+        Type operator()( const Type& x,
                                         const Type& y) const {
           typename Algebraic_structure_traits<Type>
                                                     ::Div_mod actual_div_mod;
-          Type q;     
+          Type q;
           Type r;
           actual_div_mod( x, y, q, r );
           return r;
         };
-        
+
         CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR( Type )
     };
 
-  // Divides for Euclidean Ring 
-  class Divides 
+  // Divides for Euclidean Ring
+  class Divides
     : public CGAL::cpp98::binary_function<Type, Type, bool>{
   public:
     bool operator()( const Type& x, const Type& y) const {
@@ -407,7 +407,7 @@ class Algebraic_structure_traits_base< T
       CGAL_precondition(typename AST::Is_zero()(x) == false );
       return typename AST::Is_zero()(mod(y,x));
     }
-    // second operator computing q 
+    // second operator computing q
     bool operator()( const Type& x, const Type& y, Type& q) const {
       typedef Algebraic_structure_traits<Type> AST;
       typename AST::Div_mod div_mod;
@@ -431,14 +431,14 @@ class Algebraic_structure_traits_base< T
 //
 template< class Type_ >
 class Algebraic_structure_traits_base< Type_, Field_tag >
-    : public Algebraic_structure_traits_base< Type_, 
+    : public Algebraic_structure_traits_base< Type_,
                                               Integral_domain_tag > {
   public:
     typedef Type_        Type;
     typedef Field_tag             Algebraic_category;
 
     // returns the argument \a a by default
-    class Unit_part 
+    class Unit_part
       : public CGAL::cpp98::unary_function< Type, Type > {
       public:
         Type operator()( const Type& x ) const {
@@ -446,16 +446,16 @@ class Algebraic_structure_traits_base< T
         }
     };
     // maps to \c operator/ by default.
-    class Integral_division 
+    class Integral_division
       : public CGAL::cpp98::binary_function< Type, Type,
-                                Type > { 
+                                Type > {
       public:
-        Type operator()( const Type& x, 
-                                        const Type& y) const { 
-            typedef Algebraic_structure_traits<Type> AST; 
+        Type operator()( const Type& x,
+                                        const Type& y) const {
+            typedef Algebraic_structure_traits<Type> AST;
             typedef typename AST::Is_exact Is_exact;
             CGAL_USE_TYPE(Is_exact);
-	    CGAL_precondition_code( bool ie = Is_exact::value; )
+            CGAL_precondition_code( bool ie = Is_exact::value; )
             CGAL_precondition_msg( !ie || (x / y) * y  == x,
                     "'x' must be divisible by 'y' in "
                     "Algebraic_structure_traits<...>::Integral_div()(x,y)" );
@@ -463,18 +463,18 @@ class Algebraic_structure_traits_base< T
         }
       CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR( Type )
     };
-  
+
   // maps to \c 1/x by default.
-  class Inverse 
+  class Inverse
     : public CGAL::cpp98::unary_function< Type, Type > {
   public:
-    Type operator()( const Type& x ) const { 
+    Type operator()( const Type& x ) const {
       return Type(1)/x;
     }
   };
-  
 
-  // Default implementation of Divides functor for Field: 
+
+  // Default implementation of Divides functor for Field:
   // returns always true
   // \pre: x != 0
   class Divides
@@ -484,7 +484,7 @@ class Algebraic_structure_traits_base< T
       CGAL_precondition_code( typedef Algebraic_structure_traits<Type> AST);
       CGAL_precondition( typename AST::Is_zero()(x) == false );
       return true;
-    } 
+    }
     // second operator computing q
     bool operator()( const Type& x, const Type& y, Type& q) const {
       CGAL_precondition_code(typedef Algebraic_structure_traits<Type> AST);
@@ -498,16 +498,16 @@ class Algebraic_structure_traits_base< T
 
 
 //! The template specialization that is used if the number type is a model
-//! of the \c FieldWithSqrt concept. It is equivalent to the 
-//! specialization for the \c Field concept. The additionally required 
+//! of the \c FieldWithSqrt concept. It is equivalent to the
+//! specialization for the \c Field concept. The additionally required
 //! \c NiX::NT_traits::Sqrt functor need to be
 //! implemented in the \c NT_traits itself.
 //! \ingroup NiX_NT_traits_bases
 //
 template< class Type_ >
-class Algebraic_structure_traits_base< Type_, 
+class Algebraic_structure_traits_base< Type_,
                                        Field_with_sqrt_tag>
-    : public Algebraic_structure_traits_base< Type_, 
+    : public Algebraic_structure_traits_base< Type_,
                                               Field_tag> {
   public:
     typedef Type_        Type;
@@ -528,20 +528,20 @@ class Algebraic_structure_traits_base< T
 };
 
 //! The template specialization that is used if the number type is a model
-//! of the \c FieldWithKthRoot concept. It is equivalent to the 
-//! specialization for the \c Field concept. The additionally required 
+//! of the \c FieldWithKthRoot concept. It is equivalent to the
+//! specialization for the \c Field concept. The additionally required
 //! \c NiX::NT_traits::Kth_root functor need to be
 //! implemented in the \c Algebraic_structure_traits itself.
 //! \ingroup NiX_NT_traits_bases
 //
 template< class Type_ >
-class Algebraic_structure_traits_base< Type_, 
+class Algebraic_structure_traits_base< Type_,
                                        Field_with_kth_root_tag>
-    : public Algebraic_structure_traits_base< Type_, 
+    : public Algebraic_structure_traits_base< Type_,
                                               Field_with_sqrt_tag> {
-    
-    
-    
+
+
+
   public:
     typedef Type_        Type;
     typedef Field_with_kth_root_tag   Algebraic_category;
@@ -551,16 +551,16 @@ class Algebraic_structure_traits_base< T
 
 
 //! The template specialization that is used if the number type is a model
-//! of the \c FieldWithRootOf concept. It is equivalent to the 
-//! specialization for the \c FieldWithKthRoot concept. The additionally 
+//! of the \c FieldWithRootOf concept. It is equivalent to the
+//! specialization for the \c FieldWithKthRoot concept. The additionally
 //! required \c NiX::NT_traits::Root_of functor need to be
 //! implemented in the \c NT_traits itself.
 //! \ingroup NiX_NT_traits_bases
 //
 template< class Type_ >
-class Algebraic_structure_traits_base< Type_, 
+class Algebraic_structure_traits_base< Type_,
                                        Field_with_root_of_tag >
-    : public Algebraic_structure_traits_base< Type_, 
+    : public Algebraic_structure_traits_base< Type_,
                                               Field_with_kth_root_tag > {
   public:
     typedef Type_           Type;
@@ -570,37 +570,37 @@ class Algebraic_structure_traits_base< T
 // Some common functors to be used by AST specializations
 namespace INTERN_AST {
   template< class Type >
-  class Div_per_operator 
+  class Div_per_operator
     : public CGAL::cpp98::binary_function< Type, Type,
                               Type > {
-    public:      
-      Type operator()( const Type& x, 
+    public:
+      Type operator()( const Type& x,
                                       const Type& y ) const {
         return x / y;
       }
-      
+
       CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR( Type )
   };
-  
+
   template< class Type >
-  class Mod_per_operator 
+  class Mod_per_operator
     : public CGAL::cpp98::binary_function< Type, Type,
                               Type > {
     public:
-      Type operator()( const Type& x, 
+      Type operator()( const Type& x,
                                       const Type& y ) const {
         return x % y;
       }
-      
+
       CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR( Type )
   };
-  
+
   template< class Type >
   class Is_square_per_sqrt
     : public CGAL::cpp98::binary_function< Type, Type&,
                               bool > {
-    public:      
-      bool operator()( const Type& x, 
+    public:
+      bool operator()( const Type& x,
                        Type& y ) const {
           typename Algebraic_structure_traits< Type >::Sqrt
               actual_sqrt;
diff -pruN 5.0.2-3/include/CGAL/algorithm.h 5.0.3-1/include/CGAL/algorithm.h
--- 5.0.2-3/include/CGAL/algorithm.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/algorithm.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/algorithm.h $
-// $Id: algorithm.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/algorithm.h $
+// $Id: algorithm.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -277,10 +277,10 @@ lexicographical_compare_three_valued( In
     produces \c (1):(2):(3)
  */
 template <class InputIterator>
-std::ostream& 
+std::ostream&
 output_range(std::ostream& os,
              InputIterator first, InputIterator beyond,
-             const char* sep = ", ", const char* pre = "", const char* post = "") 
+             const char* sep = ", ", const char* pre = "", const char* post = "")
 {
     InputIterator it = first;
     if (it != beyond) {
@@ -366,12 +366,12 @@ void nth_element(RandomAccessIterator le
   if(left == right) return; // exit if there is only one element
   while(true) {
     RandomAccessIterator pivot_it = left + ((right - left) / 2);
-    RandomAccessIterator new_pivot_it = 
-      internal::algorithm::partition(left, right, pivot_it, comp);    
+    RandomAccessIterator new_pivot_it =
+      internal::algorithm::partition(left, right, pivot_it, comp);
     if(new_pivot_it == nth) return;
-    if(nth < new_pivot_it) 
+    if(nth < new_pivot_it)
       right = new_pivot_it - 1;
-    else 
+    else
       left = new_pivot_it + 1;
   } // end while(true)
 }
diff -pruN 5.0.2-3/include/CGAL/all_furthest_neighbors_2.h 5.0.3-1/include/CGAL/all_furthest_neighbors_2.h
--- 5.0.2-3/include/CGAL/all_furthest_neighbors_2.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/all_furthest_neighbors_2.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polytope_distance_d/include/CGAL/all_furthest_neighbors_2.h $
-// $Id: all_furthest_neighbors_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polytope_distance_d/include/CGAL/all_furthest_neighbors_2.h $
+// $Id: all_furthest_neighbors_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 
@@ -114,9 +114,9 @@ all_furthest_neighbors_2( RandomAccessIC
 
   // output result:
   return transform(v.begin(),
-		   v.end(),
-		   o,
-		   boost::bind(modulus<int>(), _1, number_of_points));
+                   v.end(),
+                   o,
+                   boost::bind(modulus<int>(), _1, number_of_points));
 } // all_furthest_neighbors_2( ... )
 
 
diff -pruN 5.0.2-3/include/CGAL/Alpha_shape_2.h 5.0.3-1/include/CGAL/Alpha_shape_2.h
--- 5.0.2-3/include/CGAL/Alpha_shape_2.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Alpha_shape_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -5,8 +5,8 @@
 //
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Alpha_shapes_2/include/CGAL/Alpha_shape_2.h $
-// $Id: Alpha_shape_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Alpha_shapes_2/include/CGAL/Alpha_shape_2.h $
+// $Id: Alpha_shape_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // Author(s)     : Tran Kai Frank DA
 //                 Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 
@@ -131,7 +131,7 @@ private:
   typedef typename Interval_face_map::value_type    Interval_face;
 
   typedef typename Tds::Face::Interval_3            Interval3;
-  
+
   typedef std::multimap< Interval3, Edge >          Interval_edge_map;
   typedef typename Interval_edge_map::value_type    Interval_edge;
 
@@ -143,14 +143,14 @@ private:
   typedef std::pair<const_void, int> const_Edge;
 
   typedef std::vector< Type_of_alpha > Alpha_spectrum;
-  
+
   typedef std::vector< Segment > Vect_seg;
 
   typedef Unique_hash_map< Face_handle, bool > Marked_face_set;
 
 public:
 
-  typedef typename std::list< Vertex_handle >::iterator 
+  typedef typename std::list< Vertex_handle >::iterator
   Alpha_shape_vertices_iterator;
   typedef typename std::list< Edge >::iterator Alpha_shape_edges_iterator;
 
@@ -163,17 +163,17 @@ public:
   // Distinguishes the different cases for classifying a
   // k-dimensional face of the underlying Delaunay triangulation of
   // the alpha-shape.
-  // 
+  //
   // `EXTERIOR' if the face does not belong to the alpha-complex.
-  // 
+  //
   // `SINGULAR' if the face belongs to the boundary of the
   // alpha-shape, but is not incident to any higher-dimensional
   // face of the alpha-complex
-  // 
+  //
   // `REGULAR' if face belongs to the boundary of the alpha-shape
   // and is incident to a higher-dimensional face of the
   // alpha-complex
-  // 
+  //
   // `INTERIOR' if the face belongs to the alpha-complex, but does
   // not belong to the boundary of the alpha-shape
 
@@ -186,19 +186,19 @@ public:
 
 private:
 
-  // only finite edges and faces are inserted into the maps 
+  // only finite edges and faces are inserted into the maps
   Interval_face_map _interval_face_map;
   Interval_edge_map _interval_edge_map;
   Interval_vertex_map _interval_vertex_map;
 
   Alpha_spectrum _alpha_spectrum;
- 
+
   Type_of_alpha _alpha;
   Mode _mode;
   // should be constants
   Type_of_alpha Infinity;
   Type_of_alpha UNDEFINED;
-  
+
   mutable std::list< Vertex_handle > Alpha_shape_vertices_list;
   mutable std::list< Edge > Alpha_shape_edges_list;
 
@@ -207,106 +207,106 @@ private:
 public:
 
   //------------------------- CONSTRUCTORS ------------------------------
- 
+
   // Introduces an empty alpha-shape `A' for a positive
   // alpha-value `alpha'. Precondition: `alpha' >= 0.
-  Alpha_shape_2(Type_of_alpha alpha = Type_of_alpha(0), 
-		Mode m = GENERAL)
+  Alpha_shape_2(Type_of_alpha alpha = Type_of_alpha(0),
+                Mode m = GENERAL)
     : _alpha(alpha), _mode(m), Infinity(-1), UNDEFINED(-2),
       use_vertex_cache(false), use_edge_cache(false)
     {}
- 
+
   // Introduces an alpha-shape `A' for a positive alpha-value
   // `alpha' that is initialized with the points in the range
   // from first to last
   template <class InputIterator>
-  Alpha_shape_2(const InputIterator& first,  
-		const InputIterator& last,  
-		const Type_of_alpha& alpha = Type_of_alpha(0),
-		Mode m = GENERAL)
+  Alpha_shape_2(const InputIterator& first,
+                const InputIterator& last,
+                const Type_of_alpha& alpha = Type_of_alpha(0),
+                Mode m = GENERAL)
     : _alpha(alpha), _mode(m), Infinity(-1), UNDEFINED(-2) ,
       use_vertex_cache(false), use_edge_cache(false)
     {
       Dt::insert(first, last);
       if (dimension() == 2)
-	{
-	  // Compute the associated _interval_face_map
-	  initialize_interval_face_map();
-
-	  // Compute the associated _interval_edge_map
-	  initialize_interval_edge_map();
-   
-	  // Compute the associated _interval_vertex_map
-	  initialize_interval_vertex_map();
-
-	  // merge the two maps
-	  initialize_alpha_spectrum();
-	}
+        {
+          // Compute the associated _interval_face_map
+          initialize_interval_face_map();
+
+          // Compute the associated _interval_edge_map
+          initialize_interval_edge_map();
+
+          // Compute the associated _interval_vertex_map
+          initialize_interval_vertex_map();
+
+          // merge the two maps
+          initialize_alpha_spectrum();
+        }
     }
 
   // Introduces an alpha-shape `A' for a positive alpha-value
-  // `alpha' that is initialized with the triangulation 
+  // `alpha' that is initialized with the triangulation
   Alpha_shape_2(Dt& dt,
-		const Type_of_alpha& alpha = Type_of_alpha(0),
-		Mode m = GENERAL)
+                const Type_of_alpha& alpha = Type_of_alpha(0),
+                Mode m = GENERAL)
     : _alpha(alpha), _mode(m), Infinity(-1), UNDEFINED(-2) ,
       use_vertex_cache(false), use_edge_cache(false)
     {
       Dt::swap(dt);
       if (dimension() == 2)
-	{
-	  // Compute the associated _interval_face_map
-	  initialize_interval_face_map();
-
-	  // Compute the associated _interval_edge_map
-	  initialize_interval_edge_map();
-   
-	  // Compute the associated _interval_vertex_map
-	  initialize_interval_vertex_map();
-
-	  // merge the two maps
-	  initialize_alpha_spectrum();
-	}
+        {
+          // Compute the associated _interval_face_map
+          initialize_interval_face_map();
+
+          // Compute the associated _interval_edge_map
+          initialize_interval_edge_map();
+
+          // Compute the associated _interval_vertex_map
+          initialize_interval_vertex_map();
+
+          // merge the two maps
+          initialize_alpha_spectrum();
+        }
     }
- 
+
 public:
 
   //----------- OUTPUT POINTS CONNECTED BY PAIRS ----------------------
 
   std::list<Point_2> Output();
- 
+
   std::ostream& op_ostream(std::ostream& os) const;
 
- 
+
   //----------------------- OPERATIONS ---------------------------------
 
   // Introduces an alpha-shape `A' for a positive alpha-value
   // `alpha' that is initialized with the points in the range
   // from first to last
 
-  template < class InputIterator >  
-  std::ptrdiff_t make_alpha_shape(const InputIterator& first,  
-		       const InputIterator& last) 
+  template < class InputIterator >
+  std::ptrdiff_t make_alpha_shape(const InputIterator& first,
+                       const InputIterator& last)
     {
 
       clear();
 
       size_type n =  Dt::insert(first, last);
- 
+
       if (dimension() == 2)
-	{   
-	  // Compute the associated _interval_face_map
-	  initialize_interval_face_map();
-
-	  // Compute the associated _interval_edge_map
-	  initialize_interval_edge_map();
-
-	  // Compute the associated _interval_vertex_map
-	  initialize_interval_vertex_map();
-  
-	  // merge the two maps
-	  initialize_alpha_spectrum();
-	}
+        {
+          // Compute the associated _interval_face_map
+          initialize_interval_face_map();
+
+          // Compute the associated _interval_edge_map
+          initialize_interval_edge_map();
+
+          // Compute the associated _interval_vertex_map
+          initialize_interval_vertex_map();
+
+          // merge the two maps
+          initialize_alpha_spectrum();
+        }
       return n;
     }
 
@@ -326,7 +326,7 @@ protected :
 
 public:
 
-  void clear() 
+  void clear()
     {
       // clears the structure
       Dt::clear();
@@ -334,13 +334,13 @@ public:
       _interval_face_map.clear();
       _interval_edge_map.clear();
       _interval_vertex_map.clear();
-    
+
       _alpha_spectrum.clear();
 
       Alpha_shape_vertices_list.clear();
       Alpha_shape_edges_list.clear();
-    
-      set_alpha(Type_of_alpha(0)); 
+
+      set_alpha(Type_of_alpha(0));
       set_mode(GENERAL);
 
     }
@@ -348,43 +348,43 @@ public:
   //----------------------- PRIVATE MEMBERS --------------------------
 
 private:
-   
-  struct Less 
+
+  struct Less
   {
-    bool operator()(const Interval_edge& ie, 
-		    const Type_of_alpha& alpha) 
+    bool operator()(const Interval_edge& ie,
+                    const Type_of_alpha& alpha)
       {
-	return ie.first.first < alpha; 
+        return ie.first.first < alpha;
       }
 
-    bool operator()( const Type_of_alpha& alpha, 
-		     const Interval_edge& ie) 
+    bool operator()( const Type_of_alpha& alpha,
+                     const Interval_edge& ie)
       {
-	return alpha < ie.first.first; 
+        return alpha < ie.first.first;
       }
 
-    // Needed for STL implementations of upper_bound which in debug mode 
+    // Needed for STL implementations of upper_bound which in debug mode
     // check sortedness of range
-    bool operator()(const Interval_edge& ie, 
-		    const Interval_edge& ie2) const
+    bool operator()(const Interval_edge& ie,
+                    const Interval_edge& ie2) const
       {
-	return ie < ie2;
+        return ie < ie2;
       }
   };
 
-  
+
   //----------------------- ACCESS TO PRIVATE MEMBERS -----------------
 
 private:
-   
-  
-  Type_of_alpha find_interval(const Face_handle& f) const 
+
+
+  Type_of_alpha find_interval(const Face_handle& f) const
     {
       return f->get_alpha();
       // return the value Alpha f the face f
     }
- 
-  Interval3 find_interval(const_Edge e)  const 
+
+  Interval3 find_interval(const_Edge e)  const
     { // corriger le parametrage
       return (e.first)->get_ranges(e.second);
       // return the Interval3 for the edge n
@@ -395,7 +395,7 @@ private:
 
 public:
 
-  Type_of_alpha set_alpha(const Type_of_alpha& alpha) 
+  Type_of_alpha set_alpha(const Type_of_alpha& alpha)
     {
       // Sets the alpha-value to `alpha'. Precondition: `alpha' >= 0.
       // Returns the previous alpha
@@ -406,23 +406,23 @@ public:
       return previous_alpha;
     }
 
-  const Type_of_alpha&  get_alpha() const 
+  const Type_of_alpha&  get_alpha() const
     {
       // Returns the current alpha-value.
       return _alpha;
     }
-  
-  const Type_of_alpha&  get_nth_alpha(size_type n) const 
+
+  const Type_of_alpha&  get_nth_alpha(size_type n) const
     {
       // Returns the n-th alpha-value.
       // n < size()
       if (! _alpha_spectrum.empty())
-	return _alpha_spectrum[n];
+        return _alpha_spectrum[n];
       else
-	return UNDEFINED;
+        return UNDEFINED;
     }
-  
-  size_type number_of_alphas() const 
+
+  size_type number_of_alphas() const
     {
       // Returns the number of not necessary different alpha-values
       return _alpha_spectrum.size();
@@ -451,7 +451,7 @@ private:
 
 public:
 
-  Mode set_mode(Mode mode = GENERAL ) 
+  Mode set_mode(Mode mode = GENERAL )
     {
       // Sets `A' to its general or regularized version. Returns the
       // previous mode.
@@ -461,7 +461,7 @@ public:
       return previous_mode;
     }
 
-  Mode get_mode() const 
+  Mode get_mode() const
     {
       // Returns whether `A' is general or regularized.
       return _mode;
@@ -479,14 +479,14 @@ update_alpha_shape_vertex_list()const;
 
   void
   update_alpha_shape_edges_list() const;
-  
+
 
   //---------------------------------------------------------------------
 
 public:
 
   Alpha_shape_vertices_iterator alpha_shape_vertices_begin() const
-    { 
+    {
     if(!use_vertex_cache){
       update_alpha_shape_vertex_list();
     }
@@ -536,96 +536,96 @@ public:
     {
       return Alpha_shape_edges_list.end();
     }
-public: 
-  
+public:
+
   // Traversal of the alpha-Values
-  // 
+  //
   // The alpha shape class defines an iterator that allows to
   // visit the sorted sequence of alpha-values. This iterator is
   // non-mutable and bidirectional. Its value type is Type_of_alpha.
 
-  Alpha_iterator alpha_begin() const 
+  Alpha_iterator alpha_begin() const
     {
       // Returns an iterator that allows to traverse the sorted sequence
       // of alpha-values of `A'.
-      return _alpha_spectrum.begin(); 
+      return _alpha_spectrum.begin();
     }
 
-  Alpha_iterator alpha_end() const 
+  Alpha_iterator alpha_end() const
     {
       // Returns the corresponding past-the-end iterator.
-      return _alpha_spectrum.end(); 
+      return _alpha_spectrum.end();
     }
-  
-  Alpha_iterator alpha_find(const Type_of_alpha& alpha) const 
+
+  Alpha_iterator alpha_find(const Type_of_alpha& alpha) const
     {
       // Returns an iterator pointing to an element with alpha-value
       // `alpha', or the corresponding past-the-end iterator if such an
       // element is not found.
       return std::find(_alpha_spectrum.begin(),
-		       _alpha_spectrum.end(),
-		       alpha);
+                       _alpha_spectrum.end(),
+                       alpha);
     }
 
-  Alpha_iterator alpha_lower_bound(const Type_of_alpha& alpha) const 
+  Alpha_iterator alpha_lower_bound(const Type_of_alpha& alpha) const
     {
       // Returns an iterator pointing to the first element with
       // alpha-value not less than `alpha'.
       return std::lower_bound(_alpha_spectrum.begin(),
-			      _alpha_spectrum.end(),
-			      alpha);
+                              _alpha_spectrum.end(),
+                              alpha);
     }
 
-  Alpha_iterator alpha_upper_bound(const Type_of_alpha& alpha) const 
+  Alpha_iterator alpha_upper_bound(const Type_of_alpha& alpha) const
     {
       // Returns an iterator pointing to the first element with
       // alpha-value greater than `alpha'.
       return std::upper_bound(_alpha_spectrum.begin(),
-			      _alpha_spectrum.end(),
-			      alpha);
+                              _alpha_spectrum.end(),
+                              alpha);
     }
 
   //--------------------- PREDICATES -----------------------------------
 
-  // the classification predicates take 
+  // the classification predicates take
   //      amortized const time if STL_STD::HASH_TABLES
   //      O(log #alpha_shape ) otherwise
 
-  Classification_type  classify(const Point& p ) const 
+  Classification_type  classify(const Point& p ) const
     {
       return classify( p, get_alpha());
     }
 
-  
-  Classification_type  classify(const Point& p,   
-				const Type_of_alpha& alpha) const 
+
+  Classification_type  classify(const Point& p,
+                                const Type_of_alpha& alpha) const
     {
       // Classifies a point `p' with respect to `A'.
       Locate_type type;
       int i;
       Face_handle pFace = locate(p, type, i);
-      switch (type) 
-	{
-	case VERTEX            : return classify(pFace->vertex(i), alpha);
-	case EDGE              : return classify(pFace, i, alpha);
-	case FACE              : return classify(pFace, alpha);
-	case OUTSIDE_CONVEX_HULL : 
-	case OUTSIDE_AFFINE_HULL : return EXTERIOR;
-	default                : return EXTERIOR;
-	}
+      switch (type)
+        {
+        case VERTEX            : return classify(pFace->vertex(i), alpha);
+        case EDGE              : return classify(pFace, i, alpha);
+        case FACE              : return classify(pFace, alpha);
+        case OUTSIDE_CONVEX_HULL :
+        case OUTSIDE_AFFINE_HULL : return EXTERIOR;
+        default                : return EXTERIOR;
+        }
     }
 
   //---------------------------------------------------------------------
 
-  Classification_type  classify(const Face_handle& f) const 
+  Classification_type  classify(const Face_handle& f) const
     {
       // Classifies the face `f' of the underlying Delaunay
       // triangulation with respect to `A'.
       return classify(f, get_alpha());
     }
-  
-  Classification_type  classify(const Face_handle& f, 
-				const Type_of_alpha& alpha) const 
+
+  Classification_type  classify(const Face_handle& f,
+                                const Type_of_alpha& alpha) const
     {
       // Classifies the face `f' of the underlying Delaunay
       // triangulation with respect to `A'.
@@ -634,49 +634,49 @@ public:
       // problem the operator [] is non-const
 
       if (is_infinite(f)) return EXTERIOR;
-    
-      // the version that computes the squared radius seems to be 
+
+      // the version that computes the squared radius seems to be
       // much faster
-    
-      return (find_interval(f) <= alpha) ? 
-	INTERIOR :
-	EXTERIOR;
+
+      return (find_interval(f) <= alpha) ?
+        INTERIOR :
+        EXTERIOR;
 
     }
 
   //---------------------------------------------------------------------
-  
+
   Classification_type  classify(const Edge& edge) const
-    {  
+    {
       return classify(edge.first, edge.second, get_alpha());
     }
 
-  Classification_type  classify(const Face_handle& f, 
-				int i) const 
-    {  
+  Classification_type  classify(const Face_handle& f,
+                                int i) const
+    {
       return classify(f, i, get_alpha());
     }
 
   Classification_type  classify(const Edge& edge,
-				const Type_of_alpha& alpha) const 
-    {  
+                                const Type_of_alpha& alpha) const
+    {
       return classify(edge.first, edge.second, alpha);
     }
 
-  Classification_type  classify(const Face_handle& f, 
-				int i,
-				const Type_of_alpha& alpha) const;
+  Classification_type  classify(const Face_handle& f,
+                                int i,
+                                const Type_of_alpha& alpha) const;
+
 
-  
   //---------------------------------------------------------------------
 
-  Classification_type  classify(const Vertex_handle& v) const 
+  Classification_type  classify(const Vertex_handle& v) const
     {
       return classify(v, get_alpha());
     }
 
   Classification_type  classify(const Vertex_handle& v,
-				const Type_of_alpha& alpha) const;
+                                const Type_of_alpha& alpha) const;
 
   //--------------------- NB COMPONENTS ---------------------------------
   size_type
@@ -691,7 +691,7 @@ public:
       return number_of_solid_components(get_alpha());
     }
 
-  size_type 
+  size_type
   number_solid_components(const Type_of_alpha& /* alpha */) const
     {
       return number_of_solid_components(get_alpha());
@@ -703,8 +703,8 @@ public:
 private:
 
   void traverse(const Face_handle& pFace,
-		Marked_face_set& marked_face_set, 
-		const Type_of_alpha alpha) const;
+                Marked_face_set& marked_face_set,
+                const Type_of_alpha alpha) const;
 
 //  class Line_face_circulator;
 
@@ -712,7 +712,7 @@ private:
 
 public:
 
-  Alpha_iterator find_optimal_alpha(size_type nb_components);  	
+  Alpha_iterator find_optimal_alpha(size_type nb_components);
 
   Type_of_alpha find_alpha_solid() const;
 
@@ -746,7 +746,7 @@ private:
 
 private:
   // prevent default copy constructor and default assigment
-  
+
   Alpha_shape_2(const Alpha_shape_2& A);
 
   Alpha_shape_2& operator=(const Alpha_shape_2& A);
@@ -765,8 +765,8 @@ public:
 
 
 template < class Dt, class EACT >
-void 
-Alpha_shape_2<Dt,EACT>::initialize_interval_face_map() 
+void
+Alpha_shape_2<Dt,EACT>::initialize_interval_face_map()
 {
   Type_of_alpha alpha_f;
 
@@ -778,23 +778,23 @@ Alpha_shape_2<Dt,EACT>::initialize_inter
 
       // cross references
       face_it->set_alpha(alpha_f);
-    } 
+    }
 }
 
 //-------------------------------------------------------------------------
 
 template < class Dt, class EACT >
-void 
-Alpha_shape_2<Dt,EACT>::initialize_interval_edge_map() 
-{  
+void
+Alpha_shape_2<Dt,EACT>::initialize_interval_edge_map()
+{
   Edge_iterator edge_it;
   Edge edge;
 
   // only finite faces
-  for( edge_it = edges_begin(); 
-       edge_it != edges_end(); 
-       ++edge_it) 
-    { 
+  for( edge_it = edges_begin();
+       edge_it != edges_end();
+       ++edge_it)
+    {
       Interval3 interval;
       edge = (*edge_it);
 
@@ -802,82 +802,82 @@ Alpha_shape_2<Dt,EACT>::initialize_inter
       int i = edge.second;
       Face_handle pNeighbor = pFace->neighbor(i);
       int Neigh_i = pNeighbor->index(pFace);
-      
+
       // not on the convex hull
-      
-      if(!is_infinite(pFace) && !is_infinite(pNeighbor)) 
-	{ 
-	  Type_of_alpha squared_radius_Face = 
-	    find_interval(pFace);
-	  Type_of_alpha squared_radius_Neighbor = 
-	    find_interval(pNeighbor);
-	  if (squared_radius_Neighbor < squared_radius_Face) 
-	    {	    
-	      edge =  Edge(pNeighbor, Neigh_i);
-	      Type_of_alpha coord_tmp = squared_radius_Face;
-	      squared_radius_Face = squared_radius_Neighbor;
-	      squared_radius_Neighbor = coord_tmp;
-	    }
-	  interval = (is_attached(pFace, i) || 
-		      is_attached(pNeighbor, Neigh_i)) ?
-	    make_triple(UNDEFINED,
-			squared_radius_Face, 
-			squared_radius_Neighbor):
-	    make_triple(squared_radius(pFace, i),
-			squared_radius_Face, 
-			squared_radius_Neighbor);
-	}
-      else 
-	{ // on the convex hull
-
-	  if(is_infinite(pFace)) 
-	    {
-	      if (!is_infinite(pNeighbor)) 
-		{
-		  interval =  (is_attached(pNeighbor,
-					   Neigh_i)) ?
-		    make_triple(UNDEFINED,
-				find_interval(pNeighbor), 
-				Infinity):
-		    make_triple(squared_radius(pNeighbor, 
-					       Neigh_i), 
-				find_interval(pNeighbor), 
-				Infinity); 
-		  edge =  Edge(pNeighbor, Neigh_i);
-		}
-	      else 
-		{
-		  // both faces are infinite by definition unattached
-		  // the edge is finite by construction
-		  CGAL_triangulation_precondition((is_infinite(pNeighbor) 
-						   && is_infinite(pFace)));
-		  interval = make_triple(squared_radius(pFace, i), 
-					 Infinity,
-					 Infinity);
-		}
-	    }
-	  else 
-	    { // is_infinite(pNeighbor)
-	   
-	      CGAL_triangulation_precondition((is_infinite(pNeighbor) 
-					       && !is_infinite(pFace)));
-	      if (is_attached(pFace, i))
-		interval = make_triple(UNDEFINED,
-				       find_interval(pFace),
-				       Infinity);
-	      else
-		interval = make_triple(squared_radius(pFace, i),
-				       find_interval(pFace),
-				       Infinity);
-
-	    }
-	}
-      
+
+      if(!is_infinite(pFace) && !is_infinite(pNeighbor))
+        {
+          Type_of_alpha squared_radius_Face =
+            find_interval(pFace);
+          Type_of_alpha squared_radius_Neighbor =
+            find_interval(pNeighbor);
+          if (squared_radius_Neighbor < squared_radius_Face)
+            {
+              edge =  Edge(pNeighbor, Neigh_i);
+              Type_of_alpha coord_tmp = squared_radius_Face;
+              squared_radius_Face = squared_radius_Neighbor;
+              squared_radius_Neighbor = coord_tmp;
+            }
+          interval = (is_attached(pFace, i) ||
+                      is_attached(pNeighbor, Neigh_i)) ?
+            make_triple(UNDEFINED,
+                        squared_radius_Face,
+                        squared_radius_Neighbor):
+            make_triple(squared_radius(pFace, i),
+                        squared_radius_Face,
+                        squared_radius_Neighbor);
+        }
+      else
+        { // on the convex hull
+
+          if(is_infinite(pFace))
+            {
+              if (!is_infinite(pNeighbor))
+                {
+                  interval =  (is_attached(pNeighbor,
+                                           Neigh_i)) ?
+                    make_triple(UNDEFINED,
+                                find_interval(pNeighbor),
+                                Infinity):
+                    make_triple(squared_radius(pNeighbor,
+                                               Neigh_i),
+                                find_interval(pNeighbor),
+                                Infinity);
+                  edge =  Edge(pNeighbor, Neigh_i);
+                }
+              else
+                {
+                  // both faces are infinite by definition unattached
+                  // the edge is finite by construction
+                  CGAL_triangulation_precondition((is_infinite(pNeighbor)
+                                                   && is_infinite(pFace)));
+                  interval = make_triple(squared_radius(pFace, i),
+                                         Infinity,
+                                         Infinity);
+                }
+            }
+          else
+            { // is_infinite(pNeighbor)
+
+              CGAL_triangulation_precondition((is_infinite(pNeighbor)
+                                               && !is_infinite(pFace)));
+              if (is_attached(pFace, i))
+                interval = make_triple(UNDEFINED,
+                                       find_interval(pFace),
+                                       Infinity);
+              else
+                interval = make_triple(squared_radius(pFace, i),
+                                       find_interval(pFace),
+                                       Infinity);
+
+            }
+        }
+
       _interval_edge_map.insert(Interval_edge(interval, edge));
-      
+
       // cross-links
       (edge.first)->set_ranges(edge.second,interval);
-      // MY : to fix a bug I store the interval of the edge in both faces 
+      // MY : to fix a bug I store the interval of the edge in both faces
       Face_handle neighbor = (edge.first)->neighbor(edge.second);
       int ni = neighbor->index(edge.first);
       neighbor->set_ranges( ni, interval);
@@ -890,7 +890,7 @@ Alpha_shape_2<Dt,EACT>::initialize_inter
   // second                   not on the convex hull
   // third the un-attached edges on the convex hull
   // finally                     not on the convex hull
-  // 
+  //
   // if we are in regularized mode we should sort differently
   // by the second third first Key
 }
@@ -898,8 +898,8 @@ Alpha_shape_2<Dt,EACT>::initialize_inter
 //-------------------------------------------------------------------------
 
 template < class Dt, class EACT >
-void 
-Alpha_shape_2<Dt,EACT>::initialize_interval_vertex_map() 
+void
+Alpha_shape_2<Dt,EACT>::initialize_interval_vertex_map()
 {
   Type_of_alpha alpha_mid_v;
   Type_of_alpha alpha_max_v;
@@ -907,94 +907,94 @@ Alpha_shape_2<Dt,EACT>::initialize_inter
 
   Finite_vertices_iterator vertex_it;
 
-  for( vertex_it = finite_vertices_begin(); 
-       vertex_it != finite_vertices_end(); 
-       ++vertex_it) 
+  for( vertex_it = finite_vertices_begin();
+       vertex_it != finite_vertices_end();
+       ++vertex_it)
     {
       Vertex_handle v = vertex_it;
       Face_handle f;
 
-      alpha_max_v = Type_of_alpha(0);    
+      alpha_max_v = Type_of_alpha(0);
       alpha_mid_v = (!_interval_face_map.empty() ?
-		     (--_interval_face_map.end())->first :
-		     Type_of_alpha(0));
+                     (--_interval_face_map.end())->first :
+                     Type_of_alpha(0));
 
       //----------------- examine incident edges --------------------------
-      
-// 	// if we used Edelsbrunner and Muecke's definition
-// 	// singular means not incident to any higher-dimensional face
-// 	// regular means incident to a higher-dimensional face
-// 	Edge_circulator edge_circ = this->incident_edges(v),
-// 	edge_done(edge_circ);
-
-// 	do 
-      
-// 	{ 
-// 	f = (*edge_circ).first;
-// 	int i = (*edge_circ).second;
-
-// 	if (is_infinite(f, i))
-      
-// 	{
-// 	alpha_max_v = Infinity;
-// 	}
-// 	else
-      
-// 	{
-// 	Interval3 interval3 = find_interval(const_Edge(f, i));
-				
-	
-// 	alpha_mid_v = (interval3.first != UNDEFINED) ?
-// 	(CGAL::min)(alpha_mid_v, interval3.first): 
-// 	(CGAL::min)(alpha_mid_v, interval3.second); 
-			
-// 	if (alpha_max_v != Infinity)
-      
-// 	{
-// 	alpha_max_v = (interval3.third != Infinity) ?
-// 	(CGAL::max)(alpha_max_v, interval3.third):
-// 	Infinity;
-// 	}
-// 	}
-// 	}
-// 	while(++edge_circ != edge_done);
-     
+
+//         // if we used Edelsbrunner and Muecke's definition
+//         // singular means not incident to any higher-dimensional face
+//         // regular means incident to a higher-dimensional face
+//         Edge_circulator edge_circ = this->incident_edges(v),
+//         edge_done(edge_circ);
+
+//         do
+
+//         {
+//         f = (*edge_circ).first;
+//         int i = (*edge_circ).second;
+
+//         if (is_infinite(f, i))
+
+//         {
+//         alpha_max_v = Infinity;
+//         }
+//         else
+
+//         {
+//         Interval3 interval3 = find_interval(const_Edge(f, i));
+
+
+//         alpha_mid_v = (interval3.first != UNDEFINED) ?
+//         (CGAL::min)(alpha_mid_v, interval3.first):
+//         (CGAL::min)(alpha_mid_v, interval3.second);
+
+//         if (alpha_max_v != Infinity)
+
+//         {
+//         alpha_max_v = (interval3.third != Infinity) ?
+//         (CGAL::max)(alpha_max_v, interval3.third):
+//         Infinity;
+//         }
+//         }
+//         }
+//         while(++edge_circ != edge_done);
+
 
       //-------------- examine incident faces --------------------------
-      
+
       // we use a different definition than Edelsbrunner and Muecke
       // singular means not incident to any 2-dimensional face
       // regular means incident to a 2-dimensional face
-     
+
       Face_circulator face_circ = this->incident_faces(v),
-	done = face_circ;
-   
-      if (!face_circ.is_empty()) 
-	{
-	  do 
-	    {
-	      f = face_circ;
-	      if (is_infinite(f)) 
-		{
-		  alpha_max_v = Infinity;
-		  // continue;
-		}
-	      else 
-		{
-		  alpha_f = find_interval(f);
-		  // if we define singular as not incident to a 2-dimensional
-		  // face
-		  alpha_mid_v = (CGAL::min)(alpha_mid_v, alpha_f);
-		    
-		  if (alpha_max_v != Infinity)
-		    alpha_max_v = (CGAL::max)(alpha_max_v, alpha_f);
-			    
-		}
-	    }
-	  while(++face_circ != done);
-	}
-	
- 
+        done = face_circ;
+
+      if (!face_circ.is_empty())
+        {
+          do
+            {
+              f = face_circ;
+              if (is_infinite(f))
+                {
+                  alpha_max_v = Infinity;
+                  // continue;
+                }
+              else
+                {
+                  alpha_f = find_interval(f);
+                  // if we define singular as not incident to a 2-dimensional
+                  // face
+                  alpha_mid_v = (CGAL::min)(alpha_mid_v, alpha_f);
+
+                  if (alpha_max_v != Infinity)
+                    alpha_max_v = (CGAL::max)(alpha_max_v, alpha_f);
+
+                }
+            }
+          while(++face_circ != done);
+        }
+
+
       Interval2 interval = std::make_pair(alpha_mid_v, alpha_max_v);
       _interval_vertex_map.insert(Interval_vertex(interval, vertex_it));
 
@@ -1006,71 +1006,71 @@ Alpha_shape_2<Dt,EACT>::initialize_inter
 //-------------------------------------------------------------------------
 
 template < class Dt, class EACT >
-void 
-Alpha_shape_2<Dt,EACT>::initialize_alpha_spectrum() 
+void
+Alpha_shape_2<Dt,EACT>::initialize_alpha_spectrum()
 {
 
-  // skip the attached edges 
+  // skip the attached edges
   // <=> _interval_edge_map.first.first == UNDEFINED
-  typename Interval_edge_map::iterator 
+  typename Interval_edge_map::iterator
     edge_it = std::upper_bound(_interval_edge_map.begin(),
-			       _interval_edge_map.end(),
-			       UNDEFINED,
-			       Less());
+                               _interval_edge_map.end(),
+                               UNDEFINED,
+                               Less());
 
   // merge the maps which is sorted and contains the alpha-values
   // of the unattached edges and the triangles.
   // eliminate duplicate values due to for example attached edges
   // merge and copy from STL since assignment should be function object
-	
+
   typename Interval_face_map::iterator
     face_it = _interval_face_map.begin();
 
   _alpha_spectrum.reserve(_interval_face_map.size() +
-			  _interval_edge_map.size()/ 2 );
+                          _interval_edge_map.size()/ 2 );
   // should be only the number of unattached edges
   // size_type nb_unattached_edges;
   // distance(edge_it, _interval_edge_map.end(), nb_unattached_edges);
   // however the distance function is expensive
 
   while (edge_it != _interval_edge_map.end() ||
-	 face_it != _interval_face_map.end()) 
+         face_it != _interval_face_map.end())
     {
       if (face_it != _interval_face_map.end() &&
-	  (edge_it == _interval_edge_map.end() ||
-	   ((*face_it).first < (*edge_it).first.first))) 
-	{
-	  if (((_alpha_spectrum.empty() || 
-		_alpha_spectrum.back() < (*face_it).first)) && 
-	      ((*face_it).first > Type_of_alpha(0)))
-	    _alpha_spectrum.push_back((*face_it).first);
-	  face_it++;
-	}
+          (edge_it == _interval_edge_map.end() ||
+           ((*face_it).first < (*edge_it).first.first)))
+        {
+          if (((_alpha_spectrum.empty() ||
+                _alpha_spectrum.back() < (*face_it).first)) &&
+              ((*face_it).first > Type_of_alpha(0)))
+            _alpha_spectrum.push_back((*face_it).first);
+          face_it++;
+        }
       else
-	{
-	  if (((_alpha_spectrum.empty() || 
-		_alpha_spectrum.back() < (*edge_it).first.first)) &&
-	      (((*edge_it).first.first) > Type_of_alpha(0)))
-	    _alpha_spectrum.push_back((*edge_it).first.first);
-	  edge_it++;
-	}
-    }
-    
-  while (edge_it != _interval_edge_map.end()) 
-    {
-      if (((_alpha_spectrum.empty() || 
-	    _alpha_spectrum.back() < (*edge_it).first.first))&&
-	  (((*edge_it).first.first) > Type_of_alpha(0)))
-	_alpha_spectrum.push_back((*edge_it).first.first);
+        {
+          if (((_alpha_spectrum.empty() ||
+                _alpha_spectrum.back() < (*edge_it).first.first)) &&
+              (((*edge_it).first.first) > Type_of_alpha(0)))
+            _alpha_spectrum.push_back((*edge_it).first.first);
+          edge_it++;
+        }
+    }
+
+  while (edge_it != _interval_edge_map.end())
+    {
+      if (((_alpha_spectrum.empty() ||
+            _alpha_spectrum.back() < (*edge_it).first.first))&&
+          (((*edge_it).first.first) > Type_of_alpha(0)))
+        _alpha_spectrum.push_back((*edge_it).first.first);
       edge_it++;
     }
 
-  while (face_it != _interval_face_map.end()) 
-    { 
-      if (((_alpha_spectrum.empty() || 
-	    _alpha_spectrum.back() < (*face_it).first))&&
-	  ((*face_it).first > Type_of_alpha(0)))
-	_alpha_spectrum.push_back((*face_it).first);
+  while (face_it != _interval_face_map.end())
+    {
+      if (((_alpha_spectrum.empty() ||
+            _alpha_spectrum.back() < (*face_it).first))&&
+          ((*face_it).first > Type_of_alpha(0)))
+        _alpha_spectrum.push_back((*face_it).first);
       face_it++;
     }
 
@@ -1084,61 +1084,61 @@ Alpha_shape_2<Dt,EACT>::initialize_alpha
 template < class Dt, class EACT >
 void
 Alpha_shape_2<Dt,EACT>::update_alpha_shape_vertex_list()const {
-	//typedef typename Alpha_shape_2<Dt,EACT>::Interval_vertex_map 
-	//                                              Interval_vertex_map;
-	typename Interval_vertex_map::const_iterator vertex_alpha_it;
-
-	//const typename Alpha_shape_2<Dt,EACT>::Interval2* pInterval2;
-	const Interval2* pInterval2;
-	Vertex_handle v;
-	Alpha_shape_vertices_list.clear();
-	// write the regular vertices
-
-	for (vertex_alpha_it = _interval_vertex_map.begin(); 
-		vertex_alpha_it != _interval_vertex_map.end() &&
-		(*vertex_alpha_it).first.first <= get_alpha();
-		++vertex_alpha_it) 
-		{
-		pInterval2 = &(*vertex_alpha_it).first;
-
-		if((pInterval2->second > get_alpha()
-		|| pInterval2->second == Infinity)) 
-		{
-		// alpha must be larger than the min boundary
-		// and alpha is smaller than the upper boundary
-		// which might be infinity 
-		// write the vertex
-		v = (*vertex_alpha_it).second;
-		CGAL_triangulation_assertion((classify(v) == REGULAR));
-		Alpha_shape_vertices_list.push_back(v);
-		}
-		}
-	 
-	if (get_mode() == Alpha_shape_2<Dt,EACT>::GENERAL) 
-		{
-		// write the singular vertices
-		for (; 
-		vertex_alpha_it != _interval_vertex_map.end();
-		++vertex_alpha_it) 
-		{
-		v = (*vertex_alpha_it).second;
-		CGAL_triangulation_assertion((classify(v) == SINGULAR));
-
-		Alpha_shape_vertices_list.push_back(v);
-		}
-		}
-	use_vertex_cache = true;
+        //typedef typename Alpha_shape_2<Dt,EACT>::Interval_vertex_map
+        //                                              Interval_vertex_map;
+        typename Interval_vertex_map::const_iterator vertex_alpha_it;
+
+        //const typename Alpha_shape_2<Dt,EACT>::Interval2* pInterval2;
+        const Interval2* pInterval2;
+        Vertex_handle v;
+        Alpha_shape_vertices_list.clear();
+        // write the regular vertices
+
+        for (vertex_alpha_it = _interval_vertex_map.begin();
+                vertex_alpha_it != _interval_vertex_map.end() &&
+                (*vertex_alpha_it).first.first <= get_alpha();
+                ++vertex_alpha_it)
+                {
+                pInterval2 = &(*vertex_alpha_it).first;
+
+                if((pInterval2->second > get_alpha()
+                || pInterval2->second == Infinity))
+                {
+                // alpha must be larger than the min boundary
+                // and alpha is smaller than the upper boundary
+                // which might be infinity
+                // write the vertex
+                v = (*vertex_alpha_it).second;
+                CGAL_triangulation_assertion((classify(v) == REGULAR));
+                Alpha_shape_vertices_list.push_back(v);
+                }
+                }
+
+        if (get_mode() == Alpha_shape_2<Dt,EACT>::GENERAL)
+                {
+                // write the singular vertices
+                for (;
+                vertex_alpha_it != _interval_vertex_map.end();
+                ++vertex_alpha_it)
+                {
+                v = (*vertex_alpha_it).second;
+                CGAL_triangulation_assertion((classify(v) == SINGULAR));
+
+                Alpha_shape_vertices_list.push_back(v);
+                }
+                }
+        use_vertex_cache = true;
   }
 
 //-------------------------------------------------------------------------
 
 template < class Dt, class EACT >
 void
-Alpha_shape_2<Dt,EACT>::update_alpha_shape_edges_list() const 
+Alpha_shape_2<Dt,EACT>::update_alpha_shape_edges_list() const
 {
 
   // Writes the edges of the alpha shape `A' for the current $\alpha$-value
-  // to the container where 'out' refers to. Returns an output iterator 
+  // to the container where 'out' refers to. Returns an output iterator
   // which is the end of the constructed range.
   //typedef  typename Alpha_shape_2<Dt,EACT>::Interval_edge_map Interval_edge_map;
   typename Interval_edge_map::const_iterator edge_alpha_it;
@@ -1146,92 +1146,92 @@ Alpha_shape_2<Dt,EACT>::update_alpha_sha
   //const typename Alpha_shape_2<Dt,EACT>::Interval3* pInterval;
   const Interval3* pInterval;
   Alpha_shape_edges_list.clear();
-  if (get_mode() == REGULARIZED) 
+  if (get_mode() == REGULARIZED)
     {
-      // it is much faster looking at the sorted intervals 
+      // it is much faster looking at the sorted intervals
       // than looking at all sorted faces
       // alpha must be larger than the mid boundary
       // and alpha is smaller than the upper boundary
-      for (edge_alpha_it = _interval_edge_map.begin(); 
-	   edge_alpha_it != _interval_edge_map.end() &&
-	     (*edge_alpha_it).first.first <= get_alpha();
-	   ++edge_alpha_it) 
-	{
-	  pInterval = &(*edge_alpha_it).first;
-      
-	  CGAL_triangulation_assertion(pInterval->second != Infinity);
-	  // since this happens only for convex hull of dimension 2
-	  // thus singular
-
-	  if(pInterval->second <= get_alpha() &&
-	     (pInterval->third > get_alpha()
-	      || pInterval->third == Infinity)) 
-	    {
-	      // alpha must be larger than the mid boundary
-	      // and alpha is smaller than the upper boundary
-	      // which might be infinity 
-	      // visualize the boundary
+      for (edge_alpha_it = _interval_edge_map.begin();
+           edge_alpha_it != _interval_edge_map.end() &&
+             (*edge_alpha_it).first.first <= get_alpha();
+           ++edge_alpha_it)
+        {
+          pInterval = &(*edge_alpha_it).first;
+
+          CGAL_triangulation_assertion(pInterval->second != Infinity);
+          // since this happens only for convex hull of dimension 2
+          // thus singular
+
+          if(pInterval->second <= get_alpha() &&
+             (pInterval->third > get_alpha()
+              || pInterval->third == Infinity))
+            {
+              // alpha must be larger than the mid boundary
+              // and alpha is smaller than the upper boundary
+              // which might be infinity
+              // visualize the boundary
  CGAL_triangulation_assertion((classify((*edge_alpha_it).second.first,
-					(*edge_alpha_it).second.second)
-			       == REGULAR));
-	      Alpha_shape_edges_list.push_back(Edge((*edge_alpha_it).second.first,
-						    (*edge_alpha_it).second.second));
-	    }
-	}
+                                        (*edge_alpha_it).second.second)
+                               == REGULAR));
+              Alpha_shape_edges_list.push_back(Edge((*edge_alpha_it).second.first,
+                                                    (*edge_alpha_it).second.second));
+            }
+        }
     }
-  else 
+  else
     {  // get_mode() == GENERAL -------------------------------------------
       // draw the edges
-      for (edge_alpha_it = _interval_edge_map.begin(); 
-	   edge_alpha_it != _interval_edge_map.end() &&
-	     (*edge_alpha_it).first.first <= get_alpha();
-	   ++edge_alpha_it) 
-	{
-	  pInterval = &(*edge_alpha_it).first;
-      
-	  if (pInterval->first == UNDEFINED) 
-	    {
-	      CGAL_triangulation_assertion(pInterval->second != Infinity);
-	      // since this happens only for convex hull of dimension 2
-	      // thus singular
-	
-	      if(pInterval->second <= get_alpha() &&
-		 (pInterval->third > get_alpha()
-		  || pInterval->third == Infinity)) 
-		{
-		  // alpha must be larger than the mid boundary
-		  // and alpha is smaller than the upper boundary
-		  // which might be infinity 
-		  // visualize the boundary
+      for (edge_alpha_it = _interval_edge_map.begin();
+           edge_alpha_it != _interval_edge_map.end() &&
+             (*edge_alpha_it).first.first <= get_alpha();
+           ++edge_alpha_it)
+        {
+          pInterval = &(*edge_alpha_it).first;
+
+          if (pInterval->first == UNDEFINED)
+            {
+              CGAL_triangulation_assertion(pInterval->second != Infinity);
+              // since this happens only for convex hull of dimension 2
+              // thus singular
+
+              if(pInterval->second <= get_alpha() &&
+                 (pInterval->third > get_alpha()
+                  || pInterval->third == Infinity))
+                {
+                  // alpha must be larger than the mid boundary
+                  // and alpha is smaller than the upper boundary
+                  // which might be infinity
+                  // visualize the boundary
  CGAL_triangulation_assertion((classify((*edge_alpha_it).second.first,
-					(*edge_alpha_it).second.second) 
-			       == REGULAR));
-		  Alpha_shape_edges_list.push_back(Edge((*edge_alpha_it).second.first,
-							(*edge_alpha_it).second.second));
-		}
-	    }
-	  else 
-	    {
-	
-	      if(pInterval->third > get_alpha()
-		 || pInterval->third == Infinity) 
-		{
-		  // if alpha is smaller than the upper boundary
-		  // which might be infinity 
-		  // visualize the boundary
+                                        (*edge_alpha_it).second.second)
+                               == REGULAR));
+                  Alpha_shape_edges_list.push_back(Edge((*edge_alpha_it).second.first,
+                                                        (*edge_alpha_it).second.second));
+                }
+            }
+          else
+            {
+
+              if(pInterval->third > get_alpha()
+                 || pInterval->third == Infinity)
+                {
+                  // if alpha is smaller than the upper boundary
+                  // which might be infinity
+                  // visualize the boundary
  CGAL_triangulation_assertion(((classify((*edge_alpha_it).second.first,
-					 (*edge_alpha_it).second.second) 
-				== REGULAR)
-			       || (classify((*edge_alpha_it).second.first,
-					    (*edge_alpha_it).second.second) 
-				   == SINGULAR)));
-		  Alpha_shape_edges_list.push_back(Edge((*edge_alpha_it).second.first,
-							(*edge_alpha_it).second.second));
-		}
-	    }
-      
-	}
-    
+                                         (*edge_alpha_it).second.second)
+                                == REGULAR)
+                               || (classify((*edge_alpha_it).second.first,
+                                            (*edge_alpha_it).second.second)
+                                   == SINGULAR)));
+                  Alpha_shape_edges_list.push_back(Edge((*edge_alpha_it).second.first,
+                                                        (*edge_alpha_it).second.second));
+                }
+            }
+
+        }
+
     }
   use_edge_cache = true;
 }
@@ -1239,9 +1239,9 @@ Alpha_shape_2<Dt,EACT>::update_alpha_sha
 //-------------------------------------------------------------------------
 
 template < class Dt, class EACT >
-typename Alpha_shape_2<Dt,EACT>::Classification_type  
-Alpha_shape_2<Dt,EACT>::classify(const Face_handle& f, int i, 
-			    const Type_of_alpha& alpha) const
+typename Alpha_shape_2<Dt,EACT>::Classification_type
+Alpha_shape_2<Dt,EACT>::classify(const Face_handle& f, int i,
+                            const Type_of_alpha& alpha) const
 {
   // Classifies the edge `e' of the underlying Delaunay
   // triangulation with respect to `A'.
@@ -1254,52 +1254,52 @@ Alpha_shape_2<Dt,EACT>::classify(const F
   // we store only finite edges in _edge_interval_map
   Interval3 interval = find_interval(const_Edge(f, i));
   //  (*(_edge_interval_map.find(const_Edge(f, i)))).second;
- 
-  if (alpha < interval.second) 
+
+  if (alpha < interval.second)
     {
       if (get_mode() == REGULARIZED ||
-	  interval.first == UNDEFINED ||
-	  alpha < interval.first)
-	return EXTERIOR;
+          interval.first == UNDEFINED ||
+          alpha < interval.first)
+        return EXTERIOR;
       else // alpha >= interval.first
-	return SINGULAR;
+        return SINGULAR;
     }
-  else 
+  else
     {   // alpha >= interval.second
       if (interval.third == Infinity ||
-	  alpha < interval.third)
-	return REGULAR;
+          alpha < interval.third)
+        return REGULAR;
       else // alpha >= interval.third
-	return INTERIOR;
+        return INTERIOR;
     }
-   
+
 }
 
 //-------------------------------------------------------------------------
 
 template < class Dt, class EACT >
-typename Alpha_shape_2<Dt,EACT>::Classification_type  
+typename Alpha_shape_2<Dt,EACT>::Classification_type
 Alpha_shape_2<Dt,EACT>::classify(const Vertex_handle& v,
-			    const Type_of_alpha& alpha) const 
+                            const Type_of_alpha& alpha) const
 {
   // Classifies the vertex `v' of the underlying Delaunay
   // triangulation with respect to `A'.
   Interval2 interval = v->get_range();
- 
-  if (alpha < interval.first) 
+
+  if (alpha < interval.first)
     {
-      if (get_mode() == REGULARIZED) 
-	return EXTERIOR;
+      if (get_mode() == REGULARIZED)
+        return EXTERIOR;
       else // general => vertices are never exterior
-	return SINGULAR;
+        return SINGULAR;
     }
-  else 
+  else
     {   // alpha >= interval.first
       if (interval.second == Infinity ||
-	  alpha < interval.second)
-	return REGULAR;
+          alpha < interval.second)
+        return REGULAR;
       else // alpha >= interval.second
-	return INTERIOR;
+        return INTERIOR;
     }
 }
 
@@ -1309,31 +1309,31 @@ template < class Dt, class EACT >
 typename Alpha_shape_2<Dt,EACT>::size_type
 Alpha_shape_2<Dt,EACT>::number_of_solid_components(const Type_of_alpha& alpha) const
 {
-  // Determine the number of connected solid components 
+  // Determine the number of connected solid components
   typedef typename Marked_face_set::Data Data;
   Marked_face_set marked_face_set(false);
   Finite_faces_iterator face_it;
   size_type nb_solid_components = 0;
-  
+
   if (number_of_vertices()==0)
     return 0;
-  
+
   // only finite faces
-  for( face_it = faces_begin(); 
-       face_it != faces_end(); 
-       ++face_it) 
+  for( face_it = faces_begin();
+       face_it != faces_end();
+       ++face_it)
     {
       Face_handle pFace = face_it;
       CGAL_triangulation_postcondition( pFace != nullptr);
-      
+
       if (classify(pFace, alpha) == INTERIOR){
-	Data& data = marked_face_set[pFace];
-	if(data == false)
-	  {
-	    // we traverse only interior faces
-	    traverse(pFace, marked_face_set, alpha);
-	    nb_solid_components++;  
-	  }
+        Data& data = marked_face_set[pFace];
+        if(data == false)
+          {
+            // we traverse only interior faces
+            traverse(pFace, marked_face_set, alpha);
+            nb_solid_components++;
+          }
       }
     }
   return nb_solid_components;
@@ -1344,8 +1344,8 @@ Alpha_shape_2<Dt,EACT>::number_of_solid_
 template < class Dt, class EACT >
 void
 Alpha_shape_2<Dt,EACT>::traverse(const Face_handle& pFace,
-			    Marked_face_set& marked_face_set, 
-			    const Type_of_alpha alpha) const 
+                            Marked_face_set& marked_face_set,
+                            const Type_of_alpha alpha) const
 {
   typedef typename Marked_face_set::Data Data;
   std::list<Face_handle> faces;
@@ -1357,15 +1357,15 @@ Alpha_shape_2<Dt,EACT>::traverse(const F
     faces.pop_front();
     for (int i=0; i<3; i++)
       {
-	pNeighbor = fh->neighbor(i);
-	 CGAL_triangulation_assertion(pNeighbor != nullptr);
-	if (classify(pNeighbor, alpha) == INTERIOR){
-	  Data& data = marked_face_set[pNeighbor];
-	  if(data == false){
-	    data = true;
-	    faces.push_back(pNeighbor);
-	  }
-	}
+        pNeighbor = fh->neighbor(i);
+         CGAL_triangulation_assertion(pNeighbor != nullptr);
+        if (classify(pNeighbor, alpha) == INTERIOR){
+          Data& data = marked_face_set[pNeighbor];
+          if(data == false){
+            data = true;
+            faces.push_back(pNeighbor);
+          }
+        }
       }
   }
 }
@@ -1374,55 +1374,55 @@ Alpha_shape_2<Dt,EACT>::traverse(const F
 
 template < class Dt, class EACT >
 typename Alpha_shape_2<Dt,EACT>::Alpha_iterator
-Alpha_shape_2<Dt,EACT>::find_optimal_alpha(size_type nb_components) 
+Alpha_shape_2<Dt,EACT>::find_optimal_alpha(size_type nb_components)
 {
   // find the minimum alpha that satisfies the properties
   // (1) nb_components solid components
   // (2) all data points on the boundary or in its interior
   Type_of_alpha alpha = find_alpha_solid();
   // from this alpha on the alpha_solid satisfies property (2)
-  
+
   Alpha_iterator first = alpha_lower_bound(alpha);
 
-  if (number_of_solid_components(alpha) == nb_components) 
+  if (number_of_solid_components(alpha) == nb_components)
     {
       if ((first+1) < alpha_end())
-	return (first+1);
+        return (first+1);
       else
-	return first;
+        return first;
     }
 
   // do binary search on the alpha values
-  // number_of_solid_components() is a monotone function 
+  // number_of_solid_components() is a monotone function
   // if we start with find_alpha_solid
-  
+
   Alpha_iterator last = alpha_end();
   Alpha_iterator middle;
-  
+
   std::ptrdiff_t len = last - first - 1;
   std::ptrdiff_t half;
 
-  while (len > 0) 
+  while (len > 0)
     {
       half = len / 2;
       middle = first + half;
 
 #ifdef CGAL_DEBUG_ALPHA_SHAPE_2
       std::cout << "first : " << *first << " last : " << *(first+len)
-		<< " mid : " << *middle 
-		<< " nb comps : " << number_of_solid_components(*middle) 
-		<< std::endl;
+                << " mid : " << *middle
+                << " nb comps : " << number_of_solid_components(*middle)
+                << std::endl;
 #endif // CGAL_DEBUG_ALPHA_SHAPE_2
 
-      if (number_of_solid_components(*middle) > nb_components) 
-	{
-	  first = middle + 1;
-	  len = len - half - 1; 
-	} 
-      else 
-	{ // number_of_solid_components(*middle) <= nb_components
-	  len = half;
-	}
+      if (number_of_solid_components(*middle) > nb_components)
+        {
+          first = middle + 1;
+          len = len - half - 1;
+        }
+      else
+        { // number_of_solid_components(*middle) <= nb_components
+          len = half;
+        }
     }
   if ((first+1) < alpha_end())
     return (first+1);
@@ -1433,35 +1433,35 @@ Alpha_shape_2<Dt,EACT>::find_optimal_alp
 //-------------------------------------------------------------------------
 
 template < class Dt, class EACT >
-typename Alpha_shape_2<Dt,EACT>::Type_of_alpha 
-Alpha_shape_2<Dt,EACT>::find_alpha_solid() const 
+typename Alpha_shape_2<Dt,EACT>::Type_of_alpha
+Alpha_shape_2<Dt,EACT>::find_alpha_solid() const
 {
-  // compute the minumum alpha such that all data points 
+  // compute the minumum alpha such that all data points
   // are either on the boundary or in the interior
   // not necessarily connected
-  // starting point for searching 
+  // starting point for searching
   // takes O(#alpha_shape) time
   Type_of_alpha alpha_solid = 0;
-  
+
   if (number_of_vertices()<3) return alpha_solid;
 
   Finite_vertices_iterator vertex_it;
   // only finite vertices
-  for( vertex_it = finite_vertices_begin(); 
+  for( vertex_it = finite_vertices_begin();
        vertex_it != finite_vertices_end();
-       ++vertex_it) 
+       ++vertex_it)
     {
       Type_of_alpha alpha_min_v = (--_interval_face_map.end())->first;
 
       Face_circulator face_circ = this->incident_faces(vertex_it);
       Face_circulator  done = face_circ;
-      do 
-	{
-	  Face_handle f = face_circ;
-	  if (! is_infinite(f))
-	    alpha_min_v = (CGAL::min)(find_interval(f),
+      do
+        {
+          Face_handle f = face_circ;
+          if (! is_infinite(f))
+            alpha_min_v = (CGAL::min)(find_interval(f),
                                       alpha_min_v);
-	}
+        }
       while (++face_circ != done);
       alpha_solid = (CGAL::max)(alpha_min_v, alpha_solid);
 
@@ -1472,7 +1472,7 @@ Alpha_shape_2<Dt,EACT>::find_alpha_solid
 //-------------------------------------------------------------------------
 
 template < class Dt, class EACT >
-std::ostream& 
+std::ostream&
 Alpha_shape_2<Dt,EACT>::op_ostream(std::ostream& os) const
 {
   typedef typename Alpha_shape_2<Dt,EACT>::Interval_vertex_map Interval_vertex_map ;
@@ -1695,7 +1695,7 @@ Alpha_shape_2<Dt,EACT>::op_ostream(std::
 //-------------------------------------------------------------------
 
 template < class Dt, class EACT >
-std::ostream& 
+std::ostream&
 operator<<(std::ostream& os, const Alpha_shape_2<Dt>& A)
 {
   return A.op_ostream(os);
@@ -1705,7 +1705,7 @@ operator<<(std::ostream& os, const Alpha
 
 template < class Dt, class EACT >
 std::list<typename Alpha_shape_2<Dt,EACT>::Point_2>
-Alpha_shape_2<Dt,EACT>::Output () 
+Alpha_shape_2<Dt,EACT>::Output ()
 {
   typename Interval_edge_map::const_iterator edge_alpha_it;
 
@@ -1830,7 +1830,7 @@ void Alpha_shape_2<Dt,EACT>::print_edge_
     Edge edge = (*iemapit).second;
     Point p1 = point(edge.first, cw(edge.second));
     Point p2 = point(edge.first, ccw(edge.second));
-    std::cout << "[ (" <<	p1 << ") - (" << p2 << ") ] :            "
+    std::cout << "[ (" <<        p1 << ") - (" << p2 << ") ] :            "
               << interval.first << " "
               << interval.second << " " << interval.third << std::endl;
   }
diff -pruN 5.0.2-3/include/CGAL/Alpha_shape_3.h 5.0.3-1/include/CGAL/Alpha_shape_3.h
--- 5.0.2-3/include/CGAL/Alpha_shape_3.h	2020-02-21 20:02:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Alpha_shape_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Alpha_shapes_3/include/CGAL/Alpha_shape_3.h $
-// $Id: Alpha_shape_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Alpha_shapes_3/include/CGAL/Alpha_shape_3.h $
+// $Id: Alpha_shape_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Tran Kai Frank DA <Frank.Da@sophia.inria.fr>
@@ -58,32 +58,32 @@ class Alpha_shape_3 : public Dt
   // in case of weighted points) empty of other points
   // (or suborthogonal to other sites in case of weighted points)
   // with squared radius equal or less than alpha
- 
+
   // The alpha_shapes comes in two versions : GENERAL or REGULARIZED
   // where the REGULARIZED version is onbtaining by restricting the
   // alpha complex ti is pure 3D component.
 
   // The cells of the triangulation are classified as INTERIOR
-  // or EXTERIOR according to the value alpha_cell of their circumsphere 
+  // or EXTERIOR according to the value alpha_cell of their circumsphere
   // squared radius compared to alpha.
 
   // In GENERAL mode each k-dimensional simplex of the triangulation
-  // for (k=0,1,2) 
+  // for (k=0,1,2)
   // can be classified as EXTERIOR, SINGULAR, REGULAR
   // or INTERIOR with respect to the alpha shape.
   // In GENERAL mode a $k$ simplex is REGULAR if it is on the boundary
   // of the alpha_complex and belongs to a $k+1$ simplex in the complex
   // and it is SINGULAR simplex if it is  a boundary simplex tht is not
   // included in a $k+1$ simplex of the complex.
-  
+
   // In REGULARIZED mode each k-dimensional simplex of the triangulation
-  // for (k=0,1,2) 
+  // for (k=0,1,2)
   // can be classified as EXTERIOR, REGULAR
   // or INTERIOR with respect to the alpha shape.
   // A $k$ simplex is REGULAR if it is on the boundary of alpha complex
   // and belong to a tetrahedral cell of the complex.
 
-  // Roughly, the Alpha_shapes data structure computes and stores, 
+  // Roughly, the Alpha_shapes data structure computes and stores,
   // for each simplex
   // the at most three critical value (alpha_min, alpha_mid and alpha_max)
   // which compared to the actual alpha value
@@ -116,7 +116,7 @@ public:
   CGAL_static_assertion( (boost::is_same<NT,typename Dt::Vertex::Alpha_status::NT>::value) );
 
   typedef typename Dt::Point Point;
-  
+
   typedef typename Dt::Cell_handle Cell_handle;
   typedef typename Dt::Vertex_handle Vertex_handle;
   typedef typename Dt::Facet Facet;
@@ -173,9 +173,9 @@ public:
 
   typedef CGAL::Alpha_status< NT >          Alpha_status;
   typedef Compact_container<Alpha_status>   Alpha_status_container;
-  typedef typename Alpha_status_container::const_iterator 
+  typedef typename Alpha_status_container::const_iterator
                                             Alpha_status_const_iterator;
-  typedef typename Alpha_status_container::iterator 
+  typedef typename Alpha_status_container::iterator
                                             Alpha_status_iterator;
   typedef std::vector< NT >                 Alpha_spectrum;
 
@@ -187,11 +187,11 @@ public:
   typedef std::pair<Vertex_handle, Vertex_handle> Vertex_handle_pair;
   typedef std::map<Vertex_handle_pair,Alpha_status_iterator> Edge_alpha_map;
 
-  typedef typename std::list< Vertex_handle >::iterator 
+  typedef typename std::list< Vertex_handle >::iterator
                                             Alpha_shape_vertices_iterator;
   typedef typename std::list< Facet >::iterator
                                             Alpha_shape_facets_iterator;
-  
+
   //test if a cell is exterior to the alphashape
   class Exterior_cell_test{
     const Alpha_shape_3 * _as;
@@ -238,45 +238,45 @@ private:
 
   //------------------------- CONSTRUCTORS ------------------------------
 public:
-  // Introduces an empty alpha-shape `A' for a 
-  // alpha-value `alpha'. 
-  Alpha_shape_3(NT alpha = 0, 
-		Mode m = REGULARIZED)
-    : _alpha(alpha), _mode(m), 
+  // Introduces an empty alpha-shape `A' for a
+  // alpha-value `alpha'.
+  Alpha_shape_3(NT alpha = 0,
+                Mode m = REGULARIZED)
+    : _alpha(alpha), _mode(m),
       use_vertex_cache(false), use_facet_cache(false)
     {}
 
   Alpha_shape_3(Dt& dt, NT alpha = 0, Mode m = REGULARIZED)
-    :_alpha(alpha), _mode(m), 
+    :_alpha(alpha), _mode(m),
     use_vertex_cache(false), use_facet_cache(false)
     {
       Dt::swap(dt);
       if (dimension() == 3) initialize_alpha();
     }
- 
+
   // Introduces an alpha-shape `A' for the alpha-value
   // `alpha' that is initialized with the points in the range
   // from first to last
 
-  template < class InputIterator >  
-  Alpha_shape_3(const InputIterator& first,  
-		const InputIterator& last,  
-		const NT& alpha = 0,
-		Mode m = REGULARIZED)
-    : _alpha(alpha), _mode(m), 
+  template < class InputIterator >
+  Alpha_shape_3(const InputIterator& first,
+                const InputIterator& last,
+                const NT& alpha = 0,
+                Mode m = REGULARIZED)
+    : _alpha(alpha), _mode(m),
     use_vertex_cache(false), use_facet_cache(false)
     {
       Dt::insert(first, last);
-      if (dimension() == 3)	  initialize_alpha();
+      if (dimension() == 3)          initialize_alpha();
     }
- 
+
 public:
 
   //----------------------- OPERATIONS ---------------------------------
 
 
-  template < class InputIterator >  
-  std::ptrdiff_t make_alpha_shape(const InputIterator& first, 
+  template < class InputIterator >
+  std::ptrdiff_t make_alpha_shape(const InputIterator& first,
                                   const InputIterator& last)
     {
       clear();
@@ -287,7 +287,7 @@ public:
       return n;
     }
 
-  // Introduces an alpha-shape `A' 
+  // Introduces an alpha-shape `A'
   // that is initialized with the points in the range
   // from first to last
 
@@ -324,30 +324,30 @@ private :
 
  // the version to be used with Tag_true is templated to avoid
  // instanciation through explicit instantiation of the whole class
-  void set_alpha_min_of_vertices(Tag_false) 
-  { 
-    for( Finite_vertices_iterator vit = finite_vertices_begin(); 
-	 vit != finite_vertices_end();  ++vit){
+  void set_alpha_min_of_vertices(Tag_false)
+  {
+    for( Finite_vertices_iterator vit = finite_vertices_begin();
+         vit != finite_vertices_end();  ++vit){
       Alpha_status* as = vit->get_alpha_status();
-      as->set_is_Gabriel(true);  
+      as->set_is_Gabriel(true);
       as->set_alpha_min(NT(0));
     }
-    // insert a single vertex into the map because they all have the 
+    // insert a single vertex into the map because they all have the
     // same alpha_min value
     alpha_min_vertex_map.insert(typename Alpha_vertex_map::value_type
-				( NT(0), finite_vertices_begin()));
+                                ( NT(0), finite_vertices_begin()));
   }
   template <class Tag>
-  void set_alpha_min_of_vertices(Tag) 
+  void set_alpha_min_of_vertices(Tag)
   {
-    for( Finite_vertices_iterator vit = finite_vertices_begin(); 
-	 vit != finite_vertices_end();  ++vit) {
+    for( Finite_vertices_iterator vit = finite_vertices_begin();
+         vit != finite_vertices_end();  ++vit) {
       if (is_Gabriel(vit)) {
-	Alpha_status* as = vit->get_alpha_status();
-	as->set_is_Gabriel(true);  
-	as->set_alpha_min(squared_radius(vit));      
-	alpha_min_vertex_map.insert(typename Alpha_vertex_map::value_type
-				    (as->alpha_min(),vit));
+        Alpha_status* as = vit->get_alpha_status();
+        as->set_is_Gabriel(true);
+        as->set_alpha_min(squared_radius(vit));
+        alpha_min_vertex_map.insert(typename Alpha_vertex_map::value_type
+                                    (as->alpha_min(),vit));
       }
     }
     return;
@@ -369,7 +369,7 @@ public:
       alpha_min_facet_map.clear();
       alpha_min_edge_map.clear();
       alpha_min_vertex_map.clear();
-   
+
       alpha_spectrum.clear();
 
       alpha_shape_vertices_list.clear();
@@ -399,17 +399,17 @@ public:
     {
       return _alpha;
     }
-  
+
 
   const NT&  get_nth_alpha(int n) const
     // Returns the n-th alpha-value.
     // n < size()
     {
-      CGAL_triangulation_assertion( n > 0 && 
-		      n <= static_cast<int>(alpha_spectrum.size()) );
+      CGAL_triangulation_assertion( n > 0 &&
+                      n <= static_cast<int>(alpha_spectrum.size()) );
       return alpha_spectrum[n-1];
     }
-  
+
   size_type number_of_alphas() const
     // Returns the number of different alpha-values
     {
@@ -419,8 +419,8 @@ public:
   const Edge_alpha_map* get_edge_alpha_map() const
   {
      return  &edge_alpha_map;
-  }    
-    
+  }
+
   //---------------------------------------------------------------------
 
 private:
@@ -451,9 +451,9 @@ public:
       Mode previous_mode = _mode;
       _mode = mode;
       if (previous_mode != _mode) {
-	initialize_alpha(true);
-	use_vertex_cache = false;
-	use_facet_cache = false;
+        initialize_alpha(true);
+        use_vertex_cache = false;
+        use_facet_cache = false;
       }
       return previous_mode;
     }
@@ -468,7 +468,7 @@ public:
 private:
 
   void  update_alpha_shape_vertex_list() const;
-  void  update_alpha_shape_facet_list() const; 
+  void  update_alpha_shape_facet_list() const;
 
   //---------------------------------------------------------------------
 public:
@@ -499,7 +499,7 @@ public:
 
   Alpha_shape_facets_iterator alpha_shape_facets_begin() const
     {
-      if(! use_facet_cache)	update_alpha_shape_facet_list();
+      if(! use_facet_cache)        update_alpha_shape_facet_list();
       return alpha_shape_facets_list.begin();
     }
 
@@ -520,24 +520,24 @@ public:
       return alpha_shape_facets_end();
     }
 
-  Alpha_shape_cells_iterator alpha_shape_cells_begin() const 
+  Alpha_shape_cells_iterator alpha_shape_cells_begin() const
     {
       return CGAL::filter_iterator(finite_cells_end(),
-			           Exterior_cell_test(this),
-			           finite_cells_begin());
+                                   Exterior_cell_test(this),
+                                   finite_cells_begin());
     }
-  
+
   Alpha_shape_cells_iterator alpha_shape_cells_end() const
     {
       return CGAL::filter_iterator(finite_cells_end(),
-			           Exterior_cell_test(this));
+                                   Exterior_cell_test(this));
     }
 
 
-public: 
-  
+public:
+
   // Traversal of the alpha-Values
-  // 
+  //
   // The alpha shape class defines an iterator that allows to
   // visit the sorted sequence of alpha-values. This iterator is
   // non-mutable and bidirectional. Its value type is NT.
@@ -551,8 +551,8 @@ public:
     // element is not found.
     {
       return std::find(alpha_spectrum.begin(),
-		       alpha_spectrum.end(),
-		       alpha);
+                       alpha_spectrum.end(),
+                       alpha);
     }
 
   Alpha_iterator alpha_lower_bound(const NT& alpha) const
@@ -560,8 +560,8 @@ public:
     // alpha-value not less than `alpha'.
     {
       return std::lower_bound(alpha_spectrum.begin(),
-			      alpha_spectrum.end(),
-			      alpha);
+                              alpha_spectrum.end(),
+                              alpha);
     }
 
   Alpha_iterator alpha_upper_bound(const NT& alpha) const
@@ -569,21 +569,21 @@ public:
     // alpha-value greater than `alpha'.
     {
       return std::upper_bound(alpha_spectrum.begin(),
-			      alpha_spectrum.end(),
-			      alpha);
+                              alpha_spectrum.end(),
+                              alpha);
     }
 
   //--------------------- PREDICATES -----------------------------------
 public:
-  void compute_edge_status( const Cell_handle&  c, 
-			    int i, 
-			    int j, 
-			    Alpha_status& as) const;
+  void compute_edge_status( const Cell_handle&  c,
+                            int i,
+                            int j,
+                            Alpha_status& as) const;
 
   Classification_type classify(const Alpha_status& as, const NT& alpha) const;
   Classification_type classify(const Alpha_status* as, const NT& alpha) const;
-  Classification_type classify(const Alpha_status_const_iterator as, 
-			       const NT& alpha) const;
+  Classification_type classify(const Alpha_status_const_iterator as,
+                               const NT& alpha) const;
 
 public:
 
@@ -592,26 +592,26 @@ public:
       return classify(p, get_alpha());
     }
 
-  
-  Classification_type  classify(const Point& p,   
-				const NT& alpha) const
+
+  Classification_type  classify(const Point& p,
+                                const NT& alpha) const
     // Classifies a point `p' with respect to `A'.
     {
       Locate_type type;
       int i, j;
       Cell_handle pCell = locate(p, type, i, j);
       switch (type)
-	{
-	case VERTEX            : return classify(pCell->vertex(i), alpha);
-	case EDGE              : return classify(pCell, i, j, alpha);
-	case FACET             : return classify(pCell, i, alpha);
-	case CELL              : return classify(pCell, alpha);
-	case OUTSIDE_CONVEX_HULL : return EXTERIOR;
-	case OUTSIDE_AFFINE_HULL : return EXTERIOR;
-	default                : return EXTERIOR;
-	};
+        {
+        case VERTEX            : return classify(pCell->vertex(i), alpha);
+        case EDGE              : return classify(pCell, i, j, alpha);
+        case FACET             : return classify(pCell, i, alpha);
+        case CELL              : return classify(pCell, alpha);
+        case OUTSIDE_CONVEX_HULL : return EXTERIOR;
+        case OUTSIDE_AFFINE_HULL : return EXTERIOR;
+        default                : return EXTERIOR;
+        };
     }
- 
+
   //---------------------------------------------------------------------
 
   Classification_type  classify(const Cell_handle& s) const
@@ -620,9 +620,9 @@ public:
     {
       return classify(s, get_alpha());
     }
-  
-  Classification_type  classify(const Cell_handle& s, 
-				const NT& alpha) const
+
+  Classification_type  classify(const Cell_handle& s,
+                                const NT& alpha) const
     // Classifies the cell `f' of the underlying Delaunay
     // tetrahedralization with respect to `A'.
       // s->radius == alpha => f interior
@@ -632,57 +632,57 @@ public:
     }
 
   //---------------------------------------------------------------------
- 
+
   Classification_type  classify(const Facet& f) const
-    {  
+    {
       return classify(f.first, f.second, get_alpha());
     }
 
-  
-  Classification_type  classify(const Cell_handle& s, 	int i) const
-    {  
+
+  Classification_type  classify(const Cell_handle& s,         int i) const
+    {
       return classify(s, i, get_alpha());
     }
 
-  Classification_type  classify(const Facet& f,	const NT& alpha) const
-    {  
+  Classification_type  classify(const Facet& f,        const NT& alpha) const
+    {
       return classify(f.first, f.second, alpha);
     }
 
-  Classification_type  classify(const Cell_handle& s, 
-				int i,
-				const NT& alpha) const;
+  Classification_type  classify(const Cell_handle& s,
+                                int i,
+                                const NT& alpha) const;
   // Classifies the face `f' of the underlying Delaunay
   // tetrahedralization with respect to `A'.
 
   //---------------------------------------------------------------------
 
   Classification_type  classify(const Edge& e) const
-    {  
+    {
       return classify(e.first, e.second, e.third, get_alpha());
     }
 
-  
-  Classification_type  classify(const Cell_handle& s, 
-				int i,
- 				int j) const
-    {  
+
+  Classification_type  classify(const Cell_handle& s,
+                                int i,
+                                 int j) const
+    {
       return classify(s, i, j, get_alpha());
     }
 
   Classification_type  classify(const Edge& e,
-				const NT& alpha ) const
-    {  
+                                const NT& alpha ) const
+    {
       return classify(e.first, e.second, e.third, alpha);
     }
 
-  Classification_type  classify(const Cell_handle& s, 
-				int i,
-				int j,
-				const NT& alpha) const;
+  Classification_type  classify(const Cell_handle& s,
+                                int i,
+                                int j,
+                                const NT& alpha) const;
   // Classifies the edge `e' of the underlying Delaunay
   // tetrahedralization with respect to `A'.
-  
+
 
   //---------------------------------------------------------------------
 
@@ -692,7 +692,7 @@ public:
     }
 
   Classification_type  classify(const Vertex_handle& v,
-				const NT& alpha) const;
+                                const NT& alpha) const;
   // Classifies the vertex `v' of the underlying Delaunay
   // tetrahedralization with respect to `A'.
 
@@ -718,16 +718,16 @@ public:
 
   size_type
   number_of_solid_components(const NT& alpha) const;
-  // Determine the number of connected solid components 
+  // Determine the number of connected solid components
   // takes time O(#alpha_shape) amortized if STL_HASH_TABLES
   //            O(#alpha_shape log n) otherwise
 
 private:
 
   void traverse(Cell_handle pCell,
-		Marked_cell_set& marked_cell_set, 
-		const NT alpha) const;
- 
+                Marked_cell_set& marked_cell_set,
+                const NT alpha) const;
+
   //----------------------------------------------------------------------
 
 public:
@@ -737,12 +737,12 @@ public:
   // (1) all data points are on the boundary of some 3d component
   //    or in its interior
   // (2) the nb of solid components is equal or less than nb_component
-  
+
   NT find_alpha_solid() const;
-  // compute the minumum alpha such that all data points 
+  // compute the minumum alpha such that all data points
   // are either on the boundary or in the interior
   // not necessarily connected
-  // starting point for searching 
+  // starting point for searching
   // takes O(#alpha_shape) time
 
   //------------------- GEOMETRIC PRIMITIVES ----------------------------
@@ -774,7 +774,7 @@ private:
   }
 
   NT squared_radius(const Vertex_handle& v) const {
-    return  Compute_squared_radius_3()(*this)(v->point()); 
+    return  Compute_squared_radius_3()(*this)(v->point());
   }
 
   //---------------------------------------------------------------------
@@ -785,7 +785,7 @@ private:
   void operator=(const Alpha_shape_3&);
 
   //---------------------------------------------------------------------
-public:  
+public:
 #ifdef CGAL_USE_GEOMVIEW
   void show_triangulation_edges(Geomview_stream &gv) const;
   void show_alpha_shape_faces(Geomview_stream &gv) const;
@@ -793,19 +793,19 @@ public:
 
 
   // to Debug
-  void print_maps() const; 
+  void print_maps() const;
   void print_alphas() const;
   void print_alpha_status( const Alpha_status& as) const;
-  
+
 
   // To extract the alpha_shape faces for a given alpha value
 
 
 
   template<class OutputIterator>
-  OutputIterator get_alpha_shape_cells(OutputIterator it, 
-				       Classification_type type,
-				       const NT& alpha) const
+  OutputIterator get_alpha_shape_cells(OutputIterator it,
+                                       Classification_type type,
+                                       const NT& alpha) const
   {
     Finite_cells_iterator cit = finite_cells_begin();
     for( ; cit != finite_cells_end() ; ++cit){
@@ -815,9 +815,9 @@ public:
   }
 
   template<class OutputIterator>
-  OutputIterator get_alpha_shape_facets(OutputIterator it, 
-					Classification_type type,
-					const NT& alpha) const
+  OutputIterator get_alpha_shape_facets(OutputIterator it,
+                                        Classification_type type,
+                                        const NT& alpha) const
   {
     Finite_facets_iterator fit = finite_facets_begin();
     for( ; fit != finite_facets_end() ; ++fit){
@@ -827,9 +827,9 @@ public:
   }
 
   template<class OutputIterator>
-  OutputIterator get_alpha_shape_edges(OutputIterator it, 
-				       Classification_type type,
-				       const NT& alpha) const
+  OutputIterator get_alpha_shape_edges(OutputIterator it,
+                                       Classification_type type,
+                                       const NT& alpha) const
   {
     Finite_edges_iterator eit = finite_edges_begin();
     for( ; eit != finite_edges_end() ; ++eit){
@@ -839,9 +839,9 @@ public:
   }
 
   template<class OutputIterator>
-   OutputIterator get_alpha_shape_vertices(OutputIterator it, 
-					   Classification_type type,
-					   const NT& alpha) const
+   OutputIterator get_alpha_shape_vertices(OutputIterator it,
+                                           Classification_type type,
+                                           const NT& alpha) const
   {
     Finite_vertices_iterator vit = finite_vertices_begin();
     for( ; vit != finite_vertices_end() ; ++vit){
@@ -863,38 +863,38 @@ public:
   }
 
   template<class OutputIterator>
-  OutputIterator get_alpha_shape_cells(OutputIterator it, 
-				       Classification_type type) const
+  OutputIterator get_alpha_shape_cells(OutputIterator it,
+                                       Classification_type type) const
   { return get_alpha_shape_cells(it, type, get_alpha());}
 
   template<class OutputIterator>
-  OutputIterator get_alpha_shape_facets(OutputIterator it, 
-				       Classification_type type) const
+  OutputIterator get_alpha_shape_facets(OutputIterator it,
+                                       Classification_type type) const
   { return get_alpha_shape_facets(it, type, get_alpha());}
 
   template<class OutputIterator>
-  OutputIterator get_alpha_shape_edges(OutputIterator it, 
-				       Classification_type type) const
+  OutputIterator get_alpha_shape_edges(OutputIterator it,
+                                       Classification_type type) const
   { return get_alpha_shape_edges(it, type, get_alpha());}
 
   template<class OutputIterator>
-  OutputIterator get_alpha_shape_vertices(OutputIterator it, 
-				       Classification_type type) const
+  OutputIterator get_alpha_shape_vertices(OutputIterator it,
+                                       Classification_type type) const
   { return get_alpha_shape_vertices(it, type, get_alpha());}
 
-   template<class OutputIterator> 
+   template<class OutputIterator>
    OutputIterator filtration_with_alpha_values(OutputIterator it)  const
-   // scan  the  alpha_cell_map, alpha_min_facet_map,  alpha_min_edge_map  
-   // and alpha_min_vertex in GENERAL mode 
-   // only alpha_cell_map in REGULARIZED mode 
-   // and output all the faces in order of alpha value of their appearing 
-   // in the alpha complexe 
-   { 
+   // scan  the  alpha_cell_map, alpha_min_facet_map,  alpha_min_edge_map
+   // and alpha_min_vertex in GENERAL mode
+   // only alpha_cell_map in REGULARIZED mode
+   // and output all the faces in order of alpha value of their appearing
+   // in the alpha complexe
+   {
      typename Alpha_cell_map::const_iterator cit ;
      typename Alpha_facet_map::const_iterator fit ;
      typename Alpha_edge_map::const_iterator eit ;
      typename Alpha_vertex_map::const_iterator vit;
-  
+
      if (get_mode() == GENERAL) {
        cit = alpha_cell_map.begin();
        fit = alpha_min_facet_map.begin();
@@ -908,232 +908,232 @@ public:
        vit = alpha_min_vertex_map.end();
      }
 
-     // sets to avoid multiple output of the same face 
-     // as a regular subfaces of different faces 
-     std::set<Facet>  facet_set; 
-     std::set<Vertex_handle_pair>   edge_set; 
-     std::set<Vertex_handle> vertex_set; 
-     NT alpha_current = 0; 
-
-     while (cit != alpha_cell_map.end()) { 
-
-       if ( vit != alpha_min_vertex_map.end()  
- 	   && (eit == alpha_min_edge_map.end() || (vit->first <= eit->first)) 
- 	   && (fit == alpha_min_facet_map.end()|| (vit->first <= fit->first)) 
- 	   && (cit == alpha_cell_map.end()     || (vit->first <= cit->first))) 
- 	{ 
- 	  //advance on vit 
- 	  filtration_set_management(vit, alpha_current, 
- 				    facet_set, edge_set, vertex_set); 
- 	  filtration_output(vit->first, vit->second, it); 
- 	  vit++; 
- 	} 
-
-       if ( eit != alpha_min_edge_map.end()  
- 	 && ( fit == alpha_min_facet_map.end() || (eit->first <= fit->first) ) 
- 	 && ( cit == alpha_cell_map.end()      || (eit->first <= cit->first) ) 
- 	 && ( vit == alpha_min_vertex_map.end()|| (vit->first >  eit->first) ) 
- 	 ) {      //advance on eit 
-	 filtration_set_management(eit, alpha_current, 
- 				    facet_set, edge_set, vertex_set); 
- 	filtration_output(eit->first, eit->second, it, vertex_set); 
- 	eit++; 
-       } 
-
-       if ( fit != alpha_min_facet_map.end()  
- 	 && (cit == alpha_cell_map.end()      || (fit->first <= cit->first)) 
- 	 && (eit == alpha_min_edge_map.end()  || (eit->first >  fit->first))  
- 	 && (vit == alpha_min_vertex_map.end()|| (vit->first >  fit->first)) 
- 	 ) {      //advance on fit 
-	 filtration_set_management(fit, alpha_current, 
- 				  facet_set, edge_set, vertex_set); 
-	 filtration_output(fit->first, fit->second, it,  
-			   edge_set, vertex_set); 
- 	fit++; 
-       } 
-
-       if ( cit != alpha_cell_map.end()  
- 	 && (fit == alpha_min_facet_map.end() || (fit->first > cit->first) ) 
- 	 && (eit == alpha_min_edge_map.end()  || (eit->first > cit->first) ) 
- 	 && (vit == alpha_min_vertex_map.end()|| (vit->first > cit->first) ) 
- 	 ) {      //advance on cit 
-	 filtration_set_management(cit, alpha_current, 
- 				    facet_set, edge_set, vertex_set); 
-	 filtration_output(cit->first, cit->second, it,
-			   facet_set, edge_set, vertex_set); 
- 	cit++; 
-       } 
-     } 
-     return it; 
-   } 
+     // sets to avoid multiple output of the same face
+     // as a regular subfaces of different faces
+     std::set<Facet>  facet_set;
+     std::set<Vertex_handle_pair>   edge_set;
+     std::set<Vertex_handle> vertex_set;
+     NT alpha_current = 0;
+
+     while (cit != alpha_cell_map.end()) {
+
+       if ( vit != alpha_min_vertex_map.end()
+            && (eit == alpha_min_edge_map.end() || (vit->first <= eit->first))
+            && (fit == alpha_min_facet_map.end()|| (vit->first <= fit->first))
+            && (cit == alpha_cell_map.end()     || (vit->first <= cit->first)))
+         {
+           //advance on vit
+           filtration_set_management(vit, alpha_current,
+                                     facet_set, edge_set, vertex_set);
+           filtration_output(vit->first, vit->second, it);
+           vit++;
+         }
+
+       if ( eit != alpha_min_edge_map.end()
+          && ( fit == alpha_min_facet_map.end() || (eit->first <= fit->first) )
+          && ( cit == alpha_cell_map.end()      || (eit->first <= cit->first) )
+          && ( vit == alpha_min_vertex_map.end()|| (vit->first >  eit->first) )
+          ) {      //advance on eit
+         filtration_set_management(eit, alpha_current,
+                                     facet_set, edge_set, vertex_set);
+         filtration_output(eit->first, eit->second, it, vertex_set);
+         eit++;
+       }
+
+       if ( fit != alpha_min_facet_map.end()
+          && (cit == alpha_cell_map.end()      || (fit->first <= cit->first))
+          && (eit == alpha_min_edge_map.end()  || (eit->first >  fit->first))
+          && (vit == alpha_min_vertex_map.end()|| (vit->first >  fit->first))
+          ) {      //advance on fit
+         filtration_set_management(fit, alpha_current,
+                                   facet_set, edge_set, vertex_set);
+         filtration_output(fit->first, fit->second, it,
+                           edge_set, vertex_set);
+         fit++;
+       }
+
+       if ( cit != alpha_cell_map.end()
+          && (fit == alpha_min_facet_map.end() || (fit->first > cit->first) )
+          && (eit == alpha_min_edge_map.end()  || (eit->first > cit->first) )
+          && (vit == alpha_min_vertex_map.end()|| (vit->first > cit->first) )
+          ) {      //advance on cit
+         filtration_set_management(cit, alpha_current,
+                                     facet_set, edge_set, vertex_set);
+         filtration_output(cit->first, cit->second, it,
+                           facet_set, edge_set, vertex_set);
+         cit++;
+       }
+     }
+     return it;
+   }
 
-   template<class OutputIterator> 
+   template<class OutputIterator>
    OutputIterator filtration(OutputIterator it)  const
    {
       Dispatch_or_drop_output_iterator<std::tuple<CGAL::Object>, std::tuple<OutputIterator> > out(it);
       return std::template get<0>( filtration_with_alpha_values(out) );
    }
 
-  private: 
+  private:
 
-   template<class Alpha_face_iterator> 
-   void 
-     filtration_set_management ( Alpha_face_iterator afit, 
- 				NT& alpha_current, 
- 				std::set<Facet>&  facet_set, 
- 				std::set<Vertex_handle_pair>&   edge_set, 
- 				std::set<Vertex_handle>& vertex_set)  const
-   { 
-     if (afit->first != alpha_current) { //new alpha_value 
-       alpha_current = afit->first; 
-       facet_set.clear(); 
-       edge_set.clear(); 
-       vertex_set.clear(); 
-     } 
-     return; 
-   } 
+   template<class Alpha_face_iterator>
+   void
+     filtration_set_management ( Alpha_face_iterator afit,
+                                 NT& alpha_current,
+                                 std::set<Facet>&  facet_set,
+                                 std::set<Vertex_handle_pair>&   edge_set,
+                                 std::set<Vertex_handle>& vertex_set)  const
+   {
+     if (afit->first != alpha_current) { //new alpha_value
+       alpha_current = afit->first;
+       facet_set.clear();
+       edge_set.clear();
+       vertex_set.clear();
+     }
+     return;
+   }
 
-   template<class OutputIterator> 
-   OutputIterator   
+   template<class OutputIterator>
+   OutputIterator
    filtration_output( const NT & alpha,
- 		     Vertex_handle vh,  
- 		     OutputIterator it,  
- 		     Tag_true)   const 
-   { 
-     *it++ = make_object(vh); 
+                      Vertex_handle vh,
+                      OutputIterator it,
+                      Tag_true)   const
+   {
+     *it++ = make_object(vh);
      *it++ = alpha;
-     //std::cerr << "filtration " << alpha << " \t  VERTEX " << std::endl; 
-     return it; 
-   } 
+     //std::cerr << "filtration " << alpha << " \t  VERTEX " << std::endl;
+     return it;
+   }
 
-   template<class OutputIterator> 
-   OutputIterator   
+   template<class OutputIterator>
+   OutputIterator
    filtration_output( const NT& alpha,
- 		     Vertex_handle vh,  
- 		     OutputIterator it,  
- 		     Tag_false)     const 
-   { 
-     // when Delaunay, the alpha_min_vertex_map contains a single vertex 
-     // because all vertices are Gabriel with the same alpha_min=0 
+                      Vertex_handle vh,
+                      OutputIterator it,
+                      Tag_false)     const
+   {
+     // when Delaunay, the alpha_min_vertex_map contains a single vertex
+     // because all vertices are Gabriel with the same alpha_min=0
      // this affects only the GENERAL mode
      if (get_mode() == GENERAL){
-       Finite_vertices_iterator vit=finite_vertices_begin(); 
-       for( ; vit != finite_vertices_end(); vit++) { 
-	 *it++ = make_object( Vertex_handle(vit)); 
+       Finite_vertices_iterator vit=finite_vertices_begin();
+       for( ; vit != finite_vertices_end(); vit++) {
+         *it++ = make_object( Vertex_handle(vit));
          *it++ = alpha;
-       } 
+       }
      }
      else {
        *it++ = make_object(vh);
        *it++ = alpha;
      }
-     //std::cerr << "filtration " << alpha << " \t  VERTEX " << std::endl; 
-     return it; 
-   } 
-
-   template<class OutputIterator> 
-   OutputIterator   
-   filtration_output( const NT& alpha,  
- 		     Vertex_handle vh,  
- 		     OutputIterator it) const 
-   { 
-     return filtration_output(alpha, vh, it, Weighted_tag()); 
-   } 
-
-
-  template<class OutputIterator> 
-  OutputIterator   
-  filtration_output( const NT& alpha,  
- 		    Edge e,  
- 		    OutputIterator it, 
- 		    std::set<Vertex_handle>& vertex_set) const 
-  { 
-    Vertex_handle vh[] = {e.first->vertex(e.second),  
- 			  e.first->vertex(e.third)}; 
-    for(int i=0; i<2; i++) { 
-      Alpha_status* as = vh[i]->get_alpha_status(); 
-      if ( (get_mode()== REGULARIZED || !as->is_Gabriel())   
- 	  && as->alpha_mid() == alpha  
- 	  && vertex_set.find(vh[i]) == vertex_set.end() ) { 
-        filtration_output( alpha, vh[i], it); 
-        vertex_set.insert(vh[i]); 
-      } 
-    } 
-    *it++ = make_object(e); 
-    *it++ = alpha; 
-    //std::cerr << "filtration " << alpha << " \t EDGE " << std::endl; 
-    return it; 
-  } 
-   
-  template<class OutputIterator> 
-  OutputIterator 
-  filtration_output( const NT& alpha,  
- 		    Facet f,  
- 		    OutputIterator it, 
- 		    std::set<Vertex_handle_pair>& edge_set, 
- 		    std::set<Vertex_handle>& vertex_set ) const 
-  { 
-    Cell_handle c = f.first; 
-    int facet_index = f.second; 
-
-    for(int k=0; k<3; k++) { 
-      int i = vertex_triple_index(facet_index, k ); 
-      int j = vertex_triple_index(facet_index, this->ccw(k)); 
-      Alpha_status as; 
-      Vertex_handle_pair 
- 	 vhp = make_vertex_handle_pair(c->vertex(i),c->vertex(j));
-
-      if (get_mode() == GENERAL) { 
-	as = *(edge_alpha_map.find(vhp)->second); 
-      } 
-      else{ //no edge map in REGULARIZED mode - classify on the fly 
-	compute_edge_status( c, i, j, as); 
-      } 
-     
+     //std::cerr << "filtration " << alpha << " \t  VERTEX " << std::endl;
+     return it;
+   }
+
+   template<class OutputIterator>
+   OutputIterator
+   filtration_output( const NT& alpha,
+                      Vertex_handle vh,
+                      OutputIterator it) const
+   {
+     return filtration_output(alpha, vh, it, Weighted_tag());
+   }
+
+
+  template<class OutputIterator>
+  OutputIterator
+  filtration_output( const NT& alpha,
+                     Edge e,
+                     OutputIterator it,
+                     std::set<Vertex_handle>& vertex_set) const
+  {
+    Vertex_handle vh[] = {e.first->vertex(e.second),
+                           e.first->vertex(e.third)};
+    for(int i=0; i<2; i++) {
+      Alpha_status* as = vh[i]->get_alpha_status();
+      if ( (get_mode()== REGULARIZED || !as->is_Gabriel())
+           && as->alpha_mid() == alpha
+           && vertex_set.find(vh[i]) == vertex_set.end() ) {
+        filtration_output( alpha, vh[i], it);
+        vertex_set.insert(vh[i]);
+      }
+    }
+    *it++ = make_object(e);
+    *it++ = alpha;
+    //std::cerr << "filtration " << alpha << " \t EDGE " << std::endl;
+    return it;
+  }
+
+  template<class OutputIterator>
+  OutputIterator
+  filtration_output( const NT& alpha,
+                     Facet f,
+                     OutputIterator it,
+                     std::set<Vertex_handle_pair>& edge_set,
+                     std::set<Vertex_handle>& vertex_set ) const
+  {
+    Cell_handle c = f.first;
+    int facet_index = f.second;
+
+    for(int k=0; k<3; k++) {
+      int i = vertex_triple_index(facet_index, k );
+      int j = vertex_triple_index(facet_index, this->ccw(k));
+      Alpha_status as;
+      Vertex_handle_pair
+          vhp = make_vertex_handle_pair(c->vertex(i),c->vertex(j));
+
+      if (get_mode() == GENERAL) {
+        as = *(edge_alpha_map.find(vhp)->second);
+      }
+      else{ //no edge map in REGULARIZED mode - classify on the fly
+        compute_edge_status( c, i, j, as);
+      }
+
       if ( (get_mode()== REGULARIZED || !as.is_Gabriel())
-	   && as.alpha_mid() == alpha  
-	   && edge_set.find(vhp)== edge_set.end() ) {
-	filtration_output( alpha, make_triple(c,i,j), it, vertex_set); 
-        edge_set.insert(vhp); 
-      } 
-    } 
-
-    *it++ = make_object(f); 
-    *it++ = alpha; 
-    //std::cerr << "filtration " << alpha << " \t FACET " << std::endl; 
-    return it; 
-  } 
-
-  template<class OutputIterator> 
-  OutputIterator 
-  filtration_output( const NT& alpha,  
- 		    Cell_handle c,  
- 		    OutputIterator it, 
- 		    std::set<Facet>& facet_set, 
- 		    std::set<Vertex_handle_pair>& edge_set, 
- 		    std::set<Vertex_handle>& vertex_set) const 
-  { 
-    for(int i=0; i<4; i++) { 
-      Alpha_status_iterator as = c->get_facet_status(i); 
-      Facet f = std::make_pair(c,i); 
+           && as.alpha_mid() == alpha
+           && edge_set.find(vhp)== edge_set.end() ) {
+        filtration_output( alpha, make_triple(c,i,j), it, vertex_set);
+        edge_set.insert(vhp);
+      }
+    }
+
+    *it++ = make_object(f);
+    *it++ = alpha;
+    //std::cerr << "filtration " << alpha << " \t FACET " << std::endl;
+    return it;
+  }
+
+  template<class OutputIterator>
+  OutputIterator
+  filtration_output( const NT& alpha,
+                     Cell_handle c,
+                     OutputIterator it,
+                     std::set<Facet>& facet_set,
+                     std::set<Vertex_handle_pair>& edge_set,
+                     std::set<Vertex_handle>& vertex_set) const
+  {
+    for(int i=0; i<4; i++) {
+      Alpha_status_iterator as = c->get_facet_status(i);
+      Facet f = std::make_pair(c,i);
       if ((get_mode()== REGULARIZED || !as->is_Gabriel())
-	   && as->alpha_mid() == alpha  
-	   && facet_set.find(f) == facet_set.end() 
-	   && facet_set.find(std::make_pair(c->neighbor(i), 
-					    this->mirror_index(c, i)))
-	      == facet_set.end()) { 
-        filtration_output( alpha, f, it, edge_set, vertex_set); 
-        facet_set.insert(f); 
-      } 
-    } 
+           && as->alpha_mid() == alpha
+           && facet_set.find(f) == facet_set.end()
+           && facet_set.find(std::make_pair(c->neighbor(i),
+                                            this->mirror_index(c, i)))
+              == facet_set.end()) {
+        filtration_output( alpha, f, it, edge_set, vertex_set);
+        facet_set.insert(f);
+      }
+    }
 
     *it++ = make_object(c);
     *it++ = alpha;
-    //std::cerr << "filtration " << alpha << " \t CELL " << std::endl; 
-    return it; 
-  } 
- 
-  
+    //std::cerr << "filtration " << alpha << " \t CELL " << std::endl;
+    return it;
+  }
+
+
 };
 
 
@@ -1144,11 +1144,11 @@ public:
 
 
 //--------------------- INITIALIZATION OF PRIVATE MEMBERS -------------
-  
+
 template <class Dt,class EACT>
-void 
+void
 Alpha_shape_3<Dt,EACT>::initialize_alpha_cell_map()
-{ 
+{
   Finite_cells_iterator cell_it, done = finite_cells_end();
   NT alpha ;
 
@@ -1166,49 +1166,49 @@ Alpha_shape_3<Dt,EACT>::initialize_alpha
 //---------------------------------------------------------------------
 
 template <class Dt,class EACT>
-void 
+void
 Alpha_shape_3<Dt,EACT>::initialize_alpha_facet_maps(bool reinitialize)
 {
-  Finite_facets_iterator fit;  
+  Finite_facets_iterator fit;
   Cell_handle pCell, pNeighbor ;
   int i, iNeigh;
   Alpha_status_iterator as;
 
   if (!reinitialize) {
     NT alpha_max, alpha_mid;
-    for( fit = finite_facets_begin(); 
-	 fit != finite_facets_end(); ++fit)   {
+    for( fit = finite_facets_begin();
+         fit != finite_facets_end(); ++fit)   {
 
       as = alpha_status_container.insert(Alpha_status());
-  
+
       pCell = fit->first;
       i = fit->second;
       pNeighbor = pCell->neighbor(i);
       iNeigh = pNeighbor->index(pCell);
-  
+
       // not on the convex hull
-      if(!is_infinite(pCell) && !is_infinite(pNeighbor))	{ 
-	NT alpha_Cell = pCell->get_alpha();
-	NT alpha_Neighbor = pNeighbor->get_alpha();
-	if ( alpha_Cell < alpha_Neighbor) {
-	  alpha_mid = alpha_Cell;
-	  alpha_max = alpha_Neighbor;
-	}
-	else {
-	  alpha_mid = alpha_Neighbor;
-	  alpha_max = alpha_Cell;
-	}
-	as->set_is_on_chull(false);
-	as->set_alpha_mid(alpha_mid);
-	as->set_alpha_max(alpha_max);
-	//	alpha_mid_facet_map.insert(typename
-	//	                 Alpha_facet_map::value_type(alpha_mid, *fit));
+      if(!is_infinite(pCell) && !is_infinite(pNeighbor))        {
+        NT alpha_Cell = pCell->get_alpha();
+        NT alpha_Neighbor = pNeighbor->get_alpha();
+        if ( alpha_Cell < alpha_Neighbor) {
+          alpha_mid = alpha_Cell;
+          alpha_max = alpha_Neighbor;
+        }
+        else {
+          alpha_mid = alpha_Neighbor;
+          alpha_max = alpha_Cell;
+        }
+        as->set_is_on_chull(false);
+        as->set_alpha_mid(alpha_mid);
+        as->set_alpha_max(alpha_max);
+        //        alpha_mid_facet_map.insert(typename
+        //                         Alpha_facet_map::value_type(alpha_mid, *fit));
       }
       else { // on the convex hull
-	alpha_mid = !is_infinite(pCell) ? pCell->get_alpha() 
-	                                : pNeighbor->get_alpha();
-	as->set_alpha_mid(alpha_mid);
-	as->set_is_on_chull(true);
+        alpha_mid = !is_infinite(pCell) ? pCell->get_alpha()
+                                        : pNeighbor->get_alpha();
+        as->set_alpha_mid(alpha_mid);
+        as->set_is_on_chull(true);
       }
 
       //cross links
@@ -1217,19 +1217,19 @@ Alpha_shape_3<Dt,EACT>::initialize_alpha
     }
   }
 
-  // initialize alpha_min if mode GENERAL 
+  // initialize alpha_min if mode GENERAL
   if(get_mode() == GENERAL &&  alpha_min_facet_map.empty()) {
     //already done if !alpha_min_facet_map.empty()
     NT alpha_min;
-    for( fit = finite_facets_begin(); 
-	 fit != finite_facets_end(); ++fit)   {
+    for( fit = finite_facets_begin();
+         fit != finite_facets_end(); ++fit)   {
       as = fit->first->get_facet_status(fit->second);
       if (is_Gabriel(*fit)) {
-	as->set_is_Gabriel(true);
-	alpha_min = squared_radius(*fit);
-	as->set_alpha_min(alpha_min);
-	alpha_min_facet_map.insert(typename
-		                 Alpha_facet_map::value_type(alpha_min, *fit));
+        as->set_is_Gabriel(true);
+        alpha_min = squared_radius(*fit);
+        as->set_alpha_min(alpha_min);
+        alpha_min_facet_map.insert(typename
+                                 Alpha_facet_map::value_type(alpha_min, *fit));
       }
       else{
         as->set_is_Gabriel(false);
@@ -1241,10 +1241,10 @@ Alpha_shape_3<Dt,EACT>::initialize_alpha
  }
 
 template <class Dt,class EACT>
-void 
+void
 Alpha_shape_3<Dt,EACT>::initialize_alpha_edge_maps(bool )
 {
-  // alpha_status for edges, edge_alpha_map 
+  // alpha_status for edges, edge_alpha_map
   // and alpha_mid_edge and alpha_min_edge
   // are initialized only in GENERAL mode
   if(get_mode() == REGULARIZED) {return;} //no_edge_map in REGULARIZED mode
@@ -1253,33 +1253,33 @@ Alpha_shape_3<Dt,EACT>::initialize_alpha
   Finite_edges_iterator eit;
   Alpha_status_iterator as;
 
-  for (eit = finite_edges_begin(); 
+  for (eit = finite_edges_begin();
        eit != finite_edges_end(); ++eit) {
     as = alpha_status_container.insert(Alpha_status());
     compute_edge_status(eit->first, eit->second, eit->third, *as);
     if ( as->is_Gabriel()) {
       alpha_min_edge_map.insert(typename
-				Alpha_edge_map::value_type(as->alpha_min(),
-							   *eit));
+                                Alpha_edge_map::value_type(as->alpha_min(),
+                                                           *eit));
     }
      //cross links
-    Vertex_handle_pair 
+    Vertex_handle_pair
       vhp = make_vertex_handle_pair( eit->first->vertex(eit->second),
-				     eit->first->vertex(eit->third));
+                                     eit->first->vertex(eit->third));
     edge_alpha_map.insert(std::make_pair(vhp, as));
   }
   return;
 }
 
 template <class Dt,class EACT>
-void 
+void
 Alpha_shape_3<Dt,EACT>::initialize_alpha_vertex_maps(bool reinitialize)
 {
-  //for a vertex 
+  //for a vertex
   // alpha_max =  max of alpha values of incident cells
   // alpha_mid =  min of alpha values of incident cells in REGULAR mode
   //           =  min of alpha values of incidents faces in GENERAL mode
-  // alpha_min = -squared_radius of weighted point, 
+  // alpha_min = -squared_radius of weighted point,
   //              if the vertex is Gabriel set only in GENERAL mode
 
   NT alpha, alpha_mid;
@@ -1287,18 +1287,18 @@ Alpha_shape_3<Dt,EACT>::initialize_alpha
 
   if (reinitialize == false) _alpha_solid = alpha_cell_map.begin()->first;
 
-  for( vit = finite_vertices_begin(); 
-	 vit != finite_vertices_end();	 ++vit) {
+  for( vit = finite_vertices_begin();
+         vit != finite_vertices_end();         ++vit) {
     Alpha_status*  as = vit->get_alpha_status();
 
     if (reinitialize == false) {
-      // set is_on_chull, compute alpha_max 
+      // set is_on_chull, compute alpha_max
       // and alpha_mid (version REGULAR)
       // compute _alpha_solid (max of alpha_mid of vertices in REGULAR mode)
       as->set_is_on_chull(false);
       std::list<Cell_handle> incidents;
       incident_cells(static_cast<Vertex_handle>(vit),
-	             back_inserter(incidents));
+                     back_inserter(incidents));
       typename std::list<Cell_handle>::iterator chit=incidents.begin();
       if (is_infinite(*chit)) as->set_is_on_chull(true);
       while (is_infinite(*chit)) ++chit; //skip infinte cells
@@ -1307,29 +1307,29 @@ Alpha_shape_3<Dt,EACT>::initialize_alpha
       as->set_alpha_max(alpha);
       ++chit;
       for( ; chit != incidents.end(); ++chit) {
-	if (is_infinite(*chit)) as->set_is_on_chull(true);
-	else {
-	  alpha = (*chit)->get_alpha();
-	  if (alpha < as->alpha_mid()) as->set_alpha_mid(alpha);
-	  if (alpha > as->alpha_max()) as->set_alpha_max(alpha);
-	}
+        if (is_infinite(*chit)) as->set_is_on_chull(true);
+        else {
+          alpha = (*chit)->get_alpha();
+          if (alpha < as->alpha_mid()) as->set_alpha_mid(alpha);
+          if (alpha > as->alpha_max()) as->set_alpha_max(alpha);
+        }
       }
       if (as->alpha_mid() > _alpha_solid)  _alpha_solid = as->alpha_mid();
     }
-  
+
     if (get_mode() == GENERAL) { //reset alpha_mid,  set alph_min
       std::list<Vertex_handle> incidentv;
       incident_vertices(static_cast<Vertex_handle>(vit),
-			back_inserter(incidentv));
+                        back_inserter(incidentv));
       typename std::list<Vertex_handle>::iterator vvit=incidentv.begin();
       for( ; vvit != incidentv.end(); ++vvit) {
-	if (!is_infinite(*vvit)) {
-	  Vertex_handle_pair vhp = make_vertex_handle_pair( *vvit, vit);
-	  Alpha_status_iterator asedge = edge_alpha_map[vhp];
-	  alpha_mid = asedge->is_Gabriel() ? asedge->alpha_min()
-	    : asedge->alpha_mid();
-	  if ( alpha_mid < as->alpha_mid()) as->set_alpha_mid(alpha_mid);
-	}
+        if (!is_infinite(*vvit)) {
+          Vertex_handle_pair vhp = make_vertex_handle_pair( *vvit, vit);
+          Alpha_status_iterator asedge = edge_alpha_map[vhp];
+          alpha_mid = asedge->is_Gabriel() ? asedge->alpha_min()
+            : asedge->alpha_mid();
+          if ( alpha_mid < as->alpha_mid()) as->set_alpha_mid(alpha_mid);
+        }
       }
     }
 
@@ -1337,23 +1337,23 @@ Alpha_shape_3<Dt,EACT>::initialize_alpha
       // reset alpha_mid
       std::list<Cell_handle> incidents;
       incident_cells(static_cast<Vertex_handle>(vit),
-		     back_inserter(incidents));
+                     back_inserter(incidents));
       typename std::list<Cell_handle>::iterator chit=incidents.begin();
       while (is_infinite(*chit)) ++chit; //skip infinte cells
       alpha = (*chit)->get_alpha();
       as->set_alpha_mid(alpha);
       for( ; chit != incidents.end(); ++chit) {
-	if (is_infinite(*chit)) as->set_is_on_chull(true);
-	else {
-	  alpha = (*chit)->get_alpha();
-	  if (alpha < as->alpha_mid()) as->set_alpha_mid(alpha);
-	}
+        if (is_infinite(*chit)) as->set_is_on_chull(true);
+        else {
+          alpha = (*chit)->get_alpha();
+          if (alpha < as->alpha_mid()) as->set_alpha_mid(alpha);
+        }
       }
     }
-      
+
   }
- 
-  // set alpha_min in case GENERAL 
+
+  // set alpha_min in case GENERAL
   if (get_mode() == GENERAL && alpha_min_vertex_map.empty()) {
     set_alpha_min_of_vertices(Weighted_tag());
   }
@@ -1365,9 +1365,9 @@ Alpha_shape_3<Dt,EACT>::initialize_alpha
 //---------------------------------------------------------------------
 
 template <class Dt,class EACT>
-void 
+void
 Alpha_shape_3<Dt,EACT>::initialize_alpha_spectrum()
-// merges the alpha values of alpha_cell_map 
+// merges the alpha values of alpha_cell_map
 // and alpha_min_facet_map alpha_min_edge_map alpha_min_vertex in GENERAL mode
 // only alpha_cell_map in REGULARIZED mode
 {
@@ -1383,9 +1383,9 @@ Alpha_shape_3<Dt,EACT>::initialize_alpha
     eit = alpha_min_edge_map.begin();
     vit = alpha_min_vertex_map.begin();
     alpha_spectrum.reserve(alpha_cell_map.size() +
-			   alpha_min_facet_map.size() +
-			   alpha_min_edge_map.size() +
-			   alpha_min_vertex_map.size());
+                           alpha_min_facet_map.size() +
+                           alpha_min_edge_map.size() +
+                           alpha_min_vertex_map.size());
   }
   else {
     alpha_spectrum.reserve(alpha_cell_map.size());
@@ -1397,55 +1397,55 @@ Alpha_shape_3<Dt,EACT>::initialize_alpha
 
 
   while (cit != alpha_cell_map.end() ||
-	 fit != alpha_min_facet_map.end() ||
-	 eit != alpha_min_edge_map.end() ) {
+         fit != alpha_min_facet_map.end() ||
+         eit != alpha_min_edge_map.end() ) {
 
-    if ( cit != alpha_cell_map.end() 
-	 && ( fit == alpha_min_facet_map.end() || !(fit->first < cit->first) )
-	 && ( eit == alpha_min_edge_map.end() || !(eit->first < cit->first) )
-	 && ( vit == alpha_min_vertex_map.end() || !(vit->first < cit->first) )
-	 ) {      //advance on cit
+    if ( cit != alpha_cell_map.end()
+         && ( fit == alpha_min_facet_map.end() || !(fit->first < cit->first) )
+         && ( eit == alpha_min_edge_map.end() || !(eit->first < cit->first) )
+         && ( vit == alpha_min_vertex_map.end() || !(vit->first < cit->first) )
+         ) {      //advance on cit
       if (alpha_spectrum.empty() ||  alpha_spectrum.back() < cit->first){
-	alpha_spectrum.push_back(cit->first); 
+        alpha_spectrum.push_back(cit->first);
       }
       cit++;
      }
 
-    if ( fit != alpha_min_facet_map.end() 
-	 && ( cit == alpha_cell_map.end() || !(cit->first < fit->first) )
-	 && ( eit == alpha_min_edge_map.end() || !(eit->first < fit->first) ) 
-	 && ( vit == alpha_min_vertex_map.end() || !(vit->first < fit->first) )
-	 ) {      //advance on fit
+    if ( fit != alpha_min_facet_map.end()
+         && ( cit == alpha_cell_map.end() || !(cit->first < fit->first) )
+         && ( eit == alpha_min_edge_map.end() || !(eit->first < fit->first) )
+         && ( vit == alpha_min_vertex_map.end() || !(vit->first < fit->first) )
+         ) {      //advance on fit
       if (alpha_spectrum.empty() ||  alpha_spectrum.back() < fit->first){
-	    alpha_spectrum.push_back(fit->first);
+            alpha_spectrum.push_back(fit->first);
       }
       fit++;
     }
 
-    if ( eit != alpha_min_edge_map.end() 
-	 && ( fit == alpha_min_facet_map.end() || !(fit->first < eit->first) )
-	 && ( cit == alpha_cell_map.end() || !(cit->first < eit->first) )
-	 && ( vit == alpha_min_vertex_map.end() || !(vit->first < eit->first) )
-	 ) {      //advance on eit
+    if ( eit != alpha_min_edge_map.end()
+         && ( fit == alpha_min_facet_map.end() || !(fit->first < eit->first) )
+         && ( cit == alpha_cell_map.end() || !(cit->first < eit->first) )
+         && ( vit == alpha_min_vertex_map.end() || !(vit->first < eit->first) )
+         ) {      //advance on eit
          if (alpha_spectrum.empty() ||  alpha_spectrum.back() <  eit->first) {
-	    alpha_spectrum.push_back(eit->first);
+            alpha_spectrum.push_back(eit->first);
       }
       eit++;
     }
 
-    if ( vit != alpha_min_vertex_map.end() 
-	 && ( fit == alpha_min_facet_map.end() || !(fit->first < vit->first) )
-	 && ( cit == alpha_cell_map.end() || !(cit->first < vit->first) )
-	 && ( eit == alpha_min_edge_map.end() || !(eit->first < vit->first) )
-	 ) { //advance on vit
+    if ( vit != alpha_min_vertex_map.end()
+         && ( fit == alpha_min_facet_map.end() || !(fit->first < vit->first) )
+         && ( cit == alpha_cell_map.end() || !(cit->first < vit->first) )
+         && ( eit == alpha_min_edge_map.end() || !(eit->first < vit->first) )
+         ) { //advance on vit
          if (alpha_spectrum.empty() ||  alpha_spectrum.back() <  vit->first) {
-	    alpha_spectrum.push_back(vit->first);
+            alpha_spectrum.push_back(vit->first);
       }
       vit++;
     }
   }
 }
-  
+
 
 
 //---------------------------------------------------------------------
@@ -1465,14 +1465,14 @@ std::istream& operator>>(std::istream& i
 
 template <class Dt,class EACT>
 std::ostream& operator<<(std::ostream& os,  const Alpha_shape_3<Dt,EACT>& A)
-  // Inserts the alpha shape into the stream `os' as an indexed face set. 
+  // Inserts the alpha shape into the stream `os' as an indexed face set.
   // Precondition: The insert operator must be defined for `Point'
 {
   typedef Alpha_shape_3<Dt,EACT>                  AS;
   typedef typename AS::size_type             size_type;
   typedef typename AS::Vertex_handle         Vertex_handle;
   typedef typename AS::Cell_handle           Cell_handle;
-  typedef typename AS::Alpha_shape_vertices_iterator 
+  typedef typename AS::Alpha_shape_vertices_iterator
                                              Alpha_shape_vertices_iterator;
   typedef typename AS::Alpha_shape_facets_iterator
                                              Alpha_shape_facets_iterator;
@@ -1505,8 +1505,8 @@ std::ostream& operator<<(std::ostream& o
     int i0 = Triangulation_utils_3::vertex_triple_index(i,0);
     int i1 = Triangulation_utils_3::vertex_triple_index(i,1);
     int i2 = Triangulation_utils_3::vertex_triple_index(i,2);
-    os << V[c->vertex(i0)] << ' ' 
-       << V[c->vertex(i1)] << ' ' 
+    os << V[c->vertex(i0)] << ' '
+       << V[c->vertex(i1)] << ' '
        << V[c->vertex(i2)] << std::endl;
   }
   return os;
@@ -1526,10 +1526,10 @@ Alpha_shape_3<Dt,EACT>::update_alpha_sha
 
   get_alpha_shape_vertices(it, REGULAR);
   if (get_mode()==GENERAL) get_alpha_shape_vertices(it, SINGULAR);
-  
+
    return;
 }
-	 
+
 
 //---------------------------------------------------------------------
 
@@ -1547,7 +1547,7 @@ Alpha_shape_3<Dt,EACT>::update_alpha_sha
 
   get_alpha_shape_facets(it, REGULAR);
   if (get_mode()==GENERAL) get_alpha_shape_facets(it, SINGULAR);
-  
+
   return;
 }
 
@@ -1556,64 +1556,64 @@ Alpha_shape_3<Dt,EACT>::update_alpha_sha
 //---------------------------------------------------------------------
 
 template <class Dt,class EACT>
-typename Alpha_shape_3<Dt,EACT>::Classification_type  
+typename Alpha_shape_3<Dt,EACT>::Classification_type
 Alpha_shape_3<Dt,EACT>::classify(const Alpha_status& as,
-			    const NT& alpha) const
+                            const NT& alpha) const
 {
  //tetrahedra with circumradius=alpha are considered inside
   if ( !as.is_on_chull() && alpha >= as.alpha_max()) return INTERIOR;
   else if ( alpha >= as.alpha_mid()) return REGULAR;
-  else if ( get_mode() == GENERAL && 
-	    as.is_Gabriel() &&
-	    alpha >= as.alpha_min()) return SINGULAR;
+  else if ( get_mode() == GENERAL &&
+            as.is_Gabriel() &&
+            alpha >= as.alpha_min()) return SINGULAR;
   else return EXTERIOR;
 }
 
 template <class Dt,class EACT>
-typename Alpha_shape_3<Dt,EACT>::Classification_type  
+typename Alpha_shape_3<Dt,EACT>::Classification_type
 Alpha_shape_3<Dt,EACT>::classify(const Alpha_status* as,
-			    const NT& alpha) const
+                            const NT& alpha) const
 {
  //tetrahedra with circumradius=alpha are considered inside
   if ( !as->is_on_chull() && alpha >= as->alpha_max()) return INTERIOR;
   else if ( alpha >= as->alpha_mid()) return REGULAR;
-  else if ( get_mode() == GENERAL && 
-	    as->is_Gabriel() &&
-	    alpha >= as->alpha_min()) return SINGULAR;
+  else if ( get_mode() == GENERAL &&
+            as->is_Gabriel() &&
+            alpha >= as->alpha_min()) return SINGULAR;
   else return EXTERIOR;
 }
 
 template <class Dt,class EACT>
-typename Alpha_shape_3<Dt,EACT>::Classification_type  
+typename Alpha_shape_3<Dt,EACT>::Classification_type
 Alpha_shape_3<Dt,EACT>::classify(Alpha_status_const_iterator as,
-			    const NT& alpha) const
+                            const NT& alpha) const
 {
   return classify(&(*as), alpha);
 }
 
 template <class Dt,class EACT>
-typename Alpha_shape_3<Dt,EACT>::Classification_type  
-Alpha_shape_3<Dt,EACT>::classify(const Cell_handle& s, 
-			    int i,
-			    const NT& alpha) const
+typename Alpha_shape_3<Dt,EACT>::Classification_type
+Alpha_shape_3<Dt,EACT>::classify(const Cell_handle& s,
+                            int i,
+                            const NT& alpha) const
   // Classifies the face `f' of the underlying Delaunay
   // tetrahedralization with respect to `A'.
-{ 
+{
   if (is_infinite(s,i))   return EXTERIOR;
   Alpha_status_iterator as = s->get_facet_status(i);
   return classify(as, alpha);
 }
- 
+
 
 template <class Dt,class EACT>
-typename Alpha_shape_3<Dt,EACT>::Classification_type  
-Alpha_shape_3<Dt,EACT>::classify(const Cell_handle& c, 
-			    int i,
-			    int j,
-			    const NT& alpha) const
+typename Alpha_shape_3<Dt,EACT>::Classification_type
+Alpha_shape_3<Dt,EACT>::classify(const Cell_handle& c,
+                            int i,
+                            int j,
+                            const NT& alpha) const
   // Classifies the edge `e' of the underlying Delaunay
   // tetrahedralization with respect to `A'.
-{ 
+{
   if (is_infinite(c, i, j))     return EXTERIOR;
   if (get_mode() == GENERAL) {
     Alpha_status_iterator asit;
@@ -1622,7 +1622,7 @@ Alpha_shape_3<Dt,EACT>::classify(const C
     asit = edge_alpha_map.find(vhp)->second;
     return classify(asit,alpha);
   }
-  
+
   //no edge map in REGULARIZED mode - classify on the fly
   Alpha_status as;
   compute_edge_status( c, i, j, as);
@@ -1632,24 +1632,24 @@ Alpha_shape_3<Dt,EACT>::classify(const C
 template <class Dt,class EACT>
 void
 Alpha_shape_3<Dt,EACT>::
-compute_edge_status( const Cell_handle& c, 
-		     int i, 
-		     int j,  
-		     Alpha_status& as) const
+compute_edge_status( const Cell_handle& c,
+                     int i,
+                     int j,
+                     Alpha_status& as) const
 {
   Facet_circulator fcirc, done;
   Alpha_status_iterator asf;
   NT alpha;
   as.set_is_on_chull(false);
-  
+
   Cell_circulator ccirc, last;
   ccirc = incident_cells(c,i,j);
   last=ccirc;
   while (is_infinite(ccirc) ) ++ccirc; //skip infinite incident cells
   alpha = (*ccirc).get_alpha();
   as.set_alpha_mid(alpha); // initialise as.alpha_mid to alpha value of an incident cell
-  as.set_alpha_max(alpha); // same for as.alpha_max 
-  while (++ccirc != last) 
+  as.set_alpha_max(alpha); // same for as.alpha_max
+  while (++ccirc != last)
   {
     if (!is_infinite(ccirc)) {
       alpha = (*ccirc).get_alpha();
@@ -1660,10 +1660,10 @@ compute_edge_status( const Cell_handle&
           as.set_alpha_max( alpha );
       }
     }
-  }   
-  
+  }
+
   fcirc = incident_facets(c,i,j);
-  done = fcirc;  
+  done = fcirc;
   do {
     if (!is_infinite(*fcirc)) {
       asf = (*fcirc).first->get_facet_status((*fcirc).second);
@@ -1674,7 +1674,7 @@ compute_edge_status( const Cell_handle&
       if (asf->is_on_chull())
         as.set_is_on_chull(true);
     }
-  } while (++fcirc != done);  
+  } while (++fcirc != done);
 
   // initialize alphamin
   if ( get_mode() == GENERAL){
@@ -1687,15 +1687,15 @@ compute_edge_status( const Cell_handle&
       as.set_is_Gabriel(false);
       as.set_alpha_min(as.alpha_mid());
     }
-  }   
+  }
 }
 
 //---------------------------------------------------------------------
 
 template <class Dt,class EACT>
-typename Alpha_shape_3<Dt,EACT>::Classification_type  
+typename Alpha_shape_3<Dt,EACT>::Classification_type
 Alpha_shape_3<Dt,EACT>::classify(const Vertex_handle& v,
-			    const NT& alpha) const
+                            const NT& alpha) const
   // Classifies the vertex `v' of the underlying Delaunay
   // tetrahedralization with respect to `A'.
 {
@@ -1709,7 +1709,7 @@ Alpha_shape_3<Dt,EACT>::classify(const V
 template <class Dt,class EACT>
 typename Alpha_shape_3<Dt,EACT>::size_type
 Alpha_shape_3<Dt,EACT>::number_of_solid_components(const NT& alpha) const
-    // Determine the number of connected solid components 
+    // Determine the number of connected solid components
     // takes time O(#alpha_shape) amortized if STL_HASH_TABLES
     //            O(#alpha_shape log n) otherwise
 {
@@ -1723,15 +1723,15 @@ Alpha_shape_3<Dt,EACT>::number_of_solid_
     {
       Cell_handle pCell = cell_it;
       CGAL_triangulation_assertion(pCell != nullptr);
-      
+
       if (classify(pCell, alpha) == INTERIOR){
-	Data& data = marked_cell_set[pCell];
-	if(data == false) { 
-	  // we traverse only interior simplices
-	  data = true;
-	  traverse(pCell, marked_cell_set, alpha);
-	  nb_solid_components++;  
-	}
+        Data& data = marked_cell_set[pCell];
+        if(data == false) {
+          // we traverse only interior simplices
+          data = true;
+          traverse(pCell, marked_cell_set, alpha);
+          nb_solid_components++;
+        }
       }
     }
   return nb_solid_components;
@@ -1740,8 +1740,8 @@ Alpha_shape_3<Dt,EACT>::number_of_solid_
 
 template <class Dt,class EACT>
 void Alpha_shape_3<Dt,EACT>::traverse(Cell_handle pCell,
-				 Marked_cell_set& marked_cell_set,
-				 const NT alpha) const
+                                 Marked_cell_set& marked_cell_set,
+                                 const NT alpha) const
 {
   typedef typename Marked_cell_set::Data Data;
   std::list<Cell_handle> cells;
@@ -1753,23 +1753,23 @@ void Alpha_shape_3<Dt,EACT>::traverse(Ce
     cells.pop_back();
     for (int i=0; i<=3; i++)
       {
-	pNeighbor = pCell->neighbor(i);
-	CGAL_triangulation_assertion(pNeighbor != nullptr);
-	if (classify(pNeighbor, alpha) == INTERIOR){
-	  Data& data = marked_cell_set[pNeighbor];
-	  if(data == false){
-	    data = true;
-	    cells.push_back(pNeighbor);
-	  }
-	}
+        pNeighbor = pCell->neighbor(i);
+        CGAL_triangulation_assertion(pNeighbor != nullptr);
+        if (classify(pNeighbor, alpha) == INTERIOR){
+          Data& data = marked_cell_set[pNeighbor];
+          if(data == false){
+            data = true;
+            cells.push_back(pNeighbor);
+          }
+        }
       }
-  } 
+  }
 }
 
 //----------------------------------------------------------------------
 
 template <class Dt,class EACT>
-typename Alpha_shape_3<Dt,EACT>::Alpha_iterator 
+typename Alpha_shape_3<Dt,EACT>::Alpha_iterator
 Alpha_shape_3<Dt,EACT>::find_optimal_alpha(size_type nb_components) const
   // find the minimum alpha that satisfies the properties
   // (1) nb_components solid components <= nb_components
@@ -1777,23 +1777,23 @@ Alpha_shape_3<Dt,EACT>::find_optimal_alp
 {
   NT alpha = find_alpha_solid();
   // from this alpha on the alpha_solid satisfies property (2)
-  
+
   Alpha_iterator first = alpha_lower_bound(alpha);
   if (number_of_solid_components(alpha) == nb_components)
     {
-      // if ((first+1) < alpha_end()) 
-      // return (first+1); 
-      // else 
-	return first;
+      // if ((first+1) < alpha_end())
+      // return (first+1);
+      // else
+        return first;
     }
 
   // do binary search on the alpha values
-  // number_of_solid_components() is a monotone function 
+  // number_of_solid_components() is a monotone function
   // if we start with find_alpha_solid
-  
+
   Alpha_iterator last = alpha_end();
   Alpha_iterator middle;
-  
+
   std::ptrdiff_t len = last - first - 1;
   std::ptrdiff_t half;
 
@@ -1842,9 +1842,9 @@ Alpha_shape_3<Dt,EACT>::find_optimal_alp
 //----------------------------------------------------------------------
 
 template <class Dt,class EACT>
-typename Alpha_shape_3<Dt,EACT>::NT 
+typename Alpha_shape_3<Dt,EACT>::NT
 Alpha_shape_3<Dt,EACT>::find_alpha_solid() const
-  // compute the minumum alpha such that all data points 
+  // compute the minumum alpha such that all data points
   // are either on the boundary or in the interior
   // not necessarily connected
 {
@@ -1854,7 +1854,7 @@ Alpha_shape_3<Dt,EACT>::find_alpha_solid
 // TO  DEBUG
 
 template <class Dt,class EACT>
-void 
+void
 Alpha_shape_3<Dt,EACT>::print_maps() const
 {
   typename Alpha_cell_map::const_iterator cit ;
@@ -1862,8 +1862,8 @@ Alpha_shape_3<Dt,EACT>::print_maps() con
   typename Alpha_edge_map::const_iterator eit ;
   typename Alpha_vertex_map::const_iterator vit;
 
-  std::cerr << "size of cell map " << alpha_cell_map.size() 
-	    <<   std::endl;
+  std::cerr << "size of cell map " << alpha_cell_map.size()
+            <<   std::endl;
   std::cerr << "size of facet map " << alpha_min_facet_map.size() <<
     std::endl;
   std::cerr << "size of edge map " << alpha_min_edge_map.size() <<
@@ -1899,7 +1899,7 @@ Alpha_shape_3<Dt,EACT>::print_maps() con
 
 
 template <class Dt,class EACT>
-void 
+void
 Alpha_shape_3<Dt,EACT>::print_alphas() const
 {
   std::cerr << std::endl;
@@ -1914,11 +1914,11 @@ Alpha_shape_3<Dt,EACT>::print_alphas() c
   std::cerr << " alpha values of edges " << std::endl;
   if (get_mode() == GENERAL) {
     for(Finite_edges_iterator eit = finite_edges_begin();
-	eit != finite_edges_end();
-	++eit) {
-      Vertex_handle_pair 
-	vhp = make_vertex_handle_pair(eit->first->vertex(eit->second),
-				      eit->first->vertex(eit->third));
+        eit != finite_edges_end();
+        ++eit) {
+      Vertex_handle_pair
+        vhp = make_vertex_handle_pair(eit->first->vertex(eit->second),
+                                      eit->first->vertex(eit->third));
       Alpha_status_iterator as = edge_alpha_map.find(vhp)->second;
       print_alpha_status(*as);
     }
@@ -1935,7 +1935,7 @@ Alpha_shape_3<Dt,EACT>::print_alphas() c
 }
 
 template <class Dt,class EACT>
-void 
+void
 Alpha_shape_3<Dt,EACT>::print_alpha_status(const Alpha_status& as) const
 {
   if ( get_mode() == GENERAL &&  as.is_Gabriel())
diff -pruN 5.0.2-3/include/CGAL/Alpha_shape_cell_base_3.h 5.0.3-1/include/CGAL/Alpha_shape_cell_base_3.h
--- 5.0.2-3/include/CGAL/Alpha_shape_cell_base_3.h	2020-02-21 20:02:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Alpha_shape_cell_base_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Alpha_shapes_3/include/CGAL/Alpha_shape_cell_base_3.h $
-// $Id: Alpha_shape_cell_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Alpha_shapes_3/include/CGAL/Alpha_shape_cell_base_3.h $
+// $Id: Alpha_shape_cell_base_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Tran Kai Frank DA
@@ -23,7 +23,7 @@
 namespace CGAL {
 
 template < class NT_>
-class  Alpha_status 
+class  Alpha_status
 : public Compact_container_base
 {
   bool _is_Gabriel;
@@ -77,13 +77,13 @@ private:
   NT A;
 
 public:
-  Alpha_shape_cell_base_3() 
+  Alpha_shape_cell_base_3()
     : Cb() {}
-  
+
   Alpha_shape_cell_base_3(Vertex_handle v0, Vertex_handle v1,
                           Vertex_handle v2, Vertex_handle v3)
     : Cb(v0, v1, v2, v3) {}
-  
+
   Alpha_shape_cell_base_3(Vertex_handle v0, Vertex_handle v1,
                           Vertex_handle v2, Vertex_handle v3,
                           Cell_handle n0, Cell_handle n1,
diff -pruN 5.0.2-3/include/CGAL/Alpha_shape_euclidean_traits_2.h 5.0.3-1/include/CGAL/Alpha_shape_euclidean_traits_2.h
--- 5.0.2-3/include/CGAL/Alpha_shape_euclidean_traits_2.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Alpha_shape_euclidean_traits_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Alpha_shapes_2/include/CGAL/Alpha_shape_euclidean_traits_2.h $
-// $Id: Alpha_shape_euclidean_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Alpha_shapes_2/include/CGAL/Alpha_shape_euclidean_traits_2.h $
+// $Id: Alpha_shape_euclidean_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Tran Kai Frank DA <Frank.Da@sophia.inria.fr>
 //                 Andreas Fabri <Andreas.Fabri@geometryfactory.com>
diff -pruN 5.0.2-3/include/CGAL/Alpha_shape_euclidean_traits_3.h 5.0.3-1/include/CGAL/Alpha_shape_euclidean_traits_3.h
--- 5.0.2-3/include/CGAL/Alpha_shape_euclidean_traits_3.h	2020-02-21 20:02:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Alpha_shape_euclidean_traits_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Alpha_shapes_3/include/CGAL/Alpha_shape_euclidean_traits_3.h $
-// $Id: Alpha_shape_euclidean_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Alpha_shapes_3/include/CGAL/Alpha_shape_euclidean_traits_3.h $
+// $Id: Alpha_shape_euclidean_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Tran Kai Frank DA <Frank.Da@sophia.inria.fr>
 
 #ifndef CGAL_ALPHA_SHAPE_EUCLIDEAN_TRAITS_3_H
-#define CGAL_ALPHA_SHAPE_EUCLIDEAN_TRAITS_3_H 
+#define CGAL_ALPHA_SHAPE_EUCLIDEAN_TRAITS_3_H
 
 #include <CGAL/license/Alpha_shapes_3.h>
 
diff -pruN 5.0.2-3/include/CGAL/Alpha_shape_face_base_2.h 5.0.3-1/include/CGAL/Alpha_shape_face_base_2.h
--- 5.0.2-3/include/CGAL/Alpha_shape_face_base_2.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Alpha_shape_face_base_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Alpha_shapes_2/include/CGAL/Alpha_shape_face_base_2.h $
-// $Id: Alpha_shape_face_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Alpha_shapes_2/include/CGAL/Alpha_shape_face_base_2.h $
+// $Id: Alpha_shape_face_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Tran Kai Frank DA <Frank.Da@sophia.inria.fr>
 
@@ -23,7 +23,7 @@
 
 namespace CGAL {
 
-  
+
 template <class Gt,
           class Fb_ = Default,
           class ExactAlphaComparisonTag = Tag_false,
@@ -54,15 +54,15 @@ public:
 private:
   Interval_3 vec_edge[3];
   Type_of_alpha A;
- 
+
 public:
   Alpha_shape_face_base_2()  : Fb()     {}
-  
+
   Alpha_shape_face_base_2(Vertex_handle v0, Vertex_handle v1, Vertex_handle v2)
     : Fb(v0, v1, v2)     {}
-  
+
   Alpha_shape_face_base_2(Vertex_handle v0, Vertex_handle v1, Vertex_handle v2,
-			  Face_handle n0, Face_handle n1, Face_handle n2)
+                          Face_handle n0, Face_handle n1, Face_handle n2)
     : Fb(v0, v1, v2, n0, n1, n2)
     {}
 
diff -pruN 5.0.2-3/include/CGAL/Alpha_shape_vertex_base_2.h 5.0.3-1/include/CGAL/Alpha_shape_vertex_base_2.h
--- 5.0.2-3/include/CGAL/Alpha_shape_vertex_base_2.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Alpha_shape_vertex_base_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Alpha_shapes_2/include/CGAL/Alpha_shape_vertex_base_2.h $
-// $Id: Alpha_shape_vertex_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Alpha_shapes_2/include/CGAL/Alpha_shape_vertex_base_2.h $
+// $Id: Alpha_shape_vertex_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Tran Kai Frank DA <Frank.Da@sophia.inria.fr>
 
@@ -58,11 +58,11 @@ public:
   Alpha_shape_vertex_base_2()
     : Vb()
   {}
-  
+
   Alpha_shape_vertex_base_2(const Point & p)
     : Vb(p)
   {}
-  
+
   Alpha_shape_vertex_base_2(const Point & p, Face_handle f)
     : Vb(p, f)
   {}
diff -pruN 5.0.2-3/include/CGAL/Alpha_shape_vertex_base_3.h 5.0.3-1/include/CGAL/Alpha_shape_vertex_base_3.h
--- 5.0.2-3/include/CGAL/Alpha_shape_vertex_base_3.h	2020-02-21 20:02:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Alpha_shape_vertex_base_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Alpha_shapes_3/include/CGAL/Alpha_shape_vertex_base_3.h $
-// $Id: Alpha_shape_vertex_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Alpha_shapes_3/include/CGAL/Alpha_shape_vertex_base_3.h $
+// $Id: Alpha_shape_vertex_base_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Tran Kai Frank DA
 
@@ -56,10 +56,10 @@ private:
 public:
   Alpha_shape_vertex_base_3()
     : Vb() {}
-  
+
   Alpha_shape_vertex_base_3(const Point& p)
     : Vb(p) {}
-  
+
   Alpha_shape_vertex_base_3(const Point& p, Cell_handle c)
     : Vb(p, c) {}
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Apollonius_graph_2_impl.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Apollonius_graph_2_impl.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Apollonius_graph_2_impl.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Apollonius_graph_2_impl.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Apollonius_graph_2_impl.h $
-// $Id: Apollonius_graph_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Apollonius_graph_2_impl.h $
+// $Id: Apollonius_graph_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -63,7 +63,7 @@ is_valid(bool verbose, int level) const
     if ( f->vertex(e.second) == v ) { continue; }
     if ( !is_infinite(v) ) {
       result = result &&
-	( incircle(f, v->site()) != NEGATIVE );
+        ( incircle(f, v->site()) != NEGATIVE );
       //    CGAL_triangulation_assertion(result);
     }
     Edge sym_e = sym_edge(e);
@@ -71,7 +71,7 @@ is_valid(bool verbose, int level) const
     v = tds().mirror_vertex(f, sym_e.second);
     if ( !is_infinite(v) ) {
       result = result &&
-	( incircle(f, v->site()) != NEGATIVE );
+        ( incircle(f, v->site()) != NEGATIVE );
       //    CGAL_triangulation_assertion(result);
     }
   }
@@ -102,15 +102,15 @@ circumcenter(const Face_handle& f) const
 {
   CGAL_triangulation_precondition (dimension()==2 || !is_infinite(f));
   return circumcenter(f->vertex(0)->site(),
-		      f->vertex(1)->site(),
-		      f->vertex(2)->site());
+                      f->vertex(1)->site(),
+                      f->vertex(2)->site());
 }
 
 template<class Gt, class Agds, class LTag>
 typename Apollonius_graph_2<Gt,Agds,LTag>::Point_2
 Apollonius_graph_2<Gt,Agds,LTag>::
-circumcenter(const Site_2& p0, const Site_2& p1, 
-	     const Site_2& p2) const
+circumcenter(const Site_2& p0, const Site_2& p1,
+             const Site_2& p2) const
 {
   return
     geom_traits().construct_Apollonius_vertex_2_object()(p0, p1, p2);
@@ -124,15 +124,15 @@ circumcircle(const Face_handle& f) const
 {
   CGAL_triangulation_precondition (dimension()==2 || !is_infinite(f));
   return circumcircle(f->vertex(0)->site(),
-		      f->vertex(1)->site(),
-		      f->vertex(2)->site());
+                      f->vertex(1)->site(),
+                      f->vertex(2)->site());
 }
 
 template<class Gt, class Agds, class LTag>
 typename Apollonius_graph_2<Gt,Agds,LTag>::Site_2
 Apollonius_graph_2<Gt,Agds,LTag>::
-circumcircle(const Site_2& p0, const Site_2& p1, 
-	     const Site_2& p2) const
+circumcircle(const Site_2& p0, const Site_2& p1,
+             const Site_2& p2) const
 {
   return
     geom_traits().construct_Apollonius_site_2_object()(p0, p1, p2);
@@ -168,7 +168,7 @@ dual(const Face_handle& f) const
     }
   }
   typename Gt::Line_2 ll = circumcircle(f->vertex((i_inf+1)%3)->site(),
-					f->vertex((i_inf+2)%3)->site());
+                                        f->vertex((i_inf+2)%3)->site());
   return geom_traits().construct_object_2_object()(ll);
 }
 
@@ -208,13 +208,13 @@ dual(const Edge e) const
 
   // only one of the adjacent faces is infinite
   CGAL_triangulation_assertion( is_infinite( e.first ) ||
-				is_infinite( e.first->neighbor(e.second) )
-				);
+                                is_infinite( e.first->neighbor(e.second) )
+                                );
 
   CGAL_triangulation_assertion( !(is_infinite( e.first ) &&
-				  is_infinite( e.first->neighbor(e.second) )
-				  )
-				);
+                                  is_infinite( e.first->neighbor(e.second) )
+                                  )
+                                );
 
   CGAL_triangulation_assertion
     (  is_infinite( e.first->vertex(e.second) ) ||
@@ -252,17 +252,17 @@ primal(const Edge e) const
     if ( is_infinite(e) ) {
       Ray ray;
       if (  is_infinite( e.first->vertex(cw(e.second)) )  ) {
-	Site_2 p = e.first->vertex( ccw(e.second) )->site();
-	Site_2 r = e.first->vertex( e.second )->site();
-	Site_2 s = tds().mirror_vertex( e.first, e.second )->site();
-	ray = construct_Apollonius_primal_ray_2_object()(p,r,s);
+        Site_2 p = e.first->vertex( ccw(e.second) )->site();
+        Site_2 r = e.first->vertex( e.second )->site();
+        Site_2 s = tds().mirror_vertex( e.first, e.second )->site();
+        ray = construct_Apollonius_primal_ray_2_object()(p,r,s);
       } else {
-	CGAL_triangulation_assertion
-	  (   is_infinite( e.first->vertex(ccw(e.second)) )   );
-	Site_2 q = e.first->vertex( cw(e.second) )->site();
-	Site_2 r = e.first->vertex( e.second )->site();
-	Site_2 s = tds().mirror_vertex( e.first, e.second )->site();
-	ray = construct_Apollonius_primal_ray_2_object()(q,s,r);
+        CGAL_triangulation_assertion
+          (   is_infinite( e.first->vertex(ccw(e.second)) )   );
+        Site_2 q = e.first->vertex( cw(e.second) )->site();
+        Site_2 r = e.first->vertex( e.second )->site();
+        Site_2 s = tds().mirror_vertex( e.first, e.second )->site();
+        ray = construct_Apollonius_primal_ray_2_object()(q,s,r);
       }
       return make_object(ray);
     }
@@ -319,7 +319,7 @@ flip(Face_handle& f, int i)
 {
   CGAL_triangulation_precondition ( f != Face_handle() );
   CGAL_triangulation_precondition (i == 0 || i == 1 || i == 2);
-  CGAL_triangulation_precondition( dimension()==2 ); 
+  CGAL_triangulation_precondition( dimension()==2 );
 
   CGAL_triangulation_precondition( f->vertex(i) != tds().mirror_vertex(f,i) );
 
@@ -433,7 +433,7 @@ insert_second(const Site_2& p)
   Vertex_handle v(finite_vertices_begin());
   if ( is_hidden(v->site(), p) ) {
     v->add_hidden_site(p);
-    vnew = Vertex_handle();  
+    vnew = Vertex_handle();
   } else if ( is_hidden(p, v->site()) ) {
     v->add_hidden_site(v->site());
     v->set_site(p);
@@ -549,8 +549,8 @@ insert_third(const Site_2& p)
     Edge_circulator ec = incident_edges(v);
     while ( true ) {
       if ( ec->first->vertex( ccw(ec->second) ) == vv ) {
-	flip(*ec);
-	break;
+        flip(*ec);
+        break;
       }
       ++ec;
     }
@@ -559,8 +559,8 @@ insert_third(const Site_2& p)
 
     while ( true ) {
       if ( is_infinite(ec) ) {
-	flip(*ec);
-	break;
+        flip(*ec);
+        break;
       }
       ec++;
     }
@@ -570,8 +570,8 @@ insert_third(const Site_2& p)
     while ( true ) {
       Face_handle ff(fc);
       if ( !is_infinite(ff) ) {
-	flip(ff, ff->index(v));
-	break;
+        flip(ff, ff->index(v));
+        break;
       }
       ++fc;
     }
@@ -585,8 +585,8 @@ insert_third(const Site_2& p)
       ( ct1 == INTERIOR ) ? incident_edges(v2) : incident_edges(v1);
     while ( true ) {
       if ( is_infinite(ec) ) {
-	flip(*ec);
-	break;
+        flip(*ec);
+        break;
       }
       ec++;
     }
@@ -669,7 +669,7 @@ insert(const Site_2& p, Vertex_handle vn
   }
 
 
-  // we are in conflict with an Apollonius vertex; start from that and 
+  // we are in conflict with an Apollonius vertex; start from that and
   // find the entire conflict region and then repair the diagram
   List l;
   Face_map fm;
@@ -677,7 +677,7 @@ insert(const Site_2& p, Vertex_handle vn
 
   // MK:: NEED TO WRITE A FUNCTION CALLED find_conflict_region WHICH
   // IS GIVEN A STARTING FACE, A LIST, A FACE MAP, A VERTEX MAP AND A
-  // LIST OF FLIPPED EDGES AND WHAT IS DOES IS INITIALIZE THE CONFLICT 
+  // LIST OF FLIPPED EDGES AND WHAT IS DOES IS INITIALIZE THE CONFLICT
   // REGION AND EXPANDS THE CONFLICT REGION.
   initialize_conflict_region(start_f, l);
   expand_conflict_region(start_f, p, l, fm, vm, nullptr);
@@ -700,10 +700,10 @@ template<class Gt, class Agds, class LTa
 void
 Apollonius_graph_2<Gt,Agds,LTag>::
 find_conflict_region_remove(const Vertex_handle& v,
-			    const Vertex_handle& vnearest,
-			    List& l, Face_map& fm,
-			    Vertex_map& vm,
-			    std::vector<Vh_triple*>* fe)
+                            const Vertex_handle& vnearest,
+                            List& l, Face_map& fm,
+                            Vertex_map& vm,
+                            std::vector<Vh_triple*>* fe)
 {
   Site_2 p = v->site();
   // check if it is hidden
@@ -778,7 +778,7 @@ template<class Gt, class Agds, class LTa
 bool
 Apollonius_graph_2<Gt,Agds,LTag>::
 check_edge_for_hidden_sites(const Face_handle& f, int i,
-			    const Site_2& p, Vertex_map& vm) const
+                            const Site_2& p, Vertex_map& vm) const
 {
   bool found(false);
 
@@ -911,7 +911,7 @@ add_bogus_vertex(Edge e, List& l)
   int i2 = f2->index(v);
 
   CGAL_assertion( ((f1->neighbor(i1) == g1) && (f2->neighbor(i2) == g2)) ||
-		  ((f1->neighbor(i1) == g2) && (f2->neighbor(i2) == g1)) );
+                  ((f1->neighbor(i1) == g2) && (f2->neighbor(i2) == g1)) );
 
   Edge ee, eesym;
   if ( f1->neighbor(i1) == g1 ) {
@@ -941,7 +941,7 @@ add_bogus_vertices(List& l)
   do {
     Edge esym = sym_edge(e);
     if ( l.is_in_list(esym) &&
-	 edge_list.find(esym) == edge_list.end() ) {
+         edge_list.find(esym) == edge_list.end() ) {
       edge_list.insert(e);
     }
     e = l.next(e);
@@ -1012,7 +1012,7 @@ get_faces_for_recycling(Face_map& fm, un
     vf.pop_back();
     this->_tds.delete_face(fp);
   }
-  
+
   return vf;
 }
 
@@ -1034,8 +1034,8 @@ remove_hidden_vertices(Vertex_map& vm)
 template<class Gt, class Agds, class LTag>
 typename Apollonius_graph_2<Gt,Agds,LTag>::Vertex_handle
 Apollonius_graph_2<Gt,Agds,LTag>::
-retriangulate_conflict_region(const Site_2& p,	List& l, 
-			      Face_map& fm, Vertex_map& vm)
+retriangulate_conflict_region(const Site_2& p,        List& l,
+                              Face_map& fm, Vertex_map& vm)
 {
   size_type vmsize = vm.size();
   size_type num_vert = number_of_vertices();
@@ -1050,9 +1050,9 @@ retriangulate_conflict_region(const Site
       wp_list.push_back(vhidden->site());
       typename Vertex::Hidden_sites_iterator it;
       for (it = vhidden->hidden_sites_begin();
-	   it != vhidden->hidden_sites_end(); ++it) {
-	wp_list.push_back(*it);
-      }	
+           it != vhidden->hidden_sites_end(); ++it) {
+        wp_list.push_back(*it);
+      }
       vhidden->clear_hidden_sites_container();
     }
 
@@ -1080,9 +1080,9 @@ retriangulate_conflict_region(const Site
       wp_list.push_back(vhidden->site());
       typename Vertex::Hidden_sites_iterator it;
       for (it = vhidden->hidden_sites_begin();
-	   it != vhidden->hidden_sites_end(); ++it) {
-	wp_list.push_back(*it);
-      }	
+           it != vhidden->hidden_sites_end(); ++it) {
+        wp_list.push_back(*it);
+      }
       vhidden->clear_hidden_sites_container();
     }
 
@@ -1099,9 +1099,9 @@ retriangulate_conflict_region(const Site
     Site_list wp_list1;
     typename Vertex::Hidden_sites_iterator it;
     for (it = non_hidden->hidden_sites_begin();
-	 it != non_hidden->hidden_sites_end(); ++it) {
+         it != non_hidden->hidden_sites_end(); ++it) {
       wp_list1.push_back(*it);
-    }	
+    }
     non_hidden->clear_hidden_sites_container();
 
     // 3. clear the current Apollonius graph
@@ -1111,13 +1111,13 @@ retriangulate_conflict_region(const Site
     // hidden sites
     Vertex_handle v1 = insert_first(p1);
     for (Site_list_iterator it = wp_list1.begin();
-	 it != wp_list1.end(); ++it) {
+         it != wp_list1.end(); ++it) {
       v1->add_hidden_site(*it);
     }
 
     Vertex_handle v = insert_second(p);
     for (Site_list_iterator it = wp_list.begin();
-	 it != wp_list.end(); ++it) {
+         it != wp_list.end(); ++it) {
       v->add_hidden_site(*it);
     }
 
@@ -1157,7 +1157,7 @@ retriangulate_conflict_region(const Site
   //  std::vector<Face*> vf = get_faces_for_recycling(fm, l.size());
   std::list<Face*> vf;
 
-  // 4. copy the edge list to a vector of edges and clear the in place 
+  // 4. copy the edge list to a vector of edges and clear the in place
   //    list
   typedef typename Agds::Edge Agds_edge;
   std::vector<Agds_edge> ve;
@@ -1212,7 +1212,7 @@ template<class Gt, class Agds, class LTa
 typename Apollonius_graph_2<Gt,Agds,LTag>::Vertex_handle
 Apollonius_graph_2<Gt,Agds,LTag>::
 nearest_neighbor(const Point_2& p,
-		 Vertex_handle start_vertex) const
+                 Vertex_handle start_vertex) const
 {
   if ( number_of_vertices() == 0 ) {
     return Vertex_handle();
@@ -1233,11 +1233,11 @@ nearest_neighbor(const Point_2& p,
     for (; vit != finite_vertices_end(); ++vit) {
       Vertex_handle v1(vit);
       if ( v1 != vclosest /*&& !is_infinite(v1)*/ ) {
-	Site_2 p1 = vclosest->site();
-	Site_2 p2 = v1->site();
-	if ( side_of_bisector(p1, p2, p) == ON_NEGATIVE_SIDE ) {
-	  vclosest = v1;
-	}
+        Site_2 p1 = vclosest->site();
+        Site_2 p2 = v1->site();
+        if ( side_of_bisector(p1, p2, p) == ON_NEGATIVE_SIDE ) {
+          vclosest = v1;
+        }
       }
     }
     return vclosest;
@@ -1250,12 +1250,12 @@ nearest_neighbor(const Point_2& p,
     Vertex_circulator vc = vc_start;
     do {
       if ( !is_infinite(vc) ) {
-	Vertex_handle v1(vc);
-	Site_2 p2 = v1->site();
-	if ( side_of_bisector(p1, p2, p) == ON_NEGATIVE_SIDE ) {
-	  v = v1;
-	  break;
-	}
+        Vertex_handle v1(vc);
+        Site_2 p2 = v1->site();
+        if ( side_of_bisector(p1, p2, p) == ON_NEGATIVE_SIDE ) {
+          v = v1;
+          break;
+        }
       }
       ++vc;
     } while ( vc != vc_start );
@@ -1281,8 +1281,8 @@ template<class Gt, class Agds, class LTa
 Oriented_side
 Apollonius_graph_2<Gt,Agds,LTag>::
 side_of_bisector(const Site_2 &p1,
-		 const Site_2 &p2,
-		 const Point_2 &p) const
+                 const Site_2 &p2,
+                 const Point_2 &p) const
 {
   return geom_traits().oriented_side_of_bisector_2_object()(p1, p2, p);
 }
@@ -1292,7 +1292,7 @@ template<class Gt, class Agds, class LTa
 Sign
 Apollonius_graph_2<Gt,Agds,LTag>::
 incircle(const Site_2 &p1, const Site_2 &p2,
-	 const Site_2 &p3, const Site_2 &q) const
+         const Site_2 &p3, const Site_2 &q) const
 {
   return geom_traits().vertex_conflict_2_object()(p1, p2, p3, q);
 }
@@ -1301,7 +1301,7 @@ template<class Gt, class Agds, class LTa
 Sign
 Apollonius_graph_2<Gt,Agds,LTag>::
 incircle(const Site_2 &p1, const Site_2 &p2,
-	 const Site_2 &q) const
+         const Site_2 &q) const
 {
   return
     geom_traits().vertex_conflict_2_object()(p1, p2, q);
@@ -1315,8 +1315,8 @@ incircle(const Face_handle& f, const Sit
 {
   if ( !is_infinite(f) ) {
     return incircle(f->vertex(0)->site(),
-		    f->vertex(1)->site(),
-		    f->vertex(2)->site(), q);
+                    f->vertex(1)->site(),
+                    f->vertex(2)->site(), q);
   }
 
   int inf_i(-1); // to avoid compiler warning
@@ -1327,7 +1327,7 @@ incircle(const Face_handle& f, const Sit
     }
   }
   return incircle( f->vertex( ccw(inf_i) )->site(),
-		   f->vertex(  cw(inf_i) )->site(), q );
+                   f->vertex(  cw(inf_i) )->site(), q );
 }
 
 
@@ -1335,10 +1335,10 @@ template<class Gt, class Agds, class LTa
 Sign
 Apollonius_graph_2<Gt,Agds,LTag>::
 incircle(const Vertex_handle& v0, const Vertex_handle& v1,
-	 const Vertex_handle& v) const
+         const Vertex_handle& v) const
 {
   CGAL_precondition( !is_infinite(v0) && !is_infinite(v1)
-		     && !is_infinite(v) );
+                     && !is_infinite(v) );
 
   return incircle( v0->site(), v1->site(), v->site());
 }
@@ -1347,14 +1347,14 @@ template<class Gt, class Agds, class LTa
 Sign
 Apollonius_graph_2<Gt,Agds,LTag>::
 incircle(const Vertex_handle& v0, const Vertex_handle& v1,
-	 const Vertex_handle& v2, const Vertex_handle& v) const
+         const Vertex_handle& v2, const Vertex_handle& v) const
 {
   CGAL_precondition( !is_infinite(v) );
 
   if ( !is_infinite(v0) && !is_infinite(v1) &&
        !is_infinite(v2) ) {
     return incircle(v0->site(), v1->site(),
-		    v2->site(), v->site());
+                    v2->site(), v->site());
   }
 
   if ( is_infinite(v0) ) {
@@ -1376,10 +1376,10 @@ template<class Gt, class Agds, class LTa
 bool
 Apollonius_graph_2<Gt,Agds,LTag>::
 finite_edge_interior(const Site_2& p1,
-		     const Site_2& p2,
-		     const Site_2& p3,
-		     const Site_2& p4,
-		     const Site_2& q, bool b) const
+                     const Site_2& p2,
+                     const Site_2& p3,
+                     const Site_2& p4,
+                     const Site_2& q, bool b) const
 {
   if ( is_hidden(q, p1) ) { return true; }
   if ( is_hidden(q, p2) ) { return true; }
@@ -1391,41 +1391,41 @@ template<class Gt, class Agds, class LTa
 bool
 Apollonius_graph_2<Gt,Agds,LTag>::
 finite_edge_interior(const Face_handle& f, int i,
-		     const Site_2& p, bool b) const
+                     const Site_2& p, bool b) const
 {
   CGAL_precondition( !is_infinite(f) &&
-		     !is_infinite(f->neighbor(i)) );
+                     !is_infinite(f->neighbor(i)) );
   return finite_edge_interior( f->vertex( ccw(i) )->site(),
-			       f->vertex(  cw(i) )->site(),
-			       f->vertex(     i  )->site(),
-			       tds().mirror_vertex(f, i)->site(), p, b);
+                               f->vertex(  cw(i) )->site(),
+                               f->vertex(     i  )->site(),
+                               tds().mirror_vertex(f, i)->site(), p, b);
 }
 
 template<class Gt, class Agds, class LTag>
 bool
 Apollonius_graph_2<Gt,Agds,LTag>::
 finite_edge_interior(const Vertex_handle& v1,
-		     const Vertex_handle& v2,
-		     const Vertex_handle& v3,
-		     const Vertex_handle& v4,
-		     const Vertex_handle& v, bool b) const
+                     const Vertex_handle& v2,
+                     const Vertex_handle& v3,
+                     const Vertex_handle& v4,
+                     const Vertex_handle& v, bool b) const
 {
   CGAL_precondition( !is_infinite(v1) && !is_infinite(v2) &&
-		     !is_infinite(v3) && !is_infinite(v4) &&
-		     !is_infinite(v) );
+                     !is_infinite(v3) && !is_infinite(v4) &&
+                     !is_infinite(v) );
   return finite_edge_interior( v1->site(), v2->site(),
-			       v3->site(), v4->site(),
-			       v->site(), b);
+                               v3->site(), v4->site(),
+                               v->site(), b);
 }
 
 template<class Gt, class Agds, class LTag>
 bool
 Apollonius_graph_2<Gt,Agds,LTag>::
 finite_edge_interior_degenerated(const Site_2& p1,
-				 const Site_2& p2,
-				 const Site_2& p3,
-				 const Site_2& q,
-				 bool b) const
+                                 const Site_2& p2,
+                                 const Site_2& p3,
+                                 const Site_2& q,
+                                 bool b) const
 {
   if ( is_hidden(q, p1) ) { return true; }
   if ( is_hidden(q, p2) ) { return true; }
@@ -1437,9 +1437,9 @@ template<class Gt, class Agds, class LTa
 bool
 Apollonius_graph_2<Gt,Agds,LTag>::
 finite_edge_interior_degenerated(const Site_2& p1,
-				 const Site_2& p2,
-				 const Site_2& q,
-				 bool b) const
+                                 const Site_2& p2,
+                                 const Site_2& q,
+                                 bool b) const
 {
   if ( is_hidden(q, p1) ) { return true; }
   if ( is_hidden(q, p2) ) { return true; }
@@ -1452,7 +1452,7 @@ template<class Gt, class Agds, class LTa
 bool
 Apollonius_graph_2<Gt,Agds,LTag>::
 finite_edge_interior_degenerated(const Face_handle& f, int i,
-				 const Site_2& p, bool b) const
+                                 const Site_2& p, bool b) const
 {
   if ( !is_infinite( tds().mirror_vertex(f, i) ) ) {
     CGAL_precondition( is_infinite(f->vertex(i)) );
@@ -1480,13 +1480,13 @@ template<class Gt, class Agds, class LTa
 bool
 Apollonius_graph_2<Gt,Agds,LTag>::
 finite_edge_interior_degenerated(const Vertex_handle& v1,
-				 const Vertex_handle& v2,
-				 const Vertex_handle& v3,
-				 const Vertex_handle& v4,
-				 const Vertex_handle& v, bool b) const
+                                 const Vertex_handle& v2,
+                                 const Vertex_handle& v3,
+                                 const Vertex_handle& v4,
+                                 const Vertex_handle& v, bool b) const
 {
-  CGAL_precondition( !is_infinite(v1) && !is_infinite(v2) && 
-		     !is_infinite(v) );
+  CGAL_precondition( !is_infinite(v1) && !is_infinite(v2) &&
+                     !is_infinite(v) );
   if ( !is_infinite( v4 ) ) {
     CGAL_precondition( is_infinite(v3) );
 
@@ -1512,10 +1512,10 @@ template<class Gt, class Agds, class LTa
 bool
 Apollonius_graph_2<Gt,Agds,LTag>::
 infinite_edge_interior(const Site_2& p2,
-		       const Site_2& p3,
-		       const Site_2& p4,
-		       const Site_2& q,
-		       bool b) const
+                       const Site_2& p3,
+                       const Site_2& p4,
+                       const Site_2& q,
+                       bool b) const
 {
   if ( is_hidden(q, p2) ) { return true; }
   return
@@ -1526,7 +1526,7 @@ template<class Gt, class Agds, class LTa
 bool
 Apollonius_graph_2<Gt,Agds,LTag>::
 infinite_edge_interior(const Face_handle& f, int i,
-		       const Site_2& p, bool b) const
+                       const Site_2& p, bool b) const
 {
   if ( !is_infinite( f->vertex(ccw(i)) ) ) {
     CGAL_precondition( is_infinite( f->vertex(cw(i)) ) );
@@ -1550,13 +1550,13 @@ template<class Gt, class Agds, class LTa
 bool
 Apollonius_graph_2<Gt,Agds,LTag>::
 infinite_edge_interior(const Vertex_handle& v1,
-		       const Vertex_handle& v2,
-		       const Vertex_handle& v3,
-		       const Vertex_handle& v4,
-		       const Vertex_handle& v, bool b) const
+                       const Vertex_handle& v2,
+                       const Vertex_handle& v3,
+                       const Vertex_handle& v4,
+                       const Vertex_handle& v, bool b) const
 {
-  CGAL_precondition( !is_infinite(v3) && !is_infinite(v4) && 
-		     !is_infinite(v) );
+  CGAL_precondition( !is_infinite(v3) && !is_infinite(v4) &&
+                     !is_infinite(v) );
 
   if ( !is_infinite( v1 ) ) {
     CGAL_precondition( is_infinite( v2 ) );
@@ -1581,10 +1581,10 @@ template<class Gt, class Agds, class LTa
 bool
 Apollonius_graph_2<Gt,Agds,LTag>::
 edge_interior(const Vertex_handle& v1,
-	      const Vertex_handle& v2,
-	      const Vertex_handle& v3,
-	      const Vertex_handle& v4,
-	      const Vertex_handle& v, bool b) const
+              const Vertex_handle& v2,
+              const Vertex_handle& v3,
+              const Vertex_handle& v4,
+              const Vertex_handle& v, bool b) const
 {
   CGAL_precondition( !is_infinite(v) );
 
@@ -1611,7 +1611,7 @@ template<class Gt, class Agds, class LTa
 bool
 Apollonius_graph_2<Gt,Agds,LTag>::
 edge_interior(const Face_handle& f, int i,
-	      const Site_2& p, bool b) const
+              const Site_2& p, bool b) const
 {
   Face_handle g = f->neighbor(i);
 
@@ -1640,9 +1640,9 @@ template<class Gt, class Agds, class LTa
 typename Apollonius_graph_2<Gt,Agds,LTag>::Conflict_type
 Apollonius_graph_2<Gt,Agds,LTag>::
 infinite_edge_conflict_type(const Site_2& p2,
-			    const Site_2& p3,
-			    const Site_2& p4,
-			    const Site_2& q) const
+                            const Site_2& p3,
+                            const Site_2& p4,
+                            const Site_2& q) const
 {
   Sign i1 = incircle(p2, p3, q);
   Sign i2 = incircle(p4, p2, q);
@@ -1673,8 +1673,8 @@ template<class Gt, class Agds, class LTa
 typename Apollonius_graph_2<Gt,Agds,LTag>::Conflict_type
 Apollonius_graph_2<Gt,Agds,LTag>::
 finite_edge_conflict_type_degenerated(const Site_2& p1,
-				      const Site_2& p2,
-				      const Site_2& q) const
+                                      const Site_2& p2,
+                                      const Site_2& q) const
 {
   Sign i1 = incircle(p1, p2, q);
   Sign i2 = incircle(p2, p1, q);
@@ -1735,9 +1735,9 @@ remove_third(Vertex_handle v)
     for (int i = 0; i < 4; i++) {
       Edge e = *ec;
       Edge sym = sym_edge(e);
-      if ( e.first->vertex(e.second) !=	sym.first->vertex(sym.second) ) {
-	flip(e);
-	break;
+      if ( e.first->vertex(e.second) !=        sym.first->vertex(sym.second) ) {
+        flip(e);
+        break;
       }
       ++ec;
     }
@@ -1763,11 +1763,11 @@ remove(Vertex_handle v)
       Vertex_circulator vc_start = incident_vertices(v);
       Vertex_circulator vc = vc_start;
       do {
-	if ( !is_infinite(vc) ) {
-	  vnear = Vertex_handle(vc);
-	  break;
-	}
-	++vc;
+        if ( !is_infinite(vc) ) {
+          vnear = Vertex_handle(vc);
+          break;
+        }
+        ++vc;
       } while ( vc != vc_start );
     }
   }
@@ -1820,7 +1820,7 @@ remove_degree_d_vertex(Vertex_handle v)
     remove_degree_2(v);
     return;
   }
-  
+
   Apollonius_graph_2<Gt,Agds,LTag> ag_small;
 
   std::map<Vertex_handle,Vertex_handle> vmap;
@@ -1833,10 +1833,10 @@ remove_degree_d_vertex(Vertex_handle v)
     if ( is_infinite(vh_large) ) {
       vh_small = ag_small.infinite_vertex();
       vmap[vh_small] = vh_large;
-    } else { 
+    } else {
       vh_small = ag_small.insert(vc->site());
       if ( vh_small != Vertex_handle() ) {
-	vmap[vh_small] = vh_large;
+        vmap[vh_small] = vh_large;
       }
     }
     ++vc;
@@ -1848,9 +1848,9 @@ remove_degree_d_vertex(Vertex_handle v)
     for (int i = 0; i < 4; i++) {
       Edge e = *ec;
       Edge sym = sym_edge(e);
-      if ( e.first->vertex(e.second) !=	sym.first->vertex(sym.second) ) {
-	flip(e);
-	break;
+      if ( e.first->vertex(e.second) !=        sym.first->vertex(sym.second) ) {
+        flip(e);
+        break;
       }
       ++ec;
     }
@@ -1866,10 +1866,10 @@ remove_degree_d_vertex(Vertex_handle v)
   List l;
   Face_map fm;
   Vertex_map vm;
-  std::vector<Vh_triple*> flipped_edges;  
+  std::vector<Vh_triple*> flipped_edges;
 
   ag_small.find_conflict_region_remove(v, vn, l, fm, vm,
-				       &flipped_edges);
+                                       &flipped_edges);
 
   l.clear();
   fm.clear();
@@ -1887,12 +1887,12 @@ remove_degree_d_vertex(Vertex_handle v)
     do {
       Edge e = *ec;
       if ( (e.first->vertex(  cw(e.second) ) == vmap[(*vhq)[1]] &&
-	    e.first->vertex(     e.second  ) == vmap[(*vhq)[2]]) ||
-	   (e.first->vertex( ccw(e.second) ) == vmap[(*vhq)[1]] &&
-	    tds().mirror_vertex(e.first,e.second) == vmap[(*vhq)[2]]) ) {
-	flip(e);
-	found = true;
-	break;
+            e.first->vertex(     e.second  ) == vmap[(*vhq)[2]]) ||
+           (e.first->vertex( ccw(e.second) ) == vmap[(*vhq)[1]] &&
+            tds().mirror_vertex(e.first,e.second) == vmap[(*vhq)[2]]) ) {
+        flip(e);
+        found = true;
+        break;
       }
       ++ec;
     } while ( ec != ec_start );
@@ -1937,8 +1937,8 @@ minimize_degree(Vertex_handle v)
       f = e.first;
 
       if ( !f->has_vertex(v) ) {
-	f = e.first->neighbor(e.second);
-	CGAL_assertion( f->has_vertex(v) );
+        f = e.first->neighbor(e.second);
+        CGAL_assertion( f->has_vertex(v) );
       }
 
       fc = --( incident_faces(v,f) );
@@ -1975,10 +1975,10 @@ Apollonius_graph_2<Gt,Agds,LTag>::file_o
   std::map<Vertex_handle,int> V;
   std::map<Face_handle,int> F;
 
-  // first vertex (infinite vertex) 
+  // first vertex (infinite vertex)
   int inum = 0;
   V[infinite_vertex()] = inum++;
-  
+
   // finite vertices
   if (is_ascii(os)) os << std::endl;
   for (Finite_vertices_iterator vit = finite_vertices_begin();
@@ -1989,7 +1989,7 @@ Apollonius_graph_2<Gt,Agds,LTag>::file_o
     os << vit->number_of_hidden_sites();
     typename Vertex::Hidden_sites_iterator hit;
     for (hit = vit->hidden_sites_begin(); hit != vit->hidden_sites_end();
-	 ++hit) {
+         ++hit) {
       if ( is_ascii(os) ) { os << ' '; }
       os << *hit;
     }
@@ -2014,7 +2014,7 @@ Apollonius_graph_2<Gt,Agds,LTag>::file_o
     if( is_ascii(os) ) { os << std::endl; }
   }
   if( is_ascii(os) ) { os << std::endl; }
-    
+
   // neighbor pointers of the  faces
   for( All_faces_iterator it = all_faces_begin();
        it != all_faces_end(); ++it) {
@@ -2069,8 +2069,8 @@ Apollonius_graph_2<Gt,Agds,LTag>::file_i
       unsigned int n_hidden;
       is >> n_hidden;
       for (unsigned int i = 0; i < n_hidden; i++) {
-	is >> s;
-	v->add_hidden_site(s);
+        is >> s;
+        v->add_hidden_site(s);
       }
     }
     return;
@@ -2106,7 +2106,7 @@ Apollonius_graph_2<Gt,Agds,LTag>::file_i
     // read non-combinatorial info of the vertex
     //    is >> *(V[i]);
   }
-  
+
   // Creation of the faces
   int index;
   int dim = (dimension() == -1 ? 1 : dimension() + 1);
@@ -2124,7 +2124,7 @@ Apollonius_graph_2<Gt,Agds,LTag>::file_i
     //      is >> *(F[i]) ;
   }
 
-  // Setting the neighbor pointers 
+  // Setting the neighbor pointers
   for (i = 0; i < m; ++i) {
     for (int j = 0; j < dimension()+1; ++j){
       is >> index;
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Apollonius_graph_hierarchy_2_impl.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Apollonius_graph_hierarchy_2_impl.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Apollonius_graph_hierarchy_2_impl.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Apollonius_graph_hierarchy_2_impl.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Apollonius_graph_hierarchy_2_impl.h $
-// $Id: Apollonius_graph_hierarchy_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Apollonius_graph_hierarchy_2_impl.h $
+// $Id: Apollonius_graph_hierarchy_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -27,7 +27,7 @@ void
 Apollonius_graph_hierarchy_2<Gt,Agds,LTag>::
 init_hierarchy(const Geom_traits& gt)
 {
-  hierarchy[0] = this; 
+  hierarchy[0] = this;
   for(unsigned int i = 1; i < ag_hierarchy_2__maxlevel; ++i) {
     hierarchy[i] = new Apollonius_graph_base(gt);
   }
@@ -37,7 +37,7 @@ template<class Gt, class Agds, class LTa
 Apollonius_graph_hierarchy_2<Gt,Agds,LTag>::
 Apollonius_graph_hierarchy_2(const Geom_traits& gt)
   : Apollonius_graph_base(gt)
-{ 
+{
   init_hierarchy(gt);
 }
 
@@ -48,11 +48,11 @@ Apollonius_graph_hierarchy_2<Gt,Agds,LTa
 Apollonius_graph_hierarchy_2
 (const Apollonius_graph_hierarchy_2<Gt,Agds,LTag>& agh)
     : Apollonius_graph_base(agh.geom_traits())
-{ 
+{
   init_hierarchy(agh.geom_traits());
   copy(agh);
-} 
- 
+}
+
 
 //Assignement
 template<class Gt, class Agds, class LTag>
@@ -78,14 +78,14 @@ copy
 
   //up and down have been copied in straightforward way
   // compute a map at lower level
-  for( Finite_vertices_iterator it = hierarchy[0]->finite_vertices_begin(); 
+  for( Finite_vertices_iterator it = hierarchy[0]->finite_vertices_begin();
        it != hierarchy[0]->finite_vertices_end(); ++it) {
     if ( it->up() != Vertex_handle() ) V[ it->up()->down() ] = it;
   }
 
   for(unsigned int i = 1; i < ag_hierarchy_2__maxlevel; ++i) {
-    for( Finite_vertices_iterator it = hierarchy[i]->finite_vertices_begin(); 
-	 it != hierarchy[i]->finite_vertices_end(); ++it) {
+    for( Finite_vertices_iterator it = hierarchy[i]->finite_vertices_begin();
+         it != hierarchy[i]->finite_vertices_end(); ++it) {
       // down pointer goes in original instead in copied triangulation
       it->set_down(V[it->down()]);
       // make reverse link
@@ -97,7 +97,7 @@ copy
 }
 
 template<class Gt, class Agds, class LTag>
-Apollonius_graph_hierarchy_2<Gt,Agds,LTag>:: 
+Apollonius_graph_hierarchy_2<Gt,Agds,LTag>::
 ~Apollonius_graph_hierarchy_2()
 {
   clear();
@@ -108,7 +108,7 @@ Apollonius_graph_hierarchy_2<Gt,Agds,LTa
 
 template<class Gt, class Agds, class LTag>
 void
-Apollonius_graph_hierarchy_2<Gt,Agds,LTag>:: 
+Apollonius_graph_hierarchy_2<Gt,Agds,LTag>::
 clear()
 {
   for(unsigned int i = 0; i < ag_hierarchy_2__maxlevel; ++i) {
@@ -118,7 +118,7 @@ clear()
 
 template<class Gt, class Agds, class LTag>
 bool
-Apollonius_graph_hierarchy_2<Gt,Agds,LTag>:: 
+Apollonius_graph_hierarchy_2<Gt,Agds,LTag>::
 is_valid(bool verbose, int level) const
 {
   bool result(true);
@@ -134,15 +134,15 @@ is_valid(bool verbose, int level) const
     }
   }
   //verify that lower level has no down pointers
-  for( Finite_vertices_iterator it = hierarchy[0]->finite_vertices_begin(); 
+  for( Finite_vertices_iterator it = hierarchy[0]->finite_vertices_begin();
        it != hierarchy[0]->finite_vertices_end(); ++it) {
     result = result && ( it->down() == 0 );
   }
 
   //verify that other levels has down pointer and reciprocal link is fine
   for(unsigned int i = 1; i < ag_hierarchy_2__maxlevel; ++i) {
-    for( Finite_vertices_iterator it = hierarchy[i]->finite_vertices_begin(); 
-	 it != hierarchy[i]->finite_vertices_end(); ++it) {
+    for( Finite_vertices_iterator it = hierarchy[i]->finite_vertices_begin();
+         it != hierarchy[i]->finite_vertices_end(); ++it) {
       result = result && ( &*it == &*(it->down()->up()) );
     }
   }
@@ -226,7 +226,7 @@ insert(const Site_2 &p)
   } while ( fc != fc_start );
 
   if ( s != NEGATIVE ) {
-    typename Apollonius_graph_base::Edge_circulator ec_start = 
+    typename Apollonius_graph_base::Edge_circulator ec_start =
       hierarchy[0]->incident_edges(vnear[0]);
     typename Apollonius_graph_base::Edge_circulator ec = ec_start;
 
@@ -235,7 +235,7 @@ insert(const Site_2 &p)
     do {
       e = *ec;
       interior_in_conflict = edge_interior(e, p, false);
-      
+
       if ( interior_in_conflict ) { break; }
       ++ec;
     } while ( ec != ec_start );
@@ -267,36 +267,36 @@ insert(const Site_2 &p)
     std::size_t n_non_hidden = this->number_of_vertices() - n_hidden;
     if ( n_non_hidden < 2 ) {
       for(unsigned int i = 1; i < ag_hierarchy_2__maxlevel; ++i) {
-	hierarchy[i]->clear();
+        hierarchy[i]->clear();
       }
 
       if ( n_non_hidden == 1 ) {
-	Vertex_handle non_hidden;
-	Finite_vertices_iterator vit = this->finite_vertices_begin();
-	do {
-	  non_hidden = Vertex_handle(vit);
-	  ++vit;
-	} while ( v_hidden.find(non_hidden) != v_hidden.end() );
+        Vertex_handle non_hidden;
+        Finite_vertices_iterator vit = this->finite_vertices_begin();
+        do {
+          non_hidden = Vertex_handle(vit);
+          ++vit;
+        } while ( v_hidden.find(non_hidden) != v_hidden.end() );
 
-	non_hidden->set_up( Vertex_handle() );
+        non_hidden->set_up( Vertex_handle() );
       }
     } else {
       typename Apollonius_graph_base::Vertex_map::iterator it;
       for (it = v_hidden.begin(); it != v_hidden.end(); it++) {
-	Vertex_handle v = (*it).first;
-	Vertex_handle u = v->up();
-	if ( u != Vertex_handle() ) {
-	  v = u;
-	  u = v->up();
-	  unsigned int l = 1;
-	  while ( true ) {
-	    hierarchy[l++]->remove(v);
-	    if ( u == Vertex_handle() ) break; 
-	    if(l >= ag_hierarchy_2__maxlevel) { break; }
-	    v = u;
-	    u = v->up();
-	  }
-	}
+        Vertex_handle v = (*it).first;
+        Vertex_handle u = v->up();
+        if ( u != Vertex_handle() ) {
+          v = u;
+          u = v->up();
+          unsigned int l = 1;
+          while ( true ) {
+            hierarchy[l++]->remove(v);
+            if ( u == Vertex_handle() ) break;
+            if(l >= ag_hierarchy_2__maxlevel) { break; }
+            v = u;
+            u = v->up();
+          }
+        }
       }
     }
   }
@@ -315,7 +315,7 @@ insert(const Site_2 &p)
   if ( n_hidden != 0 ) {
     nearest_neighbor(p.point(), vnear);
   }
-      
+
   int level = 1;
   while (level <= vertex_level ){
     vertex = hierarchy[level]->insert(p, vnear[level]);
@@ -328,7 +328,7 @@ insert(const Site_2 &p)
 }
 
 template<class Gt, class Agds, class LTag>
-void 
+void
 Apollonius_graph_hierarchy_2<Gt,Agds,LTag>::
 remove(Vertex_handle v)
 {
@@ -350,7 +350,7 @@ remove(Vertex_handle v)
   unsigned int l = 0;
   while ( true ) {
     hierarchy[l++]->remove(v);
-    if ( u == Vertex_handle() ) break; 
+    if ( u == Vertex_handle() ) break;
     if(l >= ag_hierarchy_2__maxlevel) break;
     v = u;
     u = v->up();
@@ -361,7 +361,7 @@ remove(Vertex_handle v)
 
 
 template<class Gt, class Agds, class LTag>
-typename Apollonius_graph_hierarchy_2<Gt,Agds,LTag>::Vertex_handle 
+typename Apollonius_graph_hierarchy_2<Gt,Agds,LTag>::Vertex_handle
 Apollonius_graph_hierarchy_2<Gt,Agds,LTag>::
 nearest_neighbor(const Point_2& p) const
 {
@@ -393,14 +393,14 @@ template<class Gt, class Agds, class LTa
 void
 Apollonius_graph_hierarchy_2<Gt,Agds,LTag>::
 nearest_neighbor(const Point_2& p,
-		 Vertex_handle vnear[ag_hierarchy_2__maxlevel]) const
+                 Vertex_handle vnear[ag_hierarchy_2__maxlevel]) const
 {
   Vertex_handle nearest = 0;
   unsigned int level  = ag_hierarchy_2__maxlevel;
 
   // find the highest level with enough vertices
-  while ( hierarchy[--level]->number_of_vertices() 
-	  < ag_hierarchy_2__minsize ) {
+  while ( hierarchy[--level]->number_of_vertices()
+          < ag_hierarchy_2__minsize ) {
     if ( !level ) break;  // do not go below 0
   }
   for (unsigned int i = level+1; i < ag_hierarchy_2__maxlevel; ++i) {
@@ -409,7 +409,7 @@ nearest_neighbor(const Point_2& p,
 
   while ( level > 0 ) {
     vnear[level] = nearest =
-      hierarchy[level]->nearest_neighbor(p, nearest);  
+      hierarchy[level]->nearest_neighbor(p, nearest);
 
     CGAL_assertion( !hierarchy[level]->is_infinite(vnear[level]) );
     // go at the same vertex on level below
@@ -424,7 +424,7 @@ template<class Gt, class Agds, class LTa
 int
 Apollonius_graph_hierarchy_2<Gt,Agds,LTag>::
 random_level()
-{  
+{
   boost::geometric_distribution<> proba(1.0/ag_hierarchy_2__ratio);
   boost::variate_generator<boost::rand48&, boost::geometric_distribution<> > die(random, proba);
 
@@ -451,7 +451,7 @@ file_input(std::istream& is)
     V[i].resize(hierarchy[i]->number_of_vertices());
     int j = 0;
     for (Finite_vertices_iterator vit = hierarchy[i]->finite_vertices_begin();
-	 vit != hierarchy[i]->finite_vertices_end(); ++vit, ++j) {
+         vit != hierarchy[i]->finite_vertices_end(); ++vit, ++j) {
       V[i][j] = vit;
     }
   }
@@ -493,7 +493,7 @@ file_output(std::ostream& os) const
   for (unsigned int i = 0; i < ag_hierarchy_2__maxlevel; ++i) {
     int inum = 0;
     for (Finite_vertices_iterator vit = hierarchy[i]->finite_vertices_begin();
-	 vit != hierarchy[i]->finite_vertices_end(); ++vit) {
+         vit != hierarchy[i]->finite_vertices_end(); ++vit) {
       V[i][vit] = inum++;
     }
   }
@@ -504,17 +504,17 @@ file_output(std::ostream& os) const
   // create the map of up and down pointers
   for (unsigned int i = 0; i < ag_hierarchy_2__maxlevel; ++i) {
     for (Finite_vertices_iterator vit = hierarchy[i]->finite_vertices_begin();
-	 vit != hierarchy[i]->finite_vertices_end(); ++vit) {
+         vit != hierarchy[i]->finite_vertices_end(); ++vit) {
       if ( vit->up() != Vertex_handle() ) {
-	V_up[i][vit] = V[i+1][vit->up()];
+        V_up[i][vit] = V[i+1][vit->up()];
       } else {
-	V_up[i][vit] = -1;
+        V_up[i][vit] = -1;
       }
 
       if ( vit->down() != Vertex_handle() ) {
-	V_down[i][vit] = V[i-1][vit->down()];
+        V_down[i][vit] = V[i-1][vit->down()];
       } else {
-	V_down[i][vit] = -1;
+        V_down[i][vit] = -1;
       }
     }
   }
@@ -527,7 +527,7 @@ file_output(std::ostream& os) const
     os << hierarchy[i]->number_of_vertices();
     if ( is_ascii(os) ) { os << std::endl; }
     for (Finite_vertices_iterator vit = hierarchy[i]->finite_vertices_begin();
-	 vit != hierarchy[i]->finite_vertices_end(); ++vit) {
+         vit != hierarchy[i]->finite_vertices_end(); ++vit) {
       os << V[i][vit];
       if ( is_ascii(os) ) { os << " "; }
       os << V_down[i][vit];
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/basic.h 5.0.3-1/include/CGAL/Apollonius_graph_2/basic.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/basic.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/basic.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/basic.h $
-// $Id: basic.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/basic.h $
+// $Id: basic.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Bounded_side_of_ccw_circle_C2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Bounded_side_of_ccw_circle_C2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Bounded_side_of_ccw_circle_C2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Bounded_side_of_ccw_circle_C2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Bounded_side_of_ccw_circle_C2.h $
-// $Id: Bounded_side_of_ccw_circle_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Bounded_side_of_ccw_circle_C2.h $
+// $Id: Bounded_side_of_ccw_circle_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -61,9 +61,9 @@ public:
       // the existence test
       Sign sign_of_root;
       if ( is_first_root ) {
-	sign_of_root = sign_of_first_root(s_beta, s_gamma);
+        sign_of_root = sign_of_first_root(s_beta, s_gamma);
       } else {
-	sign_of_root = sign_of_second_root(s_beta, s_gamma);
+        sign_of_root = sign_of_second_root(s_beta, s_gamma);
       }
       return sign_of_root;
     }
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/check_filter.h 5.0.3-1/include/CGAL/Apollonius_graph_2/check_filter.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/check_filter.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/check_filter.h	1970-01-01 00:00:00.000000000 +0000
@@ -1,38 +0,0 @@
-// Copyright (c) 2003,2004  INRIA Sophia-Antipolis (France).
-// All rights reserved.
-//
-// This file is part of CGAL (www.cgal.org).
-//
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/check_filter.h $
-// $Id: check_filter.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
-// SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
-//
-// Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
-
-
-
-#ifndef CGAL_CHECK_FILTER_H
-#define CGAL_CHECK_FILTER_H
-
-#include <CGAL/license/Apollonius_graph_2.h>
-
-
-#undef CGAL_IA_NEW_FILTERS
-
-namespace CGAL {
-
-template < class T>
-void must_be_filtered(const T&)
-{}
-
-#if defined CGAL_ARITHMETIC_FILTER_H
-template < class CT, class ET, class Type, bool Protection, class Cache>
-void must_be_filtered(const Filtered_exact<CT, ET, Type, Protection,
-		      Cache> &)
-{ dont_compile(CT(), ET()); }
-#endif
-
-}
-
-#endif
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/comparator_profiler.h 5.0.3-1/include/CGAL/Apollonius_graph_2/comparator_profiler.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/comparator_profiler.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/comparator_profiler.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/comparator_profiler.h $
-// $Id: comparator_profiler.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/comparator_profiler.h $
+// $Id: comparator_profiler.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -76,15 +76,15 @@ public:
 
   template< class FT >
   static void count_case(const FT& a1, const FT& b1, const FT& c1,
-			 const FT& a2, const FT& b2, const FT& c2)
+                         const FT& a2, const FT& b2, const FT& c2)
   {
     // works correctly only with leda_real
     FT D1 = CGAL::square(b1) - a1 * c1;
-    
+
     FT l1 = (b1 - CGAL::sqrt(D1)) / a1;
     FT r1 = (b1 + CGAL::sqrt(D1)) / a1;
     if ( a1 < 0 ) { std::swap(r1, l1); }
-    
+
     FT D2 = CGAL::square(b2) - a2 * c2;
 
     if ( D1 == 0 || D2 == 0 ) {
@@ -98,45 +98,45 @@ public:
 
     if ( l1 < l2 ) {
       if ( r1 > r2 ) {
-	FT J = a1 * b2 - a2 * b1;
-	if ( J > 0 ) {
-	  case_3b_Jpos_counter++;
-	} else if ( J < 0 ) {
-	  case_3b_Jneg_counter++;
-	} else {
-	  case_degenerate_counter++;
-	}
+        FT J = a1 * b2 - a2 * b1;
+        if ( J > 0 ) {
+          case_3b_Jpos_counter++;
+        } else if ( J < 0 ) {
+          case_3b_Jneg_counter++;
+        } else {
+          case_degenerate_counter++;
+        }
       } else if ( r1 < r2 ) {
-	if ( r1 < l2 ) {
-	  case_5_counter++;
-	} else if ( r1 > l2 ) {
-	  case_4_counter++;
-	} else {
-	  case_degenerate_counter++;
-	}
+        if ( r1 < l2 ) {
+          case_5_counter++;
+        } else if ( r1 > l2 ) {
+          case_4_counter++;
+        } else {
+          case_degenerate_counter++;
+        }
       } else {
-	case_degenerate_counter++;
+        case_degenerate_counter++;
       }
     } else if ( l1 > l2 ) {
       if ( r1 < r2 ) {
-	FT J = a1 * b2 - a2 * b1;
-	if ( J > 0 ) {
-	  case_3a_Jpos_counter++;
-	} else if ( J < 0 ) {
-	  case_3a_Jneg_counter++;
-	} else {
-	  case_degenerate_counter++;
-	}
+        FT J = a1 * b2 - a2 * b1;
+        if ( J > 0 ) {
+          case_3a_Jpos_counter++;
+        } else if ( J < 0 ) {
+          case_3a_Jneg_counter++;
+        } else {
+          case_degenerate_counter++;
+        }
       } else if ( r1 > r2 ) {
-	if ( l1 < r2 ) {
-	  case_2_counter++;
-	} else if ( l1 > r2 ) {
-	  case_1_counter++;
-	} else {
-	  case_degenerate_counter++;
-	}
+        if ( l1 < r2 ) {
+          case_2_counter++;
+        } else if ( l1 > r2 ) {
+          case_1_counter++;
+        } else {
+          case_degenerate_counter++;
+        }
       } else {
-	case_degenerate_counter++;
+        case_degenerate_counter++;
       }
     } else {
       case_degenerate_counter++;
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/compare_quadratic.h 5.0.3-1/include/CGAL/Apollonius_graph_2/compare_quadratic.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/compare_quadratic.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/compare_quadratic.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/compare_quadratic.h $
-// $Id: compare_quadratic.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/compare_quadratic.h $
+// $Id: compare_quadratic.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -71,7 +71,7 @@ value_of_K(const FT& a1c2, const FT& a2c
 template < class FT >
 inline FT
 value_of_K(const FT& a1, const FT& b1, const FT& c1,
-	   const FT& a2, const FT& b2, const FT& c2)
+           const FT& a2, const FT& b2, const FT& c2)
 {
   return c1 * a2 + a1 * c2 - FT(2) * b1 * b2;
 }
@@ -79,8 +79,8 @@ value_of_K(const FT& a1, const FT& b1, c
 template < class FT >
 inline FT
 value_of_R0(const FT&  J, const FT& Jp,
-	    const FT& a1, const FT& c1,
-	    const FT& a2, const FT& c2)
+            const FT& a1, const FT& c1,
+            const FT& a2, const FT& c2)
 {
   return CGAL::square(a1 * c2 - c1 * a2) - FT(4) * J * Jp;
 }
@@ -158,18 +158,18 @@ value_of_Q3(const FT& b2, const FT& a2,
 template < class FT >
 inline FT
 value_of_Q3(const FT& a2, const FT& b2, const FT& J, const FT& G,
-	    const FT& K)
+            const FT& K)
 {
   return FT(2) * b2 * J - a2 * (G - K);
-} 
+}
 
 template < class FT >
 inline FT
 value_of_Q3p(const FT& a1, const FT& b1, const FT& J, const FT& G,
-	     const FT& K)
+             const FT& K)
 {
   return a1 * (G + K) - FT(2) * b1 * J;
-} 
+}
 
 
 //--------------------------------------------------------------------
@@ -180,7 +180,7 @@ template < class FT >
 inline
 Comparison_result
 sqrt_compare_l1_l2(const FT& a1, const FT& b1, const FT& c1,
-		   const FT& a2, const FT& b2, const FT& c2)
+                   const FT& a2, const FT& b2, const FT& c2)
 {
   FT D1 = value_of_D(a1, b1, c1);
   FT D2 = value_of_D(a2, b2, c2);
@@ -195,7 +195,7 @@ template < class FT >
 inline
 Comparison_result
 sqrt_compare_l1_r2(const FT& a1, const FT& b1, const FT& c1,
-		   const FT& a2, const FT& b2, const FT& c2)
+                   const FT& a2, const FT& b2, const FT& c2)
 {
   FT D1 = value_of_D(a1, b1, c1);
   FT D2 = value_of_D(a2, b2, c2);
@@ -211,7 +211,7 @@ template < class FT >
 inline
 Comparison_result
 sqrt_compare_r1_l2(const FT& a1, const FT& b1, const FT& c1,
-		   const FT& a2, const FT& b2, const FT& c2)
+                   const FT& a2, const FT& b2, const FT& c2)
 {
   FT D1 = value_of_D(a1, b1, c1);
   FT D2 = value_of_D(a2, b2, c2);
@@ -226,7 +226,7 @@ template < class FT >
 inline
 Comparison_result
 sqrt_compare_r1_r2(const FT& a1, const FT& b1, const FT& c1,
-		   const FT& a2, const FT& b2, const FT& c2)
+                   const FT& a2, const FT& b2, const FT& c2)
 {
   FT D1 = value_of_D(a1, b1, c1);
   FT D2 = value_of_D(a2, b2, c2);
@@ -248,34 +248,34 @@ template < class FT >
 inline
 Comparison_result
 dfmt_compare_l1_l2(const FT& a1, const FT& b1, const FT& c1,
-		   const FT& a2, const FT& b2, const FT& c2)
+                   const FT& a2, const FT& b2, const FT& c2)
 {
   FT J = value_of_J(a1, b1, a2, b2);
   FT K = value_of_K(a1, b1, c1, a2, b2, c2);
-    
+
   if ( CGAL::is_positive(J) ) {
     if ( CGAL::is_positive(K) )  return SMALLER;  // l1 < l2
-	
+
     FT D1 = value_of_D(a1, b1, c1);
     FT D2 = value_of_D(a2, b2, c2);
 
     FT D = value_of_D(a1, D1, a2, D2);
 
     if ( CGAL::is_positive(D) )  return SMALLER;  // l1 < l2
-	
+
     FT Jp = value_of_Jp(b1, c1, b2, c2);
 
     if ( CGAL::is_negative(Jp) )  return LARGER;   // l1 > l2
-	
+
     FT R0 = value_of_R0(D1, D2, K);
-	
+
     Sign s_R0 = CGAL::sign(R0);
     if ( s_R0 == NEGATIVE )  return SMALLER;  // l1 < l2
     if ( s_R0 == POSITIVE )  return LARGER;   // l1 > l2
     return EQUAL;
   } else { // J<0
     if ( CGAL::is_positive(K) )  return LARGER;   // l1 > l2
-	
+
     FT D1 = value_of_D(a1, b1, c1);
     FT D2 = value_of_D(a2, b2, c2);
 
@@ -300,7 +300,7 @@ template < class FT >
 inline
 Comparison_result
 dfmt_compare_l1_r2(const FT& a1, const FT& b1, const FT& c1,
-		   const FT& a2, const FT& b2, const FT& c2)
+                   const FT& a2, const FT& b2, const FT& c2)
 {
   FT J = value_of_J(a1, b1, a2, b2);
 
@@ -311,11 +311,11 @@ dfmt_compare_l1_r2(const FT& a1, const F
   if ( CGAL::is_negative(K) ) return SMALLER;   // l1 < r2
 
   FT Jp = value_of_Jp(b1, c1, b2, c2);
-    
+
   if ( CGAL::is_positive(Jp) ) return LARGER;  // l1 > r2
-    
+
   FT R0 = value_of_R0(J, Jp, a1, c1, a2, c2);
-    
+
   Sign s_R0 = CGAL::sign(R0);
   if ( s_R0 == NEGATIVE ) return SMALLER;   // l1 < r2
   if ( s_R0 == POSITIVE ) return LARGER;    // l1 > r2
@@ -328,7 +328,7 @@ template < class FT >
 inline
 Comparison_result
 dfmt_compare_r1_l2(const FT& a1, const FT& b1, const FT& c1,
-		   const FT& a2, const FT& b2, const FT& c2)
+                   const FT& a2, const FT& b2, const FT& c2)
 {
   FT J = value_of_J(a1, b1, a2, b2);
 
@@ -339,11 +339,11 @@ dfmt_compare_r1_l2(const FT& a1, const F
   if ( CGAL::is_negative(K) ) return LARGER;   // r1 > l2
 
   FT Jp = value_of_Jp(b1, c1, b2, c2);
-    
+
   if ( CGAL::is_negative(Jp) ) return SMALLER;  // r1 < l2
-    
+
   FT R0 = value_of_R0(J, Jp, a1, c1, a2, c2);
-    
+
   Sign s_R0 = CGAL::sign(R0);
   if ( s_R0 == NEGATIVE ) return LARGER;   // r1 > l2
   if ( s_R0 == POSITIVE ) return SMALLER;  // r1 < l2
@@ -354,7 +354,7 @@ template < class FT >
 inline
 Comparison_result
 dfmt_compare_r1_r2(const FT& a1, const FT& b1, const FT& c1,
-		   const FT& a2, const FT& b2, const FT& c2)
+                   const FT& a2, const FT& b2, const FT& c2)
 {
 #ifdef COMPARATOR_PROFILER
   comparator_profiler::counter_rr++;
@@ -362,14 +362,14 @@ dfmt_compare_r1_r2(const FT& a1, const F
 
   FT J = value_of_J(a1, b1, a2, b2);
   FT K = value_of_K(a1, b1, c1, a2, b2, c2);
-    
+
   if ( CGAL::is_positive(J) ){
     if ( CGAL::is_positive(K) )  return SMALLER;   // r1 < r2   1,2
 
 #ifdef COMPARATOR_PROFILER
     comparator_profiler::counter_rr_e++;
 #endif
-	
+
     FT D1 = value_of_D(a1, b1, c1);
     FT D2 = value_of_D(a2, b2, c2);
 
@@ -402,9 +402,9 @@ dfmt_compare_r1_r2(const FT& a1, const F
     FT D2 = value_of_D(a2, b2, c2);
 
     FT D = value_of_D(a1, D1, a2, D2);
-	
+
     if ( CGAL::is_positive(D) )  return LARGER;   // r1 > r2    3a,4
-	
+
 #ifdef COMPARATOR_PROFILER
     comparator_profiler::counter_rr_r0++;
 #endif
@@ -430,7 +430,7 @@ template < class FT >
 inline
 Comparison_result
 ke_compare_l1_l2(const FT& a1, const FT& b1, const FT& c1,
-		 const FT& a2, const FT& b2, const FT& c2)
+                 const FT& a2, const FT& b2, const FT& c2)
 {
   FT J = value_of_J(a1, b1, a2, b2);
   Sign s_J = CGAL::sign(J);
@@ -504,7 +504,7 @@ template < class FT >
 inline
 Comparison_result
 ke_compare_l1_r2(const FT& a1, const FT& b1, const FT& c1,
-		 const FT& a2, const FT& b2, const FT& c2)
+                 const FT& a2, const FT& b2, const FT& c2)
 {
   FT J = value_of_J(a1, b1, a2, b2);
   Sign s_J = CGAL::sign(J);
@@ -542,11 +542,11 @@ ke_compare_l1_r2(const FT& a1, const FT&
 #endif
 
   FT Jp = value_of_Jp(b1, c1, b2, c2);
-    
+
   if ( CGAL::is_positive(Jp) ) { return LARGER; }
 
   FT P4 = value_of_P4<FT>(J, Jp, a1c2 - a2c1);
-    
+
   Sign s_P4 = CGAL::sign(P4);
   if ( s_P4 == POSITIVE ) { return SMALLER; }
   if ( s_P4 == NEGATIVE ) { return LARGER; }
@@ -557,7 +557,7 @@ template < class FT >
 inline
 Comparison_result
 ke_compare_r1_l2(const FT& a1, const FT& b1, const FT& c1,
-		 const FT& a2, const FT& b2, const FT& c2)
+                 const FT& a2, const FT& b2, const FT& c2)
 {
   FT J = value_of_J(a1, b1, a2, b2);
   Sign s_J = CGAL::sign(J);
@@ -596,9 +596,9 @@ ke_compare_r1_l2(const FT& a1, const FT&
 #endif
 
   FT Jp = value_of_Jp(b1, c1, b2, c2);
-    
+
   if ( CGAL::is_negative(Jp) ) { return SMALLER; }
-    
+
   FT P4 = value_of_P4<FT>(J, Jp, a1c2 - a2c1);
 
   Sign s_P4 = CGAL::sign(P4);
@@ -611,7 +611,7 @@ template < class FT >
 inline
 Comparison_result
 ke_compare_r1_r2(const FT& a1, const FT& b1, const FT& c1,
-		 const FT& a2, const FT& b2, const FT& c2)
+                 const FT& a2, const FT& b2, const FT& c2)
 {
 #ifdef COMPARATOR_PROFILER
   comparator_profiler::counter_rr++;
@@ -624,7 +624,7 @@ ke_compare_r1_r2(const FT& a1, const FT&
   FT a2c1 = a2 * c1;
   FT K = value_of_K<FT>(a1c2, a2c1, b1 * b2);
   Sign s_K = CGAL::sign(K);
-    
+
   if ( s_J == POSITIVE ) {
     if ( s_K == POSITIVE )  { return SMALLER; }
     else if ( s_K == NEGATIVE ) {
@@ -705,14 +705,14 @@ ke_compare_r1_r2(const FT& a1, const FT&
 
 //--------------------------------------------------------------------
 //--------------------------------------------------------------------
-// the following functions do the filtering for the r1-r2 tree without 
+// the following functions do the filtering for the r1-r2 tree without
 // using C++ exceptions
 
 template < class CT, class ET >
 inline
 Comparison_result
 sqrt_compare_r1_r2_filtered(const CT& a1, const CT& b1, const CT& c1,
-			    const CT& a2, const CT& b2, const CT& c2)
+                            const CT& a2, const CT& b2, const CT& c2)
 {
   typedef Interval_nt<false> IT;
 
@@ -734,7 +734,7 @@ sqrt_compare_r1_r2_filtered(const CT& a1
   if ( r1.inf() > r2.sup() ) { return LARGER; }
 
   return sqrt_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-			    ET(a2), ET(b2), ET(c2));
+                            ET(a2), ET(b2), ET(c2));
 }
 
 //--------------------------------------------------------------------
@@ -743,7 +743,7 @@ template < class CT, class ET >
 inline
 Comparison_result
 dfmt_compare_r1_r2_filtered(const CT& a1, const CT& b1, const CT& c1,
-			    const CT& a2, const CT& b2, const CT& c2)
+                            const CT& a2, const CT& b2, const CT& c2)
 {
   typedef Interval_nt<false> IT;
 
@@ -764,7 +764,7 @@ dfmt_compare_r1_r2_filtered(const CT& a1
     if ( K.sup() > 0 ) {
       FPU_set_cw(backup);
       return dfmt_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-				ET(a2), ET(b2), ET(c2));
+                                ET(a2), ET(b2), ET(c2));
     }
 
     IT D1 = value_of_D(a1i, b1i, c1i);
@@ -779,7 +779,7 @@ dfmt_compare_r1_r2_filtered(const CT& a1
     if ( D.inf() < 0 ) {
       FPU_set_cw(backup);
       return dfmt_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-				ET(a2), ET(b2), ET(c2));
+                                ET(a2), ET(b2), ET(c2));
     }
 
     IT Jp = value_of_Jp(b1i, c1i, b2i, c2i);
@@ -791,9 +791,9 @@ dfmt_compare_r1_r2_filtered(const CT& a1
     if ( Jp.inf() < 0 ) {
       FPU_set_cw(backup);
       return dfmt_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-				ET(a2), ET(b2), ET(c2));
+                                ET(a2), ET(b2), ET(c2));
     }
-    
+
 
     IT R0 = value_of_R0(D1, D2, K);
     FPU_set_cw(backup);
@@ -801,11 +801,11 @@ dfmt_compare_r1_r2_filtered(const CT& a1
     if ( R0.sup() < 0 ) { return SMALLER; }
     if ( R0.inf() > 0 ) { return LARGER; }
     return dfmt_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-			      ET(a2), ET(b2), ET(c2));
+                              ET(a2), ET(b2), ET(c2));
   } else if ( J.sup() > 0 ) {
     FPU_set_cw(backup);
     return dfmt_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-			      ET(a2), ET(b2), ET(c2));
+                              ET(a2), ET(b2), ET(c2));
   } else { // J < 0
     if ( K.inf() > 0 ) {
       FPU_set_cw(backup);
@@ -814,7 +814,7 @@ dfmt_compare_r1_r2_filtered(const CT& a1
     if ( K.sup() > 0 ) {
       FPU_set_cw(backup);
       return dfmt_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-				ET(a2), ET(b2), ET(c2));
+                                ET(a2), ET(b2), ET(c2));
     }
 
     IT D1 = value_of_D(a1i, b1i, c1i);
@@ -829,7 +829,7 @@ dfmt_compare_r1_r2_filtered(const CT& a1
     if ( D.sup() > 0 ) {
       FPU_set_cw(backup);
       return dfmt_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-				ET(a2), ET(b2), ET(c2));
+                                ET(a2), ET(b2), ET(c2));
     }
 
 
@@ -842,7 +842,7 @@ dfmt_compare_r1_r2_filtered(const CT& a1
     if ( Jp.sup() > 0 ) {
       FPU_set_cw(backup);
       return dfmt_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-				ET(a2), ET(b2), ET(c2));
+                                ET(a2), ET(b2), ET(c2));
     }
 
     IT R0 = value_of_P4(D1, D2, K);
@@ -852,7 +852,7 @@ dfmt_compare_r1_r2_filtered(const CT& a1
     if ( R0.inf() > 0 ) { return SMALLER; }
 
     return dfmt_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-			      ET(a2), ET(b2), ET(c2));
+                              ET(a2), ET(b2), ET(c2));
   }
 }
 
@@ -862,7 +862,7 @@ template < class CT, class ET >
 inline
 Comparison_result
 ke_compare_r1_r2_filtered(const CT& a1, const CT& b1, const CT& c1,
-			  const CT& a2, const CT& b2, const CT& c2)
+                          const CT& a2, const CT& b2, const CT& c2)
 {
   typedef Interval_nt<false> IT;
 
@@ -878,9 +878,9 @@ ke_compare_r1_r2_filtered(const CT& a1,
   IT a2c1 = a2i * c1i;
 
   IT K = value_of_K(a1c2, a2c1, b1i * b2i);
-    
+
   if ( J.inf() > 0 ) {
-    if ( K.inf() > 0 )  { 
+    if ( K.inf() > 0 )  {
       FPU_set_cw(backup);
       return SMALLER;
     } else if ( K.sup() < 0 ) {
@@ -888,25 +888,25 @@ ke_compare_r1_r2_filtered(const CT& a1,
       IT P3inf = value_of_P3inf(a1i, b1i, J, G);
 
       if ( P3inf.inf() >= 0 ) {
-	FPU_set_cw(backup);
-	return SMALLER;
+        FPU_set_cw(backup);
+        return SMALLER;
       }
       if ( P3inf.sup() > 0 ) {
-	FPU_set_cw(backup);
-	return ke_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-				ET(a2), ET(b2), ET(c2));
+        FPU_set_cw(backup);
+        return ke_compare_r1_r2(ET(a1), ET(b1), ET(c1),
+                                ET(a2), ET(b2), ET(c2));
       }
 
       IT Jp = value_of_Jp(b1i, c1i, b2i, c2i);
 
       if ( Jp.sup() < 0 ) {
-	FPU_set_cw(backup);
-	return LARGER;
+        FPU_set_cw(backup);
+        return LARGER;
       }
       if ( Jp.inf() < 0 ) {
-	FPU_set_cw(backup);
-	return ke_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-				ET(a2), ET(b2), ET(c2));
+        FPU_set_cw(backup);
+        return ke_compare_r1_r2(ET(a1), ET(b1), ET(c1),
+                                ET(a2), ET(b2), ET(c2));
       }
 
       IT P4 = value_of_P4(J, Jp, G);
@@ -916,11 +916,11 @@ ke_compare_r1_r2_filtered(const CT& a1,
       if ( P4.sup() < 0 ) { return LARGER; }
 
       return ke_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-			      ET(a2), ET(b2), ET(c2));
+                              ET(a2), ET(b2), ET(c2));
     } else {
       FPU_set_cw(backup);
       return ke_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-			      ET(a2), ET(b2), ET(c2));
+                              ET(a2), ET(b2), ET(c2));
     }
   } else if ( J.sup() < 0 ) { // J < 0
     if ( K.inf() > 0 ) {
@@ -931,25 +931,25 @@ ke_compare_r1_r2_filtered(const CT& a1,
       IT P3inf = value_of_P3inf(a1i, b1i, J, G);
 
       if ( P3inf.sup() <= 0 ) {
-	FPU_set_cw(backup);
-	return LARGER;
+        FPU_set_cw(backup);
+        return LARGER;
       }
       if ( P3inf.inf() < 0 ) {
-	FPU_set_cw(backup);
-	return ke_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-				ET(a2), ET(b2), ET(c2));
+        FPU_set_cw(backup);
+        return ke_compare_r1_r2(ET(a1), ET(b1), ET(c1),
+                                ET(a2), ET(b2), ET(c2));
       }
 
       IT Jp = value_of_Jp(b1i, c1i, b2i, c2i);
 
       if ( Jp.inf() > 0 ) {
-	FPU_set_cw(backup);
-	return SMALLER;
+        FPU_set_cw(backup);
+        return SMALLER;
       }
       if ( Jp.sup() > 0 ) {
-	FPU_set_cw(backup);
-	return ke_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-				ET(a2), ET(b2), ET(c2));
+        FPU_set_cw(backup);
+        return ke_compare_r1_r2(ET(a1), ET(b1), ET(c1),
+                                ET(a2), ET(b2), ET(c2));
       }
 
       IT P4 = value_of_P4(J, Jp, G);
@@ -959,16 +959,16 @@ ke_compare_r1_r2_filtered(const CT& a1,
       if ( P4.sup() < 0 ) { return SMALLER; }
 
       return ke_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-			      ET(a2), ET(b2), ET(c2));
+                              ET(a2), ET(b2), ET(c2));
     } else {
       FPU_set_cw(backup);
       return ke_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-			      ET(a2), ET(b2), ET(c2));
+                              ET(a2), ET(b2), ET(c2));
     }
   } else { // J = ?
     FPU_set_cw(backup);
     return ke_compare_r1_r2(ET(a1), ET(b1), ET(c1),
-			    ET(a2), ET(b2), ET(c2));
+                            ET(a2), ET(b2), ET(c2));
   }
 }
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Compare_weight_2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Compare_weight_2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Compare_weight_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Compare_weight_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Compare_weight_2.h $
-// $Id: Compare_weight_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Compare_weight_2.h $
+// $Id: Compare_weight_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Compare_x_2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Compare_x_2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Compare_x_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Compare_x_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Compare_x_2.h $
-// $Id: Compare_x_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Compare_x_2.h $
+// $Id: Compare_x_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Compare_y_2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Compare_y_2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Compare_y_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Compare_y_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Compare_y_2.h $
-// $Id: Compare_y_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Compare_y_2.h $
+// $Id: Compare_y_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Constructions_C2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Constructions_C2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Constructions_C2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Constructions_C2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Constructions_C2.h $
-// $Id: Constructions_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Constructions_C2.h $
+// $Id: Constructions_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -49,15 +49,15 @@ template < class Gt >
 inline
 typename Gt::Point_2
 ad_circumcenter_2(const typename Gt::Site_2& p,
-		  const typename Gt::Site_2& q,
-		  const typename Gt::Site_2& r)
+                  const typename Gt::Site_2& q,
+                  const typename Gt::Site_2& r)
 {
   typedef typename Gt::Point_2  Point_2;
 
   typename Gt::FT     x,y;
   ad_circumcenterC2(p.x(),p.y(),p.weight(),
-	       	    q.x(),q.y(),q.weight(),
-		    r.x(),r.y(),r.weight(),x,y);
+                           q.x(),q.y(),q.weight(),
+                    r.x(),r.y(),r.weight(),x,y);
   return Point_2(x,y);
 }
 
@@ -94,8 +94,8 @@ ad_circumcircle_2(const typename Gt::Sit
 
   typename Gt::FT x, y, wt;
   ad_circumcircleC2(p.x(),p.y(),p.weight(),
-		    q.x(),q.y(),q.weight(),
-		    r.x(),r.y(),r.weight(),x,y,wt);
+                    q.x(),q.y(),q.weight(),
+                    r.x(),r.y(),r.weight(),x,y,wt);
   return Site_2(Point_2(x,y), wt);
 }
 
@@ -103,14 +103,14 @@ template < class Gt >
 inline
 typename Gt::Line_2
 ad_left_bitangent_line_2(const typename Gt::Site_2& p,
-			 const typename Gt::Site_2& q)
+                         const typename Gt::Site_2& q)
 {
   typedef typename Gt::Line_2  Line_2;
 
   typename Gt::FT a, b, c;
   ad_left_bitangent_lineC2(p.x(),p.y(),p.weight(),
-			   q.x(),q.y(),q.weight(),
-			   a,b,c);
+                           q.x(),q.y(),q.weight(),
+                           a,b,c);
   return Line_2(a, b, c);
 }
 
@@ -130,15 +130,15 @@ public:
 #endif
 
   inline Site_2 operator()(const Site_2& p,
-			   const Site_2& q,
-			   const Site_2& r) const
+                           const Site_2& q,
+                           const Site_2& r) const
   {
     //      CGAL_precondition( ! collinear(p, q, r) );
     return ad_circumcircle_2< Gt >(p,q,r);
   }
 
   inline Line_2 operator()(const Site_2 &p,
-			   const Site_2 &q) const
+                           const Site_2 &q) const
   {
     return ad_left_bitangent_line_2< Gt >(p, q);
   }
@@ -169,7 +169,7 @@ private:
   }
 
 public:
-  Object_2 operator() (const Site_2& p,	const Site_2& q) const
+  Object_2 operator() (const Site_2& p,        const Site_2& q) const
   {
     Comparison_result cr = CGAL::compare(p.weight(), q.weight());
     if ( cr == EQUAL ) {
@@ -212,9 +212,9 @@ private:
 public:
   Object_2
   operator() (const Site_2& p,
-	      const Site_2& q,
-	      const Point_2& r,
-	      const Hyperbola_direction& direction) const {
+              const Site_2& q,
+              const Point_2& r,
+              const Hyperbola_direction& direction) const {
     //
     Comparison_result cr = CGAL::compare(p.weight(), q.weight());
     if ( cr == EQUAL ) {
@@ -229,8 +229,8 @@ public:
 
   Object_2
   operator() (const Site_2& p,
-	      const Site_2& q,
-	      const Site_2& r) const {
+              const Site_2& q,
+              const Site_2& r) const {
     Point_2 c = Apollonius_vertex_2()(p, q, r);
     Comparison_result cr = CGAL::compare(p.weight(), q.weight());
     if ( cr == EQUAL ) {
@@ -265,12 +265,12 @@ private:
   Object_2 make_object(const T& t) const
   {
     return Construct_object_2()(t);
-  } 
+  }
 
 public:
   inline Object_2 operator() (const Site_2& p,
-			      const Site_2& q,
-			      const Point_2& r, const Point_2& s) const {
+                              const Site_2& q,
+                              const Point_2& r, const Point_2& s) const {
     //
     Comparison_result cr = CGAL::compare(p.weight(), q.weight());
     if ( cr == EQUAL ) {
@@ -282,9 +282,9 @@ public:
   }
 
   inline Object_2 operator() (const Site_2& p,
-			      const Site_2& q,
-			      const Site_2& r,
-			      const Site_2& s) const {
+                              const Site_2& q,
+                              const Site_2& r,
+                              const Site_2& s) const {
     Apollonius_vertex_2 apollonius_vertex_2;
     Point_2 c_pqr = apollonius_vertex_2(p,q,r);
     Point_2 c_qps = apollonius_vertex_2(q,p,s);
@@ -319,8 +319,8 @@ public:
   typedef typename Gt::Construct_Apollonius_site_2    Apollonius_circle_2;
 
   inline Ray_2 operator() (const Site_2& p,
-			   const Site_2& r,
-			   const Site_2& s) const {
+                           const Site_2& r,
+                           const Site_2& s) const {
     //
     Apollonius_circle_2 apollonius_circle_2;
     Line_2 l1 = apollonius_circle_2(r, p);
@@ -367,15 +367,15 @@ public:
 
   inline Segment_2
   operator() (const Site_2& p,
-	      const Site_2& q) const {
+              const Site_2& q) const {
     //
     return Segment_2(p.point(), q.point());
   }
 
   inline Object_2
   operator() (const Site_2& p,
-	      const Site_2& q,
-	      const Point_2& r, const Point_2& s) const {
+              const Site_2& q,
+              const Point_2& r, const Point_2& s) const {
     //
     Comparison_result cr = CGAL::compare(p.weight(), q.weight());
     if ( cr == EQUAL ) {
@@ -388,9 +388,9 @@ public:
 
   inline Object_2
   operator() (const Site_2& p,
-	      const Site_2& q,
-	      const Site_2& r,
-	      const Site_2& s) const {
+              const Site_2& q,
+              const Site_2& r,
+              const Site_2& s) const {
     if ( Is_degenerate_edge_2()(p, q, r, s) ) {
       Point_2 v = Apollonius_vertex_2()(p, q, r);
       Segment_2 seg1(p.point(), v);
@@ -412,8 +412,8 @@ public:
 
   inline Parabola_segment_2
   operator() (const Site_2& p,
-	      const Site_2& q,
-	      const Site_2& r) const {
+              const Site_2& q,
+              const Site_2& r) const {
     //
     Apollonius_circle_2 apollonius_circle_2;
     Site_2 c = apollonius_circle_2(p, q, r);
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Constructions_ftC2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Constructions_ftC2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Constructions_ftC2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Constructions_ftC2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Constructions_ftC2.h $
-// $Id: Constructions_ftC2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Constructions_ftC2.h $
+// $Id: Constructions_ftC2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -29,7 +29,7 @@ template < class FT >
 inline
 void
 invert_C2(const FT &x, const FT &y, const FT &wt,
-	  FT &new_x, FT &new_y, FT &new_wt)
+          FT &new_x, FT &new_y, FT &new_wt)
 {
   FT p = CGAL::square(x) + CGAL::square(y) - CGAL::square(wt);
 
@@ -44,9 +44,9 @@ invert_C2(const FT &x, const FT &y, cons
 template < class FT >
 void
 w_plane_tangent_line_2(const FT &x1, const FT &y1, const FT &w1,
-		       const FT &x2, const FT &y2, const FT &w2,
-		       const FT &x3, const FT &y3, const FT &w3,
-		       FT       & a, FT       & b, FT       & c)
+                       const FT &x2, const FT &y2, const FT &w2,
+                       const FT &x3, const FT &y3, const FT &w3,
+                       FT       & a, FT       & b, FT       & c)
 {
   // we assume that the weight w1 is the smallest among w1, w2, w3.
 
@@ -79,15 +79,15 @@ template < class FT >
 inline
 void
 z_plane_circumcircle_2(const FT &x1, const FT &y1, const FT &w1,
-		       const FT &x2, const FT &y2, const FT &w2,
-		       const FT &x3, const FT &y3, const FT &w3,
-		       FT       &cx, FT       &cy, FT      &cwt)
+                       const FT &x2, const FT &y2, const FT &w2,
+                       const FT &x3, const FT &y3, const FT &w3,
+                       FT       &cx, FT       &cy, FT      &cwt)
 {
   // we assume that the weight w1 is the smallest among w1, w2, w3.
 
   FT a, b, c;
   w_plane_tangent_line_2(x1, y1, w1, x2, y2, w2,
-			 x3, y3, w3, a, b, c);
+                         x3, y3, w3, a, b, c);
 
   cx = -a / (FT(2) * c) + x1;
   cy =  b / (FT(2) * c) + y1;
@@ -95,7 +95,7 @@ z_plane_circumcircle_2(const FT &x1, con
   // this the only part that is computed at vain when only the center
   // is needed.
 #if 0
-  FT cwt2 = (CGAL::square(a) + CGAL::square(b)) / 
+  FT cwt2 = (CGAL::square(a) + CGAL::square(b)) /
     (FT(4) * CGAL::square(c));
 #endif
   //  cwt = CGAL::sqrt(cwt2) - FT(w1);
@@ -107,52 +107,52 @@ z_plane_circumcircle_2(const FT &x1, con
 template < class FT >
 void
 ad_circumcircleC2(const FT &x1, const FT &y1, const FT &w1,
-		  const FT &x2, const FT &y2, const FT &w2,
-		  const FT &x3, const FT &y3, const FT &w3,
-		  FT       &cx, FT       &cy, FT      &cwt)
+                  const FT &x2, const FT &y2, const FT &w2,
+                  const FT &x3, const FT &y3, const FT &w3,
+                  FT       &cx, FT       &cy, FT      &cwt)
 {
   if (CGAL::compare(w2, w1) != LARGER &&
       CGAL::compare(w2, w3) != LARGER) {
     z_plane_circumcircle_2(x2, y2, w2,
-			   x3, y3, w3,
-			   x1, y1, w1,
-			   cx, cy, cwt);
+                           x3, y3, w3,
+                           x1, y1, w1,
+                           cx, cy, cwt);
     return;
   } else if (CGAL::compare(w3, w1) != LARGER &&
-	     CGAL::compare(w3, w2) != LARGER) {
+             CGAL::compare(w3, w2) != LARGER) {
     z_plane_circumcircle_2(x3, y3, w3,
-			   x1, y1, w1,
-			   x2, y2, w2,
-			   cx, cy, cwt);
+                           x1, y1, w1,
+                           x2, y2, w2,
+                           cx, cy, cwt);
     return;
   }
   z_plane_circumcircle_2(x1, y1, w1,
-			 x2, y2, w2,
-			 x3, y3, w3,
-			 cx, cy, cwt);
+                         x2, y2, w2,
+                         x3, y3, w3,
+                         cx, cy, cwt);
 }
 
 template < class FT >
 inline
 void
 ad_circumcenterC2(const FT &x1, const FT &y1, const FT &w1,
-		  const FT &x2, const FT &y2, const FT &w2,
-		  const FT &x3, const FT &y3, const FT &w3,
-		  FT       &cx, FT       &cy)
+                  const FT &x2, const FT &y2, const FT &w2,
+                  const FT &x3, const FT &y3, const FT &w3,
+                  FT       &cx, FT       &cy)
 {
   FT cwt;
   ad_circumcircleC2(x1, y1, w1,
-		    x2, y2, w2,
-		    x3, y3, w3,
-		    cx, cy, cwt);
+                    x2, y2, w2,
+                    x3, y3, w3,
+                    cx, cy, cwt);
 }
 
 
 template < class FT >
 void
 ad_left_bitangent_lineC2(const FT &x1, const FT &y1, const FT &w1,
-			 const FT &x2, const FT &y2, const FT &w2,
-			 FT       & a, FT       & b, FT       & c)
+                         const FT &x2, const FT &y2, const FT &w2,
+                         FT       & a, FT       & b, FT       & c)
 {
   FT dx = x1 - x2;
   FT dy = y1 - y2;
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Constructions_rtH2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Constructions_rtH2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Constructions_rtH2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Constructions_rtH2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Constructions_rtH2.h $
-// $Id: Constructions_rtH2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Constructions_rtH2.h $
+// $Id: Constructions_rtH2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -28,36 +28,36 @@ template < class RT, class We >
 inline
 void
 ad_circumcenterH2(const RT &hx1, const RT &hy1, const RT &hw1,
-		  const We &w1,
-		  const RT &hx2, const RT &hy2, const RT &hw2,
-		  const We &w2,
-		  const RT &hx3, const RT &hy3, const RT &hw3,
-		  const We &w3,
-		  RT       & cx, RT       & cy, RT       & cw)
+                  const We &w1,
+                  const RT &hx2, const RT &hy2, const RT &hw2,
+                  const We &w2,
+                  const RT &hx3, const RT &hy3, const RT &hw3,
+                  const We &w3,
+                  RT       & cx, RT       & cy, RT       & cw)
 {
   We cwt;
   ad_circumcircleH2(hx1, hy1, hw1, w1,
-		    hx2, hy2, hw2, w2,
-		    hx3, hy3, hw3, w3,
-		    cx, cy, cw, cwt);
+                    hx2, hy2, hw2, w2,
+                    hx3, hy3, hw3, w3,
+                    cx, cy, cw, cwt);
 }
 
 template < class RT, class We >
 inline
 void
 ad_circumcircleH2(const RT &hx1, const RT &hy1, const RT &hw1,
-		  const We &w1,
-		  const RT &hx2, const RT &hy2, const RT &hw2,
-		  const We &w2,
-		  const RT &hx3, const RT &hy3, const RT &hw3,
-		  const We &w3,
-		  RT       & cx, RT       & cy, RT       & cw,
-		  We      &cwt)
+                  const We &w1,
+                  const RT &hx2, const RT &hy2, const RT &hw2,
+                  const We &w2,
+                  const RT &hx3, const RT &hy3, const RT &hw3,
+                  const We &w3,
+                  RT       & cx, RT       & cy, RT       & cw,
+                  We      &cwt)
 {
   ad_circumcircleC2<RT, We>(RT(hx1/hw1), RT(hy1/hw1), w1,
-			    RT(hx2/hw2), RT(hy2/hw2), w2,
-			    RT(hx3/hw3), RT(hy3/hw3), w3,
-			    cx, cy, cwt);
+                            RT(hx2/hw2), RT(hy2/hw2), w2,
+                            RT(hx3/hw3), RT(hy3/hw3), w3,
+                            cx, cy, cwt);
   cw = RT(1);
 }
 
@@ -65,12 +65,12 @@ ad_circumcircleH2(const RT &hx1, const R
 template < class RT, class We >
 void
 ad_left_bitangent_lineH2(const FT &hx1, const FT &hy1, const We &w1,
-			 const FT &hx2, const FT &hy2, const We &w2,
-			 RT       &  a, RT       &  b, RT       & c)
+                         const FT &hx2, const FT &hy2, const We &w2,
+                         RT       &  a, RT       &  b, RT       & c)
 {
   ad_left_bitangent_lineC2(RT(hx1/hw1), RT(hy1/hw1), w1,
-			   RT(hx2/hw2), RT(hy2/hw2), w2,
-			             a,           b,  c);
+                           RT(hx2/hw2), RT(hy2/hw2), w2,
+                                     a,           b,  c);
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Finite_edge_test8_C2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Finite_edge_test8_C2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Finite_edge_test8_C2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Finite_edge_test8_C2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Finite_edge_test8_C2.h $
-// $Id: Finite_edge_test8_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Finite_edge_test8_C2.h $
+// $Id: Finite_edge_test8_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -47,10 +47,10 @@ private:
 public:
   bool
   operator()(const Site_2& p1,
-	     const Site_2& p2,
-	     const Site_2& p3,
-	     const Site_2& p4,
-	     const Site_2& q, bool b, const Method_tag& tag) const
+             const Site_2& p2,
+             const Site_2& p3,
+             const Site_2& p4,
+             const Site_2& q, bool b, const Method_tag& tag) const
   {
 #if 1
     Constructive_orientation_2 orientation123(p1, p2, p3, true);
@@ -75,47 +75,47 @@ public:
 
     if ( b ) {
       if ( o123_s != o142_s ) {
-	Orientation o123_1 = orientation123(p1, q);
-	Orientation o123_2 = orientation123(p2, q);
-	if ( o123_1 == POSITIVE && o123_2 == NEGATIVE ) { return true; }
-
-	Orientation o142_1 = orientation142(p1, q);
-	Orientation o142_2 = orientation142(p2, q);
-	return (o142_1 == NEGATIVE && o142_2 == POSITIVE);
+        Orientation o123_1 = orientation123(p1, q);
+        Orientation o123_2 = orientation123(p2, q);
+        if ( o123_1 == POSITIVE && o123_2 == NEGATIVE ) { return true; }
+
+        Orientation o142_1 = orientation142(p1, q);
+        Orientation o142_2 = orientation142(p2, q);
+        return (o142_1 == NEGATIVE && o142_2 == POSITIVE);
       }
 
       Oriented_side os = Side_of_bisector_2()(p1, p2, q.point());
 
       if ( o123_s == POSITIVE ) {
-	if ( os == ON_POSITIVE_SIDE ) {
-	  Orientation o142_1 = orientation142(p1, q);
-	  if ( o142_1 == NEGATIVE ) { return true; }
-
-	  Orientation o123_1 = orientation123(p1, q);
-	  return o123_1 == POSITIVE;
-	}
+        if ( os == ON_POSITIVE_SIDE ) {
+          Orientation o142_1 = orientation142(p1, q);
+          if ( o142_1 == NEGATIVE ) { return true; }
+
+          Orientation o123_1 = orientation123(p1, q);
+          return o123_1 == POSITIVE;
+        }
 
-	Orientation o142_2 = orientation142(p2, q);
-	if ( o142_2 == POSITIVE ) { return true; }
+        Orientation o142_2 = orientation142(p2, q);
+        if ( o142_2 == POSITIVE ) { return true; }
 
-	Orientation o123_2 = orientation123(p2, q);
-	return o123_2 == NEGATIVE;
+        Orientation o123_2 = orientation123(p2, q);
+        return o123_2 == NEGATIVE;
       }
 
       if ( o123_s == NEGATIVE ) {
-	if ( os == ON_POSITIVE_SIDE ) {
-	  Orientation o123_1 = orientation123(p1, q);
-	  if ( o123_1 == POSITIVE ) { return true; }
-
-	  Orientation o142_1 = orientation142(p1, q);
-	  return o142_1 == NEGATIVE;
-	}
+        if ( os == ON_POSITIVE_SIDE ) {
+          Orientation o123_1 = orientation123(p1, q);
+          if ( o123_1 == POSITIVE ) { return true; }
+
+          Orientation o142_1 = orientation142(p1, q);
+          return o142_1 == NEGATIVE;
+        }
 
-	Orientation o123_2 = orientation123(p2, q);	
-	if ( o123_2 == NEGATIVE ) { return true; }
+        Orientation o123_2 = orientation123(p2, q);
+        if ( o123_2 == NEGATIVE ) { return true; }
 
-	Orientation o142_2 = orientation142(p2, q);
-	return o142_2 == POSITIVE;
+        Orientation o142_2 = orientation142(p2, q);
+        return o142_2 == POSITIVE;
       }
 
       CGAL_assertion( o123_s == ZERO );
@@ -132,7 +132,7 @@ public:
 
       Orientation o123_2 = orientation123(p2, q);
       if ( o123_2 != NEGATIVE ) { return false; }
-      
+
       Orientation o142_1 = orientation142(p1, q);
       if ( o142_1 != NEGATIVE ) { return false; }
 
@@ -144,11 +144,11 @@ public:
 
     if ( o123_s == POSITIVE ) {
       if ( os == ON_POSITIVE_SIDE ) {
-	Orientation o123_1 = orientation123(p1, q);
-	if ( o123_1 != POSITIVE ) { return false; }
+        Orientation o123_1 = orientation123(p1, q);
+        if ( o123_1 != POSITIVE ) { return false; }
 
-	Orientation o142_1 = orientation142(p1, q);
-	return o142_1 == NEGATIVE;
+        Orientation o142_1 = orientation142(p1, q);
+        return o142_1 == NEGATIVE;
       }
 
       Orientation o123_2 = orientation123(p2, q);
@@ -160,11 +160,11 @@ public:
 
     if ( o123_s == NEGATIVE ) {
       if ( os == ON_POSITIVE_SIDE ) {
-	Orientation o142_1 = orientation142(p1, q);
-	if ( o142_1 != NEGATIVE ) { return false; }
+        Orientation o142_1 = orientation142(p1, q);
+        if ( o142_1 != NEGATIVE ) { return false; }
 
-	Orientation o123_1 = orientation123(p1, q);
-	return o123_1 == POSITIVE;
+        Orientation o123_1 = orientation123(p1, q);
+        return o123_1 == POSITIVE;
       }
       Orientation o142_2 = orientation142(p2, q);
       if ( o142_2 != POSITIVE ) { return false; }
@@ -184,7 +184,7 @@ public:
       //      std::cerr << "o142_1: " << o142_1 << std::endl;
 
       if ( b ) {
-	return !(o123_1 == NEGATIVE && o142_1 == POSITIVE);
+        return !(o123_1 == NEGATIVE && o142_1 == POSITIVE);
       }
       return o123_1 == POSITIVE && o142_1 == NEGATIVE;
     }
@@ -212,41 +212,41 @@ public:
 
     if ( b ) {
       if ( o123_s != o142_s ) {
-	Orientation o123_1 = orientation123(p1, q);
-	Orientation o123_2 = orientation123(p2, q);
-	if ( o123_1 == POSITIVE && o123_2 == NEGATIVE ) { return true; }
-
-	Orientation o142_1 = orientation142(p1, q);
-	Orientation o142_2 = orientation142(p2, q);
-	return (o142_1 == NEGATIVE && o142_2 == POSITIVE);
+        Orientation o123_1 = orientation123(p1, q);
+        Orientation o123_2 = orientation123(p2, q);
+        if ( o123_1 == POSITIVE && o123_2 == NEGATIVE ) { return true; }
+
+        Orientation o142_1 = orientation142(p1, q);
+        Orientation o142_2 = orientation142(p2, q);
+        return (o142_1 == NEGATIVE && o142_2 == POSITIVE);
       }
 
       if ( o123_s == POSITIVE ) {
-	Orientation o142_1 = orientation142(p1, q);
-	if ( o142_1 == NEGATIVE ) { return true; }
+        Orientation o142_1 = orientation142(p1, q);
+        if ( o142_1 == NEGATIVE ) { return true; }
 
-	Orientation o142_2 = orientation142(p2, q);
-	if ( o142_2 == POSITIVE ) { return true; }
+        Orientation o142_2 = orientation142(p2, q);
+        if ( o142_2 == POSITIVE ) { return true; }
 
-	Orientation o123_1 = orientation123(p1, q);
-	if ( o123_1 != POSITIVE ) { return false; }
+        Orientation o123_1 = orientation123(p1, q);
+        if ( o123_1 != POSITIVE ) { return false; }
 
-	Orientation o123_2 = orientation123(p2, q);
-	return o123_2 == NEGATIVE;
+        Orientation o123_2 = orientation123(p2, q);
+        return o123_2 == NEGATIVE;
       }
 
       if ( o123_s == NEGATIVE ) {
-	Orientation o123_1 = orientation123(p1, q);
-	if ( o123_1 == POSITIVE ) { return true; }
+        Orientation o123_1 = orientation123(p1, q);
+        if ( o123_1 == POSITIVE ) { return true; }
 
-	Orientation o123_2 = orientation123(p2, q);
-	if ( o123_2 == NEGATIVE ) { return true; }
+        Orientation o123_2 = orientation123(p2, q);
+        if ( o123_2 == NEGATIVE ) { return true; }
 
-	Orientation o142_1 = orientation142(p1, q);
-	if ( o142_1 != NEGATIVE ) { return false; }
+        Orientation o142_1 = orientation142(p1, q);
+        if ( o142_1 != NEGATIVE ) { return false; }
 
-	Orientation o142_2 = orientation142(p2, q);
-	return o142_2 == POSITIVE;
+        Orientation o142_2 = orientation142(p2, q);
+        return o142_2 == POSITIVE;
       }
 
       CGAL_assertion( o123_s == ZERO );
@@ -263,7 +263,7 @@ public:
 
       Orientation o123_2 = orientation123(p2, q);
       if ( o123_2 != NEGATIVE ) { return false; }
-      
+
       Orientation o142_1 = orientation142(p1, q);
       if ( o142_1 != NEGATIVE ) { return false; }
 
@@ -335,10 +335,10 @@ public:
 public:
   bool
   operator()(const Site_2& p1,
-	     const Site_2& p2,
-	     const Site_2& p3,
-	     const Site_2& p4,
-	     const Site_2& q, bool b, const Method_tag& tag) const
+             const Site_2& p2,
+             const Site_2& p3,
+             const Site_2& p4,
+             const Site_2& q, bool b, const Method_tag& tag) const
   {
     typedef Inside_Voronoi_quadrilateral8<K,Method_tag> Inside_quadrilateral;
 
@@ -399,7 +399,7 @@ public:
 
 
       Comparison_result r =
-	Order_on_finite_bisector()(vc_123, vc_12q, p1, p2, tag);
+        Order_on_finite_bisector()(vc_123, vc_12q, p1, p2, tag);
 
       if ( r != SMALLER ) { return false; }
 
@@ -479,7 +479,7 @@ public:
   template<class Method_tag>
   bool
   operator()(const Site_2& p1, const Site_2& p2, const Site_2& p3,
-	     const Site_2& q, bool b, const Method_tag& tag) const
+             const Site_2& q, bool b, const Method_tag& tag) const
   {
 #ifdef AG2_PROFILE_PREDICATES
     ag2_predicate_profiler::shadow_region_type_counter++;
@@ -535,7 +535,7 @@ public:
       Voronoi_circle vc_12q(vr_12q);
 
       Comparison_result r =
-	Order_on_finite_bisector()(vc_123, vc_12q, p1, p2, tag);
+        Order_on_finite_bisector()(vc_123, vc_12q, p1, p2, tag);
 
       return ( r == SMALLER );
     }
@@ -553,9 +553,9 @@ public:
 
   inline
   Sign sqrt_ext_sign(const FT& A1, const FT& Dr, const FT& B,
-		     const FT& Dx1, const FT& Dy1, 
-		     const FT& Dx2, const FT& Dy2, 
-		     const Field_with_sqrt_tag&) const
+                     const FT& Dx1, const FT& Dy1,
+                     const FT& Dx2, const FT& Dy2,
+                     const Field_with_sqrt_tag&) const
   {
     FT D = CGAL::square(Dx1) + CGAL::square(Dy1) - CGAL::square(Dr);
     return CGAL::sign(A1 * Dr + B * CGAL::sqrt(D));
@@ -563,9 +563,9 @@ public:
 
   inline
   Sign sqrt_ext_sign(const FT& A1, const FT& Dr, const FT& B,
-		     const FT& Dx1, const FT& Dy1, 
-		     const FT& Dx2, const FT& Dy2,
-		     const Integral_domain_without_division_tag&) const
+                     const FT& Dx1, const FT& Dy1,
+                     const FT& Dx2, const FT& Dy2,
+                     const Integral_domain_without_division_tag&) const
   {
     Sign sA = CGAL::sign(A1) * CGAL::sign(Dr);
     Sign sB = CGAL::sign(B);
@@ -581,8 +581,8 @@ public:
   template<class Method_tag>
   Orientation
   orientation_wrt_bitangent_perp(const Site_2& p1, const Site_2& p2,
-				 const Site_2& q1, const Site_2& q2,
-				 const Method_tag& tag) const
+                                 const Site_2& q1, const Site_2& q2,
+                                 const Method_tag& tag) const
   {
     // computes the orientation predicate of the line perpendicular to
     // the bitangent of p1 and p2, passing through the center of q1,
@@ -606,7 +606,7 @@ public:
   template<class Method_tag>
   bool
   operator()(const Site_2& p1, const Site_2& p2,
-	     const Site_2& q, bool b, const Method_tag& tag) const
+             const Site_2& q, bool b, const Method_tag& tag) const
   {
 #if 0
     Side_of_bisector_2 side_of_bisector;
@@ -616,8 +616,8 @@ public:
 
     if ( o12_sym == CGAL::POSITIVE ) {
       if ( os == ON_POSITIVE_SIDE ) {
-	Orientation o21_1 = orientation_wrt_bitangent_perp(p2, p1, p1, q, tag);
-	return o21_1 == NEGATIVE;
+        Orientation o21_1 = orientation_wrt_bitangent_perp(p2, p1, p1, q, tag);
+        return o21_1 == NEGATIVE;
       }
 
       Orientation o21_2 = orientation_wrt_bitangent_perp(p2, p1, p2, q, tag);
@@ -625,8 +625,8 @@ public:
 
     } else {
       if ( os == ON_POSITIVE_SIDE ) {
-	Orientation o12_1 = orientation_wrt_bitangent_perp(p1, p2, p1, q, tag);
-	return o12_1 == POSITIVE;
+        Orientation o12_1 = orientation_wrt_bitangent_perp(p1, p2, p1, q, tag);
+        return o12_1 == POSITIVE;
       }
 
       Orientation o12_2 = orientation_wrt_bitangent_perp(p1, p2, p2, q, tag);
@@ -681,10 +681,10 @@ public:
 
   inline
   bool operator()(const Site_2& p1, const Site_2& p2,
-		  const Site_2& q, bool b) const
+                  const Site_2& q, bool b) const
   {
     typedef Finite_edge_interior_conflict_2<K,MTag> Old_Test;
-    bool t = Test_degenerated()(p1, p2, q, b, Method_tag());    
+    bool t = Test_degenerated()(p1, p2, q, b, Method_tag());
     //    bool t = Old_Test()(p1, p2, q, b);
 #ifndef NDEBUG
     bool t_old = Old_Test()(p1, p2, q, b);
@@ -692,7 +692,7 @@ public:
     if ( t != t_old ) {
       std::cerr << std::endl;
       std::cerr << "b: " << b << "; t: " << t
-		<< "; t_old: " << t_old << std::endl;
+                << "; t_old: " << t_old << std::endl;
       std::cerr << "p1: " << p1 << std::endl;
       std::cerr << "p2: " << p2 << std::endl;
       std::cerr << "q: " << q << std::endl;
@@ -705,18 +705,18 @@ public:
 
   inline
   bool operator()(const Site_2& p1, const Site_2& p2,
-		  const Site_2& p3, const Site_2& q, bool b) const
+                  const Site_2& p3, const Site_2& q, bool b) const
   {
-    return Test_degenerated()(p1, p2, p3, q, b, Method_tag());    
+    return Test_degenerated()(p1, p2, p3, q, b, Method_tag());
   }
 
   inline
   bool operator()(const Site_2& p1, const Site_2& p2,
-		  const Site_2& p3, const Site_2& p4,
-		  const Site_2& q, bool b) const
+                  const Site_2& p3, const Site_2& p4,
+                  const Site_2& q, bool b) const
   {
     typedef Finite_edge_interior_conflict_2<K,MTag> Old_Test;
-    bool t = Test()(p1, p2, p3, p4, q, b, Method_tag());    
+    bool t = Test()(p1, p2, p3, p4, q, b, Method_tag());
     //    bool t = Old_Test()(p1, p2, p3, p4, q, b);
 #ifndef NDEBUG
     bool t_old = Old_Test()(p1, p2, p3, p4, q, b);
@@ -738,7 +738,7 @@ public:
 
     CGAL_assertion( t == t_old );
 #endif
-    return t; //Test()(p1, p2, p3, p4, q, b, Method_tag());    
+    return t; //Test()(p1, p2, p3, p4, q, b, Method_tag());
   }
 };
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Finite_edge_test_C2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Finite_edge_test_C2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Finite_edge_test_C2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Finite_edge_test_C2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Finite_edge_test_C2.h $
-// $Id: Finite_edge_test_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Finite_edge_test_C2.h $
+// $Id: Finite_edge_test_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -44,7 +44,7 @@ public:
 
   Orientation
   operator()(const Voronoi_circle& vc, const Point_2& p1,
-	     const Point_2& p2, const Field_with_sqrt_tag&) const
+             const Point_2& p2, const Field_with_sqrt_tag&) const
     {
       FT a = vc.a1() + vc.a2() * CGAL::sqrt(vc.delta());
       FT b = vc.b1() + vc.b2() * CGAL::sqrt(vc.delta());
@@ -54,7 +54,7 @@ public:
 
   Orientation
   operator()(const Voronoi_circle& vc, const Point_2& p1,
-	     const Point_2& p2, const Integral_domain_without_division_tag&) const
+             const Point_2& p2, const Integral_domain_without_division_tag&) const
     {
       FT dx = p2.x() - p1.x();
       FT dy = p2.y() - p1.y();
@@ -79,11 +79,11 @@ public:
 private:
 
   Sign sign_of_P4(const FT& u, const FT& v,
-		  const FT& du, const FT& dv, const FT& dr,
-		  const FT& Du, const FT& Dv, const FT& Dr) const
+                  const FT& du, const FT& dv, const FT& dr,
+                  const FT& Du, const FT& Dv, const FT& Dr) const
     {
       std::pair<FT,FT> factors = factors_of_P4(u, v, du, dv, dr,
-					       Du, Dv, Dr);
+                                               Du, Dv, Dr);
       Sign s1 = CGAL::sign(factors.first);
       Sign s2 = CGAL::sign(factors.second);
       return s1 * s2;
@@ -91,8 +91,8 @@ private:
 
   std::pair<FT,FT>
   factors_of_P4(const FT& u, const FT& v,
-		const FT& du, const FT& dv, const FT& dr,
-		const FT& Du, const FT& Dv, const FT& Dr) const
+                const FT& du, const FT& dv, const FT& dr,
+                const FT& Du, const FT& Dv, const FT& Dr) const
     {
       FT u2 = CGAL::square(u);
       FT v2 = CGAL::square(v);
@@ -120,10 +120,10 @@ private:
 
       FT uV_P_Uv = du * Dv + Du * dv;
       FT uV_M_Uv = du * Dv - Du * dv;
-      
+
 
       FT F1 = du2_P_dv2 * Dr2 + Du2_P_Dv2 * dr2
-	- uU_P_vV * drDr - CGAL::square(uV_M_Uv);
+        - uU_P_vV * drDr - CGAL::square(uV_M_Uv);
 
       FT F2 = CGAL::square(u2_P_v2) * (du2_P_dv2 * Dr2 + Du2_P_Dv2 * dr2);
       F2 -= u2_P_v2 * (u2_M_v2 * uU_M_vV + uv * uV_P_Uv) * drDr;
@@ -136,7 +136,7 @@ private:
 public:
   Comparison_result
   operator()(const Voronoi_circle& vc1, const Voronoi_circle& vc2,
-	     const Field_with_sqrt_tag&) const
+             const Field_with_sqrt_tag&) const
     {
       FT c1 = (vc1.c1() + vc1.c2() * CGAL::sqrt(vc1.delta())) / vc1.d();
       FT c2 = (vc2.c1() + vc2.c2() * CGAL::sqrt(vc2.delta())) / vc2.d();
@@ -150,7 +150,7 @@ public:
   /*
   Comparison_result
   operator()(const Voronoi_circle& vc1, const Voronoi_circle& vc2,
-	     Integral_domain_without_division_tag)
+             Integral_domain_without_division_tag)
     {
       FT A = vc1.c1() * vc2.d() - vc2.c1() * vc1.d();
       FT B = vc1.c2() * vc2.d();
@@ -167,7 +167,7 @@ public:
 
   Comparison_result
   operator()(const Voronoi_circle& vc1, const Voronoi_circle& vc2,
-	     const Integral_domain_without_division_tag&) const
+             const Integral_domain_without_division_tag&) const
     {
       bool is_first_root1 = vc1.is_first_root();
       bool is_first_root2 = vc2.is_first_root();
@@ -177,28 +177,28 @@ public:
 
       Comparison_result r;
       if ( is_first_root1 && is_first_root2 ) {
-	r = ke_compare_l1_l2(vc1.alpha(), vc1.beta(), vc1.gamma(),
-			     vc2.alpha(), vc2.beta(), vc2.gamma());
+        r = ke_compare_l1_l2(vc1.alpha(), vc1.beta(), vc1.gamma(),
+                             vc2.alpha(), vc2.beta(), vc2.gamma());
       } else if ( is_first_root1 && !is_first_root2 ) {
-	r = ke_compare_l1_r2(vc1.alpha(), vc1.beta(), vc1.gamma(),
-			     vc2.alpha(), vc2.beta(), vc2.gamma());
+        r = ke_compare_l1_r2(vc1.alpha(), vc1.beta(), vc1.gamma(),
+                             vc2.alpha(), vc2.beta(), vc2.gamma());
       } else if ( !is_first_root1 && is_first_root2 ) {
-	r = ke_compare_r1_l2(vc1.alpha(), vc1.beta(), vc1.gamma(),
-			     vc2.alpha(), vc2.beta(), vc2.gamma());
+        r = ke_compare_r1_l2(vc1.alpha(), vc1.beta(), vc1.gamma(),
+                             vc2.alpha(), vc2.beta(), vc2.gamma());
       } else {
-	r = ke_compare_r1_r2(vc1.alpha(), vc1.beta(), vc1.gamma(),
-			     vc2.alpha(), vc2.beta(), vc2.gamma());
+        r = ke_compare_r1_r2(vc1.alpha(), vc1.beta(), vc1.gamma(),
+                             vc2.alpha(), vc2.beta(), vc2.gamma());
       }
 
 #ifdef COMPARATOR_PROFILER
       if ( comparator_profiler::count_cases ) {
-	// count cases only for the tree r1-r2
-	if ( !is_first_root1 && !is_first_root2 ) {
-	  comparator_profiler::count_case(vc1.alpha(), vc1.beta(),
-					  vc1.gamma(),
-					  vc2.alpha(), vc2.beta(),
-					  vc2.gamma());
-	}
+        // count cases only for the tree r1-r2
+        if ( !is_first_root1 && !is_first_root2 ) {
+          comparator_profiler::count_case(vc1.alpha(), vc1.beta(),
+                                          vc1.gamma(),
+                                          vc2.alpha(), vc2.beta(),
+                                          vc2.gamma());
+        }
       }
 #endif
 
@@ -210,7 +210,7 @@ public:
   /*
   Comparison_result
   operator()(const Voronoi_circle& vc1, const Voronoi_circle& vc2,
-	     Integral_domain_without_division_tag)
+             Integral_domain_without_division_tag)
     {
       bool is_first_root1 = vc1.is_first_root();
       bool is_first_root2 = vc2.is_first_root();
@@ -220,17 +220,17 @@ public:
 
       Comparison_result r;
       if ( is_first_root1 && is_first_root2 ) {
-	r = dfmt_compare_l1_l2(vc1.alpha(), vc1.beta(), vc1.gamma(),
-			  vc2.alpha(), vc2.beta(), vc2.gamma());
+        r = dfmt_compare_l1_l2(vc1.alpha(), vc1.beta(), vc1.gamma(),
+                          vc2.alpha(), vc2.beta(), vc2.gamma());
       } else if ( is_first_root1 && !is_first_root2 ) {
-	r = dfmt_compare_l1_r2(vc1.alpha(), vc1.beta(), vc1.gamma(),
-			  vc2.alpha(), vc2.beta(), vc2.gamma());
+        r = dfmt_compare_l1_r2(vc1.alpha(), vc1.beta(), vc1.gamma(),
+                          vc2.alpha(), vc2.beta(), vc2.gamma());
       } else if ( !is_first_root1 && is_first_root2 ) {
-	r = dfmt_compare_r1_l2(vc1.alpha(), vc1.beta(), vc1.gamma(),
-			  vc2.alpha(), vc2.beta(), vc2.gamma());
+        r = dfmt_compare_r1_l2(vc1.alpha(), vc1.beta(), vc1.gamma(),
+                          vc2.alpha(), vc2.beta(), vc2.gamma());
       } else {
-	r = dfmt_compare_r1_r2(vc1.alpha(), vc1.beta(), vc1.gamma(),
-			  vc2.alpha(), vc2.beta(), vc2.gamma());
+        r = dfmt_compare_r1_r2(vc1.alpha(), vc1.beta(), vc1.gamma(),
+                          vc2.alpha(), vc2.beta(), vc2.gamma());
       }
 
       if ( r == EQUAL ) { return EQUAL; }
@@ -256,47 +256,47 @@ public:
 
   typedef Orientation_wrt_symmetry_axis_2<K>
                                     Orientation_wrt_symmetry_axis;
-  
+
 public:
   template<class Method_tag>
   Comparison_result
   operator()(const Voronoi_circle& vc1, const Voronoi_circle& vc2,
-	     const Site_2& p1, const Site_2& p2,
-	     const Method_tag& tag) const
+             const Site_2& p1, const Site_2& p2,
+             const Method_tag& tag) const
     {
 #ifdef AG2_PROFILE_PREDICATES
       ag2_predicate_profiler::order_on_bisector_counter++;
 #endif
 
       Orientation o1 =
-	Orientation_wrt_symmetry_axis()(vc1, p1.point(), p2.point(), tag);
+        Orientation_wrt_symmetry_axis()(vc1, p1.point(), p2.point(), tag);
       Orientation o2 =
-	Orientation_wrt_symmetry_axis()(vc2, p1.point(), p2.point(), tag);
+        Orientation_wrt_symmetry_axis()(vc2, p1.point(), p2.point(), tag);
 
       Comparison_result cr;
       if ( o1 == LEFT_TURN ) {
-	if ( o2 != LEFT_TURN ) { return SMALLER; }
-	Comparison_result r = Compare_Voronoi_radii()(vc1, vc2, tag);
+        if ( o2 != LEFT_TURN ) { return SMALLER; }
+        Comparison_result r = Compare_Voronoi_radii()(vc1, vc2, tag);
 
-	if ( r == EQUAL ) {
-	  cr = EQUAL;
-	} else {
-	  cr = (r == LARGER ) ? SMALLER : LARGER;
-	}
+        if ( r == EQUAL ) {
+          cr = EQUAL;
+        } else {
+          cr = (r == LARGER ) ? SMALLER : LARGER;
+        }
       } else if ( o1 == COLLINEAR ) {
-	if ( o2 == COLLINEAR ) {
-	  cr = EQUAL;
-	} else {
-	  cr = (o2 == LEFT_TURN) ? LARGER : SMALLER;
-	}
+        if ( o2 == COLLINEAR ) {
+          cr = EQUAL;
+        } else {
+          cr = (o2 == LEFT_TURN) ? LARGER : SMALLER;
+        }
       } else {
-	if ( o2 != RIGHT_TURN ) {
-	  cr = LARGER;
-	} else {
-	  Comparison_result r =
-	    Compare_Voronoi_radii()(vc1, vc2, tag);
-	  cr = r;
-	}
+        if ( o2 != RIGHT_TURN ) {
+          cr = LARGER;
+        } else {
+          Comparison_result r =
+            Compare_Voronoi_radii()(vc1, vc2, tag);
+          cr = r;
+        }
       }
 
       return cr;
@@ -334,10 +334,10 @@ public:
   template<class Method_tag>
   bool
   operator()(const Site_2& p1,
-	     const Site_2& p2,
-	     const Site_2& p3,
-	     const Site_2& p4,
-	     const Site_2& q, bool b, const Method_tag& tag) const
+             const Site_2& p2,
+             const Site_2& p3,
+             const Site_2& p4,
+             const Site_2& q, bool b, const Method_tag& tag) const
   {
 #ifdef AG2_PROFILE_PREDICATES
       ag2_predicate_profiler::shadow_region_type_counter++;
@@ -395,7 +395,7 @@ public:
 
 
       Comparison_result r =
-	Order_on_finite_bisector()(vc_123, vc_12q, p1, p2, tag);
+        Order_on_finite_bisector()(vc_123, vc_12q, p1, p2, tag);
 
       if ( r != SMALLER ) { return false; }
 
@@ -462,7 +462,7 @@ public:
   template<class Method_tag>
   bool
   operator()(const Site_2& p1, const Site_2& p2, const Site_2& p3,
-	     const Site_2& q, bool b, const Method_tag& tag) const
+             const Site_2& q, bool b, const Method_tag& tag) const
   {
 #ifdef AG2_PROFILE_PREDICATES
     ag2_predicate_profiler::shadow_region_type_counter++;
@@ -518,7 +518,7 @@ public:
       Voronoi_circle vc_12q(vr_12q);
 
       Comparison_result r =
-	Order_on_finite_bisector()(vc_123, vc_12q, p1, p2, tag);
+        Order_on_finite_bisector()(vc_123, vc_12q, p1, p2, tag);
 
       return ( r == SMALLER );
     }
@@ -540,7 +540,7 @@ public:
   template<class Method_tag>
   bool
   operator()(const Site_2& p1, const Site_2& p2,
-	     const Site_2& q, bool b, const Method_tag& tag) const
+             const Site_2& q, bool b, const Method_tag& tag) const
   {
 #ifdef AG2_PROFILE_PREDICATES
       ag2_predicate_profiler::shadow_region_type_counter++;
@@ -571,7 +571,7 @@ public:
     if ( !is_bs1 && is_bs2 ) { return false; }
 
     // both circles exist
-    
+
     // check whether the shadow region is connected, i.e., whether it is
     // of the form (a, b) or (-oo, a) U (b, +oo)
 
@@ -601,24 +601,24 @@ public:
 
   inline
   bool operator()(const Site_2& p1, const Site_2& p2,
-		  const Site_2& q, bool b) const
+                  const Site_2& q, bool b) const
   {
     return Test_degenerated()(p1, p2, q, b, Method_tag());
   }
 
   inline
   bool operator()(const Site_2& p1, const Site_2& p2,
-		  const Site_2& p3, const Site_2& q, bool b) const
+                  const Site_2& p3, const Site_2& q, bool b) const
   {
-    return Test_degenerated()(p1, p2, p3, q, b, Method_tag());    
+    return Test_degenerated()(p1, p2, p3, q, b, Method_tag());
   }
 
   inline
   bool operator()(const Site_2& p1, const Site_2& p2,
-		  const Site_2& p3, const Site_2& p4,
-		  const Site_2& q, bool b) const
+                  const Site_2& p3, const Site_2& p4,
+                  const Site_2& q, bool b) const
   {
-    return Test()(p1, p2, p3, p4, q, b, Method_tag());    
+    return Test()(p1, p2, p3, p4, q, b, Method_tag());
   }
 };
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Incircle8_C2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Incircle8_C2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Incircle8_C2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Incircle8_C2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Incircle8_C2.h $
-// $Id: Incircle8_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Incircle8_C2.h $
+// $Id: Incircle8_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -48,8 +48,8 @@ public:
 private:
   inline
   Sign predicate(const FT& Exp, const FT& Eyp, const FT& Erp,
-		 const FT& Exrp, const FT& Eyrp, const FT& Exyp,
-		 const Field_with_sqrt_tag&) const
+                 const FT& Exrp, const FT& Eyrp, const FT& Exyp,
+                 const Field_with_sqrt_tag&) const
   {
     FT G = CGAL::square(Exp) + CGAL::square(Eyp) - CGAL::square(Erp);
     return CGAL::sign(Exp * Exrp + Eyp * Eyrp + Exyp * CGAL::sqrt(G));
@@ -57,8 +57,8 @@ private:
 
   inline
   Sign predicate(const FT& Exp, const FT& Eyp, const FT& /* Erp */,
-		 const FT& Exrp, const FT& Eyrp, const FT& Exyp,
-		 const Integral_domain_without_division_tag&) const
+                 const FT& Exrp, const FT& Eyrp, const FT& Exyp,
+                 const Integral_domain_without_division_tag&) const
   {
     Sign sA = CGAL::sign(Exp * Exrp + Eyp * Eyrp);
     Sign sB = CGAL::sign(Exyp);
@@ -76,7 +76,7 @@ private:
 public:
   inline
   Sign operator()(const Site_2& p1, const Site_2& p2,
-		  const Site_2& p3, const Site_2& q) const
+                  const Site_2& p3, const Site_2& q) const
   {
 #ifdef AG2_PROFILE_PREDICATES
     ag2_predicate_profiler::incircle_counter++;
@@ -116,10 +116,10 @@ public:
 
   inline
   Sign operator()(const Site_2& p1, const Site_2& p2,
-		  const Site_2& q) const
+                  const Site_2& q) const
   {
     return Base::operator()(p1, p2, q);
-  }  
+  }
 
 };
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Incircle_C2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Incircle_C2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Incircle_C2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Incircle_C2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Incircle_C2.h $
-// $Id: Incircle_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Incircle_C2.h $
+// $Id: Incircle_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -46,7 +46,7 @@ public:
 
   inline Sign
   operator()(const Bitangent_line& bl, const Site_2& q,
-	     const Field_with_sqrt_tag&) const
+             const Field_with_sqrt_tag&) const
     {
 #ifdef AG2_PROFILE_PREDICATES
       ag2_predicate_profiler::distance_from_bitangent_counter++;
@@ -60,13 +60,13 @@ public:
 
   inline Sign
   operator()(const Bitangent_line& bl, const Site_2& q,
-	     const Integral_domain_without_division_tag&) const
+             const Integral_domain_without_division_tag&) const
     {
 #ifdef AG2_PROFILE_PREDICATES
       ag2_predicate_profiler::distance_from_bitangent_counter++;
 #endif
       FT A = bl.a1() * q.x() + bl.b1() * q.y() + bl.c1()
-	- q.weight() * bl.d();
+        - q.weight() * bl.d();
       FT B = bl.a2() * q.x() + bl.b2() * q.y() + bl.c2();
       return sign_a_plus_b_x_sqrt_c(A, B, bl.delta());
     }
@@ -87,8 +87,8 @@ public:
 public:
   inline Sign
   operator()(const Bitangent_line& bl,
-	     const Inverted_weighted_point& v,
-	     const Field_with_sqrt_tag&) const
+             const Inverted_weighted_point& v,
+             const Field_with_sqrt_tag&) const
     {
       FT a = bl.a1() + bl.a2() * CGAL::sqrt(bl.delta());
       FT b = bl.b1() + bl.b2() * CGAL::sqrt(bl.delta());
@@ -99,11 +99,11 @@ public:
 
   inline Sign
   operator()(const Bitangent_line& bl,
-	     const Inverted_weighted_point& v,
-	     const Integral_domain_without_division_tag&) const
+             const Inverted_weighted_point& v,
+             const Integral_domain_without_division_tag&) const
     {
       FT A = bl.a1() * v.x() + bl.b1() * v.y() + bl.c1() * v.p()
-	- v.weight() * bl.d();
+        - v.weight() * bl.d();
       FT B = bl.a2() * v.x() + bl.b2() * v.y() + bl.c2() * v.p();
 
       return sign_a_plus_b_x_sqrt_c(A, B, bl.delta());
@@ -117,7 +117,7 @@ class Weighted_point_less_than
 public:
   inline
   bool operator()(const Weighted_point& p1,
-		  const Weighted_point& p2) const
+                  const Weighted_point& p2) const
   {
     if ( p1.x() == p2.x() ) {
       return p1.y() < p2.y();
@@ -155,7 +155,7 @@ public:
 private:
   inline Orientation
   orientation(const Bitangent_line& l, const Point_2& p,
-	      const Field_with_sqrt_tag&) const
+              const Field_with_sqrt_tag&) const
     {
       FT A = l.a1() * p.x() + l.b1() * p.y() + l.c1();
       FT B = l.a2() * p.x() + l.b2() * p.y() + l.c2();
@@ -165,17 +165,17 @@ private:
 
   inline Orientation
   orientation(const Bitangent_line& l, const Point_2& p,
-	      const Integral_domain_without_division_tag&) const
+              const Integral_domain_without_division_tag&) const
     {
       FT A = l.a1() * p.x() + l.b1() * p.y() + l.c1();
       FT B = l.a2() * p.x() + l.b2() * p.y() + l.c2();
       return sign_a_plus_b_x_sqrt_c(A, B, l.delta());
     }
 
-  
+
   inline Orientation
   orientation(const Bitangent_line& l,
-	      const Inverted_weighted_point& u) const
+              const Inverted_weighted_point& u) const
     {
       FT A = l.a1() * u.x() / u.p() + l.b1() * u.y() / u.p() + l.c1();
       FT B = l.a2() * u.x() / u.p() + l.b2() * u.y() / u.p() + l.c2();
@@ -189,7 +189,7 @@ public:
 
   inline
   Sign operator()(const Site_2& p1, const Site_2& p2,
-		  const Site_2& p3, const Site_2& q) const
+                  const Site_2& p3, const Site_2& q) const
   {
 #ifdef AG2_PROFILE_PREDICATES
     ag2_predicate_profiler::incircle_counter++;
@@ -214,7 +214,7 @@ public:
 
   inline
   Sign operator()(const Site_2& p1, const Site_2& p2,
-		  const Site_2& q) const
+                  const Site_2& q) const
   {
     Method_tag tag;
     //
@@ -230,7 +230,7 @@ public:
     CGAL_assertion( o1 != COLLINEAR || o2 != COLLINEAR );
     if ( o1 == o2 ) { return POSITIVE; }
     return NEGATIVE;
-  }  
+  }
 
 };
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Infinite_edge_test_C2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Infinite_edge_test_C2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Infinite_edge_test_C2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Infinite_edge_test_C2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Infinite_edge_test_C2.h $
-// $Id: Infinite_edge_test_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Infinite_edge_test_C2.h $
+// $Id: Infinite_edge_test_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -43,11 +43,11 @@ public:
   typedef typename K::Orientation         Orientation;
   typedef typename K::Sign                Sign;
 
-public:  
+public:
   template< class Method_tag >
   Bounded_side operator()(const Bitangent_line& l1,
-			  const Bitangent_line& l2,
-			  const Bitangent_line& l3, Method_tag tag) const
+                          const Bitangent_line& l2,
+                          const Bitangent_line& l3, Method_tag tag) const
     {
 #ifdef AG2_PROFILE_PREDICATES
       ag2_predicate_profiler::inside_circular_arc_counter++;
@@ -64,43 +64,43 @@ public:
 
 
       if ( o == COLLINEAR ) {
-	Bitangent_line l2_rot = l2.get_rot90();
-	Sign dot = chi2(l1, l2_rot, tag);
+        Bitangent_line l2_rot = l2.get_rot90();
+        Sign dot = chi2(l1, l2_rot, tag);
                               //sign_of_determinant(a1, b1, -b2, a2);
 
-	CGAL_assertion( dot != ZERO );
-	Orientation o1 = chi2(l1, l3, tag);
+        CGAL_assertion( dot != ZERO );
+        Orientation o1 = chi2(l1, l3, tag);
                           //sign_of_determinant(a1, b1, a3, b3);
 
-	if ( dot == POSITIVE ) {
-	  if ( o1 != COLLINEAR ) { return ON_UNBOUNDED_SIDE; }
-	  Bitangent_line l3_rot = l3.get_rot90();
-	  Sign dot1 = chi2(l1, l3_rot, tag);
+        if ( dot == POSITIVE ) {
+          if ( o1 != COLLINEAR ) { return ON_UNBOUNDED_SIDE; }
+          Bitangent_line l3_rot = l3.get_rot90();
+          Sign dot1 = chi2(l1, l3_rot, tag);
                        //sign_of_determinant(a1, b1, -b3, a3);
 
-	  CGAL_assertion( dot1 != ZERO );
-	  return ( dot1 == POSITIVE ) ? ON_BOUNDARY : ON_UNBOUNDED_SIDE;
-	}
+          CGAL_assertion( dot1 != ZERO );
+          return ( dot1 == POSITIVE ) ? ON_BOUNDARY : ON_UNBOUNDED_SIDE;
+        }
 
-	if ( o1 == LEFT_TURN ) { return ON_BOUNDED_SIDE; }
-	return ( o1 == COLLINEAR ) ? ON_BOUNDARY : ON_UNBOUNDED_SIDE;
+        if ( o1 == LEFT_TURN ) { return ON_BOUNDED_SIDE; }
+        return ( o1 == COLLINEAR ) ? ON_BOUNDARY : ON_UNBOUNDED_SIDE;
       } else if ( o == LEFT_TURN ) {
-	Orientation o1 = chi2(l1, l3, tag);
-	                //sign_of_determinant(a1, b1, a3, b3);
-	Orientation o2 = chi2(l2, l3, tag);
+        Orientation o1 = chi2(l1, l3, tag);
+                        //sign_of_determinant(a1, b1, a3, b3);
+        Orientation o2 = chi2(l2, l3, tag);
                         //sign_of_determinant(a2, b2, a3, b3);
 
-	//	std::cout << "orientation(l1, l3): " << int(o1) << std::endl;
-	//	std::cout << "orientation(l2, l3): " << int(o2) << std::endl;
+        //        std::cout << "orientation(l1, l3): " << int(o1) << std::endl;
+        //        std::cout << "orientation(l2, l3): " << int(o2) << std::endl;
 
-	if ( o1 == LEFT_TURN ) {
-	  if ( o2 == COLLINEAR ) { return ON_BOUNDARY; }
-	  return ( o2 == RIGHT_TURN ) ? ON_BOUNDED_SIDE : ON_UNBOUNDED_SIDE;
-	} else if ( o1 == COLLINEAR ) {
-	  CGAL_assertion( o2 != COLLINEAR );
-	  return ( o2 == RIGHT_TURN ) ? ON_BOUNDARY : ON_UNBOUNDED_SIDE;
-	}
-	return ON_UNBOUNDED_SIDE;
+        if ( o1 == LEFT_TURN ) {
+          if ( o2 == COLLINEAR ) { return ON_BOUNDARY; }
+          return ( o2 == RIGHT_TURN ) ? ON_BOUNDED_SIDE : ON_UNBOUNDED_SIDE;
+        } else if ( o1 == COLLINEAR ) {
+          CGAL_assertion( o2 != COLLINEAR );
+          return ( o2 == RIGHT_TURN ) ? ON_BOUNDARY : ON_UNBOUNDED_SIDE;
+        }
+        return ON_UNBOUNDED_SIDE;
       }
       Orientation o1 = chi2(l1, l3, tag);
                         //sign_of_determinant(a1, b1, a3, b3);
@@ -117,7 +117,7 @@ public:
     }
 
   Sign chi2(const Bitangent_line& bl1,
-	    const Bitangent_line& bl2, Field_with_sqrt_tag) const
+            const Bitangent_line& bl2, Field_with_sqrt_tag) const
     {
       FT sigma = bl1.dx() * bl2.dx() + bl1.dy() * bl2.dy();
       FT delta = bl1.dx() * bl2.dy() - bl1.dy() * bl2.dx();
@@ -132,23 +132,23 @@ public:
       FT P = bl2.delta();
 
       FT E = E1 * CGAL::sqrt(p) + E2 * CGAL::sqrt(P)
-	+ E3 * CGAL::sqrt(p * P) + E4;
+        + E3 * CGAL::sqrt(p * P) + E4;
 
       return CGAL::sign(E);
     }
 
   inline
   Sign chi2(const Bitangent_line& bl1,
-	    const Bitangent_line& bl2, Integral_domain_without_division_tag) const
+            const Bitangent_line& bl2, Integral_domain_without_division_tag) const
     {
       return chi2(bl1.dx(), bl1.dy(), -bl1.dw(), bl1.d(), bl1.delta(),
-		  bl2.dx(), bl2.dy(), -bl2.dw(), bl2.d(), bl2.delta());
+                  bl2.dx(), bl2.dy(), -bl2.dw(), bl2.d(), bl2.delta());
     }
 
   Sign chi2(const FT& a, const FT& b, const FT& r,
-	    const FT& d, const FT& p,
-	    const FT& A, const FT& B, const FT& R,
-	    const FT& D, const FT& P) const
+            const FT& d, const FT& p,
+            const FT& A, const FT& B, const FT& R,
+            const FT& D, const FT& P) const
     {
       FT sigma = a * A + b * B;
       FT delta = determinant(a, b, A, B);
@@ -170,34 +170,34 @@ public:
       FT delta2 = CGAL::square(delta);
 
       if ( sign_E3 == ZERO ) {
-	sign_E1_plus_E3_P = sign_E1;
+        sign_E1_plus_E3_P = sign_E1;
       } else {
-	if ( sign_E3 == sign_E1 ) {
-	  sign_E1_plus_E3_P = sign_E3;
-	} else {
-	  FT F1 = delta2 - G;
-	  sign_E1_plus_E3_P = sign_E3 * CGAL::sign(F1);
-	}
+        if ( sign_E3 == sign_E1 ) {
+          sign_E1_plus_E3_P = sign_E3;
+        } else {
+          FT F1 = delta2 - G;
+          sign_E1_plus_E3_P = sign_E3 * CGAL::sign(F1);
+        }
       }
 
       if ( sign_E2 == ZERO ) {
-	sign_E4_plus_E2_P = sign_E4;
+        sign_E4_plus_E2_P = sign_E4;
       } else {
-	if ( sign_E2 == sign_E4 ) {
-	  sign_E4_plus_E2_P = sign_E2;
-	} else {
-	  FT F2 = CGAL::square(sigma) - G;
-	  if ( sign_r == ZERO ) {
-	    sign_E4_plus_E2_P = ZERO;
-	  } else {
-	    sign_E4_plus_E2_P = sign_E2 * CGAL::sign(F2);
-	  }
-	}
+        if ( sign_E2 == sign_E4 ) {
+          sign_E4_plus_E2_P = sign_E2;
+        } else {
+          FT F2 = CGAL::square(sigma) - G;
+          if ( sign_r == ZERO ) {
+            sign_E4_plus_E2_P = ZERO;
+          } else {
+            sign_E4_plus_E2_P = sign_E2 * CGAL::sign(F2);
+          }
+        }
       }
 
       if ( sign_E1_plus_E3_P == ZERO ) { return sign_E4_plus_E2_P; }
       if ( sign_E1_plus_E3_P == sign_E4_plus_E2_P ) {
-	return sign_E1_plus_E3_P;
+        return sign_E1_plus_E3_P;
       }
 
       Sign sign_E5 = -sign_R * sign_sigma * sign_delta;
@@ -210,10 +210,10 @@ public:
       Sign sign_E6 = CGAL::sign(F3);
 
       if ( sign_E5 == ZERO ) {
-	return sign_E1_plus_E3_P * sign_E6;
+        return sign_E1_plus_E3_P * sign_E6;
       }
       if ( sign_E5 == sign_E6 ) {
-	return sign_E1_plus_E3_P * sign_E5;
+        return sign_E1_plus_E3_P * sign_E5;
       }
 
       //      FT p = d - CGAL::square(r);
@@ -265,10 +265,10 @@ public:
 
 
   bool operator()(const Site_2& p2, const Site_2& p3,
-		  const Site_2& p4, const Site_2& q, bool b) const
+                  const Site_2& p4, const Site_2& q, bool b) const
   {
     Method_tag tag = Method_tag();
-    
+
     Bitangent_line bl_32(p3, p2);
     Bitangent_line bl_24(p2, p4);
     Bitangent_line bl_2q(p2, q);
@@ -278,14 +278,14 @@ public:
 
     if ( b ) {
       if ( bs1 == ON_BOUNDARY ) {
-	Bitangent_line bl_q2(q, p2);
-	Bounded_side bs2 =
-	  Bounded_side_of_CCW_circular_arc()(bl_32, bl_24, bl_q2, tag);
-
-	if ( bs2 != ON_BOUNDARY ) {
-	  return ( bs2 != ON_BOUNDED_SIDE );
-	}
-	return !b;
+        Bitangent_line bl_q2(q, p2);
+        Bounded_side bs2 =
+          Bounded_side_of_CCW_circular_arc()(bl_32, bl_24, bl_q2, tag);
+
+        if ( bs2 != ON_BOUNDARY ) {
+          return ( bs2 != ON_BOUNDED_SIDE );
+        }
+        return !b;
       }
 
       return ( bs1 != ON_BOUNDED_SIDE );
@@ -293,10 +293,10 @@ public:
     if ( bs1 == ON_BOUNDARY ) {
       Bitangent_line bl_q2(q, p2);
       Bounded_side bs2 =
-	Bounded_side_of_CCW_circular_arc()(bl_32, bl_24, bl_q2, tag);
+        Bounded_side_of_CCW_circular_arc()(bl_32, bl_24, bl_q2, tag);
 
       if ( bs2 != ON_BOUNDARY ) {
-	return ( bs2 == ON_BOUNDED_SIDE );
+        return ( bs2 == ON_BOUNDED_SIDE );
       }
       return !b;
     }
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Is_degenerate_edge_C2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Is_degenerate_edge_C2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Is_degenerate_edge_C2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Is_degenerate_edge_C2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Is_degenerate_edge_C2.h $
-// $Id: Is_degenerate_edge_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Is_degenerate_edge_C2.h $
+// $Id: Is_degenerate_edge_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -58,7 +58,7 @@ public:
   typedef bool               result_type;
 
   bool operator()(const Site_2& p1, const Site_2& p2,
-		  const Site_2& p3, const Site_2& p4) const
+                  const Site_2& p3, const Site_2& p4) const
   {
     Method_tag tag;
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Is_hidden_C2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Is_hidden_C2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Is_hidden_C2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Is_hidden_C2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Is_hidden_C2.h $
-// $Id: Is_hidden_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Is_hidden_C2.h $
+// $Id: Is_hidden_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -41,23 +41,23 @@ public:
 
 private:
   bool is_hidden(const Site_2& p, const Site_2& q,
-		 const Integral_domain_without_division_tag&) const
+                 const Integral_domain_without_division_tag&) const
   {
     RT w1 = p.weight();
     RT w2 = q.weight();
     Sign s = CGAL::sign( CGAL::square(p.x() - q.x())
-			 + CGAL::square(p.y() - q.y())
-			 - CGAL::square(w1 - w2)
-			 );
+                         + CGAL::square(p.y() - q.y())
+                         - CGAL::square(w1 - w2)
+                         );
     if ( s == POSITIVE ) { return false; }
     return (CGAL::compare(w1, w2) != SMALLER);
   }
 
   bool is_hidden(const Site_2& p, const Site_2& q,
-		 const Field_with_sqrt_tag&) const
+                 const Field_with_sqrt_tag&) const
   {
     RT d = CGAL::sqrt(CGAL::square(p.x() - q.x())
-		      + CGAL::square(p.y() - q.y()));
+                      + CGAL::square(p.y() - q.y()));
     Sign s = CGAL::sign(d - p.weight() + q.weight());
 
     return ( s != POSITIVE );
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Kernel_wrapper_2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Kernel_wrapper_2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Kernel_wrapper_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Kernel_wrapper_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Kernel_wrapper_2.h $
-// $Id: Kernel_wrapper_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Kernel_wrapper_2.h $
+// $Id: Kernel_wrapper_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -68,8 +68,8 @@ public:
     NT_converter nt_cv;
 
     return K2_Site_2( Base::operator()(t.point()),
-		      nt_cv(t.weight())
-		      );
+                      nt_cv(t.weight())
+                      );
   }
 };
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Orientation_2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Orientation_2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Orientation_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Orientation_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Orientation_2.h $
-// $Id: Orientation_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Orientation_2.h $
+// $Id: Orientation_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -50,26 +50,26 @@ private:
 
 private:
   Orientation vv_orientation(const Voronoi_circle& vc, const Point_2& sp1,
-			     const Point_2& p1,	const Point_2& p2,
-			     const Field_with_sqrt_tag&) const
+                             const Point_2& p1,        const Point_2& p2,
+                             const Field_with_sqrt_tag&) const
   {
     FT a = vc.a1() + vc.a2() * CGAL::sqrt(vc.delta());
     FT b = vc.b1() + vc.b2() * CGAL::sqrt(vc.delta());
     FT det1 = a * (p2.y() - p1.y()) - b * (p2.x() - p1.x());
     FT c = vc.c1() + vc.c2() * CGAL::sqrt(vc.delta());
     FT det2 = determinant(p1.x() - sp1.x(), p1.y() - sp1.y(),
-				p2.x() - sp1.x(), p2.y() - sp1.y());
+                                p2.x() - sp1.x(), p2.y() - sp1.y());
     return CGAL::sign(det1 + FT(2) * c * det2);
   }
 
   Orientation vv_orientation(const Voronoi_circle vc, const Point_2& sp1,
-			     const Point_2& p1, const Point_2& p2,
-			     const Integral_domain_without_division_tag&) const
+                             const Point_2& p1, const Point_2& p2,
+                             const Integral_domain_without_division_tag&) const
   {
     FT dx = p2.x() - p1.x();
     FT dy = p2.y() - p1.y();
     FT det1 = determinant(p1.x() - sp1.x(), p1.y() - sp1.y(),
-				p2.x() - sp1.x(), p2.y() - sp1.y());
+                                p2.x() - sp1.x(), p2.y() - sp1.y());
     FT A = vc.a1() * dy - vc.b1() * dx + FT(2) * vc.c1() * det1;
     FT B = vc.a2() * dy - vc.b2() * dx + FT(2) * vc.c2() * det1;
     return sign_a_plus_b_x_sqrt_c(A, B, vc.delta());
@@ -78,15 +78,15 @@ private:
 public:
   inline
   Orientation operator()(const Site_2& s1, const Site_2& s2,
-			 const Site_2& s3) const
+                         const Site_2& s3) const
   {
     return Kernel().orientation_2_object()(s1.point(), s2.point(),
-					   s3.point());
+                                           s3.point());
   }
 
   Orientation operator()(const Site_2& s1, const Site_2& s2,
-			 const Site_2& s3, const Site_2& p1,
-			 const Site_2& p2) const
+                         const Site_2& s3, const Site_2& p1,
+                         const Site_2& p2) const
   {
     // computes the operation of the Voronoi vertex of s1, s2, s3 and
     // the points p1 and p2
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Orientation8_C2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Orientation8_C2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Orientation8_C2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Orientation8_C2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Orientation8_C2.h $
-// $Id: Orientation8_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Orientation8_C2.h $
+// $Id: Orientation8_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -46,18 +46,18 @@ public:
 public:
   inline
   Orientation operator()(const Site_2& s1, const Site_2& s2,
-			 const Site_2& s3) const
+                         const Site_2& s3) const
   {
     return Kernel().orientation_2_object()(s1.point(), s2.point(),
-					   s3.point());
+                                           s3.point());
   }
 
   inline
   Sign sqrt_ext_sign(const FT& A, const FT& B,
-		     const FT& Exp, const FT& Eyp, const FT& Erp,
-		     const FT& Exy2, const FT& Exr, const FT& Eyr,
-		     const FT dx, const FT& dy,
-		     const Field_with_sqrt_tag&) const
+                     const FT& Exp, const FT& Eyp, const FT& Erp,
+                     const FT& Exy2, const FT& Exr, const FT& Eyr,
+                     const FT dx, const FT& dy,
+                     const Field_with_sqrt_tag&) const
   {
     FT G = CGAL::square(Exp) + CGAL::square(Eyp) - CGAL::square(Erp);
     return CGAL::sign(A + B * CGAL::sqrt(G));
@@ -65,10 +65,10 @@ public:
 
   inline
   Sign sqrt_ext_sign(const FT& A, const FT& B,
-		     const FT& Exp, const FT& Eyp, const FT& Erp,
-		     const FT& Exy2, const FT& Exr, const FT& Eyr,
-		     const FT dx, const FT& dy,
-		     const Integral_domain_without_division_tag&) const
+                     const FT& Exp, const FT& Eyp, const FT& Erp,
+                     const FT& Exy2, const FT& Exr, const FT& Eyr,
+                     const FT dx, const FT& dy,
+                     const Integral_domain_without_division_tag&) const
   {
     Sign sA = CGAL::sign(A);
     Sign sB = CGAL::sign(B);
@@ -78,14 +78,14 @@ public:
     if ( sA == sB ) { return sA; }
 
     Sign s = CGAL::sign(CGAL::square(Exy2 * Exr - Erp * dy)
-			+ CGAL::square(Exy2 * Eyr + Erp * dx)
-			- CGAL::square(B));
+                        + CGAL::square(Exy2 * Eyr + Erp * dx)
+                        - CGAL::square(B));
     return sA * s;
   }
 
   Orientation predicate(const Site_2& s1, const Site_2& s2,
-			 const Site_2& s3, const Site_2& p1,
-			 const Site_2& p2) const
+                         const Site_2& s3, const Site_2& p1,
+                         const Site_2& p2) const
   {
     // computes the orientation of the Voronoi vertex of s1, s2, s3 and
     // the points p1 and p2
@@ -127,12 +127,12 @@ public:
     FT B = Exy * Exy2 - Exp * dx - Eyp * dy;
 
     return sqrt_ext_sign(A, B, Exp, Eyp, Erp,
-			 Exy2, Exr, Eyr, dx, dy, Method_tag());
+                         Exy2, Exr, Eyr, dx, dy, Method_tag());
   }
 
   Orientation operator()(const Site_2& s1, const Site_2& s2,
-			 const Site_2& s3, const Site_2& p1,
-			 const Site_2& p2) const
+                         const Site_2& s3, const Site_2& p1,
+                         const Site_2& p2) const
   {
     Orientation o = predicate(s1, s2, s3, p1, p2);
 #ifndef NDEBUG
@@ -168,11 +168,11 @@ private:
 
 public:
   Constructive_orientation8_C2(const Site_2& s1, const Site_2& s2,
-			       const Site_2& s3, bool use_xj)
+                               const Site_2& s3, bool use_xj)
   {
     s1x = s1.x();
     s1y = s1.y();
-    
+
     xj = s2.x() - s1.x();
     xk = s3.x() - s1.x();
 
@@ -214,9 +214,9 @@ public:
 
 private:
   inline
-  Sign sqrt_ext_sign(const FT& A, const FT& B, const FT& Exy2, 
-		     const FT& dx, const FT& dy,
-		     const Field_with_sqrt_tag&) const
+  Sign sqrt_ext_sign(const FT& A, const FT& B, const FT& Exy2,
+                     const FT& dx, const FT& dy,
+                     const Field_with_sqrt_tag&) const
   {
     FT G = CGAL::square(Exp) + CGAL::square(Eyp) - CGAL::square(Erp);
     return CGAL::sign(A + B * CGAL::sqrt(G));
@@ -224,7 +224,7 @@ private:
 
   inline
   Sign sqrt_ext_sign(const FT& A, const FT& B, const FT&,
-		     const Field_with_sqrt_tag&) const
+                     const Field_with_sqrt_tag&) const
   {
     FT G = CGAL::square(Exp) + CGAL::square(Eyp) - CGAL::square(Erp);
     return CGAL::sign(A + B * CGAL::sqrt(G));
@@ -233,7 +233,7 @@ private:
 
   inline
   Sign sqrt_ext_sign(const FT& A, const FT& B, const FT& norm,
-		     const Integral_domain_without_division_tag&) const
+                     const Integral_domain_without_division_tag&) const
   {
     Sign sA = CGAL::sign(A);
     Sign sB = CGAL::sign(B);
@@ -249,8 +249,8 @@ private:
 
   inline
   Sign sqrt_ext_sign(const FT& A, const FT& B, const FT& Exy2,
-		     const FT dx, const FT& dy,
-		     const Integral_domain_without_division_tag&) const
+                     const FT dx, const FT& dy,
+                     const Integral_domain_without_division_tag&) const
   {
     Sign sA = CGAL::sign(A);
     Sign sB = CGAL::sign(B);
@@ -260,8 +260,8 @@ private:
     if ( sA == sB ) { return sA; }
 
     Sign s = CGAL::sign(CGAL::square(Exy2 * Exr - Erp * dy)
-			+ CGAL::square(Exy2 * Eyr + Erp * dx)
-			- CGAL::square(B));
+                        + CGAL::square(Exy2 * Eyr + Erp * dx)
+                        - CGAL::square(B));
     return sA * s;
   }
 
@@ -289,10 +289,10 @@ private:
 public:
   inline
   Orientation operator()(const Site_2& s1, const Site_2& s2,
-			 const Site_2& s3) const
+                         const Site_2& s3) const
   {
     return Kernel().orientation_2_object()(s1.point(), s2.point(),
-					   s3.point());
+                                           s3.point());
   }
 
   inline
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Oriented_side_of_bisector_C2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Oriented_side_of_bisector_C2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Oriented_side_of_bisector_C2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Oriented_side_of_bisector_C2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Oriented_side_of_bisector_C2.h $
-// $Id: Oriented_side_of_bisector_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Oriented_side_of_bisector_C2.h $
+// $Id: Oriented_side_of_bisector_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -47,13 +47,13 @@ private:
 private:
   Comparison_result
   compare_distances(const Site_2& p1, const Site_2& p2,
-		    const Point_2& p, const Integral_domain_without_division_tag&) const
+                    const Point_2& p, const Integral_domain_without_division_tag&) const
   {
 #ifdef AG2_PROFILE_PREDICATES
     ag2_predicate_profiler::side_of_bisector_counter++;
 #endif
 
-    // this function compares the distances of the point(x, y) from the 
+    // this function compares the distances of the point(x, y) from the
     // disks {(x1, y1), w1} and {(x2, y2), w2}
     RT D1 = CGAL::square(p1.x() - p.x()) + CGAL::square(p1.y() - p.y());
     RT D2 = CGAL::square(p2.x() - p.x()) + CGAL::square(p2.y() - p.y());
@@ -69,25 +69,25 @@ private:
       if ( R != SMALLER )  return LARGER;
 
       Sign s = sign_a_plus_b_x_sqrt_c<RT>(D1 - D2 + CGAL::square(Dw),
-					  RT(2) * Dw, D1);
+                                          RT(2) * Dw, D1);
       return ((s == POSITIVE) ? LARGER : ((s == ZERO) ? EQUAL : SMALLER));
     }
 
     if ( R != LARGER )  return SMALLER;
     Sign s = sign_a_plus_b_x_sqrt_c<RT>(D1 - D2 - CGAL::square(Dw),
-					RT(2) * Dw, D2);
+                                        RT(2) * Dw, D2);
 
     return ((s == POSITIVE) ? LARGER : ((s == ZERO) ? EQUAL : SMALLER));
   }
 
   Comparison_result
   compare_distances(const Site_2& p1, const Site_2& p2,
-		    const Point_2 &p, const Field_with_sqrt_tag&) const
+                    const Point_2 &p, const Field_with_sqrt_tag&) const
   {
 #ifdef AG2_PROFILE_PREDICATES
     ag2_predicate_profiler::side_of_bisector_counter++;
 #endif
-    // this function compares the distances of the point(x, y) from the 
+    // this function compares the distances of the point(x, y) from the
     // disks {(x1, y1), w1} and {(x2, y2), w2}
 
     RT D1 = CGAL::square(p1.x() - p.x()) + CGAL::square(p1.y() - p.y());
@@ -105,7 +105,7 @@ public:
 
   inline
   Oriented_side operator()(const Site_2& p1, const Site_2& p2,
-			   const Point_2 &p) const
+                           const Point_2 &p) const
   {
     Comparison_result r = compare_distances(p1, p2, p, Method_tag());
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Predicate_constructions_C2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Predicate_constructions_C2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Predicate_constructions_C2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Predicate_constructions_C2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Predicate_constructions_C2.h $
-// $Id: Predicate_constructions_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Predicate_constructions_C2.h $
+// $Id: Predicate_constructions_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -61,10 +61,10 @@ public:
       FT ys = wp.y() - _pole.y();
       FT ws = wp.weight() - _pole.weight();
       FT ps = CGAL::square(xs) + CGAL::square(ys)
-	- CGAL::square(ws);
+        - CGAL::square(ws);
 
       return
-	Inverted_weighted_point(Site_2(Point_2(xs, ys), ws), ps);
+        Inverted_weighted_point(Site_2(Point_2(xs, ys), ws), ps);
     }
 
   Site_2 pole() const { return _pole; }
@@ -88,13 +88,13 @@ private:
   FT _dxp, _dyp, _dwp;
 
   Voronoi_radius_2(FT a, FT b, FT c, FT c2, FT delta,
-		   FT dxp, FT dyp, FT dwp)
+                   FT dxp, FT dyp, FT dwp)
     : _a(a), _b(b), _c(c), _c2(c2), _delta(delta), _dxp(dxp),
       _dyp(dyp), _dwp(dwp) {}
 
 public:
   Voronoi_radius_2(const Inverted_weighted_point& u1,
-		   const Inverted_weighted_point& u2)
+                   const Inverted_weighted_point& u2)
     {
       FT dxp = determinant(u1.x(), u1.p(), u2.x(), u2.p());
       FT dyp = determinant(u1.y(), u1.p(), u2.y(), u2.p());
@@ -157,14 +157,14 @@ protected:
   FT _dxw, _dyw;
 
   Bitangent_line_2(FT a1, FT a2, FT b1, FT b2, FT c1, FT c2,
-		   FT delta, FT d, FT dw, FT dxw, FT dyw)
+                   FT delta, FT d, FT dw, FT dxw, FT dyw)
     : _a1(a1), _a2(a2), _b1(b1), _b2(b2), _c1(c1), _c2(c2),
       _delta(delta), _d(d), _dw(dw),_dxw(dxw), _dyw(dyw) {}
 
   inline void
   store(FT dx, FT dy, FT dw)
     {
-      _dw = dw; 
+      _dw = dw;
       _a1 = dx * dw;
       _a2 = dy;
       _b1 = dy * dw;
@@ -198,7 +198,7 @@ public:
 
 
   Bitangent_line_2(const Inverted_weighted_point& u1,
-		   const Inverted_weighted_point& u2)
+                   const Inverted_weighted_point& u2)
     {
       FT dxp = determinant(u1.x(), u1.p(), u2.x(), u2.p());
       FT dyp = determinant(u1.y(), u1.p(), u2.y(), u2.p());
@@ -213,15 +213,15 @@ public:
   Bitangent_line_2 get_symmetric() const
     {
       return
-	Bitangent_line_2(_a1, -_a2, _b1, -_b2, _c1, -_c2, _delta, _d,
-			 -_dw, -_dxw, -_dyw);
+        Bitangent_line_2(_a1, -_a2, _b1, -_b2, _c1, -_c2, _delta, _d,
+                         -_dw, -_dxw, -_dyw);
     }
 
   Bitangent_line_2 get_rot90() const
     {
       return
-	Bitangent_line_2(-_b1, -_b2, _a1, _a2, _c1, _c2, _delta, _d,
-			 _dw, -_dyw, _dxw);
+        Bitangent_line_2(-_b1, -_b2, _a1, _a2, _c1, _c2, _delta, _d,
+                         _dw, -_dyw, _dxw);
     }
 
   Bitangent_line_2 perpendicular(const Point_2& p) const
@@ -281,24 +281,24 @@ protected:
   void compute_gamma()
     {
       _gamma = CGAL::square(this->_dxw) + CGAL::square(this->_dyw)
-	- CGAL::square(this->_c2);
+        - CGAL::square(this->_c2);
     }
 
 public:
   Voronoi_circle_2(const Voronoi_radius& vr)
     : Bitangent_line(FT(0), FT(0), FT(0), FT(0), vr.b(), vr.c2(),
-		     vr.delta(), vr.d(), FT(0), FT(0), FT(0)), _gamma(vr.c())
+                     vr.delta(), vr.d(), FT(0), FT(0), FT(0)), _gamma(vr.c())
     {
       this->store(vr.dxp(), vr.dyp(), vr.dwp());
     }
 
   Voronoi_circle_2(const Bitangent_line& bl)
     : Bitangent_line(bl.a1(), bl.a2(), bl.b1(), bl.b2(), bl.c1(), bl.c2(),
-		     bl.delta(), bl.d(), bl.dw(), bl.dxw(), bl.dyw())
+                     bl.delta(), bl.d(), bl.dw(), bl.dxw(), bl.dyw())
     {
       compute_gamma();
     }
-		
+
   inline FT alpha() const { return this->_d; }
   inline FT beta() const { return  this->_c1; }
   inline FT gamma() const { return _gamma; }
@@ -308,8 +308,8 @@ public:
   }
 
   FT compute_P4(const Inverted_weighted_point& u1,
-		const Inverted_weighted_point& u2,
-		const Inverted_weighted_point& u3) const
+                const Inverted_weighted_point& u2,
+                const Inverted_weighted_point& u3) const
     {
       FT dx1 = determinant(u2.x(), u2.p(), u1.x(), u1.p());
       FT dy1 = determinant(u2.y(), u2.p(), u1.y(), u1.p());
@@ -345,7 +345,7 @@ public:
       FT vuMuv = dy1 * dx3 - dx1 * dy3;
 
       FT G = fr1_sq + fr3_sq - FT(2) * dw1 * dw3 * uuPvv
-	- CGAL::square(vuMuv);
+        - CGAL::square(vuMuv);
 
       return (F * G);
     }
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/predicate_profiler.h 5.0.3-1/include/CGAL/Apollonius_graph_2/predicate_profiler.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/predicate_profiler.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/predicate_profiler.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/predicate_profiler.h $
-// $Id: predicate_profiler.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/predicate_profiler.h $
+// $Id: predicate_profiler.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Predicates_C2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Predicates_C2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Predicates_C2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Predicates_C2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Predicates_C2.h $
-// $Id: Predicates_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Predicates_C2.h $
+// $Id: Predicates_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/Traits_wrapper_2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/Traits_wrapper_2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/Traits_wrapper_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/Traits_wrapper_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Traits_wrapper_2.h $
-// $Id: Traits_wrapper_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/Traits_wrapper_2.h $
+// $Id: Traits_wrapper_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/uncertain/uncertain_functions_on_signs.h 5.0.3-1/include/CGAL/Apollonius_graph_2/uncertain/uncertain_functions_on_signs.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/uncertain/uncertain_functions_on_signs.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/uncertain/uncertain_functions_on_signs.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/uncertain/uncertain_functions_on_signs.h $
-// $Id: uncertain_functions_on_signs.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/uncertain/uncertain_functions_on_signs.h $
+// $Id: uncertain_functions_on_signs.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -62,7 +62,7 @@ uncertain_sign_a_plus_b_x_sqrt_c(const R
 template < class RT >
 Sign
 sign_a_x_sqrt_c_plus_b_x_sqrt_d(const RT &a, const RT &b,
-				const RT &c, const RT &d)
+                                const RT &c, const RT &d)
 {
   // computes the sign of quantity: a * sqrt(c) + b * sqrt(d)
 
@@ -78,17 +78,17 @@ sign_a_x_sqrt_c_plus_b_x_sqrt_d(const RT
   if ( sa == ZERO )  return sb;
 
   return sa * CGAL::compare( CGAL::square(a) * c,
-			     CGAL::square(b) * d );
+                             CGAL::square(b) * d );
 }
 
 template < class RT >
 Sign
 sign_a_plus_b_x_sqrt_e_plus_c_x_sqrt_f(const RT &a, const RT &b,
-				       const RT &c, const RT &e,
-				       const RT &f)
+                                       const RT &c, const RT &e,
+                                       const RT &f)
 {
   // computes the sign of quantity: a + b * sqrt(e) + c * sqrt(f)
-  
+
   CGAL_assertion( !(CGAL::is_negative(e)) );
   CGAL_assertion( !(CGAL::is_negative(f)) );
 
@@ -99,24 +99,24 @@ sign_a_plus_b_x_sqrt_e_plus_c_x_sqrt_f(c
   if ( s_a_plus_b_x_sqrt_e == sc )  return sc;
   if ( s_a_plus_b_x_sqrt_e == ZERO )  return sc;
 
-  return s_a_plus_b_x_sqrt_e * 
+  return s_a_plus_b_x_sqrt_e *
     sign_a_plus_b_x_sqrt_c(CGAL::square(a) + CGAL::square(b) * e
-			   - CGAL::square(c) * f,
-			   RT(2) * a * b, e);
+                           - CGAL::square(c) * f,
+                           RT(2) * a * b, e);
 }
 
 template < class RT >
 Sign
 sign_a_plus_b_x_sqrt_e_plus_c_x_sqrt_f_plus_d_sqrt_e_x_f(const RT &a,
-							 const RT &b,
-							 const RT &c,
-							 const RT &d,
-							 const RT &e,
-							 const RT &f)
+                                                         const RT &b,
+                                                         const RT &c,
+                                                         const RT &d,
+                                                         const RT &e,
+                                                         const RT &f)
 {
   // computes the sign of quantity:
   //           a + b * sqrt(e) + c * sqrt(f) + d * sqrt(e * f)
-  
+
   CGAL_assertion( !(CGAL::is_negative(e)) );
   CGAL_assertion( !(CGAL::is_negative(f)) );
 
@@ -131,10 +131,10 @@ sign_a_plus_b_x_sqrt_e_plus_c_x_sqrt_f_p
 
   return s_a_plus_b_sqrt_e *
     sign_a_plus_b_x_sqrt_c(CGAL::square(a) + CGAL::square(b) * e
-			   - CGAL::square(c) * f
-			   - CGAL::square(d) * e * f,
-			   RT(2) * (a * b - c * d * f),
-			   e);
+                           - CGAL::square(c) * f
+                           - CGAL::square(d) * e * f,
+                           RT(2) * (a * b - c * d * f),
+                           e);
 }
 #endif
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_is_hidden_C2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_is_hidden_C2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_is_hidden_C2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_is_hidden_C2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_is_hidden_C2.h $
-// $Id: Uncertain_is_hidden_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_is_hidden_C2.h $
+// $Id: Uncertain_is_hidden_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -39,14 +39,14 @@ public:
 
 private:
   Uncertain<bool> is_hidden(const Site_2& p, const Site_2& q,
-			    const Integral_domain_without_division_tag&) const
+                            const Integral_domain_without_division_tag&) const
   {
     RT w1 = p.weight();
     RT w2 = q.weight();
     Uncertain<Sign> s = CGAL::sign( CGAL::square(p.x() - q.x())
-				    + CGAL::square(p.y() - q.y())
-				    - CGAL::square(w1 - w2)
-				    );
+                                    + CGAL::square(p.y() - q.y())
+                                    - CGAL::square(w1 - w2)
+                                    );
     if ( is_indeterminate(s) ) {
       return Uncertain<bool>::indeterminate();
     }
@@ -60,11 +60,11 @@ private:
   }
 
   Uncertain<bool> is_hidden(const Site_2& p, const Site_2& q,
-			    const Field_with_sqrt_tag&) const
+                            const Field_with_sqrt_tag&) const
   {
     RT d = CGAL::sqrt(CGAL::square(p.x() - q.x())
-		      + CGAL::square(p.y() - q.y()));
-    
+                      + CGAL::square(p.y() - q.y()));
+
     Uncertain<Sign> s = CGAL::sign(d - p.weight() + q.weight());
     if ( is_indeterminate(s) ) {
       return Uncertain<bool>::indeterminate();
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_oriented_side_of_bisector_C2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_oriented_side_of_bisector_C2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_oriented_side_of_bisector_C2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_oriented_side_of_bisector_C2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_oriented_side_of_bisector_C2.h $
-// $Id: Uncertain_oriented_side_of_bisector_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_oriented_side_of_bisector_C2.h $
+// $Id: Uncertain_oriented_side_of_bisector_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -43,13 +43,13 @@ private:
 private:
   Uncertain<Comparison_result>
   compare_distances(const Site_2& p1, const Site_2& p2,
-		    const Point_2& p, const Integral_domain_without_division_tag&) const
+                    const Point_2& p, const Integral_domain_without_division_tag&) const
   {
 #ifdef AG2_PROFILE_PREDICATES
     ag2_predicate_profiler::side_of_bisector_counter++;
 #endif
 
-    // this function compares the distances of the point(x, y) from the 
+    // this function compares the distances of the point(x, y) from the
     // disks {(x1, y1), w1} and {(x2, y2), w2}
     RT D1 = CGAL::square(p1.x() - p.x()) + CGAL::square(p1.y() - p.y());
     RT D2 = CGAL::square(p2.x() - p.x()) + CGAL::square(p2.y() - p.y());
@@ -72,22 +72,22 @@ private:
       if ( R != SMALLER )  return LARGER;
 
       return uncertain_sign_a_plus_b_x_sqrt_c(D1 - D2 + CGAL::square(Dw),
-					      RT(2) * Dw, D1);
+                                              RT(2) * Dw, D1);
     }
 
     if ( R != LARGER )  return SMALLER;
     return uncertain_sign_a_plus_b_x_sqrt_c(D1 - D2 - CGAL::square(Dw),
-				            RT(2) * Dw, D2);
+                                            RT(2) * Dw, D2);
   }
 
   Comparison_result
   compare_distances(const Site_2& p1, const Site_2& p2,
-		    const Point_2 &p, const Field_with_sqrt_tag&) const
+                    const Point_2 &p, const Field_with_sqrt_tag&) const
   {
 #ifdef AG2_PROFILE_PREDICATES
     ag2_predicate_profiler::side_of_bisector_counter++;
 #endif
-    // this function compares the distances of the point(x, y) from the 
+    // this function compares the distances of the point(x, y) from the
     // disks {(x1, y1), w1} and {(x2, y2), w2}
 
     RT D1 = CGAL::square(p1.x() - p.x()) + CGAL::square(p1.y() - p.y());
@@ -106,7 +106,7 @@ public:
   inline
   Uncertain<Oriented_side>
   operator()(const Site_2& p1, const Site_2& p2,
-	     const Point_2 &p) const
+             const Point_2 &p) const
   {
     return - compare_distances(p1, p2, p, Method_tag());
   }
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_vertex_conflict_2.h 5.0.3-1/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_vertex_conflict_2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_vertex_conflict_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_vertex_conflict_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_vertex_conflict_2.h $
-// $Id: Uncertain_vertex_conflict_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2/uncertain/Uncertain_vertex_conflict_2.h $
+// $Id: Uncertain_vertex_conflict_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 //                 Christophe Delage <Christophe.Delage@sophia.inria.fr>
@@ -29,8 +29,8 @@ namespace CGAL {
 //                        Vertex conflict
 //-----------------------------------------------------------------------
 
-template < class K, class Method_tag > 
-class Uncertain_vertex_conflict_new_2 
+template < class K, class Method_tag >
+class Uncertain_vertex_conflict_new_2
 {
 public:
     typedef typename K::Site_2                Site_2;
@@ -38,12 +38,12 @@ public:
     typedef Uncertain<Sign>                   result_type;
 
 private:
-    
+
     inline
     Uncertain<bool> is_less (const Site_2 &p0, const Site_2 &p1) const
     {
       static const Uncertain<bool> uncertain_bool =
-	Uncertain<bool>::indeterminate();
+        Uncertain<bool>::indeterminate();
 
       Uncertain<Comparison_result> cr;
 
@@ -65,33 +65,33 @@ private:
     }
 
     inline
-    int max_radius(const Site_2	&p0, const Site_2 &p1,
+    int max_radius(const Site_2        &p0, const Site_2 &p1,
             const Site_2 &p2, const Site_2 &p3) const
     {
         int i = 0;
         const Site_2 *p = &p0;
 
-	Uncertain<bool> b;
-	b = is_less (*p, p1);
-	if ( is_indeterminate(b) ) {
-	  return -1;
-	} else if (b) {
-	  i = 1; p = &p1;
-	}
-
-	b = is_less(*p, p2);
-	if ( is_indeterminate(b) ) {
-	  return -1;
-	} else if (b) {
-	  i = 2; p = &p2;
-	}
-	
-	b = is_less(*p, p3);
-	if ( is_indeterminate(b) ) {
-	  return -1;
-	} else if (b) {
-	  i = 3;
-	}
+        Uncertain<bool> b;
+        b = is_less (*p, p1);
+        if ( is_indeterminate(b) ) {
+          return -1;
+        } else if (b) {
+          i = 1; p = &p1;
+        }
+
+        b = is_less(*p, p2);
+        if ( is_indeterminate(b) ) {
+          return -1;
+        } else if (b) {
+          i = 2; p = &p2;
+        }
+
+        b = is_less(*p, p3);
+        if ( is_indeterminate(b) ) {
+          return -1;
+        } else if (b) {
+          i = 3;
+        }
 
         return i;
     }
@@ -99,8 +99,8 @@ private:
     inline
     Uncertain<Sign>
     predicate(const Site_2 &p1, const Site_2 &p2,
-	      const Site_2 &p3, const Site_2 &q, bool perturb) const
-    {	
+              const Site_2 &p3, const Site_2 &q, bool perturb) const
+    {
       RT xq = q.x() - p1.x();
       RT yq = q.y() - p1.y();
       RT wq = q.weight() - p1.weight();
@@ -110,10 +110,10 @@ private:
       Uncertain<Sign> s = CGAL::sign(aq);
       if ( is_indeterminate(s) ) { return s; }
       if (s != POSITIVE){
-	// I BELIEVE MENELAOS RETURNS -1 in this case even when degernate 
-	//if (sign (aq) == ZERO && ! perturb) return ZERO;
-	//	return NEGATIVE;
-	return POSITIVE;
+        // I BELIEVE MENELAOS RETURNS -1 in this case even when degernate
+        //if (sign (aq) == ZERO && ! perturb) return ZERO;
+        //        return NEGATIVE;
+        return POSITIVE;
       }
 
       RT x2 = p2.x() - p1.x();
@@ -130,7 +130,7 @@ private:
 
       CGAL_assertion (a3 > 0);
 
-      RT ax3q = a3 * xq - x3 * aq; 
+      RT ax3q = a3 * xq - x3 * aq;
       RT ax2q = a2 * xq - x2 * aq;
       RT ax23 = a2 * x3 - x2 * a3;
 
@@ -149,125 +149,125 @@ private:
 
       // orientation degenerate
       if (orient == ZERO) {
-	Uncertain<Sign> orient1 = CGAL::sign (ax23);
-	if ( is_indeterminate(orient1) ) { return orient1; }
+        Uncertain<Sign> orient1 = CGAL::sign (ax23);
+        if ( is_indeterminate(orient1) ) { return orient1; }
 
-	Sign power_test;
-	if ( orient1 == ZERO ) {
-	  Uncertain<Sign> s_ay23 = CGAL::sign(ay23);
-	  if ( is_indeterminate(s_ay23) ) { return s_ay23; }
-	  Uncertain<Sign> s_ayw23q = CGAL::sign(ayw23q);
-	  if ( is_indeterminate(s_ayw23q) ) { return s_ayw23q; }
-
-	  power_test = s_ay23 * s_ayw23q;
-	} else {
-	  Uncertain<Sign> s_axw23q = CGAL::sign(axw23q);
-	  if ( is_indeterminate(s_axw23q) ) { return s_axw23q; }
-
-	  power_test = orient1 * s_axw23q;
-	}
-
-	if (power_test != ZERO || ! perturb) {
-	  return -power_test;
-	}
-
-	int i = max_radius (p1, p2, p3, q);
-	if ( i == -1 ) {
-	  return Uncertain<Sign>::indeterminate();
-	}
-
-	if (i == 3) { return NEGATIVE; }
-
-	Uncertain<Sign> o23, o2q, o3q;
-
-	if (orient1 == ZERO) {
-	  o23 = CGAL::sign (ay23);
-	  o2q = CGAL::sign (ay2q);
-	  o3q = CGAL::sign (ay3q);
-	} else {
-	  o23 = CGAL::sign (ax23);
-	  o2q = CGAL::sign (ax2q);
-	  o3q = CGAL::sign (ax3q);
-	}
-	if ( is_indeterminate(o23) || 
-	     is_indeterminate(o2q) ||
-	     is_indeterminate(o3q) ) {
-	  return Uncertain<Sign>::indeterminate();
-	}
+        Sign power_test;
+        if ( orient1 == ZERO ) {
+          Uncertain<Sign> s_ay23 = CGAL::sign(ay23);
+          if ( is_indeterminate(s_ay23) ) { return s_ay23; }
+          Uncertain<Sign> s_ayw23q = CGAL::sign(ayw23q);
+          if ( is_indeterminate(s_ayw23q) ) { return s_ayw23q; }
+
+          power_test = s_ay23 * s_ayw23q;
+        } else {
+          Uncertain<Sign> s_axw23q = CGAL::sign(axw23q);
+          if ( is_indeterminate(s_axw23q) ) { return s_axw23q; }
+
+          power_test = orient1 * s_axw23q;
+        }
+
+        if (power_test != ZERO || ! perturb) {
+          return -power_test;
+        }
+
+        int i = max_radius (p1, p2, p3, q);
+        if ( i == -1 ) {
+          return Uncertain<Sign>::indeterminate();
+        }
+
+        if (i == 3) { return NEGATIVE; }
+
+        Uncertain<Sign> o23, o2q, o3q;
+
+        if (orient1 == ZERO) {
+          o23 = CGAL::sign (ay23);
+          o2q = CGAL::sign (ay2q);
+          o3q = CGAL::sign (ay3q);
+        } else {
+          o23 = CGAL::sign (ax23);
+          o2q = CGAL::sign (ax2q);
+          o3q = CGAL::sign (ax3q);
+        }
+        if ( is_indeterminate(o23) ||
+             is_indeterminate(o2q) ||
+             is_indeterminate(o3q) ) {
+          return Uncertain<Sign>::indeterminate();
+        }
 
-	if (o23 != o2q) { return i == 2 ? NEGATIVE : POSITIVE; }
+        if (o23 != o2q) { return i == 2 ? NEGATIVE : POSITIVE; }
 
-	if (o23 == o3q) { return i == 1 ? NEGATIVE : POSITIVE; }
+        if (o23 == o3q) { return i == 1 ? NEGATIVE : POSITIVE; }
 
-	return i == 0 ? NEGATIVE : POSITIVE;
+        return i == 0 ? NEGATIVE : POSITIVE;
       } // if (orient == ZERO )
- 
-      // radical side 
+
+      // radical side
       RT rs23q = ax23 * axw23q + ay23 * ayw23q;
       Uncertain<Sign> radSide = CGAL::sign (rs23q);
       if ( is_indeterminate(radSide) ) { return radSide; }
 
       if (radSide == ZERO || radSide != orient) { return orient; }
-       
+
       // radical intersection
       Uncertain<Sign> radInt =
-	CGAL::sign(axw23q * axw23q + ayw23q * ayw23q - axy23q * axy23q);
+        CGAL::sign(axw23q * axw23q + ayw23q * ayw23q - axy23q * axy23q);
       if ( is_indeterminate(radInt) ) { return radInt; }
 
       // radical intersection degenerate
       if (radInt == ZERO) {
-	Uncertain<Sign> radSideQ = CGAL::sign(ax23 * axw23q + ay23 * ayw23q);
+        Uncertain<Sign> radSideQ = CGAL::sign(ax23 * axw23q + ay23 * ayw23q);
         if ( is_indeterminate(radSideQ) ) { return radSideQ; }
 
-	CGAL_assertion (radSideQ != ZERO);
+        CGAL_assertion (radSideQ != ZERO);
 
-	if (! perturb) { return (radSideQ == orient) ? Uncertain<Sign>(ZERO) : orient; }
+        if (! perturb) { return (radSideQ == orient) ? Uncertain<Sign>(ZERO) : orient; }
 
-	int i = max_radius (p1, p2, p3, q);
-	if ( i == -1 ) { return Uncertain<Sign>::indeterminate(); }
+        int i = max_radius (p1, p2, p3, q);
+        if ( i == -1 ) { return Uncertain<Sign>::indeterminate(); }
 
-	if (i == 3) {
-	  radInt = radSideQ;
-	} else if (i == 2) {
-	  radInt = -CGAL::sign(ax2q * axw23q + ay2q * ayw23q);
-	  if ( is_indeterminate(radInt) ) { return radInt; }
-	  if (radInt == ZERO) { return NEGATIVE; }
-	} else if (i == 1) {
-	  radInt = CGAL::sign(ax3q * axw23q + ay3q * ayw23q);
-	  if ( is_indeterminate(radInt) ) { return radInt; }
-	  if (radInt == ZERO) { return NEGATIVE; }
-	} else {
-	  CGAL_assertion (i == 0);
-	  Uncertain<Sign> radSide1 =
-	    -CGAL::sign(ax2q * axw23q + ay2q * ayw23q);
-	  if ( is_indeterminate(radSide1) ) { return radSide1; }
-
-	  if (radSide1 == ZERO) { return NEGATIVE; }
+        if (i == 3) {
+          radInt = radSideQ;
+        } else if (i == 2) {
+          radInt = -CGAL::sign(ax2q * axw23q + ay2q * ayw23q);
+          if ( is_indeterminate(radInt) ) { return radInt; }
+          if (radInt == ZERO) { return NEGATIVE; }
+        } else if (i == 1) {
+          radInt = CGAL::sign(ax3q * axw23q + ay3q * ayw23q);
+          if ( is_indeterminate(radInt) ) { return radInt; }
+          if (radInt == ZERO) { return NEGATIVE; }
+        } else {
+          CGAL_assertion (i == 0);
+          Uncertain<Sign> radSide1 =
+            -CGAL::sign(ax2q * axw23q + ay2q * ayw23q);
+          if ( is_indeterminate(radSide1) ) { return radSide1; }
+
+          if (radSide1 == ZERO) { return NEGATIVE; }
 
-	  Uncertain<Sign> radSide2 = CGAL::sign(ax3q * axw23q + ay3q * ayw23q);
-	  if ( is_indeterminate(radSide2) ) { return radSide2; }
+          Uncertain<Sign> radSide2 = CGAL::sign(ax3q * axw23q + ay3q * ayw23q);
+          if ( is_indeterminate(radSide2) ) { return radSide2; }
 
-	  if (radSide2 == ZERO) { return NEGATIVE; }
+          if (radSide2 == ZERO) { return NEGATIVE; }
 
-	  radInt = -Sign( Sign(radSideQ) + Sign(radSide1) + Sign(radSide2) );
-	}
+          radInt = -Sign( Sign(radSideQ) + Sign(radSide1) + Sign(radSide2) );
+        }
       }
-        
+
       CGAL_assertion (!perturb || radInt != ZERO);
 
       if (radInt == NEGATIVE) { return orient; }
-        
+
       return -radSide;
     }
-    
+
 
     inline
     Uncertain<Sign>
-    predicate(const Site_2 &p1, const Site_2 &p2, 
-	      const Site_2 &q, bool perturb) const
+    predicate(const Site_2 &p1, const Site_2 &p2,
+              const Site_2 &q, bool perturb) const
     {
       // NOTE:***************************************
-      // * the perturb boolean variable is not used 
+      // * the perturb boolean variable is not used
       // * for consistancy with Menelaos
       // NOTE:***************************************
       RT x2 = p2.x() - p1.x();
@@ -280,92 +280,92 @@ private:
       RT xw2q = x2 * wq - xq * w2;
       RT yw2q = y2 * wq - yq * w2;
       RT xy2q = x2 * yq - xq * y2;
-        
+
       // orientation
       Uncertain<Sign> orient = CGAL::sign(xy2q);
       if ( is_indeterminate(orient) ) { return orient; }
 
       // orientation degenerate
       if (orient == ZERO) {
-	Uncertain<Sign> o12 = CGAL::sign(x2);
-	if ( is_indeterminate(o12) ) { return o12; }
+        Uncertain<Sign> o12 = CGAL::sign(x2);
+        if ( is_indeterminate(o12) ) { return o12; }
 
-	Uncertain<Sign> o1q, o2q;
-	Uncertain<Sign> power_test;
+        Uncertain<Sign> o1q, o2q;
+        Uncertain<Sign> power_test;
 
-	if (o12 != ZERO) {
-	  Uncertain<Sign> s_xw2q = CGAL::sign(xw2q);
-	  if ( is_indeterminate(s_xw2q) ) { return s_xw2q; }
-	  power_test = o12 * s_xw2q;
-                 
-	  // this results is consistant with Menelaos
-	  if (power_test != ZERO) { return -power_test; }
-
-	    // this result is consistant with the perturb on off idea
-	    //if (power_test != ZERO || ! perturb) return -power_test;
-
-	  o1q = CGAL::sign(xq);
-	  o2q = CGAL::sign(q.x() - p2.x());
-	} else {
-	  o12 = CGAL::sign(y2);
-	  if ( is_indeterminate(o12) ) { return o12; }
-	  Uncertain<Sign> s_yw2q = CGAL::sign(yw2q);
-	  if ( is_indeterminate(s_yw2q) ) { return s_yw2q; }
-	  power_test = o12 * s_yw2q;
-
-	  // this results is consistant with Menelaos
-	  if (power_test != ZERO) { return -power_test; }
-
-	  // this result is consistant with the perturb on off idea
-	  //if (power_test != ZERO || ! perturb) return -power_test;
-
-	  o1q = CGAL::sign(yq);
-	  o2q = CGAL::sign(q.y() - p2.y());
-	}
-
-	if ( is_indeterminate(o1q) || is_indeterminate(o2q) ) {
-	  return Uncertain<Sign>::indeterminate();
-	}
+        if (o12 != ZERO) {
+          Uncertain<Sign> s_xw2q = CGAL::sign(xw2q);
+          if ( is_indeterminate(s_xw2q) ) { return s_xw2q; }
+          power_test = o12 * s_xw2q;
+
+          // this results is consistant with Menelaos
+          if (power_test != ZERO) { return -power_test; }
+
+            // this result is consistant with the perturb on off idea
+            //if (power_test != ZERO || ! perturb) return -power_test;
+
+          o1q = CGAL::sign(xq);
+          o2q = CGAL::sign(q.x() - p2.x());
+        } else {
+          o12 = CGAL::sign(y2);
+          if ( is_indeterminate(o12) ) { return o12; }
+          Uncertain<Sign> s_yw2q = CGAL::sign(yw2q);
+          if ( is_indeterminate(s_yw2q) ) { return s_yw2q; }
+          power_test = o12 * s_yw2q;
+
+          // this results is consistant with Menelaos
+          if (power_test != ZERO) { return -power_test; }
+
+          // this result is consistant with the perturb on off idea
+          //if (power_test != ZERO || ! perturb) return -power_test;
+
+          o1q = CGAL::sign(yq);
+          o2q = CGAL::sign(q.y() - p2.y());
+        }
+
+        if ( is_indeterminate(o1q) || is_indeterminate(o2q) ) {
+          return Uncertain<Sign>::indeterminate();
+        }
 
-	if (o1q != o12) { return POSITIVE; }
-	if (o2q == o12) { return POSITIVE; }
+        if (o1q != o12) { return POSITIVE; }
+        if (o2q == o12) { return POSITIVE; }
 
-	return NEGATIVE;
+        return NEGATIVE;
       }
 
-      // radical side 
+      // radical side
       RT rs12q = x2 * xw2q + y2 * yw2q;
       Uncertain<Sign> radSide = CGAL::sign(rs12q);
       if ( is_indeterminate(radSide) ) { return radSide; }
 
       if (radSide == ZERO || radSide == orient) {
-	return -orient;
+        return -orient;
       }
 
       // radical intersection
       Uncertain<Sign> radInt =
-	CGAL::sign(CGAL::square(xw2q) + CGAL::square(yw2q)
-		   - CGAL::square(xy2q));
+        CGAL::sign(CGAL::square(xw2q) + CGAL::square(yw2q)
+                   - CGAL::square(xy2q));
       if ( is_indeterminate(radInt) ) { return radInt; }
 
       // radical intersection degerate
       if (radInt == ZERO) {
-	CGAL_assertion (radSide != ZERO);
-            
-	// this result is consistant with the perturb on off idea
-	//if (! perturb) return (radSide == orient) ? ZERO : orient;
-
-	RT rs2q1 = (p2.x() - q.x()) * xw2q + (p2.y() - q.y()) * yw2q;
-	Uncertain<Sign> radSide1 = CGAL::sign(rs2q1);
-	if ( is_indeterminate(radSide1) ) { return radSide1; }
-	if (radSide1 == ZERO) { return NEGATIVE; }
-            
-	RT rsq12 = xq * xw2q + yq * yw2q;
-	Uncertain<Sign> radSide2 = CGAL::sign(rsq12);
-	if ( is_indeterminate(radSide2) ) { return radSide2; }
-	if (radSide2 == ZERO) { return NEGATIVE; }
- 
-	return -(radSide1 * radSide2);
+        CGAL_assertion (radSide != ZERO);
+
+        // this result is consistant with the perturb on off idea
+        //if (! perturb) return (radSide == orient) ? ZERO : orient;
+
+        RT rs2q1 = (p2.x() - q.x()) * xw2q + (p2.y() - q.y()) * yw2q;
+        Uncertain<Sign> radSide1 = CGAL::sign(rs2q1);
+        if ( is_indeterminate(radSide1) ) { return radSide1; }
+        if (radSide1 == ZERO) { return NEGATIVE; }
+
+        RT rsq12 = xq * xw2q + yq * yw2q;
+        Uncertain<Sign> radSide2 = CGAL::sign(rsq12);
+        if ( is_indeterminate(radSide2) ) { return radSide2; }
+        if (radSide2 == ZERO) { return NEGATIVE; }
+
+        return -(radSide1 * radSide2);
       }
 
       CGAL_assertion (!perturb || radInt != ZERO);
@@ -377,10 +377,10 @@ private:
 public:
     inline
     Uncertain<Sign> operator()(const Site_2 &p1, const Site_2 &p2,
-			       const Site_2 &p3, const Site_2 &q,
-			       bool perturb = true) const
-    {	
-      Uncertain<Sign> newPred = predicate (p1, p2, p3, q, perturb);	
+                               const Site_2 &p3, const Site_2 &q,
+                               bool perturb = true) const
+    {
+      Uncertain<Sign> newPred = predicate (p1, p2, p3, q, perturb);
       if ( is_indeterminate(newPred) ) { return newPred; }
       CGAL_assertion (! perturb || newPred != ZERO);
       return newPred;
@@ -388,9 +388,9 @@ public:
 
     inline
     Uncertain<Sign> operator()(const Site_2 &p1, const Site_2 &p2,
-			       const Site_2 &q, bool perturb = true) const
+                               const Site_2 &q, bool perturb = true) const
     {
-      Uncertain<Sign> newPred = predicate (p1, p2, q, perturb);	
+      Uncertain<Sign> newPred = predicate (p1, p2, q, perturb);
       if ( is_indeterminate(newPred) ) { return newPred; }
       CGAL_assertion (! perturb || newPred != ZERO);
       return newPred;
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_2.h 5.0.3-1/include/CGAL/Apollonius_graph_2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_2.h $
-// $Id: Apollonius_graph_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_2.h $
+// $Id: Apollonius_graph_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -90,10 +90,10 @@ template<class Gt,class Agds,class LTag>
 class Apollonius_graph_hierarchy_2;
 
 template < class Gt,
-	   class Agds = Triangulation_data_structure_2 < 
+           class Agds = Triangulation_data_structure_2 <
                Apollonius_graph_vertex_base_2<Gt,true>,
                Triangulation_face_base_2<Gt> >,
-	   class LTag = Tag_false>
+           class LTag = Tag_false>
 class Apollonius_graph_2
   : private Triangulation_2
   <CGAL_APOLLONIUS_GRAPH_2_NS::Apollonius_graph_traits_wrapper_2<Gt>,Agds>
@@ -133,17 +133,17 @@ private:
   }
 
   Construct_Apollonius_bisector_segment_2
-  construct_Apollonius_bisector_segment_2_object() const { 
-    return Construct_Apollonius_bisector_segment_2(); 
+  construct_Apollonius_bisector_segment_2_object() const {
+    return Construct_Apollonius_bisector_segment_2();
   }
 
   Construct_Apollonius_primal_ray_2
   construct_Apollonius_primal_ray_2_object() const {
-    return Construct_Apollonius_primal_ray_2(); 
+    return Construct_Apollonius_primal_ray_2();
   }
 
   Construct_Apollonius_primal_segment_2
-  construct_Apollonius_primal_segment_2_object() const { 
+  construct_Apollonius_primal_segment_2_object() const {
     return Construct_Apollonius_primal_segment_2();
   }
 
@@ -190,24 +190,24 @@ public:
   // Auxiliary iterators for convenience
   // do not use default template argument to please VC++
   typedef internal::Project_site_2<Vertex>                   Proj_site;
-  typedef Iterator_project<Finite_vertices_iterator, 
+  typedef Iterator_project<Finite_vertices_iterator,
                            Proj_site>
   /*                                           */ Visible_sites_iterator;
 
   typedef
   Apollonius_graph_vertex_base_nested_iterator_traits<
     Finite_vertices_iterator>  Hidden_sites_nested_iterator_traits;
-  
+
 
   typedef Nested_iterator<Finite_vertices_iterator,
-			  Hidden_sites_nested_iterator_traits>
+                          Hidden_sites_nested_iterator_traits>
   /*                                            */ Hidden_sites_iterator;
 
   typedef Concatenate_iterator<Visible_sites_iterator,
-			       Hidden_sites_iterator>     Sites_iterator;
+                               Hidden_sites_iterator>     Sites_iterator;
 
   typedef Site_2               value_type; // to have a back_inserter
-  typedef const value_type&    const_reference; 
+  typedef const value_type&    const_reference;
   typedef value_type&          reference;
 
 public:
@@ -236,7 +236,7 @@ protected:
   typedef typename internal::AG2_which_list<Edge,LTag>::List  List;
 
   typedef enum { NO_CONFLICT = -1, INTERIOR, LEFT_VERTEX,
-		 RIGHT_VERTEX, BOTH_VERTICES, ENTIRE_EDGE }
+                 RIGHT_VERTEX, BOTH_VERTICES, ENTIRE_EDGE }
   Conflict_type;
 
   static Conflict_type opposite(const Conflict_type& ct) {
@@ -257,7 +257,7 @@ protected:
     Site_less_than_comparator(const Gt& gt) : gt(gt) {}
 
     bool operator ()(const Site_2& p,
-		     const Site_2& q) {
+                     const Site_2& q) {
       Comparison_result result = gt.compare_weight_2_object()(p, q);
       return (result == LARGER);
     }
@@ -271,7 +271,7 @@ public:
 
   template< class Input_iterator >
   Apollonius_graph_2(Input_iterator first, Input_iterator beyond,
-		     const Gt& gt=Gt())
+                     const Gt& gt=Gt())
     : DG( Modified_traits(gt) )
   {
     insert(first, beyond);
@@ -323,7 +323,7 @@ public:
 
     size_type n_hidden(0);
     for (Finite_vertices_iterator vit = finite_vertices_begin();
-	 vit != finite_vertices_end(); ++vit) {
+         vit != finite_vertices_end(); ++vit) {
       n_hidden += vit->number_of_hidden_sites();
     }
 
@@ -366,23 +366,23 @@ public:
   }
 
   Finite_edges_iterator finite_edges_begin() const {
-    return DG::finite_edges_begin();    
+    return DG::finite_edges_begin();
   }
   Finite_edges_iterator finite_edges_end() const {
-    return DG::finite_edges_end();    
+    return DG::finite_edges_end();
   }
 
 
   Sites_iterator sites_begin() const {
     return Sites_iterator(visible_sites_end(),
-    			  hidden_sites_begin(),
-    			  visible_sites_begin());
+                              hidden_sites_begin(),
+                              visible_sites_begin());
   }
 
   Sites_iterator sites_end() const {
     return Sites_iterator(visible_sites_end(),
-    			  hidden_sites_begin(),
-    			  hidden_sites_end(),0);
+                              hidden_sites_begin(),
+                              hidden_sites_end(),0);
   }
 
   Visible_sites_iterator visible_sites_begin() const {
@@ -395,12 +395,12 @@ public:
 
   Hidden_sites_iterator hidden_sites_begin() const {
     return Hidden_sites_iterator(finite_vertices_end(),
-				 finite_vertices_begin());
+                                 finite_vertices_begin());
   }
 
   Hidden_sites_iterator hidden_sites_end() const {
     return Hidden_sites_iterator(finite_vertices_end(),
-				 finite_vertices_end());
+                                 finite_vertices_end());
   }
 
 
@@ -433,22 +433,22 @@ public:
   //------------
   Face_circulator
   incident_faces(Vertex_handle v,
-		 Face_handle f = Face_handle()) const {
+                 Face_handle f = Face_handle()) const {
     return DG::incident_faces(v, f);
   }
 
   Vertex_circulator
   incident_vertices(Vertex_handle v,
-		    Face_handle f = Face_handle()) const { 
+                    Face_handle f = Face_handle()) const {
     return DG::incident_vertices(v, f);
   }
 
   Edge_circulator
   incident_edges(Vertex_handle v,
-		 Face_handle f = Face_handle()) const {
+                 Face_handle f = Face_handle()) const {
     return DG::incident_edges(v, f);
   }
- 
+
 public:
   // PREDICATES
   //-----------
@@ -519,7 +519,7 @@ public:
   //--------------------------
   Vertex_handle  nearest_neighbor(const Point_2& p) const;
   Vertex_handle  nearest_neighbor(const Point_2& p,
-				  Vertex_handle vnear) const;
+                                  Vertex_handle vnear) const;
 
 public:
   // ACCESS TO THE DUAL
@@ -567,14 +567,14 @@ public:
       Vertex_handle v2(++finite_vertices_begin());
       Site_2 p1 = v1->site();
       Site_2 p2 = v2->site();
-      
+
 
       typename Geom_traits::Segment_2 seg =
-	construct_Apollonius_primal_segment_2_object()(p1,p2);
+        construct_Apollonius_primal_segment_2_object()(p1,p2);
       typename Geom_traits::Ray_2 ray1 =
-	construct_Apollonius_primal_ray_2_object()(p1,p2,p2);
+        construct_Apollonius_primal_ray_2_object()(p1,p2,p2);
       typename Geom_traits::Ray_2 ray2 =
-	construct_Apollonius_primal_ray_2_object()(p2,p1,p1);
+        construct_Apollonius_primal_ray_2_object()(p2,p1,p1);
 
       str << seg;
       str << ray1;
@@ -582,13 +582,13 @@ public:
     } else {
       All_edges_iterator eit = all_edges_begin();
       for (; eit != all_edges_end(); ++eit) {
-	draw_primal_edge< Stream >(eit, str);
+        draw_primal_edge< Stream >(eit, str);
       }
     }
     return str;
   }
 
-  template < class Stream > 
+  template < class Stream >
   Stream& draw_dual(Stream &str) const
   {
     Finite_edges_iterator eit = finite_edges_begin();
@@ -601,7 +601,7 @@ public:
       CGAL::Hyperbola_segment_2<Gt>    hs;
       CGAL::Hyperbola_ray_2<Gt>        hr;
       if (assign(hs, o)) hs.draw(str);
-      else if (assign(s, o))  str << s; 
+      else if (assign(s, o))  str << s;
       else if (assign(hr, o))  hr.draw(str);
       else if (assign(r, o))   str << r;
       else if (assign(h, o))  h.draw(str);
@@ -613,7 +613,7 @@ public:
 protected:
   template< class Stream >
   Stream& draw_primal_vertex(const Finite_vertices_iterator& it,
-			     Stream &str) const
+                             Stream &str) const
   {
     return str << it->site().point();
   }
@@ -621,7 +621,7 @@ protected:
 
   template< class Stream >
   Stream& draw_dual_vertex(const Finite_faces_iterator& it,
-			   Stream &str) const
+                           Stream &str) const
   {
     return str << dual(it);
   }
@@ -629,22 +629,22 @@ protected:
 public:
   template< class Stream >
   Stream& draw_primal_edge(const Finite_edges_iterator& eit,
-			   Stream &str) const
+                           Stream &str) const
   {
     return draw_primal_edge(*eit, str);
   }
 
   template< class Stream >
   Stream& draw_primal_edge(const All_edges_iterator& eit,
-			   Stream &str) const
+                           Stream &str) const
   {
     return draw_primal_edge(*eit, str);
   }
 
 
-  template < class Stream > 
+  template < class Stream >
   Stream& draw_dual_edge(const Finite_edges_iterator& eit,
-			 Stream &str) const
+                         Stream &str) const
   {
     return draw_dual_edge(*eit, str);
   }
@@ -663,14 +663,14 @@ public:
     CGAL::Hyperbola_segment_2<Gt>    hs;
     CGAL::Parabola_segment_2<Gt>     ps;
     if (assign(hs, o))  hs.draw(str);
-    if (assign(s, o))   str << s; 
+    if (assign(s, o))   str << s;
     if (assign(ps, o))  ps.draw(str);
     if (assign(r, o))   str << r;
     if (assign(s_pair, o)) str << s_pair.first << s_pair.second;
     return str;
   }
 
-  template < class Stream > 
+  template < class Stream >
   Stream& draw_dual_edge(const Edge& e, Stream &str) const
   {
     if ( is_infinite(e) ) { return str; }
@@ -682,7 +682,7 @@ public:
     CGAL::Hyperbola_segment_2<Gt>    hs;
     CGAL::Hyperbola_ray_2<Gt>        hr;
     if (assign(hs, o))  hs.draw(str);
-    if (assign(s, o))   str << s; 
+    if (assign(s, o))   str << s;
     if (assign(hr, o))  hr.draw(str);
     if (assign(r, o))   str << r;
     if (assign(h, o))   h.draw(str);
@@ -704,7 +704,7 @@ protected:
 
   template< class Stream >
   Stream& draw_dual_face(const All_vertices_iterator& vit,
-			 Stream &str) const
+                         Stream &str) const
   {
     Edge_circulator ec_start = incident_edges(Vertex_handle(vit));
     Edge_circulator ec = ec_start;
@@ -716,28 +716,28 @@ protected:
   }
 
 protected:
-  template < class Stream > 
+  template < class Stream >
   Stream& draw_dual_sites(Stream &str) const
   {
     All_faces_iterator fit = all_faces_begin();
     for (; fit != all_faces_end(); ++fit) {
       Face_handle f(fit);
       if ( is_infinite(f) ) {
-	if (  is_infinite(f->vertex(0))  ) {
-	  str << circumcircle( f->vertex(1)->site(),
-			       f->vertex(2)->site() );
-	} else if (  is_infinite(f->vertex(1))  ){
-	  str << circumcircle( f->vertex(2)->site(),
-			       f->vertex(0)->site() );
-	} else {
-	  str << circumcircle( f->vertex(0)->site(),
-			       f->vertex(1)->site() );	  
-	}
+        if (  is_infinite(f->vertex(0))  ) {
+          str << circumcircle( f->vertex(1)->site(),
+                               f->vertex(2)->site() );
+        } else if (  is_infinite(f->vertex(1))  ){
+          str << circumcircle( f->vertex(2)->site(),
+                               f->vertex(0)->site() );
+        } else {
+          str << circumcircle( f->vertex(0)->site(),
+                               f->vertex(1)->site() );
+        }
       } else {
-	Site_2 wp = circumcircle(f);
-	typename Gt::Rep::Circle_2 c(wp.point(),
-				     CGAL::square(wp.weight()));
-	str << c;
+        Site_2 wp = circumcircle(f);
+        typename Gt::Rep::Circle_2 c(wp.point(),
+                                     CGAL::square(wp.weight()));
+        str << c;
       }
     }
     return str;
@@ -782,129 +782,129 @@ protected:
   //   ON_NEGATIVE_SIDE if q is closer to p2
   //   ON_ORIENTED_BOUNDARY if q is on the bisector of p1 and p2
   Oriented_side side_of_bisector(const Site_2 &p1,
-				 const Site_2 &p2,
-				 const Point_2 &q) const;
+                                 const Site_2 &p2,
+                                 const Point_2 &q) const;
 
   Sign incircle(const Site_2 &p1, const Site_2 &p2,
-		const Site_2 &p3, const Site_2 &q) const;
+                const Site_2 &p3, const Site_2 &q) const;
 
   Sign incircle(const Site_2 &p1, const Site_2 &p2,
-		const Site_2 &q) const;
+                const Site_2 &q) const;
 
 
   Sign incircle(const Face_handle& f, const Site_2& q) const;
 
 
   Sign incircle(const Vertex_handle& v0, const Vertex_handle& v1,
-		const Vertex_handle& v) const;
+                const Vertex_handle& v) const;
 
   Sign incircle(const Vertex_handle& v0, const Vertex_handle& v1,
-		const Vertex_handle& v2, const Vertex_handle& v) const;
+                const Vertex_handle& v2, const Vertex_handle& v) const;
+
 
 
-  
   bool finite_edge_interior(const Site_2& p1,
-			    const Site_2& p2,
-			    const Site_2& p3,
-			    const Site_2& p4,
-			    const Site_2& q,
-			    bool endpoints_in_conflict) const;
+                            const Site_2& p2,
+                            const Site_2& p3,
+                            const Site_2& p4,
+                            const Site_2& q,
+                            bool endpoints_in_conflict) const;
 
   bool finite_edge_interior(const Face_handle& f, int i,
-			    const Site_2& q,
-			    bool endpoints_in_conflict) const;
+                            const Site_2& q,
+                            bool endpoints_in_conflict) const;
 
   bool finite_edge_interior(const Vertex_handle& v1,
-			    const Vertex_handle& v2,
-			    const Vertex_handle& v3,
-			    const Vertex_handle& v4,
-			    const Vertex_handle& v,
-			    bool endpoints_in_conflict) const;
+                            const Vertex_handle& v2,
+                            const Vertex_handle& v3,
+                            const Vertex_handle& v4,
+                            const Vertex_handle& v,
+                            bool endpoints_in_conflict) const;
 
   bool finite_edge_interior_degenerated(const Site_2& p1,
-					const Site_2& p2,
-					const Site_2& p3,
-					const Site_2& q,
-					bool endpoints_in_conflict) const;
+                                        const Site_2& p2,
+                                        const Site_2& p3,
+                                        const Site_2& q,
+                                        bool endpoints_in_conflict) const;
 
 
   bool finite_edge_interior_degenerated(const Site_2& p1,
-					const Site_2& p2,
-					const Site_2& q,
-					bool endpoints_in_conflict) const;
+                                        const Site_2& p2,
+                                        const Site_2& q,
+                                        bool endpoints_in_conflict) const;
 
   bool finite_edge_interior_degenerated(const Face_handle& f, int i,
-					const Site_2& p,
-					bool endpoints_in_conflict) const;
+                                        const Site_2& p,
+                                        bool endpoints_in_conflict) const;
 
   bool finite_edge_interior_degenerated(const Vertex_handle& v1,
-					const Vertex_handle& v2,
-					const Vertex_handle& v3,
-					const Vertex_handle& v4,
-					const Vertex_handle& v,
-					bool endpoints_in_conflict) const;
+                                        const Vertex_handle& v2,
+                                        const Vertex_handle& v3,
+                                        const Vertex_handle& v4,
+                                        const Vertex_handle& v,
+                                        bool endpoints_in_conflict) const;
   bool infinite_edge_interior(const Site_2& p2,
-			      const Site_2& p3,
-			      const Site_2& p4,
-			      const Site_2& q,
-			      bool endpoints_in_conflict) const;
+                              const Site_2& p3,
+                              const Site_2& p4,
+                              const Site_2& q,
+                              bool endpoints_in_conflict) const;
 
 
   bool infinite_edge_interior(const Face_handle& f, int i,
-			      const Site_2& p,
-			      bool endpoints_in_conflict) const;
+                              const Site_2& p,
+                              bool endpoints_in_conflict) const;
 
   bool infinite_edge_interior(const Vertex_handle& v1,
-			      const Vertex_handle& v2,
-			      const Vertex_handle& v3,
-			      const Vertex_handle& v4,
-			      const Vertex_handle& v,
-			      bool endpoints_in_conflict) const;
+                              const Vertex_handle& v2,
+                              const Vertex_handle& v3,
+                              const Vertex_handle& v4,
+                              const Vertex_handle& v,
+                              bool endpoints_in_conflict) const;
 
   Conflict_type
   infinite_edge_conflict_type(const Site_2& p2,
-			      const Site_2& p3,
-			      const Site_2& p4,
-			      const Site_2& q) const;
+                              const Site_2& p3,
+                              const Site_2& p4,
+                              const Site_2& q) const;
 
   Conflict_type
   finite_edge_conflict_type_degenerated(const Site_2& p1,
-					const Site_2& p2,
-					const Site_2& q) const;
+                                        const Site_2& p2,
+                                        const Site_2& q) const;
 
   bool edge_interior(const Face_handle& f, int i,
-		     const Site_2& p, bool b) const;
+                     const Site_2& p, bool b) const;
 
 
   bool edge_interior(const Edge& e,
-			    const Site_2& p, bool b) const {
+                            const Site_2& p, bool b) const {
     return edge_interior(e.first, e.second, p, b);
   }
 
   bool edge_interior(const Vertex_handle& v1,
-		     const Vertex_handle& v2,
-		     const Vertex_handle& v3,
-		     const Vertex_handle& v4,
-		     const Vertex_handle& v,
-		     bool endpoints_in_conflict) const;
+                     const Vertex_handle& v2,
+                     const Vertex_handle& v3,
+                     const Vertex_handle& v4,
+                     const Vertex_handle& v,
+                     bool endpoints_in_conflict) const;
 
   bool is_degenerate_edge(const Site_2& p1,
-				 const Site_2& p2,
-				 const Site_2& p3,
-				 const Site_2& p4) const {
+                                 const Site_2& p2,
+                                 const Site_2& p3,
+                                 const Site_2& p4) const {
     return geom_traits().is_degenerate_edge_2_object()
       (p1, p2, p3, p4);
   }
 
   bool is_degenerate_edge(const Vertex_handle& v1,
-				 const Vertex_handle& v2,
-				 const Vertex_handle& v3,
-				 const Vertex_handle& v4) const {
+                                 const Vertex_handle& v2,
+                                 const Vertex_handle& v3,
+                                 const Vertex_handle& v4) const {
     CGAL_precondition( !is_infinite(v1) && !is_infinite(v2) &&
-		       !is_infinite(v3) && !is_infinite(v4) );
+                       !is_infinite(v3) && !is_infinite(v4) );
 
     return is_degenerate_edge(v1->site(), v2->site(),
-			      v3->site(), v4->site());
+                              v3->site(), v4->site());
   }
 
   bool is_degenerate_edge(const Face_handle& f, int i) const {
@@ -924,17 +924,17 @@ protected:
 protected:
   // wrappers for constructions
   Point_2 circumcenter(const Face_handle& f) const;
-  Point_2 circumcenter(const Site_2& p0, 
-		       const Site_2& p1, 
-		       const Site_2& p2) const;
+  Point_2 circumcenter(const Site_2& p0,
+                       const Site_2& p1,
+                       const Site_2& p2) const;
 
   Site_2 circumcircle(const Face_handle& f) const;
-  Site_2 circumcircle(const Site_2& p0, 
-		      const Site_2& p1, 
-		      const Site_2& p2) const;
+  Site_2 circumcircle(const Site_2& p0,
+                      const Site_2& p1,
+                      const Site_2& p2) const;
 
   typename Gt::Line_2 circumcircle(const Site_2& p0,
-				   const Site_2& p1) const;
+                                   const Site_2& p1) const;
 
 protected:
   // wrappers for combinatorial operations on the data structure
@@ -981,11 +981,11 @@ protected:
   // methods for insertion
   void initialize_conflict_region(const Face_handle& f, List& l) const;
   bool check_edge_for_hidden_sites(const Face_handle& f, int i,
-				   const Site_2& p, Vertex_map& vm) const;
+                                   const Site_2& p, Vertex_map& vm) const;
   void expand_conflict_region(const Face_handle& f,
-			      const Site_2& p,
-			      List& l, Face_map& fm, Vertex_map& vm,
-			      std::vector<Vh_triple*>* fe);
+                              const Site_2& p,
+                              List& l, Face_map& fm, Vertex_map& vm,
+                              std::vector<Vh_triple*>* fe);
 
   Vertex_handle add_bogus_vertex(Edge e, List& l);
   Vertex_list   add_bogus_vertices(List& l);
@@ -995,12 +995,12 @@ protected:
 
   // MK: this is not currently used
   std::vector<Face*> get_faces_for_recycling(Face_map& fm,
-					     unsigned int n_wanted);
+                                             unsigned int n_wanted);
   void remove_hidden_vertices(Vertex_map& vm);
   Vertex_handle retriangulate_conflict_region(const Site_2& p,
-					      List& l,
-					      Face_map& fm,
-					      Vertex_map& vm);
+                                              List& l,
+                                              Face_map& fm,
+                                              Vertex_map& vm);
 
 protected:
   // methods for removal
@@ -1011,10 +1011,10 @@ protected:
   void  minimize_degree(Vertex_handle v);
 
   void find_conflict_region_remove(const Vertex_handle& v,
-				   const Vertex_handle& vnearest,
-				   List& l, Face_map& fm,
-				   Vertex_map& vm,
-				   std::vector<Vh_triple*>* fe);
+                                   const Vertex_handle& vnearest,
+                                   List& l, Face_map& fm,
+                                   Vertex_map& vm,
+                                   std::vector<Vh_triple*>* fe);
 
 protected:
   // methods for I/O
@@ -1029,11 +1029,11 @@ protected:
 protected:
   template<class OutputItFaces>
   OutputItFaces find_conflicts(const Face_handle& f,
-			       const Site_2& p,
-			       List& l,
-			       Face_map& fm,
-			       Vertex_map& vm,
-			       OutputItFaces fit) const
+                               const Site_2& p,
+                               List& l,
+                               Face_map& fm,
+                               Vertex_map& vm,
+                               OutputItFaces fit) const
   {
     // setting fm[f] to true means that the face has been reached and
     // that the face is available for recycling. If we do not want the
@@ -1051,22 +1051,22 @@ protected:
       Face_handle n = f->neighbor(i);
 
       if ( !hidden_found ) {
-	Sign s = incircle(n, p);
-	if ( s != NEGATIVE ) { continue; }
+        Sign s = incircle(n, p);
+        if ( s != NEGATIVE ) { continue; }
 
-	bool interior_in_conflict = edge_interior(f, i, p, true);
+        bool interior_in_conflict = edge_interior(f, i, p, true);
 
-	if ( !interior_in_conflict ) { continue; }
+        if ( !interior_in_conflict ) { continue; }
       }
 
       if ( fm.find(n) != fm.end() ) {
-	Edge e = sym_edge(f, i);
-	if ( l.is_in_list(e) ||
-	     l.is_in_list(sym_edge(e)) ) {
-	  l.remove(e);
-	  l.remove(sym_edge(e));
-	}
-	continue;
+        Edge e = sym_edge(f, i);
+        if ( l.is_in_list(e) ||
+             l.is_in_list(sym_edge(e)) ) {
+          l.remove(e);
+          l.remove(sym_edge(e));
+        }
+        continue;
       }
 
       Edge e = sym_edge(f, i);
@@ -1076,10 +1076,10 @@ protected:
       Edge e_before = sym_edge(n, ccw(j));
       Edge e_after = sym_edge(n, cw(j));
       if ( !l.is_in_list(e_before) ) {
-	l.insert_before(e, e_before);
+        l.insert_before(e, e_before);
       }
       if ( !l.is_in_list(e_after) ) {
-	l.insert_after(e, e_after);
+        l.insert_after(e, e_after);
       }
       l.remove(e);
 
@@ -1095,15 +1095,15 @@ protected:
 
 protected:
   template<class OutputItFaces, class OutputItBoundaryEdges,
-	   class OutputItHiddenVertices>
+           class OutputItHiddenVertices>
   boost::tuples::tuple<OutputItFaces, OutputItBoundaryEdges,
-		       OutputItHiddenVertices>
+                       OutputItHiddenVertices>
   get_all(const Site_2& p,
-	  OutputItFaces fit,
-	  OutputItBoundaryEdges eit,
-	  OutputItHiddenVertices vit,
-	  Vertex_handle start,
-	  bool find_nearest) const
+          OutputItFaces fit,
+          OutputItBoundaryEdges eit,
+          OutputItHiddenVertices vit,
+          Vertex_handle start,
+          bool find_nearest) const
   {
     CGAL_precondition( dimension() == 2 );
 
@@ -1131,8 +1131,8 @@ protected:
       s = incircle(f, p);
 
       if ( s == NEGATIVE ) {
-	start_f = f;
-	break;
+        start_f = f;
+        break;
       }
       ++fc;
     } while ( fc != fc_start );
@@ -1146,11 +1146,11 @@ protected:
       bool interior_in_conflict(false);
       Edge e;
       do {
-	e = *ec;
-	interior_in_conflict = edge_interior(e, p, false);
-	
-	if ( interior_in_conflict ) { break; }
-	++ec;
+        e = *ec;
+        interior_in_conflict = edge_interior(e, p, false);
+
+        if ( interior_in_conflict ) { break; }
+        ++ec;
       } while ( ec != ec_start );
 
       CGAL_assertion( interior_in_conflict );
@@ -1160,7 +1160,7 @@ protected:
       return boost::tuples::make_tuple(fit, eit, vit);
     }
 
-    // we are in conflict with an Apollonius vertex; start from that and 
+    // we are in conflict with an Apollonius vertex; start from that and
     // find the entire conflict region and then repair the diagram
     List l;
     Face_map fm;
@@ -1178,8 +1178,8 @@ protected:
       // assignment: e = l.next(e);
       Edge e = l.front();
       do {
-	*eit++ = e;
-	e = l.next(e);
+        *eit++ = e;
+        e = l.next(e);
       } while ( !equal(e, e_front) );
     }
 
@@ -1198,15 +1198,15 @@ protected:
 
 public:
   template<class OutputItFaces, class OutputItBoundaryEdges,
-	   class OutputItHiddenVertices>
+           class OutputItHiddenVertices>
   boost::tuples::tuple<OutputItFaces, OutputItBoundaryEdges,
-		       OutputItHiddenVertices>
+                       OutputItHiddenVertices>
   get_conflicts_and_boundary_and_hidden_vertices(const Site_2& p,
-						 OutputItFaces fit,
-						 OutputItBoundaryEdges eit,
-						 OutputItHiddenVertices vit,
-						 Vertex_handle start =
-						 Vertex_handle()) const
+                                                 OutputItFaces fit,
+                                                 OutputItBoundaryEdges eit,
+                                                 OutputItHiddenVertices vit,
+                                                 Vertex_handle start =
+                                                 Vertex_handle()) const
   {
     return get_all(p, fit, eit, vit, start, true);
   }
@@ -1214,104 +1214,104 @@ public:
   template<class OutputItFaces, class OutputItBoundaryEdges>
   std::pair<OutputItFaces, OutputItBoundaryEdges>
   get_conflicts_and_boundary(const Site_2& p,
-			     OutputItFaces fit,
-			     OutputItBoundaryEdges eit,
-			     Vertex_handle start =
-			     Vertex_handle()) const {
+                             OutputItFaces fit,
+                             OutputItBoundaryEdges eit,
+                             Vertex_handle start =
+                             Vertex_handle()) const {
     boost::tuples::tuple<OutputItFaces,OutputItBoundaryEdges,Emptyset_iterator>
       tup =
       get_conflicts_and_boundary_and_hidden_vertices(p,
-						     fit,
-						     eit,
-						     Emptyset_iterator(),
-						     start);
+                                                     fit,
+                                                     eit,
+                                                     Emptyset_iterator(),
+                                                     start);
     return std::make_pair( boost::tuples::get<0>(tup),
-			   boost::tuples::get<1>(tup) );
+                           boost::tuples::get<1>(tup) );
   }
 
 
   template<class OutputItBoundaryEdges, class OutputItHiddenVertices>
   std::pair<OutputItBoundaryEdges, OutputItHiddenVertices>
   get_boundary_of_conflicts_and_hidden_vertices(const Site_2& p,
-						OutputItBoundaryEdges eit,
-						OutputItHiddenVertices vit,
-						Vertex_handle start =
-						Vertex_handle()) const {
+                                                OutputItBoundaryEdges eit,
+                                                OutputItHiddenVertices vit,
+                                                Vertex_handle start =
+                                                Vertex_handle()) const {
     boost::tuples::tuple<Emptyset_iterator,OutputItBoundaryEdges,
       OutputItHiddenVertices>
       tup =
       get_conflicts_and_boundary_and_hidden_vertices(p,
-						     Emptyset_iterator(),
-						     eit,
-						     vit,
-						     start);
+                                                     Emptyset_iterator(),
+                                                     eit,
+                                                     vit,
+                                                     start);
     return std::make_pair( boost::tuples::get<1>(tup),
-			   boost::tuples::get<2>(tup) );
+                           boost::tuples::get<2>(tup) );
   }
 
 
   template<class OutputItFaces, class OutputItHiddenVertices>
   std::pair<OutputItFaces, OutputItHiddenVertices>
   get_conflicts_and_hidden_vertices(const Site_2& p,
-				    OutputItFaces fit,
-				    OutputItHiddenVertices vit,
-				    Vertex_handle start =
-				    Vertex_handle()) const {
+                                    OutputItFaces fit,
+                                    OutputItHiddenVertices vit,
+                                    Vertex_handle start =
+                                    Vertex_handle()) const {
     boost::tuples::tuple<OutputItFaces,Emptyset_iterator,
       OutputItHiddenVertices>
       tup =
       get_conflicts_and_boundary_and_hidden_vertices(p,
-						     fit,
-						     Emptyset_iterator(),
-						     vit,
-						     start);
+                                                     fit,
+                                                     Emptyset_iterator(),
+                                                     vit,
+                                                     start);
     return std::make_pair( boost::tuples::get<0>(tup),
-			   boost::tuples::get<2>(tup) );
+                           boost::tuples::get<2>(tup) );
   }
 
   template<class OutputItFaces>
   OutputItFaces get_conflicts(const Site_2& p,
-			      OutputItFaces fit,
-			      Vertex_handle start = Vertex_handle()) const {
+                              OutputItFaces fit,
+                              Vertex_handle start = Vertex_handle()) const {
     boost::tuples::tuple<OutputItFaces,Emptyset_iterator,Emptyset_iterator>
       tup =
       get_conflicts_and_boundary_and_hidden_vertices(p,
-						     fit,
-						     Emptyset_iterator(),
-						     Emptyset_iterator(),
-						     start);
+                                                     fit,
+                                                     Emptyset_iterator(),
+                                                     Emptyset_iterator(),
+                                                     start);
     return boost::tuples::get<0>(tup);
   }
 
   template<class OutputItBoundaryEdges>
   OutputItBoundaryEdges
   get_boundary_of_conflicts(const Site_2& p,
-			    OutputItBoundaryEdges eit,
-			    Vertex_handle start = Vertex_handle()) const {
+                            OutputItBoundaryEdges eit,
+                            Vertex_handle start = Vertex_handle()) const {
     boost::tuples::tuple<Emptyset_iterator,OutputItBoundaryEdges,
       Emptyset_iterator>
       tup =
       get_conflicts_and_boundary_and_hidden_vertices(p,
-						     Emptyset_iterator(),
-						     eit,
-						     Emptyset_iterator(),
-						     start);
+                                                     Emptyset_iterator(),
+                                                     eit,
+                                                     Emptyset_iterator(),
+                                                     start);
     return boost::tuples::get<1>(tup);
   }
 
   template<class OutputItHiddenVertices>
   OutputItHiddenVertices
   get_hidden_vertices(const Site_2& p,
-		      OutputItHiddenVertices vit,
-		      Vertex_handle start = Vertex_handle()) const {
+                      OutputItHiddenVertices vit,
+                      Vertex_handle start = Vertex_handle()) const {
     boost::tuples::tuple<Emptyset_iterator,Emptyset_iterator,
       OutputItHiddenVertices>
       tup =
       get_conflicts_and_boundary_and_hidden_vertices(p,
-						     Emptyset_iterator(),
-						     Emptyset_iterator(),
-						     vit,
-						     start);
+                                                     Emptyset_iterator(),
+                                                     Emptyset_iterator(),
+                                                     vit,
+                                                     start);
     return boost::tuples::get<2>(tup);
   }
 
@@ -1320,7 +1320,7 @@ public:
 
 template<class Gt, class Agds, class LTag>
 std::ostream& operator<<(std::ostream& os,
-			 const Apollonius_graph_2<Gt,Agds,LTag>& ag)
+                         const Apollonius_graph_2<Gt,Agds,LTag>& ag)
 {
   ag.file_output(os);
   return os;
@@ -1328,7 +1328,7 @@ std::ostream& operator<<(std::ostream& o
 
 template<class Gt, class Agds, class LTag>
 std::istream& operator>>(std::istream& is,
-			 Apollonius_graph_2<Gt,Agds,LTag>& ag)
+                         Apollonius_graph_2<Gt,Agds,LTag>& ag)
 {
   ag.file_input(is);
   return is;
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_adaptation_policies_2.h 5.0.3-1/include/CGAL/Apollonius_graph_adaptation_policies_2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_adaptation_policies_2.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_adaptation_policies_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Apollonius_graph_adaptation_policies_2.h $
-// $Id: Apollonius_graph_adaptation_policies_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Apollonius_graph_adaptation_policies_2.h $
+// $Id: Apollonius_graph_adaptation_policies_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_adaptation_traits_2.h 5.0.3-1/include/CGAL/Apollonius_graph_adaptation_traits_2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_adaptation_traits_2.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_adaptation_traits_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Apollonius_graph_adaptation_traits_2.h $
-// $Id: Apollonius_graph_adaptation_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Apollonius_graph_adaptation_traits_2.h $
+// $Id: Apollonius_graph_adaptation_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_data_structure_2.h 5.0.3-1/include/CGAL/Apollonius_graph_data_structure_2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_data_structure_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_data_structure_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_data_structure_2.h $
-// $Id: Apollonius_graph_data_structure_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_data_structure_2.h $
+// $Id: Apollonius_graph_data_structure_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_filtered_traits_2.h 5.0.3-1/include/CGAL/Apollonius_graph_filtered_traits_2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_filtered_traits_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_filtered_traits_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_filtered_traits_2.h $
-// $Id: Apollonius_graph_filtered_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_filtered_traits_2.h $
+// $Id: Apollonius_graph_filtered_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -45,11 +45,11 @@ namespace CGAL {
 //-----------------------------------------------------------------------
 
 template<class CK_t,
-	 class CK_MTag = Integral_domain_without_division_tag,
-	 class EK_t    = Simple_cartesian< MP_Float >,
-	 class EK_MTag = CK_MTag,
-	 class FK_t    = Simple_cartesian< Interval_nt<false> >,
-	 class FK_MTag = CK_MTag,
+         class CK_MTag = Integral_domain_without_division_tag,
+         class EK_t    = Simple_cartesian< MP_Float >,
+         class EK_MTag = CK_MTag,
+         class FK_t    = Simple_cartesian< Interval_nt<false> >,
+         class FK_MTag = CK_MTag,
          class C2E_t   = Cartesian_converter<CK_t, EK_t>,
          class C2F_t   =
          Cartesian_converter<CK_t, FK_t, To_interval<typename CK_t::RT> > >
@@ -165,6 +165,7 @@ public:
   //---------------------------------
   typedef typename CK_traits::Construct_object_2     Construct_object_2;
   typedef typename CK_traits::Assign_2               Assign_2;
+  typedef typename CK_traits::Construct_point_2      Construct_point_2;
 
   // CONSTRUCTIONS
   //--------------
@@ -198,15 +199,15 @@ public:
   // changes in the spec/concept); see also changes needed for the
   // filtered construction above.
   typedef Filtered_construction<CK_Construct_Apollonius_vertex_2,
-				EK_Construct_Apollonius_vertex_2,
-				FK_Construct_Apollonius_vertex_2,
-				C2E, C2F, E2C, F2C>
+                                EK_Construct_Apollonius_vertex_2,
+                                FK_Construct_Apollonius_vertex_2,
+                                C2E, C2F, E2C, F2C>
   Construct_Apollonius_vertex_2;
 
   typedef Filtered_construction<CK_Construct_Apollonius_site_2,
-				EK_Construct_Apollonius_site_2,
-				FK_Construct_Apollonius_site_2,
-				C2E, C2F, E2C, F2C>
+                                EK_Construct_Apollonius_site_2,
+                                FK_Construct_Apollonius_site_2,
+                                C2E, C2F, E2C, F2C>
   Construct_Apollonius_site_2;
 #else
   typedef typename CK_traits::Construct_Apollonius_vertex_2
@@ -290,27 +291,27 @@ public:
 
   typedef
   Filtered_predicate<EK_Oriented_side_of_bisector_2,
-		     FK_Oriented_side_of_bisector_2, C2E, C2F>
+                     FK_Oriented_side_of_bisector_2, C2E, C2F>
   Oriented_side_of_bisector_2;
 
   typedef
   Filtered_predicate<EK_Vertex_conflict_2,
-		     FK_Vertex_conflict_2, C2E, C2F>
+                     FK_Vertex_conflict_2, C2E, C2F>
   Vertex_conflict_2;
 
   typedef
   Filtered_predicate<EK_Finite_edge_interior_conflict_2,
-		     FK_Finite_edge_interior_conflict_2, C2E, C2F>
+                     FK_Finite_edge_interior_conflict_2, C2E, C2F>
   Finite_edge_interior_conflict_2;
 
   typedef
   Filtered_predicate<EK_Infinite_edge_interior_conflict_2,
-		     FK_Infinite_edge_interior_conflict_2, C2E, C2F>
+                     FK_Infinite_edge_interior_conflict_2, C2E, C2F>
   Infinite_edge_interior_conflict_2;
 
   typedef
   Filtered_predicate<EK_Is_degenerate_edge_2,
-		     FK_Is_degenerate_edge_2, C2E, C2F>
+                     FK_Is_degenerate_edge_2, C2E, C2F>
   Is_degenerate_edge_2;
 
 public:
@@ -325,15 +326,19 @@ public:
   }
 
   Construct_object_2
-  construct_object_2_object() const { 
+  construct_object_2_object() const {
     return Construct_object_2();
   }
 
+  Construct_point_2
+  construct_point_2_object() const {
+    return Construct_point_2();
+  }
 
   // CONSTRUCTIONS
   //--------------
   Construct_Apollonius_vertex_2
-  construct_Apollonius_vertex_2_object() const { 
+  construct_Apollonius_vertex_2_object() const {
     return Construct_Apollonius_vertex_2();
   }
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_hierarchy_2.h 5.0.3-1/include/CGAL/Apollonius_graph_hierarchy_2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_hierarchy_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_hierarchy_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_hierarchy_2.h $
-// $Id: Apollonius_graph_hierarchy_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_hierarchy_2.h $
+// $Id: Apollonius_graph_hierarchy_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -40,11 +40,11 @@ const unsigned int ag_hierarchy_2__maxle
 // maximal number of points is 30^5 = 24 millions !
 
 template < class Gt,
-	   class Agds = Triangulation_data_structure_2<
+           class Agds = Triangulation_data_structure_2<
              Apollonius_graph_hierarchy_vertex_base_2<
                Apollonius_graph_vertex_base_2<Gt,true> >,
                Triangulation_face_base_2<Gt> >,
-	   class LTag = Tag_false >
+           class LTag = Tag_false >
 class Apollonius_graph_hierarchy_2
   : public Apollonius_graph_2< Gt, Agds, LTag >
 {
@@ -69,7 +69,7 @@ public:
   typedef typename Ag_base::Finite_faces_iterator Finite_faces_iterator;
 
   typedef typename Ag_base::All_vertices_iterator All_vertices_iterator;
-  typedef typename Ag_base::Finite_vertices_iterator 
+  typedef typename Ag_base::Finite_vertices_iterator
                                                      Finite_vertices_iterator;
 
   typedef typename Ag_base::All_edges_iterator    All_edges_iterator;
@@ -101,8 +101,8 @@ public:
 
   template<class Input_iterator>
   Apollonius_graph_hierarchy_2(Input_iterator first,
-			       Input_iterator beyond,
-			       const Geom_traits& gt = Geom_traits())
+                               Input_iterator beyond,
+                               const Geom_traits& gt = Geom_traits())
     : Apollonius_graph_base(gt)
   {
     init_hierarchy(gt);
@@ -158,7 +158,7 @@ public:
 
   Vertex_handle insert(const Site_2& p);
   Vertex_handle insert(const Site_2& p,
-		       Vertex_handle vnear) {
+                       Vertex_handle vnear) {
     // the following statement has been added in order to avoid
     // a g++3.2.1_FreeBSD-RELEASE warning
     vnear = Vertex_handle();
@@ -176,7 +176,7 @@ public:
 public:
   Vertex_handle nearest_neighbor(const Point_2& p) const;
   inline Vertex_handle nearest_neighbor(const Point_2& p,
-					Vertex_handle /* vnear */) const {
+                                        Vertex_handle /* vnear */) const {
     return nearest_neighbor(p);
   }
 
@@ -200,7 +200,7 @@ private:
   // private methods
   void
   nearest_neighbor(const Point_2& p,
-		   Vertex_handle vnear[ag_hierarchy_2__maxlevel]) const; 
+                   Vertex_handle vnear[ag_hierarchy_2__maxlevel]) const;
 
   int random_level();
 
@@ -214,15 +214,15 @@ private:
 
 public:
   template<class OutputItFaces, class OutputItBoundaryEdges,
-	   class OutputItHiddenVertices>
+           class OutputItHiddenVertices>
   boost::tuples::tuple<OutputItFaces, OutputItBoundaryEdges,
-		       OutputItHiddenVertices>
+                       OutputItHiddenVertices>
   get_conflicts_and_boundary_and_hidden_vertices(const Site_2& p,
-						 OutputItFaces fit,
-						 OutputItBoundaryEdges eit,
-						 OutputItHiddenVertices vit,
-						 Vertex_handle start =
-						 Vertex_handle()) const
+                                                 OutputItFaces fit,
+                                                 OutputItBoundaryEdges eit,
+                                                 OutputItHiddenVertices vit,
+                                                 Vertex_handle start =
+                                                 Vertex_handle()) const
   {
     Vertex_handle vnearest = nearest_neighbor(p.point(), start);
     return this->get_all(p, fit, eit, vit, vnearest, false);
@@ -231,104 +231,104 @@ public:
   template<class OutputItFaces, class OutputItBoundaryEdges>
   std::pair<OutputItFaces, OutputItBoundaryEdges>
   get_conflicts_and_boundary(const Site_2& p,
-			     OutputItFaces fit,
-			     OutputItBoundaryEdges eit,
-			     Vertex_handle start =
-			     Vertex_handle()) const {
+                             OutputItFaces fit,
+                             OutputItBoundaryEdges eit,
+                             Vertex_handle start =
+                             Vertex_handle()) const {
     boost::tuples::tuple<OutputItFaces,OutputItBoundaryEdges,Emptyset_iterator>
       tup =
       get_conflicts_and_boundary_and_hidden_vertices(p,
-						     fit,
-						     eit,
-						     Emptyset_iterator(),
-						     start);
+                                                     fit,
+                                                     eit,
+                                                     Emptyset_iterator(),
+                                                     start);
     return std::make_pair( boost::tuples::get<0>(tup),
-			   boost::tuples::get<1>(tup) );
+                           boost::tuples::get<1>(tup) );
   }
 
 
   template<class OutputItBoundaryEdges, class OutputItHiddenVertices>
   std::pair<OutputItBoundaryEdges, OutputItHiddenVertices>
   get_boundary_of_conflicts_and_hidden_vertices(const Site_2& p,
-						OutputItBoundaryEdges eit,
-						OutputItHiddenVertices vit,
-						Vertex_handle start =
-						Vertex_handle()) const {
+                                                OutputItBoundaryEdges eit,
+                                                OutputItHiddenVertices vit,
+                                                Vertex_handle start =
+                                                Vertex_handle()) const {
     boost::tuples::tuple<Emptyset_iterator,OutputItBoundaryEdges,
       OutputItHiddenVertices>
       tup =
       get_conflicts_and_boundary_and_hidden_vertices(p,
-						     Emptyset_iterator(),
-						     eit,
-						     vit,
-						     start);
+                                                     Emptyset_iterator(),
+                                                     eit,
+                                                     vit,
+                                                     start);
     return std::make_pair( boost::tuples::get<1>(tup),
-			   boost::tuples::get<2>(tup) );
+                           boost::tuples::get<2>(tup) );
   }
 
 
   template<class OutputItFaces, class OutputItHiddenVertices>
   std::pair<OutputItFaces, OutputItHiddenVertices>
   get_conflicts_and_hidden_vertices(const Site_2& p,
-				    OutputItFaces fit,
-				    OutputItHiddenVertices vit,
-				    Vertex_handle start =
-				    Vertex_handle()) const {
+                                    OutputItFaces fit,
+                                    OutputItHiddenVertices vit,
+                                    Vertex_handle start =
+                                    Vertex_handle()) const {
     boost::tuples::tuple<OutputItFaces,Emptyset_iterator,
       OutputItHiddenVertices>
       tup =
       get_conflicts_and_boundary_and_hidden_vertices(p,
-						     fit,
-						     Emptyset_iterator(),
-						     vit,
-						     start);
+                                                     fit,
+                                                     Emptyset_iterator(),
+                                                     vit,
+                                                     start);
     return std::make_pair( boost::tuples::get<0>(tup),
-			   boost::tuples::get<2>(tup) );
+                           boost::tuples::get<2>(tup) );
   }
 
   template<class OutputItFaces>
   OutputItFaces get_conflicts(const Site_2& p,
-			      OutputItFaces fit,
-			      Vertex_handle start = Vertex_handle()) const {
+                              OutputItFaces fit,
+                              Vertex_handle start = Vertex_handle()) const {
     boost::tuples::tuple<OutputItFaces,Emptyset_iterator,Emptyset_iterator>
       tup =
       get_conflicts_and_boundary_and_hidden_vertices(p,
-						     fit,
-						     Emptyset_iterator(),
-						     Emptyset_iterator(),
-						     start);
+                                                     fit,
+                                                     Emptyset_iterator(),
+                                                     Emptyset_iterator(),
+                                                     start);
     return boost::tuples::get<0>(tup);
   }
 
   template<class OutputItBoundaryEdges>
   OutputItBoundaryEdges
   get_boundary_of_conflicts(const Site_2& p,
-			    OutputItBoundaryEdges eit,
-			    Vertex_handle start = Vertex_handle()) const {
+                            OutputItBoundaryEdges eit,
+                            Vertex_handle start = Vertex_handle()) const {
     boost::tuples::tuple<Emptyset_iterator,OutputItBoundaryEdges,
       Emptyset_iterator>
       tup =
       get_conflicts_and_boundary_and_hidden_vertices(p,
-						     Emptyset_iterator(),
-						     eit,
-						     Emptyset_iterator(),
-						     start);
+                                                     Emptyset_iterator(),
+                                                     eit,
+                                                     Emptyset_iterator(),
+                                                     start);
     return boost::tuples::get<1>(tup);
   }
 
   template<class OutputItHiddenVertices>
   OutputItHiddenVertices
   get_hidden_vertices(const Site_2& p,
-		      OutputItHiddenVertices vit,
-		      Vertex_handle start = Vertex_handle()) const {
+                      OutputItHiddenVertices vit,
+                      Vertex_handle start = Vertex_handle()) const {
     boost::tuples::tuple<Emptyset_iterator,Emptyset_iterator,
       OutputItHiddenVertices>
       tup =
       get_conflicts_and_boundary_and_hidden_vertices(p,
-						     Emptyset_iterator(),
-						     Emptyset_iterator(),
-						     vit,
-						     start);
+                                                     Emptyset_iterator(),
+                                                     Emptyset_iterator(),
+                                                     vit,
+                                                     start);
     return boost::tuples::get<2>(tup);
   }
 };
@@ -336,7 +336,7 @@ public:
 
 template<class Gt, class Agds, class LTag>
 std::ostream& operator<<(std::ostream& os,
-			 const Apollonius_graph_hierarchy_2<Gt,Agds,LTag>& agh)
+                         const Apollonius_graph_hierarchy_2<Gt,Agds,LTag>& agh)
 {
   agh.file_output(os);
   return os;
@@ -344,7 +344,7 @@ std::ostream& operator<<(std::ostream& o
 
 template<class Gt, class Agds, class LTag>
 std::istream& operator>>(std::istream& is,
-			 Apollonius_graph_hierarchy_2<Gt,Agds,LTag>& agh)
+                         Apollonius_graph_hierarchy_2<Gt,Agds,LTag>& agh)
 {
   agh.file_input(is);
   return is;
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_hierarchy_vertex_base_2.h 5.0.3-1/include/CGAL/Apollonius_graph_hierarchy_vertex_base_2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_hierarchy_vertex_base_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_hierarchy_vertex_base_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_hierarchy_vertex_base_2.h $
-// $Id: Apollonius_graph_hierarchy_vertex_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_hierarchy_vertex_base_2.h $
+// $Id: Apollonius_graph_hierarchy_vertex_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -43,7 +43,7 @@ public:
     : Base(), _up(), _down()
     {}
   Apollonius_graph_hierarchy_vertex_base_2(const Site_2& p,
-					   Face_handle f)
+                                           Face_handle f)
     : Base(p,f), _up(), _down()
     {}
   Apollonius_graph_hierarchy_vertex_base_2(const Site_2& p)
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_traits_2.h 5.0.3-1/include/CGAL/Apollonius_graph_traits_2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_traits_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_traits_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_traits_2.h $
-// $Id: Apollonius_graph_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_traits_2.h $
+// $Id: Apollonius_graph_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -48,7 +48,7 @@ public:
 
   // BASIC TYPES
   //------------
-private:  
+private:
   typedef Apollonius_graph_traits_2<Rep,MTag>           Self;
   typedef
   CGAL_APOLLONIUS_GRAPH_2_NS::Apollonius_graph_kernel_wrapper_2<Rep>  Kernel;
@@ -75,6 +75,8 @@ public:
 
   // CONSTRUCTIONS
   //--------------
+  typedef typename Kernel::Construct_point_2      Construct_point_2;
+
   // vertex and dual site
   typedef CGAL_APOLLONIUS_GRAPH_2_NS::Construct_Apollonius_vertex_2<Kernel>
   /*                                      */ Construct_Apollonius_vertex_2;
@@ -102,7 +104,7 @@ public:
 
   typedef CGAL_APOLLONIUS_GRAPH_2_NS::Is_hidden_2<Kernel,MTag>  Is_hidden_2;
 
-  typedef CGAL_APOLLONIUS_GRAPH_2_NS::Oriented_side_of_bisector_2<Kernel,MTag> 
+  typedef CGAL_APOLLONIUS_GRAPH_2_NS::Oriented_side_of_bisector_2<Kernel,MTag>
   /*                                          */ Oriented_side_of_bisector_2;
 
   typedef CGAL_APOLLONIUS_GRAPH_2_NS::Vertex_conflict8_2<Kernel,MTag>
@@ -138,15 +140,19 @@ public:
   }
 
   Construct_object_2
-  construct_object_2_object() const { 
+  construct_object_2_object() const {
     return Construct_object_2();
   }
 
+  Construct_point_2
+  construct_point_2_object() const {
+    return Construct_point_2();
+  }
 
   // CONSTRUCTIONS
   //--------------
   Construct_Apollonius_vertex_2
-  construct_Apollonius_vertex_2_object() const { 
+  construct_Apollonius_vertex_2_object() const {
     return Construct_Apollonius_vertex_2();
   }
 
diff -pruN 5.0.2-3/include/CGAL/Apollonius_graph_vertex_base_2.h 5.0.3-1/include/CGAL/Apollonius_graph_vertex_base_2.h
--- 5.0.2-3/include/CGAL/Apollonius_graph_vertex_base_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_graph_vertex_base_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_graph_vertex_base_2.h $
-// $Id: Apollonius_graph_vertex_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_graph_vertex_base_2.h $
+// $Id: Apollonius_graph_vertex_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -39,14 +39,14 @@ struct Apollonius_graph_vertex_base_nest
   {
     return it->hidden_sites_end();
   }
-  
+
 };
 
 
 
 template <class Gt,
-	  bool StoreHidden = true,
-	  class Vb = Triangulation_ds_vertex_base_2<> >
+          bool StoreHidden = true,
+          class Vb = Triangulation_ds_vertex_base_2<> >
 class Apollonius_graph_vertex_base_2
   : public Vb
 {
@@ -59,7 +59,7 @@ public:
   typedef Vb                             Base;
   typedef typename Gt::Point_2           Point;
   typedef typename Gt::Site_2            Site_2;
-  typedef AGDS	                         Apollonius_graph_data_structure_2;
+  typedef AGDS                                 Apollonius_graph_data_structure_2;
   typedef typename AGDS::Face_handle     Face_handle;
   typedef typename AGDS::Vertex_handle   Vertex_handle;
 
@@ -107,7 +107,7 @@ public:
     return hidden_site_list.size();
   }
 
-  Hidden_sites_iterator hidden_sites_begin() { 
+  Hidden_sites_iterator hidden_sites_begin() {
     return hidden_site_list.begin();
   }
 
@@ -145,6 +145,6 @@ private:
   Site_2 _p;
 };
 
-} //namespace CGAL 
+} //namespace CGAL
 
 #endif // CGAL_APOLLONIUS_GRAPH_VERTEX_BASE_2_H
diff -pruN 5.0.2-3/include/CGAL/Apollonius_site_2.h 5.0.3-1/include/CGAL/Apollonius_site_2.h
--- 5.0.2-3/include/CGAL/Apollonius_site_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Apollonius_site_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Apollonius_site_2.h $
-// $Id: Apollonius_site_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Apollonius_site_2.h $
+// $Id: Apollonius_site_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -36,9 +36,9 @@ public:
 
 public:
   Apollonius_site_2(const Point_2& p = Point_2(),
-		    const Weight& w = Weight(0))
+                    const Weight& w = Weight(0))
     : _p(p), _w(w) {}
-  
+
   const Point_2& point() const { return _p; }
   const Weight&  weight() const { return _w; }
   RT      x() const { return _p.x(); }
diff -pruN 5.0.2-3/include/CGAL/apply_to_range.h 5.0.3-1/include/CGAL/apply_to_range.h
--- 5.0.2-3/include/CGAL/apply_to_range.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/apply_to_range.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/apply_to_range.h $
-// $Id: apply_to_range.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/apply_to_range.h $
+// $Id: apply_to_range.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Radu Ursu
 
@@ -21,7 +21,7 @@ namespace CGAL{
 
 
 template <class Tr, class Fct, class R>
-void apply_to_range(const Tr &t, 
+void apply_to_range(const Tr &t,
              const Point_2<R> &p1, const Point_2<R> &p2,
              Fct& fct)
 {
@@ -32,17 +32,17 @@ void apply_to_range(const Tr &t,
   typedef typename Tr::Line_face_circulator      LFC;
   typedef typename Tr::Finite_vertices_iterator  FVI;
   typedef typename Tr::Finite_faces_iterator     FFI;
-  typedef typename Kernel_traits<POINT>::Kernel K; 
+  typedef typename Kernel_traits<POINT>::Kernel K;
   typedef typename K::FT FT;
 
   LFC l1, l2, l3, l4;         //the faces that intersect the pixmap RECTANGLE
-  hFACE hface1, hface2, 
+  hFACE hface1, hface2,
         hface3, hface4;       //the faces where we start to search
-  FT    xr_left,   yr_top, 
-        xr_right,  yr_bottom;//the coordinates of the screen boundaries  
-  CGAL::Unique_hash_map<hFACE, bool> visited(false);//used for DFS  
+  FT    xr_left,   yr_top,
+        xr_right,  yr_bottom;//the coordinates of the screen boundaries
+  CGAL::Unique_hash_map<hFACE, bool> visited(false);//used for DFS
   std::stack<hFACE>               face_stack; //used for DFS
-  
+
   xr_left = p1.x(); xr_right = p2.x();
   yr_top = p1.y(); yr_bottom = p2.y();
 
@@ -50,7 +50,7 @@ void apply_to_range(const Tr &t,
   hface2 = t.locate(POINT(xr_right, yr_top));
   hface3 = t.locate(POINT(xr_right, yr_bottom));
   hface4 = t.locate(POINT(xr_left, yr_bottom));
-  
+
   l1 = t.line_walk(POINT(xr_left, yr_top), POINT(xr_right, yr_top), hface1);
   l2 = t.line_walk(POINT(xr_right, yr_top), POINT(xr_right, yr_bottom), hface2);
   l3 = t.line_walk(POINT(xr_right, yr_bottom), POINT(xr_left, yr_bottom), hface3);
@@ -58,10 +58,10 @@ void apply_to_range(const Tr &t,
 
   //test if everything is inside or outside
   if( (l1 == nullptr) && (l2 == nullptr) &&
-      (l3 == nullptr) && (l4 == nullptr)) 
+      (l3 == nullptr) && (l4 == nullptr))
   {
     FVI v = t.finite_vertices_begin();
-    if((*v).point().x() < xr_left || (*v).point().x() > xr_right || 
+    if((*v).point().x() < xr_left || (*v).point().x() > xr_right ||
        (*v).point().y() < yr_bottom || (*v).point().y() > yr_top) //true if everything is outside
       return;
     else{ //everything is inside
@@ -85,8 +85,8 @@ void apply_to_range(const Tr &t,
       face_stack.push(l1);
       visited[l1] = true;
       l1++;
-    }while(!t.is_infinite(l1) && 
-	   t.triangle(l1).has_on_unbounded_side(POINT(xr_right, yr_top)));
+    }while(!t.is_infinite(l1) &&
+           t.triangle(l1).has_on_unbounded_side(POINT(xr_right, yr_top)));
   }
   if(l2 != nullptr) //found at least one face that intersect the RIGHT segment
   {
@@ -94,11 +94,11 @@ void apply_to_range(const Tr &t,
     do{                             //put all of them in the stack;
       if(!visited[l2]){
         face_stack.push(l2);
-        visited[l2] = true;       
+        visited[l2] = true;
       }
       l2++;
-    }while(!t.is_infinite(l2) && 
-	   t.triangle(l2).has_on_unbounded_side(POINT(xr_right, yr_bottom)));
+    }while(!t.is_infinite(l2) &&
+           t.triangle(l2).has_on_unbounded_side(POINT(xr_right, yr_bottom)));
   }
   if(l3 != nullptr) //found at least one face that intersect the BOTTOM segment
   {
@@ -106,11 +106,11 @@ void apply_to_range(const Tr &t,
     do{                             //put all of them in the stack;
       if(!visited[l3]){
         face_stack.push(l3);
-        visited[l3] = true;        
+        visited[l3] = true;
       }
       l3++;
-    }while(!t.is_infinite(l3) && 
-	   t.triangle(l3).has_on_unbounded_side(POINT(xr_left, yr_bottom)));
+    }while(!t.is_infinite(l3) &&
+           t.triangle(l3).has_on_unbounded_side(POINT(xr_left, yr_bottom)));
   }
   if(l4 != nullptr) //found at least one face that intersect the LEFT segment
   {
@@ -121,13 +121,13 @@ void apply_to_range(const Tr &t,
         visited[l4] = true;
       }
       l4++;
-    }while(!t.is_infinite(l4) && 
-	   t.triangle(l4).has_on_unbounded_side(POINT(xr_left, yr_top)));
+    }while(!t.is_infinite(l4) &&
+           t.triangle(l4).has_on_unbounded_side(POINT(xr_left, yr_top)));
   }
-  
+
   //HERE we begin to walk through the faces DFS
   hFACE hf;
-  typename CGAL::Unique_hash_map<hFACE,bool>::Data& 
+  typename CGAL::Unique_hash_map<hFACE,bool>::Data&
      data_ref_start(visited[hf]);
   data_ref_start = true;
   while(!face_stack.empty()){
@@ -140,7 +140,7 @@ void apply_to_range(const Tr &t,
           if(!((*hv).point().x() < xr_left || (*hv).point().x() > xr_right ||
                (*hv).point().y() < yr_bottom || (*hv).point().y() > yr_top)) //true if the vertex is outside
           face_stack.push((*hf).neighbor(i));
-          typename CGAL::Unique_hash_map<hFACE,bool>::Data& 
+          typename CGAL::Unique_hash_map<hFACE,bool>::Data&
               data_ref(visited[(*hf).neighbor(i)]);
           data_ref = true;
         }
diff -pruN 5.0.2-3/include/CGAL/approximated_offset_2.h 5.0.3-1/include/CGAL/approximated_offset_2.h
--- 5.0.2-3/include/CGAL/approximated_offset_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/approximated_offset_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/approximated_offset_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/approximated_offset_2.h $
 // $Id: approximated_offset_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_configure.h 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_configure.h
--- 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_configure.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_configure.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_configure.h $
-// $Id: Approximate_min_ellipsoid_d_configure.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_configure.h $
+// $Id: Approximate_min_ellipsoid_d_configure.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -126,7 +126,7 @@
     #define CGAL_APPEL_TIMER_PRINT(channel,timer,msg) \
       { \
         CGAL_APPEL_LOG(channel,msg \
-	  	          << std::setiosflags(std::ios::fixed) \
+                            << std::setiosflags(std::ios::fixed) \
                           << std::setprecision(5) \
                           << CGAL::Approximate_min_ellipsoid_d_impl:: \
                              Timer::instance().lapse(timer) \
diff -pruN 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_debug.h 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_debug.h
--- 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_debug.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_debug.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_debug.h $
-// $Id: Approximate_min_ellipsoid_d_debug.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_debug.h $
+// $Id: Approximate_min_ellipsoid_d_debug.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer <fischerk@inf.ethz.ch>
 
@@ -34,18 +34,18 @@ namespace CGAL {
     {
       std::cout << name << ":= Matrix([\n";
       for (int i=0; i<d; ++i) {
-	std::cout << "  [ ";
-	for (int j=0; j<d; ++j) {
-	  std::cout << std::setprecision(30) << A[i+j*d];
-	  if (j<d-1)
-	    std::cout << ", ";
-	}
-	std::cout << " ]";
-	if (i<d-1)
-	  std::cout << ",";
-	std::cout << "\n";
+        std::cout << "  [ ";
+        for (int j=0; j<d; ++j) {
+          std::cout << std::setprecision(30) << A[i+j*d];
+          if (j<d-1)
+            std::cout << ", ";
+        }
+        std::cout << " ]";
+        if (i<d-1)
+          std::cout << ",";
+        std::cout << "\n";
       }
-      std::cout << "]);\n";	
+      std::cout << "]);\n";
     }
 
     // For debugging only:
@@ -54,11 +54,11 @@ namespace CGAL {
     {
       std::cout << name << ":= Vector([\n";
       for (int j=0; j<d; ++j) {
-	std::cout << std::setprecision(30) << v[j];
-	if (j<d-1)
-	  std::cout << ", ";
+        std::cout << std::setprecision(30) << v[j];
+        if (j<d-1)
+          std::cout << ", ";
       }
-      std::cout << "]);\n";	
+      std::cout << "]);\n";
     }
 
     #ifdef CGAL_APPEL_LOG_MODE
@@ -73,26 +73,26 @@ namespace CGAL {
       Streams channels;           // a collection of pairs (k,v) where
                                   // k is the file-name and v is the
                                   // (open) stream associated with k
-  
+
     private: // (Construction and destruction are private to prevent
-  	   // more than one instantiation.)
-  
+             // more than one instantiation.)
+
       Logger() {}
       Logger(const Logger&);
       Logger& operator=(const Logger&);
-  
+
       ~Logger()
       {
         // we walk through the list of all opened files and close them:
         for (Streams::iterator it = channels.begin();
-  	   it != channels.end(); ++it) {
-  	(*it).second->close();
-  	delete (*it).second;
+             it != channels.end(); ++it) {
+          (*it).second->close();
+          delete (*it).second;
         }
       }
-      
+
     public: // access and routines:
-  
+
       static Logger& instance()
       // Returns a reference to the only existing instance of this class:
       {
@@ -103,7 +103,7 @@ namespace CGAL {
         static Logger instance;
         return instance;
       }
-  
+
       void log(const char *channel,const std::string& msg)
       // If this is the first call to log with string channel as the
       // first parameter, then the file with name channel.log is
@@ -113,20 +113,20 @@ namespace CGAL {
       {
         const std::string name(channel);
         Streams::iterator it = channels.find(name);
-        
+
         // have we already opened this file?
         if (it != channels.end()) {
-  	// If so, then just append the message:
-  	*(*it).second << msg;
-  	(*it).second->flush();
-  	
+          // If so, then just append the message:
+          *(*it).second << msg;
+          (*it).second->flush();
+
         } else {
-  	// If we haven't seen 'name' before, we create a new file:
-  	using std::ofstream;
-  	ofstream *o = new ofstream((name+".log").c_str(),
-  				   ofstream::out|ofstream::trunc);
-  	channels[name] = o;
-  	*o << msg;
+          // If we haven't seen 'name' before, we create a new file:
+          using std::ofstream;
+          ofstream *o = new ofstream((name+".log").c_str(),
+                                     ofstream::out|ofstream::trunc);
+          channels[name] = o;
+          *o << msg;
         }
       }
     };
@@ -172,7 +172,7 @@ namespace CGAL {
       }
       return t1;
     }
-    
+
     class Timer
       // A singleton class which maintains a collection of named timers.
       // (A class is called a "singleton" if at most one instance of it
@@ -188,14 +188,14 @@ namespace CGAL {
       //   Precondition: start(name) has been called once.
     {
     private: // (Construction and destruction are private to prevent
-  	   // more than one instantiation.)
-  
+             // more than one instantiation.)
+
       Timer() {}
       Timer(const Timer&);
       Timer& operator=(const Timer&);
-  
+
     public: // access and routines:
-  
+
       static Timer& instance()
       // Returns a reference to the only existing instance of this class:
       {
@@ -206,33 +206,33 @@ namespace CGAL {
         static Timer instance;
         return instance;
       }
-  
+
       void start(const char *timer_name)
       {
         // fetch current usage:
         rusage now;
         int status = getrusage(RUSAGE_SELF,&now);
         CGAL_assertion(status == 0);
-        
+
         // save it:
         timers[std::string(timer_name)] = now.ru_utime;
       }
-  
+
       float lapse(const char *name)
       {
         // assert that start(name) has been called before:
         CGAL_assertion(timers.find(std::string(name)) != timers.end());
-        
+
         // get current usage:
         rusage now;
         int status = getrusage(RUSAGE_SELF,&now);
         CGAL_assertion(status == 0);
-        
+
         // compute elapsed usage:
         now.ru_utime -= (*timers.find(std::string(name))).second;
         return now.ru_utime.tv_sec + now.ru_utime.tv_usec * 1e-6;
       }
-      
+
     private: // private members:
       typedef std::map<std::string,timeval> Timers;
       Timers timers;              // a collection of pairs (k,v) where
@@ -252,14 +252,14 @@ namespace CGAL {
       strm << t;
       return strm.str();
     }
-    
+
     class Eps_export_2 {
     // An instance of the following class accepts circles and ellipses
     // and procudes an Enhanced-PostScript figure.
     public:
       enum Stroke_mode { Solid=0, Solid_filled=1, Dashed=2 };
       enum Label_mode { None, Angle, Random_angle };
-      
+
     private:
       std::vector<double> bb;            // bounding box
       Stroke_mode bm;                    // current stroke mode
@@ -271,363 +271,363 @@ namespace CGAL {
       bool adjust_bb;
       double zoom;
       std::string filename;
-      boost::rand48 rng;  
+      boost::rand48 rng;
 
     public: // construction and destruction:
-      
+
       // Begins exporting to file filename.  Sets the current stroke mode
       // to Solid and the current label-mode to Random_angle.
-      Eps_export_2(std::string filename, double zoom, int /* seed */ = 0) 
-	: bb(4,0.0), bm(Solid), lm(Random_angle), count(1), 
-	  next_label(default_label(1)), adjust_bb(true),
-	  zoom(zoom), filename(filename)
+      Eps_export_2(std::string filename, double zoom, int /* seed */ = 0)
+        : bb(4,0.0), bm(Solid), lm(Random_angle), count(1),
+          next_label(default_label(1)), adjust_bb(true),
+          zoom(zoom), filename(filename)
       {}
-      
+
       // Ends exporting and closes the file.
       ~Eps_export_2()
       {
-	// open output file:
-	using std::endl;
-	std::ofstream f(filename.c_str());
-	if (!f)
-	  std::cerr << "Couldn't open file " << filename << "." << endl;
-	
-	// write header:
-	const double margin = 10.0;
-	f << "%!PS-Adobe-2.0 EPSF-2.0" << endl
-	  << "%%Title: Some balls" << endl
-	  << "%%Creator: a program by kf." << endl
-	  << "%%CreationDate: now" << endl
-	  << "%%For: you, the unknown" << endl
-	  << "%%Pages: 1" << endl
-	  << "%%DocumentFonts: Helvetica" << endl
-	  << "%%BoundingBox: "
-	  << bb[0]*zoom-margin << " "
-	  << bb[1]*zoom-margin << " "
-	  << bb[2]*zoom+margin << " "
-	  << bb[3]*zoom+margin << endl
-	  << "%%Magnification: 1.0000" << endl
-	  << "%%EndComments" << endl
-	  << "%%BeginProlog" << endl
-	  << "%" << endl
-	  << "/zoom " << zoom << " def" << endl
-	  << "zoom zoom scale" << endl
-	  << "/Helvetica findfont 7 zoom div scalefont setfont" << endl
-	  << "0.06299 7.500 mul zoom div setlinewidth" << endl
-	  << "/dashlen 4.5 zoom div def" << endl
-	  << "/dashlen2 1.5 zoom div def" << endl
-	  << "/ptlen 3.5 zoom div def" << endl << "%" << endl
-	  << "% center-x center-y radius bp" << endl
-	  << "% creates a path representing a circle" << endl
-	  << "/bp { /radius exch def /cy exch def /cx exch def" << endl
-	  << "radius 0 eq" << endl
-	  << "{ newpath cx ptlen sub cy moveto ptlen ptlen add 0" << endl
-	  << "rlineto cx cy ptlen sub moveto 0 ptlen ptlen add" << endl
-	  << "rlineto }" << endl
-	  << "{ newpath cx radius add cy moveto cx cy radius" << endl
-	  << "0 360 arc closepath } ifelse } def" << "%" << endl
-	  << "%center-x center-y radius ball" << endl
-	  << "% draws a circle, unfilled, no dash" << endl
-	  << "/ball { bp stroke } def" << endl
-	  << "% center-x center-y radius bball" << endl
-	  << "% draws a circle, filled, no dash" << endl
-	  << "/bball { /radius exch def /cy exch def /cx exch def" << endl
-	  << "cx cy radius radius 0 eq" << endl
-	  << "{ gsave bp 0.6 setgray stroke" << endl
-	  << "newpath cx cy moveto closepath 1 setlinecap" << endl
-	  << "0.0 setgray stroke grestore }" << endl
-	  << "{ bp gsave 0.6 setgray fill grestore stroke }" << endl
-	  << "ifelse } def" << endl
-	  << "% center-x center-y radius dball" << endl
-	  << "% draws a circle, unfilled, dashed" << endl
-	  << "/dball { gsave bp [dashlen] 0 setdash stroke grestore" << endl
-	  << "} def" << endl
-	  << "/eball { gsave bp 0.6 setgray stroke grestore } def" << endl
-	  << "%" << endl
-	  << "% center-x center-y radius label dist angle drawl" << endl
-	  << "% Draws the label label." << endl
-	  << "/drawl { /angle exch def /dist exch def /label exch def" << endl
-	  << "/radius exch def /cy exch def /cx exch def" << endl
-	  << "cx radius dist zoom div add angle cos mul add" << endl
-	  << "cy radius dist zoom div add angle sin mul add" << endl
-	  << "moveto label show } def" << endl
-	  << "%" << endl
-	  << "% Usage a b c find-roots x1 x2" << endl
-	  << "% Finds the two roots of a x^2 + b x + c = 0, assuming" << endl
-	  << "% that a is nonzero." << endl
-	  << "/find-roots {" << endl
-	  << "    % compute discriminant:" << endl
-	  << "    3 copy 3 2 roll" << endl
-	  << "    mul 4.0 mul neg exch dup mul add" << endl
-	  << "    % stack: a b c disc" << endl
-	  << "    sqrt" << endl
-	  << "    2 index 0 ge { neg } { } ifelse" << endl
-	  << "    % stack: a b c sqrt(disc)" << endl
-	  << "    % compute first solution (sqrt(disc)-b) / (2*a):" << endl
-	  << "    dup 3 index sub 4 index 2.0 mul div" << endl
-	  << "    5 1 roll" << endl
-	  << "    % stack: x1 a b c sqrt(disc)" << endl
-	  << "    % compute second solution 2*c / (sqrt(disc)-b):" << endl
-	  << "    3 2 roll sub exch 2.0 mul exch div" << endl
-	  << "    exch pop" << endl
-	  << "} def" << endl
-	  << "%" << endl
-	  << "% Usage: u v normalize u' v'" << endl
-	  << "% Takes the vector [u,v] and normalizes it to length 1." << endl
-	  << "/normalize {" << endl
-	  << "    dup dup mul" << endl
-	  << "    % stack: u v v^2" << endl
-	  << "    2 index dup mul add" << endl
-	  << "    % stack: u v v^2+u^2" << endl
-	  << "    sqrt 1.0 exch div dup 4 1 roll mul 3 1 roll mul exch" << endl
-	  << "} def" << endl
-	  << "%" << endl
-	  << "% Usage: a b h cellipse" << endl
-	  << "% Draws the ellipse x^T M x <= 1 with M = [[a,h],[h,b]]." << endl
-	  << "%" << endl
-	  << "/cellipse {" << endl
-	  << "% compute Eigen decomposition of M:" << endl
-	  << "%" << endl
-	  << "% stack: a b h" << endl
-	  << "dup 0.0 eq {" << endl
-	  << "	% ellipse is a sphere:" << endl
-	  << "	2 index sqrt" << endl
-	  << "	2 index sqrt" << endl
-	  << "	[ 1.0 0.0 0.0 1.0 0.0 0.0 ]" << endl
-	  << "}" << endl
-	  << "{" << endl
-	  << "	1.0" << endl
-	  << "	4 copy pop pop add neg" << endl
-	  << "	5 copy pop pop dup mul neg 3 1 roll mul add" << endl
-	  << "	find-roots" << endl
-	  << "	% stack: a b h x1 x2" << endl
-	  << "	%" << endl
-	  << "	% build first Eigenvector:" << endl
-	  << "	2 index 2 index 6 index sub normalize" << endl
-	  << "	% build second Eigenvector:" << endl
-	  << "	% stack: a b h x1 x2 ev1x ev1y" << endl
-	  << "	4 index 3 index 8 index sub normalize" << endl
-	  << "	% build matrix containing Eigenvectors:" << endl
-	  << "	% stack: a b h x1 x2 ev1x ev1y ev2x ev2y" << endl
-	  << "	6 array" << endl
-	  << "	dup 0 6 index put" << endl
-	  << "	dup 1 4 index put" << endl
-	  << "	dup 2 5 index put" << endl
-	  << "	dup 3 3 index put" << endl
-	  << "	dup 4 0 put" << endl
-	  << "	dup 5 0 put" << endl
-	  << "	5 1 roll pop pop pop pop" << endl
-	  << "} ifelse" << endl
-	  << "    % stack:  a b h x1 x2 T" << endl
-	  << "    %" << endl
-	  << "    % We now draw an circle scaled by x1 (along the " << endl
-	  << "    % x-axis) and x2 (along the y-axis):" << endl
-	  << "    matrix currentmatrix    %  remember CTM" << endl
-	  << "    % stack:  a b h x1 x2 T old-ctm" << endl
-	  << "    exch matrix invertmatrix concat" << endl
-	  << "    2 index sqrt 1.0 exch div 2 index sqrt 1.0" << endl
-	  << "    exch div scale" << endl
-	  << "    newpath" << endl
-	  << "    0 0 1 0 360 arc closepath" << endl
-	  << "    setmatrix               %  restore CTM" << endl
-	  << "    pop pop pop pop pop" << endl
-	  << "} def" << endl
-	  << "%" << endl
-	  << "% Usage: a b d u v mu ellipse" << endl
-	  << "% Finds the path (i.e., border) of the ellipse" << endl
-	  << "%" << endl
-	  << "%   E = { x | x^T M x + x^T m + mu <= 0 }," << endl
-	  << "%" << endl
-	  << "% where" << endl
-	  << "%" << endl
-	  << "%       [ a  b ]        [ u ]" << endl
-	  << "%   M = [      ],   m = [   ]" << endl
-	  << "%       [ b  d ]        [ v ]" << endl
-	  << "%" << endl
-	  << "% and det(M) > 0." << endl
-	  << "/ellipse {" << endl
-	  << "  /emu exch def" << endl
-	  << "  /ev exch def" << endl
-	  << "  /eu exch def" << endl
-	  << "  /ed exch def" << endl
-	  << "  /eb exch def" << endl
-	  << "  /ea exch def" << endl
-	  << "  /ematrix [ ea eb eb ed 0 0 ] matrix invertmatrix def" << endl
-	  << "  % compute z = M^{-1} m:" << endl
-	  << "  eu ev ematrix transform" << endl
-	  << "  /ezy exch def" << endl
-	  << "  /ezx exch def" << endl
-	  << "  % translate to center:" << endl
-	  << "  matrix currentmatrix    %  remember CTM" << endl
-	  << "  ezx neg 2 div ezy neg 2 div translate" << endl
-	  << "  % compute matrix of (now centrally symmetric) ellipse:" << endl
-	  << "  /efactor ezx eu mul ezy ev mul add 4.0 div emu sub def" << endl
-	  << "  ea efactor div ed efactor div eb efactor div cellipse" << endl
-	  << "  setmatrix               % restore CTM" << endl
-	  << "} def" << endl
-	  << "/setcol { 193 255 div 152 255 div 159 255 div" << endl
-	  << "          setrgbcolor" << endl
-	  << "} def" << endl
-	  << "%" << endl
-	  << "%" << endl
-	  << "%%EndProlog" << endl
-	  << "%%Page: 1 1" << endl;
-	  
-	// write content:
-	f << "gsave" << endl
-	  << body.str()
-	  << "grestore" << endl
-	  << "showpage" << endl
-	  << "%%Trailer" << endl;
-	
-	// write footer:
-	f.close();
+        // open output file:
+        using std::endl;
+        std::ofstream f(filename.c_str());
+        if (!f)
+          std::cerr << "Couldn't open file " << filename << "." << endl;
+
+        // write header:
+        const double margin = 10.0;
+        f << "%!PS-Adobe-2.0 EPSF-2.0" << endl
+          << "%%Title: Some balls" << endl
+          << "%%Creator: a program by kf." << endl
+          << "%%CreationDate: now" << endl
+          << "%%For: you, the unknown" << endl
+          << "%%Pages: 1" << endl
+          << "%%DocumentFonts: Helvetica" << endl
+          << "%%BoundingBox: "
+          << bb[0]*zoom-margin << " "
+          << bb[1]*zoom-margin << " "
+          << bb[2]*zoom+margin << " "
+          << bb[3]*zoom+margin << endl
+          << "%%Magnification: 1.0000" << endl
+          << "%%EndComments" << endl
+          << "%%BeginProlog" << endl
+          << "%" << endl
+          << "/zoom " << zoom << " def" << endl
+          << "zoom zoom scale" << endl
+          << "/Helvetica findfont 7 zoom div scalefont setfont" << endl
+          << "0.06299 7.500 mul zoom div setlinewidth" << endl
+          << "/dashlen 4.5 zoom div def" << endl
+          << "/dashlen2 1.5 zoom div def" << endl
+          << "/ptlen 3.5 zoom div def" << endl << "%" << endl
+          << "% center-x center-y radius bp" << endl
+          << "% creates a path representing a circle" << endl
+          << "/bp { /radius exch def /cy exch def /cx exch def" << endl
+          << "radius 0 eq" << endl
+          << "{ newpath cx ptlen sub cy moveto ptlen ptlen add 0" << endl
+          << "rlineto cx cy ptlen sub moveto 0 ptlen ptlen add" << endl
+          << "rlineto }" << endl
+          << "{ newpath cx radius add cy moveto cx cy radius" << endl
+          << "0 360 arc closepath } ifelse } def" << "%" << endl
+          << "%center-x center-y radius ball" << endl
+          << "% draws a circle, unfilled, no dash" << endl
+          << "/ball { bp stroke } def" << endl
+          << "% center-x center-y radius bball" << endl
+          << "% draws a circle, filled, no dash" << endl
+          << "/bball { /radius exch def /cy exch def /cx exch def" << endl
+          << "cx cy radius radius 0 eq" << endl
+          << "{ gsave bp 0.6 setgray stroke" << endl
+          << "newpath cx cy moveto closepath 1 setlinecap" << endl
+          << "0.0 setgray stroke grestore }" << endl
+          << "{ bp gsave 0.6 setgray fill grestore stroke }" << endl
+          << "ifelse } def" << endl
+          << "% center-x center-y radius dball" << endl
+          << "% draws a circle, unfilled, dashed" << endl
+          << "/dball { gsave bp [dashlen] 0 setdash stroke grestore" << endl
+          << "} def" << endl
+          << "/eball { gsave bp 0.6 setgray stroke grestore } def" << endl
+          << "%" << endl
+          << "% center-x center-y radius label dist angle drawl" << endl
+          << "% Draws the label label." << endl
+          << "/drawl { /angle exch def /dist exch def /label exch def" << endl
+          << "/radius exch def /cy exch def /cx exch def" << endl
+          << "cx radius dist zoom div add angle cos mul add" << endl
+          << "cy radius dist zoom div add angle sin mul add" << endl
+          << "moveto label show } def" << endl
+          << "%" << endl
+          << "% Usage a b c find-roots x1 x2" << endl
+          << "% Finds the two roots of a x^2 + b x + c = 0, assuming" << endl
+          << "% that a is nonzero." << endl
+          << "/find-roots {" << endl
+          << "    % compute discriminant:" << endl
+          << "    3 copy 3 2 roll" << endl
+          << "    mul 4.0 mul neg exch dup mul add" << endl
+          << "    % stack: a b c disc" << endl
+          << "    sqrt" << endl
+          << "    2 index 0 ge { neg } { } ifelse" << endl
+          << "    % stack: a b c sqrt(disc)" << endl
+          << "    % compute first solution (sqrt(disc)-b) / (2*a):" << endl
+          << "    dup 3 index sub 4 index 2.0 mul div" << endl
+          << "    5 1 roll" << endl
+          << "    % stack: x1 a b c sqrt(disc)" << endl
+          << "    % compute second solution 2*c / (sqrt(disc)-b):" << endl
+          << "    3 2 roll sub exch 2.0 mul exch div" << endl
+          << "    exch pop" << endl
+          << "} def" << endl
+          << "%" << endl
+          << "% Usage: u v normalize u' v'" << endl
+          << "% Takes the vector [u,v] and normalizes it to length 1." << endl
+          << "/normalize {" << endl
+          << "    dup dup mul" << endl
+          << "    % stack: u v v^2" << endl
+          << "    2 index dup mul add" << endl
+          << "    % stack: u v v^2+u^2" << endl
+          << "    sqrt 1.0 exch div dup 4 1 roll mul 3 1 roll mul exch" << endl
+          << "} def" << endl
+          << "%" << endl
+          << "% Usage: a b h cellipse" << endl
+          << "% Draws the ellipse x^T M x <= 1 with M = [[a,h],[h,b]]." << endl
+          << "%" << endl
+          << "/cellipse {" << endl
+          << "% compute Eigen decomposition of M:" << endl
+          << "%" << endl
+          << "% stack: a b h" << endl
+          << "dup 0.0 eq {" << endl
+          << "        % ellipse is a sphere:" << endl
+          << "        2 index sqrt" << endl
+          << "        2 index sqrt" << endl
+          << "        [ 1.0 0.0 0.0 1.0 0.0 0.0 ]" << endl
+          << "}" << endl
+          << "{" << endl
+          << "        1.0" << endl
+          << "        4 copy pop pop add neg" << endl
+          << "        5 copy pop pop dup mul neg 3 1 roll mul add" << endl
+          << "        find-roots" << endl
+          << "        % stack: a b h x1 x2" << endl
+          << "        %" << endl
+          << "        % build first Eigenvector:" << endl
+          << "        2 index 2 index 6 index sub normalize" << endl
+          << "        % build second Eigenvector:" << endl
+          << "        % stack: a b h x1 x2 ev1x ev1y" << endl
+          << "        4 index 3 index 8 index sub normalize" << endl
+          << "        % build matrix containing Eigenvectors:" << endl
+          << "        % stack: a b h x1 x2 ev1x ev1y ev2x ev2y" << endl
+          << "        6 array" << endl
+          << "        dup 0 6 index put" << endl
+          << "        dup 1 4 index put" << endl
+          << "        dup 2 5 index put" << endl
+          << "        dup 3 3 index put" << endl
+          << "        dup 4 0 put" << endl
+          << "        dup 5 0 put" << endl
+          << "        5 1 roll pop pop pop pop" << endl
+          << "} ifelse" << endl
+          << "    % stack:  a b h x1 x2 T" << endl
+          << "    %" << endl
+          << "    % We now draw an circle scaled by x1 (along the " << endl
+          << "    % x-axis) and x2 (along the y-axis):" << endl
+          << "    matrix currentmatrix    %  remember CTM" << endl
+          << "    % stack:  a b h x1 x2 T old-ctm" << endl
+          << "    exch matrix invertmatrix concat" << endl
+          << "    2 index sqrt 1.0 exch div 2 index sqrt 1.0" << endl
+          << "    exch div scale" << endl
+          << "    newpath" << endl
+          << "    0 0 1 0 360 arc closepath" << endl
+          << "    setmatrix               %  restore CTM" << endl
+          << "    pop pop pop pop pop" << endl
+          << "} def" << endl
+          << "%" << endl
+          << "% Usage: a b d u v mu ellipse" << endl
+          << "% Finds the path (i.e., border) of the ellipse" << endl
+          << "%" << endl
+          << "%   E = { x | x^T M x + x^T m + mu <= 0 }," << endl
+          << "%" << endl
+          << "% where" << endl
+          << "%" << endl
+          << "%       [ a  b ]        [ u ]" << endl
+          << "%   M = [      ],   m = [   ]" << endl
+          << "%       [ b  d ]        [ v ]" << endl
+          << "%" << endl
+          << "% and det(M) > 0." << endl
+          << "/ellipse {" << endl
+          << "  /emu exch def" << endl
+          << "  /ev exch def" << endl
+          << "  /eu exch def" << endl
+          << "  /ed exch def" << endl
+          << "  /eb exch def" << endl
+          << "  /ea exch def" << endl
+          << "  /ematrix [ ea eb eb ed 0 0 ] matrix invertmatrix def" << endl
+          << "  % compute z = M^{-1} m:" << endl
+          << "  eu ev ematrix transform" << endl
+          << "  /ezy exch def" << endl
+          << "  /ezx exch def" << endl
+          << "  % translate to center:" << endl
+          << "  matrix currentmatrix    %  remember CTM" << endl
+          << "  ezx neg 2 div ezy neg 2 div translate" << endl
+          << "  % compute matrix of (now centrally symmetric) ellipse:" << endl
+          << "  /efactor ezx eu mul ezy ev mul add 4.0 div emu sub def" << endl
+          << "  ea efactor div ed efactor div eb efactor div cellipse" << endl
+          << "  setmatrix               % restore CTM" << endl
+          << "} def" << endl
+          << "/setcol { 193 255 div 152 255 div 159 255 div" << endl
+          << "          setrgbcolor" << endl
+          << "} def" << endl
+          << "%" << endl
+          << "%" << endl
+          << "%%EndProlog" << endl
+          << "%%Page: 1 1" << endl;
+
+        // write content:
+        f << "gsave" << endl
+          << body.str()
+          << "grestore" << endl
+          << "showpage" << endl
+          << "%%Trailer" << endl;
+
+        // write footer:
+        f.close();
       }
-      
+
     public: // modifiers:
       // Sets the stroke mode for the next objects.
       void set_stroke_mode(Stroke_mode m)
       {
-	bm = m;
+        bm = m;
       }
-      
+
       // Sets the labelmode for the next objects.
       void set_label_mode(Label_mode m)
       {
-	lm = m;
+        lm = m;
       }
-      
+
       // Sets the label for the next object.  (This only makes sense if
       // the label mode for the next object will be different from None.)
       void set_label(const std::string& l)
       {
-	next_label = l;
+        next_label = l;
       }
-      
+
       // Sets the angle for the next object drawn in mode Angle or
       // Random_angle.  (So you can temporarily overwrite the random
       // angle.)
       void set_angle(double angle)
       {
-	next_angle = angle;
+        next_angle = angle;
       }
-      
+
       // Enable or disable automatic adjusting of the bounding box.
       void enlarge_bounding_box(bool active)
       {
-	adjust_bb = active;
+        adjust_bb = active;
       }
-      
+
       // Renders the line from (x,y) to (u,v) in the current stroke
       // and label mode.
       //
       // Implementation note: stroke and label mode are not yet implemented.
       void write_line(double x, double y, double u, double v,
-		      bool colored = false)
+                      bool colored = false)
       {
-	// set color:
-	if (colored)
-	  body << "gsave setcol" << std::endl;
-	
-	// output ball in appropriate mode:
-	adjust_bounding_box(x,y);
-	adjust_bounding_box(u,v);
-	body << "newpath\n"
-	     << x << ' ' << y << " moveto\n"
-	     << u << ' ' << v << " lineto\n"
-	     << "stroke\n";
-
-	// restore color:
-	if (colored)
-	  body << "grestore" << std::endl;
+        // set color:
+        if (colored)
+          body << "gsave setcol" << std::endl;
+
+        // output ball in appropriate mode:
+        adjust_bounding_box(x,y);
+        adjust_bounding_box(u,v);
+        body << "newpath\n"
+             << x << ' ' << y << " moveto\n"
+             << u << ' ' << v << " lineto\n"
+             << "stroke\n";
+
+        // restore color:
+        if (colored)
+          body << "grestore" << std::endl;
       }
-      
+
       // Renders the circle with center (x,y) and radius r in
       // the current stroke and label mode.  All coordinates must be of
       // type double.
       void write_circle(double x, double y, double r, bool colored = false)
       {
-	// set color:
-	if (colored)
-	  body << "gsave setcol" << std::endl;
-	
-	// output ball in appropriate mode:
-	adjust_bounding_box(x-r,y-r);
-	adjust_bounding_box(x+r,y+r);
-	body << x << ' ' << y << ' ' << r << ' ';
-	const char *mode[] = { "ball", "bball", "dball" };
-	body << mode[static_cast<int>(bm)] << std::endl;
-	
-	// output label:
-	if (lm != None) {
-	  const double dist = 5.0;
-	  const double lx = x + (r+dist/zoom)*std::cos(next_angle);
-	  const double ly = y + (r+dist/zoom)*std::sin(next_angle);
-	  adjust_bounding_box(lx,ly);
-	  body << x << ' ' << y << ' ' << r << " (" << next_label << ") "
-	       << dist << ' ' << next_angle << " drawl" << std::endl;
-	}
-	
-	// restore color:
-	if (colored)
-	  body << "grestore" << std::endl;
-
-	// generate next angle (if needed):
-	if (lm == Random_angle)
-	  next_angle = static_cast<double>(rng());
-	
-	// update counter and label:
-	next_label = default_label(++count);
+        // set color:
+        if (colored)
+          body << "gsave setcol" << std::endl;
+
+        // output ball in appropriate mode:
+        adjust_bounding_box(x-r,y-r);
+        adjust_bounding_box(x+r,y+r);
+        body << x << ' ' << y << ' ' << r << ' ';
+        const char *mode[] = { "ball", "bball", "dball" };
+        body << mode[static_cast<int>(bm)] << std::endl;
+
+        // output label:
+        if (lm != None) {
+          const double dist = 5.0;
+          const double lx = x + (r+dist/zoom)*std::cos(next_angle);
+          const double ly = y + (r+dist/zoom)*std::sin(next_angle);
+          adjust_bounding_box(lx,ly);
+          body << x << ' ' << y << ' ' << r << " (" << next_label << ") "
+               << dist << ' ' << next_angle << " drawl" << std::endl;
+        }
+
+        // restore color:
+        if (colored)
+          body << "grestore" << std::endl;
+
+        // generate next angle (if needed):
+        if (lm == Random_angle)
+          next_angle = static_cast<double>(rng());
+
+        // update counter and label:
+        next_label = default_label(++count);
       }
-      
+
       // Renders the centrally symmetric ellipse x^T M x <= 1 with M =
       // [[a,h],[h,b]] in the current stroke and label mode.
       void write_cs_ellipse(double a,double b,double h)
       {
-	using std::endl;
+        using std::endl;
 
-	// Adjust the bounding box: For this, we use the fact that the
-	// ellipse has semi-axes of lengths (1/sqrt(c),1/sqrt(d)) where
-	//
+        // Adjust the bounding box: For this, we use the fact that the
+        // ellipse has semi-axes of lengths (1/sqrt(c),1/sqrt(d)) where
+        //
         //   (c,d) = find_roots(1.0,-(a+b),a b - h^2)
-	//
-	// (See Sven's thesis, code on page 87.)  So it it enclosed in
-	// some (rotated) rectangle of side lengths 2*c,2*d, centered
-	// at the origin.  Consequently, the circle of radius
-	// r=sqrt(c^2+d^2) encloses the ellipse, and we use this to
-	// find the bounding box:
-	const std::pair<double,double> semi = find_roots(1.0,-(a+b),a*b-h*h);
-	const double r = std::sqrt(1/semi.first+1/semi.second);
-	adjust_bounding_box(-r,-r);
-	adjust_bounding_box(r,r);
-
-	// draw the ellipse:
-	body << "gsave" << endl 
-	     << "  " << a << ' ' << b << ' ' << h << " cellipse" << endl;
-	if (bm == Solid_filled)
-	  body << "  gsave 0.6 setgray eofill grestore" << endl;
-	if (bm == Dashed)
-	  body << "  [dashlen] 0 setdash" << endl;
-	body << "  stroke" << endl << "grestore" << endl;
-	
-	// output label:
-	// Todo: Not implemented yet.
-	if (false && lm != None) {
-	  const double distance = 5.0;
-	  body << a << ' ' << b << ' ' << distance << ' ' << next_angle
-	       << " cellipse-pt moveto (" << next_label << ") show" << endl;
-	}
-	
-	// generate next angle (if needed):
-	if (lm == Random_angle)
-	  next_angle = static_cast<double>(rng());
-	
-	// update counter and label:
-	next_label = default_label(++count);
+        //
+        // (See Sven's thesis, code on page 87.)  So it it enclosed in
+        // some (rotated) rectangle of side lengths 2*c,2*d, centered
+        // at the origin.  Consequently, the circle of radius
+        // r=sqrt(c^2+d^2) encloses the ellipse, and we use this to
+        // find the bounding box:
+        const std::pair<double,double> semi = find_roots(1.0,-(a+b),a*b-h*h);
+        const double r = std::sqrt(1/semi.first+1/semi.second);
+        adjust_bounding_box(-r,-r);
+        adjust_bounding_box(r,r);
+
+        // draw the ellipse:
+        body << "gsave" << endl
+             << "  " << a << ' ' << b << ' ' << h << " cellipse" << endl;
+        if (bm == Solid_filled)
+          body << "  gsave 0.6 setgray eofill grestore" << endl;
+        if (bm == Dashed)
+          body << "  [dashlen] 0 setdash" << endl;
+        body << "  stroke" << endl << "grestore" << endl;
+
+        // output label:
+        // Todo: Not implemented yet.
+        if (false && lm != None) {
+          const double distance = 5.0;
+          body << a << ' ' << b << ' ' << distance << ' ' << next_angle
+               << " cellipse-pt moveto (" << next_label << ") show" << endl;
+        }
+
+        // generate next angle (if needed):
+        if (lm == Random_angle)
+          next_angle = static_cast<double>(rng());
+
+        // update counter and label:
+        next_label = default_label(++count);
       }
 
       // Renders the ellipse
-      // 
+      //
       //    E = { x | x^T M x + x^T m + mu <= 0 }
       //
       // where
@@ -638,89 +638,89 @@ namespace CGAL {
       //
       // and det(M) > 0 in the current stroke and label mode.
       void write_ellipse(double a,double b,double h,
-			 double u,double v,double mu)
+                         double u,double v,double mu)
       {
-	using std::endl;
-	
-	// adjust bounding box (see file boundingbox.mw and my file note):
-	const double tmp1 = a*b-h*h;
-	const double tmp2 = ((u*(u*b-2.0*v*h)+v*v*a)/tmp1-4.0*mu)/tmp1;
-	const double hw   = 0.5*std::sqrt(b*tmp2),  vw = 0.5*std::sqrt(a*tmp2);
-	const double hoff = -0.5*(u*b-v*h)/tmp1, voff = 0.5*(u*h-v*a)/tmp1;
-	adjust_bounding_box((std::min)(hw+hoff,-hw+hoff),
-			    (std::min)(vw+voff,-vw+voff));
-	adjust_bounding_box((std::max)(hw+hoff,-hw+hoff),
-			    (std::max)(vw+voff,-vw+voff));
-
-	#if 0
-	// draw bounding box:
-	body << "newpath " << (std::min)(hw+hoff,-hw+hoff) << " "
-	     << (std::min)(vw+voff,-vw+voff) << " moveto "
-	     << (std::max)(hw+hoff,-hw+hoff) << " " 
-	     << (std::min)(vw+voff,-vw+voff) << " lineto "
-	     << (std::max)(hw+hoff,-hw+hoff) << " "
-	     << (std::max)(vw+voff,-vw+voff) << " lineto "
-	     << (std::min)(hw+hoff,-hw+hoff)  << " "
-	     << (std::max)(vw+voff,-vw+voff) << " lineto closepath stroke\n";
-	#endif
-
-	// begin drawing:
-	body << "gsave" << endl;
-
-	// draw the ellipse:
-	body << "  " << a << ' ' << h << ' ' << b
-	     << ' ' << u << ' ' << v << ' ' << mu
-	     << " ellipse" << endl;
-	if (bm == Solid_filled)
-	  body << "  gsave 0.6 setgray eofill grestore" << endl;
-	if (bm == Dashed)
-	  body << "  [dashlen] 0 setdash" << endl;
-	body << "  stroke" << endl;
-
-	// output label:
-	// Todo: Not implemented yet.
-
-	// end drawing:
-	body << "grestore" << endl;
-
-	// generate next angle (if needed):
-	if (lm == Random_angle)
-	  next_angle = static_cast<double>(rng());
-	
-	// update counter and label:
-	next_label = default_label(++count);
+        using std::endl;
+
+        // adjust bounding box (see file boundingbox.mw and my file note):
+        const double tmp1 = a*b-h*h;
+        const double tmp2 = ((u*(u*b-2.0*v*h)+v*v*a)/tmp1-4.0*mu)/tmp1;
+        const double hw   = 0.5*std::sqrt(b*tmp2),  vw = 0.5*std::sqrt(a*tmp2);
+        const double hoff = -0.5*(u*b-v*h)/tmp1, voff = 0.5*(u*h-v*a)/tmp1;
+        adjust_bounding_box((std::min)(hw+hoff,-hw+hoff),
+                            (std::min)(vw+voff,-vw+voff));
+        adjust_bounding_box((std::max)(hw+hoff,-hw+hoff),
+                            (std::max)(vw+voff,-vw+voff));
+
+        #if 0
+        // draw bounding box:
+        body << "newpath " << (std::min)(hw+hoff,-hw+hoff) << " "
+             << (std::min)(vw+voff,-vw+voff) << " moveto "
+             << (std::max)(hw+hoff,-hw+hoff) << " "
+             << (std::min)(vw+voff,-vw+voff) << " lineto "
+             << (std::max)(hw+hoff,-hw+hoff) << " "
+             << (std::max)(vw+voff,-vw+voff) << " lineto "
+             << (std::min)(hw+hoff,-hw+hoff)  << " "
+             << (std::max)(vw+voff,-vw+voff) << " lineto closepath stroke\n";
+        #endif
+
+        // begin drawing:
+        body << "gsave" << endl;
+
+        // draw the ellipse:
+        body << "  " << a << ' ' << h << ' ' << b
+             << ' ' << u << ' ' << v << ' ' << mu
+             << " ellipse" << endl;
+        if (bm == Solid_filled)
+          body << "  gsave 0.6 setgray eofill grestore" << endl;
+        if (bm == Dashed)
+          body << "  [dashlen] 0 setdash" << endl;
+        body << "  stroke" << endl;
+
+        // output label:
+        // Todo: Not implemented yet.
+
+        // end drawing:
+        body << "grestore" << endl;
+
+        // generate next angle (if needed):
+        if (lm == Random_angle)
+          next_angle = static_cast<double>(rng());
+
+        // update counter and label:
+        next_label = default_label(++count);
       }
 
       void adjust_bounding_box(double x,double y)
       // Make sure the bounding box is large enough to contain the point (x,y).
       {
-	if (adjust_bb) {
-	  bb[0] = (std::min)(x,bb[0]);
-	  bb[2] = (std::max)(x,bb[2]);
-	  bb[1] = (std::min)(y,bb[1]);
-	  bb[3] = (std::max)(y,bb[3]);
-	}
+        if (adjust_bb) {
+          bb[0] = (std::min)(x,bb[0]);
+          bb[2] = (std::max)(x,bb[2]);
+          bb[1] = (std::min)(y,bb[1]);
+          bb[3] = (std::max)(y,bb[3]);
+        }
       }
-      
+
     private: // utilities:
 
       std::pair<double,double> find_roots(double a,double b,double c)
       // Assuming a is nonzero, finds the roots of a x^2 + b x + c = 0.
       {
-	double sd = std::sqrt(b*b-4.0*a*c);
-	if (b >= 0.0)
-	  sd = -sd;
-	return std::pair<double,double>( (sd-b)/(2*a), 2*c/(sd-b) );
+        double sd = std::sqrt(b*b-4.0*a*c);
+        if (b >= 0.0)
+          sd = -sd;
+        return std::pair<double,double>( (sd-b)/(2*a), 2*c/(sd-b) );
       }
-      
+
       static std::string default_label(int count)
       {
-	return tostr(count);
+        return tostr(count);
       }
     };
-    
+
   } // namespace Approximate_min_ellipsoid_d_impl
-  
+
 } // namespace CGAL
 
 #endif // CGAL_APPROX_MIN_ELL_D_DEBUG_H
diff -pruN 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_impl.h 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_impl.h
--- 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_impl.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_impl.h $
-// $Id: Approximate_min_ellipsoid_d_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_impl.h $
+// $Id: Approximate_min_ellipsoid_d_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer <fischerk@inf.ethz.ch>
 
@@ -32,7 +32,7 @@ namespace CGAL {
     // According to (****), the computed ellipsoid E* has the representation
     //
     //   E* = { y in R^d | y^T M'/alpha y + 2/alpha y^Tm + (nu/alpha-1) <= 0 }
-    // 
+    //
     // for
     //
     //       [ M'  m  ]
@@ -51,7 +51,7 @@ namespace CGAL {
     // as the formula for the ellipsoid's center.  Comparing
     // coefficients we also get
     //
-    //    mu = nu/alpha-1 - c^T M'/alpha c 
+    //    mu = nu/alpha-1 - c^T M'/alpha c
     //       = nu/alpha-1 + c^T m / alpha
     //       = (nu + c^Tm)/alpha - 1                               (********)
     //
@@ -70,7 +70,7 @@ namespace CGAL {
     for (int i=0; i<d; ++i) {
       FT ci(0);
       for (int j=0; j<d; ++j)
-	ci += mi[i+d*j] * E->matrix(d,j);
+        ci += mi[i+d*j] * E->matrix(d,j);
       center_[i] = -ci;
     }
 
@@ -85,7 +85,7 @@ namespace CGAL {
     // According to (****), the computed ellipsoid E* has the representation
     //
     //   E* = { y in R^d | y^T M'/alpha y + 2/alpha y^Tm + (nu/alpha-1) <= 0 }
-    // 
+    //
     // for
     //
     //       [ M'  m  ]
@@ -94,7 +94,7 @@ namespace CGAL {
     // where M is the matrix defined via E->matrix(i,j).  After caling
     // compute_center() (see above), we have in center_ a point c such
     // that
-    // 
+    //
     //   E* = { y | (y - c)^T M'/alpha (y - c) + mu <= 0 }.
     //
     // where mu = nu/alpha-1 - c^T M'/alpha c.
@@ -105,13 +105,13 @@ namespace CGAL {
     // U) can be obtained by plugging (0,...,0,l_i,0,...,0)U^T=y-c into
     // the above equation for E*:
     //
-    //   l_i^2 d[i]/alpha = -mu, 
+    //   l_i^2 d[i]/alpha = -mu,
     //
     // which gives l_i = sqrt(-mu*alpha/d[i]).
 
     // precondition checking:
     CGAL_APPEL_ASSERT(!has_axes && lengths_.size() == 0 &&
-		      directions_.size() == 0);
+                      directions_.size() == 0);
 
     // compute M'^{-1}, if need be:
     if (!has_center)
@@ -125,7 +125,7 @@ namespace CGAL {
       mu += center_[i] * E->matrix(d,i);
     mu = mu/alpha - 1.0;
     const double factor = -mu*alpha;
-    
+
     // compute Eigendecomposition:
     if (d == 2)
       compute_axes_2(alpha, factor);
@@ -144,24 +144,24 @@ namespace CGAL {
 
     // write matrix M' as [ a, b; b, c ]:
     const std::array<double, 3> matrix = {{ E->matrix(0, 0),    // a
-						    E->matrix(0, 1),    // b
-						    E->matrix(1, 1) }}; // c
+                                                    E->matrix(0, 1),    // b
+                                                    E->matrix(1, 1) }}; // c
     std::array<double, 4> eigenvectors; // Note: not neces. normalized.
     std::array<double, 2> eigenvalues;  // Note: sorted ascendent.
 
     CGAL::Default_diagonalize_traits<double, 2>::diagonalize_selfadjoint_covariance_matrix
       (matrix, eigenvalues, eigenvectors);
-    
+
     // normalize eigenvectors:
     double l1=1.0/std::sqrt(eigenvectors[2]*eigenvectors[2]+
-			    eigenvectors[3]*eigenvectors[3]);
+                            eigenvectors[3]*eigenvectors[3]);
     double l2=1.0/std::sqrt(eigenvectors[0]*eigenvectors[0]+
-			    eigenvectors[1]*eigenvectors[1]);
-    
+                            eigenvectors[1]*eigenvectors[1]);
+
     // store axes lengths:
     lengths_.push_back(std::sqrt(factor/eigenvalues[1]));
     lengths_.push_back(std::sqrt(factor/eigenvalues[0]));
-    
+
     // store directions:
     directions_.resize(2);
     directions_[0].push_back(eigenvectors[2]*l1);
@@ -169,7 +169,7 @@ namespace CGAL {
     directions_[1].push_back(eigenvectors[0]*l2);
     directions_[1].push_back(eigenvectors[1]*l2);
   }
-  
+
   template<class Traits>
   void Approximate_min_ellipsoid_d<Traits>::
   compute_axes_3(const double /* alpha */, const double factor)
@@ -188,28 +188,28 @@ namespace CGAL {
                                                     E->matrix(1, 1),   // d
                                                     E->matrix(1, 2),   // e
                                                     E->matrix(2, 2) }}; // f
-    
+
     std::array<double, 9> eigenvectors; // Note: not necessarily normalized.
     std::array<double, 3> eigenvalues;  // Note: sorted ascendent.
 
     CGAL::Default_diagonalize_traits<double, 3>::diagonalize_selfadjoint_covariance_matrix
       (matrix, eigenvalues, eigenvectors);
-    
+
     // normalize eigenvectors:
     double l1 = 1.0/std::sqrt(eigenvectors[0] * eigenvectors[0]+  // x^2
-			      eigenvectors[1] * eigenvectors[1]+  // y^2
-			      eigenvectors[2] * eigenvectors[2]); // z^2
+                              eigenvectors[1] * eigenvectors[1]+  // y^2
+                              eigenvectors[2] * eigenvectors[2]); // z^2
     double l2 = 1.0/std::sqrt(eigenvectors[3] * eigenvectors[3]+  // x^2
-			      eigenvectors[4] * eigenvectors[4]+  // y^2
-			      eigenvectors[5] * eigenvectors[5]); // z^2
+                              eigenvectors[4] * eigenvectors[4]+  // y^2
+                              eigenvectors[5] * eigenvectors[5]); // z^2
     double l3 = 1.0/std::sqrt(eigenvectors[6] * eigenvectors[6]+  // x^2
-			      eigenvectors[7] * eigenvectors[7]+  // y^2
-			      eigenvectors[8] * eigenvectors[8]); // z^2
-    
+                              eigenvectors[7] * eigenvectors[7]+  // y^2
+                              eigenvectors[8] * eigenvectors[8]); // z^2
+
     // store axes lengths:
     for (int i=0; i<3; ++i)
       lengths_.push_back(std::sqrt(factor/eigenvalues[i]));
-    
+
     // store directions:
     directions_.resize(3);
     directions_[0].push_back(eigenvectors[6]*l3);
@@ -264,11 +264,11 @@ namespace CGAL {
     const double alpha_inv = 1.0/((1+achieved_epsilon())*(d+1));
     epsf.set_stroke_mode(Impl::Eps_export_2::Dashed);
     epsf.write_ellipse(to_double(defining_matrix(0,0)*alpha_inv),
-		       to_double(defining_matrix(1,1)*alpha_inv),
-		       to_double(defining_matrix(0,1)*alpha_inv),
-		       to_double(defining_vector(0)*alpha_inv),
-		       to_double(defining_vector(1)*alpha_inv),
-		       to_double(defining_scalar()*alpha_inv-1.0));
+                       to_double(defining_matrix(1,1)*alpha_inv),
+                       to_double(defining_matrix(0,1)*alpha_inv),
+                       to_double(defining_vector(0)*alpha_inv),
+                       to_double(defining_vector(1)*alpha_inv),
+                       to_double(defining_scalar()*alpha_inv-1.0));
   }
 
 }
diff -pruN 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d/Khachiyan_approximation.h 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d/Khachiyan_approximation.h
--- 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d/Khachiyan_approximation.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d/Khachiyan_approximation.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d/Khachiyan_approximation.h $
-// $Id: Khachiyan_approximation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d/Khachiyan_approximation.h $
+// $Id: Khachiyan_approximation.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer <fischerk@inf.ethz.ch>
 
@@ -44,12 +44,12 @@ namespace CGAL {
     struct Selector {
       typedef Tag_true Is_exact;
     };
-    
+
     template<>
     struct Selector<float> {
       typedef Tag_false Is_exact;
     };
-  
+
     template<>
     struct Selector<double> {
       typedef Tag_false Is_exact;
@@ -65,7 +65,7 @@ namespace CGAL {
     typedef typename Traits::Point Point;
     typedef typename Traits::Cartesian_const_iterator C_it;
     typedef typename Appel_impl::Selector<FT>::Is_exact Exact_flag;
-    
+
   private: // member variables and invariants for them:
     Traits& tco;                    // traits class object
     std::vector<const Point *> P;   // input points
@@ -116,7 +116,7 @@ namespace CGAL {
     // value in eps_exact is correct.
     double eps_exact;
     bool is_exact_eps_uptodate;
-    
+
     // Khachian's algorithm is only guaranteed to work when the input
     // points linearly span the whole space (i.e., if dim(span(P)) =
     // d, or, equivalently, when the smallest enclosing ellipsoid has
@@ -130,7 +130,7 @@ namespace CGAL {
     // If is_deg is true, the variable x has no meaning.
     std::vector<FT> x;
     #endif // CGAL_APPEL_ASSERTION_MODE
-    
+
     // The inverse of the (d x d)-matrix M(x) is stored in the
     // variable mi.  The element (M(x)^{-1})_{ij} is stored in
     // mi[i+j*d].  (It would actually be enough to only store the
@@ -139,7 +139,7 @@ namespace CGAL {
     //
     // Todo: optimize by only storing one half of mi.
     std::vector<FT> mi;
-    
+
     // The following variable sum is used to build, during the
     // initialization phase, the (d x d)-matrix M(x).  The variable is
     // only defined if is_deg is true; once is_deg becomes false, the
@@ -173,7 +173,7 @@ namespace CGAL {
     //
     //    ex_max = argmax_{0 <= i < n} ex[i].
     //
-    int ex_max; 
+    int ex_max;
 
     // We sometimes need temporary storage.  We allocate this once at
     // instance construction time:
@@ -195,7 +195,7 @@ namespace CGAL {
     #endif // CGAL_APPEL_STATS_MODE
 
   private: // internal helper routines:
-    
+
     template<typename NumberType, typename InputIterator>
     NumberType excess(InputIterator p)
       // Computes p^T M(x)^{-1} p, where x is the current solution.
@@ -212,23 +212,23 @@ namespace CGAL {
       typedef NumberType NT;
       NT result(0);
       InputIterator qi(p);
-      
+
       for (int i=0; i<d; ++i) {
 
-	// compute i-th entry of the vector M(x)^{-1} p into tmp:
-	NT tmp(0);
-	InputIterator q(p);
-	for (int j=0; j<d_P; ++j, ++q)
-	  tmp += NT(*q) * NT(mi[i+j*d]);
-	if (Embed)
-	  tmp += NT(mi[i+d_P*d]);
-
-	// add tmp*p_i to result:
-	if (!Embed || i < d_P) {
-	  result += NT(*qi) * NT(tmp);
-	  ++qi;
-	} else
-	  result += NT(tmp);
+        // compute i-th entry of the vector M(x)^{-1} p into tmp:
+        NT tmp(0);
+        InputIterator q(p);
+        for (int j=0; j<d_P; ++j, ++q)
+          tmp += NT(*q) * NT(mi[i+j*d]);
+        if (Embed)
+          tmp += NT(mi[i+d_P*d]);
+
+        // add tmp*p_i to result:
+        if (!Embed || i < d_P) {
+          result += NT(*qi) * NT(tmp);
+          ++qi;
+        } else
+          result += NT(tmp);
       }
 
       return result;
@@ -244,21 +244,21 @@ namespace CGAL {
       // <https://en.wikipedia.org/wiki/Kahan_Summation_Algorithm>.
     {
       for (int k=start; k<n; ++k) {
-	C_it pi = tco.cartesian_begin(*P[k]);
-	for (int i=0; i<d_P; ++i, ++pi) {
-	  C_it pj = tco.cartesian_begin(*P[k]);
-	  for (int j=0; j<d_P; ++j, ++pj)
-	    sum[i+j*d] += (*pi) * (*pj);
-	  if (Embed)
-	    sum[i+d_P*d] += (*pi);
-	}
-
-	if (Embed) {
-	  C_it pj = tco.cartesian_begin(*P[k]);
-	  for (int j=0; j<d_P; ++j, ++pj)
-	    sum[d_P+j*d] += (*pj);
-	  sum[d_P+d_P*d] += 1;
-	}
+        C_it pi = tco.cartesian_begin(*P[k]);
+        for (int i=0; i<d_P; ++i, ++pi) {
+          C_it pj = tco.cartesian_begin(*P[k]);
+          for (int j=0; j<d_P; ++j, ++pj)
+            sum[i+j*d] += (*pi) * (*pj);
+          if (Embed)
+            sum[i+d_P*d] += (*pi);
+        }
+
+        if (Embed) {
+          C_it pj = tco.cartesian_begin(*P[k]);
+          for (int j=0; j<d_P; ++j, ++pj)
+            sum[d_P+j*d] += (*pj);
+          sum[d_P+d_P*d] += 1;
+        }
       }
     }
 
@@ -285,22 +285,22 @@ namespace CGAL {
       // gives a hint on how much storage is needed.
       tco(tco), n(0),
       d_P(dim), d(Embed? d_P+1 : d_P), is_deg(true),
-      #ifdef CGAL_APPEL_ASSERTION_MODE 
+      #ifdef CGAL_APPEL_ASSERTION_MODE
       x(n_est),
       #endif // CGAL_APPEL_ASSERTION_MODE
       mi(d*d), sum(d*d), ex(n_est), tmp(d), t(d*d)
     {
       CGAL_APPEL_LOG("appel","Entering Khachiyan with d=" << d << " (" <<
-		(Embed? "" : "not ") << "embedded)." << std::endl);
+                (Embed? "" : "not ") << "embedded)." << std::endl);
       CGAL_APPEL_TIMER_START("khachiyan");
 
       // In order to satisfy the invariant on m, we have to initalize
       // m with the zero matrix:
       for (int i=0; i<d; ++i)
-	for (int j=0; j<d; ++j)
-	  sum[i+j*d] = FT(0);
+        for (int j=0; j<d; ++j)
+          sum[i+j*d] = FT(0);
     }
-    
+
     ~Khachiyan_approximation();
 
     template<typename InputIterator>
@@ -326,65 +326,65 @@ namespace CGAL {
       // so far (not including the points we are about to add) by
       // P_old.
       CGAL_APPEL_LOG("appel","  add() called with desired_eps=" <<
-		desired_eps << std::endl);
+                desired_eps << std::endl);
 
       // We first add the new points:
       const int n_old = n;
       for (; first != last; first++)
-	P.push_back(&*first);
+        P.push_back(&*first);
       n = static_cast<int>(P.size());
 
       // debugging output:
       CGAL_APPEL_LOG("appel","  Add()'ing " << n-n_old << " points to a " <<
-		(is_deg? "" : "not ") << "degenerate set of " <<
-		n_old << " points." << std::endl);
+                (is_deg? "" : "not ") << "degenerate set of " <<
+                n_old << " points." << std::endl);
       #ifdef CGAL_APPEL_ASSERTION_MODE
       x.resize(n);
       #endif // CGAL_APPEL_ASSERTION_MODE
       ex.resize(n);
 
       if (is_deg) {
-	// Here, we are still collecting points until is_deg gets true.
+        // Here, we are still collecting points until is_deg gets true.
 
-	// update variable sum:
-	update_sum(n_old);
+        // update variable sum:
+        update_sum(n_old);
 
-	// Next, we need to check whether the matrix M(x)^{-1} for
-	// x=(1/n,...,1/n) exists (in which case we could start
-	// Khachiyan's algorithm): compute_initial_inverse() computes
-	// from the matrix sum the inverse of M(x), if possible:
-	is_deg = !compute_initial_inverse_from_sum();
+        // Next, we need to check whether the matrix M(x)^{-1} for
+        // x=(1/n,...,1/n) exists (in which case we could start
+        // Khachiyan's algorithm): compute_initial_inverse() computes
+        // from the matrix sum the inverse of M(x), if possible:
+        is_deg = !compute_initial_inverse_from_sum();
       }
 
       else {
-	// Here, is_deg is false, i.e., the points P_old already span
-	// the whole space (and by our invariants the variable x
-	// therefore already represents a solution to the program (D)
-	// for the points P_old).
-
-	// The only thing we need to update is the array ex and ex_max:
-	for (int i=n_old; i<n; ++i)
-	  if ((ex[i] = excess<FT>(tco.cartesian_begin(*P[i]))) > ex[ex_max])
-	      ex_max = i;
-	CGAL_APPEL_LOG("appel","  Maximal excess is " << to_double(ex[ex_max])
-		  << "." << std::endl);
-
-	// (Here, we could restart with x = (1/n,...,1/n).  But this
-	// is probably a bad idea because (i) computing the initial
-	// inverse of M(x) is expensive and (ii) because our current
-	// ellipsoid is, hopefully, quite good already.)
-
-	// Todo: If the needed eps is larger than n-1, then
-	// restarting with x = (1/n,...,1/n) is better, probably (at
-	// least, we have a better bound then).
+        // Here, is_deg is false, i.e., the points P_old already span
+        // the whole space (and by our invariants the variable x
+        // therefore already represents a solution to the program (D)
+        // for the points P_old).
+
+        // The only thing we need to update is the array ex and ex_max:
+        for (int i=n_old; i<n; ++i)
+          if ((ex[i] = excess<FT>(tco.cartesian_begin(*P[i]))) > ex[ex_max])
+              ex_max = i;
+        CGAL_APPEL_LOG("appel","  Maximal excess is " << to_double(ex[ex_max])
+                  << "." << std::endl);
+
+        // (Here, we could restart with x = (1/n,...,1/n).  But this
+        // is probably a bad idea because (i) computing the initial
+        // inverse of M(x) is expensive and (ii) because our current
+        // ellipsoid is, hopefully, quite good already.)
+
+        // Todo: If the needed eps is larger than n-1, then
+        // restarting with x = (1/n,...,1/n) is better, probably (at
+        // least, we have a better bound then).
       }
 
       // Finally, if all points are non-degenerate now, we run
       // Khachiyan's algorithm:
       CGAL_APPEL_LOG("appel","  The points are " << (is_deg? "" : "not ") <<
-		"degenerate." << std::endl);
+                "degenerate." << std::endl);
       if (!is_deg)
-	run(desired_eps);
+        run(desired_eps);
 
       return !is_deg;
     }
@@ -414,7 +414,7 @@ namespace CGAL {
       // implementation DOES meet the specification, but its sort of
       // clumsy.
       const int max_iterations = static_cast<int>(2*d/desired_eps/
-					 (std::log(1.5)-1.0/3.0));
+                                         (std::log(1.5)-1.0/3.0));
 
       // run Khachiyan's algorithm until we find a good enough eps:
       //
@@ -422,25 +422,25 @@ namespace CGAL {
       int iterations = 1;
       bool counting = eps <= 1.0;
       while (!improve(desired_eps) &&        // not good enough and ...
-	     (!counting ||                   // ... (eps not yet <= 1 or ...
-	      iterations <= max_iterations)) // ... not yet enough iterations)
-	if (counting)
-	  ++iterations;
-	else if (eps <= 1.0)
-	  counting = true;
-      
+             (!counting ||                   // ... (eps not yet <= 1 or ...
+              iterations <= max_iterations)) // ... not yet enough iterations)
+        if (counting)
+          ++iterations;
+        else if (eps <= 1.0)
+          counting = true;
+
       // output stats:
       CGAL_APPEL_LOG("appel",
-		"  Took " << iterations << " iterations (upper " <<
-		"bound was " << max_iterations << "." << std::endl);
+                "  Took " << iterations << " iterations (upper " <<
+                "bound was " << max_iterations << "." << std::endl);
       CGAL_APPEL_TIMER_PRINT("appel","khachiyan","  Time at end: ");
       CGAL_APPEL_IF_STATS(CGAL_APPEL_LOG("appel",
-		  "  The overall represenation error in m is:   " <<
-   		  max_error_m_all << "." << std::endl);)
+                  "  The overall represenation error in m is:   " <<
+                     max_error_m_all << "." << std::endl);)
     }
 
   public: // access:
-    
+
     bool is_degenerate() const
     // Returns true if and only if dim(span(P)) < d, with P being the
     // input points (i.e., the points added so far) and d the
@@ -526,7 +526,7 @@ namespace CGAL {
     //
     // Complexity: O(n d^2)
     bool is_valid(bool verbose);
-    
+
   private: // internal assertion routines (only avalable in debug mode):
 
     #ifdef CGAL_APPEL_ASSERTION_MODE
@@ -596,11 +596,11 @@ namespace CGAL {
 
     void rank_1_update(int k,const FT& tau);
     // Efficiently computes into mi the inverse of M(x'), where
-    // 
+    //
     //   x' = (1 - tau) x + tau e_k
     //
     // with tau = eps/((1+eps)d-1) and where eps satisfies
-    // 
+    //
     //   p_k^T M(x)^{-1} p_k = (1+eps) d.                       (**)
     //
     // In addition, the routine efficiently updates the array ex to
diff -pruN 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d/Khachiyan_approximation_impl.h 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d/Khachiyan_approximation_impl.h
--- 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d/Khachiyan_approximation_impl.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d/Khachiyan_approximation_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d/Khachiyan_approximation_impl.h $
-// $Id: Khachiyan_approximation_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d/Khachiyan_approximation_impl.h $
+// $Id: Khachiyan_approximation_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer <fischerk@inf.ethz.ch>
 
@@ -26,7 +26,7 @@
 namespace CGAL {
 
   namespace Appel_impl {
-    
+
     // Computes the inverse of the positive definite (dxd)-matrix A
     // into Ai, by using the Cholesky decomposition of A. All three
     // iterator template parameters must be random access iterators of
@@ -39,13 +39,13 @@ namespace CGAL {
     //
     // Precondition: A and Ai may point to the same matrix (i.e., might alias).
     template<typename FT,
-	     typename Tmp_iterator,
-	     typename A_iterator,
-	     typename A_inverse_iterator>
+             typename Tmp_iterator,
+             typename A_iterator,
+             typename A_inverse_iterator>
     bool pd_matrix_inverse(const int d,
-			   A_iterator A,
-			   A_inverse_iterator Ai,
-			   Tmp_iterator tmp)
+                           A_iterator A,
+                           A_inverse_iterator Ai,
+                           Tmp_iterator tmp)
     {
       // I use the following version (in matlab notation) from Walter
       // Gander's lecture "Ausgleichsrechnung" (ETH Zurich, around 2000, see
@@ -65,22 +65,22 @@ namespace CGAL {
       // that instead of computing the result into L we can as well
       // overwrite the lower part of A.
       for (int j=0; j<d; ++j) {
-	// compute new column (v in above pseudo-code):
-	for (int i=j; i<d; ++i) {
-	  FT ll(0);
-	  for (int k=0; k<j; ++k)
-	    ll += A[i+k*d] * A[j+k*d];
-	  tmp[i] = A[i+j*d] - ll;
-	}
-
-	// check regularity:
-	if (tmp[j] <= 0) // todo: epsilon?
-	  return false;
-
-	// overwrite column:
-	const FT scale = FT(1)/std::sqrt(tmp[j]);
-	for (int i=j; i<d; ++i)
-	  A[i+j*d] = tmp[i] * scale;
+        // compute new column (v in above pseudo-code):
+        for (int i=j; i<d; ++i) {
+          FT ll(0);
+          for (int k=0; k<j; ++k)
+            ll += A[i+k*d] * A[j+k*d];
+          tmp[i] = A[i+j*d] - ll;
+        }
+
+        // check regularity:
+        if (tmp[j] <= 0) // todo: epsilon?
+          return false;
+
+        // overwrite column:
+        const FT scale = FT(1)/std::sqrt(tmp[j]);
+        for (int i=j; i<d; ++i)
+          A[i+j*d] = tmp[i] * scale;
       }
 
       // Now that we have in the lower triangular part of A the
@@ -88,28 +88,28 @@ namespace CGAL {
       // the inverse of A see "Numerical Recipes in C", end of Chapter
       // 2.9.
       for (int i=0; i<d; ++i) {
-	A[i+i*d] = FT(1)/A[i+i*d];
-	for (int j=i+1; j<d; ++j) {
-	  FT sum(0);
-	  for (int k=i; k<j; ++k)
-	    sum -= A[j+k*d] * A[k+i*d];
-	  A[j+i*d] = sum/A[j+j*d];
-	}
+        A[i+i*d] = FT(1)/A[i+i*d];
+        for (int j=i+1; j<d; ++j) {
+          FT sum(0);
+          for (int k=i; k<j; ++k)
+            sum -= A[j+k*d] * A[k+i*d];
+          A[j+i*d] = sum/A[j+j*d];
+        }
       }
-    
+
       // Finally, we calculate A^{-1} = (L^{-1})^T L^{-1} into Ai:
       for (int i=0; i<d; ++i)
-	for (int j=0; j<=i; ++j) {
+        for (int j=0; j<=i; ++j) {
 
-	  // compute entry (i,j) of A^{-1}:
-	  FT sum(0);
-	  for (int k=i; k<d; ++k)
-	    sum += A[k+i*d] * A[k+j*d];
-	  Ai[i+j*d] = sum;
-
-	  // Since A^{-1} is symmetric, we set:
-	  Ai[j+i*d] = sum;
-	}
+          // compute entry (i,j) of A^{-1}:
+          FT sum(0);
+          for (int k=i; k<d; ++k)
+            sum += A[k+i*d] * A[k+j*d];
+          Ai[i+j*d] = sum;
+
+          // Since A^{-1} is symmetric, we set:
+          Ai[j+i*d] = sum;
+        }
 
       return true;
     }
@@ -127,7 +127,7 @@ namespace CGAL {
   template<bool Embed,class Traits>
   void Khachiyan_approximation<Embed,Traits>::compute_M_of_x()
   // Computes into t the matrix
-  // 
+  //
   //    M(x) = sum(x_i p_i p_i^T,i=0..(n-1)).
   //
   // Complexity: O(n d^2)
@@ -137,23 +137,23 @@ namespace CGAL {
     // erase m:
     for (int i=0; i<d; ++i)
       for (int j=0; j<d; ++j)
-	t[i+j*d] = FT(0);
+        t[i+j*d] = FT(0);
 
     // evaluate products:
     for (int k=0; k<n; ++k) {
       C_it pi = tco.cartesian_begin(*P[k]);
       for (int i=0; i<d_P; ++i, ++pi) {
-	C_it pj = tco.cartesian_begin(*P[k]);
-	for (int j=0; j<d_P; ++j, ++pj)
-	  t[i+j*d] += x[k] * (*pi) * (*pj);
-	if (Embed)
-	  t[i+d_P*d] += x[k] * (*pi);
+        C_it pj = tco.cartesian_begin(*P[k]);
+        for (int j=0; j<d_P; ++j, ++pj)
+          t[i+j*d] += x[k] * (*pi) * (*pj);
+        if (Embed)
+          t[i+d_P*d] += x[k] * (*pi);
       }
       if (Embed) {
-	C_it pj = tco.cartesian_begin(*P[k]);
-	for (int j=0; j<d_P; ++j, ++pj)
-	  t[d_P+j*d] += x[k] * (*pj);
-	t[d_P+d_P*d] += x[k];
+        C_it pj = tco.cartesian_begin(*P[k]);
+        for (int j=0; j<d_P; ++j, ++pj)
+          t[d_P+j*d] += x[k] * (*pj);
+        t[d_P+d_P*d] += x[k];
       }
     }
   }
@@ -180,7 +180,7 @@ namespace CGAL {
     // store the identity matrix in mi:
     for (int i=0; i<d; ++i)
       for (int j=0; j<d; ++j)
-	mi[i+j*d] = FT(i==j? 1 : 0);
+        mi[i+j*d] = FT(i==j? 1 : 0);
 
     // Since it is not always possible to achieve a final form [*|I]
     // without row exchanges, we try to get the form [*|P(I)] where
@@ -202,31 +202,31 @@ namespace CGAL {
       bool found = false;
       int k = d-1;
       for (; k>=0; --k)
-	if (!is_zero(t[k+j*d]) && col_with_one[k]<0) {
-	  found = true;
-	  break;
-	}
+        if (!is_zero(t[k+j*d]) && col_with_one[k]<0) {
+          found = true;
+          break;
+        }
       if (!found)
-	return false;
+        return false;
       col_with_one[k] = j;
       row_with_one[j] = k;
 
       // zero out the entries above and below entry k:
       for (int i=0; i<d; ++i)
-	if (i != k) {
-	  // we add l times row k to row i:
-	  const FT l = -t[i+j*d]/t[k+j*d];
-	  for (int jj=0; jj<d; ++jj)
-	    mi[i+jj*d] += l*mi[k+jj*d];
-	  for (int jj=0; jj<=j; ++jj)
-	    t[i+jj*d]  += l*t[k+jj*d];
-	}
+        if (i != k) {
+          // we add l times row k to row i:
+          const FT l = -t[i+j*d]/t[k+j*d];
+          for (int jj=0; jj<d; ++jj)
+            mi[i+jj*d] += l*mi[k+jj*d];
+          for (int jj=0; jj<=j; ++jj)
+            t[i+jj*d]  += l*t[k+jj*d];
+        }
 
       // finally, we scale row k to get a one at (k,j):
       for (int jj=0; jj<d; ++jj)
-	mi[k+jj*d] /= t[k+j*d];
+        mi[k+jj*d] /= t[k+j*d];
       for (int jj=0; jj<=j; ++jj)
-	t[k+jj*d] /= t[k+j*d];
+        t[k+jj*d] /= t[k+j*d];
     }
 
     // At this point we know that for any i in {1,...,d} the system m
@@ -234,13 +234,13 @@ namespace CGAL {
     // P(I)^{-1} n_i and it thus suffices to undo the permutation:
     for (int i=0; i<d; ++i)
       if (row_with_one[i] != i) {
-	const int repl_row = row_with_one[i];
-	const int col = col_with_one[i];
-	for (int j=0; j<d; ++j)
-	  std::swap(mi[i+j*d],mi[repl_row+j*d]);
-	row_with_one[col] = repl_row;
-	col_with_one[repl_row] = col;
-	row_with_one[i] = col_with_one[i] = i;
+        const int repl_row = row_with_one[i];
+        const int col = col_with_one[i];
+        for (int j=0; j<d; ++j)
+          std::swap(mi[i+j*d],mi[repl_row+j*d]);
+        row_with_one[col] = repl_row;
+        col_with_one[repl_row] = col;
+        row_with_one[i] = col_with_one[i] = i;
     }
     return true;
   }
@@ -254,9 +254,9 @@ namespace CGAL {
       return false;
 
     return Appel_impl::pd_matrix_inverse<FT>(d,
-					     t.begin(),
-					     mi.begin(),
-					     tmp.begin());
+                                             t.begin(),
+                                             mi.begin(),
+                                             tmp.begin());
   }
 
   template<bool Embed,class Traits>
@@ -278,7 +278,7 @@ namespace CGAL {
     const FT invOfn = 1/FT(n);
     for (int i=0; i<d; ++i)
       for (int j=0; j<d; ++j)
-	t[i+j*d] = sum[i+j*d] * invOfn;
+        t[i+j*d] = sum[i+j*d] * invOfn;
 
     if (!compute_inverse_of_t_into_mi(Exact_flag()))
       return false;
@@ -292,12 +292,12 @@ namespace CGAL {
     // Finally, we compute the excess of P[k] (w.r.t. x) into ex[k]
     // for all k:
     ex_max = 0;
-    for (int k=0; k<n; ++k) 
+    for (int k=0; k<n; ++k)
       if ((ex[k] = excess<FT>(tco.cartesian_begin(*P[k]))) > ex[ex_max])
-	ex_max = k;
+        ex_max = k;
     CGAL_APPEL_LOG("appel","  Largest excess after initialization is " <<
-	      to_double(ex[ex_max]) << "." << "\n");
-    
+              to_double(ex[ex_max]) << "." << "\n");
+
     // Accoding to Khachiyam (Lemma 3, eq. (2.20) in "Rounding of
     // polytopes in the real number model of computation"), the
     // following eps makes (*) hold:
@@ -327,15 +327,15 @@ namespace CGAL {
     FT max_error(0);
     for (int i=0; i<d; ++i)
       for (int j=0; j<d; ++j) {
-	
-	// compute element (i,j) of the product of m and M(x):
-	FT v(0);
-	for (int k=0; k<d; ++k)
-	  v += t[i+k*d] * mi[k+j*d];
-	
-	// check it:
-	const FT exact(i == j? 1 : 0);
-	max_error = (std::max)(max_error,std::abs(v-exact));
+
+        // compute element (i,j) of the product of m and M(x):
+        FT v(0);
+        for (int k=0; k<d; ++k)
+          v += t[i+k*d] * mi[k+j*d];
+
+        // check it:
+        const FT exact(i == j? 1 : 0);
+        max_error = (std::max)(max_error,std::abs(v-exact));
       }
 
     // update statistics:
@@ -344,21 +344,21 @@ namespace CGAL {
     max_error_m = max_error;
     #endif
     CGAL_APPEL_LOG("appel","  The represenation error in m is: " <<
-	      to_double(max_error) << (max_error == FT(0)?
+              to_double(max_error) << (max_error == FT(0)?
               " (zero)" : "") << "." << "\n");
-    
+
     return max_error;
   }
   #endif // CGAL_APPEL_ASSERTION_MODE
 
   template<bool Embed,class Traits>
   void Khachiyan_approximation<Embed,Traits>::rank_1_update(int k,
-							    const FT& tau)
+                                                            const FT& tau)
   {
     // check preconditions:
     CGAL_APPEL_ASSERT(!check_tag(Exact_flag()) || tau == eps/((1+eps)*d-1));
-    CGAL_APPEL_ASSERT(!check_tag(Exact_flag()) || 
-		      excess<ET>(tco.cartesian_begin(*P[k])) == (1+eps)*d);
+    CGAL_APPEL_ASSERT(!check_tag(Exact_flag()) ||
+                      excess<ET>(tco.cartesian_begin(*P[k])) == (1+eps)*d);
     CGAL_USE(tau);
     const FT mu = eps / ((d-1)*(1+eps));
     const FT alpha = 1 + mu;
@@ -369,40 +369,40 @@ namespace CGAL {
       tmp[i] = FT(0);
       C_it pk = tco.cartesian_begin(*P[k]);
       for (int j=0; j<d_P; ++j, ++pk)
-	tmp[i] += (*pk) * mi[i+j*d];
+        tmp[i] += (*pk) * mi[i+j*d];
       if (Embed)
-	tmp[i] += mi[i+d_P*d];
+        tmp[i] += mi[i+d_P*d];
     }
 
     // We need to scale the current matrix m by alpha and add to it
     // the matrix (tmp tmp^T) times -beta:
     for (int i=0; i<d; ++i)
       for (int j=0; j<d; ++j) {
-	mi[i+j*d] *= alpha;
-	mi[i+j*d] -= beta * tmp[i]*tmp[j];
+        mi[i+j*d] *= alpha;
+        mi[i+j*d] -= beta * tmp[i]*tmp[j];
       }
 
     // Update ex[k]: We need to scale ex[k] by alpha and subtract from
     // it beta (p_k^T tmp)^2:
     ex_max = 0;
     for (int k=0; k<n; ++k) {
-      
+
       // compute gamma = (p_k^T tmp)^2:
       FT gamma(0);
       C_it pk = tco.cartesian_begin(*P[k]);
       for (int i=0; i<d_P; ++i, ++pk)
-	gamma += tmp[i] * (*pk);
+        gamma += tmp[i] * (*pk);
       if (Embed)
-	gamma += tmp[d_P];
+        gamma += tmp[d_P];
       gamma *= gamma;
-      
+
       // update ex[k]:
       ex[k] *= alpha;
       ex[k] -= beta*gamma;
 
       // remember the largest so far:
       if (ex[k] > ex[ex_max])
-	ex_max = k;
+        ex_max = k;
     }
 
     // check postcondition:
@@ -418,16 +418,16 @@ namespace CGAL {
     // (1+eps) d holds for all m in {1,...,n}:
     eps = ex[ex_max]/d - 1;
     is_exact_eps_uptodate = false;
-    
+
     CGAL_APPEL_LOG("appel","  The current eps is: " << to_double(eps) << "\n");
-    
+
     // check if we have already reached an acceptable eps:
     if (eps <= desired_eps) // numerics say we're ready to stop...
       if (exact_epsilon() <= desired_eps) // ... and if it's o.k, we stop
         // Note: if FT is inexact, exact_epsilon() may return a
         // negative number here, which we will interpret as the input
         // points being degenerate.
-	return true;
+        return true;
 
     // We optimize along the line
     //
@@ -445,7 +445,7 @@ namespace CGAL {
       x[i] = (1-tau)*x[i];
     x[ex_max] += tau;
     CGAL_APPEL_ASSERT(!check_tag(Exact_flag()) ||
-		      std::accumulate(x.begin(),x.end(),FT(0)) == FT(1));
+                      std::accumulate(x.begin(),x.end(),FT(0)) == FT(1));
     #endif // CGAL_APPEL_ASSERTION_MODE
 
     // recompute the inverse m of M(x) (where x is our new x') and
@@ -476,9 +476,9 @@ namespace CGAL {
 
     // debugging output:
     CGAL_APPEL_LOG("appel",
-		   "Exact epsilon is " << eps_e << " (rounded: " <<
-		   eps_exact << ")." << "\n");
-    
+                   "Exact epsilon is " << eps_e << " (rounded: " <<
+                   eps_exact << ")." << "\n");
+
     // check whether eps is negative (which under exact arithmetic is
     // not possible, and which we will take as a sign that the input
     // points are degenerate):
@@ -497,8 +497,8 @@ namespace CGAL {
     // debugging output:
     if (verbose) {
       CGAL_APPEL_IF_STATS(
-        std::cout << "The overall error in the matrix inverse is:   " 
-	          << max_error_m_all << "." << "\n");
+        std::cout << "The overall error in the matrix inverse is:   "
+                  << max_error_m_all << "." << "\n");
     }
 
     // handle degenerate case:
@@ -510,8 +510,8 @@ namespace CGAL {
     const ET     ratio   = (ET(epsilon)+1)*d;
     for (int i=0; i<n; ++i)
       if (excess<ET>(tco.cartesian_begin(*P[i])) > ratio) {
-	CGAL_APPEL_LOG("appel","ERROR: Eq. (*) violated." << "\n");
-	return false;
+        CGAL_APPEL_LOG("appel","ERROR: Eq. (*) violated." << "\n");
+        return false;
       }
 
     return true;
@@ -527,13 +527,13 @@ namespace CGAL {
     // copy matrix to destination:
     for (int i=0; i<d-1; ++i)
       for (int j=0; j<d-1; ++j)
-	inverse[i+j*(d-1)] = mi[i+j*d];
+        inverse[i+j*(d-1)] = mi[i+j*d];
 
     // solve in place:
     return Appel_impl::pd_matrix_inverse<FT>(d-1, inverse,
-					     inverse, tmp.begin());
+                                             inverse, tmp.begin());
   }
-  
+
   template<bool Embed,class Traits>
   void Khachiyan_approximation<Embed,Traits>::print(std::ostream& o)
   {
@@ -542,7 +542,7 @@ namespace CGAL {
     for (int k=0; k<n; ++k) {
       o << x[k];
       if (k<n-1)
-	o << ",";
+        o << ",";
     }
     o << "];" << "\n\n";
     #endif // CGAL_APPEL_ASSERTION_MODE
@@ -551,13 +551,13 @@ namespace CGAL {
     for (int i=0; i<d; ++i) {
       o << " [ ";
       for (int j=0; j<d; ++j) {
-	o << mi[i+j*d];
-	if (j<d-1)
-	  o << ",";
+        o << mi[i+j*d];
+        if (j<d-1)
+          o << ",";
       }
       o << "]";
       if (i<d-1)
-	o << ",";
+        o << ",";
       o << "\n";
     }
     o << "]);" << "\n";
@@ -566,13 +566,13 @@ namespace CGAL {
     for (int i=0; i<d; ++i) {
       o << " [ ";
       for (int j=0; j<d; ++j) {
-	o << sum[i+j*d];
-	if (j<d-1)
-	  o << ",";
+        o << sum[i+j*d];
+        if (j<d-1)
+          o << ",";
       }
       o << "]";
       if (i<d-1)
-	o << ",";
+        o << ",";
       o << "\n";
     }
     o << "]);" << "\n";
@@ -581,18 +581,18 @@ namespace CGAL {
     for (int i=0; i<d; ++i) {
       o << " [ ";
       for (int j=0; j<d; ++j) {
-	o << t[i+j*d];
-	if (j<d-1)
-	  o << ",";
+        o << t[i+j*d];
+        if (j<d-1)
+          o << ",";
       }
       o << "]";
       if (i<d-1)
-	o << ",";
+        o << ",";
       o << "\n";
     }
     o << "]);" << "\n";
   }
-  
+
   template<bool Embed,class Traits>
   int Khachiyan_approximation<Embed,Traits>::write_eps() const
   {
@@ -616,14 +616,14 @@ namespace CGAL {
     // output the inscribed ellipse:
     epsf.set_stroke_mode(Impl::Eps_export_2::Dashed);
     epsf.write_cs_ellipse(to_double(mi[0+0*d]),
-			  to_double(mi[1+1*d]),
-			  to_double(mi[1+0*d]));
+                          to_double(mi[1+1*d]),
+                          to_double(mi[1+0*d]));
 
     // Output the approximation of the minellipse: Since the relaxed
-    // optimality conditions (*) hold, 
+    // optimality conditions (*) hold,
     //
     //      p_i^T M(x)^{-1} p_i <= (1+eps) d,
-    // 
+    //
     // we can divide by a:=(1+eps)d to get
     //
     //     p_i^T M(x)^{-1}/a p_i <= 1,
@@ -634,25 +634,25 @@ namespace CGAL {
     for (int k=0; k<n; ++k) {
       // compute M(x)^{-1}/alpha p_k into vector tmp:
       for (int i=0; i<d; ++i) { // loop to determine tmp[i]
-	tmp[i] = FT(0);
-	C_it pk = tco.cartesian_begin(*P[k]);
-	for (int j=0; j<d; ++j, ++pk)
-	  tmp[i] += (*pk) * mi[i+j*d];
+        tmp[i] = FT(0);
+        C_it pk = tco.cartesian_begin(*P[k]);
+        for (int j=0; j<d; ++j, ++pk)
+          tmp[i] += (*pk) * mi[i+j*d];
       }
 
       // calculate p^T tmp:
       FT result(0);
       C_it pk = tco.cartesian_begin(*P[k]);
       for (int i=0; i<d; ++i, ++pk)
-	result += (*pk) * tmp[i];
+        result += (*pk) * tmp[i];
     }
 
     epsf.set_stroke_mode(Impl::Eps_export_2::Dashed);
     epsf.set_label("E2");
     epsf.write_cs_ellipse(to_double(mi[0+0*d]/a),
-			  to_double(mi[1+1*d]/a),
-			  to_double(mi[1+0*d]/a));
-    
+                          to_double(mi[1+1*d]/a),
+                          to_double(mi[1+0*d]/a));
+
     return id++;
   }
 
diff -pruN 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d.h 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d.h
--- 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d.h $
-// $Id: Approximate_min_ellipsoid_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d.h $
+// $Id: Approximate_min_ellipsoid_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer <fischerk@inf.ethz.ch>
 
@@ -45,14 +45,14 @@ namespace CGAL {
   private:
     typedef std::vector<Point>                        Point_list;
     typedef typename Traits::Cartesian_const_iterator C_it;
-    
+
   protected: // member variables:
     Traits tco;                           // traits class object
     const Point_list P;                   // the input points in R^d
     int d;                                // dimension of the input points
     const double eps;                     // the desired epsilon
     double e_eps;                         // (see below)
-    
+
     // We obtain our eps-approximating ellipsoid by embedding the input
     // points P into R^{d+1} by mapping p to (p,1).  Then we compute in
     // R^{d+1} an (1+e_eps)-approximating centrally symmetric ellipsoid E for
@@ -91,15 +91,15 @@ namespace CGAL {
 
     template<typename InputIterator>
     Approximate_min_ellipsoid_d(double eps,
-			    InputIterator first,InputIterator last,
-			    const Traits& traits = Traits())
+                            InputIterator first,InputIterator last,
+                            const Traits& traits = Traits())
     // Given a range [first,last) of n points P, constructs an
     // (1+eps)-approximation of the smallest enclosing ellipsoid of P.
       : tco(traits), P(first,last), eps(eps),
-	has_center(false), has_axes(false)
+        has_center(false), has_axes(false)
     {
       CGAL_APPEL_LOG("appel",
-		     "Entering Approximate_min_ellpsoid_d." << std::endl);
+                     "Entering Approximate_min_ellpsoid_d." << std::endl);
 
       // fetch ambient dimension:
       d = tco.dimension(P[0]);
@@ -129,8 +129,8 @@ namespace CGAL {
       FPU_CW_t old = FPU_get_and_set_cw(CGAL_FE_TOWARDZERO); // round to zero
       e_eps = std::exp(2.0/(d+1)*std::log(1.0+eps))-1.0;
       FPU_set_cw(old);                                       // restore
-							     // rounding mode
-      
+                                                             // rounding mode
+
       // Find e (1+e_eps)-approximation for the embedded points.  This
       // only works when the points affinely span R^{d+1}.
       E = new Khachiyan_approximation<true,Traits>(d, static_cast<int>(P.size()),tco);
@@ -139,21 +139,21 @@ namespace CGAL {
       // debugging:
       CGAL_APPEL_ASSERT(is_deg == E->is_degenerate());
       CGAL_APPEL_LOG("appel",
-		     "  Input points are " << (is_deg? "" : "not ") <<
-		     "degnerate." << std::endl);
+                     "  Input points are " << (is_deg? "" : "not ") <<
+                     "degnerate." << std::endl);
 
       if (is_deg)
-	find_lower_dimensional_approximation();
+        find_lower_dimensional_approximation();
 
       CGAL_APPEL_LOG("appel",
-		     "Leaving Approximate_min_ellipsoid_d." << std::endl);
+                     "Leaving Approximate_min_ellipsoid_d." << std::endl);
     }
-    
+
     ~Approximate_min_ellipsoid_d()
     {
       // dispose of approximation:
       if (E != static_cast<Khachiyan_approximation<true,Traits> *>(0))
-	delete E;
+        delete E;
     }
 
   public: // access:
@@ -163,7 +163,7 @@ namespace CGAL {
     {
       return P.size();
     }
-    
+
     bool is_empty() const
     // Returns true iff the approximate ellipsoid is empty (which
     // implies degeneracy).  This is the case iff the number of input
@@ -171,7 +171,7 @@ namespace CGAL {
     {
       return P.size() == 0;
     }
-    
+
   private: // access:
     bool is_degenerate() const
     // Returns true iff the approximate ellipsoid is degenerate, i.e.,
@@ -189,7 +189,7 @@ namespace CGAL {
     //
     //  (a) encloses all embedded points (p,1), p in P,
     //  (b) has defining matrix M/alpha, i.e.,
-    // 
+    //
     //        E' = { x | x^T M/alpha x <= 1 },
     //
     //      where alpha = (1+a_eps)(d+1) with a_eps the return value
@@ -206,7 +206,7 @@ namespace CGAL {
     //   x^T M/alpha x = y^T y alpha/M + 2/alpha y^Tm + nu/alpha.
     //
     // It follows
-    // 
+    //
     //   E* = { y | y^T M'/alpha y + 2/alpha y^Tm + (nu/alpha-1) <= 0 }. (****)
     //
     // This is what the routines defining_matrix(), defining_vector(),
@@ -229,7 +229,7 @@ namespace CGAL {
     //
     // Precondition: !is_degenerate() && 0<=i<d && 0<=j<d
     {
-      
+
       CGAL_APPEL_ASSERT(!is_degenerate() && 0<=i && i<d && 0<=j && j<d);
       return E->matrix(i,j);
     }
@@ -246,9 +246,9 @@ namespace CGAL {
     {
       CGAL_APPEL_ASSERT(!is_degenerate() && 0<=i && i<d);
       return FT(2)*E->matrix(d,i); // Note: if FT is double, the
-				   // multiplication by 2.0 is exact.
+                                   // multiplication by 2.0 is exact.
     }
-    
+
     FT defining_scalar() const
     // Returns the number mu in the representation
     //
@@ -271,7 +271,7 @@ namespace CGAL {
     // Precondition: !is_degenerate()
     {
       CGAL_APPEL_ASSERT(!is_degenerate());
-      
+
       // From (*) we known that Khachian's algorithm produces a
       // centrally-symmetric ellipsoid in R^{d+1} fulfilling
       //
@@ -293,7 +293,7 @@ namespace CGAL {
       const double sum = 1.0 + k_eps;
       double tmp = sum;
       for (int i=0; i<d; ++i)
-	tmp *= sum;
+        tmp *= sum;
       const double eps = std::sqrt(tmp)-1.0;
       FPU_set_cw(old);                                   // restore
 
@@ -313,16 +313,16 @@ namespace CGAL {
     }
 
   public: // miscellaneous:
-    
+
     bool is_valid(bool verbose) const
     // Returns true if and only if the computed ellipsoid is indeed an
     // approximate ellipsoid, that is ... Todo.
     {
       return E->is_valid(verbose);
     }
-      
+
   public: // miscellaneous 2D/3D support:
-    
+
     typedef std::vector<double>::const_iterator Center_coordinate_iterator;
     typedef std::vector<double>::const_iterator Axes_lengths_iterator;
     typedef std::vector<double>::const_iterator
@@ -339,7 +339,7 @@ namespace CGAL {
     {
       CGAL_APPEL_ASSERT(!is_degenerate());
       if (!has_center)
-	compute_center();
+        compute_center();
 
       return center_.begin();
     }
@@ -352,7 +352,7 @@ namespace CGAL {
     {
       CGAL_APPEL_ASSERT(!is_degenerate());
       if (!has_center)
-	compute_center();
+        compute_center();
 
       return center_.end();
     }
@@ -369,7 +369,7 @@ namespace CGAL {
     {
       CGAL_APPEL_ASSERT(!is_degenerate() && (d==2 || d==3));
       if (!has_axes)
-	compute_axes_2_3();
+        compute_axes_2_3();
 
       return lengths_.begin();
     }
@@ -382,11 +382,11 @@ namespace CGAL {
     {
       CGAL_APPEL_ASSERT(!is_degenerate() && (d==2 || d==3));
       if (!has_axes)
-	compute_axes_2_3();
-      
+        compute_axes_2_3();
+
       return lengths_.end();
     }
-    
+
     Axes_direction_coordinate_iterator axis_direction_cartesian_begin(int i)
     // Returns a STL random-access iterator pointing to the first of the d
     // Cartesian coordinates of the computed ellipsoid's i-th axis direction
@@ -399,13 +399,13 @@ namespace CGAL {
     // Precondition: !is_degenerate() && (d==2 || d==3) && (0 <= i < d)
     {
       CGAL_APPEL_ASSERT(!is_degenerate() && (d==2 || d==3) &&
-			0 <= i && i < d);
+                        0 <= i && i < d);
       if (!has_axes)
-	compute_axes_2_3();
-      
+        compute_axes_2_3();
+
       return directions_[i].begin();
     }
-    
+
     Axes_direction_coordinate_iterator axis_direction_cartesian_end(int i)
     // Returns the past-the-end iterator corresponding to
     // axis_direction_cartesian_begin().
@@ -413,31 +413,31 @@ namespace CGAL {
     // Precondition: !is_degenerate() && (d==2 || d==3) && (0 <= i < d)
     {
       CGAL_APPEL_ASSERT(!is_degenerate() && (d==2 || d==3) &&
-			0 <= i && i < d);
+                        0 <= i && i < d);
       if (!has_axes)
-	compute_axes_2_3();
-      
+        compute_axes_2_3();
+
       return directions_[i].end();
     }
 
   public: // internal members for 2D/3D axis/center computation:
 
     bool has_center, has_axes; // true iff the center or axes-directions and
-			       // -lengths, respectively, have already been
-			       // computed
+                               // -lengths, respectively, have already been
+                               // computed
     std::vector<double>                center_;
     std::vector<double>                lengths_;
     std::vector< std::vector<double> > directions_;
     std::vector<double>                mi; // contains M^{-1} (see (*****)
-					   // above) iff has_center is true;
-					   // mi[i+d*j] is entry (i,j) of
-					   // M^{-1}
+                                           // above) iff has_center is true;
+                                           // mi[i+d*j] is entry (i,j) of
+                                           // M^{-1}
 
     void compute_center();
     void compute_axes_2_3();
     void compute_axes_2(const double alpha, const double factor);
     void compute_axes_3(const double alpha, const double factor);
-    
+
   public: // "debugging" routines:
 
     void write_eps(const std::string& name);
@@ -450,7 +450,7 @@ namespace CGAL {
 
     void find_lower_dimensional_approximation(); // (does nothing right now)
   };
-  
+
 }
 
 #include <CGAL/Approximate_min_ellipsoid_d/Approximate_min_ellipsoid_d_impl.h>
diff -pruN 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d_traits_2.h 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d_traits_2.h
--- 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d_traits_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d_traits_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d_traits_2.h $
-// $Id: Approximate_min_ellipsoid_d_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d_traits_2.h $
+// $Id: Approximate_min_ellipsoid_d_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer <fischerk@inf.ethz.ch>
 
@@ -28,12 +28,12 @@ namespace CGAL {
     typedef typename K_::Point_2 Point;  // point type
     typedef typename K_::Cartesian_const_iterator_2 Cartesian_const_iterator;
                                          // iterator over point coordinates
-    
+
     static int dimension(const Point& )
     {
       return 2;
     }
-    
+
     static Cartesian_const_iterator cartesian_begin(const Point& p)
     {
       return p.cartesian_begin();
diff -pruN 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d_traits_3.h 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d_traits_3.h
--- 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d_traits_3.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d_traits_3.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d_traits_3.h $
-// $Id: Approximate_min_ellipsoid_d_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d_traits_3.h $
+// $Id: Approximate_min_ellipsoid_d_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer <fischerk@inf.ethz.ch>
 
@@ -28,12 +28,12 @@ namespace CGAL {
     typedef typename K_::Point_3 Point;  // point type
     typedef typename K_::Cartesian_const_iterator_3 Cartesian_const_iterator;
                                          // iterator over point coordinates
-    
+
     static int dimension(const Point& )
     {
       return 3;
     }
-    
+
     static Cartesian_const_iterator cartesian_begin(const Point& p)
     {
       return p.cartesian_begin();
diff -pruN 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d_traits_d.h 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d_traits_d.h
--- 5.0.2-3/include/CGAL/Approximate_min_ellipsoid_d_traits_d.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Approximate_min_ellipsoid_d_traits_d.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d_traits_d.h $
-// $Id: Approximate_min_ellipsoid_d_traits_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Approximate_min_ellipsoid_d_traits_d.h $
+// $Id: Approximate_min_ellipsoid_d_traits_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer <fischerk@inf.ethz.ch>
 
@@ -28,12 +28,12 @@ namespace CGAL {
     typedef typename K_::Point_d Point;  // point type
     typedef typename K_::Cartesian_const_iterator_d Cartesian_const_iterator;
                                          // iterator over point coordinates
-    
+
     static int dimension(const Point& p)
     {
       return p.dimension();
     }
-    
+
     static Cartesian_const_iterator cartesian_begin(const Point& p)
     {
       return p.cartesian_begin();
diff -pruN 5.0.2-3/include/CGAL/argument_swaps.h 5.0.3-1/include/CGAL/argument_swaps.h
--- 5.0.2-3/include/CGAL/argument_swaps.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/argument_swaps.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/argument_swaps.h $
-// $Id: argument_swaps.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/argument_swaps.h $
+// $Id: argument_swaps.h 822bc55 2020-03-27T08:28:48+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -18,37 +18,37 @@
 namespace CGAL {
 namespace internal {
 
-template<int,class...> struct Apply_to_last_then_rest_;
+template<std::size_t,class...> struct Apply_to_last_then_rest_;
 
-template<int d,class F,class T,class... U>
+template<std::size_t d,class F,class T,class... U>
 struct Apply_to_last_then_rest_<d,F,T,U...> {
-	typedef typename Apply_to_last_then_rest_<d-1,F,U...,T>::result_type result_type;
-	inline result_type operator()(F&&f,T&&t,U&&...u)const{
-		return Apply_to_last_then_rest_<d-1,F,U...,T>()(
-				std::forward<F>(f),
-				std::forward<U>(u)...,
-				std::forward<T>(t));
-	}
+        typedef typename Apply_to_last_then_rest_<d-1,F,U...,T>::result_type result_type;
+        inline result_type operator()(F&&f,T&&t,U&&...u)const{
+                return Apply_to_last_then_rest_<d-1,F,U...,T>()(
+                                std::forward<F>(f),
+                                std::forward<U>(u)...,
+                                std::forward<T>(t));
+        }
 };
 
 template<class F,class T,class... U>
 struct Apply_to_last_then_rest_<0,F,T,U...> {
-	typedef decltype(std::declval<F>()(std::declval<T>(), std::declval<U>()...)) result_type;
-	inline result_type operator()(F&&f,T&&t,U&&...u)const{
-	return std::forward<F>(f)(std::forward<T>(t), std::forward<U>(u)...);
-	}
+        typedef decltype(std::declval<F>()(std::declval<T>(), std::declval<U>()...)) result_type;
+        inline result_type operator()(F&&f,T&&t,U&&...u)const{
+        return std::forward<F>(f)(std::forward<T>(t), std::forward<U>(u)...);
+        }
 };
 } // namespace internal
 
 struct Apply_to_last_then_rest {
-	template<class F,class T,class...U> inline
-	typename internal::Apply_to_last_then_rest_<sizeof...(U),F,T,U...>::result_type
-	operator()(F&&f,T&&t,U&&...u)const{
-	return internal::Apply_to_last_then_rest_<sizeof...(U),F,T,U...>()(
-			std::forward<F>(f),
-			std::forward<T>(t),
-			std::forward<U>(u)...);
-	}
+        template<class F,class T,class...U> inline
+        typename internal::Apply_to_last_then_rest_<sizeof...(U),F,T,U...>::result_type
+        operator()(F&&f,T&&t,U&&...u)const{
+        return internal::Apply_to_last_then_rest_<sizeof...(U),F,T,U...>()(
+                        std::forward<F>(f),
+                        std::forward<T>(t),
+                        std::forward<U>(u)...);
+        }
 };
 
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Arithmetic_kernel/Arithmetic_kernel_base.h 5.0.3-1/include/CGAL/Arithmetic_kernel/Arithmetic_kernel_base.h
--- 5.0.2-3/include/CGAL/Arithmetic_kernel/Arithmetic_kernel_base.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arithmetic_kernel/Arithmetic_kernel_base.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arithmetic_kernel/include/CGAL/Arithmetic_kernel/Arithmetic_kernel_base.h $
-// $Id: Arithmetic_kernel_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arithmetic_kernel/include/CGAL/Arithmetic_kernel/Arithmetic_kernel_base.h $
+// $Id: Arithmetic_kernel_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s)     : Michael Hemmer <hemmer@mpi-inf.mpg.de> 
+// Author(s)     : Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //
 // ============================================================================
 //
-//    \brief provide base class for Arithmetic_kernel  
+//    \brief provide base class for Arithmetic_kernel
 //
 
 
diff -pruN 5.0.2-3/include/CGAL/Arithmetic_kernel.h 5.0.3-1/include/CGAL/Arithmetic_kernel.h
--- 5.0.2-3/include/CGAL/Arithmetic_kernel.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arithmetic_kernel.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,18 +3,18 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arithmetic_kernel/include/CGAL/Arithmetic_kernel.h $
-// $Id: Arithmetic_kernel.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arithmetic_kernel/include/CGAL/Arithmetic_kernel.h $
+// $Id: Arithmetic_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Michael Hemmer <mhemmer@uni-mainz.de>
 //
 // ============================================================================
 //
-//    \brief provide class Arithmetic_kernel, a collection of number types. 
+//    \brief provide class Arithmetic_kernel, a collection of number types.
 //
 
-// 
+//
 
 /*! \file CGAL/Arithmetic_kernel.h
  *  \brief Declarations pertaining to CGAL::Arithmetic_kernel
@@ -26,35 +26,35 @@
 #include <CGAL/basic.h>
 
 
-// Define a default Arithmetic_kernel GMP, CORE, LEDA 
+// Define a default Arithmetic_kernel GMP, CORE, LEDA
 
 
 #ifndef CGAL_HAS_DEFAULT_ARITHMETIC_KERNEL
 #include <CGAL/LEDA_arithmetic_kernel.h>
-#if defined(CGAL_HAS_LEDA_ARITHMETIC_KERNEL) 
+#if defined(CGAL_HAS_LEDA_ARITHMETIC_KERNEL)
 namespace CGAL{
 typedef LEDA_arithmetic_kernel Arithmetic_kernel;
-}// namespace CGAL 
+}// namespace CGAL
 #define CGAL_HAS_DEFAULT_ARITHMETIC_KERNEL 1
 #endif // CGAL_USE_LEDA
 #endif // CGAL_HAS_DEFAULT_ARITHMETIC_KERNEL
 
 #ifndef CGAL_HAS_DEFAULT_ARITHMETIC_KERNEL
 #include <CGAL/CORE_arithmetic_kernel.h>
-#if defined(CGAL_HAS_CORE_ARITHMETIC_KERNEL) 
+#if defined(CGAL_HAS_CORE_ARITHMETIC_KERNEL)
 namespace CGAL{
 typedef CORE_arithmetic_kernel Arithmetic_kernel;
-}// namespace CGAL 
+}// namespace CGAL
 #define CGAL_HAS_DEFAULT_ARITHMETIC_KERNEL 1
 #endif // CGAL_USE_CORE
 #endif // CGAL_HAS_DEFAULT_ARITHMETIC_KERNEL
 
 #ifndef CGAL_HAS_DEFAULT_ARITHMETIC_KERNEL
 #include <CGAL/GMP_arithmetic_kernel.h>
-#if defined(CGAL_HAS_GMP_ARITHMETIC_KERNEL) 
+#if defined(CGAL_HAS_GMP_ARITHMETIC_KERNEL)
 namespace CGAL{
 typedef GMP_arithmetic_kernel Arithmetic_kernel;
-}// namespace CGAL 
+}// namespace CGAL
 #define CGAL_HAS_DEFAULT_ARITHMETIC_KERNEL 1
 #endif // CGAL_USE_GMP
 #endif // CGAL_HAS_DEFAULT_ARITHMETIC_KERNEL
@@ -64,7 +64,7 @@ typedef GMP_arithmetic_kernel Arithmetic
 #define CGAL_SNAP_ARITHMETIC_KERNEL_TYPEDEFS(AT) \
   typedef typename AT::Integer Integer; \
   typedef typename AT::Rational Rational; \
-  typedef typename AT::Field_with_sqrt Field_with_sqrt; 
+  typedef typename AT::Field_with_sqrt Field_with_sqrt;
 
 #endif // CGAL_ARITHMETIC_KERNEL_H
 // EOF
diff -pruN 5.0.2-3/include/CGAL/Arr_accessor.h 5.0.3-1/include/CGAL/Arr_accessor.h
--- 5.0.2-3/include/CGAL/Arr_accessor.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_accessor.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_accessor.h $
-// $Id: Arr_accessor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_accessor.h $
+// $Id: Arr_accessor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein          <wein@post.tau.ac.il>
 //                 Efi Fogel         <efif@post.tau.ac.il>
@@ -144,7 +144,7 @@ public:
       Arr_traits_basic_adaptor_2<typename Arrangement_2::Geometry_traits_2>
       Traits_adaptor_2;
 
-    const Traits_adaptor_2* m_traits = 
+    const Traits_adaptor_2* m_traits =
       static_cast<const Traits_adaptor_2*> (p_arr->geometry_traits());
 
     Arr_curve_end ind = ARR_MIN_END;
@@ -197,8 +197,8 @@ public:
    * Compute the distance (in halfedges) between two halfedges.
    * \param e1 A handle for the source halfedge.
    * \param e2 A handle for the destination halfedge.
-   * \return In case e1 and e2 belong to the same connected component, the 
-   *         function returns number of boundary halfedges between the two 
+   * \return In case e1 and e2 belong to the same connected component, the
+   *         function returns number of boundary halfedges between the two
    *         halfedges. Otherwise, it returns (-1).
    */
   int halfedge_distance(Halfedge_const_handle e1,
@@ -207,7 +207,7 @@ public:
     // If the two halfedges do not belong to the same component, return (-1).
     const DHalfedge* he1 = p_arr->_halfedge(e1);
     const DHalfedge* he2 = p_arr->_halfedge(e2);
-    
+
     if (he1 == he2) return (0);
 
     const DInner_ccb* ic1 = (he1->is_on_inner_ccb()) ? he1->inner_ccb() : nullptr;
@@ -299,7 +299,7 @@ public:
     CGAL_assertion(v != nullptr);
     return (p_arr->_handle_for (v));
   }
-  
+
   /*!
    * Create a new boundary vertex.
    * \param cv The curve incident to the boundary.
@@ -378,7 +378,7 @@ public:
    *         In case a new face has been created, it is given as the incident
    *         face of this halfedge.
    */
-  Halfedge_handle insert_at_vertices_ex(Halfedge_handle he_to, 
+  Halfedge_handle insert_at_vertices_ex(Halfedge_handle he_to,
                                         const X_monotone_curve_2& cv,
                                         Arr_halfedge_direction cv_dir,
                                         Halfedge_handle he_away,
@@ -412,7 +412,7 @@ public:
    */
   Halfedge_handle insert_from_vertex_ex(Halfedge_handle he_to,
                                         const X_monotone_curve_2& cv,
-                                        Arr_halfedge_direction cv_dir, 
+                                        Arr_halfedge_direction cv_dir,
                                         Vertex_handle v)
   {
     DVertex* p_v = p_arr->_vertex(v);
@@ -448,7 +448,7 @@ public:
    */
   Halfedge_handle insert_in_face_interior_ex(Face_handle f,
                                              const X_monotone_curve_2& cv,
-                                             Arr_halfedge_direction cv_dir, 
+                                             Arr_halfedge_direction cv_dir,
                                              Vertex_handle v1,
                                              Vertex_handle v2)
   {
@@ -478,7 +478,7 @@ public:
 
     CGAL_assertion(he != nullptr);
     return (p_arr->_handle_for (he));
-  
+
   }
 
   /*!
@@ -488,7 +488,7 @@ public:
    */
   void insert_isolated_vertex(Face_handle f, Vertex_handle v)
   { p_arr->_insert_isolated_vertex(p_arr->_face (f), p_arr->_vertex(v)); }
-  
+
   /*!
    * Relocate all holes and isolated vertices to their proper position,
    * immediately after a face has split due to the insertion of a new halfedge.
@@ -534,7 +534,7 @@ public:
     p_arr->_move_inner_ccb(p_arr->_face(from_face), p_arr->_face(to_face),
                            p_arr->_halfedge(ccb));
   }
-  
+
   /*!
    * Move an isolated vertex from one face to another.
    * \param from_face The source face.
@@ -571,7 +571,7 @@ public:
     p_arr->_modify_vertex(p_arr->_vertex(v), p);
     return v;
   }
-        
+
   /*!
    * Modify the x-monotone curve associated with a given edge. The curve may be
    * geometrically different than the one currently associated with the edge.
@@ -585,7 +585,7 @@ public:
     p_arr->_modify_edge(p_arr->_halfedge (e), cv);
     return e;
   }
-          
+
   /*!
    * Split a given edge into two at a given point, and associate the given
    * x-monotone curves with the split edges.
@@ -599,7 +599,7 @@ public:
    *         source of e, and whose target is the split point.
    */
   Halfedge_handle split_edge_ex(Halfedge_handle e, const Point_2& p,
-                                const X_monotone_curve_2& cv1, 
+                                const X_monotone_curve_2& cv1,
                                 const X_monotone_curve_2& cv2)
   {
     DHalfedge* he = p_arr->_split_edge (p_arr->_halfedge(e), p, cv1, cv2);
@@ -641,7 +641,7 @@ public:
   Halfedge_handle split_fictitious_edge(Halfedge_handle e, Vertex_handle v)
   {
     CGAL_precondition(e->is_fictitious());
-    DHalfedge* he =  
+    DHalfedge* he =
       p_arr->topology_traits()->split_fictitious_edge(p_arr->_halfedge(e),
                                                       p_arr->_vertex(v));
     return (p_arr->_handle_for(he));
@@ -654,7 +654,7 @@ public:
    *                      becomes isolated (true by default).
    * \param remove_target Should the target vertex of e be removed if it
    *                      becomes isolated (true by default).
-   * \pre In case the removal causes the creation of a new hole, e should 
+   * \pre In case the removal causes the creation of a new hole, e should
    *      point at this hole.
    * \return A handle for the remaining face.
    */
@@ -713,20 +713,20 @@ public:
 
   /*! Get an iterator for the first valid arrangement vertex. */
   Valid_vertex_iterator valid_vertices_begin()
-  { 
+  {
     return (Valid_vertex_iterator
             (p_arr->topology_traits()->dcel().vertices_begin(),
              p_arr->topology_traits()->dcel().vertices_end(),
-             Is_valid_vertex (p_arr->topology_traits()))); 
+             Is_valid_vertex (p_arr->topology_traits())));
   }
 
   /*! Get a past-the-end iterator for the valid arrangement vertices. */
   Valid_vertex_iterator valid_vertices_end()
-  { 
+  {
     return (Valid_vertex_iterator
             (p_arr->topology_traits()->dcel().vertices_end(),
              p_arr->topology_traits()->dcel().vertices_end(),
-             Is_valid_vertex (p_arr->topology_traits()))); 
+             Is_valid_vertex (p_arr->topology_traits())));
   }
 
   /*! Get the number of valid arrangement vertices. */
diff -pruN 5.0.2-3/include/CGAL/Arr_algebraic_segment_traits_2.h 5.0.3-1/include/CGAL/Arr_algebraic_segment_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_algebraic_segment_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_algebraic_segment_traits_2.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_algebraic_segment_traits_2.h $
-// $Id: Arr_algebraic_segment_traits_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_algebraic_segment_traits_2.h $
+// $Id: Arr_algebraic_segment_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Kerber    <mkerber@mpi-inf.mpg.de>
 //
@@ -30,26 +30,26 @@
 
 namespace CGAL {
 
-template< class Coefficient_ > 
+template< class Coefficient_ >
 class Arr_algebraic_segment_traits_2 {
-    
+
 public:
 
     enum Site_of_point {
         POINT_IN_INTERIOR = 0,
         MIN_ENDPOINT = -1,
         MAX_ENDPOINT = 1 };
-    
+
     // Template argument
-    
+
     typedef Coefficient_ Coefficient;
-    
+
     // 'derivation'
     typedef CGAL::Algebraic_kernel_d_1< Coefficient > Algebraic_kernel_d_1;
 
-    typedef CGAL::Algebraic_curve_kernel_2< Algebraic_kernel_d_1 > 
+    typedef CGAL::Algebraic_curve_kernel_2< Algebraic_kernel_d_1 >
         Algebraic_kernel_d_2;
-    
+
     typedef CGAL::Curved_kernel_via_analysis_2< Algebraic_kernel_d_2 > CKvA_2;
 
     typedef  CGAL::Arr_algebraic_segment_traits_2<Coefficient> Self;
@@ -64,18 +64,18 @@ public:
     // Assignement operator
     const Self& operator= (const Self& s)
         {return s;}
-    
+
     // public types
-    
+
     typedef typename Algebraic_kernel_d_2::Algebraic_real_1 Algebraic_real_1;
     typedef typename Algebraic_kernel_d_2::Bound Bound;
 
     typedef typename Algebraic_kernel_d_2::Polynomial_2 Polynomial_2;
 
     /// public types for ArrangementTraits_2
-    
+
     typedef typename Algebraic_kernel_d_2::Curve_analysis_2 Curve_2;
-    
+
     typedef typename CKvA_2::Arc_2 X_monotone_curve_2;
 
     typedef typename CKvA_2::Point_2 Point_2;
@@ -83,7 +83,7 @@ public:
 
     typedef typename CKvA_2::Has_left_category Has_left_category;
     typedef typename CKvA_2::Has_merge_category Has_merge_category;
-    typedef typename CKvA_2::Has_do_intersect_category 
+    typedef typename CKvA_2::Has_do_intersect_category
       Has_do_intersect_category;
 
     typedef typename CKvA_2::Left_side_category Left_side_category;
@@ -118,7 +118,7 @@ public:
         return CKvA_2::instance().parameter_space_in_y_2_object();
     }
 
-    typedef typename CKvA_2::Compare_y_near_boundary_2 
+    typedef typename CKvA_2::Compare_y_near_boundary_2
        Compare_y_near_boundary_2;
     Compare_y_near_boundary_2 compare_y_near_boundary_2_object() const {
         return CKvA_2::instance().compare_y_near_boundary_2_object();
@@ -153,7 +153,7 @@ public:
     Construct_opposite_2 construct_opposite_2_object() const {
         return CKvA_2::instance().construct_opposite_2_object();
     }
-  
+
     typedef typename CKvA_2::Is_vertical_2 Is_vertical_2;
     Is_vertical_2 is_vertical_2_object() const {
         return CKvA_2::instance().is_vertical_2_object();
@@ -173,7 +173,7 @@ public:
     Compare_y_at_x_right_2 compare_y_at_x_right_2_object() const {
         return CKvA_2::instance().compare_y_at_x_right_2_object();
     }
-    
+
     typedef typename CKvA_2::Intersect_2 Intersect_2;
     Intersect_2 intersect_2_object() const {
         return CKvA_2::instance().intersect_2_object();
@@ -211,11 +211,11 @@ public:
         return Construct_point_2(&CKvA_2::instance());
     }
 
-    
-    class Construct_x_monotone_segment_2 : public 
+
+    class Construct_x_monotone_segment_2 : public
     CGAL::internal::Curved_kernel_via_analysis_2_Functors::
     Curved_kernel_via_analysis_2_functor_base< CKvA_2 > {
-        
+
     public:
 
         typedef CGAL::internal::Curved_kernel_via_analysis_2_Functors::
@@ -232,7 +232,7 @@ public:
             branch_numbers_and_vertical(Curve_2 cv, Point_2 p) const {
 
             Equal_2 equal = this->_ckva()->equal_2_object();
-            
+
             Algebraic_real_1 x = p.x();
             int no;
             bool is_event;
@@ -257,7 +257,7 @@ public:
         // abbrevation for convenience
         bool is_one_one(Curve_2 cv, Point_2 p) const {
 
-            std::pair<std::pair<int,int>,bool> branches 
+            std::pair<std::pair<int,int>,bool> branches
                 = branch_numbers_and_vertical(cv,p);
             return branches.first.first==1 && branches.first.second==1
                 && !branches.second;
@@ -265,28 +265,28 @@ public:
         }
 
         template<typename OutputIterator> OutputIterator
-        x_monotone_segment (Curve_2 cv, 
-                            Point_2 p, 
+        x_monotone_segment (Curve_2 cv,
+                            Point_2 p,
                             boost::optional<Point_2> start,
                             boost::optional<Point_2> end,
                             OutputIterator out) const {
-            
+
             //CGAL_assertion(is_one_one(cv,p));
 
             std::list<X_monotone_curve_2> segs;
 
-            Is_on_2 on_arc 
+            Is_on_2 on_arc
                 = this->_ckva()->is_on_2_object();
-            Construct_min_vertex_2 left 
+            Construct_min_vertex_2 left
                 = this->_ckva()->construct_min_vertex_2_object();
-            Construct_max_vertex_2 right 
+            Construct_max_vertex_2 right
                 = this->_ckva()->construct_max_vertex_2_object();
             Equal_2 equal = this->_ckva()->equal_2_object();
 
             std::vector<CGAL::Object> arcs;
-            this->_ckva()->make_x_monotone_2_object() 
+            this->_ckva()->make_x_monotone_2_object()
                 (cv,std::back_inserter(arcs));
-            typename std::vector<CGAL::Object>::const_iterator 
+            typename std::vector<CGAL::Object>::const_iterator
                 it = arcs.begin(),helper;
             X_monotone_curve_2 it_seg;
             CGAL::assign(it_seg,*it);
@@ -298,10 +298,10 @@ public:
                 it++;
                 CGAL::assign(it_seg,*it);
             }
-            
+
             bool left_on_arc = start && on_arc(start.get(),it_seg);
             bool right_on_arc = end && on_arc(end.get(),it_seg);
-            
+
             if( left_on_arc && right_on_arc ) {
                 segs.push_back(it_seg.trim(start.get(),end.get()));
             }
@@ -328,14 +328,14 @@ public:
                         segs.push_back(split1);
                     }
                 }
-            } 
+            }
             if( (!left_on_arc) && (!right_on_arc)) {
                 segs.push_back(it_seg);
             }
             helper=it; // for later usage
-            
+
             if(! left_on_arc) {
-                
+
                 Point_2 point_it;
                 while(true) {
                     if(it_seg.is_finite(CGAL::ARR_MIN_END) &&
@@ -390,16 +390,16 @@ public:
                     }
                 }
             }
-                    
+
             std::copy(segs.begin(),segs.end(),out);
             return out;
-            
+
         }
 
     public:
-        
+
         template<typename OutputIterator> OutputIterator
-            operator() (Curve_2 cv, 
+            operator() (Curve_2 cv,
                         Point_2 p,
                         Site_of_point site_of_p,
                         OutputIterator out) const {
@@ -408,7 +408,7 @@ public:
             } else if(site_of_p==MIN_ENDPOINT) {
                 return x_monotone_segment(cv,
                                        p,
-                                       boost::optional<Point_2>(p), 
+                                       boost::optional<Point_2>(p),
                                        boost::none,
                                        out);
             }
@@ -416,18 +416,18 @@ public:
             return x_monotone_segment(cv,
                                    p,
                                    boost::none,
-                                   boost::optional<Point_2>(p), 
+                                   boost::optional<Point_2>(p),
                                    out);
         }
 
 
         template<typename OutputIterator> OutputIterator
-            operator() (Curve_2 cv, 
+            operator() (Curve_2 cv,
                         Point_2 end_left,
                         Point_2 end_right,
                         OutputIterator out) const {
-                    
-            
+
+
 
             CGAL_assertion((branch_numbers_and_vertical(cv,end_left).
                             first.second==1 &&
@@ -449,19 +449,19 @@ public:
                        (branch_numbers_and_vertical(cv,end_right).
                         first.first==0 &&
                         branch_numbers_and_vertical(cv,end_right).second)) {
-                        Compare_x_2 equal_x 
+                        Compare_x_2 equal_x
                             = this->_ckva()->compare_x_2_object(); )
                     CGAL_assertion(equal_x(end_left,end_right)==CGAL::EQUAL);
             CGAL_assertion_code(});
-            
-            
+
+
             if( (branch_numbers_and_vertical(cv,end_left).
                  first.second==0 &&
                  branch_numbers_and_vertical(cv,end_left).second) ||
                 (branch_numbers_and_vertical(cv,end_left).
                  first.second==1 &&
                  !branch_numbers_and_vertical(cv,end_left).second)) {
-                
+
                 return x_monotone_segment
                     (cv,
                      end_left,
@@ -479,71 +479,71 @@ public:
         }
 
         template<typename OutputIterator> OutputIterator
-	  operator() (Point_2 p, Point_2 q, OutputIterator out) {
-	  bool same_x=(this->_ckva()->compare_x_2_object()(p,q)==CGAL::EQUAL);
-	  if(same_x) {
+          operator() (Point_2 p, Point_2 q, OutputIterator out) {
+          bool same_x=(this->_ckva()->compare_x_2_object()(p,q)==CGAL::EQUAL);
+          if(same_x) {
             Algebraic_real_1 x = p.x();
             Polynomial_2 f = Polynomial_2(x.polynomial());
-            Curve_2 cv 
-	      = this->_ckva()->kernel().construct_curve_2_object() (f);
+            Curve_2 cv
+              = this->_ckva()->kernel().construct_curve_2_object() (f);
             *out++=typename CKvA_2::Arc_2(p,q,cv);
-	    return out;
-	  }
-	  Algebraic_real_1 px
-	    =this->_ckva()->kernel().compute_x_2_object()(p.xy()),
-	    py=this->_ckva()->kernel().compute_y_2_object()(p.xy()), 
-	    qx=this->_ckva()->kernel().compute_x_2_object()(q.xy()), 
-	    qy=this->_ckva()->kernel().compute_y_2_object()(q.xy());
-	  bool p_rat=px.is_rational() && py.is_rational();
-	  bool q_rat=qx.is_rational() && qy.is_rational();
-	  if(p_rat && q_rat) {
-	    typedef typename Algebraic_real_1::Rational Rational;
-	    Rational pxr=px.rational(), pyr=py.rational(),
-	      qxr=qx.rational(), qyr=qy.rational();
-	    typedef CGAL::Fraction_traits<Rational> FT;
-	    typename FT::Decompose decompose;
-	    typedef typename FT::Numerator_type Numerator;
-	    typedef typename FT::Denominator_type Denominator;
-	    Rational term_at_y=qxr-pxr, term_at_x=-qyr+pyr,
-	      term_at_1=pxr*qyr-pyr*qxr;
-	    Denominator denom_curr;
-	    Numerator term_at_y_int, term_at_x_int, term_at_1_int;
-	    decompose(term_at_y, term_at_y_int, denom_curr);
-	    term_at_x=term_at_x*denom_curr;
-	    term_at_1=term_at_1*denom_curr;
-	    decompose(term_at_x,term_at_x_int,denom_curr);
-	    term_at_y_int=term_at_y_int*denom_curr;
-	    term_at_1=term_at_1*denom_curr;
-	    decompose(term_at_1,term_at_1_int,denom_curr);
-	    term_at_y_int=term_at_y_int*denom_curr;
-	    term_at_x_int=term_at_x_int*denom_curr;
-	    typedef typename CGAL::Polynomial_traits_d<Polynomial_2>
-	      ::Coefficient_type Polynomial_1;
-	    Polynomial_2 pol(Polynomial_1(term_at_1_int,term_at_x_int),
-			     Polynomial_1(term_at_y_int));
-	    Curve_2 curve=this->_ckva()->kernel().construct_curve_2_object()
-	      (pol);
-            
-	    CGAL_assertion(this->_ckva()->is_on_2_object()(p,curve));
-	    CGAL_assertion(this->_ckva()->is_on_2_object()(q,curve));
-	    return this->operator()(curve,p,q,out);
-	  }
-	  CGAL_precondition(same_x || (p_rat && q_rat));
-	  return out;
-	}
+            return out;
+          }
+          Algebraic_real_1 px
+            =this->_ckva()->kernel().compute_x_2_object()(p.xy()),
+            py=this->_ckva()->kernel().compute_y_2_object()(p.xy()),
+            qx=this->_ckva()->kernel().compute_x_2_object()(q.xy()),
+            qy=this->_ckva()->kernel().compute_y_2_object()(q.xy());
+          bool p_rat=px.is_rational() && py.is_rational();
+          bool q_rat=qx.is_rational() && qy.is_rational();
+          if(p_rat && q_rat) {
+            typedef typename Algebraic_real_1::Rational Rational;
+            Rational pxr=px.rational(), pyr=py.rational(),
+              qxr=qx.rational(), qyr=qy.rational();
+            typedef CGAL::Fraction_traits<Rational> FT;
+            typename FT::Decompose decompose;
+            typedef typename FT::Numerator_type Numerator;
+            typedef typename FT::Denominator_type Denominator;
+            Rational term_at_y=qxr-pxr, term_at_x=-qyr+pyr,
+              term_at_1=pxr*qyr-pyr*qxr;
+            Denominator denom_curr;
+            Numerator term_at_y_int, term_at_x_int, term_at_1_int;
+            decompose(term_at_y, term_at_y_int, denom_curr);
+            term_at_x=term_at_x*denom_curr;
+            term_at_1=term_at_1*denom_curr;
+            decompose(term_at_x,term_at_x_int,denom_curr);
+            term_at_y_int=term_at_y_int*denom_curr;
+            term_at_1=term_at_1*denom_curr;
+            decompose(term_at_1,term_at_1_int,denom_curr);
+            term_at_y_int=term_at_y_int*denom_curr;
+            term_at_x_int=term_at_x_int*denom_curr;
+            typedef typename CGAL::Polynomial_traits_d<Polynomial_2>
+              ::Coefficient_type Polynomial_1;
+            Polynomial_2 pol(Polynomial_1(term_at_1_int,term_at_x_int),
+                             Polynomial_1(term_at_y_int));
+            Curve_2 curve=this->_ckva()->kernel().construct_curve_2_object()
+              (pol);
+
+            CGAL_assertion(this->_ckva()->is_on_2_object()(p,curve));
+            CGAL_assertion(this->_ckva()->is_on_2_object()(q,curve));
+            return this->operator()(curve,p,q,out);
+          }
+          CGAL_precondition(same_x || (p_rat && q_rat));
+          return out;
+        }
     };
-    
-    Construct_x_monotone_segment_2 construct_x_monotone_segment_2_object() 
+
+    Construct_x_monotone_segment_2 construct_x_monotone_segment_2_object()
         const {
         return Construct_x_monotone_segment_2(&CKvA_2::instance());
     }
 
 /*
-    
-    class Construct_vertical_segment_2 : public 
+
+    class Construct_vertical_segment_2 : public
     CGAL::internal::Curved_kernel_via_analysis_2_Functors::
     Curved_kernel_via_analysis_2_functor_base< CKvA_2 > {
-        
+
     public:
 
         typedef CGAL::internal::Curved_kernel_via_analysis_2_Functors::
@@ -557,12 +557,12 @@ public:
         X_monotone_curve_2 operator() (Point_2 p, Point_2 q) {
             Algebraic_real_1 x = p.x();
             Polynomial_2 f = Polynomial_2(x.polynomial());
-            Curve_2 cv 
+            Curve_2 cv
                 = this->_ckva()->kernel().construct_curve_2_object() (f);
             return typename CKvA_2::Arc_2(p,q,cv);
         }
 
-        
+
         template<typename OutputIterator> OutputIterator
             operator() (Point_2 p,
                         Site_of_point site_of_p) const {
@@ -577,17 +577,17 @@ public:
             }
             CGAL_assertion(site_of_p==MAX_ENDPOINT);
             return typename CKvA_2::Arc_2(p,ARR_MAX_END,cv);
-                            
+
         }
     };
 
     Construct_vertical_segment_2 construct_vertical_segment_2_object() const {
         return Construct_vertical_segment_2(&CKvA_2::instance());
     }
-  
-*/      
 
-    class Construct_curve_2 : public 
+*/
+
+    class Construct_curve_2 : public
     CGAL::internal::Curved_kernel_via_analysis_2_Functors::
     Curved_kernel_via_analysis_2_functor_base< CKvA_2 > {
 
@@ -608,44 +608,44 @@ public:
     }
 
 
-    
 
-    
+
+
 /*
 
   // additional functionality (for not introducing a "general" arc)
 
   class Connect_points_2 {
 
-    
+
     template< class OutputIterator >
-    OutputIterator operator() (Curve_2, Point_2, Point_2, ..., 
+    OutputIterator operator() (Curve_2, Point_2, Point_2, ...,
                                OutputIterator) {
 
-      
+
       while (false || true) {
         *oi++ = X_monotone_curve_2(...);
       }
-      
+
       return oi;
     }
 
     template< class OutputIterator >
     OutputIterator operator() (Curve_2, Point_2, Point_2, int, ...,
                                OutputIterator) {
-      
-      
+
+
       while (false || true) {
         *oi++ = X_monotone_curve_2(...);
       }
-      
+
       return oi;
     }
 
   };
 
 */
- 
+
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Arrangement_2/Arrangement_2_iterators.h 5.0.3-1/include/CGAL/Arrangement_2/Arrangement_2_iterators.h
--- 5.0.2-3/include/CGAL/Arrangement_2/Arrangement_2_iterators.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_2/Arrangement_2_iterators.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arrangement_2_iterators.h $
-// $Id: Arrangement_2_iterators.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arrangement_2_iterators.h $
+// $Id: Arrangement_2_iterators.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein          <wein@post.tau.ac.il>
 
@@ -38,9 +38,9 @@ public:
   // Type definitions:
   typedef Iterator_                               Iterator;
   typedef I_Dereference_iterator<Iterator_,
-				 Value_,
-				 Diff_,
-				 Category_>       Self;
+                                 Value_,
+                                 Diff_,
+                                 Category_>       Self;
 
   typedef Category_                               iterator_category;
   typedef Value_                                  value_type;
@@ -70,17 +70,17 @@ public:
   {
     return (iter == it.iter);
   }
-    
+
   bool operator!= (const Self& it) const
   {
     return (!(iter == it.iter));
   }
-    
+
   Iterator current_iterator () const
   {
     return (iter);
   }
-    
+
   pointer ptr () const
   {
     return (static_cast<value_type *> (*iter));
@@ -96,7 +96,7 @@ public:
     return (ptr());
   }
   //@}
-    
+
   /// \name Incremernt operations (forward category).
   //@{
   Self& operator++()
@@ -136,8 +136,8 @@ public:
  * class (given as CIterator_), which is supposed to be a pointer, and handle
  * it as the value-type given by Value_.
  */
-template <class CIterator_, class MIterator_, 
-	  class Value_, class Diff_, class Category_>
+template <class CIterator_, class MIterator_,
+          class Value_, class Diff_, class Category_>
 class I_Dereference_const_iterator
 {
 public:
@@ -146,10 +146,10 @@ public:
   typedef CIterator_                              Const_iterator;
   typedef MIterator_                              Mutable_iterator;
   typedef I_Dereference_const_iterator<CIterator_,
-				       MIterator_,
-				       Value_,
-				       Diff_,
-				       Category_> Self;
+                                       MIterator_,
+                                       Value_,
+                                       Diff_,
+                                       Category_> Self;
 
   typedef Category_                               iterator_category;
   typedef Value_                                  value_type;
@@ -184,17 +184,17 @@ public:
   {
     return (iter == it.iter);
   }
-    
+
   bool operator!= (const Self& it) const
   {
     return (!(iter == it.iter));
   }
-    
+
   Const_iterator current_iterator () const
   {
     return (iter);
   }
-    
+
   pointer ptr () const
   {
     return (static_cast<const value_type *> (*iter));
@@ -210,7 +210,7 @@ public:
     return (ptr());
   }
   //@}
-    
+
   /// \name Incremernt operations (forward category).
   //@{
   Self& operator++()
@@ -256,7 +256,7 @@ class I_Filtered_iterator
 public:
 
   typedef Iterator_                       Iterator;
-  typedef Filter_                         Filter; 
+  typedef Filter_                         Filter;
   typedef I_Filtered_iterator<Iterator_,
                               Filter_,
                               Value_,
@@ -274,7 +274,7 @@ protected:
   Iterator        nt;       // The internal iterator (this member should not
                             // be renamed in order to comply with the
                             // HalfedgeDS circulators that refer to it).
-  Iterator        iend;     // A past-the-end iterator.        
+  Iterator        iend;     // A past-the-end iterator.
   Filter          filt;     // The filter functor.
 
 public:
@@ -331,12 +331,12 @@ public:
   {
     return (nt == it.nt);
   }
-  
-  bool operator!= (const Self& it) const 
+
+  bool operator!= (const Self& it) const
   {
     return !(*this == it);
   }
-  
+
   bool operator< (const Self& it) const
   {
     return &(**this) < (&*it);
@@ -347,7 +347,7 @@ public:
   {
     return (*(ptr()));
   }
-  
+
   pointer operator->() const
   {
     return ptr();
@@ -363,7 +363,7 @@ public:
 
     return (*this);
   }
-   
+
   Self operator++ (int)
   {
     Self tmp = *this;
@@ -425,7 +425,7 @@ protected:
   Iterator       nt;       // The internal iterator (this member should not
                            // be renamed in order to comply with the
                            // HalfedgeDS circulators that refer to it).
-  Iterator       iend;     // A past-the-end iterator.        
+  Iterator       iend;     // A past-the-end iterator.
   Filter         filt;     // The filter functor.
 
 public:
@@ -491,12 +491,12 @@ public:
   {
     return (nt == it.nt);
   }
-  
-  bool operator!= (const Self& it) const 
+
+  bool operator!= (const Self& it) const
   {
     return !(*this == it);
   }
-  
+
   bool operator< (const Self& it) const
   {
     return &(**this) < (&*it);
@@ -507,7 +507,7 @@ public:
   {
     return (*(ptr()));
   }
-  
+
   pointer operator->() const
   {
     return ptr();
@@ -523,7 +523,7 @@ public:
 
     return (*this);
   }
-   
+
   Self operator++ (int)
   {
     Self tmp = *this;
@@ -556,11 +556,11 @@ namespace std {
 
 #if defined(BOOST_MSVC)
 #  pragma warning(push)
-#  pragma warning(disable:4099) // For VC10 it is class hash 
+#  pragma warning(disable:4099) // For VC10 it is class hash
 #endif
 
 #ifndef CGAL_CFG_NO_STD_HASH
-  
+
 template <class CIterator_, class Filter_, class MIterator_,
           class Value_, class Diff_, class Category_>
 struct hash<CGAL::I_Filtered_const_iterator<CIterator_,
diff -pruN 5.0.2-3/include/CGAL/Arrangement_2/Arrangement_on_surface_2_global.h 5.0.3-1/include/CGAL/Arrangement_2/Arrangement_on_surface_2_global.h
--- 5.0.2-3/include/CGAL/Arrangement_2/Arrangement_on_surface_2_global.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_2/Arrangement_on_surface_2_global.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arrangement_on_surface_2_global.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arrangement_on_surface_2_global.h $
 // $Id: Arrangement_on_surface_2_global.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arrangement_2/Arrangement_on_surface_2_impl.h 5.0.3-1/include/CGAL/Arrangement_2/Arrangement_on_surface_2_impl.h
--- 5.0.2-3/include/CGAL/Arrangement_2/Arrangement_on_surface_2_impl.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_2/Arrangement_on_surface_2_impl.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arrangement_on_surface_2_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arrangement_on_surface_2_impl.h $
 // $Id: Arrangement_on_surface_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arrangement_2/arrangement_type_traits.h 5.0.3-1/include/CGAL/Arrangement_2/arrangement_type_traits.h
--- 5.0.2-3/include/CGAL/Arrangement_2/arrangement_type_traits.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_2/arrangement_type_traits.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_2/arrangement_type_traits.h $
-// $Id: arrangement_type_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_2/arrangement_type_traits.h $
+// $Id: arrangement_type_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ophir Setter <ophirset@post.tau.ac.il>
 
@@ -33,18 +33,18 @@ namespace CGAL
 // the general solution that needs volunteers that wants to learn more generic
 // programming.
 // We detect "arrangements" by checking if they define types as specified and
-// functions as specified. (For example, if they contain a Geometry_traits_2 
+// functions as specified. (For example, if they contain a Geometry_traits_2
 // type.
 //
 // 1) Write a meta-function that detects whether a type T has a nested type.
 //    Consult Modern C++ Design Chapter 2.7. should look something like:
-// 
+//
 // template <class T>
 // class does_contain_Geometry_traits_2
 // {
 //   typedef char        True;
 //   class False { char dummy[2]; };
-  
+
 //   True Test(typename T::Geometry_traits_2);
 //   False Test(...);
 //   [Continue code]
@@ -54,9 +54,9 @@ namespace CGAL
 //
 // 2) Make this class a macro.
 // 3) Can you detect functions in a class T (consult boost::type_traits.
-// 4) Use boost::mpl to have is_arrangement_2 derive from the correct type 
+// 4) Use boost::mpl to have is_arrangement_2 derive from the correct type
 //    (true_type or false_type) according to the meta-functions you wrote.
-// 5) Optional: Check boost type_traits for platform-specific problems and 
+// 5) Optional: Check boost type_traits for platform-specific problems and
 //    solutions.
 
 
@@ -72,7 +72,7 @@ class Arrangement_2;
 
 // specialization
 template <class GeomTraits_, class DCEL_>
-class is_arrangement_2< 
+class is_arrangement_2<
   Arrangement_2<GeomTraits_, DCEL_>
 > : public boost::false_type
 {};
@@ -85,7 +85,7 @@ class Arrangement_on_surface_2;
 
 // specialization
 template <class GeomTraits_, class TopTraits_>
-class is_arrangement_2< 
+class is_arrangement_2<
   Arrangement_on_surface_2<GeomTraits_, TopTraits_>
 > : public boost::true_type
 {};
diff -pruN 5.0.2-3/include/CGAL/Arrangement_2/Arrangement_zone_2_impl.h 5.0.3-1/include/CGAL/Arrangement_2/Arrangement_zone_2_impl.h
--- 5.0.2-3/include/CGAL/Arrangement_2/Arrangement_zone_2_impl.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_2/Arrangement_zone_2_impl.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arrangement_zone_2_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arrangement_zone_2_impl.h $
 // $Id: Arrangement_zone_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arrangement_2/Arr_compute_zone_visitor.h 5.0.3-1/include/CGAL/Arrangement_2/Arr_compute_zone_visitor.h
--- 5.0.2-3/include/CGAL/Arrangement_2/Arr_compute_zone_visitor.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_2/Arr_compute_zone_visitor.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arr_compute_zone_visitor.h $
-// $Id: Arr_compute_zone_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arr_compute_zone_visitor.h $
+// $Id: Arr_compute_zone_visitor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ophir Setter      <ophirset@post.tau.ac.il>
 //
@@ -34,7 +34,7 @@ template <class Arrangement_, class Outp
 class Arr_compute_zone_visitor
 {
 public:
-  
+
   typedef OutputIterator_                             OutputIterator;
   typedef Arrangement_                                Arrangement_2;
 
diff -pruN 5.0.2-3/include/CGAL/Arrangement_2/Arr_default_planar_topology.h 5.0.3-1/include/CGAL/Arrangement_2/Arr_default_planar_topology.h
--- 5.0.2-3/include/CGAL/Arrangement_2/Arr_default_planar_topology.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_2/Arr_default_planar_topology.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arr_default_planar_topology.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arr_default_planar_topology.h $
 // $Id: Arr_default_planar_topology.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arrangement_2/Arr_do_intersect_zone_visitor.h 5.0.3-1/include/CGAL/Arrangement_2/Arr_do_intersect_zone_visitor.h
--- 5.0.2-3/include/CGAL/Arrangement_2/Arr_do_intersect_zone_visitor.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_2/Arr_do_intersect_zone_visitor.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arr_do_intersect_zone_visitor.h $
-// $Id: Arr_do_intersect_zone_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arr_do_intersect_zone_visitor.h $
+// $Id: Arr_do_intersect_zone_visitor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ophir Setter      <ophirset@post.tau.ac.il>
 //
@@ -84,7 +84,7 @@ public:
                          Face_handle,
                          Vertex_handle left_v, Halfedge_handle left_he,
                          Vertex_handle right_v, Halfedge_handle right_he)
-  { 
+  {
     if ((left_v == invalid_v) && (right_v == invalid_v) &&
         (left_he == invalid_he) && (right_he == invalid_he))
     {
diff -pruN 5.0.2-3/include/CGAL/Arrangement_2/Arr_on_surface_with_history_2_impl.h 5.0.3-1/include/CGAL/Arrangement_2/Arr_on_surface_with_history_2_impl.h
--- 5.0.2-3/include/CGAL/Arrangement_2/Arr_on_surface_with_history_2_impl.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_2/Arr_on_surface_with_history_2_impl.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arr_on_surface_with_history_2_impl.h $
-// $Id: Arr_on_surface_with_history_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arr_on_surface_with_history_2_impl.h $
+// $Id: Arr_on_surface_with_history_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein         <wein@post.tau.ac.il>
 //                 Efi Fogel        <efif@post.tau.ac.il>
@@ -70,7 +70,7 @@ operator=(const Self& arr)
   // Check for self-assignment.
   if (this == &arr)
     return (*this);
-  
+
   assign (arr);
   return (*this);
 }
@@ -84,15 +84,15 @@ assign(const Self& arr)
 {
   // Clear the current contents of the arrangement.
   clear();
-  
+
   // Assign the base arrangement.
   Base_arr_2::assign (arr);
-  
+
   // Create duplicates of the stored curves and map the curves of the
   // original arrangement to their corresponding duplicates.
   typedef std::map<const Curve_halfedges*, Curve_halfedges*>  Curve_map;
   typedef typename Curve_map::value_type                      Curve_map_entry;
- 
+
   Curve_map                 cv_map;
   Curve_const_iterator      ocit;
   const Curve_2            *p_cv;
@@ -102,11 +102,11 @@ assign(const Self& arr)
   {
     // Create a duplicate of the current curve.
     dup_c = m_curves_alloc.allocate (1);
-    
+
     p_cv = &(*ocit);
     std::allocator_traits<Curves_alloc>::construct(m_curves_alloc, dup_c, *p_cv);
     m_curves.push_back (*dup_c);
-    
+
     // Assign a map entry.
     cv_map.insert (Curve_map_entry (&(*ocit), dup_c));
   }
@@ -127,12 +127,12 @@ assign(const Self& arr)
   {
     e = eit;
     dup_curves.clear();
-    for (dit = e->curve().data().begin(); 
+    for (dit = e->curve().data().begin();
          dit != e->curve().data().end(); ++dit)
     {
       org_c = static_cast<Curve_halfedges*>(*dit);
       dup_c = (cv_map.find (org_c))->second;
-      
+
       dup_curves.push_back (dup_c);
       dup_c->_insert (e);
     }
@@ -165,21 +165,21 @@ void Arrangement_on_surface_with_history
   // Free all stored curves.
   Curve_iterator         cit = m_curves.begin();
   Curve_halfedges       *p_cv;
-  
+
   while (cit != m_curves.end())
   {
     p_cv = &(*cit);
     ++cit;
-    
+
     m_curves.erase (p_cv);
     std::allocator_traits<Curves_alloc>::destroy(m_curves_alloc,p_cv);
     m_curves_alloc.deallocate (p_cv, 1);
   }
   m_curves.destroy();
-  
+
   // Clear the base arrangement.
   Base_arr_2::clear();
-  
+
   return;
 }
 
@@ -193,7 +193,7 @@ split_edge(Halfedge_handle e, const Poin
 {
   // Split the curve associated with the halfedge e at the given point p.
   Data_x_curve_2       cv1, cv2;
-  
+
   this->m_geom_traits->split_2_object() (e->curve(), p,
                                        cv1, cv2);
 
@@ -219,14 +219,14 @@ typename Arrangement_on_surface_with_his
 Arrangement_on_surface_with_history_2<GeomTr,TopTr>::
 merge_edge(Halfedge_handle e1, Halfedge_handle e2)
 {
-  CGAL_precondition_msg (are_mergeable(e1, e2), 
+  CGAL_precondition_msg (are_mergeable(e1, e2),
                          "Edges are not mergeable.");
 
   // Merge the two curves.
   Data_x_curve_2       cv;
-  
+
   this->m_geom_traits->merge_2_object()(e1->curve(), e2->curve(), cv);
-  
+
   return (Base_arr_2::merge_edge (e1, e2, cv));
 }
 
@@ -245,7 +245,7 @@ bool Arrangement_on_surface_with_history
   // In order to be mergeable, the two halfedges must share a common
   // end-vertex. We assign vh to be this vertex.
   Vertex_const_handle      vh;
-  
+
   if (e1->target() == e2->source() || e1->target() == e2->target())
   {
     vh = e1->target();
@@ -262,12 +262,12 @@ bool Arrangement_on_surface_with_history
       return (false);
     }
   }
-  
+
   // If there are other edges incident to vh, it is impossible to remove it
   // and merge the two edges.
   if (vh->degree() != 2)
     return (false);
-  
+
   // Check whether the curves associated with the two edges are mergeable.
   return (this->m_geom_traits->are_mergeable_2_object()(e1->curve(),
                                                         e2->curve()));
@@ -292,7 +292,7 @@ template<class GeomTr, class TopTr>
 bool Arrangement_on_surface_with_history_2<GeomTr,TopTr>::
 _unregister_observer(Arr_observer<Self> *p_obs)
 {
-  return (Base_arr_2::_unregister_observer 
+  return (Base_arr_2::_unregister_observer
           (reinterpret_cast<Arr_observer<Base_arr_2>*>(p_obs)));
 }
 
diff -pruN 5.0.2-3/include/CGAL/Arrangement_2/Arr_traits_adaptor_2_dispatching.h 5.0.3-1/include/CGAL/Arrangement_2/Arr_traits_adaptor_2_dispatching.h
--- 5.0.2-3/include/CGAL/Arrangement_2/Arr_traits_adaptor_2_dispatching.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_2/Arr_traits_adaptor_2_dispatching.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arr_traits_adaptor_2_dispatching.h $
-// $Id: Arr_traits_adaptor_2_dispatching.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arr_traits_adaptor_2_dispatching.h $
+// $Id: Arr_traits_adaptor_2_dispatching.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s): Eric Berberich    <eric@mpi-inf.mpg.de>
 
@@ -47,26 +47,26 @@ namespace internal {
 //! struct to combine results in "or"-fashion
 template < class ArrSmallerImplementationTag, class ArrLargerImplementationTag >
 struct Or_traits {
-  
+
 public:
-  
+
   //! This instance's first template parameter
   typedef ArrSmallerImplementationTag   Arr_smaller_implementation_tag;
-  
+
   //! This instance's second template parameter
   typedef ArrLargerImplementationTag  Arr_larger_implementation_tag;
-  
-  
+
+
 private:
-  
+
   typedef boost::mpl::bool_< true > true_;
   typedef boost::mpl::bool_< false > false_;
-  
-  typedef boost::mpl::if_< 
+
+  typedef boost::mpl::if_<
        boost::is_same< Arr_smaller_implementation_tag, Arr_use_traits_tag >,
        true_, false_ > Smaller_traits;
 
-  typedef boost::mpl::if_< 
+  typedef boost::mpl::if_<
        boost::is_same< Arr_larger_implementation_tag, Arr_use_traits_tag >,
        true_, false_ > Larger_traits;
 
@@ -94,27 +94,27 @@ namespace Parameter_space_in_x_2 {
   struct Curve_end {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_end< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_end< Arr_open_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Curve_end< Arr_closed_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Curve_end< Arr_contracted_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Curve_end< Arr_identified_side_tag > {
     typedef Arr_use_traits_tag type;
@@ -126,27 +126,27 @@ namespace Parameter_space_in_x_2 {
   struct Curve {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_open_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_closed_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_contracted_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_identified_side_tag > {
     typedef Arr_use_dummy_tag type;
@@ -163,27 +163,27 @@ namespace Parameter_space_in_x_2 {
   struct Point< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point< Arr_open_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point< Arr_closed_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Point< Arr_contracted_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Point< Arr_identified_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
 } // namespace Parameter_space_in_x_2
 
 
@@ -195,27 +195,27 @@ namespace Is_on_y_identification_2 {
   struct Curve {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_open_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_closed_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_contracted_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_identified_side_tag > {
     typedef Arr_use_traits_tag type;
@@ -232,27 +232,27 @@ namespace Is_on_y_identification_2 {
   struct Point< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point< Arr_open_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point< Arr_closed_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point< Arr_contracted_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point< Arr_identified_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
 } // namespace Is_on_y_identification_2
 
 
@@ -268,22 +268,22 @@ namespace Compare_y_on_boundary_2 {
   struct Points< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Points< Arr_open_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Points< Arr_closed_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Points< Arr_contracted_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Points< Arr_identified_side_tag > {
     typedef Arr_use_traits_tag type;
@@ -300,27 +300,27 @@ namespace Compare_y_near_boundary_2 {
   struct Curve_ends {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_open_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_closed_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_contracted_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_identified_side_tag > {
     typedef Arr_use_traits_tag type;
@@ -334,33 +334,33 @@ template < class ArrLeftSideTag, class A
 struct Arr_left_right_implementation_dispatch {
 
 public:
-  
+
   //! This instance's first template parameter
   typedef ArrLeftSideTag   Left_side_category;
-  
+
   //! This instance's second template parameter
   typedef ArrRightSideTag  Right_side_category;
-  
+
 public:
-  
+
   //! tag type for Parameter_space_in_x_2 (curve-end signature)
   typedef typename internal::Or_traits<
-    typename 
+    typename
     internal::Parameter_space_in_x_2::Curve_end< Left_side_category >::type,
-    typename 
-    internal::Parameter_space_in_x_2::Curve_end< Right_side_category >::type 
+    typename
+    internal::Parameter_space_in_x_2::Curve_end< Right_side_category >::type
   >::type
   Parameter_space_in_x_2_curve_end_tag;
 
   //! tag type for Parameter_space_in_x_2 (curve signature)
   typedef typename internal::Or_traits<
-    typename 
+    typename
     internal::Parameter_space_in_x_2::Curve< Left_side_category >::type,
-    typename 
-    internal::Parameter_space_in_x_2::Curve< Right_side_category >::type 
+    typename
+    internal::Parameter_space_in_x_2::Curve< Right_side_category >::type
   >::type
   Parameter_space_in_x_2_curve_tag;
-  
+
   //! tag type for Parameter_space_in_x_2 (point signature)
   typedef typename internal::Or_traits<
     typename
@@ -371,37 +371,37 @@ public:
 
   //! tag type for Is_on_y_identification_2 (curve signature)
   typedef typename internal::Or_traits<
-    typename 
+    typename
     internal::Is_on_y_identification_2::Curve< Left_side_category >::type,
-    typename 
-    internal::Is_on_y_identification_2::Curve< Right_side_category >::type 
+    typename
+    internal::Is_on_y_identification_2::Curve< Right_side_category >::type
   >::type
   Is_on_y_identification_2_curve_tag;
 
   //! tag type for Is_on_y_identification_2 (point signature)
   typedef typename internal::Or_traits<
-    typename 
+    typename
     internal::Is_on_y_identification_2::Point< Left_side_category >::type,
-    typename 
-    internal::Is_on_y_identification_2::Point< Right_side_category >::type 
+    typename
+    internal::Is_on_y_identification_2::Point< Right_side_category >::type
   >::type
   Is_on_y_identification_2_point_tag;
 
   //! tag type for Compare_y_on_boundary_2 (points signature)
   typedef typename internal::Or_traits<
-    typename 
+    typename
     internal::Compare_y_on_boundary_2::Points< Left_side_category >::type,
-    typename 
-    internal::Compare_y_on_boundary_2::Points< Right_side_category >::type 
+    typename
+    internal::Compare_y_on_boundary_2::Points< Right_side_category >::type
   >::type
   Compare_y_on_boundary_2_points_tag;
 
   //! tag type for Compare_y_near_boundary_2 (curve-ends signature)
   typedef typename internal::Or_traits<
-    typename 
+    typename
     internal::Compare_y_near_boundary_2::Curve_ends< Left_side_category >::type,
-    typename 
-    internal::Compare_y_near_boundary_2::Curve_ends< Right_side_category >::type 
+    typename
+    internal::Compare_y_near_boundary_2::Curve_ends< Right_side_category >::type
   >::type
   Compare_y_near_boundary_2_curve_ends_tag;
 
@@ -420,27 +420,27 @@ namespace Parameter_space_in_y_2 {
   struct Curve_end {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_end< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_end< Arr_open_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Curve_end< Arr_closed_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Curve_end< Arr_contracted_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Curve_end< Arr_identified_side_tag > {
     typedef Arr_use_traits_tag type;
@@ -452,27 +452,27 @@ namespace Parameter_space_in_y_2 {
   struct Curve {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_open_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_closed_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_contracted_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_identified_side_tag > {
     typedef Arr_use_dummy_tag type;
@@ -489,27 +489,27 @@ namespace Parameter_space_in_y_2 {
   struct Point< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point< Arr_open_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point< Arr_closed_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Point< Arr_contracted_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Point< Arr_identified_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
 } // namespace Parameter_space_in_y_2
 
 
@@ -521,27 +521,27 @@ namespace Is_on_x_identification_2 {
   struct Curve {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_open_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_closed_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_contracted_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve< Arr_identified_side_tag > {
     typedef Arr_use_traits_tag type;
@@ -558,27 +558,27 @@ namespace Is_on_x_identification_2 {
   struct Point< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point< Arr_open_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point< Arr_closed_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point< Arr_contracted_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point< Arr_identified_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
 } // namespace Is_on_x_identification_2
 
 
@@ -590,27 +590,27 @@ namespace Compare_x_at_limit_2 {
   struct Point_curve_end {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point_curve_end< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point_curve_end< Arr_open_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Point_curve_end< Arr_closed_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point_curve_end< Arr_contracted_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point_curve_end< Arr_identified_side_tag > {
     typedef Arr_use_dummy_tag type;
@@ -622,7 +622,7 @@ namespace Compare_x_at_limit_2 {
   struct Curve_ends {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
@@ -632,17 +632,17 @@ namespace Compare_x_at_limit_2 {
   struct Curve_ends< Arr_open_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_closed_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_contracted_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_identified_side_tag > {
     typedef Arr_use_dummy_tag type;
@@ -658,27 +658,27 @@ namespace Compare_x_near_limit_2 {
   struct Curve_ends {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_open_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_closed_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_contracted_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_identified_side_tag > {
     typedef Arr_use_dummy_tag type;
@@ -699,22 +699,22 @@ namespace Compare_x_on_boundary_2 {
   struct Points< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Points< Arr_open_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Points< Arr_closed_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Points< Arr_contracted_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Points< Arr_identified_side_tag > {
     typedef Arr_use_traits_tag type;
@@ -726,27 +726,27 @@ namespace Compare_x_on_boundary_2 {
   struct Point_curve_end {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point_curve_end< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point_curve_end< Arr_open_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point_curve_end< Arr_closed_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Point_curve_end< Arr_contracted_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Point_curve_end< Arr_identified_side_tag > {
     typedef Arr_use_dummy_tag type;
@@ -758,7 +758,7 @@ namespace Compare_x_on_boundary_2 {
   struct Curve_ends {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
@@ -768,22 +768,22 @@ namespace Compare_x_on_boundary_2 {
   struct Curve_ends< Arr_open_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_closed_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_contracted_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_identified_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
 } // namespace Compare_x_on_boundary_2
 
 
@@ -795,27 +795,27 @@ namespace Compare_x_near_boundary_2 {
   struct Curve_ends {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_oblivious_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_open_side_tag > {
     typedef Arr_use_dummy_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_closed_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_contracted_side_tag > {
     typedef Arr_use_traits_tag type;
   };
-  
+
   template <>
   struct Curve_ends< Arr_identified_side_tag > {
     typedef Arr_use_traits_tag type;
@@ -829,33 +829,33 @@ template < class ArrBottomSideTag, class
 struct Arr_bottom_top_implementation_dispatch {
 
 public:
-  
+
   //! This instance's first template parameter
   typedef ArrBottomSideTag   Bottom_side_category;
-  
+
   //! This instance's second template parameter
   typedef ArrTopSideTag  Top_side_category;
-  
+
 public:
 
   //! tag type for Parameter_space_in_y_2 (curve-end signature)
   typedef typename internal::Or_traits<
-    typename 
+    typename
     internal::Parameter_space_in_y_2::Curve_end< Bottom_side_category >::type,
-    typename 
-    internal::Parameter_space_in_y_2::Curve_end< Top_side_category >::type 
+    typename
+    internal::Parameter_space_in_y_2::Curve_end< Top_side_category >::type
   >::type
   Parameter_space_in_y_2_curve_end_tag;
 
   //! tag type for Parameter_space_in_y_2 (curve signature)
   typedef typename internal::Or_traits<
-    typename 
+    typename
     internal::Parameter_space_in_y_2::Curve< Bottom_side_category >::type,
-    typename 
-    internal::Parameter_space_in_y_2::Curve< Top_side_category >::type 
+    typename
+    internal::Parameter_space_in_y_2::Curve< Top_side_category >::type
   >::type
   Parameter_space_in_y_2_curve_tag;
-  
+
   //! tag type for Parameter_space_in_y_2 (point signature)
   typedef typename internal::Or_traits<
     typename
@@ -863,87 +863,87 @@ public:
     typename
     internal::Parameter_space_in_y_2::Point< Top_side_category >::type >::type
   Parameter_space_in_y_2_point_tag;
-  
+
   //! tag type for Is_on_x_identification_2 (curve signature)
   typedef typename internal::Or_traits<
-    typename 
+    typename
     internal::Is_on_x_identification_2::Curve< Bottom_side_category >::type,
-    typename 
-    internal::Is_on_x_identification_2::Curve< Top_side_category >::type 
+    typename
+    internal::Is_on_x_identification_2::Curve< Top_side_category >::type
   >::type
   Is_on_x_identification_2_curve_tag;
 
   //! tag type for Is_on_x_identification_2 (point signature)
   typedef typename internal::Or_traits<
-    typename 
+    typename
     internal::Is_on_x_identification_2::Point< Bottom_side_category >::type,
-    typename 
-    internal::Is_on_x_identification_2::Point< Top_side_category >::type 
+    typename
+    internal::Is_on_x_identification_2::Point< Top_side_category >::type
   >::type
   Is_on_x_identification_2_point_tag;
 
   //! tag type for Compare_x_at_limit_2 (point-curve-end signature)
   typedef typename internal::Or_traits<
-    typename 
+    typename
     internal::Compare_x_at_limit_2::Point_curve_end< Bottom_side_category >
     ::type,
-    typename 
-    internal::Compare_x_at_limit_2::Point_curve_end< Top_side_category >::type 
+    typename
+    internal::Compare_x_at_limit_2::Point_curve_end< Top_side_category >::type
   >::type
   Compare_x_at_limit_2_point_curve_end_tag;
 
   //! tag type for Compare_x_at_limit_2 (curve-ends signature)
   typedef typename internal::Or_traits<
-    typename 
+    typename
     internal::Compare_x_at_limit_2::Curve_ends< Bottom_side_category >::type,
-    typename 
-    internal::Compare_x_at_limit_2::Curve_ends< Top_side_category >::type 
+    typename
+    internal::Compare_x_at_limit_2::Curve_ends< Top_side_category >::type
   >::type
   Compare_x_at_limit_2_curve_ends_tag;
 
   //! tag type for Compare_x_near_limit_boundary_2 (curve-ends signature)
   typedef typename internal::Or_traits<
-    typename 
+    typename
     internal::Compare_x_near_limit_2::Curve_ends< Bottom_side_category >
     ::type,
-    typename 
-    internal::Compare_x_near_limit_2::Curve_ends< Top_side_category >::type 
+    typename
+    internal::Compare_x_near_limit_2::Curve_ends< Top_side_category >::type
   >::type
   Compare_x_near_limit_2_curve_ends_tag;
 
   //! tag type for Compare_x_on_boundary_2 (points signature)
   typedef typename internal::Or_traits<
-    typename 
+    typename
     internal::Compare_x_on_boundary_2::Points< Bottom_side_category >::type,
-    typename 
-    internal::Compare_x_on_boundary_2::Points< Top_side_category >::type 
+    typename
+    internal::Compare_x_on_boundary_2::Points< Top_side_category >::type
   >::type
   Compare_x_on_boundary_2_points_tag;
 
   //! tag type for Compare_x_on_boundary_2 (point_curve-end signature)
   typedef typename internal::Or_traits<
-    typename 
+    typename
     internal::Compare_x_on_boundary_2::Point_curve_end< Bottom_side_category >::type,
-    typename 
-    internal::Compare_x_on_boundary_2::Point_curve_end< Top_side_category >::type 
+    typename
+    internal::Compare_x_on_boundary_2::Point_curve_end< Top_side_category >::type
   >::type
   Compare_x_on_boundary_2_point_curve_end_tag;
 
   //! tag type for Compare_x_on_boundary_2 (curve-ends signature)
   typedef typename internal::Or_traits<
-    typename 
+    typename
     internal::Compare_x_on_boundary_2::Curve_ends< Bottom_side_category >::type,
-    typename 
-    internal::Compare_x_on_boundary_2::Curve_ends< Top_side_category >::type 
+    typename
+    internal::Compare_x_on_boundary_2::Curve_ends< Top_side_category >::type
   >::type
   Compare_x_on_boundary_2_curve_ends_tag;
-  
+
   //! tag type for Compare_x_near_boundary_2 (curve-ends signature)
   typedef typename internal::Or_traits<
-    typename 
+    typename
     internal::Compare_x_near_boundary_2::Curve_ends< Bottom_side_category >::type,
-    typename 
-    internal::Compare_x_near_boundary_2::Curve_ends< Top_side_category >::type 
+    typename
+    internal::Compare_x_near_boundary_2::Curve_ends< Top_side_category >::type
   >::type
   Compare_x_near_boundary_2_curve_ends_tag;
 
diff -pruN 5.0.2-3/include/CGAL/Arrangement_2/Arr_traits_adaptor_2.h 5.0.3-1/include/CGAL/Arrangement_2/Arr_traits_adaptor_2.h
--- 5.0.2-3/include/CGAL/Arrangement_2/Arr_traits_adaptor_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_2/Arr_traits_adaptor_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arr_traits_adaptor_2.h $
-// $Id: Arr_traits_adaptor_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arr_traits_adaptor_2.h $
+// $Id: Arr_traits_adaptor_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 // $Date$
 //
@@ -1389,34 +1389,34 @@ public:
 
       // now we are in the open case: ARR_MIN_END > vertical > ARR_MAX_END
       if (vert1) {
-	if (!vert2) {
-	  res = ((ce2 == CGAL::ARR_MIN_END) ? CGAL::SMALLER : CGAL::LARGER);
-	  return res;
-	}
-	// both are vertical
-	if (loc1 == loc2) { // both ends converge to the same infinity
-	  res = CGAL::EQUAL;
-	  return res;
-	}
-	res = (loc1 == CGAL::ARR_BOTTOM_BOUNDARY ?
+        if (!vert2) {
+          res = ((ce2 == CGAL::ARR_MIN_END) ? CGAL::SMALLER : CGAL::LARGER);
+          return res;
+        }
+        // both are vertical
+        if (loc1 == loc2) { // both ends converge to the same infinity
+          res = CGAL::EQUAL;
+          return res;
+        }
+        res = (loc1 == CGAL::ARR_BOTTOM_BOUNDARY ?
                CGAL::SMALLER : CGAL::LARGER);
-	return res;
+        return res;
       }
 
       if (vert2) {
-	res = ((ce1 == CGAL::ARR_MIN_END) ? CGAL::LARGER : CGAL::SMALLER);
-	return res;
+        res = ((ce1 == CGAL::ARR_MIN_END) ? CGAL::LARGER : CGAL::SMALLER);
+        return res;
       }
 
       // otherwise: both ends have asymptotic behaviour
       if (ce1 == ce2) { // both ends approach asymptote from one side
-	if (loc1 == loc2) { // need special y-comparison
-	  res = m_self->compare_x_near_limit_2_object()(xcv1, xcv2, ce2);
-	  return res;
-	}
-	// else: order can be determined without y-comparison
-	res = CGAL::EQUAL;
-	return res;
+        if (loc1 == loc2) { // need special y-comparison
+          res = m_self->compare_x_near_limit_2_object()(xcv1, xcv2, ce2);
+          return res;
+        }
+        // else: order can be determined without y-comparison
+        res = CGAL::EQUAL;
+        return res;
       }
       // curve ends approach vertical asymptote (or singularity) from
       // different sides => no comparisons required
@@ -2158,9 +2158,9 @@ public:
 
       // Case 4: xcv1 is defined to the right of p, and xcv2 to its left.
       if (xcv_to_right) {
-	res1 = compare_y_at_x_right(xcv1, xcv, p);
-	if (res1 == EQUAL) xcv_equal_xcv1 = true;
-	return (res1  == LARGER);
+        res1 = compare_y_at_x_right(xcv1, xcv, p);
+        if (res1 == EQUAL) xcv_equal_xcv1 = true;
+        return (res1  == LARGER);
       }
 
       res2 = compare_y_at_x_left(xcv2, xcv, p);
diff -pruN 5.0.2-3/include/CGAL/Arrangement_2/Arr_with_history_accessor.h 5.0.3-1/include/CGAL/Arrangement_2/Arr_with_history_accessor.h
--- 5.0.2-3/include/CGAL/Arrangement_2/Arr_with_history_accessor.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_2/Arr_with_history_accessor.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arr_with_history_accessor.h $
-// $Id: Arr_with_history_accessor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_2/Arr_with_history_accessor.h $
+// $Id: Arr_with_history_accessor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein          <wein@post.tau.ac.il>
 
@@ -120,12 +120,12 @@ public:
   {
     // Allocate an extended curve (with an initially empty set of edges)
     // and store it in the curves' list.
-    typename Arrangement_with_history_2::Curve_halfedges  *p_cv = 
+    typename Arrangement_with_history_2::Curve_halfedges  *p_cv =
                                            p_arr->m_curves_alloc.allocate (1);
     typedef decltype(p_arr->m_curves_alloc) M_Curves_alloc;
     std::allocator_traits<M_Curves_alloc>::construct(p_arr->m_curves_alloc, p_cv, cv);
     p_arr->m_curves.push_back (*p_cv);
-    
+
     // Return a handle to the inserted curve (the last in the list).
     Curve_handle       ch = p_arr->m_curves.end();
     return (--ch);
@@ -142,9 +142,9 @@ public:
     typename Arrangement_with_history_2::Curve_halfedges&  cv = *ch;
     cv._insert (he);
 
-    // Add the curve to the set of he's inducing curves. 
+    // Add the curve to the set of he's inducing curves.
     he->curve().data().insert (&cv);
-  
+
     return;
   }
 
diff -pruN 5.0.2-3/include/CGAL/Arrangement_2/graph_traits_dual.h 5.0.3-1/include/CGAL/Arrangement_2/graph_traits_dual.h
--- 5.0.2-3/include/CGAL/Arrangement_2/graph_traits_dual.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_2/graph_traits_dual.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_2/graph_traits_dual.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_2/graph_traits_dual.h $
 // $Id: graph_traits_dual.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arrangement_2.h 5.0.3-1/include/CGAL/Arrangement_2.h
--- 5.0.2-3/include/CGAL/Arrangement_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_2.h $
-// $Id: Arrangement_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_2.h $
+// $Id: Arrangement_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s): Ron Wein          <wein@post.tau.ac.il>
 //            Efi Fogel         <efif@post.tau.ac.il>
@@ -30,15 +30,15 @@ namespace CGAL {
 
 /*! \class Arrangement_2
  * The arrangement class, representing planar subdivisions induced by
- * a set of arbitrary planar curves. 
+ * a set of arbitrary planar curves.
  * The GeomTraits parameter corresponds to a geometry-traits class that
  * defines the Point_2 and X_monotone_curve_2 types and implements the
  * geometric predicates and constructions for the family of curves it defines.
  * The Dcel parameter should be a model of the ArrDcel concept and support
  * the basic topological operations on a doubly-connected edge-list.
  */
-template <class GeomTraits_, 
-          class Dcel_ = Arr_default_dcel<GeomTraits_> > 
+template <class GeomTraits_,
+          class Dcel_ = Arr_default_dcel<GeomTraits_> >
 class Arrangement_2 :
   public Arrangement_on_surface_2
     <GeomTraits_, typename Default_planar_topology<GeomTraits_, Dcel_>::Traits>
@@ -60,7 +60,7 @@ public:
 
   typedef typename Base::Point_2                          Point_2;
   typedef typename Base::X_monotone_curve_2               X_monotone_curve_2;
-  
+
   typedef typename Default_topology::Traits               Topology_traits;
 
   // Type definitions.
@@ -71,7 +71,7 @@ public:
 
   typedef typename Base::Vertex_iterator          Vertex_iterator;
   typedef typename Base::Vertex_const_iterator    Vertex_const_iterator;
-  
+
   typedef typename Base::Halfedge_iterator        Halfedge_iterator;
   typedef typename Base::Halfedge_const_iterator  Halfedge_const_iterator;
 
@@ -80,8 +80,8 @@ public:
 
   typedef typename Base::Face_iterator            Face_iterator;
   typedef typename Base::Face_const_iterator      Face_const_iterator;
-  
-  typedef typename Base::Halfedge_around_vertex_circulator 
+
+  typedef typename Base::Halfedge_around_vertex_circulator
     Halfedge_around_vertex_circulator;
   typedef typename Base::Halfedge_around_vertex_const_circulator
     Halfedge_around_vertex_const_circulator;
@@ -89,7 +89,7 @@ public:
   typedef typename Base::Ccb_halfedge_circulator   Ccb_halfedge_circulator;
   typedef typename Base::Ccb_halfedge_const_circulator
     Ccb_halfedge_const_circulator;
-  
+
   typedef typename Base::Outer_ccb_iterator        Outer_ccb_iterator;
   typedef typename Base::Outer_ccb_const_iterator  Outer_ccb_const_iterator;
 
@@ -202,7 +202,7 @@ public:
     // hole inside it. We return a handle to one of its neighboring faces,
     // which is necessarily unbounded.
     const typename Base::DFace      *un_face =
-                                   this->topology_traits()->initial_face(); 
+                                   this->topology_traits()->initial_face();
 
     if (! un_face->is_fictitious())
       return (Face_const_handle (un_face));
@@ -210,7 +210,7 @@ public:
     const typename Base::DHalfedge  *p_he = *(un_face->inner_ccbs_begin());
     const typename Base::DHalfedge  *p_opp = p_he->opposite();
     const typename Base::DOuter_ccb *p_oc = p_opp->outer_ccb();
-    
+
     return (Face_const_handle (p_oc->face()));
   }
 
diff -pruN 5.0.2-3/include/CGAL/Arrangement_on_surface_2.h 5.0.3-1/include/CGAL/Arrangement_on_surface_2.h
--- 5.0.2-3/include/CGAL/Arrangement_on_surface_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_on_surface_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_on_surface_2.h $
-// $Id: Arrangement_on_surface_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_on_surface_2.h $
+// $Id: Arrangement_on_surface_2.h bf88dfc 2020-07-03T16:20:22+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -308,6 +308,10 @@ public:
       Base(iter, iend, pred)
     {}
 
+    Edge_iterator(const Base& base) :
+      Base(base)
+    {}
+
     // Casting to a halfedge iterator.
     operator Halfedge_iterator() const
     {
@@ -342,6 +346,10 @@ public:
       Base(iter, iend, pred)
     {}
 
+    Edge_const_iterator(const Base& base) :
+      Base(base)
+    {}
+
     // Casting to a halfedge iterator.
     operator Halfedge_const_iterator() const
     {
@@ -432,6 +440,10 @@ public:
       Base(iter, iend, is_unbounded)
     {}
 
+    Unbounded_face_const_iterator(const Base& base) :
+      Base(base)
+    {}
+
     // Casting to a face iterator.
     operator Face_const_iterator() const
     {
diff -pruN 5.0.2-3/include/CGAL/Arrangement_on_surface_with_history_2.h 5.0.3-1/include/CGAL/Arrangement_on_surface_with_history_2.h
--- 5.0.2-3/include/CGAL/Arrangement_on_surface_with_history_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_on_surface_with_history_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_on_surface_with_history_2.h $
-// $Id: Arrangement_on_surface_with_history_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_on_surface_with_history_2.h $
+// $Id: Arrangement_on_surface_with_history_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein         <wein@post.tau.ac.il>
 //                 Efi Fogel        <efif@post.tau.ac.il>
@@ -41,16 +41,16 @@ namespace CGAL {
  * with the arrangement edges.
  * The Arrangement_on_surface_with_history_2 class enables tracking the input
  * curve(s) that originated each such subcurve. It also enables keeping track
- * of the edges that resulted from each input curve. 
+ * of the edges that resulted from each input curve.
  * The Traits parameter corresponds to a traits class that defines the
  * Point_2, X_monotone_curve_2 and Curve_2 types and implements the geometric
  * predicates and constructions for the family of curves it defines.
  * The Dcel parameter should be a model of the ArrDcel concept and support
  * the basic topological operations on a doubly-connected edge-list.
  */
-template <class GeomTraits_, class TopTraits_> 
+template <class GeomTraits_, class TopTraits_>
 class Arrangement_on_surface_with_history_2 :
-  public Arrangement_on_surface_2 
+  public Arrangement_on_surface_2
   <Arr_consolidated_curve_data_traits_2
      <GeomTraits_, typename GeomTraits_::Curve_2 *>,
    typename TopTraits_::template rebind
@@ -91,11 +91,11 @@ protected:
 
   // Rebind the DCEL and the topology traits to the data-traits class.
   typedef typename Base_topology_traits::Dcel        Base_dcel;
-  typedef typename Base_dcel::template 
+  typedef typename Base_dcel::template
                  rebind<Data_traits_2>               Dcel_rebind;
   typedef typename Dcel_rebind::other                Data_dcel;
 
-  typedef typename Base_topology_traits::template 
+  typedef typename Base_topology_traits::template
                  rebind<Data_traits_2, Data_dcel>    Top_traits_rebind;
   typedef typename Top_traits_rebind::other          Data_top_traits;
 
@@ -106,7 +106,7 @@ protected:
 
 public:
   typedef Arr_traits_adaptor_2<Data_traits_2>          Traits_adaptor_2;
- 
+
 public:
 
   typedef Data_top_traits                              Topology_traits;
@@ -129,17 +129,17 @@ public:
   typedef typename Base_arr_2::Face_const_iterator     Face_const_iterator;
   typedef typename Base_arr_2::Halfedge_around_vertex_circulator
                                       Halfedge_around_vertex_circulator;
-  typedef typename Base_arr_2::Halfedge_around_vertex_const_circulator 
+  typedef typename Base_arr_2::Halfedge_around_vertex_const_circulator
                                       Halfedge_around_vertex_const_circulator;
   typedef typename Base_arr_2::Ccb_halfedge_circulator
                                       Ccb_halfedge_circulator;
   typedef typename Base_arr_2::Ccb_halfedge_const_circulator
                                       Ccb_halfedge_const_circulator;
-  typedef typename Base_arr_2::Outer_ccb_iterator       
+  typedef typename Base_arr_2::Outer_ccb_iterator
                                       Outer_ccb_iterator;
   typedef typename Base_arr_2::Outer_ccb_const_iterator
                                       Outer_ccb_const_iterator;
-  typedef typename Base_arr_2::Inner_ccb_iterator       
+  typedef typename Base_arr_2::Inner_ccb_iterator
                                       Inner_ccb_iterator;
   typedef typename Base_arr_2::Inner_ccb_const_iterator
                                       Inner_ccb_const_iterator;
@@ -156,7 +156,7 @@ public:
   typedef typename Base_arr_2::Face_const_handle       Face_const_handle;
 
 protected:
- 
+
   /*! \struct
    * Less functor for comparing two halfedge handles.
    */
@@ -222,7 +222,7 @@ protected:
     {
       return m_halfedges.begin();
     }
-    
+
     /*! Get a past-the-end iterator for the set edges (const version). */
     const_iterator _end () const
     {
@@ -242,14 +242,14 @@ protected:
       CGAL_assertion(res.second);
       return (res.first);
     }
-    
+
     /*! Erase an edge, given by its position, from the set. */
     void _erase(iterator pos)
     {
       m_halfedges.erase(pos);
       return;
     }
-    
+
     /*! Erase an edge from the set. */
     void _erase (Halfedge_handle he)
     {
@@ -311,7 +311,7 @@ protected:
     {
       _register_edge(e);
     }
-    
+
     /*!
      * Notification before the splitting of an edge into two.
      * \param e A handle to one of the existing halfedges.
@@ -319,7 +319,7 @@ protected:
      * \param c2 The x-monotone curve to be associated with the second edge.
      */
     virtual void before_split_edge (Halfedge_handle e,
-				    Vertex_handle /* v */,
+                                    Vertex_handle /* v */,
                                     const X_monotone_curve_2& /* c1 */,
                                     const X_monotone_curve_2& /* c2 */)
     {
@@ -369,7 +369,7 @@ protected:
     }
 
   private:
-    
+
     /*!
      * Register the given halfedge in the set(s) associated with its curve.
      */
@@ -405,7 +405,7 @@ protected:
   Curves_alloc              m_curves_alloc;
   Curve_halfedges_list      m_curves;
   Curve_halfedges_observer  m_observer;
-  
+
 public:
 
   typedef typename Curve_halfedges_list::iterator        Curve_iterator;
@@ -458,7 +458,7 @@ public:
   {
     return (&(this->m_topol_traits));
   }
-  
+
   /*! Access the topology-traits object (const version). */
   inline const Topology_traits* topology_traits () const
   {
@@ -493,7 +493,7 @@ public:
                                                                           Base;
 
   public:
- 
+
     Originating_curve_iterator () {}
 
     Originating_curve_iterator (Data_iterator iter) : Base (iter) {}
@@ -507,10 +507,10 @@ public:
 
     operator Curve_const_iterator () const
     {
-      const Curve_halfedges   
+      const Curve_halfedges
                         *p_cv = static_cast<Curve_halfedges*>(this->ptr());
       return (Curve_const_iterator  (p_cv));
-    }    
+    }
   };
 
   /// \name Traversal of the origin curves of an edge.
@@ -626,7 +626,7 @@ protected:
     Base_arr_2&        base_arr = *this;
 
     CGAL::insert (base_arr, data_curve, pl);
-    
+
     // Return a handle to the inserted curve (the last in the list).
     Curve_handle       ch = m_curves.end();
     return (--ch);
@@ -643,7 +643,7 @@ protected:
     // Allocate an extended curve (with an initially empty set of edges)
     // and store it in the curves' list.
     Curve_halfedges   *p_cv = m_curves_alloc.allocate (1);
-    
+
     std::allocator_traits<Curves_alloc>::construct(m_curves_alloc, p_cv, cv);
     m_curves.push_back (*p_cv);
 
@@ -655,12 +655,12 @@ protected:
     Base_arr_2&        base_arr = *this;
 
     CGAL::insert (base_arr, data_curve);
-    
+
     // Return a handle to the inserted curve (the last in the list).
     Curve_handle       ch = m_curves.end();
     return (--ch);
   }
-  
+
   /*!
    * Insert a range of curves into the arrangement.
    * \param begin An iterator pointing to the first curve in the range.
@@ -674,7 +674,7 @@ protected:
 
     while (begin != end) {
       Curve_halfedges   *p_cv = m_curves_alloc.allocate (1);
-    
+
       std::allocator_traits<Curves_alloc>::construct(m_curves_alloc, p_cv, *begin);
       m_curves.push_back (*p_cv);
 
@@ -696,7 +696,7 @@ protected:
   Size _remove_curve (Curve_handle ch)
   {
     // Go over all edges the given curve induces.
-    Curve_halfedges                           *p_cv = &(*ch); 
+    Curve_halfedges                           *p_cv = &(*ch);
     typename Curve_halfedges::const_iterator   it = ch->_begin();
     Halfedge_handle                            he;
     Size                                       n_removed = 0;
@@ -784,9 +784,9 @@ public:
     for (ocit1 = arr1.curves_begin(); ocit1 != arr1.curves_end(); ++ocit1) {
       // Create a duplicate of the current curve.
       dup_c = m_curves_alloc.allocate (1);
-    
+
       p_cv = &(*ocit1);
-      
+
       std::allocator_traits<Curves_alloc>::construct(m_curves_alloc, dup_c, *p_cv);
       m_curves.push_back (*dup_c);
 
@@ -800,7 +800,7 @@ public:
     for (ocit2 = arr2.curves_begin(); ocit2 != arr2.curves_end(); ++ocit2) {
       // Create a duplicate of the current curve.
       dup_c = m_curves_alloc.allocate (1);
-    
+
       p_cv = &(*ocit2);
       std::allocator_traits<Curves_alloc>::construct(m_curves_alloc, dup_c, *p_cv);
       m_curves.push_back (*dup_c);
@@ -899,8 +899,8 @@ insert (Arrangement_on_surface_with_hist
 
 
 /*!
- * Insert a range of curves into the arrangement (aggregated insertion). 
- * The inserted curves may intersect one another and may also intersect the 
+ * Insert a range of curves into the arrangement (aggregated insertion).
+ * The inserted curves may intersect one another and may also intersect the
  * existing arrangement.
  * \param arr The arrangement-with-history object.
  * \param begin An iterator for the first curve in the range.
diff -pruN 5.0.2-3/include/CGAL/Arrangement_with_history_2.h 5.0.3-1/include/CGAL/Arrangement_with_history_2.h
--- 5.0.2-3/include/CGAL/Arrangement_with_history_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_with_history_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_with_history_2.h $
-// $Id: Arrangement_with_history_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_with_history_2.h $
+// $Id: Arrangement_with_history_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s): Ron Wein          <wein@post.tau.ac.il>
 
@@ -28,15 +28,15 @@ namespace CGAL {
 
 /*! \class Arrangement_on_history_2
  * The arrangement with history class, representing planar subdivisions
- * induced by a set of arbitrary planar curves and storing the curve history. 
+ * induced by a set of arbitrary planar curves and storing the curve history.
  * The GeomTraits parameter corresponds to a geometry-traits class that
  * defines the Point_2 and X_monotone_curve_2 types and implements the
  * geometric predicates and constructions for the family of curves it defines.
  * The Dcel parameter should be a model of the ArrDcel concept and support
  * the basic topological operations on a doubly-connected edge-list.
  */
-template <class GeomTraits_, 
-          class Dcel_ = Arr_default_dcel<GeomTraits_> > 
+template <class GeomTraits_,
+          class Dcel_ = Arr_default_dcel<GeomTraits_> >
 class Arrangement_with_history_2 :
   public Arrangement_on_surface_with_history_2
     <GeomTraits_,
@@ -51,11 +51,11 @@ private:
 public:
   typedef GeomTraits_                                     Geometry_traits_2;
   typedef Dcel_                                           Dcel;
-  
+
   typedef typename Base::Point_2                          Point_2;
   typedef typename Base::X_monotone_curve_2               X_monotone_curve_2;
   typedef typename Base::Curve_2                          Curve_2;
-  
+
   typedef typename Base::Topology_traits                  Topology_traits;
 
   // Type definitions.
@@ -66,7 +66,7 @@ public:
 
   typedef typename Base::Vertex_iterator          Vertex_iterator;
   typedef typename Base::Vertex_const_iterator    Vertex_const_iterator;
-  
+
   typedef typename Base::Halfedge_iterator        Halfedge_iterator;
   typedef typename Base::Halfedge_const_iterator  Halfedge_const_iterator;
 
@@ -75,8 +75,8 @@ public:
 
   typedef typename Base::Face_iterator            Face_iterator;
   typedef typename Base::Face_const_iterator      Face_const_iterator;
-  
-  typedef typename Base::Halfedge_around_vertex_circulator 
+
+  typedef typename Base::Halfedge_around_vertex_circulator
                                      Halfedge_around_vertex_circulator;
   typedef typename Base::Halfedge_around_vertex_const_circulator
                                      Halfedge_around_vertex_const_circulator;
@@ -84,7 +84,7 @@ public:
   typedef typename Base::Ccb_halfedge_circulator   Ccb_halfedge_circulator;
   typedef typename Base::Ccb_halfedge_const_circulator
                                              Ccb_halfedge_const_circulator;
-  
+
   typedef typename Base::Outer_ccb_iterator        Outer_ccb_iterator;
   typedef typename Base::Outer_ccb_const_iterator  Outer_ccb_const_iterator;
 
@@ -222,7 +222,7 @@ public:
     // hole inside it. We return a handle to one of its neighboring faces,
     // which is necessarily unbounded.
     const typename Base::DFace      *un_face =
-                                   this->topology_traits()->initial_face(); 
+                                   this->topology_traits()->initial_face();
 
     if (! un_face->is_fictitious())
       return (Face_const_handle (un_face));
@@ -230,7 +230,7 @@ public:
     const typename Base::DHalfedge  *p_he = *(un_face->inner_ccbs_begin());
     const typename Base::DHalfedge  *p_opp = p_he->opposite();
     const typename Base::DOuter_ccb *p_oc = p_opp->outer_ccb();
-    
+
     return (Face_const_handle (p_oc->face()));
   }
   //@}
diff -pruN 5.0.2-3/include/CGAL/Arrangement_zone_2.h 5.0.3-1/include/CGAL/Arrangement_zone_2.h
--- 5.0.2-3/include/CGAL/Arrangement_zone_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arrangement_zone_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arrangement_zone_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arrangement_zone_2.h $
 // $Id: Arrangement_zone_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/arrange_offset_polygons_2.h 5.0.3-1/include/CGAL/arrange_offset_polygons_2.h
--- 5.0.2-3/include/CGAL/arrange_offset_polygons_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/arrange_offset_polygons_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,11 +3,11 @@
 // This file is part of CGAL (www.cgal.org).
 //
 
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/arrange_offset_polygons_2.h $
-// $Id: arrange_offset_polygons_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/arrange_offset_polygons_2.h $
+// $Id: arrange_offset_polygons_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar> 
+// Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
 //
 #ifndef CGAL_ARRANGE_OFFSET_POLYGONS_2_H
 #define CGAL_ARRANGE_OFFSET_POLYGONS_2_H
@@ -37,46 +37,46 @@ bool arrange_offset_polygons_2 ( InputPo
                                )
 {
   typedef typename std::iterator_traits<InputPolygonPtrIterator>::difference_type difference_type ;
-  
+
   typedef Polygon_2<K>            Polygon ;
   typedef Polygon_with_holes_2<K> PolygonWithHoles ;
-  
+
   typedef boost::shared_ptr<Polygon>          PolygonPtr ;
   typedef boost::shared_ptr<PolygonWithHoles> PolygonWithHolesPtr ;
-  
+
   typedef typename Polygon::Vertex_const_iterator Vertex_const_iterator ;
-  
+
   difference_type lSize = std::distance(aBegin,aEnd);
-  
+
   std::vector<PolygonWithHolesPtr> lTable(lSize);
-  
+
   for ( InputPolygonPtrIterator it = aBegin ; it != aEnd ; ++ it )
   {
     difference_type lIdx = std::distance(aBegin,it);
-    
+
     PolygonPtr lPoly = *it ;
     Orientation lOrient = lPoly->orientation();
-    
+
     // It's an outer boundary
     if ( lOrient == COUNTERCLOCKWISE )
     {
       PolygonWithHolesPtr lOuter( new PolygonWithHoles(*lPoly) );
-      *rOut ++ = lOuter ; 
+      *rOut ++ = lOuter ;
       lTable[lIdx] = lOuter ;
-    }  
-  }  
-  
+    }
+  }
+
   for ( InputPolygonPtrIterator it = aBegin ; it != aEnd ; ++ it )
   {
     PolygonPtr lPoly = *it ;
-    
+
     difference_type lIdx = std::distance(aBegin,it);
-    
+
     // Is a hole?
     if ( !lTable[lIdx] )
     {
       PolygonWithHolesPtr lParent ;
-      
+
       for ( difference_type j = 0 ; j < lSize && !lParent ; ++ j )
       {
         PolygonWithHolesPtr lOuter = lTable[j];
@@ -85,13 +85,13 @@ bool arrange_offset_polygons_2 ( InputPo
             if ( lOuter->outer_boundary().bounded_side(*v) == ON_BOUNDED_SIDE )
               lParent = lOuter ;
       }
-      
+
       if (lParent == nullptr)
         return false;
-      
+
       lParent->add_hole(*lPoly);
     }
-  }  
+  }
   return true;
 }
 
@@ -101,9 +101,9 @@ inline
 arrange_offset_polygons_2 ( std::vector< boost::shared_ptr< Polygon_2<K,C> > > const& aPolygons, bool& no_error)
 {
   std::vector< boost::shared_ptr< Polygon_with_holes_2<K,C> > > rResult ;
-  
+
   no_error = arrange_offset_polygons_2(aPolygons.begin(), aPolygons.end(), std::back_inserter(rResult), K() ) ;
-  
+
   return rResult ;
 }
 
@@ -119,5 +119,5 @@ arrange_offset_polygons_2 ( std::vector<
 } // end namespace CGAL
 
 
-#endif 
+#endif
 // EOF //
diff -pruN 5.0.2-3/include/CGAL/array.h 5.0.3-1/include/CGAL/array.h
--- 5.0.2-3/include/CGAL/array.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/array.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/array.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/array.h $
 // $Id: array.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_batched_point_location.h 5.0.3-1/include/CGAL/Arr_batched_point_location.h
--- 5.0.2-3/include/CGAL/Arr_batched_point_location.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_batched_point_location.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_batched_point_location.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_batched_point_location.h $
 // $Id: Arr_batched_point_location.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_Bezier_curve_traits_2.h 5.0.3-1/include/CGAL/Arr_Bezier_curve_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_Bezier_curve_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_Bezier_curve_traits_2.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_Bezier_curve_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_Bezier_curve_traits_2.h $
 // $Id: Arr_Bezier_curve_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_bounded_planar_topology_traits_2.h 5.0.3-1/include/CGAL/Arr_bounded_planar_topology_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_bounded_planar_topology_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_bounded_planar_topology_traits_2.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_bounded_planar_topology_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_bounded_planar_topology_traits_2.h $
 // $Id: Arr_bounded_planar_topology_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_circle_segment_traits_2.h 5.0.3-1/include/CGAL/Arr_circle_segment_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_circle_segment_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_circle_segment_traits_2.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_circle_segment_traits_2.h $
-// $Id: Arr_circle_segment_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_circle_segment_traits_2.h $
+// $Id: Arr_circle_segment_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Ron Wein          <wein@post.tau.ac.il>
@@ -311,24 +311,24 @@ public:
 
       if ((CGAL::compare (cv1.left().x(),cv1.right().x()) == EQUAL) &&
           (CGAL::compare (cv2.left().x(),cv2.right().x()) == EQUAL))
-	  { //both cv1 and cv2 are vertical
+          { //both cv1 and cv2 are vertical
          CGAL_precondition (!(cv1.left()).equals(p) && !(cv2.left()).equals(p));
-	  }
-	  else if ((CGAL::compare (cv1.left().x(),cv1.right().x()) != EQUAL) &&
+          }
+          else if ((CGAL::compare (cv1.left().x(),cv1.right().x()) != EQUAL) &&
                    (CGAL::compare (cv2.left().x(),cv2.right().x()) == EQUAL))
-	  { //only cv1 is vertical
+          { //only cv1 is vertical
          CGAL_precondition (!(cv1.left()).equals(p));
-	  }
-	  else if ((CGAL::compare (cv1.left().x(),cv1.right().x()) == EQUAL) &&
+          }
+          else if ((CGAL::compare (cv1.left().x(),cv1.right().x()) == EQUAL) &&
                    (CGAL::compare (cv2.left().x(),cv2.right().x()) != EQUAL))
-	  { //only cv2 is vertical
+          { //only cv2 is vertical
          CGAL_precondition (!(cv2.left()).equals(p));
-	  }
-	  else
-	  { //both cv1 and cv2 are non vertical
+          }
+          else
+          { //both cv1 and cv2 are non vertical
         CGAL_precondition (CGAL::compare (cv1.left().x(),p.x()) == SMALLER &&
                            CGAL::compare (cv2.left().x(),p.x()) == SMALLER);
-	  }
+          }
       // Compare the two curves immediately to the left of p:
       return (cv1.compare_to_left (cv2, p));
     }
diff -pruN 5.0.2-3/include/CGAL/Arr_circular_arc_traits_2.h 5.0.3-1/include/CGAL/Arr_circular_arc_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_circular_arc_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_circular_arc_traits_2.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_circular_arc_traits_2.h $
-// $Id: Arr_circular_arc_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_circular_arc_traits_2.h $
+// $Id: Arr_circular_arc_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_CIRCULAR_KERNEL_CIRCULAR_ARC_TRAITS_2_H
@@ -36,7 +36,7 @@
 namespace CGAL {
 
 namespace internal{
-template <class CircularKernel> 
+template <class CircularKernel>
 class Non_x_monotonic_Circular_arc_2
   : public CircularKernel::Circular_arc_2
 {
@@ -46,21 +46,21 @@ class Non_x_monotonic_Circular_arc_2
   typedef typename CircularKernel::Circle_2       Circle_2;
   typedef typename CircularKernel::Circular_arc_point_2
                                                 Circular_arc_point_2;
-  
+
   typedef typename CircularKernel::Circular_arc_2 Base;
-  
+
 public:
   Non_x_monotonic_Circular_arc_2(): Base(){}
 
   Non_x_monotonic_Circular_arc_2(const Circle_2 &c): Base(c){}
   // Not Documented
-  Non_x_monotonic_Circular_arc_2(const Circle_2 &support, 
+  Non_x_monotonic_Circular_arc_2(const Circle_2 &support,
                                  const Line_2 &l1, const bool b_l1,
                                  const Line_2 &l2, const bool b_l2)
     : Base(support,l1,b_l1,l2,b_l2){}
 
   // Not Documented
-  Non_x_monotonic_Circular_arc_2(const Circle_2 &c, 
+  Non_x_monotonic_Circular_arc_2(const Circle_2 &c,
                                  const Circle_2 &c1, const bool b_1,
                                  const Circle_2 &c2, const bool b_2)
     : Base(c,c1,b_1,c2,b_2)
@@ -71,7 +71,7 @@ public:
                                  const Point_2 &end)
     : Base(start,middle,end)
   {}
-  
+
   Non_x_monotonic_Circular_arc_2(const Circle_2 &support,
                                  const Circular_arc_point_2 &begin,
                                  const Circular_arc_point_2 &end)
@@ -83,13 +83,13 @@ public:
                                  const FT &bulge)
     : Base(start,end,bulge)
   {}
-  
+
  Non_x_monotonic_Circular_arc_2(const Base& a) : Base(a) {}
-};  
-  
+};
+
 } //namespace internal
-  
-// Traits class for CGAL::Arrangement_2 (and similar) based on a 
+
+// Traits class for CGAL::Arrangement_2 (and similar) based on a
 // CircularKernel.
 
 template < typename CircularKernel >
@@ -106,10 +106,10 @@ public:
   typedef typename CircularKernel::Circular_arc_point_2 Point;
   typedef typename CircularKernel::Circular_arc_point_2 Point_2;
 
-  typedef unsigned int                           Multiplicity; 
+  typedef unsigned int                           Multiplicity;
 
   typedef CGAL::Tag_false                        Has_left_category;
-  typedef CGAL::Tag_false 			 Has_merge_category;
+  typedef CGAL::Tag_false                          Has_merge_category;
   typedef CGAL::Tag_false                        Has_do_intersect_category;
 
   typedef Arr_oblivious_side_tag                 Left_side_category;
@@ -124,26 +124,26 @@ public:
   typedef typename CircularKernel::Compare_xy_2         Compare_xy_2;
   typedef typename CircularKernel::Compare_y_at_x_2     Compare_y_at_x_2;
   typedef typename CircularKernel::Compare_y_to_right_2 Compare_y_at_x_right_2;
-  typedef typename CircularKernel::Construct_circular_max_vertex_2 
+  typedef typename CircularKernel::Construct_circular_max_vertex_2
                                                         Construct_max_vertex_2;
-  typedef typename CircularKernel::Construct_circular_min_vertex_2 
+  typedef typename CircularKernel::Construct_circular_min_vertex_2
                                                         Construct_min_vertex_2;
   typedef typename CircularKernel::Equal_2              Equal_2;
   typedef typename CircularKernel::Make_x_monotone_2    Make_x_monotone_2;
   typedef typename CircularKernel::Split_2              Split_2;
   typedef typename CircularKernel::Intersect_2          Intersect_2;
   typedef typename CircularKernel::Is_vertical_2        Is_vertical_2;
-  
+
   Compare_x_2 compare_x_2_object() const
   { return ck.compare_x_2_object(); }
 
   Compare_xy_2 compare_xy_2_object() const
   { return ck.compare_xy_2_object(); }
 
-  Compare_y_at_x_2 compare_y_at_x_2_object() const 
+  Compare_y_at_x_2 compare_y_at_x_2_object() const
   { return ck.compare_y_at_x_2_object(); }
 
-  Compare_y_at_x_right_2 compare_y_at_x_right_2_object() const 
+  Compare_y_at_x_right_2 compare_y_at_x_right_2_object() const
   { return ck.compare_y_to_right_2_object(); }
 
   Equal_2 equal_2_object() const
@@ -157,13 +157,13 @@ public:
 
   Intersect_2 intersect_2_object() const
     { return ck.intersect_2_object(); }
-    
+
   Construct_max_vertex_2 construct_max_vertex_2_object() const
     { return ck.construct_circular_max_vertex_2_object(); }
-       
+
   Construct_min_vertex_2 construct_min_vertex_2_object() const
     { return ck.construct_circular_min_vertex_2_object(); }
-       
+
   Is_vertical_2 is_vertical_2_object() const
     { return ck.is_vertical_2_object();  }
 
diff -pruN 5.0.2-3/include/CGAL/Arr_circular_line_arc_traits_2.h 5.0.3-1/include/CGAL/Arr_circular_line_arc_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_circular_line_arc_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_circular_line_arc_traits_2.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_circular_line_arc_traits_2.h $
-// $Id: Arr_circular_line_arc_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_circular_line_arc_traits_2.h $
+// $Id: Arr_circular_line_arc_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Julien Hazebrouck
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_CIRCULAR_KERNEL_VARIANT_TRAITS_2_H
@@ -43,25 +43,25 @@ namespace CGAL {
     // returns an Object(Variant(Line/Circular_arc)).
     // Do nothing for Object(Endpoint).
     template <class CK, class Arc1, class Arc2, class OutputIterator>
-    OutputIterator 
-    object_to_object_variant(const std::vector<CGAL::Object>& res1, 
-			     OutputIterator res2)
-    {  
-      for(std::vector<CGAL::Object>::const_iterator it = res1.begin(); 
-	  it != res1.end(); ++it ){
-	if(const Arc1 *arc = CGAL::object_cast< Arc1 >(&*it)){
-	  boost::variant< Arc1, Arc2 > v =  *arc;
-	  *res2++ = make_object(v);
-	}
-	else if (const Arc2 *line = CGAL::object_cast< Arc2 >(&*it)){
-	  boost::variant< Arc1, Arc2 > v =  *line;
-	  *res2++ = make_object(v);
-	}
-	else{
-	  *res2++ = *it;
-	}
+    OutputIterator
+    object_to_object_variant(const std::vector<CGAL::Object>& res1,
+                             OutputIterator res2)
+    {
+      for(std::vector<CGAL::Object>::const_iterator it = res1.begin();
+          it != res1.end(); ++it ){
+        if(const Arc1 *arc = CGAL::object_cast< Arc1 >(&*it)){
+          boost::variant< Arc1, Arc2 > v =  *arc;
+          *res2++ = make_object(v);
+        }
+        else if (const Arc2 *line = CGAL::object_cast< Arc2 >(&*it)){
+          boost::variant< Arc1, Arc2 > v =  *line;
+          *res2++ = make_object(v);
+        }
+        else{
+          *res2++ = *it;
+        }
       }
-      return res2;	  
+      return res2;
     }
 
 
@@ -69,58 +69,58 @@ namespace CGAL {
     class In_x_range_2
     {
     public:
-      typedef typename CircularKernel::Circular_arc_point_2 
+      typedef typename CircularKernel::Circular_arc_point_2
                                                   Circular_arc_point_2;
       typedef bool result_type;
-      
+
       result_type
-	operator()(const boost::variant< Arc1, Arc2 > &a,
-		   const Circular_arc_point_2 &p) const
-      { 
-	if ( const Arc1* arc1 = boost::get<Arc1>( &a ) ){
-	  return CircularKernel().in_x_range_2_object()(*arc1, p);
-	}
-	else {
-	  const Arc2* arc2 = boost::get<Arc2>( &a );
-	  return CircularKernel().in_x_range_2_object()(*arc2, p);
-	}
+        operator()(const boost::variant< Arc1, Arc2 > &a,
+                   const Circular_arc_point_2 &p) const
+      {
+        if ( const Arc1* arc1 = boost::get<Arc1>( &a ) ){
+          return CircularKernel().in_x_range_2_object()(*arc1, p);
+        }
+        else {
+          const Arc2* arc2 = boost::get<Arc2>( &a );
+          return CircularKernel().in_x_range_2_object()(*arc2, p);
+        }
       }
     };
-  
+
 
     template <class CircularKernel, class Arc1, class Arc2>
     class Compare_y_to_right_2
     {
     public:
       typedef CGAL::Comparison_result result_type;
-      typedef typename CircularKernel::Circular_arc_point_2      
+      typedef typename CircularKernel::Circular_arc_point_2
                                                   Circular_arc_point_2;
-    
+
       result_type
-	operator()(const boost::variant< Arc1, Arc2 > &a1,
-		   const boost::variant< Arc1, Arc2 > &a2,
-		   const Circular_arc_point_2 &p) const
-      { 
-	if ( const Arc1* arc1 = boost::get<Arc1>( &a1 ) ){
-	  if ( const Arc1* arc2 = boost::get<Arc1>( &a2 ) ){
-	    return CircularKernel()
-	      .compare_y_to_right_2_object()(*arc1, *arc2, p);
-	  }
-	  else {
-	    const Arc2* arc2e = boost::get<Arc2>( &a2 );
-	    return CircularKernel()
-	      .compare_y_to_right_2_object()(*arc1, *arc2e, p);
-	  }
-	}
-	const Arc2* arc1 = boost::get<Arc2>( &a1 );
-	if ( const Arc1* arc2 = boost::get<Arc1>( &a2 ) ){
-	  return CircularKernel()
-	    .compare_y_to_right_2_object()(*arc1, *arc2, p);
-	}
-	const Arc2* arc2e = boost::get<Arc2>( &a2 );
-	return CircularKernel()
-	  .compare_y_to_right_2_object()(*arc1, *arc2e, p);
-      }  
+        operator()(const boost::variant< Arc1, Arc2 > &a1,
+                   const boost::variant< Arc1, Arc2 > &a2,
+                   const Circular_arc_point_2 &p) const
+      {
+        if ( const Arc1* arc1 = boost::get<Arc1>( &a1 ) ){
+          if ( const Arc1* arc2 = boost::get<Arc1>( &a2 ) ){
+            return CircularKernel()
+              .compare_y_to_right_2_object()(*arc1, *arc2, p);
+          }
+          else {
+            const Arc2* arc2e = boost::get<Arc2>( &a2 );
+            return CircularKernel()
+              .compare_y_to_right_2_object()(*arc1, *arc2e, p);
+          }
+        }
+        const Arc2* arc1 = boost::get<Arc2>( &a1 );
+        if ( const Arc1* arc2 = boost::get<Arc1>( &a2 ) ){
+          return CircularKernel()
+            .compare_y_to_right_2_object()(*arc1, *arc2, p);
+        }
+        const Arc2* arc2e = boost::get<Arc2>( &a2 );
+        return CircularKernel()
+          .compare_y_to_right_2_object()(*arc1, *arc2e, p);
+      }
     };
 
 
@@ -134,33 +134,33 @@ namespace CGAL {
       bool
       operator()(const T &a0, const T &a1) const
       {
-	return CircularKernel().equal_2_object()(a0,a1);
+        return CircularKernel().equal_2_object()(a0,a1);
       }
 
-      template < typename T1, typename T2 >      
+      template < typename T1, typename T2 >
       bool
       operator()(const T1 &, const T2 &) const
       {
-	return false;
+        return false;
       }
     };
 
-      
+
 
     template <class CircularKernel, class Arc1, class Arc2>
     class Equal_2
-#ifndef CGAL_CFG_MATCHING_BUG_6 
-      : public 
+#ifndef CGAL_CFG_MATCHING_BUG_6
+      : public
       CircularKernel::Equal_2
 #endif
     {
     public:
       typedef boost::variant< Arc1, Arc2 >  Curve_2;
       typedef bool result_type;
-#ifndef CGAL_CFG_MATCHING_BUG_6 
+#ifndef CGAL_CFG_MATCHING_BUG_6
       using CircularKernel::Equal_2::operator();
-#else 
-      typedef typename CircularKernel::Circular_arc_point_2 
+#else
+      typedef typename CircularKernel::Circular_arc_point_2
                                                   Circular_arc_point_2;
       typedef typename CircularKernel::Line_arc_2     Line_arc_2;
       typedef typename CircularKernel::Circular_arc_2 Circular_arc_2;
@@ -170,7 +170,7 @@ namespace CGAL {
     operator() (const Circular_arc_point_2 &p0,
                 const Circular_arc_point_2 &p1) const
     { return CK_Equal_2()(p0, p1); }
-    
+
     result_type
     operator() (const Circular_arc_2 &a0, const Circular_arc_2 &a1) const
     { return CK_Equal_2()(a0, a1); }
@@ -186,40 +186,40 @@ namespace CGAL {
     result_type
     operator() ( const Circular_arc_2 &a0, const Line_arc_2 &a1) const
     { return false; }
-    
+
 #endif
 
       result_type
       operator()(const Curve_2 &a0, const Curve_2 &a1) const
       {
-	return boost::apply_visitor
-	  ( Variant_Equal_2<CircularKernel>(), a0, a1 );
+        return boost::apply_visitor
+          ( Variant_Equal_2<CircularKernel>(), a0, a1 );
       }
-      
+
     };
 
-    
+
 
 
     template <class CircularKernel, class Arc1, class Arc2>
     class Compare_y_at_x_2
     {
     public:
-      typedef typename CircularKernel::Circular_arc_point_2      
+      typedef typename CircularKernel::Circular_arc_point_2
                                                   Circular_arc_point_2;
       typedef CGAL::Comparison_result result_type;
 
       result_type
       operator() (const Circular_arc_point_2 &p,
                   const boost::variant< Arc1, Arc2 > &A1) const
-      { 
-	if ( const Arc1* arc1 = boost::get<Arc1>( &A1 ) ){
-	  return CircularKernel().compare_y_at_x_2_object()(p, *arc1);
-	}
-	else {
-	  const Arc2* arc2 = boost::get<Arc2>( &A1 );
-	  return CircularKernel().compare_y_at_x_2_object()(p, *arc2);
-	}
+      {
+        if ( const Arc1* arc1 = boost::get<Arc1>( &A1 ) ){
+          return CircularKernel().compare_y_at_x_2_object()(p, *arc1);
+        }
+        else {
+          const Arc2* arc2 = boost::get<Arc2>( &A1 );
+          return CircularKernel().compare_y_at_x_2_object()(p, *arc2);
+        }
       }
     };
 
@@ -231,33 +231,33 @@ namespace CGAL {
       bool
       operator()(const T &a0, const T &a1) const
       {
-	return CircularKernel().do_overlap_2_object()(a0, a1);
+        return CircularKernel().do_overlap_2_object()(a0, a1);
       }
 
-      template < typename T1, typename T2 >      
+      template < typename T1, typename T2 >
       bool
       operator()(const T1 &, const T2 &) const
       {
-	return false;
+        return false;
       }
     };
-    
+
 
     template <class CircularKernel, class Arc1, class Arc2>
     class Do_overlap_2
     {
     public:
-      typedef typename CircularKernel::Circular_arc_point_2      
+      typedef typename CircularKernel::Circular_arc_point_2
                                                   Circular_arc_point_2;
       typedef bool result_type;
 
       result_type
       operator()(const boost::variant< Arc1, Arc2 > &A0,
                  const boost::variant< Arc1, Arc2 > &A1) const
-      { 
-	return boost::apply_visitor
-	  ( Variant_Do_overlap_2<CircularKernel>(), A0, A1 );
-      }    
+      {
+        return boost::apply_visitor
+          ( Variant_Do_overlap_2<CircularKernel>(), A0, A1 );
+      }
     };
 
 
@@ -265,7 +265,7 @@ namespace CGAL {
     class Make_x_monotone_2
     {
     public:
-      typedef typename CircularKernel::Circular_arc_point_2      
+      typedef typename CircularKernel::Circular_arc_point_2
                                                   Circular_arc_point_2;
 
       template < class OutputIterator,class Not_X_Monotone >
@@ -273,135 +273,135 @@ namespace CGAL {
       operator()(const boost::variant<Arc1, Arc2, Not_X_Monotone> &A, OutputIterator res) const
       {
         if ( const Arc1* arc1 = boost::get<Arc1>( &A ) ){
-	  std::vector<CGAL::Object> container;
-	  CircularKernel()
-	    .make_x_monotone_2_object()(*arc1,std::back_inserter(container));
-	  return object_to_object_variant<CircularKernel, Arc1, Arc2>
-	                                 (container, res);
-	}
-	else {
-	  const Arc2* arc2 = boost::get<Arc2>( &A );
-	  std::vector<CGAL::Object> container;
-	  CircularKernel()
-	    .make_x_monotone_2_object()(*arc2,std::back_inserter(container));
-	  return object_to_object_variant<CircularKernel, Arc1, Arc2>
+          std::vector<CGAL::Object> container;
+          CircularKernel()
+            .make_x_monotone_2_object()(*arc1,std::back_inserter(container));
+          return object_to_object_variant<CircularKernel, Arc1, Arc2>
+                                         (container, res);
+        }
+        else {
+          const Arc2* arc2 = boost::get<Arc2>( &A );
+          std::vector<CGAL::Object> container;
+          CircularKernel()
+            .make_x_monotone_2_object()(*arc2,std::back_inserter(container));
+          return object_to_object_variant<CircularKernel, Arc1, Arc2>
                                          (container, res);
-	}
+        }
       }
     };
 
 
-    
+
     template <class CircularKernel, class Arc1, class Arc2>
     class Intersect_2
     {
     public:
-    typedef typename CircularKernel::Circular_arc_point_2      
+    typedef typename CircularKernel::Circular_arc_point_2
                                                 Circular_arc_point_2;
-      
+
       template < class OutputIterator >
-	OutputIterator
-	operator()(const boost::variant< Arc1, Arc2 > &c1,
-		   const boost::variant< Arc1, Arc2 > &c2,
-		   OutputIterator res) const
-      { 
-	if ( const Arc1* arc1 = boost::get<Arc1>( &c1 ) ){
-	  if ( const Arc1* arc2 = boost::get<Arc1>( &c2 ) ){
-	    std::vector<CGAL::Object> container;
-	    CircularKernel()
-	      .intersect_2_object()(*arc1,*arc2,std::back_inserter(container));
-	    return object_to_object_variant<CircularKernel, Arc1, Arc2>
-	                                   (container, res);
-	  }
-	  else if ( const Arc2* arc2 = boost::get<Arc2>( &c2 ) ){
-	    std::vector<CGAL::Object> container;
-	    CircularKernel()
-	      .intersect_2_object()(*arc1,*arc2,std::back_inserter(container));
-	    return object_to_object_variant<CircularKernel, Arc1, Arc2>
-	                                   (container, res);
-	  }
-	}
-	else {
-	  const Arc2* arc1e = boost::get<Arc2>( &c1 );
-	  if ( const Arc1* arc2 = boost::get<Arc1>( &c2 ) ){
-	    std::vector<CGAL::Object> container;
-	    CircularKernel()
-	      .intersect_2_object()(*arc1e,*arc2,std::back_inserter(container));
-	    return object_to_object_variant<CircularKernel, Arc1, Arc2>
+        OutputIterator
+        operator()(const boost::variant< Arc1, Arc2 > &c1,
+                   const boost::variant< Arc1, Arc2 > &c2,
+                   OutputIterator res) const
+      {
+        if ( const Arc1* arc1 = boost::get<Arc1>( &c1 ) ){
+          if ( const Arc1* arc2 = boost::get<Arc1>( &c2 ) ){
+            std::vector<CGAL::Object> container;
+            CircularKernel()
+              .intersect_2_object()(*arc1,*arc2,std::back_inserter(container));
+            return object_to_object_variant<CircularKernel, Arc1, Arc2>
+                                           (container, res);
+          }
+          else if ( const Arc2* arc2 = boost::get<Arc2>( &c2 ) ){
+            std::vector<CGAL::Object> container;
+            CircularKernel()
+              .intersect_2_object()(*arc1,*arc2,std::back_inserter(container));
+            return object_to_object_variant<CircularKernel, Arc1, Arc2>
                                            (container, res);
-	  }
-	  const Arc2* arc2 = boost::get<Arc2>( &c2 );
-	  std::vector<CGAL::Object> container;
-	  CircularKernel()
-	    .intersect_2_object()(*arc1e,*arc2,std::back_inserter(container));
-	  return object_to_object_variant<CircularKernel, Arc1, Arc2>
+          }
+        }
+        else {
+          const Arc2* arc1e = boost::get<Arc2>( &c1 );
+          if ( const Arc1* arc2 = boost::get<Arc1>( &c2 ) ){
+            std::vector<CGAL::Object> container;
+            CircularKernel()
+              .intersect_2_object()(*arc1e,*arc2,std::back_inserter(container));
+            return object_to_object_variant<CircularKernel, Arc1, Arc2>
+                                           (container, res);
+          }
+          const Arc2* arc2 = boost::get<Arc2>( &c2 );
+          std::vector<CGAL::Object> container;
+          CircularKernel()
+            .intersect_2_object()(*arc1e,*arc2,std::back_inserter(container));
+          return object_to_object_variant<CircularKernel, Arc1, Arc2>
                                          (container, res);
-	}
-	CGAL_error();
-	return res;//for no warning
+        }
+        CGAL_error();
+        return res;//for no warning
       }
-    
+
     };
 
-    
+
     template <class CircularKernel, class Arc1, class Arc2>
     class Split_2
     {
 
     public:
-    typedef typename CircularKernel::Circular_arc_point_2      
+    typedef typename CircularKernel::Circular_arc_point_2
                                                 Circular_arc_point_2;
       typedef void result_type;
       result_type
-	operator()(const boost::variant< Arc1, Arc2 > &A, 
-		   const Circular_arc_point_2 &p,
-		   boost::variant< Arc1, Arc2 > &ca1,
-		   boost::variant< Arc1, Arc2 > &ca2) const
-      { 
-	// TODO : optimize by extracting the references from the variants ?
-	if ( const Arc1* arc1 = boost::get<Arc1>( &A ) ){
-	  Arc1 carc1;
-	  Arc1 carc2;
-	  CircularKernel().split_2_object()(*arc1, p, carc1, carc2);
-	  ca1 = carc1;
-	  ca2 = carc2;
-	  return ;
-	
-	}
-	else{
-	  const Arc2* arc2 = boost::get<Arc2>( &A );
-	  Arc2 cline1;
-	  Arc2 cline2;
-	  CircularKernel().split_2_object()(*arc2, p, cline1, cline2); 
-	  ca1 = cline1;
-	  ca2 = cline2;
-	  return ;
-	
-	}
+        operator()(const boost::variant< Arc1, Arc2 > &A,
+                   const Circular_arc_point_2 &p,
+                   boost::variant< Arc1, Arc2 > &ca1,
+                   boost::variant< Arc1, Arc2 > &ca2) const
+      {
+        // TODO : optimize by extracting the references from the variants ?
+        if ( const Arc1* arc1 = boost::get<Arc1>( &A ) ){
+          Arc1 carc1;
+          Arc1 carc2;
+          CircularKernel().split_2_object()(*arc1, p, carc1, carc2);
+          ca1 = carc1;
+          ca2 = carc2;
+          return ;
+
+        }
+        else{
+          const Arc2* arc2 = boost::get<Arc2>( &A );
+          Arc2 cline1;
+          Arc2 cline2;
+          CircularKernel().split_2_object()(*arc2, p, cline1, cline2);
+          ca1 = cline1;
+          ca2 = cline2;
+          return ;
+
+        }
       }
     };
 
 
      template <class CircularKernel>
-    class Variant_Construct_min_vertex_2 
+    class Variant_Construct_min_vertex_2
       : public boost::static_visitor
       <const typename CircularKernel::Circular_arc_point_2&>
     {
-      typedef typename CircularKernel::Circular_arc_point_2 
-                                                  Circular_arc_point_2; 
-    
+      typedef typename CircularKernel::Circular_arc_point_2
+                                                  Circular_arc_point_2;
+
     public :
-    
+
       typedef Circular_arc_point_2  result_type;
       //typedef const result_type&       qualified_result_type;
-      
+
       template < typename T >
       //typename boost::remove_reference<qualified_result_type>::type
-	Circular_arc_point_2
+        Circular_arc_point_2
       operator()(const T &a) const
       {
-	//CGAL_kernel_precondition(CircularKernel().compare_xy_2_object()(a.left(), a.right())==CGAL::SMALLER);
-	return CircularKernel().construct_circular_min_vertex_2_object()(a);
+        //CGAL_kernel_precondition(CircularKernel().compare_xy_2_object()(a.left(), a.right())==CGAL::SMALLER);
+        return CircularKernel().construct_circular_min_vertex_2_object()(a);
       }
     };
 
@@ -410,16 +410,16 @@ namespace CGAL {
     {
       typedef typename CircularKernel::Circular_arc_point_2      Point_2;
     public:
-      
+
       typedef Point_2                  result_type;
       //typedef const result_type&       qualified_result_type;
-      
-      //typename boost::remove_reference<qualified_result_type>::type 
+
+      //typename boost::remove_reference<qualified_result_type>::type
       result_type
       operator() (const boost::variant< Arc1, Arc2 > & cv) const
       {
-	return boost::apply_visitor
-	  ( Variant_Construct_min_vertex_2<CircularKernel>(), cv );
+        return boost::apply_visitor
+          ( Variant_Construct_min_vertex_2<CircularKernel>(), cv );
       }
     };
 
@@ -429,28 +429,28 @@ namespace CGAL {
 
      template <class CircularKernel>
     class Variant_Construct_max_vertex_2
-       : public boost::static_visitor<const typename 
-				      CircularKernel::Circular_arc_point_2&>
+       : public boost::static_visitor<const typename
+                                      CircularKernel::Circular_arc_point_2&>
     {
-      typedef typename CircularKernel::Circular_arc_point_2 
+      typedef typename CircularKernel::Circular_arc_point_2
                                                   Circular_arc_point_2;
-    
+
     public :
-    
+
       typedef Circular_arc_point_2  result_type;
       //typedef const result_type&       qualified_result_type;
-    
+
       template < typename T >
       //typename boost::remove_reference<qualified_result_type>::type
-	Circular_arc_point_2
+        Circular_arc_point_2
       operator()(const T &a) const
       {
-	//CGAL_kernel_precondition(CircularKernel().compare_xy_2_object()(a.left(), a.right())==CGAL::SMALLER);
-	return (CircularKernel().construct_circular_max_vertex_2_object()(a));
+        //CGAL_kernel_precondition(CircularKernel().compare_xy_2_object()(a.left(), a.right())==CGAL::SMALLER);
+        return (CircularKernel().construct_circular_max_vertex_2_object()(a));
       }
     };
 
-    
+
     template <class CircularKernel, class Arc1, class Arc2>
     class Construct_max_vertex_2//: public Has_qrt
     {
@@ -462,14 +462,14 @@ namespace CGAL {
        * \return The right endpoint.
        */
       typedef Point_2                  result_type;
-      //typedef const result_type&       qualified_result_type; 
-       
+      //typedef const result_type&       qualified_result_type;
+
        //typename boost::remove_reference<qualified_result_type>::type
       result_type
        operator() (const boost::variant< Arc1, Arc2 > & cv) const
       {
-	return boost::apply_visitor
-	  ( Variant_Construct_max_vertex_2<CircularKernel>(), cv );
+        return boost::apply_visitor
+          ( Variant_Construct_max_vertex_2<CircularKernel>(), cv );
       }
     };
 
@@ -483,7 +483,7 @@ namespace CGAL {
       bool
       operator()(const T &a) const
       {
-	return CircularKernel().is_vertical_2_object()(a);
+        return CircularKernel().is_vertical_2_object()(a);
       }
     };
 
@@ -495,13 +495,13 @@ namespace CGAL {
 
       bool operator() (const boost::variant< Arc1, Arc2 >& cv) const
       {
-	return boost::apply_visitor
-	  ( Variant_Is_vertical_2<CircularKernel>(), cv );
+        return boost::apply_visitor
+          ( Variant_Is_vertical_2<CircularKernel>(), cv );
       }
     };
 
   }
-  
+
 
   // a empty class used to have different types between Curve_2 and X_monotone_curve_2
   // in Arr_circular_line_arc_traits_2.
@@ -510,7 +510,7 @@ namespace CGAL {
     inline std::ostream& operator << (std::ostream& os, const Not_X_Monotone&)
     {return os;}
   }
-  
+
   /// Traits class for CGAL::Arrangement_2 (and similar) based on a CircularKernel.
 
   template < typename CircularKernel>
@@ -520,73 +520,73 @@ namespace CGAL {
 
     typedef typename CircularKernel::Line_arc_2                Arc1;
     typedef typename CircularKernel::Circular_arc_2            Arc2;
-    
+
   public:
-  
+
     typedef CircularKernel Kernel;
-    typedef typename CircularKernel::Circular_arc_point_2      
+    typedef typename CircularKernel::Circular_arc_point_2
                                                 Circular_arc_point_2;
 
     typedef typename CircularKernel::Circular_arc_point_2      Point;
     typedef typename CircularKernel::Circular_arc_point_2      Point_2;
 
-    typedef unsigned int                           Multiplicity; 
-  
+    typedef unsigned int                           Multiplicity;
+
     typedef CGAL::Tag_false                        Has_left_category;
-    typedef CGAL::Tag_false 			   Has_merge_category;
+    typedef CGAL::Tag_false                            Has_merge_category;
     typedef CGAL::Tag_false                        Has_do_intersect_category;
 
     typedef Arr_oblivious_side_tag                 Left_side_category;
     typedef Arr_oblivious_side_tag                 Bottom_side_category;
     typedef Arr_oblivious_side_tag                 Top_side_category;
     typedef Arr_oblivious_side_tag                 Right_side_category;
-    
+
     typedef internal_Argt_traits::Not_X_Monotone                Not_X_Monotone;
-  
+
     typedef boost::variant< Arc1, Arc2, Not_X_Monotone >        Curve_2;
     typedef boost::variant< Arc1, Arc2 >                        X_monotone_curve_2;
 
   private:
     CircularKernel ck;
   public:
-  
+
     Arr_circular_line_arc_traits_2(const CircularKernel &k = CircularKernel())
       : ck(k) {}
 
     typedef typename CircularKernel::Compare_x_2           Compare_x_2;
     typedef typename CircularKernel::Compare_xy_2          Compare_xy_2;
-    typedef typename 
-    VariantFunctors::Construct_min_vertex_2<CircularKernel, Arc1, Arc2>  
+    typedef typename
+    VariantFunctors::Construct_min_vertex_2<CircularKernel, Arc1, Arc2>
                                                   Construct_min_vertex_2;
-    typedef 
-    VariantFunctors::Construct_max_vertex_2<CircularKernel, Arc1, Arc2>  
+    typedef
+    VariantFunctors::Construct_max_vertex_2<CircularKernel, Arc1, Arc2>
                                                   Construct_max_vertex_2;
-    typedef VariantFunctors::Is_vertical_2<CircularKernel, Arc1, Arc2> 
+    typedef VariantFunctors::Is_vertical_2<CircularKernel, Arc1, Arc2>
                                                   Is_vertical_2;
-    typedef VariantFunctors::Compare_y_at_x_2<CircularKernel, Arc1, Arc2> 
+    typedef VariantFunctors::Compare_y_at_x_2<CircularKernel, Arc1, Arc2>
                                                   Compare_y_at_x_2;
     typedef VariantFunctors::Compare_y_to_right_2<CircularKernel, Arc1, Arc2>
-                                                  Compare_y_at_x_right_2; 
+                                                  Compare_y_at_x_right_2;
     typedef VariantFunctors::Equal_2<CircularKernel, Arc1, Arc2>
                                                   Equal_2;
-    typedef VariantFunctors::Make_x_monotone_2<CircularKernel, Arc1, Arc2> 
+    typedef VariantFunctors::Make_x_monotone_2<CircularKernel, Arc1, Arc2>
                                                   Make_x_monotone_2;
-    typedef VariantFunctors::Split_2<CircularKernel, Arc1, Arc2> 
+    typedef VariantFunctors::Split_2<CircularKernel, Arc1, Arc2>
                                                   Split_2;
-    typedef VariantFunctors::Intersect_2<CircularKernel, Arc1, Arc2> 
+    typedef VariantFunctors::Intersect_2<CircularKernel, Arc1, Arc2>
                                                   Intersect_2;
 
-  
+
  Compare_x_2 compare_x_2_object() const
   { return ck.compare_x_2_object(); }
 
   Compare_xy_2 compare_xy_2_object() const
   { return ck.compare_xy_2_object(); }
 
-  Compare_y_at_x_2 compare_y_at_x_2_object() const 
+  Compare_y_at_x_2 compare_y_at_x_2_object() const
   { return Compare_y_at_x_2(); }
 
-  Compare_y_at_x_right_2 compare_y_at_x_right_2_object() const 
+  Compare_y_at_x_right_2 compare_y_at_x_right_2_object() const
   { return Compare_y_at_x_right_2(); }
 
   Equal_2 equal_2_object() const
diff -pruN 5.0.2-3/include/CGAL/Arr_conic_traits_2.h 5.0.3-1/include/CGAL/Arr_conic_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_conic_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_conic_traits_2.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_conic_traits_2.h $
-// $Id: Arr_conic_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_conic_traits_2.h $
+// $Id: Arr_conic_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -270,18 +270,18 @@ public:
       }
       else
       {
-	CGAL_precondition (x_res != SMALLER);
+        CGAL_precondition (x_res != SMALLER);
 
-	if ((x_res = ker.compare_x_2_object() (p, cv.right())) == EQUAL)
-	{
-	  q = cv.right();
-	}
-	else
-	{
-	  CGAL_precondition (x_res != LARGER);
+        if ((x_res = ker.compare_x_2_object() (p, cv.right())) == EQUAL)
+        {
+          q = cv.right();
+        }
+        else
+        {
+          CGAL_precondition (x_res != LARGER);
 
-	  q = cv.point_at_x (p);
-	}
+          q = cv.point_at_x (p);
+        }
       }
 
       // Compare p with the a point of the curve with the same x coordinate.
@@ -731,9 +731,9 @@ public:
       CGAL_precondition (i == 0 || i == 1);
 
       if (i == 0)
-	return (CGAL::to_double(p.x()));
+        return (CGAL::to_double(p.x()));
       else
-	return (CGAL::to_double(p.y()));
+        return (CGAL::to_double(p.y()));
     }
   };
 
@@ -787,7 +787,7 @@ public:
       if (cv.is_directed_right())
         return (SMALLER);
       else
-	return (LARGER);
+        return (LARGER);
     }
   };
 
diff -pruN 5.0.2-3/include/CGAL/Arr_consolidated_curve_data_traits_2.h 5.0.3-1/include/CGAL/Arr_consolidated_curve_data_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_consolidated_curve_data_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_consolidated_curve_data_traits_2.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_consolidated_curve_data_traits_2.h $
-// $Id: Arr_consolidated_curve_data_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_consolidated_curve_data_traits_2.h $
+// $Id: Arr_consolidated_curve_data_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein          <wein@post.tau.ac.il>
 //                 Efi Fogel         <efif@post.tau.ac.il>
@@ -44,14 +44,14 @@ namespace CGAL {
 template <class Traits_, class Data_>
 class Arr_consolidated_curve_data_traits_2 :
   public Arr_curve_data_traits_2<Traits_,
-                                 _Unique_list<Data_>, 
+                                 _Unique_list<Data_>,
                                  _Consolidate_unique_lists<Data_>,
                                  Data_>
 {
 private:
 
   typedef Arr_curve_data_traits_2<Traits_,
-                                  _Unique_list<Data_>, 
+                                  _Unique_list<Data_>,
                                   _Consolidate_unique_lists<Data_>,
                                   Data_>            Base;
 
@@ -71,7 +71,7 @@ public:
   typedef typename Base_traits_2::Multiplicity        Multiplicity;
 
   typedef typename Base_traits_2::Has_left_category   Has_left_category;
-  
+
   typedef typename Base_traits_2::Has_merge_category  Base_has_merge_category;
   typedef Tag_true                                    Has_merge_category;
   typedef typename Base_traits_2::Has_do_intersect_category
diff -pruN 5.0.2-3/include/CGAL/Arr_counting_traits_2.h 5.0.3-1/include/CGAL/Arr_counting_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_counting_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_counting_traits_2.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_counting_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_counting_traits_2.h $
 // $Id: Arr_counting_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_curve_data_traits_2.h 5.0.3-1/include/CGAL/Arr_curve_data_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_curve_data_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_curve_data_traits_2.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_curve_data_traits_2.h $
-// $Id: Arr_curve_data_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_curve_data_traits_2.h $
+// $Id: Arr_curve_data_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Ron Wein          <wein@post.tau.ac.il>
 //                 Efi Fogel         <efifogel@gmail.com>
 
diff -pruN 5.0.2-3/include/CGAL/Arr_dcel_base.h 5.0.3-1/include/CGAL/Arr_dcel_base.h
--- 5.0.2-3/include/CGAL/Arr_dcel_base.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_dcel_base.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_dcel_base.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_dcel_base.h $
 // $Id: Arr_dcel_base.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_default_dcel.h 5.0.3-1/include/CGAL/Arr_default_dcel.h
--- 5.0.2-3/include/CGAL/Arr_default_dcel.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_default_dcel.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_default_dcel.h $
-// $Id: Arr_default_dcel.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_default_dcel.h $
+// $Id: Arr_default_dcel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein        <wein@post.tau.ac.il>
 //                 Baruch Zukerman <baruchzu@post.tau.ac.il>
@@ -28,14 +28,14 @@ namespace CGAL {
 
 /*! \class
  * The default arrangement DCEL class.
- * The Traits parameters corresponds to a geometric traits class, which 
+ * The Traits parameters corresponds to a geometric traits class, which
  * defines the Point_2 and X_monotone_curve_2 types.
  */
 template <class Traits_>
 class Arr_default_dcel :
   public Arr_dcel_base<Arr_vertex_base<typename Traits_::Point_2>,
-		       Arr_halfedge_base<typename Traits_::X_monotone_curve_2>,
-		       Arr_face_base>
+                       Arr_halfedge_base<typename Traits_::X_monotone_curve_2>,
+                       Arr_face_base>
 {
 public:
 
@@ -61,4 +61,4 @@ public:
 
 #include <CGAL/enable_warnings.h>
 
-#endif 
+#endif
diff -pruN 5.0.2-3/include/CGAL/Arr_default_overlay_traits.h 5.0.3-1/include/CGAL/Arr_default_overlay_traits.h
--- 5.0.2-3/include/CGAL/Arr_default_overlay_traits.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_default_overlay_traits.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_default_overlay_traits.h $
-// $Id: Arr_default_overlay_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_default_overlay_traits.h $
+// $Id: Arr_default_overlay_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -54,7 +54,7 @@ class Arr_default_overlay_traits :
  * Overlay_face_data.
  */
 template <typename ArrangementA, typename ArrangementB, typename ArrangementR,
-	  typename OverlayFaceData_>
+          typename OverlayFaceData_>
 class Arr_face_overlay_traits :
   public _Arr_default_overlay_traits_base<ArrangementA, ArrangementB,
                                           ArrangementR>
diff -pruN 5.0.2-3/include/CGAL/Arr_directional_non_caching_segment_basic_traits_2.h 5.0.3-1/include/CGAL/Arr_directional_non_caching_segment_basic_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_directional_non_caching_segment_basic_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_directional_non_caching_segment_basic_traits_2.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_directional_non_caching_segment_basic_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_directional_non_caching_segment_basic_traits_2.h $
 // $Id: Arr_directional_non_caching_segment_basic_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_enums.h 5.0.3-1/include/CGAL/Arr_enums.h
--- 5.0.2-3/include/CGAL/Arr_enums.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_enums.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_enums.h $
-// $Id: Arr_enums.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_enums.h $
+// $Id: Arr_enums.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s): Ron Wein          <wein@post.tau.ac.il>
 //            Efi Fogel         <efif@post.tau.ac.il>
@@ -42,7 +42,7 @@ inline
 OutputStream& operator<<(
         OutputStream& os,
         const Arr_curve_end& ce) {
-    
+
     switch(ce) {
     case CGAL::ARR_MIN_END:
         os << "ARR_MIN_END";
@@ -74,7 +74,7 @@ inline
 OutputStream& operator<<(
         OutputStream& os,
         const Arr_halfedge_direction& dir) {
-    
+
     switch(dir) {
     case CGAL::ARR_LEFT_TO_RIGHT:
         os << "ARR_LEFT_TO_RIGHT";
@@ -107,7 +107,7 @@ inline
 OutputStream& operator<<(
         OutputStream& os,
         const Arr_boundary_type& bt) {
-    
+
     switch(bt) {
     case CGAL::ARR_OPEN:
         os << "ARR_OPEN";
@@ -154,7 +154,7 @@ inline
 OutputStream& operator<<(
         OutputStream& os,
         const Arr_parameter_space& ps) {
-  
+
   switch (::CGAL::get_mode(os)) {
   case ::CGAL::IO::PRETTY:
     switch(ps) {
@@ -183,7 +183,7 @@ OutputStream& operator<<(
   default:
     os << static_cast< int >(ps);
   }
-  
+
   return os;
 }
 
@@ -200,9 +200,9 @@ InputStream& operator>>(
   int i;
   is >> i;
   ps = static_cast< Arr_parameter_space >(i);
-  
+
   return is;
-  
+
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Arr_extended_dcel.h 5.0.3-1/include/CGAL/Arr_extended_dcel.h
--- 5.0.2-3/include/CGAL/Arr_extended_dcel.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_extended_dcel.h	2020-08-01 19:02:11.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_extended_dcel.h $
-// $Id: Arr_extended_dcel.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_extended_dcel.h $
+// $Id: Arr_extended_dcel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein    <wein@post.tau.ac.il>
 //                 Efi Fogel   <efif@post.tau.ac.il>
@@ -169,19 +169,19 @@ public:
 
 /*! \class
  * A DCEL class whose faces are extended with an auxiliary data field.
- * The Traits parameter corresponds to a geometric traits class, which 
+ * The Traits parameter corresponds to a geometric traits class, which
  * defines the Point_2 and X_monotone_curve_2 types.
  * The FaceData parameter specifies the object type stored with each face.
  */
 template <class Traits_, typename FaceData_,
-	  class VertexBase_ = Arr_vertex_base<typename Traits_::Point_2>,
-	  class HalfedgeBase_ =
-   	             Arr_halfedge_base<typename Traits_::X_monotone_curve_2>,
-	  class FaceBase_ = Arr_face_base>
+          class VertexBase_ = Arr_vertex_base<typename Traits_::Point_2>,
+          class HalfedgeBase_ =
+                        Arr_halfedge_base<typename Traits_::X_monotone_curve_2>,
+          class FaceBase_ = Arr_face_base>
 class Arr_face_extended_dcel :
   public Arr_dcel_base<VertexBase_,
-		       HalfedgeBase_,
-		       Arr_extended_face<FaceBase_, FaceData_> >
+                       HalfedgeBase_,
+                       Arr_extended_face<FaceBase_, FaceData_> >
 {
 public:
 
@@ -199,14 +199,14 @@ public:
     typedef typename HalfedgeBase_::template rebind
                         <typename T::X_monotone_curve_2>   Rebind_halfedge;
     typedef typename Rebind_halfedge::other                Halfedge_base;
-   
+
   public:
 
     typedef Arr_face_extended_dcel<T,
-				   Face_data,
-				   Vertex_base,
-				   Halfedge_base,
-				   FaceBase_>              other;
+                                   Face_data,
+                                   Vertex_base,
+                                   Halfedge_base,
+                                   FaceBase_>              other;
   };
 
   /*! Default constructor. */
@@ -220,21 +220,21 @@ public:
 
 /*! \class
  * A DCEL class whose features are extended with auxiliary data fields.
- * The Traits parameter corresponds to a geometric traits class, which 
+ * The Traits parameter corresponds to a geometric traits class, which
  * defines the Point_2 and X_monotone_curve_2 types.
  * The VertexData, HalfedgeData and FaceData parameter specify the object types
  * stored with each vertex, halfegde and face, respectively.
  */
 template <class Traits_,
-	  typename VertexData_, typename HalfedgeData_, typename FaceData_,
-	  class VertexBase_ = Arr_vertex_base<typename Traits_::Point_2>,
-	  class HalfedgeBase_ =
-   	             Arr_halfedge_base<typename Traits_::X_monotone_curve_2>,
-	  class FaceBase_ = Arr_face_base>
+          typename VertexData_, typename HalfedgeData_, typename FaceData_,
+          class VertexBase_ = Arr_vertex_base<typename Traits_::Point_2>,
+          class HalfedgeBase_ =
+                        Arr_halfedge_base<typename Traits_::X_monotone_curve_2>,
+          class FaceBase_ = Arr_face_base>
 class Arr_extended_dcel :
   public Arr_dcel_base<Arr_extended_vertex<VertexBase_, VertexData_>,
-		       Arr_extended_halfedge<HalfedgeBase_, HalfedgeData_>,
-		       Arr_extended_face<FaceBase_, FaceData_> >
+                       Arr_extended_halfedge<HalfedgeBase_, HalfedgeData_>,
+                       Arr_extended_face<FaceBase_, FaceData_> >
 {
 public:
 
@@ -254,16 +254,16 @@ public:
     typedef typename HalfedgeBase_::template rebind
                         <typename T::X_monotone_curve_2>   Rebind_halfedge;
     typedef typename Rebind_halfedge::other                Halfedge_base;
-   
+
   public:
 
     typedef Arr_extended_dcel<T,
-			      Vertex_data,
-			      Halfedge_data,
-			      Face_data,
-			      Vertex_base,
-			      Halfedge_base,
-			      FaceBase_>                   other;
+                              Vertex_data,
+                              Halfedge_data,
+                              Face_data,
+                              Vertex_base,
+                              Halfedge_base,
+                              FaceBase_>                   other;
   };
 
   /*! Default constructor. */
@@ -279,4 +279,4 @@ public:
 
 #include <CGAL/enable_warnings.h>
 
-#endif 
+#endif
diff -pruN 5.0.2-3/include/CGAL/Arr_face_index_map.h 5.0.3-1/include/CGAL/Arr_face_index_map.h
--- 5.0.2-3/include/CGAL/Arr_face_index_map.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_face_index_map.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_face_index_map.h $
-// $Id: Arr_face_index_map.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_face_index_map.h $
+// $Id: Arr_face_index_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein          <wein@post.tau.ac.il>
 
@@ -188,15 +188,15 @@ public:
   virtual void before_merge_face (Face_handle /* f1 */,
                                   Face_handle f2,
                                   typename
-				  Arrangement_2::Halfedge_handle /* e */)
+                                  Arrangement_2::Halfedge_handle /* e */)
   {
     // Update the number of faces.
     n_faces--;
-    
+
     // Reduce memory consumption in case the number of faces has
     // drastically decreased.
-    if (2*n_faces+1 < rev_map.size() && 
-	rev_map.size() / 2 >= MIN_REV_MAP_SIZE)
+    if (2*n_faces+1 < rev_map.size() &&
+        rev_map.size() / 2 >= MIN_REV_MAP_SIZE)
     {
       rev_map.resize (rev_map.size() / 2);
     }
@@ -207,7 +207,7 @@ public:
 
     if (index == n_faces)
       return;
-    
+
     Face_handle    last_f = rev_map[n_faces];
     index_map[last_f] = index;
     rev_map[index] = last_f;
@@ -220,13 +220,13 @@ public:
   //@}
 
 private:
-  
+
   /*! Initialize the map for the given arrangement. */
   void _init ()
   {
     // Get the number of faces and allocate the reverse map accordingly.
     n_faces = static_cast<unsigned int>(this->arrangement()->number_of_faces());
-    
+
     if (n_faces < MIN_REV_MAP_SIZE)
       rev_map.resize (MIN_REV_MAP_SIZE);
     else
@@ -235,13 +235,13 @@ private:
     // Clear the current mapping.
     index_map.clear();
 
-    // Create the initial mapping. 
+    // Create the initial mapping.
     typename Arrangement_2::Face_iterator     fit;
     Face_handle                               fh;
     unsigned int                              index = 0;
 
     for (fit = this->arrangement()->faces_begin();
-	 fit != this->arrangement()->faces_end(); ++fit, ++index)
+         fit != this->arrangement()->faces_end(); ++fit, ++index)
     {
       // Map the current face to the current index.
       fh = fit;
@@ -250,7 +250,7 @@ private:
     }
 
     return;
-  }  
+  }
 
 };
 
@@ -263,8 +263,8 @@ private:
  */
 template<class Arrangement>
 unsigned int get (const CGAL::Arr_face_index_map<Arrangement>& index_map,
-		  typename Arrangement::Face_handle f) 
-{ 
+                  typename Arrangement::Face_handle f)
+{
   return (index_map[f]);
 }
 
diff -pruN 5.0.2-3/include/CGAL/Arr_face_map.h 5.0.3-1/include/CGAL/Arr_face_map.h
--- 5.0.2-3/include/CGAL/Arr_face_map.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_face_map.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_face_map.h $
-// $Id: Arr_face_map.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_face_map.h $
+// $Id: Arr_face_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein          <wein@post.tau.ac.il>
 
diff -pruN 5.0.2-3/include/CGAL/Arr_geodesic_arc_on_sphere_partition_traits_2.h 5.0.3-1/include/CGAL/Arr_geodesic_arc_on_sphere_partition_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_geodesic_arc_on_sphere_partition_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geodesic_arc_on_sphere_partition_traits_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geodesic_arc_on_sphere_partition_traits_2.h $
-// $Id: Arr_geodesic_arc_on_sphere_partition_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geodesic_arc_on_sphere_partition_traits_2.h $
+// $Id: Arr_geodesic_arc_on_sphere_partition_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ophir Setter         <ophir.setter@cs.au.ac.il>
 
@@ -19,13 +19,13 @@
 #include <CGAL/disable_warnings.h>
 
 /*! \file
- * The partition traits class for geodesic arcs on the sphere enables 
- * the partition of geodesic polygons to convex polygons. It models the 
+ * The partition traits class for geodesic arcs on the sphere enables
+ * the partition of geodesic polygons to convex polygons. It models the
  * concept YMonotonePartitionTraits_2.
  * This partition of geodesic polygons is garenteed to work only for polygons
- * that are contained in a hemisphere and that do not intersect one of the 
- * boundaries. 
- * For larger polygons there is a chance that at least one steiner point may 
+ * that are contained in a hemisphere and that do not intersect one of the
+ * boundaries.
+ * For larger polygons there is a chance that at least one steiner point may
  * have to be added; see manuscript by Prof. Dan Halperin from 2008.
  * PAY ATTENTION TO THE FACT THAT WE REVERSE THE ROLES OF X AND Y SO IT WILL
  * BE EASIER TO IMPLEMENT A MODEL FOR YMonotonePartitionTraits_2 (actually
@@ -42,31 +42,31 @@ namespace CGAL {
 
 template <class T_Kernel, class Container_P =
           std::vector<typename Arr_geodesic_arc_on_sphere_traits_2< T_Kernel >::Point_2> >
-class Arr_geodesic_arc_on_sphere_partition_traits_2 
+class Arr_geodesic_arc_on_sphere_partition_traits_2
   : public Arr_geodesic_arc_on_sphere_traits_2< T_Kernel >
 {
 private:
   typedef Arr_geodesic_arc_on_sphere_partition_traits_2< T_Kernel > Self;
   typedef Arr_geodesic_arc_on_sphere_traits_2< T_Kernel >           Base;
- 
+
 public:
- 
+
   /// \name PartitionTraits_2 concept
   //@{
- 
+
   typedef typename Base::Point_2                                    Point_2;
- 
-  /*! Class to represent polygon. Contain Vertex_const_iterator and access 
+
+  /*! Class to represent polygon. Contain Vertex_const_iterator and access
    *  functions.
    */
   class Polygon_2 : public Container_P
   {
   public:
     typedef typename Container_P::const_iterator         Vertex_const_iterator;
-   
+
     Vertex_const_iterator vertices_begin() const
-    { return this->begin();} 
-   
+    { return this->begin();}
+
     Vertex_const_iterator vertices_end() const
     { return this->end();}
   };
@@ -78,13 +78,13 @@ public:
   protected:
     /*! The traits (in case it has state) */
     const Self * m_traits;
-   
+
   public:
     /*! Constructor
      * \param traits the traits (in case it has state)
      */
     Less_xy_2(const Self * traits) : m_traits(traits) {}
-   
+
     /*! Compare two points lexigoraphically: by x, then by y.
      *  We actually reversing the order, so x <--> y.
      * \param p1 the first enpoint directional point.
@@ -99,10 +99,10 @@ public:
     {
       CGAL_precondition(p1.is_no_boundary());
       CGAL_precondition(p2.is_no_boundary());
-     
+
       // compare y and then x (reverse the order of x and y).
       Comparison_result res = m_traits->compare_y(p1, p2);
-      if (res == EQUAL) 
+      if (res == EQUAL)
         return m_traits->compare_x(p1, p2) == SMALLER;
       return res == SMALLER;
       //     return m_traits->compare_xy(p1, p2) == SMALLER;
@@ -118,7 +118,7 @@ public:
   protected:
     /*! The traits (in case it has state) */
     const Self * m_traits;
-      
+
   public:
 
     /*! Constructor
@@ -141,14 +141,14 @@ public:
     {
       CGAL_precondition(p1.is_no_boundary());
       CGAL_precondition(p2.is_no_boundary());
-     
+
       // compare x and then y (reverse the order of x and y).
       return m_traits->compare_xy(p1, p2) == SMALLER;
     }
   };
 
   Less_yx_2 less_yx_2_object() const { return Less_yx_2(this); }
- 
+
 
   /*! A functor that checks orientation of three points.
    */
@@ -157,7 +157,7 @@ public:
   protected:
     /*! The traits (in case it has state) */
     const Self * m_traits;
-   
+
   public:
 
     /*! Constructor
@@ -167,13 +167,13 @@ public:
 
     /*! Checks the orientation between three points.
      *  We actually reversing the order, so x <--> y.
-     * \param p 
+     * \param p
      * \param q
-     * \param r 
-     * \return CGAL::LEFT_TURN - r lies to the "left" of the oriented line l 
+     * \param r
+     * \return CGAL::LEFT_TURN - r lies to the "left" of the oriented line l
      *         defined by p and q (do not forget that x <--> y.
      *         CGAL::RIGHT_TURN - r lies to the "right" of l
-     *         CGAL::COLLINEAR - r lies on l. 
+     *         CGAL::COLLINEAR - r lies on l.
      * \pre p does not lie on the boundary.
      * \pre q does not lie on the boundary.
      * \pre r does not lie on the boundary.
@@ -187,16 +187,16 @@ public:
       CGAL_precondition(p.is_no_boundary());
       CGAL_precondition(q.is_no_boundary());
       CGAL_precondition(r.is_no_boundary());
-     
-      // the orientation is determined by the relative position of r with 
+
+      // the orientation is determined by the relative position of r with
       // respect to the plane that contains p and q.
-      typename Base::Vector_3 normal = 
+      typename Base::Vector_3 normal =
         m_traits->construct_cross_product_vector_3_object() (p.vector(),
                                                              q.vector());
 
       Oriented_side res = CGAL::sign(normal * r.vector());
 
-      return (res == ON_NEGATIVE_SIDE) ? RIGHT_TURN : 
+      return (res == ON_NEGATIVE_SIDE) ? RIGHT_TURN :
         ((res == ON_POSITIVE_SIDE) ? LEFT_TURN : COLLINEAR);
     }
   };
@@ -210,7 +210,7 @@ public:
   {
   protected:
     const Self * m_traits;
-   
+
   public:
     Left_turn_2 (const Self * traits) : m_traits(traits) {}
 
@@ -228,7 +228,7 @@ public:
    *  be used here as compare_y_2.
    * */
   typedef typename Base::Compare_x_2              Compare_y_2;
- 
+
   Compare_y_2 compare_y_2_object() const {return Base::compare_x_2_object(); }
 
 
@@ -239,14 +239,14 @@ public:
   protected:
     /*! The traits (in case it has state) */
     const Self * m_traits;
-   
+
   public:
- 
+
     /*! Constructor
      * \param traits the traits (in case it has state)
      */
     Compare_x_2(const Self * traits) : m_traits(traits) {}
-   
+
 
     /*! Compare two points by y coordinate.
      *  We actually reversing the order, so x <--> y.
@@ -262,25 +262,25 @@ public:
     {
       CGAL_precondition(p1.is_no_boundary());
       CGAL_precondition(p2.is_no_boundary());
-     
+
       // compare y and then x (reverse the order of x and y).
       return m_traits->compare_y(p1, p2);
     }
   };
 
   Compare_x_2 compare_x_2_object() const { return Compare_x_2(this); }
- 
+
   //@}
-  
+
   /// \name ConvexPartitionIsValidTraits_2 concept
   /// For now, we have a stub implementation. I am not sure how easy it is
   /// to create the real implementation.
   //@{
 
-  struct Is_convex_2 
+  struct Is_convex_2
   {
     template <typename T> Is_convex_2(T) {}
-    
+
     template<class InputIterator>
     bool operator ()(InputIterator first, InputIterator beyond) const
     { return true; }
@@ -288,7 +288,7 @@ public:
 
   Is_convex_2 is_convex_2_object() const { return Is_convex_2(); }
 
-  struct Is_valid 
+  struct Is_valid
   {
     template <typename T> Is_valid(T) {}
 
@@ -298,9 +298,9 @@ public:
   };
 
   // Is_valid is_valid_object() const { return Is_valid(); }
-  
+
   //@}
- 
+
 };
 
 
@@ -314,10 +314,10 @@ public:
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geodesic_arc_on_sphere_partition_traits_2.h $ 
-// $Id: Arr_geodesic_arc_on_sphere_partition_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geodesic_arc_on_sphere_partition_traits_2.h $
+// $Id: Arr_geodesic_arc_on_sphere_partition_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ophir Setter         <ophir.setter@cs.au.ac.il>
 
@@ -326,13 +326,13 @@ public:
 #define CGAL_ARR_GEODESIC_ARC_ON_SPHERE_PARTITION_TRAITS_2_H
 
 /*! \file
- * The partition traits class for geodesic arcs on the sphere enables 
- * the partition of geodesic polygons to convex polygons. It models the 
+ * The partition traits class for geodesic arcs on the sphere enables
+ * the partition of geodesic polygons to convex polygons. It models the
  * concept YMonotonePartitionTraits_2.
  * This partition of geodesic polygons is garenteed to work only for polygons
- * that are contained in a hemisphere and that do not intersect one of the 
- * boundaries. 
- * For larger polygons there is a chance that at least one steiner point may 
+ * that are contained in a hemisphere and that do not intersect one of the
+ * boundaries.
+ * For larger polygons there is a chance that at least one steiner point may
  * have to be added; see manuscript by Prof. Dan Halperin from 2008.
  * PAY ATTENTION TO THE FACT THAT WE REVERSE THE ROLES OF X AND Y SO IT WILL
  * BE EASIER TO IMPLEMENT A MODEL FOR YMonotonePartitionTraits_2 (actually
@@ -349,35 +349,35 @@ namespace CGAL {
 
 template <class T_Kernel, class Container_P = std::vector<
                             typename Arr_geodesic_arc_on_sphere_traits_2< T_Kernel >::Point_2> >
-class Arr_geodesic_arc_on_sphere_partition_traits_2 
+class Arr_geodesic_arc_on_sphere_partition_traits_2
   : public Arr_geodesic_arc_on_sphere_traits_2< T_Kernel >
 {
 private:
   typedef Arr_geodesic_arc_on_sphere_partition_traits_2< T_Kernel > Self;
   typedef Arr_geodesic_arc_on_sphere_traits_2< T_Kernel >           Base;
- 
+
 public:
- 
+
   /// \name PartitionTraits_2 concept
   //@{
- 
+
   typedef typename Base::Point_2                                    Point_2;
- 
-  /*! Class to represent polygon. Contain Vertex_const_iterator and access 
+
+  /*! Class to represent polygon. Contain Vertex_const_iterator and access
    *  functions.
    */
   class Polygon_2 : public Container_P
   {
   public:
     typedef typename Container_P::const_iterator                     Vertex_const_iterator;
-   
+
     Vertex_const_iterator vertices_begin() const
-    { return this->begin();} 
-   
+    { return this->begin();}
+
     Vertex_const_iterator vertices_end() const
     { return this->end();}
   };
- 
+
   /*! A functor that compares two points lexigoraphically: by x, then by y.
    */
   class Less_xy_2
@@ -385,14 +385,14 @@ public:
   protected:
     /*! The traits (in case it has state) */
     const Self * m_traits;
-   
+
   public:
 
     /*! Constructor
      * \param traits the traits (in case it has state)
      */
     Less_xy_2(const Self * traits) : m_traits(traits) {}
-   
+
     /*! Compare two points lexigoraphically: by x, then by y.
      *  We actually reversing the order, so x <--> y.
      * \param p1 the first enpoint directional point.
@@ -407,10 +407,10 @@ public:
     {
       CGAL_precondition(p1.is_no_boundary());
       CGAL_precondition(p2.is_no_boundary());
-     
+
       // compare y and then x (reverse the order of x and y).
       Comparison_result res = m_traits->compare_y(p1, p2);
-      if (res == EQUAL) 
+      if (res == EQUAL)
         return compare_x(p1, p2) == SMALLER;
       return res == SMALLER;
       //     return m_traits->compare_xy(p1, p2) == SMALLER;
@@ -426,7 +426,7 @@ public:
   protected:
     /*! The traits (in case it has state) */
     const Self * m_traits;
-     
+
   public:
 
     /*! Constructor
@@ -448,14 +448,14 @@ public:
     {
       CGAL_precondition(p1.is_no_boundary());
       CGAL_precondition(p2.is_no_boundary());
-     
+
       // compare x and then y (reverse the order of x and y).
       return m_traits->compare_xy(p1, p2) == SMALLER;
     }
   };
 
   Less_yx_2 less_yx_2_object() const { return Less_yx_2(this); }
- 
+
 
   /*! A functor that checks orientation of three points.
    */
@@ -464,9 +464,9 @@ public:
   protected:
     /*! The traits (in case it has state) */
     const Self * m_traits;
-   
+
   public:
-   
+
     /*! Constructor
      * \param traits the traits (in case it has state)
      */
@@ -474,13 +474,13 @@ public:
 
     /*! Checks the orientation between three points.
      *  We actually reversing the order, so x <--> y.
-     * \param p 
+     * \param p
      * \param q
-     * \param r 
-     * \return CGAL::LEFT_TURN - r lies to the "left" of the oriented line l 
+     * \param r
+     * \return CGAL::LEFT_TURN - r lies to the "left" of the oriented line l
      *         defined by p and q (do not forget that x <--> y.
      *         CGAL::RIGHT_TURN - r lies to the "right" of l
-     *         CGAL::COLLINEAR - r lies on l. 
+     *         CGAL::COLLINEAR - r lies on l.
      * \pre p does not lie on the boundary.
      * \pre q does not lie on the boundary.
      * \pre r does not lie on the boundary.
@@ -494,16 +494,16 @@ public:
       CGAL_precondition(p.is_no_boundary());
       CGAL_precondition(q.is_no_boundary());
       CGAL_precondition(r.is_no_boundary());
-     
-      // the orientation is determined by the relative position of r with 
+
+      // the orientation is determined by the relative position of r with
       // respect to the plane that contains p and q.
-      typename Base::Vector_3 normal = 
+      typename Base::Vector_3 normal =
         m_traits->construct_cross_product_vector_3_object() (p.vector(),
                                                              q.vector());
 
       Oriented_side res = m_traits->oriented_side(normal, r);
 
-      return (res == ON_NEGATIVE_SIDE) ? RIGHT_TURN : 
+      return (res == ON_NEGATIVE_SIDE) ? RIGHT_TURN :
         ((res == ON_POSITIVE_SIDE) ? LEFT_TURN : COLLINEAR);
     }
   };
@@ -517,7 +517,7 @@ public:
   {
   protected:
     const Self * m_traits;
-   
+
   public:
 
     Left_turn_2 (const Self * traits) : m_traits(traits) {}
@@ -536,7 +536,7 @@ public:
    *  be used here as compare_y_2.
    */
   typedef typename Base::Compare_x_2              Compare_y_2;
- 
+
   Compare_y_2 compare_y_2_object() const {return Base::compare_x_2_object(); }
 
   /*! A functor that compares two points by x coordinate.
@@ -546,7 +546,7 @@ public:
   protected:
     /*! The traits (in case it has state) */
     const Self * m_traits;
-      
+
   public:
 
     /*! Constructor
@@ -568,22 +568,22 @@ public:
     {
       CGAL_precondition(p1.is_no_boundary());
       CGAL_precondition(p2.is_no_boundary());
-     
+
       // compare y and then x (reverse the order of x and y).
       return m_traits->compare_y(p1, p2);
     }
   };
 
   Compare_x_2 compare_x_2_object() const { return Compare_x_2(this); }
- 
+
   //@}
-  
+
   /// \name ConvexPartitionIsValidTraits_2 concept
   /// For now, we have a stub implementation. I am not sure how easy it is
   /// to create the real implementation.
   //@{
 
-  class Is_convex_2 
+  class Is_convex_2
   {
     template<class InputIterator>
     bool operator ()(InputIterator first, InputIterator beyond) const
@@ -591,9 +591,9 @@ public:
   };
 
   Is_convex_2 is_convex_2_object() const { return Is_convex_2(); }
- 
+
   //@}
- 
+
 };
 
 
diff -pruN 5.0.2-3/include/CGAL/Arr_geodesic_arc_on_sphere_traits_2.h 5.0.3-1/include/CGAL/Arr_geodesic_arc_on_sphere_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_geodesic_arc_on_sphere_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geodesic_arc_on_sphere_traits_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geodesic_arc_on_sphere_traits_2.h $
-// $Id: Arr_geodesic_arc_on_sphere_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geodesic_arc_on_sphere_traits_2.h $
+// $Id: Arr_geodesic_arc_on_sphere_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Efi Fogel         <efif@post.tau.ac.il>
@@ -110,7 +110,7 @@ protected:
 
 #elif (CGAL_IDENTIFICATION_XY == CGAL_X_MINUS_8_Y_6)
     CGAL_STATIC_THREAD_LOCAL_VARIABLE_2(Direction_2, d, -8, 6);
-    
+
 #elif (CGAL_IDENTIFICATION_XY == CGAL_X_MINUS_11_Y_7)
     CGAL_STATIC_THREAD_LOCAL_VARIABLE_2(Direction_2, d, -11, 7);
 #else
@@ -2872,14 +2872,14 @@ public:
   /*! Copy constructor
    * \param other the other arc
    */
-#ifdef DOXYGEN_RUNNING  
+#ifdef DOXYGEN_RUNNING
   Arr_geodesic_arc_on_sphere_3
   (const Arr_geodesic_arc_on_sphere_3& other) : Base(other)
   {
     m_is_x_monotone = other.m_is_x_monotone;
   }
 #endif
-  
+
   /*! Constructor
    * \param src the source point of the arc
    * \param trg the target point of the arc
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/Arr_plane_3.h 5.0.3-1/include/CGAL/Arr_geometry_traits/Arr_plane_3.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/Arr_plane_3.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/Arr_plane_3.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Arr_plane_3.h $
-// $Id: Arr_plane_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Arr_plane_3.h $
+// $Id: Arr_plane_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Efi Fogel          <efif@post.tau.ac.il>
 
@@ -53,7 +53,7 @@ private:
 
   /*! The z coefficient */
   FT m_c;
-  
+
 public:
   /*! Default Constructor */
   Arr_plane_3() : m_a(0), m_b(0), m_c(0) {}
@@ -90,7 +90,7 @@ public:
 
   /*! Obtain the z coefficient */
   const FT & c() const { return m_c; }
-  
+
   /*! Obtain the i-th coefficient of the plane
    * \param i the index of the coefficient
    * \return the i-th coefficient
@@ -125,8 +125,8 @@ public:
   {
     Kernel kernel;
     typename Kernel::Plane_3 base_plane(m_a, m_b, m_c, 0);
-    Vector_3 v1 = kernel.construct_base_vector_3_object()(base_plane, 1);    
-    Vector_3 v2 = kernel.construct_base_vector_3_object()(base_plane, 2);    
+    Vector_3 v1 = kernel.construct_base_vector_3_object()(base_plane, 1);
+    Vector_3 v2 = kernel.construct_base_vector_3_object()(base_plane, 2);
     Vector_3 v3 = kernel.construct_orthogonal_vector_3_object()(base_plane);
 
     FT denom = v2[1]*v3[0]*v1[2] - v2[0]*v3[1]*v1[2] + v3[2]*v2[0]*v1[1] +
@@ -135,7 +135,7 @@ public:
               v2[0]*v3[1]*p[2] - v3[2]*v2[0]*p[1] - v2[2]*v3[1]*p[0]) / denom;
     FT y = (v1[1]*v3[2]*p[0] - v1[1]*v3[0]*p[2] - v3[1]*p[0]*v1[2] +
             v3[1]*v1[0]*p[2] + p[1]*v3[0]*v1[2] - p[1]*v3[2]*v1[0]) / denom;
-    
+
     return Point_2(x, y);
   }
 
@@ -155,7 +155,7 @@ public:
     std::cout << "(a, b, c): " << a() << "," << b() << "," << c()
               << std::endl;
 #endif
-    
+
     if (i == 0) {
       CGAL_assertion(m_a != 0);
       FT y = p_2.x();
@@ -268,7 +268,7 @@ inline std::ostream & operator<<(std::os
 {
   os << plane[0] << ", " << plane[1] << ", " << plane[2];
   return os;
-}  
+}
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/Bezier_bounding_rational_traits.h 5.0.3-1/include/CGAL/Arr_geometry_traits/Bezier_bounding_rational_traits.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/Bezier_bounding_rational_traits.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/Bezier_bounding_rational_traits.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Bezier_bounding_rational_traits.h $
-// $Id: Bezier_bounding_rational_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Bezier_bounding_rational_traits.h $
+// $Id: Bezier_bounding_rational_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Iddo Hanniel <iddoh@cs.technion.ac.il>
 //                 Ron Wein     <wein@post.tau.ac.il>
@@ -22,8 +22,8 @@
  */
 
 #include <CGAL/Cartesian.h>
-#include <CGAL/Polygon_2_algorithms.h> 
-#include <CGAL/Arr_geometry_traits/de_Casteljau_2.h> 
+#include <CGAL/Polygon_2_algorithms.h>
+#include <CGAL/Arr_geometry_traits/de_Casteljau_2.h>
 
 #include <deque>
 #include <list>
@@ -37,7 +37,7 @@ namespace CGAL {
  * equals B(t) for some point t_min <= t <= t_max. We also store a bounding
  * polynomial for the point (obtain by de Casteljau's algorithm).
  */
-template <class Kernel_> 
+template <class Kernel_>
 struct _Bez_point_bound
 {
   /*! \enum Type
@@ -75,7 +75,7 @@ struct _Bez_point_bound
   /*! Constructor with parameters. */
   _Bez_point_bound (Type _type,
                     const Control_points& _ctrl,
-                    const NT& _t_min, const NT& _t_max, 
+                    const NT& _t_min, const NT& _t_max,
                     bool _can_refine) :
     type (_type),
     ctrl (_ctrl),
@@ -87,7 +87,7 @@ struct _Bez_point_bound
 /*! \struct _Bez_point_bbox
  * A bounding box for a point on a Bezier curve.
  */
-template <class Kernel_> 
+template <class Kernel_>
 struct _Bez_point_bbox
 {
   typedef Kernel_                       Kernel;
@@ -107,7 +107,7 @@ struct _Bez_point_bbox
 
   /*! Constructor with parameters. */
   _Bez_point_bbox (const NT& _min_x, const NT& _max_x,
-                   const NT& _min_y, const NT& _max_y) : 
+                   const NT& _min_y, const NT& _max_y) :
     min_x(_min_x), max_x(_max_x),
     min_y(_min_y), max_y(_max_y)
   {}
@@ -379,7 +379,7 @@ public:
     const NT&              t_max2 = in_pt.bound2.t_max;
     bool                   can_refine2 = can_refine (cp2, t_min2, t_max2);
 
-    if (! can_refine1 || ! can_refine2) 
+    if (! can_refine1 || ! can_refine2)
     {
       // Failed in the bounded approach - stop the subdivision and indicate
       // that the subdivision has failed.
@@ -398,7 +398,7 @@ public:
                               std::back_inserter(cp1a),
                               std::front_inserter(cp1b));
 
-    Control_points         cp2a, cp2b; 
+    Control_points         cp2a, cp2b;
     const NT               t_mid2 = (t_min2 + t_max2) / 2;
 
     bisect_control_polygon_2 (cp2.begin(), cp2.end(),
@@ -411,7 +411,7 @@ public:
     const bool can_refine_pt_cp1b = can_refine (cp1b, t_mid1, t_max1);
     const bool can_refine_pt_cp2a = can_refine (cp2a, t_min2, t_mid2);
     const bool can_refine_pt_cp2b = can_refine (cp2b, t_mid2, t_max2);
-    
+
     if (! can_refine_pt_cp1a || ! can_refine_pt_cp1b ||
         ! can_refine_pt_cp2a || ! can_refine_pt_cp2b)
     {
@@ -752,10 +752,10 @@ public:
     }
 
     // Set the bounding box.
-    bez_bbox.min_x = min_x->x(); 
-    bez_bbox.max_x = max_x->x(); 
-    bez_bbox.min_y = min_y->y(); 
-    bez_bbox.max_y = max_y->y(); 
+    bez_bbox.min_x = min_x->x();
+    bez_bbox.max_x = max_x->x();
+    bez_bbox.min_y = min_y->y();
+    bez_bbox.max_y = max_y->y();
     return;
   }
   //@}
@@ -780,7 +780,7 @@ private:
     // set as the "reference" comparison result.
     typename Control_points::const_iterator  pt_curr = cp.begin();
     typename Control_points::const_iterator  pt_end = cp.end();
-    typename Control_points::const_iterator  pt_next = pt_curr; 
+    typename Control_points::const_iterator  pt_next = pt_curr;
 
     ++pt_next;
     while (pt_next != pt_end)
@@ -895,7 +895,7 @@ private:
           updated_span = true;
         }
       }
-      else 
+      else
       {
         // Check if we need to update the maximal vector in the span.
         if (f_orientation (f_construct_point (ORIGIN, v),
@@ -944,14 +944,14 @@ private:
     const Direction_2     dir_r1 = f_construct_direction (v_max1);
     const Direction_2     dir_l2 = f_construct_direction (v_min2);
     const Direction_2     dir_r2 = f_construct_direction (v_max2);
-    
+
     //use the directions to test equality of spans
     if ( f_equal (dir_l1, dir_l2) && f_equal (dir_r1, dir_r2)) //spans are identical
-      return (true);   
+      return (true);
 
     if ( f_equal (dir_l1, dir_r1) && f_equal (dir_r2, dir_l2) && f_equal (dir_l1, -dir_l2)) //spans are identical but opposite
-      return (true);    
-    
+      return (true);
+
     // Check whether any of the vectors of the second span (or their
     // opposite vectors) is between the vectors of the first span.
     if (! f_equal (dir_l1, dir_r1) &&
@@ -1135,11 +1135,11 @@ private:
                                      std::set<NT>& iept_params,
                                      std::list<Intersection_point>& ipts)
   {
-    // Check if we got to subdivision termination criteria. 
+    // Check if we got to subdivision termination criteria.
     const bool  can_refine1 = can_refine (cp1, t_min1, t_max1);
     const bool  can_refine2 = can_refine (cp2, t_min2, t_max2);;
 
-    if (! can_refine1 || ! can_refine2) 
+    if (! can_refine1 || ! can_refine2)
     {
       // It is not possible to further refine the approximation, so we stop
       // the recursive subdivision, and construct an output intersection point
@@ -1239,10 +1239,10 @@ private:
       const Oriented_side  or_2b_s1 = f_oriented_side (skew2b, s1);
       const Oriented_side  or_2b_t1 = f_oriented_side (skew2b, t1);
 
-      const bool           s1_t1_are_opposite = 
+      const bool           s1_t1_are_opposite =
           ((or_2a_s1 == CGAL::opposite (or_2a_t1)) &&
            (or_2b_s1 == CGAL:: opposite (or_2b_t1))
-          ) || 
+          ) ||
           ( skew2a==skew2b && or_2a_s1!=or_2a_t1 );
 
       const Oriented_side  or_1a_s2 = f_oriented_side (skew1a, s2);
@@ -1253,10 +1253,10 @@ private:
 
       const bool           s2_t2_are_opposite =
           ((or_1a_s2 == CGAL::opposite (or_1a_t2)) &&
-           (or_1b_s2 == CGAL::opposite (or_1b_t2)))|| 
+           (or_1b_s2 == CGAL::opposite (or_1b_t2)))||
           ( skew1a==skew1b && or_1a_s2!=or_1a_t2 );
 
-      if (s1_t1_are_opposite && s2_t2_are_opposite) 
+      if (s1_t1_are_opposite && s2_t2_are_opposite)
       {
         // Construct a finer bounding box for the intersection point from
         // the intersection of the two skewed bounding boxes.
@@ -1273,7 +1273,7 @@ private:
         aux_vec.push_back(p);
 
         res = f_intersect (skew1a, skew2b);
-        if (! assign(p, res)) 
+        if (! assign(p, res))
         {
           CGAL_error();
         }
@@ -1287,7 +1287,7 @@ private:
         aux_vec.push_back(p);
 
         res = f_intersect (skew1b, skew2b);
-        if (!assign(p, res)) 
+        if (!assign(p, res))
         {
           CGAL_error();
         }
@@ -1313,7 +1313,7 @@ private:
     // Apply de Casteljau's algorithm and bisect both bounding polylines.
     Control_points         cp1a, cp1b;
     const NT               t_mid1 = (t_min1 + t_max1) / 2;
-    
+
     bisect_control_polygon_2 (cp1.begin(), cp1.end(),
                               std::back_inserter(cp1a),
                               std::front_inserter(cp1b));
@@ -1357,13 +1357,13 @@ private:
                                   ipts);
 
     _compute_intersection_points (cp1a, t_min1, t_mid1,
-                                  cp2b, t_mid2, t_max2, 
+                                  cp2b, t_mid2, t_max2,
                                   spans_overlap,
                                   iept_params,
                                   ipts);
 
     _compute_intersection_points (cp1b, t_mid1, t_max1,
-                                  cp2a, t_min2, t_mid2, 
+                                  cp2a, t_min2, t_mid2,
                                   spans_overlap,
                                   iept_params,
                                   ipts);
@@ -1393,7 +1393,7 @@ private:
   {
     // \todo Handle the special case of degree two curves.
 
-    // Check if we got to subdivision termination criteria. 
+    // Check if we got to subdivision termination criteria.
     if (! can_refine (cp, t_min, t_max))
     {
       // It is not possible to further refine the approximation, so we stop
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/Bezier_cache.h 5.0.3-1/include/CGAL/Arr_geometry_traits/Bezier_cache.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/Bezier_cache.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/Bezier_cache.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Bezier_cache.h $
-// $Id: Bezier_cache.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Bezier_cache.h $
+// $Id: Bezier_cache.h cba160f 2020-06-30T16:37:01+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein     <wein@post.tau.ac.il>
 
@@ -78,7 +78,7 @@ public:
     typename Intersection_list::const_iterator       Intersection_iter;
 
   //@}
-  
+
 private:
 
   typedef std::map<Curve_id,
@@ -251,7 +251,7 @@ private:
                              const Polynomial& polyY_1, const Integer& normY_1,
                              const Polynomial& polyX_2, const Integer& normX_2,
                              const Polynomial& polyY_2, const Integer& normY_2,
-                             Parameter_list& s_vals) const;
+                             Parameter_list& s_vals, bool find_out_of_range=false) const;
 
   /*!
    * Compute all s-parameter values of the self intersection of (X(s), Y(s))
@@ -300,7 +300,7 @@ _Bezier_cache<NtTraits>::get_vertical_ta
   // such that X'(t) = 0, and store them in the cache.
   Vertical_tangency_list&  vert_tang_list = vert_tang_map[id];
   const Polynomial&        polyX_der = nt_traits.derive (polyX);
-  
+
   nt_traits.compute_polynomial_roots (polyX_der, 0, 1,
                                       std::back_inserter(vert_tang_list));
   return (vert_tang_list);
@@ -407,14 +407,14 @@ _Bezier_cache<NtTraits>::get_intersectio
 
   do_ovlp = _intersection_params (polyX_2, normX_2, polyY_2, normY_2,
                                   polyX_1, normX_1, polyY_1, normY_1,
-                                  t_vals);
+                                  t_vals, true);
 
   CGAL_assertion (! do_ovlp);
 
   // s-values and t-values reported lie in the range [0,1]. We have
   // to pair them together. Note that the numbers of s-values and t-values
   //can be different as a s-value in [0,1] may correspond to a t-values
-  //outside this range. To make the pairing correct, we choose the one with 
+  //outside this range. To make the pairing correct, we choose the one with
   //less values and look amongst other values the correct one (thus the swapt below).
 
   // Compute all points on (X_1, Y_1) that match an s-value from the list.
@@ -457,21 +457,14 @@ _Bezier_cache<NtTraits>::get_intersectio
   const Algebraic           one (1);
   unsigned int              k;
 
-  //pointers are used to set the list pts1_ptr as the one with the less values
-  Point_list* pts1_ptr=&pts1;
-  Point_list* pts2_ptr=&pts2;
-  bool swapt=pts1.size() > pts2.size();
-  if (swapt)
-    std::swap(pts1_ptr,pts2_ptr);
-  
-  for (pit1 = pts1_ptr->begin(); pit1 != pts1_ptr->end(); ++pit1)
+  for (pit1 = pts1.begin(); pit1 != pts1.end(); ++pit1)
   {
     // Construct a vector of distances from the current point to all other
     // points in the pts2 list.
-    const int                     n_pts2 = static_cast<int>(pts2_ptr->size());
+    const int                     n_pts2 = static_cast<int>(pts2.size());
     std::vector<Distance_iter>    dist_vec (n_pts2);
 
-    for (k = 0, pit2 = pts2_ptr->begin(); pit2 != pts2_ptr->end(); k++, ++pit2)
+    for (k = 0, pit2 = pts2.begin(); pit2 != pts2.end(); k++, ++pit2)
     {
       // Compute the approximate distance between the teo current points.
       dx = pit1->app_x - pit2->app_x;
@@ -479,9 +472,9 @@ _Bezier_cache<NtTraits>::get_intersectio
 
       dist_vec[k] = Distance_iter (dx*dx + dy*dy, pit2);
     }
-      
+
     // Sort the vector according to the distances from *pit1.
-    std::sort (dist_vec.begin(), dist_vec.end(), 
+    std::sort (dist_vec.begin(), dist_vec.end(),
                Less_distance_iter());
 
     // Go over the vector entries, starting from the most distant from *pit1
@@ -508,7 +501,7 @@ _Bezier_cache<NtTraits>::get_intersectio
           pit1->y = pit2->y;
 
         // Remove this point from pts2, as we found a match for it.
-        pts2_ptr->erase (pit2);
+        pts2.erase (pit2);
         found = true;
       }
     }
@@ -528,17 +521,15 @@ _Bezier_cache<NtTraits>::get_intersectio
         pit1->y = pit2->y;
 
       // Remove this point from pts2, as we found a match for it.
-      pts2_ptr->erase (pit2);
+      pts2.erase (pit2);
     }
 
     // Check that  s- and t-values both lie in the legal range of [0,1].
-    CGAL_assertion(CGAL::sign (s) != NEGATIVE && CGAL::compare (s, one) != LARGER &&
-                   CGAL::sign (t) != NEGATIVE && CGAL::compare (t, one) != LARGER);
-    
-    if (!swapt)
+    if(CGAL::sign (s) != NEGATIVE && CGAL::compare (s, one) != LARGER &&
+      CGAL::sign (t) != NEGATIVE && CGAL::compare (t, one) != LARGER)
+    {
       info.first.push_back (Intersection_point_2 (s, t,pit1->x, pit1->y));
-    else
-      info.first.push_back (Intersection_point_2 (t, s,pit1->x, pit1->y));
+    }
   }
 
   info.second = false;
@@ -582,7 +573,7 @@ bool _Bezier_cache<NtTraits>::_intersect
          const Polynomial& polyY_1, const Integer& normY_1,
          const Polynomial& polyX_2, const Integer& normX_2,
          const Polynomial& polyY_2, const Integer& normY_2,
-         Parameter_list& s_vals) const
+         Parameter_list& s_vals, bool find_out_of_range) const
 {
   // Clear the output parameter list.
   if (! s_vals.empty())
@@ -614,7 +605,7 @@ bool _Bezier_cache<NtTraits>::_intersect
   // Consruct the bivariate polynomial that corresponds to Equation II.
   const int                degY_2 = nt_traits.degree (polyY_2);
   std::vector<Polynomial>  coeffsY_st (degY_2 < 0 ? 1 : (degY_2 + 1));
-    
+
   for (k = degY_2; k >= 0; k--)
   {
     coeff = nt_traits.get_coefficient (polyY_2, k) * normY_1;
@@ -633,8 +624,12 @@ bool _Bezier_cache<NtTraits>::_intersect
   }
 
   // Compute the roots of the resultant polynomial and mark that the curves do
-  // not overlap. The roots we are interested in must be in the interval [0,1].
-  nt_traits.compute_polynomial_roots (res,0,1,std::back_inserter (s_vals));
+  // not overlap. The roots we are interested in are usually in the interval [0,1].
+  if (find_out_of_range)
+    nt_traits.compute_polynomial_roots (res,std::back_inserter (s_vals));
+  else
+    nt_traits.compute_polynomial_roots (res,0,1,std::back_inserter (s_vals));
+
   return (false);
 }
 
@@ -684,9 +679,9 @@ void _Bezier_cache<NtTraits>::_self_inte
   // Consruct the bivariate polynomial that corresponds to Equation II.
   const int                degY = nt_traits.degree (polyY);
   CGAL_assertion(degY > 0);
-  if (degY <= 0) return; //no self intersection if Y is constant  
+  if (degY <= 0) return; //no self intersection if Y is constant
   std::vector<Polynomial>  coeffsY_st (degY);
-    
+
   coeffs = new Integer [degY];
 
   for (i = 0; i < degY; i++)
@@ -732,25 +727,25 @@ _Bezier_cache<NtTraits>::_compute_result
 
   std::vector<std::vector<Polynomial> >  mat (dim);
   std::vector <std::size_t>                      exp_fact (dim);
-  
+
   for (i = 0; i < dim; i++)
   {
     mat[i].resize (dim);
     exp_fact[i] = 0;
-    
+
     for (j = 0; j < dim; j++)
       mat[i][j] = zero_poly;
   }
-  
+
   // Initialize it with copies of the two bivariate polynomials.
   for (i = 0; i < n; i++)
     for (j = 0; j <= m; ++j)
       mat[i][i + j] = bp1[j];
-  
+
   for (i = 0; i < m; i++)
     for (j = 0; j <= n;++j)
       mat[n + i][i + j] = bp2[j];
-  
+
   // Perform Gaussian elimination on the Sylvester matrix. The goal is to
   // reach an upper-triangular matrix, whose diagonal elements are mat[0][0]
   // to mat[dim-1][dim-1], such that the determinant of the original matrix
@@ -780,7 +775,7 @@ _Bezier_cache<NtTraits>::_compute_result
       // If the current diagonal value is a zero polynomial, try to replace
       // the current i'th row with a row with a higher index k, such that
       // mat[k][i] is not a zero polynomial.
-      
+
       found_row = false;
       for (k = i + 1; k < dim; k++)
       {
@@ -790,7 +785,7 @@ _Bezier_cache<NtTraits>::_compute_result
           break;
         }
       }
-      
+
       if (found_row)
       {
         // Swap the i'th and the k'th rows (note that we start from the i'th
@@ -802,7 +797,7 @@ _Bezier_cache<NtTraits>::_compute_result
           mat[i][j] = mat[k][j];
           mat[k][j] = value;
         }
-        
+
         // Swapping two rows should change the sign of the determinant.
         // We therefore swap the sign of the normalization factor.
         sign_fact = -sign_fact;
@@ -814,7 +809,7 @@ _Bezier_cache<NtTraits>::_compute_result
         return (mat[i][i]);
       }
     }
-    
+
     // Zero the whole i'th column of the following rows.
     for (k = i + 1; k < dim; k++)
     {
@@ -822,12 +817,12 @@ _Bezier_cache<NtTraits>::_compute_result
       {
         value = mat[k][i];
         mat[k][i] = zero_poly;
-        
+
         for (j = i + 1; j < dim; j++)
         {
-          mat[k][j] = mat[k][j] * mat[i][i] - mat[i][j] * value; 
+          mat[k][j] = mat[k][j] * mat[i][i] - mat[i][j] * value;
         }
-        
+
         // We multiplied the current row by the i'th diagonal entry, thus
         // multipling the determinant value by it. We therefore increment
         // the exponent of mat[i][i] in the normalization factor.
@@ -841,7 +836,7 @@ _Bezier_cache<NtTraits>::_compute_result
   const Integer    sgn (sign_fact);
   Polynomial       det_factor = nt_traits.construct_polynomial (&sgn, 0);
   Polynomial       diag_prod = mat[dim - 1][dim - 1];
-  
+
   CGAL_assertion (exp_fact [dim - 1] == 0);
   for (i = 0; i+2 <= dim; ++i)
   {
@@ -856,20 +851,20 @@ _Bezier_cache<NtTraits>::_compute_result
     {
       diag_prod *= mat[i][i];
     }
-    
+
     for (j = 0; j < exp_fact[i]; j++)
       det_factor *= mat[i][i];
   }
-  
+
   // In case of a trivial normalization factor, just return the product
   // of diagonal elements.
   if (nt_traits.degree(det_factor) == 0)
     return (diag_prod);
-  
+
   // Divide the product of diagonal elements by the normalization factor
   // and obtain the determinant (note that we should have no remainder).
   Polynomial       det, rem;
-  
+
   det = nt_traits.divide (diag_prod, det_factor, rem);
 
   CGAL_assertion (nt_traits.degree(rem) < 0);
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/Bezier_curve_2.h 5.0.3-1/include/CGAL/Arr_geometry_traits/Bezier_curve_2.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/Bezier_curve_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/Bezier_curve_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Bezier_curve_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Bezier_curve_2.h $
 // $Id: Bezier_curve_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/Bezier_point_2.h 5.0.3-1/include/CGAL/Arr_geometry_traits/Bezier_point_2.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/Bezier_point_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/Bezier_point_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Bezier_point_2.h $
-// $Id: Bezier_point_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Bezier_point_2.h $
+// $Id: Bezier_point_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein     <wein@post.tau.ac.il>
 //                 Iddo Hanniel <iddoh@cs.technion.ac.il>
@@ -45,7 +45,7 @@ template <class RatKernel_, class AlgKer
           class BoundingTraits_>
 class _Bezier_point_2_rep
 {
-  friend class _Bezier_point_2<RatKernel_, AlgKernel_, NtTraits_, 
+  friend class _Bezier_point_2<RatKernel_, AlgKernel_, NtTraits_,
                                BoundingTraits_>;
 
 public:
@@ -66,7 +66,7 @@ public:
   typedef _Bezier_point_2_rep<Rat_kernel,
                               Alg_kernel,
                               Nt_traits,
-                              Bounding_traits>    Self; 
+                              Bounding_traits>    Self;
 
 private:
 
@@ -144,7 +144,7 @@ private:
     }
 
     /*! Destructor. */
-    ~Originator() 
+    ~Originator()
     {
       if (p_t != nullptr)
         delete p_t;
@@ -205,7 +205,7 @@ private:
       return (p_t != nullptr);
     }
 
-    /*! 
+    /*!
      * Get the algebraic parameter.
      * \pre The parameter value is available.
      */
@@ -216,13 +216,13 @@ private:
     }
 
     /*!
-     * Set the parameter value. 
+     * Set the parameter value.
      * \pre The parameter value is not yet set.
      */
     void set_parameter (const Algebraic& t)
     {
       CGAL_precondition (p_t == nullptr);
-      
+
       p_t = new Algebraic (t);
 
       // Update the Bez_point_bound by converting t to an interval of doubles
@@ -266,7 +266,7 @@ private:
 
     /*! Constructor given control points an a t-range. */
     Subcurve (const Control_points& _ctrl,
-              const BoundNT& _tmin, 
+              const BoundNT& _tmin,
               const BoundNT& _tmax) :
       ctrl (_ctrl),
       t_min (_tmin),
@@ -274,7 +274,7 @@ private:
     {}
 
     /*! Constructor given a t-range. */
-    Subcurve (const BoundNT& _tmin, 
+    Subcurve (const BoundNT& _tmin,
               const BoundNT& _tmax) :
       t_min (_tmin),
       t_max (_tmax)
@@ -326,7 +326,7 @@ public:
    * \param x The exact x-coordinate.
    * \param y The exact y-coordinate.
    */
-  _Bezier_point_2_rep (const Algebraic& x, const Algebraic& y, bool) : 
+  _Bezier_point_2_rep (const Algebraic& x, const Algebraic& y, bool) :
     p_rat_x (nullptr),
     p_rat_y (nullptr)
   {
@@ -335,9 +335,9 @@ public:
 
     // Initialize the bounding box.
     Nt_traits                         nt_traits;
-    const std::pair<double, double>&  x_bnd = 
+    const std::pair<double, double>&  x_bnd =
                                         nt_traits.double_interval (x);
-    const std::pair<double, double>&  y_bnd = 
+    const std::pair<double, double>&  y_bnd =
                                         nt_traits.double_interval (y);
 
     _bbox.min_x = x_bnd.first;
@@ -433,7 +433,7 @@ public:
       p_alg_y = new Algebraic (*(pt.p_alg_y));
     if (pt.p_rat_y != nullptr)
       p_rat_y = new Rational (*(pt.p_rat_y));
-  
+
     _origs = pt._origs;
     _bbox = pt._bbox;
 
@@ -476,12 +476,12 @@ public:
    * Determines the vertical position of the point with respect to an
    * x-monotone subcurve, given by its control polygon.
    * \param cp The control polygon of the subcurve.
-   * \param t_min Defines the smallest parameter value of the subcurve. 
-   * \param t_max Defines the largest parameter value of the subcurve. 
+   * \param t_min Defines the smallest parameter value of the subcurve.
+   * \param t_max Defines the largest parameter value of the subcurve.
    * \return SMALLER if the point is located below the curve;
    *         LARGER if the point is located above the curve;
    *         EQUAL if we cannot determine its precise position.
-   */  
+   */
   Comparison_result vertical_position (const Control_points& cp,
                                        const BoundNT& t_min,
                                        const BoundNT& t_max);
@@ -507,7 +507,7 @@ private:
   void _make_exact (Bezier_cache& cache);
 };
 
-template <class RatKernel_, class AlgKernel_, class NtTraits_, 
+template <class RatKernel_, class AlgKernel_, class NtTraits_,
           class BoundingTraits_>
 class _Bezier_point_2 :
   public Handle_for<_Bezier_point_2_rep<RatKernel_,
@@ -694,7 +694,7 @@ public:
   operator Rat_point_2 () const
   {
     CGAL_precondition (_rep().is_rational());
-    
+
     return (Rat_point_2 (*(_rep().p_rat_x), *(_rep().p_rat_y)));
   }
 
@@ -705,7 +705,7 @@ public:
   bool refine () const
   {
     Bpt_rep&             rep = const_cast<Bpt_rep&> (_rep());
-    
+
     return (rep._refine());
   }
 
@@ -715,7 +715,7 @@ public:
   void fit_to_bbox () const
   {
     Bpt_rep&             rep = const_cast<Bpt_rep&> (_rep());
-    
+
     return (rep._fit_to_bbox());
   }
 
@@ -738,7 +738,7 @@ public:
    * \return The comparison result;
    */
   Comparison_result compare_x (const Self& pt,
-                               Bezier_cache& cache) const 
+                               Bezier_cache& cache) const
   {
     if (this->identical (pt))
       return (EQUAL);
@@ -758,7 +758,7 @@ public:
    * \return The comparison result;
    */
   Comparison_result compare_xy (const Self& pt,
-                                Bezier_cache& cache) const 
+                                Bezier_cache& cache) const
   {
     if (this->identical (pt))
       return EQUAL;
@@ -776,12 +776,12 @@ public:
 
       CGAL_assertion (this->identical (pt));
     }
-      
+
     return (res);
   }
 
   /*!
-   * Determine if the two points are equal. 
+   * Determine if the two points are equal.
    */
   bool equals (const Self& pt,
                Bezier_cache& cache) const
@@ -793,8 +793,8 @@ public:
    * Determines the vertical position of the point with respect to an
    * x-monotone subcurve, given by its control polygon.
    * \param cp The control polygon of the subcurve.
-   * \param t_min Defines the smallest parameter value of the subcurve. 
-   * \param t_max Defines the largest parameter value of the subcurve. 
+   * \param t_min Defines the smallest parameter value of the subcurve.
+   * \param t_max Defines the largest parameter value of the subcurve.
    * \return SMALLER if the point is located below the curve;
    *         LARGER if the point is located above the curve;
    *         EQUAL if we cannot determine its precise position.
@@ -925,9 +925,9 @@ public:
   }
 
   /*! Get the bounding box of the point. */
-  void get_bbox (typename Bounding_traits::NT& min_x, 
-                 typename Bounding_traits::NT& min_y, 
-                 typename Bounding_traits::NT& max_x, 
+  void get_bbox (typename Bounding_traits::NT& min_x,
+                 typename Bounding_traits::NT& min_y,
+                 typename Bounding_traits::NT& max_x,
                  typename Bounding_traits::NT& max_y) const
   {
     min_x = _rep()._bbox.min_x;
@@ -955,10 +955,10 @@ private:
 /*!
  * Exporter for Bezier points.
  */
-template <class Rat_kernel, class Alg_kernel, class Nt_traits, 
+template <class Rat_kernel, class Alg_kernel, class Nt_traits,
           class Bounding_traits>
-std::ostream& 
-operator<< (std::ostream& os, 
+std::ostream&
+operator<< (std::ostream& os,
             const _Bezier_point_2<Rat_kernel, Alg_kernel, Nt_traits,
                                   Bounding_traits> & pt)
 {
@@ -969,9 +969,9 @@ operator<< (std::ostream& os,
   else
   {
     typename Bounding_traits::NT   min_x, min_y, max_x, max_y;
-    
+
     pt.get_bbox(min_x, min_y, max_x, max_y);
-    os << '~' << CGAL::to_double ((min_x + max_x) / 2) 
+    os << '~' << CGAL::to_double ((min_x + max_x) / 2)
        << " ~" << CGAL::to_double ((min_y + max_y) / 2);
   }
 
@@ -1061,16 +1061,16 @@ _Bezier_point_2_rep<RatKer, AlgKer, NtTr
 
   // Set the point coordinates.
   const Alg_point_2   p = B (t0);
-  
+
   p_alg_x = new Algebraic (p.x());
   p_alg_y = new Algebraic (p.y());
-  
+
   // Set the bounding box for this point, by converting x, y to two ranges
   // of doubles.
   Nt_traits                         nt_traits;
-  const std::pair<double, double>&  x_bnd = 
+  const std::pair<double, double>&  x_bnd =
                                         nt_traits.double_interval (*p_alg_x);
-  const std::pair<double, double>&  y_bnd = 
+  const std::pair<double, double>&  y_bnd =
                                         nt_traits.double_interval (*p_alg_y);
 
   _bbox.min_x = x_bnd.first;
@@ -1096,16 +1096,16 @@ _Bezier_point_2_rep<RatKer, AlgKer, NtTr
 
   // Set the point coordinates.
   const Alg_point_2   p = B (t0);
-  
+
   p_alg_x = new Algebraic (p.x());
   p_alg_y = new Algebraic (p.y());
-  
+
   // Set the bounding box for this point, by converting x, y  to two ranges
   // of doubles.
   Nt_traits                         nt_traits;
-  const std::pair<double, double>&  x_bnd = 
+  const std::pair<double, double>&  x_bnd =
                                         nt_traits.double_interval (*p_alg_x);
-  const std::pair<double, double>&  y_bnd = 
+  const std::pair<double, double>&  y_bnd =
                                         nt_traits.double_interval (*p_alg_y);
 
   _bbox.min_x = x_bnd.first;
@@ -1138,7 +1138,7 @@ _Bezier_point_2_rep<RatKer, AlgKer, NtTr
     // Compare the x-ranges of the bounding boxes.
     if (CGAL::compare (_bbox.max_x, pt._bbox.min_x) == SMALLER)
       return (SMALLER);
-    
+
     if (CGAL::compare (_bbox.min_x, pt._bbox.max_x) == LARGER)
       return (LARGER);
 
@@ -1174,7 +1174,7 @@ _Bezier_point_2_rep<RatKer, AlgKer, NtTr
     {
       if (can_refine1)
         can_refine1 = this->_refine();
-      
+
       if (! can_refine1)
         this->_make_exact (cache);
     }
@@ -1187,7 +1187,7 @@ _Bezier_point_2_rep<RatKer, AlgKer, NtTr
     {
       if (can_refine2)
         can_refine2 = pt._refine();
-      
+
       if (! can_refine2)
         pt._make_exact (cache);
     }
@@ -1318,7 +1318,7 @@ _Bezier_point_2_rep<RatKer, AlgKer, NtTr
         bisect_control_polygon_2 (iter->ctrl.begin(), iter->ctrl.end(),
                                   std::back_inserter(scv_left.ctrl),
                                   std::front_inserter(scv_right.ctrl));
-        
+
         subcurves.insert (iter, scv_left);
         subcurves.insert (iter, scv_right);
         subcurves.erase(iter++);
@@ -1340,7 +1340,7 @@ _Bezier_point_2_rep<RatKer, AlgKer, NtTr
 
       // If we got here without entering one of the clauses above,
       // then iter has not been incremented yet.
-      ++iter; 
+      ++iter;
     }
 
     // If we reached here without splitting a subcurve, then we have a
@@ -1415,7 +1415,7 @@ bool _Bezier_point_2_rep<RatKer, AlgKer,
 
     return (true);
   }
-  
+
   if (orig1.point_bound().type == Bez_point_bound::INTERSECTION_PT)
   {
     CGAL_assertion(_origs.size() == 2);
@@ -1536,7 +1536,7 @@ void _Bezier_point_2_rep<RatKer, AlgKer,
 template <class RatKer, class AlgKer, class NtTrt, class BndTrt>
 void _Bezier_point_2_rep<RatKer, AlgKer, NtTrt, BndTrt>::_make_exact
         (Bezier_cache& cache)
-{                
+{
   if (is_exact())
     return;
 
@@ -1571,7 +1571,7 @@ void _Bezier_point_2_rep<RatKer, AlgKer,
         Originator&   orig = const_cast<Originator&> (*org_it);
 
         orig.set_parameter (*vt_it);
-        
+
         // Evaluate the curve at the given parameter value.
         const Alg_point_2&   p = org_it->curve() (*vt_it);
 
@@ -1580,9 +1580,9 @@ void _Bezier_point_2_rep<RatKer, AlgKer,
 
         // Update the bounding box.
         Nt_traits                         nt_traits;
-        const std::pair<double, double>&  x_bnd = 
+        const std::pair<double, double>&  x_bnd =
                                         nt_traits.double_interval (*p_alg_x);
-        const std::pair<double, double>&  y_bnd = 
+        const std::pair<double, double>&  y_bnd =
                                         nt_traits.double_interval (*p_alg_y);
 
         _bbox.min_x = x_bnd.first;
@@ -1632,9 +1632,9 @@ void _Bezier_point_2_rep<RatKer, AlgKer,
                              orig2.curve().y_norm(),
                              do_ovlp);
   typename Bezier_cache::Intersection_iter                  intr_it;
-                             
+
   CGAL_assertion (! do_ovlp);
-                    
+
   // Look for a parameter pair within the ranges of the bounding intervals.
   const Algebraic      s_min = nt_traits.convert (orig1.point_bound().t_min);
   const Algebraic      s_max = nt_traits.convert (orig1.point_bound().t_max);
@@ -1657,9 +1657,9 @@ void _Bezier_point_2_rep<RatKer, AlgKer,
       p_alg_y = new Algebraic (intr_it->y);
 
       // Update the bounding box.
-      const std::pair<double, double>&  x_bnd = 
+      const std::pair<double, double>&  x_bnd =
                                           nt_traits.double_interval (*p_alg_x);
-      const std::pair<double, double>&  y_bnd = 
+      const std::pair<double, double>&  y_bnd =
                                           nt_traits.double_interval (*p_alg_y);
 
       _bbox.min_x = x_bnd.first;
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/Bezier_x_monotone_2.h 5.0.3-1/include/CGAL/Arr_geometry_traits/Bezier_x_monotone_2.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/Bezier_x_monotone_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/Bezier_x_monotone_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Bezier_x_monotone_2.h $
-// $Id: Bezier_x_monotone_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Bezier_x_monotone_2.h $
+// $Id: Bezier_x_monotone_2.h 157bdbd 2020-04-22T13:26:52+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Ron Wein     <wein@post.tau.ac.il>
@@ -950,11 +950,12 @@ _Bezier_x_monotone_2<RatKer, AlgKer, NtT
 
 
   if ( p.is_rational() ){
-    const Rational& px = ((Rat_point_2) p).x();
+    const Rational px = ((Rat_point_2) p).x();
 
     Integer denom_px=nt_traits.denominator(px);
     Integer numer_px=nt_traits.numerator(px);
-    Polynomial poly_px = CGAL::sign(numer_px) == ZERO ? Polynomial() : nt_traits.construct_polynomial(&numer_px,0);
+    Integer poly_px_scale = numer_px * _curve.x_norm();
+    Polynomial poly_px = CGAL::sign(numer_px) == ZERO ? Polynomial() : nt_traits.construct_polynomial(&poly_px_scale,0);
     Polynomial poly_x = nt_traits.scale(_curve.x_polynomial(),denom_px) - poly_px;
 
     std::vector <Algebraic> roots;
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/Circle_segment_2.h 5.0.3-1/include/CGAL/Arr_geometry_traits/Circle_segment_2.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/Circle_segment_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/Circle_segment_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Circle_segment_2.h $
-// $Id: Circle_segment_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Circle_segment_2.h $
+// $Id: Circle_segment_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -101,7 +101,7 @@ public:
   {}
 
   _One_root_point_2& operator=(const _One_root_point_2&)=default;
-  
+
   /*! Constructor of a point with one-root coefficients.
      This constructor of a point can also be used with rational coefficients
      thanks to convertor of CoordNT. */
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/Conic_arc_2.h 5.0.3-1/include/CGAL/Arr_geometry_traits/Conic_arc_2.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/Conic_arc_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/Conic_arc_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Conic_arc_2.h $
-// $Id: Conic_arc_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Conic_arc_2.h $
+// $Id: Conic_arc_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -454,10 +454,10 @@ public:
    * \pre No three points are collinear.
    */
   _Conic_arc_2 (const Rat_point_2& p1,
-		const Rat_point_2& p2,
-		const Rat_point_2& p3,
-		const Rat_point_2& p4,
-		const Rat_point_2& p5) :
+                const Rat_point_2& p2,
+                const Rat_point_2& p3,
+                const Rat_point_2& p4,
+                const Rat_point_2& p5) :
     _extra_data_P(nullptr)
   {
     // Make sure that no three points are collinear.
@@ -515,13 +515,13 @@ public:
     {
       _orient = COUNTERCLOCKWISE;
       CGAL_precondition (orient_f(p1, p3, p5) == LEFT_TURN &&
-			 orient_f(p1, p4, p5) == LEFT_TURN);
+                         orient_f(p1, p4, p5) == LEFT_TURN);
     }
     else
     {
       _orient = CLOCKWISE;
       CGAL_precondition (orient_f(p1, p3, p5) != LEFT_TURN &&
-			 orient_f(p1, p4, p5) != LEFT_TURN);
+                         orient_f(p1, p4, p5) != LEFT_TURN);
     }
 
     // Set the arc properties (no need to compute the orientation).
@@ -530,15 +530,15 @@ public:
     // Make sure that all midpoints are strictly between the
     // source and the target.
     Point_2  mp2 = Point_2 (nt_traits.convert (p2.x()),
-			    nt_traits.convert (p2.y()));
+                            nt_traits.convert (p2.y()));
     Point_2  mp3 = Point_2 (nt_traits.convert (p3.x()),
-			    nt_traits.convert (p3.y()));
+                            nt_traits.convert (p3.y()));
     Point_2  mp4 = Point_2 (nt_traits.convert (p4.x()),
-			    nt_traits.convert (p4.y()));
+                            nt_traits.convert (p4.y()));
 
     if (! _is_strictly_between_endpoints (mp2) ||
-	! _is_strictly_between_endpoints (mp3) ||
-	! _is_strictly_between_endpoints (mp4))
+        ! _is_strictly_between_endpoints (mp3) ||
+        ! _is_strictly_between_endpoints (mp4))
     {
       _info = 0;               // Inalvid arc.
     }
@@ -556,14 +556,14 @@ public:
    * (or the target) will be selected.
    */
   _Conic_arc_2 (const Rational& r, const Rational& s, const Rational& t,
-		const Rational& u, const Rational& v, const Rational& w,
-		const Orientation& orient,
-		const Point_2& app_source,
-		const Rational& r_1, const Rational& s_1, const Rational& t_1,
-		const Rational& u_1, const Rational& v_1, const Rational& w_1,
-		const Point_2& app_target,
-		const Rational& r_2, const Rational& s_2, const Rational& t_2,
-		const Rational& u_2, const Rational& v_2, const Rational& w_2):
+                const Rational& u, const Rational& v, const Rational& w,
+                const Orientation& orient,
+                const Point_2& app_source,
+                const Rational& r_1, const Rational& s_1, const Rational& t_1,
+                const Rational& u_1, const Rational& v_1, const Rational& w_1,
+                const Point_2& app_target,
+                const Rational& r_2, const Rational& s_2, const Rational& t_2,
+                const Rational& u_2, const Rational& v_2, const Rational& w_2):
     _orient(orient),
     _extra_data_P(nullptr)
   {
@@ -584,8 +584,8 @@ public:
                                     base_coeffs);
 
     if (CGAL::sign (base_coeffs[0]) == ZERO &&
-	CGAL::sign (base_coeffs[1]) == ZERO &&
-	CGAL::sign (base_coeffs[2]) == ZERO)
+        CGAL::sign (base_coeffs[1]) == ZERO &&
+        CGAL::sign (base_coeffs[2]) == ZERO)
     {
       deg_base = 1;
     }
@@ -621,115 +621,115 @@ public:
       aux_rat_coeffs[5] = (k == 1) ? w_1 : w_2;
 
       nt_traits.convert_coefficients (aux_rat_coeffs, aux_rat_coeffs + 6,
-				      aux_coeffs);
+                                      aux_coeffs);
 
       if (CGAL::sign (aux_coeffs[0]) == ZERO &&
-	  CGAL::sign (aux_coeffs[1]) == ZERO &&
-	  CGAL::sign (aux_coeffs[2]) == ZERO)
+          CGAL::sign (aux_coeffs[1]) == ZERO &&
+          CGAL::sign (aux_coeffs[2]) == ZERO)
       {
-	deg_aux = 1;
+        deg_aux = 1;
       }
       else
       {
-	deg_aux = 2;
+        deg_aux = 2;
       }
 
       // Compute the x- and y-coordinates of intersection points of the base
       // conic and the k'th auxiliary conic.
       n_xs = _compute_resultant_roots (nt_traits,
-				       base_coeffs[0], base_coeffs[1],
-				       base_coeffs[2],
-				       base_coeffs[3], base_coeffs[4],
-				       base_coeffs[5],
-				       deg_base,
-				       aux_coeffs[0], aux_coeffs[1],
-				       aux_coeffs[2],
-				       aux_coeffs[3], aux_coeffs[4],
-				       aux_coeffs[5],
-				       deg_aux,
-				       xs);
+                                       base_coeffs[0], base_coeffs[1],
+                                       base_coeffs[2],
+                                       base_coeffs[3], base_coeffs[4],
+                                       base_coeffs[5],
+                                       deg_base,
+                                       aux_coeffs[0], aux_coeffs[1],
+                                       aux_coeffs[2],
+                                       aux_coeffs[3], aux_coeffs[4],
+                                       aux_coeffs[5],
+                                       deg_aux,
+                                       xs);
 
       n_ys = _compute_resultant_roots (nt_traits,
-				       base_coeffs[1], base_coeffs[0],
-				       base_coeffs[2],
-				       base_coeffs[4], base_coeffs[3],
-				       base_coeffs[5],
-				       deg_base,
-				       aux_coeffs[1], aux_coeffs[0],
-				       aux_coeffs[2],
-				       aux_coeffs[4], aux_coeffs[3],
-				       aux_coeffs[5],
-				       deg_aux,
-				       ys);
+                                       base_coeffs[1], base_coeffs[0],
+                                       base_coeffs[2],
+                                       base_coeffs[4], base_coeffs[3],
+                                       base_coeffs[5],
+                                       deg_base,
+                                       aux_coeffs[1], aux_coeffs[0],
+                                       aux_coeffs[2],
+                                       aux_coeffs[4], aux_coeffs[3],
+                                       aux_coeffs[5],
+                                       deg_aux,
+                                       ys);
 
       // Find the intersection point which is nearest the given approximation
       // and set it as the endpoint.
       found = false;
       for (i = 0; i < n_xs; i++)
       {
-	for (j = 0; j < n_ys; j++)
-	{
-	  // Check if the point (xs[i], ys[j]) lies on both conics.
-	  val = nt_traits.convert(base_coeffs[0]) * xs[i]*xs[i] +
-	        nt_traits.convert(base_coeffs[1]) * ys[j]*ys[j] +
-	        nt_traits.convert(base_coeffs[2]) * xs[i]*ys[j] +
-	        nt_traits.convert(base_coeffs[3]) * xs[i] +
+        for (j = 0; j < n_ys; j++)
+        {
+          // Check if the point (xs[i], ys[j]) lies on both conics.
+          val = nt_traits.convert(base_coeffs[0]) * xs[i]*xs[i] +
+                nt_traits.convert(base_coeffs[1]) * ys[j]*ys[j] +
+                nt_traits.convert(base_coeffs[2]) * xs[i]*ys[j] +
+                nt_traits.convert(base_coeffs[3]) * xs[i] +
                 nt_traits.convert(base_coeffs[4]) * ys[j] +
-	        nt_traits.convert(base_coeffs[5]);
+                nt_traits.convert(base_coeffs[5]);
 
-	  if (CGAL::sign (val) != ZERO)
-	    continue;
+          if (CGAL::sign (val) != ZERO)
+            continue;
 
-	  val = nt_traits.convert(aux_coeffs[0]) * xs[i]*xs[i] +
-	        nt_traits.convert(aux_coeffs[1]) * ys[j]*ys[j] +
-	        nt_traits.convert(aux_coeffs[2]) * xs[i]*ys[j] +
-	        nt_traits.convert(aux_coeffs[3]) * xs[i] +
+          val = nt_traits.convert(aux_coeffs[0]) * xs[i]*xs[i] +
+                nt_traits.convert(aux_coeffs[1]) * ys[j]*ys[j] +
+                nt_traits.convert(aux_coeffs[2]) * xs[i]*ys[j] +
+                nt_traits.convert(aux_coeffs[3]) * xs[i] +
                 nt_traits.convert(aux_coeffs[4]) * ys[j] +
-	        nt_traits.convert(aux_coeffs[5]);
+                nt_traits.convert(aux_coeffs[5]);
 
-	  if (CGAL::sign (val) == ZERO)
-	  {
-	    // Compute the distance of (xs[i], ys[j]) from the approximated
-	    // endpoint.
-	    if (k == 1)
-	    {
-	      dx = CGAL::to_double (xs[i] - app_source.x());
-	      dy = CGAL::to_double (ys[j] - app_source.y());
-	    }
-	    else
-	    {
-	      dx = CGAL::to_double (xs[i] - app_target.x());
-	      dy = CGAL::to_double (ys[j] - app_target.y());
-	    }
-
-	    curr_dist = dx*dx + dy*dy;
-
-	    // Update the endpoint if (xs[i], ys[j]) is the nearest pair so
-	    // far.
-	    if (! found || curr_dist < min_dist)
-	    {
-	      if (k == 1)
-		_source = Point_2 (xs[i], ys[j]);
-	      else
-		_target = Point_2 (xs[i], ys[j]);
-
-	      min_dist = curr_dist;
-	      found = true;
-	    }
-	  }
-	}
+          if (CGAL::sign (val) == ZERO)
+          {
+            // Compute the distance of (xs[i], ys[j]) from the approximated
+            // endpoint.
+            if (k == 1)
+            {
+              dx = CGAL::to_double (xs[i] - app_source.x());
+              dy = CGAL::to_double (ys[j] - app_source.y());
+            }
+            else
+            {
+              dx = CGAL::to_double (xs[i] - app_target.x());
+              dy = CGAL::to_double (ys[j] - app_target.y());
+            }
+
+            curr_dist = dx*dx + dy*dy;
+
+            // Update the endpoint if (xs[i], ys[j]) is the nearest pair so
+            // far.
+            if (! found || curr_dist < min_dist)
+            {
+              if (k == 1)
+                _source = Point_2 (xs[i], ys[j]);
+              else
+                _target = Point_2 (xs[i], ys[j]);
+
+              min_dist = curr_dist;
+              found = true;
+            }
+          }
+        }
       }
 
       if (! found)
       {
-	_info = 0;           // Invalid arc.
-	return;
+        _info = 0;           // Invalid arc.
+        return;
       }
     }
 
     // Make sure that the source and the target are not the same.
     if (Alg_kernel().compare_xy_2_object() (_source,
-					    _target) == EQUAL)
+                                            _target) == EQUAL)
     {
       _info = 0;      // Invalid arc.
       return;
@@ -1189,7 +1189,7 @@ private:
 
     // Make sure both endpoint lie on the supporting conic.
     if (! _is_on_supporting_conic (_source) ||
-	! _is_on_supporting_conic (_target))
+        ! _is_on_supporting_conic (_target))
     {
       _info = 0;          // Invalid arc.
       return;
@@ -1199,8 +1199,8 @@ private:
 
     // Check whether we have a degree 2 curve.
     if ((CGAL::sign (_r) != ZERO ||
-	 CGAL::sign (_s) != ZERO ||
-	 CGAL::sign (_t) != ZERO))
+         CGAL::sign (_s) != ZERO ||
+         CGAL::sign (_t) != ZERO))
     {
       if (_orient == COLLINEAR)
       {
@@ -1440,7 +1440,7 @@ private:
 
     CGAL_assertion (_extra_data_P->side != ZERO);
     CGAL_assertion (_extra_data_P->side == _sign_of_extra_data(_target.x(),
-							      _target.y()));
+                                                              _target.y()));
 
     return;
   }
@@ -1459,7 +1459,7 @@ protected:
    * \return The sign of (a*x + b*y + c).
    */
   Sign _sign_of_extra_data (const Algebraic& px,
-			    const Algebraic& py) const
+                            const Algebraic& py) const
   {
     CGAL_assertion (_extra_data_P != nullptr);
 
@@ -1483,10 +1483,10 @@ protected:
     // The point must satisfy: r*x^2 + s*y^2 + t*xy + u*x + v*y + w = 0.
     Nt_traits        nt_traits;
     const Algebraic  val = (nt_traits.convert(_r)*p.x() +
-			    nt_traits.convert(_t)*p.y() +
-			    nt_traits.convert(_u)) * p.x() +
+                            nt_traits.convert(_t)*p.y() +
+                            nt_traits.convert(_u)) * p.x() +
                            (nt_traits.convert(_s)*p.y() +
-			    nt_traits.convert(_v)) * p.y() +
+                            nt_traits.convert(_v)) * p.y() +
                            nt_traits.convert(_w);
 
     return (CGAL::sign (val) == ZERO);
@@ -1578,7 +1578,7 @@ protected:
       // If p is not in the (open) x-range (or y-range) of the segment, it
       // cannot be contained in the segment.
       if (res1 == EQUAL || res2 == EQUAL || res1 == res2)
-	return (false);
+        return (false);
 
       // Perform an orientation test: This is crucial for segment of line
       // pairs, as we want to make sure that p lies on the same line as the
@@ -1622,9 +1622,9 @@ protected:
     Nt_traits     nt_traits;
 
     xs_end = nt_traits.solve_quadratic_equation (_t*_t - _four*_r*_s,
-						 _two*_t*_v - _four*_s*_u,
-						 _v*_v - _four*_s*_w,
-						 xs);
+                                                 _two*_t*_v - _four*_s*_u,
+                                                 _v*_v - _four*_s*_w,
+                                                 xs);
     n_xs = static_cast<int>(xs_end - xs);
 
     // Find the y-coordinates of the vertical tangency points.
@@ -1707,9 +1707,9 @@ protected:
     Nt_traits     nt_traits;
 
     ys_end = nt_traits.solve_quadratic_equation (_t*_t - _four*_r*_s,
-						 _two*_t*_u - _four*_r*_v,
-						 _u*_u - _four*_r*_w,
-						 ys);
+                                                 _two*_t*_u - _four*_r*_v,
+                                                 _u*_u - _four*_r*_w,
+                                                 ys);
     n = static_cast<int>(ys_end - ys);
 
     // Compute the x coordinates and construct the horizontal tangency points.
@@ -1787,7 +1787,7 @@ protected:
     if (CGAL::sign(A) == ZERO)
     {
       if (CGAL::sign(B) == ZERO)
-	return (0);
+        return (0);
 
       x_minus = x_plus = -C / B;
       return (1);
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/Conic_intersections_2.h 5.0.3-1/include/CGAL/Arr_geometry_traits/Conic_intersections_2.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/Conic_intersections_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/Conic_intersections_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Conic_intersections_2.h $
-// $Id: Conic_intersections_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Conic_intersections_2.h $
+// $Id: Conic_intersections_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein <wein@post.tau.ac.il>
 
@@ -53,19 +53,19 @@ int
                            const typename Nt_traits::Integer& w2,
                            const int& deg2,
                            typename Nt_traits::Algebraic *xs)
-{ 
+{
   if (deg1 == 2 && deg2 == 1)
   {
     // If necessary, swap roles between the two curves, so that the first
     // curve always has the minimal degree.
     return (_compute_resultant_roots (nt_traits,
-				      r2, s2, t2, u2, v2, w2, 
-				      deg2,
-				      r1, s1, t1, u1, v1, w1, 
-				      deg1,
-				      xs));
+                                      r2, s2, t2, u2, v2, w2,
+                                      deg2,
+                                      r1, s1, t1, u1, v1, w1,
+                                      deg1,
+                                      xs));
   }
-  
+
   // Act according to the degree of the first conic curve.
   const typename Nt_traits::Integer  _two = 2;
   typename Nt_traits::Integer        c[5];
@@ -81,7 +81,7 @@ int
       xs[0] = nt_traits.convert(-w1) / nt_traits.convert(u1);
       return (1);
     }
-    
+
     // We can write the first curve as: y = -(u1*x + w1) / v1.
     if (deg2 == 1)
     {
@@ -91,8 +91,8 @@ int
       c[0] = v1*w2 - w1*v2;
 
       if (CGAL::sign (c[1]) == ZERO)
-	// The two lines are parallel:
-	return (0);
+        // The two lines are parallel:
+        return (0);
 
       xs[0] =  nt_traits.convert(-c[0]) /  nt_traits.convert(c[1]);
       return (1);
@@ -103,9 +103,9 @@ int
     c[2] = u1*u1*s2 - u1*v1*t2 + v1*v1*r2;
     c[1] = _two*u1*w1*s2 - u1*v1*v2 - v1*w1*t2 + v1*v1*u2;
     c[0] = w1*w1*s2 - v1*w1*v2 + v1*v1*w2;
-    
+
     xs_end = nt_traits.solve_quadratic_equation (c[2], c[1], c[0],
-						 xs);
+                                                 xs);
     return static_cast<int>(xs_end - xs);
   }
 
@@ -122,7 +122,7 @@ int
     c[2] = t1*u2 - t2*u1 + r2*v1 - r1*v2;
     c[1] = t1*w2 - t2*w1 + u2*v1 - u1*v2;
     c[0] = v1*w2 - v2*w1;
-    
+
     degree = 3;
   }
   else
@@ -137,11 +137,11 @@ int
 
     c[3] = -t2*r1*v1*s2 - u2*t1*t2*s1 - v2*r1*t1*s2 -
       r2*t1*v2*s1 - _two*s1*s2*r1*u2 - t2*u1*t1*s2 + u2*t1*t1*s2 -
-      r2*v1*t2*s1 + u1*t2*t2*s1 + _two*v2*r1*t2*s1 + _two*u2*r2*s1*s1 + 
+      r2*v1*t2*s1 + u1*t2*t2*s1 + _two*v2*r1*t2*s1 + _two*u2*r2*s1*s1 +
       _two*r2*v1*t1*s2 + _two*u1*r1*s2*s2 - _two*s1*s2*u1*r2;
-    
+
     c[2] = -r2*v1*v2*s1 + u2*u2*s1*s1 + _two*w2*r2*s1*s1 +
-      _two*u2*v1*t1*s2 - u2*v1*t2*s1 + w2*t1*t1*s2 - _two*s1*s2*u1*u2 - 
+      _two*u2*v1*t1*s2 - u2*v1*t2*s1 + w2*t1*t1*s2 - _two*s1*s2*u1*u2 -
       w2*t1*t2*s1 + v2*v2*r1*s1 + u1*u1*s2*s2 - v2*r1*v1*s2 +
       _two*w1*r1*s2*s2 - u2*t1*v2*s1 - t2*u1*v1*s2 - _two*s1*s2*r1*w2 -
       _two*s1*s2*w1*r2 + r2*v1*v1*s2 + w1*t2*t2*s1 - v2*u1*t1*s2 -
@@ -149,21 +149,21 @@ int
 
     c[1] = _two*w2*u2*s1*s1 + _two*w2*v1*t1*s2 - w2*v1*t2*s1 +
       _two*v2*w1*t2*s1 + _two*w1*u1*s2*s2 - v2*u1*v1*s2 - _two*s1*s2*u1*w2 -
-      v2*w1*t1*s2 + u2*v1*v1*s2 - t2*w1*v1*s2 - w2*t1*v2*s1 + 
+      v2*w1*t1*s2 + u2*v1*v1*s2 - t2*w1*v1*s2 - w2*t1*v2*s1 +
       v2*v2*u1*s1 - u2*v1*v2*s1 - _two*s1*s2*w1*u2;
-    
+
     c[0] = s2*v1*v1*w2 - s1*v2*v1*w2 - s2*v1*w1*v2 + s2*s2*w1*w1 -
       _two*s1*s2*w1*w2 + s1*w1*v2*v2 + s1*s1*w2*w2;
 
     degree = 4;
   }
-  
+
   // Compute the roots of the resultant polynomial.
-  typename Nt_traits::Polynomial  poly = 
+  typename Nt_traits::Polynomial  poly =
                                     nt_traits.construct_polynomial (c, degree);
 
   xs_end = nt_traits.compute_polynomial_roots (poly,
-					       xs);
+                                               xs);
   return static_cast<int>(xs_end - xs);
 }
 
@@ -181,16 +181,16 @@ template <class Nt_traits>
 int
 _compute_resultant_roots (Nt_traits& nt_traits,
                           const typename Nt_traits::Algebraic& r,
-			      const typename Nt_traits::Algebraic& s,
-			      const typename Nt_traits::Algebraic& t,
-			      const typename Nt_traits::Algebraic& u,
-			      const typename Nt_traits::Algebraic& v,
-			      const typename Nt_traits::Algebraic& w,
-			      const int& deg1,
-			      const typename Nt_traits::Algebraic& A,
-			      const typename Nt_traits::Algebraic& B,
-			      const typename Nt_traits::Algebraic& C,
-			      typename Nt_traits::Algebraic *xs)
+                              const typename Nt_traits::Algebraic& s,
+                              const typename Nt_traits::Algebraic& t,
+                              const typename Nt_traits::Algebraic& u,
+                              const typename Nt_traits::Algebraic& v,
+                              const typename Nt_traits::Algebraic& w,
+                              const int& deg1,
+                              const typename Nt_traits::Algebraic& A,
+                              const typename Nt_traits::Algebraic& B,
+                              const typename Nt_traits::Algebraic& C,
+                              typename Nt_traits::Algebraic *xs)
 {
   if (deg1 == 1)
   {
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/Conic_point_2.h 5.0.3-1/include/CGAL/Arr_geometry_traits/Conic_point_2.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/Conic_point_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/Conic_point_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Conic_point_2.h $
-// $Id: Conic_point_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Conic_point_2.h $
+// $Id: Conic_point_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein <wein@post.tau.ac.il>
 
@@ -26,7 +26,7 @@
 namespace CGAL {
 
 /*!
- * \class A class that stores additional information with the point's 
+ * \class A class that stores additional information with the point's
  * coordinates, namely the conic IDs of the generating curves.
  */
 template <class Alg_kernel_>
@@ -37,7 +37,7 @@ public:
   typedef Alg_kernel_                       Alg_kernel;
   typedef typename Alg_kernel::Point_2      Base;
   typedef _Conic_point_2<Alg_kernel>        Self;
-    
+
   typedef typename Alg_kernel::FT           Algebraic;
 
   /*! \class
@@ -68,7 +68,7 @@ public:
     {
       return (index != 0);
     }
-    
+
     /*! Equality operator. */
     bool operator== (const Conic_id& id) const
     {
@@ -93,7 +93,7 @@ public:
       return (index > id.index);
     }
   };
-        
+
 private:
 
   typedef std::list<Conic_id>                          Ids_container;
@@ -117,9 +117,9 @@ private:
   {}
 
   /*! Constructor with homegeneous coordinates. */
-  _Conic_point_2 (const Algebraic& hx, 
-		  const Algebraic& hy,
-		  const Algebraic& hz) :
+  _Conic_point_2 (const Algebraic& hx,
+                  const Algebraic& hy,
+                  const Algebraic& hz) :
     Base (hx, hy, hz)
   {}
 
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/Conic_x_monotone_arc_2.h 5.0.3-1/include/CGAL/Arr_geometry_traits/Conic_x_monotone_arc_2.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/Conic_x_monotone_arc_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/Conic_x_monotone_arc_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Conic_x_monotone_arc_2.h $
-// $Id: Conic_x_monotone_arc_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Conic_x_monotone_arc_2.h $
+// $Id: Conic_x_monotone_arc_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -1290,7 +1290,7 @@ private:
     // greater than the source point), or to the left.
     Alg_kernel         ker;
     Comparison_result  dir_res = ker.compare_xy_2_object() (this->_source,
-							    this->_target);
+                                                            this->_target);
 
     CGAL_assertion (dir_res != EQUAL);
 
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/Consolidated_curve_data_aux.h 5.0.3-1/include/CGAL/Arr_geometry_traits/Consolidated_curve_data_aux.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/Consolidated_curve_data_aux.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/Consolidated_curve_data_aux.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Consolidated_curve_data_aux.h $
-// $Id: Consolidated_curve_data_aux.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Consolidated_curve_data_aux.h $
+// $Id: Consolidated_curve_data_aux.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein          <wein@post.tau.ac.il>
 //                 Efi Fogel         <efif@post.tau.ac.il>
@@ -37,7 +37,7 @@ public:
   typedef typename std::list<Data>::const_iterator  const_iterator;
 
 private:
-  
+
   std::list<Data>     m_list;
 
 public:
@@ -122,9 +122,9 @@ public:
     }
     return (iter);
   }
-  
+
   /*!
-   * Insert an object into the list. 
+   * Insert an object into the list.
    * \param data The data object.
    * \return (true) if the data object has been successfully inserted;
    *         (false) otherwise (if it already exists).
@@ -137,9 +137,9 @@ public:
     m_list.push_back (data);
     return (true);
   }
-  
+
   /*!
-   * Erase an object from the list. 
+   * Erase an object from the list.
    * \param data The data object.
    * \return (true) if the data object has been successfully erased;
    *         (false) otherwise (if it is not in the list).
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/Curve_data_aux.h 5.0.3-1/include/CGAL/Arr_geometry_traits/Curve_data_aux.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/Curve_data_aux.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/Curve_data_aux.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Curve_data_aux.h $
-// $Id: Curve_data_aux.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Curve_data_aux.h $
+// $Id: Curve_data_aux.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein          <wein@post.tau.ac.il>
 //                 Efi Fogel         <efif@post.tau.ac.il>
@@ -61,11 +61,11 @@ public:
   /*! Default constructor. */
   _Curve_data_ex ()
   {}
-    
+
   /*!
    * Construct an extended curve from a base curve.
    * \param cv The base curve.
-   */ 
+   */
   _Curve_data_ex (const BaseCurveType& cv) :
     BaseCurveType (cv)
   {}
@@ -74,7 +74,7 @@ public:
    * Construct an extended curve from a base curve and a data object.
    * \param cv The base curve.
    * \param data The data object.
-   */ 
+   */
   _Curve_data_ex (const BaseCurveType& cv, const Data& data) :
     BaseCurveType (cv),
     m_data (data)
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/de_Casteljau_2.h 5.0.3-1/include/CGAL/Arr_geometry_traits/de_Casteljau_2.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/de_Casteljau_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/de_Casteljau_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/de_Casteljau_2.h $
-// $Id: de_Casteljau_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/de_Casteljau_2.h $
+// $Id: de_Casteljau_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein     <wein@post.tau.ac.il>
 //                 Iddo Hanniel <iddoh@cs.technion.ac.il>
@@ -185,7 +185,7 @@ typename InputIterator::value_type de_Ca
 
   // The first control point goes to the (front of) the right subcurve,
   // while the last control point goes to the (back of) the left subcurve.
-  const _NT              comp_t0 = _NT(1) - t0; 
+  const _NT              comp_t0 = _NT(1) - t0;
   unsigned int           last_index = n_pts - 1;
 
   *left_ctrl_pts = vec[0];
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/IO/Polycurve_2_iostream.h 5.0.3-1/include/CGAL/Arr_geometry_traits/IO/Polycurve_2_iostream.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/IO/Polycurve_2_iostream.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/IO/Polycurve_2_iostream.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/IO/Polycurve_2_iostream.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/IO/Polycurve_2_iostream.h $
 // $Id: Polycurve_2_iostream.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/One_root_number.h 5.0.3-1/include/CGAL/Arr_geometry_traits/One_root_number.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/One_root_number.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/One_root_number.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/One_root_number.h $
-// $Id: One_root_number.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/One_root_number.h $
+// $Id: One_root_number.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein        <wein@post.tau.ac.il>
 //                 Baruch Zukerman <baruchzu@post.tau.ac.il>
-               
+
 #ifndef CGAL_ONE_ROOT_NUMBER_H
 #define CGAL_ONE_ROOT_NUMBER_H
 
@@ -20,7 +20,7 @@
 /*! \file
  * Header file for the One_root_number<NT> class.
  */
-#include <CGAL/Interval_arithmetic.h> 
+#include <CGAL/Interval_arithmetic.h>
 
 namespace CGAL {
 
@@ -214,7 +214,7 @@ std::pair<double, double> to_interval (c
   const CGAL::Interval_nt<true>   alpha_in = to_interval(x.alpha());
   const CGAL::Interval_nt<true>   beta_in = to_interval(x.beta());
   const CGAL::Interval_nt<true>   gamma_in = to_interval(x.gamma());
-  const CGAL::Interval_nt<true>&  x_in = alpha_in + 
+  const CGAL::Interval_nt<true>&  x_in = alpha_in +
                                          (beta_in * CGAL::sqrt(gamma_in));
 
   return (std::make_pair (x_in.inf(), x_in.sup()));
@@ -250,7 +250,7 @@ _One_root_number<NT, FL> operator- (cons
  * Multiply a rational number and a one-root number.
  */
 template <class NT, bool FL>
-_One_root_number<NT, FL> operator* (const NT& val, 
+_One_root_number<NT, FL> operator* (const NT& val,
                                     const _One_root_number<NT, FL>& x)
 {
   if (x.is_rational())
@@ -279,7 +279,7 @@ _One_root_number<NT, FL> operator/ (cons
   //   -------------- = ---------------------
   //    a + b*sqrt(c)       a^2 - b^2 * c
   //
-  NT   denom = x.alpha()*x.alpha() - x.beta()*x.beta() * x.gamma(); 
+  NT   denom = x.alpha()*x.alpha() - x.beta()*x.beta() * x.gamma();
 
   CGAL_precondition (CGAL::sign(denom) != ZERO);
 
@@ -297,7 +297,7 @@ double to_double (const _One_root_number
     return (CGAL::to_double(x.alpha()));
 
   return (CGAL::to_double(x.alpha()) +
-          CGAL::to_double(x.beta()) * std::sqrt(CGAL::to_double(x.gamma()))); 
+          CGAL::to_double(x.beta()) * std::sqrt(CGAL::to_double(x.gamma())));
 }
 
 /*!
@@ -327,7 +327,7 @@ CGAL::Sign sign (const _One_root_number<
   if (FL)
   {
     // Try to filter the sign computation using interval arithmetic.
-    const std::pair<double, double>&  x_in = CGAL::to_interval (x); 
+    const std::pair<double, double>&  x_in = CGAL::to_interval (x);
 
     if (x_in.first > 0)
       return (CGAL::POSITIVE);
@@ -352,9 +352,9 @@ CGAL::Comparison_result compare (const N
   if (FL)
   {
     // Try to filter the comparison using interval arithmetic.
-    const std::pair<double, double>&  x_in = CGAL::to_interval (val); 
-    const std::pair<double, double>&  y_in = CGAL::to_interval (x); 
-    
+    const std::pair<double, double>&  x_in = CGAL::to_interval (val);
+    const std::pair<double, double>&  y_in = CGAL::to_interval (x);
+
     if (x_in.second < y_in.first)
       return (SMALLER);
     else if (x_in.first > y_in.second)
@@ -385,8 +385,8 @@ CGAL::Comparison_result compare (const _
   if (FL)
   {
     // Try to filter the comparison using interval arithmetic.
-    const std::pair<double, double>&  x_in = CGAL::to_interval (x); 
-    const std::pair<double, double>&  y_in = CGAL::to_interval (val); 
+    const std::pair<double, double>&  x_in = CGAL::to_interval (x);
+    const std::pair<double, double>&  y_in = CGAL::to_interval (val);
 
     if (x_in.second < y_in.first)
       return (SMALLER);
@@ -420,9 +420,9 @@ CGAL::Comparison_result compare (const _
   if (FL)
   {
     // Try to filter the comparison using interval arithmetic.
-    const std::pair<double, double>&  x_in = CGAL::to_interval (x); 
-    const std::pair<double, double>&  y_in = CGAL::to_interval (y); 
-    
+    const std::pair<double, double>&  x_in = CGAL::to_interval (x);
+    const std::pair<double, double>&  y_in = CGAL::to_interval (y);
+
     if (x_in.second < y_in.first)
       return (SMALLER);
     else if (x_in.first > y_in.second)
@@ -439,7 +439,7 @@ CGAL::Comparison_result compare (const _
   const NT          y_sqr = y.beta()*y.beta() * y.gamma();
   Comparison_result right_res = CGAL::compare (y_sqr, x_sqr);
   CGAL::Sign        sign_right = ZERO;
-  
+
   if (right_res == LARGER)
   {
     // Take the sign of b2:
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/Polycurve_2.h 5.0.3-1/include/CGAL/Arr_geometry_traits/Polycurve_2.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/Polycurve_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/Polycurve_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Polycurve_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Polycurve_2.h $
 // $Id: Polycurve_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/Polyline_2.h 5.0.3-1/include/CGAL/Arr_geometry_traits/Polyline_2.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/Polyline_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/Polyline_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Polyline_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Polyline_2.h $
 // $Id: Polyline_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/Rational_arc_2.h 5.0.3-1/include/CGAL/Arr_geometry_traits/Rational_arc_2.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/Rational_arc_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/Rational_arc_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Rational_arc_2.h $
-// $Id: Rational_arc_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Rational_arc_2.h $
+// $Id: Rational_arc_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein <wein@post.tau.ac.il>
 
@@ -35,14 +35,14 @@ namespace CGAL {
  *        N(x)
  *
  * where D and N are polynomial with integer (or rational) coefficients.
- * The class is templated with two parameters: 
+ * The class is templated with two parameters:
  * Alg_kernel A geometric kernel, where Alg_kernel::FT is the number type
  *            for the coordinates of arrangement vertices, which are algebraic
  *            numbers (defined by Nt_traits::Algebraic).
  * Nt_traits A traits class for performing various operations on the integer,
  *           rational and algebraic types.
  * This class serves as the base for the classes _Rational_arc_2 (a general,
- * not necessarily continuous arc) and _Continuous_rational_arc_2 (a 
+ * not necessarily continuous arc) and _Continuous_rational_arc_2 (a
  * continuous portion of a rational function).
  */
 template <class Alg_kernel_, class Nt_traits_>
@@ -53,7 +53,7 @@ public:
   typedef Alg_kernel_                             Alg_kernel;
   typedef Nt_traits_                              Nt_traits;
   typedef _Base_rational_arc_2<Alg_kernel, Nt_traits>  Self;
-  
+
   typedef typename Alg_kernel::FT                 Algebraic;
   typedef typename Alg_kernel::Point_2            Point_2;
 
@@ -86,12 +86,12 @@ protected:
     IS_CONTINUOUS = 512,
     IS_VALID = 1024
   };
- 
+
   Polynomial        _numer;       // The polynomial in the numerator.
   Polynomial        _denom;       // The polynomial in the denominator.
   Point_2           _ps;          // The source point.
   Point_2           _pt;          // The target point.
-  int               _info;        // A set of Boolean flags.  
+  int               _info;        // A set of Boolean flags.
 
 public:
 
@@ -132,7 +132,7 @@ public:
 
     denom_coeffs [0] = p_factor;
     _denom = nt_traits.construct_polynomial (denom_coeffs, 0);
-    
+
     // Check whether the end points lie at y = -oo or at y = +oo.
     const int    deg_num = nt_traits.degree (_numer);
     CGAL::Sign   lead_sign;
@@ -165,11 +165,11 @@ public:
     {
       // In the case of a constant polynomial it is possible to set a finite
       // y-coordinate for the source and target points.
-      Integer lead_coeff = (deg_num < 0) ? Integer(0) : 
+      Integer lead_coeff = (deg_num < 0) ? Integer(0) :
         nt_traits.get_coefficient (_numer, deg_num);
 
-      _ps = _pt = Point_2 (Algebraic(), 
-                           nt_traits.convert (lead_coeff) / 
+      _ps = _pt = Point_2 (Algebraic(),
+                           nt_traits.convert (lead_coeff) /
                            nt_traits.convert (p_factor));
     }
 
@@ -218,9 +218,9 @@ public:
     _denom = nt_traits.construct_polynomial (denom_coeffs, 0);
 
     // Set the source point.
-    _ps = Point_2 (x_s, nt_traits.evaluate_at (_numer, x_s) / 
+    _ps = Point_2 (x_s, nt_traits.evaluate_at (_numer, x_s) /
                    nt_traits.convert(p_factor));
-    
+
     // Check whether the target point lies at y = -oo or at y = +oo.
     const int    deg_num = nt_traits.degree (_numer);
     CGAL::Sign   lead_sign;
@@ -254,10 +254,10 @@ public:
     {
       // In the case of a constant polynomial it is possible to set a finite
       // y-coordinate for the target point.
-      Integer lead_coeff = (deg_num < 0) ? Integer(0) : 
+      Integer lead_coeff = (deg_num < 0) ? Integer(0) :
         nt_traits.get_coefficient (_numer, deg_num);
 
-      _pt = Point_2 (Algebraic(), nt_traits.convert (lead_coeff) / 
+      _pt = Point_2 (Algebraic(), nt_traits.convert (lead_coeff) /
                      nt_traits.convert (p_factor));
     }
 
@@ -301,17 +301,17 @@ public:
 
     denom_coeffs [0] = p_factor;
     _denom = nt_traits.construct_polynomial (denom_coeffs, 0);
-    
+
     // Set the endpoints.
-    _ps = Point_2 (x_s, nt_traits.evaluate_at (_numer, x_s) / 
+    _ps = Point_2 (x_s, nt_traits.evaluate_at (_numer, x_s) /
                    nt_traits.convert (p_factor));
-    _pt = Point_2 (x_t, nt_traits.evaluate_at (_numer, x_t) / 
+    _pt = Point_2 (x_t, nt_traits.evaluate_at (_numer, x_t) /
                    nt_traits.convert (p_factor));
 
     // Mark that the arc is continuous and valid.
     _info = (_info | IS_CONTINUOUS);
     _info = (_info | IS_VALID);
-  }    
+  }
 
   /*!
    * Constructor of a polynomial function, defined by y = p(x)/q(x) for any x.
@@ -329,7 +329,7 @@ public:
 
     // Set the numerator and denominator polynomials.
     Nt_traits    nt_traits;
-    const bool   valid = 
+    const bool   valid =
       nt_traits.construct_polynomials (&(pcoeffs[0]), pcoeffs.size() - 1,
                                        &(qcoeffs[0]), qcoeffs.size() - 1,
                                        _numer, _denom);
@@ -395,7 +395,7 @@ public:
 
     // Set the numerator and denominator polynomials.
     Nt_traits    nt_traits;
-    const bool   valid = 
+    const bool   valid =
       nt_traits.construct_polynomials (&(pcoeffs[0]), pcoeffs.size() - 1,
                                        &(qcoeffs[0]), qcoeffs.size() - 1,
                                        _numer, _denom);
@@ -417,7 +417,7 @@ public:
     {
       // The y-coodinate is unbounded, but we can set its sign.
       _ps = Point_2 (x_s, 0);
-      
+
       std::pair<CGAL::Sign, CGAL::Sign>  signs = _analyze_near_pole (x_s);
       const CGAL::Sign sign_s = (dir_right ? signs.second : signs.first);
 
@@ -460,9 +460,9 @@ public:
     _info = ( _info | ( this->_is_continuous() ?
                       (IS_CONTINUOUS | IS_VALID) : IS_VALID ) );
   }
-  
+
   /*!
-   * Constructor of a bounded rational arc, defined by y = p(x)/q(x), 
+   * Constructor of a bounded rational arc, defined by y = p(x)/q(x),
    * where: x_min <= x <= x_max.
    * \param pcoeffs The rational coefficients of the polynomial p(x).
    * \param qcoeffs The rational coefficients of the polynomial q(x).
@@ -486,7 +486,7 @@ public:
 
     // Set the numerator and denominator polynomials.
     Nt_traits    nt_traits;
-    const bool   valid = 
+    const bool   valid =
       nt_traits.construct_polynomials (&(pcoeffs[0]), pcoeffs.size() - 1,
                                        &(qcoeffs[0]), qcoeffs.size() - 1,
                                        _numer, _denom);
@@ -529,7 +529,7 @@ public:
     {
       // The y-coodinate is unbounded, but we can set its sign.
       _pt = Point_2 (x_t, 0);
-      
+
       std::pair<CGAL::Sign, CGAL::Sign>  signs = _analyze_near_pole (x_t);
       const CGAL::Sign                   sign_t =
         ((_info & IS_DIRECTED_RIGHT) != 0) ? signs.first : signs.second;
@@ -811,7 +811,7 @@ public:
     Nt_traits   nt_traits;
     Algebraic   y = nt_traits.evaluate_at (_numer, p.x()) /
                     nt_traits.evaluate_at (_denom, p.x());
-    
+
     // Compare the resulting y-coordinate with y(p):
     return (CGAL::compare (p.y(), y));
   }
@@ -977,7 +977,7 @@ public:
     const Algebraic    val_q1 = CGAL::abs (nt_traits.evaluate_at (norm_q1, x1));
     const Algebraic    val_q2 = CGAL::abs (nt_traits.evaluate_at (norm_q2, x1));
     Comparison_result  val_res = CGAL::compare (val_q1, val_q2);
-    
+
     if (val_res != EQUAL)
     {
       if (ind1 == ARR_MIN_END)
@@ -990,7 +990,7 @@ public:
     // Both arcs are defined to the same side (left or right) of the vertical
     // asymptote. If one is defined at y = -oo and the other at y = +oo, we
     // preform a "lexicographic" comparison.
-    const Arr_parameter_space  inf_y1 = 
+    const Arr_parameter_space  inf_y1 =
       (ind1 == ARR_MIN_END ? left_infinite_in_y() : right_infinite_in_y());
     const Arr_parameter_space  inf_y2 = (ind2 == ARR_MIN_END) ?
       arc.left_infinite_in_y() : arc.right_infinite_in_y();
@@ -1005,7 +1005,7 @@ public:
     // curve ends by considering their comparison result.
     const Algebraic    val_p1 = nt_traits.evaluate_at (_numer, x1);
     const Algebraic    val_p2 = nt_traits.evaluate_at (arc._numer, x1);
-    
+
     val_res = CGAL::compare (val_p1, val_p2);
 
     if (val_res == EQUAL)
@@ -1022,7 +1022,7 @@ public:
   }
 
   /*!
-   * Compare the slopes of the arc with another given arc at their given 
+   * Compare the slopes of the arc with another given arc at their given
    * intersection point.
    * \param cv The given arc.
    * \param p The intersection point.
@@ -1089,10 +1089,10 @@ public:
         pden2 *= pden2;
       }
 
-      // Compute the two derivative values and compare them. 
-      d1 = nt_traits.evaluate_at (pnum1, _x) / 
+      // Compute the two derivative values and compare them.
+      d1 = nt_traits.evaluate_at (pnum1, _x) /
            nt_traits.evaluate_at (pden1, _x);
-      d2 = nt_traits.evaluate_at (pnum2, _x) / 
+      d2 = nt_traits.evaluate_at (pnum2, _x) /
            nt_traits.evaluate_at (pden2, _x);
 
       res = CGAL::compare (d1, d2);
@@ -1136,7 +1136,7 @@ public:
     // First compare the signs of the two denominator polynomials at x = -oo.
     const CGAL::Sign  sign1 = _sign_at_minus_infinity (_denom);
     const CGAL::Sign  sign2 = _sign_at_minus_infinity (arc._denom);
-   
+
     CGAL_assertion (sign1 != CGAL::ZERO && sign2 != CGAL::ZERO);
 
     const bool        flip_res = (sign1 != sign2);
@@ -1147,7 +1147,7 @@ public:
     //
     // It is clear that we should look at the sign of the polynomial
     // p1(x)*q2(x) - p2(x)*q1(x) at x = -oo.
-    const CGAL::Sign  sign_ip = _sign_at_minus_infinity (_numer*arc._denom - 
+    const CGAL::Sign  sign_ip = _sign_at_minus_infinity (_numer*arc._denom -
                                                          arc._numer*_denom);
 
     if (sign_ip == CGAL::ZERO)
@@ -1192,7 +1192,7 @@ public:
     // First compare the signs of the two denominator polynomials at x = +oo.
     const CGAL::Sign  sign1 = _sign_at_plus_infinity (_denom);
     const CGAL::Sign  sign2 = _sign_at_plus_infinity (arc._denom);
-   
+
     CGAL_assertion (sign1 != CGAL::ZERO && sign2 != CGAL::ZERO);
 
     const bool        flip_res = (sign1 != sign2);
@@ -1337,7 +1337,7 @@ public:
 
     if ((_info & IS_CONTINUOUS) != 0)
       arc._info = (arc._info | IS_CONTINUOUS);
-    
+
     return (arc);
   }
 
@@ -1345,7 +1345,7 @@ public:
    * Print the rational arc.
    */
   std::ostream& print (std::ostream& os) const
-  {    
+  {
     // Print y as a rational function of x.
     os << "y = (";
     _print_polynomial (os, _numer, 'x');
@@ -1355,7 +1355,7 @@ public:
 
     // Print the definition range.
     Arr_parameter_space      inf_x = source_infinite_in_x();
-    if (inf_x == ARR_LEFT_BOUNDARY) 
+    if (inf_x == ARR_LEFT_BOUNDARY)
       os << "(-oo";
     else if (inf_x == ARR_RIGHT_BOUNDARY)
       os << "(+oo";
@@ -1363,11 +1363,11 @@ public:
       os << '(' << source_x();
     else
       os << '[' << source().x();
- 
+
     os << ", ";
     inf_x = target_infinite_in_x();
 
-    if (inf_x == ARR_LEFT_BOUNDARY) 
+    if (inf_x == ARR_LEFT_BOUNDARY)
       os << "-oo)";
     else if (inf_x == ARR_RIGHT_BOUNDARY)
       os << "+oo)";
@@ -1413,29 +1413,29 @@ protected:
 
         if (res1 == SMALLER)
           return (false);
-        
+
         if (res1 == EQUAL)
         {
           eq_src = true;
           return (true);
         }
       }
-      
+
       // Compare to the right endpoint (the target in this case).
       if ((_info & TRG_AT_X_PLUS_INFTY) != 0)
         return (true);
 
       const Comparison_result  res2 = CGAL::compare (x, _pt.x());
-      
+
       if (res2 == LARGER)
           return (false);
-       
+
       if (res2 == EQUAL)
         eq_trg = true;
 
       return (true);
     }
-    
+
     // Compare to the left endpoint (the target in this case).
     if ((_info & TRG_AT_X_MINUS_INFTY) != 0)
     {
@@ -1447,26 +1447,26 @@ protected:
 
       if (res1 == SMALLER)
         return (false);
-        
+
       if (res1 == EQUAL)
       {
         eq_trg = true;
         return (true);
       }
     }
-      
+
     // Compare to the right endpoint (the source in this case).
     if ((_info & SRC_AT_X_PLUS_INFTY) != 0)
       return (true);
 
     const Comparison_result  res2 = CGAL::compare (x, _ps.x());
-      
+
     if (res2 == LARGER)
       return (false);
-       
+
     if (res2 == EQUAL)
       eq_src = true;
-    
+
     return (true);
   }
 
@@ -1520,7 +1520,7 @@ protected:
 
     // Get the leading coefficient. Its sign is the sign of the polynomial
     // at x = -oo if the degree is even, and the opposite sign if it is odd.
-    const CGAL::Sign  lead_sign = 
+    const CGAL::Sign  lead_sign =
       CGAL::sign (nt_traits.get_coefficient (poly, degree));
 
     CGAL_assertion (lead_sign != CGAL::ZERO);
@@ -1572,7 +1572,7 @@ protected:
     // Get the leading coefficients.
     Integer      p_lead = nt_traits.get_coefficient (P, deg_p);
     Integer      q_lead = nt_traits.get_coefficient (Q, deg_q);
-    
+
     if (deg_p == deg_q)
     {
       // We have a horizontal asymptote.
@@ -1612,7 +1612,7 @@ protected:
     // Get the leading coefficients.
     Integer      p_lead = nt_traits.get_coefficient (P, deg_p);
     Integer      q_lead = nt_traits.get_coefficient (Q, deg_q);
-    
+
     if (deg_p == deg_q)
     {
       // We have a horizontal asymptote.
@@ -1802,7 +1802,7 @@ protected:
  */
 template <class Alg_kernel, class Nt_traits>
 std::ostream&
-operator<< (std::ostream& os, 
+operator<< (std::ostream& os,
             const _Base_rational_arc_2<Alg_kernel, Nt_traits>& arc)
 {
   return (arc.print (os));
@@ -1821,7 +1821,7 @@ public:
   typedef Nt_traits_                                         Nt_traits;
   typedef _Base_rational_arc_2<Alg_kernel, Nt_traits>        Base;
   typedef _Continuous_rational_arc_2<Alg_kernel, Nt_traits>  Self;
-  
+
   typedef typename Base::Algebraic                Algebraic;
   typedef typename Base::Point_2                  Point_2;
 
@@ -1926,9 +1926,9 @@ public:
       this->set_invalid();
     }
   }
-  
+
   /*!
-   * Constructor of a bounded rational arc, defined by y = p(x)/q(x), 
+   * Constructor of a bounded rational arc, defined by y = p(x)/q(x),
    * where: x_min <= x <= x_max.
    * \param pcoeffs The rational coefficients of the polynomial p(x).
    * \param qcoeffs The rational coefficients of the polynomial q(x).
@@ -1953,7 +1953,7 @@ public:
 
   /// \name Constructions of points and curves.
   //@{
-      
+
   /*!
    * Compute the intersections with the given arc.
    * \param arc The given intersecting arc.
@@ -1973,9 +1973,9 @@ public:
 
       // Get the left and right endpoints of (*this) and their information
       // bits.
-      const Point_2&   left1 = (this->is_directed_right() ? 
+      const Point_2&   left1 = (this->is_directed_right() ?
                                 this->_ps : this->_pt);
-      const Point_2&   right1 = (this->is_directed_right() ? 
+      const Point_2&   right1 = (this->is_directed_right() ?
                                  this->_pt : this->_ps);
       int              info_left1, info_right1;
 
@@ -2101,9 +2101,9 @@ public:
         {
           // We have a single overlapping point. Just make sure this point
           // is not at y = -/+ oo.
-          if (info_left && 
+          if (info_left &&
               (this->SRC_AT_Y_MINUS_INFTY | this->SRC_AT_Y_PLUS_INFTY) == 0 &&
-              info_right && 
+              info_right &&
               (this->SRC_AT_Y_MINUS_INFTY | this->SRC_AT_Y_PLUS_INFTY) == 0)
           {
             Intersection_point_2  ip (p_left, 0);
@@ -2125,7 +2125,7 @@ public:
       overlap_arc._pt = p_right;
 
       overlap_arc._info = ((info_left) | (info_right << 4) |
-                           this->IS_DIRECTED_RIGHT | this->IS_CONTINUOUS | 
+                           this->IS_DIRECTED_RIGHT | this->IS_CONTINUOUS |
                            this->IS_VALID);
 
       *oi = make_object (overlap_arc);
@@ -2133,7 +2133,7 @@ public:
 
       return (oi);
     }
-    
+
     // We wish to find the intersection points between:
     //
     //   y = p1(x)/q1(x)    and     y = p2(x)/q2(x)
@@ -2141,7 +2141,7 @@ public:
     // It is clear that the x-coordinates of the intersection points are
     // the roots of the polynomial: ip(x) = p1(x)*q2(x) - p2(x)*q1(x).
     Nt_traits            nt_traits;
-    Polynomial           ipoly = this->_numer * arc._denom - 
+    Polynomial           ipoly = this->_numer * arc._denom -
       arc._numer * this->_denom;
     std::list<Algebraic>                           xs;
     typename std::list<Algebraic>::const_iterator  x_iter;
@@ -2163,7 +2163,7 @@ public:
                                nt_traits.evaluate_at (this->_denom, *x_iter));
 
         this->compare_slopes (arc, p, mult);
-    
+
         // Output the intersection point:
         Intersection_point_2  ip (p, mult);
 
@@ -2440,9 +2440,9 @@ public:
                    const Algebraic& x_s, bool dir_right) :
     Base (pcoeffs, qcoeffs, x_s, dir_right)
   {}
-  
+
   /*!
-   * Constructor of a bounded rational arc, defined by y = p(x)/q(x), 
+   * Constructor of a bounded rational arc, defined by y = p(x)/q(x),
    * where: x_min <= x <= x_max.
    * \param pcoeffs The rational coefficients of the polynomial p(x).
    * \param qcoeffs The rational coefficients of the polynomial q(x).
diff -pruN 5.0.2-3/include/CGAL/Arr_geometry_traits/Segment_assertions.h 5.0.3-1/include/CGAL/Arr_geometry_traits/Segment_assertions.h
--- 5.0.2-3/include/CGAL/Arr_geometry_traits/Segment_assertions.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_geometry_traits/Segment_assertions.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Segment_assertions.h $
-// $Id: Segment_assertions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_geometry_traits/Segment_assertions.h $
+// $Id: Segment_assertions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 
diff -pruN 5.0.2-3/include/CGAL/Arr_landmarks_point_location.h 5.0.3-1/include/CGAL/Arr_landmarks_point_location.h
--- 5.0.2-3/include/CGAL/Arr_landmarks_point_location.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_landmarks_point_location.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_landmarks_point_location.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_landmarks_point_location.h $
 // $Id: Arr_landmarks_point_location.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_line_arc_traits_2.h 5.0.3-1/include/CGAL/Arr_line_arc_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_line_arc_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_line_arc_traits_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_line_arc_traits_2.h $
-// $Id: Arr_line_arc_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_line_arc_traits_2.h $
+// $Id: Arr_line_arc_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Julien Hazebrouck
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_CIRCULAR_KERNEL_LINE_ARC_TRAITS_2_H
@@ -38,7 +38,7 @@
 
 namespace CGAL {
 
-// Traits class for CGAL::Arrangement_2 (and similar) based on a 
+// Traits class for CGAL::Arrangement_2 (and similar) based on a
 // CircularKernel.
 
 template < typename CircularKernel >
@@ -51,13 +51,13 @@ public:
   typedef CircularKernel Kernel;
   typedef typename CircularKernel::Line_arc_2  Curve_2;
   typedef typename CircularKernel::Line_arc_2  X_monotone_curve_2;
-  typedef unsigned int                         Multiplicity; 
+  typedef unsigned int                         Multiplicity;
 
   typedef typename CircularKernel::Circular_arc_point_2      Point;
   typedef typename CircularKernel::Circular_arc_point_2      Point_2;
 
   typedef CGAL::Tag_false                        Has_left_category;
-  typedef CGAL::Tag_false 			 Has_merge_category;
+  typedef CGAL::Tag_false                          Has_merge_category;
   typedef CGAL::Tag_false                        Has_do_intersect_category;
 
   typedef Arr_oblivious_side_tag                 Left_side_category;
@@ -75,9 +75,9 @@ public:
   typedef typename CircularKernel::Equal_2              Equal_2;
   typedef typename CircularKernel::Make_x_monotone_2    Make_x_monotone_2;
   typedef typename CircularKernel::Split_2              Split_2;
-  typedef typename CircularKernel::Construct_circular_min_vertex_2  
+  typedef typename CircularKernel::Construct_circular_min_vertex_2
                                                         Construct_min_vertex_2;
-  typedef typename CircularKernel::Construct_circular_max_vertex_2  
+  typedef typename CircularKernel::Construct_circular_max_vertex_2
                                                         Construct_max_vertex_2;
   typedef typename CircularKernel::Is_vertical_2        Is_vertical_2;
   typedef typename CircularKernel::Intersect_2          Intersect_2;
@@ -88,10 +88,10 @@ public:
   Compare_xy_2 compare_xy_2_object() const
   { return ck.compare_xy_2_object(); }
 
-  Compare_y_at_x_2 compare_y_at_x_2_object() const 
+  Compare_y_at_x_2 compare_y_at_x_2_object() const
   { return ck.compare_y_at_x_2_object(); }
 
-  Compare_y_at_x_right_2 compare_y_at_x_right_2_object() const 
+  Compare_y_at_x_right_2 compare_y_at_x_right_2_object() const
   { return ck.compare_y_to_right_2_object(); }
 
   Equal_2 equal_2_object() const
diff -pruN 5.0.2-3/include/CGAL/Arr_linear_traits_2.h 5.0.3-1/include/CGAL/Arr_linear_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_linear_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_linear_traits_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_linear_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_linear_traits_2.h $
 // $Id: Arr_linear_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_naive_point_location.h 5.0.3-1/include/CGAL/Arr_naive_point_location.h
--- 5.0.2-3/include/CGAL/Arr_naive_point_location.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_naive_point_location.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_naive_point_location.h $
-// $Id: Arr_naive_point_location.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_naive_point_location.h $
+// $Id: Arr_naive_point_location.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein   <wein@post.tau.ac.il>
 //                 (based on old version by Eyal Flato)
@@ -58,22 +58,22 @@ protected:
   typedef Arr_traits_basic_adaptor_2<Geometry_traits_2>  Traits_adaptor_2;
 
   // Data members:
-  const Arrangement_2*    p_arr;        // The associated arrangement.  
+  const Arrangement_2*    p_arr;        // The associated arrangement.
   const Traits_adaptor_2* geom_traits;  // Its associated geometry traits.
   const Topology_traits*  top_traits;   // Its associated topology traits.
 
   template<typename T>
   Result_type make_result(T t) const { return Result::make_result(t); }
   inline Result_type default_result() const { return Result::default_result(); }
-                            
+
 public:
   /*! Default constructor. */
-  Arr_naive_point_location() : 
+  Arr_naive_point_location() :
     p_arr(nullptr),
     geom_traits(nullptr),
     top_traits(nullptr)
   {}
-        
+
   /*! Constructor given an arrangement. */
   Arr_naive_point_location(const Arrangement_2& arr) : p_arr(&arr)
   {
@@ -82,7 +82,7 @@ public:
   }
 
   /*! Attach an arrangement object. */
-  void attach(const Arrangement_2& arr) 
+  void attach(const Arrangement_2& arr)
   {
     p_arr = &arr;
     geom_traits = static_cast<const Traits_adaptor_2*>(p_arr->geometry_traits());
@@ -96,7 +96,7 @@ public:
     geom_traits = nullptr;
     top_traits = nullptr;
   }
- 
+
   /*!
    * Locate the arrangement feature containing the given point.
    * \param p The query point.
diff -pruN 5.0.2-3/include/CGAL/Arr_non_caching_segment_basic_traits_2.h 5.0.3-1/include/CGAL/Arr_non_caching_segment_basic_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_non_caching_segment_basic_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_non_caching_segment_basic_traits_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_non_caching_segment_basic_traits_2.h $
-// $Id: Arr_non_caching_segment_basic_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_non_caching_segment_basic_traits_2.h $
+// $Id: Arr_non_caching_segment_basic_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Efi Fogel <efif@post.tau.ac.il>
@@ -250,9 +250,9 @@ public:
       CGAL_precondition (i == 0 || i == 1);
 
       if (i == 0)
-	return (CGAL::to_double(p.x()));
+        return (CGAL::to_double(p.x()));
       else
-	return (CGAL::to_double(p.y()));
+        return (CGAL::to_double(p.y()));
     }
   };
 
diff -pruN 5.0.2-3/include/CGAL/Arr_non_caching_segment_traits_2.h 5.0.3-1/include/CGAL/Arr_non_caching_segment_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_non_caching_segment_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_non_caching_segment_traits_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_non_caching_segment_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_non_caching_segment_traits_2.h $
 // $Id: Arr_non_caching_segment_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_observer.h 5.0.3-1/include/CGAL/Arr_observer.h
--- 5.0.2-3/include/CGAL/Arr_observer.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_observer.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_observer.h $
-// $Id: Arr_observer.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_observer.h $
+// $Id: Arr_observer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein          <wein@post.tau.ac.il>
 
@@ -43,7 +43,7 @@ public:
   typedef typename Arrangement_2::Vertex_handle            Vertex_handle;
   typedef typename Arrangement_2::Halfedge_handle          Halfedge_handle;
   typedef typename Arrangement_2::Face_handle              Face_handle;
-  typedef typename Arrangement_2::Ccb_halfedge_circulator  
+  typedef typename Arrangement_2::Ccb_halfedge_circulator
                                                       Ccb_halfedge_circulator;
 
 private:
@@ -99,7 +99,7 @@ public:
   }
 
   /*!
-   * Attach the observer to an arrangement. 
+   * Attach the observer to an arrangement.
    * \pre The observer is not already attached to an arrangement.
    */
   void attach (Arrangement_2& arr)
@@ -140,7 +140,7 @@ public:
     // that the oberver is not attached to an arrangement.
     p_arr->_unregister_observer (this);
     p_arr = nullptr;
-   
+
     // Notify the concrete oberver that the detachment took place.
     after_detach();
 
@@ -151,7 +151,7 @@ public:
   /// \name Notification functions on global arrangement operations.
   //@{
 
-  /*! 
+  /*!
    * Notification before the arrangement is assigned with another
    * arrangement.
    * \param arr The arrangement to be copied.
@@ -188,7 +188,7 @@ public:
   /// \name Notification functions on observer attachment or detachment.
   //@{
 
-  /*! 
+  /*!
    * Notification before the observer is attached to an arrangement.
    * \param arr The arrangement we are about to attach the observer to.
    */
@@ -201,7 +201,7 @@ public:
   virtual void after_attach ()
   {}
 
-  /*! 
+  /*!
    * Notification before the observer is detached from the arrangement.
    */
   virtual void before_detach ()
diff -pruN 5.0.2-3/include/CGAL/Arr_overlay_2.h 5.0.3-1/include/CGAL/Arr_overlay_2.h
--- 5.0.2-3/include/CGAL/Arr_overlay_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_overlay_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_overlay_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_overlay_2.h $
 // $Id: Arr_overlay_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_overlay.h 5.0.3-1/include/CGAL/Arr_overlay.h
--- 5.0.2-3/include/CGAL/Arr_overlay.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_overlay.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_overlay.h $
-// $Id: Arr_overlay.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_overlay.h $
+// $Id: Arr_overlay.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Eric Berberich <eric@mpi-inf.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Arr_batched_point_location_traits_2.h 5.0.3-1/include/CGAL/Arr_point_location/Arr_batched_point_location_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Arr_batched_point_location_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Arr_batched_point_location_traits_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_batched_point_location_traits_2.h $
-// $Id: Arr_batched_point_location_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_batched_point_location_traits_2.h $
+// $Id: Arr_batched_point_location_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -411,7 +411,7 @@ public:
   Compare_y_at_x_right_2 compare_y_at_x_right_2_object () const
   {
     return (Compare_y_at_x_right_2
-	    (m_base_traits->compare_y_at_x_right_2_object()));
+            (m_base_traits->compare_y_at_x_right_2_object()));
   }
 
   /*! A functor that checks whether two points and two x-monotone curves are
@@ -442,7 +442,7 @@ public:
   public:
     /*! Check if two curves are the same. */
     bool operator() (const X_monotone_curve_2& xcv1,
-		     const X_monotone_curve_2& xcv2) const
+                     const X_monotone_curve_2& xcv2) const
     {
       if (xcv1.halfedge_handle() == xcv2.halfedge_handle() &&
           xcv1.halfedge_handle() != invalid_he)
@@ -923,7 +923,7 @@ public:
     {
       return m_base->compare_x_near_boundary_2_object()(xcv1.base(),
                                                         xcv2.base(),
-							ce);
+                                                        ce);
     }
   };
 
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Arr_landmarks_pl_impl.h 5.0.3-1/include/CGAL/Arr_point_location/Arr_landmarks_pl_impl.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Arr_landmarks_pl_impl.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Arr_landmarks_pl_impl.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_landmarks_pl_impl.h $
-// $Id: Arr_landmarks_pl_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_landmarks_pl_impl.h $
+// $Id: Arr_landmarks_pl_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Idit Haran   <haranidi@post.tau.ac.il>
@@ -18,7 +18,7 @@
 
 
 /*! \file
- * Member-function definitions for the 
+ * Member-function definitions for the
  * Arr_landmarks_point_location<Arrangement, Generator> class.
  */
 
@@ -31,7 +31,7 @@ template <typename Arr, typename Gen>
 typename Arr_landmarks_point_location<Arr, Gen>::result_type
 Arr_landmarks_point_location<Arr, Gen>::locate(const Point_2& p) const
 {
-  // If the arrangement is empty, return its initial (empty and 
+  // If the arrangement is empty, return its initial (empty and
   // non-fictitious) face.
   if (p_arr->number_of_vertices() == 0) {
     CGAL_assertion(p_arr->number_of_faces() == 1);
@@ -39,9 +39,9 @@ Arr_landmarks_point_location<Arr, Gen>::
     return make_result(fh);
   }
   // Use the generator and to find the closest landmark to the query point.
-  result_type    lm_location_obj; 
+  result_type    lm_location_obj;
   const Point_2& landmark_point = lm_gen->closest_landmark(p, lm_location_obj);
-  
+
   // If the query point and the landmark point are equal, return the landmark.
   if (m_traits->equal_2_object()(landmark_point, p))
     return lm_location_obj;
@@ -63,7 +63,7 @@ Arr_landmarks_point_location<Arr, Gen>::
   else if ( ( fh =  Result().template assign<Face_const_handle>(lm_location_obj) ) )
     out_obj = _walk_from_face(*fh, landmark_point, p, crossed_edges);
   else CGAL_error_msg("lm_location_obj of an unknown type.");
-  
+
   if ( ( fh = Result().template assign<Face_const_handle>(out_obj) ) ) {
     // If we reached here, we did not locate the query point in any of the
     // holes inside the current face, so we conclude it is contained in this
@@ -187,12 +187,12 @@ _walk_from_vertex(Vertex_const_handle ne
 //-----------------------------------------------------------------------------
 // Locate an edge around a given vertex that is the predecessor of the curve
 // connecting the vertex to the query point in a clockwise order.
-// 
+//
 template <typename Arr, typename Gen>
 typename Arr_landmarks_point_location<Arr, Gen>::result_type
 Arr_landmarks_point_location<Arr, Gen>::
 _find_face_around_vertex(Vertex_const_handle vh,
-                         const Point_2& p, 
+                         const Point_2& p,
                          bool& new_vertex) const
 {
   new_vertex = false;
@@ -289,7 +289,7 @@ _find_face_around_vertex(Vertex_const_ha
   }
 
   // Check whether p lies on the curve associated with the edge.
-  if (m_traits->is_in_x_range_2_object()(curr->curve(), p) && 
+  if (m_traits->is_in_x_range_2_object()(curr->curve(), p) &&
       m_traits->compare_y_at_x_2_object()(p, curr->curve()) == EQUAL)
   {
     // p is located on the interior of the edge.
@@ -385,7 +385,7 @@ _walk_from_edge(Halfedge_const_handle eh
     // incident to the face that is most likely to contain p.
     res = m_traits->compare_y_at_x_2_object()(p, cv);
 
-    switch (res) { 
+    switch (res) {
      case EQUAL:
       // The edge contains p in its interior:
       return make_result(eh);
@@ -428,7 +428,7 @@ _walk_from_edge(Halfedge_const_handle eh
 }
 
 //-----------------------------------------------------------------------------
-// In case the arrangement's curve contained in the segment 
+// In case the arrangement's curve contained in the segment
 // from the nearest landmark to the query point
 //
 template <typename Arr, typename Gen>
@@ -477,7 +477,7 @@ _walk_from_face(Face_const_handle face,
 {
   // Construct an x-monotone curve connecting the nearest landmark point np
   // to the query point p and check which CCB intersects this segment.
-  X_monotone_curve_2             seg = 
+  X_monotone_curve_2             seg =
     m_traits->construct_x_monotone_curve_2_object()(np, p);
   const bool                     p_is_left =
     (m_traits->compare_xy_2_object()(np, p) == LARGER);
@@ -603,7 +603,7 @@ _intersection_with_ccb(Ccb_halfedge_cons
   is_target = false;
 
   // Go over the CCB.
-  typename Traits_adaptor_2::Is_in_x_range_2    is_in_x_range = 
+  typename Traits_adaptor_2::Is_in_x_range_2    is_in_x_range =
     m_traits->is_in_x_range_2_object();
   Ccb_halfedge_const_circulator                 curr = circ , temp_circ;
   const Halfedge_const_handle                   invalid_he;
@@ -653,7 +653,7 @@ _intersection_with_ccb(Ccb_halfedge_cons
       if (is_on_edge)
         return _in_case_p_is_on_edge(he,crossed_edges,p,is_target);
 
-      if ((!curr->target()->is_at_open_boundary()) && 
+      if ((!curr->target()->is_at_open_boundary()) &&
           is_in_x_range(seg, curr->target()->point()))
       {
         // if the target point of curr is located on seg
@@ -669,7 +669,7 @@ _intersection_with_ccb(Ccb_halfedge_cons
       {
         // if the source point of curr is located on seg
         // we should walk from it to the query point
-        if (m_traits->compare_y_at_x_2_object() 
+        if (m_traits->compare_y_at_x_2_object()
             (curr->source()->point() , seg) == EQUAL)
         {
           new_vertex = curr->source();
@@ -756,7 +756,7 @@ _have_odd_intersections(const X_monotone
                         bool& cv_and_seg_overlap,
                         bool& cv_is_contained_in_seg) const
 {
-  typename Traits_adaptor_2::Is_in_x_range_2    is_in_x_range = 
+  typename Traits_adaptor_2::Is_in_x_range_2    is_in_x_range =
     m_traits->is_in_x_range_2_object();
   p_on_curve = false;
   cv_and_seg_overlap = false;
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Arr_lm_generator_base.h 5.0.3-1/include/CGAL/Arr_point_location/Arr_lm_generator_base.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Arr_lm_generator_base.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Arr_lm_generator_base.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_lm_generator_base.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_lm_generator_base.h $
 // $Id: Arr_lm_generator_base.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Arr_lm_grid_generator.h 5.0.3-1/include/CGAL/Arr_point_location/Arr_lm_grid_generator.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Arr_lm_grid_generator.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Arr_lm_grid_generator.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_lm_grid_generator.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_lm_grid_generator.h $
 // $Id: Arr_lm_grid_generator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Arr_lm_halton_generator.h 5.0.3-1/include/CGAL/Arr_point_location/Arr_lm_halton_generator.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Arr_lm_halton_generator.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Arr_lm_halton_generator.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_lm_halton_generator.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_lm_halton_generator.h $
 // $Id: Arr_lm_halton_generator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Arr_lm_middle_edges_generator.h 5.0.3-1/include/CGAL/Arr_point_location/Arr_lm_middle_edges_generator.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Arr_lm_middle_edges_generator.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Arr_lm_middle_edges_generator.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_lm_middle_edges_generator.h $
-// $Id: Arr_lm_middle_edges_generator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_lm_middle_edges_generator.h $
+// $Id: Arr_lm_middle_edges_generator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -40,7 +40,7 @@ class Arr_middle_edges_landmarks_generat
     public Arr_landmarks_generator_base<Arrangement_, Nearest_neighbor_>
 {
 public:
-  typedef Arrangement_				        Arrangement_2;
+  typedef Arrangement_                                        Arrangement_2;
   typedef Nearest_neighbor_                             Nearest_neighbor;
 
 private:
@@ -51,21 +51,21 @@ private:
 
 public:
   typedef typename Arrangement_2::Geometry_traits_2     Geometry_traits_2;
-  typedef typename Arrangement_2::Edge_const_iterator	Edge_const_iterator;
+  typedef typename Arrangement_2::Edge_const_iterator        Edge_const_iterator;
   typedef typename Arrangement_2::Vertex_const_handle   Vertex_const_handle;
   typedef typename Arrangement_2::Halfedge_const_handle Halfedge_const_handle;
   typedef typename Arrangement_2::Face_const_handle     Face_const_handle;
-  typedef typename Arrangement_2::Vertex_handle		Vertex_handle;
-  typedef typename Arrangement_2::Halfedge_handle	Halfedge_handle;
-  typedef typename Arrangement_2::Face_handle		Face_handle;
+  typedef typename Arrangement_2::Vertex_handle                Vertex_handle;
+  typedef typename Arrangement_2::Halfedge_handle        Halfedge_handle;
+  typedef typename Arrangement_2::Face_handle                Face_handle;
   typedef typename Arrangement_2::Vertex_const_iterator Vertex_const_iterator;
   typedef typename Arrangement_2::Ccb_halfedge_circulator
                                                         Ccb_halfedge_circulator;
   typedef typename Base::NN_Points_set                  NN_Points_set;
   typedef typename Base::NN_Point_2                     NN_Point_2;
 
-  typedef typename Geometry_traits_2::Point_2		Point_2;
-  typedef std::vector<Point_2>			        Points_set;
+  typedef typename Geometry_traits_2::Point_2                Point_2;
+  typedef std::vector<Point_2>                                Points_set;
 
   typedef typename Base::PL_result_type                 PL_result_type;
 
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Arr_lm_nearest_neighbor.h 5.0.3-1/include/CGAL/Arr_point_location/Arr_lm_nearest_neighbor.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Arr_lm_nearest_neighbor.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Arr_lm_nearest_neighbor.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_lm_nearest_neighbor.h $
-// $Id: Arr_lm_nearest_neighbor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_lm_nearest_neighbor.h $
+// $Id: Arr_lm_nearest_neighbor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Idit Haran   <haranidi@post.tau.ac.il>
 //                 Ron Wein     <wein@post.tau.ac.il>
 //                 Efi Fogel    <efif@post.tau.ac.il>
@@ -104,7 +104,7 @@ public:
     bool operator== (const NN_Point_2& nnp) const
     { return (m_vec[0] == nnp.m_vec[0] && m_vec[1] == nnp.m_vec[1]); }
 
-    bool operator!= (const NN_Point_2& nnp) const 
+    bool operator!= (const NN_Point_2& nnp) const
     { return (m_vec[0] != nnp.m_vec[0] || m_vec[1] != nnp.m_vec[1]); }
   };
 
@@ -115,7 +115,7 @@ public:
   struct Construct_coord_iterator
   {
     typedef const Approximate_number_type*      result_type;
-    
+
     /*! Get an iterator for the approximate coordinates. */
     const Approximate_number_type* operator()(const NN_Point_2& nnp) const
     { return (nnp.begin()); }
@@ -137,9 +137,9 @@ protected:
   Tree* m_tree;        // The search tree.
   bool  m_is_empty;    // Is the search tree empty.
 
-public: 
+public:
   bool is_empty() const { return m_is_empty; }
-  
+
 private:
   typedef Arr_landmarks_nearest_neighbor<Arrangement_2>     Self;
 
@@ -182,7 +182,7 @@ public:
   }
 
   /*! Clear the search tree. */
-  void clear() 
+  void clear()
   {
     if (m_tree != nullptr)
       delete m_tree;
@@ -210,7 +210,7 @@ public:
 
     // For some reason search.begin()->first fails
     const NN_Point_2&  nearest_p = (*(search.begin())).first;
-    obj = nearest_p.object();   
+    obj = nearest_p.object();
     return nearest_p.point();
   }
 };
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Arr_lm_random_generator.h 5.0.3-1/include/CGAL/Arr_point_location/Arr_lm_random_generator.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Arr_lm_random_generator.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Arr_lm_random_generator.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_lm_random_generator.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_lm_random_generator.h $
 // $Id: Arr_lm_random_generator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Arr_lm_specified_points_generator.h 5.0.3-1/include/CGAL/Arr_point_location/Arr_lm_specified_points_generator.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Arr_lm_specified_points_generator.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Arr_lm_specified_points_generator.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_lm_specified_points_generator.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_lm_specified_points_generator.h $
 // $Id: Arr_lm_specified_points_generator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Arr_lm_vertices_generator.h 5.0.3-1/include/CGAL/Arr_point_location/Arr_lm_vertices_generator.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Arr_lm_vertices_generator.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Arr_lm_vertices_generator.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_lm_vertices_generator.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_lm_vertices_generator.h $
 // $Id: Arr_lm_vertices_generator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Arr_naive_point_location_impl.h 5.0.3-1/include/CGAL/Arr_point_location/Arr_naive_point_location_impl.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Arr_naive_point_location_impl.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Arr_naive_point_location_impl.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_naive_point_location_impl.h $
-// $Id: Arr_naive_point_location_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_naive_point_location_impl.h $
+// $Id: Arr_naive_point_location_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein   <wein@post.tau.ac.il>
 //                 (based on old version by Eyal Flato)
@@ -46,9 +46,9 @@ Arr_naive_point_location<Arrangement>::l
 
   // Go over arrangement halfedges and check whether one of them contains
   // the query point in its interior.
-  typename Traits_adaptor_2::Is_in_x_range_2    is_in_x_range = 
+  typename Traits_adaptor_2::Is_in_x_range_2    is_in_x_range =
     geom_traits->is_in_x_range_2_object();
-  typename Traits_adaptor_2::Compare_y_at_x_2   compare_y_at_x = 
+  typename Traits_adaptor_2::Compare_y_at_x_2   compare_y_at_x =
     geom_traits->compare_y_at_x_2_object();
   typename Arrangement_2::Edge_const_iterator   eit;
   Halfedge_const_handle                         hh;
@@ -66,10 +66,10 @@ Arr_naive_point_location<Arrangement>::l
   Face_const_handle                             fh;
   Face_const_handle                             f_inner;
   const Face_const_handle                       invalid_f;
-  
+
   for (fit = p_arr->faces_begin(); fit != p_arr->faces_end(); ++fit) {
     fh = fit;
-  
+
     if (top_traits->is_in_face(&(*fh), p, nullptr)) {
       // The current face contains p in its interior.
       if (f_inner == invalid_f ||
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Arr_simple_point_location_impl.h 5.0.3-1/include/CGAL/Arr_point_location/Arr_simple_point_location_impl.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Arr_simple_point_location_impl.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Arr_simple_point_location_impl.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_simple_point_location_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_simple_point_location_impl.h $
 // $Id: Arr_simple_point_location_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Arr_trapezoid_ric_pl_impl.h 5.0.3-1/include/CGAL/Arr_point_location/Arr_trapezoid_ric_pl_impl.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Arr_trapezoid_ric_pl_impl.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Arr_trapezoid_ric_pl_impl.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_trapezoid_ric_pl_impl.h $
-// $Id: Arr_trapezoid_ric_pl_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_trapezoid_ric_pl_impl.h $
+// $Id: Arr_trapezoid_ric_pl_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Idit Haran   <haranidi@post.tau.ac.il>
 
@@ -24,9 +24,9 @@
 #define CGAL_TRAP_DEBUG
 
 #ifdef CGAL_TRG_DEBUG
-	#define CGAL_TRAP_PRINT_DEBUG(expr)   std::cout << expr << std::endl
+        #define CGAL_TRAP_PRINT_DEBUG(expr)   std::cout << expr << std::endl
 #else
-	#define CGAL_TRAP_PRINT_DEBUG(expr)
+        #define CGAL_TRAP_PRINT_DEBUG(expr)
 #endif
 
 namespace CGAL {
@@ -42,20 +42,20 @@ Arr_trapezoid_ric_point_location<Arrange
 
   //there are different internal compiler errors if we
   // typedef the Locate_type
-  typename TD::Locate_type td_lt; 
+  typename TD::Locate_type td_lt;
 
   Td_map_item& tr = td.locate(p,td_lt);
 
   CGAL_TRAP_PRINT_DEBUG("after td.locate");
 
   // treat special case, where trapezoid is unbounded.
-  //	for then get_parent() is not defined
+  //        for then get_parent() is not defined
   if (td_lt==TD::UNBOUNDED_TRAPEZOID) {
     CGAL_TRAP_PRINT_DEBUG("UNBOUNDED_TRAPEZOID");
 
     Face_const_handle ubf =
       _get_unbounded_face(tr, p, Are_all_sides_oblivious_category());
-    
+
     //check isolated vertices
       Isolated_vertex_const_iterator   iso_verts_it;
       for (iso_verts_it = ubf->isolated_vertices_begin();
@@ -87,12 +87,12 @@ Arr_trapezoid_ric_point_location<Arrange
       Td_active_edge& e (boost::get<Td_active_edge>(tr));
       Halfedge_const_handle h = e.halfedge();
       CGAL_TRAP_PRINT_DEBUG("CURVE");
-      if ( m_traits->is_in_x_range_2_object()(h->curve(),p) && 
+      if ( m_traits->is_in_x_range_2_object()(h->curve(),p) &&
            m_traits->compare_y_at_x_2_object()(p,h->curve()) == EQUAL)
         return make_result(h);
       else {
         //ixx
-        std::cerr << "curve is: "<< h->curve() <<" point is: "<< p <<std::endl; 
+        std::cerr << "curve is: "<< h->curve() <<" point is: "<< p <<std::endl;
         CGAL_error();
       }
     }
@@ -103,7 +103,7 @@ Arr_trapezoid_ric_point_location<Arrange
       Td_active_trapezoid t (boost::get<Td_active_trapezoid>(tr));
       Halfedge_const_handle h = t.top();
       CGAL_TRAP_PRINT_DEBUG("TRAPEZOID");
-      bool is_p_above_h = (m_traits->is_in_x_range_2_object()(h->curve(),p)) 
+      bool is_p_above_h = (m_traits->is_in_x_range_2_object()(h->curve(),p))
                        && (m_traits->compare_y_at_x_2_object()
                                           (p, h->curve()) == LARGER) ;
       bool is_h_ltr = (h->direction() == ARR_LEFT_TO_RIGHT);
@@ -134,14 +134,14 @@ Arr_trapezoid_ric_point_location<Arrange
   }
 
   CGAL_TRAP_PRINT_DEBUG("EMPTY");
-  return default_result();   
+  return default_result();
 }
 
 
 /*! gets the unbounded face that contains the point when the trapezoid is unbounded
-   */ 
+   */
 template <class Arrangement>
-typename Arr_trapezoid_ric_point_location<Arrangement>::Face_const_handle 
+typename Arr_trapezoid_ric_point_location<Arrangement>::Face_const_handle
 Arr_trapezoid_ric_point_location<Arrangement>::
 _get_unbounded_face(const Td_map_item& /* item */, const Point_2& /* p */,
                     Arr_all_sides_oblivious_tag) const
@@ -153,9 +153,9 @@ _get_unbounded_face(const Td_map_item& /
 
 /*! gets the unbounded face that contains the point when the trapezoid
  * is unbounded
- */ 
+ */
 template <class Arrangement>
-typename Arr_trapezoid_ric_point_location<Arrangement>::Face_const_handle 
+typename Arr_trapezoid_ric_point_location<Arrangement>::Face_const_handle
 Arr_trapezoid_ric_point_location<Arrangement>::
 _get_unbounded_face(const Td_map_item& item,const Point_2& p,
                     Arr_not_all_sides_oblivious_tag) const
@@ -175,11 +175,11 @@ _get_unbounded_face(const Td_map_item& i
   }
   else if (!tr.is_on_left_boundary()) {
     //if top & bottom edges are not defined but the left() curve end is defined
-    
+
     //there are different internal compiler errors if we
     // typedef the Locate_type
-    typename TD::Locate_type td_lt; 
-    
+    typename TD::Locate_type td_lt;
+
     //locate the degenerate trapezoid containing tr.left()
     Td_map_item& left_v_item = td.locate(tr.left(),td_lt);
     CGAL_assertion(td_lt == TD::POINT);
@@ -194,7 +194,7 @@ _get_unbounded_face(const Td_map_item& i
       he = v.cw_he();
     }
     //cw_he() holds the "smallest" curve clockwise starting from 12 o'clock
-  
+
     CGAL_assertion_code(Halfedge_const_handle invalid_he);
     CGAL_assertion(he != invalid_he);
 
@@ -207,12 +207,12 @@ _get_unbounded_face(const Td_map_item& i
   else if (!tr.is_on_right_boundary()) {
     //if top, bottom, left edges are not defined but the right() curve end
     // is defined
-    
+
     //there are different internal compiler errors if we
     // typedef the Locate_type
-    typename TD::Locate_type td_lt; 
-    
-    //locate the degenerate trapezoid of tr.right(). 
+    typename TD::Locate_type td_lt;
+
+    //locate the degenerate trapezoid of tr.right().
     Td_map_item& right_v_item = td.locate(tr.right(),td_lt);
     CGAL_assertion(td_lt == TD::POINT);
     Halfedge_const_handle he;
@@ -225,19 +225,19 @@ _get_unbounded_face(const Td_map_item& i
         v(boost::get<Td_active_fictitious_vertex>(right_v_item));
       he = v.cw_he();
     }
-    //its cw_he() holds the "smallest" curve clockwise starting from 
+    //its cw_he() holds the "smallest" curve clockwise starting from
     // 12 o'clock
-    
+
     CGAL_assertion_code(Halfedge_handle invalid_he);
     CGAL_assertion(he != invalid_he);
 
     //the Halfedge_handle source is right_ee.
     // this way the face on it's left is the desired one
-    
+
     //MICHAL: maybe add a verification that the above occures
     return he->face();
   }
-  
+
   //else, on all boundaries (top, bottom, left, right - are not defined),
   //    this is the only trapezoid in the map
   return this->arrangement()->unbounded_faces_begin();
@@ -256,12 +256,12 @@ _vertical_ray_shoot(const Point_2& p, bo
   //trying to workaround internal compiler error
   typename TD::Locate_type td_lt;
   Halfedge_const_handle invalid_he;
- 
+
   Td_map_item& item = td.vertical_ray_shoot(p, td_lt, shoot_up);
 
   // treat special case, where trapezoid is unbounded.
   if (td_lt==TD::UNBOUNDED_TRAPEZOID)
-  { 
+  {
     return (_check_isolated_for_vertical_ray_shoot(invalid_he, p, shoot_up, item));
   }
 
@@ -278,7 +278,7 @@ _vertical_ray_shoot(const Point_2& p, bo
     {
       Td_active_edge& e (boost::get<Td_active_edge>(item));
       Halfedge_const_handle h = e.halfedge();
-    
+
       if ((shoot_up && h->direction() == ARR_LEFT_TO_RIGHT) ||
         (!shoot_up && h->direction() == ARR_RIGHT_TO_LEFT))
       {
@@ -291,8 +291,8 @@ _vertical_ray_shoot(const Point_2& p, bo
     {
       Td_active_trapezoid trpz (boost::get<Td_active_trapezoid>(item));
       Halfedge_const_handle h = (shoot_up) ? trpz.top() : trpz.bottom();
-  
-      bool is_p_above_h = (m_traits->is_in_x_range_2_object()(h->curve(),p)) 
+
+      bool is_p_above_h = (m_traits->is_in_x_range_2_object()(h->curve(),p))
                        && (m_traits->compare_y_at_x_2_object()
                                           (p, h->curve()) == LARGER) ;
       bool is_h_ltr = (h->direction() == ARR_LEFT_TO_RIGHT);
@@ -315,12 +315,12 @@ _vertical_ray_shoot(const Point_2& p, bo
 // In vertical ray shoot, when the closest halfedge is found (or unbounded
 // face) we check the isolated vertices inside the face to check whether there
 // is an isolated vertex right above/below the query point.
-// 
+//
 template <class Arrangement>
 typename Arr_trapezoid_ric_point_location<Arrangement>::result_type
 Arr_trapezoid_ric_point_location<Arrangement>::
-_check_isolated_for_vertical_ray_shoot (Halfedge_const_handle halfedge_found, 
-                                        const Point_2& p, 
+_check_isolated_for_vertical_ray_shoot (Halfedge_const_handle halfedge_found,
+                                        const Point_2& p,
                                         bool shoot_up,
                                         const Td_map_item& tr) const
 {
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Arr_triangulation_pl_functions.h 5.0.3-1/include/CGAL/Arr_point_location/Arr_triangulation_pl_functions.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Arr_triangulation_pl_functions.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Arr_triangulation_pl_functions.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_triangulation_pl_functions.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_triangulation_pl_functions.h $
 // $Id: Arr_triangulation_pl_functions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Arr_triangulation_pl_impl.h 5.0.3-1/include/CGAL/Arr_point_location/Arr_triangulation_pl_impl.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Arr_triangulation_pl_impl.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Arr_triangulation_pl_impl.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_triangulation_pl_impl.h $
-// $Id: Arr_triangulation_pl_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_triangulation_pl_impl.h $
+// $Id: Arr_triangulation_pl_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Idit Haran   <haranidi@post.tau.ac.il>
 #ifndef CGAL_ARR_TRIANGULATION_POINT_LOCATION_FUNCTIONS_H
@@ -23,9 +23,9 @@
 //#define CGAL_TRG_DEBUG
 
 #ifdef CGAL_TRG_DEBUG
-	#define CGAL_TRG_PRINT_DEBUG(expr)   std::cout << expr << std::endl
+        #define CGAL_TRG_PRINT_DEBUG(expr)   std::cout << expr << std::endl
 #else
-	#define CGAL_TRG_PRINT_DEBUG(expr)
+        #define CGAL_TRG_PRINT_DEBUG(expr)
 #endif
 
 namespace CGAL {
@@ -85,20 +85,20 @@ Arr_triangulation_point_location<Arrange
    case CDT::EDGE:
     {
       CGAL_TRG_PRINT_DEBUG("locate type = edge"<<li );
-      //li is the index of the vertex OPOSITE to the edge 
+      //li is the index of the vertex OPOSITE to the edge
       if ( cdt.is_constrained(CDT_Edge(fh,li)) )
       {  //the edge found is an edge in the plannar map
         CGAL_TRG_PRINT_DEBUG("the edge is a constrained");
-        //get the 2 vertices incident to the edge in the plannar map 
+        //get the 2 vertices incident to the edge in the plannar map
         int v1_index = (li+1)%3, v2_index = (li+2)%3;
         CGAL_TRG_PRINT_DEBUG("v1 = "<<v1_index<<", v2 = "<<v2_index );
-        Vertex_const_handle v1_of_edge = fh->vertex(v1_index)->info();       
+        Vertex_const_handle v1_of_edge = fh->vertex(v1_index)->info();
         Vertex_const_handle v2_of_edge = fh->vertex(v2_index)->info();
         //go over all halfedges incident to v1, and check if v2 is their source
-        Halfedge_around_vertex_const_circulator circ1 = 
-            v1_of_edge->incident_halfedges(); 
+        Halfedge_around_vertex_const_circulator circ1 =
+            v1_of_edge->incident_halfedges();
         Halfedge_around_vertex_const_circulator circ1_done (circ1);
-        
+
         Halfedge_const_handle edeg_found;
 
         do {
@@ -109,9 +109,9 @@ Arr_triangulation_point_location<Arrange
           }
         } while (++circ1 != circ1_done);
 
-        return make_result(edeg_found); 
+        return make_result(edeg_found);
       }
-      //if the edge is not a constrained - its not an edge of the 
+      //if the edge is not a constrained - its not an edge of the
       //plannar map, which means we're inside of a pm face -
       //lets look at the face as if it was a face case.
       // no break - continue to the face caes
@@ -125,14 +125,14 @@ Arr_triangulation_point_location<Arrange
   CGAL_TRG_PRINT_DEBUG("FACE ");
 
   //get 3 pm vertices of face
-  Vertex_const_handle v0 = fh->vertex(0)->info();       
+  Vertex_const_handle v0 = fh->vertex(0)->info();
   Vertex_const_handle v1 = fh->vertex(1)->info();
   Vertex_const_handle v2 = fh->vertex(2)->info();
 
   //the vertices should not be isolated, since we do not insert the
-  //isolated vertices as points in the triangulation, only edges 
-  // (and thus vertices inceident to this edge). 
-  //in the future it is possible to add isolated vertices to the 
+  //isolated vertices as points in the triangulation, only edges
+  // (and thus vertices inceident to this edge).
+  //in the future it is possible to add isolated vertices to the
   // triangulation, and then, when found, take its incident_face
   CGAL_assertion(!v0->is_isolated());
   CGAL_assertion(!v1->is_isolated());
@@ -142,13 +142,13 @@ Arr_triangulation_point_location<Arrange
   if (v2->is_isolated()) return make_result(v2->face());
 
   //find the face in the pm correspond to the 3 vertices
-  Halfedge_around_vertex_const_circulator havc0 = v0->incident_halfedges(); 
+  Halfedge_around_vertex_const_circulator havc0 = v0->incident_halfedges();
   Halfedge_around_vertex_const_circulator havc0_done (havc0);
 
-  Halfedge_around_vertex_const_circulator havc1 = v1->incident_halfedges(); 
+  Halfedge_around_vertex_const_circulator havc1 = v1->incident_halfedges();
   Halfedge_around_vertex_const_circulator havc1_done (havc1);
 
-  Halfedge_around_vertex_const_circulator havc2 = v2->incident_halfedges(); 
+  Halfedge_around_vertex_const_circulator havc2 = v2->incident_halfedges();
   Halfedge_around_vertex_const_circulator havc2_done (havc2);
 
   //loop to find face
@@ -156,9 +156,9 @@ Arr_triangulation_point_location<Arrange
   bool found_unbounded = false;
   do {
     //get face from halfedge
-    Face_const_handle f0 = (*havc0).face(); 
+    Face_const_handle f0 = (*havc0).face();
     do {
-      Face_const_handle f1 = (*havc1).face(); 
+      Face_const_handle f1 = (*havc1).face();
       if (f0 == f1) {
         CGAL_TRG_PRINT_DEBUG("f0 == f1");
         do {
@@ -182,7 +182,7 @@ Arr_triangulation_point_location<Arrange
       std::cerr<< "NOT GOOD - face not found" << std::endl;
       //debug - print some more info
       std::cout << "p = "<< p <<std::endl;
-      std::cout << "v0 = "<< v0->point() 
+      std::cout << "v0 = "<< v0->point()
         <<", v1 = "<< v1->point()
         <<", v2 = "<<v2->point() <<std::endl;
     }
@@ -200,7 +200,7 @@ Arr_triangulation_point_location<Arrange
       Vertex_const_handle  vh = iso_verts_it;
       return make_result(vh);
     }
-  }		
+  }
 
   return make_result(face_found);
 }
@@ -208,26 +208,26 @@ Arr_triangulation_point_location<Arrange
 
 //----------------------------------------------------
 /*! triangulate the arrangement into a cdt (Constaint Delauney Triangulation):
-go over all halfedges, and insert each halfedge as a constraint to the cdt. 
+go over all halfedges, and insert each halfedge as a constraint to the cdt.
 */
 template <class Arrangement_2>
-void Arr_triangulation_point_location<Arrangement_2>::clear_triangulation () 
-{ 
+void Arr_triangulation_point_location<Arrangement_2>::clear_triangulation ()
+{
   cdt.clear();
 }
 
 //----------------------------------------------------
 /*! triangulate the arrangement into a cdt (Constaint Delauney Triangulation):
-go over all halfedges, and insert each halfedge as a constraint to the cdt. 
+go over all halfedges, and insert each halfedge as a constraint to the cdt.
 */
 template <class Arrangement_2>
 void Arr_triangulation_point_location<Arrangement_2>::build_triangulation()
-{ 
+{
   CGAL_TRG_PRINT_DEBUG("build_triangulation");
 
   //Go over the arrangement, and create a triangulation of it
   Edge_const_iterator eit = this->arrangement()->edges_begin();
-  for (eit = this->arrangement()->edges_begin(); 
+  for (eit = this->arrangement()->edges_begin();
        eit != this->arrangement()->edges_end(); eit++)
   {
     //get vertices from edge
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Arr_walk_along_line_pl_impl.h 5.0.3-1/include/CGAL/Arr_point_location/Arr_walk_along_line_pl_impl.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Arr_walk_along_line_pl_impl.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Arr_walk_along_line_pl_impl.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_walk_along_line_pl_impl.h $
-// $Id: Arr_walk_along_line_pl_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Arr_walk_along_line_pl_impl.h $
+// $Id: Arr_walk_along_line_pl_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein   <wein@post.tau.ac.il>
 //                 (based on old version by Oren Nechushtan
@@ -105,7 +105,7 @@ Arr_walk_along_line_point_location<Arran
           // Shoot up.
           closest_he = _first_around_vertex(closest_he->target(), true);
         }
-        
+
         // Move inside the faces that constitute the hole, the first one
         // being incident face of the twin of closest halfedge found so far.
         CGAL_assertion (face != closest_he->twin()->face());
@@ -439,7 +439,7 @@ _is_in_connected_component (const Point_
   // As far as we know, we are not on an edge.
   is_on_edge = false;
   closest_to_target = false;
-  
+
   // Set the results for comparison acording to the ray direction.
   const Comparison_result point_above_under = (shoot_up ? SMALLER : LARGER);
   const Comparison_result curve_above_under = (shoot_up ? LARGER : SMALLER);
@@ -509,11 +509,11 @@ _is_in_connected_component (const Point_
       {
         // Check if the current vertical curve contains the query point in its
         // iterior.
-        const Comparison_result  res1 = 
+        const Comparison_result  res1 =
           top_traits->compare_xy(p, &(*(first->source())));
         const Comparison_result  res2 =
           top_traits->compare_xy(p, &(*(first->target())));
-        
+
         if (res1 != res2) {
           if (! ((res1 == EQUAL && res2 == curve_above_under) ||
                  (res1 == curve_above_under && res2 == EQUAL)))
@@ -642,12 +642,12 @@ _is_in_connected_component (const Point_
           {
             if (closest_he->direction() == ARR_LEFT_TO_RIGHT) {
               // Both curves extend to the right from a common point.
-              y_res = compare_y_at_x_right(closest_he->curve(), curr->curve(), 
+              y_res = compare_y_at_x_right(closest_he->curve(), curr->curve(),
                                            closest_he->source()->point());
             }
             else {
               // Both curves extend to the left from a common point.
-              y_res = compare_y_at_x_left(closest_he->curve(), curr->curve(), 
+              y_res = compare_y_at_x_left(closest_he->curve(), curr->curve(),
                                           closest_he->source()->point());
             }
           }
@@ -659,12 +659,12 @@ _is_in_connected_component (const Point_
           {
             if (closest_he->direction() == ARR_LEFT_TO_RIGHT) {
               // Both curves extend to the left from a common point.
-              y_res = compare_y_at_x_left(closest_he->curve(), curr->curve(), 
+              y_res = compare_y_at_x_left(closest_he->curve(), curr->curve(),
                                           closest_he->target()->point());
             }
             else {
               // Both curves extend to the right from a common point.
-              y_res = compare_y_at_x_right(closest_he->curve(), curr->curve(), 
+              y_res = compare_y_at_x_right(closest_he->curve(), curr->curve(),
                                            closest_he->target()->point());
             }
           }
@@ -706,7 +706,7 @@ _is_in_connected_component (const Point_
           while ((! next_non_vert->is_fictitious() &&
                   is_vertical(next_non_vert->curve())) ||
                  (next_non_vert->is_fictitious() &&
-                  next_non_vert->source()->parameter_space_in_x() != 
+                  next_non_vert->source()->parameter_space_in_x() !=
                   next_non_vert->target()->parameter_space_in_x()));
 
           // In case the source of the current curve and the target of
@@ -755,7 +755,7 @@ _is_in_connected_component (const Point_
       {
         closest_he = curr;
         closest_in_ccb = true;
-        closest_to_target = 
+        closest_to_target =
               ((shoot_up && curr->direction() == ARR_RIGHT_TO_LEFT) ||
                (! shoot_up && curr->direction() == ARR_LEFT_TO_RIGHT));
       }
@@ -793,7 +793,7 @@ _first_around_vertex (Vertex_const_handl
   Halfedge_const_handle   lowest_left;
   Halfedge_const_handle   top_right;
 
-  typename Arrangement_2::Halfedge_around_vertex_const_circulator first = 
+  typename Arrangement_2::Halfedge_around_vertex_const_circulator first =
     v->incident_halfedges();
   typename Arrangement_2::Halfedge_around_vertex_const_circulator curr = first;
 
@@ -807,7 +807,7 @@ _first_around_vertex (Vertex_const_handl
           (! curr->is_fictitious() &&
            (lowest_left->is_fictitious() ||
             compare_y_at_x_left (curr->curve(),
-                                 lowest_left->curve(), 
+                                 lowest_left->curve(),
                                  v->point()) == SMALLER)))
       {
         lowest_left = curr;
@@ -820,7 +820,7 @@ _first_around_vertex (Vertex_const_handl
           (! curr->is_fictitious() &&
            (top_right->is_fictitious() ||
             compare_y_at_x_right (curr->curve(),
-                                  top_right->curve(), 
+                                  top_right->curve(),
                                   v->point()) == LARGER)))
       {
         top_right = curr;
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Td_active_edge.h 5.0.3-1/include/CGAL/Arr_point_location/Td_active_edge.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Td_active_edge.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Td_active_edge.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,11 +3,11 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_active_edge.h $
-// $Id: Td_active_edge.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_active_edge.h $
+// $Id: Td_active_edge.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s)	 : Oren Nechushtan <theoren@math.tau.ac.il>
+// Author(s)         : Oren Nechushtan <theoren@math.tau.ac.il>
 //               updated by: Michal Balas <balasmic@post.tau.ac.il>
 
 #ifndef CGAL_TD_ACTIVE_EDGE_H
@@ -37,25 +37,25 @@ namespace CGAL {
  * Implementation of a pseudo-trapezoid as two halfedges(top,bottom)
  * and two curve-ends(left,right).
  * Trapezoids are represented as two curve-ends called right and left and
- * two halfedges called top and bottom. The curve-ends (points) lie on the 
- * right and left boundaries of the trapezoid respectively and the halfedges 
+ * two halfedges called top and bottom. The curve-ends (points) lie on the
+ * right and left boundaries of the trapezoid respectively and the halfedges
  * bound the trapezoid from above and below.
- * There exist degenerate trapezoids called infinite trapezoid; this happens 
+ * There exist degenerate trapezoids called infinite trapezoid; this happens
  * when one of the four sides is on the parameter space boundary.
  * Trapezoids are created as active and become inactive when Remove() member
  * function called.
  * Each trapezoid has at most four neighbouring trapezoids.
- * X_trapezoid structure can represent a real trapezoid, a Td-edge or an 
+ * X_trapezoid structure can represent a real trapezoid, a Td-edge or an
  * edge-end (end point).
  */
 template <class Td_traits_>
 class Td_active_edge : public Handle
 {
 public:
-  
+
   //type of traits class
   typedef Td_traits_                                   Traits;
-  
+
   //type of point (Point_2)
   typedef typename Traits::Point                       Point;
 
@@ -67,7 +67,7 @@ public:
 
   //type of Halfedge_const_handle (trapezoid edge)
   typedef typename Traits::Halfedge_const_handle  Halfedge_const_handle;
-  
+
   //type of Vertex_const_handle (trapezoid vertex)
   typedef typename Traits::Vertex_const_handle    Vertex_const_handle;
 
@@ -75,10 +75,10 @@ public:
   typedef typename Traits::Td_active_edge            Self;
 
   typedef typename Traits::Td_map_item            Td_map_item;
-  
+
   //type of Trapezoidal decomposition
   typedef Trapezoidal_decomposition_2<Traits>          TD;
-  
+
   //type of In face iterator
   typedef typename TD::In_face_iterator                In_face_iterator;
 
@@ -90,7 +90,7 @@ public:
 
   friend class Trapezoidal_decomposition_2<Traits>;
   friend struct internal::Non_recursive_td_map_item_destructor<Traits>;
-  
+
 #ifdef CGAL_PM_FRIEND_CLASS
 #if defined(__SUNPRO_CC) || defined(__PGI) || defined(__INTEL_COMPILER)
   friend class Trapezoidal_decomposition_2<Traits>::In_face_iterator;
@@ -101,7 +101,7 @@ public:
 #else
   friend class Trapezoidal_decomposition_2<Traits>::In_face_iterator;
 #endif
-  
+
 #else
   friend class In_face_iterator;
 #endif
@@ -124,7 +124,7 @@ public:
           Dag_node* _p_node)
           : he(_he),next(_next),p_node(_p_node)
     { }
-    
+
     ~Data() { }
 
   protected:
@@ -132,12 +132,12 @@ public:
     Td_map_item next;
     Dag_node* p_node;
   };
-  
+
  private:
-  
+
   Data* ptr() const { return (Data*)(PTR);  }
-	
-	
+
+
 #ifndef CGAL_TD_DEBUG
 #ifdef CGAL_PM_FRIEND_CLASS
  protected:
@@ -147,9 +147,9 @@ public:
 #else //CGAL_TD_DEBUG
  public:
 #endif //CGAL_TD_DEBUG
-	
+
   //Dag_node* m_dag_node; //pointer to the search structure (DAG) node
-	
+
   /*! Initialize the trapezoid's neighbours. */
   inline void init_neighbours(boost::optional<Td_map_item&> next)
   {
@@ -157,21 +157,21 @@ public:
   }
 
   /*! Set the DAG node. */
-  CGAL_TD_INLINE void set_dag_node(Dag_node* p) 
+  CGAL_TD_INLINE void set_dag_node(Dag_node* p)
   {
     ptr()->p_node = p;
     //m_dag_node = p;
-  
+
 //#ifdef CGAL_TD_DEBUG
-//  
+//
 //    CGAL_assertion(!p || **p == *this);
-//  
-//#endif	
-	
+//
+//#endif
+
   }
-  
+
   ///*! Set the trapezoid's bottom (Halfedge_const_handle). */
-  CGAL_TD_INLINE void set_halfedge(Halfedge_const_handle he) 
+  CGAL_TD_INLINE void set_halfedge(Halfedge_const_handle he)
   {
     if (halfedge() !=  Traits::empty_he_handle() &&
         halfedge()->direction() != he->direction())
@@ -183,17 +183,17 @@ public:
       ptr()->he = he;
     }
   }
-  
+
   /*! Set next edge fragment. */
   inline void set_next( const Td_map_item& next) { ptr()->next = next; }
  public:
-  
+
   /// \name Constructors.
   //@{
 
   Td_active_edge ()
   {
-    
+
     PTR = new Data
       (Traits::empty_he_handle(), Td_map_item(0), nullptr);
     //m_dag_node = nullptr;
@@ -203,31 +203,31 @@ public:
                   Dag_node* node = 0,
                   boost::optional<Td_map_item&> next = boost::none)
   {
-    
+
     PTR = new Data(he, (next) ? *next : Td_map_item(0), node);
     //m_dag_node = node;
   }
-  
-  
+
+
   /*! Copy constructor. */
   Td_active_edge(const Self& tr) : Handle(tr)
   {
 //  m_dag_node = tr.m_dag_node;
   }
-  
+
   //@}
-  
+
   /// \name Operator overloading.
   //@{
 
-  /*! Assignment operator. 
-  *   operator= should not copy m_dag_node (or otherwise update 
+  /*! Assignment operator.
+  *   operator= should not copy m_dag_node (or otherwise update
   *     Dag_node::replace)
     */
   CGAL_TD_INLINE Self& operator= (const Self& t2)
       {
-	Handle::operator=(t2);
-	return *this;
+        Handle::operator=(t2);
+        return *this;
       }
 
   /*! Operator==. */
@@ -248,12 +248,12 @@ public:
   /// \name Access methods.
   //@{
 
-  CGAL_TD_INLINE Self& self() 
+  CGAL_TD_INLINE Self& self()
     {
       return *this;
     }
-  
-  CGAL_TD_INLINE const Self& self() const 
+
+  CGAL_TD_INLINE const Self& self() const
     {
       return *this;
     }
@@ -272,20 +272,20 @@ public:
 
   /*! Access next edge fragment. */
   Td_map_item& next() const    { return ptr()->next; }
-  
+
   /*! Access DAG node. */
   Dag_node* dag_node() const            {return ptr()->p_node; } //m_dag_node;}
-  
+
   bool is_last_reference() const
   {
     return this->refs()==1;
   }
-  
+
   //@}
-  
-  
-  
-  
+
+
+
+
 
 
 };
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Td_active_fictitious_vertex.h 5.0.3-1/include/CGAL/Arr_point_location/Td_active_fictitious_vertex.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Td_active_fictitious_vertex.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Td_active_fictitious_vertex.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_active_fictitious_vertex.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_active_fictitious_vertex.h $
 // $Id: Td_active_fictitious_vertex.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Td_active_trapezoid.h 5.0.3-1/include/CGAL/Arr_point_location/Td_active_trapezoid.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Td_active_trapezoid.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Td_active_trapezoid.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,11 +3,11 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_active_trapezoid.h $
-// $Id: Td_active_trapezoid.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_active_trapezoid.h $
+// $Id: Td_active_trapezoid.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s)	 : Oren Nechushtan <theoren@math.tau.ac.il>
+// Author(s)         : Oren Nechushtan <theoren@math.tau.ac.il>
 //               updated by: Michal Balas <balasmic@post.tau.ac.il>
 
 #ifndef CGAL_TD_ACTIVE_TRAPEZOID_H
@@ -39,10 +39,10 @@ namespace CGAL {
  * Implementation of an active trapezoid as two halfedges(top,bottom)
  * and two vertices(left,right).
  * Trapezoids are represented as two vertices called right and left and
- * two halfedges called top and bottom. The curve-ends (points) lie on the 
- * right and left boundaries of the trapezoid respectively and the halfedges 
+ * two halfedges called top and bottom. The curve-ends (points) lie on the
+ * right and left boundaries of the trapezoid respectively and the halfedges
  * bound the trapezoid from above and below.
- * There exist degenerate trapezoids called infinite trapezoid; this happens 
+ * There exist degenerate trapezoids called infinite trapezoid; this happens
  * when one of the four sides is on the parameter space boundary.
  * Each trapezoid has at most four neighbouring trapezoids.
  */
@@ -50,10 +50,10 @@ template <class Td_traits_>
 class Td_active_trapezoid : public Handle
 {
 public:
-  
+
   //type of traits class
   typedef Td_traits_                                   Traits;
-  
+
   //type of point (Point_2)
   typedef typename Traits::Point                       Point;
 
@@ -65,7 +65,7 @@ public:
 
   //type of Halfedge_const_handle (trapezoid edge)
   typedef typename Traits::Halfedge_const_handle  Halfedge_const_handle;
-  
+
   //type of Vertex_const_handle (trapezoid vertex)
   typedef typename Traits::Vertex_const_handle    Vertex_const_handle;
 
@@ -73,10 +73,10 @@ public:
   typedef typename Traits::Td_active_trapezoid            Self;
 
   typedef typename Traits::Td_map_item            Td_map_item;
-  
+
   //type of Trapezoidal decomposition
   typedef Trapezoidal_decomposition_2<Traits>          TD;
-  
+
   //type of In face iterator
   typedef typename TD::In_face_iterator                In_face_iterator;
 
@@ -87,7 +87,7 @@ public:
 
   friend class Trapezoidal_decomposition_2<Traits>;
   friend struct internal::Non_recursive_td_map_item_destructor<Traits>;
-  
+
 #ifdef CGAL_PM_FRIEND_CLASS
 #if defined(__SUNPRO_CC) || defined(__PGI) || defined(__INTEL_COMPILER)
   friend class Trapezoidal_decomposition_2<Traits>::In_face_iterator;
@@ -98,12 +98,12 @@ public:
 #else
   friend class Trapezoidal_decomposition_2<Traits>::In_face_iterator;
 #endif
-  
+
 #else
   friend class In_face_iterator;
 #endif
 #endif
-  
+
   protected:
 
    /*! \class
@@ -115,7 +115,7 @@ public:
 
   public:
     //c'tors
-    Data (Vertex_const_handle _left_v,   
+    Data (Vertex_const_handle _left_v,
           Vertex_const_handle _right_v,
           Halfedge_const_handle _bottom_he,
           Halfedge_const_handle _top_he,
@@ -127,25 +127,25 @@ public:
           : left_v(_left_v),right_v(_right_v),bottom_he(_bottom_he),top_he(_top_he),
             lb(_lb),lt(_lt),rb(_rb),rt(_rt),p_node(_p_node)
     { }
-    
+
     ~Data() { }
 
   protected:
-    Vertex_const_handle left_v; 
+    Vertex_const_handle left_v;
     Vertex_const_handle right_v;
     Halfedge_const_handle bottom_he;
     Halfedge_const_handle top_he;
     Td_map_item lb;
     Td_map_item lt;
-    Td_map_item rb; 
+    Td_map_item rb;
     Td_map_item rt;
     Dag_node* p_node;
   };
-  
+
  private:
-  
+
   Data* ptr() const { return (Data*)(PTR); }
-	
+
 public:
 
   ~Td_active_trapezoid(){
@@ -154,7 +154,7 @@ public:
   }
 
 private:
-  
+
 
 #ifndef CGAL_TD_DEBUG
 #ifdef CGAL_PM_FRIEND_CLASS
@@ -165,9 +165,9 @@ private:
 #else //CGAL_TD_DEBUG
  public:
 #endif //CGAL_TD_DEBUG
-	
+
   //Dag_node* m_dag_node; //pointer to the search structure (DAG) node
-	
+
   /*! Initialize the trapezoid's neighbours. */
    inline void init_neighbours(boost::optional<Td_map_item&> lb, boost::optional<Td_map_item&> lt,
                                boost::optional<Td_map_item&> rb, boost::optional<Td_map_item&> rt)
@@ -179,74 +179,74 @@ private:
   }
 
   /*! Set the DAG node. */
-  inline void set_dag_node(Dag_node* p) 
+  inline void set_dag_node(Dag_node* p)
   {
     ptr()->p_node = p;
 //    m_dag_node = p;
-//  
+//
 //#ifdef CGAL_TD_DEBUG
-//  
+//
 //    CGAL_assertion(!p || **p == *this);
-//  
-//#endif	
-	
+//
+//#endif
+
   }
-  
+
   /*! Set the trapezoid's left (Vertex_const_handle). */
-  inline void set_left(Vertex_const_handle v) 
+  inline void set_left(Vertex_const_handle v)
   {
-    ptr()->left_v = v; 
+    ptr()->left_v = v;
   }
-  
+
   /*! Set the trapezoid's right (Vertex_const_handle). */
-  inline void set_right(Vertex_const_handle v) 
+  inline void set_right(Vertex_const_handle v)
   {
-    ptr()->right_v = v; 
+    ptr()->right_v = v;
   }
-  
+
   /*! Set the trapezoid's bottom (Halfedge_const_handle). */
-  inline void set_bottom(Halfedge_const_handle he) 
+  inline void set_bottom(Halfedge_const_handle he)
   {
     if (!is_on_bottom_boundary() &&
         bottom()->direction() != he->direction())
     {
-      ptr()->bottom_he = he->twin(); 
+      ptr()->bottom_he = he->twin();
     }
     else
     {
-      ptr()->bottom_he = he; 
+      ptr()->bottom_he = he;
     }
   }
-  
+
   /*! Set the trapezoid's top (Halfedge_const_handle). */
-  inline void set_top(Halfedge_const_handle he) 
+  inline void set_top(Halfedge_const_handle he)
   {
     if (!is_on_top_boundary() &&
         top()->direction() != he->direction())
     {
-      ptr()->top_he = he->twin(); 
+      ptr()->top_he = he->twin();
     }
     else
     {
-      ptr()->top_he = he; 
+      ptr()->top_he = he;
     }
   }
- 
-  
+
+
   /*! Set left bottom neighbour. */
   inline void set_lb(const Td_map_item& lb) { ptr()->lb = lb; }
-  
+
   /*! Set left top neighbour. */
   inline void set_lt(const Td_map_item& lt) { ptr()->lt = lt; }
-  
+
   /*! Set right bottom neighbour. */
   inline void set_rb(const Td_map_item& rb) { ptr()->rb = rb; }
-  
+
   /*! Set right top neighbour. */
   inline void set_rt(const Td_map_item& rt) { ptr()->rt = rt; }
 
  public:
-  
+
   /// \name Constructors.
   //@{
 
@@ -261,16 +261,16 @@ private:
        Traits::empty_he_handle(),
        Traits::empty_he_handle(),
        Td_map_item(0), Td_map_item(0) , Td_map_item(0) , Td_map_item(0), nullptr);
-   
+
     //m_dag_node = 0;
   }
 
-  /*! Constructor given Vertex & Halfedge handles. */ 
+  /*! Constructor given Vertex & Halfedge handles. */
   Td_active_trapezoid (Vertex_const_handle l, Vertex_const_handle r,
                   Halfedge_const_handle b, Halfedge_const_handle t,
-                  boost::optional<Td_map_item&> lb = boost::none, 
+                  boost::optional<Td_map_item&> lb = boost::none,
                   boost::optional<Td_map_item&> lt = boost::none,
-                  boost::optional<Td_map_item&> rb = boost::none, 
+                  boost::optional<Td_map_item&> rb = boost::none,
                   boost::optional<Td_map_item&> rt = boost::none,
                   Dag_node* node = 0)
   {
@@ -278,27 +278,27 @@ private:
                    (rb) ? *rb : Td_map_item(0), (rt) ? *rt : Td_map_item(0), node);
     //m_dag_node = node;
   }
- 
-  
+
+
   /*! Copy constructor. */
   Td_active_trapezoid (const Self& tr) : Handle(tr)
   {
     //m_dag_node = tr.m_dag_node;
   }
-  
+
   //@}
-  
+
   /// \name Operator overloading.
   //@{
 
-  /*! Assignment operator. 
-  *   operator= should not copy m_dag_node (or otherwise update 
+  /*! Assignment operator.
+  *   operator= should not copy m_dag_node (or otherwise update
   *     Dag_node::replace)
     */
   inline Self& operator= (const Self& t2)
   {
-	  Handle::operator=(t2);
-	  return *this;
+          Handle::operator=(t2);
+          return *this;
   }
 
   /*! Operator==. */
@@ -319,12 +319,12 @@ private:
   /// \name Access methods.
   //@{
 
-  inline Self& self() 
+  inline Self& self()
   {
     return *this;
   }
 
-  inline const Self& self() const 
+  inline const Self& self() const
   {
     return *this;
   }
@@ -335,7 +335,7 @@ private:
     return (unsigned long) PTR;
   }
 
-  /*! Access trapezoid left. 
+  /*! Access trapezoid left.
   *   filters out the infinite case which returns predefined dummy values
   */
   inline Vertex_const_handle left() const
@@ -343,76 +343,76 @@ private:
     return ptr()->left_v;
   }
 
-  /*! Access trapezoid right. 
+  /*! Access trapezoid right.
   *   filters out the infinite case which returns predefined dummy values
   */
   inline Vertex_const_handle right () const
   {
-    return ptr()->right_v; 
+    return ptr()->right_v;
   }
-  
-  /*! Access trapezoid bottom. 
+
+  /*! Access trapezoid bottom.
   *   filters out the infinite case which returns predefined dummy values
   */
   inline Halfedge_const_handle bottom () const
   {
-    return  ptr()->bottom_he; 
+    return  ptr()->bottom_he;
   }
- 
-  /*! Access trapezoid top. 
+
+  /*! Access trapezoid top.
   *   filters out the infinite case which returns predefined dummy values
   */
   inline Halfedge_const_handle top () const
   {
-    return ptr()->top_he; 
+    return ptr()->top_he;
   }
 
   /*! Access is on left boundary. */
-  inline bool is_on_left_boundary() const 
-  {			
+  inline bool is_on_left_boundary() const
+  {
     return (left() == Traits::empty_vtx_handle());
   }
 
   /*! Access is on right boundary. */
-  inline bool is_on_right_boundary() const 
+  inline bool is_on_right_boundary() const
   {
     return (right() == Traits::empty_vtx_handle());
   }
 
   /*! Access is on bottom boundary. */
-  inline bool is_on_bottom_boundary() const 
+  inline bool is_on_bottom_boundary() const
   {
     return (bottom() == Traits::empty_he_handle());
   }
 
   /*! Access is on top boundary. */
-  inline bool is_on_top_boundary() const 
+  inline bool is_on_top_boundary() const
   {
     return (top() == Traits::empty_he_handle());
   }
-  
+
   /*! Access is on at least one boundary. */
   inline bool is_on_boundaries() const
-  {			
-    return (is_on_left_boundary() || is_on_right_boundary() || 
+  {
+    return (is_on_left_boundary() || is_on_right_boundary() ||
             is_on_bottom_boundary() || is_on_top_boundary() );
   }
-  
+
   /*! Access left bottom neighbour. */
   Td_map_item& lb() const    { return ptr()->lb; }
-  
+
   /*! Access left top neighbour. */
   Td_map_item& lt() const    { return ptr()->lt; }
-  
+
   /*! Access right bottom neighbour. */
   Td_map_item& rb() const    { return ptr()->rb; }
-  
+
   /*! Access right top neighbour. */
   Td_map_item& rt() const    { return ptr()->rt; }
-  
+
   /*! Access DAG node. */
   Dag_node* dag_node() const            {return ptr()->p_node; }
-  
+
   bool is_last_reference() const
   {
     return this->refs()==1;
@@ -430,10 +430,10 @@ private:
   {
     internal::Non_recursive_td_map_item_destructor<Traits>(*this);
   }
-  
+
   //@}
-  
-  
+
+
   // Merge this trapezoid with the input trapezoid.
   // Precondition:
   //   Both trapezoids are active and have the same bounding edges from
@@ -455,19 +455,19 @@ private:
     ptr()->top_he = top();
     ptr()->lb = lb();
     ptr()->lt = lt();
-    ptr()->rb = right.rb(); 
+    ptr()->rb = right.rb();
     ptr()->rt = right.rt();
-    
+
     Td_map_item item (*this);
 
     if (ptr()->rb.which() != 0)
     {
-      Self tr(boost::get<Self>(rb()));     
-      tr.set_lb(item); 
+      Self tr(boost::get<Self>(rb()));
+      tr.set_lb(item);
     }
     if (ptr()->rt.which() != 0)
     {
-      Self tr(boost::get<Self>(rt()));     
+      Self tr(boost::get<Self>(rt()));
       tr.set_lt(item);
     }
     CGAL_assertion(is_on_right_boundary() == right.is_on_right_boundary());
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Td_active_vertex.h 5.0.3-1/include/CGAL/Arr_point_location/Td_active_vertex.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Td_active_vertex.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Td_active_vertex.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_active_vertex.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_active_vertex.h $
 // $Id: Td_active_vertex.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Td_dag.h 5.0.3-1/include/CGAL/Arr_point_location/Td_dag.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Td_dag.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Td_dag.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_dag.h $
-// $Id: Td_dag.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_dag.h $
+// $Id: Td_dag.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Iddo Hanniel <hanniel@math.tau.ac.il>
 //                 Oren Nechushtan <theoren@math.tau.ac.il>
@@ -46,7 +46,7 @@ protected:
 public:
   Td_dag_base() {init();}
   Td_dag_base(const Td_dag_base<T> & x) : Handle(x) {}
-  Td_dag_base & operator=(const Td_dag_base<T> & x) 
+  Td_dag_base & operator=(const Td_dag_base<T> & x)
   {Handle::operator=(x); return *this; }
   bool operator!() const { return PTR == 0; }
 };
@@ -68,29 +68,29 @@ public:
   using Td_dag_handle::operator!;
 #endif
 
-protected:	
+protected:
   class node : public Rep
   {
     friend class Td_dag<T>;
   public:
-    node(const T& e,unsigned long _depth=0) : 
+    node(const T& e,unsigned long _depth=0) :
       data(e),leftPtr(),rightPtr(),depth_(_depth){}
-    node(const T& e, const Td_dag_handle& left, 
-         const Td_dag_handle& right,unsigned long _depth=0) : 
+    node(const T& e, const Td_dag_handle& left,
+         const Td_dag_handle& right,unsigned long _depth=0) :
       data(e),leftPtr(left),rightPtr(right),depth_(_depth){}
-    //		node(const T& e) : data(e),leftPtr(),rightPtr(){}
-    //		node(const T& e, const Td_dag_handle& left, 
+    //                node(const T& e) : data(e),leftPtr(),rightPtr(){}
+    //                node(const T& e, const Td_dag_handle& left,
     // const Td_dag_handle& right) : data(e),leftPtr(left),rightPtr(right) {}
     ~node(){}
     bool is_inner_node() const {return !!leftPtr && !!rightPtr;}
     bool visited() const {return visited_;}
   protected:
-    T data;			// information stored in node
+    T data;                        // information stored in node
     Td_dag_handle leftPtr,rightPtr;
     mutable unsigned long depth_;
     mutable bool visited_;
   };
-  
+
 public:
   /* -------constructors destructors -----*/
   Td_dag(){}
@@ -106,7 +106,7 @@ public:
   {
     CGAL_precondition(!operator!());
     return *(const Self*)&ptr()->leftPtr;
-    
+
   }
   const Self& right() const
   {
@@ -131,7 +131,7 @@ public:
   {
     return data_ptr();
   }
-  bool is_inner_node() const 
+  bool is_inner_node() const
   {return !operator!() && ptr()->is_inner_node();}
   unsigned long size() const
   {
@@ -152,9 +152,9 @@ public:
     return !operator==(b);
   }
   /* dynamic management ---------*/
-  
+
   /* description:
-     Shallow copy	*/
+     Shallow copy        */
   Self& operator=(const Self& b)
   {
     Handle::operator=(b);
@@ -198,14 +198,14 @@ public:
   {
     if (!operator!())
       {
-				// create dummy Td_dag
+                                // create dummy Td_dag
         T tmp;
         Self dummy(tmp);
-				// detach right son,redirect to dummy
+                                // detach right son,redirect to dummy
         set_right(dummy);
-				// set right son pointer to 0
+                                // set right son pointer to 0
         ptr()->rightPtr.PTR=0;
-				// delete dummy Td_dag
+                                // delete dummy Td_dag
         delete dummy.ptr();
       }
   }
@@ -229,7 +229,7 @@ public:
     CGAL_precondition(!operator!());
     ptr()->leftPtr=left;
     if (left.depth()<depth()+1) left.ptr()->depth_=depth()+1;
-    left.rebalance_depth(); 
+    left.rebalance_depth();
     // does nothing if right is a leaf
   }
   void set_right(const Self& right)
@@ -237,7 +237,7 @@ public:
     CGAL_precondition(!operator!());
     ptr()->rightPtr=right;
     if (right.depth()<depth()+1) right.ptr()->depth_=depth()+1;
-    right.rebalance_depth(); 
+    right.rebalance_depth();
     // does nothing if right is a leaf
   }
   void replace(const T& data,const Self& left,const Self& right)
@@ -292,7 +292,7 @@ public:
       }
   }
 #endif
-  
+
   template <class Container,class Predicate>
   Container& filter(Container& c,const Predicate& pr) const
   {
@@ -310,8 +310,8 @@ public:
 protected:
   void rebalance_depth() const
   {
-    if (is_inner_node()) 
-    {  
+    if (is_inner_node())
+    {
       unsigned long depth_=depth();
       if (left().depth()<depth_+1)
       {
@@ -325,7 +325,7 @@ protected:
       }
     }
   }
-  
+
   unsigned long recursive_size() const
   {
     if (!operator!() && !ptr()->visited())
@@ -345,7 +345,7 @@ protected:
   {
     if (!operator!() && !ptr()->visited())
     {
-      if (pr(operator*())) 
+      if (pr(operator*()))
         c.insert(c.end(),operator*());
       visit_one();
       left().recursive_filter(c,pr);
@@ -354,13 +354,13 @@ protected:
     return c;
   }
 #if 0
-  template <class Container, class Predicate> 
-  Container& recursive_hash_filter(Container& c, const Predicate& ptr) const 
+  template <class Container, class Predicate>
+  Container& recursive_hash_filter(Container& c, const Predicate& ptr) const
     /* Generate a copy of the Dag filtered according to the predicate */
   {
     if (!operator!() && !ptr()->visited())
     {
-      if (pr(operator*())) 
+      if (pr(operator*()))
         c.insert(pair<&operator*(), new X_trapezoid(operator*()));
       // The hash links between the old trapezoid to the new one.
       visit_one();
@@ -374,8 +374,8 @@ protected:
   node* ptr() const {return (node*)PTR;}
 };
 
-template<class T,class Traits> 
-std::ostream& write(std::ostream&  out, 
+template<class T,class Traits>
+std::ostream& write(std::ostream&  out,
                     const Td_dag<T>& t,
                     const Traits& traits)
 {
@@ -406,7 +406,7 @@ std::ostream& write(std::ostream&  out,
   return out ;
 }
 
-template<class T> std::ostream& operator<<(std::ostream&  out, 
+template<class T> std::ostream& operator<<(std::ostream&  out,
                                            const Td_dag<T>& t)
 {
   CGAL_STATIC_THREAD_LOCAL_VARIABLE(int, depth,0);
@@ -437,10 +437,10 @@ template<class T> std::ostream& operator
 
 #endif
 
-/* 
+/*
    tech notes:
    The code is Handle designed.
-   left(),right() are designed to cope with Handle(Handle& x) 
+   left(),right() are designed to cope with Handle(Handle& x)
      precondition x.PTR!=0
    operator=() performs shallow copy
    operator*() returns data type
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Td_dag_node.h 5.0.3-1/include/CGAL/Arr_point_location/Td_dag_node.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Td_dag_node.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Td_dag_node.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_dag_node.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_dag_node.h $
 // $Id: Td_dag_node.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Td_inactive_edge.h 5.0.3-1/include/CGAL/Arr_point_location/Td_inactive_edge.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Td_inactive_edge.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Td_inactive_edge.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,11 +3,11 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_inactive_edge.h $
-// $Id: Td_inactive_edge.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_inactive_edge.h $
+// $Id: Td_inactive_edge.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s)	 : Oren Nechushtan <theoren@math.tau.ac.il>
+// Author(s)         : Oren Nechushtan <theoren@math.tau.ac.il>
 //               updated by: Michal Balas <balasmic@post.tau.ac.il>
 
 #ifndef CGAL_TD_INACTIVE_EDGE_H
@@ -37,25 +37,25 @@ namespace CGAL {
  * Implementation of a pseudo-trapezoid as two halfedges(top,bottom)
  * and two curve-ends(left,right).
  * Trapezoids are represented as two curve-ends called right and left and
- * two halfedges called top and bottom. The curve-ends (points) lie on the 
- * right and left boundaries of the trapezoid respectively and the halfedges 
+ * two halfedges called top and bottom. The curve-ends (points) lie on the
+ * right and left boundaries of the trapezoid respectively and the halfedges
  * bound the trapezoid from above and below.
- * There exist degenerate trapezoids called infinite trapezoid; this happens 
+ * There exist degenerate trapezoids called infinite trapezoid; this happens
  * when one of the four sides is on the parameter space boundary.
  * Trapezoids are created as active and become inactive when Remove() member
  * function called.
  * Each trapezoid has at most four neighbouring trapezoids.
- * X_trapezoid structure can represent a real trapezoid, a Td-edge or an 
+ * X_trapezoid structure can represent a real trapezoid, a Td-edge or an
  * edge-end (end point).
  */
 template <class Td_traits_>
 class Td_inactive_edge : public Handle
 {
 public:
-  
+
   //type of traits class
   typedef Td_traits_                                   Traits;
-  
+
   //type of point (Point_2)
   typedef typename Traits::Point                       Point;
 
@@ -67,18 +67,18 @@ public:
 
   //type of Halfedge_const_handle (trapezoid edge)
   typedef typename Traits::Halfedge_const_handle  Halfedge_const_handle;
-  
+
   //type of Vertex_const_handle (trapezoid vertex)
   typedef typename Traits::Vertex_const_handle    Vertex_const_handle;
 
   //type of Td_inactive_edge (Self)
   typedef typename Traits::Td_inactive_edge            Self;
-  
+
   typedef typename Traits::Td_map_item            Td_map_item;
 
   //type of Trapezoidal decomposition
   typedef Trapezoidal_decomposition_2<Traits>          TD;
-  
+
   //type of In face iterator
   typedef typename TD::In_face_iterator                In_face_iterator;
 
@@ -89,7 +89,7 @@ public:
   //friend class declarations:
 
   friend class Trapezoidal_decomposition_2<Traits>;
-  
+
 #ifdef CGAL_PM_FRIEND_CLASS
 #if defined(__SUNPRO_CC) || defined(__PGI) || defined(__INTEL_COMPILER)
   friend class Trapezoidal_decomposition_2<Traits>::In_face_iterator;
@@ -100,12 +100,12 @@ public:
 #else
   friend class Trapezoidal_decomposition_2<Traits>::In_face_iterator;
 #endif
-  
+
 #else
   friend class In_face_iterator;
 #endif
 #endif
-  
+
  /*! \class
    * Inner class Data derived from Rep class
    */
@@ -118,19 +118,19 @@ public:
     Data (boost::shared_ptr<X_monotone_curve_2>& _cv, Dag_node* _p_node)
        : cv(_cv), p_node(_p_node) //, lb(_lb),lt(_lt),rb(_rb),rt(_rt)
     { }
-    
+
     ~Data() { }
 
   protected:
-    boost::shared_ptr<X_monotone_curve_2> cv; 
+    boost::shared_ptr<X_monotone_curve_2> cv;
     Dag_node* p_node;
-  }; 
-  
+  };
+
  private:
-  
+
   Data* ptr() const { return (Data*)(PTR);  }
-	
-	
+
+
 #ifndef CGAL_TD_DEBUG
 #ifdef CGAL_PM_FRIEND_CLASS
  protected:
@@ -142,19 +142,19 @@ public:
 #endif //CGAL_TD_DEBUG
 
   /*! Set the DAG node. */
-  inline void set_dag_node(Dag_node* p) 
+  inline void set_dag_node(Dag_node* p)
   {
     ptr()->p_node = p;
   }
-  
+
   /*! Set the x_monotone_curve_2 for removed edge degenerate trapezoid. */
   CGAL_TD_INLINE void set_curve(boost::shared_ptr<X_monotone_curve_2>& cv)
   {
-    ptr()->cv = cv; 
+    ptr()->cv = cv;
   }
-  
+
  public:
-  
+
   /// \name Constructors.
   //@{
 
@@ -163,25 +163,25 @@ public:
   {
     PTR = new Data(cv,node);
   }
-  
+
   /*! Copy constructor. */
   Td_inactive_edge (const Self& tr) : Handle(tr)
   {
   }
-  
+
   //@}
-  
+
   /// \name Operator overloading.
   //@{
 
-  /*! Assignment operator. 
-  *   operator= should not copy m_dag_node (or otherwise update 
+  /*! Assignment operator.
+  *   operator= should not copy m_dag_node (or otherwise update
   *     Dag_node::replace)
     */
   inline Self& operator= (const Self& t2)
   {
-	  Handle::operator=(t2);
-	  return *this;
+          Handle::operator=(t2);
+          return *this;
   }
 
   /*! Operator==. */
@@ -202,12 +202,12 @@ public:
   /// \name Access methods.
   //@{
 
-  inline Self& self() 
+  inline Self& self()
   {
     return *this;
   }
-  
-  inline const Self& self() const 
+
+  inline const Self& self() const
   {
     return *this;
   }
@@ -218,7 +218,7 @@ public:
     return (unsigned long) PTR;
   }
 
-  inline X_monotone_curve_2& curve() const  
+  inline X_monotone_curve_2& curve() const
   {
     X_monotone_curve_2* cv_ptr = (ptr()->cv).get();
     CGAL_assertion(cv_ptr != nullptr);
@@ -227,12 +227,12 @@ public:
 
   /*! Access DAG node. */
   Dag_node* dag_node() const            {return ptr()->p_node; }
-  
-  
+
+
   //@}
-  
-  
-	
+
+
+
 
 };
 
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Td_inactive_fictitious_vertex.h 5.0.3-1/include/CGAL/Arr_point_location/Td_inactive_fictitious_vertex.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Td_inactive_fictitious_vertex.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Td_inactive_fictitious_vertex.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,11 +3,11 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_inactive_fictitious_vertex.h $
-// $Id: Td_inactive_fictitious_vertex.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_inactive_fictitious_vertex.h $
+// $Id: Td_inactive_fictitious_vertex.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s)	 : Oren Nechushtan <theoren@math.tau.ac.il>
+// Author(s)         : Oren Nechushtan <theoren@math.tau.ac.il>
 //               updated by: Michal Balas <balasmic@post.tau.ac.il>
 
 #ifndef CGAL_TD_INACTIVE_FICTITIOUS_VERTEX_H
@@ -36,25 +36,25 @@ namespace CGAL {
  * Implementation of a pseudo-trapezoid as two halfedges(top,bottom)
  * and two curve-ends(left,right).
  * Trapezoids are represented as two curve-ends called right and left and
- * two halfedges called top and bottom. The curve-ends (points) lie on the 
- * right and left boundaries of the trapezoid respectively and the halfedges 
+ * two halfedges called top and bottom. The curve-ends (points) lie on the
+ * right and left boundaries of the trapezoid respectively and the halfedges
  * bound the trapezoid from above and below.
- * There exist degenerate trapezoids called infinite trapezoid; this happens 
+ * There exist degenerate trapezoids called infinite trapezoid; this happens
  * when one of the four sides is on the parameter space boundary.
  * Trapezoids are created as active and become inactive when Remove() member
  * function called.
  * Each trapezoid has at most four neighbouring trapezoids.
- * X_trapezoid structure can represent a real trapezoid, a Td-edge or an 
+ * X_trapezoid structure can represent a real trapezoid, a Td-edge or an
  * edge-end (end point).
  */
 template <class Td_traits_>
 class Td_inactive_fictitious_vertex : public Handle
 {
 public:
-  
+
   //type of traits class
   typedef Td_traits_                                   Traits;
-  
+
   //type of point (Point_2)
   typedef typename Traits::Point                       Point;
 
@@ -66,12 +66,12 @@ public:
 
   //type of Halfedge_const_handle (trapezoid edge)
   typedef typename Traits::Halfedge_const_handle  Halfedge_const_handle;
-  
+
   //type of Vertex_const_handle (trapezoid vertex)
   typedef typename Traits::Vertex_const_handle    Vertex_const_handle;
 
   //type of Halfedge_around_vertex_const_circulator
-  typedef typename Traits::Halfedge_around_vertex_const_circulator  
+  typedef typename Traits::Halfedge_around_vertex_const_circulator
     Halfedge_around_vertex_const_circulator;
 
   //type of Td_inactive_fictitious_vertex (Self)
@@ -81,7 +81,7 @@ public:
 
   //type of Trapezoidal decomposition
   typedef Trapezoidal_decomposition_2<Traits>          TD;
-  
+
   //type of In face iterator
   typedef typename TD::In_face_iterator                In_face_iterator;
 
@@ -92,7 +92,7 @@ public:
   //friend class declarations:
 
   friend class Trapezoidal_decomposition_2<Traits>;
-  
+
 #ifdef CGAL_PM_FRIEND_CLASS
 #if defined(__SUNPRO_CC) || defined(__PGI) || defined(__INTEL_COMPILER)
   friend class Trapezoidal_decomposition_2<Traits>::In_face_iterator;
@@ -103,12 +103,12 @@ public:
 #else
   friend class Trapezoidal_decomposition_2<Traits>::In_face_iterator;
 #endif
-  
+
 #else
   friend class In_face_iterator;
 #endif
 #endif
-  
+
      /*! \class
    * Inner class Data derived from Rep class
    */
@@ -118,27 +118,27 @@ public:
 
   public:
     //c'tors
-    Data (const X_monotone_curve_2& _cv,   
-          Arr_curve_end _ce, 
-          Dag_node* _p_node): cv(_cv),ce(_ce),p_node(_p_node)  
+    Data (const X_monotone_curve_2& _cv,
+          Arr_curve_end _ce,
+          Dag_node* _p_node): cv(_cv),ce(_ce),p_node(_p_node)
     { }
-    
+
     ~Data() { }
 
   protected:
-    X_monotone_curve_2 cv; 
+    X_monotone_curve_2 cv;
     Arr_curve_end ce;
     Dag_node* p_node;
   };
-  
+
  private:
-  
+
   Data* ptr() const { return (Data*)(PTR);  }
-	
-	Curve_end vtx_to_ce(Vertex_const_handle v) const
+
+        Curve_end vtx_to_ce(Vertex_const_handle v) const
   {
     //the circulator is of incoming halfedges
-    Halfedge_around_vertex_const_circulator he = v->incident_halfedges(); 
+    Halfedge_around_vertex_const_circulator he = v->incident_halfedges();
     //if the vertex is associated with a point on the bounded coords,
     // we can take any incident halfedge. o/w if the vertex lies at infinity,
     //  it has 2 fictitious incident halfedges
@@ -146,7 +146,7 @@ public:
     if (v->is_at_open_boundary() && he->source()->is_at_open_boundary()) ++he;
 
     return Curve_end(he->curve(),
-                     (he->direction() == ARR_RIGHT_TO_LEFT)? 
+                     (he->direction() == ARR_RIGHT_TO_LEFT)?
                       ARR_MIN_END : ARR_MAX_END);
   }
 
@@ -159,24 +159,24 @@ public:
 #else //CGAL_TD_DEBUG
  public:
 #endif //CGAL_TD_DEBUG
-	
+
   /*! Set the DAG node. */
-  inline void set_dag_node(Dag_node* p) 
+  inline void set_dag_node(Dag_node* p)
   {
     ptr()->p_node = p;
   }
-  
+
   inline void set_curve_end(Vertex_const_handle v_before_rem)
   {
     Curve_end v_ce(vtx_to_ce(v_before_rem));
     ptr()->cv(v_ce.cv());
     ptr()->ce(v_ce.ce());
   }
-  
- 
+
+
 
  public:
-  
+
   /// \name Constructors.
   //@{
 
@@ -184,30 +184,30 @@ public:
   Td_inactive_fictitious_vertex (Vertex_const_handle v_before_rem, Dag_node* node = nullptr)
   {
     Curve_end v_ce(vtx_to_ce(v_before_rem));
-   
+
     PTR = new Data( v_ce.cv(), v_ce.ce(), node);
-    
+
   }
-  
+
   /*! Copy constructor. */
   Td_inactive_fictitious_vertex (const Self& tr) : Handle(tr)
   {
-   
+
   }
-  
+
   //@}
-  
+
   /// \name Operator overloading.
   //@{
 
-  /*! Assignment operator. 
-  *   operator= should not copy m_dag_node (or otherwise update 
+  /*! Assignment operator.
+  *   operator= should not copy m_dag_node (or otherwise update
   *     Dag_node::replace)
     */
   inline Self& operator= (const Self& t2)
   {
-	  Handle::operator=(t2);
-	  return *this;
+          Handle::operator=(t2);
+          return *this;
   }
 
   /*! Operator==. */
@@ -228,12 +228,12 @@ public:
   /// \name Access methods.
   //@{
 
-  inline Self& self() 
+  inline Self& self()
   {
     return *this;
   }
-  
-  inline const Self& self() const 
+
+  inline const Self& self() const
   {
     return *this;
   }
@@ -244,24 +244,24 @@ public:
     return (unsigned long) PTR;
   }
 
-  
-  inline Curve_end curve_end() const  
+
+  inline Curve_end curve_end() const
   {
     return Curve_end(ptr()->cv, ptr()->ce);
   }
 
-  
+
   /*! Access DAG node. */
-  Dag_node* dag_node() const  
+  Dag_node* dag_node() const
   {
-    return ptr()->p_node; 
-  } 
-  
-  
+    return ptr()->p_node;
+  }
+
+
   //@}
-  
-  
-	
+
+
+
 
 };
 
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Td_inactive_trapezoid.h 5.0.3-1/include/CGAL/Arr_point_location/Td_inactive_trapezoid.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Td_inactive_trapezoid.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Td_inactive_trapezoid.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,11 +3,11 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_inactive_trapezoid.h $
-// $Id: Td_inactive_trapezoid.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_inactive_trapezoid.h $
+// $Id: Td_inactive_trapezoid.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s)	 : Oren Nechushtan <theoren@math.tau.ac.il>
+// Author(s)         : Oren Nechushtan <theoren@math.tau.ac.il>
 //               updated by: Michal Balas <balasmic@post.tau.ac.il>
 
 #ifndef CGAL_TD_INACTIVE_TRAPEZOID_H
@@ -34,7 +34,7 @@ namespace CGAL {
 
 /*! \class
  */
-class Td_inactive_trapezoid 
+class Td_inactive_trapezoid
 {
 public:
   /*! Operator==. */
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Td_inactive_vertex.h 5.0.3-1/include/CGAL/Arr_point_location/Td_inactive_vertex.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Td_inactive_vertex.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Td_inactive_vertex.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,11 +3,11 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_inactive_vertex.h $
-// $Id: Td_inactive_vertex.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_inactive_vertex.h $
+// $Id: Td_inactive_vertex.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s)	 : Oren Nechushtan <theoren@math.tau.ac.il>
+// Author(s)         : Oren Nechushtan <theoren@math.tau.ac.il>
 //               updated by: Michal Balas <balasmic@post.tau.ac.il>
 
 #ifndef CGAL_TD_INACTIVE_VERTEX_H
@@ -36,25 +36,25 @@ namespace CGAL {
  * Implementation of a pseudo-trapezoid as two halfedges(top,bottom)
  * and two curve-ends(left,right).
  * Trapezoids are represented as two curve-ends called right and left and
- * two halfedges called top and bottom. The curve-ends (points) lie on the 
- * right and left boundaries of the trapezoid respectively and the halfedges 
+ * two halfedges called top and bottom. The curve-ends (points) lie on the
+ * right and left boundaries of the trapezoid respectively and the halfedges
  * bound the trapezoid from above and below.
- * There exist degenerate trapezoids called infinite trapezoid; this happens 
+ * There exist degenerate trapezoids called infinite trapezoid; this happens
  * when one of the four sides is on the parameter space boundary.
  * Trapezoids are created as active and become inactive when Remove() member
  * function called.
  * Each trapezoid has at most four neighbouring trapezoids.
- * X_trapezoid structure can represent a real trapezoid, a Td-edge or an 
+ * X_trapezoid structure can represent a real trapezoid, a Td-edge or an
  * edge-end (end point).
  */
 template <class Td_traits_>
 class Td_inactive_vertex : public Handle
 {
 public:
-  
+
   //type of traits class
   typedef Td_traits_                                   Traits;
-  
+
   //type of point (Point_2)
   typedef typename Traits::Point                       Point;
 
@@ -66,18 +66,18 @@ public:
 
   //type of Halfedge_const_handle (trapezoid edge)
   typedef typename Traits::Halfedge_const_handle  Halfedge_const_handle;
-  
+
   //type of Vertex_const_handle (trapezoid vertex)
   typedef typename Traits::Vertex_const_handle    Vertex_const_handle;
 
   //type of Td_inactive_vertex (Self)
   typedef typename Traits::Td_inactive_vertex            Self;
-  
+
   typedef typename Traits::Td_map_item            Td_map_item;
 
   //type of Trapezoidal decomposition
   typedef Trapezoidal_decomposition_2<Traits>          TD;
-  
+
   //type of In face iterator
   typedef typename TD::In_face_iterator                In_face_iterator;
 
@@ -88,7 +88,7 @@ public:
   //friend class declarations:
 
   friend class Trapezoidal_decomposition_2<Traits>;
-  
+
 #ifdef CGAL_PM_FRIEND_CLASS
 #if defined(__SUNPRO_CC) || defined(__PGI) || defined(__INTEL_COMPILER)
   friend class Trapezoidal_decomposition_2<Traits>::In_face_iterator;
@@ -99,12 +99,12 @@ public:
 #else
   friend class Trapezoidal_decomposition_2<Traits>::In_face_iterator;
 #endif
-  
+
 #else
   friend class In_face_iterator;
 #endif
 #endif
-  
+
    /*! \class
    * Inner class Data derived from Rep class
    */
@@ -116,20 +116,20 @@ public:
     //c'tors
     Data (Point _p, Dag_node* _p_node): p(_p),p_node(_p_node)
     { }
-    
+
     ~Data() { }
 
   protected:
-    Point p; 
+    Point p;
     Dag_node* p_node;
   };
-  
-  
+
+
  private:
-  
+
   Data* ptr() const { return (Data*)(PTR);  }
-	
-	
+
+
 #ifndef CGAL_TD_DEBUG
 #ifdef CGAL_PM_FRIEND_CLASS
  protected:
@@ -139,15 +139,15 @@ public:
 #else //CGAL_TD_DEBUG
  public:
 #endif //CGAL_TD_DEBUG
-	
+
 
   /*! Set the DAG node. */
-  inline void set_dag_node(Dag_node* p) 
+  inline void set_dag_node(Dag_node* p)
   {
     ptr()->p_node = p;
   }
-  
-  
+
+
   inline void set_point(Vertex_const_handle v_before_rem)
   {
     ptr()->p = v_before_rem->point();
@@ -155,7 +155,7 @@ public:
 
 
  public:
-  
+
   /// \name Constructors.
   //@{
 
@@ -164,26 +164,26 @@ public:
   {
     PTR = new Data(v_before_rem->point(), node);
   }
-  
-  
+
+
   /*! Copy constructor. */
   Td_inactive_vertex (const Self& tr) : Handle(tr)
   {
   }
-  
+
   //@}
-  
+
   /// \name Operator overloading.
   //@{
 
-  /*! Assignment operator. 
-  *   operator= should not copy m_dag_node (or otherwise update 
+  /*! Assignment operator.
+  *   operator= should not copy m_dag_node (or otherwise update
   *     Dag_node::replace)
     */
   inline Self& operator= (const Self& t2)
   {
-	  Handle::operator=(t2);
-	  return *this;
+          Handle::operator=(t2);
+          return *this;
   }
 
   /*! Operator==. */
@@ -204,12 +204,12 @@ public:
   /// \name Access methods.
   //@{
 
-  inline Self& self() 
+  inline Self& self()
   {
     return *this;
   }
-  
-  inline const Self& self() const 
+
+  inline const Self& self() const
   {
     return *this;
   }
@@ -220,21 +220,21 @@ public:
     return (unsigned long) PTR;
   }
 
-  inline Point& point() const  
+  inline Point& point() const
   {
     return ptr()->p;
   }
-  
+
   /*! Access DAG node. */
-  Dag_node* dag_node() const  
+  Dag_node* dag_node() const
   {
-    return ptr()->p_node; 
+    return ptr()->p_node;
   }
-  
-  
+
+
   //@}
-  
-	
+
+
 
 };
 
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Td_ninetuple.h 5.0.3-1/include/CGAL/Arr_point_location/Td_ninetuple.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Td_ninetuple.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Td_ninetuple.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_ninetuple.h $
-// $Id: Td_ninetuple.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_ninetuple.h $
+// $Id: Td_ninetuple.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Oren Nechushtan <theoren@math.tau.ac.il>
 //                 Iddo Hanniel <hanniel@math.tau.ac.il>
@@ -32,11 +32,11 @@ public:
   F6 e6;
   F7 e7;
   F8 e8;
-  
+
   Td_ninetuple()
   {}
   Td_ninetuple(const F0 & a0, const F1 & a1, const F2 & a2, const F3 & a3,
-               const F4 & a4, const F5 & a5, const F6 & a6, const F7 & a7, 
+               const F4 & a4, const F5 & a5, const F6 & a6, const F7 & a7,
                const F8 & a8)
     : e0(a0),e1(a1),e2(a2),e3(a3),e4(a4),e5(a5),e6(a6),e7(a7),e8(a8)
   {}
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Td_predicates.h 5.0.3-1/include/CGAL/Arr_point_location/Td_predicates.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Td_predicates.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Td_predicates.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,13 +3,13 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_predicates.h $
-// $Id: Td_predicates.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_predicates.h $
+// $Id: Td_predicates.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)	 : Oren Nechushtan <theoren@math.tau.ac.il>
-//		   Iddo Hanniel <hanniel@math.tau.ac.il>
+//
+// Author(s)         : Oren Nechushtan <theoren@math.tau.ac.il>
+//                   Iddo Hanniel <hanniel@math.tau.ac.il>
 #ifndef CGAL_TD_PREDICATES_H
 #define CGAL_TD_PREDICATES_H
 
@@ -36,7 +36,7 @@ template < class Td_traits> class Trapez
 
 ////MICHAL: not in use
 //template <class X_trapezoid,class Traits>
-//struct Td_active_non_degenerate_trapezoid : 
+//struct Td_active_non_degenerate_trapezoid :
 //public CGAL::cpp98::unary_function<X_trapezoid,bool>
 //{
 //  Td_active_non_degenerate_trapezoid(Traits& t) : traits(t) {}
@@ -64,7 +64,7 @@ struct Td_active_edge_item:
 template <class _Tp>
 struct Td_map_item_handle_less : public CGAL::cpp98::binary_function<_Tp, _Tp, bool>
 {
-  bool operator()(const _Tp& __x, const _Tp& __y) const { 
+  bool operator()(const _Tp& __x, const _Tp& __y) const {
     return __x->id() < __y->id(); }
 };
 /* Return if two trapezoids are the same */
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Td_traits.h 5.0.3-1/include/CGAL/Arr_point_location/Td_traits.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Td_traits.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Td_traits.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_traits.h $
-// $Id: Td_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_traits.h $
+// $Id: Td_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)	 : Oren Nechushtan <theoren@math.tau.ac.il>
+//
+// Author(s)         : Oren Nechushtan <theoren@math.tau.ac.il>
 #ifndef CGAL_TD_TRAITS_H
 #define CGAL_TD_TRAITS_H
 
@@ -26,13 +26,13 @@
 
 namespace CGAL {
 
-template <class Pm_traits_,class Arrangement_> 
+template <class Pm_traits_,class Arrangement_>
 class Td_traits : public Pm_traits_
 {
 public:
 
   //type of td map items type
-  enum Type 
+  enum Type
   {
       NIL = 0,
       TD_ACTIVE_TRAPEZOID,
@@ -46,15 +46,15 @@ public:
   };
 
   //! type of base class
-  typedef Pm_traits_                      Traits_base;  
-  
-  //! type of X_monotone_curve_2 
-  typedef typename Traits_base::X_monotone_curve_2 
-                                          X_monotone_curve_2; 
- 
+  typedef Pm_traits_                      Traits_base;
+
+  //! type of X_monotone_curve_2
+  typedef typename Traits_base::X_monotone_curve_2
+                                          X_monotone_curve_2;
+
   //! type of Arrangement_on_surface_2
   typedef Arrangement_                    Arrangement_on_surface_2;
-  
+
   //!type of Halfedge_handle
   typedef typename Arrangement_on_surface_2::Halfedge_handle
                                           Halfedge_handle;
@@ -65,21 +65,21 @@ public:
   typedef typename Arrangement_on_surface_2::Vertex_const_handle
                                           Vertex_const_handle;
   //!type of Halfedge_around_vertex_const_circulator
-  typedef typename 
+  typedef typename
     Arrangement_on_surface_2::Halfedge_around_vertex_const_circulator
       Halfedge_around_vertex_const_circulator;
   //!type of side tags
-  typedef typename Arrangement_on_surface_2::Left_side_category   
+  typedef typename Arrangement_on_surface_2::Left_side_category
                                           Left_side_category;
-  typedef typename Arrangement_on_surface_2::Bottom_side_category 
+  typedef typename Arrangement_on_surface_2::Bottom_side_category
                                           Bottom_side_category;
-  typedef typename Arrangement_on_surface_2::Top_side_category    
+  typedef typename Arrangement_on_surface_2::Top_side_category
                                           Top_side_category;
-  typedef typename Arrangement_on_surface_2::Right_side_category  
+  typedef typename Arrangement_on_surface_2::Right_side_category
                                           Right_side_category;
 
   //! myself
-  typedef Td_traits<Traits_base,Arrangement_on_surface_2>  
+  typedef Td_traits<Traits_base,Arrangement_on_surface_2>
                                           Self;
   //! type of point
   typedef typename Traits_base::Point_2   Point;
@@ -89,7 +89,7 @@ public:
 
   //! type of Td_inactive_trapezoid
   typedef CGAL::Td_inactive_trapezoid     Td_inactive_trapezoid;
-  
+
   typedef int                             Td_nothing;
 
   //! type of Td_active_edge
@@ -102,14 +102,14 @@ public:
   typedef CGAL::Td_active_vertex<Self>    Td_active_vertex;
 
   //! type of Td_active_fictitious_vertex
-  typedef CGAL::Td_active_fictitious_vertex<Self>   
+  typedef CGAL::Td_active_fictitious_vertex<Self>
                                           Td_active_fictitious_vertex;
 
   //! type of Td_inactive_vertex
   typedef CGAL::Td_inactive_vertex<Self>  Td_inactive_vertex;
 
   //! type of Td_inactive_fictitious_vertex
-  typedef CGAL::Td_inactive_fictitious_vertex<Self> 
+  typedef CGAL::Td_inactive_fictitious_vertex<Self>
                                           Td_inactive_fictitious_vertex;
 
   //! type of td map item (Td_halfedge, Td_vertex or Td_trapezoid)
@@ -122,37 +122,37 @@ public:
     //! type of Curve end pair
   typedef std::pair<const X_monotone_curve_2*, Arr_curve_end>
                                           Curve_end_pair;
-  
 
-  //!Curve_end class represents an X_monotone_curve_2 end 
+
+  //!Curve_end class represents an X_monotone_curve_2 end
   //  (could be a point or an unbounded curve end)
   //  holds a pointer to the X_monotone_curve_2 and an indicator for the end (min/max)
   class Curve_end
   {
   protected:
-    
+
     //! pair of pointer to the X_monotone_curve_2 and an indicator
-    //    for ARR_MIN_END or ARR_MAX_END 
+    //    for ARR_MIN_END or ARR_MAX_END
     Curve_end_pair m_pair;
-    
+
   public:
 
-    //Constructor based on a Curve_end_pair   
-    Curve_end(Curve_end_pair pr) : m_pair(pr) 
+    //Constructor based on a Curve_end_pair
+    Curve_end(Curve_end_pair pr) : m_pair(pr)
     { }
 
     //Constructor based on a Curve & a Curve-end
-    //Curve_end(const X_monotone_curve_2& cv, Arr_curve_end ce) : m_cv(cv), m_ce(ce) 
-    Curve_end(const X_monotone_curve_2& cv, Arr_curve_end ce) 
-      : m_pair(std::make_pair(&cv,ce)) 
+    //Curve_end(const X_monotone_curve_2& cv, Arr_curve_end ce) : m_cv(cv), m_ce(ce)
+    Curve_end(const X_monotone_curve_2& cv, Arr_curve_end ce)
+      : m_pair(std::make_pair(&cv,ce))
     { }
 
     //Constructor based on a Halfedge & a Curve-end
-    //Curve_end(Halfedge_const_handle he, Arr_curve_end ce) : m_cv(he->curve()), m_ce(ce) 
-    Curve_end(Halfedge_const_handle he, Arr_curve_end ce) 
-      : m_pair(std::make_pair(&(he->curve()),ce)) 
+    //Curve_end(Halfedge_const_handle he, Arr_curve_end ce) : m_cv(he->curve()), m_ce(ce)
+    Curve_end(Halfedge_const_handle he, Arr_curve_end ce)
+      : m_pair(std::make_pair(&(he->curve()),ce))
     { }
-    
+
     //access the X-monotone curve
     const X_monotone_curve_2&  cv() const  { return *(m_pair.first);  }
 
@@ -181,13 +181,13 @@ public:
 
     //! Allow its functor obtaining function calling the private constructor.
     friend class Td_traits<Traits_base, Arrangement_on_surface_2>;
-    
+
   public:
-    
+
     /*!
      * Compare the x-coordinates of two edge ends.
-     * \param ee1 The first edge end 
-     * \param ee2 The second edge end 
+     * \param ee1 The first edge end
+     * \param ee2 The second edge end
      * \return LARGER if x(ee1) > x(ee2);
      *         SMALLER if x(ee1) < x(ee2);
      *         EQUAL if x(ee1) = x(ee2).
@@ -195,13 +195,13 @@ public:
     Comparison_result operator() (const Curve_end& ce1,
                                   const Curve_end& ce2) const
     {
-      Arr_parameter_space ce1_x_prm_spc = 
+      Arr_parameter_space ce1_x_prm_spc =
         m_traits->parameter_space_in_x_2_object()(ce1.cv(),ce1.ce());
-      Arr_parameter_space ce1_y_prm_spc = 
+      Arr_parameter_space ce1_y_prm_spc =
         m_traits->parameter_space_in_y_2_object()(ce1.cv(),ce1.ce());
-      Arr_parameter_space ce2_x_prm_spc = 
+      Arr_parameter_space ce2_x_prm_spc =
         m_traits->parameter_space_in_x_2_object()(ce2.cv(),ce2.ce());
-      Arr_parameter_space ce2_y_prm_spc = 
+      Arr_parameter_space ce2_y_prm_spc =
         m_traits->parameter_space_in_y_2_object()(ce2.cv(),ce2.ce());
 
       bool is_ce1_interior = (( ce1_x_prm_spc == ARR_INTERIOR) &&
@@ -228,7 +228,7 @@ public:
                       m_traits->construct_min_vertex_2_object()(ce1.cv()) :
                       m_traits->construct_max_vertex_2_object()(ce1.cv())  ),
                     ce2);
-      
+
       //if only ce2 is interior
       if (is_ce2_interior)
         return operator()
@@ -236,17 +236,17 @@ public:
                    ((ce2.ce() == ARR_MIN_END) ?
                       m_traits->construct_min_vertex_2_object()(ce2.cv()) :
                       m_traits->construct_max_vertex_2_object()(ce2.cv()) ));
-      
+
       //both are not interior:
 
-      //if both are x-interior  
+      //if both are x-interior
       //   (then both are NOT y-interior, since both are not interior)
       if ( (ce1_x_prm_spc == ARR_INTERIOR) &&
            (ce2_x_prm_spc == ARR_INTERIOR)  )
       {
         //both ce1 and ce2 are not y prm spc interior
         Comparison_result res = m_traits->compare_x_at_limit_2_object()
-                                            (ce1.cv(),ce1.ce(), 
+                                            (ce1.cv(),ce1.ce(),
                                              ce2.cv(),ce2.ce());
         if (res != EQUAL)
           return res;
@@ -258,8 +258,8 @@ public:
           return (ce1_y_prm_spc == ARR_BOTTOM_BOUNDARY) ? SMALLER : LARGER;
 
         //if the Curve end is not the same the one with the MAX is smaller
-        if (ce1.ce() != ce2.ce()) 
-          return (ce1.ce() == ARR_MIN_END) ? LARGER : SMALLER; 
+        if (ce1.ce() != ce2.ce())
+          return (ce1.ce() == ARR_MIN_END) ? LARGER : SMALLER;
 
         //both have the same Curve end
         return (m_traits->compare_x_near_limit_2_object()
@@ -268,7 +268,7 @@ public:
 
       //not both are x-interior
 
-      //set ind value according to the location : 
+      //set ind value according to the location :
       //  left-bndry  = -1
       //  interior    =  0
       //  right-bndry =  1
@@ -281,7 +281,7 @@ public:
 
       int ind2 = (ce2_x_prm_spc == ARR_INTERIOR)? 0
                   : ((ce2_x_prm_spc == ARR_LEFT_BOUNDARY) ? -1 : 1 );
-      
+
       int res = ind1 - ind2;
       if (res == 0)
         return EQUAL;
@@ -299,8 +299,8 @@ public:
     Comparison_result operator() (const Point& p,
                                   const Curve_end& ce) const
     {
-      bool is_ce_interior = 
-              ((m_traits->parameter_space_in_x_2_object() 
+      bool is_ce_interior =
+              ((m_traits->parameter_space_in_x_2_object()
                            (ce.cv(),ce.ce()) == ARR_INTERIOR)   &&
                (m_traits->parameter_space_in_y_2_object()
                            (ce.cv(),ce.ce()) == ARR_INTERIOR));
@@ -315,15 +315,15 @@ public:
                       m_traits->construct_max_vertex_2_object()(ce.cv())  ));
       }
 
-      //if curve end is x-interior but not y-interior 
+      //if curve end is x-interior but not y-interior
       if (m_traits->parameter_space_in_x_2_object()
-                              (ce.cv(),ce.ce()) == ARR_INTERIOR)  
+                              (ce.cv(),ce.ce()) == ARR_INTERIOR)
       {
           //if curve end y prm space is not interior
           return (m_traits->compare_x_at_limit_2_object()
                                 (p,ce.cv(),ce.ce()));
       }
-      
+
       //if curve end is on the left or right boundaries
       if (m_traits->parameter_space_in_x_2_object()
                             (ce.cv(),ce.ce()) == ARR_LEFT_BOUNDARY)
@@ -349,7 +349,7 @@ public:
         return res;
       return (res == LARGER) ? SMALLER : LARGER;
     }
-   
+
   };
 
   /*! Obtain a Compare_y_at_x_2 functor object. */
@@ -368,7 +368,7 @@ public:
   {
 
   protected:
-    
+
     typedef Td_traits<Traits_base, Arrangement_on_surface_2> Traits;
 
     /*! The traits (in case it has state) */
@@ -384,11 +384,11 @@ public:
 
     //! Allow its functor obtaining function calling the private constructor.
     friend class Td_traits<Traits_base, Arrangement_on_surface_2>;
-    
+
   public:
-    
+
     /*!
-     * Return the location of the given curve end with respect to the input 
+     * Return the location of the given curve end with respect to the input
      *  Halfedge_const_handle.
      * \param ce1 The curve end.
      * \param he  The Halfedge_const_handle.
@@ -424,25 +424,25 @@ public:
            &&
         (m_traits->compare_curve_end_x_2_object()
                     (ce1, Curve_end(cv2, ARR_MAX_END)) != LARGER));
-      
+
       //get the curve end parameter space in x & y
-      Arr_parameter_space ce1_x_prm_spc = 
+      Arr_parameter_space ce1_x_prm_spc =
                m_traits->parameter_space_in_x_2_object()(ce1.cv(), ce1.ce());
 
-      Arr_parameter_space ce1_y_prm_spc = 
+      Arr_parameter_space ce1_y_prm_spc =
                m_traits->parameter_space_in_y_2_object()(ce1.cv(), ce1.ce());
 
 
       if (ce1_x_prm_spc != ARR_INTERIOR)
       {
-        //assuming that the edge end is on the same boundary according to 
+        //assuming that the edge end is on the same boundary according to
         // the precondition.
-        //comparing the curve that contains the given 
+        //comparing the curve that contains the given
         //  edge end  and the curve cv2
         return m_traits->compare_y_near_boundary_2_object()
                           (ce1.cv(), cv2, ce1.ce());
       }
-      
+
       //if ce1_x_prm_spc == ARR_INTERIOR
       if (ce1_y_prm_spc == ARR_INTERIOR)
       {
@@ -453,9 +453,9 @@ public:
                            m_traits->construct_max_vertex_2_object()(ce1.cv()) ),
                            cv2);
       }
-      
+
       //ce1 is an end point of a curve with a vertical asymptote.
-        
+
       //if the other curve is also vertical or has a vertical asymptote
       //  at the x value of ep
 
@@ -471,17 +471,17 @@ public:
                          (cv2, ARR_MAX_END) == ce1_y_prm_spc) &&
             (m_traits->compare_curve_end_x_2_object()
                          (ce1, Curve_end(cv2, ARR_MAX_END)) == EQUAL))  )
-      {            
+      {
         return EQUAL;
       }
       if (ce1_y_prm_spc == ARR_TOP_BOUNDARY)
         return LARGER;
       else //if ce1_y_prm_spc == ARR_BOTTOM_BOUNDARY
         return SMALLER;
-        
-    
+
+
     }
-  
+
   };
 
   /*! Obtain a Compare_y_at_x_2 functor object. */
@@ -492,11 +492,11 @@ public:
 
 
 
-  class Equal_curve_end_2 
+  class Equal_curve_end_2
   {
   protected:
     typedef Td_traits<Traits_base, Arrangement_on_surface_2>  Traits;
-    
+
     /*! The traits (in case it has state) */
     const Traits* m_traits;
     const Traits_base* m_traits_base; //MICHAL: rational-upd
@@ -514,19 +514,19 @@ public:
     friend class Td_traits<Traits_base, Arrangement_on_surface_2>;
 
   public:
-    
+
     bool operator() (const Curve_end& ce1,
                      const Curve_end& ce2) const
     {
       //Kernel kernel; //MICHAL: rational-upd
 
-      bool is_ce1_interior = 
-              ((m_traits->parameter_space_in_x_2_object()(ce1.cv(),ce1.ce()) 
+      bool is_ce1_interior =
+              ((m_traits->parameter_space_in_x_2_object()(ce1.cv(),ce1.ce())
                                               == ARR_INTERIOR)      &&
                (m_traits->parameter_space_in_y_2_object()(ce1.cv(),ce1.ce())
                                               == ARR_INTERIOR));
-      bool is_ce2_interior = 
-              ((m_traits->parameter_space_in_x_2_object()(ce2.cv(),ce2.ce()) 
+      bool is_ce2_interior =
+              ((m_traits->parameter_space_in_x_2_object()(ce2.cv(),ce2.ce())
                                               == ARR_INTERIOR)      &&
                (m_traits->parameter_space_in_y_2_object()(ce2.cv(),ce2.ce())
                                               == ARR_INTERIOR));
@@ -541,10 +541,10 @@ public:
                        m_traits->construct_min_vertex_2_object()(ce2.cv()) :
                        m_traits->construct_max_vertex_2_object()(ce2.cv())  ));
     }
-      
-      
+
+
       //at least one of the edge ends is on the parameter space boundaries
-      
+
       //if not both are on the boundaries return false
       if (is_ce1_interior || is_ce2_interior)
         return false;
@@ -552,7 +552,7 @@ public:
       //both are on the boundaries - so compare the edge ends
       return ( m_traits->compare_curve_end_xy_2_object()(ce1,ce2) == EQUAL);
     }
-    
+
     bool operator() (const Point& p1,
                      const Point& p2) const
     {
@@ -564,21 +564,21 @@ public:
     {
       return operator()(p, ce);
     }
-  
+
     bool operator() (const Point& p,
                      const Curve_end& ce) const
     {
-      bool is_ce_interior = 
-              ((m_traits->parameter_space_in_x_2_object()(ce.cv(),ce.ce()) 
+      bool is_ce_interior =
+              ((m_traits->parameter_space_in_x_2_object()(ce.cv(),ce.ce())
                                               == ARR_INTERIOR)      &&
                (m_traits->parameter_space_in_y_2_object()(ce.cv(),ce.ce())
                                               == ARR_INTERIOR));
 
       //if ce is on the parameter space boundaries - return false
       // since p is interior
-      if (!is_ce_interior) 
+      if (!is_ce_interior)
         return false;
-      
+
       //else - if ce is interior
       return m_traits_base->equal_2_object()
              ( p,
@@ -586,7 +586,7 @@ public:
                   m_traits->construct_min_vertex_2_object()(ce.cv()) :
                   m_traits->construct_max_vertex_2_object()(ce.cv())  ));
     }
-    
+
   };
 
   /*! Obtain an Equal_curve_end_2 functor object. */
@@ -596,7 +596,7 @@ public:
   }
 
   /*! A functor that compares the coordinates of two edge ends */
-  class Compare_curve_end_xy_2 
+  class Compare_curve_end_xy_2
   {
   protected:
     typedef Td_traits<Traits_base, Arrangement_on_surface_2>  Traits;
@@ -620,40 +620,40 @@ public:
      * Compare two edge ends lexigoraphically: by x, then by y.
      * \param cv1, cv1_end The first cv end.
      * \param cv2, cv2_end The second cv end.
-     * \return LARGER if x(cv1-end) > x(cv2-end), 
+     * \return LARGER if x(cv1-end) > x(cv2-end),
      *             or if x(cv1-end) = x(cv2-end) and y(cv1-end) > y(cv2-end);
-     *         SMALLER if x(cv1-end) < x(cv2-end), 
+     *         SMALLER if x(cv1-end) < x(cv2-end),
      *             or if x(cv1-end) = x(cv2-end) and y(cv1-end) < y(cv2-end);
      *         EQUAL if the two cv ends are equal.
      */
     Comparison_result operator() (const Curve_end& ce1,
                                   const Curve_end& ce2) const
     {
-      Comparison_result res;     
-      
-      bool is_ce1_interior = 
-              ((m_traits->parameter_space_in_x_2_object()(ce1.cv(),ce1.ce()) 
+      Comparison_result res;
+
+      bool is_ce1_interior =
+              ((m_traits->parameter_space_in_x_2_object()(ce1.cv(),ce1.ce())
                                               == ARR_INTERIOR)       &&
                (m_traits->parameter_space_in_y_2_object()(ce1.cv(),ce1.ce())
                                               == ARR_INTERIOR));
-      bool is_ce2_interior = 
-              ((m_traits->parameter_space_in_x_2_object()(ce2.cv(),ce2.ce()) 
+      bool is_ce2_interior =
+              ((m_traits->parameter_space_in_x_2_object()(ce2.cv(),ce2.ce())
                                               == ARR_INTERIOR)       &&
                (m_traits->parameter_space_in_y_2_object()(ce2.cv(),ce2.ce())
                                               == ARR_INTERIOR));
-  
-      bool is_ce1_vertical = 
-              ((m_traits->parameter_space_in_x_2_object()(ce1.cv(),ce1.ce()) 
+
+      bool is_ce1_vertical =
+              ((m_traits->parameter_space_in_x_2_object()(ce1.cv(),ce1.ce())
                                               == ARR_INTERIOR)       &&
                (m_traits->parameter_space_in_y_2_object()(ce1.cv(),ce1.ce())
                                               != ARR_INTERIOR));
-      bool is_ce2_vertical = 
-              ((m_traits->parameter_space_in_x_2_object()(ce2.cv(),ce2.ce()) 
+      bool is_ce2_vertical =
+              ((m_traits->parameter_space_in_x_2_object()(ce2.cv(),ce2.ce())
                                               == ARR_INTERIOR)       &&
                (m_traits->parameter_space_in_y_2_object()(ce2.cv(),ce2.ce())
                                               != ARR_INTERIOR));
 
-      //if the edge ends are parameter space interior on both x & y 
+      //if the edge ends are parameter space interior on both x & y
       if ( is_ce1_interior && is_ce2_interior )
       {
         return m_traits->compare_xy_2_object()
@@ -664,13 +664,13 @@ public:
                       m_traits->construct_min_vertex_2_object()(ce2.cv()) :
                       m_traits->construct_max_vertex_2_object()(ce2.cv())  ));
       }
-      
+
       //at least one curve end is on the parameter space boundaries:
-      
+
       //if the first curve end is interior
       if ( is_ce1_interior )
       {
-        
+
         //if the second curve end is of a curve with a vertical asymptote:
         //  x prm spc is interior, y prm spc is not interior
         if ( is_ce2_vertical)
@@ -684,7 +684,7 @@ public:
 
           if (res != EQUAL)
             return res;
-          else 
+          else
             return (m_traits->parameter_space_in_y_2_object()
                    (ce2.cv(),ce2.ce()) == ARR_TOP_BOUNDARY) ? SMALLER : LARGER;
         }
@@ -710,11 +710,11 @@ public:
                        m_traits->construct_min_vertex_2_object()( ce2.cv()) :
                        m_traits->construct_max_vertex_2_object()( ce2.cv())  ),
                        ce1.cv(),  ce1.ce());
-          //need to return the opposite because the function received 
-          // the curve ends in a reverse order 
+          //need to return the opposite because the function received
+          // the curve ends in a reverse order
           if (res != EQUAL)
             return (res == SMALLER) ? LARGER : SMALLER;
-          else 
+          else
             return (m_traits->parameter_space_in_y_2_object()
                         (ce1.cv(),ce1.ce()) ==  ARR_TOP_BOUNDARY) ? LARGER : SMALLER;
         }
@@ -724,7 +724,7 @@ public:
           // boundaries. the comparison is simply by the x-coord
           return (ce1.ce() == ARR_MIN_END) ? SMALLER : LARGER;
         }
-        
+
       }
 
       //both curve ends are not interior
@@ -733,7 +733,7 @@ public:
       if ( is_ce1_vertical && is_ce2_vertical )
       {
         Comparison_result res = m_traits->compare_x_at_limit_2_object()
-                                            (ce1.cv(),ce1.ce(), 
+                                            (ce1.cv(),ce1.ce(),
                                              ce2.cv(),ce2.ce());
 
         if (res != EQUAL)
@@ -742,9 +742,9 @@ public:
         //res == EQUAL
         //if equal - need to compare near limit
 
-        Arr_parameter_space ce1_y_prm_spc = 
+        Arr_parameter_space ce1_y_prm_spc =
           m_traits->parameter_space_in_y_2_object()(ce1.cv(),ce1.ce()) ;
-        Arr_parameter_space ce2_y_prm_spc = 
+        Arr_parameter_space ce2_y_prm_spc =
           m_traits->parameter_space_in_y_2_object()(ce2.cv(),ce2.ce()) ;
 
         //if param space in y is not the same (one is top and one is bottom)
@@ -753,7 +753,7 @@ public:
           return (ce1_y_prm_spc == ARR_BOTTOM_BOUNDARY) ? SMALLER : LARGER;
 
         //if the Curve end is not the same, the one with the MAX is smaller
-        if (ce1.ce() != ce2.ce()) 
+        if (ce1.ce() != ce2.ce())
           return (ce1.ce() == ARR_MIN_END) ? LARGER : SMALLER;
 
         //both have the same Curve end
@@ -762,12 +762,12 @@ public:
       }
 
       //if only the first curve end is of a curve with a vertical asymptote
-      if ( is_ce1_vertical ) 
+      if ( is_ce1_vertical )
       {
         return (ce2.ce() == ARR_MIN_END) ? LARGER : SMALLER;
       }
       //if only the second curve end is of a curve with a vertical asymptote
-      if ( is_ce2_vertical ) 
+      if ( is_ce2_vertical )
       {
         return (ce1.ce() == ARR_MIN_END) ? SMALLER : LARGER;
       }
@@ -775,45 +775,45 @@ public:
       //both curve ends are not of curves with a vertical asymptote:
 
       //if not both on left or both on right boundaries
-      if (ce1.ce() != ce2.ce()) 
+      if (ce1.ce() != ce2.ce())
       {
         return (ce1.ce() == ARR_MIN_END) ? SMALLER : LARGER;
       }
-      
+
       //both on the same boundary, need to compare the y near the boundary
       //  (ce1.ce() == ce2.ce())
       return m_traits->compare_y_near_boundary_2_object()
-                            (ce1.cv(), ce2.cv(), ce1.ce());     
+                            (ce1.cv(), ce2.cv(), ce1.ce());
     }
 
     /*!
      * Compare a point and a curve end lexigoraphically: by x, then by y.
      * \param cv1, cv1_end The first cv end.
      * \param cv2, cv2_end The second cv end.
-     * \return LARGER if x(p) > x(cv2-end), 
+     * \return LARGER if x(p) > x(cv2-end),
      *             or if x(p) = x(cv2-end) and y(p) > y(cv2-end);
-     *         SMALLER if x(p) < x(cv2-end), 
+     *         SMALLER if x(p) < x(cv2-end),
      *             or if x(p) = x(cv2-end) and y(p) < y(cv2-end);
      *         EQUAL if the point and the cv end are equal.
      */
     Comparison_result operator() (const Point& p,
                                   const Curve_end& ce) const
     {
-      Comparison_result res;     
-      
-      bool is_ce_interior = 
-              ((m_traits->parameter_space_in_x_2_object()(ce.cv(),ce.ce()) 
+      Comparison_result res;
+
+      bool is_ce_interior =
+              ((m_traits->parameter_space_in_x_2_object()(ce.cv(),ce.ce())
                                               == ARR_INTERIOR)       &&
                (m_traits->parameter_space_in_y_2_object()(ce.cv(),ce.ce())
                                               == ARR_INTERIOR));
-  
-      bool is_ce_vertical = 
-              ((m_traits->parameter_space_in_x_2_object()(ce.cv(),ce.ce()) 
+
+      bool is_ce_vertical =
+              ((m_traits->parameter_space_in_x_2_object()(ce.cv(),ce.ce())
                                               == ARR_INTERIOR)       &&
                (m_traits->parameter_space_in_y_2_object()(ce.cv(),ce.ce())
                                               != ARR_INTERIOR));
 
-      //if the edge end is parameter space interior on both x & y 
+      //if the edge end is parameter space interior on both x & y
       if ( is_ce_interior)
       {
         return m_traits->compare_xy_2_object()
@@ -822,9 +822,9 @@ public:
                       m_traits->construct_min_vertex_2_object()(ce.cv()) :
                       m_traits->construct_max_vertex_2_object()(ce.cv())  ));
       }
-      
+
       // edge end is on the parameter space boundaries:
-      
+
       //if edge end is of a vertical line:
       //  x prm spc is interior, y prm spc is not interior
       if ( is_ce_vertical)
@@ -834,7 +834,7 @@ public:
 
         if (res != EQUAL)
           return res;
-        else 
+        else
           return (m_traits->parameter_space_in_y_2_object()
                     (ce.cv(), ce.ce()) == ARR_TOP_BOUNDARY) ? SMALLER : LARGER;
       }
@@ -845,7 +845,7 @@ public:
           return (ce.ce() == ARR_MIN_END) ? LARGER : SMALLER;
       }
     }
-   
+
     Comparison_result operator() (const Curve_end& ce,
                                   const Point& p) const
     {
@@ -855,7 +855,7 @@ public:
       return (res == SMALLER) ? LARGER : SMALLER;
     }
 
-    
+
     Comparison_result operator() (const Point& p1,
                                   const Point& p2) const
     {
@@ -873,17 +873,17 @@ public:
 
 
   // Td_traits class ctors and dtor
-  
+
   Td_traits(const Traits_base& t) : Traits_base(t)
   { }
 
-  Td_traits() 
+  Td_traits()
   { }
 
   ~Td_traits(void)
   {
   }
-  
+
 public:
   /*
     note:
@@ -893,71 +893,71 @@ public:
 
   /* returns true if bottom halfedges of input are the same */
   inline bool is_trpz_bottom_equal(Td_map_item& left_item,
-					                         Td_map_item& right_item) const
+                                                                 Td_map_item& right_item) const
   {
     CGAL_precondition(is_active(left_item) && is_active(right_item));
     CGAL_precondition(is_td_trapezoid(left_item) && is_td_trapezoid(right_item));
-    
+
     Td_active_trapezoid left (boost::get<Td_active_trapezoid>(left_item));
     Td_active_trapezoid right(boost::get<Td_active_trapezoid>(right_item));
 
     if (left.is_on_bottom_boundary())
       return (right.is_on_bottom_boundary());
-  
-    if (right.is_on_bottom_boundary()) 
+
+    if (right.is_on_bottom_boundary())
       return (false);
-    
-    return (left.bottom() == right.bottom() || 
-            left.bottom()->twin() == right.bottom()); 
+
+    return (left.bottom() == right.bottom() ||
+            left.bottom()->twin() == right.bottom());
   }
 
   /* returns true if top halfedges of input are the same */
   inline bool is_trpz_top_equal(Td_map_item& left_item,
-					                      Td_map_item& right_item) const
+                                                              Td_map_item& right_item) const
   {
     CGAL_precondition(is_active(left_item) && is_active(right_item));
     CGAL_precondition(is_td_trapezoid(left_item) && is_td_trapezoid(right_item));
-    
+
     Td_active_trapezoid left (boost::get<Td_active_trapezoid>(left_item));
     Td_active_trapezoid right(boost::get<Td_active_trapezoid>(right_item));
 
-    if (left.is_on_top_boundary()) 
+    if (left.is_on_top_boundary())
       return (right.is_on_top_boundary());
-    
-    if (right.is_on_top_boundary()) 
+
+    if (right.is_on_top_boundary())
       return (false);
-    
-    return (left.top() == right.top() || left.top()->twin() == right.top()); 
+
+    return (left.top() == right.top() || left.top()->twin() == right.top());
   }
 
   /* returns true if bottom halfedges of input are the same */
   inline bool is_trapezoids_bottom_equal(const Td_active_trapezoid& left,
-					                               const Td_active_trapezoid& right) const 
+                                                                       const Td_active_trapezoid& right) const
   {
     if (left.is_on_bottom_boundary())
       return (right.is_on_bottom_boundary());
-  
-    if (right.is_on_bottom_boundary()) 
+
+    if (right.is_on_bottom_boundary())
       return (false);
-    
-    return (left.bottom() == right.bottom() || 
-            left.bottom()->twin() == right.bottom()); 
+
+    return (left.bottom() == right.bottom() ||
+            left.bottom()->twin() == right.bottom());
   }
 
   /* returns true if top halfedges of input are the same */
   inline bool is_trapezoids_top_equal(const Td_active_trapezoid& left,
-					                            const Td_active_trapezoid& right) const 
+                                                                    const Td_active_trapezoid& right) const
   {
-    if (left.is_on_top_boundary()) 
+    if (left.is_on_top_boundary())
       return (right.is_on_top_boundary());
-    
-    if (right.is_on_top_boundary()) 
+
+    if (right.is_on_top_boundary())
       return (false);
-    
-    return (left.top() == right.top() || left.top()->twin() == right.top()); 
+
+    return (left.top() == right.top() || left.top()->twin() == right.top());
   }
 
-  //returns true if the trapezoid is a curve 
+  //returns true if the trapezoid is a curve
   bool is_empty_item(const Td_map_item& tr) const
   {
     return (tr.which() == 0);
@@ -974,7 +974,7 @@ public:
     default:
       return false;
     }
-  }		
+  }
 
   //returns true if the map item is a vertex
   bool is_td_vertex(const Td_map_item& tr) const
@@ -991,7 +991,7 @@ public:
     }
   }
 
-  //returns true if the map item is an edge 
+  //returns true if the map item is an edge
   bool is_td_edge(const Td_map_item& tr) const
   {
     switch (tr.which())
@@ -1004,7 +1004,7 @@ public:
     }
   }
 
-  //returns true if the map item is an edge 
+  //returns true if the map item is an edge
   bool is_td_trapezoid(const Td_map_item& tr) const
   {
     switch (tr.which())
@@ -1017,7 +1017,7 @@ public:
     }
   }
 
-  //returns true if the trapezoid is a curve 
+  //returns true if the trapezoid is a curve
   bool is_fictitious_vertex(const Td_map_item& tr) const
   {
     switch (tr.which())
@@ -1030,7 +1030,7 @@ public:
     }
   }
 
-  //returns true if the trapezoid is a curve 
+  //returns true if the trapezoid is a curve
   bool is_active(const Td_map_item& tr) const
   {
     switch (tr.which())
@@ -1045,7 +1045,7 @@ public:
     }
   }
 
-  //returns true if the trapezoid is vertical 
+  //returns true if the trapezoid is vertical
   bool is_vertical(Td_map_item& item) const
   {
     CGAL_precondition(is_td_edge(item));
@@ -1057,16 +1057,16 @@ public:
     return (this->compare_curve_end_x_2_object()
                (Curve_end(he,ARR_MIN_END), Curve_end(he,ARR_MAX_END))== EQUAL);
   }
-  
-  /* returns whether given edge end is inside the given trapezoid using 
+
+  /* returns whether given edge end is inside the given trapezoid using
     lexicographic order */
   bool is_inside  (Td_map_item& item, const Curve_end& ce) const
   {
     CGAL_precondition( is_active(item) );
     CGAL_precondition( is_td_trapezoid(item) );
     Td_active_trapezoid tr (boost::get<Td_active_trapezoid>(item));
-    
-    return	
+
+    return
       ( tr.is_on_left_boundary() ||
           (compare_curve_end_xy_2_object()
                     (vtx_to_ce(tr.left()),ce) == SMALLER) )  &&
@@ -1079,7 +1079,7 @@ public:
           (compare_curve_end_y_at_x_2_object()(ce, tr.top()) == SMALLER) );
   }
 
-  /*! returns true if the end point is inside the closure of the trapezoid 
+  /*! returns true if the end point is inside the closure of the trapezoid
       (inlcude all boundaries) */
   bool is_in_closure  (const Td_active_trapezoid& tr, const Curve_end& ce ) const
   {
@@ -1092,24 +1092,24 @@ public:
                    (ce,vtx_to_ce(tr.right())) != LARGER))  )
     {
       // test bottom side
-      if (!tr.is_on_bottom_boundary() && 
-          compare_curve_end_y_at_x_2_object()(ce,tr.bottom()) == SMALLER ) 
+      if (!tr.is_on_bottom_boundary() &&
+          compare_curve_end_y_at_x_2_object()(ce,tr.bottom()) == SMALLER )
       {
         return false;
       }
-      
+
       // test top side
-      if (!tr.is_on_top_boundary() && 
-	        compare_curve_end_y_at_x_2_object()(ce,tr.top()) == LARGER)
+      if (!tr.is_on_top_boundary() &&
+                compare_curve_end_y_at_x_2_object()(ce,tr.top()) == LARGER)
       {
         return false;
       }
-  
+
       return true;
     }
     return false;
-  } 
-  /*! returns true if the end point is inside the closure of the trapezoid 
+  }
+  /*! returns true if the end point is inside the closure of the trapezoid
       (inlcude all boundaries) */
   bool is_in_closure (const Td_active_edge& e, const Curve_end& ce ) const
   {
@@ -1125,7 +1125,7 @@ public:
   Curve_end vtx_to_ce(Vertex_const_handle v) const
   {
     //the circulator is of incoming halfedges
-    Halfedge_around_vertex_const_circulator he = v->incident_halfedges(); 
+    Halfedge_around_vertex_const_circulator he = v->incident_halfedges();
     //if the vertex is associated with a point on the bounded coords,
     // we can take any incident halfedge. o/w if the vertex lies at infinity,
     //  it has 2 fictitious incident halfedges
@@ -1133,10 +1133,10 @@ public:
     if (v->is_at_open_boundary() && he->source()->is_at_open_boundary()) ++he;
 
     return Curve_end(he->curve(),
-                     (he->direction() == ARR_RIGHT_TO_LEFT)? 
+                     (he->direction() == ARR_RIGHT_TO_LEFT)?
                       ARR_MIN_END : ARR_MAX_END);
   }
-  
+
 public:
 
   static Vertex_const_handle empty_vtx_handle() {
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Td_X_trapezoid.h 5.0.3-1/include/CGAL/Arr_point_location/Td_X_trapezoid.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Td_X_trapezoid.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Td_X_trapezoid.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_X_trapezoid.h $
-// $Id: Td_X_trapezoid.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Td_X_trapezoid.h $
+// $Id: Td_X_trapezoid.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)	 : Oren Nechushtan <theoren@math.tau.ac.il>
+//
+// Author(s)         : Oren Nechushtan <theoren@math.tau.ac.il>
 //               updated by: Michal Balas <balasmic@post.tau.ac.il>
 
 #ifndef CGAL_TD_X_TRAPEZOID_H
@@ -38,24 +38,24 @@ namespace CGAL {
  * Implementation of a pseudo-trapezoid as two halfedges(top,bottom)
  * and two curve-ends(left,right).
  * Trapezoids are represented as two curve-ends called right and left and
- * two halfedges called top and bottom. The curve-ends (points) lie on the 
- * right and left boundaries of the trapezoid respectively and the halfedges 
+ * two halfedges called top and bottom. The curve-ends (points) lie on the
+ * right and left boundaries of the trapezoid respectively and the halfedges
  * bound the trapezoid from above and below.
- * There exist degenerate trapezoids called infinite trapezoid; this happens 
+ * There exist degenerate trapezoids called infinite trapezoid; this happens
  * when one of the four sides is on the parameter space boundary.
  * Trapezoids are created as active and become inactive when Remove() member
  * function called.
  * Each trapezoid has at most four neighbouring trapezoids.
- * X_trapezoid structure can represent a real trapezoid, a Td-edge or an 
+ * X_trapezoid structure can represent a real trapezoid, a Td-edge or an
  * edge-end (end point).
  */
 template <class Td_traits_>
 class Td_X_trapezoid : public Handle
 {
 public:
-  
+
   //type of trapezoid type
-  enum Type 
+  enum Type
   {
       TD_TRAPEZOID,
       TD_EDGE,
@@ -64,7 +64,7 @@ public:
 
   //type of traits class
   typedef Td_traits_                                   Traits;
-  
+
   //type of point (Point_2)
   typedef typename Traits::Point                       Point;
 
@@ -76,13 +76,13 @@ public:
 
   //type of Halfedge_const_handle (trapezoid edge)
   typedef typename Traits::Halfedge_const_handle  Halfedge_const_handle;
-  
+
   //type of Vertex_const_handle (trapezoid vertex)
   typedef typename Traits::Vertex_const_handle    Vertex_const_handle;
 
   //type of Trapezoid (Self)
   typedef typename Traits::X_trapezoid            Self;
-  
+
   //type of Trapezoid parameter space
   // Ninetuple which represents the Trapezoid:
   //  - for regular & edge trapezoids or active point trapezoids:
@@ -92,21 +92,21 @@ public:
   //  type flag + on boundaries flags,
   //  left-bottom neighbor trapezoid, left-top neighbor trapezoid,
   //  right-bottom neighbor trapezoid, right-top neighbor trapezoid
-  typedef Td_ninetuple<boost::variant<Vertex_const_handle,Point>, 
+  typedef Td_ninetuple<boost::variant<Vertex_const_handle,Point>,
                        boost::variant<Vertex_const_handle,unsigned char>,
                        boost::variant<Halfedge_const_handle,
                                       boost::shared_ptr<X_monotone_curve_2> >,
-                       Halfedge_const_handle, 
+                       Halfedge_const_handle,
                        unsigned char,
                        Self*, Self*,
                        Self*, Self*>            Trpz_parameter_space;
-  
+
   //type of Trapezoidal decomposition
   typedef Trapezoidal_decomposition_2<Traits>          TD;
-  
+
   //type of Around point circulator
   typedef typename TD::Around_point_circulator         Around_point_circulator;
-  
+
   //type of In face iterator
   typedef typename TD::In_face_iterator                In_face_iterator;
 
@@ -117,7 +117,7 @@ public:
   //friend class declarations:
 
   friend class Trapezoidal_decomposition_2<Traits>;
-  
+
 #ifdef CGAL_PM_FRIEND_CLASS
 #if defined(__SUNPRO_CC) || defined(__PGI) || defined(__INTEL_COMPILER)
   friend class Trapezoidal_decomposition_2<Traits>::Around_point_circulator;
@@ -131,20 +131,20 @@ public:
   friend class Trapezoidal_decomposition_2<Traits>::Around_point_circulator;
   friend class Trapezoidal_decomposition_2<Traits>::In_face_iterator;
 #endif
-  
+
 #else
   friend class Around_point_circulator;
   friend class In_face_iterator;
 #endif
 #endif
-  
-  
-  
+
+
+
  private:
-  
+
   Trpz_parameter_space* ptr() const { return (Trpz_parameter_space*)(PTR);  }
-	
-	
+
+
 #ifndef CGAL_TD_DEBUG
 #ifdef CGAL_PM_FRIEND_CLASS
  protected:
@@ -154,9 +154,9 @@ public:
 #else //CGAL_TD_DEBUG
  public:
 #endif //CGAL_TD_DEBUG
-	
+
   Dag_node* m_dag_node; //pointer to the search structure (DAG) node
-	
+
   /*! Initialize the trapezoid's neighbours. */
   CGAL_TD_INLINE void init_neighbours(Self* lb_ = 0, Self* lt_ = 0,
                                       Self* rb_ = 0, Self* rt_ = 0)
@@ -168,34 +168,34 @@ public:
   }
 
   /*! Set the DAG node. */
-  CGAL_TD_INLINE void set_dag_node(Dag_node* p) 
+  CGAL_TD_INLINE void set_dag_node(Dag_node* p)
   {
     m_dag_node = p;
-  
+
 #ifdef CGAL_TD_DEBUG
-  
+
     CGAL_assertion(!p || **p == *this);
-  
-#endif	
-	
+
+#endif
+
   }
-  
+
   /*! Set the trapezoid's left (Vertex_const_handle). */
-  CGAL_TD_INLINE void set_left(Vertex_const_handle v) 
+  CGAL_TD_INLINE void set_left(Vertex_const_handle v)
   {
     CGAL_precondition(is_active());
     ptr()->e0 = v;
   }
-  
+
   /*! Set the trapezoid's right (Vertex_const_handle). */
-  CGAL_TD_INLINE void set_right(Vertex_const_handle v) 
+  CGAL_TD_INLINE void set_right(Vertex_const_handle v)
   {
     CGAL_precondition(is_active());
     ptr()->e1 = v;
   }
-  
+
   /*! Set the trapezoid's bottom (Halfedge_const_handle). */
-  CGAL_TD_INLINE void set_bottom(Halfedge_const_handle he) 
+  CGAL_TD_INLINE void set_bottom(Halfedge_const_handle he)
   {
     CGAL_precondition(is_active());
     if (!is_on_bottom_boundary() &&
@@ -208,9 +208,9 @@ public:
       ptr()->e2 = he;
     }
   }
-  
+
   /*! Set the trapezoid's top (Halfedge_const_handle). */
-  CGAL_TD_INLINE void set_top(Halfedge_const_handle he) 
+  CGAL_TD_INLINE void set_top(Halfedge_const_handle he)
   {
     CGAL_precondition(is_active());
     if (!is_on_top_boundary() &&
@@ -223,7 +223,7 @@ public:
       ptr()->e3 = he;
     }
   }
-  
+
   CGAL_TD_INLINE void update_removed_trpz()
   {
     CGAL_precondition(is_active());
@@ -234,27 +234,27 @@ public:
       set_curve_for_rem_he(top()->curve());
       return;
     }
-  
+
     //else if (type() == TD_VERTEX)
-  
+
     Curve_end v_ce(left()->curve_end());
     ptr()->e2 = (boost::shared_ptr<X_monotone_curve_2>)(new X_monotone_curve_2(v_ce.cv()));
     //CGAL_assertion(boost::get<boost::shared_ptr<X_monotone_curve_2>>( &(ptr()->e2)) != nullptr);
-  
+
     ptr()->e1 = (v_ce.ce() == ARR_MIN_END ) ? CGAL_TD_CV_MIN_END : CGAL_TD_CV_MAX_END;
-  
+
     if (!is_on_boundaries())
     { //if the trapezoid respresents an inner vertex
       ptr()->e0 = left()->point();
     }
   }
 
-  
+
   /*! Set the x_monotone_curve_2 for removed edge degenerate trapezoid. */
   CGAL_TD_INLINE void set_curve_for_rem_he(const X_monotone_curve_2& cv)
   {
     CGAL_precondition (type() == TD_EDGE);
-  
+
     ptr()->e2 = (boost::shared_ptr<X_monotone_curve_2>)(new X_monotone_curve_2(cv));
   }
 
@@ -264,57 +264,57 @@ public:
     ptr()->e4 &= ~CGAL_TD_TYPE_MASK;
     ptr()->e4 |= obj_type;
   }
-  
+
   /*! Set is on left boundary flag. */
-  CGAL_TD_INLINE void set_is_on_left_boundary(bool b) 
+  CGAL_TD_INLINE void set_is_on_left_boundary(bool b)
   {
     if (b)
       ptr()->e4 |= CGAL_TD_ON_LEFT_BOUNDARY;
     else
       ptr()->e4 &= ~CGAL_TD_ON_LEFT_BOUNDARY;
   }
-  
+
   /*! Set is on right boundary flag. */
-  CGAL_TD_INLINE void set_is_on_right_boundary(bool b) 
+  CGAL_TD_INLINE void set_is_on_right_boundary(bool b)
   {
     if (b)
       ptr()->e4 |= CGAL_TD_ON_RIGHT_BOUNDARY;
     else
       ptr()->e4 &= ~CGAL_TD_ON_RIGHT_BOUNDARY;
   }
-  
+
   /*! Set is on bottom boundary flag. */
-  CGAL_TD_INLINE void set_is_on_bottom_boundary(bool b) 
+  CGAL_TD_INLINE void set_is_on_bottom_boundary(bool b)
   {
     if (b)
       ptr()->e4 |= CGAL_TD_ON_BOTTOM_BOUNDARY;
     else
       ptr()->e4 &= ~CGAL_TD_ON_BOTTOM_BOUNDARY;
   }
-  
+
   /*! Set is on top boundary flag. */
-  CGAL_TD_INLINE void set_is_on_top_boundary(bool b) 
+  CGAL_TD_INLINE void set_is_on_top_boundary(bool b)
   {
     if (b)
       ptr()->e4 |= CGAL_TD_ON_TOP_BOUNDARY;
     else
       ptr()->e4 &= ~CGAL_TD_ON_TOP_BOUNDARY;
   }
-  
+
   /*! Set left bottom neighbour. */
   CGAL_TD_INLINE void set_lb(Self* lb) { ptr()->e5 = lb; }
-  
+
   /*! Set left top neighbour. */
   CGAL_TD_INLINE void set_lt(Self* lt) { ptr()->e6 = lt; }
-  
+
   /*! Set right bottom neighbour. */
   CGAL_TD_INLINE void set_rb(Self* rb) { ptr()->e7 = rb; }
-  
+
   /*! Set right top neighbour. */
   CGAL_TD_INLINE void set_rt(Self* rt) { ptr()->e8 = rt; }
 
  public:
-  
+
   /// \name Constructors.
   //@{
 
@@ -333,7 +333,7 @@ public:
 
     m_dag_node = 0;
   }
-  
+
   /*! Constructor given Vertex & Halfedge handles. */
   Td_X_trapezoid (Vertex_const_handle l, Vertex_const_handle r,
                   Halfedge_const_handle b, Halfedge_const_handle t,
@@ -343,7 +343,7 @@ public:
                   Self* rb = 0, Self* rt = 0,
                   Dag_node* node = 0)
   {
-    
+
     //build the type flag
     unsigned char type_flag = 0;
     if (tp == TD_TRAPEZOID)
@@ -357,7 +357,7 @@ public:
       (l, r, b, t, type_flag | boundness_flag, lb, lt, rb, rt);
     m_dag_node = node;
   }
-  
+
   /*! Constructor given Pointers to Vertex & Halfedge handles. */
   Td_X_trapezoid (Vertex_const_handle* l, Vertex_const_handle* r ,
                   Halfedge_const_handle* b, Halfedge_const_handle* t,
@@ -376,33 +376,33 @@ public:
        b ? *b : Traits::he_at_bottom_infinity(),
        t ? *t : Traits::he_at_top_infinity(),
        (type_flag |
-        (on_left_bndry   ? CGAL_TD_ON_LEFT_BOUNDARY   : 0) | 
-        (on_right_bndry  ? CGAL_TD_ON_RIGHT_BOUNDARY  : 0) | 
-        (on_bottom_bndry ? CGAL_TD_ON_BOTTOM_BOUNDARY : 0) | 
+        (on_left_bndry   ? CGAL_TD_ON_LEFT_BOUNDARY   : 0) |
+        (on_right_bndry  ? CGAL_TD_ON_RIGHT_BOUNDARY  : 0) |
+        (on_bottom_bndry ? CGAL_TD_ON_BOTTOM_BOUNDARY : 0) |
         (on_top_bndry    ? CGAL_TD_ON_TOP_BOUNDARY    : 0) ),
-	 lb, lt, rb, rt);
+         lb, lt, rb, rt);
     m_dag_node = node;
     }
-  
+
   /*! Copy constructor. */
   Td_X_trapezoid (const Self& tr) : Handle(tr)
     {
     m_dag_node = tr.m_dag_node;
     }
-  
+
   //@}
-  
+
   /// \name Operator overloading.
   //@{
 
-  /*! Assignment operator. 
-  *   operator= should not copy m_dag_node (or otherwise update 
+  /*! Assignment operator.
+  *   operator= should not copy m_dag_node (or otherwise update
   *     Dag_node::replace)
     */
   CGAL_TD_INLINE Self& operator= (const Self& t2)
       {
-	Handle::operator=(t2);
-	return *this;
+        Handle::operator=(t2);
+        return *this;
       }
 
   /*! Operator==. */
@@ -423,12 +423,12 @@ public:
   /// \name Access methods.
   //@{
 
-  CGAL_TD_INLINE Self& self() 
+  CGAL_TD_INLINE Self& self()
     {
       return *this;
     }
-  
-  CGAL_TD_INLINE const Self& self() const 
+
+  CGAL_TD_INLINE const Self& self() const
     {
       return *this;
     }
@@ -442,17 +442,17 @@ public:
   /*! Access trapezoid left. */
   CGAL_TD_INLINE Vertex_const_handle left_unsafe() const
     {
-    CGAL_precondition(is_active()); 
+    CGAL_precondition(is_active());
     CGAL_assertion(boost::get<Vertex_const_handle>(&(ptr()->e0)) != nullptr);
     return boost::get<Vertex_const_handle>(ptr()->e0);
     }
 
-  /*! Access trapezoid left. 
+  /*! Access trapezoid left.
   *   filters out the infinite case which returns predefined dummy values
   */
   CGAL_TD_INLINE Vertex_const_handle left() const
     {
-    CGAL_precondition(is_active()); 
+    CGAL_precondition(is_active());
     if (is_on_left_boundary() && is_on_bottom_boundary()
         && is_on_top_boundary())
     {
@@ -465,17 +465,17 @@ public:
   /*! Access trapezoid right. */
   CGAL_TD_INLINE Vertex_const_handle right_unsafe() const
     {
-    CGAL_precondition(is_active()); 
+    CGAL_precondition(is_active());
     CGAL_assertion(boost::get<Vertex_const_handle>(&(ptr()->e1)) != nullptr);
     return boost::get<Vertex_const_handle>(ptr()->e1);
     }
 
-  /*! Access trapezoid right. 
+  /*! Access trapezoid right.
   *   filters out the infinite case which returns predefined dummy values
   */
   CGAL_TD_INLINE Vertex_const_handle right () const
   {
-    CGAL_precondition(is_active()); 
+    CGAL_precondition(is_active());
     if (is_on_right_boundary() && is_on_bottom_boundary()
         && is_on_top_boundary())
     {
@@ -484,55 +484,55 @@ public:
     //else
     return right_unsafe();
   }
-  
+
   /*! Access trapezoid bottom. */
   CGAL_TD_INLINE Halfedge_const_handle bottom_unsafe () const
   {
-    CGAL_precondition(is_active()); 
+    CGAL_precondition(is_active());
     CGAL_assertion(boost::get<Halfedge_const_handle>(&(ptr()->e2)) != nullptr);
     return boost::get<Halfedge_const_handle>(ptr()->e2);
     }
-  
-  /*! Access trapezoid bottom. 
+
+  /*! Access trapezoid bottom.
   *   filters out the infinite case which returns predefined dummy values
   */
   CGAL_TD_INLINE Halfedge_const_handle bottom () const
     {
-    CGAL_precondition(is_active()); 
-    return !is_on_bottom_boundary() ?  
+    CGAL_precondition(is_active());
+    return !is_on_bottom_boundary() ?
             bottom_unsafe() : Traits::he_at_bottom_infinity();
     }
 
   /*! Access trapezoid top. */
   CGAL_TD_INLINE Halfedge_const_handle top_unsafe () const
     {
-    CGAL_precondition(is_active()); 
+    CGAL_precondition(is_active());
     return ptr()->e3;
     }
-  
-  /*! Access trapezoid top. 
+
+  /*! Access trapezoid top.
   *   filters out the infinite case which returns predefined dummy values
   */
   CGAL_TD_INLINE Halfedge_const_handle top () const
     {
-    CGAL_precondition(is_active()); 
-    return !is_on_top_boundary() ?	
+    CGAL_precondition(is_active());
+    return !is_on_top_boundary() ?
             top_unsafe() : Traits::he_at_top_infinity();
     }
 
-  CGAL_TD_INLINE Point point_for_inner_rem_vtx() const  
+  CGAL_TD_INLINE Point point_for_inner_rem_vtx() const
     {
-    CGAL_precondition(!is_active()); 
+    CGAL_precondition(!is_active());
     CGAL_precondition(type() == TD_VERTEX);
     CGAL_precondition(!is_on_boundaries());
 
     CGAL_assertion(boost::get<Point>( &(ptr()->e0)) != nullptr);
     return boost::get<Point>( ptr()->e0 );
     }
-  
-  CGAL_TD_INLINE std::pair<X_monotone_curve_2*,Arr_curve_end> curve_end_pair_for_boundary_rem_vtx() const  
+
+  CGAL_TD_INLINE std::pair<X_monotone_curve_2*,Arr_curve_end> curve_end_pair_for_boundary_rem_vtx() const
     {
-    CGAL_precondition(!is_active()); 
+    CGAL_precondition(!is_active());
     CGAL_precondition(type() == TD_VERTEX);
     CGAL_precondition(is_on_boundaries());
 
@@ -540,17 +540,17 @@ public:
     CGAL_assertion(boost::get<boost::shared_ptr<X_monotone_curve_2> >(&(ptr()->e2)) != nullptr);
     X_monotone_curve_2* cv_ptr = (boost::get<boost::shared_ptr<X_monotone_curve_2> >(ptr()->e2)).get();
     CGAL_assertion(cv_ptr != nullptr);
-   
-    Arr_curve_end ce = 
+
+    Arr_curve_end ce =
       (boost::get<unsigned char>(ptr()->e1) == CGAL_TD_CV_MIN_END) ?
         ARR_MIN_END : ARR_MAX_END;
-  
+
     return std::make_pair(cv_ptr, ce);
   }
 
-  CGAL_TD_INLINE Curve_end curve_end_for_boundary_rem_vtx() const  
+  CGAL_TD_INLINE Curve_end curve_end_for_boundary_rem_vtx() const
   {
-    CGAL_precondition(!is_active()); 
+    CGAL_precondition(!is_active());
     CGAL_precondition(type() == TD_VERTEX);
     CGAL_precondition(is_on_boundaries());
 
@@ -558,35 +558,35 @@ public:
     CGAL_assertion(boost::get<boost::shared_ptr<X_monotone_curve_2> >(&(ptr()->e2)) != nullptr);
     X_monotone_curve_2* cv_ptr = (boost::get<boost::shared_ptr<X_monotone_curve_2> >(ptr()->e2)).get();
     CGAL_assertion(cv_ptr != nullptr);
-   
-    Arr_curve_end ce = 
+
+    Arr_curve_end ce =
       (boost::get<unsigned char>(ptr()->e1) == CGAL_TD_CV_MIN_END) ?
         ARR_MIN_END : ARR_MAX_END;
-  
+
     return Curve_end(*cv_ptr, ce);
   }
 
-  CGAL_TD_INLINE Curve_end curve_end_for_rem_vtx() const  
+  CGAL_TD_INLINE Curve_end curve_end_for_rem_vtx() const
   {
-    CGAL_precondition(!is_active()); 
+    CGAL_precondition(!is_active());
     CGAL_precondition(type() == TD_VERTEX);
 
     CGAL_assertion(boost::get<unsigned char>( &(ptr()->e1)) != nullptr);
     CGAL_assertion(boost::get<boost::shared_ptr<X_monotone_curve_2> >(&(ptr()->e2)) != nullptr);
     X_monotone_curve_2* cv_ptr = (boost::get<boost::shared_ptr<X_monotone_curve_2> >(ptr()->e2)).get();
     CGAL_assertion(cv_ptr != nullptr);
-    
-    Arr_curve_end ce = 
+
+    Arr_curve_end ce =
       (boost::get<unsigned char>(ptr()->e1) == CGAL_TD_CV_MIN_END) ?
         ARR_MIN_END : ARR_MAX_END;
-  
+
     return Curve_end(*cv_ptr, ce);
   }
 
-  CGAL_TD_INLINE X_monotone_curve_2& curve_for_rem_he() const  
+  CGAL_TD_INLINE X_monotone_curve_2& curve_for_rem_he() const
   {
-    CGAL_precondition(!is_active() && type() == TD_EDGE); 
-    
+    CGAL_precondition(!is_active() && type() == TD_EDGE);
+
     CGAL_assertion(boost::get<boost::shared_ptr<X_monotone_curve_2> >(&(ptr()->e2)) != nullptr);
     X_monotone_curve_2* cv_ptr = (boost::get<boost::shared_ptr<X_monotone_curve_2> >(ptr()->e2)).get();
     CGAL_assertion(cv_ptr != nullptr);
@@ -594,7 +594,7 @@ public:
   }
 
   /*! Access trapezoid type. */
-  CGAL_TD_INLINE Type type() const 
+  CGAL_TD_INLINE Type type() const
   {
     switch(ptr()->e4 & CGAL_TD_TYPE_MASK)
     {
@@ -607,95 +607,95 @@ public:
     default:
        CGAL_assertion(false);
        return TD_TRAPEZOID;
-    } 
+    }
     }
 
   /*! Access trapezoid type flag. */
-  CGAL_TD_INLINE unsigned char type_flag() const 
+  CGAL_TD_INLINE unsigned char type_flag() const
     {
     return (ptr()->e4 & CGAL_TD_TYPE_MASK);
     }
-  
+
   /*! Access on boundaries flag. */
-  CGAL_TD_INLINE unsigned char on_boundaries_flag() const 
+  CGAL_TD_INLINE unsigned char on_boundaries_flag() const
   {
     return (ptr()->e4 & CGAL_TD_ON_ALL_BOUNDARIES);
   }
-  
+
   /*! Access is on left boundary. */
-  CGAL_TD_INLINE bool is_on_left_boundary() const 
-    {			
+  CGAL_TD_INLINE bool is_on_left_boundary() const
+    {
     return (ptr()->e4 & CGAL_TD_ON_LEFT_BOUNDARY) != 0;
     }
 
   /*! Access is on right boundary. */
-  CGAL_TD_INLINE bool is_on_right_boundary() const 
+  CGAL_TD_INLINE bool is_on_right_boundary() const
   {
     return (ptr()->e4 & CGAL_TD_ON_RIGHT_BOUNDARY) != 0;
     }
 
   /*! Access is on bottom boundary. */
-  CGAL_TD_INLINE bool is_on_bottom_boundary() const 
+  CGAL_TD_INLINE bool is_on_bottom_boundary() const
   {
     return (ptr()->e4 & CGAL_TD_ON_BOTTOM_BOUNDARY) != 0;
     }
 
   /*! Access is on top boundary. */
-  CGAL_TD_INLINE bool is_on_top_boundary() const 
+  CGAL_TD_INLINE bool is_on_top_boundary() const
   {
     return (ptr()->e4 & CGAL_TD_ON_TOP_BOUNDARY) != 0;
   }
-  
+
   /*! Access is on at least one boundary. */
   CGAL_TD_INLINE bool is_on_boundaries() const
-  {			
+  {
     return (ptr()->e4 & CGAL_TD_ON_ALL_BOUNDARIES) != 0;
   }
-  
+
   /*! Access left bottom neighbour. */
   Self* lb() const    { return ptr()->e5; }
-  
+
   /*! Access left top neighbour. */
   Self* lt() const    { return ptr()->e6; }
-  
+
   /*! Access right bottom neighbour. */
   Self* rb() const    { return ptr()->e7; }
-  
+
   /*! Access right top neighbour. */
   Self* rt() const    { return ptr()->e8; }
-  
+
   /*! Access DAG node. */
   Dag_node* dag_node() const            {return m_dag_node;}
-  
-  
+
+
   //@}
-  
+
   /*! is trapezoid active */
-    bool is_active() const 
+    bool is_active() const
     {
     return rb()!=
-	    (Self*)CGAL_TD_DELETE_SIGNATURE;
+            (Self*)CGAL_TD_DELETE_SIGNATURE;
     }
-  
+
   /*! Removing this trapezoid (defining it as in-active) */
   CGAL_TD_INLINE void remove(Dag_node* left=0)
     {
       CGAL_precondition(is_active());
- 
+
     // update vertex/edge trapezoid parameters after remove
     if (type() != TD_TRAPEZOID)
       update_removed_trpz();
-    
+
       // mark trapezoid as deleted,
     set_rb((Self*)CGAL_TD_DELETE_SIGNATURE);
-    
+
     if (type() == TD_VERTEX)
       curve_end_for_rem_vtx();
-    		
+
       // resets left son in data structure depending on input.
       if (left)
       m_dag_node->set_left_child(*left);
-    }								
+    }
 
   /* Merge this trapezoid with the input trapezoid.
      Precondition:
@@ -709,7 +709,7 @@ public:
   CGAL_TD_INLINE void merge_trapezoid( Self& right)
     {
     //precondition: both are of type trapezoid
-    CGAL_precondition((type() == TD_TRAPEZOID) && 
+    CGAL_precondition((type() == TD_TRAPEZOID) &&
                       (right.type() == TD_TRAPEZOID));
     //precondition: both are active
     CGAL_precondition(is_active() && right.is_active());
@@ -719,25 +719,25 @@ public:
     bool on_right_boundary = right.is_on_right_boundary();
 
     *this = Self (!is_on_left_boundary() ? & left() : 0,
-		              !on_right_boundary ? &right.right() : 0,
-		              !is_on_bottom_boundary() ? &bottom() : 0,
-		              !is_on_top_boundary() ? &top() : 0,
+                              !on_right_boundary ? &right.right() : 0,
+                              !is_on_bottom_boundary() ? &bottom() : 0,
+                              !is_on_top_boundary() ? &top() : 0,
                   CGAL_TD_TRAPEZOID,
                   is_on_left_boundary(), on_right_boundary,
                   is_on_bottom_boundary(), is_on_top_boundary(),
-		              lb(),lt(),
-		              right.rb(),
-		              right.rt());
+                              lb(),lt(),
+                              right.rb(),
+                              right.rt());
 
     if (rb())
       rb()->set_lb(this);
 
     if (rt())
       rt()->set_lt(this);
-    
+
     CGAL_assertion(is_on_right_boundary() == right.is_on_right_boundary());
     }
-	
+
 #ifdef CGAL_TD_DEBUG
   //MICHAL: This method should not compile!!
     bool is_valid(const Traits* traits) const
@@ -764,7 +764,7 @@ public:
           CGAL_warning(!CGAL_POINT_IS_LEFT_LOW(right(),left()));
           return false;
         }
-        
+
         if (!is_on_bottom_boundary())
         {
           if (is_on_left_boundary() || is_on_right_boundary())
@@ -774,7 +774,7 @@ public:
             CGAL_warning(!(is_on_left_boundary() ||is_on_right_boundary()));
             return false;
           }
-          
+
           b = CGAL_IS_IN_X_RANGE(bottom(),left());
           if (b) {
             t = CGAL_CURVE_COMPARE_Y_AT_X(left(), bottom());
@@ -788,7 +788,7 @@ public:
             CGAL_warning(t != SMALLER);
             return false;
           }
-          
+
           b=CGAL_IS_IN_X_RANGE(bottom(),right());
           if (b) {
             t = CGAL_CURVE_COMPARE_Y_AT_X(right(), bottom());
@@ -812,7 +812,7 @@ public:
             CGAL_warning(!(is_on_left_boundary() || is_on_right_boundary()));
             return false;
           }
-          
+
           b=CGAL_IS_IN_X_RANGE(top(),left());
           if (b) {
             t = CGAL_CURVE_COMPARE_Y_AT_X(left(), top());
@@ -826,7 +826,7 @@ public:
             CGAL_warning(t != LARGER);
             return false;
           }
-          
+
           b=CGAL_IS_IN_X_RANGE(top(),right());
           if (b) {
             t = CGAL_CURVE_COMPARE_Y_AT_X(right(), top());
@@ -843,9 +843,9 @@ public:
         }
         if (!traits->is_degenerate(*this))
         {
-          if (rt() && 
+          if (rt() &&
               (! is_top_curve_equal(*rt(), traits)) ||
-              lt() && 
+              lt() &&
               (! is_top_curve_equal(*lt(), traits)) ||
               rb() &&
               (! is_bottom_curve_equal(*rb(), traits)) ||
@@ -903,7 +903,7 @@ public:
         {
           /* if the trapezoid is degenerate, the left() and right()
              points should be on the top() and bottom() curves.
-             In any case none of the geometric boundaries should 
+             In any case none of the geometric boundaries should
              be unbounded */
           if (is_on_bottom_boundary()||
               is_on_top_boundary()||
@@ -1048,7 +1048,7 @@ public:
       }
       return true;
     }
-  
+
   CGAL_TD_INLINE void debug() const // instantiate ptr functions.
   {
     ptr();
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2.h 5.0.3-1/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2.h $
 // $Id: Trapezoidal_decomposition_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_impl.h 5.0.3-1/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_impl.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_impl.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_impl.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_impl.h $
 // $Id: Trapezoidal_decomposition_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_iostream.h 5.0.3-1/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_iostream.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_iostream.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_iostream.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_iostream.h $
-// $Id: Trapezoidal_decomposition_2_iostream.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_iostream.h $
+// $Id: Trapezoidal_decomposition_2_iostream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)	 : Oren Nechushtan <theoren@math.tau.ac.il>
+//
+// Author(s)         : Oren Nechushtan <theoren@math.tau.ac.il>
 #ifndef CGAL_TRAPEZOIDAL_DECOMPOSITION_2_IOSTREAM_H
 #define CGAL_TRAPEZOIDAL_DECOMPOSITION_2_IOSTREAM_H
 
@@ -23,8 +23,8 @@ namespace CGAL {
 
 template < class Traits>
 std::ostream& operator<<(
-			 std::ostream &out,
-			 const typename Trapezoidal_decomposition_2<Traits>::In_face_iterator& it)
+                         std::ostream &out,
+                         const typename Trapezoidal_decomposition_2<Traits>::In_face_iterator& it)
 {
   out << "In_face_iterator(";
   if (it.operator->()) out << *it; else out <<"end";
@@ -33,21 +33,21 @@ std::ostream& operator<<(
 
 template < class Traits>
 std::ostream& write(
-		    std::ostream &out,const Trapezoidal_decomposition_2<Traits>& td)
+                    std::ostream &out,const Trapezoidal_decomposition_2<Traits>& td)
 {
   return out << td;
 }
 
 template < class Traits>
 std::ostream& operator<<(
-			 std::ostream &out,const Trapezoidal_decomposition_2<Traits>& td)
+                         std::ostream &out,const Trapezoidal_decomposition_2<Traits>& td)
 {
   return write(out,td.dag_root(),td.get_traits());
 }
 
 template < class Traits>
 std::ostream& write(std::ostream &out,const Td_X_trapezoid<Traits>& t,
-		    const Traits& traits,bool validate=true)
+                    const Traits& traits,bool validate=true)
 {
   typedef Trapezoidal_decomposition_2<Traits> TD;
   typedef Td_X_trapezoid<Traits> X_trapezoid;
@@ -65,11 +65,11 @@ std::ostream& write(std::ostream &out,co
   out << ",";
   if (!t.is_on_top_boundary()) out << t.top(); else out << "+oo";
   out << ",neighbours(" << std::flush;
-	
+
   // debug neighbours equivalence relation
   int max_size=4+1;
   int null_size=2,size=null_size,i,j;
-	
+
   X_trapezoid* value[] =
     {
       0,
@@ -92,17 +92,17 @@ std::ostream& write(std::ostream &out,co
   for (j=null_size;j<=max_size;j++)
     {
       for (i=0;i<size;i++)
-	if (value[j]==value[i])
-	  {
-	    std::strcat(name[i],"=");
-	    std::strcat(name[i],name[j]);
-	    break;
-	  }
+        if (value[j]==value[i])
+          {
+            std::strcat(name[i],"=");
+            std::strcat(name[i],name[j]);
+            break;
+          }
       if (i==size)
-	{
-	  value[size]=value[j];
-	  std::strcpy(name[size++],name[j]);
-	}
+        {
+          value[size]=value[j];
+          std::strcpy(name[size++],name[j]);
+        }
     }
   if (size==null_size) {out << "none";}
   for(j=null_size;j<size;j++)
@@ -112,50 +112,50 @@ std::ostream& write(std::ostream &out,co
       out << name[j];
       // identify neighbours
       if (traits.is_td_vertex(t) && value[j])
-	out << "=" << value[j]->top();
+        out << "=" << value[j]->top();
     }
   out << ")" << std::flush;
-	
+
   if (t.is_active())
     {
       if (traits.is_td_trapezoid(t))
-	{
-	  if (t.is_unbounded())
-	    {
-	      out << ",U=";
-	      if (t.is_on_left_boundary())   out << ")";
-	      if (t.is_on_bottom_boundary()) {
-		if (t.is_on_top_boundary())    
-		  out << "/\\/";
-		else 
-		  out << "/\\";
-	      }
-	      else if (t.is_on_top_boundary())    out << "\\/";
-	      if (t.is_on_right_boundary())  out << "(";
-	    }
-	  else
-	    out << ",T";
-	}
+        {
+          if (t.is_unbounded())
+            {
+              out << ",U=";
+              if (t.is_on_left_boundary())   out << ")";
+              if (t.is_on_bottom_boundary()) {
+                if (t.is_on_top_boundary())
+                  out << "/\\/";
+                else
+                  out << "/\\";
+              }
+              else if (t.is_on_top_boundary())    out << "\\/";
+              if (t.is_on_right_boundary())  out << "(";
+            }
+          else
+            out << ",T";
+        }
       else if (traits.is_td_edge(t))
-	out << ",C";
+        out << ",C";
       else // if (t.is_degenerate_point())
-	out << ",P";
+        out << ",P";
     }
   else
     out << ",D";
-	
-  /*	Calling t.is_valid requires the traits to be initialized with the proper 
+
+  /*        Calling t.is_valid requires the traits to be initialized with the proper
     bounding box */
   if (validate)
     {
       if (t.is_valid(&traits))
-	out << ",+";
+        out << ",+";
       else
-	out << ",-";
+        out << ",-";
     }
-	
+
   out << ")" << std::flush;
-	
+
   return out;
 }
 
@@ -178,11 +178,11 @@ std::ostream& operator<<(std::ostream &o
   out << ",";
   if (!t.is_on_top_boundary()) out << t.top(); else out << "+oo";
   out << ",neighbours(" << std::flush;
-	
+
   // debug neighbours equivalence relation
   int max_size=4+1;
   int null_size=2,size=null_size,i,j;
-	
+
   X_trapezoid* value[] =
     {
       0,
@@ -205,17 +205,17 @@ std::ostream& operator<<(std::ostream &o
   for (j=null_size;j<=max_size;j++)
     {
       for (i=0;i<size;i++)
-	if (value[j]==value[i])
-	  {
-	    std::strcat(name[i],"=");
-	    std::strcat(name[i],name[j]);
-	    break;
-	  }
+        if (value[j]==value[i])
+          {
+            std::strcat(name[i],"=");
+            std::strcat(name[i],name[j]);
+            break;
+          }
       if (i==size)
-	{
-	  value[size]=value[j];
-	  std::strcpy(name[size++],name[j]);
-	}
+        {
+          value[size]=value[j];
+          std::strcpy(name[size++],name[j]);
+        }
     }
   if (size==null_size) {out << "none";}
   for(j=null_size;j<size;j++)
@@ -223,39 +223,39 @@ std::ostream& operator<<(std::ostream &o
       out << name[j];
       // identify neighbours
       if (traits.is_td_vertex(t) && value[j])
-	out << "=" << value[j]->top();
+        out << "=" << value[j]->top();
       out << " ";
     }
   out << ")" << std::flush;
-	
+
   if (t.is_active())
     {
       if (traits.is_td_trapezoid(t))
-	{
-	  if (t.is_unbounded())
-	    {
-	      out << ",U";
-	      if (t.is_on_left_boundary())
-		out << (char) 174;
-	      if (t.is_on_bottom_boundary())
-		out << (char) 25;
-	      if (t.is_on_top_boundary())
-		out << (char) 24;
-	      if (t.is_on_right_boundary())
-		out << (char) 175;
-	    }
-	  else
-	    out << ",T";
-	}
+        {
+          if (t.is_unbounded())
+            {
+              out << ",U";
+              if (t.is_on_left_boundary())
+                out << (char) 174;
+              if (t.is_on_bottom_boundary())
+                out << (char) 25;
+              if (t.is_on_top_boundary())
+                out << (char) 24;
+              if (t.is_on_right_boundary())
+                out << (char) 175;
+            }
+          else
+            out << ",T";
+        }
       else if (traits.is_td_edge(t))
-	out << ",C";
+        out << ",C";
       else // if (t.is_degenerate_point())
-	out << ",P";
+        out << ",P";
     }
   else
     out << ",D";
-	
-  /*	Calling t.is_valid requires the traits to be initialized with the proper 
+
+  /*        Calling t.is_valid requires the traits to be initialized with the proper
     bounding box
     if (traits)
     {
@@ -264,9 +264,9 @@ std::ostream& operator<<(std::ostream &o
     else
     out << ",-";
     }
-  */	
+  */
   out << ")" << std::flush;
-	
+
   return out;
 }
 
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_misc.h 5.0.3-1/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_misc.h
--- 5.0.2-3/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_misc.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_misc.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_misc.h $
-// $Id: Trapezoidal_decomposition_2_misc.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location/Trapezoidal_decomposition_2_misc.h $
+// $Id: Trapezoidal_decomposition_2_misc.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Oren Nechushtan <theoren@math.tau.ac.il>
 //                 Iddo Hanniel <hanniel@math.tau.ac.il>
@@ -34,13 +34,13 @@
 //#define CGAL_TD_ON_RIGHT_BOUNDARY    0x8
 //#define CGAL_TD_ON_BOTTOM_BOUNDARY   0x10
 //#define CGAL_TD_ON_TOP_BOUNDARY      0x20
-//#define CGAL_TD_ON_ALL_BOUNDARIES 
-//  (CGAL_TD_ON_LEFT_BOUNDARY | CGAL_TD_ON_RIGHT_BOUNDARY | 
+//#define CGAL_TD_ON_ALL_BOUNDARIES
+//  (CGAL_TD_ON_LEFT_BOUNDARY | CGAL_TD_ON_RIGHT_BOUNDARY |
 //   CGAL_TD_ON_BOTTOM_BOUNDARY| CGAL_TD_ON_TOP_BOUNDARY)
 //#define CGAL_TD_INTERIOR             0
 //
 //#define CGAL_TD_CV_MIN_END           0
-//#define CGAL_TD_CV_MAX_END           0x1 
+//#define CGAL_TD_CV_MAX_END           0x1
 
 #define CGAL_TD_DEFAULT_DEPTH_THRESHOLD 60
 #define CGAL_TD_DEFAULT_SIZE_THRESHOLD 12
diff -pruN 5.0.2-3/include/CGAL/Arr_point_location_result.h 5.0.3-1/include/CGAL/Arr_point_location_result.h
--- 5.0.2-3/include/CGAL/Arr_point_location_result.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_point_location_result.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_point_location_result.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_point_location_result.h $
 // $Id: Arr_point_location_result.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_polycurve_basic_traits_2.h 5.0.3-1/include/CGAL/Arr_polycurve_basic_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_polycurve_basic_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_polycurve_basic_traits_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_polycurve_basic_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_polycurve_basic_traits_2.h $
 // $Id: Arr_polycurve_basic_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_polycurve_traits_2.h 5.0.3-1/include/CGAL/Arr_polycurve_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_polycurve_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_polycurve_traits_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_polycurve_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_polycurve_traits_2.h $
 // $Id: Arr_polycurve_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_polyline_traits_2.h 5.0.3-1/include/CGAL/Arr_polyline_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_polyline_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_polyline_traits_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_polyline_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_polyline_traits_2.h $
 // $Id: Arr_polyline_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_rat_arc/Algebraic_point_2.h 5.0.3-1/include/CGAL/Arr_rat_arc/Algebraic_point_2.h
--- 5.0.2-3/include/CGAL/Arr_rat_arc/Algebraic_point_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_rat_arc/Algebraic_point_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Algebraic_point_2.h $
-// $Id: Algebraic_point_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Algebraic_point_2.h $
+// $Id: Algebraic_point_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Oren Salzman <orenzalz@post.tau.ac.il >
@@ -45,12 +45,12 @@ public:
   typedef AlgebraicKernelD_1                        Algebraic_kernel_d_1;
   typedef Base_rational_arc_ds_1<Algebraic_kernel_d_1>
                                                     Base;
- 
+
   typedef CGAL::Arr_rational_arc::Rational_function<Algebraic_kernel_d_1>
                                                     Rational_function;
   typedef CGAL::Arr_rational_arc::Rational_function_pair<Algebraic_kernel_d_1>
                                                     Rational_function_pair;
-  
+
   typedef typename Base::Algebraic_real_1           Algebraic_real_1;
   typedef typename Algebraic_kernel_d_1::Bound      Bound;
   typedef typename Base::Integer                    Integer ;
@@ -61,13 +61,13 @@ public:
 
   typedef typename Get_arithmetic_kernel<Algebraic_real_1>::Arithmetic_kernel
                                                     AK;
-  typedef typename AK::Bigfloat_interval            BFI; 
+  typedef typename AK::Bigfloat_interval            BFI;
   typedef Bigfloat_interval_traits<BFI>             BFI_traits;
   typedef CGAL::Polynomial<BFI>                     BFI_polynomial;
   typedef CGAL::Polynomial_traits_d<BFI_polynomial> BFI_polynomial_traits;
 
-  
-  typedef typename Base::FT_rat_1                   FT_rat_1; 
+
+  typedef typename Base::FT_rat_1                   FT_rat_1;
   typedef typename Base::Polynomial_traits_1        Polynomial_traits_1;
 
   typedef CGAL::Arr_rational_arc::Cache<Algebraic_kernel_d_1>
@@ -86,9 +86,9 @@ public:
     {
       _rational_function = other._rational_function;
       _x_coordinate = other._x_coordinate;
-    } 
+    }
   }
-  
+
   //assignment oparator
   Algebraic_point_2_rep& operator=(const Algebraic_point_2_rep& other)
   {
@@ -113,17 +113,17 @@ public:
     return rat_func_pair.compare_f_g_at(_x_coordinate);
   }
 
-  Algebraic_real_1& x() 
+  Algebraic_real_1& x()
   {
     return _x_coordinate;
   }
 
-  const Algebraic_real_1& x() const 
+  const Algebraic_real_1& x() const
   {
     return _x_coordinate;
   }
 
-  const Rational_function& rational_function() const 
+  const Rational_function& rational_function() const
   {
     return _rational_function;
   }
@@ -138,7 +138,7 @@ public:
     //converting the defining polynomial of x and the rational function to
     //bivariate polynomials
     Polynomial_2 f(_algebraic_kernel.compute_polynomial_1_object()(_x_coordinate));
-   
+
     Polynomial_2 y(CGAL::shift(Polynomial_2(1),1));
     Polynomial_2 g(_rational_function.numer() - y * _rational_function.denom());
 
@@ -146,7 +146,7 @@ public:
     g=CGAL::swap(g, 0, 1);  //swap x and y in the polynomial g
     //compute the resultant in x (polynomial in y)
     Polynomial_1 r(CGAL::resultant(f,g));
-  
+
     //solve for all roots of resultant
     std::list<Algebraic_real_1> roots;
     _algebraic_kernel.solve_1_object()(r, false, std::back_inserter(roots));
@@ -160,7 +160,7 @@ public:
         y_bounds(this->approximate_absolute_y(error_bound,initial_precision));
       while (CGAL::compare(roots.front(),y_bounds.first) == SMALLER)
         roots.pop_front();
-  
+
       while (CGAL::compare(y_bounds.second,roots.back()) == SMALLER)
         roots.pop_back();
 
@@ -187,29 +187,29 @@ public:
     return approximate_absolute_y(a,precision);
   }
   std::pair<Bound,Bound> approximate_relative_x( int r) const
-  {    
+  {
     return _algebraic_kernel.approximate_relative_1_object()(_x_coordinate,r);
   }
   std::pair<Bound,Bound> approximate_relative_y( int r) const
   {
     // return zero if y is zero (the code below would not terminate)
-    // moreover approx relative is actually not well defined 
+    // moreover approx relative is actually not well defined
     if(_rational_function.sign_at(_x_coordinate)==CGAL::ZERO)
       return std::make_pair(Bound(0),Bound(0));
-    
+
     typename BFI_traits::Set_precision       set_precision;
     typename BFI_polynomial_traits::Evaluate evaluate;
-    
+
     typedef typename BFI_traits::Bound    BF;
 
     long precision = 16;
     set_precision(precision);
     BF eps = CGAL::ipower(BF(1)/2,r);
-    
-    while (true){      
+
+    while (true){
       set_precision(precision);
       BFI x_bfi(convert_to_bfi(_x_coordinate));
-      
+
       BFI_polynomial
         numer_bfi(convert_to_bfi_extended(_rational_function.numer()));
       BFI_polynomial
@@ -217,12 +217,12 @@ public:
 
       BFI y_numer_bfi(evaluate(numer_bfi,x_bfi));
       BFI y_denom_bfi(evaluate(denom_bfi,x_bfi));
-      
+
       if (CGAL::zero_in(y_denom_bfi) == false)
       {
         BFI y_bfi(y_numer_bfi/y_denom_bfi);
-       
-        if (CGAL::compare( 
+
+        if (CGAL::compare(
                 CGAL::width(y_bfi),
                 CGAL::lower(CGAL::abs(y_bfi)) * eps)
             == SMALLER)
@@ -247,11 +247,11 @@ public:
       os << double_p.second;
       os << ")";
       break;
-          
+
      case ::CGAL::IO::BINARY:
       std::cerr << "BINARY format not yet implemented" << std::endl;
       break;
-          
+
      default:
       // ASCII
       os <<"x = " << _x_coordinate<<" ";
@@ -261,7 +261,7 @@ public:
       Base::print_polynomial(os, _rational_function.denom(), 'x');
       os << ")";
     }
-     
+
     return os;
  }
 private:
@@ -269,9 +269,9 @@ private:
   {
     typename BFI_traits::Set_precision       set_precision;
     typename BFI_polynomial_traits::Evaluate evaluate;
-    
+
     typedef typename BFI_traits::Bound             BF;
-    
+
     BF eps = CGAL::ipower(BF(1)/2,a);
     while (true)
     {
@@ -283,7 +283,7 @@ private:
 
       BFI y_numer_bfi(evaluate(numer_bfi,x_bfi));
       BFI y_denom_bfi(evaluate(denom_bfi,x_bfi));
-      
+
       if (CGAL::zero_in(y_denom_bfi) == false)
       {
         BFI y_bfi(y_numer_bfi/y_denom_bfi);
@@ -291,7 +291,7 @@ private:
           return std::make_pair(
               Bound(CGAL::lower(y_bfi)),
               Bound(CGAL::upper(y_bfi)));
-       
+
       }
       else precision*=2;
     }
@@ -302,10 +302,10 @@ private:
   CGAL::Coercion_traits<NTX,
                         typename Get_arithmetic_kernel<NTX>::
                           Arithmetic_kernel::Bigfloat_interval>::Type
-  convert_to_bfi_extended(const NTX& x) 
+  convert_to_bfi_extended(const NTX& x)
   {
     typedef typename Get_arithmetic_kernel<NTX>::Arithmetic_kernel AK;
-    typedef typename AK::Bigfloat_interval BFI; 
+    typedef typename AK::Bigfloat_interval BFI;
     typedef CGAL::Coercion_traits<NTX, BFI> CT;
     return typename CT::Cast()(x);
   }
@@ -333,7 +333,7 @@ template <typename Algebraic_kernel_ >
 class Algebraic_point_2 :
     public Handle_with_policy<Algebraic_point_2_rep<Algebraic_kernel_> >
 {
- 
+
 public:
   typedef Algebraic_kernel_                               Algebraic_kernel_d_1;
   typedef Handle_with_policy<Algebraic_point_2_rep<Algebraic_kernel_> >
@@ -345,7 +345,7 @@ public:
   typedef typename Rep::Rational_function                 Rational_function;
   typedef typename Rep::Bound                             Bound;
   typedef typename Rep::Cache                             Cache;
-  typedef typename Rep::Polynomial_1                      Polynomial_1; 
+  typedef typename Rep::Polynomial_1                      Polynomial_1;
 
 private:
   static Self& get_default_instance()
@@ -355,14 +355,14 @@ private:
     CGAL_STATIC_THREAD_LOCAL_VARIABLE(Poly, numer,0);
     CGAL_STATIC_THREAD_LOCAL_VARIABLE(Poly, denom, 1);
     CGAL_STATIC_THREAD_LOCAL_VARIABLE_3(Rational_function, rational_function, numer, denom, &kernel);
-    
+
     CGAL_STATIC_THREAD_LOCAL_VARIABLE(Algebraic_real_1, x_coordinate,kernel.construct_algebraic_real_1_object()(Rational(0)));
-    
-    CGAL_STATIC_THREAD_LOCAL_VARIABLE_2(Self, default_instance, rational_function, x_coordinate); 
-    
+
+    CGAL_STATIC_THREAD_LOCAL_VARIABLE_2(Self, default_instance, rational_function, x_coordinate);
+
     return default_instance;
 
-    /*static Self x = Self(Rational(0),Rational(0),_cache); 
+    /*static Self x = Self(Rational(0),Rational(0),_cache);
     return x; */
   }
 
@@ -370,7 +370,7 @@ public:
   explicit Algebraic_point_2(const Rational_function& rational_function,
                              const Algebraic_real_1& x_coordinate) :
     Base(rational_function,x_coordinate) {}
-  
+
   Algebraic_point_2() :
     Base(static_cast<const Base &> (get_default_instance())) {}
 
@@ -384,7 +384,7 @@ public:
 
   const Polynomial_1& numerator() const { return this->ptr()->numerator(); }
   const Polynomial_1& denominator() const { return this->ptr()->denominator(); }
-  
+
   Algebraic_real_1& x()
   {
     if (this->is_shared())
@@ -392,12 +392,12 @@ public:
     return this->ptr()->x();
   }
 
-  const Algebraic_real_1& x() const 
+  const Algebraic_real_1& x() const
   {
     return this->ptr()->x();
   }
 
-  const Rational_function& rational_function() const 
+  const Rational_function& rational_function() const
   {
     return this->ptr()->rational_function();
   }
@@ -423,7 +423,7 @@ public:
   }
 
   std::pair<Bound,Bound> approximate_relative_x( int r) const
-  {    
+  {
     return this->ptr()->approximate_relative_x(r);
   }
 
@@ -447,6 +447,6 @@ std::ostream& operator<<(std::ostream& o
 }
 
 }   //namespace Arr_rational_arc
-}   //namespace CGAL {   
+}   //namespace CGAL {
 
 #endif //CGAL_ALBERAIC_POINT_D_1_H
diff -pruN 5.0.2-3/include/CGAL/Arr_rat_arc/Base_rational_arc_ds_1.h 5.0.3-1/include/CGAL/Arr_rat_arc/Base_rational_arc_ds_1.h
--- 5.0.2-3/include/CGAL/Arr_rat_arc/Base_rational_arc_ds_1.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_rat_arc/Base_rational_arc_ds_1.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Base_rational_arc_ds_1.h $
-// $Id: Base_rational_arc_ds_1.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Base_rational_arc_ds_1.h $
+// $Id: Base_rational_arc_ds_1.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Oren Salzman <orenzalz@post.tau.ac.il >
@@ -41,20 +41,20 @@ public:
   //typedef typename Algebraic_kernel::Multiplicity_type  Multiplicity;
   typedef unsigned int                                  Multiplicity;
   typedef typename Algebraic_kernel::Coefficient        Coefficient;
-  
+
   typedef typename Get_arithmetic_kernel<Coefficient>::Arithmetic_kernel
                                                         Arithmetic_kernel;
-  typedef typename Arithmetic_kernel::Rational          Rational; 
+  typedef typename Arithmetic_kernel::Rational          Rational;
   typedef typename Arithmetic_kernel::Integer           Integer;
   typedef typename Algebraic_kernel::Algebraic_real_1   Algebraic_real_1;
-  
+
   typedef typename Algebraic_kernel::Polynomial_1       Polynomial_1;
   typedef Polynomial_traits_d<Polynomial_1>             Polynomial_traits_1;
   typedef Fraction_traits<Rational>                     FT_rat_1;
   typedef typename Algebraic_kernel::Solve_1            Solve_1;
   typedef typename Algebraic_kernel::Bound              Bound;
   typedef Algebraic_structure_traits<Polynomial_1>      AT_poly;
-  
+
   typedef Polynomial<Rational>                          Poly_rat_1;
   typedef Polynomial_traits_d<Poly_rat_1>               PT_rat_1;
   typedef Fraction_traits <Poly_rat_1>                  FT_poly_rat_1;
@@ -68,17 +68,17 @@ public:
                        typename FT_poly_rat_1::Numerator_type>::value));
 
 public:
-   
+
   //---------------------------------------------------------------------
   // Print a polynomial nicely.
 
   static std::ostream& print_polynomial(std::ostream& os,
                                         const Polynomial_1& poly,
-                                        char var) 
+                                        char var)
   {
     // Get the degree.
     const int    deg = CGAL::degree(poly);
-   
+
     Integer     coeff;
     CGAL::Sign  sgn;
     int         k;
@@ -90,10 +90,10 @@ public:
     }
 
     for (k = deg; k >= 0; k--)
-    { 
+    {
       //coeff = pt::Get_coefficient()(poly, k);
       coeff = CGAL::get_coefficient(poly, k);
-  
+
       if (k == deg)
         os << coeff;
       else if ((sgn = CGAL::sign (coeff)) == POSITIVE)
@@ -102,7 +102,7 @@ public:
         os << " - " << -coeff;
       else
         continue;
-     
+
       if (k > 1)
         os << '*' << var << '^' << k;
       else if (k == 1)
diff -pruN 5.0.2-3/include/CGAL/Arr_rat_arc/Cache.h 5.0.3-1/include/CGAL/Arr_rat_arc/Cache.h
--- 5.0.2-3/include/CGAL/Arr_rat_arc/Cache.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_rat_arc/Cache.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Cache.h $
-// $Id: Cache.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Cache.h $
+// $Id: Cache.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Oren Salzman <orenzalz@post.tau.ac.il >
@@ -25,7 +25,7 @@ namespace CGAL {
 namespace Arr_rational_arc {
 
 //-------------------
-//Cache 
+//Cache
 //-------------------
 template <typename AlgebraicKernel_d_1>
 class Cache : public Base_rational_arc_ds_1<AlgebraicKernel_d_1>
@@ -34,7 +34,7 @@ public:
   typedef AlgebraicKernel_d_1                           Algebraic_kernel_d_1;
   typedef Base_rational_arc_ds_1<Algebraic_kernel_d_1>  Base;
   typedef Cache<Algebraic_kernel_d_1>                   Self;
- 
+
   typedef typename Base::Polynomial_1                   Polynomial_1;
   typedef typename Base::Rational                       Rational;
   typedef typename Base::Algebraic_real_1               Algebraic_real_1;
@@ -117,15 +117,15 @@ public:
           ++iter1)
     {
       if (iter1->second.is_shared())
-      { 
+      {
         Rational_function_key key   = iter1->first;
         //construct new instance
         Rational_function f(iter1->second.numer(), iter1->second.denom(),
                             _ak_ptr);
-        _rat_func_map.insert(std::make_pair(key,f)); 
+        _rat_func_map.insert(std::make_pair(key,f));
       }
     }
-    
+
     //copy rational function pair map
     typename Rational_function_canonicalized_pair_map::const_iterator iter2;
     for ( iter2  = other.rat_pair_map().begin();
@@ -138,7 +138,7 @@ public:
         //construct new instance
         Rational_function_canonicalized_pair p(iter2->second.f(),
                                                iter2->second.g(), _ak_ptr);
-        _rat_pair_map.insert(std::make_pair(key,p)); 
+        _rat_pair_map.insert(std::make_pair(key,p));
       }
     }
 
@@ -152,7 +152,7 @@ public:
   {
     return _rat_pair_map;
   }
-  
+
   const Rational_function& get_rational_function(const Polynomial_1& numer,
                                                  const Polynomial_1& denom) const
   {
@@ -175,9 +175,9 @@ public:
         //then insert the new element
         Rational_function f(numer,denom,_ak_ptr);
         typename Rational_function_map::iterator it2 =
-          _rat_func_map.insert(it,std::make_pair(key,f)); 
-        return it2->second; 
-      } 
+          _rat_func_map.insert(it,std::make_pair(key,f));
+        return it2->second;
+      }
   }
   const Rational_function&  get_rational_function( const Rational& rat) const
   {
@@ -192,23 +192,23 @@ public:
     return get_rational_function (numer_poly,denom_poly);
   }
 
-  const Rational_function_pair get_rational_pair(const Rational_function& f, 
+  const Rational_function_pair get_rational_pair(const Rational_function& f,
                                                  const Rational_function& g) const
   {
     CGAL_precondition (_ak_ptr != nullptr);
     CGAL_precondition(!(f==g));
     Rational_function_canonicalized_pair_key key  = get_key(f,g);
-    bool is_opposite = (f.id() < g.id()) ? false : true ; 
+    bool is_opposite = (f.id() < g.id()) ? false : true ;
 
     //look if element exists in cache already
     typename Rational_function_canonicalized_pair_map::iterator it =
       _rat_pair_map.lower_bound(key);
-  
+
     if(it != _rat_pair_map.end() && !(_rat_pair_map.key_comp()(key, it->first)))
     {
       return (Rational_function_pair(it->second,is_opposite));
     }
-    else    //element does not exist, 
+    else    //element does not exist,
     {
       //first check if to clean up cache
       if (_rat_pair_map.size() > _rat_pair_map_watermark)
@@ -216,7 +216,7 @@ public:
 
       //create it & insert to cache
       Rational_function_canonicalized_pair p(f, g, _ak_ptr);
-      std::pair<typename Rational_function_canonicalized_pair_map::const_iterator, bool> res = 
+      std::pair<typename Rational_function_canonicalized_pair_map::const_iterator, bool> res =
         _rat_pair_map.insert(std::make_pair(key,p));
       return (Rational_function_pair(res.first->second,is_opposite));
     }
@@ -229,7 +229,7 @@ public:
   }
 private:
   Rational_function_key get_key(const Polynomial_1& numer,
-                                const Polynomial_1& denom) const 
+                                const Polynomial_1& denom) const
   {
     return Rational_function_key(numer, denom);
   }
@@ -248,9 +248,9 @@ private:
 
   }
 
-  void rat_func_map_clean_up() const 
-  {                                             
-   
+  void rat_func_map_clean_up() const
+  {
+
     //find eraseable rational functions
     std::vector<Rational_function_key> eraseable;
     typename Rational_function_map::iterator iter1;
@@ -277,7 +277,7 @@ private:
                                              typename Rational_function_map::size_type(128)));
     return;
   }
-  void rat_pair_map_clean_up() const 
+  void rat_pair_map_clean_up() const
   {
     //find eraseable rational functions
     std::vector<Rational_function_canonicalized_pair_key> eraseable;
@@ -300,7 +300,7 @@ private:
     }
 
     //re-set watermark
-    _rat_pair_map_watermark = 
+    _rat_pair_map_watermark =
       static_cast<unsigned int>((std::max)(2* _rat_pair_map.size(),
                                            typename Rational_function_canonicalized_pair_map::size_type(128)));
   }
@@ -312,7 +312,7 @@ private:
   mutable unsigned int                    _rat_pair_map_watermark;
   mutable Algebraic_kernel_d_1*   _ak_ptr;
 }; //Cache
- 
+
 }   //namespace Arr_rational_arc
 }   //namespace CGAL {
 #endif //CGAL_RATIONAL_ARC_CACHE
diff -pruN 5.0.2-3/include/CGAL/Arr_rat_arc/Rational_arc_d_1.h 5.0.3-1/include/CGAL/Arr_rat_arc/Rational_arc_d_1.h
--- 5.0.2-3/include/CGAL/Arr_rat_arc/Rational_arc_d_1.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_rat_arc/Rational_arc_d_1.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Rational_arc_d_1.h $
-// $Id: Rational_arc_d_1.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Rational_arc_d_1.h $
+// $Id: Rational_arc_d_1.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Oren Salzman <orenzalz@post.tau.ac.il >
@@ -48,11 +48,11 @@ namespace Arr_rational_arc {
 //        Denominator(x)
 //
 // where Numerator and Denominator are polynomial with integer (or rational) coefficients.
-// The class is templated with two parameters: 
+// The class is templated with two parameters:
 // Algebraic_kernel: An algebraic kernel for the intersection points of the curves
 //
 // This class serves as the base for the classes:
-// Rational_arc_d_1 (a general, not necessarily continuous arc) 
+// Rational_arc_d_1 (a general, not necessarily continuous arc)
 // Continuous_rational_arc_d_1 (a continuous portion of a rational function).
 //--------------------------------------------------------------------------//
 
@@ -79,13 +79,13 @@ public:
   typedef typename Base_rational_arc_ds_1::Coefficient      Coefficient;
   typedef typename Base_rational_arc_ds_1::Arithmetic_kernel
                                                             Arithmetic_kernel;
-  typedef typename Base_rational_arc_ds_1::Rational         Rational; 
+  typedef typename Base_rational_arc_ds_1::Rational         Rational;
   typedef typename Base_rational_arc_ds_1::Integer          Integer;
   typedef typename Base_rational_arc_ds_1::Algebraic_real_1 Algebraic_real_1;
   typedef typename Base_rational_arc_ds_1::Algebraic_vector Algebraic_vector;
   typedef typename Base_rational_arc_ds_1::Multiplicity_vector
                                                             Multiplicity_vector;
-  
+
   typedef std::vector<Rational>                             Rat_vector;
 
   typedef Polynomial_traits_d<Polynomial_1>                 Polynomial_traits_1;
@@ -93,13 +93,13 @@ public:
   typedef typename Base_rational_arc_ds_1::Solve_1          Solve_1;
   typedef typename Algebraic_kernel::Bound                  Bound;
   typedef Algebraic_structure_traits<Polynomial_1>          AT_poly;
-  
+
   typedef Polynomial<Rational>                              Poly_rat_1;
   typedef Polynomial_traits_d<Poly_rat_1>                   PT_rat_1;
   typedef Fraction_traits <Poly_rat_1>                      FT_poly_rat_1;
 
   typedef Algebraic_point_2                                 Point_2;
-  
+
   CGAL_static_assertion((boost::is_same<Integer, Coefficient>::value));
   CGAL_static_assertion((boost::is_same<Polynomial_1,
                        typename FT_poly_rat_1::Numerator_type>::value));
@@ -116,7 +116,7 @@ public:
   {
     return cache.get_rational_function(rat);
   }
-  const Rational_function_pair get_rational_pair(const Rational_function& f, 
+  const Rational_function_pair get_rational_pair(const Rational_function& f,
                                                  const Rational_function& g,
                                                  const Cache& cache) const
   {
@@ -150,11 +150,11 @@ public:
     IS_CONTINUOUS = 512,
     IS_VALID = 1024
   };
- 
-  Rational_function _f;    // The rational function 
+
+  Rational_function _f;    // The rational function
   Algebraic_point_2   _ps;   // The source point.
   Algebraic_point_2   _pt;   // The target point.
-  int     _info;   // A set of Boolean flags. 
+  int     _info;   // A set of Boolean flags.
 
 public:
   //------------
@@ -166,11 +166,11 @@ public:
   Base_rational_arc_d_1() :
     _info(0)
   {}
- 
+
   //---------------------------------------------------------------------------
   // Constructor of a whole polynomial curve defined by pcoeffs - the rational
   // coefficients of the polynomial p(x).
-  
+
   Base_rational_arc_d_1(const Polynomial_1& P, const Cache& cache) :
     _info(0)
   {
@@ -186,14 +186,14 @@ public:
                                                                  pcoeffs.end()));
     Integer denom_int;
     typename FT_poly_rat_1::Decompose()(num_rat, _numer, denom_int);
-        
+
     _init(_numer,denom_int,cache);
   }
 
   void _init(const Polynomial_1& P,const Integer& Q_int,const Cache& cache)
   {
     CGAL_precondition(!CGAL::is_zero(Q_int));
-    //set rational function 
+    //set rational function
     Polynomial_1 Q= typename Polynomial_traits_1::Construct_polynomial()(Q_int);
     _f = get_rational_function(P, Q, cache);
 
@@ -207,18 +207,18 @@ public:
     const int    deg_num(CGAL::degree(P));
     Integer lead_coeff(CGAL::leading_coefficient(Q));
     CGAL::Sign   lead_sign(CGAL::sign(lead_coeff));
-  
+
     if (deg_num > 0)
     {
       // Check if the degree is even or odd and check the sign of the leading
       // coefficient of the polynomial.
-   
+
       CGAL_assertion(lead_sign != CGAL::ZERO);
 
       if (deg_num % 2 == 0)
       {
         // Polynomial of an even degree.
-        if (lead_sign == CGAL::NEGATIVE) 
+        if (lead_sign == CGAL::NEGATIVE)
           _info = (_info | SRC_AT_Y_MINUS_INFTY | TRG_AT_Y_MINUS_INFTY);
         else
           _info = (_info | SRC_AT_Y_PLUS_INFTY | TRG_AT_Y_PLUS_INFTY);
@@ -246,10 +246,10 @@ public:
     _info = (_info | IS_CONTINUOUS);
     _info = (_info | IS_VALID);
 
-  }  
+  }
 
   //---------------------------------------------------------------------------
-  //Constructor of a polynomial ray, defined by y = p(x), 
+  //Constructor of a polynomial ray, defined by y = p(x),
   //for x_s <= x if the ray is directed to the right, or
   //for x_s >= x if it is directed to the left.
   //param pcoeffs The rational coefficients of the polynomial p(x).
@@ -274,7 +274,7 @@ public:
                                                                  pcoeffs.end()));
     Integer denom_int;
     typename FT_poly_rat_1::Decompose()(num_rat, _numer, denom_int);
-    
+
     _init(_numer, denom_int, x_s, dir_right, cache);
   }
 
@@ -282,7 +282,7 @@ public:
              const Algebraic_real_1& x_s, bool dir_right,const Cache& cache)
   {
     CGAL_precondition(!CGAL::is_zero(Q_int));
-    //set rational function 
+    //set rational function
     Polynomial_1 Q = typename Polynomial_traits_1::Construct_polynomial()(Q_int);
     _f = get_rational_function(P,Q,cache);
 
@@ -334,7 +334,7 @@ public:
       // In the case of a constant polynomial it is possible to set a finite
       // y-coordinate for the target point.
       // x coordinate is 0 although in practice is +-oo
-      _pt = Algebraic_point_2(get_rational_function(P, Q, cache), 
+      _pt = Algebraic_point_2(get_rational_function(P, Q, cache),
                               Algebraic_real_1());
     }
 
@@ -362,23 +362,23 @@ public:
                         const Algebraic_real_1& x_s,const Algebraic_real_1& x_t,
                         const Cache& cache):
     _info(0)
-  {    
+  {
     // Set the numerator & denominator polynomials.
     Polynomial_1 _numer;
     Poly_rat_1 num_rat(typename PT_rat_1::Construct_polynomial()(pcoeffs.begin(),
                                                                  pcoeffs.end()));
     Integer denom_int;
     typename FT_poly_rat_1::Decompose()(num_rat, _numer, denom_int);
-    
+
     _init(_numer, denom_int, x_s, x_t, cache);
-  }    
+  }
 
   void _init(const Polynomial_1& P,const Integer& Q_int,
              const Algebraic_real_1& x_s,const Algebraic_real_1& x_t,
              const Cache& cache)
   {
     CGAL_precondition(!CGAL::is_zero(Q_int));
-    //set rational function 
+    //set rational function
     Polynomial_1 Q = typename Polynomial_traits_1::Construct_polynomial()(Q_int);
     _f = get_rational_function(P, Q, cache);
 
@@ -393,7 +393,7 @@ public:
     // Set the endpoints.
     _ps=Algebraic_point_2(_f,x_s);
     _pt=Algebraic_point_2(_f,x_t);
-    
+
     // Mark that the arc is continuous and valid.
     _info = (_info | IS_CONTINUOUS);
     _info = (_info | IS_VALID);
@@ -431,16 +431,16 @@ public:
 
     _init(_numer,_denom,cache);
   }
-  void _init(const Polynomial_1& P_, const Polynomial_1& Q_, const Cache& cache) 
+  void _init(const Polynomial_1& P_, const Polynomial_1& Q_, const Cache& cache)
   {
     CGAL_precondition(!CGAL::is_zero(Q_));
-    //set rational function 
+    //set rational function
     // Set the numerator & denominator polynomials.
 
     Polynomial_1 P;
     Polynomial_1 Q;
     _canonicalize(P_, Q_, P, Q);
-                     
+
     _f = get_rational_function(P, Q, cache);
 
     // Mark that the endpoints of the rational functions are unbounded (the
@@ -449,7 +449,7 @@ public:
     _info = (_info | TRG_AT_X_PLUS_INFTY);
     _info = (_info | IS_DIRECTED_RIGHT);
 
-    
+
     // Analyze the bahaviour of the rational function at x = -oo (the source).
     Algebraic_real_1          y0;
     const Arr_parameter_space inf_s = _analyze_at_minus_infinity(P, Q, y0);
@@ -478,7 +478,7 @@ public:
 
   //---------------------------------------------------------------------------
   //Constructor of a ray of a rational function, defined by y = p(x)/q(x),
-  //for x_s <= x if the ray is directed to the right, or 
+  //for x_s <= x if the ray is directed to the right, or
   //for x_s >= x if the ray is directed to the left.
   //param pcoeffs The rational coefficients of the polynomial p(x).
   //param qcoeffs The rational coefficients of the polynomial q(x).
@@ -517,10 +517,10 @@ public:
 
   void _init(const Polynomial_1& P_, const Polynomial_1& Q_,
              const Algebraic_real_1& x_s, bool dir_right,
-             const Cache& cache) 
+             const Cache& cache)
   {
     CGAL_precondition(!CGAL::is_zero(Q_));
-    //set rational function 
+    //set rational function
     Polynomial_1 P;
     Polynomial_1 Q;
     _canonicalize(P_,Q_,P,Q);
@@ -538,7 +538,7 @@ public:
     }
 
 
-    //The source point has a bounded x-coordinate. 
+    //The source point has a bounded x-coordinate.
     _ps = Algebraic_point_2(_f, x_s);
     //check if the source point lies next to a pole.
     if (typename Algebraic_kernel::Sign_at_1()(Q, x_s) != CGAL::ZERO)
@@ -569,8 +569,8 @@ public:
       // The target point is at x = -oo.
       inf_t =_analyze_at_minus_infinity(P, Q, y0);
     }
-  
-    if (inf_t == ARR_BOTTOM_BOUNDARY) 
+
+    if (inf_t == ARR_BOTTOM_BOUNDARY)
       _info = (_info | TRG_AT_Y_MINUS_INFTY);
     else if (inf_t == ARR_TOP_BOUNDARY)
       _info = (_info | TRG_AT_Y_PLUS_INFTY);
@@ -625,7 +625,7 @@ public:
              const Cache& cache)
   {
     CGAL_precondition(!CGAL::is_zero(Q_));
-    //set rational function 
+    //set rational function
     Polynomial_1 P;
     Polynomial_1 Q;
     _canonicalize(P_, Q_, P, Q);
@@ -653,7 +653,7 @@ public:
       std::pair<CGAL::Sign, CGAL::Sign>  signs = _analyze_near_pole(x_s);
       const CGAL::Sign sign_s =
         ((_info & IS_DIRECTED_RIGHT) != 0) ? signs.second : signs.first;
-   
+
       if (sign_s == CGAL::NEGATIVE)
         _info = (_info | SRC_AT_Y_MINUS_INFTY);
       else
@@ -692,7 +692,7 @@ public:
   //-----------------------------
   // Accessing the arc properties
   //-----------------------------
- 
+
   //-----------------------------------------------------------------
   //Get the numerator polynomial of the underlying rational function.
   const Polynomial_1& numerator() const
@@ -918,7 +918,7 @@ public:
 //       ARR_INTERIOR;
 //     Algebraic_real_1 left,right;
 //     if (left_parameter_space == ARR_INTERIOR)
-//       left = 
+//       left =
 //         (left_parameter_space_in_x()!= ARR_INTERIOR)     ? arc.left_x():
 //         (arc.left_parameter_space_in_x()!= ARR_INTERIOR) ? left_x() :
 //         (arc.left_x() < left_x())                 ? left_x() :
@@ -930,7 +930,7 @@ public:
 //         arc.right_x();
 //     if (left > right)
 //       return false;
-  
+
 //     //check if the base functions are equal
 //     if (_has_same_base (arc))
 //       return true;
@@ -938,15 +938,15 @@ public:
 //         get_rational_function(arc._numer,arc._denom));
 //     return rat_pair.is_intersecting_in_range(left_parameter_space,left,right_parameter_space,right);
 //   }
-  
+
   //--------------------------------------------------------
-  //Split the arc into two at a given pole. 
-  //The function returns the sub-arc to the left of the pole 
+  //Split the arc into two at a given pole.
+  //The function returns the sub-arc to the left of the pole
   //and sets (*this) to be the right sub-arc.
   //param x0 The x-coordinate of the pole.
   //precondition x0 lies in the interior of the arc.
   //return The sub-arc to the left of the pole.
-   
+
   Self split_at_pole(const Algebraic_real_1& x0)
   {
     // Analyze the behaviour of the function near the given pole.
@@ -986,7 +986,7 @@ public:
         c1._info = (c1._info | SRC_AT_Y_MINUS_INFTY);
       else
         c1._info = (c1._info | SRC_AT_Y_PLUS_INFTY);
-  
+
       this->_pt = p0;
       this->_info = (this->_info & ~TRG_INFO_BITS);
       if (sign_right == CGAL::NEGATIVE)
@@ -1000,11 +1000,11 @@ public:
 
     return (c1);
   }
-  
+
   //---------------
   //name Predicates
   //---------------
- 
+
 
   //---------------------------------------------------------------------------
   //Get the relative position of the point with respect to the rational arc.
@@ -1028,7 +1028,7 @@ public:
     return rat_pair.compare_f_g_at(p.x());
   }
   //---------------------------------------------------------------------------
-  //Compare the x-coordinate of a vertical asymptote of the arc 
+  //Compare the x-coordinate of a vertical asymptote of the arc
   //(one of its ends) and the given point.
   Comparison_result compare_end(Arr_curve_end ce,
                                 const Algebraic_point_2& p) const
@@ -1061,7 +1061,7 @@ public:
 
     return ((ce == ARR_MIN_END) ?  LARGER : SMALLER);
   }
-  
+
   //------------------------------------------------------------------
   //Compare the x-coordinate of a vertical asymptotes of the two arcs.
   //approaching from the same direction
@@ -1095,7 +1095,7 @@ public:
     if (_has_same_base(arc))
       return CGAL::EQUAL;
     Rational_function_pair rat_pair = get_rational_pair(_f,arc._f,cache);
-    
+
     CGAL::Comparison_result comp_f_g_y =
       rat_pair.compare_f_g_at(x,ce == ARR_MAX_END ?
                               CGAL::NEGATIVE : CGAL::POSITIVE);
@@ -1112,8 +1112,8 @@ public:
   }
 
   //------------------------------------------------------------------
-  //Compare the x-coordinate of a vertical asymptotes of the two arcs.   
-  Comparison_result compare_ends(Arr_curve_end ind1,const Self& arc, 
+  //Compare the x-coordinate of a vertical asymptotes of the two arcs.
+  Comparison_result compare_ends(Arr_curve_end ind1,const Self& arc,
                                  Arr_curve_end ind2, const Cache& cache) const
   {
     // Get the x-coordinates of the first vertical asymptote.
@@ -1179,13 +1179,13 @@ public:
     if (_has_same_base(arc))
       return CGAL::EQUAL;
     Rational_function_pair rat_pair = get_rational_pair(_f,arc._f,cache);
-    
+
     CGAL::Comparison_result comp_f_g_y =
       rat_pair.compare_f_g_at(x1, ind1 == ARR_MAX_END ?
                               CGAL::NEGATIVE : CGAL::POSITIVE);
     if( ind1 == ARR_MAX_END)
     {
-      CGAL_postcondition(ind2 == ARR_MAX_END); 
+      CGAL_postcondition(ind2 == ARR_MAX_END);
       CGAL_postcondition(right_parameter_space_in_y() ==
                          arc.right_parameter_space_in_y());
       return (right_parameter_space_in_y() == ARR_BOTTOM_BOUNDARY) ?
@@ -1193,7 +1193,7 @@ public:
     }
     else
     {
-      CGAL_postcondition(ind2 == ARR_MIN_END); 
+      CGAL_postcondition(ind2 == ARR_MIN_END);
       CGAL_postcondition(left_parameter_space_in_y() ==
                          arc.left_parameter_space_in_y());
       return (left_parameter_space_in_y() == ARR_BOTTOM_BOUNDARY) ?
@@ -1202,7 +1202,7 @@ public:
   }
 
   //------------------------------------------------------------------
-  // Compare the slopes of the arc with another given arc 
+  // Compare the slopes of the arc with another given arc
   // at their given intersection point.
   // param cv The given arc.
   // param p The intersection point.
@@ -1215,7 +1215,7 @@ public:
   // deleted!!!
 
   //------------------------------------------------------------------
-  // Compare the two arcs at a given intersection point 
+  // Compare the two arcs at a given intersection point
   // param arc The given arc
   // param p  The intersection point
   // param to_left to check to the left or to the right of intersection point
@@ -1370,8 +1370,8 @@ public:
              left_parameter_space_in_y() == ARR_INTERIOR &&
              arc.right_parameter_space_in_x() == ARR_INTERIOR &&
              arc.right_parameter_space_in_y() == ARR_INTERIOR &&
-             //CGAL::equal(left_x(), arc.right_x())));  
-             (left_x() == arc.right_x())));  
+             //CGAL::equal(left_x(), arc.right_x())));
+             (left_x() == arc.right_x())));
   }
   //------------------------------------
   //Constructions of points and curves
@@ -1401,16 +1401,16 @@ public:
 
     if ((_info & IS_CONTINUOUS) != 0)
       arc._info = (arc._info | IS_CONTINUOUS);
-     
+
     return (arc);
   }
 
   //------------------------
   // Print the rational arc.
   std::ostream& print(std::ostream& os) const
-  {    
+  {
     // Print y as a rational function of x.
-    os << "y = (";    
+    os << "y = (";
     Base_rational_arc_ds_1::print_polynomial(os, this->numerator(), 'x');
     os << ") / (";
     Base_rational_arc_ds_1::print_polynomial(os, this->denominator(), 'x');
@@ -1418,7 +1418,7 @@ public:
 
     // Print the definition range.
     Arr_parameter_space      inf_x = source_parameter_space_in_x();
-    if (inf_x == ARR_LEFT_BOUNDARY) 
+    if (inf_x == ARR_LEFT_BOUNDARY)
       os << "(-oo";
     else if (inf_x == ARR_RIGHT_BOUNDARY)
       os << "(+oo";
@@ -1430,7 +1430,7 @@ public:
     os << ", ";
 
     inf_x = target_boundary_in_x();
-    if (inf_x == ARR_LEFT_BOUNDARY) 
+    if (inf_x == ARR_LEFT_BOUNDARY)
       os << "-oo)";
     else if (inf_x == ARR_RIGHT_BOUNDARY)
       os << "+oo)";
@@ -1444,7 +1444,7 @@ public:
 
 protected:
 
- 
+
   //-------------------------------
   //Auxiliary (protected) functions.
   //-------------------------------
@@ -1475,7 +1475,7 @@ protected:
     }
     return;
   }
-  
+
   //--------------------------------------------------------------------------
   // Check if the given x-value is in the x-range of the arc.
   // param x The x-value.
@@ -1483,7 +1483,7 @@ protected:
   //                       source point.
   // param eq_trg Output: Is this value equal to the x-coordinate of the
   //                       target point.
-   
+
   bool _is_in_x_range(const Algebraic_real_1& x, bool& eq_src,
                       bool& eq_trg) const
   {
@@ -1503,29 +1503,29 @@ protected:
 
         if (res1 == SMALLER)
           return false;
-         
+
         if (res1 == EQUAL)
         {
           eq_src = true;
           return true;
         }
       }
-       
+
       // Compare to the right endpoint (the target in this case).
       if ((_info & TRG_AT_X_PLUS_INFTY) != 0)
         return true;
 
       const Comparison_result  res2 = CGAL::compare(x, _pt.x());
-       
+
       if (res2 == LARGER)
         return false;
-        
+
       if (res2 == EQUAL)
         eq_trg = true;
 
       return true;
     }
-     
+
     // Compare to the left endpoint (the target in this case).
     if ((_info & TRG_AT_X_MINUS_INFTY) != 0)
     {
@@ -1537,31 +1537,31 @@ protected:
 
       if (res1 == SMALLER)
         return false;
-         
+
       if (res1 == EQUAL)
       {
         eq_trg = true;
         return true;
       }
     }
-       
+
     // Compare to the right endpoint (the source in this case).
     if ((_info & SRC_AT_X_PLUS_INFTY) != 0)
       return true;
 
     const Comparison_result  res2 = CGAL::compare(x, _ps.x());
-       
+
     if (res2 == LARGER)
       return false;
-        
+
     if (res2 == EQUAL)
       eq_src = true;
-     
+
     return true;
   }
 
   //----------------------------------------------------------
-  // Check if the given x-value is in the x-range of the arc, 
+  // Check if the given x-value is in the x-range of the arc,
   // excluding its open ends.
   bool _is_in_true_x_range(const Algebraic_real_1& x) const
   {
@@ -1582,12 +1582,12 @@ protected:
     // If we reached here, the value is in the true x-range of the arc.
     return true;
   }
- 
+
   //------------------------------------------------------------------------
   // Check if the underlying rational function is the same in the given arc.
   //  param arc The given arc.
   //   return true if arc's underlying rational function is the same
-  //       as of *this; 
+  //       as of *this;
   //   false otherwise.
 
   bool _has_same_base(const Self& arc) const
@@ -1602,10 +1602,10 @@ protected:
   //    {
   //      bool same_source(true);
   //      bool same_target(true);
-  //      if (  (this->source_parameter_space_in_x () == ARR_INTERIOR) && 
+  //      if (  (this->source_parameter_space_in_x () == ARR_INTERIOR) &&
   //          (this->source_parameter_space_in_y () == ARR_INTERIOR) )
   //        same_source = (this->source() == arc.source());
-  //      if (  (this->target_boundary_in_x () == ARR_INTERIOR) && 
+  //      if (  (this->target_boundary_in_x () == ARR_INTERIOR) &&
   //          (this->target_boundary_in_y () == ARR_INTERIOR) )
   //        same_target = (this->target() == arc.target());
   //      return (same_source && same_target);
@@ -1674,7 +1674,7 @@ protected:
     // Get the leading coefficients.
     Integer p_lead(CGAL::leading_coefficient(P));
     Integer q_lead(CGAL::leading_coefficient(Q));
-     
+
     if (deg_p == deg_q)
       {
         // We have a horizontal asymptote.
@@ -1705,11 +1705,11 @@ protected:
     bool                                           eq_src, eq_trg;
     typename std::list<Algebraic_real_1>::const_iterator  x_iter;
 
-    //solve for roots without caring for multiplicity 
+    //solve for roots without caring for multiplicity
     //hence the usage of the bool var
 
     std::copy(_f.poles().begin(),_f.poles().end(),std::back_inserter (q_roots));
-  
+
     // Go over the roots and check whether they lie in the x-range of the arc.
     for (x_iter = q_roots.begin(); x_iter != q_roots.end(); ++x_iter)
     {
@@ -1735,7 +1735,7 @@ protected:
   }
 
   //---------------------------------------------------------------------
-  // Check whether the arc is continuous. 
+  // Check whether the arc is continuous.
   bool _is_continuous()
   {
     // Compute the roots of the denominator polynomial, and make sure
@@ -1771,7 +1771,7 @@ protected:
   //{
   //  // Get the degree.
   //  const int    deg = CGAL::degree(poly);
-  // 
+  //
   //  Integer     coeff;
   //  CGAL::Sign  sgn;
   //  int         k;
@@ -1783,7 +1783,7 @@ protected:
   //    }
 
   //  for (k = deg; k >= 0; k--)
-  //    { 
+  //    {
   //      //coeff = pt::Get_coefficient()(poly, k);
   //      coeff = CGAL::get_coefficient(poly, k);
   //
@@ -1795,7 +1795,7 @@ protected:
   //        os << " - " << -coeff;
   //      else
   //        continue;
-  //   
+  //
   //      if (k > 1)
   //        os << '*' << var << '^' << k;
   //      else if (k == 1)
@@ -1810,7 +1810,7 @@ protected:
 //-------------------------------
 //! Exporter for rational arcs.
 template <typename Algebraic_kernel_>
-std::ostream& operator<<(std::ostream& os, 
+std::ostream& operator<<(std::ostream& os,
                          const Base_rational_arc_d_1<Algebraic_kernel_> & arc)
 {
   return (arc.print(os));
@@ -1829,12 +1829,12 @@ public:
 
 public:
   typedef Algebraic_kernel_                             Algebraic_kernel;
-  
+
   typedef Continuous_rational_arc_d_1<Algebraic_kernel> Self;
   typedef Base_rational_arc_d_1<Algebraic_kernel>       Base;
 
   typedef typename Base::Integer                        Integer;
-  typedef typename Base::Rational                       Rational; 
+  typedef typename Base::Rational                       Rational;
   typedef typename Base::Algebraic_real_1               Algebraic_real_1;
   typedef typename Base::Algebraic_point_2              Algebraic_point_2;
   typedef typename Base::Polynomial_1                   Polynomial_1;
@@ -1893,13 +1893,13 @@ public:
    *                  or to the left (to -oo).
    */
   Continuous_rational_arc_d_1(const Polynomial_1& P,
-                              const Algebraic_real_1& x_s, 
+                              const Algebraic_real_1& x_s,
                               bool dir_right, const Cache& cache) :
     Base(P, x_s, dir_right,cache)
   {}
 
   Continuous_rational_arc_d_1(const Rat_vector& pcoeffs,
-                              const Algebraic_real_1& x_s, 
+                              const Algebraic_real_1& x_s,
                               bool dir_right, const Cache& cache) :
     Base(pcoeffs, x_s, dir_right,cache)
   {}
@@ -1990,7 +1990,7 @@ public:
   }
 
   /*!
-   * Constructor of a bounded rational arc, defined by y = p(x)/q(x), 
+   * Constructor of a bounded rational arc, defined by y = p(x)/q(x),
    * where: x_min <= x <= x_max.
    * \param pcoeffs The rational coefficients of the polynomial p(x).
    * \param qcoeffs The rational coefficients of the polynomial q(x).
@@ -2028,7 +2028,7 @@ public:
 
   /// \name Constructions of points and curves.
   //@{
-      
+
   /*!
    * Compute the intersections with the given arc.
    * \param arc The given intersecting arc.
@@ -2050,12 +2050,12 @@ public:
     }
 
     if (this->_has_same_base(arc))
-    {      
+    {
       // Get the left and right endpoints of (*this) and their information
       // bits.
-      const Algebraic_point_2&   left1 = (this->is_directed_right() ? 
+      const Algebraic_point_2&   left1 = (this->is_directed_right() ?
                                           this->_ps : this->_pt);
-      const Algebraic_point_2&   right1 = (this->is_directed_right() ? 
+      const Algebraic_point_2&   right1 = (this->is_directed_right() ?
                                            this->_pt : this->_ps);
       int      info_left1, info_right1;
 
@@ -2135,7 +2135,7 @@ public:
       Arr_parameter_space  inf_r2 = arc.right_parameter_space_in_x();
       Algebraic_point_2    p_right;
       int                  info_right;
-      
+
       if (inf_r1 == ARR_INTERIOR && inf_r2 == ARR_INTERIOR)
       {
         // Let p_right be the rightmost of the two right endpoints.
@@ -2182,9 +2182,9 @@ public:
         {
           // We have a single overlapping point. Just make sure this point
           // is not at y = -/+ oo.
-          if (info_left && 
+          if (info_left &&
               (this->SRC_AT_Y_MINUS_INFTY | this->SRC_AT_Y_PLUS_INFTY) == 0 &&
-              info_right && 
+              info_right &&
               (this->SRC_AT_Y_MINUS_INFTY | this->SRC_AT_Y_PLUS_INFTY) == 0)
           {
             Intersection_point_2  ip(p_left, 0);
@@ -2205,13 +2205,13 @@ public:
       overlap_arc._pt = p_right;
 
       overlap_arc._info = ((info_left) | (info_right << 4) |
-                           this->IS_DIRECTED_RIGHT | this->IS_CONTINUOUS | 
+                           this->IS_DIRECTED_RIGHT | this->IS_CONTINUOUS |
                            this->IS_VALID);
 
       *oi++ = make_object(overlap_arc);
       return (oi);
     }
-    
+
     // We wish to find the intersection points between:
     //
     //   y = p1(x)/q1(x)    and     y = p2(x)/q2(x)
@@ -2221,7 +2221,7 @@ public:
 
     Rational_function_pair rat_pair =
       this->get_rational_pair(this->_f, arc._f, cache);
-    
+
     typename Algebraic_vector::const_iterator  x_iter;
     typename Multiplicity_vector::const_iterator  m_iter;
 
@@ -2247,7 +2247,7 @@ public:
 
     return (oi);
   }
-  
+
   /*!
    * Split the arc into two at a given split point.
    * \param p The split point.
@@ -2321,7 +2321,7 @@ public:
             this->_info = (this->_info | this->TRG_AT_X_MINUS_INFTY);
           else if (arc.right_parameter_space_in_x() == ARR_RIGHT_BOUNDARY)
             this->_info = (this->_info | this->TRG_AT_X_PLUS_INFTY);
-          
+
           if (arc.right_parameter_space_in_y() == ARR_BOTTOM_BOUNDARY)
             this->_info = (this->_info | this->TRG_AT_Y_MINUS_INFTY);
           else if (arc.right_parameter_space_in_y() == ARR_TOP_BOUNDARY)
@@ -2410,7 +2410,7 @@ public:
   }
   //@}
 
-  
+
 };
 
 //*! \class Rational_arc_2
@@ -2422,19 +2422,19 @@ class Rational_arc_d_1 : public Base_rat
 {
 public:
   typedef Algebraic_kernel_                             Algebraic_kernel;
-  
+
   typedef Rational_arc_d_1<Algebraic_kernel>            Self;
   typedef Base_rational_arc_d_1<Algebraic_kernel>       Base;
   typedef Continuous_rational_arc_d_1<Algebraic_kernel> Continuous_arc;
 
   typedef typename Base::Integer                        Integer;
-  typedef typename Base::Rational                       Rational; 
+  typedef typename Base::Rational                       Rational;
   typedef typename Base::Algebraic_real_1               Algebraic_real_1;
   typedef typename Base::Algebraic_point_2              Algebraic_point_2;
   typedef typename Base::Polynomial_1                   Polynomial_1;
- 
+
   typedef typename Base::Rat_vector                     Rat_vector;
- 
+
   typedef typename Base::Cache                          Cache;
 
   /// \name Constrcution methods.
@@ -2468,12 +2468,12 @@ public:
    * \param dir_right Is the ray directed to the right (to +oo)
    *                  or to the left (to -oo).
    */
-  Rational_arc_d_1(const Polynomial_1& P, const Algebraic_real_1& x_s, 
+  Rational_arc_d_1(const Polynomial_1& P, const Algebraic_real_1& x_s,
                    bool dir_right, const Cache& cache) :
     Base(P, x_s, dir_right,cache)
   {}
 
-  Rational_arc_d_1(const Rat_vector& pcoeffs, const Algebraic_real_1& x_s, 
+  Rational_arc_d_1(const Rat_vector& pcoeffs, const Algebraic_real_1& x_s,
                    bool dir_right, const Cache& cache) :
     Base(pcoeffs, x_s, dir_right,cache)
   {}
@@ -2486,12 +2486,12 @@ public:
    * \param x_t The x-coordinate of the target point.
    * \pre The two x-coordinates must not be equal.
    */
-  Rational_arc_d_1(const Polynomial_1& P, const Algebraic_real_1& x_s, 
+  Rational_arc_d_1(const Polynomial_1& P, const Algebraic_real_1& x_s,
                    const Algebraic_real_1& x_t, const Cache& cache) :
     Base(P, x_s, x_t, cache)
   {}
 
-  Rational_arc_d_1(const Rat_vector& pcoeffs, const Algebraic_real_1& x_s, 
+  Rational_arc_d_1(const Rat_vector& pcoeffs, const Algebraic_real_1& x_s,
                    const Algebraic_real_1& x_t,const Cache& cache) :
     Base(pcoeffs, x_s, x_t, cache)
   {}
@@ -2529,9 +2529,9 @@ public:
                    const Algebraic_real_1& x_s, bool dir_right, const Cache& cache) :
     Base(pcoeffs, qcoeffs, x_s, dir_right, cache)
   {}
-  
+
   /*!
-   * Constructor of a bounded rational arc, defined by y = p(x)/q(x), 
+   * Constructor of a bounded rational arc, defined by y = p(x)/q(x),
    * where: x_min <= x <= x_max.
    * \param pcoeffs The rational coefficients of the polynomial p(x).
    * \param qcoeffs The rational coefficients of the polynomial q(x).
diff -pruN 5.0.2-3/include/CGAL/Arr_rat_arc/Rational_function_canonicalized_pair.h 5.0.3-1/include/CGAL/Arr_rat_arc/Rational_function_canonicalized_pair.h
--- 5.0.2-3/include/CGAL/Arr_rat_arc/Rational_function_canonicalized_pair.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_rat_arc/Rational_function_canonicalized_pair.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Rational_function_canonicalized_pair.h $
-// $Id: Rational_function_canonicalized_pair.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Rational_function_canonicalized_pair.h $
+// $Id: Rational_function_canonicalized_pair.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Oren Salzman <orenzalz@post.tau.ac.il >
@@ -43,25 +43,25 @@ public:
   typedef typename Base::Solve_1                        Solve_1;
   typedef typename Base::Bound                          Bound;
   typedef typename Base::Coefficient                    Coefficient;
- 
+
 public:
-  Rational_function_canonicalized_pair_rep(const Rational_function& f, 
+  Rational_function_canonicalized_pair_rep(const Rational_function& f,
                                            const Rational_function& g,
                                            Algebraic_kernel_d_1* ak_ptr)
     :_f(f),_g(g),_ak_ptr(ak_ptr)
   {
     CGAL_precondition(_ak_ptr != nullptr);
     //canonicalized representation
-    if ( !(f.id() < g.id()) ) 
+    if ( !(f.id() < g.id()) )
       std::swap(_f,_g);
     _resultant  = (_f.numer() * _g.denom() - _f.denom() * _g.numer());
 
     //f and g are not the same...
     CGAL_precondition(CGAL::is_zero(_resultant) == false);
-                
-    Solve_1 solve_1(_ak_ptr->solve_1_object());   
+
+    Solve_1 solve_1(_ak_ptr->solve_1_object());
     Root_multiplicity_vector rm_vec;
-    
+
 #if 1
     solve_1(_resultant,std::back_inserter(rm_vec));
 #else
@@ -81,9 +81,9 @@ public:
 
     _roots.reserve(rm_vec.size());
     _multiplicities.reserve(rm_vec.size());
-  
+
     for (typename Root_multiplicity_vector::iterator it = rm_vec.begin();
-         it != rm_vec.end() ; 
+         it != rm_vec.end() ;
          ++it)
     {
       _roots.push_back(it->first);
@@ -100,7 +100,7 @@ public:
     std::merge(tmp.begin(), tmp.end(),
                _roots.begin(), _roots.end(),
                std::back_inserter(_event_roots));
-  
+
     //remove duplicate entries
     typename Algebraic_vector::iterator new_end,old_end;
     new_end = std::unique(_event_roots.begin(), old_end=_event_roots.end());
@@ -128,16 +128,16 @@ public:
       _g.pole_multiplicities().begin();
     typename Algebraic_vector ::const_iterator it_r_root = _roots.begin();
     typename Multiplicity_vector::const_iterator it_r_mult =
-      _multiplicities.begin() ; 
-    while ( (it_f_pole != _f.poles().end()) || 
-        (it_g_pole != _g.poles().end()) || 
+      _multiplicities.begin() ;
+    while ( (it_f_pole != _f.poles().end()) ||
+        (it_g_pole != _g.poles().end()) ||
         (it_r_root != _roots.end()))
     {
       //std::cout << "_f._poles.size() " << _f._poles.size() <<std::endl;
       //std::cout << "_g._poles.size() " << _g._poles.size()<< std::endl;
       //std::cout << "_roots.size()    " << _roots.size() << std::endl;
       //if current event is only a pole of f
-      if ((it_f_pole != _f.poles().end())         && 
+      if ((it_f_pole != _f.poles().end())         &&
           ((it_g_pole == _g.poles().end()) || (*it_f_pole < *it_g_pole)) &&
           ((it_r_root == _roots.end()) || (*it_f_pole < *it_r_root)))
       {
@@ -148,7 +148,7 @@ public:
         ++it_f_mult;
       }
       //if current event is only a pole of g
-      else if ((it_g_pole != _g.poles().end())         && 
+      else if ((it_g_pole != _g.poles().end())         &&
                ((it_f_pole == _f.poles().end()) || (*it_g_pole < *it_f_pole)) &&
                ((it_r_root == _roots.end()) || (*it_g_pole < *it_r_root)))
       {
@@ -159,7 +159,7 @@ public:
         ++it_g_mult;
       }
       //if current event is only a pole of r
-      else if ((it_r_root != _roots.end())         && 
+      else if ((it_r_root != _roots.end())         &&
                ((it_f_pole == _f.poles().end()) || (*it_r_root < *it_f_pole)) &&
                ((it_g_pole == _g.poles().end()) || (*it_r_root < *it_g_pole)))
       {
@@ -170,10 +170,10 @@ public:
         ++it_r_mult;
       }
       //if current event is a pole of f g and r
-      else if ( (it_f_pole != _f.poles().end()) && 
-                (it_g_pole != _g.poles().end()) && 
+      else if ( (it_f_pole != _f.poles().end()) &&
+                (it_g_pole != _g.poles().end()) &&
                 (it_r_root != _roots.end()) &&
-                (*it_r_root == *it_f_pole)    && 
+                (*it_r_root == *it_f_pole)    &&
                 (*it_r_root == *it_g_pole))
       {
         //both functions switch signs
@@ -206,19 +206,19 @@ public:
     CGAL_postcondition_code(std::vector<bool> tmp_is_above =
                             compute_is_above_explicitly();
                             );
-    CGAL_postcondition(_is_above == tmp_is_above);   
+    CGAL_postcondition(_is_above == tmp_is_above);
   }
 
   Comparison_result compare_f_g_at(const Algebraic_real_1& x,
                                    CGAL::Sign epsilon = CGAL::ZERO) const
   {
-    //f and g must be different 
+    //f and g must be different
     CGAL_precondition(!CGAL::is_zero(_resultant));
 
-    //find interval 
+    //find interval
     typename Algebraic_vector::const_iterator iter =
       std::lower_bound(_event_roots.begin(), _event_roots.end(),x);
-  
+
     //case of a value larger than largest root
     if (iter == _event_roots.end())
       return (_is_above.back() ? CGAL:: LARGER : CGAL::SMALLER);
@@ -226,12 +226,12 @@ public:
     typename Algebraic_vector::iterator::difference_type dist =
       iter - _event_roots.begin();
 
-    //if x is not a root, ignore epsilons 
+    //if x is not a root, ignore epsilons
     if (*iter != x){
       return (_is_above[dist] ? CGAL:: LARGER : CGAL::SMALLER);
     }
 
-    //x is a root 
+    //x is a root
     if (epsilon == CGAL::ZERO){
       CGAL_precondition(_f.poles().end() ==
                         std::find(_f.poles().begin(), _f.poles().end(),x));
@@ -239,7 +239,7 @@ public:
                         std::find(_g.poles().begin(), _g.poles().end(),x));
       return (CGAL::EQUAL);
     }
-    
+
     if (epsilon == CGAL::NEGATIVE)
       return (_is_above[dist] ? CGAL:: LARGER : CGAL::SMALLER);
     else // CGAL::POSITIVE
@@ -249,7 +249,7 @@ public:
   {
     CGAL_precondition((boundary == ARR_LEFT_BOUNDARY) ||
         (boundary == ARR_RIGHT_BOUNDARY) );
-  
+
     //f and g are the same...
     if (CGAL::is_zero(_resultant))
       return CGAL::EQUAL;
@@ -270,32 +270,32 @@ public:
 
     //get left index
     typename Algebraic_vector::const_iterator left_index =
-      (left_parameter_space == ARR_LEFT_BOUNDARY) ? 
+      (left_parameter_space == ARR_LEFT_BOUNDARY) ?
       _event_roots.begin():
       std::lower_bound(_event_roots.begin(), _event_roots.end(),left);
     //check if intersect at left index
-    if (*left_index == left) 
+    if (*left_index == left)
       return true;
 
     //get right index
     typename Algebraic_vector::const_iterator right_index =
-      (right_parameter_space == ARR_RIGHT_BOUNDARY) ? 
+      (right_parameter_space == ARR_RIGHT_BOUNDARY) ?
       _event_roots.begin():
       std::lower_bound(_event_roots.begin(), _event_roots.end(),right);
     //check if intersect at right index
-    if (*right_index == right) 
+    if (*right_index == right)
       return true;
-  
+
     //check if indices are the same
     return (left_index == right_index);
   }
 
-  const Rational_function& f() const 
+  const Rational_function& f() const
   {
     return _f;
   }
 
-  const Rational_function& g() const 
+  const Rational_function& g() const
   {
     return _g;
   }
@@ -315,7 +315,7 @@ private:
   {
     bool r = _get_is_above_near_minus_infinity();
     CGAL_postcondition(r == __get_is_above_near_minus_infinity());
-    return r; 
+    return r;
   }
 
   bool _get_is_above_near_minus_infinity()
@@ -337,8 +337,8 @@ private:
           (sign == CGAL::POSITIVE) ? false   :
           (_f.sign_near_minus_infinity() == CGAL::POSITIVE);  // _g == zero;
       }
-            
-    //both have the same degree difference, 
+
+    //both have the same degree difference,
     //check who's leading coeeficient ratio is larger
     Coefficient lead_coeff_ratio =
       CGAL::abs(CGAL::leading_coefficient(_f.numer())) *
@@ -374,11 +374,11 @@ private:
     //
     //  numer_f * denom _g - numer_f * denom _g
     //f-g= -------------------------------------- at b
-    //    denom _f  * denom _g 
+    //    denom _f  * denom _g
 
     //TODO: unnescecary construction of real
     Algebraic_real_1 x(_ak_ptr->construct_algebraic_real_1_object()(b));
-  
+
     CGAL::Sign   numer = _ak_ptr->sign_at_1_object()(_resultant, x);
     CGAL::Sign   denom_f = _ak_ptr->sign_at_1_object()(_f.denom(),x);
     CGAL::Sign   denom_g = _ak_ptr->sign_at_1_object()(_g.denom(),x);
@@ -395,22 +395,22 @@ private:
     if (_event_roots.size()== 0)
     {
       Bound b = 1; //all bound are legal, choose 1 for simplicity
-      tmp_is_above.push_back(is_above_at(b));  
+      tmp_is_above.push_back(is_above_at(b));
       return tmp_is_above;
     }
-  
-    tmp_is_above.reserve(_event_roots.size()+1);  
+
+    tmp_is_above.reserve(_event_roots.size()+1);
     //left boundary
     Bound b  = (_ak_ptr->approximate_relative_1_object()
       (_event_roots.front(),0)).first - 1;  //lower bound of first root
-    tmp_is_above.push_back(is_above_at(b));  
-  
+    tmp_is_above.push_back(is_above_at(b));
+
     //mid intervals
     typename Algebraic_vector::size_type i;
     for (i = 0; i < _event_roots.size()-1; ++i)
     {
       b = _ak_ptr->bound_between_1_object()(_event_roots[i],_event_roots[i+1]);
-      tmp_is_above.push_back(is_above_at(b));      
+      tmp_is_above.push_back(is_above_at(b));
     }
 
     //right boundary
@@ -418,8 +418,8 @@ private:
     tmp_is_above.push_back(is_above_at(b));
     return tmp_is_above;
   }
-   
-private:   
+
+private:
   Rational_function _f,_g;
   Polynomial_1  _resultant;
   Algebraic_vector _roots;
@@ -450,7 +450,7 @@ public:
   typedef typename Rep::Multiplicity_vector           Multiplicity_vector;
   typedef typename Rep::Root_multiplicity_vector      Root_multiplicity_vector;
 
-  Rational_function_canonicalized_pair(const Rational_function& f, 
+  Rational_function_canonicalized_pair(const Rational_function& f,
                                        const Rational_function& g,
                                        Algebraic_kernel_d_1* ak_ptr) :
     Base(f, g, ak_ptr) {}
@@ -477,13 +477,13 @@ public:
     return this->ptr()->is_intersecting_in_range(left_parameter_space, left,
                                                  right_parameter_space, right);
   }
-    
-  const Rational_function& f() const 
+
+  const Rational_function& f() const
   {
     return this->ptr()->f();
   }
-    
-  const Rational_function& g() const 
+
+  const Rational_function& g() const
   {
     return this->ptr()->g();
   }
@@ -500,6 +500,6 @@ public:
 };  //Rational_function_canonicalized_pair
 
 }   //namespace Arr_rational_arc
-}   //namespace CGAL {   
+}   //namespace CGAL {
 
 #endif //CGAL_RATIONAL_FUNCTION_CANONICALIZED_PAIR_H
diff -pruN 5.0.2-3/include/CGAL/Arr_rat_arc/Rational_function.h 5.0.3-1/include/CGAL/Arr_rat_arc/Rational_function.h
--- 5.0.2-3/include/CGAL/Arr_rat_arc/Rational_function.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_rat_arc/Rational_function.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Rational_function.h $
-// $Id: Rational_function.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Rational_function.h $
+// $Id: Rational_function.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Oren Salzman <orenzalz@post.tau.ac.il >
@@ -36,24 +36,24 @@ public:
   typedef typename Base::Multiplicity_vector           Multiplicity_vector;
   typedef typename Base::Root_multiplicity_vector      Root_multiplicity_vector;
   typedef typename Base::Solve_1                       Solve_1;
-    
+
 public:
   Rational_function_rep() : _ak_ptr(nullptr){}
   Rational_function_rep(const Polynomial_1& numer,
-                        const Polynomial_1& denom, 
+                        const Polynomial_1& denom,
                         Algebraic_kernel_d_1* ak_ptr):
     _numer(numer), _denom(denom),_ak_ptr(ak_ptr)
   {
     initialize();
   }
- 
+
   CGAL::Sign sign_at (const Algebraic_real_1& x,
                       CGAL::Sign epsilon = CGAL::ZERO) const
   {
-    //find interval 
+    //find interval
     typename Algebraic_vector::const_iterator iter =
       std::lower_bound(_event_roots.begin(), _event_roots.end(),x);
-  
+
     //case of a value larger than largest root
     if (iter == _event_roots.end())
       return (_sign.back());
@@ -61,11 +61,11 @@ public:
     typename Algebraic_vector::iterator::difference_type dist =
       iter - _event_roots.begin();
 
-    //if x is not a root, ignore epsilons 
+    //if x is not a root, ignore epsilons
     if (*iter != x)
       return (_sign[dist]);
 
-    //x is a root 
+    //x is a root
     if (epsilon == CGAL::ZERO)
       return (CGAL::EQUAL);
     else if (epsilon == CGAL::NEGATIVE)
@@ -104,7 +104,7 @@ public:
   {
     return _pole_multiplicities;
   }
-    
+
 private:
   void initialize()
   {
@@ -127,7 +127,7 @@ private:
       rm_poles_vec.size();
     typename Root_multiplicity_vector::size_type num_of_intersections =
       rm_intersctions_vec.size();
-  
+
     _poles.reserve(num_of_poles);
     _pole_multiplicities.reserve(num_of_poles);
 
@@ -135,7 +135,7 @@ private:
     _pole_multiplicities.reserve(num_of_poles + num_of_intersections);
 
     //initialize poles
-    for ( typename Root_multiplicity_vector::iterator it = rm_poles_vec.begin(); 
+    for ( typename Root_multiplicity_vector::iterator it = rm_poles_vec.begin();
           it != rm_poles_vec.end() ;
           ++it)
     {
@@ -164,8 +164,8 @@ private:
     _sign.push_back(curr_sign);
 
     typename Multiplicity_vector::iterator it2;
-    for (it2 = _event_multiplicities.begin(); 
-         it2 != _event_multiplicities.end(); 
+    for (it2 = _event_multiplicities.begin();
+         it2 != _event_multiplicities.end();
          ++it2)
     {
       if (*it2 % 2 == 1)
@@ -184,7 +184,7 @@ private:
   std::vector<CGAL::Sign> _sign;    //function's sign in the corresponding interval induced by _event_roots (if no roots then only one value)
   mutable Algebraic_kernel_d_1*   _ak_ptr;
 
-};//Rational_function_rep 
+};//Rational_function_rep
 
 template < class Algebraic_kernel_ >
 class Rational_function:
@@ -206,12 +206,12 @@ private:
   static Self& get_default_instance()
   {
     CGAL_STATIC_THREAD_LOCAL_VARIABLE_0(Algebraic_kernel_d_1, kernel);
-    CGAL_STATIC_THREAD_LOCAL_VARIABLE_3(Self, x, Polynomial_1(0), Polynomial_1(1), &kernel); 
-    return x; 
-  } 
+    CGAL_STATIC_THREAD_LOCAL_VARIABLE_3(Self, x, Polynomial_1(0), Polynomial_1(1), &kernel);
+    return x;
+  }
 public:
   Rational_function(const Polynomial_1& numer,
-                    const Polynomial_1& denom, 
+                    const Polynomial_1& denom,
                     Algebraic_kernel_d_1* ak_ptr) :
     Base(numer,denom,ak_ptr) {}
 
@@ -224,7 +224,7 @@ public:
     : Base(static_cast<const Base &> (r)) {}
 
   Self& operator=(const Self&)=default;
-  
+
   CGAL::Sign sign_at(const Algebraic_real_1& x,
                      CGAL::Sign epsilon = CGAL::ZERO) const
   {
diff -pruN 5.0.2-3/include/CGAL/Arr_rat_arc/Rational_function_ordered_pair.h 5.0.3-1/include/CGAL/Arr_rat_arc/Rational_function_ordered_pair.h
--- 5.0.2-3/include/CGAL/Arr_rat_arc/Rational_function_ordered_pair.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_rat_arc/Rational_function_ordered_pair.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Rational_function_ordered_pair.h $
-// $Id: Rational_function_ordered_pair.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Rational_function_ordered_pair.h $
+// $Id: Rational_function_ordered_pair.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Oren Salzman <orenzalz@post.tau.ac.il >
@@ -42,13 +42,13 @@ public:
   typedef typename Base::Multiplicity                  Multiplicity;
   typedef typename Base::Multiplicity_vector           Multiplicity_vector;
   typedef typename Base::Root_multiplicity_vector      Root_multiplicity_vector;
- 
+
 public:
   Rational_function_ordered_pair(const Rational_function_pair& rat_pair,
                                  bool is_opposite = false) :
     _rat_pair(rat_pair), _is_opposite(is_opposite)
   {}
-       
+
   Comparison_result compare_f_g_at(const Algebraic_real_1& x,
                                    CGAL::Sign epsilon = CGAL::ZERO)
   {
@@ -89,13 +89,13 @@ public:
     return _rat_pair.multiplicities();
   }
 
-private:   
+private:
   const Rational_function_pair& _rat_pair;
   bool       _is_opposite;
 }; // Rational_function_ordered_pair
 
 
 }   //namespace Arr_rational_arc
-}   //namespace CGAL {   
+}   //namespace CGAL {
 
 #endif //CGAL_RATIONAL_FUNCTION_ORDERED_PAIR_H
diff -pruN 5.0.2-3/include/CGAL/Arr_rat_arc/Rational_function_pair.h 5.0.3-1/include/CGAL/Arr_rat_arc/Rational_function_pair.h
--- 5.0.2-3/include/CGAL/Arr_rat_arc/Rational_function_pair.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_rat_arc/Rational_function_pair.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Rational_function_pair.h $
-// $Id: Rational_function_pair.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Rational_function_pair.h $
+// $Id: Rational_function_pair.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Oren Salzman <orenzalz@post.tau.ac.il >
@@ -42,24 +42,24 @@ public:
   typedef typename Base::Multiplicity                 Multiplicity;
   typedef typename Base::Multiplicity_vector          Multiplicity_vector;
   typedef typename Base::Root_multiplicity_vector     Root_multiplicity_vector;
- 
+
 public:
   Rational_function_pair(const Rational_function_canonicalized_pair& rat_pair,
                          bool is_opposite = false) :
     _rat_pair(rat_pair), _is_opposite(is_opposite)
   {}
-       
+
   Comparison_result compare_f_g_at(const Algebraic_real_1& x ,
                                    CGAL::Sign epsilon = CGAL::ZERO)
   {
     Comparison_result cr =  _rat_pair.compare_f_g_at(x,epsilon);
-    return (_is_opposite) ? -cr : cr ; 
+    return (_is_opposite) ? -cr : cr ;
   }
 
   Comparison_result compare_f_g_at(Arr_parameter_space boundary)
   {
     Comparison_result cr =  _rat_pair.compare_f_g_at(boundary);
-    return (_is_opposite) ? -cr : cr ; 
+    return (_is_opposite) ? -cr : cr ;
   }
 
   bool is_intersecting_in_range(const Arr_parameter_space left_parameter_space,
@@ -81,13 +81,13 @@ public:
     return _rat_pair.multiplicities();
   }
 
-private:   
+private:
   const Rational_function_canonicalized_pair& _rat_pair;
   bool                   _is_opposite;
 }; // Rational_function_pair
 
 
 }   //namespace Arr_rational_arc
-}   //namespace CGAL {   
+}   //namespace CGAL {
 
 #endif //CGAL_RATIONAL_FUNCTION_ORDERED_PAIR_H
diff -pruN 5.0.2-3/include/CGAL/Arr_rat_arc/Singleton.h 5.0.3-1/include/CGAL/Arr_rat_arc/Singleton.h
--- 5.0.2-3/include/CGAL/Arr_rat_arc/Singleton.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_rat_arc/Singleton.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Singleton.h $
-// $Id: Singleton.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_rat_arc/Singleton.h $
+// $Id: Singleton.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Oren Salzman <orenzalz@post.tau.ac.il >
@@ -26,14 +26,14 @@ template <class T>
 class Singleton
 {
 public:
-  static T* instance() 
+  static T* instance()
   {
-    if(!m_pInstance) 
+    if(!m_pInstance)
       m_pInstance = new T;
     CGAL_assertion(m_pInstance !=nullptr);
     return m_pInstance;
   }
-      
+
   static void DestroyInstance()
   {
     delete m_pInstance;
@@ -49,5 +49,5 @@ private:
 template <class T> T* Singleton<T>::m_pInstance=nullptr;
 
 }   // namespace Arr_rational_arc
-}   //namespace CGAL { 
+}   //namespace CGAL {
 #endif // CGAL_SINGLETON_H_
diff -pruN 5.0.2-3/include/CGAL/Arr_rational_function_traits_2.h 5.0.3-1/include/CGAL/Arr_rational_function_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_rational_function_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_rational_function_traits_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_rational_function_traits_2.h $
-// $Id: Arr_rational_function_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_rational_function_traits_2.h $
+// $Id: Arr_rational_function_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Oren Salzman <orenzalz@post.tau.ac.il >
@@ -34,20 +34,20 @@ namespace CGAL {
  * A traits class for maintaining an arrangement of bounded arcs (segments) of
  * rational functions of arbitrary degree.
  *
- * The class is templated with two parameters: 
+ * The class is templated with two parameters:
  * Alg_kernel A geometric kernel, where Alg_kernel::FT is the number type
  *            for the coordinates of arrangement vertices, which are algebraic
  *            numbers (defined by Nt_traits::Algebraic).
  * Nt_traits A traits class for performing various operations on the integer,
- *           rational and algebraic types. 
+ *           rational and algebraic types.
  */
- 
+
 template <typename AlgebraicKernel_d_1>
 class Arr_rational_function_traits_2
 {
 public:
   typedef AlgebraicKernel_d_1                           Algebraic_kernel_d_1;
- 
+
   typedef Arr_rational_function_traits_2<Algebraic_kernel_d_1>
                                                         Self;
   typedef Arr_rational_arc::Base_rational_arc_ds_1<Algebraic_kernel_d_1>
@@ -68,18 +68,18 @@ public:
   typedef typename Base_curve_2::Rat_vector                   Rat_vector;
 
   typedef typename Base_rational_arc_ds_1::Integer            Integer;
-  typedef typename Base_rational_arc_ds_1::Rational           Rational; 
-  typedef typename Base_rational_arc_ds_1::Polynomial_1       Polynomial_1; 
-  typedef typename Base_rational_arc_ds_1::Coefficient        Coefficient; 
+  typedef typename Base_rational_arc_ds_1::Rational           Rational;
+  typedef typename Base_rational_arc_ds_1::Polynomial_1       Polynomial_1;
+  typedef typename Base_rational_arc_ds_1::Coefficient        Coefficient;
 
-  typedef typename Base_rational_arc_ds_1::FT_rat_1           FT_rat_1; 
+  typedef typename Base_rational_arc_ds_1::FT_rat_1           FT_rat_1;
   typedef typename Base_rational_arc_ds_1::Polynomial_traits_1
     Polynomial_traits_1;
-  
-  typedef typename Algebraic_kernel_d_1::Bound                Bound; 
+
+  typedef typename Algebraic_kernel_d_1::Bound                Bound;
   typedef Bound
-    Approximate_number_type; 
-  
+    Approximate_number_type;
+
   typedef CGAL::Arr_rational_arc::Rational_function<Algebraic_kernel_d_1>
                                                               Rational_function;
   typedef CGAL::Arr_rational_arc::Cache<Algebraic_kernel_d_1> Cache;
@@ -107,7 +107,7 @@ public:
   bool delete_ak_internal_flag() const
   {
     return delete_ak;
-  } 
+  }
   // Algebraic_kernel_d_1& algebraic_kernel_d_1()             {return _ak;}
 
 public:
@@ -139,7 +139,7 @@ public:
     if (delete_ak)
       _ak_ptr = new Algebraic_kernel_d_1(*other.algebraic_kernel_d_1());
     else
-      _ak_ptr = other.algebraic_kernel_d_1();    
+      _ak_ptr = other.algebraic_kernel_d_1();
 
     //copy cache
     _cache.initialize(other.cache(), _ak_ptr);
@@ -167,9 +167,9 @@ public:
     Construct_x_monotone_curve_2(const Traits* traits) : _traits(traits) {}
 
     friend class Arr_rational_function_traits_2<Algebraic_kernel_d_1>;
-    
+
   public:
-    typedef typename Base_rational_arc_ds_1::Polynomial_1 Polynomial_1; 
+    typedef typename Base_rational_arc_ds_1::Polynomial_1 Polynomial_1;
     typedef typename Base_rational_arc_ds_1::Algebraic_real_1
                                                           Algebraic_real_1;
     typedef Arr_rational_arc::Continuous_rational_arc_d_1<Algebraic_kernel_d_1>
@@ -178,7 +178,7 @@ public:
     typedef Polynomial_1                                  first_argument_type;
     typedef Polynomial_1                                  second_argument_type;
     typedef X_monotone_curve_2                            result_type;
-    
+
     X_monotone_curve_2 operator()( const Polynomial_1& P) const
     {
       return X_monotone_curve_2(P, _traits->cache());
@@ -224,7 +224,7 @@ public:
     }
 
     X_monotone_curve_2 operator()(const Polynomial_1& P,
-                                  const Polynomial_1& Q) const 
+                                  const Polynomial_1& Q) const
     {
       return X_monotone_curve_2(P, Q, _traits->cache());
     }
@@ -233,7 +233,7 @@ public:
     X_monotone_curve_2 operator()(InputIterator begin_numer,
                                   InputIterator end_numer,
                                   InputIterator begin_denom,
-                                  InputIterator end_denom) const 
+                                  InputIterator end_denom) const
     {
       Rat_vector rat_vec_numer(begin_numer,end_numer);
       Rat_vector rat_vec_denom(begin_denom,end_denom);
@@ -305,9 +305,9 @@ public:
     Construct_curve_2(const Traits* traits) : _traits(traits) {}
 
     friend class Arr_rational_function_traits_2<Algebraic_kernel_d_1>;
-    
+
   public:
-    typedef typename Base_rational_arc_ds_1::Polynomial_1 Polynomial_1; 
+    typedef typename Base_rational_arc_ds_1::Polynomial_1 Polynomial_1;
     typedef typename Base_rational_arc_ds_1::Algebraic_real_1
                                                           Algebraic_real_1;
     typedef Arr_rational_arc::Rational_arc_d_1<Algebraic_kernel_d_1>
@@ -316,7 +316,7 @@ public:
     typedef Polynomial_1                                  first_argument_type;
     typedef Polynomial_1                                  second_argument_type;
     typedef Curve_2                                       result_type;
-    
+
     Curve_2 operator()(const Polynomial_1& P) const
     {
       return Curve_2(P, _traits->cache());
@@ -359,14 +359,14 @@ public:
       return Curve_2(rat_vec, x_s, x_t, _traits->cache());
     }
 
-    Curve_2 operator()(const Polynomial_1& P, const Polynomial_1& Q) const 
+    Curve_2 operator()(const Polynomial_1& P, const Polynomial_1& Q) const
     {
       return Curve_2(P, Q, _traits->cache());
     }
 
     template <typename InputIterator>
     Curve_2 operator()(InputIterator begin_numer, InputIterator end_numer,
-                       InputIterator begin_denom, InputIterator end_denom) const 
+                       InputIterator begin_denom, InputIterator end_denom) const
     {
       Rat_vector rat_vec_numer(begin_numer, end_numer);
       Rat_vector rat_vec_denom(begin_denom, end_denom);
@@ -430,26 +430,26 @@ public:
     Construct_point_2(const Traits* traits) : _traits(traits) {}
 
     friend class Arr_rational_function_traits_2<Algebraic_kernel_d_1>;
-    
+
   public:
     Point_2 operator()(const Rational_function& rational_function,
                        const Algebraic_real_1& x_coordinate)
-    { 
+    {
       return Point_2(rational_function, x_coordinate);
     }
 
     Point_2 operator()(const Rational& x, const Rational& y)
-    { 
+    {
       Integer  y_numer,y_denom;
       typename FT_rat_1::Decompose()(y,y_numer,y_denom);
-      
+
       return Point_2(_traits->cache().get_rational_function(Rational(y_numer,
                                                                      y_denom)),
                      _traits->algebraic_kernel_d_1()->
                        construct_algebraic_real_1_object()(x));
     }
     Point_2 operator()(const Algebraic_real_1& x, const Rational& y)
-    {   
+    {
       Integer  y_numer;
       Integer  y_denom;
       typename FT_rat_1::Decompose()(y, y_numer, y_denom);
@@ -473,17 +473,17 @@ public:
 //     Construct_vertical_segment(Cache& cache) : _cache(cache) {}
 
 //     Vertical_segment operator()(const Point_2& p) const
-//     { 
+//     {
 //       return Vertical_segment(p);
 //     }
 
 //     Vertical_segment operator()(const Point_2& p, bool is_directed_up) const
-//     { 
+//     {
 //       return Vertical_segment(p, is_directed_up);
 //     }
 
 //     Vertical_segment operator()(const Point_2& p1,const Point_2& p2) const
-//     {       
+//     {
 //       return Vertical_segment(p1, p2, _cache);
 //     }
 //   }; //Construct_vertical_segment
@@ -498,7 +498,7 @@ public:
   //------------------------
 
   //---------------------------------------------------------------
-  //A functor that compares the x-coordinates of two points 
+  //A functor that compares the x-coordinates of two points
   class Compare_x_2
   {
   public:
@@ -549,7 +549,7 @@ public:
      *         SMALLER if x(p1) < x(p2), or if x(p1) = x(p2) and y(p1) < y(p2);
      *         EQUAL if the two points are equal.
      */
-    Comparison_result operator()(const Point_2& p1, const Point_2& p2) const 
+    Comparison_result operator()(const Point_2& p1, const Point_2& p2) const
     {
       return p1.compare_xy_2(p2, _traits->cache());
     }
@@ -741,7 +741,7 @@ public:
                          cv2.right_parameter_space_in_y() != ARR_INTERIOR ||
                          (p.x() < cv2.right().x())));
 
- 
+
       // Compare the two arcs.
       return cv1.compare_at_intersection (cv2,p,false,_cache);
     }
@@ -768,7 +768,7 @@ public:
     Equal_2(const Traits* traits) : _traits(traits) {}
 
     friend class Arr_rational_function_traits_2<Algebraic_kernel_d_1>;
-    
+
   public:
     /*!
      * Check if the two x-monotone curves are the same (have the same graph).
@@ -814,7 +814,7 @@ public:
   public:
 
     /*!
-     * Cut the given conic curve (or conic arc) into x-monotone subcurves 
+     * Cut the given conic curve (or conic arc) into x-monotone subcurves
      * and insert them to the given output iterator.
      * \param cv The curve.
      * \param oi The output iterator, whose value-type is Object. The returned
@@ -822,7 +822,7 @@ public:
      * \return The past-the-end iterator.
      */
     template<typename OutputIterator>
-    OutputIterator operator()(const Curve_2& cv, OutputIterator oi) const 
+    OutputIterator operator()(const Curve_2& cv, OutputIterator oi) const
     {
       // Make the rational arc continuous.
       std::list<X_monotone_curve_2>                           arcs;
@@ -942,7 +942,7 @@ public:
 
     /*! The traits (in case it has state) */
     const Traits* m_traits;
-    
+
     /*! Constructor
      * \param traits the traits (in case it has state)
      */
@@ -1015,7 +1015,7 @@ public:
   /*! Obtain a Parameter_space_in_x_2 function object */
   Parameter_space_in_x_2 parameter_space_in_x_2_object() const
   { return Parameter_space_in_x_2(); }
-  
+
   /*! A function object that obtains the parameter space of a geometric
    * entity along the y-axis
    */
@@ -1074,7 +1074,7 @@ public:
      * \return the comparison result:
      *         SMALLER - x(p) < x(xc, ce);
      *         EQUAL   - x(p) = x(xc, ce);
-     *         LARGER  - x(p) > x(xc, ce).     
+     *         LARGER  - x(p) > x(xc, ce).
      * \pre p lies in the interior of the parameter space.
      * \pre the ce end of the line xcv lies on a boundary.
      */
@@ -1083,9 +1083,9 @@ public:
                                  Arr_curve_end ce) const
     {
       Comparison_result r = xcv.compare_end(ce, p);
-      if (r == EQUAL) 
-        return EQUAL; 
-      return (r == NEGATIVE) ? POSITIVE : NEGATIVE ; 
+      if (r == EQUAL)
+        return EQUAL;
+      return (r == NEGATIVE) ? POSITIVE : NEGATIVE ;
     }
 
     /*! Compare the x-coordinates of 2 arcs ends near the boundary of the
@@ -1117,12 +1117,12 @@ public:
   /*! Obtain a Compare_x_near_boundary_2 function object */
   Compare_x_near_boundary_2 compare_x_near_boundary_2_object() const
   { return Compare_x_near_boundary_2(); }
-    
+
 
   /*! A function object that compares the y-coordinates of arc ends near the
    * boundary of the parameter space.
    */
-  class Compare_y_near_boundary_2 
+  class Compare_y_near_boundary_2
   {
   private:
     Cache& _cache;
@@ -1152,7 +1152,7 @@ public:
   Compare_y_near_boundary_2 compare_y_near_boundary_2_object() const
   { return Compare_y_near_boundary_2(_cache); }
 
- 
+
   /*! A function object that compares at limit
    */
   //new functor
@@ -1160,11 +1160,11 @@ public:
   {
    public:
     /*! Compares the x coordinate of p with the curve end
-     * of xcv that is defined by ce at its limit. 
+     * of xcv that is defined by ce at its limit.
      * Returns SMALLER, EQUAL, or LARGER accordingly.
      */
     Comparison_result operator()(const Point_2& p,
-                                 const X_monotone_curve_2&  xcv, 
+                                 const X_monotone_curve_2&  xcv,
                                  Arr_curve_end ce)
     {
       CGAL_precondition(Parameter_space_in_x_2()(xcv,ce) == ARR_INTERIOR);
@@ -1172,14 +1172,14 @@ public:
       return CGAL::compare(p.x(),
                            (ce == ARR_MIN_END) ? xcv.left_x() : xcv.right_x());
     }
-    /*! Compares the curve end of  xcv1 that is defined by ce1 
+    /*! Compares the curve end of  xcv1 that is defined by ce1
      *  with the curve end of xcv2 that is defined by ce2
-     * at their limits in x. 
+     * at their limits in x.
      * Returns SMALLER, EQUAL, or LARGER accordingly.
      */
-    Comparison_result operator()(const X_monotone_curve_2&  xcv1, 
+    Comparison_result operator()(const X_monotone_curve_2&  xcv1,
                                  Arr_curve_end ce1,
-                                 const X_monotone_curve_2&  xcv2, 
+                                 const X_monotone_curve_2&  xcv2,
                                  Arr_curve_end ce2)
     {
       CGAL_precondition(Parameter_space_in_x_2()(xcv1,ce1) == ARR_INTERIOR);
@@ -1197,10 +1197,10 @@ public:
   Compare_x_at_limit_2 compare_x_at_limit_2_object() const
   { return Compare_x_at_limit_2(); }
   //@}
-  
+
   /// \name Functor definitions for the Boolean set-operation traits.
   //@{
- 
+
   //new functor
   class Compare_x_near_limit_2
   {
@@ -1209,13 +1209,13 @@ public:
 
   public:
     Compare_x_near_limit_2(Cache& cache) : _cache(cache) {}
-    /*! Compares the curve end of  xcv1 that is defined by ce1 
+    /*! Compares the curve end of  xcv1 that is defined by ce1
      *  with the curve end of xcv2 that is defined by ce2
-     * at their limits in x. 
+     * at their limits in x.
      * Returns SMALLER, EQUAL, or LARGER accordingly.
      */
-    Comparison_result operator()( const X_monotone_curve_2& xcv1, 
-                                  const X_monotone_curve_2& xcv2, 
+    Comparison_result operator()( const X_monotone_curve_2& xcv1,
+                                  const X_monotone_curve_2& xcv2,
                                   Arr_curve_end ce) const
     {
       return xcv1.compare_near_end(xcv2,ce,_cache);
@@ -1278,23 +1278,23 @@ public:
   class Approximate_2{
     Approximate_number_type approx_x(const Point_2& p){
       return Approximate_number_type(p.x().lower());
-    } 
+    }
     Approximate_number_type approx_y(const Point_2& p){
       typedef typename Algebraic_kernel_d_1::Polynomial_1 Polynomial_1;
-      typename CGAL::Coercion_traits<Polynomial_1,Bound>::Cast cast;  
+      typename CGAL::Coercion_traits<Polynomial_1,Bound>::Cast cast;
       return
         cast(p.rational_function().numer()).evaluate(p.x().lower())/
         cast(p.rational_function().denom()).evaluate(p.x().lower());
     }
   public:
     Approximate_number_type operator()(const Point_2& p, int i){
-      if(i==0) return approx_x(p); 
+      if(i==0) return approx_x(p);
       if(i==1) return approx_y(p);
       CGAL_assertion(false);
       return Approximate_number_type(0);
     }
   };
-  
+
   Approximate_2 approximate_2_object() const { return Approximate_2(); }
 
   void cleanup_cache() const
diff -pruN 5.0.2-3/include/CGAL/Arr_segment_traits_2.h 5.0.3-1/include/CGAL/Arr_segment_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_segment_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_segment_traits_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_segment_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_segment_traits_2.h $
 // $Id: Arr_segment_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_simple_point_location.h 5.0.3-1/include/CGAL/Arr_simple_point_location.h
--- 5.0.2-3/include/CGAL/Arr_simple_point_location.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_simple_point_location.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_simple_point_location.h $
-// $Id: Arr_simple_point_location.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_simple_point_location.h $
+// $Id: Arr_simple_point_location.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein   <wein@post.tau.ac.il>
 //                 (based on old version by Eyal Flato)
@@ -67,7 +67,7 @@ protected:
   typedef Arr_traits_basic_adaptor_2<Geometry_traits_2>  Traits_adaptor_2;
 
   // Data members:
-  const Arrangement_2*    m_arr;            // The associated arrangement.  
+  const Arrangement_2*    m_arr;            // The associated arrangement.
   const Traits_adaptor_2* m_geom_traits;    // Its associated geometry traits.
   const Topology_traits*  m_topol_traits;   // Its associated topology traits.
 
@@ -78,7 +78,7 @@ protected:
   inline bool optional_empty(const boost::optional<Result_type>& t) const { return (!t); }
   inline const Result_type& optional_assign(const boost::optional<Result_type>& t) const { return *t; }
 #endif
-  
+
   template<typename T>
   Result_type make_result(T t) const { return Result::make_result(t); }
   inline Optional_result_type make_optional_result() const { return Result::empty_optional_result(); }
@@ -86,12 +86,12 @@ protected:
 
 public:
   /*! Default constructor. */
-  Arr_simple_point_location() : 
+  Arr_simple_point_location() :
     m_arr(nullptr),
     m_geom_traits(nullptr),
     m_topol_traits(nullptr)
   {}
-        
+
   /*! Constructor given an arrangement. */
   Arr_simple_point_location(const Arrangement_2& arr) :
     m_arr(&arr)
@@ -102,7 +102,7 @@ public:
   }
 
   /*! Attach an arrangement object. */
-  void attach(const Arrangement_2& arr) 
+  void attach(const Arrangement_2& arr)
   {
     m_arr = &arr;
     m_geom_traits =
@@ -117,7 +117,7 @@ public:
     m_geom_traits = nullptr;
     m_topol_traits = nullptr;
   }
- 
+
   /*!
    * Locate the arrangement feature containing the given point.
    * \param p The query point.
diff -pruN 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_on_sphere_transformation.h 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_on_sphere_transformation.h
--- 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_on_sphere_transformation.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_on_sphere_transformation.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_on_sphere_transformation.h $
-// $Id: Arr_on_sphere_transformation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_on_sphere_transformation.h $
+// $Id: Arr_on_sphere_transformation.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Naama mayer         <naamamay@post.tau.ac.il>
 
 #ifndef CGAL_ARR_ON_SPHERE_TRANSFORMATION_H
@@ -22,10 +22,10 @@ namespace CGAL {
 template <class Arrangement, class Transformation_3>
 class Arr_on_sphere_transformation
 {
-	void rotate_face(Arrangement & arr, Face_Handle f1, Face_handle f2)
-	{			
+        void rotate_face(Arrangement & arr, Face_Handle f1, Face_handle f2)
+        {
 
-	}
+        }
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_arr_dcel.h 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_arr_dcel.h
--- 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_arr_dcel.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_arr_dcel.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_arr_dcel.h $
-// $Id: Arr_polyhedral_sgm_arr_dcel.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_arr_dcel.h $
+// $Id: Arr_polyhedral_sgm_arr_dcel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s): Efi Fogel         <efif@post.tau.ac.il>
 //            Naama mayer       <naamamay@post.tau.ac.il>
@@ -38,11 +38,11 @@ private:
   /*! A mask of the ids of the original arrangements that contributed the
    * halfedge while performing the minkowski sum.
    * \todo This should be made optional. It is relevant only if the polytope
-   * is the result of a Minkowski sum operation, and it is needed only by the 
+   * is the result of a Minkowski sum operation, and it is needed only by the
    * drawing routines.
    */
   unsigned int m_arr_mask;
-  
+
 public:
   /*! Constructor */
   Arr_polyhedral_sgm_arr_halfedge() : m_arr_mask(0x0) {}
@@ -82,7 +82,7 @@ private:
 public:
   /*! Constructor */
   Arr_polyhedral_sgm_arr_face() : m_is_set(false) { }
-    
+
   /*! Set the 3D point of the original polyhedron */
   void set_point(const Point_3 & point)
   {
diff -pruN 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm.h 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm.h
--- 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm.h $
-// $Id: Arr_polyhedral_sgm.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm.h $
+// $Id: Arr_polyhedral_sgm.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s): Efi Fogel         <efif@post.tau.ac.il>
@@ -708,7 +708,7 @@ public:
  // template <typename SgmIterator>
  // void minkowski_sum(SgmIterator begin, SgmIterator end)
  // {
-	//typename SgmIterator::value_type* sgm1 = *begin++;
+        //typename SgmIterator::value_type* sgm1 = *begin++;
  //   typename SgmIterator::value_type* sgm2 = *begin;
  //   minkowski_sum(sgm1, sgm2);
  // }
diff -pruN 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_initializer_visitor.h 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_initializer_visitor.h
--- 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_initializer_visitor.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_initializer_visitor.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_initializer_visitor.h $
-// $Id: Arr_polyhedral_sgm_initializer_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_initializer_visitor.h $
+// $Id: Arr_polyhedral_sgm_initializer_visitor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Efi Fogel          <efif@post.tau.ac.il>
 
@@ -37,7 +37,7 @@ public:
 
   /*! Destructor */
   virtual ~Arr_polyhedral_sgm_initializer_visitor() {}
-  
+
   /*! Pass information from a polyhedron vertex to its dual - a sgm-face */
   virtual void update_dual_vertex(Polyhedron_vertex_const_handle /*src*/,
                                   Sgm_face_handle /*trg*/)
diff -pruN 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_overlay.h 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_overlay.h
--- 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_overlay.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_overlay.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_overlay.h $
-// $Id: Arr_polyhedral_sgm_overlay.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_overlay.h $
+// $Id: Arr_polyhedral_sgm_overlay.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Efi Fogel          <efif@post.tau.ac.il>
 
 #ifndef CGAL_ARR_POLYHEDRAL_SGM_OVERLAY_H
@@ -27,7 +27,7 @@ class Arr_polyhedral_sgm_overlay {
 private:
   typedef typename Sgm::Point_3                         Point_3;
   typedef typename Sgm::Vector_3                        Vector_3;
-  
+
 public:
   typedef typename Sgm::Face_handle                     Face_handle;
   typedef typename Sgm::Vertex_handle                   Vertex_handle;
@@ -37,12 +37,12 @@ public:
   typedef typename Sgm::Vertex_const_handle             Vertex_const_handle;
   typedef typename Sgm::Halfedge_const_handle           Halfedge_const_handle;
 
-  typedef typename Sgm::Ccb_halfedge_const_circulator 
+  typedef typename Sgm::Ccb_halfedge_const_circulator
     Ccb_halfedge_const_circulator;
 
   typedef typename Sgm::Halfedge_around_vertex_const_circulator
     Arr_halfedge_around_vertex_const_circulator;
-  
+
   /*! 1 */
   void create_face(Face_const_handle f1, Face_const_handle f2, Face_handle f)
   {
diff -pruN 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_polyhedron_3.h 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_polyhedron_3.h
--- 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_polyhedron_3.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_polyhedron_3.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_polyhedron_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_polyhedron_3.h $
 // $Id: Arr_polyhedral_sgm_polyhedron_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_traits.h 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_traits.h
--- 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_traits.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_traits.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_traits.h $
-// $Id: Arr_polyhedral_sgm_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_traits.h $
+// $Id: Arr_polyhedral_sgm_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Efi Fogel          <efif@post.tau.ac.il>
 
diff -pruN 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_transformation.h 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_transformation.h
--- 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_transformation.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_transformation.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_transformation.h $
-// $Id: Arr_polyhedral_sgm_transformation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_polyhedral_sgm_transformation.h $
+// $Id: Arr_polyhedral_sgm_transformation.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Naama mayer         <naamamay@post.tau.ac.il>
 
 
@@ -28,7 +28,7 @@ public:
   typedef typename Arrangement::Face_handle   Face_handle;
 
   void rotate_face(Face_handle f, const Transformation_3 & aff)
-  {			
+  {
     //Transform all the vertices of the original polyhedron.
     f->set_point(aff.transform(f->point()));
   }
diff -pruN 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_spherical_gaussian_map_3.h 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_spherical_gaussian_map_3.h
--- 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_spherical_gaussian_map_3.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_spherical_gaussian_map_3.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_spherical_gaussian_map_3.h $
-// $Id: Arr_spherical_gaussian_map_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_spherical_gaussian_map_3.h $
+// $Id: Arr_spherical_gaussian_map_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s): Efi Fogel         <efif@post.tau.ac.il>
 //            Naama mayer       <naamamay@post.tau.ac.il>
 
@@ -60,7 +60,7 @@ public:
   /*! Normalize the coordinates of the given point, but in fact does
    * nothing.
    * \param p the point which coordinates are to be normalized
-   */ 
+   */
   void operator()(Point_2 &) {}
 };
 
@@ -113,7 +113,7 @@ public:
 
   /*! Destructor */
   virtual ~Arr_sgm_initializer() {}
-  
+
   /*! Insert a great arc whose angle is less than Pi and is represented by two
    * normals into the SGM. Each normal defines an end point of the greate arc.
    * \param normal1 represents the source normal.
@@ -138,7 +138,7 @@ public:
     oi = traits->make_x_monotone_2_object()(cv, oi);
     return oi;
   }
-  
+
   /*! Insert a great arc whose angle is less than Pi and is represented by two
    * normals into the SGM. Each normal defines an end point of the greate arc.
    * \param normal1 represents the source normal.
@@ -172,7 +172,7 @@ public:
     std::cout << "1.b. insert_from_vertex(" << *xc << ")" << std::endl;
 #endif
     *oi++ = (xc->is_directed_right()) ?
-      m_sgm.insert_from_left_vertex(*xc, he->target()) :     
+      m_sgm.insert_from_left_vertex(*xc, he->target()) :
       m_sgm.insert_from_right_vertex(*xc, he->target());
     return oi;
   }
@@ -227,7 +227,7 @@ public:
    * represented by normal1 toward the endpoint represented by normal2
    */
   template<typename OutputIterator>
-  OutputIterator insert(const Vector_3 & normal1, 
+  OutputIterator insert(const Vector_3 & normal1,
                         const Vector_3 & normal2, Vertex_handle vertex2,
                         OutputIterator oi)
   {
@@ -333,14 +333,14 @@ class Arr_spherical_gaussian_map_3 :
 {
 private:
   typedef Arr_spherical_gaussian_map_3<T_Traits, T_Dcel>    Self;
-  
+
 public:
   typedef T_Traits                                          Traits;
   typedef Traits                                            Geometry_traits_2;
-  
-  typedef Arrangement_on_surface_2<Traits, 
-	Arr_spherical_topology_traits_2<Traits, T_Dcel<Traits> > >
-															Base;
+
+  typedef Arrangement_on_surface_2<Traits,
+        Arr_spherical_topology_traits_2<Traits, T_Dcel<Traits> > >
+                                                                                                                        Base;
 
   /*! Parameter-less Constructor */
   Arr_spherical_gaussian_map_3() { }
@@ -362,7 +362,7 @@ public:
   {
     CGAL_error_msg( "Not implemented yet!");
   }
-  
+
   /*! returns true if the representation is empty */
   bool is_empty() const
   {
@@ -380,7 +380,7 @@ public:
     return vh->degree();
   }
 #endif
-  
+
   /*! Print statistics */
   void print_stat()
   {
diff -pruN 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_transform_on_sphere.h 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_transform_on_sphere.h
--- 5.0.2-3/include/CGAL/Arr_spherical_gaussian_map_3/Arr_transform_on_sphere.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_spherical_gaussian_map_3/Arr_transform_on_sphere.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_transform_on_sphere.h $
-// $Id: Arr_transform_on_sphere.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_spherical_gaussian_map_3/Arr_transform_on_sphere.h $
+// $Id: Arr_transform_on_sphere.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Naama mayer         <naamamay@post.tau.ac.il>
 
 
@@ -34,10 +34,10 @@ void Arr_transform_on_sphere(Arrangement
 {
   typedef typename Arrangement::Geometry_traits_2         Geometry_traits_2;
   typedef typename Arrangement::Topology_traits           Topology_traits;
-    
+
   typedef typename Geometry_traits_2::Curve_2             Curve_2;
   typedef typename Geometry_traits_2::X_monotone_curve_2  X_monotone_curve_2;
-		
+
   typedef typename Arrangement::Vertex_handle             Vertex_handle;
   typedef typename Arrangement::Halfedge_handle           Halfedge_handle;
   typedef typename Arrangement::Face_handle               Face_handle;
@@ -49,31 +49,31 @@ void Arr_transform_on_sphere(Arrangement
   Topology_traits * topol_traits = arr.topology_traits();
 
   Arr_accessor<Arrangement> m_arr_access(arr);
-	
-  // Preprocessing loop - merge all the edges that were splited 
+
+  // Preprocessing loop - merge all the edges that were splited
   // (meaning have a common endpoint that lies on the boundary and their degree
   // is 2) on the identification curve.
   for (Vertex_handle vi1 = arr.vertices_begin() ; vi1 != arr.vertices_end() ;)
-  {	
+  {
     Vertex_handle v_temp = vi1;
     ++vi1;
-		
+
     Arr_parameter_space bx =
       geom_traits->parameter_space_in_x_2_object()(v_temp->point());
     Arr_parameter_space by =
       geom_traits->parameter_space_in_y_2_object()(v_temp->point());
-		
+
     // use vertex->parameter_space_in_x() != interior || vertex->parameter_space_in_y() != interior)
     if ((bx != ARR_INTERIOR || by != ARR_INTERIOR) && (v_temp->degree() == 2))
     {
       Curve_2 merged_cv;
-      Halfedge_around_vertex_circulator havc = v_temp->incident_halfedges(); 
+      Halfedge_around_vertex_circulator havc = v_temp->incident_halfedges();
       Halfedge_around_vertex_circulator havc_next = havc;
       ++havc_next;
 
       // Compare the normals
       bool normal_eq1 = havc->curve().normal() ==
-        havc_next->twin()->curve().normal();				
+        havc_next->twin()->curve().normal();
       // Compare the points
       bool point_eq1 = havc->target()->point() ==
         havc_next->twin()->source()->point();
@@ -85,7 +85,7 @@ void Arr_transform_on_sphere(Arrangement
         if (havc->source()->point() == havc->curve().source())
         {
           merged_cv = Curve_2(havc->source()->point(),
-                              havc_next->twin()->target()->point(), 
+                              havc_next->twin()->target()->point(),
                               havc->curve().normal());
         }
         else if (havc->source()->point() == havc->curve().target())
@@ -94,10 +94,10 @@ void Arr_transform_on_sphere(Arrangement
                               havc->source()->point(),
                               havc->curve().normal());
         }
-        else 
+        else
           CGAL_error_msg
             ("One of the edge points should be equal to the surce points");
-					
+
         // Erases the point from the list of boundary vertices (This is a
         // different data structute than the DCEL, which is handled by the
         // next call.)
@@ -105,7 +105,7 @@ void Arr_transform_on_sphere(Arrangement
 
         // Merge the edges into a single one, and delete the vertex from the
         // DCEL. (By default, the merge_edge() funtion deletes the vertex.)
-        arr.merge_edge(havc, havc_next->twin() , merged_cv);			
+        arr.merge_edge(havc, havc_next->twin() , merged_cv);
       }
     }
   }
@@ -113,13 +113,13 @@ void Arr_transform_on_sphere(Arrangement
   //Rotate all the vertices.
   for (Vertex_handle vi1 = arr.vertices_begin(); vi1 != arr.vertices_end() ;
        ++vi1)
-  {			
-    m_arr_access.modify_vertex_ex(vi1, aff.transform(vi1->point()));	
-  }		
-	
+  {
+    m_arr_access.modify_vertex_ex(vi1, aff.transform(vi1->point()));
+  }
+
   unsigned int num_of_edges = arr.number_of_edges();
   Edge_iterator ei1 = arr.edges_begin();
-	
+
   // Rotate all the halfedges.
   // The loop is over the initial edges , since new edges are created and
   // added to the edges list.
@@ -129,7 +129,7 @@ void Arr_transform_on_sphere(Arrangement
 
     Halfedge_handle hei1 = ei1;
     ++ei1;
-		
+
     // Take only the halfedge that its source is equal to the source of
     // the curve.
     bool eq1 = hei1->source()->point() == aff.transform(hei1->curve().source());
@@ -138,40 +138,40 @@ void Arr_transform_on_sphere(Arrangement
       hei1 = hei1->twin();
       eq1 = hei1->source()->point() == aff.transform(hei1->curve().source());
     }
-		
+
     CGAL_assertion_msg
-      (eq1, 
+      (eq1,
        "The new curve endpoints should be equal to the transform of the original");
-		
+
     // Create a new curve instead of the old one.
-    new_cv = Curve_2(hei1->source()->point(), hei1->target()->point(), 
+    new_cv = Curve_2(hei1->source()->point(), hei1->target()->point(),
                      aff.transform(hei1->curve().normal()));
 
     // Modify the edge with the new curve.
     m_arr_access.modify_edge_ex(hei1, new_cv);
 
     std::list<CGAL::Object> objects;
-    // Try to split the curve into x_monotone pieces. 
+    // Try to split the curve into x_monotone pieces.
     geom_traits->make_x_monotone_2_object()(new_cv , std::back_inserter(objects));
-		
+
     // If the curve is not x-monotone - split it into 2 x_monotone parts.
     // Since the curves were x_monotone before , can assume that it will be
     // splited into 2 parts max.
     if (objects.size() == 2)
-    {						
+    {
       typename std::list<CGAL::Object>::iterator it = objects.begin();
-			
+
       // The curve that its left vertex lies on the identification curve
       const X_monotone_curve_2 * sub_cv1 =
-        object_cast<X_monotone_curve_2>(&(*it));				
+        object_cast<X_monotone_curve_2>(&(*it));
       ++it;
       //The curve that its rigth vertex lies on the identification curve
       const X_monotone_curve_2 * sub_cv2 =
         object_cast<X_monotone_curve_2>(&(*it));
-			
+
       bool eq1 = (*sub_cv1).source() == hei1->source()->point();
       bool eq2 = (*sub_cv2).target() == hei1->target()->point();
-			
+
       if (eq1 && eq2)
         m_arr_access.split_edge_ex (hei1, (*sub_cv1).target(), *sub_cv1,
                                     *sub_cv2);
@@ -180,28 +180,28 @@ void Arr_transform_on_sphere(Arrangement
           ("The new curve endpoints should be equal to the original ones");
     }
   }
-	
+
   // Update all the vertices that located on the boundary after the rotation
   // with boundary conditions
   for (Vertex_handle vi = arr.vertices_begin() ; vi != arr.vertices_end() ;
        ++vi)
-  {			
+  {
     Arr_parameter_space bx =
       geom_traits->parameter_space_in_x_2_object()(vi->point());
     Arr_parameter_space by =
       geom_traits->parameter_space_in_y_2_object()(vi->point());
 
     if (bx != ARR_INTERIOR || by != ARR_INTERIOR)
-    {	
+    {
       // The target of the Halfedge_around_vertex_circulator is the relevant
       // point.
       Halfedge_around_vertex_circulator havc = vi->incident_halfedges();
-			
+
       Arr_curve_end ind;
-	  if (geom_traits->construct_min_vertex_2_object()(havc->curve()) == vi->point()) 
-		ind = ARR_MIN_END;
-	  else 
-		ind = ARR_MAX_END;
+          if (geom_traits->construct_min_vertex_2_object()(havc->curve()) == vi->point())
+                ind = ARR_MIN_END;
+          else
+                ind = ARR_MAX_END;
 
       // Check if it was already added.
       if (topol_traits->discontinuity_vertex(havc->curve(), ind)== nullptr &&
@@ -213,11 +213,11 @@ void Arr_transform_on_sphere(Arrangement
                                                          havc->curve(), ind,
                                                          bx, by);
         m_arr_access.set_vertex_boundary(havc->target(), bx, by);
-		
+
       }
-    }	
+    }
   }
-	
+
   // Transform the faces with the suitable transformation traits.
   for(Face_handle f1 = arr.faces_begin() ; f1 != arr.faces_end() ; ++f1)
     tran_tr.rotate_face(f1, aff);
diff -pruN 5.0.2-3/include/CGAL/Arr_spherical_topology_traits_2.h 5.0.3-1/include/CGAL/Arr_spherical_topology_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_spherical_topology_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_spherical_topology_traits_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_spherical_topology_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_spherical_topology_traits_2.h $
 // $Id: Arr_spherical_topology_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_tags.h 5.0.3-1/include/CGAL/Arr_tags.h
--- 5.0.2-3/include/CGAL/Arr_tags.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_tags.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_tags.h $
-// $Id: Arr_tags.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_tags.h $
+// $Id: Arr_tags.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s): Efi Fogel         <efif@post.tau.ac.il>
 //            Eric Berberich    <ericb@post.tau.ac.il>
@@ -71,7 +71,7 @@ public:
   Get_left_side_category< Traits, has_Left_side_category< Traits >::value >::Category Category;
 };
 
-template < class GeometryTraits_2, bool b > 
+template < class GeometryTraits_2, bool b >
 struct Validate_left_side_category {};
 
 template < class GeometryTraits_2 >
@@ -84,16 +84,16 @@ template < class GeometryTraits_2 >
 struct Validate_left_side_category< GeometryTraits_2, false > {
   template <typename T>
   void missing__Left_side_category()
-  { 
+  {
     T
-      missing__Left_side_category__assuming__Arr_oblivious_side_tag__instead; 
+      missing__Left_side_category__assuming__Arr_oblivious_side_tag__instead;
   }
 };
 
 
 //! type to provide bottom side tag (is oblivious if not existing)
 template < class Traits_, bool B >
-struct Get_bottom_side_category { 
+struct Get_bottom_side_category {
 };
 
 template < class Traits_ >
@@ -114,11 +114,11 @@ public:
   typedef Traits_ Traits;
 
   typedef typename
-  Get_bottom_side_category< Traits, has_Bottom_side_category< Traits >::value >::Category 
+  Get_bottom_side_category< Traits, has_Bottom_side_category< Traits >::value >::Category
   Category;
 };
 
-template < class GeometryTraits_2, bool b > 
+template < class GeometryTraits_2, bool b >
 struct Validate_bottom_side_category {};
 
 template < class GeometryTraits_2 >
@@ -131,16 +131,16 @@ template < class GeometryTraits_2 >
 struct Validate_bottom_side_category< GeometryTraits_2, false > {
   template <typename T>
   void missing__Bottom_side_category()
-  { 
+  {
     T
-      missing__Bottom_side_category__assuming__Arr_oblivious_side_tag__instead; 
+      missing__Bottom_side_category__assuming__Arr_oblivious_side_tag__instead;
   }
 };
 
 
 //! type to provide top side tag (is oblivious if not existing)
 template < class Traits_, bool B >
-struct Get_top_side_category { 
+struct Get_top_side_category {
 };
 
 template < class Traits_ >
@@ -164,7 +164,7 @@ public:
   Get_top_side_category< Traits, has_Top_side_category< Traits >::value >::Category Category;
 };
 
-template < class GeometryTraits_2, bool b > 
+template < class GeometryTraits_2, bool b >
 struct Validate_top_side_category {};
 
 template < class GeometryTraits_2 >
@@ -177,15 +177,15 @@ template < class GeometryTraits_2 >
 struct Validate_top_side_category< GeometryTraits_2, false > {
   template <typename T>
   void missing__Top_side_category()
-  { 
-    T missing__Top_side_category__assuming__Arr_oblivious_side_tag__instead; 
+  {
+    T missing__Top_side_category__assuming__Arr_oblivious_side_tag__instead;
   }
 };
 
 
 //! type to provide right side tag (is oblivious if not existing)
 template < class Traits_, bool B >
-struct Get_right_side_category { 
+struct Get_right_side_category {
 };
 
 template < class Traits_ >
@@ -206,11 +206,11 @@ public:
   typedef Traits_ Traits;
 
   typedef typename
-  Get_right_side_category< Traits, has_Right_side_category< Traits >::value >::Category 
+  Get_right_side_category< Traits, has_Right_side_category< Traits >::value >::Category
   Category;
 };
 
-template < class GeometryTraits_2, bool b > 
+template < class GeometryTraits_2, bool b >
 struct Validate_right_side_category {};
 
 template < class GeometryTraits_2 >
@@ -223,9 +223,9 @@ template < class GeometryTraits_2 >
 struct Validate_right_side_category< GeometryTraits_2, false > {
   template <typename T>
   void missing__Right_side_category()
-  { 
+  {
     T
-      missing__Right_side_category__assuming__Arr_oblivious_side_tag__instead; 
+      missing__Right_side_category__assuming__Arr_oblivious_side_tag__instead;
   }
 };
 
@@ -251,7 +251,7 @@ struct Arr_not_all_sides_non_open_tag {}
 
 /*!\brief Struct to determine whether all side tags are "oblivious"
  */
-template < class ArrLeftSideCategory, class ArrBottomSideCategory, 
+template < class ArrLeftSideCategory, class ArrBottomSideCategory,
            class ArrTopSideCategory, class ArrRightSideCategory >
 struct Arr_are_all_sides_oblivious_tag {
 
@@ -259,49 +259,49 @@ public:
 
   //! This instance's first template parameter
   typedef ArrLeftSideCategory   Left_side_category;
-  
+
   //! This instance's second template parameter
   typedef ArrBottomSideCategory Bottom_side_category;
-  
+
   //! This instance's third template parameter
   typedef ArrTopSideCategory    Top_side_category;
-  
+
   //! This instance's fourth template parameter
   typedef ArrRightSideCategory  Right_side_category;
-  
+
 private:
-  
+
   typedef boost::mpl::bool_< true > true_;
   typedef boost::mpl::bool_< false > false_;
-  
-  typedef boost::mpl::if_< 
+
+  typedef boost::mpl::if_<
        boost::is_same< Left_side_category, Arr_oblivious_side_tag >,
-       true_, false_ > 
+       true_, false_ >
   Left_oblivious;
 
-  typedef boost::mpl::if_< 
+  typedef boost::mpl::if_<
        boost::is_same< Bottom_side_category, Arr_oblivious_side_tag >,
-       true_, false_ > 
+       true_, false_ >
   Bottom_oblivious;
 
-  typedef boost::mpl::if_< 
+  typedef boost::mpl::if_<
        boost::is_same< Top_side_category, Arr_oblivious_side_tag >,
-       true_, false_ > 
+       true_, false_ >
   Top_oblivious;
 
-  typedef boost::mpl::if_< 
+  typedef boost::mpl::if_<
        boost::is_same< Right_side_category, Arr_oblivious_side_tag >,
-       true_, false_ > 
+       true_, false_ >
   Right_oblivious;
-  
+
 public:
-  
+
   /*!\brief
-   * boolean tag that is Arr_all_sides_oblivious_tag if all sides are 
+   * boolean tag that is Arr_all_sides_oblivious_tag if all sides are
    * oblivious, otherwise Arr_not_all_sides_oblivious_tag
    */
-  typedef typename boost::mpl::if_< 
-                           boost::mpl::and_< Left_oblivious, Bottom_oblivious, 
+  typedef typename boost::mpl::if_<
+                           boost::mpl::and_< Left_oblivious, Bottom_oblivious,
                                              Top_oblivious, Right_oblivious >,
                            Arr_all_sides_oblivious_tag,
                            Arr_not_all_sides_oblivious_tag >::type result;
@@ -310,7 +310,7 @@ public:
 
 /*!\brief Struct to determine whether all side tags are "non-open"
  */
-template < class ArrLeftSideCategory, class ArrBottomSideCategory, 
+template < class ArrLeftSideCategory, class ArrBottomSideCategory,
            class ArrTopSideCategory, class ArrRightSideCategory >
 struct Arr_are_all_sides_non_open_tag {
 
@@ -318,51 +318,51 @@ public:
 
   //! This instance's first template parameter
   typedef ArrLeftSideCategory   Left_side_category;
-  
+
   //! This instance's second template parameter
   typedef ArrBottomSideCategory Bottom_side_category;
-  
+
   //! This instance's third template parameter
   typedef ArrTopSideCategory    Top_side_category;
-  
+
   //! This instance's fourth template parameter
   typedef ArrRightSideCategory  Right_side_category;
-  
+
 private:
-  
+
   typedef boost::mpl::bool_< true > true_;
   typedef boost::mpl::bool_< false > false_;
-  
-  typedef boost::mpl::if_< 
+
+  typedef boost::mpl::if_<
        boost::is_same< Left_side_category, Arr_open_side_tag >,
-       true_, false_ > 
+       true_, false_ >
   Left_open;
 
-  typedef boost::mpl::if_< 
+  typedef boost::mpl::if_<
        boost::is_same< Bottom_side_category, Arr_open_side_tag >,
-       true_, false_ > 
+       true_, false_ >
   Bottom_open;
 
-  typedef boost::mpl::if_< 
+  typedef boost::mpl::if_<
        boost::is_same< Top_side_category, Arr_open_side_tag >,
-       true_, false_ > 
+       true_, false_ >
   Top_open;
 
-  typedef boost::mpl::if_< 
+  typedef boost::mpl::if_<
        boost::is_same< Right_side_category, Arr_open_side_tag >,
-       true_, false_ > 
+       true_, false_ >
   Right_open;
-  
+
 public:
-  
+
   /*!\brief
-   * boolean tag that is Arr_all_sides_non_open_tag if all sides are non-open, 
+   * boolean tag that is Arr_all_sides_non_open_tag if all sides are non-open,
    * otherwise Arr_not_all_sides_non_open_tag
    */
   typedef typename boost::mpl::if_<
-      boost::mpl::and_< boost::mpl::not_< Left_open >, 
-                        boost::mpl::not_< Bottom_open >, 
-                        boost::mpl::not_< Top_open >, 
+      boost::mpl::and_< boost::mpl::not_< Left_open >,
+                        boost::mpl::not_< Bottom_open >,
+                        boost::mpl::not_< Top_open >,
                         boost::mpl::not_< Right_open > >,
       Arr_all_sides_non_open_tag,
       Arr_not_all_sides_non_open_tag >::type result;
@@ -371,47 +371,47 @@ public:
 
 /*!\brief Struct to check consistent tagging of identifications
  */
-template < class ArrLeftSideCategory, class ArrBottomSideCategory, 
+template < class ArrLeftSideCategory, class ArrBottomSideCategory,
            class ArrTopSideCategory, class ArrRightSideCategory >
 struct Arr_sane_identified_tagging {
 
 public:
-  
+
   //! This instance's first template parameter
   typedef ArrLeftSideCategory   Left_side_category;
-  
+
   //! This instance's second template parameter
   typedef ArrBottomSideCategory Bottom_side_category;
-  
+
   //! This instance's third template parameter
   typedef ArrTopSideCategory    Top_side_category;
-  
+
   //! This instance's fourth template parameter
   typedef ArrRightSideCategory  Right_side_category;
-  
+
 private:
-  
+
   typedef boost::mpl::bool_< true > true_;
   typedef boost::mpl::bool_< false > false_;
-  
-  typedef boost::mpl::if_< 
+
+  typedef boost::mpl::if_<
        boost::is_same< Left_side_category, Arr_identified_side_tag >,
-       true_, false_ > 
+       true_, false_ >
   Left_identified;
 
   typedef boost::mpl::if_<
        boost::is_same< Bottom_side_category, Arr_identified_side_tag >,
-       true_, false_ > 
+       true_, false_ >
   Bottom_identified;
 
-  typedef boost::mpl::if_< 
+  typedef boost::mpl::if_<
        boost::is_same< Top_side_category, Arr_identified_side_tag >,
-       true_, false_ > 
+       true_, false_ >
   Top_identified;
-  
-  typedef boost::mpl::if_< 
+
+  typedef boost::mpl::if_<
        boost::is_same< Right_side_category, Arr_identified_side_tag >,
-       true_, false_ > 
+       true_, false_ >
   Right_identified;
 
   typedef boost::mpl::and_< Left_identified, Right_identified > LR_identified;
@@ -422,17 +422,17 @@ private:
                             boost::mpl::not_< Right_identified > >
   LR_non_identified;
 
-  typedef boost::mpl::and_< boost::mpl::not_< Bottom_identified >, 
-                            boost::mpl::not_< Top_identified > > 
+  typedef boost::mpl::and_< boost::mpl::not_< Bottom_identified >,
+                            boost::mpl::not_< Top_identified > >
   BT_non_identified;
-  
+
   typedef boost::mpl::or_< LR_identified, LR_non_identified > LR_ok;
   typedef boost::mpl::or_< BT_identified, BT_non_identified > BT_ok;
-  
+
 public:
-  
+
   /*!\brief
-   * boolean tag that is bool_<true> if opposite sides are either 
+   * boolean tag that is bool_<true> if opposite sides are either
    * both identified or both non-identified,
    * otherwise bool_<false>
    */
@@ -448,29 +448,29 @@ public:
  * (ii) When Arr_has_identified_sides is used to check whether two non-opposite
  *      sides are identified, the check applies to all four sides.
  */
-template <class ArrSideOneCategory, class ArrSideTwoCategory> 
+template <class ArrSideOneCategory, class ArrSideTwoCategory>
 struct Arr_has_identified_sides {
 public:
   //! This instance's first template parameter
   typedef ArrSideOneCategory       Side_one_category;
-  
+
   //! This instance's second template parameter
   typedef ArrSideTwoCategory       Side_two_category;
-    
+
 private:
   typedef boost::mpl::bool_<true> true_;
   typedef boost::mpl::bool_<false> false_;
-  
-  typedef boost::mpl::if_< 
+
+  typedef boost::mpl::if_<
     boost::is_same<Side_one_category, Arr_identified_side_tag>,
     true_, false_>
   Side_one_identified;
 
   typedef boost::mpl::if_<
     boost::is_same<Side_two_category, Arr_identified_side_tag>,
-    true_, false_> 
+    true_, false_>
   Side_two_identified;
-  
+
 public:
   /*!\brief
    * boolean tag that is bool_<true> if one side is identified,
@@ -479,31 +479,31 @@ public:
   typedef boost::mpl::or_<Side_one_identified, Side_two_identified> result;
 };
 
-/*! Checks whether one of two boundary sides are contracted 
+/*! Checks whether one of two boundary sides are contracted
  */
-template <class ArrSideOneCategory, class ArrSideTwoCategory> 
+template <class ArrSideOneCategory, class ArrSideTwoCategory>
 struct Arr_has_contracted_sides_two {
 public:
   //! This instance's first template parameter
   typedef ArrSideOneCategory       Side_one_category;
-  
+
   //! This instance's second template parameter
   typedef ArrSideTwoCategory       Side_two_category;
-    
+
 private:
   typedef boost::mpl::bool_<true> true_;
   typedef boost::mpl::bool_<false> false_;
-  
-  typedef boost::mpl::if_< 
+
+  typedef boost::mpl::if_<
        boost::is_same<Side_one_category, Arr_contracted_side_tag>,
-       true_, false_> 
+       true_, false_>
   Side_one_contracted;
 
   typedef boost::mpl::if_<
        boost::is_same<Side_two_category, Arr_contracted_side_tag>,
-       true_, false_> 
+       true_, false_>
   Side_two_contracted;
-  
+
 public:
   /*!\brief
    * boolean tag that is bool_<true> if one side is identified,
@@ -512,31 +512,31 @@ public:
   typedef boost::mpl::or_<Side_one_contracted, Side_two_contracted> result;
 };
 
-/*! Checks whether one of two boundary sides are closed 
+/*! Checks whether one of two boundary sides are closed
  */
-template <class ArrSideOneCategory, class ArrSideTwoCategory> 
+template <class ArrSideOneCategory, class ArrSideTwoCategory>
 struct Arr_has_closed_sides_two {
 public:
   //! This instance's first template parameter
   typedef ArrSideOneCategory       Side_one_category;
-  
+
   //! This instance's second template parameter
   typedef ArrSideTwoCategory       Side_two_category;
-    
+
 private:
   typedef boost::mpl::bool_<true> true_;
   typedef boost::mpl::bool_<false> false_;
-  
-  typedef boost::mpl::if_< 
+
+  typedef boost::mpl::if_<
        boost::is_same<Side_one_category, Arr_closed_side_tag>,
-       true_, false_> 
+       true_, false_>
   Side_one_closed;
 
   typedef boost::mpl::if_<
        boost::is_same<Side_two_category, Arr_closed_side_tag>,
-       true_, false_> 
+       true_, false_>
   Side_two_closed;
-  
+
 public:
   /*!\brief
    * boolean tag that is bool_<true> if one side is identified,
@@ -545,31 +545,31 @@ public:
   typedef boost::mpl::or_<Side_one_closed, Side_two_closed> result;
 };
 
-/*! Checks whether one of two boundary sides are open 
+/*! Checks whether one of two boundary sides are open
  */
-template <class ArrSideOneCategory, class ArrSideTwoCategory> 
+template <class ArrSideOneCategory, class ArrSideTwoCategory>
 struct Arr_has_open_sides_two {
 public:
   //! This instance's first template parameter
   typedef ArrSideOneCategory       Side_one_category;
-  
+
   //! This instance's second template parameter
   typedef ArrSideTwoCategory       Side_two_category;
-    
+
 private:
   typedef boost::mpl::bool_<true> true_;
   typedef boost::mpl::bool_<false> false_;
-  
-  typedef boost::mpl::if_< 
+
+  typedef boost::mpl::if_<
        boost::is_same<Side_one_category, Arr_open_side_tag>,
-       true_, false_> 
+       true_, false_>
   Side_one_open;
 
   typedef boost::mpl::if_<
        boost::is_same<Side_two_category, Arr_open_side_tag>,
-       true_, false_> 
+       true_, false_>
   Side_two_open;
-  
+
 public:
   /*!\brief
    * boolean tag that is bool_<true> if one side is identified,
@@ -581,25 +581,25 @@ public:
 /*! Categorizes two boundary sides:
  * If one side is identified           => Arr_has_identified_side_tag
  * Otherwise if one side is contracted => Arr_has_contracted_side_tag
- * Otherwise if one side is closed     => Arr_has_closed_side_tag 
+ * Otherwise if one side is closed     => Arr_has_closed_side_tag
  * Otherwise if one side is open       => Arr_has_open_side_tag
  * Otherwise                           => Arr_all_sides_oblivious_tag
  */
-template < class ArrSideOneCategory, class ArrSideTwoCategory> 
+template < class ArrSideOneCategory, class ArrSideTwoCategory>
 struct Arr_two_sides_category {
 public:
   //! This instance's first template parameter
   typedef ArrSideOneCategory       Side_one_category;
-  
+
   //! This instance's second template parameter
   typedef ArrSideTwoCategory       Side_two_category;
-    
+
 private:
   // One of the two sides is identified
   typedef typename Arr_has_identified_sides<Side_one_category,
                                             Side_two_category>::result
     Is_identified;
-  
+
   // One of the two sides is contracted
   typedef typename Arr_has_contracted_sides_two<Side_one_category,
                                                 Side_two_category>::result
@@ -614,7 +614,7 @@ private:
   typedef typename Arr_has_open_sides_two<Side_one_category,
                                           Side_two_category>::result
     Is_open;
-  
+
 public:
   typedef typename boost::mpl::if_<Is_identified, Arr_has_identified_side_tag,
     typename boost::mpl::if_<Is_contracted, Arr_has_contracted_side_tag,
@@ -631,7 +631,7 @@ public:
  * Otherwise if one side is open       => Arr_has_open_side_tag
  * Otherwise (all sides oblivious)     => Arr_all_sides_oblivious_tag
  */
-template < class ArrSideOneCategory, class ArrSideTwoCategory> 
+template < class ArrSideOneCategory, class ArrSideTwoCategory>
 struct Arr_all_sides_category {
 public:
 };
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_bounded_planar_batched_pl_helper.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_bounded_planar_batched_pl_helper.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_bounded_planar_batched_pl_helper.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_bounded_planar_batched_pl_helper.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_bounded_planar_batched_pl_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_bounded_planar_batched_pl_helper.h $
 // $Id: Arr_bounded_planar_batched_pl_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_bounded_planar_construction_helper.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_bounded_planar_construction_helper.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_bounded_planar_construction_helper.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_bounded_planar_construction_helper.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_bounded_planar_construction_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_bounded_planar_construction_helper.h $
 // $Id: Arr_bounded_planar_construction_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_bounded_planar_insertion_helper.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_bounded_planar_insertion_helper.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_bounded_planar_insertion_helper.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_bounded_planar_insertion_helper.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_bounded_planar_insertion_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_bounded_planar_insertion_helper.h $
 // $Id: Arr_bounded_planar_insertion_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_bounded_planar_overlay_helper.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_bounded_planar_overlay_helper.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_bounded_planar_overlay_helper.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_bounded_planar_overlay_helper.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_bounded_planar_overlay_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_bounded_planar_overlay_helper.h $
 // $Id: Arr_bounded_planar_overlay_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_bounded_planar_topology_traits_2_impl.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_bounded_planar_topology_traits_2_impl.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_bounded_planar_topology_traits_2_impl.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_bounded_planar_topology_traits_2_impl.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_bounded_planar_topology_traits_2_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_bounded_planar_topology_traits_2_impl.h $
 // $Id: Arr_bounded_planar_topology_traits_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_bounded_planar_vert_decomp_helper.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_bounded_planar_vert_decomp_helper.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_bounded_planar_vert_decomp_helper.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_bounded_planar_vert_decomp_helper.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_bounded_planar_vert_decomp_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_bounded_planar_vert_decomp_helper.h $
 // $Id: Arr_bounded_planar_vert_decomp_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_inc_insertion_zone_visitor.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_inc_insertion_zone_visitor.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_inc_insertion_zone_visitor.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_inc_insertion_zone_visitor.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_inc_insertion_zone_visitor.h $
-// $Id: Arr_inc_insertion_zone_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_inc_insertion_zone_visitor.h $
+// $Id: Arr_inc_insertion_zone_visitor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein          <wein@post.tau.ac.il>
 //                 Efi Fogel         <efif@post.tau.ac.il>
@@ -27,7 +27,7 @@
 namespace CGAL {
 
 /*! \class
- * A visitor class for Arrangement_zone_2, which performs incremental 
+ * A visitor class for Arrangement_zone_2, which performs incremental
  * insertion of an x-monotone curve into an arrangement.
  * The class should be templated by an Arrangement_2 class (that is, an
  * Arrangement_on_surface_2<GeomTraits, TopTraits> class, with the TopTraits
@@ -80,7 +80,7 @@ public:
   void init (Arrangement_2 *arr)
   {
     p_arr = arr;
-    geom_traits = const_cast<Traits_adaptor_2*> 
+    geom_traits = const_cast<Traits_adaptor_2*>
       (static_cast<const Traits_adaptor_2*> (p_arr->geometry_traits()));
   }
 
@@ -153,10 +153,10 @@ found_subcurve (const X_monotone_curve_2
     geom_traits->parameter_space_in_x_2_object();
   typename Traits_adaptor_2::Parameter_space_in_y_2 ps_in_y =
     geom_traits->parameter_space_in_y_2_object();
-    
+
   // Create an arrangement accessor.
   Arr_accessor<Arrangement_2>    arr_access (*p_arr);
-  
+
   // Get the boundary conditions of the curve ends.
   const Arr_parameter_space bx_l = ps_in_x (cv, ARR_MIN_END);
   const Arr_parameter_space by_l = ps_in_y (cv, ARR_MIN_END);
@@ -232,12 +232,12 @@ found_subcurve (const X_monotone_curve_2
       prev_he_right = right_he;
     else if (! right_v->is_isolated())
       prev_he_right = arr_access.locate_around_vertex (right_v, cv);
-    
+
     // In case the vertex does not exist, split right_he at cv's right
     // endpoint and create the vertex.
     if (right_v == invalid_v) {
       _split_edge (right_he, max_vertex (cv), arr_access);
-      
+
       // Check whether we have just split the halfedge that left_he refers to.
       // If so, prev_he_right's target is now the new vertex, and we have to
       // proceed to the next halfedge (whose target is right_v).
@@ -246,7 +246,7 @@ found_subcurve (const X_monotone_curve_2
     }
   }
   else {
-    // Check whether the right end of cv is bounded or not.    
+    // Check whether the right end of cv is bounded or not.
     if ((bx_r == ARR_RIGHT_BOUNDARY) || (by_r != ARR_INTERIOR)) {
       // Use the arrangement accessor and obtain a vertex associated with
       // the unbounded right end (possibly with a predecessor halfedge).
@@ -290,15 +290,15 @@ found_subcurve (const X_monotone_curve_2
           arr_access.create_vertex (max_vertex (cv)) :
           arr_access.create_boundary_vertex (cv, ARR_MAX_END, bx_r, by_r);
       }
-     
+
       // We should insert the curve in the interior of the face.
-      inserted_he = arr_access.insert_in_face_interior_ex (face, cv, ARR_LEFT_TO_RIGHT, 
+      inserted_he = arr_access.insert_in_face_interior_ex (face, cv, ARR_LEFT_TO_RIGHT,
                                                            left_v, right_v);
     }
     else {
       // The right endpoint is associated with an arrangement vertex, and
       // we have the predecessor halfedge for the insertion.
-      inserted_he = arr_access.insert_from_vertex_ex (prev_he_right, cv, ARR_RIGHT_TO_LEFT, 
+      inserted_he = arr_access.insert_from_vertex_ex (prev_he_right, cv, ARR_RIGHT_TO_LEFT,
                                                       left_v);
 
       // The returned halfedge is directed to the newly created vertex
@@ -318,7 +318,7 @@ found_subcurve (const X_monotone_curve_2
           arr_access.create_vertex (max_vertex (cv)) :
           arr_access.create_boundary_vertex (cv, ARR_MAX_END, bx_r, by_r);
       }
-     
+
       // Use the left predecessor for the insertion.
       inserted_he = arr_access.insert_from_vertex_ex (prev_he_left, cv, ARR_LEFT_TO_RIGHT,
                                                       right_v);
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_planar_topology_traits_base_2.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_planar_topology_traits_base_2.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_planar_topology_traits_base_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_planar_topology_traits_base_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_planar_topology_traits_base_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_planar_topology_traits_base_2.h $
 // $Id: Arr_planar_topology_traits_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_spherical_batched_pl_helper.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_spherical_batched_pl_helper.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_spherical_batched_pl_helper.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_spherical_batched_pl_helper.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_spherical_batched_pl_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_spherical_batched_pl_helper.h $
 // $Id: Arr_spherical_batched_pl_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_spherical_construction_helper.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_spherical_construction_helper.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_spherical_construction_helper.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_spherical_construction_helper.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_spherical_construction_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_spherical_construction_helper.h $
 // $Id: Arr_spherical_construction_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_spherical_insertion_helper.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_spherical_insertion_helper.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_spherical_insertion_helper.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_spherical_insertion_helper.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_spherical_insertion_helper.h $
-// $Id: Arr_spherical_insertion_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_spherical_insertion_helper.h $
+// $Id: Arr_spherical_insertion_helper.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -88,7 +88,7 @@ public:
   virtual void before_handle_event(Event* event);
 
   //@}
-  
+
   /*! A notification invoked when a new subcurve is created. */
   virtual void add_subcurve(Halfedge_handle he, Subcurve* sc);
 
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_spherical_overlay_helper.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_spherical_overlay_helper.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_spherical_overlay_helper.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_spherical_overlay_helper.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_spherical_overlay_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_spherical_overlay_helper.h $
 // $Id: Arr_spherical_overlay_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_spherical_topology_traits_2_impl.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_spherical_topology_traits_2_impl.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_spherical_topology_traits_2_impl.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_spherical_topology_traits_2_impl.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_spherical_topology_traits_2_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_spherical_topology_traits_2_impl.h $
 // $Id: Arr_spherical_topology_traits_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_spherical_vert_decomp_helper.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_spherical_vert_decomp_helper.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_spherical_vert_decomp_helper.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_spherical_vert_decomp_helper.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_spherical_vert_decomp_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_spherical_vert_decomp_helper.h $
 // $Id: Arr_spherical_vert_decomp_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_unb_planar_batched_pl_helper.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_unb_planar_batched_pl_helper.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_unb_planar_batched_pl_helper.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_unb_planar_batched_pl_helper.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_unb_planar_batched_pl_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_unb_planar_batched_pl_helper.h $
 // $Id: Arr_unb_planar_batched_pl_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_unb_planar_construction_helper.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_unb_planar_construction_helper.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_unb_planar_construction_helper.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_unb_planar_construction_helper.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_unb_planar_construction_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_unb_planar_construction_helper.h $
 // $Id: Arr_unb_planar_construction_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_unb_planar_insertion_helper.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_unb_planar_insertion_helper.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_unb_planar_insertion_helper.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_unb_planar_insertion_helper.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_unb_planar_insertion_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_unb_planar_insertion_helper.h $
 // $Id: Arr_unb_planar_insertion_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_unb_planar_overlay_helper.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_unb_planar_overlay_helper.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_unb_planar_overlay_helper.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_unb_planar_overlay_helper.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_unb_planar_overlay_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_unb_planar_overlay_helper.h $
 // $Id: Arr_unb_planar_overlay_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_unb_planar_topology_traits_2_impl.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_unb_planar_topology_traits_2_impl.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_unb_planar_topology_traits_2_impl.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_unb_planar_topology_traits_2_impl.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_unb_planar_topology_traits_2_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_unb_planar_topology_traits_2_impl.h $
 // $Id: Arr_unb_planar_topology_traits_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_unb_planar_vert_decomp_helper.h 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_unb_planar_vert_decomp_helper.h
--- 5.0.2-3/include/CGAL/Arr_topology_traits/Arr_unb_planar_vert_decomp_helper.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_topology_traits/Arr_unb_planar_vert_decomp_helper.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_unb_planar_vert_decomp_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_topology_traits/Arr_unb_planar_vert_decomp_helper.h $
 // $Id: Arr_unb_planar_vert_decomp_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_tracing_traits_2.h 5.0.3-1/include/CGAL/Arr_tracing_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_tracing_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_tracing_traits_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_tracing_traits_2.h $
-// $Id: Arr_tracing_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_tracing_traits_2.h $
+// $Id: Arr_tracing_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Efi Fogel    <efif@post.tau.ac.il>
@@ -32,7 +32,7 @@
 
 namespace CGAL {
 
-/*! \class 
+/*! \class
  * A model of the ArrangementTraits_2 concept that counts the methods invoked.
  */
 template <typename Base_traits>
@@ -61,17 +61,17 @@ public:
     COMPARE_ENDPOINTS_XY_OP,
 
     PARAMETER_SPACE_IN_X_OP,
-    IS_ON_X_IDENTIFICATION_OP,    
+    IS_ON_X_IDENTIFICATION_OP,
     COMPARE_Y_ON_BOUNDARY_OP,
     COMPARE_Y_NEAR_BOUNDARY_OP,
-    
+
     PARAMETER_SPACE_IN_Y_OP,
     IS_ON_Y_IDENTIFICATION_OP,
     COMPARE_X_AT_LIMIT_OP,
     COMPARE_X_NEAR_LIMIT_OP,
     COMPARE_X_ON_BOUNDARY_OP,
     COMPARE_X_NEAR_BOUNDARY_OP,
-    
+
     NUMBER_OF_OPERATIONS
   };
 
@@ -81,55 +81,55 @@ private:
 
   /*! A set of bits that indicate whether operations should be traced */
   unsigned int m_flags;
-  
+
   bool compare_x_op() const
   { return (0 != (m_flags & (0x1 << COMPARE_X_OP))); }
 
   bool compare_xy_op() const
   { return (0 != (m_flags & (0x1 << COMPARE_XY_OP))); }
-  
+
   bool construct_min_vertex_op() const
   { return (0 != (m_flags & (0x1 << CONSTRUCT_MIN_VERTEX_OP))); }
-  
+
   bool construct_max_vertex_op() const
   { return (0 != (m_flags & (0x1 << CONSTRUCT_MAX_VERTEX_OP))); }
-  
+
   bool is_vertical_op() const
   { return (0 != (m_flags & (0x1 << IS_VERTICAL_OP))); }
-  
+
   bool compare_y_at_x_op() const
   { return (0 != (m_flags & (0x1 << COMPARE_Y_AT_X_OP))); }
-  
+
   bool equal_points_op() const
   { return (0 != (m_flags & (0x1 << EQUAL_POINTS_OP))); }
-  
+
   bool equal_curves_op() const
   { return (0 != (m_flags & (0x1 << EQUAL_CURVES_OP))); }
-  
+
   bool compare_y_at_x_left_op() const
   { return (0 != (m_flags & (0x1 << COMPARE_Y_AT_X_LEFT_OP))); }
-  
+
   bool compare_y_at_x_right_op() const
   { return (0 != (m_flags & (0x1 << COMPARE_Y_AT_X_RIGHT_OP))); }
-  
+
   bool make_x_monotone_op() const
   { return (0 != (m_flags & (0x1 << MAKE_X_MONOTONE_OP))); }
-  
+
   bool split_op() const
   { return (0 != (m_flags & (0x1 << SPLIT_OP))); }
-  
+
   bool intersect_op() const
   { return (0 != (m_flags & (0x1 << INTERSECT_OP))); }
-  
+
   bool are_mergeable_op() const
   { return (0 != (m_flags & (0x1 << ARE_MERGEABLE_OP))); }
-  
+
   bool merge_op() const
   { return (0 != (m_flags & (0x1 << MERGE_OP))); }
-  
+
   bool construct_opposite_op() const
   { return (0 != (m_flags & (0x1 << CONSTRUCT_OPPOSITE_OP))); }
-  
+
   bool compare_endpoints_xy_op() const
   { return (0 != (m_flags & (0x1 << COMPARE_ENDPOINTS_XY_OP))); }
 
@@ -137,12 +137,12 @@ private:
 
   bool parameter_space_in_x_op() const
   { return (0 != (m_flags & (0x1 << PARAMETER_SPACE_IN_X_OP))); }
-  
-  bool is_on_x_identification_op() const 
-  { return m_flags & (0x1 << IS_ON_X_IDENTIFICATION_OP); }  
+
+  bool is_on_x_identification_op() const
+  { return m_flags & (0x1 << IS_ON_X_IDENTIFICATION_OP); }
 
   bool compare_y_on_boundary_op() const
-  { return (0 != (m_flags & (0x1 << COMPARE_Y_ON_BOUNDARY_OP))); }  
+  { return (0 != (m_flags & (0x1 << COMPARE_Y_ON_BOUNDARY_OP))); }
 
   bool compare_y_near_boundary_op() const
   { return m_flags & (0x1 << COMPARE_Y_NEAR_BOUNDARY_OP); }
@@ -152,8 +152,8 @@ private:
   bool parameter_space_in_y_op() const
   { return (0 != (m_flags & (0x1 << PARAMETER_SPACE_IN_Y_OP))); }
 
-  bool is_on_y_identification_op() const 
-  { return m_flags & (0x1 << IS_ON_Y_IDENTIFICATION_OP); }  
+  bool is_on_y_identification_op() const
+  { return m_flags & (0x1 << IS_ON_Y_IDENTIFICATION_OP); }
 
   bool compare_x_at_limit_op() const
   { return m_flags & (0x1 << COMPARE_X_AT_LIMIT_OP); }
@@ -162,11 +162,11 @@ private:
   { return m_flags & (0x1 << COMPARE_X_NEAR_LIMIT_OP); }
 
   bool compare_x_on_boundary_op() const
-  { return (0 != (m_flags & (0x1 << COMPARE_X_ON_BOUNDARY_OP))); }  
+  { return (0 != (m_flags & (0x1 << COMPARE_X_ON_BOUNDARY_OP))); }
 
   bool compare_x_near_boundary_op() const
   { return m_flags & (0x1 << COMPARE_X_NEAR_BOUNDARY_OP); }
-  
+
 public:
   /*! Default constructor */
   Arr_tracing_traits_2() :
@@ -184,7 +184,7 @@ public:
    * \param id the operation identifier
    */
   void enable_all_traces() { m_flags = 0xffffffff; }
-  
+
   /*! Disable the trace of a traits operation
    * \param id the operation identifier
    */
@@ -194,7 +194,7 @@ public:
    * \param id the operation identifier
    */
   void disable_all_traces() { m_flags = 0x0; }
-  
+
   /// \name Types and functors inherited from the base
   //@{
 
@@ -211,7 +211,7 @@ public:
                                                 Top_side_category;
   typedef typename internal::Arr_complete_right_side_category< Base >::Category
                                                 Right_side_category;
-  
+
   typedef typename Base::Point_2                Point_2;
   typedef typename Base::X_monotone_curve_2     X_monotone_curve_2;
   typedef typename Base::Curve_2                Curve_2;
@@ -222,7 +222,7 @@ public:
   private:
     typename Base::Compare_x_2 m_object;
     bool m_enabled;
-    
+
   public:
     /*! Construct */
     Compare_x_2(const Base * base, bool enabled = true) :
@@ -320,11 +320,11 @@ public:
       std::cout << "construct_max_vertex" << std::endl
                 << "  xcv: " << xcv << std::endl;
       Point_2 p = m_object(xcv);
-      std::cout << "  result: " << p << std::endl;      
+      std::cout << "  result: " << p << std::endl;
       return p;
     }
   };
-  
+
   /*! A functor that checks whether a given x-monotone curve is vertical. */
   class Is_vertical_2 {
   private:
@@ -335,7 +335,7 @@ public:
     /*! Construct */
     Is_vertical_2(const Base * base, bool enabled = true) :
       m_object(base->is_vertical_2_object()), m_enabled(enabled) {}
-    
+
     /*! Operate
      * \param xcv the curve
      * \return a Boolean that indicates whether the curve is vertical or not
@@ -350,7 +350,7 @@ public:
       return is_vertical;
     }
   };
-  
+
   /*! A functor that compares the y-coordinates of a point and an
    * x-monotone curve at the point x-coordinate.
    */
@@ -381,7 +381,7 @@ public:
       return cr;
     }
   };
-  
+
   /*! A functor that checks whether two points and two x-monotone curves are
    * identical.
    */
@@ -431,7 +431,7 @@ public:
       bool equal = m_object(p1, p2);
       std::cout << "  result: " << equal << std::endl;
       return equal;
-    }    
+    }
   };
 
   /*! A functor that compares compares the y-coordinates of two x-monotone
@@ -449,7 +449,7 @@ public:
 
     /*! Operate
      * \param xcv1 the first curve
-     * \param xcv2 the second curve 
+     * \param xcv2 the second curve
      * \param p the reference point
      * \return the comparison result
      */
@@ -501,7 +501,7 @@ public:
       return cr;
     }
   };
-  
+
   /*! A functor that divides a curve into x-monotone curves. */
   class Make_x_monotone_2 {
   private:
@@ -524,7 +524,7 @@ public:
     {
       if (!m_enabled) return m_object(cv, oi);
       std::cout << "make_x_monotone" << std::endl
-                << "  cv: " << cv << std::endl;        
+                << "  cv: " << cv << std::endl;
       std::list<CGAL::Object> container;
       m_object(cv, std::back_inserter(container));
       if (container.empty()) return oi;
@@ -544,7 +544,7 @@ public:
           continue;
         }
       }
-      
+
       for (it = container.begin(); it != container.end(); ++it) *oi++ = *it;
       container.clear();
       return oi;
@@ -633,7 +633,7 @@ public:
           continue;
         }
       }
-      
+
       for (it = container.begin(); it != container.end(); ++it) *oi++ = *it;
       container.clear();
       return oi;
@@ -768,7 +768,7 @@ public:
     Parameter_space_in_x_2(const Base * base, bool enabled = true) :
       m_object(base->parameter_space_in_x_2_object()), m_enabled(enabled)
     {}
-    
+
     /*! Operate
      * \param xcv the curve the end of which is tested
      * \param ce the curve-end identifier
@@ -786,14 +786,14 @@ public:
     }
   };
 
-  /*! A functor that determines whether a point or curve is on 
+  /*! A functor that determines whether a point or curve is on
    * x-identification.
    */
   class Is_on_x_identification_2 {
   private:
     typename Base::Is_on_x_identification_2 m_object;
     bool m_enabled;
-    
+
   public:
     /*! Construct */
     Is_on_x_identification_2(const Base * base, bool enabled = true) :
@@ -832,7 +832,7 @@ public:
   private:
     typename Base::Compare_y_on_boundary_2 m_object;
     bool m_enabled;
-    
+
   public:
     /*! Construct */
     Compare_y_on_boundary_2(const Base * base, bool enabled = true) :
@@ -863,7 +863,7 @@ public:
   private:
     typename Base::Compare_y_near_boundary_2 m_object;
     bool m_enabled;
-    
+
   public:
     /*! Construct */
     Compare_y_near_boundary_2(const Base * base, bool enabled = true) :
@@ -876,7 +876,7 @@ public:
      * \return the comparison result
      */
     Comparison_result operator()(const X_monotone_curve_2 & xcv1,
-                                 const X_monotone_curve_2 & xcv2, 
+                                 const X_monotone_curve_2 & xcv2,
                                  Arr_curve_end ce) const
     {
       if (!m_enabled) return m_object(xcv1, xcv2, ce);
@@ -904,7 +904,7 @@ public:
     /*! Construct */
     Parameter_space_in_y_2(const Base * base, bool enabled = true) :
       m_object(base->parameter_space_in_y_2_object()), m_enabled(enabled) {}
-    
+
     /*! Operate
      * \param xcv the curve the end of which is tested
      * \param ce the curve-end identifier
@@ -936,14 +936,14 @@ public:
     }
   };
 
-  /*! A functor that determines whether a point or curve is on 
+  /*! A functor that determines whether a point or curve is on
    * y-identification.
    */
   class Is_on_y_identification_2 {
   private:
     typename Base::Is_on_y_identification_2 m_object;
     bool m_enabled;
-    
+
   public:
     /*! Construct */
     Is_on_y_identification_2(const Base * base, bool enabled = true) :
@@ -982,14 +982,14 @@ public:
   private:
     typename Base::Compare_x_at_limit_2 m_object;
     bool m_enabled;
-    
+
   public:
     /*! Construct */
     Compare_x_at_limit_2(const Base * base, bool enabled = true) :
       m_object(base->compare_x_at_limit_2_object()), m_enabled(enabled) {}
 
     /*! Operate
-     * \param p the first point 
+     * \param p the first point
      * \param xcv the curve the end of which is to be compared
      * \param ce the curve-end identifier
      * \return the comparison result
@@ -1037,7 +1037,7 @@ public:
   private:
     typename Base::Compare_x_near_limit_2 m_object;
     bool m_enabled;
-    
+
   public:
     /*! Construct */
     Compare_x_near_limit_2(const Base * base, bool enabled = true) :
@@ -1058,7 +1058,7 @@ public:
       std::cout << "compare_x_near_limit 2" << std::endl
                 << "  xcv1: " << xcv1 << std::endl
                 << "  xcv2: " << xcv2 << std::endl
-		<< "    ce: " << ce << std::endl; 
+                << "    ce: " << ce << std::endl;
       Comparison_result cr = m_object(xcv1, xcv2, ce);
       std::cout << "  result: " << cr << std::endl;
       return cr;
@@ -1072,7 +1072,7 @@ public:
   private:
     typename Base::Compare_x_on_boundary_2 m_object;
     bool m_enabled;
-    
+
   public:
     /*! Construct */
     Compare_x_on_boundary_2(const Base * base, bool enabled = true) :
@@ -1097,7 +1097,7 @@ public:
      * \param xcv the curve.
      * \param ce the curve-end
      */
-    Comparison_result operator()(const Point_2 & pt, 
+    Comparison_result operator()(const Point_2 & pt,
                                  const X_monotone_curve_2 & xcv, Arr_curve_end ce) const
     {
       if (!m_enabled) return m_object(pt, xcv, ce);
@@ -1131,7 +1131,7 @@ public:
     }
 
   };
-  
+
   /*! A functor that compares the x-coordinates of curve ends near the
    * boundary of the parameter space.
    */
@@ -1139,7 +1139,7 @@ public:
   private:
     typename Base::Compare_x_near_boundary_2 m_object;
     bool m_enabled;
-    
+
   public:
     /*! Construct */
     Compare_x_near_boundary_2(const Base * base, bool enabled = true) :
@@ -1160,7 +1160,7 @@ public:
       std::cout << "compare_x_near_boundary 2" << std::endl
                 << "  xcv1: " << xcv1 << std::endl
                 << "  xcv2: " << xcv2 << std::endl
-		<< "    ce: " << ce << std::endl; 
+                << "    ce: " << ce << std::endl;
       Comparison_result cr = m_object(xcv1, xcv2, ce);
       std::cout << "  result: " << cr << std::endl;
       return cr;
@@ -1174,7 +1174,7 @@ public:
 
   Compare_x_2 compare_x_2_object() const
   { return Compare_x_2(this, compare_x_op()); }
-  
+
   Compare_xy_2 compare_xy_2_object() const
   { return Compare_xy_2(this, compare_xy_op()); }
 
@@ -1186,10 +1186,10 @@ public:
 
   Is_vertical_2 is_vertical_2_object() const
   { return Is_vertical_2(this, is_vertical_op()); }
-  
+
   Compare_y_at_x_2 compare_y_at_x_2_object() const
   { return Compare_y_at_x_2(this, compare_y_at_x_op()); }
-  
+
   Equal_2 equal_2_object() const
   { return Equal_2(this, equal_points_op(), equal_curves_op()); }
 
@@ -1198,7 +1198,7 @@ public:
 
   Compare_y_at_x_right_2 compare_y_at_x_right_2_object() const
   { return Compare_y_at_x_right_2(this, compare_y_at_x_right_op()); }
-  
+
   Make_x_monotone_2 make_x_monotone_2_object() const
   { return Make_x_monotone_2(this, make_x_monotone_op()); }
 
@@ -1225,9 +1225,9 @@ public:
   Parameter_space_in_x_2 parameter_space_in_x_2_object() const
   { return Parameter_space_in_x_2(this, parameter_space_in_x_op()); }
 
-  Is_on_x_identification_2 is_on_x_identification_2_object() const 
+  Is_on_x_identification_2 is_on_x_identification_2_object() const
   { return Is_on_x_identification_2(this, is_on_x_identification_op()); }
-  
+
   Compare_y_on_boundary_2 compare_y_on_boundary_2_object() const
   { return Compare_y_on_boundary_2(this, compare_y_on_boundary_op()); }
 
@@ -1235,11 +1235,11 @@ public:
   { return Compare_y_near_boundary_2(this, compare_y_near_boundary_op()); }
 
   // bottom-top
-  
+
   Parameter_space_in_y_2 parameter_space_in_y_2_object() const
   { return Parameter_space_in_y_2(this, parameter_space_in_y_op()); }
-  
-  Is_on_y_identification_2 is_on_y_identification_2_object() const 
+
+  Is_on_y_identification_2 is_on_y_identification_2_object() const
   { return Is_on_y_identification_2(this, is_on_y_identification_op()); }
 
   Compare_x_at_limit_2 compare_x_at_limit_2_object() const
diff -pruN 5.0.2-3/include/CGAL/Arr_trapezoid_ric_point_location.h 5.0.3-1/include/CGAL/Arr_trapezoid_ric_point_location.h
--- 5.0.2-3/include/CGAL/Arr_trapezoid_ric_point_location.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_trapezoid_ric_point_location.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_trapezoid_ric_point_location.h $
-// $Id: Arr_trapezoid_ric_point_location.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_trapezoid_ric_point_location.h $
+// $Id: Arr_trapezoid_ric_point_location.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Idit Haran   <haranidi@post.tau.ac.il>
 //                 (based on old version by Oren Nechushtan and Iddo Hanniel)
@@ -42,28 +42,28 @@ public:
   typedef Arrangement_                          Arrangement_on_surface_2;
 
   //type of geometry traits
-  typedef typename Arrangement_on_surface_2::Geometry_traits_2		
+  typedef typename Arrangement_on_surface_2::Geometry_traits_2
                                                 Geometry_traits_2;
   //type of traits adaptor
-  typedef typename Arrangement_on_surface_2::Traits_adaptor_2		
+  typedef typename Arrangement_on_surface_2::Traits_adaptor_2
                                                 Traits_adaptor_2;
   //type of vertex handle
   typedef typename Arrangement_on_surface_2::Vertex_handle
                                                 Vertex_handle;
   //type of vertex const handle
-  typedef typename Arrangement_on_surface_2::Vertex_const_handle	
+  typedef typename Arrangement_on_surface_2::Vertex_const_handle
                                                 Vertex_const_handle;
   //type of halfedge handle
-  typedef typename Arrangement_on_surface_2::Halfedge_handle	
+  typedef typename Arrangement_on_surface_2::Halfedge_handle
                                                 Halfedge_handle;
   //type of halfedge const handle
-  typedef typename Arrangement_on_surface_2::Halfedge_const_handle	
+  typedef typename Arrangement_on_surface_2::Halfedge_const_handle
                                                 Halfedge_const_handle;
   //type of face const handle
-  typedef typename Arrangement_on_surface_2::Face_const_handle		
+  typedef typename Arrangement_on_surface_2::Face_const_handle
                                                 Face_const_handle;
   //type of edge const iterator
-  typedef typename Arrangement_on_surface_2::Edge_const_iterator	
+  typedef typename Arrangement_on_surface_2::Edge_const_iterator
                                                 Edge_const_iterator;
   //type of isolated vertex const iterator
   typedef typename Arrangement_on_surface_2::Isolated_vertex_const_iterator
@@ -72,37 +72,37 @@ public:
   typedef typename Geometry_traits_2::Point_2             Point_2;
 
   //type of x-monotone curve
-  typedef typename Geometry_traits_2::X_monotone_curve_2  
+  typedef typename Geometry_traits_2::X_monotone_curve_2
                                                 X_monotone_curve_2;
-  
+
   //type of trapezoidal decomposition traits class
-  typedef CGAL::Td_traits<Traits_adaptor_2, Arrangement_on_surface_2> 
+  typedef CGAL::Td_traits<Traits_adaptor_2, Arrangement_on_surface_2>
                                                 Td_traits;
   //type of trapezoidal decomposition class
-  typedef Trapezoidal_decomposition_2<Td_traits>    
+  typedef Trapezoidal_decomposition_2<Td_traits>
                                                 Trapezoidal_decomposition;
-  
+
   //!types of Td_map_item-s
-  typedef typename Trapezoidal_decomposition::Td_map_item       
+  typedef typename Trapezoidal_decomposition::Td_map_item
                                                 Td_map_item;
-  typedef typename Trapezoidal_decomposition::Td_active_vertex  
+  typedef typename Trapezoidal_decomposition::Td_active_vertex
                                                 Td_active_vertex;
-  typedef typename Trapezoidal_decomposition::Td_active_fictitious_vertex  
+  typedef typename Trapezoidal_decomposition::Td_active_fictitious_vertex
                                                 Td_active_fictitious_vertex;
-  typedef typename Trapezoidal_decomposition::Td_active_edge  
+  typedef typename Trapezoidal_decomposition::Td_active_edge
                                                 Td_active_edge;
-  typedef typename Trapezoidal_decomposition::Td_active_trapezoid  
+  typedef typename Trapezoidal_decomposition::Td_active_trapezoid
                                                 Td_active_trapezoid;
   //!type of side tags
-  typedef typename Traits_adaptor_2::Left_side_category   
+  typedef typename Traits_adaptor_2::Left_side_category
                                                 Left_side_category;
-  typedef typename Traits_adaptor_2::Bottom_side_category 
+  typedef typename Traits_adaptor_2::Bottom_side_category
                                                 Bottom_side_category;
-  typedef typename Traits_adaptor_2::Top_side_category    
+  typedef typename Traits_adaptor_2::Top_side_category
                                                 Top_side_category;
-  typedef typename Traits_adaptor_2::Right_side_category  
+  typedef typename Traits_adaptor_2::Right_side_category
                                                 Right_side_category;
- 
+
 protected:
   typedef Arr_point_location_result<Arrangement_on_surface_2>        Result;
   typedef typename Result::Type                           Result_type;
@@ -115,8 +115,8 @@ protected:
   //type of trapezoidal decomposition class
   typedef Trapezoidal_decomposition             TD;
 
-  typedef typename Arr_are_all_sides_oblivious_tag< 
-                     Left_side_category, Bottom_side_category, 
+  typedef typename Arr_are_all_sides_oblivious_tag<
+                     Left_side_category, Bottom_side_category,
                      Top_side_category, Right_side_category >::result
     Are_all_sides_oblivious_category;
 
@@ -125,7 +125,7 @@ protected:
   TD  td;       // instance of trapezoidal decomposition
   bool m_with_guarantees;
   //for the notification functions
-  X_monotone_curve_2  m_cv_before_split; 
+  X_monotone_curve_2  m_cv_before_split;
   Halfedge_handle     m_he_after_merge;
   //X_monotone_curve_2        m_cv_before_merge1;
   //X_monotone_curve_2        m_cv_before_merge2;
@@ -136,9 +136,9 @@ protected:
 
 public:
   /*! Default constructor. */
-  Arr_trapezoid_ric_point_location (bool with_guarantees = true, 
-                           double depth_thrs = CGAL_TD_DEFAULT_DEPTH_THRESHOLD, 
-                           double size_thrs = CGAL_TD_DEFAULT_SIZE_THRESHOLD) 
+  Arr_trapezoid_ric_point_location (bool with_guarantees = true,
+                           double depth_thrs = CGAL_TD_DEFAULT_DEPTH_THRESHOLD,
+                           double size_thrs = CGAL_TD_DEFAULT_SIZE_THRESHOLD)
     : m_traits (nullptr), m_with_guarantees(with_guarantees)
   {
     td.set_with_guarantees(with_guarantees);
@@ -147,11 +147,11 @@ public:
   }
 
   /*! Constructor given an arrangement. */
-  Arr_trapezoid_ric_point_location (const Arrangement_on_surface_2& arr, 
-                           bool with_guarantees = true, 
-                           double depth_thrs = CGAL_TD_DEFAULT_DEPTH_THRESHOLD, 
+  Arr_trapezoid_ric_point_location (const Arrangement_on_surface_2& arr,
+                           bool with_guarantees = true,
+                           double depth_thrs = CGAL_TD_DEFAULT_DEPTH_THRESHOLD,
                            double size_thrs = CGAL_TD_DEFAULT_SIZE_THRESHOLD) :
-    Arr_observer<Arrangement_on_surface_2> 
+    Arr_observer<Arrangement_on_surface_2>
               (const_cast<Arrangement_on_surface_2 &>(arr)),
     m_with_guarantees(with_guarantees)
   {
@@ -166,11 +166,11 @@ public:
   /*! Destructor. */
   ~Arr_trapezoid_ric_point_location () { }
 
-  /*! defines whether the underlying search structure guarantees logarithmic 
+  /*! defines whether the underlying search structure guarantees logarithmic
    *   query time and linear size */
   void with_guarantees (bool with_guarantees)
   {
-    //if with_guarantees was changed from false to true - reconstruct 
+    //if with_guarantees was changed from false to true - reconstruct
     //  the search structure with guarantees
     td.set_with_guarantees(with_guarantees);
     if (with_guarantees && !m_with_guarantees)
@@ -180,8 +180,8 @@ public:
     }
     m_with_guarantees = with_guarantees;
   }
-  
-  /*! returns the depth of the underlying search structure 
+
+  /*! returns the depth of the underlying search structure
    *    (the longest path in the DAG)
    */
   unsigned long depth() //longest_dag_path()
@@ -250,7 +250,7 @@ public:
   }
 
   virtual void after_assign ()
-  { 
+  {
     _construct_td();
   }
 
@@ -286,22 +286,22 @@ public:
     td.insert(e);
   }
 
-  //TODO IDIT OREN: what can be done in order to avoid the need 
-  //to save the original curve is to find the common endpoint of the 
-  //two new halfedges, locate it in the trapezoid in order to find the 
-  //curve it lies on, which is the curve that was split, and then remove 
+  //TODO IDIT OREN: what can be done in order to avoid the need
+  //to save the original curve is to find the common endpoint of the
+  //two new halfedges, locate it in the trapezoid in order to find the
+  //curve it lies on, which is the curve that was split, and then remove
   //this curve.
   virtual void before_split_edge (Halfedge_handle e,
-				                          Vertex_handle /* v */,
+                                                          Vertex_handle /* v */,
                                   const X_monotone_curve_2&  /* cv1 */ ,
                                   const X_monotone_curve_2&  /* cv2 */ )
   {
-  
+
     ////MICHAL: commented due to inefficient depth update, remove and insert instead
     ////save the curve for the "after" function.
     //m_cv_before_split = e->curve();
-    //td.before_split_edge(m_cv_before_split, cv1, cv2); 
-    
+    //td.before_split_edge(m_cv_before_split, cv1, cv2);
+
     td.remove(e);
   }
 
@@ -310,7 +310,7 @@ public:
   {
     //MICHAL: commented due to inefficient depth update, remove and insert instead
     //td.split_edge(m_cv_before_split,e1,e2);
-    
+
     td.insert(e1);
     td.insert(e2);
   }
@@ -351,8 +351,8 @@ protected:
   void _construct_td ()
   {
     td.clear();
- 
-    std::vector<Halfedge_const_handle> he_container; 
+
+    std::vector<Halfedge_const_handle> he_container;
     Edge_const_iterator eit;
     Halfedge_const_handle he_cst;
     Arrangement_on_surface_2 *arr = this->arrangement();
@@ -363,7 +363,7 @@ protected:
       he_container.push_back(he_cst);
     }
     //container insertion
-    td.insert(he_container.begin(), he_container.end()); 
+    td.insert(he_container.begin(), he_container.end());
   }
 
   /*! gets the unbounded face that contains the point when the trapezoid is
@@ -373,9 +373,9 @@ protected:
    * \param Arr_all_sides_oblivious_tag
    * \return A Face_const_handle representing the arrangement unbounded face in
    *         which the point p lies
-   */ 
+   */
   Face_const_handle _get_unbounded_face (const Td_map_item& tr,
-                                         const Point_2& p, 
+                                         const Point_2& p,
                                          Arr_all_sides_oblivious_tag) const;
 
   /*! gets the unbounded face that contains the point when the trapezoid is
@@ -383,11 +383,11 @@ protected:
    * \param tr The unbounded trapezoid whose face we should get
    * \param p  The query point.
    * \param Arr_not_all_sides_oblivious_tag
-   * \return A Face_const_handle representing the arrangement unbounded face in which 
+   * \return A Face_const_handle representing the arrangement unbounded face in which
    *         the point p lies
-   */ 
+   */
   Face_const_handle _get_unbounded_face (const Td_map_item& tr,
-                                         const Point_2& p, 
+                                         const Point_2& p,
                                          Arr_not_all_sides_oblivious_tag) const;
 
   /*!
@@ -405,10 +405,10 @@ protected:
    * (or unbounded face)
    * we check the isolated vertices inside the face to check whether there
    * is an isolated vertex right above/below the query point.
-   */ 
+   */
   result_type
   _check_isolated_for_vertical_ray_shoot
-                             (Halfedge_const_handle halfedge_found, 
+                             (Halfedge_const_handle halfedge_found,
                               const Point_2& p, bool shoot_up,
                               const Td_map_item& tr) const;
 };
diff -pruN 5.0.2-3/include/CGAL/Arr_triangulation_point_location.h 5.0.3-1/include/CGAL/Arr_triangulation_point_location.h
--- 5.0.2-3/include/CGAL/Arr_triangulation_point_location.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_triangulation_point_location.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_triangulation_point_location.h $
-// $Id: Arr_triangulation_point_location.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_triangulation_point_location.h $
+// $Id: Arr_triangulation_point_location.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Idit Haran   <haranidi@post.tau.ac.il>
@@ -50,9 +50,9 @@ public:
   typedef typename Arrangement_2::Vertex_const_handle   Vertex_const_handle;
   typedef typename Arrangement_2::Halfedge_const_handle Halfedge_const_handle;
   typedef typename Arrangement_2::Face_const_handle     Face_const_handle;
-  typedef typename Arrangement_2::Vertex_handle		Vertex_handle;
-  typedef typename Arrangement_2::Halfedge_handle	Halfedge_handle;
-  typedef typename Arrangement_2::Face_handle		Face_handle;
+  typedef typename Arrangement_2::Vertex_handle                Vertex_handle;
+  typedef typename Arrangement_2::Halfedge_handle        Halfedge_handle;
+  typedef typename Arrangement_2::Face_handle                Face_handle;
 
   typedef typename Arrangement_2::Vertex_const_iterator Vertex_const_iterator;
   typedef typename Arrangement_2::Edge_const_iterator   Edge_const_iterator;
diff -pruN 5.0.2-3/include/CGAL/Arr_unb_planar_topology_traits_2.h 5.0.3-1/include/CGAL/Arr_unb_planar_topology_traits_2.h
--- 5.0.2-3/include/CGAL/Arr_unb_planar_topology_traits_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_unb_planar_topology_traits_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_unb_planar_topology_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_unb_planar_topology_traits_2.h $
 // $Id: Arr_unb_planar_topology_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_vertex_index_map.h 5.0.3-1/include/CGAL/Arr_vertex_index_map.h
--- 5.0.2-3/include/CGAL/Arr_vertex_index_map.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_vertex_index_map.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_vertex_index_map.h $
-// $Id: Arr_vertex_index_map.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_vertex_index_map.h $
+// $Id: Arr_vertex_index_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein          <wein@post.tau.ac.il>
 //                 Efi Fogel         <efif@post.tau.ac.il>
@@ -201,11 +201,11 @@ public:
   {
     // Update the number of vertices.
     n_vertices--;
-    
+
     // Reduce memory consumption in case the number of vertices has
     // drastically decreased.
-    if (2*n_vertices+1 < rev_map.size() && 
-	rev_map.size() / 2 >= MIN_REV_MAP_SIZE)
+    if (2*n_vertices+1 < rev_map.size() &&
+        rev_map.size() / 2 >= MIN_REV_MAP_SIZE)
     {
       rev_map.resize (rev_map.size() / 2);
     }
@@ -216,7 +216,7 @@ public:
 
     if (index == n_vertices)
       return;
-    
+
     Vertex_handle  last_v = rev_map[n_vertices];
     index_map[last_v] = index;
     rev_map[index] = last_v;
@@ -227,13 +227,13 @@ public:
   //@}
 
 private:
-  
+
   /*! Initialize the map for the given arrangement. */
   void _init ()
   {
     // Get the number of vertices and allocate the reverse map accordingly.
     n_vertices = static_cast<unsigned int>(this->arrangement()->number_of_vertices());
-    
+
     if (n_vertices < MIN_REV_MAP_SIZE)
       rev_map.resize (MIN_REV_MAP_SIZE);
     else
@@ -242,20 +242,20 @@ private:
     // Clear the current mapping.
     index_map.clear();
 
-    // Create the initial mapping. 
+    // Create the initial mapping.
     typename Arrangement_2::Vertex_iterator   vit;
     Vertex_handle                             vh;
     unsigned int                              index = 0;
 
     for (vit = this->arrangement()->vertices_begin();
-	 vit != this->arrangement()->vertices_end(); ++vit, ++index)
+         vit != this->arrangement()->vertices_end(); ++vit, ++index)
     {
       // Map the current vertex to the current index.
       vh = vit;
       index_map[vh] = index;
       rev_map[index] = vh;
     }
-  }  
+  }
 
 };
 
@@ -268,8 +268,8 @@ private:
  */
 template<class Arrangement>
 unsigned int get (const CGAL::Arr_vertex_index_map<Arrangement>& index_map,
-		  typename Arrangement::Vertex_handle v) 
-{ 
+                  typename Arrangement::Vertex_handle v)
+{
   return index_map[v];
 }
 
diff -pruN 5.0.2-3/include/CGAL/Arr_vertex_map.h 5.0.3-1/include/CGAL/Arr_vertex_map.h
--- 5.0.2-3/include/CGAL/Arr_vertex_map.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_vertex_map.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_vertex_map.h $
-// $Id: Arr_vertex_map.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_vertex_map.h $
+// $Id: Arr_vertex_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein          <wein@post.tau.ac.il>
 //                 Efi Fogel         <efif@post.tau.ac.il>
diff -pruN 5.0.2-3/include/CGAL/Arr_vertical_decomposition_2.h 5.0.3-1/include/CGAL/Arr_vertical_decomposition_2.h
--- 5.0.2-3/include/CGAL/Arr_vertical_decomposition_2.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_vertical_decomposition_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_vertical_decomposition_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_vertical_decomposition_2.h $
 // $Id: Arr_vertical_decomposition_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Arr_walk_along_line_point_location.h 5.0.3-1/include/CGAL/Arr_walk_along_line_point_location.h
--- 5.0.2-3/include/CGAL/Arr_walk_along_line_point_location.h	2020-02-21 20:02:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Arr_walk_along_line_point_location.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Arr_walk_along_line_point_location.h $
-// $Id: Arr_walk_along_line_point_location.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Arr_walk_along_line_point_location.h $
+// $Id: Arr_walk_along_line_point_location.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein   <wein@post.tau.ac.il>
 //                 (based on old version by Oren Nechushtan and Iddo Hanniel)
@@ -67,7 +67,7 @@ protected:
     Isolated_vertex_const_iterator;
 
   // Data members:
-  const Arrangement_2*    p_arr;        // The associated arrangement.  
+  const Arrangement_2*    p_arr;        // The associated arrangement.
   const Traits_adaptor_2* geom_traits;  // Its associated geometry traits.
   const Topology_traits*  top_traits;   // Its associated topology traits.
 
@@ -77,12 +77,12 @@ protected:
 
 public:
   /*! Default constructor. */
-  Arr_walk_along_line_point_location() : 
+  Arr_walk_along_line_point_location() :
     p_arr(nullptr),
     geom_traits(nullptr),
     top_traits(nullptr)
   {}
-        
+
   /*! Constructor given an arrangement. */
   Arr_walk_along_line_point_location(const Arrangement_2& arr) :
     p_arr(&arr)
@@ -93,7 +93,7 @@ public:
   }
 
   /*! Attach an arrangement object. */
-  void attach(const Arrangement_2& arr) 
+  void attach(const Arrangement_2& arr)
   {
     p_arr = &arr;
     geom_traits =
@@ -108,7 +108,7 @@ public:
     geom_traits = nullptr;
     top_traits = nullptr;
   }
- 
+
   /*!
    * Locate the arrangement feature containing the given point.
    * \param p The query point.
@@ -168,7 +168,7 @@ protected:
    * \param is_on_edge Output: Is the query point located on closest_he.
    * \param closest_to_target Output: Whether the closest point to p in
    *                                  closest_he to p is its target (in case
-   *                                  p is not located on closest_he). 
+   *                                  p is not located on closest_he).
    * \return (true) if p is contained in the connected component;
    *         (false) otherwise.
    */
diff -pruN 5.0.2-3/include/CGAL/assertions_behaviour.h 5.0.3-1/include/CGAL/assertions_behaviour.h
--- 5.0.2-3/include/CGAL/assertions_behaviour.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/assertions_behaviour.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/assertions_behaviour.h $
-// $Id: assertions_behaviour.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/assertions_behaviour.h $
+// $Id: assertions_behaviour.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/assertions.h 5.0.3-1/include/CGAL/assertions.h
--- 5.0.2-3/include/CGAL/assertions.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/assertions.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/assertions.h $
-// $Id: assertions.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/assertions.h $
+// $Id: assertions.h 822bc55 2020-03-27T08:28:48+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -54,9 +54,9 @@ namespace CGAL {
 // =====================
 // failure functions
 // -----------------
-CGAL_EXPORT CGAL_NORETURN void assertion_fail      ( const char*, const char*, int, const char* = "") ;
-CGAL_EXPORT CGAL_NORETURN void precondition_fail   ( const char*, const char*, int, const char* = "") ;
-CGAL_EXPORT CGAL_NORETURN void postcondition_fail  ( const char*, const char*, int, const char* = "") ;
+[[noreturn]] CGAL_EXPORT void assertion_fail      ( const char*, const char*, int, const char* = "") ;
+[[noreturn]] CGAL_EXPORT void precondition_fail   ( const char*, const char*, int, const char* = "") ;
+[[noreturn]] CGAL_EXPORT void postcondition_fail  ( const char*, const char*, int, const char* = "") ;
 
 // warning function
 // ----------------
@@ -131,7 +131,7 @@ inline bool possibly(Uncertain<bool> c);
 
 #    define CGAL_static_assertion(EX) \
      BOOST_STATIC_ASSERT(true) CGAL_UNUSED
-  
+
 #    define CGAL_static_assertion_msg(EX,MSG) \
      BOOST_STATIC_ASSERT(true) CGAL_UNUSED
 
@@ -139,14 +139,14 @@ inline bool possibly(Uncertain<bool> c);
 
 #    define CGAL_static_assertion(EX) \
      BOOST_STATIC_ASSERT(EX) CGAL_UNUSED
-  
+
 #    define CGAL_static_assertion_msg(EX,MSG) \
      BOOST_STATIC_ASSERT(EX) CGAL_UNUSED
 
 #  endif // no CGAL_NO_ASSERTIONS
 
 #endif // if CGAL_CFG_NO_CPP0X_STATIC_ASSERT is true
-  
+
 #if defined(CGAL_NO_ASSERTIONS) || !defined(CGAL_CHECK_EXACTNESS)
 #  define CGAL_exactness_assertion(EX) (static_cast<void>(0))
 #  define CGAL_exactness_assertion_msg(EX,MSG) (static_cast<void>(0))
@@ -223,7 +223,7 @@ inline bool possibly(Uncertain<bool> c);
 #  define CGAL_expensive_precondition_code(CODE) CODE
 #endif // CGAL_NO_PRECONDITIONS
 
-#if defined(CGAL_NO_PRECONDITIONS) || !defined(CGAL_CHECK_EXACTNESS) || !defined(CGAL_CHECK_EXPENSIVE) 
+#if defined(CGAL_NO_PRECONDITIONS) || !defined(CGAL_CHECK_EXACTNESS) || !defined(CGAL_CHECK_EXPENSIVE)
 #  define CGAL_expensive_exactness_precondition(EX) (static_cast<void>(0))
 #  define CGAL_expensive_exactness_precondition_msg(EX,MSG) (static_cast<void>(0))
 #  define CGAL_expensive_exactness_precondition_code(CODE)
diff -pruN 5.0.2-3/include/CGAL/assertions_impl.h 5.0.3-1/include/CGAL/assertions_impl.h
--- 5.0.2-3/include/CGAL/assertions_impl.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/assertions_impl.h	2020-08-01 19:02:47.000000000 +0000
@@ -7,8 +7,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/assertions_impl.h $
-// $Id: assertions_impl.h 01f69b5 2019-12-08T01:25:41-08:00 Fritz Mueller
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/assertions_impl.h $
+// $Id: assertions_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -86,7 +86,7 @@ _standard_error_handler(
          << "Line       : " << line << std::endl
          << "Explanation: " << msg << std::endl
          << "Refer to the bug-reporting instructions at https://www.cgal.org/bug_report.html"
-	 << std::endl;
+         << std::endl;
 }
 
 
@@ -111,7 +111,7 @@ _standard_warning_handler( const char *,
          << "Line       : " << line << std::endl
          << "Explanation: " << msg << std::endl
          << "Refer to the bug-reporting instructions at https://www.cgal.org/bug_report.html"
-	 << std::endl;
+         << std::endl;
 }
 
 } // anonymous namespace
diff -pruN 5.0.2-3/include/CGAL/atomic.h 5.0.3-1/include/CGAL/atomic.h
--- 5.0.2-3/include/CGAL/atomic.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/atomic.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/atomic.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/atomic.h $
 // $Id: atomic.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 
diff -pruN 5.0.2-3/include/CGAL/auto_link/auto_link.h 5.0.3-1/include/CGAL/auto_link/auto_link.h
--- 5.0.2-3/include/CGAL/auto_link/auto_link.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/auto_link/auto_link.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,4 +1,4 @@
-// This header file is a copy of "boost/config/auto_link.hpp" 
+// This header file is a copy of "boost/config/auto_link.hpp"
 // from boost version 1.44.0
 // but slightly modified to accommodate CGAL libraries.
 //
@@ -9,8 +9,8 @@
 //  (C) Copyright John Maddock 2003.
 //
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/auto_link/auto_link.h $
-// $Id: auto_link.h bff5db6 2019-10-31T14:17:20+01:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/auto_link/auto_link.h $
+// $Id: auto_link.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: BSL-1.0
 //
  /*
@@ -433,7 +433,7 @@ CGAL_VERSION:        Defined in <CGAL/ve
 #if defined(CGAL_LIB_NAME)
 #  undef CGAL_LIB_NAME
 #endif
-// Don't undef this one: it can be set by the user and should be the 
+// Don't undef this one: it can be set by the user and should be the
 // same for all libraries:
 //#if defined(CGAL_LIB_TOOLSET)
 //#  undef CGAL_LIB_TOOLSET
diff -pruN 5.0.2-3/include/CGAL/auto_link/CGAL.h 5.0.3-1/include/CGAL/auto_link/CGAL.h
--- 5.0.2-3/include/CGAL/auto_link/CGAL.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/auto_link/CGAL.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/auto_link/CGAL.h $
-// $Id: CGAL.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/auto_link/CGAL.h $
+// $Id: CGAL.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Fernando Cacciola (fernando.cacciola@geometryfactry.com)
 
diff -pruN 5.0.2-3/include/CGAL/auto_link/CORE.h 5.0.3-1/include/CGAL/auto_link/CORE.h
--- 5.0.2-3/include/CGAL/auto_link/CORE.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/auto_link/CORE.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/auto_link/CORE.h $
-// $Id: CORE.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/auto_link/CORE.h $
+// $Id: CORE.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Fernando Cacciola (fernando.cacciola@geometryfactry.com)
 
@@ -15,7 +15,7 @@
 #include <CGAL/config.h>
 
 #ifndef CGAL_NO_AUTOLINK_CORE
-#if ( ! defined( CGAL_EXPORTS ) ) && (! defined ( CGAL_Core_EXPORTS ) ) 
+#if ( ! defined( CGAL_EXPORTS ) ) && (! defined ( CGAL_Core_EXPORTS ) )
 
 // If CGAL_EXPORTS is defined it means that we are building the CGAL
 // library as a DLL. The CGAL.dll does not really depend on CGAL_Core,
diff -pruN 5.0.2-3/include/CGAL/auto_link/ImageIO.h 5.0.3-1/include/CGAL/auto_link/ImageIO.h
--- 5.0.2-3/include/CGAL/auto_link/ImageIO.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/auto_link/ImageIO.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/auto_link/ImageIO.h $
-// $Id: ImageIO.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/auto_link/ImageIO.h $
+// $Id: ImageIO.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Fernando Cacciola (fernando.cacciola@geometryfactry.com)
 
@@ -15,7 +15,7 @@
 #include <CGAL/config.h>
 
 #ifndef CGAL_NO_AUTOLINK_IMAGEIO
-#if ( ! defined( CGAL_EXPORTS ) ) && (! defined ( CGAL_ImageIO_EXPORTS ) ) 
+#if ( ! defined( CGAL_EXPORTS ) ) && (! defined ( CGAL_ImageIO_EXPORTS ) )
 
 // If CGAL_EXPORTS is defined it means that we are building the CGAL
 // library as a DLL. The CGAL.dll does not really depend on CGAL_ImageIO,
diff -pruN 5.0.2-3/include/CGAL/auto_link/Qt.h 5.0.3-1/include/CGAL/auto_link/Qt.h
--- 5.0.2-3/include/CGAL/auto_link/Qt.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/auto_link/Qt.h	2020-08-01 19:02:21.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/auto_link/Qt.h $
-// $Id: Qt.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/auto_link/Qt.h $
+// $Id: Qt.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent Rineau
 
diff -pruN 5.0.2-3/include/CGAL/barycenter.h 5.0.3-1/include/CGAL/barycenter.h
--- 5.0.2-3/include/CGAL/barycenter.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/barycenter.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis_LGPL/include/CGAL/barycenter.h $
-// $Id: barycenter.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis_LGPL/include/CGAL/barycenter.h $
+// $Id: barycenter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
diff -pruN 5.0.2-3/include/CGAL/Barycentric_coordinates_2/barycentric_enum_2.h 5.0.3-1/include/CGAL/Barycentric_coordinates_2/barycentric_enum_2.h
--- 5.0.2-3/include/CGAL/Barycentric_coordinates_2/barycentric_enum_2.h	2020-02-21 20:02:57.000000000 +0000
+++ 5.0.3-1/include/CGAL/Barycentric_coordinates_2/barycentric_enum_2.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is a part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Barycentric_coordinates_2/include/CGAL/Barycentric_coordinates_2/barycentric_enum_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Barycentric_coordinates_2/include/CGAL/Barycentric_coordinates_2/barycentric_enum_2.h $
 // $Id: barycentric_enum_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Barycentric_coordinates_2/Discrete_harmonic_2.h 5.0.3-1/include/CGAL/Barycentric_coordinates_2/Discrete_harmonic_2.h
--- 5.0.2-3/include/CGAL/Barycentric_coordinates_2/Discrete_harmonic_2.h	2020-02-21 20:02:57.000000000 +0000
+++ 5.0.3-1/include/CGAL/Barycentric_coordinates_2/Discrete_harmonic_2.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is a part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Barycentric_coordinates_2/include/CGAL/Barycentric_coordinates_2/Discrete_harmonic_2.h $
-// $Id: Discrete_harmonic_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Barycentric_coordinates_2/include/CGAL/Barycentric_coordinates_2/Discrete_harmonic_2.h $
+// $Id: Discrete_harmonic_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Dmitry Anisimov, David Bommes, Kai Hormann, and Pierre Alliez.
@@ -41,7 +41,7 @@ namespace Barycentric_coordinates {
 
 /*!
  * \ingroup PkgBarycentricCoordinates2Ref
- * The class `Discrete_harmonic_2` implements 2D discrete harmonic coordinates ( \cite cgal:bc:fhk-gcbcocp-06, \cite cgal:pp-cdmsc-93, \cite cgal:bc:eddhls-maam-95 ). 
+ * The class `Discrete_harmonic_2` implements 2D discrete harmonic coordinates ( \cite cgal:bc:fhk-gcbcocp-06, \cite cgal:pp-cdmsc-93, \cite cgal:bc:eddhls-maam-95 ).
  * This class is parameterized by a traits class `Traits`, and it is used as a coordinate class to complete the class `Generalized_barycentric_coordinates_2`.
  * For a polygon with three vertices (triangle) it is better to use the class `Triangle_coordinates_2`.
  * Discrete harmonic coordinates can be computed exactly. By definition, they do not necesserily give positive values.
@@ -54,7 +54,7 @@ namespace Barycentric_coordinates {
 
 */
 
-template<class Traits> 
+template<class Traits>
     class Discrete_harmonic_2
 {
 
@@ -103,10 +103,10 @@ public:
     // Computation of Discrete Harmonic Basis Functions
 
     // This function computes discrete harmonic barycentric coordinates for a chosen query point on the bounded side of a strictly convex polygon.
-    // \pre The provided polygon is strictly convex. 
+    // \pre The provided polygon is strictly convex.
     template<class OutputIterator>
         inline boost::optional<OutputIterator> coordinates_on_bounded_side(const Point_2 &query_point, OutputIterator &output, const Type_of_algorithm type_of_algorithm)
-    {   
+    {
         switch(type_of_algorithm)
         {
             case PRECISE:
@@ -129,7 +129,7 @@ public:
     // \pre The provided polygon is strictly convex.
     template<class OutputIterator>
         inline boost::optional<OutputIterator> coordinates_on_unbounded_side(const Point_2 &query_point, OutputIterator &output, const Type_of_algorithm type_of_algorithm, const bool warning_tag = true)
-    {   
+    {
         switch(type_of_algorithm)
         {
             case PRECISE:
@@ -356,7 +356,7 @@ private:
     {
         if(warning_tag)
             std::cout << std::endl << "ATTENTION: Discrete harmonic coordinates might be not well-defined outside the polygon!" << std::endl;
-        
+
         // Use the same formulas as for the bounded side since they are also valid on the unbounded side.
         return coordinates_on_bounded_side_fast_2(query_point, output);
     }
@@ -407,7 +407,7 @@ private:
             // Index of the last polygon's vertex.
             const int last = int(number_of_vertices) - 1;
 
-            // Test all the consequent triplets of the polygon's vertices on collinearity. 
+            // Test all the consequent triplets of the polygon's vertices on collinearity.
             // In case we find at least one, return WEAKLY_CONVEX polygon.
             if(collinear_2(vertex[last], vertex[0], vertex[1]))
                 return WEAKLY_CONVEX;
diff -pruN 5.0.2-3/include/CGAL/Barycentric_coordinates_2/Generalized_barycentric_coordinates_2.h 5.0.3-1/include/CGAL/Barycentric_coordinates_2/Generalized_barycentric_coordinates_2.h
--- 5.0.2-3/include/CGAL/Barycentric_coordinates_2/Generalized_barycentric_coordinates_2.h	2020-02-21 20:02:57.000000000 +0000
+++ 5.0.3-1/include/CGAL/Barycentric_coordinates_2/Generalized_barycentric_coordinates_2.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is a part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Barycentric_coordinates_2/include/CGAL/Barycentric_coordinates_2/Generalized_barycentric_coordinates_2.h $
-// $Id: Generalized_barycentric_coordinates_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Barycentric_coordinates_2/include/CGAL/Barycentric_coordinates_2/Generalized_barycentric_coordinates_2.h $
+// $Id: Generalized_barycentric_coordinates_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Dmitry Anisimov, David Bommes, Kai Hormann, and Pierre Alliez.
@@ -24,7 +24,7 @@
 #include <CGAL/Polygon_2_algorithms.h>
 
 // Barycentric coordinates headers.
-#include <CGAL/Barycentric_coordinates_2/Segment_coordinates_2.h> 
+#include <CGAL/Barycentric_coordinates_2/Segment_coordinates_2.h>
 #include <CGAL/Barycentric_coordinates_2/barycentric_enum_2.h>
 
 // Boost headers.
@@ -49,7 +49,7 @@ namespace Barycentric_coordinates {
 
 */
 
-template<class Coordinate_2, class Traits> 
+template<class Coordinate_2, class Traits>
     class Generalized_barycentric_coordinates_2
 {
 
@@ -89,7 +89,7 @@ public:
             number_of_vertices(vertex.size()),
             equal_2(barycentric_traits.equal_2_object()),
             collinear_2(barycentric_traits.collinear_2_object()),
-            collinear_are_ordered_along_line_2(barycentric_traits.collinear_are_ordered_along_line_2_object()) 
+            collinear_are_ordered_along_line_2(barycentric_traits.collinear_are_ordered_along_line_2_object())
     {
         CGAL_precondition( int(number_of_vertices) > 2 );
 
@@ -104,19 +104,19 @@ public:
     /// Computes generalized barycentric coordinates for any query point in the plane with respect to all the vertices of the polygon.
     /// Computed coordinates are stored in the output iterator `output`.
     ///
-    /// Different choices of the parameter `query_point_location` are possible: 
-    /// `CGAL::Barycentric_coordinates::UNSPECIFIED_LOCATION` - default constant with automatic check for a location, 
-    /// `CGAL::Barycentric_coordinates::ON_BOUNDED_SIDE` - for a strictly interior query point, 
+    /// Different choices of the parameter `query_point_location` are possible:
+    /// `CGAL::Barycentric_coordinates::UNSPECIFIED_LOCATION` - default constant with automatic check for a location,
+    /// `CGAL::Barycentric_coordinates::ON_BOUNDED_SIDE` - for a strictly interior query point,
     /// `CGAL::Barycentric_coordinates::ON_BOUNDARY` - for a query point on the boundary of the polygon,
     /// `CGAL::Barycentric_coordinates::ON_VERTEX` - for a query point at one of the polygon's vertices, and
     /// `CGAL::Barycentric_coordinates::ON_UNBOUNDED_SIDE` - for a strictly exterior query point.
     ///
-    /// Another parameter is `type_of_algorithm` with the following possible constants: 
+    /// Another parameter is `type_of_algorithm` with the following possible constants:
     /// `CGAL::Barycentric_coordinates::PRECISE` - default slow algorithm, which is as precise as possible and
     /// `CGAL::Barycentric_coordinates::FAST` - fast algorithm, which is less precise but much faster.
     template<class OutputIterator>
         inline boost::optional<OutputIterator> operator()(const Point_2 &query_point, OutputIterator output, Query_point_location query_point_location = UNSPECIFIED_LOCATION, Type_of_algorithm type_of_algorithm = PRECISE)
-    {   
+    {
         return coordinates_2(query_point, output, query_point_location, type_of_algorithm);
     }
 
@@ -127,7 +127,7 @@ public:
     /// \pre (0 <= index) && (index < number of the polygon's vertices).
     template<class OutputIterator>
         inline boost::optional<OutputIterator> compute_on_edge(const Point_2 &query_point, const int index, OutputIterator output) const
-    {    
+    {
         return coordinates_on_boundary_2(query_point, index, output);
     }
 
@@ -157,39 +157,39 @@ public:
     /// @{
 
     /// Returns all the vertices of the polygon.
-    inline const Vertex_range& vertices() const 
-    { 
-        return vertex; 
+    inline const Vertex_range& vertices() const
+    {
+        return vertex;
     }
 
     /// Returns the first vertex of the polygon.
-    inline const Point_2& first_vertex() const 
-    { 
-        return vertex[0]; 
+    inline const Point_2& first_vertex() const
+    {
+        return vertex[0];
     }
 
     /// Returns the last vertex of the polygon.
-    inline const Point_2& last_vertex() const 
-    { 
-        return vertex[number_of_vertices-1]; 
+    inline const Point_2& last_vertex() const
+    {
+        return vertex[number_of_vertices-1];
     }
 
     /// @}
 
     // Computes generalized barycentric coordinates for any query point in the plane with respect to all the vertices of the polygon.
-    // This function accepts a container of the type <a href="http://en.cppreference.com/w/cpp/container/vector">`std::vector`</a> 
+    // This function accepts a container of the type <a href="http://en.cppreference.com/w/cpp/container/vector">`std::vector`</a>
     // and returns an iterator of the type <a href="http://en.cppreference.com/w/cpp/iterator/back_insert_iterator">`std::back_insert_iterator`</a>
     // that is placed past-the-end of the resulting sequence of coordinate values.
     inline boost::optional<std::back_insert_iterator<std::vector<FT> > > operator()(const Point_2 &query_point, std::vector<FT> &output_vector, Query_point_location query_point_location = UNSPECIFIED_LOCATION, Type_of_algorithm type_of_algorithm = PRECISE)
     {
-        output_vector.reserve(output_vector.size() + number_of_vertices); 
+        output_vector.reserve(output_vector.size() + number_of_vertices);
         typedef typename std::back_insert_iterator<std::vector<FT> > OutputIterator;
         OutputIterator output = std::back_inserter(output_vector);
         return coordinates_2(query_point, output, query_point_location, type_of_algorithm);
     }
 
     // Computes generalized barycentric coordinates for a query point on the polygon's boundary with known index of the edge to which this point belongs.
-    // This function accepts a container of the type <a href="http://en.cppreference.com/w/cpp/container/vector">`std::vector`</a> 
+    // This function accepts a container of the type <a href="http://en.cppreference.com/w/cpp/container/vector">`std::vector`</a>
     // and returns an iterator of the type <a href="http://en.cppreference.com/w/cpp/iterator/back_insert_iterator">`std::back_insert_iterator`</a>
     // that is placed past-the-end of the resulting sequence of coordinate values.
     //
@@ -197,35 +197,35 @@ public:
     // \pre (0 <= index) && (index < number of the polygon's vertices).
     inline boost::optional<std::back_insert_iterator<std::vector<FT> > > compute_on_edge(const Point_2 &query_point, const int index, std::vector<FT> &output_vector) const
     {
-        output_vector.reserve(output_vector.size() + number_of_vertices); 
+        output_vector.reserve(output_vector.size() + number_of_vertices);
         typedef typename std::back_insert_iterator<std::vector<FT> > OutputIterator;
         OutputIterator output = std::back_inserter(output_vector);
         return coordinates_on_boundary_2(query_point, index, output);
     }
 
     // Computes generalized barycentric coordinates for a query point, which coincides with one of the polygon's vertices, with known index.
-    // This function accepts a container of the type <a href="http://en.cppreference.com/w/cpp/container/vector">`std::vector`</a> 
+    // This function accepts a container of the type <a href="http://en.cppreference.com/w/cpp/container/vector">`std::vector`</a>
     // and returns an iterator of the type <a href="http://en.cppreference.com/w/cpp/iterator/back_insert_iterator">`std::back_insert_iterator`</a>
     // that is placed past-the-end of the resulting sequence of coordinate values.
     //
     // \pre (0 <= index) && (index < number of the polygon's vertices).
     inline boost::optional<std::back_insert_iterator<std::vector<FT> > > compute_on_vertex(const int index, std::vector<FT> &output_vector) const
     {
-        output_vector.reserve(output_vector.size() + number_of_vertices); 
+        output_vector.reserve(output_vector.size() + number_of_vertices);
         typedef typename std::back_insert_iterator<std::vector<FT> > OutputIterator;
         OutputIterator output = std::back_inserter(output_vector);
         return coordinates_on_vertex_2(index, output);
     }
 
     // Computes generalized barycentric weights (unnormalized coordinates) for any strictly interior query point with respect to all the vertices of the polygon.
-    // This function accepts a container of the type <a href="http://en.cppreference.com/w/cpp/container/vector">`std::vector`</a> 
+    // This function accepts a container of the type <a href="http://en.cppreference.com/w/cpp/container/vector">`std::vector`</a>
     // and returns an iterator of the type <a href="http://en.cppreference.com/w/cpp/iterator/back_insert_iterator">`std::back_insert_iterator`</a>
     // that is placed past-the-end of the resulting sequence of weight values.
     //
     // \pre The provided query point belongs to the polygon's interior, excluding the boundary.
     inline boost::optional<std::back_insert_iterator<std::vector<FT> > > compute_weights(const Point_2 &query_point, std::vector<FT> &output_vector)
     {
-        output_vector.reserve(output_vector.size() + number_of_vertices); 
+        output_vector.reserve(output_vector.size() + number_of_vertices);
         typedef typename std::back_insert_iterator<std::vector<FT> > OutputIterator;
         OutputIterator output = std::back_inserter(output_vector);
         return weights_2(query_point, output);
@@ -260,7 +260,7 @@ public:
 
         coordinate.print_coordinates_information(output_stream);
     }
-    
+
 private:
 
     // Internal global variables.
@@ -274,7 +274,7 @@ private:
 
     typename Traits::Equal_2 equal_2;
     typename Traits::Collinear_2 collinear_2;
-    typename Traits::Collinear_are_ordered_along_line_2 collinear_are_ordered_along_line_2; 
+    typename Traits::Collinear_are_ordered_along_line_2 collinear_are_ordered_along_line_2;
 
     // WEIGHTS.
 
@@ -373,7 +373,7 @@ private:
     template<class OutputIterator>
         boost::optional<OutputIterator> coordinates_on_boundary_2(const Point_2 &query_point, const int index, OutputIterator &output) const
     {
-        CGAL_precondition( CGAL::bounded_side_2(vertex.begin(), vertex.end(), query_point, barycentric_traits) == CGAL::ON_BOUNDARY ); 
+        CGAL_precondition( CGAL::bounded_side_2(vertex.begin(), vertex.end(), query_point, barycentric_traits) == CGAL::ON_BOUNDARY );
         CGAL_precondition( (0 <= index) && (index < int(number_of_vertices)) );
 
         // Index of the last polygon's vertex.
@@ -420,7 +420,7 @@ private:
         const int last = int(number_of_vertices) - 1;
 
         // If the query point is on the last edge, call the function coordinates_on_last_edge_2().
-        if(collinear_2(vertex[last], vertex[0], query_point) && collinear_are_ordered_along_line_2(vertex[last], query_point, vertex[0])) { 
+        if(collinear_2(vertex[last], vertex[0], query_point) && collinear_are_ordered_along_line_2(vertex[last], query_point, vertex[0])) {
             return coordinates_on_last_edge_2(query_point, last, output);
         }
         else {
@@ -477,7 +477,7 @@ private:
         Segment_coordinates_2<Traits> segment_coordinates(vertex[last], vertex[0]);
         boost::optional<Vector_insert_iterator> success = segment_coordinates(query_point, std::back_inserter(coordinate));
 
-        // Store all the coordinate values. 
+        // Store all the coordinate values.
         // All the values are zeros apart from those corresponding to the first and the last vertices of the polygon.
         *output = coordinate[1];
         ++output;
diff -pruN 5.0.2-3/include/CGAL/Barycentric_coordinates_2/Mean_value_2.h 5.0.3-1/include/CGAL/Barycentric_coordinates_2/Mean_value_2.h
--- 5.0.2-3/include/CGAL/Barycentric_coordinates_2/Mean_value_2.h	2020-02-21 20:02:57.000000000 +0000
+++ 5.0.3-1/include/CGAL/Barycentric_coordinates_2/Mean_value_2.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is a part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Barycentric_coordinates_2/include/CGAL/Barycentric_coordinates_2/Mean_value_2.h $
-// $Id: Mean_value_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Barycentric_coordinates_2/include/CGAL/Barycentric_coordinates_2/Mean_value_2.h $
+// $Id: Mean_value_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Dmitry Anisimov, David Bommes, Kai Hormann, and Pierre Alliez.
@@ -20,11 +20,11 @@
 
 #include <CGAL/disable_warnings.h>
 
-// STL headers. 
+// STL headers.
 #include <vector>
 
 // CGAL headers.
-#include <CGAL/utils.h> 
+#include <CGAL/utils.h>
 #include <CGAL/assertions.h>
 #include <CGAL/number_utils.h>
 
@@ -45,14 +45,14 @@ namespace Barycentric_coordinates {
 // Try to find a square root object in the provided `Traits` class. If not, then use the default square root from CGAL.
 
 // Finds a square root of the provided value of the type `Kernel::FT` by first converting it to the double type and then taking the square root using the `CGAL::sqrt()` function.
-template<class Traits> 
+template<class Traits>
     class Default_sqrt
 {
     typedef typename Traits::FT FT;
 
 public:
     FT operator()(const FT &value) const
-    { 
+    {
         return FT(CGAL::sqrt(CGAL::to_double(value)));
     }
 };
@@ -66,9 +66,9 @@ template<class Traits, bool do_not_use_d
 public:
     typedef Default_sqrt<Traits> Sqrt;
 
-    static Sqrt sqrt_object(const Traits&) 
-    { 
-        return Sqrt(); 
+    static Sqrt sqrt_object(const Traits&)
+    {
+        return Sqrt();
     }
 };
 
@@ -80,8 +80,8 @@ public:
     typedef typename Traits::Sqrt Sqrt;
 
     static Sqrt sqrt_object(const Traits &traits)
-    { 
-        return traits.sqrt_object(); 
+    {
+        return traits.sqrt_object();
     }
 };
 
@@ -103,8 +103,8 @@ public:
 \cgalModels `BarycentricCoordinates_2`
 
 */
- 
-template<class Traits> 
+
+template<class Traits>
     class Mean_value_2
 {
 
@@ -161,7 +161,7 @@ public:
     // This function computes mean value barycentric coordinates for a chosen query point on the bounded side of a simple polygon.
     template<class OutputIterator>
         inline boost::optional<OutputIterator> coordinates_on_bounded_side(const Point_2 &query_point, OutputIterator &output, const Type_of_algorithm type_of_algorithm)
-    {   
+    {
         switch(type_of_algorithm)
         {
             case PRECISE:
@@ -183,7 +183,7 @@ public:
     // This function computes mean value barycentric coordinates for a chosen query point on the unbounded side of a simple polygon.
     template<class OutputIterator>
         inline boost::optional<OutputIterator> coordinates_on_unbounded_side(const Point_2 &query_point, OutputIterator &output, const Type_of_algorithm type_of_algorithm)
-    {   
+    {
         switch(type_of_algorithm)
         {
             case PRECISE:
@@ -265,7 +265,7 @@ private:
         D[n-1] = scalar_product_2(s[n-1], s[0]);
 
         // Compute intermediate values t using the formulas from slide 19 here
-        // - http://www.inf.usi.ch/hormann/nsfworkshop/presentations/Hormann.pdf 
+        // - http://www.inf.usi.ch/hormann/nsfworkshop/presentations/Hormann.pdf
         for(int i = 0; i < n-1; ++i) {
             CGAL_precondition( (r[i]*r[i+1] + D[i]) != FT(0) );
             t[i] = A[i] / (r[i]*r[i+1] + D[i]);
@@ -394,7 +394,7 @@ private:
         D[n-1] = scalar_product_2(s[n-1], s[0]);
 
         // Compute intermediate values t using the formulas from slide 19 here
-        // - http://www.inf.usi.ch/hormann/nsfworkshop/presentations/Hormann.pdf 
+        // - http://www.inf.usi.ch/hormann/nsfworkshop/presentations/Hormann.pdf
         for(int i = 0; i < n-1; ++i) {
             CGAL_precondition( (r[i]*r[i+1] + D[i]) != FT(0) );
             t[i] = A[i] / (r[i]*r[i+1] + D[i]);
diff -pruN 5.0.2-3/include/CGAL/Barycentric_coordinates_2/Segment_coordinates_2.h 5.0.3-1/include/CGAL/Barycentric_coordinates_2/Segment_coordinates_2.h
--- 5.0.2-3/include/CGAL/Barycentric_coordinates_2/Segment_coordinates_2.h	2020-02-21 20:02:57.000000000 +0000
+++ 5.0.3-1/include/CGAL/Barycentric_coordinates_2/Segment_coordinates_2.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is a part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Barycentric_coordinates_2/include/CGAL/Barycentric_coordinates_2/Segment_coordinates_2.h $
-// $Id: Segment_coordinates_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Barycentric_coordinates_2/include/CGAL/Barycentric_coordinates_2/Segment_coordinates_2.h $
+// $Id: Segment_coordinates_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Dmitry Anisimov, David Bommes, Kai Hormann, and Pierre Alliez.
@@ -20,11 +20,11 @@
 
 #include <CGAL/disable_warnings.h>
 
-// STL headers.  
+// STL headers.
 #include <vector>
 
 // CGAL headers.
-#include <CGAL/array.h>  
+#include <CGAL/array.h>
 #include <CGAL/assertions.h>
 
 // Boost headers.
@@ -47,7 +47,7 @@ namespace Barycentric_coordinates {
 
 */
 
-template<class Traits> 
+template<class Traits>
     class Segment_coordinates_2
 {
 
@@ -83,7 +83,7 @@ public:
         barycentric_traits(b_traits),
         scalar_product_2(barycentric_traits.compute_scalar_product_2_object()),
         squared_distance_2(barycentric_traits.compute_squared_distance_2_object()),
-        equal_2(barycentric_traits.equal_2_object()) 
+        equal_2(barycentric_traits.equal_2_object())
     {
         CGAL_precondition( !equal_2(first_vertex, second_vertex) );
 
@@ -99,7 +99,7 @@ public:
 
     /// Computes segment barycentric coordinates for a chosen query point with respect to both vertices of the segment.
     /// Computed coordinates are stored in the output iterator `output`.
-    template<class OutputIterator> 
+    template<class OutputIterator>
         inline boost::optional<OutputIterator> operator()(const Point_2 &query_point, OutputIterator output)
     {
         return segment_coordinates_2(query_point, output);
@@ -111,32 +111,32 @@ public:
     /// @{
 
     /// Returns both vertices of the segment.
-    inline const Vertex_range& vertices() const 
-    { 
-        return vertex; 
+    inline const Vertex_range& vertices() const
+    {
+        return vertex;
     }
 
     /// Returns the first vertex of the segment.
-    inline const Point_2& first_vertex() const 
-    { 
-        return vertex[0]; 
+    inline const Point_2& first_vertex() const
+    {
+        return vertex[0];
     }
 
     /// Returns the second vertex of the segment.
-    inline const Point_2& second_vertex() const 
-    { 
-        return vertex[1]; 
+    inline const Point_2& second_vertex() const
+    {
+        return vertex[1];
     }
 
     /// @}
 
     // Computes segment barycentric coordinates for a chosen query point with respect to both vertices of the segment.
-    // This function accepts a container of the type <a href="http://en.cppreference.com/w/cpp/container/vector">`std::vector`</a> 
+    // This function accepts a container of the type <a href="http://en.cppreference.com/w/cpp/container/vector">`std::vector`</a>
     // and returns an iterator of the type <a href="http://en.cppreference.com/w/cpp/iterator/back_insert_iterator">`std::back_insert_iterator`</a>
     // that is placed past-the-end of the resulting sequence of coordinate values.
     inline boost::optional<std::back_insert_iterator<std::vector<FT> > > operator()(const Point_2 &query_point, std::vector<FT> &output_vector)
     {
-        output_vector.reserve(output_vector.size() + 2); 
+        output_vector.reserve(output_vector.size() + 2);
         typedef typename std::back_insert_iterator<std::vector<FT> > OutputIterator;
         OutputIterator output = std::back_inserter(output_vector);
         return segment_coordinates_2(query_point, output);
@@ -179,9 +179,9 @@ private:
     typename Traits::Equal_2 equal_2;
 
     // Compute segment coordinates.
-    template<class OutputIterator> 
+    template<class OutputIterator>
         boost::optional<OutputIterator> segment_coordinates_2(const Point_2 &query_point, OutputIterator &output)
-    {   
+    {
         // Project point on the segment and compute the first coordinate.
         opposite_scalar_product = scalar_product_2(query_point - vertex[1], vertex[0] - vertex[1]);
         b_first = opposite_scalar_product / squared_distance_2(vertex[0], vertex[1]);
@@ -202,7 +202,7 @@ private:
    \anchor seg_coord_global
  * \relates Segment_coordinates_2
  * This is a global function that takes both vertices of a segment and computes segment coordinates at a given query point with respect to these vertices.
- 
+
 \tparam Traits must be a model of the concept `BarycentricTraits_2`.
 
 */
diff -pruN 5.0.2-3/include/CGAL/Barycentric_coordinates_2/Triangle_coordinates_2.h 5.0.3-1/include/CGAL/Barycentric_coordinates_2/Triangle_coordinates_2.h
--- 5.0.2-3/include/CGAL/Barycentric_coordinates_2/Triangle_coordinates_2.h	2020-02-21 20:02:57.000000000 +0000
+++ 5.0.3-1/include/CGAL/Barycentric_coordinates_2/Triangle_coordinates_2.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is a part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Barycentric_coordinates_2/include/CGAL/Barycentric_coordinates_2/Triangle_coordinates_2.h $
-// $Id: Triangle_coordinates_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Barycentric_coordinates_2/include/CGAL/Barycentric_coordinates_2/Triangle_coordinates_2.h $
+// $Id: Triangle_coordinates_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Dmitry Anisimov, David Bommes, Kai Hormann, and Pierre Alliez.
@@ -20,7 +20,7 @@
 
 #include <CGAL/disable_warnings.h>
 
-// STL headers.  
+// STL headers.
 #include <vector>
 
 // CGAL headers.
@@ -49,7 +49,7 @@ namespace Barycentric_coordinates {
 
 */
 
-template<class Traits> 
+template<class Traits>
     class Triangle_coordinates_2
 {
 
@@ -113,33 +113,33 @@ public:
     /// @{
 
     /// Returns all the vertices of the triangle.
-    inline const Vertex_range& vertices() const 
-    { 
-        return vertex; 
+    inline const Vertex_range& vertices() const
+    {
+        return vertex;
     }
 
     /// Returns the first vertex of the triangle.
-    inline const Point_2& first_vertex() const 
-    { 
-        return vertex[0]; 
+    inline const Point_2& first_vertex() const
+    {
+        return vertex[0];
     }
 
     /// Returns the second vertex of the triangle.
-    inline const Point_2& second_vertex() const 
-    { 
-        return vertex[1]; 
+    inline const Point_2& second_vertex() const
+    {
+        return vertex[1];
     }
 
     /// Returns the third vertex of the triangle.
-    inline const Point_2& third_vertex() const 
-    { 
-        return vertex[2]; 
+    inline const Point_2& third_vertex() const
+    {
+        return vertex[2];
     }
 
     /// @}
 
     // Computes triangle barycentric coordinates for a chosen query point with respect to all three vertices of the triangle.
-    // This function accepts a container of the type <a href="http://en.cppreference.com/w/cpp/container/vector">`std::vector`</a> 
+    // This function accepts a container of the type <a href="http://en.cppreference.com/w/cpp/container/vector">`std::vector`</a>
     // and returns an iterator of the type <a href="http://en.cppreference.com/w/cpp/iterator/back_insert_iterator">`std::back_insert_iterator`</a>
     // that is placed past-the-end of the resulting sequence of coordinate values.
     inline boost::optional<std::back_insert_iterator<std::vector<FT> > > operator()(const Point_2 &query_point, std::vector<FT> &output_vector)
@@ -222,7 +222,7 @@ private:
 /*!
  * \relates Triangle_coordinates_2
  * This is a global function that takes three vertices of a triangle and computes triangle coordinates at a given query point with respect to these vertices.
- 
+
 \tparam Traits must be a model of the concept `BarycentricTraits_2`.
 
 */
diff -pruN 5.0.2-3/include/CGAL/Barycentric_coordinates_2/Wachspress_2.h 5.0.3-1/include/CGAL/Barycentric_coordinates_2/Wachspress_2.h
--- 5.0.2-3/include/CGAL/Barycentric_coordinates_2/Wachspress_2.h	2020-02-21 20:02:57.000000000 +0000
+++ 5.0.3-1/include/CGAL/Barycentric_coordinates_2/Wachspress_2.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is a part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Barycentric_coordinates_2/include/CGAL/Barycentric_coordinates_2/Wachspress_2.h $
-// $Id: Wachspress_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Barycentric_coordinates_2/include/CGAL/Barycentric_coordinates_2/Wachspress_2.h $
+// $Id: Wachspress_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Dmitry Anisimov, David Bommes, Kai Hormann, and Pierre Alliez.
@@ -53,8 +53,8 @@ namespace Barycentric_coordinates {
 \pre The provided polygon is strictly convex.
 
 */
- 
-template<class Traits> 
+
+template<class Traits>
     class Wachspress_2
 {
 
@@ -101,10 +101,10 @@ public:
     // Computation of Wachspress Basis Functions
 
     // This function computes Wachspress barycentric coordinates for a chosen query point on the bounded side of a strictly convex polygon.
-    // \pre The provided polygon is strictly convex. 
+    // \pre The provided polygon is strictly convex.
     template<class OutputIterator>
         inline boost::optional<OutputIterator> coordinates_on_bounded_side(const Point_2 &query_point, OutputIterator &output, const Type_of_algorithm type_of_algorithm)
-    {   
+    {
         switch(type_of_algorithm)
         {
             case PRECISE:
@@ -127,7 +127,7 @@ public:
     // \pre The provided polygon is strictly convex.
     template<class OutputIterator>
         inline boost::optional<OutputIterator> coordinates_on_unbounded_side(const Point_2 &query_point, OutputIterator &output, const Type_of_algorithm type_of_algorithm, const bool warning_tag = true)
-    {   
+    {
         switch(type_of_algorithm)
         {
             case PRECISE:
@@ -177,7 +177,7 @@ private:
     // WEIGHTS.
 
     // Compute Wachspress weights without normalization.
-    template<class OutputIterator> 
+    template<class OutputIterator>
         boost::optional<OutputIterator> weights_2(const Point_2 &query_point, OutputIterator &output)
     {
         // Get the number of vertices in the polygon.
@@ -390,7 +390,7 @@ private:
             // Index of the last polygon's vertex.
             const int last = int(number_of_vertices) - 1;
 
-            // Test all the consequent triplets of the polygon's vertices on collinearity. 
+            // Test all the consequent triplets of the polygon's vertices on collinearity.
             // In case we find at least one, return WEAKLY_CONVEX polygon.
             if(collinear_2(vertex[last], vertex[0], vertex[1]))
                 return WEAKLY_CONVEX;
diff -pruN 5.0.2-3/include/CGAL/Barycentric_coordinates_2.h 5.0.3-1/include/CGAL/Barycentric_coordinates_2.h
--- 5.0.2-3/include/CGAL/Barycentric_coordinates_2.h	2020-02-21 20:02:57.000000000 +0000
+++ 5.0.3-1/include/CGAL/Barycentric_coordinates_2.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is a part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Barycentric_coordinates_2/include/CGAL/Barycentric_coordinates_2.h $
-// $Id: Barycentric_coordinates_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Barycentric_coordinates_2/include/CGAL/Barycentric_coordinates_2.h $
+// $Id: Barycentric_coordinates_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Dmitry Anisimov, David Bommes, Kai Hormann, and Pierre Alliez.
@@ -20,12 +20,11 @@
 
 
 #include <CGAL/Barycentric_coordinates_2/barycentric_enum_2.h>
-#include <CGAL/Barycentric_coordinates_2/Segment_coordinates_2.h> 
-#include <CGAL/Barycentric_coordinates_2/Triangle_coordinates_2.h> 
+#include <CGAL/Barycentric_coordinates_2/Segment_coordinates_2.h>
+#include <CGAL/Barycentric_coordinates_2/Triangle_coordinates_2.h>
 #include <CGAL/Barycentric_coordinates_2/Generalized_barycentric_coordinates_2.h>
 #include <CGAL/Barycentric_coordinates_2/Discrete_harmonic_2.h>
 #include <CGAL/Barycentric_coordinates_2/Wachspress_2.h>
-#include <CGAL/Barycentric_coordinates_2/Mean_value_2.h>    
+#include <CGAL/Barycentric_coordinates_2/Mean_value_2.h>
 
 #endif // CGAL_BARYCENTRIC_COORDINATES_2_H
-  
\ No newline at end of file
diff -pruN 5.0.2-3/include/CGAL/basic_classes.h 5.0.3-1/include/CGAL/basic_classes.h
--- 5.0.2-3/include/CGAL/basic_classes.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/basic_classes.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,20 +1,20 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/basic_classes.h $
-// $Id: basic_classes.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/basic_classes.h $
+// $Id: basic_classes.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 //                 Stefan Schirra
- 
+
 
 #ifndef CGAL_BASIC_CLASSES_H
 #define CGAL_BASIC_CLASSES_H
diff -pruN 5.0.2-3/include/CGAL/basic_constructions_2.h 5.0.3-1/include/CGAL/basic_constructions_2.h
--- 5.0.2-3/include/CGAL/basic_constructions_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/basic_constructions_2.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/basic_constructions_2.h $
-// $Id: basic_constructions_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/basic_constructions_2.h $
+// $Id: basic_constructions_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 
diff -pruN 5.0.2-3/include/CGAL/basic_constructions_3.h 5.0.3-1/include/CGAL/basic_constructions_3.h
--- 5.0.2-3/include/CGAL/basic_constructions_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/basic_constructions_3.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/basic_constructions_3.h $
-// $Id: basic_constructions_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/basic_constructions_3.h $
+// $Id: basic_constructions_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 #ifndef CGAL_BASIC_CONSTRUCTIONS_3_H
 #define CGAL_BASIC_CONSTRUCTIONS_3_H
 
diff -pruN 5.0.2-3/include/CGAL/basic.h 5.0.3-1/include/CGAL/basic.h
--- 5.0.2-3/include/CGAL/basic.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/basic.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,20 +1,20 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/basic.h $
-// $Id: basic.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/basic.h $
+// $Id: basic.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner
 //                 Stefan Schirra
- 
+
 #ifndef CGAL_BASIC_H
 #define CGAL_BASIC_H
 
diff -pruN 5.0.2-3/include/CGAL/Bbox_2.h 5.0.3-1/include/CGAL/Bbox_2.h
--- 5.0.2-3/include/CGAL/Bbox_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Bbox_2.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999,2004  
+// Copyright (c) 1999,2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Bbox_2.h $
-// $Id: Bbox_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Bbox_2.h $
+// $Id: Bbox_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri
@@ -159,7 +159,7 @@ Bbox_2::dilate(int dist)
   rep[2] = float_advance(rep[2],dist);
   rep[3] = float_advance(rep[3],dist);
 }
-  
+
 inline
 bool
 do_overlap(const Bbox_2 &bb1, const Bbox_2 &bb2)
@@ -204,7 +204,7 @@ operator>>(std::istream &is, Bbox_2 &b)
     double ymin = 0;
     double xmax = 0;
     double ymax = 0;
-    
+
     switch(get_mode(is)) {
     case IO::ASCII :
         is >> iformat(xmin) >> iformat(ymin) >> iformat(xmax) >> iformat(ymax);
diff -pruN 5.0.2-3/include/CGAL/Bbox_3.h 5.0.3-1/include/CGAL/Bbox_3.h
--- 5.0.2-3/include/CGAL/Bbox_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Bbox_3.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999,2004  
+// Copyright (c) 1999,2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Bbox_3.h $
-// $Id: Bbox_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Bbox_3.h $
+// $Id: Bbox_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri
@@ -70,7 +70,7 @@ public:
 
   inline double min_coord(int i) const { return (min)(i); }
   inline double max_coord(int i) const { return (max)(i); }
-  
+
   Bbox_3  operator+(const Bbox_3& b) const;
   Bbox_3& operator+=(const Bbox_3& b);
 
@@ -210,7 +210,7 @@ operator<<(std::ostream &os, const Bbox_
   {
     case IO::ASCII :
         return os << b.xmin() << ' ' << b.ymin() << ' ' << b.zmin()
-		  << ' ' << b.xmax() << ' ' << b.ymax() << ' ' << b.zmax();
+                  << ' ' << b.xmax() << ' ' << b.ymax() << ' ' << b.zmax();
     case IO::BINARY :
         write(os, b.xmin());
         write(os, b.ymin());
diff -pruN 5.0.2-3/include/CGAL/Bigfloat_interval_traits.h 5.0.3-1/include/CGAL/Bigfloat_interval_traits.h
--- 5.0.2-3/include/CGAL/Bigfloat_interval_traits.h	2020-02-21 20:03:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Bigfloat_interval_traits.h	2020-08-01 19:02:25.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interval_support/include/CGAL/Bigfloat_interval_traits.h $
-// $Id: Bigfloat_interval_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interval_support/include/CGAL/Bigfloat_interval_traits.h $
+// $Id: Bigfloat_interval_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -20,8 +20,8 @@
 
 namespace CGAL {
 
-// TODO: rename this into MPFI_traits ? 
-// add a better rounding control 
+// TODO: rename this into MPFI_traits ?
+// add a better rounding control
 
 template<typename BigfloatInterval> class Bigfloat_interval_traits;
 
@@ -41,7 +41,7 @@ template<typename BFI> inline long get_p
 }
 
 template<typename BFI> inline long relative_precision(const BFI& bfi) {
-    typename Bigfloat_interval_traits<BFI>::Relative_precision 
+    typename Bigfloat_interval_traits<BFI>::Relative_precision
       relative_precision;
     return relative_precision(bfi);
 }
diff -pruN 5.0.2-3/include/CGAL/bilateral_smooth_point_set.h 5.0.3-1/include/CGAL/bilateral_smooth_point_set.h
--- 5.0.2-3/include/CGAL/bilateral_smooth_point_set.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/bilateral_smooth_point_set.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,11 +3,11 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/bilateral_smooth_point_set.h $
-// $Id: bilateral_smooth_point_set.h 85712ba 2020-01-14T15:03:20+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/bilateral_smooth_point_set.h $
+// $Id: bilateral_smooth_point_set.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Shihao Wu, Clement Jamin, Pierre Alliez 
+// Author(s) : Shihao Wu, Clement Jamin, Pierre Alliez
 
 #ifndef CGAL_BILATERAL_SMOOTH_POINT_SET_H
 #define CGAL_BILATERAL_SMOOTH_POINT_SET_H
@@ -42,7 +42,7 @@
 #include <CGAL/Point_set_processing_3/internal/Parallel_callback.h>
 #include <tbb/parallel_for.h>
 #include <tbb/blocked_range.h>
-#include <tbb/scalable_allocator.h>  
+#include <tbb/scalable_allocator.h>
 #include <atomic>
 #endif // CGAL_LINKED_WITH_TBB
 
@@ -54,7 +54,7 @@
 #endif // CGAL_LINKED_WITH_TBB
 
 
-//#define CGAL_PSP3_VERBOSE 
+//#define CGAL_PSP3_VERBOSE
 
 namespace CGAL {
 
@@ -85,7 +85,7 @@ public:
   Kd_tree_element(const Kd_tree_element& other)
     : Base(other), index(other.index)
   {}
-  
+
   Kd_tree_element& operator=(const Kd_tree_element&)=default;
 };
 
@@ -108,13 +108,13 @@ public:
 
 /// Compute bilateral projection for each point
 /// according to their KNN neighborhood points
-/// 
+///
 /// \pre `k >= 2`, radius > 0 , sharpness_angle > 0 && sharpness_angle < 90
 ///
 /// @tparam Kernel Geometric traits class.
 /// @tparam Tree KD-tree.
 ///
-/// @return 
+/// @return
 
 template <typename Kernel>
 CGAL::Point_with_normal_3<Kernel>
@@ -142,12 +142,12 @@ compute_denoise_projection(
   FT iradius16 = -(FT)4.0/radius2;
   FT project_dist_sum = FT(0.0);
   FT project_weight_sum = FT(0.0);
-  Vector normal_sum = CGAL::NULL_VECTOR; 
+  Vector normal_sum = CGAL::NULL_VECTOR;
 
   FT cos_sigma = cos(sharpness_angle / 180.0 * 3.1415926);
   FT sharpness_bandwidth = std::pow((CGAL::max)(1e-8, 1 - cos_sigma), 2);
 
-  typename std::vector<Pwn,CGAL_PSP3_DEFAULT_ALLOCATOR<Pwn> >::const_iterator 
+  typename std::vector<Pwn,CGAL_PSP3_DEFAULT_ALLOCATOR<Pwn> >::const_iterator
     pwn_iter = neighbor_pwns.begin();
   for (; pwn_iter != neighbor_pwns.end(); ++pwn_iter)
   {
@@ -172,8 +172,8 @@ compute_denoise_projection(
   Vector update_normal = normal_sum / project_weight_sum;
   update_normal = update_normal / sqrt(update_normal.squared_length());
 
-  Point update_point = query.position() - update_normal * 
-                      (project_dist_sum / project_weight_sum); 
+  Point update_point = query.position() - update_normal *
+                      (project_dist_sum / project_weight_sum);
 
   return Pwn(update_point, update_normal);
 }
@@ -238,7 +238,7 @@ class Compute_pwns_neighbors
 {
   typedef typename CGAL::Point_with_normal_3<Kernel> Pwn;
   typedef typename std::vector<Pwn,CGAL_PSP3_DEFAULT_ALLOCATOR<Pwn> > Pwns;
-  typedef typename std::vector<Pwns,CGAL_PSP3_DEFAULT_ALLOCATOR<Pwns> > 
+  typedef typename std::vector<Pwns,CGAL_PSP3_DEFAULT_ALLOCATOR<Pwns> >
                                                                 Pwns_neighbors;
   typedef typename Kernel::FT FT;
 
@@ -257,9 +257,9 @@ public:
                          cpp11::atomic<bool>& interrupted)
     : m_k(k), m_neighbor_radius (neighbor_radius), m_tree(tree)
     , m_pwns(pwns), m_pwns_neighbors(neighbors)
-    , advancement (advancement), interrupted (interrupted) {} 
+    , advancement (advancement), interrupted (interrupted) {}
 
-  void operator() ( const tbb::blocked_range<size_t>& r ) const 
+  void operator() ( const tbb::blocked_range<size_t>& r ) const
   {
     for (size_t i = r.begin(); i!=r.end(); i++)
     {
@@ -268,17 +268,17 @@ public:
 
       CGAL::Point_set_processing_3::internal::neighbor_query
         (m_pwns[i], m_tree, m_k, m_neighbor_radius, m_pwns_neighbors[i]);
-      
+
       ++ advancement;
     }
   }
 };
-/// \endcond  
+/// \endcond
 
 /// \cond SKIP_IN_MANUAL
 /// This is for parallelization of function: compute_denoise_projection()
 template <typename Kernel>
-class Pwn_updater 
+class Pwn_updater
 {
   typedef typename CGAL::Point_with_normal_3<Kernel> Pwn;
   typedef typename std::vector<Pwn,CGAL_PSP3_DEFAULT_ALLOCATOR<Pwn> > Pwns;
@@ -293,32 +293,32 @@ class Pwn_updater
   cpp11::atomic<bool>& interrupted;
 
 public:
-  Pwn_updater(FT sharpness, 
+  Pwn_updater(FT sharpness,
     FT r,
     Pwns *in,
-    Pwns *out, 
+    Pwns *out,
     std::vector<Pwns,CGAL_PSP3_DEFAULT_ALLOCATOR<Pwns> >* neighbors,
     cpp11::atomic<std::size_t>& advancement,
-    cpp11::atomic<bool>& interrupted): 
-  sharpness_angle(sharpness), 
+    cpp11::atomic<bool>& interrupted):
+  sharpness_angle(sharpness),
     radius(r),
     pwns(in),
     update_pwns(out),
     pwns_neighbors(neighbors),
     advancement (advancement),
-    interrupted (interrupted) {} 
+    interrupted (interrupted) {}
 
-  void operator() ( const tbb::blocked_range<size_t>& r ) const 
-  { 
-    for (size_t i = r.begin(); i != r.end(); ++i) 
+  void operator() ( const tbb::blocked_range<size_t>& r ) const
+  {
+    for (size_t i = r.begin(); i != r.end(); ++i)
     {
       if (interrupted)
         break;
       (*update_pwns)[i] = bilateral_smooth_point_set_internal::
-        compute_denoise_projection<Kernel>((*pwns)[i], 
-        (*pwns_neighbors)[i], 
+        compute_denoise_projection<Kernel>((*pwns)[i],
+        (*pwns_neighbors)[i],
         radius,
-        sharpness_angle);  
+        sharpness_angle);
       ++ advancement;
     }
   }
@@ -334,17 +334,17 @@ public:
 
 /**
    \ingroup PkgPointSetProcessing3Algorithms
- 
-   This function smooths an input point set by iteratively projecting each 
+
+   This function smooths an input point set by iteratively projecting each
    point onto the implicit surface patch fitted over its nearest neighbors.
    Bilateral projection preserves sharp features according to the normal
-   (gradient) information. Both point positions and normals will be modified.  
-   For more details, please see section 4 in \cgalCite{ear-2013}.  
+   (gradient) information. Both point positions and normals will be modified.
+   For more details, please see section 4 in \cgalCite{ear-2013}.
 
-   A parallel version of this function is provided and requires the executable to be 
+   A parallel version of this function is provided and requires the executable to be
    linked against the <a href="https://www.threadingbuildingblocks.org">Intel TBB library</a>.
    To control the number of threads used, the user may use the tbb::task_scheduler_init class.
-   See the <a href="https://www.threadingbuildingblocks.org/documentation">TBB documentation</a> 
+   See the <a href="https://www.threadingbuildingblocks.org/documentation">TBB documentation</a>
    for more details.
 
    \pre Normals must be unit vectors
@@ -398,7 +398,7 @@ bilateral_smooth_point_set(
 {
   using parameters::choose_parameter;
   using parameters::get_parameter;
-  
+
   // basic geometric types
   typedef typename Point_set_processing_3::GetPointMap<PointRange, NamedParameters>::type PointMap;
   typedef typename Point_set_processing_3::GetNormalMap<PointRange, NamedParameters>::type NormalMap;
@@ -407,15 +407,15 @@ bilateral_smooth_point_set(
   CGAL_static_assertion_msg(!(boost::is_same<NormalMap,
                               typename Point_set_processing_3::GetNormalMap<PointRange, NamedParameters>::NoMap>::value),
                             "Error: no normal map");
-  
+
   typedef typename CGAL::Point_with_normal_3<Kernel> Pwn;
   typedef typename std::vector<Pwn,CGAL_PSP3_DEFAULT_ALLOCATOR<Pwn> > Pwns;
   typedef typename Kernel::FT FT;
-  
+
   double sharpness_angle = choose_parameter(get_parameter(np, internal_np::sharpness_angle), 30.);
   const std::function<bool(double)>& callback = choose_parameter(get_parameter(np, internal_np::callback),
                                                                  std::function<bool(double)>());
-  
+
   CGAL_point_set_processing_precondition(points.begin() != points.end());
   CGAL_point_set_processing_precondition(k > 1);
 
@@ -429,7 +429,7 @@ bilateral_smooth_point_set(
   PointMap point_map = choose_parameter(get_parameter(np, internal_np::point_map), PointMap());
   NormalMap normal_map = choose_parameter(get_parameter(np, internal_np::normal_map), NormalMap());
   FT neighbor_radius = choose_parameter(get_parameter(np, internal_np::neighbor_radius), FT(0));
-  
+
   // copy points and normals
   Pwns pwns;
   for(typename PointRange::iterator it = points.begin(); it != points.end(); ++it)
@@ -437,7 +437,7 @@ bilateral_smooth_point_set(
     typename boost::property_traits<PointMap>::reference p = get(point_map, *it);
     typename boost::property_traits<NormalMap>::reference n = get(normal_map, *it);
     CGAL_point_set_processing_precondition(n.squared_length() > 1e-10);
-    
+
     pwns.push_back(Pwn(p, n));
   }
 
@@ -450,7 +450,7 @@ bilateral_smooth_point_set(
    std::vector<Kd_tree_element,
      CGAL_PSP3_DEFAULT_ALLOCATOR<Kd_tree_element> > treeElements;
    treeElements.reserve(pwns.size());
-   typename std::vector<Pwn,CGAL_PSP3_DEFAULT_ALLOCATOR<Pwn> >::iterator 
+   typename std::vector<Pwn,CGAL_PSP3_DEFAULT_ALLOCATOR<Pwn> >::iterator
      pwn_iter = pwns.begin();
    for (unsigned int i = 0; pwn_iter != pwns.end(); ++pwn_iter)
    {
@@ -462,15 +462,15 @@ bilateral_smooth_point_set(
    CGAL::Real_timer task_timer;
    task_timer.start();
 #endif
-   FT guess_neighbor_radius = 0.0; 
+   FT guess_neighbor_radius = 0.0;
 
    for(pwn_iter = pwns.begin(); pwn_iter != pwns.end(); ++pwn_iter)
    {
      FT max_spacing = bilateral_smooth_point_set_internal::
        compute_max_spacing<Kernel,Tree>(*pwn_iter, tree, k);
-     guess_neighbor_radius = (CGAL::max)(max_spacing, guess_neighbor_radius); 
+     guess_neighbor_radius = (CGAL::max)(max_spacing, guess_neighbor_radius);
    }
-   
+
 #ifdef CGAL_PSP3_VERBOSE
    task_timer.stop();
 #endif
@@ -488,10 +488,10 @@ bilateral_smooth_point_set(
    // compute all neighbors
    std::vector<Pwns,CGAL_PSP3_DEFAULT_ALLOCATOR<Pwns> > pwns_neighbors;
    pwns_neighbors.resize(nb_points);
- 
+
 #ifndef CGAL_LINKED_WITH_TBB
   CGAL_static_assertion_msg (!(boost::is_convertible<ConcurrencyTag, Parallel_tag>::value),
-			     "Parallel_tag is enabled but TBB is unavailable.");
+                             "Parallel_tag is enabled but TBB is unavailable.");
 #else
    if (boost::is_convertible<ConcurrencyTag,Parallel_tag>::value)
    {
@@ -504,10 +504,10 @@ bilateral_smooth_point_set(
      tbb::parallel_for(tbb::blocked_range<size_t>(0, nb_points), f);
 
      bool interrupted = parallel_callback.interrupted();
-  
+
      // We interrupt by hand as counter only goes halfway and won't terminate by itself
      parallel_callback.interrupted() = true;
-     parallel_callback.join();       
+     parallel_callback.join();
 
      // If interrupted during this step, nothing is computed, we return NaN
      if (interrupted)
@@ -516,7 +516,7 @@ bilateral_smooth_point_set(
    else
 #endif
    {
-     typename std::vector<Pwns,CGAL_PSP3_DEFAULT_ALLOCATOR<Pwns> >::iterator 
+     typename std::vector<Pwns,CGAL_PSP3_DEFAULT_ALLOCATOR<Pwns> >::iterator
        pwns_iter = pwns_neighbors.begin();
 
      std::size_t nb = 0;
@@ -529,7 +529,7 @@ bilateral_smooth_point_set(
          return std::numeric_limits<double>::quiet_NaN();
      }
    }
-   
+
 #ifdef CGAL_PSP3_VERBOSE
    task_timer.stop();
    memory = CGAL::Memory_sizer().virtual_size();
@@ -548,7 +548,7 @@ bilateral_smooth_point_set(
    {
      Point_set_processing_3::internal::Parallel_callback
        parallel_callback (callback, 2 * nb_points, nb_points);
-     
+
      //tbb::task_scheduler_init init(4);
      tbb::blocked_range<size_t> block(0, nb_points);
      Pwn_updater<Kernel> pwn_updater(sharpness_angle,
@@ -570,26 +570,26 @@ bilateral_smooth_point_set(
 #endif // CGAL_LINKED_WITH_TBB
    {
      std::size_t nb = nb_points;
-     
-     typename std::vector<Pwn,CGAL_PSP3_DEFAULT_ALLOCATOR<Pwn> >::iterator 
+
+     typename std::vector<Pwn,CGAL_PSP3_DEFAULT_ALLOCATOR<Pwn> >::iterator
        update_iter = update_pwns.begin();
-     typename std::vector<Pwns,CGAL_PSP3_DEFAULT_ALLOCATOR<Pwns> >::iterator 
+     typename std::vector<Pwns,CGAL_PSP3_DEFAULT_ALLOCATOR<Pwns> >::iterator
        neighbor_iter = pwns_neighbors.begin();
-     for(pwn_iter = pwns.begin(); pwn_iter != pwns.end(); 
+     for(pwn_iter = pwns.begin(); pwn_iter != pwns.end();
          ++pwn_iter, ++update_iter, ++neighbor_iter, ++ nb)
      {
        *update_iter = bilateral_smooth_point_set_internal::
          compute_denoise_projection<Kernel>
-         (*pwn_iter, 
-          *neighbor_iter, 
-          guess_neighbor_radius, 
+         (*pwn_iter,
+          *neighbor_iter,
+          guess_neighbor_radius,
           sharpness_angle);
        if (callback && !callback ((nb+1) / double(2. * nb_points)))
          return std::numeric_limits<double>::quiet_NaN();
      }
    }
 #ifdef CGAL_PSP3_VERBOSE
-   task_timer.stop(); 
+   task_timer.stop();
    memory = CGAL::Memory_sizer().virtual_size();
    std::cout << "done: " << task_timer.time() << " seconds, "
              << (memory>>20) << " Mb allocated" << std::endl;
@@ -604,12 +604,12 @@ bilateral_smooth_point_set(
      put (point_map, *it, update_pwns[i].position());
      put (normal_map, *it, update_pwns[i].normal());
    }
-     
+
    return sum_move_error / nb_points;
 }
 
 /// \cond SKIP_IN_MANUAL
-// variant with default NP  
+// variant with default NP
 template <typename ConcurrencyTag,
           typename PointRange>
 double
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Bso_internal_functions.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Bso_internal_functions.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Bso_internal_functions.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Bso_internal_functions.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Bso_internal_functions.h $
-// $Id: Bso_internal_functions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Bso_internal_functions.h $
+// $Id: Bso_internal_functions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 //                 Ron Wein        <wein@post.tau.ac.il>
@@ -88,7 +88,7 @@ inline OutputIterator _intersection(cons
 //@{
 
 template <class Traits>
-inline bool _is_empty (const typename Traits:: Polygon_2& pgn, Traits& tr) 
+inline bool _is_empty (const typename Traits:: Polygon_2& pgn, Traits& tr)
 {
   typedef typename Traits::Curve_const_iterator Curve_const_iterator;
   const std::pair<Curve_const_iterator, Curve_const_iterator>& itr_pair =
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Ccb_curve_iterator.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Ccb_curve_iterator.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Ccb_curve_iterator.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Ccb_curve_iterator.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Ccb_curve_iterator.h $
-// $Id: Ccb_curve_iterator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Ccb_curve_iterator.h $
+// $Id: Ccb_curve_iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 
@@ -89,12 +89,12 @@ namespace CGAL {
      Self& operator++ ()
      {
        CGAL_assertion(!_done);
-      
+
       --_circ;
 
       if (_circ == _first)
         _done = true;
-      
+
 
        return (*this);
      }
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Curve_with_halfedge.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Curve_with_halfedge.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Curve_with_halfedge.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Curve_with_halfedge.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Curve_with_halfedge.h $
-// $Id: Curve_with_halfedge.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Curve_with_halfedge.h $
+// $Id: Curve_with_halfedge.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 
@@ -24,7 +24,7 @@ class Curve_with_halfedge
 protected:
   typedef typename Arrangement_::Halfedge_handle        Halfedge_handle;
   typedef typename Arrangement_::Halfedge_const_handle  Halfedge_const_handle;
-  
+
 public:
   Halfedge_handle  m_he;
 
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_agg_meta_traits.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_agg_meta_traits.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_agg_meta_traits.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_agg_meta_traits.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_agg_meta_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_agg_meta_traits.h $
 // $Id: Gps_agg_meta_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_agg_op.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_agg_op.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_agg_op.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_agg_op.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_agg_op.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_agg_op.h $
 // $Id: Gps_agg_op.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_agg_op_surface_sweep_2.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_agg_op_surface_sweep_2.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_agg_op_surface_sweep_2.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_agg_op_surface_sweep_2.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_agg_op_surface_sweep_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_agg_op_surface_sweep_2.h $
 // $Id: Gps_agg_op_surface_sweep_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_agg_op_visitor.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_agg_op_visitor.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_agg_op_visitor.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_agg_op_visitor.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_agg_op_visitor.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_agg_op_visitor.h $
 // $Id: Gps_agg_op_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_base_functor.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_base_functor.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_base_functor.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_base_functor.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_base_functor.h $
-// $Id: Gps_base_functor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_base_functor.h $
+// $Id: Gps_base_functor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 
@@ -33,7 +33,7 @@ public:
   typedef typename Arrangement_2::Face_handle        Face_handle;
   typedef typename Arrangement_2::Halfedge_handle    Halfedge_handle;
   typedef typename Arrangement_2::Vertex_handle      Vertex_handle;
-  
+
 
 
    void create_face (Face_const_handle ,
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_bfs_base_visitor.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_bfs_base_visitor.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_bfs_base_visitor.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_bfs_base_visitor.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_bfs_base_visitor.h $
-// $Id: Gps_bfs_base_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_bfs_base_visitor.h $
+// $Id: Gps_bfs_base_visitor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 //                 Ophir Setter    <ophir.setter@cs.tau.ac.il>
@@ -17,7 +17,7 @@
 #include <CGAL/license/Boolean_set_operations_2.h>
 
 
-#include <CGAL/Unique_hash_map.h> 
+#include <CGAL/Unique_hash_map.h>
 
 namespace CGAL {
 
@@ -47,7 +47,7 @@ public:
 
   Gps_bfs_base_visitor(Edges_hash* edges_hash,
                        Faces_hash* faces_hash,
-                       unsigned int n_pgn): 
+                       unsigned int n_pgn):
     m_edges_hash(edges_hash),
     m_faces_hash(faces_hash),
     m_num_of_polygons(n_pgn)
@@ -55,15 +55,15 @@ public:
 
 
     //! discovered_face
-/*! discovered_face is called by Gps_bfs_scanner when it reveals a new face 
-    during a BFS scan. In the BFS traversal we are going from old_face to 
+/*! discovered_face is called by Gps_bfs_scanner when it reveals a new face
+    during a BFS scan. In the BFS traversal we are going from old_face to
     new_face throught the half-edge he.
   \param old_face The face that was already revealed
   \param new_face The face that we have just now revealed
   \param he The half-edge that is used to traverse between them.
 */
-  void discovered_face(Face_iterator old_face, 
-                       Face_iterator new_face, 
+  void discovered_face(Face_iterator old_face,
+                       Face_iterator new_face,
                        Halfedge_iterator he)
   {
     unsigned int ic = compute_ic(old_face, new_face, he);
@@ -83,18 +83,18 @@ public:
 protected:
 
   // compute the inside count of a face
-  unsigned int compute_ic(Face_iterator f1, 
-                          Face_iterator f2, 
+  unsigned int compute_ic(Face_iterator f1,
+                          Face_iterator f2,
                           Halfedge_iterator he)
   {
-    CGAL_assertion(m_edges_hash->is_defined(he) && 
+    CGAL_assertion(m_edges_hash->is_defined(he) &&
                    m_edges_hash->is_defined(he->twin()) &&
                    m_faces_hash->is_defined(f1) &&
                    !m_faces_hash->is_defined(f2));
-    unsigned int ic_f2 = 
+    unsigned int ic_f2 =
       (*m_faces_hash)[f1] - (*m_edges_hash)[he] + (*m_edges_hash)[he->twin()];
     (*m_faces_hash)[f2] = ic_f2;
-    
+
     return (ic_f2);
   }
 };
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_bfs_intersection_visitor.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_bfs_intersection_visitor.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_bfs_intersection_visitor.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_bfs_intersection_visitor.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_bfs_intersection_visitor.h $
-// $Id: Gps_bfs_intersection_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_bfs_intersection_visitor.h $
+// $Id: Gps_bfs_intersection_visitor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
@@ -24,7 +24,7 @@
 namespace CGAL {
 
 template <class Arrangement_>
-class Gps_bfs_intersection_visitor : 
+class Gps_bfs_intersection_visitor :
 public Gps_bfs_base_visitor<Arrangement_, Gps_bfs_intersection_visitor<Arrangement_> >
 {
   typedef  Arrangement_                                  Arrangement;
@@ -34,19 +34,19 @@ public Gps_bfs_base_visitor<Arrangement_
   typedef Gps_bfs_base_visitor<Arrangement, Self>        Base;
   typedef typename Base::Edges_hash                      Edges_hash;
   typedef typename Base::Faces_hash                      Faces_hash;
- 
+
 
 public:
 
   Gps_bfs_intersection_visitor(Edges_hash* edges_hash,
                                Faces_hash* faces_hash,
-                               unsigned int n_polygons): 
+                               unsigned int n_polygons):
     Base(edges_hash, faces_hash, n_polygons)
   {}
 
 
     //! contained_criteria
-/*! contained_criteria is used to the determine if the face which has 
+/*! contained_criteria is used to the determine if the face which has
   inside count should be marked as contained.
   \param ic the inner count of the talked-about face.
   \return true if the face of ic, otherwise false.
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_bfs_join_visitor.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_bfs_join_visitor.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_bfs_join_visitor.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_bfs_join_visitor.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_bfs_join_visitor.h $
-// $Id: Gps_bfs_join_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_bfs_join_visitor.h $
+// $Id: Gps_bfs_join_visitor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 //                 Ophir Setter    <ophir.setter@cs.tau.ac.il>
@@ -22,7 +22,7 @@
 namespace CGAL {
 
 template <class Arrangement_>
-class Gps_bfs_join_visitor : 
+class Gps_bfs_join_visitor :
 public Gps_bfs_base_visitor<Arrangement_, Gps_bfs_join_visitor<Arrangement_> >
 {
   typedef  Arrangement_                                  Arrangement;
@@ -35,12 +35,12 @@ public Gps_bfs_base_visitor<Arrangement_
 
 public:
 
-  Gps_bfs_join_visitor(Edges_hash* edges_hash, Faces_hash* faces_hash, unsigned int n_pgn): 
+  Gps_bfs_join_visitor(Edges_hash* edges_hash, Faces_hash* faces_hash, unsigned int n_pgn):
     Base(edges_hash, faces_hash, n_pgn)
   {}
 
     //! contained_criteria
-/*! contained_criteria is used to the determine if the face which has 
+/*! contained_criteria is used to the determine if the face which has
   inside count should be marked as contained.
   \param ic the inner count of the talked-about face.
   \return true if the face of ic, otherwise false.
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_bfs_scanner.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_bfs_scanner.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_bfs_scanner.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_bfs_scanner.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_bfs_scanner.h $
-// $Id: Gps_bfs_scanner.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_bfs_scanner.h $
+// $Id: Gps_bfs_scanner.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 //                 Ophir Setter    <ophir.setter@cs.tau.ac.il>
@@ -28,11 +28,11 @@ class Gps_bfs_scanner
   typedef Arrangement_     Arrangement;
 
   typedef typename Arrangement::Inner_ccb_iterator    Inner_ccb_iterator;
-  typedef typename Arrangement::Ccb_halfedge_circulator 
+  typedef typename Arrangement::Ccb_halfedge_circulator
                                                   Ccb_halfedge_circulator;
   typedef typename Arrangement::Face_iterator    Face_iterator;
   typedef typename Arrangement::Halfedge_iterator Halfedge_iterator;
-  
+
   typedef Visitor_         Visitor;
 
 protected:
@@ -57,7 +57,7 @@ public:
 
       ubf->set_visited(true);
       push_to_queue_holes_of_face(ubf);
-      
+
       while(!m_holes.empty())
       {
         Inner_ccb_iterator hole = m_holes.front();
@@ -82,7 +82,7 @@ public:
   {
     Ccb_halfedge_circulator ccb_circ = ccb;
     Ccb_halfedge_circulator ccb_end  = ccb;
-	  Face_iterator new_f;
+          Face_iterator new_f;
     do
     {
       Halfedge_iterator he  = ccb_circ;
@@ -91,8 +91,8 @@ public:
       {
         push_to_queue_holes_of_face(he->twin()->face());
         new_f->set_visited(true);
-        m_visitor->discovered_face(he->face(), new_f, he); 
-        
+        m_visitor->discovered_face(he->face(), new_f, he);
+
         //scan(he->twin());
         m_ccb_stack.push(he->twin());
       }
@@ -101,10 +101,10 @@ public:
     while(ccb_circ != ccb_end);
   }
 
-  
+
   void push_to_queue_holes_of_face(Face_iterator f)
   {
-    for(Inner_ccb_iterator hit = f->inner_ccbs_begin(); 
+    for(Inner_ccb_iterator hit = f->inner_ccbs_begin();
         hit!= f->inner_ccbs_end(); ++hit)
     {
       m_holes.push(hit);
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_bfs_xor_visitor.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_bfs_xor_visitor.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_bfs_xor_visitor.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_bfs_xor_visitor.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_bfs_xor_visitor.h $
-// $Id: Gps_bfs_xor_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_bfs_xor_visitor.h $
+// $Id: Gps_bfs_xor_visitor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 //                 Ophir Setter    <ophir.setter@cs.tau.ac.il>
@@ -22,7 +22,7 @@
 namespace CGAL {
 
 template <class Arrangement_>
-class Gps_bfs_xor_visitor : 
+class Gps_bfs_xor_visitor :
 public Gps_bfs_base_visitor<Arrangement_, Gps_bfs_xor_visitor<Arrangement_> >
 {
   typedef  Arrangement_                                  Arrangement;
@@ -35,13 +35,13 @@ public Gps_bfs_base_visitor<Arrangement_
 
 public:
 
-  Gps_bfs_xor_visitor(Edges_hash* edges_hash, Faces_hash* faces_hash, 
+  Gps_bfs_xor_visitor(Edges_hash* edges_hash, Faces_hash* faces_hash,
                       unsigned int n_pgn) :
     Base(edges_hash, faces_hash, n_pgn)
   {}
 
     //! contained_criteria
-/*! contained_criteria is used to the determine if the face which has 
+/*! contained_criteria is used to the determine if the face which has
   inside count should be marked as contained.
   \param ic the inner count of the talked-about face.
   \return true if the face of ic, otherwise false.
@@ -54,8 +54,8 @@ public:
 
   //! after_scan post-processing after bfs scan.
 /*! The function fixes some of the curves, to be in the same direction as the
-    half-edges. 
-  
+    half-edges.
+
   \param arr The given arrangment.
 */
   void after_scan(Arrangement& arr)
@@ -78,11 +78,11 @@ public:
       Halfedge_iterator         he = eit;
       const X_monotone_curve_2& cv = he->curve();
       const bool                is_cont = he->face()->contained();
-      const Comparison_result   he_res = 
+      const Comparison_result   he_res =
         ((Arr_halfedge_direction)he->direction() == ARR_LEFT_TO_RIGHT) ?
                                          SMALLER : LARGER;
       const bool has_same_dir = (cmp_endpoints(cv) == he_res);
-      
+
       if ((is_cont && !has_same_dir) || (!is_cont && has_same_dir))
         arr.modify_edge(he, ctr_opp(cv));
     }
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_default_dcel.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_default_dcel.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_default_dcel.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_default_dcel.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_default_dcel.h $
-// $Id: Gps_default_dcel.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_default_dcel.h $
+// $Id: Gps_default_dcel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 //                 Efi Fogel <efif@post.tau.ac.il>
@@ -76,7 +76,7 @@ public:
     const Gps_face_base & ex_f = static_cast<const Gps_face_base&>(f);
     m_info = ex_f.m_info;
   }
-  
+
   bool contained() const
   {
     return (m_info & CONTAINED) != 0;
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_default_traits.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_default_traits.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_default_traits.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_default_traits.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_default_traits.h $
-// $Id: Gps_default_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_default_traits.h $
+// $Id: Gps_default_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_difference_functor.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_difference_functor.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_difference_functor.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_difference_functor.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_difference_functor.h $
-// $Id: Gps_difference_functor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_difference_functor.h $
+// $Id: Gps_difference_functor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 
@@ -28,7 +28,7 @@ public:
 
   typedef typename Arrangement_2::Face_const_handle       Face_const_handle;
   typedef typename Arrangement_2::Face_handle             Face_handle;
- 
+
 
 
   void create_face (Face_const_handle f1,
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_do_intersect_functor.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_do_intersect_functor.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_do_intersect_functor.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_do_intersect_functor.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_do_intersect_functor.h $
-// $Id: Gps_do_intersect_functor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_do_intersect_functor.h $
+// $Id: Gps_do_intersect_functor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 
@@ -19,7 +19,7 @@
 namespace CGAL {
 
 template <class Arrangement_>
-class Gps_do_intersect_functor 
+class Gps_do_intersect_functor
 {
 public:
 
@@ -45,7 +45,7 @@ public:
   {
     if(f1->contained() && f2->contained())
       // found intersection
-      m_found_reg_intersection = true;    
+      m_found_reg_intersection = true;
   }
 
 
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_insertion_meta_traits.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_insertion_meta_traits.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_insertion_meta_traits.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_insertion_meta_traits.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_insertion_meta_traits.h $
-// $Id: Gps_insertion_meta_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_insertion_meta_traits.h $
+// $Id: Gps_insertion_meta_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 
@@ -23,7 +23,7 @@
 namespace CGAL {
 
 template <class Arrangement_>
-class Gps_insertion_meta_traits : 
+class Gps_insertion_meta_traits :
   public Gps_traits_decorator<typename Arrangement_::Traits_2,
                               Curve_with_halfedge<Arrangement_>,
                               Point_with_vertex<Arrangement_> >
@@ -34,8 +34,8 @@ public:
                                Curve_with_halfedge<Arrangement_>,
                                Point_with_vertex<Arrangement_> >
                                                             Base;
-  typedef typename Base::Point_2                            Point_2; 
-  typedef typename Base::X_monotone_curve_2                 X_monotone_curve_2; 
+  typedef typename Base::Point_2                            Point_2;
+  typedef typename Base::X_monotone_curve_2                 X_monotone_curve_2;
   typedef typename Base::Curve_data                         Curve_data;
   typedef typename Base::Point_data                         Point_data;
   typedef typename Base_traits::Construct_min_vertex_2
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_intersection_functor.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_intersection_functor.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_intersection_functor.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_intersection_functor.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_intersection_functor.h $
-// $Id: Gps_intersection_functor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_intersection_functor.h $
+// $Id: Gps_intersection_functor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_join_functor.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_join_functor.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_join_functor.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_join_functor.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_join_functor.h $
-// $Id: Gps_join_functor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_join_functor.h $
+// $Id: Gps_join_functor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_merge.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_merge.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_merge.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_merge.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_merge.h $
-// $Id: Gps_merge.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_merge.h $
+// $Id: Gps_merge.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
@@ -51,17 +51,17 @@ public:
    void operator()(unsigned int i,
                    unsigned int j,
                    unsigned int jump,
-                   std::vector<Arr_entry>& arr_vec)                     
+                   std::vector<Arr_entry>& arr_vec)
   {
     if(i==j)
       return;
 
-    const typename Arrangement_2::Geometry_traits_2 * tr = 
+    const typename Arrangement_2::Geometry_traits_2 * tr =
       arr_vec[i].first->geometry_traits();
     Arrangement_2              *res = new Arrangement_2(tr);
     std::vector<Vertex_handle> *verts = new std::vector<Vertex_handle>;
 
-    Gps_agg_op<Arrangement_2, Visitor> 
+    Gps_agg_op<Arrangement_2, Visitor>
       agg_op(*res, *verts, *(res->traits_adaptor()));
     agg_op.sweep_arrangements(i, j, jump, arr_vec);
 
@@ -70,7 +70,7 @@ public:
       delete (arr_vec[count].first);
       delete (arr_vec[count].second);
     }
-    
+
     arr_vec[i].first = res;
     arr_vec[i].second = verts;
   }
@@ -78,30 +78,30 @@ public:
 };
 
 //! Join_merge
-/*! Join_merge is used to join two sets of polygons together in the D&C 
+/*! Join_merge is used to join two sets of polygons together in the D&C
     algorithm. It is a base merge with a visitor that joins faces.
  */
 template <class Arrangement_>
-class Join_merge : public Base_merge<Arrangement_, 
+class Join_merge : public Base_merge<Arrangement_,
   Gps_bfs_join_visitor<Arrangement_> >
 {};
 
 
 //! Intersection_merge
-/*! Intersection_merge is used to merge two sets of polygons creating their 
+/*! Intersection_merge is used to merge two sets of polygons creating their
     intersection.
  */
 template <class Arrangement_>
-class Intersection_merge : public Base_merge<Arrangement_, 
+class Intersection_merge : public Base_merge<Arrangement_,
   Gps_bfs_intersection_visitor<Arrangement_> >
 {};
 
 //! Xor_merge
-/*! Xor_merge is used to merge two sets of polygons creating their 
+/*! Xor_merge is used to merge two sets of polygons creating their
     symmetric difference.
  */
 template <class Arrangement_>
-class Xor_merge : public Base_merge<Arrangement_, 
+class Xor_merge : public Base_merge<Arrangement_,
   Gps_bfs_xor_visitor<Arrangement_> >
 {
 };
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_on_surface_base_2.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_on_surface_base_2.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_on_surface_base_2.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_on_surface_base_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_on_surface_base_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_on_surface_base_2.h $
 // $Id: Gps_on_surface_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_on_surface_base_2_impl.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_on_surface_base_2_impl.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_on_surface_base_2_impl.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_on_surface_base_2_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_on_surface_base_2_impl.h $
-// $Id: Gps_on_surface_base_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_on_surface_base_2_impl.h $
+// $Id: Gps_on_surface_base_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -735,8 +735,8 @@ template <class Traits_, class TopTraits
   if (f->number_of_outer_ccbs() > 1)
     CGAL_error_msg("Not implemented yet.");
 
-	// Some compilers (VC 9) do not like that we directly access the ccb_circ. So we have
-	// to pass through the iterator.
+        // Some compilers (VC 9) do not like that we directly access the ccb_circ. So we have
+        // to pass through the iterator.
   Outer_ccb_const_iterator oci_temp = f->outer_ccbs_begin();
   Ccb_halfedge_const_circulator ccb_end = *oci_temp;
   Ccb_halfedge_const_circulator ccb_circ = ccb_end;
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_polygon_simplifier.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_polygon_simplifier.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_polygon_simplifier.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_polygon_simplifier.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_polygon_simplifier.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_polygon_simplifier.h $
 // $Id: Gps_polygon_simplifier.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_polygon_validation.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_polygon_validation.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_polygon_validation.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_polygon_validation.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_polygon_validation.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_polygon_validation.h $
 // $Id: Gps_polygon_validation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_simplifier_traits.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_simplifier_traits.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_simplifier_traits.h	2020-02-21 20:02:59.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_simplifier_traits.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_simplifier_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_simplifier_traits.h $
 // $Id: Gps_simplifier_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_sym_diff_functor.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_sym_diff_functor.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_sym_diff_functor.h	2020-02-21 20:02:59.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_sym_diff_functor.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_sym_diff_functor.h $
-// $Id: Gps_sym_diff_functor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_sym_diff_functor.h $
+// $Id: Gps_sym_diff_functor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_traits_adaptor.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_traits_adaptor.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_traits_adaptor.h	2020-02-21 20:02:59.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_traits_adaptor.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_traits_adaptor.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_traits_adaptor.h $
 // $Id: Gps_traits_adaptor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_traits_decorator.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_traits_decorator.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Gps_traits_decorator.h	2020-02-21 20:02:59.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Gps_traits_decorator.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_traits_decorator.h $
-// $Id: Gps_traits_decorator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Gps_traits_decorator.h $
+// $Id: Gps_traits_decorator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 
@@ -57,31 +57,31 @@ public:
 
   // a side is either oblivious or open (unbounded)
   BOOST_MPL_ASSERT(
-      (boost::mpl::or_< 
+      (boost::mpl::or_<
        boost::is_same< Left_side_category, Arr_oblivious_side_tag >,
        boost::is_same< Left_side_category, Arr_open_side_tag > >
       )
   );
   BOOST_MPL_ASSERT(
-      (boost::mpl::or_< 
+      (boost::mpl::or_<
        boost::is_same< Bottom_side_category, Arr_oblivious_side_tag >,
        boost::is_same< Bottom_side_category, Arr_open_side_tag > >
       )
   );
   BOOST_MPL_ASSERT(
-      (boost::mpl::or_< 
+      (boost::mpl::or_<
        boost::is_same< Top_side_category, Arr_oblivious_side_tag >,
        boost::is_same< Top_side_category, Arr_open_side_tag > >
       )
   );
   BOOST_MPL_ASSERT(
-      (boost::mpl::or_< 
+      (boost::mpl::or_<
        boost::is_same< Right_side_category, Arr_oblivious_side_tag >,
        boost::is_same< Right_side_category, Arr_open_side_tag > >
       )
   );
 
-  class Ex_point_2 
+  class Ex_point_2
   {
   protected:
     Base_Point_2 m_base;
@@ -138,7 +138,7 @@ public:
   protected:
     Base_X_monotone_curve_2    m_base;
     Curve_data                 m_data;
-    
+
     public:
     Ex_x_monotone_curve_2(): m_base(),
                              m_data()
@@ -148,7 +148,7 @@ public:
                                                                m_data()
     {}
 
-    Ex_x_monotone_curve_2(const Base_X_monotone_curve_2& pt, 
+    Ex_x_monotone_curve_2(const Base_X_monotone_curve_2& pt,
                           const Curve_data& data): m_base(pt),
                                                    m_data(data)
     {}
@@ -206,7 +206,7 @@ public:
   bool m_traits_owner;
 
 public:
-  
+
   Gps_traits_decorator() :
     m_base_tr(new Base()),
     m_traits_owner(true)
@@ -469,7 +469,7 @@ public:
         oi_end = m_base(cv2.base(), cv1.base(), oi);
 
       // convert objects that are associated with Base_X_monotone_curve_2 to
-      // the extenede X_monotone_curve_2 
+      // the extenede X_monotone_curve_2
       for(; oi != oi_end; ++oi)
       {
         base_pt = object_cast<std::pair<Base_Point_2, Multiplicity> >(&(*oi));
@@ -477,7 +477,7 @@ public:
         if (base_pt != nullptr)
         {
           Point_2 point_plus (base_pt->first); // the extended point
-          *oi = CGAL::make_object(std::make_pair(point_plus, 
+          *oi = CGAL::make_object(std::make_pair(point_plus,
                                                  base_pt->second));
         }
         else
@@ -489,7 +489,7 @@ public:
       }
       //return past-end iterator
       return oi_end;
-    }    
+    }
   };
 
   /*! Get a Intersect_2 functor object. */
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Indexed_event.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Indexed_event.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Indexed_event.h	2020-02-21 20:02:59.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Indexed_event.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Indexed_event.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Indexed_event.h $
 // $Id: Indexed_event.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Point_with_vertex.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Point_with_vertex.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Point_with_vertex.h	2020-02-21 20:02:59.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Point_with_vertex.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Point_with_vertex.h $
-// $Id: Point_with_vertex.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Point_with_vertex.h $
+// $Id: Point_with_vertex.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 
@@ -24,7 +24,7 @@ class Point_with_vertex
 protected:
   typedef typename Arrangement_::Vertex_handle        Vertex_handle;
   typedef typename Arrangement_::Vertex_const_handle  Vertex_const_handle;
-  
+
 public:
   Vertex_handle  m_v;
 
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2/Polygon_2_curve_iterator.h 5.0.3-1/include/CGAL/Boolean_set_operations_2/Polygon_2_curve_iterator.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2/Polygon_2_curve_iterator.h	2020-02-21 20:02:59.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2/Polygon_2_curve_iterator.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Polygon_2_curve_iterator.h $
-// $Id: Polygon_2_curve_iterator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2/Polygon_2_curve_iterator.h $
+// $Id: Polygon_2_curve_iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 
@@ -35,16 +35,16 @@ private:
 };
 
 template <class X_monotone_curve_2_, class Polygon_>
-class Polygon_2_curve_iterator 
+class Polygon_2_curve_iterator
 {
 public:
     typedef Polygon_2_curve_iterator< X_monotone_curve_2_, Polygon_ >    Self;
- 
-    
+
+
     typedef X_monotone_curve_2_                           X_monotone_curve_2;
     typedef typename Polygon_::Container                  Container;
     typedef typename Container::iterator                  Container_iterator;
-    typedef typename std::iterator_traits<Container_iterator>::iterator_category 
+    typedef typename std::iterator_traits<Container_iterator>::iterator_category
                                                           iterator_category;
     typedef X_monotone_curve_2                            value_type;
     typedef X_monotone_curve_2*                           pointer;
@@ -54,11 +54,11 @@ public:
     typedef Polygon_                                      Polygon;
     typedef typename Polygon::Edge_const_iterator         Edge_const_iterator;
     typedef typename Edge_const_iterator::difference_type difference_type;
- 
+
   private:
     const Polygon*      m_pgn;   // needed for dereferencing the last edge
     Edge_const_iterator m_curr_edge;   // points to the current edge iterator
-  
+
 public:
     Polygon_2_curve_iterator< X_monotone_curve_2_, Polygon_ >(){}
 
@@ -70,17 +70,17 @@ public:
     {
       return (m_curr_edge == x.m_curr_edge);
     }
-    
+
     bool operator!=(const Self& x) const
     {
       return !(m_curr_edge == x.m_curr_edge);
     }
 
-    X_monotone_curve_2 operator*() 
+    X_monotone_curve_2 operator*()
     {
       return X_monotone_curve_2(*m_curr_edge);
     }
-    
+
     Polygon_2_curve_ptr<X_monotone_curve_2> operator->()
     {
       return Polygon_2_curve_ptr<X_monotone_curve_2>(operator*());
@@ -99,7 +99,7 @@ public:
       return tmp;
     }
 
-    Self& operator--() 
+    Self& operator--()
     {
       --m_curr_edge;
       return *this;
@@ -112,7 +112,7 @@ public:
     }
 
     // random access iterator requirements
-    Self& operator+=(difference_type n) 
+    Self& operator+=(difference_type n)
     {
       m_curr_edge += n;
       return *this;
@@ -123,12 +123,12 @@ public:
       return Self(m_pgn, m_curr_edge + n);
     }
 
-    Self& operator-=(difference_type n) 
+    Self& operator-=(difference_type n)
     {
       return (*this) -= n;
     }
 
-    Self operator-(difference_type n) 
+    Self operator-(difference_type n)
     {
       return Self(m_pgn, m_curr_edge - n);
     }
@@ -138,7 +138,7 @@ public:
       return (const_cast<Edge_const_iterator&>(m_curr_edge) - a.m_curr_edge);
     }
 
-    X_monotone_curve_2 operator[](int n) 
+    X_monotone_curve_2 operator[](int n)
     {
       return *Self(m_pgn, m_curr_edge+n);
     }
@@ -169,15 +169,15 @@ public:
 template <class X_monotone_curve_2_,  class Polygon_>
 typename Polygon_2_curve_iterator<X_monotone_curve_2_,Polygon_>::difference_type
 distance_type(const Polygon_2_curve_iterator<X_monotone_curve_2_,Polygon_>&)
-{ 
-  return Polygon_2_curve_iterator<X_monotone_curve_2_,Polygon_>::difference_type(); 
+{
+  return Polygon_2_curve_iterator<X_monotone_curve_2_,Polygon_>::difference_type();
 }
 
 template <class X_monotone_curve_2_,  class Polygon_>
 X_monotone_curve_2_*
 value_type(const Polygon_2_curve_iterator<X_monotone_curve_2_,Polygon_>&)
 {
-  return (X_monotone_curve_2_*)(0); 
+  return (X_monotone_curve_2_*)(0);
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Boolean_set_operations_2.h 5.0.3-1/include/CGAL/Boolean_set_operations_2.h
--- 5.0.2-3/include/CGAL/Boolean_set_operations_2.h	2020-02-21 20:02:58.000000000 +0000
+++ 5.0.3-1/include/CGAL/Boolean_set_operations_2.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2.h $
-// $Id: Boolean_set_operations_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Boolean_set_operations_2.h $
+// $Id: Boolean_set_operations_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 //                 Ron Wein        <wein@post.tau.ac.il>
@@ -26,7 +26,7 @@
 #include <CGAL/General_polygon_2.h>
 #include <CGAL/General_polygon_with_holes_2.h>
 #include <CGAL/Gps_traits_2.h>
-#include <CGAL/iterator.h> 
+#include <CGAL/iterator.h>
 #include <CGAL/Boolean_set_operations_2/Bso_internal_functions.h>
 #include <CGAL/is_iterator.h>
 #include <boost/utility/enable_if.hpp>
@@ -37,14 +37,14 @@ namespace CGAL {
 //@{
 
 template <class Kernel, class Container>
-inline bool do_intersect(const Polygon_2<Kernel, Container>& pgn1, 
+inline bool do_intersect(const Polygon_2<Kernel, Container>& pgn1,
                          const Polygon_2<Kernel, Container>& pgn2)
 {
   return (_do_intersect(pgn1, pgn2));
 }
 
 template <class Kernel, class Container, class Traits>
-inline bool do_intersect(const Polygon_2<Kernel, Container>& pgn1, 
+inline bool do_intersect(const Polygon_2<Kernel, Container>& pgn1,
                          const Polygon_2<Kernel, Container>& pgn2,
                          Traits& tr)
 {
@@ -52,14 +52,14 @@ inline bool do_intersect(const Polygon_2
 }
 
 template <class Kernel, class Container>
-inline bool do_intersect(const Polygon_2<Kernel, Container>& pgn1, 
+inline bool do_intersect(const Polygon_2<Kernel, Container>& pgn1,
                          const Polygon_with_holes_2<Kernel, Container>& pgn2)
 {
   return (_do_intersect(pgn1, pgn2));
 }
 
 template <class Kernel, class Container, class Traits>
-inline bool do_intersect(const Polygon_2<Kernel, Container>& pgn1, 
+inline bool do_intersect(const Polygon_2<Kernel, Container>& pgn1,
                          const Polygon_with_holes_2<Kernel, Container>& pgn2,
                          Traits& tr)
 {
@@ -97,14 +97,14 @@ inline bool do_intersect(const Polygon_w
 }
 
 template <class Arr_traits>
-inline bool do_intersect(const General_polygon_2<Arr_traits>& pgn1, 
+inline bool do_intersect(const General_polygon_2<Arr_traits>& pgn1,
                          const General_polygon_2<Arr_traits>& pgn2)
 {
   return (_do_intersect(pgn1, pgn2));
 }
 
 template <class Arr_traits, class Gps_traits>
-inline bool do_intersect(const General_polygon_2<Arr_traits>& pgn1, 
+inline bool do_intersect(const General_polygon_2<Arr_traits>& pgn1,
                          const General_polygon_2<Arr_traits>& pgn2,
                          Gps_traits& tr)
 {
@@ -112,7 +112,7 @@ inline bool do_intersect(const General_p
 }
 
 template <class Arr_traits>
-inline bool do_intersect(const General_polygon_2<Arr_traits>& pgn1, 
+inline bool do_intersect(const General_polygon_2<Arr_traits>& pgn1,
                          const General_polygon_with_holes_2
                                <General_polygon_2<Arr_traits> >& pgn2)
 {
@@ -120,7 +120,7 @@ inline bool do_intersect(const General_p
 }
 
 template <class Arr_traits, class Gps_traits>
-inline bool do_intersect(const General_polygon_2<Arr_traits>& pgn1, 
+inline bool do_intersect(const General_polygon_2<Arr_traits>& pgn1,
                          const General_polygon_with_holes_2
                                <General_polygon_2<Arr_traits> >& pgn2,
                          Gps_traits& tr)
@@ -167,7 +167,7 @@ inline bool do_intersect(const General_p
 //@{
 
 template <class Kernel, class Container, typename OutputIterator>
-inline OutputIterator intersection(const Polygon_2<Kernel, Container>& pgn1, 
+inline OutputIterator intersection(const Polygon_2<Kernel, Container>& pgn1,
                                    const Polygon_2<Kernel, Container>& pgn2,
                                    OutputIterator out)
 {
@@ -175,7 +175,7 @@ inline OutputIterator intersection(const
 }
 
 template <class Kernel, class Container, typename OutputIterator, class Traits>
-inline OutputIterator intersection(const Polygon_2<Kernel, Container>& pgn1, 
+inline OutputIterator intersection(const Polygon_2<Kernel, Container>& pgn1,
                                    const Polygon_2<Kernel, Container>& pgn2,
                                    OutputIterator out,
                                    Traits& tr)
@@ -184,7 +184,7 @@ inline OutputIterator intersection(const
 }
 
 template <class Kernel, class Container, typename OutputIterator>
-inline OutputIterator intersection(const Polygon_2<Kernel, Container>& pgn1, 
+inline OutputIterator intersection(const Polygon_2<Kernel, Container>& pgn1,
                          const Polygon_with_holes_2<Kernel, Container>& pgn2,
                            OutputIterator out)
 {
@@ -193,7 +193,7 @@ inline OutputIterator intersection(const
 
 template <class Kernel, class Container, typename OutputIterator, class Traits>
 inline OutputIterator
-intersection (const Polygon_2<Kernel, Container>& pgn1, 
+intersection (const Polygon_2<Kernel, Container>& pgn1,
               const Polygon_with_holes_2<Kernel, Container>& pgn2,
               OutputIterator out, Traits& tr)
 {
@@ -219,7 +219,7 @@ intersection (const Polygon_with_holes_2
 }
 
 template <class Kernel, class Container, typename OutputIterator>
-inline OutputIterator 
+inline OutputIterator
 intersection (const Polygon_with_holes_2<Kernel, Container>& pgn1,
               const Polygon_with_holes_2<Kernel, Container>& pgn2,
               OutputIterator out)
@@ -238,7 +238,7 @@ intersection (const Polygon_with_holes_2
 }
 
 template <class Arr_traits, typename OutputIterator>
-inline OutputIterator intersection (const General_polygon_2<Arr_traits>& pgn1, 
+inline OutputIterator intersection (const General_polygon_2<Arr_traits>& pgn1,
                                     const General_polygon_2<Arr_traits>& pgn2,
                                     OutputIterator out)
 {
@@ -246,7 +246,7 @@ inline OutputIterator intersection (cons
 }
 
 template <class Arr_traits, typename OutputIterator, class Traits>
-inline OutputIterator intersection (const General_polygon_2<Arr_traits>& pgn1, 
+inline OutputIterator intersection (const General_polygon_2<Arr_traits>& pgn1,
                                     const General_polygon_2<Arr_traits>& pgn2,
                                     OutputIterator out,
                                     Traits& tr)
@@ -256,7 +256,7 @@ inline OutputIterator intersection (cons
 
 template <class Arr_traits, typename OutputIterator>
 inline OutputIterator
-intersection (const General_polygon_2<Arr_traits>& pgn1, 
+intersection (const General_polygon_2<Arr_traits>& pgn1,
               const General_polygon_with_holes_2
                     <General_polygon_2<Arr_traits> >& pgn2,
               OutputIterator out)
@@ -266,7 +266,7 @@ intersection (const General_polygon_2<Ar
 
 template <class Arr_traits, typename OutputIterator, class Traits>
 inline OutputIterator
-intersection (const General_polygon_2<Arr_traits>& pgn1, 
+intersection (const General_polygon_2<Arr_traits>& pgn1,
               const General_polygon_with_holes_2
                     <General_polygon_2<Arr_traits> >& pgn2,
               OutputIterator out, Traits& tr)
@@ -317,7 +317,7 @@ intersection (const General_polygon_with
 //@{
 
 template <class Kernel, class Container>
-inline bool join (const Polygon_2<Kernel, Container>& pgn1, 
+inline bool join (const Polygon_2<Kernel, Container>& pgn1,
                   const Polygon_2<Kernel, Container>& pgn2,
                   Polygon_with_holes_2<Kernel, Container>& res)
 {
@@ -325,7 +325,7 @@ inline bool join (const Polygon_2<Kernel
 }
 
 template <class Kernel, class Container, class Traits>
-inline bool join (const Polygon_2<Kernel, Container>& pgn1, 
+inline bool join (const Polygon_2<Kernel, Container>& pgn1,
                   const Polygon_2<Kernel, Container>& pgn2,
                   Polygon_with_holes_2<Kernel, Container>& res, Traits& tr)
 {
@@ -333,7 +333,7 @@ inline bool join (const Polygon_2<Kernel
 }
 
 template <class Kernel, class Container>
-inline bool join (const Polygon_2<Kernel, Container>& pgn1, 
+inline bool join (const Polygon_2<Kernel, Container>& pgn1,
                   const Polygon_with_holes_2<Kernel, Container>& pgn2,
                   Polygon_with_holes_2<Kernel, Container>& res)
 {
@@ -341,7 +341,7 @@ inline bool join (const Polygon_2<Kernel
 }
 
 template <class Kernel, class Container, class Traits>
-inline bool join (const Polygon_2<Kernel, Container>& pgn1, 
+inline bool join (const Polygon_2<Kernel, Container>& pgn1,
                   const Polygon_with_holes_2<Kernel, Container>& pgn2,
                   Polygon_with_holes_2<Kernel, Container>& res, Traits& tr)
 {
@@ -381,8 +381,8 @@ inline bool join (const Polygon_with_hol
 }
 
 template <class Arr_traits>
-inline bool 
-join (const General_polygon_2<Arr_traits>& pgn1, 
+inline bool
+join (const General_polygon_2<Arr_traits>& pgn1,
       const General_polygon_2<Arr_traits>& pgn2,
       General_polygon_with_holes_2<General_polygon_2<Arr_traits> >& res)
 {
@@ -391,7 +391,7 @@ join (const General_polygon_2<Arr_traits
 
 template <class Arr_traits, class Traits>
 inline bool
-join (const General_polygon_2<Arr_traits>& pgn1, 
+join (const General_polygon_2<Arr_traits>& pgn1,
       const General_polygon_2<Arr_traits>& pgn2,
       General_polygon_with_holes_2<General_polygon_2<Arr_traits> >& res,
       Traits& tr)
@@ -401,7 +401,7 @@ join (const General_polygon_2<Arr_traits
 
 template <class Arr_traits>
 inline bool
-join (const General_polygon_2<Arr_traits>& pgn1, 
+join (const General_polygon_2<Arr_traits>& pgn1,
       const General_polygon_with_holes_2<General_polygon_2<Arr_traits> >& pgn2,
       General_polygon_with_holes_2<General_polygon_2<Arr_traits> >& res)
 {
@@ -410,7 +410,7 @@ join (const General_polygon_2<Arr_traits
 
 template <class Arr_traits, class Traits>
 inline bool
-join (const General_polygon_2<Arr_traits>& pgn1, 
+join (const General_polygon_2<Arr_traits>& pgn1,
       const General_polygon_with_holes_2<General_polygon_2<Arr_traits> >& pgn2,
       General_polygon_with_holes_2<General_polygon_2<Arr_traits> >& res,
       Traits& tr)
@@ -458,7 +458,7 @@ inline bool join (const General_polygon_
 //@{
 
 template <class Kernel, class Container, typename OutputIterator>
-inline OutputIterator difference (const Polygon_2<Kernel, Container>& pgn1, 
+inline OutputIterator difference (const Polygon_2<Kernel, Container>& pgn1,
                                   const Polygon_2<Kernel, Container>& pgn2,
                                   OutputIterator oi)
 {
@@ -466,7 +466,7 @@ inline OutputIterator difference (const
 }
 
 template <class Kernel, class Container, typename OutputIterator, class Traits>
-inline OutputIterator difference (const Polygon_2<Kernel, Container>& pgn1, 
+inline OutputIterator difference (const Polygon_2<Kernel, Container>& pgn1,
                                   const Polygon_2<Kernel, Container>& pgn2,
                                   OutputIterator oi, Traits& tr)
 {
@@ -475,7 +475,7 @@ inline OutputIterator difference (const
 
 template <class Kernel, class Container, typename OutputIterator>
 inline OutputIterator
-difference (const Polygon_2<Kernel, Container>& pgn1, 
+difference (const Polygon_2<Kernel, Container>& pgn1,
             const Polygon_with_holes_2<Kernel, Container>& pgn2,
             OutputIterator oi)
 {
@@ -484,7 +484,7 @@ difference (const Polygon_2<Kernel, Cont
 
 template <class Kernel, class Container, typename OutputIterator, class Traits>
 inline OutputIterator
-difference (const Polygon_2<Kernel, Container>& pgn1, 
+difference (const Polygon_2<Kernel, Container>& pgn1,
             const Polygon_with_holes_2<Kernel, Container>& pgn2,
             OutputIterator oi, Traits& tr)
 {
@@ -529,7 +529,7 @@ difference (const Polygon_with_holes_2<K
 }
 
 template <class Arr_traits, typename OutputIterator>
-inline OutputIterator difference (const General_polygon_2<Arr_traits>& pgn1, 
+inline OutputIterator difference (const General_polygon_2<Arr_traits>& pgn1,
                                   const General_polygon_2<Arr_traits>& pgn2,
                                   OutputIterator oi)
 {
@@ -537,7 +537,7 @@ inline OutputIterator difference (const
 }
 
 template <class Arr_traits, typename OutputIterator, class Traits>
-inline OutputIterator difference (const General_polygon_2<Arr_traits>& pgn1, 
+inline OutputIterator difference (const General_polygon_2<Arr_traits>& pgn1,
                                   const General_polygon_2<Arr_traits>& pgn2,
                                   OutputIterator oi,
                                   Traits& tr)
@@ -546,7 +546,7 @@ inline OutputIterator difference (const
 }
 
 template <class Arr_traits, typename OutputIterator>
-inline OutputIterator difference (const General_polygon_2<Arr_traits>& pgn1, 
+inline OutputIterator difference (const General_polygon_2<Arr_traits>& pgn1,
                                   const General_polygon_with_holes_2
                                         <General_polygon_2<Arr_traits> >& pgn2,
                                   OutputIterator oi)
@@ -555,7 +555,7 @@ inline OutputIterator difference (const
 }
 
 template <class Arr_traits, typename OutputIterator, class Traits>
-inline OutputIterator difference (const General_polygon_2<Arr_traits>& pgn1, 
+inline OutputIterator difference (const General_polygon_2<Arr_traits>& pgn1,
                                   const General_polygon_with_holes_2
                                         <General_polygon_2<Arr_traits> >& pgn2,
                                   OutputIterator oi, Traits& tr)
@@ -605,7 +605,7 @@ difference (const General_polygon_with_h
 
 template <class Kernel, class Container, typename OutputIterator, class Traits>
 inline OutputIterator
-symmetric_difference (const Polygon_2<Kernel, Container>& pgn1, 
+symmetric_difference (const Polygon_2<Kernel, Container>& pgn1,
                       const Polygon_2<Kernel, Container>& pgn2,
                       OutputIterator oi, Traits& tr)
 {
@@ -614,7 +614,7 @@ symmetric_difference (const Polygon_2<Ke
 
 template <class Kernel, class Container, typename OutputIterator>
 inline OutputIterator
-symmetric_difference (const Polygon_2<Kernel, Container>& pgn1, 
+symmetric_difference (const Polygon_2<Kernel, Container>& pgn1,
                       const Polygon_2<Kernel, Container>& pgn2,
                       OutputIterator oi)
 {
@@ -623,7 +623,7 @@ symmetric_difference (const Polygon_2<Ke
 
 template <class Kernel, class Container, typename OutputIterator, class Traits>
 inline OutputIterator
-symmetric_difference (const Polygon_2<Kernel, Container>& pgn1, 
+symmetric_difference (const Polygon_2<Kernel, Container>& pgn1,
                       const Polygon_with_holes_2<Kernel, Container>& pgn2,
                       OutputIterator oi, Traits& tr)
 {
@@ -633,7 +633,7 @@ symmetric_difference (const Polygon_2<Ke
 
 template <class Kernel, class Container, typename OutputIterator>
 inline OutputIterator
-symmetric_difference (const Polygon_2<Kernel, Container>& pgn1, 
+symmetric_difference (const Polygon_2<Kernel, Container>& pgn1,
                       const Polygon_with_holes_2<Kernel, Container>& pgn2,
                       OutputIterator oi)
 {
@@ -677,8 +677,8 @@ symmetric_difference (const Polygon_with
 }
 
 template <class Arr_traits, typename OutputIterator, class Traits>
-inline OutputIterator 
-symmetric_difference (const General_polygon_2<Arr_traits>& pgn1, 
+inline OutputIterator
+symmetric_difference (const General_polygon_2<Arr_traits>& pgn1,
                       const General_polygon_2<Arr_traits>& pgn2,
                       OutputIterator oi,
                       Traits& tr)
@@ -687,8 +687,8 @@ symmetric_difference (const General_poly
 }
 
 template <class Arr_traits, typename OutputIterator>
-inline OutputIterator 
-symmetric_difference (const General_polygon_2<Arr_traits>& pgn1, 
+inline OutputIterator
+symmetric_difference (const General_polygon_2<Arr_traits>& pgn1,
                       const General_polygon_2<Arr_traits>& pgn2,
                       OutputIterator oi)
 {
@@ -696,8 +696,8 @@ symmetric_difference (const General_poly
 }
 
 template <class Arr_traits, typename OutputIterator, class Traits>
-inline OutputIterator 
-symmetric_difference (const General_polygon_2<Arr_traits>& pgn1, 
+inline OutputIterator
+symmetric_difference (const General_polygon_2<Arr_traits>& pgn1,
                       const General_polygon_with_holes_2
                             <General_polygon_2<Arr_traits> >& pgn2,
                       OutputIterator oi, Traits& tr)
@@ -706,8 +706,8 @@ symmetric_difference (const General_poly
 }
 
 template <class Arr_traits, typename OutputIterator>
-inline OutputIterator 
-symmetric_difference(const General_polygon_2<Arr_traits>& pgn1, 
+inline OutputIterator
+symmetric_difference(const General_polygon_2<Arr_traits>& pgn1,
                      const General_polygon_with_holes_2
                            <General_polygon_2<Arr_traits> >& pgn2,
                      OutputIterator oi)
@@ -746,7 +746,7 @@ symmetric_difference (const General_poly
 }
 
 template <class Polygon_, typename OutputIterator>
-inline OutputIterator 
+inline OutputIterator
 symmetric_difference (const General_polygon_with_holes_2<Polygon_>& pgn1,
                       const General_polygon_with_holes_2<Polygon_>& pgn2,
                       OutputIterator oi)
@@ -924,7 +924,7 @@ inline OutputIterator intersection(Input
   General_polygon_set_2<Traits> gps(*begin1);
   gps.intersection(++begin1, end1, begin2, end2, k);
   return (gps.polygons_with_holes(oi));
- 
+
 }
 
 template <typename InputIterator1, typename InputIterator2,
@@ -980,7 +980,7 @@ OutputIterator symmetric_difference (Inp
   gps.insert(*begin1);
   gps.symmetric_difference(++begin1, end1, begin2, end2, k);
   return (gps.polygons_with_holes(oi));
- 
+
 }
 
 template <typename InputIterator1, typename InputIterator2,
@@ -1046,14 +1046,14 @@ inline bool do_intersect (InputIterator1
 //@{
 
 template <class Kernel, class Container>
-inline Oriented_side oriented_side(const Polygon_2<Kernel, Container>& pgn1, 
+inline Oriented_side oriented_side(const Polygon_2<Kernel, Container>& pgn1,
                                    const Polygon_2<Kernel, Container>& pgn2)
 {
   return (_oriented_side(pgn1, pgn2));
 }
 
 template <class Kernel, class Container, class Traits>
-inline Oriented_side oriented_side(const Polygon_2<Kernel, Container>& pgn1, 
+inline Oriented_side oriented_side(const Polygon_2<Kernel, Container>& pgn1,
                                    const Polygon_2<Kernel, Container>& pgn2,
                                    Traits& tr)
 {
@@ -1062,7 +1062,7 @@ inline Oriented_side oriented_side(const
 
 template <class Kernel, class Container>
 inline
-Oriented_side oriented_side(const Polygon_2<Kernel, Container>& pgn1, 
+Oriented_side oriented_side(const Polygon_2<Kernel, Container>& pgn1,
                             const Polygon_with_holes_2<Kernel, Container>& pgn2)
 {
   return (_oriented_side(pgn1, pgn2));
@@ -1070,7 +1070,7 @@ Oriented_side oriented_side(const Polygo
 
 template <class Kernel, class Container, class Traits>
 inline
-Oriented_side oriented_side(const Polygon_2<Kernel, Container>& pgn1, 
+Oriented_side oriented_side(const Polygon_2<Kernel, Container>& pgn1,
                             const Polygon_with_holes_2<Kernel, Container>& pgn2,
                             Traits& tr)
 {
@@ -1112,14 +1112,14 @@ Oriented_side oriented_side(const Polygo
 }
 
 template <class Arr_traits>
-inline Oriented_side oriented_side(const General_polygon_2<Arr_traits>& pgn1, 
+inline Oriented_side oriented_side(const General_polygon_2<Arr_traits>& pgn1,
                                    const General_polygon_2<Arr_traits>& pgn2)
 {
   return (_oriented_side(pgn1, pgn2));
 }
 
 template <class Arr_traits, class Gps_traits>
-inline Oriented_side oriented_side(const General_polygon_2<Arr_traits>& pgn1, 
+inline Oriented_side oriented_side(const General_polygon_2<Arr_traits>& pgn1,
                                    const General_polygon_2<Arr_traits>& pgn2,
                                    Gps_traits& tr)
 {
@@ -1127,7 +1127,7 @@ inline Oriented_side oriented_side(const
 }
 
 template <class Arr_traits>
-inline Oriented_side oriented_side(const General_polygon_2<Arr_traits>& pgn1, 
+inline Oriented_side oriented_side(const General_polygon_2<Arr_traits>& pgn1,
                                    const General_polygon_with_holes_2
                                    <General_polygon_2<Arr_traits> >& pgn2)
 {
@@ -1135,7 +1135,7 @@ inline Oriented_side oriented_side(const
 }
 
 template <class Arr_traits, class Gps_traits>
-inline Oriented_side oriented_side(const General_polygon_2<Arr_traits>& pgn1, 
+inline Oriented_side oriented_side(const General_polygon_2<Arr_traits>& pgn1,
                                    const General_polygon_with_holes_2
                                    <General_polygon_2<Arr_traits> >& pgn2,
                                    Gps_traits& tr)
@@ -1182,14 +1182,14 @@ Oriented_side oriented_side(const Genera
 // Point Query:
 
 template <class Kernel, class Container>
-inline Oriented_side oriented_side(const typename Kernel::Point_2& p, 
+inline Oriented_side oriented_side(const typename Kernel::Point_2& p,
                                    const Polygon_2<Kernel, Container>& pgn)
 {
   return (_oriented_side(p, pgn));
 }
 
 template <class Kernel, class Container, class Traits>
-inline Oriented_side oriented_side(const typename Kernel::Point_2& p, 
+inline Oriented_side oriented_side(const typename Kernel::Point_2& p,
                                    const Polygon_2<Kernel, Container>& pgn,
                                    Traits& tr)
 {
@@ -1198,7 +1198,7 @@ inline Oriented_side oriented_side(const
 
 template <class Kernel, class Container>
 inline
-Oriented_side oriented_side(const typename Kernel::Point_2& p, 
+Oriented_side oriented_side(const typename Kernel::Point_2& p,
                             const Polygon_with_holes_2<Kernel, Container>& pgn)
 {
   return (_oriented_side(p, pgn));
@@ -1206,7 +1206,7 @@ Oriented_side oriented_side(const typena
 
 template <class Kernel, class Container, class Traits>
 inline
-Oriented_side oriented_side(const typename Kernel::Point_2& p, 
+Oriented_side oriented_side(const typename Kernel::Point_2& p,
                             const Polygon_with_holes_2<Kernel, Container>& pgn,
                             Traits& tr)
 {
@@ -1214,14 +1214,14 @@ Oriented_side oriented_side(const typena
 }
 
 template <class Arr_traits>
-inline Oriented_side oriented_side(const typename Arr_traits::Point_2& p, 
+inline Oriented_side oriented_side(const typename Arr_traits::Point_2& p,
                                    const General_polygon_2<Arr_traits>& pgn)
 {
   return (_oriented_side(p, pgn));
 }
 
 template <class Arr_traits, class Gps_traits>
-inline Oriented_side oriented_side(const typename Arr_traits::Point_2& p, 
+inline Oriented_side oriented_side(const typename Arr_traits::Point_2& p,
                                    const General_polygon_2<Arr_traits>& pgn,
                                    Gps_traits& tr)
 {
diff -pruN 5.0.2-3/include/CGAL/boost/bimap/multiset_of.hpp 5.0.3-1/include/CGAL/boost/bimap/multiset_of.hpp
--- 5.0.2-3/include/CGAL/boost/bimap/multiset_of.hpp	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/bimap/multiset_of.hpp	2020-08-01 19:02:22.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 2014  
+// Copyright (c) 2014
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/boost/bimap/multiset_of.hpp $
-// $Id: multiset_of.hpp 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/boost/bimap/multiset_of.hpp $
+// $Id: multiset_of.hpp 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
- 
+
 #include <boost/config.hpp>
 
 #if defined(BOOST_MSVC)
diff -pruN 5.0.2-3/include/CGAL/boost/bimap.hpp 5.0.3-1/include/CGAL/boost/bimap.hpp
--- 5.0.2-3/include/CGAL/boost/bimap.hpp	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/bimap.hpp	2020-08-01 19:02:22.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 2014  
+// Copyright (c) 2014
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/boost/bimap.hpp $
-// $Id: bimap.hpp 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/boost/bimap.hpp $
+// $Id: bimap.hpp 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
- 
+
 #include <boost/config.hpp>
 
 #if defined(BOOST_MSVC)
diff -pruN 5.0.2-3/include/CGAL/boost/graph/backward_compatibility_functions.h 5.0.3-1/include/CGAL/boost/graph/backward_compatibility_functions.h
--- 5.0.2-3/include/CGAL/boost/graph/backward_compatibility_functions.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/backward_compatibility_functions.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/backward_compatibility_functions.h $
-// $Id: backward_compatibility_functions.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/backward_compatibility_functions.h $
+// $Id: backward_compatibility_functions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -50,10 +50,10 @@ namespace CGAL {
                 , const Graph& g)
   {
     typename boost::graph_traits<Graph>::halfedge_descriptor h = halfedge(e, g);
-    
+
     return edge(prev(opposite(h, g), g), g);
   }
-  
+
   template <class Graph>
   struct halfedge_graph_traits;
 
@@ -63,7 +63,7 @@ namespace CGAL {
    {
      return edges(g);
    }
-  
+
 }  //end of namespace CGAL
 
 #endif //CGAL_BOOST_GRAPH_BACKWARD_COMPATIBILITY_FUNCTIONS_H
diff -pruN 5.0.2-3/include/CGAL/boost/graph/convert_nef_polyhedron_to_polygon_mesh.h 5.0.3-1/include/CGAL/boost/graph/convert_nef_polyhedron_to_polygon_mesh.h
--- 5.0.2-3/include/CGAL/boost/graph/convert_nef_polyhedron_to_polygon_mesh.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/convert_nef_polyhedron_to_polygon_mesh.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/boost/graph/convert_nef_polyhedron_to_polygon_mesh.h $
-// $Id: convert_nef_polyhedron_to_polygon_mesh.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/boost/graph/convert_nef_polyhedron_to_polygon_mesh.h $
+// $Id: convert_nef_polyhedron_to_polygon_mesh.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -347,7 +347,7 @@ void convert_nef_polyhedron_to_polygon_s
   typedef typename Kernel_traits<Point_3>::Kernel Nef_Kernel;
   typedef typename PointRange::value_type Out_Point;
   typedef typename Kernel_traits<Out_Point>::Kernel Output_kernel;
-  
+
   typedef Cartesian_converter<Nef_Kernel, Output_kernel> Converter;
   typename Nef_polyhedron::Volume_const_iterator vol_it = nef.volumes_begin(),
                                                  vol_end = nef.volumes_end();
diff -pruN 5.0.2-3/include/CGAL/boost/graph/copy_face_graph.h 5.0.3-1/include/CGAL/boost/graph/copy_face_graph.h
--- 5.0.2-3/include/CGAL/boost/graph/copy_face_graph.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/copy_face_graph.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/copy_face_graph.h $
-// $Id: copy_face_graph.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/copy_face_graph.h $
+// $Id: copy_face_graph.h 437dec1 2020-03-20T15:42:48+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -32,17 +32,15 @@ namespace CGAL {
 namespace internal {
 
 template <typename SourceMesh, typename TargetMesh,
-          typename Hmap,
           typename V2V, typename H2H, typename F2F,
           typename Src_vpm, typename Tgt_vpm>
 void copy_face_graph_impl(const SourceMesh& sm, TargetMesh& tm,
-                          Hmap hmap,
                           V2V v2v, H2H h2h, F2F f2f,
                           Src_vpm sm_vpm, Tgt_vpm tm_vpm )
 {
   typedef typename boost::graph_traits<SourceMesh>::vertex_descriptor sm_vertex_descriptor;
   typedef typename boost::graph_traits<TargetMesh>::vertex_descriptor tm_vertex_descriptor;
-  typedef typename boost::graph_traits<TargetMesh>::vertex_iterator   tm_vertex_iterator;
+  typedef typename boost::graph_traits<TargetMesh>::halfedge_iterator tm_halfedge_iterator;
 
   typedef typename boost::graph_traits<SourceMesh>::face_descriptor sm_face_descriptor;
   typedef typename boost::graph_traits<TargetMesh>::face_descriptor tm_face_descriptor;
@@ -57,10 +55,14 @@ void copy_face_graph_impl(const SourceMe
                       typename Kernel_traits<typename boost::property_traits<Tgt_vpm>::value_type>::type >
     conv;
 
+  typedef CGAL::dynamic_halfedge_property_t<tm_halfedge_descriptor> Dyn_h_tag;
+  typename boost::property_map<SourceMesh, Dyn_h_tag >::const_type hs_to_ht = get(Dyn_h_tag(), sm);
+
   std::vector<tm_halfedge_descriptor> tm_border_halfedges;
   std::vector<sm_halfedge_descriptor> sm_border_halfedges;
 
-  tm_face_descriptor tm_null_face = boost::graph_traits<TargetMesh>::null_face();
+  const tm_face_descriptor tm_null_face = boost::graph_traits<TargetMesh>::null_face();
+  const tm_vertex_descriptor tm_null_vertex = boost::graph_traits<TargetMesh>::null_vertex();
 
   reserve(tm, static_cast<typename boost::graph_traits<TargetMesh>::vertices_size_type>(vertices(sm).size()),
               static_cast<typename boost::graph_traits<TargetMesh>::edges_size_type>(edges(sm).size()),
@@ -77,8 +79,8 @@ void copy_face_graph_impl(const SourceMe
     set_next( tm_h, tm_h, tm );
     set_next( tm_h_opp, tm_h_opp, tm );
 
-    put(hmap, sm_h, tm_h);
-    put(hmap, sm_h_opp, tm_h_opp);
+    put(hs_to_ht, sm_h, tm_h);
+    put(hs_to_ht, sm_h_opp, tm_h_opp);
     *h2h++=std::make_pair(sm_h, tm_h);
     *h2h++=std::make_pair(sm_h_opp, tm_h_opp);
 
@@ -106,6 +108,8 @@ void copy_face_graph_impl(const SourceMe
       set_target(tm_h, tm_h_tgt, tm);
       put(tm_vpm, tm_h_tgt, conv(get(sm_vpm, sm_h_tgt)));
     }
+    else
+      set_target(tm_h, tm_null_vertex, tm);
     if ( halfedge(sm_h_src,sm)==sm_h_opp )
     {
       tm_vertex_descriptor tm_h_src = add_vertex(tm);
@@ -114,6 +118,8 @@ void copy_face_graph_impl(const SourceMe
       set_target(tm_h_opp, tm_h_src, tm);
       put(tm_vpm, tm_h_src, conv(get(sm_vpm, sm_h_src)));
     }
+    else
+      set_target(tm_h_opp, tm_null_vertex, tm);
   }
   //create faces and connect halfedges
   for(sm_face_descriptor sm_f : faces(sm))
@@ -122,13 +128,13 @@ void copy_face_graph_impl(const SourceMe
     *f2f++=std::make_pair(sm_f, tm_f);
 
     sm_halfedge_descriptor sm_h_i=halfedge(sm_f, sm);
-    tm_halfedge_descriptor tm_h_prev = get(hmap, prev(sm_h_i, sm));
+    tm_halfedge_descriptor tm_h_prev = get(hs_to_ht, prev(sm_h_i, sm));
     set_halfedge(tm_f, tm_h_prev, tm);
 
     CGAL_precondition(*halfedges_around_face(sm_h_i, sm).first == sm_h_i);
     for(sm_halfedge_descriptor sm_h : halfedges_around_face(sm_h_i, sm))
     {
-      tm_halfedge_descriptor tm_h = get(hmap, sm_h);
+      tm_halfedge_descriptor tm_h = get(hs_to_ht, sm_h);
       set_next(tm_h_prev, tm_h, tm);
       set_face(tm_h, tm_f, tm);
       tm_h_prev=tm_h;
@@ -150,16 +156,14 @@ void copy_face_graph_impl(const SourceMe
                   halfedges_around_face(next(sm_border_halfedges[i], sm), sm))
     {
       CGAL_assertion(next(tm_h_prev, tm) == tm_h_prev);
-      tm_h = get(hmap, sm_h);
+      tm_h = get(hs_to_ht, sm_h);
       set_next(tm_h_prev, tm_h, tm);
       tm_h_prev=tm_h;
     }
   }
   // update halfedge vertex of all but the vertex halfedge
-  for(tm_vertex_iterator vit = vertices(tm).first;
-      vit != vertices(tm).second; ++vit)
+  for(tm_vertex_descriptor v : vertices(tm))
   {
-    tm_vertex_descriptor v = *vit;
     tm_halfedge_descriptor h = halfedge(v, tm);
     tm_halfedge_descriptor next_around_vertex=h;
     do{
@@ -167,52 +171,36 @@ void copy_face_graph_impl(const SourceMe
       set_target(next_around_vertex, v, tm);
     }while(h != next_around_vertex);
   }
-}
-
-template <typename SourceMesh, typename TargetMesh,
-          typename V2V, typename H2H, typename F2F,
-          typename Src_vpm, typename Tgt_vpm>
-void copy_face_graph(const SourceMesh& sm, TargetMesh& tm,
-                     Tag_false,
-                     V2V v2v, H2H h2h, F2F f2f,
-                     Src_vpm sm_vpm, Tgt_vpm tm_vpm )
-{
-  typedef typename boost::graph_traits<SourceMesh>::halfedge_descriptor sm_halfedge_descriptor;
-  typedef typename boost::graph_traits<TargetMesh>::halfedge_descriptor tm_halfedge_descriptor;
-
-  boost::unordered_map<sm_halfedge_descriptor,
-                       tm_halfedge_descriptor> hash_map(num_halfedges(sm));
-  copy_face_graph_impl(sm, tm,
-                       boost::make_assoc_property_map(hash_map),
-                       v2v, h2h, f2f,
-                       sm_vpm, tm_vpm);
-}
-
-template <typename SourceMesh, typename TargetMesh,
-          typename V2V, typename H2H, typename F2F,
-          typename Src_vpm, typename Tgt_vpm>
-void copy_face_graph(const SourceMesh& sm, TargetMesh& tm,
-                     Tag_true,
-                     V2V v2v, H2H h2h, F2F f2f,
-                     Src_vpm sm_vpm, Tgt_vpm tm_vpm )
-{
-  typedef typename boost::graph_traits<TargetMesh>::halfedge_descriptor tm_halfedge_descriptor;
-  std::vector<tm_halfedge_descriptor> hedges(num_halfedges(sm));
 
-  // init halfedge index map
-  /// \TODO shall we keep that?
-  helpers::init_halfedge_indices(const_cast<SourceMesh&>(sm),
-                                 get(boost::halfedge_index, sm));
-
-  copy_face_graph_impl(sm, tm,
-                       bind_property_maps(get(boost::halfedge_index, sm),
-                                          make_property_map(hedges)),
-                       v2v, h2h, f2f,
-                       sm_vpm, tm_vpm);
+  // detect if there are some non-manifold umbrellas and fix missing halfedge target pointers
+  for (tm_halfedge_iterator it=halfedges(tm).first; it!=halfedges(tm).second; ++it)
+  {
+    if (target(*it, tm) == tm_null_vertex)
+    {
+      // create and fill a map from target halfedge to source halfedge
+      typedef CGAL::dynamic_halfedge_property_t<sm_halfedge_descriptor> Dyn_th_tag;
+      typename boost::property_map<TargetMesh, Dyn_th_tag >::type ht_to_hs = get(Dyn_th_tag(), tm);
+      for (sm_halfedge_descriptor hs : halfedges(sm))
+        put(ht_to_hs, get(hs_to_ht, hs), hs);
+
+      for(; it!=halfedges(tm).second; ++it)
+      {
+        if (target(*it, tm) == tm_null_vertex)
+        {
+          // we recover tm_v using the halfedge associated to the target vertex of
+          // the halfedge in sm corresponding to *it. This is working because we
+          // set the vertex halfedge pointer to the "same" halfedges.
+          tm_vertex_descriptor tm_v =
+            target( get(hs_to_ht, halfedge(target(get(ht_to_hs, *it), sm), sm)), tm);
+          for(tm_halfedge_descriptor ht : halfedges_around_target(*it, tm))
+            set_target(ht, tm_v, tm);
+        }
+      }
+      break;
+    }
+  }
 }
 
-
-
 } // end of namespace internal
 namespace impl
 {
@@ -230,9 +218,9 @@ struct Output_iterator_functor
   {
     put(map, pair.first, pair.second);
   }
-  
+
 };
-    
+
 template<typename PMAP>
 boost::function_output_iterator<Output_iterator_functor<PMAP> > make_functor(PMAP map)
 {
@@ -260,13 +248,13 @@ inline Emptyset_iterator make_functor(co
   \tparam TargetMesh a model of `FaceListGraph`
   \tparam NamedParameters1 a sequence of \ref pmp_namedparameters "Named Parameters"
   \tparam NamedParameters2 a sequence of \ref pmp_namedparameters "Named Parameters"
-  
+
   The types `sm_vertex_descriptor` and `sm_face_descriptor` must be models of the concept `Hashable`.
 
   \param sm the source mesh
   \param tm the target mesh
   \param np1 optional sequence of \ref pmp_namedparameters "Named Parameters" among the ones listed below
-  
+
   \cgalNamedParamsBegin
     \cgalParamBegin{vertex_point_map}
       the property map with the points associated to the vertices of `sm` .
@@ -274,30 +262,30 @@ inline Emptyset_iterator make_functor(co
       `CGAL::vertex_point_t` should be available in `SourceMesh`
     \cgalParamEnd
     \cgalParamBegin{vertex_to_vertex_output_iterator} an `OutputIterator` containing the
-      pairs source-vertex, target-vertex. If this parameter is given, then 
+      pairs source-vertex, target-vertex. If this parameter is given, then
       `vertex_to_vertex_map` cannot be used.
     \cgalParamEnd
     \cgalParamBegin{halfedge_to_halfedge_output_iterator} an `OutputIterator` containing the
-      pairs source-halfedge, target-halfedge. If this parameter is given, then 
+      pairs source-halfedge, target-halfedge. If this parameter is given, then
       `halfedge_to_halfedge_map` cannot be used.
     \cgalParamEnd
     \cgalParamBegin{face_to_face_output_iterator} an `OutputIterator` containing the
-      pairs source-face, target-face. If this parameter is given, then 
+      pairs source-face, target-face. If this parameter is given, then
       `face_to_face_map` cannot be used.
     \cgalParamEnd
     \cgalParamBegin{vertex_to_vertex_map} a `ReadWritePropertyMap` containing the
-      pairs source-vertex, target-vertex. 
+      pairs source-vertex, target-vertex.
     \cgalParamEnd
     \cgalParamBegin{halfedge_to_halfedge_map} a `ReadWritePropertyMap` containing the
-      pairs source-halfedge, target-halfedge. 
+      pairs source-halfedge, target-halfedge.
     \cgalParamEnd
     \cgalParamBegin{face_to_face_map} a `ReadWritePropertyMap` containing the
-      pairs source-face, target-face. 
+      pairs source-face, target-face.
     \cgalParamEnd
   \cgalNamedParamsEnd
-  
+
   \param np2 optional sequence of \ref pmp_namedparameters "Named Parameters" among the ones listed below
-  
+
   \cgalNamedParamsBegin
     \cgalParamBegin{vertex_point_map}
       the property map with the points associated to the vertices of `tm`.
@@ -315,7 +303,7 @@ inline Emptyset_iterator make_functor(co
 */
 template <typename SourceMesh, typename TargetMesh,
           #ifndef DOXYGEN_RUNNING
-          typename T1, typename Tag1, typename Base1, 
+          typename T1, typename Tag1, typename Base1,
           typename T2, typename Tag2, typename Base2
           #else
           typename NamedParameters1, typename NamedParameters2
@@ -333,18 +321,20 @@ void copy_face_graph(const SourceMesh& s
 {
   using parameters::choose_parameter;
   using parameters::get_parameter;
-  internal::copy_face_graph(sm, tm,
-                            CGAL::graph_has_property<SourceMesh,boost::halfedge_index_t>(),
-                            choose_parameter(get_parameter(np1, internal_np::vertex_to_vertex_output_iterator),
-                                         impl::make_functor(get_parameter(np1, internal_np::vertex_to_vertex_map))),
-                            choose_parameter(get_parameter(np1, internal_np::halfedge_to_halfedge_output_iterator),
-                                         impl::make_functor(get_parameter(np1, internal_np::halfedge_to_halfedge_map))),
-                            choose_parameter(get_parameter(np1, internal_np::face_to_face_output_iterator),
-                                         impl::make_functor(get_parameter(np1, internal_np::face_to_face_map))),
-                            choose_parameter(get_parameter(np1, internal_np::vertex_point),
-                                         get(vertex_point, sm)),
-                            choose_parameter(get_parameter(np2, internal_np::vertex_point),
-                                         get(vertex_point, tm)));
+
+  internal::copy_face_graph_impl(
+    sm,
+    tm,
+    choose_parameter(get_parameter(np1, internal_np::vertex_to_vertex_output_iterator),
+                 impl::make_functor(get_parameter(np1, internal_np::vertex_to_vertex_map))),
+    choose_parameter(get_parameter(np1, internal_np::halfedge_to_halfedge_output_iterator),
+                 impl::make_functor(get_parameter(np1, internal_np::halfedge_to_halfedge_map))),
+    choose_parameter(get_parameter(np1, internal_np::face_to_face_output_iterator),
+                 impl::make_functor(get_parameter(np1, internal_np::face_to_face_map))),
+    choose_parameter(get_parameter(np1, internal_np::vertex_point),
+                 get(vertex_point, sm)),
+    choose_parameter(get_parameter(np2, internal_np::vertex_point),
+                 get(vertex_point, tm)));
 }
 
 template <typename SourceMesh, typename TargetMesh>
@@ -353,15 +343,15 @@ void copy_face_graph(const SourceMesh& s
   copy_face_graph(sm, tm, parameters::all_default(), parameters::all_default());
 }
 
-template <typename SourceMesh, typename TargetMesh, 
+template <typename SourceMesh, typename TargetMesh,
           typename T, typename Tag, typename Base >
-void copy_face_graph(const SourceMesh& sm, TargetMesh& tm, 
+void copy_face_graph(const SourceMesh& sm, TargetMesh& tm,
                      const CGAL::Named_function_parameters<T,Tag,Base>& np)
 {
   copy_face_graph(sm, tm, np, parameters::all_default());
 }
 
-#if !defined(DOXYGEN_RUNNING)
+#if !defined(DOXYGEN_RUNNING) && !defined(CGAL_NO_DEPRECATED_CODE)
 template <typename SourceMesh, typename TargetMesh,
           typename V2V, typename H2H, typename F2F,
           typename Src_vpm, typename Tgt_vpm>
@@ -369,10 +359,9 @@ void copy_face_graph(const SourceMesh& s
                      V2V v2v, H2H h2h, F2F f2f,
                      Src_vpm sm_vpm, Tgt_vpm tm_vpm )
 {
-  internal::copy_face_graph(sm, tm,
-                            CGAL::graph_has_property<SourceMesh,boost::halfedge_index_t>(),
-                            v2v, h2h, f2f,
-                            sm_vpm, tm_vpm);
+  internal::copy_face_graph_impl(sm, tm,
+                                 v2v, h2h, f2f,
+                                 sm_vpm, tm_vpm);
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/boost/graph/dijkstra_shortest_paths.h 5.0.3-1/include/CGAL/boost/graph/dijkstra_shortest_paths.h
--- 5.0.2-3/include/CGAL/boost/graph/dijkstra_shortest_paths.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/dijkstra_shortest_paths.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/dijkstra_shortest_paths.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/dijkstra_shortest_paths.h $
 // $Id: dijkstra_shortest_paths.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/dijkstra_shortest_paths.hpp 5.0.3-1/include/CGAL/boost/graph/dijkstra_shortest_paths.hpp
--- 5.0.2-3/include/CGAL/boost/graph/dijkstra_shortest_paths.hpp	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/dijkstra_shortest_paths.hpp	2020-08-01 19:02:14.000000000 +0000
@@ -13,8 +13,8 @@
 // https://www.boost.org/LICENSE_1_0.txt)
 //=======================================================================
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/dijkstra_shortest_paths.hpp $
-// $Id: dijkstra_shortest_paths.hpp a472c24 2019-03-20T08:59:22+01:00 Andreas Fabri
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/dijkstra_shortest_paths.hpp $
+// $Id: dijkstra_shortest_paths.hpp 590612a 2020-03-26T13:25:16+01:00 Sébastien Loriot
 // SPDX-License-Identifier: BSL-1.0
 //
 // Revision History:
@@ -62,7 +62,7 @@ namespace boost {
    * @param old_distance  the previous distance to @p vertex
    */
   template<typename Buffer, typename Vertex, typename DistanceType>
-  inline void 
+  inline void
   dijkstra_queue_update(Buffer& Q, Vertex vertex, DistanceType old_distance)
   {
     (void)old_distance;
@@ -197,7 +197,7 @@ namespace boost {
         // The test here is equivalent to e_weight < 0 if m_combine has a
         // cancellation law, but always returns false when m_combine is a
         // projection operator.
-        if (m_compare(m_combine(m_zero, get(m_weight, e)), m_zero)) 
+        if (m_compare(m_combine(m_zero, get(m_weight, e)), m_zero))
             boost::throw_exception(negative_edge());
         // End of test for negative-weight edges.
 
@@ -416,7 +416,7 @@ namespace boost {
   template <class VertexListGraph, class SourceInputIter, class DijkstraVisitor,
             class PredecessorMap, class DistanceMap,
             class WeightMap, class IndexMap, class Compare, class Combine,
-            class DistInf, class DistZero, typename T, typename Tag, 
+            class DistInf, class DistZero, typename T, typename Tag,
             typename Base>
   inline void
   dijkstra_shortest_paths
@@ -439,7 +439,7 @@ namespace boost {
   template <class VertexListGraph, class DijkstraVisitor,
             class PredecessorMap, class DistanceMap,
             class WeightMap, class IndexMap, class Compare, class Combine,
-            class DistInf, class DistZero, typename T, typename Tag, 
+            class DistInf, class DistZero, typename T, typename Tag,
             typename Base>
   inline void
   dijkstra_shortest_paths
diff -pruN 5.0.2-3/include/CGAL/boost/graph/Dual.h 5.0.3-1/include/CGAL/boost/graph/Dual.h
--- 5.0.2-3/include/CGAL/boost/graph/Dual.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/Dual.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/Dual.h $
-// $Id: Dual.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/Dual.h $
+// $Id: Dual.h 2dd06eb 2020-04-13T10:44:26+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -91,7 +91,7 @@ public:
   typedef typename GTP::halfedge_descriptor halfedge_descriptor;
   typedef typename GTP::edge_descriptor     edge_descriptor;
   typedef typename GTP::directed_category   directed_category;
-  typedef boost::allow_parallel_edge_tag    edge_parallel_category; 
+  typedef boost::allow_parallel_edge_tag    edge_parallel_category;
   typedef typename GTP::traversal_category  traversal_category;
 
   typedef typename GTP::faces_size_type          vertices_size_type;
@@ -112,11 +112,11 @@ public:
   static face_descriptor     null_face()     { return face_descriptor(); }
   static halfedge_descriptor null_halfedge() { return halfedge_descriptor(); }
 };
- 
+
 template<typename P>
-struct graph_traits< const CGAL::Dual<P> >  
+struct graph_traits< const CGAL::Dual<P> >
   : public graph_traits< CGAL::Dual<P> >
-{}; 
+{};
 
 namespace internal{
 
@@ -158,19 +158,15 @@ struct Dual_face_index_pmap{
   }
 };
 
-template<typename P, typename Property,
-         bool is_edge = boost::is_same<boost::edge_property_tag,
-                                       typename boost::property_kind<Property>::type>::value>
-struct Dual_property_maps : boost::property_map<P, Property> {};
-
-template< typename P, typename Property>
-struct Dual_property_maps<P, Property, false> {};
-
 } //end of namespace internal
 
-template <typename P, typename Property>
-struct property_map<CGAL::Dual<P>, Property>
-  : internal::Dual_property_maps<P, Property> {};
+template <typename P>
+struct property_map<CGAL::Dual<P>, halfedge_index_t>
+  : boost::property_map<P, halfedge_index_t> {};
+
+template <typename P>
+struct property_map<CGAL::Dual<P>, edge_index_t>
+  : boost::property_map<P, edge_index_t> {};
 
 template <typename P>
 struct property_map<CGAL::Dual<P>, boost::vertex_index_t>
@@ -190,53 +186,49 @@ struct property_map<CGAL::Dual<P>, boost
 
 namespace CGAL {
 
-template <typename P, typename Property>
-typename boost::property_map<P, Property>::type
-get(Property p, Dual<P>& dual)
-{
-  return get(p, dual.primal());
-}
-
-template <typename P, typename Property>
-typename boost::property_map<P, Property>::const_type
-get(Property p, const Dual<P>& dual)
-{
-  return get(p, dual.primal());
-}
-
-template <typename P, typename Property, typename Key >
-typename boost::property_map_value<P, Property>::type
-get(Property p, const Dual<P>& dual, const Key& k)
-{
-  return get(p, dual.primal(), k);
-}
+#define CGAL_GET_OVERLOADS(Property) \
+\
+template <typename P> \
+typename boost::property_map<P, Property>::type \
+get(Property p, Dual<P>& dual) \
+{ \
+  return get(p, dual.primal()); \
+} \
+\
+template <typename P> \
+typename boost::property_map<P, Property>::const_type \
+get(Property p, const Dual<P>& dual) \
+{ \
+  return get(p, dual.primal()); \
+} \
+\
+template <typename P, typename Key > \
+typename boost::property_map_value<P, Property>::type \
+get(Property p, const Dual<P>& dual, const Key& k) \
+{ \
+  return get(p, dual.primal(), k); \
+}
+
+CGAL_GET_OVERLOADS(boost::edge_index_t)
+CGAL_GET_OVERLOADS(boost::halfedge_index_t)
+CGAL_GET_OVERLOADS(boost::vertex_point_t)
 
-template<typename G, typename P, typename>
-struct Property_map_value_dummy {
-  typedef typename boost::property_map_value<G, P>::type type;
-};
+#undef CGAL_GET_OVERLOADS
 
 template <typename P, typename Key>
-typename Property_map_value_dummy<Dual<P>, boost::vertex_index_t, Key>::type
+typename boost::property_map_value<Dual<P>, boost::vertex_index_t>::type
 get(boost::vertex_index_t, const Dual<P>& dual, const Key& k)
 {
   return get(typename boost::internal::Dual_vertex_index_pmap<P>(dual.primal()), k);
 }
 
 template <typename P, typename Key>
-typename Property_map_value_dummy<Dual<P>, boost::face_index_t, Key>::type
+typename  boost::property_map_value<Dual<P>, boost::face_index_t>::type
 get(boost::face_index_t, const Dual<P>& dual, const Key& k)
 {
   return get(typename boost::internal::Dual_face_index_pmap<P>(dual.primal()), k);
 }
 
-template <typename P, typename Property, typename Key, typename Value>
-void
-put(Property p, const Dual<P>& dual, const Key& k, const Value& val)
-{
-  put(p, dual.primal(), k, val);
-}
-
 template <typename P>
 typename boost::internal::Dual_vertex_index_pmap<P>
 get(boost::vertex_index_t, const Dual<P>& dual)
@@ -271,7 +263,7 @@ num_halfedges(const CGAL::Dual<P>& dual)
 {
   return num_halfedges(dual.primal());
 }
-     
+
 template <typename P>
 typename boost::graph_traits<CGAL::Dual<P> >::faces_size_type
 num_faces(const CGAL::Dual<P>& dual)
@@ -283,34 +275,34 @@ template <typename P>
 Iterator_range<typename boost::graph_traits<Dual<P> >::vertex_iterator>
 vertices(const CGAL::Dual<P>& dual)
 {
-  return faces(dual.primal()); 
+  return faces(dual.primal());
 }
 
 template <typename P>
 Iterator_range<typename boost::graph_traits<Dual<P> >::face_iterator>
 faces(const CGAL::Dual<P>& dual)
 {
-  return vertices(dual.primal()); 
+  return vertices(dual.primal());
 }
-    
+
 template <typename P>
 Iterator_range<typename boost::graph_traits<Dual<P> >::halfedge_iterator>
 halfedges(const CGAL::Dual<P>& dual)
 {
-  return halfedges(dual.primal()); 
+  return halfedges(dual.primal());
 }
-  
+
 template <typename P>
 Iterator_range<typename boost::graph_traits<Dual<P> >::edge_iterator>
 edges(const CGAL::Dual<P>& dual)
 {
-  return edges(dual.primal()); 
+  return edges(dual.primal());
 }
 
 template <typename P>
 std::pair<typename boost::graph_traits<Dual<P> >::edge_descriptor, bool>
-edge(typename boost::graph_traits<Dual<P> >::vertex_descriptor u, 
-     typename boost::graph_traits<Dual<P> >::vertex_descriptor v, 
+edge(typename boost::graph_traits<Dual<P> >::vertex_descriptor u,
+     typename boost::graph_traits<Dual<P> >::vertex_descriptor v,
      const Dual<P>& dual)
 {
   typename boost::graph_traits<Dual<P> >::out_edge_iterator e, e_end;
@@ -318,7 +310,7 @@ edge(typename boost::graph_traits<Dual<P
     if(target(*e, dual) == v)
       return std::make_pair(*e, true);
   }
-  
+
   return std::make_pair(typename boost::graph_traits<Dual<P> >::edge_descriptor(), false);
 }
 
@@ -338,7 +330,7 @@ source(typename boost::graph_traits<Dual
   const typename Dual<P>::Primal& primal = dual.primal();
   return face(h,primal);
 }
- 
+
 template <typename P>
 typename boost::graph_traits<Dual<P> >::vertex_descriptor
 target(typename boost::graph_traits<Dual<P> >::halfedge_descriptor h,
@@ -347,7 +339,7 @@ target(typename boost::graph_traits<Dual
   const typename Dual<P>::Primal& primal = dual.primal();
   return face(opposite(h,primal),primal);
 }
- 
+
 
 template <typename P>
 typename boost::graph_traits<Dual<P> >::vertex_descriptor
@@ -357,7 +349,7 @@ source(typename boost::graph_traits<Dual
   const typename Dual<P>::Primal& primal = dual.primal();
   return face(halfedge(h,primal),primal);
 }
- 
+
 template <typename P>
 typename boost::graph_traits<Dual<P> >::vertex_descriptor
 target(typename boost::graph_traits<Dual<P> >::edge_descriptor h,
@@ -403,7 +395,7 @@ halfedge(typename boost::graph_traits<Du
     if(target(*e, dual) == v)
       return std::make_pair(halfedge(*e, dual), true);
   }
-  
+
   return std::make_pair(boost::graph_traits<Dual<P> >::null_halfedge(), false);
 }
 
@@ -431,7 +423,7 @@ next(typename boost::graph_traits<Dual<P
 {
   const typename Dual<P>::Primal& primal = dual.primal();
   return prev(opposite(h,primal),primal);
-}  
+}
 
 template <typename P>
 typename boost::graph_traits<Dual<P> >::halfedge_descriptor
@@ -440,7 +432,7 @@ prev(typename boost::graph_traits<Dual<P
 {
   const typename Dual<P>::Primal& primal = dual.primal();
   return opposite(next(h,primal),primal);
-}  
+}
 
 template <typename P>
 Iterator_range<typename boost::graph_traits<Dual<P> >::out_edge_iterator>
@@ -459,7 +451,7 @@ in_edges(typename boost::graph_traits<Du
   const typename Dual<P>::Primal& primal = dual.primal();
   return opposite_edges_around_face(halfedge(v,primal),primal);
 }
-       
+
 template <typename P>
 typename boost::graph_traits<Dual<P> >::degree_size_type
 out_degree(typename boost::graph_traits<Dual<P> >::vertex_descriptor v,
@@ -476,8 +468,8 @@ in_degree(typename boost::graph_traits<D
 {
   return out_degree(v,dual);
 }
-         
-        
+
+
 } // namespace CGAL
 
 #include <CGAL/enable_warnings.h>
diff -pruN 5.0.2-3/include/CGAL/boost/graph/Euler_operations.h 5.0.3-1/include/CGAL/boost/graph/Euler_operations.h
--- 5.0.2-3/include/CGAL/boost/graph/Euler_operations.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/Euler_operations.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/Euler_operations.h $
-// $Id: Euler_operations.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/Euler_operations.h $
+// $Id: Euler_operations.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Philipp Moeller
 
@@ -52,13 +52,13 @@ join_face(typename boost::graph_traits<G
   }
   bool fnull = is_border(h,g);
 
-  
+
   halfedge_descriptor hprev2 = hprev;
   while(hprev2 != gprev) {
     hprev2 = next(hprev2, g);
     set_face(hprev2, f, g);
   }
-  
+
   if (! fnull)
     set_halfedge(f, hprev, g);
   set_halfedge(target(hprev,g), hprev, g);
@@ -79,7 +79,7 @@ join_face(typename boost::graph_traits<G
 /// @{
 
 
-/**  
+/**
  * joins the two vertices incident to `h`, (that is `source(h, g)` and
  * `target(h, g)`) and removes `source(h,g)`. Returns the predecessor
  * of `h` around the vertex, i.e., `prev(opposite(h,g))`.  The
@@ -98,8 +98,8 @@ join_face(typename boost::graph_traits<G
  * \pre The size of the faces incident to `h` and `opposite(h,g)` is at least 4.
  *
  * \post `source(h, g)` is invalidated
- * \post `h` is invalidated 
- * 
+ * \post `h` is invalidated
+ *
  * \sa `split_vertex()`
  */
 template<typename Graph>
@@ -152,7 +152,7 @@ join_vertex(typename boost::graph_traits
 
 
 
-/** 
+/**
  * splits the target vertex `v` of `h1` and `h2`, and connects the new vertex
  * and `v` with a new edge. Let `hnew` be `opposite(next(h1, g), g)` after the
  * split. The split regroups the halfedges around the two vertices. The
@@ -189,7 +189,7 @@ split_vertex(typename boost::graph_trait
   CGAL_assertion(h1 != h2);
   CGAL_assertion(target(h1, g) == target(h2, g));
 
-  typename boost::graph_traits<Graph>::halfedge_descriptor 
+  typename boost::graph_traits<Graph>::halfedge_descriptor
     hnew = halfedge(add_edge(g), g),
     hnewopp = opposite(hnew, g);
   typename boost::graph_traits<Graph>::vertex_descriptor
@@ -197,8 +197,8 @@ split_vertex(typename boost::graph_trait
   internal::insert_halfedge(hnew, h2, g);
   internal::insert_halfedge(hnewopp, h1, g);
   set_target(hnew, target(h1, g), g);
-  
-  typename boost::graph_traits<Graph>::halfedge_descriptor 
+
+  typename boost::graph_traits<Graph>::halfedge_descriptor
     end = hnewopp;
   do
   {
@@ -225,7 +225,7 @@ split_edge(typename boost::graph_traits<
 
 
 /**
- * joins the two faces incident to `h` and `opposite(h,g)`. 
+ * joins the two faces incident to `h` and `opposite(h,g)`.
  * The faces may be holes.
  *
  * If `Graph` is a model of `MutableFaceGraph`
@@ -260,10 +260,10 @@ join_face(typename boost::graph_traits<G
 /**
  * splits the face incident to `h1` and `h2`.  Creates the opposite
  * halfedges `h3` and `h4`, such that `next(h1,g) == h3` and `next(h2,g) == h4`.
- * Performs the inverse operation to `join_face()`. 
+ * Performs the inverse operation to `join_face()`.
  *
  * If `Graph` is a model of `MutableFaceGraph` and if the update of faces is not disabled
- * a new face incident to `h4` is added. 
+ * a new face incident to `h4` is added.
  *
  * \image html split_face.svg
  *
@@ -284,7 +284,7 @@ typename boost::graph_traits<Graph>::hal
 split_face(typename boost::graph_traits<Graph>::halfedge_descriptor h1,
            typename boost::graph_traits<Graph>::halfedge_descriptor h2,
            Graph& g)
-{ 
+{
   typedef typename boost::graph_traits<Graph> Traits;
   typedef typename Traits::halfedge_descriptor halfedge_descriptor;
   typedef typename Traits::face_descriptor face_descriptor;
@@ -296,23 +296,23 @@ split_face(typename boost::graph_traits<
   internal::set_face_in_face_loop(opposite(hnew,g), fnew, g);
   set_halfedge(face(hnew,g), hnew, g);
   set_halfedge(face(opposite(hnew,g),g), opposite(hnew,g), g);
-  return hnew; 
+  return hnew;
 }
 
-  
+
 /**
  * glues the cycle of halfedges of `h1` and `h2` together.
  * The vertices in the cycle of `h2` get removed.
  * If `h1` or `h2` are not border halfedges their faces get removed.
  * The vertices on the face cycle of `h1` get removed.
- * The invariant `join_loop(h1, split_loop(h1,h2,h3,g), g)` returns `h1` and keeps 
+ * The invariant `join_loop(h1, split_loop(h1,h2,h3,g), g)` returns `h1` and keeps
  * the graph unchanged.
- * 
+ *
  * \image html join_loop.svg
  *
  * \tparam Graph must be a `MutableFaceGraph`
  *
- * \returns `h1`. 
+ * \returns `h1`.
  *
  * \pre The faces incident to `h` and `g` are different and have equal number of edges.
  */
@@ -368,24 +368,24 @@ join_loop(typename boost::graph_traits<G
 
 
 /**
- * cuts the graph along the cycle `(h1,h2,h3)` changing the genus 
+ * cuts the graph along the cycle `(h1,h2,h3)` changing the genus
  * (halfedge `h3` runs on the backside of the three dimensional figure below).
  * Three new vertices, three new pairs of halfedges,
  * and two new triangular faces are created.
  *
- * `h1`, `h2`, and `h3` will be incident to the first new face. 
+ * `h1`, `h2`, and `h3` will be incident to the first new face.
  *
  * Note that `split_loop()` does not deal with properties of new vertices, halfedges, and faces.
  *
  * \image html split_loop.svg
- * 
+ *
  * \tparam Graph must be a `MutableFaceGraph`
  *
  * \returns the halfedge incident to the second new face.
  *
- * \pre `h1`, `h2`, and `h3` denote distinct, consecutive halfedges of the graph 
- * and form a cycle: i.e., `target(h1) == target(opposite(h2,g),g)`, … , 
- * `target(h3,g) == target(opposite(h1,g),g)`. 
+ * \pre `h1`, `h2`, and `h3` denote distinct, consecutive halfedges of the graph
+ * and form a cycle: i.e., `target(h1) == target(opposite(h2,g),g)`, … ,
+ * `target(h3,g) == target(opposite(h1,g),g)`.
  * \pre The six faces incident to `h1`, `h2`, and `h3` are all distinct.
  */
   template<typename Graph>
@@ -481,10 +481,10 @@ split_loop(typename boost::graph_traits<
 
 
 /**
- * removes the incident face of `h` and changes all halfedges incident to the face into border halfedges 
+ * removes the incident face of `h` and changes all halfedges incident to the face into border halfedges
  * or removes them from the graph if they were already border halfedges.
  *
- * If this creates isolated vertices they get removed as well. 
+ * If this creates isolated vertices they get removed as well.
  *
  * \image html remove_face.svg
  * \image html remove_face_and_vertex.svg
@@ -662,7 +662,7 @@ add_face(const VertexRange& vr, Graph& g
       halfedges[i] = halfedge(ne, g);
       CGAL_assertion(halfedges[i] != boost::graph_traits<Graph>::null_halfedge());
 
-      set_face(opposite(halfedges[i], g), boost::graph_traits<Graph>::null_face(), g); // as it may be recycled we have to reset it  
+      set_face(opposite(halfedges[i], g), boost::graph_traits<Graph>::null_face(), g); // as it may be recycled we have to reset it
       CGAL_assertion(source(halfedges[i], g) == vertices[i]);
     }
   }
@@ -702,19 +702,35 @@ add_face(const VertexRange& vr, Graph& g
         break;
 
       case 3: // both are new
-        if (halfedge(v, g) == boost::graph_traits<Graph>::null_halfedge())
         {
-          set_halfedge(v, outer_prev, g);
-          next_cache.push_back(NextCacheEntry(outer_prev, outer_next));
-        }
-        else
-        {
-          border_prev = halfedge(v, g);
-          border_next = next(border_prev, g);
-          next_cache.push_back(NextCacheEntry(border_prev, outer_next));
-          next_cache.push_back(NextCacheEntry(outer_prev, border_next));
+          // try to pick a border halfedge with v as target
+          halfedge_descriptor hv = halfedge(v, g);
+          if (hv != boost::graph_traits<Graph>::null_halfedge() && !is_border(hv, g))
+          {
+            for(halfedge_descriptor h_around_v : halfedges_around_target(hv, g))
+              if (is_border(h_around_v, g))
+              {
+                hv = h_around_v;
+                break;
+              }
+            if (!is_border(hv, g))
+              hv = boost::graph_traits<Graph>::null_halfedge();
+          }
+
+          if (hv == boost::graph_traits<Graph>::null_halfedge())
+          {
+            set_halfedge(v, outer_prev, g);
+            next_cache.push_back(NextCacheEntry(outer_prev, outer_next));
+          }
+          else
+          {
+            border_prev = hv;
+            border_next = next(border_prev, g);
+            next_cache.push_back(NextCacheEntry(border_prev, outer_next));
+            next_cache.push_back(NextCacheEntry(outer_prev, border_next));
+          }
+          break;
         }
-        break;
       }
 
       // set inner link
@@ -754,13 +770,13 @@ void make_hole(typename boost::graph_tra
   CGAL_precondition(! is_border(h,g));
   face_descriptor fd = face(h, g);
   halfedge_around_face_iterator hafib, hafie;
-  for(boost::tie(hafib, hafie) = halfedges_around_face(h, g); 
-      hafib != hafie; 
+  for(boost::tie(hafib, hafie) = halfedges_around_face(h, g);
+      hafib != hafie;
       ++hafib){
     CGAL_assertion(! is_border(opposite(*hafib,g),g));
     internal::set_border(*hafib, g);
   }
-  remove_face(fd,g);  
+  remove_face(fd,g);
 }
 
 
@@ -783,9 +799,9 @@ void fill_hole(typename boost::graph_tra
 }
 
 
-/** 
+/**
  * creates a barycentric triangulation of the face incident to `h`. Creates a new
- * vertex and connects it to each vertex incident to `h` and splits `face(h, g)` 
+ * vertex and connects it to each vertex incident to `h` and splits `face(h, g)`
  * into triangular faces.
  * `h` remains incident to
  * the original face. The time complexity is linear in the size of the face.
@@ -793,10 +809,10 @@ void fill_hole(typename boost::graph_tra
  * \image html add_center_vertex.svg
  *
  * \returns the halfedge `next(h, g)` after the
- * operation, i.e., a halfedge pointing to the new vertex. 
+ * operation, i.e., a halfedge pointing to the new vertex.
  *
- * Note that `add_center_vertex()` does not deal with properties of new vertices, 
- * halfedges, and faces. 
+ * Note that `add_center_vertex()` does not deal with properties of new vertices,
+ * halfedges, and faces.
  *  \pre `h` is not a border halfedge.
  *
  * \param g the graph
@@ -808,7 +824,7 @@ void fill_hole(typename boost::graph_tra
 template<typename Graph>
 typename boost::graph_traits<Graph>::halfedge_descriptor
 add_center_vertex(typename boost::graph_traits<Graph>::halfedge_descriptor h,
-                  Graph& g) 
+                  Graph& g)
 {
   typedef typename boost::graph_traits<Graph>              Traits;
   typedef typename Traits::vertex_descriptor               vertex_descriptor;
@@ -840,10 +856,10 @@ add_center_vertex(typename boost::graph_
 
 /**
  * removes the vertex `target(h, g)` and all incident halfedges thereby merging all
- * incident faces.   The resulting face may not be triangulated. 
- * This function is the inverse operation of `add_center_vertex()`. 
- * The invariant `h == remove_center_vertex(add_center_vertex(h,g),g)` 
- * holds, if `h` is not a border halfedge. 
+ * incident faces.   The resulting face may not be triangulated.
+ * This function is the inverse operation of `add_center_vertex()`.
+ * The invariant `h == remove_center_vertex(add_center_vertex(h,g),g)`
+ * holds, if `h` is not a border halfedge.
  *
  * \image html remove_center_vertex.svg
  *
@@ -867,7 +883,7 @@ add_center_vertex(typename boost::graph_
 template<typename Graph>
 typename boost::graph_traits<Graph>::halfedge_descriptor
 remove_center_vertex(typename boost::graph_traits<Graph>::halfedge_descriptor h,
-                     Graph& g) 
+                     Graph& g)
 {
   typedef typename boost::graph_traits<Graph>              Traits;
   typedef typename Traits::halfedge_descriptor             halfedge_descriptor;
@@ -896,12 +912,12 @@ remove_center_vertex(typename boost::gra
 }
 
 /**
- * appends a new face to the border halfedge `h2` by connecting 
- * the tip of `h2` with the tip of `h1` with two new halfedges and a new vertex 
- * and creating a new face that is incident to `h2`. 
- * Note that `add_vertex_and_face_to_border()` does not deal with properties of new 
+ * appends a new face to the border halfedge `h2` by connecting
+ * the tip of `h2` with the tip of `h1` with two new halfedges and a new vertex
+ * and creating a new face that is incident to `h2`.
+ * Note that `add_vertex_and_face_to_border()` does not deal with properties of new
  * vertices, halfedges, and faces.
- * 
+ *
  * \image html add_vertex_and_face_to_border.svg
  *
  * \tparam Graph must be a model of `MutableFaceGraph`
@@ -942,7 +958,7 @@ add_vertex_and_face_to_border(typename b
   set_next(h2,ohe2,g);
   internal::set_border(he1,g);
   internal::set_border(he2,g);
-  
+
   CGAL::Halfedge_around_face_iterator<Graph> hafib,hafie;
   for(boost::tie(hafib, hafie) = halfedges_around_face(ohe1, g);
       hafib != hafie;
@@ -955,9 +971,9 @@ add_vertex_and_face_to_border(typename b
 
 
 /**
- * appends a new face incident to the border halfedge `h1` and `h2` by connecting the vertex `target(h2,g)` 
- * and the vertex `target(h1,g)` with a new halfedge, and filling this separated part of the hole 
- * with a new face, such that the new face is incident to `h2`. 
+ * appends a new face incident to the border halfedge `h1` and `h2` by connecting the vertex `target(h2,g)`
+ * and the vertex `target(h1,g)` with a new halfedge, and filling this separated part of the hole
+ * with a new face, such that the new face is incident to `h2`.
  *
  * \image html add_face_to_border.svg
  *
@@ -965,8 +981,8 @@ add_vertex_and_face_to_border(typename b
  *
  * \returns the halfedge of the new edge that is incident to the new face.
  *
- * \pre  `h1` and `h2` are border halfedges, 
- * \pre `h1 != h2`, 
+ * \pre  `h1` and `h2` are border halfedges,
+ * \pre `h1 != h2`,
  * \pre `next(h1,g) != h2`,
  * \pre `h1` and `h2` are on the same border.
  */
@@ -983,18 +999,18 @@ add_face_to_border(typename boost::graph
 
   typename boost::graph_traits<Graph>::face_descriptor f = add_face(g);
   typename boost::graph_traits<Graph>::edge_descriptor e = add_edge(g);
-  typename boost::graph_traits<Graph>::halfedge_descriptor 
+  typename boost::graph_traits<Graph>::halfedge_descriptor
       newh= halfedge(e, g)
     , newhop = opposite(newh, g);
 
   set_next(newhop, next(h2, g), g);
 
   set_next(h2, newh, g);
-  
+
   set_next(newh, next(h1, g), g);
 
   set_next(h1, newhop, g);
-  
+
   set_target(newh, target(h1, g), g);
   set_target(newhop, target(h2, g), g);
 
@@ -1003,8 +1019,8 @@ add_face_to_border(typename boost::graph
   internal::set_border(newhop, g);
 
   CGAL::Halfedge_around_face_iterator<Graph> hafib,hafie;
-  for(boost::tie(hafib, hafie) = halfedges_around_face(newh, g); 
-      hafib != hafie; 
+  for(boost::tie(hafib, hafie) = halfedges_around_face(newh, g);
+      hafib != hafie;
       ++hafib){
     set_face(*hafib, f, g);
   }
@@ -1049,7 +1065,7 @@ collapse_edge(typename boost::graph_trai
   halfedge_descriptor qp = opposite(pq, g);
   halfedge_descriptor pt = opposite(prev(pq, g), g);
   halfedge_descriptor qb = opposite(prev(qp, g), g);
-  
+
   bool lTopFaceExists         = ! is_border(pq,g);
   bool lBottomFaceExists      = ! is_border(qp,g);
   bool lTopLeftFaceExists     = lTopFaceExists    && ! is_border(pt,g);
@@ -1065,19 +1081,19 @@ collapse_edge(typename boost::graph_trai
   bool lP_Erased = false;
 
   if ( lTopFaceExists )
-  { 
+  {
     CGAL_precondition( ! is_border(opposite(pt, g),g) ) ; // p-q-t is a face of the mesh
     if ( lTopLeftFaceExists )
     {
-      //CGAL_ECMS_TRACE(3, "Removing p-t E" << pt.idx() << " (V" 
-      //                << p.idx() << "->V" << target(pt, g).idx() 
+      //CGAL_ECMS_TRACE(3, "Removing p-t E" << pt.idx() << " (V"
+      //                << p.idx() << "->V" << target(pt, g).idx()
       //                << ") by joining top-left face" ) ;
 
       join_face(pt,g);
     }
     else
     {
-      //CGAL_ECMS_TRACE(3, "Removing p-t E" << pt.idx() << " (V" << p.idx() 
+      //CGAL_ECMS_TRACE(3, "Removing p-t E" << pt.idx() << " (V" << p.idx()
       //                << "->V" << target(pt, g).idx() << ") by erasing top face" ) ;
 
       remove_face(opposite(pt, g),g);
@@ -1088,24 +1104,24 @@ collapse_edge(typename boost::graph_trai
 
         lP_Erased = true ;
       }
-    } 
+    }
   }
 
   if ( lBottomFaceExists )
-  {   
+  {
     CGAL_precondition( ! is_border(opposite(qb, g),g) ) ; // p-q-b is a face of the mesh
     if ( lBottomRightFaceExists )
     {
-      //CGAL_ECMS_TRACE(3, "Removing q-b E" << qb.idx() << " (V" 
-      //                << q.idx() << "->V" << target(qb, g).idx() 
+      //CGAL_ECMS_TRACE(3, "Removing q-b E" << qb.idx() << " (V"
+      //                << q.idx() << "->V" << target(qb, g).idx()
       //                << ") by joining bottom-right face" ) ;
 
       join_face(qb,g);
     }
     else
     {
-      //CGAL_ECMS_TRACE(3, "Removing q-b E" << qb.idx() << " (V" 
-      //                << q.idx() << "->V" << target(qb, g).idx() 
+      //CGAL_ECMS_TRACE(3, "Removing q-b E" << qb.idx() << " (V"
+      //                << q.idx() << "->V" << target(qb, g).idx()
       //                << ") by erasing bottom face" ) ;
 
       if ( !lTopFaceExists )
@@ -1127,7 +1143,7 @@ collapse_edge(typename boost::graph_trai
 
     join_vertex(pq,g);
     lP_Erased = true ;
-  }    
+  }
 
   CGAL_expensive_assertion(is_valid_polygon_mesh(g));
 
@@ -1139,18 +1155,18 @@ collapse_edge(typename boost::graph_trai
  *
  * Let `h` be the halfedge of `e`, and let `v0` and `v1` be the source and target vertices of `h`.
  * Collapses the edge `e` replacing it with `v1`, as described in the paragraph above
- * and guarantees that an edge `e2`, for which `get(edge_is_constrained_map, e2)==true`, 
+ * and guarantees that an edge `e2`, for which `get(edge_is_constrained_map, e2)==true`,
  * is not removed after the collapse.
- * 
+ *
  * \tparam Graph must be a model of `MutableFaceGraph`
- * \tparam EdgeIsConstrainedMap mut be a model of `ReadablePropertyMap` with the edge descriptor of `Graph` 
- *       as key type and a Boolean as value type. It indicates if an edge is constrained or not. 
+ * \tparam EdgeIsConstrainedMap mut be a model of `ReadablePropertyMap` with the edge descriptor of `Graph`
+ *       as key type and a Boolean as value type. It indicates if an edge is constrained or not.
  *
  * \returns vertex `v1`.
- * \pre This function requires `g` to be an oriented 2-manifold with or without boundaries. 
- *       Furthermore, the edge `v0v1` must satisfy the link condition, which guarantees that the surface mesh is also 2-manifold after the edge collapse. 
- * \pre `get(edge_is_constrained_map, v0v1)==false`. 
- * \pre  `v0` and `v1` are not both incident to a constrained edge. 
+ * \pre This function requires `g` to be an oriented 2-manifold with or without boundaries.
+ *       Furthermore, the edge `v0v1` must satisfy the link condition, which guarantees that the surface mesh is also 2-manifold after the edge collapse.
+ * \pre `get(edge_is_constrained_map, v0v1)==false`.
+ * \pre  `v0` and `v1` are not both incident to a constrained edge.
  */
 
 template<typename Graph, typename EdgeIsConstrainedMap>
@@ -1289,8 +1305,8 @@ flip_edge(typename boost::graph_traits<G
   typedef typename Traits::halfedge_descriptor halfedge_descriptor;
   typedef typename Traits::face_descriptor     face_descriptor;
 
-  vertex_descriptor s = source(h,g); 
-  vertex_descriptor t = target(h,g); 
+  vertex_descriptor s = source(h,g);
+  vertex_descriptor t = target(h,g);
   halfedge_descriptor nh = next(h,g), nnh = next(nh,g), oh = opposite(h,g), noh = next(oh,g), nnoh = next(noh,g);
   vertex_descriptor s2 = target(nh,g), t2 = target(noh,g);
   face_descriptor fh = face(h,g), foh = face(oh,g);
@@ -1323,7 +1339,7 @@ flip_edge(typename boost::graph_traits<G
 template<typename Graph>
 bool
 does_satisfy_link_condition(typename boost::graph_traits<Graph>::edge_descriptor e,
-                            Graph& g)
+                            const Graph& g)
 {
   typedef typename boost::graph_traits<Graph>::vertex_descriptor vertex_descriptor;
   typedef typename boost::graph_traits<Graph>::halfedge_descriptor halfedge_descriptor;
@@ -1423,7 +1439,7 @@ does_satisfy_link_condition(typename boo
 template<typename Graph>
 bool
   satisfies_link_condition(typename boost::graph_traits<Graph>::edge_descriptor e,
-                           Graph& g)
+                           const Graph& g)
 {
   return does_satisfy_link_condition(e, g);
 }
diff -pruN 5.0.2-3/include/CGAL/boost/graph/Face_filtered_graph.h 5.0.3-1/include/CGAL/boost/graph/Face_filtered_graph.h
--- 5.0.2-3/include/CGAL/boost/graph/Face_filtered_graph.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/Face_filtered_graph.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/Face_filtered_graph.h $
-// $Id: Face_filtered_graph.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/Face_filtered_graph.h $
+// $Id: Face_filtered_graph.h 2782bf0 2020-03-13T06:01:10+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -1043,6 +1043,36 @@ get(PropertyTag ptag, Face_filtered_grap
   return get(ptag, w.graph());
 }
 
+#define CGAL_FFG_DYNAMIC_PMAP_SPEC(TAG) \
+template <class Graph, \
+          typename FIMap, \
+          typename VIMap, \
+          typename HIMap, \
+          class T> \
+typename boost::property_map<Graph, TAG<T> >::const_type \
+get(TAG<T> ptag, const Face_filtered_graph<Graph, FIMap, VIMap, HIMap>& w) \
+{ \
+  return get(ptag, w.graph()); \
+} \
+\
+template <class Graph, \
+          typename FIMap, \
+          typename VIMap, \
+          typename HIMap, \
+          class T> \
+typename boost::property_map<Graph, TAG<T> >::type \
+get(TAG<T> ptag, Face_filtered_graph<Graph, FIMap, VIMap, HIMap>& w) \
+{ \
+  return get(ptag, w.graph()); \
+}
+
+CGAL_FFG_DYNAMIC_PMAP_SPEC(dynamic_vertex_property_t)
+CGAL_FFG_DYNAMIC_PMAP_SPEC(dynamic_halfedge_property_t)
+CGAL_FFG_DYNAMIC_PMAP_SPEC(dynamic_edge_property_t)
+CGAL_FFG_DYNAMIC_PMAP_SPEC(dynamic_face_property_t)
+
+#undef CGAL_FFG_DYNAMIC_PMAP_SPEC
+
 //specializations for indices
 template <class Graph,
           typename FIMap,
diff -pruN 5.0.2-3/include/CGAL/boost/graph/generators.h 5.0.3-1/include/CGAL/boost/graph/generators.h
--- 5.0.2-3/include/CGAL/boost/graph/generators.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/generators.h	2020-08-01 19:02:14.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/generators.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/generators.h $
 // $Id: generators.h 416cbbc 2019-10-29T15:23:41+01:00 Laurent Rineau
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_concepts.h 5.0.3-1/include/CGAL/boost/graph/graph_concepts.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_concepts.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_concepts.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/graph_concepts.h $
-// $Id: graph_concepts.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/graph_concepts.h $
+// $Id: graph_concepts.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Philipp Moeller
 
@@ -54,9 +54,9 @@ BOOST_concept(HalfedgeGraph,(G))
     h = next(h, cg);
     h = prev(h, cg);
   }
-  
+
   G g;
-  
+
   typename boost::graph_traits<G>::vertex_descriptor v, u;
   typename boost::graph_traits<G>::edge_descriptor e;
   typename boost::graph_traits<G>::halfedge_descriptor h;
@@ -68,7 +68,7 @@ BOOST_concept(HalfedgeListGraph,(G))
 {
   typedef typename boost::graph_traits<G>::halfedge_iterator   halfedge_iterator;
   typedef typename boost::graph_traits<G>::halfedges_size_type halfedges_size_type;
-  
+
   BOOST_CONCEPT_USAGE(HalfedgeListGraph)
   {
     // BOOST_CONCEPT_ASSERT((boost::BidirectionalIterator<halfedge_iterator>));
@@ -84,7 +84,7 @@ BOOST_concept(HalfedgeListGraph,(G))
     p = halfedges(cg);
     this->h = *p.first;
   }
-  
+
   G g;
   halfedges_size_type h_num;
   std::pair<halfedge_iterator, halfedge_iterator> p;
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_Arrangement_2.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_Arrangement_2.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_Arrangement_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_Arrangement_2.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/boost/graph/graph_traits_Arrangement_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/boost/graph/graph_traits_Arrangement_2.h $
 // $Id: graph_traits_Arrangement_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_Constrained_Delaunay_triangulation_2.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_Constrained_Delaunay_triangulation_2.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_Constrained_Delaunay_triangulation_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_Constrained_Delaunay_triangulation_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/graph_traits_Constrained_Delaunay_triangulation_2.h $
-// $Id: graph_traits_Constrained_Delaunay_triangulation_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/graph_traits_Constrained_Delaunay_triangulation_2.h $
+// $Id: graph_traits_Constrained_Delaunay_triangulation_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
 
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_Constrained_triangulation_2.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_Constrained_triangulation_2.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_Constrained_triangulation_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_Constrained_triangulation_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/graph_traits_Constrained_triangulation_2.h $
-// $Id: graph_traits_Constrained_triangulation_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/graph_traits_Constrained_triangulation_2.h $
+// $Id: graph_traits_Constrained_triangulation_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
 
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_Constrained_triangulation_plus_2.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_Constrained_triangulation_plus_2.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_Constrained_triangulation_plus_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_Constrained_triangulation_plus_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/graph_traits_Constrained_triangulation_plus_2.h $
-// $Id: graph_traits_Constrained_triangulation_plus_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/graph_traits_Constrained_triangulation_plus_2.h $
+// $Id: graph_traits_Constrained_triangulation_plus_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
 
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_Delaunay_triangulation_2.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_Delaunay_triangulation_2.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_Delaunay_triangulation_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_Delaunay_triangulation_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/graph_traits_Delaunay_triangulation_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/graph_traits_Delaunay_triangulation_2.h $
 // $Id: graph_traits_Delaunay_triangulation_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_Dual_Arrangement_2.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_Dual_Arrangement_2.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_Dual_Arrangement_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_Dual_Arrangement_2.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/boost/graph/graph_traits_Dual_Arrangement_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/boost/graph/graph_traits_Dual_Arrangement_2.h $
 // $Id: graph_traits_Dual_Arrangement_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_HalfedgeDS_default.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_HalfedgeDS_default.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_HalfedgeDS_default.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_HalfedgeDS_default.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/boost/graph/graph_traits_HalfedgeDS_default.h $
-// $Id: graph_traits_HalfedgeDS_default.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/boost/graph/graph_traits_HalfedgeDS_default.h $
+// $Id: graph_traits_HalfedgeDS_default.h 620dfa4 2020-03-27T08:37:32+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -21,14 +21,14 @@
 
 namespace CGAL {
 
-template <class Traits_, class HalfedgeDSItems, 
+template <class Traits_, class HalfedgeDSItems,
           class Alloc>
 class HalfedgeDS_default;
 } // namespace CGAL
 
 namespace boost {
 
-  
+
 
 template<class T, class I, class A>
 struct graph_traits< CGAL::HalfedgeDS_default<T,I,A> >
@@ -45,7 +45,7 @@ struct graph_traits< CGAL::HalfedgeDS_de
 } // namespace boost
 
 namespace CGAL {
-  
+
 template<class T, class I, class A>
 typename boost::graph_traits< HalfedgeDS_default<T,I,A> const>::vertices_size_type
 num_vertices(const HalfedgeDS_default<T,I,A>& p)
@@ -174,7 +174,7 @@ out_edges( typename boost::graph_traits<
 
 //
 // MutableHalfedgeGraph
-// 
+//
 
 template<class T, class I, class A>
 typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::vertex_descriptor
@@ -203,9 +203,9 @@ remove_vertex(typename boost::graph_trai
 template<class T, class I, class A>
 typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::edge_descriptor
 add_edge(HalfedgeDS_default<T,I,A>& g)
-{ 
+{
   return typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::edge_descriptor(
-    g.edges_push_back(typename HalfedgeDS_default<T,I,A>::Halfedge(), 
+    g.edges_push_back(typename HalfedgeDS_default<T,I,A>::Halfedge(),
                             typename HalfedgeDS_default<T,I,A>::Halfedge()));
 }
 
@@ -245,7 +245,7 @@ set_next(typename boost::graph_traits< H
 }
 
 //
-// MutableFaceGraph 
+// MutableFaceGraph
 //
 
 template<class T, class I, class A>
@@ -265,7 +265,7 @@ add_face(InputIterator begin, InputItera
 template<class T, class I, class A>
 void
 remove_face(typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::face_descriptor f
-            , HalfedgeDS_default<T,I,A>& g) 
+            , HalfedgeDS_default<T,I,A>& g)
 {
   g.faces_erase(f);
 }
@@ -314,7 +314,7 @@ template<class T, class I, class A>
 typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::edge_descriptor
 edge(typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::halfedge_descriptor h
      , const HalfedgeDS_default<T,I,A>&)
-{ 
+{
   return typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::edge_descriptor(h);
 }
 
@@ -322,7 +322,7 @@ template<class T, class I, class A>
 typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::halfedge_descriptor
 halfedge(typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::edge_descriptor e
          , const HalfedgeDS_default<T,I,A>&)
-{ 
+{
   return e.halfedge();
 }
 
@@ -330,7 +330,7 @@ template<class T, class I, class A>
 typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::halfedge_descriptor
 halfedge(typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::vertex_descriptor v
          , const HalfedgeDS_default<T,I,A>&)
-{ 
+{
   return v->halfedge();
 }
 
@@ -340,7 +340,7 @@ std::pair< typename boost::graph_traits<
 halfedge(typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::vertex_descriptor u
          , typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::vertex_descriptor v
          , const HalfedgeDS_default<T,I,A>& g)
-{ 
+{
   std::pair< typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::edge_descriptor
              , bool> e = edge(u, v, g);
   return std::make_pair(e.first.halfedge(), e.second);
@@ -411,7 +411,7 @@ num_halfedges(const HalfedgeDS_default<T
 template<class T, class I, class A>
 typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::face_descriptor
 face(typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::halfedge_descriptor h
-     , const HalfedgeDS_default<T,I,A>&) 
+     , const HalfedgeDS_default<T,I,A>&)
 {
   return h->face();
 }
@@ -419,7 +419,7 @@ face(typename boost::graph_traits< Halfe
 template<class T, class I, class A>
 typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::halfedge_descriptor
 halfedge(typename boost::graph_traits< HalfedgeDS_default<T,I,A> >::face_descriptor f
-         , const HalfedgeDS_default<T,I,A>&) 
+         , const HalfedgeDS_default<T,I,A>&)
 {
   return f->halfedge();
 }
@@ -442,7 +442,7 @@ num_faces(const HalfedgeDS_default<T,I,A
 
 template <class T>
 struct HDS_property_map;
-  
+
 template <>
 struct HDS_property_map<vertex_point_t>
 {
@@ -475,25 +475,19 @@ void reserve(HalfedgeDS_default<T,I,A>&
 }// namespace CGAL
 namespace boost {
 
-// property_map dispatcher into Polyhedron
-template<class T, class I, class A, class Tag>
-struct property_map<CGAL::HalfedgeDS_default<T,I,A>, Tag>
-{
-  typedef typename CGAL::HDS_property_map<Tag>::
-      template bind_<T,I,A> map_gen;
-  typedef typename map_gen::type       type;
-  typedef typename map_gen::const_type const_type;
+#define CGAL_PM_SPECIALIZATION(TAG) \
+template<class T, class I, class A> \
+struct property_map<CGAL::HalfedgeDS_default<T,I,A>, TAG> \
+{\
+  typedef typename CGAL::HDS_property_map<TAG>:: \
+      template bind_<T,I,A> map_gen; \
+  typedef typename map_gen::type       type; \
+  typedef typename map_gen::const_type const_type; \
 };
 
-// property_map dispatcher into const Polyhedron
-template<class T, class I, class A, class Tag>
-struct property_map<const CGAL::HalfedgeDS_default<T,I,A>, Tag>
-{
-  typedef typename CGAL::HDS_property_map<Tag>::
-      template bind_<T,I,A> map_gen;
-  typedef typename map_gen::type       type;
-  typedef typename map_gen::const_type const_type;
-};
+CGAL_PM_SPECIALIZATION(vertex_point_t)
+
+#undef CGAL_PM_SPECIALIZATION
 
 } // namespace boost
 
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_HalfedgeDS.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_HalfedgeDS.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_HalfedgeDS.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_HalfedgeDS.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/boost/graph/graph_traits_HalfedgeDS.h $
-// $Id: graph_traits_HalfedgeDS.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/boost/graph/graph_traits_HalfedgeDS.h $
+// $Id: graph_traits_HalfedgeDS.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -202,7 +202,7 @@ namespace std {
 
 #if defined(BOOST_MSVC)
 #  pragma warning(push)
-#  pragma warning(disable:4099) // For VC10 it is class hash 
+#  pragma warning(disable:4099) // For VC10 it is class hash
 #endif
 
 #ifndef CGAL_CFG_NO_STD_HASH
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_Linear_cell_complex_for_combinatorial_map.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_Linear_cell_complex_for_combinatorial_map.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_Linear_cell_complex_for_combinatorial_map.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_Linear_cell_complex_for_combinatorial_map.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/boost/graph/graph_traits_Linear_cell_complex_for_combinatorial_map.h $
-// $Id: graph_traits_Linear_cell_complex_for_combinatorial_map.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/boost/graph/graph_traits_Linear_cell_complex_for_combinatorial_map.h $
+// $Id: graph_traits_Linear_cell_complex_for_combinatorial_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -69,7 +69,7 @@ struct EdgeHandle : Dart_handle
     assert(*this!=nullptr);
     return (*this)->get_f(2);
   }
-  
+
   bool operator==(const EdgeHandle& h) const
   {
     return first_halfedge()==h.first_halfedge() ||
@@ -115,16 +115,16 @@ namespace handle{
 } //end of namespace handle
 
 template <class CMap, typename Dart_Iterator>
-class CMap_dart_handle_edge_iterator 
+class CMap_dart_handle_edge_iterator
 {
 public:
   CMap_dart_handle_edge_iterator(){}
 
-  typedef Dart_Iterator Iterator;    
+  typedef Dart_Iterator Iterator;
 
   typedef typename CMap::Dart_handle Dart_handle;
 
-  typedef CMap_dart_handle_edge_iterator<CMap, Dart_Iterator> Self; 
+  typedef CMap_dart_handle_edge_iterator<CMap, Dart_Iterator> Self;
 
   typedef typename std::iterator_traits<Iterator>::iterator_category iterator_category;
   typedef typename std::iterator_traits<Iterator>::difference_type   difference_type;
@@ -174,7 +174,7 @@ template <class CMap>
 struct CMap_Base_graph_traits
 {
 
-public :  
+public :
   struct CMap_graph_traversal_category : public virtual boost::bidirectional_graph_tag,
                                          public virtual boost::vertex_list_graph_tag,
                                          public virtual boost::edge_list_graph_tag
@@ -187,21 +187,21 @@ public :
   typedef typename CMap::Dart_handle                        halfedge_descriptor;
 
   typedef boost::directed_tag directed_category;
-  typedef boost::allow_parallel_edge_tag edge_parallel_category; 
+  typedef boost::allow_parallel_edge_tag edge_parallel_category;
   typedef CMap_graph_traversal_category traversal_category;
 
   typedef Prevent_deref<typename CMap::template Attribute_range<0>::type::iterator> vertex_iterator;
   typedef Prevent_deref<typename CMap::template Attribute_range<2>::type::iterator> face_iterator;
   typedef Prevent_deref<typename CMap::Dart_range::iterator> halfedge_iterator;
-  
+
   typedef internal::CMap_dart_handle_edge_iterator<CMap, typename CMap::Dart_range::iterator> edge_iterator;
-  
+
   typedef typename CMap::size_type degree_size_type;
   typedef typename CMap::size_type halfedges_size_type;
   typedef typename CMap::size_type vertices_size_type;
   typedef typename CMap::size_type edges_size_type;
   typedef typename CMap::size_type faces_size_type;
-  
+
   typedef CGAL::In_edge_iterator<CMap>  in_edge_iterator;
   typedef CGAL::Out_edge_iterator<CMap> out_edge_iterator;
 
@@ -222,7 +222,7 @@ namespace boost
   {
     typedef typename CGAL_LCC_TYPE::Point vertex_property_type;
   };
-  
+
   CGAL_LCC_TEMPLATE_ARGS
   struct graph_traits<CGAL_LCC_TYPE const>
     : public CGAL::CMap_Base_graph_traits<typename CGAL_LCC_TYPE >
@@ -232,13 +232,13 @@ namespace boost
 
 }// namespace boost
 
-namespace CGAL 
+namespace CGAL
 {
 
-//  
+//
 // 1) boost::Graph
 //
-  
+
 CGAL_LCC_TEMPLATE_ARGS
 typename boost::graph_traits<CGAL_LCC_TYPE >::vertices_size_type
 num_vertices(const CGAL_LCC_TYPE& lcc)
@@ -248,7 +248,7 @@ CGAL_LCC_TEMPLATE_ARGS
 typename boost::graph_traits<CGAL_LCC_TYPE>::edges_size_type
 num_edges(const CGAL_LCC_TYPE& lcc)
 { return lcc.number_of_darts()/2; }
-  
+
 // We suppose there are no loops.
 CGAL_LCC_TEMPLATE_ARGS
 typename boost::graph_traits<CGAL_LCC_TYPE >::degree_size_type
@@ -292,13 +292,13 @@ degree(typename boost::graph_traits<CGAL
 }
 
 CGAL_LCC_TEMPLATE_ARGS
-typename boost::graph_traits<CGAL_LCC_TYPE >::vertex_descriptor 
+typename boost::graph_traits<CGAL_LCC_TYPE >::vertex_descriptor
 source(typename boost::graph_traits<CGAL_LCC_TYPE >::halfedge_descriptor h,
        const CGAL_LCC_TYPE& lcc)
 { return const_cast<CGAL_LCC_TYPE&>(lcc).template attribute<0>(h); }
 
 CGAL_LCC_TEMPLATE_ARGS
-typename boost::graph_traits<CGAL_LCC_TYPE >::vertex_descriptor 
+typename boost::graph_traits<CGAL_LCC_TYPE >::vertex_descriptor
 target(typename boost::graph_traits<CGAL_LCC_TYPE >::halfedge_descriptor h,
        const CGAL_LCC_TYPE& lcc)
 {
@@ -307,13 +307,13 @@ target(typename boost::graph_traits<CGAL
 }
 
 CGAL_LCC_TEMPLATE_ARGS
-typename boost::graph_traits<CGAL_LCC_TYPE >::vertex_descriptor 
+typename boost::graph_traits<CGAL_LCC_TYPE >::vertex_descriptor
 source(typename boost::graph_traits<CGAL_LCC_TYPE >::edge_descriptor e,
        const CGAL_LCC_TYPE& lcc)
 { return source(e.first_halfedge(), lcc); }
 
 CGAL_LCC_TEMPLATE_ARGS
-typename boost::graph_traits<CGAL_LCC_TYPE >::vertex_descriptor 
+typename boost::graph_traits<CGAL_LCC_TYPE >::vertex_descriptor
 target(typename boost::graph_traits<CGAL_LCC_TYPE >::edge_descriptor e,
        const CGAL_LCC_TYPE& lcc)
 { return target(e.first_halfedge(), lcc); }
@@ -342,8 +342,8 @@ halfedge(typename boost::graph_traits<CG
 
 CGAL_LCC_TEMPLATE_ARGS
 std::pair<typename boost::graph_traits<CGAL_LCC_TYPE>::edge_descriptor, bool>
-edge(typename boost::graph_traits<CGAL_LCC_TYPE>::vertex_descriptor u, 
-     typename boost::graph_traits<CGAL_LCC_TYPE>::vertex_descriptor v, 
+edge(typename boost::graph_traits<CGAL_LCC_TYPE>::vertex_descriptor u,
+     typename boost::graph_traits<CGAL_LCC_TYPE>::vertex_descriptor v,
      const CGAL_LCC_TYPE& lcc)
 {
   std::pair<typename boost::graph_traits<CGAL_LCC_TYPE>::halfedge_descriptor,
@@ -406,7 +406,7 @@ typename boost::graph_traits<CGAL_LCC_TY
 halfedge(typename boost::graph_traits<CGAL_LCC_TYPE>::edge_descriptor e,
          const CGAL_LCC_TYPE&)
 { return e.first_halfedge(); }
-  
+
 CGAL_LCC_TEMPLATE_ARGS
 typename boost::graph_traits<CGAL_LCC_TYPE>::halfedge_descriptor
 halfedge(typename boost::graph_traits<CGAL_LCC_TYPE>::vertex_descriptor v,
@@ -455,7 +455,7 @@ num_halfedges(const CGAL_LCC_TYPE& lcc)
 
 //
 // 4) MutableHalfedgeGraph
-// 
+//
 
 CGAL_LCC_TEMPLATE_ARGS
 typename boost::graph_traits<CGAL_LCC_TYPE>::vertex_descriptor
@@ -493,10 +493,10 @@ add_edge(CGAL_LCC_TYPE& lcc)
   lcc.template link_beta<2>(actu, lcc.create_dart());
   return typename boost::graph_traits<CGAL_LCC_TYPE>::edge_descriptor(actu);
 }
-  
+
 CGAL_LCC_TEMPLATE_ARGS
 void
-remove_edge(typename boost::graph_traits<CGAL_LCC_TYPE>::edge_descriptor e, 
+remove_edge(typename boost::graph_traits<CGAL_LCC_TYPE>::edge_descriptor e,
             CGAL_LCC_TYPE& lcc)
 {
   assert ( !lcc.template is_free<2>(e.first_halfedge()) );
@@ -529,9 +529,9 @@ face(typename boost::graph_traits<CGAL_L
 CGAL_LCC_TEMPLATE_ARGS
 typename boost::graph_traits<CGAL_LCC_TYPE>::halfedge_descriptor
 halfedge(typename boost::graph_traits<CGAL_LCC_TYPE>::face_descriptor f,
-         const CGAL_LCC_TYPE&) 
+         const CGAL_LCC_TYPE&)
 { return f->dart(); }
-  
+
 CGAL_LCC_TEMPLATE_ARGS
 CGAL::Iterator_range<typename boost::graph_traits<CGAL_LCC_TYPE>::face_iterator>
 faces(const CGAL_LCC_TYPE& lcc)
@@ -546,7 +546,7 @@ CGAL_LCC_TEMPLATE_ARGS
 typename boost::graph_traits<CGAL_LCC_TYPE>::faces_size_type
 num_faces(const CGAL_LCC_TYPE& lcc)
 { return lcc.template attributes<2>().size(); }
-  
+
 CGAL_LCC_TEMPLATE_ARGS
 void reserve(CGAL_LCC_TYPE& g,
              typename boost::graph_traits<CGAL_LCC_TYPE>::vertices_size_type nv,
@@ -567,7 +567,7 @@ bool is_valid(const CGAL_LCC_TYPE& lcc,
 }
 
 //
-// 6) MutableFaceGraph 
+// 6) MutableFaceGraph
 //
 
 CGAL_LCC_TEMPLATE_ARGS
@@ -592,7 +592,7 @@ void remove_face(typename boost::graph_t
 { lcc.template erase_attribute<2>(f); }
 
 CGAL_LCC_TEMPLATE_ARGS
-void set_face(typename boost::graph_traits<CGAL_LCC_TYPE>::halfedge_descriptor h,              
+void set_face(typename boost::graph_traits<CGAL_LCC_TYPE>::halfedge_descriptor h,
               typename boost::graph_traits<CGAL_LCC_TYPE>::face_descriptor f,
               CGAL_LCC_TYPE& lcc)
 { lcc.template restricted_set_dart_attribute<2>(h, f); }
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_OpenMesh.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_OpenMesh.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_OpenMesh.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_OpenMesh.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/graph_traits_OpenMesh.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/graph_traits_OpenMesh.h $
 // $Id: graph_traits_OpenMesh.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_Polyhedron_3.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_Polyhedron_3.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_Polyhedron_3.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_Polyhedron_3.h	2020-08-01 19:02:45.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/include/CGAL/boost/graph/graph_traits_Polyhedron_3.h $
-// $Id: graph_traits_Polyhedron_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/include/CGAL/boost/graph/graph_traits_Polyhedron_3.h $
+// $Id: graph_traits_Polyhedron_3.h 414bb92 2020-06-30T16:36:55+02:00 Laurent Rineau
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -178,7 +178,7 @@ out_edges( typename boost::graph_traits<
 
 //
 // MutableHalfedgeGraph
-// 
+//
 
 template<class Gt, class I, CGAL_HDS_PARAM_, class A>
 typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::vertex_descriptor
@@ -207,9 +207,9 @@ remove_vertex(typename boost::graph_trai
 template<class Gt, class I, CGAL_HDS_PARAM_, class A>
 typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::edge_descriptor
 add_edge(CGAL::Polyhedron_3<Gt,I,HDS,A>& g)
-{ 
+{
   return typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::edge_descriptor(
-    g.hds().edges_push_back(typename CGAL::Polyhedron_3<Gt,I,HDS,A>::Halfedge(), 
+    g.hds().edges_push_back(typename CGAL::Polyhedron_3<Gt,I,HDS,A>::Halfedge(),
                             typename CGAL::Polyhedron_3<Gt,I,HDS,A>::Halfedge()));
 }
 
@@ -249,7 +249,7 @@ set_next(typename boost::graph_traits< C
 }
 
 //
-// MutableFaceGraph 
+// MutableFaceGraph
 //
 
 template<class Gt, class I, CGAL_HDS_PARAM_, class A>
@@ -269,7 +269,7 @@ add_face(InputIterator begin, InputItera
 template<class Gt, class I, CGAL_HDS_PARAM_, class A>
 void
 remove_face(typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::face_descriptor f
-            , CGAL::Polyhedron_3<Gt,I,HDS,A>& g) 
+            , CGAL::Polyhedron_3<Gt,I,HDS,A>& g)
 {
   g.hds().faces_erase(f);
 }
@@ -278,7 +278,7 @@ template<class Gt, class I, CGAL_HDS_PAR
 void
 set_face(typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::halfedge_descriptor h
   , typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::face_descriptor f
-  , const CGAL::Polyhedron_3<Gt,I,HDS,A>&)
+  , CGAL::Polyhedron_3<Gt,I,HDS,A>&)
 {
   // set_face has become private in the halfedge provided by
   // polyhedron for unknown reasons, although it used to be public
@@ -304,7 +304,7 @@ template<class Gt, class I, CGAL_HDS_PAR
 void
 set_halfedge(typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::vertex_descriptor v
   , typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::halfedge_descriptor h
-  , const CGAL::Polyhedron_3<Gt,I,HDS,A>&)
+  , CGAL::Polyhedron_3<Gt,I,HDS,A>&)
 {
   typedef typename CGAL::Polyhedron_3<Gt,I,HDS,A>::Vertex::Base Sneak;
   static_cast<Sneak&>(*v).set_halfedge(h);
@@ -318,7 +318,7 @@ template<class Gt, class I, CGAL_HDS_PAR
 typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::edge_descriptor
 edge(typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::halfedge_descriptor h
      , const CGAL::Polyhedron_3<Gt,I,HDS,A>&)
-{ 
+{
   return typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::edge_descriptor(h);
 }
 
@@ -326,7 +326,7 @@ template<class Gt, class I, CGAL_HDS_PAR
 typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::halfedge_descriptor
 halfedge(typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::edge_descriptor e
          , const CGAL::Polyhedron_3<Gt,I,HDS,A>&)
-{ 
+{
   return e.halfedge();
 }
 
@@ -334,7 +334,7 @@ template<class Gt, class I, CGAL_HDS_PAR
 typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::halfedge_descriptor
 halfedge(typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::vertex_descriptor v
          , const CGAL::Polyhedron_3<Gt,I,HDS,A>&)
-{ 
+{
   return v->halfedge();
 }
 
@@ -344,7 +344,7 @@ std::pair< typename boost::graph_traits<
 halfedge(typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::vertex_descriptor u
          , typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::vertex_descriptor v
          , const CGAL::Polyhedron_3<Gt,I,HDS,A>& g)
-{ 
+{
   std::pair< typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::edge_descriptor
              , bool> e = edge(u, v, g);
   return std::make_pair(e.first.halfedge(), e.second);
@@ -415,7 +415,7 @@ num_halfedges(const CGAL::Polyhedron_3<G
 template<class Gt, class I, CGAL_HDS_PARAM_, class A>
 typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::face_descriptor
 face(typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::halfedge_descriptor h
-     , const CGAL::Polyhedron_3<Gt,I,HDS,A>&) 
+     , const CGAL::Polyhedron_3<Gt,I,HDS,A>&)
 {
   return h->face();
 }
@@ -423,7 +423,7 @@ face(typename boost::graph_traits< CGAL:
 template<class Gt, class I, CGAL_HDS_PARAM_, class A>
 typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::halfedge_descriptor
 halfedge(typename boost::graph_traits< CGAL::Polyhedron_3<Gt,I,HDS,A> >::face_descriptor f
-         , const CGAL::Polyhedron_3<Gt,I,HDS,A>&) 
+         , const CGAL::Polyhedron_3<Gt,I,HDS,A>&)
 {
   return f->halfedge();
 }
@@ -459,7 +459,7 @@ void normalize_border(CGAL::Polyhedron_3
 {
   p.normalize_border();
 }
-  
+
 } // namespace CGAL
 
 
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_PolyMesh_ArrayKernelT.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_PolyMesh_ArrayKernelT.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_PolyMesh_ArrayKernelT.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_PolyMesh_ArrayKernelT.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/graph_traits_PolyMesh_ArrayKernelT.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/graph_traits_PolyMesh_ArrayKernelT.h $
 // $Id: graph_traits_PolyMesh_ArrayKernelT.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_Regular_triangulation_2.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_Regular_triangulation_2.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_Regular_triangulation_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_Regular_triangulation_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/graph_traits_Regular_triangulation_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/graph_traits_Regular_triangulation_2.h $
 // $Id: graph_traits_Regular_triangulation_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_Seam_mesh.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_Seam_mesh.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_Seam_mesh.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_Seam_mesh.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/graph_traits_Seam_mesh.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/graph_traits_Seam_mesh.h $
 // $Id: graph_traits_Seam_mesh.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_Surface_mesh.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_Surface_mesh.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_Surface_mesh.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_Surface_mesh.h	2020-08-01 19:02:54.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh/include/CGAL/boost/graph/graph_traits_Surface_mesh.h $
-// $Id: graph_traits_Surface_mesh.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh/include/CGAL/boost/graph/graph_traits_Surface_mesh.h $
+// $Id: graph_traits_Surface_mesh.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Philipp Moeller
 
@@ -50,7 +50,7 @@ public:
   typedef typename SM::Point                                               vertex_property_type;
   typedef typename SM::Edge_index  edge_descriptor;
   typedef boost::undirected_tag                                            directed_category;
-  typedef boost::disallow_parallel_edge_tag                                edge_parallel_category; 
+  typedef boost::disallow_parallel_edge_tag                                edge_parallel_category;
   typedef SM_graph_traversal_category                                      traversal_category;
 
   // HalfedgeGraph
@@ -58,7 +58,7 @@ public:
 
    // FaceGraph
   typedef typename SM::face_index   face_descriptor;
-  
+
   // VertexListGraph
   typedef typename SM::Vertex_iterator   vertex_iterator;
   typedef typename SM::size_type              vertices_size_type;
@@ -76,7 +76,7 @@ public:
   // IncidenceGraph
   typedef typename SM::size_type              degree_size_type;
 
-  
+
   typedef CGAL::In_edge_iterator<SM> in_edge_iterator;
 
   typedef CGAL::Out_edge_iterator<SM> out_edge_iterator;
@@ -88,7 +88,7 @@ public:
 };
 
 template<typename P>
-struct graph_traits< const CGAL::Surface_mesh<P> >  
+struct graph_traits< const CGAL::Surface_mesh<P> >
   : public graph_traits< CGAL::Surface_mesh<P> >
 { };
 
@@ -102,7 +102,7 @@ num_vertices(const CGAL::Surface_mesh<P>
 {
   return sm.num_vertices();
 }
-  
+
 
 template <typename P>
 typename boost::graph_traits<CGAL::Surface_mesh<P> >::edges_size_type
@@ -110,7 +110,7 @@ num_edges(const CGAL::Surface_mesh<P>& s
 {
   return sm.num_edges();
 }
-  
+
 
 template <typename P>
 typename boost::graph_traits<CGAL::Surface_mesh<P> >::degree_size_type
@@ -129,7 +129,7 @@ degree(typename boost::graph_traits<CGAL
   return sm.degree(f);
 }
 
-         
+
 template <typename P>
 typename boost::graph_traits<CGAL::Surface_mesh<P> >::degree_size_type
 out_degree(typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_descriptor v,
@@ -137,8 +137,8 @@ out_degree(typename boost::graph_traits<
 {
   return sm.degree(v);
 }
-             
-  
+
+
 template <typename P>
 typename boost::graph_traits<CGAL::Surface_mesh<P> >::degree_size_type
 in_degree(typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_descriptor v,
@@ -146,8 +146,8 @@ in_degree(typename boost::graph_traits<C
 {
   return sm.degree(v);
 }
-            
-  
+
+
 template <typename P>
 typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_descriptor
 source(typename boost::graph_traits<CGAL::Surface_mesh<P> >::edge_descriptor e,
@@ -163,7 +163,7 @@ source(typename boost::graph_traits<CGAL
 {
   return sm.source(h);
 }
-         
+
 
 template <typename P>
 typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_descriptor
@@ -180,20 +180,20 @@ target(typename boost::graph_traits<CGAL
 {
   return sm.target(h);
 }
-    
+
 template <typename P>
 Iterator_range<typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_iterator>
 vertices(const CGAL::Surface_mesh<P>& sm)
 {
-  return sm.vertices(); 
+  return sm.vertices();
 }
 
- 
+
 template <typename P>
 Iterator_range<typename boost::graph_traits<CGAL::Surface_mesh<P> >::edge_iterator>
 edges(const CGAL::Surface_mesh<P>& sm)
 {
-  return sm.edges(); 
+  return sm.edges();
 }
 
 
@@ -221,10 +221,10 @@ out_edges(typename boost::graph_traits<C
 template<typename P>
 std::pair<typename boost::graph_traits<CGAL::Surface_mesh<P> >::edge_descriptor,
           bool>
-edge(typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_descriptor u, 
-     typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_descriptor v, 
+edge(typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_descriptor u,
+     typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_descriptor v,
      const CGAL::Surface_mesh<P>& sm) {
-  typename boost::graph_traits<CGAL::Surface_mesh<P> >::edge_descriptor 
+  typename boost::graph_traits<CGAL::Surface_mesh<P> >::edge_descriptor
     he(sm.halfedge(u, v));
   return std::make_pair(he, he.is_valid());
 }
@@ -322,7 +322,7 @@ num_halfedges(const CGAL::Surface_mesh<P
 //
 template<typename P>
 void
-set_next(typename boost::graph_traits<CGAL::Surface_mesh<P> >::halfedge_descriptor h1, 
+set_next(typename boost::graph_traits<CGAL::Surface_mesh<P> >::halfedge_descriptor h1,
          typename boost::graph_traits<CGAL::Surface_mesh<P> >::halfedge_descriptor h2,
          CGAL::Surface_mesh<P>& sm)
 {
@@ -372,15 +372,15 @@ add_edge(CGAL::Surface_mesh<P>& sm)
 template<typename P>
 typename boost::graph_traits<CGAL::Surface_mesh<P> >::halfedge_descriptor
 halfedge(typename boost::graph_traits<CGAL::Surface_mesh<P> >::face_descriptor f,
-     const CGAL::Surface_mesh<P>& sm) 
+     const CGAL::Surface_mesh<P>& sm)
 {
   return sm.halfedge(f);
 }
-  
+
 template<typename P>
 typename boost::graph_traits<CGAL::Surface_mesh<P> >::face_descriptor
 face(typename boost::graph_traits<CGAL::Surface_mesh<P> >::halfedge_descriptor h,
-     const CGAL::Surface_mesh<P>& sm) 
+     const CGAL::Surface_mesh<P>& sm)
 {
   return sm.face(h);
 }
@@ -399,7 +399,7 @@ set_face(typename boost::graph_traits<CG
   sm.set_face(h, f);
 }
 
-  
+
 template<typename P>
 void
 set_halfedge(typename boost::graph_traits<CGAL::Surface_mesh<P> >::face_descriptor f,
@@ -409,7 +409,7 @@ set_halfedge(typename boost::graph_trait
   sm.set_halfedge(f, h);
 }
 
- 
+
 //
 // FaceListGraph
 //
@@ -424,9 +424,9 @@ template <typename P>
 Iterator_range<typename boost::graph_traits<CGAL::Surface_mesh<P> >::face_iterator>
 faces(const CGAL::Surface_mesh<P>& sm)
 {
-  return sm.faces(); 
+  return sm.faces();
 }
- 
+
 
 template <typename P>
 typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_descriptor
@@ -454,18 +454,18 @@ reserve(CGAL::Surface_mesh<P>& sm,
 
 template <typename P>
 void
-remove_vertex(typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_descriptor v, 
+remove_vertex(typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_descriptor v,
               CGAL::Surface_mesh<P>& sm) {
 
   sm.remove_vertex(v);
 }
 
-  
+
 template <typename P>
 void
-remove_edge(typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_descriptor u, 
-            typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_descriptor v, 
-            CGAL::Surface_mesh<P>& sm) 
+remove_edge(typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_descriptor u,
+            typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_descriptor v,
+            CGAL::Surface_mesh<P>& sm)
 {
   typename boost::graph_traits<CGAL::Surface_mesh<P> >::edge_descriptor e = edge(u, v, sm);
   remove_edge(e,sm);
@@ -473,8 +473,8 @@ remove_edge(typename boost::graph_traits
 
 template <typename P>
 void
-remove_edge(typename boost::graph_traits<CGAL::Surface_mesh<P> >::edge_descriptor e, 
-            CGAL::Surface_mesh<P>& sm) 
+remove_edge(typename boost::graph_traits<CGAL::Surface_mesh<P> >::edge_descriptor e,
+            CGAL::Surface_mesh<P>& sm)
 {
   sm.remove_edge(e);
 }
@@ -482,15 +482,15 @@ remove_edge(typename boost::graph_traits
 
 template <typename P>
 void
-remove_edge(typename boost::graph_traits<CGAL::Surface_mesh<P> >::edge_iterator eiter, 
-            CGAL::Surface_mesh<P>& sm) 
+remove_edge(typename boost::graph_traits<CGAL::Surface_mesh<P> >::edge_iterator eiter,
+            CGAL::Surface_mesh<P>& sm)
 {
   remove_edge(*eiter, sm);
 }
 
 template<typename P>
 void
-remove_face(typename boost::graph_traits<CGAL::Surface_mesh<P> >::face_descriptor f, 
+remove_face(typename boost::graph_traits<CGAL::Surface_mesh<P> >::face_descriptor f,
             CGAL::Surface_mesh<P>& sm)
 {
 
@@ -508,7 +508,7 @@ template<typename P, typename InputItera
 typename boost::graph_traits<CGAL::Surface_mesh<P> >::face_descriptor
 add_face(InputIterator begin, InputIterator end, CGAL::Surface_mesh<P>& sm)
 {
-  std::vector<typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_descriptor> 
+  std::vector<typename boost::graph_traits<CGAL::Surface_mesh<P> >::vertex_descriptor>
     v(begin, end);
   return sm.add_face(v);
 }
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_Triangulation_2.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_Triangulation_2.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_Triangulation_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_Triangulation_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/graph_traits_Triangulation_2.h $
-// $Id: graph_traits_Triangulation_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/graph_traits_Triangulation_2.h $
+// $Id: graph_traits_Triangulation_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
 
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_Triangulation_data_structure_2.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_Triangulation_data_structure_2.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_Triangulation_data_structure_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_Triangulation_data_structure_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/graph_traits_Triangulation_data_structure_2.h $
-// $Id: graph_traits_Triangulation_data_structure_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/graph_traits_Triangulation_data_structure_2.h $
+// $Id: graph_traits_Triangulation_data_structure_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
 
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_Triangulation_hierarchy_2.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_Triangulation_hierarchy_2.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_Triangulation_hierarchy_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_Triangulation_hierarchy_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/graph_traits_Triangulation_hierarchy_2.h $
-// $Id: graph_traits_Triangulation_hierarchy_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/graph_traits_Triangulation_hierarchy_2.h $
+// $Id: graph_traits_Triangulation_hierarchy_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
 
diff -pruN 5.0.2-3/include/CGAL/boost/graph/graph_traits_TriMesh_ArrayKernelT.h 5.0.3-1/include/CGAL/boost/graph/graph_traits_TriMesh_ArrayKernelT.h
--- 5.0.2-3/include/CGAL/boost/graph/graph_traits_TriMesh_ArrayKernelT.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/graph_traits_TriMesh_ArrayKernelT.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/graph_traits_TriMesh_ArrayKernelT.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/graph_traits_TriMesh_ArrayKernelT.h $
 // $Id: graph_traits_TriMesh_ArrayKernelT.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/Graph_with_descriptor_with_graph_fwd.h 5.0.3-1/include/CGAL/boost/graph/Graph_with_descriptor_with_graph_fwd.h
--- 5.0.2-3/include/CGAL/boost/graph/Graph_with_descriptor_with_graph_fwd.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/Graph_with_descriptor_with_graph_fwd.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/Graph_with_descriptor_with_graph_fwd.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/Graph_with_descriptor_with_graph_fwd.h $
 // $Id: Graph_with_descriptor_with_graph_fwd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/Graph_with_descriptor_with_graph.h 5.0.3-1/include/CGAL/boost/graph/Graph_with_descriptor_with_graph.h
--- 5.0.2-3/include/CGAL/boost/graph/Graph_with_descriptor_with_graph.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/Graph_with_descriptor_with_graph.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/Graph_with_descriptor_with_graph.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/Graph_with_descriptor_with_graph.h $
 // $Id: Graph_with_descriptor_with_graph.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/halfedge_graph_traits.h 5.0.3-1/include/CGAL/boost/graph/halfedge_graph_traits.h
--- 5.0.2-3/include/CGAL/boost/graph/halfedge_graph_traits.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/halfedge_graph_traits.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/halfedge_graph_traits.h $
-// $Id: halfedge_graph_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/halfedge_graph_traits.h $
+// $Id: halfedge_graph_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
 
diff -pruN 5.0.2-3/include/CGAL/boost/graph/halfedge_graph_traits_HalfedgeDS.h 5.0.3-1/include/CGAL/boost/graph/halfedge_graph_traits_HalfedgeDS.h
--- 5.0.2-3/include/CGAL/boost/graph/halfedge_graph_traits_HalfedgeDS.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/halfedge_graph_traits_HalfedgeDS.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/boost/graph/halfedge_graph_traits_HalfedgeDS.h $
-// $Id: halfedge_graph_traits_HalfedgeDS.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/boost/graph/halfedge_graph_traits_HalfedgeDS.h $
+// $Id: halfedge_graph_traits_HalfedgeDS.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
 
@@ -22,11 +22,11 @@
 namespace CGAL {
 
 template < class HDS >
-class HDS_all_undirected_edges_const_iterator 
+class HDS_all_undirected_edges_const_iterator
   : public HDS_all_edges_iterator_base<HDS,typename HDS::Edge_const_iterator,typename HDS::Halfedge_const_handle>
 {
   typedef HDS_all_edges_iterator_base<HDS,typename HDS::Edge_const_iterator,typename HDS::Halfedge_const_handle> Base ;
-  
+
 public:
 
   typedef typename HDS::Edge_const_iterator Iterator;
@@ -36,11 +36,11 @@ public:
 };
 
 template < class HDS >
-class HDS_all_undirected_edges_iterator 
+class HDS_all_undirected_edges_iterator
   : public HDS_all_edges_iterator_base<HDS,typename HDS::Edge_iterator,typename HDS::Halfedge_handle>
 {
   typedef HDS_all_edges_iterator_base<HDS,typename HDS::Edge_iterator,typename HDS::Halfedge_handle> Base ;
-  
+
 public:
 
   typedef typename HDS::Edge_iterator Iterator;
@@ -54,11 +54,11 @@ template <class HDS_>
 struct HDS_halfedge_graph_traits
 {
 public :
-  
+
   typedef HDS_ HDS;
-  
+
   typedef HDS_all_undirected_edges_iterator<HDS> undirected_edge_iterator;
-  
+
   typedef typename HDS::Vertex::Point Point ;
 };
 
diff -pruN 5.0.2-3/include/CGAL/boost/graph/halfedge_graph_traits_Polyhedron_3.h 5.0.3-1/include/CGAL/boost/graph/halfedge_graph_traits_Polyhedron_3.h
--- 5.0.2-3/include/CGAL/boost/graph/halfedge_graph_traits_Polyhedron_3.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/halfedge_graph_traits_Polyhedron_3.h	2020-08-01 19:02:45.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/include/CGAL/boost/graph/halfedge_graph_traits_Polyhedron_3.h $
-// $Id: halfedge_graph_traits_Polyhedron_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/include/CGAL/boost/graph/halfedge_graph_traits_Polyhedron_3.h $
+// $Id: halfedge_graph_traits_Polyhedron_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
 
diff -pruN 5.0.2-3/include/CGAL/boost/graph/helpers.h 5.0.3-1/include/CGAL/boost/graph/helpers.h
--- 5.0.2-3/include/CGAL/boost/graph/helpers.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/helpers.h	2020-08-01 19:02:14.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/helpers.h $
-// $Id: helpers.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/helpers.h $
+// $Id: helpers.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s) : Andreas Fabri
 
 #ifndef CGAL_BOOST_GRAPH_HELPERS_H
@@ -24,7 +24,7 @@ namespace CGAL {
 
 /*!
    \ingroup PkgBGLHelperFct
-    returns `true` if the halfedge `hd` is on a border. 
+    returns `true` if the halfedge `hd` is on a border.
   */
 template <typename FaceGraph>
 bool is_border(typename boost::graph_traits<FaceGraph>::halfedge_descriptor hd, const FaceGraph& g)
@@ -34,7 +34,7 @@ bool is_border(typename boost::graph_tra
 
  /*!
    \ingroup PkgBGLHelperFct
-    returns `true` if the halfedge `hd` or the opposite halfedge is on a border. 
+    returns `true` if the halfedge `hd` or the opposite halfedge is on a border.
   */
 template <typename FaceGraph>
 bool is_border_edge(typename boost::graph_traits<FaceGraph>::halfedge_descriptor hd, const FaceGraph& g)
@@ -44,7 +44,7 @@ bool is_border_edge(typename boost::grap
 
  /*!
    \ingroup PkgBGLHelperFct
-    returns `true` if the edge `e` is on a border. 
+    returns `true` if the edge `e` is on a border.
   */
 template <typename FaceGraph>
 bool is_border(typename boost::graph_traits<FaceGraph>::edge_descriptor ed, const FaceGraph& g)
@@ -54,7 +54,7 @@ bool is_border(typename boost::graph_tra
 
  /*!
    \ingroup PkgBGLHelperFct
-    returns a halfedge which is on a border and whose target vertex is `vd`, if such a halfedge exists. 
+    returns a halfedge which is on a border and whose target vertex is `vd`, if such a halfedge exists.
   */
 template <typename FaceGraph>
 boost::optional<typename boost::graph_traits<FaceGraph>::halfedge_descriptor>
@@ -75,7 +75,7 @@ is_border(typename boost::graph_traits<F
 
  /*!
    \ingroup PkgBGLHelperFct
-    returns `true` if there are no border edges. 
+    returns `true` if there are no border edges.
   */
 template <typename FaceGraph>
 bool is_closed(const FaceGraph& g)
@@ -91,8 +91,8 @@ bool is_closed(const FaceGraph& g)
 
   /*!
    \ingroup PkgBGLHelperFct
-    returns `true` if the target of `hd` has exactly two incident edges. 
-  */ 
+    returns `true` if the target of `hd` has exactly two incident edges.
+  */
 template <typename FaceGraph>
 bool is_bivalent(typename boost::graph_traits<FaceGraph>::halfedge_descriptor hd, const FaceGraph& g)
 {
@@ -101,10 +101,10 @@ bool is_bivalent(typename boost::graph_t
 
   /*!
    \ingroup PkgBGLHelperFct
-    returns `true` if all vertices have exactly two incident edges. 
-  */ 
+    returns `true` if all vertices have exactly two incident edges.
+  */
 template <typename FaceGraph>
-  bool is_bivalent_mesh(const FaceGraph& g)  
+  bool is_bivalent_mesh(const FaceGraph& g)
 {
   typedef typename boost::graph_traits<FaceGraph>::vertex_descriptor vertex_descriptor;
   typedef typename boost::graph_traits<FaceGraph>::halfedge_descriptor halfedge_descriptor;
@@ -120,21 +120,21 @@ template <typename FaceGraph>
 
   /*!
    \ingroup PkgBGLHelperFct
-    returns `true` if the target of `hd` has exactly three incident edges. 
-  */ 
+    returns `true` if the target of `hd` has exactly three incident edges.
+  */
 template <typename FaceGraph>
 bool is_trivalent(typename boost::graph_traits<FaceGraph>::halfedge_descriptor hd, const FaceGraph& g)
 {
   return hd == opposite(next(opposite(next(opposite(next(hd,g),g),g),g),g),g);
 }
-	
+
   /*!
    \ingroup PkgBGLHelperFct
-    returns `true` if all 
-    vertices have exactly three incident edges. 
-  */ 
+    returns `true` if all
+    vertices have exactly three incident edges.
+  */
 template <typename FaceGraph>
-  bool is_trivalent_mesh(const FaceGraph& g)  
+  bool is_trivalent_mesh(const FaceGraph& g)
 {
   typedef typename boost::graph_traits<FaceGraph>::vertex_descriptor vertex_descriptor;
   typedef typename boost::graph_traits<FaceGraph>::halfedge_descriptor halfedge_descriptor;
@@ -150,12 +150,12 @@ template <typename FaceGraph>
 
  /*!
    \ingroup PkgBGLHelperFct
-    returns `true` iff the connected component denoted by `hd` is a triangle. 
+    returns `true` iff the connected component denoted by `hd` is a triangle.
     \pre `g` must be valid.
-  */ 
+  */
 template <typename FaceGraph>
-  bool is_isolated_triangle(typename boost::graph_traits<FaceGraph>::halfedge_descriptor hd, const FaceGraph& g)  
-{ 
+  bool is_isolated_triangle(typename boost::graph_traits<FaceGraph>::halfedge_descriptor hd, const FaceGraph& g)
+{
   typedef typename boost::graph_traits<FaceGraph>::halfedge_descriptor halfedge_descriptor;
   halfedge_descriptor beg = hd;
   if(is_border(hd,g)) return false;
@@ -168,7 +168,7 @@ template <typename FaceGraph>
 
  /*!
    \ingroup PkgBGLHelperFct
-    returns `true` iff the face denoted by `hd` is a triangle, that is it has three incident halfedges. 
+    returns `true` iff the face denoted by `hd` is a triangle, that is it has three incident halfedges.
  */
 template <typename FaceGraph>
 bool is_triangle(typename boost::graph_traits<FaceGraph>::halfedge_descriptor hd, const FaceGraph& g)
@@ -178,10 +178,10 @@ bool is_triangle(typename boost::graph_t
 
   /*!
    \ingroup PkgBGLHelperFct
-    returns `true` if all faces are triangles. 
-  */ 
+    returns `true` if all faces are triangles.
+  */
 template <typename FaceGraph>
-  bool is_triangle_mesh(const FaceGraph& g)  
+  bool is_triangle_mesh(const FaceGraph& g)
 {
   typedef typename boost::graph_traits<FaceGraph>::face_descriptor face_descriptor;
   for(face_descriptor fd : faces(g)){
@@ -194,7 +194,7 @@ template <typename FaceGraph>
 
 /*!
    \ingroup PkgBGLHelperFct
-    returns `true` iff the connected component denoted by `hd` is a quadrilateral. 
+    returns `true` iff the connected component denoted by `hd` is a quadrilateral.
   */
 template <typename FaceGraph>
 bool is_isolated_quad(typename boost::graph_traits<FaceGraph>::halfedge_descriptor hd, const FaceGraph& g)
@@ -212,7 +212,7 @@ bool is_isolated_quad(typename boost::gr
 
  /*!
    \ingroup PkgBGLHelperFct
-    returns `true` iff the face denoted by `hd` is a quad, that is it has four incident halfedges. 
+    returns `true` iff the face denoted by `hd` is a quad, that is it has four incident halfedges.
  */
 template <typename FaceGraph>
 bool is_quad(typename boost::graph_traits<FaceGraph>::halfedge_descriptor hd, const FaceGraph& g)
@@ -222,10 +222,10 @@ bool is_quad(typename boost::graph_trait
 
   /*!
    \ingroup PkgBGLHelperFct
-    returns `true` if all faces are quadrilaterals. 
-  */ 
+    returns `true` if all faces are quadrilaterals.
+  */
 template <typename FaceGraph>
-  bool is_quad_mesh(const FaceGraph& g)  
+  bool is_quad_mesh(const FaceGraph& g)
 {
     typedef typename boost::graph_traits<FaceGraph>::face_descriptor face_descriptor;
   for(face_descriptor fd : faces(g)){
@@ -235,13 +235,13 @@ template <typename FaceGraph>
   }
   return true;
 }
- 
+
   /*!
    \ingroup PkgBGLHelperFct
-    returns `true` iff the connected component denoted by `hd` is a tetrahedron. 
-  */ 
+    returns `true` iff the connected component denoted by `hd` is a tetrahedron.
+  */
 template <typename FaceGraph>
-bool is_tetrahedron( typename boost::graph_traits<FaceGraph>::halfedge_descriptor hd, const FaceGraph& g)   
+bool is_tetrahedron( typename boost::graph_traits<FaceGraph>::halfedge_descriptor hd, const FaceGraph& g)
 {
   typedef typename boost::graph_traits<FaceGraph>::halfedge_descriptor halfedge_descriptor;
 
@@ -695,10 +695,10 @@ bool is_valid_polygon_mesh(const Mesh& g
 
   /*!
    \ingroup PkgBGLHelperFct
-    returns `true` iff the connected component denoted by `hd` is a hexahedron. 
-  */ 
+    returns `true` iff the connected component denoted by `hd` is a hexahedron.
+  */
 template <typename FaceGraph>
-bool is_hexahedron( typename boost::graph_traits<FaceGraph>::halfedge_descriptor hd, const FaceGraph& g)   
+bool is_hexahedron( typename boost::graph_traits<FaceGraph>::halfedge_descriptor hd, const FaceGraph& g)
 {
   typedef typename boost::graph_traits<FaceGraph>::halfedge_descriptor halfedge_descriptor;
 
@@ -861,7 +861,7 @@ void swap_edges(
  *
  * If the graph has a member function `clear()`, it will be called
  * instead.
- * 
+ *
  * @tparam FaceGraph model of `MutableHalfedgeGraph` and `MutableFaceGraph`
  *
  * @param g the graph to clear
@@ -869,7 +869,7 @@ void swap_edges(
  **/
 template<typename FaceGraph>
 void clear(FaceGraph& g)
-{ 
+{
   internal::clear_impl(g);
   CGAL_postcondition(std::distance(boost::begin(edges(g)),boost::end(edges(g))) == 0);
   CGAL_postcondition(std::distance(boost::begin(vertices(g)),boost::end(vertices(g))) == 0);
diff -pruN 5.0.2-3/include/CGAL/boost/graph/internal/graph_traits_2D_triangulation.h 5.0.3-1/include/CGAL/boost/graph/internal/graph_traits_2D_triangulation.h
--- 5.0.2-3/include/CGAL/boost/graph/internal/graph_traits_2D_triangulation.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/internal/graph_traits_2D_triangulation.h	2020-08-01 19:02:58.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/internal/graph_traits_2D_triangulation.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/internal/graph_traits_2D_triangulation.h $
 // $Id: graph_traits_2D_triangulation.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/internal/graph_traits_2D_triangulation_helper.h 5.0.3-1/include/CGAL/boost/graph/internal/graph_traits_2D_triangulation_helper.h
--- 5.0.2-3/include/CGAL/boost/graph/internal/graph_traits_2D_triangulation_helper.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/internal/graph_traits_2D_triangulation_helper.h	2020-08-01 19:02:58.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/internal/graph_traits_2D_triangulation_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/internal/graph_traits_2D_triangulation_helper.h $
 // $Id: graph_traits_2D_triangulation_helper.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/internal/Has_member_clear.h 5.0.3-1/include/CGAL/boost/graph/internal/Has_member_clear.h
--- 5.0.2-3/include/CGAL/boost/graph/internal/Has_member_clear.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/internal/Has_member_clear.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/internal/Has_member_clear.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/internal/Has_member_clear.h $
 // $Id: Has_member_clear.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/internal/Has_member_id.h 5.0.3-1/include/CGAL/boost/graph/internal/Has_member_id.h
--- 5.0.2-3/include/CGAL/boost/graph/internal/Has_member_id.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/internal/Has_member_id.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/internal/Has_member_id.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/internal/Has_member_id.h $
 // $Id: Has_member_id.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/internal/helpers.h 5.0.3-1/include/CGAL/boost/graph/internal/helpers.h
--- 5.0.2-3/include/CGAL/boost/graph/internal/helpers.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/internal/helpers.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/internal/helpers.h $
-// $Id: helpers.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/internal/helpers.h $
+// $Id: helpers.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s) : Andread Fabri
 
 #ifndef CGAL_BOOST_GRAPH_INTERNAL_HELPERS_H
@@ -95,16 +95,16 @@ template <typename Graph>
 void
 remove_tip(typename boost::graph_traits<Graph>::halfedge_descriptor const& h
            , Graph& g)
-{ 
+{
   set_next(h, next(opposite(next(h, g), g), g), g);
 }
 
 
 template <typename Graph>
-void 
-set_face_in_face_loop(typename boost::graph_traits<Graph>::halfedge_descriptor h, 
-                      typename boost::graph_traits<Graph>::face_descriptor f, 
-                      Graph& g) 
+void
+set_face_in_face_loop(typename boost::graph_traits<Graph>::halfedge_descriptor h,
+                      typename boost::graph_traits<Graph>::face_descriptor f,
+                      Graph& g)
 {
   typename boost::graph_traits<Graph>::halfedge_descriptor end = h;
   do {
@@ -112,7 +112,7 @@ set_face_in_face_loop(typename boost::gr
     h = next(h, g);
   } while ( h != end);
 }
-    
+
 
 template <typename Graph>
 void insert_halfedge(typename boost::graph_traits<Graph>::halfedge_descriptor const& h
@@ -127,7 +127,7 @@ void insert_halfedge(typename boost::gra
 template <typename Graph>
 std::size_t
 exact_num_vertices(const Graph& g)
-{ 
+{
   typename boost::graph_traits<Graph>::vertex_iterator beg, end;
   boost::tie(beg,end) = vertices(g);
   return std::distance(beg,end);
@@ -136,7 +136,7 @@ exact_num_vertices(const Graph& g)
 template <typename Graph>
 std::size_t
 exact_num_halfedges(const Graph& g)
-{ 
+{
   typename boost::graph_traits<Graph>::halfedge_iterator beg, end;
   boost::tie(beg,end) = halfedges(g);
   return std::distance(beg,end);
@@ -145,7 +145,7 @@ exact_num_halfedges(const Graph& g)
 template <typename Graph>
 std::size_t
 exact_num_edges(const Graph& g)
-{ 
+{
   typename boost::graph_traits<Graph>::edge_iterator beg, end;
   boost::tie(beg,end) = edges(g);
   return std::distance(beg,end);
@@ -154,7 +154,7 @@ exact_num_edges(const Graph& g)
 template <typename Graph>
 std::size_t
 exact_num_faces(const Graph& g)
-{ 
+{
   typename boost::graph_traits<Graph>::face_iterator beg, end;
   boost::tie(beg,end) = faces(g);
   return std::distance(beg,end);
diff -pruN 5.0.2-3/include/CGAL/boost/graph/internal/OM_iterator_from_circulator.h 5.0.3-1/include/CGAL/boost/graph/internal/OM_iterator_from_circulator.h
--- 5.0.2-3/include/CGAL/boost/graph/internal/OM_iterator_from_circulator.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/internal/OM_iterator_from_circulator.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/internal/OM_iterator_from_circulator.h $
-// $Id: OM_iterator_from_circulator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/internal/OM_iterator_from_circulator.h $
+// $Id: OM_iterator_from_circulator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Philipp Moeller
 
@@ -46,19 +46,19 @@ public:
 
   typedef typename I__traits::iterator_category iterator_category;
 
-  typedef typename 
+  typedef typename
   boost::mpl::if_c<  Prevent_deref
                    , C
                    , typename C::value_type
                   >::type             value_type;
 
   typedef typename C::difference_type difference_type;
-  typedef typename 
+  typedef typename
   boost::mpl::if_c<  Prevent_deref
                    , C&
                    , typename C::reference
                   >::type             reference;
-  typedef typename 
+  typedef typename
   boost::mpl::if_c<  Prevent_deref
                    , C*
                    , typename C::reference
@@ -80,7 +80,7 @@ public:
     CGAL_assertion( m_anchor == i.m_anchor);  // same anchor?
     return (done() && i.done()) || (((!done()) && (!i.done())) && ( current == i.current));
   }
-  
+
   bool operator!=( const Self& i) const {
     return !(*this == i);
   }
@@ -105,7 +105,7 @@ public:
   reference operator*() const {
     return indirection<Prevent_deref>();
   }
-  
+
 private:
   template <bool Prevent_deref_>
   typename boost::disable_if_c<Prevent_deref_, pointer>::type
diff -pruN 5.0.2-3/include/CGAL/boost/graph/internal/properties_2D_triangulation.h 5.0.3-1/include/CGAL/boost/graph/internal/properties_2D_triangulation.h
--- 5.0.2-3/include/CGAL/boost/graph/internal/properties_2D_triangulation.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/internal/properties_2D_triangulation.h	2020-08-01 19:02:58.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/internal/properties_2D_triangulation.h $
-// $Id: properties_2D_triangulation.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/internal/properties_2D_triangulation.h $
+// $Id: properties_2D_triangulation.h 0903946 2020-03-17T17:53:21+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Mael Rouxel-Labbé
@@ -239,23 +239,31 @@ struct T2_property_map<Tr, boost::face_i
 // overloads and specializations in the boost namespace
 namespace boost {
 
-// g++ 'enumeral_type' in template unification not implemented workaround
-template <CGAL_2D_TRIANGULATION_TEMPLATE_PARAMETERS, class Tag>
-struct property_map<CGAL_2D_TRIANGULATION, Tag>
-{
-  typedef typename CGAL::internal::T2_property_map<CGAL_2D_TRIANGULATION, Tag>  map_gen;
-  typedef typename map_gen::type                                                type;
-  typedef typename map_gen::const_type                                          const_type;
-};
-
-// see struct property_map in Polyehdron for an explanation
-template <CGAL_2D_TRIANGULATION_TEMPLATE_PARAMETERS, class Tag>
-struct property_map<const CGAL_2D_TRIANGULATION, Tag>
-{
-  typedef typename CGAL::internal::T2_property_map<CGAL_2D_TRIANGULATION, Tag>  map_gen;
-  typedef typename map_gen::type                                                type;
-  typedef typename map_gen::const_type                                          const_type;
-};
+#define CGAL_PM_SPECIALIZATION(TAG) \
+template <CGAL_2D_TRIANGULATION_TEMPLATE_PARAMETERS> \
+struct property_map<CGAL_2D_TRIANGULATION, TAG> \
+{ \
+  typedef typename CGAL::internal::T2_property_map<CGAL_2D_TRIANGULATION, TAG>  map_gen; \
+  typedef typename map_gen::type                                                type; \
+  typedef typename map_gen::const_type                                          const_type; \
+}; \
+\
+template <CGAL_2D_TRIANGULATION_TEMPLATE_PARAMETERS> \
+struct property_map<const CGAL_2D_TRIANGULATION, TAG> \
+{ \
+  typedef typename CGAL::internal::T2_property_map<CGAL_2D_TRIANGULATION, TAG>  map_gen; \
+  typedef typename map_gen::type                                                type; \
+  typedef typename map_gen::const_type                                          const_type; \
+};
+
+CGAL_PM_SPECIALIZATION(vertex_point_t)
+CGAL_PM_SPECIALIZATION(edge_weight_t)
+CGAL_PM_SPECIALIZATION(vertex_index_t)
+CGAL_PM_SPECIALIZATION(halfedge_index_t)
+CGAL_PM_SPECIALIZATION(edge_index_t)
+CGAL_PM_SPECIALIZATION(face_index_t)
+
+#undef CGAL_PM_SPECIALIZATION
 
 } // end namespace boost
 
diff -pruN 5.0.2-3/include/CGAL/boost/graph/io.h 5.0.3-1/include/CGAL/boost/graph/io.h
--- 5.0.2-3/include/CGAL/boost/graph/io.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/io.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/io.h $
-// $Id: io.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/io.h $
+// $Id: io.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -30,13 +30,13 @@ namespace CGAL {
   /*!
    \ingroup PkgBGLIOFct
     writes the graph `g` in the wrl format (VRML 2.0).
-    
+
     \cgalNamedParamsBegin
     *    \cgalParamBegin{vertex_point_map} the property map with the points associated to the vertices of `g`.
     *       If this parameter is omitted, an internal property map for
     *       `CGAL::vertex_point_t` should be available in `FaceGraph`\cgalParamEnd
     * \cgalNamedParamsEnd
-    */ 
+    */
 template <typename FaceGraph, typename NamedParameters>
 bool write_wrl(std::ostream& os,
                const FaceGraph& g,
@@ -48,14 +48,14 @@ bool write_wrl(std::ostream& os,
 
   using parameters::get_parameter;
   using parameters::choose_parameter;
-  
+
   typename Polygon_mesh_processing::GetVertexPointMap<FaceGraph, NamedParameters>::const_type
       vpm = choose_parameter(get_parameter(np, internal_np::vertex_point),
                              get_const_property_map(CGAL::vertex_point, g));
 
   boost::container::flat_map<vertex_descriptor,vertices_size_type> reindex;
   int n = 0;
-  
+
   os << "#VRML V2.0 utf8\n"
     "Group {\n"
     "children [\n"
@@ -109,23 +109,23 @@ template <typename FaceGraph>
 bool write_wrl(std::ostream& os,
                const FaceGraph& g)
 {
-  return write_wrl(os, g, 
+  return write_wrl(os, g,
                    parameters::all_default());
 }
-  
+
 /*!
    \ingroup PkgBGLIOFct
     writes the graph `g` in the OFF format.
-    
+
     \cgalNamedParamsBegin
     *    \cgalParamBegin{vertex_point_map} the property map with the points associated to the vertices of `g`.
     *       If this parameter is omitted, an internal property map for
     *       `CGAL::vertex_point_t` should be available in `FaceGraph`\cgalParamEnd
     * \cgalNamedParamsEnd
-    
+
     \sa Overloads of this function for specific models of the concept `FaceGraph`.
 
-  */ 
+  */
 template <typename FaceGraph, typename NamedParameters>
 bool write_off(std::ostream& os,
                const FaceGraph& g,
@@ -138,7 +138,7 @@ bool write_off(std::ostream& os,
 
   using parameters::choose_parameter;
   using parameters::get_parameter;
-  
+
   typename Polygon_mesh_processing::GetVertexPointMap<FaceGraph, NamedParameters>::const_type
       vpm = choose_parameter(get_parameter(np, internal_np::vertex_point),
                              get_const_property_map(CGAL::vertex_point, g));
@@ -152,7 +152,7 @@ bool write_off(std::ostream& os,
     os << get(vpm,v) << '\n';
     reindex[v]=n++;
   }
-  
+
   for(face_descriptor f : faces(g)){
     os << degree(f,g);
     for(vertex_descriptor v : vertices_around_face(halfedge(f,g),g)){
@@ -169,7 +169,7 @@ bool write_off(std::ostream& os,
     writes the graph `g` in the OFF format into a file named `fname`.
     \sa Overloads of this function for specific models of the concept `FaceGraph`.
 
-  */ 
+  */
 template <typename FaceGraph, typename NamedParameters>
 bool write_off(const char* fname,
                const FaceGraph& g,
@@ -193,7 +193,7 @@ template <typename FaceGraph>
 bool write_off(std::ostream& os,
                const FaceGraph& g)
 {
-  return write_off(os, g, 
+  return write_off(os, g,
                    parameters::all_default());
 }
 template <typename FaceGraph>
@@ -207,11 +207,11 @@ bool write_off(const char* fname,
 template <typename FaceGraph>
 bool write_off(const std::string& fname,
                const FaceGraph& g)
-{ return write_off(fname, g, 
+{ return write_off(fname, g,
                    parameters::all_default()); }
 
   namespace internal { namespace read_off_tools {
-  
+
   inline bool is_whitespace(const std::string& s)
   {
     for(unsigned int i=0; i < s.size(); i++){
@@ -221,7 +221,7 @@ bool write_off(const std::string& fname,
     }
     return true;
   }
-  
+
 inline std::string next_non_comment(std::istream& is)
 {
   std::string line;
@@ -238,7 +238,7 @@ inline std::string next_non_comment(std:
 /*!
    \ingroup PkgBGLIOFct
     reads the graph `g` from data in the OFF format. Ignores comment lines which start with a hash, and lines with whitespace.
-    
+
     \cgalNamedParamsBegin
     *    \cgalParamBegin{vertex_point_map} the property map with the points associated to the vertices of `g`.
     *       If this parameter is omitted, an internal property map for
@@ -248,7 +248,7 @@ inline std::string next_non_comment(std:
     \pre The data must represent a 2-manifold
     \attention The graph `g` is not cleared, and the data from the stream are added.
 
-  */ 
+  */
 template <typename FaceGraph, typename NamedParameters>
 bool read_off(std::istream& is,
               FaceGraph& g,
@@ -264,13 +264,13 @@ bool read_off(std::istream& is,
 
   typedef typename Polygon_mesh_processing::GetVertexPointMap<FaceGraph, NamedParameters>::type Vpm;
   typedef  typename boost::property_traits<Vpm>::value_type Point_3;
-  
+
   Vpm vpm = choose_parameter(get_parameter(np, internal_np::vertex_point),
                              get_property_map(CGAL::vertex_point, g));
   vertices_size_type nv, nvf;
   faces_size_type nf;
   int ignore;
-  
+
   std::string line = next_non_comment(is);
   {
     std::istringstream iss(line);
@@ -283,7 +283,7 @@ bool read_off(std::istream& is,
     std::istringstream iss(line);
     iss >> nv >> nf >> ignore;
   }
-  
+
   std::vector<vertex_descriptor> vertices(nv);
   Point_3 p;
   for(vertices_size_type i=0; i < nv; i++){
@@ -323,7 +323,7 @@ bool read_off(std::istream& is,
     \pre The data must represent a 2-manifold
     \attention The graph `g` is not cleared, and the data from the stream are added.
 
-  */ 
+  */
 template <typename FaceGraph, typename NamedParameters>
 bool read_off(const char* fname,
               FaceGraph& g,
@@ -347,12 +347,12 @@ template <typename FaceGraph, typename N
 bool read_off(const std::string& fname,
               FaceGraph& g,
               NamedParameters np)
-{ return read_off(fname.c_str(), g, np); }  
+{ return read_off(fname.c_str(), g, np); }
 
 template <typename FaceGraph>
 bool read_off(const std::string& fname,
               FaceGraph& g)
-{ return read_off(fname, g, parameters::all_default()); }  
+{ return read_off(fname, g, parameters::all_default()); }
 
 template <typename FaceGraph, typename NamedParameters>
 bool write_inp(std::ostream& os,
diff -pruN 5.0.2-3/include/CGAL/boost/graph/iterator.h 5.0.3-1/include/CGAL/boost/graph/iterator.h
--- 5.0.2-3/include/CGAL/boost/graph/iterator.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/iterator.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/iterator.h $
-// $Id: iterator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/iterator.h $
+// $Id: iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
@@ -30,7 +30,7 @@ namespace internal {
 
 template <typename G>
 struct Edge {
-  const G* g; 
+  const G* g;
 
   Edge()
     : g(nullptr)
@@ -51,7 +51,7 @@ struct Edge {
 
 template <typename G>
 struct Opposite_edge {
-  const G* g; 
+  const G* g;
 
   Opposite_edge()
     : g(nullptr)
@@ -72,7 +72,7 @@ struct Opposite_edge {
 
 template <typename G>
 struct Opposite_halfedge {
-  const G* g; 
+  const G* g;
 
   Opposite_halfedge()
     : g(nullptr)
@@ -93,7 +93,7 @@ struct Opposite_halfedge {
 
 template <typename G>
 struct Target {
-  const G* g; 
+  const G* g;
 
   Target()
     : g(nullptr)
@@ -114,7 +114,7 @@ struct Target {
 
 template <typename G>
 struct Source {
-  const G* g; 
+  const G* g;
 
   Source()
     : g(nullptr)
@@ -135,7 +135,7 @@ struct Source {
 
 template <typename G>
 struct Face {
-  const G* g; 
+  const G* g;
 
   Face()
     : g(nullptr)
@@ -155,7 +155,7 @@ struct Face {
 };
 template <typename G>
 struct Opposite_face {
-  const G* g; 
+  const G* g;
 
   Opposite_face()
     : g(nullptr)
@@ -179,8 +179,8 @@ struct Opposite_face {
 /**
  * \ingroup PkgBGLIterators
  * A bidirectional iterator with value type `boost::graph_traits<Graph>::%halfedge_descriptor` over all halfedges having the same vertex as source.
- * Let `h` be a halfedge of graph `g`. For a `Halfedge_around_source_iterator` `havi` with `h = *havi;` 
- * the following holds: Either `++havi` is the past the end iterator, or `next(opposite(h,g),g) == *++havi`. 
+ * Let `h` be a halfedge of graph `g`. For a `Halfedge_around_source_iterator` `havi` with `h = *havi;`
+ * the following holds: Either `++havi` is the past the end iterator, or `next(opposite(h,g),g) == *++havi`.
  * \tparam Graph must be a model of the concept `HalfedgeGraph`
  * \cgalModels `BidirectionalIterator`
  */
@@ -197,12 +197,12 @@ public:
   typedef const value_type&                   reference;
   typedef std::ptrdiff_t                      difference_type;
 
-private:  
+private:
   halfedge_descriptor anchor, pos;
   const Graph* g;
   int      winding;
-#endif 
-  
+#endif
+
 public:
   Halfedge_around_source_iterator()
     : anchor(), pos(), g(0)
@@ -229,7 +229,7 @@ public:
     CGAL_assertion( anchor == anchor);
     return  ( g == i.g) && ( pos == i.pos) && ( winding == i.winding);
   }
-  
+
   bool operator!=( const Self& i) const {
     return !(*this == i);
   }
@@ -277,8 +277,8 @@ public:
 /**
  * \ingroup PkgBGLIterators
  * A bidirectional iterator with value type `boost::graph_traits<Graph>::%halfedge_descriptor` over all halfedges having the same vertex as target.
- * Let `h` be a halfedge of graph `g`. For a `Halfedge_around_target_iterator` `havi` with `h = *havi;` 
- * the following holds: Either `++havi` is the past the end iterator, or `opposite(next(h,g),g) == *++havi`. 
+ * Let `h` be a halfedge of graph `g`. For a `Halfedge_around_target_iterator` `havi` with `h = *havi;`
+ * the following holds: Either `++havi` is the past the end iterator, or `opposite(next(h,g),g) == *++havi`.
  * \tparam Graph must be a model of the concept `HalfedgeGraph`
  * \cgalModels `BidirectionalIterator`
  */
@@ -297,12 +297,12 @@ public:
   typedef const value_type&                   reference;
   typedef std::ptrdiff_t                      difference_type;
 
-private:  
+private:
   halfedge_descriptor anchor, pos;
   const Graph* g;
   int      winding;
-#endif 
-  
+#endif
+
 public:
   Halfedge_around_target_iterator()
     : anchor(), pos(), g(0)
@@ -329,7 +329,7 @@ public:
     CGAL_assertion( anchor == anchor);
     return  ( g == i.g) && ( pos == i.pos) && ( winding == i.winding);
   }
-  
+
   bool operator!=( const Self& i) const {
     return !(*this == i);
   }
@@ -378,7 +378,7 @@ public:
 /**
  * \ingroup PkgBGLIterators
  * A bidirectional iterator  with value type `boost::graph_traits<Graph>::%halfedge_descriptor` over all halfedges incident to the same face or border.
- * Let `h` be a halfedge of graph `g`. For a `Halfedge_around_face_iterator` `hafi` with  `h = *hafi` 
+ * Let `h` be a halfedge of graph `g`. For a `Halfedge_around_face_iterator` `hafi` with  `h = *hafi`
  * the following holds: Either `++hafi` is the past the end iterator, or `next(h,g) == *++hafi`.
  * \tparam Graph must be a model of the concept `HalfedgeGraph`
  * \cgalModels `BidirectionalIterator`
@@ -386,7 +386,7 @@ public:
 
 template <typename Graph>
 class Halfedge_around_face_iterator {
-#ifndef DOXYGEN_RUNNING 
+#ifndef DOXYGEN_RUNNING
   typedef Halfedge_around_face_iterator Self;
 
 public:
@@ -396,9 +396,9 @@ public:
   typedef value_type*                         pointer;
   typedef value_type&                         reference;
   typedef std::ptrdiff_t                      difference_type;
-  
+
 #endif
-  
+
   Halfedge_around_face_iterator()
     : pos(), g(0)
   {}
@@ -433,7 +433,7 @@ public:
     return !(*this == i);
   }
 
-  Self& operator++() 
+  Self& operator++()
   {
     CGAL_assertion(g != nullptr);
     pos = next(pos,*g);
@@ -442,7 +442,7 @@ public:
     return *this;
   }
 
-  Self operator++(int) 
+  Self operator++(int)
   {
     CGAL_assertion(g != nullptr);
     Self tmp = *this;
@@ -450,17 +450,17 @@ public:
     return tmp;
   }
 
-  Self& operator--() 
+  Self& operator--()
   {
-    CGAL_assertion(g != nullptr); 
+    CGAL_assertion(g != nullptr);
     if ( pos == anchor)
       --winding;
-  
+
     pos = prev(pos,*g);
     return *this;
   }
 
-  Self operator--(int) 
+  Self operator--(int)
   {
     CGAL_assertion(g != nullptr);
     Self tmp = *this;
@@ -481,8 +481,8 @@ class Halfedge_around_target_circulator;
 /**
  * \ingroup PkgBGLIterators
  * A bidirectional circulator  with value type `boost::graph_traits<Graph>::%halfedge_descriptor` over all halfedges having the same vertex as source.
- * Let `h` be a halfedge of graph `g`. For a `Halfedge_around_source_circulator` `havc` with `h = *havc;` 
- * the following holds: `next(opposite(h,g),g) == *++havc`. 
+ * Let `h` be a halfedge of graph `g`. For a `Halfedge_around_source_circulator` `havc` with `h = *havc;`
+ * the following holds: `next(opposite(h,g),g) == *++havc`.
  * \tparam Graph must be a model of the concept `HalfedgeGraph`
  * \cgalModels `BidirectionalCirculator`
  */
@@ -525,24 +525,24 @@ public:
   // design patter: "safe bool"
   // will be replaced by explicit operator bool with C++11
   typedef void (Halfedge_around_source_circulator::*bool_type)() const;
-  
+
   void this_type_does_not_support_comparisons() const {}
-  
+
   operator bool_type() const
   {
     return (! (this->base_reference() == nullptr)) ?
       &Halfedge_around_source_circulator::this_type_does_not_support_comparisons : 0;
   }
-  
+
   bool operator== (void*) const
   {
     return this->base_reference() == nullptr;
   }
-  
+
 private:
   friend class boost::iterator_core_access;
   typename  boost::graph_traits<Graph>::halfedge_descriptor dereference() const { return opp(*this->base_reference()); }
-}; 
+};
 
 
 /**
@@ -603,14 +603,14 @@ private:
   typename  boost::graph_traits<Graph>::face_descriptor dereference() const { return fct(*this->base_reference()); }
 #endif
 
-}; 
+};
 
 
 /**
  * \ingroup PkgBGLIterators
  * A bidirectional circulator  with value type `boost::graph_traits<Graph>::%halfedge_descriptor` over all halfedges having the same vertex as target.
- * Let `h` be a halfedge of graph `g`. For a `Halfedge_around_target_circulator` `havc` with `h = *havc;` 
- * the following holds: `opposite(next(h,g),g) == *++havc`. 
+ * Let `h` be a halfedge of graph `g`. For a `Halfedge_around_target_circulator` `havc` with `h = *havc;`
+ * the following holds: `opposite(next(h,g),g) == *++havc`.
  * \tparam Graph must be a model of the concept `HalfedgeGraph`
  * \cgalModels `BidirectionalCirculator`
  */
@@ -631,7 +631,7 @@ public:
   typedef value_type&                         reference;
   typedef std::ptrdiff_t                      difference_type;
   typedef std::size_t                         size_type;
-#endif 
+#endif
 
   Halfedge_around_target_circulator()
     : g(0)
@@ -673,15 +673,15 @@ public:
     return g == nullptr;
   }
 
- 
-  Self& operator++() 
+
+  Self& operator++()
   {
     CGAL_assertion(g != nullptr);
     pos = opposite(next(pos,*g),*g);
     return *this;
   }
 
-  Self operator++(int) 
+  Self operator++(int)
   {
     CGAL_assertion(g != nullptr);
     Self tmp = *this;
@@ -689,14 +689,14 @@ public:
     return tmp;
   }
 
-  Self& operator--() 
+  Self& operator--()
   {
     CGAL_assertion(g != nullptr);
     pos = prev(opposite(pos,*g),*g);
     return *this;
   }
 
-  Self operator--(int) 
+  Self operator--(int)
   {
     CGAL_assertion(g != nullptr);
     Self tmp = *this;
@@ -714,7 +714,7 @@ private:
 /**
  * \ingroup PkgBGLIterators
  * A bidirectional circulator  with value type `boost::graph_traits<Graph>::%halfedge_descriptor` over all halfedges incident to the same face or border.
- * Let `h` be a halfedge of graph `g`. For a `Halfedge_around_face_circulator` `hafc` with  `h = *hafc` 
+ * Let `h` be a halfedge of graph `g`. For a `Halfedge_around_face_circulator` `hafc` with  `h = *hafc`
  * the following holds:  `next(h,g) == *++hafc`.
  * \tparam Graph must be a model of the concept `HalfedgeGraph`
  * \cgalModels `BidirectionalCirculator`
@@ -733,8 +733,8 @@ public:
   typedef value_type&                         reference;
   typedef std::ptrdiff_t                      difference_type;
   typedef std::size_t                         size_type;
-#endif 
-  
+#endif
+
   Halfedge_around_face_circulator()
     : pos(), g(0)
   {}
@@ -750,7 +750,7 @@ public:
 
   bool       operator == ( const Self& other) const { return  g == other.g && pos == other.pos; }
   bool       operator != ( const Self& other) const { return  g != other.g || pos != other.pos; }
- 
+
 
   // design patter: "safe bool"
   // will be replaced by explicit operator bool with C++11
@@ -769,14 +769,14 @@ public:
     return g == nullptr;
   }
 
-  Self& operator++() 
+  Self& operator++()
   {
     CGAL_assertion(g != nullptr);
     pos = next(pos,*g);
     return *this;
   }
 
-  Self operator++(int) 
+  Self operator++(int)
   {
     CGAL_assertion(g != nullptr);
     Self tmp = *this;
@@ -784,14 +784,14 @@ public:
     return tmp;
   }
 
-  Self& operator--() 
+  Self& operator--()
   {
     CGAL_assertion(g != nullptr);
     pos = prev(pos,*g);
     return *this;
   }
 
-  Self operator--(int) 
+  Self operator--(int)
   {
     CGAL_assertion(g != nullptr);
     Self tmp = *this;
@@ -806,7 +806,7 @@ private:
 };
 
 
-/**  
+/**
  * \ingroup PkgBGLIterators
  * returns an iterator range over all halfedges with vertex `source(h,g)` as source.
  */
@@ -818,7 +818,7 @@ halfedges_around_source(typename boost::
   return make_range(I(h,g), I(h,g,1));
 }
 
-/**  
+/**
  * \ingroup PkgBGLIterators
  * returns an iterator range over all halfedges with vertex `v` as source.
  */
@@ -829,9 +829,9 @@ halfedges_around_source(typename boost::
   return halfedges_around_source(opposite(halfedge(v,g),g),g);
 }
 
-/**  
+/**
  * \ingroup PkgBGLIterators
- * returns an iterator range over all halfedges with vertex `target(h,g)` as target. 
+ * returns an iterator range over all halfedges with vertex `target(h,g)` as target.
  */
 template<typename Graph>
 Iterator_range<Halfedge_around_target_iterator<Graph> >
@@ -841,9 +841,9 @@ halfedges_around_target(typename boost::
   return make_range(I(h,g), I(h,g,1));
 }
 
-/**  
+/**
  * \ingroup PkgBGLIterators
- * returns an iterator range over all halfedges with vertex `v` as target. 
+ * returns an iterator range over all halfedges with vertex `v` as target.
  */
 template<typename Graph>
 Iterator_range<Halfedge_around_target_iterator<Graph> >
@@ -852,9 +852,9 @@ halfedges_around_target(typename boost::
   return halfedges_around_target(halfedge(v,g),g);
 }
 
-/**  
+/**
  * \ingroup PkgBGLIterators
- * returns an iterator range over all halfedges incident to the same face or border as `h`. 
+ * returns an iterator range over all halfedges incident to the same face or border as `h`.
  */
 template<typename Graph>
 Iterator_range<Halfedge_around_face_iterator<Graph> >
@@ -899,7 +899,7 @@ public:
 private:
   friend class boost::iterator_core_access;
   typename  boost::graph_traits<Graph>::face_descriptor dereference() const { return fct(*this->base_reference()); }
-}; 
+};
 
 
 /**
@@ -928,7 +928,7 @@ class Face_around_face_circulator
  */
 template <typename Graph>
 class Face_around_target_iterator
-#ifndef DOXYGEN_RUNNING  
+#ifndef DOXYGEN_RUNNING
   : public boost::iterator_adaptor<
             Face_around_target_iterator<Graph>                       // Derived
              , Halfedge_around_target_iterator<Graph>                // Base
@@ -954,11 +954,11 @@ public:
 private:
   friend class boost::iterator_core_access;
   typename  boost::graph_traits<Graph>::face_descriptor dereference() const { return fct(*this->base_reference()); }
-}; 
+};
 
-/**  
+/**
  * \ingroup PkgBGLIterators
- * returns an iterator range over all faces around  vertex `target(h,g)`. 
+ * returns an iterator range over all faces around  vertex `target(h,g)`.
  */
 template<typename Graph>
 Iterator_range<Face_around_target_iterator<Graph> >
@@ -968,7 +968,7 @@ faces_around_target(typename boost::grap
   return make_range(I(h,g), I(h,g,1));
 }
 
-/**  
+/**
  * \ingroup PkgBGLIterators
  * returns an iterator range over all edge-adjacent faces to the same face `face(h,g)`.
  */
@@ -982,7 +982,7 @@ faces_around_face(typename boost::graph_
 
 template <typename Graph>
 class Vertex_around_face_circulator
-#ifndef DOXYGEN_RUNNING 
+#ifndef DOXYGEN_RUNNING
   : public boost::iterator_adaptor<
              Vertex_around_face_circulator<Graph>                    // Derived
              , Halfedge_around_face_circulator<Graph>                  // Base
@@ -1028,7 +1028,7 @@ private:
   friend class boost::iterator_core_access;
   typename  boost::graph_traits<Graph>::vertex_descriptor dereference() const { return fct(*this->base_reference()); }
 #endif
-}; 
+};
 
 /**
  * \ingroup PkgBGLIterators
@@ -1082,7 +1082,7 @@ private:
   friend class boost::iterator_core_access;
   typename  boost::graph_traits<Graph>::vertex_descriptor dereference() const { return fct(*this->base_reference()); }
 #endif
-}; 
+};
 
 
 template <typename Graph>
@@ -1110,7 +1110,7 @@ public:
 private:
   friend class boost::iterator_core_access;
   typename  boost::graph_traits<Graph>::edge_descriptor dereference() const { return fct(*this->base_reference()); }
-}; 
+};
 
 template<typename Graph>
 Iterator_range<Opposite_edge_around_face_iterator<Graph> >
@@ -1145,7 +1145,7 @@ public:
 private:
   friend class boost::iterator_core_access;
   typename  boost::graph_traits<Graph>::edge_descriptor dereference() const { return fct(*this->base_reference()); }
-}; 
+};
 
 template<typename Graph>
 Iterator_range<Edge_around_face_iterator<Graph> >
@@ -1191,7 +1191,7 @@ public:
     : Vertex_around_target_circulator::iterator_adaptor_(Halfedge_around_target_circulator<Graph>(h,g)), fct(g)
   {}
 
-#ifndef DOXYGEN_RUNNING  
+#ifndef DOXYGEN_RUNNING
   // design patter: "safe bool"
   // will be replaced by explicit operator bool with C++11
   typedef void (Vertex_around_target_circulator::*bool_type)() const;
@@ -1213,7 +1213,7 @@ private:
   friend class boost::iterator_core_access;
   typename  boost::graph_traits<Graph>::vertex_descriptor dereference() const { return fct(*this->base_reference()); }
 #endif
-}; 
+};
 
 
 
@@ -1265,7 +1265,7 @@ private:
   friend class boost::iterator_core_access;
   typename  boost::graph_traits<Graph>::vertex_descriptor dereference() const { return fct(*this->base_reference()); }
 #endif
-}; 
+};
 
 
 template <typename Graph>
@@ -1285,9 +1285,9 @@ adjacent_vertices(typename boost::graph_
   return make_range(I(halfedge(v,g),g), I(halfedge(v,g),g,1));
 }
 
-/**  
+/**
  * \ingroup PkgBGLIterators
- * returns an iterator range over all vertices adjacent to the vertex `target(h,g)`. 
+ * returns an iterator range over all vertices adjacent to the vertex `target(h,g)`.
  */
 template <typename Graph>
 Iterator_range<Vertex_around_target_iterator<Graph> >
@@ -1304,9 +1304,9 @@ vertices_around_target(typename boost::g
   typedef Vertex_around_target_iterator<Graph> I;
   return make_range(I(halfedge(v,g),g), I(halfedge(v,g),g,1));
 }
-/**  
+/**
  * \ingroup PkgBGLIterators
- * returns an iterator range over all vertices adjacent to the face `face(h,g)`. 
+ * returns an iterator range over all vertices adjacent to the face `face(h,g)`.
  */
 template <typename Graph>
 Iterator_range<Vertex_around_face_iterator<Graph> >
@@ -1333,23 +1333,23 @@ private:
 public:
   Out_edge_iterator()
   {}
-  
+
   Out_edge_iterator(halfedge_descriptor h, const Graph& g, int n = 0)
     : Out_edge_iterator::iterator_adaptor_(Halfedge_around_target_iterator<Graph>(h,g,(h==halfedge_descriptor())?1:n)), opp(g) {}
-  
+
   // design patter: "safe bool"
   // will be replaced by explicit operator bool with C++11
   typedef void (Out_edge_iterator::*bool_type)() const;
-  
+
   void this_type_does_not_support_comparisons() const {}
-  
+
   operator bool_type() const
   {
     return (! (this->base_reference() == nullptr)) ?
       &Out_edge_iterator::this_type_does_not_support_comparisons : 0;
   }
-  
-  
+
+
 private:
   friend class boost::iterator_core_access;
   typename  boost::graph_traits<Graph>::edge_descriptor dereference() const { return opp(*this->base_reference()); }
@@ -1374,7 +1374,7 @@ private:
 public:
   In_edge_iterator()
   {}
-  
+
   In_edge_iterator(halfedge_descriptor h, const Graph& g, int n = 0)
     : In_edge_iterator::iterator_adaptor_(Halfedge_around_target_iterator<Graph>(h,g,(h==halfedge_descriptor())?1:n)), fct(g)
   {}
diff -pruN 5.0.2-3/include/CGAL/boost/graph/METIS/partition_dual_graph.h 5.0.3-1/include/CGAL/boost/graph/METIS/partition_dual_graph.h
--- 5.0.2-3/include/CGAL/boost/graph/METIS/partition_dual_graph.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/METIS/partition_dual_graph.h	2020-08-01 19:02:14.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/METIS/partition_dual_graph.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/METIS/partition_dual_graph.h $
 // $Id: partition_dual_graph.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/METIS/partition_graph.h 5.0.3-1/include/CGAL/boost/graph/METIS/partition_graph.h
--- 5.0.2-3/include/CGAL/boost/graph/METIS/partition_graph.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/METIS/partition_graph.h	2020-08-01 19:02:14.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/METIS/partition_graph.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/METIS/partition_graph.h $
 // $Id: partition_graph.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/Named_function_parameters.h 5.0.3-1/include/CGAL/boost/graph/Named_function_parameters.h
--- 5.0.2-3/include/CGAL/boost/graph/Named_function_parameters.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/Named_function_parameters.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/Named_function_parameters.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/Named_function_parameters.h $
 // $Id: Named_function_parameters.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/named_params_helper.h 5.0.3-1/include/CGAL/boost/graph/named_params_helper.h
--- 5.0.2-3/include/CGAL/boost/graph/named_params_helper.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/named_params_helper.h	2020-08-01 19:02:14.000000000 +0000
@@ -10,8 +10,8 @@
 //=======================================================================
 // Copyright (c) 2007-2015  GeometryFactory (France).  All rights reserved.
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/named_params_helper.h $
-// $Id: named_params_helper.h aa47744 2019-07-28T22:30:17+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/named_params_helper.h $
+// $Id: named_params_helper.h 590612a 2020-03-26T13:25:16+01:00 Sébastien Loriot
 // SPDX-License-Identifier: BSL-1.0
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola, Jane Tournois
@@ -40,8 +40,8 @@ namespace CGAL {
   class Eigen_svd;
   class Lapack_svd;
   //
-  
-  
+
+
   //helper classes
   template<typename PolygonMesh, typename PropertyTag>
   class property_map_selector
@@ -245,7 +245,7 @@ namespace CGAL {
         typedef std::random_access_iterator_tag iterator_category;
       };
     };
-    
+
     namespace parameters
     {
       template <typename PointRange>
@@ -259,7 +259,7 @@ namespace CGAL {
     namespace internal{
       BOOST_MPL_HAS_XXX_TRAIT_NAMED_DEF(Has_nested_type_iterator, iterator, false)
     }
-    
+
     template<typename PointRange, typename NamedParameters,
              bool has_nested_iterator=internal::Has_nested_type_iterator<PointRange>::value>
     class GetPointMap
@@ -381,7 +381,7 @@ namespace CGAL {
       DefaultPMap
       > ::type  const_type;
     };
-    
+
     template<typename NamedParameters>
     class GetPlaneIndexMap
     {
@@ -429,7 +429,7 @@ namespace CGAL {
     };
 
   } // namespace Point_set_processing_3
-  
+
   template<typename NamedParameters, typename DefaultSolver>
   class GetSolver
   {
@@ -462,10 +462,10 @@ namespace CGAL {
       typedef int Matrix;
       static FT solve (const Matrix&, Vector&) { return 0.; }
     };
-    
+
   public:
     typedef DummySvdTraits NoTraits;
-    
+
     typedef typename internal_np::Lookup_named_param_def <
     internal_np::svd_traits_t,
     NamedParameters,
diff -pruN 5.0.2-3/include/CGAL/boost/graph/parameters_interface.h 5.0.3-1/include/CGAL/boost/graph/parameters_interface.h
--- 5.0.2-3/include/CGAL/boost/graph/parameters_interface.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/parameters_interface.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/parameters_interface.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/parameters_interface.h $
 // $Id: parameters_interface.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/partition.h 5.0.3-1/include/CGAL/boost/graph/partition.h
--- 5.0.2-3/include/CGAL/boost/graph/partition.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/partition.h	2020-08-01 19:02:14.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/partition.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/partition.h $
 // $Id: partition.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_Constrained_Delaunay_triangulation_2.h 5.0.3-1/include/CGAL/boost/graph/properties_Constrained_Delaunay_triangulation_2.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_Constrained_Delaunay_triangulation_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_Constrained_Delaunay_triangulation_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/properties_Constrained_Delaunay_triangulation_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/properties_Constrained_Delaunay_triangulation_2.h $
 // $Id: properties_Constrained_Delaunay_triangulation_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_Constrained_triangulation_2.h 5.0.3-1/include/CGAL/boost/graph/properties_Constrained_triangulation_2.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_Constrained_triangulation_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_Constrained_triangulation_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/properties_Constrained_triangulation_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/properties_Constrained_triangulation_2.h $
 // $Id: properties_Constrained_triangulation_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_Constrained_triangulation_plus_2.h 5.0.3-1/include/CGAL/boost/graph/properties_Constrained_triangulation_plus_2.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_Constrained_triangulation_plus_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_Constrained_triangulation_plus_2.h	2020-08-01 19:02:59.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/properties_Constrained_triangulation_plus_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/properties_Constrained_triangulation_plus_2.h $
 // $Id: properties_Constrained_triangulation_plus_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_Delaunay_triangulation_2.h 5.0.3-1/include/CGAL/boost/graph/properties_Delaunay_triangulation_2.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_Delaunay_triangulation_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_Delaunay_triangulation_2.h	2020-08-01 19:02:59.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/properties_Delaunay_triangulation_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/properties_Delaunay_triangulation_2.h $
 // $Id: properties_Delaunay_triangulation_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties.h 5.0.3-1/include/CGAL/boost/graph/properties.h
--- 5.0.2-3/include/CGAL/boost/graph/properties.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/properties.h $
-// $Id: properties.h d872e13 2020-02-14T14:46:29+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/properties.h $
+// $Id: properties.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
 
@@ -206,7 +206,7 @@ void init_halfedge_indices(PolygonMesh&
 } //namespace helpers
 
 namespace internal {
-  
+
   template<typename Polyhedron, typename Handle>
 struct Index_accessor
     : boost::put_get_helper< std::size_t&, Index_accessor<Polyhedron,Handle> >
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_Linear_cell_complex_for_combinatorial_map.h 5.0.3-1/include/CGAL/boost/graph/properties_Linear_cell_complex_for_combinatorial_map.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_Linear_cell_complex_for_combinatorial_map.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_Linear_cell_complex_for_combinatorial_map.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/boost/graph/properties_Linear_cell_complex_for_combinatorial_map.h $
-// $Id: properties_Linear_cell_complex_for_combinatorial_map.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/boost/graph/properties_Linear_cell_complex_for_combinatorial_map.h $
+// $Id: properties_Linear_cell_complex_for_combinatorial_map.h b4c0e6e 2020-03-27T19:12:07+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -17,6 +17,7 @@
 #include <CGAL/boost/graph/properties.h>
 #include <CGAL/Linear_cell_complex_for_combinatorial_map.h>
 #include <CGAL/Unique_hash_map.h>
+#include <CGAL/Dynamic_property_map.h>
 
 
 #define CGAL_LCC_ARGS unsigned int d_, unsigned int ambient_dim,        \
@@ -235,7 +236,7 @@ get(boost::halfedge_external_index_t, CG
 {
   CGAL_LCC_TYPE& ncmap=const_cast<CGAL_LCC_TYPE&>(cmap);
   return typename boost::property_map<CGAL_LCC_TYPE, boost::halfedge_external_index_t>::
-    const_type(halfedges(ncmap).begin(), halfedges(ncmap).end(), num_halfedges(ncmap)); 
+    const_type(halfedges(ncmap).begin(), halfedges(ncmap).end(), num_halfedges(ncmap));
 }
 
 template<CGAL_LCC_ARGS>
@@ -244,7 +245,7 @@ get(boost::vertex_external_index_t, CGAL
 {
  CGAL_LCC_TYPE& ncmap=const_cast<CGAL_LCC_TYPE&>(cmap);
   return typename boost::property_map<CGAL_LCC_TYPE, boost::vertex_external_index_t>::
-    const_type(vertices(ncmap).begin(), vertices(ncmap).end(), num_vertices(ncmap)); 
+    const_type(vertices(ncmap).begin(), vertices(ncmap).end(), num_vertices(ncmap));
 }
 
 template<CGAL_LCC_ARGS>
@@ -402,6 +403,76 @@ struct property_map<const CGAL_LCC_TYPE,
 
 } // namespace boost
 
+// dynamic property map ambiguity resolution
+#define CGAL_LCC_DYNAMIC_PMAP_SPEC(TAG, DESC) \
+namespace boost { \
+template<unsigned int d_, unsigned int ambient_dim,        \
+         class Traits_, \
+         class Items_, \
+         class Alloc_, \
+         template<unsigned int,class,class,class,class> \
+         class CMap, \
+         class Storage_,\
+         class T>\
+struct property_map< \
+  CGAL::Linear_cell_complex_for_combinatorial_map<d_, ambient_dim, Traits_, Items_, Alloc_, CMap , Storage_>,\
+  TAG<T> > \
+{\
+  typedef CGAL::Linear_cell_complex_for_combinatorial_map\
+           <d_, ambient_dim, Traits_, Items_, Alloc_, CMap , Storage_> LCC;\
+  typedef typename boost::graph_traits<LCC>::DESC DESC;\
+  typedef CGAL::internal::Dynamic_property_map<DESC,T> type;\
+  typedef type const_type;\
+};\
+} \
+\
+namespace CGAL { \
+template <unsigned int d_, unsigned int ambient_dim,        \
+         class Traits_, \
+         class Items_, \
+         class Alloc_, \
+         template<unsigned int,class,class,class,class> \
+         class CMap, \
+         class Storage_,\
+         class T> \
+typename boost::property_map< \
+  Linear_cell_complex_for_combinatorial_map<d_, ambient_dim, Traits_, Items_, Alloc_, CMap , Storage_>, \
+  TAG<T> >::const_type \
+get(TAG<T>, const Linear_cell_complex_for_combinatorial_map<d_, ambient_dim, Traits_, Items_, Alloc_, CMap , Storage_>&) \
+{ \
+  typedef Linear_cell_complex_for_combinatorial_map<d_, ambient_dim, Traits_, Items_, Alloc_, CMap , Storage_> LCC;\
+  typedef typename boost::graph_traits<LCC>::DESC DESC; \
+  return internal::Dynamic_property_map<DESC,T>();\
+} \
+\
+template <unsigned int d_, unsigned int ambient_dim,        \
+         class Traits_, \
+         class Items_, \
+         class Alloc_, \
+         template<unsigned int,class,class,class,class> \
+         class CMap, \
+         class Storage_,\
+         class T> \
+typename boost::property_map< \
+  Linear_cell_complex_for_combinatorial_map<d_, ambient_dim, Traits_, Items_, Alloc_, CMap , Storage_>, \
+  TAG<T> >::type \
+get(TAG<T>, Linear_cell_complex_for_combinatorial_map<d_, ambient_dim, Traits_, Items_, Alloc_, CMap , Storage_>&) \
+{ \
+  typedef Linear_cell_complex_for_combinatorial_map<d_, ambient_dim, Traits_, Items_, Alloc_, CMap , Storage_> LCC;\
+  typedef typename boost::graph_traits<LCC>::DESC DESC; \
+  return internal::Dynamic_property_map<DESC,T>();\
+} \
+}
+
+CGAL_LCC_DYNAMIC_PMAP_SPEC(CGAL::dynamic_vertex_property_t, vertex_descriptor)
+CGAL_LCC_DYNAMIC_PMAP_SPEC(CGAL::dynamic_halfedge_property_t, halfedge_descriptor)
+CGAL_LCC_DYNAMIC_PMAP_SPEC(CGAL::dynamic_edge_property_t, edge_descriptor)
+CGAL_LCC_DYNAMIC_PMAP_SPEC(CGAL::dynamic_face_property_t, face_descriptor)
+
+#undef CGAL_LCC_DYNAMIC_PMAP_SPEC
+
+
+#undef CGAL_NAME_LCC_ARGS
 #undef CGAL_LCC_ARGS
 #undef CGAL_LCC_TYPE
 
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_OpenMesh.h 5.0.3-1/include/CGAL/boost/graph/properties_OpenMesh.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_OpenMesh.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_OpenMesh.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/properties_OpenMesh.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/properties_OpenMesh.h $
 // $Id: properties_OpenMesh.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_Polyhedron_3_features.h 5.0.3-1/include/CGAL/boost/graph/properties_Polyhedron_3_features.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_Polyhedron_3_features.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_Polyhedron_3_features.h	2020-08-01 19:02:45.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/include/CGAL/boost/graph/properties_Polyhedron_3_features.h $
-// $Id: properties_Polyhedron_3_features.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/include/CGAL/boost/graph/properties_Polyhedron_3_features.h $
+// $Id: properties_Polyhedron_3_features.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -19,7 +19,7 @@
 
 namespace CGAL {
 
-  
+
 namespace internal{
 BOOST_MPL_HAS_XXX_TRAIT_DEF(Plane_3)
 
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_Polyhedron_3.h 5.0.3-1/include/CGAL/boost/graph/properties_Polyhedron_3.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_Polyhedron_3.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_Polyhedron_3.h	2020-08-01 19:02:45.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/include/CGAL/boost/graph/properties_Polyhedron_3.h $
-// $Id: properties_Polyhedron_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/include/CGAL/boost/graph/properties_Polyhedron_3.h $
+// $Id: properties_Polyhedron_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -418,7 +418,7 @@ struct property_map<CGAL::Polyhedron_3<G
   typedef CGAL::internal::Dynamic_property_map<edge_descriptor,T> type;
   typedef type const_type;
 };
-  
+
 template<class Gt, class I, CGAL_HDS_PARAM_, class A, class T>
 struct property_map<CGAL::Polyhedron_3<Gt,I,HDS,A>, CGAL::dynamic_face_property_t<T> >
 {
@@ -427,7 +427,7 @@ struct property_map<CGAL::Polyhedron_3<G
   typedef CGAL::internal::Dynamic_property_map<face_descriptor,T> type;
   typedef type const_type;
 };
-  
+
 // What are those needed for ???
 template<class Gt, class I, CGAL_HDS_PARAM_, class A>
 struct edge_property_type<CGAL::Polyhedron_3<Gt,I,HDS,A> >
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_Polyhedron_3_time_stamp.h 5.0.3-1/include/CGAL/boost/graph/properties_Polyhedron_3_time_stamp.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_Polyhedron_3_time_stamp.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_Polyhedron_3_time_stamp.h	2020-08-01 19:02:45.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/include/CGAL/boost/graph/properties_Polyhedron_3_time_stamp.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/include/CGAL/boost/graph/properties_Polyhedron_3_time_stamp.h $
 // $Id: properties_Polyhedron_3_time_stamp.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_PolyMesh_ArrayKernelT.h 5.0.3-1/include/CGAL/boost/graph/properties_PolyMesh_ArrayKernelT.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_PolyMesh_ArrayKernelT.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_PolyMesh_ArrayKernelT.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/properties_PolyMesh_ArrayKernelT.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/properties_PolyMesh_ArrayKernelT.h $
 // $Id: properties_PolyMesh_ArrayKernelT.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_Regular_triangulation_2.h 5.0.3-1/include/CGAL/boost/graph/properties_Regular_triangulation_2.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_Regular_triangulation_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_Regular_triangulation_2.h	2020-08-01 19:02:59.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/properties_Regular_triangulation_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/properties_Regular_triangulation_2.h $
 // $Id: properties_Regular_triangulation_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_Seam_mesh.h 5.0.3-1/include/CGAL/boost/graph/properties_Seam_mesh.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_Seam_mesh.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_Seam_mesh.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/properties_Seam_mesh.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/properties_Seam_mesh.h $
 // $Id: properties_Seam_mesh.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_Surface_mesh_features.h 5.0.3-1/include/CGAL/boost/graph/properties_Surface_mesh_features.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_Surface_mesh_features.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_Surface_mesh_features.h	2020-08-01 19:02:54.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh/include/CGAL/boost/graph/properties_Surface_mesh_features.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh/include/CGAL/boost/graph/properties_Surface_mesh_features.h $
 // $Id: properties_Surface_mesh_features.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_Surface_mesh.h 5.0.3-1/include/CGAL/boost/graph/properties_Surface_mesh.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_Surface_mesh.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_Surface_mesh.h	2020-08-01 19:02:54.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh/include/CGAL/boost/graph/properties_Surface_mesh.h $
-// $Id: properties_Surface_mesh.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh/include/CGAL/boost/graph/properties_Surface_mesh.h $
+// $Id: properties_Surface_mesh.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Philipp Möller
 
@@ -31,7 +31,7 @@
 namespace CGAL {
 
 template <typename Point>
-class SM_edge_weight_pmap 
+class SM_edge_weight_pmap
   : public boost::put_get_helper<typename CGAL::Kernel_traits<Point>::type::FT, SM_edge_weight_pmap<Point> >
 {
   typedef CGAL::Surface_mesh<Point> SM;
@@ -205,7 +205,7 @@ struct property_map<CGAL::Surface_mesh<P
     SM::template Property_map< typename SM::Vertex_index,
                                P
                                > type;
-  
+
   typedef type const_type;
 
 };
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_Surface_mesh_time_stamp.h 5.0.3-1/include/CGAL/boost/graph/properties_Surface_mesh_time_stamp.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_Surface_mesh_time_stamp.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_Surface_mesh_time_stamp.h	2020-08-01 19:02:54.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh/include/CGAL/boost/graph/properties_Surface_mesh_time_stamp.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh/include/CGAL/boost/graph/properties_Surface_mesh_time_stamp.h $
 // $Id: properties_Surface_mesh_time_stamp.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_Triangulation_2.h 5.0.3-1/include/CGAL/boost/graph/properties_Triangulation_2.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_Triangulation_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_Triangulation_2.h	2020-08-01 19:02:59.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/properties_Triangulation_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/properties_Triangulation_2.h $
 // $Id: properties_Triangulation_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_Triangulation_data_structure_2.h 5.0.3-1/include/CGAL/boost/graph/properties_Triangulation_data_structure_2.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_Triangulation_data_structure_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_Triangulation_data_structure_2.h	2020-08-01 19:02:59.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/properties_Triangulation_data_structure_2.h $
-// $Id: properties_Triangulation_data_structure_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/properties_Triangulation_data_structure_2.h $
+// $Id: properties_Triangulation_data_structure_2.h 0903946 2020-03-17T17:53:21+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Mael Rouxel-Labbé
@@ -284,23 +284,31 @@ get(boost::face_index_t, const Triangula
 
 namespace boost {
 
-// g++ 'enumeral_type' in template unification not implemented workaround
-template <class VB, class FB, class Tag>
-struct property_map<CGAL::Triangulation_data_structure_2<VB,FB>, Tag>
-{
-  typedef typename CGAL::internal::TDS2_property_map<VB, FB, Tag> map_gen;
-  typedef typename map_gen::type type;
-  typedef typename map_gen::const_type const_type;
-};
+#define CGAL_PM_SPECIALIZATION(TAG) \
+template <class VB, class FB> \
+struct property_map<CGAL::Triangulation_data_structure_2<VB,FB>, TAG> \
+{ \
+  typedef typename CGAL::internal::TDS2_property_map<VB, FB, TAG> map_gen; \
+  typedef typename map_gen::type type; \
+  typedef typename map_gen::const_type const_type; \
+}; \
+\
+template <class VB, class FB> \
+struct property_map<const CGAL::Triangulation_data_structure_2<VB,FB>, TAG> \
+{ \
+  typedef typename CGAL::internal::TDS2_property_map<VB, FB, TAG> map_gen; \
+  typedef typename map_gen::type type; \
+  typedef typename map_gen::const_type const_type; \
+};
+
+CGAL_PM_SPECIALIZATION(vertex_point_t)
+CGAL_PM_SPECIALIZATION(edge_weight_t)
+CGAL_PM_SPECIALIZATION(vertex_index_t)
+CGAL_PM_SPECIALIZATION(halfedge_index_t)
+CGAL_PM_SPECIALIZATION(edge_index_t)
+CGAL_PM_SPECIALIZATION(face_index_t)
 
-// see struct property_map in Polyehdron for an explanation
-template <class VB, class FB, class Tag>
-struct property_map<const CGAL::Triangulation_data_structure_2<VB,FB>, Tag>
-{
-  typedef typename CGAL::internal::TDS2_property_map<VB, FB, Tag> map_gen;
-  typedef typename map_gen::type type;
-  typedef typename map_gen::const_type const_type;
-};
+#undef CGAL_PM_SPECIALIZATION
 
 } // namespace boost
 
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_Triangulation_hierarchy_2.h 5.0.3-1/include/CGAL/boost/graph/properties_Triangulation_hierarchy_2.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_Triangulation_hierarchy_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_Triangulation_hierarchy_2.h	2020-08-01 19:02:59.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/boost/graph/properties_Triangulation_hierarchy_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/boost/graph/properties_Triangulation_hierarchy_2.h $
 // $Id: properties_Triangulation_hierarchy_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/properties_TriMesh_ArrayKernelT.h 5.0.3-1/include/CGAL/boost/graph/properties_TriMesh_ArrayKernelT.h
--- 5.0.2-3/include/CGAL/boost/graph/properties_TriMesh_ArrayKernelT.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/properties_TriMesh_ArrayKernelT.h	2020-08-01 19:02:15.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/properties_TriMesh_ArrayKernelT.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/properties_TriMesh_ArrayKernelT.h $
 // $Id: properties_TriMesh_ArrayKernelT.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/property_maps.h 5.0.3-1/include/CGAL/boost/graph/property_maps.h
--- 5.0.2-3/include/CGAL/boost/graph/property_maps.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/property_maps.h	2020-08-01 19:02:15.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/property_maps.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/property_maps.h $
 // $Id: property_maps.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost/graph/Seam_mesh.h 5.0.3-1/include/CGAL/boost/graph/Seam_mesh.h
--- 5.0.2-3/include/CGAL/boost/graph/Seam_mesh.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/Seam_mesh.h	2020-08-01 19:02:14.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/Seam_mesh.h $
-// $Id: Seam_mesh.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/Seam_mesh.h $
+// $Id: Seam_mesh.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -432,7 +432,7 @@ public:
 
     friend bool operator==(edge_descriptor e1, edge_descriptor e2)
     {
-      return (e1.hd == e2.hd) || (e1.hd == e2.mesh_->opposite(e2.hd)); 
+      return (e1.hd == e2.hd) || (e1.hd == e2.mesh_->opposite(e2.hd));
     }
 
     friend bool operator!=(edge_descriptor e1, edge_descriptor e2)
diff -pruN 5.0.2-3/include/CGAL/boost/graph/selection.h 5.0.3-1/include/CGAL/boost/graph/selection.h
--- 5.0.2-3/include/CGAL/boost/graph/selection.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/selection.h	2020-08-01 19:02:15.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/selection.h $
-// $Id: selection.h 3b66031 2020-01-15T17:31:55+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/selection.h $
+// $Id: selection.h 952e0d9 2020-03-05T14:50:52+01:00 Laurent Rineau
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sebastien Loriot
@@ -584,26 +584,38 @@ void expand_face_selection_for_removal(c
     {
       // collect non-selected faces
       std::vector<halfedge_descriptor> faces_traversed;
+      bool non_selected_face_range_has_boundary = false; // handle non-manifold situations when crossing a border
       do
       {
         faces_traversed.push_back(next_around_vertex);
         next_around_vertex = opposite( next(next_around_vertex, tm), tm);
         if (is_border(next_around_vertex,tm))
+        {
           next_around_vertex = opposite( next(next_around_vertex, tm), tm);
+          if (!get(is_selected, face(next_around_vertex, tm) ))
+          {
+            non_selected_face_range_has_boundary=true; // always non-manifold after removal of the selection
+            break;
+          }
+        }
         CGAL_assertion(!is_border(next_around_vertex,tm));
       }
       while( !get(is_selected, face(next_around_vertex, tm) ) );
 
-      // go over the connected components of faces to remove
-      do{
+      if (!non_selected_face_range_has_boundary)
+      {
+        // go over the connected components of faces to remove
+        do{
+          if (next_around_vertex==start)
+            break;
+          next_around_vertex = opposite( next(next_around_vertex, tm), tm);
+        }
+        while(is_border(next_around_vertex,tm) || get(is_selected, face(next_around_vertex, tm) ) );
+
         if (next_around_vertex==start)
           break;
-        next_around_vertex = opposite( next(next_around_vertex, tm), tm);
       }
-      while(is_border(next_around_vertex,tm) || get(is_selected, face(next_around_vertex, tm) ) );
-
-      if (next_around_vertex==start)
-        break;
+      // else we simply mark the range of traversed faces and start a new range after the border
 
       for(halfedge_descriptor f_hd : faces_traversed)
       {
diff -pruN 5.0.2-3/include/CGAL/boost/graph/split_graph_into_polylines.h 5.0.3-1/include/CGAL/boost/graph/split_graph_into_polylines.h
--- 5.0.2-3/include/CGAL/boost/graph/split_graph_into_polylines.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/split_graph_into_polylines.h	2020-08-01 19:02:15.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/split_graph_into_polylines.h $
-// $Id: split_graph_into_polylines.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/split_graph_into_polylines.h $
+// $Id: split_graph_into_polylines.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Rineau, Xiang Gao
@@ -14,7 +14,7 @@
 
 #include <CGAL/disable_warnings.h>
 
-#include <map> 
+#include <map>
 #include <vector>
 #include <utility>
 #include <boost/graph/adjacency_list.hpp>
@@ -189,7 +189,7 @@ void duplicate_terminal_vertices(Graph&
                       }
                       ) // end of CGAL_assertion_code
 } // end of duplicate_terminal_vertices
-    
+
 } // namespace internal
 
 template <typename Graph,
@@ -251,9 +251,9 @@ split_graph_into_polylines(const Graph&
   using boost::graph_traits;
   typedef typename graph_traits<Graph>::vertex_descriptor Graph_vertex_descriptor;
   typedef typename graph_traits<Graph>::edge_descriptor Graph_edge_descriptor;
-  
+
   typedef boost::adjacency_list <boost::setS, // this avoids parallel edges
-                                 boost::vecS, 
+                                 boost::vecS,
                                  boost::undirectedS,
                                  Graph_vertex_descriptor,
                                  Graph_edge_descriptor> G_copy;
@@ -261,18 +261,18 @@ split_graph_into_polylines(const Graph&
   typedef typename graph_traits<G_copy>::vertex_descriptor vertex_descriptor;
   typedef typename graph_traits<G_copy>::edge_descriptor edge_descriptor;
   typedef typename graph_traits<G_copy>::out_edge_iterator out_edge_iterator;
-  
+
   // we make a copy of the input graph
   G_copy g_copy;
   {
     typedef std::map<typename graph_traits<Graph>::vertex_descriptor,
                      typename graph_traits<G_copy>::vertex_descriptor> V2vmap;
     V2vmap v2vmap;
-    
+
     for(Graph_vertex_descriptor v : make_range(vertices(graph))){
       vertex_descriptor vc = add_vertex(g_copy);
       g_copy[vc] = v;
-      v2vmap[v] = vc; 
+      v2vmap[v] = vc;
     }
 
     for(Graph_edge_descriptor e : make_range(edges(graph))){
diff -pruN 5.0.2-3/include/CGAL/boost/graph/visitor.h 5.0.3-1/include/CGAL/boost/graph/visitor.h
--- 5.0.2-3/include/CGAL/boost/graph/visitor.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/graph/visitor.h	2020-08-01 19:02:15.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/graph/visitor.h $
-// $Id: visitor.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/graph/visitor.h $
+// $Id: visitor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -122,7 +122,7 @@ inline void out_edges(typename boost::gr
 
 //
 // MutableHalfedgeGraph
-// 
+//
 template <class Graph>
 void add_vertex(Visitor_base<Graph> & w)
 {}
@@ -153,7 +153,7 @@ void set_next(typename boost::graph_trai
 {}
 
 //
-// MutableFaceGraph 
+// MutableFaceGraph
 //
 template <class Graph>
 void add_face(Visitor_base<Graph> & w)
@@ -377,7 +377,7 @@ out_edges(typename boost::graph_traits<G
 
 //
 // MutableHalfedgeGraph
-// 
+//
 
 template <class Graph, class Visitor>
 typename boost::graph_traits< Graph >::vertex_descriptor
@@ -450,7 +450,7 @@ set_next(typename boost::graph_traits< G
 }
 
 //
-// MutableFaceGraph 
+// MutableFaceGraph
 //
 template <class Graph, class Visitor>
 typename boost::graph_traits< Graph >::face_descriptor
diff -pruN 5.0.2-3/include/CGAL/boost/iterator/counting_iterator.hpp 5.0.3-1/include/CGAL/boost/iterator/counting_iterator.hpp
--- 5.0.2-3/include/CGAL/boost/iterator/counting_iterator.hpp	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/iterator/counting_iterator.hpp	2020-08-01 19:02:22.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 2014  
+// Copyright (c) 2014
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/boost/iterator/counting_iterator.hpp $
-// $Id: counting_iterator.hpp 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/boost/iterator/counting_iterator.hpp $
+// $Id: counting_iterator.hpp 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
- 
+
 #ifndef CGAL_BOOST_ITERATOR_COUNTING_ITERATOR_H
 #define CGAL_BOOST_ITERATOR_COUNTING_ITERATOR_H
 
diff -pruN 5.0.2-3/include/CGAL/boost/iterator/transform_iterator.hpp 5.0.3-1/include/CGAL/boost/iterator/transform_iterator.hpp
--- 5.0.2-3/include/CGAL/boost/iterator/transform_iterator.hpp	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/iterator/transform_iterator.hpp	2020-08-01 19:02:22.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 2014  
+// Copyright (c) 2014
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/boost/iterator/transform_iterator.hpp $
-// $Id: transform_iterator.hpp 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/boost/iterator/transform_iterator.hpp $
+// $Id: transform_iterator.hpp 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
- 
+
 #ifndef CGAL_BOOST_ITERATOR_TRANSFORM_ITERATOR_H
 #define CGAL_BOOST_ITERATOR_TRANSFORM_ITERATOR_H
 
diff -pruN 5.0.2-3/include/CGAL/boost/parameter.h 5.0.3-1/include/CGAL/boost/parameter.h
--- 5.0.2-3/include/CGAL/boost/parameter.h	2020-02-21 20:02:56.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost/parameter.h	2020-08-01 19:02:15.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/BGL/include/CGAL/boost/parameter.h $
-// $Id: parameter.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/BGL/include/CGAL/boost/parameter.h $
+// $Id: parameter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
@@ -57,7 +57,7 @@ struct Base
 private:
   T t_;
 };
-  
+
 #define CGAL_BOOLEAN_PARAMETER(Class, function_true, function_false)     \
   struct Class : public Base<bool> { Class(bool b) : Base<bool>(b){} };       \
   inline Class function_true() { return Class(true); }                        \
@@ -86,10 +86,10 @@ BOOST_PARAMETER_NAME( (time_limit, tag)
 BOOST_PARAMETER_NAME( (convergence, tag) convergence_)
 BOOST_PARAMETER_NAME( (max_iteration_number, tag) max_iteration_number_ )
 BOOST_PARAMETER_NAME( (freeze_bound, tag) freeze_bound_)
-  
+
 BOOST_PARAMETER_NAME( (sliver_bound, tag) sliver_bound_)
 BOOST_PARAMETER_NAME( (sliver_criterion, tag) sliver_criterion_)
-BOOST_PARAMETER_NAME( (perturbation_vector, tag) perturbation_vector_) 
+BOOST_PARAMETER_NAME( (perturbation_vector, tag) perturbation_vector_)
 BOOST_PARAMETER_NAME( (do_freeze, tag) do_freeze_)
 
 BOOST_PARAMETER_NAME( (mesh_topology, tag) mesh_topology_)
diff -pruN 5.0.2-3/include/CGAL/BOOST_MP_arithmetic_kernel.h 5.0.3-1/include/CGAL/BOOST_MP_arithmetic_kernel.h
--- 5.0.2-3/include/CGAL/BOOST_MP_arithmetic_kernel.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/BOOST_MP_arithmetic_kernel.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arithmetic_kernel/include/CGAL/BOOST_MP_arithmetic_kernel.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arithmetic_kernel/include/CGAL/BOOST_MP_arithmetic_kernel.h $
 // $Id: BOOST_MP_arithmetic_kernel.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/boost_mp.h 5.0.3-1/include/CGAL/boost_mp.h
--- 5.0.2-3/include/CGAL/boost_mp.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/boost_mp.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/boost_mp.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/boost_mp.h $
 // $Id: boost_mp.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Bounded_kernel.h 5.0.3-1/include/CGAL/Bounded_kernel.h
--- 5.0.2-3/include/CGAL/Bounded_kernel.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Bounded_kernel.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Bounded_kernel.h $
-// $Id: Bounded_kernel.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Bounded_kernel.h $
+// $Id: Bounded_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 #ifndef CGAL_BOUNDED_KERNEL_H
@@ -17,7 +17,7 @@
 #include <CGAL/disable_warnings.h>
 
 #include <CGAL/Simple_cartesian.h>
-#include <CGAL/Point_2.h> 
+#include <CGAL/Point_2.h>
 #include <CGAL/Intersections_2/Line_2_Line_2.h>
 
 
@@ -41,10 +41,10 @@ struct Is_extended_kernel<Bounded_kernel
 /*{\Xanpage {Bounded_kernel}{}{An extended geometric kernel model}{K}}*/
 
 template <class T>
-class Bounded_kernel 
+class Bounded_kernel
   : public T
 {
- 
+
 public:
   typedef T Base;
   typedef Bounded_kernel<T> Self;
@@ -72,7 +72,7 @@ public:
   typedef typename Standard_kernel::Ray_2       Standard_ray_2;
   /*{\Xtypemember standard rays.}*/
 
-  typedef typename Standard_kernel::Aff_transformation_2 
+  typedef typename Standard_kernel::Aff_transformation_2
   Standard_aff_transformation_2;
   /*{\Xtypemember standard affine transformations.}*/
 
@@ -96,154 +96,154 @@ public:
   typedef typename Base::Direction_2  Direction_2;
   /*{\Xtypemember extended directions.}*/
 
-  enum Point_type { SWCORNER=1, LEFTFRAME, NWCORNER, 
-		    BOTTOMFRAME, STANDARD, TOPFRAME,
-		    SECORNER, RIGHTFRAME, NECORNER };
+  enum Point_type { SWCORNER=1, LEFTFRAME, NWCORNER,
+                    BOTTOMFRAME, STANDARD, TOPFRAME,
+                    SECORNER, RIGHTFRAME, NECORNER };
   /*{\Xenum a type descriptor for extended points.}*/
 
-  Point_2 epoint(const Standard_FT& /*m1*/, const Standard_FT& /*n1*/, 
-		 const Standard_FT& /*m2*/, const Standard_FT& /*n2*/) const
-  { 
+  Point_2 epoint(const Standard_FT& /*m1*/, const Standard_FT& /*n1*/,
+                 const Standard_FT& /*m2*/, const Standard_FT& /*n2*/) const
+  {
     CGAL_error_msg( "Bounded_kernel::epoint(..) should not be called");
-    return Point_2(); 
+    return Point_2();
   }
 
 public:
 
-  Point_2 
+  Point_2
   construct_point(const Standard_point_2& p) const
-  { 
-    return p; 
+  {
+    return p;
   }
 
-  Point_2 
+  Point_2
   construct_point(const Standard_line_2& , Point_type& ) const
-  { 
+  {
     CGAL_error_msg( "Bounded_kernel::construct_point(Line,Point_type) should not be called");
     return Point_2();
   }
 
-  Point_2 
-  construct_point(const Standard_point_2& , 
-		  const Standard_point_2& , 
-		  Point_type& /*t*/) const
+  Point_2
+  construct_point(const Standard_point_2& ,
+                  const Standard_point_2& ,
+                  Point_type& /*t*/) const
   {
     CGAL_error_msg( "Bounded_kernel::construct_point(Point,Point) should not be called");
     return Point_2();
   }
 
-  Point_2 
+  Point_2
   construct_point(const Standard_line_2& ) const
   {
     CGAL_error_msg( "Bounded_kernel::construct_point(Line) should not be called");
     return Point_2();
   }
 
-  Point_2 
-  construct_point(const Standard_point_2& , 
-		  const Standard_point_2& ) const
+  Point_2
+  construct_point(const Standard_point_2& ,
+                  const Standard_point_2& ) const
   {
     CGAL_error_msg( "Bounded_kernel::construct_point(Point,Point) should not be called");
     return Point_2();
    }
 
-  Point_2 construct_point(const Standard_point_2& , 
-			  const Standard_direction_2& ) const
-  { 
+  Point_2 construct_point(const Standard_point_2& ,
+                          const Standard_direction_2& ) const
+  {
     CGAL_error_msg( "Bounded_kernel::construct_point(Point,Direction) should not be called");
     return Point_2();
   }
 
-  Point_2 
+  Point_2
   construct_opposite_point(const Standard_line_2& /*l*/) const
-  { 
+  {
     CGAL_error_msg( "Bounded_kernel::construct_opposite_point(..) should not be called");
     return Point_2();
   }
 
-  Point_type 
+  Point_type
   type(const Point_2& /*p*/) const
   {
     return STANDARD;
   }
 
 
-  bool 
+  bool
   is_standard(const Point_2& /*p*/) const
-  { 
-    return true;  
+  {
+    return true;
   }
 
-  Standard_point_2 
+  Standard_point_2
   standard_point(const Point_2& p) const
-  { 
+  {
     return p;
   }
 
-  Standard_line_2 
+  Standard_line_2
   standard_line(const Point_2& /*p*/) const
-  { 
+  {
     CGAL_error_msg( "Bounded_kernel::standard_line(..) should not be called");
     return Standard_line_2();
   }
 
   Standard_ray_2
   standard_ray(const Point_2& /*p*/) const
-  { 
+  {
     CGAL_error_msg( "Bounded_kernel::standard_ray(..) should not be called");
     return Standard_ray_2();
   }
 
-  Point_2 
-  NE() const 
+  Point_2
+  NE() const
   {
     CGAL_error_msg( "Bounded_kernel::NE(..) should not be called");
-    return Point_2(); 
+    return Point_2();
   }
 
 
-  Point_2 
-  SE() const 
-  { 
+  Point_2
+  SE() const
+  {
     CGAL_error_msg( "Bounded_kernel::SE(..) should not be called");
-    return Point_2(); 
+    return Point_2();
   }
 
 
-  Point_2 
-  NW() const 
+  Point_2
+  NW() const
   {
     CGAL_error_msg( "Bounded_kernel::NW(..) should not be called");
-    return Point_2(); 
+    return Point_2();
   }
 
 
-  Point_2 
-  SW() const 
+  Point_2
+  SW() const
   {
     CGAL_error_msg( "Bounded_kernel::SW(..) should not be called");
-    return Point_2(); 
+    return Point_2();
   }
 
 
-  Line_2 
-  upper() const 
-  { 
+  Line_2
+  upper() const
+  {
     CGAL_error_msg( "Bounded_kernel::upper(..) should not be called");
     return Line_2();
   }
 
 
-  Line_2 
-  lower() const 
+  Line_2
+  lower() const
   {
     CGAL_error_msg( "Bounded_kernel::lower(..) should not be called");
     return Line_2();
   }
 
 
-  Line_2 
-  left()  const 
+  Line_2
+  left()  const
   {
     CGAL_error_msg( "Bounded_kernel::left(..) should not be called");
     return Line_2();
@@ -251,8 +251,8 @@ public:
 
 
 
-  Line_2 
-  right() const 
+  Line_2
+  right() const
   {
     CGAL_error_msg( "Bounded_kernel::right(..) should not be called");
     return Line_2();
@@ -260,90 +260,90 @@ public:
 
 
 
-  Point_2 
+  Point_2
   source(const Segment_2& s) const
-  { 
+  {
     typename Base::Construct_vertex_2 _source =
       this->construct_vertex_2_object();
     return _source(s,0); }
 
-  Point_2 
+  Point_2
   target(const Segment_2& s) const
   {
     typename Base::Construct_vertex_2 _target =
       this->construct_vertex_2_object();
     return _target(s,1); }
 
-  Segment_2 
+  Segment_2
   construct_segment(const Point_2& p, const Point_2& q) const
   {
     typename Base::Construct_segment_2 _segment =
       this->construct_segment_2_object();
-    return _segment(p,q); 
+    return _segment(p,q);
   }
 
-  Line_2 
+  Line_2
   construct_line(const Standard_line_2& l)  const
-  { 
-    return Line_2(l.a(),l.b(),l.c()); 
+  {
+    return Line_2(l.a(),l.b(),l.c());
   }
 
-  Line_2 
+  Line_2
   construct_line(const Point_2& p1, const Point_2& p2) const
-  { 
+  {
     return Line_2(p1,p2);
   }
 
 
-  int 
+  int
   orientation(const Segment_2& s, const Point_2& p) const
-  { 
+  {
     typename Base::Orientation_2 _orientation =
       this->orientation_2_object();
-    return static_cast<int> ( _orientation(source(s),target(s),p) ); 
+    return static_cast<int> ( _orientation(source(s),target(s),p) );
   }
 
-  int 
+  int
   orientation(const Point_2& p1, const Point_2& p2, const Point_2& p3) const
-  { 
+  {
     typename Base::Orientation_2 _orientation =
       this->orientation_2_object();
-    return static_cast<int> ( _orientation(p1,p2,p3) ); 
+    return static_cast<int> ( _orientation(p1,p2,p3) );
   }
 
-  bool 
+  bool
   left_turn(const Point_2& p1, const Point_2& p2, const Point_2& p3) const
   {
-    return orientation(p1,p2,p3) > 0; 
+    return orientation(p1,p2,p3) > 0;
   }
- 
-  bool 
+
+  bool
   is_degenerate(const Segment_2& s) const
-  { 
+  {
     typename Base::Is_degenerate_2 _is_degenerate =
       this->is_degenerate_2_object();
     return _is_degenerate(s);
   }
 
-  int 
+  int
   compare_xy(const Point_2& p1, const Point_2& p2) const
-  { 
+  {
     typename Base::Compare_xy_2 _compare_xy =
       this->compare_xy_2_object();
     return static_cast<int>( _compare_xy(p1,p2) );
   }
 
-  int 
+  int
   compare_x(const Point_2& p1, const Point_2& p2) const
-  { 
+  {
     typename Base::Compare_x_2 _compare_x =
       this->compare_x_2_object();
     return static_cast<int>( _compare_x(p1,p2) );
   }
 
-  int 
+  int
   compare_y(const Point_2& p1, const Point_2& p2) const
-  { 
+  {
     typename Base::Compare_y_2 _compare_y =
       this->compare_y_2_object();
     return static_cast<int>( _compare_y(p1,p2) );
@@ -352,15 +352,15 @@ public:
 
   Point_2
   intersection(const Segment_2& s1, const Segment_2& s2) const
-  { 
+  {
     typename Base::Intersect_2 _intersect =
       this->intersect_2_object();
     typename Base::Construct_line_2 _line =
       this->construct_line_2_object();
-    Point_2 p; 
+    Point_2 p;
     Line_2 l1 = _line(s1);
     Line_2 l2 = _line(s2);
-    
+
     CGAL::Object result =
       _intersect(l1, l2);
     if ( !CGAL::assign(p, result) )
@@ -368,71 +368,71 @@ public:
     return p;
   }
 
-  Direction_2 
+  Direction_2
   construct_direction(const Point_2& p1, const Point_2& p2) const
-  { 
+  {
     typename Base::Construct_direction_2 _direction =
       this->construct_direction_2_object();
-    return _direction(construct_line(p1,p2)); 
+    return _direction(construct_line(p1,p2));
   }
 
-  bool 
-  strictly_ordered_ccw(const Direction_2& d1, 
-		       const Direction_2& d2, const Direction_2& d3) const
-  { 
+  bool
+  strictly_ordered_ccw(const Direction_2& d1,
+                       const Direction_2& d2, const Direction_2& d3) const
+  {
     if ( d1 < d2 )  return ( d2 < d3 )||( d3 <= d1 );
     if ( d1 > d2 )  return ( d2 < d3 )&&( d3 <= d1 );
     return false;
   }
-  
-  bool 
+
+  bool
   contains(const Segment_2& s, const Point_2& p) const
-  { 
+  {
     typename Base::Has_on_2 _contains = this->has_on_2_object();
     return _contains(s,p);
   }
 
-  bool 
+  bool
   strictly_ordered_along_line(const Point_2& p1, const Point_2& p2, const Point_2& p3) const
-  { 
+  {
     typename Base::Are_strictly_ordered_along_line_2 _ordered =
       this->are_strictly_ordered_along_line_2_object();
     return _ordered(p1,p2,p3);
   }
 
-  bool 
-  first_pair_closer_than_second(const Point_2& p1, const Point_2& p2, 
-				const Point_2& p3, const Point_2& p4) const
-  { 
-    return ( squared_distance(p1,p2) < squared_distance(p3,p4) ); 
+  bool
+  first_pair_closer_than_second(const Point_2& p1, const Point_2& p2,
+                                const Point_2& p3, const Point_2& p4) const
+  {
+    return ( squared_distance(p1,p2) < squared_distance(p3,p4) );
   }
 
   template <class Forward_iterator>
-  void 
+  void
   determine_frame_radius(Forward_iterator start, Forward_iterator end,
-			 Standard_RT& R0) const
-  { 
+                         Standard_RT& R0) const
+  {
     Standard_RT R;
     while ( start != end ) {
       Point_2 p = *start++;
       if ( is_standard(p) ) {
-	R = (CGAL::max)(CGAL_NTS abs(p.x()[0]), CGAL_NTS abs(p.y()[0]));
+        R = (CGAL::max)(CGAL_NTS abs(p.x()[0]), CGAL_NTS abs(p.y()[0]));
       } else {
-	RT rx = CGAL_NTS abs(p.x()), ry = CGAL_NTS abs(p.y());
-	if ( rx[1] > ry[1] )      R = CGAL_NTS abs(ry[0]-rx[0])/(rx[1]-ry[1]);
-	else if ( rx[1] < ry[1] ) R = CGAL_NTS abs(rx[0]-ry[0])/(ry[1]-rx[1]);
-	else /* rx[1] == ry[1] */ R = CGAL_NTS abs(rx[0]-ry[0])/2;
+        RT rx = CGAL_NTS abs(p.x()), ry = CGAL_NTS abs(p.y());
+        if ( rx[1] > ry[1] )      R = CGAL_NTS abs(ry[0]-rx[0])/(rx[1]-ry[1]);
+        else if ( rx[1] < ry[1] ) R = CGAL_NTS abs(rx[0]-ry[0])/(ry[1]-rx[1]);
+        else /* rx[1] == ry[1] */ R = CGAL_NTS abs(rx[0]-ry[0])/2;
       }
       R0 = (CGAL::max)(R+1,R0);
     }
   }
-  
 
 
-  const char* 
-  output_identifier() const 
-  { 
-    return "Bounded_kernel"; 
+
+  const char*
+  output_identifier() const
+  {
+    return "Bounded_kernel";
   }
 
 };
diff -pruN 5.0.2-3/include/CGAL/bounding_box.h 5.0.3-1/include/CGAL/bounding_box.h
--- 5.0.2-3/include/CGAL/bounding_box.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/bounding_box.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis_LGPL/include/CGAL/bounding_box.h $
-// $Id: bounding_box.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis_LGPL/include/CGAL/bounding_box.h $
+// $Id: bounding_box.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
diff -pruN 5.0.2-3/include/CGAL/Box_intersection_d/Box_d.h 5.0.3-1/include/CGAL/Box_intersection_d/Box_d.h
--- 5.0.2-3/include/CGAL/Box_intersection_d/Box_d.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Box_intersection_d/Box_d.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Box_intersection_d/include/CGAL/Box_intersection_d/Box_d.h $
-// $Id: Box_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Box_intersection_d/include/CGAL/Box_intersection_d/Box_d.h $
+// $Id: Box_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 //                 Andreas Meyer <ameyer@mpi-sb.mpg.de>
@@ -56,7 +56,7 @@ struct ID_FROM_BOX_ADDRESS {};
 struct ID_FROM_HANDLE {};
 
 // Generic template signature of boxes, specialized for policies
-template<class NT_, int N, class IdPolicy = ID_EXPLICIT> 
+template<class NT_, int N, class IdPolicy = ID_EXPLICIT>
 class Box_d;
 
 // ID_NONE is used as base class and cannot be used directly in the algorithms
@@ -136,10 +136,10 @@ public:
     }
     void extend(std::pair<NT,NT> p[2]) {
         bbx = Bbox_2(
-	    (std::min)( bbx.xmin(), p[0].first),
-	    (std::min)( bbx.ymin(), p[1].first),
-	    (std::max)( bbx.xmax(), p[0].second),
-	    (std::max)( bbx.ymax(), p[1].second));
+            (std::min)( bbx.xmin(), p[0].first),
+            (std::min)( bbx.ymin(), p[1].first),
+            (std::max)( bbx.xmax(), p[0].second),
+            (std::max)( bbx.ymax(), p[1].second));
     }
     static int dimension() { return 2; }
     NT min_coord(int dim) const { return (dim==0) ? bbx.xmin() : bbx.ymin();}
@@ -184,15 +184,15 @@ public:
     }
     void extend(std::pair<NT,NT> p[3]) {
         bbx = Bbox_3(
-	    (std::min)( bbx.xmin(), p[0].first),
-	    (std::min)( bbx.ymin(), p[1].first),
-	    (std::min)( bbx.zmin(), p[2].first),
-	    (std::max)( bbx.xmax(), p[0].second),
-	    (std::max)( bbx.ymax(), p[1].second),
-	    (std::max)( bbx.zmax(), p[2].second));
+            (std::min)( bbx.xmin(), p[0].first),
+            (std::min)( bbx.ymin(), p[1].first),
+            (std::min)( bbx.zmin(), p[2].first),
+            (std::max)( bbx.xmax(), p[0].second),
+            (std::max)( bbx.ymax(), p[1].second),
+            (std::max)( bbx.zmax(), p[2].second));
     }
     static int dimension() { return 3; }
-    NT min_coord(int dim) const { 
+    NT min_coord(int dim) const {
         return (dim==0) ? bbx.xmin() : ((dim==1) ? bbx.ymin() : bbx.zmin());
     }
     NT max_coord(int dim) const {
diff -pruN 5.0.2-3/include/CGAL/Box_intersection_d/box_limits.h 5.0.3-1/include/CGAL/Box_intersection_d/box_limits.h
--- 5.0.2-3/include/CGAL/Box_intersection_d/box_limits.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Box_intersection_d/box_limits.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Box_intersection_d/include/CGAL/Box_intersection_d/box_limits.h $
-// $Id: box_limits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Box_intersection_d/include/CGAL/Box_intersection_d/box_limits.h $
+// $Id: box_limits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 //                 Andreas Meyer <ameyer@mpi-sb.mpg.de>
diff -pruN 5.0.2-3/include/CGAL/Box_intersection_d/Box_traits_d.h 5.0.3-1/include/CGAL/Box_intersection_d/Box_traits_d.h
--- 5.0.2-3/include/CGAL/Box_intersection_d/Box_traits_d.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Box_intersection_d/Box_traits_d.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Box_intersection_d/include/CGAL/Box_intersection_d/Box_traits_d.h $
-// $Id: Box_traits_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Box_intersection_d/include/CGAL/Box_intersection_d/Box_traits_d.h $
+// $Id: Box_traits_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 //                 Andreas Meyer <ameyer@mpi-sb.mpg.de>
@@ -78,18 +78,18 @@ struct Predicate_traits_d : public BoxTr
     static bool hi_greater(NT hi, NT val, Bool_t<true> ) { return hi >= val;}
     static bool hi_greater(NT hi, NT val, Bool_t<false> ){ return hi >  val;}
     static bool hi_greater (NT hi, NT val) {
-        return hi_greater(hi,val, Bool_t<closed>()); 
+        return hi_greater(hi,val, Bool_t<closed>());
     }
 
     // compare dim a b = islolesslo a b dim
-    class Compare : 
+    class Compare :
         public CGAL::cpp98::binary_function<Box_parameter,Box_parameter,bool>
     {
         int dim;
     public:
         Compare(int dim) : dim(dim) {}
-        bool operator()(Box_parameter a, Box_parameter b) const { 
-            return is_lo_less_lo(a,b,dim); 
+        bool operator()(Box_parameter a, Box_parameter b) const {
+            return is_lo_less_lo(a,b,dim);
         }
     };
 
@@ -99,7 +99,7 @@ struct Predicate_traits_d : public BoxTr
         int dim;
     public:
         Lo_less(NT value, int dim) : value(value), dim(dim) {}
-        bool operator() (Box_parameter box) const { 
+        bool operator() (Box_parameter box) const {
             return BoxTraits::min_coord(box, dim) < value;
         }
     };
@@ -122,7 +122,7 @@ struct Predicate_traits_d : public BoxTr
         Spanning(NT lo, NT hi, int dim) : lo(lo), hi(hi), dim(dim) {}
         // returns true <=> box spans [lo,hi) in dimension dim
         bool operator() (Box_parameter box) const {
-            return BoxTraits::min_coord(box,dim) < lo 
+            return BoxTraits::min_coord(box,dim) < lo
                 && BoxTraits::max_coord(box,dim) > hi;
         }
     };
@@ -140,12 +140,12 @@ struct Predicate_traits_d : public BoxTr
     }
     static bool is_lo_less_lo(Box_parameter a, Box_parameter b, int dim) {
         return BoxTraits::min_coord(a,dim)  < BoxTraits::min_coord(b,dim) ||
-               ( BoxTraits::min_coord(a,dim) == BoxTraits::min_coord(b,dim) && 
+               ( BoxTraits::min_coord(a,dim) == BoxTraits::min_coord(b,dim) &&
                  BoxTraits::id(a) < BoxTraits::id(b) );
     }
 
     static bool is_lo_less_hi(Box_parameter a, Box_parameter b, int dim) {
-        return hi_greater( BoxTraits::max_coord(b,dim), 
+        return hi_greater( BoxTraits::max_coord(b,dim),
                            BoxTraits::min_coord(a,dim));
     }
     static bool does_intersect (Box_parameter a, Box_parameter b, int dim) {
diff -pruN 5.0.2-3/include/CGAL/Box_intersection_d/Box_with_handle_d.h 5.0.3-1/include/CGAL/Box_intersection_d/Box_with_handle_d.h
--- 5.0.2-3/include/CGAL/Box_intersection_d/Box_with_handle_d.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Box_intersection_d/Box_with_handle_d.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Box_intersection_d/include/CGAL/Box_intersection_d/Box_with_handle_d.h $
-// $Id: Box_with_handle_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Box_intersection_d/include/CGAL/Box_intersection_d/Box_with_handle_d.h $
+// $Id: Box_with_handle_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 //                 Andreas Meyer <ameyer@mpi-sb.mpg.de>
@@ -25,7 +25,7 @@ namespace CGAL {
 namespace Box_intersection_d {
 
 // Generic template signature of boxes, specialized for ID_FROM_HANDLE policy
-template<class NT_, int N, class Handle_, class IdPolicy = ID_FROM_HANDLE> 
+template<class NT_, int N, class Handle_, class IdPolicy = ID_FROM_HANDLE>
 class Box_with_handle_d : public Box_d< NT_, N, IdPolicy> {
 protected:
     Handle_ m_handle;
@@ -43,7 +43,7 @@ public:
 };
 
 // Specialization for ID_FROM_HANDLE policy
-template<class NT_, int N, class Handle_> 
+template<class NT_, int N, class Handle_>
 class Box_with_handle_d<NT_, N, Handle_, ID_FROM_HANDLE>
     : public Box_d< NT_, N, ID_NONE> {
 protected:
diff -pruN 5.0.2-3/include/CGAL/Box_intersection_d/Box_with_info_d.h 5.0.3-1/include/CGAL/Box_intersection_d/Box_with_info_d.h
--- 5.0.2-3/include/CGAL/Box_intersection_d/Box_with_info_d.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Box_intersection_d/Box_with_info_d.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Box_intersection_d/include/CGAL/Box_intersection_d/Box_with_info_d.h $
-// $Id: Box_with_info_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Box_intersection_d/include/CGAL/Box_intersection_d/Box_with_info_d.h $
+// $Id: Box_with_info_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 //                 Andreas Meyer <ameyer@mpi-sb.mpg.de>
@@ -24,7 +24,7 @@ namespace CGAL {
 
 namespace Box_intersection_d {
 
-template<class NT_, int N, class Info_> 
+template<class NT_, int N, class Info_>
 class Box_with_info_d : public Box_d< NT_, N, ID_FROM_BOX_ADDRESS> {
 protected:
     Info_ m_info;
diff -pruN 5.0.2-3/include/CGAL/Box_intersection_d/segment_tree.h 5.0.3-1/include/CGAL/Box_intersection_d/segment_tree.h
--- 5.0.2-3/include/CGAL/Box_intersection_d/segment_tree.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Box_intersection_d/segment_tree.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Box_intersection_d/include/CGAL/Box_intersection_d/segment_tree.h $
-// $Id: segment_tree.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Box_intersection_d/include/CGAL/Box_intersection_d/segment_tree.h $
+// $Id: segment_tree.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 //                 Andreas Meyer <ameyer@mpi-sb.mpg.de>
@@ -223,7 +223,7 @@ public:
 
 Iterative_radon( RandomAccessIter begin, RandomAccessIter end,
                  Predicate_traits traits, int dim, int /*num_levels*/ )
-  : begin(begin), size(end-begin), traits(traits), dim(dim), 
+  : begin(begin), size(end-begin), traits(traits), dim(dim),
     rng(), dist(0,size-1), generator(rng,dist)
   {}
 
@@ -335,7 +335,7 @@ void segment_tree( RandomAccessIter1 p_b
 #if CGAL_BOX_INTERSECTION_DEBUG
   CGAL_STATIC_THREAD_LOCAL_VARIABLE(int, level, -1);
     Counter<int> bla( level );
-    CGAL_BOX_INTERSECTION_DUMP("range: [" << lo << "," << hi << ") dim " 
+    CGAL_BOX_INTERSECTION_DUMP("range: [" << lo << "," << hi << ") dim "
                                           << dim << std::endl )
     CGAL_BOX_INTERSECTION_DUMP("intervals: " )
     //dump_box_numbers( i_begin, i_end, traits );
@@ -381,7 +381,7 @@ void segment_tree( RandomAccessIter1 p_b
         std::partition( i_begin, i_end, Spanning( lo, hi, dim ) );
 
     if( i_begin != i_span_end ) {
-        CGAL_BOX_INTERSECTION_DUMP( "checking spanning intervals ... " 
+        CGAL_BOX_INTERSECTION_DUMP( "checking spanning intervals ... "
                                     << std::endl )
         // make two calls for roots of segment tree at next level.
         segment_tree( p_begin, p_end, i_begin, i_span_end, inf, sup,
@@ -396,7 +396,7 @@ void segment_tree( RandomAccessIter1 p_b
     if( p_mid == p_begin || p_mid == p_end )  {
         CGAL_BOX_INTERSECTION_DUMP( "unable to split points! ")
         //dump_points( p_begin, p_end, traits, dim );
-        CGAL_BOX_INTERSECTION_DUMP( "performing modified two_way_san ... " 
+        CGAL_BOX_INTERSECTION_DUMP( "performing modified two_way_san ... "
                                      << std::endl )
         modified_two_way_scan( p_begin, p_end, i_span_end, i_end,
                                callback, traits, dim, in_order );
diff -pruN 5.0.2-3/include/CGAL/box_intersection_d.h 5.0.3-1/include/CGAL/box_intersection_d.h
--- 5.0.2-3/include/CGAL/box_intersection_d.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/box_intersection_d.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Box_intersection_d/include/CGAL/box_intersection_d.h $
-// $Id: box_intersection_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Box_intersection_d/include/CGAL/box_intersection_d.h $
+// $Id: box_intersection_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 //                 Andreas Meyer <ameyer@mpi-sb.mpg.de>
@@ -86,7 +86,7 @@ void box_intersection_d(
     Callback callback, BoxTraits box_traits, std::ptrdiff_t cutoff,
     Box_intersection_d::Topology topology)
 {
-    box_intersection_d( begin1, end1, begin2, end2, callback, box_traits, 
+    box_intersection_d( begin1, end1, begin2, end2, callback, box_traits,
                         cutoff, topology, Box_intersection_d::BIPARTITE);
 }
 template< class RandomAccessIter1, class RandomAccessIter2,
@@ -96,8 +96,8 @@ void box_intersection_d(
     RandomAccessIter2 begin2, RandomAccessIter2 end2,
     Callback callback, BoxTraits box_traits, std::ptrdiff_t cutoff)
 {
-    box_intersection_d( begin1, end1, begin2, end2, callback, box_traits, 
-                        cutoff, Box_intersection_d::CLOSED, 
+    box_intersection_d( begin1, end1, begin2, end2, callback, box_traits,
+                        cutoff, Box_intersection_d::CLOSED,
                         Box_intersection_d::BIPARTITE);
 }
 template< class RandomAccessIter1, class RandomAccessIter2,
@@ -107,8 +107,8 @@ void box_intersection_d(
     RandomAccessIter2 begin2, RandomAccessIter2 end2,
     Callback callback, BoxTraits box_traits)
 {
-    box_intersection_d( begin1, end1, begin2, end2, callback, box_traits, 
-                        10, Box_intersection_d::CLOSED, 
+    box_intersection_d( begin1, end1, begin2, end2, callback, box_traits,
+                        10, Box_intersection_d::CLOSED,
                         Box_intersection_d::BIPARTITE);
 }
 
@@ -124,7 +124,7 @@ void box_intersection_d(
 {
     typedef typename std::iterator_traits<RandomAccessIter1>::value_type val_t;
     typedef Box_intersection_d::Box_traits_d< val_t>  Box_traits;
-    box_intersection_d( begin1, end1, begin2, end2, callback, Box_traits(), 
+    box_intersection_d( begin1, end1, begin2, end2, callback, Box_traits(),
                         cutoff, topology, setting);
 }
 
@@ -137,7 +137,7 @@ void box_intersection_d(
 {
     typedef typename std::iterator_traits<RandomAccessIter1>::value_type val_t;
     typedef Box_intersection_d::Box_traits_d< val_t>  Box_traits;
-    box_intersection_d( begin1, end1, begin2, end2, callback, Box_traits(), 
+    box_intersection_d( begin1, end1, begin2, end2, callback, Box_traits(),
                         cutoff, topology, Box_intersection_d::BIPARTITE);
 }
 template< class RandomAccessIter1, class RandomAccessIter2, class Callback >
@@ -148,8 +148,8 @@ void box_intersection_d(
 {
     typedef typename std::iterator_traits<RandomAccessIter1>::value_type val_t;
     typedef Box_intersection_d::Box_traits_d< val_t>  Box_traits;
-    box_intersection_d( begin1, end1, begin2, end2, callback, Box_traits(), 
-                        cutoff, Box_intersection_d::CLOSED, 
+    box_intersection_d( begin1, end1, begin2, end2, callback, Box_traits(),
+                        cutoff, Box_intersection_d::CLOSED,
                         Box_intersection_d::BIPARTITE);
 }
 template< class RandomAccessIter1, class RandomAccessIter2, class Callback >
@@ -160,8 +160,8 @@ void box_intersection_d(
 {
     typedef typename std::iterator_traits<RandomAccessIter1>::value_type val_t;
     typedef Box_intersection_d::Box_traits_d< val_t>  Box_traits;
-    box_intersection_d( begin1, end1, begin2, end2, callback, Box_traits(), 
-                        10, Box_intersection_d::CLOSED, 
+    box_intersection_d( begin1, end1, begin2, end2, callback, Box_traits(),
+                        10, Box_intersection_d::CLOSED,
                         Box_intersection_d::BIPARTITE);
 }
 
@@ -247,19 +247,19 @@ void box_self_intersection_d(
 // - make all default parameters explicit overloads (workaround)
 template< class ForwardIter1, class ForwardIter2,
           class Callback, class BoxTraits >
-void box_intersection_all_pairs_d( 
+void box_intersection_all_pairs_d(
     ForwardIter1 begin1, ForwardIter1 end1,
     ForwardIter2 begin2, ForwardIter2 end2,
     Callback callback, BoxTraits)
 {
     typedef Box_intersection_d::Predicate_traits_d<BoxTraits,true> Traits;
-    Box_intersection_d::all_pairs( begin1, end1, begin2, end2, 
+    Box_intersection_d::all_pairs( begin1, end1, begin2, end2,
                                    callback, Traits());
 }
 
 template< class ForwardIter1, class ForwardIter2,
           class Callback, class BoxTraits >
-void box_intersection_all_pairs_d( 
+void box_intersection_all_pairs_d(
     ForwardIter1 begin1, ForwardIter1 end1,
     ForwardIter2 begin2, ForwardIter2 end2,
     Callback callback, BoxTraits,
@@ -269,18 +269,18 @@ void box_intersection_all_pairs_d(
     bool complete_case = (setting != Box_intersection_d::BIPARTITE);
     if (topology == Box_intersection_d::CLOSED) {
         typedef Box_intersection_d::Predicate_traits_d<BoxTraits,true> Traits;
-        Box_intersection_d::all_pairs( begin1, end1, begin2, end2, 
+        Box_intersection_d::all_pairs( begin1, end1, begin2, end2,
                                        callback, Traits(), complete_case);
     } else {
         typedef Box_intersection_d::Predicate_traits_d<BoxTraits,false> Traits;
-        Box_intersection_d::all_pairs( begin1, end1, begin2, end2, 
+        Box_intersection_d::all_pairs( begin1, end1, begin2, end2,
                                        callback, Traits(), complete_case);
     }
 }
 
 template< class ForwardIter1, class ForwardIter2,
           class Callback, class BoxTraits >
-void box_intersection_all_pairs_d( 
+void box_intersection_all_pairs_d(
     ForwardIter1 begin1, ForwardIter1 end1,
     ForwardIter2 begin2, ForwardIter2 end2,
     Callback callback, BoxTraits traits,
@@ -293,20 +293,20 @@ void box_intersection_all_pairs_d(
 // Specialized call for trivial all-pairs algorithm with default box traits.
 // - make all default parameters explicit overloads (workaround)
 template< class ForwardIter1, class ForwardIter2, class Callback >
-void box_intersection_all_pairs_d( 
+void box_intersection_all_pairs_d(
     ForwardIter1 begin1, ForwardIter1 end1,
     ForwardIter2 begin2, ForwardIter2 end2,
     Callback callback)
 {
     typedef typename std::iterator_traits<ForwardIter1>::value_type val_t;
     typedef Box_intersection_d::Box_traits_d< val_t>  Box_traits;
-    box_intersection_all_pairs_d( begin1, end1, begin2, end2, 
-                                  callback, Box_traits(), 
-                                  Box_intersection_d::CLOSED );   
+    box_intersection_all_pairs_d( begin1, end1, begin2, end2,
+                                  callback, Box_traits(),
+                                  Box_intersection_d::CLOSED );
 }
 
 template< class ForwardIter1, class ForwardIter2, class Callback >
-void box_intersection_all_pairs_d( 
+void box_intersection_all_pairs_d(
     ForwardIter1 begin1, ForwardIter1 end1,
     ForwardIter2 begin2, ForwardIter2 end2,
     Callback callback,
@@ -314,12 +314,12 @@ void box_intersection_all_pairs_d(
 {
     typedef typename std::iterator_traits<ForwardIter1>::value_type val_t;
     typedef Box_intersection_d::Box_traits_d< val_t>  Box_traits;
-    box_intersection_all_pairs_d( begin1, end1, begin2, end2, 
+    box_intersection_all_pairs_d( begin1, end1, begin2, end2,
                                   callback, Box_traits(), topology);
 }
 
 template< class ForwardIter1, class ForwardIter2, class Callback >
-void box_intersection_all_pairs_d( 
+void box_intersection_all_pairs_d(
     ForwardIter1 begin1, ForwardIter1 end1,
     ForwardIter2 begin2, ForwardIter2 end2,
     Callback callback,
@@ -328,7 +328,7 @@ void box_intersection_all_pairs_d(
 {
     typedef typename std::iterator_traits<ForwardIter1>::value_type val_t;
     typedef Box_intersection_d::Box_traits_d< val_t>  Box_traits;
-    box_intersection_all_pairs_d( begin1, end1, begin2, end2, 
+    box_intersection_all_pairs_d( begin1, end1, begin2, end2,
                                   callback, Box_traits(), topology, setting);
 }
 
@@ -336,7 +336,7 @@ void box_intersection_all_pairs_d(
 // specialized for self-intersection test.
 // - make all default parameters explicit overloads (workaround)
 template< class ForwardIter, class Callback, class BoxTraits >
-void box_self_intersection_all_pairs_d( 
+void box_self_intersection_all_pairs_d(
   ForwardIter begin1, ForwardIter end1, Callback callback, BoxTraits /* traits */)
 {
     typedef Box_intersection_d::Predicate_traits_d<BoxTraits,true> Traits;
@@ -344,7 +344,7 @@ void box_self_intersection_all_pairs_d(
 }
 
 template< class ForwardIter, class Callback, class BoxTraits >
-void box_self_intersection_all_pairs_d( 
+void box_self_intersection_all_pairs_d(
     ForwardIter begin1, ForwardIter end1, Callback callback, BoxTraits,
     Box_intersection_d::Topology topology)
 {
@@ -361,17 +361,17 @@ void box_self_intersection_all_pairs_d(
 // specialized for self-intersection test.
 // - make all default parameters explicit overloads (workaround)
 template< class ForwardIter, class Callback >
-void box_self_intersection_all_pairs_d( 
+void box_self_intersection_all_pairs_d(
     ForwardIter begin1, ForwardIter end1, Callback callback)
 {
     typedef typename std::iterator_traits<ForwardIter>::value_type val_t;
     typedef Box_intersection_d::Box_traits_d< val_t>  Box_traits;
-    box_self_intersection_all_pairs_d( begin1, end1, callback, Box_traits(), 
-                                       Box_intersection_d::CLOSED );   
+    box_self_intersection_all_pairs_d( begin1, end1, callback, Box_traits(),
+                                       Box_intersection_d::CLOSED );
 }
 
 template< class ForwardIter, class Callback >
-void box_self_intersection_all_pairs_d( 
+void box_self_intersection_all_pairs_d(
     ForwardIter begin1, ForwardIter end1, Callback callback,
     Box_intersection_d::Topology topology)
 {
diff -pruN 5.0.2-3/include/CGAL/Buffer_for_vao.h 5.0.3-1/include/CGAL/Buffer_for_vao.h
--- 5.0.2-3/include/CGAL/Buffer_for_vao.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Buffer_for_vao.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Buffer_for_vao.h $
-// $Id: Buffer_for_vao.h 1e93ad3 2019-11-29T08:46:16+01:00 Guillaume Damiand
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Buffer_for_vao.h $
+// $Id: Buffer_for_vao.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
 
@@ -57,7 +57,7 @@ namespace internal
                                      normal);
       ++nb;
     }
-    
+
     assert(nb>0);
     return (typename Kernel_traits<Vector>::Kernel::Construct_scaled_vector_3()
             (normal, 1.0/nb));
@@ -180,31 +180,31 @@ public:
 
   bool has_flat_normal() const
   { return m_flat_normal_buffer!=nullptr; }
-  
+
   bool has_gouraud_normal() const
   { return m_gouraud_normal_buffer!=nullptr; }
 
   bool has_zero_x() const
-  { return m_zero_x; }  
+  { return m_zero_x; }
 
   bool has_zero_y() const
-  { return m_zero_y; }  
+  { return m_zero_y; }
 
   bool has_zero_z() const
-  { return m_zero_z; }  
+  { return m_zero_z; }
 
   // 1.1) Add a point, without color. Return the index of the added point.
   template<typename KPoint>
   std::size_t add_point(const KPoint& kp)
   {
     if (!has_position()) return (std::size_t)-1;
-    
+
     Local_point p=get_local_point(kp);
     add_point_in_buffer(p, *m_pos_buffer);
 
     if (m_bb!=nullptr)
     { (*m_bb)=(*m_bb)+p.bbox(); }
-    
+
     if (m_zero_x && p.x()!=0) { m_zero_x=false; }
     if (m_zero_y && p.y()!=0) { m_zero_y=false; }
     if (m_zero_z && p.z()!=0) { m_zero_z=false; }
@@ -235,7 +235,7 @@ public:
     add_point(kp1);
     add_point(kp2);
   }
-  
+
   // 2.2) Add a segment, with color.
   template<typename KPoint>
   void add_segment(const KPoint& kp1, const KPoint& kp2, const CGAL::Color& c)
@@ -256,7 +256,7 @@ public:
   /// @return true iff a face has begun.
   bool is_a_face_started() const
   { return m_face_started; }
-  
+
   // 3.1) Add a face, without color, without normal.
   void face_begin()
   { face_begin_internal(false, false); }
@@ -301,7 +301,7 @@ public:
     }
     return false;
   }
-  
+
   /// Add a point at the end of the current face
   /// @param p the point to add
   /// @p_normal the vertex normal at this point (for Gouraud shading)
@@ -317,7 +317,7 @@ public:
   }
 
   /// Add an indexed point at the end of the current face, without giving the vertex normal.
-  /// When Indexation is used, it is not possible to use flat shading or multiple colors 
+  /// When Indexation is used, it is not possible to use flat shading or multiple colors
   /// for face sor edges.
   /// Note that we still need the point itself, in order to triangulate the face when necessary.
   template<typename T, typename KPoint>
@@ -330,7 +330,7 @@ public:
     }
     return false;
   }
-  
+
   /// End the face: compute the triangulation.
   void face_end()
   {
@@ -340,7 +340,7 @@ public:
     {
       std::cerr<<"PB: you try to triangulate a face with "<<m_points_of_face.size()<<" vertices."
                <<std::endl;
-      
+
       m_face_started=false;
       m_points_of_face.clear();
       m_vertex_normals_for_face.clear();
@@ -365,7 +365,7 @@ public:
                <<std::endl;
       m_vertex_normals_for_face.clear();
     }
-    
+
     Local_vector normal=(m_started_face_has_normal?m_normal_of_face:
                          internal::compute_normal_of_face
                          <Local_point, Local_vector>(m_points_of_face));
@@ -376,7 +376,7 @@ public:
     {
       if (m_points_of_face.size()==4)
       { convex_quadrangular_face_end_internal(normal); } // Convex quad
-      else 
+      else
       { convex_face_end_internal(normal); } // Convex face with > 4 vertices
     }
     else
@@ -446,10 +446,10 @@ public:
       const Local_point& S=facet[id];
       const Local_point& T=facet[(id+1==facet.size())?0:id+1];
       Local_vector V1=Local_vector((T-S).x(), (T-S).y(), (T-S).z());
-      
+
       const Local_point& U=facet[(id+2>=facet.size())?id+2-facet.size():id+2];
       Local_vector V2=Local_vector((U-T).x(), (U-T).y(), (U-T).z());
-      
+
       local_orientation=Local_kernel::Orientation_3()(V1, V2, normal) ;
 
       if(local_orientation!=CGAL::ZERO && local_orientation!=orientation)
@@ -466,7 +466,7 @@ protected:
       std::cerr<<"You cannot start a new face before to finish the previous one."<<std::endl;
       return;
     }
-    
+
     m_face_started=true;
     m_started_face_is_colored=has_color;
     m_started_face_has_normal=has_normal;
@@ -482,14 +482,14 @@ protected:
     {
       // If user gave vertex indices
       if (m_indices_of_points_of_face.size()>0)
-      { 
-	add_indexed_point(m_indices_of_points_of_face[i]); 
+      {
+        add_indexed_point(m_indices_of_points_of_face[i]);
       }
       else
       {
         add_point(m_points_of_face[i]); // Add the position of the point
         if (m_started_face_is_colored)
-        { add_color(m_color_of_face); } // Add the color      
+        { add_color(m_color_of_face); } // Add the color
         add_flat_normal(normal); // Add the flat normal
         // Its smooth normal (if given by the user)
         if (m_vertex_normals_for_face.size()>0)
@@ -504,7 +504,7 @@ protected:
       }
     }
   }
-  
+
   void convex_quadrangular_face_end_internal(const Local_vector& normal)
   {
     // Add indices when they exist
@@ -513,7 +513,7 @@ protected:
       add_indexed_point(m_indices_of_points_of_face[0]);
       add_indexed_point(m_indices_of_points_of_face[1]);
       add_indexed_point(m_indices_of_points_of_face[2]);
-      
+
       add_indexed_point(m_indices_of_points_of_face[0]);
       add_indexed_point(m_indices_of_points_of_face[2]);
       add_indexed_point(m_indices_of_points_of_face[3]);
@@ -538,7 +538,7 @@ protected:
         add_flat_normal(normal);
 
         if (m_vertex_normals_for_face.size()==0)
-        { add_gouraud_normal(normal); }   
+        { add_gouraud_normal(normal); }
       }
 
       if (m_vertex_normals_for_face.size()>0)
@@ -546,14 +546,14 @@ protected:
         add_gouraud_normal(m_vertex_normals_for_face[0]);
         add_gouraud_normal(m_vertex_normals_for_face[1]);
         add_gouraud_normal(m_vertex_normals_for_face[2]);
-        
+
         add_gouraud_normal(m_vertex_normals_for_face[0]);
         add_gouraud_normal(m_vertex_normals_for_face[2]);
         add_gouraud_normal(m_vertex_normals_for_face[3]);
       }
     }
   }
-  
+
   void convex_face_end_internal(const Local_vector& normal)
   {
     for(std::size_t i=1; i<m_points_of_face.size()-1; ++i)
@@ -598,7 +598,7 @@ protected:
       }
     }
   }
-  
+
   void nonconvex_face_end_internal(const Local_vector& normal)
   {
     try
@@ -607,7 +607,7 @@ protected:
       CDT cdt(cdt_traits);
       bool with_vertex_normal=(m_vertex_normals_for_face.size()==m_points_of_face.size());
       Local_point p1, p2;
-        
+
       // For each point of the face, store the list of adjacent points and the number of time
       // the edge is found in the face. For an edge p1, p2, store edge min(p1,p2)->max(p1,p2)
       std::map<Local_point, std::map<Local_point, unsigned int> > edges;
@@ -616,13 +616,13 @@ protected:
         p1=m_points_of_face[i];
         p2=m_points_of_face[i==0?m_points_of_face.size()-1:i-1];
         if (p2<p1) { std::swap(p1, p2); }
-        
+
         if (edges.count(p1)==0)
         { std::map<Local_point, unsigned int> m; m[p2]=1; edges[p1]=m; }
         else if (edges[p1].count(p2)==0) { edges[p1][p2]=1; }
         else { ++(edges[p1][p2]); }
       }
-      
+
       // (1) We insert all the edges as contraint in the CDT.
       typename CDT::Vertex_handle previous=nullptr, first=nullptr;
       for (unsigned int i=0; i<m_points_of_face.size(); ++i)
@@ -630,7 +630,7 @@ protected:
         typename CDT::Vertex_handle vh = cdt.insert(m_points_of_face[i]);
         if(first==nullptr)
         { first=vh; }
-        
+
         if (with_vertex_normal)
         { vh->info().v=m_vertex_normals_for_face[i]; }
         else
@@ -638,7 +638,7 @@ protected:
 
         if (m_indices_of_points_of_face.size()>0)
         { vh->info().index=m_indices_of_points_of_face[i]; }
-        
+
         if(previous!=nullptr && previous!=vh)
         {
           p1=m_points_of_face[i]; p2=m_points_of_face[i-1];
@@ -648,7 +648,7 @@ protected:
         }
         previous=vh;
       }
-      
+
       if (previous!=nullptr && previous!=first)
       {
         p1=m_points_of_face[m_points_of_face.size()-1]; p2=m_points_of_face[0];
@@ -656,9 +656,9 @@ protected:
         if ((edges[p1][p2])%2==1) // odd number of time => constraint
         { cdt.insert_constraint(previous, first); }
       }
-      
+
       // (2) We mark all external triangles
-      // (2.1) We initialize is_external and is_process values 
+      // (2.1) We initialize is_external and is_process values
       for(typename CDT::All_faces_iterator fit = cdt.all_faces_begin(),
             fitend = cdt.all_faces_end(); fit!=fitend; ++fit)
       {
@@ -691,10 +691,10 @@ protected:
           }
         }
       }
-      
+
       if ( face_internal!=nullptr )
       { face_queue.push(face_internal); }
-      
+
       while(!face_queue.empty())
       {
         typename CDT::Face_handle fh = face_queue.front();
@@ -713,8 +713,8 @@ protected:
           }
         }
       }
-      
-      // (3) Now we iterates on the internal faces to add the vertices 
+
+      // (3) Now we iterates on the internal faces to add the vertices
       //     and the normals to the appropriate vectors
       for(typename CDT::Finite_faces_iterator ffit=cdt.finite_faces_begin(),
             ffitend = cdt.finite_faces_end(); ffit!=ffitend; ++ffit)
@@ -722,7 +722,7 @@ protected:
         if(!ffit->info().is_external)
         {
           for(unsigned int i=0; i<3; ++i)
-          {            
+          {
             // Add indices when they exist
             if (m_indices_of_points_of_face.size()>0)
             { add_indexed_point(ffit->vertex(i)->info().index); }
@@ -761,7 +761,7 @@ protected:
     if (m_color_buffer!=nullptr)
     { add_color_in_buffer(acolor, *m_color_buffer); }
   }
-  
+
   template<typename KVector>
   void add_flat_normal(const KVector& kv)
   {
@@ -826,7 +826,7 @@ protected:
   bool m_zero_x; /// True iff all points have x==0
   bool m_zero_y; /// True iff all points have y==0
   bool m_zero_z; /// True iff all points have z==0
-  
+
   // Local variables, used when we started a new face.
   bool m_face_started;
   bool m_started_face_is_colored;
diff -pruN 5.0.2-3/include/CGAL/Cache.h 5.0.3-1/include/CGAL/Cache.h
--- 5.0.2-3/include/CGAL/Cache.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cache.h	2020-08-01 19:02:47.000000000 +0000
@@ -5,8 +5,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Cache.h $
-// $Id: Cache.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Cache.h $
+// $Id: Cache.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Michael Hemmer    <hemmer@mpi-inf.mpg.de>
@@ -124,28 +124,28 @@ public:
     //! Returns an Iterator pointing to the end of the cache.
     Iterator end() { return map.end(); }
 
-    //!	Returns a Const_iterator pointing to the beginning of the cache.
+    //!        Returns a Const_iterator pointing to the beginning of the cache.
     Const_iterator begin() const { return map.begin(); }
 
     //! Returns a Const_iterator pointing to the end of the cache.
     Const_iterator end() const { return map.end(); }
 
-    /*!	\brief Returns a Reverse_iterator pointing to the beginning of the
+    /*!        \brief Returns a Reverse_iterator pointing to the beginning of the
      *  reversed cache.
      */
     Reverse_iterator rbegin() { return map.rbegin(); }
 
-    /*!	\brief Returns a Reverse_iterator pointing to the end of the reversed
+    /*!        \brief Returns a Reverse_iterator pointing to the end of the reversed
      *  cache.
      */
     Reverse_iterator rend() { return map.rend(); }
 
-    /*!	\brief Returns a Const_reverse_iterator pointing to the beginning of
+    /*!        \brief Returns a Const_reverse_iterator pointing to the beginning of
      *  the reversed cache.
      */
     Const_reverse_iterator rbegin() const { return map.rbegin(); }
 
-    /*!	\brief Returns a Const_reverse_iterator pointing to the end of the
+    /*!        \brief Returns a Const_reverse_iterator pointing to the end of the
      *  reversed cache.
      */
     Const_reverse_iterator rend() const { return map.rend(); }
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Aff_transformation_2.h 5.0.3-1/include/CGAL/Cartesian/Aff_transformation_2.h
--- 5.0.2-3/include/CGAL/Cartesian/Aff_transformation_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Aff_transformation_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Aff_transformation_2.h $
-// $Id: Aff_transformation_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Aff_transformation_2.h $
+// $Id: Aff_transformation_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Lutz Kettner
 
@@ -57,7 +57,7 @@ class Aff_transformationC2
 
 public:
   typedef R_                                R;
-   
+
   Aff_transformationC2()
   {
     initialize_with(Aff_transformation_repC2<R>(FT(1), FT(0), FT(0), FT(1)));
@@ -100,7 +100,7 @@ public:
     else
       initialize_with(Scaling_repC2<R>(s));
   }
-  
+
   Aff_transformationC2(const Reflection, const Line_2& l)
   {
       initialize_with(Reflection_repC2<R>(l));
@@ -126,18 +126,18 @@ public:
   {
     initialize_with(Aff_transformation_repC2<R>(m11/w, m12/w, m21/w, m22/w));
   }
-  
+
 
   Point_2
-  transform(const Point_2 &p) const 
-  { return this->Ptr()->transform(p); } 
+  transform(const Point_2 &p) const
+  { return this->Ptr()->transform(p); }
 
   Point_2
   operator()(const Point_2 &p) const
   { return transform(p); }
 
   Vector_2
-  transform(const Vector_2 &v) const 
+  transform(const Vector_2 &v) const
   { return this->Ptr()->transform(v); }
 
   Vector_2
@@ -177,7 +177,7 @@ public:
 
   std::ostream &
   print(std::ostream &os) const;
-  
+
   bool operator==(const Aff_transformationC2 &t)const
   {
     for(int i=0; i<3; ++i)
@@ -186,12 +186,12 @@ public:
           return false;
     return true;
   }
-  
+
   bool operator!=(const Aff_transformationC2 &t)const
   {
     return !(*this == t);
   }
-  
+
 };
 
 template < class R >
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Aff_transformation_3.h 5.0.3-1/include/CGAL/Cartesian/Aff_transformation_3.h
--- 5.0.2-3/include/CGAL/Cartesian/Aff_transformation_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Aff_transformation_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Aff_transformation_3.h $
-// $Id: Aff_transformation_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Aff_transformation_3.h $
+// $Id: Aff_transformation_3.h 4c30c49 2020-05-18T12:22:27+02:00 Laurent Rineau
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
@@ -50,7 +50,7 @@ class Aff_transformationC3
   typedef typename R_::Direction_3          Direction_3;
   typedef typename R_::Plane_3              Plane_3;
   typedef typename R_::Aff_transformation_3 Aff_transformation_3;
-  
+
   using Handle_for_virtual<Aff_t_base>::initialize_with;
 public:
   typedef R_                               R;
@@ -157,10 +157,10 @@ public:
   { return transform(p); } // FIXME : not compiled by the test-suite !
 
   Aff_transformation_3 inverse() const { return this->Ptr()->inverse(); }
-  
+
   bool is_even() const { return this->Ptr()->is_even(); }
   bool is_odd() const { return  ! (this->Ptr()->is_even()); }
-  
+
   FT cartesian(int i, int j) const { return this->Ptr()->cartesian(i,j); }
   FT homogeneous(int i, int j) const { return cartesian(i,j); }
   FT m(int i, int j) const { return cartesian(i,j); }
@@ -168,7 +168,10 @@ public:
 
   Aff_transformation_3 operator*(const Aff_transformationC3 &t) const
   { return (*this->Ptr()) * (*t.Ptr()); }
-  
+
+  std::ostream &
+  print(std::ostream &os) const;
+
   bool operator==(const Aff_transformationC3 &t)const
   {
     for(int i=0; i<3; ++i)
@@ -177,24 +180,32 @@ public:
           return false;
     return true;
   }
-  
+
   bool operator!=(const Aff_transformationC3 &t)const
   {
     return !(*this == t);
   }
-  
+
 protected:
   Aff_transformation_3  transpose() const { return this->Ptr()->transpose(); }
 };
 
 
+template < class R >
+std::ostream&
+Aff_transformationC3<R>::print(std::ostream &os) const
+{
+  this->Ptr()->print(os);
+  return os;
+}
+
 #ifndef CGAL_NO_OSTREAM_INSERT_AFF_TRANSFORMATIONC3
 template < class R >
-std::ostream &operator<<(std::ostream &os,
-                         const Aff_transformationC3<R> &t)
+std::ostream&
+operator<<(std::ostream &os, const Aff_transformationC3<R> &t)
 {
-    t.print(os);
-    return os;
+  t.print(os);
+  return os;
 }
 #endif // CGAL_NO_OSTREAM_INSERT_AFF_TRANSFORMATIONC3
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Aff_transformation_rep_2.h 5.0.3-1/include/CGAL/Cartesian/Aff_transformation_rep_2.h
--- 5.0.2-3/include/CGAL/Cartesian/Aff_transformation_rep_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Aff_transformation_rep_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Aff_transformation_rep_2.h $
-// $Id: Aff_transformation_rep_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Aff_transformation_rep_2.h $
+// $Id: Aff_transformation_rep_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Lutz Kettner
 
@@ -54,7 +54,7 @@ public:
 
   virtual Aff_transformation_2 compose(
                        const Scaling_repC2<R> &t) const  = 0;
-  
+
   virtual Aff_transformation_2 compose(
                        const Reflection_repC2<R> &t) const  = 0;
 
@@ -101,7 +101,7 @@ friend class Reflection_repC2<R>;
   {
     typename R::Construct_point_2 construct_point_2;
     return construct_point_2(t11 * p.x() + t12 * p.y() + t13,
-			     t21 * p.x() + t22 * p.y() + t23);
+                             t21 * p.x() + t22 * p.y() + t23);
   }
 
   // note that a vector is not translated
@@ -191,7 +191,7 @@ operator*(const Aff_transformation_rep_b
 {
   return t.compose(*this);
 }
- 
+
 template < class R >
 CGAL_KERNEL_LARGE_INLINE
 typename Aff_transformation_repC2<R>::Aff_transformation_2
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Aff_transformation_rep_3.h 5.0.3-1/include/CGAL/Cartesian/Aff_transformation_rep_3.h
--- 5.0.2-3/include/CGAL/Cartesian/Aff_transformation_rep_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Aff_transformation_rep_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Aff_transformation_rep_3.h $
-// $Id: Aff_transformation_rep_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Aff_transformation_rep_3.h $
+// $Id: Aff_transformation_rep_3.h 4c30c49 2020-05-18T12:22:27+02:00 Laurent Rineau
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann
 
@@ -76,7 +76,7 @@ public:
   typedef typename Transformation_base_3::Vector_3      Vector_3;
   typedef typename Transformation_base_3::Direction_3   Direction_3;
   typedef typename Transformation_base_3::
-	                           Aff_transformation_3 Aff_transformation_3;
+                                   Aff_transformation_3 Aff_transformation_3;
 
   Aff_transformation_repC3()
   {}
@@ -106,8 +106,8 @@ public:
   {
     typename R::Construct_point_3 construct_point_3;
     return construct_point_3(t11 * p.x() + t12 * p.y() + t13 * p.z() + t14,
-			     t21 * p.x() + t22 * p.y() + t23 * p.z() + t24,
-			     t31 * p.x() + t32 * p.y() + t33 * p.z() + t34);
+                             t21 * p.x() + t22 * p.y() + t23 * p.z() + t24,
+                             t31 * p.x() + t32 * p.y() + t33 * p.z() + t34);
   }
 
   // note that a vector is not translated
@@ -136,7 +136,7 @@ public:
   virtual Aff_transformation_3 compose(const Transformation_3 &t) const;
   virtual Aff_transformation_3 compose(const Translation_3 &t) const;
   virtual Aff_transformation_3 compose(const Scaling_3 &t) const;
-     
+
   virtual bool is_even() const
   {
     return sign_of_determinant(t11, t12, t13,
@@ -183,8 +183,8 @@ public:
   virtual std::ostream &print(std::ostream &os) const
   {
     os <<"Aff_transformationC3("<<t11<<' '<<t12<<' '<<t13<<' '<<t14<<std::endl;
-    os <<"                    "<< t21<<' '<<t22<<' '<<t23<<' '<<t24<<std::endl;
-    os <<"                    "<< t31<<' '<<t32<<' '<<t33<<' '<<t34<<")";
+    os <<"                     "<<t21<<' '<<t22<<' '<<t23<<' '<<t24<<std::endl;
+    os <<"                     "<<t31<<' '<<t32<<' '<<t33<<' '<<t34<<")";
     return os;
   }
 
@@ -205,7 +205,7 @@ Aff_transformation_repC3<R>::inverse() c
       determinant( t12, t13, t22, t23),         // i 13
      -determinant( t12, t13, t14, t22, t23, t24, t32, t33, t34 ),
 
-     -determinant( t21, t23, t31, t33),         // i 21 
+     -determinant( t21, t23, t31, t33),         // i 21
       determinant( t11, t13, t31, t33),         // i 22
      -determinant( t11, t13, t21, t23),         // i 23
       determinant( t11, t13, t14, t21, t23, t24, t31, t33, t34 ),
@@ -281,13 +281,13 @@ compose(const Scaling_repC3<R> &t) const
                               t.scalefactor_ * t12,
                               t.scalefactor_ * t13,
                               t.scalefactor_ * t14,
-			      
+
                               t.scalefactor_ * t21,
                               t.scalefactor_ * t22,
                               t.scalefactor_ * t23,
                               t.scalefactor_ * t24,
-                              
-			      t.scalefactor_ * t31,
+
+                              t.scalefactor_ * t31,
                               t.scalefactor_ * t32,
                               t.scalefactor_ * t33,
                               t.scalefactor_ * t34);
diff -pruN 5.0.2-3/include/CGAL/Cartesian/basic_constructions_2.h 5.0.3-1/include/CGAL/Cartesian/basic_constructions_2.h
--- 5.0.2-3/include/CGAL/Cartesian/basic_constructions_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/basic_constructions_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/basic_constructions_2.h $
-// $Id: basic_constructions_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/basic_constructions_2.h $
+// $Id: basic_constructions_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/basic_constructions_3.h 5.0.3-1/include/CGAL/Cartesian/basic_constructions_3.h
--- 5.0.2-3/include/CGAL/Cartesian/basic_constructions_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/basic_constructions_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/basic_constructions_3.h $
-// $Id: basic_constructions_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/basic_constructions_3.h $
+// $Id: basic_constructions_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Cartesian_base.h 5.0.3-1/include/CGAL/Cartesian/Cartesian_base.h
--- 5.0.2-3/include/CGAL/Cartesian/Cartesian_base.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Cartesian_base.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000-2004  
+// Copyright (c) 2000-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Cartesian_base.h $
-// $Id: Cartesian_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Cartesian_base.h $
+// $Id: Cartesian_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Circle_2.h 5.0.3-1/include/CGAL/Cartesian/Circle_2.h
--- 5.0.2-3/include/CGAL/Cartesian/Circle_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Circle_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2004  
+// Copyright (c) 1997-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Circle_2.h $
-// $Id: Circle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Circle_2.h $
+// $Id: Circle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Herve Bronnimann
 
@@ -48,7 +48,7 @@ public:
 
     base = Rep(center, squared_radius, orient);
   }
- 
+
   bool           operator==(const CircleC2 &s) const;
   bool           operator!=(const CircleC2 &s) const;
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Circle_3.h 5.0.3-1/include/CGAL/Cartesian/Circle_3.h
--- 5.0.2-3/include/CGAL/Cartesian/Circle_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Circle_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Circle_3.h $
-// $Id: Circle_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Circle_3.h $
+// $Id: Circle_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Monique Teillaud, Pedro Machado, Sebastien Loriot
 
 #ifndef CGAL_CARTESIAN_CIRCLEC3_H
@@ -38,7 +38,7 @@ class CircleC3 {
   };
 
   typedef typename R_::template Handle<Rep>::type  Base;
-  Base base;  
+  Base base;
 
 public:
   typedef R_                                     R;
@@ -54,7 +54,7 @@ public:
                 plane_from_point_direction(center, d));
   }
 
-  CircleC3(const Point_3& center, const FT& squared_r, const Vector_3& normal) 
+  CircleC3(const Point_3& center, const FT& squared_r, const Vector_3& normal)
   {
     CGAL_kernel_assertion(squared_r >= FT(0));
     // non-degenerated Vector
@@ -110,17 +110,17 @@ public:
   }
 
   CircleC3(const Point_3 &p, const Point_3 &q, const Point_3 &r) {
-	  // p, q, r are not collinear
-	  CGAL_kernel_precondition(!R().collinear_3_object()(p, q, r));
-		Plane_3 p1 = R().construct_plane_3_object()(p, q, r);
+          // p, q, r are not collinear
+          CGAL_kernel_precondition(!R().collinear_3_object()(p, q, r));
+                Plane_3 p1 = R().construct_plane_3_object()(p, q, r);
     Plane_3 p2 = R().construct_bisector_3_object()(p, q);
     Plane_3 p3 = R().construct_bisector_3_object()(p, r);
     Object obj = R().intersect_3_object()(p1, p2, p3);
     // must be a point, otherwise they are collinear
     const Point_3& center=*object_cast<Point_3>(&obj);
-		FT sqr = R().compute_squared_distance_3_object()(center, r);
-		Sphere_3 s = R().construct_sphere_3_object()(center, sqr);
-		base = Rep(s, p1);
+                FT sqr = R().compute_squared_distance_3_object()(center, r);
+                Sphere_3 s = R().construct_sphere_3_object()(center, sqr);
+                base = Rep(s, p1);
   }
 
   const Plane_3& supporting_plane() const
diff -pruN 5.0.2-3/include/CGAL/Cartesian/ConicCPA2.h 5.0.3-1/include/CGAL/Cartesian/ConicCPA2.h
--- 5.0.2-3/include/CGAL/Cartesian/ConicCPA2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/ConicCPA2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/ConicCPA2.h $
-// $Id: ConicCPA2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/ConicCPA2.h $
+// $Id: ConicCPA2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Bernd Gaertner, Sven Schoenherr <sven@inf.ethz.ch>
 
@@ -48,8 +48,8 @@ class ConicCPA2
     Conic_type          type;
     CGAL::Orientation   o;
     bool                empty, trivial, degenerate;
-    
-    
+
+
     void
     set_linear_combination (const FT& a1, const ConicCPA2<PT,DA>& c1,
                             const FT& a2, const ConicCPA2<PT,DA>& c2)
@@ -61,7 +61,7 @@ class ConicCPA2
         _v = a1 * c1.v() + a2 * c2.v();
         _w = a1 * c1.w() + a2 * c2.w();
     }
-    
+
     static void set_two_linepairs (const PT& p1,
                                    const PT& p2,
                                    const PT& p3,
@@ -75,7 +75,7 @@ class ConicCPA2
         da.get (p2, x2, y2);
         da.get (p3, x3, y3);
         da.get (p4, x4, y4);
-    
+
         CGAL::Orientation side1_24 = (CGAL::Orientation)(CGAL_NTS sign
                                        (-x1*y4+x2*y4
                                         +x4*y1-x2*y1
@@ -104,7 +104,7 @@ class ConicCPA2
             }
         }
     }
-    
+
     void set_ellipse (const ConicCPA2<PT,DA>& pair1,
                       const ConicCPA2<PT,DA>& pair2)
     {
@@ -113,14 +113,14 @@ class ConicCPA2
         set_linear_combination (pair2.det()-b, pair1,
                                 pair1.det()-b, pair2);
     }
-    
+
     void set (const ConicCPA2<PT,DA>& c1,
               const ConicCPA2<PT,DA>& c2,
               const PT& p)
     {
         set_linear_combination (c2.evaluate(p), c1, -c1.evaluate(p), c2);
     }
-    
+
     CGAL::Sign vol_derivative (FT dr, FT ds, FT dt,
                               FT du, FT dv, FT dw) const
     {
@@ -133,10 +133,10 @@ class ConicCPA2
            b0 = (FT(4)*r()*s()-t()*t())*w()
           -u()*u()*s()-v()*v()*r()+u()*v()*t(),
            c0 = -FT(2)*a0*b1 + FT(3)*a1*b0;
-    
+
         return CGAL_NTS sign ((int)-CGAL_NTS sign (c0)*o);
     }
-    
+
     double vol_minimum (FT dr, FT ds, FT dt, FT du, FT dv, FT dw) const
     {
         FT a2 = FT(4)*dr*ds-dt*dt,
@@ -156,7 +156,7 @@ class ConicCPA2
            c2 = -FT(6)*a0*b3 - a1*b2 + FT(4)*a2*b1,
            c1 = -FT(4)*a0*b2 + a1*b1 + FT(6)*a2*b0,
            c0 = -FT(2)*a0*b1 + FT(3)*a1*b0;
-    
+
            double roots[3];
            int nr_roots = solve_cubic
                                 (CGAL::to_double(c3), CGAL::to_double(c2),
@@ -169,15 +169,15 @@ class ConicCPA2
                                  CGAL::to_double(b2), CGAL::to_double(b1),
                                  CGAL::to_double(b0));
     }
-    
-    
+
+
 
   protected:
     FT det () const
     {
         return FT(4)*s()*r() - t()*t();
     }
-    
+
     void analyse( )
     {
         FT d = det();
@@ -189,8 +189,8 @@ class ConicCPA2
                 FT z_prime = d*w() - u()*u()*s() - v()*v()*r() + u()*v()*t();
                 o = (CGAL::Orientation)(CGAL_NTS sign (z_prime));
                 degenerate = (o == CGAL::ZERO);
-                
-                
+
+
             }
             break;
         case PARABOLA:
@@ -256,8 +256,8 @@ class ConicCPA2
                     else
                         o = CGAL::ZERO;
                 }
-                
-                
+
+
             }
             break;
         case ELLIPSE:
@@ -272,49 +272,49 @@ class ConicCPA2
                     empty ? o = CGAL::NEGATIVE : o = CGAL::POSITIVE;
                 }
                 degenerate = empty || CGAL_NTS is_zero (z_prime);
-                
-                
+
+
             }
             break;
         }
     }
-    
+
     FT evaluate (const PT& p) const
     {
         FT x, y;
         dao.get (p, x, y);
         return r()*x*x + s()*y*y + t()*x*y + u()*x + v()*y + w();
     }
-    
-    
+
+
 
   public:
     ConicCPA2 ( const DA& da = DA()) : dao( da) { }
-    
+
     ConicCPA2 (FT r, FT s, FT t, FT u, FT v, FT w, const DA& da = DA())
         : dao( da), _r(r), _s(s), _t(t), _u(u), _v(v), _w(w)
     {
         analyse();
     }
-    
+
     const DA&  da() const
     {
         return dao;
     }
-    
+
     FT r() const { return _r;}
     FT s() const { return _s;}
     FT t() const { return _t;}
     FT u() const { return _u;}
     FT v() const { return _v;}
     FT w() const { return _w;}
-    
+
     PT center () const
     {
         CGAL_kernel_precondition (type != PARABOLA);
-	// PT p;
-	// replaced previous line by following hack (no idea
-	// why original version doesn't work)
+        // PT p;
+        // replaced previous line by following hack (no idea
+        // why original version doesn't work)
         typename DA::Point p;
         FT two = FT(2);
         FT div = -det();
@@ -322,22 +322,22 @@ class ConicCPA2
                     (two*r()*v() - t()*u()) / div);
         return p;
     }
-    
+
     Conic_type conic_type () const
     {
         return type;
     }
-    
+
     bool is_hyperbola () const
     {
         return (type == HYPERBOLA);
     }
-    
+
     bool is_parabola () const
     {
         return (type == PARABOLA);
     }
-    
+
     bool is_ellipse () const
     {
         return (type == ELLIPSE);
@@ -347,53 +347,53 @@ class ConicCPA2
     {
         return (type == ELLIPSE && (r()==s()) && CGAL_NTS is_zero (t()));
     }
-    
+
     bool is_empty () const
     {
         return empty;
     }
-    
+
     bool is_trivial () const
     {
         return trivial;
     }
-    
+
     bool is_degenerate () const
     {
         return degenerate;
     }
-    
+
     CGAL::Orientation orientation () const
     {
         return o;
     }
-    
+
     CGAL::Oriented_side oriented_side (const PT& p) const
     {
         return (CGAL::Oriented_side)(CGAL_NTS sign (evaluate (p)));
     }
-    
+
     bool has_on_positive_side (const PT& p) const
     {
         return (CGAL_NTS is_positive (evaluate(p)));
     }
-    
+
     bool has_on_negative_side (const PT& p) const
     {
         return (CGAL_NTS is_negative (evaluate(p)));
     }
-    
+
     bool has_on_boundary (const PT& p) const
     {
        return (CGAL_NTS is_zero (evaluate(p)));
     }
-    
+
     bool has_on (const PT& p) const
     {
        return (CGAL_NTS is_zero (evaluate(p)));
     }
-    
-    
+
+
     Convex_side convex_side (const PT& p) const
     {
         switch (o) {
@@ -407,17 +407,17 @@ class ConicCPA2
         // keeps g++ happy
         return( Convex_side( 0));
     }
-    
+
     bool has_on_convex_side (const PT& p) const
     {
         return (convex_side (p) == ON_CONVEX_SIDE);
     }
-    
+
     bool has_on_nonconvex_side (const PT& p) const
     {
         return (convex_side (p) == ON_NONCONVEX_SIDE);
     }
-    
+
     bool operator == ( const ConicCPA2<_PT,_DA>& c) const
     {
         // find coefficient != 0
@@ -429,7 +429,7 @@ class ConicCPA2
         if ( ! CGAL_NTS is_zero( v())) factor1 = v(); else
         if ( ! CGAL_NTS is_zero( w())) factor1 = w(); else
         CGAL_kernel_assertion_msg( false, "all coefficients zero");
-    
+
         // find coefficient != 0
         FT  factor2(0);
         if ( ! CGAL_NTS is_zero( c.r())) factor2 = c.r(); else
@@ -439,7 +439,7 @@ class ConicCPA2
         if ( ! CGAL_NTS is_zero( c.v())) factor2 = c.v(); else
         if ( ! CGAL_NTS is_zero( c.w())) factor2 = c.w(); else
         CGAL_kernel_assertion_msg( false, "all coefficients zero");
-    
+
         return(    ( r()*factor2 == c.r()*factor1)
                 && ( s()*factor2 == c.s()*factor1)
                 && ( t()*factor2 == c.t()*factor1)
@@ -447,27 +447,27 @@ class ConicCPA2
                 && ( v()*factor2 == c.v()*factor1)
                 && ( w()*factor2 == c.w()*factor1));
     }
-    
+
     void set (FT r_, FT s_, FT t_, FT u_, FT v_, FT w_)
     {
         _r = r_; _s = s_; _t = t_; _u = u_; _v = v_; _w = w_;
         analyse();
      }
-    
+
     void set_opposite ()
     {
         _r = -r(); _s = -s(); _t = -t(); _u = -u(); _v = -v(); _w = -w();
         o = CGAL::opposite(orientation());
     }
-    
-  void set_circle (const PT& p1, const PT& p2, const PT& p3) 
+
+  void set_circle (const PT& p1, const PT& p2, const PT& p3)
   {
      // the circle will have r = s = det, t=0
      FT x1, y1, x2, y2, x3, y3;
      dao.get (p1, x1, y1);
      dao.get (p2, x2, y2);
      dao.get (p3, x3, y3);
-    
+
      // precondition: p1, p2, p3 not collinear
      FT det = -x3*y2+x1*y2+x2*y3-x1*y3+x3*y1-x2*y1;
      CGAL_kernel_precondition (!CGAL_NTS is_zero (det));
@@ -483,7 +483,7 @@ class ConicCPA2
      _r = det;
      _s = det;
      _t = FT(0);
-     
+
      analyse();
      CGAL_kernel_postcondition(is_circle());
      CGAL_kernel_postcondition(has_on_boundary(p1));
@@ -498,76 +498,76 @@ class ConicCPA2
         dao.get (p2, x2, y2);
         dao.get (p3, x3, y3);
         dao.get (p4, x4, y4);
-    
+
         // precondition: p1 != p2, p3 != p4
         CGAL_kernel_precondition
             ( ((x1 != x2) || (y1 != y2)) &&
               ((x3 != x4) || (y3 != y4)) );
-    
+
         FT x2_x1 = x2-x1;
         FT x4_x3 = x4-x3;
         FT y1_y2 = y1-y2;
         FT y3_y4 = y3-y4;
         FT x1y2_y1x2 = x1*y2-y1*x2;
         FT x3y4_y3x4 = x3*y4-y3*x4;
-    
+
         _r = y1_y2 * y3_y4;
         _s = x2_x1 * x4_x3;
         _t = x2_x1 * y3_y4 + y1_y2 * x4_x3;
         _u = x1y2_y1x2 * y3_y4 + y1_y2 * x3y4_y3x4;
         _v = x1y2_y1x2 * x4_x3 + x2_x1 * x3y4_y3x4;
         _w = x1y2_y1x2 * x3y4_y3x4;
-    
+
         analyse();
     }
-    
+
     void set_ellipse (const PT& p1, const PT& p2, const PT& p3)
     {
         FT x1, y1, x2, y2, x3, y3;
         dao.get (p1, x1, y1);
         dao.get (p2, x2, y2);
         dao.get (p3, x3, y3);
-    
+
         // precondition: p1, p2, p3 not collinear
         FT det = -x3*y2+x1*y2+x2*y3-x1*y3+x3*y1-x2*y1;
         CGAL_kernel_precondition (!CGAL_NTS is_zero (det));
-    
+
         FT x1x1 = x1*x1, y1y1 = y1*y1,
            x2x2 = x2*x2, y2y2 = y2*y2,
            x3x3 = x3*x3, y3y3 = y3*y3,  // x_i^2, y_i^2
            two = FT(2);
-    
+
         _r = y1y1 - y1*y2 - y1*y3 +
              y2y2 - y2*y3 + y3y3;
-    
+
         _s = x1x1 - x1*x2 - x1*x3 +
              x2x2 - x2*x3 + x3x3;
-    
+
         _t = -two*x1*y1 + x1*y2 + x1*y3 +
                  y1*x2 -two*x2*y2 + x2*y3 +
                  y1*x3 + y2*x3 -two*x3*y3;
-    
+
         _u = -(y2y2*x3 - x2*y2*y3 - y2*x3*y3 +
                    x1*y3y3 + x2*y3y3 + y1y1*x2 +
                    y1y1*x3 - x1*y1*y2 - y1*x2*y2 -
                    x1*y1*y3 - y1*x3*y3 + x1*y2y2);
-    
+
         _v = -(x2x2*y3 - x2*y2*x3 - x2*x3*y3 +
                    y1*x3x3 + y2*x3x3 + x1x1*y2 +
                    x1x1*y3 - x1*y1*x2 - x1*x2*y2 -
                    x1*y1*x3 - x1*x3*y3 + y1*x2x2);
-    
+
         _w = y1y1*x2*x3 - x1*y1*y2*x3 - y1*x2*y2*x3 +
              y1*y2*x3x3 - x1*y1*x2*y3 + y1*x2x2*y3 -
              y1*x2*x3*y3 + x1*y2y2*x3 + x1x1*y2*y3 -
              x1*x2*y2*y3 - x1*y2*x3*y3 + x1*x2*y3y3;
-    
+
         type = ELLIPSE;
         degenerate = trivial = empty = false;
         o = CGAL::NEGATIVE;
         if (CGAL_NTS is_positive (det)) set_opposite();
     }
-    
+
     void set_ellipse (const PT& p1, const PT& p2,
                       const PT& p3, const PT& p4,
                       CGAL::Orientation _o = POSITIVE)
@@ -578,7 +578,7 @@ class ConicCPA2
         analyse();
         if (o != _o) set_opposite();
     }
-    
+
     void set (const PT& p1, const PT& p2, const PT& p3, const PT& p4,
               const PT& p5, CGAL::Orientation _o = POSITIVE)
     {
@@ -591,8 +591,8 @@ class ConicCPA2
         CGAL_kernel_precondition (!is_trivial());
         if (o != _o) set_opposite();
     }
-    
-    
+
+
 
  };
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Data_accessor_2.h 5.0.3-1/include/CGAL/Cartesian/Data_accessor_2.h
--- 5.0.2-3/include/CGAL/Cartesian/Data_accessor_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Data_accessor_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Data_accessor_2.h $
-// $Id: Data_accessor_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Data_accessor_2.h $
+// $Id: Data_accessor_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Direction_2.h 5.0.3-1/include/CGAL/Cartesian/Direction_2.h
--- 5.0.2-3/include/CGAL/Cartesian/Direction_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Direction_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Direction_2.h $
-// $Id: Direction_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Direction_2.h $
+// $Id: Direction_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Herve Bronnimann
 
@@ -45,7 +45,7 @@ public:
   typedef R_                                     R;
 
   DirectionC2() {}
- 
+
   DirectionC2(const FT &x, const FT &y)
     : base(CGAL::make_array(x, y)) {}
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Direction_3.h 5.0.3-1/include/CGAL/Cartesian/Direction_3.h
--- 5.0.2-3/include/CGAL/Cartesian/Direction_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Direction_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Direction_3.h $
-// $Id: Direction_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Direction_3.h $
+// $Id: Direction_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/ft_constructions_2.h 5.0.3-1/include/CGAL/Cartesian/ft_constructions_2.h
--- 5.0.2-3/include/CGAL/Cartesian/ft_constructions_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/ft_constructions_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/ft_constructions_2.h $
-// $Id: ft_constructions_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/ft_constructions_2.h $
+// $Id: ft_constructions_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/ft_constructions_3.h 5.0.3-1/include/CGAL/Cartesian/ft_constructions_3.h
--- 5.0.2-3/include/CGAL/Cartesian/ft_constructions_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/ft_constructions_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/ft_constructions_3.h $
-// $Id: ft_constructions_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/ft_constructions_3.h $
+// $Id: ft_constructions_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/function_objects.h 5.0.3-1/include/CGAL/Cartesian/function_objects.h
--- 5.0.2-3/include/CGAL/Cartesian/function_objects.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/function_objects.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999-2005  
+// Copyright (c) 1999-2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/function_objects.h $
-// $Id: function_objects.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/function_objects.h $
+// $Id: function_objects.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -47,12 +47,12 @@ namespace CartesianKernelFunctors {
     { return angleC2(p.x(), p.y(), q.x(), q.y(), r.x(), r.y()); }
 
     result_type
-    operator()(const Point_2& p, const Point_2& q, 
+    operator()(const Point_2& p, const Point_2& q,
                const Point_2& r, const Point_2& s) const
     {
       return angleC2(p.x(), p.y(),
-		     q.x(), q.y(),
-		     r.x(), r.y(),
+                     q.x(), q.y(),
+                     r.x(), r.y(),
                      s.x(), s.y());
     }
   };
@@ -69,14 +69,14 @@ namespace CartesianKernelFunctors {
     operator()(const Vector_3& u, const Vector_3& v) const
     {
       return angleC3(u.x(), u.y(), u.z(),
-		     v.x(), v.y(), v.z());
+                     v.x(), v.y(), v.z());
     }
     result_type
     operator()(const Point_3& p, const Point_3& q, const Point_3& r) const
     {
       return angleC3(p.x(), p.y(), p.z(),
-		     q.x(), q.y(), q.z(),
-		     r.x(), r.y(), r.z());
+                     q.x(), q.y(), q.z(),
+                     r.x(), r.y(), r.z());
     }
 
     result_type
@@ -84,9 +84,9 @@ namespace CartesianKernelFunctors {
                const Point_3& r, const Point_3& s) const
     {
       return angleC3(p.x(), p.y(), p.z(),
-		     q.x(), q.y(), q.z(),
-		     r.x(), r.y(), r.z(),
-		     s.x(), s.y(), s.z());
+                     q.x(), q.y(), q.z(),
+                     r.x(), r.y(), r.z(),
+                     s.x(), s.y(), s.z());
     }
 
     result_type
@@ -163,9 +163,9 @@ namespace CartesianKernelFunctors {
     result_type
     operator()(const Ray_3& r1, const Ray_3& r2) const
     { return parallelC3(r1.source().x(), r1.source().y(), r1.source().z(),
-	r1.second_point().x(), r1.second_point().y(), r1.second_point().z(),
+        r1.second_point().x(), r1.second_point().y(), r1.second_point().z(),
                         r2.source().x(), r2.source().y(), r2.source().z(),
-	r2.second_point().x(), r2.second_point().y(), r2.second_point().z());
+        r2.second_point().x(), r2.second_point().y(), r2.second_point().z());
     }
   };
 
@@ -191,39 +191,39 @@ namespace CartesianKernelFunctors {
     operator()( const Triangle_2& t, const Point_2& p) const
     {
       typename K::Collinear_are_ordered_along_line_2
-	collinear_are_ordered_along_line;
+        collinear_are_ordered_along_line;
       typename K::Orientation_2 orientation;
       typename K::Orientation o1 = orientation(t.vertex(0), t.vertex(1), p),
-	                      o2 = orientation(t.vertex(1), t.vertex(2), p),
-	                      o3 = orientation(t.vertex(2), t.vertex(3), p);
+                              o2 = orientation(t.vertex(1), t.vertex(2), p),
+                              o3 = orientation(t.vertex(2), t.vertex(3), p);
 
       if (o2 == o1 && o3 == o1)
-	return ON_BOUNDED_SIDE;
+        return ON_BOUNDED_SIDE;
       return
-	(o1 == COLLINEAR
-	 && collinear_are_ordered_along_line(t.vertex(0), p, t.vertex(1))) ||
-	(o2 == COLLINEAR
-	 && collinear_are_ordered_along_line(t.vertex(1), p, t.vertex(2))) ||
-	(o3 == COLLINEAR
-	 && collinear_are_ordered_along_line(t.vertex(2), p, t.vertex(3)))
-	? ON_BOUNDARY
-	: ON_UNBOUNDED_SIDE;
+        (o1 == COLLINEAR
+         && collinear_are_ordered_along_line(t.vertex(0), p, t.vertex(1))) ||
+        (o2 == COLLINEAR
+         && collinear_are_ordered_along_line(t.vertex(1), p, t.vertex(2))) ||
+        (o3 == COLLINEAR
+         && collinear_are_ordered_along_line(t.vertex(2), p, t.vertex(3)))
+        ? ON_BOUNDARY
+        : ON_UNBOUNDED_SIDE;
     }
 
     result_type
     operator()( const Iso_rectangle_2& r, const Point_2& p) const
     {
       bool x_incr = (r.xmin() < p.x()) && (p.x() < r.xmax()),
-	   y_incr = (r.ymin() < p.y()) && (p.y() < r.ymax());
+           y_incr = (r.ymin() < p.y()) && (p.y() < r.ymax());
       if (x_incr)
-	{
-	  if (y_incr)
-	    return ON_BOUNDED_SIDE;
-	  if ( (p.y() == r.ymin()) || (r.ymax() == p.y()) )
-	    return ON_BOUNDARY;
-	}
+        {
+          if (y_incr)
+            return ON_BOUNDED_SIDE;
+          if ( (p.y() == r.ymin()) || (r.ymax() == p.y()) )
+            return ON_BOUNDARY;
+        }
       if ( (p.x() == r.xmin()) || (r.xmax() == p.x()) )
-	if ( y_incr || (p.y() == r.ymin()) || (r.ymax() == p.y()) )
+        if ( y_incr || (p.y() == r.ymin()) || (r.ymax() == p.y()) )
           return ON_BOUNDARY;
 
       return ON_UNBOUNDED_SIDE;
@@ -290,7 +290,7 @@ namespace CartesianKernelFunctors {
     {
       CGAL_kernel_exactness_precondition( collinear(p, q, r) );
       return collinear_are_ordered_along_lineC2
-	(p.x(), p.y(), q.x(), q.y(), r.x(), r.y());
+        (p.x(), p.y(), q.x(), q.y(), r.x(), r.y());
     }
   };
 
@@ -306,8 +306,8 @@ namespace CartesianKernelFunctors {
     {
       CGAL_kernel_exactness_precondition( collinear(p, q, r) );
       return collinear_are_ordered_along_lineC3(p.x(), p.y(), p.z(),
-						q.x(), q.y(), q.z(),
-						r.x(), r.y(), r.z());
+                                                q.x(), q.y(), q.z(),
+                                                r.x(), r.y(), r.z());
     }
   };
 
@@ -323,7 +323,7 @@ namespace CartesianKernelFunctors {
     {
       CGAL_kernel_exactness_precondition( collinear(p, q, r) );
       return collinear_are_strictly_ordered_along_lineC2
-	(p.x(), p.y(), q.x(), q.y(), r.x(), r.y());
+        (p.x(), p.y(), q.x(), q.y(), r.x(), r.y());
     }
   };
 
@@ -339,8 +339,8 @@ namespace CartesianKernelFunctors {
     {
       CGAL_kernel_exactness_precondition( collinear(p, q, r) );
       return collinear_are_strictly_ordered_along_lineC3(p.x(), p.y(), p.z(),
-							 q.x(), q.y(), q.z(),
-							 r.x(), r.y(), r.z());
+                                                         q.x(), q.y(), q.z(),
+                                                         r.x(), r.y(), r.z());
     }
   };
 
@@ -366,11 +366,11 @@ namespace CartesianKernelFunctors {
       default:
         switch(make_certain(compare_y(source, second))){
         case SMALLER:
-	  return compare_y(source, p) != LARGER;
+          return compare_y(source, p) != LARGER;
         case LARGER:
-	  return compare_y(p, source) != LARGER;
+          return compare_y(p, source) != LARGER;
         default:
-	  return true; // p == source
+          return true; // p == source
         }
       } // switch
     }
@@ -410,8 +410,8 @@ namespace CartesianKernelFunctors {
     operator()(const Point_3& p, const Point_3& q, const Point_3& r) const
     {
       return collinearC3(p.x(), p.y(), p.z(),
-			 q.x(), q.y(), q.z(),
-			 r.x(), r.y(), r.z());
+                         q.x(), q.y(), q.z(),
+                         r.x(), r.y(), r.z());
     }
   };
 
@@ -469,8 +469,8 @@ namespace CartesianKernelFunctors {
     operator()(const Point_3& p, const Point_3& q, const Point_3& r) const
     {
       return cmp_dist_to_pointC3(p.x(), p.y(), p.z(),
-				 q.x(), q.y(), q.z(),
-				 r.x(), r.y(), r.z());
+                                 q.x(), q.y(), q.z(),
+                                 r.x(), r.y(), r.z());
     }
 
     result_type
@@ -513,9 +513,9 @@ namespace CartesianKernelFunctors {
     typedef typename K::Weighted_point_2         Weighted_point_2;
     typedef typename K::Point_2                  Point_2;
     typedef typename K::Comparison_result        Comparison_result;
-    
+
     typedef Comparison_result                    result_type;
-    
+
     Comparison_result operator()(const Point_2& r,
                                  const Weighted_point_2& p,
                                  const Weighted_point_2& q) const
@@ -537,9 +537,9 @@ namespace CartesianKernelFunctors {
     result_type
     operator()(const Point_3& p, const Point_3& q, const Point_3& r, const Point_3& s, const FT& ft) const
     {
-      return CGAL::compare(squared_radiusC3(p.x(), p.y(), p.z(), 
-                                            q.x(), q.y(), q.z(), 
-                                            r.x(), r.y(), r.z(), 
+      return CGAL::compare(squared_radiusC3(p.x(), p.y(), p.z(),
+                                            q.x(), q.y(), q.z(),
+                                            r.x(), r.y(), r.z(),
                                             s.x(), s.y(), s.z() ),
                            ft);
     }
@@ -547,8 +547,8 @@ namespace CartesianKernelFunctors {
     result_type
     operator()(const Point_3& p, const Point_3& q, const Point_3& r, const FT& ft) const
     {
-      return CGAL::compare(squared_radiusC3(p.x(), p.y(), p.z(), 
-                                            q.x(), q.y(), q.z(), 
+      return CGAL::compare(squared_radiusC3(p.x(), p.y(), p.z(),
+                                            q.x(), q.y(), q.z(),
                                             r.x(), r.y(), r.z()),
                            ft);
     }
@@ -556,16 +556,16 @@ namespace CartesianKernelFunctors {
     result_type
     operator()(const Point_3& p, const Point_3& q, const FT& ft) const
     {
-      return CGAL::compare(squared_radiusC3(p.x(), p.y(), p.z(), 
+      return CGAL::compare(squared_radiusC3(p.x(), p.y(), p.z(),
                                             q.x(), q.y(), q.z() ),
                            ft);
     }
-    
+
     result_type
     operator()(const Point_3&, const FT& ft) const
     {
       return - CGAL_NTS sign(ft);
-    }    
+    }
   };
 
 
@@ -588,9 +588,9 @@ namespace CartesianKernelFunctors {
     operator()(const Segment_2& s1, const Segment_2& s2) const
     {
       return compare_slopesC2(s1.source().x(), s1.source().y(),
-			      s1.target().x(), s1.target().y(),
-			      s2.source().x(), s2.source().y(),
-			      s2.target().x(), s2.target().y());
+                              s1.target().x(), s1.target().y(),
+                              s2.source().x(), s2.source().y(),
+                              s2.target().x(), s2.target().y());
     }
   };
 
@@ -610,22 +610,22 @@ namespace CartesianKernelFunctors {
     operator()( const Point_2& p, const Line_2& h1, const Line_2& h2) const
     {
       return compare_y_at_xC2(p.y(), h1.b(), h1.a(), h1.c(),
-			      h2.b(), h2.a(), h2.c());
+                              h2.b(), h2.a(), h2.c());
     }
 
     result_type
     operator()( const Line_2& l1, const Line_2& l2, const Line_2& h) const
     {
       return compare_y_at_xC2(l1.b(), l1.a(), l1.c(), l2.b(), l2.a(), l2.c(),
-			      h.b(), h.a(), h.c());
+                              h.b(), h.a(), h.c());
     }
 
     result_type
     operator()( const Line_2& l1, const Line_2& l2,
-	        const Line_2& h1, const Line_2& h2) const
+                const Line_2& h1, const Line_2& h2) const
     {
       return compare_y_at_xC2(l1.b(), l1.a(), l1.c(), l2.b(), l2.a(), l2.c(),
-			      h1.b(), h1.a(), h1.c(), h2.b(), h2.a(), h2.c());
+                              h1.b(), h1.a(), h1.c(), h2.b(), h2.a(), h2.c());
     }
   };
 
@@ -640,7 +640,7 @@ namespace CartesianKernelFunctors {
     operator()( const Point_3& p, const Point_3& q) const
     {
       return compare_lexicographically_xyzC3(p.x(), p.y(), p.z(),
-					     q.x(), q.y(), q.z());
+                                             q.x(), q.y(), q.z());
     }
   };
 
@@ -688,15 +688,15 @@ namespace CartesianKernelFunctors {
     operator()( const Line_2& l, const Line_2& h1, const Line_2& h2) const
     {
       return compare_xC2(l.a(), l.b(), l.c(), h1.a(), h1.b(), h1.c(),
-			 h2.a(), h2.b(), h2.c());
+                         h2.a(), h2.b(), h2.c());
     }
 
     result_type
     operator()( const Line_2& l1, const Line_2& l2,
-	        const Line_2& h1, const Line_2& h2) const
+                const Line_2& h1, const Line_2& h2) const
     {
       return compare_xC2(l1.a(), l1.b(), l1.c(), l2.a(), l2.b(), l2.c(),
-			 h1.a(), h1.b(), h1.c(), h2.a(), h2.b(), h2.c());
+                         h1.a(), h1.b(), h1.c(), h2.a(), h2.b(), h2.c());
     }
   };
 
@@ -741,41 +741,41 @@ namespace CartesianKernelFunctors {
     operator()( const Point_2& p, const Line_2& h1, const Line_2& h2) const
     {
       return compare_y_at_xC2(p.x(), h1.a(), h1.b(), h1.c(),
-			      h2.a(), h2.b(), h2.c());
+                              h2.a(), h2.b(), h2.c());
     }
 
     result_type
     operator()( const Line_2& l1, const Line_2& l2, const Line_2& h) const
     {
       return compare_y_at_xC2(l1.a(), l1.b(), l1.c(), l2.a(), l2.b(), l2.c(),
-			      h.a(), h.b(), h.c());
+                              h.a(), h.b(), h.c());
     }
 
     result_type
     operator()( const Line_2& l1, const Line_2& l2,
-	        const Line_2& h1, const Line_2& h2) const
+                const Line_2& h1, const Line_2& h2) const
     {
       return compare_y_at_xC2(l1.a(), l1.b(), l1.c(), l2.a(), l2.b(), l2.c(),
-			      h1.a(), h1.b(), h1.c(), h2.a(), h2.b(), h2.c());
+                              h1.a(), h1.b(), h1.c(), h2.a(), h2.b(), h2.c());
     }
 
     result_type
     operator()( const Point_2& p, const Segment_2& s) const
     {
       return compare_y_at_xC2(p.x(), p.y(),
-			      s.source().x(), s.source().y(),
-			      s.target().x(), s.target().y());
+                              s.source().x(), s.source().y(),
+                              s.target().x(), s.target().y());
     }
 
     result_type
     operator()( const Point_2& p,
-	        const Segment_2& s1, const Segment_2& s2) const
+                const Segment_2& s1, const Segment_2& s2) const
     {
       return compare_y_at_x_segment_C2(p.x(),
-				       s1.source().x(), s1.source().y(),
-				       s1.target().x(), s1.target().y(),
-				       s2.source().x(), s2.source().y(),
-				       s2.target().x(), s2.target().y());
+                                       s1.source().x(), s1.source().y(),
+                                       s1.target().x(), s1.target().y(),
+                                       s2.source().x(), s2.source().y(),
+                                       s2.target().x(), s2.target().y());
     }
   };
 
@@ -795,23 +795,23 @@ namespace CartesianKernelFunctors {
     operator()( const Point_2& p, const Line_2& l1, const Line_2& l2) const
     {
       return compare_xC2(p.y(),
-			 l1.b(), l1.a(), l1.c(),
-			 l2.b(), l2.a(), l2.c());
+                         l1.b(), l1.a(), l1.c(),
+                         l2.b(), l2.a(), l2.c());
     }
 
     result_type
     operator()( const Line_2& l, const Line_2& h1, const Line_2& h2) const
     {
       return compare_xC2(l.b(), l.a(), l.c(), h1.b(), h1.a(), h1.c(),
-			 l.b(), l.a(), l.c(), h2.b(), h2.a(), h2.c());
+                         l.b(), l.a(), l.c(), h2.b(), h2.a(), h2.c());
     }
 
     result_type
     operator()( const Line_2& l1, const Line_2& l2,
-	        const Line_2& h1, const Line_2& h2) const
+                const Line_2& h1, const Line_2& h2) const
     {
       return compare_xC2(l1.b(), l1.a(), l1.c(), l2.b(), l2.a(), l2.c(),
-			 h1.b(), h1.a(), h1.c(), h2.b(), h2.a(), h2.c());
+                         h1.b(), h1.a(), h1.c(), h2.b(), h2.a(), h2.c());
     }
   };
 
@@ -849,7 +849,7 @@ namespace CartesianKernelFunctors {
 
     typedef double result_type;
 
-    result_type 
+    result_type
     operator() (const Circle_3 & c) const
     // { return c.rep().approximate_area(); }
     { return CGAL_PI * to_double(c.squared_radius()); }
@@ -865,7 +865,7 @@ namespace CartesianKernelFunctors {
 
     typedef double result_type;
 
-    result_type 
+    result_type
     operator() (const Circle_3 & c) const
     // { return c.rep().approximate_squared_length(); }
     { return CGAL_PI * CGAL_PI * 4.0 * to_double(c.squared_radius()); }
@@ -911,7 +911,7 @@ namespace CartesianKernelFunctors {
 
     typedef FT result_type;
 
-    result_type 
+    result_type
     operator()(const Circle_3 & c) const
     { return c.rep().area_divided_by_pi(); }
 
@@ -928,7 +928,7 @@ namespace CartesianKernelFunctors {
     result_type
     operator()(const Vector_2& v, const Vector_2& w) const
     {
-	return determinant(v.x(), v.y(), w.x(), w.y());
+        return determinant(v.x(), v.y(), w.x(), w.y());
     }
   };
 
@@ -943,7 +943,7 @@ namespace CartesianKernelFunctors {
     result_type
     operator()(const Vector_3& v, const Vector_3& w, const Vector_3& t) const
     {
-	return determinant(v.x(), v.y(), v.z(),
+        return determinant(v.x(), v.y(), v.z(),
                                  w.x(), w.y(), w.z(),
                                  t.x(), t.y(), t.z());
     }
@@ -960,7 +960,7 @@ namespace CartesianKernelFunctors {
     result_type
     operator()(const Vector_2& v, const Vector_2& w) const
     {
-	return v.x() * w.x() + v.y() * w.y();
+        return v.x() * w.x() + v.y() * w.y();
     }
   };
 
@@ -975,7 +975,7 @@ namespace CartesianKernelFunctors {
     result_type
     operator()(const Vector_3& v, const Vector_3& w) const
     {
-	return v.x() * w.x() + v.y() * w.y() + v.z() * w.z();
+        return v.x() * w.x() + v.y() * w.y() + v.z() * w.z();
     }
   };
 
@@ -991,13 +991,13 @@ namespace CartesianKernelFunctors {
     result_type
     operator()( const Triangle_3& t ) const
     {
-	return this->operator()(t.vertex(0), t.vertex(1), t.vertex(2));
+        return this->operator()(t.vertex(0), t.vertex(1), t.vertex(2));
     }
 
     result_type
     operator()( const Point_3& p, const Point_3& q, const Point_3& r ) const
     {
-	return squared_areaC3(p.x(), p.y(), p.z(),
+        return squared_areaC3(p.x(), p.y(), p.z(),
                               q.x(), q.y(), q.z(),
                               r.x(), r.y(), r.z());
     }
@@ -1029,7 +1029,7 @@ namespace CartesianKernelFunctors {
 
     typedef FT result_type;
 
-    result_type 
+    result_type
     operator() (const Circle_3 & c) const
     { return c.rep().squared_length_divided_by_pi_square(); }
 
@@ -1094,25 +1094,25 @@ namespace CartesianKernelFunctors {
     operator()( const Point_3& p, const Point_3& q) const
     {
       return squared_radiusC3(p.x(), p.y(), p.z(),
-			      q.x(), q.y(), q.z());
+                              q.x(), q.y(), q.z());
     }
 
     result_type
     operator()( const Point_3& p, const Point_3& q, const Point_3& r) const
     {
       return squared_radiusC3(p.x(), p.y(), p.z(),
-			      q.x(), q.y(), q.z(),
-			      r.x(), r.y(), r.z());
+                              q.x(), q.y(), q.z(),
+                              r.x(), r.y(), r.z());
     }
 
     result_type
     operator()( const Point_3& p, const Point_3& q,
-	        const Point_3& r, const Point_3& s) const
+                const Point_3& r, const Point_3& s) const
     {
       return squared_radiusC3(p.x(), p.y(), p.z(),
-			      q.x(), q.y(), q.z(),
-			      r.x(), r.y(), r.z(),
-			      s.x(), s.y(), s.z());
+                              q.x(), q.y(), q.z(),
+                              r.x(), r.y(), r.z(),
+                              s.x(), s.y(), s.z());
     }
   };
 
@@ -1128,7 +1128,7 @@ namespace CartesianKernelFunctors {
 
     result_type
     operator()(const Point_3& p0, const Point_3& p1,
-	       const Point_3& p2, const Point_3& p3) const
+               const Point_3& p2, const Point_3& p3) const
     {
       return determinant<FT>(p1.x()-p0.x(), p1.y()-p0.y(), p1.z()-p0.z(),
                              p2.x()-p0.x(), p2.y()-p0.y(), p2.z()-p0.z(),
@@ -1139,7 +1139,7 @@ namespace CartesianKernelFunctors {
     operator()( const Tetrahedron_3& t ) const
     {
       return this->operator()(t.vertex(0), t.vertex(1),
-		              t.vertex(2), t.vertex(3));
+                              t.vertex(2), t.vertex(3));
     }
 
     result_type
@@ -1649,7 +1649,7 @@ namespace CartesianKernelFunctors {
     typedef typename K::Point_3     Point_3;
   public:
     typedef Point_3                 result_type;
-    
+
     result_type
     operator()(const Point_3& p1, const FT&w1, const Point_3& p2) const
     {
@@ -1677,7 +1677,7 @@ namespace CartesianKernelFunctors {
       barycenterC3(p1.x(), p1.y(), p1.z(), w1, p2.x(), p2.y(), p2.z(), w2, p3.x(), p3.y(), p3.z(), x, y, z);
       return construct_point_3(x, y, z);
     }
-    
+
     result_type
     operator()(const Point_3& p1, const FT& w1, const Point_3& p2, const FT& w2,
                const Point_3& p3, const FT& w3) const
@@ -1688,7 +1688,7 @@ namespace CartesianKernelFunctors {
                    p3.x(), p3.y(), p3.z(), w3, x, y, z);
       return construct_point_3(x, y, z);
     }
-    
+
     result_type
     operator()(const Point_3& p1, const FT& w1, const Point_3& p2, const FT& w2,
                const Point_3& p3, const FT& w3, const Point_3& p4) const
@@ -1710,7 +1710,7 @@ namespace CartesianKernelFunctors {
                    p3.x(), p3.y(), p3.z(), w3, p4.x(), p4.y(), p4.z(), w4, x, y, z);
       return construct_point_3(x, y, z);
     }
-    
+
   };
 
   template <typename K>
@@ -1730,7 +1730,7 @@ namespace CartesianKernelFunctors {
 
     Construct_base_vector_3() {}
     Construct_base_vector_3(const Construct_cross_product_vector_3& cp_,
-			    const Construct_orthogonal_vector_3& co_)
+                            const Construct_orthogonal_vector_3& co_)
       : cp(cp_), co(co_)
     {}
 
@@ -1738,14 +1738,14 @@ namespace CartesianKernelFunctors {
     operator()( const Plane_3& h, int index ) const
     {
       if (index == 1) {
-	if ( CGAL_NTS is_zero(h.a()) )  // parallel to x-axis
-	  return Vector_3(FT(1), FT(0), FT(0));
-	
-	if ( CGAL_NTS is_zero(h.b()) )  // parallel to y-axis
-	  return Vector_3(FT(0), FT(1), FT(0));
-	
-	if ( CGAL_NTS is_zero(h.c()) )  // parallel to z-axis
-	  return Vector_3(FT(0), FT(0), FT(1));
+        if ( CGAL_NTS is_zero(h.a()) )  // parallel to x-axis
+          return Vector_3(FT(1), FT(0), FT(0));
+
+        if ( CGAL_NTS is_zero(h.b()) )  // parallel to y-axis
+          return Vector_3(FT(0), FT(1), FT(0));
+
+        if ( CGAL_NTS is_zero(h.c()) )  // parallel to z-axis
+          return Vector_3(FT(0), FT(0), FT(1));
 
         FT a = CGAL::abs(h.a()),
           b = CGAL::abs(h.b()),
@@ -1762,7 +1762,7 @@ namespace CartesianKernelFunctors {
 
         return Vector_3(-h.b(), h.a(), FT(0));
       } else {
-	return cp(co(h), this->operator()(h,1));
+        return cp(co(h), this->operator()(h,1));
       }
     }
   };
@@ -1799,15 +1799,15 @@ namespace CartesianKernelFunctors {
       bb += this->operator()(t.vertex(2));
       return bb;
       /*
-	  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.40629.0 for x64 
-	  produces a segfault of this functor for Simple_cartesian<Interval_nt<0>>
-	  with the original version of the code below
-	  Note that it also worked for 18.00.21005.1
+          Microsoft (R) C/C++ Optimizing Compiler Version 18.00.40629.0 for x64
+          produces a segfault of this functor for Simple_cartesian<Interval_nt<0>>
+          with the original version of the code below
+          Note that it also worked for 18.00.21005.1
 
       typename K::Construct_bbox_2 construct_bbox_2;
       return construct_bbox_2(t.vertex(0))
-	   + construct_bbox_2(t.vertex(1))
-	   + construct_bbox_2(t.vertex(2));
+           + construct_bbox_2(t.vertex(1))
+           + construct_bbox_2(t.vertex(2));
       */
     }
 
@@ -1871,8 +1871,8 @@ namespace CartesianKernelFunctors {
     {
       typename K::Construct_bbox_3 construct_bbox_3;
       return construct_bbox_3(t.vertex(0))
-	   + construct_bbox_3(t.vertex(1))
-	   + construct_bbox_3(t.vertex(2));
+           + construct_bbox_3(t.vertex(1))
+           + construct_bbox_3(t.vertex(2));
     }
 
     Bbox_3
@@ -1909,7 +1909,7 @@ namespace CartesianKernelFunctors {
       Interval_nt<> minz = z-r;
       Interval_nt<> maxz = z+r;
 
-      return Bbox_3(minx.inf(), miny.inf(), minz.inf(), 
+      return Bbox_3(minx.inf(), miny.inf(), minz.inf(),
                     maxx.sup(), maxy.sup(), maxz.sup());
     }
 
@@ -1962,8 +1962,8 @@ namespace CartesianKernelFunctors {
     {
       FT a, b, c, d;
       bisector_of_pointsC3(p.x(), p.y(), p.z(),
-	                   q.x(), q.y(), q.z(),
-			   a, b, c, d);
+                           q.x(), q.y(), q.z(),
+                           a, b, c, d);
       return Plane_3(a, b, c, d);
     }
 
@@ -2029,9 +2029,9 @@ namespace CartesianKernelFunctors {
       typename K::Construct_point_3 construct_point_3;
       FT x, y, z;
       centroidC3(p.x(), p.y(), p.z(),
-		 q.x(), q.y(), q.z(),
-		 r.x(), r.y(), r.z(),
-		 x, y, z);
+                 q.x(), q.y(), q.z(),
+                 r.x(), r.y(), r.z(),
+                 x, y, z);
       return construct_point_3(x, y, z);
     }
 
@@ -2042,10 +2042,10 @@ namespace CartesianKernelFunctors {
       typename K::Construct_point_3 construct_point_3;
       FT x, y, z;
       centroidC3(p.x(), p.y(), p.z(),
-		 q.x(), q.y(), q.z(),
-		 r.x(), r.y(), r.z(),
-		 s.x(), s.y(), s.z(),
-		 x, y, z);
+                 q.x(), q.y(), q.z(),
+                 r.x(), r.y(), r.z(),
+                 s.x(), s.y(), s.z(),
+                 x, y, z);
       return construct_point_3(x, y, z);
     }
 
@@ -2142,11 +2142,11 @@ namespace CartesianKernelFunctors {
       //                              rsx,rsy,0);
 
       FT num_x = ps2 * determinant(qsy,qsz,rsy,rsz)
-	       - qs2 * determinant(psy,psz,rsy,rsz);
+               - qs2 * determinant(psy,psz,rsy,rsz);
       FT num_y = ps2 * determinant(qsx,qsz,rsx,rsz)
-	       - qs2 * determinant(psx,psz,rsx,rsz);
+               - qs2 * determinant(psx,psz,rsx,rsz);
       FT num_z = ps2 * determinant(qsx,qsy,rsx,rsy)
-	       - qs2 * determinant(psx,psy,rsx,rsy);
+               - qs2 * determinant(psx,psy,rsx,rsy);
 
       FT den   = determinant(psx,psy,psz,
                              qsx,qsy,qsz,
@@ -2169,7 +2169,7 @@ namespace CartesianKernelFunctors {
 
     Point_3
     operator()(const Point_3& p, const Point_3& q,
-	       const Point_3& r, const Point_3& s) const
+               const Point_3& r, const Point_3& s) const
     {
       typename K::Construct_point_3 construct_point_3;
       // Translate p to origin to simplify the expression.
@@ -2229,8 +2229,8 @@ namespace CartesianKernelFunctors {
     operator()(const Vector_3& v, const Vector_3& w) const
     {
       return Vector_3(v.y() * w.z() - v.z() * w.y(),
-		      v.z() * w.x() - v.x() * w.z(),
-		      v.x() * w.y() - v.y() * w.x());
+                      v.z() * w.x() - v.x() * w.z(),
+                      v.x() * w.y() - v.y() * w.x());
     }
   };
 
@@ -2254,9 +2254,9 @@ namespace CartesianKernelFunctors {
 
     Construct_lifted_point_3() {}
     Construct_lifted_point_3(const Construct_base_vector_3& cb_,
-			     const Construct_point_on_3& cp_,
-			     const Construct_scaled_vector_3& cs_,
-			     const Construct_translated_point_3& ct_)
+                             const Construct_point_on_3& cp_,
+                             const Construct_scaled_vector_3& cs_,
+                             const Construct_translated_point_3& ct_)
       : cb(cb_), cp(cp_), cs(cs_), ct(ct_)
     {}
 
@@ -2443,11 +2443,11 @@ namespace CartesianKernelFunctors {
       //                              rsx,rsy,0);
 
       FT num_x = ps2 * determinant(qsy,qsz,rsy,rsz)
-	       - qs2 * determinant(psy,psz,rsy,rsz);
+               - qs2 * determinant(psy,psz,rsy,rsz);
       FT num_y = ps2 * determinant(qsx,qsz,rsx,rsz)
-	       - qs2 * determinant(psx,psz,rsx,rsz);
+               - qs2 * determinant(psx,psz,rsx,rsz);
       FT num_z = ps2 * determinant(qsx,qsy,rsx,rsy)
-	       - qs2 * determinant(psx,psy,rsx,rsy);
+               - qs2 * determinant(psx,psy,rsx,rsy);
 
       FT den   = determinant(psx,psy,psz,
                              qsx,qsy,qsz,
@@ -2495,7 +2495,7 @@ namespace CartesianKernelFunctors {
       else               { miny = q.y(); maxy = p.y(); }
 
       return Rep(Point_2(minx, miny),
-	         Point_2(maxx, maxy), 0);
+                 Point_2(maxx, maxy), 0);
     }
 
     Rep // Iso_rectangle_2
@@ -2507,28 +2507,28 @@ namespace CartesianKernelFunctors {
       CGAL_kernel_assertion(!less_x(right, left));
       CGAL_kernel_assertion(!less_y(top, bottom));
       return Rep(Point_2(left.x(), bottom.y()),
-		 Point_2(right.x(), top.y()), 0);
+                 Point_2(right.x(), top.y()), 0);
     }
 
     Rep // Iso_rectangle_2
     operator()(Return_base_tag, const RT& min_hx, const RT& min_hy,
-	       const RT& max_hx, const RT& max_hy) const
+               const RT& max_hx, const RT& max_hy) const
     {
       CGAL_kernel_precondition(min_hx <= max_hx);
       CGAL_kernel_precondition(min_hy <= max_hy);
       return Rep(Point_2(min_hx, min_hy),
-		 Point_2(max_hx, max_hy), 0);
+                 Point_2(max_hx, max_hy), 0);
     }
 
     Rep // Iso_rectangle_2
     operator()(Return_base_tag, const RT& min_hx, const RT& min_hy,
-	       const RT& max_hx, const RT& max_hy, const RT& hw) const
+               const RT& max_hx, const RT& max_hy, const RT& hw) const
     {
       if (hw == 1)
-	return Rep(Point_2(min_hx, min_hy),
-		   Point_2(max_hx, max_hy), 0);
+        return Rep(Point_2(min_hx, min_hy),
+                   Point_2(max_hx, max_hy), 0);
       return Rep(Point_2(min_hx/hw, min_hy/hw),
-		 Point_2(max_hx/hw, max_hy/hw), 0);
+                 Point_2(max_hx/hw, max_hy/hw), 0);
     }
 
 
@@ -2553,14 +2553,14 @@ namespace CartesianKernelFunctors {
 
     Iso_rectangle_2
     operator()(const RT& min_hx, const RT& min_hy,
-	       const RT& max_hx, const RT& max_hy) const
+               const RT& max_hx, const RT& max_hy) const
     {
       return this->operator()(Return_base_tag(), min_hx, min_hy, max_hx, max_hy);
     }
 
     Iso_rectangle_2
     operator()(const RT& min_hx, const RT& min_hy,
-	       const RT& max_hx, const RT& max_hy, const RT& hw) const
+               const RT& max_hx, const RT& max_hy, const RT& hw) const
     {
       return this->operator()(Return_base_tag(), min_hx, min_hy, max_hx, max_hy, hw);
     }
@@ -2782,19 +2782,19 @@ namespace CartesianKernelFunctors {
   public:
     typedef typename K::Weighted_point_2                Weighted_point_2;
     typedef typename K::Line_2                          Line_2;
-    
+
     typedef Line_2           result_type;
-    
+
     Line_2
     operator() ( const Weighted_point_2 & p, const Weighted_point_2 & q) const
-    { 
+    {
       typedef typename K::RT RT;
       RT a,b,c;
       radical_axisC2(p.x(),p.y(),p.weight(),q.x(),q.y(),q.weight(),a,b,c);
       return Line_2(a,b,c);
     }
   };
-  
+
 
 
 
@@ -2879,9 +2879,9 @@ namespace CartesianKernelFunctors {
     {
       CGAL_kernel_precondition( o != COLLINEAR );
       if (o == COUNTERCLOCKWISE)
-	return K().construct_vector_2_object()(-v.y(), v.x());
+        return K().construct_vector_2_object()(-v.y(), v.x());
       else
-	return K().construct_vector_2_object()(v.y(), -v.x());
+        return K().construct_vector_2_object()(v.y(), -v.x());
     }
   };
 
@@ -2897,9 +2897,9 @@ namespace CartesianKernelFunctors {
     {
       CGAL_kernel_precondition( o != COLLINEAR );
       if (o == COUNTERCLOCKWISE)
-	return K().construct_direction_2_object()(-d.dy(), d.dx());
+        return K().construct_direction_2_object()(-d.dy(), d.dx());
       else
-	return K().construct_direction_2_object()(d.dy(), -d.dx());
+        return K().construct_direction_2_object()(d.dy(), -d.dx());
     }
   };
 
@@ -2978,11 +2978,11 @@ namespace CartesianKernelFunctors {
       return construct_point_2(x,y);
     }
 
-    const Point_2& 
+    const Point_2&
     operator()(const Point_2 & p) const
     { return p; }
 
-    const Point_2& 
+    const Point_2&
     operator()(const Weighted_point_2 & p) const
     { return p.rep().point(); }
 
@@ -3037,11 +3037,11 @@ namespace CartesianKernelFunctors {
     operator()(Return_base_tag, const RT& x, const RT& y, const RT& z, const RT& w) const
     { return Rep(x, y, z, w); }
 
-    const Point_3& 
+    const Point_3&
     operator()(const Point_3 & p) const
     { return p; }
 
-    const Point_3& 
+    const Point_3&
     operator()(const Weighted_point_3 & p) const
     { return p.rep().point(); }
 
@@ -3208,13 +3208,13 @@ namespace CartesianKernelFunctors {
     Point_3
     operator()( const Segment_3& s, const Point_3& p ) const
     { return CommonKernelFunctors::Construct_projected_point_3<K>()(p,s,K()); }
-    
+
     Point_3
     operator()( const Ray_3& r, const Point_3& p ) const
     { return CommonKernelFunctors::Construct_projected_point_3<K>()(p,r,K()); }
   };
 
-  template <class K> 
+  template <class K>
   class Construct_radical_line_2
   {
     typedef typename K::Line_2            Line_2;
@@ -3225,14 +3225,14 @@ namespace CartesianKernelFunctors {
 
     typedef Line_2 result_type;
 
-    result_type 
+    result_type
     operator() (const Circle_2 & c1, const Circle_2 & c2) const
-	  {
+          {
       // Concentric Circles don't have radical line
       CGAL_kernel_precondition (c1.center() != c2.center());
       const FT a = 2*(c2.center().x() - c1.center().x());
       const FT b = 2*(c2.center().y() - c1.center().y());
-      const FT c = CGAL::square(c1.center().x()) + 
+      const FT c = CGAL::square(c1.center().x()) +
         CGAL::square(c1.center().y()) - c1.squared_radius() -
         CGAL::square(c2.center().x()) -
         CGAL::square(c2.center().y()) + c2.squared_radius();
@@ -3240,7 +3240,7 @@ namespace CartesianKernelFunctors {
     }
   };
 
-  template <class K> 
+  template <class K>
   class Construct_radical_plane_3
   {
     typedef typename K::Plane_3            Plane_3;
@@ -3251,7 +3251,7 @@ namespace CartesianKernelFunctors {
 
     typedef Plane_3 result_type;
 
-    result_type 
+    result_type
     operator() (const Sphere_3 & s1, const Sphere_3 & s2) const
     {
       // Concentric Spheres don't have radical plane
@@ -3259,7 +3259,7 @@ namespace CartesianKernelFunctors {
       const FT a = 2*(s2.center().x() - s1.center().x());
       const FT b = 2*(s2.center().y() - s1.center().y());
       const FT c = 2*(s2.center().z() - s1.center().z());
-      const FT d = CGAL::square(s1.center().x()) + 
+      const FT d = CGAL::square(s1.center().x()) +
         CGAL::square(s1.center().y()) +
         CGAL::square(s1.center().z()) - s1.squared_radius() -
         CGAL::square(s2.center().x()) -
@@ -3593,7 +3593,7 @@ namespace CartesianKernelFunctors {
     struct result {
       typedef const Point_2& type;
     };
-    
+
     template<typename F>
     struct result<F(Iso_rectangle_2, int)> {
       typedef Point_2 type;
@@ -3647,13 +3647,13 @@ namespace CartesianKernelFunctors {
     operator()(const Point_3& p, const Point_3& q, const Point_3& r) const
     {
       return coplanar_orientationC3(p.x(), p.y(), p.z(),
-				    q.x(), q.y(), q.z(),
-				    r.x(), r.y(), r.z());
+                                    q.x(), q.y(), q.z(),
+                                    r.x(), r.y(), r.z());
     }
 
     result_type
     operator()( const Point_3& p, const Point_3& q,
-	        const Point_3& r, const Point_3& s) const
+                const Point_3& r, const Point_3& s) const
     {
       // p,q,r,s supposed to be coplanar
       // p,q,r supposed to be non collinear
@@ -3665,9 +3665,9 @@ namespace CartesianKernelFunctors {
       CGAL_kernel_exactness_precondition( ! cl(p, q, r) );
       CGAL_kernel_exactness_precondition( cp(p, q, r, s) );
       return coplanar_orientationC3(p.x(), p.y(), p.z(),
-				    q.x(), q.y(), q.z(),
-				    r.x(), r.y(), r.z(),
-				    s.x(), s.y(), s.z());
+                                    q.x(), q.y(), q.z(),
+                                    r.x(), r.y(), r.z(),
+                                    s.x(), s.y(), s.z());
     }
   };
 
@@ -3687,14 +3687,14 @@ namespace CartesianKernelFunctors {
 #ifdef CGAL_kernel_exactness_preconditions
     Coplanar_side_of_bounded_circle_3() {}
     Coplanar_side_of_bounded_circle_3(const Coplanar_3& cp_,
-				      const Collinear_3& cl_)
+                                      const Collinear_3& cl_)
       : cp(cp_), cl(cl_)
     {}
 #endif // CGAL_kernel_exactness_preconditions
 
     result_type
     operator()( const Point_3& p, const Point_3& q,
-	        const Point_3& r, const Point_3& t) const
+                const Point_3& r, const Point_3& t) const
     {
       // p,q,r,t are supposed to be coplanar.
       // p,q,r determine an orientation of this plane (not collinear).
@@ -3703,9 +3703,9 @@ namespace CartesianKernelFunctors {
       CGAL_kernel_exactness_precondition( cp(p,q,r,t) );
       CGAL_kernel_exactness_precondition( !cl(p,q,r) );
       return coplanar_side_of_bounded_circleC3(p.x(), p.y(), p.z(),
-					       q.x(), q.y(), q.z(),
-					       r.x(), r.y(), r.z(),
-					       t.x(), t.y(), t.z());
+                                               q.x(), q.y(), q.z(),
+                                               r.x(), r.y(), r.z(),
+                                               t.x(), t.y(), t.z());
     }
   };
 
@@ -3843,8 +3843,8 @@ namespace CartesianKernelFunctors {
 
     result_type
     operator()(const Sphere_3 &a, const Point_3 &p) const
-    { return a.rep().has_on(p); }    
-    
+    { return a.rep().has_on(p); }
+
     result_type
     operator()(const Plane_3 &a, const Circle_3 &p) const
     { return a.rep().has_on(p); }
@@ -3863,8 +3863,8 @@ namespace CartesianKernelFunctors {
     operator()(const Point_2& p, const Point_2& q, const Point_2& r) const
     {
       return has_smaller_dist_to_pointC2(p.x(), p.y(),
-					 q.x(), q.y(),
-					 r.x(), r.y());
+                                         q.x(), q.y(),
+                                         r.x(), r.y());
     }
   };
 
@@ -3879,8 +3879,8 @@ namespace CartesianKernelFunctors {
     operator()(const Point_3& p, const Point_3& q, const Point_3& r) const
     {
       return has_smaller_dist_to_pointC3(p.x(), p.y(), p.z(),
-					 q.x(), q.y(), q.z(),
-					 r.x(), r.y(), r.z());
+                                         q.x(), q.y(), q.z(),
+                                         r.x(), r.y(), r.z());
     }
   };
 
@@ -3901,17 +3901,17 @@ namespace CartesianKernelFunctors {
       CGAL_kernel_precondition_code(Equal_2 equal;)
       CGAL_kernel_precondition(! equal(a,b));
       return cmp_signed_dist_to_lineC2( a.x(), a.y(),
-					b.x(), b.y(),
-					c.x(), c.y(),
-					d.x(), d.y()) == SMALLER;
+                                        b.x(), b.y(),
+                                        c.x(), c.y(),
+                                        d.x(), d.y()) == SMALLER;
     }
 
     result_type
     operator()(const Line_2& l, const Point_2& p, const Point_2& q) const
     {
       return has_smaller_signed_dist_to_directionC2(l.a(), l.b(),
-						    p.x(), p.y(),
-						    q.x(), q.y());
+                                                    p.x(), p.y(),
+                                                    q.x(), q.y());
     }
   };
 
@@ -3928,21 +3928,21 @@ namespace CartesianKernelFunctors {
     operator()( const Plane_3& h, const Point_3& p, const Point_3& q) const
     {
       return has_smaller_signed_dist_to_directionC3(h.a(), h.b(), h.c(),
-						    p.x(), p.y(), p.z(),
-						    q.x(), q.y(), q.z());
+                                                    p.x(), p.y(), p.z(),
+                                                    q.x(), q.y(), q.z());
     }
 
     result_type
     operator()( const Point_3& hp, const Point_3& hq,  const Point_3& hr,
-		const Point_3& p, const Point_3& q) const
+                const Point_3& p, const Point_3& q) const
     {
       CGAL_kernel_precondition_code(Collinear_3 collinear_3;)
       CGAL_kernel_precondition(! collinear_3(hp, hq, hr));
       return has_smaller_signed_dist_to_planeC3(hp.x(), hp.y(), hp.z(),
-						hq.x(), hq.y(), hq.z(),
-						hr.x(), hr.y(), hr.z(),
-						p.x(),  p.y(),  p.z(),
-						q.x(),  q.y(),  q.z());;
+                                                hq.x(), hq.y(), hq.z(),
+                                                hr.x(), hr.y(), hr.z(),
+                                                p.x(),  p.y(),  p.z(),
+                                                q.x(),  q.y(),  q.z());;
     }
   };
 
@@ -4032,7 +4032,7 @@ namespace CartesianKernelFunctors {
     operator()( const Point_2& p, const Point_2& q) const
     {
       return compare_lexicographically_xyC2(p.y(), p.x(),
-					    q.y(), q.x()) == SMALLER;
+                                            q.y(), q.x()) == SMALLER;
     }
   };
 
@@ -4112,20 +4112,20 @@ namespace CartesianKernelFunctors {
 
     result_type
     operator()( const Point_3& p, const Point_3& q,
-	        const Point_3& r, const Point_3& s) const
+                const Point_3& r, const Point_3& s) const
     {
       return orientationC3(p.x(), p.y(), p.z(),
-			   q.x(), q.y(), q.z(),
-			   r.x(), r.y(), r.z(),
-			   s.x(), s.y(), s.z());
+                           q.x(), q.y(), q.z(),
+                           r.x(), r.y(), r.z(),
+                           s.x(), s.y(), s.z());
     }
 
     result_type
     operator()( const Vector_3& u, const Vector_3& v, const Vector_3& w) const
     {
       return orientationC3(u.x(), u.y(), u.z(),
-			   v.x(), v.y(), v.z(),
-			   w.x(), w.y(), w.z());
+                           v.x(), v.y(), v.z(),
+                           w.x(), w.y(), w.z());
     }
 
     result_type
@@ -4216,26 +4216,26 @@ namespace CartesianKernelFunctors {
     operator()( const Triangle_2& t, const Point_2& p) const
     {
       typename K::Collinear_are_ordered_along_line_2
-	collinear_are_ordered_along_line;
+        collinear_are_ordered_along_line;
       typename K::Orientation_2 orientation;
       // depends on the orientation of the vertices
       typename K::Orientation
                   o1 = orientation(t.vertex(0), t.vertex(1), p),
-	          o2 = orientation(t.vertex(1), t.vertex(2), p),
-	          o3 = orientation(t.vertex(2), t.vertex(3), p),
-	          ot = orientation(t.vertex(0), t.vertex(1), t.vertex(2));
+                  o2 = orientation(t.vertex(1), t.vertex(2), p),
+                  o3 = orientation(t.vertex(2), t.vertex(3), p),
+                  ot = orientation(t.vertex(0), t.vertex(1), t.vertex(2));
 
       if (o1 == ot && o2 == ot && o3 == ot) // ot cannot be COLLINEAR
-	return ot;
+        return ot;
       return
-	(o1 == COLLINEAR
-	 && collinear_are_ordered_along_line(t.vertex(0), p, t.vertex(1))) ||
-	(o2 == COLLINEAR
-	 && collinear_are_ordered_along_line(t.vertex(1), p, t.vertex(2))) ||
-	(o3 == COLLINEAR
-	 && collinear_are_ordered_along_line(t.vertex(2), p, t.vertex(3)))
-	? result_type(ON_ORIENTED_BOUNDARY)
-	: opposite(ot);
+        (o1 == COLLINEAR
+         && collinear_are_ordered_along_line(t.vertex(0), p, t.vertex(1))) ||
+        (o2 == COLLINEAR
+         && collinear_are_ordered_along_line(t.vertex(1), p, t.vertex(2))) ||
+        (o3 == COLLINEAR
+         && collinear_are_ordered_along_line(t.vertex(2), p, t.vertex(3)))
+        ? result_type(ON_ORIENTED_BOUNDARY)
+        : opposite(ot);
     }
   };
 
@@ -4250,16 +4250,16 @@ namespace CartesianKernelFunctors {
     operator()( const Point_2& p, const Point_2& q, const Point_2& t) const
     {
       return side_of_bounded_circleC2(p.x(), p.y(),
-				      q.x(), q.y(),
-				      t.x(), t.y());
+                                      q.x(), q.y(),
+                                      t.x(), t.y());
     }
 
     result_type
     operator()( const Point_2& p, const Point_2& q,
-	        const Point_2& r, const Point_2& t) const
+                const Point_2& r, const Point_2& t) const
     {
       return side_of_bounded_circleC2(p.x(), p.y(), q.x(), q.y(), r.x(), r.y(),
-				      t.x(), t.y());
+                                      t.x(), t.y());
     }
   };
 
@@ -4274,29 +4274,29 @@ namespace CartesianKernelFunctors {
     operator()( const Point_3& p, const Point_3& q, const Point_3& test) const
     {
       return side_of_bounded_sphereC3(p.x(), p.y(), p.z(),
-				      q.x(), q.y(), q.z(),
-				      test.x(), test.y(), test.z());
+                                      q.x(), q.y(), q.z(),
+                                      test.x(), test.y(), test.z());
     }
 
     result_type
     operator()( const Point_3& p, const Point_3& q,
-	        const Point_3& r, const Point_3& test) const
+                const Point_3& r, const Point_3& test) const
     {
       return side_of_bounded_sphereC3(p.x(), p.y(), p.z(),
-				      q.x(), q.y(), q.z(),
-				      r.x(), r.y(), r.z(),
-				      test.x(), test.y(), test.z());
+                                      q.x(), q.y(), q.z(),
+                                      r.x(), r.y(), r.z(),
+                                      test.x(), test.y(), test.z());
     }
 
     result_type
     operator()( const Point_3& p, const Point_3& q, const Point_3& r,
-	        const Point_3& s, const Point_3& test) const
+                const Point_3& s, const Point_3& test) const
     {
       return side_of_bounded_sphereC3(p.x(), p.y(), p.z(),
-				      q.x(), q.y(), q.z(),
-				      r.x(), r.y(), r.z(),
-				      s.x(), s.y(), s.z(),
-				      test.x(), test.y(), test.z());
+                                      q.x(), q.y(), q.z(),
+                                      r.x(), r.y(), r.z(),
+                                      s.x(), s.y(), s.z(),
+                                      test.x(), test.y(), test.z());
     }
   };
 
@@ -4309,12 +4309,12 @@ namespace CartesianKernelFunctors {
 
     result_type
     operator()( const Point_2& p, const Point_2& q,
-	        const Point_2& r, const Point_2& t) const
+                const Point_2& r, const Point_2& t) const
     {
       return side_of_oriented_circleC2(p.x(), p.y(),
-				       q.x(), q.y(),
-				       r.x(), r.y(),
-				       t.x(), t.y());
+                                       q.x(), q.y(),
+                                       r.x(), r.y(),
+                                       t.x(), t.y());
     }
   };
 
@@ -4327,13 +4327,13 @@ namespace CartesianKernelFunctors {
 
     result_type
     operator()( const Point_3& p, const Point_3& q, const Point_3& r,
-	        const Point_3& s, const Point_3& test) const
+                const Point_3& s, const Point_3& test) const
     {
       return side_of_oriented_sphereC3(p.x(), p.y(), p.z(),
-				       q.x(), q.y(), q.z(),
-				       r.x(), r.y(), r.z(),
-				       s.x(), s.y(), s.z(),
-				       test.x(), test.y(), test.z());
+                                       q.x(), q.y(), q.z(),
+                                       r.x(), r.y(), r.z(),
+                                       s.x(), s.y(), s.z(),
+                                       test.x(), test.y(), test.z());
     }
   };
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Iso_cuboid_3.h 5.0.3-1/include/CGAL/Cartesian/Iso_cuboid_3.h
--- 5.0.2-3/include/CGAL/Cartesian/Iso_cuboid_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Iso_cuboid_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Iso_cuboid_3.h $
-// $Id: Iso_cuboid_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Iso_cuboid_3.h $
+// $Id: Iso_cuboid_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann
 
@@ -62,7 +62,7 @@ public:
     if (p.z() < q.z()) { minz = p.z(); maxz = q.z(); }
     else               { minz = q.z(); maxz = p.z(); }
     base = Rep(CGAL::make_array(construct_point_3(minx, miny, minz),
-	                         construct_point_3(maxx, maxy, maxz)));
+                                 construct_point_3(maxx, maxy, maxz)));
   }
 
   Iso_cuboidC3(const Point_3 &left,   const Point_3 &right,
@@ -79,7 +79,7 @@ public:
   Iso_cuboidC3(const FT& min_x, const FT& min_y, const FT& min_z,
                const FT& max_x, const FT& max_y, const FT& max_z)
     : base(CGAL::make_array(Construct_point_3()(min_x, min_y, min_z),
-	                     Construct_point_3()(max_x, max_y, max_z)))
+                             Construct_point_3()(max_x, max_y, max_z)))
   {
     CGAL_kernel_precondition(min_x <= max_x);
     CGAL_kernel_precondition(min_y <= max_y);
@@ -87,12 +87,12 @@ public:
   }
 
   Iso_cuboidC3(const FT& min_hx, const FT& min_hy, const FT& min_hz,
-               const FT& max_hx, const FT& max_hy, const FT& max_hz, 
+               const FT& max_hx, const FT& max_hy, const FT& max_hz,
                const FT& hw)
   {
     if (hw == FT(1))
        base = Rep(CGAL::make_array(Construct_point_3()(min_hx, min_hy, min_hz),
-		                    Construct_point_3()(max_hx, max_hy, max_hz)));
+                                    Construct_point_3()(max_hx, max_hy, max_hz)));
     else
        base = Rep(CGAL::make_array(Construct_point_3()(min_hx/hw, min_hy/hw, min_hz/hw),
                                     Construct_point_3()(max_hx/hw, max_hy/hw, max_hz/hw)));
@@ -211,7 +211,7 @@ Iso_cuboidC3<R>::min_coord(int i) const
      return xmin();
   else if (i == 1)
      return ymin();
-  else 
+  else
      return zmin();
 }
 
@@ -225,7 +225,7 @@ Iso_cuboidC3<R>::max_coord(int i) const
      return xmax();
   else if (i == 1)
      return ymax();
-  else 
+  else
      return zmax();
 }
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Iso_rectangle_2.h 5.0.3-1/include/CGAL/Cartesian/Iso_rectangle_2.h
--- 5.0.2-3/include/CGAL/Cartesian/Iso_rectangle_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Iso_rectangle_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Iso_rectangle_2.h $
-// $Id: Iso_rectangle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Iso_rectangle_2.h $
+// $Id: Iso_rectangle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Line_2.h 5.0.3-1/include/CGAL/Cartesian/Line_2.h
--- 5.0.2-3/include/CGAL/Cartesian/Line_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Line_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Line_2.h $
-// $Id: Line_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Line_2.h $
+// $Id: Line_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Herve Bronnimann
 
@@ -47,7 +47,7 @@ public:
 
   LineC2(const FT &a, const FT &b, const FT &c)
     : base(CGAL::make_array(a, b, c)) {}
-  
+
   typename R_::Boolean   operator==(const LineC2 &l) const;
   typename R_::Boolean   operator!=(const LineC2 &l) const;
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Line_3.h 5.0.3-1/include/CGAL/Cartesian/Line_3.h
--- 5.0.2-3/include/CGAL/Cartesian/Line_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Line_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Line_3.h $
-// $Id: Line_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Line_3.h $
+// $Id: Line_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/line_constructions_2.h 5.0.3-1/include/CGAL/Cartesian/line_constructions_2.h
--- 5.0.2-3/include/CGAL/Cartesian/line_constructions_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/line_constructions_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/line_constructions_2.h $
-// $Id: line_constructions_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/line_constructions_2.h $
+// $Id: line_constructions_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/MatrixC33.h 5.0.3-1/include/CGAL/Cartesian/MatrixC33.h
--- 5.0.2-3/include/CGAL/Cartesian/MatrixC33.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/MatrixC33.h	2020-08-01 19:02:55.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Cartesian/MatrixC33.h $
-// $Id: MatrixC33.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Cartesian/MatrixC33.h $
+// $Id: MatrixC33.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -24,12 +24,12 @@
 namespace CGAL {
 
 template <class R_>
-class MatrixC33 
+class MatrixC33
 {
 public:
-  
+
   typedef R_ R ;
-  
+
   typedef typename R::FT       RT ;
   typedef typename R::Vector_3 Vector_3;
 
@@ -39,7 +39,7 @@ public:
    ,mR1(NULL_VECTOR)
    ,mR2(NULL_VECTOR)
   {}
-  
+
   MatrixC33 ( RT const& r0x, RT const& r0y, RT const& r0z
             , RT const& r1x, RT const& r1y, RT const& r1z
             , RT const& r2x, RT const& r2y, RT const& r2z
@@ -49,25 +49,25 @@ public:
     ,mR1(r1x,r1y,r1z)
     ,mR2(r2x,r2y,r2z)
   {}
-  
+
   MatrixC33 ( Vector_3 const& r0, Vector_3 const& r1, Vector_3 const& r2 )
     :
      mR0(r0)
     ,mR1(r1)
     ,mR2(r2)
   {}
-  
+
   Vector_3 const& r0() const { return mR0; }
   Vector_3 const& r1() const { return mR1; }
   Vector_3 const& r2() const { return mR2; }
-  
+
   Vector_3& r0() { return mR0; }
   Vector_3& r1() { return mR1; }
   Vector_3& r2() { return mR2; }
 
-  Vector_3 const& operator[] ( int row ) const { return row == 0 ? mR0 : ( row == 1 ? mR1 : mR2 ) ; }  
-  Vector_3&       operator[] ( int row )       { return row == 0 ? mR0 : ( row == 1 ? mR1 : mR2 ) ; }  
-  
+  Vector_3 const& operator[] ( int row ) const { return row == 0 ? mR0 : ( row == 1 ? mR1 : mR2 ) ; }
+  Vector_3&       operator[] ( int row )       { return row == 0 ? mR0 : ( row == 1 ? mR1 : mR2 ) ; }
+
   MatrixC33& operator+= ( MatrixC33 const& m )
   {
     mR0 = mR0 + m.r0() ;
@@ -75,7 +75,7 @@ public:
     mR2 = mR2 + m.r2() ;
     return *this ;
   }
-  
+
   MatrixC33& operator-= ( MatrixC33 const& m )
   {
     mR0 = mR0 - m.r0() ;
@@ -83,7 +83,7 @@ public:
     mR2 = mR2 - m.r2() ;
     return *this ;
   }
-    
+
   MatrixC33& operator*= ( RT const& c )
   {
     mR0 = mR0 * c ;
@@ -91,7 +91,7 @@ public:
     mR2 = mR2 * c ;
     return *this ;
   }
-  
+
   MatrixC33& operator/= ( RT const& c )
   {
     mR0 = mR0 / c ;
@@ -99,7 +99,7 @@ public:
     mR2 = mR2 / c ;
     return *this ;
   }
-  
+
   friend MatrixC33 operator+ ( MatrixC33 const& a, MatrixC33 const& b )
   {
     return MatrixC33(a.r0()+b.r0()
@@ -107,7 +107,7 @@ public:
                     ,a.r2()+b.r2()
                     );
   }
-  
+
   friend MatrixC33 operator- ( MatrixC33 const& a, MatrixC33 const& b )
   {
     return MatrixC33(a.r0()-b.r0()
@@ -115,7 +115,7 @@ public:
                     ,a.r2()-b.r2()
                     );
   }
-  
+
   friend MatrixC33 operator* ( MatrixC33 const& m, RT const& c )
   {
     return MatrixC33(m.r0()*c,m.r1()*c,m.r2()*c);
@@ -124,12 +124,12 @@ public:
   {
     return MatrixC33(m.r0()*c,m.r1()*c,m.r2()*c);
   }
-  
+
   friend MatrixC33 operator/ ( MatrixC33 const& m, RT const& c )
   {
     return MatrixC33(m.r0()/c,m.r1()/c,m.r2()/c);
   }
-  
+
   friend Vector_3 operator* ( MatrixC33 const& m, Vector_3 const& v )
   {
     return Vector_3(m.r0()*v,m.r1()*v,m.r2()*v);
@@ -138,7 +138,7 @@ public:
   {
     return Vector_3(v*m.r0(),v*m.r1(),v*m.r2());
   }
- 
+
   RT determinant() const
   {
     return CGAL::determinant(r0().x(),r0().y(),r0().z()
@@ -146,15 +146,15 @@ public:
                             ,r2().x(),r2().y(),r2().z()
                             );
   }
-  
+
   MatrixC33& transpose()
   {
     mR0 = Vector_3(r0().x(),r1().x(),r2().x());
-    mR1 = Vector_3(r0().y(),r1().y(),r2().y()); 
+    mR1 = Vector_3(r0().y(),r1().y(),r2().y());
     mR2 = Vector_3(r0().z(),r1().z(),r2().z());
     return *this ;
   }
-    
+
 private:
 
   Vector_3 mR0 ;
@@ -184,19 +184,19 @@ template<class R>
 MatrixC33<R> cofactors_matrix ( MatrixC33<R> const& m )
 {
   typedef typename R::RT RT ;
-  
+
   RT c00 =  determinant(m.r1().y(),m.r1().z(),m.r2().y(),m.r2().z());
   RT c01 = -determinant(m.r1().x(),m.r1().z(),m.r2().x(),m.r2().z());
   RT c02 =  determinant(m.r1().x(),m.r1().y(),m.r2().x(),m.r2().y());
-  
+
   RT c10 = -determinant(m.r0().y(),m.r0().z(),m.r2().y(),m.r2().z());
   RT c11 =  determinant(m.r0().x(),m.r0().z(),m.r2().x(),m.r2().z());
   RT c12 = -determinant(m.r0().x(),m.r0().y(),m.r2().x(),m.r2().y());
-  
+
   RT c20 =  determinant(m.r0().y(),m.r0().z(),m.r1().y(),m.r1().z());
   RT c21 = -determinant(m.r0().x(),m.r0().z(),m.r1().x(),m.r1().z());
   RT c22 =  determinant(m.r0().x(),m.r0().y(),m.r1().x(),m.r1().y());
-  
+
   return MatrixC33<R>(c00,c01,c02
                      ,c10,c11,c12
                      ,c20,c21,c22
@@ -213,36 +213,36 @@ template<class R>
 boost::optional< MatrixC33<R> > inverse_matrix ( MatrixC33<R> const& m )
 {
   typedef typename R::RT RT ;
-  
+
   typedef MatrixC33<R> Matrix ;
-  
+
   typedef boost::optional<Matrix> result_type ;
-   
+
   result_type rInverse ;
-  
+
   RT det = m.determinant();
-  
+
   if ( ! CGAL_NTS is_zero(det) )
   {
-    RT c00 = (m.r1().y()*m.r2().z() - m.r1().z()*m.r2().y()) / det; 
+    RT c00 = (m.r1().y()*m.r2().z() - m.r1().z()*m.r2().y()) / det;
     RT c01 = (m.r2().y()*m.r0().z() - m.r0().y()*m.r2().z()) / det;
-    RT c02 = (m.r0().y()*m.r1().z() - m.r1().y()*m.r0().z()) / det; 
-  
-    RT c10 = (m.r1().z()*m.r2().x() - m.r1().x()*m.r2().z()) / det; 
-    RT c11 = (m.r0().x()*m.r2().z() - m.r2().x()*m.r0().z()) / det; 
-    RT c12 = (m.r1().x()*m.r0().z() - m.r0().x()*m.r1().z()) / det; 
-  
-    RT c20 = (m.r1().x()*m.r2().y() - m.r2().x()*m.r1().y()) / det; 
-    RT c21 = (m.r2().x()*m.r0().y() - m.r0().x()*m.r2().y()) / det; 
-    RT c22 = (m.r0().x()*m.r1().y() - m.r0().y()*m.r1().x()) / det; 
-    
+    RT c02 = (m.r0().y()*m.r1().z() - m.r1().y()*m.r0().z()) / det;
+
+    RT c10 = (m.r1().z()*m.r2().x() - m.r1().x()*m.r2().z()) / det;
+    RT c11 = (m.r0().x()*m.r2().z() - m.r2().x()*m.r0().z()) / det;
+    RT c12 = (m.r1().x()*m.r0().z() - m.r0().x()*m.r1().z()) / det;
+
+    RT c20 = (m.r1().x()*m.r2().y() - m.r2().x()*m.r1().y()) / det;
+    RT c21 = (m.r2().x()*m.r0().y() - m.r0().x()*m.r2().y()) / det;
+    RT c22 = (m.r0().x()*m.r1().y() - m.r0().y()*m.r1().x()) / det;
+
     rInverse = result_type( Matrix(c00,c01,c02
                                   ,c10,c11,c12
                                   ,c20,c21,c22
                                   )
                           ) ;
   }
-  
+
   return rInverse ;
 }
 
@@ -250,5 +250,5 @@ boost::optional< MatrixC33<R> > inverse_
 
 #endif // CGAL_CARTESIAN_MATRIXC33_H //
 // EOF //
- 
- 
+
+
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Plane_3.h 5.0.3-1/include/CGAL/Cartesian/Plane_3.h
--- 5.0.2-3/include/CGAL/Cartesian/Plane_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Plane_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Plane_3.h $
-// $Id: Plane_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Plane_3.h $
+// $Id: Plane_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
@@ -65,8 +65,8 @@ public:
 
   PlaneC3(const Line_3 &l, const Point_3 &p)
   { *this = plane_from_points<R>(l.point(),
-	                      l.point()+l.direction().to_vector(),
-			      p); }
+                              l.point()+l.direction().to_vector(),
+                              p); }
 
   PlaneC3(const Segment_3 &s, const Point_3 &p)
   { *this = plane_from_points<R>(s.start(), s.end(), p); }
@@ -216,7 +216,7 @@ to_plane_basis(const typename PlaneC3<R>
   FT alpha, beta, gamma;
   Construct_point_3 construct_point_3;
   Cartesian_internal::solve(base1(), base2(), orthogonal_vector(), p - point(),
-	alpha, beta, gamma);
+        alpha, beta, gamma);
 
   return construct_point_3(alpha, beta, gamma);
 }
@@ -230,7 +230,7 @@ to_2d(const typename PlaneC3<R>::Point_3
   Construct_point_2 construct_point_2;
 
   Cartesian_internal::solve(base1(), base2(), orthogonal_vector(), p - point(),
-	alpha, beta, gamma);
+        alpha, beta, gamma);
 
   return construct_point_2(alpha, beta);
 }
diff -pruN 5.0.2-3/include/CGAL/Cartesian/plane_constructions_3.h 5.0.3-1/include/CGAL/Cartesian/plane_constructions_3.h
--- 5.0.2-3/include/CGAL/Cartesian/plane_constructions_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/plane_constructions_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/plane_constructions_3.h $
-// $Id: plane_constructions_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/plane_constructions_3.h $
+// $Id: plane_constructions_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann, Sylvain Pion
 
@@ -31,7 +31,7 @@ CGAL_KERNEL_LARGE_INLINE
 PlaneC3<R>
 plane_from_points(const typename R::Point_3 &p,
                   const typename R::Point_3 &q,
-		  const typename R::Point_3 &r)
+                  const typename R::Point_3 &r)
 {
   typename R::FT a, b, c, d;
   plane_from_pointsC3(p.x(), p.y(), p.z(),
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Point_2.h 5.0.3-1/include/CGAL/Cartesian/Point_2.h
--- 5.0.2-3/include/CGAL/Cartesian/Point_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Point_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Point_2.h $
-// $Id: Point_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Point_2.h $
+// $Id: Point_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Herve Bronnimann
 
@@ -36,7 +36,7 @@ class PointC2
 public:
 
   typedef typename Vector_2_::Cartesian_const_iterator Cartesian_const_iterator;
-  
+
   typedef R_                                R;
 
   PointC2() {}
@@ -54,7 +54,7 @@ public:
   {
       return base.x();
   }
-  
+
   const FT& y() const
   {
       return base.y();
@@ -73,14 +73,14 @@ public:
       return base.hw();
   }
 
-  Cartesian_const_iterator cartesian_begin() const 
+  Cartesian_const_iterator cartesian_begin() const
   {
-    return base.cartesian_begin(); 
+    return base.cartesian_begin();
   }
 
-  Cartesian_const_iterator cartesian_end() const 
+  Cartesian_const_iterator cartesian_end() const
   {
-    return base.cartesian_end(); 
+    return base.cartesian_end();
   }
 
   typename R_::Boolean   operator==(const PointC2 &p) const
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Point_3.h 5.0.3-1/include/CGAL/Cartesian/Point_3.h
--- 5.0.2-3/include/CGAL/Cartesian/Point_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Point_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Point_3.h $
-// $Id: Point_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Point_3.h $
+// $Id: Point_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri and Herve Bronnimann
 
@@ -81,12 +81,12 @@ public:
   const FT & operator[](int i) const;
   const FT & homogeneous(int i) const;
 
-  Cartesian_const_iterator cartesian_begin() const 
+  Cartesian_const_iterator cartesian_begin() const
   {
-    return base.cartesian_begin(); 
+    return base.cartesian_begin();
   }
 
-  Cartesian_const_iterator cartesian_end() const 
+  Cartesian_const_iterator cartesian_end() const
   {
     return base.cartesian_end();
   }
diff -pruN 5.0.2-3/include/CGAL/Cartesian/point_constructions_2.h 5.0.3-1/include/CGAL/Cartesian/point_constructions_2.h
--- 5.0.2-3/include/CGAL/Cartesian/point_constructions_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/point_constructions_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/point_constructions_2.h $
-// $Id: point_constructions_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/point_constructions_2.h $
+// $Id: point_constructions_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/point_constructions_3.h 5.0.3-1/include/CGAL/Cartesian/point_constructions_3.h
--- 5.0.2-3/include/CGAL/Cartesian/point_constructions_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/point_constructions_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/point_constructions_3.h $
-// $Id: point_constructions_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/point_constructions_3.h $
+// $Id: point_constructions_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/predicates_on_directions_2.h 5.0.3-1/include/CGAL/Cartesian/predicates_on_directions_2.h
--- 5.0.2-3/include/CGAL/Cartesian/predicates_on_directions_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/predicates_on_directions_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/predicates_on_directions_2.h $
-// $Id: predicates_on_directions_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/predicates_on_directions_2.h $
+// $Id: predicates_on_directions_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/predicates_on_planes_3.h 5.0.3-1/include/CGAL/Cartesian/predicates_on_planes_3.h
--- 5.0.2-3/include/CGAL/Cartesian/predicates_on_planes_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/predicates_on_planes_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/predicates_on_planes_3.h $
-// $Id: predicates_on_planes_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/predicates_on_planes_3.h $
+// $Id: predicates_on_planes_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Herve Bronnimann
 
@@ -26,18 +26,18 @@ inline
 typename K::Oriented_side
 side_of_oriented_plane(const PlaneC3<K> &h,
                        const PointC3<K> &p)
-{ 
+{
   return side_of_oriented_planeC3(h.a(), h.b(), h.c(), h.d(),
-	                          p.x(), p.y(), p.z());
+                                  p.x(), p.y(), p.z());
 }
 
 template < class K >
 inline
 typename K::Boolean
 equal_plane(const PlaneC3<K> &h, const PlaneC3<K> &p)
-{ 
+{
   return equal_planeC3(h.a(), h.b(), h.c(), h.d(),
-	               p.a(), p.b(), p.c(), p.d());
+                       p.a(), p.b(), p.c(), p.d());
 }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Cartesian/predicates_on_points_2.h 5.0.3-1/include/CGAL/Cartesian/predicates_on_points_2.h
--- 5.0.2-3/include/CGAL/Cartesian/predicates_on_points_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/predicates_on_points_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/predicates_on_points_2.h $
-// $Id: predicates_on_points_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/predicates_on_points_2.h $
+// $Id: predicates_on_points_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/predicates_on_points_3.h 5.0.3-1/include/CGAL/Cartesian/predicates_on_points_3.h
--- 5.0.2-3/include/CGAL/Cartesian/predicates_on_points_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/predicates_on_points_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/predicates_on_points_3.h $
-// $Id: predicates_on_points_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/predicates_on_points_3.h $
+// $Id: predicates_on_points_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Herve Bronnimann
 
@@ -57,18 +57,18 @@ compare_lexicographically_xy(const Point
 template < class K >
 inline
 bool
-lexicographically_xy_smaller_or_equal(const PointC3<K> &p, 
-				      const PointC3<K> &q)
-{ 
+lexicographically_xy_smaller_or_equal(const PointC3<K> &p,
+                                      const PointC3<K> &q)
+{
   return compare_lexicographically_xy(p, q) != LARGER;
 }
 
 template < class K >
 inline
 bool
-lexicographically_xy_smaller(const PointC3<K> &p, 
-			     const PointC3<K> &q)
-{ 
+lexicographically_xy_smaller(const PointC3<K> &p,
+                             const PointC3<K> &q)
+{
   return K().less_xy_3_object()(p, q);
 }
 
@@ -76,20 +76,20 @@ template < class K >
 inline
 bool
 strict_dominance(const PointC3<K> &p,
-		 const PointC3<K> &q)
+                 const PointC3<K> &q)
 {
   return strict_dominanceC3(p.x(), p.y(), p.z(),
-			    q.x(), q.y(), q.z());
+                            q.x(), q.y(), q.z());
 }
 
 template < class K >
 inline
 bool
 dominance(const PointC3<K> &p,
-	  const PointC3<K> &q)
+          const PointC3<K> &q)
 {
   return dominanceC3(p.x(), p.y(), p.z(),
-		     q.x(), q.y(), q.z());
+                     q.x(), q.y(), q.z());
 }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Ray_2.h 5.0.3-1/include/CGAL/Cartesian/Ray_2.h
--- 5.0.2-3/include/CGAL/Cartesian/Ray_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Ray_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Ray_2.h $
-// $Id: Ray_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Ray_2.h $
+// $Id: Ray_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Herve Bronnimann
 
@@ -36,11 +36,11 @@ class RayC2
 public:
   typedef R_                                     R;
 
-  RayC2() 
+  RayC2()
   {}
 
   RayC2(const Point_2 &sp, const Point_2 &secondp)
-    : base(CGAL::make_array(sp, secondp)) 
+    : base(CGAL::make_array(sp, secondp))
   {}
 
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Ray_3.h 5.0.3-1/include/CGAL/Cartesian/Ray_3.h
--- 5.0.2-3/include/CGAL/Cartesian/Ray_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Ray_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Ray_3.h $
-// $Id: Ray_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Ray_3.h $
+// $Id: Ray_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
@@ -83,7 +83,7 @@ typename R::Boolean
 RayC3<R>::operator==(const RayC3<R> &r) const
 {
     if (CGAL::identical(base, r.base))
-	return true;
+        return true;
     return source() == r.source() && direction() == r.direction();
 }
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Reflection_rep_2.h 5.0.3-1/include/CGAL/Cartesian/Reflection_rep_2.h
--- 5.0.2-3/include/CGAL/Cartesian/Reflection_rep_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Reflection_rep_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2018  
+// Copyright (c) 2018
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Reflection_rep_2.h $
-// $Id: Reflection_rep_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Reflection_rep_2.h $
+// $Id: Reflection_rep_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Maxime Gimeno
 
@@ -43,13 +43,13 @@ typedef typename CGAL::Line_2<R>
 
   Reflection_repC2(const Line_2 &l)
   {
-    if(l.a() == 0) 
+    if(l.a() == 0)
       t = -Vector_2(0, l.c()/l.b());
     else
       t = -Vector_2(l.c()/l.a(),0);
-    
+
     Vector_2 l_to_v = l.to_vector();
-    FT scal = l_to_v.x(); //Projection of l_to_v on Ox. = |L|*cos(a) 
+    FT scal = l_to_v.x(); //Projection of l_to_v on Ox. = |L|*cos(a)
     FT det = l_to_v.y();// = |L|*sin(a)
     sinus_ = 2*det*scal/l_to_v.squared_length(); //sin(2a) = 2*sin(a)*cos(a)
     FT sq_cos = scal*scal/l_to_v.squared_length(); //cos(a)*cos(a)
@@ -75,7 +75,7 @@ typedef typename CGAL::Line_2<R>
 
   Direction_2  transform(const Direction_2 &d) const
   {
-    
+
     return transform(d.vector()).direction();
   }
 
@@ -83,7 +83,7 @@ typedef typename CGAL::Line_2<R>
   {
     return t.compose(*this);
   }
-  
+
   Aff_transformation_2 compose(const Translation &tr) const
   {
     return Aff_transformation_2(cosinus_, sinus_, t13()+tr.translationvector_.x(),
@@ -110,7 +110,7 @@ typedef typename CGAL::Line_2<R>
           tr.t21*sinus_-tr.t22*cosinus_,
           tr.t21*t13()+tr.t22*t23()+tr.t23);
   }
-  
+
   Aff_transformation_2 compose(const Rotation &r) const
   {
     return Aff_transformation_2(
@@ -123,19 +123,19 @@ typedef typename CGAL::Line_2<R>
           r.sinus_*t13()
           +r.cosinus_*t23());
   }
-  
+
   Aff_transformation_2 compose(const Reflection &r) const
   {
     return Aff_transformation_2(
-          cosinus_*r.cosinus_+sinus_*r.sinus_, 
-          r.cosinus_*sinus_-r.sinus_*cosinus_, 
+          cosinus_*r.cosinus_+sinus_*r.sinus_,
+          r.cosinus_*sinus_-r.sinus_*cosinus_,
           r.cosinus_*(t13()-r.t.x()) + r.sinus_*(t23()-r.t.y())+r.t.x(),
-          
-          r.sinus_*cosinus_ - r.cosinus_*sinus_, 
-          r.sinus_*sinus_+r.cosinus_*cosinus_, 
+
+          r.sinus_*cosinus_ - r.cosinus_*sinus_,
+          r.sinus_*sinus_+r.cosinus_*cosinus_,
           r.sinus_*(t13()-r.t.x()) -r.cosinus_*(t23()-r.t.y())+r.t.y());
   }
-  
+
   Aff_transformation_2  inverse() const
   {
     return Aff_transformation_2(cartesian(0,0), cartesian(0,1), cartesian(0,2),
@@ -178,7 +178,7 @@ typedef typename CGAL::Line_2<R>
     os << "Aff_transformationC2(" << sinus_ << ", " << cosinus_ <<  "; "<< t <<")";
     return os;
   }
-  
+
   //convevience functions for composition
   FT t13()const
   {
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Rotation_rep_2.h 5.0.3-1/include/CGAL/Cartesian/Rotation_rep_2.h
--- 5.0.2-3/include/CGAL/Cartesian/Rotation_rep_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Rotation_rep_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Rotation_rep_2.h $
-// $Id: Rotation_rep_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Rotation_rep_2.h $
+// $Id: Rotation_rep_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Herve Bronnimann
 
@@ -122,10 +122,10 @@ public:
   Aff_transformation_2 compose(const Reflection &r) const
   {
     return Aff_transformation_2(
-          r.cosinus_*cosinus_+r.sinus_*sinus_, 
-          -r.cosinus_*sinus_+r.sinus_*cosinus_, 
+          r.cosinus_*cosinus_+r.sinus_*sinus_,
+          -r.cosinus_*sinus_+r.sinus_*cosinus_,
           r.t13(),
-          r.sinus_*cosinus_-r.cosinus_*sinus_, 
+          r.sinus_*cosinus_-r.cosinus_*sinus_,
           -r.sinus_*sinus_-r.cosinus_*cosinus_
           , r.t23());
   }
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Scaling_rep_2.h 5.0.3-1/include/CGAL/Cartesian/Scaling_rep_2.h
--- 5.0.2-3/include/CGAL/Cartesian/Scaling_rep_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Scaling_rep_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Scaling_rep_2.h $
-// $Id: Scaling_rep_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Scaling_rep_2.h $
+// $Id: Scaling_rep_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann
 
@@ -94,7 +94,7 @@ public:
     return Aff_transformation_2(scalefactor_*r.cosinus_, scalefactor_*r.sinus_,-r.cosinus_*r.t.x()-r.sinus_*r.t.y()+r.t.x(),
                                 scalefactor_*r.sinus_, -scalefactor_*r.cosinus_, -r.sinus_*r.t.x()+r.cosinus_*r.t.y()-r.t.y());
   }
-  
+
   Aff_transformation_2 compose(const Scaling &t) const
   {
     return Aff_transformation_2(SCALING, scalefactor_*t.scalefactor_);
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Scaling_rep_3.h 5.0.3-1/include/CGAL/Cartesian/Scaling_rep_3.h
--- 5.0.2-3/include/CGAL/Cartesian/Scaling_rep_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Scaling_rep_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Scaling_rep_3.h $
-// $Id: Scaling_rep_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Scaling_rep_3.h $
+// $Id: Scaling_rep_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann
 
@@ -35,7 +35,7 @@ public:
   typedef typename Transformation_base_3::Vector_3      Vector_3;
   typedef typename Transformation_base_3::Direction_3   Direction_3;
   typedef typename Transformation_base_3::Aff_transformation_3
-	                                                Aff_transformation_3;
+                                                        Aff_transformation_3;
 
   Scaling_repC3() {}
   Scaling_repC3(const FT &s) : scalefactor_(s) {}
@@ -70,12 +70,12 @@ public:
                                 scalefactor_ * t.t12,
                                 scalefactor_ * t.t13,
                                 t.t14,
-				
+
                                 scalefactor_ * t.t21,
                                 scalefactor_ * t.t22,
                                 scalefactor_ * t.t23,
                                 t.t24,
-				
+
                                 scalefactor_ * t.t31,
                                 scalefactor_ * t.t32,
                                 scalefactor_ * t.t33,
@@ -88,17 +88,17 @@ public:
     return Aff_transformation_3(scalefactor_,
                                 ft0,
                                 ft0,
-				t.translationvector_.x(),
-				
+                                t.translationvector_.x(),
+
                                 ft0,
-				scalefactor_,
+                                scalefactor_,
                                 ft0,
-				t.translationvector_.y(),
-				
+                                t.translationvector_.y(),
+
                                 ft0,
                                 ft0,
-				scalefactor_,
-				t.translationvector_.z());
+                                scalefactor_,
+                                t.translationvector_.z());
   }
 
   virtual Aff_transformation_3 compose(const Scaling_3 &t) const
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Segment_2.h 5.0.3-1/include/CGAL/Cartesian/Segment_2.h
--- 5.0.2-3/include/CGAL/Cartesian/Segment_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Segment_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Segment_2.h $
-// $Id: Segment_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Segment_2.h $
+// $Id: Segment_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Herve Bronnimann
 
@@ -35,20 +35,20 @@ class SegmentC2
 public:
   typedef R_                                     R;
 
-  SegmentC2() 
+  SegmentC2()
   {}
 
   SegmentC2(const Point_2 &sp, const Point_2 &ep)
     : base(CGAL::make_array(sp, ep))
   {}
 
-  const Point_2 &   
+  const Point_2 &
   source() const
   {
       return get_pointee_or_identity(base)[0];
   }
-  
-  const Point_2 &   
+
+  const Point_2 &
   target() const
   {
       return get_pointee_or_identity(base)[1];
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Segment_3.h 5.0.3-1/include/CGAL/Cartesian/Segment_3.h
--- 5.0.2-3/include/CGAL/Cartesian/Segment_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Segment_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Segment_3.h $
-// $Id: Segment_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Segment_3.h $
+// $Id: Segment_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/solve_3.h 5.0.3-1/include/CGAL/Cartesian/solve_3.h
--- 5.0.2-3/include/CGAL/Cartesian/solve_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/solve_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/solve_3.h $
-// $Id: solve_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/solve_3.h $
+// $Id: solve_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Sphere_3.h 5.0.3-1/include/CGAL/Cartesian/Sphere_3.h
--- 5.0.2-3/include/CGAL/Cartesian/Sphere_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Sphere_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Sphere_3.h $
-// $Id: Sphere_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Sphere_3.h $
+// $Id: Sphere_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann
 
@@ -66,7 +66,7 @@ public:
 
   // Sphere with great circle passing through p,q,r, oriented by o
   SphereC3(const Point_3_ &p, const Point_3_ &q, const Point_3_ &r,
-	   const Orientation &o = COUNTERCLOCKWISE)
+           const Orientation &o = COUNTERCLOCKWISE)
   {
     CGAL_kernel_precondition(o != COLLINEAR);
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Tetrahedron_3.h 5.0.3-1/include/CGAL/Cartesian/Tetrahedron_3.h
--- 5.0.2-3/include/CGAL/Cartesian/Tetrahedron_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Tetrahedron_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Tetrahedron_3.h $
-// $Id: Tetrahedron_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Tetrahedron_3.h $
+// $Id: Tetrahedron_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Translation_rep_2.h 5.0.3-1/include/CGAL/Cartesian/Translation_rep_2.h
--- 5.0.2-3/include/CGAL/Cartesian/Translation_rep_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Translation_rep_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Translation_rep_2.h $
-// $Id: Translation_rep_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Translation_rep_2.h $
+// $Id: Translation_rep_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Herve Bronnimann
 
@@ -50,9 +50,9 @@ public:
   {}
 
   Point_2     transform(const Point_2 &p) const
-  { 
+  {
     typename R::Construct_translated_point_2 translated_point;
-    return translated_point(p, translationvector_); 
+    return translated_point(p, translationvector_);
   }
 
   Vector_2    transform(const Vector_2 &v) const { return v; }
@@ -107,10 +107,10 @@ public:
                                 + t.t22*translationvector_.y()
                                 + t.t23);
   }
-  
+
   Aff_transformation_2 compose(const Reflection &r) const
   {
-    return Aff_transformation_2(r.cosinus_, r.sinus_, 
+    return Aff_transformation_2(r.cosinus_, r.sinus_,
                                 r.cosinus_*(translationvector_.x()-r.t.x())+r.sinus_*(translationvector_.y() - r.t.y()) +r.t.x(),
                                 r.sinus_, -r.cosinus_,
                                 r.sinus_*(translationvector_.x()-r.t.x())-r.cosinus_*(translationvector_.y() - r.t.y())+r.t.y());
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Translation_rep_3.h 5.0.3-1/include/CGAL/Cartesian/Translation_rep_3.h
--- 5.0.2-3/include/CGAL/Cartesian/Translation_rep_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Translation_rep_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Translation_rep_3.h $
-// $Id: Translation_rep_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Translation_rep_3.h $
+// $Id: Translation_rep_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann
 
@@ -35,7 +35,7 @@ public:
   typedef typename Transformation_base_3::Vector_3      Vector_3;
   typedef typename Transformation_base_3::Direction_3   Direction_3;
   typedef typename Transformation_base_3::Aff_transformation_3
-	                                                Aff_transformation_3;
+                                                        Aff_transformation_3;
 
   Translation_repC3() {}
   Translation_repC3(const Vector_3 &tv) : translationvector_(tv) {}
@@ -65,24 +65,24 @@ public:
   {
     return Aff_transformation_3(t.t11,
                                 t.t12,
-				t.t13,
-				t.t11 * translationvector_.x()
-				+ t.t12 * translationvector_.y()
-				+ t.t13 * translationvector_.z() + t.t14,
-				
-				t.t21,
+                                t.t13,
+                                t.t11 * translationvector_.x()
+                                + t.t12 * translationvector_.y()
+                                + t.t13 * translationvector_.z() + t.t14,
+
+                                t.t21,
                                 t.t22,
-				t.t23,
-				t.t21 * translationvector_.x()
-				+ t.t22 * translationvector_.y()
-				+ t.t23 * translationvector_.z() + t.t24,
-				
-				t.t31,
+                                t.t23,
+                                t.t21 * translationvector_.x()
+                                + t.t22 * translationvector_.y()
+                                + t.t23 * translationvector_.z() + t.t24,
+
+                                t.t31,
                                 t.t32,
-				t.t33,
-				t.t31 * translationvector_.x()
-				+ t.t32 * translationvector_.y()
-				+ t.t33 * translationvector_.z() + t.t34);
+                                t.t33,
+                                t.t31 * translationvector_.x()
+                                + t.t32 * translationvector_.y()
+                                + t.t33 * translationvector_.z() + t.t34);
   }
 
   virtual Aff_transformation_3 compose(const Translation_3 &t) const
@@ -96,18 +96,18 @@ public:
     FT ft0(0);
     return Aff_transformation_3(t.scalefactor_,
                                 ft0,
-				ft0,
-				t.scalefactor_ * translationvector_.x(),
-				
-				ft0,
+                                ft0,
+                                t.scalefactor_ * translationvector_.x(),
+
+                                ft0,
                                 t.scalefactor_,
-				ft0,
-				t.scalefactor_ * translationvector_.y(),
-				
-				ft0,
                                 ft0,
-				t.scalefactor_,
-				t.scalefactor_ * translationvector_.z());
+                                t.scalefactor_ * translationvector_.y(),
+
+                                ft0,
+                                ft0,
+                                t.scalefactor_,
+                                t.scalefactor_ * translationvector_.z());
   }
 
   virtual Aff_transformation_3 inverse() const
@@ -119,7 +119,7 @@ public:
   {
     return Aff_transformation_3(TRANSLATION, translationvector_);
   }
-  
+
   virtual bool is_even() const
   {
     return true;
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Triangle_2.h 5.0.3-1/include/CGAL/Cartesian/Triangle_2.h
--- 5.0.2-3/include/CGAL/Cartesian/Triangle_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Triangle_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Triangle_2.h $
-// $Id: Triangle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Triangle_2.h $
+// $Id: Triangle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Herve Bronnimann
 
@@ -53,7 +53,7 @@ public:
       (i==1) ? get_pointee_or_identity(base)[1] :
       get_pointee_or_identity(base)[2];
   }
-  
+
   const Point_2 &
   operator[](int i) const
   {
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Triangle_3.h 5.0.3-1/include/CGAL/Cartesian/Triangle_3.h
--- 5.0.2-3/include/CGAL/Cartesian/Triangle_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Triangle_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Triangle_3.h $
-// $Id: Triangle_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Triangle_3.h $
+// $Id: Triangle_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Vector_2.h 5.0.3-1/include/CGAL/Cartesian/Vector_2.h
--- 5.0.2-3/include/CGAL/Cartesian/Vector_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Vector_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Vector_2.h $
-// $Id: Vector_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Vector_2.h $
+// $Id: Vector_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Herve Bronnimann
 
@@ -47,7 +47,7 @@ public:
   typedef R_                                R;
 
   VectorC2() {}
- 
+
   VectorC2(const FT &x, const FT &y)
     : base(CGAL::make_array(x, y)) {}
 
@@ -94,7 +94,7 @@ public:
 
 template < class R >
 CGAL_KERNEL_INLINE
-bool 
+bool
 operator==(const VectorC2<R> &v, const VectorC2<R> &w)
 {
   return w.x() == v.x() && w.y() == v.y();
@@ -102,7 +102,7 @@ operator==(const VectorC2<R> &v, const V
 
 template < class R >
 inline
-bool 
+bool
 operator!=(const VectorC2<R> &v, const VectorC2<R> &w)
 {
   return !(v == w);
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Vector_3.h 5.0.3-1/include/CGAL/Cartesian/Vector_3.h
--- 5.0.2-3/include/CGAL/Cartesian/Vector_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Vector_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Vector_3.h $
-// $Id: Vector_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Vector_3.h $
+// $Id: Vector_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author        : Andreas Fabri
 
@@ -146,7 +146,7 @@ operator!=(const VectorC3<R> &v, const V
 template < class R >
 inline
 bool
-operator==(const VectorC3<R> &v, const Null_vector &) 
+operator==(const VectorC3<R> &v, const Null_vector &)
 {
   return CGAL_NTS is_zero(v.x()) && CGAL_NTS is_zero(v.y()) &&
          CGAL_NTS is_zero(v.z());
@@ -155,7 +155,7 @@ operator==(const VectorC3<R> &v, const N
 template < class R >
 inline
 bool
-operator==(const Null_vector &n, const VectorC3<R> &v) 
+operator==(const Null_vector &n, const VectorC3<R> &v)
 {
   return v == n;
 }
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Weighted_point_2.h 5.0.3-1/include/CGAL/Cartesian/Weighted_point_2.h
--- 5.0.2-3/include/CGAL/Cartesian/Weighted_point_2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Weighted_point_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Weighted_point_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Weighted_point_2.h $
 // $Id: Weighted_point_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Cartesian/Weighted_point_3.h 5.0.3-1/include/CGAL/Cartesian/Weighted_point_3.h
--- 5.0.2-3/include/CGAL/Cartesian/Weighted_point_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian/Weighted_point_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian/Weighted_point_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian/Weighted_point_3.h $
 // $Id: Weighted_point_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Cartesian_converter_fwd.h 5.0.3-1/include/CGAL/Cartesian_converter_fwd.h
--- 5.0.2-3/include/CGAL/Cartesian_converter_fwd.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian_converter_fwd.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/Cartesian_converter_fwd.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/Cartesian_converter_fwd.h $
 // $Id: Cartesian_converter_fwd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Cartesian_converter.h 5.0.3-1/include/CGAL/Cartesian_converter.h
--- 5.0.2-3/include/CGAL/Cartesian_converter.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian_converter.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2001-2004  
+// Copyright (c) 2001-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian_converter.h $
-// $Id: Cartesian_converter.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian_converter.h $
+// $Id: Cartesian_converter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 //                 Menelaos Karavelas <mkaravel@cse.nd.edu>
@@ -63,18 +63,18 @@ struct Converting_visitor : boost::stati
 
   template<typename T>
   void operator()(const std::vector<T>& t) {
-    typedef typename 
-      Type_mapper< T, typename Converter::Source_kernel, 
-                   typename Converter::Target_kernel >::type 
+    typedef typename
+      Type_mapper< T, typename Converter::Source_kernel,
+                   typename Converter::Target_kernel >::type
     value_type;
-    
+
     std::vector< value_type > tmp;
     tmp.reserve(t.size());
     for(typename std::vector< T >::const_iterator it = t.begin();
         it !=  t.end(); ++it) {
       tmp.push_back(conv->operator()(*it));
     }
-    
+
     *out = tmp;
   }
 };
@@ -128,13 +128,13 @@ public:
     // drop the boost::detail::variant::void_ generated by the macros
     // from the sequence, transform with the type mapper and throw the
     // new list into a variant
-    // visit to get the type, and copy construct inside the return type 
+    // visit to get the type, and copy construct inside the return type
     template<BOOST_VARIANT_ENUM_PARAMS(typename U)>
     typename
     Type_mapper< boost::optional< boost::variant< BOOST_VARIANT_ENUM_PARAMS(U) > >,
                  K1, K2 >::type
     operator()(const boost::optional< boost::variant< BOOST_VARIANT_ENUM_PARAMS(U) > >& o) const {
-      typedef typename 
+      typedef typename
         Type_mapper< boost::optional< boost::variant< BOOST_VARIANT_ENUM_PARAMS(U) > >,
                      K1, K2 >::type result_type;
       result_type res;
@@ -143,7 +143,7 @@ public:
         return res;
       }
 
-      internal::Converting_visitor<Self, result_type> 
+      internal::Converting_visitor<Self, result_type>
         conv_visitor = internal::Converting_visitor<Self, result_type>(*this, res);
       boost::apply_visitor(conv_visitor, *o);
       return res;
@@ -154,11 +154,11 @@ public:
     Type_mapper< boost::variant< BOOST_VARIANT_ENUM_PARAMS(U) >,
                  K1, K2 >::type
     operator()(const boost::variant< BOOST_VARIANT_ENUM_PARAMS(U) > & o) const {
-      typedef typename 
+      typedef typename
         Type_mapper< boost::variant< BOOST_VARIANT_ENUM_PARAMS(U) >,
                      K1, K2 >::type result_type;
       result_type res;
-      internal::Converting_visitor<Self, result_type> 
+      internal::Converting_visitor<Self, result_type>
         conv_visitor = internal::Converting_visitor<Self, result_type>(*this, res);
       boost::apply_visitor(conv_visitor, o);
       return res;
@@ -175,21 +175,21 @@ public:
 
 #define CGAL_Kernel_obj(X) \
       if (const std::vector<typename K1::X> * ptr = object_cast<std::vector<typename K1::X> >(&obj)) { \
-	std::vector<typename K2::X> res; \
+        std::vector<typename K2::X> res; \
         res.reserve((*ptr).size()); \
-	for(unsigned int i=0; i < (*ptr).size(); i++){ \
-	  res.push_back(operator()((*ptr)[i])); \
-	} \
-	return make_object(res); \
+        for(unsigned int i=0; i < (*ptr).size(); i++){ \
+          res.push_back(operator()((*ptr)[i])); \
+        } \
+        return make_object(res); \
       }
 
       CGAL_Kernel_obj(Point_2)
       CGAL_Kernel_obj(Point_3)
 #undef CGAL_Kernel_obj
-       
+
       CGAL_error_msg("Cartesian_converter is unable to determine what is wrapped in the Object");
       return Object();
-	
+
     }
 
     std::vector<Object>
@@ -208,74 +208,74 @@ public:
     operator()(const typename K1::Point_2 &a) const
     {
         typedef typename K2::Point_2 Point_2;
-	return Point_2(c(a.x()), c(a.y()));
+        return Point_2(c(a.x()), c(a.y()));
     }
 
     typename K2::Weighted_point_2
     operator()(const typename K1::Weighted_point_2 &a) const
     {
         typedef typename K2::Weighted_point_2 Weighted_point_2;
-	return Weighted_point_2(operator()(a.point()), operator()(a.weight()));
+        return Weighted_point_2(operator()(a.point()), operator()(a.weight()));
     }
 
     typename K2::Vector_2
     operator()(const typename K1::Vector_2 &a) const
     {
         typedef typename K2::Vector_2  Vector_2;
-	return Vector_2(c(a.x()), c(a.y()));
+        return Vector_2(c(a.x()), c(a.y()));
     }
 
     typename K2::Direction_2
     operator()(const typename K1::Direction_2 &a) const
     {
         typedef typename K2::Direction_2  Direction_2;
-	return Direction_2(c(a.dx()), c(a.dy()));
+        return Direction_2(c(a.dx()), c(a.dy()));
     }
 
     typename K2::Segment_2
     operator()(const typename K1::Segment_2 &a) const
     {
         typedef typename K2::Segment_2  Segment_2;
-	return Segment_2(operator()(a.source()), operator()(a.target()));
+        return Segment_2(operator()(a.source()), operator()(a.target()));
     }
 
     typename K2::Line_2
     operator()(const typename K1::Line_2 &a) const
     {
         typedef typename K2::Line_2 Line_2;
-	return Line_2(c(a.a()), c(a.b()), c(a.c()));
+        return Line_2(c(a.a()), c(a.b()), c(a.c()));
     }
 
     typename K2::Ray_2
     operator()(const typename K1::Ray_2 &a) const
     {
         typedef typename K2::Ray_2  Ray_2;
-	return Ray_2(operator()(a.source()), operator()(a.second_point()));
+        return Ray_2(operator()(a.source()), operator()(a.second_point()));
     }
 
     typename K2::Circle_2
     operator()(const typename K1::Circle_2 &a) const
     {
         typedef typename K2::Circle_2  Circle_2;
-	return Circle_2(operator()(a.center()),
-		        c(a.squared_radius()),
-			K1().orientation_2_object()(a));
+        return Circle_2(operator()(a.center()),
+                        c(a.squared_radius()),
+                        K1().orientation_2_object()(a));
     }
 
     typename K2::Triangle_2
     operator()(const typename K1::Triangle_2 &a) const
     {
         typedef typename K2::Triangle_2  Triangle_2;
-	return Triangle_2(operator()(a.vertex(0)),
-		          operator()(a.vertex(1)),
-		          operator()(a.vertex(2)));
+        return Triangle_2(operator()(a.vertex(0)),
+                          operator()(a.vertex(1)),
+                          operator()(a.vertex(2)));
     }
 
     typename K2::Iso_rectangle_2
     operator()(const typename K1::Iso_rectangle_2 &a) const
     {
         typedef typename K2::Iso_rectangle_2  Iso_rectangle_2;
-	return Iso_rectangle_2(operator()((a.min)()), operator()((a.max)()), 0);
+        return Iso_rectangle_2(operator()((a.min)()), operator()((a.max)()), 0);
     }
 
 
@@ -283,99 +283,99 @@ public:
     operator()(const typename K1::Point_3 &a) const
     {
         typedef typename K2::Point_3 Point_3;
-	return Point_3(c(a.x()), c(a.y()), c(a.z()));
+        return Point_3(c(a.x()), c(a.y()), c(a.z()));
     }
 
     typename K2::Weighted_point_3
     operator()(const typename K1::Weighted_point_3 &a) const
     {
         typedef typename K2::Weighted_point_3 Weighted_point_3;
-	return Weighted_point_3((*this)(a.point()), c(a.weight()));
+        return Weighted_point_3((*this)(a.point()), c(a.weight()));
     }
 
     typename K2::Vector_3
     operator()(const typename K1::Vector_3 &a) const
     {
         typedef typename K2::Vector_3  Vector_3;
-	return Vector_3(c(a.x()), c(a.y()), c(a.z()));
+        return Vector_3(c(a.x()), c(a.y()), c(a.z()));
     }
 
     typename K2::Direction_3
     operator()(const typename K1::Direction_3 &a) const
     {
         typedef typename K2::Direction_3  Direction_3;
-	return Direction_3(c(a.dx()), c(a.dy()), c(a.dz()));
+        return Direction_3(c(a.dx()), c(a.dy()), c(a.dz()));
     }
 
     typename K2::Segment_3
     operator()(const typename K1::Segment_3 &a) const
     {
         typedef typename K2::Segment_3  Segment_3;
-	return Segment_3(operator()(a.source()), operator()(a.target()));
+        return Segment_3(operator()(a.source()), operator()(a.target()));
     }
 
     typename K2::Line_3
     operator()(const typename K1::Line_3 &a) const
     {
         typedef typename K2::Line_3  Line_3;
-	return Line_3(operator()(a.point()), operator()(a.to_vector()));
+        return Line_3(operator()(a.point()), operator()(a.to_vector()));
     }
 
     typename K2::Ray_3
     operator()(const typename K1::Ray_3 &a) const
     {
         typedef typename K2::Ray_3 Ray_3;
-	return Ray_3(operator()(a.source()), operator()(a.second_point()));
+        return Ray_3(operator()(a.source()), operator()(a.second_point()));
     }
 
     typename K2::Sphere_3
     operator()(const typename K1::Sphere_3 &a) const
     {
         typedef typename K2::Sphere_3  Sphere_3;
-	return Sphere_3(operator()(a.center()),
-		        c(a.squared_radius()),
-			K1().orientation_3_object()(a));
+        return Sphere_3(operator()(a.center()),
+                        c(a.squared_radius()),
+                        K1().orientation_3_object()(a));
     }
 
     typename K2::Circle_3
     operator()(const typename K1::Circle_3 &a) const
     {
         typedef typename K2::Circle_3  Circle_3;
-	return Circle_3(operator()(a.diametral_sphere()),
-			operator()(a.supporting_plane()),1);
+        return Circle_3(operator()(a.diametral_sphere()),
+                        operator()(a.supporting_plane()),1);
     }
 
     typename K2::Triangle_3
     operator()(const typename K1::Triangle_3 &a) const
     {
         typedef typename K2::Triangle_3  Triangle_3;
-	return Triangle_3(operator()(a.vertex(0)),
-		          operator()(a.vertex(1)),
-		          operator()(a.vertex(2)));
+        return Triangle_3(operator()(a.vertex(0)),
+                          operator()(a.vertex(1)),
+                          operator()(a.vertex(2)));
     }
 
     typename K2::Tetrahedron_3
     operator()(const typename K1::Tetrahedron_3 &a) const
     {
         typedef typename K2::Tetrahedron_3  Tetrahedron_3;
-	return Tetrahedron_3(operator()(a.vertex(0)),
-		             operator()(a.vertex(1)),
-		             operator()(a.vertex(2)),
-		             operator()(a.vertex(3)));
+        return Tetrahedron_3(operator()(a.vertex(0)),
+                             operator()(a.vertex(1)),
+                             operator()(a.vertex(2)),
+                             operator()(a.vertex(3)));
     }
 
     typename K2::Plane_3
     operator()(const typename K1::Plane_3 &a) const
     {
         typedef typename K2::Plane_3  Plane_3;
-	return Plane_3(c(a.a()), c(a.b()), c(a.c()), c(a.d()));
+        return Plane_3(c(a.a()), c(a.b()), c(a.c()), c(a.d()));
     }
 
     typename K2::Iso_cuboid_3
     operator()(const typename K1::Iso_cuboid_3 &a) const
     {
         typedef typename K2::Iso_cuboid_3 Iso_cuboid_3;
-	return Iso_cuboid_3(operator()((a.min)()), operator()((a.max)()), 0);
+        return Iso_cuboid_3(operator()((a.min)()), operator()((a.max)()), 0);
     }
 
     std::pair<typename K2::Point_2, typename K2::Point_2>
diff -pruN 5.0.2-3/include/CGAL/Cartesian_d.h 5.0.3-1/include/CGAL/Cartesian_d.h
--- 5.0.2-3/include/CGAL/Cartesian_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Cartesian_d.h $
-// $Id: Cartesian_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Cartesian_d.h $
+// $Id: Cartesian_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
@@ -56,7 +56,7 @@ public:
   enum { Has_filtered_predicates = false };
   typedef Boolean_tag<Has_filtered_predicates> Has_filtered_predicates_tag;
 
-  typedef PointCd2<RT,LA>             Point_d_base; 
+  typedef PointCd2<RT,LA>             Point_d_base;
   // renamed because of clash with Cartesian...
   typedef VectorCd<RT,LA>             Vector_d_base;
   typedef DirectionCd<RT,LA>          Direction_d_base;
@@ -103,7 +103,7 @@ public:
 
   template <typename K>
   class Construct_cartesian_const_iterator
-  {    
+  {
     typedef typename K::Point_d Point_d;
     typedef typename K::Cartesian_const_iterator_d  Cartesian_const_iterator_d;
 
@@ -115,7 +115,7 @@ public:
     {
       return p.cartesian_begin();
     }
-    
+
     Cartesian_const_iterator_d
     operator()( const Point_d& p, int) const
     {
@@ -126,7 +126,7 @@ public:
   // TODO: Make it work for the other values
  template <typename K>
   class Construct_vertex
-  {    
+  {
     typedef typename K::Point_d Point_d;
     typedef typename K::Iso_box_d Iso_box_d;
     typedef typename K::Cartesian_const_iterator_d  Cartesian_const_iterator_d;
@@ -136,16 +136,16 @@ public:
     Point_d operator()(const Iso_box_d&  b, int i)
     {
       if(i == 0){
-	return (b.min)();
+        return (b.min)();
       }
       return (b.max)();
     }
   };
-  
+
 
   typedef Construct_vertex<Self> Construct_vertex_d;
 
-    typedef Construct_cartesian_const_iterator<Self> 
+    typedef Construct_cartesian_const_iterator<Self>
                            Construct_cartesian_const_iterator_d;
 
   Construct_cartesian_const_iterator_d
@@ -156,7 +156,7 @@ public:
 
  template <typename K>
   class Construct_min_vertex
-  {    
+  {
     typedef typename K::Point_d Point_d;
     typedef typename K::Iso_box_d Iso_box_d;
   public:
@@ -178,7 +178,7 @@ public:
 
  template <typename K>
   class Construct_max_vertex
-  {    
+  {
     typedef typename K::Point_d Point_d;
     typedef typename K::Iso_box_d Iso_box_d;
   public:
@@ -241,9 +241,9 @@ public:
   Construct_sphere_d construct_sphere_d_object() const
   { return Construct_sphere_d(); }
 
-  typedef internal::Construct<Aff_transformation_d> 
+  typedef internal::Construct<Aff_transformation_d>
     Construct_aff_transformation_d;
-  Construct_aff_transformation_d 
+  Construct_aff_transformation_d
     construct_aff_transformation_d_object() const
   { return Construct_aff_transformation_d(); }
 
@@ -264,14 +264,14 @@ public:
   typedef Contained_in_affine_hullCd<Self> Contained_in_affine_hull_d;
   typedef Affine_rankCd<Self> Affine_rank_d;
   typedef Affinely_independentCd<Self> Affinely_independent_d;
-  typedef Compare_lexicographicallyCd<Self> Compare_lexicographically_d; 
+  typedef Compare_lexicographicallyCd<Self> Compare_lexicographically_d;
   typedef Lt_from_compare<Self> Less_lexicographically_d;
   typedef Le_from_compare<Self> Less_or_equal_lexicographically_d;
   typedef Less_coordinateCd<Self> Less_coordinate_d;
   typedef Point_dimensionCd<Self> Point_dimension_d;
   typedef Eq_from_method<Self> Equal_d;
   typedef Center_of_sphereCd<Self> Center_of_sphere_d;
-  typedef Contained_in_linear_hullCd<Self> Contained_in_linear_hull_d;  
+  typedef Contained_in_linear_hullCd<Self> Contained_in_linear_hull_d;
   typedef Linear_rankCd<Self> Linear_rank_d;
   typedef Linearly_independentCd<Self> Linearly_independent_d;
   typedef Linear_baseCd<Self> Linear_base_d;
@@ -308,7 +308,7 @@ public:
   { return Contained_in_simplex_d(); }
   Contained_in_affine_hull_d contained_in_affine_hull_d_object() const
   { return Contained_in_affine_hull_d(); }
-  Affine_rank_d affine_rank_d_object() const 
+  Affine_rank_d affine_rank_d_object() const
   { return Affine_rank_d(); }
   Affinely_independent_d affinely_independent_d_object() const
   { return Affinely_independent_d(); }
@@ -318,23 +318,23 @@ public:
   { return Compare_lexicographically_d(); }
   Less_lexicographically_d less_lexicographically_d_object() const
   { return Less_lexicographically_d(); }
-  Less_or_equal_lexicographically_d 
+  Less_or_equal_lexicographically_d
     less_or_equal_lexicographically_d_object() const
   { return Less_or_equal_lexicographically_d(); }
   Center_of_sphere_d center_of_sphere_d_object() const
   { return Center_of_sphere_d(); }
   Contained_in_linear_hull_d contained_in_linear_hull_d_object() const
   { return Contained_in_linear_hull_d(); }
-  Linear_rank_d linear_rank_d_object() const 
+  Linear_rank_d linear_rank_d_object() const
   { return Linear_rank_d(); }
   Linearly_independent_d linearly_independent_d_object() const
   { return Linearly_independent_d(); }
-  Linear_base_d linear_base_d_object() const 
+  Linear_base_d linear_base_d_object() const
   { return Linear_base_d(); }
 
   // Intersection objects:
   typedef CGAL::Line_line_intersectionCd<Self> Line_line_intersection_d;
-  typedef CGAL::Line_hyperplane_intersectionCd<Self> 
+  typedef CGAL::Line_hyperplane_intersectionCd<Self>
                                                Line_hyperplane_intersection_d;
   typedef CGAL::Line_d_Line_d_pair<Self> Line_d_Line_d_pair;
   typedef CGAL::Ray_d_Ray_d_pair<Self> Ray_d_Ray_d_pair;
@@ -347,7 +347,7 @@ public:
   typedef CGAL::Segment_d_Hyperplane_d_pair<Self> Segment_d_Hyperplane_d_pair;
 
   typedef internal::Intersect<Self> Intersect_d;
-  Intersect_d intersect_d_object() const 
+  Intersect_d intersect_d_object() const
   { return Intersect_d(); }
 
   typedef internal::Do_intersect<Self> Do_intersect_d;
@@ -358,13 +358,13 @@ public:
 
   static  FT make_FT(const RT & num, const RT& denom)
   { return num/denom; }
-  
+
   static  FT make_FT(const RT & num)
   { return FT(num); }
-  
+
   static  RT FT_numerator(const FT &r)
   { return r; }
-  
+
   static  RT FT_denominator(const FT & /*r*/)
   { return RT(1); }
 
@@ -409,7 +409,7 @@ public:
   };
   Vector_to_point_d vector_to_point_d_object() const
   { return Vector_to_point_d(); }
-  
+
   struct Orthogonal_vector_d {
     Vector_d operator()(const Hyperplane_d& h) const
     { return h.orthogonal_vector(); }
@@ -425,8 +425,8 @@ public:
   { return Point_of_sphere_d(); }
 
 }; // Cartesian_d<R>
- 
- 
+
+
 } //namespace CGAL
 
 #include <CGAL/Kernel_d/Point_d.h>
diff -pruN 5.0.2-3/include/CGAL/Cartesian.h 5.0.3-1/include/CGAL/Cartesian.h
--- 5.0.2-3/include/CGAL/Cartesian.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001,2002,2003  
+// Copyright (c) 2000,2001,2002,2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Cartesian.h $
-// $Id: Cartesian.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Cartesian.h $
+// $Id: Cartesian.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann, Sylvain Pion
 
diff -pruN 5.0.2-3/include/CGAL/cartesian_homogeneous_conversion.h 5.0.3-1/include/CGAL/cartesian_homogeneous_conversion.h
--- 5.0.2-3/include/CGAL/cartesian_homogeneous_conversion.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/cartesian_homogeneous_conversion.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/cartesian_homogeneous_conversion.h $
-// $Id: cartesian_homogeneous_conversion.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/cartesian_homogeneous_conversion.h $
+// $Id: cartesian_homogeneous_conversion.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 #ifndef CGAL_CARTESIAN_HOMOGENEOUS_CONVERSION_H
 #define CGAL_CARTESIAN_HOMOGENEOUS_CONVERSION_H
 
diff -pruN 5.0.2-3/include/CGAL/Cartesian_matrix.h 5.0.3-1/include/CGAL/Cartesian_matrix.h
--- 5.0.2-3/include/CGAL/Cartesian_matrix.h	2020-02-21 20:03:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cartesian_matrix.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Matrix_search/include/CGAL/Cartesian_matrix.h $
-// $Id: Cartesian_matrix.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Matrix_search/include/CGAL/Cartesian_matrix.h $
+// $Id: Cartesian_matrix.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/CC_safe_handle.h 5.0.3-1/include/CGAL/CC_safe_handle.h
--- 5.0.2-3/include/CGAL/CC_safe_handle.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/CC_safe_handle.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/CC_safe_handle.h $
-// $Id: CC_safe_handle.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/CC_safe_handle.h $
+// $Id: CC_safe_handle.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Clement Jamin
@@ -14,7 +14,7 @@
 
 namespace CGAL {
 
-// CC_safe_handle is a helper that store a CC handle and its erase 
+// CC_safe_handle is a helper that store a CC handle and its erase
 // counter value (value when the CC_safe_handle instance was created).
 // The is_zombie() function allows to know if the pointee was erased since.
 template <typename CC_iterator>
diff -pruN 5.0.2-3/include/CGAL/Cell_attribute.h 5.0.3-1/include/CGAL/Cell_attribute.h
--- 5.0.2-3/include/CGAL/Cell_attribute.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cell_attribute.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Cell_attribute.h $
-// $Id: Cell_attribute.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Cell_attribute.h $
+// $Id: Cell_attribute.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -86,8 +86,8 @@ namespace CGAL {
   protected:
     void set_id(std::size_t id)
     { m_id=id; }
-    
-  protected:    
+
+  protected:
     /// id of the cell
     std::size_t m_id;
   };
@@ -96,7 +96,7 @@ namespace CGAL {
   template <>
   class Add_id<Tag_false>
   {};
-  
+
   /// Cell_attribute_without_info
   template <class Refs, class Tag=Tag_true, class OnMerge=Null_functor,
             class OnSplit=Null_functor, class WithID=Tag_false>
diff -pruN 5.0.2-3/include/CGAL/Cell_attribute_with_id.h 5.0.3-1/include/CGAL/Cell_attribute_with_id.h
--- 5.0.2-3/include/CGAL/Cell_attribute_with_id.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cell_attribute_with_id.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Cell_attribute_with_id.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Cell_attribute_with_id.h $
 // $Id: Cell_attribute_with_id.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Cell_attribute_with_point_and_id.h 5.0.3-1/include/CGAL/Cell_attribute_with_point_and_id.h
--- 5.0.2-3/include/CGAL/Cell_attribute_with_point_and_id.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cell_attribute_with_point_and_id.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/Cell_attribute_with_point_and_id.h $
-// $Id: Cell_attribute_with_point_and_id.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/Cell_attribute_with_point_and_id.h $
+// $Id: Cell_attribute_with_point_and_id.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -15,7 +15,7 @@
 #include <CGAL/Cell_attribute_with_point.h>
 
 namespace CGAL {
-  
+
   // A cell attribute with point and id, when Info_!=void
   template <class Refs, class Info_=void, class Tag_=Tag_true,
             class OnMerge=Null_functor,
diff -pruN 5.0.2-3/include/CGAL/Cell_attribute_with_point.h 5.0.3-1/include/CGAL/Cell_attribute_with_point.h
--- 5.0.2-3/include/CGAL/Cell_attribute_with_point.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cell_attribute_with_point.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/Cell_attribute_with_point.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/Cell_attribute_with_point.h $
 // $Id: Cell_attribute_with_point.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Cell_const_iterators.h 5.0.3-1/include/CGAL/Cell_const_iterators.h
--- 5.0.2-3/include/CGAL/Cell_const_iterators.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cell_const_iterators.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Cell_const_iterators.h $
-// $Id: Cell_const_iterators.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Cell_const_iterators.h $
+// $Id: Cell_const_iterators.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -26,7 +26,7 @@ namespace CGAL {
    */
 
   //****************************************************************************
-  template <typename Map_,typename Ite, 
+  template <typename Map_,typename Ite,
             unsigned int i,unsigned int dim=Map_::dimension>
   class CMap_cell_const_iterator: public CMap_cell_iterator<Map_,Ite,i,dim,true>
   {
@@ -35,10 +35,10 @@ namespace CGAL {
     typedef typename Map_::Dart_const_handle Dart_const_handle;
 
     /// Main constructor.
-    CMap_cell_const_iterator(const Map_& amap, 
+    CMap_cell_const_iterator(const Map_& amap,
                              Dart_const_handle adart):
-      Base(amap,adart)                       
-    {}                                                         
+      Base(amap,adart)
+    {}
     /// Constructor from non const version.
     CMap_cell_const_iterator
     (const CMap_cell_iterator<Map_,Ite,i,dim,false>& it):
@@ -47,9 +47,9 @@ namespace CGAL {
     {}
   };
   //****************************************************************************
-  template <typename Map_,unsigned int i,unsigned int j, 
+  template <typename Map_,unsigned int i,unsigned int j,
             unsigned int dim=Map_::dimension>
-  class CMap_one_dart_per_incident_cell_const_iterator: 
+  class CMap_one_dart_per_incident_cell_const_iterator:
     public CMap_one_dart_per_incident_cell_iterator<Map_,i,j,dim,true>
   {
   public:
@@ -57,8 +57,8 @@ namespace CGAL {
     typedef typename Map_::Dart_const_handle Dart_const_handle;
 
     /// Main constructor.
-    CMap_one_dart_per_incident_cell_const_iterator(const Map_& amap, 
-                                                   Dart_const_handle adart): 
+    CMap_one_dart_per_incident_cell_const_iterator(const Map_& amap,
+                                                   Dart_const_handle adart):
       Base(amap, adart)
     {}
     /// Constructor from non const version.
@@ -81,8 +81,8 @@ namespace CGAL {
     CMap_one_dart_per_cell_const_iterator(const Map_& amap): Base(amap)
     {}
     /// Constructor with a dart in parameter (for end iterator).
-    CMap_one_dart_per_cell_const_iterator(const Map_& amap, 
-                                          Dart_const_handle adart): 
+    CMap_one_dart_per_cell_const_iterator(const Map_& amap,
+                                          Dart_const_handle adart):
       Base(amap, adart)
     {}
     /// Constructor from non const version.
diff -pruN 5.0.2-3/include/CGAL/Cell_iterators.h 5.0.3-1/include/CGAL/Cell_iterators.h
--- 5.0.2-3/include/CGAL/Cell_iterators.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cell_iterators.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Cell_iterators.h $
-// $Id: Cell_iterators.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Cell_iterators.h $
+// $Id: Cell_iterators.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -433,7 +433,7 @@ namespace CGAL {
     {}
     /// Constructor with a dart in parameter (for end iterator).
     CMap_one_dart_per_cell_iterator(Map& amap, Dart_handle adart):
-	     Base(amap, adart)
+             Base(amap, adart)
     {}
   };
 //****************************************************************************
diff -pruN 5.0.2-3/include/CGAL/centroid.h 5.0.3-1/include/CGAL/centroid.h
--- 5.0.2-3/include/CGAL/centroid.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/centroid.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis_LGPL/include/CGAL/centroid.h $
-// $Id: centroid.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis_LGPL/include/CGAL/centroid.h $
+// $Id: centroid.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
@@ -42,11 +42,11 @@ namespace internal {
 
 // computes the centroid of a 2D point set
 // takes an iterator range over K::Point_2
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_2
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K&,
          const typename K::Point_2*,
          CGAL::Dimension_tag<0>)
@@ -58,7 +58,7 @@ centroid(InputIterator begin,
 
   Vector v = NULL_VECTOR;
   unsigned int nb_pts = 0;
-  while(begin != end) 
+  while(begin != end)
   {
     v = v + (*begin++ - ORIGIN);
     nb_pts++;
@@ -70,21 +70,21 @@ centroid(InputIterator begin,
 // takes an iterator range over K::Segment_2
 
 // centroid for 2D segment set with 0D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_2
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& k,
          const typename K::Segment_2*,
          CGAL::Dimension_tag<0> tag)
 {
   typedef typename K::Point_2  Point;
   typedef typename K::Segment_2 Segment;
-  
+
   CGAL_precondition(begin != end);
-  
-  std::list<Point> points;  
+
+  std::list<Point> points;
   for(InputIterator it = begin;
       it != end;
       it++)
@@ -92,16 +92,16 @@ centroid(InputIterator begin,
     const Segment& s = *it;
     points.push_back(s[0]);
     points.push_back(s[1]);
-  } 
+  }
   return centroid(points.begin(),points.end(),k,(Point*)nullptr,tag);
 }// end centroid for 2D segment set with 0D tag
 
 // centroid for 2D segment set with 1D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_2
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& ,
          const typename K::Segment_2*,
          CGAL::Dimension_tag<1>)
@@ -120,7 +120,9 @@ centroid(InputIterator begin,
       it++)
   {
     const Segment& s = *it;
-    FT length = std::sqrt(std::abs(s.squared_length()));
+    using std::abs;
+    using std::sqrt;
+    FT length = sqrt(abs(s.squared_length()));
     Point c = K().construct_midpoint_2_object()(s[0],s[1]);
     v = v + length * (c - ORIGIN);
     sum_lengths += length;
@@ -133,11 +135,11 @@ centroid(InputIterator begin,
 // takes an iterator range over K::Triangle_2
 
 // centroid for 2D triangle set with 0D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_2
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& k,
          const typename K::Triangle_2*,
          CGAL::Dimension_tag<0> tag)
@@ -146,7 +148,7 @@ centroid(InputIterator begin,
   typedef typename K::Point_2 Point;
 
   CGAL_precondition(begin != end);
-  
+
   std::list<Point> points;
   for(InputIterator it = begin;
       it != end;
@@ -162,11 +164,11 @@ centroid(InputIterator begin,
 } // end centroid of a 2D triangle set with 0D tag
 
 // centroid for 2D triangle set with 1D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_2
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& k,
          const typename K::Triangle_2*,
          CGAL::Dimension_tag<1> tag)
@@ -175,7 +177,7 @@ centroid(InputIterator begin,
   typedef typename K::Segment_2 Segment;
 
   CGAL_precondition(begin != end);
-  
+
   std::list<Segment> segments;
   for(InputIterator it = begin;
       it != end;
@@ -191,11 +193,11 @@ centroid(InputIterator begin,
 } // end centroid of a 2D triangle set with 1D tag
 
 // centroid for 2D triangle set with 2D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_2
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& ,
          const typename K::Triangle_2*,
          CGAL::Dimension_tag<2>)
@@ -227,11 +229,11 @@ centroid(InputIterator begin,
 // takes an iterator range over K::Circle_2
 
 // centroid for 2D circle set with 1D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_2
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& ,
          const typename K::Circle_2*,
          CGAL::Dimension_tag<1>)
@@ -260,11 +262,11 @@ centroid(InputIterator begin,
 } // end centroid of a 2D circle set with 1D tag
 
 // centroid for 2D circle set with 2D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_2
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& ,
          const typename K::Circle_2*,
          CGAL::Dimension_tag<2>)
@@ -296,11 +298,11 @@ centroid(InputIterator begin,
 // takes an iterator range over K::Iso_Rectangle_2
 
 // centroid for 2D rectangle set with 0D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_2
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& k,
          const typename K::Iso_rectangle_2*,
          CGAL::Dimension_tag<0> tag)
@@ -309,7 +311,7 @@ centroid(InputIterator begin,
   typedef typename K::Point_2 Point;
 
   CGAL_precondition(begin != end);
-  
+
   std::list<Point> points;
   for(InputIterator it = begin;
       it != end;
@@ -326,11 +328,11 @@ centroid(InputIterator begin,
 } // end centroid of a 2D rectangle set with 0D tag
 
 // centroid for 2D rectangle set with 1D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_2
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& k,
          const typename K::Iso_rectangle_2*,
          CGAL::Dimension_tag<1> tag)
@@ -339,7 +341,7 @@ centroid(InputIterator begin,
   typedef typename K::Segment_2 Segment;
 
   CGAL_precondition(begin != end);
-  
+
   std::list<Segment> segments;
   for(InputIterator it = begin;
       it != end;
@@ -356,11 +358,11 @@ centroid(InputIterator begin,
 } // end centroid of a 2D rectangle set with 1D tag
 
 // centroid for 2D rectangle set with 2D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_2
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& ,
          const typename K::Iso_rectangle_2*,
          CGAL::Dimension_tag<2>)
@@ -392,11 +394,11 @@ centroid(InputIterator begin,
 // takes an iterator range over K::Point_3
 
 // centroid for 3D point set with 0D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_3
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& k,
          const typename K::Point_3*,
          CGAL::Dimension_tag<0>)
@@ -408,7 +410,7 @@ centroid(InputIterator begin,
 
   Vector v = NULL_VECTOR;
   unsigned int nb_pts = 0;
-  while (begin != end) 
+  while (begin != end)
   {
     v = v + k.construct_vector_3_object()(ORIGIN, *begin++);
     nb_pts++;
@@ -417,11 +419,11 @@ centroid(InputIterator begin,
 }// end centroid of a 3D point set with 0D tag
 
 // centroid for 3D segment set with 1D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_3
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& ,
          const typename K::Segment_3*,
          CGAL::Dimension_tag<1>)
@@ -440,7 +442,8 @@ centroid(InputIterator begin,
       it++)
   {
     const Segment& s = *it;
-    FT length = std::sqrt(s.squared_length());
+    using std::sqrt;
+    FT length = sqrt(s.squared_length());
     Point c = CGAL::midpoint(s.source(),s.target());
     // Point c = K().construct_midpoint_3_object()(s[0],s[1]);
     //Point c = Point((s[0][0] + s[1][0])/2.0, (s[0][1] + s[1][1])/2.0, (s[0][2] + s[1][2])/2.0);
@@ -455,11 +458,11 @@ centroid(InputIterator begin,
 // takes an iterator range over K::Triangle_3
 
 // centroid for 3D triangle set with 0D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_3
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& k,
          const typename K::Triangle_3*,
          CGAL::Dimension_tag<0> tag)
@@ -468,7 +471,7 @@ centroid(InputIterator begin,
   typedef typename K::Point_3 Point;
 
   CGAL_precondition(begin != end);
-  
+
   std::list<Point> points;
   for(InputIterator it = begin;
       it != end;
@@ -484,11 +487,11 @@ centroid(InputIterator begin,
 } // end centroid of a 3D triangle set with 0D tag
 
 // centroid for 3D triangle set with 1D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_3
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& k,
          const typename K::Triangle_3*,
          CGAL::Dimension_tag<1> tag)
@@ -497,7 +500,7 @@ centroid(InputIterator begin,
   typedef typename K::Segment_3 Segment;
 
   CGAL_precondition(begin != end);
-  
+
   std::list<Segment> segments;
   for(InputIterator it = begin;
       it != end;
@@ -513,11 +516,11 @@ centroid(InputIterator begin,
 } // end centroid of a 3D triangle set with 1D tag
 
 // centroid for 3D triangle set with 2D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_3
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& ,
          const typename K::Triangle_3*,
          CGAL::Dimension_tag<2>)
@@ -549,11 +552,11 @@ centroid(InputIterator begin,
 // takes an iterator range over K::Sphere_3
 
 // centroid for 3D sphere set with 2D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_3
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& ,
          const typename K::Sphere_3*,
          CGAL::Dimension_tag<2>)
@@ -582,11 +585,11 @@ centroid(InputIterator begin,
 } // end centroid of a 3D sphere set with 2D tag
 
 // centroid for 3D sphere set with 3D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_3
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& ,
          const typename K::Sphere_3*,
          CGAL::Dimension_tag<3>)
@@ -618,11 +621,11 @@ centroid(InputIterator begin,
 // takes an iterator range over K::Iso_cuboid_3
 
 // centroid for 3D cuboid set with 0D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_3
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& k,
          const typename K::Iso_cuboid_3*,
          CGAL::Dimension_tag<0> tag)
@@ -631,7 +634,7 @@ centroid(InputIterator begin,
   typedef typename K::Point_3 Point;
 
   CGAL_precondition(begin != end);
-  
+
   std::list<Point> points;
   for(InputIterator it = begin;
       it != end;
@@ -652,11 +655,11 @@ centroid(InputIterator begin,
 } // end centroid of a 3D cuboid set with 0D tag
 
 // centroid for 3D cuboid set with 1D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_3
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& k,
          const typename K::Iso_cuboid_3*,
          CGAL::Dimension_tag<1> tag)
@@ -665,7 +668,7 @@ centroid(InputIterator begin,
   typedef typename K::Segment_3 Segment;
 
   CGAL_precondition(begin != end);
-  
+
   std::list<Segment> segments;
   for(InputIterator it = begin;
       it != end;
@@ -690,11 +693,11 @@ centroid(InputIterator begin,
 } // end centroid of a 3D cuboid set with 1D tag
 
 // centroid for 3D cuboid set with 2D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_3
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& ,
          const typename K::Iso_cuboid_3*,
          CGAL::Dimension_tag<2>)
@@ -723,11 +726,11 @@ centroid(InputIterator begin,
 } // end centroid of a 3D cuboid set with 2D tag
 
 // centroid for 3D cuboid set with 3D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_3
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& ,
          const typename K::Iso_cuboid_3*,
          CGAL::Dimension_tag<3>)
@@ -756,11 +759,11 @@ centroid(InputIterator begin,
 } // end centroid of a 3D cuboid set with 3D tag
 
 // centroid for 3D Tetrahedron set with 3D tag
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K >
 typename K::Point_3
-centroid(InputIterator begin, 
-         InputIterator end, 
+centroid(InputIterator begin,
+         InputIterator end,
          const K& ,
          const typename K::Tetrahedron_3*,
          CGAL::Dimension_tag<3>)
@@ -805,12 +808,12 @@ centroid(InputIterator begin,
 // takes an iterator range over kernel objects
 
 namespace internal {
-  
+
 template < typename InputIterator, typename K, typename Dim_tag >
 struct Dispatch_centroid_3
 {
   typedef typename Access::Point<K, typename Ambient_dimension<typename std::iterator_traits<InputIterator>::value_type, K>::type>::type result_type;
-  
+
   result_type operator()(InputIterator begin, InputIterator end, const K& k, Dim_tag tag) const
   {
     typedef typename std::iterator_traits<InputIterator>::value_type Value_type;
@@ -910,11 +913,11 @@ class Centroid_2args_return_type_helper{
 
 template<class It>
 class Centroid_2args_return_type_helper<It,true>{
-	typedef typename std::iterator_traits<It>::value_type val;
-	typedef typename Kernel_traits<val>::Kernel K;
-	public:
-	typedef typename Access::Point<K,typename
-		Ambient_dimension<val,K>::type>::type type;
+        typedef typename std::iterator_traits<It>::value_type val;
+        typedef typename Kernel_traits<val>::Kernel K;
+        public:
+        typedef typename Access::Point<K,typename
+                Ambient_dimension<val,K>::type>::type type;
 };
 }
 
diff -pruN 5.0.2-3/include/CGAL/certified_numeric_predicates.h 5.0.3-1/include/CGAL/certified_numeric_predicates.h
--- 5.0.2-3/include/CGAL/certified_numeric_predicates.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/certified_numeric_predicates.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/certified_numeric_predicates.h $
-// $Id: certified_numeric_predicates.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/certified_numeric_predicates.h $
+// $Id: certified_numeric_predicates.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -26,13 +26,13 @@ inline Uncertain<bool> logical_and( Unce
 template <class NT>
 inline Uncertain<bool> certified_is_zero(const NT& x)
 {
-  return CGAL_NTS is_valid(x) ? make_uncertain(CGAL_NTS is_zero(x)) : Uncertain<bool>::indeterminate() ; 
+  return CGAL_NTS is_valid(x) ? make_uncertain(CGAL_NTS is_zero(x)) : Uncertain<bool>::indeterminate() ;
 }
 
 template <class NT>
 inline Uncertain<bool> certified_is_not_zero(const NT& x)
 {
-  return CGAL_NTS is_valid(x) ? make_uncertain(!CGAL_NTS is_zero(x)) : Uncertain<bool>::indeterminate() ; 
+  return CGAL_NTS is_valid(x) ? make_uncertain(!CGAL_NTS is_zero(x)) : Uncertain<bool>::indeterminate() ;
 }
 
 template <class NT>
@@ -62,7 +62,7 @@ inline Uncertain<Sign> certified_sign(co
 template <class NT1, class NT2>
 inline Uncertain<Comparison_result> certified_compare(const NT1& n1, const NT2& n2)
 {
-  return CGAL_NTS is_valid(n1) && CGAL_NTS is_valid(n2) ? make_uncertain(CGAL_NTS compare(n1,n2)) 
+  return CGAL_NTS is_valid(n1) && CGAL_NTS is_valid(n2) ? make_uncertain(CGAL_NTS compare(n1,n2))
                                                         : Uncertain<Comparison_result>::indeterminate()  ;
 }
 
diff -pruN 5.0.2-3/include/CGAL/certified_quotient_predicates.h 5.0.3-1/include/CGAL/certified_quotient_predicates.h
--- 5.0.2-3/include/CGAL/certified_quotient_predicates.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/certified_quotient_predicates.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,22 +2,22 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/certified_quotient_predicates.h $
-// $Id: certified_quotient_predicates.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/certified_quotient_predicates.h $
+// $Id: certified_quotient_predicates.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
 //
-#ifndef CGAL_CERTIFIED_QUOTIENT_PREDICATES_H 
+#ifndef CGAL_CERTIFIED_QUOTIENT_PREDICATES_H
 #define CGAL_CERTIFIED_QUOTIENT_PREDICATES_H
 
 #include <CGAL/certified_numeric_predicates.h>
 #include <CGAL/Quotient.h>
 
-namespace CGAL { 
+namespace CGAL {
 
 template <class NT>
-inline Uncertain<bool> certified_quotient_is_positive(const Quotient<NT>& x) 
+inline Uncertain<bool> certified_quotient_is_positive(const Quotient<NT>& x)
 {
   Uncertain<Sign> signum = CGAL_NTS certified_sign(x.num) ;
   Uncertain<Sign> sigden = CGAL_NTS certified_sign(x.den) ;
@@ -25,7 +25,7 @@ inline Uncertain<bool> certified_quotien
   return ( signum != zero ) & ( signum == sigden );
 }
 
-template <class NT> 
+template <class NT>
 inline Uncertain<bool> certified_quotient_is_negative(const Quotient<NT>& x)
 {
   Uncertain<Sign> signum = CGAL_NTS certified_sign(x.num) ;
@@ -38,10 +38,10 @@ inline Uncertain<bool> certified_quotien
 template <class NT>
 inline Uncertain<bool> certified_quotient_is_zero(const Quotient<NT>& x)
 {
-  return CGAL_NTS certified_is_zero(x.num) ; 
+  return CGAL_NTS certified_is_zero(x.num) ;
 }
- 
-template <class NT> 
+
+template <class NT>
 CGAL_MEDIUM_INLINE
 Uncertain<Sign> certified_quotient_sign(const Quotient<NT>& x)
 {
diff -pruN 5.0.2-3/include/CGAL/CGAL_Ipelet_base.h 5.0.3-1/include/CGAL/CGAL_Ipelet_base.h
--- 5.0.2-3/include/CGAL/CGAL_Ipelet_base.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CGAL_Ipelet_base.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ipelets/include/CGAL/CGAL_Ipelet_base.h $
-// $Id: CGAL_Ipelet_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ipelets/include/CGAL/CGAL_Ipelet_base.h $
+// $Id: CGAL_Ipelet_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Sylvain Pion
 
diff -pruN 5.0.2-3/include/CGAL/CGAL_Ipelet_base_v6.h 5.0.3-1/include/CGAL/CGAL_Ipelet_base_v6.h
--- 5.0.2-3/include/CGAL/CGAL_Ipelet_base_v6.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CGAL_Ipelet_base_v6.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ipelets/include/CGAL/CGAL_Ipelet_base_v6.h $
-// $Id: CGAL_Ipelet_base_v6.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ipelets/include/CGAL/CGAL_Ipelet_base_v6.h $
+// $Id: CGAL_Ipelet_base_v6.h 6a51a30 2020-04-22T11:02:16+02:00 Maxime Gimeno
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Sylvain Pion
 
@@ -36,15 +36,15 @@ namespace CGAL{
 
   template <class Kernel,int nbf>
   class Ipelet_base : public Ipelet {
-  private:  
+  private:
     const std::string* SubLab;
     const std::string* HMsg;
     std::string Name;
     IpePage* _page;
     IpeletHelper* _helper;
-  
+
   public:
-    
+
     //typedefs
     typedef typename Kernel::FT                                               FT;
     typedef typename CGAL::Point_2<Kernel>                                    Point_2;
@@ -56,15 +56,15 @@ namespace CGAL{
     typedef typename Kernel::Triangle_2                                       Triangle_2;
     //~ typedef typename CGAL::Polygon_2<Kernel,std::list<Point_2> >              Polygon_2;
     typedef typename CGAL::Polygon_2<Kernel>              Polygon_2;
-  
+
     typedef typename Kernel::Circle_2                                         Circle_2;
     typedef std::tuple<Circle_2,Point_2,Point_2,CGAL::Sign>           Circular_arc_2;
-  
-  
+
+
     Ipelet_base(const std::string NameS,const std::string SubLabS[],const std::string HMsgS[])
       :SubLab(&SubLabS[0]),HMsg(&HMsgS[0]),Name(NameS),_page(nullptr),_helper(nullptr){};
-    
-    
+
+
     IpePage* get_IpePage() const {return _page;}
     IpeletHelper* get_IpeletHelper() const {return _helper;}
     int IpelibVersion() const { return IPELIB_VERSION; }
@@ -85,16 +85,16 @@ namespace CGAL{
     };
 
     virtual void protected_run(int)=0;
-    
+
     void group_selected_objects_() const {
-      get_IpePage()->Group(get_IpeletHelper()->CurrentLayer());    
+      get_IpePage()->Group(get_IpeletHelper()->CurrentLayer());
     }
-    
+
     void transform_selected_objects_(const IpeMatrix& tfm) const {
       for (IpePage::iterator it = get_IpePage() -> begin();it!=get_IpePage() -> end(); ++it)
         if (it->Select()) it->Transform(tfm);
-    }    
-    
+    }
+
     void show_help(bool gen=true) const{
       std::string hmsg;
       hmsg="<qt><h1>"+Name+"</h1><ul>";
@@ -107,54 +107,54 @@ namespace CGAL{
       return;
     }
 
-    
+
     //grabbers
-    
+
     template <class output_iterator>
     struct Point_grabber:public internal::Point_grabber<Kernel,output_iterator>{
       Point_grabber(output_iterator it):internal::Point_grabber<Kernel,output_iterator>(it){}
     };
-      
+
     template<class output_iterator>
     boost::function_output_iterator<Point_grabber<output_iterator> >
     point_grabber(output_iterator it){
       return boost::make_function_output_iterator(Point_grabber<output_iterator>(it));
     }
-    
+
 
     template <class output_iterator>
     struct Segment_grabber:public internal::Segment_grabber<Kernel,output_iterator>{
       Segment_grabber(output_iterator it):internal::Segment_grabber<Kernel,output_iterator>(it){}
     };
-      
+
     template<class output_iterator>
     boost::function_output_iterator<Segment_grabber<output_iterator> >
     segment_grabber(output_iterator it){
       return boost::make_function_output_iterator(Segment_grabber<output_iterator>(it));
     }
-    
+
     template <class output_iterator>
     struct Wpoint_grabber:public internal::Wpoint_grabber<Kernel,output_iterator>{
       Wpoint_grabber(output_iterator it):internal::Wpoint_grabber<Kernel,output_iterator>(it){}
     };
-      
+
     template<class output_iterator>
     boost::function_output_iterator<Wpoint_grabber<output_iterator> >
     wpoint_grabber(output_iterator it){
       return boost::make_function_output_iterator(Wpoint_grabber<output_iterator>(it));
-    }     
-    
+    }
+
     //Interaction functions
     //------------------------------
-    
-    void 
+
+    void
     print_error_message(const char* s) const
     {
       _helper->Message(s);
     }
-    
+
     template <class T>
-    std::pair<int,T> 
+    std::pair<int,T>
     request_value_from_user(std::string msg) const
     {
       IpeString str;
@@ -173,7 +173,7 @@ namespace CGAL{
 
     //Conversion functions
     //------------------------------
-    Point_2 
+    Point_2
     segment_endpoint(const IpePathSegment& segment,IpePath* obj_ipe,int i) const
     {
       CGAL_precondition(i<2);
@@ -181,15 +181,15 @@ namespace CGAL{
       return Point_2((double)(pt_ipe.iX),(double)(pt_ipe.iY));//conversion into CGAL point
     }
 
-    Point_2 
+    Point_2
     to_point_2(IpeObject*  object) const
     {
       IpeVector pt_ipe = object-> Matrix() * object-> AsMark() -> Position();
       return Point_2((double)(pt_ipe.iX),(double)(pt_ipe.iY));//conversion into CGAL point
-    }    
+    }
 
-    Circle_2 
-    to_circle_2(IpePath* obj_ipe,int subpath=0) const 
+    Circle_2
+    to_circle_2(IpePath* obj_ipe,int subpath=0) const
     {
       const IpeEllipse* ell_ipe = obj_ipe -> SubPath(subpath) -> AsEllipse();
       IpeMatrix mat_ipe = obj_ipe -> Matrix() * ell_ipe -> Matrix();
@@ -198,92 +198,92 @@ namespace CGAL{
       return Circle_2(Point_2(pt_ipe.iX,pt_ipe.iY),radius*radius);
     }
 
-    
+
     //Picking functions
     //------------------------------
 
-    bool 
-    is_only_rotated_or_scaled(const IpeMatrix& m) const 
+    bool
+    is_only_rotated_or_scaled(const IpeMatrix& m) const
     {
       return (m.iA[0]==m.iA[3] && m.iA[1]==-m.iA[2]);
     }
 
-    bool 
-    is_IPE_circle(IpeObject* object,int subpath=0) const 
+    bool
+    is_IPE_circle(IpeObject* object,int subpath=0) const
     {
-      return ( object -> AsPath() && object -> AsPath() -> SubPath(subpath) -> AsEllipse() 
+      return ( object -> AsPath() && object -> AsPath() -> SubPath(subpath) -> AsEllipse()
         && is_only_rotated_or_scaled(object ->AsPath()->Matrix()));
     }
 
-    
+
 private:
     //declaration
     template< class multi_output_iterator >
     bool read_one_active_object( IpeObject* object,
       multi_output_iterator it_out) const;
 
-public:    
+public:
 
     template< class V,class O>
-    Iso_rectangle_2 
+    Iso_rectangle_2
     read_active_objects (
       CGAL::Dispatch_or_drop_output_iterator<V,O> it_out,
       bool deselect_all=true,
-      bool delete_selected_objects=false) const 
+      bool delete_selected_objects=false) const
     {
       IpeRect bbox_ipe;
-      
+
       if (!_page->HasSelection()) {
         return Iso_rectangle_2();
       }
-      
+
       for(IpePage::iterator it = get_IpePage() -> begin(); it!=get_IpePage() -> end(); ++it){
         if ( !it->Select() )
           continue;
-        
+
         bbox_ipe.AddRect(it->BBox());
-        
+
         //Test one function for segments, circles, circle arcs and polygons
         bool desel_it=read_one_active_object(it->Object(),it_out);
         if ( delete_selected_objects && desel_it  )
           it->SetSelect(IpePgObject::ENone);
       }
-      
+
       if (delete_selected_objects)
         _page -> Delete();
-      
+
       if (deselect_all)
         _page->DeselectAll();
-      
+
       Iso_rectangle_2 bbox_cgal(
-        static_cast<double>(bbox_ipe.Min().iX),static_cast<double>(bbox_ipe.Min().iY),
-        static_cast<double>(bbox_ipe.Max().iX),static_cast<double>(bbox_ipe.Max().iY)
+        static_cast<double>((bbox_ipe.Min)().iX),static_cast<double>((bbox_ipe.Min)().iY),
+        static_cast<double>((bbox_ipe.Max)().iX),static_cast<double>((bbox_ipe.Max)().iY)
       );
-        
+
         return bbox_cgal;
     }
-    
+
     //drawing functions
     //------------------------------
 
-    void 
-    copy_attributes(IpeAllAttributes& AAttr,IpeObject* obj_ipe) const 
+    void
+    copy_attributes(IpeAllAttributes& AAttr,IpeObject* obj_ipe) const
     {
       AAttr.iStroke = obj_ipe -> Stroke();
-      
+
       if (obj_ipe->AsFillable()){
         AAttr.iFill = obj_ipe->AsFillable() -> Fill();
         AAttr.iLineWidth = obj_ipe->AsFillable() -> LineWidth();
         AAttr.iDashStyle = obj_ipe->AsFillable() -> DashStyle();
-      }  
+      }
       if (obj_ipe->AsPath()){
         AAttr.iForwardArrow = obj_ipe->AsPath() -> ForwardArrow();
         AAttr.iBackwardArrow = obj_ipe->AsPath() -> BackwardArrow();
       }
     }
-    
-    
-    void 
+
+
+    void
     create_polygon_with_holes(bool delete_underlying_polygons=false) const
     {
       std::list<IpeSubPath*> SSPqu;
@@ -296,15 +296,15 @@ public:
       if (!delete_underlying_polygons)
         get_IpePage() -> DeselectAll();
       IpePath* obj_ipe = new IpePath(get_IpeletHelper() -> Attributes());// create new objects with current attributes
-      for (std::list<IpeSubPath*>::iterator it=SSPqu.begin();it!=SSPqu.end();++it)  
+      for (std::list<IpeSubPath*>::iterator it=SSPqu.begin();it!=SSPqu.end();++it)
         obj_ipe->AddSubPath(*it);
       if (delete_underlying_polygons)
         get_IpePage()->Delete();
-      get_IpePage()->push_back(IpePgObject(IpePgObject::ESecondary,get_IpeletHelper()->CurrentLayer(),obj_ipe));    
-    }    
-    
-    void 
-    center_selection_in_page() const 
+      get_IpePage()->push_back(IpePgObject(IpePgObject::ESecondary,get_IpeletHelper()->CurrentLayer(),obj_ipe));
+    }
+
+    void
+    center_selection_in_page() const
     {
       IpeVector paper_size=get_paper_size();
       IpeMatrix tfm (1,0,0,1,paper_size.iX/2.,paper_size.iY/2.);
@@ -312,10 +312,10 @@ public:
         if (it->Select())
           it->Transform(tfm);
     }
-    
+
     template<class iterator>
-    IpeSegmentSubPath* 
-    create_polyline(const iterator first, const iterator last,bool setclose=false) const 
+    IpeSegmentSubPath*
+    create_polyline(const iterator first, const iterator last,bool setclose=false) const
     {
       if (boost::next(first)!=last){
         IpeSegmentSubPath* SSP_ipe = new IpeSegmentSubPath();
@@ -331,10 +331,10 @@ public:
       }
       return nullptr;
     }
-    
-    
+
+
     template<class iterator>
-    IpePath* 
+    IpePath*
     draw_polyline_in_ipe(const iterator first, const iterator last,
                          bool setclose=false,bool deselect_all=false,
                          bool blackfill=false,
@@ -342,8 +342,8 @@ public:
                                     boost::is_same<
                                       typename std::iterator_traits<iterator>::value_type,
                                       Point_2
-                                    > 
-                                  >::type* =nullptr) const 
+                                    >
+                                  >::type* =nullptr) const
     {
       IpeSegmentSubPath* SSP_ipe=create_polyline(first,last,setclose);
       if (SSP_ipe!=nullptr){
@@ -355,9 +355,9 @@ public:
         if (deselect_all) (--_page->end())->SetSelect(IpePgObject::ENone);
         return obj_ipe;
       }
-      return nullptr;  
+      return nullptr;
     }
-    
+
     void draw_in_ipe(const Circle_2& C,bool deselect_all=false) const {
       IpeEllipse *ellipse = new IpeEllipse(IpeMatrix(sqrt(CGAL::to_double(C.squared_radius())),0,
                                                      0,sqrt(CGAL::to_double(C.squared_radius())),
@@ -369,17 +369,17 @@ public:
       _page->push_back(IpePgObject(IpePgObject::EPrimary,_helper->CurrentLayer(), path));
       if (deselect_all) (--_page->end())->SetSelect(IpePgObject::ENone);
     }
- 
+
     void
-    draw_in_ipe(const Point_2& P,bool deselect_all=false) const 
+    draw_in_ipe(const Point_2& P,bool deselect_all=false) const
     {
       IpeMark *mark = new IpeMark(_helper->Attributes(), IpeVector(CGAL::to_double(P.x()),CGAL::to_double(P.y())));
       _page->push_back(IpePgObject(IpePgObject::ESecondary,_helper->CurrentLayer(),mark));
       if (deselect_all) (--_page->end())->SetSelect(IpePgObject::ENone);
     }
-    
-    void 
-    draw_in_ipe(const Segment_2& S,bool deselect_all=false) const 
+
+    void
+    draw_in_ipe(const Segment_2& S,bool deselect_all=false) const
     {
       IpeSegment seg_ipe;
       seg_ipe.iP = IpeVector(CGAL::to_double(S.point(0).x()),CGAL::to_double(S.point(0).y()));
@@ -387,10 +387,10 @@ public:
       _page->push_back(IpePgObject(IpePgObject::ESecondary,_helper->CurrentLayer(),new IpePath(_helper->Attributes(),seg_ipe)));
       if (deselect_all) (--_page->end())->SetSelect(IpePgObject::ENone);
     }
-    
+
     template<class Container>
-    void 
-    draw_in_ipe(const CGAL::Polygon_2<Kernel,Container>& poly,bool deselect_all=false) const 
+    void
+    draw_in_ipe(const CGAL::Polygon_2<Kernel,Container>& poly,bool deselect_all=false) const
     {
       std::list<Point_2> LP;
       for (typename CGAL::Polygon_2<Kernel,Container>::iterator it=poly.vertices_begin();it!= poly.vertices_end();++it)
@@ -398,8 +398,8 @@ public:
       draw_polyline_in_ipe(LP.begin(),LP.end(),true,deselect_all,false);
     }
 
-    void 
-    draw_in_ipe(const Circular_arc_2& arc,bool deselect_all=false) const 
+    void
+    draw_in_ipe(const Circular_arc_2& arc,bool deselect_all=false) const
     {
       IpeSegmentSubPath* SSP_ipe = new IpeSegmentSubPath;
       IpeVector ipeS=IpeVector( CGAL::to_double(std::get<1>(arc).x()),
@@ -420,7 +420,7 @@ public:
 
 
     void
-    draw_in_ipe(const Triangle_2& t,bool deselect_all=false) const 
+    draw_in_ipe(const Triangle_2& t,bool deselect_all=false) const
     {
       IpeSegmentSubPath* SSP_ipe = new IpeSegmentSubPath();
       IpeVector P0=IpeVector(t[0].x(),t[0].y());
@@ -435,8 +435,8 @@ public:
       _page->push_back(IpePgObject(IpePgObject::ESecondary,_helper->CurrentLayer(),obj_ipe));
       if (deselect_all) (--_page->end())->SetSelect(IpePgObject::ENone);
     }
-    
-    void 
+
+    void
     draw_in_ipe(const Iso_rectangle_2& r,bool deselect_all=false)
     {
       IpeSegmentSubPath* SSP_ipe = new IpeSegmentSubPath();
@@ -451,15 +451,15 @@ public:
       SSP_ipe->SetClosed(true);
       IpePath* obj_ipe = new IpePath(_helper->Attributes());
       obj_ipe->AddSubPath(SSP_ipe);
-      _page->push_back(IpePgObject(IpePgObject::ESecondary,_helper->CurrentLayer(),obj_ipe));      
+      _page->push_back(IpePgObject(IpePgObject::ESecondary,_helper->CurrentLayer(),obj_ipe));
       if (deselect_all) (--_page->end())->SetSelect(IpePgObject::ENone);
     }
-    
-    
+
+
     //Drawing function with bbox : global version
     template <class T>
-    void 
-    draw_in_ipe(const T& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const 
+    void
+    draw_in_ipe(const T& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const
     {
       Segment_2 s;
       bool success=cast_into_seg(object,bbox,&s);
@@ -468,9 +468,9 @@ public:
     }
   private:
     enum Type_circ_arc{SRC,TRG,OSRC,OTRG};
-  public:  
-    void 
-    draw_in_ipe(const Circular_arc_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const 
+  public:
+    void
+    draw_in_ipe(const Circular_arc_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const
     {
       std::vector<Circular_arc_2> arc_list;
       const Circle_2& circle=std::get<0>(object);
@@ -479,7 +479,7 @@ public:
         draw_in_ipe(object,deselect_all);
         return;
       }
-      
+
       const Point_2* source=(std::get<3>(object)==CGAL::COUNTERCLOCKWISE)?
                             &std::get<1>(object):&std::get<2>(object);
       const Point_2* target=(std::get<3>(object)==CGAL::COUNTERCLOCKWISE)?
@@ -490,16 +490,16 @@ public:
                                 std::make_pair(get_theta(*source,circle),std::make_pair(OSRC,source)));
       /*Map_theta_iterator t_it=*/map_theta.insert(
                                 std::make_pair(get_theta(*target,circle),std::make_pair(OTRG,target)));
-      
+
       for (typename std::vector<Circular_arc_2>::iterator it_arc=arc_list.begin();it_arc!=arc_list.end();++it_arc){
         const Point_2* arc_s=(std::get<3>(*it_arc)==CGAL::COUNTERCLOCKWISE)?
                              &std::get<1>(*it_arc):&std::get<2>(*it_arc);
         const Point_2* arc_t=(std::get<3>(*it_arc)==CGAL::COUNTERCLOCKWISE)?
-                             &std::get<2>(*it_arc):&std::get<1>(*it_arc);        
+                             &std::get<2>(*it_arc):&std::get<1>(*it_arc);
         map_theta.insert( std::make_pair(get_theta(*arc_s,circle),std::make_pair(SRC,arc_s) ) );
         map_theta.insert( std::make_pair(get_theta(*arc_t,circle),std::make_pair(TRG,arc_t) ) );
       }
-      
+
       Map_theta_iterator next_s=s_it;
       ++next_s; if (next_s==map_theta.end()) next_s=map_theta.begin();
       switch (next_s->second.first){
@@ -507,7 +507,7 @@ public:
           draw_in_ipe(Circular_arc_2(circle,*source,*(next_s->second.second),CGAL::COUNTERCLOCKWISE));
           break;
         case OSRC:
-	  CGAL_error();
+          CGAL_error();
         case SRC:{
           Map_theta_iterator current=next_s;
           ++next_s; if (next_s==map_theta.end()) next_s=map_theta.begin();
@@ -524,7 +524,7 @@ public:
           else
             return;
       }
-      
+
       ++next_s; if (next_s==map_theta.end()) next_s=map_theta.begin();
       Map_theta_iterator current=next_s;
       ++next_s; if (next_s==map_theta.end()) next_s=map_theta.begin();
@@ -538,12 +538,12 @@ public:
         current=next_s;
         ++next_s; if (next_s==map_theta.end()) next_s=map_theta.begin();
       }while(true);
-      
+
     }
-    
-    
+
+
     void
-    draw_in_ipe(const Circle_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const 
+    draw_in_ipe(const Circle_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const
     {
       std::vector<Circular_arc_2> arc_list;
       restrict_circle_to_bbox(object,bbox,std::back_inserter(arc_list));
@@ -552,34 +552,34 @@ public:
       else
         draw_in_ipe(arc_list.begin(),arc_list.end(),false,deselect_all);
     }
-      
-    
-    void 
-    draw_in_ipe(const Triangle_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const 
+
+
+    void
+    draw_in_ipe(const Triangle_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const
     {
        for (unsigned int i=0;i!=3;++i)
         draw_in_ipe(Segment_2(object.vertex(i),object.vertex(i+1)),bbox,deselect_all);
     }
-      
-    void 
-    draw_in_ipe(const Iso_rectangle_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const 
+
+    void
+    draw_in_ipe(const Iso_rectangle_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const
     {
       for (unsigned int i=0;i!=4;++i)
-        draw_in_ipe(Segment_2(object.vertex(i),object.vertex(i+1)),bbox,deselect_all); 
+        draw_in_ipe(Segment_2(object.vertex(i),object.vertex(i+1)),bbox,deselect_all);
     }
-      
-    void 
-    draw_in_ipe(const Polygon_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const 
+
+    void
+    draw_in_ipe(const Polygon_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const
     {
       for (typename Polygon_2::Edge_const_iterator it=object.edges_begin();it!=object.edges_end();++it)
         draw_in_ipe(*it,bbox,deselect_all);
     }
-      
-      
-      
+
+
+
     template<class GT,class TDS>
-    void 
-    draw_in_ipe(const CGAL::Triangulation_2<GT,TDS>& tri,const Iso_rectangle_2& bbox,bool deselect_all=false) const 
+    void
+    draw_in_ipe(const CGAL::Triangulation_2<GT,TDS>& tri,const Iso_rectangle_2& bbox,bool deselect_all=false) const
     {
       typedef CGAL::Triangulation_2<GT,TDS> Triangulation;
       typename Triangulation::Finite_edges_iterator first=tri.finite_edges_begin();
@@ -589,26 +589,26 @@ public:
       if (deselect_all)
         _page->DeselectAll();
     }
-    
+
     void
-    draw_in_ipe(const Line_2& line,bool deselect_all=false) const 
+    draw_in_ipe(const Line_2& line,bool deselect_all=false) const
     {
       IpeVector paper_size=get_paper_size();
       Iso_rectangle_2 bbox(0,0,paper_size.iX,paper_size.iY);
       draw_in_ipe(line,bbox,deselect_all);
     }
-      
+
     void
     draw_in_ipe(const Ray_2& ray,bool deselect_all=false)
     {
       IpeVector paper_size=get_paper_size();
       Iso_rectangle_2 bbox(0,0,paper_size.iX,paper_size.iY);
-      draw_in_ipe(ray,bbox,deselect_all);      
+      draw_in_ipe(ray,bbox,deselect_all);
     }
-    
+
     template<class GT,class TDS>
     void
-    draw_in_ipe(const CGAL::Triangulation_2<GT,TDS>& tri,bool deselect_all=false,bool make_grp=true) const 
+    draw_in_ipe(const CGAL::Triangulation_2<GT,TDS>& tri,bool deselect_all=false,bool make_grp=true) const
     {
       typedef CGAL::Triangulation_2<GT,TDS> Triangulation;
       typename Triangulation::Finite_edges_iterator first=tri.finite_edges_begin();
@@ -620,9 +620,9 @@ public:
       if (deselect_all)
         _page->DeselectAll();
     }
-    
+
     template<class iterator>
-    void 
+    void
     draw_in_ipe(const iterator begin,const iterator end,bool make_grp=true,bool deselect_all=false) const
     {
       for (iterator it=begin;it!=end;++it)
@@ -630,7 +630,7 @@ public:
       if (make_grp and ++iterator(begin)!=end)
         _page->Group(_helper->CurrentLayer());
       if (deselect_all)
-        _page->DeselectAll();      
+        _page->DeselectAll();
     }
 
     template<class iterator>
@@ -649,19 +649,19 @@ public:
       if (make_grp and ++iterator(begin)!=end)
         _page->Group(_helper->CurrentLayer());
       if (deselect_all)
-        _page->DeselectAll();      
+        _page->DeselectAll();
     }
-    
+
     private:
-    
-    IpeVector 
+
+    IpeVector
     get_paper_size() const {
       if (IPELIB_VERSION >=  60028)
         return get_IpeletHelper()->StyleSheet()->findLayout().iPaperSize;
       else
         return IpeVector(595,842);
     }
-    
+
     struct Voronoi_from_tri{  //Class using stream to get the voronoi diagram
       std::list<Ray_2> ray_list;
       std::list<Line_2> line_list;
@@ -672,9 +672,9 @@ public:
       void operator<<(const Segment_2& p){seg_list.push_back(p);}
 
     };
-    
+
     template <class T,class output_iterator>
-    bool 
+    bool
     cast_into_seg(const T& obj,const Iso_rectangle_2& bbox,output_iterator out_it) const{
       CGAL::Object obj_cgal = CGAL::intersection(obj,bbox);
       Segment_2 s;
@@ -682,10 +682,10 @@ public:
       if (ret) *out_it++=s;
       return ret;
     }
-    
+
     //Convert infinite objects into drawable segments
     template<class iterator,class output_iterator>
-    void 
+    void
     cast_into_seg(const iterator first,const iterator end,
                   const Iso_rectangle_2& bbox, output_iterator out_it) const
     {
@@ -693,9 +693,9 @@ public:
         cast_into_seg(*it,bbox,out_it);
     }
 
-    
-    
-    void 
+
+
+    void
     draw_dual_(Voronoi_from_tri& v_recup,const Iso_rectangle_2& bbox,bool makegrp) const
     {
       std::vector<Segment_2> seg_cont;
@@ -705,16 +705,16 @@ public:
         if (itc->is_degenerate())
           v_recup.seg_list.erase(itc);
       }
-      
+
       cast_into_seg(v_recup.ray_list.begin(),v_recup.ray_list.end(),bbox,std::back_inserter(seg_cont));//cast rays into segments in bbox
       cast_into_seg(v_recup.line_list.begin(),v_recup.line_list.end(),bbox,std::back_inserter(seg_cont));//cast lines into segments in bbox
       cast_into_seg(v_recup.seg_list.begin(),v_recup.seg_list.end(),bbox,std::back_inserter(seg_cont));//cast lines into segments in bbox
       draw_in_ipe(seg_cont.begin(), seg_cont.end(),makegrp);
     }
-    
+
     public:
     template<class Triangulation>
-    void 
+    void
     draw_dual_in_ipe(Triangulation& T,const Iso_rectangle_2& bbox,bool makegrp=true,bool deselect_all=false) const
     {
     //~ template<class GT,class TDS>
@@ -731,19 +731,19 @@ public:
                          bool makegrp=true,bool deselect_all=false) const
     {
     //~ template<class GT,class TDS>
-    //~ void draw_skeleton_in_ipe(const CGAL::Triangulation_2<GT,TDS>& T,const Iso_rectangle_2& bbox) const{    
+    //~ void draw_skeleton_in_ipe(const CGAL::Triangulation_2<GT,TDS>& T,const Iso_rectangle_2& bbox) const{
       Voronoi_from_tri v_recup;
       T.draw_skeleton(v_recup);
       draw_dual_(v_recup,bbox,makegrp);
       if (deselect_all) _page->DeselectAll();
     }
-    
+
     //Circle restriction
   private:
     inline double get_theta(const Point_2& point, const Circle_2& circle) const {
       return atan2(CGAL::to_double(point.y()-circle.center().y()),CGAL::to_double(point.x()-circle.center().x()));
     }
-  
+
     //SK objects
     typedef CGAL::Exact_circular_kernel_2 SK;
     typedef SK::Circle_2                  Exact_circle_2;
@@ -753,15 +753,15 @@ public:
 
 
     //s and t are given such that if center of exact_circle is inside bbox then turn COUNTERCLOCKWISE
-    Circular_arc_2 
+    Circular_arc_2
     build_arc(const Exact_circle_2& exact_circle,const SK::Circular_arc_point_2& s,
-              const SK::Circular_arc_point_2& t,bool sign_known=false) const 
+              const SK::Circular_arc_point_2& t,bool sign_known=false) const
     {
       Point_2 sd=Point_2(CGAL::to_double(s.x()),CGAL::to_double(s.y()));
       Point_2 td=Point_2(CGAL::to_double(t.x()),CGAL::to_double(t.y()));
       Point_2 center(CGAL::to_double(exact_circle.center().x()),CGAL::to_double(exact_circle.center().y()));
       CGAL::Cartesian_converter<SK,Kernel> conv;
-      Circle_2 approx_circle=conv(exact_circle);  
+      Circle_2 approx_circle=conv(exact_circle);
       if (!sign_known){
         CGAL::Sign sign = (CGAL::orientation(sd,td,center)==CGAL::LEFT_TURN)?CGAL::POSITIVE:CGAL::NEGATIVE;
         return std::make_tuple(approx_circle,sd,td,sign);
@@ -769,20 +769,20 @@ public:
       return std::make_tuple(approx_circle,sd,td,CGAL::POSITIVE);
     }
 
-    void 
+    void
     get_pair_indices(int* array,int* pair) const {
       for (int i=0;i<8;++i)
         if (array[i]!=-1) *pair++=i;
     }
 
-    void 
+    void
     set_done(int* array,int index) const {
       for (int i =0;i<8;++i)
         if (array[i]==index) array[i]=-1;
     }
 
 
-    bool 
+    bool
     indices_are_on_opposite_side(int* array) const {
         if (array[0]!=-1 || array[5]!=-1)
           return array[2]!=-1 || array[7]!=-1;
@@ -791,7 +791,7 @@ public:
         return false;
     }
 
-    int 
+    int
     count_points(int* array) const {
       int ret=0;
       for (int i =0;i<8;++i)
@@ -809,7 +809,7 @@ public:
     // |                       |
     // .-----0---------5-------.
     template <class Output_iterator>
-    void 
+    void
     restrict_circle_to_bbox(const Circle_2& approx_circle,
                             const Iso_rectangle_2& bbox,Output_iterator out) const
     {
@@ -819,13 +819,13 @@ public:
       SK::Intersect_2 inter=SK().intersect_2_object();
       std::vector< std::pair<Circular_arc_point_2,unsigned> > points;
       points.reserve(8);
-      
+
       std::vector<CGAL::Object> ints;
       ints.reserve(2);
       std::pair<Circular_arc_point_2,unsigned> tmp_pt;
-      
+
       int indices[8]={-1,-1,-1,-1,-1,-1,-1,-1};
-      
+
       for (unsigned i=0;i!=4;++i){
         ints.clear();
         SK::Segment_2 S(conv(bbox[i]),conv(bbox[(i+1)%4]));
@@ -852,7 +852,7 @@ public:
             CGAL_assertion(ok);
             points.push_back(tmp_pt);
             index=points.size()-1;
-            indices[(i+1)%4+4]=index;      
+            indices[(i+1)%4+4]=index;
             break;
         }
       }
@@ -862,7 +862,7 @@ public:
         if (indices[i]!=-1 && indices[i+4]!=-1){
           *out++=build_arc(exact_circle,points[ indices[i+4] ].first,points[ indices[i] ].first);
           if (points[ indices[i] ].second==1) set_done(indices,indices[i]);
-          else indices[i]=-1;      
+          else indices[i]=-1;
           if (points[ indices[i+4] ].second==1) set_done(indices,indices[i+4]);
           else indices[i+4]=-1;
         }
@@ -878,11 +878,11 @@ public:
         else{
           *out++=build_arc(exact_circle,points[ indices[6] ].first,points[ indices[3] ].first);
           if (indices[6]!=indices[1] && indices[3]!=indices[4])
-            *out++=build_arc(exact_circle,points[ indices[4] ].first,points[ indices[1] ].first);      
+            *out++=build_arc(exact_circle,points[ indices[4] ].first,points[ indices[1] ].first);
         }
-        return;  
+        return;
       }
-      
+
       if (rem_pt==2){
         int pair[2];
         get_pair_indices(indices,pair);
@@ -895,14 +895,14 @@ public:
       CGAL_assertion (rem_pt==0);
     }
   };
-  
-  
+
+
   //definition
   template <class Kernel,int nbf>
   template< class multi_output_iterator >
-  bool 
+  bool
   Ipelet_base<Kernel,nbf>::read_one_active_object(IpeObject* object,
-                                                  multi_output_iterator it_out) const 
+                                                  multi_output_iterator it_out) const
   {
     if (object->AsGroup()){
       bool deselect_grp=false;
@@ -916,10 +916,10 @@ public:
       }
       return deselect_grp;
     }
-    
+
     //detect Points
     if( object->AsMark() ){
-      if ( !CGAL::Is_in_tuple<Point_2,typename multi_output_iterator::Value_type_tuple>::value ) 
+      if ( !CGAL::Is_in_tuple<Point_2,typename multi_output_iterator::Value_type_tuple>::value )
         return true;
       it_out++=to_point_2(object);
       return false;
@@ -933,7 +933,7 @@ public:
         if(object->AsPath()-> SubPath(i)->AsSegs()){
           std::list<Segment_2> seg_list;
           bool is_polygon=object-> AsPath() -> SubPath(i)->Closed();
-          
+
           const IpeSegmentSubPath* SSP_ipe = object -> AsPath() -> SubPath(i) -> AsSegs();
           for(int j=0; j< SSP_ipe->NumSegments();++j){
             if (SSP_ipe -> Segment(j).Type()==IpePathSegment::ESegment){
@@ -969,7 +969,7 @@ public:
                 to_deselect=true;
             }
           }
-          if (object->AsPath() -> SubPath(i)->Closed() && 
+          if (object->AsPath() -> SubPath(i)->Closed() &&
               (SSP_ipe -> Segment(0).CP(0)-SSP_ipe -> Segment(SSP_ipe->NumSegments()-1).CP(1)).Len()!=0 ){ //for close polygon, seg
             seg_list.push_back( Segment_2(
                               segment_endpoint(SSP_ipe -> Segment(SSP_ipe->NumSegments()-1),object-> AsPath(),1),
@@ -978,7 +978,7 @@ public:
           }
           //~ if (seg_list.empty())
             //~ to_deselect=true;
-          
+
           if (is_polygon){
             if (  !CGAL::Is_in_tuple<Polygon_2,typename multi_output_iterator::Value_type_tuple>::value  )
               to_deselect=true;
diff -pruN 5.0.2-3/include/CGAL/CGAL_Ipelet_base_v7.h 5.0.3-1/include/CGAL/CGAL_Ipelet_base_v7.h
--- 5.0.2-3/include/CGAL/CGAL_Ipelet_base_v7.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CGAL_Ipelet_base_v7.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ipelets/include/CGAL/CGAL_Ipelet_base_v7.h $
-// $Id: CGAL_Ipelet_base_v7.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ipelets/include/CGAL/CGAL_Ipelet_base_v7.h $
+// $Id: CGAL_Ipelet_base_v7.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Sylvain Pion
 
@@ -40,7 +40,7 @@ namespace CGAL{
 
   template <class Kernel,int nbf>
   class Ipelet_base : public ipe::Ipelet {
-  private:  
+  private:
     const std::string* SubLab;
     const std::string* HMsg;
     std::string Name;
@@ -48,39 +48,39 @@ namespace CGAL{
     ipe::IpeletHelper* helper_;
 
   public:
-    
+
     typedef ipe::Vector IpeVector; //ipe6 compatibility
     typedef ipe::Curve  IpeSegmentSubPath;//ipe6 compatibility
     typedef ipe::Matrix IpeMatrix;//ipe6 compatibility
     typedef ipe::Path   IpePath;//ipe6 compatibility
     //indicates if the selection should be primary or secondary. Exactly one primary selection should exist
-    ipe::TSelect get_selection_type() const { return get_IpePage()->primarySelection()==-1 ? ipe::EPrimarySelected : ipe::ESecondarySelected;}  
+    ipe::TSelect get_selection_type() const { return get_IpePage()->primarySelection()==-1 ? ipe::EPrimarySelected : ipe::ESecondarySelected;}
     //ipe6 compatibility
     void transform_selected_objects_(const IpeMatrix& tfm) const {
       for (int i=0;i<static_cast<int>(get_IpePage()->count());++i)
         if (get_IpePage()->select(i)!=ipe::ENotSelected)
-          get_IpePage()->transform(i,tfm);      
+          get_IpePage()->transform(i,tfm);
     }
- 
+
     void delete_selected_objects_() const {
       for (unsigned i=static_cast<unsigned>(get_IpePage()->count());i>0;--i)
         if (get_IpePage()->select(i-1)!=ipe::ENotSelected)
           get_IpePage()->remove(i-1);
-    }  
-    
+    }
+
     void group_selected_objects_() const {
       ipe::Group* grp=new ipe::Group();
       for (unsigned i=static_cast<unsigned>(get_IpePage()->count());i>0;--i)
         if (get_IpePage()->select(i-1)!=ipe::ENotSelected){
-          grp->push_back( get_IpePage()->object(i-1)->clone() );      
-          //~ grp->push_back( get_IpePage()->object(i-1) );      
-          get_IpePage()->remove(i-1);      
+          grp->push_back( get_IpePage()->object(i-1)->clone() );
+          //~ grp->push_back( get_IpePage()->object(i-1) );
+          get_IpePage()->remove(i-1);
         }
-      get_IpePage()->append(get_selection_type(),CURRENTLAYER,grp);    
+      get_IpePage()->append(get_selection_type(),CURRENTLAYER,grp);
     }
-    
-  
-    
+
+
+
     //typedefs
     typedef typename Kernel::FT                                               FT;
     typedef typename CGAL::Point_2<Kernel>                                    Point_2;
@@ -92,15 +92,15 @@ namespace CGAL{
     typedef typename Kernel::Triangle_2                                       Triangle_2;
     //~ typedef typename CGAL::Polygon_2<Kernel,std::list<Point_2> >              Polygon_2;
     typedef CGAL::Polygon_2<Kernel>                                           Polygon_2;
-  
+
     typedef typename Kernel::Circle_2                                         Circle_2;
     typedef std::tuple<Circle_2,Point_2,Point_2,CGAL::Sign>           Circular_arc_2;
-  
-  
+
+
     Ipelet_base(const std::string NameS,const std::string SubLabS[],const std::string HMsgS[])
       :SubLab(&SubLabS[0]),HMsg(&HMsgS[0]),Name(NameS),data_(nullptr),helper_(nullptr){};
-    
-    
+
+
     ipe::Page* get_IpePage() const {return data_->iPage;}
     ipe::IpeletData* get_IpeletData() const {return data_;}
     ipe::IpeletHelper* get_IpeletHelper() const {return helper_;}
@@ -124,7 +124,7 @@ namespace CGAL{
     };
 
     virtual void protected_run(int)=0;
-    
+
     void show_help(bool gen=true) const{
       std::string hmsg;
       hmsg="<qt><h1>"+Name+"</h1><ul>";
@@ -137,54 +137,54 @@ namespace CGAL{
       return;
     }
 
-    
+
     //grabbers
-    
+
     template <class output_iterator>
     struct Point_grabber:public internal::Point_grabber<Kernel,output_iterator>{
       Point_grabber(output_iterator it):internal::Point_grabber<Kernel,output_iterator>(it){}
     };
-      
+
     template<class output_iterator>
     boost::function_output_iterator<Point_grabber<output_iterator> >
     point_grabber(output_iterator it){
       return boost::make_function_output_iterator(Point_grabber<output_iterator>(it));
     }
-    
+
 
     template <class output_iterator>
     struct Segment_grabber:public internal::Segment_grabber<Kernel,output_iterator>{
       Segment_grabber(output_iterator it):internal::Segment_grabber<Kernel,output_iterator>(it){}
     };
-      
+
     template<class output_iterator>
     boost::function_output_iterator<Segment_grabber<output_iterator> >
     segment_grabber(output_iterator it){
       return boost::make_function_output_iterator(Segment_grabber<output_iterator>(it));
     }
-    
+
     template <class output_iterator>
     struct Wpoint_grabber:public internal::Wpoint_grabber<Kernel,output_iterator>{
       Wpoint_grabber(output_iterator it):internal::Wpoint_grabber<Kernel,output_iterator>(it){}
     };
-      
+
     template<class output_iterator>
     boost::function_output_iterator<Wpoint_grabber<output_iterator> >
     wpoint_grabber(output_iterator it){
       return boost::make_function_output_iterator(Wpoint_grabber<output_iterator>(it));
-    }     
-    
+    }
+
     //Interaction functions
     //------------------------------
-    
-    void 
+
+    void
     print_error_message(const char* s) const
     {
       get_IpeletHelper()->message(s);
     }
-    
+
     template <class T>
-    std::pair<int,T> 
+    std::pair<int,T>
     request_value_from_user(std::string msg) const
     {
       ipe::String str;
@@ -203,7 +203,7 @@ namespace CGAL{
 
     //Conversion functions
     //------------------------------
-    Point_2 
+    Point_2
     segment_endpoint(const ipe::CurveSegment& segment,ipe::Path* obj_ipe,int i) const
     {
       CGAL_precondition(i<2);
@@ -211,15 +211,15 @@ namespace CGAL{
       return Point_2((double)(pt_ipe.x),(double)(pt_ipe.y));//conversion into CGAL point
     }
 
-    Point_2 
+    Point_2
     to_point_2(ipe::Object*  object) const
     {
       ipe::Vector pt_ipe = object-> matrix() * object-> asReference() -> position();
       return Point_2((double)(pt_ipe.x),(double)(pt_ipe.y));//conversion into CGAL point
-    }    
+    }
 
-    Circle_2 
-    to_circle_2(ipe::Path* obj_ipe,int subpath=0) const 
+    Circle_2
+    to_circle_2(ipe::Path* obj_ipe,int subpath=0) const
     {
       const ipe::Ellipse* ell_ipe = obj_ipe -> shape().subPath(subpath) -> asEllipse();
       ipe::Matrix mat_ipe = obj_ipe -> matrix() * ell_ipe -> matrix();
@@ -228,74 +228,74 @@ namespace CGAL{
       return Circle_2(Point_2(pt_ipe.x,pt_ipe.y),radius*radius);
     }
 
-    
+
     //Picking functions
     //------------------------------
 
-    bool 
-    is_only_rotated_or_scaled(const ipe::Matrix& m) const 
+    bool
+    is_only_rotated_or_scaled(const ipe::Matrix& m) const
     {
       return (m.a[0]==m.a[3] && m.a[1]==-m.a[2]);
     }
 
-    bool 
-    is_IPE_circle(ipe::Object* object,int subpath=0) const 
+    bool
+    is_IPE_circle(ipe::Object* object,int subpath=0) const
     {
-      return ( object -> asPath() && object -> asPath() -> shape().subPath(subpath) -> asEllipse() 
+      return ( object -> asPath() && object -> asPath() -> shape().subPath(subpath) -> asEllipse()
         && is_only_rotated_or_scaled(object ->asPath()->matrix()));
     }
 
-    
+
 public:
     //declaration
     template< class multi_output_iterator >
     bool read_one_active_object( ipe::Object* object,
       multi_output_iterator it_out) const;
 
-public:    
+public:
 
     template< class V,class O>
-    Iso_rectangle_2 
+    Iso_rectangle_2
     read_active_objects (
       CGAL::Dispatch_or_drop_output_iterator<V,O> it_out,
       bool deselect_all=true,
-      bool delete_selected_objects=false) const 
+      bool delete_selected_objects=false) const
     {
       ipe::Rect bbox_ipe;
-      
+
       if (!get_IpePage()->hasSelection()) {
         return Iso_rectangle_2();
       }
-      
+
       for (int i=0;i<static_cast<int>(get_IpePage()->count());++i){
         if (get_IpePage()->select(i)==ipe::ENotSelected)
           continue;
-        
+
         bbox_ipe.addRect(get_IpePage()->bbox(i));
-        
+
         //Test one function for segments, circles, circle arcs and polygons
         bool desel_it=read_one_active_object(get_IpePage()->object(i),it_out);
         if ( delete_selected_objects && desel_it  )
           get_IpePage()->setSelect(i,ipe::ENotSelected);
       }
-      
+
       if (delete_selected_objects)
         delete_selected_objects_();
-      
+
       if (deselect_all)
         get_IpePage()->deselectAll();
-      
+
       Iso_rectangle_2 bbox_cgal(
         static_cast<double>(bbox_ipe.bottomLeft().x),static_cast<double>(bbox_ipe.bottomLeft().y),
         static_cast<double>(bbox_ipe.topRight().x),static_cast<double>(bbox_ipe.topRight().y)
       );
-        
+
         return bbox_cgal;
     }
-    
+
     //drawing functions
     //------------------------------
-    void 
+    void
     create_polygon_with_holes(bool delete_underlying_polygons=false) const
     {
       std::list<ipe::SubPath*> SSPqu;
@@ -303,20 +303,20 @@ public:
         if (get_IpePage()->select(i)!=ipe::ENotSelected && get_IpePage()->object(i)->asPath()->shape().subPath(0)->closed() ){
           ipe::SubPath* ssp=new ipe::Curve(*get_IpePage()->object(i)->asPath()->shape().subPath(0)->asCurve());
           SSPqu.push_back(ssp);
-        }  
+        }
       }
       if (!delete_underlying_polygons)
         get_IpePage() -> deselectAll();
       ipe::Shape shape;// create new objects with current attributes
-      for (std::list<ipe::SubPath*>::iterator it=SSPqu.begin();it!=SSPqu.end();++it)  
+      for (std::list<ipe::SubPath*>::iterator it=SSPqu.begin();it!=SSPqu.end();++it)
         shape.appendSubPath(*it);
       if (delete_underlying_polygons)
         delete_selected_objects_();
-      get_IpePage()->append(get_selection_type(),CURRENTLAYER,new ipe::Path(CURRENTATTRIBUTES,shape));    
+      get_IpePage()->append(get_selection_type(),CURRENTLAYER,new ipe::Path(CURRENTATTRIBUTES,shape));
     }
-    
-    void 
-    center_selection_in_page() const 
+
+    void
+    center_selection_in_page() const
     {
       ipe::Vector paper_size=get_paper_size();
       ipe::Matrix tfm (1,0,0,1,paper_size.x/2.,paper_size.y/2.);
@@ -324,10 +324,10 @@ public:
         if (get_IpePage()->select(i)!=ipe::ENotSelected )
           get_IpePage()->transform(i,tfm);
     }
-    
+
     template<class iterator>
-    ipe::Curve* 
-    create_polyline(const iterator first, const iterator last,bool setclose=false) const 
+    ipe::Curve*
+    create_polyline(const iterator first, const iterator last,bool setclose=false) const
     {
       if (boost::next(first)!=last){
         ipe::Curve* SSP_ipe = new ipe::Curve();
@@ -343,10 +343,10 @@ public:
       }
       return nullptr;
     }
-    
-    
+
+
     template<class iterator>
-    ipe::Path* 
+    ipe::Path*
     draw_polyline_in_ipe(const iterator first, const iterator last,
                          bool setclose=false,bool deselect_all=false,
                          bool blackfill=false,
@@ -354,8 +354,8 @@ public:
                                     boost::is_same<
                                       typename std::iterator_traits<iterator>::value_type,
                                       Point_2
-                                    > 
-                                  >::type* =nullptr) const 
+                                    >
+                                  >::type* =nullptr) const
     {
       ipe::Curve* SSP_ipe=create_polyline(first,last,setclose);
       if (SSP_ipe!=nullptr){
@@ -369,9 +369,9 @@ public:
         get_IpePage()->append( (deselect_all?ipe::ENotSelected:get_selection_type()),CURRENTLAYER,obj_ipe);
         return obj_ipe;
       }
-      return nullptr;  
+      return nullptr;
     }
-    
+
     void draw_in_ipe(const Circle_2& C,bool deselect_all=false) const {
       ipe::Ellipse *ellipse = new ipe::Ellipse(ipe::Matrix(sqrt(CGAL::to_double(C.squared_radius())),0,
                                                      0,sqrt(CGAL::to_double(C.squared_radius())),
@@ -382,26 +382,26 @@ public:
       shape.appendSubPath(ellipse);
       get_IpePage()->append( (deselect_all?ipe::ENotSelected:get_selection_type()),CURRENTLAYER,new ipe::Path(CURRENTATTRIBUTES,shape));
     }
- 
+
     void
-    draw_in_ipe(const Point_2& P,bool deselect_all=false) const 
+    draw_in_ipe(const Point_2& P,bool deselect_all=false) const
     {
       ipe::Reference *mark = new ipe::Reference(CURRENTATTRIBUTES,CURRENTATTRIBUTES.iMarkShape, ipe::Vector(CGAL::to_double(P.x()),CGAL::to_double(P.y())));
-      get_IpePage()->append( (deselect_all?ipe::ENotSelected:get_selection_type()),CURRENTLAYER,mark);      
+      get_IpePage()->append( (deselect_all?ipe::ENotSelected:get_selection_type()),CURRENTLAYER,mark);
     }
-    
-    void 
-    draw_in_ipe(const Segment_2& S,bool deselect_all=false) const 
+
+    void
+    draw_in_ipe(const Segment_2& S,bool deselect_all=false) const
     {
       ipe::Segment seg_ipe;
       seg_ipe.iP = ipe::Vector(CGAL::to_double(S.point(0).x()),CGAL::to_double(S.point(0).y()));
       seg_ipe.iQ = ipe::Vector(CGAL::to_double(S.point(1).x()),CGAL::to_double(S.point(1).y()));
-      get_IpePage()->append( (deselect_all?ipe::ENotSelected:get_selection_type()),CURRENTLAYER,new ipe::Path(CURRENTATTRIBUTES,ipe::Shape(seg_ipe)));      
+      get_IpePage()->append( (deselect_all?ipe::ENotSelected:get_selection_type()),CURRENTLAYER,new ipe::Path(CURRENTATTRIBUTES,ipe::Shape(seg_ipe)));
     }
-    
+
     template<class Container>
-    void 
-    draw_in_ipe(const CGAL::Polygon_2<Kernel,Container>& poly,bool deselect_all=false) const 
+    void
+    draw_in_ipe(const CGAL::Polygon_2<Kernel,Container>& poly,bool deselect_all=false) const
     {
       std::list<Point_2> LP;
       for (typename CGAL::Polygon_2<Kernel,Container>::iterator it=poly.vertices_begin();it!= poly.vertices_end();++it)
@@ -409,8 +409,8 @@ public:
       draw_polyline_in_ipe(LP.begin(),LP.end(),true,deselect_all,false);
     }
 
-    void 
-    draw_in_ipe(const Circular_arc_2& arc,bool deselect_all=false) const 
+    void
+    draw_in_ipe(const Circular_arc_2& arc,bool deselect_all=false) const
     {
       ipe::Curve* SSP_ipe = new ipe::Curve;
       ipe::Vector ipeS=ipe::Vector( CGAL::to_double(std::get<1>(arc).x()),
@@ -430,7 +430,7 @@ public:
 
 
     void
-    draw_in_ipe(const Triangle_2& t,bool deselect_all=false) const 
+    draw_in_ipe(const Triangle_2& t,bool deselect_all=false) const
     {
       ipe::Curve* SSP_ipe = new ipe::Curve();
       ipe::Vector P0=ipe::Vector(t[0].x(),t[0].y());
@@ -444,8 +444,8 @@ public:
       shape.appendSubPath(SSP_ipe);
       get_IpePage()->append( (deselect_all?ipe::ENotSelected:get_selection_type()),CURRENTLAYER,new ipe::Path(CURRENTATTRIBUTES,shape));
     }
-    
-    void 
+
+    void
     draw_in_ipe(const Iso_rectangle_2& r,bool deselect_all=false)
     {
       ipe::Curve* SSP_ipe = new ipe::Curve();
@@ -462,12 +462,12 @@ public:
       shape.appendSubPath(SSP_ipe);
       get_IpePage()->append( (deselect_all?ipe::ENotSelected:get_selection_type()),CURRENTLAYER,new ipe::Path(CURRENTATTRIBUTES,shape));
     }
-    
-    
+
+
     //Drawing function with bbox : global version
     template <class T>
-    void 
-    draw_in_ipe(const T& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const 
+    void
+    draw_in_ipe(const T& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const
     {
       Segment_2 s;
       bool success=cast_into_seg(object,bbox,&s);
@@ -476,9 +476,9 @@ public:
     }
   private:
     enum Type_circ_arc{SRC,TRG,OSRC,OTRG};
-  public:  
-    void 
-    draw_in_ipe(const Circular_arc_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const 
+  public:
+    void
+    draw_in_ipe(const Circular_arc_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const
     {
       std::vector<Circular_arc_2> arc_list;
       const Circle_2& circle=std::get<0>(object);
@@ -487,7 +487,7 @@ public:
         draw_in_ipe(object,deselect_all);
         return;
       }
-      
+
       const Point_2* source=(std::get<3>(object)==CGAL::COUNTERCLOCKWISE)?
                             &std::get<1>(object):&std::get<2>(object);
       const Point_2* target=(std::get<3>(object)==CGAL::COUNTERCLOCKWISE)?
@@ -499,16 +499,16 @@ public:
       /* Map_theta_iterator t_it=*/
                               map_theta.insert(
                                 std::make_pair(get_theta(*target,circle),std::make_pair(OTRG,target)));
-      
+
       for (typename std::vector<Circular_arc_2>::iterator it_arc=arc_list.begin();it_arc!=arc_list.end();++it_arc){
         const Point_2* arc_s=(std::get<3>(*it_arc)==CGAL::COUNTERCLOCKWISE)?
                              &std::get<1>(*it_arc):&std::get<2>(*it_arc);
         const Point_2* arc_t=(std::get<3>(*it_arc)==CGAL::COUNTERCLOCKWISE)?
-                             &std::get<2>(*it_arc):&std::get<1>(*it_arc);        
+                             &std::get<2>(*it_arc):&std::get<1>(*it_arc);
         map_theta.insert( std::make_pair(get_theta(*arc_s,circle),std::make_pair(SRC,arc_s) ) );
         map_theta.insert( std::make_pair(get_theta(*arc_t,circle),std::make_pair(TRG,arc_t) ) );
       }
-      
+
       Map_theta_iterator next_s=s_it;
       ++next_s; if (next_s==map_theta.end()) next_s=map_theta.begin();
       switch (next_s->second.first){
@@ -516,7 +516,7 @@ public:
           draw_in_ipe(Circular_arc_2(circle,*source,*(next_s->second.second),CGAL::COUNTERCLOCKWISE));
           break;
         case OSRC:
-	  CGAL_error();
+          CGAL_error();
         case SRC:{
           Map_theta_iterator current=next_s;
           ++next_s; if (next_s==map_theta.end()) next_s=map_theta.begin();
@@ -533,7 +533,7 @@ public:
           else
             return;
       }
-      
+
       ++next_s; if (next_s==map_theta.end()) next_s=map_theta.begin();
       Map_theta_iterator current=next_s;
       ++next_s; if (next_s==map_theta.end()) next_s=map_theta.begin();
@@ -547,12 +547,12 @@ public:
         current=next_s;
         ++next_s; if (next_s==map_theta.end()) next_s=map_theta.begin();
       }while(true);
-      
+
     }
-    
-    
+
+
     void
-    draw_in_ipe(const Circle_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const 
+    draw_in_ipe(const Circle_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const
     {
       std::vector<Circular_arc_2> arc_list;
       restrict_circle_to_bbox(object,bbox,std::back_inserter(arc_list));
@@ -561,34 +561,34 @@ public:
       else
         draw_in_ipe(arc_list.begin(),arc_list.end(),false,deselect_all);
     }
-      
-    
-    void 
-    draw_in_ipe(const Triangle_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const 
+
+
+    void
+    draw_in_ipe(const Triangle_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const
     {
        for (unsigned int i=0;i!=3;++i)
         draw_in_ipe(Segment_2(object.vertex(i),object.vertex(i+1)),bbox,deselect_all);
     }
-      
-    void 
-    draw_in_ipe(const Iso_rectangle_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const 
+
+    void
+    draw_in_ipe(const Iso_rectangle_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const
     {
       for (unsigned int i=0;i!=4;++i)
-        draw_in_ipe(Segment_2(object.vertex(i),object.vertex(i+1)),bbox,deselect_all); 
+        draw_in_ipe(Segment_2(object.vertex(i),object.vertex(i+1)),bbox,deselect_all);
     }
-      
-    void 
-    draw_in_ipe(const Polygon_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const 
+
+    void
+    draw_in_ipe(const Polygon_2& object,const Iso_rectangle_2& bbox,bool deselect_all=false) const
     {
       for (typename Polygon_2::Edge_const_iterator it=object.edges_begin();it!=object.edges_end();++it)
         draw_in_ipe(*it,bbox,deselect_all);
     }
-      
-      
-      
+
+
+
     template<class GT,class TDS>
-    void 
-    draw_in_ipe(const CGAL::Triangulation_2<GT,TDS>& tri,const Iso_rectangle_2& bbox,bool deselect_all=false) const 
+    void
+    draw_in_ipe(const CGAL::Triangulation_2<GT,TDS>& tri,const Iso_rectangle_2& bbox,bool deselect_all=false) const
     {
       typedef CGAL::Triangulation_2<GT,TDS> Triangulation;
       typename Triangulation::Finite_edges_iterator first=tri.finite_edges_begin();
@@ -598,26 +598,26 @@ public:
       if (deselect_all)
         get_IpePage()->deselectAll();
     }
-    
+
     void
-    draw_in_ipe(const Line_2& line,bool deselect_all=false) const 
+    draw_in_ipe(const Line_2& line,bool deselect_all=false) const
     {
       ipe::Vector paper_size=get_paper_size();
       Iso_rectangle_2 bbox(0,0,paper_size.x,paper_size.y);
       draw_in_ipe(line,bbox,deselect_all);
     }
-      
+
     void
     draw_in_ipe(const Ray_2& ray,bool deselect_all=false)
     {
       ipe::Vector paper_size=get_paper_size();
       Iso_rectangle_2 bbox(0,0,paper_size.x,paper_size.y);
-      draw_in_ipe(ray,bbox,deselect_all);      
+      draw_in_ipe(ray,bbox,deselect_all);
     }
-    
+
     template<class GT,class TDS>
     void
-    draw_in_ipe(const CGAL::Triangulation_2<GT,TDS>& tri,bool deselect_all=false,bool make_grp=true) const 
+    draw_in_ipe(const CGAL::Triangulation_2<GT,TDS>& tri,bool deselect_all=false,bool make_grp=true) const
     {
       typedef CGAL::Triangulation_2<GT,TDS> Triangulation;
       typename Triangulation::Finite_edges_iterator first=tri.finite_edges_begin();
@@ -629,9 +629,9 @@ public:
       if (deselect_all)
         get_IpePage()->deselectAll();
     }
-    
+
     template<class iterator>
-    void 
+    void
     draw_in_ipe(const iterator begin,const iterator end,bool make_grp=true,bool deselect_all=false) const
     {
       for (iterator it=begin;it!=end;++it)
@@ -658,16 +658,16 @@ public:
       if (make_grp and ++iterator(begin)!=end)
         group_selected_objects_();
       if (deselect_all)
-        get_IpePage()->deselectAll();      
+        get_IpePage()->deselectAll();
     }
-    
+
     private:
-    
-    ipe::Vector 
+
+    ipe::Vector
     get_paper_size() const {
         return data_->iDoc->cascade()->findLayout()->iPaperSize;
     }
-    
+
     struct Voronoi_from_tri{  //Class using stream to get the voronoi diagram
       std::list<Ray_2> ray_list;
       std::list<Line_2> line_list;
@@ -678,9 +678,9 @@ public:
       void operator<<(const Segment_2& p){seg_list.push_back(p);}
 
     };
-    
+
     template <class T,class output_iterator>
-    bool 
+    bool
     cast_into_seg(const T& obj,const Iso_rectangle_2& bbox,output_iterator out_it) const{
       CGAL::Object obj_cgal = CGAL::intersection(obj,bbox);
       Segment_2 s;
@@ -688,10 +688,10 @@ public:
       if (ret) *out_it++=s;
       return ret;
     }
-    
+
     //Convert infinite objects into drawable segments
     template<class iterator,class output_iterator>
-    void 
+    void
     cast_into_seg(const iterator first,const iterator end,
                   const Iso_rectangle_2& bbox, output_iterator out_it) const
     {
@@ -699,9 +699,9 @@ public:
         cast_into_seg(*it,bbox,out_it);
     }
 
-    
-    
-    void 
+
+
+    void
     draw_dual_(Voronoi_from_tri& v_recup,const Iso_rectangle_2& bbox,bool makegrp) const
     {
       std::vector<Segment_2> seg_cont;
@@ -711,16 +711,16 @@ public:
         if (itc->is_degenerate())
           v_recup.seg_list.erase(itc);
       }
-      
+
       cast_into_seg(v_recup.ray_list.begin(),v_recup.ray_list.end(),bbox,std::back_inserter(seg_cont));//cast rays into segments in bbox
       cast_into_seg(v_recup.line_list.begin(),v_recup.line_list.end(),bbox,std::back_inserter(seg_cont));//cast lines into segments in bbox
       cast_into_seg(v_recup.seg_list.begin(),v_recup.seg_list.end(),bbox,std::back_inserter(seg_cont));//cast lines into segments in bbox
       draw_in_ipe(seg_cont.begin(), seg_cont.end(),makegrp);
     }
-    
+
     public:
     template<class Triangulation>
-    void 
+    void
     draw_dual_in_ipe(Triangulation& T,const Iso_rectangle_2& bbox,bool makegrp=true,bool deselect_all=false) const
     {
     //~ template<class GT,class TDS>
@@ -737,19 +737,19 @@ public:
                          bool makegrp=true,bool deselect_all=false) const
     {
     //~ template<class GT,class TDS>
-    //~ void draw_skeleton_in_ipe(const CGAL::Triangulation_2<GT,TDS>& T,const Iso_rectangle_2& bbox) const{    
+    //~ void draw_skeleton_in_ipe(const CGAL::Triangulation_2<GT,TDS>& T,const Iso_rectangle_2& bbox) const{
       Voronoi_from_tri v_recup;
       T.draw_skeleton(v_recup);
       draw_dual_(v_recup,bbox,makegrp);
       if (deselect_all) get_IpePage()->deselectAll();
     }
-    
+
     //Circle restriction
   private:
     inline double get_theta(const Point_2& point, const Circle_2& circle) const {
       return atan2(CGAL::to_double(point.y()-circle.center().y()),CGAL::to_double(point.x()-circle.center().x()));
     }
-  
+
     //SK objects
     typedef CGAL::Exact_circular_kernel_2 SK;
     typedef SK::Circle_2                  Exact_circle_2;
@@ -759,15 +759,15 @@ public:
 
 
     //s and t are given such that if center of exact_circle is inside bbox then turn COUNTERCLOCKWISE
-    Circular_arc_2 
+    Circular_arc_2
     build_arc(const Exact_circle_2& exact_circle,const SK::Circular_arc_point_2& s,
-              const SK::Circular_arc_point_2& t,bool sign_known=false) const 
+              const SK::Circular_arc_point_2& t,bool sign_known=false) const
     {
       Point_2 sd=Point_2(CGAL::to_double(s.x()),CGAL::to_double(s.y()));
       Point_2 td=Point_2(CGAL::to_double(t.x()),CGAL::to_double(t.y()));
       Point_2 center(CGAL::to_double(exact_circle.center().x()),CGAL::to_double(exact_circle.center().y()));
       CGAL::Cartesian_converter<SK,Kernel> conv;
-      Circle_2 approx_circle=conv(exact_circle);  
+      Circle_2 approx_circle=conv(exact_circle);
       if (!sign_known){
         CGAL::Sign sign = (CGAL::orientation(sd,td,center)==CGAL::LEFT_TURN)?CGAL::POSITIVE:CGAL::NEGATIVE;
         return std::make_tuple(approx_circle,sd,td,sign);
@@ -775,20 +775,20 @@ public:
       return std::make_tuple(approx_circle,sd,td,CGAL::POSITIVE);
     }
 
-    void 
+    void
     get_pair_indices(int* array,int* pair) const {
       for (int i=0;i<8;++i)
         if (array[i]!=-1) *pair++=i;
     }
 
-    void 
+    void
     set_done(int* array,int index) const {
       for (int i =0;i<8;++i)
         if (array[i]==index) array[i]=-1;
     }
 
 
-    bool 
+    bool
     indices_are_on_opposite_side(int* array) const {
         if (array[0]!=-1 || array[5]!=-1)
           return array[2]!=-1 || array[7]!=-1;
@@ -797,7 +797,7 @@ public:
         return false;
     }
 
-    int 
+    int
     count_points(int* array) const {
       int ret=0;
       for (int i =0;i<8;++i)
@@ -815,7 +815,7 @@ public:
     // |                       |
     // .-----0---------5-------.
     template <class Output_iterator>
-    void 
+    void
     restrict_circle_to_bbox(const Circle_2& approx_circle,
                             const Iso_rectangle_2& bbox,Output_iterator out) const
     {
@@ -825,13 +825,13 @@ public:
       SK::Intersect_2 inter=SK().intersect_2_object();
       std::vector< std::pair<Circular_arc_point_2,unsigned> > points;
       points.reserve(8);
-      
+
       std::vector<CGAL::Object> ints;
       ints.reserve(2);
       std::pair<Circular_arc_point_2,unsigned> tmp_pt;
-      
+
       int indices[8]={-1,-1,-1,-1,-1,-1,-1,-1};
-      
+
       for (unsigned i=0;i!=4;++i){
         ints.clear();
         SK::Segment_2 S(conv(bbox[i]),conv(bbox[(i+1)%4]));
@@ -858,7 +858,7 @@ public:
             CGAL_assertion(ok); CGAL_USE(ok);
             points.push_back(tmp_pt);
             index=points.size()-1;
-            indices[(i+1)%4+4]=index;      
+            indices[(i+1)%4+4]=index;
             break;
         }
       }
@@ -868,7 +868,7 @@ public:
         if (indices[i]!=-1 && indices[i+4]!=-1){
           *out++=build_arc(exact_circle,points[ indices[i+4] ].first,points[ indices[i] ].first);
           if (points[ indices[i] ].second==1) set_done(indices,indices[i]);
-          else indices[i]=-1;      
+          else indices[i]=-1;
           if (points[ indices[i+4] ].second==1) set_done(indices,indices[i+4]);
           else indices[i+4]=-1;
         }
@@ -884,11 +884,11 @@ public:
         else{
           *out++=build_arc(exact_circle,points[ indices[6] ].first,points[ indices[3] ].first);
           if (indices[6]!=indices[1] && indices[3]!=indices[4])
-            *out++=build_arc(exact_circle,points[ indices[4] ].first,points[ indices[1] ].first);      
+            *out++=build_arc(exact_circle,points[ indices[4] ].first,points[ indices[1] ].first);
         }
-        return;  
+        return;
       }
-      
+
       if (rem_pt==2){
         int pair[2];
         get_pair_indices(indices,pair);
@@ -901,14 +901,14 @@ public:
       CGAL_assertion (rem_pt==0);
     }
   };
-  
-  
+
+
   //definition
   template <class Kernel,int nbf>
   template< class multi_output_iterator >
-  bool 
+  bool
   Ipelet_base<Kernel,nbf>::read_one_active_object(ipe::Object* object,
-                                                  multi_output_iterator it_out) const 
+                                                  multi_output_iterator it_out) const
   {
     if (object->asGroup()){
       bool deselect_grp=false;
@@ -922,10 +922,10 @@ public:
       }
       return deselect_grp;
     }
-    
+
     //detect Points
     if( object->asReference() ){
-      if ( !CGAL::Is_in_tuple<Point_2,typename multi_output_iterator::Value_type_tuple>::value ) 
+      if ( !CGAL::Is_in_tuple<Point_2,typename multi_output_iterator::Value_type_tuple>::value )
         return true;
       it_out++=to_point_2(object);
       return false;
@@ -939,7 +939,7 @@ public:
         if(object->asPath()-> shape().subPath(i)->asCurve()){
           std::list<Segment_2> seg_list;
           bool is_polygon=object-> asPath() -> shape().subPath(i)->closed();
-          
+
           const ipe::Curve* SSP_ipe = object -> asPath() -> shape().subPath(i) -> asCurve();
           for(int j=0; j< SSP_ipe->countSegments();++j){
             if (SSP_ipe -> segment(j).type()==ipe::CurveSegment::ESegment){
@@ -975,7 +975,7 @@ public:
                 to_deselect=true;
             }
           }
-          if (object->asPath() -> shape().subPath(i)->closed() && 
+          if (object->asPath() -> shape().subPath(i)->closed() &&
               (SSP_ipe -> segment(0).cp(0)-SSP_ipe -> segment(SSP_ipe->countSegments()-1).cp(1)).len()!=0 ){ //for close polygon, seg
             seg_list.push_back( Segment_2(
                               segment_endpoint(SSP_ipe -> segment(SSP_ipe->countSegments()-1),object-> asPath(),1),
@@ -984,7 +984,7 @@ public:
           }
           //~ if (seg_list.empty())
             //~ to_deselect=true;
-          
+
           if (is_polygon){
             if (  !CGAL::Is_in_tuple<Polygon_2,typename multi_output_iterator::Value_type_tuple>::value  )
               to_deselect=true;
diff -pruN 5.0.2-3/include/CGAL/ch_akl_toussaint.h 5.0.3-1/include/CGAL/ch_akl_toussaint.h
--- 5.0.2-3/include/CGAL/ch_akl_toussaint.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/ch_akl_toussaint.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/ch_akl_toussaint.h $
-// $Id: ch_akl_toussaint.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/ch_akl_toussaint.h $
+// $Id: ch_akl_toussaint.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -23,25 +23,25 @@
 namespace CGAL {
 
 // same as |convex_hull_2(first,last,result)|.
-// {\sc traits}: operates on |Traits::Point_2| using |Traits::Less_xy_2|, 
+// {\sc traits}: operates on |Traits::Point_2| using |Traits::Less_xy_2|,
 // |Traits::Less_yx_2|, |Traits::Equal_2| and |Traits::Left_turn_2|.
 template <class ForwardIterator, class OutputIterator, class Traits>
 OutputIterator
-ch_akl_toussaint(ForwardIterator first, ForwardIterator last, 
+ch_akl_toussaint(ForwardIterator first, ForwardIterator last,
                  OutputIterator  result,
                  const Traits&   ch_traits);
 
 template <class ForwardIterator, class OutputIterator>
 inline
 OutputIterator
-ch_akl_toussaint(ForwardIterator first, ForwardIterator last, 
+ch_akl_toussaint(ForwardIterator first, ForwardIterator last,
                  OutputIterator  result)
 {
     typedef std::iterator_traits<ForwardIterator> ITraits;
     typedef typename ITraits::value_type          value_type;
     typedef CGAL::Kernel_traits<value_type>       KTraits;
     typedef typename KTraits::Kernel              Kernel;
-    return ch_akl_toussaint( first, last, result, Kernel()); 
+    return ch_akl_toussaint( first, last, result, Kernel());
 }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/ch_bykat.h 5.0.3-1/include/CGAL/ch_bykat.h
--- 5.0.2-3/include/CGAL/ch_bykat.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/ch_bykat.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/ch_bykat.h $
-// $Id: ch_bykat.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/ch_bykat.h $
+// $Id: ch_bykat.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -22,12 +22,12 @@
 
 namespace CGAL {
 
-// same as |convex_hull_2(first,last,result)|. {\sc traits}: 
+// same as |convex_hull_2(first,last,result)|. {\sc traits}:
 // uses |Traits::Point_2|, |Traits::Less_signed_distance_to_line_2|,
 // |Traits::Left_turn_2|,, |Traits::Equal_2| and |Traits::Less_xy_2|.
 template <class InputIterator, class OutputIterator, class Traits>
 OutputIterator
-ch_bykat(InputIterator first, InputIterator last, 
+ch_bykat(InputIterator first, InputIterator last,
          OutputIterator  result,
          const Traits& ch_traits);
 
@@ -46,14 +46,14 @@ ch_bykat(InputIterator first, InputItera
 
 template <class InputIterator, class OutputIterator, class Traits>
 OutputIterator
-ch_bykat_with_threshold(InputIterator first, InputIterator last, 
+ch_bykat_with_threshold(InputIterator first, InputIterator last,
                              OutputIterator  result,
                              const Traits& ch_traits);
 
 template <class InputIterator, class OutputIterator>
 inline
 OutputIterator
-ch_bykat_with_threshold(InputIterator first, InputIterator last, 
+ch_bykat_with_threshold(InputIterator first, InputIterator last,
                         OutputIterator  result)
 {
     typedef std::iterator_traits<InputIterator>   ITraits;
diff -pruN 5.0.2-3/include/CGAL/ch_eddy.h 5.0.3-1/include/CGAL/ch_eddy.h
--- 5.0.2-3/include/CGAL/ch_eddy.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/ch_eddy.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/ch_eddy.h $
-// $Id: ch_eddy.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/ch_eddy.h $
+// $Id: ch_eddy.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -22,12 +22,12 @@
 
 namespace CGAL {
 
-// same as |convex_hull_2(first,last,result)|. {\sc traits}: uses 
+// same as |convex_hull_2(first,last,result)|. {\sc traits}: uses
 // |Traits::Point_2|, |Traits::Less_signed_distance_to_line_2|,
 // |Traits::Left_turn_2|,  |Traits::Equal_2| and |Traits::Less_xy_2|.
 template <class InputIterator, class OutputIterator, class Traits>
 OutputIterator
-ch_eddy(InputIterator first, InputIterator last, 
+ch_eddy(InputIterator first, InputIterator last,
         OutputIterator  result,
         const Traits& ch_traits);
 
diff -pruN 5.0.2-3/include/CGAL/ch_function_objects_2.h 5.0.3-1/include/CGAL/ch_function_objects_2.h
--- 5.0.2-3/include/CGAL/ch_function_objects_2.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/ch_function_objects_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/ch_function_objects_2.h $
-// $Id: ch_function_objects_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/ch_function_objects_2.h $
+// $Id: ch_function_objects_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert
 
@@ -66,4 +66,4 @@ private:
 
 } //namespace CGAL
 
-#endif // CGAL_CH_FUNCTION_OBJECTS_2_H	
+#endif // CGAL_CH_FUNCTION_OBJECTS_2_H
diff -pruN 5.0.2-3/include/CGAL/ch_graham_andrew.h 5.0.3-1/include/CGAL/ch_graham_andrew.h
--- 5.0.2-3/include/CGAL/ch_graham_andrew.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/ch_graham_andrew.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/ch_graham_andrew.h $
-// $Id: ch_graham_andrew.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/ch_graham_andrew.h $
+// $Id: ch_graham_andrew.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -23,14 +23,14 @@
 
 namespace CGAL {
 
-// computes the sorted sequence of extreme points which are not left 
+// computes the sorted sequence of extreme points which are not left
 // of $pq$ and reports this sequence in a range starting at |result|,
 // where $p$ is the value of |first| and $q$ is the value of |last| $-1$.
 // The sequence reported starts with $p$, point $q$ is omitted.
 // {\it Precondition:} The points in [|first|,|last|) are sorted with respect
-// to $pq$ and the range [|first|,|last|) contains at least two different 
+// to $pq$ and the range [|first|,|last|) contains at least two different
 // points.
-// {\sc traits}: uses |Traits::Left_turn_2| and |Traits::Equal_2| operating on the 
+// {\sc traits}: uses |Traits::Left_turn_2| and |Traits::Equal_2| operating on the
 // point type |Traits::Point_2|.
 template <class BidirectionalIterator, class OutputIterator, class Traits>
 OutputIterator
@@ -45,12 +45,12 @@ OutputIterator
 ch_graham_andrew_scan( BidirectionalIterator first,
                        BidirectionalIterator last,
                        OutputIterator        result )
-{ 
+{
     typedef std::iterator_traits<BidirectionalIterator> ITraits;
     typedef typename ITraits::value_type          value_type;
     typedef CGAL::Kernel_traits<value_type>       KTraits;
     typedef typename KTraits::Kernel              Kernel;
-    return ch_graham_andrew_scan( first, last, result, Kernel()); 
+    return ch_graham_andrew_scan( first, last, result, Kernel());
 }
 
 template <class BidirectionalIterator, class OutputIterator, class Traits>
@@ -77,12 +77,12 @@ OutputIterator
 ch_graham_andrew( InputIterator  first,
                   InputIterator  last,
                   OutputIterator result )
-{ 
+{
     typedef std::iterator_traits<InputIterator>   ITraits;
     typedef typename ITraits::value_type          value_type;
     typedef CGAL::Kernel_traits<value_type>       KTraits;
     typedef typename KTraits::Kernel              Kernel;
-    return ch_graham_andrew( first, last, result, Kernel()); 
+    return ch_graham_andrew( first, last, result, Kernel());
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Chinese_remainder_traits.h 5.0.3-1/include/CGAL/Chinese_remainder_traits.h
--- 5.0.2-3/include/CGAL/Chinese_remainder_traits.h	2020-02-21 20:02:45.000000000 +0000
+++ 5.0.3-1/include/CGAL/Chinese_remainder_traits.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_foundations/include/CGAL/Chinese_remainder_traits.h $
-// $Id: Chinese_remainder_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_foundations/include/CGAL/Chinese_remainder_traits.h $
+// $Id: Chinese_remainder_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -25,7 +25,7 @@
 namespace CGAL{
 namespace internal{
 
-template <class T_, class TAG> 
+template <class T_, class TAG>
 class Chinese_remainder_traits_base{
 public:
     typedef T_ Type;
@@ -40,20 +40,20 @@ template <class T> class Chinese_remaind
 
 
 namespace internal {
-template <class NT> 
+template <class NT>
 class  Chinese_remainder_traits_base<NT,Euclidean_ring_tag>{
 public:
     typedef NT Type;
-    typedef NT Scalar_type; 
-    
+    typedef NT Scalar_type;
+
     struct Chinese_remainder{
         void operator() (
-                const Scalar_type& m1, const Scalar_type& m2, const Scalar_type& m, 
-                const Scalar_type& s,  const Scalar_type& CGAL_precondition_code(t),  
-                NT u1, NT u2, 
+                const Scalar_type& m1, const Scalar_type& m2, const Scalar_type& m,
+                const Scalar_type& s,  const Scalar_type& CGAL_precondition_code(t),
+                NT u1, NT u2,
                 NT& u) const {
 
-#ifndef CGAL_NDEBUG 
+#ifndef CGAL_NDEBUG
             NT tmp,s_,t_;
             tmp = CGAL::extended_euclidean_algorithm(m1,m2,s_,t_);
             CGAL_precondition(tmp == NT(1));
@@ -64,34 +64,34 @@ public:
             typedef Algebraic_structure_traits<NT> AST;
             typename AST::Mod mod;
             //typename AST::Unit_part unit_part;
-            typename AST::Integral_division idiv; 
+            typename AST::Integral_division idiv;
 
             if(u1 < NT(0) ) u1 += m1;
             if(u2 < NT(0) ) u2 += m2;
-            
+
             CGAL_precondition(0  < m1);
             CGAL_precondition(u1 < m1);
             CGAL_precondition(u1 >= NT(0));
-        
+
             CGAL_precondition(0  < m2);
             CGAL_precondition(u2 < m2);
             CGAL_precondition(u2 >= NT(0));
-    
+
             NT v = mod(s*(u2-u1),m2);
             u = m1*v + u1;
-    
+
             // u is not unique yet!
             NT m_half = idiv(m-mod(m,NT(2)),NT(2));
             if (u  >  m_half) u -= m ;
-            if (u <= -m_half) u += m ; 
+            if (u <= -m_half) u += m ;
         }
-        
+
         void operator() (
                 const Scalar_type& m1, const Type& u1,
                 const Scalar_type& m2, const Type& u2,
                 Scalar_type& m, Type& u) const {
-            Scalar_type s,t; 
-            
+            Scalar_type s,t;
+
             CGAL::extended_euclidean_algorithm(m1,m2,s,t);
             m = m1 * m2;
             this->operator()(m1,m2,m,s,t,u1,u2,u);
diff -pruN 5.0.2-3/include/CGAL/ch_jarvis.h 5.0.3-1/include/CGAL/ch_jarvis.h
--- 5.0.2-3/include/CGAL/ch_jarvis.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/ch_jarvis.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/ch_jarvis.h $
-// $Id: ch_jarvis.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/ch_jarvis.h $
+// $Id: ch_jarvis.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -33,7 +33,7 @@ namespace CGAL {
 // range [|first|,|last|).
 // {\sc traits}: uses |Traits::Point_2| $\equiv$ |Point|, |Traits::Equal_2|
 // and |Traits::Less_rotate_ccw_2|.
-template <class ForwardIterator, class OutputIterator, 
+template <class ForwardIterator, class OutputIterator,
           class Point, class Traits>
 OutputIterator
 ch_jarvis_march(ForwardIterator first, ForwardIterator last,
@@ -60,19 +60,19 @@ ch_jarvis_march(ForwardIterator first, F
 // |Traits::Equal_2| and |Traits::Less_xy_2|.
 template <class ForwardIterator, class OutputIterator, class Traits>
 OutputIterator
-ch_jarvis(ForwardIterator first, ForwardIterator last, 
+ch_jarvis(ForwardIterator first, ForwardIterator last,
                OutputIterator  result,
                const Traits& ch_traits);
 template <class ForwardIterator, class OutputIterator>
 inline
 OutputIterator
 ch_jarvis(ForwardIterator first, ForwardIterator last, OutputIterator  result)
-{ 
+{
     typedef std::iterator_traits<ForwardIterator> ITraits;
     typedef typename ITraits::value_type          value_type;
     typedef CGAL::Kernel_traits<value_type>       KTraits;
     typedef typename KTraits::Kernel              Kernel;
-    return ch_jarvis( first, last, result, Kernel()); 
+    return ch_jarvis( first, last, result, Kernel());
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/ch_melkman.h 5.0.3-1/include/CGAL/ch_melkman.h
--- 5.0.2-3/include/CGAL/ch_melkman.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/ch_melkman.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/ch_melkman.h $
-// $Id: ch_melkman.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/ch_melkman.h $
+// $Id: ch_melkman.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner
 
@@ -31,12 +31,12 @@ ch_melkman( InputIterator first, InputIt
 template <class InputIterator, class OutputIterator>
 OutputIterator
 ch_melkman( InputIterator first, InputIterator last,  OutputIterator result)
-{ 
+{
     typedef std::iterator_traits<InputIterator>   ITraits;
     typedef typename ITraits::value_type          value_type;
     typedef CGAL::Kernel_traits<value_type>       KTraits;
     typedef typename KTraits::Kernel              Kernel;
-    return ch_melkman( first, last, result, Kernel()); 
+    return ch_melkman( first, last, result, Kernel());
 }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/ch_selected_extreme_points_2.h 5.0.3-1/include/CGAL/ch_selected_extreme_points_2.h
--- 5.0.2-3/include/CGAL/ch_selected_extreme_points_2.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/ch_selected_extreme_points_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/ch_selected_extreme_points_2.h $
-// $Id: ch_selected_extreme_points_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/ch_selected_extreme_points_2.h $
+// $Id: ch_selected_extreme_points_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -26,9 +26,9 @@ namespace CGAL {
 
 // traverses the range [|first|,|last|). After execution, the value of |n| is
 // an iterator in the range such that |*n| $\ge_{\rm yx}$ |*it| for
-// all iterators |it| in the range. Similarly, for |s|, |w|, and |e| 
+// all iterators |it| in the range. Similarly, for |s|, |w|, and |e|
 // the inequations |*s| $\le_{\rm yx}$ |*it|, |*w| $\le_{\rm xy}$ |*it|,
-// and |*e| $\ge_{\rm yx}$ |*it| hold respectively for all iterators 
+// and |*e| $\ge_{\rm yx}$ |*it| hold respectively for all iterators
 // |it| in the range.
 // {\sc traits}: uses |Traits::Less_xy_2| and |Traits::Less_yx_2|.
 template <class ForwardIterator, class Traits>
@@ -113,7 +113,7 @@ ch_we_point( ForwardIterator first, Forw
 
 // traverses the range [|first|,|last|). After execution, the value of |n| is
 // an iterator in the range such that |*n| $\ge_{\rm yx}$ |*it| for
-// all iterators |it| in the range. 
+// all iterators |it| in the range.
 // {\sc traits}: uses |Traits::Less_yx_2|.
 template <class ForwardIterator, class Traits>
 void
@@ -136,7 +136,7 @@ ch_n_point( ForwardIterator first, Forwa
 
 // traverses the range [|first|,|last|). After execution, the value of |s| is
 // an iterator in the range such that |*s| $\le_{\rm yx}$ |*it| for
-// all iterators |it| in the range. 
+// all iterators |it| in the range.
 // {\sc traits}: uses |Traits::Less_yx_2|.
 template <class ForwardIterator, class Traits>
 void
diff -pruN 5.0.2-3/include/CGAL/Circle_2.h 5.0.3-1/include/CGAL/Circle_2.h
--- 5.0.2-3/include/CGAL/Circle_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circle_2.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Circle_2.h $
-// $Id: Circle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Circle_2.h $
+// $Id: Circle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -64,7 +64,7 @@ public:
     : RCircle_2(t) {}
 
   Circle_2(const Point_2 &center, const FT &squared_radius,
-	   const Orientation &orientation)
+           const Orientation &orientation)
     : RCircle_2(typename R::Construct_circle_2()(Return_base_tag(), center, squared_radius, orientation)) {}
 
   Circle_2(const Point_2 &center, const FT &squared_radius)
@@ -74,7 +74,7 @@ public:
     : RCircle_2(typename R::Construct_circle_2()(Return_base_tag(), p, q, r)) {}
 
   Circle_2(const Point_2 & p, const Point_2 & q,
-	   const Orientation &orientation)
+           const Orientation &orientation)
     : RCircle_2(typename R::Construct_circle_2()(Return_base_tag(), p, q, orientation)) {}
 
   Circle_2(const Point_2 & p, const Point_2 & q)
@@ -166,8 +166,8 @@ public:
   {
     //return R().construct_opposite_circle_2_object()(*this);
     return Circle_2(center(),
-		    squared_radius(),
-		    CGAL::opposite(orientation()) );
+                    squared_radius(),
+                    CGAL::opposite(orientation()) );
   }
 
   Bbox_2
@@ -281,7 +281,7 @@ extract(std::istream& is, Circle_2<R>& c
         break;
     }
     if (is)
-	c = Circle_2<R>(center, squared_radius, static_cast<Orientation>(o));
+        c = Circle_2<R>(center, squared_radius, static_cast<Orientation>(o));
     return is;
 }
 
diff -pruN 5.0.2-3/include/CGAL/Circle_3.h 5.0.3-1/include/CGAL/Circle_3.h
--- 5.0.2-3/include/CGAL/Circle_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circle_3.h	2020-08-01 19:02:26.000000000 +0000
@@ -4,13 +4,13 @@
 // This file is part of CGAL (www.cgal.org)
 //
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Circle_3.h $
-// $Id: Circle_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Circle_3.h $
+// $Id: Circle_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -31,7 +31,7 @@
 
 namespace CGAL {
 
-template <class R_> 
+template <class R_>
   class Circle_3
   : public R_::Kernel_base::Circle_3
 {
@@ -53,7 +53,7 @@ public:
 
   typedef typename R_::Kernel_base::Circle_3 Rep;
   typedef R_                                 R;
- 
+
   const Rep& rep() const
   {
     return *this;
@@ -72,10 +72,10 @@ public:
   Circle_3(const Point_3& c, const FT& sr, const Plane_3& p)
     : Rep(typename R::Construct_circle_3()(c,sr,p)) {}
 
-  Circle_3(const Point_3& c, const FT& sr, const Direction_3& d) 
+  Circle_3(const Point_3& c, const FT& sr, const Direction_3& d)
     : Rep(typename R::Construct_circle_3()(c,sr,d)) {}
 
-  Circle_3(const Point_3& c, const FT& sr, const Vector_3& v) 
+  Circle_3(const Point_3& c, const FT& sr, const Vector_3& v)
     : Rep(typename R::Construct_circle_3()(c,sr,v)) {}
 
   Circle_3(const Sphere_3& s1, const Sphere_3& s2)
@@ -119,30 +119,30 @@ public:
 
   Bbox_3 bbox() const
   {
-    return typename R::Construct_bbox_3()(*this); 
+    return typename R::Construct_bbox_3()(*this);
   }
 
-	FT area_divided_by_pi() const
-	{
-	  return typename R::Compute_area_divided_by_pi_3()(*this);
+        FT area_divided_by_pi() const
+        {
+          return typename R::Compute_area_divided_by_pi_3()(*this);
   }
 
   double approximate_area() const
   {
-	  return typename R::Compute_approximate_area_3()(*this);
-	}
+          return typename R::Compute_approximate_area_3()(*this);
+        }
 
-	FT squared_length_divided_by_pi_square() const
-	{
-	  return typename R::Compute_squared_length_divided_by_pi_square_3()(*this);
+        FT squared_length_divided_by_pi_square() const
+        {
+          return typename R::Compute_squared_length_divided_by_pi_square_3()(*this);
   }
 
   double approximate_squared_length() const
   {
-	  return typename R::Compute_approximate_squared_length_3()(*this);
-	}
-	
-	typename R::Boolean
+          return typename R::Compute_approximate_squared_length_3()(*this);
+        }
+
+        typename R::Boolean
   has_on(const Point_3 &p) const
   {
     return typename R::Has_on_3()(*this, p);
diff -pruN 5.0.2-3/include/CGAL/Circle_type.h 5.0.3-1/include/CGAL/Circle_type.h
--- 5.0.2-3/include/CGAL/Circle_type.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circle_type.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,17 +3,17 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circle_type.h $
-// $Id: Circle_type.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circle_type.h $
+// $Id: Circle_type.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Sebastien Loriot, Julien Hazebrouck, Damien Leroy
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_CIRCLE_TYPE_H
diff -pruN 5.0.2-3/include/CGAL/Circular_arc_2.h 5.0.3-1/include/CGAL/Circular_arc_2.h
--- 5.0.2-3/include/CGAL/Circular_arc_2.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_arc_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_arc_2.h $
-// $Id: Circular_arc_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_arc_2.h $
+// $Id: Circular_arc_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_CIRCULAR_ARC_2_H
@@ -26,9 +26,9 @@
 #include <CGAL/Bbox_2.h>
 #include <CGAL/enum.h>
 namespace CGAL {
-  
-template <class CircularKernel> 
-class Circular_arc_2 
+
+template <class CircularKernel>
+class Circular_arc_2
   : public CircularKernel::Kernel_base::Circular_arc_2
 {
   typedef typename CircularKernel::RT             RT;
@@ -38,13 +38,13 @@ class Circular_arc_2
   typedef typename CircularKernel::Circle_2       Circle_2;
   typedef typename CircularKernel::Circular_arc_point_2
                                                 Circular_arc_point_2;
-  
-  typedef typename CircularKernel::Kernel_base::Circular_arc_2 RCircular_arc_2; 
-  // RCircular_arc_2 to avoid clash with self 
+
+  typedef typename CircularKernel::Kernel_base::Circular_arc_2 RCircular_arc_2;
+  // RCircular_arc_2 to avoid clash with self
 public:
   typedef  RCircular_arc_2 Rep;
-  typedef  CircularKernel   R; 
-  
+  typedef  CircularKernel   R;
+
 
   const Rep& rep() const
   {
@@ -66,42 +66,42 @@ public:
   {}
 
   // Not Documented
-  Circular_arc_2(const Circle_2 &support, 
+  Circular_arc_2(const Circle_2 &support,
                  const Line_2 &l1, const bool b_l1,
                  const Line_2 &l2, const bool b_l2)
-    : RCircular_arc_2(typename 
-		      R::Construct_circular_arc_2()(support,l1,b_l1,l2,b_l2))
+    : RCircular_arc_2(typename
+                      R::Construct_circular_arc_2()(support,l1,b_l1,l2,b_l2))
   {}
 
   // Not Documented
-  Circular_arc_2(const Circle_2 &c, 
-		 const Circle_2 &c1, const bool b_1,
-		 const Circle_2 &c2, const bool b_2)
-    : RCircular_arc_2(typename 
-		      R::Construct_circular_arc_2()(c,c1,b_1,c2,b_2))
+  Circular_arc_2(const Circle_2 &c,
+                 const Circle_2 &c1, const bool b_1,
+                 const Circle_2 &c2, const bool b_2)
+    : RCircular_arc_2(typename
+                      R::Construct_circular_arc_2()(c,c1,b_1,c2,b_2))
   {}
 
   Circular_arc_2(const Point_2 &start,
                  const Point_2 &middle,
                  const Point_2 &end)
-    : RCircular_arc_2(typename 
-		      R::Construct_circular_arc_2()(start, middle, end)) 
+    : RCircular_arc_2(typename
+                      R::Construct_circular_arc_2()(start, middle, end))
   {}
-  
+
   Circular_arc_2(const Circle_2 &support,
                  const Circular_arc_point_2 &begin,
                  const Circular_arc_point_2 &end)
-    : RCircular_arc_2(typename 
-		      R::Construct_circular_arc_2()(support, begin, end)) 
+    : RCircular_arc_2(typename
+                      R::Construct_circular_arc_2()(support, begin, end))
   {}
 
   Circular_arc_2(const Point_2 &start,
                  const Point_2 &end,
-		 const FT &bulge)
-    : RCircular_arc_2(typename 
-		      R::Construct_circular_arc_2()(start, end, bulge)) 
+                 const FT &bulge)
+    : RCircular_arc_2(typename
+                      R::Construct_circular_arc_2()(start, end, bulge))
   {}
-  
+
  Circular_arc_2(const RCircular_arc_2 & a)
     : RCircular_arc_2(a)
   {}
@@ -170,16 +170,16 @@ public:
   inline
   bool
   operator==(const Circular_arc_2<CircularKernel> &p,
-	     const Circular_arc_2<CircularKernel> &q)
+             const Circular_arc_2<CircularKernel> &q)
   {
     return CircularKernel().equal_2_object()(p, q);
   }
-  
+
   template < typename CircularKernel >
   inline
   bool
   operator!=(const Circular_arc_2<CircularKernel> &p,
-	     const Circular_arc_2<CircularKernel> &q)
+             const Circular_arc_2<CircularKernel> &q)
   {
     return ! (p == q);
   }
@@ -195,10 +195,10 @@ public:
     // - circle c2
     // - bool b2
     return os << a.supporting_circle() << " "
-	      << a.source() << " "
-	      << a.target() << " ";
+              << a.source() << " "
+              << a.target() << " ";
   }
-  
+
   template < typename CK >
   std::istream &
   operator>>(std::istream & is, Circular_arc_2<CK> &a)
diff -pruN 5.0.2-3/include/CGAL/Circular_arc_3.h 5.0.3-1/include/CGAL/Circular_arc_3.h
--- 5.0.2-3/include/CGAL/Circular_arc_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_arc_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_arc_3.h $
-// $Id: Circular_arc_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_arc_3.h $
+// $Id: Circular_arc_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Sebastien Loriot, Julien Hazebrouck, Damien Leroy
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_CIRCULAR_ARC_3_H
@@ -24,11 +24,11 @@
 #include <CGAL/Bbox_3.h>
 
 namespace CGAL {
-  template <class SK> 
+  template <class SK>
     class Circular_arc_3
     : public SK::Kernel_base::Circular_arc_3
   {
-    
+
     typedef typename SK::RT                          RT;
     typedef typename SK::FT                          FT;
     typedef typename SK::Line_3                      Line_3;
@@ -38,28 +38,28 @@ namespace CGAL {
     typedef typename SK::Sphere_3                    Sphere_3;
     typedef typename SK::Segment_3                   Segment_3;
     typedef typename SK::Circular_arc_point_3        Circular_arc_point_3;
-    typedef typename SK::Kernel_base::Circular_arc_3 RCircular_arc_3; 
-   
-  
+    typedef typename SK::Kernel_base::Circular_arc_3 RCircular_arc_3;
+
+
   public:
     typedef  RCircular_arc_3 Rep;
-    typedef  SK   R; 
-    
+    typedef  SK   R;
+
     const Rep& rep() const
       {
-	return *this;
+        return *this;
       }
-    
+
     Rep& rep()
       {
-	return *this;
+        return *this;
       }
-    
+
     Circular_arc_3()
       {}
 
-    Circular_arc_3(const Circle_3& c, 
-               const Circular_arc_point_3& s, 
+    Circular_arc_3(const Circle_3& c,
+               const Circular_arc_point_3& s,
                const Circular_arc_point_3& t)
       : RCircular_arc_3(typename R::Construct_circular_arc_3()(c,s,t))
       {}
@@ -67,15 +67,15 @@ namespace CGAL {
     explicit Circular_arc_3(const Circle_3& c)
       : RCircular_arc_3(typename R::Construct_circular_arc_3()(c))
       {}
-        
+
     Circular_arc_3(const Circle_3& c,const Circular_arc_point_3& pt)
       : RCircular_arc_3(typename R::Construct_circular_arc_3()(c,pt))
-      {}        
+      {}
 
     // Not Documented
-    Circular_arc_3(const Circle_3 &c, 
+    Circular_arc_3(const Circle_3 &c,
                    const Sphere_3 &s1, bool less_xyz_s1,
-                   const Sphere_3 &s2, bool less_xyz_s2) 
+                   const Sphere_3 &s2, bool less_xyz_s2)
       : RCircular_arc_3(typename R::Construct_circular_arc_3()(c,s1,less_xyz_s1,
                                                                  s2,less_xyz_s2))
       {}
@@ -83,16 +83,16 @@ namespace CGAL {
     // Not Documented
     Circular_arc_3(const Sphere_3 &s1, bool less_xyz_s1,
                    const Sphere_3 &s2, bool less_xyz_s2,
-                   const Circle_3 &c) 
+                   const Circle_3 &c)
       : RCircular_arc_3(typename R::Construct_circular_arc_3()(s1,less_xyz_s1,
                                                                s2,less_xyz_s2,
                                                                c))
       {}
 
     // Not Documented
-    Circular_arc_3(const Circle_3 &c, 
+    Circular_arc_3(const Circle_3 &c,
                    const Plane_3 &p1, bool less_xyz_p1,
-                   const Plane_3 &p2, bool less_xyz_p2) 
+                   const Plane_3 &p2, bool less_xyz_p2)
       : RCircular_arc_3(typename R::Construct_circular_arc_3()(c,p1,less_xyz_p1,
                                                                  p2,less_xyz_p2))
       {}
@@ -100,18 +100,18 @@ namespace CGAL {
     // Not Documented
     Circular_arc_3(const Plane_3 &p1, bool less_xyz_p1,
                    const Plane_3 &p2, bool less_xyz_p2,
-                   const Circle_3 &c) 
+                   const Circle_3 &c)
       : RCircular_arc_3(typename R::Construct_circular_arc_3()(p1,less_xyz_p1,
                                                                p2,less_xyz_p2,
                                                                c))
       {}
 
-	  Circular_arc_3(const Point_3 &start,
-	                 const Point_3 &middle,
-	                 const Point_3 &end)
-	    : RCircular_arc_3(typename 
-			      R::Construct_circular_arc_3()(start, middle, end)) 
-	  {}
+          Circular_arc_3(const Point_3 &start,
+                         const Point_3 &middle,
+                         const Point_3 &end)
+            : RCircular_arc_3(typename
+                              R::Construct_circular_arc_3()(start, middle, end))
+          {}
 
     Circular_arc_3(const RCircular_arc_3 &a)
      : RCircular_arc_3(a)
@@ -164,29 +164,29 @@ namespace CGAL {
   inline
   bool
   operator==(const Circular_arc_3<SK> &p,
-	     const Circular_arc_3<SK> &q)
+             const Circular_arc_3<SK> &q)
   {
     return SK().equal_3_object()(p, q);
   }
-  
+
   template < typename SK >
   inline
   bool
   operator!=(const Circular_arc_3<SK> &p,
-	     const Circular_arc_3<SK> &q)
+             const Circular_arc_3<SK> &q)
   {
     return ! (p == q);
   }
-  
+
   template < typename SK >
   std::ostream &
   operator<<(std::ostream & os, const Circular_arc_3<SK> &a)
   {
     return os << a.supporting_circle() << " "
-	      << a.source() << " "
-	      << a.target() << " ";
+              << a.source() << " "
+              << a.target() << " ";
   }
-  
+
   template < typename SK >
   std::istream &
   operator>>(std::istream & is, Circular_arc_3<SK> &a)
diff -pruN 5.0.2-3/include/CGAL/Circular_arc_point_2.h 5.0.3-1/include/CGAL/Circular_arc_point_2.h
--- 5.0.2-3/include/CGAL/Circular_arc_point_2.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_arc_point_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_arc_point_2.h $
-// $Id: Circular_arc_point_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_arc_point_2.h $
+// $Id: Circular_arc_point_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_CIRCULAR_ARC_POINT_2_H
@@ -31,7 +31,7 @@ template < typename CircularKernel >
 class Circular_arc_point_2
   : public CircularKernel::Kernel_base::Circular_arc_point_2
 {
-  typedef typename CircularKernel::Kernel_base::Circular_arc_point_2 
+  typedef typename CircularKernel::Kernel_base::Circular_arc_point_2
                                                RCircular_arc_point_2;
   typedef typename CircularKernel::Point_2     Point_2;
   typedef typename CircularKernel::Circle_2    Circle_2;
@@ -39,11 +39,11 @@ class Circular_arc_point_2
   typedef typename CircularKernel::Root_of_2   Root_of_2;
 
 public:
-  typedef typename CircularKernel::Root_for_circles_2_2 
+  typedef typename CircularKernel::Root_for_circles_2_2
                                                Root_for_circles_2_2;
-  typedef CircularKernel                       R; 
+  typedef CircularKernel                       R;
   typedef RCircular_arc_point_2                Rep;
-  
+
 
   const Rep& rep() const
   {
@@ -67,28 +67,28 @@ public:
   Circular_arc_point_2(const RCircular_arc_point_2 & p)
     : RCircular_arc_point_2(p)
   {}
-      
+
   Circular_arc_point_2(const Point_2 & p)
     : RCircular_arc_point_2(typename R::Construct_circular_arc_point_2()(p))
   {}
-      
+
   typename
   cpp11::result_of<typename R::Compute_circular_x_2(Circular_arc_point_2)>::type
   x() const
-  { 
-    return typename R::Compute_circular_x_2()(*this); 
+  {
+    return typename R::Compute_circular_x_2()(*this);
   }
 
   typename
   cpp11::result_of<typename R::Compute_circular_y_2(Circular_arc_point_2)>::type
   y() const
-  { 
-    return typename R::Compute_circular_y_2()(*this); 
+  {
+    return typename R::Compute_circular_y_2()(*this);
   }
 
   Bbox_2  bbox() const
-  { 
-    return typename R::Construct_bbox_2()(*this); 
+  {
+    return typename R::Construct_bbox_2()(*this);
   }
 
 };
@@ -97,16 +97,16 @@ public:
   inline
   bool
   operator==(const Circular_arc_point_2<CircularKernel> &p,
-	     const Circular_arc_point_2<CircularKernel> &q)
+             const Circular_arc_point_2<CircularKernel> &q)
   {
     return CircularKernel().equal_2_object()(p, q);
   }
-  
+
   template < typename CircularKernel >
   inline
   bool
   operator!=(const Circular_arc_point_2<CircularKernel> &p,
-	     const Circular_arc_point_2<CircularKernel> &q)
+             const Circular_arc_point_2<CircularKernel> &q)
   {
     return ! (p == q);
   }
@@ -115,7 +115,7 @@ public:
   inline
   bool
   operator<(const Circular_arc_point_2<CircularKernel> &p,
-	     const Circular_arc_point_2<CircularKernel> &q)
+             const Circular_arc_point_2<CircularKernel> &q)
   {
     return CircularKernel().compare_xy_2_object()(p, q) == CGAL::SMALLER;
   }
@@ -133,11 +133,11 @@ public:
   inline
   bool
   operator<=(const Circular_arc_point_2<CircularKernel> &p,
-	     const Circular_arc_point_2<CircularKernel> &q)
-	{
-		CGAL::Comparison_result c = CircularKernel().compare_xy_2_object()(p, q);
+             const Circular_arc_point_2<CircularKernel> &q)
+        {
+                CGAL::Comparison_result c = CircularKernel().compare_xy_2_object()(p, q);
     return (c == CGAL::SMALLER) || (c == CGAL::EQUAL);
-	}
+        }
 
   template < typename CircularKernel >
   inline
@@ -148,13 +148,13 @@ public:
     CGAL::Comparison_result c = CircularKernel().compare_xy_2_object()(p, q);
     return (c == CGAL::LARGER) || (c == CGAL::EQUAL);
   }
-  
+
   template < typename CK >
   std::istream &
   operator>>(std::istream & is, Circular_arc_point_2<CK> &p)
   {
     typedef typename CK::Root_for_circles_2_2 Root_for_circles_2_2;
-    
+
     Root_for_circles_2_2 r;
     is >> r;
     if(is)
@@ -169,7 +169,7 @@ public:
     return os << p.x() << " " << p.y() << " ";
   }
 
-  
+
 } //namespace CGAL
 
 #endif // CGAL_CIRCULAR_ARC_POINT_2_H
diff -pruN 5.0.2-3/include/CGAL/Circular_arc_point_3.h 5.0.3-1/include/CGAL/Circular_arc_point_3.h
--- 5.0.2-3/include/CGAL/Circular_arc_point_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_arc_point_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_arc_point_3.h $
-// $Id: Circular_arc_point_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_arc_point_3.h $
+// $Id: Circular_arc_point_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Julien Hazebrouck, Damien Leroy
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_CIRCULAR_ARC_POINT_3_H
@@ -30,7 +30,7 @@ template < typename SphericalKernel >
 class Circular_arc_point_3
   : public SphericalKernel::Kernel_base::Circular_arc_point_3
 {
-  typedef typename SphericalKernel::Kernel_base::Circular_arc_point_3 
+  typedef typename SphericalKernel::Kernel_base::Circular_arc_point_3
                                            RCircular_arc_point_3;
 
   typedef typename SphericalKernel::Root_of_2             Root_of_2;
@@ -41,9 +41,9 @@ class Circular_arc_point_3
   typedef typename SphericalKernel::Sphere_3              Sphere_3;
 
 public:
-  typedef typename SphericalKernel::Root_for_spheres_2_3 
+  typedef typename SphericalKernel::Root_for_spheres_2_3
     Root_for_spheres_2_3;
-  typedef SphericalKernel   R; 
+  typedef SphericalKernel   R;
   typedef RCircular_arc_point_3 Rep;
 
   const Rep& rep() const
@@ -62,12 +62,12 @@ public:
   {}
 
   Circular_arc_point_3(const Root_of_2 & x,
-		       const Root_of_2 & y,
-		       const Root_of_2 & z)
+                       const Root_of_2 & y,
+                       const Root_of_2 & z)
   : RCircular_arc_point_3(
     typename R::Construct_circular_arc_point_3()(x,y,z))
   {}
-    
+
 
   Circular_arc_point_3(const Root_for_spheres_2_3 & np)
   : RCircular_arc_point_3(
@@ -194,8 +194,8 @@ public:
     typename R::Construct_circular_arc_point_3()(s,p,less_xyz))
   {}
 
-      
-      
+
+
   typename cpp11::result_of<typename R::Compute_circular_x_3(Circular_arc_point_3)>::type
   x() const
   { return typename R::Compute_circular_x_3()(*this);}
@@ -225,7 +225,7 @@ public:
   operator>>(std::istream & is, Circular_arc_point_3<SK> &p)
   {
     typedef typename SK::Root_for_spheres_2_3    Root_for_spheres_2_3;
-    
+
     Root_for_spheres_2_3 r;
     is >> r;
     if(is)
@@ -237,16 +237,16 @@ public:
   inline
   bool
   operator==(const Circular_arc_point_3<SK> &p,
-	     const Circular_arc_point_3<SK> &q)
+             const Circular_arc_point_3<SK> &q)
   {
     return SK().equal_3_object()(p, q);
   }
-  
+
   template < typename SK >
   inline
   bool
   operator!=(const Circular_arc_point_3<SK> &p,
-	     const Circular_arc_point_3<SK> &q)
+             const Circular_arc_point_3<SK> &q)
   {
     return ! (p == q);
   }
@@ -255,7 +255,7 @@ public:
   inline
   bool
   operator<(const Circular_arc_point_3<SK> &p,
-	     const Circular_arc_point_3<SK> &q)
+             const Circular_arc_point_3<SK> &q)
   {
     return SK().compare_xyz_3_object()(p, q) == CGAL::SMALLER;
   }
@@ -264,7 +264,7 @@ public:
   inline
   bool
   operator>(const Circular_arc_point_3<SK> &p,
-	     const Circular_arc_point_3<SK> &q)
+             const Circular_arc_point_3<SK> &q)
   {
     return SK().compare_xyz_3_object()(p, q) == CGAL::LARGER;
   }
@@ -273,17 +273,17 @@ public:
   inline
   bool
   operator<=(const Circular_arc_point_3<SK> &p,
-	     const Circular_arc_point_3<SK> &q)
-	{
-		CGAL::Comparison_result c = SK().compare_xyz_3_object()(p, q);
+             const Circular_arc_point_3<SK> &q)
+        {
+                CGAL::Comparison_result c = SK().compare_xyz_3_object()(p, q);
     return (c == CGAL::SMALLER) || (c == CGAL::EQUAL);
-	}
+        }
 
   template < typename SK >
   inline
   bool
   operator>=(const Circular_arc_point_3<SK> &p,
-	     const Circular_arc_point_3<SK> &q)
+             const Circular_arc_point_3<SK> &q)
   {
     CGAL::Comparison_result c = SK().compare_xyz_3_object()(p, q);
     return (c == CGAL::LARGER) || (c == CGAL::EQUAL);
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_2/Circular_arc_2.h 5.0.3-1/include/CGAL/Circular_kernel_2/Circular_arc_2.h
--- 5.0.2-3/include/CGAL/Circular_kernel_2/Circular_arc_2.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_2/Circular_arc_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_2/Circular_arc_2.h $
-// $Id: Circular_arc_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_2/Circular_arc_2.h $
+// $Id: Circular_arc_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifdef CGAL_INTERSECTION_MAP_FOR_XMONOTONIC_ARC_WITH_SAME_SUPPORTING_CIRCLE
@@ -66,7 +66,7 @@ namespace internal {
       unsigned short int is_complementary_x_monotone:1;
       unsigned short int is_complementary_y_monotone:1;
     } bit_field;
-  
+
 #ifdef CGAL_USEFUL_MAPS_FOR_THE_CIRCULAR_KERNEL
   public:
     typedef internal::Intersection_line_2_circle_2_map Table;
@@ -90,9 +90,9 @@ namespace internal {
 
   public:
 
-    Circular_arc_2_base() 
+    Circular_arc_2_base()
 #ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
-    : id_of_my_supporting_circle(0) 
+    : id_of_my_supporting_circle(0)
 #endif
    {
       reset_flags();           // example
@@ -105,7 +105,7 @@ namespace internal {
 
     Circular_arc_2_base(const Circle_2 &c)
       : _support(c)
-#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES 
+#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
       , id_of_my_supporting_circle(0)
 #endif
     {
@@ -116,8 +116,8 @@ namespace internal {
 #endif
 
       flags.is_full = 2;       // is_full = true
-      _begin = _end  = 
-	CircularFunctors::x_extremal_point<CK>(supporting_circle(),true); 
+      _begin = _end  =
+        CircularFunctors::x_extremal_point<CK>(supporting_circle(),true);
     }
 
     Circular_arc_2_base(const Circle_2 &support,
@@ -128,24 +128,24 @@ namespace internal {
                        support.center().y() + l1.b()/2);
 
       FT sqr1 = support.squared_radius() + l1.c()
-	        - CGAL::square(support.center().x())
-	        - CGAL::square(support.center().y())
-	        + CGAL::square(center1.x())
-	        + CGAL::square(center1.y());
+                - CGAL::square(support.center().x())
+                - CGAL::square(support.center().y())
+                + CGAL::square(center1.x())
+                + CGAL::square(center1.y());
 
       Circle_2 c1 (center1, sqr1);
-      
+
       Point_2 center2 (support.center().x() + l2.a()/2,
                        support.center().y() + l2.b()/2);
 
       FT sqr2 = support.squared_radius() + l2.c()
-	        - CGAL::square(support.center().x())
-	        - CGAL::square(support.center().y())
-	        + CGAL::square(center2.x())
-	        + CGAL::square(center2.y());
+                - CGAL::square(support.center().x())
+                - CGAL::square(support.center().y())
+                + CGAL::square(center2.x())
+                + CGAL::square(center2.y());
 
       Circle_2 c2 (center2, sqr2);
-      
+
       *this = Circular_arc_2_base(support, c1, b1, c2, b2);
 
       CGAL_kernel_assertion(do_intersect(support, c1));
@@ -154,10 +154,10 @@ namespace internal {
 
 
     Circular_arc_2_base(const Circle_2 &c,
-		   const Circle_2 &c1, const bool b_1,
-		   const Circle_2 &c2, const bool b_2)
+                   const Circle_2 &c1, const bool b_1,
+                   const Circle_2 &c2, const bool b_2)
       : _support(c)
-#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES 
+#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
       , id_of_my_supporting_circle(0)
 #endif
     {
@@ -168,50 +168,50 @@ namespace internal {
 #endif
 
       if (c1 != c2) {
-	_begin = CGAL::circle_intersect<CK>(c, c1, b_1);
-	_end = CGAL::circle_intersect<CK>(c, c2, b_2);
+        _begin = CGAL::circle_intersect<CK>(c, c1, b_1);
+        _end = CGAL::circle_intersect<CK>(c, c2, b_2);
       } else {
-	typedef std::vector<typename CK2_Intersection_traits<CK, typename CK::Circle_2, typename CK::Circle_2>::type>
+        typedef std::vector<typename CK2_Intersection_traits<CK, typename CK::Circle_2, typename CK::Circle_2>::type>
           solutions_container;
-	
-	solutions_container solutions;
-	intersection( c, c1, std::back_inserter(solutions) );
-	typename solutions_container::iterator it = solutions.begin();
-
-	CGAL_kernel_precondition( it != solutions.end() );
-	// the circles intersect
-	
-	const std::pair<typename CK::Circular_arc_point_2, unsigned>*
+
+        solutions_container solutions;
+        intersection( c, c1, std::back_inserter(solutions) );
+        typename solutions_container::iterator it = solutions.begin();
+
+        CGAL_kernel_precondition( it != solutions.end() );
+        // the circles intersect
+
+        const std::pair<typename CK::Circular_arc_point_2, unsigned>*
           result = CGAL::Intersections::internal::intersect_get< std::pair<typename CK::Circular_arc_point_2, unsigned> >(*it);
-	if ( result->second == 2 ){ // double solution
-	  _begin = result->first;
-	  _end = result->first;
-	} else {
-	  if (b_1)
-	    _begin = result->first;
-	  if (b_2)
-	    _end = result->first;
-	  if (!(b_1 && b_2)) {
-	    ++it;
-	    result = CGAL::Intersections::internal::intersect_get< std::pair<typename CK::Circular_arc_point_2, unsigned> >(*it);
-	    if (!b_1)
-	      _begin = result->first;
-	    if (!b_2)
-	      _end = result->first;
-	  }
-	}
+        if ( result->second == 2 ){ // double solution
+          _begin = result->first;
+          _end = result->first;
+        } else {
+          if (b_1)
+            _begin = result->first;
+          if (b_2)
+            _end = result->first;
+          if (!(b_1 && b_2)) {
+            ++it;
+            result = CGAL::Intersections::internal::intersect_get< std::pair<typename CK::Circular_arc_point_2, unsigned> >(*it);
+            if (!b_1)
+              _begin = result->first;
+            if (!b_2)
+              _end = result->first;
+          }
+        }
       }
     }
 
     // IS THIS CONSTRUCTOR USED ?
     // constructs a circular arc that is the arc included in A
     // having same (b) endpoint as A (true == _begin, false == _end)
-    // but whose (!b) endpoint is the intersection of A with ccut given 
+    // but whose (!b) endpoint is the intersection of A with ccut given
     // by b_cut
     Circular_arc_2_base(const Circular_arc_2_base &A, const bool b,
-		   const Circle_2 &ccut, const bool b_cut)
+                   const Circle_2 &ccut, const bool b_cut)
       : _support(A.supporting_circle())
-#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES 
+#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
       , id_of_my_supporting_circle(0)
 #endif
     {
@@ -223,21 +223,21 @@ namespace internal {
 
       CGAL_kernel_precondition(A.is_x_monotone());
       CGAL_kernel_precondition(do_intersect(A.supporting_circle(), ccut));
-      
+
       Circular_arc_point_2 new_p =
-	CGAL::circle_intersect<CK>(A.supporting_circle(), ccut, b_cut);
-      
+        CGAL::circle_intersect<CK>(A.supporting_circle(), ccut, b_cut);
+
       // CGAL_kernel_assertion(point_in_range(A, new_p));
       CGAL_kernel_assertion
-	(A.on_upper_part() == (CGAL::compare(new_p.y(), A.center().y()) >= 0));
+        (A.on_upper_part() == (CGAL::compare(new_p.y(), A.center().y()) >= 0));
 
       if (b) {
-	_begin  = A._begin;
-	_end    = new_p;
+        _begin  = A._begin;
+        _end    = new_p;
       }
       else {
-	_begin  = new_p;
-	_end    = A._end;
+        _begin  = new_p;
+        _end    = A._end;
       }
     }
 
@@ -248,7 +248,7 @@ namespace internal {
                    const Point_2 &middle,
                    const Point_2 &end)
       : _begin(begin), _end(end)
-#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES 
+#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
       , id_of_my_supporting_circle(0)
 #endif
     {
@@ -264,18 +264,18 @@ namespace internal {
        *  Circle_2 c = Circle_2(begin, middle, end);
        * Line_2   l1 (begin, middle);
       Line_2   l2 (middle, end);
-      *this = Circular_arc_2_base(c, 
-			     l1, compare_xy(begin, middle) < 0,
-			     l2, compare_xy(end,   middle) < 0);*/
-	  //std::cout << source() << std::endl;
-	  //std::cout << target() << std::endl;
+      *this = Circular_arc_2_base(c,
+                             l1, compare_xy(begin, middle) < 0,
+                             l2, compare_xy(end,   middle) < 0);*/
+          //std::cout << source() << std::endl;
+          //std::cout << target() << std::endl;
     }
 
     Circular_arc_2_base(const Circle_2 &support,
-		   const Circular_arc_point_2 &source,
-		   const Circular_arc_point_2 &target)
+                   const Circular_arc_point_2 &source,
+                   const Circular_arc_point_2 &target)
       : _begin(source), _end(target), _support(support)
-#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES 
+#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
       , id_of_my_supporting_circle(0)
 #endif
     {
@@ -285,19 +285,19 @@ namespace internal {
       _get_id_number();
 #endif
 
-      // We cannot enable these preconditions for now, since the 
+      // We cannot enable these preconditions for now, since the
       // Lazy_circular_kernel_2
       // calls it on the Interval kernel without try/catch protection
       // through the Circular_kernel_converter.
       // CGAL_kernel_exactness_precondition(CK().has_on_2_object()(support, source));
       // CGAL_kernel_exactness_precondition(CK().has_on_2_object()(support, target));
     }
-    
+
     Circular_arc_2_base(const Point_2 &begin,
                    const Point_2 &end,
-		   const FT &bulge)
+                   const FT &bulge)
       : _begin(begin), _end(end)
-#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES 
+#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
       , id_of_my_supporting_circle(0)
 #endif
     {
@@ -310,16 +310,16 @@ namespace internal {
       const FT sqr_bulge = CGAL::square(bulge);
       const FT common = (FT(1) - sqr_bulge) / (FT(4)*bulge);
       const FT x_coord = (begin.x() + end.x())/FT(2)
-	                 + common*(begin.y() - end.y());
+                         + common*(begin.y() - end.y());
       const FT y_coord = (begin.y() + end.y())/FT(2)
                           + common*(end.x() - begin.x());
-      
-      const FT sqr_rad = squared_distance(begin, end) 
-	                 * (FT(1)/sqr_bulge + FT(2) + sqr_bulge) / FT(16); 
+
+      const FT sqr_rad = squared_distance(begin, end)
+                         * (FT(1)/sqr_bulge + FT(2) + sqr_bulge) / FT(16);
 
       _support = Circle_2(Point_2(x_coord, y_coord), sqr_rad);
     }
-    
+
   private:
     // The arc goes from _begin to _end in the positive order
     // If _begin == _end, then it's the full circle
@@ -341,21 +341,21 @@ namespace internal {
 
 #ifdef CGAL_INTERSECTION_MAP_FOR_XMONOTONIC_ARC_WITH_SAME_SUPPORTING_CIRCLE
     template < class T >
-    static bool find_intersection(const Circular_arc_2_base& c1, 
-      const Circular_arc_2_base& c2, 
+    static bool find_intersection(const Circular_arc_2_base& c1,
+      const Circular_arc_2_base& c2,
       T& res) {
       return Circular_arc_2_base::table().find<T>(c1.my_id, c2.my_id, res);
     }
 
     template < class T >
-    static void put_intersection(const Circular_arc_2_base& c1, 
+    static void put_intersection(const Circular_arc_2_base& c1,
       const Circular_arc_2_base& c2,
       const T& res) {
       Circular_arc_2_base::table().put<T>(c1.my_id, c2.my_id, res);
     }
 #endif
 
-#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES 
+#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
 
     static Table& circle_table()
     {
@@ -367,22 +367,22 @@ namespace internal {
 
     template < class T >
     static bool find_intersection_circle_circle(
-      const Circular_arc_2_base& c1, 
-      const Circular_arc_2_base& c2, 
+      const Circular_arc_2_base& c1,
+      const Circular_arc_2_base& c2,
       T& res) {
       if(c1.id_of_my_supporting_circle == 0) return false;
       if(c2.id_of_my_supporting_circle == 0) return false;
-      return Circular_arc_2_base::circle_table().find<T>(c1.id_of_my_supporting_circle, 
-                                                         c2.id_of_my_supporting_circle, 
+      return Circular_arc_2_base::circle_table().find<T>(c1.id_of_my_supporting_circle,
+                                                         c2.id_of_my_supporting_circle,
                                                          res);
     }
 
     template < class T >
-    static void put_intersection_circle_circle(const Circular_arc_2_base& c1, 
+    static void put_intersection_circle_circle(const Circular_arc_2_base& c1,
       const Circular_arc_2_base& c2,
       const T& res) {
-      Circular_arc_2_base::circle_table().put<T>(c1.circle_number(), 
-                                                 c2.circle_number(), 
+      Circular_arc_2_base::circle_table().put<T>(c1.circle_number(),
+                                                 c2.circle_number(),
                                                  res);
     }
 #endif
@@ -392,7 +392,7 @@ namespace internal {
     {
       CGAL_kernel_precondition(is_x_monotone());
       CGAL_kernel_precondition(on_upper_part() ? compare_xy(_end,_begin)<0
-      			       : compare_xy(_begin,_end)<0);
+                                     : compare_xy(_begin,_end)<0);
       if (on_upper_part()) return _end;
       return  _begin;
     }
@@ -401,7 +401,7 @@ namespace internal {
     {
       CGAL_kernel_precondition(is_x_monotone());
       CGAL_kernel_precondition(on_upper_part() ? compare_xy(_end,_begin)<0
-      			       : compare_xy(_begin,_end)<0);
+                                     : compare_xy(_begin,_end)<0);
       if (on_upper_part()) return _begin;
       return  _end;
     }
@@ -410,18 +410,18 @@ namespace internal {
     {
       return _begin;
     }
-    
+
     const Circular_arc_point_2 & target() const
     {
       return _end;
     }
-    
+
     bool is_full() const {
       return flags.is_full == 2;
     }
 
 private:
-    
+
 #ifdef CGAL_INTERSECTION_MAP_FOR_XMONOTONIC_ARC_WITH_SAME_SUPPORTING_CIRCLE
     void _get_id_number() {
       my_id = table().get_new_id();
@@ -430,7 +430,7 @@ private:
 
     bool _is_x_monotone() const {
       if (is_full()) return false;
-      
+
       int cmp_begin = CGAL::compare(_begin.y(), center().y());
       int cmp_end   = CGAL::compare(_end.y(),   center().y());
 
@@ -446,7 +446,7 @@ private:
       flags.is_complementary_x_monotone = 1;
 
       int cmp_x = compare_x(_begin, _end);
-      
+
       // Is the arc on the upper part ?
       if (cmp_begin > 0 || cmp_end > 0)
         return cmp_x > 0;
@@ -466,7 +466,7 @@ private:
 
       int cmp_begin = CGAL::compare(_begin.x(), center().x());
       int cmp_end   = CGAL::compare(_end.x(),   center().x());
-      
+
       // XXX : be careful, this may be surprising if the return value
       // is not -1/1 but some random int...
       if (cmp_begin == opposite(cmp_end) && cmp_begin != 0)
@@ -478,7 +478,7 @@ private:
       flags.is_complementary_y_monotone = 1;
 
       int cmp_y = compare_y(_begin, _end);
-      
+
       // Is the arc on the right part ?
       if (cmp_begin > 0 || cmp_end > 0)
         return cmp_y < 0;
@@ -486,7 +486,7 @@ private:
       // Is the arc on the left part ?
       if (cmp_begin < 0 || cmp_end < 0)
         return cmp_y > 0;
-      
+
       // There remains the case :
       CGAL_assertion(cmp_begin == 0 && cmp_end == 0);
 
@@ -510,12 +510,12 @@ private:
     // if the 2 points are on y-extremals
     // true if the arc is on left-part
     bool _two_end_points_on_left_part() const
-    { 
-      int c1x = CGAL::compare(_begin.x(), 
+    {
+      int c1x = CGAL::compare(_begin.x(),
         supporting_circle().center().x());
       if(c1x < 0) return true;
       if(c1x > 0) return false;
-      int c2x = CGAL::compare(_end.x(), 
+      int c2x = CGAL::compare(_end.x(),
         supporting_circle().center().x());
       if(c2x < 0) return true;
       if(c2x > 0) return false;
@@ -527,7 +527,7 @@ public:
     bool is_x_monotone() const {
       if(flags.is_x_monotonic == 0) {
         bool b = _is_x_monotone();
-        if(b) { 
+        if(b) {
           flags.is_x_monotonic = 2;
           flags.is_complementary_x_monotone = 0;
         } else flags.is_x_monotonic = 1;
@@ -535,16 +535,16 @@ public:
       } else {
         return (flags.is_x_monotonic == 1) ? false : true;
       }
-    } 
+    }
 
     // Returns true if the complementary arc is x_monotone()
     // note: if semi-cercle -> false
     bool is_complementary_x_monotone() const {
-      // is_x_monotone calculates also if 
+      // is_x_monotone calculates also if
       // the complementary is x-monotone if needed
       is_x_monotone();
       return (flags.is_complementary_x_monotone == 0) ? false : true;
-    } 
+    }
 
     bool is_y_monotone() const {
       if(flags.is_y_monotonic == 0) {
@@ -562,13 +562,13 @@ public:
     // Returns true if the complementary arc is y_monotone()
     // note: if semi-cercle -> false
     bool is_complementary_y_monotone() const {
-      // is_y_monotone calculates also if 
+      // is_y_monotone calculates also if
       // the complementary is y-monotone if needed
       is_y_monotone();
       return (flags.is_complementary_y_monotone == 0) ? false : true;
     }
 
-    // check whether 2 endpoints are at upper or not from the center 
+    // check whether 2 endpoints are at upper or not from the center
     bool two_end_points_on_upper_part() const {
       if(flags.two_end_points_on_upper_part == 0) {
         bool b = _two_end_points_on_upper_part();
@@ -580,7 +580,7 @@ public:
       }
     }
 
-    // check whether the arc is at upper or not from the center 
+    // check whether the arc is at upper or not from the center
     bool on_upper_part() const {
       CGAL_kernel_precondition(is_x_monotone());
       return two_end_points_on_upper_part();
@@ -604,8 +604,8 @@ public:
       }
     }
 
-    // check whether the arc is at left or right from the center 
-    bool on_left_part() const {      
+    // check whether the arc is at left or right from the center
+    bool on_left_part() const {
       CGAL_kernel_precondition(is_y_monotone());
       return two_end_points_on_left_part();
     }
@@ -622,7 +622,7 @@ public:
     }
 #endif
 
-#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES 
+#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
     unsigned int circle_number() const {
       if(!id_of_my_supporting_circle)
         id_of_my_supporting_circle = circle_table().get_new_id();
@@ -640,13 +640,13 @@ public:
     }
 
     typename cpp11::result_of<typename CK::Construct_center_2(Circle_2)>::type
-    center() const           
+    center() const
     {
        return supporting_circle().center();
     }
 
     typename cpp11::result_of<typename CK::Compute_squared_radius_2(Circle_2)>::type
-    squared_radius() const           
+    squared_radius() const
     {
        return supporting_circle().squared_radius();
     }
@@ -654,7 +654,7 @@ public:
     Bbox_2 bbox() const
     {
       return CGAL::CircularFunctors::circular_arc_bbox<CK>(*this);
-    }    
+    }
 
     // Dont use this function, it is only for internal use
     void _setx_info(unsigned short int v_is_x_monotone,
@@ -664,7 +664,7 @@ public:
       flags.two_end_points_on_upper_part = v_two_end_points_on_upper_part;
       flags.is_complementary_x_monotone = v_is_complementary_x_monotone;
     }
-    
+
   }; // end class Circular_arc_2_base
 
 
@@ -679,8 +679,8 @@ public:
     // - circle c2
     // - bool b2
     return os << a.supporting_circle() << " "
-	      << a.source() << " "
-	      << a.target() << " ";
+              << a.source() << " "
+              << a.target() << " ";
   }
 
   template < typename CK >
@@ -718,7 +718,7 @@ public:
                 << std::sqrt(CGAL::to_double(a.supporting_circle().squared_radius()))
                 << " ]])" << std::endl;
     }
-  }     
+  }
 
 
 template < typename CK, typename Base_CK>
@@ -737,7 +737,7 @@ public:
   ///////////Construction/////////////
 
   Filtered_bbox_circular_arc_2_base() : P_arc(), bb(nullptr) {}
-    
+
   Filtered_bbox_circular_arc_2_base(const P_arc& arc) : P_arc(arc), bb(nullptr) {}
 
   // otherwise it will lead to ambiguos definitions
@@ -745,20 +745,20 @@ public:
     : P_arc(c),bb(nullptr)
   {}
 
-  Filtered_bbox_circular_arc_2_base(const Circle_2 &support, 
+  Filtered_bbox_circular_arc_2_base(const Circle_2 &support,
                                     const Line_2 &l1, const bool b_l1,
                                     const Line_2 &l2, const bool b_l2)
     : P_arc(support,l1,b_l1,l2,b_l2),bb(nullptr)
   {}
 
-    
-  Filtered_bbox_circular_arc_2_base(const Circle_2 &c, 
+
+  Filtered_bbox_circular_arc_2_base(const Circle_2 &c,
                                     const Circle_2 &c1, const bool b_1,
                                     const Circle_2 &c2, const bool b_2)
     : P_arc(c,c1,b_1,c2,b_2),bb(nullptr)
   {}
 
-    
+
   Filtered_bbox_circular_arc_2_base(const Point_2 &start,
                                     const Point_2 &middle,
                                     const Point_2 &end)
@@ -767,17 +767,17 @@ public:
 
   Filtered_bbox_circular_arc_2_base(const Point_2 &begin,
                                     const Point_2 &end,
-                                    const FT &bulge) 
+                                    const FT &bulge)
     : P_arc(begin, end, bulge),bb(nullptr)
   {}
 
   Filtered_bbox_circular_arc_2_base(const Circle_2 &support,
                                     const Circular_arc_point_2 &begin,
                                     const Circular_arc_point_2 &end)
-    : P_arc(support, begin, end),bb(nullptr) 
+    : P_arc(support, begin, end),bb(nullptr)
   {}
 
-  Filtered_bbox_circular_arc_2_base(const Self &c) 
+  Filtered_bbox_circular_arc_2_base(const Self &c)
     : P_arc(c), bb(c.bb ? new Bbox_2(*(c.bb)) : nullptr)
   {}
 
@@ -797,17 +797,17 @@ public:
   ~Filtered_bbox_circular_arc_2_base() { if(bb) delete bb; }
 
   Bbox_2 bbox() const
-  { 
+  {
     if(bb==nullptr)
       bb=new Bbox_2(CGAL::CircularFunctors::circular_arc_bbox<CK>(*this));
     return *bb;
   }
-                          
-			
+
+
   ///Specific check used for bbox construction///
   bool has_no_bbox() const
   { return (bb==nullptr);}
-		
+
 private:
   mutable Bbox_2 *bb;
 }; // end class Filtered_bbox_circular_arc_2_base
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_2/Circular_arc_point_2.h 5.0.3-1/include/CGAL/Circular_kernel_2/Circular_arc_point_2.h
--- 5.0.2-3/include/CGAL/Circular_kernel_2/Circular_arc_point_2.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_2/Circular_arc_point_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_2/Circular_arc_point_2.h $
-// $Id: Circular_arc_point_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_2/Circular_arc_point_2.h $
+// $Id: Circular_arc_point_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_CIRCULAR_KERNEL_CIRCULAR_ARC_POINT_2_H
@@ -36,14 +36,14 @@ namespace internal {
     typedef typename CK::FT                      FT;
     typedef typename CK::Root_of_2               Root_of_2;
     typedef typename CK::Point_2                 Point_2;
-    
+
   public: // fixme ?
     typedef typename CK::Root_for_circles_2_2 Root_for_circles_2_2;
     typedef typename CK::template Handle<Root_for_circles_2_2>::type  Base;
-    
-    Circular_arc_point_2_base() 
+
+    Circular_arc_point_2_base()
     {}
-    
+
     Circular_arc_point_2_base(const Root_for_circles_2_2 & np)
       :  _p(np)
     {}
@@ -52,23 +52,23 @@ namespace internal {
       :  _p(p.x(),p.y()/*,1,1,-p.x()-p.y()*/)
     {}
 
-    const Root_of_2 & x() const 
+    const Root_of_2 & x() const
     { return get_pointee_or_identity(_p).x(); }
-    
-    const Root_of_2 & y() const 
+
+    const Root_of_2 & y() const
     { return get_pointee_or_identity(_p).y(); }
-    
+
     CGAL::Bbox_2 bbox() const
     {
       return get_pointee_or_identity(_p).bbox();
     }
 
-    const Root_for_circles_2_2 & coordinates() const 
+    const Root_for_circles_2_2 & coordinates() const
     { return get_pointee_or_identity(_p); }
 
     bool equal_ref(const Circular_arc_point_2_base &p) const
     {
-      return CGAL::identical(_p, p._p);      
+      return CGAL::identical(_p, p._p);
     }
 
   private:
@@ -80,7 +80,7 @@ namespace internal {
   print(std::ostream & os, const Circular_arc_point_2_base<CK> &p)
   {
     return os << "CirclArcEndPoint_2(" << std::endl
-	      << p.x() << ", " << p.y() << ')';
+              << p.x() << ", " << p.y() << ')';
   }
 
 template < typename BK, typename Base_CK >
@@ -111,7 +111,7 @@ public:
     : P_point(p), bb(nullptr)
   {}
 
-  Filtered_bbox_circular_arc_point_2_base(const Self &c) 
+  Filtered_bbox_circular_arc_point_2_base(const Self &c)
     : P_point(c), bb(c.bb ? new Bbox_2(*(c.bb)) : nullptr)
   {}
 
@@ -121,32 +121,32 @@ public:
     {
       this->P_point::operator=(c);
 
-      if (bb != nullptr){ 
+      if (bb != nullptr){
         delete bb;
       }
       bb = c.bb ? new Bbox_2(*(c.bb)) : nullptr;
     }
     return *this;
   }
-	
+
   ~Filtered_bbox_circular_arc_point_2_base() {
     if(bb) {
-      delete bb; 
+      delete bb;
       bb = 0;
     }
   }
 
   ////Bbox related accessors////
-  
+
   bool has_no_bbox() const
   { return (bb==nullptr);}
 
   Bbox_2  bbox() const
-  { 
+  {
     if(this->has_no_bbox())
       bb= new Bbox_2(P_point::bbox());
-              
-    return *bb;     
+
+    return *bb;
   }
 
 private:
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_2/function_objects_on_circle_2.h 5.0.3-1/include/CGAL/Circular_kernel_2/function_objects_on_circle_2.h
--- 5.0.2-3/include/CGAL/Circular_kernel_2/function_objects_on_circle_2.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_2/function_objects_on_circle_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_2/function_objects_on_circle_2.h $
-// $Id: function_objects_on_circle_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_2/function_objects_on_circle_2.h $
+// $Id: function_objects_on_circle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 
@@ -24,7 +24,7 @@
 
 #include <CGAL/Circular_kernel_2/internal_functions_on_circle_2.h>
 
-#include <CGAL/Circular_kernel_2/function_objects_on_line_2.h> 
+#include <CGAL/Circular_kernel_2/function_objects_on_line_2.h>
 // to be removed when CGAL::Kernel has a Get_equation
 
 namespace CGAL {
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_2/function_objects_on_line_2.h 5.0.3-1/include/CGAL/Circular_kernel_2/function_objects_on_line_2.h
--- 5.0.2-3/include/CGAL/Circular_kernel_2/function_objects_on_line_2.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_2/function_objects_on_line_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_2/function_objects_on_line_2.h $
-// $Id: function_objects_on_line_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_2/function_objects_on_line_2.h $
+// $Id: function_objects_on_line_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 
@@ -32,11 +32,11 @@ namespace LinearFunctors {
   template < class CK >
   class Construct_line_2 : public  CK::Linear_kernel::Construct_line_2
   {
-	  typedef typename CK::Line_arc_2            Line_arc_2;
+          typedef typename CK::Line_arc_2            Line_arc_2;
     typedef typename CK::Line_2                Line_2;
     public:
 
-    typedef typename CK::Linear_kernel::Construct_line_2::result_type 
+    typedef typename CK::Linear_kernel::Construct_line_2::result_type
       result_type;
     using CK::Linear_kernel::Construct_line_2::operator();
 
@@ -48,7 +48,7 @@ namespace LinearFunctors {
     result_type
     operator() ( const typename CK::Polynomial_1_2 &eq )
       {
-	      return construct_line_2<CK>(eq);
+              return construct_line_2<CK>(eq);
       }
   };
 
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_2/function_objects_polynomial_circular.h 5.0.3-1/include/CGAL/Circular_kernel_2/function_objects_polynomial_circular.h
--- 5.0.2-3/include/CGAL/Circular_kernel_2/function_objects_polynomial_circular.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_2/function_objects_polynomial_circular.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_2/function_objects_polynomial_circular.h $
-// $Id: function_objects_polynomial_circular.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_2/function_objects_polynomial_circular.h $
+// $Id: function_objects_polynomial_circular.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_CIRCULAR_KERNEL_FUNCTION_OBJECTS_POLYNOMIAL_CIRCULAR_H
@@ -101,7 +101,7 @@ namespace CircularFunctors {
     typedef typename CK::Point_2 Point_2;
 
   public:
-	
+
     typedef typename CK::Linear_kernel::Compare_y_2::result_type result_type;
 #ifndef CGAL_CFG_MATCHING_BUG_6
     using CK::Linear_kernel::Compare_y_2::operator();
@@ -159,13 +159,13 @@ namespace CircularFunctors {
   {
     typedef typename CK::Circular_arc_point_2 Circular_arc_point_2;
     typedef typename CK::Point_2 Point_2;
-    
+
   public:
 
     typedef typename CK::Linear_kernel::Compare_xy_2::result_type result_type;
 #ifndef CGAL_CFG_MATCHING_BUG_6
     using CK::Linear_kernel::Compare_xy_2::operator();
-#else 
+#else
 
     result_type
     operator() (const Point_2 &p0,
@@ -193,7 +193,7 @@ namespace CircularFunctors {
 
   public:
     typedef bool         result_type;
-    
+
     result_type
     operator()(const Circular_arc_2 &a, const Circular_arc_point_2 &p) const
     { return CircularFunctors::point_in_x_range<CK>(a, p); }
@@ -201,10 +201,10 @@ namespace CircularFunctors {
     result_type
     operator()(const Line_arc_2 &a, const Circular_arc_point_2 &p) const
     { return CircularFunctors::point_in_x_range<CK>(a, p); }
-    
+
   };
 
-  
+
   template < class CK >
   class Has_on_2
     : public CK::Linear_kernel::Has_on_2
@@ -216,18 +216,18 @@ namespace CircularFunctors {
     typedef typename CK::Line_2                  Line_2;
 
   public:
-	  typedef typename CK::Linear_kernel::Has_on_2::result_type result_type;
-    
+          typedef typename CK::Linear_kernel::Has_on_2::result_type result_type;
+
     using CK::Linear_kernel::Has_on_2::operator();
 
     result_type
     operator()(const Circle_2 &a, const Circular_arc_point_2 &p) const
     { return CircularFunctors::has_on<CK>(a, p); }
-    
+
     result_type
     operator()(const Line_2 &a, const Circular_arc_point_2 &p) const
     { return LinearFunctors::has_on<CK>(a, p); }
-    
+
     result_type
     operator()(const Circular_arc_2 &a, const Circular_arc_point_2 &p) const
     { return CircularFunctors::has_on<CK>(a, p); }
@@ -235,9 +235,9 @@ namespace CircularFunctors {
     result_type
     operator()(const Line_arc_2 &a, const Circular_arc_point_2 &p) const
     { return CircularFunctors::has_on<CK>(a, p); }
-    
+
   };
-  
+
   template < class CK >
   class Compare_y_to_right_2
   {
@@ -247,7 +247,7 @@ namespace CircularFunctors {
 
   public:
     typedef CGAL::Comparison_result result_type;
-    
+
     result_type
     operator()(const Circular_arc_2 &a1,
                const Circular_arc_2 &a2,
@@ -271,12 +271,12 @@ namespace CircularFunctors {
                const Line_arc_2 &a2,
                const Circular_arc_point_2 &p) const
     { if (CircularFunctors::compare_y_to_right<CK>(a2, a1, p) == CGAL::LARGER)
-	return CGAL::SMALLER;
+        return CGAL::SMALLER;
       return CGAL::LARGER;
     }
-  
+
   };
- 
+
   template < class CK >
   class Equal_2
  #ifndef CGAL_CFG_MATCHING_BUG_6
@@ -301,67 +301,67 @@ namespace CircularFunctors {
     typedef typename CK::Iso_rectangle_2 Iso_rectangle_2;
     typedef typename CK::Circle_2 Circle_2;
 
-    
+
     typedef typename CK::Linear_kernel::Equal_2::result_type result_type;
 #ifndef CGAL_CFG_MATCHING_BUG_6
     using CK::Linear_kernel::Equal_2::operator();
-#else  
+#else
 
     result_type
     operator() (const Point_2 &p0,
                 const Point_2 &p1) const
     { return LK_Equal_2()(p0,p1); }
-      
+
     result_type
     operator() (const Vector_2 &p0,
                 const Vector_2 &p1) const
     { return LK_Equal_2()(p0,p1); }
-       
+
     result_type
     operator() (const Vector_2 &p0,
                 const Null_vector &p1) const
     { return LK_Equal_2()(p0,p1); }
-      
+
     result_type
     operator() (const Null_vector &p0,
                 const Vector_2 &p1) const
     { return LK_Equal_2()(p0,p1); }
-      
+
     result_type
     operator() (const Direction_2 &p0,
                 const Direction_2 &p1) const
     { return LK_Equal_2()(p0,p1); }
-    
-  
+
+
     result_type
     operator() (const Segment_2 &p0,
                 const Segment_2 &p1) const
     { return LK_Equal_2()(p0,p1); }
-    
+
 
     result_type
     operator() (const Ray_2 &p0,
                 const Ray_2 &p1) const
     { return LK_Equal_2()(p0,p1); }
-    
+
     result_type
     operator() (const Line_2 &p0,
                 const Line_2 &p1) const
     { return LK_Equal_2()(p0,p1); }
-    
+
 
 
     result_type
     operator() (const Triangle_2 &p0,
                 const Triangle_2 &p1) const
     { return LK_Equal_2()(p0,p1); }
-    
+
 
     result_type
     operator() (const Iso_rectangle_2 &p0,
                 const Iso_rectangle_2 &p1) const
     { return LK_Equal_2()(p0,p1); }
-    
+
 
     result_type
     operator() (const Circle_2 &p0,
@@ -373,7 +373,7 @@ namespace CircularFunctors {
     operator() (const Circular_arc_point_2 &p0,
                 const Circular_arc_point_2 &p1) const
     { return CircularFunctors::equal<CK>(p0, p1); }
-    
+
     result_type
     operator() (const Circular_arc_2 &a0, const Circular_arc_2 &a1) const
     { return CircularFunctors::equal<CK>(a0, a1); }
@@ -381,7 +381,7 @@ namespace CircularFunctors {
     result_type
     operator() (const Line_arc_2 &a0, const Line_arc_2 &a1) const
     { return CircularFunctors::equal<CK>(a0, a1); }
-    
+
    };
 
   template < class CK >
@@ -394,7 +394,7 @@ namespace CircularFunctors {
   public:
     typedef typename CK::Linear_kernel::Compare_y_at_x_2::result_type   result_type;
 
-    using CK::Linear_kernel::Compare_y_at_x_2::operator();    
+    using CK::Linear_kernel::Compare_y_at_x_2::operator();
 
     result_type
     operator() (const Circular_arc_point_2 &p,
@@ -416,11 +416,11 @@ namespace CircularFunctors {
 
   public:
     typedef bool         result_type;
-    
+
     result_type
     operator() (const Circular_arc_2 &A1, const Circular_arc_2 &A2) const
     { return CircularFunctors::do_overlap<CK>(A1, A2); }
-    
+
     result_type
     operator() (const Line_arc_2 &A1, const Line_arc_2 &A2) const
     { return CircularFunctors::do_overlap<CK>(A1, A2); }
@@ -435,20 +435,20 @@ namespace CircularFunctors {
     typedef typename CK::Line_arc_2 Line_arc_2;
 
   public:
-    
+
      typedef void         result_type;   //!!!
 
     template < class OutputIterator >
     OutputIterator
     operator()(const Circular_arc_2 &A, OutputIterator res) const
-    { 
+    {
       return    CircularFunctors::make_x_monotone<CK> (A, res);
     }
 
     template < class OutputIterator >
     OutputIterator
     operator()(const Line_arc_2 &A, OutputIterator res) const
-    { 
+    {
       return CircularFunctors::make_x_monotone<CK>(A,res);
     }
 
@@ -501,19 +501,19 @@ namespace CircularFunctors {
     operator()(const T1& t1, const T2& t2) const
     { return Intersections::internal::do_intersect(t1, t2, CK()); }
   };
-  
+
   template < class CK >
   class Intersect_2
   //The inheritance is commented as for some reason this does not work when
   //using the Lazy_kernel as linear kernel.
     //: public CK::Linear_kernel::Intersect_2
   {
-  
+
     typedef typename CK::Circle_2                 Circle;
     typedef typename CK::Circular_arc_2           Circular_arc;
     typedef typename CK::Line_arc_2               Line_arc;
     typedef typename CK::Line_2                   Line;
-    
+
     public:
 
     //using CK::Linear_kernel::Intersect_2::operator();
@@ -540,15 +540,15 @@ namespace CircularFunctors {
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Line & c1, const Circle & c2, 
-	       OutputIterator res) const
-      { return CircularFunctors::intersect_2<CK> (c1,c2,res); }  
+    operator()(const Line & c1, const Circle & c2,
+               OutputIterator res) const
+      { return CircularFunctors::intersect_2<CK> (c1,c2,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circle & c1, const Line & c2, 
-	       OutputIterator res) const
-      {	return CircularFunctors::intersect_2<CK> (c2,c1,res); }
+    operator()(const Circle & c1, const Line & c2,
+               OutputIterator res) const
+      {        return CircularFunctors::intersect_2<CK> (c2,c1,res); }
 
     template < class OutputIterator >
     OutputIterator
@@ -557,80 +557,80 @@ namespace CircularFunctors {
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circle & c1, const Circular_arc & c2, 
-	       OutputIterator res) const
+    operator()(const Circle & c1, const Circular_arc & c2,
+               OutputIterator res) const
     { return CircularFunctors::intersect_2<CK> (Circular_arc(c1),c2,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circular_arc & c1, const Circle & c2, 
-	       OutputIterator res) const
+    operator()(const Circular_arc & c1, const Circle & c2,
+               OutputIterator res) const
     { return CircularFunctors::intersect_2<CK> (c1,Circular_arc(c2),res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circular_arc & c1, const Circular_arc & c2, 
-	       OutputIterator res) const
-      { return CircularFunctors::intersect_2<CK> (c1,c2,res); }  
+    operator()(const Circular_arc & c1, const Circular_arc & c2,
+               OutputIterator res) const
+      { return CircularFunctors::intersect_2<CK> (c1,c2,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Line_arc & c1, const Line_arc & c2, 
-	       OutputIterator res) const
-      {	return CircularFunctors::intersect_2<CK> (c1,c2,res); }  
+    operator()(const Line_arc & c1, const Line_arc & c2,
+               OutputIterator res) const
+      {        return CircularFunctors::intersect_2<CK> (c1,c2,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Line_arc & c1, const Circle & c2, 
-	       OutputIterator res) const
+    operator()(const Line_arc & c1, const Circle & c2,
+               OutputIterator res) const
     { return CircularFunctors::intersect_2<CK> (c1,c2,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circle & c1, const Line_arc & c2, 
-	       OutputIterator res) const
+    operator()(const Circle & c1, const Line_arc & c2,
+               OutputIterator res) const
     { return CircularFunctors::intersect_2<CK> (c2,c1,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Line_arc & c1, const Circular_arc & c2, 
-	       OutputIterator res) const
+    operator()(const Line_arc & c1, const Circular_arc & c2,
+               OutputIterator res) const
     { return CircularFunctors::intersect_2<CK> (c1,c2,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circular_arc & c1, const Line_arc & c2, 
-	       OutputIterator res) const
+    operator()(const Circular_arc & c1, const Line_arc & c2,
+               OutputIterator res) const
     { return CircularFunctors::intersect_2<CK> (c2,c1,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Line & l, const Circular_arc & c, 
-	       OutputIterator res) const
+    operator()(const Line & l, const Circular_arc & c,
+               OutputIterator res) const
     { return CircularFunctors::intersect_2<CK> (l,c,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Line & l, const Line_arc & la, 
-	       OutputIterator res) const
+    operator()(const Line & l, const Line_arc & la,
+               OutputIterator res) const
     { return CircularFunctors::intersect_2<CK> (l,la,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circular_arc & c, const Line & l, 
-	       OutputIterator res) const
+    operator()(const Circular_arc & c, const Line & l,
+               OutputIterator res) const
     { return CircularFunctors::intersect_2<CK> (l,c,res); }
 
     template < class OutputIterator >
     OutputIterator
     operator()(const Line_arc & la, const Line & l,
-	       OutputIterator res) const
+               OutputIterator res) const
     { return CircularFunctors::intersect_2<CK> (l,la,res); }
 
     template < class OutputIterator >
     OutputIterator
     operator()(const Line & l1, const Line & l2,
-	       OutputIterator res) const
+               OutputIterator res) const
     {
       *res++=typename CK::Linear_kernel::Intersect_2()(l1, l2);
       return res;
@@ -661,14 +661,14 @@ namespace CircularFunctors {
     typename CK::Polynomial_1_2
     operator() ( const typename CK::Line_2 & l )
       {
-	      return LinearFunctors::get_equation<CK>(l);
+              return LinearFunctors::get_equation<CK>(l);
       }
 
     typename CK::Polynomial_for_circles_2_2
     operator() ( const typename CK::Circle_2 & c )
       {
         return CircularFunctors::get_equation<CK>(c);
-		  }		
+                  }
   };
 
   template < class CK >
@@ -683,16 +683,16 @@ namespace CircularFunctors {
     typedef void         result_type;
 
     result_type
-    operator()(const Circular_arc_2 &A, 
-	       const Circular_arc_point_2 &p,
-	       Circular_arc_2 &ca1, Circular_arc_2 &ca2) const
+    operator()(const Circular_arc_2 &A,
+               const Circular_arc_point_2 &p,
+               Circular_arc_2 &ca1, Circular_arc_2 &ca2) const
     { return CircularFunctors::split<CK>(A, p, ca1, ca2); }
 
 
     result_type
-    operator()(const Line_arc_2 &A, 
-	       const Circular_arc_point_2 &p,
-	       Line_arc_2 &ca1, Line_arc_2 &ca2) const
+    operator()(const Line_arc_2 &A,
+               const Circular_arc_point_2 &p,
+               Line_arc_2 &ca1, Line_arc_2 &ca2) const
     { return CircularFunctors::split<CK>(A, p, ca1, ca2); }
 
   };
@@ -706,8 +706,8 @@ namespace CircularFunctors {
 
   public:
 
-	  typedef typename CK::Linear_kernel::Is_vertical_2::result_type result_type; 
-    
+          typedef typename CK::Linear_kernel::Is_vertical_2::result_type result_type;
+
     using CK::Linear_kernel::Is_vertical_2::operator();
 
     result_type
@@ -736,9 +736,9 @@ namespace CircularFunctors {
 
   public:
     typedef  Circular_arc_2 result_type;
-    
+
     result_type
-    operator()(void) 
+    operator()(void)
     { return Rep(); }
 
     result_type
@@ -747,7 +747,7 @@ namespace CircularFunctors {
 
     result_type
     operator()(const Circle_2 &support,
-               const Circular_arc_point_2 &source, 
+               const Circular_arc_point_2 &source,
                const Circular_arc_point_2 &target) const
     { return Rep(support,source,target); }
 
@@ -767,7 +767,7 @@ namespace CircularFunctors {
 
     result_type
     operator()(const Point_2 &begin,
-               const Point_2 &middle, 
+               const Point_2 &middle,
                const Point_2 &end) const
     { return Rep(begin,middle,end); }
 
@@ -775,7 +775,7 @@ namespace CircularFunctors {
     result_type
     operator()(const Point_2 &begin,
                const Point_2 &end,
-	       const FT& bulge) const
+               const FT& bulge) const
     { return Rep(begin,end,bulge); }
 
   };
@@ -795,35 +795,35 @@ namespace CircularFunctors {
 
   public:
     typedef Line_arc_2   result_type;
-    
+
     result_type
-    operator()(void) 
+    operator()(void)
     { return Rep(); }
 
     // Not Documented
     result_type
     operator()(const Line_2 &support,
-	       const Circle_2 &c1,const bool b1,
-	       const Circle_2 &c2,const bool b2) const
+               const Circle_2 &c1,const bool b1,
+               const Circle_2 &c2,const bool b2) const
     { return Rep(support,c1,b1,c2,b2); }
 
     // Not Documented
     result_type
     operator()(const Line_2 &support,
-	       const Line_2 &l1,
-	       const Line_2 &l2) const
+               const Line_2 &l1,
+               const Line_2 &l2) const
     { return Rep(support,l1,l2); }
 
     result_type
     operator()(const Line_2 &support,
-	       const Circular_arc_point_2 &p1,
-	       const Circular_arc_point_2 &p2) const
+               const Circular_arc_point_2 &p1,
+               const Circular_arc_point_2 &p2) const
     { return Rep(support,p1,p2); }
 
 //     result_type
 //     operator()(const Line_2 &support,
-// 	       const Point_2 &p1,
-// 	       const Point_2 &p2) const
+//                const Point_2 &p1,
+//                const Point_2 &p2) const
 //     { return Rep(support,p1,p2); }
 
     result_type
@@ -832,7 +832,7 @@ namespace CircularFunctors {
 
     result_type
     operator()(const Point_2 &p1,
-	       const Point_2 &p2) const
+               const Point_2 &p2) const
     { return Rep(p1,p2); }
 
   };
@@ -842,17 +842,17 @@ namespace CircularFunctors {
   {
     typedef typename CK::Point_2               Point_2;
     typedef typename CK::Circular_arc_point_2  Circular_arc_point_2;
-    typedef typename CK::Kernel_base::Circular_arc_point_2  
+    typedef typename CK::Kernel_base::Circular_arc_point_2
                                                RCircular_arc_point_2;
     typedef typename Circular_arc_point_2::Rep Rep;
-    typedef typename Circular_arc_point_2::Root_for_circles_2_2  
+    typedef typename Circular_arc_point_2::Root_for_circles_2_2
                                                Root_for_circles_2_2;
 
   public:
     typedef Circular_arc_point_2 result_type;
 
     result_type
-    operator()(void) 
+    operator()(void)
     { return Rep(); }
 
     result_type
@@ -891,7 +891,7 @@ namespace CircularFunctors {
   public:
 
     typedef const Root_of_2&            result_type;
-    
+
     result_type operator() (const Circular_arc_point_2 & a) const
     {
       return (a.rep().y());
@@ -931,7 +931,7 @@ namespace CircularFunctors {
   public:
 
     typedef const Circular_arc_point_2& result_type;
-    
+
     result_type operator() (const Circular_arc_2 & a) const
     {
       return (a.rep().right());
@@ -954,7 +954,7 @@ namespace CircularFunctors {
   public:
 
     typedef const Circular_arc_point_2& result_type;
-    
+
     result_type operator() (const Circular_arc_2 & a) const
     { return a.rep().source(); }
 
@@ -974,7 +974,7 @@ namespace CircularFunctors {
   public:
 
     typedef const Circular_arc_point_2& result_type;
-   
+
     result_type operator() (const Circular_arc_2 & a) const
     { return a.rep().target();}
 
@@ -992,7 +992,7 @@ namespace CircularFunctors {
   public:
 
     typedef bool         result_type;
-    
+
     result_type operator() (const Circular_arc_2 & a) const
     {
       return (a.rep().is_x_monotone());
@@ -1014,7 +1014,7 @@ namespace CircularFunctors {
   public:
 
     typedef bool         result_type;
-    
+
     result_type operator() (const Circular_arc_2 & a) const
     {
       return (a.rep().is_y_monotone());
@@ -1040,7 +1040,7 @@ namespace CircularFunctors {
 
   public:
 
-    typedef typename CK::Linear_kernel::Construct_bbox_2::result_type result_type; 
+    typedef typename CK::Linear_kernel::Construct_bbox_2::result_type result_type;
 #ifndef CGAL_CFG_MATCHING_BUG_6
     using CK::Linear_kernel::Construct_bbox_2::operator();
 #else
@@ -1107,7 +1107,7 @@ namespace CircularFunctors {
 
 #ifndef CGAL_CFG_MATCHING_BUG_6
     using CK::Linear_kernel::Bounded_side_2::operator();
-#else 
+#else
     typedef typename CK::Point_2 Point_2;
     typedef typename CK::Triangle_2 Triangle_2;
     typedef typename CK::Iso_rectangle_2 Iso_rectangle_2;
@@ -1188,7 +1188,7 @@ namespace CircularFunctors {
 
 #ifndef CGAL_CFG_MATCHING_BUG_6
     using CK::Linear_kernel::Has_on_unbounded_side_2::operator();
-#else 
+#else
     typedef typename CK::Point_2 Point_2;
     typedef typename CK::Triangle_2 Triangle_2;
     typedef typename CK::Iso_rectangle_2 Iso_rectangle_2;
@@ -1224,14 +1224,14 @@ namespace CircularFunctors {
   public:
 
     typedef Circle_2             result_type;
-    
+
     CGAL_DEPRECATED result_type operator() (const Circular_arc_2 & a) const
     {
       return a.rep().supporting_circle();
     }
   };
-  
-  
+
+
   template <class CK>
   class Construct_supporting_line_2
   {
@@ -1242,7 +1242,7 @@ namespace CircularFunctors {
   public:
 
     typedef Line_2               result_type;
-    
+
     CGAL_DEPRECATED result_type operator() (const Line_arc_2 & a) const
     {
       return a.rep().supporting_line();
@@ -1252,13 +1252,13 @@ namespace CircularFunctors {
 
   template <typename CK>
   class Construct_center_2
-	#ifndef CGAL_CFG_MATCHING_BUG_6
-	    : public CK::Linear_kernel::Construct_center_2
-	#endif
+        #ifndef CGAL_CFG_MATCHING_BUG_6
+            : public CK::Linear_kernel::Construct_center_2
+        #endif
   {
     typedef typename CK::Circular_arc_2  Circular_arc_2;
   public:
-    typedef typename CK::Linear_kernel::Construct_center_2::result_type result_type; 
+    typedef typename CK::Linear_kernel::Construct_center_2::result_type result_type;
 #ifndef CGAL_CFG_MATCHING_BUG_6
     using CK::Linear_kernel::Construct_center_2::operator();
 #else
@@ -1272,7 +1272,7 @@ namespace CircularFunctors {
     result_type
     operator()( const Circle_2& c) const
       { return LK_Construct_center_2()(c); }
-    
+
 #endif
     result_type
     operator()(const Circular_arc_2& c) const
@@ -1306,20 +1306,20 @@ namespace CircularFunctors {
     struct result<F(Circle_2)> {
       typedef typename cpp11::result_of<LK_Compute_squared_radius_2(Circle_2)>::type type;
     };
-    
+
     typename cpp11::result_of<LK_Compute_squared_radius_2(Circle_2)>::type
     operator()( const Circle_2& c) const
     { return LK_Compute_squared_radius_2()(c); }
-    
+
     FT operator()( const Point_2& p) const
     { return LK_Compute_squared_radius_2()(p); }
-    
+
     FT operator()( const Point_2& p, const Point_2& q) const
     { return LK_Compute_squared_radius_2()(p, q); }
-    
+
     FT operator()( const Point_2& p, const Point_2& q, const Point_2& r) const
     { return LK_Compute_squared_radius_2()(p, q, r); }
-    
+
     typename cpp11::result_of<LK_Compute_squared_radius_2(Circle_2)>::type
     operator()(const Circular_arc_2& c) const
     { return c.rep().squared_radius(); }
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_2/interface_macros.h 5.0.3-1/include/CGAL/Circular_kernel_2/interface_macros.h
--- 5.0.2-3/include/CGAL/Circular_kernel_2/interface_macros.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_2/interface_macros.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_2/interface_macros.h $
-// $Id: interface_macros.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_2/interface_macros.h $
+// $Id: interface_macros.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 
@@ -34,17 +34,17 @@
   CGAL_Circular_Kernel_cons(Construct_circle_2,
   construct_circle_2_object)
   CGAL_Circular_Kernel_pred(Compare_x_2,
-  compare_x_2_object)  
+  compare_x_2_object)
   CGAL_Circular_Kernel_pred(Compare_y_2,
-  compare_y_2_object)    
+  compare_y_2_object)
   CGAL_Circular_Kernel_pred(Compare_xy_2,
-  compare_xy_2_object)  
+  compare_xy_2_object)
   CGAL_Circular_Kernel_pred(Compare_y_at_x_2,
-  compare_y_at_x_2_object)  
+  compare_y_at_x_2_object)
   CGAL_Circular_Kernel_pred(Compare_y_to_right_2,
-  compare_y_to_right_2_object)  
+  compare_y_to_right_2_object)
   CGAL_Circular_Kernel_pred(Do_overlap_2,
-  do_overlap_2_object)  
+  do_overlap_2_object)
   CGAL_Circular_Kernel_pred(Equal_2,
   equal_2_object)
   CGAL_Circular_Kernel_pred(In_x_range_2,
@@ -64,7 +64,7 @@
   CGAL_Circular_Kernel_cons(Construct_circular_arc_point_2,
   construct_circular_arc_point_2_object)
   CGAL_Circular_Kernel_cons(Compute_circular_x_2,
-  compute_circular_x_2_object)  
+  compute_circular_x_2_object)
   CGAL_Circular_Kernel_cons(Compute_circular_y_2,
   compute_circular_y_2_object)
   CGAL_Circular_Kernel_cons(Construct_circular_min_vertex_2,
@@ -76,26 +76,26 @@
   CGAL_Circular_Kernel_cons(Construct_circular_target_vertex_2,
   construct_circular_target_vertex_2_object)
   CGAL_Circular_Kernel_pred(Is_x_monotone_2,
-  is_x_monotone_2_object)  
+  is_x_monotone_2_object)
   CGAL_Circular_Kernel_pred(Is_y_monotone_2,
   is_y_monotone_2_object)
   CGAL_Circular_Kernel_pred(Is_vertical_2,
-  is_vertical_2_object) 
+  is_vertical_2_object)
   CGAL_Circular_Kernel_pred(Has_on_2,
   has_on_2_object)
-  
+
   CGAL_Circular_Kernel_pred(Has_on_bounded_side_2, has_on_bounded_side_2_object)
   CGAL_Circular_Kernel_pred(Has_on_unbounded_side_2, has_on_unbounded_side_2_object)
   CGAL_Circular_Kernel_pred(Bounded_side_2, bounded_side_2_object)
   CGAL_Circular_Kernel_pred(Do_intersect_2, do_intersect_2_object)
 
 #ifndef CGAL_NO_DEPRECATED_CODE
-	CGAL_Circular_Kernel_cons(Construct_supporting_circle_2,
-	  construct_supporting_circle_2_object)
-	CGAL_Circular_Kernel_cons(Construct_supporting_line_2,
-	  construct_supporting_line_2_object)
+        CGAL_Circular_Kernel_cons(Construct_supporting_circle_2,
+          construct_supporting_circle_2_object)
+        CGAL_Circular_Kernel_cons(Construct_supporting_line_2,
+          construct_supporting_line_2_object)
 #endif
-	
+
   CGAL_Circular_Kernel_cons(Construct_bbox_2,
   construct_bbox_2_object)
 
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_2/internal_functions_on_circle_2.h 5.0.3-1/include/CGAL/Circular_kernel_2/internal_functions_on_circle_2.h
--- 5.0.2-3/include/CGAL/Circular_kernel_2/internal_functions_on_circle_2.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_2/internal_functions_on_circle_2.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_2/internal_functions_on_circle_2.h $
-// $Id: internal_functions_on_circle_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_2/internal_functions_on_circle_2.h $
+// $Id: internal_functions_on_circle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_CIRCULAR_KERNEL_INTERNAL_FUNCTIONS_ON_CIRCLE_2_H
@@ -30,71 +30,71 @@ namespace CGAL {
 template< class CK>
 typename CK::Circular_arc_point_2
 circle_intersect( const typename CK::Circle_2 & c1,
-		  const typename CK::Circle_2 & c2,
-		  bool b )
+                  const typename CK::Circle_2 & c2,
+                  bool b )
 {
-  typedef std::vector<typename CK2_Intersection_traits<CK, typename CK::Circle_2, 
+  typedef std::vector<typename CK2_Intersection_traits<CK, typename CK::Circle_2,
                                                            typename CK::Circle_2>::type> solutions_container;
   solutions_container solutions;
-  
+
   intersection( c1, c2, std::back_inserter(solutions) );
-  
+
   typename solutions_container::iterator it = solutions.begin();
-  
-  CGAL_kernel_precondition( it != solutions.end() ); 
+
+  CGAL_kernel_precondition( it != solutions.end() );
   // the circles intersect
-  
+
   const std::pair<typename CK::Circular_arc_point_2, unsigned>*
     result = Intersections::internal::intersect_get<std::pair<typename CK::Circular_arc_point_2, unsigned> > (*it);
-  
+
   if ( result->second == 2 ) // double solution
     return result->first;
-  
-  if (b) 
+
+  if (b)
     return result->first;
-  
+
   ++it;
   result = Intersections::internal::intersect_get<std::pair<typename CK::Circular_arc_point_2, unsigned> > (*it);
-  
+
   return result->first;
 }
 
 namespace CircularFunctors {
-  
+
   template < class CK >
   typename CK::Polynomial_for_circles_2_2
   get_equation( const typename CK::Circle_2 & c )
   {
     typedef typename CK::Algebraic_kernel   AK;
-    
+
     return AK().construct_polynomial_for_circles_2_2_object()
       ( c.center().x(), c.center().y(), c.squared_radius() );
   }
-  
+
   template < class CK >
-  typename CK::Circle_2  
+  typename CK::Circle_2
   construct_circle_2( const typename CK::Polynomial_for_circles_2_2 &eq )
   {
-    return typename 
-      CK::Circle_2( typename CK::Point_2(eq.a(), eq.b()), eq.r_sq() ); 
+    return typename
+      CK::Circle_2( typename CK::Point_2(eq.a(), eq.b()), eq.r_sq() );
   }
 
   template < class CK >
   bool
   has_on(const typename CK::Circle_2 &a,
-	 const typename CK::Circular_arc_point_2 &p)
+         const typename CK::Circular_arc_point_2 &p)
   {
     typedef typename CK::Algebraic_kernel            AK;
     typedef typename CK::Polynomial_for_circles_2_2 Polynomial_for_circles_2_2;
     Polynomial_for_circles_2_2 equation = CircularFunctors::get_equation<CK>(a);
-    
+
     return (AK().sign_at_object()(equation,p.coordinates()) == ZERO);
   }
 
   template < class CK >
   inline bool
   non_oriented_equal(const typename CK::Circle_2 & c1,
-	             const typename CK::Circle_2 & c2) {
+                     const typename CK::Circle_2 & c2) {
     if(identical(c1,c2)) return true;
     return (c1.squared_radius() == c2.squared_radius()) &&
            (c1.center() == c2.center());
@@ -117,37 +117,37 @@ namespace CircularFunctors {
   template< class CK, class OutputIterator>
   OutputIterator
   intersect_2( const typename CK::Circle_2 & c1,
-	       const typename CK::Circle_2 & c2,
-	       OutputIterator res )
+               const typename CK::Circle_2 & c2,
+               OutputIterator res )
   {
     typedef typename CK2_Intersection_traits<CK, typename CK::Circle_2, typename CK::Circle_2>
       ::type result_type;
     typedef typename CK::Algebraic_kernel            AK;
-    typedef typename CK::Polynomial_for_circles_2_2  Equation; 
+    typedef typename CK::Polynomial_for_circles_2_2  Equation;
     typedef typename CK::Root_for_circles_2_2        Root_for_circles_2_2;
     Equation e1 = CircularFunctors::get_equation<CK>(c1);
     Equation e2 = CircularFunctors::get_equation<CK>(c2);
-    
+
     if (e1 == e2) {
       *res++ = CGAL::internal::ck2_intersection_return<result_type>(c1);
       return res;
     }
 
-    typedef std::vector< std::pair < Root_for_circles_2_2, unsigned > > 
+    typedef std::vector< std::pair < Root_for_circles_2_2, unsigned > >
       solutions_container;
     solutions_container solutions;
-    
-    AK().solve_object()(e1, e2, std::back_inserter(solutions)); 
+
+    AK().solve_object()(e1, e2, std::back_inserter(solutions));
     // to be optimized
 
     typedef typename CK::Circular_arc_point_2 Circular_arc_point_2;
-    
-    for ( typename solutions_container::iterator it = solutions.begin(); 
-	  it != solutions.end(); ++it )
+
+    for ( typename solutions_container::iterator it = solutions.begin();
+          it != solutions.end(); ++it )
       {
         *res++ = CGAL::internal::ck2_intersection_return<result_type>
           (std::make_pair(Circular_arc_point_2(it->first),
-					    it->second ));
+                                            it->second ));
       }
 
     return res;
@@ -177,7 +177,7 @@ namespace CircularFunctors {
     typedef typename CK::Algebraic_kernel   AK;
     return AK().y_critical_points_object()(typename CK::Get_equation()(c),i);
   }
-  
+
   template <class CK,class OutputIterator>
   OutputIterator
   y_extremal_points(const typename CK::Circle_2 & c, OutputIterator res)
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_2/internal_functions_on_circular_arc_2.h 5.0.3-1/include/CGAL/Circular_kernel_2/internal_functions_on_circular_arc_2.h
--- 5.0.2-3/include/CGAL/Circular_kernel_2/internal_functions_on_circular_arc_2.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_2/internal_functions_on_circular_arc_2.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_2/internal_functions_on_circular_arc_2.h $
-// $Id: internal_functions_on_circular_arc_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_2/internal_functions_on_circular_arc_2.h $
+// $Id: internal_functions_on_circular_arc_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_CIRCULAR_KERNEL_PREDICATES_ON_CIRCULAR_ARC_2_H
@@ -27,10 +27,10 @@
 #include <CGAL/int.h>
 namespace CGAL {
 namespace CircularFunctors {
-  
+
   template < class CK >
   inline
-  Comparison_result 
+  Comparison_result
   compare_x(const typename CK::Circular_arc_point_2 &p0,
             const typename CK::Circular_arc_point_2 &p1)
   {
@@ -41,7 +41,7 @@ namespace CircularFunctors {
 
   template < class CK >
   inline
-  Comparison_result 
+  Comparison_result
   compare_y(const typename CK::Circular_arc_point_2 &p0,
             const typename CK::Circular_arc_point_2 &p1)
   {
@@ -49,9 +49,9 @@ namespace CircularFunctors {
     if(p0.equal_ref(p1)) return static_cast<Comparison_result>(0);
     return AK().compare_y_object()(p0.coordinates(), p1.coordinates());
   }
-  
+
   template < class CK >
-  Comparison_result 
+  Comparison_result
   compare_xy(const typename CK::Circular_arc_point_2 &p0,
              const typename CK::Circular_arc_point_2 &p1)
   {
@@ -62,13 +62,13 @@ namespace CircularFunctors {
     return AK().compare_xy_object()(p0.coordinates(), p1.coordinates());
   }
 
-  // PRE CONDITION: 
-  // The coordinates of P, Q, R have to have the same 
+  // PRE CONDITION:
+  // The coordinates of P, Q, R have to have the same
   // delta or (beta == 0 || delta == 0)
   // We cannot code this pre condition because
   // if Root_of_2 is interval_nt "beta", "delta" mean nothing
   template < class CK >
-  Orientation 
+  Orientation
   orientation(const typename CK::Circular_arc_point_2 &p,
               const typename CK::Circular_arc_point_2 &q,
               const typename CK::Circular_arc_point_2 &r)
@@ -89,7 +89,7 @@ namespace CircularFunctors {
 
 //   template < class CK >
 //   inline
-//   Comparison_result 
+//   Comparison_result
 //   compare_x(const typename CK::Circular_arc_point_2 &p0,
 //             const typename CK::Point_2 &p1)
 //   {
@@ -98,7 +98,7 @@ namespace CircularFunctors {
 
 //   template < class CK >
 //   inline
-//   Comparison_result 
+//   Comparison_result
 //   compare_x(const typename CK::Point_2 &p0,
 //             const typename CK::Circular_arc_point_2 &p1)
 //   {
@@ -108,7 +108,7 @@ namespace CircularFunctors {
 
 //   template < class CK >
 //   inline
-//   Comparison_result 
+//   Comparison_result
 //   compare_y(const typename CK::Circular_arc_point_2 &p0,
 //             const typename CK::Point_2 &p1)
 //   {
@@ -117,7 +117,7 @@ namespace CircularFunctors {
 
 //   template < class CK >
 //   inline
-//   Comparison_result 
+//   Comparison_result
 //   compare_y(const typename CK::Point_2 &p0,
 //             const typename CK::Circular_arc_point_2 &p1)
 //   {
@@ -126,7 +126,7 @@ namespace CircularFunctors {
 
 
 //   template < class CK >
-//   Comparison_result 
+//   Comparison_result
 //   compare_xy(const typename CK::Circular_arc_point_2 &p0,
 //              const typename CK::Point_2 &p1)
 //   {
@@ -137,7 +137,7 @@ namespace CircularFunctors {
 //   }
 
 //   template < class CK >
-//   Comparison_result 
+//   Comparison_result
 //   compare_xy(const typename CK::Point_2 &p0,
 //              const typename CK::Circular_arc_point_2 &p1)
 //   {
@@ -147,22 +147,22 @@ namespace CircularFunctors {
 //     return compare_y<CK>(p0, p1);
 //   }
 
- 
+
   template < class CK >
   bool
   point_in_x_range(const typename CK::Circular_arc_point_2 &source,
-		   const typename CK::Circular_arc_point_2 &target,
-		   const typename CK::Circular_arc_point_2 &p) 
+                   const typename CK::Circular_arc_point_2 &target,
+                   const typename CK::Circular_arc_point_2 &p)
   {
     // range includes endpoints here
-    return ( (CircularFunctors::compare_x<CK>(p, source) != CircularFunctors::compare_x<CK>(p, target)) 
-	     || (CircularFunctors::compare_x<CK>(p, source) == CGAL::EQUAL) );
+    return ( (CircularFunctors::compare_x<CK>(p, source) != CircularFunctors::compare_x<CK>(p, target))
+             || (CircularFunctors::compare_x<CK>(p, source) == CGAL::EQUAL) );
   }
-  
+
   template < class CK >
   bool
   point_in_x_range(const typename CK::Circular_arc_2 &A,
-		   const typename CK::Circular_arc_point_2 &p) 
+                   const typename CK::Circular_arc_point_2 &p)
   {
     //CGAL_kernel_precondition (A.is_x_monotone());
     // range includes endpoints here
@@ -175,12 +175,12 @@ namespace CircularFunctors {
                  const typename CK::Circular_arc_2 &A1)
   {
     //CGAL_kernel_precondition (A1.is_x_monotone());
-    //CGAL_kernel_precondition (CircularFunctors::point_in_x_range<CK>(A1, p)); 
-    
+    //CGAL_kernel_precondition (CircularFunctors::point_in_x_range<CK>(A1, p));
+
     if((p.equal_ref(A1.source())) || (p.equal_ref(A1.target()))){
       return EQUAL;
     }
-    
+
     // Compare the ordinate of p with the ordinate of the center.
     Comparison_result sgn =
       CGAL::compare(p.y(), A1.supporting_circle().center().y());
@@ -199,7 +199,7 @@ namespace CircularFunctors {
     // Now we want the comparison of dx_sqr + dy_sqr with squared_radius.
     // It's the same as dx_sqr - squared_radius with -dy_sqr.
 
-    Comparison_result distance_to_center = 
+    Comparison_result distance_to_center =
       CGAL::compare(dx_sqr, A1.supporting_circle().squared_radius() - dy_sqr);
 
     if (cmp > 0)
@@ -208,13 +208,13 @@ namespace CircularFunctors {
       return opposite(distance_to_center);
   }
 
-  
+
 
   template < class CK >
-  Comparison_result 
+  Comparison_result
   compare_y_to_right(const typename CK::Circular_arc_2 &A1,
-		     const typename CK::Circular_arc_2 &A2, 
-		     const typename CK::Circular_arc_point_2 &p)
+                     const typename CK::Circular_arc_2 &A2,
+                     const typename CK::Circular_arc_point_2 &p)
   {
     // FIXME : add preconditions to check that the 2 arcs are defined at
     // the right of the intersection.
@@ -223,8 +223,8 @@ namespace CircularFunctors {
 
 #ifdef CGAL_INTERSECTION_MAP_FOR_XMONOTONIC_ARC_WITH_SAME_SUPPORTING_CIRCLE
     // intersection found on the map
-    typedef std::vector<CGAL::Object> solutions_container; 
-    typedef typename CK::Circular_arc_2 Circular_arc_2; 
+    typedef std::vector<CGAL::Object> solutions_container;
+    typedef typename CK::Circular_arc_2 Circular_arc_2;
 
     solutions_container early_sols;
     if(Circular_arc_2::template find_intersection< solutions_container >
@@ -236,7 +236,7 @@ namespace CircularFunctors {
 
     const typename CK::Circle_2 & C1 = A1.supporting_circle();
     const typename CK::Circle_2 & C2 = A2.supporting_circle();
-    
+
     if (CircularFunctors::non_oriented_equal<CK>(C1,C2)) {
       // The point is either a left vertical tangent point of both,
       // or a normal point (-> EQUAL).
@@ -252,10 +252,10 @@ namespace CircularFunctors {
 
     const typename CK::Root_of_2 b1_y = C1.center().y() - p.y();
     const typename CK::Root_of_2 b2_y = C2.center().y() - p.y();
-    
+
     int s_b1_y = CGAL::sign(b1_y);
     int s_b2_y = CGAL::sign(b2_y);
-    
+
     if (s_b1_y == 0) {
       // Vertical tangent for A1.
       if (s_b2_y != 0)
@@ -271,7 +271,7 @@ namespace CircularFunctors {
       CGAL_kernel_assertion (b1 == false && b2 == true);
       return SMALLER;
     }
-    
+
     if (s_b2_y == 0) {
       // Vertical tangent for A2.
       return A2.on_upper_part() ? SMALLER : LARGER;
@@ -290,17 +290,17 @@ namespace CircularFunctors {
     // The slopes have different signs.
     if (cmp != 0)
       return cmp;
-    
+
     // The slopes have the same signs : we have to square.
     if (CGAL::square(squared_distance(C1.center(), C2.center())
-		     - C1.squared_radius() - C2.squared_radius())
-	< 4 * C1.squared_radius() * C2.squared_radius() ) 
+                     - C1.squared_radius() - C2.squared_radius())
+        < 4 * C1.squared_radius() * C2.squared_radius() )
       {
-	// The two circles are not tangent.
-	return static_cast<Comparison_result>
-	  (CGAL::compare(C1.squared_radius() * CGAL::square(b2_y),
-			 C2.squared_radius() * CGAL::square(b1_y))
-	   * s_b1_y * s_b1_x );
+        // The two circles are not tangent.
+        return static_cast<Comparison_result>
+          (CGAL::compare(C1.squared_radius() * CGAL::square(b2_y),
+                         C2.squared_radius() * CGAL::square(b1_y))
+           * s_b1_y * s_b1_x );
       }
 
     // tangent circles
@@ -317,7 +317,7 @@ namespace CircularFunctors {
     if (s_b1_y == s_b2_y)
       // The 2 circles are both below or both above the tangent
       return compare_y(C2.center(), C1.center());
-    
+
     return compare_y(C1.center(), C2.center());
   }
 
@@ -336,16 +336,16 @@ namespace CircularFunctors {
   equal(const typename CK::Circular_arc_2 &A1,
         const typename CK::Circular_arc_2 &A2)
   {
-    /*if ((A1.supporting_circle() != A2.supporting_circle()) && 
-	(A1.supporting_circle() != A2.supporting_circle().opposite()))
+    /*if ((A1.supporting_circle() != A2.supporting_circle()) &&
+        (A1.supporting_circle() != A2.supporting_circle().opposite()))
       return false;*/
 
     if(!CircularFunctors::non_oriented_equal<CK>(
       A1.supporting_circle(), A2.supporting_circle()))
       return false;
-    
+
     return (CircularFunctors::equal<CK>(A1.source(), A2.source()) &&
-	    CircularFunctors::equal<CK>(A1.target(), A2.target()));
+            CircularFunctors::equal<CK>(A1.target(), A2.target()));
   }
 
 //   template < class CK >
@@ -359,7 +359,7 @@ namespace CircularFunctors {
 //     if ( A1.supporting_circle() != A2.supporting_circle() )
 //       return false;
 
-//     return equal<CK>( A1.source(), A2.source() ) 
+//     return equal<CK>( A1.source(), A2.source() )
 //         && equal<CK>( A1.target(), A2.target() );
 //   }
 
@@ -369,26 +369,26 @@ namespace CircularFunctors {
   /*template < class CK >
   bool
   has_on(const typename CK::Circular_arc_2 &a,
-	 const typename CK::Circular_arc_point_2 &p,
+         const typename CK::Circular_arc_point_2 &p,
          const bool has_on_supporting_circle = false)
   {
     CGAL_kernel_precondition(a.is_x_monotone());
-    
+
 //     typedef typename CK::Polynomial_for_circles_2_2 Polynomial_for_circles_2_2;
-//     Polynomial_for_circles_2_2 
+//     Polynomial_for_circles_2_2
 //       equation = get_equation<CK>(a.supporting_circle());
-    
+
 //     if(CGAL::sign_at<typename CK::Algebraic_kernel>
 //        (equation,p.coordinates())!= ZERO)
 //       return false;
     if(!has_on_supporting_circle) {
-      if ( ! CircularFunctors::has_on<CK>(a.supporting_circle(),p) ) 
+      if ( ! CircularFunctors::has_on<CK>(a.supporting_circle(),p) )
         return false;
     }
-    
+
     if (! CircularFunctors::point_in_x_range<CK>(a, p) )
       return false;
-    
+
     int cmp = CGAL::compare(p.y(), a.supporting_circle().center().y());
 
     return  cmp == 0 || (cmp > 0 &&  a.on_upper_part())
@@ -398,7 +398,7 @@ namespace CircularFunctors {
   template < class CK >
   bool
   has_on(const typename CK::Circular_arc_2 &a,
-	 const typename CK::Circular_arc_point_2 &p,
+         const typename CK::Circular_arc_point_2 &p,
          const bool has_on_supporting_circle = false)
   {
 
@@ -407,12 +407,12 @@ namespace CircularFunctors {
     }
 
     if(!has_on_supporting_circle) {
-      if ( ! CircularFunctors::has_on<CK>(a.supporting_circle(),p) ) 
+      if ( ! CircularFunctors::has_on<CK>(a.supporting_circle(),p) )
         return false;
     }
 
     if(a.is_full()) return true;
-    
+
     if(a.is_x_monotone()) {
       int cmp_ps = CircularFunctors::compare_x<CK>(p,a.source());
       int cmp_pt = CircularFunctors::compare_x<CK>(p,a.target());
@@ -435,11 +435,11 @@ namespace CircularFunctors {
       int cmp = CGAL::compare(p.x(), a.supporting_circle().center().x());
       return  cmp == 0 || (cmp < 0 &&  a.on_left_part())
                        || (cmp > 0 && !a.on_left_part());
-    } else if(a.is_complementary_y_monotone()) {      
+    } else if(a.is_complementary_y_monotone()) {
       int cmp_ps = CircularFunctors::compare_y<CK>(p,a.source());
       int cmp_pt = CircularFunctors::compare_y<CK>(p,a.target());
       if(cmp_ps == cmp_pt) return true;
-      if((!cmp_ps) || (!cmp_pt)) return true;       
+      if((!cmp_ps) || (!cmp_pt)) return true;
       int cmp = CGAL::compare(p.x(), a.supporting_circle().center().x());
       return  cmp == 0 || (cmp > 0 && a.complementary_on_left_part())
                      || (cmp < 0 && !a.complementary_on_left_part());
@@ -451,7 +451,7 @@ namespace CircularFunctors {
         else return CGAL::compare(p.x(), a.source().x()) >= 0;
       } else {
         if(cmp > 0) return CGAL::compare(p.x(), a.source().x()) <= 0;
-        else return CGAL::compare(p.x(), a.target().x()) <= 0; 
+        else return CGAL::compare(p.x(), a.target().x()) <= 0;
       }
     }
   }
@@ -459,13 +459,13 @@ namespace CircularFunctors {
   template < class CK >
   bool
   do_overlap(const typename CK::Circular_arc_2 &A1,
-	     const typename CK::Circular_arc_2 &A2)
+             const typename CK::Circular_arc_2 &A2)
   {
     //CGAL_kernel_precondition (A1.is_x_monotone());
     //CGAL_kernel_precondition (A2.is_x_monotone());
 
     /*if ( (A1.supporting_circle() != A2.supporting_circle()) &&
-	 (A1.supporting_circle() != A2.supporting_circle().opposite()) )
+         (A1.supporting_circle() != A2.supporting_circle().opposite()) )
       return false;*/
     if(!CircularFunctors::non_oriented_equal<CK>(
       A1.supporting_circle(), A2.supporting_circle()))
@@ -477,26 +477,26 @@ namespace CircularFunctors {
     //    && CircularFunctors::compare_x<CK>(A1.left(), A2.right()) < 0;
     if(A1.is_full()) return true;
     if(A2.is_full()) return true;
-    if((has_on<CK>(A1,A2.target(),true)) || 
+    if((has_on<CK>(A1,A2.target(),true)) ||
        (has_on<CK>(A1,A2.source(),true))) return true;
     return has_on<CK>(A2,A1.source(),true);
   }
-  
+
 
   template < class CK >
   void
   split(const typename CK::Circular_arc_2 &A,
-	const typename CK::Circular_arc_point_2 &p,
-	typename CK::Circular_arc_2 &ca1,
-	typename CK::Circular_arc_2 &ca2)
+        const typename CK::Circular_arc_point_2 &p,
+        typename CK::Circular_arc_2 &ca1,
+        typename CK::Circular_arc_2 &ca2)
   {
     CGAL_kernel_precondition( CircularFunctors::has_on<CK>(A, p));
-   
+
     typedef typename CK::Circular_arc_2  Circular_arc_2;
 
-    const Circular_arc_2 &rc1 = 
+    const Circular_arc_2 &rc1 =
       Circular_arc_2( A.supporting_circle(), A.source(), p);
-    const Circular_arc_2 &rc2 = 
+    const Circular_arc_2 &rc2 =
       Circular_arc_2( A.supporting_circle(), p, A.target());
 
     if ( CircularFunctors::compare_x<CK>(rc1.source(), rc2.source()) != SMALLER) {
@@ -525,28 +525,28 @@ namespace CircularFunctors {
     //if ( ca1.right()!=ca2.left() )
     if ( CircularFunctors::compare_x<CK>(ca1.left(), ca2.left()) != SMALLER )
       {
-	//std::cout << " SWAP " << std::endl;
-	std::swap(ca1,ca2);
+        //std::cout << " SWAP " << std::endl;
+        std::swap(ca1,ca2);
       }*/
   }
 
   template< class CK, class OutputIterator>
   OutputIterator
   intersect_2( const typename CK::Circular_arc_2 &a1,
-	       const typename CK::Circular_arc_2 &a2,
-	       OutputIterator res )
+               const typename CK::Circular_arc_2 &a2,
+               OutputIterator res )
   {
     typedef typename CK2_Intersection_traits<CK, typename CK::Circular_arc_2,
                                                  typename CK::Circular_arc_2>::type result_type;
 
-    typedef std::vector<CGAL::Object> solutions_container; 
+    typedef std::vector<CGAL::Object> solutions_container;
     typedef typename CK::Circular_arc_2 Circular_arc_2;
 
 
 #ifdef CGAL_INTERSECTION_MAP_FOR_XMONOTONIC_ARC_WITH_SAME_SUPPORTING_CIRCLE
     // same curve
     if(a1.number() == a2.number()) {
-      *res++ = result_type(a1); 
+      *res++ = result_type(a1);
        return res;
     }
 
@@ -554,8 +554,8 @@ namespace CircularFunctors {
     solutions_container early_sols;
     if(Circular_arc_2::template find_intersection< solutions_container >
       (a1,a2,early_sols)) {
-      for (typename solutions_container::iterator it = early_sols.begin(); 
-	 it != early_sols.end(); ++it) {
+      for (typename solutions_container::iterator it = early_sols.begin();
+         it != early_sols.end(); ++it) {
         *res++ = *it;
       }
       return res;
@@ -563,163 +563,163 @@ namespace CircularFunctors {
 #endif
 
 #ifdef  CGAL_CK_EXPLOIT_IDENTITY
-    typedef typename CK::Circular_arc_point_2 Circular_arc_point_2; 
+    typedef typename CK::Circular_arc_point_2 Circular_arc_point_2;
     bool a1s_a2s = a1.source().equal_ref(a2.source());
     bool a1s_a2t = a1.source().equal_ref(a2.target());
     bool a1t_a2s = a1.target().equal_ref(a2.source());
     bool a1t_a2t = a1.target().equal_ref(a2.target());
-    
+
     if((a1s_a2s && a1t_a2t) || (a1s_a2t && a1t_a2s)){ // Case 1
-      if( (a1.supporting_circle() == a2.supporting_circle()) && ((a1.on_upper_part() && a2.on_upper_part())|| (! a1.on_upper_part() && (! a2.on_upper_part())))){ 
-	*res++ = result_type(a1);
+      if( (a1.supporting_circle() == a2.supporting_circle()) && ((a1.on_upper_part() && a2.on_upper_part())|| (! a1.on_upper_part() && (! a2.on_upper_part())))){
+        *res++ = result_type(a1);
       } else {
-	if(compare_x<CK>(a1.source(), a1.target()) == SMALLER){
-	  *res++ = result_type(std::make_pair(a1.source(),1u));
-	  *res++ = result_type(std::make_pair(a1.target(),1u));
-	} else {	  
-	  *res++ = result_type(std::make_pair(a1.target(),1u));
-	  *res++ = result_type(std::make_pair(a1.source(),1u));
-	}
+        if(compare_x<CK>(a1.source(), a1.target()) == SMALLER){
+          *res++ = result_type(std::make_pair(a1.source(),1u));
+          *res++ = result_type(std::make_pair(a1.target(),1u));
+        } else {
+          *res++ = result_type(std::make_pair(a1.target(),1u));
+          *res++ = result_type(std::make_pair(a1.source(),1u));
+        }
       }
       return res;
     } else if (a1s_a2s || a1t_a2t || a1s_a2t || a1t_a2s) {
       Circular_arc_point_2 p,q,r;
-      
+
       // Make that q is the middle vertex
       if(a1s_a2s){
-	p = a1.target();
-	q = a1.source();
-	r = a2.target();
+        p = a1.target();
+        q = a1.source();
+        r = a2.target();
       } else if(a1s_a2t){
-	p = a1.target();
-	q = a1.source();
-	r = a2.source();
+        p = a1.target();
+        q = a1.source();
+        r = a2.source();
       } else if(a1t_a2s){
-	p = a1.source();
-	q = a1.target();
-	r = a2.target();
+        p = a1.source();
+        q = a1.target();
+        r = a2.target();
       } else { // a1t_a2t
-	p = a1.source();
-	q = a1.target();
-	r = a2.source();
+        p = a1.source();
+        q = a1.target();
+        r = a2.source();
       }
 
       bool return_q = false;
       if(CircularFunctors::compare_x<CK>(r,q) == LARGER){
-	if (CircularFunctors::point_in_x_range<CK>(p,r,q)){ // Case 2
-	  return_q = true;
-	}  else if (((a1.on_upper_part() && ! a2.on_upper_part()) && CircularFunctors::compare_y_to_right<CK>(a1,a2,q) == SMALLER)
-		    || ((! a1.on_upper_part() && a2.on_upper_part()) && CircularFunctors::compare_y_to_right<CK>(a1,a2,q) == LARGER)){
-	  return_q = true;
-	} else if ((a1.on_upper_part() && ! a2.on_upper_part()) && CircularFunctors::compare_y_to_right<CK>(a1,a2,q)==LARGER){
-	  typename CK::Linear_kernel::Bounded_side p_a2_bs = CircularFunctors::bounded_side<CK>(a2.supporting_circle(),p);
-	  typename CK::Linear_kernel::Bounded_side r_a1_bs = CircularFunctors::bounded_side<CK>(a1.supporting_circle(),r);
-	  if(p_a2_bs || r_a1_bs){
-	    return_q = true;
-	  } else {
-	  }
-	}
+        if (CircularFunctors::point_in_x_range<CK>(p,r,q)){ // Case 2
+          return_q = true;
+        }  else if (((a1.on_upper_part() && ! a2.on_upper_part()) && CircularFunctors::compare_y_to_right<CK>(a1,a2,q) == SMALLER)
+                    || ((! a1.on_upper_part() && a2.on_upper_part()) && CircularFunctors::compare_y_to_right<CK>(a1,a2,q) == LARGER)){
+          return_q = true;
+        } else if ((a1.on_upper_part() && ! a2.on_upper_part()) && CircularFunctors::compare_y_to_right<CK>(a1,a2,q)==LARGER){
+          typename CK::Linear_kernel::Bounded_side p_a2_bs = CircularFunctors::bounded_side<CK>(a2.supporting_circle(),p);
+          typename CK::Linear_kernel::Bounded_side r_a1_bs = CircularFunctors::bounded_side<CK>(a1.supporting_circle(),r);
+          if(p_a2_bs || r_a1_bs){
+            return_q = true;
+          } else {
+          }
+        }
       } else {
-	// TODO: treat the cases where the common endpoint is on the right
+        // TODO: treat the cases where the common endpoint is on the right
       }
-	
+
       if(return_q){
 
-	*res++ = result_type(std::make_pair(q,1u));
-	return res;
+        *res++ = result_type(std::make_pair(q,1u));
+        return res;
       }
 
     }
 #endif // CGAL_CK_EXPLOIT_IDENTITY
 
-    const bool sqr1_eq_sqr2 = (a1.squared_radius() == a2.squared_radius());  
-    const bool c1_eq_c2 = (a1.center() == a2.center());  
-    typedef typename CK2_Intersection_traits<CK, typename CK::Circular_arc_2, 
+    const bool sqr1_eq_sqr2 = (a1.squared_radius() == a2.squared_radius());
+    const bool c1_eq_c2 = (a1.center() == a2.center());
+    typedef typename CK2_Intersection_traits<CK, typename CK::Circular_arc_2,
                                                  typename CK::Circular_arc_2>::type result_type;
-    
+
     if(sqr1_eq_sqr2 && c1_eq_c2) {
       if(a1.is_full()) {
-        *res++ =CGAL::internal::ck2_intersection_return<result_type>(a2); 
+        *res++ =CGAL::internal::ck2_intersection_return<result_type>(a2);
         //return res;
       }
       else if(a2.is_full()) {
-        *res++ =CGAL::internal::ck2_intersection_return<result_type>(a1); 
+        *res++ =CGAL::internal::ck2_intersection_return<result_type>(a1);
         //return res;
       } else {
         bool t2_in_a1 = has_on<CK>(a1,a2.target(),true);
-        bool s2_in_a1 = has_on<CK>(a1,a2.source(),true);      
+        bool s2_in_a1 = has_on<CK>(a1,a2.source(),true);
         if(t2_in_a1 && s2_in_a1) {
           bool t1_in_a2 = has_on<CK>(a2,a1.target(),true);
           bool s1_in_a2 = has_on<CK>(a2,a1.source(),true);
           if(t1_in_a2 && s1_in_a2) {
-            const Comparison_result comp = 
+            const Comparison_result comp =
               CircularFunctors::compare_xy<CK>(a1.source(), a2.source());
             if(comp < 0) {
               if(a1.source() == a2.target()) {
                 *res++ =CGAL::internal::ck2_intersection_return<result_type>(std::make_pair(a1.source(),1u));
               } else {
                 const Circular_arc_2 & arc =
-	        Circular_arc_2(a1.supporting_circle(),a1.source(),a2.target());
-	        *res++ =CGAL::internal::ck2_intersection_return<result_type>(arc);
+                Circular_arc_2(a1.supporting_circle(),a1.source(),a2.target());
+                *res++ =CGAL::internal::ck2_intersection_return<result_type>(arc);
               }
               if(a2.source() == a1.target()) {
                 *res++ =CGAL::internal::ck2_intersection_return<result_type>(std::make_pair(a2.source(),1u));
               } else {
                 const Circular_arc_2 & arc =
-	        Circular_arc_2(a1.supporting_circle(),a2.source(),a1.target());
-	        *res++ =CGAL::internal::ck2_intersection_return<result_type>(arc);
+                Circular_arc_2(a1.supporting_circle(),a2.source(),a1.target());
+                *res++ =CGAL::internal::ck2_intersection_return<result_type>(arc);
               }
             } else if (comp > 0) {
               if(a2.source() == a1.target()) {
                 *res++ =CGAL::internal::ck2_intersection_return<result_type>(std::make_pair(a2.source(),1u));
               } else {
                 const Circular_arc_2 & arc =
-	        Circular_arc_2(a1.supporting_circle(),a2.source(),a1.target());
-	        *res++ =CGAL::internal::ck2_intersection_return<result_type>(arc);
+                Circular_arc_2(a1.supporting_circle(),a2.source(),a1.target());
+                *res++ =CGAL::internal::ck2_intersection_return<result_type>(arc);
               }
               if(a1.source() == a2.target()) {
                 *res++ =CGAL::internal::ck2_intersection_return<result_type>(std::make_pair(a1.source(),1u));
               } else {
                 const Circular_arc_2 & arc =
-	        Circular_arc_2(a1.supporting_circle(),a1.source(),a2.target());
-	        *res++ =CGAL::internal::ck2_intersection_return<result_type>(arc);
-              } 
+                Circular_arc_2(a1.supporting_circle(),a1.source(),a2.target());
+                *res++ =CGAL::internal::ck2_intersection_return<result_type>(arc);
+              }
             } else {
               *res++ =CGAL::internal::ck2_intersection_return<result_type>(a1);
-            } 
+            }
           } else {
             *res++ =CGAL::internal::ck2_intersection_return<result_type>(a2);
           //return res;
           }
         }
         else if(t2_in_a1) {
-          if(a1.source() == a2.target()) 
+          if(a1.source() == a2.target())
             *res++ =CGAL::internal::ck2_intersection_return<result_type>(std::make_pair(a1.source(),1u));
           else {
             const Circular_arc_2 & arc =
-	      Circular_arc_2(a1.supporting_circle(),a1.source(),a2.target());
-	    *res++ =CGAL::internal::ck2_intersection_return<result_type>(arc);
+              Circular_arc_2(a1.supporting_circle(),a1.source(),a2.target());
+            *res++ =CGAL::internal::ck2_intersection_return<result_type>(arc);
           } //return res;
         } else if(s2_in_a1) {
           if(a2.source() == a1.target()) {
             *res++ =CGAL::internal::ck2_intersection_return<result_type>(std::make_pair(a2.source(),1u));
           } else {
             const Circular_arc_2 & arc =
-	      Circular_arc_2(a1.supporting_circle(),a2.source(),a1.target());
-	    *res++ =CGAL::internal::ck2_intersection_return<result_type>(arc);
+              Circular_arc_2(a1.supporting_circle(),a2.source(),a1.target());
+            *res++ =CGAL::internal::ck2_intersection_return<result_type>(arc);
           } //return res;
         } else if(has_on<CK>(a2,a1.source(),true)) {
           *res++ =CGAL::internal::ck2_intersection_return<result_type>(a1);
         //return res;
-        } 
+        }
       //return res;
       }
     } else if(!c1_eq_c2) {
       solutions_container solutions;
 
 #ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
-      if(!Circular_arc_2::template 
-         find_intersection_circle_circle< solutions_container > 
+      if(!Circular_arc_2::template
+         find_intersection_circle_circle< solutions_container >
          (a1,a2,solutions)) {
 #endif
 
@@ -727,31 +727,31 @@ namespace CircularFunctors {
         std::back_inserter(solutions) );
 
 #ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
-        Circular_arc_2::template 
+        Circular_arc_2::template
           put_intersection_circle_circle< std::vector < CGAL::Object > >
           (a1,a2,solutions);
       }
 #endif
-      
+
       if(solutions.size() == 0) return res;
       else {
         // The supporting circles are not the same and intersects
-        for (typename solutions_container::iterator it = solutions.begin(); 
-	 it != solutions.end(); ++it) {
-          const std::pair<typename CK::Circular_arc_point_2, unsigned> 
+        for (typename solutions_container::iterator it = solutions.begin();
+         it != solutions.end(); ++it) {
+          const std::pair<typename CK::Circular_arc_point_2, unsigned>
             *result = CGAL::object_cast
-              <std::pair<typename CK::Circular_arc_point_2, unsigned> > (&(*it));          
+              <std::pair<typename CK::Circular_arc_point_2, unsigned> > (&(*it));
 
 #ifdef CGAL_CK_TEST_BBOX_BEFORE_HAS_ON
-	  Bbox_2 rb = result->first.bbox();
-	  if(do_overlap(a1.bbox(), rb) && do_overlap(a2.bbox(),rb)){
-	    if (has_on<CK>(a1,result->first,true) && 
-		has_on<CK>(a2,result->first,true)) {
-	      *res++ =CGAL::internal::ck2_intersection_return<result_type>(*result);
-	    }
-	  }
-#else 
-	  if (has_on<CK>(a1,result->first,true) && 
+          Bbox_2 rb = result->first.bbox();
+          if(do_overlap(a1.bbox(), rb) && do_overlap(a2.bbox(),rb)){
+            if (has_on<CK>(a1,result->first,true) &&
+                has_on<CK>(a2,result->first,true)) {
+              *res++ =CGAL::internal::ck2_intersection_return<result_type>(*result);
+            }
+          }
+#else
+          if (has_on<CK>(a1,result->first,true) &&
               has_on<CK>(a2,result->first,true)) {
             *res++ =CGAL::internal::ck2_intersection_return<result_type>(*result);
           }
@@ -768,8 +768,8 @@ namespace CircularFunctors {
   /*template< class CK, class OutputIterator>
   OutputIterator
   intersect_2( const typename CK::Circular_arc_2 &a1,
-	       const typename CK::Circular_arc_2 &a2,
-	       OutputIterator res )
+               const typename CK::Circular_arc_2 &a2,
+               OutputIterator res )
   {
     typedef typename CK::Circular_arc_point_2  Circular_arc_point_2;
     typedef typename CK::Circular_arc_2        Circular_arc_2;
@@ -777,116 +777,116 @@ namespace CircularFunctors {
     if (a1.is_x_monotone() && a2.is_x_monotone()) {
       // Overlapping curves.
       if ( (a1.supporting_circle() == a2.supporting_circle()) ||
-	   (a1.supporting_circle() == a2.supporting_circle().opposite()) ) {
-	// The ranges need to overlap in order for the curves to overlap.
-	if ( CircularFunctors::compare_x<CK>(a1.left(), a2.right()) > 0 ||
-	    CircularFunctors::compare_x<CK>(a2.left(), a1.right()) > 0)
-	  return res;
-	  
-	// They both need to be on the same upper/lower part.
-	if (a1.on_upper_part() != a2.on_upper_part()) {
-	  // But they could share the left vertical tangent point.
-	  if (a1.left() == a2.left())
-	    *res++ = make_object(std::make_pair(a1.left(),1u));
-	  // Or they could share the right vertical tangent point.
-	  if (a1.right() == a2.right())
-	    *res++ = make_object(std::make_pair(a1.right(),1u));
-	  return res;
-	}
-	
-	// We know they overlap, determine the extremities of 
-	// the common subcurve
-	// TODO : We should use std::max and std::min, but they 
-	// require less_x_2.
-	const Circular_arc_2 & arctmp = 
-	  CircularFunctors::compare_x<CK>(a1.right(), a2.right()) < 0 ? a1 : a2;
-	// we know that the right endpoint is correct, let us look for
-	// the left now:
-	
-	
-	//? a1.left() : a2.left();
-	if (CircularFunctors::compare_x<CK>(a1.left(), a2.left()) > 0) {
-	  //the left endpoint is a1's
-	  if (CircularFunctors::compare_x<CK>(a1.left(), a2.right()) < 0){
-	    if (a1.on_upper_part()) {
-	      const Circular_arc_2 & arc =
-		Circular_arc_2(a1.supporting_circle(),a2.right(),a1.left());
-	      CGAL_kernel_assertion(arc.is_x_monotone());
-	      *res++ = make_object(arc);
-	    }
-	    else {
-	      const Circular_arc_2 & arc =
-		Circular_arc_2(a1.supporting_circle(),a1.left(), a2.right());
-	      CGAL_kernel_assertion(arc.is_x_monotone());
-	      *res++ = make_object(arc);
-	    }
-	  }
-	  else
-	    *res++ = make_object(std::make_pair(arctmp.right(),1u));
-	}
-	else if( CircularFunctors::compare_x<CK>(a1.left(), a2.left()) < 0 ) {
-	  //the left endpoint is a2's
-	  if(CircularFunctors::compare_x<CK>(a1.right(), a2.left()) > 0) {
-	    if(a1.on_upper_part()){
-	      const Circular_arc_2 & arc =
-		Circular_arc_2(a1.supporting_circle(), a1.right(), a2.left());
-	      CGAL_kernel_assertion(arc.is_x_monotone());
-	      *res++ = make_object(arc);
-	    }
-	    else {
-	      const Circular_arc_2 & arc =
-		Circular_arc_2(a1.supporting_circle(), a2.left(), a1.right());
-	      CGAL_kernel_assertion(arc.is_x_monotone());
-	      *res++ = make_object(arc);
-	    }
-	  }
-	  else
-	    *res++ = make_object(std::make_pair(arctmp.right(),1u));
-	}
-	else {
-	  if(CircularFunctors::compare_x<CK>(a1.right(), a2.right()) >= 0)
-	    *res++ = make_object(a2);
-	  else if(CircularFunctors::compare_x<CK>(a1.right(), a2.right()) < 0)
-	    *res++ = make_object(a1);
-	  else
-	    *res++ = make_object(std::make_pair(arctmp.right(),1u));
-	}
-	return res;
+           (a1.supporting_circle() == a2.supporting_circle().opposite()) ) {
+        // The ranges need to overlap in order for the curves to overlap.
+        if ( CircularFunctors::compare_x<CK>(a1.left(), a2.right()) > 0 ||
+            CircularFunctors::compare_x<CK>(a2.left(), a1.right()) > 0)
+          return res;
+
+        // They both need to be on the same upper/lower part.
+        if (a1.on_upper_part() != a2.on_upper_part()) {
+          // But they could share the left vertical tangent point.
+          if (a1.left() == a2.left())
+            *res++ = make_object(std::make_pair(a1.left(),1u));
+          // Or they could share the right vertical tangent point.
+          if (a1.right() == a2.right())
+            *res++ = make_object(std::make_pair(a1.right(),1u));
+          return res;
+        }
+
+        // We know they overlap, determine the extremities of
+        // the common subcurve
+        // TODO : We should use std::max and std::min, but they
+        // require less_x_2.
+        const Circular_arc_2 & arctmp =
+          CircularFunctors::compare_x<CK>(a1.right(), a2.right()) < 0 ? a1 : a2;
+        // we know that the right endpoint is correct, let us look for
+        // the left now:
+
+
+        //? a1.left() : a2.left();
+        if (CircularFunctors::compare_x<CK>(a1.left(), a2.left()) > 0) {
+          //the left endpoint is a1's
+          if (CircularFunctors::compare_x<CK>(a1.left(), a2.right()) < 0){
+            if (a1.on_upper_part()) {
+              const Circular_arc_2 & arc =
+                Circular_arc_2(a1.supporting_circle(),a2.right(),a1.left());
+              CGAL_kernel_assertion(arc.is_x_monotone());
+              *res++ = make_object(arc);
+            }
+            else {
+              const Circular_arc_2 & arc =
+                Circular_arc_2(a1.supporting_circle(),a1.left(), a2.right());
+              CGAL_kernel_assertion(arc.is_x_monotone());
+              *res++ = make_object(arc);
+            }
+          }
+          else
+            *res++ = make_object(std::make_pair(arctmp.right(),1u));
+        }
+        else if( CircularFunctors::compare_x<CK>(a1.left(), a2.left()) < 0 ) {
+          //the left endpoint is a2's
+          if(CircularFunctors::compare_x<CK>(a1.right(), a2.left()) > 0) {
+            if(a1.on_upper_part()){
+              const Circular_arc_2 & arc =
+                Circular_arc_2(a1.supporting_circle(), a1.right(), a2.left());
+              CGAL_kernel_assertion(arc.is_x_monotone());
+              *res++ = make_object(arc);
+            }
+            else {
+              const Circular_arc_2 & arc =
+                Circular_arc_2(a1.supporting_circle(), a2.left(), a1.right());
+              CGAL_kernel_assertion(arc.is_x_monotone());
+              *res++ = make_object(arc);
+            }
+          }
+          else
+            *res++ = make_object(std::make_pair(arctmp.right(),1u));
+        }
+        else {
+          if(CircularFunctors::compare_x<CK>(a1.right(), a2.right()) >= 0)
+            *res++ = make_object(a2);
+          else if(CircularFunctors::compare_x<CK>(a1.right(), a2.right()) < 0)
+            *res++ = make_object(a1);
+          else
+            *res++ = make_object(std::make_pair(arctmp.right(),1u));
+        }
+        return res;
       }
 
 //      // We need to check that the supporting circles
 //      // do intersect before going further.
-//      if (! do_intersect(a1.supporting_circle(), a2.supporting_circle())) 
-//	{ return res; }
-//      
+//      if (! do_intersect(a1.supporting_circle(), a2.supporting_circle()))
+//        { return res; }
+//
 //      // Get the two intersection points of the supporting circles.
-//      
+//
 //      std::vector<CGAL::Object > intersection_points;
 //      CGAL::intersect_2<CK>
-//	( a1.supporting_circle(), a2.supporting_circle(),
-//	  std::back_inserter(intersection_points) );
-      
+//        ( a1.supporting_circle(), a2.supporting_circle(),
+//          std::back_inserter(intersection_points) );
+
       std::vector<CGAL::Object > intersection_points;
       CGAL::intersect_2<CK> ( a1.supporting_circle(), a2.supporting_circle(),
-			      std::back_inserter(intersection_points) );
+                              std::back_inserter(intersection_points) );
       if(intersection_points.size() == 0) return res;
 
       const Circular_arc_point_2 &left =
-	(CGAL::object_cast< std::pair<Circular_arc_point_2, unsigned> >
-	 (&(intersection_points[0])))->first;
+        (CGAL::object_cast< std::pair<Circular_arc_point_2, unsigned> >
+         (&(intersection_points[0])))->first;
       if (intersection_points.size() < 2){// multiplicity 2
-	if (CircularFunctors::has_on<CK>(a1, left) && CircularFunctors::has_on<CK>(a2, left)) 
-	  *res++ = make_object(std::make_pair(left,2u));
+        if (CircularFunctors::has_on<CK>(a1, left) && CircularFunctors::has_on<CK>(a2, left))
+          *res++ = make_object(std::make_pair(left,2u));
       }
       else {// multiplicity 1
-	const Circular_arc_point_2 &right = 
-	  (CGAL::object_cast< std::pair<Circular_arc_point_2, unsigned> >
-	   (&(intersection_points[1])))->first;
-	// We also need to check that these intersection points are on the arc.
-	if (CircularFunctors::has_on<CK>(a1, left) && CircularFunctors::has_on<CK>(a2, left))
-	  *res++ = make_object(std::make_pair(left,1u));
-	if (CircularFunctors::has_on<CK>(a1, right) && CircularFunctors::has_on<CK>(a2, right))
-	  *res++ = make_object(std::make_pair(right,1u));
+        const Circular_arc_point_2 &right =
+          (CGAL::object_cast< std::pair<Circular_arc_point_2, unsigned> >
+           (&(intersection_points[1])))->first;
+        // We also need to check that these intersection points are on the arc.
+        if (CircularFunctors::has_on<CK>(a1, left) && CircularFunctors::has_on<CK>(a2, left))
+          *res++ = make_object(std::make_pair(left,1u));
+        if (CircularFunctors::has_on<CK>(a1, right) && CircularFunctors::has_on<CK>(a2, right))
+          *res++ = make_object(std::make_pair(right,1u));
       }
       return res;
     }
@@ -897,149 +897,149 @@ namespace CircularFunctors {
       make_x_monotone( a2, std::back_inserter(arcs_a2_x_monotone));
       std::vector< Circular_arc_2 > circle_arcs;
       std::vector< Circular_arc_point_2 > circle_arc_endpoints;
-      
-      for ( std::vector< CGAL::Object >::iterator it1 = 
-	      arcs_a1_x_monotone.begin(); 
-	    it1 != arcs_a1_x_monotone.end(); ++it1 ) {
-	//CGAL_kernel_assertion(assign( a1_aux, *it1));
-	const Circular_arc_2 *a1_aux = 
-	  CGAL::object_cast< Circular_arc_2 >(&*it1);
-
-	for ( std::vector< CGAL::Object >::iterator it2 = 
-		arcs_a2_x_monotone.begin(); 
-	      it2 != arcs_a2_x_monotone.end(); ++it2 ) {
-	  //CGAL_kernel_assertion(assign( a2_aux, *it2));
-	  //assign( a2_aux, *it2);
-	  const Circular_arc_2 *a2_aux = 
-	    CGAL::object_cast<Circular_arc_2>(&*it2);
-	  std::vector< CGAL::Object > res_aux;
-	  CircularFunctors::intersect_2<CK>( *a1_aux, *a2_aux, std::back_inserter(res_aux));
-	  if(res_aux.size() == 2){
-	    //it can't be a circular_arc_2
-	    //CGAL_kernel_assertion(assign(the_pair, res_aux[0]));
-	    const std::pair<Circular_arc_point_2, unsigned int> *the_pair1 = 
-	      CGAL::object_cast<std::pair<Circular_arc_point_2, unsigned int> >
-	      (&res_aux[0]);
-	    Circular_arc_point_2 arc_end1 = the_pair1->first;
-	    //assign(the_pair, res_aux[1]);
-	    const std::pair<Circular_arc_point_2, unsigned int> *the_pair2 = 
-	      CGAL::object_cast<std::pair<Circular_arc_point_2, unsigned int> >
-	      (&res_aux[1]);
-	    Circular_arc_point_2 arc_end2 = the_pair2->first;
-	    bool exist = false;
-	    for (typename std::vector< Circular_arc_point_2 >::iterator it 
-		   = circle_arc_endpoints.begin(); 
-		 it != circle_arc_endpoints.end(); ++it ) {
-	      if (arc_end1 == *it) {
-		exist = true;
-		break;
-	      }
-	    }
-	    if (!exist) {
-	      circle_arc_endpoints.push_back(arc_end1);
-	    }
-	    else exist = false;
-	    for ( typename std::vector< Circular_arc_point_2 >::iterator it
-		    = circle_arc_endpoints.begin(); 
-		  it != circle_arc_endpoints.end(); ++it ) {
-	      if (arc_end2 == *it) {
-		exist = true;
-		break;
-	      }
-	    }
-	    if (!exist)
-	      circle_arc_endpoints.push_back(arc_end2);
-	  }
-	  else if( res_aux.size() == 1){
-	    //it can be a Circular_arc_point_2 or a Circular_arc_2
-	    if(const Circular_arc_2 *arc = 
-	       CGAL::object_cast<Circular_arc_2>(&res_aux[0])) {
-	      //if(assign(arc,res_aux[0])){
-	      circle_arcs.push_back(*arc);
-	    }
-	    else {
-	      //CGAL_kernel_assertion(assign(the_pair, res_aux[0]));
-	      //assign(the_pair, res_aux[0]);
-	      const std::pair<Circular_arc_point_2, unsigned int> *the_pair = 
-		CGAL::object_cast<std::pair<Circular_arc_point_2, unsigned int> >
-		(&res_aux[0]);
-	      Circular_arc_point_2 arc_end = the_pair->first;
-	      if (the_pair->second == 2u) {//there are only one tangent point
-		*res++ = res_aux[0];
-		return res;
-	      }
-	      bool exist = false;
-	      for (typename std::vector< Circular_arc_point_2 >::iterator it 
-		     = circle_arc_endpoints.begin(); 
-		   it != circle_arc_endpoints.end(); ++it ) {
-		if (arc_end == *it) {
-		  exist = true;
-		  break;
-		}
-	      }
-	      if (!exist)
-		circle_arc_endpoints.push_back(arc_end);
-	    }
-	  }
-	}
+
+      for ( std::vector< CGAL::Object >::iterator it1 =
+              arcs_a1_x_monotone.begin();
+            it1 != arcs_a1_x_monotone.end(); ++it1 ) {
+        //CGAL_kernel_assertion(assign( a1_aux, *it1));
+        const Circular_arc_2 *a1_aux =
+          CGAL::object_cast< Circular_arc_2 >(&*it1);
+
+        for ( std::vector< CGAL::Object >::iterator it2 =
+                arcs_a2_x_monotone.begin();
+              it2 != arcs_a2_x_monotone.end(); ++it2 ) {
+          //CGAL_kernel_assertion(assign( a2_aux, *it2));
+          //assign( a2_aux, *it2);
+          const Circular_arc_2 *a2_aux =
+            CGAL::object_cast<Circular_arc_2>(&*it2);
+          std::vector< CGAL::Object > res_aux;
+          CircularFunctors::intersect_2<CK>( *a1_aux, *a2_aux, std::back_inserter(res_aux));
+          if(res_aux.size() == 2){
+            //it can't be a circular_arc_2
+            //CGAL_kernel_assertion(assign(the_pair, res_aux[0]));
+            const std::pair<Circular_arc_point_2, unsigned int> *the_pair1 =
+              CGAL::object_cast<std::pair<Circular_arc_point_2, unsigned int> >
+              (&res_aux[0]);
+            Circular_arc_point_2 arc_end1 = the_pair1->first;
+            //assign(the_pair, res_aux[1]);
+            const std::pair<Circular_arc_point_2, unsigned int> *the_pair2 =
+              CGAL::object_cast<std::pair<Circular_arc_point_2, unsigned int> >
+              (&res_aux[1]);
+            Circular_arc_point_2 arc_end2 = the_pair2->first;
+            bool exist = false;
+            for (typename std::vector< Circular_arc_point_2 >::iterator it
+                   = circle_arc_endpoints.begin();
+                 it != circle_arc_endpoints.end(); ++it ) {
+              if (arc_end1 == *it) {
+                exist = true;
+                break;
+              }
+            }
+            if (!exist) {
+              circle_arc_endpoints.push_back(arc_end1);
+            }
+            else exist = false;
+            for ( typename std::vector< Circular_arc_point_2 >::iterator it
+                    = circle_arc_endpoints.begin();
+                  it != circle_arc_endpoints.end(); ++it ) {
+              if (arc_end2 == *it) {
+                exist = true;
+                break;
+              }
+            }
+            if (!exist)
+              circle_arc_endpoints.push_back(arc_end2);
+          }
+          else if( res_aux.size() == 1){
+            //it can be a Circular_arc_point_2 or a Circular_arc_2
+            if(const Circular_arc_2 *arc =
+               CGAL::object_cast<Circular_arc_2>(&res_aux[0])) {
+              //if(assign(arc,res_aux[0])){
+              circle_arcs.push_back(*arc);
+            }
+            else {
+              //CGAL_kernel_assertion(assign(the_pair, res_aux[0]));
+              //assign(the_pair, res_aux[0]);
+              const std::pair<Circular_arc_point_2, unsigned int> *the_pair =
+                CGAL::object_cast<std::pair<Circular_arc_point_2, unsigned int> >
+                (&res_aux[0]);
+              Circular_arc_point_2 arc_end = the_pair->first;
+              if (the_pair->second == 2u) {//there are only one tangent point
+                *res++ = res_aux[0];
+                return res;
+              }
+              bool exist = false;
+              for (typename std::vector< Circular_arc_point_2 >::iterator it
+                     = circle_arc_endpoints.begin();
+                   it != circle_arc_endpoints.end(); ++it ) {
+                if (arc_end == *it) {
+                  exist = true;
+                  break;
+                }
+              }
+              if (!exist)
+                circle_arc_endpoints.push_back(arc_end);
+            }
+          }
+        }
       }
       //there are not double
       if (circle_arcs.size() > 0){
-	std::size_t i = 1;
-	while((i < circle_arcs.size()) && 
-	      (circle_arcs[i-1].target().x() == circle_arcs[i].source().x()) &&
-	      (circle_arcs[i-1].target().y() == circle_arcs[i].source().y())
-	      ) 
-	  {i++;}
-
-	*res++ = make_object
-	  (Circular_arc_2(circle_arcs[0].supporting_circle(),
-			  circle_arcs[0].source(),
-			  circle_arcs[i-1].target()
-			  ));
-	if (i < circle_arcs.size()) {//there are 2 circle arcs
-	  std::size_t j = i;
-	  i++;
-	  while((i < circle_arcs.size()) 
-		&& (circle_arcs[i-1].target() == circle_arcs[i].source()))
-	    i++;
-	  *res++ = make_object
-	    (Circular_arc_2(circle_arcs[j].supporting_circle(),
-			    circle_arcs[j].source(),
-			    circle_arcs[i-1].target()
-			    ));
-	  return res;
-	}
-	else {//There are one circle arc and there can be maximum one endpoint
-	  for (typename std::vector< Circular_arc_point_2 >::iterator it1 
-		 = circle_arc_endpoints.begin(); 
-	       it1 != circle_arc_endpoints.end(); ++it1 ) {
-	    bool other_point = true;
-	    for (typename std::vector< Circular_arc_2 >::iterator it2 
-		   = circle_arcs.begin(); 
-		 it2 != circle_arcs.end(); ++it2 )
-	      {
-		if (CircularFunctors::has_on<CK>(*it2, *it1)) {
-		  other_point = false;
-		  break;
-		}
-	      }
-	    if (other_point) {
-	      *res++ = make_object(std::make_pair(*it1,1u));
-	      break;
-	    }
-	  }
-	  return res;
-	}
+        std::size_t i = 1;
+        while((i < circle_arcs.size()) &&
+              (circle_arcs[i-1].target().x() == circle_arcs[i].source().x()) &&
+              (circle_arcs[i-1].target().y() == circle_arcs[i].source().y())
+              )
+          {i++;}
+
+        *res++ = make_object
+          (Circular_arc_2(circle_arcs[0].supporting_circle(),
+                          circle_arcs[0].source(),
+                          circle_arcs[i-1].target()
+                          ));
+        if (i < circle_arcs.size()) {//there are 2 circle arcs
+          std::size_t j = i;
+          i++;
+          while((i < circle_arcs.size())
+                && (circle_arcs[i-1].target() == circle_arcs[i].source()))
+            i++;
+          *res++ = make_object
+            (Circular_arc_2(circle_arcs[j].supporting_circle(),
+                            circle_arcs[j].source(),
+                            circle_arcs[i-1].target()
+                            ));
+          return res;
+        }
+        else {//There are one circle arc and there can be maximum one endpoint
+          for (typename std::vector< Circular_arc_point_2 >::iterator it1
+                 = circle_arc_endpoints.begin();
+               it1 != circle_arc_endpoints.end(); ++it1 ) {
+            bool other_point = true;
+            for (typename std::vector< Circular_arc_2 >::iterator it2
+                   = circle_arcs.begin();
+                 it2 != circle_arcs.end(); ++it2 )
+              {
+                if (CircularFunctors::has_on<CK>(*it2, *it1)) {
+                  other_point = false;
+                  break;
+                }
+              }
+            if (other_point) {
+              *res++ = make_object(std::make_pair(*it1,1u));
+              break;
+            }
+          }
+          return res;
+        }
       }
       else{//there are one or two endpoint
-	if (circle_arc_endpoints.size() > 1){
-	  *res++ = make_object(std::make_pair(circle_arc_endpoints[0],1u));
-	  *res++ = make_object(std::make_pair(circle_arc_endpoints[1],1u));
-	}
-	else if (circle_arc_endpoints.size() == 1) 
-	  *res++ = make_object(std::make_pair(circle_arc_endpoints[0],1u));
-	return res;
+        if (circle_arc_endpoints.size() > 1){
+          *res++ = make_object(std::make_pair(circle_arc_endpoints[0],1u));
+          *res++ = make_object(std::make_pair(circle_arc_endpoints[1],1u));
+        }
+        else if (circle_arc_endpoints.size() == 1)
+          *res++ = make_object(std::make_pair(circle_arc_endpoints[0],1u));
+        return res;
       }
     }
   }*/
@@ -1048,13 +1048,13 @@ namespace CircularFunctors {
   bool
   is_vertical(const typename CK::Circular_arc_2 &)
   {
-    return false; 
+    return false;
   }
 
 template < class CK, class OutputIterator >
   OutputIterator
   make_x_monotone( const typename CK::Circular_arc_2 &A,
-		   OutputIterator res )
+                   OutputIterator res )
   {
     typedef typename CK::Circular_arc_2           Circular_arc_2;
     typedef typename CK::Circular_arc_point_2     Circular_arc_point_2;
@@ -1066,16 +1066,16 @@ template < class CK, class OutputIterato
 
 #ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
       // get a number for its supporting circle
-      A.circle_number(); 
+      A.circle_number();
 #endif
 
       *res++ = make_object(A);
-      return res; 
+      return res;
     }
 
     std::vector< Root_for_circles_2_2 > vector_x_extremal_points;
-    CircularFunctors::x_extremal_points<CK>(A.supporting_circle(), 
-			  std::back_inserter(vector_x_extremal_points));
+    CircularFunctors::x_extremal_points<CK>(A.supporting_circle(),
+                          std::back_inserter(vector_x_extremal_points));
     Circular_arc_point_2 x_extremal_point1 = vector_x_extremal_points[0];
     Circular_arc_point_2 x_extremal_point2 = vector_x_extremal_points[1];
 
@@ -1086,18 +1086,18 @@ template < class CK, class OutputIterato
 #endif
 
     if (A.is_full()) {
-      const Circular_arc_2 &ca1 = Circular_arc_2(A.supporting_circle(), 
+      const Circular_arc_2 &ca1 = Circular_arc_2(A.supporting_circle(),
                                            x_extremal_point1,
-					   x_extremal_point2);
-      const Circular_arc_2 &ca2 = Circular_arc_2(A.supporting_circle(), 
+                                           x_extremal_point2);
+      const Circular_arc_2 &ca2 = Circular_arc_2(A.supporting_circle(),
                                            x_extremal_point2,
-					   x_extremal_point1);
+                                           x_extremal_point1);
       ca1._setx_info(2,1,0); //setting flags outside
       ca2._setx_info(2,2,0);
 
 #ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
       // get a number for its supporting circle
-      unsigned int cn = ca1.circle_number(); 
+      unsigned int cn = ca1.circle_number();
       ca2.set_circle_number(cn);
 #endif
 
@@ -1116,15 +1116,15 @@ template < class CK, class OutputIterato
 
     int cmp_begin = CGAL::compare(A.source().y(), A.center().y());
     int cmp_end   = CGAL::compare(A.target().y(), A.center().y());
-    
-    // Define the 2 Circular_arc_endpoints 
+
+    // Define the 2 Circular_arc_endpoints
     // in the 2 vertical tangent points
-    
-    
+
+
     if (cmp_begin > 0) {
-      const Circular_arc_2 &ca1 = Circular_arc_2(A.supporting_circle(), 
-                                                 A.source(), 
-                                                 x_extremal_point1); 
+      const Circular_arc_2 &ca1 = Circular_arc_2(A.supporting_circle(),
+                                                 A.source(),
+                                                 x_extremal_point1);
       ca1._setx_info(2,2,0);
 
 #ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
@@ -1134,18 +1134,18 @@ template < class CK, class OutputIterato
       *res++ = make_object(ca1);
       if (cmp_end > 0) {
         // We must cut in 3 parts.
-        const Circular_arc_2 &ca2 = Circular_arc_2(A.supporting_circle(), 
+        const Circular_arc_2 &ca2 = Circular_arc_2(A.supporting_circle(),
                                                    x_extremal_point1,
-					           x_extremal_point2); 
-        const Circular_arc_2 &ca3 = Circular_arc_2(A.supporting_circle(), 
+                                                   x_extremal_point2);
+        const Circular_arc_2 &ca3 = Circular_arc_2(A.supporting_circle(),
                                                    x_extremal_point2,
-					           A.target()); 
+                                                   A.target());
         ca2._setx_info(2,1,0);
         ca3._setx_info(2,2,0);
 
 #ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
-        ca2.set_circle_number(cn); 
-        ca3.set_circle_number(cn); 
+        ca2.set_circle_number(cn);
+        ca3.set_circle_number(cn);
 #endif
 
         *res++ = make_object(ca2);
@@ -1160,11 +1160,11 @@ template < class CK, class OutputIterato
         Circular_arc_2::template put_intersection< std::vector < CGAL::Object > >
           (ca1,ca3,intersecs3); //empty - no intersection
 #endif
-      } 
+      }
       else {
-        const Circular_arc_2 &ca2 = Circular_arc_2(A.supporting_circle(), 
+        const Circular_arc_2 &ca2 = Circular_arc_2(A.supporting_circle(),
                                                    x_extremal_point1,
-					           A.target()); 
+                                                   A.target());
         ca2._setx_info(2,1,0);
 
 #ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
@@ -1179,12 +1179,12 @@ template < class CK, class OutputIterato
           (ca1,ca2,intersecs1);
 #endif
 
-      } 
+      }
     }
     else if (cmp_begin < 0) {
-      const Circular_arc_2 &ca1 = Circular_arc_2(A.supporting_circle(), 
-                                                 A.source(), 
-                                                 x_extremal_point2); 
+      const Circular_arc_2 &ca1 = Circular_arc_2(A.supporting_circle(),
+                                                 A.source(),
+                                                 x_extremal_point2);
       ca1._setx_info(2,1,0);
 
 #ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
@@ -1193,12 +1193,12 @@ template < class CK, class OutputIterato
 
       *res++ = make_object(ca1);
       if (cmp_end < 0) {
-        const Circular_arc_2 &ca2 = Circular_arc_2(A.supporting_circle(), 
+        const Circular_arc_2 &ca2 = Circular_arc_2(A.supporting_circle(),
                                                    x_extremal_point2,
-					           x_extremal_point1); 
-        const Circular_arc_2 &ca3 = Circular_arc_2(A.supporting_circle(), 
+                                                   x_extremal_point1);
+        const Circular_arc_2 &ca3 = Circular_arc_2(A.supporting_circle(),
                                                    x_extremal_point1,
-					           A.target()); 
+                                                   A.target());
         ca2._setx_info(2,2,0);
         ca3._setx_info(2,1,0);
 
@@ -1221,11 +1221,11 @@ template < class CK, class OutputIterato
           (ca1,ca3,intersecs3);
 #endif
 
-      } 
+      }
       else {
-        const Circular_arc_2 &ca2 = Circular_arc_2(A.supporting_circle(), 
+        const Circular_arc_2 &ca2 = Circular_arc_2(A.supporting_circle(),
                                                    x_extremal_point2,
-					           A.target()); 
+                                                   A.target());
         ca2._setx_info(2,2,0);
 
 #ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
@@ -1245,12 +1245,12 @@ template < class CK, class OutputIterato
     else { // cmp_begin == 0
       if (CGAL::compare(A.source().x(), A.center().x()) < 0) {
         CGAL_kernel_assertion (cmp_end >= 0);
-        const Circular_arc_2 &ca1 = Circular_arc_2(A.supporting_circle(), 
+        const Circular_arc_2 &ca1 = Circular_arc_2(A.supporting_circle(),
                                                    x_extremal_point1,
-					           x_extremal_point2);
-        const Circular_arc_2 &ca2 = Circular_arc_2(A.supporting_circle(), 
+                                                   x_extremal_point2);
+        const Circular_arc_2 &ca2 = Circular_arc_2(A.supporting_circle(),
                                                    x_extremal_point2,
-					           A.target());
+                                                   A.target());
         ca1._setx_info(2,1,0);
         ca2._setx_info(2,2,0);
 
@@ -1270,15 +1270,15 @@ template < class CK, class OutputIterato
 
       }
       else {
-        CGAL_kernel_assertion 
-	  (CGAL::compare(A.source().x(), A.center().x()) > 0);
+        CGAL_kernel_assertion
+          (CGAL::compare(A.source().x(), A.center().x()) > 0);
         CGAL_kernel_assertion (cmp_end != LARGER);
-        const Circular_arc_2 &ca1 = Circular_arc_2(A.supporting_circle(), 
+        const Circular_arc_2 &ca1 = Circular_arc_2(A.supporting_circle(),
                                                    x_extremal_point2,
-					           x_extremal_point1);
-        const Circular_arc_2 &ca2 = Circular_arc_2(A.supporting_circle(), 
+                                                   x_extremal_point1);
+        const Circular_arc_2 &ca2 = Circular_arc_2(A.supporting_circle(),
                                             x_extremal_point1,
-					    A.target());
+                                            A.target());
         ca1._setx_info(2,2,0);
         ca2._setx_info(2,1,0);
 
@@ -1301,20 +1301,20 @@ template < class CK, class OutputIterato
     return res;
   }
 
-// This is the make_x_monotone function returning extra information: 
+// This is the make_x_monotone function returning extra information:
 // The ouput iterator refers to pairs, the first part of which is an
-// object containing the x-monotone arc and the second part is a 
-// boolean defining whether the arc is on the upper part of the 
+// object containing the x-monotone arc and the second part is a
+// boolean defining whether the arc is on the upper part of the
 // circle or not. This extra information returned by make_x_monotone
-// and make_xy_monotone helps us to avoid doing twice the same 
+// and make_xy_monotone helps us to avoid doing twice the same
 // comparisons by the functions which call these two in order to define
-// the position of the returned arcs on the circle , like in the 
+// the position of the returned arcs on the circle , like in the
 // construct_bounding_hexagons function
 
   template < class CK, class OutputIterator >
   OutputIterator
   advanced_make_x_monotone( const typename CK::Circular_arc_2 &A,
-		            OutputIterator res )
+                            OutputIterator res )
   {
     typedef typename CK::Circular_arc_2           Circular_arc_2;
     typedef std::pair<CGAL::Object,bool >         S_pair;
@@ -1324,126 +1324,126 @@ template < class CK, class OutputIterato
       (A.source().y(), A.supporting_circle().center().y());
     int cmp_end_y   = CGAL::compare
       (A.target().y(), A.supporting_circle().center().y());
-    
+
     int cmp_x=compare_x(A.source(),A.target());
-    
+
     // We don't need to split
-    if ((cmp_begin_y != opposite(cmp_end_y)) && 
-        ((((cmp_begin_y > 0) || (cmp_end_y > 0)) && (cmp_x > 0)) || 
-         (((cmp_begin_y < 0) || (cmp_end_y < 0)) && 
+    if ((cmp_begin_y != opposite(cmp_end_y)) &&
+        ((((cmp_begin_y > 0) || (cmp_end_y > 0)) && (cmp_x > 0)) ||
+         (((cmp_begin_y < 0) || (cmp_end_y < 0)) &&
          (cmp_x < 0)))) {
       *res++ = S_pair(make_object(A),(cmp_begin_y>0 || cmp_end_y>0) );
-      return res; 
+      return res;
     }
-    
+
     // Half circles
     if (cmp_begin_y == 0 && cmp_end_y == 0 && cmp_x != 0) {
       *res++ = std::make_pair(make_object(A), cmp_x>0 );
-      return res; 
+      return res;
     }
 
     // We need to split
     //CGAL_assertion(!A.is_x_monotone());
     if (cmp_begin_y > 0) {
-    
+
       *res++ = S_pair
-	(make_object(Circular_arc_2(A.supporting_circle(), A.source(),
-				    CircularFunctors::x_extremal_point<CK>
-				    (A.supporting_circle(),true))),
-	 true);
-			       
+        (make_object(Circular_arc_2(A.supporting_circle(), A.source(),
+                                    CircularFunctors::x_extremal_point<CK>
+                                    (A.supporting_circle(),true))),
+         true);
+
       if (cmp_end_y > 0) {
         // We must cut in 3 parts.
         *res++ = std::make_pair
-	  (make_object(Circular_arc_2 (A.supporting_circle(),
-				       CircularFunctors::x_extremal_point<CK>
-				       (A.supporting_circle(),true),
-				       CircularFunctors::x_extremal_point<CK>
-				       (A.supporting_circle(),false))),
-	   false);
-			
+          (make_object(Circular_arc_2 (A.supporting_circle(),
+                                       CircularFunctors::x_extremal_point<CK>
+                                       (A.supporting_circle(),true),
+                                       CircularFunctors::x_extremal_point<CK>
+                                       (A.supporting_circle(),false))),
+           false);
+
         *res++ = std::make_pair
-	  (make_object(Circular_arc_2 (A.supporting_circle(),
-				       CircularFunctors::x_extremal_point<CK>
-				       (A.supporting_circle(),false),
-				       A.target())),
-	   true);
-      } else {    
+          (make_object(Circular_arc_2 (A.supporting_circle(),
+                                       CircularFunctors::x_extremal_point<CK>
+                                       (A.supporting_circle(),false),
+                                       A.target())),
+           true);
+      } else {
         *res++ = std::make_pair
-	  (make_object(Circular_arc_2 (A.supporting_circle(),
-				       CircularFunctors::x_extremal_point<CK>
-				       (A.supporting_circle(),true),
-				       A.target())), 
-	   false);
+          (make_object(Circular_arc_2 (A.supporting_circle(),
+                                       CircularFunctors::x_extremal_point<CK>
+                                       (A.supporting_circle(),true),
+                                       A.target())),
+           false);
       }
     }
     else if (cmp_begin_y < 0) {
       // Very similar to the previous case.
       *res++ = std::make_pair
-	(make_object(Circular_arc_2 (A.supporting_circle(),
-				     A.source(),
-				     CircularFunctors::x_extremal_point<CK>
-				     (A.supporting_circle(),false))),
-	 false);
-			 
+        (make_object(Circular_arc_2 (A.supporting_circle(),
+                                     A.source(),
+                                     CircularFunctors::x_extremal_point<CK>
+                                     (A.supporting_circle(),false))),
+         false);
+
       if (cmp_end_y < CGAL::EQUAL) {
         // We must cut in 3 parts.
         *res++ = std::make_pair
-	  (make_object(Circular_arc_2 (A.supporting_circle(),
-				       CircularFunctors::x_extremal_point<CK>
-				       (A.supporting_circle(),false), 
-				       CircularFunctors::x_extremal_point<CK>
-				       (A.supporting_circle(),true))) ,
-	   true );
-				     					     
+          (make_object(Circular_arc_2 (A.supporting_circle(),
+                                       CircularFunctors::x_extremal_point<CK>
+                                       (A.supporting_circle(),false),
+                                       CircularFunctors::x_extremal_point<CK>
+                                       (A.supporting_circle(),true))) ,
+           true );
+
         *res++ = std::make_pair
-	  (make_object(Circular_arc_2 (A.supporting_circle(),
-				       CircularFunctors::x_extremal_point<CK>
-				       (A.supporting_circle(),true),
-				       A.target())),
-	   false);
+          (make_object(Circular_arc_2 (A.supporting_circle(),
+                                       CircularFunctors::x_extremal_point<CK>
+                                       (A.supporting_circle(),true),
+                                       A.target())),
+           false);
       } else {
         *res++ = std::make_pair
-	  (make_object(Circular_arc_2 (A.supporting_circle(),
-				       CircularFunctors::x_extremal_point<CK>
-				       (A.supporting_circle(),false),
-				       A.target())),
-	   true);
+          (make_object(Circular_arc_2 (A.supporting_circle(),
+                                       CircularFunctors::x_extremal_point<CK>
+                                       (A.supporting_circle(),false),
+                                       A.target())),
+           true);
       }
     }
     else { // cmp_begin_y == 0
       if ( compare(A.source().x(),A.supporting_circle().center().x())< 0) {
         CGAL_assertion(cmp_end_y >= 0);
         *res++ = std::make_pair
-	  (make_object(Circular_arc_2 (A.supporting_circle(),
-				       A.source(),
-				       CircularFunctors::x_extremal_point<CK>
-				       (A.supporting_circle(),false))),
-	   false);
-	
+          (make_object(Circular_arc_2 (A.supporting_circle(),
+                                       A.source(),
+                                       CircularFunctors::x_extremal_point<CK>
+                                       (A.supporting_circle(),false))),
+           false);
+
         *res++ = std::make_pair
-	  (make_object(Circular_arc_2 (A.supporting_circle(),
-				       CircularFunctors::x_extremal_point<CK>
-				       (A.supporting_circle(),false),
-				       A.target())),
-	   true);
+          (make_object(Circular_arc_2 (A.supporting_circle(),
+                                       CircularFunctors::x_extremal_point<CK>
+                                       (A.supporting_circle(),false),
+                                       A.target())),
+           true);
       }
       else {
         CGAL_assertion( compare(A.source().x(),A.supporting_circle().center().x())< 0);
         CGAL_assertion(cmp_end_y != LARGER);
         *res++ = std::make_pair
-	  (make_object(Circular_arc_2 (A.supporting_circle(),
-				       A.source(),
-				       CircularFunctors::x_extremal_point<CK>
-				       (A.supporting_circle(),true))),
-	   true);		   
-			   
+          (make_object(Circular_arc_2 (A.supporting_circle(),
+                                       A.source(),
+                                       CircularFunctors::x_extremal_point<CK>
+                                       (A.supporting_circle(),true))),
+           true);
+
         *res++ = std::make_pair
-	  (make_object(Circular_arc_2 (A.supporting_circle(),
-				       CircularFunctors::x_extremal_point<CK>
-				       (A.supporting_circle(),true),
-				       A.target())),
-	   false);
+          (make_object(Circular_arc_2 (A.supporting_circle(),
+                                       CircularFunctors::x_extremal_point<CK>
+                                       (A.supporting_circle(),true),
+                                       A.target())),
+           false);
       }
     }
 
@@ -1455,101 +1455,101 @@ template < class CK, class OutputIterato
 
 
 // In the same as the advanced_make_x_monotone works, this make_xy_function
-// returns extra information, descriptive of the position of the returned 
-// xy-monotone arcs on the circle: The output iterator refers to pairs, the 
+// returns extra information, descriptive of the position of the returned
+// xy-monotone arcs on the circle: The output iterator refers to pairs, the
 // first part of which is the object containing tha arc and the second part
 // is another pair containing 2 booleans which equavalently describe whether the
 // returned xy-monotone arc is on the upper part and the left side of the circle
 
 template < typename CK , typename Output_iterator>
-Output_iterator 
-advanced_make_xy_monotone( const typename CK::Circular_arc_2 &a, 
-			   Output_iterator res)
+Output_iterator
+advanced_make_xy_monotone( const typename CK::Circular_arc_2 &a,
+                           Output_iterator res)
 {
-  
+
   typedef typename CK::Circular_arc_2            Circular_arc_2;
   typedef std::pair<bool, bool>                  relat_pos;
   typedef std::pair< CGAL::Object, bool>         Obj_descr_1;
   typedef std::pair< CGAL::Object, relat_pos>    Obj_descr_2;
   typedef std::vector<Obj_descr_1>               Obj_vector_1;
   typedef std::vector<Obj_descr_2>               Obj_vector_2;
-  
+
   Obj_vector_1 vec;
   Obj_vector_2 vec2;
   Obj_descr_2  dscr2;
-  
+
   advanced_make_x_monotone<CK>(a,std::back_inserter(vec));
-  
+
   for(unsigned int i=0;i<vec.size();i++) {
     const Circular_arc_2 *tmp_arc =
       CGAL::object_cast<Circular_arc_2>(&vec.at(i).first);
-    
+
     int cmp_begin_x = CGAL::compare
       (tmp_arc->source().x(), tmp_arc->supporting_circle().center().x());
     int cmp_end_x   = CGAL::compare
       (tmp_arc->target().x(), tmp_arc->supporting_circle().center().x());
-		
+
     if(cmp_begin_x!=opposite(cmp_end_x) || cmp_begin_x==CGAL::EQUAL) {
       dscr2.first=vec.at(i).first;
       dscr2.second.first=vec.at(i).second;
       dscr2.second.second= (cmp_begin_x==CGAL::SMALLER ||
-			    cmp_end_x==CGAL::SMALLER   ) ? 
-	true : false;
+                            cmp_end_x==CGAL::SMALLER   ) ?
+        true : false;
       *res++=dscr2; // The arc is xy_monotone
-    }	   
+    }
     else{ //We have to split the x_monotone_arc into 2 y_monotone arcs
-		
+
       Obj_descr_1 tmp=vec.at(i);
       Obj_descr_2 tmp1,tmp2;
       const Circular_arc_2 *tmp_arc =
-	CGAL::object_cast<Circular_arc_2>(&tmp.first);
-					 			 
+        CGAL::object_cast<Circular_arc_2>(&tmp.first);
+
       tmp1.first = make_object
-	(Circular_arc_2(a.supporting_circle(),tmp_arc->source(),
-			CircularFunctors::y_extremal_point<CK>
-			(a.supporting_circle(),!tmp.second)));
-			    	    
+        (Circular_arc_2(a.supporting_circle(),tmp_arc->source(),
+                        CircularFunctors::y_extremal_point<CK>
+                        (a.supporting_circle(),!tmp.second)));
+
       tmp1.second.first=tmp.second;
       tmp1.second.second= (tmp.second)? false : true ;
-		
+
       tmp2.first = make_object
-	(Circular_arc_2(a.supporting_circle(),
-			CircularFunctors::y_extremal_point<CK>
-			(a.supporting_circle(),!tmp.second),
-			tmp_arc->target()));
-      
+        (Circular_arc_2(a.supporting_circle(),
+                        CircularFunctors::y_extremal_point<CK>
+                        (a.supporting_circle(),!tmp.second),
+                        tmp_arc->target()));
+
       tmp2.second.first=tmp.second;
       tmp2.second.second= (tmp.second)? true  : false ;
-      
+
       *res++=tmp1;
       *res++=tmp2;
     }
-    
+
   }
-  
+
   return res;
-	
-}	
-	
+
+}
+
   template <class CK>
   CGAL::Bbox_2 circular_arc_bbox
   ( const typename CK::Kernel_base::Circular_arc_2 & a)
-  {	
+  {
     typedef CGAL::Interval_nt<false>::Protector IntervalProtector;
-    typedef CGAL::Interval_nt<false> Interval; 
+    typedef CGAL::Interval_nt<false> Interval;
 
     if(a.is_x_monotone()) {
-	// The arc is xy-monotone so we just add the bboxes of the endpoints
+        // The arc is xy-monotone so we just add the bboxes of the endpoints
       if(a.is_y_monotone())
-	return a.left().bbox() + a.right().bbox();
-      
+        return a.left().bbox() + a.right().bbox();
+
       // Just x-monotone, so we have to find the y-critical point
-      
+
       bool is_on_upper = a.on_upper_part();
-      
-      Bbox_2 
-	left_bb  = a.left().bbox(), 
-	right_bb = a.right().bbox();
+
+      Bbox_2
+        left_bb  = a.left().bbox(),
+        right_bb = a.right().bbox();
 
       IntervalProtector ip;
       Interval cy = to_interval(a.center().y());
@@ -1566,14 +1566,14 @@ advanced_make_xy_monotone( const typenam
         ymax = (CGAL::max)(left_bb.ymax(),right_bb.ymax());
       }
       /*
-      double ymin = (is_on_upper) ? 
-	(CGAL::min)(left_bb.ymin(),right_bb.ymin()) :
-	to_interval
-	( CircularFunctors::y_extremal_point<CK>(a.supporting_circle(),true).y()).first;
-      double ymax = (is_on_upper) ? 
-	to_interval
-	( CircularFunctors::y_extremal_point<CK>(a.supporting_circle(),false).y() ).second :
-	CGAL::max(left_bb.ymax(),right_bb.ymax()); 
+      double ymin = (is_on_upper) ?
+        (CGAL::min)(left_bb.ymin(),right_bb.ymin()) :
+        to_interval
+        ( CircularFunctors::y_extremal_point<CK>(a.supporting_circle(),true).y()).first;
+      double ymax = (is_on_upper) ?
+        to_interval
+        ( CircularFunctors::y_extremal_point<CK>(a.supporting_circle(),false).y() ).second :
+        CGAL::max(left_bb.ymax(),right_bb.ymax());
       */
       return Bbox_2(left_bb.xmin(),ymin,right_bb.xmax(),ymax);
     }
@@ -1581,91 +1581,91 @@ advanced_make_xy_monotone( const typenam
     if(a.is_y_monotone()) {
       bool is_on_left = a.on_left_part();
       IntervalProtector ip;
-      Bbox_2 
-	    source_bb  = a.source().bbox(), 
-	    target_bb = a.target().bbox();
+      Bbox_2
+            source_bb  = a.source().bbox(),
+            target_bb = a.target().bbox();
       Interval cx = to_interval(a.center().x());
       Interval r2 = to_interval(a.squared_radius());
-      Interval r = CGAL::sqrt(r2); 
+      Interval r = CGAL::sqrt(r2);
       double xmin, xmax;
       if(is_on_left) {
-        xmax = (CGAL::max)(source_bb.xmax(), target_bb.xmax()); 
+        xmax = (CGAL::max)(source_bb.xmax(), target_bb.xmax());
         xmin = cx.inf() - r.sup();
       } else {
         xmax = cx.sup() + r.sup();
-        xmin = (CGAL::min)(source_bb.xmin(), target_bb.xmin()); 
+        xmin = (CGAL::min)(source_bb.xmin(), target_bb.xmin());
       }
       return Bbox_2(xmin,
                     (CGAL::min)(source_bb.ymin(),target_bb.ymin()),
                     xmax,
                     (CGAL::max)(source_bb.ymax(),target_bb.ymax()));
     }
-	
+
     // Else return the bounding box of the circle.
     return a.supporting_circle().bbox();
     /*  More precise version for non-x-monotone arcs.
-	double xmin,xmax,ymin,ymax;
-	
-	// In this case, we can't avoid doing these heavy comparisons
-	
-	Comparison_result cmp_source_x=compare(a.source().x(),a.supporting_circle().center().x()),
-	cmp_target_x=compare(a.target().x(),a.supporting_circle().center().x()),
-	cmp_source_y=compare(a.source().y(),a.supporting_circle().center().y()),	
-	cmp_target_y=compare(a.target().y(),a.supporting_circle().center().y());
-	
-	//Since it's not x-monotone, it must include at least one x-critical point
-	
-	if(cmp_source_y==cmp_target_y || cmp_source_y==0 || cmp_target_y==0)
-	{
-	if(cmp_source_x==cmp_target_x || cmp_source_x==0 || cmp_target_x==0)
-	return a.supporting_circle().bbox();					
-	
-	xmin=to_interval( x_extremal_points<CK>(a.supporting_circle(),true).x() ).first;
-	xmax=to_interval( x_extremal_points<CK>(a.supporting_circle(),false).x() ).second;
-	
-	if( cmp_source_y==LARGER || cmp_target_y==LARGER)
-	{
-	ymin=to_interval( y_extremal_point<CK>(a.supporting_circle(),true).y() ).first;
-	ymax=(CGAL::max)(to_interval(a.source().y()).second,to_interval(a.target().y()).second);
-	}
-	else{
-	ymax=to_interval( y_extremal_point<CK>(a.supporting_circle(),false).y() ).second;
-	ymin=(CGAL::min)(to_interval(a.source().y()).first,to_interval(a.target().y()).first);
-	}
-	
-	return Bbox_2(xmin,ymin,xmax,ymax);
-	}
-	
-	if(cmp_source_y > EQUAL)
-	{
-	xmin=to_interval(x_extremal_points<CK>(a.supporting_circle(),true).x()).first;
-	xmax=(CGAL::max)(to_interval(a.source().x()).second,to_interval(a.target().x()).second);
-	}
-	else
-	{
-	xmin=(CGAL::min)(to_interval(a.source().x()).first,to_interval(a.target().x()).first);
-	xmax=to_interval(x_extremal_points<CK>(a.supporting_circle(),false).x()).second;
-	}
-	
-	
-	if( ( cmp_source_y== LARGER && cmp_source_x>= EQUAL) ||		
-	( cmp_target_y== LARGER && cmp_target_x<= EQUAL) )
-	ymax=to_interval(y_extremal_point<CK>(a.supporting_circle(),false).y()).second;
-	else
-	ymax=(CGAL::max)(to_interval(a.source().y()).second,to_interval(a.target().y()).second);
-	
-	
-	if( ( cmp_source_y== SMALLER && cmp_source_x<= EQUAL) ||		
-	( cmp_target_y== SMALLER && cmp_target_x>= EQUAL) )
-	ymin=to_interval(y_extremal_point<CK>(a.supporting_circle(),true).y()).first;
-	else
-	ymin=(CGAL::min)(to_interval(a.source().y()).first,to_interval(a.target().y()).first);
-	
-	return Bbox_2(xmin,ymin,xmax,ymax);
+        double xmin,xmax,ymin,ymax;
+
+        // In this case, we can't avoid doing these heavy comparisons
+
+        Comparison_result cmp_source_x=compare(a.source().x(),a.supporting_circle().center().x()),
+        cmp_target_x=compare(a.target().x(),a.supporting_circle().center().x()),
+        cmp_source_y=compare(a.source().y(),a.supporting_circle().center().y()),
+        cmp_target_y=compare(a.target().y(),a.supporting_circle().center().y());
+
+        //Since it's not x-monotone, it must include at least one x-critical point
+
+        if(cmp_source_y==cmp_target_y || cmp_source_y==0 || cmp_target_y==0)
+        {
+        if(cmp_source_x==cmp_target_x || cmp_source_x==0 || cmp_target_x==0)
+        return a.supporting_circle().bbox();
+
+        xmin=to_interval( x_extremal_points<CK>(a.supporting_circle(),true).x() ).first;
+        xmax=to_interval( x_extremal_points<CK>(a.supporting_circle(),false).x() ).second;
+
+        if( cmp_source_y==LARGER || cmp_target_y==LARGER)
+        {
+        ymin=to_interval( y_extremal_point<CK>(a.supporting_circle(),true).y() ).first;
+        ymax=(CGAL::max)(to_interval(a.source().y()).second,to_interval(a.target().y()).second);
+        }
+        else{
+        ymax=to_interval( y_extremal_point<CK>(a.supporting_circle(),false).y() ).second;
+        ymin=(CGAL::min)(to_interval(a.source().y()).first,to_interval(a.target().y()).first);
+        }
+
+        return Bbox_2(xmin,ymin,xmax,ymax);
+        }
+
+        if(cmp_source_y > EQUAL)
+        {
+        xmin=to_interval(x_extremal_points<CK>(a.supporting_circle(),true).x()).first;
+        xmax=(CGAL::max)(to_interval(a.source().x()).second,to_interval(a.target().x()).second);
+        }
+        else
+        {
+        xmin=(CGAL::min)(to_interval(a.source().x()).first,to_interval(a.target().x()).first);
+        xmax=to_interval(x_extremal_points<CK>(a.supporting_circle(),false).x()).second;
+        }
+
+
+        if( ( cmp_source_y== LARGER && cmp_source_x>= EQUAL) ||
+        ( cmp_target_y== LARGER && cmp_target_x<= EQUAL) )
+        ymax=to_interval(y_extremal_point<CK>(a.supporting_circle(),false).y()).second;
+        else
+        ymax=(CGAL::max)(to_interval(a.source().y()).second,to_interval(a.target().y()).second);
+
+
+        if( ( cmp_source_y== SMALLER && cmp_source_x<= EQUAL) ||
+        ( cmp_target_y== SMALLER && cmp_target_x>= EQUAL) )
+        ymin=to_interval(y_extremal_point<CK>(a.supporting_circle(),true).y()).first;
+        else
+        ymin=(CGAL::min)(to_interval(a.source().y()).first,to_interval(a.target().y()).first);
+
+        return Bbox_2(xmin,ymin,xmax,ymax);
     */
   }
-  
-} // namespace CircularFunctors 
+
+} // namespace CircularFunctors
 } // namespace CGAL
 
 #endif // CGAL_CIRCULAR_KERNEL_PREDICATES_ON_CIRCULAR_ARC_2_H
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_2/internal_functions_on_line_2.h 5.0.3-1/include/CGAL/Circular_kernel_2/internal_functions_on_line_2.h
--- 5.0.2-3/include/CGAL/Circular_kernel_2/internal_functions_on_line_2.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_2/internal_functions_on_line_2.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_2/internal_functions_on_line_2.h $
-// $Id: internal_functions_on_line_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_2/internal_functions_on_line_2.h $
+// $Id: internal_functions_on_line_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_CIRCULAR_KERNEL_FUNCTIONS_ON_LINE_2_H
@@ -30,18 +30,18 @@ namespace LinearFunctors {
   {
     return typename CK::Polynomial_1_2(L.a(),L.b(),L.c());
   }
-  
+
   template < class CK >
-  typename CK::Line_2  
+  typename CK::Line_2
   construct_line_2 ( const typename CK::Polynomial_1_2 &eq )
   {
-    return typename CK::Line_2(eq[2],eq[1],eq[0]); 
+    return typename CK::Line_2(eq[2],eq[1],eq[0]);
   }
-  
+
   template < class CK >
   bool
   has_on(const typename CK::Line_2 & l,
-	 const typename CK::Circular_arc_point_2 &p)
+         const typename CK::Circular_arc_point_2 &p)
   {
     typedef typename CK::Algebraic_kernel            AK;
     typedef typename CK::Polynomial_1_2 Polynomial_1_2;
@@ -53,12 +53,12 @@ namespace LinearFunctors {
   template < class CK >
   inline bool
   non_oriented_equal(const typename CK::Line_2 & a1,
-	             const typename CK::Line_2 & a2) {
+                     const typename CK::Line_2 & a2) {
     if(identical(a1,a2)) return true;
-    const typename CK::RT &a1c = a1.a(); 
+    const typename CK::RT &a1c = a1.a();
     const typename CK::RT &b1c = a1.b();
     const typename CK::RT &c1c = a1.c();
-    const typename CK::RT &a2c = a2.a(); 
+    const typename CK::RT &a2c = a2.a();
     const typename CK::RT &b2c = a2.b();
     const typename CK::RT &c2c = a2.c();
     return (a1c*b2c == a2c*b1c) &&
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_2/internal_functions_on_line_arc_2.h 5.0.3-1/include/CGAL/Circular_kernel_2/internal_functions_on_line_arc_2.h
--- 5.0.2-3/include/CGAL/Circular_kernel_2/internal_functions_on_line_arc_2.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_2/internal_functions_on_line_arc_2.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_2/internal_functions_on_line_arc_2.h $
-// $Id: internal_functions_on_line_arc_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_2/internal_functions_on_line_arc_2.h $
+// $Id: internal_functions_on_line_arc_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
@@ -31,11 +31,11 @@ namespace CircularFunctors {
   template < class CK >
   bool
   point_in_x_range(const typename CK::Line_arc_2 &A,
-		   const typename CK::Circular_arc_point_2 &p)
+                   const typename CK::Circular_arc_point_2 &p)
   {
     // range includes endpoints here
     return ( (CircularFunctors::compare_x<CK>(p, A.source()) != CircularFunctors::compare_x<CK>(p, A.target()))
-	     || (CircularFunctors::compare_x<CK>(p, A.source()) == CGAL::EQUAL) );
+             || (CircularFunctors::compare_x<CK>(p, A.source()) == CGAL::EQUAL) );
   }
 
   template < class CK >
@@ -48,15 +48,15 @@ namespace CircularFunctors {
       return false;
 
     return ( (equal<CK>(A1.source(), A2.source()) &&
-	      equal<CK>(A1.target(), A2.target())) ||
-	     (equal<CK>(A1.target(), A2.source()) &&
-	      equal<CK>(A1.source(), A2.target())) );
+              equal<CK>(A1.target(), A2.target())) ||
+             (equal<CK>(A1.target(), A2.source()) &&
+              equal<CK>(A1.source(), A2.target())) );
   }
 
   template < class CK >
   bool
   do_overlap(const typename CK::Line_arc_2 &A1,
-	     const typename CK::Line_arc_2 &A2)
+             const typename CK::Line_arc_2 &A2)
   {
     if (!LinearFunctors::non_oriented_equal<CK>(
       A1.supporting_line(),A2.supporting_line()))
@@ -70,7 +70,7 @@ namespace CircularFunctors {
   template < class CK >
   bool
   has_on(const typename CK::Line_arc_2 &a,
-	 const typename CK::Circular_arc_point_2 &p,
+         const typename CK::Circular_arc_point_2 &p,
          const bool has_on_supporting_line = false)
   {
     if(p.equal_ref(a.source()) || p.equal_ref(a.target())){
@@ -119,10 +119,10 @@ namespace CircularFunctors {
     //vertical case
     if (CircularFunctors::is_vertical<CK>(A1)) {
       if (p.y() <= A1.right().y()) {
-	if(A1.left().y() <= p.y()) {
-	  return CGAL::EQUAL;
-	}
-	return CGAL::SMALLER;
+        if(A1.left().y() <= p.y()) {
+          return CGAL::EQUAL;
+        }
+        return CGAL::SMALLER;
       }
       return CGAL::LARGER;
     }
@@ -142,12 +142,12 @@ namespace CircularFunctors {
   template < class CK >
   Comparison_result
   compare_y_to_right(const typename CK::Line_arc_2 &A1,
-		     const typename CK::Line_arc_2 &A2,
-		     const typename CK::Circular_arc_point_2 &/*p*/)
+                     const typename CK::Line_arc_2 &A2,
+                     const typename CK::Circular_arc_point_2 &/*p*/)
   {
     if(A1.supporting_line().is_vertical()){
       if(A2.supporting_line().is_vertical())
-	return CGAL::EQUAL;
+        return CGAL::EQUAL;
       return CGAL::LARGER;
     }
     if(A2.supporting_line().is_vertical())
@@ -162,9 +162,9 @@ namespace CircularFunctors {
       Root_of_2 y((-A1.right().x()*equation.a() - equation.c())/equation.b());
       Root_of_2 A1_right_y = A1.right().y();
       if (y == A1_right_y)
-	return CGAL::EQUAL;
+        return CGAL::EQUAL;
       if (y < A1_right_y)
-	return CGAL::LARGER;
+        return CGAL::LARGER;
       return CGAL::SMALLER;
     }
     else{
@@ -172,9 +172,9 @@ namespace CircularFunctors {
       Root_of_2 y((-A2.right().x()*equation.a() - equation.c())/equation.b());
       Root_of_2 A2_right_y = A2.right().y();
       if (y == A2_right_y)
-	return CGAL::EQUAL;
+        return CGAL::EQUAL;
       if (y < A2_right_y)
-	return CGAL::SMALLER;
+        return CGAL::SMALLER;
       return CGAL::LARGER;
     }
 
@@ -183,8 +183,8 @@ namespace CircularFunctors {
   template < class CK >
   Comparison_result
   compare_y_to_right(const typename CK::Line_arc_2 &A1,
-		     const typename CK::Circular_arc_2 &A2,
-		     const typename CK::Circular_arc_point_2 &p)
+                     const typename CK::Circular_arc_2 &A2,
+                     const typename CK::Circular_arc_point_2 &p)
   {
     //CGAL_kernel_precondition (A2.is_x_monotone());
     if(A1.supporting_line().is_vertical())
@@ -234,14 +234,14 @@ namespace CircularFunctors {
 
 
     if (((tangent_1_x < 0) && (tangent_2_x > 0)) ||
-	((tangent_1_x > 0) && (tangent_2_x < 0))){
+        ((tangent_1_x > 0) && (tangent_2_x < 0))){
       Root_of_2 prod_left = tangent_1_y * tangent_2_x;
       Root_of_2 prod_right = tangent_2_y * tangent_1_x;
       if (prod_left < prod_right){
-	return CGAL::LARGER;
+        return CGAL::LARGER;
       }
       if (prod_left == prod_right){
-	return  A2.on_upper_part() ? CGAL::LARGER : CGAL::SMALLER;
+        return  A2.on_upper_part() ? CGAL::LARGER : CGAL::SMALLER;
       }
       return CGAL::SMALLER;
     }
@@ -249,10 +249,10 @@ namespace CircularFunctors {
       Root_of_2 prod_left = tangent_1_y * tangent_2_x;
       Root_of_2 prod_right = tangent_2_y * tangent_1_x;
       if (prod_left < prod_right){
-	return CGAL::SMALLER;
+        return CGAL::SMALLER;
       }
       if (prod_left == prod_right){
-	return A2.on_upper_part() ? CGAL::LARGER : CGAL::SMALLER;
+        return A2.on_upper_part() ? CGAL::LARGER : CGAL::SMALLER;
       }
       return CGAL::LARGER;
     }
@@ -262,8 +262,8 @@ namespace CircularFunctors {
   template < class CK >
   Comparison_result
   compare_y_to_left(const typename CK::Line_arc_2 &A1,
-		    const typename CK::Circular_arc_2 &A2,
-		    const typename CK::Circular_arc_point_2 &p)
+                    const typename CK::Circular_arc_2 &A2,
+                    const typename CK::Circular_arc_point_2 &p)
   {
     //CGAL_kernel_precondition (A2.is_x_monotone());
     if(A1.supporting_line().is_vertical())
@@ -312,14 +312,14 @@ namespace CircularFunctors {
 
 
     if (((tangent_1_x < 0) && (tangent_2_x > 0)) ||
-	((tangent_1_x > 0) && (tangent_2_x < 0))){
+        ((tangent_1_x > 0) && (tangent_2_x < 0))){
       Root_of_2 prod_left = tangent_1_y * tangent_2_x;
       Root_of_2 prod_right = tangent_2_y * tangent_1_x;
       if (prod_left < prod_right){
-	return CGAL::SMALLER;
+        return CGAL::SMALLER;
       }
       if (prod_left == prod_right){
-	return  A2.on_upper_part() ? CGAL::LARGER : CGAL::SMALLER;
+        return  A2.on_upper_part() ? CGAL::LARGER : CGAL::SMALLER;
       }
       return CGAL::LARGER;
     }
@@ -327,10 +327,10 @@ namespace CircularFunctors {
       Root_of_2 prod_left = tangent_1_y * tangent_2_x;
       Root_of_2 prod_right = tangent_2_y * tangent_1_x;
       if (prod_left < prod_right){
-	return CGAL::LARGER;
+        return CGAL::LARGER;
       }
       if (prod_left == prod_right){
-	      return A2.on_upper_part() ? CGAL::LARGER : CGAL::SMALLER;
+              return A2.on_upper_part() ? CGAL::LARGER : CGAL::SMALLER;
       }
       return CGAL::SMALLER;
     }
@@ -340,8 +340,8 @@ namespace CircularFunctors {
   template < class CK >
   Comparison_result
   compare_y_to_right(const typename CK::Circular_arc_2 &A1,
-		     const typename CK::Line_arc_2 &A2,
-		     const typename CK::Circular_arc_point_2 &p)
+                     const typename CK::Line_arc_2 &A2,
+                     const typename CK::Circular_arc_point_2 &p)
   {
     if (compare_y_to_right<CK>(A2, A1, p) == CGAL::LARGER)
       return CGAL::SMALLER;
@@ -352,9 +352,9 @@ namespace CircularFunctors {
   template < class CK >
   void
   split(const typename CK::Line_arc_2 &A,
-	const typename CK::Circular_arc_point_2 &p,
-	typename CK::Line_arc_2 &ca1,
-	typename CK::Line_arc_2 &ca2)
+        const typename CK::Circular_arc_point_2 &p,
+        typename CK::Line_arc_2 &ca1,
+        typename CK::Line_arc_2 &ca2)
   {
     CGAL_kernel_precondition( has_on<CK>(A, p));
 
@@ -374,8 +374,8 @@ namespace CircularFunctors {
   template< class CK, class OutputIterator>
   OutputIterator
   intersect_2( const typename CK::Line_2 & l,
-	       const typename CK::Circle_2 & c,
-	       OutputIterator res )
+               const typename CK::Circle_2 & c,
+               OutputIterator res )
   {
     typedef typename CK2_Intersection_traits<CK, typename CK::Line_2, typename CK::Circle_2>
       ::type result_type;
@@ -397,10 +397,10 @@ namespace CircularFunctors {
     typedef typename CK::Circular_arc_point_2 Circular_arc_point_2;
 
     for ( typename solutions_container::iterator it = solutions.begin();
-	  it != solutions.end(); ++it )
+          it != solutions.end(); ++it )
       {
-	*res++ = CGAL::internal::ck2_intersection_return<result_type>
-	  (std::make_pair(Circular_arc_point_2(it->first), it->second ));
+        *res++ = CGAL::internal::ck2_intersection_return<result_type>
+          (std::make_pair(Circular_arc_point_2(it->first), it->second ));
       }
 
     return res;
@@ -409,8 +409,8 @@ namespace CircularFunctors {
   template< class CK, class OutputIterator>
   OutputIterator
   intersect_2( const typename CK::Line_arc_2 &a1,
-	       const typename CK::Line_arc_2 &a2,
-	       OutputIterator res )
+               const typename CK::Line_arc_2 &a2,
+               OutputIterator res )
   {
     typedef typename CK2_Intersection_traits<CK, typename CK::Line_arc_2, typename CK::Line_arc_2>
       ::type result_type;
@@ -432,8 +432,8 @@ namespace CircularFunctors {
     }
     if(a1s_a2s || a1s_a2t || a1t_a2s || a1t_a2t) {
       if(! LinearFunctors::non_oriented_equal<CK>(a1.supporting_line(),a2.supporting_line())){
-	if(a1s_a2s || a1s_a2t) *res++ = CGAL::internal::ck2_intersection_return<result_type>(std::make_pair(a1.source(), 1u));
-	if(a1t_a2s || a1t_a2t) *res++ = CGAL::internal::ck2_intersection_return<result_type>(std::make_pair(a1.target(), 1u));
+        if(a1s_a2s || a1s_a2t) *res++ = CGAL::internal::ck2_intersection_return<result_type>(std::make_pair(a1.source(), 1u));
+        if(a1t_a2s || a1t_a2t) *res++ = CGAL::internal::ck2_intersection_return<result_type>(std::make_pair(a1.target(), 1u));
       return res;
       }
     }
@@ -442,39 +442,39 @@ namespace CircularFunctors {
     if(LinearFunctors::non_oriented_equal<CK>(
       a1.supporting_line(),a2.supporting_line())) {
       if(compare_xy(a1.left(),a2.left()) < 0) {
-	int comparison = compare_xy(a2.left(),a1.right());
-	if(comparison < 0){
-	  if(compare_xy(a1.right(),a2.right()) <= 0){
-	    *res++ = CGAL::internal::ck2_intersection_return<result_type>
-	      (Line_arc_2(a1.supporting_line(), a2.left(), a1.right() ));
-	  } else{
-	    *res++ = CGAL::internal::ck2_intersection_return<result_type>
-	      (Line_arc_2(a1.supporting_line(), a2.left(), a2.right() ));
-	  }
-	}
-	else if (comparison == 0){
-	  *res++ =CGAL::internal::ck2_intersection_return<result_type>
-	    ( std::make_pair(a2.left(),1u));
-	}
-	return res;
+        int comparison = compare_xy(a2.left(),a1.right());
+        if(comparison < 0){
+          if(compare_xy(a1.right(),a2.right()) <= 0){
+            *res++ = CGAL::internal::ck2_intersection_return<result_type>
+              (Line_arc_2(a1.supporting_line(), a2.left(), a1.right() ));
+          } else{
+            *res++ = CGAL::internal::ck2_intersection_return<result_type>
+              (Line_arc_2(a1.supporting_line(), a2.left(), a2.right() ));
+          }
+        }
+        else if (comparison == 0){
+          *res++ =CGAL::internal::ck2_intersection_return<result_type>
+            ( std::make_pair(a2.left(),1u));
+        }
+        return res;
       }
       else{
-	int comparison = compare_xy(a1.left(),a2.right());
-	if(comparison < 0){
-	  if(compare_xy(a1.right(),a2.right()) <= 0){
-	    *res++ = CGAL::internal::ck2_intersection_return<result_type>
-	      (Line_arc_2(a1.supporting_line(), a1.left(), a1.right() ));
-	  }
-	  else{
-	    *res++ = CGAL::internal::ck2_intersection_return<result_type>
-	      (Line_arc_2(a1.supporting_line(), a1.left(), a2.right() ));
-	  }
-	}
-	else if (comparison == 0){
-	  *res++ = CGAL::internal::ck2_intersection_return<result_type>
-	    ( std::make_pair(a1.left(),1u));
-	}
-	return res;
+        int comparison = compare_xy(a1.left(),a2.right());
+        if(comparison < 0){
+          if(compare_xy(a1.right(),a2.right()) <= 0){
+            *res++ = CGAL::internal::ck2_intersection_return<result_type>
+              (Line_arc_2(a1.supporting_line(), a1.left(), a1.right() ));
+          }
+          else{
+            *res++ = CGAL::internal::ck2_intersection_return<result_type>
+              (Line_arc_2(a1.supporting_line(), a1.left(), a2.right() ));
+          }
+        }
+        else if (comparison == 0){
+          *res++ = CGAL::internal::ck2_intersection_return<result_type>
+            ( std::make_pair(a1.left(),1u));
+        }
+        return res;
       }
     }
 
@@ -488,9 +488,9 @@ namespace CircularFunctors {
     //      (Root_for_circles_2_2(Root_of_2(pt->x()),Root_of_2(pt->y())));
 
     if ((CircularFunctors::compare_xy<CK>(intersect_point, a1.source()) !=
-	 CircularFunctors::compare_xy<CK>(intersect_point, a1.target())) &&
-	(CircularFunctors::compare_xy<CK>(intersect_point, a2.source()) !=
-	 CircularFunctors::compare_xy<CK>(intersect_point, a2.target())))
+         CircularFunctors::compare_xy<CK>(intersect_point, a1.target())) &&
+        (CircularFunctors::compare_xy<CK>(intersect_point, a2.source()) !=
+         CircularFunctors::compare_xy<CK>(intersect_point, a2.target())))
       *res++ = CGAL::internal::ck2_intersection_return<result_type>(std::make_pair(intersect_point, 1u));
 
     return res;
@@ -515,8 +515,8 @@ namespace CircularFunctors {
   template< class CK, class OutputIterator>
   OutputIterator
   intersect_2( const typename CK::Line_arc_2 &l,
-	       const typename CK::Circle_2 &c,
-	       OutputIterator res )
+               const typename CK::Circle_2 &c,
+               OutputIterator res )
   {
     typedef std::vector<typename CK2_Intersection_traits<CK, typename CK::Line_2, typename CK::Circle_2>::type>
       solutions_container;
@@ -526,9 +526,9 @@ namespace CircularFunctors {
       ( l.supporting_line(), c, std::back_inserter(solutions) );
 
     for (typename solutions_container::iterator it = solutions.begin();
-	 it != solutions.end(); ++it) {
+         it != solutions.end(); ++it) {
       if(boost::apply_visitor(Has_on_visitor<CK, typename CK::Line_arc_2>(&l), *it))
-	*res++ = *it;
+        *res++ = *it;
     }
 
     return res;
@@ -537,8 +537,8 @@ namespace CircularFunctors {
   template< class CK, class OutputIterator>
   OutputIterator
   intersect_2( const typename CK::Circle_2 &c,
-	       const typename CK::Line_arc_2 &l,
-	       OutputIterator res )
+               const typename CK::Line_arc_2 &l,
+               OutputIterator res )
   {
     return intersect_2<CK>(l,c,res);
   }
@@ -546,8 +546,8 @@ namespace CircularFunctors {
   template< class CK, class OutputIterator>
   OutputIterator
   intersect_2( const typename CK::Line_arc_2 &l,
-	       const typename CK::Circular_arc_2 &c,
-	       OutputIterator res )
+               const typename CK::Circular_arc_2 &c,
+               OutputIterator res )
   {
 #if defined(CGAL_CK_EXPLOIT_IDENTITY) || \
   defined(CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES)
@@ -565,88 +565,88 @@ namespace CircularFunctors {
 
     if((ls_cs && lt_ct) || (ls_ct && lt_cs)){ // Case 0
       if (compare_xy<CK>(l.source(), l.target()) == SMALLER){
-	*res++ = result_type(std::make_pair(l.source(), 1u));
-	*res++ = result_type(std::make_pair(l.target(), 1u));
+        *res++ = result_type(std::make_pair(l.source(), 1u));
+        *res++ = result_type(std::make_pair(l.target(), 1u));
       } else {
-	*res++ = result_type(std::make_pair(l.target(), 1u));
-	*res++ = result_type(std::make_pair(l.source(), 1u));
+        *res++ = result_type(std::make_pair(l.target(), 1u));
+        *res++ = result_type(std::make_pair(l.source(), 1u));
       }
       return res;
     } else if (ls_cs || lt_ct || ls_ct || lt_cs) {
       Circular_arc_point_2 p,q,r;
 
       if(ls_cs){
-	p = l.target();
-	q = l.source();
-	r = c.target();
+        p = l.target();
+        q = l.source();
+        r = c.target();
       } else if(ls_ct){
-	p = l.target();
-	q = l.source();
-	r = c.source();
+        p = l.target();
+        q = l.source();
+        r = c.source();
       } else if(lt_cs){
-	p = l.source();
-	q = l.target();
-	r = c.target();
+        p = l.source();
+        q = l.target();
+        r = c.target();
       } else { // lt_ct
-	p = l.source();
-	q = l.target();
-	r = c.source();
+        p = l.source();
+        q = l.target();
+        r = c.source();
       }
 
       if( (CircularFunctors::compare_x<CK>(p,q) == EQUAL) || CircularFunctors::point_in_x_range<CK>(p,r,q)){ // Case 1
-	*res++ = result_type(std::make_pair(q,1u));
-	return res;
+        *res++ = result_type(std::make_pair(q,1u));
+        return res;
       }
        else if(c.on_upper_part()){ // Case 2
-	if(CircularFunctors::compare_x<CK>(r,q) == LARGER){
-	  if(CircularFunctors::orientation<CK>(q,r,p) == RIGHT_TURN   // Case 2
-	     || CircularFunctors::compare_y_to_right<CK>(l,c,q) == LARGER){ // Case 3a
-	    *res++ = result_type(std::make_pair(q,1u));
-	    return res;
-	  }
-	} else {
-	  if(CircularFunctors::orientation<CK>(r,q,p) == RIGHT_TURN  // Case 2
-	  || CircularFunctors::compare_y_to_left<CK>(l,c,q) == LARGER){ // Case 3c
-	    *res++ = result_type(std::make_pair(q,1u));
-	    return res;
-	  }
-	}
+        if(CircularFunctors::compare_x<CK>(r,q) == LARGER){
+          if(CircularFunctors::orientation<CK>(q,r,p) == RIGHT_TURN   // Case 2
+             || CircularFunctors::compare_y_to_right<CK>(l,c,q) == LARGER){ // Case 3a
+            *res++ = result_type(std::make_pair(q,1u));
+            return res;
+          }
+        } else {
+          if(CircularFunctors::orientation<CK>(r,q,p) == RIGHT_TURN  // Case 2
+          || CircularFunctors::compare_y_to_left<CK>(l,c,q) == LARGER){ // Case 3c
+            *res++ = result_type(std::make_pair(q,1u));
+            return res;
+          }
+        }
        } else { // c on lower part
-	if(CircularFunctors::compare_x<CK>(r,q) == LARGER){
-	  if (CircularFunctors::orientation<CK>(q,r,p) == LEFT_TURN // Case 2
-	    || CircularFunctors::compare_y_to_right<CK>(l,c,q) == SMALLER){  // Case 3b
-	    *res++ = result_type(std::make_pair(q,1u));
-	    return res;
-	  }
-	} else {
-	  if(CircularFunctors::orientation<CK>(r,q,p) == LEFT_TURN
-	     || CircularFunctors::compare_y_to_left<CK>(l,c,q) == SMALLER){ // Case 3d
-	    *res++ = result_type(std::make_pair(q,1u));
-	    return res;
-	  }
-	}
+        if(CircularFunctors::compare_x<CK>(r,q) == LARGER){
+          if (CircularFunctors::orientation<CK>(q,r,p) == LEFT_TURN // Case 2
+            || CircularFunctors::compare_y_to_right<CK>(l,c,q) == SMALLER){  // Case 3b
+            *res++ = result_type(std::make_pair(q,1u));
+            return res;
+          }
+        } else {
+          if(CircularFunctors::orientation<CK>(r,q,p) == LEFT_TURN
+             || CircularFunctors::compare_y_to_left<CK>(l,c,q) == SMALLER){ // Case 3d
+            *res++ = result_type(std::make_pair(q,1u));
+            return res;
+          }
+        }
        }
 
       typename CK::Linear_kernel::Bounded_side bs = CircularFunctors::bounded_side<CK>(c.supporting_circle(),p);
       if(bs == ON_BOUNDED_SIDE){
-	*res++ = result_type(std::make_pair(q,1u));
-	return res;
+        *res++ = result_type(std::make_pair(q,1u));
+        return res;
       } else { //Case 4b
         typedef std::vector<typename CK2_Intersection_traits<CK, typename CK::Line_2, typename CK::Circle_2>::type>
           container;
         container solutions;
-	CGAL::CircularFunctors::intersect_2<CK>( l.supporting_line(), c.supporting_circle(),
-					       std::back_inserter(solutions) );
+        CGAL::CircularFunctors::intersect_2<CK>( l.supporting_line(), c.supporting_circle(),
+                                               std::back_inserter(solutions) );
 
-	if(CircularFunctors::compare_x<CK>(r,q) == LARGER){
-	  *res++ = result_type(std::make_pair(q,1u));
-	  *res++ = solutions.back();
-	  return res;
-	} else {
-	  *res++ = solutions.front();
-	  *res++ = result_type(std::make_pair(q,1u));
-	  return res;
-	}
+        if(CircularFunctors::compare_x<CK>(r,q) == LARGER){
+          *res++ = result_type(std::make_pair(q,1u));
+          *res++ = solutions.back();
+          return res;
+        } else {
+          *res++ = solutions.front();
+          *res++ = result_type(std::make_pair(q,1u));
+          return res;
+        }
 
       } // Case 4b
 
@@ -668,7 +668,7 @@ namespace CircularFunctors {
 
       CGAL::CircularFunctors::intersect_2<CK>
       ( l.supporting_line(), c.supporting_circle(),
-	std::back_inserter(solutions) );
+        std::back_inserter(solutions) );
 
 #ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
         Line_arc_2::template
@@ -679,12 +679,12 @@ namespace CircularFunctors {
 
 
     for (typename solutions_container::iterator it = solutions.begin();
-	 it != solutions.end(); ++it)
+         it != solutions.end(); ++it)
     {
       if(boost::apply_visitor(Has_on_visitor<CK, typename CK::Line_arc_2>(&l), *it) &&
          boost::apply_visitor(Has_on_visitor<CK, typename CK::Circular_arc_2>(&c), *it) )
       {
-	*res++ = *it;
+        *res++ = *it;
       }
     }
     return res;
@@ -696,8 +696,8 @@ namespace CircularFunctors {
   /*template< class CK, class OutputIterator>
   OutputIterator
   intersect_2( const typename CK::Line_arc_2 &l,
-	       const typename CK::Circular_arc_2 &c,
-	       OutputIterator res )
+               const typename CK::Circular_arc_2 &c,
+               OutputIterator res )
   {
     typedef typename CK::Circular_arc_2 Circular_arc_2;
     typedef std::vector<CGAL::Object > solutions_container;
@@ -705,33 +705,33 @@ namespace CircularFunctors {
     solutions_container solutions;
     CGAL::LinearFunctors::intersect_2<CK>
       ( l.supporting_line(), c.supporting_circle(),
-	std::back_inserter(solutions) );
+        std::back_inserter(solutions) );
 
     solutions_container objects_monotone;
     std::vector<const Circular_arc_2*> arcs_x_monotone;
     make_x_monotone( c, std::back_inserter(objects_monotone));
     for(typename solutions_container::iterator it2 = objects_monotone.begin();
-	it2 != objects_monotone.end(); ++it2){
+        it2 != objects_monotone.end(); ++it2){
       arcs_x_monotone.push_back(CGAL::object_cast<Circular_arc_2>(&(*it2)));
     }
 
     for (typename solutions_container::iterator it = solutions.begin();
-	 it != solutions.end(); ++it){
+         it != solutions.end(); ++it){
       const std::pair<typename CK::Circular_arc_point_2, unsigned> *result;
       result = CGAL::object_cast
-	<std::pair<typename CK::Circular_arc_point_2, unsigned> > (&(*it));
+        <std::pair<typename CK::Circular_arc_point_2, unsigned> > (&(*it));
       if ( has_on<CK>(l,result->first)) {
-	bool is_on_arc = false;
-	for(typename std::vector<const Circular_arc_2*>::iterator
-	      it2 = arcs_x_monotone.begin();
-	    it2 != arcs_x_monotone.end(); ++it2){
-	  if(has_on<CK>(**it2, result->first)){
-	    is_on_arc = true;
-	    break;
-	  }
-	}
-	if(is_on_arc)
-	  *res++ = *it;
+        bool is_on_arc = false;
+        for(typename std::vector<const Circular_arc_2*>::iterator
+              it2 = arcs_x_monotone.begin();
+            it2 != arcs_x_monotone.end(); ++it2){
+          if(has_on<CK>(**it2, result->first)){
+            is_on_arc = true;
+            break;
+          }
+        }
+        if(is_on_arc)
+          *res++ = *it;
       }
     }
     return res;
@@ -740,8 +740,8 @@ namespace CircularFunctors {
   template< class CK, class OutputIterator>
   OutputIterator
   intersect_2( const typename CK::Line_2 &l,
-	       const typename CK::Line_arc_2 &la,
-	       OutputIterator res )
+               const typename CK::Line_arc_2 &la,
+               OutputIterator res )
   {
     typedef typename CK::Circular_arc_point_2  Circular_arc_point_2;
     typedef typename CK::Point_2                  Point_2;
@@ -763,7 +763,7 @@ namespace CircularFunctors {
     Circular_arc_point_2 intersect_point = Circular_arc_point_2(*pt);
 
     if (CircularFunctors::compare_xy<CK>(intersect_point, la.source()) !=
-	 CircularFunctors::compare_xy<CK>(intersect_point, la.target()))
+         CircularFunctors::compare_xy<CK>(intersect_point, la.target()))
       *res++ = result_type(std::make_pair(intersect_point, 1u));
 
     return res;
@@ -772,8 +772,8 @@ namespace CircularFunctors {
   template< class CK, class OutputIterator>
   OutputIterator
   intersect_2( const typename CK::Line_2 &l,
-	       const typename CK::Circular_arc_2 &c,
-	       OutputIterator res )
+               const typename CK::Circular_arc_2 &c,
+               OutputIterator res )
   {
     typedef typename CK::Circular_arc_2 Circular_arc_2;
 
@@ -786,10 +786,10 @@ namespace CircularFunctors {
 
     CGAL::CircularFunctors::intersect_2<CK>
       ( l, c.supporting_circle(),
-	std::back_inserter(solutions) );
+        std::back_inserter(solutions) );
 
     for (typename solutions_container::const_iterator it = solutions.begin();
-	 it != solutions.end(); ++it) {
+         it != solutions.end(); ++it) {
       if(boost::apply_visitor(Has_on_visitor<CK, Circular_arc_2>(&c), *it))
         *res++ = *it;
     }
@@ -799,8 +799,8 @@ namespace CircularFunctors {
   template< class CK, class OutputIterator>
   OutputIterator
   intersect_2( const typename CK::Circular_arc_2 &c,
-	       const typename CK::Line_arc_2 &l,
-	       OutputIterator res )
+               const typename CK::Line_arc_2 &l,
+               OutputIterator res )
   {
     return intersect_2<CK>(l,c,res);
   }
@@ -808,7 +808,7 @@ namespace CircularFunctors {
   template < class CK, class OutputIterator >
   OutputIterator
   make_x_monotone( const typename CK::Line_arc_2 &A,
-		   OutputIterator res )
+                   OutputIterator res )
   {
     *res++ = make_object(A);
     return res;
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_2/intersection_line_2_circle_2_map.h 5.0.3-1/include/CGAL/Circular_kernel_2/intersection_line_2_circle_2_map.h
--- 5.0.2-3/include/CGAL/Circular_kernel_2/intersection_line_2_circle_2_map.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_2/intersection_line_2_circle_2_map.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_2/intersection_line_2_circle_2_map.h $
-// $Id: intersection_line_2_circle_2_map.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_2/intersection_line_2_circle_2_map.h $
+// $Id: intersection_line_2_circle_2_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_INTERSECTION_LINE_2_CIRCLE_2_MAP_H
@@ -35,7 +35,7 @@ typedef struct inter_map_pair {
   inter_map_pair(const inter_map_pair &i) : x(i.x), y(i.y) {}
   bool operator<(const inter_map_pair &i) const {
     if(x < i.x) return true;
-    if(x > i.x) return false; 
+    if(x > i.x) return false;
     if(y < i.y) return true;
     return false;
   }
@@ -49,10 +49,10 @@ private:
 public:
   Intersection_line_2_circle_2_map() : id_gen(0) { intersection_map.clear(); }
   ~Intersection_line_2_circle_2_map() { intersection_map.clear(); }
-  
+
   unsigned int get_new_id() {
     return ++id_gen;
-  } 
+  }
 
   template < class T >
   bool find(int id1, int id2, T& res) const {
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_2/Intersection_traits.h 5.0.3-1/include/CGAL/Circular_kernel_2/Intersection_traits.h
--- 5.0.2-3/include/CGAL/Circular_kernel_2/Intersection_traits.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_2/Intersection_traits.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_2/Intersection_traits.h $
-// $Id: Intersection_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_2/Intersection_traits.h $
+// $Id: Intersection_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_2/Intersection_traits.h $
-// $Id: Intersection_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_2/Intersection_traits.h $
+// $Id: Intersection_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -29,7 +29,7 @@ struct CK2_Intersection_traits
 
 // Intersection_traits for the circular kernel
 
-// The additional CGAL_ADDITIONAL_VARIANT_FOR_ICL ( = int) in the variant 
+// The additional CGAL_ADDITIONAL_VARIANT_FOR_ICL ( = int) in the variant
 // has the only purpose to work around a bug of the Intel compiler,
 // which without it produces the error
 // /usr/include/boost/type_traits/has_nothrow_copy.hpp(36): internal error: bad pointer
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_2/Line_arc_2.h 5.0.3-1/include/CGAL/Circular_kernel_2/Line_arc_2.h
--- 5.0.2-3/include/CGAL/Circular_kernel_2/Line_arc_2.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_2/Line_arc_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_2/Line_arc_2.h $
-// $Id: Line_arc_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_2/Line_arc_2.h $
+// $Id: Line_arc_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_CIRCULAR_KERNEL_LINE_ARC_2_H
@@ -63,26 +63,26 @@ private:
 public:
   //typedef typename CGAL::Simple_cartesian<Root_of_2>::Point_2
   //                                             Numeric_point_2;
-  typedef typename CK::Root_for_circles_2_2 
+  typedef typename CK::Root_for_circles_2_2
   Root_for_circles_2_2;
-    
+
   static
   Circular_arc_point_2
   intersect(const Line_2 & l, const Circle_2 & c, const bool b)
   {
-      
+
     typedef std::vector<typename CK2_Intersection_traits<CK, Line_2, Circle_2>::type>
       solutions_container;
-      
+
     solutions_container solutions;
     CGAL::CircularFunctors::intersect_2<CK>
       ( l, c, std::back_inserter(solutions) );
     typename solutions_container::iterator it = solutions.begin();
-      
-    CGAL_kernel_precondition( it != solutions.end() ); 
+
+    CGAL_kernel_precondition( it != solutions.end() );
     // the circles intersect
-      
-    const std::pair<typename CK::Circular_arc_point_2, unsigned>* 
+
+    const std::pair<typename CK::Circular_arc_point_2, unsigned>*
       result = CGAL::Intersections::internal::intersect_get<std::pair<typename CK::Circular_arc_point_2, unsigned> >(*it);
     // get must have succeeded
     if ( result->second == 2 ) // double solution
@@ -95,19 +95,19 @@ public:
 
 
 public:
-  Line_arc_2_base() 
+  Line_arc_2_base()
 #ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
-    : id_of_my_supporting_line(Circular_arc_2::circle_table.get_new_id()) 
-#endif 
+    : id_of_my_supporting_line(Circular_arc_2::circle_table.get_new_id())
+#endif
   {}
-     
+
   Line_arc_2_base(const Line_2 &support,
                   const Circle_2 &c1,const bool b1,
                   const Circle_2 &c2,const bool b2)
     :_support(support)
 #ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
-    ,id_of_my_supporting_line(Circular_arc_2::circle_table.get_new_id()) 
-#endif 
+    ,id_of_my_supporting_line(Circular_arc_2::circle_table.get_new_id())
+#endif
   {
     _begin = intersect(support, c1, b1);
     _end = intersect(support, c2, b2);
@@ -120,13 +120,13 @@ public:
                   const Line_2 &l2)
     :_support(support)
 #ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
-    ,id_of_my_supporting_line(Circular_arc_2::circle_table.get_new_id()) 
-#endif 
+    ,id_of_my_supporting_line(Circular_arc_2::circle_table.get_new_id())
+#endif
   {
     CGAL_kernel_precondition(do_intersect(support, l1));
     CGAL_kernel_precondition(do_intersect(support, l2));
     //typedef typename Root_of_2::RT RT_2;
-    typename Intersection_traits<CK, Line_2, Line_2>::result_type 
+    typename Intersection_traits<CK, Line_2, Line_2>::result_type
       v = CGAL::Intersections::internal::intersection(support, l1, CK());
     CGAL_assertion(bool(v));
 
@@ -139,14 +139,14 @@ public:
     _end = Circular_arc_point_2(*pt2);
     reset_flags();
   }
-    
+
   Line_arc_2_base(const Line_2 &support,
                   const Circular_arc_point_2 &p1,
                   const Circular_arc_point_2 &p2)
     :_support(support)
 #ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
-    ,id_of_my_supporting_line(Circular_arc_2::circle_table.get_new_id()) 
-#endif 
+    ,id_of_my_supporting_line(Circular_arc_2::circle_table.get_new_id())
+#endif
   {
     //Verifier si p1 et p2 sont sur la line
     _begin = p1;
@@ -157,20 +157,20 @@ public:
   Line_arc_2_base(const Segment_2 &s)
     :_support(s.supporting_line())
 #ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
-    ,id_of_my_supporting_line(Circular_arc_2::circle_table.get_new_id()) 
-#endif 
+    ,id_of_my_supporting_line(Circular_arc_2::circle_table.get_new_id())
+#endif
   {
     _begin = Circular_arc_point_2(s.source());
     _end = Circular_arc_point_2(s.target());
     reset_flags();
   }
-    
+
 
   Line_arc_2_base(const Point_2 &p1,
                   const Point_2 &p2)
 #ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
-    : id_of_my_supporting_line(Circular_arc_2::circle_table.get_new_id()) 
-#endif 
+    : id_of_my_supporting_line(Circular_arc_2::circle_table.get_new_id())
+#endif
   {
     _support = Line_2(p1, p2);
     _begin = Circular_arc_point_2(p1);
@@ -179,12 +179,12 @@ public:
   }
 
 private:
-    
+
   Line_2 _support;
   Circular_arc_point_2 _begin, _end;
   mutable bit_field flags;
 
-#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES 
+#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
   mutable unsigned int id_of_my_supporting_line;
 
   unsigned int line_number() const {
@@ -208,33 +208,33 @@ private: //(some useful functions)
 
 public :
 
-#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES 
+#ifdef CGAL_INTERSECTION_MAP_FOR_SUPPORTING_CIRCLES
   template < class T >
   static bool find_intersection_circle_line(
-                                            const Circular_arc_2& c, 
-                                            const Line_arc_2_base& l, 
+                                            const Circular_arc_2& c,
+                                            const Line_arc_2_base& l,
                                             T& res) {
     if(c.id_of_my_supporting_circle == 0) return false;
-    return Circular_arc_2::circle_table.template find<T>(c.id_of_my_supporting_circle, 
-                                                         l.id_of_my_supporting_line, 
+    return Circular_arc_2::circle_table.template find<T>(c.id_of_my_supporting_circle,
+                                                         l.id_of_my_supporting_line,
                                                          res);
   }
 
   template < class T >
-  static void put_intersection_circle_line(const Circular_arc_2& c, 
+  static void put_intersection_circle_line(const Circular_arc_2& c,
                                            const Line_arc_2_base& l,
                                            const T& res) {
-    Circular_arc_2::circle_table.template put<T>(c.circle_number(), 
-                                                 l.line_number(), 
+    Circular_arc_2::circle_table.template put<T>(c.circle_number(),
+                                                 l.line_number(),
                                                  res);
   }
 #endif
-    
+
   const Line_2 & supporting_line() const
   {
     return _support;
   }
-    
+
   const Circular_arc_point_2 & left() const
   {
     return begin_less_xy_than_end() ? _begin : _end;
@@ -253,13 +253,13 @@ public :
   const Circular_arc_point_2 & target() const
   {
     return _end;
-  } 
-    
+  }
+
   bool is_vertical() const
   {
     return supporting_line().is_vertical();
   }
-    
+
   CGAL::Bbox_2 bbox() const
   {
     return _begin.bbox() + _end.bbox();
@@ -281,17 +281,17 @@ public:
   typedef typename CB::Circular_arc_point_2 Circular_arc_point_2;
 
   Filtered_bbox_line_arc_2_base() : P_arc(), bb(nullptr) {}
-  
+
   Filtered_bbox_line_arc_2_base(const P_arc& arc) : P_arc(arc), bb(nullptr) {}
 
-  Filtered_bbox_line_arc_2_base(const Line_2 &support, 
+  Filtered_bbox_line_arc_2_base(const Line_2 &support,
                                 const Circle_2 &l1, const bool b_l1,
                                 const Circle_2 &l2, const bool b_l2)
     : P_arc(support,l1,b_l1,l2,b_l2), bb(nullptr)
   {}
 
-    
-  Filtered_bbox_line_arc_2_base(const Line_2 &support, 
+
+  Filtered_bbox_line_arc_2_base(const Line_2 &support,
                                 const Line_2 &l1,
                                 const Line_2 &l2)
     : P_arc(support,l1,l2), bb(nullptr)
@@ -308,14 +308,14 @@ public:
     : P_arc(s) , bb(nullptr)
   {}
 
-    
+
   Filtered_bbox_line_arc_2_base(const Point_2 &p1,
                                 const Point_2 &p2)
     : P_arc(p1,p2) , bb(nullptr)
   {}
 
-  
-  Filtered_bbox_line_arc_2_base(const Filtered_bbox_line_arc_2_base &c) 
+
+  Filtered_bbox_line_arc_2_base(const Filtered_bbox_line_arc_2_base &c)
     : P_arc(c), bb(c.bb ? new Bbox_2(*(c.bb)) : nullptr)
   {}
 
@@ -325,15 +325,15 @@ public:
     {
       this->P_arc::operator=(c);
 
-      if (bb != nullptr){ 
+      if (bb != nullptr){
         delete bb;
       }
       bb = c.bb ? new Bbox_2(*(c.bb)) : nullptr;
     }
     return *this;
   }
-		
-  ~Filtered_bbox_line_arc_2_base() { if(bb) delete bb; }  
+
+  ~Filtered_bbox_line_arc_2_base() { if(bb) delete bb; }
 
   Bbox_2 bbox() const
   {
@@ -350,15 +350,15 @@ private:
   mutable Bbox_2 *bb;
 
 }; // end class Filtered_bbox_line_arc_2_base
-  
+
 /* template < typename CK > */
 /*     std::ostream & */
 /*     operator<<(std::ostream & os, const Line_arc_2_base<CK> &a) */
 /*     { */
-      
+
 /*       return os << a.supporting_line() << " " */
-/* 		<< a.source() << " " */
-/* 		<< a.target() << " "; */
+/*                 << a.source() << " " */
+/*                 << a.target() << " "; */
 /*     } */
 
 /*   template < typename CK > */
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_2.h 5.0.3-1/include/CGAL/Circular_kernel_2.h
--- 5.0.2-3/include/CGAL/Circular_kernel_2.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_2.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_2.h $
-// $Id: Circular_kernel_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_2.h $
+// $Id: Circular_kernel_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_CIRCULAR_KERNEL_2_H
@@ -62,11 +62,11 @@ struct Circular_kernel_base_ref_count: p
   struct Handle { typedef Handle_for<T>    type; };
 
   template < typename Kernel2 >
-  struct Base { 
+  struct Base {
     typedef typename LinearKernelBase::template Base<Kernel2>::Type ReboundLK;
-    typedef Circular_kernel_base_ref_count<Kernel2, 
+    typedef Circular_kernel_base_ref_count<Kernel2,
                                            ReboundLK,
-                                           AlgebraicKernel>  Type; 
+                                           AlgebraicKernel>  Type;
   };
 
   #define CGAL_Circular_Kernel_pred(Y,Z) \
@@ -87,9 +87,9 @@ struct Circular_kernel_2
   : public Circular_kernel_type_equality_wrapper
      < internal::Circular_kernel_base_ref_count
         < Circular_kernel_2<LinearKernel,AlgebraicKernel>,
-          typename LinearKernel:: template 
+          typename LinearKernel:: template
           Base<Circular_kernel_2<LinearKernel,AlgebraicKernel> >::Type,
-          AlgebraicKernel 
+          AlgebraicKernel
         >,
        Circular_kernel_2<LinearKernel,AlgebraicKernel>
      >
@@ -98,7 +98,7 @@ struct Circular_kernel_2
   // Please remove this if you consider it to be sloppy
   struct Circular_tag{};
   typedef Circular_tag Definition_tag;
-  //  
+  //
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_3/Circular_arc_3.h 5.0.3-1/include/CGAL/Circular_kernel_3/Circular_arc_3.h
--- 5.0.2-3/include/CGAL/Circular_kernel_3/Circular_arc_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_3/Circular_arc_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_kernel_3/Circular_arc_3.h $
-// $Id: Circular_arc_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_kernel_3/Circular_arc_3.h $
+// $Id: Circular_arc_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Sebastien Loriot, Julien Hazebrouck, Damien Leroy
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SPHERICAL_KERNEL_CIRCULAR_ARC_3_H
@@ -38,13 +38,13 @@ namespace CGAL {
 
     private:
 
-      typedef boost::tuple<Circle_3, Circular_arc_point_3, 
+      typedef boost::tuple<Circle_3, Circular_arc_point_3,
                                Circular_arc_point_3> Rep;
       typedef typename SK::template Handle<Rep>::type Base;
 
       Base base;
       bool _full;
-      // It is the sign of the cross product 
+      // It is the sign of the cross product
       // of the vector (Center -> S) x (Center -> T)
       // it saves execution time for the has_on functor
       Sign _sign_cross_product;
@@ -55,21 +55,21 @@ namespace CGAL {
         return get_ref_sphere(get_pointee_or_identity(base).template get<0>());
       };
 
-        
+
       Circular_arc_3()
       {}
 
       // The arc of circle goes from s to t in counterclockwise orientation
       // in relation to the normal vector N of the supporting plane
-      // such that 
+      // such that
       // if N.x != 0 then N.x > 0
       // else if N.y != 0 -> N.y > 0
       // else N.z > 0
       // Interesting thing is that if _sign_cross_product is negative
       // the arc is the bigger one (angle > pi)
-      Circular_arc_3(const Circle_3 &c, 
+      Circular_arc_3(const Circle_3 &c,
                      const Circular_arc_point_3 &s,
-                     const Circular_arc_point_3 &t) 
+                     const Circular_arc_point_3 &t)
       : _full(false)
       {
         // l must pass through s and t, and s != t
@@ -77,8 +77,8 @@ namespace CGAL {
         CGAL_kernel_precondition(SK().has_on_3_object()(c,t));
         CGAL_kernel_precondition(s != t);
         base = Rep(c,s,t);
-        // we can optimize the computations of the sign (for the has_on functor), 
-        // by computing the vector s-c and t-s, in order to use them directly on 
+        // we can optimize the computations of the sign (for the has_on functor),
+        // by computing the vector s-c and t-s, in order to use them directly on
         // another compute_sign_of_cross_product function
         // we can save time computing the substractions
         // the problem is: more memory space is needed
@@ -86,9 +86,9 @@ namespace CGAL {
           CGAL::SphericalFunctors::compute_sign_of_cross_product<SK>(s,t,c.center());
       }
 
-      Circular_arc_3(const Circle_3 &c, 
+      Circular_arc_3(const Circle_3 &c,
                      const Point_3 &s,
-                     const Circular_arc_point_3 &t) 
+                     const Circular_arc_point_3 &t)
       : _full(false)
       {
         // l must pass through s and t, and s != t
@@ -96,13 +96,13 @@ namespace CGAL {
         CGAL_kernel_precondition(SK().has_on_3_object()(c,t));
         CGAL_kernel_precondition(Circular_arc_point_3(s) != t);
         base = Rep(c,s,t);
-        _sign_cross_product = 
+        _sign_cross_product =
           CGAL::SphericalFunctors::compute_sign_of_cross_product<SK>(s,t,c.center());
       }
 
-      Circular_arc_3(const Circle_3 &c, 
+      Circular_arc_3(const Circle_3 &c,
                      const Circular_arc_point_3 &s,
-                     const Point_3 &t) 
+                     const Point_3 &t)
       : _full(false)
       {
         // l must pass through s and t, and s != t
@@ -110,22 +110,22 @@ namespace CGAL {
         CGAL_kernel_precondition(SK().has_on_3_object()(c,t));
         CGAL_kernel_precondition(s != Circular_arc_point_3(t));
         base = Rep(c,s,t);
-        _sign_cross_product = 
+        _sign_cross_product =
           CGAL::SphericalFunctors::compute_sign_of_cross_product<SK>(s,t,c.center());
       }
 
-      Circular_arc_3(const Circle_3 &c, 
+      Circular_arc_3(const Circle_3 &c,
                      const Point_3 &s,
-                     const Point_3 &t) 
+                     const Point_3 &t)
       : _full(false)
       {
         // l must pass through s and t, and s != t
         CGAL_kernel_precondition(SK().has_on_3_object()(c,s));
         CGAL_kernel_precondition(SK().has_on_3_object()(c,t));
-        CGAL_kernel_precondition(Circular_arc_point_3(s) != 
+        CGAL_kernel_precondition(Circular_arc_point_3(s) !=
                                  Circular_arc_point_3(t));
         base = Rep(c,s,t);
-        _sign_cross_product = 
+        _sign_cross_product =
           CGAL::SphericalFunctors::compute_sign_of_cross_product<SK>(s,t,c.center());
       }
 
@@ -136,12 +136,12 @@ namespace CGAL {
       {
         const Plane_3 &p = c.supporting_plane();
         if(is_zero(p.b()) && is_zero(p.c())) {
-          const Circular_arc_point_3 v = 
-	    SphericalFunctors::y_extremal_point<SK>(c,true);
+          const Circular_arc_point_3 v =
+            SphericalFunctors::y_extremal_point<SK>(c,true);
           base = Rep(c,v,v);
         } else {
-          const Circular_arc_point_3 v = 
-	    SphericalFunctors::x_extremal_point<SK>(c,true);
+          const Circular_arc_point_3 v =
+            SphericalFunctors::x_extremal_point<SK>(c,true);
           base = Rep(c,v,v);
         }
       }
@@ -151,10 +151,10 @@ namespace CGAL {
       Circular_arc_3(const Circle_3 &c,const Circular_arc_point_3& point)
       : base(Rep(c,point,point)),_full(true), _sign_cross_product(CGAL::ZERO)
       {CGAL_kernel_precondition(SK().has_on_3_object()(c,point));}
-      
-      Circular_arc_3(const Circle_3 &c, 
+
+      Circular_arc_3(const Circle_3 &c,
                      const Sphere_3 &s1, bool less_xyz_s1,
-                     const Sphere_3 &s2, bool less_xyz_s2) 
+                     const Sphere_3 &s2, bool less_xyz_s2)
       {
          typedef typename SK3_Intersection_traits<SK, Circle_3, Sphere_3>::type result_type;
          std::vector<result_type> sols1, sols2;
@@ -173,15 +173,15 @@ namespace CGAL {
          const std::pair<typename SK::Circular_arc_point_3, unsigned>& pair2=
             *boost::get<std::pair<typename SK::Circular_arc_point_3, unsigned> >(
               &sols2[(sols2.size()==1)?(0):(less_xyz_s2?0:1)]
-            );        
+            );
          // the source and target must be different
          CGAL_kernel_precondition(pair1.first != pair2.first);
          *this = Circular_arc_3(c, pair1.first, pair2.first);
       }
 
-      Circular_arc_3(const Circle_3 &c, 
+      Circular_arc_3(const Circle_3 &c,
                      const Plane_3 &p1, bool less_xyz_p1,
-                     const Plane_3 &p2, bool less_xyz_p2) 
+                     const Plane_3 &p2, bool less_xyz_p2)
       {
         typedef typename SK3_Intersection_traits<SK, Circle_3, Plane_3>::type result_type;
          std::vector<result_type> sols1, sols2;
@@ -200,36 +200,36 @@ namespace CGAL {
          const std::pair<typename SK::Circular_arc_point_3, unsigned>& pair2=
            *boost::get<std::pair<typename SK::Circular_arc_point_3, unsigned> >(
               &sols2[(sols2.size()==1)?(0):(less_xyz_p2?0:1)]
-            );                
+            );
          // the source and target must be different
          CGAL_kernel_precondition(pair1.first != pair2.first);
          *this = Circular_arc_3(c, pair1.first, pair2.first);
       }
 
       Circular_arc_3(const Point_3 &begin,
-		     const Point_3 &middle,
-		     const Point_3 &end)
+                     const Point_3 &middle,
+                     const Point_3 &end)
         : _full(false)
       {
-	CGAL_kernel_precondition(!typename SK::Collinear_3()(begin, middle, end));
-	const Circle_3 c = Circle_3(begin, middle, end);
-	base = Rep(c,begin,end);
+        CGAL_kernel_precondition(!typename SK::Collinear_3()(begin, middle, end));
+        const Circle_3 c = Circle_3(begin, middle, end);
+        base = Rep(c,begin,end);
         _sign_cross_product =
           CGAL::SphericalFunctors::compute_sign_of_cross_product<SK>
-	         (begin,end,c.center());
+                 (begin,end,c.center());
       }
 
-      const Circle_3& supporting_circle() const 
+      const Circle_3& supporting_circle() const
       {
         return get_pointee_or_identity(base).template get<0>();
       }
 
-      const Circular_arc_point_3& source() const 
+      const Circular_arc_point_3& source() const
       {
         return get_pointee_or_identity(base).template get<1>();
       }
 
-      const Circular_arc_point_3& target() const 
+      const Circular_arc_point_3& target() const
       {
         return get_pointee_or_identity(base).template get<2>();
       }
@@ -306,7 +306,7 @@ namespace CGAL {
     Circular_arc_3<SK>::operator==(const Circular_arc_3<SK> &t) const
     {
       if (CGAL::identical(base, t.base))
-        return true;		
+        return true;
       return CGAL::SphericalFunctors::non_oriented_equal<SK>(*this, t);
     }
 
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_3/Circular_arc_point_3.h 5.0.3-1/include/CGAL/Circular_kernel_3/Circular_arc_point_3.h
--- 5.0.2-3/include/CGAL/Circular_kernel_3/Circular_arc_point_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_3/Circular_arc_point_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_kernel_3/Circular_arc_point_3.h $
-// $Id: Circular_arc_point_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_kernel_3/Circular_arc_point_3.h $
+// $Id: Circular_arc_point_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Sebastien Loriot, Julien Hazebrouck, Damien Leroy
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SPHERICAL_KERNEL_CIRCULAR_ARC_POINT_3_H
@@ -24,7 +24,7 @@
 #include <CGAL/Bbox_3.h>
 #include <CGAL/Handle.h>
 #include <CGAL/Circular_kernel_3/Intersection_traits.h>
-//#include <CGAL/global_functions_on_roots_and_polynomials_2_2.h> 
+//#include <CGAL/global_functions_on_roots_and_polynomials_2_2.h>
 // fixme, devrait
 // appeler fonction de global_functions_on_circular_arcs
 
@@ -55,10 +55,10 @@ class Circular_arc_point_3
 
   Base base;
 
-public: 
+public:
 
   Circular_arc_point_3() {}
-	
+
   Circular_arc_point_3(const Root_of_2 & x,
                        const Root_of_2 & y,
                        const Root_of_2 & z)
@@ -70,7 +70,7 @@ public:
   Circular_arc_point_3(const Point_3 & p)
   : base(p.x(),p.y(),p.z()){}
 
-  Circular_arc_point_3(const Sphere_3 &s1, 
+  Circular_arc_point_3(const Sphere_3 &s1,
                        const Sphere_3 &s2,
                        const Sphere_3 &s3,
                        const bool less_xyz = true) {
@@ -90,10 +90,10 @@ public:
         boost::get<std::pair<typename SK::Circular_arc_point_3, unsigned> >(&sols[less_xyz?0:1]);
       CGAL_kernel_precondition(pair!=nullptr);
       *this = pair->first.rep();
-    } 
+    }
   }
 
-  Circular_arc_point_3(const Plane_3 &p, 
+  Circular_arc_point_3(const Plane_3 &p,
                        const Sphere_3 &s1,
                        const Sphere_3 &s2,
                        const bool less_xyz = true) {
@@ -113,10 +113,10 @@ public:
         boost::get<std::pair<typename SK::Circular_arc_point_3, unsigned> >(&sols[less_xyz?0:1]);
       CGAL_kernel_precondition(pair!=nullptr);
       *this = pair->first.rep();
-    } 
+    }
   }
 
-  Circular_arc_point_3(const Plane_3 &p1, 
+  Circular_arc_point_3(const Plane_3 &p1,
                        const Plane_3 &p2,
                        const Sphere_3 &s,
                        const bool less_xyz = true) {
@@ -128,13 +128,13 @@ public:
       // the intersection must be a point
       const std::pair<typename SK::Circular_arc_point_3, unsigned>* pair=
         boost::get<std::pair<typename SK::Circular_arc_point_3, unsigned> >(&sols[0]);
-      CGAL_kernel_precondition(pair!=nullptr);      
+      CGAL_kernel_precondition(pair!=nullptr);
       *this = pair->first.rep();
     } else {
       // the intersections must be a point
       const std::pair<typename SK::Circular_arc_point_3, unsigned>* pair=
         boost::get<std::pair<typename SK::Circular_arc_point_3, unsigned> >(&sols[less_xyz?0:1]);
-      CGAL_kernel_precondition(pair!=nullptr);            
+      CGAL_kernel_precondition(pair!=nullptr);
       *this = pair->first.rep();
     }
   }
@@ -150,13 +150,13 @@ public:
       // the intersection must be a point
       const std::pair<typename SK::Circular_arc_point_3, unsigned>* pair=
         boost::get<std::pair<typename SK::Circular_arc_point_3, unsigned> >(&sols[0]);
-      CGAL_kernel_precondition(pair!=nullptr);            
+      CGAL_kernel_precondition(pair!=nullptr);
       *this = pair->first.rep();
     } else {
       // the intersections must be a point
       const std::pair<typename SK::Circular_arc_point_3, unsigned>* pair=
         boost::get<std::pair<typename SK::Circular_arc_point_3, unsigned> >(&sols[less_xyz?0:1]);
-      CGAL_kernel_precondition(pair!=nullptr);            
+      CGAL_kernel_precondition(pair!=nullptr);
       *this = pair->first.rep();
     }
   }
@@ -172,13 +172,13 @@ public:
       // the intersection must be a point
       const std::pair<typename SK::Circular_arc_point_3, unsigned>* pair=
         boost::get<std::pair<typename SK::Circular_arc_point_3, unsigned> >(&sols[0]);
-      CGAL_kernel_precondition(pair!=nullptr);            
+      CGAL_kernel_precondition(pair!=nullptr);
       *this = pair->first.rep();
     } else {
       // the intersections must be a point
       const std::pair<typename SK::Circular_arc_point_3, unsigned>* pair=
         boost::get<std::pair<typename SK::Circular_arc_point_3, unsigned> >(&sols[less_xyz?0:1]);
-      CGAL_kernel_precondition(pair!=nullptr);            
+      CGAL_kernel_precondition(pair!=nullptr);
       *this = pair->first.rep();
     }
   }
@@ -194,13 +194,13 @@ public:
       // the intersection must be a point
       const std::pair<typename SK::Circular_arc_point_3, unsigned>* pair=
         boost::get<std::pair<typename SK::Circular_arc_point_3, unsigned> >(&sols[0]);
-      CGAL_kernel_precondition(pair!=nullptr);            
+      CGAL_kernel_precondition(pair!=nullptr);
       *this = pair->first.rep();
     } else {
       // the intersections must be a point
       const std::pair<typename SK::Circular_arc_point_3, unsigned>* pair=
         boost::get<std::pair<typename SK::Circular_arc_point_3, unsigned> >(&sols[less_xyz?0:1]);
-      CGAL_kernel_precondition(pair!=nullptr);            
+      CGAL_kernel_precondition(pair!=nullptr);
       *this = pair->first.rep();
     }
   }
@@ -208,7 +208,7 @@ public:
   const Root_of_2 & x() const { return get_pointee_or_identity(base).x(); }
   const Root_of_2 & y() const { return get_pointee_or_identity(base).y(); }
   const Root_of_2 & z() const { return get_pointee_or_identity(base).z(); }
-	  
+
   const Root_for_spheres_2_3 & coordinates() const { return get_pointee_or_identity(base); }
 
   const CGAL::Bbox_3 bbox() const {
@@ -239,7 +239,7 @@ Circular_arc_point_3<SK>::operator!=(con
 {
   return !(*this == t);
 }
-    
+
 template < typename SK >
 std::ostream &
 print(std::ostream & os, const Circular_arc_point_3<SK> &p)
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_3/function_objects_polynomial_sphere.h 5.0.3-1/include/CGAL/Circular_kernel_3/function_objects_polynomial_sphere.h
--- 5.0.2-3/include/CGAL/Circular_kernel_3/function_objects_polynomial_sphere.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_3/function_objects_polynomial_sphere.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_kernel_3/function_objects_polynomial_sphere.h $
-// $Id: function_objects_polynomial_sphere.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_kernel_3/function_objects_polynomial_sphere.h $
+// $Id: function_objects_polynomial_sphere.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Sebastien Loriot
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SPHERICAL_KERNEL_FUNCTION_OBJECTS_POLYNOMIAL_SPHERE_H
@@ -37,7 +37,7 @@
 #include <CGAL/Circular_kernel_3/Intersection_traits.h>
 
 namespace CGAL {
-	
+
 namespace SphericalFunctors {
 
 #ifndef CGAL_CFG_MATCHING_BUG_6
@@ -62,8 +62,8 @@ template < class SK > \
                 const Circular_arc_point_3 &p1) const\
     { return SphericalFunctors::compare_ ##V <SK>(p0, p1); }\
   };\
-  
-#else 
+
+#else
 #define CGAL_SPHERICAL_KERNEL_MACRO_FUNCTOR_COMPARE_(V)\
 template < class SK > \
   class Compare_ ##V## _3 {\
@@ -171,11 +171,11 @@ template < class SK > \
 
   public:
 
-    typedef typename SK::Linear_kernel::Equal_3::result_type result_type;    
+    typedef typename SK::Linear_kernel::Equal_3::result_type result_type;
 
 #ifndef CGAL_CFG_MATCHING_BUG_6
     using SK::Linear_kernel::Equal_3::operator();
-#else  
+#else
 
     result_type
     operator() (const Point_3 &p0,
@@ -244,7 +244,7 @@ template < class SK > \
     operator() (const Circular_arc_point_3 &c0,
                 const Circular_arc_point_3 &c1) const
     { return SphericalFunctors::equal<SK>(c0, c1); }
-    
+
     result_type
     operator() (const Circular_arc_point_3 &c0,
                 const Point_3 &c1) const
@@ -253,7 +253,7 @@ template < class SK > \
     result_type
     operator() (const Point_3 &c0,
                 const Circular_arc_point_3 &c1) const
-    { return SphericalFunctors::equal<SK>(Circular_arc_point_3(c0), c1); }    
+    { return SphericalFunctors::equal<SK>(Circular_arc_point_3(c0), c1); }
 
     // Our Line_arc_3 dont have orientation
     result_type
@@ -266,7 +266,7 @@ template < class SK > \
     operator() (const Circular_arc_3 &c0,
                 const Circular_arc_3 &c1) const
     { return SphericalFunctors::equal<SK>(c0, c1); }
-    
+
   };
 
   template < class SK >
@@ -287,16 +287,16 @@ template < class SK > \
     typedef  Circular_arc_point_3 result_type;
 
     result_type
-    operator()(void) 
+    operator()(void)
     { return Rep(); }
 
     result_type
       operator()(const Root_of_2 & x,
-		 const Root_of_2 & y,
-		 const Root_of_2 & z
-		 ) const
+                 const Root_of_2 & y,
+                 const Root_of_2 & z
+                 ) const
     { return Rep(x,y,z); }
-    
+
     result_type
     operator()(const Root_for_spheres_2_3 & np) const
     { return Rep(np); }
@@ -415,34 +415,34 @@ template < class SK > \
     typedef typename LK::Sphere_3 Sphere_3;
     typedef typename LK::Construct_sphere_3 LK_Construct_sphere_3;
     typedef typename LK::FT FT;
-	
+
   public:
-    
-    typedef typename SK::Linear_kernel::Construct_sphere_3::result_type result_type; 
+
+    typedef typename SK::Linear_kernel::Construct_sphere_3::result_type result_type;
 
     result_type
     operator()( Return_base_tag tag, const Point_3& center, const FT& squared_radius,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     { return LK_Construct_sphere_3()(tag, center, squared_radius, orientation); }
 
     result_type
     operator()( Return_base_tag tag, const Point_3& p, const Point_3& q,
-	        const Point_3& r, const Point_3& s) const
+                const Point_3& r, const Point_3& s) const
     { return LK_Construct_sphere_3()(tag, p, q, r, s); }
 
     result_type
     operator()( Return_base_tag tag, const Point_3& p, const Point_3& q, const Point_3& r,
-	        Orientation orientation  = COUNTERCLOCKWISE) const
+                Orientation orientation  = COUNTERCLOCKWISE) const
     { return LK_Construct_sphere_3()(tag, p, q, r, orientation); }
 
     result_type
     operator()( Return_base_tag tag, const Point_3& p, const Point_3& q,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     { return LK_Construct_sphere_3()(tag, p, q, orientation); }
 
     result_type
     operator()( Return_base_tag tag, const Point_3& center,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     { return LK_Construct_sphere_3()(tag, center, orientation); }
 
     result_type
@@ -454,27 +454,27 @@ template < class SK > \
 
     result_type
     operator()( const Point_3& center, const FT& squared_radius,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     { return LK_Construct_sphere_3()(center, squared_radius, orientation); }
 
     result_type
     operator()( const Point_3& p, const Point_3& q,
-	        const Point_3& r, const Point_3& s) const
+                const Point_3& r, const Point_3& s) const
     { return LK_Construct_sphere_3()(p, q, r, s); }
 
     result_type
     operator()( const Point_3& p, const Point_3& q, const Point_3& r,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     { return LK_Construct_sphere_3()(p, q, r, orientation); }
 
     result_type
     operator()( const Point_3& p, const Point_3& q,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     { return LK_Construct_sphere_3()(p, q, orientation); }
 
     result_type
     operator()( const Point_3& center,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     { return LK_Construct_sphere_3()(center, orientation); }
 
     result_type
@@ -507,7 +507,7 @@ template < class SK > \
     typedef typename LK::Circle_3     Circle_3;
 
   public:
-    
+
     typedef typename SK::Linear_kernel::Construct_plane_3::result_type result_type;
 
   public:
@@ -599,7 +599,7 @@ template < class SK > \
   public:
     typedef typename SK::Linear_kernel::Construct_line_3 LK_Construct_line_3;
     typedef typename LK_Construct_line_3::result_type result_type;
-    
+
     result_type
     operator()(Return_base_tag, const Point_3& p, const Point_3& q) const
     { return LK_Construct_line_3()(p, Vector_3(p, q)); }
@@ -641,7 +641,7 @@ template < class SK > \
     operator()(const Ray_3& r) const
     { return this->operator()(Return_base_tag(), r); }
 
-    const result_type& 
+    const result_type&
     operator() (const Line_arc_3 & a) const
     { return (a.rep().supporting_line()); }
 
@@ -671,7 +671,7 @@ template < class SK > \
     struct result {
       typedef forwarded_result_type type;
     };
-    
+
     template<typename F>
     struct result<F(Circular_arc_3)> {
       typedef const forwarded_result_type& type;
@@ -713,7 +713,7 @@ template < class SK > \
     { return Extended()(p, s, a); }
 
     forwarded_result_type
-    operator()(	const Point_3& p1, const Point_3& p2, const Point_3& p3) const
+    operator()(        const Point_3& p1, const Point_3& p2, const Point_3& p3) const
     { return Extended()(p1, p2, p3); }
 
     forwarded_result_type
@@ -749,13 +749,13 @@ template < class SK > \
 
     result_type
     operator()(const Line_3 &l,
-	       const Circular_arc_point_3 &s,
-	       const Circular_arc_point_3 &t) const
+               const Circular_arc_point_3 &s,
+               const Circular_arc_point_3 &t) const
     { return Rep(l,s,t); }
 
     result_type
     operator()(const Point_3 &s,
-	             const Point_3 &t) const
+                     const Point_3 &t) const
     { return Rep(s,t); }
 
     result_type
@@ -778,7 +778,7 @@ template < class SK > \
 
     // Not Documented
     result_type
-    operator()(const Line_3 &l, 
+    operator()(const Line_3 &l,
                const Sphere_3 &s1, bool less_xyz_s1,
                const Sphere_3 &s2, bool less_xyz_s2) const
     { return Rep(l,s1,less_xyz_s1,
@@ -795,14 +795,14 @@ template < class SK > \
     // Not Documented
     result_type
     operator()(const Line_3 &l,
-	       const Plane_3 &p1,
-	       const Plane_3 &p2) const
+               const Plane_3 &p1,
+               const Plane_3 &p2) const
     { return Rep(l,p1,p2); }
 
     // Not Documented
     result_type
     operator()(const Plane_3 &p1,
-	       const Plane_3 &p2,
+               const Plane_3 &p2,
                const Line_3 &l) const
     { return Rep(l,p1,p2); }
 
@@ -818,7 +818,7 @@ template < class SK > \
     typedef typename SK::Sphere_3                      Sphere_3;
     typedef typename SK::Plane_3                       Plane_3;
     typedef typename SK::Line_arc_3                    Line_arc_3;
-    
+
     typedef typename SK::Circular_arc_point_3          Circular_arc_point_3;
     typedef typename SK::Circle_3                      Circle_3;
     typedef typename SK::Circular_arc_3                Circular_arc_3;
@@ -837,17 +837,17 @@ template < class SK > \
 
     result_type
     operator()(const Circle_3 &c,const Circular_arc_point_3& pt) const
-    { return Rep(c,pt); }    
-    
+    { return Rep(c,pt); }
+
     result_type
     operator()(const Circle_3 &l,
-	       const Circular_arc_point_3 &s,
-	       const Circular_arc_point_3 &t) const
+               const Circular_arc_point_3 &s,
+               const Circular_arc_point_3 &t) const
     { return Rep(l,s,t); }
 
     // Not Documented
     result_type
-    operator()(const Circle_3 &c, 
+    operator()(const Circle_3 &c,
                const Sphere_3 &s1, bool less_xyz_s1,
                const Sphere_3 &s2, bool less_xyz_s2) const
     { return Rep(c,s1,less_xyz_s1,s2,less_xyz_s2); }
@@ -861,7 +861,7 @@ template < class SK > \
 
     // Not Documented
     result_type
-    operator()(const Circle_3 &c, 
+    operator()(const Circle_3 &c,
                const Plane_3 &p1, bool less_xyz_p1,
                const Plane_3 &p2, bool less_xyz_p2) const
     { return Rep(c,p1,less_xyz_p1,p2,less_xyz_p2); }
@@ -875,9 +875,9 @@ template < class SK > \
 
     result_type
     operator()(const Point_3 &begin,
-               const Point_3 &middle, 
+               const Point_3 &middle,
                const Point_3 &end) const
-    { return Rep(begin,middle,end); }   
+    { return Rep(begin,middle,end); }
 
   };
 
@@ -950,7 +950,7 @@ template < class SK > \
   };
 
   template < class SK >
-  class Has_on_3 
+  class Has_on_3
 #ifndef CGAL_CFG_MATCHING_BUG_6
     : public SK::Linear_kernel::Has_on_3
 #endif
@@ -966,14 +966,14 @@ template < class SK > \
     typedef typename SK::Circular_arc_point_3    Circular_arc_point_3;
     typedef typename SK::Circular_arc_3          Circular_arc_3;
     typedef typename SK::Circle_3                Circle_3;
-    
+
 
   public:
     typedef typename SK::Linear_kernel::Has_on_3::result_type result_type;
 
 #ifndef CGAL_CFG_MATCHING_BUG_6
     using SK::Linear_kernel::Has_on_3::operator();
-#else 
+#else
     typedef typename SK::Linear_kernel::Has_on_3 LK_Has_on_3;
 
     result_type
@@ -1079,14 +1079,14 @@ template < class SK > \
     result_type
     operator()(const Circular_arc_3 &p, const Circle_3 &a) const
     { return SphericalFunctors::has_on<SK>(p, a); }
-    
+
   };
 
   template < class SK >
   class Do_intersect_3
     : public SK::Linear_kernel::Do_intersect_3
   {
-  
+
     typedef typename SK::Sphere_3                 Sphere_3;
     typedef typename SK::Line_3                   Line_3;
     typedef typename SK::Line_arc_3               Line_arc_3;
@@ -1094,10 +1094,10 @@ template < class SK > \
     typedef typename SK::Plane_3                  Plane_3;
     typedef typename SK::Circle_3                 Circle_3;
     typedef typename SK::Circle_3                 Circular_arc_point_3;
-  
+
   public:
     typedef typename SK::Linear_kernel::Do_intersect_3::result_type result_type;
-  
+
     using SK::Linear_kernel::Do_intersect_3::operator();
 
 #define CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(A,B)            \
@@ -1106,7 +1106,7 @@ template < class SK > \
     { std::vector< typename SK3_Intersection_traits<SK, A, B>::type > res; \
       typename SK::Intersect_3()(c1,c2,std::back_inserter(res));        \
       return !res.empty(); }
-	
+
 #define CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_3(A,B,C)          \
     result_type                                                         \
     operator()(const A & c1, const B & c2, const C & c3) const          \
@@ -1114,40 +1114,40 @@ template < class SK > \
       typename SK::Intersect_3()(c1,c2,c3,std::back_inserter(res));     \
       return !res.empty(); }
 
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Sphere_3, Line_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_3, Sphere_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_3(Sphere_3, Sphere_3, Sphere_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_3(Sphere_3, Sphere_3, Plane_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_3(Plane_3, Sphere_3, Sphere_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_3(Plane_3, Plane_3, Sphere_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_3(Sphere_3, Plane_3, Plane_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circle_3, Plane_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Plane_3, Circle_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circle_3, Sphere_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Sphere_3, Circle_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circle_3, Circle_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circle_3, Line_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_3, Circle_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_arc_3, Line_arc_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_3, Line_arc_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_arc_3, Line_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circle_3, Line_arc_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_arc_3, Circle_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Sphere_3, Line_arc_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_arc_3, Sphere_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Plane_3, Line_arc_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_arc_3, Plane_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circular_arc_3, Circular_arc_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_3, Circular_arc_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circular_arc_3, Line_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circle_3, Circular_arc_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circular_arc_3, Circle_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Sphere_3, Circular_arc_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circular_arc_3, Sphere_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Plane_3, Circular_arc_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circular_arc_3, Plane_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circular_arc_3, Line_arc_3)
-	CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_arc_3, Circular_arc_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Sphere_3, Line_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_3, Sphere_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_3(Sphere_3, Sphere_3, Sphere_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_3(Sphere_3, Sphere_3, Plane_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_3(Plane_3, Sphere_3, Sphere_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_3(Plane_3, Plane_3, Sphere_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_3(Sphere_3, Plane_3, Plane_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circle_3, Plane_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Plane_3, Circle_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circle_3, Sphere_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Sphere_3, Circle_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circle_3, Circle_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circle_3, Line_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_3, Circle_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_arc_3, Line_arc_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_3, Line_arc_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_arc_3, Line_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circle_3, Line_arc_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_arc_3, Circle_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Sphere_3, Line_arc_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_arc_3, Sphere_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Plane_3, Line_arc_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_arc_3, Plane_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circular_arc_3, Circular_arc_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_3, Circular_arc_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circular_arc_3, Line_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circle_3, Circular_arc_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circular_arc_3, Circle_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Sphere_3, Circular_arc_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circular_arc_3, Sphere_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Plane_3, Circular_arc_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circular_arc_3, Plane_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Circular_arc_3, Line_arc_3)
+        CGAL_SPHERICAL_KERNEL_MACRO_DO_INTERSECTION_3_2(Line_arc_3, Circular_arc_3)
 
   };
 
@@ -1189,9 +1189,9 @@ template < class SK > \
     //only ternary from the linear kernel
     template<typename F>
     struct result<F(Plane_3, Plane_3, Plane_3)> {
-      typedef boost::optional< 
-        boost::variant< Point_3, 
-                        Line_3, 
+      typedef boost::optional<
+        boost::variant< Point_3,
+                        Line_3,
                         Plane_3 > > type;
     };
 
@@ -1213,208 +1213,208 @@ template < class SK > \
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Sphere_3 & s, const Line_3 & l, 
-	       OutputIterator res) const
+    operator()(const Sphere_3 & s, const Line_3 & l,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (s,l,res); }
-    
+
     template < class OutputIterator >
     OutputIterator
-    operator()(const Line_3 & l,const Sphere_3 & s, 
+    operator()(const Line_3 & l,const Sphere_3 & s,
                OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (s,l,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Sphere_3 & s1, const Sphere_3 & s2, 
-	       const Sphere_3 & s3, OutputIterator res) const
+    operator()(const Sphere_3 & s1, const Sphere_3 & s2,
+               const Sphere_3 & s3, OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (s1,s2,s3,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Sphere_3 & s1, const Sphere_3 & s2, 
-	       const Plane_3 & p, OutputIterator res) const
+    operator()(const Sphere_3 & s1, const Sphere_3 & s2,
+               const Plane_3 & p, OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (p,s1,s2,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Plane_3 & p, const Sphere_3 & s1,  
-	       const Sphere_3 & s2, OutputIterator res) const
+    operator()(const Plane_3 & p, const Sphere_3 & s1,
+               const Sphere_3 & s2, OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (p,s1,s2,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Plane_3 & p1, const Plane_3 & p2,  
-	       const Sphere_3 & s, OutputIterator res) const
+    operator()(const Plane_3 & p1, const Plane_3 & p2,
+               const Sphere_3 & s, OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (p1,p2,s,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Sphere_3 & s, const Plane_3 & p1, 
-	       const Plane_3 & p2, OutputIterator res) const
+    operator()(const Sphere_3 & s, const Plane_3 & p1,
+               const Plane_3 & p2, OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (p1,p2,s,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circle_3 & c, const Plane_3 & p, 
-	       OutputIterator res) const
+    operator()(const Circle_3 & c, const Plane_3 & p,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (c,p,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Plane_3 & p, const Circle_3 & c, 
-	       OutputIterator res) const
+    operator()(const Plane_3 & p, const Circle_3 & c,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (c,p,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circle_3 & c, const Sphere_3 & s, 
-	       OutputIterator res) const
+    operator()(const Circle_3 & c, const Sphere_3 & s,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (c,s,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Sphere_3 & s, const Circle_3 & c, 
-	       OutputIterator res) const
+    operator()(const Sphere_3 & s, const Circle_3 & c,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (c,s,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circle_3 & c1, const Circle_3 & c2, 
-	       OutputIterator res) const
+    operator()(const Circle_3 & c1, const Circle_3 & c2,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (c1,c2,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circle_3 & c, const Line_3 & l, 
-	       OutputIterator res) const
+    operator()(const Circle_3 & c, const Line_3 & l,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (c,l,res); }
 
     template < class OutputIterator >
     OutputIterator
     operator()(const Line_3 & l, const Circle_3 & c,
-	       OutputIterator res) const
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (c,l,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Line_arc_3 & l1, const Line_arc_3 & l2, 
-	       OutputIterator res) const
+    operator()(const Line_arc_3 & l1, const Line_arc_3 & l2,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (l1,l2,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Line_3 & l, const Line_arc_3 & la, 
-	       OutputIterator res) const
+    operator()(const Line_3 & l, const Line_arc_3 & la,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (l,la,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Line_arc_3 & la, const Line_3 & l, 
-	       OutputIterator res) const
+    operator()(const Line_arc_3 & la, const Line_3 & l,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (l,la,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circle_3 & c, const Line_arc_3 & l, 
-	       OutputIterator res) const
+    operator()(const Circle_3 & c, const Line_arc_3 & l,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (c,l,res); }
 
     template < class OutputIterator >
     OutputIterator
     operator()(const Line_arc_3 & l, const Circle_3 & c,
-	       OutputIterator res) const
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (c,l,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Sphere_3 & s, const Line_arc_3 & l, 
-	       OutputIterator res) const
+    operator()(const Sphere_3 & s, const Line_arc_3 & l,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (s,l,res); }
-    
+
     template < class OutputIterator >
     OutputIterator
-    operator()(const Line_arc_3 & l,const Sphere_3 & s, 
-	       OutputIterator res) const
+    operator()(const Line_arc_3 & l,const Sphere_3 & s,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (s,l,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Plane_3 & s, const Line_arc_3 & l, 
-	       OutputIterator res) const
+    operator()(const Plane_3 & s, const Line_arc_3 & l,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (s,l,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Line_arc_3 & l,const Plane_3 & s, 
-	       OutputIterator res) const
+    operator()(const Line_arc_3 & l,const Plane_3 & s,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (s,l,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circular_arc_3 & c1, const Circular_arc_3 & c2, 
-	       OutputIterator res) const
+    operator()(const Circular_arc_3 & c1, const Circular_arc_3 & c2,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (c1,c2,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Line_3 & l, const Circular_arc_3 & ca, 
-	       OutputIterator res) const
+    operator()(const Line_3 & l, const Circular_arc_3 & ca,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (l,ca,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circular_arc_3 & ca, const Line_3 & l, 
-	       OutputIterator res) const
+    operator()(const Circular_arc_3 & ca, const Line_3 & l,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (l,ca,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circle_3 & c, const Circular_arc_3 & ca, 
-	       OutputIterator res) const
+    operator()(const Circle_3 & c, const Circular_arc_3 & ca,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (c,ca,res); }
 
     template < class OutputIterator >
     OutputIterator
     operator()(const Circular_arc_3 & ca, const Circle_3 & c,
-	       OutputIterator res) const
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (c,ca,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Sphere_3 & s, const Circular_arc_3 & ca, 
-	       OutputIterator res) const
+    operator()(const Sphere_3 & s, const Circular_arc_3 & ca,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (s,ca,res); }
-    
+
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circular_arc_3 & ca,const Sphere_3 & s, 
-	       OutputIterator res) const
+    operator()(const Circular_arc_3 & ca,const Sphere_3 & s,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (s,ca,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Plane_3 & p, const Circular_arc_3 & ca, 
-	       OutputIterator res) const
+    operator()(const Plane_3 & p, const Circular_arc_3 & ca,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (p,ca,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circular_arc_3 & ca, const Plane_3 & p, 
-	       OutputIterator res) const
+    operator()(const Circular_arc_3 & ca, const Plane_3 & p,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (p,ca,res); }
 
     template < class OutputIterator >
     OutputIterator
-    operator()(const Circular_arc_3 & ca, const Line_arc_3 & la, 
-	       OutputIterator res) const
+    operator()(const Circular_arc_3 & ca, const Line_arc_3 & la,
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (ca,la,res); }
 
     template < class OutputIterator >
     OutputIterator
     operator()(const Line_arc_3 & la, const Circular_arc_3 & ca,
-	       OutputIterator res) const
+               OutputIterator res) const
     { return SphericalFunctors::intersect_3<SK> (ca,la,res); }
-    
+
   };
 
 // If 2 line_arc have the same supporting line
@@ -1453,15 +1453,15 @@ template < class SK > \
     typedef void         result_type;
 
     result_type
-    operator()(const Line_arc_3 &l, 
-	       const Circular_arc_point_3 &p,
-	       Line_arc_3 &ca1, Line_arc_3 &ca2) const
+    operator()(const Line_arc_3 &l,
+               const Circular_arc_point_3 &p,
+               Line_arc_3 &ca1, Line_arc_3 &ca2) const
     { return SphericalFunctors::split<SK>(l, p, ca1, ca2); }
 
     result_type
-    operator()(const Circular_arc_3 &c, 
-	       const Circular_arc_point_3 &p,
-	       Circular_arc_3 &ca1, Circular_arc_3 &ca2) const
+    operator()(const Circular_arc_3 &c,
+               const Circular_arc_point_3 &p,
+               Circular_arc_3 &ca1, Circular_arc_3 &ca2) const
     { return SphericalFunctors::split<SK>(c, p, ca1, ca2); }
 
   };
@@ -1489,7 +1489,7 @@ template < class SK > \
 
 #ifndef CGAL_CFG_MATCHING_BUG_6
     using SK::Linear_kernel::Construct_bbox_3::operator();
-#else 
+#else
     typedef typename SK::Linear_kernel LK;
     typedef typename LK::Construct_bbox_3 LK_Construct_bbox_3;
 
@@ -1566,11 +1566,11 @@ template < class SK > \
 #ifndef CGAL_CFG_MATCHING_BUG_6
     using SK::Linear_kernel::Compute_approximate_squared_length_3::operator();
 #else
-    result_type 
+    result_type
     operator() (const Circle_3 & c) const
     { return CGAL_PI * CGAL_PI * 4.0 * to_double(c.squared_radius()); }
-#endif  
-  
+#endif
+
     result_type operator() (const Circular_arc_3 & c) const
     { return c.rep().approximate_squared_length(); }
 
@@ -1595,18 +1595,18 @@ template < class SK > \
     using SK::Linear_kernel::Compute_approximate_angle_3::operator();
 #else
     typedef typename SK::Linear_kernel::Compute_approximate_angle_3 LK_Compute_approximate_angle_3;
-    
+
     FT operator()(const Point_3& p, const Point_3& q, const Point_3& r) const
     {
       return LK_Compute_approximate_angle_3()(p,q,r);
     }
-    
+
     FT operator()(const Vector_3& u, const Vector_3& v) const
     {
       return LK_Compute_approximate_angle_3()(u,v);
     }
-    
-#endif    
+
+#endif
     result_type operator() (const Circular_arc_3 & c) const
     { return c.rep().approximate_angle(); }
 
@@ -1761,38 +1761,38 @@ template < class SK > \
     // We can maybe optimize it doing the operator() for point_3 too
 
   };
-  
+
   template <class SK>
   class Is_theta_monotone_3{
     typename SK::Sphere_3 sphere_;
   public:
     typedef bool result_type;
-  
+
     Is_theta_monotone_3(const typename SK::Sphere_3& sphere):sphere_(sphere){}
-  
-    result_type 
+
+    result_type
     operator()(const typename SK::Circular_arc_3& arc) const {
       return SphericalFunctors::is_theta_monotone_3<SK>(arc,sphere_);
     }
   };
 
-  template < class SK > 
+  template < class SK >
   class Compare_theta_3{
     typedef typename SK::Circular_arc_point_3 Circular_arc_point_3;
     typedef typename SK::Vector_3 Vector_3;
-    
+
     typename SK::Sphere_3 sphere_;
-    
+
   public:
     typedef  CGAL::Comparison_result result_type;
-  
+
     Compare_theta_3(const typename SK::Sphere_3& sphere):sphere_(sphere){}
-  
+
     result_type
     operator() (const Circular_arc_point_3 &p0,
                 const Circular_arc_point_3 &p1) const
     { return SphericalFunctors::compare_theta_of_pts<SK>(p0, p1,sphere_); }
-    
+
     result_type
     operator() (const Circular_arc_point_3 &p,
                 const Vector_3 &v) const
@@ -1802,58 +1802,58 @@ template < class SK > \
     operator() (const Vector_3 &m1,
                 const Vector_3 &m2) const
     { return SphericalFunctors::compare_theta_vectors<SK>(m1,m2); }
-    
+
     result_type
     operator() (const Vector_3 &v,const Circular_arc_point_3 &p0) const
     { return CGAL::opposite( SphericalFunctors::compare_theta_pt_vector<SK>(p0, v,sphere_) ); }
   };
-  
-  template < class SK > 
+
+  template < class SK >
   class Compare_theta_z_3{
     typedef typename SK::Circular_arc_point_3 Circular_arc_point_3;
     typename SK::Sphere_3 sphere_;
-    
+
   public:
     typedef  CGAL::Comparison_result result_type;
-  
+
     Compare_theta_z_3(const typename SK::Sphere_3& sphere):sphere_(sphere){}
-  
+
     result_type
     operator() (const Circular_arc_point_3 &p0,
                 const Circular_arc_point_3 &p1,bool decreasing_z=false) const
     { return SphericalFunctors::compare_theta_z<SK>(p0, p1,sphere_,decreasing_z); }
-    
+
   };
 
-  template < class SK > 
+  template < class SK >
   class Make_theta_monotone_3{
     typename SK::Sphere_3 sphere_;
-    
+
   public:
     Make_theta_monotone_3(const typename SK::Sphere_3& sphere):sphere_(sphere){}
-  
+
     template <class OutputIterator>
     OutputIterator
     operator() (const typename SK::Circle_3 &circle,OutputIterator out_it) const
     { return SphericalFunctors::make_circle_theta_monotone<SK>(circle,sphere_,out_it); }
-    
+
     template <class OutputIterator>
     OutputIterator
     operator() (const typename SK::Circular_arc_3 &arc,OutputIterator out_it) const
-    { return SphericalFunctors::make_circular_arc_theta_monotone<SK>(arc,sphere_,out_it); }    
-    
+    { return SphericalFunctors::make_circular_arc_theta_monotone<SK>(arc,sphere_,out_it); }
+
   };
-  
+
   template <class SK>
   class Compare_z_to_right_3{
     typedef typename SK::Circular_arc_point_3 Circular_arc_point_3;
     typedef typename SK::Circular_arc_3 Circular_arc_3;
     typename SK::Sphere_3 sphere_;
-    
+
   public:
     typedef  CGAL::Comparison_result result_type;
     Compare_z_to_right_3(const typename SK::Sphere_3& sphere):sphere_(sphere){}
-      
+
     result_type
     operator()(const Circular_arc_3& arc1,const Circular_arc_3& arc2,const Circular_arc_point_3& pt,bool do_to_the_left=false){
       CGAL_kernel_precondition(SK().has_on_3_object()(sphere_,arc1));
@@ -1864,9 +1864,9 @@ template < class SK > \
       CGAL_kernel_precondition(SK().has_on_3_object()(arc2,pt));
       CGAL_kernel_precondition(classify_circle_3<SK>(arc1.supporting_circle(),sphere_)!=NORMAL || pt.z()!=extremal_points_z_coordinate<SK>(arc1.supporting_circle(),sphere_));
       CGAL_kernel_precondition(classify_circle_3<SK>(arc2.supporting_circle(),sphere_)!=NORMAL || pt.z()!=extremal_points_z_coordinate<SK>(arc2.supporting_circle(),sphere_));
-      
+
       if (pt.y() == sphere_.center().y() && pt.x() > sphere_.center().x()) //case theta = 0
-        return 
+        return
           Compare_to_right_of_arcs<SK,Trait_for_cmp_tgt_theta_0<SK> >( Trait_for_cmp_tgt_theta_0<SK>(pt.coordinates(),sphere_),sphere_ )
             (arc1,arc2,do_to_the_left);
       else //general case
@@ -1875,15 +1875,15 @@ template < class SK > \
             (arc1,arc2,do_to_the_left);
     }
   };
-  
+
   template <class SK>
   class Compare_z_at_theta_3{
-     typename SK::Sphere_3 sphere_;   
-    
+     typename SK::Sphere_3 sphere_;
+
   public:
     typedef  CGAL::Comparison_result result_type;
     Compare_z_at_theta_3(const typename SK::Sphere_3& sphere):sphere_(sphere){}
-     
+
     result_type
     operator()( const typename SK::Circular_arc_3& arc1,
                 const typename SK::Circular_arc_3& arc2,
@@ -1899,7 +1899,7 @@ template < class SK > \
       return SphericalFunctors::compare_z_at_theta_pt_arc<SK>(point,arc,sphere_);
     }
   };
-  
+
 
 } // namespace SphericalFunctors
 
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_3/get_equation_object_on_curved_kernel_3.h 5.0.3-1/include/CGAL/Circular_kernel_3/get_equation_object_on_curved_kernel_3.h
--- 5.0.2-3/include/CGAL/Circular_kernel_3/get_equation_object_on_curved_kernel_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_3/get_equation_object_on_curved_kernel_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_kernel_3/get_equation_object_on_curved_kernel_3.h $
-// $Id: get_equation_object_on_curved_kernel_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_kernel_3/get_equation_object_on_curved_kernel_3.h $
+// $Id: get_equation_object_on_curved_kernel_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Julien Hazebrouck, Damien Leroy
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SPHERICAL_KERNEL_GET_EQUATION_OBJECT_3_H
@@ -28,7 +28,7 @@
 
 namespace CGAL {
   namespace SphericalFunctors {
-    
+
   template < class SK >
   class Get_equation //: public LinearFunctors::Get_equation<SK>
   {
@@ -93,7 +93,7 @@ namespace CGAL {
     }
 
   };
-    
+
   } // namespace SphericalFunctors
 } // namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_3/interface_macros.h 5.0.3-1/include/CGAL/Circular_kernel_3/interface_macros.h
--- 5.0.2-3/include/CGAL/Circular_kernel_3/interface_macros.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_3/interface_macros.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_kernel_3/interface_macros.h $
-// $Id: interface_macros.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_kernel_3/interface_macros.h $
+// $Id: interface_macros.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Sebastien Loriot, Julien Hazebrouck, Damien Leroy
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 // This file is intentionally not protected against re-inclusion.
@@ -22,7 +22,7 @@
 // macros CGAL_Kernel_pred and CGAL_Kernel_cons.
 // And they are #undefed at the end of this file.
 
-  CGAL_Spherical_Kernel_cons(Get_equation, get_equation_object) 
+  CGAL_Spherical_Kernel_cons(Get_equation, get_equation_object)
   CGAL_Spherical_Kernel_cons(Construct_circular_arc_point_3, construct_circular_arc_point_3_object)
   CGAL_Spherical_Kernel_overload_cons(Construct_sphere_3, construct_sphere_3_object)
   CGAL_Spherical_Kernel_overload_cons(Construct_plane_3, construct_plane_3_object)
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_3/internal_function_compare_spherical_kernel.h 5.0.3-1/include/CGAL/Circular_kernel_3/internal_function_compare_spherical_kernel.h
--- 5.0.2-3/include/CGAL/Circular_kernel_3/internal_function_compare_spherical_kernel.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_3/internal_function_compare_spherical_kernel.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_function_compare_spherical_kernel.h $
-// $Id: internal_function_compare_spherical_kernel.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_function_compare_spherical_kernel.h $
+// $Id: internal_function_compare_spherical_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Julien Hazebrouck, Damien Leroy
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SPHERICAL_KERNEL_PREDICATES_COMPARE_3_H
@@ -23,12 +23,12 @@
 namespace CGAL {
   namespace SphericalFunctors {
 
-  // we can optimize those functions by comparing 
+  // we can optimize those functions by comparing
   // the references before doing the comparison
   // as in CK
   template < class SK >
   inline
-  Comparison_result 
+  Comparison_result
   compare_x(const typename SK::Circular_arc_point_3 &p0,
             const typename SK::Circular_arc_point_3 &p1)
   {
@@ -38,7 +38,7 @@ namespace CGAL {
 
   template < class SK >
   inline
-  Comparison_result 
+  Comparison_result
   compare_y(const typename SK::Circular_arc_point_3 &p0,
             const typename SK::Circular_arc_point_3 &p1)
   {
@@ -48,7 +48,7 @@ namespace CGAL {
 
   template < class SK >
   inline
-  Comparison_result 
+  Comparison_result
   compare_z(const typename SK::Circular_arc_point_3 &p0,
             const typename SK::Circular_arc_point_3 &p1)
   {
@@ -58,7 +58,7 @@ namespace CGAL {
 
   template < class SK >
   inline
-  Comparison_result 
+  Comparison_result
   compare_xy(const typename SK::Circular_arc_point_3 &p0,
              const typename SK::Circular_arc_point_3 &p1)
   {
@@ -68,7 +68,7 @@ namespace CGAL {
 
   template < class SK >
   inline
-  Comparison_result 
+  Comparison_result
   compare_xyz(const typename SK::Circular_arc_point_3 &p0,
               const typename SK::Circular_arc_point_3 &p1)
   {
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_3/internal_function_compare_to_right_spherical_kernel.h 5.0.3-1/include/CGAL/Circular_kernel_3/internal_function_compare_to_right_spherical_kernel.h
--- 5.0.2-3/include/CGAL/Circular_kernel_3/internal_function_compare_to_right_spherical_kernel.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_3/internal_function_compare_to_right_spherical_kernel.h	2020-08-01 19:02:18.000000000 +0000
@@ -4,13 +4,13 @@
 // This file is part of CGAL (www.cgal.org).
 //
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_function_compare_to_right_spherical_kernel.h $
-// $Id: internal_function_compare_to_right_spherical_kernel.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_function_compare_to_right_spherical_kernel.h $
+// $Id: internal_function_compare_to_right_spherical_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Sebastien Loriot
@@ -30,22 +30,22 @@ template <class SK>
 struct Trait_for_cmp_tgt{
   typename SK::Algebraic_kernel::Root_for_spheres_2_3 Pt_;
   typedef typename SK::Algebraic_kernel::Root_of_2 Tk_type;
-  
+
   Trait_for_cmp_tgt(const typename SK::Algebraic_kernel::Root_for_spheres_2_3& Pt,
                     const typename SK::Sphere_3& sphere)
                   :Pt_(Pt.x()-sphere.center().x(),Pt.y()-sphere.center().y(),Pt.z()-sphere.center().z()){}
 
-  typename SK::Algebraic_kernel::Root_of_2 
+  typename SK::Algebraic_kernel::Root_of_2
   unsigned_tkz_coeff_normal(const typename SK::Point_3& C,const typename SK::FT& gamma_k) const
   {
     return CGAL_NTS sign(gamma_k)*(C.x()*Pt_.y()-C.y()*Pt_.x());
   }
 
-  Tk_type 
+  Tk_type
   unsigned_tkz_coeff_threaded(const typename SK::Point_3& C) const {
     return C.x()*Pt_.y()-C.y()*Pt_.x();
   }
-  
+
 };
 
 // Same as Trait_for_cmp_tgt but in the case where common point is at theta=0
@@ -53,12 +53,12 @@ template <class SK>
 struct Trait_for_cmp_tgt_theta_0{
   typename SK::Algebraic_kernel::Root_for_spheres_2_3 Pt_;
   typedef typename SK::FT Tk_type;
-  
+
   Trait_for_cmp_tgt_theta_0(const typename SK::Algebraic_kernel::Root_for_spheres_2_3& Pt,
                             const typename SK::Sphere_3& sphere)
                           :Pt_(Pt.x()-sphere.center().x(),Pt.y()-sphere.center().y(),Pt.z()-sphere.center().z()){}
-  
-  typename SK::FT 
+
+  typename SK::FT
   unsigned_tkz_coeff_normal( const typename SK::Point_3& C,const typename SK::FT& gamma_k) const
   {
     return - (int)CGAL_NTS sign(gamma_k)*C.y();
@@ -77,11 +77,11 @@ template<class SK,class Traits>
 struct Compare_to_right_of_arcs{
   Traits traits_;
   const typename SK::Sphere_3& sphere_;
-  
+
   Compare_to_right_of_arcs(const Traits& traits,const typename SK::Sphere_3& sphere):
     traits_(traits),sphere_(sphere){}
-  
-  typename SK::FT 
+
+  typename SK::FT
   gamma_k ( const typename  SK::Point_3& c,
             const typename SK::FT& rk,
             const typename SK::FT& R,
@@ -99,7 +99,7 @@ struct Compare_to_right_of_arcs{
     typename SK::FT ak2=c.x()*c.x()+c.y()*c.y()+c.z()*c.z();
     return (ak2+R-rk)/(2.*ak2);
   }
-  
+
   bool is_arc_an_upper_one(const typename SK::Circular_arc_3& arc,const typename SK::Sphere_3& sphere) const {
     CGAL::Circle_type type=classify_circle_3<SK>(arc.supporting_circle(),sphere);
     if ( type==CGAL::NORMAL)
@@ -107,8 +107,8 @@ struct Compare_to_right_of_arcs{
     CGAL_kernel_precondition(type==POLAR);
     return arc.supporting_circle().center().z() < sphere.center().z() ;
   }
-    
-  
+
+
   typename SK::FT square_norm_tk_normal (const typename SK::Point_3& c,const typename SK::FT& rk,const typename SK::FT& R) const;
   typename SK::FT square_norm_tk_threaded (const typename SK::Point_3& c,const typename SK::FT& rk,const typename SK::FT& R) const;
   void fill_tzk_n(const typename SK::Circular_arc_3& arc,typename Traits::Tk_type& tz,typename SK::FT& n,bool is_supporting_circle_threaded) const;
@@ -116,7 +116,7 @@ struct Compare_to_right_of_arcs{
   typename SK::FT give_rk(const typename SK::Circular_arc_3& arc) const;
   int compare_for_delta_eq_0_threaded(const typename SK::Circular_arc_3& arc_threaded,const typename SK::Circular_arc_3& arc,bool circle_threaded) const;
   int compare_for_delta_eq_0(const typename SK::Circular_arc_3& arc1,bool circle1_threaded,const typename SK::Circular_arc_3& arc2,bool circle2_threaded) const;
-  CGAL::Comparison_result operator()(const typename SK::Circular_arc_3& arc1,const typename SK::Circular_arc_3& arc2,bool do_it_to_left=false) const; 
+  CGAL::Comparison_result operator()(const typename SK::Circular_arc_3& arc1,const typename SK::Circular_arc_3& arc2,bool do_it_to_left=false) const;
 };
 
 
@@ -133,7 +133,7 @@ Compare_to_right_of_arcs<SK,Traits>::squ
 }
 
 template<class SK,class Traits>
-typename SK::FT 
+typename SK::FT
 Compare_to_right_of_arcs<SK,Traits>::square_norm_tk_threaded(
   const typename SK::Point_3& c,
   const typename SK::FT& rk,
@@ -176,7 +176,7 @@ Compare_to_right_of_arcs<SK,Traits>::fil
       gamma_k(tmp_pt,
               arc.supporting_circle().squared_radius(),
               sphere_.squared_radius());
-    
+
     tz=traits_.unsigned_tkz_coeff_normal(tmp_pt,gk);
     if ( is_arc_an_upper_one(arc,sphere_) )
       tz=-tz;
@@ -189,7 +189,7 @@ Compare_to_right_of_arcs<SK,Traits>::fil
 
 
 template<class SK,class Traits>
-int 
+int
 Compare_to_right_of_arcs<SK,Traits>::sign_of_delta(
   const typename SK::Circular_arc_3& arc1, bool is_circle_1_threaded,
   const typename SK::Circular_arc_3& arc2, bool is_circle_2_threaded) const
@@ -204,7 +204,7 @@ Compare_to_right_of_arcs<SK,Traits>::sig
     return CGAL_NTS sign(tz2);
   if (tz2==0)
     return -CGAL_NTS sign(tz1);
-  
+
   if (CGAL_NTS sign(tz1)!=CGAL_NTS sign(tz2))
     return CGAL_NTS sign(tz2);
   return CGAL_NTS sign(tz2)*CGAL_NTS sign(n1*CGAL::square(tz2)-n2*CGAL::square(tz1));
@@ -212,11 +212,11 @@ Compare_to_right_of_arcs<SK,Traits>::sig
 
 
 template<class SK,class Traits>
-typename SK::FT 
+typename SK::FT
 Compare_to_right_of_arcs<SK,Traits>::give_rk(
   const typename SK::Circular_arc_3& arc) const
 {
-  return (is_arc_an_upper_one(arc,sphere_)?(1):(-1))*arc.supporting_circle().squared_radius();  
+  return (is_arc_an_upper_one(arc,sphere_)?(1):(-1))*arc.supporting_circle().squared_radius();
 }
 
 template<class SK,class Traits>
@@ -230,18 +230,18 @@ Compare_to_right_of_arcs<SK,Traits>::com
     return ( is_upper_arc<SK>(arc,sphere_) )?(-1):(1); //IN THAT CASE WE CAN OPTIMIZE AND USE THE Z-COORDINATES OF THE POINT AND CIRCLE THETA-EXTREMAL PT
   return (-CGAL_NTS sign(arc_threaded.supporting_circle().center().z()-arc.supporting_circle().center().z()));
 }
-  
+
 template<class SK,class Traits>
-int 
+int
 Compare_to_right_of_arcs<SK,Traits>::compare_for_delta_eq_0(
   const typename SK::Circular_arc_3& arc1,
   bool is_circle_1_threaded,
   const typename SK::Circular_arc_3& arc2,
   bool is_circle_2_threaded) const
 {
-  if (is_circle_1_threaded) 
+  if (is_circle_1_threaded)
     return  compare_for_delta_eq_0_threaded(arc1,arc2,is_circle_2_threaded);
-  if (is_circle_2_threaded) 
+  if (is_circle_2_threaded)
     return -compare_for_delta_eq_0_threaded(arc2,arc1,is_circle_1_threaded);
   typename SK::FT rc1=give_rk(arc1);
   typename SK::FT rc2=give_rk(arc2);
@@ -261,7 +261,7 @@ CGAL::Comparison_result Compare_to_right
 {
   bool is_circle_1_threaded = (classify_circle_3<SK>(arc1.supporting_circle(),sphere_)==CGAL::THREADED);
   bool is_circle_2_threaded = (classify_circle_3<SK>(arc2.supporting_circle(),sphere_)==CGAL::THREADED);
-  
+
   int res=(do_it_to_left?-1:1)*sign_of_delta(arc1,is_circle_1_threaded,arc2,is_circle_2_threaded);
   if (res==0)
     res=compare_for_delta_eq_0(arc1,is_circle_1_threaded,arc2,is_circle_2_threaded);
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_3/internal_function_has_on_spherical_kernel.h 5.0.3-1/include/CGAL/Circular_kernel_3/internal_function_has_on_spherical_kernel.h
--- 5.0.2-3/include/CGAL/Circular_kernel_3/internal_function_has_on_spherical_kernel.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_3/internal_function_has_on_spherical_kernel.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_function_has_on_spherical_kernel.h $
-// $Id: internal_function_has_on_spherical_kernel.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_function_has_on_spherical_kernel.h $
+// $Id: internal_function_has_on_spherical_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Sebastien Loriot
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SPHERICAL_KERNEL_PREDICATES_HAS_ON_3_H
@@ -30,21 +30,21 @@ namespace CGAL {
     template <class SK>
     inline
     bool
-    has_on(const typename SK::Sphere_3 &a, 
+    has_on(const typename SK::Sphere_3 &a,
            const typename SK::Circular_arc_point_3 &p)
-    { 
+    {
       typedef typename SK::Algebraic_kernel Algebraic_kernel;
       typedef typename SK::Polynomial_for_spheres_2_3 Equation;
       Equation equation = get_equation<SK>(a);
       return (Algebraic_kernel().sign_at_object()(equation,p.rep().coordinates()) == ZERO);
     }
-    
+
     template <class SK>
     inline
     bool
-    has_on(const typename SK::Plane_3 &a, 
+    has_on(const typename SK::Plane_3 &a,
            const typename SK::Circular_arc_point_3 &p)
-    { 
+    {
       typedef typename SK::Algebraic_kernel Algebraic_kernel;
       typedef typename SK::Polynomial_1_3 Equation;
       Equation equation = get_equation<SK>(a);
@@ -54,9 +54,9 @@ namespace CGAL {
     template <class SK>
     inline
     bool
-    has_on(const typename SK::Line_3 &a, 
+    has_on(const typename SK::Line_3 &a,
            const typename SK::Circular_arc_point_3 &p)
-    { 
+    {
       typedef typename SK::Polynomials_for_line_3 Equation;
       Equation equation = get_equation<SK>(a);
       return p.rep().coordinates().is_on_line(equation);
@@ -65,9 +65,9 @@ namespace CGAL {
     template <class SK>
     inline
     bool
-    has_on(const typename SK::Circle_3 &a, 
+    has_on(const typename SK::Circle_3 &a,
            const typename SK::Circular_arc_point_3 &p)
-    { 
+    {
       return has_on<SK>(a.diametral_sphere(),p) &&
              has_on<SK>(a.supporting_plane(),p);
     }
@@ -76,9 +76,9 @@ namespace CGAL {
     template <class SK>
     inline
     bool
-    has_on(const typename SK::Circle_on_reference_sphere_3 &a, 
+    has_on(const typename SK::Circle_on_reference_sphere_3 &a,
            const typename SK::Point_3 &p)
-    { 
+    {
       return has_on<SK>(a.diametral_sphere(),p) &&
              has_on<SK>(a.supporting_plane(),p);
     }
@@ -86,9 +86,9 @@ namespace CGAL {
     template <class SK>
     inline
     bool
-    has_on(const typename SK::Circle_on_reference_sphere_3 &a, 
+    has_on(const typename SK::Circle_on_reference_sphere_3 &a,
            const typename SK::Circular_arc_point_on_reference_sphere_3 &p)
-    { 
+    {
       return has_on<SK>(a.diametral_sphere(),p) &&
              has_on<SK>(a.supporting_plane(),p);
     }
@@ -96,10 +96,10 @@ namespace CGAL {
     template <class SK>
     inline
     bool
-    has_on(const typename SK::Line_arc_3 &l, 
+    has_on(const typename SK::Line_arc_3 &l,
            const typename SK::Circular_arc_point_3 &p,
            const bool has_on_supporting_line = false)
-    { 
+    {
       if(!has_on_supporting_line) {
         if(!has_on<SK>(l.supporting_line(), p)) {
           return false;
@@ -112,15 +112,15 @@ namespace CGAL {
     template <class SK>
     inline
     bool
-    has_on(const typename SK::Line_arc_3 &l, 
+    has_on(const typename SK::Line_arc_3 &l,
            const typename SK::Point_3 &p,
            const bool has_on_supporting_line = false)
-    { 
+    {
       if(!has_on_supporting_line) {
         if(!has_on<SK>(l.supporting_line(), p)) {
           return false;
         }
-      }           
+      }
       return SK().compare_xyz_3_object()(l.lower_xyz_extremity(),p) <= ZERO &&
              SK().compare_xyz_3_object()(p,l.higher_xyz_extremity()) <= ZERO;
     }
@@ -130,7 +130,7 @@ namespace CGAL {
     bool
     has_on(const typename SK::Plane_3 &p,
            const typename SK::Line_arc_3 &l)
-    { 
+    {
       return SK().has_on_3_object()(p, l.supporting_line());
     }
 
@@ -139,7 +139,7 @@ namespace CGAL {
     bool
     has_on(const typename SK::Line_3 &l,
            const typename SK::Line_arc_3 &la)
-    { 
+    {
       return non_oriented_equal<SK>(l, la.supporting_line());
     }
 
@@ -162,31 +162,31 @@ namespace CGAL {
           return CGAL_NTS sign(- z1) * CGAL_NTS sign(y2);
         else
           return CGAL_NTS sign((s1*s2)*compare(y1/z1,y2/z2));
-      }    
+      }
     }
 
     template< class SK>
     inline
     Sign
-    compute_sign_of_cross_product(const typename SK::Root_of_2 &x1, 
+    compute_sign_of_cross_product(const typename SK::Root_of_2 &x1,
                                   const typename SK::Root_of_2 &y1,
                                   const typename SK::Root_of_2 &z1,
-                                  const typename SK::Root_of_2 &x2, 
+                                  const typename SK::Root_of_2 &x2,
                                   const typename SK::Root_of_2 &y2,
-                                  const typename SK::Root_of_2 &z2) 
+                                  const typename SK::Root_of_2 &z2)
     {
       Sign s = element_cross_product_sign<SK>(y1,z2,z1,y2);
       if(s!=0) return s;
       s = element_cross_product_sign<SK>(z1,x2,x1,z2);
       if(s!=0) return s;
       s = element_cross_product_sign<SK>(x1,y2,y1,x2);
-      return s;        
+      return s;
     }
 
     template< class SK>
     inline
     Sign
-    compute_sign_of_cross_product(const typename SK::Circular_arc_point_3 &p1, 
+    compute_sign_of_cross_product(const typename SK::Circular_arc_point_3 &p1,
                                   const typename SK::Circular_arc_point_3 &p2,
                                   const typename SK::Circular_arc_point_3 &c) {
       return compute_sign_of_cross_product<SK>(p1.x()-c.x(),
@@ -200,19 +200,19 @@ namespace CGAL {
     template <class SK>
     inline
     bool
-    has_on(const typename SK::Circular_arc_3 &a, 
+    has_on(const typename SK::Circular_arc_3 &a,
            const typename SK::Point_3 &p,
            const bool has_on_supporting_circle = false)
-    { 
+    {
       if(!has_on_supporting_circle) {
-        if(!SK().has_on_3_object()(a.supporting_circle(),p)) 
+        if(!SK().has_on_3_object()(a.supporting_circle(),p))
           return false;
       }
       if(a.rep().is_full()) return true;
       const Sign s_x_t = a.sign_cross_product();
-      const Sign s_x_p = 
+      const Sign s_x_p =
         compute_sign_of_cross_product<SK>(a.source(),p,a.center());
-      const Sign p_x_t = 
+      const Sign p_x_t =
         compute_sign_of_cross_product<SK>(p,a.target(),a.center());
       if(s_x_t == ZERO) return (s_x_p != NEGATIVE);
       if(a.source() == p) return true;
@@ -229,19 +229,19 @@ namespace CGAL {
     template <class SK>
     inline
     bool
-    has_on(const typename SK::Circular_arc_3 &a, 
+    has_on(const typename SK::Circular_arc_3 &a,
            const typename SK::Circular_arc_point_3 &p,
            const bool has_on_supporting_circle = false)
     {
       if(!has_on_supporting_circle) {
-        if(!has_on<SK>(a.supporting_circle(),p)) 
+        if(!has_on<SK>(a.supporting_circle(),p))
           return false;
       }
       if(a.rep().is_full()) return true;
       const Sign s_x_t = a.sign_cross_product();
-      const Sign s_x_p = 
+      const Sign s_x_p =
         compute_sign_of_cross_product<SK>(a.source(),p,a.center());
-      const Sign p_x_t = 
+      const Sign p_x_t =
         compute_sign_of_cross_product<SK>(p,a.target(),a.center());
       if(s_x_t == ZERO) return (s_x_p != NEGATIVE);
       if(a.source() == p) return true;
@@ -258,27 +258,27 @@ namespace CGAL {
     template <class SK>
     inline
     bool
-    has_on(const typename SK::Sphere_3 &a, 
+    has_on(const typename SK::Sphere_3 &a,
            const typename SK::Circular_arc_3 &p)
-    { 
+    {
       return a.has_on(p.supporting_circle());
     }
 
     template <class SK>
     inline
     bool
-    has_on(const typename SK::Plane_3 &a, 
+    has_on(const typename SK::Plane_3 &a,
            const typename SK::Circular_arc_3 &p)
-    { 
+    {
       return a.has_on(p.supporting_circle());
     }
 
     template <class SK>
     inline
     bool
-    has_on(const typename SK::Circle_3 &c, 
+    has_on(const typename SK::Circle_3 &c,
            const typename SK::Circular_arc_3 &ca)
-    { 
+    {
       return non_oriented_equal<SK>(c,ca.supporting_circle());
     }
 
@@ -287,12 +287,12 @@ namespace CGAL {
     bool
     has_on(const typename SK::Circular_arc_3 &ca,
            const typename SK::Circle_3 &c)
-    { 
+    {
        if(!non_oriented_equal<SK>(c,ca.supporting_circle())) return false;
        return ca.rep().is_full();
     }
-   
-    
+
+
 
   }//SphericalFunctors
 }//CGAL
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_3/internal_functions_on_circle_3.h 5.0.3-1/include/CGAL/Circular_kernel_3/internal_functions_on_circle_3.h
--- 5.0.2-3/include/CGAL/Circular_kernel_3/internal_functions_on_circle_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_3/internal_functions_on_circle_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_functions_on_circle_3.h $
-// $Id: internal_functions_on_circle_3.h 2c5826d 2020-01-17T16:29:49+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_functions_on_circle_3.h $
+// $Id: internal_functions_on_circle_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Sebastien Loriot, Julien Hazebrouck, Damien Leroy
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SPHERICAL_KERNEL_PREDICATES_ON_CIRCLE_3_H
@@ -28,7 +28,7 @@
 
 namespace CGAL {
   namespace SphericalFunctors {
-            
+
     template < class SK >
     typename SK::Circle_3
     construct_circle_3(const typename SK::Polynomials_for_circle_3 &eq)
@@ -40,8 +40,8 @@ namespace CGAL {
       typedef typename SK::FT FT;
       Sphere_3 s = construct_sphere_3<SK>(eq.first);
       Plane_3 p = construct_plane_3<SK>(eq.second);
-      const FT d2 = CGAL::square(p.a()*s.center().x() + 
-                                 p.b()*s.center().y() + 
+      const FT d2 = CGAL::square(p.a()*s.center().x() +
+                                 p.b()*s.center().y() +
                                  p.c()*s.center().z() + p.d()) /
        (CGAL::square(p.a()) + CGAL::square(p.b()) + CGAL::square(p.c()));
       // We do not accept circles with radius 0 (should we?)
@@ -58,16 +58,16 @@ namespace CGAL {
     {
       typedef typename SK::Algebraic_kernel::Root_for_spheres_2_3   Root_for_spheres_2_3;
       typedef typename SK::Circular_arc_point_3                     Circular_arc_point_3;
-      
+
       CGAL_kernel_precondition(SK().has_on_3_object()(sphere,circle));
-      
+
       //if circle is a great circle, it can only be a bipolar or a threaded.
       if (circle.center()==sphere.center()){
         if (circle.supporting_plane().orthogonal_vector().z()==0)
           return CGAL::BIPOLAR;
         return CGAL::THREADED;
       }
-      
+
       typename SK::Root_of_2 radius=CGAL::make_sqrt(sphere.squared_radius());
       Circular_arc_point_3 north_pole( Root_for_spheres_2_3(sphere.center().x(),sphere.center().y(),sphere.center().z()+radius) );
       Circular_arc_point_3 south_pole( Root_for_spheres_2_3(sphere.center().x(),sphere.center().y(),sphere.center().z()-radius) );
@@ -75,19 +75,19 @@ namespace CGAL {
 
       const typename SK::Sphere_3& supp_sphere=circle.diametral_sphere();
       typename SK::Bounded_side_3 bounded_side=SK().bounded_side_3_object();
-      
+
 
       CGAL::Bounded_side side_of_north=bounded_side(supp_sphere,north_pole);
       CGAL::Bounded_side side_of_south=bounded_side(supp_sphere,south_pole);
-      
+
       if (side_of_north==ON_BOUNDARY || side_of_south==ON_BOUNDARY)
         return CGAL::POLAR;
 
       if (side_of_north==ON_BOUNDED_SIDE || side_of_south==ON_BOUNDED_SIDE)
-        return CGAL::THREADED;      
-      
+        return CGAL::THREADED;
+
       CGAL_kernel_precondition(side_of_north==ON_UNBOUNDED_SIDE && side_of_south==ON_UNBOUNDED_SIDE);
-      
+
       return CGAL::NORMAL;
     }
 
@@ -98,34 +98,34 @@ namespace CGAL {
     {
       CGAL_kernel_precondition(SK().has_on_3_object()(sphere,circle));
       CGAL_kernel_precondition(classify_circle_3<SK>(circle,sphere)==CGAL::NORMAL);
-      
+
       const typename SK::Point_3& circle_center=circle.center();
       const typename SK::Point_3& sphere_center=sphere.center();
 
       return
-      typename SK::FT(2) * (circle_center-sphere_center).z() * sphere.squared_radius() 
+      typename SK::FT(2) * (circle_center-sphere_center).z() * sphere.squared_radius()
                / ( SK().compute_squared_distance_3_object()(circle_center,sphere_center) + sphere.squared_radius()-circle.squared_radius() )
                + sphere_center.z();
     }
-    
+
     template < class SK, class Output_iterator >
     Output_iterator theta_extremal_points(const typename SK::Circle_3& circle,const typename SK::Sphere_3& sphere,Output_iterator out_it){
       CGAL_kernel_precondition(classify_circle_3<SK>(circle,sphere)==NORMAL);
       CGAL_kernel_precondition(SK().has_on_3_object()(sphere,circle));
-      
+
       typename SK::FT z_coord=extremal_points_z_coordinate<SK>(circle,sphere);
-      
+
       typename SK::Plane_3 plane(0,0,1,-z_coord);
       std::vector<typename SK3_Intersection_traits<SK, typename SK::Circle_3, typename SK::Plane_3>::type > inters;
-      
-      intersect_3<SK>(circle,plane,std::back_inserter(inters));      
+
+      intersect_3<SK>(circle,plane,std::back_inserter(inters));
       CGAL_kernel_precondition(inters.size()==2);
       const std::pair<typename SK::Circular_arc_point_3,unsigned>* pt[2]={nullptr,nullptr};
       pt[0]=CGAL::Intersections::internal::intersect_get<std::pair<typename SK::Circular_arc_point_3,unsigned> >(inters[0]);
       pt[1]=CGAL::Intersections::internal::intersect_get<std::pair<typename SK::Circular_arc_point_3,unsigned> >(inters[1]);
       CGAL_kernel_precondition(pt[0]!=nullptr);
       CGAL_kernel_precondition(pt[1]!=nullptr);
-      
+
       if ( compare_theta_of_pts<SK>(pt[0]->first,pt[1]->first,sphere) == SMALLER){
         *out_it++=pt[0]->first;
         *out_it++=pt[1]->first;
@@ -134,10 +134,10 @@ namespace CGAL {
         *out_it++=pt[1]->first;
         *out_it++=pt[0]->first;
       }
-        
+
       return out_it;
     }
-    
+
     template < class SK >
     typename SK::Circular_arc_point_3 theta_extremal_point(const typename SK::Circle_3& circle,const typename SK::Sphere_3& sphere,bool is_smallest){
       typename SK::Circular_arc_point_3 pts[2];
@@ -146,7 +146,7 @@ namespace CGAL {
         return pts[0];
       return pts[1];
     }
-    
+
     template < class SK,class Output_iterator>
     Output_iterator make_circle_theta_monotone(const typename SK::Circle_3& circle,const typename SK::Sphere_3& sphere,Output_iterator out_it){
       CGAL::Circle_type type=classify_circle_3<SK>(circle,sphere);
@@ -155,7 +155,7 @@ namespace CGAL {
         {
           *out_it++=typename SK::Circular_arc_3(circle);
           break;
-        }  
+        }
         case POLAR:{
           typename SK::Vector_3 ortho=circle.center()-sphere.center();
           CGAL_kernel_precondition(ortho.z()!=0);
@@ -183,9 +183,9 @@ namespace CGAL {
       }
       return out_it;
     }
-    
 
-    
+
+
   }//SphericalFunctors
 }//CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_3/internal_functions_on_circular_arc_3.h 5.0.3-1/include/CGAL/Circular_kernel_3/internal_functions_on_circular_arc_3.h
--- 5.0.2-3/include/CGAL/Circular_kernel_3/internal_functions_on_circular_arc_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_3/internal_functions_on_circular_arc_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_functions_on_circular_arc_3.h $
-// $Id: internal_functions_on_circular_arc_3.h 2c5826d 2020-01-17T16:29:49+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_functions_on_circular_arc_3.h $
+// $Id: internal_functions_on_circular_arc_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Sebastien Loriot, Julien Hazebrouck, Damien Leroy
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SPHERICAL_KERNEL_PREDICATES_ON_CIRCULAR_ARC_3_H
@@ -40,15 +40,15 @@ namespace CGAL {
     do_overlap(const typename SK::Circular_arc_3 &c1,
                const typename SK::Circular_arc_3 &c2,
                const bool known_equal_supporting_circle = false)
-    { 
+    {
       if(!known_equal_supporting_circle) {
-        if(!non_oriented_equal<SK>(c1.supporting_circle(), 
+        if(!non_oriented_equal<SK>(c1.supporting_circle(),
                                    c2.supporting_circle()))
           return false;
       }
       if(c1.rep().is_full()) return true;
       if(c2.rep().is_full()) return true;
-      if((SK().has_on_3_object()(c1,c2.target(),true)) || 
+      if((SK().has_on_3_object()(c1,c2.target(),true)) ||
          (SK().has_on_3_object()(c1,c2.source(),true))) return true;
       return SK().has_on_3_object()(c2,c1.source(),true);
     }
@@ -56,21 +56,21 @@ namespace CGAL {
     template < class SK >
     void
     split(const typename SK::Circular_arc_3 &c,
-	  const typename SK::Circular_arc_point_3 &p,
-	  typename SK::Circular_arc_3 &c1,
-	  typename SK::Circular_arc_3 &c2)
+          const typename SK::Circular_arc_point_3 &p,
+          typename SK::Circular_arc_3 &c1,
+          typename SK::Circular_arc_3 &c2)
     {
-      // The point must be on the circular arc 
+      // The point must be on the circular arc
       CGAL_kernel_precondition(SK().has_on_3_object()(c, p));
       typedef typename SK::Circular_arc_3  Circular_arc_3;
       // It doesn't make sense to split an arc on an extremity
       CGAL_kernel_precondition(c.source() != p);
       CGAL_kernel_precondition(c.target() != p);
-      const Circular_arc_3 &rc1 = 
+      const Circular_arc_3 &rc1 =
         Circular_arc_3(c.supporting_circle(), c.source(), p);
-      const Circular_arc_3 &rc2 = 
+      const Circular_arc_3 &rc2 =
         Circular_arc_3(c.supporting_circle(), p, c.target());
-      if ( SK().compare_xyz_3_object()(rc1.source(), rc2.source()) != 
+      if ( SK().compare_xyz_3_object()(rc1.source(), rc2.source()) !=
            SMALLER) {
         c1 = rc2; c2 = rc1;
       } else { c1 = rc1; c2 = rc2; }
@@ -78,13 +78,13 @@ namespace CGAL {
 
     template < class SK, class OutputIterator >
     OutputIterator
-    intersect_3(const typename SK::Line_3 & l, 
-                const typename SK::Circular_arc_3 & ca, 
-	        OutputIterator res)
-    { 
+    intersect_3(const typename SK::Line_3 & l,
+                const typename SK::Circular_arc_3 & ca,
+                OutputIterator res)
+    {
       typedef typename SK::Circular_arc_point_3 Circular_arc_point_3;
       typedef std::vector<
-        typename SK3_Intersection_traits<SK, typename SK::Line_3, typename SK::Circle_3>::type 
+        typename SK3_Intersection_traits<SK, typename SK::Line_3, typename SK::Circle_3>::type
         > solutions_container;
       typedef std::pair<Circular_arc_point_3, unsigned> Solution;
 
@@ -99,7 +99,7 @@ namespace CGAL {
            *res++ = solutions[0];
       } else {
          const Solution& sol1=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[0]);
-         const Solution& sol2=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[1]);        
+         const Solution& sol2=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[1]);
          if(SK().has_on_3_object()(ca,sol1.first,true))
            *res++ = solutions[0];
          if(SK().has_on_3_object()(ca,sol2.first,true))
@@ -110,10 +110,10 @@ namespace CGAL {
 
     template < class SK, class OutputIterator >
     OutputIterator
-    intersect_3(const typename SK::Circle_3 & c, 
-                const typename SK::Circular_arc_3 & ca, 
-	        OutputIterator res)
-    { 
+    intersect_3(const typename SK::Circle_3 & c,
+                const typename SK::Circular_arc_3 & ca,
+                OutputIterator res)
+    {
       typedef typename SK::Circular_arc_point_3 Circular_arc_point_3;
       typedef typename SK3_Intersection_traits<SK, typename SK::Circle_3, typename SK::Circular_arc_3>::type result_type;
 
@@ -127,7 +127,7 @@ namespace CGAL {
 
       solutions_container solutions;
 
-      SK().intersect_3_object()(ca.supporting_circle(), c, 
+      SK().intersect_3_object()(ca.supporting_circle(), c,
                                 std::back_inserter(solutions) );
       if(solutions.size() == 0) return res;
       if(solutions.size() == 1) {
@@ -136,7 +136,7 @@ namespace CGAL {
            *res++ = solutions[0];
       } else {
          const Solution& sol1=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[0]);
-         const Solution& sol2=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[1]);        
+         const Solution& sol2=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[1]);
          if(SK().has_on_3_object()(ca,sol1.first,true))
            *res++ = solutions[0];
          if(SK().has_on_3_object()(ca,sol2.first,true))
@@ -149,7 +149,7 @@ namespace CGAL {
     OutputIterator
     intersect_3(const typename SK::Sphere_3 & s,
                 const typename SK::Circular_arc_3 & c,
-	       OutputIterator res)
+               OutputIterator res)
     {
       typedef typename SK3_Intersection_traits<SK, typename SK::Sphere_3, typename SK::Circular_arc_3
         >::type result_type;
@@ -173,8 +173,8 @@ namespace CGAL {
          if(SK().has_on_3_object()(c,sol.first,true))
            *res++ = solutions[0];
       } else {
-         const Solution& sol1=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[0]);        
-         const Solution& sol2=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[1]);        
+         const Solution& sol1=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[0]);
+         const Solution& sol2=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[1]);
          if(SK().has_on_3_object()(c,sol1.first,true))
            *res++ = solutions[0];
          if(SK().has_on_3_object()(c,sol2.first,true))
@@ -185,9 +185,9 @@ namespace CGAL {
 
     template < class SK, class OutputIterator >
     OutputIterator
-    intersect_3(const typename SK::Plane_3 & p, 
-                const typename SK::Circular_arc_3 & ca, 
-	        OutputIterator res)
+    intersect_3(const typename SK::Plane_3 & p,
+                const typename SK::Circular_arc_3 & ca,
+                OutputIterator res)
     {
       typedef typename SK3_Intersection_traits<SK, typename SK::Plane_3, typename SK::Circular_arc_3
         >::type result_type;
@@ -211,7 +211,7 @@ namespace CGAL {
            *res++ = CGAL::internal::sk3_intersection_return<result_type>(sol);
       } else {
          const Solution& sol1=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[0]);
-         const Solution& sol2=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[1]);        
+         const Solution& sol2=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[1]);
          if(SK().has_on_3_object()(ca,sol1.first,true))
            *res++ = CGAL::internal::sk3_intersection_return<result_type>(sol1);
          if(SK().has_on_3_object()(ca,sol2.first,true))
@@ -222,13 +222,13 @@ namespace CGAL {
 
     template < class SK, class OutputIterator >
     OutputIterator
-    intersect_3(const typename SK::Line_arc_3 & la, 
-                const typename SK::Circular_arc_3 & ca, 
-	        OutputIterator res)
-    { 
+    intersect_3(const typename SK::Line_arc_3 & la,
+                const typename SK::Circular_arc_3 & ca,
+                OutputIterator res)
+    {
       typedef typename SK::Circular_arc_point_3 Circular_arc_point_3;
       typedef std::vector<
-        typename SK3_Intersection_traits<SK, typename SK::Line_3, typename SK::Line_3>::type> 
+        typename SK3_Intersection_traits<SK, typename SK::Line_3, typename SK::Line_3>::type>
         solutions_container;
       typedef std::pair<Circular_arc_point_3, unsigned> Solution;
 
@@ -244,7 +244,7 @@ namespace CGAL {
            *res++ = solutions[0];
       } else {
          const Solution& sol1=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[0]);
-         const Solution& sol2=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[1]);        
+         const Solution& sol2=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[1]);
          if(SK().has_on_3_object()(ca,sol1.first,true) &&
             SK().has_on_3_object()(la,sol1.first,true))
            *res++ = solutions[0];
@@ -257,10 +257,10 @@ namespace CGAL {
 
     template < class SK, class OutputIterator >
     OutputIterator
-    intersect_3(const typename SK::Circular_arc_3 & a1, 
-                const typename SK::Circular_arc_3 & a2, 
-	        OutputIterator res)
-    { 
+    intersect_3(const typename SK::Circular_arc_3 & a1,
+                const typename SK::Circular_arc_3 & a2,
+                OutputIterator res)
+    {
       typedef typename SK3_Intersection_traits<SK, typename SK::Circular_arc_3, typename SK::Circular_arc_3
         >::type result_type;
       typedef typename SK::Circular_arc_point_3 Circular_arc_point_3;
@@ -272,11 +272,11 @@ namespace CGAL {
 
       if(non_oriented_equal<SK>(a1.supporting_circle(), a2.supporting_circle())) {
         if(a1.rep().is_full()) {
-          *res++ = CGAL::internal::sk3_intersection_return<result_type>(a2); 
+          *res++ = CGAL::internal::sk3_intersection_return<result_type>(a2);
           //return res;
         }
         else if(a2.rep().is_full()) {
-          *res++ = CGAL::internal::sk3_intersection_return<result_type>(a1); 
+          *res++ = CGAL::internal::sk3_intersection_return<result_type>(a1);
           //return res;
         } else {
           bool t2_in_a1 = SK().has_on_3_object()(a1,a2.target(),true);
@@ -285,68 +285,68 @@ namespace CGAL {
             bool t1_in_a2 = SK().has_on_3_object()(a2,a1.target(),true);
             bool s1_in_a2 = SK().has_on_3_object()(a2,a1.source(),true);
             if(t1_in_a2 && s1_in_a2) {
-              const Comparison_result comp = 
+              const Comparison_result comp =
                 SK().compare_xyz_3_object()(a1.source(), a2.source());
               if(comp < 0) {
                 if(a1.source() == a2.target()) {
                   *res++ = CGAL::internal::sk3_intersection_return<result_type>(std::make_pair(a1.source(),1u));
                 } else {
                   const Circular_arc_3 & arc =
-	          Circular_arc_3(a1.supporting_circle(),a1.source(),a2.target());
-	          *res++ = CGAL::internal::sk3_intersection_return<result_type>(arc);
+                  Circular_arc_3(a1.supporting_circle(),a1.source(),a2.target());
+                  *res++ = CGAL::internal::sk3_intersection_return<result_type>(arc);
                 }
                 if(a2.source() == a1.target()) {
                   *res++ = CGAL::internal::sk3_intersection_return<result_type>(std::make_pair(a2.source(),1u));
                 } else {
                   const Circular_arc_3 & arc =
-	          Circular_arc_3(a1.supporting_circle(),a2.source(),a1.target());
-	          *res++ = CGAL::internal::sk3_intersection_return<result_type>(arc);
+                  Circular_arc_3(a1.supporting_circle(),a2.source(),a1.target());
+                  *res++ = CGAL::internal::sk3_intersection_return<result_type>(arc);
                 }
               } else if(comp > 0) {
                 if(a2.source() == a1.target()) {
                   *res++ = CGAL::internal::sk3_intersection_return<result_type>(std::make_pair(a2.source(),1u));
                 } else {
                   const Circular_arc_3 & arc =
-	          Circular_arc_3(a1.supporting_circle(),a2.source(),a1.target());
-	          *res++ = CGAL::internal::sk3_intersection_return<result_type>(arc);
+                  Circular_arc_3(a1.supporting_circle(),a2.source(),a1.target());
+                  *res++ = CGAL::internal::sk3_intersection_return<result_type>(arc);
                 }
                 if(a1.source() == a2.target()) {
                   *res++ = CGAL::internal::sk3_intersection_return<result_type>(std::make_pair(a1.source(),1u));
                 } else {
                   const Circular_arc_3 & arc =
-	          Circular_arc_3(a1.supporting_circle(),a1.source(),a2.target());
-	          *res++ = CGAL::internal::sk3_intersection_return<result_type>(arc);
-                } 
-              } else { 
+                  Circular_arc_3(a1.supporting_circle(),a1.source(),a2.target());
+                  *res++ = CGAL::internal::sk3_intersection_return<result_type>(arc);
+                }
+              } else {
                 *res++ = CGAL::internal::sk3_intersection_return<result_type>(a1);
               }
             } else {
               *res++ = CGAL::internal::sk3_intersection_return<result_type>(a2);
             }
           } else if(t2_in_a1) {
-            if(a1.source() == a2.target()) 
+            if(a1.source() == a2.target())
               *res++ = CGAL::internal::sk3_intersection_return<result_type>(std::make_pair(a1.source(),1u));
             else {
               const Circular_arc_3 & arc =
-	        Circular_arc_3(a1.supporting_circle(),a1.source(),a2.target());
-	      *res++ = CGAL::internal::sk3_intersection_return<result_type>(arc);
+                Circular_arc_3(a1.supporting_circle(),a1.source(),a2.target());
+              *res++ = CGAL::internal::sk3_intersection_return<result_type>(arc);
             } //return res;
           } else if(s2_in_a1) {
             if(a2.source() == a1.target()) {
               *res++ = CGAL::internal::sk3_intersection_return<result_type>(std::make_pair(a2.source(),1u));
             } else {
               const Circular_arc_3 & arc =
-	        Circular_arc_3(a1.supporting_circle(),a2.source(),a1.target());
-	      *res++ = CGAL::internal::sk3_intersection_return<result_type>(arc);
+                Circular_arc_3(a1.supporting_circle(),a2.source(),a1.target());
+              *res++ = CGAL::internal::sk3_intersection_return<result_type>(arc);
             }
           } else if(SK().has_on_3_object()(a2,a1.source(),true)) {
               *res++ = CGAL::internal::sk3_intersection_return<result_type>(a1);
-          } 
+          }
         }
       } else {
         solutions_container solutions;
 
-        SK().intersect_3_object()(a1.supporting_circle(), a2.supporting_circle(), 
+        SK().intersect_3_object()(a1.supporting_circle(), a2.supporting_circle(),
                                   std::back_inserter(solutions) );
         if(solutions.size() == 0) return res;
         if(solutions.size() == 1) {
@@ -356,7 +356,7 @@ namespace CGAL {
             *res++ = solutions[0];
         } else {
           const Solution& sol1=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[0]);
-          const Solution& sol2=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[1]);          
+          const Solution& sol2=*CGAL::Intersections::internal::intersect_get<Solution>(solutions[1]);
           if(SK().has_on_3_object()(a1,sol1.first,true) &&
              SK().has_on_3_object()(a2,sol1.first,true))
             *res++ = solutions[0];
@@ -386,36 +386,36 @@ namespace CGAL {
                                                               sphere.center().z()+(circle_contains_north?1:-1)*radius
           )
         );
-        
+
         if (arc.source().z()==pole.z() || arc.target().z()==pole.z())
           return true;
-        
+
         return !has_on<SK>(arc,pole);
       }
-      
-      
+
+
       typename SK::FT z_coord=extremal_points_z_coordinate<SK>(arc.supporting_circle(),sphere);
       typename SK::Plane_3 plane(0,0,1,-z_coord);
       std::vector<typename SK3_Intersection_traits<SK, typename SK::Plane_3, typename SK::Circular_arc_3>
         ::type> inters;
-      
+
       intersect_3<SK>(plane,arc,std::back_inserter(inters));
-      
+
       if (inters.empty())
         return true;
-      
+
       //checks whether circular arc endpoints are theta extremal
       unsigned nb_extrem = (arc.source().z()-z_coord == 0)? 1:0;
       if (arc.target().z()-z_coord == 0) ++nb_extrem;
-      
+
       if (inters.size()==nb_extrem)
         return true;
-      
+
       return false;
     }
-    
+
     template < class SK,class Output_iterator>
-    Output_iterator 
+    Output_iterator
     make_circular_arc_theta_monotone( const typename SK::Circular_arc_3& arc,
                                       const typename SK::Sphere_3& sphere,
                                       Output_iterator out_it)
@@ -433,7 +433,7 @@ namespace CGAL {
                                                                 sphere.center().z()+(circle_contains_north?1:-1)*radius
             )
           );
-          
+
           if (arc.source().z()==pole.z() || arc.target().z()==pole.z())
             *out_it++=arc;
           else{
@@ -451,19 +451,19 @@ namespace CGAL {
           typename SK::Plane_3 plane(0,0,1,-z_coord);
           std::vector<typename SK3_Intersection_traits< SK, typename SK::Plane_3, typename SK::Circular_arc_3 >::type
           > inters;
-          
+
           intersect_3<SK>(plane,arc,std::back_inserter(inters));
-          
+
           //No intersection with horizontal plane: theta-monotone
           if (inters.empty()){
             *out_it++=arc;
             break;
           }
-          
+
           //check if endpoints of circular arc are theta extremal points
           unsigned nb_extrem = (arc.source().z()-z_coord == 0)? 1:0;
           if (arc.target().z()-z_coord == 0) ++nb_extrem;
-          
+
           if (inters.size()==nb_extrem){
             *out_it++=arc;
             break;
@@ -481,9 +481,9 @@ namespace CGAL {
             *out_it++=typename SK::Circular_arc_3(arc.supporting_circle(),midpt,arc.target());
             break;
           }
-          
+
           CGAL_kernel_precondition(nb_extrem==0);
-          
+
           //only one intersection points
           if (inters.size()==1){
             const std::pair<typename SK::Circular_arc_point_3,unsigned>* midpt=nullptr;
@@ -493,82 +493,82 @@ namespace CGAL {
             *out_it++=typename SK::Circular_arc_3(arc.supporting_circle(),midpt->first,arc.target());
             break;
           }
-          
+
           //three arcs are defined by two intersection points
           const std::pair<typename SK::Circular_arc_point_3,unsigned>* pt[2]={nullptr,nullptr};
           pt[0]=CGAL::Intersections::internal::intersect_get<std::pair<typename SK::Circular_arc_point_3,unsigned> >(inters[0]);
           pt[1]=CGAL::Intersections::internal::intersect_get<std::pair<typename SK::Circular_arc_point_3,unsigned> >(inters[1]);
           CGAL_kernel_precondition(pt[0]!=nullptr);
           CGAL_kernel_precondition(pt[1]!=nullptr);
-          
+
           typename SK::Circular_arc_3 arc1=typename SK::Circular_arc_3(arc.supporting_circle(),arc.source(),pt[0]->first);
           typename SK::Circular_arc_3 arc2=typename SK::Circular_arc_3(arc.supporting_circle(),pt[0]->first,arc.target());
           if ( has_on<SK>(arc1,pt[1]->first) ){
             *out_it++=typename SK::Circular_arc_3(arc1.supporting_circle(),arc1.source(),pt[1]->first);
-            *out_it++=typename SK::Circular_arc_3(arc1.supporting_circle(),pt[1]->first,arc1.target());            
+            *out_it++=typename SK::Circular_arc_3(arc1.supporting_circle(),pt[1]->first,arc1.target());
             *out_it++=arc2;
           }
           else{
-            *out_it++=arc1;            
+            *out_it++=arc1;
             *out_it++=typename SK::Circular_arc_3(arc2.supporting_circle(),arc2.source(),pt[1]->first);
-            *out_it++=typename SK::Circular_arc_3(arc2.supporting_circle(),pt[1]->first,arc2.target());            
+            *out_it++=typename SK::Circular_arc_3(arc2.supporting_circle(),pt[1]->first,arc2.target());
           }
           break;
         }
         case BIPOLAR:
           CGAL_kernel_precondition_msg(false, "This function does not accept bipolar circle as input.");
       }
-      
+
       return out_it;
     }
-    
-    //this function indicates whether a theta monotone circular arc is 
+
+    //this function indicates whether a theta monotone circular arc is
     //included in the upper part of its supporting circle (wrt theta extremal pts)
     template <class SK>
-    bool 
+    bool
     is_upper_arc(const typename SK::Circular_arc_3& arc,
                  const typename SK::Sphere_3& sphere)
     {
       CGAL_kernel_precondition(is_theta_monotone_3<SK>(arc,sphere));
       CGAL::Circle_type type=classify_circle_3<SK>(arc.supporting_circle(),sphere);
       CGAL_kernel_precondition(type!=THREADED && type !=BIPOLAR);
-      
+
       //case of POLAR circle
       if (type==POLAR)
         return ( ( arc.supporting_circle().center().z()-sphere.center().z() ) < 0 );
-      
+
       //case of NORMAL circle
       typename SK::FT z_coord=extremal_points_z_coordinate<SK>(arc.supporting_circle(),sphere);
       if ( z_coord < arc.source().z() ) return true;
       if ( z_coord > arc.source().z() ) return false;
       if ( z_coord < arc.target().z() ) return true;
       if ( z_coord > arc.target().z() ) return false;
-      
+
       //source and target are theta extremal points
-      
+
       typename SK::Point_3 out_sphere_normal=CGAL::ORIGIN + ( arc.supporting_circle().center()-sphere.center() );
       typename SK::Point_3 ori(0,0,0);
       int wise=(out_sphere_normal > ori)? 1:-1; //check if seen ccw from the side going from the sphere center to the circle center
-      
+
       typename SK::Vector_3 cir_center(arc.supporting_circle().center().x()-sphere.center().x(),arc.supporting_circle().center().y()-sphere.center().y(),0);
       CGAL::Comparison_result source_vs_center=compare_theta_pt_vector<SK>(arc.source(),cir_center,sphere);
       CGAL::Comparison_result target_vs_center=compare_theta_pt_vector<SK>(arc.target(),cir_center,sphere);
-      
-      
+
+
       if (source_vs_center==target_vs_center){//circle is cut by meridian at theta=0
-        CGAL::Comparison_result source_vs_target=compare_theta_of_pts<SK>(arc.source(),arc.target(),sphere);  
+        CGAL::Comparison_result source_vs_target=compare_theta_of_pts<SK>(arc.source(),arc.target(),sphere);
         wise*=(source_vs_target==SMALLER)?-1:1;
       }
       else
         wise*=(source_vs_center==SMALLER)?1:-1;
-      
+
       return wise==1?false:true;
     }
 
     //compute the intersection points of a theta monotone arc with a meridian.
     //precondition: the intersection point always exists.
     template <class SK>
-    typename SK::Circular_arc_point_3 
+    typename SK::Circular_arc_point_3
     intersect_3( const typename SK::Circular_arc_3& arc,
                  const typename SK::Vector_3&m,
                  const typename SK::Sphere_3& sphere)
@@ -584,41 +584,41 @@ namespace CGAL {
             CGAL::Intersections::internal::intersect_get<std::pair<typename SK::Circular_arc_point_3,unsigned> >(inters[0])->first;
           return pt;
       }
-      
+
       CGAL_kernel_precondition(classify_circle_3<SK>(arc.supporting_circle(),sphere)!=NORMAL);
-      
-      const typename SK::Circular_arc_point_3& pts1 = 
+
+      const typename SK::Circular_arc_point_3& pts1 =
         CGAL::Intersections::internal::intersect_get<std::pair<typename SK::Circular_arc_point_3,unsigned> >(inters[0])->first;
       const typename SK::Circular_arc_point_3& pts2 =
         CGAL::Intersections::internal::intersect_get<std::pair<typename SK::Circular_arc_point_3,unsigned> >(inters[1])->first;
-      
-      
+
+
       //either a polar (1 pole + 1 pt) or a threaded circle (2 pts with theta-coord = +/- pi)
       if ( (pts1.x()!=0 && pts1.y()!=0) && compare_theta_pt_vector<SK>(pts1,m,sphere)==CGAL::EQUAL)
         return pts1;
       else
         return pts2;
     }
-      
-    
+
+
     template <class SK>
     //Compare the z coordinates of the intersection points with the meridian defined by m of two theta monotone arcs.
-    CGAL::Comparison_result 
+    CGAL::Comparison_result
     compare_z_at_theta_arcs( const typename SK::Circular_arc_3& arc1,
                              const typename SK::Circular_arc_3& arc2,
                              const typename SK::Vector_3& m,
-                             const typename SK::Sphere_3& sphere) 
+                             const typename SK::Sphere_3& sphere)
     {
       CGAL_kernel_precondition(is_theta_monotone_3<SK>(arc1,sphere));
       CGAL_kernel_precondition(is_theta_monotone_3<SK>(arc2,sphere));
-      
+
       typename SK::Circular_arc_point_3 pt1=intersect_3<SK>(arc1,m,sphere);
       typename SK::Circular_arc_point_3 pt2=intersect_3<SK>(arc2,m,sphere);
       return CGAL::compare(pt1.z(),pt2.z());
     }
 
     template <class SK>
-    CGAL::Comparison_result 
+    CGAL::Comparison_result
     compare_z_at_theta_pt_arc(const typename SK::Circular_arc_point_3& pt,
                               const typename SK::Circular_arc_3& arc,
                               const typename SK::Sphere_3& sphere)
@@ -626,7 +626,7 @@ namespace CGAL {
       CGAL_kernel_precondition(is_theta_monotone_3<SK>(arc,sphere));
       CGAL::Circle_type type=classify_circle_3<SK>(arc.supporting_circle(),sphere);
       CGAL_kernel_precondition(type!=BIPOLAR);
-      
+
       switch(type){
         case THREADED:
         case POLAR:
@@ -654,7 +654,7 @@ namespace CGAL {
         }
       }
     }
-    
+
   }//SphericalFunctors
 }//CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_3/internal_functions_on_circular_arc_point_3.h 5.0.3-1/include/CGAL/Circular_kernel_3/internal_functions_on_circular_arc_point_3.h
--- 5.0.2-3/include/CGAL/Circular_kernel_3/internal_functions_on_circular_arc_point_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_3/internal_functions_on_circular_arc_point_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_functions_on_circular_arc_point_3.h $
-// $Id: internal_functions_on_circular_arc_point_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_functions_on_circular_arc_point_3.h $
+// $Id: internal_functions_on_circular_arc_point_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Sebastien Loriot, Julien Hazebrouck, Damien Leroy
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SPHERICAL_KERNEL_PREDICATES_ON_CIRCULAR_ARC_POINT_3_H
@@ -30,7 +30,7 @@ namespace CGAL {
     {
       return p1.rep() == p2.rep();
     }
-        
+
 
   //compute the half_quadrant relative to the cylindrical coordinate system defined by sphere of pt
   template<class SK>
@@ -40,7 +40,7 @@ namespace CGAL {
     int x=CGAL_NTS sign(Rx);
     int y=CGAL_NTS sign(Ry);
     if (y>0){
-      if (x>0)  switch (CGAL_NTS sign(Rx-Ry)){case -1: return 2; case 0: return 1.5; case 1: return 1; }; 
+      if (x>0)  switch (CGAL_NTS sign(Rx-Ry)){case -1: return 2; case 0: return 1.5; case 1: return 1; };
       if (x<0) switch (CGAL::opposite(CGAL_NTS sign(Rx+Ry))){case -1: return 3; case 0: return 3.5; case 1: return 4; };
       return 2.5;//OPTI : we have more information here by x_y
     }
@@ -56,8 +56,8 @@ namespace CGAL {
         return 0;
       }
     }
-  }    
-    
+  }
+
 
   template<class SK>
   inline
@@ -68,25 +68,25 @@ namespace CGAL {
     typename SK::Root_of_2 Ry=pt.y()-sphere.center().y();
     return half_quadrant<SK>(Rx,Ry);
   }
-  
+
   template<class SK>
   bool is_hquadrant_a_tangent(float hq){
     if (hq >7 || hq<2 || (hq>3 && hq<6))
       return true;
     return false;
   }
-  
+
   template <class SK>
   CGAL::Comparison_result compare_theta_of_pts(const typename SK::Circular_arc_point_3& pt1,
                                                const typename SK::Circular_arc_point_3& pt2,
                                                const typename SK::Sphere_3& sphere)
   {
-    CGAL_kernel_precondition( (pt1.x()!=sphere.center().x() || pt1.y()!=sphere.center().x()) && 
+    CGAL_kernel_precondition( (pt1.x()!=sphere.center().x() || pt1.y()!=sphere.center().x()) &&
                               (pt2.x()!=sphere.center().x() || pt2.y()!=sphere.center().x()) );
     float hq1=half_quadrant<SK>(pt1,sphere);
     float hq2=half_quadrant<SK>(pt2,sphere);
     CGAL::Sign res=CGAL_NTS sign(hq1-hq2);
-    if (res == CGAL::EQUAL){//same quadrant 
+    if (res == CGAL::EQUAL){//same quadrant
       if (floor(hq1)!=hq1)//for hquadrant boundary
         res=CGAL::EQUAL;
       else{
@@ -94,10 +94,10 @@ namespace CGAL {
         //and different monotonicity type of tan and cot
         if ( is_hquadrant_a_tangent<SK>(hq1) )
           res= CGAL_NTS compare( (pt1.y() - sphere.center().y()) / (pt1.x() - sphere.center().x()) ,
-                              (pt2.y() - sphere.center().y()) / (pt2.x() - sphere.center().x()) ); 
+                              (pt2.y() - sphere.center().y()) / (pt2.x() - sphere.center().x()) );
         else
           res= CGAL_NTS compare( (pt2.x() - sphere.center().x()) / (pt2.y() - sphere.center().y()) ,
-                              (pt1.x() - sphere.center().x()) / (pt1.y() - sphere.center().y()) );          
+                              (pt1.x() - sphere.center().x()) / (pt1.y() - sphere.center().y()) );
       }
     }
     return res;
@@ -108,19 +108,19 @@ namespace CGAL {
                                                   const typename SK::Vector_3& v,
                                                   const typename SK::Sphere_3& sphere)
   {
-    CGAL_kernel_precondition( (pt.x()!=sphere.center().x() || pt.y()!=sphere.center().x()) && 
+    CGAL_kernel_precondition( (pt.x()!=sphere.center().x() || pt.y()!=sphere.center().x()) &&
                               (v.x()!=0 || v.y()!=0) &&  v.z()==0);
     float hq1=half_quadrant<SK>(pt,sphere);
     float hq2=half_quadrant<SK>(v.x(),v.y());
     CGAL::Sign res=CGAL_NTS sign(hq1-hq2);
-    if (res == CGAL::EQUAL){//same quadrant 
+    if (res == CGAL::EQUAL){//same quadrant
       if (floor(hq1)!=hq1)//for hquadrant boundary
         res=CGAL::EQUAL;
       else{
         //compare tan or cot, same expression due to constant sign within a hquadrant
         //and different monotonicity type of tan and cot
         res= CGAL_NTS compare( v.x() * (pt.y() - sphere.center().y()) ,
-                            v.y() * (pt.x() - sphere.center().x())  ); 
+                            v.y() * (pt.x() - sphere.center().x())  );
       }
     }
     return res;
@@ -131,24 +131,24 @@ namespace CGAL {
                                                 const typename SK::Vector_3& m2
                                                )
   {
-    CGAL_kernel_precondition( (m1.x()!=0 || m1.y()!=0) &&  m1.z()==0 &&  
+    CGAL_kernel_precondition( (m1.x()!=0 || m1.y()!=0) &&  m1.z()==0 &&
                              (m2.x()!=0 || m2.y()!=0) &&  m2.z()==0 );
     float hq1=half_quadrant<SK>(m1.x(),m1.y());
     float hq2=half_quadrant<SK>(m2.x(),m2.y());
     CGAL::Sign res=CGAL_NTS sign(hq1-hq2);
-    if (res == CGAL::EQUAL){//same quadrant 
+    if (res == CGAL::EQUAL){//same quadrant
       if (floor(hq1)!=hq1)//for hquadrant boundary
         res=CGAL::EQUAL;
       else{
         //compare tan or cot, same expression due to constant sign within a hquadrant
         //and different monotonicity type of tan and cot
         res= CGAL_NTS compare( m2.x() * m1.y() ,
-                            m2.y() * m1.x() ); 
+                            m2.y() * m1.x() );
       }
     }
     return res;
   }
-  
+
   template <class SK>
   CGAL::Comparison_result compare_theta_z(const typename SK::Circular_arc_point_3& pt1,
                                           const typename SK::Circular_arc_point_3& pt2,
@@ -159,8 +159,8 @@ namespace CGAL {
     if (res==CGAL::EQUAL)
       res = (decreasing_z?(CGAL::opposite(SK().compare_z_3_object()(pt1,pt2))):(SK().compare_z_3_object()(pt1,pt2)));
     return res;
-  }  
-    
+  }
+
   }//SphericalFunctors
 }//CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_3/internal_functions_on_line_3.h 5.0.3-1/include/CGAL/Circular_kernel_3/internal_functions_on_line_3.h
--- 5.0.2-3/include/CGAL/Circular_kernel_3/internal_functions_on_line_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_3/internal_functions_on_line_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_functions_on_line_3.h $
-// $Id: internal_functions_on_line_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_functions_on_line_3.h $
+// $Id: internal_functions_on_line_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SPHERICAL_KERNEL_PREDICATES_ON_LINE_3_H
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_3/internal_functions_on_line_arc_3.h 5.0.3-1/include/CGAL/Circular_kernel_3/internal_functions_on_line_arc_3.h
--- 5.0.2-3/include/CGAL/Circular_kernel_3/internal_functions_on_line_arc_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_3/internal_functions_on_line_arc_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_functions_on_line_arc_3.h $
-// $Id: internal_functions_on_line_arc_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_functions_on_line_arc_3.h $
+// $Id: internal_functions_on_line_arc_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SPHERICAL_KERNEL_PREDICATES_ON_LINE_ARC_3_H
@@ -38,25 +38,25 @@ namespace CGAL {
     do_overlap(const typename SK::Line_arc_3 &l1,
                const typename SK::Line_arc_3 &l2,
                const bool known_equal_supporting_line = false)
-    { 
+    {
       if(!known_equal_supporting_line) {
         if (!non_oriented_equal<SK>(l1.supporting_line(),
-                                    l2.supporting_line())) 
+                                    l2.supporting_line()))
           return false;
       }
 
-      return SK().compare_xyz_3_object()(l1.higher_xyz_extremity(), 
+      return SK().compare_xyz_3_object()(l1.higher_xyz_extremity(),
                              l2.lower_xyz_extremity()) >= 0
-          && SK().compare_xyz_3_object()(l1.lower_xyz_extremity(), 
+          && SK().compare_xyz_3_object()(l1.lower_xyz_extremity(),
                              l2.higher_xyz_extremity()) <= 0;
     }
 
     template < class SK >
     void
     split(const typename SK::Line_arc_3 &l,
-	  const typename SK::Circular_arc_point_3 &p,
-	  typename SK::Line_arc_3 &l1,
-	  typename SK::Line_arc_3 &l2)
+          const typename SK::Circular_arc_point_3 &p,
+          typename SK::Line_arc_3 &l1,
+          typename SK::Line_arc_3 &l2)
     {
       typedef typename SK::Line_arc_3  Line_arc_3;
       // The point must be on the line arc
@@ -75,9 +75,9 @@ namespace CGAL {
 
     template < class SK, class OutputIterator >
     OutputIterator
-    intersect_3(const typename SK::Line_arc_3 & l1, 
-                const typename SK::Line_arc_3 & l2, 
-	        OutputIterator res) 
+    intersect_3(const typename SK::Line_arc_3 & l1,
+                const typename SK::Line_arc_3 & l2,
+                OutputIterator res)
     {
       typedef typename SK::Point_3 Point_3;
       typedef typename SK::Circular_arc_point_3 Circular_arc_point_3;
@@ -85,7 +85,7 @@ namespace CGAL {
       typedef typename SK::Line_arc_3 Line_arc_3;
       typedef typename SK3_Intersection_traits<SK, Line_arc_3, Line_arc_3>::type result_type;
 
-      typename Intersection_traits<SK, Line_3, Line_3>::result_type o = 
+      typename Intersection_traits<SK, Line_3, Line_3>::result_type o =
         SK().intersect_3_object()(l1.supporting_line(),
         l2.supporting_line());
 
@@ -98,43 +98,43 @@ namespace CGAL {
         if(!SK().has_on_3_object()(l2,p,true)) return res;
           *res++ = CGAL::internal::sk3_intersection_return<result_type>(std::make_pair(p,1u));
       } else if( CGAL::Intersections::internal::intersect_get<Line_3>(o) ) {
-        if(SK().compare_xyz_3_object()(l1.lower_xyz_extremity(), 
+        if(SK().compare_xyz_3_object()(l1.lower_xyz_extremity(),
                                        l2.lower_xyz_extremity()) < 0) {
-	  int comparison = 
+          int comparison =
             SK().compare_xyz_3_object()(l2.lower_xyz_extremity(),
                                         l1.higher_xyz_extremity());
-	  if(comparison < 0) {
-	    if(SK().compare_xyz_3_object()(l1.higher_xyz_extremity(), 
+          if(comparison < 0) {
+            if(SK().compare_xyz_3_object()(l1.higher_xyz_extremity(),
                                            l2.higher_xyz_extremity()) <= 0) {
               *res++ = CGAL::internal::sk3_intersection_return<result_type>
-	        (Line_arc_3(l1.supporting_line(),
+                (Line_arc_3(l1.supporting_line(),
                             l2.lower_xyz_extremity(),
                             l1.higher_xyz_extremity()));
-	    } else {
+            } else {
               *res++ = CGAL::internal::sk3_intersection_return<result_type>(l2);
-	    }
-	  } else if (comparison == 0) {
+            }
+          } else if (comparison == 0) {
             *res++ = CGAL::internal::sk3_intersection_return<result_type>(std::make_pair(l2.lower_xyz_extremity(),1u));
-	  } 
+          }
         }
         else {
-	  int comparison = 
+          int comparison =
             SK().compare_xyz_3_object()(l1.lower_xyz_extremity(),
                                         l2.higher_xyz_extremity());
-	  if(comparison < 0){
-	    if(SK().compare_xyz_3_object()(l1.higher_xyz_extremity(),
+          if(comparison < 0){
+            if(SK().compare_xyz_3_object()(l1.higher_xyz_extremity(),
                                            l2.higher_xyz_extremity()) <= 0) {
               *res++ = CGAL::internal::sk3_intersection_return<result_type>(l1);
-	    } else {
+            } else {
               *res++ = CGAL::internal::sk3_intersection_return<result_type>
-	        (Line_arc_3(l1.supporting_line(), 
-                            l1.lower_xyz_extremity(), 
+                (Line_arc_3(l1.supporting_line(),
+                            l1.lower_xyz_extremity(),
                             l2.higher_xyz_extremity() ));
-	    }
-	  }
-	  else if (comparison == 0){
+            }
+          }
+          else if (comparison == 0){
             *res++ = CGAL::internal::sk3_intersection_return<result_type>(std::make_pair(l1.lower_xyz_extremity(),1u));
-	  }
+          }
         }
       }
       return res;
@@ -142,17 +142,17 @@ namespace CGAL {
 
     template < class SK, class OutputIterator >
     OutputIterator
-    intersect_3(const typename SK::Line_3 & l, 
-                const typename SK::Line_arc_3 & la, 
-	        OutputIterator res)
-    { 
+    intersect_3(const typename SK::Line_3 & l,
+                const typename SK::Line_arc_3 & la,
+                OutputIterator res)
+    {
       typedef typename SK::Point_3 Point_3;
       typedef typename SK::Circular_arc_point_3 Circular_arc_point_3;
       typedef typename SK::Line_3 Line_3;
       typedef typename SK::Line_arc_3 Line_arc_3;
       typedef typename SK3_Intersection_traits<SK, Line_3, Line_arc_3>::type result_type;
 
-      typename Intersection_traits<SK, Line_3, Line_3>::result_type o = 
+      typename Intersection_traits<SK, Line_3, Line_3>::result_type o =
         SK().intersect_3_object()(l, la.supporting_line());
 
       if(!o)
@@ -171,10 +171,10 @@ namespace CGAL {
 
     template < class SK, class OutputIterator >
     OutputIterator
-    intersect_3(const typename SK::Circle_3 & c, 
-                const typename SK::Line_arc_3 & l, 
-	        OutputIterator res)
-    { 
+    intersect_3(const typename SK::Circle_3 & c,
+                const typename SK::Line_arc_3 & l,
+                OutputIterator res)
+    {
       typedef typename SK::Circular_arc_point_3 Circular_arc_point_3;
       typedef std::vector<
         typename SK3_Intersection_traits<SK, typename SK::Line_3, typename SK::Circle_3
@@ -182,7 +182,7 @@ namespace CGAL {
       typedef std::pair<Circular_arc_point_3, unsigned> Solution;
 
       solutions_container solutions;
-      SK().intersect_3_object()(l.supporting_line(), c, 
+      SK().intersect_3_object()(l.supporting_line(), c,
                                 std::back_inserter(solutions) );
       if(solutions.size() == 0) return res;
       if(solutions.size() == 1) {
@@ -205,11 +205,11 @@ namespace CGAL {
     OutputIterator
     intersect_3(const typename SK::Sphere_3 & s,
                 const typename SK::Line_arc_3 & l,
-	       OutputIterator res)
+               OutputIterator res)
     {
       typedef typename SK::Circular_arc_point_3 Circular_arc_point_3;
       typedef std::vector<
-        typename SK3_Intersection_traits<SK, typename SK::Line_3, typename SK::Sphere_3>::type 
+        typename SK3_Intersection_traits<SK, typename SK::Line_3, typename SK::Sphere_3>::type
       > solutions_container;
       typedef std::pair<Circular_arc_point_3, unsigned> Solution;
       solutions_container solutions;
@@ -233,9 +233,9 @@ namespace CGAL {
 
     template < class SK, class OutputIterator >
     OutputIterator
-    intersect_3(const typename SK::Plane_3 & p, 
-                const typename SK::Line_arc_3 & l, 
-	        OutputIterator res)
+    intersect_3(const typename SK::Plane_3 & p,
+                const typename SK::Line_arc_3 & l,
+                OutputIterator res)
     {
       typedef typename SK::Point_3 Point_3;
       typedef typename SK::Circular_arc_point_3 Circular_arc_point_3;
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_3/internal_functions_on_plane_3.h 5.0.3-1/include/CGAL/Circular_kernel_3/internal_functions_on_plane_3.h
--- 5.0.2-3/include/CGAL/Circular_kernel_3/internal_functions_on_plane_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_3/internal_functions_on_plane_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_functions_on_plane_3.h $
-// $Id: internal_functions_on_plane_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_functions_on_plane_3.h $
+// $Id: internal_functions_on_plane_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Julien Hazebrouck, Damien Leroy
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SPHERICAL_KERNEL_PREDICATES_ON_PLANE_3_H
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_3/internal_functions_on_sphere_3.h 5.0.3-1/include/CGAL/Circular_kernel_3/internal_functions_on_sphere_3.h
--- 5.0.2-3/include/CGAL/Circular_kernel_3/internal_functions_on_sphere_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_3/internal_functions_on_sphere_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_functions_on_sphere_3.h $
-// $Id: internal_functions_on_sphere_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_kernel_3/internal_functions_on_sphere_3.h $
+// $Id: internal_functions_on_sphere_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SPHERICAL_KERNEL_PREDICATES_ON_SPHERE_3_H
@@ -33,7 +33,7 @@ namespace CGAL {
     {
       typedef typename SK::Algebraic_kernel Algebraic_kernel;
       return Algebraic_kernel().construct_polynomials_for_line_3_object()
-	  (l.to_vector().x(), l.point().x(), 
+          (l.to_vector().x(), l.point().x(),
            l.to_vector().y(), l.point().y(),
            l.to_vector().z(), l.point().z());
     }
@@ -44,7 +44,7 @@ namespace CGAL {
     {
       typedef typename SK::Algebraic_kernel Algebraic_kernel;
       return Algebraic_kernel().construct_polynomial_1_3_object()
-	  ( s.a(), s.b(), s.c(), s.d() );
+          ( s.a(), s.b(), s.c(), s.d() );
     }
 
     template < class SK >
@@ -55,7 +55,7 @@ namespace CGAL {
       typedef typename SK::Algebraic_kernel   Algebraic_kernel;
       Point_3 center = s.center();
       return Algebraic_kernel().construct_polynomial_for_spheres_2_3_object()
-	  ( center.x(), center.y(), center.z(), s.squared_radius() );
+          ( center.x(), center.y(), center.z(), s.squared_radius() );
     }
 
     template < class SK >
@@ -64,7 +64,7 @@ namespace CGAL {
     {
       typedef typename SK::Algebraic_kernel Algebraic_kernel;
       return std::make_pair ( Algebraic_kernel().construct_polynomial_for_spheres_2_3_object()
-                               (c.center().x(), c.center().y(), 
+                               (c.center().x(), c.center().y(),
                                 c.center().z(), c.squared_radius()),
                               Algebraic_kernel().construct_polynomial_1_3_object()
                                (c.supporting_plane().a(),
@@ -82,7 +82,7 @@ namespace CGAL {
       return Sphere_3(Point_3(eq.a(),eq.b(),eq.c()),eq.r_sq());
     }
 
-   
+
     template < class SK >
     inline
     typename SK::Linear_kernel::Bounded_side_3::result_type
@@ -228,7 +228,7 @@ namespace CGAL {
      template<typename T>
      OutputIterator operator()(const T& t) { *it++ = RT(t); return it; }
 
-     OutputIterator operator()(const typename SK::Point_3& p) { 
+     OutputIterator operator()(const typename SK::Point_3& p) {
        // 2 multiplicities
        *it++ = RT(std::make_pair(typename SK::Circular_arc_point_3(p), 2u));
        return it;
@@ -240,24 +240,24 @@ namespace CGAL {
 
     template < class SK, class OutputIterator >
     OutputIterator
-    intersect_3(const typename SK::Sphere_3 & s, 
-                const typename SK::Line_3 & l, 
-	        OutputIterator res)
+    intersect_3(const typename SK::Sphere_3 & s,
+                const typename SK::Line_3 & l,
+                OutputIterator res)
     {
       typedef typename SK3_Intersection_traits<SK, typename SK::Sphere_3, typename SK::Line_3>
         ::type result_type;
       typedef typename SK::Algebraic_kernel                          Algebraic_kernel;
-      typedef typename SK::Polynomial_for_spheres_2_3  Equation_sphere; 
-      typedef typename SK::Polynomials_for_line_3      Equation_line; 
+      typedef typename SK::Polynomial_for_spheres_2_3  Equation_sphere;
+      typedef typename SK::Polynomials_for_line_3      Equation_line;
       typedef typename SK::Root_for_spheres_2_3        Root_for_spheres_2_3;
       CGAL_kernel_precondition(!s.is_degenerate());
-      CGAL_kernel_precondition(!l.is_degenerate());      
+      CGAL_kernel_precondition(!l.is_degenerate());
       Equation_sphere e1 = get_equation<SK>(s);
       Equation_line e2 = get_equation<SK>(l);
-      typedef std::vector< std::pair < Root_for_spheres_2_3, unsigned > > 
+      typedef std::vector< std::pair < Root_for_spheres_2_3, unsigned > >
         solutions_container;
       solutions_container solutions;
-      Algebraic_kernel().solve_object()(e1, e2, std::back_inserter(solutions)); 
+      Algebraic_kernel().solve_object()(e1, e2, std::back_inserter(solutions));
 
       return std::transform(solutions.begin(), solutions.end(), res, internal::pair_transform<SK, result_type>());
     }
@@ -265,9 +265,9 @@ namespace CGAL {
     // The special 3 object functions
     template < class SK, class OutputIterator >
     OutputIterator
-    intersect_3(const typename SK::Sphere_3 & s1, 
-                const typename SK::Sphere_3 & s2, 
-	        const typename SK::Sphere_3 & s3, 
+    intersect_3(const typename SK::Sphere_3 & s1,
+                const typename SK::Sphere_3 & s2,
+                const typename SK::Sphere_3 & s3,
                 OutputIterator res)
     {
        // circle_3, sphere_3, (circular_arc_point_3, uint)
@@ -288,7 +288,7 @@ namespace CGAL {
          return res;
        }
        if(non_oriented_equal<SK>(s1,s2)) {
-         if(typename Intersection_traits<SK, Sphere_3, Sphere_3>::result_type v = 
+         if(typename Intersection_traits<SK, Sphere_3, Sphere_3>::result_type v =
             SK().intersect_3_object()(s1, s3)) {
            internal::Point_conversion_visitor<SK, result_type, OutputIterator> visitor(res);
            return boost::apply_visitor(visitor,
@@ -297,7 +297,7 @@ namespace CGAL {
          return res;
        }
        if(non_oriented_equal<SK>(s1,s3) || non_oriented_equal<SK>(s2,s3)) {
-         if(typename Intersection_traits<SK, Sphere_3, Sphere_3>::result_type v = 
+         if(typename Intersection_traits<SK, Sphere_3, Sphere_3>::result_type v =
             SK().intersect_3_object()(s1, s2)) {
            internal::Point_conversion_visitor<SK, result_type, OutputIterator> visitor(res);
            return boost::apply_visitor(
@@ -307,7 +307,7 @@ namespace CGAL {
          return res;
        }
        if(SK().collinear_3_object()(s1.center(),s2.center(),s3.center())) {
-         typename Intersection_traits<SK, Sphere_3, Sphere_3>::result_type v = 
+         typename Intersection_traits<SK, Sphere_3, Sphere_3>::result_type v =
            SK().intersect_3_object()(s1, s2);
          if(!v) return res;
          if(const Point_3* p = CGAL::Intersections::internal::intersect_get<Point_3>(v)) {
@@ -327,19 +327,19 @@ namespace CGAL {
        Equation_sphere e1 = get_equation<SK>(s1);
        Equation_sphere e2 = get_equation<SK>(s2);
        Equation_sphere e3 = get_equation<SK>(s3);
-       typedef std::vector< std::pair < Root_for_spheres_2_3, unsigned > > 
+       typedef std::vector< std::pair < Root_for_spheres_2_3, unsigned > >
          algebraic_solutions_container;
        algebraic_solutions_container solutions;
-       Algebraic_kernel().solve_object()(e1, e2, e3, std::back_inserter(solutions)); 
+       Algebraic_kernel().solve_object()(e1, e2, e3, std::back_inserter(solutions));
 
        return std::transform(solutions.begin(), solutions.end(), res, internal::pair_transform<SK, result_type>());
     }
 
     template < class SK, class OutputIterator >
     OutputIterator
-    intersect_3(const typename SK::Plane_3 & p, 
-                const typename SK::Sphere_3 & s1, 
-	        const typename SK::Sphere_3 & s2, 
+    intersect_3(const typename SK::Plane_3 & p,
+                const typename SK::Sphere_3 & s1,
+                const typename SK::Sphere_3 & s2,
                 OutputIterator res)
     {
       typedef typename boost::variant< std::pair< typename SK::Circular_arc_point_3, unsigned int>,
@@ -354,7 +354,7 @@ namespace CGAL {
       CGAL_kernel_precondition(!s1.is_degenerate());
       CGAL_kernel_precondition(!s2.is_degenerate());
       if(non_oriented_equal<SK>(s1,s2)) {
-        if(typename Intersection_traits<SK, Plane_3, Sphere_3>::result_type v = 
+        if(typename Intersection_traits<SK, Plane_3, Sphere_3>::result_type v =
             SK().intersect_3_object()(p, s1)) {
            internal::Point_conversion_visitor<SK, result_type, OutputIterator> visitor(res);
            return boost::apply_visitor(
@@ -365,7 +365,7 @@ namespace CGAL {
       }
       Plane_3 radical_p = SK().construct_radical_plane_3_object()(s1,s2);
       if(non_oriented_equal<SK>(p,radical_p)) {
-        if(typename Intersection_traits<SK, Plane_3, Sphere_3>::result_type v = 
+        if(typename Intersection_traits<SK, Plane_3, Sphere_3>::result_type v =
             SK().intersect_3_object()(p, s1)) {
            internal::Point_conversion_visitor<SK, result_type, OutputIterator> visitor(res);
            return boost::apply_visitor(
@@ -377,21 +377,21 @@ namespace CGAL {
       Equation_sphere e1 = get_equation<SK>(s1);
       Equation_sphere e2 = get_equation<SK>(s2);
       Equation_plane e3 = get_equation<SK>(p);
-      typedef std::vector< std::pair < Root_for_spheres_2_3, unsigned > > 
+      typedef std::vector< std::pair < Root_for_spheres_2_3, unsigned > >
         algebraic_solutions_container;
       algebraic_solutions_container solutions;
-      Algebraic_kernel().solve_object()(e1, e2, e3, std::back_inserter(solutions)); 
+      Algebraic_kernel().solve_object()(e1, e2, e3, std::back_inserter(solutions));
       return std::transform(solutions.begin(), solutions.end(), res, internal::pair_transform<SK, result_type>());
     }
 
     template < class SK, class OutputIterator >
     OutputIterator
-    intersect_3(const typename SK::Plane_3 & p1, 
-                const typename SK::Plane_3 & p2, 
-	        const typename SK::Sphere_3 & s, 
+    intersect_3(const typename SK::Plane_3 & p1,
+                const typename SK::Plane_3 & p2,
+                const typename SK::Sphere_3 & s,
                 OutputIterator res)
-    { 
-      typedef typename boost::variant< std::pair< typename SK::Circular_arc_point_3, unsigned int>, 
+    {
+      typedef typename boost::variant< std::pair< typename SK::Circular_arc_point_3, unsigned int>,
                                        typename SK::Circle_3 > result_type;
       typedef typename SK::Root_for_spheres_2_3  Root_for_spheres_2_3;
       typedef typename SK::Polynomial_for_spheres_2_3  Equation_sphere;
@@ -401,9 +401,9 @@ namespace CGAL {
       typedef typename SK::Sphere_3 Sphere_3;
       CGAL_kernel_precondition(!p1.is_degenerate());
       CGAL_kernel_precondition(!p2.is_degenerate());
-      CGAL_kernel_precondition(!s.is_degenerate());      
+      CGAL_kernel_precondition(!s.is_degenerate());
       if(non_oriented_equal<SK>(p1,p2)) {
-        if(typename Intersection_traits<SK, Plane_3, Sphere_3>::result_type v = 
+        if(typename Intersection_traits<SK, Plane_3, Sphere_3>::result_type v =
             SK().intersect_3_object()(p1, s)) {
            internal::Point_conversion_visitor<SK, result_type, OutputIterator> visitor(res);
            return boost::apply_visitor(
@@ -415,37 +415,37 @@ namespace CGAL {
       Equation_plane e1 = get_equation<SK>(p1);
       Equation_plane e2 = get_equation<SK>(p2);
       Equation_sphere e3 = get_equation<SK>(s);
-      typedef std::vector< std::pair < Root_for_spheres_2_3, unsigned > > 
+      typedef std::vector< std::pair < Root_for_spheres_2_3, unsigned > >
         algebraic_solutions_container;
       algebraic_solutions_container solutions;
-      Algebraic_kernel().solve_object()(e1, e2, e3, std::back_inserter(solutions)); 
+      Algebraic_kernel().solve_object()(e1, e2, e3, std::back_inserter(solutions));
       return std::transform(solutions.begin(), solutions.end(), res, internal::pair_transform<SK, result_type>());
     }
 
     template < class SK, class OutputIterator >
     OutputIterator
-    intersect_3(const typename SK::Circle_3 & c, 
+    intersect_3(const typename SK::Circle_3 & c,
                 const typename SK::Plane_3 & p,
                 OutputIterator res)
-    { 
+    {
       return intersect_3<SK>(p,c.supporting_plane(),c.diametral_sphere(),res);
     }
 
     template < class SK, class OutputIterator >
     OutputIterator
-    intersect_3(const typename SK::Circle_3 & c, 
+    intersect_3(const typename SK::Circle_3 & c,
                 const typename SK::Sphere_3 & s,
                 OutputIterator res)
-    { 
+    {
       return intersect_3<SK>(c.supporting_plane(),s,c.diametral_sphere(),res);
     }
 
     template < class SK, class OutputIterator >
     OutputIterator
-    intersect_3(const typename SK::Circle_3 & c1, 
+    intersect_3(const typename SK::Circle_3 & c1,
                 const typename SK::Circle_3 & c2,
                 OutputIterator res)
-    { 
+    {
       typedef typename SK::Root_for_spheres_2_3     Root_for_spheres_2_3;
       typedef typename SK::Polynomials_for_circle_3 Equation_circle;
       typedef typename SK::Algebraic_kernel         Algebraic_kernel;
@@ -460,19 +460,19 @@ namespace CGAL {
       }
       Equation_circle e1 = get_equation<SK>(c1);
       Equation_circle e2 = get_equation<SK>(c2);
-      typedef std::vector< std::pair < Root_for_spheres_2_3, unsigned > > 
+      typedef std::vector< std::pair < Root_for_spheres_2_3, unsigned > >
         algebraic_solutions_container;
       algebraic_solutions_container solutions;
-      Algebraic_kernel().solve_object()(e1, e2, std::back_inserter(solutions)); 
+      Algebraic_kernel().solve_object()(e1, e2, std::back_inserter(solutions));
       return std::transform(solutions.begin(), solutions.end(), res, internal::pair_transform<SK, result_type>());
     }
 
     template < class SK, class OutputIterator >
     OutputIterator
-    intersect_3(const typename SK::Circle_3 & c, 
+    intersect_3(const typename SK::Circle_3 & c,
                 const typename SK::Line_3 & l,
                 OutputIterator res)
-    { 
+    {
       typedef typename SK::Root_for_spheres_2_3     Root_for_spheres_2_3;
       typedef typename SK::Polynomials_for_circle_3 Equation_circle;
       typedef typename SK::Polynomials_for_line_3   Equation_line;
@@ -485,10 +485,10 @@ namespace CGAL {
       CGAL_kernel_precondition(!l.is_degenerate());
       Equation_circle e1 = get_equation<SK>(c);
       Equation_line e2 = get_equation<SK>(l);
-      typedef std::vector< std::pair < Root_for_spheres_2_3, unsigned > > 
+      typedef std::vector< std::pair < Root_for_spheres_2_3, unsigned > >
         algebraic_solutions_container;
       algebraic_solutions_container solutions;
-      Algebraic_kernel().solve_object()(e1, e2, std::back_inserter(solutions)); 
+      Algebraic_kernel().solve_object()(e1, e2, std::back_inserter(solutions));
       return std::transform(solutions.begin(), solutions.end(), res, internal::pair_transform<SK, result_type>());
     }
 
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_3/Intersection_traits.h 5.0.3-1/include/CGAL/Circular_kernel_3/Intersection_traits.h
--- 5.0.2-3/include/CGAL/Circular_kernel_3/Intersection_traits.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_3/Intersection_traits.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_kernel_3/Intersection_traits.h $
-// $Id: Intersection_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_kernel_3/Intersection_traits.h $
+// $Id: Intersection_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -26,7 +26,7 @@ struct SK3_Intersection_traits
 
 // Intersection_traits for the circular kernel
 
-// The additional CGAL_ADDITIONAL_VARIANT_FOR_ICL ( = int) in the variant 
+// The additional CGAL_ADDITIONAL_VARIANT_FOR_ICL ( = int) in the variant
 // has the only purpose to work around a bug of the Intel compiler,
 // which without it produces the error
 // /usr/include/boost/type_traits/has_nothrow_copy.hpp(36): internal error: bad pointer
@@ -35,11 +35,11 @@ struct SK3_Intersection_traits
 
 template <typename SK>
 struct SK3_Intersection_traits<SK, typename SK::Sphere_3, typename SK::Line_3>
-{ 
-  typedef boost::variant< 
+{
+  typedef boost::variant<
             std::pair< typename SK::Circular_arc_point_3, unsigned int >
             CGAL_ADDITIONAL_VARIANT_FOR_ICL
-          > type; 
+          > type;
 };
 
 template <typename SK>
@@ -49,7 +49,7 @@ struct SK3_Intersection_traits<SK, typen
 template <typename SK>
 struct SK3_Intersection_traits<SK, typename SK::Circle_3, typename SK::Plane_3>
 {
-  typedef boost::variant< 
+  typedef boost::variant<
             std::pair< typename SK::Circular_arc_point_3, unsigned int >,
             typename SK::Circle_3
             CGAL_ADDITIONAL_VARIANT_FOR_ICL
@@ -62,10 +62,10 @@ struct SK3_Intersection_traits<SK, typen
 
 template <typename SK>
 struct SK3_Intersection_traits<SK, typename SK::Circle_3, typename SK::Sphere_3>
-{ 
-  typedef boost::variant< 
-            std::pair< typename SK::Circular_arc_point_3, unsigned int >, 
-            typename SK::Circle_3 
+{
+  typedef boost::variant<
+            std::pair< typename SK::Circular_arc_point_3, unsigned int >,
+            typename SK::Circle_3
             CGAL_ADDITIONAL_VARIANT_FOR_ICL
           > type;
 };
@@ -77,11 +77,11 @@ struct SK3_Intersection_traits<SK, typen
 template <typename SK>
 struct SK3_Intersection_traits<SK, typename SK::Circle_3, typename SK::Circle_3>
 {
-  typedef boost::variant< 
+  typedef boost::variant<
             std::pair <typename SK::Circular_arc_point_3, unsigned int >,
             typename SK::Circle_3
-            CGAL_ADDITIONAL_VARIANT_FOR_ICL 
-          > type; 
+            CGAL_ADDITIONAL_VARIANT_FOR_ICL
+          > type;
 };
 
 template <typename SK>
@@ -90,7 +90,7 @@ struct SK3_Intersection_traits<SK, typen
   typedef boost::variant<
             std::pair <typename SK::Circular_arc_point_3, unsigned int >
             CGAL_ADDITIONAL_VARIANT_FOR_ICL
-          > type; 
+          > type;
 };
 
 template <typename SK>
@@ -99,9 +99,9 @@ struct SK3_Intersection_traits<SK, typen
 
 template <typename SK>
 struct SK3_Intersection_traits<SK, typename SK::Circular_arc_3, typename SK::Circular_arc_3>
-{ 
-  typedef boost::variant< 
-            typename SK::Circle_3, 
+{
+  typedef boost::variant<
+            typename SK::Circle_3,
             std::pair <typename SK::Circular_arc_point_3, unsigned int >,
             typename SK::Circular_arc_3
             CGAL_ADDITIONAL_VARIANT_FOR_ICL
@@ -124,19 +124,19 @@ struct SK3_Intersection_traits<SK, typen
 
 template <typename SK>
 struct SK3_Intersection_traits<SK, typename SK::Line_arc_3, typename SK::Line_arc_3>
-{ 
-  typedef boost::variant< 
+{
+  typedef boost::variant<
             std::pair <typename SK::Circular_arc_point_3, unsigned int >,
             typename SK::Line_arc_3
             CGAL_ADDITIONAL_VARIANT_FOR_ICL
-          > type; 
+          > type;
 };
-  
+
 //struct to factorize the following specializations
 template <typename SK>
-struct SK3_intersect_ternary 
+struct SK3_intersect_ternary
 {
-  typedef boost::variant< 
+  typedef boost::variant<
             typename SK::Circle_3,
             typename SK::Plane_3,
             typename SK::Sphere_3,
@@ -146,7 +146,7 @@ struct SK3_intersect_ternary
 };
 
 template <typename SK>
-struct SK3_Intersection_traits<SK, typename SK::Sphere_3, typename SK::Sphere_3, typename SK::Sphere_3> 
+struct SK3_Intersection_traits<SK, typename SK::Sphere_3, typename SK::Sphere_3, typename SK::Sphere_3>
   : SK3_intersect_ternary<SK> {};
 
 template <typename SK>
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_3/Line_arc_3.h 5.0.3-1/include/CGAL/Circular_kernel_3/Line_arc_3.h
--- 5.0.2-3/include/CGAL/Circular_kernel_3/Line_arc_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_3/Line_arc_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Circular_kernel_3/Line_arc_3.h $
-// $Id: Line_arc_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Circular_kernel_3/Line_arc_3.h $
+// $Id: Line_arc_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Sebastien Loriot, Julien Hazebrouck, Damien Leroy
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SPHERICAL_KERNEL_LINE_ARC_3_H
@@ -37,7 +37,7 @@ namespace CGAL {
       typedef typename SK::FT                   FT;
 
     private:
-      typedef boost::tuple<Line_3, Circular_arc_point_3, 
+      typedef boost::tuple<Line_3, Circular_arc_point_3,
                              Circular_arc_point_3>  Rep;
       typedef typename SK::template Handle<Rep>::type  Base;
 
@@ -54,12 +54,12 @@ namespace CGAL {
 
     public:
       Line_arc_3()
-      : begin_less_xyz_than_end_flag(0) 
+      : begin_less_xyz_than_end_flag(0)
       {}
 
-      Line_arc_3(const Line_3 &l, 
+      Line_arc_3(const Line_3 &l,
                  const Circular_arc_point_3 &s,
-                 const Circular_arc_point_3 &t) 
+                 const Circular_arc_point_3 &t)
       : begin_less_xyz_than_end_flag(0)
       {
         // l must pass through s and t, and s != t
@@ -69,7 +69,7 @@ namespace CGAL {
         base = Rep(l,s,t);
       }
 
-      Line_arc_3(const Segment_3 &s) 
+      Line_arc_3(const Segment_3 &s)
       : begin_less_xyz_than_end_flag(0)
       {
         base = Rep(s.supporting_line(),
@@ -78,20 +78,20 @@ namespace CGAL {
       }
 
       Line_arc_3(const Point_3 &s,
-                 const Point_3 &t) 
+                 const Point_3 &t)
       : begin_less_xyz_than_end_flag(0)
       {
         CGAL_kernel_precondition(s != t);
         base = Rep(SK().construct_line_3_object()(s,t),s,t);
       }
 
-      Line_arc_3(const Line_3 &l, 
+      Line_arc_3(const Line_3 &l,
                  const Sphere_3 &s,
-                 bool less_xyz_first = true) 
+                 bool less_xyz_first = true)
       {
         std::vector<typename SK3_Intersection_traits<SK, Line_3, Sphere_3>::type> sols;
          SK().intersect_3_object()(l, s, std::back_inserter(sols));
-         // l must intersect s in 2 points 
+         // l must intersect s in 2 points
          CGAL_kernel_precondition(sols.size() == 2);
          const std::pair<typename SK::Circular_arc_point_3, unsigned>& pair1=
            *boost::get<std::pair<typename SK::Circular_arc_point_3, unsigned> >(&sols[0]);
@@ -101,12 +101,12 @@ namespace CGAL {
            *this = Line_arc_3(l, pair1.first, pair2.first);
          } else {
            *this = Line_arc_3(l, pair2.first, pair1.first);
-         } 
+         }
       }
 
-      Line_arc_3(const Line_3 &l, 
+      Line_arc_3(const Line_3 &l,
                  const Sphere_3 &s1, bool less_xyz_s1,
-                 const Sphere_3 &s2, bool less_xyz_s2) 
+                 const Sphere_3 &s2, bool less_xyz_s2)
       {
         std::vector<typename SK3_Intersection_traits<SK, Line_3, Sphere_3>::type> sols1, sols2;
          SK().intersect_3_object()(l, s1, std::back_inserter(sols1));
@@ -123,9 +123,9 @@ namespace CGAL {
          *this = Line_arc_3(l, pair1.first, pair2.first);
       }
 
-      Line_arc_3(const Line_3 &l, 
+      Line_arc_3(const Line_3 &l,
                  const Plane_3 &p1,
-                 const Plane_3 &p2) 
+                 const Plane_3 &p2)
       {
          // l must not be on p1 or p2
          CGAL_kernel_precondition(!SK().has_on_3_object()(p1,l));
@@ -143,17 +143,17 @@ namespace CGAL {
          *this = Line_arc_3(l, *point1, *point2);
       }
 
-      const Line_3& supporting_line() const 
+      const Line_3& supporting_line() const
       {
         return get_pointee_or_identity(base).template get<0>();
       }
 
-      const Circular_arc_point_3& source() const 
+      const Circular_arc_point_3& source() const
       {
         return get_pointee_or_identity(base).template get<1>();
       }
 
-      const Circular_arc_point_3& target() const 
+      const Circular_arc_point_3& target() const
       {
         return get_pointee_or_identity(base).template get<2>();
       }
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_converter.h 5.0.3-1/include/CGAL/Circular_kernel_converter.h
--- 5.0.2-3/include/CGAL/Circular_kernel_converter.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_converter.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,20 +3,20 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_converter.h $
-// $Id: Circular_kernel_converter.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_converter.h $
+// $Id: Circular_kernel_converter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_CCIRCULAR_KERNEL_CONVERTER_H
-#define CGAL_CCIRCULAR_KERNEL_CONVERTER_H 
+#define CGAL_CCIRCULAR_KERNEL_CONVERTER_H
 
 #include <CGAL/license/Circular_kernel_2.h>
 
@@ -39,14 +39,14 @@ class Circular_kernel_converter
 {
 public:
 
-	typedef C1                       		      Source_kernel;
-	typedef C2                          		      Target_kernel;
-//	typedef typename C1::Linear_kernel  		      L1;
-//	typedef typename C2::Linear_kernel  		      L2;
-	typedef LK_converter                		      Linear_kernel_converter;
-	typedef AK_converter                		      Algebraic_kernel_converter;
-	typedef typename Linear_kernel_converter::Number_type_converter       RT_type_converter;
-	typedef typename Algebraic_kernel_converter::Root_of_type_converter   Root_of_type_converter;
+        typedef C1                                             Source_kernel;
+        typedef C2                                                Target_kernel;
+//        typedef typename C1::Linear_kernel                        L1;
+//        typedef typename C2::Linear_kernel                        L2;
+        typedef LK_converter                                      Linear_kernel_converter;
+        typedef AK_converter                                      Algebraic_kernel_converter;
+        typedef typename Linear_kernel_converter::Number_type_converter       RT_type_converter;
+        typedef typename Algebraic_kernel_converter::Root_of_type_converter   Root_of_type_converter;
 
 
 
@@ -140,58 +140,58 @@ public:
 #endif
 
 
-	typename C2::Circular_arc_point_2
-	operator()(const typename C1::Circular_arc_point_2 &a) const
-	{
-		return typename C2::Circular_arc_point_2( typename C2::Circular_arc_point_2::Root_for_circles_2_2(
-							     Root_of_type_converter()( a.x() ),
-							     Root_of_type_converter()( a.y() )
-	   	  )
-	   );
-	}
-
-
-	typename C2::Circular_arc_2
-	operator()(const typename C1::Circular_arc_2 &a) const
-	{
-		return typename C2::Circular_arc_2(operator()(a.supporting_circle()),
-		                     	           operator()(a.source()),
-		                     	           operator()(a.target()));	     
-	}
-
-
-	typename C2::Line_arc_2
-	operator()(const typename C1::Line_arc_2 &a) const
-	{
-		return typename C2::Line_arc_2 (     operator()( a.supporting_line() ),
-		                     		     operator()( a.source() ),
-		                     		     operator()( a.target() ) );
-	}
-	
+        typename C2::Circular_arc_point_2
+        operator()(const typename C1::Circular_arc_point_2 &a) const
+        {
+                return typename C2::Circular_arc_point_2( typename C2::Circular_arc_point_2::Root_for_circles_2_2(
+                                                             Root_of_type_converter()( a.x() ),
+                                                             Root_of_type_converter()( a.y() )
+                     )
+           );
+        }
+
+
+        typename C2::Circular_arc_2
+        operator()(const typename C1::Circular_arc_2 &a) const
+        {
+                return typename C2::Circular_arc_2(operator()(a.supporting_circle()),
+                                                        operator()(a.source()),
+                                                        operator()(a.target()));
+        }
+
+
+        typename C2::Line_arc_2
+        operator()(const typename C1::Line_arc_2 &a) const
+        {
+                return typename C2::Line_arc_2 (     operator()( a.supporting_line() ),
+                                                          operator()( a.source() ),
+                                                          operator()( a.target() ) );
+        }
 
-	  typename C2::Object_2
+
+          typename C2::Object_2
     operator()(const typename C1::Object_2 &obj) const
     {
 
       if (const typename C1::Circular_arc_2 * ptr = object_cast<typename C1::Circular_arc_2>(&obj)) {
         return make_object(operator()(*ptr));
-      } else if (const typename C1::Circular_arc_point_2 * ptr = 
+      } else if (const typename C1::Circular_arc_point_2 * ptr =
                  object_cast<typename C1::Circular_arc_point_2>(&obj)) {
         return make_object(operator()(*ptr));
-      } else if (const std::pair<typename C1::Circular_arc_point_2,unsigned int> * ptr = 
+      } else if (const std::pair<typename C1::Circular_arc_point_2,unsigned int> * ptr =
                  object_cast<std::pair<typename C1::Circular_arc_point_2,unsigned int> >(&obj)) {
         return make_object(std::make_pair(operator()(ptr->first),ptr->second));
-      } else if (const typename C1::Line_arc_2 * ptr = 
+      } else if (const typename C1::Line_arc_2 * ptr =
                  object_cast<typename C1::Line_arc_2>(&obj)) {
         return make_object(operator()(*ptr));
       }
       CGAL_error_msg("CircularK_converter is unable to determine what is wrapped in the Object");
       return Object();
-	
+
     }
-	
 
-	
+
+
   std::vector<typename C2::Object_2>
   operator()(const std::vector<typename C1::Object_2>& v) const
   {
@@ -202,25 +202,25 @@ public:
     }
     return res;
   }
-	
 
-        
+
+
   std::pair<typename C2::Line_arc_2,typename C2::Line_arc_2>
   operator()(const std::pair<typename C1::Line_arc_2,typename C1::Line_arc_2> &a) const
   {
     return std::make_pair (operator()( a.first ),
-		           operator()( a.second ));
+                           operator()( a.second ));
   }
 
   std::pair<typename C2::Circular_arc_2,typename C2::Circular_arc_2>
   operator()(const std::pair<typename C1::Circular_arc_2,typename C1::Circular_arc_2> &a) const
   {
     return std::make_pair (operator()( a.first ),
-		           operator()( a.second ));
+                           operator()( a.second ));
   }
 
 
-}; 
+};
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_intersections.h 5.0.3-1/include/CGAL/Circular_kernel_intersections.h
--- 5.0.2-3/include/CGAL/Circular_kernel_intersections.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_intersections.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,20 +3,20 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_intersections.h $
-// $Id: Circular_kernel_intersections.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_intersections.h $
+// $Id: Circular_kernel_intersections.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_CIRCULAR_KERNEL_INTERSECTIONS_H
-#define CGAL_CIRCULAR_KERNEL_INTERSECTIONS_H 
+#define CGAL_CIRCULAR_KERNEL_INTERSECTIONS_H
 
 #include <CGAL/license/Circular_kernel_2.h>
 
@@ -48,7 +48,7 @@ namespace Intersections { \
   { \
     std::vector< typename CK2_Intersection_traits<K, typename K::A, typename K::B>::type > res; \
     typename K::Intersect_2()(c1,c2,std::back_inserter(res)); \
-		return !res.empty(); \
+                return !res.empty(); \
   } \
 } \
   } \
diff -pruN 5.0.2-3/include/CGAL/Circular_kernel_type_equality_wrapper.h 5.0.3-1/include/CGAL/Circular_kernel_type_equality_wrapper.h
--- 5.0.2-3/include/CGAL/Circular_kernel_type_equality_wrapper.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circular_kernel_type_equality_wrapper.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Circular_kernel_type_equality_wrapper.h $
-// $Id: Circular_kernel_type_equality_wrapper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Circular_kernel_type_equality_wrapper.h $
+// $Id: Circular_kernel_type_equality_wrapper.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 
@@ -41,12 +41,12 @@ struct Circular_kernel_type_equality_wra
   : public Type_equality_wrapper<K_base, Kernel>
 {
     typedef K_base                                  Kernel_base;
-    typedef CGAL::Circular_arc_2<Kernel>               Circular_arc_2;     
+    typedef CGAL::Circular_arc_2<Kernel>               Circular_arc_2;
     typedef CGAL::Line_arc_2<Kernel>                   Line_arc_2;
     typedef CGAL::Circular_arc_point_2<Kernel>         Circular_arc_point_2;
 
     //Something has to be done with these 3, maybe a lazy Algebraic kernel?
-	   
+
     //typedef Polynomial_for_circles_2_2<Kernel>   Polynomial_for_circles_2_2;
     //typedef Polynomial_1_2<Kernel>               Polynomial_1_2;
 };
diff -pruN 5.0.2-3/include/CGAL/Circulator/Circulator_adapters.h 5.0.3-1/include/CGAL/Circulator/Circulator_adapters.h
--- 5.0.2-3/include/CGAL/Circulator/Circulator_adapters.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circulator/Circulator_adapters.h	2020-08-01 19:02:18.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circulator/include/CGAL/Circulator/Circulator_adapters.h $
-// $Id: Circulator_adapters.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circulator/include/CGAL/Circulator/Circulator_adapters.h $
+// $Id: Circulator_adapters.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Circulator/Circulator_concepts.h 5.0.3-1/include/CGAL/Circulator/Circulator_concepts.h
--- 5.0.2-3/include/CGAL/Circulator/Circulator_concepts.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circulator/Circulator_concepts.h	2020-08-01 19:02:18.000000000 +0000
@@ -7,8 +7,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circulator/include/CGAL/Circulator/Circulator_concepts.h $
-// $Id: Circulator_concepts.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circulator/include/CGAL/Circulator/Circulator_concepts.h $
+// $Id: Circulator_concepts.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -39,9 +39,9 @@ void deref(T*) {
 
 // N.B.: there is no such concept as Circulator as it is immaterial
 template <typename C>
-struct ForwardCirculator 
+struct ForwardCirculator
   : boost::Assignable<C>, boost::DefaultConstructible<C>
-  , boost::CopyConstructible<C> 
+  , boost::CopyConstructible<C>
 {
   // for some odd reason circulators have no associated traits
   typedef typename C::value_type value_type;
@@ -62,7 +62,7 @@ struct ForwardCirculator
     // [-Wunused-local-typedefs]"
     BOOST_CONCEPT_ASSERT((boost::SignedInteger<difference_type>)) CGAL_UNUSED;
     BOOST_CONCEPT_ASSERT((boost::Convertible<iterator_category, CGAL::Forward_circulator_tag>)) CGAL_UNUSED;
-    
+
     boost::require_boolean_expr(a == nullptr);
     boost::require_boolean_expr(a != nullptr);
     ++a;
@@ -100,7 +100,7 @@ struct RandomAccessCirculator
     c += n; // addition
     c = c + n; c = n + c;
     c -= n; // subtraction
-    c = c - n; 
+    c = c - n;
     n = c - b; // difference
     (void)c[n]; // operator[]
 
diff -pruN 5.0.2-3/include/CGAL/Circulator/Safe_circulator_from_iterator.h 5.0.3-1/include/CGAL/Circulator/Safe_circulator_from_iterator.h
--- 5.0.2-3/include/CGAL/Circulator/Safe_circulator_from_iterator.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circulator/Safe_circulator_from_iterator.h	2020-08-01 19:02:18.000000000 +0000
@@ -1,4 +1,4 @@
-// Copyright (c) 1997, 2007 
+// Copyright (c) 1997, 2007
 // GeometryFactory (France),
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
@@ -8,14 +8,14 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circulator/include/CGAL/Circulator/Safe_circulator_from_iterator.h $
-// $Id: Safe_circulator_from_iterator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circulator/include/CGAL/Circulator/Safe_circulator_from_iterator.h $
+// $Id: Safe_circulator_from_iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>
 //                 Fernando Cacciola <fernando.cacciola@geometryfactory.com>
-// 
+//
 
 #ifndef CGAL_SAFE_CIRCULATOR_FROM_ITERATOR_H
 #define CGAL_SAFE_CIRCULATOR_FROM_ITERATOR_H
@@ -64,7 +64,7 @@ public:
     Safe_circulator_from_iterator() : m_begin(),
                                  m_end(),
                                  m_current(),
-				 m_empty( true)
+                                 m_empty( true)
   {}
 
     Safe_circulator_from_iterator( const I& bgn, const I& end)
@@ -94,15 +94,15 @@ public:
         return m_empty;
     }
     bool operator!=( std::nullptr_t p) const { return !(*this == p); }
-    
+
     bool operator==( const Self& c) const
     {
       CGAL_assertion( is_not_singular() ) ;
       return current_iterator() == c.current_iterator();
     }
-    
+
     bool operator!=( const Self& c) const { return !(*this == c); }
-    
+
     reference  operator*() const {
         CGAL_assertion( is_not_singular() ) ;
         CGAL_assertion( current_iterator() != end() );
@@ -170,23 +170,23 @@ public:
         tmp += n;
         return tmp.operator*();
     }
-    
+
     iterator const& begin()            const { return *m_begin;}
     iterator const& end()              const { return *m_end;}
     iterator const& current_iterator() const { return *m_current;}
     Self            min_circulator()   const { return Self( m_begin, m_end, m_begin, m_empty); }
-    
+
     Unsafe unsafe_circulator() const
     {
       CGAL_assertion( is_not_singular() ) ;
-      
+
       return Unsafe(begin(),end(),current_iterator());
     }
-    
+
 private:
 
     bool is_not_singular() const { return !!m_begin && !!m_end && !!m_current ; }
-    
+
     iterator& begin()            { return *m_begin;}
     iterator& end()              { return *m_end;}
     iterator& current_iterator() { return *m_current;}
diff -pruN 5.0.2-3/include/CGAL/circulator_bases.h 5.0.3-1/include/CGAL/circulator_bases.h
--- 5.0.2-3/include/CGAL/circulator_bases.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/circulator_bases.h	2020-08-01 19:02:18.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circulator/include/CGAL/circulator_bases.h $
-// $Id: circulator_bases.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circulator/include/CGAL/circulator_bases.h $
+// $Id: circulator_bases.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>
 
@@ -30,18 +30,18 @@ struct Iterator_tag {};
 // into a multiple user-defined conversions, problem.
 
 struct Forward_circulator_tag
-  : public std::forward_iterator_tag 
+  : public std::forward_iterator_tag
 {};
 
 struct Bidirectional_circulator_tag
-  : public std::bidirectional_iterator_tag 
-{ 
+  : public std::bidirectional_iterator_tag
+{
   operator Forward_circulator_tag() const { return Forward_circulator_tag(); }
 };
 
 struct Random_access_circulator_tag
   : public std::random_access_iterator_tag
-{ 
+{
   operator Bidirectional_circulator_tag() const { return Bidirectional_circulator_tag(); }
   operator Forward_circulator_tag() const { return Forward_circulator_tag(); }
 };
@@ -49,7 +49,7 @@ struct Random_access_circulator_tag
 template <typename Tag, typename T, typename Distance = std::ptrdiff_t,
           /* size is so awkwardly placed to faciliate using the
            * default arguments from the derived classes */
-          typename Size = std::size_t, typename Pointer = T*, 
+          typename Size = std::size_t, typename Pointer = T*,
           typename Reference = T&>
 struct Circulator_base {
   typedef Tag       iterator_category;
@@ -61,11 +61,11 @@ struct Circulator_base {
 };
 
 template <class T, class Dist = std::ptrdiff_t, class Size = std::size_t>
-struct Forward_circulator_base 
+struct Forward_circulator_base
   : Circulator_base<Forward_circulator_tag, T, Dist, Size> {};
 
 template <class T, class Dist = std::ptrdiff_t, class Size = std::size_t>
-struct Bidirectional_circulator_base 
+struct Bidirectional_circulator_base
   : Circulator_base<Bidirectional_circulator_tag, T, Dist, Size> {};
 
 template <class T, class Dist = std::ptrdiff_t, class Size = std::size_t>
diff -pruN 5.0.2-3/include/CGAL/circulator.h 5.0.3-1/include/CGAL/circulator.h
--- 5.0.2-3/include/CGAL/circulator.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/circulator.h	2020-08-01 19:02:18.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circulator/include/CGAL/circulator.h $
-// $Id: circulator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circulator/include/CGAL/circulator.h $
+// $Id: circulator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>
 
@@ -74,19 +74,19 @@ namespace internal {
 
 // default to Iterator_tag, special case Circulator tags
 template<typename Tag>
-struct Get_category 
+struct Get_category
 { typedef Iterator_tag type; };
 
 template<>
-struct Get_category<CGAL::Forward_circulator_tag> 
+struct Get_category<CGAL::Forward_circulator_tag>
 { typedef Circulator_tag type; };
 
 template<>
-struct Get_category<CGAL::Bidirectional_circulator_tag> 
+struct Get_category<CGAL::Bidirectional_circulator_tag>
 { typedef Circulator_tag type; };
 
 template<>
-struct Get_category<CGAL::Random_access_circulator_tag> 
+struct Get_category<CGAL::Random_access_circulator_tag>
 { typedef Circulator_tag type; };
 
 } // internal
@@ -397,7 +397,7 @@ template <class C> inline
 typename C::size_type
 circulator_size( const C& c) {
   typedef typename std::iterator_traits<C>::iterator_category category;
-  return I_circulator_size( c, 
+  return I_circulator_size( c,
                             category());
 }
 template <class C>
@@ -435,7 +435,7 @@ template <class C> inline
 typename C::difference_type
 circulator_distance( const C& c, const C& d) {
   typedef typename std::iterator_traits<C>::iterator_category category;
-  return I_circulator_distance( c, d, 
+  return I_circulator_distance( c, d,
                                 category());
 }
 template <class C> inline
@@ -712,7 +712,7 @@ public:
     typedef typename I_Circulator_from_iterator_traits<
         typename iterator_traits::iterator_category
         >::iterator_category                          iterator_category;
-    
+
     typedef typename Container::size_type size_type;
 private:
     Container*     ctnr;
@@ -983,7 +983,7 @@ public:
     Circulator_from_iterator() : m_begin(),
                                  m_end(),
                                  current(),
-				 empty( true)
+                                 empty( true)
   {}
 
     Circulator_from_iterator( const I& bgn, const I& end)
diff -pruN 5.0.2-3/include/CGAL/Circulator_identity.h 5.0.3-1/include/CGAL/Circulator_identity.h
--- 5.0.2-3/include/CGAL/Circulator_identity.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circulator_identity.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Circulator_identity.h $
-// $Id: Circulator_identity.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Circulator_identity.h $
+// $Id: Circulator_identity.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
diff -pruN 5.0.2-3/include/CGAL/Circulator_on_node.h 5.0.3-1/include/CGAL/Circulator_on_node.h
--- 5.0.2-3/include/CGAL/Circulator_on_node.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circulator_on_node.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Circulator_on_node.h $
-// $Id: Circulator_on_node.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Circulator_on_node.h $
+// $Id: Circulator_on_node.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
diff -pruN 5.0.2-3/include/CGAL/Circulator_project.h 5.0.3-1/include/CGAL/Circulator_project.h
--- 5.0.2-3/include/CGAL/Circulator_project.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Circulator_project.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Circulator_project.h $
-// $Id: Circulator_project.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Circulator_project.h $
+// $Id: Circulator_project.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
diff -pruN 5.0.2-3/include/CGAL/Classification/classify.h 5.0.3-1/include/CGAL/Classification/classify.h
--- 5.0.2-3/include/CGAL/Classification/classify.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/classify.h	2020-08-01 19:02:19.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/classify.h $
-// $Id: classify.h 85712ba 2020-01-14T15:03:20+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/classify.h $
+// $Id: classify.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot, Florent Lafarge
@@ -41,7 +41,7 @@ namespace internal {
     const Label_set& m_labels;
     const Classifier& m_classifier;
     LabelIndexRange& m_out;
-    
+
   public:
 
     Classify_functor (const Label_set& labels,
@@ -49,7 +49,7 @@ namespace internal {
                       LabelIndexRange& out)
       : m_labels (labels), m_classifier (classifier), m_out (out)
     { }
-    
+
 #ifdef CGAL_LINKED_WITH_TBB
     void operator()(const tbb::blocked_range<std::size_t>& r) const
     {
@@ -57,13 +57,13 @@ namespace internal {
         apply(s);
     }
 #endif // CGAL_LINKED_WITH_TBB
-    
+
     inline void apply (std::size_t s) const
     {
-      std::size_t nb_class_best=0; 
+      std::size_t nb_class_best=0;
       std::vector<float> values;
       m_classifier (s, values);
-        
+
       float val_class_best = 0.f;
       for(std::size_t k = 0; k < m_labels.size(); ++ k)
       {
@@ -86,7 +86,7 @@ namespace internal {
     const Classifier& m_classifier;
     LabelIndexRange& m_out;
     ProbabilitiesRanges& m_prob;
-    
+
   public:
 
     Classify_detailed_output_functor (const Label_set& labels,
@@ -95,7 +95,7 @@ namespace internal {
                                       ProbabilitiesRanges& prob)
       : m_labels (labels), m_classifier (classifier), m_out (out), m_prob (prob)
     { }
-    
+
 #ifdef CGAL_LINKED_WITH_TBB
     void operator()(const tbb::blocked_range<std::size_t>& r) const
     {
@@ -103,13 +103,13 @@ namespace internal {
         apply(s);
     }
 #endif // CGAL_LINKED_WITH_TBB
-    
+
     inline void apply (std::size_t s) const
     {
-      std::size_t nb_class_best=0; 
+      std::size_t nb_class_best=0;
       std::vector<float> values;
       m_classifier (s, values);
-        
+
       float val_class_best = 0.f;
       for(std::size_t k = 0; k < m_labels.size(); ++ k)
       {
@@ -132,7 +132,7 @@ namespace internal {
     const Label_set& m_labels;
     const Classifier& m_classifier;
     std::vector<std::vector<float> >& m_values;
-    
+
   public:
 
     Classify_functor_local_smoothing_preprocessing
@@ -142,7 +142,7 @@ namespace internal {
       : m_labels (labels), m_classifier (classifier), m_values (values)
     { }
 
-#ifdef CGAL_LINKED_WITH_TBB    
+#ifdef CGAL_LINKED_WITH_TBB
     void operator()(const tbb::blocked_range<std::size_t>& r) const
     {
       for (std::size_t s = r.begin(); s != r.end(); ++ s)
@@ -158,7 +158,7 @@ namespace internal {
         m_values[k][s] = values[k];
     }
   };
-  
+
   template <typename ItemRange, typename ItemMap, typename NeighborQuery, typename LabelIndexRange>
   class Classify_functor_local_smoothing
   {
@@ -168,7 +168,7 @@ namespace internal {
     const std::vector<std::vector<float> >& m_values;
     const NeighborQuery& m_neighbor_query;
     LabelIndexRange& m_out;
-    
+
   public:
 
     Classify_functor_local_smoothing (const ItemRange& input,
@@ -183,7 +183,7 @@ namespace internal {
         m_out (out)
     { }
 
-#ifdef CGAL_LINKED_WITH_TBB    
+#ifdef CGAL_LINKED_WITH_TBB
     void operator()(const tbb::blocked_range<std::size_t>& r) const
     {
       for (std::size_t s = r.begin(); s != r.end(); ++ s)
@@ -201,7 +201,7 @@ namespace internal {
         for (std::size_t j = 0; j < m_values.size(); ++ j)
           mean[j] += m_values[j][neighbors[n]];
 
-      std::size_t nb_class_best=0; 
+      std::size_t nb_class_best=0;
       float val_class_best = 0.f;
       for(std::size_t k = 0; k < mean.size(); ++ k)
       {
@@ -239,7 +239,7 @@ namespace internal {
 #else
     typedef CGAL::internal::Alpha_expansion_graph_cut_boykov_kolmogorov Alpha_expansion;
 #endif
-    
+
   public:
 
     Classify_functor_graphcut (const ItemRange& input,
@@ -264,12 +264,12 @@ namespace internal {
     }
 #endif // CGAL_LINKED_WITH_TBB
 
-    
+
     inline void apply (std::size_t sub) const
     {
       if (m_indices[sub].empty())
         return;
-        
+
       std::vector<std::pair<std::size_t, std::size_t> > edges;
       std::vector<double> edge_weights;
       std::vector<std::vector<double> > probability_matrix
@@ -279,7 +279,7 @@ namespace internal {
       for (std::size_t j = 0; j < m_indices[sub].size(); ++ j)
       {
         std::size_t s = m_indices[sub][j];
-            
+
         std::vector<std::size_t> neighbors;
 
         m_neighbor_query (get(m_item_map, *(m_input.begin()+s)), std::back_inserter (neighbors));
@@ -300,7 +300,7 @@ namespace internal {
         {
           float value = values[k];
           probability_matrix[k][j] = -std::log(value);
-            
+
           if(val_class_best < value)
           {
             val_class_best = value;
@@ -309,7 +309,7 @@ namespace internal {
         }
         assigned_label[j] = nb_class_best;
       }
-    
+
       Alpha_expansion graphcut;
       graphcut(edges, edge_weights, probability_matrix, assigned_label);
 
@@ -320,11 +320,11 @@ namespace internal {
   };
 
 } // namespace internal
-  
+
 /// \endcond
-  
 
-  /*! 
+
+  /*!
     \ingroup PkgClassificationMain
 
     \brief Runs the classification algorithm without any regularization.
@@ -335,7 +335,7 @@ namespace internal {
 
     \tparam ConcurrencyTag enables sequential versus parallel
     algorithm. Possible values are `Parallel_tag` or `Sequential_tag`.
-    
+
     \tparam ItemRange model of `ConstRange`. Its iterator type is
     `RandomAccessIterator`. Its value type depends on the data that is
     classified (for example, `CGAL::Point_3` or `CGAL::Triangle_3`).
@@ -414,7 +414,7 @@ namespace internal {
   }
   /// \endcond
 
-  /*! 
+  /*!
     \ingroup PkgClassificationMain
 
     \brief Runs the classification algorithm with a local smoothing.
@@ -464,7 +464,7 @@ namespace internal {
       f1 (labels, classifier, values);
     internal::Classify_functor_local_smoothing<ItemRange, ItemMap, NeighborQuery, LabelIndexRange>
       f2 (input, item_map, labels, values, neighbor_query, output);
-    
+
 #ifndef CGAL_LINKED_WITH_TBB
     CGAL_static_assertion_msg (!(boost::is_convertible<ConcurrencyTag, Parallel_tag>::value),
                                "Parallel_tag is enabled but TBB is unavailable.");
@@ -484,7 +484,7 @@ namespace internal {
     }
   }
 
-  /*! 
+  /*!
     \ingroup PkgClassificationMain
 
     \brief Runs the classification algorithm with a global
@@ -578,7 +578,7 @@ namespace internal {
 
     std::vector<std::vector<std::size_t> > indices (nb);
     std::vector<std::pair<std::size_t, std::size_t> > input_to_indices(input.size());
-    
+
     for (std::size_t s = 0; s < input.size(); ++ s)
     {
       CGAL::Bbox_3 b = get(item_map, *(input.begin() + s)).bbox();
@@ -596,7 +596,7 @@ namespace internal {
 
     internal::Classify_functor_graphcut<ItemRange, ItemMap, Classifier, NeighborQuery, LabelIndexRange>
       f (input, item_map, labels, classifier, neighbor_query, strength, indices, input_to_indices, output);
-    
+
 #ifndef CGAL_LINKED_WITH_TBB
     CGAL_static_assertion_msg (!(boost::is_convertible<ConcurrencyTag, Parallel_tag>::value),
                                "Parallel_tag is enabled but TBB is unavailable.");
diff -pruN 5.0.2-3/include/CGAL/Classification/Cluster.h 5.0.3-1/include/CGAL/Classification/Cluster.h
--- 5.0.2-3/include/CGAL/Classification/Cluster.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Cluster.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Cluster.h $
-// $Id: Cluster.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Cluster.h $
+// $Id: Cluster.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -59,7 +59,7 @@ public:
   };
   std::shared_ptr<std::vector<std::size_t> > neighbors;
   /// \endcond
-  
+
   /// \cond SKIP_IN_MANUAL
   class Point_idx_to_point_unary_function
   {
@@ -81,16 +81,16 @@ public:
     }
   };
   /// \endcond
-  
+
 private:
   const ItemRange* m_range;
   ItemMap m_item_map;
-  
+
   std::shared_ptr<std::vector<std::size_t> > m_inliers;
   mutable CGAL::Bbox_3 m_bounding_box;
   int m_training;
   int m_label;
-  
+
 public:
 
   /// \name Constructor
@@ -120,7 +120,7 @@ public:
     \brief Clears the cluster.
   */
   void clear () { m_inliers->clear(); }
-  
+
   /*!
     \brief Inserts element of index `idx` in the cluster.
   */
@@ -130,7 +130,7 @@ public:
 
   /// \name Access
   /// @{
-  
+
   /*!
     \brief Returns the number of items in the cluster.
   */
@@ -140,7 +140,7 @@ public:
     \brief Returns the index (in the input range) of the i^{th} element of the cluster.
   */
   std::size_t index (std::size_t i) const { return (*m_inliers)[i]; }
-  
+
   /*!
     \brief Returns the i^{th} item of the cluster.
   */
@@ -171,17 +171,17 @@ public:
     \brief Returns the input classification value used for training.
   */
   int training() const { return m_training; }
-  
+
   /*!
     \brief Returns a reference to the input classification value used for training.
   */
   int& training() { return m_training; }
-  
+
   /*!
     \brief Returns the output classification value.
   */
   int label() const { return m_label; }
-  
+
   /*!
     \brief Returns a reference to the output classification value.
   */
@@ -228,7 +228,7 @@ std::size_t create_clusters_from_indices
   {
     int c = int(get (index_map, idx));
     if (c == -1)
-      continue;  
+      continue;
     if (std::size_t(c) >= clusters.size())
     {
       clusters.reserve (c + 1);
@@ -237,7 +237,7 @@ std::size_t create_clusters_from_indices
     }
     clusters[std::size_t(c)].insert (idx);
   }
-  
+
   return clusters.size();
 }
 
diff -pruN 5.0.2-3/include/CGAL/Classification/compressed_float.h 5.0.3-1/include/CGAL/Classification/compressed_float.h
--- 5.0.2-3/include/CGAL/Classification/compressed_float.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/compressed_float.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/compressed_float.h $
-// $Id: compressed_float.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/compressed_float.h $
+// $Id: compressed_float.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -39,18 +39,18 @@ typedef unsigned short compressed_float;
 #  else // Default = compress with unsigned char
 typedef unsigned char compressed_float;
 #  endif
- 
-inline compressed_float compress_float (const float& f, const float& min = 0.f, const float& max = 1.f)
+
+inline compressed_float compress_float (const float& f, const float& fmin = 0.f, const float& fmax = 1.f)
 {
   return static_cast<compressed_float>
-    (float(std::numeric_limits<compressed_float>::max()) * (f - min) / (max - min));
+    (float((std::numeric_limits<compressed_float>::max)()) * (f - fmin) / (fmax - fmin));
 }
 
-inline float decompress_float (const compressed_float& t, const float& min = 0.f, const float& max = 1.f)
+inline float decompress_float (const compressed_float& t, const float& fmin = 0.f, const float& fmax = 1.f)
 {
-  return ((max - min) * (t / float(std::numeric_limits<compressed_float>::max())) + min);
+  return ((fmax - fmin) * (t / float((std::numeric_limits<compressed_float>::max)())) + fmin);
 }
-  
+
 #endif
 
 
diff -pruN 5.0.2-3/include/CGAL/Classification/ETHZ/internal/dataview.h 5.0.3-1/include/CGAL/Classification/ETHZ/internal/dataview.h
--- 5.0.2-3/include/CGAL/Classification/ETHZ/internal/dataview.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/ETHZ/internal/dataview.h	2020-08-01 19:02:18.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/ETHZ/internal/dataview.h $
-// $Id: dataview.h 0228f1e 2019-10-20T10:43:11+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/ETHZ/internal/dataview.h $
+// $Id: dataview.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LicenseRef-RFL
 // License notice in Installation/LICENSE.RFL
 //
@@ -21,7 +21,7 @@
 #include <vector>
 
 namespace CGAL { namespace internal {
-    
+
 namespace liblearning {
 //! \brief A view for one-dimensional data
 //
@@ -49,7 +49,7 @@ struct DataView1D {
         data(&vec[0]), step(1), num_elements(vec.size())
     {
     }
-    
+
     //! \brief Construct empty view
     DataView1D() : data(0), step(1), num_elements(0)
     {
diff -pruN 5.0.2-3/include/CGAL/Classification/ETHZ/internal/random-forest/common-libraries.hpp 5.0.3-1/include/CGAL/Classification/ETHZ/internal/random-forest/common-libraries.hpp
--- 5.0.2-3/include/CGAL/Classification/ETHZ/internal/random-forest/common-libraries.hpp	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/ETHZ/internal/random-forest/common-libraries.hpp	2020-08-01 19:02:18.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/ETHZ/internal/random-forest/common-libraries.hpp $
-// $Id: common-libraries.hpp 0228f1e 2019-10-20T10:43:11+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/ETHZ/internal/random-forest/common-libraries.hpp $
+// $Id: common-libraries.hpp 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LicenseRef-RFL
 // License notice in Installation/LICENSE.RFL
 //
@@ -35,7 +35,7 @@
 #include <boost/random/mersenne_twister.hpp>
 #if BOOST_VERSION >= 104700
 #  include <boost/random/uniform_int_distribution.hpp>
-#else 
+#else
 #  include <boost/random/uniform_int.hpp>
 #endif
 #include <boost/random/uniform_01.hpp>
@@ -67,14 +67,14 @@ typedef boost::random::uniform_int_distr
 typedef boost::random::normal_distribution<> NormalDist;
 typedef boost::random::mt19937 RandomGen;
 typedef boost::random::uniform_01<> UnitDist;
-#else 
+#else
 typedef boost::uniform_int<> UniformIntDist;
 typedef boost::normal_distribution<> NormalDist;
 typedef boost::uniform_01<> UnitDist;
 typedef boost::mt19937 RandomGen;
 #endif
 
-struct ForestParams { 
+struct ForestParams {
     size_t n_classes;
     size_t n_features;
     size_t n_samples;
@@ -182,7 +182,7 @@ struct LinearSplitter {
         for (int i_sample = 0; i_sample < n_samples; ++i_sample) {
             int sample_idx    = sample_idxes[i_sample];
             int sample_class  = labels(sample_idx, 0);
-            FeatureType sample_fval = std::inner_product(w.begin(), w.end(), 
+            FeatureType sample_fval = std::inner_product(w.begin(), w.end(),
                                                    samples.row_pointer(sample_idx), 0.0f);
             data_points[i_sample] = std::make_pair(sample_fval, sample_class);
         }
@@ -201,8 +201,8 @@ struct AxisAlignedSplitter {
     int feature;
     FeatureType threshold;
     AxisAlignedSplitter() : feature(-1) {}
-    AxisAlignedSplitter(int feature) : 
-        feature(feature) 
+    AxisAlignedSplitter(int feature) :
+        feature(feature)
     {}
     void set_threshold(FeatureType new_threshold) {
         threshold = new_threshold;
@@ -219,7 +219,7 @@ struct AxisAlignedSplitter {
       std::size_t size = (std::min)(std::size_t(5000), std::size_t(n_samples));
       data_points.clear();
       data_points.reserve(size);
-      
+
       std::size_t step = n_samples / size;
 
       for (int i_sample = 0; i_sample < n_samples; i_sample += step) {
@@ -278,7 +278,7 @@ struct LinearSplitGenerator {
     typedef float FeatureType;
     size_t n_features;
     size_t n_proposals;
-    LinearSplitGenerator(size_t n_proposals = 5) : 
+    LinearSplitGenerator(size_t n_proposals = 5) :
         n_proposals(n_proposals)
     {}
     void init(DataView2D<FeatureType> samples,
@@ -307,7 +307,7 @@ struct QuadraticSplitGenerator {
     typedef float FeatureType;
     size_t n_features;
     size_t n_proposals;
-    QuadraticSplitGenerator(size_t n_proposals = 5) : 
+    QuadraticSplitGenerator(size_t n_proposals = 5) :
         n_proposals(n_proposals)
     {}
     void init(DataView2D<FeatureType> samples,
@@ -336,5 +336,5 @@ struct QuadraticSplitGenerator {
 }
 
 }} // namespace CGAL::internal::
-    
+
 #endif
diff -pruN 5.0.2-3/include/CGAL/Classification/ETHZ/internal/random-forest/forest.hpp 5.0.3-1/include/CGAL/Classification/ETHZ/internal/random-forest/forest.hpp
--- 5.0.2-3/include/CGAL/Classification/ETHZ/internal/random-forest/forest.hpp	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/ETHZ/internal/random-forest/forest.hpp	2020-08-01 19:02:18.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/ETHZ/internal/random-forest/forest.hpp $
-// $Id: forest.hpp 213852c 2020-01-22T10:33:51+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/ETHZ/internal/random-forest/forest.hpp $
+// $Id: forest.hpp 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LicenseRef-RFL
 // License notice in Installation/LICENSE.RFL
 //
@@ -55,7 +55,7 @@ class Tree_training_functor
   typedef typename NodeT::ParamType ParamType;
   typedef typename NodeT::FeatureType FeatureType;
   typedef Tree<NodeT> TreeType;
-  
+
   std::size_t seed_start;
   const std::vector<int>& sample_idxes;
   boost::ptr_vector<Tree<NodeT> >& trees;
@@ -63,7 +63,7 @@ class Tree_training_functor
   DataView2D<int> labels;
   std::size_t n_in_bag_samples;
   const SplitGenerator& split_generator;
-  
+
 public:
 
   Tree_training_functor(std::size_t seed_start,
@@ -81,7 +81,7 @@ public:
     , n_in_bag_samples(n_in_bag_samples)
     , split_generator(split_generator)
   { }
-    
+
 #ifdef CGAL_LINKED_WITH_TBB
   void operator()(const tbb::blocked_range<std::size_t>& r) const
   {
@@ -89,7 +89,7 @@ public:
       apply(s);
   }
 #endif // CGAL_LINKED_WITH_TBB
-    
+
   inline void apply (std::size_t i_tree) const
   {
     // initialize random generator with sequential seeds (one for each
@@ -120,14 +120,14 @@ public:
     RandomForest(ParamType const& params) : params(params) {}
 
     template<typename ConcurrencyTag, typename SplitGenerator>
-    void train(DataView2D<FeatureType> samples, 
-               DataView2D<int> labels, 
-               DataView2D<int> train_sample_idxes, 
+    void train(DataView2D<FeatureType> samples,
+               DataView2D<int> labels,
+               DataView2D<int> train_sample_idxes,
                SplitGenerator const& split_generator,
                size_t seed_start = 1,
                bool reset_trees = true,
                std::size_t n_classes = std::size_t(-1)
-               ) 
+               )
     {
         if (reset_trees)
           trees.clear();
@@ -136,7 +136,7 @@ public:
           params.n_classes = *std::max_element(&labels(0,0), &labels(0,0)+labels.num_elements()) + 1;
         else
           params.n_classes = n_classes;
-        
+
         params.n_features = samples.cols;
         params.n_samples  = samples.rows;
 
@@ -159,7 +159,7 @@ public:
         std::size_t nb_trees = trees.size();
         for (std::size_t i_tree = nb_trees; i_tree < nb_trees + params.n_trees; ++ i_tree)
           trees.push_back (new TreeType(&params));
-        
+
         Tree_training_functor<NodeT, SplitGenerator>
           f (seed_start, sample_idxes, trees, samples, labels, params.n_in_bag_samples, split_generator);
 
diff -pruN 5.0.2-3/include/CGAL/Classification/ETHZ/internal/random-forest/node-gini.hpp 5.0.3-1/include/CGAL/Classification/ETHZ/internal/random-forest/node-gini.hpp
--- 5.0.2-3/include/CGAL/Classification/ETHZ/internal/random-forest/node-gini.hpp	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/ETHZ/internal/random-forest/node-gini.hpp	2020-08-01 19:02:18.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/ETHZ/internal/random-forest/node-gini.hpp $
-// $Id: node-gini.hpp 0228f1e 2019-10-20T10:43:11+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/ETHZ/internal/random-forest/node-gini.hpp $
+// $Id: node-gini.hpp 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LicenseRef-RFL
 // License notice in Installation/LICENSE.RFL
 //
@@ -44,10 +44,10 @@ public:
     NodeGini() {}
     NodeGini(int depth, ParamType const* params) :
         Node< NodeGini<Splitter>, ForestParams, Splitter>(depth, params)
-    { 
+    {
     }
 
-    uint64_t gini_square_term(std::vector<uint64_t> const& frequencies) const 
+    uint64_t gini_square_term(std::vector<uint64_t> const& frequencies) const
     {
         return std::inner_product( frequencies.begin(), frequencies.end(), frequencies.begin(), uint64_t(0));
     }
@@ -75,7 +75,7 @@ public:
                   {
                     return a.first < b.first;
                   });
-                      
+
         // loop over data, update class distributions left&right
         for (size_t i_point = 1; i_point < data_points.size(); ++i_point) {
             int cls = data_points[i_point-1].second;
diff -pruN 5.0.2-3/include/CGAL/Classification/ETHZ/internal/random-forest/node.hpp 5.0.3-1/include/CGAL/Classification/ETHZ/internal/random-forest/node.hpp
--- 5.0.2-3/include/CGAL/Classification/ETHZ/internal/random-forest/node.hpp	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/ETHZ/internal/random-forest/node.hpp	2020-08-01 19:02:18.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/ETHZ/internal/random-forest/node.hpp $
-// $Id: node.hpp 0228f1e 2019-10-20T10:43:11+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/ETHZ/internal/random-forest/node.hpp $
+// $Id: node.hpp 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LicenseRef-RFL
 // License notice in Installation/LICENSE.RFL
 //
@@ -42,7 +42,7 @@ public:
     typedef ParamT ParamType;
     ParamType const* params;
     Splitter splitter;
-    
+
     boost::scoped_ptr<Derived> left;
     boost::scoped_ptr<Derived> right;
     std::vector<float> node_dist;
@@ -53,7 +53,7 @@ public:
     {}
 
     bool pure(DataView2D<int> labels, int* sample_idxes) const {
-        if (n_samples < 2) 
+        if (n_samples < 2)
             return true; // an empty node is by definition pure
         int first_sample_idx = sample_idxes[0];
         int seen_class = labels(first_sample_idx, 0);
@@ -72,7 +72,7 @@ public:
 
     int partition_samples(DataView2D<FeatureType> samples, int* sample_idxes) {
         // sort samples in bag so that left-samples precede right-samples
-        // works like std::partition 
+        // works like std::partition
         int low  = 0;
         int high = n_samples;
 
@@ -139,8 +139,8 @@ public:
         std::vector<uint64_t> classes_r;
 
         // pass information about data to split generator
-        split_generator.init(samples, 
-                             labels, 
+        split_generator.init(samples,
+                             labels,
                              sample_idxes,
                              n_samples,
                              params->n_classes,
@@ -149,7 +149,7 @@ public:
         size_t n_proposals = split_generator.num_proposals();
 
         std::pair<FeatureType, float> results; // (threshold, loss)
-        
+
         for (size_t i_proposal = 0; i_proposal < n_proposals; ++i_proposal) {
             // generate proposal
             Splitter split = split_generator.gen_proposal(gen);
@@ -167,13 +167,13 @@ public:
     }
 
     template<typename SplitGenerator>
-    void train(DataView2D<FeatureType> samples, 
-               DataView2D<int> labels, 
-               int* sample_idxes, 
-               size_t n_samples_, 
+    void train(DataView2D<FeatureType> samples,
+               DataView2D<int> labels,
+               int* sample_idxes,
+               size_t n_samples_,
                SplitGenerator const& split_generator,
                RandomGen& gen
-               ) 
+               )
     {
         n_samples = n_samples_;
         node_dist.resize(params->n_classes, 0.0f);
@@ -195,7 +195,7 @@ public:
             return;
         }
 
-        is_leaf = false; 
+        is_leaf = false;
 
 #if VERBOSE_NODE_LEARNING
         std::printf("Determining the best split at depth %zu/%zu\n", depth, params->max_depth);
@@ -213,20 +213,20 @@ public:
         int offset_right    = low;
 #ifdef TREE_GRAPHVIZ_STREAM
         if (depth <= TREE_GRAPHVIZ_MAX_DEPTH) {
-            TREE_GRAPHVIZ_STREAM << "p" << std::hex << (unsigned long)this       
-                << " -> " 
-                << "p" << std::hex << (unsigned long)left.get() 
+            TREE_GRAPHVIZ_STREAM << "p" << std::hex << (unsigned long)this
+                << " -> "
+                << "p" << std::hex << (unsigned long)left.get()
                 << std::dec << " [label=\"" << n_samples_left << "\"];" <<  std::endl;
-            TREE_GRAPHVIZ_STREAM << "p" << std::hex << (unsigned long)this       
-                << " -> " 
-                << "p" << std::hex << (unsigned long)right.get() 
+            TREE_GRAPHVIZ_STREAM << "p" << std::hex << (unsigned long)this
+                << " -> "
+                << "p" << std::hex << (unsigned long)right.get()
                 << std::dec << " [label=\"" << n_samples_right << "\"];" << std::endl;
         }
 #endif
         // train left and right side of split
         left->train (samples, labels, sample_idxes + offset_left,  n_samples_left,  split_generator, gen);
         right->train(samples, labels, sample_idxes + offset_right, n_samples_right, split_generator, gen);
-    } 
+    }
 
     template <typename Archive>
     void serialize(Archive& ar, unsigned /*version*/)
@@ -243,7 +243,7 @@ public:
           ar & BOOST_SERIALIZATION_NVP(right);
         }
     }
-  
+
     void get_feature_usage (std::vector<std::size_t>& count) const
     {
       if (!is_leaf)
diff -pruN 5.0.2-3/include/CGAL/Classification/ETHZ/internal/random-forest/tree.hpp 5.0.3-1/include/CGAL/Classification/ETHZ/internal/random-forest/tree.hpp
--- 5.0.2-3/include/CGAL/Classification/ETHZ/internal/random-forest/tree.hpp	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/ETHZ/internal/random-forest/tree.hpp	2020-08-01 19:02:18.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/ETHZ/internal/random-forest/tree.hpp $
-// $Id: tree.hpp 0228f1e 2019-10-20T10:43:11+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/ETHZ/internal/random-forest/tree.hpp $
+// $Id: tree.hpp 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LicenseRef-RFL
 // License notice in Installation/LICENSE.RFL
 //
@@ -40,13 +40,13 @@ public:
     { }
 
     template<typename SplitGenerator>
-    void train(DataView2D<FeatureType> samples, 
-               DataView2D<int> labels, 
-               int* sample_idxes, 
-               size_t n_samples, 
+    void train(DataView2D<FeatureType> samples,
+               DataView2D<int> labels,
+               int* sample_idxes,
+               size_t n_samples,
                SplitGenerator split_generator,
                RandomGen const& gen
-               ) 
+               )
     {
         // copy generator
         RandomGen my_gen = gen;
diff -pruN 5.0.2-3/include/CGAL/Classification/ETHZ/Random_forest_classifier.h 5.0.3-1/include/CGAL/Classification/ETHZ/Random_forest_classifier.h
--- 5.0.2-3/include/CGAL/Classification/ETHZ/Random_forest_classifier.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/ETHZ/Random_forest_classifier.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/ETHZ/Random_forest_classifier.h $
-// $Id: Random_forest_classifier.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/ETHZ/Random_forest_classifier.h $
+// $Id: Random_forest_classifier.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -68,16 +68,16 @@ class Random_forest_classifier
   typedef CGAL::internal::liblearning::RandomForest::RandomForest
   < CGAL::internal::liblearning::RandomForest::NodeGini
     < CGAL::internal::liblearning::RandomForest::AxisAlignedSplitter> > Forest;
-  
+
   const Label_set& m_labels;
   const Feature_set& m_features;
   Forest* m_rfc;
 
 public:
-  
+
   /// \name Constructor
   /// @{
-  
+
   /*!
     \brief Instantiates the classifier using the sets of `labels` and `features`.
 
@@ -86,7 +86,7 @@ public:
                             const Feature_set& features)
     : m_labels (labels), m_features (features), m_rfc (nullptr)
   { }
-  
+
   /*!
     \brief Copies the `other` classifier's configuration using another
     set of `features`.
@@ -106,7 +106,7 @@ public:
     other.save_configuration(stream);
     this->load_configuration(stream);
   }
-  
+
   /// \cond SKIP_IN_MANUAL
   ~Random_forest_classifier ()
   {
@@ -114,7 +114,7 @@ public:
       delete m_rfc;
   }
   /// \endcond
-  
+
   /// @}
 
   /// \name Training
@@ -134,7 +134,7 @@ public:
 #endif
   }
   /// \endcond
-    
+
   /*!
     \brief Runs the training algorithm.
 
@@ -183,7 +183,7 @@ public:
 
     std::vector<int> gt;
     std::vector<float> ft;
-    
+
     for (std::size_t i = 0; i < ground_truth.size(); ++ i)
     {
       int g = int(ground_truth[i]);
@@ -197,7 +197,7 @@ public:
 
     CGAL_CLASSIFICATION_CERR << "Using " << gt.size() << " inliers" << std::endl;
 
-    CGAL::internal::liblearning::DataView2D<int> label_vector (&(gt[0]), gt.size(), 1);    
+    CGAL::internal::liblearning::DataView2D<int> label_vector (&(gt[0]), gt.size(), 1);
     CGAL::internal::liblearning::DataView2D<float> feature_vector(&(ft[0]), gt.size(), ft.size() / gt.size());
 
     if (m_rfc != nullptr && reset_trees)
@@ -205,12 +205,12 @@ public:
       delete m_rfc;
       m_rfc = nullptr;
     }
-    
+
     if (m_rfc == nullptr)
       m_rfc = new Forest (params);
 
     CGAL::internal::liblearning::RandomForest::AxisAlignedRandomSplitGenerator generator;
-    
+
     m_rfc->train<ConcurrencyTag>
       (feature_vector, label_vector, CGAL::internal::liblearning::DataView2D<int>(), generator, 0, reset_trees, m_labels.size());
   }
@@ -219,7 +219,7 @@ public:
   void operator() (std::size_t item_index, std::vector<float>& out) const
   {
     out.resize (m_labels.size(), 0.);
-    
+
     std::vector<float> ft;
     ft.reserve (m_features.size());
     for (std::size_t f = 0; f < m_features.size(); ++ f)
@@ -228,18 +228,18 @@ public:
     std::vector<float> prob (m_labels.size());
 
     m_rfc->evaluate (ft.data(), prob.data());
-    
+
     for (std::size_t i = 0; i < out.size(); ++ i)
       out[i] = (std::min) (1.f, (std::max) (0.f, prob[i]));
   }
 
   /// \endcond
-  
+
   /// @}
 
   /// \name Miscellaneous
   /// @{
-  
+
   /*!
     \brief Computes, for each feature, how many nodes in the forest
     uses it as a split criterion.
@@ -269,12 +269,12 @@ public:
     count.resize(m_features.size(), 0);
     return m_rfc->get_feature_usage(count);
   }
-  
+
   /// @}
 
   /// \name Input/Output
   /// @{
-  
+
   /*!
     \brief Saves the current configuration in the stream `output`.
 
@@ -308,7 +308,7 @@ public:
     if (m_rfc != nullptr)
       delete m_rfc;
     m_rfc = new Forest (params);
-    
+
     boost::iostreams::filtering_istream ins;
     ins.push(boost::iostreams::gzip_decompressor());
     ins.push(input);
diff -pruN 5.0.2-3/include/CGAL/Classification/Evaluation.h 5.0.3-1/include/CGAL/Classification/Evaluation.h
--- 5.0.2-3/include/CGAL/Classification/Evaluation.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Evaluation.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Evaluation.h $
-// $Id: Evaluation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Evaluation.h $
+// $Id: Evaluation.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -45,7 +45,7 @@ public:
   /// \name Constructor
   /// @{
 
-  
+
 /*!
 
   \brief Instantiates an evaluation object and computes all
@@ -79,7 +79,7 @@ public:
 
     std::size_t sum_true_positives = 0;
     std::size_t total = 0;
-    
+
     for (std::size_t j = 0; j < ground_truth.size(); ++ j)
     {
       int gt = static_cast<int>(ground_truth[j]);
@@ -101,7 +101,7 @@ public:
     m_mean_f1 = 0.;
 
     std::size_t correct_labels = 0;
-    
+
     for (std::size_t j = 0; j < labels.size(); ++ j)
     {
       m_precision[j] = true_positives[j] / float(true_positives[j] + false_positives[j]);
@@ -186,11 +186,11 @@ public:
   }
 
   /// @}
-  
+
   /// \name Global Evaluation
   /// @{
 
-  
+
   /*!
     \brief Returns the accuracy of the training.
 
@@ -198,13 +198,13 @@ public:
     total number of provided inliers.
   */
   float accuracy() const { return m_accuracy; }
-  
+
   /*!
     \brief Returns the mean \f$F_1\f$ score of the training over all
     labels (see `f1_score()`).
   */
   float mean_f1_score() const { return m_mean_f1; }
-  
+
   /*!
     \brief Returns the mean intersection over union of the training
     over all labels (see `intersection_over_union()`).
@@ -212,10 +212,10 @@ public:
   float mean_intersection_over_union() const { return m_mean_iou; }
 
   /// @}
-  
+
 };
-  
-  
+
+
 } // namespace Classification
 
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature/Cluster_mean_of_feature.h 5.0.3-1/include/CGAL/Classification/Feature/Cluster_mean_of_feature.h
--- 5.0.2-3/include/CGAL/Classification/Feature/Cluster_mean_of_feature.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature/Cluster_mean_of_feature.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature/Cluster_mean_of_feature.h $
-// $Id: Cluster_mean_of_feature.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature/Cluster_mean_of_feature.h $
+// $Id: Cluster_mean_of_feature.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -36,7 +36,7 @@ namespace Feature {
 class Cluster_mean_of_feature : public CGAL::Classification::Feature_base
 {
   std::vector<float> m_values;
-    
+
 public:
 
   /*!
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature/Cluster_size.h 5.0.3-1/include/CGAL/Classification/Feature/Cluster_size.h
--- 5.0.2-3/include/CGAL/Classification/Feature/Cluster_size.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature/Cluster_size.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature/Cluster_size.h $
-// $Id: Cluster_size.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature/Cluster_size.h $
+// $Id: Cluster_size.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -33,7 +33,7 @@ namespace Feature {
 class Cluster_size : public CGAL::Classification::Feature_base
 {
   std::vector<float> m_values;
-    
+
 public:
 
   /*!
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature/Cluster_variance_of_feature.h 5.0.3-1/include/CGAL/Classification/Feature/Cluster_variance_of_feature.h
--- 5.0.2-3/include/CGAL/Classification/Feature/Cluster_variance_of_feature.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature/Cluster_variance_of_feature.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature/Cluster_variance_of_feature.h $
-// $Id: Cluster_variance_of_feature.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature/Cluster_variance_of_feature.h $
+// $Id: Cluster_variance_of_feature.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -36,7 +36,7 @@ namespace Feature {
 class Cluster_variance_of_feature : public CGAL::Classification::Feature_base
 {
   std::vector<float> m_values;
-    
+
 public:
 
   /*!
@@ -83,7 +83,7 @@ public:
     return m_values[cluster_index];
   }
   /// \endcond
-    
+
 };
 
 } // namespace Feature
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature/Cluster_vertical_extent.h 5.0.3-1/include/CGAL/Classification/Feature/Cluster_vertical_extent.h
--- 5.0.2-3/include/CGAL/Classification/Feature/Cluster_vertical_extent.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature/Cluster_vertical_extent.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature/Cluster_vertical_extent.h $
-// $Id: Cluster_vertical_extent.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature/Cluster_vertical_extent.h $
+// $Id: Cluster_vertical_extent.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -36,7 +36,7 @@ namespace Feature {
 class Cluster_vertical_extent : public CGAL::Classification::Feature_base
 {
   std::vector<float> m_values;
-  
+
 public:
 
   /*!
@@ -52,15 +52,15 @@ public:
   Cluster_vertical_extent (const ClusterRange& clusters)
   {
     typedef typename ClusterRange::const_iterator::value_type::Item Item;
-    
+
     this->set_name ("cluster_vertical_extent");
 
     m_values.reserve (clusters.size());
     for (std::size_t i = 0; i < clusters.size(); ++ i)
     {
-      float min_z = std::numeric_limits<float>::max();
-      float max_z = -std::numeric_limits<float>::min();
-        
+      float min_z = (std::numeric_limits<float>::max)();
+      float max_z = -(std::numeric_limits<float>::min)();
+
       for (std::size_t j = 0; j < clusters[i].size(); ++ j)
       {
         const Item& item = clusters[i][j];
@@ -75,7 +75,7 @@ public:
   /// \cond SKIP_IN_MANUAL
   virtual float value (std::size_t cluster_index) { return m_values[cluster_index]; }
   /// \endcond
-    
+
 };
 
 } // namespace Feature
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature/Color_channel.h 5.0.3-1/include/CGAL/Classification/Feature/Color_channel.h
--- 5.0.2-3/include/CGAL/Classification/Feature/Color_channel.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature/Color_channel.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature/Color_channel.h $
-// $Id: Color_channel.h b9a079b 2019-11-04T11:34:53+01:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature/Color_channel.h $
+// $Id: Color_channel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -24,7 +24,7 @@ namespace CGAL {
 namespace Classification {
 
 namespace Feature {
-  
+
   /*!
     \ingroup PkgClassificationFeatures
 
@@ -46,7 +46,7 @@ namespace Feature {
     Its default name is "color_hue", "color_saturation" or
     "color_value", depending on which channel is chosen in the
     constructor.
-    
+
     \note The user only needs to provide a map to standard (and more common)
     RGB colors, the conversion to HSV is done internally.
 
@@ -72,13 +72,13 @@ public:
   };
 
 private:
-  
+
   const PointRange& input;
   ColorMap color_map;
   Channel m_channel;
-  
+
 public:
-  
+
   /*!
     \brief Constructs a feature based on the given color channel.
 
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature/Distance_to_plane.h 5.0.3-1/include/CGAL/Classification/Feature/Distance_to_plane.h
--- 5.0.2-3/include/CGAL/Classification/Feature/Distance_to_plane.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature/Distance_to_plane.h	2020-08-01 19:02:18.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature/Distance_to_plane.h $
-// $Id: Distance_to_plane.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature/Distance_to_plane.h $
+// $Id: Distance_to_plane.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot, Florent Lafarge
@@ -35,7 +35,7 @@ namespace Feature {
     plane.
 
     Its default name is "distance_to_plane".
-    
+
     \tparam PointRange model of `ConstRange`. Its iterator type
     is `RandomAccessIterator` and its value type is the key type of
     `PointMap`.
@@ -48,7 +48,7 @@ class Distance_to_plane : public Feature
 {
 
   typedef typename CGAL::Kernel_traits<typename PointMap::value_type>::Kernel Kernel;
-  
+
 #ifdef CGAL_CLASSIFICATION_PRECOMPUTE_FEATURES
   std::vector<float> distance_to_plane_feature;
 #else
@@ -56,7 +56,7 @@ class Distance_to_plane : public Feature
   PointMap point_map;
   const Local_eigen_analysis& eigen;
 #endif
-  
+
 public:
   /*!
     \brief Constructs the feature.
@@ -73,7 +73,7 @@ public:
 #endif
   {
     this->set_name ("distance_to_plane");
-#ifdef CGAL_CLASSIFICATION_PRECOMPUTE_FEATURES    
+#ifdef CGAL_CLASSIFICATION_PRECOMPUTE_FEATURES
     for(std::size_t i = 0; i < input.size(); i++)
       distance_to_plane_feature.push_back
         (CGAL::sqrt (CGAL::squared_distance (get(point_map, *(input.begin()+i)), eigen.plane<Kernel>(i))));
@@ -97,7 +97,7 @@ public:
 } // namespace Feature
 
 } // namespace Classification
-  
+
 } // namespace CGAL
 
 #endif // CGAL_CLASSIFICATION_FEATURE_DISTANCE_TO_PLANE_H
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature/Echo_scatter.h 5.0.3-1/include/CGAL/Classification/Feature/Echo_scatter.h
--- 5.0.2-3/include/CGAL/Classification/Feature/Echo_scatter.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature/Echo_scatter.h	2020-08-01 19:02:18.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature/Echo_scatter.h $
-// $Id: Echo_scatter.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature/Echo_scatter.h $
+// $Id: Echo_scatter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot, Florent Lafarge
@@ -27,7 +27,7 @@ namespace CGAL {
 namespace Classification {
 
 namespace Feature {
-  
+
   /*!
     \ingroup PkgClassificationFeatures
 
@@ -53,13 +53,13 @@ class Echo_scatter : public Feature_base
 {
 public:
   typedef Classification::Planimetric_grid<GeomTraits, PointRange, PointMap> Grid;
-private:  
+private:
   typedef Classification::Image<compressed_float> Image_cfloat;
 
   const Grid& grid;
   Image_cfloat Scatter;
   std::vector<compressed_float> echo_scatter;
-  
+
 public:
   /*!
     \brief Constructs the feature.
@@ -84,12 +84,12 @@ public:
     else
     {
       Scatter = Image_cfloat(grid.width(), grid.height());
-      for (std::size_t j = 0; j < grid.height(); j++)	
+      for (std::size_t j = 0; j < grid.height(); j++)
         for (std::size_t i = 0; i < grid.width(); i++)
           if (grid.has_points(i,j))
             Scatter(i,j) = compressed_float(0);
     }
-    
+
     std::size_t square = (std::size_t)(0.5 * radius_neighbors / grid.resolution()) + 1;
 
     for (std::size_t j = 0; j < grid.height(); j++)
@@ -101,13 +101,13 @@ public:
           std::size_t squareXmax = (std::min) (grid.width()-1, i + square);
           std::size_t squareYmin = (j < square ? 0 : j - square);
           std::size_t squareYmax = (std::min) (grid.height()-1, j + square);
-			
+
           std::size_t NB_echo_sup=0;
           std::size_t NB_echo_total=0;
 
           for(std::size_t k = squareXmin; k <= squareXmax; k++){
             for(std::size_t l = squareYmin; l <= squareYmax; l++){
-									
+
               if(CGAL::sqrt(pow((float)k-i,2)+pow((float)l-j,2))<=(float)0.5*radius_neighbors/grid.resolution())
               {
                 typename Grid::iterator end = grid.indices_end(k,l);
@@ -122,11 +122,11 @@ public:
                 NB_echo_total=NB_echo_total+nb;
 
               }
-						
+
             }
-					
+
           }
-					
+
           compressed_float v = compress_float (NB_echo_sup/float(NB_echo_total));
           if (echo_scatter.empty())
             Scatter(i,j) = v;
@@ -156,7 +156,7 @@ public:
 } // namespace Feature
 
 } // namespace Classification
-  
+
 } // namespace CGAL
 
 #endif // CGAL_CLASSIFICATION_FEATURE_ECHO_SCATTER_H
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature/Eigenvalue.h 5.0.3-1/include/CGAL/Classification/Feature/Eigenvalue.h
--- 5.0.2-3/include/CGAL/Classification/Feature/Eigenvalue.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature/Eigenvalue.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature/Eigenvalue.h $
-// $Id: Eigenvalue.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature/Eigenvalue.h $
+// $Id: Eigenvalue.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -28,7 +28,7 @@ namespace Feature {
     \ingroup PkgClassificationFeatures
 
     %Feature based on the eigenvalues of the covariance matrix of a
-    local neighborhood. 
+    local neighborhood.
 
     Its default name is "eigenvalue_0", "eigenvalue_1" or
     "eigenvalue_2", depending on which eigenvalue is chosen in the
@@ -40,7 +40,7 @@ protected:
 
   const Classification::Local_eigen_analysis& eigen;
   unsigned int m_idx;
-  
+
 public:
 
   /*!
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature/Elevation.h 5.0.3-1/include/CGAL/Classification/Feature/Elevation.h
--- 5.0.2-3/include/CGAL/Classification/Feature/Elevation.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature/Elevation.h	2020-08-01 19:02:18.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature/Elevation.h $
-// $Id: Elevation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature/Elevation.h $
+// $Id: Elevation.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Florent Lafarge, Simon Giraudot
@@ -63,7 +63,7 @@ class Elevation : public Feature_base
   std::vector<compressed_float> values;
   float z_max;
   float z_min;
-  
+
 public:
   /*!
     \brief Constructs the feature.
@@ -88,8 +88,8 @@ public:
     Image_float dem(grid.width(),grid.height());
 
     z_max = 0.f;
-    z_min = std::numeric_limits<float>::max();
-    
+    z_min = (std::numeric_limits<float>::max)();
+
     for (std::size_t j = 0; j < grid.height(); ++ j)
       for (std::size_t i = 0; i < grid.width(); ++ i)
         if (grid.has_points(i,j))
@@ -100,8 +100,8 @@ public:
           for (typename Grid::iterator it = grid.indices_begin(i,j); it != end; ++ it)
           {
             float z = float(get(point_map, *(input.begin()+(*it))).z());
-            z_min = (std::min(z_min, z));
-            z_max = (std::max(z_max, z));
+            z_min = ((std::min)(z_min, z));
+            z_max = ((std::max)(z_max, z));
             mean += z;
             ++ nb;
           }
@@ -112,9 +112,9 @@ public:
         }
 
     std::size_t square = (std::size_t)(0.5 * radius_dtm / grid.resolution()) + 1;
-    
+
     Image_float dtm_x(grid.width(),grid.height());
-    
+
     for (std::size_t j = 0; j < grid.height(); ++ j)
       for (std::size_t i = 0; i < grid.width(); ++ i)
         if (grid.has_points(i,j))
@@ -138,7 +138,7 @@ public:
       values.resize (input.size(), compressed_float(0));
     else
       dtm = Image_cfloat(grid.width(),grid.height());
-    
+
     for (std::size_t i = 0; i < grid.width(); ++ i)
       for (std::size_t j = 0; j < grid.height(); ++ j)
         if (grid.has_points(i,j))
@@ -180,7 +180,7 @@ public:
     }
     else
       d = decompress_float (values[pt_index], z_min, z_max);
-    
+
     return ((float)(get(point_map, *(input.begin()+pt_index)).z()-d));
   }
 
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature/Gradient_of_feature.h 5.0.3-1/include/CGAL/Classification/Feature/Gradient_of_feature.h
--- 5.0.2-3/include/CGAL/Classification/Feature/Gradient_of_feature.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature/Gradient_of_feature.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature/Gradient_of_feature.h $
-// $Id: Gradient_of_feature.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature/Gradient_of_feature.h $
+// $Id: Gradient_of_feature.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -38,7 +38,7 @@ class Gradient_of_feature : public Featu
   ItemMap m_map;
   Feature_handle m_feature;
   boost::shared_ptr<NeighborQuery> m_query;
-  
+
 public:
   /*!
     TODO
@@ -61,7 +61,7 @@ public:
 
     if (neighborhood.empty())
       return 0.f;
-    
+
     float mean = 0.f;
 
     for (std::size_t i = 0; i < neighborhood.size(); ++ i)
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature/Height_above.h 5.0.3-1/include/CGAL/Classification/Feature/Height_above.h
--- 5.0.2-3/include/CGAL/Classification/Feature/Height_above.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature/Height_above.h	2020-08-01 19:02:18.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature/Height_above.h $
-// $Id: Height_above.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature/Height_above.h $
+// $Id: Height_above.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Florent Lafarge, Simon Giraudot
@@ -59,7 +59,7 @@ class Height_above : public Feature_base
   const Grid& grid;
   Image_float dtm;
   std::vector<float> values;
-  
+
 public:
   /*!
     \brief Constructs the feature.
@@ -81,13 +81,13 @@ public:
       for (std::size_t i = 0; i < grid.width(); ++ i)
         if (grid.has_points(i,j))
         {
-          float z_max = -std::numeric_limits<float>::max();
+          float z_max = -(std::numeric_limits<float>::max)();
 
           typename Grid::iterator end = grid.indices_end(i,j);
           for (typename Grid::iterator it = grid.indices_begin(i,j); it != end; ++ it)
           {
             float z = float(get(point_map, *(input.begin()+(*it))).z());
-            z_max = (std::max(z_max, z));
+            z_max = ((std::max)(z_max, z));
           }
 
           dtm(i,j) = z_max;
@@ -116,7 +116,7 @@ public:
       std::size_t J = grid.y(pt_index);
       return dtm(I,J) - float(get (point_map, *(input.begin() + pt_index)).z());
     }
-    
+
     return values[pt_index];
   }
 
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature/Height_below.h 5.0.3-1/include/CGAL/Classification/Feature/Height_below.h
--- 5.0.2-3/include/CGAL/Classification/Feature/Height_below.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature/Height_below.h	2020-08-01 19:02:18.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature/Height_below.h $
-// $Id: Height_below.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature/Height_below.h $
+// $Id: Height_below.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Florent Lafarge, Simon Giraudot
@@ -59,7 +59,7 @@ class Height_below : public Feature_base
   const Grid& grid;
   Image_float dtm;
   std::vector<float> values;
-  
+
 public:
   /*!
     \brief Constructs the feature.
@@ -81,13 +81,13 @@ public:
       for (std::size_t i = 0; i < grid.width(); ++ i)
         if (grid.has_points(i,j))
         {
-          float z_min = std::numeric_limits<float>::max();
+          float z_min = (std::numeric_limits<float>::max)();
 
           typename Grid::iterator end = grid.indices_end(i,j);
           for (typename Grid::iterator it = grid.indices_begin(i,j); it != end; ++ it)
           {
             float z = float(get(point_map, *(input.begin()+(*it))).z());
-            z_min = (std::min(z_min, z));
+            z_min = ((std::min)(z_min, z));
           }
 
           dtm(i,j) = z_min;
@@ -116,7 +116,7 @@ public:
       std::size_t J = grid.y(pt_index);
       return float(get (point_map, *(input.begin() + pt_index)).z() - dtm(I,J));
     }
-    
+
     return values[pt_index];
   }
 
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature/Simple_feature.h 5.0.3-1/include/CGAL/Classification/Feature/Simple_feature.h
--- 5.0.2-3/include/CGAL/Classification/Feature/Simple_feature.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature/Simple_feature.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature/Simple_feature.h $
-// $Id: Simple_feature.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature/Simple_feature.h $
+// $Id: Simple_feature.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -39,7 +39,7 @@ class Simple_feature : public Feature_ba
 {
   const InputRange& m_input;
   PropertyMap m_pmap;
-  
+
 public:
   /*!
     \brief Constructs the feature using an input range and a property map.
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature/Vertical_dispersion.h 5.0.3-1/include/CGAL/Classification/Feature/Vertical_dispersion.h
--- 5.0.2-3/include/CGAL/Classification/Feature/Vertical_dispersion.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature/Vertical_dispersion.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature/Vertical_dispersion.h $
-// $Id: Vertical_dispersion.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature/Vertical_dispersion.h $
+// $Id: Vertical_dispersion.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -31,7 +31,7 @@ namespace CGAL {
 namespace Classification {
 
 namespace Feature {
-  
+
   /*!
     \ingroup PkgClassificationFeatures
 
@@ -62,7 +62,7 @@ class Vertical_dispersion : public Featu
   const Grid& grid;
   Image_cfloat Dispersion;
   std::vector<compressed_float> values;
-  
+
 public:
   /*!
     \brief Constructs the feature.
@@ -87,24 +87,24 @@ public:
     else
     {
       Dispersion = Image_cfloat(grid.width(), grid.height());
-      for (std::size_t j = 0; j < grid.height(); j++)	
+      for (std::size_t j = 0; j < grid.height(); j++)
         for (std::size_t i = 0; i < grid.width(); i++)
           if (grid.has_points(i,j))
             Dispersion(i,j) = compressed_float(0);
     }
-    
+
     std::size_t square = (std::size_t)(0.5 * radius_neighbors / grid.resolution()) + 1;
     typename GeomTraits::Vector_3 verti (0., 0., 1.);
 
     std::vector<float> hori;
 
-    for (std::size_t j = 0; j < grid.height(); j++){	
+    for (std::size_t j = 0; j < grid.height(); j++){
       for (std::size_t i = 0; i < grid.width(); i++){
-						
+
         if(!(grid.has_points(i,j)))
           continue;
         hori.clear();
-            
+
         std::size_t squareXmin = (i < square ? 0 : i - square);
         std::size_t squareXmax = (std::min) (grid.width()-1, i + square);
         std::size_t squareYmin = (j < square ? 0 : j - square);
@@ -122,16 +122,16 @@ public:
                 hori.push_back (float(get(point_map, *(input.begin()+(*it))).z()));
             }
           }
-      
+
         if (hori.empty())
           continue;
-              
+
         std::vector<float>::iterator min_it, max_it;
         boost::tie(min_it, max_it)
           = boost::minmax_element (hori.begin(), hori.end());
 
         std::vector<bool> occupy (1 + (std::size_t)((*max_it - *min_it) / grid.resolution()), false);
-              
+
         for (std::size_t k = 0; k < hori.size(); ++ k)
         {
           std::size_t index = (std::size_t)((hori[k] - *min_it) / grid.resolution());
@@ -153,7 +153,7 @@ public:
             values[*it] = v;
         }
       }
-		
+
     }
   }
   /// \cond SKIP_IN_MANUAL
@@ -171,7 +171,7 @@ public:
 };
 
 }
-  
+
 }
 
 }
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature/Verticality.h 5.0.3-1/include/CGAL/Classification/Feature/Verticality.h
--- 5.0.2-3/include/CGAL/Classification/Feature/Verticality.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature/Verticality.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature/Verticality.h $
-// $Id: Verticality.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature/Verticality.h $
+// $Id: Verticality.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -43,7 +43,7 @@ class Verticality : public Feature_base
   const typename GeomTraits::Vector_3 vertical;
   std::vector<compressed_float> verticality_feature;
   const Local_eigen_analysis* eigen;
-  
+
 public:
   /*!
     \brief Constructs the feature using local eigen analysis.
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature/Vertical_range.h 5.0.3-1/include/CGAL/Classification/Feature/Vertical_range.h
--- 5.0.2-3/include/CGAL/Classification/Feature/Vertical_range.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature/Vertical_range.h	2020-08-01 19:02:19.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature/Vertical_range.h $
-// $Id: Vertical_range.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature/Vertical_range.h $
+// $Id: Vertical_range.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Florent Lafarge, Simon Giraudot
@@ -59,7 +59,7 @@ class Vertical_range : public Feature_ba
   const Grid& grid;
   Image_float dtm;
   std::vector<float> values;
-  
+
 public:
   /*!
     \brief Constructs the feature.
@@ -81,15 +81,15 @@ public:
       for (std::size_t i = 0; i < grid.width(); ++ i)
         if (grid.has_points(i,j))
         {
-          float z_max = -std::numeric_limits<float>::max();
-          float z_min = std::numeric_limits<float>::max();
+          float z_max = -(std::numeric_limits<float>::max)();
+          float z_min = (std::numeric_limits<float>::max)();
 
           typename Grid::iterator end = grid.indices_end(i,j);
           for (typename Grid::iterator it = grid.indices_begin(i,j); it != end; ++ it)
           {
             float z = float(get(point_map, *(input.begin()+(*it))).z());
-            z_max = (std::max(z_max, z));
-            z_min = (std::min(z_min, z));
+            z_max = ((std::max)(z_max, z));
+            z_min = ((std::min)(z_min, z));
           }
 
           dtm(i,j) = z_max - z_min;
@@ -118,7 +118,7 @@ public:
       std::size_t J = grid.y(pt_index);
       return dtm(I,J);
     }
-    
+
     return values[pt_index];
   }
 
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature_base.h 5.0.3-1/include/CGAL/Classification/Feature_base.h
--- 5.0.2-3/include/CGAL/Classification/Feature_base.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature_base.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature_base.h $
-// $Id: Feature_base.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature_base.h $
+// $Id: Feature_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -21,7 +21,7 @@
 namespace CGAL {
 
 namespace Classification {
-  
+
 /*!
   \ingroup PkgClassificationFeature
 
@@ -33,7 +33,7 @@ namespace Classification {
 class Feature_base
 {
   std::string m_name;
-  
+
 public:
 
   /// \cond SKIP_IN_MANUAL
@@ -51,7 +51,7 @@ public:
     \brief Changes the name of the feature.
   */
   void set_name (const std::string& name) { m_name = name; }
-  
+
   /*!
     \brief Returns the value taken by the feature for at the item for
     the item at position `index`. This method must be implemented by
@@ -75,11 +75,11 @@ class Feature_handle { };
 //typedef boost::shared_ptr<Feature_base> Feature_handle;
 
 class Feature_set;
-  
+
 class Feature_handle
 {
   friend Feature_set;
-  
+
   boost::shared_ptr<boost::shared_ptr<Feature_base> > m_base;
 
   template <typename Feature>
@@ -104,7 +104,7 @@ public:
   bool operator< (const Feature_handle& other) const { return *m_base < *(other.m_base); }
   bool operator== (const Feature_handle& other) const { return *m_base == *(other.m_base); }
 };
-  
+
 #endif
 
 
diff -pruN 5.0.2-3/include/CGAL/Classification/Feature_set.h 5.0.3-1/include/CGAL/Classification/Feature_set.h
--- 5.0.2-3/include/CGAL/Classification/Feature_set.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Feature_set.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Feature_set.h $
-// $Id: Feature_set.h 85712ba 2020-01-14T15:03:20+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Feature_set.h $
+// $Id: Feature_set.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -52,11 +52,11 @@ class Feature_set
       return a->name() < b->name();
     }
   };
-  
+
 #ifdef CGAL_LINKED_WITH_TBB
   tbb::task_group* m_tasks;
 #endif // CGAL_LINKED_WITH_TBB
-  
+
 public:
 
   /// \name Constructor
@@ -72,7 +72,7 @@ public:
   { }
 
   /// @}
-  
+
   /// \cond SKIP_IN_MANUAL
   virtual ~Feature_set()
   {
@@ -87,7 +87,7 @@ public:
 
   /// \name Modifications
   /// @{
-  
+
   /*!
     \brief Instantiates a new feature and adds it to the set.
 
@@ -116,10 +116,10 @@ public:
     if (m_tasks != nullptr)
     {
       m_features.push_back (Feature_handle());
-    
+
       Parallel_feature_adder<Feature, T...>* adder
         = new Parallel_feature_adder<Feature, T...>(m_features.back(), std::forward<T>(t)...);
-      
+
       m_adders.push_back (adder);
       m_tasks->run (*adder);
     }
@@ -139,10 +139,10 @@ public:
     if (m_tasks != nullptr)
     {
       m_features.push_back (Feature_handle());
-    
+
       Parallel_feature_adder<Feature, T...>* adder
         = new Parallel_feature_adder<Feature, T...>(i, m_features.back(), std::forward<T>(t)...);
-      
+
       m_adders.push_back (adder);
       m_tasks->run (*adder);
     }
@@ -156,7 +156,7 @@ public:
   }
   /// \endcond
 
-    
+
   /*!
     \brief Removes a feature.
 
@@ -164,7 +164,7 @@ public:
 
     \return `true` if the feature was correctly removed, `false` if
     its handle was not found.
-  */ 
+  */
   bool remove (Feature_handle feature)
   {
     for (std::size_t i = 0; i < m_features.size(); ++ i)
@@ -188,7 +188,7 @@ public:
 
   /// \name Parallel Processing
   /// @{
-  
+
 
 #if defined(CGAL_LINKED_WITH_TBB) || defined(DOXYGEN_RUNNING)
 
@@ -209,7 +209,7 @@ public:
     deleted before the thread has terminated.
 
     \sa `end_parallel_additions()`
-  */ 
+  */
   void begin_parallel_additions()
   {
     m_tasks = new tbb::task_group;
@@ -227,13 +227,13 @@ public:
     \note This function requires \ref thirdpartyTBB.
 
     \sa `begin_parallel_additions()`
-  */ 
+  */
   void end_parallel_additions()
   {
     m_tasks->wait();
     delete m_tasks;
     m_tasks = nullptr;
-    
+
     for (std::size_t i = 0; i < m_adders.size(); ++ i)
       delete m_adders[i];
     m_adders.clear();
@@ -245,10 +245,10 @@ public:
 
   /// \name Access
   /// @{
-  
+
   /*!
     \brief Returns how many features are defined.
-  */  
+  */
   std::size_t size() const
   {
     return m_features.size();
@@ -257,7 +257,7 @@ public:
 
   /*!
     \brief Returns the \f$i^{th}\f$ feature.
-  */  
+  */
   Feature_handle operator[](std::size_t i) const
   {
     return m_features[i];
@@ -274,7 +274,7 @@ public:
   void sort_features_by_name()
   {
     std::sort (m_features.begin(), m_features.end(),
-               Compare_name());               
+               Compare_name());
   }
   /// \endcond
 
@@ -287,20 +287,20 @@ private:
     virtual ~Abstract_parallel_feature_adder() { }
     virtual void operator()() const = 0;
   };
-  
+
   template <typename Feature, typename ... T>
   struct Parallel_feature_adder : Abstract_parallel_feature_adder
   {
     std::size_t scale;
     mutable Feature_handle fh;
     boost::shared_ptr<std::tuple<T...> > args;
-    
+
     Parallel_feature_adder (Feature_handle fh, T&& ... t)
       : scale (std::size_t(-1)), fh (fh)
     {
       args = boost::make_shared<std::tuple<T...> >(std::forward<T>(t)...);
     }
-    
+
     Parallel_feature_adder (std::size_t scale, Feature_handle fh, T&& ... t)
       : scale(scale), fh (fh)
     {
@@ -321,7 +321,7 @@ private:
     template <typename Type>
     const Type& remove_ref_of_simple_type (const Type& t) const { return t; }
 
-    
+
     template <typename Tuple, int ... S>
     void add_feature (Tuple& t, seq<S...>) const
     {
diff -pruN 5.0.2-3/include/CGAL/Classification/Image.h 5.0.3-1/include/CGAL/Classification/Image.h
--- 5.0.2-3/include/CGAL/Classification/Image.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Image.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Image.h $
-// $Id: Image.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Image.h $
+// $Id: Image.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -23,17 +23,17 @@ namespace CGAL {
 namespace Classification {
 
   /// \cond SKIP_IN_MANUAL
-  
+
 template <typename Type>
 class Image
 {
   typedef std::vector<Type> Vector;
   typedef std::map<std::size_t, Type> Map;
-  
+
   std::size_t m_width;
   std::size_t m_height;
   std::size_t m_depth;
-  
+
   boost::shared_ptr<Vector> m_raw;
   boost::shared_ptr<Map> m_sparse;
   Type m_default;
@@ -42,13 +42,13 @@ class Image
   Image (const Image&)
   {
   }
-  
+
 public:
 
   Image () : m_width(0), m_height(0), m_depth(0), m_raw (nullptr)
   {
   }
-  
+
   Image (std::size_t width, std::size_t height, std::size_t depth = 1)
     : m_width (width)
     , m_height (height)
@@ -62,7 +62,7 @@ public:
         m_sparse = boost::shared_ptr<Map> (new Map());
     }
   }
-  
+
   ~Image ()
   {
   }
@@ -82,7 +82,7 @@ public:
     m_depth = other.depth();
     return *this;
   }
-  
+
   std::size_t width() const { return m_width; }
   std::size_t height() const { return m_height; }
   std::size_t depth() const { return m_depth; }
@@ -115,7 +115,7 @@ public:
 
     return (*m_raw)[coord(x,y,z)];
   }
-  
+
 
 };
 
diff -pruN 5.0.2-3/include/CGAL/Classification/internal/verbosity.h 5.0.3-1/include/CGAL/Classification/internal/verbosity.h
--- 5.0.2-3/include/CGAL/Classification/internal/verbosity.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/internal/verbosity.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/internal/verbosity.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/internal/verbosity.h $
 // $Id: verbosity.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Classification/Label.h 5.0.3-1/include/CGAL/Classification/Label.h
--- 5.0.2-3/include/CGAL/Classification/Label.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Label.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Label.h $
-// $Id: Label.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Label.h $
+// $Id: Label.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -35,9 +35,9 @@ private:
 
 public:
 
-  /*! 
+  /*!
     \param name name of the classification label (e.g. vegetation).
-  */ 
+  */
   Label (std::string name) : m_name (name) { }
 
   const std::string& name() const { return m_name; }
diff -pruN 5.0.2-3/include/CGAL/Classification/Label_set.h 5.0.3-1/include/CGAL/Classification/Label_set.h
--- 5.0.2-3/include/CGAL/Classification/Label_set.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Label_set.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Label_set.h $
-// $Id: Label_set.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Label_set.h $
+// $Id: Label_set.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -21,7 +21,7 @@
 namespace CGAL {
 
 namespace Classification {
-  
+
 /*!
 \ingroup PkgClassificationLabel
 
@@ -33,11 +33,11 @@ class Label_set
 {
   typedef std::vector<Label_handle> Base;
   Base m_labels;
-  
+
 public:
-  
+
   Label_set() { }
-  
+
   /// \cond SKIP_IN_MANUAL
   virtual ~Label_set() { }
   /// \endcond
@@ -66,7 +66,7 @@ public:
 
     \return `true` if the label was correctly removed,
     `false` if its handle was not found.
-  */ 
+  */
   bool remove (Label_handle label)
   {
     std::size_t idx = (std::size_t)(-1);
@@ -85,15 +85,15 @@ public:
 
   /*!
     \brief Returns how many labels are defined.
-  */  
+  */
   std::size_t size () const
   {
     return m_labels.size();
   }
-  
+
   /*!
     \brief Returns the \f$i^{th}\f$ label.
-  */  
+  */
   Label_handle operator[] (std::size_t i) const
   {
     return m_labels[i];
diff -pruN 5.0.2-3/include/CGAL/Classification/Local_eigen_analysis.h 5.0.3-1/include/CGAL/Classification/Local_eigen_analysis.h
--- 5.0.2-3/include/CGAL/Classification/Local_eigen_analysis.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Local_eigen_analysis.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Local_eigen_analysis.h $
-// $Id: Local_eigen_analysis.h 85712ba 2020-01-14T15:03:20+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Local_eigen_analysis.h $
+// $Id: Local_eigen_analysis.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -58,7 +58,7 @@ class Local_eigen_analysis
 {
 public:
   typedef std::array<float, 3> Eigenvalues; ///< Eigenvalues (sorted in ascending order)
-  
+
 private:
 
 #ifdef CGAL_LINKED_WITH_TBB
@@ -71,9 +71,9 @@ private:
     const NeighborQuery& m_neighbor_query;
     float& m_mean_range;
     std::mutex& m_mutex;
-    
+
   public:
-    
+
     Compute_eigen_values (Local_eigen_analysis& eigen,
                           const PointRange& input,
                           PointMap point_map,
@@ -83,7 +83,7 @@ private:
       : m_eigen (eigen), m_input (input), m_point_map (point_map),
         m_neighbor_query (neighbor_query), m_mean_range (mean_range), m_mutex (mutex)
     { }
-    
+
     void operator()(const tbb::blocked_range<std::size_t>& r) const
     {
       std::vector<std::size_t> neighbors;
@@ -102,7 +102,7 @@ private:
                               (CGAL::squared_distance (get(m_point_map, *(m_input.begin() + i)),
                                                        get(m_point_map, *(m_input.begin() + neighbors.back())))));
         m_mutex.unlock();
-          
+
         m_eigen.compute<typename PointMap::value_type,
                         DiagonalizeTraits> (i, get(m_point_map, *(m_input.begin()+i)), neighbor_points);
       }
@@ -116,15 +116,15 @@ private:
     typedef typename boost::graph_traits<FaceListGraph>::face_descriptor face_descriptor;
     typedef typename boost::property_map<FaceListGraph, CGAL::face_index_t>::type::value_type face_index;
     typedef typename boost::graph_traits<FaceListGraph>::face_iterator face_iterator;
-    
+
     Local_eigen_analysis& m_eigen;
     const FaceListGraph& m_input;
     const NeighborQuery& m_neighbor_query;
     float& m_mean_range;
     std::mutex& m_mutex;
-    
+
   public:
-    
+
     Compute_eigen_values_graph (Local_eigen_analysis& eigen,
                                 const FaceListGraph& input,
                                 const NeighborQuery& neighbor_query,
@@ -133,7 +133,7 @@ private:
       : m_eigen (eigen), m_input (input),
         m_neighbor_query (neighbor_query), m_mean_range (mean_range), m_mutex (mutex)
     { }
-    
+
     void operator()(const tbb::blocked_range<std::size_t>& r) const
     {
       face_iterator begin = faces(m_input).first;
@@ -146,7 +146,7 @@ private:
         m_mutex.lock();
         m_mean_range += m_eigen.face_radius(fd, m_input);
         m_mutex.unlock();
-        
+
         m_eigen.compute_triangles<FaceListGraph, DiagonalizeTraits>
           (m_input, fd, neighbors);
       }
@@ -154,15 +154,15 @@ private:
 
   };
 #endif
-  
+
   template <typename ClusterRange, typename DiagonalizeTraits>
   class Compute_clusters_eigen_values
   {
     Local_eigen_analysis& m_eigen;
     const ClusterRange& m_input;
-    
+
   public:
-    
+
     Compute_clusters_eigen_values (Local_eigen_analysis& eigen,
                                    const ClusterRange& input)
       : m_eigen (eigen), m_input (input)
@@ -194,7 +194,7 @@ private:
   typedef std::array<float, 3> float3;
   typedef std::array<float, 2> float2;
   typedef std::array<compressed_float, 2> cfloat2;
-  
+
   struct Content
   {
     std::vector<cfloat2> eigenvalues;
@@ -204,7 +204,7 @@ private:
   };
 
   boost::shared_ptr<Content> m_content; // To avoid copies with named constructors
-  
+
 public:
 
   /// \cond SKIP_IN_MANUAL
@@ -214,7 +214,7 @@ public:
   /// \name Named Constructors
   /// @{
 
-  /*! 
+  /*!
     \brief Computes the local eigen analysis of an input point set
     based on a local neighborhood.
 
@@ -263,9 +263,9 @@ public:
     out.m_content->eigenvalues.resize (input.size());
     out.m_content->centroids.resize (input.size());
     out.m_content->smallest_eigenvectors.resize (input.size());
-    
+
     out.m_content->mean_range = 0.;
-      
+
 #ifndef CGAL_LINKED_WITH_TBB
     CGAL_static_assertion_msg (!(boost::is_convertible<ConcurrencyTag, Parallel_tag>::value),
                                "Parallel_tag is enabled but TBB is unavailable.");
@@ -292,7 +292,7 @@ public:
         out.m_content->mean_range += float(CGAL::sqrt (CGAL::squared_distance
                                           (get(point_map, *(input.begin() + i)),
                                            get(point_map, *(input.begin() + neighbors.back())))));
-        
+
         out.compute<typename PointMap::value_type, DiagonalizeTraits>
           (i, get(point_map, *(input.begin()+i)), neighbor_points);
       }
@@ -301,13 +301,13 @@ public:
 
     return out;
   }
-  
-  
-  /*! 
+
+
+  /*!
     \brief Computes the local eigen analysis of an input face graph
     based on a local neighborhood.
 
-    \tparam FaceListGraph model of `FaceListGraph`. 
+    \tparam FaceListGraph model of `FaceListGraph`.
     \tparam NeighborQuery model of `NeighborQuery`
     \tparam ConcurrencyTag enables sequential versus parallel
     algorithm. Possible values are `Parallel_tag` (default value is %CGAL
@@ -347,15 +347,15 @@ public:
 
     Local_eigen_analysis out;
     out.m_content = boost::make_shared<Content>();
-    
+
     Face_range range (faces(input));
 
     out.m_content->eigenvalues.resize (range.size());
     out.m_content->centroids.resize (range.size());
     out.m_content->smallest_eigenvectors.resize (range.size());
-    
+
     out.m_content->mean_range = 0.;
-      
+
 #ifndef CGAL_LINKED_WITH_TBB
     CGAL_static_assertion_msg (!(boost::is_convertible<ConcurrencyTag, Parallel_tag>::value),
                                "Parallel_tag is enabled but TBB is unavailable.");
@@ -377,18 +377,18 @@ public:
         neighbor_query (fd, std::back_inserter (neighbors));
 
         out.m_content->mean_range += out.face_radius(fd, input);
-      
+
         out.compute_triangles<FaceListGraph, DiagonalizeTraits>
           (input, fd, neighbors);
 
       }
     }
-    
+
     out.m_content->mean_range /= range.size();
     return out;
   }
-  
-  /*! 
+
+  /*!
     \brief Computes the local eigen analysis of an input set of point
     clusters based on a local neighborhood.
 
@@ -425,17 +425,17 @@ public:
   {
     Local_eigen_analysis out;
     out.m_content = boost::make_shared<Content>();
-    
+
     out.m_content->eigenvalues.resize (input.size());
     out.m_content->centroids.resize (input.size());
     out.m_content->smallest_eigenvectors.resize (input.size());
-    
+
     out.m_content->mean_range = 0.;
 
     Compute_clusters_eigen_values<ClusterRange, DiagonalizeTraits>
     f(out, input);
 
-    
+
 #ifndef CGAL_LINKED_WITH_TBB
     CGAL_static_assertion_msg (!(boost::is_convertible<ConcurrencyTag, Parallel_tag>::value),
                                "Parallel_tag is enabled but TBB is unavailable.");
@@ -512,7 +512,7 @@ private:
                      const FaceListGraph& g)
   {
     typedef typename boost::graph_traits<FaceListGraph>::halfedge_descriptor halfedge_descriptor;
-    
+
     float out = 0.f;
     for(halfedge_descriptor hd : halfedges_around_face(halfedge(fd, g), g))
     {
@@ -527,7 +527,7 @@ private:
   void compute (std::size_t index, const Point& query, std::vector<Point>& neighbor_points)
   {
     typedef typename Kernel_traits<Point>::Kernel::Vector_3 Vector;
-      
+
     if (neighbor_points.size() == 0)
     {
       m_content->eigenvalues[index] = make_array (compressed_float(0), compressed_float(0));
@@ -538,9 +538,9 @@ private:
 
     Point centroid = CGAL::centroid (neighbor_points.begin(), neighbor_points.end());
     m_content->centroids[index] = make_array( float(centroid.x()), float(centroid.y()), float(centroid.z()) );
-    
+
     std::array<float, 6> covariance = make_array( 0.f, 0.f, 0.f, 0.f, 0.f, 0.f );
-      
+
     for (std::size_t i = 0; i < neighbor_points.size(); ++ i)
     {
       Vector d = neighbor_points[i] - centroid;
@@ -565,10 +565,10 @@ private:
     if (sum > 0.f)
       for (std::size_t i = 0; i < 3; ++ i)
         evalues[i] = evalues[i] / sum;
-    
+
     m_content->eigenvalues[index] = make_array(compress_float (evalues[1]),
                                                compress_float (evalues[2]));
-    
+
     sum = evectors[0] + evectors[1] + evectors[2];
     if (sum > 0.f)
       for (std::size_t i = 0; i < 3; ++ i)
@@ -584,7 +584,7 @@ private:
     typedef typename boost::property_map<FaceListGraph, boost::vertex_point_t>::type::value_type Point;
     typedef typename Kernel_traits<Point>::Kernel Kernel;
     typedef typename Kernel::Triangle_3 Triangle;
-        
+
     typedef typename boost::graph_traits<FaceListGraph>::face_descriptor face_descriptor;
     typedef typename boost::graph_traits<FaceListGraph>::face_iterator face_iterator;
 
@@ -601,7 +601,7 @@ private:
                                tr.end(), Kernel(), CGAL::Dimension_tag<2>());
 
       m_content->centroids[get(get(CGAL::face_index,g), query)] = {{ float(c.x()), float(c.y()), float(c.z()) }};
-      
+
       m_content->smallest_eigenvectors[get(get(CGAL::face_index,g), query)] = {{ 0.f, 0.f }};
       return;
     }
@@ -626,9 +626,9 @@ private:
     CGAL::internal::assemble_covariance_matrix_3 (triangles.begin(), triangles.end(), covariance,
                                                   c, Kernel(), (Triangle*)nullptr, CGAL::Dimension_tag<2>(),
                                                   DiagonalizeTraits());
-      
+
     m_content->centroids[get(get(CGAL::face_index,g), query)] = {{ float(c.x()), float(c.y()), float(c.z()) }};
-    
+
     std::array<float, 3> evalues = {{ 0.f, 0.f, 0.f }};
     std::array<float, 9> evectors = {{ 0.f, 0.f, 0.f,
                                                0.f, 0.f, 0.f,
@@ -646,19 +646,19 @@ private:
     m_content->eigenvalues[get(get(CGAL::face_index,g), query)]
       = make_array(compress_float (evalues[1]),
                    compress_float (evalues[2]));
-    
+
     sum = evectors[0] + evectors[1] + evectors[2];
     if (sum > 0.f)
       for (std::size_t i = 0; i < 3; ++ i)
         evectors[i] = evectors[i] / sum;
     m_content->smallest_eigenvectors[get(get(CGAL::face_index,g), query)] = {{ float(evectors[0]), float(evectors[1]), }};
   }
-  
+
 };
-  
+
 
 }
-  
+
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Classification/Mesh_feature_generator.h 5.0.3-1/include/CGAL/Classification/Mesh_feature_generator.h
--- 5.0.2-3/include/CGAL/Classification/Mesh_feature_generator.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Mesh_feature_generator.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Mesh_feature_generator.h $
-// $Id: Mesh_feature_generator.h 85712ba 2020-01-14T15:03:20+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Mesh_feature_generator.h $
+// $Id: Mesh_feature_generator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -73,7 +73,7 @@ namespace Classification {
   not be deleted before the feature set.
 
   \tparam GeomTraits model of \cgal Kernel.
-  \tparam FaceListGraph model of `FaceListGraph`. 
+  \tparam FaceListGraph model of `FaceListGraph`.
   \tparam PointMap model of `ReadablePropertyMap` whose key type is
   `boost::graph_traits<FaceListGraph>::%face_descriptor` and value type
   is `GeomTraits::Point_3`.
@@ -101,7 +101,7 @@ template <typename GeomTraits,
           typename DiagonalizeTraits = CGAL::Default_diagonalize_traits<float,3> >
 class Mesh_feature_generator
 {
-  
+
 public:
   typedef typename GeomTraits::Iso_cuboid_3             Iso_cuboid_3;
 
@@ -111,14 +111,14 @@ public:
   typedef typename boost::graph_traits<FaceListGraph>::vertex_descriptor vertex_descriptor;
   typedef typename boost::graph_traits<FaceListGraph>::face_iterator face_iterator;
   typedef typename CGAL::Iterator_range<face_iterator> Face_range;
-  
+
   typedef typename PointMap::value_type       Point;
   typedef CGAL::Identity_property_map<face_descriptor> Face_map;
   /// \endcond
 
 
 public:
-  
+
   typedef Classification::Planimetric_grid
   <GeomTraits, Face_range, PointMap>                    Planimetric_grid;
   typedef Classification::Mesh_neighborhood
@@ -127,7 +127,7 @@ public:
 
   /// \cond SKIP_IN_MANUAL
   typedef Classification::Feature_handle                 Feature_handle;
-  
+
   typedef Classification::Feature::Distance_to_plane
   <Face_range, PointMap>                                 Distance_to_plane;
   typedef Classification::Feature::Elevation
@@ -144,7 +144,7 @@ public:
   <GeomTraits>                                          Verticality;
   typedef Classification::Feature::Eigenvalue           Eigenvalue;
   /// \endcond
-    
+
 private:
 
   struct Scale
@@ -153,7 +153,7 @@ private:
     Planimetric_grid* grid;
     Local_eigen_analysis* eigen;
     float voxel_size;
-    
+
     Scale (const FaceListGraph& input,
            const Face_range& range,
            PointMap point_map,
@@ -166,12 +166,12 @@ private:
       t.start();
       neighborhood = new Neighborhood (input);
       t.stop();
-      
+
       CGAL_CLASSIFICATION_CERR << "Neighborhood computed in " << t.time() << " second(s)" << std::endl;
 
       t.reset();
       t.start();
-      
+
       eigen = new Local_eigen_analysis
         (Local_eigen_analysis::create_from_face_graph
          (input, neighborhood->n_ring_neighbor_query(nb_scale + 1),
@@ -216,7 +216,7 @@ private:
     float grid_resolution() const { return voxel_size; }
     float radius_neighbors() const { return voxel_size * 3; }
     float radius_dtm() const { return voxel_size * 10; }
-    
+
   };
 
   Iso_cuboid_3 m_bbox;
@@ -225,13 +225,13 @@ private:
   const FaceListGraph& m_input;
   Face_range m_range;
   PointMap m_point_map;
-  
+
 public:
 
-  
+
   /// \name Constructor
   /// @{
-  
+
   /*!
     \brief Initializes a feature generator from an input range.
 
@@ -240,7 +240,7 @@ public:
     `CGAL::compute_average_spacing()` using 6 neighbors. The data
     structures needed (`Neighborhood`, `Planimetric_grid` and
     `Local_eigen_analysis`) are computed at `nb_scales` recursively
-    larger scales. 
+    larger scales.
 
     \param input input mesh.
     \param point_map property map to access a representative point of
@@ -262,14 +262,14 @@ public:
        boost::make_transform_iterator (m_range.end(), CGAL::Property_map_to_unary_function<PointMap>(m_point_map)));
 
     CGAL::Real_timer t; t.start();
-    
+
     m_scales.reserve (nb_scales);
-    
+
     m_scales.push_back (new Scale (m_input, m_range, m_point_map, m_bbox, voxel_size, 0));
-    
+
     if (voxel_size == -1.f)
       voxel_size = m_scales[0]->grid_resolution();
-    
+
     for (std::size_t i = 1; i < nb_scales; ++ i)
     {
       voxel_size *= 2;
@@ -281,7 +281,7 @@ public:
   }
 
   /// @}
-  
+
   /// \cond SKIP_IN_MANUAL
   virtual ~Mesh_feature_generator()
   {
@@ -373,17 +373,17 @@ public:
     \brief Returns the local eigen analysis structure at scale `scale`.
   */
   const Local_eigen_analysis& eigen(std::size_t scale = 0) const { return *(m_scales[scale]->eigen); }
-  
+
   /// @}
 
   /// \name Parameters
   /// @{
-  
+
   /*!
     \brief Returns the number of scales that were computed.
   */
   std::size_t number_of_scales() const { return m_scales.size(); }
-  
+
   /*!
     \brief Returns the grid resolution at scale `scale`. This
     resolution is the length and width of a cell of the
@@ -406,7 +406,7 @@ public:
   float radius_dtm(std::size_t scale = 0) const { return m_scales[scale]->radius_dtm(); }
 
   /// @}
-    
+
 private:
 
   void clear()
@@ -420,7 +420,7 @@ private:
 
 
 } // namespace Classification
-  
+
 } // namespace CGAL
 
 
diff -pruN 5.0.2-3/include/CGAL/Classification/Mesh_neighborhood.h 5.0.3-1/include/CGAL/Classification/Mesh_neighborhood.h
--- 5.0.2-3/include/CGAL/Classification/Mesh_neighborhood.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Mesh_neighborhood.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Mesh_neighborhood.h $
-// $Id: Mesh_neighborhood.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Mesh_neighborhood.h $
+// $Id: Mesh_neighborhood.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -35,7 +35,7 @@ namespace Classification {
     \brief Class that  generates models of `NeighborQuery` based on
     an input mesh.
 
-    \tparam FaceListGraph model of `FaceListGraph`. 
+    \tparam FaceListGraph model of `FaceListGraph`.
   */
 template <typename FaceListGraph>
 class Mesh_neighborhood
@@ -58,7 +58,7 @@ private:
     typedef typename std::unordered_set<face_descriptor, CGAL::Handle_hash_function> Set;
   private:
     Set* m_set;
-    
+
   public:
     Is_face_selected(Set* set = nullptr) : m_set (set) { }
 
@@ -66,13 +66,13 @@ private:
     {
       return (pm.m_set->find(k) != pm.m_set->end());
     }
-   
+
     inline friend void put (const Is_face_selected& pm, const key_type& k, const value_type&)
     {
       pm.m_set->insert(k);
     }
   };
-  
+
 public:
 
   /*!
@@ -200,7 +200,7 @@ private:
         *(output ++ ) = face(opposite(hd, m_mesh), m_mesh);
       }
   }
-  
+
   template <typename OutputIterator>
   void one_ring_neighbors (const face_descriptor& query, OutputIterator output) const
   {
@@ -223,10 +223,10 @@ private:
 
 
 };
-  
+
 
 }
-  
+
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Classification/OpenCV/Random_forest_classifier.h 5.0.3-1/include/CGAL/Classification/OpenCV/Random_forest_classifier.h
--- 5.0.2-3/include/CGAL/Classification/OpenCV/Random_forest_classifier.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/OpenCV/Random_forest_classifier.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/OpenCV/Random_forest_classifier.h $
-// $Id: Random_forest_classifier.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/OpenCV/Random_forest_classifier.h $
+// $Id: Random_forest_classifier.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -58,7 +58,7 @@ class Random_forest_classifier
   int m_max_categories;
   int m_max_number_of_trees_in_the_forest;
   float m_forest_accuracy;
-  
+
 #if (CV_MAJOR_VERSION < 3)
   CvRTrees* rtree;
 #else
@@ -66,10 +66,10 @@ class Random_forest_classifier
 #endif
 
 public:
-  
+
   /// \name Constructor
   /// @{
-  
+
 /*!
   \brief Instantiates the classifier using the sets of `labels` and `features`.
 
@@ -109,25 +109,25 @@ public:
 #endif
   }
   /// \endcond
-  
+
   /// @}
 
   /// \name Parameters
   /// @{
-  
+
   void set_max_depth (int max_depth) { m_max_depth = max_depth; }
   void set_min_sample_count (int min_sample_count) { m_min_sample_count = min_sample_count; }
   void set_max_categories (int max_categories) { m_max_categories = max_categories; }
   void set_max_number_of_trees_in_the_forest (int max_number_of_trees_in_the_forest)
   { m_max_number_of_trees_in_the_forest = max_number_of_trees_in_the_forest; }
   void set_forest_accuracy (float forest_accuracy) { m_forest_accuracy = forest_accuracy; }
-  
-  
+
+
   /// @}
 
   /// \name Training
   /// @{
-  
+
   /*!
     \brief Runs the training algorithm.
 
@@ -158,7 +158,7 @@ public:
               << CV_MAJOR_VERSION << "."
               << CV_MINOR_VERSION << ")" << std::endl;
 #endif
-    
+
     std::size_t nb_samples = 0;
     for (std::size_t i = 0; i < ground_truth.size(); ++ i)
       if (int(ground_truth[i]) != -1)
@@ -206,7 +206,7 @@ public:
     rtree->setUseSurrogates(false);
     rtree->setPriors(cv::Mat());
     rtree->setCalculateVarImportance(false);
-    
+
     cv::TermCriteria criteria (cv::TermCriteria::EPS + cv::TermCriteria::COUNT, m_max_number_of_trees_in_the_forest, 0.01f);
     rtree->setTermCriteria (criteria);
 
@@ -225,7 +225,7 @@ public:
   void operator() (std::size_t item_index, std::vector<float>& out) const
   {
     out.resize (m_labels.size(), 0.);
-    
+
     cv::Mat feature (1, int(m_features.size()), CV_32FC1);
     for (std::size_t f = 0; f < m_features.size(); ++ f)
       feature.at<float>(0, int(f)) = m_features[f]->value(item_index);
@@ -244,9 +244,9 @@ public:
 #else
 
     std::vector<float> result (1, 0);
-    
+
     rtree->predict (feature, result);
-    
+
     for (std::size_t i = 0; i < out.size(); ++ i)
       if (i == std::size_t(result[0]))
         out[i] = 1.f;
diff -pruN 5.0.2-3/include/CGAL/Classification/Planimetric_grid.h 5.0.3-1/include/CGAL/Classification/Planimetric_grid.h
--- 5.0.2-3/include/CGAL/Classification/Planimetric_grid.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Planimetric_grid.h	2020-08-01 19:02:19.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Planimetric_grid.h $
-// $Id: Planimetric_grid.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Planimetric_grid.h $
+// $Id: Planimetric_grid.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot, Florent Lafarge
@@ -70,7 +70,7 @@ private:
   std::size_t m_width;
   std::size_t m_height;
   std::vector<bool> m_has_points;
-  
+
 public:
 
 #ifdef DOXYGEN_RUNNING
@@ -84,7 +84,7 @@ public:
   {
   public:
     friend class boost::iterator_core_access;
-    
+
     iterator(const Planimetric_grid* lowest_scale,
              std::size_t scale,
              std::size_t large_x,
@@ -105,7 +105,7 @@ public:
       m_xmax = (large_x + 1) * size;
       m_ymin = large_y * size;
       m_ymax = (large_y + 1) * size;
-      
+
       m_pos_x = xmin;
       m_pos_y = m_ymin;
 
@@ -143,14 +143,14 @@ public:
           if (m_pos_y == m_ymax)
           {
             m_pos_y = m_ymin;
-            
+
             ++ m_pos_x;
             if (m_pos_x == m_xmax) // end() reached
             {
               m_pos_y = m_ymax; // put y to max so that this == end()
               break;
             }
-              
+
           }
         }
         while (!(lowest_scale_has_points(m_pos_x, m_pos_y)));
@@ -272,7 +272,7 @@ public:
   {
     return m_resolution;
   }
-  
+
   /*!
     \brief Returns the number of cells along the X-axis.
   */
@@ -327,7 +327,7 @@ public:
   bool has_points(std::size_t x, std::size_t y) const
   {
     CGAL_assertion (x < m_width && y < m_height);
-    
+
     if (m_current_scale == 0)
       return (!(m_grid(x,y).empty()));
 
@@ -364,10 +364,10 @@ public:
     return m_lower_scale->y(index) / 2;
   }
 };
-  
+
 
 }
-  
+
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Classification/Point_set_feature_generator.h 5.0.3-1/include/CGAL/Classification/Point_set_feature_generator.h
--- 5.0.2-3/include/CGAL/Classification/Point_set_feature_generator.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Point_set_feature_generator.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Point_set_feature_generator.h $
-// $Id: Point_set_feature_generator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Point_set_feature_generator.h $
+// $Id: Point_set_feature_generator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -102,7 +102,7 @@ template <typename GeomTraits,
 #endif
 class Point_set_feature_generator
 {
-  
+
 public:
   typedef typename GeomTraits::Iso_cuboid_3             Iso_cuboid_3;
 
@@ -110,7 +110,7 @@ public:
   typedef typename PointRange::const_iterator Iterator;
   typedef typename PointMap::value_type       Point;
   /// \endcond
-  
+
   typedef Classification::Planimetric_grid
   <GeomTraits, PointRange, PointMap>                    Planimetric_grid;
   typedef Classification::Point_set_neighborhood
@@ -137,7 +137,7 @@ public:
   typedef Classification::Feature::Verticality
   <GeomTraits>                                          Verticality;
   typedef Classification::Feature::Eigenvalue           Eigenvalue;
-  
+
   typedef typename Neighborhood::K_neighbor_query       Neighbor_query;
 
 #ifdef CGAL_CLASSIFICATION_USE_GRADIENT_OF_FEATURE
@@ -145,7 +145,7 @@ public:
   <PointRange, PointMap, Neighbor_query>                Gradient_of_feature;
 #endif
   /// \endcond
-    
+
 private:
 
   struct Scale
@@ -154,7 +154,7 @@ private:
     Planimetric_grid* grid;
     Local_eigen_analysis* eigen;
     float voxel_size;
-    
+
     Scale (const PointRange& input, PointMap point_map,
            const Iso_cuboid_3& bbox, float voxel_size,
            Planimetric_grid* lower_grid = nullptr)
@@ -167,7 +167,7 @@ private:
       else
         neighborhood = new Neighborhood (input, point_map, voxel_size);
       t.stop();
-      
+
       if (lower_grid == nullptr)
         CGAL_CLASSIFICATION_CERR << "Neighborhood computed in " << t.time() << " second(s)" << std::endl;
       else
@@ -175,11 +175,11 @@ private:
                                  << " computed in " << t.time() << " second(s)" << std::endl;
       t.reset();
       t.start();
-      
+
       eigen = new Local_eigen_analysis
         (Local_eigen_analysis::create_from_point_set
          (input, point_map, neighborhood->k_neighbor_query(12), ConcurrencyTag(), DiagonalizeTraits()));
-      
+
       float range = eigen->mean_range();
       if (this->voxel_size < 0)
         this->voxel_size = range;
@@ -220,7 +220,7 @@ private:
     float grid_resolution() const { return voxel_size; }
     float radius_neighbors() const { return voxel_size * 3; }
     float radius_dtm() const { return voxel_size * 10; }
-    
+
   };
 
   Iso_cuboid_3 m_bbox;
@@ -228,12 +228,12 @@ private:
 
   const PointRange& m_input;
   PointMap m_point_map;
-  
+
 public:
-  
+
   /// \name Constructor
   /// @{
-  
+
   /*!
     \brief Initializes a feature generator from an input range.
 
@@ -242,7 +242,7 @@ public:
     `CGAL::compute_average_spacing()` using 6 neighbors. The data
     structures needed (`Neighborhood`, `Planimetric_grid` and
     `Local_eigen_analysis`) are computed at `nb_scales` recursively
-    larger scales. 
+    larger scales.
 
     \param input point range.
     \param point_map property map to access the input points.
@@ -262,14 +262,14 @@ public:
        boost::make_transform_iterator (m_input.end(), CGAL::Property_map_to_unary_function<PointMap>(m_point_map)));
 
     CGAL::Real_timer t; t.start();
-    
+
     m_scales.reserve (nb_scales);
-    
+
     m_scales.push_back (new Scale (m_input, m_point_map, m_bbox, voxel_size));
 
     if (voxel_size == -1.f)
       voxel_size = m_scales[0]->grid_resolution();
-    
+
     for (std::size_t i = 1; i < nb_scales; ++ i)
     {
       voxel_size *= 2;
@@ -281,7 +281,7 @@ public:
   }
 
   /// @}
-  
+
   /// \cond SKIP_IN_MANUAL
   virtual ~Point_set_feature_generator()
   {
@@ -424,12 +424,12 @@ public:
 
   /// \name Parameters
   /// @{
-  
+
   /*!
     \brief Returns the number of scales that were computed.
   */
   std::size_t number_of_scales() const { return m_scales.size(); }
-  
+
   /*!
     \brief Returns the grid resolution at scale `scale`. This
     resolution is the length and width of a cell of the
@@ -453,7 +453,7 @@ public:
 
   /// @}
 
-    
+
 private:
 
   void clear()
@@ -502,7 +502,7 @@ private:
 
 
 } // namespace Classification
-  
+
 } // namespace CGAL
 
 
diff -pruN 5.0.2-3/include/CGAL/Classification/Point_set_neighborhood.h 5.0.3-1/include/CGAL/Classification/Point_set_neighborhood.h
--- 5.0.2-3/include/CGAL/Classification/Point_set_neighborhood.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Point_set_neighborhood.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Point_set_neighborhood.h $
-// $Id: Point_set_neighborhood.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Point_set_neighborhood.h $
+// $Id: Point_set_neighborhood.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -56,14 +56,14 @@ namespace Classification {
 template <typename GeomTraits, typename PointRange, typename PointMap>
 class Point_set_neighborhood
 {
-  
+
   typedef typename GeomTraits::FT FT;
   typedef typename GeomTraits::Point_3 Point;
-  
+
   class My_point_property_map{
     const PointRange* input;
     PointMap point_map;
-    
+
   public:
     typedef Point value_type;
     typedef const value_type& reference;
@@ -88,7 +88,7 @@ class Point_set_neighborhood
 
   Tree* m_tree;
   Distance m_distance;
-  
+
 public:
 
   /*!
@@ -210,7 +210,7 @@ public:
     std::vector<boost::uint32_t> indices;
     My_point_property_map pmap (&input, point_map);
     voxelize_point_set(input.size(), indices, pmap, voxel_size);
-    
+
     m_tree = new Tree (indices.begin(), indices.end(),
                        Splitter(),
                        Search_traits (pmap));
@@ -219,7 +219,7 @@ public:
   }
 
   /// @}
-  
+
   /// \cond SKIP_IN_MANUAL
   ~Point_set_neighborhood ()
   {
@@ -311,10 +311,10 @@ private:
     }
   }
 };
-  
+
 
 }
-  
+
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Classification/property_maps.h 5.0.3-1/include/CGAL/Classification/property_maps.h
--- 5.0.2-3/include/CGAL/Classification/property_maps.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/property_maps.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/property_maps.h $
-// $Id: property_maps.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/property_maps.h $
+// $Id: property_maps.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -34,7 +34,7 @@ namespace Classification
 
   \cgalModels `ReadablePropertyMap`
 
-  \tparam FaceGraph model of `FaceGraph`. 
+  \tparam FaceGraph model of `FaceGraph`.
 
   \tparam VertexPointMap model of `ReadablePropertyMap` with with
   `boost::graph_traits<FaceGraph>::%vertex_descriptor` as key type
@@ -53,10 +53,10 @@ public:
 
 private:
   typedef typename boost::graph_traits<FaceGraph>::vertex_descriptor vertex_descriptor;
-  
+
   const FaceGraph* m_mesh;
   VertexPointMap m_vpm;
-  
+
 public:
 
   Face_descriptor_to_center_of_mass_map ()
@@ -73,7 +73,7 @@ public:
 
     for(vertex_descriptor v : vertices_around_face(halfedge(f, *(map.m_mesh)), *(map.m_mesh)))
       points.push_back (get (map.m_vpm, v));
-    
+
     return CGAL::centroid (points.begin(), points.end());
   }
   /// \endcond
@@ -87,7 +87,7 @@ public:
 
   \cgalModels `ReadablePropertyMap`
 
-  \tparam FaceGraph model of `FaceGraph`. 
+  \tparam FaceGraph model of `FaceGraph`.
 
   \tparam VertexPointMap model of `ReadablePropertyMap` with with
   `boost::graph_traits<FaceGraph>::%vertex_descriptor` as key type
@@ -107,7 +107,7 @@ public:
   {
     face_descriptor m_descriptor;
     CGAL::Bbox_3 m_bbox;
-      
+
   public:
     face_descriptor_with_bbox (const face_descriptor& descriptor,
                                const CGAL::Bbox_3& bbox)
@@ -125,10 +125,10 @@ public:
 
 private:
   typedef typename boost::graph_traits<FaceGraph>::vertex_descriptor vertex_descriptor;
-  
+
   const FaceGraph* m_mesh;
   VertexPointMap m_vpm;
-  
+
 public:
 
   Face_descriptor_to_face_descriptor_with_bbox_map ()
@@ -142,7 +142,7 @@ public:
   inline friend reference get (const Face_descriptor_to_face_descriptor_with_bbox_map& map, key_type f)
   {
     CGAL::Bbox_3 bbox;
-      
+
     for(vertex_descriptor v : vertices_around_face(halfedge(f, *(map.m_mesh)), *(map.m_mesh)))
       bbox = bbox + get(map.m_vpm, v).bbox();
 
diff -pruN 5.0.2-3/include/CGAL/Classification/Sum_of_weighted_features_classifier.h 5.0.3-1/include/CGAL/Classification/Sum_of_weighted_features_classifier.h
--- 5.0.2-3/include/CGAL/Classification/Sum_of_weighted_features_classifier.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/Sum_of_weighted_features_classifier.h	2020-08-01 19:02:19.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/Sum_of_weighted_features_classifier.h $
-// $Id: Sum_of_weighted_features_classifier.h 85712ba 2020-01-14T15:03:20+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/Sum_of_weighted_features_classifier.h $
+// $Id: Sum_of_weighted_features_classifier.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot, Florent Lafarge
@@ -60,7 +60,7 @@ public:
     NEUTRAL = 1, ///< The feature has no effect on this type
     PENALIZING = 2 ///< Low values of the feature favor this type
   };
-  
+
 private:
 
 #ifdef CGAL_LINKED_WITH_TBB
@@ -76,7 +76,7 @@ private:
     std::vector<std::mutex>& m_fp_mutex;
     std::vector<std::mutex>& m_fn_mutex;
 
-    
+
   public:
 
     Compute_iou (std::vector<std::size_t>& training_set,
@@ -98,7 +98,7 @@ private:
       , m_fp_mutex (fp_mutex)
       , m_fn_mutex (fn_mutex)
     { }
-    
+
     void operator()(const tbb::blocked_range<std::size_t>& r) const
     {
       for (std::size_t k = r.begin(); k != r.end(); ++ k)
@@ -160,7 +160,7 @@ public:
 
   /// \name Constructor
   /// @{
-  
+
 /*!
 
   \brief Instantiates the classifier using the sets of `labels` and `features`.
@@ -217,9 +217,9 @@ public:
   }
   /// \endcond
 
-  /*! 
+  /*!
     \brief Sets the `effect` of `feature` on `label`.
-  */ 
+  */
   void set_effect (Label_handle label, Feature_handle feature,
                    Effect effect)
   {
@@ -233,9 +233,9 @@ public:
   }
   /// \endcond
 
-  /*! 
+  /*!
     \brief Returns the `effect` of `feature` on `label`.
-  */ 
+  */
   Effect effect (Label_handle label, Feature_handle feature) const
   {
     return m_effect_table[m_map_labels[label]][m_map_features[feature]];
@@ -311,9 +311,9 @@ public:
     for (std::size_t i = 0; i < m_labels.size(); ++ i)
       CGAL::cpp98::random_shuffle (training_sets[i].begin(), training_sets[i].end());
 #endif
-    
+
     CGAL_CLASSIFICATION_CERR << "Training using " << nb_tot << " inliers" << std::endl;
-    
+
     for (std::size_t i = 0; i < m_labels.size(); ++ i)
       if (training_sets.size() <= i || training_sets[i].empty())
         std::cerr << "WARNING: \"" << m_labels[i]->name() << "\" doesn't have a training set." << std::endl;
@@ -324,7 +324,7 @@ public:
     std::size_t nb_trials = 100;
     float wmin = 1e-5f, wmax = 1e5f;
     float factor = std::pow (wmax/wmin, 1.f / float(nb_trials));
-    
+
     for (std::size_t j = 0; j < m_features.size(); ++ j)
     {
       Feature_handle feature = m_features[j];
@@ -382,11 +382,11 @@ public:
       feature_train[i].factor
         = std::pow (feature_train[i].wmax / feature_train[i].wmin,
                     1.f / float(nb_trials_per_feature));
-    
-    
+
+
     float best_score = 0.;
     best_score = compute_mean_iou<ConcurrencyTag>(training_sets);
-    
+
     CGAL_CLASSIFICATION_CERR << "TRAINING GLOBALLY: Best score evolution: " << std::endl;
 
     CGAL_CLASSIFICATION_CERR << 100. * best_score << "% (found at initialization)" << std::endl;
@@ -397,13 +397,13 @@ public:
       const Feature_training& tr = feature_train[i];
       std::size_t current_feature_changed = tr.i;
       Feature_handle current_feature = m_features[current_feature_changed];
-        
+
       std::size_t nb_used = 0;
       for (std::size_t j = 0; j < m_features.size(); ++ j)
       {
         if (j == current_feature_changed)
           continue;
-            
+
         set_weight(j, best_weights[j]);
         estimate_feature_effect(j, training_sets);
         if (feature_useful(j))
@@ -411,7 +411,7 @@ public:
         else
           set_weight(j, 0.);
       }
-        
+
       set_weight(current_feature_changed, tr.wmin);
       for (std::size_t j = 0; j < nb_trials_per_feature; ++ j)
       {
@@ -437,7 +437,7 @@ public:
       set_weight(i, best_weights[i]);
 
     estimate_features_effects(training_sets);
-    
+
     CGAL_CLASSIFICATION_CERR << std::endl << "Best score found is at least " << 100. * best_score
                              << "% of correct classification" << std::endl;
 
@@ -492,7 +492,7 @@ public:
       }
 
     CGAL_CLASSIFICATION_CERR << "Training using " << nb_tot << " inliers" << std::endl;
-    
+
     for (std::size_t i = 0; i < m_labels.size(); ++ i)
       if (training_sets.size() <= i || training_sets[i].empty())
         std::cerr << "WARNING: \"" << m_labels[i]->name() << "\" doesn't have a training set." << std::endl;
@@ -503,7 +503,7 @@ public:
     std::size_t nb_trials = 100;
     float wmin = 1e-5, wmax = 1e5;
     float factor = std::pow (wmax/wmin, 1. / (float)nb_trials);
-    
+
     for (std::size_t j = 0; j < m_features.size(); ++ j)
     {
       Feature_handle feature = m_features[j];
@@ -556,9 +556,9 @@ public:
 
     CGAL_CLASSIFICATION_CERR << "Trials = " << nb_tests << ", features = " << feature_train.size() << std::endl;
 
-    
+
     float best_score = compute_mean_iou<ConcurrencyTag>(training_sets);
-    
+
     CGAL_CLASSIFICATION_CERR << "TRAINING GLOBALLY: Best score evolution: " << std::endl;
 
     CGAL_CLASSIFICATION_CERR << 100. * best_score << "% (found at initialization)" << std::endl;
@@ -593,7 +593,7 @@ public:
       set_weight(i, best_weights[i]);
 
     estimate_features_effects(training_sets);
-    
+
     CGAL_CLASSIFICATION_CERR << std::endl << "Best score found is at least " << 100. * best_score
                              << "% of correct classification" << std::endl;
 
@@ -634,7 +634,7 @@ public:
 
   /// \name Input/Output
   /// @{
-  
+
   /*!
     \brief Saves the current configuration in the stream `output`.
 
@@ -656,7 +656,7 @@ public:
       if (weight(m_features[i]) == 0)
         continue;
       boost::property_tree::ptree ptr;
-        
+
       ptr.put("name", m_features[i]->name());
       ptr.put("weight", weight(m_features[i]));
       tree.add_child("classification.features.feature", ptr);
@@ -692,7 +692,7 @@ public:
                                     boost::property_tree::xml_writer_make_settings<char>(' ', 3));
 #endif
   }
-  
+
   /*!
     \brief Loads a configuration from the stream `input`. A
     configuration is a set of weights and effects.
@@ -764,14 +764,14 @@ public:
         out = false;
         continue;
       }
-        
+
       for(boost::property_tree::ptree::value_type& v2 : v.second)
       {
         if (v2.first == "name")
           continue;
-            
+
         std::string feature_name = v2.second.get<std::string>("name");
-            
+
         std::map<std::string, std::size_t>::iterator
           found2 = map_n2f.find (feature_name);
         std::size_t f = 0;
@@ -797,7 +797,7 @@ public:
   }
 
   /// @}
-  
+
 private:
 
   float value (std::size_t label, std::size_t feature, std::size_t index) const
@@ -809,7 +809,7 @@ private:
     else
       return ignored (feature, index);
   }
-  
+
   float normalized (std::size_t feature, std::size_t index) const
   {
     return (std::max) (0.f, (std::min) (1.f, m_features[feature]->value(index) / m_weights[feature]));
@@ -834,12 +834,12 @@ private:
   }
 
 
-  
+
   void estimate_feature_effect (std::size_t feature,
                                 std::vector<std::vector<std::size_t> >& training_sets)
   {
     std::vector<float> mean (m_labels.size(), 0.);
-                                  
+
     for (std::size_t j = 0; j < m_labels.size(); ++ j)
     {
 #ifdef CLASSIFICATION_TRAINING_QUICK_ESTIMATION
@@ -848,7 +848,7 @@ private:
 #else
       std::size_t training_set_size = training_sets[j].size();
 #endif
-      
+
       for (std::size_t k = 0; k < training_set_size; ++ k)
       {
         float val = normalized(feature, training_sets[j][k]);
@@ -858,11 +858,11 @@ private:
     }
 
     std::vector<float> sd (m_labels.size(), 0.);
-        
+
     for (std::size_t j = 0; j < m_labels.size(); ++ j)
     {
       Label_handle clabel = m_labels[j];
-            
+
 #ifdef CLASSIFICATION_TRAINING_QUICK_ESTIMATION
       std::size_t training_set_size = (std::min) (std::size_t(0.1 * training_sets[j].size()),
                                                   std::size_t(10000));
@@ -935,9 +935,9 @@ private:
           ++ false_negatives[gt];
         }
     }
-    
+
     float out = 0.;
-    
+
     for (std::size_t j = 0; j < m_labels.size(); ++ j)
     {
       float iou = true_positives[j] / float(true_positives[j] + false_positives[j] + false_negatives[j]);
@@ -947,7 +947,7 @@ private:
     return out / m_labels.size();
   }
 
-  
+
   bool feature_useful (std::size_t feature)
   {
     Effect side = effect(0, feature);
@@ -956,7 +956,7 @@ private:
         return true;
     return false;
   }
-  
+
 };
 
 }
diff -pruN 5.0.2-3/include/CGAL/Classification/TensorFlow/Neural_network_classifier.h 5.0.3-1/include/CGAL/Classification/TensorFlow/Neural_network_classifier.h
--- 5.0.2-3/include/CGAL/Classification/TensorFlow/Neural_network_classifier.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification/TensorFlow/Neural_network_classifier.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification/TensorFlow/Neural_network_classifier.h $
-// $Id: Neural_network_classifier.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification/TensorFlow/Neural_network_classifier.h $
+// $Id: Neural_network_classifier.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -77,7 +77,7 @@ template <typename ActivationFunction =
 class Neural_network_classifier
 {
   bool m_verbose;
-  
+
   const Label_set& m_labels;
   const Feature_set& m_features;
   std::vector<float> m_feature_means;
@@ -88,7 +88,7 @@ class Neural_network_classifier
   TFops::Placeholder* m_ph_gt;
 
   TFops::ReduceMean* m_loss;
-  
+
   std::vector<std::vector<float> > m_weights;
   std::vector<std::vector<float> > m_bias;
   float m_learning_rate;
@@ -100,18 +100,18 @@ class Neural_network_classifier
 #else
   std::vector<TFops::ApplyGradientDescent> m_optimizer;
 #endif
-  
+
   TF::ClientSession* m_session;
-  
+
 public:
 
   /// \cond SKIP_IN_MANUAL
   const Feature_set& features() const { return m_features; }
   /// \endcond
-  
+
   /// \name Constructor
   /// @{
-  
+
   /*!
     \brief Instantiates the classifier using the sets of `labels` and `features`.
 
@@ -121,7 +121,7 @@ public:
     : m_verbose (true), m_labels (labels), m_features (features)
     , m_root (nullptr), m_ph_ft (nullptr), m_ph_gt (nullptr), m_loss(nullptr), m_session (nullptr)
   { }
-  
+
   /// \cond SKIP_IN_MANUAL
   ~Neural_network_classifier ()
   {
@@ -164,7 +164,7 @@ public:
 #else
     m_feature_means.clear();
     m_feature_means.resize (m_features.size(), 0.f);
-    
+
     for (std::size_t i = 0; i < indices.size(); ++ i)
       for (std::size_t f = 0; f < m_features.size(); ++ f)
         m_feature_means[f] += m_features[f]->value(indices[i]);
@@ -197,11 +197,11 @@ public:
 #endif
   }
   /// \endcond
-  
+
   /// @}
 
   /// \name Training
-  
+
   /// @{
   /*!
     \brief Runs the training algorithm.
@@ -255,7 +255,7 @@ public:
       clear();
 
     std::vector<std::vector<std::size_t> > random_indices (m_labels.size());
-    
+
     std::vector<std::size_t> indices;
     std::vector<int> raw_gt;
     for (std::size_t i = 0; i < ground_truth.size(); ++ i)
@@ -276,14 +276,14 @@ public:
       if (m_verbose) std::cerr << "II - NORMALIZING FEATURES" << std::endl;
       compute_normalization_coefficients (indices);
     }
-    
+
     if (m_verbose) std::cerr << "III - TRAINING NEURAL NETWORK" << std::endl;
-    
+
     std::vector<TF::Output> operations;
     for (std::size_t i = 0; i < m_optimizer.size(); ++ i)
       operations.push_back (m_optimizer[i]);
     operations.push_back (m_layers.back());
-    
+
     std::vector<TF::Tensor> outputs;
 
     m_weights.clear();
@@ -309,12 +309,12 @@ public:
                                   << local_batch_size << std::endl;
         }
       }
-      
+
       TF::Tensor ft
-        (TF::DataTypeToEnum<float>::v(), 
+        (TF::DataTypeToEnum<float>::v(),
          TF::TensorShape {(long long)(total_batch_size), (long long)(m_features.size())});
       TF::Tensor gt
-        (TF::DataTypeToEnum<float>::v(), 
+        (TF::DataTypeToEnum<float>::v(),
          TF::TensorShape {(long long)(total_batch_size), (long long)(m_labels.size())});
 
       float* ft_data = ft.flat<float>().data();
@@ -346,7 +346,7 @@ public:
           ++ current_i;
         }
       }
-      
+
       TF_CHECK_OK (m_session->Run ({{*m_ph_ft, ft}, {*m_ph_gt, gt}}, {*m_loss}, &outputs));
 
       if ((i+1) % (number_of_iterations / 20) == 0)
@@ -391,9 +391,9 @@ public:
   void operator() (std::size_t item_index, std::vector<float>& out) const
   {
     out.resize (m_labels.size(), 0.);
-    
+
     TF::Tensor ft
-      (TF::DataTypeToEnum<float>::v(), 
+      (TF::DataTypeToEnum<float>::v(),
        TF::TensorShape {(long long)(1), (long long)(m_features.size())});
 
     float* ft_data = ft.flat<float>().data();
@@ -401,7 +401,7 @@ public:
     // Fill input tensor
     for (std::size_t f = 0; f < m_features.size(); ++ f)
       ft_data[f] = (m_features[f]->value(item_index) - m_feature_means[f]) / m_feature_sd[f];
-    
+
     std::vector<TF::Tensor> outputs;
     TF_CHECK_OK(m_session->Run({{*m_ph_ft, ft}}, {m_layers.back()}, &outputs));
 
@@ -411,14 +411,14 @@ public:
       out[i] = output_data[i];
   }
 
-  
+
   void operator() (const std::vector<std::size_t>& item_indices,
                    std::vector<std::vector<float> >& out) const
   {
     out.resize (item_indices.size(), std::vector<float>(m_labels.size(), 0.));
-    
+
     TF::Tensor ft
-      (TF::DataTypeToEnum<float>::v(), 
+      (TF::DataTypeToEnum<float>::v(),
        TF::TensorShape {(long long)(item_indices.size()), (long long)(m_features.size())});
 
     float* ft_data = ft.flat<float>().data();
@@ -428,7 +428,7 @@ public:
       for (std::size_t f = 0; f < m_features.size(); ++ f)
         ft_data[i * m_features.size() + f]
           = (m_features[f]->value(item_indices[i]) - m_feature_means[f]) / m_feature_sd[f];
-    
+
     std::vector<TF::Tensor> outputs;
     TF_CHECK_OK(m_session->Run({{*m_ph_ft, ft}}, {m_layers.back()}, &outputs));
 
@@ -439,12 +439,12 @@ public:
         out[i][l] = output_data[i * m_labels.size() + l];
   }
   /// \endcond
-  
+
   /// @}
 
   /// \name Input/Output
   /// @{
-  
+
   /*!
     \brief Saves the current configuration in the stream `output`.
 
@@ -471,7 +471,7 @@ public:
       ptr.put("learning_rate", m_learning_rate);
       tree.add_child("classification.metadata", ptr);
     }
-    
+
     for (std::size_t i = 0; i < m_features.size(); ++ i)
     {
       boost::property_tree::ptree ptr;
@@ -503,7 +503,7 @@ public:
           oss << " ";
       }
       ptr.put("weights", oss.str());
-      
+
       oss = std::ostringstream();
       oss.precision(std::numeric_limits<float>::digits10 + 2);
       for (std::size_t j = 0; j < m_bias[i].size(); ++ j)
@@ -513,10 +513,10 @@ public:
           oss << " ";
       }
       ptr.put("bias", oss.str());
-      
+
       tree.add_child("classification.layers.layer", ptr);
     }
-    
+
     // Write property tree to XML file
     boost::property_tree::write_xml(output, tree,
 #if BOOST_VERSION >= 105600
@@ -538,7 +538,7 @@ public:
   bool load_configuration (std::istream& input, bool verbose = false)
   {
     clear();
-    
+
     bool out = true;
 
     boost::property_tree::ptree tree;
@@ -584,7 +584,7 @@ public:
 
       m_feature_means.push_back(v.second.get<float>("mean"));
       m_feature_sd.push_back(v.second.get<float>("standard_deviation"));
-      
+
       ++ idx;
     }
 
@@ -607,7 +607,7 @@ public:
       }
       ++ idx;
     }
-    
+
     if (idx != nb_labels)
     {
       if (verbose)
@@ -647,10 +647,10 @@ public:
 
       if (idx != nb_layers - 1)
         hidden_layers.push_back (width);
-      
+
       ++ idx;
     }
-    
+
     if (idx != nb_layers)
     {
       if (verbose)
@@ -684,9 +684,9 @@ private:
   {
     m_root = new TF::Scope (TF::Scope::NewRootScope());
 
-    
+
     if (m_verbose) std::cerr << "I - BUILDING NEURAL NETWORK ARCHITECTURE" << std::endl;
-    
+
     // Get layers and sizes or init with default values
     std::vector<std::size_t> hl = hidden_layers;
     if (hl.empty())
@@ -694,24 +694,24 @@ private:
       hl.push_back (m_features.size());
       hl.push_back ((m_features.size() + m_labels.size()) / 2);
     }
-    
+
     if (m_verbose) std::cerr << " 1) Initializing architecture:" << std::endl
                             << "   * Layer 0: " << m_features.size() << " neuron(s) (input features)" << std::endl;
-      
+
     if (m_verbose)
       for (std::size_t i = 0; i < hl.size(); ++ i)
         std::cerr << "   * Layer " << i+1 << ": " << hl[i] << " neuron(s)" << std::endl;
-    
+
     if (m_verbose) std::cerr << "   * Layer " << hl.size() + 1 << ": "
                             << m_labels.size() << " neuron(s) (output labels)" << std::endl;
 
 
-    
+
     m_ph_ft = new TFops::Placeholder (*m_root, TF::DT_FLOAT);
     m_ph_gt = new TFops::Placeholder (*m_root, TF::DT_FLOAT);
-    
+
     if (m_verbose) std::cerr << " 2) Creating weight matrices and bias" << std::endl;
-    
+
     // create weight matrices and bias for each layer transition
     std::vector<TFops::Variable> weights;
     std::vector<TFops::Variable> bias;
@@ -761,19 +761,19 @@ private:
       else
       {
         TF::Tensor init_weight
-          (TF::DataTypeToEnum<float>::v(), 
+          (TF::DataTypeToEnum<float>::v(),
            TF::TensorShape {(long long)(size_from), (long long)(size_to)});
         float* init_weight_data = init_weight.flat<float>().data();
         std::copy_n (m_weights[i].begin(), size_from * size_to, init_weight_data);
 
         assign_weights.push_back (TFops::Assign (*m_root, weights.back(), init_weight));
       }
-      
+
       if (m_verbose) std::cerr << "   * Bias " << i << " [" << size_to << "]" << std::endl;
       bias.push_back (TFops::Variable (*m_root, { (long long)(1), size_to }, TF::DT_FLOAT));
 
       TF::Tensor init_bias
-        (TF::DataTypeToEnum<float>::v(), 
+        (TF::DataTypeToEnum<float>::v(),
          TF::TensorShape {(long long)(1), (long long)(size_to)});
       float* init_bias_data = init_bias.flat<float>().data();
       if (m_bias.empty())
@@ -781,7 +781,7 @@ private:
           init_bias_data[s] = 0.f;
       else
         std::copy_n (m_bias[i].begin(), size_to, init_bias_data);
-      
+
       assign_bias.push_back (TFops::Assign (*m_root, bias.back(), init_bias));
     }
 
@@ -790,9 +790,9 @@ private:
       if (m_verbose) std::cerr << "Error: " << m_root->status().ToString() << std::endl;
       return;
     }
-    
+
     if (m_verbose) std::cerr << " 3) Creating layers" << std::endl;
-    
+
     for (std::size_t i = 0; i < weights.size(); ++ i)
     {
       if (i == 0)
@@ -816,7 +816,7 @@ private:
     }
 
     if (m_verbose) std::cerr << " 4) Setting up loss calculation" << std::endl;
-    
+
     // loss calculation based on cross-entropy
     TFops::Maximum truncated_ypred = TFops::Maximum (*m_root, TFops::Const(*m_root, 0.0001f), m_layers.back());
     TFops::Log log_ypred = TFops::Log (*m_root, truncated_ypred);
@@ -825,7 +825,7 @@ private:
     TFops::Mul minus_sum_ygt_times_log_ypred = TFops::Mul (*m_root, TFops::Const(*m_root, -1.f), sum_ygt_times_log_ypred);
 
     m_loss = new TFops::ReduceMean (*m_root, minus_sum_ygt_times_log_ypred, {0});
-    
+
     if (!m_root->status().ok())
     {
       if (m_verbose) std::cerr << "Error: " << m_root->status().ToString() << std::endl;
@@ -833,27 +833,27 @@ private:
     }
 
     if (m_verbose) std::cerr << " 5) Setting up gradient descent" << std::endl;
-    
+
     std::vector<TF::Output> weights_and_bias;
     for (std::size_t i = 0; i < weights.size(); ++ i)
       weights_and_bias.push_back (TF::Output(weights[i]));
     for (std::size_t i = 0; i < bias.size(); ++ i)
       weights_and_bias.push_back (TF::Output(bias[i]));
-    
+
     std::vector<TF::Output> gradients;
 
     TF_CHECK_OK(TF::AddSymbolicGradients(*m_root, {*m_loss},
                                          weights_and_bias,
                                          &gradients));
-  
+
     if (!m_root->status().ok())
     {
       if (m_verbose) std::cerr << "Error: " << m_root->status().ToString() << std::endl;
       return;
     }
-  
+
     std::vector<TF::Output> assigners;
-  
+
 #ifdef CGAL_CLASSIFICATION_TENSORFLOW_USE_ADAM
     for (std::size_t i = 0; i < weights.size(); ++ i)
     {
@@ -877,7 +877,7 @@ private:
 
       TFops::Variable m (*m_root, { size_from, size_to}, TF::DT_FLOAT);
       TF::Tensor init_m
-        (TF::DataTypeToEnum<float>::v(), 
+        (TF::DataTypeToEnum<float>::v(),
          TF::TensorShape {(long long)(size_from), (long long)(size_to)});
       float* init_m_data = init_m.flat<float>().data();
       for (std::size_t s = 0; s < size_from; ++ s)
@@ -887,7 +887,7 @@ private:
 
       TFops::Variable v (*m_root, { size_from, size_to}, TF::DT_FLOAT);
       TF::Tensor init_v
-        (TF::DataTypeToEnum<float>::v(), 
+        (TF::DataTypeToEnum<float>::v(),
          TF::TensorShape {(long long)(size_from), (long long)(size_to)});
       float* init_v_data = init_v.flat<float>().data();
       for (std::size_t s = 0; s < size_from; ++ s)
@@ -908,7 +908,7 @@ private:
                                      TFops::Cast(*m_root, 1e-8, TF::DT_FLOAT),
                                      {gradients[i]}));
     }
-    
+
     for (std::size_t i = 0; i < bias.size(); ++ i)
     {
       long long size_from = 0;
@@ -922,7 +922,7 @@ private:
 
       TFops::Variable m (*m_root, { 1, size_to}, TF::DT_FLOAT);
       TF::Tensor init_m
-        (TF::DataTypeToEnum<float>::v(), 
+        (TF::DataTypeToEnum<float>::v(),
          TF::TensorShape {(long long)(1), (long long)(size_to)});
       float* init_m_data = init_m.flat<float>().data();
       for (std::size_t s = 0; s < size_to; ++ s)
@@ -931,7 +931,7 @@ private:
 
       TFops::Variable v (*m_root, { 1, size_to}, TF::DT_FLOAT);
       TF::Tensor init_v
-        (TF::DataTypeToEnum<float>::v(), 
+        (TF::DataTypeToEnum<float>::v(),
          TF::TensorShape {(long long)(1), (long long)(size_to)});
       float* init_v_data = init_v.flat<float>().data();
       for (std::size_t s = 0; s < size_to; ++ s)
@@ -951,7 +951,7 @@ private:
                                      TFops::Cast(*m_root, 1e-8, TF::DT_FLOAT),
                                      {gradients[weights.size() + i]}));
     }
-    
+
 #else
     for (std::size_t i = 0; i < weights.size(); ++ i)
       m_optimizer.push_back (TFops::ApplyGradientDescent
@@ -969,9 +969,9 @@ private:
     }
 
     if (m_verbose) std::cerr << " 6) Starting session" << std::endl;
-    
+
     TF::SessionOptions options = TF::SessionOptions();
-    
+
     options.config.mutable_gpu_options()->set_allow_growth(true);
     options.config.mutable_gpu_options()->set_per_process_gpu_memory_fraction(0.8);
     options.config.mutable_gpu_options()->set_force_gpu_compatible(true);
@@ -1014,7 +1014,7 @@ void classify (const ItemRange& input,
                ProbabilitiesRanges& probabilities)
 {
   std::cerr << "Classify with TensorFlow classifier" << std::endl;
-  
+
   output.resize(input.size());
   probabilities.resize (labels.size());
   for (std::size_t i = 0; i < probabilities.size(); ++ i)
@@ -1032,7 +1032,7 @@ void classify (const ItemRange& input,
     indices.reserve (input.size() / nb_subdivisions);
     for (std::size_t i = 0; i < input.size() / nb_subdivisions && idx < input.size(); ++ i)
       indices.push_back(idx ++);
-    
+
     std::vector<std::vector<float> > values;
     classifier (indices, values);
     for(std::size_t i = 0; i < indices.size(); ++ i)
@@ -1043,7 +1043,7 @@ void classify (const ItemRange& input,
       for (std::size_t j = 0; j < labels.size(); ++ j)
       {
         probabilities[j][indices[i]] = values[i][j];
-        
+
         if(val_class_best < values[i][j])
         {
           val_class_best = values[i][j];
@@ -1066,7 +1066,7 @@ void classify (const ItemRange& input,
                LabelIndexRange& output)
 {
   std::cerr << "Classify with TensorFlow classifier" << std::endl;
-  
+
   output.resize(input.size());
 
   const std::size_t mem_allocated = sizeof(float) * input.size() * (labels.size() + classifier.features().size());
@@ -1081,7 +1081,7 @@ void classify (const ItemRange& input,
     indices.reserve (input.size() / nb_subdivisions);
     for (std::size_t i = 0; i < input.size() / nb_subdivisions && idx < input.size(); ++ i)
       indices.push_back(idx ++);
-    
+
     std::vector<std::vector<float> > values;
     classifier (indices, values);
 
@@ -1103,7 +1103,7 @@ void classify (const ItemRange& input,
     }
   }
 }
-#endif  
+#endif
 /// \endcond
 
 }
diff -pruN 5.0.2-3/include/CGAL/Classification.h 5.0.3-1/include/CGAL/Classification.h
--- 5.0.2-3/include/CGAL/Classification.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Classification.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Classification/include/CGAL/Classification.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Classification/include/CGAL/Classification.h $
 // $Id: Classification.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/CMap_linear_cell_complex_storages.h 5.0.3-1/include/CGAL/CMap_linear_cell_complex_storages.h
--- 5.0.2-3/include/CGAL/CMap_linear_cell_complex_storages.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/CMap_linear_cell_complex_storages.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/CMap_linear_cell_complex_storages.h $
-// $Id: CMap_linear_cell_complex_storages.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/CMap_linear_cell_complex_storages.h $
+// $Id: CMap_linear_cell_complex_storages.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -85,7 +85,7 @@ namespace CGAL {
     struct Container_for_attributes :
       public Compact_container<T, typename std::allocator_traits<Alloc_>::template rebind_alloc<T> >
     {};
-    
+
     /// Typedef for attributes
     typedef typename internal::template Get_attributes_tuple<Dart_wrapper>::type
                                    Attributes;
@@ -249,7 +249,7 @@ namespace CGAL {
       CGAL_assertion( ah!=nullptr );
       return ah->is_valid();
     }
-    
+
     // accessors and modifiers to the attribute ref counting given its handle
     template<unsigned int i>
     std::size_t get_attribute_ref_counting
diff -pruN 5.0.2-3/include/CGAL/Coercion_traits.h 5.0.3-1/include/CGAL/Coercion_traits.h
--- 5.0.2-3/include/CGAL/Coercion_traits.h	2020-02-21 20:02:45.000000000 +0000
+++ 5.0.3-1/include/CGAL/Coercion_traits.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_foundations/include/CGAL/Coercion_traits.h $
-// $Id: Coercion_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_foundations/include/CGAL/Coercion_traits.h $
+// $Id: Coercion_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -13,8 +13,8 @@
 // =============================================================================
 
 /*! \file NiX/Coercion_traits.h
- *  \brief Defines class NiX::Coercion_traits. 
- * 
+ *  \brief Defines class NiX::Coercion_traits.
+ *
  *  Provides the general definition of the \c Coercion_traits<A,B> class, with
  *  specializations for the builtin number types.
  */
@@ -70,7 +70,7 @@ CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERA
             Type operator()(const FROM& x) const {             \
                 return Type(x);}                               \
         };                                                              \
-    };      
+    };
 
 #define CGAL_DEFINE_COERCION_TRAITS_FROM_TO_TEM(FROM,TO,TEM)            \
     template <TEM>                                                      \
@@ -96,9 +96,9 @@ CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERA
             Type operator()(const FROM& x) const {             \
                 return Type(x);}                               \
         };                                                              \
-    };   
+    };
+
 
-                                                 
 
 #define CGAL_DEFINE_COERCION_TRAITS_FOR_SELF(A)                         \
     template <>                                                         \
@@ -110,7 +110,7 @@ CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERA
             typedef Type result_type;                          \
             Type operator()(const A& x) const { return x;}     \
         };                                                              \
-    };    
+    };
 
 #define CGAL_DEFINE_COERCION_TRAITS_FOR_SELF_TEM(A,TEM)                 \
     template <TEM>                                                      \
@@ -122,12 +122,12 @@ CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERA
             typedef Type result_type;                          \
             Type operator()(const A& x) const {return x;}      \
         };                                                              \
-    };    
+    };
 
 namespace CGAL {
 
 
-namespace INTERN_CT{ 
+namespace INTERN_CT{
 template< class FROM, class TO >struct Cast_from_to{
     typedef TO result_type;
     TO operator()(const TO& x) const {return x;}
@@ -143,7 +143,7 @@ struct Cast_from_to<TO,TO>{
 
 template<class A , class B> struct Coercion_traits;
 template<class A , class B, int > struct Coercion_traits_for_level;
-    
+
 
 
 CGAL_DEFINE_COERCION_TRAITS_FROM_TO(short,int)
@@ -154,7 +154,7 @@ CGAL_DEFINE_COERCION_TRAITS_FROM_TO(shor
 CGAL_DEFINE_COERCION_TRAITS_FROM_TO(short,float)
 CGAL_DEFINE_COERCION_TRAITS_FROM_TO(short,double)
 CGAL_DEFINE_COERCION_TRAITS_FROM_TO(short,long double)
-        
+
 CGAL_DEFINE_COERCION_TRAITS_FROM_TO(int,long)
 #ifdef CGAL_USE_LONG_LONG
   CGAL_DEFINE_COERCION_TRAITS_FROM_TO(int,long long)
@@ -178,25 +178,25 @@ CGAL_DEFINE_COERCION_TRAITS_FROM_TO(long
 
 CGAL_DEFINE_COERCION_TRAITS_FROM_TO(float,double)
 CGAL_DEFINE_COERCION_TRAITS_FROM_TO(float,long double)
-      
+
 CGAL_DEFINE_COERCION_TRAITS_FROM_TO(double,long double)
 
 //! Specialization for equal types.
-template <class A>    
-struct Coercion_traits<A,A>{ 
+template <class A>
+struct Coercion_traits<A,A>{
     typedef Tag_true Are_explicit_interoperable;
     typedef Tag_true Are_implicit_interoperable;
-    typedef A Type; 
-    struct Cast{                                        
-        typedef Type result_type;                             
-        Type inline operator()(const A& x) const { 
+    typedef A Type;
+    struct Cast{
+        typedef Type result_type;
+        Type inline operator()(const A& x) const {
             return x;
-        }       
+        }
     };
 };
-    
+
 CGAL_DEFINE_COERCION_TRAITS_FOR_SELF(short)
-CGAL_DEFINE_COERCION_TRAITS_FOR_SELF(int)  
+CGAL_DEFINE_COERCION_TRAITS_FOR_SELF(int)
 CGAL_DEFINE_COERCION_TRAITS_FOR_SELF(long)
 #ifdef CGAL_USE_LONG_LONG
   CGAL_DEFINE_COERCION_TRAITS_FOR_SELF(long long)
@@ -207,16 +207,16 @@ CGAL_DEFINE_COERCION_TRAITS_FOR_SELF(lon
 
 enum COERCION_TRAITS_LEVEL {
     CTL_TOP          = 4,
-    CTL_POLYNOMIAL   = 4, 
+    CTL_POLYNOMIAL   = 4,
     CTL_COMPLEX      = 3,
     CTL_INTERVAL     = 2,
-    CTL_SQRT_EXT     = 1 
+    CTL_SQRT_EXT     = 1
 };
 
-template <class A, class B, int i > 
+template <class A, class B, int i >
 struct Coercion_traits_for_level: public Coercion_traits_for_level<A,B,i-1>{};
 
-template <class A, class B> 
+template <class A, class B>
 struct Coercion_traits_for_level<A,B,0> {
     typedef Tag_false Are_explicit_interoperable;
     typedef Tag_false Are_implicit_interoperable;
@@ -224,10 +224,10 @@ struct Coercion_traits_for_level<A,B,0>
     typedef Null_functor Cast;
 };
 
-template<class A , class B> 
+template<class A , class B>
 struct Coercion_traits :public Coercion_traits_for_level<A,B,CTL_TOP>{};
 
- 
+
 } //namespace CGAL
 
 #endif //NiX_COERCION_TRAITS_H
diff -pruN 5.0.2-3/include/CGAL/Combination_enumerator.h 5.0.3-1/include/CGAL/Combination_enumerator.h
--- 5.0.2-3/include/CGAL/Combination_enumerator.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/include/CGAL/Combination_enumerator.h	2020-08-01 19:02:21.000000000 +0000
@@ -1,11 +1,11 @@
 // Copyright (c) 2012
 // Inria Nancy - Grand Est
-// All rights reserved. 
+// All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generator/include/CGAL/Combination_enumerator.h $
-// $Id: Combination_enumerator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generator/include/CGAL/Combination_enumerator.h $
+// $Id: Combination_enumerator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)    : Samuel Hornus
diff -pruN 5.0.2-3/include/CGAL/Combinatorial_map_basic_operations.h 5.0.3-1/include/CGAL/Combinatorial_map_basic_operations.h
--- 5.0.2-3/include/CGAL/Combinatorial_map_basic_operations.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Combinatorial_map_basic_operations.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Combinatorial_map_basic_operations.h $
-// $Id: Combinatorial_map_basic_operations.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Combinatorial_map_basic_operations.h $
+// $Id: Combinatorial_map_basic_operations.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -30,7 +30,7 @@ namespace CGAL
    * @return true iff the two darts belong to the same orbit.
    */
   template < class Map, class Iterator >
-  bool belong_to_same_orbit(const Map & amap, 
+  bool belong_to_same_orbit(const Map & amap,
                             typename Map::Dart_const_handle adart1,
                             typename Map::Dart_const_handle adart2)
   {
@@ -53,7 +53,7 @@ namespace CGAL
    * @return true iff all the darts are marked.
    */
   template < class Map, class Iterator >
-  bool is_whole_orbit_marked(const Map & amap, 
+  bool is_whole_orbit_marked(const Map & amap,
                              typename Map::Dart_const_handle adart,
                              typename Map::size_type amark)
   {
@@ -76,7 +76,7 @@ namespace CGAL
    * @return true iff all the darts are unmarked.
    */
   template < class Map, class Iterator >
-  bool is_whole_orbit_unmarked(const Map & amap, 
+  bool is_whole_orbit_unmarked(const Map & amap,
                                typename Map::Dart_const_handle adart,
                                typename Map::size_type amark)
   {
@@ -122,7 +122,7 @@ namespace CGAL
    * @pre The whole orbit must be marked.
    */
   template < class Map, class Iterator >
-  typename Map::size_type unmark_orbit(const Map & amap, 
+  typename Map::size_type unmark_orbit(const Map & amap,
                                        typename Map::Dart_const_handle adart,
                                        typename Map::size_type amark)
   {
@@ -140,7 +140,7 @@ namespace CGAL
    * @return true iff the two darts belong to the same cell.
    */
   template < class Map, unsigned int i, unsigned int d>
-  bool belong_to_same_cell(const Map & amap, 
+  bool belong_to_same_cell(const Map & amap,
                            typename Map::Dart_const_handle adart1,
                            typename Map::Dart_const_handle adart2)
   {
@@ -150,7 +150,7 @@ namespace CGAL
   }
 
   template < class Map, unsigned int i>
-  bool belong_to_same_cell(const Map & amap, 
+  bool belong_to_same_cell(const Map & amap,
                            typename Map::Dart_const_handle adart1,
                            typename Map::Dart_const_handle adart2)
   {
@@ -165,20 +165,20 @@ namespace CGAL
    * @return true iff all the darts are marked.
    */
   template < class Map, unsigned int i, unsigned int d>
-  bool is_whole_cell_marked(const Map & amap, 
+  bool is_whole_cell_marked(const Map & amap,
                             typename Map::Dart_const_handle adart,
                             typename Map::size_type amark)
-  {  
+  {
     return CGAL::is_whole_orbit_marked<Map,
         typename Map::template Dart_of_cell_range<i,d>::const_iterator>
         (amap, adart, amark);
   }
 
   template < class Map, unsigned int i>
-  bool is_whole_cell_marked(const Map & amap, 
+  bool is_whole_cell_marked(const Map & amap,
                             typename Map::Dart_const_handle adart,
                             typename Map::size_type amark)
-  {  
+  {
     return CGAL::is_whole_cell_marked<Map,i,Map::dimension>(amap,adart,amark);
   }
 
@@ -189,20 +189,20 @@ namespace CGAL
    * @return true iff all the darts are marked.
    */
   template < class Map, unsigned int i, unsigned int d >
-  bool is_whole_cell_unmarked(const Map & amap, 
+  bool is_whole_cell_unmarked(const Map & amap,
                               typename Map::Dart_const_handle adart,
                               typename Map::size_type amark)
-  {  
+  {
     return CGAL::is_whole_orbit_unmarked<Map,
         typename Map::template Dart_of_cell_range<i,d>::iterator>
         (amap, adart, amark);
   }
 
   template < class Map, unsigned int i>
-  bool is_whole_cell_unmarked(const Map & amap, 
+  bool is_whole_cell_unmarked(const Map & amap,
                               typename Map::Dart_const_handle adart,
                               typename Map::size_type amark)
-  {  
+  {
     return CGAL::is_whole_cell_unmarked<Map,i,Map::dimension>
         (amap,adart,amark);
   }
@@ -215,15 +215,15 @@ namespace CGAL
    * @pre The whole cell must be unmarked.
    */
   template < class Map, unsigned int i, unsigned int d >
-  typename Map::size_type mark_cell(const Map & amap, 
+  typename Map::size_type mark_cell(const Map & amap,
                                     typename Map::Dart_const_handle adart,
                                     typename Map::size_type amark)
   { return CGAL::mark_orbit<Map,
         typename Map::template Dart_of_cell_basic_range<i,d>::const_iterator>
         (amap, adart, amark); }
-     
+
   template < class Map, unsigned int i>
-  typename Map::size_type mark_cell(const Map & amap, 
+  typename Map::size_type mark_cell(const Map & amap,
                                     typename Map::Dart_const_handle adart,
                                     typename Map::size_type amark)
   { return CGAL::mark_cell<Map,i,Map::dimension>(amap, adart, amark);}
@@ -236,7 +236,7 @@ namespace CGAL
    * @pre The whole cell must be marked.
    */
   template < class Map, unsigned int i, unsigned int d >
-  typename Map::size_type unmark_cell(const Map & amap, 
+  typename Map::size_type unmark_cell(const Map & amap,
                                       typename Map::Dart_const_handle adart,
                                       typename Map::size_type amark)
   { return CGAL::unmark_orbit<Map,
@@ -244,23 +244,23 @@ namespace CGAL
         (amap, adart, amark);}
 
   template < class Map, unsigned int i >
-  typename Map::size_type unmark_cell(const Map & amap, 
+  typename Map::size_type unmark_cell(const Map & amap,
                                       typename Map::Dart_const_handle adart,
                                       typename Map::size_type amark)
   { return CGAL::unmark_cell<Map,i,Map::dimension>(amap, adart, amark); }
-     
+
   /** Compute the degree of a given i-cell c.
    * The degree is the number of distinct i+1 cells incident to c.
-   * @param amap a combinatorial map. 
+   * @param amap a combinatorial map.
    * @param adart a dart of the cell.
    * @return the degree of the cell.
    */
   template < class Map, unsigned int i >
-  typename Map::size_type degree(const Map & amap, 
+  typename Map::size_type degree(const Map & amap,
                                  typename Map::Dart_const_handle adart)
   {
     CGAL_assertion(adart != nullptr);
-  
+
     typename Map::size_type nbIncident = 0;
     typename Map::size_type mark;
     typename Map::size_type treated;
@@ -278,7 +278,7 @@ namespace CGAL
       }
       amap.mark(it,mark);
     }
-  
+
     amap.negate_mark(mark);
     for (it.rewind(); it.cont(); ++it)
     {
@@ -286,30 +286,30 @@ namespace CGAL
       { CGAL::unmark_cell<Map,i+1>(amap, it, treated); }
       amap.mark(it,mark);
     }
-  
+
     amap.negate_mark(mark);
     CGAL_assertion( amap.is_whole_map_unmarked(mark) );
     CGAL_assertion( amap.is_whole_map_unmarked(treated) );
 
     amap.free_mark(mark);
     amap.free_mark(treated);
-  
+
     CGAL_assertion(nbIncident != 0);
     return nbIncident;
   }
 
   /** Compute the co-degree of a given i-cell c.
    * The co-degree is the number of distinct i-1 cells incident to c.
-   * @param amap a combinatorial map. 
+   * @param amap a combinatorial map.
    * @param adart a dart of the cell.
    * @return the co-degree of the cell.
    */
   template < class Map, unsigned int i >
-  typename Map::size_type codegree(const Map & amap, 
+  typename Map::size_type codegree(const Map & amap,
                                    typename Map::Dart_const_handle adart)
   {
     CGAL_assertion(adart != nullptr);
-  
+
     typename Map::size_type nbIncident = 0;
     typename Map::size_type mark;
     typename Map::size_type treated;
@@ -327,11 +327,11 @@ namespace CGAL
       }
       amap.mark(it,mark);
     }
-  
+
     amap.negate_mark(mark);
     for (it.rewind(); it.cont(); ++it)
     {
-      if (amap.is_marked(it, treated))      
+      if (amap.is_marked(it, treated))
       { CGAL::unmark_cell<Map,i-1>(amap, it, treated); }
       amap.mark(it,mark);
     }
@@ -342,7 +342,7 @@ namespace CGAL
 
     amap.free_mark(mark);
     amap.free_mark(treated);
-  
+
     CGAL_assertion(nbIncident != 0);
     return nbIncident;
   }
diff -pruN 5.0.2-3/include/CGAL/Combinatorial_map_constructors.h 5.0.3-1/include/CGAL/Combinatorial_map_constructors.h
--- 5.0.2-3/include/CGAL/Combinatorial_map_constructors.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Combinatorial_map_constructors.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Combinatorial_map_constructors.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Combinatorial_map_constructors.h $
 // $Id: Combinatorial_map_constructors.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Combinatorial_map_functors.h 5.0.3-1/include/CGAL/Combinatorial_map_functors.h
--- 5.0.2-3/include/CGAL/Combinatorial_map_functors.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Combinatorial_map_functors.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Combinatorial_map_functors.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Combinatorial_map_functors.h $
 // $Id: Combinatorial_map_functors.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Combinatorial_map.h 5.0.3-1/include/CGAL/Combinatorial_map.h
--- 5.0.2-3/include/CGAL/Combinatorial_map.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Combinatorial_map.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Combinatorial_map.h $
-// $Id: Combinatorial_map.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Combinatorial_map.h $
+// $Id: Combinatorial_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -235,7 +235,7 @@ namespace CGAL {
       boost::unordered_map<typename CMap2::Dart_const_handle, Dart_handle> local_dartmap;
       if (dart_mapping==nullptr)
       { dart_mapping=&local_dartmap; }
-      
+
       for (typename CMap2::Dart_const_range::const_iterator
              it=amap.darts().begin(), itend=amap.darts().end();
            it!=itend; ++it)
@@ -3101,7 +3101,7 @@ namespace CGAL {
 #if defined(CGAL_CMAP_DART_DEPRECATED) && !defined(CGAL_NO_DEPRECATED_CODE)
       CGAL_USE(testDartInfo);
 #endif
-      
+
       typedef Combinatorial_map_base<d2,Refs2,Items2,Alloc2, Storage2> Map2;
 
       bool match = true;
@@ -4468,6 +4468,6 @@ namespace CGAL {
 #endif
 
  #include <CGAL/enable_warnings.h>
- 
+
 #endif // CGAL_COMBINATORIAL_MAP_H //
 // EOF //
diff -pruN 5.0.2-3/include/CGAL/Combinatorial_map_insertions.h 5.0.3-1/include/CGAL/Combinatorial_map_insertions.h
--- 5.0.2-3/include/CGAL/Combinatorial_map_insertions.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Combinatorial_map_insertions.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Combinatorial_map_insertions.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Combinatorial_map_insertions.h $
 // $Id: Combinatorial_map_insertions.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Combinatorial_map_iterators_base.h 5.0.3-1/include/CGAL/Combinatorial_map_iterators_base.h
--- 5.0.2-3/include/CGAL/Combinatorial_map_iterators_base.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Combinatorial_map_iterators_base.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Combinatorial_map_iterators_base.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Combinatorial_map_iterators_base.h $
 // $Id: Combinatorial_map_iterators_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Combinatorial_map_min_items.h 5.0.3-1/include/CGAL/Combinatorial_map_min_items.h
--- 5.0.2-3/include/CGAL/Combinatorial_map_min_items.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Combinatorial_map_min_items.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Combinatorial_map_min_items.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Combinatorial_map_min_items.h $
 // $Id: Combinatorial_map_min_items.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Combinatorial_map_operations.h 5.0.3-1/include/CGAL/Combinatorial_map_operations.h
--- 5.0.2-3/include/CGAL/Combinatorial_map_operations.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Combinatorial_map_operations.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Combinatorial_map_operations.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Combinatorial_map_operations.h $
 // $Id: Combinatorial_map_operations.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Combinatorial_map_save_load.h 5.0.3-1/include/CGAL/Combinatorial_map_save_load.h
--- 5.0.2-3/include/CGAL/Combinatorial_map_save_load.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Combinatorial_map_save_load.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Combinatorial_map_save_load.h $
-// $Id: Combinatorial_map_save_load.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Combinatorial_map_save_load.h $
+// $Id: Combinatorial_map_save_load.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -65,7 +65,7 @@ namespace CGAL {
   template<typename T>
   void write_cmap_attribute_node(boost::property_tree::ptree & /*node*/, const T&)
   {}
-  
+
   inline
   void write_cmap_attribute_node(boost::property_tree::ptree & node,
                        char val)
@@ -309,7 +309,7 @@ namespace CGAL {
                                 typename CMap::size_type>& myDarts)
   {
     CGAL_assertion( myDarts.empty() );
-    
+
     // First we numbered each dart by using the std::map.
     typename CMap::Dart_range::const_iterator it(amap.darts().begin());
     for(typename CMap::size_type num=1; num<=amap.number_of_darts();
@@ -343,7 +343,7 @@ namespace CGAL {
       // function)
       write_cmap_dart_node(ndart, it);
     }
-    
+
     return pt;
   }
 
@@ -407,7 +407,7 @@ namespace CGAL {
     if (!output) return false;
     return save_combinatorial_map(amap, output, f);
   }
-  
+
   template < class CMap >
   bool save_combinatorial_map(const CMap& amap, std::ostream & output)
   {
@@ -522,7 +522,7 @@ namespace CGAL {
         if (v0.first == "dimension")
         {
           int dimension=v0.second.get("<xmlattr>.index", -1);
-          
+
           // if map.dimension == dimension saved in the xml file
           if (dimension==i)
           {
@@ -530,11 +530,11 @@ namespace CGAL {
             std::string type =  v0.second.get<std::string>("type");
             std::string type_map=std::string
               (typeid(typename CMap::template Attribute_type<i>::type::Info).name());
-            
+
             std::string ptype =  v0.second.get<std::string>("type_point");
             std::string ptype_map= std::string
               (typeid(typename CMap::template Attribute_type<i>::type::Point).name());
-            
+
                 //  std::cout<<"ptype="<<ptype<<"  and type_map="<<type_map<<std::endl;
                 /* if(type!=type_map && ptype!=ptype_map)
                 {
@@ -548,7 +548,7 @@ namespace CGAL {
               if( v1.first == "a" )
               {
                 id_dart_cellule=v1.second.get<unsigned int>("d")-1;
-                
+
                 for(const boost::property_tree::ptree::value_type &v2 :
                               v1.second )
                 {
@@ -598,7 +598,7 @@ namespace CGAL {
         if (v0.first == "dimension")
         {
           int dimension=v0.second.get("<xmlattr>.index", -1);
-          
+
           // if map.dimension == dimension saved in the xml file
           if (dimension==i)
           {
@@ -619,7 +619,7 @@ namespace CGAL {
               if( v1.first == "a" )
               {
                 id_dart_cellule=v1.second.get<unsigned int>("d")-1;
-                
+
                 for(const boost::property_tree::ptree::value_type &v2 :
                               v1.second )
                 {
@@ -630,7 +630,7 @@ namespace CGAL {
                       amap.template set_attribute<i>
                         (myDarts[id_dart_cellule],
                          amap.template create_attribute<i>());
-                    
+
                     read_cmap_attribute_node
                       (v2,
                        (amap.template attribute<i>
@@ -659,7 +659,7 @@ namespace CGAL {
         if (v0.first == "dimension")
         {
           int dimension=v0.second.get("<xmlattr>.index", -1);
-          
+
           // if map.dimension == dimension saved in the xml file
           if (dimension==i)
           {
@@ -680,7 +680,7 @@ namespace CGAL {
               if( v1.first == "a" )
               {
                 id_dart_cellule=v1.second.get<unsigned int>("d")-1;
-                
+
                 for(const boost::property_tree::ptree::value_type &v2 :
                               v1.second )
                 {
@@ -718,19 +718,19 @@ namespace CGAL {
         if (v0.first == "dimension")
         {
           int dimension=v0.second.get("<xmlattr>.index", -1);
-          
+
           // if map.dimension == dimension saved in the xml file
           if (dimension==i)
           {
             unsigned int id_dart_cellule=0;
-            
+
             for(const boost::property_tree::ptree::value_type &v1 :
                           v0.second )
             {
               if( v1.first == "a" )
               {
                 id_dart_cellule=v1.second.get<unsigned int>("d")-1;
-                
+
                 if (amap.template attribute<i>(myDarts[id_dart_cellule])==nullptr)
                   amap.template set_attribute<i>
                     (myDarts[id_dart_cellule],
@@ -788,7 +788,7 @@ namespace CGAL {
           {
             index = v2.second.get("<xmlattr>.i", 0);
             nextDartInt = boost::lexical_cast< int >(v2.second.data())-1;
-            
+
             if ( index<=amap.dimension )
             {
               amap.basic_link_beta(myDarts[currentDartInt],
@@ -832,7 +832,7 @@ namespace CGAL {
     cmap_load_attributes(pt,amap,myDarts);
     return true;
   }
-  
+
   template < class CMap, class Functor >
   bool load_combinatorial_map(const char* filename, CMap& amap,
                               Functor& f)
diff -pruN 5.0.2-3/include/CGAL/Combinatorial_map_storages.h 5.0.3-1/include/CGAL/Combinatorial_map_storages.h
--- 5.0.2-3/include/CGAL/Combinatorial_map_storages.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Combinatorial_map_storages.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Combinatorial_map_storages.h $
-// $Id: Combinatorial_map_storages.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Combinatorial_map_storages.h $
+// $Id: Combinatorial_map_storages.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -36,7 +36,7 @@ namespace CGAL {
   // Storage of darts with compact container, beta with handles
   template<unsigned int d_, class Items_, class Alloc_ >
   class Combinatorial_map_storage_1
-  {  
+  {
   public:
     typedef Combinatorial_map_storage_1<d_, Items_, Alloc_> Self;
     typedef CGAL::Tag_false Use_index;
@@ -226,7 +226,7 @@ namespace CGAL {
       CGAL_assertion( ah!=nullptr );
       return ah->is_valid();
     }
-    
+
     // accessors and modifiers to the attribute ref counting given its handle
     template<unsigned int i>
     std::size_t get_attribute_ref_counting
diff -pruN 5.0.2-3/include/CGAL/Compact_container.h 5.0.3-1/include/CGAL/Compact_container.h
--- 5.0.2-3/include/CGAL/Compact_container.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Compact_container.h	2020-08-01 19:02:47.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Compact_container.h $
-// $Id: Compact_container.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Compact_container.h $
+// $Id: Compact_container.h a8fca35 2020-05-27T16:32:49+02:00 Laurent Rineau
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sylvain Pion
@@ -1126,9 +1126,25 @@ namespace internal {
   std::size_t hash_value(const CC_iterator<DSC, Const>&  i)
   {
     typedef Time_stamper_impl<typename DSC::value_type> Stamper;
-    return Stamper::hash_value(&*i);
+    return Stamper::hash_value(i.operator->());
   }
 
+namespace handle {
+  // supply a specialization for Hash_functor
+
+  // forward declare base template
+  template <class H> struct Hash_functor;
+
+  template<class DSC, bool Const>
+  struct Hash_functor<CC_iterator<DSC, Const> >{
+    std::size_t
+    operator()(const CC_iterator<DSC, Const>& i)
+    {
+      return hash_value(i);
+    }
+  };
+} // namespace handle
+
 } // namespace internal
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Compact_mesh_cell_base_3.h 5.0.3-1/include/CGAL/Compact_mesh_cell_base_3.h
--- 5.0.2-3/include/CGAL/Compact_mesh_cell_base_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Compact_mesh_cell_base_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Compact_mesh_cell_base_3.h $
-// $Id: Compact_mesh_cell_base_3.h e3c1de5 2020-01-28T10:36:19+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Compact_mesh_cell_base_3.h $
+// $Id: Compact_mesh_cell_base_3.h 113c3d1 2020-06-15T15:56:28+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Rineau, Stephane Tayeb, Andreas Fabri
@@ -54,7 +54,7 @@ void set_weighted_circumcenter(T* &t, st
   t = nullptr;
 }
 template<typename T>
-bool compare_weighted_circumcenter(T* t)
+bool is_null(T* t)
 {
   return t == nullptr;
 }
@@ -80,7 +80,7 @@ void set_weighted_circumcenter(std::atom
 }
 
 template<typename T>
-bool compare_weighted_circumcenter(std::atomic<T*>& t)
+bool is_null(std::atomic<T*>& t)
 {
   return t.load() == nullptr;
 }
@@ -208,7 +208,7 @@ public:
   {
     CGAL_precondition(facet>=0 && facet<4);
     char current_bits = bits_;
-   
+
     while (!bits_.compare_exchange_weak(current_bits, current_bits | char(1 << facet)))
     {
       current_bits = bits_;
@@ -302,7 +302,7 @@ public:
 public:
   void invalidate_weighted_circumcenter_cache() const
   {
-    if (!internal_tbb::compare_weighted_circumcenter(weighted_circumcenter_)) {
+    if (!internal_tbb::is_null(weighted_circumcenter_)) {
       internal_tbb::delete_circumcenter(weighted_circumcenter_);
       internal_tbb::set_weighted_circumcenter(weighted_circumcenter_, nullptr);
     }
@@ -319,7 +319,7 @@ public:
 #endif
     , surface_center_index_table_()
     , sliver_value_(FT(0.))
-    , subdomain_index_()  
+    , subdomain_index_()
     , sliver_cache_validity_(false)
   {}
 
@@ -386,7 +386,7 @@ public:
 
   ~Compact_mesh_cell_base_3()
   {
-    if(!internal_tbb::compare_weighted_circumcenter(weighted_circumcenter_)){
+    if(!internal_tbb::is_null(weighted_circumcenter_)){
       internal_tbb::delete_circumcenter(weighted_circumcenter_);
       internal_tbb::set_weighted_circumcenter(weighted_circumcenter_, nullptr);
     }
@@ -458,7 +458,7 @@ public:
   void set_neighbor(int i, Cell_handle n)
   {
     CGAL_triangulation_precondition( i >= 0 && i <= 3);
-    CGAL_triangulation_precondition( this != &*n );
+    CGAL_triangulation_precondition( this != n.operator->() );
     N[i] = n;
   }
 
@@ -471,10 +471,10 @@ public:
   void set_neighbors(Cell_handle n0, Cell_handle n1,
                      Cell_handle n2, Cell_handle n3)
   {
-    CGAL_triangulation_precondition( this != &*n0 );
-    CGAL_triangulation_precondition( this != &*n1 );
-    CGAL_triangulation_precondition( this != &*n2 );
-    CGAL_triangulation_precondition( this != &*n3 );
+    CGAL_triangulation_precondition( this != n0.operator->() );
+    CGAL_triangulation_precondition( this != n1.operator->() );
+    CGAL_triangulation_precondition( this != n2.operator->() );
+    CGAL_triangulation_precondition( this != n3.operator->() );
     N[0] = n0;
     N[1] = n1;
     N[2] = n2;
@@ -533,7 +533,7 @@ public:
   {
     CGAL_static_assertion((boost::is_same<Point_3,
       typename GT_::Construct_weighted_circumcenter_3::result_type>::value));
-    if (weighted_circumcenter_ == nullptr) {
+    if (internal_tbb::is_null(weighted_circumcenter_)) {
       this->try_to_set_circumcenter(
         new Point_3(gt.construct_weighted_circumcenter_3_object()
                         (this->vertex(0)->point(),
@@ -656,14 +656,14 @@ public:
 public:
   Cell_handle next_intrusive() const { return next_intrusive_; }
   void set_next_intrusive(Cell_handle c)
-  { 
-    next_intrusive_ = c; 
+  {
+    next_intrusive_ = c;
   }
 
   Cell_handle previous_intrusive() const { return previous_intrusive_; }
   void set_previous_intrusive(Cell_handle c)
-  { 
-    previous_intrusive_ = c; 
+  {
+    previous_intrusive_ = c;
   }
 #endif // CGAL_INTRUSIVE_LIST
 
diff -pruN 5.0.2-3/include/CGAL/Compare_handles_with_or_without_timestamps.h 5.0.3-1/include/CGAL/Compare_handles_with_or_without_timestamps.h
--- 5.0.2-3/include/CGAL/Compare_handles_with_or_without_timestamps.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Compare_handles_with_or_without_timestamps.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Compare_handles_with_or_without_timestamps.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Compare_handles_with_or_without_timestamps.h $
 // $Id: Compare_handles_with_or_without_timestamps.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/compare_vertices.h 5.0.3-1/include/CGAL/compare_vertices.h
--- 5.0.2-3/include/CGAL/compare_vertices.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/compare_vertices.h	2020-08-01 19:02:39.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Max-Planck-Institute Saarbruecken (Germany). All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_2/include/CGAL/compare_vertices.h $
-// $Id: compare_vertices.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_2/include/CGAL/compare_vertices.h $
+// $Id: compare_vertices.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Matthias Baesken
 
@@ -26,9 +26,9 @@ class compare_vertices {
  public:
   //std::map<VP,NT,std::less<VP> > *pmap;
   MAP_TYPE* pmap;
-  
+
   compare_vertices(MAP_TYPE *p){ pmap=p; }
-  
+
   bool operator()(VP e1, VP e2)
   // get the priorities from the map and return result of comparison ...
   { NT& v1 = (*pmap)[e1];
diff -pruN 5.0.2-3/include/CGAL/Complex_2_in_triangulation_3.h 5.0.3-1/include/CGAL/Complex_2_in_triangulation_3.h
--- 5.0.2-3/include/CGAL/Complex_2_in_triangulation_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Complex_2_in_triangulation_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Complex_2_in_triangulation_3.h $
-// $Id: Complex_2_in_triangulation_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Complex_2_in_triangulation_3.h $
+// $Id: Complex_2_in_triangulation_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -41,12 +41,12 @@ namespace CGAL {
       // computes and return an ordered pair of Vertex
       Pair_of_vertices
       make_ordered_pair(const Vertex_handle vh1, const Vertex_handle vh2) const {
-	if (vh1 < vh2) {
-	  return std::make_pair(vh1, vh2);
-	}
-	else {
-	  return std::make_pair(vh2, vh1);
-	}
+        if (vh1 < vh2) {
+          return std::make_pair(vh1, vh2);
+        }
+        else {
+          return std::make_pair(vh2, vh1);
+        }
       }
     };
 
@@ -62,42 +62,42 @@ namespace CGAL {
       Marked_edges marked_edges;
     public:
       void mark(const Cell_handle& c, const int& i, const int& j,
-		const Edge_info& info = Edge_info())
+                const Edge_info& info = Edge_info())
       {
-	marked_edges.insert(std::make_pair(this->make_ordered_pair(c->vertex(i),
-								   c->vertex(j)),
-					   info));
+        marked_edges.insert(std::make_pair(this->make_ordered_pair(c->vertex(i),
+                                                                   c->vertex(j)),
+                                           info));
       }
       void mark(const Edge& e,
-		const Edge_info& info = Edge_info())
+                const Edge_info& info = Edge_info())
       {
-	mark(e.first, e.second, e.third, info);
+        mark(e.first, e.second, e.third, info);
       }
       bool unmark(const Cell_handle& c, const int& i, const int& j)
       {
-	return marked_edges.erase(this->make_ordered_pair(c->vertex(i),
-							  c->vertex(j))) > 0;
+        return marked_edges.erase(this->make_ordered_pair(c->vertex(i),
+                                                          c->vertex(j))) > 0;
       }
       bool unmark(const Edge& e)
       {
-	return unmark(e.first, e.second, e.third);
+        return unmark(e.first, e.second, e.third);
       }
-      Edge_info& 
+      Edge_info&
       get_info(const Edge& e)
       {
-	return get_info(e.first, e.second, e.third);
+        return get_info(e.first, e.second, e.third);
       }
-      Edge_info& 
+      Edge_info&
       get_info(const Cell_handle& c, const int& i, const int& j)
       {
-	return this->marked_edges[this->make_ordered_pair(c->vertex(i),
-							  c->vertex(j))];
+        return this->marked_edges[this->make_ordered_pair(c->vertex(i),
+                                                          c->vertex(j))];
       }
 
     }; // end of class C2t3_mark_edges_helper_class<Tr, Edge_info>
 
     template <typename Tr>
-    class C2t3_mark_edges_helper_class<Tr,void> 
+    class C2t3_mark_edges_helper_class<Tr,void>
       : public C2t3_helper_class<Tr,void>
     {
     protected:
@@ -110,25 +110,25 @@ namespace CGAL {
     public:
       void mark(const Cell_handle& c, const int& i, const int& j)
       {
-	marked_edges.insert(this->make_ordered_pair(c->vertex(i),
-						    c->vertex(j)));
+        marked_edges.insert(this->make_ordered_pair(c->vertex(i),
+                                                    c->vertex(j)));
       }
       void mark(const Edge& e)
       {
-	mark(e.first, e.second, e.third);
+        mark(e.first, e.second, e.third);
       }
       bool unmark(const Cell_handle& c, const int& i, const int& j)
       {
-	return marked_edges.erase(this->make_ordered_pair(c->vertex(i), 
-							  c->vertex(j))) > 0;
+        return marked_edges.erase(this->make_ordered_pair(c->vertex(i),
+                                                          c->vertex(j))) > 0;
       }
       bool unmark(const Edge& e)
       {
-	return unmark(e.first, e.second, e.third);
+        return unmark(e.first, e.second, e.third);
       }
     }; // end of specialiazation C2t3_mark_edges_helper_class<Tr,void>
 
-    
+
   } // end nested-namespace details (in CGAL::)
 
 namespace Surface_mesher {
@@ -170,7 +170,7 @@ public:
 
   typedef typename Base::Pair_of_vertices Pair_of_vertices;
   typedef std::map <Pair_of_vertices,
-		    std::pair<int, Facets > >
+                    std::pair<int, Facets > >
                                                   Edge_facet_counter;
   enum Face_status{ NOT_IN_COMPLEX = 0,
                     ISOLATED = 1, // - An ISOLATED edge is a marked edge,
@@ -195,16 +195,16 @@ public:
   class Iterator_not_in_complex {
     const Self* self;
   public:
-    Iterator_not_in_complex(const Self* self = 0) : self(self) 
+    Iterator_not_in_complex(const Self* self = 0) : self(self)
     {
     }
-    
+
     template <typename Iterator> // Facet or Edges iterators
     bool operator()(Iterator it) const {
       if(self)
-	return ! self->is_in_complex(*it);
+        return ! self->is_in_complex(*it);
       else
-	return true;
+        return true;
     }
   }; // end struct Iterator_not_in_complex
 
@@ -212,10 +212,10 @@ public:
     Self* self;
   public:
     Vertex_not_in_complex(){} //added for SWIG wrapping
-    Vertex_not_in_complex(Self* self) : self(self) 
+    Vertex_not_in_complex(Self* self) : self(self)
     {
     }
-    
+
     bool operator()(Vertex_handle v) const { // Takes as argument an iterator to a
                                              // Vertex, convertible to Vertex_handle.
       return ! self->is_in_complex(v);
@@ -225,10 +225,10 @@ public:
   class Facet_not_in_complex {
     Self* self;
   public:
-    Facet_not_in_complex(Self* self) : self(self) 
+    Facet_not_in_complex(Self* self) : self(self)
     {
     }
-    
+
     bool operator()(Facet f) const {
       return ! self->is_in_complex(f);
     }
@@ -238,7 +238,7 @@ public:
     Self* self;
   public:
     Iterator_not_on_boundary(){}  //added for SWIG wrapping
-    Iterator_not_on_boundary(Self* self) : self(self) 
+    Iterator_not_on_boundary(Self* self) : self(self)
     {
     }
 
@@ -255,7 +255,7 @@ public:
                           Iterator_not_in_complex> Edge_iterator;
 
   // class to ensure that Vertex_iterator is convertible to Vertex_handle
-  class Vertex_iterator : 
+  class Vertex_iterator :
     public Filter_iterator<typename Triangulation::Finite_vertices_iterator,
                            Vertex_not_in_complex>
   {
@@ -274,7 +274,7 @@ public:
     Self & operator--() { Base::operator--(); return *this; }
     Self operator++(int) { Self tmp(*this); ++(*this); return tmp; }
     Self operator--(int) { Self tmp(*this); --(*this); return tmp; }
-  
+
     operator Vertex_handle() const // const added for SWIG wrapping
     {
       return Vertex_handle(this->base());
@@ -303,7 +303,7 @@ public:
 
   // Constructors
 
-  Complex_2_in_triangulation_3 (Triangulation& t) 
+  Complex_2_in_triangulation_3 (Triangulation& t)
     : tr(t), m_number_of_facets(0)
   {
   }
@@ -352,9 +352,9 @@ public:
     if (it == edge_facet_counter.end())
     {
       if(is_marked(va, vb))
-	return ISOLATED;
+        return ISOLATED;
       else
-	return NOT_IN_COMPLEX;
+        return NOT_IN_COMPLEX;
     }
 
     switch (it->second.first)
@@ -377,8 +377,8 @@ public:
     tr.incident_vertices(v, std::back_inserter(vertices));
     int number_of_boundary_incident_edges = 0; //COULD BE a bool
     for (typename std::vector<Vertex_handle>::iterator vit=vertices.begin();
-	 vit != vertices.end();
-	 vit++ ) 
+         vit != vertices.end();
+         vit++ )
     {
       switch( face_status(v, *vit) )
       {
@@ -393,9 +393,9 @@ public:
     int nb_incident_facets, nb_components;
     union_find_of_incident_facets(v, nb_incident_facets, nb_components);
 
-    if ( nb_incident_facets == 0 ) 
+    if ( nb_incident_facets == 0 )
       return NOT_IN_COMPLEX;
-    else if ( nb_components > 1 ) 
+    else if ( nb_components > 1 )
       return SINGULAR;
     else // REGULAR OR BOUNDARY
     {
@@ -408,7 +408,7 @@ public:
 
   bool is_marked(const Vertex_handle& va, const Vertex_handle& vb) const
   {
-    typename Marked_edges::const_iterator it = 
+    typename Marked_edges::const_iterator it =
       this->marked_edges.find(this->make_ordered_pair(va, vb));
     return it != this->marked_edges.end();
   }
@@ -452,39 +452,39 @@ public:
     Union_find<Facet> facets;
     incident_facets(v, std::back_inserter(facets));
 
-    typedef std::map<Vertex_handle, 
+    typedef std::map<Vertex_handle,
       typename Union_find<Facet>::handle>  Vertex_Set_map;
     typedef typename Vertex_Set_map::iterator Vertex_Set_map_iterator;
 
     Vertex_Set_map vsmap;
 
     for(typename Union_find<Facet>::iterator it = facets.begin();
-	it != facets.end();
-	++it){
+        it != facets.end();
+        ++it){
       const Cell_handle& ch = (*it).first;
       const int& i = (*it).second;
       for(int j=0; j < 3; ++j){
-	const Vertex_handle w = ch->vertex(tr.vertex_triple_index(i,j));
-	if(w != v){
-	  Vertex_Set_map_iterator vsm_it = vsmap.find(w);
-	  if(vsm_it != vsmap.end()){
-	    facets.unify_sets(vsm_it->second, it);
-	  } else {
-	    vsmap.insert(std::make_pair(w, it));
-	  }
-	}
+        const Vertex_handle w = ch->vertex(tr.vertex_triple_index(i,j));
+        if(w != v){
+          Vertex_Set_map_iterator vsm_it = vsmap.find(w);
+          if(vsm_it != vsmap.end()){
+            facets.unify_sets(vsm_it->second, it);
+          } else {
+            vsmap.insert(std::make_pair(w, it));
+          }
+        }
       }
     }
-    
+
     i = static_cast<int>(facets.size());  // we cast as it cannot be too many
     j = static_cast<int>(facets.number_of_sets());
     v->set_c2t3_cache(i, j);
     return;
   }
-  
+
   bool is_in_complex (const Facet& f) const {
     return is_in_complex (f.first, f.second);
-  } 
+  }
 
   bool is_in_complex (const Cell_handle c, const int i) const {
     return  face_status(c,i) != NOT_IN_COMPLEX;
@@ -492,8 +492,8 @@ public:
 
   bool is_in_complex (const Cell_handle& c,const int i, const int j) const {
     return  face_status(c,i,j) != NOT_IN_COMPLEX;
-  }  
-  
+  }
+
   bool is_in_complex (const Edge& e) const {
     return  face_status(e) != NOT_IN_COMPLEX;
   }
@@ -514,10 +514,10 @@ public:
   }
 
   Facet_circulator incident_facets (const Edge& e) {
-    typename Edge_facet_counter::iterator it = 
+    typename Edge_facet_counter::iterator it =
       edge_facet_counter.find(this->make_ordered_pair(e.first->vertex(e.second),
-						      e.first->vertex(e.third)));
-    
+                                                      e.first->vertex(e.third)));
+
     if( it == edge_facet_counter.end() )
       return Facet_circulator();
     else
@@ -538,13 +538,13 @@ public:
 
     // We assume that for the generated facets the Cell_handle is smaller than the opposite one
     tr.incident_facets(v,
-		       CGAL::filter_output_iterator(it, 
-						    Facet_not_in_complex(this)));
+                       CGAL::filter_output_iterator(it,
+                                                    Facet_not_in_complex(this)));
     return it;
   }
 
   /** This function assumes that the edge is regular. */
-  Facet neighbor(Cell_handle ch, int index, int j) const 
+  Facet neighbor(Cell_handle ch, int index, int j) const
   {
     const int i1  = tr.vertex_triple_index(index, tr. cw(j));
     const int i2  = tr.vertex_triple_index(index, tr.ccw(j));
@@ -552,16 +552,16 @@ public:
     Edge edge = Edge(ch, i1, i2);
     CGAL_assertion(face_status(edge) == REGULAR);
 
-    typename Tr::Facet_circulator facet_circ = 
+    typename Tr::Facet_circulator facet_circ =
       tr.incident_facets(edge, ch,index);
-    do { 
+    do {
       ++facet_circ;
     } while(! is_in_complex(*facet_circ) );
     return opposite_facet(*facet_circ);
   }
-  
+
     /** This function assumes that the edge is regular. */
-  Facet neighbor(Facet f, int j) const 
+  Facet neighbor(Facet f, int j) const
   {
     return neighbor(f.first,f.second,j);
   }
@@ -589,12 +589,12 @@ public:
   void change_in_complex_status(const Cell_handle c, const int i)
   {
     // if not already in the complex
-    if ( force_modification || 
-         (in_complex ? 
+    if ( force_modification ||
+         (in_complex ?
           face_status (c, i) == NOT_IN_COMPLEX
           : face_status (c, i) != NOT_IN_COMPLEX) )
     {
-      if(in_complex) 
+      if(in_complex)
         ++m_number_of_facets;
       else
         --m_number_of_facets;
@@ -626,9 +626,9 @@ public:
         for (int k = j + 1; k < dimension_plus_1; k++) {
           if ( (i != j) && (i != k) ){
 
-            const Pair_of_vertices e = 
+            const Pair_of_vertices e =
               this->make_ordered_pair(c->vertex(j),
-				      c->vertex(k));
+                                      c->vertex(k));
 
             if(in_complex)
             {
@@ -636,22 +636,22 @@ public:
               edge_facet_counter[e].second.insert(f); // @TODO: beurk.
                                                            // Recode this!
             }
-            else 
+            else
             {
               typename Edge_facet_counter::iterator it =
                 edge_facet_counter.find(e);
 
               CGAL_assertion( it != edge_facet_counter.end() );
-              
-	      it->second.second.erase(f);
-	      --(it->second.first);
-	      CGAL_assertion(it->second.first >= 0);
-	      if(it->second.first == 0)
-	      {
-		// if the edge is marked, leave it ISOLATED.
-		if(!is_marked(e.first, e.second))
-		  edge_facet_counter.erase(it);
-	      }
+
+              it->second.second.erase(f);
+              --(it->second.first);
+              CGAL_assertion(it->second.first >= 0);
+              if(it->second.first == 0)
+              {
+                // if the edge is marked, leave it ISOLATED.
+                if(!is_marked(e.first, e.second))
+                  edge_facet_counter.erase(it);
+              }
             }
           }
         }
@@ -665,7 +665,7 @@ public:
     }
   }
 
- 
+
   void remove_from_complex (const Facet& f) {
     remove_from_complex (f.first, f.second);
   }
@@ -685,7 +685,7 @@ public:
                                  Iterator_not_in_complex(this));
   }
 
-  
+
   Edge_iterator edges_begin(){
     return CGAL::filter_iterator(tr.finite_edges_end(),
                                  Iterator_not_in_complex(this),
@@ -711,12 +711,12 @@ public:
   Boundary_edges_iterator boundary_edges_begin() {
     return CGAL::filter_iterator(tr.finite_edges_end(),
                                  Iterator_not_on_boundary(this),
-                                 tr.finite_edges_begin()); 
+                                 tr.finite_edges_begin());
   }
 
   Boundary_edges_iterator boundary_edges_end() {
     return CGAL::filter_iterator(tr.finite_edges_end(),
-                                 Iterator_not_on_boundary(this)); 
+                                 Iterator_not_on_boundary(this));
   }
 
   bool is_valid(bool verbose = false)
@@ -739,7 +739,7 @@ public:
       if(!f.first->is_facet_on_surface(f.second))
       {
         if(verbose) {
-          std::cerr << 
+          std::cerr <<
             boost::format("C2t3: facet (%1%, %2%) is marked on surface"
                           "will its mirror facet (%3, %4) is not!\n")
             % &*it->first % it->second
@@ -761,14 +761,14 @@ public:
 }; // end Complex_2_in_triangulation_3
 
 template < class Tr, typename Edge_info>
-std::istream & 
+std::istream &
 operator>> (std::istream& is, Complex_2_in_triangulation_3<Tr, Edge_info>& c2t3)
 {
   c2t3.clear();
   is >> c2t3.triangulation();
 
   // restore datas of c2t3
-  for(typename Tr::Finite_facets_iterator fit = 
+  for(typename Tr::Finite_facets_iterator fit =
         c2t3.triangulation().finite_facets_begin();
       fit != c2t3.triangulation().finite_facets_end();
       ++fit)
@@ -779,7 +779,7 @@ operator>> (std::istream& is, Complex_2_
 }
 
 template < class Tr, typename Edge_info>
-std::ostream & 
+std::ostream &
 operator<< (std::ostream& os, const Complex_2_in_triangulation_3<Tr, Edge_info> &c2t3)
 {
   return os << c2t3.triangulation();
diff -pruN 5.0.2-3/include/CGAL/Complex_2_in_triangulation_cell_base_3.h 5.0.3-1/include/CGAL/Complex_2_in_triangulation_cell_base_3.h
--- 5.0.2-3/include/CGAL/Complex_2_in_triangulation_cell_base_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Complex_2_in_triangulation_cell_base_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Complex_2_in_triangulation_cell_base_3.h $
-// $Id: Complex_2_in_triangulation_cell_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Complex_2_in_triangulation_cell_base_3.h $
+// $Id: Complex_2_in_triangulation_cell_base_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -60,20 +60,20 @@ namespace CGAL {
     {}
 
     Complex_2_in_triangulation_cell_base_3 (Vertex_handle v0,
-					    Vertex_handle v1,
-					    Vertex_handle v2,
-					    Vertex_handle v3)
+                                            Vertex_handle v1,
+                                            Vertex_handle v2,
+                                            Vertex_handle v3)
       : Cb (v0, v1, v2, v3), bits()// , c_surface_facets(0)
     {}
 
     Complex_2_in_triangulation_cell_base_3 (Vertex_handle v0,
-					    Vertex_handle v1,
-					    Vertex_handle v2,
-					    Vertex_handle v3,
-					    Cell_handle n0,
-					    Cell_handle n1,
-					    Cell_handle n2,
-					    Cell_handle n3)
+                                            Vertex_handle v1,
+                                            Vertex_handle v2,
+                                            Vertex_handle v3,
+                                            Cell_handle n0,
+                                            Cell_handle n1,
+                                            Cell_handle n2,
+                                            Cell_handle n3)
       : Cb (v0, v1, v2, v3, n0, n1, n2, n3), bits()// c_surface_facets(0)
     {}
 
diff -pruN 5.0.2-3/include/CGAL/Complex_2_in_triangulation_vertex_base_3.h 5.0.3-1/include/CGAL/Complex_2_in_triangulation_vertex_base_3.h
--- 5.0.2-3/include/CGAL/Complex_2_in_triangulation_vertex_base_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Complex_2_in_triangulation_vertex_base_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Complex_2_in_triangulation_vertex_base_3.h $
-// $Id: Complex_2_in_triangulation_vertex_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Complex_2_in_triangulation_vertex_base_3.h $
+// $Id: Complex_2_in_triangulation_vertex_base_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -24,9 +24,9 @@
 
 namespace CGAL {
 
-  template < class GT, class Vb = Triangulation_vertex_base_3 <GT> > 
-  class Complex_2_in_triangulation_vertex_base_3 : public Vb {    
-    
+  template < class GT, class Vb = Triangulation_vertex_base_3 <GT> >
+  class Complex_2_in_triangulation_vertex_base_3 : public Vb {
+
   public:
     typedef Complex_2_in_triangulation_vertex_base_3 <GT, Vb> Self;
 
@@ -50,7 +50,7 @@ namespace CGAL {
     // Constructors
 
     Complex_2_in_triangulation_vertex_base_3()
-      : Vb(), 
+      : Vb(),
         number_of_incident_facets_(0),
         number_of_components_(0),
         cache_validity(false)
@@ -76,7 +76,7 @@ namespace CGAL {
     {
       return number_of_incident_facets_;
     }
-    
+
     int cached_number_of_components() const
     {
       return number_of_components_;
diff -pruN 5.0.2-3/include/CGAL/Complexity_tags.h 5.0.3-1/include/CGAL/Complexity_tags.h
--- 5.0.2-3/include/CGAL/Complexity_tags.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Complexity_tags.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Complexity_tags.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Complexity_tags.h $
 // $Id: Complexity_tags.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Compute_anchor_3.h 5.0.3-1/include/CGAL/Compute_anchor_3.h
--- 5.0.2-3/include/CGAL/Compute_anchor_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Compute_anchor_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/Compute_anchor_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/Compute_anchor_3.h $
 // $Id: Compute_anchor_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/compute_average_spacing.h 5.0.3-1/include/CGAL/compute_average_spacing.h
--- 5.0.2-3/include/CGAL/compute_average_spacing.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/compute_average_spacing.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/compute_average_spacing.h $
-// $Id: compute_average_spacing.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/compute_average_spacing.h $
+// $Id: compute_average_spacing.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Laurent Saboret
@@ -112,22 +112,22 @@ compute_average_spacing(const typename K
 
   public:
     Compute_average_spacings(Tree& tree, unsigned int k, std::vector<Point>& points,
-			     std::vector<FT>& output,
+                             std::vector<FT>& output,
                              cpp11::atomic<std::size_t>& advancement,
                              cpp11::atomic<bool>& interrupted)
       : tree(tree), k (k), input (points), output (output)
       , advancement (advancement)
       , interrupted (interrupted)
     { }
-    
+
     void operator()(const tbb::blocked_range<std::size_t>& r) const
     {
       for( std::size_t i = r.begin(); i != r.end(); ++i)
       {
         if (interrupted)
           break;
-        
-	output[i] = CGAL::internal::compute_average_spacing<Kernel,Tree>(input[i], tree, k);
+
+        output[i] = CGAL::internal::compute_average_spacing<Kernel,Tree>(input[i], tree, k);
         ++ advancement;
       }
     }
@@ -179,7 +179,7 @@ compute_average_spacing(const typename K
    of `points`.
 */
 template <typename ConcurrencyTag,
-	  typename PointRange,
+          typename PointRange,
           typename CGAL_BGL_NP_TEMPLATE_PARAMETERS
 >
 #ifdef DOXYGEN_RUNNING
@@ -204,7 +204,7 @@ compute_average_spacing(
   PointMap point_map = choose_parameter(get_parameter(np, internal_np::point_map), PointMap());
   const std::function<bool(double)>& callback = choose_parameter(get_parameter(np, internal_np::callback),
                                                                  std::function<bool(double)>());
-  
+
   // types for K nearest neighbors search structure
   typedef typename Kernel::FT FT;
   typedef Search_traits_3<Kernel> Tree_traits;
@@ -221,7 +221,7 @@ compute_average_spacing(
 
   // Instanciate a KD-tree search.
   // Note: We have to convert each input iterator to Point_3.
-  std::vector<Point> kd_tree_points; 
+  std::vector<Point> kd_tree_points;
   for(typename PointRange::const_iterator it = points.begin(); it != points.end(); it++)
     kd_tree_points.push_back(get(point_map, *it));
   Tree tree(kd_tree_points.begin(), kd_tree_points.end());
@@ -233,13 +233,13 @@ compute_average_spacing(
 
 #ifndef CGAL_LINKED_WITH_TBB
   CGAL_static_assertion_msg (!(boost::is_convertible<ConcurrencyTag, Parallel_tag>::value),
-			     "Parallel_tag is enabled but TBB is unavailable.");
+                             "Parallel_tag is enabled but TBB is unavailable.");
 #else
    if (boost::is_convertible<ConcurrencyTag,Parallel_tag>::value)
    {
      Point_set_processing_3::internal::Parallel_callback
        parallel_callback (callback, kd_tree_points.size());
-     
+
      std::vector<FT> spacings (kd_tree_points.size (), -1);
      CGAL::internal::Compute_average_spacings<Kernel, Tree>
        f (tree, k, kd_tree_points, spacings,
@@ -271,7 +271,7 @@ compute_average_spacing(
          }
        }
      }
-   
+
   // return average spacing
    return sum_spacings / (FT)(nb);
 }
diff -pruN 5.0.2-3/include/CGAL/Compute_cone_boundaries_2.h 5.0.3-1/include/CGAL/Compute_cone_boundaries_2.h
--- 5.0.2-3/include/CGAL/Compute_cone_boundaries_2.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Compute_cone_boundaries_2.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cone_spanners_2/include/CGAL/Compute_cone_boundaries_2.h $
-// $Id: Compute_cone_boundaries_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cone_spanners_2/include/CGAL/Compute_cone_boundaries_2.h $
+// $Id: Compute_cone_boundaries_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -50,7 +50,7 @@ namespace CGAL {
  *  Of course, this functor can also be used in other applications where the plane needs to be divided
  *  into equally-angled cones.
  *
- * \tparam Traits_  Must be either `CGAL::Exact_predicates_exact_constructions_kernel_with_root_of` 
+ * \tparam Traits_  Must be either `CGAL::Exact_predicates_exact_constructions_kernel_with_root_of`
  *                  or `CGAL::Exact_predicates_inexact_constructions_kernel`.
  *
  */
diff -pruN 5.0.2-3/include/CGAL/compute_outer_frame_margin.h 5.0.3-1/include/CGAL/compute_outer_frame_margin.h
--- 5.0.2-3/include/CGAL/compute_outer_frame_margin.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/compute_outer_frame_margin.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/compute_outer_frame_margin.h $
-// $Id: compute_outer_frame_margin.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/compute_outer_frame_margin.h $
+// $Id: compute_outer_frame_margin.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -37,81 +37,81 @@ boost::optional< typename Traits::FT > c
   typedef typename Traits::Point_2          Point_2 ;
   typedef typename Traits::Segment_2        Segment_2 ;
   typedef typename Traits::Trisegment_2_ptr Trisegment_2_ptr ;
-  
+
   Kernel kernel ;
-  
+
   typename Kernel::Equal_2                    equal             = kernel.equal_2_object();
   typename Kernel::Collinear_2                collinear         = kernel.collinear_2_object();
   typename Kernel::Compute_squared_distance_2 squared_distance  = kernel.compute_squared_distance_2_object();
   typename Kernel::Construct_segment_2        construct_segment = kernel.construct_segment_2_object();
-  
+
   typedef boost::optional<Point_2> OptionalPoint_2 ;
-  
+
   FT lMaxSDist(0.0) ;
-  
+
   ForwardPointIterator lLast = std::prev(aEnd) ;
-  
+
   bool lOverflow = false ;
 
   for ( ForwardPointIterator lCurr = aBegin ; lCurr != aEnd ; ++ lCurr )
   {
     ForwardPointIterator lPrev = ( lCurr == aBegin ? lLast  : std::prev  (lCurr) ) ;
     ForwardPointIterator lNext = ( lCurr == lLast  ? aBegin : std::next  (lCurr) ) ;
-    
+
     if ( !equal(*lPrev,*lCurr) && !equal(*lCurr,*lNext) && !collinear(*lPrev,*lCurr,*lNext) )
     {
       Segment_2 lLEdge = construct_segment(*lPrev,*lCurr);
       Segment_2 lREdge = construct_segment(*lCurr,*lNext);
-      
+
       OptionalPoint_2 lP = Construct_offset_point_2(aTraits)(aOffset,lLEdge,lREdge, Trisegment_2_ptr() );
-     
+
       if ( !lP )
       {
         lOverflow = true ;
         break ;
       }
-       
+
       FT lSDist = squared_distance(*lCurr,*lP);
- 
+
       if (    ! CGAL_NTS is_valid ( lSDist )
            || ! CGAL_NTS is_finite( lSDist )
-         ) 
+         )
       {
         lOverflow = true ;
         break ;
-      }  
-               
+      }
+
       if ( lSDist > lMaxSDist )
         lMaxSDist = lSDist ;
     }
   }
-  
+
   if ( ! lOverflow )
   {
     FT lDist = CGAL_SS_i::inexact_sqrt(lMaxSDist) ;
-  
+
     return boost::optional<FT>( lDist + ( aOffset * FT(1.05) ) ) ; // Add a %5 gap
   }
   else
     return boost::optional<FT>();
-  
-}                              
+
+}
 
 template<class ForwardPointIterator, class FT>
 boost::optional<FT> compute_outer_frame_margin ( ForwardPointIterator aBegin, ForwardPointIterator aEnd, FT aOffset )
 {
   typedef typename std::iterator_traits<ForwardPointIterator>::value_type Point_2 ;
-  
-  typedef typename Kernel_traits<Point_2>::Kernel K; 
-  
+
+  typedef typename Kernel_traits<Point_2>::Kernel K;
+
   Polygon_offset_builder_traits_2<K> traits ;
-  
+
   return compute_outer_frame_margin(aBegin,aEnd,aOffset,traits);
-}                                                                 
+}
 
 } // end namespace CGAL
 
 #endif // CGAL_COMPUTE_OUTER_FRAME_MARGIN_H //
 // EOF //
 
- 
+
diff -pruN 5.0.2-3/include/CGAL/Concatenate_iterator.h 5.0.3-1/include/CGAL/Concatenate_iterator.h
--- 5.0.2-3/include/CGAL/Concatenate_iterator.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Concatenate_iterator.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Concatenate_iterator.h $
-// $Id: Concatenate_iterator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Concatenate_iterator.h $
+// $Id: Concatenate_iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@cse.nd.edu>
 
@@ -32,7 +32,7 @@ template <class It1, class It2> class Co
 
 template <class It1, class It2>
 bool operator==(const Concatenate_iterator<It1,It2>&,
-		const Concatenate_iterator<It1,It2>&);
+                const Concatenate_iterator<It1,It2>&);
 
 
 template <class It1, class It2>
@@ -93,7 +93,7 @@ public:
     return tmp;
   }
 
-  
+
   reference  operator*()  const
   {
     if ( i1_ == e1_ ) {
@@ -124,7 +124,7 @@ protected:
 template<class It1, class It2>
 inline
 bool operator==(const Concatenate_iterator<It1, It2>& it1,
-		const Concatenate_iterator<It1, It2>& it2)
+                const Concatenate_iterator<It1, It2>& it2)
 {
   return (it1.i1_ == it2.i1_ && it1.i2_ == it2.i2_);
 }
@@ -132,7 +132,7 @@ bool operator==(const Concatenate_iterat
 template<class It1, class It2>
 inline
 bool operator!=(const Concatenate_iterator<It1, It2>& it1,
-		const Concatenate_iterator<It1, It2>& it2)
+                const Concatenate_iterator<It1, It2>& it2)
 {
   return !(it1 == it2);
 }
diff -pruN 5.0.2-3/include/CGAL/Concurrent_compact_container.h 5.0.3-1/include/CGAL/Concurrent_compact_container.h
--- 5.0.2-3/include/CGAL/Concurrent_compact_container.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Concurrent_compact_container.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Concurrent_compact_container.h $
-// $Id: Concurrent_compact_container.h e9f1cb4 2019-12-04T15:42:54+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Concurrent_compact_container.h $
+// $Id: Concurrent_compact_container.h 83fed40 2020-06-19T14:45:32+02:00 Maxime Gimeno
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Clement Jamin
@@ -71,7 +71,7 @@ struct Concurrent_compact_container_trai
 
 namespace CCC_internal {
   CGAL_GENERATE_MEMBER_DETECTOR(increment_erase_counter);
-  
+
   // A basic "no erase counter" strategy
   template <bool Has_erase_counter_tag>
   class Erase_counter_strategy {
@@ -341,17 +341,25 @@ public:
   iterator
   emplace(const Args&... args)
   {
+    typedef CCC_internal::Erase_counter_strategy<
+      CCC_internal::has_increment_erase_counter<T>::value> EraseCounterStrategy;
     FreeList * fl = get_free_list();
     pointer ret = init_insert(fl);
+    auto erase_counter = EraseCounterStrategy::erase_counter(*ret);;
     new (ret) value_type(args...);
+    EraseCounterStrategy::set_erase_counter(*ret, erase_counter);
     return finalize_insert(ret, fl);
   }
 
   iterator insert(const T &t)
   {
+    typedef CCC_internal::Erase_counter_strategy<
+      CCC_internal::has_increment_erase_counter<T>::value> EraseCounterStrategy;
     FreeList * fl = get_free_list();
     pointer ret = init_insert(fl);
+    auto erase_counter = EraseCounterStrategy::erase_counter(*ret);;
     std::allocator_traits<allocator_type>::construct(m_alloc, ret, t);
+    EraseCounterStrategy::set_erase_counter(*ret, erase_counter);
     return finalize_insert(ret, fl);
   }
 
diff -pruN 5.0.2-3/include/CGAL/Cone_spanners_2/Less_by_direction_2.h 5.0.3-1/include/CGAL/Cone_spanners_2/Less_by_direction_2.h
--- 5.0.2-3/include/CGAL/Cone_spanners_2/Less_by_direction_2.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cone_spanners_2/Less_by_direction_2.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cone_spanners_2/include/CGAL/Cone_spanners_2/Less_by_direction_2.h $
-// $Id: Less_by_direction_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cone_spanners_2/include/CGAL/Cone_spanners_2/Less_by_direction_2.h $
+// $Id: Less_by_direction_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -38,11 +38,11 @@ namespace CGAL {
  *
  *  In this implementation, the ties are broken according to the direction of cw90(D).
  *  This way of breaking ties will prevent the overlapping of cone boundaries when this functor
- *  is used to construct Theta and Yao graphs in `CGAL::Construct_theta_graph_2` and 
+ *  is used to construct Theta and Yao graphs in `CGAL::Construct_theta_graph_2` and
  *  `CGAL::Construct_yao_graph_2`. Resultantly, the cw boundary of a cone will be considered inside this cone,
- *  while the ccw boundary not. On the other hand, if your application requires that 
- *  the ccw boundary of a cone belongs to this cone while the cw boundary not, 
- *  you can modify the code below to use the direction of ccw90(D) to break the ties. 
+ *  while the ccw boundary not. On the other hand, if your application requires that
+ *  the ccw boundary of a cone belongs to this cone while the cw boundary not,
+ *  you can modify the code below to use the direction of ccw90(D) to break the ties.
  *
  *  This function object utilizes the existing function `CGAL::compare_signed_distance_to_line_2()`,
  *  which orders two points according to their signed distance to a base line.
@@ -81,7 +81,7 @@ public:
         }
 
         /* otherwise, outcome == CGAL::EQUAL, ties will be broken by a second order
-         * according to the cw90(base_line) direction. 
+         * according to the cw90(base_line) direction.
          */
         // define a rotation of clockwise 90
         Transformation cw90(0, 1, -1,  0);
diff -pruN 5.0.2-3/include/CGAL/Cone_spanners_2/Plane_scan_tree.h 5.0.3-1/include/CGAL/Cone_spanners_2/Plane_scan_tree.h
--- 5.0.2-3/include/CGAL/Cone_spanners_2/Plane_scan_tree.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cone_spanners_2/Plane_scan_tree.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cone_spanners_2/include/CGAL/Cone_spanners_2/Plane_scan_tree.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cone_spanners_2/include/CGAL/Cone_spanners_2/Plane_scan_tree.h $
 // $Id: Plane_scan_tree.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Cone_spanners_2/Plane_scan_tree_impl.h 5.0.3-1/include/CGAL/Cone_spanners_2/Plane_scan_tree_impl.h
--- 5.0.2-3/include/CGAL/Cone_spanners_2/Plane_scan_tree_impl.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cone_spanners_2/Plane_scan_tree_impl.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cone_spanners_2/include/CGAL/Cone_spanners_2/Plane_scan_tree_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cone_spanners_2/include/CGAL/Cone_spanners_2/Plane_scan_tree_impl.h $
 // $Id: Plane_scan_tree_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Cone_spanners_enum_2.h 5.0.3-1/include/CGAL/Cone_spanners_enum_2.h
--- 5.0.2-3/include/CGAL/Cone_spanners_enum_2.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Cone_spanners_enum_2.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cone_spanners_2/include/CGAL/Cone_spanners_enum_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cone_spanners_2/include/CGAL/Cone_spanners_enum_2.h $
 // $Id: Cone_spanners_enum_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/config.h 5.0.3-1/include/CGAL/config.h
--- 5.0.2-3/include/CGAL/config.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/config.h	2020-08-01 19:02:22.000000000 +0000
@@ -7,8 +7,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/config.h $
-// $Id: config.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/config.h $
+// $Id: config.h 2e8a59d 2020-07-21T15:25:54+02:00 Laurent Rineau
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -546,16 +546,12 @@ using std::max;
 #endif
 
 // Macro to specify a 'noreturn' attribute.
-#if defined(__GNUG__) || __has_attribute(__noreturn__)
-#  define CGAL_NORETURN  __attribute__ ((__noreturn__))
-#elif defined (_MSC_VER)
-#  define CGAL_NORETURN __declspec(noreturn)
-#else
-#  define CGAL_NORETURN
-#endif
+// (This macro existed in CGAL before we switched to C++11. Let's keep
+// the macro defined for backward-compatibility. That cannot harm.)
+#define CGAL_NORETURN  [[noreturn]]
 
 // Macro to specify [[no_unique_address]] if supported
-#if __has_cpp_attribute(no_unique_address)
+#if CGAL_CXX11 && __has_cpp_attribute(no_unique_address)
 #  define CGAL_NO_UNIQUE_ADDRESS [[no_unique_address]]
 #else
 #  define CGAL_NO_UNIQUE_ADDRESS
@@ -623,6 +619,7 @@ using std::max;
 
 //
 // Compatibility with CGAL-4.14.
+#ifndef CGAL_NO_DEPRECATED_CODE
 //
 // That is temporary, and will be replaced by a namespace alias, as
 // soon as we can remove cpp11::result_of, and <CGAL/atomic.h> and
@@ -659,7 +656,7 @@ namespace CGAL {
   using cpp11::array;
   using cpp11::copy_n;
 } // end of the temporary compatibility with CGAL-4.14
-
+#endif // CGAL_NO_DEPRECATED_CODE
 namespace CGAL {
 
 // Typedef for the type of nullptr.
diff -pruN 5.0.2-3/include/CGAL/Conic_2.h 5.0.3-1/include/CGAL/Conic_2.h
--- 5.0.2-3/include/CGAL/Conic_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Conic_2.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Conic_2.h $
-// $Id: Conic_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Conic_2.h $
+// $Id: Conic_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Bernd Gaertner, Sven Schoenherr <sven@inf.ethz.ch>
 
@@ -46,7 +46,7 @@ class Conic_2 : public R_::Kernel_base::
     // construction
     Conic_2 ()
     {}
-    
+
     Conic_2 (RT r, RT s, RT t, RT u, RT v, RT w)
         : _Conic_2 (r, s, t, u, v, w)
     {}
@@ -56,55 +56,55 @@ class Conic_2 : public R_::Kernel_base::
     {
         return _Conic_2::r();
     }
-    
+
     RT s () const
     {
         return _Conic_2::s();
     }
-    
+
     RT t () const
     {
         return _Conic_2::t();
     }
-    
+
     RT u () const
     {
         return _Conic_2::u();
     }
-    
+
     RT v () const
     {
         return _Conic_2::v();
     }
-    
+
     RT w () const
     {
         return _Conic_2::w();
     }
-    
+
     CGAL::Point_2<R> center () const
     {
         return _Conic_2::center();
     }
-    
-    
+
+
 
     // type related access
     Conic_type conic_type () const
     {
         return _Conic_2::conic_type();
     }
-    
+
     bool is_hyperbola () const
     {
         return _Conic_2::is_hyperbola();
     }
-    
+
     bool is_parabola () const
     {
         return _Conic_2::is_parabola();
     }
-    
+
     bool is_ellipse () const
     {
         return _Conic_2::is_ellipse();
@@ -114,78 +114,78 @@ class Conic_2 : public R_::Kernel_base::
     {
         return _Conic_2::is_circle();
     }
-    
+
     bool is_empty () const
     {
         return _Conic_2::is_empty();
     }
-    
+
     bool is_trivial () const
     {
         return _Conic_2::is_trivial();
     }
-    
+
     bool is_degenerate () const
     {
         return _Conic_2::is_degenerate();
     }
-    
-    
+
+
 
     // orientation related access
     CGAL::Orientation orientation () const
     {
         return _Conic_2::orientation ();
     }
-    
+
     CGAL::Oriented_side oriented_side (const CGAL::Point_2<R>& p) const
     {
         return _Conic_2::oriented_side (p);
     }
-    
+
     bool has_on_positive_side (const CGAL::Point_2<R>& p) const
     {
         return _Conic_2::has_on_positive_side (p);
     }
-    
+
     bool has_on_negative_side (const CGAL::Point_2<R>& p) const
     {
         return _Conic_2::has_on_negative_side (p);
     }
-    
+
     bool has_on_boundary (const CGAL::Point_2<R>& p) const
     {
         return _Conic_2::has_on_boundary (p);
     }
-    
+
     bool has_on (const CGAL::Point_2<R>& p) const
     {
         return _Conic_2::has_on (p);
     }
-    
+
     Convex_side convex_side (const CGAL::Point_2<R>& p) const
     {
         return _Conic_2::convex_side (p);
     }
-    
+
     bool has_on_convex_side (const CGAL::Point_2<R>& p) const
     {
         return _Conic_2::has_on_convex_side (p);
     }
-    
+
     bool has_on_nonconvex_side (const CGAL::Point_2<R>& p) const
     {
         return _Conic_2::has_on_nonconvex_side (p);
     }
-    
-    
+
+
 
     // comparisons
     bool operator == ( const Conic_2<R_>& c) const
     {
         return _Conic_2::operator == ( (Conic_2)c);
     }
-    
+
     bool operator != ( const Conic_2<R_>& c) const
     {
         return( ! operator == ( c));
@@ -197,14 +197,14 @@ class Conic_2 : public R_::Kernel_base::
     {
         _Conic_2::set (r, s, t, u, v, w);
     }
-    
+
     void set_opposite ()
     {
         _Conic_2::set_opposite();
     }
-    
+
     void set_circle (const CGAL::Point_2<R>& p1, const CGAL::Point_2<R>& p2,
-		     const CGAL::Point_2<R>& p3)
+                     const CGAL::Point_2<R>& p3)
     {
         // the unique circle through the three points
         _Conic_2::set_circle(p1, p2, p3);
@@ -215,20 +215,20 @@ class Conic_2 : public R_::Kernel_base::
     {
         _Conic_2::set_linepair (p1, p2, p3, p4);
     }
-    
+
     void set_ellipse (const CGAL::Point_2<R>& p1, const CGAL::Point_2<R>& p2,
                       const CGAL::Point_2<R>& p3)
     {
         _Conic_2::set_ellipse (p1, p2, p3);
     }
-    
+
     void set_ellipse (const CGAL::Point_2<R>& p1, const CGAL::Point_2<R>& p2,
                       const CGAL::Point_2<R>& p3, const CGAL::Point_2<R>& p4,
                       CGAL::Orientation o = POSITIVE)
     {
         _Conic_2::set_ellipse (p1, p2, p3, p4, o);
     }
-    
+
     void set (const CGAL::Point_2<R>& p1, const CGAL::Point_2<R>& p2,
               const CGAL::Point_2<R>& p3, const CGAL::Point_2<R>& p4,
               const CGAL::Point_2<R>& p5,
@@ -236,8 +236,8 @@ class Conic_2 : public R_::Kernel_base::
     {
         _Conic_2::set (p1, p2, p3, p4, p5, o);
     }
-    
-    
+
+
 
   private:
     void set_linear_combination (
@@ -246,7 +246,7 @@ class Conic_2 : public R_::Kernel_base::
     {
         _Conic_2::set_linear_combination (a1, c1, a2, c2);
     }
-    
+
     static void set_two_linepairs (const CGAL::Point_2<R>& p1,
                                    const CGAL::Point_2<R>& p2,
                                    const CGAL::Point_2<R>& p3,
@@ -256,34 +256,34 @@ class Conic_2 : public R_::Kernel_base::
     {
         _Conic_2::set_two_linepairs (p1, p2, p3, p4, pair1, pair2);
     }
-    
+
     void set_ellipse (const Conic_2<R>& pair1,
                       const Conic_2<R>& pair2)
     {
         _Conic_2::set_ellipse (pair1, pair2);
     }
-    
+
     void set (const Conic_2<R>& c1, const Conic_2<R>& c2,
               const CGAL::Point_2<R>& p)
     {
         _Conic_2::set( c1, c2, p);  this->analyse();
     }
-    
+
     CGAL::Sign vol_derivative (RT dr, RT ds,
                                RT dt, RT du,
                                RT dv, RT dw) const
     {
         return _Conic_2::vol_derivative (dr, ds, dt, du, dv, dw);
     }
-    
+
     double vol_minimum (RT dr, RT ds,
                         RT dt, RT du,
                         RT dv, RT dw) const
     {
         return _Conic_2::vol_minimum (dr, ds, dt, du, dv, dw);
     }
-    
-    
+
+
 };
 
 
diff -pruN 5.0.2-3/include/CGAL/connect_holes.h 5.0.3-1/include/CGAL/connect_holes.h
--- 5.0.2-3/include/CGAL/connect_holes.h	2020-02-21 20:02:59.000000000 +0000
+++ 5.0.3-1/include/CGAL/connect_holes.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/connect_holes.h $
-// $Id: connect_holes.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/connect_holes.h $
+// $Id: connect_holes.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Ron Wein   <wein@post.tau.ac.il>
-//						 Guy Zucker	<guyzucke@post.tau.ac.il>	
+//                                                 Guy Zucker        <guyzucke@post.tau.ac.il>
 
 #ifndef CGAL_CONNECT_HOLES_H
 #define CGAL_CONNECT_HOLES_H
@@ -42,7 +42,7 @@ struct _Less_handle
 };
 
 /*bool is_adjacent_hole(const Halfedge_handle he, Arrangement_2 arr) {
-    return ((!he->twin()->face()->contained()) 
+    return ((!he->twin()->face()->contained())
               && (he->twin()->face() != arr.unbounded_face()))
 }*/
 
@@ -78,18 +78,18 @@ OutputIterator connect_holes(const Polyg
   typedef Arr_segment_traits_2<Kernel>             Traits_2;
   typedef typename Kernel::Point_2                 Point_2;
   typedef typename Traits_2::X_monotone_curve_2    Segment_2;
-  typedef CGAL::Gps_default_dcel<Traits_2>  		dcel;  
+  typedef CGAL::Gps_default_dcel<Traits_2>                  dcel;
   typedef General_polygon_set_2<Gps_segment_traits_2<Kernel, Container, Traits_2> , dcel>
-  																	General_polygon_set_2;    
+                                                                                                                                          General_polygon_set_2;
   typedef Arrangement_2<Gps_segment_traits_2<Kernel, Container, Traits_2>, dcel>   Arrangement_2;
   typedef typename Arrangement_2::Vertex_handle         Vertex_handle;
   typedef typename Arrangement_2::Vertex_const_handle   Vertex_const_handle;
   typedef typename Arrangement_2::Halfedge_handle       Halfedge_handle;
   typedef typename Arrangement_2::Halfedge_const_handle Halfedge_const_handle;
   typedef typename Arrangement_2::Face_handle           Face_handle;
-  
+
   CGAL_precondition (! pwh.is_unbounded());
-  
+
   // In case the polygon has not holes, just go over its outer boundary
   // and report the points along it.
   const Polygon_2&                       outer_pgn = pwh.outer_boundary();
@@ -98,7 +98,7 @@ OutputIterator connect_holes(const Polyg
   if (! pwh.has_holes())
   {
     first_v = curr_v = outer_pgn.vertices_circulator();
-    
+
     do
     {
       *oi = *curr_v;
@@ -112,8 +112,8 @@ OutputIterator connect_holes(const Polyg
 
   // Construct the arrangement of all segments.
   General_polygon_set_2 gps(pwh);
-  Arrangement_2         arr = gps.arrangement();  
- 
+  Arrangement_2         arr = gps.arrangement();
+
   // The resulting arrangment contains a single hole in the unbounded face,
   // which comprises a face f, with several holes in its interior.
   // Go over these holes and pick the topmost vertex in each hole.
@@ -127,18 +127,18 @@ OutputIterator connect_holes(const Polyg
   typename Kernel::Compare_x_2           comp_x = ker.compare_x_2_object();
   Vertex_handle                          v_top;
   Comparison_result                      res;
-  //construct vertex hash map (default data is false) and insert top vertices 
-  //handles as keys (key vertex data value is true) 
+  //construct vertex hash map (default data is false) and insert top vertices
+  //handles as keys (key vertex data value is true)
   typedef typename CGAL::Unique_hash_map<Vertex_const_handle, bool> V_map;
-  V_map top_vertices(false ,arr.number_of_faces()); 
-  
-  /*traversal of arrangement face holes - a hole in the face 
+  V_map top_vertices(false ,arr.number_of_faces());
+
+  /*traversal of arrangement face holes - a hole in the face
   in arranements is disjoint from the outer boundary (different from BOP
   where the hole can have vertices along the outer boundary). We look for
   holes only inside faces that are part of the point set. This
   guarantees that if the input PWH had holes with vertices on the outer
   boundary they will not be connected by additional vertical segments to
-  the outer boundary or another hole's vertex/edge. 
+  the outer boundary or another hole's vertex/edge.
   */
   typename Arrangement_2::Face_const_handle fit;
   //std::cout << arr.number_of_faces() << " faces:" << std::endl;
@@ -162,11 +162,11 @@ OutputIterator connect_holes(const Polyg
           }
         } while (circ != first);
        // std::cout << "inserted top vertex at " << v_top->point() <<std::endl;
-			top_vertices[Vertex_const_handle (v_top)]=true;        
+                        top_vertices[Vertex_const_handle (v_top)]=true;
     }
   }
 
-  
+
 
   // Perform "vertical ray shooting" from each arrangement vertex, locating
   // the features that lie below and above it.
@@ -194,7 +194,7 @@ OutputIterator connect_holes(const Polyg
 
   for (vrs_iter = vrs_list.begin(); vrs_iter != vrs_list.end(); ++vrs_iter)
   {
-    if (!top_vertices.is_defined(vrs_iter->first))    
+    if (!top_vertices.is_defined(vrs_iter->first))
       continue;
 
     v_top = arr.non_const_handle (vrs_iter->first);
@@ -205,10 +205,10 @@ OutputIterator connect_holes(const Polyg
     {
       // v_top lies below a vertex v_above: Connect these two vertices.
       v_above = arr.non_const_handle (v);
-      
+
       arr.insert_at_vertices (Segment_2 (v_top->point(), v_above->point()),
-                              v_top, v_above);      
-      //std::cout << "connected ((" << v_top->point() << "),( " << v_above->point() << "))" <<std::endl;                      
+                              v_top, v_above);
+      //std::cout << "connected ((" << v_top->point() << "),( " << v_above->point() << "))" <<std::endl;
     }
     else if (CGAL::assign (he, vrs_iter->second.second))
     {
@@ -236,8 +236,8 @@ OutputIterator connect_holes(const Polyg
         // v_top and ip.
         arr.insert_at_vertices (Segment_2 (v_top->point(), ip),
                                 he_above, v_top);
-      //added for debugging      
-      //std::cout << "connected ((" << v_top->point() << "),( " << ip << "))" <<std::endl;     
+      //added for debugging
+      //std::cout << "connected ((" << v_top->point() << "),( " << ip << "))" <<std::endl;
       }
     }
     else
@@ -250,79 +250,79 @@ OutputIterator connect_holes(const Polyg
   // The holes of the face f are now all connected to its outer boundary.
   // Go over this boundary and report the vertices along it.
   // Note that we start with a vertex located on the original PWH outer boundary.
-  typedef typename Arrangement_2::Halfedge_const_iterator	
+  typedef typename Arrangement_2::Halfedge_const_iterator
                                               Halfedge_const_iterator;
 
-  /*For the traversal we switch between two states using key vertices. 
-  A key vertex is a vertex on the outer boundary of the PWH that has  a degree>2 
-  (note that this includes new vertices added by the vertical ray shooting). 
+  /*For the traversal we switch between two states using key vertices.
+  A key vertex is a vertex on the outer boundary of the PWH that has  a degree>2
+  (note that this includes new vertices added by the vertical ray shooting).
   In other words, it is a vertice that leads to holes. One state is searching for a key vertice that
-  leads to a hole that has not been traversed. The other state is traversing (marking) a hole completely 
-  (starting and finishing at the same key vertice). Once the hole traversal is completed 
+  leads to a hole that has not been traversed. The other state is traversing (marking) a hole completely
+  (starting and finishing at the same key vertice). Once the hole traversal is completed
   return to search state*/
-  
-  //start state is search state	
+
+  //start state is search state
   bool marking_hole_state = false;
-  
-  /*flags used for printing the edges for debugging purposes 
-  bool skip_print = false; 
-  bool antenna_trav = false; */ 
-  
-  //marker of first vertex of hole that is being traversed  
-  Vertex_handle hole_start, empty_handle;   
-  
+
+  /*flags used for printing the edges for debugging purposes
+  bool skip_print = false;
+  bool antenna_trav = false; */
+
+  //marker of first vertex of hole that is being traversed
+  Vertex_handle hole_start, empty_handle;
+
   /*create a hash map container for outer boundary key vertices (degree>2
   and on outer boundary. Hash map is constructed with a
-  size parameter so we'll traverse once around the outer boundary to 
+  size parameter so we'll traverse once around the outer boundary to
   count the key vertices and once to insert them*/
-  
+
   f_hole_it = uf->holes_begin();
   Halfedge_const_handle he_han = *f_hole_it;
-  if (he_han->face() != uf) 
+  if (he_han->face() != uf)
     he_han = he_han->twin();
-  CGAL_assertion(he_han->face() == uf);	
-  //std::cout << "outer boundary:" <<std::endl;   
-  //std::cout << "(" << he_han->target()->point() << ")" <<std::endl; 
-  //calculate num of vertices on outer boundary for hash map creation.  
-  std::size_t size = 1;  
+  CGAL_assertion(he_han->face() == uf);
+  //std::cout << "outer boundary:" <<std::endl;
+  //std::cout << "(" << he_han->target()->point() << ")" <<std::endl;
+  //calculate num of vertices on outer boundary for hash map creation.
+  std::size_t size = 1;
   Halfedge_const_handle begin = he_han;
   he_han = he_han->next();
   CGAL_assertion(he_han->face() == uf);
   while (he_han != begin) {
-    //std::cout << "(" << he_han->target()->point() << ")" <<std::endl;	
-    if (he_han->target()->degree()>2)    
-    	size++;    
+    //std::cout << "(" << he_han->target()->point() << ")" <<std::endl;
+    if (he_han->target()->degree()>2)
+            size++;
     he_han = he_han->next();
-    CGAL_assertion(he_han->face() == uf);	
+    CGAL_assertion(he_han->face() == uf);
   }
-  
+
    //construct vertex hash map (default data is false) and insert vertex
   //handles as keys (key vertex data value is true)
-  V_map ver_map(false ,size); 
+  V_map ver_map(false ,size);
   if (he_han->target()->degree()>2)
-  	 ver_map[he_han->target()]=true;
+           ver_map[he_han->target()]=true;
   //std::cout << "(" << he_han->target()->point() << ")" <<std::endl;
   he_han = he_han->next();
   while (he_han != begin) {
     CGAL_assertion(he_han->face() == uf);
-    if (he_han->target()->degree()>2)    
+    if (he_han->target()->degree()>2)
       ver_map[he_han->target()]=true;
-    //std::cout << "(" << he_han->target()->point() << ")" <<std::endl;	
-    he_han = he_han->next();	
+    //std::cout << "(" << he_han->target()->point() << ")" <<std::endl;
+    he_han = he_han->next();
   }
   //std::cout << "outer boundary finished" <<std::endl;
-  
-  //get iterator to edge on outer boundary 
+
+  //get iterator to edge on outer boundary
   first = f->outer_ccb();
   //std::cout << "first edge is ((" << first->source()->point() << "),(" << first->target()->point() << "))" <<std::endl;
-  Halfedge_const_iterator  start, curr, next;  
-  start = first; 
+  Halfedge_const_iterator  start, curr, next;
+  start = first;
   while (start->twin()->face() != uf)
     start = start->next();
   //std::cout << "start edge is ((" << start->source()->point() << "),(" << start->target()->point() << "))" <<std::endl;
   curr = start;
   do
-  {         
+  {
     /*traverse_hole (next for any vertice besides vertices on
     the outer boundary with deg>2. check hole on every step and
     mark new holes (if two holes are connected by a vertex)
@@ -332,30 +332,30 @@ OutputIterator connect_holes(const Polyg
        we traverse the hole fully an if we "incidently" traverse
        another hole as well (joined by a vertice) both will be traversed
        completely*/
-       
+
        //case we are starting to traverse an antenna
-      if (curr->face() == curr->twin()->face()) {        
+      if (curr->face() == curr->twin()->face()) {
         //antenna_trav = true ;
-        //std::cout << "curr edge is ((" << curr->source()->point() << "),( " << curr->target()->point() << "))" <<std::endl;        
-        *oi = curr->target()->point();          
+        //std::cout << "curr edge is ((" << curr->source()->point() << "),( " << curr->target()->point() << "))" <<std::endl;
+        *oi = curr->target()->point();
         ++oi;
-        curr = curr->next();      
+        curr = curr->next();
       }
       Face_handle curr_face;
-      //Traversal of the hole               
+      //Traversal of the hole
       while (hole_start != arr.non_const_handle(curr->target())) {
         curr_face = arr.non_const_handle(curr->twin()->face());
         /*mark the hole as a hole that has been traversed to save
-         multiple traversals*/        
-        curr_face->set_visited(true); 
-        //std::cout << "curr edge is ((" << curr->source()->point() << "),( " << curr->target()->point() << "))" <<std::endl;        
-        *oi = curr->target()->point();          
-        ++oi;        
+         multiple traversals*/
+        curr_face->set_visited(true);
+        //std::cout << "curr edge is ((" << curr->source()->point() << "),( " << curr->target()->point() << "))" <<std::endl;
+        *oi = curr->target()->point();
+        ++oi;
         //"turn inside" instead of next if target is located on outer boundary
-        //(a key vertex encountered while traversing a hole)        
-        if (ver_map.is_defined(curr->target())) {                    
+        //(a key vertex encountered while traversing a hole)
+        if (ver_map.is_defined(curr->target())) {
           curr = curr->twin()->prev()->twin();
-        } else {//regular advance  
+        } else {//regular advance
           curr = curr->next();
         }
       } //exited loop target is the hole marking start vertex
@@ -364,101 +364,101 @@ OutputIterator connect_holes(const Polyg
       /* next iteration willcheck all of the edges which have (curr->target())
       as their source to determine next move -
       does curr->target() have more holes to traverse or do we
-      return to searching the outer boundary*/  
+      return to searching the outer boundary*/
     } else
-    {//search for next hole to traverse       
-            
+    {//search for next hole to traverse
+
       /*Treatment of 4 possible cases (can be narrowed to 3) - the
        first two cannot co-exist here as vertices with degree of 2 that are
-       not on the unbounded face will be encountered when traversing holes 
+       not on the unbounded face will be encountered when traversing holes
        (different state) */
        next = curr->next();
-      //unified 2 simple cases of traversal along outer boundary 
+      //unified 2 simple cases of traversal along outer boundary
       /* case target() is a simple vertice with a single possible edge on path.
       add it to output and continue searching for a hole. This is when traversing
       along the outer polygon boundary*/
       /*the case the next half edge is on the outer boundary meaning we finished
        handling holes connected to the target vertex.
        Add the target to the output, and continue searching for next hole*/
-       
-      /*if (curr->target()->degree()==2) {                
+
+      /*if (curr->target()->degree()==2) {
         //std::cout << "curr edge is ((" << curr->source()->point() << "),( " << curr->target()->point() << "))" <<std::endl;
-        //insert target point to result output iterator     
+        //insert target point to result output iterator
         *oi = curr->target()->point();
-        ++oi;        
+        ++oi;
         curr = curr->next();
-        //maintain the same state 
+        //maintain the same state
         continue;
       }*/
       if ((curr->target()->degree()==2) ||(next->twin()->face() == uf)) {
-        /*if (!skip_print)          
-          std::cout << "curr edge is ((" << curr->source()->point() << "),( " << curr->target()->point() << "))" <<std::endl;        
+        /*if (!skip_print)
+          std::cout << "curr edge is ((" << curr->source()->point() << "),( " << curr->target()->point() << "))" <<std::endl;
         else {
            skip_print=false;
            antenna_trav=false;
         }*/
         *oi = curr->target()->point();
-        ++oi;        
+        ++oi;
         curr = curr->next();
         //maintain the same state
         continue;
       }
-      
+
       /*if next is a boundary of a hole that has not been traversed,
        or an antenna (which should also be completely traversed until
        returning to the source vertex). an antenna to the outer boundary
        occurs only for polygons that are detached from the outer boundary
-       and therefore these holes are connected to the boundary only by a 
+       and therefore these holes are connected to the boundary only by a
        single vertex and will be travrsed only once.
-       Target must be added to output and state changed.     
-       */        
-      if  ((!next->twin()->face()->visited()) 
-            //case of antenna      		
-      		|| (next->face()==next->twin()->face())) {
-        /*if (!skip_print)          
-           std::cout << "curr edge is ((" << curr->source()->point() << "),( " << curr->target()->point() << "))" <<std::endl;        
+       Target must be added to output and state changed.
+       */
+      if  ((!next->twin()->face()->visited())
+            //case of antenna
+                      || (next->face()==next->twin()->face())) {
+        /*if (!skip_print)
+           std::cout << "curr edge is ((" << curr->source()->point() << "),( " << curr->target()->point() << "))" <<std::endl;
         else {
            skip_print=false;
-           //can be reached after an antenna 
+           //can be reached after an antenna
            antenna_trav=false;
         }*/
-        //insert target point to result output iterator     
+        //insert target point to result output iterator
         *oi = curr->target()->point();
-        ++oi;        
+        ++oi;
         hole_start = arr.non_const_handle(curr->target());
-        marking_hole_state=true;        
+        marking_hole_state=true;
         curr = curr->next();
         continue;
-      } else {       
+      } else {
         /*the case where target() is a part of several holes, and next is a
-        boundary of a hole that has been traversed. This requires 
+        boundary of a hole that has been traversed. This requires
         to continue "traversal alongside all edges whose target is also
         curr->target() to keep looking for a hole that hasn't been traversed.
         we do not insert the target to the output set to avoid duplication
         with cases 2 and 3*/
-        
+
         /*bypass traversed hole from inside*/
-        
+
         /*print debugging comment:
         the current edge needs to be printed now before moving on, but the
         current (target) vertex will be inserted to output iterator in case 2*/
-        /*if (traversed_holes.find(arr.non_const_handle(curr->twin()->face())) == traversed_holes.end())        
+        /*if (traversed_holes.find(arr.non_const_handle(curr->twin()->face())) == traversed_holes.end())
           std::cout << "curr edge is ((" << curr->source()->point() << "),( " << curr->target()->point() << "))" <<std::endl;
         */
-        //case this is the last half edge of an antenna 
-        /*if (antenna_trav == true) {        
-          std::cout << "curr edge is ((" << curr->source()->point() << "),( " << curr->target()->point() << "))" <<std::endl;        
+        //case this is the last half edge of an antenna
+        /*if (antenna_trav == true) {
+          std::cout << "curr edge is ((" << curr->source()->point() << "),( " << curr->target()->point() << "))" <<std::endl;
           antenna_trav = false;
-        }      
+        }
         skip_print = true; */
         curr = next->twin()->next()->twin();
-        //maintain the same state 
+        //maintain the same state
         continue;
         /*now curr->target() has remained the same but curr->next() will
-        be adjacent to a different hole or curr->next->twin->face() 
+        be adjacent to a different hole or curr->next->twin->face()
         will be the unbounded face*/
-      }      
-    }   
+      }
+    }
   } while (curr != start);
   return (oi);
 }
diff -pruN 5.0.2-3/include/CGAL/constant.h 5.0.3-1/include/CGAL/constant.h
--- 5.0.2-3/include/CGAL/constant.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/constant.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/constant.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/constant.h $
 // $Id: constant.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Constrained_Delaunay_triangulation_2.h 5.0.3-1/include/CGAL/Constrained_Delaunay_triangulation_2.h
--- 5.0.2-3/include/CGAL/Constrained_Delaunay_triangulation_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Constrained_Delaunay_triangulation_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,13 +3,13 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Constrained_Delaunay_triangulation_2.h $
-// $Id: Constrained_Delaunay_triangulation_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Constrained_Delaunay_triangulation_2.h $
+// $Id: Constrained_Delaunay_triangulation_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec, Jean Daniel Boissonnat
- 
+
 #ifndef CGAL_CONSTRAINED_DELAUNAY_TRIANGULATION_2_H
 #define CGAL_CONSTRAINED_DELAUNAY_TRIANGULATION_2_H
 
@@ -25,6 +25,7 @@
 #include <CGAL/internal/info_check.h>
 #include <CGAL/is_iterator.h>
 
+#include <boost/container/flat_set.hpp>
 #include <boost/iterator/zip_iterator.hpp>
 #include <boost/mpl/and.hpp>
 
@@ -45,14 +46,50 @@ struct Get_iterator_value_type<T,true>{
 } } //namespace CGAL::internal
 #endif //CGAL_TRIANGULATION_2_DONT_INSERT_RANGE_OF_POINTS_WITH_INFO
 
+namespace CGAL {
+namespace internal {
 
+// Compare geometry to ensure deterministic flips
+template <class Tr>
+class Cdt_2_less_edge
+  : public CGAL::cpp98::binary_function<typename Tr::Edge, typename Tr::Edge, bool>
+{
+  const Tr* tr_ptr;
 
-namespace CGAL {
+  typedef typename Tr::Point  Point;
+  typedef typename Tr::Edge   Edge;
+
+public:
+  Cdt_2_less_edge(const Tr* tr_ptr) : tr_ptr(tr_ptr) { }
+
+  // just a manual lexicographical_compare
+  bool operator() (const Edge& e1, const Edge& e2) const
+  {
+    const Point& e1p1 = tr_ptr->point(e1.first, Tr::ccw(e1.second));
+    const Point& e2p1 = tr_ptr->point(e2.first, Tr::ccw(e2.second));
+
+    CGAL::Comparison_result res1 = tr_ptr->compare_xy(e1p1, e2p1);
+    if(res1 == CGAL::SMALLER)
+      return true;
+    if(res1 == CGAL::LARGER)
+      return false;
+
+    const Point& e1p2 = tr_ptr->point(e1.first, Tr::cw(e1.second));
+    const Point& e2p2 = tr_ptr->point(e2.first, Tr::cw(e2.second));
+
+    CGAL::Comparison_result res2 = tr_ptr->compare_xy(e1p2, e2p2);
+    if(res2 == CGAL::SMALLER)
+      return true;
+
+    return false;
+  }
+};
 
+} // namespace internal
 
 template <class Gt,
           class Tds_ = Default ,
-	  class Itag_ = Default>
+          class Itag_ = Default>
 class Constrained_Delaunay_triangulation_2
   : public  Constrained_triangulation_2<Gt, Tds_, Itag_>
 {
@@ -74,13 +111,14 @@ public:
   typedef typename Ctr::Face_circulator       Face_circulator;
   typedef typename Ctr::size_type             size_type;
   typedef typename Ctr::Locate_type           Locate_type;
- 
-  typedef typename Ctr::List_edges List_edges;  
+
+  typedef typename Ctr::List_edges List_edges;
   typedef typename Ctr::List_faces List_faces;
   typedef typename Ctr::List_vertices  List_vertices;
   typedef typename Ctr::List_constraints List_constraints;
-  typedef typename Ctr::Less_edge less_edge;
-  typedef typename Ctr::Edge_set Edge_set;
+
+  typedef internal::Cdt_2_less_edge<CDt> Less_edge;
+  typedef boost::container::flat_set<Edge, Less_edge> Edge_set;
 
   //Tag to distinguish Delaunay from regular triangulations
   typedef Tag_false Weighted_tag;
@@ -117,12 +155,12 @@ public:
 
   typedef typename Geom_traits::Point_2  Point;
 
-  Constrained_Delaunay_triangulation_2(const Geom_traits& gt=Geom_traits()) 
+  Constrained_Delaunay_triangulation_2(const Geom_traits& gt=Geom_traits())
     : Ctr(gt) { }
 
   Constrained_Delaunay_triangulation_2(const List_constraints& lc,
-				       const Geom_traits& gt=Geom_traits())
-    : Ctr(gt) 
+                                       const Geom_traits& gt=Geom_traits())
+    : Ctr(gt)
     {
       insert_constraints(lc.begin(), lc.end());
       CGAL_triangulation_postcondition( is_valid() );
@@ -130,16 +168,16 @@ public:
 
   template<class InputIterator>
   Constrained_Delaunay_triangulation_2(InputIterator it,
-				       InputIterator last,
-				       const Geom_traits& gt=Geom_traits() )
-    : Ctr(gt) 
+                                       InputIterator last,
+                                       const Geom_traits& gt=Geom_traits() )
+    : Ctr(gt)
     {
       insert_constraints(it, last);
       CGAL_triangulation_postcondition( is_valid() );
     }
 
   virtual ~Constrained_Delaunay_triangulation_2() {}
-  
+
 
   // FLIPS
   bool is_flipable(Face_handle f, int i, bool perturb = true) const;
@@ -158,30 +196,30 @@ public:
   bool test_conflict(Face_handle fh, const Point& p) const; //deprecated
   bool test_conflict(const Point& p, Face_handle fh) const;
   void find_conflicts(const Point& p, std::list<Edge>& le,  //deprecated
-		      Face_handle hint= Face_handle()) const;
-  //  //template member functions, declared and defined at the end 
-  // template <class OutputItFaces, class OutputItBoundaryEdges> 
+                      Face_handle hint= Face_handle()) const;
+  //  //template member functions, declared and defined at the end
+  // template <class OutputItFaces, class OutputItBoundaryEdges>
   // std::pair<OutputItFaces,OutputItBoundaryEdges>
-  // get_conflicts_and_boundary(const Point  &p, 
-  // 		                OutputItFaces fit, 
-  // 		                OutputItBoundaryEdges eit,
-  // 		                Face_handle start) const;
+  // get_conflicts_and_boundary(const Point  &p,
+  //                                 OutputItFaces fit,
+  //                                 OutputItBoundaryEdges eit,
+  //                                 Face_handle start) const;
   // template <class OutputItFaces>
   // OutputItFaces
-  // get_conflicts (const Point  &p, 
-  //                OutputItFaces fit, 
-  // 		    Face_handle start ) const;
+  // get_conflicts (const Point  &p,
+  //                OutputItFaces fit,
+  //                     Face_handle start ) const;
   // template <class OutputItBoundaryEdges>
   // OutputItBoundaryEdges
-  // get_boundary_of_conflicts(const Point  &p, 
-  // 			       OutputItBoundaryEdges eit, 
-  // 			       Face_handle start ) const;
+  // get_boundary_of_conflicts(const Point  &p,
+  //                                OutputItBoundaryEdges eit,
+  //                                Face_handle start ) const;
 
   // INSERTION-REMOVAL
   Vertex_handle insert(const Point & a, Face_handle start = Face_handle());
   Vertex_handle insert(const Point& p,
-		       Locate_type lt,
-		       Face_handle loc, int li );
+                       Locate_type lt,
+                       Face_handle loc, int li );
   Vertex_handle push_back(const Point& a);
 //   template < class InputIterator >
 //   std::ptrdiff_t insert(InputIterator first, InputIterator last);
@@ -192,7 +230,7 @@ public:
 //  template <class OutputItFaces>
 //  OutputItFaces
 //  remove_constrained_edge(Face_handle f, int i, OutputItFaces out)
- 
+
   //for backward compatibility
   void insert(Point a, Point b) { insert_constraint(a, b);}
 
@@ -238,22 +276,22 @@ public:
 
   // CHECK
   bool is_valid(bool verbose = false, int level = 0) const;
- 
+
 protected:
-  virtual Vertex_handle virtual_insert(const Point & a, 
-				       Face_handle start = Face_handle());
+  virtual Vertex_handle virtual_insert(const Point & a,
+                                       Face_handle start = Face_handle());
   virtual Vertex_handle virtual_insert(const Point& a,
-				       Locate_type lt,
-				       Face_handle loc, 
-				       int li );
+                                       Locate_type lt,
+                                       Face_handle loc,
+                                       int li );
 //Vertex_handle special_insert_in_edge(const Point & a, Face_handle f, int i);
   void remove_2D(Vertex_handle v );
   virtual void triangulate_hole(List_faces& intersected_faces,
-				List_edges& conflict_boundary_ab,
-				List_edges& conflict_boundary_ba);
+                                List_edges& conflict_boundary_ab,
+                                List_edges& conflict_boundary_ba);
 
 public:
-  // MESHING 
+  // MESHING
   // suppressed meshing functions from here
 
   //template member functions
@@ -273,7 +311,7 @@ public:
 #if defined(_MSC_VER)
   std::ptrdiff_t insert(InputIterator first, InputIterator last, int i = 0)
 #else
-    std::ptrdiff_t insert(InputIterator first, InputIterator last) 
+    std::ptrdiff_t insert(InputIterator first, InputIterator last)
 #endif
 #endif
     {
@@ -391,12 +429,12 @@ public:
   }
 
 
-  template <class OutputItFaces, class OutputItBoundaryEdges> 
+  template <class OutputItFaces, class OutputItBoundaryEdges>
   std::pair<OutputItFaces,OutputItBoundaryEdges>
-  get_conflicts_and_boundary(const Point  &p, 
-			     OutputItFaces fit, 
-			     OutputItBoundaryEdges eit,
-			     Face_handle start = Face_handle()) const {
+  get_conflicts_and_boundary(const Point  &p,
+                             OutputItFaces fit,
+                             OutputItBoundaryEdges eit,
+                             Face_handle start = Face_handle()) const {
     CGAL_triangulation_precondition( dimension() == 2);
     int li;
     Locate_type lt;
@@ -410,7 +448,7 @@ public:
     case Ctr::OUTSIDE_CONVEX_HULL:
       *fit++ = fh; //put fh in OutputItFaces
       std::pair<OutputItFaces,OutputItBoundaryEdges>
-	pit = std::make_pair(fit,eit);
+        pit = std::make_pair(fit,eit);
       pit = propagate_conflicts(p,fh,0,pit);
       pit = propagate_conflicts(p,fh,1,pit);
       pit = propagate_conflicts(p,fh,2,pit);
@@ -418,24 +456,24 @@ public:
     }
     CGAL_triangulation_assertion(false);
     return std::make_pair(fit,eit);
-  } 
+  }
 
   template <class OutputItFaces>
   OutputItFaces
-  get_conflicts (const Point  &p, 
-		 OutputItFaces fit, 
-		 Face_handle start= Face_handle()) const {
-    std::pair<OutputItFaces,Emptyset_iterator> pp = 
+  get_conflicts (const Point  &p,
+                 OutputItFaces fit,
+                 Face_handle start= Face_handle()) const {
+    std::pair<OutputItFaces,Emptyset_iterator> pp =
       get_conflicts_and_boundary(p,fit,Emptyset_iterator(),start);
     return pp.first;
   }
 
-  template <class OutputItBoundaryEdges> 
+  template <class OutputItBoundaryEdges>
   OutputItBoundaryEdges
-  get_boundary_of_conflicts(const Point  &p, 
-			    OutputItBoundaryEdges eit, 
-			    Face_handle start= Face_handle()) const {
-    std::pair<Emptyset_iterator, OutputItBoundaryEdges> pp = 
+  get_boundary_of_conflicts(const Point  &p,
+                            OutputItBoundaryEdges eit,
+                            Face_handle start= Face_handle()) const {
+    std::pair<Emptyset_iterator, OutputItBoundaryEdges> pp =
       get_conflicts_and_boundary(p,Emptyset_iterator(),eit,start);
     return pp.second;
   }
@@ -445,15 +483,15 @@ public:
 // made  public for the need of Mesh_2
 // but not documented
 #ifdef CGAL_CDT2_USE_RECURSIVE_PROPAGATE_CONFLICTS
-  template <class OutputItFaces, class OutputItBoundaryEdges> 
+  template <class OutputItFaces, class OutputItBoundaryEdges>
   std::pair<OutputItFaces,OutputItBoundaryEdges>
   propagate_conflicts (const Point  &p,
-                      Face_handle fh, 
+                      Face_handle fh,
                       int i,
-                      std::pair<OutputItFaces,OutputItBoundaryEdges>  pit)  const 
+                      std::pair<OutputItFaces,OutputItBoundaryEdges>  pit)  const
   {
      Face_handle fn = fh->neighbor(i);
-     
+
      if ( fh->is_constrained(i) || ! test_conflict(p,fn)) {
        *(pit.second)++ = Edge(fn, fn->index(fh));
      } else {
@@ -465,12 +503,12 @@ public:
      return pit;
   }
 #else // NO CGAL_CDT2_USE_RECURSIVE_PROPAGATE_CONFLICTS
-  template <class OutputItFaces, class OutputItBoundaryEdges> 
+  template <class OutputItFaces, class OutputItBoundaryEdges>
   std::pair<OutputItFaces,OutputItBoundaryEdges>
   non_recursive_propagate_conflicts (const Point  &p,
-                                     Face_handle fh, 
+                                     Face_handle fh,
                                      int i,
-                                     std::pair<OutputItFaces,OutputItBoundaryEdges>  pit)  const 
+                                     std::pair<OutputItFaces,OutputItBoundaryEdges>  pit)  const
   {
     std::stack<std::pair<Face_handle, int> > stack;
     stack.push(std::make_pair(fh, i));
@@ -491,17 +529,17 @@ public:
     return pit;
   }
 
-  template <class OutputItFaces, class OutputItBoundaryEdges> 
+  template <class OutputItFaces, class OutputItBoundaryEdges>
   std::pair<OutputItFaces,OutputItBoundaryEdges>
   propagate_conflicts (const Point  &p,
-                      Face_handle fh, 
+                      Face_handle fh,
                       int i,
                       std::pair<OutputItFaces,OutputItBoundaryEdges>  pit,
-                      int depth=0)  const 
+                      int depth=0)  const
   {
     if ( depth==100) return non_recursive_propagate_conflicts(p,fh,i,pit);
     Face_handle fn = fh->neighbor(i);
- 
+
     if ( fh->is_constrained(i) || ! test_conflict(p,fn)) {
       *(pit.second)++ = Edge(fn, fn->index(fh));
     } else {
@@ -520,18 +558,20 @@ public:
 public:
  template <class OutputItFaces>
  OutputItFaces
- propagating_flip(List_edges & edges, 
-		  OutputItFaces out = Emptyset_iterator()) {
-  // makes the triangulation Delaunay by flipping 
+ propagating_flip(List_edges & edges,
+                  OutputItFaces out = Emptyset_iterator()) {
+  // makes the triangulation Delaunay by flipping
   // List edges contains an initial list of edges to be flipped
-  // Precondition : the output triangulation is Delaunay if the list 
+  // Precondition : the output triangulation is Delaunay if the list
   // edges contains all edges of the input triangulation that need to be
   // flipped (plus possibly others)
   int i, ii, indf, indn;
   Face_handle ni, f,ff;
-  Edge ei,eni; 
-  typename Ctr::Edge_set edge_set;
-  typename Ctr::Less_edge less_edge;
+  Edge ei,eni;
+
+  Less_edge less_edge(this);
+  Edge_set edge_set(less_edge);
+
   Edge e[4];
   typename List_edges::iterator itedge=edges.begin();
 
@@ -551,12 +591,12 @@ public:
   while (!(edge_set.empty())) {
     f=(*(edge_set.begin())).first;
     indf=(*(edge_set.begin())).second;
- 
+
     // erase from edge_set the 4 edges of the wing of the edge to be
     // flipped (edge_set.begin) , i.e. the edges of the faces f and
     // f->neighbor(indf) that are distinct from the edge to be flipped
 
-    ni = f->neighbor(indf); 
+    ni = f->neighbor(indf);
     indn=mirror_index(f,indf);
     ei= Edge(f,indf);
     edge_set.erase(ei);
@@ -565,38 +605,38 @@ public:
     e[2]= Edge(ni,cw(indn));
     e[3]= Edge(ni,ccw(indn));
 
-    for(i=0;i<4;i++) { 
+    for(i=0;i<4;i++) {
       ff=e[i].first;
       ii=e[i].second;
       eni=Edge(ff->neighbor(ii),mirror_index(ff,ii));
       if (less_edge(e[i],eni)) {edge_set.erase(e[i]);}
-      else { edge_set.erase(eni);} 
-    } 
+      else { edge_set.erase(eni);}
+    }
 
-    // here is the flip 
+    // here is the flip
     *out++ = f;
     *out++ = f->neighbor(indf);
-    flip(f, indf); 
-    
+    flip(f, indf);
+
 
     //insert in edge_set the 4 edges of the wing of the edge that
-    //have been flipped 
+    //have been flipped
     e[0]= Edge(f,indf);
     e[1]= Edge(f,cw(indf));
     e[2]= Edge(ni,indn);
     e[3]= Edge(ni,cw(indn));
 
-    for(i=0;i<4;i++) { 
+    for(i=0;i<4;i++) {
       ff=e[i].first;
       ii=e[i].second;
       if (is_flipable(ff,ii)) {
-	eni=Edge(ff->neighbor(ii),mirror_index(ff,ii));
-	if (less_edge(e[i],eni)) { 
-	  edge_set.insert(e[i]);}
-	else {
-	  edge_set.insert(eni);} 
+        eni=Edge(ff->neighbor(ii),mirror_index(ff,ii));
+        if (less_edge(e[i],eni)) {
+          edge_set.insert(e[i]);}
+        else {
+          edge_set.insert(eni);}
       }
-    } 
+    }
   }
   return out;
  }
@@ -610,27 +650,27 @@ public:
     le.push_back(Edge(f,i));
     propagating_flip(le,out);
   }
-  return out;  
+  return out;
  }
- 
+
 };
 
 
 template < class Gt, class Tds, class Itag >
-bool 
+bool
 Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::
 is_flipable(Face_handle f, int i, bool perturb /* = true */) const
-  // determines if edge (f,i) can be flipped 
+  // determines if edge (f,i) can be flipped
 {
-  Face_handle ni = f->neighbor(i); 
-  if (is_infinite(f) || is_infinite(ni)) return false; 
+  Face_handle ni = f->neighbor(i);
+  if (is_infinite(f) || is_infinite(ni)) return false;
   if (f->is_constrained(i)) return false;
-  return (side_of_oriented_circle(ni, f->vertex(i)->point(), perturb) 
+  return (side_of_oriented_circle(ni, f->vertex(i)->point(), perturb)
                                         == ON_POSITIVE_SIDE);
 }
 
 template < class Gt, class Tds, class Itag >
-void 
+void
 Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::
 flip (Face_handle& f, int i)
 {
@@ -647,34 +687,34 @@ flip (Face_handle& f, int i)
   Face_handle f4 = g->neighbor(ccw(j));
   int i4 = mirror_index(g,ccw(j));
 
-  // The following precondition prevents the test suit 
+  // The following precondition prevents the test suit
   // of triangulation to work on constrained Delaunay triangulation
   //CGAL_triangulation_precondition(is_flipable(f,i));
   this->_tds.flip(f, i);
-   
+
   // restore constraint status
   f->set_constraint(f->index(g), false);
   g->set_constraint(g->index(f), false);
   f1->neighbor(i1)->set_constraint(mirror_index(f1,i1),
-				   f1->is_constrained(i1));
+                                   f1->is_constrained(i1));
   f2->neighbor(i2)->set_constraint(mirror_index(f2,i2),
-				   f2->is_constrained(i2));
+                                   f2->is_constrained(i2));
   f3->neighbor(i3)->set_constraint(mirror_index(f3,i3),
-				   f3->is_constrained(i3));
+                                   f3->is_constrained(i3));
   f4->neighbor(i4)->set_constraint(mirror_index(f4,i4),
-				   f4->is_constrained(i4));
+                                   f4->is_constrained(i4));
   return;
 }
 
 template < class Gt, class Tds, class Itag >
-void 
+void
 Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::
 flip_around(Vertex_handle va)
   // makes the triangles incident to vertex va Delaunay using flips
 {
   if (dimension() <= 1) return;
   Face_handle f=va->face();
-  Face_handle next;    
+  Face_handle next;
   Face_handle start(f);
   int i;
   do {
@@ -686,7 +726,7 @@ flip_around(Vertex_handle va)
 }
 
 template < class Gt, class Tds, class Itag >
-void 
+void
 Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::
 flip_around(List_vertices& new_vertices)
 {
@@ -744,7 +784,7 @@ propagating_flip(Face_handle f,int i, in
   propagating_flip(ni,i, depth+1);
 #endif
 }
-#else 
+#else
 template < class Gt, class Tds, class Itag >
 void
 Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::
@@ -760,9 +800,9 @@ propagating_flip(Face_handle f,int i)
 }
 #endif
 
- template < class Gt, class Tds, class Itag > 
+ template < class Gt, class Tds, class Itag >
  void
- Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>:: 
+ Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::
  propagating_flip(List_edges & edges) {
     propagating_flip(edges,Emptyset_iterator());
  }
@@ -779,11 +819,11 @@ test_conflict(const Point& p, Face_handl
   // halfspace or on the boundary and in the  finite edge of fh
   Oriented_side os = side_of_oriented_circle(fh,p,true);
   if (os == ON_POSITIVE_SIDE) return true;
- 
+
   if (os == ON_ORIENTED_BOUNDARY && is_infinite(fh)) {
     int i = fh->index(infinite_vertex());
     return collinear_between(fh->vertex(cw(i))->point(), p,
-			     fh->vertex(ccw(i))->point() );
+                             fh->vertex(ccw(i))->point() );
   }
 
   return false;
@@ -798,20 +838,20 @@ test_conflict(Face_handle fh, const Poin
   return test_conflict(p,fh);
 }
 
-template < class Gt, class Tds, class Itag >    
-void 
+template < class Gt, class Tds, class Itag >
+void
 Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::
 find_conflicts(const Point& p, std::list<Edge>& le, Face_handle hint) const
 {
-  // sets in le the counterclocwise list of the edges of the boundary of the 
+  // sets in le the counterclocwise list of the edges of the boundary of the
   // union of the faces in conflict with p
   // an edge is represented by the incident face that is not in conflict with p
   get_boundary_of_conflicts(p, std::back_inserter(le), hint);
 }
-  
-template < class Gt, class Tds, class Itag >  
-inline 
-typename Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::Vertex_handle 
+
+template < class Gt, class Tds, class Itag >
+inline
+typename Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::Vertex_handle
 Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::
 virtual_insert(const Point & a, Face_handle start)
   // virtual version of the insertion
@@ -819,22 +859,22 @@ virtual_insert(const Point & a, Face_han
   return insert(a,start);
 }
 
-template < class Gt, class Tds, class Itag >  
-inline 
-typename Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::Vertex_handle 
+template < class Gt, class Tds, class Itag >
+inline
+typename Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::Vertex_handle
 Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::
 virtual_insert(const Point& a,
-	       Locate_type lt,
-	       Face_handle loc, 
-	       int li )
+               Locate_type lt,
+               Face_handle loc,
+               int li )
 // virtual version of insert
 {
   return insert(a,lt,loc,li);
 }
 
-template < class Gt, class Tds, class Itag >  
-inline 
-typename Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::Vertex_handle 
+template < class Gt, class Tds, class Itag >
+inline
+typename Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::Vertex_handle
 Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::
 insert(const Point & a, Face_handle start)
  // inserts a in the triangulation
@@ -842,7 +882,7 @@ insert(const Point & a, Face_handle star
 // Delaunay property is restored
 {
   Vertex_handle va= Ctr::insert(a, start);
-  flip_around(va); 
+  flip_around(va);
   return va;
 }
 
@@ -855,7 +895,7 @@ insert(const Point& a, Locate_type lt, F
 // Delaunay property is restored
 {
   Vertex_handle va= Ctr::insert(a,lt,loc,li);
-  flip_around(va); 
+  flip_around(va);
   return va;
 }
 
@@ -869,24 +909,24 @@ push_back(const Point &p)
 }
 
 template < class Gt, class Tds, class Itag >
-void 
+void
 Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::
 triangulate_hole(List_faces& intersected_faces,
-		 List_edges& conflict_boundary_ab,
-		 List_edges& conflict_boundary_ba)
+                 List_edges& conflict_boundary_ab,
+                 List_edges& conflict_boundary_ba)
 {
   List_edges new_edges;
   Ctr::triangulate_hole(intersected_faces,
-		       conflict_boundary_ab,
-		       conflict_boundary_ba,
-		       new_edges);
+                       conflict_boundary_ab,
+                       conflict_boundary_ba,
+                       new_edges);
   propagating_flip(new_edges);
   return;
 }
 
 
-template < class Gt, class Tds, class Itag >  
-inline void 
+template < class Gt, class Tds, class Itag >
+inline void
 Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::
 remove(Vertex_handle v)
   // remove a vertex and updates the constrained edges of the new faces
@@ -900,7 +940,7 @@ remove(Vertex_handle v)
   return;
 }
 
-// template < class Gt, class Tds, class Itag >  
+// template < class Gt, class Tds, class Itag >
 // typename
 // Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::Vertex_handle
 // Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::
@@ -908,16 +948,16 @@ remove(Vertex_handle v)
 //   // insert  point p in edge(f,i)
 //   // bypass the precondition for point a to be in edge(f,i)
 //   // update constrained status
-//   // this member fonction is not robust with exact predicates 
-//   // and approximate construction. Should be removed 
+//   // this member fonction is not robust with exact predicates
+//   // and approximate construction. Should be removed
 // {
 //   Vertex_handle vh=Ctr::special_insert_in_edge(a,f,i);
 //   flip_around(vh);
 //   return vh;
 // }
 
-template < class Gt, class Tds, class Itag >  
-void 
+template < class Gt, class Tds, class Itag >
+void
 Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::
 remove_2D(Vertex_handle v)
 {
@@ -940,7 +980,7 @@ remove_incident_constraints(Vertex_handl
 {
    List_edges iconstraints;
    if (are_there_incident_constraints(v,
-				      std::back_inserter(iconstraints))) {
+                                      std::back_inserter(iconstraints))) {
      Ctr::remove_incident_constraints(v);
      if (dimension()==2) propagating_flip(iconstraints);
    }
@@ -953,12 +993,12 @@ Constrained_Delaunay_triangulation_2<Gt,
 remove_constrained_edge(Face_handle f, int i)
 {
   remove_constrained_edge(f,i,Emptyset_iterator());
-  return;  
+  return;
 }
 
 
-template < class Gt, class Tds, class Itag >  
-bool 
+template < class Gt, class Tds, class Itag >
+bool
 Constrained_Delaunay_triangulation_2<Gt,Tds,Itag>::
 is_valid(bool verbose, int level) const
 {
@@ -968,8 +1008,8 @@ is_valid(bool verbose, int level) const
     Finite_faces_iterator fit= finite_faces_begin();
     for (; fit != finite_faces_end(); fit++) {
       for(int i=0;i<3;i++) {
-	result = result && !is_flipable(fit,i, false);
-	CGAL_triangulation_assertion( result );
+        result = result && !is_flipable(fit,i, false);
+        CGAL_triangulation_assertion( result );
       }
     }
     return result;
diff -pruN 5.0.2-3/include/CGAL/Constrained_Delaunay_triangulation_face_base_2.h 5.0.3-1/include/CGAL/Constrained_Delaunay_triangulation_face_base_2.h
--- 5.0.2-3/include/CGAL/Constrained_Delaunay_triangulation_face_base_2.h	2020-02-21 20:03:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/Constrained_Delaunay_triangulation_face_base_2.h	2020-08-01 19:02:29.000000000 +0000
@@ -4,10 +4,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Constrained_Delaunay_triangulation_face_base_2.h $
-// $Id: Constrained_Delaunay_triangulation_face_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Constrained_Delaunay_triangulation_face_base_2.h $
+// $Id: Constrained_Delaunay_triangulation_face_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s) : Jane Tournois, Raul Gallegos
 //
 
@@ -95,7 +95,7 @@ public:
   void set_blind(const bool b){ m_blind = b; }
 
   // if blind, the constrained edge that prevents the face
-  // to see its circumcenter 
+  // to see its circumcenter
   Edge_cdt blinding_constraint() const
   {
     CGAL_precondition(this->is_blind());
@@ -111,6 +111,6 @@ public:
   }
 };
 
-} //namespace CGAL 
+} //namespace CGAL
 
 #endif //CGAL_CONSTRAINED_DELAUNAY_TRIANGULATION_FACE_BASE_2_2_H
diff -pruN 5.0.2-3/include/CGAL/Constrained_triangulation_2.h 5.0.3-1/include/CGAL/Constrained_triangulation_2.h
--- 5.0.2-3/include/CGAL/Constrained_triangulation_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Constrained_triangulation_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Constrained_triangulation_2.h $
-// $Id: Constrained_triangulation_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Constrained_triangulation_2.h $
+// $Id: Constrained_triangulation_2.h a8fca35 2020-05-27T16:32:49+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec, Jean-Daniel Boissonnat
 
@@ -22,7 +22,7 @@
 #include <exception>
 
 #include <CGAL/triangulation_assertions.h>
-#include <CGAL/Triangulation_2.h> 
+#include <CGAL/Triangulation_2.h>
 #include <CGAL/Constrained_triangulation_face_base_2.h>
 #include <CGAL/iterator.h>
 #include <CGAL/Default.h>
@@ -43,6 +43,25 @@ struct Exact_predicates_tag{}; // to be
 
 namespace internal {
 
+#ifdef CGAL_CDT_2_DEBUG_INTERSECTIONS
+  struct Indentation_level {
+    int n;
+    Indentation_level() : n(0) {}
+    friend std::ostream& operator<<(std::ostream& os, Indentation_level level) {
+      return os << std::string(2*level.n, ' ');
+    }
+    Indentation_level& operator++() { ++n; return *this; }
+    Indentation_level& operator--() { --n; return *this; }
+    struct Exit_guard {
+      Exit_guard(Indentation_level& level): level(level) { ++level; }
+      Exit_guard(const Exit_guard& other) : level(other.level) { ++level; }
+      Indentation_level& level;
+      ~Exit_guard() { --level; }
+    };
+    Exit_guard open_new_scope() { return Exit_guard(*this); }
+  } cdt_2_indent_level;
+#endif // CGAL_CDT_2_DEBUG_INTERSECTIONS
+
 template <typename K>
 struct Itag {
   typedef typename boost::mpl::if_<typename Algebraic_structure_traits<typename K::FT>::Is_exact,
@@ -52,10 +71,10 @@ struct Itag {
 
 } // namespace internal
 
-template < class Gt, 
+template < class Gt,
            class Tds_ = Default ,
            class Itag_ = Default >
-class Constrained_triangulation_2  
+class Constrained_triangulation_2
   : public Triangulation_2<Gt,typename Default::Get< Tds_,
                                                      Triangulation_data_structure_2 <
                                                        Triangulation_vertex_base_2<Gt>,
@@ -71,7 +90,7 @@ public:
 
   typedef Triangulation_2<Gt,Tds> Triangulation;
   typedef Constrained_triangulation_2<Gt,Tds_,Itag_>  Constrained_triangulation;
-  
+
   typedef typename Triangulation::Edge Edge;
   typedef typename Triangulation::Vertex Vertex;
   typedef typename Triangulation::Vertex_handle Vertex_handle;
@@ -162,10 +181,6 @@ public:
   // Tag to distinguish periodic triangulations from others
   typedef Tag_false                          Periodic_tag;
 
-  class Less_edge;
-  typedef std::set<Edge,Less_edge> Edge_set;
-
-
   Constrained_triangulation_2(const Gt& gt = Gt()) : Triangulation(gt) { }
 
   Constrained_triangulation_2(std::list<Constraint>& lc, const Gt& gt=Gt())
@@ -180,12 +195,12 @@ public:
 
   template<class InputIterator>
   Constrained_triangulation_2(InputIterator it,
-			      InputIterator last,
-			      const Gt& gt=Gt() )
+                              InputIterator last,
+                              const Gt& gt=Gt() )
      : Triangulation_2<Gt,Tds>(gt)
   {
     for ( ; it != last; it++) {
-      	insert_constraint((*it).first, (*it).second);
+              insert_constraint((*it).first, (*it).second);
       }
       CGAL_triangulation_postcondition( is_valid() );
   }
@@ -214,14 +229,14 @@ public:
   {
     return Constrained_edges(constrained_edges_begin(),constrained_edges_end());
   }
-  
+
   // INSERTION
-  Vertex_handle insert(const Point& p, 
-			       Face_handle start = Face_handle() );
   Vertex_handle insert(const Point& p,
-		       Locate_type lt,
-		       Face_handle loc, 
-		       int li );
+                               Face_handle start = Face_handle() );
+  Vertex_handle insert(const Point& p,
+                       Locate_type lt,
+                       Face_handle loc,
+                       int li );
   Vertex_handle push_back(const Point& a);
 //   template < class InputIterator >
 //   std::ptrdiff_t insert(InputIterator first, InputIterator last);
@@ -235,7 +250,7 @@ public:
   template <class InputIterator, class OutputIterator>
   void
   get_bounded_faces(InputIterator edge_it, InputIterator edge_pteit,
-		    OutputIterator faces_it) const
+                    OutputIterator faces_it) const
   {
     Edge e;
     Unique_hash_map<Face_handle,bool> visited;
@@ -250,16 +265,16 @@ public:
     while(! st.empty()){
       Face_handle fh = st.top();
       st.pop();
-      typename CGAL::Unique_hash_map<Face_handle, bool>::Data& data = visited[fh];    
+      typename CGAL::Unique_hash_map<Face_handle, bool>::Data& data = visited[fh];
       if(! data) {
-	data = true;
-	*faces_it++ = fh;
-	for(int i = 0 ; i < 3 ; ++i){
-	  Face_handle n = fh->neighbor(i);
-	  if(! visited[n]) {
-	    st.push(n);
-	  }
-	}
+        data = true;
+        *faces_it++ = fh;
+        for(int i = 0 ; i < 3 ; ++i){
+          Face_handle n = fh->neighbor(i);
+          if(! visited[n]) {
+            st.push(n);
+          }
+        }
       }
     }
 
@@ -285,8 +300,8 @@ public:
 
   // A version of insert_constraint, that additionally writes
   // the new faces in an output iterator
-  // We duplicate code, as to run this one with an Emptyset_iterator 
-  // is still too much overhead 
+  // We duplicate code, as to run this one with an Emptyset_iterator
+  // is still too much overhead
 template <class OutputIterator>
 void
 insert_constraint(Vertex_handle  vaa, Vertex_handle vbb, OutputIterator out)
@@ -312,14 +327,14 @@ insert_constraint(Vertex_handle  vaa, Ve
   List_edges conflict_boundary_ab, conflict_boundary_ba;
 
   bool intersection  = find_intersected_faces( vaa, vbb,
-			                       intersected_faces,
-					       conflict_boundary_ab,
-					       conflict_boundary_ba,
-					       vi);
+                                               intersected_faces,
+                                               conflict_boundary_ab,
+                                               conflict_boundary_ba,
+                                               vi);
   if ( intersection) {
     if (vi != vaa && vi != vbb) {
-      insert_constraint(vaa,vi,out); 
-      insert_constraint(vi,vbb,out); 
+      insert_constraint(vaa,vi,out);
+      insert_constraint(vi,vbb,out);
      }
     else {
       insert_constraint(vaa,vbb,out);
@@ -346,20 +361,20 @@ insert_constraint(Vertex_handle  vaa, Ve
     it = n;
   }
   triangulate_hole(intersected_faces,
-		   conflict_boundary_ab,
-		   conflict_boundary_ba);
+                   conflict_boundary_ab,
+                   conflict_boundary_ba);
 
   get_bounded_faces(edges.begin(),
-		    edges.end(),
-		    out);
-  
+                    edges.end(),
+                    out);
+
   if (vi != vbb) {
-    insert_constraint(vi,vbb,out); 
+    insert_constraint(vi,vbb,out);
   }
   return;
 
 }
- 
+
   void insert_constraint(const Point& a, const Point& b);
   void insert_constraint(Vertex_handle va, Vertex_handle  vb);
   void push_back(const Constraint& c);
@@ -394,8 +409,8 @@ insert_constraint(Vertex_handle  vaa, Ve
   void remove_incident_constraints(Vertex_handle  v);
   // to be used by Constrained_triangulation_plus_2
  template <class OutputItFaces>
- OutputItFaces 
- remove_constrained_edge(Face_handle f, int i, OutputItFaces out) 
+ OutputItFaces
+ remove_constrained_edge(Face_handle f, int i, OutputItFaces out)
  {
    remove_constrained_edge(f, i);
    return out;
@@ -411,58 +426,43 @@ insert_constraint(Vertex_handle  vaa, Ve
   bool are_there_incident_constraints(Vertex_handle v) const;
   bool is_valid(bool verbose = false, int level = 0) const;
   // template<class OutputItEdges>
-  // OutputItEdges incident_constraints(Vertex_handle v, 
+  // OutputItEdges incident_constraints(Vertex_handle v,
   //                                     OutputItEdges out) const;
-  
-
-  class Less_edge 
-    :  public CGAL::cpp98::binary_function<Edge, Edge, bool>
-  {
-  public:
-    Less_edge() {}
-    bool operator() (const Edge& e1, const Edge& e2) const
-      {
-	int ind1=e1.second, ind2=e2.second;
- 	return( (&(*e1.first) < &(*e2.first))
- 		|| ( (&(*e1.first) == &(*e2.first)) && (ind1 < ind2)));
-      } 
-  };
-
 
   void file_output(std::ostream& os) const;
 
 protected:
-  virtual Vertex_handle virtual_insert(const Point& a, 
-				       Face_handle start = Face_handle());
   virtual Vertex_handle virtual_insert(const Point& a,
-				       Locate_type lt,
-				       Face_handle loc, 
-				       int li );
+                                       Face_handle start = Face_handle());
+  virtual Vertex_handle virtual_insert(const Point& a,
+                                       Locate_type lt,
+                                       Face_handle loc,
+                                       int li );
 //Vertex_handle special_insert_in_edge(const Point & a, Face_handle f, int i);
-  void update_constraints_incident(Vertex_handle va, 
-				   Vertex_handle c1,
-				   Vertex_handle c2);
+  void update_constraints_incident(Vertex_handle va,
+                                   Vertex_handle c1,
+                                   Vertex_handle c2);
   void clear_constraints_incident(Vertex_handle va);
   void update_constraints_opposite(Vertex_handle va);
   void update_constraints(const List_edges &hole);
 
   void mark_constraint(Face_handle fr, int i);
 
-  virtual Vertex_handle intersect(Face_handle f, int i, 
-			  Vertex_handle vaa,
-			  Vertex_handle vbb);
-  Vertex_handle intersect(Face_handle f, int i, 
-			  Vertex_handle vaa,
-			  Vertex_handle vbb,
-			  No_intersection_tag);
-  Vertex_handle intersect(Face_handle f, int i, 
-			  Vertex_handle vaa,
-			  Vertex_handle vbb,
-			   Exact_intersections_tag);
-  Vertex_handle intersect(Face_handle f, int i, 
-			  Vertex_handle vaa,
-			  Vertex_handle vbb,
-			  Exact_predicates_tag);
+  virtual Vertex_handle intersect(Face_handle f, int i,
+                          Vertex_handle vaa,
+                          Vertex_handle vbb);
+  Vertex_handle intersect(Face_handle f, int i,
+                          Vertex_handle vaa,
+                          Vertex_handle vbb,
+                          No_intersection_tag);
+  Vertex_handle intersect(Face_handle f, int i,
+                          Vertex_handle vaa,
+                          Vertex_handle vbb,
+                           Exact_intersections_tag);
+  Vertex_handle intersect(Face_handle f, int i,
+                          Vertex_handle vaa,
+                          Vertex_handle vbb,
+                          Exact_predicates_tag);
 private:
   //made private to avoid using the Triangulation_2 version
   Vertex_handle move(Vertex_handle v, const Point &)
@@ -473,26 +473,26 @@ private:
 
 public:
 // made public for Laurent  to find out deleted faces
-// when inserting a constraint with most probably 
+// when inserting a constraint with most probably
 // no intersection
-  bool find_intersected_faces(Vertex_handle va, 
-			      Vertex_handle vb,
-			      List_faces & intersected_faces,
-			      List_edges & list_ab, 
-			      List_edges & list_ba,
-			      Vertex_handle& vi);
+  bool find_intersected_faces(Vertex_handle va,
+                              Vertex_handle vb,
+                              List_faces & intersected_faces,
+                              List_edges & list_ab,
+                              List_edges & list_ba,
+                              Vertex_handle& vi);
 protected:
   virtual void triangulate_hole(List_faces& intersected_faces,
-				List_edges& conflict_boundary_ab,
-				List_edges& conflict_boundary_ba);
-  
+                                List_edges& conflict_boundary_ab,
+                                List_edges& conflict_boundary_ba);
+
   void triangulate_hole(List_faces& intersected_faces,
-			List_edges& conflict_boundary_ab,
-			List_edges& conflict_boundary_ba,
-			List_edges& new_edges);
-  
-  void triangulate_half_hole(List_edges & list_edges, 
-			     List_edges & new_edges);
+                        List_edges& conflict_boundary_ab,
+                        List_edges& conflict_boundary_ba,
+                        List_edges& new_edges);
+
+  void triangulate_half_hole(List_edges & list_edges,
+                             List_edges & new_edges);
 
   void remove_1D(Vertex_handle v);
   void remove_2D(Vertex_handle v);
@@ -504,13 +504,13 @@ public:
 #if defined(_MSC_VER)
   std::ptrdiff_t insert(InputIterator first, InputIterator last, int i = 0)
 #else
-    std::ptrdiff_t insert(InputIterator first, InputIterator last) 
+    std::ptrdiff_t insert(InputIterator first, InputIterator last)
 #endif
     {
 #if defined(_MSC_VER)
       CGAL_USE(i);
-#endif      
-      size_type n = number_of_vertices(); 
+#endif
+      size_type n = number_of_vertices();
 
       std::vector<Point> points (first, last);
       CGAL::spatial_sort (points.begin(), points.end(), geom_traits());
@@ -525,26 +525,26 @@ public:
 
   //deprecated
  template<class OutputIterator>
-  bool are_there_incident_constraints(Vertex_handle v, 
-				      OutputIterator out) const
+  bool are_there_incident_constraints(Vertex_handle v,
+                                      OutputIterator out) const
     {
       Edge_circulator ec=incident_edges(v), done(ec);
       bool are_there = false;
       if (ec == 0) return are_there;
       do {
-	if(is_constrained(*ec)) {
-	  *out++ = *ec;
-	  are_there = true;
-	}
-	ec++;
+        if(is_constrained(*ec)) {
+          *out++ = *ec;
+          are_there = true;
+        }
+        ec++;
       } while (ec != done);
       return are_there;
     }
 
-  
+
  template<class OutputItEdges>
- OutputItEdges  incident_constraints(Vertex_handle v, 
-				      OutputItEdges out) const {
+ OutputItEdges  incident_constraints(Vertex_handle v,
+                                      OutputItEdges out) const {
    Edge_circulator ec=incident_edges(v), done(ec);
    if (ec == 0) return  out;
    do {
@@ -553,33 +553,33 @@ public:
    } while (ec != done);
    return out;
  }
- 
-  // the following fonctions are overloaded 
-  // to take care of constraint marks 
+
+  // the following fonctions are overloaded
+  // to take care of constraint marks
   template<class EdgeIt>
-  Vertex_handle star_hole( const Point& p, 
-			   EdgeIt edge_begin,  
-			   EdgeIt edge_end) {
+  Vertex_handle star_hole( const Point& p,
+                           EdgeIt edge_begin,
+                           EdgeIt edge_end) {
     std::list<Face_handle> empty_list;
-    return star_hole(p, 
-		     edge_begin, 
-		     edge_end, 
-		     empty_list.begin(),
-		     empty_list.end());
+    return star_hole(p,
+                     edge_begin,
+                     edge_end,
+                     empty_list.begin(),
+                     empty_list.end());
   }
 
   template<class EdgeIt, class FaceIt>
-  Vertex_handle star_hole( const Point& p, 
-			   EdgeIt edge_begin,
-			   EdgeIt edge_end,
-			   FaceIt face_begin,
-			   FaceIt face_end)
-{
-    Vertex_handle v =  Triangulation::star_hole(p, 
-						edge_begin, 
-						edge_end, 
-						face_begin,
-						face_end);
+  Vertex_handle star_hole( const Point& p,
+                           EdgeIt edge_begin,
+                           EdgeIt edge_end,
+                           FaceIt face_begin,
+                           FaceIt face_end)
+{
+    Vertex_handle v =  Triangulation::star_hole(p,
+                                                edge_begin,
+                                                edge_end,
+                                                face_begin,
+                                                face_end);
     // restore constraint status for new faces.
     int vindex;
     Face_handle fh;
@@ -595,7 +595,7 @@ public:
     } while (++fc != done);
     return v;
 }
- 
+
 };
 
 template < class Gt, class Tds, class Itag >
@@ -613,20 +613,20 @@ inline
 typename Constrained_triangulation_2<Gt,Tds,Itag>::Vertex_handle
 Constrained_triangulation_2<Gt,Tds,Itag>::
 virtual_insert(const Point& a,
-	       Locate_type lt,
-	       Face_handle loc, 
-	       int li )
+               Locate_type lt,
+               Face_handle loc,
+               int li )
 // virtual version of insert
 {
   return insert(a,lt,loc,li);
 }
-    
+
 template < class Gt, class Tds, class Itag >
 inline
 typename Constrained_triangulation_2<Gt,Tds,Itag>::Vertex_handle
 Constrained_triangulation_2<Gt,Tds,Itag>::
 insert(const Point& a, Face_handle start)
-// inserts point a 
+// inserts point a
 // in addition to what is done for non constrained triangulations
 // constrained edges are updated
 {
@@ -662,8 +662,8 @@ insert(const Point& a, Locate_type lt, F
   return va;
 }
 
-// template < class Gt, class Tds, class Itag >  
-// typename Constrained_triangulation_2<Gt,Tds,Itag>::Vertex_handle 
+// template < class Gt, class Tds, class Itag >
+// typename Constrained_triangulation_2<Gt,Tds,Itag>::Vertex_handle
 // Constrained_triangulation_2<Gt, Tds, Itag>::
 // special_insert_in_edge(const Point & a, Face_handle f, int i)
 //   // insert  point p in edge(f,i)
@@ -675,7 +675,7 @@ insert(const Point& a, Locate_type lt, F
 //   c1 = f->vertex(cw(i));  //endpoint of edge
 //   c2 = f->vertex(ccw(i)); //endpoint of edge
 //   bool insert_in_constrained_edge = f->is_constrained(i);
- 
+
 //   va = this->_tds.insert_in_edge(f, i);
 //   va->set_point(a);
 
@@ -690,7 +690,7 @@ template < class Gt, class Tds, class It
 inline void
 Constrained_triangulation_2<Gt,Tds,Itag>::
 insert_constraint(const Point& a, const Point& b)
-// the algorithm first inserts a and b, 
+// the algorithm first inserts a and b,
 // and then forces the constraint [va,vb]
 {
   Vertex_handle va= virtual_insert(a);
@@ -711,10 +711,25 @@ insert_constraint(Vertex_handle  vaa, Ve
   std::stack<std::pair<Vertex_handle, Vertex_handle> > stack;
   stack.push(std::make_pair(vaa,vbb));
 
+#ifdef CGAL_CDT_2_DEBUG_INTERSECTIONS
+  std::cerr << CGAL::internal::cdt_2_indent_level
+            << "CT_2::insert_constraint( #" << vaa->time_stamp() << "= " << vaa->point()
+            << " , #" << vbb->time_stamp() << "= " << vbb->point()
+            << " )\n";
+  internal::Indentation_level::Exit_guard exit_guard = CGAL::internal::cdt_2_indent_level.open_new_scope();
+#endif // CGAL_CDT_2_DEBUG_INTERSECTIONS
   while(! stack.empty()){
     boost::tie(vaa,vbb) = stack.top();
     stack.pop();
     CGAL_triangulation_precondition( vaa != vbb);
+#ifdef CGAL_CDT_2_DEBUG_INTERSECTIONS
+    std::cerr << CGAL::internal::cdt_2_indent_level
+              << "CT_2::insert_constraint, stack pop=( #" << vaa->time_stamp() << "= " << vaa->point()
+              << " , #" << vbb->time_stamp() << "= " << vbb->point()
+              << " ) remaining stack size: "
+              << stack.size() << '\n';
+    CGAL_assertion(this->is_valid());
+#endif // CGAL_CDT_2_DEBUG_INTERSECTIONS
     Vertex_handle vi;
 
     Face_handle fr;
@@ -726,10 +741,10 @@ insert_constraint(Vertex_handle  vaa, Ve
       }
       continue;
     }
-      
+
     List_faces intersected_faces;
     List_edges conflict_boundary_ab, conflict_boundary_ba;
-     
+
     bool intersection  = find_intersected_faces( vaa, vbb,
                                                  intersected_faces,
                                                  conflict_boundary_ab,
@@ -737,10 +752,26 @@ insert_constraint(Vertex_handle  vaa, Ve
                                                  vi);
     if ( intersection) {
       if (vi != vaa && vi != vbb) {
+#ifdef CGAL_CDT_2_DEBUG_INTERSECTIONS
+  std::cerr << CGAL::internal::cdt_2_indent_level
+            << "CT_2::insert_constraint stask push [vaa, vi] ( #" << vaa->time_stamp() << "= " << vaa->point()
+            << " , #" << vi->time_stamp() << "= " << vi->point()
+            << " )\n";
+  std::cerr << CGAL::internal::cdt_2_indent_level
+            << "CT_2::insert_constraint stask push [vi, vbb] ( #" << vi->time_stamp() << "= " << vi->point()
+            << " , #" << vbb->time_stamp() << "= " << vbb->point()
+            << " )\n";
+#endif // CGAL_CDT_2_DEBUG_INTERSECTIONS
         stack.push(std::make_pair(vaa,vi));
         stack.push(std::make_pair(vi,vbb));
       }
       else{
+#ifdef CGAL_CDT_2_DEBUG_INTERSECTIONS
+  std::cerr << CGAL::internal::cdt_2_indent_level
+            << "CT_2::insert_constraint stask push [vaa, vbb]( #" << vaa->time_stamp() << "= " << vaa->point()
+            << " , #" << vbb->time_stamp() << "= " << vbb->point()
+            << " )\n";
+#endif // CGAL_CDT_2_DEBUG_INTERSECTIONS
         stack.push(std::make_pair(vaa,vbb));
       }
       continue;
@@ -762,15 +793,15 @@ template <class Gt, class Tds, class Ita
 bool
 Constrained_triangulation_2<Gt,Tds,Itag>::
 find_intersected_faces(Vertex_handle vaa,
-		       Vertex_handle vbb,
-		       List_faces & intersected_faces,
-		       List_edges & list_ab, 
-		       List_edges & list_ba,
-		       Vertex_handle & vi) 
+                       Vertex_handle vbb,
+                       List_faces & intersected_faces,
+                       List_edges & list_ab,
+                       List_edges & list_ba,
+                       Vertex_handle & vi)
   // vi is set to the first vertex of the triangulation on [vaa,vbb].
   // Return true if an intersection with a constrained edge is
   // encountered, false otherwise
-  // When false : 
+  // When false :
   // intersected_faces contains the list if faces intersected by [va,vi]
   // list_ab and list_ba represents the boundary of the union
   // of the intersected faces oriented cw
@@ -781,74 +812,98 @@ find_intersected_faces(Vertex_handle vaa
   const Point& bb = vbb->point();
   Line_face_circulator current_face=Line_face_circulator(vaa, this, bb);
   int ind=current_face->index(vaa);
-      
+
   // to deal with the case where the first crossed edge
   // is constrained
+#ifdef CGAL_CDT_2_DEBUG_INTERSECTIONS
+  std::cerr << CGAL::internal::cdt_2_indent_level
+            << "CT_2::find_intersected_faces ( #" << vaa->time_stamp() << "= " << vaa->point()
+            << " , #" << vbb->time_stamp() << "= " << vbb->point()
+            << " )\n"
+            << CGAL::internal::cdt_2_indent_level
+            << "> current constrained edges are:\n";
+  for(Constrained_edges_iterator edge_it = this->constrained_edges_begin(),
+        end = this->constrained_edges_end();
+      edge_it != end; ++edge_it)
+  {
+    std::cerr <<CGAL::internal::cdt_2_indent_level
+              << "> (#"
+              << edge_it->first->vertex(cw(edge_it->second))->time_stamp()
+              << ", #"
+              << edge_it->first->vertex(ccw(edge_it->second))->time_stamp()
+              << ")\n";
+  }
+  std::cerr << CGAL::internal::cdt_2_indent_level
+            << "> current face is ( #" << current_face->vertex(0)->time_stamp()
+            << " #" << current_face->vertex(1)->time_stamp()
+            << " #" << current_face->vertex(2)->time_stamp() << " )\n";
+#endif // CGAL_CDT_2_DEBUG_INTERSECTIONS
+
   if(current_face->is_constrained(ind)) {
     vi=intersect(current_face, ind, vaa, vbb);
     return true;
   }
 
-  Face_handle lf= current_face->neighbor(ccw(ind)); 
+  Face_handle lf= current_face->neighbor(ccw(ind));
   Face_handle rf= current_face->neighbor(cw(ind));
   Orientation orient;
   Face_handle previous_face;
-  Vertex_handle current_vertex;	
+  Vertex_handle current_vertex;
 
   list_ab.push_back(Edge(lf, lf->index(current_face)));
   list_ba.push_front(Edge(rf, rf->index(current_face)));
   intersected_faces.push_front(current_face);
 
   // initcd
-  previous_face=current_face; 
+  previous_face=current_face;
   ++current_face;
-  ind=current_face->index(previous_face);  
-  current_vertex=current_face->vertex(ind);  
+  ind=current_face->index(previous_face);
+  current_vertex=current_face->vertex(ind);
 
   // loop over triangles intersected by ab
   bool done = false;
-  while (current_vertex != vbb && !done)  { 
+  while (current_vertex != vbb && !done)  {
     orient = orientation(aa,bb,current_vertex->point());
     int i1, i2;
     switch (orient) {
-    case COLLINEAR :  
+    case COLLINEAR :
       done = true; // current_vertex is the new endpoint
       break;
     case LEFT_TURN :
     case RIGHT_TURN :
       if (orient == LEFT_TURN) {
-	i1 = ccw(ind) ; //index of second intersected edge of current_face
-	i2 = cw(ind); //index of non intersected edge of current_face
+        i1 = ccw(ind) ; //index of second intersected edge of current_face
+        i2 = cw(ind); //index of non intersected edge of current_face
       }
       else {
-	i1 = cw(ind) ; //index of second intersected edge of current_face
-	i2 = ccw(ind); //index of non intersected edge of current_face
+        i1 = cw(ind) ; //index of second intersected edge of current_face
+        i2 = ccw(ind); //index of non intersected edge of current_face
       }
       if(current_face->is_constrained(i1)) {
-	vi = intersect(current_face, i1, vaa,vbb);
-	return true;
+        vi = intersect(current_face, i1, vaa,vbb);
+        return true;
       }
       else {
-	lf= current_face->neighbor(i2);
-	intersected_faces.push_front(current_face);
-	if (orient == LEFT_TURN) 
-	  list_ab.push_back(Edge(lf, lf->index(current_face)));
-	else // orient == RIGHT_TURN
-	  list_ba.push_front(Edge(lf, lf->index(current_face)));
-	previous_face=current_face;
-	++current_face;
-	ind=current_face->index(previous_face); 
-	current_vertex=current_face->vertex(ind);
+        lf= current_face->neighbor(i2);
+        intersected_faces.push_front(current_face);
+        if (orient == LEFT_TURN)
+          list_ab.push_back(Edge(lf, lf->index(current_face)));
+        else // orient == RIGHT_TURN
+          list_ba.push_front(Edge(lf, lf->index(current_face)));
+        previous_face=current_face;
+        ++current_face;
+        ind=current_face->index(previous_face);
+        current_vertex=current_face->vertex(ind);
       }
       break;
     }
   }
-    
-  // last triangle 
+
+  // last triangle
   vi = current_vertex;
   intersected_faces.push_front(current_face);
   lf= current_face->neighbor(cw(ind));
-  list_ab.push_back(Edge(lf, lf->index(current_face))); 
+  list_ab.push_back(Edge(lf, lf->index(current_face)));
   rf= current_face->neighbor(ccw(ind));
   list_ba.push_front(Edge(rf, rf->index(current_face)));
   return false;
@@ -856,11 +911,11 @@ find_intersected_faces(Vertex_handle vaa
 
 
 template <class Gt, class Tds, class Itag >
-typename Constrained_triangulation_2<Gt,Tds,Itag>::Vertex_handle 
+typename Constrained_triangulation_2<Gt,Tds,Itag>::Vertex_handle
 Constrained_triangulation_2<Gt,Tds,Itag>::
-intersect(Face_handle f, int i, 
-	  Vertex_handle vaa,
-	  Vertex_handle vbb) 
+intersect(Face_handle f, int i,
+          Vertex_handle vaa,
+          Vertex_handle vbb)
 {
   return intersect(f, i, vaa, vbb, Itag());
 }
@@ -879,18 +934,18 @@ intersect(Face_handle , int ,
 }
 
 template <class Gt, class Tds, class Itag >
-typename Constrained_triangulation_2<Gt,Tds,Itag>::Vertex_handle 
+typename Constrained_triangulation_2<Gt,Tds,Itag>::Vertex_handle
 Constrained_triangulation_2<Gt,Tds,Itag>::
-intersect(Face_handle f, int i, 
-	  Vertex_handle vaa,
-	  Vertex_handle vbb,
-	  Exact_intersections_tag)
-// compute the intersection of the constraint edge (f,i) 
+intersect(Face_handle f, int i,
+          Vertex_handle vaa,
+          Vertex_handle vbb,
+          Exact_intersections_tag)
+// compute the intersection of the constraint edge (f,i)
 // with the subconstraint (vaa,vbb) being inserted
 // insert the intersection point
-// split constraint edge (f,i) 
+// split constraint edge (f,i)
 // and return the Vertex_handle of the new Vertex
-{ 
+{
 #ifndef CGAL_NO_CDT_2_WARNING
   CGAL_warning_msg(false,
   "You are using an exact number type,\n"
@@ -910,16 +965,16 @@ intersect(Face_handle f, int i,
   intersection(geom_traits(), pa, pb, pc, pd, pi, itag );
   CGAL_triangulation_assertion(ok);
   Vertex_handle vi = virtual_insert(pi, Triangulation::EDGE, f, i);
-  return vi; 
+  return vi;
 }
 
 template <class Gt, class Tds, class Itag >
-typename Constrained_triangulation_2<Gt,Tds,Itag>::Vertex_handle 
+typename Constrained_triangulation_2<Gt,Tds,Itag>::Vertex_handle
 Constrained_triangulation_2<Gt,Tds,Itag>::
-intersect(Face_handle f, int i, 
-	  Vertex_handle vaa,
-	  Vertex_handle vbb,
-	  Exact_predicates_tag)
+intersect(Face_handle f, int i,
+          Vertex_handle vaa,
+          Vertex_handle vbb,
+          Exact_predicates_tag)
 {
   Vertex_handle  vcc, vdd;
   vcc = f->vertex(cw(i));
@@ -930,18 +985,26 @@ intersect(Face_handle f, int i,
   const Point& pc = vcc->point();
   const Point& pd = vdd->point();
 
+#ifdef CGAL_CDT_2_DEBUG_INTERSECTIONS
+  std::cerr << CGAL::internal::cdt_2_indent_level
+            << "CT_2::intersect segment ( #" << vaa->time_stamp() << "= " << vaa->point()
+            << " , #" << vbb->time_stamp() << "= " << vbb->point()
+            << " ) with edge ( #"<< vcc->time_stamp() << "= " << vcc->point()
+            << " , #" << vdd->time_stamp() << "= " << vdd->point()
+            << " )\n";
+#endif // CGAL_CDT_2_DEBUG_INTERSECTIONS
   Point pi; //creator for point is required here
   Itag itag = Itag();
   bool ok  = intersection(geom_traits(), pa, pb, pc, pd, pi, itag );
 
   Vertex_handle vi;
   if ( !ok) {  //intersection detected but not computed
-    int i = limit_intersection(geom_traits(), pa, pb, pc, pd, itag);
-    switch(i){
+    int int_index = limit_intersection(geom_traits(), pa, pb, pc, pd, itag);
+    switch(int_index){
     case 0 : vi = vaa; break;
     case 1 : vi = vbb; break;
     case 2 : vi = vcc; break;
-    case 3 : vi = vdd; break; 
+    case 3 : vi = vdd; break;
     }
     if(vi == vaa || vi == vbb) {
       remove_constrained_edge(f, i);
@@ -951,17 +1014,22 @@ intersect(Face_handle f, int i,
     remove_constrained_edge(f, i);
     vi = virtual_insert(pi, f);
   }
+#ifdef CGAL_CDT_2_DEBUG_INTERSECTIONS
+  std::cerr << CGAL::internal::cdt_2_indent_level
+            << "CT_2::intersect, `vi` is ( #" << vi->time_stamp() << "= " << vi->point()
+            << " )\n";
+#endif // CGAL_CDT_2_DEBUG_INTERSECTIONS
 
   // vi == vc or vi == vd may happen even if intersection==true
   // due to approximate construction of the intersection
-  if (vi != vcc && vi != vdd) { 
-    insert_constraint(vcc,vi); 
+  if (vi != vcc && vi != vdd) {
+    insert_constraint(vcc,vi);
     insert_constraint(vi, vdd);
-  } 
+  }
   else {
     insert_constraint(vcc,vdd);
   }
-  return vi; 
+  return vi;
 }
 
 template <class Gt, class Tds, class Itag >
@@ -987,10 +1055,10 @@ push_back(const Constraint &c)
 template < class Gt, class Tds, class Itag >
 void
 Constrained_triangulation_2<Gt,Tds,Itag>::
-update_constraints_incident(Vertex_handle va, 
-			    Vertex_handle c1,
-			    Vertex_handle c2)
-  // update status of edges incident to a 
+update_constraints_incident(Vertex_handle va,
+                            Vertex_handle c1,
+                            Vertex_handle c2)
+  // update status of edges incident to a
   // after insertion in the  constrained edge c1c2
 {
   if (dimension() == 0) return;
@@ -1003,21 +1071,21 @@ update_constraints_incident(Vertex_handl
   else{
     //dimension() ==2
     int cwi, ccwi, indf;
-    Face_circulator fc=incident_faces(va), done(fc);  
+    Face_circulator fc=incident_faces(va), done(fc);
     CGAL_triangulation_assertion(fc != 0);
     do {
       indf = fc->index(va);
       cwi=cw(indf);
-      ccwi=ccw(indf); 
+      ccwi=ccw(indf);
       if ((fc->vertex(cwi) == c1)||(fc->vertex(cwi) == c2)) {
-	  fc->set_constraint(ccwi,true);
-	  fc->set_constraint(cwi,false);
-	}	
-	else {
-	  fc->set_constraint(ccwi,false);
-	  fc->set_constraint(cwi,true);
-	}
-	++fc;
+          fc->set_constraint(ccwi,true);
+          fc->set_constraint(cwi,false);
+        }
+        else {
+          fc->set_constraint(ccwi,false);
+          fc->set_constraint(cwi,true);
+        }
+        ++fc;
       } while (fc != done);
   }
 }
@@ -1037,7 +1105,7 @@ clear_constraints_incident(Vertex_handle
       indf = (*ec).second;
       f->set_constraint(indf,false);
       if (dimension() == 2) {
-	f->neighbor(indf)->set_constraint(mirror_index(f,indf),false);
+        f->neighbor(indf)->set_constraint(mirror_index(f,indf),false);
       }
     } while (++ec != done);
   }
@@ -1047,12 +1115,12 @@ clear_constraints_incident(Vertex_handle
 
 template < class Gt, class Tds, class Itag >
 void
-Constrained_triangulation_2<Gt,Tds,Itag>::  
+Constrained_triangulation_2<Gt,Tds,Itag>::
 update_constraints_opposite(Vertex_handle va)
   // update status of edges opposite to a
   // after insertion of a
 {
-  CGAL_triangulation_assertion(dimension()==2); 
+  CGAL_triangulation_assertion(dimension()==2);
   Face_handle f=va->face(), start=f;
   int indf;
   do {
@@ -1063,14 +1131,14 @@ update_constraints_opposite(Vertex_handl
     else {
       f->set_constraint(indf,false);
     }
-    f= f->neighbor(ccw(indf)); // turns ccw around va 
+    f= f->neighbor(ccw(indf)); // turns ccw around va
   } while (f != start);
   return;
 }
 
 template < class Gt, class Tds, class Itag >
 void
-Constrained_triangulation_2<Gt,Tds,Itag>:: 
+Constrained_triangulation_2<Gt,Tds,Itag>::
 update_constraints( const List_edges &hole)
 {
   typename List_edges::const_iterator it = hole.begin();
@@ -1079,7 +1147,7 @@ update_constraints( const List_edges &ho
   for ( ; it != hole.end(); it ++) {
     f =(*it).first;
     i = (*it).second;
-    if ( f->is_constrained(i) ) 
+    if ( f->is_constrained(i) )
       (f->neighbor(i))->set_constraint(mirror_index(f,i),true);
     else (f->neighbor(i))->set_constraint(mirror_index(f,i),false);
   }
@@ -1103,14 +1171,14 @@ template < class Gt, class Tds, class It
 inline void
 Constrained_triangulation_2<Gt,Tds,Itag>::
 triangulate_hole(List_faces& intersected_faces,
-		 List_edges& conflict_boundary_ab,
-		 List_edges& conflict_boundary_ba)
+                 List_edges& conflict_boundary_ab,
+                 List_edges& conflict_boundary_ba)
 {
   List_edges new_edges;
   triangulate_hole(intersected_faces,
-		   conflict_boundary_ab,
-		   conflict_boundary_ba,
-		   new_edges);
+                   conflict_boundary_ab,
+                   conflict_boundary_ba,
+                   new_edges);
 }
 
 
@@ -1119,18 +1187,18 @@ template < class Gt, class Tds, class It
 void
 Constrained_triangulation_2<Gt,Tds,Itag>::
 triangulate_hole(List_faces& intersected_faces,
-		 List_edges& conflict_boundary_ab,
-		 List_edges& conflict_boundary_ba,
-		 List_edges& new_edges)
+                 List_edges& conflict_boundary_ab,
+                 List_edges& conflict_boundary_ba,
+                 List_edges& new_edges)
   // triangulate the hole limited by conflict_boundary_ab
   // and conflict_boundary_ba
-  // insert the new edges in new-edges 
+  // insert the new edges in new-edges
   // delete the faces of intersected_faces
 {
   if ( !conflict_boundary_ab.empty() ) {
     triangulate_half_hole(conflict_boundary_ab, new_edges);
     triangulate_half_hole(conflict_boundary_ba, new_edges);
-	
+
     // the two faces that share edge ab are neighbors
     // their common edge ab is a constraint
     Face_handle fr,fl;
@@ -1140,7 +1208,7 @@ triangulate_hole(List_faces& intersected
     fr->set_neighbor(2, fl);
     fl->set_constraint(2, true);
     fr->set_constraint(2, true);
-   
+
     // delete intersected faces
     while( ! intersected_faces.empty()) {
       fl = intersected_faces.front();
@@ -1162,7 +1230,7 @@ remove(Vertex_handle  v)
   CGAL_triangulation_precondition( v != Vertex_handle() );
   CGAL_triangulation_precondition( ! is_infinite(v));
   CGAL_triangulation_precondition( ! are_there_incident_constraints(v));
-    
+
   if  (number_of_vertices() == 1)     remove_first(v);
   else if (number_of_vertices() == 2) remove_second(v);
   else   if ( dimension() == 1) remove_1D(v);
@@ -1197,7 +1265,7 @@ remove_2D(Vertex_handle v)
     update_constraints(shell);
     delete_vertex(v);
   }
-  return;       
+  return;
 }
 
 
@@ -1206,6 +1274,14 @@ void
 Constrained_triangulation_2<Gt,Tds,Itag>::
 remove_constrained_edge(Face_handle f, int i)
 {
+#ifdef CGAL_CDT_2_DEBUG_INTERSECTIONS
+  std::cerr << CGAL::internal::cdt_2_indent_level
+            << "CT_2::remove_constrained_edge ( #"
+            << f->vertex(cw(i))->time_stamp()
+            << ", #"
+            << f->vertex(ccw(i))->time_stamp()
+            << ")\n";
+#endif // CGAL_CDT_2_DEBUG_INTERSECTIONS
   f->set_constraint(i, false);
   if (dimension() == 2)
     (f->neighbor(i))->set_constraint(mirror_index(f,i), false);
@@ -1220,15 +1296,15 @@ remove_incident_constraints(Vertex_handl
    Edge_circulator ec=incident_edges(v), done(ec);
    if (ec == 0) return;
    do {
-	if(is_constrained(*ec)) { remove_constrained_edge((*ec).first,
-						   (*ec).second);}
-	ec++;
+        if(is_constrained(*ec)) { remove_constrained_edge((*ec).first,
+                                                   (*ec).second);}
+        ec++;
    } while (ec != done);
-   return;	
+   return;
 }
 
 template < class Gt, class Tds, class Itag >
-inline  bool 
+inline  bool
 Constrained_triangulation_2<Gt,Tds,Itag>::
 are_there_incident_constraints(Vertex_handle v) const
 {
@@ -1236,30 +1312,30 @@ are_there_incident_constraints(Vertex_ha
 }
 
 template < class Gt, class Tds, class Itag >
-inline  bool 
+inline  bool
 Constrained_triangulation_2<Gt,Tds,Itag>::
 is_valid(bool verbose, int level) const
 {
     bool result = Triangulation::is_valid(verbose,level);
-    for( All_faces_iterator it = all_faces_begin(); 
-	                    it != all_faces_end() ; it++) {
+    for( All_faces_iterator it = all_faces_begin();
+                            it != all_faces_end() ; it++) {
       for(int i=0; i<3; i++) {
-	Face_handle n = it->neighbor(i);
-	result = result && 
-	  it->is_constrained(i) == n->is_constrained(n->index(it));
+        Face_handle n = it->neighbor(i);
+        result = result &&
+          it->is_constrained(i) == n->is_constrained(n->index(it));
       }
     }
     return result;
 }
 
 template < class Gt, class Tds, class Itag >
-inline  bool 
+inline  bool
 Constrained_triangulation_2<Gt,Tds,Itag>::
 is_constrained(Edge e) const
 {
   return (e.first)->is_constrained(e.second);
 }
-    
+
 template < class Gt, class Tds, class Itag >
 void
 Constrained_triangulation_2<Gt,Tds,Itag>::
@@ -1273,17 +1349,17 @@ triangulate_half_hole(List_edges & list_
   // the edges that are created are put in list new_edges
   // takes linear time
 {
-  Vertex_handle va; // first vertex of list_edges 
+  Vertex_handle va; // first vertex of list_edges
   Face_handle newlf;
   Face_handle n1,n2,n;
   int ind1, ind2,ind;
   Orientation orient;
-    
+
   typename List_edges::iterator current, next, tempo;
   current=list_edges.begin();
 
   va=((*current).first)->vertex(ccw((*current).second));
-  next=current; 
+  next=current;
   ++next;
 
   do
@@ -1292,23 +1368,23 @@ triangulate_half_hole(List_edges & list_
       ind1=(*current).second;
       // in case n1 is no longer a triangle of the new triangulation
       if ( n1->neighbor(ind1) != Face_handle() ) {
-	n=n1->neighbor(ind1);
-	//ind=mirror_index(n1,ind1); 
-	// mirror_index does not work in this case
-	ind = cw(n->index(n1->vertex(cw(ind1))));
-	n1=n->neighbor(ind); 
-	ind1= mirror_index(n,ind);
+        n=n1->neighbor(ind1);
+        //ind=mirror_index(n1,ind1);
+        // mirror_index does not work in this case
+        ind = cw(n->index(n1->vertex(cw(ind1))));
+        n1=n->neighbor(ind);
+        ind1= mirror_index(n,ind);
       }
       n2=(*next).first;
       ind2=(*next).second;
       // in case n2 is no longer a triangle of the new triangulation
       if (n2->neighbor(ind2) != Face_handle() ) {
-	n=n2->neighbor(ind2); 
-	// ind=mirror_index(n2,ind2);
-	// mirror_index does not work in this case
-	ind = cw(n->index(n2->vertex(cw(ind2))));
-	n2=n->neighbor(ind); 
-	ind2= mirror_index(n,ind);
+        n=n2->neighbor(ind2);
+        // ind=mirror_index(n2,ind2);
+        // mirror_index does not work in this case
+        ind = cw(n->index(n2->vertex(cw(ind2))));
+        n2=n->neighbor(ind);
+        ind2= mirror_index(n,ind);
       }
 
       Vertex_handle v0=n1->vertex(ccw(ind1));
@@ -1316,41 +1392,41 @@ triangulate_half_hole(List_edges & list_
       Vertex_handle v2=n2->vertex(cw(ind2));
       orient = orientation(v0->point(),v1->point(),v2->point());
       switch (orient) {
-      case RIGHT_TURN : 	  		
-	// creates the new triangle v0v1v2
-	// updates the neighbors, the constraints 
-	//and the list of new edges
-	newlf = create_face(v0,v2,v1);
-	new_edges.push_back(Edge(newlf,2));
-	newlf->set_neighbor(1, n1);
-	newlf->set_neighbor(0, n2);
-	n1->set_neighbor(ind1, newlf);
-	n2->set_neighbor(ind2, newlf);
-	if (n1->is_constrained(ind1)) {
-	  newlf->set_constraint(1,true);
-	}
-	if (n2->is_constrained(ind2)) {
-	  newlf->set_constraint(0,true);
-	}
-	// v0, v1 or v2.face() may have been removed
-	v0->set_face(newlf); 
-	v1->set_face(newlf);
-	v2->set_face(newlf);
-	// update list_edges
-	tempo=current;
-	current=list_edges.insert(current, Edge(newlf,2));
-	list_edges.erase(tempo);
-	list_edges.erase(next);
-	next=current;
-	if (v0 != va) {--current;} 
-	else {++next;} 
-	break;
-      case LEFT_TURN : 	  
-	++current; ++next;
-	break;
-      case COLLINEAR : 
-	++current; ++next;
-	break;
+      case RIGHT_TURN :
+        // creates the new triangle v0v1v2
+        // updates the neighbors, the constraints
+        //and the list of new edges
+        newlf = create_face(v0,v2,v1);
+        new_edges.push_back(Edge(newlf,2));
+        newlf->set_neighbor(1, n1);
+        newlf->set_neighbor(0, n2);
+        n1->set_neighbor(ind1, newlf);
+        n2->set_neighbor(ind2, newlf);
+        if (n1->is_constrained(ind1)) {
+          newlf->set_constraint(1,true);
+        }
+        if (n2->is_constrained(ind2)) {
+          newlf->set_constraint(0,true);
+        }
+        // v0, v1 or v2.face() may have been removed
+        v0->set_face(newlf);
+        v1->set_face(newlf);
+        v2->set_face(newlf);
+        // update list_edges
+        tempo=current;
+        current=list_edges.insert(current, Edge(newlf,2));
+        list_edges.erase(tempo);
+        list_edges.erase(next);
+        next=current;
+        if (v0 != va) {--current;}
+        else {++next;}
+        break;
+      case LEFT_TURN :
+        ++current; ++next;
+        break;
+      case COLLINEAR :
+        ++current; ++next;
+        break;
       }
     } while (next != list_edges.end());
 }
@@ -1369,11 +1445,11 @@ file_output(std::ostream& os) const
       if (ib->is_constrained(j)) { os << "C";}
       else { os << "N";}
       if(is_ascii(os)){
-	if(j==2) {
-	  os << "\n";
-	} else {
-	  os <<  ' ';
-	}
+        if(j==2) {
+          os << "\n";
+        } else {
+          os <<  ' ';
+        }
       }
     }
   }
@@ -1381,8 +1457,8 @@ file_output(std::ostream& os) const
 
 template < class Gt, class Tds, class Itag >
 std::ostream &
-operator<<(std::ostream& os, 
-	   const Constrained_triangulation_2<Gt,Tds,Itag> &ct)
+operator<<(std::ostream& os,
+           const Constrained_triangulation_2<Gt,Tds,Itag> &ct)
 {
   ct.file_output(os);
   return os ;
@@ -1390,8 +1466,8 @@ operator<<(std::ostream& os,
 
 template < class Gt, class Tds, class Itag >
 std::istream &
-operator>>(std::istream& is, 
-	         Constrained_triangulation_2<Gt,Tds,Itag> &ct)
+operator>>(std::istream& is,
+                 Constrained_triangulation_2<Gt,Tds,Itag> &ct)
 {
   typedef Constrained_triangulation_2<Gt,Tds,Itag> CDT;
   ct.clear();
@@ -1403,7 +1479,7 @@ operator>>(std::istream& is,
     for (int k=0;k<3;++k){
       fit->set_constraint(k,c[k]=='C');
     }
-  }  
+  }
   return is;
 }
 
@@ -1411,25 +1487,25 @@ operator>>(std::istream& is,
 template<class Gt>
 bool
 intersection(const Gt& ,
-	     const typename Gt::Point_2& , 
-	     const typename Gt::Point_2& , 
-	     const typename Gt::Point_2& , 
-	     const typename Gt::Point_2& ,
-	     typename Gt::Point_2& ,
-	     No_intersection_tag)
+             const typename Gt::Point_2& ,
+             const typename Gt::Point_2& ,
+             const typename Gt::Point_2& ,
+             const typename Gt::Point_2& ,
+             typename Gt::Point_2& ,
+             No_intersection_tag)
 {
   return false;
 }
-	     
+
 template<class Gt>
 bool
 intersection(const Gt& gt,
-	     const typename Gt::Point_2& pa, 
-	     const typename Gt::Point_2& pb, 
-	     const typename Gt::Point_2& pc, 
-	     const typename Gt::Point_2& pd,
-	     typename Gt::Point_2& pi,
-	     Exact_intersections_tag)
+             const typename Gt::Point_2& pa,
+             const typename Gt::Point_2& pb,
+             const typename Gt::Point_2& pc,
+             const typename Gt::Point_2& pd,
+             typename Gt::Point_2& pi,
+             Exact_intersections_tag)
 {
   return compute_intersection(gt,pa,pb,pc,pd,pi);
 }
@@ -1438,13 +1514,13 @@ intersection(const Gt& gt,
 template<class Gt>
 inline bool
 intersection(const Gt& gt,
-	     const typename Gt::Point_2& pa, 
-	     const typename Gt::Point_2& pb, 
-	     const typename Gt::Point_2& pc, 
-	     const typename Gt::Point_2& pd,
-	     typename Gt::Point_2& pi,
-	     Exact_predicates_tag,
-	     CGAL::Tag_false /* not a FT is not floating-point */)
+             const typename Gt::Point_2& pa,
+             const typename Gt::Point_2& pb,
+             const typename Gt::Point_2& pc,
+             const typename Gt::Point_2& pd,
+             typename Gt::Point_2& pi,
+             Exact_predicates_tag,
+             CGAL::Tag_false /* not a FT is not floating-point */)
 {
   return compute_intersection(gt,pa,pb,pc,pd,pi);
 }
@@ -1452,19 +1528,20 @@ intersection(const Gt& gt,
 template<class Gt>
 inline bool
 intersection(const Gt& gt,
-	     const typename Gt::Point_2& pa,
-	     const typename Gt::Point_2& pb,
-	     const typename Gt::Point_2& pc,
-	     const typename Gt::Point_2& pd,
-	     typename Gt::Point_2& pi,
-	     Exact_predicates_tag,
-	     CGAL::Tag_true /* FT is a floating-point type */)
+             const typename Gt::Point_2& pa,
+             const typename Gt::Point_2& pb,
+             const typename Gt::Point_2& pc,
+             const typename Gt::Point_2& pd,
+             typename Gt::Point_2& pi,
+             Exact_predicates_tag,
+             CGAL::Tag_true /* FT is a floating-point type */)
 {
   const bool result = compute_intersection(gt,pa,pb,pc,pd,pi);
   if(!result) return result;
   if(pi == pa || pi == pb || pi == pc || pi == pd) {
 #ifdef CGAL_CDT_2_DEBUG_INTERSECTIONS
-    std::cerr << "  CT_2::intersection: intersection is an existing point "
+    std::cerr << CGAL::internal::cdt_2_indent_level
+              << "  CT_2::intersection: intersection is an existing point "
               << pi << std::endl;
 #endif
     return result;
@@ -1486,7 +1563,8 @@ intersection(const Gt& gt,
   if(do_overlap(bb, bbox(pd))) pi = pd;
 #ifdef CGAL_CDT_2_DEBUG_INTERSECTIONS
   if(pi == pa || pi == pb || pi == pc || pi == pd) {
-    std::cerr << "  CT_2::intersection: intersection SNAPPED to an existing point "
+    std::cerr << CGAL::internal::cdt_2_indent_level
+              << "  CT_2::intersection: intersection SNAPPED to an existing point "
               << pi << std::endl;
   }
 #endif
@@ -1496,12 +1574,12 @@ intersection(const Gt& gt,
 template<class Gt>
 inline bool
 intersection(const Gt& gt,
-	     const typename Gt::Point_2& pa,
-	     const typename Gt::Point_2& pb,
-	     const typename Gt::Point_2& pc,
-	     const typename Gt::Point_2& pd,
-	     typename Gt::Point_2& pi,
-	     Exact_predicates_tag exact_predicates_tag)
+             const typename Gt::Point_2& pa,
+             const typename Gt::Point_2& pb,
+             const typename Gt::Point_2& pc,
+             const typename Gt::Point_2& pd,
+             typename Gt::Point_2& pi,
+             Exact_predicates_tag exact_predicates_tag)
 {
   typedef typename Gt::FT FT;
   return intersection(gt,pa,pb,pc,pd,pi,
@@ -1513,17 +1591,28 @@ intersection(const Gt& gt,
 template<class Gt>
 bool
 compute_intersection(const Gt& gt,
-	     const typename Gt::Point_2& pa, 
-	     const typename Gt::Point_2& pb, 
-	     const typename Gt::Point_2& pc, 
-	     const typename Gt::Point_2& pd,
-	     typename Gt::Point_2& pi)
+             const typename Gt::Point_2& pa,
+             const typename Gt::Point_2& pb,
+             const typename Gt::Point_2& pc,
+             const typename Gt::Point_2& pd,
+             typename Gt::Point_2& pi)
 {
   typename Gt::Intersect_2 compute_intersec=gt.intersect_2_object();
-   typename Gt::Construct_segment_2  
+   typename Gt::Construct_segment_2
     construct_segment=gt.construct_segment_2_object();
   Object result = compute_intersec(construct_segment(pa,pb),
-				   construct_segment(pc,pd));
+                                   construct_segment(pc,pd));
+#ifdef CGAL_CDT_2_DEBUG_INTERSECTIONS
+  typename Gt::Segment_2 s;
+  if(assign(s, result)) {
+    std::cerr << CGAL::internal::cdt_2_indent_level
+              << "compute_intersection: " << s << '\n';
+  }
+  if(assign(pi, result)) {
+    std::cerr << CGAL::internal::cdt_2_indent_level
+              << "compute_intersection: " << pi << '\n';
+  }
+#endif // CGAL_CDT_2_DEBUG_INTERSECTIONS
   return assign(pi, result);
 }
 
@@ -1531,11 +1620,11 @@ compute_intersection(const Gt& gt,
 template<class Gt>
 int
 limit_intersection(const Gt& ,
-		   const typename Gt::Point_2& , 
-		   const typename Gt::Point_2& , 
-		   const typename Gt::Point_2& , 
-		   const typename Gt::Point_2& ,
-		   No_intersection_tag)
+                   const typename Gt::Point_2& ,
+                   const typename Gt::Point_2& ,
+                   const typename Gt::Point_2& ,
+                   const typename Gt::Point_2& ,
+                   No_intersection_tag)
 {
   return 0;
 }
@@ -1543,11 +1632,11 @@ limit_intersection(const Gt& ,
 template<class Gt>
 int
 limit_intersection(const Gt& ,
-		   const typename Gt::Point_2& , 
-		   const typename Gt::Point_2& , 
-		   const typename Gt::Point_2& , 
-		   const typename Gt::Point_2& ,
-		   Exact_intersections_tag)
+                   const typename Gt::Point_2& ,
+                   const typename Gt::Point_2& ,
+                   const typename Gt::Point_2& ,
+                   const typename Gt::Point_2& ,
+                   Exact_intersections_tag)
 {
   return 0;
 }
@@ -1555,14 +1644,14 @@ limit_intersection(const Gt& ,
 template<class Gt>
 int
 limit_intersection(const Gt& gt,
-	     const typename Gt::Point_2& pa, 
-	     const typename Gt::Point_2& pb, 
-	     const typename Gt::Point_2& pc, 
-	     const typename Gt::Point_2& pd,
-	     Exact_predicates_tag)
+             const typename Gt::Point_2& pa,
+             const typename Gt::Point_2& pb,
+             const typename Gt::Point_2& pc,
+             const typename Gt::Point_2& pd,
+             Exact_predicates_tag)
 {
   typename Gt::Construct_line_2 line = gt.construct_line_2_object();
-  typename Gt::Compute_squared_distance_2 
+  typename Gt::Compute_squared_distance_2
     distance = gt.compute_squared_distance_2_object();
   typename Gt::Line_2 l1 = line(pa,pb);
   typename Gt::Line_2 l2 = line(pc,pd);
diff -pruN 5.0.2-3/include/CGAL/Constrained_triangulation_face_base_2.h 5.0.3-1/include/CGAL/Constrained_triangulation_face_base_2.h
--- 5.0.2-3/include/CGAL/Constrained_triangulation_face_base_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Constrained_triangulation_face_base_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Constrained_triangulation_face_base_2.h $
-// $Id: Constrained_triangulation_face_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Constrained_triangulation_face_base_2.h $
+// $Id: Constrained_triangulation_face_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec
 
@@ -19,7 +19,7 @@
 #include <CGAL/triangulation_assertions.h>
 #include <CGAL/Triangulation_face_base_2.h>
 
-namespace CGAL { 
+namespace CGAL {
 
 template <class Gt, class Fb = Triangulation_face_base_2<Gt> >
 class Constrained_triangulation_face_base_2
@@ -42,7 +42,7 @@ public:
 
 protected:
   bool C[3];
- 
+
 public:
   Constrained_triangulation_face_base_2()
     : Base()
@@ -50,35 +50,35 @@ public:
     set_constraints(false,false,false);
   }
 
-  Constrained_triangulation_face_base_2(Vertex_handle v0, 
-					Vertex_handle v1, 
-					Vertex_handle v2)
+  Constrained_triangulation_face_base_2(Vertex_handle v0,
+                                        Vertex_handle v1,
+                                        Vertex_handle v2)
     : Base(v0,v1,v2)
   {
     set_constraints(false,false,false);
   }
 
-  Constrained_triangulation_face_base_2(Vertex_handle v0, 
-					Vertex_handle v1, 
-					Vertex_handle v2,
-					Face_handle n0, 
-					Face_handle n1, 
-					Face_handle n2)
+  Constrained_triangulation_face_base_2(Vertex_handle v0,
+                                        Vertex_handle v1,
+                                        Vertex_handle v2,
+                                        Face_handle n0,
+                                        Face_handle n1,
+                                        Face_handle n2)
     : Base(v0,v1,v2,n0,n1,n2)
   {
     set_constraints(false,false,false);
   }
 
 
-  Constrained_triangulation_face_base_2(Vertex_handle v0, 
-					Vertex_handle v1, 
-					Vertex_handle v2,
-					Face_handle n0, 
-					Face_handle n1, 
-					Face_handle n2,
-					bool c0, 
-					bool c1, 
-					bool c2 )
+  Constrained_triangulation_face_base_2(Vertex_handle v0,
+                                        Vertex_handle v1,
+                                        Vertex_handle v2,
+                                        Face_handle n0,
+                                        Face_handle n1,
+                                        Face_handle n2,
+                                        bool c0,
+                                        bool c1,
+                                        bool c2 )
     : Base(v0,v1,v2,n0,n1,n2)
   {
     set_constraints(c0,c1,c2);
@@ -91,7 +91,7 @@ public:
   void reorient();
   void ccw_permute();
   void cw_permute();
-  
+
 };
 
 template <class Gt, class Fb>
@@ -112,7 +112,7 @@ set_constraint(int i, bool b)
   CGAL_triangulation_precondition( i == 0 || i == 1 || i == 2);
   C[i] = b;
 }
-    
+
 template <class Gt, class Fb>
 inline bool
 Constrained_triangulation_face_base_2<Gt,Fb>::
@@ -147,7 +147,7 @@ cw_permute()
   Base::cw_permute();
   set_constraints(C[1],C[2],C[0]);
 }
-  
-} //namespace CGAL 
-  
+
+} //namespace CGAL
+
 #endif //CGAL_CONSTRAINED_TRIANGULATION_FACE_BASE_2_H
diff -pruN 5.0.2-3/include/CGAL/Constrained_triangulation_plus_2.h 5.0.3-1/include/CGAL/Constrained_triangulation_plus_2.h
--- 5.0.2-3/include/CGAL/Constrained_triangulation_plus_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Constrained_triangulation_plus_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Constrained_triangulation_plus_2.h $
-// $Id: Constrained_triangulation_plus_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Constrained_triangulation_plus_2.h $
+// $Id: Constrained_triangulation_plus_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Mariette Yvinec
 
@@ -55,25 +55,25 @@ public:
   }
 }; // end class template Pct2_vertex_handle_less_xy
 
-// Tr the base triangulation class 
+// Tr the base triangulation class
 // Tr has to be Constrained or Constrained_Delaunay with Constrained_triangulation_plus_vertex_base
 
 template < class Tr_ = Default >
-class Constrained_triangulation_plus_2  
-  : public  
-Default::Get< Tr_, Constrained_Delaunay_triangulation_2< 
+class Constrained_triangulation_plus_2
+  : public
+Default::Get< Tr_, Constrained_Delaunay_triangulation_2<
                       Exact_predicates_inexact_constructions_kernel
-                      , Triangulation_data_structure_2< 
+                      , Triangulation_data_structure_2<
                             Triangulation_vertex_base_2<Exact_predicates_inexact_constructions_kernel>
                           , Constrained_triangulation_face_base_2<Exact_predicates_inexact_constructions_kernel>
                           >
                       , CGAL::Exact_predicates_tag
                       > >::type
 {
-  typedef typename 
-  Default::Get< Tr_, Constrained_Delaunay_triangulation_2< 
+  typedef typename
+  Default::Get< Tr_, Constrained_Delaunay_triangulation_2<
                   Exact_predicates_inexact_constructions_kernel
-                  , Triangulation_data_structure_2< 
+                  , Triangulation_data_structure_2<
                         Triangulation_vertex_base_2<Exact_predicates_inexact_constructions_kernel>
                       , Constrained_triangulation_face_base_2<Exact_predicates_inexact_constructions_kernel>
                       >
@@ -87,7 +87,7 @@ Default::Get< Tr_, Constrained_Delaunay_
     typedef typename CDT::Vertex_handle Vertex_handle;
     typedef typename CDT::Face_handle Face_handle;
   private:
-    typedef boost::tuple<Vertex_handle, Vertex_handle, Vertex_handle> TFace; 
+    typedef boost::tuple<Vertex_handle, Vertex_handle, Vertex_handle> TFace;
     std::vector<TFace> faces;
     CDT& cdt;
 
@@ -109,8 +109,8 @@ Default::Get< Tr_, Constrained_Delaunay_
     void
     write_faces(OutputIterator out)
     {
-      for(typename std::vector<TFace>::reverse_iterator 
-            it = faces.rbegin(); it != faces.rend(); ++it) { 
+      for(typename std::vector<TFace>::reverse_iterator
+            it = faces.rbegin(); it != faces.rend(); ++it) {
         Face_handle fh;
         if(cdt.is_face(boost::get<0>(*it), boost::get<1>(*it), boost::get<2>(*it), fh)){
           *out++ = fh;
@@ -125,7 +125,7 @@ public:
   typedef Constrained_triangulation_plus_2<Tr_> Self;
   typedef Tr                                   Base;
 
-  
+
 #ifndef CGAL_CFG_USING_BASE_MEMBER_BUG_2
   using Triangulation::vertices_begin;
   using Triangulation::vertices_end;
@@ -168,29 +168,29 @@ public:
   typedef Tag_false                                Periodic_tag;
 
   // for user interface with the constraint hierarchy
-  typedef typename Constraint_hierarchy::Vertex_it 
+  typedef typename Constraint_hierarchy::Vertex_it
                                             Vertices_in_constraint_iterator;
 
   typedef Iterator_range<Vertices_in_constraint_iterator> Vertices_in_constraint;
-  
+
   typedef typename Constraint_hierarchy::Point_it
                                             Points_in_constraint_iterator;
   typedef Iterator_range<Points_in_constraint_iterator> Points_in_constraint;
-  
+
   typedef typename Constraint_hierarchy::Context          Context;
   typedef typename Constraint_hierarchy::Context_iterator Context_iterator;
   typedef Iterator_range<Context_iterator>                Contexts;
-  
+
   typedef typename Constraint_hierarchy::C_iterator   Constraint_iterator;
   typedef Iterator_range<Constraint_iterator> Constraints;
-  
+
   typedef typename Constraint_hierarchy::Subconstraint_iterator  Subconstraint_iterator;
   typedef Iterator_range<Subconstraint_iterator> Subconstraints;
-  
-  typedef typename Constraint_hierarchy::Constraint_id Constraint_id;   
-                                            
+
+  typedef typename Constraint_hierarchy::Constraint_id Constraint_id;
+
   typedef std::pair<Vertex_handle, Vertex_handle> Subconstraint;
-  
+
   using Triangulation::geom_traits;
   using Triangulation::cw;
   using Triangulation::ccw;
@@ -198,14 +198,14 @@ public:
 
 protected:
   Constraint_hierarchy hierarchy;
- 
+
 public:
   Constraint_hierarchy& hierarchy_ref()
   {
     return hierarchy;
   }
 
-  Constrained_triangulation_plus_2(const Geom_traits& gt=Geom_traits()) 
+  Constrained_triangulation_plus_2(const Geom_traits& gt=Geom_traits())
     : Triangulation(gt)
     , hierarchy(Vh_less_xy(this))
   { }
@@ -225,8 +225,8 @@ public:
 
   template<class InputIterator>
   Constrained_triangulation_plus_2(InputIterator first,
-				   InputIterator last,
-				   const Geom_traits& gt=Geom_traits() )
+                                   InputIterator last,
+                                   const Geom_traits& gt=Geom_traits() )
      : Triangulation(gt)
      , hierarchy(Vh_less_xy(this))
   {
@@ -236,7 +236,7 @@ public:
 
 
   Constrained_triangulation_plus_2(const std::list<std::pair<Point,Point> > &constraints,
-				   const Geom_traits& gt=Geom_traits() )
+                                   const Geom_traits& gt=Geom_traits() )
     : Triangulation(gt)
      , hierarchy(Vh_less_xy(this))
   {
@@ -249,12 +249,12 @@ public:
   void swap(Constrained_triangulation_plus_2 &ctp);
 
   // INSERTION
-  Vertex_handle insert(const Point& a, 
-		       Face_handle start = Face_handle() );
+  Vertex_handle insert(const Point& a,
+                       Face_handle start = Face_handle() );
   Vertex_handle insert(const Point& p,
-		       Locate_type lt,
-		       Face_handle loc, int li );
-  
+                       Locate_type lt,
+                       Face_handle loc, int li );
+
   Constraint_id insert_constraint(const Point& a, const Point& b)
   {
     Vertex_handle va= insert(a);
@@ -262,14 +262,14 @@ public:
     // close to point a
     // Otherwise, to start here is as good as elsewhere
     Vertex_handle vb = insert(b, va->face());
-    return insert_constraint(va, vb); 
+    return insert_constraint(va, vb);
   }
 
-  Constraint_id insert_constraint(const Constraint& c) 
+  Constraint_id insert_constraint(const Constraint& c)
   {
     return insert_constraint(c.first, c.second);
   }
-  
+
   Constraint_id insert_constraint(Vertex_handle va, Vertex_handle vb)
   {
     // protects against inserting a zero length constraint
@@ -278,7 +278,7 @@ public:
     }
     // protects against inserting twice the same constraint
     Constraint_id cid = hierarchy.insert_constraint_old_API(va, vb);
-    if (va != vb && (cid != Constraint_id(nullptr)) )  insert_subconstraint(va,vb); 
+    if (va != vb && (cid != Constraint_id(nullptr)) )  insert_subconstraint(va,vb);
 
     return cid;
   }
@@ -325,7 +325,7 @@ public:
   }
 
   // for backward compatibility
-  // not const Point&, because otherwise VC6/7 messes it up with 
+  // not const Point&, because otherwise VC6/7 messes it up with
   // the insert that takes an iterator range
   Constraint_id insert(Point a, Point b) { return insert_constraint(a, b); }
   Constraint_id insert(Vertex_handle va, Vertex_handle  vb) { return insert_constraint(va,vb); }
@@ -352,8 +352,8 @@ public:
 
 
   Vertices_in_constraint_iterator
-  insert_vertex_in_constraint(Constraint_id cid, Vertices_in_constraint_iterator pos, 
-			      Vertex_handle vh)
+  insert_vertex_in_constraint(Constraint_id cid, Vertices_in_constraint_iterator pos,
+                              Vertex_handle vh)
   {
     return insert_vertex_in_constraint(cid, pos, vh, Emptyset_iterator());
   }
@@ -367,8 +367,8 @@ public:
 
   template <class OutputIterator>
   Vertices_in_constraint_iterator
-  remove_vertex_from_constraint(Constraint_id cid, Vertices_in_constraint_iterator pos, 
-				OutputIterator out)
+  remove_vertex_from_constraint(Constraint_id cid, Vertices_in_constraint_iterator pos,
+                                OutputIterator out)
   {
     if(pos == vertices_in_constraint_begin(cid)){
       ++pos;
@@ -409,7 +409,7 @@ public:
       ++pos;
       tail = hierarchy.split(cid,pos);
     }
-  
+
     Constraint_id aux = insert_constraint(a, b, std::back_inserter(fc));
     pos = vertices_in_constraint_end(aux);
     --pos;
@@ -434,8 +434,8 @@ public:
   // Writes the modified faces to out
   template <class OutputIterator>
   Vertices_in_constraint_iterator
-  insert_vertex_in_constraint(Constraint_id cid, Vertices_in_constraint_iterator pos, 
-			      Vertex_handle vh, OutputIterator out)
+  insert_vertex_in_constraint(Constraint_id cid, Vertices_in_constraint_iterator pos,
+                              Vertex_handle vh, OutputIterator out)
   {
     // Insertion before the first vertex
     if(pos == vertices_in_constraint_begin(cid)){
@@ -443,7 +443,7 @@ public:
       Constraint_id head = insert_constraint(vh, *pos, out);
       hierarchy.concatenate2(head, cid);
       return vertices_in_constraint_begin(cid);
-    } 
+    }
 
     // Insertion after the last vertex
     if(pos == vertices_in_constraint_end(cid)){
@@ -456,7 +456,7 @@ public:
       return pos;
     }
     Vertex_handle b = *pos;
-    --pos;    
+    --pos;
     Vertex_handle a = *pos;
     ++pos;
     Face_container<Constrained_triangulation_plus_2> fc(*this);
@@ -465,7 +465,7 @@ public:
     vcit = beg;
     ++beg;
     // If the constraint consists only of a segment, and we want to insert
-    // in the middle 
+    // in the middle
     if((pos == vcit) && (beg == vertices_in_constraint_end(cid))){
       //std::cout << "insertion in constraint which is a segment" << std::endl;
       Constraint_id aux1 = insert_constraint(a, vh, std::back_inserter(fc));
@@ -476,7 +476,7 @@ public:
       remove_constraint(aux1, std::back_inserter(fc));
       fc.write_faces(out);
       return pos;
-      
+
     }
     Constraint_id head = 0, tail = 0;
     Vertices_in_constraint_iterator bit = vertices_in_constraint_begin(cid);
@@ -495,9 +495,9 @@ public:
     --eit;
     if(pos != eit){
       //std::cout << "split tail" << std::endl;
-      tail = split(cid, pos);    
+      tail = split(cid, pos);
     }
-    
+
     // make the new constraint
     Constraint_id aux1 = insert_constraint(a, vh, std::back_inserter(fc));
     Constraint_id aux2 = insert_constraint(vh, b, std::back_inserter(fc));
@@ -533,7 +533,7 @@ public:
       hint = vh->face();
       // no duplicates
       if(vertices.empty() || (vertices.back() != vh)){
-	vertices.push_back(vh);
+        vertices.push_back(vh);
       }
     }
     int n = vertices.size();
@@ -541,24 +541,24 @@ public:
       return nullptr;
     }
     Constraint_id ca = hierarchy.insert_constraint(vertices[0],vertices[1]);
-    insert_subconstraint(vertices[0],vertices[1], std::back_inserter(fc)); 
+    insert_subconstraint(vertices[0],vertices[1], std::back_inserter(fc));
 
     if(n>2){
       for(int j=1; j<n-1; j++){
-	hierarchy.append_constraint(ca, vertices[j], vertices[j+1]);
-	insert_subconstraint(vertices[j], vertices[j+1], std::back_inserter(fc));
+        hierarchy.append_constraint(ca, vertices[j], vertices[j+1]);
+        insert_subconstraint(vertices[j], vertices[j+1], std::back_inserter(fc));
       }
     }
     for(Vertices_in_constraint_iterator vcit = vertices_in_constraint_begin(ca);
-	vcit != vertices_in_constraint_end(ca);
-	vcit++){
+        vcit != vertices_in_constraint_end(ca);
+        vcit++){
       insert_incident_faces(vcit, out);
     }
     //AF    vertices_in_constraint_begin(ca)->fixed() = true;
     // Vertices_in_constraint_iterator end = boost::prior(vertices_in_constraint_end(ca));
     // end->fixed() = true;
     fc.write_faces(out);
-    
+
     return ca;
   }
 
@@ -574,7 +574,7 @@ private:
       hint = vh->face();
       // no duplicates
       if(vertices.empty() || (vertices.back() != vh)){
-	vertices.push_back(vh);
+        vertices.push_back(vh);
       }
     }
     if(is_polygon && (vertices.size()>1) && (vertices.front() != vertices.back())){
@@ -586,26 +586,26 @@ private:
       return nullptr;
     }
     CGAL_assertion(n >= 2);
-    
+
     Constraint_id ca = hierarchy.insert_constraint(vertices[0],vertices[1]);
-    insert_subconstraint(vertices[0],vertices[1]); 
+    insert_subconstraint(vertices[0],vertices[1]);
 
     if(n>2){
       for(std::size_t j=1; j<n-1; j++){
-	hierarchy.append_constraint(ca, vertices[j], vertices[j+1]);
-	insert_subconstraint(vertices[j], vertices[j+1]);
+        hierarchy.append_constraint(ca, vertices[j], vertices[j+1]);
+        insert_subconstraint(vertices[j], vertices[j+1]);
       }
     }
- 
+
     // fix first and last, one is redundant for is_polygon == true
     // vertices.front()->fixed() = true;
     // vertices.back()->fixed() = true;
 
     return ca;
   }
-  
+
 public:
-  
+
   void
   file_output(std::ostream& os) const
   {
@@ -630,9 +630,9 @@ public:
 
   void file_input(std::istream& is)
   {
-    
+
     is >> static_cast<Tr&>(*this);
-    
+
     std::vector<Vertex_handle> V;
     V.reserve(number_of_vertices());
     for(Vertex_iterator vit = vertices_begin(); vit != vertices_end() ; ++vit){
@@ -645,7 +645,7 @@ public:
     while(is >> n){
       is >> i0 >> i1;
       cid = insert_constraint(V[i0],V[i1]);
-    
+
       for(int i = 2; i < n; i++){
         i0 = i1;
         is >> i1;
@@ -655,7 +655,7 @@ public:
     }
   }
 
-  
+
   template <class OutputIterator>
   typename Constrained_triangulation_plus_2<Tr>::Constraint_id
   insert_constraint(Vertex_handle va, Vertex_handle vb, OutputIterator out)
@@ -666,51 +666,51 @@ public:
     }
     // protects against inserting twice the same constraint
     Constraint_id cid = hierarchy.insert_constraint(va, vb);
-    if (va != vb && (cid != nullptr) )  insert_subconstraint(va,vb,out); 
-  
+    if (va != vb && (cid != nullptr) )  insert_subconstraint(va,vb,out);
+
     for(Vertices_in_constraint_iterator vcit = vertices_in_constraint_begin(cid);
-	vcit != vertices_in_constraint_end(cid);
-	vcit++){
+        vcit != vertices_in_constraint_end(cid);
+        vcit++){
       insert_incident_faces(vcit, out);
     }
     return cid;
   }
 
-  virtual Vertex_handle intersect(Face_handle f, int i, 
-			  Vertex_handle vaa,
-			  Vertex_handle vbb);
-  Vertex_handle intersect(Face_handle f, int i, 
-			  Vertex_handle vaa,
-			  Vertex_handle vbb,
-			  No_intersection_tag);
-  Vertex_handle intersect(Face_handle f, int i, 
-			  Vertex_handle vaa,
-			  Vertex_handle vbb,
-			  Exact_intersections_tag);
-  Vertex_handle intersect(Face_handle f, int i, 
-			  Vertex_handle vaa,
-			  Vertex_handle vbb,
-			  Exact_predicates_tag);
- 
+  virtual Vertex_handle intersect(Face_handle f, int i,
+                          Vertex_handle vaa,
+                          Vertex_handle vbb);
+  Vertex_handle intersect(Face_handle f, int i,
+                          Vertex_handle vaa,
+                          Vertex_handle vbb,
+                          No_intersection_tag);
+  Vertex_handle intersect(Face_handle f, int i,
+                          Vertex_handle vaa,
+                          Vertex_handle vbb,
+                          Exact_intersections_tag);
+  Vertex_handle intersect(Face_handle f, int i,
+                          Vertex_handle vaa,
+                          Vertex_handle vbb,
+                          Exact_predicates_tag);
+
   // REMOVAL
 
   template <class OutputIterator>
   void remove_constraint(Constraint_id cid, OutputIterator out)
   {
     std::list<Vertex_handle> vertices(hierarchy.vertices_in_constraint_begin(cid),
-				      hierarchy.vertices_in_constraint_end(cid));
+                                      hierarchy.vertices_in_constraint_end(cid));
 
     hierarchy.remove_constraint(cid);
-    for(typename std::list<Vertex_handle>::iterator it = vertices.begin(), 
-	  succ = it; 
-	++succ != vertices.end(); 
-	++it){
+    for(typename std::list<Vertex_handle>::iterator it = vertices.begin(),
+          succ = it;
+        ++succ != vertices.end();
+        ++it){
       if(! is_subconstraint(*it, *succ)){ // this checks whether other constraints pass
-	Face_handle fh;
-	int i;
-	bool b = Triangulation::is_edge(*it, *succ, fh, i);
-	CGAL_assume(b);
-	Triangulation::remove_constrained_edge(fh,i, out); // this does also flipping if necessary.
+        Face_handle fh;
+        int i;
+        bool b = Triangulation::is_edge(*it, *succ, fh, i);
+        CGAL_assume(b);
+        Triangulation::remove_constrained_edge(fh,i, out); // this does also flipping if necessary.
       }
     }
   }
@@ -719,18 +719,18 @@ public:
     remove_constraint(cid, Emptyset_iterator());
   }
 
- 
+
   void simplify(Vertices_in_constraint_iterator v)
   {
     Vertices_in_constraint_iterator u = boost::prior(v);
     Vertices_in_constraint_iterator w = boost::next(v);
     bool unew = (*u != *w);
     hierarchy.simplify(u,v,w);
-    
+
     Triangulation::remove_incident_constraints(*v);
-  
+
     Triangulation::remove(*v);
-  
+
     if(unew){
       Triangulation::insert_constraint(*u, *w);
     }
@@ -754,10 +754,10 @@ public:
 
   // split a constraint in two constraints, so that vcit becomes the first
   // vertex of the new constraint
-  // returns the new constraint 
+  // returns the new constraint
   Constraint_id
   split(Constraint_id first, Vertices_in_constraint_iterator vcit);
-  
+
   // Query of the constraint hierarchy
   Constraint_iterator constraints_begin() const;
   Constraint_iterator constraints_end()   const;
@@ -765,7 +765,7 @@ public:
   {
     return Constraints(constraints_begin(),constraints_end());
   }
-  
+
   Subconstraint_iterator subconstraints_begin() const;
   Subconstraint_iterator subconstraints_end() const;
 
@@ -773,31 +773,31 @@ public:
   {
     return Subconstraints(subconstraints_begin(),subconstraints_end());
   }
-  
-  Context   context(Vertex_handle va, Vertex_handle vb); //AF: const; 
 
-  bool is_subconstraint(Vertex_handle va, 
-			Vertex_handle vb);
-  size_type number_of_enclosing_constraints(Vertex_handle va, 
+  Context   context(Vertex_handle va, Vertex_handle vb); //AF: const;
+
+  bool is_subconstraint(Vertex_handle va,
+                        Vertex_handle vb);
+  size_type number_of_enclosing_constraints(Vertex_handle va,
                                             Vertex_handle vb) const;
-  Context_iterator   contexts_begin(Vertex_handle va, 
-				    Vertex_handle vb) const;
-  Context_iterator   contexts_end(Vertex_handle va, 
-				  Vertex_handle vb) const;
+  Context_iterator   contexts_begin(Vertex_handle va,
+                                    Vertex_handle vb) const;
+  Context_iterator   contexts_end(Vertex_handle va,
+                                  Vertex_handle vb) const;
 
   Contexts contexts(Vertex_handle va, Vertex_handle vb) const
   {
     return Contexts(contexts_begin(va,vb),contexts_end(va,vb));
   }
-  
+
   Vertices_in_constraint_iterator vertices_in_constraint_begin(Constraint_id cid) const;
   Vertices_in_constraint_iterator vertices_in_constraint_end(Constraint_id cid) const;
-  
+
   Vertices_in_constraint vertices_in_constraint(Constraint_id cid) const
   {
     return Vertices_in_constraint(vertices_in_constraint_begin(cid), vertices_in_constraint_end(cid));
   }
-  
+
   Points_in_constraint_iterator points_in_constraint_begin(Constraint_id cid) const;
   Points_in_constraint_iterator points_in_constraint_end(Constraint_id cid) const ;
 
@@ -833,12 +833,12 @@ protected:
         fc++;
       }while(fc != done);
     }
-  }  
+  }
 
 
 void
 insert_subconstraint(Vertex_handle vaa,
-		     Vertex_handle vbb)
+                     Vertex_handle vbb)
   {
     insert_subconstraint(vaa,vbb,Emptyset_iterator());
   }
@@ -849,9 +849,9 @@ insert_subconstraint(Vertex_handle vaa,
 template <class OutputItertator>
 void
 insert_subconstraint(Vertex_handle vaa,
-		     Vertex_handle vbb,
-		     OutputItertator out)
-  // insert the subconstraint [vaa vbb] 
+                     Vertex_handle vbb,
+                     OutputItertator out)
+  // insert the subconstraint [vaa vbb]
   // it will eventually be splitted into several subconstraints
 {
   std::stack<std::pair<Vertex_handle, Vertex_handle> > stack;
@@ -861,7 +861,7 @@ insert_subconstraint(Vertex_handle vaa,
     boost::tie(vaa,vbb) = stack.top();
     stack.pop();
     CGAL_triangulation_precondition( vaa != vbb);
-  
+
     Vertex_handle vi;
 
     Face_handle fr;
@@ -874,11 +874,11 @@ insert_subconstraint(Vertex_handle vaa,
       }
       continue;
     }
-      
+
     List_faces intersected_faces;
     List_edges conflict_boundary_ab, conflict_boundary_ba;
-     
-    bool intersection  = this->find_intersected_faces( 
+
+    bool intersection  = this->find_intersected_faces(
                                                       vaa, vbb,
                                                       intersected_faces,
                                                       conflict_boundary_ab,
@@ -888,10 +888,10 @@ insert_subconstraint(Vertex_handle vaa,
     if ( intersection) {
       if (vi != vaa && vi != vbb) {
         hierarchy.split_constraint(vaa,vbb,vi);
-        stack.push(std::make_pair(vaa,vi)); 
-        stack.push(std::make_pair(vi,vbb)); 
+        stack.push(std::make_pair(vaa,vi));
+        stack.push(std::make_pair(vi,vbb));
       }
-      else stack.push(std::make_pair(vaa,vbb));  
+      else stack.push(std::make_pair(vaa,vbb));
 
       continue;
     }
@@ -932,7 +932,7 @@ insert_subconstraint(Vertex_handle vaa,
 
     if (vi != vbb) {
       hierarchy.split_constraint(vaa,vbb,vi);
-      stack.push(std::make_pair(vi,vbb)); 
+      stack.push(std::make_pair(vi,vbb));
     }
   }
 }
@@ -949,7 +949,7 @@ public:
 #if defined(_MSC_VER)
   std::ptrdiff_t insert(InputIterator first, InputIterator last, int i = 0)
 #else
-    std::ptrdiff_t insert(InputIterator first, InputIterator last) 
+    std::ptrdiff_t insert(InputIterator first, InputIterator last)
 #endif
   {
 #if defined(_MSC_VER)
@@ -978,7 +978,7 @@ copy_triangulation(const Constrained_tri
 {
   Base::copy_triangulation(ctp);
   //the following assumes that the triangulation and its copy
-  // iterate on their vertices in the same order 
+  // iterate on their vertices in the same order
   std::map<Vertex_handle,Vertex_handle> vmap;
   Vertex_iterator vit = ctp.vertices_begin();
   Vertex_iterator vvit = this->vertices_begin();
@@ -999,7 +999,7 @@ swap(Constrained_triangulation_plus_2 &c
 }
 
 template < class Tr >
-inline 
+inline
 typename Constrained_triangulation_plus_2<Tr>::Vertex_handle
 Constrained_triangulation_plus_2<Tr>::
 insert(const Point& a, Face_handle start)
@@ -1032,39 +1032,39 @@ insert(const Point& a, Locate_type lt, F
 }
 
 template <class Tr>
-typename Constrained_triangulation_plus_2<Tr>:: Vertex_handle 
+typename Constrained_triangulation_plus_2<Tr>:: Vertex_handle
 Constrained_triangulation_plus_2<Tr>::
-intersect(Face_handle f, int i, 
-	  Vertex_handle vaa,
-	  Vertex_handle vbb) 
+intersect(Face_handle f, int i,
+          Vertex_handle vaa,
+          Vertex_handle vbb)
 {
   return intersect(f, i, vaa, vbb, Intersection_tag());
 }
 
 template <class Tr>
-typename Constrained_triangulation_plus_2<Tr>:: Vertex_handle 
+typename Constrained_triangulation_plus_2<Tr>:: Vertex_handle
 Constrained_triangulation_plus_2<Tr>::
 
-intersect(Face_handle , int , 
-	  Vertex_handle ,
-	  Vertex_handle ,
-	  No_intersection_tag)
-{
-  std::cerr << " sorry, this triangulation does not deal with" 
-	    <<    std::endl
-	    << " intersecting constraints" << std::endl;
+intersect(Face_handle , int ,
+          Vertex_handle ,
+          Vertex_handle ,
+          No_intersection_tag)
+{
+  std::cerr << " sorry, this triangulation does not deal with"
+            <<    std::endl
+            << " intersecting constraints" << std::endl;
   CGAL_triangulation_assertion(false);
   return Vertex_handle();
 }
 
 template <class Tr>
-typename Constrained_triangulation_plus_2<Tr>:: Vertex_handle 
+typename Constrained_triangulation_plus_2<Tr>:: Vertex_handle
 Constrained_triangulation_plus_2<Tr>::
-intersect(Face_handle f, int i, 
-	  Vertex_handle vaa,
-	  Vertex_handle vbb,
-	  Exact_intersections_tag)
-// compute the intersection of the constraint edge (f,i) 
+intersect(Face_handle f, int i,
+          Vertex_handle vaa,
+          Vertex_handle vbb,
+          Exact_intersections_tag)
+// compute the intersection of the constraint edge (f,i)
 // with the subconstraint (vaa,vbb) being inserted
 // insert the intersection point
 // (the  constraint edge (f,i) will be split in hierarchy by insert)
@@ -1092,16 +1092,16 @@ intersect(Face_handle f, int i,
   CGAL_triangulation_assertion(ok);
 
   Vertex_handle vi = insert(pi, Triangulation::EDGE, f, i);
-  return vi; 
+  return vi;
 }
 
 template <class Tr>
-typename Constrained_triangulation_plus_2<Tr>::Vertex_handle 
+typename Constrained_triangulation_plus_2<Tr>::Vertex_handle
 Constrained_triangulation_plus_2<Tr>::
-intersect(Face_handle f, int i, 
-	  Vertex_handle vaa,
-	  Vertex_handle vbb,
-	  Exact_predicates_tag)
+intersect(Face_handle f, int i,
+          Vertex_handle vaa,
+          Vertex_handle vbb,
+          Exact_predicates_tag)
 {
   Vertex_handle  vcc, vdd;
   vcc = f->vertex(cw(i));
@@ -1123,7 +1123,7 @@ intersect(Face_handle f, int i,
     case 0 : vi = vaa; break;
     case 1 : vi = vbb; break;
     case 2 : vi = vcc; break;
-    case 3 : vi = vdd; break; 
+    case 3 : vi = vdd; break;
     }
     if(vi == vaa || vi == vbb) {
       Triangulation::remove_constrained_edge(f, i);
@@ -1136,15 +1136,15 @@ intersect(Face_handle f, int i,
 
   // vi == vc or vi == vd may happen even if intersection==true
   // due to approximate construction of the intersection
-  if (vi != vcc && vi != vdd) { 
+  if (vi != vcc && vi != vdd) {
     hierarchy.split_constraint(vcc,vdd,vi);
-    insert_subconstraint(vcc,vi); 
+    insert_subconstraint(vcc,vi);
     insert_subconstraint(vi, vdd);
-  } 
+  }
   else {
     insert_subconstraint(vcc,vdd);
   }
-  return vi; 
+  return vi;
 }
 
   // CONCATENATE AND SPLIT
@@ -1159,7 +1159,7 @@ Constrained_triangulation_plus_2<Tr>::co
 
   // split a constraint in two constraints, so that vcit becomes the first
   // vertex of the new constraint
-  // returns the new constraint 
+  // returns the new constraint
 template <class Tr>
 typename Constrained_triangulation_plus_2<Tr>::Constraint_id
 Constrained_triangulation_plus_2<Tr>::split(Constraint_id first, Vertices_in_constraint_iterator vcit)
@@ -1170,8 +1170,8 @@ Constrained_triangulation_plus_2<Tr>::sp
 
 template <class Tr>
 std::ostream &
-operator<<(std::ostream& os, 
-	   const Constrained_triangulation_plus_2<Tr> &ct)
+operator<<(std::ostream& os,
+           const Constrained_triangulation_plus_2<Tr> &ct)
 {
   ct.file_output(os);
   return os ;
@@ -1179,8 +1179,8 @@ operator<<(std::ostream& os,
 
 template <class Tr>
 std::istream &
-operator>>(std::istream& is, 
-	   Constrained_triangulation_plus_2<Tr> &ct)
+operator>>(std::istream& is,
+           Constrained_triangulation_plus_2<Tr> &ct)
 {
   ct.file_input(is);
   return is ;
@@ -1240,13 +1240,13 @@ context(Vertex_handle va, Vertex_handle
 
 
 template <class Tr>
-inline 
+inline
 typename Constrained_triangulation_plus_2<Tr>::size_type
 Constrained_triangulation_plus_2<Tr>::
 number_of_enclosing_constraints(Vertex_handle va, Vertex_handle vb) const
 {
- return static_cast<size_type> 
-   (hierarchy.number_of_enclosing_constraints(va,vb)); 
+ return static_cast<size_type>
+   (hierarchy.number_of_enclosing_constraints(va,vb));
 }
 
 template <class Tr>
@@ -1254,7 +1254,7 @@ inline bool
 Constrained_triangulation_plus_2<Tr>::
 is_subconstraint(Vertex_handle va, Vertex_handle vb)
 {
- return hierarchy.is_subconstrained_edge(va,vb); 
+ return hierarchy.is_subconstrained_edge(va,vb);
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Constrained_voronoi_diagram_2.h 5.0.3-1/include/CGAL/Constrained_voronoi_diagram_2.h
--- 5.0.2-3/include/CGAL/Constrained_voronoi_diagram_2.h	2020-02-21 20:03:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/Constrained_voronoi_diagram_2.h	2020-08-01 19:02:29.000000000 +0000
@@ -4,10 +4,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Constrained_voronoi_diagram_2.h $
-// $Id: Constrained_voronoi_diagram_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Constrained_voronoi_diagram_2.h $
+// $Id: Constrained_voronoi_diagram_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s) : Jane Tournois, Raul Gallegos, Pierre Alliez
 //
 
@@ -45,7 +45,7 @@ private:
   std::vector<Segment> m_segments;
   std::vector<Ray>     m_rays;
   bool m_is_valid;
-  
+
 public:
   Cvd_cell_2(Vertex_handle v)
     : m_vertex(v)
@@ -64,7 +64,7 @@ public:
   bool is_valid() const { return m_is_valid; }
   bool& is_valid()      { return m_is_valid; }
 
-  bool is_infinite() const 
+  bool is_infinite() const
   {
     return !m_rays.empty();
   }
@@ -155,7 +155,7 @@ public:
   typedef typename Cvd_cell::Construction_dispatcher Construction_dispatcher;
 
 public:
-  // typedefs for basic primitives 
+  // typedefs for basic primitives
   typedef typename Cdt::Geom_traits       Geom_traits;
   typedef typename Cdt::Intersection_tag Intersection_tag;
 
@@ -194,7 +194,7 @@ public:
 
 public:
   // blind = false IFF each face sees its circumcenter
-  void tag_all_faces_blind(const bool blind) 
+  void tag_all_faces_blind(const bool blind)
   {
     for(All_faces_iterator f = m_cdt.all_faces_begin();
          f != m_cdt.all_faces_end();
@@ -228,7 +228,7 @@ public:
 private:
   // test face for blindness with respect to the edge constraint
   void tag_face_blind(Face_handle& f, const Edge& constraint)
-  {  
+  {
     if(segment_hides_circumcenter(m_cdt.segment(constraint),
                                   m_cdt.triangle(f)))
     {
@@ -270,8 +270,8 @@ private:
     CGAL_assertion(m_cdt.is_constrained(constraint));
     Face_handle seed = constraint.first;
 
-    if(!m_cdt.is_infinite(seed) 
-       && !seed->is_blind() 
+    if(!m_cdt.is_infinite(seed)
+       && !seed->is_blind()
        && !m_cdt.triangle(seed).is_degenerate() )
        //to avoid flat triangles outside the domain
     {
@@ -299,7 +299,7 @@ private:
       Edge edge_i = Edge(f, i);
       if(!m_cdt.is_constrained(edge_i) &&
           !fi->is_blind() &&
-          !m_cdt.is_infinite(fi)) 
+          !m_cdt.is_infinite(fi))
         faces.push(fi);
     }
   }
@@ -312,7 +312,7 @@ public:
   Cvd_cell cvd_cell(Vertex_handle v) const
   {
     Cvd_cell cell(v);
-    
+
     typename Cvd_cell::Construction_dispatcher oit =
       CGAL::dispatch_output<typename Cvd_cell::Segment,
                             typename Cvd_cell::Ray>(
@@ -343,7 +343,7 @@ private:
   OutputIterator finite_cvd_cell(Vertex_handle v, OutputIterator oit) const
   {
     std::vector<Point> polygon;
-    
+
     CGAL_assertion(!m_cdt.is_infinite(v));
     Face_circulator face = m_cdt.incident_faces(v);
     Face_circulator end = face;
diff -pruN 5.0.2-3/include/CGAL/constructions/constructions_for_voronoi_intersection_cartesian_2_3.h 5.0.3-1/include/CGAL/constructions/constructions_for_voronoi_intersection_cartesian_2_3.h
--- 5.0.2-3/include/CGAL/constructions/constructions_for_voronoi_intersection_cartesian_2_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/constructions/constructions_for_voronoi_intersection_cartesian_2_3.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interpolation/include/CGAL/constructions/constructions_for_voronoi_intersection_cartesian_2_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interpolation/include/CGAL/constructions/constructions_for_voronoi_intersection_cartesian_2_3.h $
 // $Id: constructions_for_voronoi_intersection_cartesian_2_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/constructions/kernel_ftC2.h 5.0.3-1/include/CGAL/constructions/kernel_ftC2.h
--- 5.0.2-3/include/CGAL/constructions/kernel_ftC2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/constructions/kernel_ftC2.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/constructions/kernel_ftC2.h $
-// $Id: kernel_ftC2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/constructions/kernel_ftC2.h $
+// $Id: kernel_ftC2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr, Herve Bronnimann, Sylvain Pion
 
@@ -178,10 +178,10 @@ inline
 void
 line_from_pointsC2(const FT &px, const FT &py,
                    const FT &qx, const FT &qy,
-                   FT &a, FT &b, FT &c) 
+                   FT &a, FT &b, FT &c)
 {
   // The horizontal and vertical line get a special treatment
-  // in order to make the intersection code robust for doubles 
+  // in order to make the intersection code robust for doubles
   if(py == qy){
     a = 0 ;
     if(qx > px){
@@ -218,7 +218,7 @@ inline
 void
 line_from_point_directionC2(const FT &px, const FT &py,
                             const FT &dx, const FT &dy,
-                            FT &a, FT &b, FT &c) 
+                            FT &a, FT &b, FT &c)
 {
   a = - dy;
   b = dx;
@@ -229,8 +229,8 @@ template < class FT >
 CGAL_KERNEL_INLINE
 void
 bisector_of_pointsC2(const FT &px, const FT &py,
-		     const FT &qx, const FT &qy,
-		     FT &a, FT &b, FT& c )
+                     const FT &qx, const FT &qy,
+                     FT &a, FT &b, FT& c )
 {
   a = 2 * (px - qx);
   b = 2 * (py - qy);
@@ -242,8 +242,8 @@ template < class FT >
 CGAL_KERNEL_INLINE
 void
 bisector_of_linesC2(const FT &pa, const FT &pb, const FT &pc,
-		    const FT &qa, const FT &qb, const FT &qc,
-		    FT &a, FT &b, FT &c)
+                    const FT &qa, const FT &qb, const FT &qc,
+                    FT &a, FT &b, FT &c)
 {
   // We normalize the equations of the 2 lines, and we then add them.
   FT n1 = CGAL_NTS sqrt(CGAL_NTS square(pa) + CGAL_NTS square(pb));
@@ -268,7 +268,7 @@ line_y_at_xC2(const FT &a, const FT &b,
   return (-a*x-c) / b;
 }
 
-template < class FT > 
+template < class FT >
 inline
 void
 line_get_pointC2(const FT &a, const FT &b, const FT &c, const FT &i,
@@ -295,12 +295,12 @@ line_get_pointC2(const FT &a, const FT &
     }
 }
 
-template < class FT > 
+template < class FT >
 inline
 void
 perpendicular_through_pointC2(const FT &la, const FT &lb,
-		              const FT &px, const FT &py,
-			      FT &a, FT &b, FT &c)
+                              const FT &px, const FT &py,
+                              FT &a, FT &b, FT &c)
 {
   a = -lb;
   b = la;
@@ -311,8 +311,8 @@ template < class FT >
 CGAL_KERNEL_MEDIUM_INLINE
 void
 line_project_pointC2(const FT &la, const FT &lb, const FT &lc,
-		     const FT &px, const FT &py,
-		     FT &x, FT &y)
+                     const FT &px, const FT &py,
+                     FT &x, FT &y)
 {
   if (certainly(is_zero(la))) // horizontal line
   {
diff -pruN 5.0.2-3/include/CGAL/constructions/kernel_ftC3.h 5.0.3-1/include/CGAL/constructions/kernel_ftC3.h
--- 5.0.2-3/include/CGAL/constructions/kernel_ftC3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/constructions/kernel_ftC3.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,14 +3,14 @@
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/constructions/kernel_ftC3.h $
-// $Id: kernel_ftC3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/constructions/kernel_ftC3.h $
+// $Id: kernel_ftC3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann, Mariette Yvinec
 
@@ -201,11 +201,11 @@ squared_radiusC3(const FT &px, const FT
   FT rsz = psx*qsy-psy*qsx;
 
   FT num_x = ps2 * determinant(qsy,qsz,rsy,rsz)
-	   - qs2 * determinant(psy,psz,rsy,rsz);
+           - qs2 * determinant(psy,psz,rsy,rsz);
   FT num_y = ps2 * determinant(qsx,qsz,rsx,rsz)
-	   - qs2 * determinant(psx,psz,rsx,rsz);
+           - qs2 * determinant(psx,psz,rsx,rsz);
   FT num_z = ps2 * determinant(qsx,qsy,rsx,rsy)
-	   - qs2 * determinant(psx,psy,rsx,rsy);
+           - qs2 * determinant(psx,psy,rsx,rsy);
 
   FT den   = determinant(psx,psy,psz,
                                qsx,qsy,qsz,
@@ -217,13 +217,13 @@ squared_radiusC3(const FT &px, const FT
         + CGAL_NTS square(num_z)) / CGAL_NTS square(2 * den);
 }
 
-template <class FT> 
+template <class FT>
 CGAL_KERNEL_MEDIUM_INLINE
-void            
+void
 plane_from_pointsC3(const FT &px, const FT &py, const FT &pz,
                     const FT &qx, const FT &qy, const FT &qz,
                     const FT &rx, const FT &ry, const FT &rz,
-		    FT &pa, FT &pb, FT &pc, FT &pd)
+                    FT &pa, FT &pb, FT &pc, FT &pd)
 {
   FT rpx = px-rx;
   FT rpy = py-ry;
@@ -256,11 +256,11 @@ point_on_planeC3(const FT &pa, const FT
                  FT &x, FT &y, FT &z)
 {
   x = y = z = 0;
-  
+
   FT abs_pa = CGAL::abs(pa);
   FT abs_pb = CGAL::abs(pb);
   FT abs_pc = CGAL::abs(pc);
-  
+
   // to avoid badly defined point with an overly large coordinate when
   //  the plane is almost orthogonal to one axis, we use the largest
   //  scalar coordinate instead of always using the first non-null
@@ -300,7 +300,7 @@ squared_distanceC3( const FT &px, const
                     const FT &qx, const FT &qy, const FT &qz)
 {
   return CGAL_NTS square(px-qx) + CGAL_NTS square(py-qy) +
-	 CGAL_NTS square(pz-qz);
+         CGAL_NTS square(pz-qz);
 }
 
 template < class FT >
@@ -349,8 +349,8 @@ template < class FT >
 CGAL_KERNEL_INLINE
 void
 bisector_of_pointsC3(const FT &px, const FT &py, const FT &pz,
-		     const FT &qx, const FT &qy, const FT &qz,
-		     FT &a, FT &b, FT &c, FT &d)
+                     const FT &qx, const FT &qy, const FT &qz,
+                     FT &a, FT &b, FT &c, FT &d)
 {
   a = 2*(px - qx);
   b = 2*(py - qy);
@@ -362,8 +362,8 @@ bisector_of_pointsC3(const FT &px, const
 template < class FT >
 void
 bisector_of_planesC3(const FT &pa, const FT &pb, const FT &pc, const FT &pd,
-		     const FT &qa, const FT &qb, const FT &qc, const FT &qd,
-		     FT &a, FT &b, FT &c, FT &d)
+                     const FT &qa, const FT &qb, const FT &qc, const FT &qd,
+                     FT &a, FT &b, FT &c, FT &d)
 {
   // We normalize the equations of the 2 planes, and we then add them.
   FT n1 = CGAL_NTS sqrt(CGAL_NTS square(pa) + CGAL_NTS square(pb) +
@@ -387,8 +387,8 @@ bisector_of_planesC3(const FT &pa, const
 template < class FT >
 FT
 squared_areaC3(const FT &px, const FT &py, const FT &pz,
-	       const FT &qx, const FT &qy, const FT &qz,
-	       const FT &rx, const FT &ry, const FT &rz)
+               const FT &qx, const FT &qy, const FT &qz,
+               const FT &rx, const FT &ry, const FT &rz)
 {
     // Compute vectors pq and pr, then the cross product,
     // then 1/4 of its squared length.
diff -pruN 5.0.2-3/include/CGAL/constructions/Polygon_offset_cons_ftC2.h 5.0.3-1/include/CGAL/constructions/Polygon_offset_cons_ftC2.h
--- 5.0.2-3/include/CGAL/constructions/Polygon_offset_cons_ftC2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/constructions/Polygon_offset_cons_ftC2.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/constructions/Polygon_offset_cons_ftC2.h $
-// $Id: Polygon_offset_cons_ftC2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/constructions/Polygon_offset_cons_ftC2.h $
+// $Id: Polygon_offset_cons_ftC2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
 //
 #ifndef CGAL_POLYGON_OFFSET_CONS_FTC2_H
@@ -38,13 +38,13 @@ optional< Point_2<K> > construct_offset_
                                                 )
 {
   typedef typename K::FT FT ;
-  
+
   typedef Point_2<K>  Point_2 ;
   typedef Line_2<K>   Line_2 ;
-          
+
   typedef optional<Point_2> Optional_point_2 ;
   typedef optional<Line_2>  Optional_line_2 ;
-  
+
   FT x(0.0),y(0.0) ;
 
   CGAL_STSKEL_TRAITS_TRACE("Constructing offset point for t=" << t << " e0=" << s2str(e0) << " e1=" << s2str(e1) << " tri=" << tri ) ;
@@ -53,21 +53,21 @@ optional< Point_2<K> > construct_offset_
   Optional_line_2 l1 = compute_normalized_line_ceoffC2(e1) ;
 
   bool ok = false ;
-  
+
   if ( l0 && l1 )
   {
     FT den = l1->a() * l0->b() - l0->a() * l1->b() ;
-  
+
     if ( CGAL_NTS is_finite(den) )
     {
       if ( ! CGAL_NTS is_zero(den) )
       {
         FT numX = t * l1->b() - t * l0->b() + l0->b() * l1->c() - l1->b() * l0->c() ;
         FT numY = t * l1->a() - t * l0->a() + l0->a() * l1->c() - l1->a() * l0->c() ;
-          
+
         x = -numX / den ;
         y =  numY / den ;
-        
+
         ok = CGAL_NTS is_finite(x) && CGAL_NTS is_finite(y) ;
       }
       else
@@ -75,21 +75,21 @@ optional< Point_2<K> > construct_offset_
         CGAL_STSKEL_TRAITS_TRACE("  DEGENERATE case: Collinear segments involved. Seed event " << ( !tri ? " ABSENT" : " exists." ) ) ;
 
         Optional_point_2 q = tri ? construct_offset_lines_isecC2(tri) : compute_oriented_midpoint(e0,e1) ;
-        
+
         if ( q )
         {
           CGAL_STSKEL_TRAITS_TRACE("  Seed point: " << p2str(*q) ) ;
-           
+
           FT px, py ;
-          line_project_pointC2(l0->a(),l0->b(),l0->c(),q->x(),q->y(),px,py); 
-          
+          line_project_pointC2(l0->a(),l0->b(),l0->c(),q->x(),q->y(),px,py);
+
           CGAL_STSKEL_TRAITS_TRACE("  Projected seed point: (" << px << "," << py << ")" ) ;
 
           x = px + l0->a() * t  ;
           y = py + l0->b() * t  ;
-          
+
           ok = CGAL_NTS is_finite(x) && CGAL_NTS is_finite(y) ;
-        }    
+        }
       }
     }
   }
diff -pruN 5.0.2-3/include/CGAL/constructions/Straight_skeleton_cons_ftC2.h 5.0.3-1/include/CGAL/constructions/Straight_skeleton_cons_ftC2.h
--- 5.0.2-3/include/CGAL/constructions/Straight_skeleton_cons_ftC2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/constructions/Straight_skeleton_cons_ftC2.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/constructions/Straight_skeleton_cons_ftC2.h $
-// $Id: Straight_skeleton_cons_ftC2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/constructions/Straight_skeleton_cons_ftC2.h $
+// $Id: Straight_skeleton_cons_ftC2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -16,7 +16,7 @@
 
 #include <CGAL/predicates/Straight_skeleton_pred_ftC2.h>
 
-namespace CGAL { 
+namespace CGAL {
 
 namespace CGAL_SS_i
 {
@@ -26,7 +26,7 @@ Uncertain<Trisegment_collinearity> certi
                                                                      , Segment_2<K> const& e1
                                                                      , Segment_2<K> const& e2
                                                                      );
-#ifdef CGAL_USE_CORE  
+#ifdef CGAL_USE_CORE
 
 template<class NT>
 inline CORE::BigFloat to_BigFloat( NT const& n )
@@ -39,22 +39,22 @@ inline CORE::BigFloat to_BigFloat<MP_Flo
 {
   if (b.is_zero())
     return CORE::BigFloat::getZero();
-    
+
   typedef MP_Float::exponent_type exponent_type;
 
   const int                    log_limb         = 8 * sizeof(MP_Float::limb);
   const MP_Float::V::size_type limbs_per_double = 2 + 53/log_limb;
-    
+
   exponent_type exp = b.max_exp();
   int steps = static_cast<int>((std::min)(limbs_per_double, b.v.size()));
-  
+
   CORE::BigFloat d_exp_1 = CORE::BigFloat::exp2(-log_limb);
-  
+
   CORE::BigFloat d_exp   = CORE::BigFloat::getOne() ;
-  
+
   CORE::BigFloat d       = CORE::BigFloat::getZero();
 
-  for ( exponent_type i = exp - 1; i > exp - 1 - steps; i--) 
+  for ( exponent_type i = exp - 1; i > exp - 1 - steps; i--)
   {
     d_exp *= d_exp_1;
     d += d_exp * CORE::BigFloat(b.of_exp(i));
@@ -68,7 +68,7 @@ inline CORE::BigFloat to_BigFloat<MP_Flo
 
 
 
-template<class NT> 
+template<class NT>
 inline NT inexact_sqrt_implementation( NT const& n, CGAL::Null_functor /*no_sqrt*/ )
 {
 
@@ -77,20 +77,20 @@ inline NT inexact_sqrt_implementation( N
   CORE::BigFloat nn = to_BigFloat(n) ;
   CORE::BigFloat s  = CORE::sqrt(nn);
   return NT(s.doubleValue());
-  
+
 #else
 
   double nn = CGAL::to_double(n) ;
-  
+
   if ( !CGAL_NTS is_valid(nn) || ! CGAL_NTS is_finite(nn) )
     nn = std::numeric_limits<double>::max BOOST_PREVENT_MACRO_SUBSTITUTION () ;
-    
+
   CGAL_precondition(nn > 0);
-  
+
   double s = CGAL_NTS sqrt(nn);
-  
+
   return NT(s);
-  
+
 #endif
 }
 
@@ -104,7 +104,7 @@ template<class NT>
 inline NT inexact_sqrt( NT const& n )
 {
   typedef CGAL::Algebraic_structure_traits<NT> AST;
-  typedef typename AST::Sqrt Sqrt; 
+  typedef typename AST::Sqrt Sqrt;
   return inexact_sqrt_implementation(n,Sqrt());
 }
 
@@ -123,9 +123,9 @@ template<class K>
 optional< Line_2<K> > compute_normalized_line_ceoffC2( Segment_2<K> const& e )
 {
   bool finite = true ;
-  
+
   typedef typename K::FT FT ;
-  
+
   FT a (0.0),b (0.0) ,c(0.0)  ;
 
   if(e.source().y() == e.target().y())
@@ -147,8 +147,8 @@ optional< Line_2<K> > compute_normalized
       c = e.source().y();
     }
 
-    CGAL_STSKEL_TRAITS_TRACE("Line coefficients for HORIZONTAL line:\n" 
-                            << s2str(e) 
+    CGAL_STSKEL_TRAITS_TRACE("Line coefficients for HORIZONTAL line:\n"
+                            << s2str(e)
                             << "\na="<< n2str(a) << ", b=" << n2str(b) << ", c=" << n2str(c)
                            ) ;
   }
@@ -172,7 +172,7 @@ optional< Line_2<K> > compute_normalized
     }
 
     CGAL_STSKEL_TRAITS_TRACE("Line coefficients for VERTICAL line:\n"
-                            << s2str(e) 
+                            << s2str(e)
                             << "\na="<< n2str(a) << ", b=" << n2str(b) << ", c=" << n2str(c)
                            ) ;
   }
@@ -185,24 +185,24 @@ optional< Line_2<K> > compute_normalized
     if ( CGAL_NTS is_finite(l2) )
     {
       FT l = CGAL_SS_i :: inexact_sqrt(l2);
-  
+
       a = sa / l ;
       b = sb / l ;
-  
+
       c = -e.source().x()*a - e.source().y()*b;
-      
+
       CGAL_STSKEL_TRAITS_TRACE("Line coefficients for line:\n"
-                               << s2str(e) 
+                               << s2str(e)
                                << "\nsa="<< n2str(sa) << "\nsb=" << n2str(sb) << "\nl2=" << n2str(l2) << "\nl=" << n2str(l)
                                << "\na="<< n2str(a) << "\nb=" << n2str(b) << "\nc=" << n2str(c)
                                ) ;
     }
     else finite = false ;
-    
+
   }
-  
+
   if ( finite )
-    if ( !CGAL_NTS is_finite(a) || !CGAL_NTS is_finite(b) || !CGAL_NTS is_finite(c) ) 
+    if ( !CGAL_NTS is_finite(a) || !CGAL_NTS is_finite(b) || !CGAL_NTS is_finite(c) )
       finite = false ;
 
   return cgal_make_optional( finite, K().construct_line_2_object()(a,b,c) ) ;
@@ -215,10 +215,10 @@ Rational<FT> squared_distance_from_point
   FT ldy = ty - sy ;
   FT rdx = sx - px ;
   FT rdy = sy - py ;
-  
+
   FT n = CGAL_NTS square(ldx * rdy - rdx * ldy);
   FT d = CGAL_NTS square(ldx) + CGAL_NTS square(ldy);
-  
+
   return Rational<FT>(n,d) ;
 }
 
@@ -235,15 +235,15 @@ intrusive_ptr< Trisegment_2<K> > constru
 {
   typedef Trisegment_2<K>                 Trisegment_2 ;
   typedef typename Trisegment_2::Self_ptr Trisegment_2_ptr ;
-  
+
   Uncertain<Trisegment_collinearity> lCollinearity = certified_trisegment_collinearity(e0,e1,e2);
-  
-  if (is_certain(lCollinearity) ) 
+
+  if (is_certain(lCollinearity) )
        return Trisegment_2_ptr( new Trisegment_2(e0, e1, e2, lCollinearity) ) ;
   else return Trisegment_2_ptr();
 }
 
-// Given 3 oriented straight line segments: e0, e1, e2 
+// Given 3 oriented straight line segments: e0, e1, e2
 // returns the OFFSET DISTANCE (n/d) at which the offsetted lines
 // intersect at a single point, IFF such intersection exist.
 // If the lines intersect to the left, the returned distance is positive.
@@ -264,15 +264,15 @@ template<class K>
 optional< Rational< typename K::FT> > compute_normal_offset_lines_isec_timeC2 ( intrusive_ptr< Trisegment_2<K> > const& tri )
 {
   typedef typename K::FT  FT ;
-  
+
   typedef Line_2<K> Line_2 ;
-  
+
   typedef optional<Line_2> Optional_line_2 ;
-  
+
   CGAL_STSKEL_TRAITS_TRACE("Computing normal offset lines isec time for: " << tri ) ;
-  
+
   FT num(0.0), den(0.0) ;
-  
+
   // DETAILS:
   //
   // An offset line is given by:
@@ -289,7 +289,7 @@ optional< Rational< typename K::FT> > co
   //             -a2*b1 + a2*b0 + b2*a1 - b2*a0 + b1*a0 - b0*a1 ;
 
   bool ok = false ;
-  
+
   Optional_line_2 l0 = compute_normalized_line_ceoffC2(tri->e0()) ;
   Optional_line_2 l1 = compute_normalized_line_ceoffC2(tri->e1()) ;
   Optional_line_2 l2 = compute_normalized_line_ceoffC2(tri->e2()) ;
@@ -302,17 +302,17 @@ optional< Rational< typename K::FT> > co
          +(l2->b()*l1->a()*l0->c())
          +(l1->b()*l0->a()*l2->c())
          -(l0->b()*l1->a()*l2->c());
-      
+
     den = (-l2->a()*l1->b())
          +( l2->a()*l0->b())
          +( l2->b()*l1->a())
          -( l2->b()*l0->a())
          +( l1->b()*l0->a())
          -( l0->b()*l1->a());
-         
-    ok = CGAL_NTS is_finite(num) && CGAL_NTS is_finite(den);     
+
+    ok = CGAL_NTS is_finite(num) && CGAL_NTS is_finite(den);
   }
-  
+
   CGAL_STSKEL_TRAITS_TRACE("Event time (normal): n=" << num << " d=" << den << " n/d=" << Rational<FT>(num,den)  )
 
   return cgal_make_optional(ok,Rational<FT>(num,den)) ;
@@ -328,37 +328,37 @@ template<class K>
 optional< Point_2<K> > compute_oriented_midpoint ( Segment_2<K> const& e0, Segment_2<K> const& e1 )
 {
   bool ok = false ;
-  
+
   typedef typename K::FT FT ;
-  
+
   FT delta01 = CGAL::squared_distance(e0.target(),e1.source());
   FT delta10 = CGAL::squared_distance(e1.target(),e0.source());
-  
+
   Point_2<K> mp ;
-   
+
   if ( CGAL_NTS is_finite(delta01) &&  CGAL_NTS is_finite(delta10) )
   {
     if ( delta01 <= delta10 )
          mp = CGAL::midpoint(e0.target(),e1.source());
     else mp = CGAL::midpoint(e1.target(),e0.source());
-    
+
     CGAL_STSKEL_TRAITS_TRACE("Computing oriented midpoint between:"
                              << "\ne0: " << s2str(e0)
                              << "\ne1: " << s2str(e1)
                              << "\nmp=" << p2str(mp)
                             );
-                            
+
     ok = CGAL_NTS is_finite(mp.x()) && CGAL_NTS is_finite(mp.y());
   }
-  
+
   return cgal_make_optional(ok,mp);
 }
 
 
 //
 // Given 3 oriented straight line segments: e0, e1, e2 and the corresponding offseted segments: e0*, e1* and e2*,
-// returns the point of the left or right seed (offset vertex) (e0*,e1*) or (e1*,e2*) 
-// 
+// returns the point of the left or right seed (offset vertex) (e0*,e1*) or (e1*,e2*)
+//
 // If the current event (defined by e0,e1,e2) is a propagated event, that is, it follows from a previous event,
 // the seeds are skeleten nodes and are given by non-null trisegments.
 // If the current event is an initial event the seeds are contour vertices and are given by null trisegmets.
@@ -388,29 +388,29 @@ optional< Point_2<K> > compute_seed_poin
   optional< Point_2<K> > p ;
 
   typedef Trisegment_2<K> Trisegment_2 ;
-    
+
   switch ( sid )
   {
     case Trisegment_2::LEFT :
-         
+
        p = tri->child_l() ? construct_offset_lines_isecC2(tri->child_l())  // this can recurse
                           : compute_oriented_midpoint(tri->e0(),tri->e1()) ;
-       break ;                     
-             
-    case Trisegment_2::RIGHT : 
-    
+       break ;
+
+    case Trisegment_2::RIGHT :
+
       p = tri->child_r() ? construct_offset_lines_isecC2(tri->child_r()) // this can recurse
                          : compute_oriented_midpoint(tri->e1(),tri->e2()) ;
-      break ;        
-             
-    case Trisegment_2::UNKNOWN : 
-    
+      break ;
+
+    case Trisegment_2::UNKNOWN :
+
       p = compute_oriented_midpoint(tri->e0(),tri->e2());
-      
+
       break ;
   }
-  
-  return p ;  
+
+  return p ;
 }
 
 //
@@ -423,7 +423,7 @@ optional< Point_2<K> > compute_degenerat
   return compute_seed_pointC2( tri, tri->degenerate_seed_id() ) ;
 }
 
-// Given 3 oriented straight line segments: e0, e1, e2 
+// Given 3 oriented straight line segments: e0, e1, e2
 // such that two and only two of these edges are collinear, not neccesarily consecutive but with the same orientaton;
 // returns the OFFSET DISTANCE (n/d) at which a line perpendicular to the collinear edge passing through
 // the degenerate seed point intersects the offset line of the non collinear edge
@@ -437,15 +437,15 @@ template<class K>
 optional< Rational< typename K::FT> > compute_degenerate_offset_lines_isec_timeC2 ( intrusive_ptr< Trisegment_2<K> > const& tri )
 {
   typedef typename K::FT FT ;
-  
+
   typedef Point_2<K> Point_2 ;
   typedef Line_2 <K> Line_2 ;
-  
+
   typedef optional<Point_2> Optional_point_2 ;
   typedef optional<Line_2>  Optional_line_2 ;
-  
+
   CGAL_STSKEL_TRAITS_TRACE("Computing degenerate offset lines isec time for: " << tri ) ;
-  
+
   // DETAILS:
   //
   // For simplicity, assume e0,e1 are the collinear edges.
@@ -487,34 +487,34 @@ optional< Rational< typename K::FT> > co
   Optional_line_2 l2 = compute_normalized_line_ceoffC2(tri->non_collinear_edge()) ;
 
   Optional_point_2 q = compute_degenerate_seed_pointC2(tri);
-  
+
   FT num(0.0), den(0.0) ;
 
   if ( l0 && l2 && q )
   {
     FT px, py ;
-    line_project_pointC2(l0->a(),l0->b(),l0->c(),q->x(),q->y(),px,py); 
-    
+    line_project_pointC2(l0->a(),l0->b(),l0->c(),q->x(),q->y(),px,py);
+
     CGAL_STSKEL_TRAITS_TRACE("Seed point: " << p2str(*q) << ".\nProjected seed point: (" << n2str(px) << "," << n2str(py) << ")" ) ;
-    
+
     if ( ! CGAL_NTS is_zero(l0->b()) ) // Non-vertical
     {
       num = (l2->a() * l0->b() - l0->a() * l2->b() ) * px + l0->b() * l2->c() - l2->b() * l0->c() ;
       den = (l0->a() * l0->a() - 1) * l2->b() + ( 1 - l2->a() * l0->a() ) * l0->b() ;
-      
+
       CGAL_STSKEL_TRAITS_TRACE("Event time (degenerate, non-vertical) n=" << n2str(num) << " d=" << n2str(den) << " n/d=" << Rational<FT>(num,den) )
     }
     else
     {
       num = (l2->a() * l0->b() - l0->a() * l2->b() ) * py - l0->a() * l2->c() + l2->a() * l0->c() ;
       den = l0->a() * l0->b() * l2->b() - l0->b() * l0->b() * l2->a() + l2->a() - l0->a() ;
-      
+
       CGAL_STSKEL_TRAITS_TRACE("Event time (degenerate, vertical) n=" << n2str(num) << " d=" << n2str(den) << " n/d=" << Rational<FT>(num,den) )
     }
-    
-    ok = CGAL_NTS is_finite(num) && CGAL_NTS is_finite(den);     
+
+    ok = CGAL_NTS is_finite(num) && CGAL_NTS is_finite(den);
   }
-  
+
 
   return cgal_make_optional(ok,Rational<FT>(num,den)) ;
 }
@@ -526,14 +526,14 @@ template<class K>
 optional< Rational< typename K::FT > > compute_offset_lines_isec_timeC2 ( intrusive_ptr< Trisegment_2<K> > const& tri )
 {
   CGAL_precondition ( tri->collinearity() != TRISEGMENT_COLLINEARITY_ALL ) ;
- 
+
   return tri->collinearity() == TRISEGMENT_COLLINEARITY_NONE ? compute_normal_offset_lines_isec_timeC2    (tri)
                                                              : compute_degenerate_offset_lines_isec_timeC2(tri);
 }
 
 
-// Given 3 oriented line segments e0, e1 and e2 
-// such that their offsets at a certian distance intersect in a single point, 
+// Given 3 oriented line segments e0, e1 and e2
+// such that their offsets at a certian distance intersect in a single point,
 // returns the coordinates (x,y) of such a point.
 //
 // PRECONDITIONS:
@@ -547,52 +547,52 @@ template<class K>
 optional< Point_2<K> > construct_normal_offset_lines_isecC2 ( intrusive_ptr< Trisegment_2<K> > const& tri )
 {
   typedef typename K::FT  FT ;
-  
+
   typedef Line_2<K>  Line_2 ;
-  
+
   typedef optional<Line_2>  Optional_line_2 ;
-  
+
   CGAL_STSKEL_TRAITS_TRACE("Computing normal offset lines isec point for: " << tri ) ;
-  
+
   FT x(0.0),y(0.0) ;
-  
+
   Optional_line_2 l0 = compute_normalized_line_ceoffC2(tri->e0()) ;
   Optional_line_2 l1 = compute_normalized_line_ceoffC2(tri->e1()) ;
   Optional_line_2 l2 = compute_normalized_line_ceoffC2(tri->e2()) ;
 
   bool ok = false ;
-  
+
   if ( l0 && l1 && l2 )
   {
     FT den = l0->a()*l2->b() - l0->a()*l1->b() - l1->a()*l2->b() + l2->a()*l1->b() + l0->b()*l1->a() - l0->b()*l2->a();
-  
+
     CGAL_STSKEL_TRAITS_TRACE("den=" << n2str(den) )
-  
-    if ( ! CGAL_NTS certified_is_zero(den) ) 
+
+    if ( ! CGAL_NTS certified_is_zero(den) )
     {
       FT numX = l0->b()*l2->c() - l0->b()*l1->c() - l1->b()*l2->c() + l2->b()*l1->c() + l1->b()*l0->c() - l2->b()*l0->c();
       FT numY = l0->a()*l2->c() - l0->a()*l1->c() - l1->a()*l2->c() + l2->a()*l1->c() + l1->a()*l0->c() - l2->a()*l0->c();
-    
+
       if ( CGAL_NTS is_finite(den) && CGAL_NTS is_finite(numX) && CGAL_NTS is_finite(numY)  )
       {
         ok = true ;
-        
+
         x =  numX / den ;
         y = -numY / den ;
-        
+
        CGAL_STSKEL_TRAITS_TRACE("numX=" << n2str(numX) << "\nnumY=" << n2str(numY)
                                << "\nx=" << n2str(x) << "\ny=" << n2str(y)
                                )
       }
     }
   }
-    
-    
+
+
   return cgal_make_optional(ok,K().construct_point_2_object()(x,y)) ;
 }
 
 // Given 3 oriented line segments e0, e1 and e2
-// such that their offsets at a certian distance intersect in a single point, 
+// such that their offsets at a certian distance intersect in a single point,
 // returns the coordinates (x,y) of such a point.
 // two and only two of the edges are collinear, not neccesarily consecutive but with the same orientaton
 //
@@ -606,33 +606,33 @@ template<class K>
 optional< Point_2<K> > construct_degenerate_offset_lines_isecC2 ( intrusive_ptr< Trisegment_2<K> > const& tri )
 {
   typedef typename K::FT FT ;
-  
+
   typedef Point_2<K> Point_2 ;
   typedef Line_2<K>  Line_2 ;
-  
+
   typedef optional<Point_2> Optional_point_2 ;
   typedef optional<Line_2>  Optional_line_2 ;
-  
+
   CGAL_STSKEL_TRAITS_TRACE("Computing degenerate offset lines isec point for: " << tri )  ;
-  
+
   FT x(0.0),y(0.0) ;
 
   Optional_line_2 l0 = compute_normalized_line_ceoffC2(tri->collinear_edge    ()) ;
   Optional_line_2 l2 = compute_normalized_line_ceoffC2(tri->non_collinear_edge()) ;
-  
+
   Optional_point_2 q = compute_degenerate_seed_pointC2(tri);
 
   bool ok = false ;
-  
+
   if ( l0 && l2 && q )
   {
     FT num, den ;
-    
+
     FT px, py ;
-    line_project_pointC2(l0->a(),l0->b(),l0->c(),q->x(),q->y(),px,py); 
-    
+    line_project_pointC2(l0->a(),l0->b(),l0->c(),q->x(),q->y(),px,py);
+
     CGAL_STSKEL_TRAITS_TRACE("Seed point: " << p2str(*q) << ". Projected seed point: (" << n2str(px) << "," << n2str(py) << ")" ) ;
-    
+
     if ( ! CGAL_NTS is_zero(l0->b()) ) // Non-vertical
     {
       num = (l2->a() * l0->b() - l0->a() * l2->b() ) * px + l0->b() * l2->c() - l2->b() * l0->c() ;
@@ -643,16 +643,16 @@ optional< Point_2<K> > construct_degener
       num = (l2->a() * l0->b() - l0->a() * l2->b() ) * py - l0->a() * l2->c() + l2->a() * l0->c() ;
       den = l0->a() * l0->b() * l2->b() - l0->b() * l0->b() * l2->a() + l2->a() - l0->a() ;
     }
-  
+
     if ( ! CGAL_NTS certified_is_zero(den) && CGAL_NTS is_finite(den) && CGAL_NTS is_finite(num) )
     {
       x = px + l0->a() * num / den  ;
       y = py + l0->b() * num / den  ;
-      
+
       ok = CGAL_NTS is_finite(x) && CGAL_NTS is_finite(y) ;
     }
   }
-  
+
 
   CGAL_STSKEL_TRAITS_TRACE("\nDegenerate " << (CGAL_NTS is_zero(l0->b()) ? "(vertical)" : "") << " event point:  x=" << n2str(x) << " y=" << n2str(y) )
 
@@ -666,7 +666,7 @@ template<class K>
 optional< Point_2<K> > construct_offset_lines_isecC2 ( intrusive_ptr< Trisegment_2<K> > const& tri )
 {
   CGAL_precondition ( tri->collinearity() != TRISEGMENT_COLLINEARITY_ALL ) ;
-  
+
   return tri->collinearity() == TRISEGMENT_COLLINEARITY_NONE ? construct_normal_offset_lines_isecC2    (tri)
                                                              : construct_degenerate_offset_lines_isecC2(tri) ;
 }
diff -pruN 5.0.2-3/include/CGAL/constructions_d.h 5.0.3-1/include/CGAL/constructions_d.h
--- 5.0.2-3/include/CGAL/constructions_d.h	2020-02-21 20:03:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/constructions_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/constructions_d.h $
-// $Id: constructions_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/constructions_d.h $
+// $Id: constructions_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
@@ -28,16 +28,16 @@ namespace CGAL {
 
 template <class R>
 Point_d<R> lift_to_paraboloid(const Point_d<R>& p)
-/*{\Mfunc returns $p = (x_0,\ldots,x_{d-1})$ lifted to the paraboloid 
+/*{\Mfunc returns $p = (x_0,\ldots,x_{d-1})$ lifted to the paraboloid
 of revolution . }*/
-{ typename R::Lift_to_paraboloid_d lift; 
+{ typename R::Lift_to_paraboloid_d lift;
   return lift(p); }
 
 template <class R>
 Point_d<R> project_along_d_axis(const Point_d<R>& p)
 /*{\Mfunc returns |p| projected along the $d$-axis onto the hyperspace
 spanned by the first $d-1$ standard base vectors.}*/
-{ typename R::Project_along_d_axis_d proj; 
+{ typename R::Project_along_d_axis_d proj;
   return proj(p); }
 
 template <class R>
@@ -58,16 +58,16 @@ squared_distance(const Point_d<R>& p, co
 template <class ForwardIterator, class OutputIterator>
 OutputIterator linear_base(
   ForwardIterator first, ForwardIterator last, OutputIterator result)
-/*{\Mfunc computes a basis of the linear space spanned by the vectors 
+/*{\Mfunc computes a basis of the linear space spanned by the vectors
 in |set [first,last)| and returns it via an iterator range starting
 in |result|. The returned iterator marks the end of the output.
-\precond value type of |ForwardIterator| and |OutputIterator| is 
+\precond value type of |ForwardIterator| and |OutputIterator| is
 |Vector_d<R>|.}*/
 { typedef typename std::iterator_traits<ForwardIterator>::
     value_type value_type;
   typedef typename value_type::R R;
-  typename R::Linear_base_d base; 
-  return base(first,last,result); 
+  typename R::Linear_base_d base;
+  return base(first,last,result);
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Construct_theta_graph_2.h 5.0.3-1/include/CGAL/Construct_theta_graph_2.h
--- 5.0.2-3/include/CGAL/Construct_theta_graph_2.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Construct_theta_graph_2.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cone_spanners_2/include/CGAL/Construct_theta_graph_2.h $
-// $Id: Construct_theta_graph_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cone_spanners_2/include/CGAL/Construct_theta_graph_2.h $
+// $Id: Construct_theta_graph_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -185,7 +185,7 @@ protected:
 
         // Rotational transformation of cw 90 degree
         CGAL_STATIC_THREAD_LOCAL_VARIABLE_4(Transformation, cw90, 0, 1, -1,  0);
-        
+
         // Ordering
         // here D1 is the reverse of D1 in the book, we find this is easier to implement
         const Less_by_direction  orderD1 (g, ccwBound);
diff -pruN 5.0.2-3/include/CGAL/Construct_yao_graph_2.h 5.0.3-1/include/CGAL/Construct_yao_graph_2.h
--- 5.0.2-3/include/CGAL/Construct_yao_graph_2.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Construct_yao_graph_2.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cone_spanners_2/include/CGAL/Construct_yao_graph_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cone_spanners_2/include/CGAL/Construct_yao_graph_2.h $
 // $Id: Construct_yao_graph_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/convert_to_bfi.h 5.0.3-1/include/CGAL/convert_to_bfi.h
--- 5.0.2-3/include/CGAL/convert_to_bfi.h	2020-02-21 20:03:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/convert_to_bfi.h	2020-08-01 19:02:25.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interval_support/include/CGAL/convert_to_bfi.h $
-// $Id: convert_to_bfi.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interval_support/include/CGAL/convert_to_bfi.h $
+// $Id: convert_to_bfi.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Michael Hemmer   <hemmer@mpi-inf.mpg.de>
@@ -25,11 +25,11 @@ template <class NTX>
 typename Get_arithmetic_kernel<NTX>::Arithmetic_kernel::Bigfloat_interval
 convert_to_bfi(const NTX& x) {
     typedef typename Get_arithmetic_kernel<NTX>::Arithmetic_kernel AK;
-    typedef typename AK::Bigfloat_interval BFI; 
+    typedef typename AK::Bigfloat_interval BFI;
     typedef CGAL::Coercion_traits<NTX,BFI> CT;
     return typename CT::Cast()(x);
 }
 
-} //namespace CGAL 
+} //namespace CGAL
 
 #endif // CGAL_CONVERT_TO_BFI_H
diff -pruN 5.0.2-3/include/CGAL/Convex_decomposition_3/Edge_sorter.h 5.0.3-1/include/CGAL/Convex_decomposition_3/Edge_sorter.h
--- 5.0.2-3/include/CGAL/Convex_decomposition_3/Edge_sorter.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_decomposition_3/Edge_sorter.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Edge_sorter.h $
-// $Id: Edge_sorter.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Edge_sorter.h $
+// $Id: Edge_sorter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 
@@ -31,13 +31,13 @@ template<typename Halfedge_handle, typen
 class Compare_halfedges_in_reflex_edge_sorter
 {
 public:
-	typedef Point_comparison Compare_points;
-	Compare_points comp;
-	Compare_halfedges_in_reflex_edge_sorter() {}
-	bool operator()(Halfedge_handle e0, Halfedge_handle e1) const
-	{
-		return comp(e0->source()->point(), e1->source()->point());
-	}
+        typedef Point_comparison Compare_points;
+        Compare_points comp;
+        Compare_halfedges_in_reflex_edge_sorter() {}
+        bool operator()(Halfedge_handle e0, Halfedge_handle e1) const
+        {
+                return comp(e0->source()->point(), e1->source()->point());
+        }
 };
 
 template<typename Point_3,
@@ -47,83 +47,83 @@ template<typename Point_3,
   typename Container>
 class Generic_edge_sorter
 {
-	typedef typename Container::iterator Iterator;
-	typedef typename Container::value_type Edge_handle;
-	typedef typename Container::key_compare EdgeComparison;
-	typedef typename EdgeComparison::Compare_points PointComparison;
-  
-	PointComparison compare_points;
-	FTComparison compare_fts;
-  
+        typedef typename Container::iterator Iterator;
+        typedef typename Container::value_type Edge_handle;
+        typedef typename Container::key_compare EdgeComparison;
+        typedef typename EdgeComparison::Compare_points PointComparison;
+
+        PointComparison compare_points;
+        FTComparison compare_fts;
+
 public:
-	Generic_edge_sorter() {}
+        Generic_edge_sorter() {}
 
-	void operator()(Container& c, SplitTest& st, VertexInserter& vi) 
-	{
-//		CGAL_NEF_SETDTHREAD(547);
-    
-		CGAL_assertion_code(
-			for(Iterator ti = c.begin(); ti != c.end(); ++ti)
-				CGAL_assertion(compare_points((*ti)->source()->point(),
-											  (*ti)->twin()->source()->point())));
-		CGAL_NEF_TRACEN("edge_sorter " << c.size());
-	
-//		std::sort(c.begin(), c.end(), Sort_edges());
-    
-		Iterator esi1,esi2,esi3;
-		for(esi1 = c.begin(); esi1 != c.end(); ++esi1)
-		{
-			CGAL_NEF_TRACEN("1: " << (*esi1)->source()->point() << 
-							"->" << (*esi1)->twin()->source()->point());
-			esi2 = esi1;
-			++esi2;
-			CGAL_assertion_code(
-				if(esi2!=c.end())
-					CGAL_NEF_TRACEN("2: " << (*esi2)->source()->point() << 
-									"->" << (*esi2)->twin()->source()->point()););
-			while(esi2!=c.end() &&
-				  compare_fts((*esi2)->source()->point().x(),
-							  (*esi1)->twin()->source()->point().x())) 
-			{
-				if((*esi1)->source() == (*esi2)->source()) 
-				{
-					++esi2;
-					continue;
-				}
-				Point_3 ip;
-				bool b = st(*esi1, *esi2, ip);
-				if(b) 
-				{
-					CGAL_NEF_TRACEN("ip " << ip);
-				
-					Edge_handle e = *esi2;
-					Edge_handle svf = vi(e, ip);
-				
-					esi3 = esi2;
-					++esi3;
-					while(esi3 != c.end() && 
-						  compare_points((*esi3)->source()->point(),
-										 svf->source()->point()))
-						++esi3;
-				
-					c.insert(esi3, svf);
-				}
-
-				++esi2;
-
-				CGAL_assertion_code(
-					if(esi2!=c.end())
-						CGAL_NEF_TRACEN("y2: " << (*esi2)->source()->point() << 
-										"->" << (*esi2)->twin()->source()->point()););
-			} // while
-		} //while
-	} // operator()
+        void operator()(Container& c, SplitTest& st, VertexInserter& vi)
+        {
+//                CGAL_NEF_SETDTHREAD(547);
+
+                CGAL_assertion_code(
+                        for(Iterator ti = c.begin(); ti != c.end(); ++ti)
+                                CGAL_assertion(compare_points((*ti)->source()->point(),
+                                                                                          (*ti)->twin()->source()->point())));
+                CGAL_NEF_TRACEN("edge_sorter " << c.size());
+
+//                std::sort(c.begin(), c.end(), Sort_edges());
+
+                Iterator esi1,esi2,esi3;
+                for(esi1 = c.begin(); esi1 != c.end(); ++esi1)
+                {
+                        CGAL_NEF_TRACEN("1: " << (*esi1)->source()->point() <<
+                                                        "->" << (*esi1)->twin()->source()->point());
+                        esi2 = esi1;
+                        ++esi2;
+                        CGAL_assertion_code(
+                                if(esi2!=c.end())
+                                        CGAL_NEF_TRACEN("2: " << (*esi2)->source()->point() <<
+                                                                        "->" << (*esi2)->twin()->source()->point()););
+                        while(esi2!=c.end() &&
+                                  compare_fts((*esi2)->source()->point().x(),
+                                                          (*esi1)->twin()->source()->point().x()))
+                        {
+                                if((*esi1)->source() == (*esi2)->source())
+                                {
+                                        ++esi2;
+                                        continue;
+                                }
+                                Point_3 ip;
+                                bool b = st(*esi1, *esi2, ip);
+                                if(b)
+                                {
+                                        CGAL_NEF_TRACEN("ip " << ip);
+
+                                        Edge_handle e = *esi2;
+                                        Edge_handle svf = vi(e, ip);
+
+                                        esi3 = esi2;
+                                        ++esi3;
+                                        while(esi3 != c.end() &&
+                                                  compare_points((*esi3)->source()->point(),
+                                                                                 svf->source()->point()))
+                                                ++esi3;
+
+                                        c.insert(esi3, svf);
+                                }
+
+                                ++esi2;
+
+                                CGAL_assertion_code(
+                                        if(esi2!=c.end())
+                                                CGAL_NEF_TRACEN("y2: " << (*esi2)->source()->point() <<
+                                                                                "->" << (*esi2)->twin()->source()->point()););
+                        } // while
+                } //while
+        } // operator()
 
 };
 
 template<class Kernel, class PointComparison>
 class Need_to_split {
-  
+
   typedef typename Kernel::Segment_3 Segment_3;
   typedef typename Kernel::Point_3 Point_3;
   typedef typename Kernel::Plane_3 Plane_3;
@@ -132,14 +132,14 @@ class Need_to_split {
   PointComparison compare_points;
  public:
   Need_to_split() {}
-  
+
   template<typename Edge_handle>
   bool operator()(Edge_handle e1, Edge_handle e2, Point_3& ip2) const {
     Segment_3 s1(e1->source()->point(), e1->twin()->source()->point());
     Segment_3 s2(e2->source()->point(), e2->twin()->source()->point());
     return operator()(s1, s2, ip2);
   }
-  
+
   bool operator()(Segment_3 s1, Segment_3 s2, Point_3& ip2) const {
     CGAL_NEF_TRACEN("need_to_split " << s1);
     CGAL_NEF_TRACEN("         " << s2);
@@ -163,7 +163,7 @@ class Need_to_split {
     Object o2 = intersection(pl2,s2);
     if(!assign(ip2,o2) || ip2 == s2.source() || ip2 == s2.target())
       return false;
-    
+
     CGAL_NEF_TRACEN("ips " << ip1 << ", " << ip2);
     if(compare_points(ip2, ip1))
       return true;
@@ -173,7 +173,7 @@ class Need_to_split {
 
 template<typename Nef_, typename FTComparison, typename Container>
   class Edge_sorter : public CGAL::Modifier_base<typename Nef_::SNC_and_PL> {
-  
+
   typedef Nef_                                   Nef_polyhedron;
   typedef typename Nef_polyhedron::SNC_and_PL    SNC_and_PL;
   typedef typename Nef_polyhedron::SNC_structure SNC_structure;
@@ -181,7 +181,7 @@ template<typename Nef_, typename FTCompa
   typedef typename Nef_polyhedron::Kernel        Kernel;
   typedef CGAL::SNC_decorator<SNC_structure>     Base;
   typedef CGAL::SNC_point_locator<Base>          SNC_point_locator;
-  typedef CGAL::SNC_constructor<Items, SNC_structure>   
+  typedef CGAL::SNC_constructor<Items, SNC_structure>
     SNC_constructor;
 
   typedef typename SNC_structure::Vertex_handle     Vertex_handle;
@@ -197,16 +197,16 @@ template<typename Nef_, typename FTCompa
   typedef typename Container::iterator Iterator;
   typedef typename Container::const_iterator Const_iterator;
   typedef typename Container::key_compare::Compare_points PointComparison;
-  
+
   typedef typename CGAL::Insert_vertex_into_edge<SNC_structure, SNC_point_locator> InsertVertex;
 
   typedef typename CGAL::Generic_edge_sorter<
-    Point_3, 
-    FTComparison, 
-    Need_to_split<Kernel, PointComparison>, 
-    InsertVertex, 
+    Point_3,
+    FTComparison,
+    Need_to_split<Kernel, PointComparison>,
+    InsertVertex,
     Container> GenericEdgeSorter;
-    
+
   Container& c;
   SNC_structure* sncp;
   SNC_point_locator* pl;
@@ -220,27 +220,27 @@ template<typename Nef_, typename FTCompa
     InsertVertex iv(*sncp, *pl);
     GenericEdgeSorter ges;
     Need_to_split<Kernel, PointComparison> nts;
-    ges(c, nts, iv); 
+    ges(c, nts, iv);
   }
-  
+
   bool check() const {
     Const_iterator ci;
     for(ci = c.begin(); ci != c.end(); ++ci) {
       if(compare_points((*ci)->twin()->source()->point(),
-      			(*ci)->source()->point())) {
-	CGAL_error_msg("wrong orientation");
-	return false;
+                              (*ci)->source()->point())) {
+        CGAL_error_msg("wrong orientation");
+        return false;
       }
     }
-    
+
     for(ci = c.begin(); ci != c.end(); ++ci) {
       Const_iterator ci2(ci);
       ++ci2;
       if(ci2 == c.end()) break;
       if(compare_points((*ci2)->source()->point(),
-			(*ci)->source()->point())) {
-	CGAL_error_msg("wrong sorting");
-	return false;
+                        (*ci)->source()->point())) {
+        CGAL_error_msg("wrong sorting");
+        return false;
       }
     }
 
@@ -248,25 +248,25 @@ template<typename Nef_, typename FTCompa
       Const_iterator ci2(ci);
       ++ci2;
       while(ci2 != c.end() &&
-	    compare_fts((*ci)->twin()->source()->point().x(),
-			(*ci2)->source()->point().x())) {
-	
-	Point_3 ip;
-	bool b = need_to_split(Segment_3((*ci)->source()->point(),
-				         (*ci)->twin()->source()->point()), 
-			       Segment_3((*ci2)->source()->point(),
-				         (*ci2)->twin()->source()->point()),ip);	
-	if(b) {
-	  CGAL_error_msg("vertical dependence");
-	  return false;
-	}
-	++ci2;
+            compare_fts((*ci)->twin()->source()->point().x(),
+                        (*ci2)->source()->point().x())) {
+
+        Point_3 ip;
+        bool b = need_to_split(Segment_3((*ci)->source()->point(),
+                                         (*ci)->twin()->source()->point()),
+                               Segment_3((*ci2)->source()->point(),
+                                         (*ci2)->twin()->source()->point()),ip);
+        if(b) {
+          CGAL_error_msg("vertical dependence");
+          return false;
+        }
+        ++ci2;
       }
     }
-    
+
     return true;
   }
 };
-  
+
 } //namespace CGAL
 #endif //CGAL_CD3_EDGE_SORTER_H
diff -pruN 5.0.2-3/include/CGAL/Convex_decomposition_3/External_structure_builder.h 5.0.3-1/include/CGAL/Convex_decomposition_3/External_structure_builder.h
--- 5.0.2-3/include/CGAL/Convex_decomposition_3/External_structure_builder.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_decomposition_3/External_structure_builder.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/External_structure_builder.h $
-// $Id: External_structure_builder.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/External_structure_builder.h $
+// $Id: External_structure_builder.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 
@@ -27,7 +27,7 @@ namespace CGAL {
 
 template<typename Nef_>
 class External_structure_builder : public Modifier_base<typename Nef_::SNC_and_PL> {
-  
+
   typedef Nef_                                   Nef_polyhedron;
   typedef typename Nef_polyhedron::SNC_and_PL    SNC_and_PL;
   typedef typename Nef_polyhedron::SNC_structure SNC_structure;
@@ -39,8 +39,8 @@ class External_structure_builder : publi
     SNC_external_structure;
 
   typedef typename SNC_structure::Sphere_map     Sphere_map;
-  typedef CGAL::SM_decorator<Sphere_map>         SM_decorator;  
-  typedef CGAL::SM_point_locator<SM_decorator>   SM_point_locator; 
+  typedef CGAL::SM_decorator<Sphere_map>         SM_decorator;
+  typedef CGAL::SM_point_locator<SM_decorator>   SM_point_locator;
 
   typedef typename Base::Segment_3               Segment_3;
   typedef typename Base::Point_3                 Point_3;
@@ -66,7 +66,7 @@ class External_structure_builder : publi
 
   Halfedge_handle ein;
   Vector_3 dir;
-  
+
  public:
   External_structure_builder() {}
 
@@ -79,18 +79,18 @@ class External_structure_builder : publi
 
 
     Unique_hash_map<SHalfedge_handle, SFace_handle> sedge2sface;
-    /*    
+    /*
     SFace_iterator sfi;
     CGAL_forall_sfaces(sfi, *sncp) {
       SFace_cycle_iterator sfc;
       for(sfc = sfi->sface_cycles_begin(); sfc != sfi->sface_cycles_end(); ++sfc) {
-	if(sfc.is_shalfedge()){
-	  SHalfedge_around_sface_circulator eaf(sfc), end(eaf);
-	  CGAL_For_all(eaf,end) {
-	    SHalfedge_handle se(eaf);
-	    sedge2sface[eaf] = sfi;
-	  }
-	}
+        if(sfc.is_shalfedge()){
+          SHalfedge_around_sface_circulator eaf(sfc), end(eaf);
+          CGAL_For_all(eaf,end) {
+            SHalfedge_handle se(eaf);
+            sedge2sface[eaf] = sfi;
+          }
+        }
       }
     }
 
@@ -101,23 +101,23 @@ class External_structure_builder : publi
     CGAL_forall_shalfedges(sei, *sncp) {
       SHalfedge_handle se(sei);
       if(sedge2sface[se] == SFace_handle()) {
-	SM_decorator SD(&*sei->source()->source());
-	SFace_handle sf_new = SD.new_sface();
-	sf_new->mark() = sei->incident_sface()->mark();
-	
-	CGAL_NEF_TRACEN("new entry sedge " << sei->source()->point() 
-			<< "->" << sei->twin()->source()->point() 
-			<< " at " << sei->source()->source()->point());
-
-	SD.link_as_face_cycle(sei, sf_new);
-	
-	SHalfedge_around_sface_circulator eaf(se), end(eaf);
-	CGAL_For_all(eaf,end) {
-	  SHalfedge_handle se(eaf);
-	  sedge2sface[eaf] = sf_new;
-	}	
+        SM_decorator SD(&*sei->source()->source());
+        SFace_handle sf_new = SD.new_sface();
+        sf_new->mark() = sei->incident_sface()->mark();
+
+        CGAL_NEF_TRACEN("new entry sedge " << sei->source()->point()
+                        << "->" << sei->twin()->source()->point()
+                        << " at " << sei->source()->source()->point());
+
+        SD.link_as_face_cycle(sei, sf_new);
+
+        SHalfedge_around_sface_circulator eaf(se), end(eaf);
+        CGAL_For_all(eaf,end) {
+          SHalfedge_handle se(eaf);
+          sedge2sface[eaf] = sf_new;
+        }
 
-	// TODO: relink inner sface cycles
+        // TODO: relink inner sface cycles
       }
     }
     */
diff -pruN 5.0.2-3/include/CGAL/Convex_decomposition_3/Insert_vertex_into_edge.h 5.0.3-1/include/CGAL/Convex_decomposition_3/Insert_vertex_into_edge.h
--- 5.0.2-3/include/CGAL/Convex_decomposition_3/Insert_vertex_into_edge.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_decomposition_3/Insert_vertex_into_edge.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Insert_vertex_into_edge.h $
-// $Id: Insert_vertex_into_edge.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Insert_vertex_into_edge.h $
+// $Id: Insert_vertex_into_edge.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 
@@ -34,18 +34,18 @@ class Insert_vertex_into_edge {
 
  public:
   Insert_vertex_into_edge(SNC_structure& snc_,
-			  SNC_point_locator& pl_) 
+                          SNC_point_locator& pl_)
     : snc(snc_), pl(pl_) {}
 
-  SVertex_handle operator() 
-    (SVertex_handle e, const Point_3 ip) 
+  SVertex_handle operator()
+    (SVertex_handle e, const Point_3 ip)
   {
     CGAL::SNC_constructor<Items, SNC_structure> C(snc);
     Vertex_handle v;
     v = C.create_from_edge(e, ip);
-    
+
     pl.add_vertex(v);
-    
+
     SVertex_iterator svi = v->svertices_begin();
     SVertex_handle svf, svb;
     if(svi->point() == e->point()) {
@@ -55,12 +55,12 @@ class Insert_vertex_into_edge {
       svb = svi;
       svf = ++svi;
     }
-    
+
     svb->twin() = e;
     svf->twin() = e->twin();
     e->twin()->twin() = svf;
     e->twin() = svb;
-    
+
     pl.add_edge(svf);
     pl.add_edge(svb);
 
diff -pruN 5.0.2-3/include/CGAL/Convex_decomposition_3/is_reflex_sedge.h 5.0.3-1/include/CGAL/Convex_decomposition_3/is_reflex_sedge.h
--- 5.0.2-3/include/CGAL/Convex_decomposition_3/is_reflex_sedge.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_decomposition_3/is_reflex_sedge.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/is_reflex_sedge.h $
-// $Id: is_reflex_sedge.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/is_reflex_sedge.h $
+// $Id: is_reflex_sedge.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_CD3_IS_REFLEX_SEDGE_H
@@ -25,8 +25,8 @@ namespace CGAL {
 /// @cond SKIP
 
 /*
-  int is_reflex_edge(Halfedge_handle e) {    
-    SHalfedge_around_svertex_circulator 
+  int is_reflex_edge(Halfedge_handle e) {
+    SHalfedge_around_svertex_circulator
       svc(e->out_sedge()), send(svc);
     int isrse = 0;
     CGAL_For_all(svc, send)
@@ -44,16 +44,16 @@ namespace CGAL {
 template<class SNC_structure>
 bool is_reflex_sedge_in_any_direction
 (typename SNC_structure::SHalfedge_const_handle se) {
-  
-  typename SNC_structure::SHalfedge_const_handle 
+
+  typename SNC_structure::SHalfedge_const_handle
     se2(se->sprev()->twin());
   if(se2 == se) {
-    CGAL_NEF_TRACEN("isolated sedge " 
-		    << se->source()->source()->point() 
-		    << ": "
-		    << se->source()->point() 
-		    << "->"
-		    << se->twin()->source()->point());
+    CGAL_NEF_TRACEN("isolated sedge "
+                    << se->source()->source()->point()
+                    << ": "
+                    << se->source()->point()
+                    << "->"
+                    << se->twin()->source()->point());
     return true;
   }
   typename SNC_structure::Vector_3 vec1
@@ -63,65 +63,65 @@ bool is_reflex_sedge_in_any_direction
   typename SNC_structure::Sphere_point sp1
     (CGAL::ORIGIN + cross_product(vec2,vec1));
   if(se2->circle().oriented_side(sp1) == ON_POSITIVE_SIDE) {
-    CGAL_NEF_TRACEN("reflex sedge " 
-		    << se->source()->source()->point() 
-		    << ": "
-		    << se->source()->point() 
-		    << "->"
-		    << se->twin()->source()->point());
+    CGAL_NEF_TRACEN("reflex sedge "
+                    << se->source()->source()->point()
+                    << ": "
+                    << se->source()->point()
+                    << "->"
+                    << se->twin()->source()->point());
     return true;
   }
-  return false;    
+  return false;
 }
 
-template<class SNC_structure>  
+template<class SNC_structure>
 int is_reflex_sedge(typename SNC_structure::SHalfedge_handle se,
-		    typename SNC_structure::Sphere_point dir,
-		    bool only_small_to_large = true) 
+                    typename SNC_structure::Sphere_point dir,
+                    bool only_small_to_large = true)
 {
   typename SNC_structure::Halfedge_handle e = se->source();
   CGAL_NEF_TRACEN("is reflex edge?");
-  CGAL_NEF_TRACEN("  e " << e->source()->point() 
-		  << "->" << e->twin()->source()->point()
-		  << " (" << e->point() << ")");
-  
+  CGAL_NEF_TRACEN("  e " << e->source()->point()
+                  << "->" << e->twin()->source()->point()
+                  << " (" << e->point() << ")");
+
   if(e->point() == dir || e->point() == CGAL::ORIGIN - dir)
     return 0;
-  if(only_small_to_large && 
+  if(only_small_to_large &&
      e->source()->point() > e->twin()->source()->point())
     return 0;
 
-  
+
   typename SNC_structure::Sphere_circle cp(e->point(), dir);
   typename SNC_structure::SHalfedge_handle se2 = se->sprev()->twin();
   CGAL_assertion(se2->source() == se->source());
-		   
+
   if(se2 == se) {
     typename SNC_structure::Sphere_segment
       seg(se->source()->point(), se->twin()->source()->point(), se->circle());
     CGAL_NEF_TRACEN("  only one sedge pair " << se->source()->point() <<
-		    "->" << se->twin()->source()->point() <<
-		    " circle " << se->circle() << " is_short " << seg.is_short());
+                    "->" << se->twin()->source()->point() <<
+                    " circle " << se->circle() << " is_short " << seg.is_short());
     if(seg.sphere_circle() == cp)
       return 2;
     if(seg.sphere_circle() == cp.opposite())
       return 1;
     return 3;
   }
-  
-  CGAL_NEF_TRACEN(" se1 " << se->circle() 
-		  << ":" << se->source()->point() 
-		  << "->" << se->twin()->source()->point());
-  CGAL_NEF_TRACEN(" se2 " << se2->circle() 	      
-		  << ":" << se2->source()->point() 
-		  << "->" << se2->twin()->source()->point());
+
+  CGAL_NEF_TRACEN(" se1 " << se->circle()
+                  << ":" << se->source()->point()
+                  << "->" << se->twin()->source()->point());
+  CGAL_NEF_TRACEN(" se2 " << se2->circle()
+                  << ":" << se2->source()->point()
+                  << "->" << se2->twin()->source()->point());
   typename SNC_structure::Vector_3 vec1 = e->point() - CGAL::ORIGIN;
   typename SNC_structure::Vector_3 vec2 = se->circle().orthogonal_vector();
   typename SNC_structure::Sphere_point sp1 = CGAL::ORIGIN + cross_product(vec2,vec1);
   if(se2->circle().oriented_side(sp1) != ON_POSITIVE_SIDE) {
     CGAL_NEF_TRACEN("  too short");
     return 0;
-  }  
+  }
 
   int result = 0;
   CGAL_NEF_TRACEN(" cp " << cp);
@@ -140,21 +140,21 @@ int is_reflex_sedge(typename SNC_structu
   if(os1 == ON_NEGATIVE_SIDE ||
      os2 == ON_POSITIVE_SIDE)
     result |= 2;
-  
+
   typedef typename SNC_structure::Sphere_segment Sphere_segment;
   CGAL_USE_TYPE(Sphere_segment);
-  if(os1 == ON_POSITIVE_SIDE && 
+  if(os1 == ON_POSITIVE_SIDE &&
      se2->twin()->source()->point() == dir)
     CGAL_assertion(Sphere_segment(se2->source()->point(), se2->twin()->source()->point(), se2->circle()).is_long());
-  
+
   if(os2 == ON_NEGATIVE_SIDE &&
      se->twin()->source()->point() == dir)
     CGAL_assertion(Sphere_segment(se->source()->point(), se->twin()->source()->point(), se->circle()).is_long());
 
-  if(os1 == ON_NEGATIVE_SIDE && 
+  if(os1 == ON_NEGATIVE_SIDE &&
      se2->twin()->source()->point() == dir.antipode())
     CGAL_assertion(Sphere_segment(se2->source()->point(), se2->twin()->source()->point(), se2->circle()).is_long());
-  
+
   if(os2 == ON_POSITIVE_SIDE &&
      se->twin()->source()->point() == dir.antipode())
     CGAL_assertion(Sphere_segment(se->source()->point(), se->twin()->source()->point(), se->circle()).is_long());
diff -pruN 5.0.2-3/include/CGAL/Convex_decomposition_3/Ray_hit_generator2.h 5.0.3-1/include/CGAL/Convex_decomposition_3/Ray_hit_generator2.h
--- 5.0.2-3/include/CGAL/Convex_decomposition_3/Ray_hit_generator2.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_decomposition_3/Ray_hit_generator2.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Ray_hit_generator2.h $
-// $Id: Ray_hit_generator2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Ray_hit_generator2.h $
+// $Id: Ray_hit_generator2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_CD3_RAY_HIT_GENERATOR2_H
@@ -27,7 +27,7 @@ namespace CGAL {
 
 template<typename Nef_>
 class Ray_hit_generator2 : public Modifier_base<typename Nef_::SNC_and_PL> {
-  
+
   typedef Nef_                                   Nef_polyhedron;
   typedef typename Nef_polyhedron::SNC_and_PL    SNC_and_PL;
   typedef typename Nef_polyhedron::SNC_structure SNC_structure;
@@ -35,12 +35,12 @@ class Ray_hit_generator2 : public Modifi
   typedef CGAL::SNC_decorator<SNC_structure>     Base;
   typedef CGAL::SNC_point_locator<Base>          SNC_point_locator;
   typedef CGAL::SNC_intersection<SNC_structure>  SNC_intersection;
-  typedef CGAL::SNC_constructor<Items, SNC_structure>   
+  typedef CGAL::SNC_constructor<Items, SNC_structure>
     SNC_constructor;
 
   typedef typename SNC_structure::Sphere_map     Sphere_map;
-  typedef CGAL::SM_decorator<Sphere_map>         SM_decorator;  
-  typedef CGAL::SM_point_locator<SM_decorator>   SM_point_locator; 
+  typedef CGAL::SM_decorator<Sphere_map>         SM_decorator;
+  typedef CGAL::SM_point_locator<SM_decorator>   SM_point_locator;
   typedef CGAL::SM_walls<Sphere_map>             SM_walls;
 
   typedef typename Base::Segment_3               Segment_3;
@@ -70,7 +70,7 @@ class Ray_hit_generator2 : public Modifi
 
  public:
   Ray_hit_generator2(Vector_3 d, Vertex_handle v) : dir(d), vs(v) {}
-      
+
   Vertex_handle create_vertex_on_first_hit(const Ray_3& r) {
 
     CGAL_NEF_TRACEN("shoot ray in SNC " << r);
@@ -91,8 +91,8 @@ class Ray_hit_generator2 : public Modifi
 
     Halfedge_handle e;
     if(assign(e, o)) {
-       CGAL_NEF_TRACEN("Found edge " << e->source()->point() 
-		       << "->" << e->twin()->source()->point());
+       CGAL_NEF_TRACEN("Found edge " << e->source()->point()
+                       << "->" << e->twin()->source()->point());
       Segment_3 seg(e->source()->point(), e->twin()->source()->point());
       I.does_intersect_internally(r, seg, ip);
       ip = normalized(ip);
@@ -106,24 +106,24 @@ class Ray_hit_generator2 : public Modifi
       SVertex_handle svb = ++svi;
 
       if(svf->point() == e->point()) {
-	svb->twin() = e;
-	svf->twin() = e->twin();
-	e->twin()->twin() = svf;
-	e->twin() = svb;
+        svb->twin() = e;
+        svf->twin() = e->twin();
+        e->twin()->twin() = svf;
+        e->twin() = svb;
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
-	svb->set_index(e->get_index());
-	svf->set_index();
-	svf->twin()->set_index(svf->get_index());
+        svb->set_index(e->get_index());
+        svf->set_index();
+        svf->twin()->set_index(svf->get_index());
 #endif
       } else {
-	svf->twin() = e;
-	svb->twin() = e->twin();
-	e->twin()->twin() = svb;
-	e->twin() = svf;
+        svf->twin() = e;
+        svb->twin() = e->twin();
+        e->twin()->twin() = svb;
+        e->twin() = svf;
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
-	svf->set_index(e->get_index());
-	svb->set_index();
-	svb->twin()->set_index(svb->get_index());
+        svf->set_index(e->get_index());
+        svb->set_index();
+        svb->twin()->set_index(svb->get_index());
 #endif
       }
 
@@ -132,14 +132,14 @@ class Ray_hit_generator2 : public Modifi
 
       edge_splitted = true;
       if(e->source()->point() < e->twin()->source()->point())
-	second_half = svf;
+        second_half = svf;
       else
-	second_half = svb;
+        second_half = svb;
 
       CGAL_NEF_TRACEN("new edge " << e->source()->point() << "->" << e->twin()->source()->point());
       CGAL_NEF_TRACEN("new edge " << svf->source()->point() << "->" << svf->twin()->source()->point());
       CGAL_NEF_TRACEN("second_half " << second_half->source()->point()
-		      << "->" << second_half->twin()->source()->point());
+                      << "->" << second_half->twin()->source()->point());
 
       vertex_added = true;
       return v;
@@ -167,9 +167,9 @@ class Ray_hit_generator2 : public Modifi
 
     edge_splitted = false;
     vertex_added = false;
-    
+
     CGAL_NEF_TRACEN("ray hit 2: " << vs->point()
-		    << " (" << dir << ")");
+                    << " (" << dir << ")");
     SM_walls smw(&*vs);
     SVertex_handle sv1, sv2;
     if(smw.need_to_shoot(Sphere_point(dir),sv1)) {
@@ -184,7 +184,7 @@ class Ray_hit_generator2 : public Modifi
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
       sv1->set_index();
       sv2->set_index(sv1->get_index());
-#endif      
+#endif
     }
   }
 
@@ -204,6 +204,6 @@ class Ray_hit_generator2 : public Modifi
     return false;
   }
 };
-  
+
 } //namespace CGAL
 #endif //CGAL_CD3_RAY_HIT_GENERATOR2_H
diff -pruN 5.0.2-3/include/CGAL/Convex_decomposition_3/Ray_hit_generator.h 5.0.3-1/include/CGAL/Convex_decomposition_3/Ray_hit_generator.h
--- 5.0.2-3/include/CGAL/Convex_decomposition_3/Ray_hit_generator.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_decomposition_3/Ray_hit_generator.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Ray_hit_generator.h $
-// $Id: Ray_hit_generator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Ray_hit_generator.h $
+// $Id: Ray_hit_generator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_CD3_RAY_HIT_GENERATOR_H
@@ -28,7 +28,7 @@ namespace CGAL {
 
 template<typename Nef_>
 class Ray_hit_generator : public Modifier_base<typename Nef_::SNC_and_PL> {
-  
+
   typedef Nef_                                   Nef_polyhedron;
   typedef typename Nef_polyhedron::SNC_and_PL    SNC_and_PL;
   typedef typename Nef_polyhedron::SNC_structure SNC_structure;
@@ -36,12 +36,12 @@ class Ray_hit_generator : public Modifie
   typedef CGAL::SNC_decorator<SNC_structure>     Base;
   typedef CGAL::SNC_point_locator<Base>          SNC_point_locator;
   typedef CGAL::SNC_intersection<SNC_structure>  SNC_intersection;
-  typedef CGAL::SNC_constructor<Items, SNC_structure> 
+  typedef CGAL::SNC_constructor<Items, SNC_structure>
     SNC_constructor;
 
   typedef typename SNC_structure::Sphere_map     Sphere_map;
-  typedef CGAL::SM_decorator<Sphere_map>         SM_decorator;  
-  typedef CGAL::SM_point_locator<SM_decorator>   SM_point_locator; 
+  typedef CGAL::SM_decorator<Sphere_map>         SM_decorator;
+  typedef CGAL::SM_point_locator<SM_decorator>   SM_point_locator;
   typedef CGAL::SM_walls<Sphere_map>             SM_walls;
 
   typedef typename Base::Segment_3               Segment_3;
@@ -65,9 +65,9 @@ class Ray_hit_generator : public Modifie
 
  public:
   Ray_hit_generator(Vector_3 d = Vector_3()) : dir(d), mask(255) {}
-  Ray_hit_generator(SNC_structure* sncin, SNC_point_locator* plin, int m = 255) 
+  Ray_hit_generator(SNC_structure* sncin, SNC_point_locator* plin, int m = 255)
     : sncp(sncin), pl(plin), mask(m) {}
-      
+
   Vertex_handle create_vertex_on_first_hit(const Ray_3& r) {
 
     CGAL_NEF_TRACEN( "shoot ray in SNC " << r );
@@ -86,8 +86,8 @@ class Ray_hit_generator : public Modifie
 
     Halfedge_handle e;
     if(assign(e, o)) {
-      CGAL_NEF_TRACEN( "Found edge " << e->source()->point() 
-		<< "->" << e->twin()->source()->point() );
+      CGAL_NEF_TRACEN( "Found edge " << e->source()->point()
+                << "->" << e->twin()->source()->point() );
       Segment_3 seg(e->source()->point(), e->twin()->source()->point());
       I.does_intersect_internally(r, seg, ip);
       ip = normalized(ip);
@@ -101,24 +101,24 @@ class Ray_hit_generator : public Modifie
       SVertex_handle svb = ++svi;
 
       if(svf->point() == e->point()) {
-	svb->twin() = e;
-	svf->twin() = e->twin();
-	e->twin()->twin() = svf;
-	e->twin() = svb;
+        svb->twin() = e;
+        svf->twin() = e->twin();
+        e->twin()->twin() = svf;
+        e->twin() = svb;
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
-	svb->set_index(e->get_index());
-	svf->set_index();
-	svf->twin()->set_index(svf->get_index());
+        svb->set_index(e->get_index());
+        svf->set_index();
+        svf->twin()->set_index(svf->get_index());
 #endif
       } else {
-	svf->twin() = e;
-	svb->twin() = e->twin();
-	e->twin()->twin() = svb;
-	e->twin() = svf;
+        svf->twin() = e;
+        svb->twin() = e->twin();
+        e->twin()->twin() = svb;
+        e->twin() = svf;
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
-	svf->set_index(e->get_index());
-	svb->set_index();
-	svb->twin()->set_index(svb->get_index());
+        svf->set_index(e->get_index());
+        svb->set_index();
+        svb->twin()->set_index(svb->get_index());
 #endif
       }
 
@@ -126,10 +126,10 @@ class Ray_hit_generator : public Modifie
       pl->add_edge(svf);
       pl->add_edge(svb);
 
-      CGAL_NEF_TRACEN("new edge " << e->source()->point() << 
-		      "->" << e->twin()->source()->point());
-      CGAL_NEF_TRACEN("new edge " << svf->source()->point() << 
-		      "->" << svf->twin()->source()->point());
+      CGAL_NEF_TRACEN("new edge " << e->source()->point() <<
+                      "->" << e->twin()->source()->point());
+      CGAL_NEF_TRACEN("new edge " << svf->source()->point() <<
+                      "->" << svf->twin()->source()->point());
 
       return v;
     }
@@ -151,7 +151,7 @@ class Ray_hit_generator : public Modifie
   }
 
   void operator()(SNC_and_PL& sncpl) {
-    
+
     sncp = sncpl.sncp;
     pl = sncpl.pl;
 
@@ -160,18 +160,18 @@ class Ray_hit_generator : public Modifie
       SM_walls smw(&*vi);
       SVertex_handle sv1, sv2;
       if(smw.need_to_shoot(Sphere_point(dir),sv1)) {
-	Ray_3 r(vi->point(), dir);
-	Vertex_handle v_new = create_vertex_on_first_hit(r);
-	SM_walls smw(&*v_new);
-	sv2 = smw.add_ray_svertex(Sphere_point(-dir));
+        Ray_3 r(vi->point(), dir);
+        Vertex_handle v_new = create_vertex_on_first_hit(r);
+        SM_walls smw(&*v_new);
+        sv2 = smw.add_ray_svertex(Sphere_point(-dir));
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
       sv1->set_index();
       sv2->set_index(sv1->get_index());
-#endif     
+#endif
       }
     }
   }
 };
-  
+
 } //namespace CGAL
 #endif //CGAL_CD3_RAY_HIT_GENERATOR_H
diff -pruN 5.0.2-3/include/CGAL/Convex_decomposition_3/Reflex_edge_searcher.h 5.0.3-1/include/CGAL/Convex_decomposition_3/Reflex_edge_searcher.h
--- 5.0.2-3/include/CGAL/Convex_decomposition_3/Reflex_edge_searcher.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_decomposition_3/Reflex_edge_searcher.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Reflex_edge_searcher.h $
-// $Id: Reflex_edge_searcher.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Reflex_edge_searcher.h $
+// $Id: Reflex_edge_searcher.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_CD3_REFLEX_EDGE_SEARCHER_H
@@ -25,7 +25,7 @@ class Reflex_edge_searcher : public Modi
 
   typedef Nef_                                            Nef_polyhedron;
   typedef typename Nef_polyhedron::SNC_structure          SNC_structure;
-  typedef CGAL::SNC_decorator<SNC_structure>              SNC_decorator;  
+  typedef CGAL::SNC_decorator<SNC_structure>              SNC_decorator;
 
   typedef typename SNC_structure::Vertex_handle           Vertex_handle;
   typedef typename SNC_structure::Vertex_const_handle     Vertex_const_handle;
@@ -58,10 +58,10 @@ class Reflex_edge_searcher : public Modi
   Sphere_point dir;
 
   Reflex_edge_searcher(Sphere_point dir_in)
-    : dir(dir_in) {} 
+    : dir(dir_in) {}
 
-  int is_reflex_edge(Halfedge_handle e) {    
-    SHalfedge_around_svertex_circulator 
+  int is_reflex_edge(Halfedge_handle e) {
+    SHalfedge_around_svertex_circulator
       svc(e->out_sedge()), send(svc);
     int isrse = 0;
     CGAL_For_all(svc, send)
@@ -76,34 +76,34 @@ class Reflex_edge_searcher : public Modi
   void operator()(SNC_structure& snc) {
     pos.clear();
     neg.clear();
-    
+
     Vertex_iterator vi;
     CGAL_forall_vertices(vi, snc) {
       SHalfedge_iterator sei;
       for(sei = vi->shalfedges_begin();
-	  sei != vi->shalfedges_end(); ++sei) {
-	if(!sei->incident_sface()->mark()) continue;
-	int isrse = CGAL::is_reflex_sedge<SNC_structure>(sei, dir);
-	CGAL_NEF_TRACEN("isrse final " << sei->source()->source()->point()
-			<< "->" << sei->source()->twin()->source()->point()
-			<< ": " << isrse);
-	if((isrse&1)==1) pos.insert(sei->source()->twin());
-	if((isrse&2)==2) neg.insert(sei->source());
+          sei != vi->shalfedges_end(); ++sei) {
+        if(!sei->incident_sface()->mark()) continue;
+        int isrse = CGAL::is_reflex_sedge<SNC_structure>(sei, dir);
+        CGAL_NEF_TRACEN("isrse final " << sei->source()->source()->point()
+                        << "->" << sei->source()->twin()->source()->point()
+                        << ": " << isrse);
+        if((isrse&1)==1) pos.insert(sei->source()->twin());
+        if((isrse&2)==2) neg.insert(sei->source());
       }
     }
   }
 
-  void handle_new_edge(Halfedge_handle e) { 
-    if(normalized(e->point()) == dir || 
+  void handle_new_edge(Halfedge_handle e) {
+    if(normalized(e->point()) == dir ||
        normalized(e->twin()->point()) == dir) {
       CGAL_error_msg( "should not happen");
       return;
     }
 
-    if(e->twin()->source()->point() < 
+    if(e->twin()->source()->point() <
        e->source()->point())
       e = e->twin();
-    SHalfedge_around_svertex_circulator 
+    SHalfedge_around_svertex_circulator
       svc(e->out_sedge()), send(svc);
     int pushed = 0;
     CGAL_For_all(svc, send) {
@@ -113,7 +113,7 @@ class Reflex_edge_searcher : public Modi
       if((pushed&=2==0) && ((isrse&2)==2)) neg.insert(svc->source());
       pushed |= isrse;
       if(pushed == 3)
-	break;
+        break;
     }
   }
 
diff -pruN 5.0.2-3/include/CGAL/Convex_decomposition_3/Reflex_vertex_searcher.h 5.0.3-1/include/CGAL/Convex_decomposition_3/Reflex_vertex_searcher.h
--- 5.0.2-3/include/CGAL/Convex_decomposition_3/Reflex_vertex_searcher.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_decomposition_3/Reflex_vertex_searcher.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Reflex_vertex_searcher.h $
-// $Id: Reflex_vertex_searcher.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Reflex_vertex_searcher.h $
+// $Id: Reflex_vertex_searcher.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_CD3_REFLEX_VERTEX_SEARCHER_H
@@ -28,7 +28,7 @@ class Reflex_vertex_searcher : public Mo
 
   typedef Nef_                                            Nef_polyhedron;
   typedef typename Nef_polyhedron::SNC_structure          SNC_structure;
-  typedef CGAL::SNC_decorator<SNC_structure>              SNC_decorator;  
+  typedef CGAL::SNC_decorator<SNC_structure>              SNC_decorator;
 
   typedef typename SNC_structure::Sphere_map Sphere_map;
   typedef CGAL::SM_decorator<Sphere_map>  SM_decorator;
@@ -59,14 +59,14 @@ class Reflex_vertex_searcher : public Mo
 
  private:
   struct Reflex_vertex_visitor {
-    
+
     Sphere_point dir;
     Reflex_vertex_map& vertex_map;
 
     Reflex_vertex_visitor(Sphere_point dir_in,
-			  Reflex_vertex_map& vm) 
+                          Reflex_vertex_map& vm)
       : dir(dir_in), vertex_map(vm) {}
-    
+
     void visit(Vertex_handle /*v*/) const {}
     void visit(Halfedge_handle /*e*/) const {}
     void visit(Halffacet_handle /*f*/) const {}
@@ -80,15 +80,15 @@ class Reflex_vertex_searcher : public Mo
       vertex_map[se->prev()->source()->source()] |= isrse;
     }
   };
-  
+
  public:
   Sphere_point dir;
   Reflex_vertex_map vertex_map;
   Vertex_iterator pos, neg, begin, end;
 
-  Reflex_vertex_searcher(Sphere_point dir_in) 
+  Reflex_vertex_searcher(Sphere_point dir_in)
       : dir(dir_in), vertex_map(0) {}
-  
+
   /*
   void operator()(SNC_structure& snc) {
     pos = neg = begin = snc.vertices_begin();
@@ -99,55 +99,55 @@ class Reflex_vertex_searcher : public Mo
     Volume_iterator c;
     CGAL_forall_volumes(c, snc) {
       if(c->mark())
-	for(Shell_entry_iterator shi=c->shells_begin(); shi!=c->shells_end(); ++shi) {
-	  D.visit_shell_objects(SFace_handle(shi),rev);
-	}
+        for(Shell_entry_iterator shi=c->shells_begin(); shi!=c->shells_end(); ++shi) {
+          D.visit_shell_objects(SFace_handle(shi),rev);
+        }
     }
   }
   */
-  
+
   int is_reflex_vertex(Vertex_handle vi) {
     int result = 0;
     SM_point_locator PL(&*vi);
     Object_handle op(PL.locate(dir));
     Object_handle on(PL.locate(dir.antipode()));
-    
+
     bool markedsf[2];
     SFace_handle sfp, sfn;
     markedsf[0] = assign(sfp, op) && sfp->mark();
     markedsf[1] = assign(sfn, on) && sfn->mark();
-    
+
     CGAL_NEF_TRACEN("markedsf " << markedsf[0] << " " << markedsf[1]);
     CGAL_NEF_TRACEN("sf " << &*sfp << "==" << &*sfn);
-    
+
     if(markedsf[0]) {
       SFace_cycle_iterator sfci(sfp->sface_cycles_begin());
       for(; sfci != sfp->sface_cycles_end(); ++sfci) {
-	SHalfedge_around_sface_circulator 
-	  sfc(sfci), send(sfc);
-	CGAL_For_all(sfc, send) {
-	  int isrse = is_reflex_sedge<SNC_structure>(sfc, dir, false);
-	  if(isrse==0) continue;
-	  //	  if(!markedsf[1] || sfp!=sfn) 
-	  isrse&=1;
-	  result |= isrse;
-	}
+        SHalfedge_around_sface_circulator
+          sfc(sfci), send(sfc);
+        CGAL_For_all(sfc, send) {
+          int isrse = is_reflex_sedge<SNC_structure>(sfc, dir, false);
+          if(isrse==0) continue;
+          //          if(!markedsf[1] || sfp!=sfn)
+          isrse&=1;
+          result |= isrse;
+        }
       }
     }
-    
+
     if(/*sfp!=sfn &&*/ markedsf[1]) {
       SFace_cycle_iterator sfci(sfn->sface_cycles_begin());
       for(; sfci != sfn->sface_cycles_end(); ++sfci) {
-	SHalfedge_around_sface_circulator 
-	  sfc(sfci), send(sfc);
-	CGAL_For_all(sfc, send) {
-	  int isrse = is_reflex_sedge<SNC_structure>(sfc, dir, false);
-	  if(isrse==0) continue;
-	  isrse&=2;
-	  result |= isrse;
-	}
+        SHalfedge_around_sface_circulator
+          sfc(sfci), send(sfc);
+        CGAL_For_all(sfc, send) {
+          int isrse = is_reflex_sedge<SNC_structure>(sfc, dir, false);
+          if(isrse==0) continue;
+          isrse&=2;
+          result |= isrse;
+        }
       }
-    } 
+    }
 
     vertex_map[vi]=result;
     return result;
@@ -166,12 +166,12 @@ class Reflex_vertex_searcher : public Mo
   void operator()(SNC_structure& snc) {
     pos = neg = begin = snc.vertices_begin();
     end = snc.vertices_end();
-    
+
     Vertex_iterator vi;
     CGAL_forall_vertices(vi, snc)
       vertex_map[vi] |= is_reflex_vertex(vi);
   }
-  
+
   void set_back_positive_reflex_vertices() {
     pos = begin;
   }
@@ -199,12 +199,12 @@ class Reflex_vertex_searcher : public Mo
     ++neg;
     /*
     SHalfedge_iterator sei;
-    for(sei = v->shalfedges_begin(); 
-	sei != v->shalfedges_end(); ++sei) {
+    for(sei = v->shalfedges_begin();
+        sei != v->shalfedges_end(); ++sei) {
       int isrse = is_reflex_sedge<SNC_structure>(sei, dir);
       std::cerr << "check " << sei->source()->source()->point()
                 << "->" << sei->source()->twin()->source()->point()
-		<< ": " << isrse << std::endl;
+                << ": " << isrse << std::endl;
     }
     */
     return true;
diff -pruN 5.0.2-3/include/CGAL/Convex_decomposition_3/SFace_separator.h 5.0.3-1/include/CGAL/Convex_decomposition_3/SFace_separator.h
--- 5.0.2-3/include/CGAL/Convex_decomposition_3/SFace_separator.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_decomposition_3/SFace_separator.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/SFace_separator.h $
-// $Id: SFace_separator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/SFace_separator.h $
+// $Id: SFace_separator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_CD3_SFACE_SEPARATOR_H
@@ -22,18 +22,18 @@ namespace CGAL {
 
 template<typename Nef_>
 class SFace_separator : public Modifier_base<typename Nef_::SNC_structure> {
-  
+
   typedef Nef_                                   Nef_polyhedron;
   typedef typename Nef_polyhedron::SNC_structure SNC_structure;
   typedef typename SNC_structure::Items          Items;
   typedef CGAL::SNC_decorator<SNC_structure>     Base;
   typedef CGAL::SNC_point_locator<Base>          SNC_point_locator;
-  typedef CGAL::SNC_constructor<Items, SNC_structure>   
+  typedef CGAL::SNC_constructor<Items, SNC_structure>
     SNC_constructor;
 
   typedef typename SNC_structure::Sphere_map     Sphere_map;
-  typedef CGAL::SM_decorator<Sphere_map>         SM_decorator;  
-  typedef CGAL::SM_point_locator<SM_decorator>   SM_point_locator; 
+  typedef CGAL::SM_decorator<Sphere_map>         SM_decorator;
+  typedef CGAL::SM_point_locator<SM_decorator>   SM_point_locator;
   typedef CGAL::SM_walls<Sphere_map>             SM_walls;
 
   typedef typename Base::SHalfedge_handle        SHalfedge_handle;
@@ -51,28 +51,28 @@ class SFace_separator : public Modifier_
     SFace_iterator sf;
     CGAL_forall_sfaces(sf, snc) {
       if(!sf->mark() ||
-	 sf->sface_cycles_begin() == 
-	 sf->sface_cycles_end()) continue;
+         sf->sface_cycles_begin() ==
+         sf->sface_cycles_end()) continue;
 
       SM_decorator SD(&*sf->center_vertex());
 
       SFace_cycle_iterator sfci
-	(++sf->sface_cycles_begin());
+        (++sf->sface_cycles_begin());
       while(sfci != sf->sface_cycles_end()) {
-	SFace_handle sf_new = SD.new_sface();
-	sf_new->mark() = sf->mark();
-	sf_new->volume() = sf->volume();
-	if(sfci.is_shalfedge()) {
-	  SHalfedge_handle se = sfci;
-	  SD.unlink_as_face_cycle(se);
-	  SD.link_as_face_cycle(se,sf_new);
-	} else if(sfci.is_shalfloop()) {
-       	  SHalfloop_handle sl = sfci;
-	  SD.unlink_as_loop(sl);
-	  SD.link_as_loop(sl, sf_new);
-	} else
-	  CGAL_error_msg("there should be no isolated edges");
-	sfci = ++sf->sface_cycles_begin();
+        SFace_handle sf_new = SD.new_sface();
+        sf_new->mark() = sf->mark();
+        sf_new->volume() = sf->volume();
+        if(sfci.is_shalfedge()) {
+          SHalfedge_handle se = sfci;
+          SD.unlink_as_face_cycle(se);
+          SD.link_as_face_cycle(se,sf_new);
+        } else if(sfci.is_shalfloop()) {
+                 SHalfloop_handle sl = sfci;
+          SD.unlink_as_loop(sl);
+          SD.link_as_loop(sl, sf_new);
+        } else
+          CGAL_error_msg("there should be no isolated edges");
+        sfci = ++sf->sface_cycles_begin();
       }
     }
   }
diff -pruN 5.0.2-3/include/CGAL/Convex_decomposition_3/Single_wall_creator2.h 5.0.3-1/include/CGAL/Convex_decomposition_3/Single_wall_creator2.h
--- 5.0.2-3/include/CGAL/Convex_decomposition_3/Single_wall_creator2.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_decomposition_3/Single_wall_creator2.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Single_wall_creator2.h $
-// $Id: Single_wall_creator2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Single_wall_creator2.h $
+// $Id: Single_wall_creator2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_CD3_SINGLE_WALL_CREATOR2_H
@@ -28,7 +28,7 @@ namespace CGAL {
 
 template<typename Nef_>
 class Single_wall_creator2 : public Modifier_base<typename Nef_::SNC_and_PL> {
-  
+
   typedef Nef_                                   Nef_polyhedron;
   typedef typename Nef_polyhedron::SNC_and_PL    SNC_and_PL;
   typedef typename Nef_polyhedron::SNC_structure SNC_structure;
@@ -36,14 +36,14 @@ class Single_wall_creator2 : public Modi
   typedef CGAL::SNC_decorator<SNC_structure>     Base;
   typedef CGAL::SNC_point_locator<Base>          SNC_point_locator;
   typedef CGAL::SNC_intersection<SNC_structure>  SNC_intersection;
-  typedef CGAL::SNC_constructor<Items, SNC_structure>   
+  typedef CGAL::SNC_constructor<Items, SNC_structure>
     SNC_constructor;
 
   typedef typename SNC_structure::Sphere_map     Sphere_map;
-  typedef CGAL::SM_decorator<Sphere_map>         SM_decorator;  
-  typedef CGAL::SM_point_locator<SM_decorator>   SM_point_locator; 
+  typedef CGAL::SM_decorator<Sphere_map>         SM_decorator;
+  typedef CGAL::SM_point_locator<SM_decorator>   SM_point_locator;
   typedef CGAL::SM_walls<Sphere_map>             SM_walls;
-  typedef CGAL::Ray_hit_generator<Nef_polyhedron> Ray_hit;  
+  typedef CGAL::Ray_hit_generator<Nef_polyhedron> Ray_hit;
 
   typedef typename Base::Segment_3               Segment_3;
   typedef typename Base::Point_3                 Point_3;
@@ -70,10 +70,10 @@ class Single_wall_creator2 : public Modi
   Sphere_point spin;
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
   int index1, index2;
-#endif  
+#endif
  public:
   Single_wall_creator2(Halfedge_handle e, Sphere_point sp)
-    : ein(e), spin(sp) 
+    : ein(e), spin(sp)
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
     , index1(0), index2(0)
 #endif
@@ -82,34 +82,34 @@ class Single_wall_creator2 : public Modi
  private:
   bool need_to_create_wall() const {
     CGAL_assertion(ein->point() == Sphere_point(1,0,0) ||
-		   ein->twin()->point() == Sphere_point(1,0,0));
+                   ein->twin()->point() == Sphere_point(1,0,0));
     Sphere_circle c(ein->point(), spin);
     c=normalized(c);
     //    std::cerr << "need_to_create_wall " << ein->point() << ", " << spin << std::endl;
     //    std::cerr << "need_to_create_wall " << c << std::endl;
-    
+
     SHalfedge_around_svertex_circulator svc(ein->out_sedge()), send(svc);
     CGAL_For_all(svc,send) {
       //      std::cerr << "check circles " << svc->circle() << std::endl;
       if(normalized(svc->circle()) == c &&
-	 !Sphere_segment(svc->source()->point(), 
-			 svc->twin()->source()->point(), c).is_long())
-	return false;
+         !Sphere_segment(svc->source()->point(),
+                         svc->twin()->source()->point(), c).is_long())
+        return false;
     }
     return true;
   }
-    
+
  public:
   void operator()(SNC_and_PL& sncpl) {
 
     CGAL_NEF_TRACEN( "Single_wall_creator2: ein " << ein->source()->point()
-	      << "->" << ein->twin()->source()->point() );
+              << "->" << ein->twin()->source()->point() );
     CGAL_NEF_TRACEN( "double coords" << CGAL::to_double(ein->source()->point().x())
-		     << ", " << CGAL::to_double(ein->source()->point().y())
-		     << ", " << CGAL::to_double(ein->source()->point().z()) );
+                     << ", " << CGAL::to_double(ein->source()->point().y())
+                     << ", " << CGAL::to_double(ein->source()->point().z()) );
     CGAL_NEF_TRACEN( "double coords" << CGAL::to_double(ein->twin()->source()->point().x())
-		     << ", " << CGAL::to_double(ein->twin()->source()->point().y())
-		     << ", " << CGAL::to_double(ein->twin()->source()->point().z()) );    
+                     << ", " << CGAL::to_double(ein->twin()->source()->point().y())
+                     << ", " << CGAL::to_double(ein->twin()->source()->point().z()) );
     CGAL_NEF_TRACEN( "Single_wall_creator2: spin " << spin );
 
     if(!need_to_create_wall())
@@ -123,22 +123,22 @@ class Single_wall_creator2 : public Modi
 
     SM_walls SMW_src(&*ein->source());
     SM_walls SMW_tgt(&*ein->twin()->source());
-    Sphere_segment sphere_ray_src(ein->point(), spin);  
-    Sphere_segment sphere_ray_tgt(ein->twin()->point(), spin);    
-    CGAL_assertion(sphere_ray_src.sphere_circle().opposite() == 
-		   sphere_ray_tgt.sphere_circle());
+    Sphere_segment sphere_ray_src(ein->point(), spin);
+    Sphere_segment sphere_ray_tgt(ein->twin()->point(), spin);
+    CGAL_assertion(sphere_ray_src.sphere_circle().opposite() ==
+                   sphere_ray_tgt.sphere_circle());
     SVertex_handle lateral_sv_tgt[2];
     lateral_sv_tgt[0] = SMW_src.add_lateral_svertex(sphere_ray_src);
     lateral_sv_tgt[1] = SMW_tgt.add_lateral_svertex(sphere_ray_tgt);
-    CGAL_NEF_TRACEN("lateral_sv_tgt " << lateral_sv_tgt[0]->point() << 
-		    ", " << lateral_sv_tgt[1]->point());
+    CGAL_NEF_TRACEN("lateral_sv_tgt " << lateral_sv_tgt[0]->point() <<
+                    ", " << lateral_sv_tgt[1]->point());
 
     CGAL_assertion(sphere_ray_src.sphere_circle() == sphere_ray_tgt.sphere_circle().opposite());
 
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
     SMW_src.add_sedge_between(ein, lateral_sv_tgt[0], index1, index2, sphere_ray_src.sphere_circle());
     SMW_tgt.add_sedge_between(ein->twin(), lateral_sv_tgt[1], index2, index1, sphere_ray_tgt.sphere_circle());
-#else 
+#else
     SMW_src.add_sedge_between(ein, lateral_sv_tgt[0], sphere_ray_src.sphere_circle());
     SMW_tgt.add_sedge_between(ein->twin(), lateral_sv_tgt[1], sphere_ray_tgt.sphere_circle());
 #endif
@@ -151,39 +151,39 @@ class Single_wall_creator2 : public Modi
 
       CGAL_NEF_TRACEN( "nachbehandlung: ray " << r );
       CGAL_NEF_TRACEN( "double coords" << CGAL::to_double(r.source().x())
-		<< ", " << CGAL::to_double(r.source().y())
-		<< ", " << CGAL::to_double(r.source().z())
-		<< "->" << CGAL::to_double(r.to_vector().x()) 
-		<< ", " << CGAL::to_double(r.to_vector().y()) 
-		<< ", " << CGAL::to_double(r.to_vector().z()) );
+                << ", " << CGAL::to_double(r.source().y())
+                << ", " << CGAL::to_double(r.source().z())
+                << "->" << CGAL::to_double(r.to_vector().x())
+                << ", " << CGAL::to_double(r.to_vector().y())
+                << ", " << CGAL::to_double(r.to_vector().z()) );
 
       Vertex_handle v = rh.create_vertex_on_first_hit(r);
 
       if(v == lateral_sv_tgt[1]->source()) {
-	lateral_sv_tgt[0]->twin() = lateral_sv_tgt[1];
-	lateral_sv_tgt[1]->twin() = lateral_sv_tgt[0];
+        lateral_sv_tgt[0]->twin() = lateral_sv_tgt[1];
+        lateral_sv_tgt[1]->twin() = lateral_sv_tgt[0];
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
-	lateral_sv_tgt[0]->set_index();
-	lateral_sv_tgt[1]->set_index(lateral_sv_tgt[0]->get_index());
+        lateral_sv_tgt[0]->set_index();
+        lateral_sv_tgt[1]->set_index(lateral_sv_tgt[0]->get_index());
 #endif
-	return;
+        return;
       }
 
- 	SM_walls SMW_tgt(&*v);	
-	SVertex_handle opp = SMW_tgt.add_ray_svertex(lateral_sv_tgt[0]->point().antipode());
-	opp->twin() = lateral_sv_tgt[0];
-	lateral_sv_tgt[0]->twin() = opp;
-#ifndef CGAL_NEF_NO_INDEXED_ITEMS
-	opp->set_index();
-	lateral_sv_tgt[0]->set_index(opp->get_index());
-#endif
-	lateral_sv_tgt[0] = 
-	  SMW_tgt.add_lateral_svertex(Sphere_segment(lateral_sv_tgt[0]->point().antipode(), 
-						     lateral_sv_tgt[0]->point(),c));
+         SM_walls SMW_tgt(&*v);
+        SVertex_handle opp = SMW_tgt.add_ray_svertex(lateral_sv_tgt[0]->point().antipode());
+        opp->twin() = lateral_sv_tgt[0];
+        lateral_sv_tgt[0]->twin() = opp;
+#ifndef CGAL_NEF_NO_INDEXED_ITEMS
+        opp->set_index();
+        lateral_sv_tgt[0]->set_index(opp->get_index());
+#endif
+        lateral_sv_tgt[0] =
+          SMW_tgt.add_lateral_svertex(Sphere_segment(lateral_sv_tgt[0]->point().antipode(),
+                                                     lateral_sv_tgt[0]->point(),c));
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
-	SMW_tgt.add_sedge_between(opp, lateral_sv_tgt[0], index1, index2, c);
+        SMW_tgt.add_sedge_between(opp, lateral_sv_tgt[0], index1, index2, c);
 #else
-	SMW_tgt.add_sedge_between(opp, lateral_sv_tgt[0], c);	
+        SMW_tgt.add_sedge_between(opp, lateral_sv_tgt[0], c);
 #endif
 
     } while(true);
diff -pruN 5.0.2-3/include/CGAL/Convex_decomposition_3/Single_wall_creator3.h 5.0.3-1/include/CGAL/Convex_decomposition_3/Single_wall_creator3.h
--- 5.0.2-3/include/CGAL/Convex_decomposition_3/Single_wall_creator3.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_decomposition_3/Single_wall_creator3.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Single_wall_creator3.h $
-// $Id: Single_wall_creator3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Single_wall_creator3.h $
+// $Id: Single_wall_creator3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_CD3_SINGLE_WALL_CREATOR3_H
@@ -28,7 +28,7 @@ namespace CGAL {
 
 template<typename Nef_>
 class Single_wall_creator3 : public Modifier_base<typename Nef_::SNC_and_PL> {
-  
+
   typedef Nef_                                   Nef_polyhedron;
   typedef typename Nef_polyhedron::SNC_and_PL    SNC_and_PL;
   typedef typename Nef_polyhedron::SNC_structure SNC_structure;
@@ -36,14 +36,14 @@ class Single_wall_creator3 : public Modi
   typedef CGAL::SNC_decorator<SNC_structure>     Base;
   typedef CGAL::SNC_point_locator<Base>          SNC_point_locator;
   typedef CGAL::SNC_intersection<SNC_structure>  SNC_intersection;
-  typedef CGAL::SNC_constructor<Items, SNC_structure>   
+  typedef CGAL::SNC_constructor<Items, SNC_structure>
     SNC_constructor;
 
   typedef typename SNC_structure::Sphere_map     Sphere_map;
-  typedef CGAL::SM_decorator<Sphere_map>         SM_decorator;  
-  typedef CGAL::SM_point_locator<SM_decorator>   SM_point_locator; 
+  typedef CGAL::SM_decorator<Sphere_map>         SM_decorator;
+  typedef CGAL::SM_point_locator<SM_decorator>   SM_point_locator;
   typedef CGAL::SM_walls<Sphere_map>             SM_walls;
-  typedef CGAL::Ray_hit_generator<Nef_polyhedron> Ray_hit;  
+  typedef CGAL::Ray_hit_generator<Nef_polyhedron> Ray_hit;
 
   typedef typename Base::Segment_3               Segment_3;
   typedef typename Base::Point_3                 Point_3;
@@ -70,7 +70,7 @@ class Single_wall_creator3 : public Modi
   Sphere_circle c;
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
   int index1, index2;
-#endif  
+#endif
  public:
   Single_wall_creator3(SHalfedge_handle se)
     : ein(se->source()), c(se->circle().opposite())
@@ -82,30 +82,30 @@ class Single_wall_creator3 : public Modi
  private:
   bool need_to_create_wall() const {
     CGAL_assertion(ein->point() == Sphere_point(1,0,0) ||
-		   ein->twin()->point() == Sphere_point(1,0,0));
+                   ein->twin()->point() == Sphere_point(1,0,0));
 
     SHalfedge_around_svertex_circulator svc(ein->out_sedge()), send(svc);
     CGAL_For_all(svc,send) {
       //      std::cerr << "check circles " << svc->circle() << std::endl;
       if(normalized(svc->circle()) == c &&
-	 !Sphere_segment(svc->source()->point(), 
-			 svc->twin()->source()->point(), c).is_long())
-	return false;
+         !Sphere_segment(svc->source()->point(),
+                         svc->twin()->source()->point(), c).is_long())
+        return false;
     }
     return true;
   }
-    
+
  public:
   void operator()(SNC_and_PL& sncpl) {
 
     CGAL_NEF_TRACEN( "Single_wall_creator3: ein " << ein->source()->point()
-	      << "->" << ein->twin()->source()->point() );
+              << "->" << ein->twin()->source()->point() );
     CGAL_NEF_TRACEN( "double coords" << CGAL::to_double(ein->source()->point().x())
-		     << ", " << CGAL::to_double(ein->source()->point().y())
-		     << ", " << CGAL::to_double(ein->source()->point().z()) );
+                     << ", " << CGAL::to_double(ein->source()->point().y())
+                     << ", " << CGAL::to_double(ein->source()->point().z()) );
     CGAL_NEF_TRACEN( "double coords" << CGAL::to_double(ein->twin()->source()->point().x())
-		     << ", " << CGAL::to_double(ein->twin()->source()->point().y())
-		     << ", " << CGAL::to_double(ein->twin()->source()->point().z()) );    
+                     << ", " << CGAL::to_double(ein->twin()->source()->point().y())
+                     << ", " << CGAL::to_double(ein->twin()->source()->point().z()) );
 
     if(!need_to_create_wall())
       return;
@@ -124,29 +124,29 @@ class Single_wall_creator3 : public Modi
     SVertex_handle lateral_sv_tgt[2];
     lateral_sv_tgt[0] = SMW_src.add_lateral_svertex(sphere_ray_src);
     lateral_sv_tgt[1] = SMW_tgt.add_lateral_svertex(sphere_ray_tgt);
-    CGAL_NEF_TRACEN("lateral_sv_tgt " << lateral_sv_tgt[0]->point() << 
-		    ", " << lateral_sv_tgt[1]->point());
+    CGAL_NEF_TRACEN("lateral_sv_tgt " << lateral_sv_tgt[0]->point() <<
+                    ", " << lateral_sv_tgt[1]->point());
 
-    CGAL_assertion(sphere_ray_src.sphere_circle() == 
-		   sphere_ray_tgt.sphere_circle().opposite());
+    CGAL_assertion(sphere_ray_src.sphere_circle() ==
+                   sphere_ray_tgt.sphere_circle().opposite());
     CGAL_assertion(sphere_ray_src.sphere_circle() == c);
 
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
-    CGAL_assertion(!Sphere_segment(ein->point(), 
-				   lateral_sv_tgt[0]->point(), 
-				   sphere_ray_src.sphere_circle()).is_long());
-    CGAL_assertion(!Sphere_segment(ein->twin()->point(), 
-				   lateral_sv_tgt[1]->point(), 
-				   sphere_ray_tgt.sphere_circle()).is_long());
+    CGAL_assertion(!Sphere_segment(ein->point(),
+                                   lateral_sv_tgt[0]->point(),
+                                   sphere_ray_src.sphere_circle()).is_long());
+    CGAL_assertion(!Sphere_segment(ein->twin()->point(),
+                                   lateral_sv_tgt[1]->point(),
+                                   sphere_ray_tgt.sphere_circle()).is_long());
     SMW_src.add_sedge_between(ein, lateral_sv_tgt[0], index1, index2, sphere_ray_src.sphere_circle());
     SMW_tgt.add_sedge_between(ein->twin(), lateral_sv_tgt[1], index2, index1, sphere_ray_tgt.sphere_circle());
-#else 
-    CGAL_assertion(!Sphere_segment(ein->point(), 
-				   lateral_sv_tgt[0]->point(), 
-				   sphere_ray_src.sphere_circle()).is_long());
-    CGAL_assertion(!Sphere_segment(ein->twin()->point(), 
-				   lateral_sv_tgt[1]->point(), 
-				   sphere_ray_tgt.sphere_circle()).is_long());
+#else
+    CGAL_assertion(!Sphere_segment(ein->point(),
+                                   lateral_sv_tgt[0]->point(),
+                                   sphere_ray_src.sphere_circle()).is_long());
+    CGAL_assertion(!Sphere_segment(ein->twin()->point(),
+                                   lateral_sv_tgt[1]->point(),
+                                   sphere_ray_tgt.sphere_circle()).is_long());
     SMW_src.add_sedge_between(ein, lateral_sv_tgt[0], sphere_ray_src.sphere_circle());
     SMW_tgt.add_sedge_between(ein->twin(), lateral_sv_tgt[1], sphere_ray_tgt.sphere_circle());
 #endif
@@ -157,23 +157,23 @@ class Single_wall_creator3 : public Modi
 
       CGAL_NEF_TRACEN( "nachbehandlung: ray " << r );
       CGAL_NEF_TRACEN( "double coords" << CGAL::to_double(r.source().x())
-		<< ", " << CGAL::to_double(r.source().y())
-		<< ", " << CGAL::to_double(r.source().z())
-		<< "->" << CGAL::to_double(r.to_vector().x()) 
-		<< ", " << CGAL::to_double(r.to_vector().y()) 
-		<< ", " << CGAL::to_double(r.to_vector().z()) );
+                << ", " << CGAL::to_double(r.source().y())
+                << ", " << CGAL::to_double(r.source().z())
+                << "->" << CGAL::to_double(r.to_vector().x())
+                << ", " << CGAL::to_double(r.to_vector().y())
+                << ", " << CGAL::to_double(r.to_vector().z()) );
 
       Vertex_handle v = rh.create_vertex_on_first_hit(r);
 
       if(v == lateral_sv_tgt[1]->source()) {
-	lateral_sv_tgt[0]->twin() = lateral_sv_tgt[1];
-	lateral_sv_tgt[1]->twin() = lateral_sv_tgt[0];
+        lateral_sv_tgt[0]->twin() = lateral_sv_tgt[1];
+        lateral_sv_tgt[1]->twin() = lateral_sv_tgt[0];
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
-	lateral_sv_tgt[0]->set_index();
-	lateral_sv_tgt[1]->set_index(lateral_sv_tgt[0]->get_index());
+        lateral_sv_tgt[0]->set_index();
+        lateral_sv_tgt[1]->set_index(lateral_sv_tgt[0]->get_index());
 #endif
-	pl->add_edge(lateral_sv_tgt[0]);
-	return;
+        pl->add_edge(lateral_sv_tgt[0]);
+        return;
       }
 
       SM_walls SMW_tgt(&*v);
@@ -185,17 +185,17 @@ class Single_wall_creator3 : public Modi
       opp->set_index();
       lateral_sv_tgt[0]->set_index(opp->get_index());
 #endif
-      lateral_sv_tgt[0] = 
-	SMW_tgt.add_lateral_svertex(Sphere_segment(lateral_sv_tgt[0]->point().antipode(), 
-						   lateral_sv_tgt[0]->point(),c));
+      lateral_sv_tgt[0] =
+        SMW_tgt.add_lateral_svertex(Sphere_segment(lateral_sv_tgt[0]->point().antipode(),
+                                                   lateral_sv_tgt[0]->point(),c));
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
       CGAL_assertion(!Sphere_segment(opp->point(), lateral_sv_tgt[0]->point(), c).is_long());
       SMW_tgt.add_sedge_between(opp, lateral_sv_tgt[0], index1, index2, c);
 #else
       CGAL_assertion(!Sphere_segment(opp->point(), lateral_sv_tgt[0]->point(), c).is_long());
-      SMW_tgt.add_sedge_between(opp, lateral_sv_tgt[0], c);	
+      SMW_tgt.add_sedge_between(opp, lateral_sv_tgt[0], c);
 #endif
-      
+
     } while(true);
   }
 };
diff -pruN 5.0.2-3/include/CGAL/Convex_decomposition_3/Single_wall_creator.h 5.0.3-1/include/CGAL/Convex_decomposition_3/Single_wall_creator.h
--- 5.0.2-3/include/CGAL/Convex_decomposition_3/Single_wall_creator.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_decomposition_3/Single_wall_creator.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Single_wall_creator.h $
-// $Id: Single_wall_creator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/Single_wall_creator.h $
+// $Id: Single_wall_creator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_CD3_SINGLE_WALL_CREATOR_H
@@ -27,7 +27,7 @@ namespace CGAL {
 
 template<typename Nef_>
 class Single_wall_creator : public Modifier_base<typename Nef_::SNC_and_PL> {
-  
+
   typedef Nef_                                    Nef_polyhedron;
   typedef typename Nef_polyhedron::SNC_and_PL     SNC_and_PL;
   typedef typename Nef_polyhedron::SNC_structure  SNC_structure;
@@ -39,10 +39,10 @@ class Single_wall_creator : public Modif
     SNC_constructor;
 
   typedef typename SNC_structure::Sphere_map      Sphere_map;
-  typedef CGAL::SM_decorator<Sphere_map>          SM_decorator;  
-  typedef CGAL::SM_point_locator<SM_decorator>    SM_point_locator; 
+  typedef CGAL::SM_decorator<Sphere_map>          SM_decorator;
+  typedef CGAL::SM_point_locator<SM_decorator>    SM_point_locator;
   typedef CGAL::SM_walls<Sphere_map>              SM_walls;
-  typedef CGAL::Ray_hit_generator<Nef_polyhedron> Ray_hit;  
+  typedef CGAL::Ray_hit_generator<Nef_polyhedron> Ray_hit;
 
   typedef typename Base::Segment_3               Segment_3;
   typedef typename Base::Point_3                 Point_3;
@@ -71,10 +71,10 @@ class Single_wall_creator : public Modif
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
   int index1, index2;
 #endif
-  
+
  public:
   Single_wall_creator(SVertex_handle e, Vector_3 d)
-    : ein(e), dir(d) 
+    : ein(e), dir(d)
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
     , index1(0), index2(0)
 #endif
@@ -86,7 +86,7 @@ class Single_wall_creator : public Modif
     CGAL_assertion(Sphere_point(CGAL::ORIGIN - dir) != ein->point());
     CGAL_assertion(Sphere_point(CGAL::ORIGIN - dir) != ein->twin()->point());
 
-    
+
     Vertex_handle origin[2];
     origin[0] = ein->source();
     origin[1] = ein->target();
@@ -112,50 +112,50 @@ class Single_wall_creator : public Modif
       CGAL_NEF_TRACEN( "check " << sv0->point() << "+" << sv1->point() );
       SHalfedge_around_svertex_circulator sh0(sv0->out_sedge()), send0(sh0);
       CGAL_For_all(sh0,send0)
-	if(sh0->twin()->source() == ein &&
-	   Sphere_segment(sh0->source()->point(),
-			  sh0->twin()->source()->point(),
-			  sh0->circle()).is_short()) {
-	  SHalfedge_around_svertex_circulator sh1(sv1->out_sedge()), send1(sh1);
-	  CGAL_For_all(sh1,send1)
-	    if(sh1->twin()->source() == ein->twin() &&
-	       Sphere_segment(sh1->source()->point(),
-			      sh1->twin()->source()->point(),
-			      sh1->circle()).is_short()) {
-	      CGAL_NEF_TRACEN( "did not process edge " );
-	      CGAL_NEF_TRACEN( "check " << sh0->source()->point() << 
-			       "->" << sh0->twin()->source()->point() );
-	      CGAL_NEF_TRACEN( "check " << sh1->source()->point() << 
-			       "->" << sh1->twin()->source()->point() );
-	      return false;
-	    }
-	  CGAL_error_msg( "should not happen on one side only");
-	}
+        if(sh0->twin()->source() == ein &&
+           Sphere_segment(sh0->source()->point(),
+                          sh0->twin()->source()->point(),
+                          sh0->circle()).is_short()) {
+          SHalfedge_around_svertex_circulator sh1(sv1->out_sedge()), send1(sh1);
+          CGAL_For_all(sh1,send1)
+            if(sh1->twin()->source() == ein->twin() &&
+               Sphere_segment(sh1->source()->point(),
+                              sh1->twin()->source()->point(),
+                              sh1->circle()).is_short()) {
+              CGAL_NEF_TRACEN( "did not process edge " );
+              CGAL_NEF_TRACEN( "check " << sh0->source()->point() <<
+                               "->" << sh0->twin()->source()->point() );
+              CGAL_NEF_TRACEN( "check " << sh1->source()->point() <<
+                               "->" << sh1->twin()->source()->point() );
+              return false;
+            }
+          CGAL_error_msg( "should not happen on one side only");
+        }
     }
 
     // TODO: check if cycle already exists
 
-    if(!legal[0] || !legal[1]) 
-      return false;    
+    if(!legal[0] || !legal[1])
+      return false;
 
     return true;
   }
-    
+
   SVertex_handle create_new_outer_cycle(SVertex_handle estart, Sphere_circle c) {
 
-    CGAL_NEF_TRACEN( "create new outer cycle " << 
-		     estart->source()->point() << " to " <<
-		     estart->twin()->source()->point());
+    CGAL_NEF_TRACEN( "create new outer cycle " <<
+                     estart->source()->point() << " to " <<
+                     estart->twin()->source()->point());
     CGAL_NEF_TRACEN( "double coords" << CGAL::to_double(estart->source()->point().x())
-		     << ", " << CGAL::to_double(estart->source()->point().y())
-		     << ", " << CGAL::to_double(estart->source()->point().z()) );
+                     << ", " << CGAL::to_double(estart->source()->point().y())
+                     << ", " << CGAL::to_double(estart->source()->point().z()) );
     CGAL_NEF_TRACEN( "double coords" << CGAL::to_double(estart->twin()->source()->point().x())
-		     << ", " << CGAL::to_double(estart->twin()->source()->point().y())
-		     << ", " << CGAL::to_double(estart->twin()->source()->point().z()) );
+                     << ", " << CGAL::to_double(estart->twin()->source()->point().y())
+                     << ", " << CGAL::to_double(estart->twin()->source()->point().z()) );
 
     SM_walls SMW(&*estart->source());
     Sphere_segment sphere_ray(estart->point(), estart->twin()->point(), c);
-    SVertex_handle lateral_svertex = 
+    SVertex_handle lateral_svertex =
       SMW.add_lateral_svertex(sphere_ray);
 
     /*
@@ -178,24 +178,24 @@ class Single_wall_creator : public Modif
 
     /* ???
     CGAL_assertion_code
-      (Sphere_segment test2(estart->point(), 
-			    lateral_svertex->point(), c));
+      (Sphere_segment test2(estart->point(),
+                            lateral_svertex->point(), c));
     CGAL_assertion(test2.has_on(Sphere_point(dir)));
     CGAL_assertion(test2.has_on(Sphere_point(-dir)));
     */
 
     Ray_hit rh(sncp, pl, 3);
-    Ray_3 r(lateral_svertex->source()->point(), 
-	    lateral_svertex->point()-CGAL::ORIGIN);
+    Ray_3 r(lateral_svertex->source()->point(),
+            lateral_svertex->point()-CGAL::ORIGIN);
     Vertex_handle v = rh.create_vertex_on_first_hit(r);
 
     while(v != estart->twin()->source()) {
-      
+
       CGAL_NEF_TRACEN( "current vertex " << v->point() );
 
       CGAL_NEF_TRACEN( "double coords" << CGAL::to_double(v->point().x())
-		       << ", " << CGAL::to_double(v->point().y())
-		       << ", " << CGAL::to_double(v->point().z()) );
+                       << ", " << CGAL::to_double(v->point().y())
+                       << ", " << CGAL::to_double(v->point().z()) );
 
       CGAL_NEF_TRACEN( "SM_walls " << v->point() );
       SM_walls smw(&*v);
@@ -209,11 +209,11 @@ class Single_wall_creator : public Modif
 #endif
       pl->add_edge(lateral_svertex);
 
-      CGAL_NEF_TRACEN( "twins " << lateral_svertex->point() 
-		       << " + " << opp->point() );
+      CGAL_NEF_TRACEN( "twins " << lateral_svertex->point()
+                       << " + " << opp->point() );
 
-      sphere_ray = Sphere_segment(lateral_svertex->point().antipode(), 
-				  lateral_svertex->point(), c);
+      sphere_ray = Sphere_segment(lateral_svertex->point().antipode(),
+                                  lateral_svertex->point(), c);
       lateral_svertex = smw.add_lateral_svertex(sphere_ray);
 
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
@@ -226,12 +226,12 @@ class Single_wall_creator : public Modif
       r = Ray_3(lateral_svertex->source()->point(), lateral_svertex->point()-CGAL::ORIGIN);
       v = rh.create_vertex_on_first_hit(r);
     }
-    
+
     CGAL_NEF_TRACEN( "last current vertex " << v->point() );
 
     CGAL_NEF_TRACEN( "SM_walls " << v->point() );
     SM_walls smw(&*v);
-    SVertex_handle opp = 
+    SVertex_handle opp =
       smw.add_ray_svertex(lateral_svertex->point().antipode());
     opp->twin() = lateral_svertex;
     lateral_svertex->twin() = opp;
@@ -248,8 +248,8 @@ class Single_wall_creator : public Modif
     smw.add_sedge_between(opp, estart->twin(), c);
 #endif
 
-    CGAL_NEF_TRACEN( "final twins " << lateral_svertex->source()->point() 
-		     << " + " << opp->source()->point() );
+    CGAL_NEF_TRACEN( "final twins " << lateral_svertex->source()->point()
+                     << " + " << opp->source()->point() );
 
     return lateral_svertex;
   }
@@ -266,8 +266,8 @@ class Single_wall_creator : public Modif
       CGAL_NEF_TRACEN( "current vertex " << v->point() );
 
       CGAL_NEF_TRACEN( "double coords" << CGAL::to_double(v->point().x())
-		       << ", " << CGAL::to_double(v->point().y())
-		       << ", " << CGAL::to_double(v->point().z()) );
+                       << ", " << CGAL::to_double(v->point().y())
+                       << ", " << CGAL::to_double(v->point().z()) );
 
       CGAL_NEF_TRACEN( "SM_walls " << v->point() );
       SM_walls smw(&*v);
@@ -280,11 +280,11 @@ class Single_wall_creator : public Modif
 #endif
       pl->add_edge(lateral_svertex);
 
-      CGAL_NEF_TRACEN( "twins " << lateral_svertex->source()->point() 
-		       << " + " << opp->source()->point() );
+      CGAL_NEF_TRACEN( "twins " << lateral_svertex->source()->point()
+                       << " + " << opp->source()->point() );
 
-      Sphere_segment sphere_ray = Sphere_segment(lateral_svertex->point().antipode(), 
-				  lateral_svertex->point(), c);
+      Sphere_segment sphere_ray = Sphere_segment(lateral_svertex->point().antipode(),
+                                  lateral_svertex->point(), c);
       lateral_svertex = smw.add_lateral_svertex(sphere_ray);
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
     smw.add_sedge_between(opp, lateral_svertex, index1, index2, c);
@@ -299,12 +299,12 @@ class Single_wall_creator : public Modif
       v = rh.create_vertex_on_first_hit(r);
       //      CGAL_NEF_SETDTHREAD(1);
     } while(v != estart->source());
-    
+
     CGAL_NEF_TRACEN( "last current vertex " << v->point() );
 
     CGAL_NEF_TRACEN( "SM_walls " << v->point() );
     SM_walls smw(&*v);
-    SVertex_handle opp = smw.add_ray_svertex(lateral_svertex->point().antipode());    
+    SVertex_handle opp = smw.add_ray_svertex(lateral_svertex->point().antipode());
     opp->twin() = lateral_svertex;
     lateral_svertex->twin() = opp;
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
@@ -315,8 +315,8 @@ class Single_wall_creator : public Modif
 
     //    smw.add_sedge_between(opp, estart->twin(), c);
 
-    //    CGAL_NEF_TRACEN( "final twins " << lateral_svertex->source()->point() 
-    //		     << " + " << opp->source()->point() );
+    //    CGAL_NEF_TRACEN( "final twins " << lateral_svertex->source()->point()
+    //                     << " + " << opp->source()->point() );
   }
 
  public:
@@ -343,23 +343,23 @@ class Single_wall_creator : public Modif
     c = normalized(c);
     do {
       ein = target_svertex->twin(); // for subsequent runs of the loop
-      SVertex_handle svopen = 
-	create_new_outer_cycle(ein, c);
+      SVertex_handle svopen =
+        create_new_outer_cycle(ein, c);
 
       if(ein->twin() != target_svertex) {
-	// TODO: what indexes are needed here?
-	SHalfedge_handle seopen = svopen->out_sedge();
-	while(seopen->circle() == c || seopen->circle() == c.opposite())
-	  seopen = seopen->sprev()->twin();
-	CGAL_assertion(seopen->circle() != c &&
-		       seopen->circle() != c.opposite());
-	CGAL_NEF_TRACEN("found open sedge " << seopen->source()->point()
-			<< "->" << seopen->twin()->source()->point()
-			<< ":" << seopen->circle());
-	// TODO: what if ein is isloated
-	insert_into_outer_cycle(svopen, seopen->circle().opposite());
+        // TODO: what indexes are needed here?
+        SHalfedge_handle seopen = svopen->out_sedge();
+        while(seopen->circle() == c || seopen->circle() == c.opposite())
+          seopen = seopen->sprev()->twin();
+        CGAL_assertion(seopen->circle() != c &&
+                       seopen->circle() != c.opposite());
+        CGAL_NEF_TRACEN("found open sedge " << seopen->source()->point()
+                        << "->" << seopen->twin()->source()->point()
+                        << ":" << seopen->circle());
+        // TODO: what if ein is isloated
+        insert_into_outer_cycle(svopen, seopen->circle().opposite());
       }
-	
+
     } while(ein->twin() != target_svertex);
 
   }
diff -pruN 5.0.2-3/include/CGAL/Convex_decomposition_3/SM_walls.h 5.0.3-1/include/CGAL/Convex_decomposition_3/SM_walls.h
--- 5.0.2-3/include/CGAL/Convex_decomposition_3/SM_walls.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_decomposition_3/SM_walls.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/SM_walls.h $
-// $Id: SM_walls.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/SM_walls.h $
+// $Id: SM_walls.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_CD3_SM_WALLS_H
@@ -33,7 +33,7 @@ class SM_walls : SM_decorator<SMap> {
   typedef typename Base::Sphere_circle    Sphere_circle;
   typedef typename Base::Sphere_direction Sphere_direction;
   typedef typename Base::Sphere_segment   Sphere_segment;
-  
+
   typedef typename Base::SVertex_handle   SVertex_handle;
   typedef typename Base::SFace_handle     SFace_handle;
   typedef typename Base::SHalfedge_handle SHalfedge_handle;
@@ -46,13 +46,13 @@ class SM_walls : SM_decorator<SMap> {
   typedef typename Sphere_point::FT             FT;
 
 
-  typedef typename Base::SHalfedge_around_svertex_circulator 
+  typedef typename Base::SHalfedge_around_svertex_circulator
     SHalfedge_around_svertex_circulator ;
-  typedef typename Base::SHalfedge_around_sface_circulator 
+  typedef typename Base::SHalfedge_around_sface_circulator
     SHalfedge_around_sface_circulator ;
   typedef typename Base::SFace_cycle_iterator
     SFace_cycle_iterator;
-  
+
   using Base::new_svertex;
   using Base::link_as_face_cycle;
   using Base::unlink_as_face_cycle;
@@ -72,25 +72,25 @@ class SM_walls : SM_decorator<SMap> {
 
   SHalfedge_handle find_cap(SVertex_handle sv, Sphere_point sp, Sphere_circle c) {
     CGAL_USE(sp);
-    CGAL_NEF_TRACEN( "find_cap " << sv->source()->point() << ":" << sv->point() 
-	      << " , sp : " << sp );
+    CGAL_NEF_TRACEN( "find_cap " << sv->source()->point() << ":" << sv->point()
+              << " , sp : " << sp );
     /*
     SHalfedge_handle se = sv->out_sedge();
     if(se != SHalfedge_handle())
       while(CGAL::spherical_orientation(cas(se)->twin()->source()->point(),
-					sp,
-					se->twin()->source()->point()) > 0)
-	se = cas(se);    
+                                        sp,
+                                        se->twin()->source()->point()) > 0)
+        se = cas(se);
 
     if(se != SHalfedge_handle()) {
-      CGAL_assertion(Sphere_circle(sv->point(),sp) != 
-		     Sphere_circle(sv->point(), se->twin()->source()->point()));
+      CGAL_assertion(Sphere_circle(sv->point(),sp) !=
+                     Sphere_circle(sv->point(), se->twin()->source()->point()));
     }
     */
-    
+
     SM_decorator SD(&*sv->source());
     if( SD.is_isolated(sv))
-      return SHalfedge_handle();    
+      return SHalfedge_handle();
 
     //    Sphere_circle c(sv->point(), sp);
     CGAL_NEF_TRACEN( "sv    " << sv->point() );
@@ -100,7 +100,7 @@ class SM_walls : SM_decorator<SMap> {
     Plane_3 pl(Point_3(0,0,0),Vector_3(sv->point()-CGAL::ORIGIN));
     Sphere_circle cc(pl);
 
-    SHalfedge_around_svertex_circulator shnext(sh);      
+    SHalfedge_around_svertex_circulator shnext(sh);
     ++shnext;
     if(sh == shnext)
       return sh;
@@ -114,20 +114,20 @@ class SM_walls : SM_decorator<SMap> {
       Sphere_segment seg(sh->circle().orthogonal_vector(), shnext->circle().orthogonal_vector(),cc);
       CGAL_NEF_TRACEN( "seg " << seg );
       if(seg.has_on(c.orthogonal_vector()))
-	return sh;
+        return sh;
     }
     CGAL_error_msg( "should not be executed");
     return SHalfedge_handle();
   }
 
   void insert_new_svertex_into_sedge(SVertex_handle sv, SHalfedge_handle se) {
-    
-    CGAL_NEF_TRACEN( "insert new svertex into sedge " << sv->point() << " | " 
-	      << se->source()->point() << "->" << se->twin()->source()->point() );
+
+    CGAL_NEF_TRACEN( "insert new svertex into sedge " << sv->point() << " | "
+              << se->source()->point() << "->" << se->twin()->source()->point() );
 
     CGAL_NEF_TRACEN( "double coords " << CGAL::to_double(sv->point().x())
-	      << ", " << CGAL::to_double(sv->point().y())
-	      << ", " << CGAL::to_double(sv->point().z()) );
+              << ", " << CGAL::to_double(sv->point().y())
+              << ", " << CGAL::to_double(sv->point().z()) );
 
     //    SM_decorator SD(sphere_map());
     //    SM_io_parser<SM_decorator>::dump(SD,std::cerr);
@@ -141,7 +141,7 @@ class SM_walls : SM_decorator<SMap> {
 
     se_new->circle() = se->circle();
     CGAL_assertion(se_new->circle().has_on(se_new->source()->point()) &&
-		   se_new->circle().has_on(se_opp->source()->point()));
+                   se_new->circle().has_on(se_opp->source()->point()));
     se_opp->circle() = se->twin()->circle();
     se->twin()->source() = sv;
     se_new->mark() = se_opp->mark() = se->mark();
@@ -228,31 +228,31 @@ class SM_walls : SM_decorator<SMap> {
     if(assign(sv, o)) {
       CGAL_NEF_TRACEN( "  found svertex " << sv->point() );
       if(is_isolated(sv))
-	return sv->incident_sface()->mark();
+        return sv->incident_sface()->mark();
       else {
-	bool collinear;
-	Sphere_direction d(seg.sphere_circle().opposite());
-	SHalfedge_handle e_res = P.out_wedge(sv, d, collinear);
-	if(collinear) {
-	  CGAL_NEF_TRACEN(" collinear ");
-	  o = Object_handle(e_res);
-	  return false;
-	} else {
+        bool collinear;
+        Sphere_direction d(seg.sphere_circle().opposite());
+        SHalfedge_handle e_res = P.out_wedge(sv, d, collinear);
+        if(collinear) {
+          CGAL_NEF_TRACEN(" collinear ");
+          o = Object_handle(e_res);
+          return false;
+        } else {
           if ( e_res->circle().has_on_negative_side(seg.source()) )
             e_res = e_res->sprev();
-	  o = Object_handle(e_res->incident_sface());
-	  CGAL_NEF_TRACEN("  sface " << e_res->incident_sface()->mark());
-	  return e_res->incident_sface()->mark();
-	}
+          o = Object_handle(e_res->incident_sface());
+          CGAL_NEF_TRACEN("  sface " << e_res->incident_sface()->mark());
+          return e_res->incident_sface()->mark();
+        }
       }
     }
     */
     if(assign(sf, o)) {
       CGAL_NEF_TRACEN( "  found sface" );
       return sf->mark();
-    } 
+    }
 
-    /*    
+    /*
     if(assign(se,o))
       CGAL_error_msg("wrong handle");
 
@@ -268,10 +268,10 @@ class SM_walls : SM_decorator<SMap> {
     SM_point_locator pl(this->sphere_map());
     Object_handle o = pl.locate(sp);
     //        CGAL_NEF_SETDTHREAD(1);
-	
+
     if(assign(sv, o))
       return false;
-    
+
     SHalfedge_handle se;
     if(assign(se, o)) {
       sv = new_svertex(sp);
@@ -279,17 +279,17 @@ class SM_walls : SM_decorator<SMap> {
       insert_new_svertex_into_sedge(sv, se);
       return true;
     }
-    
+
     SFace_handle sf;
     if(assign(sf, o)) {
       if(sf->mark() == false)
-	return false;
+        return false;
       sv = new_svertex(sp);
       sv->mark() = sf->mark();
       link_as_isolated_vertex(sv, sf);
       return true;
     }
-    
+
     SHalfloop_handle sl;
     if(assign(sl, o)) {
       sv = new_svertex(sp);
@@ -297,11 +297,11 @@ class SM_walls : SM_decorator<SMap> {
       insert_new_svertex_into_sloop(sv, sl);
       return true;
     }
-    
+
     CGAL_error_msg( "wrong handle");
     return false;
   }
-  
+
   SVertex_handle add_ray_svertex(Sphere_point sp) {
 
     CGAL_NEF_TRACEN( "add_ray_svertex " << sp );
@@ -315,7 +315,7 @@ class SM_walls : SM_decorator<SMap> {
 
     return add_svertex_into_object(sp,o);
   }
-  
+
   SVertex_handle add_svertex_into_object(Sphere_point sp, Object_handle o) {
 
     CGAL_NEF_TRACEN( "add_svertex_into_object " << sp );
@@ -333,7 +333,7 @@ class SM_walls : SM_decorator<SMap> {
       link_as_isolated_vertex(sv,sf);
       return sv;
     }
-    
+
     if(assign(sv, o)) {
       CGAL_NEF_TRACEN( "  found svertex" );
       return sv;
@@ -347,7 +347,7 @@ class SM_walls : SM_decorator<SMap> {
       insert_new_svertex_into_sedge(sv, se);
       return sv;
     }
-    
+
     SHalfloop_handle sl;
     if(assign(sl, o)) {
       CGAL_NEF_TRACEN( " found sloop" );
@@ -361,9 +361,9 @@ class SM_walls : SM_decorator<SMap> {
     return SVertex_handle();
   }
 
-  SVertex_handle add_lateral_svertex(Sphere_segment sphere_ray, 
-				     bool compare_to_dir = false, 
-				     const Sphere_point& dir = Sphere_point()) {
+  SVertex_handle add_lateral_svertex(Sphere_segment sphere_ray,
+                                     bool compare_to_dir = false,
+                                     const Sphere_point& dir = Sphere_point()) {
 
     CGAL_NEF_TRACEN( "add_lateral_svertex " << sphere_ray );
 
@@ -372,11 +372,11 @@ class SM_walls : SM_decorator<SMap> {
     Sphere_point sp1(sphere_ray.source());
     Sphere_point sp2(sphere_ray.target());
     CGAL_NEF_TRACEN( "double coords " << CGAL::to_double(sp1.x())
-	      << ", " << CGAL::to_double(sp1.y())
-	      << ", " << CGAL::to_double(sp1.z())
-	      << "->" << CGAL::to_double(sp2.x())
-	      << ", " << CGAL::to_double(sp2.y())
-	      << ", " << CGAL::to_double(sp2.z()) );
+              << ", " << CGAL::to_double(sp1.y())
+              << ", " << CGAL::to_double(sp1.z())
+              << "->" << CGAL::to_double(sp2.x())
+              << ", " << CGAL::to_double(sp2.y())
+              << ", " << CGAL::to_double(sp2.z()) );
 
     Sphere_point ip;
     SM_point_locator P(this->sphere_map());
@@ -384,13 +384,13 @@ class SM_walls : SM_decorator<SMap> {
     if(compare_to_dir && dir != sphere_ray.source() && dir != ip) {
       Sphere_segment test_seg(sphere_ray.source(), ip, sphere_ray.sphere_circle());
       if(test_seg.has_on(dir)) {
-	SFace_handle sf;
-	o = P.locate(dir);
-	CGAL_assertion(assign(sf,o));
-	SVertex_handle sv = new_svertex(Sphere_point(dir));
-	sv->mark() = sf->mark();
-	link_as_isolated_vertex(sv, sf);
-	return sv;
+        SFace_handle sf;
+        o = P.locate(dir);
+        CGAL_assertion(assign(sf,o));
+        SVertex_handle sv = new_svertex(Sphere_point(dir));
+        sv->mark() = sf->mark();
+        link_as_isolated_vertex(sv, sf);
+        return sv;
       }
     }
 
@@ -401,9 +401,9 @@ class SM_walls : SM_decorator<SMap> {
       SVertex_handle sv = new_svertex(ip);
       sv->mark() = se->mark();
       insert_new_svertex_into_sedge(sv,se);
-      return sv;    
+      return sv;
     }
-    
+
     SVertex_handle sv;
     if(assign(sv,o)) {
       CGAL_NEF_TRACEN( "  found svertex " << sv->point() );
@@ -434,37 +434,37 @@ class SM_walls : SM_decorator<SMap> {
       */
       return sv;
     }
-    
+
     CGAL_error_msg( "wrong handle");
     return SVertex_handle();
   }
 
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
-  void add_sedge_between(SVertex_handle sv1, SVertex_handle sv2, 
-			 int& index1, int& index2,
-			 Sphere_circle c) {
+  void add_sedge_between(SVertex_handle sv1, SVertex_handle sv2,
+                         int& index1, int& index2,
+                         Sphere_circle c) {
 
 #else
-  void add_sedge_between(SVertex_handle sv1, SVertex_handle sv2, 
-			 Sphere_circle c) { // = Sphere_circle(sv1->point(),sv2->point())) {
+  void add_sedge_between(SVertex_handle sv1, SVertex_handle sv2,
+                         Sphere_circle c) { // = Sphere_circle(sv1->point(),sv2->point())) {
 #endif
-    CGAL_NEF_TRACEN( "add sedges between " << sv1->point() 
-	      << ", " << sv2->point() 
-	      << " at " << sv1->source()->point() );
+    CGAL_NEF_TRACEN( "add sedges between " << sv1->point()
+              << ", " << sv2->point()
+              << " at " << sv1->source()->point() );
 
     bool split_sface = true;
 
     if(is_isolated(sv1)) {
       split_sface = false;
       if(!is_sm_boundary_object(sv1)) {
-	CGAL_NEF_TRACEN( "error " << sv1->point() << "at " << sv1->source()->point() );
+        CGAL_NEF_TRACEN( "error " << sv1->point() << "at " << sv1->source()->point() );
       }
       unlink_as_isolated_vertex(sv1);
     }
     if(is_isolated(sv2)) {
       split_sface = false;
       if(!is_sm_boundary_object(sv2)) {
-	CGAL_NEF_TRACEN( "error " << sv2->point() << "at " << sv2->source()->point() );
+        CGAL_NEF_TRACEN( "error " << sv2->point() << "at " << sv2->source()->point() );
       }
       unlink_as_isolated_vertex(sv2);
     }
@@ -474,57 +474,57 @@ class SM_walls : SM_decorator<SMap> {
     SHalfedge_handle cap2 = find_cap(sv2,sv1->point(),c.opposite());
     if(cap2 != SHalfedge_handle()) CGAL_assertion(cap2->source()==sv2);
 
-    if(split_sface && 
+    if(split_sface &&
        cap1->incident_sface() == cap2->incident_sface()) {
       SHalfedge_around_sface_circulator sfc(cap1), send(sfc);
       CGAL_For_all(sfc,send)
-	if(is_sm_boundary_object(sfc))
-	  unlink_as_face_cycle(sfc);
+        if(is_sm_boundary_object(sfc))
+          unlink_as_face_cycle(sfc);
     }
 
     /*
      bool same_sface;
      SHalfedge_handle entry;
 
-     if(split_sface) {      
-       same_sface = 
-	 cap1->incident_sface() == cap2->incident_sface();
+     if(split_sface) {
+       same_sface =
+         cap1->incident_sface() == cap2->incident_sface();
 
       std::cerr << "cap1 " << cap1->source()->point()
-		 << "->" << cap1->twin()->source()->point() << std::endl;
+                 << "->" << cap1->twin()->source()->point() << std::endl;
        std::cerr << "cap2 " << cap2->source()->point()
-		 << "->" << cap2->twin()->source()->point() << std::endl;
+                 << "->" << cap2->twin()->source()->point() << std::endl;
 
        if(same_sface) {
-	 SHalfedge_around_sface_circulator sfc(cap1), send(sfc);
-	 CGAL_For_all(sfc,send) {
-	   std::cerr << "check " << sfc->source()->point()
-		     << "->" << sfc->twin()->source()->point() << std::endl;
-	   if(is_sm_boundary_object(sfc))
-	     entry = sfc;
-	   if(sfc == cap2)
-	     same_sface = false;
-	 }
+         SHalfedge_around_sface_circulator sfc(cap1), send(sfc);
+         CGAL_For_all(sfc,send) {
+           std::cerr << "check " << sfc->source()->point()
+                     << "->" << sfc->twin()->source()->point() << std::endl;
+           if(is_sm_boundary_object(sfc))
+             entry = sfc;
+           if(sfc == cap2)
+             same_sface = false;
+         }
        }
      }
     */
     SHalfedge_handle se_new;
     if(cap1 != SHalfedge_handle()) {
       if(cap2 != SHalfedge_handle())
-	se_new = new_shalfedge_pair(cap1, cap2, this->AFTER, this->AFTER);
-      else 
-	se_new = new_shalfedge_pair(cap1, sv2, this->AFTER);
+        se_new = new_shalfedge_pair(cap1, cap2, this->AFTER, this->AFTER);
+      else
+        se_new = new_shalfedge_pair(cap1, sv2, this->AFTER);
       se_new->incident_sface() = se_new->twin()->incident_sface() = cap1->incident_sface();
     } else {
       if(cap2 != SHalfedge_handle()) {
-	se_new = new_shalfedge_pair(sv1, cap2, this->AFTER);
-	se_new->incident_sface() = se_new->twin()->incident_sface() = cap2->incident_sface();
+        se_new = new_shalfedge_pair(sv1, cap2, this->AFTER);
+        se_new->incident_sface() = se_new->twin()->incident_sface() = cap2->incident_sface();
       } else {
-	se_new = new_shalfedge_pair(sv1, sv2);
-	se_new->incident_sface() = se_new->twin()->incident_sface() = sv1->incident_sface();
+        se_new = new_shalfedge_pair(sv1, sv2);
+        se_new->incident_sface() = se_new->twin()->incident_sface() = sv1->incident_sface();
       }
     }
-    
+
     se_new->mark() = se_new->twin()->mark() = se_new->incident_sface()->mark();
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
     CGAL_assertion(index1==0 || index1!=index2);
@@ -533,16 +533,16 @@ class SM_walls : SM_decorator<SMap> {
       se_new->twin()->set_index();
       index1 = se_new->get_index();
       index2 = se_new->twin()->get_index();
-    } else { 
+    } else {
       se_new->set_index(index1);
       se_new->twin()->set_index(index2);
     }
-#endif 
-    CGAL_NEF_TRACEN( sv1->point() << "->" << sv2->point() << "==" 
-	      << se_new->source()->point() << "->" << se_new->twin()->source()->point() );
+#endif
+    CGAL_NEF_TRACEN( sv1->point() << "->" << sv2->point() << "=="
+              << se_new->source()->point() << "->" << se_new->twin()->source()->point() );
 
-    CGAL_assertion(sv1 == se_new->source() && 
-		   sv2 == se_new->twin()->source());
+    CGAL_assertion(sv1 == se_new->source() &&
+                   sv2 == se_new->twin()->source());
 
     se_new->circle() = c;
     se_new->twin()->circle() = c.opposite();
@@ -552,27 +552,27 @@ class SM_walls : SM_decorator<SMap> {
 
     if(split_sface) {
       if(cap1->incident_sface() == cap2->incident_sface()) {
-	SFace_handle sf_new = this->new_sface();
-	SFace_handle sf_old = cap1->incident_sface();
-      
-	CGAL_NEF_TRACEN("sf_new->mark()=" << sf_old->mark());
-	sf_new->mark() = sf_old->mark();
-	CGAL_assertion(sf_old->mark());
-	link_as_face_cycle(se_new, sf_new);
-	link_as_face_cycle(se_new->twin(), sf_old);
+        SFace_handle sf_new = this->new_sface();
+        SFace_handle sf_old = cap1->incident_sface();
+
+        CGAL_NEF_TRACEN("sf_new->mark()=" << sf_old->mark());
+        sf_new->mark() = sf_old->mark();
+        CGAL_assertion(sf_old->mark());
+        link_as_face_cycle(se_new, sf_new);
+        link_as_face_cycle(se_new->twin(), sf_old);
       } else {
-	/*
-	SHalfedge_handle se = cap2;
-	while(se->incident_sface() != cap1->incident_sface()) {
-	  se->incident_sface() = cap1->incident_sface();
-	  se=se->snext();
-	}
-	*/
-	SFace_handle sf1 = cap1->incident_sface();
-	delete_face(cap2->incident_sface());
-	// TODO: some relinkings are redundant
-	SHalfedge_around_sface_circulator hfc(cap1), hend(hfc);
-	CGAL_For_all(hfc,hend) hfc->incident_sface() = sf1;	
+        /*
+        SHalfedge_handle se = cap2;
+        while(se->incident_sface() != cap1->incident_sface()) {
+          se->incident_sface() = cap1->incident_sface();
+          se=se->snext();
+        }
+        */
+        SFace_handle sf1 = cap1->incident_sface();
+        delete_face(cap2->incident_sface());
+        // TODO: some relinkings are redundant
+        SHalfedge_around_sface_circulator hfc(cap1), hend(hfc);
+        CGAL_For_all(hfc,hend) hfc->incident_sface() = sf1;
       }
     }
 
@@ -580,7 +580,7 @@ class SM_walls : SM_decorator<SMap> {
     //    SM_io_parser<SM_decorator>::dump(SD1,std::cerr);
 
     // TODO: handle inner face cycles
-  }    
+  }
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Convex_decomposition_3/YVertical_wall_builder.h 5.0.3-1/include/CGAL/Convex_decomposition_3/YVertical_wall_builder.h
--- 5.0.2-3/include/CGAL/Convex_decomposition_3/YVertical_wall_builder.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_decomposition_3/YVertical_wall_builder.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/YVertical_wall_builder.h $
-// $Id: YVertical_wall_builder.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_decomposition_3/include/CGAL/Convex_decomposition_3/YVertical_wall_builder.h $
+// $Id: YVertical_wall_builder.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_CD3_YVERTICAL_WALL_BUILDER_H
@@ -60,41 +60,41 @@ class YVertical_wall_builder : public Mo
 
  public:
   YVertical_wall_builder() {}
-    
+
   void operator()(SNC_and_PL& sncpl) {
     SNC_structure* sncp(sncpl.sncp);
 
     SFace_iterator sfi;
     CGAL_forall_sfaces(sfi, *sncp)
       if(sncp->is_boundary_object(sfi))
-	sncp->undef_boundary_item(sfi);
+        sncp->undef_boundary_item(sfi);
 
     Halfedge_iterator ei;
     CGAL_forall_halfedges(ei, *sncp) {
       if(ei->point() != Sphere_point(1,0,0)) continue;
-      SHalfedge_around_svertex_circulator 
-	svc(ei->out_sedge()), send(svc);
+      SHalfedge_around_svertex_circulator
+        svc(ei->out_sedge()), send(svc);
       CGAL_For_all(svc, send) {
-	if(!svc->incident_sface()->mark()) continue;
-	if(!CGAL::is_reflex_sedge_in_any_direction<SNC_structure>(svc))
-	  continue;
-	redges.push_back(ei);
-	break;
+        if(!svc->incident_sface()->mark()) continue;
+        if(!CGAL::is_reflex_sedge_in_any_direction<SNC_structure>(svc))
+          continue;
+        redges.push_back(ei);
+        break;
       }
     }
-    
+
     Vertical_redge_iterator vri;
     for(vri = redges_begin(); vri != redges_end(); ++vri) {
       Halfedge_handle ei(*vri);
-      SHalfedge_around_svertex_circulator 
-	svc(ei->out_sedge()), send(svc);
+      SHalfedge_around_svertex_circulator
+        svc(ei->out_sedge()), send(svc);
       CGAL_For_all(svc, send) {
-	if(!svc->incident_sface()->mark()) continue;
-	if(!CGAL::is_reflex_sedge_in_any_direction<SNC_structure>(svc))
-	  continue;
-	Single_wall3 W(svc);
-	W(sncpl);
-	break;
+        if(!svc->incident_sface()->mark()) continue;
+        if(!CGAL::is_reflex_sedge_in_any_direction<SNC_structure>(svc))
+          continue;
+        Single_wall3 W(svc);
+        W(sncpl);
+        break;
       }
     }
 
diff -pruN 5.0.2-3/include/CGAL/convex_decomposition_3.h 5.0.3-1/include/CGAL/convex_decomposition_3.h
--- 5.0.2-3/include/CGAL/convex_decomposition_3.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/convex_decomposition_3.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_decomposition_3/include/CGAL/convex_decomposition_3.h $
-// $Id: convex_decomposition_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_decomposition_3/include/CGAL/convex_decomposition_3.h $
+// $Id: convex_decomposition_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_CONVEX_DECOMPOSITION_3_H
@@ -26,8 +26,8 @@
 #include <CGAL/Convex_decomposition_3/Edge_sorter.h>
 #include <CGAL/Convex_decomposition_3/is_reflex_sedge.h>
 
-/*! 
-  \file convex_decomposition_3.h 
+/*!
+  \file convex_decomposition_3.h
 */
 
 
@@ -37,30 +37,30 @@ namespace CGAL {
 /*!
 \ingroup PkgConvexDecomposition3Ref
 
-The function `convex_decomposition_3()` inserts additional facets 
-into the given `Nef_polyhedron_3` `N`, such that each bounded 
-marked volume (the outer volume is unbounded) is subdivided into convex 
-pieces. The modified polyhedron represents a decomposition into 
-\f$ O(r^2)\f$ convex pieces, where \f$ r\f$ is the number of edges that have two 
-adjacent facets that span an angle of more than 180 degrees with 
-respect to the interior of the polyhedron. 
-
-The worst-case running time of our implementation is 
-\f$ O(n^2r^4\sqrt[3]{nr^2}\log{(nr)})\f$, where \f$ n\f$ is the complexity of 
-the polyhedron (the complexity of a `Nef_polyhedron_3` is the sum 
-of its `Vertices`, `Halfedges` and `SHalfedges`) and \f$ r\f$ 
-is the number of reflex edges. 
+The function `convex_decomposition_3()` inserts additional facets
+into the given `Nef_polyhedron_3` `N`, such that each bounded
+marked volume (the outer volume is unbounded) is subdivided into convex
+pieces. The modified polyhedron represents a decomposition into
+\f$ O(r^2)\f$ convex pieces, where \f$ r\f$ is the number of edges that have two
+adjacent facets that span an angle of more than 180 degrees with
+respect to the interior of the polyhedron.
+
+The worst-case running time of our implementation is
+\f$ O(n^2r^4\sqrt[3]{nr^2}\log{(nr)})\f$, where \f$ n\f$ is the complexity of
+the polyhedron (the complexity of a `Nef_polyhedron_3` is the sum
+of its `Vertices`, `Halfedges` and `SHalfedges`) and \f$ r\f$
+is the number of reflex edges.
 
-\pre The polyhedron `N` is bounded. Otherwise, the outer volume is ignored. 
+\pre The polyhedron `N` is bounded. Otherwise, the outer volume is ignored.
 
-\post If the polyhedron `N` is non-convex, it is modified to represent the 
-convex decomposition. If `N` is convex, it is not modified. 
+\post If the polyhedron `N` is non-convex, it is modified to represent the
+convex decomposition. If `N` is convex, it is not modified.
 
-\sa `CGAL::Nef_polyhedron_3<Traits>` 
+\sa `CGAL::Nef_polyhedron_3<Traits>`
 
 */
 template<typename Nef_polyhedron>
-void convex_decomposition_3(Nef_polyhedron& N) 
+void convex_decomposition_3(Nef_polyhedron& N)
 {
   typedef typename Nef_polyhedron::SNC_structure  SNC_structure;
   typedef typename SNC_structure::Halfedge_handle Halfedge_handle;
@@ -77,9 +77,9 @@ void convex_decomposition_3(Nef_polyhedr
   typedef typename CGAL::SFace_separator<Nef_polyhedron> SFace_separator;
 
   typedef Compare_halfedges_in_reflex_edge_sorter<Halfedge_handle, std::less<Point_3> >
-	  Less_edges;
+          Less_edges;
   typedef Compare_halfedges_in_reflex_edge_sorter<Halfedge_handle, std::greater<Point_3> >
-	  Greater_edges;
+          Greater_edges;
 
   typedef typename std::multiset<Halfedge_handle, Less_edges> Negatively_sorted_set;
   typedef typename std::multiset<Halfedge_handle, Greater_edges> Positively_sorted_set;
@@ -87,7 +87,7 @@ void convex_decomposition_3(Nef_polyhedr
   typedef typename Negatively_sorted_set::const_iterator  Negative_reflex_edge_iterator;
 
   typedef typename CGAL::Reflex_edge_searcher<Nef_polyhedron, Positively_sorted_set, Negatively_sorted_set>
-	  Reflex_edge_searcher;
+          Reflex_edge_searcher;
 
   typedef typename CGAL::Edge_sorter<Nef_polyhedron, std::less<FT>, Negatively_sorted_set> Edge_sorter;
   typedef typename CGAL::Edge_sorter<Nef_polyhedron, std::greater<FT>, Positively_sorted_set> Edge_sorter2;
@@ -98,17 +98,17 @@ void convex_decomposition_3(Nef_polyhedr
 
   Reflex_edge_searcher res(Sphere_point(1,0,0));
   N.delegate(res,false,false);
-  
+
   Edge_sorter es(res.get_negative_redges());
   N.delegate(es);
-  
+
   Negative_reflex_edge_iterator nrei;
   for(nrei=res.negative_redges_begin(); nrei!=res.negative_redges_end(); ++nrei) {
     Halfedge_handle e = (*nrei);
-    
+
     Single_wall W(e,Vector_3(-1,0,0));
     if(!W.need_to_create_wall()) continue;
-    
+
     Reflex_vertex_searcher rvs(Sphere_point(1,0,0));
     if(rvs.need_to_shoot(e, true)) {
       Ray_hit2 rh2a(Vector_3(-1,0,0), e->source());
@@ -117,38 +117,38 @@ void convex_decomposition_3(Nef_polyhedr
     if(rvs.need_to_shoot(e->twin(), true)) {
       Ray_hit2 rh2a(Vector_3(-1,0,0), e->twin()->source());
       N.delegate(rh2a);
-    }  
+    }
   }
-  
+
   // int i=0;
   for(nrei=res.negative_redges_begin(); nrei!=res.negative_redges_end(); ++nrei) {
     Halfedge_handle e = (*nrei);
     if(e->point().hx() > 0)
       e = e->twin();
     Single_wall W(e,Vector_3(-1,0,0));
-    if(!W.need_to_create_wall()) continue;    
+    if(!W.need_to_create_wall()) continue;
     N.delegate(W);
   }
-  
+
   N.delegate(esb);
   N.delegate(res, false, false);
-  
+
   CGAL_assertion(N.is_valid(0,0));
-  
+
   Reflex_edge_searcher& res2 = res;
-  
+
   Edge_sorter2 es2(res2.get_positive_redges());
   N.delegate(es2);
-  
+
   Positive_reflex_edge_iterator prei;
   for(prei=res2.positive_redges_begin(); prei!=res2.positive_redges_end(); ++prei) {
     Halfedge_handle e = (*prei);
-    
+
     CGAL_assertion(e->source()->point() >
-		   e->twin()->source()->point());
+                   e->twin()->source()->point());
     Single_wall W(e,Vector_3(1,0,0));
     if(!W.need_to_create_wall()) continue;
-    
+
     Reflex_vertex_searcher rvs(Sphere_point(1,0,0));
     if(rvs.need_to_shoot(e, false)) {
       Ray_hit2 rh2a(Vector_3(1,0,0), e->source());
@@ -159,7 +159,7 @@ void convex_decomposition_3(Nef_polyhedr
       N.delegate(rh2a);
     }
   }
-  
+
   // i=0;
   for(prei=res2.positive_redges_begin(); prei!=res2.positive_redges_end(); ++prei) {
     Halfedge_handle e = (*prei);
@@ -167,13 +167,13 @@ void convex_decomposition_3(Nef_polyhedr
     if(!W.need_to_create_wall()) continue;
     N.delegate(W);
   }
-  
-  N.delegate(esb);    
+
+  N.delegate(esb);
   CGAL_assertion(N.is_valid(0,0));
-  
+
   YVertical_wall_builder Y;
   N.delegate(Y,false,false);
-  
+
   N.delegate(esb);
 
   CGAL_assertion_code(typename Nef_polyhedron::SHalfedge_const_iterator cse);
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_2/ch_akl_toussaint_impl.h 5.0.3-1/include/CGAL/Convex_hull_2/ch_akl_toussaint_impl.h
--- 5.0.2-3/include/CGAL/Convex_hull_2/ch_akl_toussaint_impl.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_2/ch_akl_toussaint_impl.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/Convex_hull_2/ch_akl_toussaint_impl.h $
-// $Id: ch_akl_toussaint_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/Convex_hull_2/ch_akl_toussaint_impl.h $
+// $Id: ch_akl_toussaint_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -32,9 +32,9 @@
 
 namespace CGAL {
 
-  
+
 namespace internal{
-  
+
 template <class ForwardIterator, class Traits>
 inline
 std::tuple<ForwardIterator,ForwardIterator,ForwardIterator,ForwardIterator>
@@ -46,9 +46,9 @@ ch_nswe_point_with_order( ForwardIterato
                           const Traits& ch_traits,
                           std::forward_iterator_tag  )
 {
-  typename Traits::Less_xy_2    
+  typename Traits::Less_xy_2
       lexicographically_xy_smaller = ch_traits.less_xy_2_object();
-  typename Traits::Less_yx_2    
+  typename Traits::Less_yx_2
       lexicographically_yx_smaller = ch_traits.less_yx_2_object();
   n = s = w = e = first;
   unsigned i=0;
@@ -71,16 +71,16 @@ ch_nswe_point_with_order( ForwardIterato
   }
   ForwardIterator iterators[4]={w,e,n,s};
   std::sort(positions,positions+4);
-  
-  return std::make_tuple( 
+
+  return std::make_tuple(
     iterators[positions[0].second],
     iterators[positions[1].second],
     iterators[positions[2].second],
     iterators[positions[3].second]
   );
 }
-  
-  
+
+
 template <class RandomAccessIterator, class Traits>
 inline
 std::tuple<RandomAccessIterator,RandomAccessIterator,RandomAccessIterator,RandomAccessIterator>
@@ -95,8 +95,8 @@ ch_nswe_point_with_order( RandomAccessIt
   ch_nswe_point(first,last,n,s,w,e,ch_traits);
   RandomAccessIterator iterators[4]={w,e,n,s};
   std::sort(iterators,iterators+4);
-  
-  return std::make_tuple( 
+
+  return std::make_tuple(
     iterators[0],
     iterators[1],
     iterators[2],
@@ -121,7 +121,7 @@ ch_nswe_point_with_order( ForwardIterato
 
 template <class ForwardIterator,class Traits>
 inline
-void ch_akl_toussaint_assign_points_to_regions(ForwardIterator first, ForwardIterator last, 
+void ch_akl_toussaint_assign_points_to_regions(ForwardIterator first, ForwardIterator last,
                                                const typename Traits::Left_turn_2&  left_turn,
                                                ForwardIterator e,
                                                ForwardIterator w,
@@ -135,7 +135,7 @@ void ch_akl_toussaint_assign_points_to_r
 {
   for ( ; first != last; ++first )
   {
-    if ( left_turn(*e, *w, *first ) )   
+    if ( left_turn(*e, *w, *first ) )
     {
         if ( left_turn( *s, *w, *first ) )       region1.push_back( *first );
         else if ( left_turn( *e, *s, *first ) )  region2.push_back( *first );
@@ -145,12 +145,12 @@ void ch_akl_toussaint_assign_points_to_r
         if ( left_turn( *n, *e, *first ) )       region3.push_back( *first );
         else if ( left_turn( *w, *n, *first ) )  region4.push_back( *first );
     }
-  }  
+  }
 }
 
 template <class ForwardIterator,class Traits>
 inline
-void ch_akl_toussaint_assign_points_to_regions_deg(ForwardIterator first, ForwardIterator last, 
+void ch_akl_toussaint_assign_points_to_regions_deg(ForwardIterator first, ForwardIterator last,
                                                    const typename Traits::Left_turn_2&  left_turn,
                                                    ForwardIterator e,
                                                    ForwardIterator w,
@@ -170,12 +170,12 @@ void ch_akl_toussaint_assign_points_to_r
     {
       typename Traits::Orientation_2 orient = traits.orientation_2_object();
       for ( ; first != last; ++first )
-      {   
+      {
         switch( orient(*e,*w,*first) ){
-          case LEFT_TURN: 
+          case LEFT_TURN:
             r1.push_back( *first );
           break;
-          case RIGHT_TURN: 
+          case RIGHT_TURN:
             r3.push_back( *first );
           break;
           default:
@@ -201,7 +201,7 @@ void ch_akl_toussaint_assign_points_to_r
       for ( ; first != last; ++first )
       {
         //note that e!=w and s!=n except if the convex hull is a point (they are lexicographically sorted)
-        if ( left_turn(*e, *w, *first ) )   
+        if ( left_turn(*e, *w, *first ) )
         {
             if (s!=w && left_turn( *s, *w, *first ) )       region1.push_back( *first );
             else if (e!=s && left_turn( *e, *s, *first ) )  region2.push_back( *first );
@@ -217,25 +217,25 @@ void ch_akl_toussaint_assign_points_to_r
 
 template <class ForwardIterator, class OutputIterator, class Traits>
 OutputIterator
-ch_akl_toussaint(ForwardIterator first, ForwardIterator last, 
+ch_akl_toussaint(ForwardIterator first, ForwardIterator last,
                  OutputIterator  result,
                  const Traits&   ch_traits)
 {
   using namespace boost;
 
-  typedef  typename Traits::Point_2                    Point_2;    
+  typedef  typename Traits::Point_2                    Point_2;
   typedef  typename Traits::Left_turn_2                Left_of_line;
-  // added 
+  // added
   typedef  typename Traits::Equal_2                    Equal_2;
-  
+
   Left_of_line  left_turn        = ch_traits.left_turn_2_object();
-  Equal_2       equal_points     = ch_traits.equal_2_object();  
+  Equal_2       equal_points     = ch_traits.equal_2_object();
 
   if (first == last) return result;
   ForwardIterator n, s, e, w;
   std::tuple<ForwardIterator,ForwardIterator,ForwardIterator,ForwardIterator> ranges=
     internal::ch_nswe_point_with_order( first, last, n, s, w, e, ch_traits);
-  
+
   if (equal_points(*n, *s) )
   {
       *result = *w;  ++result;
@@ -256,25 +256,25 @@ ch_akl_toussaint(ForwardIterator first,
   region4.push_back( *n);
 
   CGAL_ch_postcondition_code( ForwardIterator save_first = first; )
-  
+
   int duplicated_exteme_points =  (std::get<0>(ranges)==std::get<1>(ranges)?1:0) +
                                   (std::get<1>(ranges)==std::get<2>(ranges)?1:0) +
                                   (std::get<2>(ranges)==std::get<3>(ranges)?1:0);
-  
+
   //several calls to avoid filter failures when using n,s,e,w
   if (duplicated_exteme_points)
   {
     internal::ch_akl_toussaint_assign_points_to_regions_deg(first,std::get<0>(ranges),left_turn,e,w,n,s,region1,region2,region3,region4,duplicated_exteme_points,ch_traits);
-    
+
     if ( std::get<0>(ranges)!=std::get<1>(ranges) )
       internal::ch_akl_toussaint_assign_points_to_regions_deg(std::next(std::get<0>(ranges)),std::get<1>(ranges),left_turn,e,w,n,s,region1,region2,region3,region4,duplicated_exteme_points,ch_traits);
-    
+
     if ( std::get<1>(ranges)!=std::get<2>(ranges) )
       internal::ch_akl_toussaint_assign_points_to_regions_deg(std::next(std::get<1>(ranges)),std::get<2>(ranges),left_turn,e,w,n,s,region1,region2,region3,region4,duplicated_exteme_points,ch_traits);
-    
+
     if ( std::get<2>(ranges)!=std::get<3>(ranges) )
       internal::ch_akl_toussaint_assign_points_to_regions_deg(std::next(std::get<2>(ranges)),std::get<3>(ranges),left_turn,e,w,n,s,region1,region2,region3,region4,duplicated_exteme_points,ch_traits);
-    
+
     internal::ch_akl_toussaint_assign_points_to_regions_deg(std::next(std::get<3>(ranges)),last,left_turn,e,w,n,s,region1,region2,region3,region4,duplicated_exteme_points,ch_traits);
   }
   else{
@@ -284,26 +284,26 @@ ch_akl_toussaint(ForwardIterator first,
     internal::ch_akl_toussaint_assign_points_to_regions(std::next(std::get<2>(ranges)),std::get<3>(ranges),left_turn,e,w,n,s,region1,region2,region3,region4,ch_traits);
     internal::ch_akl_toussaint_assign_points_to_regions(std::next(std::get<3>(ranges)),last,left_turn,e,w,n,s,region1,region2,region3,region4,ch_traits);
   }
-  
+
   #if defined(CGAL_CH_NO_POSTCONDITIONS) || defined(CGAL_NO_POSTCONDITIONS) \
     || defined(NDEBUG)
   OutputIterator  res(result);
   #else
   Tee_for_output_iterator<OutputIterator,Point_2> res(result);
   #endif // no postconditions ...
-  std::sort( std::next(region1.begin() ), region1.end(), 
+  std::sort( std::next(region1.begin() ), region1.end(),
              ch_traits.less_xy_2_object() );
-  std::sort( std::next(region2.begin() ), region2.end(), 
+  std::sort( std::next(region2.begin() ), region2.end(),
              ch_traits.less_xy_2_object() );
   std::sort( std::next(region3.begin() ), region3.end(),
              boost::bind(ch_traits.less_xy_2_object(), _2, _1) );
-  std::sort( std::next(region4.begin() ), region4.end(), 
+  std::sort( std::next(region4.begin() ), region4.end(),
              boost::bind(ch_traits.less_xy_2_object(), _2, _1) );
 
   if (! equal_points(*w,*s) )
   {
       region1.push_back( *s );
-      ch__ref_graham_andrew_scan( region1.begin(), region1.end(), 
+      ch__ref_graham_andrew_scan( region1.begin(), region1.end(),
                                        res, ch_traits);
   }
   if (! equal_points(*s,*e) )
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_2/ch_assertions.h 5.0.3-1/include/CGAL/Convex_hull_2/ch_assertions.h
--- 5.0.2-3/include/CGAL/Convex_hull_2/ch_assertions.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_2/ch_assertions.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/Convex_hull_2/ch_assertions.h $
-// $Id: ch_assertions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/Convex_hull_2/ch_assertions.h $
+// $Id: ch_assertions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman, Sven Schoenherr
 //
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_2/ch_bykat_impl.h 5.0.3-1/include/CGAL/Convex_hull_2/ch_bykat_impl.h
--- 5.0.2-3/include/CGAL/Convex_hull_2/ch_bykat_impl.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_2/ch_bykat_impl.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/Convex_hull_2/ch_bykat_impl.h $
-// $Id: ch_bykat_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/Convex_hull_2/ch_bykat_impl.h $
+// $Id: ch_bykat_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -31,7 +31,7 @@
 namespace CGAL {
 template <class InputIterator, class OutputIterator, class Traits>
 OutputIterator
-ch_bykat(InputIterator first, InputIterator last, 
+ch_bykat(InputIterator first, InputIterator last,
               OutputIterator  result,
               const Traits& ch_traits)
 {
@@ -40,18 +40,18 @@ ch_bykat(InputIterator first, InputItera
   typedef typename Traits::Point_2                         Point_2;
   typedef typename Traits::Left_turn_2                     Left_turn_2;
   typedef typename Traits::Less_signed_distance_to_line_2  Less_dist;
-  typedef typename Traits::Equal_2                         Equal_2; 
-  
+  typedef typename Traits::Equal_2                         Equal_2;
+
   Left_turn_2 left_turn    = ch_traits.left_turn_2_object();
   Less_dist   less_dist    = ch_traits.less_signed_distance_to_line_2_object();
-  Equal_2     equal_points = ch_traits.equal_2_object();         
+  Equal_2     equal_points = ch_traits.equal_2_object();
 
   if (first == last) return result;
 
   std::vector< Point_2 >       P (first, last);      // Points in subsets
   std::vector< Point_2 >       H;      // right endpoints of subproblems
   H.reserve(16);
-  
+
   typedef typename std::vector< Point_2 >::iterator   PointIterator;
   std::vector< PointIterator > L;      // start of subset range
   std::vector< PointIterator > R;      // end of subset range
@@ -59,11 +59,11 @@ ch_bykat(InputIterator first, InputItera
   R.reserve(16);
   PointIterator           l;
   PointIterator           r;
-  
+
   ch_we_point(P.begin(), P.end(), l, r, ch_traits);
   Point_2 a = *l;
   Point_2 b = *r;
-  if (equal_points(a,b)) 
+  if (equal_points(a,b))
   {
       *result = a;  ++result;
       return result;
@@ -79,7 +79,7 @@ ch_bykat(InputIterator first, InputItera
   R.push_back( l = std::partition(P.begin(), P.end(),
                                   boost::bind(left_turn, boost::cref(a), boost::cref(b), _1)));
   r = std::partition( l, P.end(), boost::bind(left_turn, boost::cref(b), boost::cref(a), _1));
-  
+
   for (;;)
   {
       if ( l != r)
@@ -89,7 +89,7 @@ ch_bykat(InputIterator first, InputItera
           L.push_back( l );
           R.push_back( l = std::partition(l, r, boost::bind(left_turn, boost::cref(b), boost::cref(c), _1)));
           r = std::partition(l, r, boost::bind(left_turn, boost::cref(c), boost::cref(a), _1));
-          b = c; 
+          b = c;
       }
       else
       {
@@ -121,7 +121,7 @@ ch_bykat(InputIterator first, InputItera
 #define CGAL_ch_THRESHOLD 10
 template <class InputIterator, class OutputIterator, class Traits>
 OutputIterator
-ch_bykat_with_threshold(InputIterator   first, InputIterator last, 
+ch_bykat_with_threshold(InputIterator   first, InputIterator last,
                              OutputIterator  result,
                              const Traits&   ch_traits)
 {
@@ -129,13 +129,13 @@ ch_bykat_with_threshold(InputIterator
 
   typedef typename Traits::Point_2               Point_2;
   typedef typename Traits::Left_turn_2            Left_turn_2;
-  typedef typename Traits::Less_signed_distance_to_line_2     
+  typedef typename Traits::Less_signed_distance_to_line_2
                                                  Less_dist;
-  typedef typename std::vector< Point_2 >::iterator   
+  typedef typename std::vector< Point_2 >::iterator
                                                  PointIterator;
-  typedef typename Traits::Equal_2                         Equal_2; 
-  
-  Equal_2     equal_points = ch_traits.equal_2_object();         
+  typedef typename Traits::Equal_2                         Equal_2;
+
+  Equal_2     equal_points = ch_traits.equal_2_object();
 
   if (first == last) return result;
 
@@ -150,7 +150,7 @@ ch_bykat_with_threshold(InputIterator
   PointIterator           l;
   PointIterator           r;
   PointIterator           Pbegin, Pend;
-  
+
   P.push_back(Point_2() );
   std::copy(first,last,std::back_inserter(P));
   P.push_back(Point_2() );
@@ -159,7 +159,7 @@ ch_bykat_with_threshold(InputIterator
   ch_we_point(Pbegin, Pend, l, r, ch_traits);
   Point_2 a = *l;
   Point_2 b = *r;
-  if (equal_points(a,b)) 
+  if (equal_points(a,b))
   {
       *result = a;  ++result;
       return result;
@@ -175,7 +175,7 @@ ch_bykat_with_threshold(InputIterator
   Left_turn_2 left_turn = ch_traits.left_turn_2_object();
   R.push_back( l = std::partition( Pbegin, Pend,  boost::bind(left_turn, boost::cref(a), boost::cref(b), _1)));
   r = std::partition( l, Pend, boost::bind(left_turn, boost::cref(b), boost::cref(a), _1));
-  
+
   Less_dist less_dist = ch_traits.less_signed_distance_to_line_2_object();
   for (;;)
   {
@@ -188,7 +188,7 @@ ch_bykat_with_threshold(InputIterator
               L.push_back( l );
               R.push_back( l = std::partition(l, r, boost::bind(left_turn, boost::cref(b), boost::cref(c), _1)));
               r = std::partition(l, r, boost::bind(left_turn, boost::cref(c), boost::cref(a), _1));
-              b = c; 
+              b = c;
           }
           else
           {
@@ -196,12 +196,12 @@ ch_bykat_with_threshold(InputIterator
               std::swap( b, *++r);
               if ( ch_traits.less_xy_2_object()(*l,*r) )
               {
-		std::sort(std::next(l), r, 
-			  ch_traits.less_xy_2_object() );
+                std::sort(std::next(l), r,
+                          ch_traits.less_xy_2_object() );
               }
               else
               {
-		std::sort(std::next(l), r, 
+                std::sort(std::next(l), r,
                             boost::bind(ch_traits.less_xy_2_object(), _2, _1) );
               }
               ch__ref_graham_andrew_scan(l, std::next(r), res, ch_traits);
@@ -213,7 +213,7 @@ ch_bykat_with_threshold(InputIterator
               l = L.back(); L.pop_back();
               r = R.back(); R.pop_back();
           }
-              
+
       }
       else
       {
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_2/ch_eddy_impl.h 5.0.3-1/include/CGAL/Convex_hull_2/ch_eddy_impl.h
--- 5.0.2-3/include/CGAL/Convex_hull_2/ch_eddy_impl.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_2/ch_eddy_impl.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/Convex_hull_2/ch_eddy_impl.h $
-// $Id: ch_eddy_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/Convex_hull_2/ch_eddy_impl.h $
+// $Id: ch_eddy_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -31,18 +31,18 @@ namespace CGAL {
 
 template <class List, class ListIterator, class Traits>
 void
-ch__recursive_eddy(List& L, 
-                        ListIterator  a_it, ListIterator  b_it, 
+ch__recursive_eddy(List& L,
+                        ListIterator  a_it, ListIterator  b_it,
                         const Traits& ch_traits)
 {
   using namespace boost;
 
-  typedef  typename Traits::Point_2                         Point_2;    
+  typedef  typename Traits::Point_2                         Point_2;
   typedef  typename Traits::Left_turn_2                     Left_turn_2;
   typedef  typename Traits::Less_signed_distance_to_line_2  Less_dist;
 
   Left_turn_2 left_turn    = ch_traits.left_turn_2_object();
-  
+
   CGAL_ch_precondition( \
     std::find_if(a_it, b_it, \
                  boost::bind(left_turn, *b_it, *a_it, _1)) \
@@ -51,7 +51,7 @@ ch__recursive_eddy(List& L,
 
   ListIterator f_it = std::next(a_it);
   Less_dist less_dist = ch_traits.less_signed_distance_to_line_2_object();
-  ListIterator 
+  ListIterator
       c_it = std::min_element( f_it, b_it,  // max before
                                boost::bind(less_dist, *a_it, *b_it, _1, _2));
   Point_2 c = *c_it;
@@ -79,12 +79,12 @@ ch_eddy(InputIterator first, InputIterat
 {
   using namespace boost;
 
-  typedef  typename Traits::Point_2                         Point_2;    
+  typedef  typename Traits::Point_2                         Point_2;
   typedef  typename Traits::Left_turn_2                     Left_turn_2;
-  typedef  typename Traits::Equal_2                         Equal_2;   
+  typedef  typename Traits::Equal_2                         Equal_2;
 
-  Left_turn_2 left_turn    = ch_traits.left_turn_2_object();  
-  Equal_2     equal_points = ch_traits.equal_2_object();   
+  Left_turn_2 left_turn    = ch_traits.left_turn_2_object();
+  Equal_2     equal_points = ch_traits.equal_2_object();
 
   if (first == last) return result;
   std::list< Point_2 >   L (first, last);
@@ -102,8 +102,8 @@ ch_eddy(InputIterator first, InputIterat
 
   L.erase(w);
   L.erase(e);
-  
-  e = std::partition(L.begin(), L.end(), 
+
+  e = std::partition(L.begin(), L.end(),
                      boost::bind(left_turn, ep, wp, _1) );
   L.push_front(wp);
   e = L.insert(e, ep);
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_2/ch_graham_andrew_impl.h 5.0.3-1/include/CGAL/Convex_hull_2/ch_graham_andrew_impl.h
--- 5.0.2-3/include/CGAL/Convex_hull_2/ch_graham_andrew_impl.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_2/ch_graham_andrew_impl.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/Convex_hull_2/ch_graham_andrew_impl.h $
-// $Id: ch_graham_andrew_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/Convex_hull_2/ch_graham_andrew_impl.h $
+// $Id: ch_graham_andrew_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -62,9 +62,9 @@ ch_graham_andrew_scan( BidirectionalIter
   if ( iter != last )
   {
       S.push_back( iter );
-      typedef typename std::vector<BidirectionalIterator>::reverse_iterator  
+      typedef typename std::vector<BidirectionalIterator>::reverse_iterator
               rev_iterator;
-      rev_iterator  stack_rev_iter = S.rbegin(); 
+      rev_iterator  stack_rev_iter = S.rbegin();
       alpha = iter;
       beta  = *++stack_rev_iter;
 
@@ -154,9 +154,9 @@ ch__ref_graham_andrew_scan( Bidirectiona
   if ( iter != last )
   {
       S.push_back( iter );
-      typedef typename std::vector<BidirectionalIterator>::reverse_iterator  
+      typedef typename std::vector<BidirectionalIterator>::reverse_iterator
               rev_iterator;
-      rev_iterator  stack_rev_iter = S.rbegin(); 
+      rev_iterator  stack_rev_iter = S.rbegin();
       alpha = iter;
       beta  = *++stack_rev_iter;
 
@@ -195,9 +195,9 @@ ch_graham_andrew( InputIterator  first,
                        const Traits&  ch_traits)
 {
   typedef  typename Traits::Point_2     Point_2;
-  typedef  typename Traits::Equal_2      Equal_2;  
-  
-  Equal_2      equal_points = ch_traits.equal_2_object();  
+  typedef  typename Traits::Equal_2      Equal_2;
+
+  Equal_2      equal_points = ch_traits.equal_2_object();
 
   if (first == last) return result;
   std::vector< Point_2 >  V (first, last);
@@ -241,9 +241,9 @@ ch_lower_hull_scan( InputIterator  first
                          const Traits&  ch_traits)
 {
   typedef  typename Traits::Point_2      Point_2;
-  typedef  typename Traits::Equal_2      Equal_2;  
-  
-  Equal_2      equal_points = ch_traits.equal_2_object();    
+  typedef  typename Traits::Equal_2      Equal_2;
+
+  Equal_2      equal_points = ch_traits.equal_2_object();
 
   if (first == last) return result;
   std::vector< Point_2 >  V (first, last);
@@ -276,9 +276,9 @@ ch_upper_hull_scan( InputIterator  first
                          const Traits&  ch_traits)
 {
   typedef  typename Traits::Point_2      Point_2;
-  typedef  typename Traits::Equal_2      Equal_2;  
-  
-  Equal_2      equal_points = ch_traits.equal_2_object();     
+  typedef  typename Traits::Equal_2      Equal_2;
+
+  Equal_2      equal_points = ch_traits.equal_2_object();
 
   if (first == last) return result;
   std::vector< Point_2 >  V (first, last);
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_2/ch_jarvis_impl.h 5.0.3-1/include/CGAL/Convex_hull_2/ch_jarvis_impl.h
--- 5.0.2-3/include/CGAL/Convex_hull_2/ch_jarvis_impl.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_2/ch_jarvis_impl.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/Convex_hull_2/ch_jarvis_impl.h $
-// $Id: ch_jarvis_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/Convex_hull_2/ch_jarvis_impl.h $
+// $Id: ch_jarvis_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -28,12 +28,12 @@
 
 namespace CGAL {
 
-template <class ForwardIterator, class OutputIterator, 
+template <class ForwardIterator, class OutputIterator,
           class Point, class Traits>
 OutputIterator
 ch_jarvis_march(ForwardIterator first, ForwardIterator last,
-                const Point& start_p, 
-                const Point& stop_p, 
+                const Point& start_p,
+                const Point& stop_p,
                 OutputIterator  result,
                 const Traits& ch_traits)
 {
@@ -41,10 +41,10 @@ ch_jarvis_march(ForwardIterator first, F
 
   if (first == last) return result;
   typedef   typename Traits::Less_rotate_ccw_2     Less_rotate_ccw;
-  typedef   typename Traits::Equal_2               Equal_2; 
-  
-  Equal_2     equal_points = ch_traits.equal_2_object();     
-  
+  typedef   typename Traits::Equal_2               Equal_2;
+
+  Equal_2     equal_points = ch_traits.equal_2_object();
+
   #if defined(CGAL_CH_NO_POSTCONDITIONS) || defined(CGAL_NO_POSTCONDITIONS) \
     || defined(NDEBUG)
   OutputIterator  res(result);
@@ -56,15 +56,15 @@ ch_jarvis_march(ForwardIterator first, F
       int count_points = 0; )
   CGAL_ch_assertion_code( \
       for (ForwardIterator fit = first; fit!= last; ++fit) ++count_points; )
-  Less_rotate_ccw  
+  Less_rotate_ccw
       rotation_predicate = ch_traits.less_rotate_ccw_2_object( );
   *res = start_p;  ++res;
   CGAL_ch_assertion_code( \
       int constructed_points = 1; )
   CGAL_ch_exactness_assertion_code( \
-      Point previous_point = start_p; ) 
+      Point previous_point = start_p; )
 
-  ForwardIterator it = std::min_element( first, last, 
+  ForwardIterator it = std::min_element( first, last,
                                          boost::bind(rotation_predicate, boost::cref(start_p), _1, _2) );
   while (! equal_points(*it, stop_p) )
   {
@@ -79,15 +79,15 @@ ch_jarvis_march(ForwardIterator first, F
       CGAL_ch_assertion( \
           constructed_points <= count_points + 1 );
 
-      it = std::min_element( first, last, 
+      it = std::min_element( first, last,
                              boost::bind(rotation_predicate, *it, _1, _2) );
-  } 
+  }
   CGAL_ch_postcondition( \
       is_ccw_strongly_convex_2( res.output_so_far_begin(), \
                                      res.output_so_far_end(), \
                                      ch_traits));
   CGAL_ch_expensive_postcondition( \
-      ch_brute_force_check_2( 
+      ch_brute_force_check_2(
           first, last, \
           res.output_so_far_begin(), res.output_so_far_end(), \
           ch_traits));
@@ -101,7 +101,7 @@ ch_jarvis_march(ForwardIterator first, F
 
 template <class ForwardIterator, class OutputIterator, class Traits>
 OutputIterator
-ch_jarvis(ForwardIterator first, ForwardIterator last, 
+ch_jarvis(ForwardIterator first, ForwardIterator last,
                OutputIterator  result,
                const Traits& ch_traits)
 {
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_2/ch_melkman_impl.h 5.0.3-1/include/CGAL/Convex_hull_2/ch_melkman_impl.h
--- 5.0.2-3/include/CGAL/Convex_hull_2/ch_melkman_impl.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_2/ch_melkman_impl.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,13 +3,13 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/Convex_hull_2/ch_melkman_impl.h $
-// $Id: ch_melkman_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/Convex_hull_2/ch_melkman_impl.h $
+// $Id: ch_melkman_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 #ifndef CGAL_CH_MELKMAN_IMPL_H
 #define CGAL_CH_MELKMAN_IMPL_H
 
@@ -32,16 +32,16 @@ ch_melkman( InputIterator first, InputIt
             OutputIterator result, const Traits& ch_traits)
 {
   typedef typename Traits::Point_2      Point;
-  typedef typename Traits::Equal_2      Equal_2;   
-  
+  typedef typename Traits::Equal_2      Equal_2;
+
   typename Traits::Left_turn_2 left_turn  = ch_traits.left_turn_2_object();
   Equal_2  equal_points = ch_traits.equal_2_object();
-  
+
   CGAL_ch_assertion_code( \
   typename Traits::Less_xy_2 less       = ch_traits.less_xy_2_object(); )
-  
+
   std::deque< Point> Q;
-  
+
   CGAL_ch_expensive_postcondition_code( std::deque< Point> IN; )
   if (first == last) return result;           // 0 elements
   Point p = *first;
@@ -58,7 +58,7 @@ ch_melkman( InputIterator first, InputIt
     return result;
   }
   Q.push_back( p);
-  
+
   Point r;
   while (first != last)
   {
@@ -71,12 +71,12 @@ ch_melkman( InputIterator first, InputIt
     q = r;
     ++first;
   }
-  
-  
+
+
   Point current = q;
   if (first != last)           // non-collinear point r exists
   {
-    
+
     current = r;
     // current, Q.front(), ..., Q.back()
     // ccw convex hull of visited points
@@ -85,10 +85,10 @@ ch_melkman( InputIterator first, InputIt
     {
       r = *first;
       CGAL_ch_expensive_postcondition_code( IN.push_back(r); )
-      if (left_turn( current, r, Q.front()) || 
+      if (left_turn( current, r, Q.front()) ||
           left_turn( Q.back(), r, current))
       // r outside cone Q.front(), current, Q.back() <=>
-      // right_turn( current, Q.front(), r) || 
+      // right_turn( current, Q.front(), r) ||
       // right_turn( Q.back(), current, r)
       {
         s = current;
@@ -103,12 +103,12 @@ ch_melkman( InputIterator first, InputIt
         Q.push_back(s);
         current = r;
       }
-      
+
     }
-    
+
   }
-  
-  
+
+
   Q.push_back( current);       // add last point to Q
   CGAL_ch_postcondition( \
   is_ccw_strongly_convex_2( Q.begin(), Q.end(), ch_traits));
@@ -116,7 +116,7 @@ ch_melkman( InputIterator first, InputIt
   ch_brute_force_check_2( IN.begin(),IN.end(), Q.begin(),Q.end(), ch_traits));
   std::copy( Q.begin(), Q.end(), result);
   return result;
-  
+
 }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_2/ch_selected_extreme_points_2_impl.h 5.0.3-1/include/CGAL/Convex_hull_2/ch_selected_extreme_points_2_impl.h
--- 5.0.2-3/include/CGAL/Convex_hull_2/ch_selected_extreme_points_2_impl.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_2/ch_selected_extreme_points_2_impl.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/Convex_hull_2/ch_selected_extreme_points_2_impl.h $
-// $Id: ch_selected_extreme_points_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/Convex_hull_2/ch_selected_extreme_points_2_impl.h $
+// $Id: ch_selected_extreme_points_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -31,9 +31,9 @@ ch_nswe_point( ForwardIterator first, Fo
                     ForwardIterator& e,
                     const Traits& ch_traits )
 {
-  typename Traits::Less_xy_2    
+  typename Traits::Less_xy_2
       lexicographically_xy_smaller = ch_traits.less_xy_2_object();
-  typename Traits::Less_yx_2    
+  typename Traits::Less_yx_2
       lexicographically_yx_smaller = ch_traits.less_yx_2_object();
   n = s = w = e = first;
   while ( first != last )
@@ -54,7 +54,7 @@ ch_we_point( ForwardIterator first, Forw
                   ForwardIterator& e,
                   const Traits& ch_traits)
 {
- typename Traits::Less_xy_2    
+ typename Traits::Less_xy_2
     lexicographically_xy_smaller = ch_traits.less_xy_2_object();
  w = e = first;
  while ( first != last )
@@ -72,7 +72,7 @@ ch_ns_point( ForwardIterator first, Forw
                   ForwardIterator& s,
                   const Traits& ch_traits)
 {
- typename Traits::Less_yx_2    
+ typename Traits::Less_yx_2
     lexicographically_yx_smaller = ch_traits.less_yx_2_object();
  n = s = first;
  while ( first != last )
@@ -89,7 +89,7 @@ ch_n_point( ForwardIterator first, Forwa
                  ForwardIterator& n,
                  const Traits& ch_traits)
 {
- typename Traits::Less_yx_2    
+ typename Traits::Less_yx_2
     lexicographically_yx_smaller = ch_traits.less_yx_2_object();
  n = first;
  while ( first != last )
@@ -105,7 +105,7 @@ ch_s_point( ForwardIterator first, Forwa
                  ForwardIterator& s,
                  const Traits& ch_traits)
 {
- typename Traits::Less_yx_2    
+ typename Traits::Less_yx_2
     lexicographically_yx_smaller = ch_traits.less_yx_2_object();
  s = first;
  while ( first != last )
@@ -121,7 +121,7 @@ ch_e_point( ForwardIterator first, Forwa
                  ForwardIterator& e,
                  const Traits& ch_traits)
 {
- typename Traits::Less_xy_2    
+ typename Traits::Less_xy_2
     lexicographically_xy_smaller = ch_traits.less_xy_2_object();
  e = first;
  while ( first != last )
@@ -137,7 +137,7 @@ ch_w_point( ForwardIterator first, Forwa
                  ForwardIterator& w,
                  const Traits& ch_traits)
 {
- typename Traits::Less_xy_2    
+ typename Traits::Less_xy_2
     lexicographically_xy_smaller = ch_traits.less_xy_2_object();
  w = first;
  while ( first != last )
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_2/convexity_check_2_impl.h 5.0.3-1/include/CGAL/Convex_hull_2/convexity_check_2_impl.h
--- 5.0.2-3/include/CGAL/Convex_hull_2/convexity_check_2_impl.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_2/convexity_check_2_impl.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/Convex_hull_2/convexity_check_2_impl.h $
-// $Id: convexity_check_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/Convex_hull_2/convexity_check_2_impl.h $
+// $Id: convexity_check_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -24,17 +24,17 @@ namespace CGAL {
 
 template <class ForwardIterator, class Traits>
 bool
-is_ccw_strongly_convex_2( ForwardIterator first, ForwardIterator last, 
+is_ccw_strongly_convex_2( ForwardIterator first, ForwardIterator last,
                           const Traits& ch_traits)
 {
   typedef  typename Traits::Less_xy_2      Less_xy;
   typedef  typename Traits::Left_turn_2    Left_turn;
-  // added 
+  // added
   typedef  typename Traits::Equal_2        Equal_2;
-  
+
   Less_xy  smaller_xy    = ch_traits.less_xy_2_object();
   Left_turn left_turn    = ch_traits.left_turn_2_object();
-  Equal_2  equal_points  = ch_traits.equal_2_object();   
+  Equal_2  equal_points  = ch_traits.equal_2_object();
 
   ForwardIterator iter1;
   ForwardIterator iter2;
@@ -54,9 +54,9 @@ is_ccw_strongly_convex_2( ForwardIterato
   iter1 = first;
   short int f = 0;
 
-  while (iter3 != last) 
+  while (iter3 != last)
   {
-      if ( !left_turn( *iter1, *iter2, *iter3 ) ) return false; 
+      if ( !left_turn( *iter1, *iter2, *iter3 ) ) return false;
       if ( smaller_xy( *iter2, *iter1 ) && smaller_xy( *iter2, *iter3 )) ++f;
 
       ++iter1;
@@ -65,14 +65,14 @@ is_ccw_strongly_convex_2( ForwardIterato
   }
 
   iter3 = first;
-  if ( !left_turn( *iter1, *iter2, *iter3 ) ) return false; 
+  if ( !left_turn( *iter1, *iter2, *iter3 ) ) return false;
   if ( smaller_xy( *iter2, *iter1 ) && smaller_xy( *iter2, *iter3 )) ++f;
 
 
   iter1 = iter2;
   iter2 = first;
   ++iter3;
-  if ( !left_turn( *iter1, *iter2, *iter3 ) ) return false; 
+  if ( !left_turn( *iter1, *iter2, *iter3 ) ) return false;
   if ( smaller_xy( *iter2, *iter1 ) && smaller_xy( *iter2, *iter3 )) ++f;
 
 
@@ -81,14 +81,14 @@ is_ccw_strongly_convex_2( ForwardIterato
 
 template <class ForwardIterator, class Traits>
 bool
-is_cw_strongly_convex_2( ForwardIterator first, ForwardIterator last, 
+is_cw_strongly_convex_2( ForwardIterator first, ForwardIterator last,
                          const Traits& ch_traits)
 {
   typedef  typename Traits::Less_xy_2      Less_xy;
-  typedef  typename Traits::Equal_2        Equal_2;  
+  typedef  typename Traits::Equal_2        Equal_2;
 
   Less_xy  smaller_xy    = ch_traits.less_xy_2_object();
-  Equal_2  equal_points  = ch_traits.equal_2_object();  
+  Equal_2  equal_points  = ch_traits.equal_2_object();
 
   ForwardIterator iter1;
   ForwardIterator iter2;
@@ -108,7 +108,7 @@ is_cw_strongly_convex_2( ForwardIterator
   iter1 = first;
   short int f = 0;
 
-  while (iter3 != last) 
+  while (iter3 != last)
   {
       if ( !left_turn( *iter2, *iter1, *iter3 ) ) return false;
       if ( smaller_xy( *iter2, *iter1 ) && smaller_xy( *iter2, *iter3 )) ++f;
@@ -164,12 +164,12 @@ ch_brute_force_check_2(ForwardIterator1
   iter21 = iter22++;
   while (iter22 != last2)
   {
-      iter11 = std::find_if( first1, last1, 
+      iter11 = std::find_if( first1, last1,
                              bind(left_turn, *iter22++, *iter21++, _1) );
       if (iter11 != last1 ) return false;
   }
 
-  iter11 = std::find_if( first1, last1, 
+  iter11 = std::find_if( first1, last1,
                          bind(left_turn, *first2, *iter21, _1) );
   if (iter11 != last1 ) return false;
   return true;
@@ -177,16 +177,16 @@ ch_brute_force_check_2(ForwardIterator1
 
 template <class ForwardIterator1, class ForwardIterator2, class Traits>
 bool
-ch_brute_force_chain_check_2(ForwardIterator1 first1, 
+ch_brute_force_chain_check_2(ForwardIterator1 first1,
                                   ForwardIterator1 last1,
-                                  ForwardIterator2 first2, 
+                                  ForwardIterator2 first2,
                                   ForwardIterator2 last2,
                                   const Traits& ch_traits )
 {
   using namespace boost;
 
-  typedef  typename Traits::Left_turn_2     Left_turn_2;  
-  
+  typedef  typename Traits::Left_turn_2     Left_turn_2;
+
   ForwardIterator1 iter11;
   ForwardIterator2 iter21;
   ForwardIterator2 iter22;
@@ -202,7 +202,7 @@ ch_brute_force_chain_check_2(ForwardIter
   iter21 = iter22++;
   while (iter22 != last2)
   {
-      iter11 = std::find_if( first1, last1, 
+      iter11 = std::find_if( first1, last1,
                              bind(left_turn, *iter22++, *iter21++, _1) );
       if (iter11 != last1 ) return false;
   }
diff -pruN 5.0.2-3/include/CGAL/convex_hull_2.h 5.0.3-1/include/CGAL/convex_hull_2.h
--- 5.0.2-3/include/CGAL/convex_hull_2.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/convex_hull_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/convex_hull_2.h $
-// $Id: convex_hull_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/convex_hull_2.h $
+// $Id: convex_hull_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -20,7 +20,7 @@
 #include <CGAL/convex_hull_traits_2.h>
 #include <CGAL/ch_akl_toussaint.h>
 #include <CGAL/ch_bykat.h>
-#include <iterator> 
+#include <iterator>
 
 namespace CGAL {
 
@@ -77,16 +77,16 @@ convex_hull_points_2(InputIterator first
 
 template <class ForwardIterator, class OutputIterator>
 inline
-OutputIterator 
-convex_hull_points_2(ForwardIterator first, ForwardIterator last, 
+OutputIterator
+convex_hull_points_2(ForwardIterator first, ForwardIterator last,
                      OutputIterator  result )
-{ 
+{
     typedef std::iterator_traits<ForwardIterator> ITraits;
     typedef typename ITraits::value_type          value_type;
     typedef typename ITraits::iterator_category   Category;
     typedef CGAL::Kernel_traits<value_type>       KTraits;
     typedef typename KTraits::Kernel              Kernel;
-    return CGAL_convex_hull_points_2(first, last, result, Kernel(), 
+    return CGAL_convex_hull_points_2(first, last, result, Kernel(),
                                      Category());
 }
 
@@ -99,7 +99,7 @@ convex_hull_points_2(ForwardIterator fir
 // sequence.
 // {\it Preconditions:}
 // [|first|,|last|) does not contain |result|.
-// {\sc traits}: operates on |Traits::Point_2| using |Traits::Less_xy_2|, 
+// {\sc traits}: operates on |Traits::Point_2| using |Traits::Less_xy_2|,
 // |Traits::Equal_2|, |Traits::Less_yx_2|, and |Traits::Left_turn_2|.
 template <class InputIterator, class OutputIterator, class Traits>
 inline
@@ -112,8 +112,8 @@ convex_hull_2(InputIterator first, Input
 
 template <class ForwardIterator, class OutputIterator>
 inline
-OutputIterator 
-convex_hull_2(ForwardIterator first, ForwardIterator last, 
+OutputIterator
+convex_hull_2(ForwardIterator first, ForwardIterator last,
               OutputIterator  result )
 {
     return convex_hull_points_2(first, last, result);
@@ -121,9 +121,9 @@ convex_hull_2(ForwardIterator first, For
 
 
 // generates the counterclockwise sequence of extreme points
-// on the lower hull of the points in the range [|first|,|last|). 
-// The resulting sequence is placed starting at position |result|, 
-// and the past-the-end iterator for the resulting sequence is returned. 
+// on the lower hull of the points in the range [|first|,|last|).
+// The resulting sequence is placed starting at position |result|,
+// and the past-the-end iterator for the resulting sequence is returned.
 // The sequence starts with the leftmost point, the rightmost point is
 // not included.
 // {\it Preconditions:}
@@ -140,10 +140,10 @@ lower_hull_points_2(InputIterator first,
 
 template <class ForwardIterator, class OutputIterator>
 inline
-OutputIterator 
-lower_hull_points_2(ForwardIterator first, ForwardIterator last, 
+OutputIterator
+lower_hull_points_2(ForwardIterator first, ForwardIterator last,
                     OutputIterator  result )
-{ 
+{
     typedef std::iterator_traits<ForwardIterator> ITraits;
     typedef typename ITraits::value_type          value_type;
     typedef CGAL::Kernel_traits<value_type>       KTraits;
@@ -153,9 +153,9 @@ lower_hull_points_2(ForwardIterator firs
 
 
 // generates the counterclockwise sequence of extreme points
-// on the upper hull of the points in the range [|first|,|last|). 
-// The resulting sequence is placed starting at position |result|, 
-// and the past-the-end iterator for the resulting sequence is returned. 
+// on the upper hull of the points in the range [|first|,|last|).
+// The resulting sequence is placed starting at position |result|,
+// and the past-the-end iterator for the resulting sequence is returned.
 // The sequence starts with the rightmost point, the leftmost point is
 // not included.
 // {\it Preconditions:}
@@ -173,10 +173,10 @@ upper_hull_points_2(InputIterator first,
 
 template <class ForwardIterator, class OutputIterator>
 inline
-OutputIterator 
-upper_hull_points_2(ForwardIterator first, ForwardIterator last, 
+OutputIterator
+upper_hull_points_2(ForwardIterator first, ForwardIterator last,
                     OutputIterator  result )
-{ 
+{
     typedef std::iterator_traits<ForwardIterator> ITraits;
     typedef typename ITraits::value_type          value_type;
     typedef CGAL::Kernel_traits<value_type>       KTraits;
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_3/dual/Convex_hull_traits_dual_2.h 5.0.3-1/include/CGAL/Convex_hull_3/dual/Convex_hull_traits_dual_2.h
--- 5.0.2-3/include/CGAL/Convex_hull_3/dual/Convex_hull_traits_dual_2.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_3/dual/Convex_hull_traits_dual_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_3/include/CGAL/Convex_hull_3/dual/Convex_hull_traits_dual_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_3/include/CGAL/Convex_hull_3/dual/Convex_hull_traits_dual_2.h $
 // $Id: Convex_hull_traits_dual_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_3/dual/Convex_hull_traits_dual_3.h 5.0.3-1/include/CGAL/Convex_hull_3/dual/Convex_hull_traits_dual_3.h
--- 5.0.2-3/include/CGAL/Convex_hull_3/dual/Convex_hull_traits_dual_3.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_3/dual/Convex_hull_traits_dual_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_3/include/CGAL/Convex_hull_3/dual/Convex_hull_traits_dual_3.h $
-// $Id: Convex_hull_traits_dual_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_3/include/CGAL/Convex_hull_3/dual/Convex_hull_traits_dual_3.h $
+// $Id: Convex_hull_traits_dual_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -66,10 +66,10 @@ namespace CGAL
           //Traits
           Traits_xy_3 construct_traits_xy_3_object()const
           {return Traits_xy_3();}
-          
+
           Traits_yz_3 construct_traits_yz_3_object()const
           {return Traits_yz_3();}
-          
+
           Traits_xz_3 construct_traits_xz_3_object()const
           {return Traits_xz_3();}
           // Segment_3
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_3/dual/halfspace_intersection_3.h 5.0.3-1/include/CGAL/Convex_hull_3/dual/halfspace_intersection_3.h
--- 5.0.2-3/include/CGAL/Convex_hull_3/dual/halfspace_intersection_3.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_3/dual/halfspace_intersection_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_3/include/CGAL/Convex_hull_3/dual/halfspace_intersection_3.h $
-// $Id: halfspace_intersection_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_3/include/CGAL/Convex_hull_3/dual/halfspace_intersection_3.h $
+// $Id: halfspace_intersection_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -52,7 +52,7 @@ namespace CGAL
 
               // Typedefs for dual
 
-              typedef typename boost::graph_traits<Polyhedron_dual>::face_descriptor 
+              typedef typename boost::graph_traits<Polyhedron_dual>::face_descriptor
                 Facet_const_handle;
               typedef typename boost::graph_traits<Polyhedron_dual>::vertex_descriptor
                 Vertex_const_descriptor;
@@ -71,12 +71,12 @@ namespace CGAL
                                                        Line_3,
                                                        Plane_3 > > result_inter;
 
-                           
+
               boost::unordered_map <Facet_const_handle, vertex_descriptor> primal_vertices;
               size_t n = 0;
 
               // First, computing the primal vertices
-              for(Facet_const_handle fd : faces(_dual)){               
+              for(Facet_const_handle fd : faces(_dual)){
                 Halfedge_const_descriptor h = fd->halfedge();
                 // Build the dual plane corresponding to the current facet
                 Plane_3 p1 = h->vertex()->point();
@@ -134,7 +134,7 @@ namespace CGAL
             // Compute the equations of the facets of the polyhedron
             typedef typename boost::graph_traits<Polyhedron>::face_descriptor face_descriptor;
             typedef typename boost::graph_traits<Polyhedron>::halfedge_descriptor halfedge_descriptor;
-            
+
             typename boost::property_map<Polyhedron, vertex_point_t>::const_type vpmap  = get(CGAL::vertex_point, P);
 
             for(face_descriptor fd : faces(P))
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_3/dual/halfspace_intersection_with_constructions_3.h 5.0.3-1/include/CGAL/Convex_hull_3/dual/halfspace_intersection_with_constructions_3.h
--- 5.0.2-3/include/CGAL/Convex_hull_3/dual/halfspace_intersection_with_constructions_3.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_3/dual/halfspace_intersection_with_constructions_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_3/include/CGAL/Convex_hull_3/dual/halfspace_intersection_with_constructions_3.h $
-// $Id: halfspace_intersection_with_constructions_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_3/include/CGAL/Convex_hull_3/dual/halfspace_intersection_with_constructions_3.h $
+// $Id: halfspace_intersection_with_constructions_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -42,11 +42,11 @@ namespace CGAL
                             Point_3 origin = Point_3(CGAL::ORIGIN))
       {
         typedef typename Kernel_traits<Point_3>::Kernel::Plane_3 Plane_3;
-          
+
         typedef typename boost::graph_traits<Polyhedron>::halfedge_descriptor halfedge_descriptor;
         typedef typename boost::graph_traits<Polyhedron>::face_descriptor face_descriptor;
         typedef typename boost::graph_traits<Polyhedron>::vertex_descriptor vertex_descriptor;
-          
+
         typename boost::property_map<Polyhedron, vertex_point_t>::const_type vpm_primal = get(CGAL::vertex_point, primal);
         typename boost::property_map<Polyhedron, vertex_point_t>::type vpm_dual = get(CGAL::vertex_point, dual);
         // compute coordinates of extreme vertices in the dual polyhedron
@@ -67,18 +67,18 @@ namespace CGAL
           extreme_points[fd] = vd;
           put(vpm_dual, vd, translated_extreme_p);
         }
-        
+
         // build faces
         for(vertex_descriptor vd : vertices(primal)) {
           //CGAL_assertion (it->is_bivalent() == false);
-          
+
           std::list<vertex_descriptor> vertices;
           for(face_descriptor fd : faces_around_target(halfedge(vd,primal),primal)){
             vertices.push_front(extreme_points[fd]);
           }
         Euler::add_face(vertices,dual);
         }
-        
+
       }
     } // namespace internal
   } // namespace Convex_hull_3
@@ -97,7 +97,7 @@ namespace CGAL
           typedef typename K::Plane_3 Plane;
 
           Point p_origin;
-            
+
           if (origin) {
             p_origin = boost::get(origin);
           } else {
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_3/dual/interior_polyhedron_3.h 5.0.3-1/include/CGAL/Convex_hull_3/dual/interior_polyhedron_3.h
--- 5.0.2-3/include/CGAL/Convex_hull_3/dual/interior_polyhedron_3.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_3/dual/interior_polyhedron_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_3/include/CGAL/Convex_hull_3/dual/interior_polyhedron_3.h $
-// $Id: interior_polyhedron_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_3/include/CGAL/Convex_hull_3/dual/interior_polyhedron_3.h $
+// $Id: interior_polyhedron_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -31,10 +31,10 @@
 // If you do not know an interior point for the halfspaces, use linear programming
 // to find one. Assume, n halfspaces defined by: aj*x1+bj*x2+cj*x3+dj>=0, j=1..n.
 // Perform the following linear program:
-//		max(x5) aj*x1+bj*x2+cj*x3+dj*x4-x5>=0, j=1..n
+//                max(x5) aj*x1+bj*x2+cj*x3+dj*x4-x5>=0, j=1..n
 
 // Then, if [x1,x2,x3,x4,x5] is an optimal m_solution with x4,x5>0 we get:
-//		aj*(x1/x4)+bj*(x2/x4)+cj*(x3/x4)+dj>=(x5/x4)>0, j=1..n
+//                aj*(x1/x4)+bj*(x2/x4)+cj*(x3/x4)+dj>=(x5/x4)>0, j=1..n
 // and conclude that the point [x1/x4,x2/x4,x3/x4] is in the interior of all
 // the halfspaces. Note that x5 is optimal, so this point is "way in" the
 // interior (good for precision errors).
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_3/dual/predicates.h 5.0.3-1/include/CGAL/Convex_hull_3/dual/predicates.h
--- 5.0.2-3/include/CGAL/Convex_hull_3/dual/predicates.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_3/dual/predicates.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_3/include/CGAL/Convex_hull_3/dual/predicates.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_3/include/CGAL/Convex_hull_3/dual/predicates.h $
 // $Id: predicates.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/convex_hull_3.h 5.0.3-1/include/CGAL/convex_hull_3.h
--- 5.0.2-3/include/CGAL/convex_hull_3.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/convex_hull_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_3/include/CGAL/convex_hull_3.h $
-// $Id: convex_hull_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_3/include/CGAL/convex_hull_3.h $
+// $Id: convex_hull_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -379,7 +379,7 @@ struct Projection_traits{
   typedef CGAL::Projection_traits_xy_3<K> Traits_xy_3;
   typedef CGAL::Projection_traits_yz_3<K> Traits_yz_3;
   typedef CGAL::Projection_traits_xz_3<K> Traits_xz_3;
-    
+
     Traits_xy_3 construct_traits_xy_3_object()const
     {return Traits_xy_3();}
     Traits_yz_3 construct_traits_yz_3_object()const
@@ -440,7 +440,7 @@ void coplanar_3_hull(InputIterator first
   typedef typename PTraits::Traits_xy_3 Traits_xy_3;
   typedef typename PTraits::Traits_yz_3 Traits_yz_3;
   typedef typename PTraits::Traits_xz_3 Traits_xz_3;
-  
+
   PTraits ptraits(traits);
 
   std::list<Point_3> CH_2;
@@ -558,7 +558,7 @@ farthest_outside_point(Face_handle f, st
    typedef typename std::list<Point>::iterator Outside_set_iterator;
    CGAL_ch_assertion(!outside_set.empty());
 
-   typename Traits::Plane_3 plane = 
+   typename Traits::Plane_3 plane =
        traits.construct_plane_3_object()(f->vertex(0)->point(),
                                          f->vertex(1)->point(),
                                          f->vertex(2)->point());
@@ -625,7 +625,7 @@ ch_quickhull_3_scan(TDS_2& tds,
   typedef typename TDS_2::Edge                            Edge;
   typedef typename TDS_2::Face_handle                     Face_handle;
   typedef typename TDS_2::Vertex_handle                   Vertex_handle;
-  typedef typename Traits::Point_3			  Point_3;
+  typedef typename Traits::Point_3                          Point_3;
   typedef std::list<Point_3>                              Outside_set;
   typedef typename std::list<Point_3>::iterator           Outside_set_iterator;
   typedef std::map<typename TDS_2::Vertex_handle, typename TDS_2::Edge> Border_edges;
@@ -761,8 +761,8 @@ ch_quickhull_polyhedron_3(std::list<type
                           InputIterator point3_it, Polyhedron_3& P,
                           const Traits& traits)
 {
-  typedef typename Traits::Point_3	  		  Point_3;
-  typedef typename Traits::Plane_3		      	  Plane_3;
+  typedef typename Traits::Point_3                            Point_3;
+  typedef typename Traits::Plane_3                                Plane_3;
   typedef typename std::list<Point_3>::iterator           P3_iterator;
 
   typedef Triangulation_data_structure_2<
@@ -851,7 +851,7 @@ void
 convex_hull_3(InputIterator first, InputIterator beyond,
               Object& ch_object, const Traits& traits)
 {
-  typedef typename Traits::Point_3	  		  Point_3;
+  typedef typename Traits::Point_3                            Point_3;
   typedef std::list<Point_3>                              Point_3_list;
   typedef typename Point_3_list::iterator                 P3_iterator;
   typedef std::pair<P3_iterator,P3_iterator>              P3_iterator_pair;
diff -pruN 5.0.2-3/include/CGAL/convex_hull_3_to_face_graph.h 5.0.3-1/include/CGAL/convex_hull_3_to_face_graph.h
--- 5.0.2-3/include/CGAL/convex_hull_3_to_face_graph.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/convex_hull_3_to_face_graph.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_3/include/CGAL/convex_hull_3_to_face_graph.h $
-// $Id: convex_hull_3_to_face_graph.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_3/include/CGAL/convex_hull_3_to_face_graph.h $
+// $Id: convex_hull_3_to_face_graph.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot
 //
diff -pruN 5.0.2-3/include/CGAL/convex_hull_3_to_polyhedron_3.h 5.0.3-1/include/CGAL/convex_hull_3_to_polyhedron_3.h
--- 5.0.2-3/include/CGAL/convex_hull_3_to_polyhedron_3.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/convex_hull_3_to_polyhedron_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_3/include/CGAL/convex_hull_3_to_polyhedron_3.h $
-// $Id: convex_hull_3_to_polyhedron_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_3/include/CGAL/convex_hull_3_to_polyhedron_3.h $
+// $Id: convex_hull_3_to_polyhedron_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot
 //
@@ -25,7 +25,7 @@
 #include <CGAL/Polyhedron_3_fwd.h>
 
 namespace CGAL {
-  
+
 template<class Triangulation_3,class Polyhedron_3>
 CGAL_DEPRECATED void convex_hull_3_to_polyhedron_3(const Triangulation_3& T,Polyhedron_3& P){
   clear(P);
diff -pruN 5.0.2-3/include/CGAL/convex_hull_constructive_traits_2.h 5.0.3-1/include/CGAL/convex_hull_constructive_traits_2.h
--- 5.0.2-3/include/CGAL/convex_hull_constructive_traits_2.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/convex_hull_constructive_traits_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,18 +3,18 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/convex_hull_constructive_traits_2.h $
-// $Id: convex_hull_constructive_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/convex_hull_constructive_traits_2.h $
+// $Id: convex_hull_constructive_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
-// This file's name must begin with a lower-case letter for backward 
-// compatability.  Unfortunately, you can't have a file that differs only 
+// This file's name must begin with a lower-case letter for backward
+// compatability.  Unfortunately, you can't have a file that differs only
 // in capitalization on the Windows platforms.
 
-#ifndef CGAL_CONVEX_HULL_CONSTRUCTIVE_TRAITS_2_H 
+#ifndef CGAL_CONVEX_HULL_CONSTRUCTIVE_TRAITS_2_H
 #define CGAL_CONVEX_HULL_CONSTRUCTIVE_TRAITS_2_H
 
 #include <CGAL/license/Convex_hull_2.h>
@@ -28,26 +28,26 @@ class Convex_hull_constructive_traits_2
 {
 public:
   typedef K_                                  K;
-  typedef typename K::Point_2                 Point_2;    
+  typedef typename K::Point_2                 Point_2;
   typedef typename K::Less_xy_2               Less_xy_2;
   typedef typename K::Less_yx_2               Less_yx_2;
   typedef internal::r_Less_dist_to_line<K>       Less_signed_distance_to_line_2;
   typedef typename K::Less_rotate_ccw_2       Less_rotate_ccw_2;
   typedef typename K::Left_turn_2             Left_turn_2;
-  typedef typename K::Equal_2                 Equal_2;  
-  typedef typename K::Segment_2               Segment_2;    
-  
+  typedef typename K::Equal_2                 Equal_2;
+  typedef typename K::Segment_2               Segment_2;
+
   Less_xy_2
-  less_xy_2_object() const 
-  { return Less_xy_2(); } 
+  less_xy_2_object() const
+  { return Less_xy_2(); }
 
   Less_yx_2
-  less_yx_2_object() const 
-  { return Less_yx_2(); } 
+  less_yx_2_object() const
+  { return Less_yx_2(); }
 
   Less_signed_distance_to_line_2
   less_signed_distance_to_line_2_object() const
-  { return Less_signed_distance_to_line_2(); } 
+  { return Less_signed_distance_to_line_2(); }
 
   Less_rotate_ccw_2
   less_rotate_ccw_2_object() const
@@ -66,7 +66,7 @@ public:
 // for backward compatability
 
 template <class K>
-class convex_hull_constructive_traits_2 : 
+class convex_hull_constructive_traits_2 :
                          public Convex_hull_constructive_traits_2<K>
 {
 };
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_d.h 5.0.3-1/include/CGAL/Convex_hull_d.h
--- 5.0.2-3/include/CGAL/Convex_hull_d.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_d.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_d/include/CGAL/Convex_hull_d.h $
-// $Id: Convex_hull_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_d/include/CGAL/Convex_hull_d.h $
+// $Id: Convex_hull_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 //---------------------------------------------------------------------
@@ -64,8 +64,8 @@ to the $i$-th vertex of $f$.  The functi
 returns $g$.  Two neighboring facets $f$ and $g$ share |dcur - 1|
 vertices, namely all but the vertex with index $i$ of $f$ and the
 vertex with index |C.index_of_vertex_in_opposite_facet(f,i)| of $g$.
-Let |j = C.index_of_vertex_in_opposite_facet(f,i)|. Then 
-|f = C.opposite_facet(g,j)| and 
+Let |j = C.index_of_vertex_in_opposite_facet(f,i)|. Then
+|f = C.opposite_facet(g,j)| and
 |i = C.index_of_vertex_in_opposite_facet(g,j)|.}*/
 
 #include <CGAL/basic.h>
@@ -84,7 +84,7 @@ template <typename HP, typename H> class
 template <typename HP, typename H> class Facet_iterator_;
 
 template <typename Hull_pointer, typename Handle>
-class Facet_iterator_rep_ 
+class Facet_iterator_rep_
 {
   CGAL::Unique_hash_map<Handle,bool>* pvisited_;
   std::list<Handle>* pcandidates_;
@@ -92,7 +92,7 @@ class Facet_iterator_rep_
   Handle current_;
   friend class Facet_iterator_<Hull_pointer,Handle>;
 
-  void add_candidates() 
+  void add_candidates()
   { CGAL_assertion(pvisited_ && pcandidates_ && hull_);
     for(int i = 1; i <= hull_->current_dimension(); ++i) {
       Handle f = hull_->opposite_simplex(current_,i);
@@ -100,15 +100,15 @@ class Facet_iterator_rep_
         pcandidates_->push_front(f);
         (*pvisited_)[f] = true;
       }
-    }    
+    }
   }
 public:
-  Facet_iterator_rep_() : 
+  Facet_iterator_rep_() :
     pvisited_(0), pcandidates_(0), hull_(0), current_() {}
-  Facet_iterator_rep_(Hull_pointer p, Handle h) : 
+  Facet_iterator_rep_(Hull_pointer p, Handle h) :
     pvisited_(0), pcandidates_(0), hull_(p), current_(h) {}
-  ~Facet_iterator_rep_() 
-  { if (pvisited_) delete pvisited_; 
+  ~Facet_iterator_rep_()
+  { if (pvisited_) delete pvisited_;
     if (pcandidates_) delete pcandidates_; }
 };
 
@@ -129,8 +129,8 @@ public:
   typedef std::forward_iterator_tag   iterator_category;
 
   Facet_iterator_() : Base( Rep() ) {}
-  Facet_iterator_(Hull_pointer p, Handle h) : Base( Rep(p,h) ) 
-  { ptr()->pvisited_ = new Unique_hash_map<Handle,bool>(false); 
+  Facet_iterator_(Hull_pointer p, Handle h) : Base( Rep(p,h) )
+  { ptr()->pvisited_ = new Unique_hash_map<Handle,bool>(false);
     ptr()->pcandidates_ = new std::list<Handle>;
     (*(ptr()->pvisited_))[ptr()->current_]=true;
     ptr()->add_candidates();
@@ -141,7 +141,7 @@ public:
   pointer operator->() const
   { return ptr()->current_.operator->(); }
 
-  Self& operator++() 
+  Self& operator++()
   { if ( ptr()->current_ == Handle() ) return *this;
     if ( ptr()->pcandidates_->empty() ) ptr()->current_ = Handle();
     else {
@@ -151,8 +151,8 @@ public:
     }
     return *this;
   }
-  Self  operator++(int) 
-  { Self tmp = *this; ++*this; return tmp; }      
+  Self  operator++(int)
+  { Self tmp = *this; ++*this; return tmp; }
   bool operator==(const Self& x) const
   { return ptr()->current_ == x.ptr()->current_; }
   bool operator!=(const Self& x) const
@@ -163,20 +163,20 @@ public:
 };
 
 
-template <typename HP, typename VH, typename FH> 
+template <typename HP, typename VH, typename FH>
 class Hull_vertex_iterator_rep_;
-template <typename HP, typename VH, typename FH> 
+template <typename HP, typename VH, typename FH>
 class Hull_vertex_iterator_;
 
 template <typename Hull_pointer, typename VHandle, typename FHandle>
-class Hull_vertex_iterator_rep_ 
+class Hull_vertex_iterator_rep_
 {
   CGAL::Unique_hash_map<VHandle,bool>* pvisited_;
   Hull_pointer hull_;
   VHandle v_; FHandle f_; int i_;
   friend class Hull_vertex_iterator_<Hull_pointer,VHandle,FHandle>;
 
-  void advance() 
+  void advance()
   { CGAL_assertion(pvisited_ &&  hull_);
     if ( f_ == FHandle() ) return;
     bool search_next = true; ++i_;
@@ -187,17 +187,17 @@ class Hull_vertex_iterator_rep_
         ++i_;
       }
       if ( search_next ) { i_=0; ++f_; }
-      if ( f_ == FHandle() ) 
+      if ( f_ == FHandle() )
       { search_next=false; v_ = VHandle(); }
     }
     (*pvisited_)[v_] = true;
   }
 public:
-  Hull_vertex_iterator_rep_() : 
+  Hull_vertex_iterator_rep_() :
     pvisited_(0), hull_(0), i_(0) {}
-  Hull_vertex_iterator_rep_(Hull_pointer p, FHandle f) : 
+  Hull_vertex_iterator_rep_(Hull_pointer p, FHandle f) :
     pvisited_(0), hull_(p), f_(f), i_(-1) {}
-  ~Hull_vertex_iterator_rep_() 
+  ~Hull_vertex_iterator_rep_()
   { if (pvisited_) delete pvisited_; }
 };
 
@@ -218,8 +218,8 @@ public:
   typedef std::forward_iterator_tag   iterator_category;
 
   Hull_vertex_iterator_() : Base( Rep() ) {}
-  Hull_vertex_iterator_(Hull_pointer p, FHandle f) : Base( Rep(p,f) ) 
-  { ptr()->pvisited_ = new Unique_hash_map<VHandle,bool>(false); 
+  Hull_vertex_iterator_(Hull_pointer p, FHandle f) : Base( Rep(p,f) )
+  { ptr()->pvisited_ = new Unique_hash_map<VHandle,bool>(false);
     ptr()->advance();
   }
 
@@ -228,13 +228,13 @@ public:
   pointer operator->() const
   { return ptr()->v_.operator->(); }
 
-  Self& operator++() 
+  Self& operator++()
   { if ( ptr()->v_ == VHandle() ) return *this;
     ptr()->advance();
     return *this;
   }
-  Self  operator++(int) 
-  { Self tmp = *this; ++*this; return tmp; }      
+  Self  operator++(int)
+  { Self tmp = *this; ++*this; return tmp; }
   bool operator==(const Self& x) const
   { return ptr()->v_ == x.ptr()->v_; }
   bool operator!=(const Self& x) const
@@ -248,9 +248,9 @@ template <class Vertex, class Point>
 struct Point_from_Vertex {
   typedef Vertex argument_type;
   typedef Point  result_type;
-  result_type& operator()(argument_type& x) const 
+  result_type& operator()(argument_type& x) const
   { return x.point(); }
-  const result_type& operator()(const argument_type& x) const 
+  const result_type& operator()(const argument_type& x) const
   { return x.point(); }
 };
 
@@ -266,7 +266,7 @@ struct list_collector {
 
 template <class R_>
 class Convex_hull_d : public Regular_complex_d<R_>
-{ 
+{
 typedef Regular_complex_d<R_> Base;
 typedef Convex_hull_d<R_>     Self;
 
@@ -314,7 +314,7 @@ typedef typename Base::Vertex_iterator V
 typedef Facet_iterator_<Self*,Facet_handle> Facet_iterator;
 /*{\Mtypemember iterator for facets.}*/
 
-typedef Hull_vertex_iterator_<Self*,Vertex_handle,Facet_iterator> 
+typedef Hull_vertex_iterator_<Self*,Vertex_handle,Facet_iterator>
   Hull_vertex_iterator;
 /*{\Mtypemember iterator for vertices that are part of the convex hull.}*/
 
@@ -367,16 +367,16 @@ public: // until there are template frie
   { return s->visited(); }
 
 protected:
-  std::size_t num_of_bounded_simplices; 
-  std::size_t num_of_unbounded_simplices; 
-  std::size_t num_of_visibility_tests; 
-  std::size_t num_of_vertices; 
+  std::size_t num_of_bounded_simplices;
+  std::size_t num_of_unbounded_simplices;
+  std::size_t num_of_visibility_tests;
+  std::size_t num_of_vertices;
 
   void compute_equation_of_base_facet(Simplex_handle s);
   /*{\Xop computes the equation of the base facet of $s$ and sets the
   |base_facet| member of $s$. The equation is normalized such
   that the origin simplex lies in the negative halfspace.}*/
-   
+
   bool is_base_facet_visible(Simplex_handle s, const Point_d& x) const
   { typename R::Has_on_positive_side_d has_on_positive_side =
       kernel().has_on_positive_side_d_object();
@@ -402,7 +402,7 @@ protected:
           boundary of |\Mvar| then a facet incident to $x$ is returned
           in $f$.}*/
 
-  void clear_visited_marks(Simplex_handle s) const; 
+  void clear_visited_marks(Simplex_handle s) const;
  /*{\Xop removes the mark bits from all marked simplices reachable from $s$.}*/
 
   void dimension_jump(Simplex_handle S, Vertex_handle x);
@@ -414,10 +414,10 @@ protected:
                              std::size_t& num_of_visited_facets) const;
 
 public:
-  
+
   /*{\Mcreation 3}*/
 
-  Convex_hull_d(int d, const R& Kernel = R()); 
+  Convex_hull_d(int d, const R& Kernel = R());
   /*{\Mcreate creates an instance |\Mvar| of type |\Mtype|. The
   dimension of the underlying space is $d$ and |S| is initialized to the
   empty point set. The traits class |R| specifies the models of
@@ -428,8 +428,8 @@ public:
   protected:
   /*{\Mtext The data type |\Mtype| offers neither copy constructor nor
   assignment operator.}*/
-    Convex_hull_d(const Self&); 
-    Convex_hull_d& operator=(const Self&); 
+    Convex_hull_d(const Self&);
+    Convex_hull_d& operator=(const Self&);
   public:
 
 
@@ -437,9 +437,9 @@ public:
   /*{\Mtext All operations below that take a point |x| as argument have
   the common precondition that |x| is a point of ambient space.}*/
 
-  int dimension() const { return Base::dimension(); } 
+  int dimension() const { return Base::dimension(); }
   /*{\Mop returns the dimension of ambient space}*/
-  int current_dimension() const { return Base::current_dimension(); } 
+  int current_dimension() const { return Base::current_dimension(); }
   /*{\Mop returns the affine dimension |dcur| of $S$.}*/
 
   Point_d  associated_point(Vertex_handle v) const
@@ -465,7 +465,7 @@ public:
   Simplex_handle opposite_simplex(Simplex_handle s,int i) const
   { return Base::opposite_simplex(s,i); }
   /*{\Mop returns the simplex opposite to the $i$-th vertex of $s$
-  (|Simplex_handle()| if there is no such simplex). 
+  (|Simplex_handle()| if there is no such simplex).
   \precond $0 \leq i \leq |dcur|$. }*/
   Simplex_const_handle opposite_simplex(Simplex_const_handle s,int i) const
   { return Base::opposite_simplex(s,i); }
@@ -507,13 +507,13 @@ public:
   { return opposite_simplex(f,i+1); }
   /*{\Mop returns the facet opposite to the $i$-th vertex of $f$
   (|Facet_handle()| if there is no such facet). \precond $0 \leq i <
-  |dcur|$ and |dcur > 1|. }*/ 
-  Facet_const_handle opposite_facet(Facet_const_handle f, int i) const 
+  |dcur|$ and |dcur > 1|. }*/
+  Facet_const_handle opposite_facet(Facet_const_handle f, int i) const
   { return opposite_simplex(f,i+1); }
 
   int index_of_vertex_in_opposite_facet(Facet_handle f, int i) const
   { return index_of_vertex_in_opposite_simplex(f,i+1) - 1; }
-  /*{\Mop returns the index of the vertex opposite to the $i$-th vertex of 
+  /*{\Mop returns the index of the vertex opposite to the $i$-th vertex of
   $f$. \precond $0 \leq i < |dcur|$ and |dcur > 1|.}*/
   int index_of_vertex_in_opposite_facet(Facet_const_handle f, int i) const
   { return index_of_vertex_in_opposite_simplex(f,i+1) - 1; }
@@ -534,7 +534,7 @@ public:
   lies outside the current hull, a new vertex |v| with associated point
   $x$ is added to the hull and returned. In all other cases, i.e., if
   $x$ lies in the interior of the hull or on the boundary but not on a
-  vertex, the current hull is not changed and |Vertex_handle()| is 
+  vertex, the current hull is not changed and |Vertex_handle()| is
   returned. If |CGAL_CHECK_EXPENSIVE| is defined then the validity
   check |is_valid(true)| is executed as a post condition.}*/
 
@@ -548,7 +548,7 @@ public:
 
   bool is_dimension_jump(const Point_d& x) const
   /*{\Mop returns true if $x$ is not contained in the affine hull of |S|.}*/
-  { 
+  {
     if (current_dimension() == dimension()) return false;
     typename R::Contained_in_affine_hull_d contained_in_affine_hull =
       kernel().contained_in_affine_hull_d_object();
@@ -562,9 +562,9 @@ public:
   \precond |x| is contained in the affine hull of |S|.}*/
 
   Bounded_side bounded_side(const Point_d& x);
-  /*{\Mop returns |ON_BOUNDED_SIDE| (|ON_BOUNDARY|,|ON_UNBOUNDED_SIDE|) 
-  if |x| is contained in the interior (lies on the boundary, is contained 
-  in the exterior) of |\Mvar|. \precond |x| is contained in the affine 
+  /*{\Mop returns |ON_BOUNDED_SIDE| (|ON_BOUNDARY|,|ON_UNBOUNDED_SIDE|)
+  if |x| is contained in the interior (lies on the boundary, is contained
+  in the exterior) of |\Mvar|. \precond |x| is contained in the affine
   hull of |S|.}*/
 
 
@@ -579,17 +579,17 @@ public:
 
   void clear(int d)
   /*{\Mop reinitializes |\Mvar| to an empty hull in $d$-dimensional space.}*/
-  { 
+  {
     typename R::Construct_vector_d create =
       kernel().construct_vector_d_object();
     quasi_center_ = create(d,NULL_VECTOR);
     anti_origin_ = Vertex_handle();
-    origin_simplex_ = Simplex_handle(); 
+    origin_simplex_ = Simplex_handle();
     all_pnts_.clear();
     Base::clear(d);
-    num_of_vertices = 0; 
-    num_of_unbounded_simplices = num_of_bounded_simplices = 0; 
-    num_of_visibility_tests = 0; 
+    num_of_vertices = 0;
+    num_of_unbounded_simplices = num_of_bounded_simplices = 0;
+    num_of_visibility_tests = 0;
   }
 
   std::size_t number_of_vertices() const
@@ -607,9 +607,9 @@ public:
   void print_statistics()
   /*{\Mop gives information about the size of the current hull and the
   number of visibility tests performed.}*/
-  { 
-    std::cout << "Convex_hull_d (" 
-              << current_dimension() << "/" << dimension() 
+  {
+    std::cout << "Convex_hull_d ("
+              << current_dimension() << "/" << dimension()
               << ") - statistic" << std::endl;
     std::cout<<" # points = " << all_pnts_.size() << std::endl;
     std::cout<<" # vertices = " << num_of_vertices << std::endl;
@@ -638,7 +638,7 @@ public:
 
   template <typename Forward_iterator>
   void initialize(Forward_iterator first, Forward_iterator last)
-  /*{\Xop initializes the complex with the set |S = set [first,last)|. 
+  /*{\Xop initializes the complex with the set |S = set [first,last)|.
   The initialization uses the quickhull approach.}*/
   { CGAL_assertion(current_dimension()==-1);
     Vertex_handle z;
@@ -648,17 +648,17 @@ public:
     while ( it != last ) {
       Point_d x = *it++;
       if ( current_dimension() == -1 ) {
-        
+
         Simplex_handle outer_simplex; // a pointer to the outer simplex
         dcur = 0;  // we jump from dimension - 1 to dimension 0
-        origin_simplex_ = new_simplex();  num_of_bounded_simplices ++; 
-        outer_simplex  = new_simplex();   num_of_unbounded_simplices ++; 
+        origin_simplex_ = new_simplex();  num_of_bounded_simplices ++;
+        outer_simplex  = new_simplex();   num_of_unbounded_simplices ++;
         start_facet_ = origin_simplex_;
-        z = new_vertex(x);                num_of_vertices ++; 
+        z = new_vertex(x);                num_of_vertices ++;
         associate_vertex_with_simplex(origin_simplex_,0,z);
-          // z is the only point and the peak 
-        associate_vertex_with_simplex(outer_simplex,0,anti_origin_); 
-        set_neighbor(origin_simplex_,0,outer_simplex,0); 
+          // z is the only point and the peak
+        associate_vertex_with_simplex(outer_simplex,0,anti_origin_);
+        set_neighbor(origin_simplex_,0,outer_simplex,0);
         typename R::Point_to_vector_d to_vector =
           kernel().point_to_vector_d_object();
         quasi_center_ = to_vector(x);
@@ -666,13 +666,13 @@ public:
 
       }
       else if ( is_dimension_jump(x) ) {
-        dcur++; 
-        z = new_vertex(x); num_of_vertices++; 
+        dcur++;
+        z = new_vertex(x); num_of_vertices++;
         typename R::Point_to_vector_d to_vector =
           kernel().point_to_vector_d_object();
         quasi_center_ = quasi_center_ + to_vector(x);
-        dimension_jump(origin_simplex_, z); 
-        clear_visited_marks(origin_simplex_); 
+        dimension_jump(origin_simplex_, z);
+        clear_visited_marks(origin_simplex_);
         Simplex_iterator S;
         forall_rc_simplices(S,*this) compute_equation_of_base_facet(S);
         num_of_unbounded_simplices += num_of_bounded_simplices;
@@ -682,7 +682,7 @@ public:
         }
 
 
-      } else { 
+      } else {
         OtherPoints.push_back(x);
       }
     }
@@ -709,7 +709,7 @@ public:
     OtherPoints.clear();
 
     while ( !FacetCandidates.empty() ) {
-      Facet_handle f = *FacetCandidates.begin(); 
+      Facet_handle f = *FacetCandidates.begin();
       FacetCandidates.pop_front();
       Hyperplane_d h = f->hyperplane_of_base_facet();
       std::list<Point_d>& L = PointsOf[f];
@@ -724,40 +724,40 @@ public:
       num_of_visibility_tests += L.size();
 
       std::size_t num_of_visited_facets = 0;
-      std::list<Facet_handle> VisibleFacets; 
-      VisibleFacets.push_back(f); 
-      visible_facets_search(f, p, VisibleFacets, num_of_visited_facets); 
+      std::list<Facet_handle> VisibleFacets;
+      VisibleFacets.push_back(f);
+      visible_facets_search(f, p, VisibleFacets, num_of_visited_facets);
       num_of_visibility_tests += num_of_visited_facets;
       num_of_bounded_simplices += VisibleFacets.size();
       clear_visited_marks(f);
 
-      ++num_of_vertices; 
+      ++num_of_vertices;
       Vertex_handle z = new_vertex(p);
       std::list<Simplex_handle> NewSimplices;
       typename std::list<Facet_handle>::iterator it;
       CGAL_assertion(OtherPoints.empty());
       for (it = VisibleFacets.begin(); it != VisibleFacets.end(); ++it) {
         OtherPoints.splice(OtherPoints.end(),PointsOf[*it]);
-        Facet_handle S = *it; 
-        associate_vertex_with_simplex(S,0,z); 
+        Facet_handle S = *it;
+        associate_vertex_with_simplex(S,0,z);
         for (int k = 1; k <= dcur; ++k) {
           if (!is_base_facet_visible(opposite_simplex(S,k),p)) {
-            Simplex_handle T = new_simplex(); 
+            Simplex_handle T = new_simplex();
             NewSimplices.push_back(T);
-             
+
             /* set the vertices of T as described above */
             for (int i = 1; i < dcur; i++) {
-              if ( i != k ) 
-                associate_vertex_with_simplex(T,i,vertex_of_simplex(S,i)); 
+              if ( i != k )
+                associate_vertex_with_simplex(T,i,vertex_of_simplex(S,i));
             }
-            if (k != dcur) 
-              associate_vertex_with_simplex(T,k,vertex_of_simplex(S,dcur)); 
-            associate_vertex_with_simplex(T,dcur,z); 
-            associate_vertex_with_simplex(T,0,anti_origin_); 
-            /* in the above, it is tempting to drop the tests ( i != k ) and 
+            if (k != dcur)
+              associate_vertex_with_simplex(T,k,vertex_of_simplex(S,dcur));
+            associate_vertex_with_simplex(T,dcur,z);
+            associate_vertex_with_simplex(T,0,anti_origin_);
+            /* in the above, it is tempting to drop the tests ( i != k ) and
                ( k != dcur ) since the subsequent lines after will correct the
                erroneous assignment.  This reasoning is fallacious as the
-               procedure assoc_vertex_with_simplex also the internal data of 
+               procedure assoc_vertex_with_simplex also the internal data of
                the third argument. */
 
             /* compute the equation of its base facet */
@@ -783,22 +783,22 @@ public:
           if (opposite_simplex(Af,k) == Simplex_handle()) {
             // we have not performed the walk in the opposite direction yet
             Simplex_handle T = opposite_simplex(Af,0);
-            int y1 = 0; 
-            while ( vertex_of_simplex(T,y1) != vertex_of_simplex(Af,k) ) 
-              y1++; 
-            // exercise: show that we can also start with y1 = 1 
-            int y2 = index_of_vertex_in_opposite_simplex(Af,0); 
+            int y1 = 0;
+            while ( vertex_of_simplex(T,y1) != vertex_of_simplex(Af,k) )
+              y1++;
+            // exercise: show that we can also start with y1 = 1
+            int y2 = index_of_vertex_in_opposite_simplex(Af,0);
 
             while ( vertex_of_simplex(T,0) == z ) {
               // while T has peak x do find new y_1 */
-              int new_y1 = 0; 
+              int new_y1 = 0;
               while (vertex_of_simplex(opposite_simplex(T,y1),new_y1) !=
                      vertex_of_simplex(T,y2))
                 new_y1++;
-                // exercise: show that we can also start with new_y1 = 1 
-              y2 = index_of_vertex_in_opposite_simplex(T,y1); 
-              T =  opposite_simplex(T,y1); 
-              y1 = new_y1; 
+                // exercise: show that we can also start with new_y1 = 1
+              y2 = index_of_vertex_in_opposite_simplex(T,y1);
+              T =  opposite_simplex(T,y1);
+              y1 = new_y1;
             }
             set_neighbor(Af,k,T,y1); // update adjacency information
           }
@@ -825,7 +825,7 @@ public:
     }
 
   #ifdef CGAL_CHECK_EXPENSIVE
-    CGAL_assertion(is_valid(true)); 
+    CGAL_assertion(is_valid(true));
   #endif
   }
 
@@ -839,7 +839,7 @@ public:
   Vertex_iterator vertices_end()   { return Base::vertices_end(); }
   /*{\Mop the past the end iterator for vertices.}*/
   Simplex_iterator simplices_begin() { return Base::simplices_begin(); }
-  /*{\Mop returns an iterator to start iteration over all simplices 
+  /*{\Mop returns an iterator to start iteration over all simplices
   of |\Mvar|.}*/
   Simplex_iterator simplices_end()   { return Base::simplices_end(); }
   /*{\Mop the past the end iterator for simplices.}*/
@@ -847,11 +847,11 @@ public:
   /*{\Mop returns an iterator to start iteration over all facets of |\Mvar|.}*/
   Facet_iterator facets_end() { return Facet_iterator(); }
   /*{\Mop the past the end iterator for facets.}*/
-  Hull_vertex_iterator hull_vertices_begin() 
+  Hull_vertex_iterator hull_vertices_begin()
   { return Hull_vertex_iterator(this,facets_begin()); }
-  /*{\Mop returns an iterator to start iteration over all hull vertex 
+  /*{\Mop returns an iterator to start iteration over all hull vertex
   of |\Mvar|. Remember that the hull is a simplicial complex.}*/
-  Hull_vertex_iterator hull_vertices_end() 
+  Hull_vertex_iterator hull_vertices_end()
   { return Hull_vertex_iterator(); }
   /*{\Mop the past the end iterator for hull vertices.}*/
 
@@ -863,20 +863,20 @@ public:
 
   Hull_point_const_iterator hull_points_begin() const
   { return Hull_point_const_iterator(hull_vertices_begin()); }
-  /*{\Mop returns an iterator to start iteration over all inserted 
-  points that are part of the convex hull |\Mvar|. Remember that the 
+  /*{\Mop returns an iterator to start iteration over all inserted
+  points that are part of the convex hull |\Mvar|. Remember that the
   hull is a simplicial complex.}*/
   Hull_point_const_iterator hull_points_end() const
   { return Hull_point_const_iterator(hull_vertices_end()); }
   /*{\Mop returns the past the end iterator for points of the hull.}*/
 
-  Vertex_const_iterator vertices_begin() const 
+  Vertex_const_iterator vertices_begin() const
   { return Base::vertices_begin(); }
-  Vertex_const_iterator vertices_end()   const 
+  Vertex_const_iterator vertices_end()   const
   { return Base::vertices_end(); }
-  Simplex_const_iterator simplices_begin() const 
+  Simplex_const_iterator simplices_begin() const
   { return Base::simplices_begin(); }
-  Simplex_const_iterator simplices_end()   const 
+  Simplex_const_iterator simplices_end()   const
   { return Base::simplices_end(); }
   Facet_const_iterator facets_begin() const
   { return Facet_const_iterator(this,start_facet_); }
@@ -943,7 +943,7 @@ public:
 
 
 
-  std::list<Facet_handle>  all_facets() 
+  std::list<Facet_handle>  all_facets()
   /*{\Mop returns a list of all facets of |\Mvar|.}*/
   { std::list<Facet_handle> L;
     list_collector<Facet_handle,Facet_handle> visitor(L);
@@ -959,22 +959,22 @@ public:
   }
 
   #define forall_ch_vertices(x,CH)\
-  for(x = (CH).vertices_begin(); x != (CH).vertices_end(); ++x) 
+  for(x = (CH).vertices_begin(); x != (CH).vertices_end(); ++x)
   #define forall_ch_simplices(x,CH)\
-  for(x = (CH).simplices_begin(); x != (CH).simplices_end(); ++x) 
+  for(x = (CH).simplices_begin(); x != (CH).simplices_end(); ++x)
   #define forall_ch_facets(x,CH)\
-  for(x = (CH).facets_begin(); x != (CH).facets_end(); ++x) 
+  for(x = (CH).facets_begin(); x != (CH).facets_end(); ++x)
 
-  /*{\Mtext 
+  /*{\Mtext
   \headerline{Iteration Statements}
 
-  {\bf forall\_ch\_vertices}($v,C$)       
+  {\bf forall\_ch\_vertices}($v,C$)
   $\{$ ``the vertices of $C$ are successively assigned to $v$'' $\}$
 
-  {\bf forall\_ch\_simplices}($s,C$)       
+  {\bf forall\_ch\_simplices}($s,C$)
   $\{$ ``the simplices of $C$ are successively assigned to $s$'' $\}$
 
-  {\bf forall\_ch\_facets}($f,C$)       
+  {\bf forall\_ch\_facets}($f,C$)
   $\{$ ``the facets of $C$ are successively assigned to $f$'' $\}$
 
   }*/
@@ -1029,12 +1029,12 @@ public:
 
 template <class R>
 Convex_hull_d<R>::Convex_hull_d(int d, const R& Kernel) : Base(d,Kernel)
-{ 
-  origin_simplex_ = Simplex_handle(); 
+{
+  origin_simplex_ = Simplex_handle();
   start_facet_ = Facet_handle();
   anti_origin_ = Vertex_handle();
-  num_of_vertices = 0; 
-  num_of_unbounded_simplices = num_of_bounded_simplices = 0; 
+  num_of_vertices = 0;
+  num_of_unbounded_simplices = num_of_bounded_simplices = 0;
   num_of_visibility_tests = 0;
   typename R::Construct_vector_d create =
     kernel().construct_vector_d_object();
@@ -1044,7 +1044,7 @@ Convex_hull_d<R>::Convex_hull_d(int d, c
 template <class R>
 bool Convex_hull_d<R>::
 contains_in_base_facet(Simplex_handle s, const Point_d& x) const
-{ 
+{
   typename R::Contained_in_simplex_d contained_in_simplex =
     kernel().contained_in_simplex_d_object();
   return contained_in_simplex(s->points_begin()+1,
@@ -1054,7 +1054,7 @@ contains_in_base_facet(Simplex_handle s,
 template <class R>
 void Convex_hull_d<R>::
 compute_equation_of_base_facet(Simplex_handle S)
-{ 
+{
   typename R::Construct_hyperplane_d hyperplane_through_points =
     kernel().construct_hyperplane_d_object();
   S->set_hyperplane_of_base_facet( hyperplane_through_points(
@@ -1066,48 +1066,48 @@ compute_equation_of_base_facet(Simplex_h
     typename R::Oriented_side_d side = kernel().oriented_side_d_object();
     for (int i = 1; i <= current_dimension(); i++)
       CGAL_assertion_msg(side(S->hyperplane_of_base_facet(),
-                              point_of_simplex(S,i)) == ON_ORIENTED_BOUNDARY, 
-        " hyperplane does not support base "); 
-    CGAL_assertion_msg(side(S->hyperplane_of_base_facet(),center()) == 
+                              point_of_simplex(S,i)) == ON_ORIENTED_BOUNDARY,
+        " hyperplane does not support base ");
+    CGAL_assertion_msg(side(S->hyperplane_of_base_facet(),center()) ==
                        ON_NEGATIVE_SIDE,
-      " hyperplane has quasi center on wrong side "); 
+      " hyperplane has quasi center on wrong side ");
   }
   #endif
 
- 
+
 }
 
 template <class R>
-typename Convex_hull_d<R>::Vertex_handle 
+typename Convex_hull_d<R>::Vertex_handle
 Convex_hull_d<R>::insert(const Point_d& x)
-{ 
+{
   Vertex_handle z = Vertex_handle();
   all_pnts_.push_back(x);
-  if (current_dimension() == -1) { 
-    
+  if (current_dimension() == -1) {
+
     Simplex_handle outer_simplex; // a pointer to the outer simplex
     dcur = 0;  // we jump from dimension - 1 to dimension 0
-    origin_simplex_ = new_simplex();  num_of_bounded_simplices ++; 
-    outer_simplex  = new_simplex();   num_of_unbounded_simplices ++; 
+    origin_simplex_ = new_simplex();  num_of_bounded_simplices ++;
+    outer_simplex  = new_simplex();   num_of_unbounded_simplices ++;
     start_facet_ = origin_simplex_;
-    z = new_vertex(x);                num_of_vertices ++; 
+    z = new_vertex(x);                num_of_vertices ++;
     associate_vertex_with_simplex(origin_simplex_,0,z);
-      // z is the only point and the peak 
-    associate_vertex_with_simplex(outer_simplex,0,anti_origin_); 
-    set_neighbor(origin_simplex_,0,outer_simplex,0); 
+      // z is the only point and the peak
+    associate_vertex_with_simplex(outer_simplex,0,anti_origin_);
+    set_neighbor(origin_simplex_,0,outer_simplex,0);
     typename R::Point_to_vector_d to_vector =
       kernel().point_to_vector_d_object();
     quasi_center_ = to_vector(x);
 
 
   } else if ( is_dimension_jump(x) ) {
-    dcur++; 
-    z = new_vertex(x); num_of_vertices++; 
+    dcur++;
+    z = new_vertex(x); num_of_vertices++;
     typename R::Point_to_vector_d to_vector =
       kernel().point_to_vector_d_object();
     quasi_center_ = quasi_center_ + to_vector(x);
-    dimension_jump(origin_simplex_, z); 
-    clear_visited_marks(origin_simplex_); 
+    dimension_jump(origin_simplex_, z);
+    clear_visited_marks(origin_simplex_);
     Simplex_iterator S;
     forall_rc_simplices(S,*this) compute_equation_of_base_facet(S);
     num_of_unbounded_simplices += num_of_bounded_simplices;
@@ -1117,40 +1117,40 @@ Convex_hull_d<R>::insert(const Point_d&
     }
 
 
-  } else { 
+  } else {
     if ( current_dimension() == 0 ) {
       z = vertex_of_simplex(origin_simplex_,0);
       associate_point_with_vertex(z,x);
       return z;
     }
-    std::list<Simplex_handle> visible_simplices; 
+    std::list<Simplex_handle> visible_simplices;
     int location = -1;
     Facet_handle f;
 
-    std::size_t num_of_visited_simplices = 0; 
+    std::size_t num_of_visited_simplices = 0;
 
     visibility_search(origin_simplex_, x, visible_simplices,
-                      num_of_visited_simplices, location, f); 
+                      num_of_visited_simplices, location, f);
 
-    num_of_visibility_tests += num_of_visited_simplices; 
+    num_of_visibility_tests += num_of_visited_simplices;
 
-    #ifdef COUNTS   
+    #ifdef COUNTS
       cout << "\nthe number of visited simplices in this iteration is ";
       cout << num_of_visited_simplices << endl;
     #endif
 
-    clear_visited_marks(origin_simplex_); 
-     
+    clear_visited_marks(origin_simplex_);
+
 
     #ifdef COUNTS
       cout << "\nthe number of bounded simplices constructed ";
-      cout << " in this iteration is  " << visible_simplices.size() << endl; 
+      cout << " in this iteration is  " << visible_simplices.size() << endl;
     #endif
 
-    num_of_bounded_simplices += visible_simplices.size(); 
+    num_of_bounded_simplices += visible_simplices.size();
 
     switch (location) {
-      case -1: 
+      case -1:
         return Vertex_handle();
       case 0:
         { for (int i = 0; i < current_dimension(); i++) {
@@ -1163,33 +1163,33 @@ Convex_hull_d<R>::insert(const Point_d&
           return Vertex_handle();
         }
       case 1:
-        { num_of_vertices++; 
+        { num_of_vertices++;
           z = new_vertex(x);
           std::list<Simplex_handle> NewSimplices; // list of new simplices
           typename std::list<Simplex_handle>::iterator it;
 
-          for (it = visible_simplices.begin(); 
+          for (it = visible_simplices.begin();
                it != visible_simplices.end(); ++it) {
-            Simplex_handle S = *it; 
-            associate_vertex_with_simplex(S,0,z); 
+            Simplex_handle S = *it;
+            associate_vertex_with_simplex(S,0,z);
             for (int k = 1; k <= dcur; k++) {
               if (!is_base_facet_visible(opposite_simplex(S,k),x)) {
-                Simplex_handle T = new_simplex(); 
+                Simplex_handle T = new_simplex();
                 NewSimplices.push_back(T);
-                 
+
                 /* set the vertices of T as described above */
                 for (int i = 1; i < dcur; i++) {
-                  if ( i != k ) 
-                    associate_vertex_with_simplex(T,i,vertex_of_simplex(S,i)); 
+                  if ( i != k )
+                    associate_vertex_with_simplex(T,i,vertex_of_simplex(S,i));
                 }
-                if (k != dcur) 
+                if (k != dcur)
                   associate_vertex_with_simplex(T,k,vertex_of_simplex(S,dcur));
-                associate_vertex_with_simplex(T,dcur,z); 
-                associate_vertex_with_simplex(T,0,anti_origin_); 
-                /* in the above, it is tempting to drop the tests ( i != k ) 
-                   and ( k != dcur ) since the subsequent lines after will 
-                   correct the erroneous assignment.  This reasoning is 
-                   fallacious as the procedure assoc_vertex_with_simplex also 
+                associate_vertex_with_simplex(T,dcur,z);
+                associate_vertex_with_simplex(T,0,anti_origin_);
+                /* in the above, it is tempting to drop the tests ( i != k )
+                   and ( k != dcur ) since the subsequent lines after will
+                   correct the erroneous assignment.  This reasoning is
+                   fallacious as the procedure assoc_vertex_with_simplex also
                    the internal data of the third argument. */
 
                 /* compute the equation of its base facet */
@@ -1204,7 +1204,7 @@ Convex_hull_d<R>::insert(const Point_d&
               }
             }
           }
-          num_of_unbounded_simplices -= visible_simplices.size(); 
+          num_of_unbounded_simplices -= visible_simplices.size();
           if ( vertex_of_simplex(start_facet_,0) != Vertex_handle() )
             start_facet_ = *(--NewSimplices.end());
           CGAL_assertion( vertex_of_simplex(start_facet_,0)==Vertex_handle() );
@@ -1215,22 +1215,22 @@ Convex_hull_d<R>::insert(const Point_d&
               if (opposite_simplex(Af,k) == Simplex_handle()) {
                 // we have not performed the walk in the opposite direction yet
                 Simplex_handle T = opposite_simplex(Af,0);
-                int y1 = 0; 
-                while ( vertex_of_simplex(T,y1) != vertex_of_simplex(Af,k) ) 
-                  y1++; 
-                // exercise: show that we can also start with y1 = 1 
-                int y2 = index_of_vertex_in_opposite_simplex(Af,0); 
+                int y1 = 0;
+                while ( vertex_of_simplex(T,y1) != vertex_of_simplex(Af,k) )
+                  y1++;
+                // exercise: show that we can also start with y1 = 1
+                int y2 = index_of_vertex_in_opposite_simplex(Af,0);
 
                 while ( vertex_of_simplex(T,0) == z ) {
                   // while T has peak x do find new y_1 */
-                  int new_y1 = 0; 
+                  int new_y1 = 0;
                   while (vertex_of_simplex(opposite_simplex(T,y1),new_y1) !=
                          vertex_of_simplex(T,y2))
                     new_y1++;
-                    // exercise: show that we can also start with new_y1 = 1 
-                  y2 = index_of_vertex_in_opposite_simplex(T,y1); 
-                  T =  opposite_simplex(T,y1); 
-                  y1 = new_y1; 
+                    // exercise: show that we can also start with new_y1 = 1
+                  y2 = index_of_vertex_in_opposite_simplex(T,y1);
+                  T =  opposite_simplex(T,y1);
+                  y1 = new_y1;
                 }
                 set_neighbor(Af,k,T,y1); // update adjacency information
               }
@@ -1240,10 +1240,10 @@ Convex_hull_d<R>::insert(const Point_d&
 
         }
     }
- 
+
   }
 #ifdef CGAL_CHECK_EXPENSIVE
-  CGAL_assertion(is_valid(true)); 
+  CGAL_assertion(is_valid(true));
 #endif
   return z;
 }
@@ -1255,34 +1255,34 @@ visibility_search(Simplex_handle S, cons
                   std::list< Simplex_handle >& visible_simplices,
                   std::size_t& num_of_visited_simplices, int& location,
                   Simplex_handle& f) const
-{ 
-  num_of_visited_simplices ++; 
+{
+  num_of_visited_simplices ++;
   S->visited() = true; // we have visited S and never come back ...
   for(int i = 0; i <= current_dimension(); ++i) {
     Simplex_handle T = opposite_simplex(S,i); // for all neighbors T of S
-    if ( !T->visited() ) { 
+    if ( !T->visited() ) {
       typename R::Oriented_side_d side_of =
         kernel().oriented_side_d_object();
       int side = side_of(T->hyperplane_of_base_facet(),x);
-      if ( is_unbounded_simplex(T) ) { 
+      if ( is_unbounded_simplex(T) ) {
         if ( side == ON_POSITIVE_SIDE ) {
           // T is an unbounded simplex with x-visible base facet
-          visible_simplices.push_back(T); 
-          location = 1; 
+          visible_simplices.push_back(T);
+          location = 1;
         }
-        if ( side == ON_ORIENTED_BOUNDARY && 
+        if ( side == ON_ORIENTED_BOUNDARY &&
              location == -1 && contains_in_base_facet(T,x) ) {
-          location = 0; f = T; 
+          location = 0; f = T;
           return;
         }
       }
-      if ( side == ON_POSITIVE_SIDE || 
+      if ( side == ON_POSITIVE_SIDE ||
            (side == ON_ORIENTED_BOUNDARY && location == -1) ) {
         visibility_search(T,x,visible_simplices,
-                          num_of_visited_simplices,location,f); 
+                          num_of_visited_simplices,location,f);
         // do the recursive search
-      }     
-    } // end visited 
+      }
+    } // end visited
     else {
     }
   } // end for
@@ -1290,33 +1290,33 @@ visibility_search(Simplex_handle S, cons
 
 template <class R>
 void Convex_hull_d<R>::clear_visited_marks(Simplex_handle S) const
-{ 
+{
   S->visited() = false; // clear the visit - bit
   for(int i = 0; i <= current_dimension(); i++) // for all neighbors of S
-    if (opposite_simplex(S,i)->visited()) 
+    if (opposite_simplex(S,i)->visited())
       // if the i - th neighbor has been visited
-      clear_visited_marks(opposite_simplex(S,i)); 
+      clear_visited_marks(opposite_simplex(S,i));
       // clear its bit recursively
 }
 
 template <class R>
-std::list< typename Convex_hull_d<R>::Simplex_handle > 
+std::list< typename Convex_hull_d<R>::Simplex_handle >
 Convex_hull_d<R>::facets_visible_from(const Point_d& x)
-{ 
+{
   std::list<Simplex_handle> visible_simplices;
   int location = -1;                       // intialization is important
   std::size_t num_of_visited_simplices = 0;     // irrelevant
   Facet_handle f;                          // irrelevant
 
   visibility_search(origin_simplex_, x, visible_simplices,
-                    num_of_visited_simplices, location, f); 
+                    num_of_visited_simplices, location, f);
   clear_visited_marks(origin_simplex_);
   return visible_simplices;
 }
 
 template <class R>
 Bounded_side Convex_hull_d<R>::bounded_side(const Point_d& x)
-{ 
+{
   if ( is_dimension_jump(x) ) return ON_UNBOUNDED_SIDE;
   std::list<Simplex_handle> visible_simplices;
   int location = -1;                       // intialization is important
@@ -1324,7 +1324,7 @@ Bounded_side Convex_hull_d<R>::bounded_s
   Facet_handle f;
 
   visibility_search(origin_simplex_, x, visible_simplices,
-                    num_of_visited_simplices, location, f); 
+                    num_of_visited_simplices, location, f);
   clear_visited_marks(origin_simplex_);
   switch (location) {
     case -1: return ON_BOUNDED_SIDE;
@@ -1338,68 +1338,68 @@ Bounded_side Convex_hull_d<R>::bounded_s
 template <class R>
 void Convex_hull_d<R>::
 dimension_jump(Simplex_handle S, Vertex_handle x)
-{ 
-  Simplex_handle S_new; 
-  S->visited() = true; 
-  associate_vertex_with_simplex(S,dcur,x); 
+{
+  Simplex_handle S_new;
+  S->visited() = true;
+  associate_vertex_with_simplex(S,dcur,x);
   if ( !is_unbounded_simplex(S) ) { // S is bounded
-    S_new = new_simplex(); 
-    set_neighbor(S,dcur,S_new,0); 
-    associate_vertex_with_simplex(S_new,0,anti_origin_); 
+    S_new = new_simplex();
+    set_neighbor(S,dcur,S_new,0);
+    associate_vertex_with_simplex(S_new,0,anti_origin_);
     for (int k = 1; k <= dcur; k++) {
-      associate_vertex_with_simplex(S_new,k,vertex_of_simplex(S,k-1)); 
+      associate_vertex_with_simplex(S_new,k,vertex_of_simplex(S,k-1));
     }
 
   }
   /* visit unvisited neighbors 0 to dcur - 1 */
   for (int k = 0; k <= dcur - 1; k++) {
     if ( !opposite_simplex(S,k) -> visited() ) {
-      dimension_jump(opposite_simplex(S,k), x); 
+      dimension_jump(opposite_simplex(S,k), x);
     }
   }
   /* the recursive calls ensure that all neighbors exist */
   if ( is_unbounded_simplex(S) ) {
     set_neighbor(S,dcur,opposite_simplex(opposite_simplex(S,0),dcur),
-                 index_of_vertex_in_opposite_simplex(S,0) + 1); 
- 
+                 index_of_vertex_in_opposite_simplex(S,0) + 1);
+
   } else {
     for (int k = 0; k < dcur; k++) {
       if ( is_unbounded_simplex(opposite_simplex(S,k)) ) {
         // if F' is unbounded
-        set_neighbor(S_new,k + 1,opposite_simplex(S,k),dcur); 
-        // the neighbor of S_new opposite to v is S' and 
+        set_neighbor(S_new,k + 1,opposite_simplex(S,k),dcur);
+        // the neighbor of S_new opposite to v is S' and
         // x is in position dcur
       } else { // F' is bounded
         set_neighbor(S_new,k + 1,opposite_simplex(opposite_simplex(S,k),dcur),
-                     index_of_vertex_in_opposite_simplex(S,k) + 1); 
+                     index_of_vertex_in_opposite_simplex(S,k) + 1);
         // neighbor of S_new opposite to v is S_new'
         // the vertex opposite to v remains the same but ...
         // remember the shifting of the vertices one step to the right
       }
     }
- 
+
   }
 }
 
 template <class R>
 bool Convex_hull_d<R>::is_valid(bool throw_exceptions) const
-{ 
-  this->check_topology(); 
-  if (current_dimension() < 1) return true; 
- 
+{
+  this->check_topology();
+  if (current_dimension() < 1) return true;
+
   /* Recall that center() gives us the center-point of the origin
      simplex. We check whether it is locally inside with respect to
      all hull facets.  */
 
   typename R::Oriented_side_d side =
     kernel().oriented_side_d_object();
-  Point_d centerpoint = center(); 
+  Point_d centerpoint = center();
   Simplex_const_iterator S;
   forall_rc_simplices(S,*this) {
-    if ( is_unbounded_simplex(S) && 
-         side(S->hyperplane_of_base_facet(),centerpoint) != 
+    if ( is_unbounded_simplex(S) &&
+         side(S->hyperplane_of_base_facet(),centerpoint) !=
          ON_NEGATIVE_SIDE) {
-      if (throw_exceptions) 
+      if (throw_exceptions)
         throw chull_has_center_on_wrong_side_of_hull_facet();
       return false;
     }
@@ -1412,11 +1412,11 @@ bool Convex_hull_d<R>::is_valid(bool thr
   forall_rc_simplices(S,*this) {
     if ( is_unbounded_simplex(S) ) {
       for (int i = 1; i <= dcur; i++) {
-        int k = index_of_vertex_in_opposite_simplex(S,i); 
+        int k = index_of_vertex_in_opposite_simplex(S,i);
         if (side(S->hyperplane_of_base_facet(),
             point_of_simplex(opposite_simplex(S,i),k)) ==
             ON_POSITIVE_SIDE) {
-          if (throw_exceptions) 
+          if (throw_exceptions)
             throw chull_has_local_non_convexity();
           return false;
         }
@@ -1426,12 +1426,12 @@ bool Convex_hull_d<R>::is_valid(bool thr
 
   /* next we select one hull facet */
 
-  Simplex_const_handle selected_hull_simplex; 
+  Simplex_const_handle selected_hull_simplex;
   forall_rc_simplices(S,*this) {
     if ( is_unbounded_simplex(S) ) { selected_hull_simplex = S; break; }
   }
 
-  /* we compute the center of gravity of the base facet of the 
+  /* we compute the center of gravity of the base facet of the
      hull simplex */
 
   typename R::Point_to_vector_d to_vector =
@@ -1445,15 +1445,15 @@ bool Convex_hull_d<R>::is_valid(bool thr
     center_of_hull_facet = center_of_hull_facet +
     to_vector(point_of_simplex(selected_hull_simplex,i));
   }
-  Point_d center_of_hull_facet_point = 
-    to_point(center_of_hull_facet/RT(dcur)); 
+  Point_d center_of_hull_facet_point =
+    to_point(center_of_hull_facet/RT(dcur));
 
   /* we set up the ray from the center to the center of the hull facet */
 
-  Ray_d l(centerpoint, center_of_hull_facet_point); 
+  Ray_d l(centerpoint, center_of_hull_facet_point);
 
   /* and check whether it intersects the interior of any hull facet */
- 
+
   typename R::Contained_in_simplex_d contained_in_simplex =
     kernel().contained_in_simplex_d_object();
   typename R::Intersect_d intersect =
@@ -1466,7 +1466,7 @@ bool Convex_hull_d<R>::is_valid(bool thr
       if ( (op = intersect(l,h), assign(p,op)) ) {
         if ( contained_in_simplex(S->points_begin()+1,
                S->points_begin()+1+current_dimension(),p) ) {
-          if ( throw_exceptions ) 
+          if ( throw_exceptions )
             throw chull_has_double_coverage();
           return false;
         }
@@ -1481,22 +1481,22 @@ void Convex_hull_d<R>::
 visible_facets_search(Simplex_handle S, const Point_d& x,
                       std::list< Facet_handle >& VisibleFacets,
                       std::size_t& num_of_visited_facets) const
-{ 
-  ++num_of_visited_facets; 
+{
+  ++num_of_visited_facets;
   S->visited() = true; // we have visited S and never come back ...
   for(int i = 1; i <= current_dimension(); ++i) {
     Simplex_handle T = opposite_simplex(S,i); // for all neighbors T of S
-    if ( !T->visited() ) { 
+    if ( !T->visited() ) {
       typename R::Oriented_side_d side_of =
         kernel().oriented_side_d_object();
       int side = side_of(T->hyperplane_of_base_facet(),x);
       CGAL_assertion( is_unbounded_simplex(T) );
       if ( side == ON_POSITIVE_SIDE ) {
         VisibleFacets.push_back(T);
-        visible_facets_search(T,x,VisibleFacets,num_of_visited_facets); 
+        visible_facets_search(T,x,VisibleFacets,num_of_visited_facets);
         // do the recursive search
-      }     
-    } // end visited 
+      }
+    } // end visited
   } // end for
 }
 
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_d_to_polyhedron_3.h 5.0.3-1/include/CGAL/Convex_hull_d_to_polyhedron_3.h
--- 5.0.2-3/include/CGAL/Convex_hull_d_to_polyhedron_3.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_d_to_polyhedron_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_d/include/CGAL/Convex_hull_d_to_polyhedron_3.h $
-// $Id: Convex_hull_d_to_polyhedron_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_d/include/CGAL/Convex_hull_d_to_polyhedron_3.h $
+// $Id: Convex_hull_d_to_polyhedron_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
@@ -46,10 +46,10 @@ Point convert(const Point_d& p) const
 
 void operator()(HDS& hds )
 {
-  CGAL_assertion( ch.current_dimension() == 3); 
+  CGAL_assertion( ch.current_dimension() == 3);
   Polyhedron_incremental_builder_3<HDS> B(hds, true);
-  B.begin_surface( ch.number_of_vertices(), 
-                   ch.number_of_facets() ); 
+  B.begin_surface( ch.number_of_vertices(),
+                   ch.number_of_facets() );
   // would be nice to have statistical data on
   // Chull available other than print_statistics()
   Unique_hash_map<Vertex_handle, int> index( -1);
@@ -105,7 +105,7 @@ include |<CGAL/Convex_hull_d_to_polyhedr
 template <class R, class Polyhedron_3>
 void convex_hull_d_to_polyhedron_3(
   const Convex_hull_d<R>& C, Polyhedron_3& P)
-/*{\Mfunc converts the convex hull |C| to polyedral surface stored in 
+/*{\Mfunc converts the convex hull |C| to polyedral surface stored in
    |P|.\\ \precond |dim == 3| and |dcur == 3|. }*/
 { typedef Convex_hull_d<R> ChullType;
 
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_d_traits_3.h 5.0.3-1/include/CGAL/Convex_hull_d_traits_3.h
--- 5.0.2-3/include/CGAL/Convex_hull_d_traits_3.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_d_traits_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_d/include/CGAL/Convex_hull_d_traits_3.h $
-// $Id: Convex_hull_d_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_d/include/CGAL/Convex_hull_d_traits_3.h $
+// $Id: Convex_hull_d_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -71,7 +71,7 @@ template <class R_> struct Convex_hull_d
       A[3] = *s;
       ++s;
       CGAL_assertion(s == e);
-	
+
       return orientation(A[0],A[1],A[2],A[3]);
     }
   };
@@ -81,53 +81,53 @@ template <class R_> struct Convex_hull_d
   struct Affinely_independent_d {
     template <class I>
     bool operator()(I s, I e)
-    { 
+    {
       Point_d A[4];
       CGAL_assertion(s != e);
       A[0] = *s;
       ++s;
       if(s == e){
-	return true;
+        return true;
       }
       A[1] = *s;
       ++s;
       if (s == e){
-	return A[0] != A[1];
+        return A[0] != A[1];
       }
       A[2] = *s;
       ++s;
       if (s == e){
-	return ! collinear( A[0], A[1], A[2] );
+        return ! collinear( A[0], A[1], A[2] );
       }
       A[3] = *s;
       ++s;
       if (s == e){
-	return !coplanar( A[0], A[1], A[2], A[3] );
-      } 
+        return !coplanar( A[0], A[1], A[2], A[3] );
+      }
       return false;
     }
   };
 
 
-  Affinely_independent_d 
+  Affinely_independent_d
   affinely_independent_d_object() const
-  { 
-    return Affinely_independent_d(); 
+  {
+    return Affinely_independent_d();
   }
 
 
   struct Contained_in_simplex_d {
 
     template <class I>
-    bool 
+    bool
     operator()(I s, I e, const Point_d& p)
-    { 
+    {
       Point_d A[4];
       CGAL_assertion(s != e);
       A[0] = *s;
       ++s;
       if(s == e){
-	return A[0] == p;
+        return A[0] == p;
       }
       A[1] = *s;
       ++s;
@@ -151,28 +151,28 @@ template <class R_> struct Convex_hull_d
     }
   };
 
-  Contained_in_simplex_d 
+  Contained_in_simplex_d
   contained_in_simplex_d_object() const
-  { 
-    return Contained_in_simplex_d(); 
+  {
+    return Contained_in_simplex_d();
   }
- 
+
   struct Contained_in_affine_hull_d {
     template <class I>
     bool operator()(I s, I e, const Point_d& p)
-    { 
+    {
       CGAL_assertion_code( Affinely_independent_d affinely_independent; )
       CGAL_assertion( affinely_independent(s,e) );
       Point_d A[3];
       A[0] = *s;
       ++s;
       if(s == e){
-	return  p == A[0];
+        return  p == A[0];
       }
       A[1] = *s;
       ++s;
       if (s == e){
-	return collinear( p, A[0], A[1] );
+        return collinear( p, A[0], A[1] );
       }
       A[2] = *s;
       ++s;
@@ -184,10 +184,10 @@ template <class R_> struct Convex_hull_d
   };
 
 
-  Contained_in_affine_hull_d 
+  Contained_in_affine_hull_d
   contained_in_affine_hull_d_object() const
-  { 
-    return Contained_in_affine_hull_d(); 
+  {
+    return Contained_in_affine_hull_d();
   }
 
 
@@ -232,31 +232,31 @@ template <class R_> struct Convex_hull_d
 
   struct Construct_hyperplane_d {
     template <class I>
-    Hyperplane_d operator()(I s, I e, const Point_d& p, 
+    Hyperplane_d operator()(I s, I e, const Point_d& p,
                             Oriented_side side)
-    { 
+    {
       Hyperplane_d pl;
       Point_d A[3];
       A[0] = *s;
       ++s;
       if(s == e){
-	pl = Hyperplane_d( A[0], A[0] - p);
-      } else { 
-	A[1] = *s;
-	++s;
-	if(s == e){
-	  typename R_::Point_3 hp =
-	    A[0] + cross_product( p - A[0], A[1] - A[0] );
-	  pl = Hyperplane_d( A[0], A[1], hp );
-	} else {
-	  A[2] = *s;
-	  ++s;
-	  if(s == e){
-	    pl = Hyperplane_d( A[0], A[1], A[2] );
-	  } else {
-	    CGAL_error();
-	  }
-	}
+        pl = Hyperplane_d( A[0], A[0] - p);
+      } else {
+        A[1] = *s;
+        ++s;
+        if(s == e){
+          typename R_::Point_3 hp =
+            A[0] + cross_product( p - A[0], A[1] - A[0] );
+          pl = Hyperplane_d( A[0], A[1], hp );
+        } else {
+          A[2] = *s;
+          ++s;
+          if(s == e){
+            pl = Hyperplane_d( A[0], A[1], A[2] );
+          } else {
+            CGAL_error();
+          }
+        }
       }
       if (side != 0) {
         if ( pl.oriented_side(p) !=  side ) { pl = pl.opposite(); }
@@ -268,7 +268,7 @@ template <class R_> struct Convex_hull_d
   { return Construct_hyperplane_d(); }
 
   typedef typename R::Intersect_3 Intersect_d;
-  Intersect_d intersect_d_object() const 
+  Intersect_d intersect_d_object() const
   { return Intersect_d(); }
 
 };
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_face_base_2.h 5.0.3-1/include/CGAL/Convex_hull_face_base_2.h
--- 5.0.2-3/include/CGAL/Convex_hull_face_base_2.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_face_base_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_3/include/CGAL/Convex_hull_face_base_2.h $
-// $Id: Convex_hull_face_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_3/include/CGAL/Convex_hull_face_base_2.h $
+// $Id: Convex_hull_face_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
@@ -45,16 +45,16 @@ public:
   Convex_hull_face_base_2()
     : Fb(), _info(0) {}
 
-  Convex_hull_face_base_2(Vertex_handle v0, 
-				      Vertex_handle v1,
+  Convex_hull_face_base_2(Vertex_handle v0,
+                                      Vertex_handle v1,
                                       Vertex_handle v2)
     : Fb(v0, v1, v2), _info(0) {}
 
-  Convex_hull_face_base_2(Vertex_handle v0, 
-				      Vertex_handle v1,
-                                      Vertex_handle v2, 
-                                      Face_handle   n0, 
-				      Face_handle   n1,
+  Convex_hull_face_base_2(Vertex_handle v0,
+                                      Vertex_handle v1,
+                                      Vertex_handle v2,
+                                      Face_handle   n0,
+                                      Face_handle   n1,
                                       Face_handle   n2 )
     : Fb(v0, v1, v2, n0, n1, n2), _info(0) {}
 
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_projective_xy_traits_2.h 5.0.3-1/include/CGAL/Convex_hull_projective_xy_traits_2.h
--- 5.0.2-3/include/CGAL/Convex_hull_projective_xy_traits_2.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_projective_xy_traits_2.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/Convex_hull_projective_xy_traits_2.h $
-// $Id: Convex_hull_projective_xy_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/Convex_hull_projective_xy_traits_2.h $
+// $Id: Convex_hull_projective_xy_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert
 
@@ -26,57 +26,57 @@
 namespace CGAL {
 
 template <class Point_3>
-class Less_xy_plane_xy_2 
+class Less_xy_plane_xy_2
 {
 public:
    typedef bool          result_type;
 
-   bool 
+   bool
    operator()(const Point_3& p, const Point_3& q) const
-   { 
-     return 
+   {
+     return
         compare_lexicographically_xyC2(p.x(), p.y(), q.x(), q.y()) == SMALLER;
    }
 };
 
 template <class Point_3>
-class Equal_xy_plane_xy_2 
+class Equal_xy_plane_xy_2
 {
 public:
    typedef bool          result_type;
 
-   bool 
+   bool
    operator()(const Point_3& p, const Point_3& q) const
-   { 
-     return 
+   {
+     return
         compare_lexicographically_xyC2(p.x(), p.y(), q.x(), q.y()) == EQUAL;
    }
 };
 
 template <class Point_3>
-class Less_yx_plane_xy_2 
+class Less_yx_plane_xy_2
 {
 public:
    typedef bool          result_type;
 
-   bool 
+   bool
    operator()(const Point_3& p, const Point_3& q) const
-   { 
-     return 
+   {
+     return
         compare_lexicographically_xyC2(p.y(), p.x(), q.y(), q.x()) == SMALLER;
    }
 };
 
 template <class Point_3>
-class Left_turn_plane_xy_2 
+class Left_turn_plane_xy_2
 {
 public:
    typedef bool          result_type;
 
-   bool 
+   bool
    operator()(const Point_3& p, const Point_3& q, const Point_3& r) const
-   { 
-      return orientationC2(p.x(), p.y(), q.x(), q.y(), r.x(), r.y()) == 
+   {
+      return orientationC2(p.x(), p.y(), q.x(), q.y(), r.x(), r.y()) ==
                                                                  LEFT_TURN;
    }
 };
@@ -99,7 +99,7 @@ public:
       else if ( res == SMALLER )
          return true;
       else
-         return compare_lexicographically_xyC2(r.x(), r.y(), s.x(), s.y()) 
+         return compare_lexicographically_xyC2(r.x(), r.y(), s.x(), s.y())
              == SMALLER;
    }
 };
@@ -124,25 +124,25 @@ public:
          if (p.x() == r.x() && p.y() == r.y()) return false;
          if (q.x() == r.x() && q.y() == r.y()) return true;
          if (p.x() == q.x() && p.y() == q.y()) return false;
-         return 
-            collinear_are_ordered_along_lineC2(r.x(), r.y(), 
-                                               q.x(), q.y(), p.x(), p.y()); 
+         return
+            collinear_are_ordered_along_lineC2(r.x(), r.y(),
+                                               q.x(), q.y(), p.x(), p.y());
       }
    }
 };
 
 
 template <class Point_3>
-class Convex_hull_projective_xy_traits_2 
+class Convex_hull_projective_xy_traits_2
 {
 public:
     typedef Point_3                             Point_2;
     typedef Less_xy_plane_xy_2<Point_3>         Less_xy_2;
-    typedef Equal_xy_plane_xy_2<Point_3>        Equal_2;    
+    typedef Equal_xy_plane_xy_2<Point_3>        Equal_2;
     typedef Less_yx_plane_xy_2<Point_3>         Less_yx_2;
     typedef Left_turn_plane_xy_2<Point_3>       Left_turn_2;
     typedef Less_rotate_ccw_plane_xy_2<Point_3> Less_rotate_ccw_2;
-    typedef Less_dist_to_line_plane_xy_2<Point_3> 
+    typedef Less_dist_to_line_plane_xy_2<Point_3>
                                                 Less_signed_distance_to_line_2;
     Less_xy_2
     less_xy_2_object() const
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_projective_xz_traits_2.h 5.0.3-1/include/CGAL/Convex_hull_projective_xz_traits_2.h
--- 5.0.2-3/include/CGAL/Convex_hull_projective_xz_traits_2.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_projective_xz_traits_2.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/Convex_hull_projective_xz_traits_2.h $
-// $Id: Convex_hull_projective_xz_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/Convex_hull_projective_xz_traits_2.h $
+// $Id: Convex_hull_projective_xz_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert
 
@@ -27,57 +27,57 @@
 namespace CGAL {
 
 template <class Point_3>
-class Less_xy_plane_xz_2 
+class Less_xy_plane_xz_2
 {
 public:
    typedef bool           result_type;
 
-   bool 
+   bool
    operator()(const Point_3& p, const Point_3& q) const
-   { 
-      return 
+   {
+      return
         compare_lexicographically_xyC2(p.x(), p.z(), q.x(), q.z()) == SMALLER;
    }
 };
 
 template <class Point_3>
-class Equal_xy_plane_xz_2 
+class Equal_xy_plane_xz_2
 {
 public:
    typedef bool           result_type;
 
-   bool 
+   bool
    operator()(const Point_3& p, const Point_3& q) const
-   { 
-      return 
+   {
+      return
         compare_lexicographically_xyC2(p.x(), p.z(), q.x(), q.z()) == EQUAL;
    }
 };
 
 template <class Point_3>
-class Less_yx_plane_xz_2 
+class Less_yx_plane_xz_2
 {
 public:
    typedef bool           result_type;
 
-   bool 
+   bool
    operator()(const Point_3& p, const Point_3& q) const
-   { 
-      return 
+   {
+      return
         compare_lexicographically_xyC2(p.z(), p.x(), q.z(), q.x()) == SMALLER;
    }
 };
 
 template <class Point_3>
-class Left_turn_plane_xz_2 
+class Left_turn_plane_xz_2
 {
 public:
    typedef bool           result_type;
 
-   bool 
+   bool
    operator()(const Point_3& p, const Point_3& q, const Point_3& r) const
-   { 
-    return orientationC2(p.x(), p.z(), q.x(), q.z(), r.x(), r.z()) 
+   {
+    return orientationC2(p.x(), p.z(), q.x(), q.z(), r.x(), r.z())
                                                           == LEFT_TURN;
    }
 };
@@ -139,24 +139,24 @@ public:
 
 
 template <class Point_3>
-class Convex_hull_projective_xz_traits_2 
+class Convex_hull_projective_xz_traits_2
 {
 public:
     typedef Point_3                             Point_2;
     typedef Less_xy_plane_xz_2<Point_3>         Less_xy_2;
-    typedef Equal_xy_plane_xz_2<Point_3>        Equal_2;    
+    typedef Equal_xy_plane_xz_2<Point_3>        Equal_2;
     typedef Less_yx_plane_xz_2<Point_3>         Less_yx_2;
     typedef Left_turn_plane_xz_2<Point_3>       Left_turn_2;
     typedef Less_rotate_ccw_plane_xz_2<Point_3> Less_rotate_ccw_2;
-    typedef Less_dist_to_line_plane_xz_2<Point_3> 
+    typedef Less_dist_to_line_plane_xz_2<Point_3>
                                                 Less_signed_distance_to_line_2;
     Less_xy_2
     less_xy_2_object() const
     {  return Less_xy_2(); }
-    
+
     Equal_2
     equal_2_object() const
-    {  return Equal_2(); }    
+    {  return Equal_2(); }
 
     Less_yx_2
     less_yx_2_object() const
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_projective_yz_traits_2.h 5.0.3-1/include/CGAL/Convex_hull_projective_yz_traits_2.h
--- 5.0.2-3/include/CGAL/Convex_hull_projective_yz_traits_2.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_projective_yz_traits_2.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/Convex_hull_projective_yz_traits_2.h $
-// $Id: Convex_hull_projective_yz_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/Convex_hull_projective_yz_traits_2.h $
+// $Id: Convex_hull_projective_yz_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert
 
@@ -25,57 +25,57 @@
 namespace CGAL {
 
 template <class Point_3>
-class Less_xy_plane_yz_2 
+class Less_xy_plane_yz_2
 {
 public:
    typedef bool         result_type;
 
-   bool 
+   bool
    operator()(const Point_3& p, const Point_3& q) const
-   { 
-      return 
+   {
+      return
         compare_lexicographically_xyC2(p.y(), p.z(), q.y(), q.z()) == SMALLER;
    }
 };
 
 template <class Point_3>
-class Equal_xy_plane_yz_2 
+class Equal_xy_plane_yz_2
 {
 public:
    typedef bool         result_type;
 
-   bool 
+   bool
    operator()(const Point_3& p, const Point_3& q) const
-   { 
-      return 
+   {
+      return
         compare_lexicographically_xyC2(p.y(), p.z(), q.y(), q.z()) == EQUAL;
    }
 };
 
 template <class Point_3>
-class Less_yx_plane_yz_2 
+class Less_yx_plane_yz_2
 {
 public:
    typedef bool         result_type;
 
-   bool 
+   bool
    operator()(const Point_3& p, const Point_3& q) const
-   { 
-      return 
+   {
+      return
         compare_lexicographically_xyC2(p.z(), p.y(), q.z(), q.y()) == SMALLER;
    }
 };
 
 template <class Point_3>
-class Left_turn_plane_yz_2 
+class Left_turn_plane_yz_2
 {
 public:
    typedef bool         result_type;
 
-   bool 
+   bool
    operator()(const Point_3& p, const Point_3& q, const Point_3& r) const
-   { 
-    return orientationC2(p.y(), p.z(), q.y(), q.z(), r.y(), r.z()) 
+   {
+    return orientationC2(p.y(), p.z(), q.y(), q.z(), r.y(), r.z())
                                                            == LEFT_TURN;
    }
 };
@@ -85,14 +85,14 @@ class Left_of_line_plane_yz_2
 {
 public:
    Left_of_line_plane_yz_2(const Point_3& a, const Point_3& b):
-      p_a(a), p_b(b) 
+      p_a(a), p_b(b)
    { }
 
-   bool 
+   bool
    operator()(const Point_3& c) const
    {
       return orientationC2(p_a.y(), p_a.z(), p_b.y(), p_b.z(), c.y(), c.z()) ==
-             LEFT_TURN; 
+             LEFT_TURN;
    }
 private:
    Point_3 p_a;
@@ -152,12 +152,12 @@ public:
 
 
 template <class Point_3>
-class Convex_hull_projective_yz_traits_2 
+class Convex_hull_projective_yz_traits_2
 {
 public:
     typedef Point_3                            Point_2;
     typedef Less_xy_plane_yz_2<Point_3>        Less_xy_2;
-    typedef Equal_xy_plane_yz_2<Point_3>       Equal_2;    
+    typedef Equal_xy_plane_yz_2<Point_3>       Equal_2;
     typedef Less_yx_plane_yz_2<Point_3>        Less_yx_2;
     typedef Left_turn_plane_yz_2<Point_3>      Left_turn_2;
     typedef Less_dist_to_line_plane_yz_2<Point_3>
@@ -167,10 +167,10 @@ public:
     Less_xy_2
     less_xy_2_object() const
     {  return Less_xy_2(); }
-    
+
     Equal_2
     equal_2_object() const
-    {  return Equal_2(); }    
+    {  return Equal_2(); }
 
     Less_yx_2
     less_yx_2_object() const
diff -pruN 5.0.2-3/include/CGAL/convex_hull_traits_2.h 5.0.3-1/include/CGAL/convex_hull_traits_2.h
--- 5.0.2-3/include/CGAL/convex_hull_traits_2.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/convex_hull_traits_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/convex_hull_traits_2.h $
-// $Id: convex_hull_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/convex_hull_traits_2.h $
+// $Id: convex_hull_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
-// This file's name must begin with a lower-case letter for backward 
-// compatability.  Unfortunately, you can't have a file that differs only 
+// This file's name must begin with a lower-case letter for backward
+// compatability.  Unfortunately, you can't have a file that differs only
 // in capitalization on the Windows platforms.
 
 #ifndef CGAL_CONVEX_HULL_TRAITS_2_H
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_traits_3.h 5.0.3-1/include/CGAL/Convex_hull_traits_3.h
--- 5.0.2-3/include/CGAL/Convex_hull_traits_3.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_traits_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_3/include/CGAL/Convex_hull_traits_3.h $
-// $Id: Convex_hull_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_3/include/CGAL/Convex_hull_traits_3.h $
+// $Id: Convex_hull_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -42,7 +42,7 @@ public:
   Point_triple() {}
 
   Point_triple(const Point_3 &p, const Point_3 &q, const Point_3 &r)
-    : p_(p), q_(q), r_(r) 
+    : p_(p), q_(q), r_(r)
   {}
 
   const Point_3& p() const { return p_; }
@@ -80,23 +80,23 @@ public:
   bool
     operator()( const Plane_3& pl, const Point_3& p) const
     {
-      typename K::Orientation_3 o; 
+      typename K::Orientation_3 o;
       return ( o(pl.p(), pl.q(), pl.r(), p) == CGAL::POSITIVE );
     }
 
   typedef bool result_type;
 };
 template <class K, class OldK>
-class Point_triple_construct_orthogonal_vector_3 
+class Point_triple_construct_orthogonal_vector_3
 {
 public:
-  
+
     typedef typename K::Vector_3 Vector_3;
     typedef typename K::Plane_3 Plane_3;
-  
+
   Vector_3 operator()(const Plane_3& plane) const
   {
-    typename OldK::Construct_orthogonal_vector_3 
+    typename OldK::Construct_orthogonal_vector_3
       construct_orthogonal_vector_3;
     return construct_orthogonal_vector_3(plane.p(), plane.q(), plane.r());
   }
@@ -104,10 +104,10 @@ public:
 
 
 template <class K>
-class Point_triple_oriented_side_3 
+class Point_triple_oriented_side_3
 {
 public:
-  
+
     typedef typename K::Point_3 Point_3;
     typedef typename K::Plane_3 Plane_3;
     typedef Oriented_side    result_type;
@@ -115,7 +115,7 @@ public:
   result_type
     operator()( const Plane_3& pl, const Point_3& p) const
     {
-      typename K::Orientation_3 o; 
+      typename K::Orientation_3 o;
       Orientation ori = o(pl.p(), pl.q(), pl.r(), p) ;
       if(ori > 0) return ON_POSITIVE_SIDE;
       if(ori < 0) return ON_NEGATIVE_SIDE;
@@ -124,8 +124,8 @@ public:
 };
 
 template <typename K>
-class Point_triple_less_signed_distance_to_plane_3 
-{  
+class Point_triple_less_signed_distance_to_plane_3
+{
 public:
     typedef typename K::Point_3 Point_3;
     typedef Point_triple<K> Plane_3;
@@ -156,9 +156,9 @@ struct GT3_for_CH3 {
               boost::is_floating_point<typename R_::FT>::type::value &&
               R_::Has_filtered_predicates_tag::value
             > >
-class Convex_hull_traits_3 
+class Convex_hull_traits_3
 {
- public:  
+ public:
   typedef R_                                     R;
   typedef Convex_hull_traits_3<R, Polyhedron, Has_filtered_predicates_tag>  Self;
   typedef typename R::Point_3                    Point_3;
@@ -196,8 +196,8 @@ class Convex_hull_traits_3
 
   typedef  Point_triple_less_signed_distance_to_plane_3<R>
                                                  Less_signed_distance_to_plane_3;
-  
-  
+
+
 
   // required for degenerate case of all points coplanar
   typedef CGAL::Projection_traits_xy_3<R>         Traits_xy_3;
@@ -209,10 +209,10 @@ class Convex_hull_traits_3
   {return Traits_yz_3();}
   Traits_xz_3 construct_traits_xz_3_object()const
   {return Traits_xz_3();}
-  
+
   typedef typename R::Construct_vector_3          Construct_vector_3;
-  // for postcondition checking 
-  typedef typename R::Ray_3                      Ray_3; 
+  // for postcondition checking
+  typedef typename R::Ray_3                      Ray_3;
 
   typedef typename R::Has_on_3                   Has_on_3;
   typedef Point_triple_oriented_side_3<Self>     Oriented_side_3;
@@ -234,7 +234,7 @@ class Convex_hull_traits_3
   construct_triangle_3_object() const
   { return Construct_triangle_3(); }
 
-  Construct_centroid_3  
+  Construct_centroid_3
   construct_centroid_3_object() const
   { return Construct_centroid_3(); }
 
@@ -249,7 +249,7 @@ class Convex_hull_traits_3
   Coplanar_3
   coplanar_3_object() const
   { return Coplanar_3(); }
- 
+
   Has_on_3
   has_on_3_object() const
   { return Has_on_3(); }
@@ -274,7 +274,7 @@ class Convex_hull_traits_3
   do_intersect_3_object() const
   { return Do_intersect_3(); }
 
-  Less_signed_distance_to_plane_3  
+  Less_signed_distance_to_plane_3
   less_signed_distance_to_plane_3_object() const
   { return Less_signed_distance_to_plane_3(); }
 
diff -pruN 5.0.2-3/include/CGAL/Convex_hull_traits_adapter_2.h 5.0.3-1/include/CGAL/Convex_hull_traits_adapter_2.h
--- 5.0.2-3/include/CGAL/Convex_hull_traits_adapter_2.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Convex_hull_traits_adapter_2.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/Convex_hull_traits_adapter_2.h $
-// $Id: Convex_hull_traits_adapter_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/Convex_hull_traits_adapter_2.h $
+// $Id: Convex_hull_traits_adapter_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sebastien Loriot
@@ -21,7 +21,7 @@
 
 
 namespace CGAL{
-  
+
 
 template<class Base_traits,class PointPropertyMap>
 class Convex_hull_traits_adapter_2:public Base_traits{
@@ -44,7 +44,7 @@ public:
       return static_cast<const typename Base_traits::Less_xy_2*>(this)->operator()(get(ppmap_,p),get(ppmap_,q));
     }
   };
-  
+
   struct Equal_2 : public Base_traits::Equal_2{
     Equal_2(const PointPropertyMap& ppmap,const typename Base_traits::Equal_2& base):
       Base_traits::Equal_2(base),ppmap_(ppmap){}
@@ -53,7 +53,7 @@ public:
       return static_cast<const typename Base_traits::Equal_2*>(this)->operator()(get(ppmap_,p),get(ppmap_,q));
     }
   };
-  
+
   struct Less_yx_2 : public Base_traits::Less_yx_2{
     Less_yx_2(const PointPropertyMap& ppmap,const typename Base_traits::Less_yx_2& base):
       Base_traits::Less_yx_2(base),ppmap_(ppmap){}
@@ -71,7 +71,7 @@ public:
       return static_cast<const typename Base_traits::Left_turn_2*>(this)->operator()(get(ppmap_,p),get(ppmap_,q),get(ppmap_,r));
     }
   };
-  
+
   struct Orientation_2 : public Base_traits::Orientation_2{
     Orientation_2(const PointPropertyMap& ppmap,const typename Base_traits::Orientation_2& base):
       Base_traits::Orientation_2(base),ppmap_(ppmap){}
@@ -80,7 +80,7 @@ public:
       return static_cast<const typename Base_traits::Orientation_2*>(this)->operator()(get(ppmap_,p),get(ppmap_,q),get(ppmap_,r));
     }
   };
-  
+
   struct Less_rotate_ccw_2 : public Base_traits::Less_rotate_ccw_2{
     Less_rotate_ccw_2(const PointPropertyMap& ppmap,const typename Base_traits::Less_rotate_ccw_2& base):
       Base_traits::Less_rotate_ccw_2(base),ppmap_(ppmap){}
@@ -89,7 +89,7 @@ public:
       return static_cast<const typename Base_traits::Less_rotate_ccw_2*>(this)->operator()(get(ppmap_,p),get(ppmap_,q),get(ppmap_,r));
     }
   };
-  
+
   struct Less_signed_distance_to_line_2 : public Base_traits::Less_signed_distance_to_line_2{
     Less_signed_distance_to_line_2(const PointPropertyMap& ppmap,const typename Base_traits::Less_signed_distance_to_line_2& base):
       Base_traits::Less_signed_distance_to_line_2(base),ppmap_(ppmap){}
@@ -98,7 +98,7 @@ public:
       return static_cast<const typename Base_traits::Less_signed_distance_to_line_2*>(this)->operator()(get(ppmap_,p),get(ppmap_,q),get(ppmap_,r),get(ppmap_,s));
     }
   };
-  
+
   Equal_2 equal_2_object () const {return Equal_2(ppmap_,static_cast<const Gt*>(this)->equal_2_object() );}
   Left_turn_2 left_turn_2_object () const {return Left_turn_2(ppmap_,static_cast<const Gt*>(this)->left_turn_2_object() );}
   Orientation_2 orientation_2_object () const {return Orientation_2(ppmap_,static_cast<const Gt*>(this)->orientation_2_object() );}
@@ -106,7 +106,7 @@ public:
   Less_signed_distance_to_line_2   less_signed_distance_to_line_2_object () const {return Less_signed_distance_to_line_2(ppmap_,static_cast<const Gt*>(this)->less_signed_distance_to_line_2_object() );}
   Less_xy_2 less_xy_2_object () const {return Less_xy_2(ppmap_,static_cast<const Gt*>(this)->less_xy_2_object() );}
   Less_yx_2 less_yx_2_object () const {return Less_yx_2(ppmap_,static_cast<const Gt*>(this)->less_yx_2_object() );}
-  
+
   const PointPropertyMap& point_property_map() const {return ppmap_;}
 
 };
diff -pruN 5.0.2-3/include/CGAL/convexity_check_2.h 5.0.3-1/include/CGAL/convexity_check_2.h
--- 5.0.2-3/include/CGAL/convexity_check_2.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/convexity_check_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/convexity_check_2.h $
-// $Id: convexity_check_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/convexity_check_2.h $
+// $Id: convexity_check_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -22,13 +22,13 @@
 
 namespace CGAL {
 
-// returns true, if the point elements in [|first|,|last|) form a 
-// counterclockwise oriented strongly convex polygon. Strongly means, 
-// there are no three collinear points. 
+// returns true, if the point elements in [|first|,|last|) form a
+// counterclockwise oriented strongly convex polygon. Strongly means,
+// there are no three collinear points.
 // {\sc traits}: uses |Traits::Left_turn_2|, |Traits::Equal_2| and |Traits::Less_xy_2|.
 template <class ForwardIterator, class Traits>
 bool
-is_ccw_strongly_convex_2( ForwardIterator first, ForwardIterator last, 
+is_ccw_strongly_convex_2( ForwardIterator first, ForwardIterator last,
                           const Traits& ch_traits);
 
 template <class ForwardIterator>
@@ -40,19 +40,19 @@ is_ccw_strongly_convex_2( ForwardIterato
     typedef typename ITraits::value_type          value_type;
     typedef CGAL::Kernel_traits<value_type>       KTraits;
     typedef typename KTraits::Kernel              Kernel;
-    return is_ccw_strongly_convex_2( first, last, Kernel()); 
+    return is_ccw_strongly_convex_2( first, last, Kernel());
 }
 
 
 
 
-// returns true, if the point elements in [|first|,|last|) form a 
+// returns true, if the point elements in [|first|,|last|) form a
 // clockwise oriented strongly convex polygon. Strongly means, there are
 // no three collinear points.
 // {\sc traits}: uses |Traits::Left_turn_2|, |Traits::Equal_2| and |Traits::Less_xy_2|.
 template <class ForwardIterator, class Traits>
 bool
-is_cw_strongly_convex_2( ForwardIterator first, ForwardIterator last, 
+is_cw_strongly_convex_2( ForwardIterator first, ForwardIterator last,
                          const Traits& ch_traits);
 
 template <class ForwardIterator>
@@ -64,12 +64,12 @@ is_cw_strongly_convex_2( ForwardIterator
     typedef typename ITraits::value_type          value_type;
     typedef CGAL::Kernel_traits<value_type>       KTraits;
     typedef typename KTraits::Kernel              Kernel;
-    return is_cw_strongly_convex_2( first, last, Kernel()); 
+    return is_cw_strongly_convex_2( first, last, Kernel());
 }
 
 
-// returns true, if all points in [|first1|,|last1|) are 
-// not right of the lines defined by consecutive points in the range 
+// returns true, if all points in [|first1|,|last1|) are
+// not right of the lines defined by consecutive points in the range
 // [|first2|,|last2|), where the range is considered as a cycle.
 // {\sc traits}: uses |Traits::Left_turn_2|.
 template <class ForwardIterator1, class ForwardIterator2, class Traits>
@@ -92,15 +92,15 @@ ch_brute_force_check_2(ForwardIterator1
 }
 
 
-// returns true, if all points in [|first1|,|last1|) are 
-// not right of the lines defined by consecutive points in the range 
-// [|first2|,|last2|). 
+// returns true, if all points in [|first1|,|last1|) are
+// not right of the lines defined by consecutive points in the range
+// [|first2|,|last2|).
 // {\sc traits}: uses |Traits::Left_turn_2|.
 template <class ForwardIterator1, class ForwardIterator2, class Traits>
 bool
-ch_brute_force_chain_check_2(ForwardIterator1 first1, 
+ch_brute_force_chain_check_2(ForwardIterator1 first1,
                              ForwardIterator1 last1,
-                             ForwardIterator2 first2, 
+                             ForwardIterator2 first2,
                              ForwardIterator2 last2,
                              const Traits& ch_traits);
 
@@ -114,7 +114,7 @@ ch_brute_force_chain_check_2(ForwardIter
     typedef typename ITraits::value_type           value_type;
     typedef CGAL::Kernel_traits<value_type>        KTraits;
     typedef typename KTraits::Kernel               Kernel;
-    return ch_brute_force_chain_check_2( first1, last1, first2, last2, 
+    return ch_brute_force_chain_check_2( first1, last1, first2, last2,
                                          Kernel());
 }
 
diff -pruN 5.0.2-3/include/CGAL/convexity_check_3.h 5.0.3-1/include/CGAL/convexity_check_3.h
--- 5.0.2-3/include/CGAL/convexity_check_3.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/convexity_check_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_3/include/CGAL/convexity_check_3.h $
-// $Id: convexity_check_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_3/include/CGAL/convexity_check_3.h $
+// $Id: convexity_check_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 //               : Amol Prakash <prakash@mpi-sb.mpg.de>
@@ -25,7 +25,7 @@ namespace CGAL {
 
 
   template <class Polyhedron, class Vpmap, class Plane, class Facet_handle>
-  void get_plane2(const Polyhedron& P, Vpmap vpmap, Plane& plane, Facet_handle f) 
+  void get_plane2(const Polyhedron& P, Vpmap vpmap, Plane& plane, Facet_handle f)
 {
   typedef typename boost::graph_traits<Polyhedron>::halfedge_descriptor halfedge_descriptor;
   halfedge_descriptor h = halfedge(f,P);
@@ -38,25 +38,25 @@ namespace CGAL {
   template <class Polyhedron, class Vpmap, class Facet_handle, class Traits>
 bool is_locally_convex(Polyhedron P, Vpmap vpmap, Facet_handle f_hdl, const Traits& traits)
 {
-  // This function checks if all the faces around facet *f_hdl form part of 
+  // This function checks if all the faces around facet *f_hdl form part of
   // the convex hull
 
   typedef Halfedge_around_face_circulator<Polyhedron>      Halfedge_circ;
-  typedef typename Traits::Point_3			   Point_3; 
-  typedef typename Traits::Plane_3			   Plane_3; 
+  typedef typename Traits::Point_3                           Point_3;
+  typedef typename Traits::Plane_3                           Plane_3;
 
-  typename Traits::Has_on_positive_side_3 has_on_positive_side = 
+  typename Traits::Has_on_positive_side_3 has_on_positive_side =
             traits.has_on_positive_side_3_object();
-  
+
   Halfedge_circ h_circ( halfedge(f_hdl,P),P), done(h_circ);
- 
-  do 
+
+  do
   {
      // Take the point on the other facet not shared by this facet
     Point_3 point = get(vpmap, target(next(opposite(*h_circ,P),P),P));
      Plane_3 plane;
      get_plane2(P, vpmap, plane, f_hdl);
-     // Point must be on the plane or on the negative side 
+     // Point must be on the plane or on the negative side
      if (has_on_positive_side(plane, point)) {
        return false;
      }
@@ -70,30 +70,30 @@ bool is_locally_convex(Polyhedron P, Vpm
 // Pre: equations of facet planes have been computed
 template<class Polyhedron, class Traits>
 bool is_strongly_convex_3(const Polyhedron& P, const Traits& traits)
-{ 
+{
   typedef typename boost::graph_traits<Polyhedron>::face_descriptor face_descriptor;
   typedef typename boost::graph_traits<Polyhedron>::vertex_iterator vertex_iterator;
   typedef typename boost::graph_traits<Polyhedron>::face_iterator face_iterator;
 
-  typedef typename Traits::Point_3             Point_3; 
-  typedef typename Traits::Ray_3               Ray_3; 
-  typedef typename Traits::Triangle_3          Triangle_3; 
+  typedef typename Traits::Point_3             Point_3;
+  typedef typename Traits::Ray_3               Ray_3;
+  typedef typename Traits::Triangle_3          Triangle_3;
   typedef typename Traits::Plane_3             Plane_3;
- 
+
   typename boost::property_map<Polyhedron, vertex_point_t>::const_type vpmap  = get(CGAL::vertex_point, P);
 
   vertex_iterator v_it, v_it_e;
   boost::tie(v_it, v_it_e) = vertices(P);
 
   if (v_it == v_it_e) return false;
-  
+
   for(face_descriptor fd : faces(P))
-    if (!is_locally_convex(P, vpmap, fd, traits)) 
-	return false;
+    if (!is_locally_convex(P, vpmap, fd, traits))
+        return false;
 
   // Check 2: see if a point interior to the hull is actually on the same
   // side of each facet of P
- 
+
   typename Traits::Coplanar_3 coplanar = traits.coplanar_3_object();
 
   face_iterator f_it, f_it_e;
@@ -112,7 +112,7 @@ bool is_strongly_convex_3(const Polyhedr
   if (v_it == v_it_e){
     return f_it != f_it_e;
   }
-  
+
   // Now take 4th point s.t. it's not coplaner with them
   while (v_it != v_it_e && coplanar(p, q, r, get(vpmap,*v_it)))
     v_it++;
@@ -129,7 +129,7 @@ bool is_strongly_convex_3(const Polyhedr
            traits.construct_centroid_3_object();
   Point_3 inside_pt = construct_centroid(p,q,r,s);
 
-  typename Traits::Oriented_side_3 oriented_side = 
+  typename Traits::Oriented_side_3 oriented_side =
             traits.oriented_side_3_object();
 
 
@@ -155,17 +155,17 @@ bool is_strongly_convex_3(const Polyhedr
 
 
   // Check 3 :  see if a ray from the interior point to a point in the
-  // middle of one of the facets intersects any other facets 
-  typename Traits::Construct_ray_3 construct_ray = 
+  // middle of one of the facets intersects any other facets
+  typename Traits::Construct_ray_3 construct_ray =
             traits.construct_ray_3_object();
-  typename Traits::Construct_triangle_3 construct_triangle = 
+  typename Traits::Construct_triangle_3 construct_triangle =
             traits.construct_triangle_3_object();
   typename Traits::Do_intersect_3 do_intersect =
             traits.do_intersect_3_object();
 
   f_it = faces(P).first;
 
-  Point_3 facet_pt = 
+  Point_3 facet_pt =
     construct_centroid(get(vpmap,target(opposite(halfedge(*f_it,P),P),P)),
                        get(vpmap,target(halfedge(*f_it,P),P)),
                        get(vpmap,target(next(halfedge(*f_it,P),P),P)));
@@ -173,11 +173,11 @@ bool is_strongly_convex_3(const Polyhedr
 
   for ( ++f_it ; f_it != f_it_e; f_it++)
   {
-    Triangle_3 facet_tri = 
+    Triangle_3 facet_tri =
       construct_triangle(get(vpmap,target(opposite(halfedge(*f_it,P),P),P)),
                          get(vpmap,target(halfedge(*f_it,P),P)),
                          get(vpmap,target(next(halfedge(*f_it,P),P),P)));
-     
+
     if (do_intersect(facet_tri, ray)){
       return false;
     }
@@ -188,39 +188,39 @@ bool is_strongly_convex_3(const Polyhedr
 
 template<class Polyhedron, class R>
 bool CGAL_is_strongly_convex_3(Polyhedron& P, Point_3<R>*)
-{ 
+{
   return is_strongly_convex_3(P, R());
 }
 
 template<class Polyhedron>
 bool is_strongly_convex_3(Polyhedron& P)
-{ 
+{
   typedef typename boost::property_map<Polyhedron, vertex_point_t>::type Ppmap;
   typedef typename boost::property_traits<Ppmap>::value_type Point_3;
 
   return CGAL_is_strongly_convex_3(P, reinterpret_cast<Point_3*>(0));
 }
-  
+
 template <class ForwardIterator, class Polyhedron, class Traits>
-bool all_points_inside( ForwardIterator first, 
-			ForwardIterator last,
-			Polyhedron& P,
-			const Traits&  traits)
-{  
-  typedef typename Traits::Plane_3			   Plane_3; 
+bool all_points_inside( ForwardIterator first,
+                        ForwardIterator last,
+                        Polyhedron& P,
+                        const Traits&  traits)
+{
+  typedef typename Traits::Plane_3                           Plane_3;
   typedef typename boost::graph_traits<Polyhedron>::face_descriptor face_descriptor;
-   typename Traits::Has_on_positive_side_3   has_on_positive_side = 
+   typename Traits::Has_on_positive_side_3   has_on_positive_side =
              traits.has_on_positive_side_3_object();
 
    for (ForwardIterator p_it = first; p_it != last; p_it++)
    {
       for(face_descriptor fd : faces(P))
       {
-	Plane_3 plane;
-	get_plane2(P,plane, fd);
-	if (has_on_positive_side(plane,*p_it)){
+        Plane_3 plane;
+        get_plane2(P,plane, fd);
+        if (has_on_positive_side(plane,*p_it)){
              return false;
-	}
+        }
       }
    }
    return true;
diff -pruN 5.0.2-3/include/CGAL/copy_n.h 5.0.3-1/include/CGAL/copy_n.h
--- 5.0.2-3/include/CGAL/copy_n.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/copy_n.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/copy_n.h $
-// $Id: copy_n.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/copy_n.h $
+// $Id: copy_n.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
diff -pruN 5.0.2-3/include/CGAL/CORE/BigFloat.h 5.0.3-1/include/CGAL/CORE/BigFloat.h
--- 5.0.2-3/include/CGAL/CORE/BigFloat.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/BigFloat.h	2020-08-01 19:02:16.000000000 +0000
@@ -6,10 +6,10 @@
  * This file is part of CGAL (www.cgal.org);
  *
  * File: BigFloat.h
- * Synopsis: 
- * 		An implementation of BigFloat numbers with error bounds.
- * 
- * Written by 
+ * Synopsis:
+ *                 An implementation of BigFloat numbers with error bounds.
+ *
+ * Written by
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
@@ -17,8 +17,8 @@
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/BigFloat.h $
- * $Id: BigFloat.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/BigFloat.h $
+ * $Id: BigFloat.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -30,7 +30,7 @@
 #include <CGAL/CORE/BigFloatRep.h>
 #include <CGAL/assertions.h>
 
-namespace CORE { 
+namespace CORE {
 
 class Expr;
 
@@ -230,7 +230,7 @@ public:
   static bool hasExactDivision() {
     return false;
   }
-  
+
   //CONSTANTS
   /// return BigFloat(0)
   static const BigFloat& getZero();
@@ -394,7 +394,7 @@ public:
 void readFromFile(BigFloat& bf, std::istream& in, long maxLength = 0);
 /// write to file
 void writeToFile(const BigFloat& bf, std::ostream& in,
-		int base=10, int charsPerLine=80);
+                int base=10, int charsPerLine=80);
 
 /// IO stream operator<<
 inline std::ostream& operator<< (std::ostream& o, const BigFloat& x) {
@@ -503,17 +503,17 @@ inline BigFloat centerize(const BigFloat
 /// minStar(m,n) returns the min-star of m and n
 inline long minStar(long m, long n) {
   if (m*n <= 0) return 0;
-  if (m>0) 
+  if (m>0)
     return core_min(m, n);
-  else 
+  else
     return core_max(m, n);
 }
 /// \name Functions for Compatibility with BigInt (needed by Poly, Curves)
 //@{
 /// isDivisible(a,b) = "is a divisible by b"
-/** 	Assuming that a and  b are in coanonized forms.
-	Defined to be true if mantissa(b) | mantissa(a) && 
-	exp(b) = min*(exp(b), exp(a)).
+/**         Assuming that a and  b are in coanonized forms.
+        Defined to be true if mantissa(b) | mantissa(a) &&
+        exp(b) = min*(exp(b), exp(a)).
  *      This concepts assume a and b are exact BigFloats.
  */
 inline bool isDivisible(const BigFloat& a, const BigFloat& b) {
@@ -522,25 +522,25 @@ inline bool isDivisible(const BigFloat&
   if (sign(b.m()) == 0) return false;
   unsigned long bin_a = getBinExpo(a.m());
   unsigned long bin_b = getBinExpo(b.m());
-  
+
   BigInt m_a = a.m() >> bin_a;
   BigInt m_b = b.m() >> bin_b;
   long e_a = bin_a + BigFloatRep::bits(a.exp());
   long e_b = bin_b + BigFloatRep::bits(b.exp());
   long dx = minStar(e_a, e_b);
 
-  return isDivisible(m_a, m_b) && (dx == e_b); 
+  return isDivisible(m_a, m_b) && (dx == e_b);
 }
 
 inline bool isDivisible(double x, double y) {
   //Are these exact?
-  return isDivisible(BigFloat(x), BigFloat(y)); 
+  return isDivisible(BigFloat(x), BigFloat(y));
 }
 
 /// div_exact(x,y) returns the BigFloat quotient of x divided by y
-/**	This is defined only if isDivisible(x,y).
+/**        This is defined only if isDivisible(x,y).
  */
-// Chee (8/1/2004)   The definition of div_exact(x,y) 
+// Chee (8/1/2004)   The definition of div_exact(x,y)
 //   ensure that Polynomials<NT> works with NT=BigFloat and NT=double.
 //Bug: We should first normalize the mantissas of the Bigfloats and
 //then do the BigInt division. For e.g. 1 can be written as 2^{14}*2{-14}.
@@ -561,15 +561,15 @@ inline BigFloat div_exact(const BigFloat
 
   //  mpz_divexact(z.get_mp(), x.m().get_mp(), y.m().get_mp()); THIS WAS THE BUG
   // assert: x.exp() - y.exp() does not under- or over-flow.
-  return BigFloat(z, e_x - e_y);  
+  return BigFloat(z, e_x - e_y);
 }
 
 inline BigFloat div_exact(double x, double y) {
   return div_exact(BigFloat(x), BigFloat(y));
 }
 // Remark: there is another notion of "exact division" for BigFloats,
-// 	and that is to make the division return an "exact" BigFloat
-// 	i.e., err()=0.  
+//         and that is to make the division return an "exact" BigFloat
+//         i.e., err()=0.
 
 /// gcd(a,b) =  BigFloat(gcd(a.mantissa,b.matissa), min(a.exp(), b.exp()) )
 inline BigFloat gcd(const BigFloat& a, const BigFloat& b) {
@@ -596,7 +596,7 @@ inline BigFloat gcd(const BigFloat& a, c
   BigInt m_b = b.m() >> bin_b;
   r = gcd(m_a, m_b);
   dx = minStar(bin_a + BigFloatRep::bits(a.exp()),
-		  bin_b + BigFloatRep::bits(b.exp()));
+                  bin_b + BigFloatRep::bits(b.exp()));
 
   long chunks = BigFloatRep::chunkFloor(dx);
   r <<= (dx - BigFloatRep::bits(chunks));
@@ -608,7 +608,7 @@ inline BigFloat gcd(const BigFloat& a, c
 // Not needed for now:
 /// div_rem
 // inline void div_rem(BigFloat& q, BigFloat& r,
-// 	const BigFloat& a, const BigFloat& b) {
+//         const BigFloat& a, const BigFloat& b) {
   //q.makeCopy();
   //r.makeCopy();
   //mpz_tdiv_qr(q.get_mp(), r.get_mp(), a.get_mp(), b.get_mp());
diff -pruN 5.0.2-3/include/CGAL/CORE/BigFloat_impl.h 5.0.3-1/include/CGAL/CORE/BigFloat_impl.h
--- 5.0.2-3/include/CGAL/CORE/BigFloat_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/BigFloat_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -7,7 +7,7 @@
  *
  * File: BigFloat.cpp
  * Synopsis:
- *       BigFloat numbers with error bounds 
+ *       BigFloat numbers with error bounds
  *
  *       EXACTNESS PROPERTY:
  *       ==================
@@ -18,7 +18,7 @@
  *       but this again preserves exactness.  Such exactness
  *       properties are used in our Newton iteration/Sturm Sequences.
  *
- * Written by 
+ * Written by
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
@@ -26,8 +26,8 @@
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/BigFloat_impl.h $
- * $Id: BigFloat_impl.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/BigFloat_impl.h $
+ * $Id: BigFloat_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -43,9 +43,9 @@
 #include <CGAL/CORE/BigFloat.h>
 #include <CGAL/CORE/Expr.h>
 #include <CGAL/tss.h>
-#include <sstream> 
+#include <sstream>
 
-namespace CORE { 
+namespace CORE {
 
 
 ////////////////////////////////////////////////////////////
@@ -192,7 +192,7 @@ void BigFloatRep :: truncM(const BigFloa
       exp = B.exp + t;
     } else //  t < chunkCeil(clLg(B.err))
       core_error(std::string("BigFloat error: truncM called with stricter")
-	  + "precision than current error.", __FILE__, __LINE__, true);
+          + "precision than current error.", __FILE__, __LINE__, true);
   } else {//  B.m == 0
     long t = chunkFloor(- a.asLong()) - B.exp;
 
@@ -202,13 +202,13 @@ void BigFloatRep :: truncM(const BigFloa
       exp = B.exp + t;
     } else //  t < chunkCeil(clLg(B.err))
       core_error(std::string("BigFloat error: truncM called with stricter")
-	  + "precision than current error.", __FILE__, __LINE__, true);
+          + "precision than current error.", __FILE__, __LINE__, true);
   }
 }
 
 // This is the main approximation function
 // REMARK: would be useful to have a self-modifying version
-// 		of this function (e.g., for Newton).
+//                 of this function (e.g., for Newton).
 CGAL_INLINE_FUNCTION
 void BigFloatRep::approx(const BigFloatRep& B,
               const extLong& r, const extLong& a) {
@@ -267,7 +267,7 @@ void BigFloatRep::normal() {
   long le = flrLg(err);
 
   if (le >= CHUNK_BIT + 2) { // so we do not carry more than 16 = CHUNK_BIT + 2
-	                     // bits of error
+                             // bits of error
     long f = chunkFloor(--le); // f is roughly equal to floor(le/CHUNK_BIT)
     long bits_f = bits(f);   // f chunks will have bits_f many bits
 #ifdef CGAL_CORE_DEBUG
@@ -277,13 +277,13 @@ void BigFloatRep::normal() {
     m   >>= bits_f;  // reduce mantissa by bits_f many bits
     err >>= bits_f;  // same for err
     err +=  2;       // why 2?
-    exp +=  f;       
+    exp +=  f;
   }
   if (err == 0)      // unlikely, if err += 2 above
     eliminateTrailingZeroes();
 }
 
-// bigNormal(err) 
+// bigNormal(err)
 //     convert a bigInt error value (=err) into an error that fits into
 //     a long number.  This is done by
 //     by increasing the exponent, and corresponding decrease
@@ -305,9 +305,9 @@ void BigFloatRep::bigNormal(BigInt& bigE
     m      >>= bits_f;
     bigErr >>= bits_f;
     err    = ulongValue(bigErr) + 2; // you need to add "2" because "1" comes
-    		// from truncation error in the mantissa, and another
-		// "1" comes from the truncation error in the bigErr.
-		// (But there is danger of overflow...)
+                    // from truncation error in the mantissa, and another
+                // "1" comes from the truncation error in the bigErr.
+                // (But there is danger of overflow...)
     exp    += f;
   }
 
@@ -329,7 +329,7 @@ void BigFloatRep::add(const BigFloatRep&
     } else {//  x.err > 0
       m   = x.m + chunkShift(y.m, - expDiff); // negative shift!
       err = x.err + 5; // To account for y.err (but why 5?)
-      exp = x.exp;     // 
+      exp = x.exp;     //
       // normal();
     }
   } else if (!expDiff) {//  x.exp == y.exp
@@ -410,9 +410,9 @@ void BigFloatRep::mul(const BigFloatRep&
   }
 }
 // BigFloat div2 will half the value of x, exactly with NO error
-// 	REMARK: should generalize this to dividing by any power of 2
-// 	We need this in our use of BigFloats to maintain isolation
-// 	intervals (e.g., in Sturm sequences)	--Chee/Vikram 4/2003
+//         REMARK: should generalize this to dividing by any power of 2
+//         We need this in our use of BigFloats to maintain isolation
+//         intervals (e.g., in Sturm sequences)        --Chee/Vikram 4/2003
 //
 CGAL_INLINE_FUNCTION
 void BigFloatRep :: div2(const BigFloatRep& x) {
@@ -457,10 +457,10 @@ void BigFloatRep::centerize(const BigFlo
 
 // BigFloat Division, computing x/y:
 //      Unlike +,-,*, this one takes a relative precision bound R
-//	Note that R is only used when x and y are error-free!
-//	(This remark means that we may be less efficient than we could be)
+//        Note that R is only used when x and y are error-free!
+//        (This remark means that we may be less efficient than we could be)
 //
-//  	Assert( R>0  && R< CORE_Infty )
+//          Assert( R>0  && R< CORE_Infty )
 //
 CGAL_INLINE_FUNCTION
 void BigFloatRep :: div(const BigFloatRep& x, const BigFloatRep& y,
@@ -536,7 +536,7 @@ void BigFloatRep :: div(const BigFloatRe
     }
   } else {//  y.m <= y.err
     core_error("BigFloat error: possible zero divisor.",
-		    __FILE__, __LINE__, true);
+                    __FILE__, __LINE__, true);
   }
 
   // Call normalization globally     -- IP 10/9/98
@@ -732,7 +732,7 @@ void BigFloatRep::sqrt(const BigFloatRep
     }//else
   } else
     core_error("BigFloat error: squareroot called with negative operand.",
-		    __FILE__, __LINE__, true);
+                    __FILE__, __LINE__, true);
 } //sqrt with initial approximation
 
 //  compareMExp(x)
@@ -820,7 +820,7 @@ BigFloatRep::toDecimal(unsigned int widt
     // if err is larger than mantissa, sign and significant values
     // can not be determined.
     core_error("BigFloat error: Error is too big!",
-		    __FILE__, __LINE__, false);
+                    __FILE__, __LINE__, false);
     decOut.rep = "0.0e0";          // error is too big
     decOut.isScientific = false;
     decOut.noSignificant = 0;
@@ -1001,7 +1001,7 @@ void BigFloatRep :: fromString(const cha
   // check that prec is not INFTY
   if (prec.isInfty())
     core_error("BigFloat error: infinite precision not allowed",
-			__FILE__, __LINE__, true);
+                        __FILE__, __LINE__, true);
 
   const char *e = strchr(str, 'e');
   int dot = 0;
diff -pruN 5.0.2-3/include/CGAL/CORE/BigFloatRep.h 5.0.3-1/include/CGAL/CORE/BigFloatRep.h
--- 5.0.2-3/include/CGAL/CORE/BigFloatRep.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/BigFloatRep.h	2020-08-01 19:02:16.000000000 +0000
@@ -6,10 +6,10 @@
  * This file is part of CGAL (www.cgal.org);
  *
  * File: BigFloatRep.h
- * Synopsis: 
- * 		Internal Representation BigFloat.
- * 
- * Written by 
+ * Synopsis:
+ *                 Internal Representation BigFloat.
+ *
+ * Written by
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
@@ -17,8 +17,8 @@
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/BigFloatRep.h $
- * $Id: BigFloatRep.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/BigFloatRep.h $
+ * $Id: BigFloatRep.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -30,7 +30,7 @@
 #include <CGAL/CORE/CoreDefs.h>
 #include <CGAL/CORE/extLong.h>
 
-namespace CORE { 
+namespace CORE {
 
 //  forward reference
 class BigFloat;
@@ -171,11 +171,11 @@ struct BigFloatRep::DecimalOutput {
 };//DecimalOutput
 
 // constants used by BigFloatRep
-//	NOTES:  CHUNK_BIT is the number of bits in each Chunk
-//	Since LONG_BIT = 32 or 64, then CHUNK_BIT = 14 or 30.
-//	We have:  0 <= err < 4 * 2^{CHUNK_BIT}
+//        NOTES:  CHUNK_BIT is the number of bits in each Chunk
+//        Since LONG_BIT = 32 or 64, then CHUNK_BIT = 14 or 30.
+//        We have:  0 <= err < 4 * 2^{CHUNK_BIT}
 
-const long CHUNK_BIT = (long)(LONG_BIT / 2 - 2); 	//  chunks
+const long CHUNK_BIT = (long)(LONG_BIT / 2 - 2);         //  chunks
 const long HALF_CHUNK_BIT = (CHUNK_BIT + 1) / 2;
 const long DBL_MAX_CHUNK = (DBL_MAX_EXP - 1) / CHUNK_BIT + 1;
 const double lgTenM = 3.321928094887362;
@@ -250,7 +250,7 @@ inline BigFloatRep::BigFloatRep(long n)
 /* This turns out to be an alternative implementation of the
  * original one in BigFloat.cpp!!
 inline BigFloatRep::BigFloatRep(double d)
-	    : m(IntMantissa(d)), err(0), exp(0) {
+            : m(IntMantissa(d)), err(0), exp(0) {
      BigFloatRep * bfr = exp2(IntExponent(d));  // take care of the exponent
      m *= bfr->m;
      exp = bfr->exp;
@@ -323,8 +323,8 @@ inline extLong BigFloatRep::lMSB() const
 }
 
 /// uMSB() returns an upper bound on log_2(abs(*this)).
-/** Returns -1 if (*this)=0.  
- * Not well-defined if zero is in the interval. 
+/** Returns -1 if (*this)=0.
+ * Not well-defined if zero is in the interval.
  */
 inline extLong BigFloatRep::uMSB() const {
   return extLong(floorLg(abs(m) + err)) + bits(exp);
@@ -355,7 +355,7 @@ inline extLong BigFloatRep::clLgErr() co
 // isZero() = true iff zero is inside the interval of BigFloat:
 inline bool BigFloatRep::isZeroIn() const {
   if (err == 0){
-    return (m == 0);	//Nov 6, 2002: bug fix!
+    return (m == 0);        //Nov 6, 2002: bug fix!
   }
   long lm = bitLength(m);
   if (lm > CHUNK_BIT+2) {
diff -pruN 5.0.2-3/include/CGAL/CORE/BigInt.h 5.0.3-1/include/CGAL/CORE/BigInt.h
--- 5.0.2-3/include/CGAL/CORE/BigInt.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/BigInt.h	2020-08-01 19:02:16.000000000 +0000
@@ -6,10 +6,10 @@
  * This file is part of CGAL (www.cgal.org).
  *
  * File: BigInt.h
- * Synopsis: 
- * 		a wrapper class for mpz from GMP
- * 
- * Written by 
+ * Synopsis:
+ *                 a wrapper class for mpz from GMP
+ *
+ * Written by
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
@@ -17,8 +17,8 @@
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/BigInt.h $
- * $Id: BigInt.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/BigInt.h $
+ * $Id: BigInt.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 #ifndef _CORE_BIGINT_H_
@@ -29,7 +29,7 @@
 #include <CGAL/CORE/MemoryPool.h>
 #include <string>
 
-namespace CORE { 
+namespace CORE {
 
 
 class BigIntRep : public RCRepImpl<BigIntRep> {
@@ -469,7 +469,7 @@ inline void divexact(BigInt& z, const Bi
 // Chee (1/12/2004)   The definition of div_exact(x,y) next
 //   ensure that in Polynomials<NT> works with both NT=BigInt and NT=int:
 inline BigInt div_exact(const BigInt& x, const BigInt& y) {
-  BigInt z;	     // precodition: isDivisible(x,y)
+  BigInt z;             // precodition: isDivisible(x,y)
   divexact(z, x, y); // z is set to x/y;
   return z;
 }
@@ -511,14 +511,14 @@ inline int bitLength(const BigInt& a) {
   return mpz_sizeinbase(a.get_mp(), 2);
 }
 /// floorLg -- floor of log_2(a)
-/** Convention: a=0, floorLg(a) returns -1. 
+/** Convention: a=0, floorLg(a) returns -1.
  *  This makes sense for integer a.
  */
 inline long floorLg(const BigInt& a) {
   return (sign(a) == 0) ? (-1) : (bitLength(a)-1);
 }
 /// ceilLg -- ceiling of log_2(a) where a=BigInt, int or long
-/** Convention: a=0, ceilLg(a) returns -1. 
+/** Convention: a=0, ceilLg(a) returns -1.
  *  This makes sense for integer a.
  */
 inline long ceilLg(const BigInt& a) {
diff -pruN 5.0.2-3/include/CGAL/CORE/BigRat.h 5.0.3-1/include/CGAL/CORE/BigRat.h
--- 5.0.2-3/include/CGAL/CORE/BigRat.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/BigRat.h	2020-08-01 19:02:16.000000000 +0000
@@ -6,10 +6,10 @@
  * This file is part of CGAL (www.cgal.org).
  *
  * File: BigRat.h
- * Synopsis: 
- * 		a wrapper class for mpq from GMP
- * 
- * Written by 
+ * Synopsis:
+ *                 a wrapper class for mpq from GMP
+ *
+ * Written by
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
@@ -17,8 +17,8 @@
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/BigRat.h $
- * $Id: BigRat.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/BigRat.h $
+ * $Id: BigRat.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -27,7 +27,7 @@
 
 #include <CGAL/CORE/BigInt.h>
 
-namespace CORE { 
+namespace CORE {
 
 class BigRatRep : public RCRepImpl<BigRatRep> {
 public:
@@ -262,7 +262,7 @@ public:
   void canonicalize() {
     makeCopy();
     mpq_canonicalize(get_mp());
-  } 
+  }
   /// Has Exact Division
   static bool hasExactDivision() {
     return true;
@@ -361,9 +361,9 @@ inline BigRat operator/(const BigRat& a,
 //   ensures that in Polynomial<NT>
 /// divisible(x,y) = "x | y"
 inline BigRat div_exact(const BigRat& x, const BigRat& y) {
-	BigRat z;
-	mpq_div(z.get_mp(), x.get_mp(), y.get_mp());
-	return z;
+        BigRat z;
+        mpq_div(z.get_mp(), x.get_mp(), y.get_mp());
+        return z;
 }
 /// numerator
 inline BigInt numerator(const BigRat& a) {
@@ -375,22 +375,22 @@ inline BigInt denominator(const BigRat&
 }
 
 inline BigRat gcd(const BigRat& x, const BigRat& y) {
-  //	return BigRat(1);  // Remark: we may want replace this by
-			   // the definition of gcd of a quotient field
-			   // of a UFD [Yap's book, Chap.3]
+  //        return BigRat(1);  // Remark: we may want replace this by
+                           // the definition of gcd of a quotient field
+                           // of a UFD [Yap's book, Chap.3]
   //Here is one possible definition: gcd of x and y is just the
   //gcd of the numerators of x and y divided by the gcd of the
   //denominators of x and y.
   BigInt n = gcd(numerator(x), numerator(y));
   BigInt d = gcd(denominator(x), denominator(y));
   return BigRat(n,d);
-		
+
 }
 // Chee: 8/8/2004: need isDivisible to compile Polynomial<BigRat>
 // A trivial implementation is to return true always. But this
 // caused tPolyRat to fail.
 // So we follow the definition of
-// Expr::isDivisible(e1, e2) which checks if e1/e2 is an integer.  
+// Expr::isDivisible(e1, e2) which checks if e1/e2 is an integer.
 inline bool isInteger(const BigRat& x) {
   return BigInt(x.get_den_mp()) == 1;
 }
diff -pruN 5.0.2-3/include/CGAL/CORE/Config.h 5.0.3-1/include/CGAL/CORE/Config.h
--- 5.0.2-3/include/CGAL/CORE/Config.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/Config.h	2020-08-01 19:02:16.000000000 +0000
@@ -5,7 +5,7 @@
  *
  * This file is part of CGAL (www.cgal.org).
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/Config.h $
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/Config.h $
  * $Id: Config.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
diff -pruN 5.0.2-3/include/CGAL/CORE/CoreAux.h 5.0.3-1/include/CGAL/CORE/CoreAux.h
--- 5.0.2-3/include/CGAL/CORE/CoreAux.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/CoreAux.h	2020-08-01 19:02:16.000000000 +0000
@@ -9,7 +9,7 @@
  * Synopsis:
  *      Auxilliary functions
  *
- * Written by 
+ * Written by
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
@@ -17,8 +17,8 @@
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/CoreAux.h $
- * $Id: CoreAux.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/CoreAux.h $
+ * $Id: CoreAux.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -29,7 +29,7 @@
 #include <fstream>
 #include "CGAL/CORE/Impl.h"
 
-namespace CORE { 
+namespace CORE {
 
 #ifndef LONG_BIT // such as in Linux
   #define LONG_BIT (sizeof(long) * 8)
@@ -39,13 +39,13 @@ namespace CORE {
 // NOTES:
 // (1) CORE_EPS is used in our Floating Point Filter (Filter.h)
 // (2) 2^{-53} is called "unit roundoff" and
-// 	is the roundoff error for numbers in the range [1,2).
-//  	"Machine epsilon" is 2*CORE_EPS = 2^{-52}.  It is the
-//  	smallest gap between two normal machine numbers  --Chee 8/2003
+//         is the roundoff error for numbers in the range [1,2).
+//          "Machine epsilon" is 2*CORE_EPS = 2^{-52}.  It is the
+//          smallest gap between two normal machine numbers  --Chee 8/2003
 //
 // const double eps = (ldexp(1.0, -53)); // fails to link on SunPro
 #define CORE_EPS ((1.0/(1<<30))/(1<<23))
-// 
+//
 #define CORE_MACHINE_EPS ((1.0/(1<<30))/(1<<22))
 
 /// relEps is relative error for IEEE standard double, 1+2^{-52}.
@@ -157,16 +157,16 @@ CGAL_CORE_EXPORT double IntMantissa(doub
 CGAL_CORE_EXPORT int IntExponent(double d);
 
 /// Writes out an error or warning message in the local file CORE_DIAGFILE
-/** If last argument (err) is TRUE, then this is considered an error 
+/** If last argument (err) is TRUE, then this is considered an error
  *  (not just warning).  In this case, the message is also printed in
- *  std::cerr, using std::perror(). 
+ *  std::cerr, using std::perror().
  *  */
 CGAL_CORE_EXPORT void core_error(std::string msg, std::string file, int lineno, bool err);
 
 /// This is for debugging messages
 inline void core_debug(std::string msg){
   std::cout << __FILE__ << "::" << __LINE__ << ": " << msg
-	    << std::endl;
+            << std::endl;
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/CORE/CoreAux_impl.h 5.0.3-1/include/CGAL/CORE/CoreAux_impl.h
--- 5.0.2-3/include/CGAL/CORE/CoreAux_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/CoreAux_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -7,10 +7,10 @@
  *
  * File: CoreAux.cpp
  * Synopsis:
- *       Auxiliary routines such as ceiling of log_2, etc. 
+ *       Auxiliary routines such as ceiling of log_2, etc.
  *       they are not specific to any Core classes.
  *
- * Written by 
+ * Written by
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
@@ -18,8 +18,8 @@
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/CoreAux_impl.h $
- * $Id: CoreAux_impl.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/CoreAux_impl.h $
+ * $Id: CoreAux_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -33,7 +33,7 @@
 #include <CGAL/CORE/CoreAux.h>
 #include <CGAL/gmp.h>
 
-namespace CORE { 
+namespace CORE {
 
 ////////////////////////////////////////////////////////////
 //  More useful functions to implement:
@@ -48,7 +48,7 @@ namespace CORE {
 ////////////////////////////////////////////////////////////
 // flrLg(x)
 //      returns floor log base 2 of abs(x)
-// CONVENTION lg(0) = -1	(Slight improvement, Zilin/Chee 8/5/02)
+// CONVENTION lg(0) = -1        (Slight improvement, Zilin/Chee 8/5/02)
 ////////////////////////////////////////////////////////////
 CGAL_INLINE_FUNCTION
 int flrLg(long x) {
@@ -71,7 +71,7 @@ int flrLg(long x) {
 
 ////////////////////////////////////////////////////////////
 // floor log base 2 of unsigned long x
-// CONVENTION lg(0) = -1	(Slight improvement, Zilin/Chee 8/5/02)
+// CONVENTION lg(0) = -1        (Slight improvement, Zilin/Chee 8/5/02)
 ////////////////////////////////////////////////////////////
 CGAL_INLINE_FUNCTION
 int flrLg(unsigned long x) {
@@ -85,22 +85,22 @@ int flrLg(unsigned long x) {
 
 ////////////////////////////////////////////////////////////
 // ceiling log base 2 of abs(x)
-// CONVENTION lg(0) = -1	(Slight improvement, Zilin/Chee 8/5/02)
+// CONVENTION lg(0) = -1        (Slight improvement, Zilin/Chee 8/5/02)
 ////////////////////////////////////////////////////////////
 CGAL_INLINE_FUNCTION
 int clLg(long x) {
   if (x == LONG_MIN)
     return LONG_BIT - 1;
   if (x < 0)
-    x = -x; 		// use absolute value
-  if (x > (LONG_MAX >> 1)) 	// the leading data bit is 1
-    return (LONG_BIT - 1);	// exclude the sign bit
+    x = -x;                 // use absolute value
+  if (x > (LONG_MAX >> 1))         // the leading data bit is 1
+    return (LONG_BIT - 1);        // exclude the sign bit
   if (x >= 2)
     return flrLg((unsigned long)((x << 1) - 1));
   // SINCE ceilLog_2(x) = floorLog_2(2x-1) for x>=2
   if (x == 1)
     return 0;
-  return -1;			// x must be 0 here
+  return -1;                        // x must be 0 here
 }
 
 ////////////////////////////////////////////////////////////
@@ -109,14 +109,14 @@ int clLg(long x) {
 ////////////////////////////////////////////////////////////
 CGAL_INLINE_FUNCTION
 int clLg(unsigned long x) {
-  if (x > (ULONG_MAX >> 1))	// the leading bit is 1
+  if (x > (ULONG_MAX >> 1))        // the leading bit is 1
     return LONG_BIT;
   if (x >= 2)
     return flrLg((x << 1) - 1);
   // SINCE ceilLog_2(x) = floorLog_2(2x-1) for x>=2.
   if (x == 1)
     return 0;
-  return -1;	// x must be equal to 0
+  return -1;        // x must be equal to 0
 }
 
 /// gcd for machine type long
@@ -158,33 +158,33 @@ char * core_itoa(int n, char* buffer, in
   CGAL_USE(buffer_size);
   std::sprintf(buffer, "%d", n);
 #endif
-	return buffer;
+        return buffer;
 }
 
 /// implements the "integer mantissa" function
 //      (See CORE_PATH/progs/ieee/frexp.cpp for details)
 CGAL_INLINE_FUNCTION
 double IntMantissa(double d) {
-	int e;
-	return std::ldexp(std::frexp(d, &e), 53);
+        int e;
+        return std::ldexp(std::frexp(d, &e), 53);
 }
 
 /// implements the "integer exponent" function
 //      (See CORE_PATH/progs/ieee/frexp.cpp for details)
 CGAL_INLINE_FUNCTION
 int IntExponent(double d) {
-	int e;
-	std::frexp(d, &e);
-	return e-53;
+        int e;
+        std::frexp(d, &e);
+        return e-53;
 }
 
 /// core_error is the method to write Core Library warning or error messages
-/** 	Both warnings and errors are written to a file called CORE_DIAGFILE.
- *	But errors are also written on std:cerr (similar to std::perror()).
+/**         Both warnings and errors are written to a file called CORE_DIAGFILE.
+ *        But errors are also written on std:cerr (similar to std::perror()).
  * */
 // Usage: core_error(message, file_with_error, line_number, err_type)
 //   where err_type=0 means WARNING, error_type=0 means ERROR
-CGAL_INLINE_FUNCTION 
+CGAL_INLINE_FUNCTION
 void core_error(std::string msg, std::string file, int lineno, bool err) {
   std::ofstream outFile(CORE_DIAGFILE, std::ios::app);  // open to append
   if (!outFile) {
diff -pruN 5.0.2-3/include/CGAL/CORE/CoreDefs.h 5.0.3-1/include/CGAL/CORE/CoreDefs.h
--- 5.0.2-3/include/CGAL/CORE/CoreDefs.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/CoreDefs.h	2020-08-01 19:02:16.000000000 +0000
@@ -12,7 +12,7 @@
  *       For each parameter, we provide corresponding methods to
  *       modify or examine the values.
  *
- * Written by 
+ * Written by
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
@@ -20,8 +20,8 @@
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/CoreDefs.h $
- * $Id: CoreDefs.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/CoreDefs.h $
+ * $Id: CoreDefs.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -33,14 +33,14 @@
 #include <CGAL/disable_warnings.h>
 
 #ifdef CGAL_HEADER_ONLY
-  
+
   #define CGAL_GLOBAL_STATE_VAR(TYPE, NAME, VALUE)  \
     inline TYPE & get_static_##NAME()               \
     {                                               \
       static TYPE NAME(VALUE);                      \
       return NAME;                                  \
     }
-  
+
 #else // CGAL_HEADER_ONLY
 
   #define CGAL_GLOBAL_STATE_VAR(TYPE, NAME, VALUE)  \
@@ -52,7 +52,7 @@
 
 #endif // CGAL_HEADER_ONLY
 
-namespace CORE { 
+namespace CORE {
 
 //////////////////////////////////////////////////////////////
 // defined constants
@@ -115,10 +115,10 @@ CGAL_GLOBAL_STATE_VAR(extLong, defAbsPre
 
 /// default # of decimal digits for conversion from a BF to string.
 /** This value cannot be CORE_INFTY.
-    See also defOutputDigits. 
+    See also defOutputDigits.
     */
 /*  QUESTION: the following comment seems to contradict the above comment:
-	"controls the printout precision of std::cout for BigFloat"
+        "controls the printout precision of std::cout for BigFloat"
     Perhaps, we should merge defOutputDigits and defBigFloatOutputDigits?
     */
 #ifdef CGAL_NO_ATOMIC
@@ -133,7 +133,7 @@ CGAL_GLOBAL_STATE_VAR(extLong, defInputD
 
 /// controls the printout precision of std::cout for Real and Expr
 /** This value cannot be CORE_INFTY
-    See also defBigFloatOutputDigits. 
+    See also defBigFloatOutputDigits.
     (it really should be an int, as in std::cout.setprecision(int)). */
 #ifdef CGAL_NO_ATOMIC
 CGAL_GLOBAL_STATE_VAR(long, defOutputDigits, 10) // == get_static_defBigFloatOutputDigits()
@@ -205,8 +205,8 @@ CGAL_GLOBAL_STATE_VAR(CGAL::cpp11::atomi
 
 //////////////////////////////////////////////////////////////
 // methods for setting global precision parameters
-// 	including: scientific vs. positional format
-//	All the set methods return the previous global value if any
+//         including: scientific vs. positional format
+//        All the set methods return the previous global value if any
 //////////////////////////////////////////////////////////////
 
 /// set default composite precision [defAbsPrec, defRelPrec]
@@ -304,9 +304,9 @@ inline bool setRationalReduceFlag(bool f
 
 /// CORE_init(..) is the CORE initialization function.
 /** We recommend calling it before anything else.  Originally motivated
-    by need to get around gnu's compiler bug in which the variable 
+    by need to get around gnu's compiler bug in which the variable
     "defAbsPrec" was not properly initialized.  But it has other uses,
-    e.g., overriding the default std::cout precision (most systems 
+    e.g., overriding the default std::cout precision (most systems
     initializes this value to 6) to our own */
 inline void CORE_init(long d) {
   get_static_defAbsPrec() = CORE_posInfty;
diff -pruN 5.0.2-3/include/CGAL/CORE/CoreDefs_impl.h 5.0.3-1/include/CGAL/CORE/CoreDefs_impl.h
--- 5.0.2-3/include/CGAL/CORE/CoreDefs_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/CoreDefs_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -7,9 +7,9 @@
  *
  * File: CoreDefs.cpp
  * Synopsis:
- *	 Useful parameters for Core Library which users may change
+ *         Useful parameters for Core Library which users may change
  *
- * Written by 
+ * Written by
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
@@ -17,14 +17,14 @@
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/CoreDefs_impl.h $
- * $Id: CoreDefs_impl.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/CoreDefs_impl.h $
+ * $Id: CoreDefs_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
 #include "CGAL/CORE/CoreDefs.h"
 
-namespace CORE { 
+namespace CORE {
 
 //  Default Values
 
@@ -38,7 +38,7 @@ namespace CORE {
  *  User's responsibility to check and reset value to 0. */
 // This is currently used in geom2d/points2d.cpp for I/O of points
 
-// Note from 2014: does not seem to be used anywhere, and it is not declared 
+// Note from 2014: does not seem to be used anywhere, and it is not declared
 // in CoreDefs.h so it is not accessible
 // Left here for compatibilty when CGAL_HEADER_ONLY is not defined
 
@@ -65,7 +65,7 @@ CGAL::cpp11::atomic<int> InvalidFlag(0);
 #endif
 
 /* ************************************************************
- * PRECISION PARAMETERS 
+ * PRECISION PARAMETERS
  * ************************************************************ */
 
 /**
@@ -83,7 +83,7 @@ extLong defBFdivRelPrec = 54;
 extLong defBFsqrtAbsPrec = 54;
 
 /**
- * Escape Precision 
+ * Escape Precision
  *   -- we will not compare a number to precision higher than this
  *   -- if this is infinity, there there is no escape precision */
 extLong EscapePrec  = CORE_posInfty;
@@ -101,7 +101,7 @@ CGAL::cpp11::atomic<bool> EscapePrecWarn
 #endif
 
 /** The Composite Precision [defAbsPrec, defRelPrec]
- *  determines the precision to which an Expr evaluates its 
+ *  determines the precision to which an Expr evaluates its
  *  (exact, implicit) constant value. */
 
 /**  absolute precision  = 2^31 - 1 */
@@ -132,8 +132,8 @@ CGAL::cpp11::atomic<long> defOutputDigit
 
 /** Set this to 16 if you want machine precision. This controls the
  *  absolute error in string decimal inputs to Real or Expr.
- *  If defInputDigits is finite, then the absolute error will be 
- *  at most 10^{-defInputDigits}.  Otherwise, the input is exactly 
+ *  If defInputDigits is finite, then the absolute error will be
+ *  at most 10^{-defInputDigits}.  Otherwise, the input is exactly
  *  represented by some BigFloat or BigRat value. */
 extLong defInputDigits = CORE_posInfty;
 
diff -pruN 5.0.2-3/include/CGAL/CORE/CORE.h 5.0.3-1/include/CGAL/CORE/CORE.h
--- 5.0.2-3/include/CGAL/CORE/CORE.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/CORE.h	2020-08-01 19:02:16.000000000 +0000
@@ -10,7 +10,7 @@
  *      The main inclusion file for the Core Library system.
  *      All "Core programs" must include this file.
  *
- * Written by 
+ * Written by
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
@@ -18,8 +18,8 @@
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/CORE.h $
- * $Id: CORE.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/CORE.h $
+ * $Id: CORE.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
diff -pruN 5.0.2-3/include/CGAL/CORE/CoreIO_impl.h 5.0.3-1/include/CGAL/CORE/CoreIO_impl.h
--- 5.0.2-3/include/CGAL/CORE/CoreIO_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/CoreIO_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -7,15 +7,15 @@
  *
  * File: CoreIO.cpp
  *
- * Written by 
+ * Written by
  *       Zilin Du <zilin@cs.nyu.edu>
  *       Chee Yap <yap@cs.nyu.edu>
  *
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/CoreIO_impl.h $
- * $Id: CoreIO_impl.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/CoreIO_impl.h $
+ * $Id: CoreIO_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -32,7 +32,7 @@
 #include <CGAL/CORE/BigFloat.h>
 #include <CGAL/CORE/BigInt.h>
 
-namespace CORE { 
+namespace CORE {
 
 CGAL_INLINE_FUNCTION
 void core_io_error_handler(const char *f, const char *m) {
@@ -357,25 +357,25 @@ void writeToFile(const BigFloat& bf, std
 void BigFloat::read_from_file2(std::istream& in, long maxLength) {
   long length = 1024;
   char *buffer;
-  
+
   // check type name whether it is Float
   buffer = new char[7];
   BigInt::read_string(in, buffer, sizeof(buffer));
   if (strcmp(buffer, "NFloat") != 0)
     core_io_error_handler("BigFloat::read_from_file2()", "type name expected");
   delete[] buffer;
- 
-  // read base (default is 16) 
+
+  // read base (default is 16)
   buffer = new char[5];
   BigInt::read_string(in, buffer, sizeof(buffer));
   if (strcmp(buffer, "(16)") != 0)
     core_io_error_handler("BigFloat::read_from_file2()", "base expected");
   delete[] buffer;
-  
+
   // read length field
   buffer = new char[100];
   BigInt::read_string(in, buffer, sizeof(buffer));
-  
+
   // get the length field if it is not null.
   if (buffer[0] != '\0') {
     length = atol(buffer);
@@ -383,25 +383,25 @@ void BigFloat::read_from_file2(std::istr
       length = maxLength;
   }
   delete[] buffer;
- 
+
   // read exponent
   buffer = new char[100];
   BigInt::read_string(in, buffer, sizeof(buffer));
   long exp16 = atol(buffer);
   delete[] buffer;
- 
+
   // read mantissa
   buffer = new char[length+2];
   //BigInt::read_base_number(in, buffer, length);
- 
+
   BigInt m16(buffer);
   delete[] buffer;
-  
+
   // convert to base CHUNK_BIT
-  exp16 = exp16 - length + 1; 
+  exp16 = exp16 - length + 1;
   if ( m16.is_negative() )
     exp16 ++;
- 
+
   long tmp_exp = exp16 * 4;
   long q = tmp_exp / CHUNK_BIT;
   long r = tmp_exp % CHUNK_BIT;
@@ -409,19 +409,19 @@ void BigFloat::read_from_file2(std::istr
     r += CHUNK_BIT;
     q --;
   }
-  
+
   BigInt mantissa = m16 << r;
   long exponent = q;
- 
+
   // construct BigFloat
   if (--rep->refCount == 0)
     delete rep;
-  
+
   rep = new BigFloatRep(mantissa, 0, exponent);
   rep->refCount++;
-  
+
 }
- 
+
 // write normal float
 // now it assumed to write in hex base, i.e. B=2^4=16
 // (note: our default base B=2^(CHUNK_BIT)=2^14=16384
@@ -437,33 +437,33 @@ void BigFloat::write_to_file2(std::ostre
     q--;
   }
   std::cout << "CORE_DEBUG: q=" << q << ", r=" << r << std::endl;
-  
+
   BigInt m16 = (rep->m) << r;
- 
+
   int size = mpz_sizeinbase(m16.I, base) + 2;
   std::cout << "size=" << size << std::endl;
   char* buffer = new char[size];
- 
+
   int length = bigint_to_string(m16, buffer, base);
   std::cout << "length=" << length << std::endl;
- 
-  long exp16 = q + length - 1; 
+
+  long exp16 = q + length - 1;
   if ( m16.is_negative() )
     exp16 --;
- 
+
   // write type name, base, length
   out << "# This is an experimental Big Float format." << std::endl;
   out << "NFloat (16) " << length << std::endl;
-  
+
   // write exponent
   out << exp16 << std::endl;
-  
+
   // write mantissa
   if ( m16.is_negative() ) {
     out << '-';
     buffer ++;
   }
-  
+
   BigInt::write_base_number(out, buffer, length, base, charsPerLine);
   out << '\n';
   delete[] buffer;
diff -pruN 5.0.2-3/include/CGAL/CORE/Expr.h 5.0.3-1/include/CGAL/CORE/Expr.h
--- 5.0.2-3/include/CGAL/CORE/Expr.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/Expr.h	2020-08-01 19:02:16.000000000 +0000
@@ -7,22 +7,22 @@
  *
  * File: Expr.h
  * Synopsis: a class of Expression in Level 3
- * 
- * Written by 
+ *
+ * Written by
  *       Koji Ouchi <ouchi@simulation.nyu.edu>
  *       Chee Yap <yap@cs.nyu.edu>
  *       Igor Pechtchanski <pechtcha@cs.nyu.edu>
  *       Vijay Karamcheti <vijayk@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
- *       Sylvain Pion <pion@cs.nyu.edu> 
+ *       Sylvain Pion <pion@cs.nyu.edu>
  *       Vikram Sharma<sharma@cs.nyu.edu>
  *
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/Expr.h $
- * $Id: Expr.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/Expr.h $
+ * $Id: Expr.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -36,7 +36,7 @@
 #include <CGAL/CORE/ExprRep.h>
 #include <CGAL/assertions.h>
 
-namespace CORE { 
+namespace CORE {
 
 /// \class Expr Expr.h
 /// \brief Expr is a class of Expression in Level 3
@@ -61,12 +61,12 @@ public:
   Expr(unsigned long ul) : RCExpr(new ConstRealRep(Real(ul))) {}
 
   /// constructor for <tt>float</tt>
-  /** \note the results of this constructor may appear unpredictable to the 
+  /** \note the results of this constructor may appear unpredictable to the
    *  user.  E.g.,  one may assume that new Expr(.1) is exactly equal to .1,
    *  but it will be print as
    *      .1000000000000000055511151231257827021181583404541015625.
    *  This is so because .1 cannot be represented exactly as a double
-   *  (or, for that matter, as a binary fraction of any finite length). 
+   *  (or, for that matter, as a binary fraction of any finite length).
    *  The value is the closest double value determined by the compiler.
    */
   Expr(float f) : RCExpr(nullptr) { // check for valid numbers
@@ -352,7 +352,7 @@ inline std::istream& operator>>(std::ist
   Real rVal;
   i >> rVal; // precision is = get_static_defInputDigits()
   if (i)
-    e = rVal;		// only assign when reading is successful.
+    e = rVal;                // only assign when reading is successful.
   return i;
 }
 
@@ -469,7 +469,7 @@ inline Expr power(const Expr& e, unsigne
 /** We do not check if e2 is 0.
  * */
 // NOTE:  The name "isDivisible" is not consistent
-// 		with the analogous "divisible" predicate in BigInt!
+//                 with the analogous "divisible" predicate in BigInt!
 inline bool isDivisible(const Expr& e1, const Expr& e2) {
   Expr result;
   floor(e1/e2, result);
@@ -510,7 +510,7 @@ inline Expr rootOf(const Polynomial<NT>&
 /// helper function for constructing Polynomial node with pair of BigFloats
 template <class NT>
 inline Expr rootOf(const Polynomial<NT>& p, const BigFloat& x,
-		const BigFloat& y) {
+                const BigFloat& y) {
   return Expr(p, BFInterval(x, y) );
 }
 /// helper function for constructing Polynomial node with pair of doubles
diff -pruN 5.0.2-3/include/CGAL/CORE/Expr_impl.h 5.0.3-1/include/CGAL/CORE/Expr_impl.h
--- 5.0.2-3/include/CGAL/CORE/Expr_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/Expr_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -7,20 +7,20 @@
  *
  * File: Expr.cpp
  *
- * Written by 
+ * Written by
  *       Koji Ouchi <ouchi@simulation.nyu.edu>
  *       Chee Yap <yap@cs.nyu.edu>
  *       Igor Pechtchanski <pechtcha@cs.nyu.edu>
  *       Vijay Karamcheti <vijayk@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
- *       Sylvain Pion <pion@cs.nyu.edu> 
+ *       Sylvain Pion <pion@cs.nyu.edu>
  *
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/Expr_impl.h $
- * $Id: Expr_impl.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/Expr_impl.h $
+ * $Id: Expr_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -34,9 +34,9 @@
 
 #include <CGAL/CORE/Expr.h>
 #include <cmath>
-#include <sstream> 
+#include <sstream>
 
-namespace CORE { 
+namespace CORE {
 
 #if defined(CORE_DEBUG_BOUND) && !defined(CGAL_HEADER_ONLY)
 unsigned int BFMSS_counter = 0;
@@ -80,21 +80,21 @@ const Expr& Expr::getOne() {
 CGAL_INLINE_FUNCTION
 void Expr::doubleInterval(double & lb, double & ub) const {
   double d = doubleValue();
-  if (! CGAL_CORE_finite(d)) {	// if overflow, underflow or NaN
+  if (! CGAL_CORE_finite(d)) {        // if overflow, underflow or NaN
     lb = ub = d;
     return;
   }
   int sign = ((* this) -Expr(d)).sign();
   // Seems like doubleValue() always give a lower bound,
-  // 	so sign = 0 or 1 (never -1).
+  //         so sign = 0 or 1 (never -1).
   //std::cout << "Sign = " << sign << std::endl;
   if (sign == 0) {
     lb = ub = d;
     return;
   }
   int exp;
-  frexp(d, & exp);  	// get the exponent of d
-  exp--;		// the exp from frexp satisfies
+  frexp(d, & exp);          // get the exponent of d
+  exp--;                // the exp from frexp satisfies
   //     2^{exp-1} <= d < 2^{exp}
   // But, we want exp to satisfy
   //     2^{exp} <= d < 2^{exp+1}
@@ -114,7 +114,7 @@ void Expr::doubleInterval(double & lb, d
 CGAL_INLINE_FUNCTION
 BigInt floor(const Expr& e, Expr &sub) {
   if (e==0) {
-	  return 0;
+          return 0;
   }
   BigInt f = e.approx(CORE_INFTY, 2).BigIntValue();
   sub = e-f;
@@ -278,8 +278,8 @@ void ExprRep::reduceToBigRat(const BigRa
   sign() = value.sign();
   uMSB() = value.MSB();
   lMSB() = value.MSB();
-  // length() = value.length(); 	// fixed? original = 1
-  measure() = value.height();		// measure <= height for rational value
+  // length() = value.length();         // fixed? original = 1
+  measure() = value.height();                // measure <= height for rational value
 
   // BFMSS[2,5] bound.
   value.ULV_E(u25(), l25(), v2p(), v2m(), v5p(), v5m());
@@ -308,7 +308,7 @@ void ExprRep::reduceToBigRat(const BigRa
 }
 
 // This only copies the current information of the argument e to
-// 	*this ExprRep.
+//         *this ExprRep.
 CGAL_INLINE_FUNCTION
 void ExprRep::reduceTo(const ExprRep *e) {
   if (e->appComputed()) {
@@ -328,7 +328,7 @@ void ExprRep::reduceTo(const ExprRep *e)
   sign() = e->sign();
   uMSB() = e->uMSB();
   lMSB() = e->lMSB();
-  // length() = e->length(); 	// fixed? original = 1
+  // length() = e->length();         // fixed? original = 1
   measure() = e->measure();
 
   // BFMSS[2,5] bound.
@@ -340,7 +340,7 @@ void ExprRep::reduceTo(const ExprRep *e)
   v5m() = e->v5m();
 
   high() = e->high();
-  low() = e->low();		// fixed? original = 0
+  low() = e->low();                // fixed? original = 0
   lc() = e->lc();
   tc() = e->tc();
 
@@ -353,15 +353,15 @@ void ExprRep::reduceTo(const ExprRep *e)
   // a BigRat value.  This reduction is done if the global variable
   // get_static_rationalReduceFlag()=true.  The default value is false.
   // This is the intepretation of ratFlag:
-  //	ratFlag < 0 means irrational
-  //	ratFlag = 0 means not initialized
-  //	ratFlag > 0 means rational
+  //        ratFlag < 0 means irrational
+  //        ratFlag = 0 means not initialized
+  //        ratFlag > 0 means rational
   // Currently, ratFlag>0 is an upper bound on the size of the expression,
   // since we recursively compute
-  // 		ratFlag(v) = ratFlag(v.lchild)+ratFlag(v.rchild) + 1.
+  //                 ratFlag(v) = ratFlag(v.lchild)+ratFlag(v.rchild) + 1.
   // PROPOSAL: if ratFlag() > RAT_REDUCE_THRESHHOLD
-  // 	then we automatically do a reduction.  We must determine
-  // 	an empirical value for RAT_REDUCE_THRESHOLD
+  //         then we automatically do a reduction.  We must determine
+  //         an empirical value for RAT_REDUCE_THRESHOLD
 
   if (get_static_rationalReduceFlag()) {
     ratFlag() = e->ratFlag();
@@ -394,13 +394,13 @@ void ExprRep::reduceToZero() {
   sign() = 0;
   uMSB() = CORE_negInfty;
   lMSB() = CORE_negInfty;
-  // length() = 0; 	// fixed? original = 1
+  // length() = 0;         // fixed? original = 1
   measure() = EXTLONG_ZERO;
 
   // BFMSS[2,5] bound.
   u25() = l25() = v2p() = v2m() = v5p() = v5m() = EXTLONG_ZERO;
 
-  low() = EXTLONG_ONE;		// fixed? original = 0
+  low() = EXTLONG_ONE;                // fixed? original = 0
   high() = lc() = tc() = EXTLONG_ZERO;
 
   if (get_static_rationalReduceFlag()) {
@@ -476,7 +476,7 @@ void ExprRep::approx(const extLong& relP
 // return an approximate value to certain precision.
 CGAL_INLINE_FUNCTION
 const Real& ExprRep::getAppValue(const extLong& relPrec,
-		const extLong& absPrec) {
+                const extLong& absPrec) {
   if (getSign()) {
     approx(relPrec, absPrec);
     return appValue();
@@ -497,26 +497,26 @@ std::ostream& operator<<(std::ostream& o
 
 // Chee, Zilin: July 17, 2002
 //  Original algorithm is wrongly implemented, and can take time
-//	 exponential in the size of the dag.
+//         exponential in the size of the dag.
 //
 //  METHOD:
-//	Inductively assume that all "visited" flags are false.
-//	This calls for a reimplementation of "count()" and "clearFlag()".
-//	Actually, we did not have to fix the count() function.
+//        Inductively assume that all "visited" flags are false.
+//        This calls for a reimplementation of "count()" and "clearFlag()".
+//        Actually, we did not have to fix the count() function.
 //
 //  (1) First recursively compute d_e for each node
-//		by calling the count() function.
-//	Important thing is count() will turn the "visited" flags
-//		to be true, so that there is no double counting.
-//	Furthermore, if d_e had already been computed, the
-//		arithmetic for d_e can be avoided (in this case,
-//		it is only the setting of "visited" flag that we
-//		are interested in!
+//                by calling the count() function.
+//        Important thing is count() will turn the "visited" flags
+//                to be true, so that there is no double counting.
+//        Furthermore, if d_e had already been computed, the
+//                arithmetic for d_e can be avoided (in this case,
+//                it is only the setting of "visited" flag that we
+//                are interested in!
 //  (2) At the end of count(), we have set all reachable nodes
-//		to "visited", and their d_e have been computed.
+//                to "visited", and their d_e have been computed.
 //  (3) Now, call clearFlag() to recursively clear all reachable
-//		nodes.  NOTE THAT PREVIOUSLY, clearFlag() was called
-//		first!  This obvious is wrong
+//                nodes.  NOTE THAT PREVIOUSLY, clearFlag() was called
+//                first!  This obvious is wrong
 
 CGAL_INLINE_FUNCTION
 extLong ExprRep::degreeBound() {
@@ -1024,7 +1024,7 @@ void MultRep::computeApproxValue(const e
     std::ostringstream oss;
     oss << "CORE WARNING: a huge lMSB in AddSubRep " <<  lMSB();
     core_error(oss.str(),
-	 	__FILE__, __LINE__, false);
+                 __FILE__, __LINE__, false);
   }
 
   extLong r   = relPrec + EXTLONG_FOUR;
@@ -1047,11 +1047,11 @@ void DivRep::computeApproxValue(const ex
     std::ostringstream oss;
     oss << "CORE WARNING: a huge lMSB in AddSubRep " << lMSB();
     core_error(oss.str(),
-	 	__FILE__, __LINE__, false);
+                 __FILE__, __LINE__, false);
   }
 
-  extLong rr  = relPrec + EXTLONG_SEVEN;		// These rules come from
-  extLong ra  = uMSB() + absPrec + EXTLONG_EIGHT;	// Koji's Master Thesis, page 65
+  extLong rr  = relPrec + EXTLONG_SEVEN;                // These rules come from
+  extLong ra  = uMSB() + absPrec + EXTLONG_EIGHT;        // Koji's Master Thesis, page 65
   extLong ra2 = core_max(ra, EXTLONG_TWO);
   extLong r   = core_min(rr, ra2);
   extLong  af  = - first->lMSB() + r;
@@ -1059,7 +1059,7 @@ void DivRep::computeApproxValue(const ex
 
   extLong pr = relPrec + EXTLONG_SIX;
   extLong pa = uMSB() + absPrec + EXTLONG_SEVEN;
-  extLong p  = core_min(pr, pa);	// Seems to be an error:
+  extLong p  = core_min(pr, pa);        // Seems to be an error:
   // p can be negative here!
   // Also, this does not conform to
   // Koji's thesis which has a default
diff -pruN 5.0.2-3/include/CGAL/CORE/ExprRep.h 5.0.3-1/include/CGAL/CORE/ExprRep.h
--- 5.0.2-3/include/CGAL/CORE/ExprRep.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/ExprRep.h	2020-08-01 19:02:16.000000000 +0000
@@ -7,22 +7,22 @@
  *
  * File: ExprRep.h
  * Synopsis: Internal Representation of Expr.
- * 
- * Written by 
+ *
+ * Written by
  *       Koji Ouchi <ouchi@simulation.nyu.edu>
  *       Chee Yap <yap@cs.nyu.edu>
  *       Igor Pechtchanski <pechtcha@cs.nyu.edu>
  *       Vijay Karamcheti <vijayk@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
- *       Sylvain Pion <pion@cs.nyu.edu> 
+ *       Sylvain Pion <pion@cs.nyu.edu>
  *       Vikram Sharma<sharma@cs.nyu.edu>
  *
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/ExprRep.h $
- * $Id: ExprRep.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/ExprRep.h $
+ * $Id: ExprRep.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -40,7 +40,7 @@
 #  pragma warning(disable:4251)
 #endif
 
-namespace CORE { 
+namespace CORE {
 
 #if defined(CGAL_CORE_DEBUG_BOUND) && !defined(CGAL_HEADER_ONLY)
 // These counters are incremented each time each bound is recognized as equal
@@ -77,10 +77,10 @@ inline extLong ceilLg5(const extLong & a
 /// \struct NodeInfo
 /// \brief store information of a node
 struct NodeInfo {
-  Real     appValue;		///< current approximate value
-  bool     appComputed;  	///< true if the approx value been computed
-  bool     flagsComputed;  	///< true if rootBound parameters have been computed
-  extLong  knownPrecision; 	///< Precision achieved by current approx value
+  Real     appValue;                ///< current approximate value
+  bool     appComputed;          ///< true if the approx value been computed
+  bool     flagsComputed;          ///< true if rootBound parameters have been computed
+  extLong  knownPrecision;         ///< Precision achieved by current approx value
 
 #ifdef CGAL_CORE_DEBUG
   extLong relPrecision;
@@ -94,8 +94,8 @@ struct NodeInfo {
    *   generalized accordingly.   */
   extLong d_e;
 
-  bool visited;   	///< flag in counting # of sqrts
-  int sign; 		///< sign of the value being represented.
+  bool visited;           ///< flag in counting # of sqrts
+  int sign;                 ///< sign of the value being represented.
 
   extLong  uMSB; ///< upper bound of the position of Most Significant Bit
   extLong  lMSB; ///< lower bound of the position of Most Significant Bit
@@ -134,8 +134,8 @@ struct NodeInfo {
   /** where E = 2^v2*5^v5*U(E)/L(E), U(E) and L(E) are division-free. */
   extLong l25;
 
-  int ratFlag;		///< rational flag
-  BigRat* ratValue;	///< rational value
+  int ratFlag;                ///< rational flag
+  BigRat* ratValue;        ///< rational value
 
   /// default constructor
   CGAL_CORE_EXPORT NodeInfo();
@@ -412,8 +412,8 @@ private:
 public:
   enum {OPERATOR_ONLY, VALUE_ONLY, OPERATOR_VALUE, FULL_DUMP};
 
-  NodeInfo* nodeInfo;	///< node information
-  filteredFp ffVal;	///< filtered value
+  NodeInfo* nodeInfo;        ///< node information
+  filteredFp ffVal;        ///< filtered value
 
   /// \name Approximation Functions
   //@{
@@ -565,26 +565,26 @@ public:
     // check whether n-th root exists
     if (I.first == 1 && I.second == 0) {
       core_error("CORE ERROR! root index out of bound",
-		      __FILE__, __LINE__, true);
+                      __FILE__, __LINE__, true);
       abort();
     }
     // test if the root isolated in I is 0:
     if ((I.first == 0)&&(I.second == 0))
       ffVal = 0;
     else
-      ffVal = computeFilteredValue();	// silly to use a filter here!
-    					// since sign is known.
+      ffVal = computeFilteredValue();        // silly to use a filter here!
+                                            // since sign is known.
   }
 
   /// constructor for Polynomial
   ConstPolyRep(const Polynomial<NT>& p, const BFInterval& II)
-	  : ss(p), I(II) {
+          : ss(p), I(II) {
     BFVecInterval v;
     ss.isolateRoots(I.first, I.second, v);
     I = v.front();
     if (v.size() != 1) {
       core_error("CORE ERROR! non-isolating interval",
-		      __FILE__, __LINE__, true);
+                      __FILE__, __LINE__, true);
       abort();
     }
     ffVal = computeFilteredValue(); // Chee: this line seems unnecessary
@@ -593,11 +593,11 @@ public:
   /// destructor
   ~ConstPolyRep() {}
   //@}
-  
+
   void *operator new( size_t size){
     return MemoryPool<ConstPolyRep>::global_allocator().allocate(size);
   }
- 
+
   void operator delete( void *p, size_t ){
     MemoryPool<ConstPolyRep>::global_allocator().free(p);
   }
@@ -605,10 +605,10 @@ public:
 private:
   Sturm<NT> ss; ///< internal Sturm sequences
   BFInterval I; ///< current interval contains the real value
-  		// IMPORTANT: I.first and I.second are exact BigFloats
+                  // IMPORTANT: I.first and I.second are exact BigFloats
   filteredFp computeFilteredValue() {
     // refine initial interval to absolute error of 2^(lMSB(k)-54) where
-    // 	  k is a lower bound on the root (use Cauchy Lower Bound).
+    //           k is a lower bound on the root (use Cauchy Lower Bound).
     //    Hence, the precision we pass to refine should be 54-lMSB(k).
 
     // refine with newton (new method)
@@ -626,7 +626,7 @@ private:
     // It should be "centralized" to set
     // the error bit correctly.
     // E.g., otherwise, radical(4,2) will print wrongly.
-    if ((I.first == 0) && (I.second == 0))	// Checkfor zero value
+    if ((I.first == 0) && (I.second == 0))        // Checkfor zero value
       return filteredFp(0);
     BigFloat x = centerize(I.first, I.second);
     double val = x.doubleValue();
@@ -636,7 +636,7 @@ private:
     long ee = x.exp()*CHUNK_BIT;
     unsigned long err = ee > 0 ? (x.err() << ee) : (x.err() >> (-ee));
     double max = core_abs(val) + err;
-    int ind = longValue((BigInt(x.err()) << 53) / (x.m() + x.err())); 
+    int ind = longValue((BigInt(x.err()) << 53) / (x.m() + x.err()));
     */
     return filteredFp(val, max, ind); // Aug 8, 2004, Comment from Chee:
        // I think we should get rid of filters here!  Given the interval I,
@@ -667,15 +667,15 @@ protected:
       sign() = -1;
     }
     // length() = 1+ ss.seq[0].length().uMSB();
-    measure() = 1+ ss.seq[0].length().uMSB();	// since measure<= length
+    measure() = 1+ ss.seq[0].length().uMSB();        // since measure<= length
 
     // compute u25, l25, v2p, v2m, v5p, v5m
     v2p() = v2m() = v5p() = v5m() = 0;
     u25() = 1+ss.seq[0].CauchyUpperBound().uMSB();
     l25() = ceilLg(ss.seq[0].getLeadCoeff());  // assumed coeff is integer!!
-    		// ceilLg(BigInt) and ceilLg(Expr) are defined. But if
-    		// NT=int, ceilLg(int) is ambiguous!  Added ceilLg(int)
-		// under BigInt.h
+                    // ceilLg(BigInt) and ceilLg(Expr) are defined. But if
+                    // NT=int, ceilLg(int) is ambiguous!  Added ceilLg(int)
+                // under BigInt.h
 
     // compute high, low, lc, tc
     high() = u25();
@@ -983,17 +983,17 @@ void AddSubRep<Operator>::computeExactFl
 
   // BFMSS[2,5] bound.
   v2p() = core_min(first->v2p() + second->v2m(),
-		  first->v2m() + second->v2p());
+                  first->v2m() + second->v2p());
   v2m() = first->v2m() + second->v2m();
   v5p() = core_min(first->v5p() + second->v5m(),
-		  first->v5m() + second->v5p());
+                  first->v5m() + second->v5p());
   v5m() = first->v5m() + second->v5m();
 
   if (v2p().isInfty() || v5p().isInfty())
     u25() = CORE_INFTY;
   else
     u25() = EXTLONG_ONE + core_max(first->v2p() + second->v2m()
-	    - v2p() + ceilLg5(first->v5p() + second->v5m() - v5p())
+            - v2p() + ceilLg5(first->v5p() + second->v5m() - v5p())
             + first->u25() + second->l25(),
                                    first->v2m() + second->v2p() - v2p()
             + ceilLg5(first->v5m() + second->v5p() - v5p())
@@ -1058,7 +1058,7 @@ void AddSubRep<Operator>::computeExactFl
       sign() = ffVal.sign();
       lMSB() = ffVal.lMSB();
       uMSB() = ffVal.uMSB();
-    } else {			// about the same size, might cancel out
+    } else {                        // about the same size, might cancel out
 #ifdef CGAL_CORE_TRACE
       std::cout << "Add/sub Rep:  iteration start" << std::endl;
 #endif
@@ -1077,16 +1077,16 @@ void AddSubRep<Operator>::computeExactFl
         // a relative error requirement "ur", s.t.
         //    |x|*2^(-ur) <= 2^(-lowBound).
         // ==> r >= a + lg(x) >= a + (uMSB + 1);
-        //	    extLong  rf = lowBound + (uf + 1);
-        //	    extLong  rs = lowBound + (us + 1);
-        //	    first->approx(rf, CORE_INFTY);
-        //	    second->approx(rs, CORE_INFTY);
+        //            extLong  rf = lowBound + (uf + 1);
+        //            extLong  rs = lowBound + (us + 1);
+        //            first->approx(rf, CORE_INFTY);
+        //            second->approx(rs, CORE_INFTY);
         // Chen: considering the uMSB is also an approximate bound.
         // we choose to use absolute precision up-front.
         Real newValue = Op(first->getAppValue(CORE_INFTY,
-				lowBound + EXTLONG_ONE),
+                                lowBound + EXTLONG_ONE),
                            second->getAppValue(CORE_INFTY,
-				   lowBound + EXTLONG_ONE));
+                                   lowBound + EXTLONG_ONE));
         if (!newValue.isZeroIn()) { // Op(first, second) != 0
           lMSB() = newValue.lMSB();
           uMSB() = newValue.uMSB();   // chen: to get tighers value.
@@ -1107,14 +1107,14 @@ void AddSubRep<Operator>::computeExactFl
         // Moreover, this is much more efficient.
 
         // ua is the upper bound on the absolute precision in our iteration
-	// Chee, Aug 8, 2004: it is important that ua be strictly
-	//     larger than lowBound AND the defaultInitialProgressivePrec,
-	//     so that we do at least one iteration of the for-loop. So:
-	// i is the variable for iteration.
+        // Chee, Aug 8, 2004: it is important that ua be strictly
+        //     larger than lowBound AND the defaultInitialProgressivePrec,
+        //     so that we do at least one iteration of the for-loop. So:
+        // i is the variable for iteration.
         extLong i = core_min(getInitialProgressivePrec(), lowBound.asLong());
         extLong ua = lowBound.asLong() + EXTLONG_ONE;
         //   NOTE: ua is allowed to be CORE_INFTY
-	
+
 #ifdef CGAL_CORE_DEBUG_BOUND
         std::cout << "DebugBound:" << "ua = " << ua << std::endl;
 #endif
@@ -1122,13 +1122,13 @@ void AddSubRep<Operator>::computeExactFl
         lMSB() = CORE_negInfty;
         sign() = 0;
 
-        get_static_EscapePrecFlag() = 0;	// reset the Escape Flag
+        get_static_EscapePrecFlag() = 0;        // reset the Escape Flag
 
         // Now we try to determine the real lMSB and sign,
         // in case it is not really zero:
 #ifdef CGAL_CORE_TRACE
         std::cout << "Upper bound (ua) for iteration is " << ua << std::endl;
-	std::cout << "Starting iteration at i = " << i << std::endl;
+        std::cout << "Starting iteration at i = " << i << std::endl;
 #endif
 
         bool current_precision_lower_than_bound = true;
@@ -1140,32 +1140,32 @@ void AddSubRep<Operator>::computeExactFl
             i = ua; // do not compute more than needed
           }
           // relative bits = i
-	  //
-	  // PROBLEM WITH NEXT LINE: you must ensure that
-	  // first and second are represented by BigFloats...
-	  //
+          //
+          // PROBLEM WITH NEXT LINE: you must ensure that
+          // first and second are represented by BigFloats...
+          //
           Real newValue = Op(first->getAppValue(CORE_INFTY, i),
                              second->getAppValue(CORE_INFTY, i));
 
 #ifdef CGAL_CORE_TRACE
-	  if (newValue.getRep().ID() == REAL_BIGFLOAT) 
-	  std::cout << "BigFloat! newValue->rep->ID() = "
-		  << newValue.getRep().ID() << std::endl;
-	  else 
-	  std::cout << "ERROR, Not BigFloat! newValue->rep->ID() ="
-		  << newValue.getRep().ID() << std::endl;
-	  std::cout << "newValue = Op(first,second) = "
-		  << newValue << std::endl;
-	  std::cout << "first:appVal, appComputed, knownPrec, sign ="
-		  << first->appValue() << ","
-		  << first->appComputed() << ","
-		  << first->knownPrecision() << ","
-		  << first->sign() << std::endl;
-	  std::cout << "second:appVal, appComputed, knownPrec, sign ="
-		  << second->appValue() << ","
-		  << second->appComputed() << ","
-		  << second->knownPrecision() << ","
-		  << second->sign() << std::endl;
+          if (newValue.getRep().ID() == REAL_BIGFLOAT)
+          std::cout << "BigFloat! newValue->rep->ID() = "
+                  << newValue.getRep().ID() << std::endl;
+          else
+          std::cout << "ERROR, Not BigFloat! newValue->rep->ID() ="
+                  << newValue.getRep().ID() << std::endl;
+          std::cout << "newValue = Op(first,second) = "
+                  << newValue << std::endl;
+          std::cout << "first:appVal, appComputed, knownPrec, sign ="
+                  << first->appValue() << ","
+                  << first->appComputed() << ","
+                  << first->knownPrecision() << ","
+                  << first->sign() << std::endl;
+          std::cout << "second:appVal, appComputed, knownPrec, sign ="
+                  << second->appValue() << ","
+                  << second->appComputed() << ","
+                  << second->knownPrecision() << ","
+                  << second->sign() << std::endl;
 #endif
           if (!newValue.isZeroIn()) {   // Op(first, second) != 0
             lMSB() = newValue.lMSB();
@@ -1175,10 +1175,10 @@ void AddSubRep<Operator>::computeExactFl
             std::cout << "DebugBound(Exit Loop): " << "i=" << i << std::endl;
 #endif
 #ifdef CGAL_CORE_TRACE
-	    std::cout << "Zero is not in, lMSB() = " << lMSB()
-		    << ", uMSB() = " << uMSB()
-		    << ", sign() = " << sign() << std::endl;
-	    std::cout << "newValue = " << newValue << std::endl;
+            std::cout << "Zero is not in, lMSB() = " << lMSB()
+                    << ", uMSB() = " << uMSB()
+                    << ", sign() = " << sign() << std::endl;
+            std::cout << "newValue = " << newValue << std::endl;
 #endif
 
             break; // assert -- this must happen in the loop if nonzero!
@@ -1186,11 +1186,11 @@ void AddSubRep<Operator>::computeExactFl
           //8/9/01, Chee: implement escape precision here:
           if (i> get_static_EscapePrec()) {
             get_static_EscapePrecFlag() = -i.asLong();//negative means EscapePrec is used
-	    core_error("Escape precision triggered at",
-            		 __FILE__, __LINE__, false);
+            core_error("Escape precision triggered at",
+                             __FILE__, __LINE__, false);
             if (get_static_EscapePrecWarning())
               std::cout<< "Escape Precision triggered at "
-		      << get_static_EscapePrec() << " bits" << std::endl;
+                      << get_static_EscapePrec() << " bits" << std::endl;
 #ifdef CGAL_CORE_DEBUG
             std::cout << "EscapePrecFlags=" << get_static_EscapePrecFlag() << std::endl;
             std::cout << "ua =" << ua  << ",lowBound=" << lowBound << std::endl;
@@ -1237,7 +1237,7 @@ void AddSubRep<Operator>::computeApproxV
     std::ostringstream oss;
     oss << "CORE WARNING: a huge lMSB in AddSubRep: " << lMSB();
     core_error(oss.str(),
-	 	__FILE__, __LINE__, false);
+                 __FILE__, __LINE__, false);
   }
 
   extLong rf = first->uMSB()-lMSB()+relPrec+EXTLONG_FOUR;  // 2 better
@@ -1280,7 +1280,7 @@ public:
   /// destructor
   ~MultRep() {}
   //@}
-  
+
   CORE_NEW(MultRep)
   CORE_DELETE(MultRep)
   protected:
diff -pruN 5.0.2-3/include/CGAL/CORE/extLong.h 5.0.3-1/include/CGAL/CORE/extLong.h
--- 5.0.2-3/include/CGAL/CORE/extLong.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/extLong.h	2020-08-01 19:02:16.000000000 +0000
@@ -6,10 +6,10 @@
  * This file is part of CGAL (www.cgal.org).
  *
  * File: extLong.h
- * Synopsis: 
- * 		An extended class for long
+ * Synopsis:
+ *                 An extended class for long
  *
- * Written by 
+ * Written by
  *       Koji Ouchi <ouchi@simulation.nyu.edu>
  *       Chee Yap <yap@cs.nyu.edu>
  *       Igor Pechtchanski <pechtcha@cs.nyu.edu>,
@@ -20,8 +20,8 @@
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/extLong.h $
- * $Id: extLong.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/extLong.h $
+ * $Id: extLong.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -31,7 +31,7 @@
 #include <CGAL/CORE/Impl.h>
 #include <CGAL/CORE/CoreAux.h>
 
-namespace CORE { 
+namespace CORE {
 
 #ifndef LONG_MAX
 #error "haven't define LONG_MAX"
@@ -102,7 +102,7 @@ public:
     std::stringstream st;
     st << (*this);
     return st.str();
-  }    
+  }
   long toLong() const;
   //@}
 
diff -pruN 5.0.2-3/include/CGAL/CORE/extLong_impl.h 5.0.3-1/include/CGAL/CORE/extLong_impl.h
--- 5.0.2-3/include/CGAL/CORE/extLong_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/extLong_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -15,17 +15,17 @@
  *      Level i representation of a number n is just i iterations
  *      of log_2 applied to n.
  *
- * Written by 
+ * Written by
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
- *       Sylvain Pion <pion@cs.nyu.edu> 
+ *       Sylvain Pion <pion@cs.nyu.edu>
  *
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/extLong_impl.h $
- * $Id: extLong_impl.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/extLong_impl.h $
+ * $Id: extLong_impl.h 627a7b2 2020-04-27T17:08:35+02:00 Maxime Gimeno
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -37,7 +37,7 @@
 
 #include <CGAL/CORE/extLong.h>
 
-namespace CORE { 
+namespace CORE {
 
 CGAL_INLINE_FUNCTION
 const extLong& extLong::getNaNLong() {
@@ -125,9 +125,9 @@ extLong& extLong::operator*= (const extL
     if (std::fabs(d - p) <= std::fabs(d) * relEps) {
       val = p;
       flag = 0;
-    } else if (d > EXTLONG_MAX) {
+    } else if (d > static_cast<double>(EXTLONG_MAX)) {
       *this = CORE_posInfty;
-    } else if (d < EXTLONG_MIN) {
+    } else if (d < static_cast<double>(EXTLONG_MIN)) {
       *this = CORE_negInfty;
     } else {
 #ifdef CORE_DEBUG
diff -pruN 5.0.2-3/include/CGAL/CORE/Filter.h 5.0.3-1/include/CGAL/CORE/Filter.h
--- 5.0.2-3/include/CGAL/CORE/Filter.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/Filter.h	2020-08-01 19:02:16.000000000 +0000
@@ -12,16 +12,16 @@
  *      based on the Burnikel-Funke-Schirra (BFS) filter scheme.
  *      We do not use IEEE exception mechanism here.
  *      It is used by the Expr class.
- * 
- * Written by 
+ *
+ * Written by
  *       Zilin Du <zilin@cs.nyu.edu>
  *       Chee Yap <yap@cs.nyu.edu>
  *
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/Filter.h $
- * $Id: Filter.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/Filter.h $
+ * $Id: Filter.h 6c94c15 2020-05-05T14:40:55+02:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -34,14 +34,14 @@
 #include <cmath>
 #include <limits>
 
-#define CGAL_CORE_finite(x)	std::isfinite(x)
-#define CGAL_CORE_ilogb(x)	ilogb(x)
+#define CGAL_CORE_finite(x)        std::isfinite(x)
+#define CGAL_CORE_ilogb(x)        ilogb(x)
 
 #if defined(sun) || defined(__sun)
   #include <ieeefp.h>
 #endif
 
-namespace CORE { 
+namespace CORE {
 
 const int POWTWO_26 = (1 << 26);  ///< constant 2^26
 
@@ -53,7 +53,7 @@ class filteredFp {
   double maxAbs;        // if (|fpVal| > maxAbs * ind * 2^{-53}) then
   int ind;              // sign of value is sign(fpVal).  Else, don't know.
   // REFERENCE: Burnikel, Funke, Schirra (BFS) filter
-  // Chee: in isOK(), you used the test "|fpVal| >= maxAbs * ind * 2^{-53}" 
+  // Chee: in isOK(), you used the test "|fpVal| >= maxAbs * ind * 2^{-53}"
   // which seems to be correct (i.e., not |fpVal| > maxAbs * ind * 2^{-53})
 public:
   /// \name Constructors
@@ -73,9 +73,9 @@ public:
       ind = 1;
       fpVal = value.doubleValue();
       if (value.MSB() <= -1075)
-	maxAbs = 1;
-      else	
-      	maxAbs = core_abs(fpVal); // NaN are propagated correctly by core_abs.
+        maxAbs = 1;
+      else
+              maxAbs = core_abs(fpVal); // NaN are propagated correctly by core_abs.
     }
   }
   //@}
@@ -106,7 +106,7 @@ public:
   }
   /// lower bound on MSB
   /** defined to be cel(lg(real value));
-      ilogb(x) is floor(log_2(|x|)). 
+      ilogb(x) is floor(log_2(|x|)).
       Also, ilogb(0) = -INT_MAX.  ilogb(NaN) = ilogb(+/-Inf) = INT_MAX */
   extLong lMSB() const {
     return extLong(CGAL_CORE_ilogb(core_abs(fpVal)-maxAbs*ind*CORE_EPS));
@@ -145,7 +145,7 @@ public:
       double maxVal = ( core_abs(val) + maxAbs / x.maxAbs) / xxx + DBL_MIN;
       return filteredFp(val, maxVal, 1 + core_max(ind, x.ind + 1));
     } else
-      return filteredFp(getDoubleInfty(), 0.0, 0);
+      return filteredFp( std::nan(""), getDoubleInfty(), 1);
   }
   /// square root
   filteredFp sqrt () const {
diff -pruN 5.0.2-3/include/CGAL/CORE/Gmp.h 5.0.3-1/include/CGAL/CORE/Gmp.h
--- 5.0.2-3/include/CGAL/CORE/Gmp.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/Gmp.h	2020-08-01 19:02:16.000000000 +0000
@@ -5,8 +5,8 @@
  *
  * This file is part of CGAL (www.cgal.org).
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/Gmp.h $
- * $Id: Gmp.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/Gmp.h $
+ * $Id: Gmp.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -17,7 +17,7 @@
 #include <CGAL/CORE/Impl.h>
 #include <gmp.h>
 
-namespace CORE { 
+namespace CORE {
 
 CGAL_CORE_EXPORT std::ostream& io_write (std::ostream &, mpz_srcptr);
 CGAL_CORE_EXPORT std::ostream& io_write (std::ostream &, mpq_srcptr);
diff -pruN 5.0.2-3/include/CGAL/CORE/Gmp_impl.h 5.0.3-1/include/CGAL/CORE/Gmp_impl.h
--- 5.0.2-3/include/CGAL/CORE/Gmp_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/Gmp_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -4,16 +4,16 @@
  * All rights reserved.
  *
  * file: GmpIO.cpp
- * 		Adapted from multi-files under /cxx in GMP's source distribution
+ *                 Adapted from multi-files under /cxx in GMP's source distribution
  *
  * Zilin Du, 2003
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/Gmp_impl.h $
- * $Id: Gmp_impl.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/Gmp_impl.h $
+ * $Id: Gmp_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-only
  ***************************************************************************/
 
-/* Auxiliary functions for C++-style input of GMP types. 
+/* Auxiliary functions for C++-style input of GMP types.
 
 Copyright 2001 Free Software Foundation, Inc.
 
@@ -33,7 +33,7 @@ This file is part of the GNU MP Library.
 #include <string>
 #include <cstdio>
 
-namespace CORE { 
+namespace CORE {
 
 CGAL_INLINE_FUNCTION
 int
@@ -57,23 +57,23 @@ __gmp_istream_set_base (std::istream &i,
     default:
       showbase = true; // look for initial "0" or "0x" or "0X"
       if (c == '0')
-	{
-	  if (! i.get(c))
-	    c = 0; // reset or we might loop indefinitely
-
-	  if (c == 'x' || c == 'X')
-	    {
-	      base = 16;
-	      i.get(c);
-	    }
-	  else
-	    {
-	      base = 8;
-	      zero = true; // if no other digit is read, the "0" counts
-	    }
-	}
+        {
+          if (! i.get(c))
+            c = 0; // reset or we might loop indefinitely
+
+          if (c == 'x' || c == 'X')
+            {
+              base = 16;
+              i.get(c);
+            }
+          else
+            {
+              base = 8;
+              zero = true; // if no other digit is read, the "0" counts
+            }
+        }
       else
-	base = 10;
+        base = 10;
       break;
     }
 
@@ -88,30 +88,30 @@ __gmp_istream_set_digits (std::string &s
     {
     case 10:
       while (isdigit(c))
-	{
-	  ok = true; // at least a valid digit was read
-	  s += c;
-	  if (! i.get(c))
-	    break;
-	}
+        {
+          ok = true; // at least a valid digit was read
+          s += c;
+          if (! i.get(c))
+            break;
+        }
       break;
     case 8:
       while (isdigit(c) && c != '8' && c != '9')
-	{
-	  ok = true; // at least a valid digit was read
-	  s += c;
-	  if (! i.get(c))
-	    break;
-	}
+        {
+          ok = true; // at least a valid digit was read
+          s += c;
+          if (! i.get(c))
+            break;
+        }
       break;
     case 16:
       while (isxdigit(c))
-	{
-	  ok = true; // at least a valid digit was read
-	  s += c;
-	  if (! i.get(c))
-	    break;
-	}
+        {
+          ok = true; // at least a valid digit was read
+          s += c;
+          if (! i.get(c))
+            break;
+        }
       break;
     }
 }
@@ -136,7 +136,7 @@ io_read (std::istream &i, mpz_ptr z)
   if (c == '-' || c == '+') // sign
     {
       if (c == '-') // mpz_set_str doesn't accept '+'
-	s = "-";
+        s = "-";
       i.get(c);
     }
 
@@ -181,7 +181,7 @@ io_read (std::istream &i, mpq_ptr q)
   if (c == '-' || c == '+') // sign
     {
       if (c == '-')
-	s = "-";
+        s = "-";
       i.get(c);
     }
 
@@ -212,19 +212,19 @@ io_read (std::istream &i, mpq_ptr q)
       i.get(c);
 
       while (isspace(c) && i.get(c)) // skip whitespace
-	;
+        ;
 
       if (showbase) // check base of denominator
-	base2 = __gmp_istream_set_base(i, c, zero2, showbase);
+        base2 = __gmp_istream_set_base(i, c, zero2, showbase);
 
       if (base2 == base || base2 == 10) // read the denominator
-	__gmp_istream_set_digits(s, i, c, ok, base);
+        __gmp_istream_set_digits(s, i, c, ok, base);
 
       if (! ok && zero2) // the only digit read was "0"
-	{                // denominator is 0, but that's your business
-	  s += '0';
-	  ok = true;
-	}
+        {                // denominator is 0, but that's your business
+          s += '0';
+          ok = true;
+        }
     }
 
   if (i.good()) // last character read was non-numeric
@@ -244,19 +244,19 @@ CGAL_INLINE_FUNCTION
 std::ostream&
 //operator<< (std::ostream &o, mpz_srcptr z)
 io_write (std::ostream &o, mpz_srcptr z)
-{ 
+{
   char *str = new char [mpz_sizeinbase(z,10) + 2];
   str = mpz_get_str(str, 10, z);
   o << str ;
   delete[] str;
-  return o; 
+  return o;
 }
 
 CGAL_INLINE_FUNCTION
 std::ostream&
 //operator<< (std::ostream &o, mpq_srcptr q)
 io_write (std::ostream &o, mpq_srcptr q)
-{ 
+{
   // size according to GMP documentation
   char *str = new char [mpz_sizeinbase(mpq_numref(q), 10) +
                         mpz_sizeinbase (mpq_denref(q), 10) + 3];
diff -pruN 5.0.2-3/include/CGAL/CORE/Impl.h 5.0.3-1/include/CGAL/CORE/Impl.h
--- 5.0.2-3/include/CGAL/CORE/Impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/Impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -5,8 +5,8 @@
  *
  * This file is part of CGAL (www.cgal.org).
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/Impl.h $
- * $Id: Impl.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/Impl.h $
+ * $Id: Impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -18,9 +18,9 @@
 // The following lines only for MS Visual C++
 #ifdef _MSC_VER
   #pragma warning(disable: 4291) // no matching operator delete found
-  #pragma warning(disable: 4146) 
+  #pragma warning(disable: 4146)
   #pragma warning(disable: 4267)
-  #pragma warning(disable: 4244) 
+  #pragma warning(disable: 4244)
 #endif
 
 // condition preprocessor for inline function
diff -pruN 5.0.2-3/include/CGAL/CORE/linearAlgebra.h 5.0.3-1/include/CGAL/CORE/linearAlgebra.h
--- 5.0.2-3/include/CGAL/CORE/linearAlgebra.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/linearAlgebra.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,18 +1,18 @@
 /****************************************************************************
- * Core Library Version 1.7, August 2004                                     
- * Copyright (c) 1995-2004 Exact Computation Project                         
- * All rights reserved.                                                      
- *                                                                           
- * This file is part of CGAL (www.cgal.org).                
- *                                                                           
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/linearAlgebra.h $
- * $Id: linearAlgebra.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * Core Library Version 1.7, August 2004
+ * Copyright (c) 1995-2004 Exact Computation Project
+ * All rights reserved.
+ *
+ * This file is part of CGAL (www.cgal.org).
+ *
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/linearAlgebra.h $
+ * $Id: linearAlgebra.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 /******************************************************************
  * Core Library Version 1.7, August 2004
  * Copyright (c) 1995-2002 Exact Computation Project
- * 
+ *
  * File: LinearAlgebra.h
  * Synopsis:
  *      Linear Algebra Extension of Core Library introducing
@@ -25,7 +25,7 @@
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $Id: linearAlgebra.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $Id: linearAlgebra.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  *****************************************************************/
 
 #ifndef CORE_LINEAR_ALGEBRA_H
@@ -79,7 +79,7 @@ public:
    double infnorm() const;
    double dimension() const {return dim;}
    bool isZero() const;
-   Vector cross(const Vector &v) const; 
+   Vector cross(const Vector &v) const;
    static Vector crossProduct(int, ...);
 
    friend Vector operator+(const Vector&, const Vector&);
@@ -157,7 +157,7 @@ public:
    friend double det(const double a, const double b,
                 const double c, const double d);
    friend double det(const Vector u, const Vector & v);  // u,v are 2d vectors
-   
+
    friend std::istream& operator>>(std::istream&, Matrix&);
    friend std::ostream& operator<<(std::ostream&, const Matrix&);
 
diff -pruN 5.0.2-3/include/CGAL/CORE/MemoryPool.h 5.0.3-1/include/CGAL/CORE/MemoryPool.h
--- 5.0.2-3/include/CGAL/CORE/MemoryPool.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/MemoryPool.h	2020-08-01 19:02:16.000000000 +0000
@@ -8,8 +8,8 @@
  * File: MemoryPool.h
  * Synopsis:
  *      a memory pool template class.
- * 
- * Written by 
+ *
+ * Written by
  *       Zilin Du <zilin@cs.nyu.edu>
  *       Chee Yap <yap@cs.nyu.edu>
  *       Sylvain Pion <pion@cs.nyu.edu>
@@ -17,8 +17,8 @@
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/MemoryPool.h $
- * $Id: MemoryPool.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/MemoryPool.h $
+ * $Id: MemoryPool.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 #ifndef _CORE_MEMORYPOOL_H_
@@ -40,7 +40,7 @@
 #include <CGAL/assertions.h>
 #include <vector>
 
-namespace CORE { 
+namespace CORE {
 
 #define CORE_EXPANSION_SIZE 1024
 template< class T, int nObjects = CORE_EXPANSION_SIZE >
@@ -61,8 +61,8 @@ public:
       std::size_t count = 0;
       Thunk* t = head;
       while(t!=0){
-	++count;
-	t = t->next;
+        ++count;
+        t = t->next;
       }
     //);
     //CGAL_warning_msg(count ==  nObjects * blocks.size(),
@@ -95,7 +95,7 @@ public:
 #endif // not CGAL_HAS_THREADS
     return memPool;
   }
- 
+
 private:
    Thunk* head; // next available block in the pool
   std::vector<void*> blocks;
@@ -118,13 +118,13 @@ void* MemoryPool< T, nObjects >::allocat
 
       // use the global operator new to allocate a block for the pool
       Thunk* pool = reinterpret_cast<Thunk*>(
-	 ::operator new(nObjects * sizeof(Thunk)));
+         ::operator new(nObjects * sizeof(Thunk)));
 
       blocks.push_back(pool);
       // initialize the chain (one-directional linked list)
       head = pool;
       for (int i = 0; i < last; ++i ) {
-	 pool[i].next = &pool[i+1];
+         pool[i].next = &pool[i+1];
       }
       pool[last].next = 0;
    }
@@ -138,7 +138,7 @@ void* MemoryPool< T, nObjects >::allocat
 
 template< class T, int nObjects >
 void MemoryPool< T, nObjects >::free(void* t) {
-   CGAL_assertion(t != 0);     
+   CGAL_assertion(t != 0);
    if (t == 0) return; // for safety
    if(blocks.empty()){
      std::cerr << typeid(T).name() << std::endl;
diff -pruN 5.0.2-3/include/CGAL/CORE/poly/Curves.h 5.0.3-1/include/CGAL/CORE/poly/Curves.h
--- 5.0.2-3/include/CGAL/CORE/poly/Curves.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/poly/Curves.h	2020-08-01 19:02:16.000000000 +0000
@@ -7,44 +7,44 @@
  *
  * File: Curves.h
  *
- * Description: 
- * 	Two templated classes are defined here:
- *		Curve and BiPoly
- *	These classes are parametrized by the number type
- *		(called NT) which represents the
- *		domain of the coefficients of the underlying
- *		polynomials.  Standard default is NT=BigInt, but
- *		we will allow NT=int, NT=BigRat, NT=BigFloat, NT=Expr.
- *	BiPoly represents the class of bivariate polynomials,
- *		i.e.,  each BiPoly object is an element of NT[X,Y].
- *		We store each BiPoly as a list of polynomials in X.
- *	Curve represents the class of plane curves whose equation
- *		is A(X,Y)=0, for some BiPoly A(X,Y).
- *	Features:
- *		--Constructor from strings such as
- *			"3 x^2 + 7 xy^2 - 4 x + 13".
- *		--Basic plot functions
+ * Description:
+ *         Two templated classes are defined here:
+ *                Curve and BiPoly
+ *        These classes are parametrized by the number type
+ *                (called NT) which represents the
+ *                domain of the coefficients of the underlying
+ *                polynomials.  Standard default is NT=BigInt, but
+ *                we will allow NT=int, NT=BigRat, NT=BigFloat, NT=Expr.
+ *        BiPoly represents the class of bivariate polynomials,
+ *                i.e.,  each BiPoly object is an element of NT[X,Y].
+ *                We store each BiPoly as a list of polynomials in X.
+ *        Curve represents the class of plane curves whose equation
+ *                is A(X,Y)=0, for some BiPoly A(X,Y).
+ *        Features:
+ *                --Constructor from strings such as
+ *                        "3 x^2 + 7 xy^2 - 4 x + 13".
+ *                --Basic plot functions
  *
- *	To Do:
- *	  --Dump should produce human readable strings like
- *	  	"3 x^2 + 7 xy^2 - 4 x + 13".
- *	  --String constructor generalizations:
- *	  	(1) allow one "=" sign (e.g., "3 x^2 = y^2 - xy")(DONE)
- *		(2) allow general parenthesis
- *		(3) allow X and Y (DONE)
- *	  --We should be able to read/write
- *	  	curve definitions from/to files
- *	  --Plot should be more efficient (use previous roots
- *	  	to help find the next roots, there should be
- *	  	a "plot structure" that is persistent)
- *	  --Plot should refine in both x- and y-increments.
- *	  --Plot should have some option to show the
- *	  	x- and y-axes, and to label some points.
- *	  --verticalIntersect(...) should be implemented using
- *	        Polynomial<BigFloat>, not Polynomial<Expr> for efficiency
- *	  --the plot parameters (eps,xmin,xmax,ymin,ymax) must be
- *	        made part of the Curve class (static members).
- *	        Incorporate the "setParams" method into class.
+ *        To Do:
+ *          --Dump should produce human readable strings like
+ *                  "3 x^2 + 7 xy^2 - 4 x + 13".
+ *          --String constructor generalizations:
+ *                  (1) allow one "=" sign (e.g., "3 x^2 = y^2 - xy")(DONE)
+ *                (2) allow general parenthesis
+ *                (3) allow X and Y (DONE)
+ *          --We should be able to read/write
+ *                  curve definitions from/to files
+ *          --Plot should be more efficient (use previous roots
+ *                  to help find the next roots, there should be
+ *                  a "plot structure" that is persistent)
+ *          --Plot should refine in both x- and y-increments.
+ *          --Plot should have some option to show the
+ *                  x- and y-axes, and to label some points.
+ *          --verticalIntersect(...) should be implemented using
+ *                Polynomial<BigFloat>, not Polynomial<Expr> for efficiency
+ *          --the plot parameters (eps,xmin,xmax,ymin,ymax) must be
+ *                made part of the Curve class (static members).
+ *                Incorporate the "setParams" method into class.
  *
  *  Author:  Vikram Sharma and Chee Yap
  *  Date:    April 12, 2004
@@ -52,8 +52,8 @@
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/poly/Curves.h $
- * $Id: Curves.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/poly/Curves.h $
+ * $Id: Curves.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -65,7 +65,7 @@
 #include <list>
 #include "CGAL/CORE/poly/Poly.h"
 
-namespace CORE { 
+namespace CORE {
 
 // ==================================================
 // Curve Class
@@ -74,14 +74,14 @@ namespace CORE {
 //typedef BigInt NT;
 //typedef Expr   NT;
 //typedef Polynomial<NT>        PolyNT;
-//typedef std::vector<Expr>	VecExpr;
-//typedef std::vector<BigInt>	VecBigInt;
+//typedef std::vector<Expr>        VecExpr;
+//typedef std::vector<BigInt>        VecBigInt;
 //typedef std::vector<NT>       VecNT;
-//typedef std::vector<Polynomial<NT> >	VecPoly;
+//typedef std::vector<Polynomial<NT> >        VecPoly;
 
 template <class NT>
 class Monomial{
-  //Helper class to store the coefficients for given x-deg and y-deg 
+  //Helper class to store the coefficients for given x-deg and y-deg
   //Used by string input routines
  public:
   NT coeff;
@@ -104,8 +104,8 @@ class Monomial{
 
 
 //Class of Bivariate polynomials
-//	Viewed as a polynomial in Y with
-//	coefficients which are polynomials in X
+//        Viewed as a polynomial in Y with
+//        coefficients which are polynomials in X
 template <class NT>
 class BiPoly{
  private:
@@ -124,7 +124,7 @@ class BiPoly{
  public:
   int ydeg; //Y-degree of the polynomial
   std::vector<Polynomial<NT> > coeffX; //vector of (1+ydeg) polynomials in X
-	// If ydeg = d, then the polynomial is F(X,Y) =
+        // If ydeg = d, then the polynomial is F(X,Y) =
         //   (Y^d * coeffX[d]) + (Y^{d-1} * coeffX[d-1]) +...+ (coeffX[0]).
 
   ////////////////////////////////////////////////////////
@@ -141,13 +141,13 @@ class BiPoly{
   BiPoly(std::vector<Polynomial<NT> > vp); // From vector of Polynomials
 
   //BiPoly(p, flag):
-  //	if true, it converts polynomial p(X) into P(Y)
-  // 	if false, it creates the polynomial Y-p(X)
+  //        if true, it converts polynomial p(X) into P(Y)
+  //         if false, it creates the polynomial Y-p(X)
   BiPoly(Polynomial<NT> p, bool flag=false);
-  
+
   //BiPoly(deg, d[], C[]):
-  //	Takes in a list of list of coefficients.
-  //	Each cofficient list represents a polynomial in X
+  //        Takes in a list of list of coefficients.
+  //        Each cofficient list represents a polynomial in X
   //
   //  deg - ydeg of the bipoly
   //  d[] - array containing the degrees of each coefficient (i.e., X poly)
@@ -161,7 +161,7 @@ class BiPoly{
   //  The string s has the form "3 x^2 + 7 xy^2 - 4 x + 13"
   //
   //  For now, we assume no parentheses, * or =.
-  
+
   BiPoly(const string& s, char myX='x', char myY='y');
   BiPoly(const char* s, char myX='x', char myY='y');
 
@@ -177,12 +177,12 @@ class BiPoly{
   ////////////////////////////////////////////////////////
   // METHODS
   ////////////////////////////////////////////////////////
-  
+
   // filedump (msg, ofs, com, com2)
-  // 	where msg, com, com2 are strings.
-  // 	msg is an message and com, com2 are the strings
-  // 	preceding each output line
-  // 	(e.g., msg="BiVariate Polynomial"  and com=com2="# ")
+  //         where msg, com, com2 are strings.
+  //         msg is an message and com, com2 are the strings
+  //         preceding each output line
+  //         (e.g., msg="BiVariate Polynomial"  and com=com2="# ")
   // This is called by the other dump functions
   void dump(std::ostream & os, std::string msg = "",
       std::string com="# ", std::string com2 = "# ") const;
@@ -197,10 +197,10 @@ class BiPoly{
   /*Cannot work with these two functions right now.
     BiPoly as per now can only handle BigInt and int since
     Expr cannot be handled by Polynomial class.*/
-  
-  // yPolynomial(x) 
+
+  // yPolynomial(x)
   //   returns the polynomial (in Y) when we substitute X=x
-  
+
   /* BiPoly<NT> yPolynomial(const Expr & x) {
 
     VecExpr vE;
@@ -208,7 +208,7 @@ class BiPoly{
     for (int i=0; i<= ydeg; i++) {
       vE.push_back(coeffX[i].eval(x));
     }
-    
+
     return BiPoly<NT>(vE);
   }//yPolynomial
   */
@@ -221,18 +221,18 @@ class BiPoly{
   // BF version of yPoly (temporary hack)
   Polynomial<BigFloat> yBFPolynomial(const BigFloat & x);
 
-  // xPolynomial(y) 
+  // xPolynomial(y)
   //   returns the polynomial (in X) when we substitute Y=y
-  //   
+  //
   //   N.B. May need the
-  //   		Polynomial<Expr> xExprPolynomial(Expr y)
+  //                   Polynomial<Expr> xExprPolynomial(Expr y)
   //   version too...
   //
   Polynomial<NT> xPolynomial(const NT & y) ;
-  
+
   // getYdegree()
   int getYdegree() const;
-  
+
   // getXdegree()
   int getXdegree();
 
@@ -245,16 +245,16 @@ class BiPoly{
   ////////////////////////////////////////////////////////
   // Polynomial arithmetic (these are all self-modifying)
   ////////////////////////////////////////////////////////
-  
+
   // Expands the nominal y-degree to n;
-  //	Returns n if nominal y-degree is changed to n
-  //	Else returns -2
+  //        Returns n if nominal y-degree is changed to n
+  //        Else returns -2
 
   int expand(int n);
 
   // contract() gets rid of leading zero polynomials
-  //	and returns the new (true) y-degree;
-  //	It returns -2 if this is a no-op
+  //        and returns the new (true) y-degree;
+  //        It returns -2 if this is a no-op
 
   int contract();
 
@@ -263,13 +263,13 @@ class BiPoly{
 
   // Self-addition
   BiPoly<NT> & operator+=( BiPoly<NT>& P);
-   
+
   // Self-subtraction
   BiPoly<NT> & operator-=( BiPoly<NT>& P);
 
   // Self-multiplication
   BiPoly<NT> & operator*=( BiPoly<NT>& P);
-  
+
   // Multiply by a polynomial in X
   BiPoly<NT> & mulXpoly( Polynomial<NT> & p);
 
@@ -278,13 +278,13 @@ class BiPoly{
 
   // mulYpower: Multiply by Y^i (COULD be a divide if i<0)
   BiPoly<NT> & mulYpower(int s);
-  
+
   // Divide by a polynomial in X.
   // We replace the coeffX[i] by the pseudoQuotient(coeffX[i], P)
   BiPoly<NT> & divXpoly( Polynomial<NT> & p);
-  
+
   //Using the standard definition of pseudRemainder operation.
-  //	--No optimization!
+  //        --No optimization!
   BiPoly<NT>  pseudoRemainderY (BiPoly<NT> & Q);
 
   //Partial Differentiation
@@ -321,18 +321,18 @@ class BiPoly{
   ////////////////////////////////////////////////////////
   // Helper Functions
   ////////////////////////////////////////////////////////
-//Experimental version of constructor from strings containing general 
+//Experimental version of constructor from strings containing general
 //parentheses
 
 
 // zeroPinY(P)
-//	checks whether a Bi-polynomial is a zero Polynomial
+//        checks whether a Bi-polynomial is a zero Polynomial
 template <class NT>
 bool zeroPinY(BiPoly<NT> & P);
 
 // gcd(P,Q)
 //   This gcd is based upon the subresultant PRS to avoid
-//   exponential coeffecient growth and gcd computations, both of which 
+//   exponential coeffecient growth and gcd computations, both of which
 //   are expensive since the coefficients are polynomials
 
 template <class NT>
@@ -347,9 +347,9 @@ Polynomial<NT>  resY( BiPoly<NT>& P ,BiP
 // resX(P,Q):
 //      Resultant of Bi-Polys P and Q w.r.t. X.
 //      So the resultant is a polynomial in Y
-//	We first convert P, Q to polynomials in X. Then 
-// 	call resY and then turn it back into a polynomial in Y
-//	QUESTION: is this last switch really necessary???
+//        We first convert P, Q to polynomials in X. Then
+//         call resY and then turn it back into a polynomial in Y
+//        QUESTION: is this last switch really necessary???
 template <class NT>
 BiPoly<NT>  resX( BiPoly<NT>& P ,BiPoly<NT>& Q);
 
@@ -372,7 +372,7 @@ template <class NT>
 
   ////////////////////////////////////////////////////////
   //Curve Class
-  //  	extends BiPoly Class
+  //          extends BiPoly Class
   ////////////////////////////////////////////////////////
 
 template < class NT >
@@ -382,50 +382,50 @@ public:
 
   static const int NumColors=7;
   static double red_comp(int i){
-  	static const double RED_COMP[] = {0.9, 0.8, 0.7, 0.6, 0.8, 0.8, 0.7};
-	return RED_COMP[i % NumColors];
+          static const double RED_COMP[] = {0.9, 0.8, 0.7, 0.6, 0.8, 0.8, 0.7};
+        return RED_COMP[i % NumColors];
   }
   static double green_comp(int i){
-  	static const double GREEN_COMP[] = {0.5, 0.9, 0.3, 0.9, 0.7, 0.55, 0.95};
-	return GREEN_COMP[i % NumColors];
+          static const double GREEN_COMP[] = {0.5, 0.9, 0.3, 0.9, 0.7, 0.55, 0.95};
+        return GREEN_COMP[i % NumColors];
   }
   static double blue_comp(int i){
-  	static const double BLUE_COMP[] = {0.8, 0.3, 0.8, 0.5, 0.4, 0.85, 0.35};
-	return BLUE_COMP[i % NumColors];
+          static const double BLUE_COMP[] = {0.8, 0.3, 0.8, 0.5, 0.4, 0.85, 0.35};
+        return BLUE_COMP[i % NumColors];
   }
 
   Curve(); // zero polynomial
-  
+
   //Curve(vp):
   //    construct from a vector of polynomials
   Curve(std::vector<Polynomial<NT> > vp);
-  //	  : BiPoly<NT>(vp){
+  //          : BiPoly<NT>(vp){
   //}
-  
+
   //Curve(p):
-  //	Converts a polynomial p(X) to a BiPoly in one of two ways:
-  // 	    (1) if flag is false, the result is Y-p(X) 
-  // 	    (2) if flag is true, the result is p(Y) 
+  //        Converts a polynomial p(X) to a BiPoly in one of two ways:
+  //             (1) if flag is false, the result is Y-p(X)
+  //             (2) if flag is true, the result is p(Y)
   //    The default is (1) because we usually want to plot the
   //        graph of the polynomial p(X)
   Curve(Polynomial<NT> p, bool flag=false);
-  //	  : BiPoly<NT>(p, flag){
+  //          : BiPoly<NT>(p, flag){
   //}
 
   //Curve(deg, d[], C[]):
-  //	Takes in a list of list of coefficients.
-  //	Each cofficient list represents a polynomial in X
+  //        Takes in a list of list of coefficients.
+  //        Each cofficient list represents a polynomial in X
   //
   //  deg - ydeg of the bipoly
   //  d[] - array containing the degrees of each coefficient (i.e., X poly)
   //  C[] - list of coefficients, we use array d to select the
   //      coefficients
   Curve(int deg, int *d, NT *C);
-  //	  : BiPoly<NT>(deg, d, C){
+  //          : BiPoly<NT>(deg, d, C){
   //}
 
   Curve(const BiPoly<NT> &P);
-  //	  : BiPoly<NT>(P){
+  //          : BiPoly<NT>(P){
   //}
 
   //Curve(n) -- the nominal y-degree is n
@@ -441,24 +441,24 @@ public:
   //    lies on the curve.
   //    If aprec is non-zero (!), the intervals have with < 2^{-aprec}.
   //    Return is -2 if curve equation does not depend on Y
-  //    	-1 if infinitely roots at x,
-  //    	0 if no roots at x
-  //    	1 otherwise
+  //            -1 if infinitely roots at x,
+  //            0 if no roots at x
+  //            1 otherwise
 
   int verticalIntersections(const BigFloat & x, BFVecInterval & vI,
-			    int aprec=0);
-  
-  // TO DO: 
-  // 		horizontalIntersections(...)
-  
+                            int aprec=0);
+
+  // TO DO:
+  //                 horizontalIntersections(...)
+
   /////////////////////////////////////////////////////////////////////////
   // plot(eps, x1, y1, x2, y2)
   //
-  // 	All parameters have defaults
+  //         All parameters have defaults
   //
   //    Gives the points on the curve at resolution "eps".  Currently,
   //    eps is viewed as delta-x step size (but it could change).
-  //    The display is done in the rectangale 
+  //    The display is done in the rectangale
   //    defined by [(x1, y1), (x2, y2)].
   //    The output is written into a file in the format specified
   //    by our drawcurve function (see COREPATH/ext/graphics).
@@ -467,7 +467,7 @@ public:
   //    changes...
   //
   int  plot( BigFloat eps=0.1, BigFloat x1=-1.0,
-	     BigFloat y1=-1.0, BigFloat x2=1.0, BigFloat y2=1.0, int fileNo=1);
+             BigFloat y1=-1.0, BigFloat x2=1.0, BigFloat y2=1.0, int fileNo=1);
 
 // selfIntersections():
 //   this should be another member function that lists
@@ -493,7 +493,7 @@ template <class NT>
 void  Xintersections( Curve<NT>& P ,Curve<NT>& Q, BFVecInterval &vI);
 
 //Yintersections(C, D, vI):
-//	similar to Xintersections
+//        similar to Xintersections
 template <class NT>
 void  Yintersections( Curve<NT>& P ,Curve<NT>& Q, BFVecInterval &vI);
 
diff -pruN 5.0.2-3/include/CGAL/CORE/poly/Curves.tcc 5.0.3-1/include/CGAL/CORE/poly/Curves.tcc
--- 5.0.2-3/include/CGAL/CORE/poly/Curves.tcc	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/poly/Curves.tcc	2020-08-01 19:00:32.000000000 +0000
@@ -7,11 +7,11 @@
  *
  *  File: Curves.tcc
  *
- *  Description: 
- *  	This file contains the implementations of
- *		functions defined by Curves.h
- *	It is included through Curves.h
- *  	Please see Curves.h for more details.
+ *  Description:
+ *          This file contains the implementations of
+ *                functions defined by Curves.h
+ *        It is included through Curves.h
+ *          Please see Curves.h for more details.
  *
  *  Author:  Vikram Sharma and Chee Yap
  *  Date:    April 12, 2004
@@ -35,7 +35,7 @@ template <class NT>
 BiPoly<NT>::BiPoly(){ // zero polynomial
     ydeg = -1;
   }
-  
+
   //BiPoly(n)
 
 template <class NT>
@@ -53,23 +53,23 @@ BiPoly<NT>::BiPoly(int n){// creates a B
     if (n<0) return; // coeffX not needed
     for(int i=0; i<= ydeg; i++){
       Polynomial<NT> temp;
-      coeffX.push_back(temp);      
+      coeffX.push_back(temp);
     }
   }
 
   //BiPoly(vp)
 template <class NT>
-BiPoly<NT>::BiPoly(std::vector<Polynomial<NT> > vp){ 
+BiPoly<NT>::BiPoly(std::vector<Polynomial<NT> > vp){
     // From vector of Polynomials
     ydeg = vp.size() - 1;
     if(ydeg >=0){
       coeffX = vp;
     }
   }
-  
+
   //BiPoly(p, flag):
-  //	if true, it converts polynomial p(X) into P(Y)
-  // 	if false, it creates the polynomial Y-p(X)
+  //        if true, it converts polynomial p(X) into P(Y)
+  //         if false, it creates the polynomial Y-p(X)
 
 template <class NT>
 BiPoly<NT>::BiPoly(Polynomial<NT> p, bool flag){
@@ -77,9 +77,9 @@ BiPoly<NT>::BiPoly(Polynomial<NT> p, boo
       ydeg = p.getTrueDegree();
       if(ydeg >=0){
         for(int i=0; i<=ydeg; i++){
-	  Polynomial<NT> temp(0);
-	  temp.setCoeff(0, p.getCoeffi(i));
-	  coeffX.push_back(temp);	// does STL make a copy of temp?
+          Polynomial<NT> temp(0);
+          temp.setCoeff(0, p.getCoeffi(i));
+          coeffX.push_back(temp);        // does STL make a copy of temp?
         }//for
       }//if
     } else {
@@ -91,8 +91,8 @@ BiPoly<NT>::BiPoly(Polynomial<NT> p, boo
 
 
   //BiPoly(deg, d[], C[]):
-  //	Takes in a list of list of coefficients.
-  //	Each cofficient list represents a polynomial in X
+  //        Takes in a list of list of coefficients.
+  //        Each cofficient list represents a polynomial in X
   //
   //  deg - ydeg of the bipoly
   //  d[] - array containing the degrees of each coefficient (i.e., X poly)
@@ -112,9 +112,9 @@ BiPoly<NT>::BiPoly(int deg, int *d, NT *
 
     for(int i=0; i<= deg; i++){
       for(int j=0; j <=d[i]; j++)
-	c[j] = C[i+j];
+        c[j] = C[i+j];
       temp = Polynomial<NT>(d[i],c);
-      coeffX.push_back(temp);      
+      coeffX.push_back(temp);
     }
     delete[] c;
   }//BiPoly(deg,d[],C[])
@@ -128,13 +128,13 @@ BiPoly<NT>::BiPoly(int deg, int *d, NT *
 //Unary minus is treated as a basic term
 template <class NT>
 BiPoly<NT>::BiPoly(const char * s, char myX, char myY){
-	string ss(s);
-	constructFromString(ss, myX, myY);
+        string ss(s);
+        constructFromString(ss, myX, myY);
 }
 template <class NT>
 BiPoly<NT>::BiPoly(const string & s, char myX, char myY){
-	string ss(s);
-	constructFromString(ss, myX, myY);
+        string ss(s);
+        constructFromString(ss, myX, myY);
 }
 template <class NT>
 void BiPoly<NT>::constructFromString(string & s, char myX, char myY){
@@ -186,7 +186,7 @@ void BiPoly<NT>::constructX(int n, BiPol
   CGAL_assertion(n>= -1);
   P.deleteCoeffX();//Clear the present coeffecients
   Polynomial<NT> q(n);//Nominal degree n
-  q.setCoeff(n,NT(1)); 
+  q.setCoeff(n,NT(1));
   if (n>0) q.setCoeff(0,NT(0));
   P.coeffX.push_back(q);
   P.ydeg = 0;
@@ -206,7 +206,7 @@ void BiPoly<NT>::constructY(int n, BiPol
 //Returns in P the coeffecient starting from start
 template <class NT>
 int BiPoly<NT>::getnumber(const char* c, int start, unsigned int len,
-			  BiPoly<NT> & P){
+                          BiPoly<NT> & P){
   int j=0;
   char *temp = new char[len];
   while(isint(c[j+start])){
@@ -237,7 +237,7 @@ bool BiPoly<NT>::isint(char c){
 //Returns as integer the number starting from start in c
 template <class NT>
 int BiPoly<NT>::getint(const char* c, int start, unsigned int len,
-			  int & n){
+                          int & n){
   int j=0;
   char *temp = new char[len];
   while(isint(c[j+start])){
@@ -257,7 +257,7 @@ template <class NT>
 int BiPoly<NT>::matchparen(const char* cstr, int start){
   int count = 0;
   int j=start;
-  
+
   do{
     if(cstr[j] == '('){
       count++;
@@ -265,9 +265,9 @@ int BiPoly<NT>::matchparen(const char* c
     if(cstr[j] == ')'){
       count--;
     }
-    j++;      
+    j++;
   }while(count != 0 );//j is one more than the matching ')'
-  
+
   return j-1;
 }
 
@@ -394,12 +394,12 @@ BiPoly<NT> BiPoly<NT>::getbipoly(string
       oind = ind;
       ind = oind + 2 + getterm(t, R);
       if(cstr[oind + 1] == '+')
-	P += R;
+        P += R;
       else if(cstr[oind + 1] == '-')
-	P -= R;
+        P -= R;
       else{
 #ifdef CGAL_CORE_TRACE
-	std::cout << "ERROR IN PARSING BIPOLY! " << std::endl;
+        std::cout << "ERROR IN PARSING BIPOLY! " << std::endl;
 #endif
       }
     }
@@ -410,11 +410,11 @@ BiPoly<NT> BiPoly<NT>::getbipoly(string
   ////////////////////////////////////////////////////////
   // METHODS
   ////////////////////////////////////////////////////////
-  
+
   // filedump (msg, ofs, com, com2)
-  // 	where msg and com are strings.
-  // 	msg is an message and com is the character preceding each line
-  // 	(e.g., msg=""  and com=com2="# ")
+  //         where msg and com are strings.
+  //         msg is an message and com is the character preceding each line
+  //         (e.g., msg=""  and com=com2="# ")
   // This is called by the other dump functions
 template <class NT>
 void BiPoly<NT>::dump(std::ostream & os, std::string msg,
@@ -429,12 +429,12 @@ void BiPoly<NT>::dump(std::ostream & os,
     os << com;
     for (int i=0; i <= ydeg; i++){
       if (!zeroP(coeffX[i])){
-	if (i % 3 == 0) os << std::endl << com2 ;  // output 3 coefficients per line
-	if (first) first = false;
-	else os << " + ";
-	os << "[";
-	coeffX[i].filedump(os,"","",com2); // Note: first comment string is ""
-	os << "]";
+        if (i % 3 == 0) os << std::endl << com2 ;  // output 3 coefficients per line
+        if (first) first = false;
+        else os << " + ";
+        os << "[";
+        coeffX[i].filedump(os,"","",com2); // Note: first comment string is ""
+        os << "]";
         if (i > 0) os <<" * y^"<< i ;
       }
     }
@@ -469,11 +469,11 @@ void BiPoly<NT>::dump(std::string msg, s
     }
     return Polynomial<Expr>(vE);
   }//yPolynomial
-    
+
     But this has many problems.
     Solution below is to have special yExprPolynomial(x).
     *********************************************************** */
-  
+
 template <class NT>
 Polynomial<NT> BiPoly<NT>::yPolynomial(const NT & x) {
     NT coeffVec[ydeg+1];
@@ -481,7 +481,7 @@ Polynomial<NT> BiPoly<NT>::yPolynomial(c
     for(int i=ydeg; i >= 0 ; i--){
       coeffVec[i] = coeffX[i].eval(x);
       if ((d < 0) && (coeffVec[i] != 0))
-	      d = i;
+              d = i;
     }
     return Polynomial<NT>(d, coeffVec);
   }
@@ -494,7 +494,7 @@ template <class NT>
     for(int i=ydeg; i >= 0 ; i--){
       coeffVec[i] = coeffX[i].eval(x);
       if ((d < 0) && (coeffVec[i] != 0))
-	      d = i;
+              d = i;
     }
     return Polynomial<Expr>(d, coeffVec);
   }
@@ -508,16 +508,16 @@ template <class NT>
     for(int i=ydeg; i >= 0 ; i--){
       coeffVec[i] = coeffX[i].eval(x);
       if ((d < 0) && (coeffVec[i] != 0))
-	      d = i;
+              d = i;
     }
     return Polynomial<BigFloat>(d, coeffVec);
   }
 
-  // xPolynomial(y) 
+  // xPolynomial(y)
   //   returns the polynomial (in X) when we substitute Y=y
-  //   
+  //
   //   N.B. May need the
-  //   		Polynomial<Expr> xExprPolynomial(Expr y)
+  //                   Polynomial<Expr> xExprPolynomial(Expr y)
   //   version too...
   //
 
@@ -531,14 +531,14 @@ Polynomial<NT> BiPoly<NT>::xPolynomial(c
     }
     return res;
   }//xPolynomial
-  
+
 
   // getYdegree()
 template <class NT>
 int BiPoly<NT>::getYdegree() const {
     return ydeg;
   }
-  
+
   // getXdegree()
 template <class NT>
 int BiPoly<NT>::getXdegree(){
@@ -554,9 +554,9 @@ int BiPoly<NT>::getTrueYdegree(){
     for (int i=ydeg; i>=0; i--){
       coeffX[i].contract();
       if (!zeroP(coeffX[i]))
-	return i;
+        return i;
     }
-    return -1;	// Zero polynomial
+    return -1;        // Zero polynomial
   }//getTrueYdegree
 
 
@@ -574,26 +574,26 @@ Expr BiPoly<NT>::eval(Expr x, Expr y){//
   ////////////////////////////////////////////////////////
   // Polynomial arithmetic (these are all self-modifying)
   ////////////////////////////////////////////////////////
-  
+
   // Expands the nominal y-degree to n;
-  //	Returns n if nominal y-degree is changed to n
-  //	Else returns -2
+  //        Returns n if nominal y-degree is changed to n
+  //        Else returns -2
 
 template <class NT>
 int BiPoly<NT>::expand(int n) {
     if ((n <= ydeg)||(n < 0))
       return -2;
-    
+
     for(int i=ydeg+1; i <=n ;i++)
       coeffX.push_back(Polynomial<NT>::polyZero());
-    
+
     ydeg = n;
     return n;
   }//expand
 
   // contract() gets rid of leading zero polynomials
-  //	and returns the new (true) y-degree;
-  //	It returns -2 if this is a no-op
+  //        and returns the new (true) y-degree;
+  //        It returns -2 if this is a no-op
 
 template <class NT>
 int BiPoly<NT>::contract() {
@@ -602,7 +602,7 @@ int BiPoly<NT>::contract() {
       return (-2);  // nothing to do
     else{
       for (int i = ydeg; i> d; i--)
-	coeffX.pop_back();
+        coeffX.pop_back();
       ydeg = d;
     }
     return d;
@@ -612,7 +612,7 @@ int BiPoly<NT>::contract() {
 template <class NT>
 BiPoly<NT> & BiPoly<NT>::operator=( const BiPoly<NT>& P) {
   if (this == &P)
-    return *this;	// self-assignment
+    return *this;        // self-assignment
   ydeg = P.getYdegree();
   coeffX = P.coeffX;
   return *this;
@@ -631,7 +631,7 @@ BiPoly<NT> & BiPoly<NT>::operator+=( BiP
 
   return *this;
   }//operator+=
-   
+
   // Self-subtraction
 template <class NT>
 BiPoly<NT> & BiPoly<NT>::operator-=( BiPoly<NT>& P) { // -=
@@ -654,11 +654,11 @@ BiPoly<NT> & BiPoly<NT>::operator*=( BiP
     Polynomial<NT>* c = new Polynomial<NT> [d + 1];
     for(int i=0; i <=d; i++)
       c[i] = Polynomial<NT>();
-    
+
     for (int i = 0; i<=P.getYdegree(); i++)
       for (int j = 0; j<=ydeg; j++) {
-	if(!zeroP(P.coeffX[i]) && !zeroP(coeffX[j]))
-	  c[i+j] += P.coeffX[i] * coeffX[j];
+        if(!zeroP(P.coeffX[i]) && !zeroP(coeffX[j]))
+          c[i+j] += P.coeffX[i] * coeffX[j];
       }
 
     for(int i=0; i <= d; i++)
@@ -670,7 +670,7 @@ BiPoly<NT> & BiPoly<NT>::operator*=( BiP
     ydeg = d;
     return *this;
   }//operator*=
-  
+
   // Multiply by a polynomial in X
 template <class NT>
 BiPoly<NT> & BiPoly<NT>::mulXpoly( Polynomial<NT> & p) {
@@ -724,7 +724,7 @@ BiPoly<NT> & BiPoly<NT>::mulYpower(int s
   }//mulYpower
 
 
-  
+
   // Divide by a polynomial in X.
   // We replace the coeffX[i] by the pseudoQuotient(coeffX[i], P)
 template <class NT>
@@ -740,9 +740,9 @@ BiPoly<NT> & BiPoly<NT>::divXpoly( Polyn
   }// divXpoly
 
 
-  
+
   //Using the standard definition of pseudRemainder operation.
-  //	--No optimization!
+  //        --No optimization!
 template <class NT>
 BiPoly<NT> BiPoly<NT>::pseudoRemainderY (BiPoly<NT> & Q){
     contract();
@@ -777,13 +777,13 @@ BiPoly<NT> BiPoly<NT>::pseudoRemainderY
 
 
     return BiPoly<NT>(vP);
-    
+
   }//pseudoRemainder
 
   //Partial Differentiation
   //Partial Differentiation wrt Y
 template <class NT>
-BiPoly<NT> & BiPoly<NT>::differentiateY() {	
+BiPoly<NT> & BiPoly<NT>::differentiateY() {
   if (ydeg >= 0) {
     for (int i=1; i<=ydeg; i++)
       coeffX[i-1] = coeffX[i].mulScalar(i);
@@ -793,11 +793,11 @@ BiPoly<NT> & BiPoly<NT>::differentiateY(
   }// differentiation wrt Y
 
 template <class NT>
-BiPoly<NT> & BiPoly<NT>::differentiateX() {	
+BiPoly<NT> & BiPoly<NT>::differentiateX() {
     if (ydeg >= 0)
       for (int i=0; i<=ydeg; i++)
-	coeffX[i].differentiate();
-    
+        coeffX[i].differentiate();
+
     return *this;
   }// differentiation wrt X
 
@@ -808,7 +808,7 @@ BiPoly<NT> & BiPoly<NT>::differentiateXY
       (*this).differentiateX();
     for(int i=1; i <=n; i++)
       (*this).differentiateY();
-    
+
     return *this;
   }
 
@@ -830,13 +830,13 @@ BiPoly<NT> & BiPoly<NT>::convertXpoly(){
 
     for(int i=0; i<=xdeg; i++){
       for(int j=0; j<=ydeg; j++){
-	cs[j] = coeffX[j].getCoeffi(i);
+        cs[j] = coeffX[j].getCoeffi(i);
       }
-      
+
       vP.push_back(Polynomial<NT>(ydeg, cs));
     }
     delete[] cs;
-      
+
     ydeg = xdeg;
     coeffX = vP;
     return (*this);
@@ -850,7 +850,7 @@ bool BiPoly<NT>::setCoeff(int i, Polynom
     coeffX[i] = p;
     return true;
   }
-  
+
 template <class NT>
 void BiPoly<NT>::reverse() {
     Polynomial<NT> tmp;
@@ -875,7 +875,7 @@ Polynomial<NT>  BiPoly<NT>::replaceYwith
 
     return Polynomial<NT>(m,cs);
   }//replaceYwithX
-  
+
 template <class NT>
 BiPoly<NT>&  BiPoly<NT>::pow(unsigned int n){
 
@@ -897,8 +897,8 @@ BiPoly<NT>&  BiPoly<NT>::pow(unsigned in
     while (true) {
       n >>= 1;
       if (n == 0){
-	(*this) = u;
-	return (*this);
+        (*this) = u;
+        return (*this);
       }
       x *= x;
       if ((n % 2) == 1) // n is odd
@@ -916,7 +916,7 @@ BiPoly<NT>&  BiPoly<NT>::pow(unsigned in
   ////////////////////////////////////////////////////////
 
 // isZeroPinY(P)
-//	checks whether a Bi-polynomial is a zero Polynomial
+//        checks whether a Bi-polynomial is a zero Polynomial
 template <class NT>
 bool isZeroPinY(BiPoly<NT> & P){
     if(P.getTrueYdegree() == -1)
@@ -926,7 +926,7 @@ bool isZeroPinY(BiPoly<NT> & P){
 
 // gcd(P,Q)
 //   This gcd is based upon the subresultant PRS to avoid
-//   exponential coeffecient growth and gcd computations, both of which 
+//   exponential coeffecient growth and gcd computations, both of which
 //   are expensive since the coefficients are polynomials
 
 template <class NT>
@@ -955,7 +955,7 @@ BiPoly<NT> gcd( BiPoly<NT>& P ,BiPoly<NT
       return BiPoly<NT>(vP);//Had to do this for the type of
                             //return value
       }
-    
+
     int delta = m - n;
     Polynomial<NT> a(Q.coeffX[n]);
     std::vector<NT> vN;
@@ -1001,7 +1001,7 @@ Polynomial<NT>  resY( BiPoly<NT>& P ,BiP
   Polynomial<NT> b(Q.coeffX[n]);
   Polynomial<NT> lc(P.coeffX[m]), C, temp;
   BiPoly<NT> r;
-  
+
   r = P.pseudoRemainderY(Q);
   C = b * r.coeffX[r.getTrueYdegree()];
   C = C.pseudoRemainder(lc);
@@ -1023,9 +1023,9 @@ Polynomial<NT>  resY( BiPoly<NT>& P ,BiP
 // resX(P,Q):
 //      Resultant of Bi-Polys P and Q w.r.t. X.
 //      So the resultant is a polynomial in Y
-//	We first convert P, Q to polynomials in X. Then 
-// 	call resY and then turns it back into a polynomial in Y
-//	QUESTION: is this last switch really necessary???
+//        We first convert P, Q to polynomials in X. Then
+//         call resY and then turns it back into a polynomial in Y
+//        QUESTION: is this last switch really necessary???
 template <class NT>
 BiPoly<NT>  resX( BiPoly<NT>& P ,BiPoly<NT>& Q){
   P.convertXpoly();
@@ -1039,7 +1039,7 @@ BiPoly<NT>  resX( BiPoly<NT>& P ,BiPoly<
 
 //Equality operator for BiPoly
 template <class NT>
-bool operator==(const BiPoly<NT>& P, const BiPoly<NT>& Q) {	// ==
+bool operator==(const BiPoly<NT>& P, const BiPoly<NT>& Q) {        // ==
   BiPoly<NT> P1(P);
   BiPoly<NT> Q1(Q);
   P1.contract();
@@ -1049,7 +1049,7 @@ bool operator==(const BiPoly<NT>& P, con
   else{
     for(int i=0; i <= P1.getYdegree() ; i++){
       if(P1.coeffX[i] != Q1.coeffX[i])
-	return false;
+        return false;
     }
   }
   return true;
@@ -1075,33 +1075,33 @@ BiPoly<NT> operator*(const  BiPoly<NT>&
 
   ////////////////////////////////////////////////////////
   //Curve Class
-  //  	extends BiPoly Class
+  //          extends BiPoly Class
   ////////////////////////////////////////////////////////
 
 template < class NT >
 Curve<NT>::Curve(){} // zero polynomial
-  
+
   //Curve(vp):
   //    construct from a vector of polynomials
 template < class NT >
 Curve<NT>::Curve(std::vector<Polynomial<NT> > vp)
-	  : BiPoly<NT>(vp){
+          : BiPoly<NT>(vp){
   }
-  
+
   //Curve(p):
-  //	Converts a polynomial p(X) to a BiPoly in one of two ways:
-  // 	    (1) if flag is false, the result is Y-p(X) 
-  // 	    (2) if flag is true, the result is p(Y) 
+  //        Converts a polynomial p(X) to a BiPoly in one of two ways:
+  //             (1) if flag is false, the result is Y-p(X)
+  //             (2) if flag is true, the result is p(Y)
   //    The default is (1) because we usually want to plot the
   //        graph of the polynomial p(X)
 template < class NT >
 Curve<NT>::Curve(Polynomial<NT> p, bool flag)
-	  : BiPoly<NT>(p, flag){
+          : BiPoly<NT>(p, flag){
   }
 
   //Curve(deg, d[], C[]):
-  //	Takes in a list of list of coefficients.
-  //	Each cofficient list represents a polynomial in X
+  //        Takes in a list of list of coefficients.
+  //        Each cofficient list represents a polynomial in X
   //
   //  deg - ydeg of the bipoly
   //  d[] - array containing the degrees of each coefficient (i.e., X poly)
@@ -1109,28 +1109,28 @@ Curve<NT>::Curve(Polynomial<NT> p, bool
   //      coefficients
 template < class NT >
 Curve<NT>::Curve(int deg, int *d, NT *C)
-	  : BiPoly<NT>(deg, d, C){
+          : BiPoly<NT>(deg, d, C){
   }
 
 template < class NT >
 Curve<NT>::Curve(const BiPoly<NT> &P)
-	  : BiPoly<NT>(P){
+          : BiPoly<NT>(P){
   }
 
   //Curve(n)
 template < class NT >
 Curve<NT>::Curve(int n)
-	  : BiPoly<NT>(n){// creates a Curve with nominal y-degree equal to n
+          : BiPoly<NT>(n){// creates a Curve with nominal y-degree equal to n
   }
 
   //Creates a curve from a string (no parentheses, no *)
 template < class NT >
 Curve<NT>::Curve(const string & s, char myX, char myY)
-	  : BiPoly<NT>(s, myX, myY){
+          : BiPoly<NT>(s, myX, myY){
   }
 template < class NT >
 Curve<NT>::Curve(const char * s, char myX, char myY)
-	  : BiPoly<NT>(s, myX, myY){
+          : BiPoly<NT>(s, myX, myY){
   }
 
 
@@ -1140,19 +1140,19 @@ Curve<NT>::Curve(const char * s, char my
   //    lies on the curve.
   //    If aprec is non-zero (!), the intervals have with < 2^{-aprec}.
   //    Return is -2 if curve equation does not depend on Y
-  //    	-1 if infinitely roots at x,
-  //    	0 if no roots at x
-  //    	1 otherwise
+  //            -1 if infinitely roots at x,
+  //            0 if no roots at x
+  //            1 otherwise
   //
   //    ASSERTION: x is an exact BigFloat
 
 template < class NT >
 int Curve<NT>::verticalIntersections(const BigFloat & x, BFVecInterval & vI,
-	int aprec) {
+        int aprec) {
     int d= Curve<NT>::getTrueYdegree();
     if(d <= 0) return(-2);
-    	   // This returns a NULL vI, which should be caught by caller
-	
+               // This returns a NULL vI, which should be caught by caller
+
     Polynomial<Expr> PY = this->yExprPolynomial(x); // should be replaced
     // CGAL_assertion(x.isExact());
     // Polynomial<BigFloat> PY = yBFPolynomial(x); // unstable still
@@ -1166,18 +1166,18 @@ int Curve<NT>::verticalIntersections(con
 
     int s = vI.size();
     if ((aprec != 0) && (s>0))
-	Ss.newtonRefineAllRoots(vI, aprec);
-    
+        Ss.newtonRefineAllRoots(vI, aprec);
+
     return s;
   }
-  
+
   // plot(eps, x1, y1, x2, y2)
   //
-  // 	All parameters have defaults
+  //         All parameters have defaults
   //
   //    Gives the points on the curve at resolution "eps".  Currently,
   //    eps is viewed as delta-x step size (but it could change).
-  //    The display is done in the rectangale 
+  //    The display is done in the rectangale
   //    defined by [(x1, y1), (x2, y2)].
   //    The output is written into a file in the format specified
   //    by our drawcurve function (see COREPATH/ext/graphics).
@@ -1197,7 +1197,7 @@ int Curve<NT>::verticalIntersections(con
   //
 template < class NT >
 int Curve<NT>::plot( BigFloat eps, BigFloat x1,
-	BigFloat y1, BigFloat x2, BigFloat y2, int fileNo){
+        BigFloat y1, BigFloat x2, BigFloat y2, int fileNo){
 
   const char* filename[] = {"data/input", "data/plot", "data/plot2"};
 
@@ -1251,12 +1251,12 @@ cout <<"Number of roots at " << xCurr <<
 
   if (numRoots == 0 && x2 <= xCurr) {//if numRoots > 0 then there exists a
                                      //valid point for plotting
-	  return -1; // nothing to plot!
+          return -1; // nothing to plot!
   }
 
   int limit = ((x2 - xCurr + eps)/eps).intValue()+1;
   //std::cout << "Limit = " << limit << std::endl;
-  machine_double plotCurves[this->getTrueYdegree()][limit];//plot buffer 
+  machine_double plotCurves[this->getTrueYdegree()][limit];//plot buffer
   machine_double yval;
 
   for (unsigned int i=0; i< numRoots; i++) {
@@ -1272,10 +1272,10 @@ cout <<"Number of roots at " << xCurr <<
 
   //===================================================================
   // Get all the curves in a main loop
-  // 	-- dump the curves when an x-interval is discovered
-  // 	We define an "x-interval" to be a maximal interval
-  // 	where the number of curves is constant (this is a heuristic!)
-  // 	Note that this includes the special case where number is 0.
+  //         -- dump the curves when an x-interval is discovered
+  //         We define an "x-interval" to be a maximal interval
+  //         where the number of curves is constant (this is a heuristic!)
+  //         Note that this includes the special case where number is 0.
   //===================================================================
 
   BigFloat tmp; // used to step from xLast to xCurr in loops
@@ -1284,47 +1284,47 @@ cout <<"Number of roots at " << xCurr <<
     //std::cout << "Doing verticalintersec at " << xCurr << std::endl;
     verticalIntersections(xCurr, vI, aprec);
     if (vI.size() != numRoots) { // an x-interval discovered!
-	// write previous x-interval to output file
+        // write previous x-interval to output file
         outFile << "########################################\n";
         outFile << "# New x-interval with " << numRoots << " roots\n";
-	for (unsigned int i=0; i< numRoots; i++) {
+        for (unsigned int i=0; i< numRoots; i++) {
           outFile << "#=======================================\n";
           outFile << "# Curve No. " << i+1 << std::endl;
-	  outFile << "o " << numPoints << std::endl;
-	  outFile << red_comp(i) << "\t"
-		  << green_comp(i)  << "\t"
-		  << blue_comp(i) << std::endl;
-	  tmp = xLast;
-	  for (unsigned int j=0; j< numPoints; j++) {
-
-		  outFile << tmp << "	\t\t"
-			  << plotCurves[i][j] << "\n";
-		  tmp += eps;
-	  }//for j
-	}//for i
-	numPoints = 0;          // reset
-	numRoots = vI.size();   // reset
-	xLast = xCurr;		// reset
+          outFile << "o " << numPoints << std::endl;
+          outFile << red_comp(i) << "\t"
+                  << green_comp(i)  << "\t"
+                  << blue_comp(i) << std::endl;
+          tmp = xLast;
+          for (unsigned int j=0; j< numPoints; j++) {
+
+                  outFile << tmp << "        \t\t"
+                          << plotCurves[i][j] << "\n";
+                  tmp += eps;
+          }//for j
+        }//for i
+        numPoints = 0;          // reset
+        numRoots = vI.size();   // reset
+        xLast = xCurr;                // reset
     }//if vI.size() !=
     if (numRoots>0){ // record curr. vertical intersections if numRoots>0
       for (unsigned int i=0; i< numRoots; i++) {
          yval = (vI[i].first + vI[i].second).doubleValue()/2;
-	 // HERE SHOULD BE A LOOP TO OUTPUT MORE POINTS IN CASE THE slope IS LARGE
-	 // Idea: let previous value of yval be yval-old.  
-	 //
-	 // Two cases:
-	 // (1) When i=0:
-	 // 	you need to search backwards and forwards
-	 // 	(yval-old is not defined in this case)
-	 //
-	 // (2) When i>0:
-	 // 	If  |yval-old - yval| > 2eps, we must plot using horizontalIntersection()
-	 // 	We must start from
-	 // 		y = yval-old until
-	 // 			EITHER (y = (vI[i+1].first + vI[i+1].second)/2)
-	 // 			OR (sign of slope changes)
-	 // 			OR (hit the ymax or ymin boundary)
-	 //
+         // HERE SHOULD BE A LOOP TO OUTPUT MORE POINTS IN CASE THE slope IS LARGE
+         // Idea: let previous value of yval be yval-old.
+         //
+         // Two cases:
+         // (1) When i=0:
+         //         you need to search backwards and forwards
+         //         (yval-old is not defined in this case)
+         //
+         // (2) When i>0:
+         //         If  |yval-old - yval| > 2eps, we must plot using horizontalIntersection()
+         //         We must start from
+         //                 y = yval-old until
+         //                         EITHER (y = (vI[i+1].first + vI[i+1].second)/2)
+         //                         OR (sign of slope changes)
+         //                         OR (hit the ymax or ymin boundary)
+         //
          if (yval < y1) plotCurves[i][numPoints] = y1.doubleValue();
          else if (yval > y2) plotCurves[i][numPoints] = y2.doubleValue();
          else plotCurves[i][numPoints] = yval;
@@ -1341,25 +1341,25 @@ cout <<"Number of roots at " << xCurr <<
    }//main while loop
 
    // Need to flush out the final x-interval:
-   if ((numRoots>0) && (numPoints >0)) { 
-	// write to output file
+   if ((numRoots>0) && (numPoints >0)) {
+        // write to output file
         outFile << "########################################\n";
         outFile << "# New x-interval with " << numRoots << " roots\n";
-	for (unsigned int i=0; i< numRoots; i++) {
+        for (unsigned int i=0; i< numRoots; i++) {
           outFile << "#=======================================\n";
           outFile << "# Curve No. " << i+1 << std::endl;
-	  outFile << "o " << numPoints << std::endl;
-	  outFile << red_comp(i) << "\t"
-		  << green_comp(i)  << "\t"
-		  << blue_comp(i) << std::endl;
-	  tmp = xLast;
-	  for (unsigned int j=0; j< numPoints; j++) {
-
-		  outFile << tmp << "	\t\t"
-			  << plotCurves[i][j] << "\n";
-		  tmp += eps;
-	  }//for j
-	}//for i
+          outFile << "o " << numPoints << std::endl;
+          outFile << red_comp(i) << "\t"
+                  << green_comp(i)  << "\t"
+                  << blue_comp(i) << std::endl;
+          tmp = xLast;
+          for (unsigned int j=0; j< numPoints; j++) {
+
+                  outFile << tmp << "        \t\t"
+                          << plotCurves[i][j] << "\n";
+                  tmp += eps;
+          }//for j
+        }//for i
     }//if
 
     // Put out the final frame (this hides the artificial cut-off of curves
@@ -1403,7 +1403,7 @@ void  Xintersections( Curve<NT>& P ,Curv
 }
 
 //Yintersections(C, D, vI):
-//	similar to Xintersections
+//        similar to Xintersections
 template <class NT>
 void  Yintersections( Curve<NT>& P ,Curve<NT>& Q, BFVecInterval &vI){
   Sturm<NT> Ss(resX(P, Q));
@@ -1411,13 +1411,13 @@ void  Yintersections( Curve<NT>& P ,Curv
 }
 
 // Display Intervals
-// 
+//
 template <class NT>//DO I NEED THIS OVERHERE AS WELL?
 void showIntervals(char* s, BFVecInterval &vI) {
    std::cout << s;
    for (unsigned int i=0; i< vI.size(); i++) {
-   	std::cout << "[ " << vI[i].first << ", " 
-   		<< vI[i].second << " ],  " ;
+           std::cout << "[ " << vI[i].first << ", "
+                   << vI[i].second << " ],  " ;
    }
    std::cout << std::endl;
 }
diff -pruN 5.0.2-3/include/CGAL/CORE/poly/Poly.h 5.0.3-1/include/CGAL/CORE/poly/Poly.h
--- 5.0.2-3/include/CGAL/CORE/poly/Poly.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/poly/Poly.h	2020-08-01 19:02:16.000000000 +0000
@@ -6,41 +6,41 @@
  * This file is part of CGAL (www.cgal.org).
  *
  * File: Poly.h
- *  
+ *
  * Description: simple polynomial class
- * 
- *	REPRESENTATION:
- *	--Each polynomial has a nominal "degree" (this
- *		is an upper bound on the true degree, which
- *		is determined by the first non-zero coefficient).
- *	--coefficients are parametrized by some number type "NT".
- *	--coefficients are stored in the "coeff" array of
- *		length "degree + 1".  
- *		CONVENTION: coeff[i] is the coefficient of X^i.  So, a
- *			    coefficient list begins with the constant term.
- *	--IMPORTANT CONVENTION:
- *		the zero polynomial has degree -1
- *		while nonzero constant polynomials have degree 0.
- * 
- *	FUNCTIONALITY:
- *	--Polynomial Ring Operations (+,-,*)
- *	--Power
- *	--Evaluation
- *	--Differentiation
- *	--Remainder, Quotient 
+ *
+ *        REPRESENTATION:
+ *        --Each polynomial has a nominal "degree" (this
+ *                is an upper bound on the true degree, which
+ *                is determined by the first non-zero coefficient).
+ *        --coefficients are parametrized by some number type "NT".
+ *        --coefficients are stored in the "coeff" array of
+ *                length "degree + 1".
+ *                CONVENTION: coeff[i] is the coefficient of X^i.  So, a
+ *                            coefficient list begins with the constant term.
+ *        --IMPORTANT CONVENTION:
+ *                the zero polynomial has degree -1
+ *                while nonzero constant polynomials have degree 0.
+ *
+ *        FUNCTIONALITY:
+ *        --Polynomial Ring Operations (+,-,*)
+ *        --Power
+ *        --Evaluation
+ *        --Differentiation
+ *        --Remainder, Quotient
  *      --GCD
- *	--Resultant, Discriminant (planned)
- *	--Polynomial Composition (planned)
- *	--file I/O (planned)
- *	
- * Author: Chee Yap 
+ *        --Resultant, Discriminant (planned)
+ *        --Polynomial Composition (planned)
+ *        --file I/O (planned)
+ *
+ * Author: Chee Yap
  * Date:   May 28, 2002
  *
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/poly/Poly.h $
- * $Id: Poly.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/poly/Poly.h $
+ * $Id: Poly.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -53,19 +53,19 @@
 #include <CGAL/assertions.h>
 #include <CGAL/tss.h>
 
-namespace CORE { 
+namespace CORE {
 class Expr;
 // ==================================================
 // Typedefs
 // ==================================================
 
-//typedef std::vector<Expr>	VecExpr;
-//typedef std::pair<Expr, Expr>	Interval;
-//typedef std::vector<Interval>	VecInterval;
-typedef std::pair<BigFloat, BigFloat>	BFInterval;
+//typedef std::vector<Expr>        VecExpr;
+//typedef std::pair<Expr, Expr>        Interval;
+//typedef std::vector<Interval>        VecInterval;
+typedef std::pair<BigFloat, BigFloat>        BFInterval;
 // NOTE: an error condition is indicated by
 // the special interval (1, 0)
-typedef std::vector<BFInterval>	BFVecInterval;
+typedef std::vector<BFInterval>        BFVecInterval;
 
 
 // ==================================================
@@ -82,10 +82,10 @@ public:
   typedef std::vector<NT> VecNT;
   typedef NT coeffType;
 
-  int degree;	// This is the nominal degree (an upper bound
+  int degree;        // This is the nominal degree (an upper bound
   // on the true degree)
-  NT * coeff;	// coeff is an array of size degree+1;
-  //	This remark holds even when degree = -1.
+  NT * coeff;        // coeff is an array of size degree+1;
+  //        This remark holds even when degree = -1.
   // Notes:
   // (1) coeff[i] is the coefficient of x^i
   // (2) The Zero Polynomial has degree -1
@@ -93,14 +93,14 @@ public:
 
   // STATIC MEMBERS
   // static NT ccc_; // THIS IS A TEMPORARY HACK
-  static const int COEFF_PER_LINE = 4;		// pretty print parameters
-  static const char INDENT_SPACE[];  		// pretty print parameters
+  static const int COEFF_PER_LINE = 4;                // pretty print parameters
+  static const char INDENT_SPACE[];                  // pretty print parameters
   static const Polynomial<NT> & polyZero();
   static const Polynomial<NT> & polyUnity();
 
   // Constructors:
-  Polynomial(void);	// the Zero Polynomial
-  Polynomial(int n);	// construct the Unit Polynomial of nominal deg n>=0
+  Polynomial(void);        // the Zero Polynomial
+  Polynomial(int n);        // construct the Unit Polynomial of nominal deg n>=0
   Polynomial(int n, const NT * coef);
   Polynomial(const Polynomial &);
   Polynomial(const VecNT &);
@@ -130,27 +130,27 @@ public:
 
   // Expand and Contract
   //  -- they are semi-inverses: i.e., Contract(expand(p))=p
-  int expand(int n);	// Change the current degree to n
+  int expand(int n);        // Change the current degree to n
   // Helper function for polynomial arithmetic
-  int contract();	// get rid of leading zeros
+  int contract();        // get rid of leading zeros
 
   // Polynomial arithmetic (these are all self-modifying):
-  Polynomial & operator+=(const Polynomial&);	// +=
-  Polynomial & operator-=(const Polynomial&);	// -=
-  Polynomial & operator*=(const Polynomial&);	// *=
-  Polynomial & operator-();			// unary minus
-  Polynomial & power (unsigned int n) ;		// power (*this is changed!)
+  Polynomial & operator+=(const Polynomial&);        // +=
+  Polynomial & operator-=(const Polynomial&);        // -=
+  Polynomial & operator*=(const Polynomial&);        // *=
+  Polynomial & operator-();                        // unary minus
+  Polynomial & power (unsigned int n) ;                // power (*this is changed!)
 
-  Polynomial & mulScalar (const NT & c);	// return (*this) * (c)
+  Polynomial & mulScalar (const NT & c);        // return (*this) * (c)
   Polynomial & mulXpower(int i); // If i >= 0, then this is equivalent
                                  // to multiplying by X^i.
                                  // If i < 0 to dividing by X^i
   Polynomial pseudoRemainder (const Polynomial& B, NT& C); // C = return value
   Polynomial pseudoRemainder (const Polynomial& B);        // no C version
   // The pseudo quotient of (*this) mod B
-  //	is returned, but (*this) is transformed
-  //	into the pseudo remainder.  If the argument C is provided,
-  //	Then C*(*this) = B*pseudo-quotient + pseudo-remainder.
+  //        is returned, but (*this) is transformed
+  //        into the pseudo remainder.  If the argument C is provided,
+  //        Then C*(*this) = B*pseudo-quotient + pseudo-remainder.
   Polynomial & negPseudoRemainder (const Polynomial& B);  // negative remainder
   Polynomial reduceStep (const Polynomial& B ); //helper for pseudoRemainder
   // One step of pseudo remainder
@@ -165,7 +165,7 @@ public:
   NT getCoeffi(int i) const;
   const NT & getLeadCoeff() const;      // get TRUE leading coefficient
   const NT & getTailCoeff() const;      // get last non-zero coefficient
-  NT** getCoeffs() ;		// get all coefficients
+  NT** getCoeffs() ;                // get all coefficients
   const NT& getCoeff(int i) const;      // Get single coefficient of X^i
                                         // nullptr pointer if invalid i
   // Set functions
@@ -176,10 +176,10 @@ public:
                                         // necessary !!
   // Helper Functions:
   /// Reverse reverses the coefficients
-  void reverse();		
+  void reverse();
   /// Negation of a polynomial (multiplication by -1)
   /// Useful for Sturm
-  Polynomial & negate();	
+  Polynomial & negate();
   /// Suppressing Zero Roots
   /// It amounts to dividing (*this) by X^k, so that the
   /// the tail coeff is non-zero. Returns the value of k.
@@ -188,20 +188,20 @@ public:
   // Evaluation Functions:
   /// Polynomial evaluation where the coefficients are approximated first
   /// Returns a BigFloat with error that contains the value
-  BigFloat evalApprox(const BigFloat& f, 
-    const extLong& r=get_static_defRelPrec(), 
+  BigFloat evalApprox(const BigFloat& f,
+    const extLong& r=get_static_defRelPrec(),
     const extLong& a=get_static_defAbsPrec()) const;
   /// Polynomial evaluation at a BigFloat value.
-  /// The returned BigFloat (with error) has the exact sign.  
+  /// The returned BigFloat (with error) has the exact sign.
   /// In particular, if the value is 0, we return 0.
   /// @param oldMSB is any estimate of the negative log of the evaluation
   BigFloat evalExactSign(const BigFloat& val, const extLong& oldMSB=54) const;
   /// Polynomial evaluation that return the same type as its argument
   /// Caution: The type T must be greater or equal to the type NT
-  /// 	NOTE: Eventually, we will remove this restriction by
-  /// 	introduce MaxType(NT,T) for the return type.
+  ///         NOTE: Eventually, we will remove this restriction by
+  ///         introduce MaxType(NT,T) for the return type.
   template <class T>
-  MAX_TYPE(NT, T) eval(const T&) const;	
+  MAX_TYPE(NT, T) eval(const T&) const;
 
   // Bounds
   BigFloat CauchyUpperBound() const;  // Cauchy Root Upper Bound
@@ -209,13 +209,13 @@ public:
   BigInt CauchyBound() const;  // Cauchy Root Bound from Erich Kaltofen
   BigInt UpperBound() const;  // Another Cauchy Root Bound; an improvement over
                                //Erich Kaltofen
-  BigFloat sepBound() const;	// separation bound (multiple roots allowed)
-  BigFloat height() const;	// height return type BigFloat
-  BigFloat length() const;	// length return type BigFloat
+  BigFloat sepBound() const;        // separation bound (multiple roots allowed)
+  BigFloat height() const;        // height return type BigFloat
+  BigFloat length() const;        // length return type BigFloat
 
   // Differentiation
-  Polynomial & differentiate() ;		// self-differentiation
-  Polynomial & differentiate(int n) ;		// multi self-differentiation
+  Polynomial & differentiate() ;                // self-differentiation
+  Polynomial & differentiate(int n) ;                // multi self-differentiation
 
   // Reductions of polynomials (NT must have gcd function)
   Polynomial sqFreePart(); // Square free part of P is P/gcd(P,P'). Return gcd
@@ -223,8 +223,8 @@ public:
 
   //////////////////////////////////////////////////////////////////
   // Resultant and discriminant
-  // NT & resultant() ;				// resultant
-  // NT & discriminant() ;			// discriminant
+  // NT & resultant() ;                                // resultant
+  // NT & discriminant() ;                        // discriminant
 
   // Composition of Polynomials:
   // NOT yet implemented
@@ -234,9 +234,9 @@ public:
   void dump(std::ofstream & ofs, std::string msg="",
          std::string com="# ", std::string com2="# ") const;  // dump to file
   void dump(std::string msg="", std::string com="# ",
-	 std::string com2="# ") const; // dump to cout
+         std::string com2="# ") const; // dump to cout
   void filedump(std::ostream & os, std::string msg="", std::string com="# ",
-	 std::string com2="# ") const; // dump workhorse (called by dump())
+         std::string com2="# ") const; // dump workhorse (called by dump())
   void mapleDump() const;              // dump of maple code for Polynomial
 
 }; //Polynomial Class
@@ -246,7 +246,7 @@ public:
 
 // ==================================================
 // Static Constants
-//	Does this belong here?
+//        Does this belong here?
 // ==================================================
 
 template < class NT >
@@ -276,11 +276,11 @@ Polynomial<NT> operator-(const Polynomia
 template < class NT >
 Polynomial<NT> operator*(const Polynomial<NT>&, const Polynomial<NT>&);// *
 template < class NT >
-Polynomial<NT> power(const Polynomial<NT>&, int n);		// power
+Polynomial<NT> power(const Polynomial<NT>&, int n);                // power
 template < class NT >
-Polynomial<NT> differentiate(const Polynomial<NT>&);		// differentiate
+Polynomial<NT> differentiate(const Polynomial<NT>&);                // differentiate
 template < class NT >
-Polynomial<NT> differentiate(const Polynomial<NT>&, int n);	// multi-differ.
+Polynomial<NT> differentiate(const Polynomial<NT>&, int n);        // multi-differ.
 //Content of a Polynomial
 template < class NT >
 NT content(const Polynomial<NT>& p);
@@ -311,9 +311,9 @@ bool operator==(const Polynomial<NT>&, c
 template < class NT >
 bool operator!=(const Polynomial<NT>&, const Polynomial<NT>&); // !=
 template < class NT >
-bool zeroP(const Polynomial <NT>&);			// =Zero Poly?
+bool zeroP(const Polynomial <NT>&);                        // =Zero Poly?
 template < class NT >
-bool unitP(const Polynomial <NT>&);			// =Unit Poly?
+bool unitP(const Polynomial <NT>&);                        // =Unit Poly?
 
 // stream i/o
 template < class NT >
@@ -329,36 +329,36 @@ std::istream& operator>>(std::istream&,
 template < class NT >
 CORE_INLINE
 Polynomial<NT> operator+(const Polynomial<NT>& p1,
-                         const Polynomial<NT>& p2) {	// +
+                         const Polynomial<NT>& p2) {        // +
   return Polynomial<NT>(p1) += p2;
 }
 template < class NT >
 CORE_INLINE
 Polynomial<NT> operator-(const Polynomial<NT>& p1,
-                         const Polynomial<NT>& p2) {	// -
+                         const Polynomial<NT>& p2) {        // -
   return Polynomial<NT>(p1) -= p2;
 }
 template < class NT >
 CORE_INLINE
 Polynomial<NT> operator*(const Polynomial<NT>& p1,
-                         const Polynomial<NT>& p2) {	// *
+                         const Polynomial<NT>& p2) {        // *
   return Polynomial<NT> (p1) *= p2;
 }
 template < class NT >
 CORE_INLINE
-Polynomial<NT> power(const Polynomial<NT>& p, int n) {				// power
+Polynomial<NT> power(const Polynomial<NT>& p, int n) {                                // power
   return Polynomial<NT>(p).power(n);
 }
 
 // equal to zero poly?
 template < class NT >
 CORE_INLINE
-bool zeroP(const Polynomial <NT>& p) {			// =Zero Poly?
+bool zeroP(const Polynomial <NT>& p) {                        // =Zero Poly?
   return (p.getTrueDegree()== -1);
 }
 template < class NT >
 CORE_INLINE
-bool unitP(const Polynomial <NT>& p) {			// =Unit Poly?
+bool unitP(const Polynomial <NT>& p) {                        // =Unit Poly?
   int d = p.getTrueDegree();
   return ((d == 0) && p.coeff[0]==1 );
 }
diff -pruN 5.0.2-3/include/CGAL/CORE/poly/Poly.tcc 5.0.3-1/include/CGAL/CORE/poly/Poly.tcc
--- 5.0.2-3/include/CGAL/CORE/poly/Poly.tcc	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/poly/Poly.tcc	2020-08-01 19:00:32.000000000 +0000
@@ -6,27 +6,27 @@
  * This file is part of CGAL (www.cgal.org).
  *
  * File: Poly.tcc
- * Purpose: 
- *	Template implementations of the functions
- *	of the Polynomial<NT> class (found in Poly.h)
- * 
- * OVERVIEW:  
- *	Each polynomial has a nominal "degree" (this
- *		is an upper bound on the true degree, which
- *		is determined by the first non-zero coefficient).
- *	Coefficients are parametrized by some number type "NT".
- *	Coefficients are stored in the "coeff" array of
- *		length "degree + 1".  
- *	IMPORTANT CONVENTION: the zero polynomial has degree -1
- *		while nonzero constant polynomials have degree 0.
- *	
+ * Purpose:
+ *        Template implementations of the functions
+ *        of the Polynomial<NT> class (found in Poly.h)
+ *
+ * OVERVIEW:
+ *        Each polynomial has a nominal "degree" (this
+ *                is an upper bound on the true degree, which
+ *                is determined by the first non-zero coefficient).
+ *        Coefficients are parametrized by some number type "NT".
+ *        Coefficients are stored in the "coeff" array of
+ *                length "degree + 1".
+ *        IMPORTANT CONVENTION: the zero polynomial has degree -1
+ *                while nonzero constant polynomials have degree 0.
+ *
  * Bugs:
- *	Currently, coefficient number type NT only accept
- *			NT=BigInt and NT=int
- * 
- *	To see where NT=Expr will give trouble,
- *			look for NOTE_EXPR below.
- * 
+ *        Currently, coefficient number type NT only accept
+ *                        NT=BigInt and NT=int
+ *
+ *        To see where NT=Expr will give trouble,
+ *                        look for NOTE_EXPR below.
+ *
  * Author: Chee Yap, Sylvain Pion and Vikram Sharma
  * Date:   May 28, 2002
  *
@@ -48,7 +48,7 @@ const char Polynomial<NT>::INDENT_SPACE[
 
 template <class NT>
 Polynomial<NT>::Polynomial(void) {
-  degree = -1; 	// this is the zero polynomial!
+  degree = -1;         // this is the zero polynomial!
   coeff = NULL;
 }
 
@@ -58,10 +58,10 @@ Polynomial<NT>::Polynomial(int n) {
   CGAL_assertion(n>= -1);
   degree = n;
   if (n == -1)
-    return;	// return the zero polynomial!
+    return;        // return the zero polynomial!
   if (n>=0)
     coeff = new NT[n+1];
-  coeff[0]=1;			// otherwise, return the unity polynomial
+  coeff[0]=1;                        // otherwise, return the unity polynomial
   for (int i=1; i<=n; i++)
     coeff[i]=0;
 }
@@ -91,10 +91,10 @@ Polynomial<NT>::Polynomial(const VecNT &
 }
 
 template <class NT>
-Polynomial<NT>::Polynomial(const Polynomial<NT> & p):degree(-1) { 
+Polynomial<NT>::Polynomial(const Polynomial<NT> & p):degree(-1) {
   //degree must be initialized to -1 otherwise delete is called on coeff in operator=
   coeff = NULL;//WHY?
-  *this = p;	// reduce to assignment operator=
+  *this = p;        // reduce to assignment operator=
 }
 
 // Constructor from a Character string of coefficients
@@ -112,11 +112,11 @@ Polynomial<NT>::Polynomial(int n, const
 
 //The BNF syntax is the following:-
 //    [poly] -> [term]| [term] '+/-' [poly] |
-//    		'-' [term] | '-' [term] '+/-' [poly]
+//                    '-' [term] | '-' [term] '+/-' [poly]
 //    [term] -> [basic term] | [basic term] [term] | [basic term]*[term]
 //    [basic term] -> [number] | 'x' | [basic term] '^' [number]
-//                    | '(' [poly] ')' 
-//COMMENT: 
+//                    | '(' [poly] ')'
+//COMMENT:
 //  [number] is assumed to be a BigInt; in the future, we probably
 //  want to generalize this to BigFloat, etc.
 //
@@ -168,7 +168,7 @@ void Polynomial<NT>::constructX(int n, P
 //Returns in P the coeffecient starting from start
 template <class NT>
 int Polynomial<NT>::getnumber(const char* c, int start, unsigned int len,
-			  Polynomial<NT> & P){
+                          Polynomial<NT> & P){
   int j=0;
   char *temp = new char[len];
   while(isint(c[j+start])){
@@ -196,7 +196,7 @@ bool Polynomial<NT>::isint(char c){
 //Returns as integer the number starting from start in c
 template <class NT>
 int Polynomial<NT>::getint(const char* c, int start, unsigned int len,
-			  int & n){
+                          int & n){
   int j=0;
   char *temp = new char[len];
   while(isint(c[j+start])){
@@ -215,7 +215,7 @@ template <class NT>
 int Polynomial<NT>::matchparen(const char* cstr, int start){
   int count = 0;
   int j=start;
-  
+
   do{
     if(cstr[j] == '('){
       count++;
@@ -223,9 +223,9 @@ int Polynomial<NT>::matchparen(const cha
     if(cstr[j] == ')'){
       count--;
     }
-    j++;      
+    j++;
   }while(count != 0 );//j is one more than the matching ')'
-  
+
   return j-1;
 }
 
@@ -341,12 +341,12 @@ Polynomial<NT> Polynomial<NT>::getpoly(s
       oind = ind;
       ind = oind + 2 + getterm(t, R);
       if(cstr[oind + 1] == '+')
-		P += R;
+                P += R;
       else if(cstr[oind + 1] == '-')
-		P -= R;
+                P -= R;
       else{
 #ifdef CGAL_CORE_TRACE
-	std::cout << "ERROR IN PARSING POLY! " << std::endl;
+        std::cout << "ERROR IN PARSING POLY! " << std::endl;
 #endif
       }
     }
@@ -362,7 +362,7 @@ Polynomial<NT> Polynomial<NT>::getpoly(s
 template <class NT>
 Polynomial<NT> & Polynomial<NT>::operator=(const Polynomial<NT>& p) {
   if (this == &p)
-    return *this;	// self-assignment
+    return *this;        // self-assignment
   if (degree >=0)  delete[] coeff;
   degree = p.getDegree();
   if (degree < 0) return *this;
@@ -379,7 +379,7 @@ int Polynomial<NT>::getTrueDegree() cons
     if (sign(coeff[i]) != 0)
       return i;
   }
-  return -1;	// Zero polynomial
+  return -1;        // Zero polynomial
 }
 
 //get i'th Coeff. We check whether i is not greater than the
@@ -397,8 +397,8 @@ NT Polynomial<NT>::getCoeffi(int i) cons
 // ==================================================
 
 // Expands the nominal degree to n;
-//	Returns n if nominal degree is changed to n
-//	Else returns -2
+//        Returns n if nominal degree is changed to n
+//        Else returns -2
 template <class NT>
 int Polynomial<NT>::expand(int n) {
   if ((n <= degree)||(n < 0))
@@ -416,8 +416,8 @@ int Polynomial<NT>::expand(int n) {
 }
 
 // contract() gets rid of leading zero coefficients
-//	and returns the new (true) degree;
-//	It returns -2 if this is a no-op
+//        and returns the new (true) degree;
+//        It returns -2 if this is a no-op
 template <class NT>
 int Polynomial<NT>::contract() {
   int d = getTrueDegree();
@@ -522,28 +522,28 @@ Polynomial<NT> & Polynomial<NT>::mulXpow
 
 // REDUCE STEP (helper for PSEUDO-REMAINDER function)
 // Let THIS=(*this) be the current polynomial, and P be the input
-//	argument for reduceStep.  Let R be returned polynomial.
-//	R has the special form as a binomial,
-//		R = C + X*M
-//	where C is a constant and M a monomial (= coeff * some power of X).
-//	Moreover, THIS is transformed to a new polynomial, THAT, which
-//	is given by
-// 		(C * THIS) = M * P  + THAT
-//	MOREOVER: deg(THAT) < deg(THIS) unless deg(P)>deg(Q).
-//	Basically, C is a power of the leading coefficient of P.
-//	REMARK: R is NOT defined as C+M, because in case M is
-//	a constant, then we cannot separate C from M.
-//	Furthermore, R.mulScalar(-1) gives us M.
+//        argument for reduceStep.  Let R be returned polynomial.
+//        R has the special form as a binomial,
+//                R = C + X*M
+//        where C is a constant and M a monomial (= coeff * some power of X).
+//        Moreover, THIS is transformed to a new polynomial, THAT, which
+//        is given by
+//                 (C * THIS) = M * P  + THAT
+//        MOREOVER: deg(THAT) < deg(THIS) unless deg(P)>deg(Q).
+//        Basically, C is a power of the leading coefficient of P.
+//        REMARK: R is NOT defined as C+M, because in case M is
+//        a constant, then we cannot separate C from M.
+//        Furthermore, R.mulScalar(-1) gives us M.
 template <class NT>
 Polynomial<NT> Polynomial<NT>::reduceStep (
   const Polynomial<NT>& p) {
-  // 	Chee: Omit the next 2 contractions as unnecessary
-  // 	since reduceStep() is only called by pseudoRemainder().
-  // 	Also, reduceStep() already does a contraction before returning.
-  // p.contract();	
-  // contract();	// first contract both polynomials
-  Polynomial<NT> q(p);		// q is initially a copy of p
-  //	but is eventually M*P
+  //         Chee: Omit the next 2 contractions as unnecessary
+  //         since reduceStep() is only called by pseudoRemainder().
+  //         Also, reduceStep() already does a contraction before returning.
+  // p.contract();
+  // contract();        // first contract both polynomials
+  Polynomial<NT> q(p);                // q is initially a copy of p
+  //        but is eventually M*P
   int pDeg  = q.degree;
   int myDeg = degree;
   if (pDeg == -1)
@@ -554,9 +554,9 @@ Polynomial<NT> Polynomial<NT>::reduceSte
   // i.e., C=1, M=0.
   // Now (myDeg >= pDeg).  Start to form the Return Polynomial R=C+X*M
   Polynomial<NT> R(myDeg - pDeg + 1);  // deg(M)= myDeg - pDeg
-  q.mulXpower(myDeg - pDeg);  	 // q is going to become M*P
+  q.mulXpower(myDeg - pDeg);           // q is going to become M*P
 
-  NT myLC = coeff[myDeg];	  // LC means "leading coefficient"
+  NT myLC = coeff[myDeg];          // LC means "leading coefficient"
   NT qLC = q.coeff[myDeg];  // p also has degree "myDeg" (qLC non-zero)
   NT LC;
 
@@ -564,60 +564,60 @@ Polynomial<NT> Polynomial<NT>::reduceSte
   //  isDivisible(x,y), gcd(x,y), div_exact(x,y) in the following:
   //  ============================================================
   if (isDivisible(myLC, qLC)) { // myLC is divisible by qLC
-    LC = div_exact(myLC, qLC);	 
-    R.setCoeff(0, 1);  		 //  C = 1,
+    LC = div_exact(myLC, qLC);
+    R.setCoeff(0, 1);                   //  C = 1,
 
     R.setCoeff(R.degree, LC); //  M = LC * X^(myDeg-pDeg)
-    q.mulScalar(LC); 	  //  q = M*P. 
+    q.mulScalar(LC);           //  q = M*P.
   }
   else if (isDivisible(qLC, myLC)) { // qLC is divisible by myLC
-    LC = div_exact(qLC, myLC);	 //
+    LC = div_exact(qLC, myLC);         //
     if ((LC != 1) && (LC != -1)) { // IMPORTANT: unlike the previous
       // case, we need an additional condition
       // that LC != -1.  THis is because
       // if (LC = -1), then we have qLC and
       // myLC are mutually divisible, and
       // we would be updating R twice!
-      R.setCoeff(0, LC); 	   // C = LC, 
+      R.setCoeff(0, LC);            // C = LC,
       R.setCoeff(R.degree, 1);     // M = X^(myDeg-pDeg)(THIS WAS NOT DONE)
-      mulScalar(LC); 	   	   // THIS => THIS * LC
+      mulScalar(LC);                       // THIS => THIS * LC
 
     }
-  } else {  			// myLC and qLC are not mutually divisible
-    NT g = gcd(qLC, myLC); 	// This ASSUMES gcd is defined in NT !!
-    //NT g = 1;  			// In case no gcd is available
+  } else {                          // myLC and qLC are not mutually divisible
+    NT g = gcd(qLC, myLC);         // This ASSUMES gcd is defined in NT !!
+    //NT g = 1;                          // In case no gcd is available
     if (g == 1) {
-      R.setCoeff(0, qLC);	  	// C = qLC
-      R.setCoeff(R.degree, myLC);	 // M = (myLC) * X^{myDeg-pDeg}
-      mulScalar(qLC);	 		// forming  C * THIS
-      q.mulScalar(myLC);		// forming  M * P
+      R.setCoeff(0, qLC);                  // C = qLC
+      R.setCoeff(R.degree, myLC);         // M = (myLC) * X^{myDeg-pDeg}
+      mulScalar(qLC);                         // forming  C * THIS
+      q.mulScalar(myLC);                // forming  M * P
     } else {
       NT qLC1= div_exact(qLC,g);
       NT myLC1= div_exact(myLC,g);
-      R.setCoeff(0, qLC1);	  	// C = qLC/g
-      R.setCoeff(R.degree, myLC1);	// M = (myLC/g) * X^{myDeg-pDeg}
-      mulScalar(qLC1);	 	// forming  C * THIS
-      q.mulScalar(myLC1);		// forming  M * P
+      R.setCoeff(0, qLC1);                  // C = qLC/g
+      R.setCoeff(R.degree, myLC1);        // M = (myLC/g) * X^{myDeg-pDeg}
+      mulScalar(qLC1);                 // forming  C * THIS
+      q.mulScalar(myLC1);                // forming  M * P
     }
   }
-  (*this) -= q;		// THAT = (C * THIS) - (M * P)
+  (*this) -= q;                // THAT = (C * THIS) - (M * P)
 
   contract();
 
-  return R;		// Returns R = C + X*M
+  return R;                // Returns R = C + X*M
 }// reduceStep
 
 // For internal use only:
-// Checks that c*A = B*m + AA 
-// 	where A=(*oldthis) and AA=(*newthis)
+// Checks that c*A = B*m + AA
+//         where A=(*oldthis) and AA=(*newthis)
 template <class NT>
-Polynomial<NT> Polynomial<NT>::testReduceStep(const Polynomial<NT>& A, 
-	const Polynomial<NT>& B) {
+Polynomial<NT> Polynomial<NT>::testReduceStep(const Polynomial<NT>& A,
+        const Polynomial<NT>& B) {
 std::cout << "+++++++++++++++++++++TEST REDUCE STEP+++++++++++++++++++++\n";
   Polynomial<NT> cA(A);
   Polynomial<NT> AA(A);
   Polynomial<NT> quo;
-  quo = AA.reduceStep(B);	        // quo = c + X*m  (m is monomial, c const)
+  quo = AA.reduceStep(B);                // quo = c + X*m  (m is monomial, c const)
                                 // where c*A = B*m + (*newthis)
 std::cout << "A = " << A << std::endl;
 std::cout << "B = " << B << std::endl;
@@ -631,42 +631,42 @@ std::cout << "AA = " << AA << std::endl;
 std::cout << "B*m = " << B*m << std::endl;
 std::cout << "B*m + AA = " << B*m + AA << std::endl;
   if (cA == (B*m + AA))
-	  std::cout << "CORRECT inside testReduceStep" << std::endl;
+          std::cout << "CORRECT inside testReduceStep" << std::endl;
   else
-	  std::cout << "ERROR inside testReduceStep" << std::endl;
+          std::cout << "ERROR inside testReduceStep" << std::endl;
 std::cout << "+++++++++++++++++END TEST REDUCE STEP+++++++++++++++++++++\n";
   return quo;
 }
 
 // PSEUDO-REMAINDER and PSEUDO-QUOTIENT:
 // Let A = (*this) and B be the argument polynomial.
-// Let Quo be the returned polynomial, 
+// Let Quo be the returned polynomial,
 // and let the final value of (*this) be Rem.
 // Also, C is the constant that we maintain.
-// We are computing A divided by B.  The relation we guarantee is 
-// 		(C * A) = (Quo * B)  + Rem
+// We are computing A divided by B.  The relation we guarantee is
+//                 (C * A) = (Quo * B)  + Rem
 // where deg(Rem) < deg(B).  So Rem is the Pseudo-Remainder
 // and Quo is the Pseudo-Quotient.
 // Moreover, C is uniquely determined (we won't spell it out)
 // except to note that
-//	C divides D = (LC)^{deg(A)-deg(B)+1}
-//	where LC is the leading coefficient of B.
+//        C divides D = (LC)^{deg(A)-deg(B)+1}
+//        where LC is the leading coefficient of B.
 // NOTE: 1. Normally, Pseudo-Remainder is defined so that C = D
-// 	 So be careful when using our algorithm.
-// 	 2. We provide a version of pseudoRemainder which does not
-// 	 require C as argument.  [For efficiency, we should provide this
-//	 version directly, instead of calling the other version!]
+//          So be careful when using our algorithm.
+//          2. We provide a version of pseudoRemainder which does not
+//          require C as argument.  [For efficiency, we should provide this
+//         version directly, instead of calling the other version!]
 
 template <class NT>
 Polynomial<NT> Polynomial<NT>::pseudoRemainder (
   const Polynomial<NT>& B) {
-	NT temp;	// dummy argument to be discarded
-	return pseudoRemainder(B, temp);
+        NT temp;        // dummy argument to be discarded
+        return pseudoRemainder(B, temp);
 }//pseudoRemainder
 
 template <class NT>
 Polynomial<NT> Polynomial<NT>::pseudoRemainder (
-  const Polynomial<NT>& B, NT & C) { 
+  const Polynomial<NT>& B, NT & C) {
   contract();         // Let A = (*this).  Contract A.
   Polynomial<NT> tmpB(B);
   tmpB.contract();    // local copy of B
@@ -684,7 +684,7 @@ Polynomial<NT> Polynomial<NT>::pseudoRem
   Polynomial<NT> tmpQuo;
   while (degree >= B.degree) {  // INVARIANT: C*A = B*Quo + (*this)
     tmpQuo = reduceStep(tmpB);  // Let (*this) be (*oldthis), which
-			        // is transformed into (*newthis). Then,
+                                // is transformed into (*newthis). Then,
                                 //     c*(*oldthis) = B*m + (*newthis)
                                 // where tmpQuo = c + X*m
     // Hence,   C*A =   B*Quo +   (*oldthis)      -- the old invariant
@@ -692,34 +692,34 @@ Polynomial<NT> Polynomial<NT>::pseudoRem
     //              = c*B*Quo + (B*m + (*newthis))
     //              = B*(c*Quo + m)  + (*newthis)
     // i.e, to update invariant, we do C->c*C,  Quo --> c*Quo + m.
-    C *= tmpQuo.coeff[0];	    // C = c*C
+    C *= tmpQuo.coeff[0];            // C = c*C
     Quo.mulScalar(tmpQuo.coeff[0]); // Quo -> c*Quo
     tmpQuo.mulXpower(-1);           // tmpQuo is now equal to m
-    Quo += tmpQuo;                  // Quo -> Quo + m 
+    Quo += tmpQuo;                  // Quo -> Quo + m
   }
 
-  return Quo;	// Quo is the pseudo-quotient
+  return Quo;        // Quo is the pseudo-quotient
 }//pseudoRemainder
 
 // Returns the negative of the pseudo-remainder
-// 	(self-modification)
+//         (self-modification)
 template <class NT>
 Polynomial<NT> & Polynomial<NT>::negPseudoRemainder (
   const Polynomial<NT>& B) {
-	NT temp;	// dummy argument to be discarded
-	pseudoRemainder(B, temp);
-	if (temp < 0) return (*this);
-	return negate();
+        NT temp;        // dummy argument to be discarded
+        pseudoRemainder(B, temp);
+        if (temp < 0) return (*this);
+        return negate();
 }
 
 template <class NT>
-Polynomial<NT> & Polynomial<NT>::operator-() {	// unary minus
+Polynomial<NT> & Polynomial<NT>::operator-() {        // unary minus
   for (int i=0; i<=degree; i++)
     coeff[i] *= -1;
   return *this;
 }
 template <class NT>
-Polynomial<NT> & Polynomial<NT>::power(unsigned int n) {	// self-power
+Polynomial<NT> & Polynomial<NT>::power(unsigned int n) {        // self-power
   if (n == 0) {
     degree = 0;
     delete [] coeff;
@@ -728,7 +728,7 @@ Polynomial<NT> & Polynomial<NT>::power(u
   } else {
     Polynomial<NT> p = *this;
     for (unsigned int i=1; i<n; i++)
-      *this *= p;		// Would a binary power algorithm be better?
+      *this *= p;                // Would a binary power algorithm be better?
   }
   return *this;
 }
@@ -740,10 +740,10 @@ Polynomial<NT> & Polynomial<NT>::power(u
 //      This is because we would have to convert these coefficients into
 //      BigFloats, and this conversion precision is controlled by the
 //      global variables defRelPrec and defAbsPrec.
-//   
+//
 /*
 template <class NT>
-BigFloat Polynomial<NT>::eval(const BigFloat& f) const {	// evaluation
+BigFloat Polynomial<NT>::eval(const BigFloat& f) const {        // evaluation
   if (degree == -1)
     return BigFloat(0);
   if (degree == 0)
@@ -751,7 +751,7 @@ BigFloat Polynomial<NT>::eval(const BigF
   BigFloat val(0);
   for (int i=degree; i>=0; i--) {
     val *= f;
-    val += BigFloat(coeff[i]);	
+    val += BigFloat(coeff[i]);
   }
   return val;
 }//eval
@@ -764,13 +764,13 @@ BigFloat Polynomial<NT>::eval(const BigF
 ///
 /// User must be aware that the return type of eval is Max of Types NT and T.
 ///
-/// E.g., If NT is BigRat, and T is Expr then Max(NT,T)=Expr. 
-/// 	
-/// REMARK: If NT is BigFloat, it is assumed that the BigFloat is error-free.  
+/// E.g., If NT is BigRat, and T is Expr then Max(NT,T)=Expr.
+///
+/// REMARK: If NT is BigFloat, it is assumed that the BigFloat is error-free.
 
 template <class NT>
 template <class T>
-MAX_TYPE(NT, T) Polynomial<NT>::eval(const T& f) const {	// evaluation
+MAX_TYPE(NT, T) Polynomial<NT>::eval(const T& f) const {        // evaluation
   typedef MAX_TYPE(NT, T) ResultT;
   if (degree == -1)
     return ResultT(0);
@@ -779,26 +779,26 @@ MAX_TYPE(NT, T) Polynomial<NT>::eval(con
   ResultT val(0);
   for (int i=degree; i>=0; i--) {
     val *= ResultT(f);
-    val += ResultT(coeff[i]);	
+    val += ResultT(coeff[i]);
   }
   return val;
 }//eval
 
 
 /// Approximate Evaluation of Polynomials
-/// 	the coefficients of the polynomial are approximated to some
-///	specified composite precision (r,a).
-/// @param  f evaluation point 
+///         the coefficients of the polynomial are approximated to some
+///        specified composite precision (r,a).
+/// @param  f evaluation point
 /// @param  r relative precision to which the coefficients are evaluated
 /// @param  a absolute precision to which the coefficients are evaluated
 /// @return a BigFloat with error containing value of the polynomial.
 ///     If zero is in this BigFloat interval, then we don't know the sign.
 //
-// 	ASSERT: NT = BigRat or Expr
+//         ASSERT: NT = BigRat or Expr
 //
 template <class NT>
-BigFloat Polynomial<NT>::evalApprox(const BigFloat& f, 
-	const extLong& r, const extLong& a) const {	// evaluation
+BigFloat Polynomial<NT>::evalApprox(const BigFloat& f,
+        const extLong& r, const extLong& a) const {        // evaluation
   if (degree == -1)
     return BigFloat(0);
   if (degree == 0)
@@ -806,8 +806,8 @@ BigFloat Polynomial<NT>::evalApprox(cons
 
   BigFloat val(0), c;
   for (int i=degree; i>=0; i--) {
-    c = BigFloat(coeff[i], r, a);	
-    val *= f; 
+    c = BigFloat(coeff[i], r, a);
+    val *= f;
     val += c;
   }
   return val;
@@ -817,7 +817,7 @@ BigFloat Polynomial<NT>::evalApprox(cons
 template <>
 CORE_INLINE
 BigFloat Polynomial<BigInt>::evalApprox(const BigFloat& /*f*/,
-	const extLong& /*r*/, const extLong& /*a*/) const {	// evaluation
+        const extLong& /*r*/, const extLong& /*a*/) const {        // evaluation
   CGAL_assertion(0);
   return BigFloat(0);
 }
@@ -836,9 +836,9 @@ BigFloat Polynomial<BigInt>::evalApprox(
  *
    We use the following heuristic estimates of precision for coefficients:
 
-      r = 1 + lg(|P|_\infty) + lg(d+1)  		if f <= 1
-      r = 1 + lg(|P|_\infty) + lg(d+1) + d*lg|f| 	if f > 1
-      
+      r = 1 + lg(|P|_\infty) + lg(d+1)                  if f <= 1
+      r = 1 + lg(|P|_\infty) + lg(d+1) + d*lg|f|         if f > 1
+
    if the filter fails, then we use Expr to do evaluation.
 
    This function is mainly called by Newton iteration (which
@@ -852,31 +852,31 @@ BigFloat Polynomial<BigInt>::evalApprox(
  ***************************************************/
 template <class NT>
 BigFloat Polynomial<NT>::evalExactSign(const BigFloat& val,
-	 const extLong& oldMSB) const {
+         const extLong& oldMSB) const {
     CGAL_assertion(val.isExact());
     if (getTrueDegree() == -1)
       return BigFloat(0);
-  
+
     extLong r;
     r = 1 + BigFloat(height()).uMSB() + clLg(long(getTrueDegree()+1));
     if (val > 1)
       r += getTrueDegree() * val.uMSB();
     r += core_max(extLong(0), -oldMSB);
-  
+
     if (hasExactDivision<NT>::check()) { // currently, only to detect NT=Expr and NT=BigRat
         BigFloat rVal = evalApprox(val, r);
         if (rVal.isZeroIn()) {
-	  Expr eVal = eval(Expr(val));	// eval gives exact value
-	  eVal.approx(54,CORE_INFTY);  // if value is 0, we get exact 0
-	  return eVal.BigFloatValue();
-	} else 
+          Expr eVal = eval(Expr(val));        // eval gives exact value
+          eVal.approx(54,CORE_INFTY);  // if value is 0, we get exact 0
+          return eVal.BigFloatValue();
+        } else
           return rVal;
     } else
-	return BigFloat(eval(val));
+        return BigFloat(eval(val));
 
    //return 0; // unreachable
   }//evalExactSign
-  
+
 
 //============================================================
 // Bounds
@@ -943,12 +943,12 @@ BigInt Polynomial<NT>::UpperBound() cons
     lhsPos = lhsNeg = 0;
     for (int i=deg-1; i>=0; i--) {
       if (coeff[i]>0) {
-      	lhsPos = lhsPos * B + coeff[i];
-      	lhsNeg = lhsNeg * B;
+              lhsPos = lhsPos * B + coeff[i];
+              lhsNeg = lhsNeg * B;
       } else {
-      	lhsNeg = lhsNeg * B - coeff[i];
-      	lhsPos = lhsPos * B;
-      } 
+              lhsNeg = lhsNeg * B - coeff[i];
+              lhsPos = lhsPos * B;
+      }
     }
     lhsNeg /= abs(coeff[deg]);
     lhsPos /= abs(coeff[deg]);
@@ -1040,7 +1040,7 @@ BigFloat Polynomial<NT>::length() const
 //============================================================
 
 template <class NT>
-Polynomial<NT> & Polynomial<NT>::differentiate() {	// self-differentiation
+Polynomial<NT> & Polynomial<NT>::differentiate() {        // self-differentiation
   if (degree >= 0) {
     NT * c = new NT[degree];
     for (int i=1; i<=degree; i++)
@@ -1111,11 +1111,11 @@ NT content(const Polynomial<NT>& p) {
 }//content
 
 // Primitive Part:  (*this) is transformed to primPart and returned
-//	-- primPart(P) is just P/content(P)
-//	-- Should we return content(P) instead? [SHOULD IMPLEMENT THIS]
+//        -- primPart(P) is just P/content(P)
+//        -- Should we return content(P) instead? [SHOULD IMPLEMENT THIS]
 // IMPORTANT: we require that content(P)>0, hence
-// 	the coefficients of primPart(P) does 
-// 	not change sign; this is vital for use in Sturm sequences
+//         the coefficients of primPart(P) does
+//         not change sign; this is vital for use in Sturm sequences
 template <class NT>
 Polynomial<NT> & Polynomial<NT>::primPart() {
   // ASSERT: GCD must be provided by NT
@@ -1129,7 +1129,7 @@ Polynomial<NT> & Polynomial<NT>::primPar
 
   NT g = content(*this);
   if (g == 1 && coeff[d] > 0)
-     return (*this);  
+     return (*this);
   for (int i=0; i<=d; i++) {
      coeff[i] =  div_exact(coeff[i], g);
   }
@@ -1158,7 +1158,7 @@ Polynomial<NT> gcd(const Polynomial<NT>&
        if(p.getCoeffi(p.getTrueDegree()) < 0){
          return Polynomial<NT>(p).negate();
        }else
-         return p;	// If q<>0, then we know p<>0
+         return p;        // If q<>0, then we know p<>0
    }
   }
   Polynomial<NT> temp0(p);
@@ -1167,7 +1167,7 @@ Polynomial<NT> gcd(const Polynomial<NT>&
   // We want to compute:
   // gcd(p,q) = gcd(content(p),content(q)) * gcd(primPart(p), primPart(q))
 
-  NT cont0 = content(p);	// why is this temporary needed?
+  NT cont0 = content(p);        // why is this temporary needed?
   NT cont1 = content(q);
   NT cont = gcd(cont0,cont1);
   temp0.primPart();
@@ -1178,9 +1178,9 @@ Polynomial<NT> gcd(const Polynomial<NT>&
 }//gcd
 
 // sqFreePart()
-// 	-- this is a self-modifying operator!
-// 	-- Let P =(*this) and Q=square-free part of P.
-// 	-- (*this) is transformed into P, and gcd(P,P') is returned
+//         -- this is a self-modifying operator!
+//         -- Let P =(*this) and Q=square-free part of P.
+//         -- (*this) is transformed into P, and gcd(P,P') is returned
 // NOTE: The square-free part of P is defined to be P/gcd(P, P')
 template <class NT>
 Polynomial<NT>  Polynomial<NT>::sqFreePart() {
@@ -1207,7 +1207,7 @@ Polynomial<NT>  Polynomial<NT>::sqFreePa
 // ==================================================
 
 // reverse:
-// 	reverses the list of coefficients
+//         reverses the list of coefficients
 template <class NT>
 void Polynomial<NT>::reverse() {
   NT tmp;
@@ -1218,20 +1218,20 @@ void Polynomial<NT>::reverse() {
   }
 }//reverse
 
-// negate: 
-// 	multiplies the polynomial by -1
-// 	Chee: 4/29/04 -- added negate() to support negPseudoRemainder(B)
+// negate:
+//         multiplies the polynomial by -1
+//         Chee: 4/29/04 -- added negate() to support negPseudoRemainder(B)
 template <class NT>
 Polynomial<NT> & Polynomial<NT>::negate() {
-  for (int i=0; i<= degree; i++) 
-    coeff[i] *= -1;  	// every NT must be able to construct from -1
+  for (int i=0; i<= degree; i++)
+    coeff[i] *= -1;          // every NT must be able to construct from -1
   return *this;
 }//negate
 
 // makeTailCoeffNonzero
-// 	Divide (*this) by X^k, so that the tail coeff becomes non-zero.
-//	The value k is returned.  In case (*this) is 0, return k=-1.
-//	Otherwise, if (*this) is unchanged, return k=0.
+//         Divide (*this) by X^k, so that the tail coeff becomes non-zero.
+//        The value k is returned.  In case (*this) is 0, return k=-1.
+//        Otherwise, if (*this) is unchanged, return k=0.
 template <class NT>
 int Polynomial<NT>::makeTailCoeffNonzero() {
   int k=-1;
@@ -1242,8 +1242,8 @@ int Polynomial<NT>::makeTailCoeffNonzero
     }
   }
   if (k <= 0)
-    return k;	// return either 0 or -1
-  degree -=k;		// new (lowered) degree
+    return k;        // return either 0 or -1
+  degree -=k;                // new (lowered) degree
   NT * c = new NT[1+degree];
   for (int i=0; i<=degree; i++)
     c[i] = coeff[i+k];
@@ -1255,12 +1255,12 @@ int Polynomial<NT>::makeTailCoeffNonzero
 // filedump(string msg, ostream os, string com, string com2):
 //      Dumps polynomial to output stream os
 //      msg is any message
-//      NOTE: Default is com="#", which is placed at start of each 
-//            output line. 
+//      NOTE: Default is com="#", which is placed at start of each
+//            output line.
 template <class NT>
 void Polynomial<NT>::filedump(std::ostream & os,
                           std::string msg,
-			  std::string commentString,
+                          std::string commentString,
                           std::string commentString2) const {
   int d= getTrueDegree();
   if (msg != "") os << commentString << msg << std::endl;
@@ -1269,67 +1269,67 @@ void Polynomial<NT>::filedump(std::ostre
     os << commentString << "0";
     return;
   }
-  for (; i<=d;  ++i)	// get to the first non-zero coeff
+  for (; i<=d;  ++i)        // get to the first non-zero coeff
     if (coeff[i] != 0)
       break;
   int termsInLine = 1;
 
   // OUTPUT the first nonzero term
   os << commentString;
-  if (coeff[i] == 1) {			// special cases when coeff[i] is
-    if (i>1) os << "x^" << i;	// either 1 or -1 
+  if (coeff[i] == 1) {                        // special cases when coeff[i] is
+    if (i>1) os << "x^" << i;        // either 1 or -1
     else if (i==1) os << "x" ;
     else os << "1";
   } else if (coeff[i] == -1) {
     if (i>1) os << "-x^" << i;
     else if (i==1) os << "-x" ;
     else os << "-1";
-  } else {				// non-zero coeff
+  } else {                                // non-zero coeff
     os << coeff[i];
     if (i>1) os << "*x^" << i;
     else if (i==1) os << "x" ;
-  } 
+  }
   // OUTPUT the remaining nonzero terms
   for (i++ ; i<= getTrueDegree(); ++i) {
-    if (coeff[i] == 0) 
+    if (coeff[i] == 0)
       continue;
     termsInLine++;
     if (termsInLine % Polynomial<NT>::COEFF_PER_LINE == 0) {
       os << std::endl;
       os << commentString2;
     }
-    if (coeff[i] == 1) {		// special when coeff[i] = 1
+    if (coeff[i] == 1) {                // special when coeff[i] = 1
       if (i==1) os << " + x";
       else os << " + x^" << i;
-    } else if (coeff[i] == -1) {	// special when coeff[i] = -1
+    } else if (coeff[i] == -1) {        // special when coeff[i] = -1
       if (i==1) os << " - x";
       else os << " -x^" << i;
-    } else {				// general case
-      if(coeff[i] > 0){	
-	os << " + ";
+    } else {                                // general case
+      if(coeff[i] > 0){
+        os << " + ";
         os << coeff[i];
       }else
         os << coeff[i];
 
       if (i==1) os << "*x";
       else os << "*x^" << i;
-    } 
+    }
   }
 }//filedump
 
 // dump(message, ofstream, commentString) -- dump to file
 template <class NT>
 void Polynomial<NT>::dump(std::ofstream & ofs,
-		std::string msg,
-		std::string commentString,
+                std::string msg,
+                std::string commentString,
                 std::string commentString2) const {
   filedump(ofs, msg, commentString, commentString2);
 }
 
-// dump(message) 	-- to std output
+// dump(message)         -- to std output
 template <class NT>
 void Polynomial<NT>::dump(std::string msg, std::string com,
-		std::string com2) const {
+                std::string com2) const {
   filedump(std::cout, msg, com, com2);
 }
 
@@ -1354,7 +1354,7 @@ void Polynomial<NT>::mapleDump() const {
 
 // friend differentiation
 template <class NT>
-Polynomial<NT> differentiate(const Polynomial<NT> & p) {	  // differentiate
+Polynomial<NT> differentiate(const Polynomial<NT> & p) {          // differentiate
   Polynomial<NT> q(p);
   return q.differentiate();
 }
@@ -1371,7 +1371,7 @@ Polynomial<NT> differentiate(const Polyn
 
 // friend equality comparison
 template <class NT>
-bool operator==(const Polynomial<NT>& p, const Polynomial<NT>& q) {	// ==
+bool operator==(const Polynomial<NT>& p, const Polynomial<NT>& q) {        // ==
   int d, D;
   Polynomial<NT> P(p);
   P.contract();
@@ -1382,23 +1382,23 @@ bool operator==(const Polynomial<NT>& p,
     D = Q.degree;
     for (int i = d+1; i<=D; i++)
       if (Q.coeff[i] != 0)
-        return false;	// return false
+        return false;        // return false
   } else {
     D = P.degree;
     d = Q.degree;
     for (int i = d+1; i<=D; i++)
       if (P.coeff[i] != 0)
-        return false;	// return false
+        return false;        // return false
   }
   for (int i = 0; i <= d; i++)
     if (P.coeff[i] != Q.coeff[i])
-      return false;	// return false
-  return true; 	// return true
+      return false;        // return false
+  return true;         // return true
 }
 
 // friend non-equality comparison
 template <class NT>
-bool operator!=(const Polynomial<NT>& p, const Polynomial<NT>& q) {	// !=
+bool operator!=(const Polynomial<NT>& p, const Polynomial<NT>& q) {        // !=
   return (!(p == q));
 }
 
@@ -1472,7 +1472,7 @@ NT res(Polynomial<NT> p, Polynomial<NT>
   p.pseudoRemainder(q, C);
 
   if(zeroP(p) && n ==0)
-     return (pow(q.coeff[0], m));	
+     return (pow(q.coeff[0], m));
 
   int l = p.getTrueDegree();
 
@@ -1500,7 +1500,7 @@ NT psc(int i,Polynomial<NT> p, Polynomia
      return 0;
 
   NT b = q.coeff[n];//Leading coefficient of Q
-  NT lc = p.coeff[m], C;	
+  NT lc = p.coeff[m], C;
 
 
   p.pseudoRemainder(q, C);
@@ -1536,14 +1536,14 @@ Polynomial<NT> factorI(Polynomial<NT> p,
   Polynomial<NT> *u = new Polynomial<NT>[d+1];
   u[d] = w[d-1];
   for(int i = d-1; i >=m; i--){
-	temp = power(u[i+1],2);
+        temp = power(u[i+1],2);
      for(int j=i+2; j <=d; j++){
         temp *= power(u[j],j-i+1);
      }
      u[i] = w[i-1].pseudoRemainder(temp);//i-1 since the array starts at 0
-  } 
-	
-	delete[] w;
+  }
+
+        delete[] w;
   return u[m];
 }
 
diff -pruN 5.0.2-3/include/CGAL/CORE/poly/Sturm.h 5.0.3-1/include/CGAL/CORE/poly/Sturm.h
--- 5.0.2-3/include/CGAL/CORE/poly/Sturm.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/poly/Sturm.h	2020-08-01 19:02:17.000000000 +0000
@@ -6,15 +6,15 @@
  * This file is part of CGAL (www.cgal.org).
  *
  *  File: Sturm.h
- * 
- *  Description: 
+ *
+ *  Description:
  *  The templated class Sturm implements Sturm sequences.
  *  Basic capabilities include:
- *     counting number of roots in an interval, 
+ *     counting number of roots in an interval,
  *     isolating all roots in an interval
  *     isolating the i-th largest (or smallest) root in interval
  *  It is based on the Polynomial class.
- * 
+ *
  *   BigFloat intervals are used for this (new) version.
  *   It is very important that the BigFloats used in these intervals
  *   have no error at the beginning, and this is maintained
@@ -29,19 +29,19 @@
  *       (2) if x=y,  it represents a unique point x.
  *       (3) if x<y,  it represents the open interval (x,y).
  *           In this case, we always may sure that x, y are not zeros.
- * 
+ *
  *   TODO LIST and Potential Bugs:
  *   (1) Split an isolating interval to give definite sign (done)
  *   (2) Should have a test for square-free polynomials (done)
- * 
+ *
  *  Author:  Chee Yap and Sylvain Pion, Vikram Sharma
  *  Date:    July 20, 2002
  *
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/poly/Sturm.h $
- * $Id: Sturm.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/poly/Sturm.h $
+ * $Id: Sturm.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -54,7 +54,7 @@
 #include "CGAL/CORE/Expr.h"
 #include "CGAL/CORE/poly/Poly.h"
 
-namespace CORE { 
+namespace CORE {
 
 // ==================================================
 // Sturm Class
@@ -64,7 +64,7 @@ template < class NT >
 class Sturm {
 public:
   int len;      // len is 1 less than the number of non-zero entries in array seq.
-  		//     I.e., len + 1 = length of the Sturm Sequence
+                  //     I.e., len + 1 = length of the Sturm Sequence
                 // N.B. When len = -1 or len = 0 are special,
                 //     the array seq is not used!
                 //     Hence, one must test these special cases
@@ -72,7 +72,7 @@ public:
   Polynomial<NT> g;//GCD of input polynomial P and it's derivative P'
   NT cont;//Content of the square-free part of input polynomial P
   //Thus P = g * cont * seq[0]
-  static const int N_STOP_ITER = 10000;    // Stop IterE after this many iterations. 
+  static const int N_STOP_ITER = 10000;    // Stop IterE after this many iterations.
   bool NEWTON_DIV_BY_ZERO;   // This is set to true when there is divide by
   // zero in Newton iteration (at critical value)
   // User is responsible to check this and to reset.
@@ -99,7 +99,7 @@ public:
       seq[i] = seq[i-2];
       seq[i].negPseudoRemainder(seq[i-1]);
       if (zeroP(seq[i])){
-	len = i-1;//Since len is one less than the number of non-zero entries.
+        len = i-1;//Since len is one less than the number of non-zero entries.
         break;
       }
       seq[i].primPart(); // Primitive part is important to speed
@@ -110,11 +110,11 @@ public:
   }
 
   // Chee: 7/31/04
-  // 	We need BigFloat version of Sturm(Polynomial<NT>pp) because
-  // 	of curve verticalIntersection() ... .  We also introduce
-  // 	various support methods in BigFloat.h (exact_div, gcd, etc).
-  // Constructor from a BigFloat polynomial 
-  //	Need the fake argument to avoid compiler overloading errors
+  //         We need BigFloat version of Sturm(Polynomial<NT>pp) because
+  //         of curve verticalIntersection() ... .  We also introduce
+  //         various support methods in BigFloat.h (exact_div, gcd, etc).
+  // Constructor from a BigFloat polynomial
+  //        Need the fake argument to avoid compiler overloading errors
   Sturm(Polynomial<BigFloat> pp, bool /* fake */) : NEWTON_DIV_BY_ZERO(false) {
     len = pp.getTrueDegree();
     if (len <= 0) return; // hence, seq is not defined in these cases
@@ -129,8 +129,8 @@ public:
       seq[i] = seq[i-2];
       seq[i].negPseudoRemainder(seq[i-1]);
       if (zeroP(seq[i])){
-	len = i-1;//Since len is one less than the number of non-zero entries.
-	//len = i;
+        len = i-1;//Since len is one less than the number of non-zero entries.
+        //len = i;
         break;
       }
       seq[i].primPart(); // Primitive part is important to speed
@@ -214,11 +214,11 @@ public:
   //   --the first polynomial eval is not yet done
   //   --special return value of -1, indicating x is root!
   int signVariations(const BigFloat & x) const {
-    if (len <= 0) return len; 
+    if (len <= 0) return len;
     int signx = sign(seq[0].evalExactSign(x));
     if (signx == 0)
       return (-1);    // THIS indicates that x is a root...
-    		      // REMARK: in our usage, this case does not arise
+                          // REMARK: in our usage, this case does not arise
     return signVariations(x, signx);
   }//signVariations(x)
 
@@ -352,7 +352,7 @@ public:
       if ((x > 0) || (y < 0)) // usual case: 0 is not in interval
         v.push_back(std::make_pair(x, y));
       else { // if 0 is inside our interval (this extra
-	     // service is not strictly necessary!)
+             // service is not strictly necessary!)
         if (seq[0].coeff[0] == 0)
           v.push_back(std::make_pair(BigFloat(0), BigFloat(0)));
         else if (numberOfRoots(0,y) == 0)
@@ -363,15 +363,15 @@ public:
     } else { // n > 1
       BigFloat mid = (x+y).div2(); // So mid is exact.
       if (sign(seq[0].evalExactSign(mid)) != 0)  { // usual case: mid is non-root
-      	isolateRoots(x, mid, v);
-      	isolateRoots(mid, y, v); 
+              isolateRoots(x, mid, v);
+              isolateRoots(mid, y, v);
       } else { // special case: mid is a root
-	BigFloat tmpEps = (seq[0].sepBound()).div2();  // this is exact!
-	if(mid-tmpEps > x )//Since otherwise there are no roots in (x,mid)
-	  isolateRoots(x, (mid-tmpEps).makeCeilExact(), v);
-	v.push_back(std::make_pair(mid, mid));
-	if(mid+tmpEps < y)//Since otherwise there are no roots in (mid,y)
-	  isolateRoots((mid+tmpEps).makeFloorExact(), y, v);
+        BigFloat tmpEps = (seq[0].sepBound()).div2();  // this is exact!
+        if(mid-tmpEps > x )//Since otherwise there are no roots in (x,mid)
+          isolateRoots(x, (mid-tmpEps).makeCeilExact(), v);
+        v.push_back(std::make_pair(mid, mid));
+        if(mid+tmpEps < y)//Since otherwise there are no roots in (mid,y)
+          isolateRoots((mid+tmpEps).makeFloorExact(), y, v);
       }
     }
   }//isolateRoots(x,y,v)
@@ -390,11 +390,11 @@ public:
   }
 
   // isolateRoot(i)
-  ///   Isolates the i-th smallest root 
+  ///   Isolates the i-th smallest root
   ///         If i<0, isolate the (-i)-th largest root
   ///   Defaults to i=0 (i.e., the smallest positive root a.k.a. main root)
   BFInterval isolateRoot(int i = 0) const {
-    if (len <= 0) 
+    if (len <= 0)
        return BFInterval(1,0);   // ERROR CONDITION
     if (i == 0)
       return mainRoot();
@@ -426,7 +426,7 @@ public:
     BigFloat m = (x+y).div2();
     n = numberOfRoots(x, m);
     if (n >= i)
-	    return isolateRoot(i, x, m);
+            return isolateRoot(i, x, m);
     // Now (n < i) but we have to be careful if m is a root
     if (sign(seq[0].evalExactSign(m)) != 0)   // usual case
       return isolateRoot(i-n, m, y);
@@ -542,7 +542,7 @@ public:
   }//End of refineAllRoots
 
   // This is the new version of "refineAllRoots"
-  //    	based on Newton iteration
+  //            based on Newton iteration
   // It should be used instead of refineAllRoots!
   void newtonRefineAllRoots( BFVecInterval &v, int aprec) {
 
@@ -566,17 +566,17 @@ public:
   }//End of newtonRefineAllRoots
 
   /** val = newtonIterN(n, bf, del, err, fuMSB, ffuMSB)
-   * 
+   *
    *    val is the root after n iterations of Newton
    *       starting from initial value of bf and is exact.
    *    fuMSB and ffuMSB are precision parameters for the approximating
-   *		the coefficients of the underlyinbg polynomial, f(x).
-   *    	THEY are used ONLY if the coefficients of the polynomial
-   *		comes from a field (in particular, Expr or BigRat).
-   *		We initially approximate the coefficients of f(x) to fuMSB 
-   *		relative bits, and f'(x) to ffuMSB relative bits.
-   *		The returned values of fuMSB and ffuMSB are the final
-   *		precision used by the polynomial evaluation algorithm.
+   *                the coefficients of the underlyinbg polynomial, f(x).
+   *            THEY are used ONLY if the coefficients of the polynomial
+   *                comes from a field (in particular, Expr or BigRat).
+   *                We initially approximate the coefficients of f(x) to fuMSB
+   *                relative bits, and f'(x) to ffuMSB relative bits.
+   *                The returned values of fuMSB and ffuMSB are the final
+   *                precision used by the polynomial evaluation algorithm.
    *    Return by reference, "del" (difference between returned val and value
    *       in the previous Newton iteration)
    *
@@ -585,13 +585,13 @@ public:
    *    IMPORTANT: we assume that when x is an exact BigFloat,
    *    then Polynomial<NT>::eval(x) will be exact!
    *    But current implementation of eval() requires NT <= BigFloat.
-   * ****************************************************/    
+   * ****************************************************/
 
   BigFloat newtonIterN(long n, const BigFloat& bf, BigFloat& del,
-	unsigned long & err, extLong& fuMSB, extLong& ffuMSB) {
+        unsigned long & err, extLong& fuMSB, extLong& ffuMSB) {
     if (len <= 0) return bf;   // Nothing to do!  User must
                                // check this possibility!
-    BigFloat val = bf;  
+    BigFloat val = bf;
     // val.makeExact();    // val is exact
 
     // newton iteration
@@ -622,11 +622,11 @@ public:
       if (f == 0) {
         NEWTON_DIV_BY_ZERO = false;
         del = 0;    // Indicates that we have reached the exact root
-		    //    This is because eval(val) is exact!!!
+                    //    This is because eval(val) is exact!!!
         return val; // val is the exact root, before the last iteration
       }
       del = f/ff; // But the accuracy of "f/ff" must be controllable
-		    // by the caller...
+                    // by the caller...
       err = del.err();
       del.makeExact(); // makeExact() is necessary
       val -= del;
@@ -635,7 +635,7 @@ public:
     return val;
   }//newtonIterN
 
-  //Another version of newtonIterN which does not return the error 
+  //Another version of newtonIterN which does not return the error
   //and passing the uMSB as arguments; it is easier for the user to call
   //this.
   BigFloat newtonIterN(long n, const BigFloat& bf, BigFloat& del){
@@ -651,9 +651,9 @@ public:
   //    Returned value is an exact BigFloat.
   //    We guarantee at least one Newton step (so del is defined).
   //
-  //	   The parameters fuMSB and ffuMSB are precision parameters for
-  //	   evaluating coefficients of f(x) and f'(x), used similarly
-  //	   as described above for newtonIterN(....)
+  //           The parameters fuMSB and ffuMSB are precision parameters for
+  //           evaluating coefficients of f(x) and f'(x), used similarly
+  //           as described above for newtonIterN(....)
   //
   //    Return by reference "del" (difference between returned val and value
   //       in the previous Newton iteration).  This "del" is an upper bound
@@ -666,8 +666,8 @@ public:
   //       in the Newton zone.  So we use the global N_STOP_ITER to
   //       prevent infinite loop.
 
-  BigFloat newtonIterE(int prec, const BigFloat& bf, BigFloat& del, 
-	extLong& fuMSB, extLong& ffuMSB) {
+  BigFloat newtonIterE(int prec, const BigFloat& bf, BigFloat& del,
+        extLong& fuMSB, extLong& ffuMSB) {
     // usually, prec is positive
     int count = N_STOP_ITER; // upper bound on number of iterations
     int stepsize = 1;
@@ -681,7 +681,7 @@ public:
     } while ((del != 0) && ((del.uMSB() >= -prec) && (count >0))) ;
 
     if (count == 0) core_error("newtonIterE: reached count=0",
-		    	__FILE__, __LINE__, true);
+                            __FILE__, __LINE__, true);
     del = BigFloat(core_abs(del.m()), err, del.exp() );
     del.makeCeilExact();
     return val;
@@ -692,8 +692,8 @@ public:
     extLong fuMSB=0, ffuMSB=0;
     return newtonIterE(prec, bf, del, fuMSB, ffuMSB);
   }
-  // A Smale bound which is an \'a posteriori condition. Applying 
-  // Newton iteration to any point z satisfying this condition we are 
+  // A Smale bound which is an \'a posteriori condition. Applying
+  // Newton iteration to any point z satisfying this condition we are
   // sure to converge to the nearest root in a certain interval of z.
   // The condition is for all k >= 2,
   //    | \frac{p^(k)(z)}{k!p'(z)} |^{1\(k-1)} < 1/8 * |\frac{p'(z)}{p(z)}|
@@ -706,12 +706,12 @@ public:
     temp = core_abs(temp2/p[0].eval(z))/8;
     BigInt fact_k = 2;
     for(int k = 2; k <= deg; k++){
-      temp1 = core_abs(p[k].eval(z)/(fact_k*temp2)); 
+      temp1 = core_abs(p[k].eval(z)/(fact_k*temp2));
       if(k-1 == 2)
-	temp1 = sqrt(temp1);
+        temp1 = sqrt(temp1);
       else
-	temp1 = root(temp1, k-1);
-      if(temp1 >= temp) return false; 
+        temp1 = root(temp1, k-1);
+      if(temp1 >= temp) return false;
     }
     return true;
     }
@@ -720,7 +720,7 @@ public:
   //An easily computable Smale's point estimate for Newton as compared to the
   //one above. The criterion is
   //
-  // ||f||_{\infty} * \frac{|f(z)|}{|f'(z)|^2} 
+  // ||f||_{\infty} * \frac{|f(z)|}{|f'(z)|^2}
   //                * \frac{\phi'(|z|)^2}{\phi(|z|)}  < 0.03
   // where
   //           \phi(r) = \sum_{i=0}{m}r^i,
@@ -738,7 +738,7 @@ public:
   //    \phi(r)        (r-1) (r^{m+1} - 1)
   //
   // Alternatively, we have
-  // 
+  //
   //    \phi'(r)^2     (mr^{m+1} + 1)^2
   //     ---------  <  -------------------          (2)
   //    \phi(r)        (r-1)^3 (r^{m+1} - 1)
@@ -751,10 +751,10 @@ public:
   //    \phi'(r)^2     m^2 (m + 1)
   //     ---------  =  -----------                  (3)
   //    \phi(r)            4
-  // 
+  //
   // REMARK: smaleBoundTest(z) actually computes an upper bound
-  // 	on alpha(f,z), and compares it to 0.02 (then our theory
-  // 	says that z is a robust approximate zero).
+  //         on alpha(f,z), and compares it to 0.02 (then our theory
+  //         says that z is a robust approximate zero).
   //
   bool smaleBoundTest(const BigFloat& z){
     CGAL_assertion(z.isExact());   // the bound only makes sense for exact z
@@ -775,10 +775,10 @@ public:
     temp = temp*seq[0].height();  // remains exact
     //Thus, temp >=  ||f||_{\infty} |\frac{f(z)}{f'(z)^2}|
 
-    int m = seq[0].getTrueDegree();    
+    int m = seq[0].getTrueDegree();
     BigFloat x = core_abs(z);
     if (x==1)   // special case, using (3)
-	    return (temp * BigFloat(m*m*(m+1)).div2().div2() < 0.02);
+            return (temp * BigFloat(m*m*(m+1)).div2().div2() < 0.02);
 
     BigFloat temp1;
     if (x>1) { // use formula (1)
@@ -801,12 +801,12 @@ public:
 
 
   // yapsBound(p)
-  // 	returns a bound on size of isolating interval of polynomial p
-  // 	which is guaranteed to be in the Newton Zone.
+  //         returns a bound on size of isolating interval of polynomial p
+  //         which is guaranteed to be in the Newton Zone.
   //    N.B. p MUST be square-free
   //
   //   Reference: Theorem 6.37, p.184 of Yap's book
-  //   	   [Fundamental Problems of Algorithmic Algebra]
+  //              [Fundamental Problems of Algorithmic Algebra]
 
   BigFloat yapsBound(const Polynomial<NT> & p) const {
     int deg = p.getTrueDegree();
@@ -814,7 +814,7 @@ public:
                *pow(BigFloat(2+p.height()),6*deg));
   }
 
-  //newtonRefine(J, a) 
+  //newtonRefine(J, a)
   //
   //    ASSERT(J is an isolating interval for some root x^*)
   //
@@ -824,23 +824,23 @@ public:
   //    We will return a refined interval with exact endpoints,
   //    still called J, containing x^* and
   //
-  // 			|J| < 2^{-a}.
+  //                         |J| < 2^{-a}.
   //
-  // 	TO DO: write a version of newtonRefine(J, a, sign) where
-  // 	sign=J.first.sign(), since you may already know the sign
-  // 	of J.first.  This will skip the preliminary stuff in the
-  // 	current version.
+  //         TO DO: write a version of newtonRefine(J, a, sign) where
+  //         sign=J.first.sign(), since you may already know the sign
+  //         of J.first.  This will skip the preliminary stuff in the
+  //         current version.
   //
   BFInterval newtonRefine(BFInterval &J, int aprec) {
 
 #ifdef CORE_DEBUG_NEWTON
 std::cout << "In newtonRefine, input J=" << J.first
-	<< ", " << J.second << " precision = " << aprec << std::endl;
+        << ", " << J.second << " precision = " << aprec << std::endl;
 #endif
 
     if (len <= 0) return J;   // Nothing to do!  User must
                                // check this possibility!
-      
+
 
     if((J.second - J.first).uMSB() < -aprec){
       return (J);
@@ -867,7 +867,7 @@ std::cout << "In newtonRefine, input J="
     // REMARK: NO_STEPS=1 is incorrect, as it may lead to
     //      linear convergence (it is somewhat similar to Dekker-Brent's
     //      idea of guaranteeing that bisection does not
-    //	    destroy the superlinear convergence of Newton.
+    //            destroy the superlinear convergence of Newton.
     int N = NO_STEPS;
 
     BigFloat x, del, olddel, temp;
@@ -882,9 +882,9 @@ std::cout << "In newtonRefine, input J="
 
     //MAIN WHILE LOOP. We ensure that J always contains the root
 
-    while ( !smaleBoundTest(x) && 
-	    (J.second - J.first) > yap &&
-	   (J.second - J.first).uMSB() >= -aprec) {
+    while ( !smaleBoundTest(x) &&
+            (J.second - J.first) > yap &&
+           (J.second - J.first).uMSB() >= -aprec) {
       x = newtonIterN(N, x, del, err, fuMSB, ffuMSB);
       if ((del == 0)&&(NEWTON_DIV_BY_ZERO == false)) {  // reached exact root!
         J.first = J.second = x;
@@ -893,28 +893,28 @@ std::cout << "In newtonRefine, input J="
 
       BigFloat left(x), right(x);
       if (del>0) {
-      	left -= del; right += del;
+              left -= del; right += del;
       } else {
-      	left += del; right -= del;
+              left += del; right -= del;
       }
 
       // update interval
       if ((left > J.first)&&(left <J.second)) {
-	  int lSign = sign(seq[0].evalExactSign(left));
+          int lSign = sign(seq[0].evalExactSign(left));
           if (lSign == leftSign)  // leftSign=sign of J.first
             J.first = left;
-	  else if (lSign == 0) {
+          else if (lSign == 0) {
             J.first = J.second = left;
             return J;
           } else {
-	    J.second = left;
-          }	
+            J.second = left;
+          }
       }
       if ((right < J.second)&&(right >J.first)) {
-	  int rSign = sign(seq[0].evalExactSign(right));
+          int rSign = sign(seq[0].evalExactSign(right));
           if (rSign == rightSign)
             J.second = right;
-	  else if (rSign == 0) {
+          else if (rSign == 0) {
             J.first = J.second = right;
             return J;
           } else {
@@ -927,61 +927,61 @@ std::cout << "In newtonRefine, input J="
       if (width*2 <= old_width && !NEWTON_DIV_BY_ZERO) {
                                   // we can get a better root:
 
-	// No, it is not necessary to update x to
-	// the midpoint of the new interval J.
-	// REASON: basically, it is hard to be smarter than Newton's method!
-	// Newton might bring x very close to one endpoint, but it can be
-	// because the root is near there!  In any case,
-	// by setting x to the center of J, you only gain at most
+        // No, it is not necessary to update x to
+        // the midpoint of the new interval J.
+        // REASON: basically, it is hard to be smarter than Newton's method!
+        // Newton might bring x very close to one endpoint, but it can be
+        // because the root is near there!  In any case,
+        // by setting x to the center of J, you only gain at most
   // one bit of accuracy, but you stand to lose an
-	// arbitrary amount of bits of accuracy if you are unlucky!
-	// So I will comment out the next line.  --Chee (Aug 9, 2004).
-	// 
-	// x = (J.second + J.first).div2();
-	if (J.first > x || J.second < x)
-	  x = (J.second + J.first).div2();
+        // arbitrary amount of bits of accuracy if you are unlucky!
+        // So I will comment out the next line.  --Chee (Aug 9, 2004).
+        //
+        // x = (J.second + J.first).div2();
+        if (J.first > x || J.second < x)
+          x = (J.second + J.first).div2();
 
-	old_width = width; // update width
+        old_width = width; // update width
 
         N ++;      // be more confident or aggressive
-	           //  (perhaps we should double N)
-		   //
+                   //  (perhaps we should double N)
+                   //
       } else {// Either NEWTON_DIV_BY_ZERO=true
-	      // Or width has not decreased sufficiently
-	x = (J.second + J.first).div2();//Reset x to midpoint since it was the
-	                                //value from a failed Newton step
-	xSign = sign(seq[0].evalExactSign(x));
-	if (xSign == rightSign) {
-	  J.second = x;
-	} else if (xSign == leftSign) {
-	  J.first = x;
-	} else { // xSign must be 0
-	  J.first = J.second = x; return J;
-	}
-	x = (J.second + J.first).div2();
-
-	old_width = old_width.div2(); // update width
-	
-	// reduce value of N:
-	N = core_max(N-1, NO_STEPS);   // N must be at least NO_STEPS
+              // Or width has not decreased sufficiently
+        x = (J.second + J.first).div2();//Reset x to midpoint since it was the
+                                        //value from a failed Newton step
+        xSign = sign(seq[0].evalExactSign(x));
+        if (xSign == rightSign) {
+          J.second = x;
+        } else if (xSign == leftSign) {
+          J.first = x;
+        } else { // xSign must be 0
+          J.first = J.second = x; return J;
+        }
+        x = (J.second + J.first).div2();
+
+        old_width = old_width.div2(); // update width
+
+        // reduce value of N:
+        N = core_max(N-1, NO_STEPS);   // N must be at least NO_STEPS
       }
     }//MAIN WHILE LOOP
 
     if((J.second - J.first).uMSB() >= -aprec){ // The interval J
                     //still hasn't reached the required precision.
                     //But we know the current value of x (call it x_0)
-		    //is in the strong Newton basin of the
-		    //root x^* (because it passes Smale's bound)
+                    //is in the strong Newton basin of the
+                    //root x^* (because it passes Smale's bound)
       //////////////////////////////////////////////////////////////////
       //Both x_0 and the root x^* are in the interval J.
       //Let NB(x^*) be the strong Newton basin of x^*.  By definition,
       //x_0 is in NB(x^*) means that:
       //
       //    x_0 is in NB(x^*) iff |x_n-x^*| \le 2^{-2^{n}+1} |x_0-x^*|
-      //    
-      // where x_n is the n-th iterate of Newton.  
-      //    
-      //  LEMMA 1: if x_0  \in NB(x^*) then 
+      //
+      // where x_n is the n-th iterate of Newton.
+      //
+      //  LEMMA 1: if x_0  \in NB(x^*) then
       //               |x_0 - x^*| <= 2|del|      (*)
       //  and
       //               |x_1 - x^*| <= |del|       (**)
@@ -996,32 +996,32 @@ std::cout << "In newtonRefine, input J="
       //         |x_0-x^*| - |del| <= |x_0-x^*|/2,
       //which follows from
       //         |x_0-x^* + del| <= |x_0-x^*|/2,
-      //which is equivalent to (***).  
+      //which is equivalent to (***).
       //The bound (**) follows from (*) and (***).
       //QED
       //
       //  COMMENT: the above derivation refers to the exact values,
       //  but what we compute is X_1 where X_1 is an approximation to
       //  x_1.  However, let us write X_1 = x_0 - DEL, where DEL is
-      //  an approximation to del.  
+      //  an approximation to del.
       //
       //  LEMMA 2:  If |DEL| >= |del|,
       //  then (**) holds with X_1 and DEL in place of x_1 and del.
-      //  
-      //  NOTE: We implemented this DEL in newtonIterE.   
+      //
+      //  NOTE: We implemented this DEL in newtonIterE.
 
 #ifdef CORE_DEBUG
       std::cout << "Inside Newton Refine: Refining Part " << std::endl;
 
       if((J.second - J.first) > yap)
-	std::cout << "Smales Bound satisfied " << std::endl;
+        std::cout << "Smales Bound satisfied " << std::endl;
       else
-	std::cout << "Chees Bound satisfied " << std::endl;
+        std::cout << "Chees Bound satisfied " << std::endl;
 #endif
       xSign = sign(seq[0].evalExactSign(x));
       if(xSign == 0){
-	J.first = J.second = x; 
-	return J; // missing before!
+        J.first = J.second = x;
+        return J; // missing before!
       }
 
       //int k = clLg((-(J.second - J.first).lMSB() + aprec).asLong());
@@ -1029,13 +1029,13 @@ std::cout << "In newtonRefine, input J="
       xSign = sign(seq[0].evalExactSign(x));
 
       if(xSign == leftSign){//Root is greater than x
-	J.first = x;
-	J.second = x + del;  // justified by Lemma 2 above
+        J.first = x;
+        J.second = x + del;  // justified by Lemma 2 above
       }else if(xSign == rightSign){//Root is less than x
-	J.first = x - del;   // justified by Lemma 2 above
-	J.second = x ;
+        J.first = x - del;   // justified by Lemma 2 above
+        J.second = x ;
       }else{//x is the root
-	J.first = J.second = x;
+        J.first = J.second = x;
       }
     }
 
@@ -1043,11 +1043,11 @@ std::cout << "In newtonRefine, input J="
 
 #ifdef CORE_DEBUG
     std::cout << " Returning from Newton Refine: J.first = " << J.first
-	      << " J.second = " << J.second << " aprec = " << aprec
-	      << " Sign at the interval endpoints = " 
-	      << sign(seq[0].evalExactSign(J.first))
-	      << " : " << sign(seq[0].evalExactSign(J.second)) << " Err at starting = " 
-	      << J.first.err() << " Err at end = " << J.second.err() << std::endl;
+              << " J.second = " << J.second << " aprec = " << aprec
+              << " Sign at the interval endpoints = "
+              << sign(seq[0].evalExactSign(J.first))
+              << " : " << sign(seq[0].evalExactSign(J.second)) << " Err at starting = "
+              << J.first.err() << " Err at end = " << J.second.err() << std::endl;
 #endif
 
     CGAL_assertion( (seq[0].evalExactSign(J.first) * seq[0].evalExactSign(J.second) <= 0) );
@@ -1066,13 +1066,13 @@ std::cout << "In newtonRefine, input J="
 
 
 // ==================================================
-// Helper Functions 
+// Helper Functions
 // ==================================================
 
 // isZeroIn(I):
 //          returns true iff 0 is in the closed interval I
 CORE_INLINE bool isZeroIn(BFInterval I) {
-	return ((I.first <= 0.0) && (I.second >= 0.0));
+        return ((I.first <= 0.0) && (I.second >= 0.0));
 }
 
 /////////////////////////////////////////////////////////////////
diff -pruN 5.0.2-3/include/CGAL/CORE/Promote.h 5.0.3-1/include/CGAL/CORE/Promote.h
--- 5.0.2-3/include/CGAL/CORE/Promote.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/Promote.h	2020-08-01 19:02:16.000000000 +0000
@@ -21,8 +21,8 @@
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/Promote.h $
- * $Id: Promote.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/Promote.h $
+ * $Id: Promote.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -31,7 +31,7 @@
 
 #include <CGAL/CORE/Impl.h>
 
-namespace CORE { 
+namespace CORE {
 
 /// hasExactDivision()
 ///   CHECKING if NT has exact division
@@ -39,10 +39,10 @@ namespace CORE {
 ///   prove theorems about arithmetic identities like "x*(y/x) == y"
 ///   USAGE:  If you want to check if a number type NT has exact division, do for example,
 ///            if (hasExactDivision< NT >::check()) ...
-///   		We use this in Polynomial<NT> class.
+///                   We use this in Polynomial<NT> class.
 template < class NT >
 struct hasExactDivision {
-  static bool check() {		// This default function is supposed to work for NT other than BigRat or Expr
+  static bool check() {                // This default function is supposed to work for NT other than BigRat or Expr
      return false;
   }
 };
@@ -67,53 +67,53 @@ class Promotion<T, T> {
     typedef T ResultT;
 };
 
-#define MAX_TYPE(T1, T2)		\
+#define MAX_TYPE(T1, T2)                \
   typename Promotion<T1, T2>::ResultT
 
-#define DEFINE_MAX_TYPE(T1, T2, Tr)	\
-  template<> class Promotion<T1, T2> {	\
-    public:				\
-      typedef Tr ResultT;		\
-  };					\
-  template<> class Promotion<T2, T1> {	\
-    public:				\
-      typedef Tr ResultT;		\
+#define DEFINE_MAX_TYPE(T1, T2, Tr)        \
+  template<> class Promotion<T1, T2> {        \
+    public:                                \
+      typedef Tr ResultT;                \
+  };                                        \
+  template<> class Promotion<T2, T1> {        \
+    public:                                \
+      typedef Tr ResultT;                \
   };
 
 /*
  * For example:
  *
- * DEFINE_MAX_TYPE(BigInt, BigRat, BigRat)   	// define the promotion
+ * DEFINE_MAX_TYPE(BigInt, BigRat, BigRat)           // define the promotion
  *
- * template<typename T1, typename T2> 		// define function f with type templates
+ * template<typename T1, typename T2>                 // define function f with type templates
  *   MAX_TYPE(T1, T2) f(T1& , T2& );
  *
  * or
  *
- * template<typename T1, typename T2> 		// define function f with type templates
+ * template<typename T1, typename T2>                 // define function f with type templates
  *   const MAX_TYPE(T1, T2)& f(T1& , T2& );
  *
  * BigInt  a  =  1;
  * BigRat  b  = "1/3";
- * BigRat  c  =  f(a, b);			// or, typename Promotion<BigInt, BigRat>::ResultT c = f(a,b);
+ * BigRat  c  =  f(a, b);                        // or, typename Promotion<BigInt, BigRat>::ResultT c = f(a,b);
  *
  * REMARK: this mechanism is used by the eval function for polynomial evaluation (see Poly.tcc)
  * where the two types are NT (type of coefficients) and N (type of evaluation point).
  */
 
-/* 
+/*
  * primary types: (11)
  *
- * 	bool, 
- *	char, unsigned char, 
- *	short, unsigned short,
- * 	int, unsigned int, 
- *	long, unsigned long, 
- *	float, double
+ *         bool,
+ *        char, unsigned char,
+ *        short, unsigned short,
+ *         int, unsigned int,
+ *        long, unsigned long,
+ *        float, double
  *
  * CORE types: (5)
  *
- * 	BigInt < BigFloat < BigRat < Real < Expr
+ *         BigInt < BigFloat < BigRat < Real < Expr
  *
  *      (NOTE: BigFloat here must be error-free)
  *
diff -pruN 5.0.2-3/include/CGAL/CORE/Real.h 5.0.3-1/include/CGAL/CORE/Real.h
--- 5.0.2-3/include/CGAL/CORE/Real.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/Real.h	2020-08-01 19:02:16.000000000 +0000
@@ -6,30 +6,30 @@
  * This file is part of CGAL (www.cgal.org).
  *
  * File: Real.h
- * 
- * Synopsis: The Real class is a superclass for all the number 
+ *
+ * Synopsis: The Real class is a superclass for all the number
  *           systems in the Core Library (int, long, float, double,
  *           BigInt, BigRat, BigFloat, etc)
- * 
- * Written by 
+ *
+ * Written by
  *       Koji Ouchi <ouchi@simulation.nyu.edu>
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
- *       Sylvain Pion <pion@cs.nyu.edu> 
+ *       Sylvain Pion <pion@cs.nyu.edu>
  *
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/Real.h $
- * $Id: Real.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/Real.h $
+ * $Id: Real.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 #ifndef _CORE_REAL_H_
 #define _CORE_REAL_H_
 #include "RealRep.h"
 
-namespace CORE { 
+namespace CORE {
 // class Real
 typedef RCImpl<RealRep> RCReal;
 class Real : public RCReal {
@@ -169,7 +169,7 @@ public:
   /// \name Aprroximation Function
   //@{
   /// approximation
-  Real approx(const extLong& r=get_static_defRelPrec(), 
+  Real approx(const extLong& r=get_static_defRelPrec(),
               const extLong& a=get_static_defAbsPrec()) const {
     return rep->approx(r, a);
   }
diff -pruN 5.0.2-3/include/CGAL/CORE/Real_impl.h 5.0.3-1/include/CGAL/CORE/Real_impl.h
--- 5.0.2-3/include/CGAL/CORE/Real_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/Real_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -6,22 +6,22 @@
  * This file is part of CGAL (www.cgal.org).
  *
  * File: Real.cpp
- * Synopsis: The Real class is a superclass for all the number 
+ * Synopsis: The Real class is a superclass for all the number
  *           systems in the Core Library (int, long, float, double,
  *           BigInt, BigRat, BigFloat, etc)
- *           
- * Written by 
+ *
+ * Written by
  *       Koji Ouchi <ouchi@simulation.nyu.edu>
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
- *       Sylvain Pion <pion@cs.nyu.edu> 
+ *       Sylvain Pion <pion@cs.nyu.edu>
  *
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/Real_impl.h $
- * $Id: Real_impl.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/Real_impl.h $
+ * $Id: Real_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -40,7 +40,7 @@
 #include <CGAL/CORE/BigFloat.h> // for FiveTo
 #endif
 
-namespace CORE { 
+namespace CORE {
 
 CGAL_INLINE_FUNCTION
 const Real& Real::getZero() {
@@ -92,38 +92,38 @@ extern BigInt FiveTo(unsigned long exp);
 
 // Construct Real from String
 // Note:
-// 	-- Zilin Du: 06/03/2003
-// 	-- Original it is the code for Real's constructor for "const char*".
-// 	   I change it to a function so that two constrcutors can share the code.
-// 	   now it is private and no default value.
+//         -- Zilin Du: 06/03/2003
+//         -- Original it is the code for Real's constructor for "const char*".
+//            I change it to a function so that two constrcutors can share the code.
+//            now it is private and no default value.
 //
 //   --Default value of the argument "prec" is get_static_defInputDigits()
 //   --If prec is CORE_posInfty, then the input is
-//	read in exactly.  Otherwise, we convert to a RealBigFloat
-//	with absolute error at most 10^{-prec}
+//        read in exactly.  Otherwise, we convert to a RealBigFloat
+//        with absolute error at most 10^{-prec}
 
 // Constructor Real( char *str, extLong& prec)
-//	is very similar to
-//		BigFloatRep::fromString( char *str, extLong& prec);
+//        is very similar to
+//                BigFloatRep::fromString( char *str, extLong& prec);
 // Differences:
-//	In BigFloat(str, prec), the value of prec cannot be infinity, and
-//		it defaults to defBigFloatInputDigits;
-//	In Real(str, prec), the value of prec is allowed to be infinity, and
-//		it defaults to defInputDigits.
+//        In BigFloat(str, prec), the value of prec cannot be infinity, and
+//                it defaults to defBigFloatInputDigits;
+//        In Real(str, prec), the value of prec is allowed to be infinity, and
+//                it defaults to defInputDigits.
 //
 // Why do we have the two versions?  It allows us to use the BigFloat class
-//	directly, without relying on Real class.
+//        directly, without relying on Real class.
 
 CGAL_INLINE_FUNCTION
 void Real::constructFromString(const char *str, const extLong& prec )
 // NOTE: prec defaults to get_static_defInputDigits() (see Real.h)
 {
-  //	8/8/01, Chee and Zilin: add a new rational string format:
-  //		this format is indicated by the presence of a slash "/"
-  //		Moreover, the value of prec is ignored (basically
-  //		assumed to be infinity).
+  //        8/8/01, Chee and Zilin: add a new rational string format:
+  //                this format is indicated by the presence of a slash "/"
+  //                Moreover, the value of prec is ignored (basically
+  //                assumed to be infinity).
 
-  if (std::strchr(str, '/') != nullptr) {	// this is a rational number
+  if (std::strchr(str, '/') != nullptr) {        // this is a rational number
     rep = new RealBigRat(BigRat(str));
     return;
   }
@@ -132,7 +132,7 @@ void Real::constructFromString(const cha
   int dot = 0;
   long e10 = 0;
   if (e != nullptr)
-    e10 = std::atol(e+1);	// e10 is decimal precision of the input string
+    e10 = std::atol(e+1);        // e10 is decimal precision of the input string
   // i.e., input is A/10^{e10}.
   else {
     e = str + std::strlen(str);
@@ -167,7 +167,7 @@ void Real::constructFromString(const cha
     rep = new RealBigInt(m);
   } else { // e10 < 0,  fractional numbers
     // HERE IS WHERE WE USE THE SYSTEM CONSTANT
-    //	       get_static_defInputDigits()
+    //               get_static_defInputDigits()
     // Note: get_static_defInputDigits() should be at least log_2(10).
     //       We default get_static_defInputDigits() to 4.
     //std::cout << "(m,ten)=" << m << "," << ten << std::endl;
@@ -203,7 +203,7 @@ std::istream& operator >>(std::istream&
   do {
     i.get(c);
   } while (!i.eof() && isspace(c)); /* loop if met end-of-file, or
-  			   char read in is white-space. */
+                             char read in is white-space. */
   // Chen Li,
   // original "if (c == EOF) ..." is unsafe since c is of char type and
   // EOF is of int tyep with a negative value -1
diff -pruN 5.0.2-3/include/CGAL/CORE/RealRep.h 5.0.3-1/include/CGAL/CORE/RealRep.h
--- 5.0.2-3/include/CGAL/CORE/RealRep.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/RealRep.h	2020-08-01 19:02:16.000000000 +0000
@@ -6,28 +6,28 @@
  * This file is part of CGAL (www.cgal.org).
  *
  * File: RealRep.h
- * Synopsis: 
- * 		Internal Representation for Real
+ * Synopsis:
+ *                 Internal Representation for Real
  *
- * Written by 
+ * Written by
  *       Koji Ouchi <ouchi@simulation.nyu.edu>
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
- *       Sylvain Pion <pion@cs.nyu.edu> 
- * 
+ *       Sylvain Pion <pion@cs.nyu.edu>
+ *
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/RealRep.h $
- * $Id: RealRep.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/RealRep.h $
+ * $Id: RealRep.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 #ifndef _CORE_REALREP_H_
 #define _CORE_REALREP_H_
 #include "BigFloat.h"
 
-namespace CORE { 
+namespace CORE {
 
 class Real;
 
@@ -56,7 +56,7 @@ public:
   virtual BigFloat sqrt(const extLong&, const BigFloat&) const = 0;
 
   virtual void ULV_E(extLong &, extLong&, extLong&,
-		  extLong&, extLong&, extLong&) const = 0;
+                  extLong&, extLong&, extLong&) const = 0;
   virtual extLong flrLgErr() const = 0;
   virtual extLong clLgErr() const = 0;
   virtual unsigned long degree() const = 0;
@@ -416,12 +416,12 @@ inline extLong RealBigFloat::clLgErr() c
 template<>
 inline unsigned long RealLong::length() const {
   return clLg(1+ core_abs(ker));
-}	// length is (log_2(1+ker^2)) /2.
+}        // length is (log_2(1+ker^2)) /2.
 
 template<>
 inline unsigned long RealLong::height() const {
   return clLg(core_max(1L, core_abs(ker)));
-}	// height is max{1, |ker|}
+}        // height is max{1, |ker|}
 
 template<>
 inline unsigned long RealDouble::length() const {
diff -pruN 5.0.2-3/include/CGAL/CORE/RefCount.h 5.0.3-1/include/CGAL/CORE/RefCount.h
--- 5.0.2-3/include/CGAL/CORE/RefCount.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/RefCount.h	2020-08-01 19:02:16.000000000 +0000
@@ -6,7 +6,7 @@
  * This file is part of CGAL (www.cgal.org).
  *
  * File: RefCount.h
- * Synopsis: 
+ * Synopsis:
  *     1. This file defines two templated classes:
  *               RCRepImpl<class N>
  *     to create Reps of the class N.  The basic functions provided by
@@ -30,16 +30,16 @@
  *         class BigRat : public RCBigRat {
  *         ...
  *         }
- * 
- * Written by 
+ *
+ * Written by
  *       Zilin Du <zilin@cs.nyu.edu>
  *       Chee Yap <yap@cs.nyu.edu>
  *
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/RefCount.h $
- * $Id: RefCount.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/RefCount.h $
+ * $Id: RefCount.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -47,7 +47,7 @@
 #ifndef _CORE_REFCOUNT_H_
 #define _CORE_REFCOUNT_H_
 
-namespace CORE { 
+namespace CORE {
 
 template<class Deriving>
 class RCRepImpl {
@@ -86,16 +86,16 @@ public:
     return *rep;
   }
 
-  
+
   /// clone data
   void makeCopy() {
     if (rep->getRefCount() > 1) {
       T* oldValue = rep;
       rep->decRef(); // safe since rep has been referred at least once.
-      rep = oldValue ? new T(*oldValue) : 0; 
+      rep = oldValue ? new T(*oldValue) : 0;
     }
   }
- 
+
 #ifdef CORE_RC_DEBUG
   /// get counter
   int getRefCount() const {
diff -pruN 5.0.2-3/include/CGAL/CORE/Timer.h 5.0.3-1/include/CGAL/CORE/Timer.h
--- 5.0.2-3/include/CGAL/CORE/Timer.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE/Timer.h	2020-08-01 19:02:16.000000000 +0000
@@ -11,7 +11,7 @@
  *
  *      Here is an example of how to use it:
  *
- *		Timer timer;
+ *                Timer timer;
  *
  *              timer.start();
  *              .. do some tasks for timing ..
@@ -20,14 +20,14 @@
  *              long clock = timer.getClocks();     // get CPU clocks
  *              long seconds = time.getSeconds();   // get seconds
  *
- * Written by 
+ * Written by
  *       Zilin Du <zilin@cs.nyu.edu>
  *
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/CORE/Timer.h $
- * $Id: Timer.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/CORE/Timer.h $
+ * $Id: Timer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
@@ -37,7 +37,7 @@
 #include <CGAL/CORE/Impl.h>
 #include <ctime>
 
-namespace CORE { 
+namespace CORE {
 
 class Timer {
 private:
diff -pruN 5.0.2-3/include/CGAL/CORE_algebraic_number_traits.h 5.0.3-1/include/CGAL/CORE_algebraic_number_traits.h
--- 5.0.2-3/include/CGAL/CORE_algebraic_number_traits.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE_algebraic_number_traits.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/CORE_algebraic_number_traits.h $
-// $Id: CORE_algebraic_number_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/CORE_algebraic_number_traits.h $
+// $Id: CORE_algebraic_number_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein          <wein@post.tau.ac.il>
 
@@ -133,13 +133,13 @@ public:
     x.doubleInterval (x_lo, x_hi);
     return (std::make_pair (x_lo, x_hi));
   }
-  
+
   /*!
    * Convert a sequence of rational coefficients to an equivalent sequence
    * of integer coefficients. If the input coefficients are q(1), ..., q(k),
    * where q(i) = n(i)/d(i) then the output coefficients will be of the
    * form:
-   *               n(i) * lcm {d(1), ... , d(k)} 
+   *               n(i) * lcm {d(1), ... , d(k)}
    *       a(i) = -------------------------------
    *               d(i) * gcd {n(1), ... , n(k)}
    *
@@ -283,7 +283,7 @@ public:
    * \return The polynomial.
    */
   Polynomial construct_polynomial (const Integer *coeffs,
-				   unsigned int degree) const
+                                   unsigned int degree) const
   {
     Polynomial   poly = Polynomial (degree, const_cast<Integer*> (coeffs));
     poly.contract();
@@ -298,12 +298,12 @@ public:
    * \param degree The degree of the input polynomial.
    * \param poly Output: The resulting polynomial with integer coefficients.
    * \param poly_denom Output: The denominator for the polynomial.
-   * \return Whether this polynomial is non-zero (false if the polynomial is 
+   * \return Whether this polynomial is non-zero (false if the polynomial is
    *         zero).
    */
   bool construct_polynomial (const Rational *coeffs,
-			     unsigned int degree,
-			     Polynomial& poly, Integer& poly_denom) const
+                             unsigned int degree,
+                             Polynomial& poly, Integer& poly_denom) const
   {
     // Compute the true degree for the polynomial.
     while (CGAL::sign (coeffs[degree]) == ZERO)
@@ -311,7 +311,7 @@ public:
       if (degree == 0)
       {
         poly_denom = 1;
-	return (false);
+        return (false);
       }
       degree--;
     }
@@ -385,7 +385,7 @@ public:
                                          const_cast<Rational*> (p_coeffs));
     Rat_polynomial   Q = Rat_polynomial (q_degree,
                                          const_cast<Rational*> (q_coeffs));
-    
+
     P.contract();
     Q.contract();
 
@@ -403,13 +403,13 @@ public:
 
       coeff = 1;
       q_poly =  construct_polynomial (&coeff, 0);
-      
+
       return (true);
     }
 
     // Compute the GCD of the two polynomials and normalize them.
     Rat_polynomial   g = CORE::gcd (P, Q);
-    
+
     if (g.getTrueDegree() > 0)
     {
       P = P.pseudoRemainder (g);
@@ -422,15 +422,15 @@ public:
     Integer        p_scale, q_scale;
 
     construct_polynomial (*(P.getCoeffs()), p_deg,
-			  p_poly, q_scale);
+                          p_poly, q_scale);
 
     construct_polynomial (*(Q.getCoeffs()), q_deg,
-			  q_poly, p_scale);
+                          q_poly, p_scale);
 
     // Scale the result polynomials.
     p_poly.mulScalar (p_scale);
     q_poly.mulScalar (q_scale);
-   
+
     return (true);
   }
 
@@ -462,7 +462,7 @@ public:
    */
   template <class NT>
   NT evaluate_at (const Polynomial& poly,
-		  NT& x) const
+                  NT& x) const
   {
     return (poly.eval (x));
   }
@@ -489,7 +489,7 @@ public:
     Polynomial   temp = poly;
     return (temp.mulScalar (a));
   }
-                     
+
   /*!
    * Perform "long division" of two polynomials: Given A(x) and B(x) compute
    * two polynomials Q(x) and R(x) such that: A(x) = Q(x)*B(x) + R(x) and
@@ -517,7 +517,7 @@ public:
    */
   template <class OutputIterator>
   OutputIterator compute_polynomial_roots (const Polynomial& poly,
-					   OutputIterator oi) const
+                                           OutputIterator oi) const
   {
     // Get the real degree of the polynomial.
     int            degree = poly.getTrueDegree();
@@ -528,17 +528,17 @@ public:
     // Check if we really have a simple quadratic equation.
     if (degree <= 2)
     {
-      return (solve_quadratic_equation ((degree == 2 ? poly.getCoeff(2) : 0), 
-					poly.getCoeff(1),
-					poly.getCoeff(0),
-					oi));
+      return (solve_quadratic_equation ((degree == 2 ? poly.getCoeff(2) : 0),
+                                        poly.getCoeff(1),
+                                        poly.getCoeff(0),
+                                        oi));
     }
 
     // Compute the real-valued roots of the polynomial.
     CORE::Sturm<Integer>       sturm (poly);
     const unsigned int         n_roots = sturm.numberOfRoots();
     unsigned int               i;
-    
+
     for (i = 1; i <= n_roots; i++)
     {
       // Get the i'th real-valued root.
@@ -562,7 +562,7 @@ public:
   template <class OutputIterator>
   OutputIterator compute_polynomial_roots (const Polynomial& poly,
                                            double x_min, double x_max,
-					   OutputIterator oi) const
+                                           OutputIterator oi) const
   {
     // Get the real degree of the polynomial.
     int            degree = poly.getTrueDegree();
@@ -577,7 +577,7 @@ public:
       Algebraic     alg_min (x_min), alg_max (x_max);
       Algebraic     buffer[2];
       Algebraic    *end_buffer =
-        solve_quadratic_equation ((degree == 2 ? poly.getCoeff(2) : 0), 
+        solve_quadratic_equation ((degree == 2 ? poly.getCoeff(2) : 0),
                                   poly.getCoeff(1),
                                   poly.getCoeff(0),
                                   buffer);
diff -pruN 5.0.2-3/include/CGAL/CORE_arithmetic_kernel.h 5.0.3-1/include/CGAL/CORE_arithmetic_kernel.h
--- 5.0.2-3/include/CGAL/CORE_arithmetic_kernel.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE_arithmetic_kernel.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arithmetic_kernel/include/CGAL/CORE_arithmetic_kernel.h $
-// $Id: CORE_arithmetic_kernel.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arithmetic_kernel/include/CGAL/CORE_arithmetic_kernel.h $
+// $Id: CORE_arithmetic_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Michael Hemmer <mhemmer@uni-mainz.de>
 //
 // ============================================================================
 //
-//    \brief provide class LEDA_arithmetic_kernel, a collection of number types. 
+//    \brief provide class LEDA_arithmetic_kernel, a collection of number types.
 //
 
 
@@ -23,7 +23,7 @@
 
 #ifdef CGAL_USE_CORE
 
-#define CGAL_HAS_CORE_ARITHMETIC_KERNEL 
+#define CGAL_HAS_CORE_ARITHMETIC_KERNEL
 
 #include <CGAL/Arithmetic_kernel/Arithmetic_kernel_base.h>
 #include <CGAL/Get_arithmetic_kernel.h>
diff -pruN 5.0.2-3/include/CGAL/CORE_BigFloat.h 5.0.3-1/include/CGAL/CORE_BigFloat.h
--- 5.0.2-3/include/CGAL/CORE_BigFloat.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE_BigFloat.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/CORE_BigFloat.h $
-// $Id: CORE_BigFloat.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/CORE_BigFloat.h $
+// $Id: CORE_BigFloat.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -18,52 +18,52 @@
 #include <CGAL/number_type_basic.h>
 #include <CGAL/CORE/BigFloat.h>
 #include <CGAL/CORE_coercion_traits.h>
-#include <CGAL/Interval_traits.h> 
-#include <CGAL/Bigfloat_interval_traits.h> 
+#include <CGAL/Interval_traits.h>
+#include <CGAL/Bigfloat_interval_traits.h>
 
 namespace CGAL {
 
-// ######### Interval_traits 
+// ######### Interval_traits
 
-template<> 
-class Interval_traits<CORE::BigFloat> 
+template<>
+class Interval_traits<CORE::BigFloat>
     : public internal::Interval_traits_base<CORE::BigFloat>{
     typedef CORE::BigFloat Interval;
-public: 
-    typedef Interval_traits<CORE::BigFloat> Self; 
+public:
+    typedef Interval_traits<CORE::BigFloat> Self;
     typedef CORE::BigFloat Type;
     typedef CORE::BigFloat Bound;
-    typedef CGAL::Tag_true Is_interval; 
-    typedef CGAL::Tag_true Is_bigfloat_interval; 
-  
- 
+    typedef CGAL::Tag_true Is_interval;
+    typedef CGAL::Tag_true Is_bigfloat_interval;
+
+
     struct Lower :public CGAL::cpp98::unary_function<Interval,Bound>{
-        Bound operator() ( Interval x ) const {   
+        Bound operator() ( Interval x ) const {
             CORE::BigFloat result = ::CORE::BigFloat(x.m()-x.err(),0,x.exp());
             CGAL_postcondition(result <= x);
-            return result; 
+            return result;
         }
     };
-    
+
     struct Upper :public CGAL::cpp98::unary_function<Interval,Bound>{
-        Bound operator() ( Interval x ) const {     
+        Bound operator() ( Interval x ) const {
             CORE::BigFloat result = ::CORE::BigFloat(x.m()+x.err(),0,x.exp());
             CGAL_postcondition(result >= x);
-            return result; 
+            return result;
         }
     };
 
     struct Width :public CGAL::cpp98::unary_function<Interval,Bound>{
-         
-        Bound operator() ( Interval x ) const {    
+
+        Bound operator() ( Interval x ) const {
             unsigned long err = 2*x.err();
             return Bound(CORE::BigInt(err),0,x.exp());
         }
     };
 
     struct Median :public CGAL::cpp98::unary_function<Interval,Bound>{
-         
-        Bound operator() ( Interval x ) const {   
+
+        Bound operator() ( Interval x ) const {
             return Bound(x.m(),0,x.exp());
         }
     };
@@ -74,38 +74,38 @@ public:
           return max BOOST_PREVENT_MACRO_SUBSTITUTION (Upper()(x).abs(),Lower()(x).abs());
         }
     };
-    
+
     struct Zero_in :public CGAL::cpp98::unary_function<Interval,bool>{
-        bool operator() ( Interval x ) const {      
-            return x.isZeroIn(); 
+        bool operator() ( Interval x ) const {
+            return x.isZeroIn();
         }
     };
 
     struct In :public CGAL::cpp98::binary_function<Bound,Interval,bool>{
-        bool operator()( Bound x, const Interval& a ) const {    
+        bool operator()( Bound x, const Interval& a ) const {
             CGAL_precondition(CGAL::singleton(x));
             return (Lower()(a) <= x && x <= Upper()(a));
         }
     };
 
     struct Equal :public CGAL::cpp98::binary_function<Interval,Interval,bool>{
-        bool operator()( const Interval& a, const Interval& b ) const { 
+        bool operator()( const Interval& a, const Interval& b ) const {
             return (Upper()(a) == Upper()(b) &&  Lower()(a) == Lower()(b));
         }
     };
-    
+
     struct Subset :public CGAL::cpp98::binary_function<Interval,Interval,bool>{
-        bool operator()( const Interval& a, const Interval& b ) const {   
+        bool operator()( const Interval& a, const Interval& b ) const {
             return Lower()(b) <= Lower()(a) && Upper()(a) <= Upper()(b);
         }
     };
-    
+
     struct Proper_subset :public CGAL::cpp98::binary_function<Interval,Interval,bool>{
-        bool operator()( const Interval& a, const Interval& b ) const { 
+        bool operator()( const Interval& a, const Interval& b ) const {
             return Subset()(a,b) && (!Equal()(a,b));
         }
     };
-    
+
     struct Intersection :public CGAL::cpp98::binary_function<Interval,Interval,Interval>{
       Interval operator()( const Interval& a, const Interval& b ) const {
             BOOST_USING_STD_MAX();
@@ -118,21 +118,21 @@ public:
             return Construct()(l,u);
         }
     };
- 
+
 
     struct Overlap :public CGAL::cpp98::binary_function<Interval,Interval,bool>{
-        bool operator() ( Interval x, Interval y ) const {       
+        bool operator() ( Interval x, Interval y ) const {
             Self::Zero_in Zero_in;
             bool result = Zero_in(x-y);
             return result;
         }
     };
-   
+
     struct Hull :public CGAL::cpp98::binary_function<Interval,Interval,Interval>{
 
       // for debugging
 /*      void print_bf(CORE::BigFloat bf, std::string s) const {
-        
+
         std::cout << s << ".m()=" << bf.m() << ","
                   << s << ".err()=" << bf.err() << ","
                   << s << ".exp()=" << bf.exp() << ","
@@ -146,50 +146,50 @@ public:
 #if 0
             // this is not possible since CORE::centerize has a bug.
             Interval result = CORE::centerize(x,y);
-#else 
+#else
 
             //print_bf(x,"x");
             //print_bf(y,"y");
-            
+
              CORE::BigFloat result;
-             
-            // Unfortunately, CORE::centerize(x,y) has bugs. 
-            if ((x.m() == y.m()) && (x.err() == y.err()) && (x.exp() == y.exp())) { 
+
+            // Unfortunately, CORE::centerize(x,y) has bugs.
+            if ((x.m() == y.m()) && (x.err() == y.err()) && (x.exp() == y.exp())) {
                 return x;
             }
-                         
+
             CORE::BigFloat lower = min BOOST_PREVENT_MACRO_SUBSTITUTION (CGAL::lower(x), CGAL::lower(y));
             CORE::BigFloat upper = max BOOST_PREVENT_MACRO_SUBSTITUTION (CGAL::upper(x), CGAL::upper(y));
 
             CORE::BigFloat mid = (lower + upper)/2;
-             
+
             //print_bf(lower,"lower");
             //print_bf(upper,"upper");
             //print_bf(mid,"mid");
 
             // Now we have to compute the error. The problem is that .err() is just a long
             CORE::BigFloat err = (upper - lower)/CORE::BigFloat(2);
-                   
+
             //print_bf(err,"err");
 
             //std::cout << "lower    " << lower << std::endl;
             //std::cout << "upper    " << upper << std::endl;
             //std::cout << "mid      " << mid << std::endl;
             //std::cout << "err I    " << err << std::endl;
-            
-            // shift such that err.m()+err.err() fits into long 
+
+            // shift such that err.m()+err.err() fits into long
             int digits_long = std::numeric_limits<long>::digits;
             if(::CORE::bitLength(err.m()+err.err()) >= digits_long){
-                long shift = ::CORE::bitLength(err.m()) - digits_long + 1 ; 
+                long shift = ::CORE::bitLength(err.m()) - digits_long + 1 ;
                 //std::cout << "shift " << shift<< std::endl;
-                long new_err = ((err.m()+err.err()) >> shift).longValue()+1; 
+                long new_err = ((err.m()+err.err()) >> shift).longValue()+1;
                 err = CORE::BigFloat(0,new_err,0) * CORE::BigFloat::exp2(err.exp()*CORE::CHUNK_BIT+shift);
-            }else{           
+            }else{
                 err = CORE::BigFloat(0,err.m().longValue()+err.err(),err.exp());
             }
             //print_bf(err,"new_err");
 
-            // TODO: This is a workaround for a bug in operator+ 
+            // TODO: This is a workaround for a bug in operator+
             // of CORE::Bigfloat. If the exponent difference is too big,
             // this might cause problems, since the error is a long
             if(mid.exp() > err.exp()) {
@@ -200,109 +200,109 @@ public:
                 mid = CORE::BigFloat(mid_m,mid_err,err.exp());
                 //print_bf(mid,"corr_mid");
             }
-            
-            //print_bf(result,"result");        
 
-            result = mid + err;  
-             
-#endif 
+            //print_bf(result,"result");
 
-            CGAL_postcondition( 
-                    CGAL::lower(result) 
+            result = mid + err;
+
+#endif
+
+            CGAL_postcondition(
+                    CGAL::lower(result)
                     <=  min BOOST_PREVENT_MACRO_SUBSTITUTION (CGAL::lower(x), CGAL::lower(y)));
-            CGAL_postcondition( 
-                    CGAL::upper(result) 
+            CGAL_postcondition(
+                    CGAL::upper(result)
                     >= max BOOST_PREVENT_MACRO_SUBSTITUTION (CGAL::upper(x), CGAL::upper(y)));
 
-            
+
 
             return result ;
         }
     };
 
     struct Singleton :public CGAL::cpp98::unary_function<Interval,bool> {
-        bool operator() ( Interval x ) const {       
-            return (x.err() == 0); 
+        bool operator() ( Interval x ) const {
+            return (x.err() == 0);
         }
     };
 
     struct Construct :public CGAL::cpp98::binary_function<Bound,Bound,Interval>{
         Interval operator()( const Bound& l,const Bound& r) const {
-            CGAL_precondition( l < r ); 
+            CGAL_precondition( l < r );
             return Hull()(l,r);
         }
     };
 };
 
 
-// ########### Bigfloat_interval_traits 
+// ########### Bigfloat_interval_traits
 
 
 // template<typename BFI> long relative_precision(BFI bfi);
 namespace internal{
 
-CORE::BigFloat 
-inline 
+CORE::BigFloat
+inline
 round(const CORE::BigFloat& x, long rel_prec = CORE::get_static_defRelPrec().toLong() ){
-    CGAL_postcondition(rel_prec >= 0);   
+    CGAL_postcondition(rel_prec >= 0);
 
     // since there is not rel prec defined if Zero_in(x)
-    if (x.isZeroIn()) return x; 
+    if (x.isZeroIn()) return x;
     // if (CGAL::get_significant_bits(x) <= rel_prec) return x;
-   
-// if 1 
+
+// if 1
 //    CORE::BigFloat xr;
 //    xr.approx(x,rel_prec,1024);
-//    typedef CORE::BigFloat BF; 
-// else       
-    typedef CORE::BigFloat BF; 
+//    typedef CORE::BigFloat BF;
+// else
+    typedef CORE::BigFloat BF;
     BF xr;
-   
+
     CORE::BigInt m = x.m();
     long         err = x.err();
-    long         exp = x.exp(); 
-   
+    long         exp = x.exp();
+
 
-//    std::cout <<"(" << m << "+-" <<err << ")*2^"<<(CORE::CHUNK_BIT*exp) << std::endl; 
-//    if (err != 0) 
+//    std::cout <<"(" << m << "+-" <<err << ")*2^"<<(CORE::CHUNK_BIT*exp) << std::endl;
+//    if (err != 0)
 //      std::cout <<"current prec: " <<  CGAL::relative_precision(x) << std::endl;
-//    else 
+//    else
 //      std::cout <<"current prec: " << " SINGLETON " << std::endl;
-//    std::cout <<"desired prec: " << rel_prec << std::endl; 
-//    std::cout <<"bitLength: " << CORE::bitLength(m) << std::endl; 
+//    std::cout <<"desired prec: " << rel_prec << std::endl;
+//    std::cout <<"bitLength: " << CORE::bitLength(m) << std::endl;
 //    long shift = ::CORE::bitLength(m) - rel_prec - 1;
-   
+
     long shift ;
     if (err == 0)
       shift = ::CORE::bitLength(m) - rel_prec - 3;
-    else      
-      shift = CGAL::relative_precision(x) - rel_prec -1; 
-    
-    if( shift > 0 ){    
-      m   >>= shift ; 
-      err >>= shift; 
-      xr = BF(m,err+1,0)*BF::exp2(exp*CORE::CHUNK_BIT+shift);     
+    else
+      shift = CGAL::relative_precision(x) - rel_prec -1;
+
+    if( shift > 0 ){
+      m   >>= shift ;
+      err >>= shift;
+      xr = BF(m,err+1,0)*BF::exp2(exp*CORE::CHUNK_BIT+shift);
     }else{    // noting to do
-        xr = x; 
+        xr = x;
     }
 
-//    std::cout <<"(" <<m << "+-" <<err+1 << ")*2^"<<(CORE::CHUNK_BIT*exp) << std::endl; 
-//    if (xr.err() != 0) 
+//    std::cout <<"(" <<m << "+-" <<err+1 << ")*2^"<<(CORE::CHUNK_BIT*exp) << std::endl;
+//    if (xr.err() != 0)
 //      std::cout <<"current prec: " <<  CGAL::relative_precision(xr) << std::endl;
-//    else 
+//    else
 //      std::cout <<"current prec: " << " SINGLETON "<< std::endl;
-//    std::cout <<"desired prec: " << rel_prec << std::endl; 
-    
-// endif     
-    CGAL_postcondition(singleton(xr) || CGAL::relative_precision(xr) - rel_prec >= 0); 
-    CGAL_postcondition(singleton(xr) || CGAL::relative_precision(xr) - rel_prec <= 32);   
+//    std::cout <<"desired prec: " << rel_prec << std::endl;
+
+// endif
+    CGAL_postcondition(singleton(xr) || CGAL::relative_precision(xr) - rel_prec >= 0);
+    CGAL_postcondition(singleton(xr) || CGAL::relative_precision(xr) - rel_prec <= 32);
     CGAL_postcondition(BF(xr.m()-xr.err(),0,xr.exp()) <= BF(x.m()-x.err(),0,x.exp()));
     CGAL_postcondition(BF(xr.m()+xr.err(),0,xr.exp()) >= BF(x.m()+x.err(),0,x.exp()));
-    return xr;     
+    return xr;
 }
 }
 
-template<> class Bigfloat_interval_traits<CORE::BigFloat> 
+template<> class Bigfloat_interval_traits<CORE::BigFloat>
 :public Interval_traits<CORE::BigFloat>
 {
 
@@ -310,45 +310,45 @@ template<> class Bigfloat_interval_trait
     typedef CORE::BigFloat BF;
 public:
   typedef Bigfloat_interval_traits<NT> Self;
-  
+
    struct Relative_precision {
         // type for the \c AdaptableUnaryFunction concept.
         typedef NT  argument_type;
         // type for the \c AdaptableUnaryFunction concept.
         typedef long  result_type;
 
-        long operator()( NT x) const { 
+        long operator()( NT x) const {
           CGAL_precondition(!Singleton()(x));
           CGAL_precondition(!CGAL::zero_in(x));
-          
+
           x = x.abs();
           NT w = Width()(x);
-          w /= ::CORE::BigFloat(x.m()-x.err(),0,x.exp());    
+          w /= ::CORE::BigFloat(x.m()-x.err(),0,x.exp());
           w = w.abs();
           return -(CORE::ceilLg(w.m()+w.err())+w.exp()*CORE::CHUNK_BIT);
         }
     };
-       
+
     struct Set_precision {
         // type for the \c AdaptableUnaryFunction concept.
         typedef long  argument_type;
         // type for the \c AdaptableUnaryFunction concept.
-        typedef long  result_type;  
-     
-        long operator() ( long prec ) const {    
+        typedef long  result_type;
+
+        long operator() ( long prec ) const {
             long result =  ::CORE::get_static_defRelPrec().toLong();
-            ::CORE::get_static_defRelPrec() = prec; 
+            ::CORE::get_static_defRelPrec() = prec;
             ::CORE::get_static_defBFdivRelPrec() = prec;
-            return result; 
+            return result;
         }
     };
-     
+
     struct Get_precision {
         // type for the \c AdaptableGenerator concept.
-        typedef long  result_type;  
-     
+        typedef long  result_type;
+
         long operator() () const {
-            return  ::CORE::get_static_defRelPrec().toLong(); 
+            return  ::CORE::get_static_defRelPrec().toLong();
         }
     };
 };
@@ -370,24 +370,24 @@ template <> class Algebraic_structure_tr
       : public CGAL::cpp98::unary_function< Type, Type > {
       public:
         Type operator()( const Type& x ) const {
-            // What I want is a sqrt computed with 
+            // What I want is a sqrt computed with
             // ::CORE::get_static_defRelPrec() bits.
-            // And not ::CORE::defBFsqrtAbsPrec as CORE does. 
-            
+            // And not ::CORE::defBFsqrtAbsPrec as CORE does.
+
             CGAL_precondition(::CORE::get_static_defRelPrec().toLong() > 0);
             CGAL_precondition(x > 0);
-            
+
             Type a = CGAL::internal::round(
               x, ::CORE::get_static_defRelPrec().toLong()*2);
-            CGAL_postcondition(a > 0); 
+            CGAL_postcondition(a > 0);
 
             Type tmp1 = CORE::BigFloat(
                 a.m(),0,0).sqrt(::CORE::get_static_defRelPrec().toLong());
-            Type err  =  
-                Type(0,long(std::sqrt(double(a.err()))),0) 
+            Type err  =
+                Type(0,long(std::sqrt(double(a.err()))),0)
                 * CORE::BigFloat::exp2(a.exp()*7);
             Type result = tmp1*CORE::BigFloat::exp2(a.exp()*7) + err;
-           
+
             CGAL_postcondition(result >= 0);
             CGAL_postcondition(CGAL::lower(result*result) <= CGAL::lower(x));
             CGAL_postcondition(CGAL::upper(result*result) >= CGAL::upper(x));
@@ -423,31 +423,31 @@ template <> class Real_embeddable_traits
       : public CGAL::cpp98::unary_function< Type, Type > {
       public:
         Type operator()( const Type& x ) const {
-            Type result; 
-          
+            Type result;
+
             if(x.isZeroIn()){
-                CORE::BigInt m; 
+                CORE::BigInt m;
                 if(x.m() < 0 ){
                     m = -(x.m()-x.err());
                 }else{
                     m =  x.m()+x.err();
                 }
                 if(m % 2 == 1) m += 1;
-                
+
                 Type upper(m,0,x.exp());
                 result = CORE::centerize(CORE::BigFloat(0),upper);
-                
-                CGAL_postcondition(result.m()-result.err() <= 0); 
+
+                CGAL_postcondition(result.m()-result.err() <= 0);
                 if(result.m()-result.err() != 0){
                     result = this->operator()(result);
                 }
-                CGAL_postcondition(result.m()-result.err() == 0); 
+                CGAL_postcondition(result.m()-result.err() == 0);
             }else{
                 result = CORE::abs(x);
             }
-            CGAL_postcondition(result.m()-result.err() >= 0); 
-            CGAL_postcondition(Type(result.m()+result.err(),0,result.exp()) 
-                         >= Type(x.m()+x.err(),0,x.exp()));       
+            CGAL_postcondition(result.m()-result.err() >= 0);
+            CGAL_postcondition(Type(result.m()+result.err(),0,result.exp())
+                         >= Type(x.m()+x.err(),0,x.exp()));
             return result;
         }
     };
@@ -457,7 +457,7 @@ template <> class Real_embeddable_traits
       public:
         ::CGAL::Sign operator()( const Type& x ) const {
             ::CGAL::Sign result =  sign( x.sign());
-            return result; 
+            return result;
         }
     };
 
@@ -469,7 +469,7 @@ template <> class Real_embeddable_traits
                                             const Type& y ) const {
           return (Comparison_result) sign( (x-y).sign());
         }
-        CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR_WITH_RT( Type, 
+        CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR_WITH_RT( Type,
                 Comparison_result )
     };
 
@@ -487,22 +487,22 @@ template <> class Real_embeddable_traits
       : public CGAL::cpp98::unary_function< Type, std::pair< double, double > > {
     public:
         std::pair<double, double> operator()( const Type& x ) const {
-                        
+
             double lb,ub;
-           
+
             Type x_lower = CGAL::lower(CGAL::internal::round(CGAL::lower(x),50));
             Type x_upper = CGAL::upper(CGAL::internal::round(CGAL::upper(x),50));
-            
-            // since matissa has 50 bits only, conversion to double is exact 
+
+            // since matissa has 50 bits only, conversion to double is exact
             lb = x_lower.doubleValue();
             CGAL_postcondition(lb == x_lower);
             ub = x_upper.doubleValue();
-            CGAL_postcondition(ub == x_upper);             
-            
+            CGAL_postcondition(ub == x_upper);
+
             std::pair<double, double> result(lb,ub);
             CGAL_postcondition( result.first  <=  CORE::Expr(CGAL::lower(x)));
             CGAL_postcondition( result.second >=  CORE::Expr(CGAL::upper(x)));
-            return result;      
+            return result;
         }
     };
 };
diff -pruN 5.0.2-3/include/CGAL/CORE_BigInt.h 5.0.3-1/include/CGAL/CORE_BigInt.h
--- 5.0.2-3/include/CGAL/CORE_BigInt.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE_BigInt.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/CORE_BigInt.h $
-// $Id: CORE_BigInt.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/CORE_BigInt.h $
+// $Id: CORE_BigInt.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -129,8 +129,8 @@ template <> class Real_embeddable_traits
 };
 
 /*! \ingroup NiX_Modular_traits_spec
- *  \brief a model of concept ModularTraits, 
- *  specialization of NiX::Modular_traits. 
+ *  \brief a model of concept ModularTraits,
+ *  specialization of NiX::Modular_traits.
  */
 template<>
 class Modular_traits< ::CORE::BigInt > {
@@ -155,7 +155,7 @@ class Modular_traits< ::CORE::BigInt > {
         NT operator()(const Residue_type& x){
             return NT(x.get_value());
         }
-    };    
+    };
 };
 
 
@@ -166,7 +166,7 @@ struct Needs_parens_as_product<CORE::Big
     }
 };
 
-// Benchmark_rep specialization 
+// Benchmark_rep specialization
 template<>
 class Benchmark_rep< CORE::BigInt > {
     const CORE::BigInt& t;
@@ -174,11 +174,11 @@ public:
     //! initialize with a const reference to \a t.
     Benchmark_rep( const CORE::BigInt& tt) : t(tt) {}
     //! perform the output, calls \c operator\<\< by default.
-    std::ostream& operator()( std::ostream& out) const { 
+    std::ostream& operator()( std::ostream& out) const {
             out << t;
             return out;
     }
-    
+
     static std::string get_benchmark_name() {
         return "Integer";
     }
diff -pruN 5.0.2-3/include/CGAL/CORE_BigRat.h 5.0.3-1/include/CGAL/CORE_BigRat.h
--- 5.0.2-3/include/CGAL/CORE_BigRat.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE_BigRat.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/CORE_BigRat.h $
-// $Id: CORE_BigRat.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/CORE_BigRat.h $
+// $Id: CORE_BigRat.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -203,7 +203,7 @@ public:
     }
 };
 
-// Benchmark_rep specialization 
+// Benchmark_rep specialization
 template<>
 class Benchmark_rep< CORE::BigRat > {
     const CORE::BigRat& t;
@@ -211,11 +211,11 @@ public:
     //! initialize with a const reference to \a t.
     Benchmark_rep( const CORE::BigRat& tt) : t(tt) {}
     //! perform the output, calls \c operator\<\< by default.
-    std::ostream& operator()( std::ostream& out) const { 
+    std::ostream& operator()( std::ostream& out) const {
             out << "Rational(" << numerator(t) << "," << denominator(t) << ")";
             return out;
     }
-    
+
     static std::string get_benchmark_name() {
         return "Rational";
     }
diff -pruN 5.0.2-3/include/CGAL/CORE_coercion_traits.h 5.0.3-1/include/CGAL/CORE_coercion_traits.h
--- 5.0.2-3/include/CGAL/CORE_coercion_traits.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE_coercion_traits.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/CORE_coercion_traits.h $
-// $Id: CORE_coercion_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/CORE_coercion_traits.h $
+// $Id: CORE_coercion_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -58,19 +58,19 @@ namespace CGAL {
 
 
 
-// NOTE that CORE::BigFloat counts as an interval ! 
+// NOTE that CORE::BigFloat counts as an interval !
     CGAL_DEFINE_COERCION_TRAITS_FROM_TO(short         ,::CORE::BigFloat)
     CGAL_DEFINE_COERCION_TRAITS_FROM_TO(int           ,::CORE::BigFloat)
     CGAL_DEFINE_COERCION_TRAITS_FROM_TO(long          ,::CORE::BigFloat)
     CGAL_DEFINE_COERCION_TRAITS_FROM_TO(float         ,::CORE::BigFloat)
     CGAL_DEFINE_COERCION_TRAITS_FROM_TO(double        ,::CORE::BigFloat)
 
-template <> 
+template <>
 struct Coercion_traits<CORE::BigFloat , ::CORE::BigInt>{
     typedef Tag_true  Are_explicit_interoperable;
     typedef Tag_false Are_implicit_interoperable;
     typedef CORE::BigFloat Type;
-    
+
     struct Cast{
         typedef Type result_type;
         Type operator()(const CORE::BigFloat& x)  const { return x;}
@@ -80,37 +80,37 @@ struct Coercion_traits<CORE::BigFloat ,
             // Do not use MakeFloorExact as it changes the Bigfloat
             CGAL_postcondition( ::CORE::BigRat(::CORE::BigFloat(result.m()-result.err(),0,result.exp())) <= x );
             CGAL_postcondition( ::CORE::BigRat(::CORE::BigFloat(result.m()+result.err(),0,result.exp())) >= x );
-            return result; 
+            return result;
         }
     };
 };
 
-template <> 
+template <>
 struct Coercion_traits<CORE::BigFloat , ::CORE::BigRat>{
     typedef Tag_true  Are_explicit_interoperable;
     typedef Tag_false Are_implicit_interoperable;
     typedef CORE::BigFloat Type;
-    
+
     struct Cast{
         typedef Type result_type;
         Type operator()(const CORE::BigFloat& x)  const { return x;}
         Type operator()(const ::CORE::BigRat x) const {
-            
-	  CORE::BigFloat result(x,CORE::get_static_defRelPrec().toLong(),LONG_MAX);
+
+          CORE::BigFloat result(x,CORE::get_static_defRelPrec().toLong(),LONG_MAX);
             // Do not use MakeFloorExact as it changes the Bigfloat
             CGAL_postcondition( ::CORE::BigRat(::CORE::BigFloat(result.m()-result.err(),0,result.exp())) <= x );
             CGAL_postcondition( ::CORE::BigRat(::CORE::BigFloat(result.m()+result.err(),0,result.exp())) >= x );
-            return result; 
+            return result;
         }
     };
 };
 
-template <> 
+template <>
 struct Coercion_traits<CORE::BigFloat , ::CORE::Expr>{
     typedef Tag_true  Are_explicit_interoperable;
     typedef Tag_false Are_implicit_interoperable;
     typedef CORE::BigFloat Type;
-    
+
     struct Cast{
         typedef Type result_type;
         Type operator()(const CORE::BigFloat& x)  const { return x;}
@@ -119,20 +119,20 @@ struct Coercion_traits<CORE::BigFloat ,
             // Do not use MakeFloorExact as it changes the Bigfloat
             CGAL_postcondition( ::CORE::BigRat(::CORE::BigFloat(result.m()-result.err(),0,result.exp())) <= x );
             CGAL_postcondition( ::CORE::BigRat(::CORE::BigFloat(result.m()+result.err(),0,result.exp())) >= x );
-            return result; 
+            return result;
         }
     };
 };
 
 template <> struct Coercion_traits< ::CORE::BigInt, CORE::BigFloat >
-    :public Coercion_traits< CORE::BigFloat , ::CORE::BigInt >{}; 
+    :public Coercion_traits< CORE::BigFloat , ::CORE::BigInt >{};
 
 template <> struct Coercion_traits< ::CORE::BigRat, CORE::BigFloat >
-    :public Coercion_traits< CORE::BigFloat , ::CORE::BigRat >{}; 
+    :public Coercion_traits< CORE::BigFloat , ::CORE::BigRat >{};
 
 template <> struct Coercion_traits< ::CORE::Expr, CORE::BigFloat >
-    :public Coercion_traits< CORE::BigFloat , ::CORE::Expr>{};        
-        
+    :public Coercion_traits< CORE::BigFloat , ::CORE::Expr>{};
+
 
 
 
diff -pruN 5.0.2-3/include/CGAL/CORE_Expr.h 5.0.3-1/include/CGAL/CORE_Expr.h
--- 5.0.2-3/include/CGAL/CORE_Expr.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/CORE_Expr.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2002-2004,2007  
+// Copyright (c) 2002-2004,2007
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/CORE_Expr.h $
-// $Id: CORE_Expr.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/CORE_Expr.h $
+// $Id: CORE_Expr.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -178,7 +178,7 @@ template <> class Real_embeddable_traits
 
 //since types are included by CORE_coercion_traits.h:
 #include <CGAL/CORE_Expr.h>
-#include <CGAL/CORE_BigInt.h> 
+#include <CGAL/CORE_BigInt.h>
 #include <CGAL/CORE_BigRat.h>
 #include <CGAL/CORE_BigFloat.h>
 #include <CGAL/CORE_arithmetic_kernel.h>
diff -pruN 5.0.2-3/include/CGAL/Counted_number.h 5.0.3-1/include/CGAL/Counted_number.h
--- 5.0.2-3/include/CGAL/Counted_number.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Counted_number.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2001,2007  
+// Copyright (c) 2001,2007
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Counted_number.h $
-// $Id: Counted_number.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Counted_number.h $
+// $Id: Counted_number.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -34,7 +34,7 @@ class Counted_number {
 #endif
                          s_neg_count, s_add_count, s_sub_count,
                          s_mul_count, s_div_count,
-                  			 s_eq_count, s_comp_count,
+                                           s_eq_count, s_comp_count,
                          s_simplify_count,
                          s_unit_part_count,
                          s_is_zero_count,
@@ -54,7 +54,7 @@ class Counted_number {
     static void reset()
             { s_neg_count=0; s_add_count=0; s_sub_count=0;
               s_mul_count=0; s_div_count=0;
-      	      s_eq_count=0; s_comp_count = 0;
+                    s_eq_count=0; s_comp_count = 0;
               s_simplify_count = 0; s_unit_part_count = 0; s_is_zero_count = 0;
               s_is_one_count = 0; s_square_count = 0;
               s_integral_division_count = 0; s_is_square_count = 0;
@@ -108,7 +108,7 @@ class Counted_number {
     static unsigned long count()
             { return s_neg_count + s_add_count + s_sub_count +
                      s_mul_count + s_div_count +
-      	             s_eq_count + s_comp_count +
+                           s_eq_count + s_comp_count +
                      s_simplify_count + s_unit_part_count + s_is_zero_count +
                      s_is_one_count + s_square_count +
                      s_integral_division_count + s_is_square_count +
@@ -125,9 +125,9 @@ class Counted_number {
             {inc_neg_count();return Counted_number(-m_rep);}
     Counted_number const & operator+=(Counted_number const &n)
             {
-		inc_add_count();
-		m_rep += n.m_rep;
-		return *this;}
+                inc_add_count();
+                m_rep += n.m_rep;
+                return *this;}
     Counted_number const & operator-=(Counted_number const &n)
             {inc_sub_count(); m_rep -= n.m_rep; return *this;}
     Counted_number const & operator*=(Counted_number const &n)
@@ -278,7 +278,7 @@ unsigned long Counted_number<NT>::s_div_
 
 template< class NT >
 unsigned long Counted_number<NT>::s_mod_count = 0;
-#else 
+#else
 template <class NT>
 CGAL::cpp11::atomic<unsigned long> Counted_number<NT>::s_neg_count;
 
@@ -799,8 +799,8 @@ public:
 
 template <class NT>
 class Real_embeddable_traits<Counted_number<NT> >
-  : public INTERN_RET::Real_embeddable_traits_base <Counted_number<NT> , 
-   typename Real_embeddable_traits<NT>::Is_real_embeddable > 
+  : public INTERN_RET::Real_embeddable_traits_base <Counted_number<NT> ,
+   typename Real_embeddable_traits<NT>::Is_real_embeddable >
 {
     typedef Real_embeddable_traits<NT> RET_NT;
 
@@ -830,13 +830,13 @@ public:
     };
 };
 
-template<typename NT> inline 
+template<typename NT> inline
 Counted_number<NT> min BOOST_PREVENT_MACRO_SUBSTITUTION(
 const Counted_number<NT> & x,
 const Counted_number<NT> & y){
   return CGAL::Min<Counted_number<NT> > ()(x,y);
 }
-template<typename NT> inline 
+template<typename NT> inline
 Counted_number<NT> max BOOST_PREVENT_MACRO_SUBSTITUTION(
 const Counted_number<NT> & x,
 const Counted_number<NT> & y){
diff -pruN 5.0.2-3/include/CGAL/Counting_iterator.h 5.0.3-1/include/CGAL/Counting_iterator.h
--- 5.0.2-3/include/CGAL/Counting_iterator.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Counting_iterator.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Counting_iterator.h $
-// $Id: Counting_iterator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Counting_iterator.h $
+// $Id: Counting_iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
diff -pruN 5.0.2-3/include/CGAL/create_offset_polygons_2.h 5.0.3-1/include/CGAL/create_offset_polygons_2.h
--- 5.0.2-3/include/CGAL/create_offset_polygons_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/create_offset_polygons_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 // This file is part of CGAL (www.cgal.org).
 //
 
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/create_offset_polygons_2.h $
-// $Id: create_offset_polygons_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/create_offset_polygons_2.h $
+// $Id: create_offset_polygons_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -39,31 +39,31 @@ create_partial_interior_straight_skeleto
                                             , PointIterator aOuterContour_VerticesEnd
                                             , HoleIterator  aHolesBegin
                                             , HoleIterator  aHolesEnd
-                                            , K const&      
+                                            , K const&
                                             )
 {
   typedef Straight_skeleton_2<K> Ss ;
 
   typedef Straight_skeleton_builder_traits_2<K> SsBuilderTraits;
-  
+
   typedef Straight_skeleton_builder_2<SsBuilderTraits,Ss> SsBuilder;
-  
+
   typedef typename K::FT KFT ;
-  
+
   typedef typename std::iterator_traits<PointIterator>::value_type InputPoint ;
   typedef typename Kernel_traits<InputPoint>::Kernel InputKernel ;
-  
+
   Cartesian_converter<InputKernel, K> Converter ;
-  
+
   boost::optional<KFT> lMaxTime( Converter(aMaxTime) ) ;
-  
+
   SsBuilder ssb( lMaxTime ) ;
-  
+
   ssb.enter_contour( aOuterContour_VerticesBegin, aOuterContour_VerticesEnd, Converter ) ;
-  
+
   for ( HoleIterator hi = aHolesBegin ; hi != aHolesEnd ; ++ hi )
     ssb.enter_contour( CGAL_SS_i::vertices_begin(*hi), CGAL_SS_i::vertices_end(*hi), Converter ) ;
-  
+
   return ssb.construct_skeleton();
 }
 
@@ -76,20 +76,20 @@ create_partial_exterior_straight_skeleto
                                             )
 {
   typedef typename std::iterator_traits<PointIterator>::value_type Point_2 ;
-    
+
   typedef Straight_skeleton_2<K> Ss ;
   typedef boost::shared_ptr<Ss>  SsPtr ;
-  
+
   SsPtr rSkeleton ;
-  
+
   boost::optional<FT> margin = compute_outer_frame_margin( aVerticesBegin
                                                          , aVerticesEnd
-                                                         , aMaxOffset 
+                                                         , aMaxOffset
                                                          );
 
   if ( margin )
   {
-    
+
     Bbox_2 bbox = bbox_2(aVerticesBegin, aVerticesEnd);
 
     FT fxmin = bbox.xmin() - *margin ;
@@ -98,23 +98,23 @@ create_partial_exterior_straight_skeleto
     FT fymax = bbox.ymax() + *margin ;
 
     Point_2 frame[4] ;
-    
+
     frame[0] = Point_2(fxmin,fymin) ;
     frame[1] = Point_2(fxmax,fymin) ;
     frame[2] = Point_2(fxmax,fymax) ;
     frame[3] = Point_2(fxmin,fymax) ;
 
     typedef std::vector<Point_2> Hole ;
-    
+
     Hole lPoly(aVerticesBegin, aVerticesEnd);
     std::reverse(lPoly.begin(), lPoly.end());
-    
+
     std::vector<Hole> holes ;
     holes.push_back(lPoly) ;
-        
-    rSkeleton = create_partial_interior_straight_skeleton_2(aMaxOffset,frame, frame+4, holes.begin(), holes.end(), k ) ;  
+
+    rSkeleton = create_partial_interior_straight_skeleton_2(aMaxOffset,frame, frame+4, holes.begin(), holes.end(), k ) ;
   }
-  
+
   return rSkeleton ;
 }
 
@@ -122,23 +122,23 @@ create_partial_exterior_straight_skeleto
 // Kernel != Skeleton::kernel. The skeleton is converted to Straight_skeleton_2<Kernel>
 //
 template<class OutPolygon, class FT, class Skeleton, class K>
-std::vector< boost::shared_ptr<OutPolygon> > 
+std::vector< boost::shared_ptr<OutPolygon> >
 create_offset_polygons_2 ( FT const& aOffset, Skeleton const& aSs, K const& , Tag_false )
 {
-  typedef boost::shared_ptr<OutPolygon> OutPolygonPtr ; 
+  typedef boost::shared_ptr<OutPolygon> OutPolygonPtr ;
   typedef std::vector<OutPolygonPtr>    OutPolygonPtrVector ;
-   
+
   typedef Straight_skeleton_2<K> OfSkeleton ;
-   
+
   typedef Polygon_offset_builder_traits_2<K>                                  OffsetBuilderTraits;
   typedef Polygon_offset_builder_2<OfSkeleton,OffsetBuilderTraits,OutPolygon> OffsetBuilder;
-  
+
   OutPolygonPtrVector rR ;
-  
+
   boost::shared_ptr<OfSkeleton> lConvertedSs = convert_straight_skeleton_2<OfSkeleton>(aSs);
   OffsetBuilder ob( *lConvertedSs );
   ob.construct_offset_contours(aOffset, std::back_inserter(rR) ) ;
-    
+
   return rR ;
 }
 
@@ -146,20 +146,20 @@ create_offset_polygons_2 ( FT const& aOf
 // Kernel == Skeleton::kernel, no convertion
 //
 template<class OutPolygon, class FT, class Skeleton, class K>
-std::vector< boost::shared_ptr<OutPolygon> > 
+std::vector< boost::shared_ptr<OutPolygon> >
 create_offset_polygons_2 ( FT const& aOffset, Skeleton const& aSs, K const& /*k*/, Tag_true )
 {
-  typedef boost::shared_ptr<OutPolygon> OutPolygonPtr ; 
+  typedef boost::shared_ptr<OutPolygon> OutPolygonPtr ;
   typedef std::vector<OutPolygonPtr>    OutPolygonPtrVector ;
-   
+
   typedef Polygon_offset_builder_traits_2<K>                                OffsetBuilderTraits;
   typedef Polygon_offset_builder_2<Skeleton,OffsetBuilderTraits,OutPolygon> OffsetBuilder;
-  
+
   OutPolygonPtrVector rR ;
-  
+
   OffsetBuilder ob(aSs);
   ob.construct_offset_contours(aOffset, std::back_inserter(rR) ) ;
-    
+
   return rR ;
 }
 
@@ -174,32 +174,32 @@ Skeleton const& dereference ( boost::sha
 }
 
 template<class Polygon, class FT, class Skeleton, class K>
-std::vector< boost::shared_ptr<Polygon> > 
+std::vector< boost::shared_ptr<Polygon> >
 inline
 create_offset_polygons_2 ( FT const& aOffset, Skeleton const& aSs, K const& k )
 {
   typedef typename Skeleton::Traits SsKernel ;
-  
+
   typename CGAL_SS_i::Is_same_type<K,SsKernel>::type same_kernel ;
-  
+
   return CGAL_SS_i::create_offset_polygons_2<Polygon>(aOffset,aSs,k,same_kernel);
 }
 
 
 template<class FT, class Skeleton, class K>
-std::vector< boost::shared_ptr< Polygon_2<K> > > 
+std::vector< boost::shared_ptr< Polygon_2<K> > >
 inline
 create_offset_polygons_2 ( FT const& aOffset, Skeleton const& aSs, K const& k )
 {
   typedef Polygon_2<K> Polygon ;
-  
+
   return create_offset_polygons_2<Polygon>(aOffset, aSs, k ) ;
 }
 
 
 
 template<class Polygon, class FT, class Skeleton>
-std::vector< boost::shared_ptr<Polygon> > 
+std::vector< boost::shared_ptr<Polygon> >
 inline
 create_offset_polygons_2 ( FT const& aOffset, Skeleton const& aSs )
 {
@@ -226,11 +226,11 @@ create_interior_skeleton_and_offset_poly
                                                                     ,aHolesBegin
                                                                     ,aHolesEnd
                                                                     ,ssk
-                                                                    ) 
+                                                                    )
             )
           ,ofk
           );
-    
+
 }
 
 template<class FT, class Polygon, class HoleIterator, class OfK>
@@ -304,7 +304,7 @@ create_exterior_skeleton_and_offset_poly
                                                                    ,ssk
                                                                   )
             )
-          ,ofk                                    
+          ,ofk
           );
 }
 
@@ -318,7 +318,7 @@ create_exterior_skeleton_and_offset_poly
                                                        ,ofk
                                                        ,Exact_predicates_inexact_constructions_kernel()
                                                        );
-                                               
+
 }
 
 template<class FT, class Polygon>
@@ -327,7 +327,7 @@ inline
 create_exterior_skeleton_and_offset_polygons_2 ( FT const& aOffset, Polygon const& aOuterBoundary )
 {
   return create_exterior_skeleton_and_offset_polygons_2(aOffset, aOuterBoundary, typename Polygon::Traits() );
-                                               
+
 }
 
 } // end namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/create_offset_polygons_from_polygon_with_holes_2.h 5.0.3-1/include/CGAL/create_offset_polygons_from_polygon_with_holes_2.h
--- 5.0.2-3/include/CGAL/create_offset_polygons_from_polygon_with_holes_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/create_offset_polygons_from_polygon_with_holes_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 // This file is part of CGAL (www.cgal.org).
 //
 
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/create_offset_polygons_from_polygon_with_holes_2.h $
-// $Id: create_offset_polygons_from_polygon_with_holes_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/create_offset_polygons_from_polygon_with_holes_2.h $
+// $Id: create_offset_polygons_from_polygon_with_holes_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -35,7 +35,7 @@ create_interior_skeleton_and_offset_poly
                                                        ,ofk
                                                        ,ssk
                                                        );
-    
+
 }
 
 template<class FT, class OfK, class C>
@@ -83,7 +83,7 @@ std::vector< boost::shared_ptr< Polygon_
 inline
 create_exterior_skeleton_and_offset_polygons_with_holes_2 ( FT const&             aOffset
                                                           , Polygon_2<OfK> const& aPoly
-                                                          , SsK const&            ssk 
+                                                          , SsK const&            ssk
                                                           )
 {
   return arrange_offset_polygons_2(create_exterior_skeleton_and_offset_polygons_with_holes_2(aOffset
@@ -99,5 +99,5 @@ create_exterior_skeleton_and_offset_poly
 
 #include <CGAL/enable_warnings.h>
 
-#endif 
+#endif
 // EOF //
diff -pruN 5.0.2-3/include/CGAL/create_straight_skeleton_2.h 5.0.3-1/include/CGAL/create_straight_skeleton_2.h
--- 5.0.2-3/include/CGAL/create_straight_skeleton_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/create_straight_skeleton_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 // This file is part of CGAL (www.cgal.org).
 //
 
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/create_straight_skeleton_2.h $
-// $Id: create_straight_skeleton_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/create_straight_skeleton_2.h $
+// $Id: create_straight_skeleton_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -33,11 +33,11 @@ inline typename Poly::const_iterator ver
 
 
 template<class K, class C>
-inline typename Polygon_2<K,C>::Vertex_const_iterator vertices_begin ( Polygon_2<K,C> const& aPoly ) 
+inline typename Polygon_2<K,C>::Vertex_const_iterator vertices_begin ( Polygon_2<K,C> const& aPoly )
 { return aPoly.vertices_begin() ; }
 
 template<class K, class C>
-inline typename Polygon_2<K,C>::Vertex_const_iterator vertices_end( Polygon_2<K,C> const& aPoly ) 
+inline typename Polygon_2<K,C>::Vertex_const_iterator vertices_end( Polygon_2<K,C> const& aPoly )
 { return aPoly.vertices_end() ; }
 
 template<class Poly>
@@ -54,33 +54,33 @@ create_interior_straight_skeleton_2 ( Po
                                     , PointIterator aOuterContour_VerticesEnd
                                     , HoleIterator  aHolesBegin
                                     , HoleIterator  aHolesEnd
-                                    , K const&      
+                                    , K const&
                                     )
 {
   typedef Straight_skeleton_2<K> Ss ;
 
   typedef Straight_skeleton_builder_traits_2<K> SsBuilderTraits;
-  
+
   typedef Straight_skeleton_builder_2<SsBuilderTraits,Ss> SsBuilder;
-  
+
   typedef typename std::iterator_traits<PointIterator>::value_type InputPoint ;
   typedef typename Kernel_traits<InputPoint>::Kernel InputKernel ;
-  
+
   Cartesian_converter<InputKernel, K> Point_converter ;
-  
+
   SsBuilder ssb ;
-  
+
   ssb.enter_contour( aOuterContour_VerticesBegin, aOuterContour_VerticesEnd, Point_converter ) ;
-  
+
   for ( HoleIterator hi = aHolesBegin ; hi != aHolesEnd ; ++ hi )
     ssb.enter_contour( CGAL_SS_i::vertices_begin(*hi), CGAL_SS_i::vertices_end(*hi), Point_converter ) ;
-  
+
   return ssb.construct_skeleton();
 }
 
 template<class PointIterator, class HoleIterator>
 boost::shared_ptr< Straight_skeleton_2< Exact_predicates_inexact_constructions_kernel > >
-inline 
+inline
 create_interior_straight_skeleton_2 ( PointIterator aOuterContour_VerticesBegin
                                     , PointIterator aOuterContour_VerticesEnd
                                     , HoleIterator  aHolesBegin
@@ -99,7 +99,7 @@ template<class PointIterator, class K>
 boost::shared_ptr< Straight_skeleton_2<K> >
 inline
 create_interior_straight_skeleton_2 ( PointIterator aOuterContour_VerticesBegin
-                                    , PointIterator aOuterContour_VerticesEnd 
+                                    , PointIterator aOuterContour_VerticesEnd
                                     , K const&      k
                                     )
 {
@@ -108,7 +108,7 @@ create_interior_straight_skeleton_2 ( Po
                                             ,aOuterContour_VerticesEnd
                                             ,no_holes.begin()
                                             ,no_holes.end()
-                                            ,k 
+                                            ,k
                                             );
 }
 
@@ -116,12 +116,12 @@ template<class PointIterator>
 boost::shared_ptr< Straight_skeleton_2<Exact_predicates_inexact_constructions_kernel> >
 inline
 create_interior_straight_skeleton_2 ( PointIterator aOuterContour_VerticesBegin
-                                    , PointIterator aOuterContour_VerticesEnd 
+                                    , PointIterator aOuterContour_VerticesEnd
                                     )
 {
   return create_interior_straight_skeleton_2(aOuterContour_VerticesBegin
                                             ,aOuterContour_VerticesEnd
-                                            ,Exact_predicates_inexact_constructions_kernel() 
+                                            ,Exact_predicates_inexact_constructions_kernel()
                                             );
 }
 
@@ -133,7 +133,7 @@ create_interior_straight_skeleton_2 ( Po
   CGAL_precondition(aOutContour.is_simple() || !"The input polygon is not simple.");
   return create_interior_straight_skeleton_2(CGAL_SS_i::vertices_begin(aOutContour)
                                             ,CGAL_SS_i::vertices_end(aOutContour)
-                                            ,k 
+                                            ,k
                                             );
 }
 
@@ -154,20 +154,20 @@ create_exterior_straight_skeleton_2 ( FT
                                     )
 {
   typedef typename std::iterator_traits<PointIterator>::value_type Point_2 ;
-    
+
   typedef Straight_skeleton_2<K> Ss ;
   typedef boost::shared_ptr<Ss>  SsPtr ;
-  
+
   SsPtr rSkeleton ;
-  
+
   boost::optional<FT> margin = compute_outer_frame_margin( aVerticesBegin
                                                          , aVerticesEnd
-                                                         , aMaxOffset 
+                                                         , aMaxOffset
                                                          );
 
   if ( margin )
   {
-    
+
     Bbox_2 bbox = bbox_2(aVerticesBegin, aVerticesEnd);
 
     FT fxmin = bbox.xmin() - *margin ;
@@ -176,23 +176,23 @@ create_exterior_straight_skeleton_2 ( FT
     FT fymax = bbox.ymax() + *margin ;
 
     Point_2 frame[4] ;
-    
+
     frame[0] = Point_2(fxmin,fymin) ;
     frame[1] = Point_2(fxmax,fymin) ;
     frame[2] = Point_2(fxmax,fymax) ;
     frame[3] = Point_2(fxmin,fymax) ;
 
     typedef std::vector<Point_2> Hole ;
-    
+
     Hole lPoly(aVerticesBegin, aVerticesEnd);
     std::reverse(lPoly.begin(), lPoly.end());
-    
+
     std::vector<Hole> holes ;
     holes.push_back(lPoly) ;
-        
-    rSkeleton = create_interior_straight_skeleton_2(frame, frame+4, holes.begin(), holes.end(), k ) ;  
+
+    rSkeleton = create_interior_straight_skeleton_2(frame, frame+4, holes.begin(), holes.end(), k ) ;
   }
-  
+
   return rSkeleton ;
 }
 
diff -pruN 5.0.2-3/include/CGAL/create_straight_skeleton_from_polygon_with_holes_2.h 5.0.3-1/include/CGAL/create_straight_skeleton_from_polygon_with_holes_2.h
--- 5.0.2-3/include/CGAL/create_straight_skeleton_from_polygon_with_holes_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/create_straight_skeleton_from_polygon_with_holes_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,7 +3,7 @@
 // This file is part of CGAL (www.cgal.org).
 //
 
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/create_straight_skeleton_from_polygon_with_holes_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/create_straight_skeleton_from_polygon_with_holes_2.h $
 // $Id: create_straight_skeleton_from_polygon_with_holes_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Arc_2.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Arc_2.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Arc_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Arc_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Arc_2.h $
-// $Id: Arc_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Arc_2.h $
+// $Id: Arc_2.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Eric Berberich <eric@mpi-inf.mpg.de>
@@ -373,7 +373,7 @@ public:
     /*!\brief
      * copy constructor
      */
-#ifdef DOXYGEN_RUNNING  
+#ifdef DOXYGEN_RUNNING
     Arc_2(const Self& a) :
         Base(static_cast<const Base&>(a)) {
     }
@@ -1203,8 +1203,8 @@ public:
         }
 
         bool res =
-	    (resmin != CGAL::SMALLER && resmax != CGAL::LARGER);
-	return res;
+            (resmin != CGAL::SMALLER && resmax != CGAL::LARGER);
+        return res;
     }
 
     /*!\brief
@@ -2160,37 +2160,37 @@ protected:
 
         typename Curve_kernel_2::Approximate_relative_1 approx_x;
 
-	typename Curve_kernel_2::Bound_between_1 bound_between_x;
+        typename Curve_kernel_2::Bound_between_1 bound_between_x;
+
+        CGAL::Arr_parameter_space min_loc = location(CGAL::ARR_MIN_END);
+        bool min_has_x =
+          (is_finite(CGAL::ARR_MIN_END) ||
+           min_loc == CGAL::ARR_BOTTOM_BOUNDARY ||
+           min_loc == CGAL::ARR_TOP_BOUNDARY);
+
+        CGAL::Arr_parameter_space max_loc = location(CGAL::ARR_MAX_END);
+        bool max_has_x =
+          (is_finite(CGAL::ARR_MAX_END) ||
+           max_loc == CGAL::ARR_BOTTOM_BOUNDARY ||
+           max_loc == CGAL::ARR_TOP_BOUNDARY);
 
-	CGAL::Arr_parameter_space min_loc = location(CGAL::ARR_MIN_END);
-	bool min_has_x =
-	  (is_finite(CGAL::ARR_MIN_END) ||
-	   min_loc == CGAL::ARR_BOTTOM_BOUNDARY ||
-	   min_loc == CGAL::ARR_TOP_BOUNDARY);
-
-	CGAL::Arr_parameter_space max_loc = location(CGAL::ARR_MAX_END);
-	bool max_has_x =
-	  (is_finite(CGAL::ARR_MAX_END) ||
-	   max_loc == CGAL::ARR_BOTTOM_BOUNDARY ||
-	   max_loc == CGAL::ARR_TOP_BOUNDARY);
-
-	if (min_has_x) {
-	  Coordinate_1 min_x = _minpoint().x();
-	  if (max_has_x) {
-	    Coordinate_1 max_x = _maxpoint().x();
-	    res = bound_between_x(min_x, max_x);
-	  } else {
-	    std::pair<Bound,Bound> min_pair=approx_x(min_x,4);
-	    res = min_pair.second + Bound(1);
-	  }
-	} else {
-	  if (max_has_x) {
-	    Coordinate_1 max_x = _maxpoint().x();
-	    std::pair<Bound,Bound> max_pair=approx_x(max_x,4);
-	    res = max_pair.first - Bound(1);
-	  } else {
-	    // res stays 0
-	  }
+        if (min_has_x) {
+          Coordinate_1 min_x = _minpoint().x();
+          if (max_has_x) {
+            Coordinate_1 max_x = _maxpoint().x();
+            res = bound_between_x(min_x, max_x);
+          } else {
+            std::pair<Bound,Bound> min_pair=approx_x(min_x,4);
+            res = min_pair.second + Bound(1);
+          }
+        } else {
+          if (max_has_x) {
+            Coordinate_1 max_x = _maxpoint().x();
+            std::pair<Bound,Bound> max_pair=approx_x(max_x,4);
+            res = max_pair.first - Bound(1);
+          } else {
+            // res stays 0
+          }
         }
         CGAL_postcondition(is_in_x_range_interior(Coordinate_1(res)));
         return res;
@@ -2237,10 +2237,10 @@ protected:
         /* no need to recompute location since they are set during
            construction of respective curve ends */
         rep._m_is_vertical = this->ptr()->_m_is_vertical;
-	rep._m_left_to_right = this->ptr()->_m_left_to_right;
+        rep._m_left_to_right = this->ptr()->_m_left_to_right;
 
-	rep._m_interval_id = boost::none;
-	rep._m_boundary_in_interval = boost::none;
+        rep._m_interval_id = boost::none;
+        rep._m_boundary_in_interval = boost::none;
 
         return std::make_pair(Kernel_arc_2(rep), cmp);
     }
@@ -2812,40 +2812,40 @@ protected:
         int low_idx = 0,
             high_idx = cpa_2.number_of_status_lines_with_event()-1;
 
-	bool index_at_event_min=false;
-	bool index_at_event_max=false;
+        bool index_at_event_min=false;
+        bool index_at_event_max=false;
 
         typename Curve_pair_analysis_2::Status_line_1 line;
         if(!inf_low) {
             line = cpa_2.status_line_for_x(low_x.x());
             low_idx = line.index();
-	    index_at_event_min=line.is_event();
+            index_at_event_min=line.is_event();
             if(index_at_event_min) {
                 if((cv1._minpoint().is_on_bottom_top() &&
                     low_x.x() == cv1._minpoint().x()) ||
                    (cv2._minpoint().is_on_bottom_top() &&
                     low_x.x() == cv2._minpoint().x())) {
                  // hack: no intersection with asymptotic end
-		  low_idx++;
-		  index_at_event_min=false;
-		}
+                  low_idx++;
+                  index_at_event_min=false;
+                }
             }
         }
 
         if(!inf_high) {
             line = cpa_2.status_line_for_x(high_x.x());
             high_idx = line.index();
-	    index_at_event_max=line.is_event();
+            index_at_event_max=line.is_event();
             if(!index_at_event_max) {
-	      high_idx--;
-	    } else if((cv1._maxpoint().is_on_bottom_top() &&
+              high_idx--;
+            } else if((cv1._maxpoint().is_on_bottom_top() &&
                 high_x.x() == cv1._maxpoint().x()) ||
                 (cv2._maxpoint().is_on_bottom_top() &&
-		 high_x.x() == cv2._maxpoint().x())) {
-	      // hack: no intersection with asymptotic end
-	      high_idx--;
-	      index_at_event_max=false;
-	    }
+                 high_x.x() == cv2._maxpoint().x())) {
+              // hack: no intersection with asymptotic end
+              high_idx--;
+              index_at_event_max=false;
+            }
         }
 
         // run over all event points within the joint x-range of two arcs
@@ -2865,7 +2865,7 @@ protected:
 
             Coordinate_1 x0 = tmp.x();
             if((i == low_idx && index_at_event_min) ||
-	       (i == high_idx && index_at_event_max)) {
+               (i == high_idx && index_at_event_max)) {
                 arcno1 = cv1.arcno(x0);
                 arcno2 = cv2.arcno(x0);
                 mult = 0; // intersection at end-point
@@ -3024,8 +3024,8 @@ public:
         y_dapprox = y_interval_for_curve_end(*this, CGAL::ARR_MIN_END, prec);
 
         // adapt y-interval
-        ymin = CGAL::min(ymin, y_dapprox.first);
-        ymax = CGAL::max(ymax, y_dapprox.second);
+        ymin = (CGAL::min)(ymin, y_dapprox.first);
+        ymax = (CGAL::max)(ymax, y_dapprox.second);
 
         // right end
 
@@ -3105,9 +3105,9 @@ public:
                   (curr_xy, prec);
 
                 // adapt y-interval
-                ymin = CGAL::min(ymin,
+                ymin = (CGAL::min)(ymin,
                                  CGAL::to_double(xy_approx.first));
-                ymax = CGAL::max(ymax,
+                ymax = (CGAL::max)(ymax,
                                  CGAL::to_double(xy_approx.second));
               }
             }
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Curved_kernel_via_analysis_2_functors.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Curved_kernel_via_analysis_2_functors.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Curved_kernel_via_analysis_2_functors.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Curved_kernel_via_analysis_2_functors.h	2020-08-01 19:02:12.000000000 +0000
@@ -1,10 +1,10 @@
-// Copyright (c) 2007,2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany), 
+// Copyright (c) 2007,2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany),
 // and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Curved_kernel_via_analysis_2_functors.h $
-// $Id: Curved_kernel_via_analysis_2_functors.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Curved_kernel_via_analysis_2_functors.h $
+// $Id: Curved_kernel_via_analysis_2_functors.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -42,16 +42,16 @@ namespace Curved_kernel_via_analysis_2_F
 /*!\brief
  * Base functor class for inheritance
  */
-template < class CurvedKernelViaAnalysis_2 > 
+template < class CurvedKernelViaAnalysis_2 >
 class Curved_kernel_via_analysis_2_functor_base {
 
 public:
     //!\name Public types
     //!@{
-    
+
     //! this instance's template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
-    
+
      //! the point type
     typedef typename Curved_kernel_via_analysis_2::Point_2 Point_2;
 
@@ -59,12 +59,12 @@ public:
     typedef typename Curved_kernel_via_analysis_2::Arc_2 Arc_2;
 
     //! type of curve kernel
-    typedef typename Curved_kernel_via_analysis_2::Curve_kernel_2 
+    typedef typename Curved_kernel_via_analysis_2::Curve_kernel_2
     Curve_kernel_2;
 
     //! type of curve analaysis
     typedef typename Curve_kernel_2::Curve_analysis_2 Curve_analysis_2;
-    
+
     //! the x-coordinate type
     typedef typename Point_2::Coordinate_1 Coordinate_1;
     //typedef typename Point_2::Y_coordinate_1 Y_coordinate_1;
@@ -75,7 +75,7 @@ public:
 public:
     //!\name Constructors
     //!@{
-    
+
     /*!\brief
      * Constructs base functor
      *
@@ -92,8 +92,8 @@ public:
 protected:
     //!\name Access members
     //!@{
-    
-    /*!\brief 
+
+    /*!\brief
      * Return pointer to curved kernel
      * \return Pointer to stored kernel
      */
@@ -102,14 +102,14 @@ protected:
     }
 
     //!@}
-    
+
 protected:
     //!\name Data members
     //!@{
-    
+
     //! stores pointer to \c Curved_kernel_via_analysis_2
     Curved_kernel_via_analysis_2 *_m_curved_kernel;
-    
+
     //!@}
 };
 
@@ -120,11 +120,11 @@ protected:
     typedef typename Base::Coordinate_1 Coordinate_1; \
     //typedef typename Base::Y_coordinate_1 Y_coordinate_1;
 
-/*!\brief 
+/*!\brief
  * Functor to construct a point on a curve
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Construct_point_2 : public 
+class Construct_point_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
 
 public:
@@ -132,16 +132,16 @@ public:
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
-    
+
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef Point_2 result_type;
 
-    /*!\brief 
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -151,33 +151,33 @@ public:
     }
 
     /*!\brief
-     * Constructs an interior point 
-     * 
+     * Constructs an interior point
+     *
      * \param x x-coordinate
      * \param c The supporting curve
      * \param arcno Arcnumber on curve
      * \return The constructed point
      */
-    Point_2 operator()(const Coordinate_1& x, 
-                       const Curve_analysis_2& c, 
+    Point_2 operator()(const Coordinate_1& x,
+                       const Curve_analysis_2& c,
                        int arcno) {
         Point_2 pt(x, c, arcno);
         return pt;
     }
 
-    Point_2 operator()(const Coordinate_1& x, 
+    Point_2 operator()(const Coordinate_1& x,
                        const Arc_2& a) {
         CGAL_precondition(a.is_in_x_range(x));
-	Point_2 pt(x, a.curve(), a.arcno(x));
+        Point_2 pt(x, a.curve(), a.arcno(x));
         return pt;
     }
 
-    
+
     template <typename T>
     Point_2 operator() (const T& x,
                         const T& y) {
         Point_2 pt(x,y);
-        return pt;        
+        return pt;
     }
 
 
@@ -188,7 +188,7 @@ public:
  * Functor to construct point on an arc
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Construct_point_on_arc_2 : public 
+class Construct_point_on_arc_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
 
 public:
@@ -196,16 +196,16 @@ public:
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
-    
+
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef Point_2 result_type;
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -213,10 +213,10 @@ public:
     Construct_point_on_arc_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
     }
-    
+
     /*!\brief
      * Constructs point on an arc
-     * 
+     *
      * \param x x-coordinate of point
      * \param c The supporting curve
      * \param arcno Arcnumber on curve
@@ -230,7 +230,7 @@ public:
 
         // avoid compiler warning
         (void)arc;
-        
+
         //CGAL::set_pretty_mode(std::cerr);
         CERR("Construct_pt_on_arc: " << CGAL::to_double(x) << ", " << arcno <<
              ", " << c.id() <<  "\narc = " << arc << "\n");
@@ -239,8 +239,8 @@ public:
         //CGAL_assertion(arcno == arc.arcno(x));
 
         Point_2 pt = Base::_ckva()->construct_point_2_object()(x, c, arcno);
-        
-        // here we can modify the point wrt "data stored in arc", 
+
+        // here we can modify the point wrt "data stored in arc",
         // if we want to
         return pt;
     }
@@ -248,10 +248,10 @@ public:
 
 
 /*!\brief
- * Functor to construct an x-monotone arc 
+ * Functor to construct an x-monotone arc
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Construct_arc_2 : public 
+class Construct_arc_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
 
 public:
@@ -259,16 +259,16 @@ public:
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
-    
+
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef Arc_2 result_type;
 
-    /*!\brief 
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -279,10 +279,10 @@ public:
 
     //!\name Constructing non-vertical arcs
     //!@{
-    
-    /*!\brief 
+
+    /*!\brief
      * Constructs a non-vertical arc with two interior end-points (segment).
-     * 
+     *
      * \param p first endpoint
      * \param q second endpoint
      * \param c The supporting curve
@@ -290,20 +290,20 @@ public:
      * \param arcno_p The arcnumber wrt \c c of the arc at \c p
      * \param arcno_q The arcnumber wrt \c c of the arc at \c q
      * \returns The constructed segment
-     * 
+     *
      * \pre p.x() != q.x()
      *
      */
-    Arc_2 operator()(const Point_2& p, const Point_2& q, 
+    Arc_2 operator()(const Point_2& p, const Point_2& q,
                      const Curve_analysis_2& c,
                      int arcno, int arcno_p, int arcno_q) {
         Arc_2 arc(p, q, c, arcno, arcno_p, arcno_q);
         return arc;
     }
-    
+
     /*!\brief
      * Constructs a non-vertical arc with one interior end-point and whose
-     * other end approaches the left or right boundary of the parameter space 
+     * other end approaches the left or right boundary of the parameter space
      * (ray I)
      *
      * \param origin The interior end-point of the ray
@@ -311,17 +311,17 @@ public:
      *        boundary
      * \param c The supporting curve
      * \param arcno The arcnumber wrt \c c in the interior of the arc
-     * \param arcno_o The arcnumber wrt \c c of the arc at \c origin 
+     * \param arcno_o The arcnumber wrt \c c of the arc at \c origin
      * \return The constructed ray
      */
-    Arc_2 operator()(const Point_2& origin, CGAL::Arr_curve_end inf_end, 
+    Arc_2 operator()(const Point_2& origin, CGAL::Arr_curve_end inf_end,
                      const Curve_analysis_2& c, int arcno, int arcno_o) {
         Arc_2 arc(origin, inf_end, c, arcno, arcno_o);
         return arc;
     }
 
     /*!\brief
-     * Constructs a non-vertical arc with one interior end-point and whose 
+     * Constructs a non-vertical arc with one interior end-point and whose
      * other end approaches a vertical asymptote (ray II)
      *
      * \param origin The interior end-point
@@ -329,21 +329,21 @@ public:
      * \param inf_end Arc is approaching the bottom or top boundary
      * \param c The supporting curve
      * \param arcno The arcnumber wrt \c c in the interior of the arc
-     * \param arcno_o The arcnumber wrt \c c of the arc at \c origin 
+     * \param arcno_o The arcnumber wrt \c c of the arc at \c origin
      * \return The constructed ray
      *
      * \pre origin.x() != asympt_x
      */
-    Arc_2 operator()(const Point_2& origin, const Coordinate_1& asympt_x, 
-                     CGAL::Arr_curve_end inf_end, 
-                     const Curve_analysis_2& c, int arcno, 
+    Arc_2 operator()(const Point_2& origin, const Coordinate_1& asympt_x,
+                     CGAL::Arr_curve_end inf_end,
+                     const Curve_analysis_2& c, int arcno,
                      int arcno_o) {
         Arc_2 arc(origin, asympt_x, inf_end, c, arcno, arcno_o);
         return arc;
     }
 
     /*!\brief
-     * Constructs a non-vertical arc with two non-interior ends at 
+     * Constructs a non-vertical arc with two non-interior ends at
      * the left and right boundary (branch I)
      *
      * \param c The supporting curve
@@ -354,32 +354,32 @@ public:
         Arc_2 arc(c, arcno);
         return arc;
     }
-    
+
     /*!\brief
      * Constructs a non-vertical arc with two ends approaching vertical
      * asymptotes (branch II).
      *
      * \param asympt_x1 The x-coordinate of the first asymptote
-     * \param inf_end1 Arc is approaching the bottom or top boundary at 
+     * \param inf_end1 Arc is approaching the bottom or top boundary at
      *                 \c asympt_x1
      * \param asympt_x2 The x-coordinate of the second asymptote
-     * \param inf_end2 Arc is approaching the bottom or top boundary at 
+     * \param inf_end2 Arc is approaching the bottom or top boundary at
      *                 \c asympt_x2
      * \return The constructed branch
      *
      * \pre asympt_x1 != asympt_x2
      */
-    Arc_2 operator()(const Coordinate_1& asympt_x1, 
+    Arc_2 operator()(const Coordinate_1& asympt_x1,
                      CGAL::Arr_curve_end inf_end1,
-                     const Coordinate_1& asympt_x2, 
+                     const Coordinate_1& asympt_x2,
                      CGAL::Arr_curve_end inf_end2,
                      const Curve_analysis_2& c, int arcno) {
         Arc_2 arc(asympt_x1, inf_end1, asympt_x2, inf_end2, c, arcno);
         return arc;
     }
-    
+
     /*!\brief
-     * Construct a non-vertical arc with one left- or right-boundary end 
+     * Construct a non-vertical arc with one left- or right-boundary end
      * and one end that approaches a vertical asymptote (branch III)
      *
      * \param inf_endx Defining whether the arc emanates from the left or right
@@ -389,38 +389,38 @@ public:
      *                 asympt_x
      * \return The constructed branch
      */
-    Arc_2 operator()(CGAL::Arr_curve_end inf_endx, 
+    Arc_2 operator()(CGAL::Arr_curve_end inf_endx,
                      const Coordinate_1& asympt_x,
-                     CGAL::Arr_curve_end inf_endy, 
+                     CGAL::Arr_curve_end inf_endy,
                      const Curve_analysis_2& c, int arcno) {
         Arc_2 arc(inf_endx, asympt_x, inf_endy, c, arcno);
         return arc;
     }
-    
+
     //!@}
     //!\name Constructing vertical arcs
     //!@{
-    
-    /*!\brief 
-     * Constructs a vertical arc with two interior end-points 
+
+    /*!\brief
+     * Constructs a vertical arc with two interior end-points
      * (vertical segment)
      *
      * \param p The first end-point
      * \param q The second end-point
      * \param c The supporting curve
      * \return The constructed arc
-     * 
+     *
      * \pre p != q && p.x() == q.x()
      * \pre c must have a vertical component at this x
      */
-    Arc_2 operator()(const Point_2& p, const Point_2& q, 
+    Arc_2 operator()(const Point_2& p, const Point_2& q,
                      const Curve_analysis_2& c) {
         Arc_2 arc(p,q,c);
         return arc;
     }
-    
+
     /*!\brief
-     * Constructs a vertical arc with one interior end-point and 
+     * Constructs a vertical arc with one interior end-point and
      * one that reaches the bottom or top boundary (vertical ray)
      *
      * \param origin The interior end-point
@@ -431,18 +431,18 @@ public:
      */
     Arc_2 operator()(const Point_2& origin, CGAL::Arr_curve_end inf_end,
                      const Curve_analysis_2& c) {
-        
+
         Arc_2 arc(origin, inf_end, c);
         return arc;
     }
-    
+
     /*!\brief
      * Constructs a vertical arc that connects bottom with top boundary
      * (vertical branch)
      *
      * \param x The x-coordinate of the branch
      * \return The constructed branch
-     * 
+     *
      * \pre c must have a vertical line component at this x
      */
     Arc_2 operator()(const Coordinate_1& x, const Curve_analysis_2& c) {
@@ -457,7 +457,7 @@ public:
  * Functor that checks whether a given arc is vertical
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Is_vertical_2 : public 
+class Is_vertical_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
 
 public:
@@ -465,18 +465,18 @@ public:
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
-    
+
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
 
     //! the result type
     typedef bool result_type;
-    
+
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -500,26 +500,26 @@ public:
  * Functor constructing minimum point of an arc (if interior)
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Construct_min_vertex_2 : public 
+class Construct_min_vertex_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
-   
+
 public:
     //! this instance' first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
-    
+
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef Point_2 result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -537,7 +537,7 @@ public:
      * \pre minimum end-point is interior
      */
     result_type operator()(const Arc_2& cv) const {
-    
+
         return cv.curve_end(CGAL::ARR_MIN_END);
     }
 };
@@ -546,26 +546,26 @@ public:
  * Functor constructing maximum point of an arc (if interior)
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Construct_max_vertex_2 : public 
+class Construct_max_vertex_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
-   
+
 public:
     //! this instance' first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
-    
+
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef Point_2 result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -583,7 +583,7 @@ public:
      * \pre maximum end-point is interior
      */
     result_type operator()(const Arc_2& cv) const {
-        
+
         return cv.curve_end(CGAL::ARR_MAX_END);
     }
 };
@@ -592,24 +592,24 @@ public:
  * Functor constructing an interior point of on an arc.
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Construct_interior_vertex_2 : public 
+class Construct_interior_vertex_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
-   
+
 public:
     //! this instance' first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
-    
+
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef Point_2 result_type;
 
-    /*!\brief 
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -627,27 +627,27 @@ public:
   result_type operator()(const Arc_2& arc) const {
     Point_2 p = compute_interior_vertex(arc);
     CGAL_postcondition(this->_ckva()->is_on_2_object()(p,arc));
-    return p; 
+    return p;
   }
-      
+
 
       private:
-    
+
     result_type compute_interior_vertex(const Arc_2& arc) const {
-        
+
       typedef typename Curved_kernel_via_analysis_2::Curve_2 Curve_analysis_2;
-      
-      typedef typename Curved_kernel_via_analysis_2::Curve_kernel_2 
+
+      typedef typename Curved_kernel_via_analysis_2::Curve_kernel_2
                                                       Algebraic_curve_kernel_2;
       typedef typename Algebraic_curve_kernel_2::Bound Bound;
       typedef typename Algebraic_curve_kernel_2::Coordinate_1 Coordinate_1;
-      
+
       typedef CGAL::Polynomial< Bound > Poly_rat_1;
       typedef CGAL::Polynomial< Poly_rat_1 > Poly_rat_2;
-      
+
       typedef CGAL::Polynomial_traits_d< Poly_rat_1 > PT_rat_1;
       typedef CGAL::Polynomial_traits_d< Poly_rat_2 > PT_rat_2;
-      
+
       typedef CGAL::Fraction_traits< Poly_rat_2 > FT_2;
 
       if (!arc.is_vertical())
@@ -655,13 +655,13 @@ public:
         Bound x_coord = arc.boundary_in_x_range_interior();
         int arcno = arc.arcno();
         const Curve_analysis_2& ca = arc.curve();
-        
+
         Point_2 p = Curved_kernel_via_analysis_2::instance().
-          construct_point_on_arc_2_object() 
+          construct_point_on_arc_2_object()
           (Coordinate_1(x_coord), ca, arcno, arc);
         return p;
       }
-      
+
       Bound y_coord = 0;
       if (arc.is_finite(ARR_MIN_END))
       {
@@ -675,37 +675,37 @@ public:
         }
         else
         {
-	  std::pair<Bound,Bound> approx_pair = 
-	    Curved_kernel_via_analysis_2::instance().kernel().
-            approximate_relative_y_2_object() 
-	    (arc.curve_end(ARR_MIN_END).xy(),4);
+          std::pair<Bound,Bound> approx_pair =
+            Curved_kernel_via_analysis_2::instance().kernel().
+            approximate_relative_y_2_object()
+            (arc.curve_end(ARR_MIN_END).xy(),4);
           y_coord = approx_pair.second + Bound(1);
-	  
+
         }
       }
       else
       {
         if (arc.is_finite(ARR_MAX_END))
         {
-	  std::pair<Bound,Bound> approx_pair = 
-	    Curved_kernel_via_analysis_2::instance().kernel().
-            approximate_relative_y_2_object() 
-	    (arc.curve_end(ARR_MAX_END).xy(),4);
+          std::pair<Bound,Bound> approx_pair =
+            Curved_kernel_via_analysis_2::instance().kernel().
+            approximate_relative_y_2_object()
+            (arc.curve_end(ARR_MAX_END).xy(),4);
           y_coord = approx_pair.first-Bound(1);
         }
       }
-      
+
       /*! \todo Try to remove this polynomial stuff */
       typename PT_rat_1::Construct_polynomial cp1;
-      Poly_rat_2 poly2 = typename PT_rat_2::Construct_polynomial() 
+      Poly_rat_2 poly2 = typename PT_rat_2::Construct_polynomial()
         (cp1(-y_coord), cp1(Bound(1)));
-      
+
       typename FT_2::Denominator_type dummy;
       typename FT_2::Numerator_type curve_poly;
       typename FT_2::Decompose() (poly2, curve_poly, dummy);
-      
+
       Curve_analysis_2 curve = Curved_kernel_via_analysis_2::instance().
-        kernel().construct_curve_2_object()(curve_poly);   
+        kernel().construct_curve_2_object()(curve_poly);
       Point_2 p =  Curved_kernel_via_analysis_2::instance().
         construct_point_on_arc_2_object()(arc.x(), curve, 0, arc);
       return p;
@@ -717,26 +717,26 @@ public:
  * Functor that compares x-coordinates of two interior points
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Compare_x_2 : public 
+class Compare_x_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
-    
+
 public:
     //! this instance' first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef CGAL::Comparison_result result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -744,7 +744,7 @@ public:
     Compare_x_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
     }
-    
+
     /*!\brief
      * Compare the x-coordinates of two points.
      *
@@ -765,7 +765,7 @@ public:
  * Functor that compares coordinates of two interior points lexicographically
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Compare_xy_2 : public 
+class Compare_xy_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
 
 public:
@@ -773,18 +773,18 @@ public:
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef CGAL::Comparison_result result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -793,13 +793,13 @@ public:
         Base(kernel) {
     }
 
-    /*!\brief 
+    /*!\brief
      * Compares two points lexigoraphically: by x, then by y.
      * \param p1 The first point.
      * \param p2 The second point.
-     * \return CGAL::LARGER if x(p1) > x(p2), 
+     * \return CGAL::LARGER if x(p1) > x(p2),
      *                      or if x(p1) = x(p2) and y(p1) > y(p2);
-     *         CGAL::SMALLER if x(p1) \< x(p2), 
+     *         CGAL::SMALLER if x(p1) \< x(p2),
      *                       or if x(p1) = x(p2) and y(p1) \< y(p2);
      *         CGAL::EQUAL if the two points are equal.
      */
@@ -807,7 +807,7 @@ public:
                            bool equal_x = false) const {
         // TODO add CGAL_precondition(p1.location() == CGAL::ARR_INTERIOR);
         // TODO add CGAL_precondition(p2.location() == CGAL::ARR_INTERIOR);
-        
+
         CERR("\ncompare_xy; p1: " << p1
              << ";\n p2:" << p2 << "");
 
@@ -829,30 +829,30 @@ public:
 };
 
 /*!\brief
- * Functor that computes relative vertical alignment of an interior point and 
+ * Functor that computes relative vertical alignment of an interior point and
  * an arc
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Compare_y_at_x_2 : public 
+class Compare_y_at_x_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
-   
+
 public:
     //! this instance' first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef CGAL::Comparison_result result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -863,10 +863,10 @@ public:
 
     /*!\brief
      * Return the relative vertical alignment of a point with an arc
-     * 
+     *
      * \param p The point
      * \param cv The arc
-     * \return CGAL::SMALLER if y(p) \< cv(x(p)), i.e., 
+     * \return CGAL::SMALLER if y(p) \< cv(x(p)), i.e.,
      *                       the point is below the arc;
      *         CGAL::LARGER if y(p) > cv(x(p)), i.e.,
      *                      the point is above the arc;
@@ -876,9 +876,9 @@ public:
      *
      */
     result_type operator()(const Point_2& p, const Arc_2& cv) const {
-        
+
         CGAL_precondition(p.is_finite());
-      
+
         CERR("\ncompare_y_at_x; p: " << p << ";\n cv:" << cv << "\n");
 
         bool eq_min, eq_max;
@@ -905,7 +905,7 @@ public:
             }
 
             if (cv.is_finite(CGAL::ARR_MAX_END)) {
-                if (cmp_xy(p.xy(), cv._maxpoint().xy(), true) == 
+                if (cmp_xy(p.xy(), cv._maxpoint().xy(), true) ==
                     CGAL::LARGER) {
                     CERR("cmp result: " << CGAL::LARGER << "\n");
                     return CGAL::LARGER;
@@ -915,12 +915,12 @@ public:
             return CGAL::EQUAL; // p lies on a vertical arc
         }
         CGAL::Comparison_result res;
-        if (eq_min) {          
+        if (eq_min) {
           if(cv._minpoint().is_finite()){
             res = cmp_xy(p.xy(), cv._minpoint().xy(), true);
           }else{
             res = (cv.location(CGAL::ARR_MIN_END)==ARR_TOP_BOUNDARY)?
-              CGAL::SMALLER : CGAL::LARGER; 
+              CGAL::SMALLER : CGAL::LARGER;
           }
         } else if (eq_max) {
           CGAL_precondition(p.is_finite());
@@ -928,13 +928,13 @@ public:
             res = cmp_xy(p.xy(), cv._maxpoint().xy(), true);
           }else{
             res = (cv.location(CGAL::ARR_MAX_END)==ARR_TOP_BOUNDARY)?
-              CGAL::SMALLER : CGAL::LARGER; 
+              CGAL::SMALLER : CGAL::LARGER;
           }
         } else {
           Point_2 point_on_s =
             Base::_ckva()->construct_point_on_arc_2_object()
             (p.x(), cv.curve(), cv.arcno(), cv );
-          
+
           CGAL_precondition(p.is_finite());
           CGAL_precondition(point_on_s.is_finite());
             res = cmp_xy(p.xy(), point_on_s.xy(), true);
@@ -949,26 +949,26 @@ public:
  * of a point
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Compare_y_at_x_left_2 : public 
+class Compare_y_at_x_left_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
-    
+
 public:
     //! this instance' first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef CGAL::Comparison_result result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -976,19 +976,19 @@ public:
     Compare_y_at_x_left_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
     }
-    
+
     /*!\brief
-     * Compares the relative vertical alignment of two arcs 
-     * immediately to the left of one of their intersection points. 
-     * 
-     * If one of the arcs is vertical (emanating downward from p), it is 
+     * Compares the relative vertical alignment of two arcs
+     * immediately to the left of one of their intersection points.
+     *
+     * If one of the arcs is vertical (emanating downward from p), it is
      * always considered to be below the other curve.
      *
      * \param cv1 The first arc
      * \param cv2 The second arc
      * \param p The intersection point.
-     * \return The relative vertical alignment of cv1 with respect to cv2 
-     *         immediately to the left of p: CGAL::SMALLER, CGAL::LARGER or 
+     * \return The relative vertical alignment of cv1 with respect to cv2
+     *         immediately to the left of p: CGAL::SMALLER, CGAL::LARGER or
                CGAL::EQUAL.
      *
      * \pre The point p lies on both curves, and both of them must be also be
@@ -1000,20 +1000,20 @@ public:
         CERR("\ncompare_y_at_x_left(cv2); cv1: " << cv1 << "; cv2: " <<
             cv2 << "; p: " << p << "\n");
 
-        // ensure that p lies on both arcs 
+        // ensure that p lies on both arcs
         CGAL_precondition(cv1.compare_y_at_x(p) == CGAL::EQUAL);
         CGAL_precondition(cv2.compare_y_at_x(p) == CGAL::EQUAL);
-        
+
         // check whether both arcs indeed lie to the left of p
         CGAL_precondition(
-                (cv1.is_vertical() && 
-                 cv1.location(CGAL::ARR_MIN_END) == 
+                (cv1.is_vertical() &&
+                 cv1.location(CGAL::ARR_MIN_END) ==
                  CGAL::ARR_BOTTOM_BOUNDARY) ||
                 cv1._same_arc_compare_xy(cv1._minpoint(), p) == CGAL::SMALLER
         );
         CGAL_precondition(
                 (cv2.is_vertical() &&
-                 cv2.location(CGAL::ARR_MIN_END) == CGAL::ARR_BOTTOM_BOUNDARY) 
+                 cv2.location(CGAL::ARR_MIN_END) == CGAL::ARR_BOTTOM_BOUNDARY)
                 ||
                 cv2._same_arc_compare_xy(cv2._minpoint(), p) == CGAL::SMALLER
         );
@@ -1025,29 +1025,29 @@ public:
             // a vertical arc is always smaller than the arc extending to the
             // left
             return CGAL::SMALLER;
-        } 
+        }
         // a vertical arc is always smaller than the arc extending to the left;
         // due to the order, we have to return the opposite
         if (cv2.is_vertical()) {
             return CGAL::LARGER;
         }
-            
+
         if (cv1.is_singular()) {// singularity in y
             CGAL_error_msg("Handling singularity in y is not yet implemented");
         }
-        
+
         // vertical line immediately to the left of p: if p lies on boundary
         // get the vertical line over the last interval; otherwise
         // obtain the interval w.r.t. point's x-coordinate (this also valid
         // for discontinuity in y)
-        /*if(bndp_x == CGAL::BEFORE_SINGULARITY || 
+        /*if(bndp_x == CGAL::BEFORE_SINGULARITY ||
            bndp_x == CGAL::BEFORE_DISCONTINUITY)
            return _compare_arc_numbers(cv2, bndp_x);
         else*/
 
-        CGAL::Comparison_result res = 
+        CGAL::Comparison_result res =
             cv1._compare_arc_numbers(cv2,
-                                     CGAL::ARR_INTERIOR, 
+                                     CGAL::ARR_INTERIOR,
                                      p.x(), CGAL::NEGATIVE);
         CERR("result: " << res << "\n");
         return res;
@@ -1060,26 +1060,26 @@ public:
  * of a point
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Compare_y_at_x_right_2 : public 
+class Compare_y_at_x_right_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
-   
+
 public:
     //! this instance' first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef CGAL::Comparison_result result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -1089,17 +1089,17 @@ public:
     }
 
     /*!\brief
-     * Compares the relative vertical alignment of two arcs 
-     * immediately to the right of one of their intersection points. 
-     * 
-     * If one of the arcs is vertical (emanating downward from p), it is 
+     * Compares the relative vertical alignment of two arcs
+     * immediately to the right of one of their intersection points.
+     *
+     * If one of the arcs is vertical (emanating downward from p), it is
      * always considered to be below the other curve.
      *
      * \param cv1 The first arc
      * \param cv2 The second arc
      * \param p The intersection point.
-     * \return The relative vertical alignment of cv1 with respect to cv2 
-     *         immediately to the right of p: CGAL::SMALLER, CGAL::LARGER or 
+     * \return The relative vertical alignment of cv1 with respect to cv2
+     *         immediately to the right of p: CGAL::SMALLER, CGAL::LARGER or
                CGAL::EQUAL.
      *
      * \pre The point p lies on both curves, and both of them must be also be
@@ -1110,15 +1110,15 @@ public:
 
         CERR("\ncompare_y_at_x_right; cv1: " << cv1 << "; cv2: " <<
             cv2 << "; p: " << p << "\n");
-        
+
         // ensure that p lies on both arcs and doesn't lie on the positive
         // boundary
         CGAL_precondition(cv1.compare_y_at_x(p) == CGAL::EQUAL);
         CGAL_precondition(cv2.compare_y_at_x(p) == CGAL::EQUAL);
-        
-        // check whether both arcs indeed lie to the left of p    
+
+        // check whether both arcs indeed lie to the left of p
         CGAL_precondition(
-                (cv1.is_vertical() && 
+                (cv1.is_vertical() &&
                  cv1.location(CGAL::ARR_MAX_END) == CGAL::ARR_TOP_BOUNDARY) ||
                 cv1._same_arc_compare_xy(p, cv1._maxpoint()) == CGAL::SMALLER
         );
@@ -1127,7 +1127,7 @@ public:
                  cv2.location(CGAL::ARR_MAX_END) == CGAL::ARR_TOP_BOUNDARY) ||
                 cv2._same_arc_compare_xy(p, cv2._maxpoint()) == CGAL::SMALLER
         );
-        
+
         if (cv1.is_vertical()) {
             // if both are vertical (they overlap), we return EQUAL
             if (cv2.is_vertical()) {
@@ -1136,30 +1136,30 @@ public:
             // a vertical arc is always LARGER than arc extending to the
             // right
             return CGAL::LARGER;
-        } 
-        // a vertical arc is always LARGER than arc extending to the right; 
+        }
+        // a vertical arc is always LARGER than arc extending to the right;
         // due to the order, we have to return the opposite
         if (cv2.is_vertical()) {
             return CGAL::SMALLER;
         }
-        
+
         if (cv1.is_singular()) {// singularity in y
             CGAL_error_msg("Handling singularity in y is not yet \
                 implemented");
         }
-            
+
         // vertical line immediately to the right of p: if p lies on boundary
         // get the vertical line over the first interval; otherwise
         // obtain the interval w.r.t. point's x-coordinate (this also valid
-        // for discontinuity in y)        
-        /*if(bndp_x == CGAL::AFTER_SINGULARITY || 
+        // for discontinuity in y)
+        /*if(bndp_x == CGAL::AFTER_SINGULARITY ||
                 bndp_x == CGAL::AFTER_DISCONTINUITY)
            return _compare_arc_numbers(cv2, bndp_x);
         else*/
-        CGAL::Comparison_result res = 
+        CGAL::Comparison_result res =
             cv1._compare_arc_numbers(cv2,
-                                     CGAL::ARR_INTERIOR, 
-                                     p.x(), 
+                                     CGAL::ARR_INTERIOR,
+                                     p.x(),
                                      CGAL::POSITIVE);
         CERR("result: " << res << "\n");
         return res;
@@ -1170,26 +1170,26 @@ public:
  * Functor that checks whether a point is in the x-range of an arc
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Is_in_x_range_2 : public 
+class Is_in_x_range_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
-   
+
 public:
     //! this instance' first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef bool result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -1197,10 +1197,10 @@ public:
     Is_in_x_range_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
     }
-    
+
     /*!\brief
      * Check whether a given point lies within the curve's x-range
-     * 
+     *
      * \param cv The arc
      * \param p the point
      * \return \c true if p lies in arc's x-range; \c false otherwise.
@@ -1214,7 +1214,7 @@ public:
  * Tests two objects, whether they are equal
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Equal_2 : public 
+class Equal_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
 
 public:
@@ -1222,18 +1222,18 @@ public:
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef bool result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -1241,7 +1241,7 @@ public:
     Equal_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
     }
-    
+
     /*!\brief
      * Check if the two points are the same
      *
@@ -1251,13 +1251,13 @@ public:
      */
     result_type operator()(const Point_2& p1, const Point_2& p2) const {
         return (Curved_kernel_via_analysis_2::instance().
-                compare_xy_2_object()(p1, p2) == 
+                compare_xy_2_object()(p1, p2) ==
                 CGAL::EQUAL);
     }
-     
-    /*!\brief 
-     * Check if the two arcs are the same 
-     * 
+
+    /*!\brief
+     * Check if the two arcs are the same
+     *
      * \param cv1 The first arc
      * \param cv2 The second arc
      * \return \c true if the two curves are the same; \c false otherwise.
@@ -1271,27 +1271,27 @@ public:
         if (cv1.is_vertical() != cv2.is_vertical()) {
             return false;
         }
-        
-	Arc_2::simplify(cv1,cv2);
+
+        Arc_2::simplify(cv1,cv2);
         // distinct supporting curves implies inequality, provided the
         // coprimality condition is satisfied
         if (!cv1.curve().is_identical(cv2.curve())) {
             return false;
         }
-        
+
         // here either both or none of the arcs are vertical, check for arcnos
         // equality
         if (!cv1.is_vertical() && cv1.arcno() != cv2.arcno()) {
             return false;
         }
-        // otherwise compare respective curve ends: supporting curves and 
+        // otherwise compare respective curve ends: supporting curves and
         // arcnos are equal => the curve ends belong to the same arc
         return ((cv1._same_arc_compare_xy(cv1._minpoint(), cv2._minpoint()) ==
                  CGAL::EQUAL &&
                  cv1._same_arc_compare_xy(cv1._maxpoint(), cv2._maxpoint()) ==
                  CGAL::EQUAL));
     }
-    
+
 };
 
 
@@ -1299,26 +1299,26 @@ public:
  * Functor that checks whether two arcs overlap
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Do_overlap_2 : public 
+class Do_overlap_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
-    
+
 public:
     //! this instance' first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef bool result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -1326,7 +1326,7 @@ public:
     Do_overlap_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
     }
-    
+
     /*!\brief
      * Check whether two given arcs overlap, i.e., they have infinitely
      * many intersection points
@@ -1336,18 +1336,18 @@ public:
      * \return \c true if the curves overlap; \c false otherwise
      */
     bool operator()(const Arc_2& cv1, const Arc_2& cv2) const {
-    
+
         CERR("\ndo_overlap\n");
         if (cv1.is_identical(cv2)) {
             return true;
         }
-            
+
         Arc_2::simplify(cv1, cv2);
-        // arcs with coprime support do not overlap    
+        // arcs with coprime support do not overlap
         if (!cv1.curve().is_identical(cv2.curve())) {
             return false;
         }
-        
+
         if (cv1.is_vertical() != cv2.is_vertical()) {
             return false; // only one arc is vertical => can't overlap
         }
@@ -1364,16 +1364,16 @@ public:
                            cv1._minpoint(), cv2._minpoint(), true)
             ) {
             case CGAL::EQUAL: // this->source == cv2->source => overlap !
-                return true;            
+                return true;
             case CGAL::SMALLER: // this->source < cv2->source
                 // check whether this->target > cv2->source
                 return (cv1._same_arc_compare_xy(
-                                cv1._maxpoint(), cv2._minpoint(), 
+                                cv1._maxpoint(), cv2._minpoint(),
                                 true) == CGAL::LARGER);
             case CGAL::LARGER: // this->source > cv2->source
                 // check whether this->source < cv2->target
                 return (cv1._same_arc_compare_xy(
-                                cv1._minpoint(), cv2._maxpoint(), 
+                                cv1._minpoint(), cv2._maxpoint(),
                                 true) == CGAL::SMALLER);
             }
         }
@@ -1388,16 +1388,16 @@ public:
                         cv1._minpoint(), cv2._minpoint(), false, true)
         ) {
         case CGAL::EQUAL: // this->source == cv2->source => overlap !
-            return true;            
+            return true;
         case CGAL::SMALLER: // this->source < cv2->source
             // check whether this->target > cv2->source
             return (cv1._same_arc_compare_xy(
-                            cv1._maxpoint(), cv2._minpoint(), false, 
+                            cv1._maxpoint(), cv2._minpoint(), false,
                             true) == CGAL::LARGER);
         case CGAL::LARGER: // this->source > cv2->source
             // check whether this->source < cv2->target
             return (cv1._same_arc_compare_xy(
-                            cv1._minpoint(), cv2._maxpoint(), false, 
+                            cv1._minpoint(), cv2._maxpoint(), false,
                             true) == CGAL::SMALLER);
         }
         CGAL_error_msg("bogus comparison result");
@@ -1410,7 +1410,7 @@ public:
  * Functor that computes the intersections of two arcs
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Intersect_2 : public 
+class Intersect_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
 
 public:
@@ -1418,19 +1418,19 @@ public:
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef CGAL::cpp98::iterator< std::output_iterator_tag, CGAL::Object >
     result_type;
-    
+
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -1438,15 +1438,15 @@ public:
     Intersect_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
     }
-    
+
     // TODO add operators for non-x-monotone arcs + curves (i.e., all combis)
-    
+
     /*!\brief
-     * Find all intersections of the two given arcs and insert them to the 
-     * output iterator. 
+     * Find all intersections of the two given arcs and insert them to the
+     * output iterator.
      *
-     * Type of output iterator is \c CGAL::Object 
-     * containing either an \c Arc_2 object (overlap) or a \c 
+     * Type of output iterator is \c CGAL::Object
+     * containing either an \c Arc_2 object (overlap) or a \c
      * std::pair< Point_2, unsigned int >, where the unsigned int denotes
      * the multiplicity of the zero-dimensional intersection (0 if unknown)
      *
@@ -1458,10 +1458,10 @@ public:
     template < class OutputIterator >
     OutputIterator operator()(const Arc_2& cv1, const Arc_2& cv2,
                               OutputIterator oi) const {
-        
-        CERR("\nintersect; cv1: " << cv1 
+
+        CERR("\nintersect; cv1: " << cv1
              << ";\n cv2:" << cv2 << "");
-        
+
         // if arcs overlap, just store their common part, otherwise compute
         // point-wise intersections
         std::vector< Arc_2 > common_arcs;
@@ -1470,9 +1470,9 @@ public:
             for(it = common_arcs.begin(); it < common_arcs.end(); it++) {
                 *oi++ = CGAL::make_object(*it);
             }
-            return oi; 
+            return oi;
         }
-        // process non-ov erlapping case        
+        // process non-ov erlapping case
         typedef std::pair< Point_2, unsigned int > Point_and_mult;
         typedef std::vector< Point_and_mult > Point_vector;
         Point_vector vec;
@@ -1492,26 +1492,26 @@ public:
  * Functors that trims an arc
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Trim_2 : public 
+class Trim_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
-   
+
 public:
     //! this instance' first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef Arc_2 result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -1519,10 +1519,10 @@ public:
     Trim_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
     }
-    
+
     /*!\brief
      * Returns a trimmed version of an arc
-     * 
+     *
      * \param cv The arc
      * \param p the new first endpoint
      * \param q the new second endpoint
@@ -1532,15 +1532,15 @@ public:
      * \pre both points must be interior and must lie on \c cv
      */
     Arc_2 operator()(const Arc_2& cv, const Point_2& p, const Point_2& q) {
-    
+
         CERR("trim\n");
 
         CGAL_precondition(p.location() == CGAL::ARR_INTERIOR);
         CGAL_precondition(q.location() == CGAL::ARR_INTERIOR);
-        
+
         CGAL_precondition(!Base::_ckva()->equal_2_object()(p, q));
         CGAL_precondition(cv.compare_y_at_x(p) == CGAL::EQUAL);
-        CGAL_precondition(cv.compare_y_at_x(q) == CGAL::EQUAL);  
+        CGAL_precondition(cv.compare_y_at_x(q) == CGAL::EQUAL);
 
         return cv._trim(p, q);
     }
@@ -1551,26 +1551,26 @@ public:
  * Functor that splits a arc at an interior point
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Split_2 : public 
+class Split_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
-   
+
 public:
     //! this instance' first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef void result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -1578,25 +1578,25 @@ public:
     Split_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
     }
-    
+
     /*!\brief
      * Split a given arc at a given point into two sub-arcs
-     * 
+     *
      * \param cv The arc to split
      * \param p The split point
      * \param c1 Output: The left resulting subcurve (p is its right endpoint)
      * \param c2 Output: The right resulting subcurve (p is its left endpoint)
-     * 
+     *
      * \pre p lies on cv but is not one of its end-points.
      */
     void operator()(const Arc_2& cv, const Point_2 & p,
                     Arc_2& c1, Arc_2& c2) const {
-        
+
         CGAL_precondition(cv.compare_y_at_x(p) == CGAL::EQUAL);
         // check that p is not an end-point of the arc
         CGAL_precondition(cv._same_arc_compare_xy(cv._minpoint(), p) != CGAL::EQUAL);
         CGAL_precondition(cv._same_arc_compare_xy(cv._maxpoint(), p) != CGAL::EQUAL);
-        
+
         CERR("\nsplit\n");
         c1 = cv._replace_endpoints(
                 cv._minpoint(), p, -1, (cv.is_vertical() ? -1 : cv.arcno())
@@ -1611,26 +1611,26 @@ public:
  * Functor that computes whether two arcs are mergeable
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Are_mergeable_2 : public 
+class Are_mergeable_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
-   
+
 public:
     //! this instance' first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef bool result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -1638,7 +1638,7 @@ public:
     Are_mergeable_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
     }
-    
+
     /*!\brief
      * Check whether two given arcs are mergeable
      *
@@ -1648,59 +1648,59 @@ public:
      * by the same curve and share a common endpoint; \c false otherwise.
      */
     bool operator()(const Arc_2& cv1, const Arc_2& cv2) const {
-    
+
         CERR("\nare_mergeable\n");
-        
+
         if (cv1.do_overlap(cv2)) {// if arcs overlap they are not mergeable
             return false;   // this also call simplify
         }
-        
+
         // touch in at most one point now and supporting curves are simplified
         // both arcs must be either vertical or not
-        if (!cv1.curve().is_identical(cv2.curve()) || 
+        if (!cv1.curve().is_identical(cv2.curve()) ||
             cv1.is_vertical() != cv2.is_vertical()) {
             return false;
         }
         // if both arcs are non-vertical => they must have equal arcnos
-        // to be mergeable            
+        // to be mergeable
         if (!cv1.is_vertical() && cv1.arcno() != cv2.arcno()) {
             return false;
         }
         // for non-vertical arcs arc numbers are equal => can use same_arc_cmp
-        bool max_min = 
-            (cv1._same_arc_compare_xy(cv1._maxpoint(), cv2._minpoint()) == 
+        bool max_min =
+            (cv1._same_arc_compare_xy(cv1._maxpoint(), cv2._minpoint()) ==
              CGAL::EQUAL),
             min_max = false;
         if (!max_min) { // both cases cannot happen simultaneously
-            min_max = 
-                (cv1._same_arc_compare_xy(cv1._minpoint(), cv2._maxpoint()) == 
+            min_max =
+                (cv1._same_arc_compare_xy(cv1._minpoint(), cv2._maxpoint()) ==
                  CGAL::EQUAL);
             if (!min_max) { // arcs have no common end-point => not mergeable
                 return false;
             }
         }
         // check that the common point is not an event point
-        if (cv1.is_vertical()) { // both arcs are vertical 
+        if (cv1.is_vertical()) { // both arcs are vertical
             Point_2 common = (max_min ? cv1._maxpoint() : cv1._minpoint());
             // a common end must be a finite point
             CGAL_precondition(cv1.is_interior(common.location()));
-            // check that there are no other non-vertical branches coming 
+            // check that there are no other non-vertical branches coming
             // through this point
-      
+
             Curve_analysis_2 ca_2(cv1.curve());
-            typename Curve_analysis_2::Status_line_1 cv_line = 
+            typename Curve_analysis_2::Status_line_1 cv_line =
                 ca_2.status_line_for_x(common.x());
             CGAL_assertion(cv_line.is_event()); // ??
 
             // we are not allowed to use number_of_incident_branches()
-            // since the common point might be supported by different curve, 
+            // since the common point might be supported by different curve,
             // and therefore its arcno might be not valid for *this arc
             for (int k = 0; k < cv_line.number_of_events(); k++) {
                 // use a temporary object for comparison predicate
                 typename Point_2::Coordinate_2 tmp(common.x(), cv1.curve(), k);
                 if (Curved_kernel_via_analysis_2::instance().
                     kernel().compare_xy_2_object()(
-                            common.xy(), tmp) == 
+                            common.xy(), tmp) ==
                     CGAL::EQUAL) {
                     return false;
                 }
@@ -1708,7 +1708,7 @@ public:
         } else if (cv1.interval_id() != cv2.interval_id()) {
             return false; // non-vertical case
         }
-        
+
         return true;
     }
 };
@@ -1717,26 +1717,26 @@ public:
  * Functor that merges two arcs
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Merge_2 : public 
+class Merge_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
-   
+
 public:
     //! this instance' first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef void result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -1751,26 +1751,26 @@ public:
      * \param cv1 The first arc
      * \param cv2 The second arc
      * \param c Output: The resulting arc
-     * 
+     *
      * \pre The two arcs are mergeable, that is they are supported by the
      *      same curve and share a common endpoint.
-     */  
+     */
     void operator()(const Arc_2& cv1, const Arc_2& cv2, Arc_2& c) const {
-    
+
         CERR("merge\n");
         CGAL_precondition(cv1.are_mergeable(cv2));
         Arc_2::simplify(cv1, cv2);
-        
+
         Point_2 src, tgt;
         int arcno_s = -1, arcno_t = -1;
         bool replace_src; // true if cv2 < *this otherwise *this arc < cv2 arc
         // arcs are mergeable => they have one common finite end-point
-        replace_src = 
-            (cv1._same_arc_compare_xy(cv1._minpoint(), cv2._maxpoint()) == 
+        replace_src =
+            (cv1._same_arc_compare_xy(cv1._minpoint(), cv2._maxpoint()) ==
              CGAL::EQUAL);
         src = (replace_src ? cv2._minpoint() : cv1._minpoint());
         tgt = (replace_src ? cv1._maxpoint() : cv2._maxpoint());
-              
+
         if (!cv1.is_vertical()) {
             arcno_s = (replace_src ? cv2.arcno(CGAL::ARR_MIN_END) :
                        cv1.arcno(CGAL::ARR_MIN_END));
@@ -1780,7 +1780,7 @@ public:
         Arc_2 arc = cv1._replace_endpoints(src, tgt, arcno_s, arcno_t).first;
         // arc.set_boundaries_after_merge(*this, s); - no need to, since
         // boundaries are stored in Point_2 type and will be copied implicitly
-        
+
         c = arc;
     }
 };
@@ -1790,7 +1790,7 @@ public:
  * Functor that computes whether a point lies on a supporting curve
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Is_on_2 : public 
+class Is_on_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
 
 public:
@@ -1798,18 +1798,18 @@ public:
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef bool result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -1817,16 +1817,16 @@ public:
     Is_on_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
     }
-    
+
     /*!\brief
-     * Checks whether \c p lies on \c c 
-     * 
+     * Checks whether \c p lies on \c c
+     *
      * \param p The point to test
      * \param c The curve
      * \return \c true if the \c p lies on \c c, \c false otherwise
      */
     result_type operator()(const Point_2& p, const Curve_analysis_2& c) const {
-        result_type res = 
+        result_type res =
             (Curved_kernel_via_analysis_2::instance().
              kernel().sign_at_2_object()(c, p.xy())
              == CGAL::ZERO);
@@ -1834,24 +1834,24 @@ public:
     }
 
     /*!\brief
-     * Checks whether \c p lies on \c cv 
-     * 
+     * Checks whether \c p lies on \c cv
+     *
      * \param p The point to test
      * \param c The curve arc
      * \return \c true if the \c p lies on \c cv, \c false otherwise
      */
     result_type operator()(const Point_2& p, const Arc_2& cv) const {
-      // fix by Michael Hemmer: 
+      // fix by Michael Hemmer:
       if(cv.is_in_x_range(p.x())){
         return cv.compare_y_at_x(p) == CGAL::EQUAL;
       }
-      return false; 
-      
+      return false;
+
       // This is the old code that seems to interpret the arc as open
-      // In particular, it returns false for vertical arcs. 
+      // In particular, it returns false for vertical arcs.
       // (Michael Hemmer)
 //       bool is_left, is_right;
-//       result_type res = 
+//       result_type res =
 //         (cv.is_in_x_range(p.x(),&is_left,&is_right)) &&
 //         !(is_left) &&
 //         !(is_right) &&
@@ -1862,11 +1862,11 @@ public:
 };
 
 
-/*!\brief 
+/*!\brief
  * Functor that decomposes curve into x-monotone arcs and isolated points
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Make_x_monotone_2 : public 
+class Make_x_monotone_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
 
 public:
@@ -1874,32 +1874,32 @@ public:
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef CGAL::cpp98::iterator< std::output_iterator_tag, CGAL::Object >
     result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
      */
     Make_x_monotone_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
-    } 
+    }
 
     /*!\brief
-     * Decomposes a given arc into list of x-monotone arcs 
-     * (subcurves) and insert them to the output iterator. Since \c Arc_2 
-     * is by definition x-monotone, an input arc is passed to the 
-     * output iterator directly. 
+     * Decomposes a given arc into list of x-monotone arcs
+     * (subcurves) and insert them to the output iterator. Since \c Arc_2
+     * is by definition x-monotone, an input arc is passed to the
+     * output iterator directly.
      *
      * \param cv The arc
      * \param oi The output iterator, whose value-type is Object
@@ -1908,15 +1908,15 @@ public:
      */
     template < class OutputIterator >
     OutputIterator operator()(const Arc_2& cv, OutputIterator oi) const {
-    
+
         *oi++ = CGAL::make_object(cv);
         return oi;
     }
-    
-    /*!\brief 
+
+    /*!\brief
      * Decomposes a given curve into list of x-monotone arcs
-     * (subcurves) and isolated points and insert them to the output iterator. 
-     * 
+     * (subcurves) and isolated points and insert them to the output iterator.
+     *
      * \param cv The curve
      * \param oi The output iterator, whose value-type is Object.
      * The returned objects either wrapper Arc_2 or Point_2 objects
@@ -1925,7 +1925,7 @@ public:
     template < class OutputIterator >
     OutputIterator operator()(const Curve_analysis_2& cv, OutputIterator oi)
          const {
-    
+
         CGAL::internal::Make_x_monotone_2< Curved_kernel_via_analysis_2 >
             make_x_monotone(Base::_ckva());
 
@@ -1949,11 +1949,11 @@ public:
         Curve_analysis_2 curve;
         Non_x_monotone_arc_2 nxarc;
 
-        if(CGAL::assign(curve, obj)) 
+        if(CGAL::assign(curve, obj))
             oi = (*this)(curve, oi);
         else if(CGAL::assign(nxarc, obj))
-	  std::cerr << "AU BACKE" << std::endl;
-	  //oi = std::transform(nxarc.begin(), nxarc.end(), oi,
+          std::cerr << "AU BACKE" << std::endl;
+          //oi = std::transform(nxarc.begin(), nxarc.end(), oi,
           //      std::ptr_fun(CGAL::make_object<Arc_2>));
         else // allow the remaining objects to pass through
             *oi++ = obj;
@@ -1968,7 +1968,7 @@ public:
  * Functor computing parameter space in x for arc
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Parameter_space_in_x_2 : public 
+class Parameter_space_in_x_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
 
 public:
@@ -1976,18 +1976,18 @@ public:
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
-    
+
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef CGAL::Arr_parameter_space result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -1995,7 +1995,7 @@ public:
     Parameter_space_in_x_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
     }
-    
+
     /*! Obtains the parameter space in x at the end of an arc.
      *
      * \param cv The arc
@@ -2003,7 +2003,7 @@ public:
      *     ARR_MIN_END - the minimal end of cv
      *     ARR_MAX_END - the maximal end of cv
      * \return the parameter space at the \c ce end of \c cv
-     *   ARR_LEFT_BOUNDARY  - the arc approaches the left boundary of the 
+     *   ARR_LEFT_BOUNDARY  - the arc approaches the left boundary of the
      *                        parameter space
      *   ARR_INTERIOR       - the arc does not approach a boundary of the
      *                        parameter space
@@ -2028,7 +2028,7 @@ public:
  * Functor that compares ends of arcs near left or right boundary
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Compare_y_near_boundary_2 : public 
+class Compare_y_near_boundary_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
 
 public:
@@ -2036,18 +2036,18 @@ public:
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef CGAL::Comparison_result result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -2059,7 +2059,7 @@ public:
     /*!\brief
      * Compare the y-coordinates of 2 arcs at their ends near the left
      * or right boundary of the parameter space
-     * 
+     *
      * \param cv1 the first arc.
      * \param cv2 the second arc.
      * \param ce the arc end indicator.
@@ -2073,63 +2073,63 @@ public:
      */
     result_type operator()(const Arc_2& cv1, const Arc_2& cv2,
                            CGAL::Arr_curve_end ce) const {
-        
+
       CERR("\ncompare_y_near_boundary; cv1: " << cv1 << "; cv2: " <<
            cv2 << "; end: " << ce << "\n");
-      
-      
+
+
       CGAL::Comparison_result res = CGAL::EQUAL;
-      
+
       CGAL::Arr_parameter_space loc1 = cv1.location(ce);
       CGAL_precondition(cv1.is_on_left_right(loc1));
       CGAL_precondition(loc1 == cv2.location(ce));
       // comparing ids is the same as calling is_identical() ??
       if (cv1.id() == cv2.id()) {
-	CERR("result: " << res << "\n"); // EQUAL
-	return res;
-      } 
-      
+        CERR("result: " << res << "\n"); // EQUAL
+        return res;
+      }
+
       // both points lie on the left-right-identification, i.e., equalx
       // TODO this interface is NOT official
-      CGAL::Object obj1 = 
-	cv1.curve().asymptotic_value_of_arc(loc1, cv1.arcno());
-      CGAL::Object obj2 = 
-	cv2.curve().asymptotic_value_of_arc(loc1, cv2.arcno());
-      
+      CGAL::Object obj1 =
+        cv1.curve().asymptotic_value_of_arc(loc1, cv1.arcno());
+      CGAL::Object obj2 =
+        cv2.curve().asymptotic_value_of_arc(loc1, cv2.arcno());
+
       typename Point_2::Curved_kernel_via_analysis_2::Curve_kernel_2::
-	Algebraic_real_1 y1, y2;
+        Algebraic_real_1 y1, y2;
       CGAL::Arr_parameter_space ps1, ps2;
-      
+
       if (CGAL::assign(ps1, obj1)) {
-	if (CGAL::assign(ps2, obj2)) {
-	  res = CGAL::EQUAL;
-	} else {
-	  CGAL_assertion(CGAL::assign(y2, obj2));
-	  res = (ps1 == CGAL::ARR_BOTTOM_BOUNDARY ?
-		 CGAL::SMALLER : CGAL::LARGER);
-	}
+        if (CGAL::assign(ps2, obj2)) {
+          res = CGAL::EQUAL;
+        } else {
+          CGAL_assertion(CGAL::assign(y2, obj2));
+          res = (ps1 == CGAL::ARR_BOTTOM_BOUNDARY ?
+                 CGAL::SMALLER : CGAL::LARGER);
+        }
       } else {
-	CGAL_assertion_code(bool check = )
-	  CGAL::assign(y1, obj1);
-	CGAL_assertion(check);
-	if (CGAL::assign(ps2, obj2)) {
-	  res = (ps2 == CGAL::ARR_TOP_BOUNDARY ?
-		 CGAL::SMALLER : CGAL::LARGER);
-	} else {
-	  CGAL_assertion_code(bool check = )
-	    CGAL::assign(y2, obj2);
-	  CGAL_assertion(check);
-          
-	  // Remark: Is filtered
-	  res = Base::_ckva()->kernel().compare_1_object()(y1, y2);
-	}
+        CGAL_assertion_code(bool check = )
+          CGAL::assign(y1, obj1);
+        CGAL_assertion(check);
+        if (CGAL::assign(ps2, obj2)) {
+          res = (ps2 == CGAL::ARR_TOP_BOUNDARY ?
+                 CGAL::SMALLER : CGAL::LARGER);
+        } else {
+          CGAL_assertion_code(bool check = )
+            CGAL::assign(y2, obj2);
+          CGAL_assertion(check);
+
+          // Remark: Is filtered
+          res = Base::_ckva()->kernel().compare_1_object()(y1, y2);
+        }
       }
-      
+
       if (res != EQUAL) {
         CERR("result: " << res << "\n");
         return res;
       }
-      
+
       CGAL_precondition(cv1.is_on_left_right(loc1));
       CGAL_precondition(loc1 == cv2.location(ce));
       // comparing ids is the same as calling is_identical() ??
@@ -2137,8 +2137,8 @@ public:
         CGAL::Comparison_result res = CGAL::EQUAL;
         CERR("result: " << res << "\n");
         return res;
-      } 
-      
+      }
+
       // in this setting same handling as for +/-oo ?
       res = cv1._compare_arc_numbers(cv2, loc1);
       CERR("result: " << res << "\n");
@@ -2149,26 +2149,26 @@ public:
 // bottom-top
 
 template < class CurvedKernelViaAnalysis_2 >
-class Parameter_space_in_y_2 : public 
+class Parameter_space_in_y_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
-   
+
 public:
     //! this instance' first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
-    
+
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef CGAL::Arr_parameter_space result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -2178,13 +2178,13 @@ public:
     }
 
     /*! Obtains the parameter space in y at the end of an arc.
-     * 
+     *
      * \param cv The arc
      * \param ce the arc end indicator:
      *     ARR_MIN_END - the minimal end of cv
      *     ARR_MAX_END - the maximal end of cv
      * \return the parameter space at the \c ce end of \c cv
-     *   ARR_BOTTOM_BOUNDARY- the arc approaches the bottom boundary of the 
+     *   ARR_BOTTOM_BOUNDARY- the arc approaches the bottom boundary of the
      *                        parameter space
      *   ARR_INTERIOR       - the arc does not approach a boundary of the
      *                        parameter space
@@ -2192,7 +2192,7 @@ public:
      *                        parameter space
      */
     result_type operator()(const Arc_2& cv, CGAL::Arr_curve_end ce) const {
-            
+
         CGAL::Arr_parameter_space loc = cv.location(ce);
         if(loc == CGAL::ARR_BOTTOM_BOUNDARY || loc == CGAL::ARR_TOP_BOUNDARY)
             return loc;
@@ -2210,7 +2210,7 @@ public:
  * Functor that compares x-limits at the top or bottom boundary
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Compare_x_at_limit_2 : public 
+class Compare_x_at_limit_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
 
 public:
@@ -2218,12 +2218,12 @@ public:
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef CGAL::Comparison_result result_type;
 
@@ -2235,7 +2235,7 @@ public:
 
     /*!\brief Compare the x-limit of a vertical with the x-limit of
      * an arc end near the boundary at bottom or top boundary
-     * 
+     *
      * \param p the point direction.
      * \param cv the arc, the endpoint of which is compared.
      * \param ce the arc-end indicator -
@@ -2255,13 +2255,13 @@ public:
 
         CERR("\ncompare_x_at_limit: p: " << p << "\n cv: " <<
              cv << "; curve_end: " << ce << "\n");
-        
+
         // this curve end has boundary only in y
         CGAL_precondition(cv.is_on_bottom_top(cv.location(ce)));
         if (cv.is_singular()) // the curve end goes to contraction => x-order
-            return CGAL::EQUAL; // doesn't matter   
+            return CGAL::EQUAL; // doesn't matter
 
-        CGAL::Comparison_result res = 
+        CGAL::Comparison_result res =
             Curved_kernel_via_analysis_2::instance().
             kernel().compare_1_object()(
                     p.x(), cv.curve_end_x(ce)
@@ -2270,7 +2270,7 @@ public:
         return res;
     }
 
-    /*! Compare the x-limits of 2 arcs ends near the top or bottom 
+    /*! Compare the x-limits of 2 arcs ends near the top or bottom
      * boundary of the parameter space
      * \param cv1 the first arc.
      * \param ce1 the first arc end indicator -
@@ -2293,24 +2293,24 @@ public:
 
         CERR("\ncompare_x_at_limit: cv1: " << cv1 << "\n cv2: " <<
             cv2 << "; end1: " << ce1 << "; end2: " << ce2 << "\n");
-        /*CGAL::Arr_boundary_type bnd1 = boundary(end1), 
+        /*CGAL::Arr_boundary_type bnd1 = boundary(end1),
             bnd2 = cv2.boundary(ce2);*/
         CGAL_precondition_code(CGAL::Arr_parameter_space loc1 = cv1.location(ce1));
         CGAL_precondition_code(CGAL::Arr_parameter_space loc2 = cv2.location(ce2));
         CGAL_precondition(cv1.is_on_bottom_top(loc1));
         CGAL_precondition(cv1.is_on_bottom_top(loc2));
-        
+
         if (cv1.is_singular() != cv1.is_singular()) {
             // only one curve end lies at singularity (another at +/-oo)
             CGAL_error_msg("SINGULARITY + INF comparison is not yet \
                 implemented");
         }
-        
+
         CGAL::Comparison_result res = Curved_kernel_via_analysis_2::instance().
-	  kernel().compare_1_object()(
-				      cv1.curve_end_x(ce1),
-				      cv2.curve_end_x(ce2)
-				      );
+          kernel().compare_1_object()(
+                                      cv1.curve_end_x(ce1),
+                                      cv2.curve_end_x(ce2)
+                                      );
         CERR("result: " << res << "\n");
         return res;
     }
@@ -2321,7 +2321,7 @@ public:
  * Functor that compares x-coordinates near the top or bottom boundary
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Compare_x_near_limit_2 : public 
+class Compare_x_near_limit_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
 
 public:
@@ -2329,12 +2329,12 @@ public:
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef CGAL::Comparison_result result_type;
 
@@ -2344,7 +2344,7 @@ public:
         Base(kernel) {
     }
 
-    /*! Compare the x-coordinates of 2 arcs ends near the top or bottom 
+    /*! Compare the x-coordinates of 2 arcs ends near the top or bottom
      * boundary of the parameter space
      * \param cv1 the first arc.
      * \param cv2 the second arc.
@@ -2361,7 +2361,7 @@ public:
      * \pre both curve ends are on the same boundary
      */
     result_type operator()(const Arc_2& cv1, const Arc_2& cv2,
-			   CGAL::Arr_curve_end ce) const {
+                           CGAL::Arr_curve_end ce) const {
 
         CERR("\ncompare_x_near_limit: cv1: " << cv1 << "\n cv2: " <<
             cv2 << "; ce: " << ce << "\n");
@@ -2371,33 +2371,33 @@ public:
                                cv2.location(ce));
         CGAL_precondition(cv1.is_on_bottom_top(loc1));
         CGAL_precondition(cv1.is_on_bottom_top(loc2));
-	CGAL_precondition(cv1.compare_x_at_limit(ce, cv2, ce) == CGAL::EQUAL);
+        CGAL_precondition(cv1.compare_x_at_limit(ce, cv2, ce) == CGAL::EQUAL);
 
         CGAL_precondition(loc1 == loc2);
 
-	Coordinate_1 x0(cv1.curve_end_x(ce));
-	CGAL::Comparison_result res = cv1._compare_arc_numbers(
-				       cv2, CGAL::ARR_INTERIOR, x0, 
-				       (ce == CGAL::ARR_MIN_END ? 
-					CGAL::POSITIVE : CGAL::NEGATIVE)
-				       );
-	if ((ce == CGAL::ARR_MAX_END &&
-	     loc1 == CGAL::ARR_TOP_BOUNDARY) ||
-	    (ce == CGAL::ARR_MIN_END &&
-	     loc1 == CGAL::ARR_BOTTOM_BOUNDARY)) {
-	  res = opposite(res);
-	}
+        Coordinate_1 x0(cv1.curve_end_x(ce));
+        CGAL::Comparison_result res = cv1._compare_arc_numbers(
+                                       cv2, CGAL::ARR_INTERIOR, x0,
+                                       (ce == CGAL::ARR_MIN_END ?
+                                        CGAL::POSITIVE : CGAL::NEGATIVE)
+                                       );
+        if ((ce == CGAL::ARR_MAX_END &&
+             loc1 == CGAL::ARR_TOP_BOUNDARY) ||
+            (ce == CGAL::ARR_MIN_END &&
+             loc1 == CGAL::ARR_BOTTOM_BOUNDARY)) {
+          res = opposite(res);
+        }
         CERR("result: " << res << "\n");
         return res;
     }
 };
 
 
-/*!\brief 
+/*!\brief
  * Functor to construct a point on a curve
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Compare_endpoints_xy_2 : public 
+class Compare_endpoints_xy_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
 
 public:
@@ -2405,16 +2405,16 @@ public:
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
-    
+
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef CGAL::Comparison_result result_type;
 
-    /*!\brief 
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -2425,26 +2425,26 @@ public:
 
     /*!\brief
      * Compares endpoints of arc lexicographically
-     * 
-     * \param arc the arc 
+     *
+     * \param arc the arc
      * \return The order of endpoints
      */
     CGAL::Comparison_result operator()(const Arc_2& xcv) {
       if (xcv.is_left_to_right()) {
         return (CGAL::SMALLER);
       } else {
-	return (CGAL::LARGER);
+        return (CGAL::LARGER);
       }
       return CGAL::EQUAL;
     }
 };
 
 
-/*!\brief 
+/*!\brief
  * Functor to construct a point on a curve
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Construct_opposite_2 : public 
+class Construct_opposite_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
 
 public:
@@ -2452,16 +2452,16 @@ public:
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
-    
+
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
-    
+
     //! the result type
     typedef Arc_2 result_type;
 
-    /*!\brief 
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
@@ -2472,7 +2472,7 @@ public:
 
     /*!\brief
      * Construct an arc of opposite direction
-     * 
+     *
      * \param arc the arc to be reversed
      * \return The reversed arc
      */
@@ -2483,11 +2483,11 @@ public:
 
 
 
-/*!\brief 
+/*!\brief
  * Functor that computes the x-extreme points of a curve
  */
 template < class CurvedKernelViaAnalysis_2 >
-class X_extreme_points_2 : public 
+class X_extreme_points_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
 
 public:
@@ -2495,33 +2495,33 @@ public:
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
 
     typedef typename Curve_analysis_2::Coordinate_2 Coordinate_2;
-    
+
     //! the result type
     typedef CGAL::cpp98::iterator< std::output_iterator_tag, Coordinate_2 >
          result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
      */
     X_extreme_points_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
-    } 
+    }
 
     /*!\brief
      */
     template < class OutputIterator >
-    OutputIterator operator()(const Curve_analysis_2& ca, 
+    OutputIterator operator()(const Curve_analysis_2& ca,
                               OutputIterator oi) const {
 
         typedef typename Curve_analysis_2::Status_line_1 Status_line_1;
@@ -2529,9 +2529,9 @@ public:
         int events = ca.number_of_status_lines_with_event();
 
         for ( int i = 0; i < events; i++ ) {
-            
+
             Status_line_1 status_line = ca.status_line_at_event(i);
-            
+
             int lifts = status_line.number_of_events();
 
             for( int j = 0; j < lifts; j++ ) {
@@ -2539,20 +2539,20 @@ public:
                 std::pair<int, int> arcs =
                      status_line.number_of_incident_branches(j);
 
-                if (arcs.first == 0 || arcs.second == 0) 
+                if (arcs.first == 0 || arcs.second == 0)
                     *oi++ = status_line.algebraic_real_2(j);
             }
         }
         return oi;
     }
-    
+
 };
 
-/*!\brief 
+/*!\brief
  * Functor that computes the y-extreme points of a curve
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Y_extreme_points_2 : public 
+class Y_extreme_points_2 : public
 Curved_kernel_via_analysis_2_functor_base< CurvedKernelViaAnalysis_2 > {
 
 public:
@@ -2560,61 +2560,61 @@ public:
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
     //! the base type
-    typedef 
+    typedef
     Curved_kernel_via_analysis_2_functor_base< Curved_kernel_via_analysis_2 >
     Base;
 
     CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
 
     typedef typename Curve_analysis_2::Coordinate_2 Coordinate_2;
-    
+
     //! the result type
     typedef CGAL::cpp98::iterator< std::output_iterator_tag, Coordinate_2 >
              result_type;
 
     //! the arity of the functor
-    
-    /*!\brief 
+
+    /*!\brief
      * Standard constructor
      *
      * \param kernel The kernel
      */
     Y_extreme_points_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
-    } 
+    }
 
     /*!\brief
      */
     template < class OutputIterator >
-    OutputIterator operator()(const Curve_analysis_2& ca, 
+    OutputIterator operator()(const Curve_analysis_2& ca,
                               OutputIterator oi) const {
 
         typedef typename Curve_analysis_2::Status_line_1 Status_line_1;
 
         typename Base::Curve_kernel_2 curve_kernel = Base::_ckva()->kernel();
-        
-        Curve_analysis_2 ca_yx 
+
+        Curve_analysis_2 ca_yx
             = curve_kernel.swap_x_and_y_2_object() (ca);
-        
+
         std::vector<Coordinate_2> y_critical_points;
 
         Base::_ckva()->x_extreme_points_2_object()(ca_yx,
              std::back_inserter(y_critical_points));
 
-        for( typename std::vector<Coordinate_2>::iterator it 
+        for( typename std::vector<Coordinate_2>::iterator it
                  = y_critical_points.begin();
              it != y_critical_points.end();
              it++ ) {
-            
+
             Coordinate_1 curr_x = curve_kernel.get_y_2_object()( *it );
 
             Status_line_1 status_line = ca.status_line_at_exact_x(curr_x);
-            
+
             int lifts = status_line.number_of_events();
-            
+
             for( int i = 0; i < lifts; i++ ) {
                 Coordinate_2 lift_xy = status_line.algebraic_real_2(i);
-                
+
                 bool y_coordinate_found;
 
                 while(true) {
@@ -2629,23 +2629,23 @@ public:
                         y_coordinate_found = true;
                         break;
                     }
-                    
+
                     curve_kernel.refine_x_2_object() (*it);
                 }
-                    
+
                 if(y_coordinate_found) {
                     *oi++ = Coordinate_2(curr_x, ca, i);
                     break;
-                }    
+                }
             }
         }
         return oi;
     }
-    
+
 };
 
 
-#undef CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES 
+#undef CGAL_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
 
 } // namespace Curved_kernel_via_analysis_2_Functors
 
@@ -2658,13 +2658,13 @@ class Curved_kernel_via_analysis_2_funct
 public:
     //!\name Public types
     //!@{
-    
+
     //! this instance's first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
     //!@}
 //     typedef Curved_kernel_via_analysis_2_functors<
 //         CurvedKernelViaAnalysis_2 > Functor_base;
-   
+
 // declares curved kernel functors, for each functor defines a member function
 // returning an instance of this functor
 #define CGAL_CKvA_2_functor_pred(Y, Z) \
@@ -2675,9 +2675,9 @@ public:
 
 #define CGAL_CKvA_2_functor_cons(Y, Z) CGAL_CKvA_2_functor_pred(Y, Z)
 
-    CGAL_CKvA_2_functor_pred(Compare_x_2, compare_x_2_object);  
+    CGAL_CKvA_2_functor_pred(Compare_x_2, compare_x_2_object);
     CGAL_CKvA_2_functor_pred(Compare_xy_2, compare_xy_2_object);
-    CGAL_CKvA_2_functor_pred(Is_vertical_2, is_vertical_2_object); 
+    CGAL_CKvA_2_functor_pred(Is_vertical_2, is_vertical_2_object);
 
     CGAL_CKvA_2_functor_cons(Construct_min_vertex_2,
                              construct_min_vertex_2_object);
@@ -2686,32 +2686,32 @@ public:
     CGAL_CKvA_2_functor_cons(Construct_interior_vertex_2,
                              construct_interior_vertex_2_object);
 
-    CGAL_CKvA_2_functor_pred(Compare_y_at_x_2, compare_y_at_x_2_object);   
+    CGAL_CKvA_2_functor_pred(Compare_y_at_x_2, compare_y_at_x_2_object);
     CGAL_CKvA_2_functor_pred(Compare_y_at_x_left_2,
                              compare_y_at_x_left_2_object);
     CGAL_CKvA_2_functor_pred(Compare_y_at_x_right_2,
                              compare_y_at_x_right_2_object);
-    CGAL_CKvA_2_functor_pred(Equal_2, equal_2_object); 
+    CGAL_CKvA_2_functor_pred(Equal_2, equal_2_object);
     CGAL_CKvA_2_functor_pred(Is_in_x_range_2, is_in_x_range_2_object);
     CGAL_CKvA_2_functor_pred(Do_overlap_2, do_overlap_2_object);
     CGAL_CKvA_2_functor_cons(Intersect_2, intersect_2_object);
     CGAL_CKvA_2_functor_cons(Trim_2, trim_2_object);
-    CGAL_CKvA_2_functor_cons(Split_2, split_2_object);  
-    CGAL_CKvA_2_functor_pred(Are_mergeable_2, are_mergeable_2_object); 
-    CGAL_CKvA_2_functor_cons(Merge_2, merge_2_object); 
+    CGAL_CKvA_2_functor_cons(Split_2, split_2_object);
+    CGAL_CKvA_2_functor_pred(Are_mergeable_2, are_mergeable_2_object);
+    CGAL_CKvA_2_functor_cons(Merge_2, merge_2_object);
 
 
-    CGAL_CKvA_2_functor_pred(Is_on_2, is_on_2_object); 
+    CGAL_CKvA_2_functor_pred(Is_on_2, is_on_2_object);
     CGAL_CKvA_2_functor_cons(Make_x_monotone_2, make_x_monotone_2_object);
-  
+
     // left-right
-    CGAL_CKvA_2_functor_pred(Parameter_space_in_x_2, 
+    CGAL_CKvA_2_functor_pred(Parameter_space_in_x_2,
                              parameter_space_in_x_2_object);
     CGAL_CKvA_2_functor_pred(Compare_y_near_boundary_2,
                              compare_y_near_boundary_2_object);
 
     // bottom-top
-    CGAL_CKvA_2_functor_pred(Parameter_space_in_y_2, 
+    CGAL_CKvA_2_functor_pred(Parameter_space_in_y_2,
                              parameter_space_in_y_2_object);
     CGAL_CKvA_2_functor_pred(Compare_x_at_limit_2,
                              compare_x_at_limit_2_object);
@@ -2721,19 +2721,19 @@ public:
     CGAL_CKvA_2_functor_cons(X_extreme_points_2, x_extreme_points_2_object);
     CGAL_CKvA_2_functor_cons(Y_extreme_points_2, y_extreme_points_2_object);
 
-    CGAL_CKvA_2_functor_cons(Construct_point_2, 
+    CGAL_CKvA_2_functor_cons(Construct_point_2,
                              construct_point_2_object);
 
-    CGAL_CKvA_2_functor_cons(Construct_point_on_arc_2, 
+    CGAL_CKvA_2_functor_cons(Construct_point_on_arc_2,
                              construct_point_on_arc_2_object);
-    
-    CGAL_CKvA_2_functor_cons(Construct_arc_2, 
+
+    CGAL_CKvA_2_functor_cons(Construct_arc_2,
                              construct_arc_2_object);
-    
-    CGAL_CKvA_2_functor_pred(Compare_endpoints_xy_2, 
+
+    CGAL_CKvA_2_functor_pred(Compare_endpoints_xy_2,
                              compare_endpoints_xy_2_object);
 
-    CGAL_CKvA_2_functor_cons(Construct_opposite_2, 
+    CGAL_CKvA_2_functor_cons(Construct_opposite_2,
                              construct_opposite_2_object);
 
 #undef CGAL_CKvA_2_functor_pred
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Curved_kernel_via_analysis_2_impl.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Curved_kernel_via_analysis_2_impl.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Curved_kernel_via_analysis_2_impl.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Curved_kernel_via_analysis_2_impl.h	2020-08-01 19:02:12.000000000 +0000
@@ -1,10 +1,10 @@
-// Copyright (c) 2007,2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany), 
+// Copyright (c) 2007,2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany),
 // and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Curved_kernel_via_analysis_2_impl.h $
-// $Id: Curved_kernel_via_analysis_2_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Curved_kernel_via_analysis_2_impl.h $
+// $Id: Curved_kernel_via_analysis_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -16,7 +16,7 @@
 
 /*!\file include/CGAL/Curved_kernel_via_analysis_2.h
  * \brief defines class \c Curved_kernel_via_analysis_2
- *  
+ *
  * Defines points and arcs supported by curves that can be analyzed.
  */
 
@@ -43,13 +43,13 @@ namespace internal {
 template < class NewCKvA, class BaseCKvA, class CurveKernel_2,
         template <class, class> class FunctorBase =
              Curved_kernel_via_analysis_2_functors >
-class Curved_kernel_via_analysis_2_base 
+class Curved_kernel_via_analysis_2_base
        : public FunctorBase< NewCKvA, BaseCKvA > {
-    
+
 public:
     //!\name Global types
     //!@{
-    
+
     //! type of curve kernel
     typedef CurveKernel_2 Curve_kernel_2;
 
@@ -58,7 +58,7 @@ public:
     struct rebind {
 
         typedef FunctorBase<X, typename
-            BaseCKvA::Curved_kernel_via_analysis_2> Functor_base;      
+            BaseCKvA::Curved_kernel_via_analysis_2> Functor_base;
     };
 
     //!\name Embedded types to fulfill \c ArrangementTraits_2 concept
@@ -72,19 +72,19 @@ public:
 
     //! the multiplicity type
     typedef unsigned int Multiplicity;
-    
+
     //!@}
 
 public:
 
     //!\name Tags
     //!@{
-    
+
     //! tag specifies that "to the left of" comparisons are supported
     typedef CGAL::Tag_true Has_left_category;
 
     //! tag specifies that merge and split functors are supported
-    typedef CGAL::Tag_true Has_merge_category; 
+    typedef CGAL::Tag_true Has_merge_category;
 
     typedef CGAL::Tag_false Has_do_intersect_category;
 
@@ -97,15 +97,15 @@ public:
 
 public:
     //!\name Caching
-    
+
     //!@{
-    
+
     //! type of inverval arcno cache
-    typedef internal::Curve_interval_arcno_cache< Curve_kernel_2 > 
+    typedef internal::Curve_interval_arcno_cache< Curve_kernel_2 >
         Curve_interval_arcno_cache;
 
     //!@}
-    
+
 public:
     //! \name Constructors
     //!@{
@@ -119,23 +119,23 @@ public:
     Curved_kernel_via_analysis_2_base(const Curve_kernel_2& kernel) :
         _m_kernel(kernel) {
     }
-    
+
     //!@}
 
     //!\name underlying curve kernel + caching
     //!@{
-    
+
     /*!\brief
      * access to static Curve_interval_arcno_cache
      */
     const Curve_interval_arcno_cache& interval_arcno_cache() const {
         return _m_interval_arcno_cache;
     }
-            
+
     /*!\brief
      * instance of internal Curve_kernel_2 instance
      *
-     * \return 
+     * \return
      */
     Curve_kernel_2& kernel() const {
         return _m_kernel;
@@ -146,13 +146,13 @@ public:
 protected:
     //!\name private members
     //!@{
-    
+
     //! an instance of \c Curve_kernel_2
     mutable Curve_kernel_2 _m_kernel;
-    
+
     //! an instance of \c Curve_interval_arcno_cache
     mutable Curve_interval_arcno_cache _m_interval_arcno_cache;
-    
+
     //!@}
 
 public:
@@ -167,7 +167,7 @@ public:
     static NewCKvA& instance() {
         return set_instance(_set_instance());
     }
-    
+
     /*!\brief
      * sets static instance of \c Curved_kernel_via_analysis_2 to \c ckva
      *
@@ -179,66 +179,66 @@ public:
     ) {
       CGAL_STATIC_THREAD_LOCAL_VARIABLE_0(NewCKvA, instance);
       CGAL_STATIC_THREAD_LOCAL_VARIABLE_0(NewCKvA, binstance);
-        
+
         if (&ckva == &_reset_instance()) {
-            instance = binstance; 
+            instance = binstance;
         } else if (&ckva != &_set_instance()) {
             binstance = instance;
             instance = ckva;
         }
         return instance;
-        
+
     }
-    
+
     /*!\brief
      * resets static instance to original one
-     */ 
+     */
     static void reset_instance() {
         set_instance(_reset_instance());
     }
-    
+
 private:
-    /*!\brief 
+    /*!\brief
      * sets instance to default for internal purposes
      */
     static NewCKvA& _set_instance() {
       CGAL_STATIC_THREAD_LOCAL_VARIABLE_0(NewCKvA, instance);
         return instance;
-        
+
     }
-    
-    /*!\brief 
+
+    /*!\brief
      * sets instance to default for internal purposes
      */
     static NewCKvA& _reset_instance() {
       CGAL_STATIC_THREAD_LOCAL_VARIABLE_0(NewCKvA, instance);
         return instance;
     }
-    
+
     //!@}
-};    
-    
+};
+
 } // namespace internal
 
 template < class CurveKernel_2 >
 class Curved_kernel_via_analysis_2 :
     public internal::Curved_kernel_via_analysis_2_base<
         Curved_kernel_via_analysis_2<CurveKernel_2>,
-        void, CurveKernel_2 > 
+        void, CurveKernel_2 >
 {
-public: 
+public:
     //! type of curve kernel
     typedef CurveKernel_2 Curve_kernel_2;
 
     //! this instance itself
     typedef Curved_kernel_via_analysis_2< Curve_kernel_2 > Self;
-    
-    //! redefine rebind to terminate unrolling nested templates 
+
+    //! redefine rebind to terminate unrolling nested templates
     template < class X >
     struct rebind {
 
         typedef internal::Curved_kernel_via_analysis_2_functors< X >
-             Functor_base;      
+             Functor_base;
     };
 
 public:
@@ -246,9 +246,9 @@ public:
     //!@{
 
     typedef internal::Point_2< Self > Point_2;
-    
+
     typedef internal::Arc_2< Self > Arc_2;
-    
+
     //! type of weakly x-monotone arc for \c ArrangementTraits_2
     typedef Arc_2 X_monotone_curve_2;
 
@@ -256,7 +256,7 @@ public:
 protected:
     //!\name Protected base types
     //!@{
-    
+
     //! class collecting basic types
     typedef internal::Curved_kernel_via_analysis_2_base < Self, void,
          CurveKernel_2 > Base_kernel;
@@ -272,7 +272,7 @@ public:
     Curved_kernel_via_analysis_2() :
       Base_kernel(Curve_kernel_2::get_static_instance()) {
     }
-    
+
     /*!\brief
      * construct from \c kernel
      *
@@ -281,9 +281,9 @@ public:
     Curved_kernel_via_analysis_2(const Curve_kernel_2& kernel) :
         Base_kernel(kernel) {
     }
-    
+
     //!@}
-}; 
+};
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Curve_interval_arcno_cache.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Curve_interval_arcno_cache.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Curve_interval_arcno_cache.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Curve_interval_arcno_cache.h	2020-08-01 19:02:12.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2007,2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany), 
+// Copyright (c) 2007,2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany),
 // and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Curve_interval_arcno_cache.h $
-// $Id: Curve_interval_arcno_cache.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Curve_interval_arcno_cache.h $
+// $Id: Curve_interval_arcno_cache.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
-// Author(s)     : Pavel Emeliyanenko <asm@mpi-sb.mpg.de> 
+// Author(s)     : Pavel Emeliyanenko <asm@mpi-sb.mpg.de>
 
 #ifndef CGAL_CURVED_KERNEL_VIA_ANALYSIS_2_CURVE_INTERVAL_ARCNO_CACHE_H
 #define CGAL_CURVED_KERNEL_VIA_ANALYSIS_2_CURVE_INTERVAL_ARCNO_CACHE_H
@@ -24,15 +24,15 @@ namespace CGAL {
 
 namespace internal {
 
-/*!\brief 
+/*!\brief
  * Given an arc number over an interval \c i this functor computes a
  * corresponding event arcno (and asymptotic tendency) over a certain vertical
- * line which lies on the given side w.r.t. the interval \c i. 
+ * line which lies on the given side w.r.t. the interval \c i.
  *
  * For caching issues for each accessed \c Curve_2 object we store
  * \c Interval_arcno_map structure. In its turn, \c Interval_arcno_map
  * for each \c Status_line_1 object stores the precomputed mapping
- * from interval arcnos (on left and right sides) to event arcnos 
+ * from interval arcnos (on left and right sides) to event arcnos
  */
 template <class CurveKernel_2>
 struct Curve_interval_arcno_cache {
@@ -42,20 +42,20 @@ struct Curve_interval_arcno_cache {
 
     //! this instance's first template parameter
     typedef CurveKernel_2 Curve_kernel_2;
-    
+
     //! type of curve analysis
     typedef typename Curve_kernel_2::Curve_analysis_2 Curve_analysis_2;
-    
+
     //! type of x-coordinate
     typedef typename Curve_kernel_2::Coordinate_1 Coordinate_1;
-    
+
     //! type of status line
     typedef typename Curve_analysis_2::Status_line_1 Status_line_1;
-    
+
     //! event arc number descriptor: stores an arc number along with curve's
     //! end type (+/-oo or \c ARR_INTERIOR )
     typedef std::pair<int, CGAL::Arr_parameter_space> Arcno_desc;
-    
+
     //! type of first argument
     typedef Status_line_1         first_argument_type;
 
@@ -64,14 +64,14 @@ struct Curve_interval_arcno_cache {
 
     //! type of third arguent
     typedef int                   third_argument_type;
-    
+
     //! the result type
     typedef Arcno_desc            result_type;
 
     //! the arity of the functor
-    
+
     //!@}
-    
+
     //!\name Constructors
     //!@{
 
@@ -81,13 +81,13 @@ struct Curve_interval_arcno_cache {
     Curve_interval_arcno_cache() :
             _m_last_curve_id(-1) {
     }
-    
+
     //!@}
 
     //!\name Functor invokation
     //!@{
 
-    /*!\brief 
+    /*!\brief
      * Given arcno over an interval, this computes a corresponding event
      * arcno on status line \c cv_line lying on the given \c side w.r.t. the
      * interval
@@ -97,25 +97,25 @@ struct Curve_interval_arcno_cache {
      * \param interval_arcno Arcnumber of interval
      * \return Arcnumber information at event line
      */
-    result_type operator()(const Status_line_1& cv_line, bool side, 
+    result_type operator()(const Status_line_1& cv_line, bool side,
         int interval_arcno) const {
-        
+
         CGAL_precondition(interval_arcno >= 0);
         if(!cv_line.is_event()) // # of arcs over interval is constant
             return std::make_pair(interval_arcno, CGAL::ARR_INTERIOR);
-        
+
         Curve_analysis_2 ca_2 = cv_line.curve_analysis_2();
         ///////////////////////////////// polynomial or curve id ?
         int curve_id = static_cast<int>(ca_2.polynomial_2().id());
         /////////////////////////////////
         if(_m_last_curve_id != curve_id) {
             typename Curve_to_interval_arcno_map::iterator it;
-            if(_m_last_curve_id != -1) { 
+            if(_m_last_curve_id != -1) {
             // commit the last changes to the global curve arcno map
                 it = _m_curve_arcno_map.find(_m_last_curve_id);
                 CGAL_precondition(it != _m_curve_arcno_map.end());
-                it->second = _m_last_interval_map; 
-            }        
+                it->second = _m_last_interval_map;
+            }
             // modify _m_last_interval_map to be pointing to the
             // Interval_arcno_map  corresponding to the given curve_id
             it = _m_curve_arcno_map.insert(std::make_pair(curve_id,
@@ -126,17 +126,17 @@ struct Curve_interval_arcno_cache {
         // cache status lines by id(); shall we use x-coordinate instead of
         // id to ensure uniqueness ?
         // TODO: shall we use cv_line.index() ?
-        typename Interval_arcno_map::const_iterator it = 
+        typename Interval_arcno_map::const_iterator it =
             _m_last_interval_map.find(cv_line.x().id());
         if(it != _m_last_interval_map.end()) {
             const Arcno_vector_pair& tmp = it->second;
-            // note: side index must be reversed 
+            // note: side index must be reversed
             CGAL_precondition(interval_arcno < static_cast<int>(side == 1 ?
                 tmp.first.size() : tmp.second.size()));
             return (side == 1 ? tmp.first[interval_arcno] :
                 tmp.second[interval_arcno]);
         }
-        
+
         int n_left = ca_2.status_line_of_interval(
                 cv_line.index()).number_of_events(), // # arcs to the left
             n_right = ca_2.status_line_of_interval( // # arcs to the right
@@ -149,24 +149,24 @@ struct Curve_interval_arcno_cache {
         Arcno_vector_pair vpair;
         vpair.first.resize(n_left); //+ n_mininf.first + n_maxinf.first);
         vpair.second.resize(n_right); //+ n_mininf.second + n_maxinf.second);
-        
+
         int i, _arcno, left_i = 0, right_i = 0;
         // process arcs approaching -oo from left and right
         for(; left_i < n_mininf.first; left_i++)
-            vpair.first[left_i] = std::make_pair(left_i, 
+            vpair.first[left_i] = std::make_pair(left_i,
                 CGAL::ARR_BOTTOM_BOUNDARY);
-            
+
         for(; right_i < n_mininf.second; right_i++)
             vpair.second[right_i] = std::make_pair(right_i,
                 CGAL::ARR_BOTTOM_BOUNDARY);
-                
+
         // process all finite events over this vertical line
         for(_arcno = 0; _arcno < cv_line.number_of_events(); _arcno++) {
             ipair = cv_line.number_of_incident_branches(_arcno);
             for(i = 0; i < ipair.first; i++)
                 vpair.first[left_i++] = std::make_pair(_arcno,
                     CGAL::ARR_INTERIOR);
-                    
+
             for(i = 0; i < ipair.second; i++)
             vpair.second[right_i++] = std::make_pair(_arcno,
                 CGAL::ARR_INTERIOR);
@@ -175,13 +175,13 @@ struct Curve_interval_arcno_cache {
         // this is not clear.. why arcnos at +oo are mapped to the same
         // interval arcnos ?
         for(i = 0; i < n_maxinf.first; i++, left_i++)
-            vpair.first[left_i] = std::make_pair(left_i, 
-                CGAL::ARR_TOP_BOUNDARY); 
-                
+            vpair.first[left_i] = std::make_pair(left_i,
+                CGAL::ARR_TOP_BOUNDARY);
+
         for(i = 0; i < n_maxinf.second; i++, right_i++)
             vpair.second[right_i] = std::make_pair(right_i,
                 CGAL::ARR_TOP_BOUNDARY);
-        
+
         CGAL_precondition(left_i == static_cast<int>(vpair.first.size()));
         CGAL_precondition(right_i == static_cast<int>(vpair.second.size()));
         _m_last_interval_map.insert(std::make_pair(cv_line.x().id(), vpair));
@@ -192,33 +192,33 @@ struct Curve_interval_arcno_cache {
     }
 
     //!@}
-private: 
-    
+private:
+
     //!\name Private members
     //!@{
 
     //! a pair of vectors (right and left side of event-line respectively)
     typedef std::pair<std::vector<Arcno_desc>, std::vector<Arcno_desc> >
         Arcno_vector_pair;
-        
+
     //! maps from \c Status_line_1 id to a container of interval ->
-    //! event arcnos 
+    //! event arcnos
     // TODO: use hash instead ?? cache status lines by x-coordinate ? (Pavel)
   typedef typename Status_line_1::Algebraic_real_1::Id_type Id_type;
     typedef std::map<Id_type, Arcno_vector_pair> Interval_arcno_map;
-    
+
     //! maps from \c Curve_2 id to \c Interval_arcno_map
     typedef std::map<int, Interval_arcno_map> Curve_to_interval_arcno_map;
-    
+
     //! arcno mapping container instance
     mutable Curve_to_interval_arcno_map _m_curve_arcno_map;
-    
+
     //! an id of the last queried \c Curve_2 object
     mutable int _m_last_curve_id;
-    
-    //! stores an address of the last accessed map 
+
+    //! stores an address of the last accessed map
     mutable Interval_arcno_map _m_last_interval_map;
-    
+
     //!@}
 
 };  // struct Curve_interval_arcno_cache
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Curve_renderer_facade.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Curve_renderer_facade.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Curve_renderer_facade.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Curve_renderer_facade.h	2020-08-01 19:02:12.000000000 +0000
@@ -1,10 +1,10 @@
-// Copyright (c) 2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany). 
+// Copyright (c) 2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany).
 // All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Curve_renderer_facade.h $
-// $Id: Curve_renderer_facade.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Curve_renderer_facade.h $
+// $Id: Curve_renderer_facade.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Pavel Emeliyanenko <asm@mpi-sb.mpg.de>
@@ -29,13 +29,13 @@
 // whether to use exact rational arithmetic
 #define CGAL_CKVA_USE_RATIONAL_ARITHMETIC
 
-// this turns on a signleton curve renderer 
+// this turns on a signleton curve renderer
 // (not recommended for multi-threaded applications)
 //#define CGAL_CKVA_USE_STATIC_RENDERER
 
-// prints out detailed info of the rendering process 
+// prints out detailed info of the rendering process
 // (only for internal debugging)
-#ifndef Gfx_DETAILED_OUT 
+#ifndef Gfx_DETAILED_OUT
 //#define Gfx_USE_DETAILED_OUT
 #ifdef Gfx_USE_DETAILED_OUT
 #define Gfx_DETAILED_OUT(x) std::cerr << x
@@ -71,17 +71,17 @@ namespace CGAL {
 template <class CurvedKernelViaAnalysis_2, class Float_>
 class Curve_renderer_interface;
 
-/*!\brief 
+/*!\brief
  * represents a single curve renderer instance with usual parameter set to
  * speed up rendering of several objects supported by the same curve
- * 
+ *
  * @warning not recommended to use in multi-threaded applications
  */
 template <class CurvedKernelViaAnalysis_2>
 class Curve_renderer_facade
 {
     Curve_renderer_facade() { // private constructor
-        
+
     }
 
 public:
@@ -107,20 +107,20 @@ public:
     }
 };
 
-/*! \brief 
+/*! \brief
  * CKvA interface to the curve renderer. Provides three levels of increasing
  * arithmetic precision
- * 
+ *
  * the curve renderer is instantiated with the base \c Float_ which can be
  * either integral or user-defined floating-point number type, and optionally
  * with multi-precision \c Bigfloat and exact rational number types as
- * provided by the currently used \c Arithmetic_kernel 
+ * provided by the currently used \c Arithmetic_kernel
  */
 template <class CurvedKernelViaAnalysis_2, class Float_>
 class Curve_renderer_interface
 {
 public:
-    //! \name Public typedefs 
+    //! \name Public typedefs
     //!@{
 
     //! this instance's first argument
@@ -128,7 +128,7 @@ public:
 
     //! base floating-point number type
     typedef Float_ Float;
-    
+
     //! type of a curve kernel
     typedef typename Curved_kernel_via_analysis_2::Curve_kernel_2
         Curve_kernel_2;
@@ -140,15 +140,15 @@ public:
 
     //! multi-precision float NT
     typedef typename Arithmetic_kernel::Bigfloat_interval BFI;
-    typedef typename CGAL::Bigfloat_interval_traits<BFI>::Bound 
-        Bigfloat; 
+    typedef typename CGAL::Bigfloat_interval_traits<BFI>::Bound
+        Bigfloat;
 
     //! rational NT
     typedef typename Arithmetic_kernel::Rational Rational;
-    
+
     //! an arc of generic curve
     typedef typename Curved_kernel_via_analysis_2::Arc_2 Arc_2;
-    
+
     //! a point on curve
     typedef typename Curved_kernel_via_analysis_2::Point_2 Point_2;
 
@@ -214,18 +214,18 @@ public:
     //!@{
 
     //!@note pass null-pointer for \c pbox parameter if you don't need
-    //! the drawing window 
-    inline void get_setup_parameters(CGAL::Bbox_2 *pbox, int& res_w, 
+    //! the drawing window
+    inline void get_setup_parameters(CGAL::Bbox_2 *pbox, int& res_w,
                 int& res_h) {
 #ifndef CGAL_CKVA_DUMMY_RENDERER
         return renderer().get_setup_parameters(pbox, res_w, res_h);
 #endif
     }
-    
+
     /*!\brief
      * initializes renderer with drawing window dimensions
      * and pixel resolution
-     * 
+     *
      * <tt>[x_min; y_min]x[x_max; y_max]</tt> - drawing window
      * \c res_w and \c res_h - h/v pixel resolution
      */
@@ -233,7 +233,7 @@ public:
     {
 #ifndef CGAL_CKVA_DUMMY_RENDERER
         renderer().setup(bbox, res_w, res_h);
-#endif 
+#endif
     }
 
     /*!\brief
@@ -244,16 +244,16 @@ public:
      * clear operations
      *
      * \c Coord_2 must be constructible from a pair of integers / doubles
-     * depending on the renderer type 
+     * depending on the renderer type
      *
      * computes optionaly end-point coordinates (even if they lie outside the
      * window)
      */
     template < class Coord_2, template < class, class > class Container,
         class Allocator >
-    inline void draw(const Arc_2& arc, 
+    inline void draw(const Arc_2& arc,
             Container< std::vector< Coord_2 >, Allocator >& pts,
-            boost::optional< Coord_2 > *end_pt1 = nullptr, 
+            boost::optional< Coord_2 > *end_pt1 = nullptr,
             boost::optional< Coord_2 > *end_pt2 = nullptr) {
 
 #ifndef CGAL_CKVA_DUMMY_RENDERER
@@ -263,26 +263,26 @@ public:
 #endif
 
         renderer().set_IA_method(0); // start with QF
-Lrestart:        
+Lrestart:
         try {
             renderer().draw(arc, pts, end_pt1, end_pt2);
-        } 
+        }
         catch(internal::Insufficient_rasterize_precision_exception) {
 
             int prev = renderer().set_IA_method(1);
             if(prev == 0) {
                 std::cerr << "Restarting with MAA\n";
                 pts.clear();
-                goto Lrestart;   
+                goto Lrestart;
             }
 
-            std::cerr << "Switching to multi-precision arithmetic" << 
+            std::cerr << "Switching to multi-precision arithmetic" <<
                 std::endl;
 #ifdef CGAL_CKVA_USE_MULTIPREC_ARITHMETIC
             if(::boost::is_same<typename Algebraic_structure_traits< Float >::
                     Is_exact, CGAL::Tag_true>::value)
                 goto Lexit;
-         
+
             get_setup_parameters(&bbox, res_w, res_h);
             exact_renderer().setup(bbox, res_w, res_h);
             exact_renderer().set_IA_method(1); // always use MAA
@@ -297,7 +297,7 @@ Lrestart:
                 goto Lexit;
                 std::cerr << "Switching to exact arithmetic" << std::endl;
 #ifdef CGAL_CKVA_USE_RATIONAL_ARITHMETIC
-                
+
                 if(::boost::is_same<
                     typename Algebraic_structure_traits< Float >::Is_exact,
                          CGAL::Tag_true>::value)
@@ -321,29 +321,29 @@ Lexit:  std::cerr << "Sorry, this does n
                     "arithmetic, bailing out..." << std::endl;
         std::cerr << "polynomial: " << renderer().curve().polynomial_2() <<
             std::endl;
-        
+
         renderer().get_setup_parameters(&bbox, res_w, res_h);
         std::cerr << "window: " << bbox << "; resolution: " <<
             res_w << " x " << res_h << std::endl;
-        
+
 #endif  // CGAL_CKVA_USE_MULTIPREC_ARITHMETIC
         }
 #endif // !CGAL_CKVA_DUMMY_RENDERER
     }
-    
+
     /*!\brief
-     * rasterizes a point on curve, returns point coordinates as objects of 
+     * rasterizes a point on curve, returns point coordinates as objects of
      * type \c Coord_2 which are constructible from a pair of ints / doubles
      *
-     * retunrs \c false if point lies outside the window or cannot be 
+     * retunrs \c false if point lies outside the window or cannot be
      * rasterized due to precision problems
-     */  
+     */
     template < class Coord_2 >
     bool draw(const Point_2& point, Coord_2& coord) {
 #ifndef CGAL_CKVA_DUMMY_RENDERER
         try {
             return renderer().draw(point, coord);
-        }    
+        }
         catch(internal::Insufficient_rasterize_precision_exception) {
             std::cerr << "Unable to rasterize point..\n";
             return false;
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Fig_stream_Curve_renderer_2.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Fig_stream_Curve_renderer_2.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Fig_stream_Curve_renderer_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Fig_stream_Curve_renderer_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Fig_stream_Curve_renderer_2.h $
-// $Id: Fig_stream_Curve_renderer_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Fig_stream_Curve_renderer_2.h $
+// $Id: Fig_stream_Curve_renderer_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Ophir Setter           <ophir.setter@cs.tau.ac.il>
 //
 
@@ -30,8 +30,8 @@ namespace CGAL {
  * outputs a curve arc to \c Fig_stream
  */
 template <class CKvA_2, class RatKernel>
-CGAL::Fig_stream<RatKernel>& 
-operator << 
+CGAL::Fig_stream<RatKernel>&
+operator <<
 (CGAL::Fig_stream<RatKernel>& ws, const internal::Arc_2< CKvA_2 >& arc)
 {
     typedef typename RatKernel::FT            NT;
@@ -46,9 +46,9 @@ operator <<
     boost::optional < Coord_2 > p1, p2;
     std::list<Coord_vec_2> points;
 
-    Bbox_2 bbox (CGAL::to_double(ws.bounding_rect().xmin()), 
-                 CGAL::to_double(ws.bounding_rect().ymin()), 
-                 CGAL::to_double(ws.bounding_rect().xmax()), 
+    Bbox_2 bbox (CGAL::to_double(ws.bounding_rect().xmin()),
+                 CGAL::to_double(ws.bounding_rect().ymin()),
+                 CGAL::to_double(ws.bounding_rect().xmax()),
                  CGAL::to_double(ws.bounding_rect().ymax()));
 
     // The maximum resolution of the renderer is 2048.
@@ -61,7 +61,7 @@ operator <<
     Facade::instance().draw(arc, points, &p1, &p2);
     if(points.empty())
         return ws;
-        
+
 
     // When we create the polyline, we need to scale it back to "regular"
     // coordinates as the Fig_stream also scales them.
@@ -81,13 +81,13 @@ operator <<
         std::vector< Point_2 > polyline;
         for (; vit != vec.end(); ++vit)
         {
-            polyline.push_back(Point_2(vit->first / x_scale + x_min, 
+            polyline.push_back(Point_2(vit->first / x_scale + x_min,
                                        vit->second / y_scale + y_min));
         }
         lit++;
         ws.write_polyline(polyline.begin(), polyline.end());
     }
-        
+
     return ws;
 }
 
@@ -95,28 +95,28 @@ operator <<
  *  outputs a curve point to \c Fig_stream
  */
 template <class CKvA_2, class RatKernel>
-CGAL::Fig_stream<RatKernel>& 
-operator << 
+CGAL::Fig_stream<RatKernel>&
+operator <<
 (CGAL::Fig_stream<RatKernel>& ws, const internal::Point_2< CKvA_2 >& pt)
 {
 #if 0 // TODO check why no point is drawn!
     typedef typename RatKernel::Point_2       Point_2;
     typedef typename RatKernel::Segment_2     Segment_2;
-    
-    typedef Curve_renderer_facade<CKvA_2> Facade; 
-    
-    Bbox_2 bbox(CGAL::to_double(ws.bounding_rect().xmin()), 
-                CGAL::to_double(ws.bounding_rect().ymin()), 
-                CGAL::to_double(ws.bounding_rect().xmax()), 
+
+    typedef Curve_renderer_facade<CKvA_2> Facade;
+
+    Bbox_2 bbox(CGAL::to_double(ws.bounding_rect().xmin()),
+                CGAL::to_double(ws.bounding_rect().ymin()),
+                CGAL::to_double(ws.bounding_rect().xmax()),
                 CGAL::to_double(ws.bounding_rect().ymax()));
-    
+
     Facade::setup(bbox, ws.width(), ws.height());
-    
-    std::pair< int, int > coord; 
+
+    std::pair< int, int > coord;
     if (!Facade::instance().draw(pt, coord)) {
-        return ws; 
+        return ws;
     }
-    
+
     int height = ws.height();
 
     Point_2 rat_pt(coord.first, height - coord.second);
@@ -124,7 +124,7 @@ operator <<
     ws.set_fill_style(CGAL::FIG_FILLED);
     ws.set_fill_color(CGAL::FIG_BLACK);
     ws.set_point_style(CGAL::FIG_DISC);
-    
+
     ws.write_point(rat_pt);
 #endif
     return ws;
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Filtered_curved_kernel_via_analysis_2_impl.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Filtered_curved_kernel_via_analysis_2_impl.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Filtered_curved_kernel_via_analysis_2_impl.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Filtered_curved_kernel_via_analysis_2_impl.h	2020-08-01 19:02:12.000000000 +0000
@@ -1,10 +1,10 @@
-// Copyright (c) 2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany), 
+// Copyright (c) 2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany),
 // and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Filtered_curved_kernel_via_analysis_2_impl.h $
-// $Id: Filtered_curved_kernel_via_analysis_2_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Filtered_curved_kernel_via_analysis_2_impl.h $
+// $Id: Filtered_curved_kernel_via_analysis_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -17,7 +17,7 @@
 
 /*!\file include/CGAL/Filtered_curved_kernel_via_analysis_2.h
  * \brief defines class \c Filtered_curved_kernel_via_analysis_2
- *  
+ *
  * Defines points and arcs supported by curves that can be analyzed
  * and where some operations are filtered.
  */
@@ -31,7 +31,7 @@
 namespace CGAL {
 
 #ifndef CKvA_CERR
-//#define FCKvA_DEBUG_PRINT_CERR 
+//#define FCKvA_DEBUG_PRINT_CERR
 #ifdef FCKvA_DEBUG_PRINT_CERR
 #define CKvA_CERR(x) std::cout << x
 #else
@@ -68,13 +68,13 @@ public:
     //! type of arc
     typedef typename Curved_kernel_via_analysis_2::Arc_2 Arc_2;
 #endif
-    
+
     //! the base type
     typedef typename FunctorBase::Compare_xy_2 Base;
 
     //! the result type
     typedef CGAL::Comparison_result result_type;
-    
+
     //! standard constructor
     Compare_xy_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
@@ -85,7 +85,7 @@ public:
      * \param p1 The first point.
      * \param p2 The second point.
      * \return LARGER if x(p1) > x(p2), or if x(p1) = x(p2) and y(p1) > y(p2);
-     *         SMALLER if x(p1) \< x(p2), or if x(p1) = x(p2) and 
+     *         SMALLER if x(p1) \< x(p2), or if x(p1) = x(p2) and
      *                   y(p1) \< y(p2);
      *         EQUAL if the two points are equal.
      */
@@ -104,9 +104,9 @@ public:
 
 
 template < class CurvedKernelViaAnalysis_2, class FunctorBase >
-class Compare_y_near_boundary_2 : 
+class Compare_y_near_boundary_2 :
         public FunctorBase::Compare_y_near_boundary_2 {
-    
+
 public:
     //! this instance template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
@@ -127,10 +127,10 @@ public:
     //! the bae type
     typedef typename FunctorBase::Compare_y_near_boundary_2
     Base;
-    
+
     //! the result type
     typedef CGAL::Comparison_result result_type;
-    
+
     //! standard constructor
     Compare_y_near_boundary_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
@@ -147,8 +147,8 @@ public:
      */
     result_type operator()(const Arc_2& cv1, const Arc_2& cv2,
                            CGAL::Arr_curve_end ce) const {
-        
-        CKvA_CERR("\nfilteredcompare_y_near_boundary; cv1: " << cv1 
+
+        CKvA_CERR("\nfilteredcompare_y_near_boundary; cv1: " << cv1
                   << "; cv2: " << cv2 << "; end: " << ce << "\n");
 
         CGAL_assertion_code (
@@ -159,8 +159,8 @@ public:
         // comparing ids is the same as calling is_identical() ??
         if (cv1.id() == cv2.id()) {
             return CGAL::EQUAL;
-        } 
-        
+        }
+
         typedef typename Arc_2::Curve_kernel_2 Curve_kernel_2;
 
         typedef typename Curve_kernel_2::Coordinate_1 Coordinate_1;
@@ -168,16 +168,16 @@ public:
         CGAL::Object obj1, obj2;
         Coordinate_1 asym_info1, asym_info2;
         CGAL::Arr_parameter_space ps1, ps2;
-        
+
         obj1 = cv1.curve().asymptotic_value_of_arc(
                 cv1.location(ce), cv1.arcno()
         );
         obj2 = cv2.curve().asymptotic_value_of_arc(
                 cv2.location(ce), cv2.arcno()
         );
-        
+
         CGAL::Comparison_result filter_res = CGAL::EQUAL;
-        
+
         if (CGAL::assign(ps1, obj1)) {
             if (CGAL::assign(ps2, obj2)) {
                 if (ps1 == ps2) {
@@ -207,13 +207,13 @@ public:
                 );
             }
         }
-        
+
         if (filter_res != CGAL::EQUAL) {
             CGAL_assertion_code(
             {
                 Base base_compare_y_near_boundary(this->_ckva());
-                
-                CGAL::Comparison_result check_res = 
+
+                CGAL::Comparison_result check_res =
                     base_compare_y_near_boundary(cv1, cv2, ce);
                 CGAL_assertion(check_res == filter_res);
             }
@@ -226,9 +226,9 @@ public:
 };
 
 template < class CurvedKernelViaAnalysis_2, class FunctorBase >
-class Compare_y_at_x_2 : 
+class Compare_y_at_x_2 :
         public FunctorBase::Compare_y_at_x_2 {
-    
+
 public:
     //! this instance template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
@@ -248,10 +248,10 @@ public:
 
     //! the bae type
     typedef typename FunctorBase::Compare_y_at_x_2 Base;
-    
+
     //! the result type
     typedef CGAL::Comparison_result result_type;
-    
+
     //! standard constructor
     Compare_y_at_x_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
@@ -267,15 +267,15 @@ public:
      *         EQUAL if p lies on the curve.
      */
     result_type operator()(const Point_2& p, const Arc_2& cv) const {
-     
+
         return Base::operator()(p, cv);
     }
 };
 
 template < class CurvedKernelViaAnalysis_2, class FunctorBase >
-class Compare_y_at_x_left_2 : 
+class Compare_y_at_x_left_2 :
         public FunctorBase::Compare_y_at_x_left_2 {
-    
+
 public:
     //! this instance template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
@@ -298,12 +298,12 @@ public:
 
     //! the result type
     typedef CGAL::Comparison_result result_type;
-    
+
     //! standard constructor
     Compare_y_at_x_left_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
     }
-    
+
     /*!
      * Compares the y value of two x-monotone curves immediately to the left
      * of their intersection point. If one of the curves is vertical
@@ -325,9 +325,9 @@ public:
 };
 
 template < class CurvedKernelViaAnalysis_2, class FunctorBase >
-class Compare_y_at_x_right_2 : 
+class Compare_y_at_x_right_2 :
         public FunctorBase::Compare_y_at_x_right_2 {
-    
+
 public:
     //! this instance template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
@@ -347,15 +347,15 @@ public:
 
     //! the bae type
     typedef typename FunctorBase::Compare_y_at_x_right_2 Base;
-    
+
     //! the result type
     typedef CGAL::Comparison_result result_type;
-    
+
     //! standard constructor
     Compare_y_at_x_right_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
     }
-    
+
     /*!
      * Compares the y value of two x-monotone curves immediately to the right
      * of their intersection point. If one of the curves is vertical
@@ -407,43 +407,43 @@ public:
 
 private:
 
-    typedef typename Curved_kernel_via_analysis_2::Curve_kernel_2 
+    typedef typename Curved_kernel_via_analysis_2::Curve_kernel_2
     Curve_kernel_2;
-    
+
     typedef typename Curve_kernel_2::Curve_analysis_2 Curve_analysis_2;
     typedef typename Curve_kernel_2::Coordinate_1 Coordinate_1;
     typedef typename Curve_kernel_2::Coordinate_2 Coordinate_2;
     typedef typename Curve_kernel_2::X_real_traits_1 X_real_traits_1;
     typedef typename Curve_kernel_2::Y_real_traits_1 Y_real_traits_1;
-    
+
     typename X_real_traits_1::Lower_boundary x_low;
     typename X_real_traits_1::Upper_boundary x_high;
     typename X_real_traits_1::Refine x_refine;
-    
+
     typename Y_real_traits_1::Lower_boundary y_low;
     typename Y_real_traits_1::Upper_boundary y_high;
     typename Y_real_traits_1::Refine y_refine;
-    
+
     typedef typename Coordinate_1::Rational Boundary;
-    
+
 public:
     typedef bool result_type;
-    
+
     //! standard constructor
     May_have_intersection_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
     }
-    
+
     /*!\brief
      * Checks whether \c cv1 and \c cv2 can have an intersection. If
      * not it certainly returns false, if possible, it return true.
      */
     bool operator()(const Arc_2& cv1, const Arc_2& cv2) const {
-        
+
         Arc_2 trimmed_cv1, trimmed_cv2;
 
         if(! cv1.is_vertical() && ! cv2.is_vertical() ) {
-            
+
             if(! cv1.trim_by_arc(cv2,trimmed_cv1,trimmed_cv2)) {
                 return false;
             }
@@ -455,12 +455,12 @@ public:
 
         std::list< CGAL::Bbox_2 > boxes1, boxes2;
 
-        construct_covering_approximation(trimmed_cv1, 
+        construct_covering_approximation(trimmed_cv1,
                                          std::back_inserter(boxes1));
 
-        construct_covering_approximation(trimmed_cv2, 
+        construct_covering_approximation(trimmed_cv2,
                                          std::back_inserter(boxes2));
-        
+
         if (!boxes1.empty() && !boxes2.empty()) {
             // TODO better strategy than quadratic pair of for-loops (MK)
             for (typename std::list< CGAL::Bbox_2 >::const_iterator bit1 =
@@ -470,10 +470,10 @@ public:
                     if (CGAL::do_overlap(*bit1, *bit2)) {
                         return true;
                     }
-                } 
+                }
             }
-        } 
-        
+        }
+
         return false;
     }
 
@@ -486,15 +486,15 @@ public:
     OutputIterator construct_covering_approximation(
             const Arc_2& arc, OutputIterator oi) const {
 
-        CKvA_CERR("\nconstruct_covering_approximation; arc: " << arc 
+        CKvA_CERR("\nconstruct_covering_approximation; arc: " << arc
              << ";\n cv:" << arc << "\n");
-        
+
         // TODO compute more than a single bbox (EB)
 
         CGAL::Bbox_2 bbox = arc.bbox();
-        
+
         CKvA_CERR("\nres: " << bbox << "\n");
-        
+
         *oi++ = bbox;
         return oi;
     }
@@ -504,9 +504,9 @@ public:
 
 //! checks whether and how two arcs are intersection - with first filtering
 template < class CurvedKernelViaAnalysis_2, class FunctorBase >
-class Intersect_2 : 
+class Intersect_2 :
         public FunctorBase::Intersect_2 {
-    
+
 public:
     //! this instance template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
@@ -531,11 +531,11 @@ public:
     Intersect_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
     }
-    
+
     /*!
-     * Find all intersections of the two given curves and insert them to the 
+     * Find all intersections of the two given curves and insert them to the
      * output iterator. If two arcs intersect only once, only a single will be
-     * placed to the iterator. Type of output iterator is \c CGAL::Object 
+     * placed to the iterator. Type of output iterator is \c CGAL::Object
      * containing either an \c Arc_2 object (overlap) or a \c Point_2 object
      * with multiplicity (point-wise intersections)
      * \param cv1 The first curve.
@@ -547,7 +547,7 @@ public:
     OutputIterator operator()(const Arc_2& cv1, const Arc_2& cv2,
                               OutputIterator oi) const {
 
-        CKvA_CERR("\nfiltered_intersect; cv1: " << cv1 
+        CKvA_CERR("\nfiltered_intersect; cv1: " << cv1
              << ";\n cv2:" << cv2 << "");
 
         if (!Base::_ckva()->may_have_intersection_2_object()(cv1, cv2)) {
@@ -563,7 +563,7 @@ public:
             return oi;
         }
 
-        // else 
+        // else
         CKvA_CERR("\nfilter: failed\n");
 
         return Base::operator()(cv1, cv2, oi);
@@ -571,9 +571,9 @@ public:
 };
 
 template < class CurvedKernelViaAnalysis_2, class FunctorBase >
-class Is_on_2 : 
+class Is_on_2 :
         public FunctorBase::Is_on_2 {
-    
+
 public:
     //! this instance template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
@@ -593,37 +593,37 @@ public:
 
     //! the bae type
     typedef typename FunctorBase::Is_on_2 Base;
-    
+
     //! the result type
     typedef bool result_type;
-    
+
     //! standard constructor
     Is_on_2(Curved_kernel_via_analysis_2 *kernel) :
         Base(kernel) {
     }
-    
+
     /*!
-     * Checks whether \c p lies on \c c 
+     * Checks whether \c p lies on \c c
      * \param p The point to test
      * \param c The curve
      * \return (true) if the \c p lies on \c c
      */
     result_type operator()(const Point_2& p, const Curve_2& c) const {
-        
+
         CKvA_CERR("\nfiltered_is_on; p: " << p << ";\n c:" << c << "");
 
         return Base::operator()(p, c);
     }
 
     result_type operator()(const Point_2& p, const Arc_2& arc) const {
-        
+
         return Base::operator()(p, arc);
     }
 };
 
 #undef CGAL_FILTERED_CKvA_2_GRAB_BASE_FUNCTOR_TYPES
 
-} // namespace Filtered_curved_kernel_via_analysis_2_Functors 
+} // namespace Filtered_curved_kernel_via_analysis_2_Functors
 
 
 template <class FCKvA, class BaseCKvA>
@@ -634,7 +634,7 @@ struct Filtered_functor_base :
 
     typedef BaseCKvA Base_ckva;
 
-    typedef typename BaseCKvA::template rebind< Self >::Functor_base 
+    typedef typename BaseCKvA::template rebind< Self >::Functor_base
         Functor_base;
 
 // declares curved kernel functors, for each functor defines a member function
@@ -646,17 +646,17 @@ struct Filtered_functor_base :
 
 #define CGAL_FILTERED_CKvA_2_functor_cons(Y, Z) \
     CGAL_FILTERED_CKvA_2_functor_pred(Y, Z)
-    
+
     CGAL_FILTERED_CKvA_2_functor_pred(Compare_xy_2, compare_xy_2_object);
-    
-    CGAL_FILTERED_CKvA_2_functor_pred(Compare_y_near_boundary_2, 
+
+    CGAL_FILTERED_CKvA_2_functor_pred(Compare_y_near_boundary_2,
                                       compare_y_near_boundary_2_object);
 
-    CGAL_FILTERED_CKvA_2_functor_pred(Compare_y_at_x_2, 
+    CGAL_FILTERED_CKvA_2_functor_pred(Compare_y_at_x_2,
                                       compare_y_at_x_2_object);
-    CGAL_FILTERED_CKvA_2_functor_pred(Compare_y_at_x_left_2, 
+    CGAL_FILTERED_CKvA_2_functor_pred(Compare_y_at_x_left_2,
                                       compare_y_at_x_left_2_object);
-    CGAL_FILTERED_CKvA_2_functor_pred(Compare_y_at_x_right_2, 
+    CGAL_FILTERED_CKvA_2_functor_pred(Compare_y_at_x_right_2,
                                       compare_y_at_x_right_2_object);
 
     CGAL_FILTERED_CKvA_2_functor_pred(Is_on_2, is_on_2_object);
@@ -664,9 +664,9 @@ struct Filtered_functor_base :
     CGAL_FILTERED_CKvA_2_functor_pred(
             May_have_intersection_2, may_have_intersection_2_object
     );
-    
+
     CGAL_FILTERED_CKvA_2_functor_cons(Intersect_2, intersect_2_object);
-    
+
 #undef CGAL_FILTERED_CKvA_2_functor_pred
 #undef CGAL_FILTERED_CKvA_2_functor_cons
 
@@ -692,13 +692,13 @@ public:
 
     //! this instance's first template argument
     typedef BaseCKvA_2 Curved_kernel_via_analysis_2;
-    
+
     //! myself
     typedef Filtered_curved_kernel_via_analysis_2<
             Curved_kernel_via_analysis_2 > Self;
 
     //! type of curve kernel
-    typedef typename 
+    typedef typename
     Curved_kernel_via_analysis_2::Curve_kernel_2 Curve_kernel_2;
 
     //! type of curve analysis
@@ -712,12 +712,12 @@ public:
 
     //! type of curve_2
     typedef Curve_analysis_2 Curve_2;
-        
+
     //! type of a point on generic curve
-    typedef internal::Point_2< Self > Point_2; 
+    typedef internal::Point_2< Self > Point_2;
 
     //! type of an arc on generic curve
-    typedef internal::Arc_2< Self > Arc_2; 
+    typedef internal::Arc_2< Self > Arc_2;
 
     //! type of weakly x-monotone arc for \c ArrangementTraits_2
     typedef Arc_2 X_monotone_curve_2;
@@ -725,7 +725,7 @@ public:
     //!@}
 
 protected:
-    
+
     //! base kernel type
     typedef internal::Curved_kernel_via_analysis_2_base<
         Self, Curved_kernel_via_analysis_2, Curve_kernel_2,
@@ -739,14 +739,14 @@ public:
     Filtered_curved_kernel_via_analysis_2() :
         Base_kernel() {
     }
-    
+
     //! construct using specific \c Curve_kernel_2 instance (for controlling)
     Filtered_curved_kernel_via_analysis_2(const Curve_kernel_2& kernel) :
         Base_kernel(kernel) {
     }
-    
+
     //!@}
- 
+
 }; // class Filtered_curved_kernel_via_analysis_2
 
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Generic_arc_2.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Generic_arc_2.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Generic_arc_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Generic_arc_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -1,10 +1,10 @@
-// Copyright (c) 2007,2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany), 
+// Copyright (c) 2007,2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany),
 // and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Generic_arc_2.h $
-// $Id: Generic_arc_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Generic_arc_2.h $
+// $Id: Generic_arc_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -16,7 +16,7 @@
 
 /*!\file include/CGAL/Curved_kernel_via_analysis_2/Generic_arc_2.h
  * \brief defines class \c Generic_arc_2
- *  
+ *
  *  adds support for isolated points to native CKvA_2 object
  */
 
@@ -37,15 +37,15 @@ std::ostream& operator<< (std::ostream&,
 
 template <class SweepCurvesAdaptor_2>
 class Generic_arc_2_rep
-{ 
+{
 public:
 
     // this instance's template parameter
     typedef SweepCurvesAdaptor_2 Sweep_curves_adaptor_2;
-    
+
     // myself
     typedef Generic_arc_2_rep<Sweep_curves_adaptor_2> Self;
-    
+
     // type of generic point object provided by CKvA_2
     typedef typename Sweep_curves_adaptor_2::Native_point_2 Point_2;
 
@@ -54,8 +54,8 @@ public:
 
     // type of a generic point (which may lie at infinity)
     typedef typename Sweep_curves_adaptor_2::Generic_point_2 Generic_point_2;
-    
-public:    
+
+public:
     // default constructor
     Generic_arc_2_rep() :
         _m_min(), _m_max(Generic_point_2()), _m_arc(Arc_2()) {
@@ -63,9 +63,9 @@ public:
 
     // standard constructor : normal arc
     Generic_arc_2_rep(const Arc_2& c) {
-        
-        if(c.location(CGAL::ARR_MIN_END) != CGAL::ARR_INTERIOR) 
-            _m_min = Generic_point_2(c, CGAL::ARR_MIN_END); 
+
+        if(c.location(CGAL::ARR_MIN_END) != CGAL::ARR_INTERIOR)
+            _m_min = Generic_point_2(c, CGAL::ARR_MIN_END);
         else {
             _m_min = Generic_point_2(c.curve_end(CGAL::ARR_MIN_END));
             _m_arc = c;
@@ -74,7 +74,7 @@ public:
                     Generic_point_2(c, CGAL::ARR_MAX_END) :
                     Generic_point_2(c.curve_end(CGAL::ARR_MAX_END)));
     }
-        
+
     // standard constructor : degenerate arc
     Generic_arc_2_rep(const Generic_point_2& p) :
         _m_min(p) {
@@ -85,8 +85,8 @@ public:
 
     mutable boost::optional<Generic_point_2> _m_max;
     // stores native arc object (only for non-degenerate case)
-    mutable boost::optional<Arc_2> _m_arc; 
-    
+    mutable boost::optional<Arc_2> _m_arc;
+
     // whether an arc is degenerate
     //bool _m_is_degenerate;
 
@@ -97,14 +97,14 @@ public:
 // Boundary_type defined in Arr_enums.h
 
 //! \brief class defines a point on a generic curve
-template <class SweepCurvesAdaptor_2, 
+template <class SweepCurvesAdaptor_2,
           class Rep_ = internal::Generic_arc_2_rep<SweepCurvesAdaptor_2> >
 class Generic_arc_2
       : public CGAL::Handle_with_policy< Rep_ > {
 public:
     //!\name publuic typedefs
     //!@{
-    
+
     //! this instance's first template parameter
     typedef SweepCurvesAdaptor_2 Sweep_curves_adaptor_2;
 
@@ -113,7 +113,7 @@ public:
 
     //! this instance itself
     typedef Generic_arc_2<Sweep_curves_adaptor_2, Rep> Self;
-    
+
     //! type of generic point object provided by CKvA_2
     typedef typename Sweep_curves_adaptor_2::Native_point_2 Point_2;
 
@@ -122,10 +122,10 @@ public:
 
     //! type of a generic point (which may lie at infinity)
     typedef typename Sweep_curves_adaptor_2::Generic_point_2 Generic_point_2;
-    
+
     //! the handle superclass
     typedef ::CGAL::Handle_with_policy< Rep > Base;
-        
+
     //!@}
 public:
     //!\name basic constructors
@@ -134,43 +134,43 @@ public:
     /*!\brief
      * Default constructor
      */
-    Generic_arc_2() : 
-        Base(Rep()) {   
+    Generic_arc_2() :
+        Base(Rep()) {
     }
 
     /*!\brief
      * copy constructor
      */
-#ifdef DOXYGEN_RUNNING  
+#ifdef DOXYGEN_RUNNING
     Generic_arc_2(const Self& p) :
-            Base(static_cast<const Base&>(p)) {  
+            Base(static_cast<const Base&>(p)) {
     }
 #endif
-  
+
     /*!\brief
      * constructs an arc from a given represenation
      */
     Generic_arc_2(Rep rep) :
-        Base(rep) { 
+        Base(rep) {
     }
-    
+
     //!@}
     //!\name standard constructors
     //!@{
-    
-    //! \brief 
+
+    //! \brief
     //! constructs normal (non-degenerate) arc
-    explicit Generic_arc_2(const Arc_2& c) : 
+    explicit Generic_arc_2(const Arc_2& c) :
             Base(Rep(c)) {
     }
-  
+
     /*!\brief
      * constructs degenerate arc from a point
      */
     explicit Generic_arc_2(const Generic_point_2& pt) :
         Base(Rep(pt)) {
     }
-    
+
     //!@}
 public:
     //!\name access functions
@@ -230,10 +230,10 @@ public:
         Arc_2 a;
         if(!is_degenerate()) {
             if(!cv2.is_degenerate()) {
-                typedef std::vector<std::pair<Point_2, unsigned int> > 
+                typedef std::vector<std::pair<Point_2, unsigned int> >
                     Point_container;
                 Point_container tmp;
-                Arc_2::_intersection_points(arc(), cv2.arc(), 
+                Arc_2::_intersection_points(arc(), cv2.arc(),
                                             std::back_inserter(tmp));
                 // leave only intersection point (without multiplicity)
                 for(typename Point_container::const_iterator it = tmp.begin();
@@ -246,7 +246,7 @@ public:
                 return oi; // no intersections with degenerate arc at inf
             a = arc();
             pt = cv2.source().point();
-            
+
         } else if(!cv2.is_degenerate()) {
             a = cv2.arc();
             if(!source().is_finite())
@@ -267,8 +267,8 @@ public:
 
     //! befriending output operator
     // friend std::ostream& operator << <>(std::ostream&, const Self&);
-    
-    //!@}    
+
+    //!@}
 }; // class Generic_arc_2
 
 template <class SweepCurvesAdaptor_2, class Rep_>
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Generic_point_2.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Generic_point_2.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Generic_point_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Generic_point_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -1,10 +1,10 @@
-// Copyright (c) 2007,2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany), 
+// Copyright (c) 2007,2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany),
 // and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Generic_point_2.h $
-// $Id: Generic_point_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Generic_point_2.h $
+// $Id: Generic_point_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -15,7 +15,7 @@
 
 /*!\file include/CGAL/Curved_kernel_via_analysis_2/Generic_point_2.h
  * \brief defines class \c Generic_point_2
- *  
+ *
  * adds support for points at infinity to native CKvA_2 object
  */
 
@@ -36,22 +36,22 @@ std::ostream& operator<< (std::ostream&,
 
 template <class SweepCurvesAdaptor_2>
 class Generic_point_2_rep
-{ 
+{
 public:
 
     // this instance's template parameter
     typedef SweepCurvesAdaptor_2 Sweep_curves_adaptor_2;
-    
+
     // myself
     typedef Generic_point_2_rep<Sweep_curves_adaptor_2> Self;
-    
+
     // type of a native point object provided by CKvA_2
     typedef typename Sweep_curves_adaptor_2::Native_point_2 Point_2;
 
     // type of a native arc object provided by CKvA_2
     typedef typename Sweep_curves_adaptor_2::Native_arc_2 Arc_2;
-    
-public:    
+
+public:
     // default constructor
     Generic_point_2_rep() :
         _m_point(Point_2()) {
@@ -61,7 +61,7 @@ public:
     Generic_point_2_rep(const Arc_2& c, CGAL::Arr_curve_end end) :
         _m_arc(c), _m_end(end) {
     }
-        
+
     // standard constructor : normal point
     Generic_point_2_rep(const Point_2& p) :
         _m_point(p) {
@@ -70,8 +70,8 @@ public:
     mutable boost::optional<Arc_2> _m_arc; // supporting arc for points at inf
 
     // stores respective curve end if this is a point at infinity
-    CGAL::Arr_curve_end _m_end; 
-    
+    CGAL::Arr_curve_end _m_end;
+
     mutable boost::optional<Point_2> _m_point; // stores a finite point
 
     // befriending the handle
@@ -81,14 +81,14 @@ public:
 // Boundary_type defined in Arr_enums.h
 
 //! \brief class defines a point on a generic curve
-template <class SweepCurvesAdaptor_2, 
+template <class SweepCurvesAdaptor_2,
           class Rep_ = internal::Generic_point_2_rep<SweepCurvesAdaptor_2> >
 class Generic_point_2
       : public CGAL::Handle_with_policy< Rep_ > {
 public:
     //!\name publuic typedefs
     //!@{
-    
+
     //! this instance's first template parameter
     typedef SweepCurvesAdaptor_2 Sweep_curves_adaptor_2;
 
@@ -97,16 +97,16 @@ public:
 
     //! this instance itself
     typedef Generic_point_2<Sweep_curves_adaptor_2, Rep> Self;
-    
+
     //! type of a native point object provided by CKvA_2
     typedef typename Sweep_curves_adaptor_2::Native_point_2 Point_2;
 
     //! type of a native arc object provided by CKvA_2
     typedef typename Sweep_curves_adaptor_2::Native_arc_2 Arc_2;
-    
+
     //! the handle superclass
     typedef ::CGAL::Handle_with_policy< Rep > Base;
-        
+
     //!@}
 public:
     //!\name basic constructors
@@ -115,29 +115,29 @@ public:
     /*!\brief
      * Default constructor
      */
-    Generic_point_2() : 
-        Base(Rep()) {   
+    Generic_point_2() :
+        Base(Rep()) {
     }
 
     /*!\brief
      * copy constructor
      */
-#ifdef DOXYGEN_RUNNING  
+#ifdef DOXYGEN_RUNNING
     Generic_point_2(const Self& p) :
-            Base(static_cast<const Base&>(p)) {  
+            Base(static_cast<const Base&>(p)) {
     }
-#endif    
+#endif
     /*!\brief
      * constructs an arc from a given represenation
      */
     Generic_point_2(Rep rep) :
-        Base(rep) { 
+        Base(rep) {
     }
-    
+
     //!@}
     //!\name standard constructors
     //!@{
-    
+
     /*!\brief
      * constructs a finite point
      */
@@ -145,12 +145,12 @@ public:
         Base(Rep(pt)) {
     }
 
-    //! \brief 
+    //! \brief
     //! constructs a 'point at infinity'
     explicit Generic_point_2(const Arc_2& c, CGAL::Arr_curve_end end) :
             Base(Rep(c, end)) {
     }
-    
+
     //!@}
 public:
     //!\name access functions
@@ -187,8 +187,8 @@ public:
 
     //! befriending output operator
     // friend std::ostream& operator << <>(std::ostream&, const Self&);
-    
-    //!@}    
+
+    //!@}
 }; // class Generic_point_2
 
 template <class SweepCurvesAdaptor_2, class Rep_>
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_2.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_2.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_2.h $
-// $Id: Curve_renderer_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_2.h $
+// $Id: Curve_renderer_2.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Pavel Emeliyanenko <asm@mpi-sb.mpg.de>
@@ -12,7 +12,7 @@
 // ============================================================================
 
 /*!\file CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_2.h
- * \brief definition of Curve_renderer_2<> 
+ * \brief definition of Curve_renderer_2<>
  * rasterization of algebraic curves
  */
 
@@ -57,23 +57,23 @@ namespace CGAL {
 
 // subdivision level beyond which visibly coincide branches are not further
 // discriminated
-#define CGAL_COINCIDE_LEVEL 4 
+#define CGAL_COINCIDE_LEVEL 4
 
 // maximal recursion depth for derivative check
-#define CGAL_DER_CHECK_DEPTH 5 
+#define CGAL_DER_CHECK_DEPTH 5
 
 // # of pixels to enlarge the drawing window in y-direction: required to skip
 // closely located clip-points
-#define CGAL_WINDOW_ENLARGE  15 
+#define CGAL_WINDOW_ENLARGE  15
 
 // refine factor for intervals in x-direction (in pixel size)
-#define CGAL_REFINE_X        100   // was 1000 previously 
+#define CGAL_REFINE_X        100   // was 1000 previously
 
-// refine factor for intervals in y-direction (in pixel size) 
-#define CGAL_REFINE_Y        100000  
+// refine factor for intervals in y-direction (in pixel size)
+#define CGAL_REFINE_Y        100000
 
-// refine factor for clip-points 
-#define CGAL_REFINE_CLIP_POINTS  1000 
+// refine factor for clip-points
+#define CGAL_REFINE_CLIP_POINTS  1000
 
 // refine threshold for double point approximation
 #define CGAL_REFINE_DOUBLE_APPROX 1e-10
@@ -83,13 +83,13 @@ namespace CGAL {
 //#warning approximation hangs for CORE::BigFloat !!
      #define CGAL_CKVA_STORE_COORDS(container, pixel) \
         if(!std::isnan(pixel.xv)) \
-           container.push_back(Coord_2(pixel.xv, pixel.yv)); 
+           container.push_back(Coord_2(pixel.xv, pixel.yv));
 #else
     #define CGAL_CKVA_STORE_COORDS(container, pixel) \
         container.push_back(Coord_2(pixel.x, pixel.y));
 #endif
 
-#endif // CGAL_CURVE_RENDERER_DEFS   
+#endif // CGAL_CURVE_RENDERER_DEFS
 
 namespace {
 // map from box sides to subpixel numbers (for h/v directions)
@@ -99,57 +99,57 @@ static const int HV_SUBPIX_MAP[][4] = {
     {3,2,1,0},  // top(1)
     {2,0,3,1},  // left(2)
     {0,1,2,3}   // bottom(3)
-}; 
+};
 
 static const int D_SUBPIX_MAP[][4] = {
     {3,1,2,0},  // dir = 0
     {2,3,0,1},  // dir = 1
     {0,2,1,3},  // dir = 2
     {1,0,3,2}   // dir = 3
-}; 
-} // anonymous namespace                                  
+};
+} // anonymous namespace
 
 /*!
  * \brief The class template \c Curve_renderer_2 and its associate functions.
- * 
- * The class implements rendering of distinct curve arcs and points as 
- * defined by \c CurvedKernelViaAnalysis_2::Arc_2 and 
+ *
+ * The class implements rendering of distinct curve arcs and points as
+ * defined by \c CurvedKernelViaAnalysis_2::Arc_2 and
  * \c CurvedKernelViaAnalysis_2::Point_2. \c Coeff_ template parameter
- * defines an underlying number type to be used in polynomial and range 
- * evaluations. Valid instantiations are \c double, multi-precision float or 
- * exact rational number type. The main float-point number type is defined by 
+ * defines an underlying number type to be used in polynomial and range
+ * evaluations. Valid instantiations are \c double, multi-precision float or
+ * exact rational number type. The main float-point number type is defined by
  * \c Curve_renderer_traits<Coeff_>::Float.
  */
 //!@{
 template <class CurvedKernelViaAnalysis_2, class Coeff_>
 class Curve_renderer_2
 {
-public: 
-    //! \name public typedefs 
-    //!@{ 
-    
+public:
+    //! \name public typedefs
+    //!@{
+
     //! this instance's first template argument
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
-    
+
     //! this instance's second template argument
     typedef Coeff_ Coeff;
-    
+
     //! type of embedded curve kernel
-    typedef typename Curved_kernel_via_analysis_2::Curve_kernel_2 
+    typedef typename Curved_kernel_via_analysis_2::Curve_kernel_2
         Curve_kernel_2;
-    
+
     //! type of x-monotone arc
     typedef typename Curved_kernel_via_analysis_2::X_monotone_curve_2 Arc_2;
-    
+
     //! type of a point on curve
     typedef typename Curved_kernel_via_analysis_2::Point_2 Point_2;
-    
+
     //! type of 1-curve analysis
     typedef typename Curve_kernel_2::Curve_analysis_2 Curve_analysis_2;
-    
+
     //!@}
-private:    
-    //! \name private typedefs 
+private:
+    //! \name private typedefs
     //!@{
 
     //! type of X_coordinate
@@ -171,7 +171,7 @@ private:
 
     //! curve renderer type conversion traits
     typedef typename Renderer_internals::Renderer_traits Renderer_traits;
-    
+
     //! coercion between rational and polynomial coefficients number type
     typedef typename Renderer_internals::Rat_coercion_type Rat_coercion_type;
 
@@ -183,52 +183,52 @@ private:
 
     //! specialized integer number type
     typedef typename Renderer_traits::Integer Integer;
-    
+
     //! event line instance type
     typedef typename Curve_analysis_2::Status_line_1 Status_line_1;
-    
+
     //! underlying bivariate polynomial type
     typedef typename Renderer_internals::Polynomial_2 Polynomial_2;
-    
+
     //! underlying univariate polynomial type
     typedef typename Renderer_internals::Poly_dst_1 Poly_dst_1;
-    
+
     //! basic number type used in all computations
     typedef typename Renderer_internals::NT NT;
-    
+
     //! instance of a univariate polynomial
     typedef typename Renderer_internals::Poly_1 Poly_1;
     //! instance of a bivariate polynomial
     typedef typename Renderer_internals::Poly_2 Poly_2;
-    
+
     //! conversion from the basic number type to doubles
     typename CGAL::Real_embeddable_traits<NT>::To_double to_double;
-    
+
     //! conversion from the basic number type to integers
     typename Renderer_traits::Rat_to_integer rat2integer;
     //! conversion from \c Integer type to built-in integer
     typename Renderer_traits::Float_to_int float2int;
-    
+
     //! conversion from \c Rational type to used number type
     typename Renderer_traits::Rat_to_float rat2float;
     //! makes the result exact after inexact operation (applicable only for
     //! exact number types
     typename Renderer_traits::Make_exact make_exact;
-    
+
     //! returns \c true when the precision limit for a specified number type is
     //! reached
     typename Renderer_traits::Precision_limit limit;
     //! maximum level of subdivision dependending on speficied number type
-    static const unsigned MAX_SUBDIVISION_LEVEL = 
+    static const unsigned MAX_SUBDIVISION_LEVEL =
             Renderer_traits::MAX_SUBDIVISION_LEVEL;
-            
+
     //! pixel instance type
     typedef internal::Pixel_2_<Integer> Pixel_2;
     //! seed point instance type
     typedef internal::Seed_point_<Integer> Seed_point;
     //! support for multiple seed points
     typedef std::stack<Seed_point> Seed_stack;
-    
+
     //! a range of x-coordinates to define bottom/top clip points
     typedef internal::Clip_point_<Rational, Coordinate_1>
             Clip_point_entry;
@@ -236,12 +236,12 @@ private:
     typedef std::vector<Clip_point_entry> Clip_points;
     //! an integer index container
     typedef std::vector<int> index_vector;
-        
+
     //! map container element's type for maintaining a list of cache instances
     typedef std::pair<int, int> LRU_entry;
     //! LRU list used for cache switching
     typedef std::vector< LRU_entry > Cache_list;
-    
+
     //! internal use only: a stripe defined by bounding polynomials
     //! and coordinates on sides, index 0 - lower boundary, 1 - upper boundary
     struct Stripe {
@@ -249,39 +249,39 @@ private:
         NT key[2];
         unsigned level[2];
     } ;
-    
+
     //!@}
-public: 
+public:
     //! \name public methods
-    //!@{ 
-    
+    //!@{
+
     //! default constructor: a curve segment is undefined
     Curve_renderer_2() : cache_id(-1), IA_method(0), initialized(false),
        one(1) {
         arcno = -1;
         setup(Bbox_2(-1.0, -1.0, 1.0, 1.0), 640, 480);
     }
-        
+
     //! sets up drawing window and pixel resolution
     void setup(const Bbox_2& bbox_, int res_w_, int res_h_) {
-         
+
         initialized = engine.setup(bbox_, res_w_, res_h_);
         clip_pts_computed = false; // need to recompute clip points each time
                                    // the window dimensions are changed
     }
-     
+
     //! \brief returns currently used supporting algebraic curve
     Curve_analysis_2 curve() const
     {
         return *support;
     }
-    
-    //! \brief returns the drawing window and resolution 
-    void get_setup_parameters(CGAL::Bbox_2 *pbox, int& res_w_, 
+
+    //! \brief returns the drawing window and resolution
+    void get_setup_parameters(CGAL::Bbox_2 *pbox, int& res_w_,
                 int& res_h_) const {
         if(pbox != nullptr)
             *pbox = engine.window;
-        res_w_ = engine.res_w; 
+        res_w_ = engine.res_w;
         res_h_ = engine.res_h;
     }
 
@@ -297,12 +297,12 @@ public:
     ~Curve_renderer_2() {
         cache_list.clear();
     }
-      
-    //!@}    
+
+    //!@}
 private:
     //! \name Private methods
-    //!@{ 
-    
+    //!@{
+
     //! \brief advances pixel's coordinates by given increments
     void advance_pixel(Pixel_2& pix, int new_dir)
     {
@@ -318,11 +318,11 @@ private:
             (y < 0 ? pix.y-- : y > pow ? pix.y++ : y);
             pix.sub_x = x&pow;
             pix.sub_y = y&pow;
-        }   
+        }
     }
-    
+
     //! computes pixel coordinates from rational point
-    void get_pixel_coords(const Rational& x, const Rational& y, 
+    void get_pixel_coords(const Rational& x, const Rational& y,
             Pixel_2& pix, Rational *ppix_x=nullptr, Rational *ppix_y=nullptr)
     {
         Rational p_x = (x - engine.x_min_r) / engine.pixel_w_r,
@@ -331,22 +331,22 @@ private:
 #ifdef CGAL_CKVA_RENDER_WITH_REFINEMENT
         pix.xv = CGAL::to_double(x);
         pix.yv = CGAL::to_double(y);
-#endif  
+#endif
         pix.x = static_cast<int>(std::floor(CGAL::to_double(p_x)));
-        pix.y = static_cast<int>(std::floor(CGAL::to_double(p_y)));   
+        pix.y = static_cast<int>(std::floor(CGAL::to_double(p_y)));
 
         if(ppix_x != nullptr && ppix_y != nullptr) {
             *ppix_x = p_x;
             *ppix_y = p_y;
         }
     }
-    
+
     //! refines y-coordinate of \c Coordinate_2 to a certain bound
     void refine_xy(const Coordinate_2& xy, const Rational& bound,
             Rational& low, Rational& up) {
 
         Approximate_absolute_y_2 ay =
-	  xy.kernel()->approximate_absolute_y_2_object();
+          xy.kernel()->approximate_absolute_y_2_object();
 
         Bounds bnd = ay(xy, -2); // do not approximate
         int prec = 1;
@@ -356,59 +356,59 @@ private:
         }
         low = bnd.first, up = bnd.second;
     }
-               
+
     //!@}
 private:
     //! \name Private properties
-    //!@{ 
-    
+    //!@{
+
     unsigned max_level;            //! maximum subdivision level
     unsigned current_level;
 
     int arcno;  //! arcno ?
-    
+
     bool clip_pts_computed;     //! indicates whether clip points are computed
-    
+
     Pixel_2 isolated_l, isolated_h; //! isolating rectangles for lower  and
                                     //! upper end-points
-                                    
+
     //! an instance of rendering engine
     internal::Curve_renderer_internals<Curve_kernel_2, Coeff> engine;
-                                            
+
     Curve_analysis_2 *support; //! supporting 1-curve analysis
     Curve_analysis_2 support_[CGAL_N_CACHES];
-                                    
+
     Clip_points btm_clip, top_clip;  //! a set of bottom and top clip points
-    Poly_dst_1 btm_poly, top_poly;   //! bottom and top polynomials 
-    
+    Poly_dst_1 btm_poly, top_poly;   //! bottom and top polynomials
+
     int cache_id;        //! index of currently used cache instance
     Cache_list cache_list; //! list of indices of cache instances
-    
+
     Seed_stack s_stack;      //! a stack of seed points
     Seed_point current_seed; //! current seed point
-    
+
     int IA_method; //! which IA method to use (0 - QF, 1 - MAA)
-    
+
     bool initialized;  //! indicates whether the renderer has been initialized
                        //! with correct parameters
     const Integer one; //! just "one"
     bool branches_coincide; //! indicates that there are several branches
                            //! passing through one neighbourhood pixel
-    int direction_taken;  //! stores a direction taken from the seed point 
+    int direction_taken;  //! stores a direction taken from the seed point
                           //! during tracking, if it's possible to determine
                           //! 0 - towards lower point, 1 - towards upper
 //!@}
 //!\name public methods
 //!@{
 
-public: 
+public:
 
-/*!\brief 
+/*!\brief
  * main rendering procedure for curve arcs
  * returns a list of sequences of coordinates as objects of type \c Coord_2
  * which must be constructible from a pair of ints / doubles
  *
- * An exception \c Insufficient_rasterize_precision_exception is 
+ * An exception \c Insufficient_rasterize_precision_exception is
  * thrown whenever the precision of currently used NT is not enough
  * to correctly render a curve arc. The exception has to be caught
  * outside the renderer to switch to a higher-precision arithmetic
@@ -417,9 +417,9 @@ public:
  */
 template < class Coord_2, template < class, class > class Container,
         class Allocator >
-void draw(const Arc_2& arc, 
+void draw(const Arc_2& arc,
           Container< std::vector< Coord_2 >, Allocator >& points,
-          boost::optional< Coord_2 > *end_pt1 = nullptr, 
+          boost::optional< Coord_2 > *end_pt1 = nullptr,
           boost::optional< Coord_2 > *end_pt2 = nullptr) {
 
 #ifdef CGAL_CKVA_CR_TIMING
@@ -428,13 +428,13 @@ void draw(const Arc_2& arc,
 
     if(!initialized)
         return;
-    select_cache_entry(arc); // lookup for appropriate cache instance 
+    select_cache_entry(arc); // lookup for appropriate cache instance
 
     Gfx_OUT("\n////////////////////\n resolution: " << engine.res_w << " x "
             << engine.res_h << std::endl);
     Gfx_OUT("box: [" << engine.x_min << "; " << engine.y_min << "]x[" <<
         engine.x_max << "; " << engine.y_max << "]" << std::endl);
-     
+
 #ifndef CGAL_CKVA_RENDER_WITH_REFINEMENT
     Rational lower = engine.x_min_r, upper = engine.x_max_r, y_lower = 0,
              y_upper = 0;
@@ -449,9 +449,9 @@ void draw(const Arc_2& arc,
         Gfx_OUT("refining left point\n");
         const Coordinate_1& x0 = arc.curve_end_x(CGAL::ARR_MIN_END);
         typename Curve_kernel_2::Algebraic_kernel_d_1::Approximate_relative_1
-	  approximate_x;
+          approximate_x;
 
-        Bounds bnd = approximate_x(x0, 0); 
+        Bounds bnd = approximate_x(x0, 0);
         while(1) {
             if(bnd.first >= engine.x_max_r) {
                 x_outside_window = true;
@@ -466,11 +466,11 @@ void draw(const Arc_2& arc,
             }
             bnd = approximate_x(x0, 1);
         }
-    }            
+    }
 
     // since end-points are sorted lexicographically, no need to check for
-    // lower boundary        
-    if(loc_p2 == CGAL::ARR_TOP_BOUNDARY && arc.is_vertical()) 
+    // lower boundary
+    if(loc_p2 == CGAL::ARR_TOP_BOUNDARY && arc.is_vertical())
         y_upper = engine.y_max_r;
 
     if(loc_p2 != CGAL::ARR_RIGHT_BOUNDARY) {
@@ -479,7 +479,7 @@ void draw(const Arc_2& arc,
         const Coordinate_1& x0 = arc.curve_end_x(CGAL::ARR_MAX_END);
 
         typename Curve_kernel_2::Algebraic_kernel_d_1::Approximate_relative_1
-	  approximate_x;
+          approximate_x;
 
         Bounds bnd = approximate_x(x0, 0); // do not approximate
         while(1) {
@@ -508,12 +508,12 @@ void draw(const Arc_2& arc,
 
     CGAL::Arr_parameter_space loc_p1 = arc.location(CGAL::ARR_MIN_END),
         loc_p2 = arc.location(CGAL::ARR_MAX_END);
-    
+
     Rational ref_bound = engine.pixel_w_r/CGAL_REFINE_X;
     if(loc_p1 != CGAL::ARR_LEFT_BOUNDARY) {
         const Coordinate_1& x0 = arc.curve_end_x(CGAL::ARR_MIN_END);
         typename Curve_kernel_2::Algebraic_kernel_d_1::Approximate_relative_1
-	  approximate_x;
+          approximate_x;
 
         Bounds bnd = approximate_x(x0, 0); // do not approximate
 
@@ -522,19 +522,19 @@ void draw(const Arc_2& arc,
         }
         lower = bnd.second;
     } else {
-        lower = engine.x_min_r; 
+        lower = engine.x_min_r;
         clip_src = true;
-    }            
+    }
 
     // since end-points are sorted lexicographically, no need to check for
-    // lower boundary        
-    if(loc_p2 == CGAL::ARR_TOP_BOUNDARY && arc.is_vertical()) 
+    // lower boundary
+    if(loc_p2 == CGAL::ARR_TOP_BOUNDARY && arc.is_vertical())
         y_upper = engine.y_max_r;
 
     if(loc_p2 != CGAL::ARR_RIGHT_BOUNDARY) {
         const Coordinate_1& x0 = arc.curve_end_x(CGAL::ARR_MAX_END);
         typename Curve_kernel_2::Algebraic_kernel_d_1::Approximate_relative_1
-	  approximate_x;
+          approximate_x;
         Bounds bnd = approximate_x(x0, 0); // do not approximate
 
         while(bnd.second - bnd.first > ref_bound) {
@@ -556,7 +556,7 @@ void draw(const Arc_2& arc,
         x_outside_window = true;
         clip_src = clip_tgt = true;
     }
-    
+
     if(lower < engine.x_min_r) {
         lower = engine.x_min_r;
         clip_src = true;
@@ -572,59 +572,59 @@ void draw(const Arc_2& arc,
         ref_bound = engine.pixel_h_r/CGAL_REFINE_X;
 
 #ifdef CGAL_CKVA_RENDER_WITH_REFINEMENT
-        ref_bound = std::min(ref_bound, Rational(CGAL_REFINE_DOUBLE_APPROX));
+        ref_bound = (std::min)(ref_bound, Rational(CGAL_REFINE_DOUBLE_APPROX));
 #endif
         Gfx_OUT("computing y-coordinates\n");
 
-        if(loc_p1 == CGAL::ARR_INTERIOR || clip_src) 
+        if(loc_p1 == CGAL::ARR_INTERIOR || clip_src)
             y_lower = get_endpoint_y(arc, lower, CGAL::ARR_MIN_END, clip_src,
                 ref_bound);
-    
-        else if(loc_p1 == CGAL::ARR_BOTTOM_BOUNDARY) 
+
+        else if(loc_p1 == CGAL::ARR_BOTTOM_BOUNDARY)
             y_lower = (arc.is_vertical() ? engine.y_min_r :
                 engine.y_min_r - height_r);
-    
+
         else { // endpoints must be sorted lexicographical
             CGAL_precondition(!arc.is_vertical());
             y_lower = engine.y_max_r + height_r;
         }
 
-        if(loc_p2 == CGAL::ARR_INTERIOR || clip_tgt) 
+        if(loc_p2 == CGAL::ARR_INTERIOR || clip_tgt)
             y_upper = get_endpoint_y(arc, upper, CGAL::ARR_MAX_END, clip_tgt,
                 ref_bound);
-        
+
         else if(loc_p2 == CGAL::ARR_BOTTOM_BOUNDARY) {
             CGAL_precondition(!arc.is_vertical());
             y_upper = engine.y_min_r - height_r;
-    
+
         } else
             y_upper = (arc.is_vertical() ? engine.y_max_r :
                     engine.y_max_r + height_r);
-    }       
+    }
 
 #ifdef CGAL_CKVA_CR_TIMING
     refine_timer.stop();
 #endif
 
 #ifdef CGAL_CKVA_RENDER_WITH_REFINEMENT
-    if(end_pt1 != nullptr && loc_p1 == CGAL::ARR_INTERIOR && 
+    if(end_pt1 != nullptr && loc_p1 == CGAL::ARR_INTERIOR &&
          (clip_src || y_lower < engine.y_min_r || y_lower > engine.y_max_r)) {
-        y_lower0 = (clip_src ? 
+        y_lower0 = (clip_src ?
             get_endpoint_y(arc, lower0, CGAL::ARR_MIN_END, false,
                 CGAL_REFINE_DOUBLE_APPROX) : y_lower);
         Gfx_OUT("lower end-point: [" << CGAL::to_double(lower0) << "; " <<
                 CGAL::to_double(y_lower0) << "]\n");
-        *end_pt1 = Coord_2(CGAL::to_double(lower0), 
-                CGAL::to_double(y_lower0));  
+        *end_pt1 = Coord_2(CGAL::to_double(lower0),
+                CGAL::to_double(y_lower0));
     }
-    if(end_pt2 != nullptr && loc_p2 == CGAL::ARR_INTERIOR && 
-         (clip_tgt || y_upper < engine.y_min_r || y_upper > engine.y_max_r)) { 
-        y_upper0 = (clip_tgt ? 
+    if(end_pt2 != nullptr && loc_p2 == CGAL::ARR_INTERIOR &&
+         (clip_tgt || y_upper < engine.y_min_r || y_upper > engine.y_max_r)) {
+        y_upper0 = (clip_tgt ?
             get_endpoint_y(arc, upper0, CGAL::ARR_MAX_END, false,
                 CGAL_REFINE_DOUBLE_APPROX) : y_upper);
         Gfx_OUT("upper end-point: [" << CGAL::to_double(upper0) << "; " <<
                 CGAL::to_double(y_upper0) << "]\n");
-        *end_pt2 = Coord_2(CGAL::to_double(upper0), 
+        *end_pt2 = Coord_2(CGAL::to_double(upper0),
                 CGAL::to_double(y_upper0));
     }
     if(x_outside_window)
@@ -632,30 +632,30 @@ void draw(const Arc_2& arc,
 #endif // CGAL_CKVA_RENDER_WITH_REFINEMENT
 
     Pixel_2 pix_1, pix_2;
-    
+
     Gfx_OUT("lower: " << CGAL::to_double(lower) << "; upper: " <<
          CGAL::to_double(upper) << "; y_lower: " << CGAL::to_double(y_lower) <<
          "; y_upper: " << CGAL::to_double(y_upper) << "\n");
 
-    get_pixel_coords(lower, y_lower, pix_1);  
-    get_pixel_coords(upper, y_upper, pix_2);  
-    
+    get_pixel_coords(lower, y_lower, pix_1);
+    get_pixel_coords(upper, y_upper, pix_2);
+
 #ifndef CGAL_CKVA_RENDER_WITH_REFINEMENT
     if(end_pt1 != nullptr)
         *end_pt1 = Coord_2(pix_1.x, pix_1.y);
     if(end_pt2 != nullptr)
         *end_pt2 = Coord_2(pix_2.x, pix_2.y);
 #endif
-    
+
      Gfx_OUT("lower pix: (" << pix_1.x << "; " << pix_1.y <<
           ") upper pix: (" << pix_2.x << "; " << pix_2.y <<
           ") pixel_w: " << engine.pixel_w << " pixel_h: " << engine.pixel_h <<
              std::endl);
-     
+
     std::vector< Coord_2 > rev_points;
     // reserve at least enough space for arc's x-length
     rev_points.reserve(CGAL_ABS(pix_2.x - pix_1.x));
-    
+
     if(arc.is_vertical()) {
 #ifndef CGAL_CKVA_RENDER_WITH_REFINEMENT
         CGAL_CKVA_STORE_COORDS(rev_points, pix_1);
@@ -677,56 +677,56 @@ void draw(const Arc_2& arc,
         horizontal_clip();
         clip_pts_computed = true;
     }
-    
+
     typedef std::pair<int, int> Int_pair;
     typedef std::vector<Int_pair> index_pair_vector;
     index_vector btm_idx, top_idx;
     index_pair_vector seg_pts;
-    
+
     Gfx_OUT("checking bottom clip: y = " << engine.y_min << "\n");
     segment_clip_points(lower, upper, y_lower, y_upper, engine.y_min_r,
         btm_poly, arc.arcno(), btm_clip, btm_idx);
-        
+
     Gfx_OUT("checking top clip: y = " << engine.y_max << "\n");
     segment_clip_points(lower, upper, y_lower, y_upper, engine.y_max_r,
         top_poly, arc.arcno(), top_clip, top_idx);
-        
+
     index_vector::iterator it1 = btm_idx.begin(), it2 = top_idx.begin();
-    while(1) { 
+    while(1) {
         bool push_1 = true;
         if(it1 != btm_idx.end()) {
             if(it2 != top_idx.end())
                 push_1 = ((btm_clip)[*it1].left < (top_clip)[*it2].left);
-        } else if(it2 != top_idx.end()) 
+        } else if(it2 != top_idx.end())
             push_1 = false;
-        else 
+        else
             break;
         if(push_1) {  // 0 - bottom point, 1 - top point
             seg_pts.push_back(Int_pair(*it1,0));
-            it1++; 
+            it1++;
         } else {
             seg_pts.push_back(Int_pair(*it2,1));
-            it2++; 
+            it2++;
         }
     }
-    
+
     max_level = 0;
     Pixel_2 start;
     int dir[2], b_taken[2], last_x = -engine.res_w;
     bool b_coincide;
     Rational pt, mid;
-    
+
     branches_coincide = false;
     // make a small tolerance
     bool pt1_inside = (pix_1.y >= -1 && pix_1.y <= engine.res_h),
          pt2_inside = (pix_2.y >= -1 && pix_2.y <= engine.res_h);
-         
+
 //TODO: use Event1_info::multiplicity(i) - to gather information about roots ?
     if(seg_pts.size() == 1 && pt1_inside && pt2_inside)
         seg_pts.clear();
-           
+
     arcno = arc.arcno();
-    // easy case: no clip-points found    
+    // easy case: no clip-points found
     if(seg_pts.size() == 0) {
         if(!pt1_inside && !pt2_inside) {
             Gfx_OUT("segment is outside\n");
@@ -735,20 +735,20 @@ void draw(const Arc_2& arc,
     /// WARNING: if x-interval is small while y coordinates are far away from
     /// the window, we can get into the troubles..
         if(pix_2.x - pix_1.x <= 1) {// it goes away right here
-            CGAL_CKVA_STORE_COORDS(rev_points, pix_1);  
+            CGAL_CKVA_STORE_COORDS(rev_points, pix_1);
             CGAL_CKVA_STORE_COORDS(rev_points, pix_2);
             points.push_back(rev_points);
             return;
-        } 
+        }
 
         Gfx_OUT("NO clip points\n");
         mid = (lower + upper)/2;
         pt = engine.x_min_r + (pix_1.x*2+5)*engine.pixel_w_r/2;
         // segment is almost vertical - start from a middle point
-        //if(pt > mid) 
-            pt = mid; 
+        //if(pt > mid)
+            pt = mid;
         if(!get_seed_point(pt, start, dir, b_taken, b_coincide)) {
-            Gfx_OUT("generic error occurred..\n");   
+            Gfx_OUT("generic error occurred..\n");
             return;
         }
          Gfx_OUT("starting pixel found: " << start << " directions: " << dir[0]
@@ -756,30 +756,30 @@ void draw(const Arc_2& arc,
         // only one point list
         draw_lump(rev_points, last_x, pix_1, pix_2);
         points.push_back(rev_points);
-        
+
         Gfx_OUT("exit normal, max_level: " << max_level << std::endl);
         return;
-    } 
-    
+    }
+
     // clip-points presented
     Rational l, r, y_clip;
     Coordinate_1 alpha;
     Poly_dst_1 *ppoly;
     Clip_point_entry *pclip, *ptmp;
-        
+
     Gfx_OUT("segment is not completely inside the window..\n");
-    index_pair_vector::iterator it = seg_pts.begin(), 
+    index_pair_vector::iterator it = seg_pts.begin(),
             eend = seg_pts.end();
-    
+
     Gfx_OUT("\n\nSEGMENT clip points: \n");
     Pixel_2 pix_beg, pix_end;
     bool straight_segment;
-    
+
     while(it != eend) {
         if(it != seg_pts.begin() && it == eend-1 && !pt2_inside)
             break;
         straight_segment = false;
-        
+
         int idx = it->first;
         if(it->second == 0) {// bottom points
             pclip = &btm_clip[idx];
@@ -794,20 +794,20 @@ void draw(const Arc_2& arc,
         }
         l = pclip->left;
         r = pclip->right;
-        Gfx_OUT(CGAL::to_double(l) << "; " << CGAL::to_double(r) << "\n");   
+        Gfx_OUT(CGAL::to_double(l) << "; " << CGAL::to_double(r) << "\n");
 
         if(last_x != -engine.res_w) {  // compute screen coordinates of a pixel
             Rational last_pt = engine.x_min_r + static_cast<Rational>(last_x)*
-                engine.pixel_w_r; 
+                engine.pixel_w_r;
             if(r <= last_pt) { // skip a clip-point if already drawn
                 Gfx_OUT("clip point skipped..\n");
                 it++;
                 continue;
             }
         }
-        
+
         rev_points.clear();
-        if(it == seg_pts.begin() && pt1_inside) { 
+        if(it == seg_pts.begin() && pt1_inside) {
 
             Gfx_OUT("starting point is near the left end-point\n");
             //pt = engine.x_min_r + (pix_1.x*2+5)*engine.pixel_w_r/2;
@@ -816,12 +816,12 @@ void draw(const Arc_2& arc,
                 Gfx_OUT("refining the left end-point\n");
 
                 refine_alg_point(l, r, *ppoly, lower, 1);
-                pt = l; 
-                if(l - lower <= engine.pixel_w_r*2) 
+                pt = l;
+                if(l - lower <= engine.pixel_w_r*2)
                     straight_segment = true;
             }
             pix_beg = pix_1;
-            get_pixel_coords(l, y_clip, pix_end);  
+            get_pixel_coords(l, y_clip, pix_end);
 
         } else if(it == eend - 1 && pt2_inside) {
 
@@ -831,46 +831,46 @@ void draw(const Arc_2& arc,
             Gfx_OUT("pt is: " << CGAL::to_double(pt) << "; r is: " <<
                 CGAL::to_double(r) << ": pixel_w_r: " <<
                     CGAL::to_double(engine.pixel_w_r) << "\n");
-            
+
             if(pt >= upper) {
                 // ensure that clip-point interval is sufficiently small
                 refine_alg_point(l, r, *ppoly, upper, 1);
-                pt = r; 
-                if(upper - r <= engine.pixel_w_r*2) 
+                pt = r;
+                if(upper - r <= engine.pixel_w_r*2)
                     straight_segment = true;
             }
             pix_end = pix_2;
-            get_pixel_coords(r, y_clip, pix_beg);  
+            get_pixel_coords(r, y_clip, pix_beg);
 
         } else {
             Gfx_OUT("starting point is between clip-points\n");
             it++;
-            
+
             if(it == seg_pts.end()) {
                 Gfx_OUT("ERROR: clip point missed ?\n");
                 break;
             }
-            
+
             idx = it->first;
             ptmp = (it->second ? &top_clip[idx] : &btm_clip[idx]);
             pt = pclip->alpha.rational_between(ptmp->alpha);
-            
-            get_pixel_coords(l, y_clip, pix_beg);  
+
+            get_pixel_coords(l, y_clip, pix_beg);
             get_pixel_coords(ptmp->left, it->second ? engine.y_max_r :
-                engine.y_min_r, pix_end); 
+                engine.y_min_r, pix_end);
             if(CGAL_ABS(ptmp->left - l) <= engine.pixel_w_r*2) {
-                
+
                 Coordinate_2 xy(Coordinate_1(pt), *support, arc.arcno());
                 Rational _;
                 refine_xy(xy, engine.pixel_h_r/CGAL_REFINE_Y, _, mid);
 //                 mid = ubound_y(xy);
 
                 CGAL_CKVA_STORE_COORDS(rev_points, pix_beg);
-                get_pixel_coords(pt, mid, pix_beg); 
+                get_pixel_coords(pt, mid, pix_beg);
                 straight_segment = true;
-            } 
+            }
         }
-#ifndef CGAL_CKVA_RENDER_WITH_REFINEMENT            
+#ifndef CGAL_CKVA_RENDER_WITH_REFINEMENT
         if(straight_segment) {
             Gfx_OUT("straight subsegment found\n");
             CGAL_CKVA_STORE_COORDS(rev_points, pix_beg);
@@ -881,13 +881,13 @@ void draw(const Arc_2& arc,
             continue;
         }
 #endif // !CGAL_CKVA_RENDER_WITH_REFINEMENT
-            
+
         if(!get_seed_point(pt, start, dir, b_taken, b_coincide)) {
             Gfx_OUT("get_seed_point: a problem occurred..\n");
-            it++; 
+            it++;
             continue;
         }
-            
+
         Gfx_OUT("starting pixel found: " << start << " directions: " <<
               dir[0] << " and " << dir[1] << std::endl);
         draw_lump(rev_points, last_x, pix_beg, pix_end);
@@ -912,7 +912,7 @@ bool draw(const Point_2& pt, Coord_2& co
     const Coordinate_1& x0 = pt.x();
     Rational ref_bound = engine.pixel_w_r / 2;
 #ifdef CGAL_CKVA_RENDER_WITH_REFINEMENT
-        ref_bound = std::min(ref_bound, Rational(CGAL_REFINE_DOUBLE_APPROX));
+        ref_bound = (std::min)(ref_bound, Rational(CGAL_REFINE_DOUBLE_APPROX));
 #endif
 
     typename Curve_kernel_2::Algebraic_kernel_d_1::Approximate_relative_1
@@ -925,14 +925,14 @@ bool draw(const Point_2& pt, Coord_2& co
 //     while(ubound_x(x0) - lbound_x(x0) > ref_bound)
 //         refine_x(x0);
     Rational x_s = bnd.first, y_s;
-#ifndef CGAL_CKVA_RENDER_WITH_REFINEMENT 
+#ifndef CGAL_CKVA_RENDER_WITH_REFINEMENT
     if(x_s < engine.x_min_r || x_s > engine.x_max_r)
         return false;
 #endif
     ref_bound = engine.pixel_h_r / CGAL_REFINE_X;
 
 #ifdef CGAL_CKVA_RENDER_WITH_REFINEMENT
-    ref_bound = std::min(ref_bound, Rational(CGAL_REFINE_DOUBLE_APPROX));
+    ref_bound = (std::min)(ref_bound, Rational(CGAL_REFINE_DOUBLE_APPROX));
 #endif
 
     Coordinate_2 xy(x0, pt.curve(), pt.arcno());
@@ -941,8 +941,8 @@ bool draw(const Point_2& pt, Coord_2& co
 
     Pixel_2 pix;
     get_pixel_coords(x_s, y_s, pix);
-#ifndef CGAL_CKVA_RENDER_WITH_REFINEMENT 
-    if(pix.x < 0 || pix.x >= engine.res_w || pix.y < 0 || 
+#ifndef CGAL_CKVA_RENDER_WITH_REFINEMENT
+    if(pix.x < 0 || pix.x >= engine.res_w || pix.y < 0 ||
             pix.y >= engine.res_h)
         return false;
 
@@ -968,16 +968,16 @@ void draw_lump(std::vector< Coord_2 >& r
     int back_dir, new_dir, stored_dir, dir[2], b_taken[2], ux, uy;
     bool b_coincide, failed;
     start = s_stack.top().start;
-    
+
     bool pix_1_close = (CGAL_ABS(start.x - pix_1.x) <= 1&&
             CGAL_ABS(start.y - pix_1.y) <= 1),
          pix_2_close = (CGAL_ABS(start.x - pix_2.x) <= 1&&
             CGAL_ABS(start.y - pix_2.y) <= 1);
-    
+
     // stores an x-coordinate of the last traced pixel in --> direction:
     // required to "jump" over clip-points
-    last_x = -engine.res_w; 
-    
+    last_x = -engine.res_w;
+
     if(pix_1_close && pix_2_close) { // suppress drawing of trivial segments
         CGAL_CKVA_STORE_COORDS(rev_points, pix_1);
         CGAL_CKVA_STORE_COORDS(rev_points, pix_2);
@@ -999,7 +999,7 @@ void draw_lump(std::vector< Coord_2 >& r
     current_seed = s_stack.top();
     s_stack.pop();
     branches_coincide = current_seed.branches_coincide;
-    if(direction_taken == -1) 
+    if(direction_taken == -1)
         direction_taken = current_seed.direction_taken;
 
     witness = current_seed.start;
@@ -1016,20 +1016,20 @@ void draw_lump(std::vector< Coord_2 >& r
     // store result in a list or reversed list depending on the orientation
     std::vector< Coord_2 > & ppoints = (direction_taken == 0 ?
         rev_points : points);
-    
+
     Gfx_OUT("continuing from a seed point: " << witness << "; back_dir: " <<
         back_dir << " direction_taken: " << direction_taken << std::endl);
-        
+
     bool is_exit = false;
     while(1) {
         if(pix.x < 0 || pix.x > engine.res_w || pix.y < -CGAL_WINDOW_ENLARGE||
             pix.y > engine.res_h + CGAL_WINDOW_ENLARGE) {
             branches_coincide = false;
             break;
-        } 
+        }
 
         CGAL_CKVA_STORE_COORDS(ppoints, pix);
-#ifndef CGAL_CKVA_RENDER_WITH_REFINEMENT 
+#ifndef CGAL_CKVA_RENDER_WITH_REFINEMENT
         bool bb1 = (direction_taken == 0 && pix.x <= pix_1.x),
              bb2 = (direction_taken == 1 && pix.x >= pix_2.x);
         if((bb1 || bb2)) {
@@ -1043,16 +1043,16 @@ void draw_lump(std::vector< Coord_2 >& r
         bool set_ready = false;
         if(CGAL_ABS(pix.x - pix_1.x) <= 1 && CGAL_ABS(pix.y - pix_1.y) <= 1) {
             if(!overstep || ready) {
-                pix = pix_1; 
+                pix = pix_1;
                 branches_coincide = false;
                 break;
             }
             set_ready = true;
-        } 
+        }
 
         if(CGAL_ABS(pix.x - pix_2.x) <= 1 && CGAL_ABS(pix.y - pix_2.y) <= 1) {
             if(!overstep || ready) {
-                pix = pix_2; 
+                pix = pix_2;
                 branches_coincide = false;
                 break;
             }
@@ -1070,7 +1070,7 @@ void draw_lump(std::vector< Coord_2 >& r
                     break;
                 }
                 prev_pix = pix;
-                advance_pixel(pix,new_dir); 
+                advance_pixel(pix,new_dir);
                 back_dir = (new_dir+4)&7;
             } else {
                 back_dir = stored_dir;
@@ -1119,7 +1119,7 @@ void draw_lump(std::vector< Coord_2 >& r
                 break;
 
             stored_dir = back_dir;
-            witness = pix; 
+            witness = pix;
             pix.level = 0;
             pix.sub_x = 0;
             pix.sub_y = 0;
@@ -1132,37 +1132,37 @@ void draw_lump(std::vector< Coord_2 >& r
         }
         back_dir = (new_dir+4)&7;
     }
-    
+
     if(branches_coincide) { // oops, need another seed point
         if(direction_taken == -1) {
             Gfx_OUT("\n\nFATAL: unknown direction in coincide mode!\n\n");
             return;
         }
-        
+
         (direction_taken == 0) ? pix.x -= 1 : pix.x += 1;
         if(pix.x >= pix_2.x-1||pix.x <= pix_1.x+1)
             goto Lexit;
-            
+
         //std::cout << "New seed point required at: " << pix << std::endl;
         if(!get_seed_point(engine.x_min_r+pix.x*engine.pixel_w_r, start, dir,
-                 b_taken, b_coincide)) { 
+                 b_taken, b_coincide)) {
             std::cerr << " wrong seed point found " << std::endl;
             throw internal::Insufficient_rasterize_precision_exception();
         }
-        
+
         Gfx_OUT("new seed point found: " << start << " directions: " << dir[0]
              << " and " << dir[1] << "; taken = " << direction_taken <<
                  std::endl);
-                 
+
         b_taken[0] = internal::DIR_TAKEN_MAP[dir[0]];
         b_taken[1] = internal::DIR_TAKEN_MAP[dir[1]];
 
-        if(b_taken[0] != -1) 
+        if(b_taken[0] != -1)
             new_dir = dir[b_taken[0] != direction_taken ? 0: 1];
-        else if(b_taken[1] != -1) 
+        else if(b_taken[1] != -1)
             new_dir = dir[b_taken[1] != direction_taken ? 1: 0];
         else {
-            std::cerr << "ERROR: wrong backward dir after seed point: " << 
+            std::cerr << "ERROR: wrong backward dir after seed point: " <<
                 dir[0] << " " << dir[1] << std::endl;
             throw internal::Insufficient_rasterize_precision_exception();
         }
@@ -1171,7 +1171,7 @@ void draw_lump(std::vector< Coord_2 >& r
         continue;
 
     } else if(is_exit) {
-Lexit:  
+Lexit:
         pix = (direction_taken == 0 ? pix_1 : pix_2);
     }
 
@@ -1179,7 +1179,7 @@ Lexit:
     //! if they proceeded by pt1/2_inside (-1 or res_h+1)
     //if(pix.y >= 0 && pix.y < engine.res_h)
         CGAL_CKVA_STORE_COORDS(ppoints, pix);
-            
+
     // we were tracing in --> direction: store the pixel where we stopped
     if(direction_taken == 1)
         last_x = pix.x;
@@ -1187,7 +1187,7 @@ Lexit:
     if(direction_taken != -1)
         direction_taken = 1 - direction_taken;
     ready = false;
-    
+
     }  // while(!s_stack.empty())
 
     std::reverse(rev_points.begin(), rev_points.end());
@@ -1200,30 +1200,30 @@ Lexit:
 
 //! recursively subdivides pixel into 4 subpixels, returns a new tracking
 //! direction
-bool subdivide(Pixel_2& pix, int back_dir, int& new_dir) {   
+bool subdivide(Pixel_2& pix, int back_dir, int& new_dir) {
 
-    //Gfx_OUT("\n\nSubdivision of a pixel" << pix << " with back_dir =  " << 
+    //Gfx_OUT("\n\nSubdivision of a pixel" << pix << " with back_dir =  " <<
         //back_dir << std::endl);
     NT inv = NT(1) / NT(one << pix.level);
     make_exact(inv);
     int idx, pref_dir = back_dir>>1;
-    
+
     if(pix.level >= MAX_SUBDIVISION_LEVEL) {
-        std::cerr << "reached maximum subdivision level: " << pix << 
+        std::cerr << "reached maximum subdivision level: " << pix <<
             std::endl;
         throw internal::Insufficient_rasterize_precision_exception();
     }
-    
+
     if(limit(engine.pixel_w * inv) || limit(engine.pixel_h * inv)) {
         std::cerr << "too small subpixel size: " << pix << std::endl;
         throw internal::Insufficient_rasterize_precision_exception();
     }
-    
+
     // if several branches coincide withing this pixel we cannot perform
     // a subdivision
-    if(branches_coincide) 
+    if(branches_coincide)
         return false;
-        
+
     if(back_dir & 1) { // diagonal direction
         idx = get_subpixel_diag(pix,pref_dir);
         if(idx == -1) {
@@ -1232,7 +1232,7 @@ bool subdivide(Pixel_2& pix, int back_di
             throw internal::Insufficient_rasterize_precision_exception();
         }
         idx = D_SUBPIX_MAP[pref_dir][idx];
-        
+
     } else {
         idx = get_subpixel_hv(pix,pref_dir);
         if(idx == -1) {
@@ -1242,13 +1242,13 @@ bool subdivide(Pixel_2& pix, int back_di
         }
         idx = HV_SUBPIX_MAP[pref_dir][idx];
     }
-    
+
     pix.level++;
     if(max_level < pix.level)
         max_level = pix.level;
     if(current_level < pix.level)
         current_level = pix.level;
-    
+
     pix.sub_x = (pix.sub_x<<1) + (idx&1);
     pix.sub_y = (pix.sub_y<<1) + (idx>>1);
     //Gfx_DETAILED_OUT("subpixel index: " << idx << " (" << pix.sub_x << "; "
@@ -1261,7 +1261,7 @@ bool subdivide(Pixel_2& pix, int back_di
 }
 
 //! returns a "seed" point of a segment and two possible directions from it
-bool get_seed_point(const Rational& seed, Pixel_2& start, int *dir, 
+bool get_seed_point(const Rational& seed, Pixel_2& start, int *dir,
         int *b_taken, bool& b_coincide) {
 
     Rational x_s = seed, y_s;
@@ -1270,39 +1270,39 @@ bool get_seed_point(const Rational& seed
     //NOTE dirty HACK: we have no kernel instance ..
     Coordinate_2 xy(Coordinate_1(seed), *support, arcno);
 
-    Rational _;    
+    Rational _;
     refine_xy(xy, engine.pixel_h_r/CGAL_REFINE_Y, _, y_s);
 //     y_s = ubound_y(xy);
 
     Integer lvl = one;
     Rational x_seed, y_seed;
     get_pixel_coords(x_s, y_s, start, &x_seed, &y_seed);
-    
+
     Gfx_OUT("y_seed = " << rat2float(y_seed) << std::endl);
-    
+
     // we allow a small tolerance for seed point coordinates due to
     // round off errors
-    if(start.y < -CGAL_WINDOW_ENLARGE || 
+    if(start.y < -CGAL_WINDOW_ENLARGE ||
         start.y > engine.res_h + CGAL_WINDOW_ENLARGE) {
-        Gfx_OUT("get_seed_point: starting pixel does not fit the window " 
+        Gfx_OUT("get_seed_point: starting pixel does not fit the window "
             "boundaries " << std::endl);
         return false;
     }
-    
+
     start.level = 0;
     start.sub_x = 0;
     start.sub_y = 0;
     current_level = 0;
-    
+
     //Gfx_OUT("refining starting pixel: " << start << std::endl);
 //     Gfx_OUT("x/y seed: (" << CGAL::to_double(x_seed) << "; " <<
 //         CGAL::to_double(y_seed) << ")" << std::endl);
     b_taken[0] = b_taken[1] = -1;
     b_coincide = false;
-    
+
     int coincide_level = 0;
     while(!test_pixel(start, (int *)dir, (int *)b_taken, b_coincide)) {
-        
+
         //Gfx_OUT("refining starting pixel: " << start << std::endl);
         if(start.level >= MAX_SUBDIVISION_LEVEL) {
             std::cerr << "get_seed_point: reached maximum subdivision level "
@@ -1310,38 +1310,38 @@ bool get_seed_point(const Rational& seed
             throw internal::Insufficient_rasterize_precision_exception();
         }
         //dump_neighbourhood(start);
-        
+
         if(limit(engine.pixel_w/NT(lvl))||limit(engine.pixel_h/NT(lvl))) {
             std::cerr << "get_seed_point: too small subpixel size: " <<
                  start.level << std::endl;
             throw internal::Insufficient_rasterize_precision_exception();
         }
-        
+
         start.level++;
         if(start.level > max_level)
             max_level = start.level;
         if(start.level > current_level)
             current_level = start.level;
         lvl <<= 1;
-        
+
         if(lvl > CGAL_REFINE_Y) {
             Rational _;
             refine_xy(xy, engine.pixel_h_r/(lvl*2), _, y_s);
             y_seed = (y_s - engine.y_min_r)/engine.pixel_h_r;
         }
-        
+
         start.sub_x = rat2integer((x_seed - start.x)*lvl);
         start.sub_y = rat2integer((y_seed - start.y)*lvl);
-                
+
         if(start.sub_x < 0)
             start.sub_x = 0;
         start.sub_x &= (lvl-1);
         if(start.sub_y < 0)
             start.sub_y = 0;
         start.sub_y &= (lvl-1);
-        
+
         if(current_level >= CGAL_COINCIDE_LEVEL) {
-        
+
             Pixel_2 test = start;
             test.sub_x = start.sub_x >> (start.level - coincide_level);
             test.sub_y = start.sub_y >> (start.level - coincide_level);
@@ -1373,11 +1373,11 @@ bool get_seed_point(const Rational& seed
                 Rat_coercion_type
                   vx = -engine.substitute_xy(*(engine.rational_fy), x_s, y_s),
                   vy = engine.substitute_xy(*(engine.rational_fx), x_s, y_s);
-                
+
                 NT vvx = rat2float(vx), vvy = rat2float(vy);
                 if(vvy < 0) {
                     vvx = -vvx;
-                }                
+                }
 
                 // vx > 0: 2 - right(1), 6 - left(0)
                 // vx < 0: 2 - left(0), 6 - right(1)
@@ -1388,14 +1388,14 @@ bool get_seed_point(const Rational& seed
                     b_taken[0] = !flag; // !(vx > 0)
                     b_taken[1] = flag; //  vx > 0
                 } else if(dir[0] == 6||dir[1] == 2) {
-                    b_taken[0] = flag;  // vx > 0 
+                    b_taken[0] = flag;  // vx > 0
                     b_taken[1] = !flag;  // !(vx > 0)
-                } 
+                }
             } else  // t1 != -1
                b_taken[0] = 1 - b_taken[1];
         } else if(t1 == -1)
             b_taken[1] = 1 - b_taken[0];
-            
+
         s_stack.push(Seed_point(start, dir[0], b_taken[0], b_coincide));
         s_stack.push(Seed_point(start, dir[1], b_taken[1], b_coincide));
     }
@@ -1413,7 +1413,7 @@ bool test_pixel(const Pixel_2& pix, int
     make_exact(inv);
     get_boundaries(CGAL_X_RANGE, pix, box[1]);
     get_boundaries(CGAL_Y_RANGE, pix, box[0]);
-    NT bottom = box[1].key[0], //top = box[1].key[1], 
+    NT bottom = box[1].key[0], //top = box[1].key[1],
         left = box[0].key[0], lower;//, right = box[0].key[1], lower;
     // bottom(2), top(3), left(0), right(1)
     int n_sign = 0, i, j, n_dir = 0, shift, n_local, new_dir;
@@ -1423,22 +1423,22 @@ bool test_pixel(const Pixel_2& pix, int
     Gfx_OUT("test pixel: " << pix << "--------------------------------\n");
     dump_neighbourhood(pix);
     Gfx_OUT("----------------------------------------------\n\n");*/
-    
+
     b_coincide = false;
     int n_corner_dir = 0, corner_dir[] = {-1, -1};
     // process subsegments: left/right
-    for(i = 0; i < 2; i++) { 
-        for(j = 0, n_local = 0, lower = bottom; j < 3; j++, lower += inv)  
+    for(i = 0; i < 2; i++) {
+        for(j = 0, n_local = 0, lower = bottom; j < 3; j++, lower += inv)
 
             if(get_range_1(CGAL_Y_RANGE, lower, lower+inv, box[0].key[i],
                 box[0].poly[i], 3) || engine.zero_bounds) {
-                
+
                 Gfx_DETAILED_OUT("intersection detected at subsegment: " << j
                   << " side: " << i << "; left(0), right(1), bottom(2), top(3)"
                   << std::endl);
-                
+
                 if(engine.zero_bounds) {
-                    
+
                     bool is_corner = false;
                     int diff = float2int((lower - pix.y)*lvl - pix.sub_y);
                     int low_sign = engine.evaluate_generic(CGAL_Y_RANGE, lower,
@@ -1446,7 +1446,7 @@ bool test_pixel(const Pixel_2& pix, int
 
                     Gfx_DETAILED_OUT("zero bounds detected, low_sign: "
                         << low_sign << "\n");
-                        
+
                     if(diff != 0) {
                         if(diff == 1) {
                             is_corner = (engine.evaluate_generic(CGAL_Y_RANGE,
@@ -1460,7 +1460,7 @@ bool test_pixel(const Pixel_2& pix, int
                             if(!is_corner)
                                 continue;
                         }
-                            
+
                         if(is_corner) {
                             // compute corner direction
                             diff = internal::DIR_MAP[i][diff+1];
@@ -1476,7 +1476,7 @@ bool test_pixel(const Pixel_2& pix, int
                     } else if(low_sign != 0)
                         continue;
                 }
-                  
+
                 n_local++;
                 if(n_local > 1) {
              Gfx_DETAILED_OUT("more than 1 intersection along vertical side "
@@ -1502,15 +1502,15 @@ bool test_pixel(const Pixel_2& pix, int
             }
         n_sign += n_local;
     }
-    
+
     get_polynomials(CGAL_X_RANGE,box[1]);
     Gfx_DETAILED_OUT("computing bottom/top sides" << std::endl);
     for(i = 0; i < 2; i++) {
         for(j = 0, n_local = 0, lower = left; j < 3; j++, lower += inv)  {
-        
+
             if(get_range_1(CGAL_X_RANGE,lower,lower+inv,box[1].key[i],
                 box[1].poly[i], 3) || engine.zero_bounds) {
-                
+
            Gfx_DETAILED_OUT("intersection detected at subsegment: " << j <<
             " side: " << i + 2 << "; left(0), right(1), bottom(2), top(3) "
                   << std::endl);
@@ -1524,7 +1524,7 @@ bool test_pixel(const Pixel_2& pix, int
 
                     Gfx_DETAILED_OUT("zero bounds detected, low_sign: "
                         << low_sign << "\n");
-                    
+
                     if(diff != 0) {
                         if(diff == 1) {
                             is_corner = (engine.evaluate_generic(CGAL_X_RANGE,
@@ -1538,7 +1538,7 @@ bool test_pixel(const Pixel_2& pix, int
                             if(!is_corner)
                                 continue;
                         }
-                            
+
                         if(is_corner) {
                             Gfx_DETAILED_OUT("corner direction detected\n");
                             // compute corner direction
@@ -1552,8 +1552,8 @@ bool test_pixel(const Pixel_2& pix, int
                         }
                     } else if(low_sign != 0)
                         continue;
-                }  
-    
+                }
+
                 n_local++;
                 n_sign++;
                 if(n_local > 1||n_sign > 2) {
@@ -1561,7 +1561,7 @@ bool test_pixel(const Pixel_2& pix, int
                          "side " << i+2 << std::endl);
                     return false;
                 }
-                
+
                 if(!b_coincide)
                     if(engine.first_der && !recursive_check(CGAL_X_RANGE,
                     lower, lower+inv, box[1].key[i],box[1].poly[i])) {
@@ -1591,35 +1591,35 @@ bool test_pixel(const Pixel_2& pix, int
     make_exact(inv);
     get_boundaries(CGAL_X_RANGE,pix,box[1]);
     get_boundaries(CGAL_Y_RANGE,pix,box[0]);
-    //NT bottom = box[1].key[0], //top = box[1].key[1], 
+    //NT bottom = box[1].key[0], //top = box[1].key[1],
         //left = box[0].key[0], right = box[0].key[1];
     NT lower;
     // bottom(2), top(3), left(0), right(1)
     int f_der[2];
-    int idx[2], ibox, ikey, var, n_sign = 0, i, j, n_dir = 0, shift, 
+    int idx[2], ibox, ikey, var, n_sign = 0, i, j, n_dir = 0, shift,
         n_local, new_dir;
     get_polynomials(CGAL_Y_RANGE,box[0]);
     b_coincide = false;
-    for(i = 0; i < 4; i++) { 
+    for(i = 0; i < 4; i++) {
         if(i == 2)
             get_polynomials(CGAL_X_RANGE,box[1]);
         var = (i < 2 ? CGAL_Y_RANGE : CGAL_X_RANGE);
         ibox = i >> 1;
         ikey = i & 1;
-        lower = box[1-ibox].key[0]; 
-        for(j = 0, n_local = 0; j < 3; j++, lower += inv)  
+        lower = box[1-ibox].key[0];
+        for(j = 0, n_local = 0; j < 3; j++, lower += inv)
             if(get_range_1(var,lower,lower+inv,box[ibox].key[ikey],
                 box[ibox].poly[ikey])||zero_bounds) {
                 Gfx_DETAILED_OUT("intersection detected at subsegment: " << j
                   << " side: " << i << "; left(0), right(1), bottom(2), top(3)"
                     << std::endl);
-                if(zero_bounds&&evaluate_modular(var, lower, 
+                if(zero_bounds&&evaluate_modular(var, lower,
                     box[ibox].key[ikey], true) != 0)
                     continue;
                 n_local++;
                 n_sign++;
                 if(n_local > 1||n_sign > 2) {
-                  Gfx_DETAILED_OUT("more than 1 intersection along side " << i 
+                  Gfx_DETAILED_OUT("more than 1 intersection along side " << i
                         << std::endl);
                     return false;
                 }
@@ -1658,7 +1658,7 @@ bool test_pixel(const Pixel_2& pix, int
         new_dir = internal::DIR_MAP[idx[i]][shift+1];
         b_taken[i] = 1 - internal::DIR_TAKEN_MAP[new_dir];
         dir[i] = new_dir;
-        Gfx_DETAILED_OUT(" direction " << i << " found: " << new_dir << 
+        Gfx_DETAILED_OUT(" direction " << i << " found: " << new_dir <<
             " taken: " << b_taken[i] << std::endl);
     }
     return true;*/
@@ -1674,7 +1674,7 @@ void horizontal_clip()
     top_clip.clear();
     btm_clip.clear();
     Rational l, r;
-    
+
     typename CGAL::Polynomial_traits_d< Poly_dst_1 >::Make_square_free msf;
 
     decompose(engine.y_min_r, num, denom);
@@ -1690,7 +1690,7 @@ void horizontal_clip()
 
     int n_roots = isolator_btm.number_of_real_roots(), i;
     Rational criteria = engine.pixel_w_r/CGAL_REFINE_CLIP_POINTS;
-    
+
     for(i = 0; i < n_roots; i++) {
         l = isolator_btm.left_bound(i);
         r = isolator_btm.right_bound(i);
@@ -1720,16 +1720,16 @@ void segment_clip_points(const Rational&
     int n_arcs, i, j = 0;
     typename Clip_points::iterator it = clip_points.begin();
     Rational low, high, d, l, r;
-    Gfx_DETAILED_OUT("segment: (" << rat2float(x_lower) << "; " << 
+    Gfx_DETAILED_OUT("segment: (" << rat2float(x_lower) << "; " <<
         rat2float(x_upper) << "); arcno: " << arcno << "\n");
-    
+
     while(it != clip_points.end()) {
         l = it->left;
         r = it->right;
         if(r > x_lower && l < x_upper) {
             Coordinate_1 alpha = (l == r ? Coordinate_1(r) :
                  Coordinate_1(poly, l, r));
-               
+
             // need precise comparisons in case of tight boundaries
             if(l < x_lower && alpha.compare(x_lower) != ::CGAL::LARGER) {
                 it++; j++;
@@ -1743,7 +1743,7 @@ void segment_clip_points(const Rational&
                 Status_line_1 sline = support->status_line_for_x(alpha);
                 n_arcs = sline.number_of_events();
                 for(i = 0; i < n_arcs; i++) {
-        
+
                     Coordinate_2 xy(alpha, *support, i);
                     Bounds _ = xy.kernel()->approximate_absolute_y_2_object()(xy, -2);
 //                     low = lbound_y(xy);
@@ -1761,7 +1761,7 @@ void segment_clip_points(const Rational&
                             Gfx_DETAILED_OUT("clip point assigned to arcno: "
                                 << i << "\n");
                             break;
-                        } 
+                        }
                     }
                 }
             }
@@ -1778,11 +1778,11 @@ void segment_clip_points(const Rational&
 //                     d = ubound_y(xy) - y_upper;
                     d = _.second - y_upper;
                     set = (CGAL_ABS(d) > engine.pixel_h_r);
-                }   
+                }
                 if(set) {
                     Gfx_DETAILED_OUT("clip-point found\n");
                     clip_indices.push_back(j); // store point index
-                } 
+                }
             }
         }
         it++; j++;
@@ -1791,7 +1791,7 @@ void segment_clip_points(const Rational&
 
 //! mode = 0: criteria specifies the length of the refined interval
 //! mode = 1: criteria specifies a point that must be lie outside the interval
-void refine_alg_point(Rational& l, Rational& r, const Poly_dst_1& poly, 
+void refine_alg_point(Rational& l, Rational& r, const Poly_dst_1& poly,
             const Rational& criteria, int mode = 0) {
 
     CGAL::Sign eval_l, eval_m;
@@ -1807,61 +1807,61 @@ void refine_alg_point(Rational& l, Ratio
         eval_m = poly.sign_at(mid);
         if(eval_m == CGAL::EQUAL)
             l = r = mid;
-        else if(eval_m == eval_l) 
+        else if(eval_m == eval_l)
             l = mid;
         else
             r = mid;
-    } 
+    }
 }
 
 //! recursively checks whether only one curve branch crosses a line segment
-bool recursive_check(int var, const NT& beg_, const NT& end_, 
+bool recursive_check(int var, const NT& beg_, const NT& end_,
     const NT& key, const Poly_1& poly, int depth = 0)
 {
     // if polynomial is linear/quadratic and there is sign-change over interval
     // => only one curve branch is guaranteed
-    //if(poly.degree() < 3) 
+    //if(poly.degree() < 3)
       //  return true;
 
     int val_1, val_2, val_3;
     NT mid = (beg_+end_)/2, key_1, key_2, beg = beg_, end = end_;
     make_exact(mid);
-    
+
     Gfx_DETAILED_OUT("executing recursive check; poly = " << poly << std::endl);
     val_1 = engine.evaluate_generic(var, beg, key, poly);
     val_3 = engine.evaluate_generic(var, end, key, poly);
-    
+
     Gfx_DETAILED_OUT("beg: " << val_1 << " end: " << val_3 << std::endl);
     // no sing change: at least two curve branches inside
     if((val_1^val_3)==0)
         return false;
-    
+
     val_2 = engine.evaluate_generic(var, mid, key, poly);
     // select the half with even number of intersections
     if((val_1^val_2)==0)
-        key_1 = beg;    
+        key_1 = beg;
     else
-        key_1 = end;        
-    if(get_range_1(var, key_1, mid, key, poly)) 
+        key_1 = end;
+    if(get_range_1(var, key_1, mid, key, poly))
         return false;   // at least three intersections over the interval: done
      key_2 = beg + end - key_1;
-    
+
     get_range_1(var, key_2, mid, key, poly, 3);
- 
+
     // the first derivative does not straddle zero then only one intersection
-    if(!engine.first_der)     
-        return true;  
+    if(!engine.first_der)
+        return true;
     // if second derivative does not stranddle zero - only 1 first derivative
-    //if(engine.second_der == 0) 
+    //if(engine.second_der == 0)
         //return true;
-    if(depth > CGAL_DER_CHECK_DEPTH) 
+    if(depth > CGAL_DER_CHECK_DEPTH)
         return true;
     return recursive_check(var, key_2, mid, key, poly, depth+1);
 }
 
 //! computes lower/upper boundaries for pixel's neighbourhood
 void get_boundaries(int var, const Pixel_2& pix, Stripe& stripe) {
-   
+
     int level = pix.level, val = pix.y;
     Integer sub = pix.sub_y, cur_sub;
     if(var == CGAL_Y_RANGE) {
@@ -1873,19 +1873,19 @@ void get_boundaries(int var, const Pixel
         cur_sub += 2; // obtain local coordinates for upper boundary
         // for even boundaries raise the level up
         while(level > 0 && ((cur_sub & 1) == 0)) {
-            level--; 
+            level--;
             cur_sub >>= 1;
         }
     }
     stripe.level[1] = level;
-    if(level == 0) 
+    if(level == 0)
         cur_sub = 2 - cur_sub;
     stripe.key[1] = val + NT(cur_sub) / NT(one << level);
     make_exact(stripe.key[1]);
-    level = pix.level; 
-    cur_sub = sub - 1; 
+    level = pix.level;
+    cur_sub = sub - 1;
     while(level > 0 && ((cur_sub & 1) == 0)) {
-        level--; 
+        level--;
         cur_sub >>= 1;
     }
     stripe.level[0] = level;
@@ -1901,13 +1901,13 @@ inline void get_polynomials(int var, Str
          stripe.poly[0]);
 }
 
-/*! 
- * checks 8-pixel neighbourhood of a pixel, returns \c true if 
+/*!
+ * checks 8-pixel neighbourhood of a pixel, returns \c true if
  * only one curve branch intersects pixel's neighbourhood, \c dir
  * defines backward direction, \c new_dir is a new tracking direction
  *
  * if \c CGAL_CKVA_RENDER_WITH_REFINEMENT is set, in case of success \c pix
- * receives double approximations of intersection point 
+ * receives double approximations of intersection point
  */
 bool test_neighbourhood(Pixel_2& pix, int dir, int& new_dir)
 {
@@ -1921,20 +1921,20 @@ bool test_neighbourhood(Pixel_2& pix, in
     // box[1].key[0] - y-coordinate of bottom pixel boundary
     // box[1].key[1] - y-coordinate of top pixel boundary
     Stripe box[2]; // 0 - left-right stripe, 1 - bottom-top stripe
-    NT p1, p2, lower; 
+    NT p1, p2, lower;
     get_boundaries(CGAL_X_RANGE,pix,box[1]);
     get_boundaries(CGAL_Y_RANGE,pix,box[0]);
-    
-    struct {         // local point descriptor 
+
+    struct {         // local point descriptor
         NT key;      // respective "key"
-        int flag;    // 0th bit: 0: lower polynomial(left/bottom); 
+        int flag;    // 0th bit: 0: lower polynomial(left/bottom);
                      //          1: upper polynomial(right/top)
                      // 1st bit: 0: x-range poly; 1: y-range poly
-                     // 2nd bit: 0: c is in lower poly; 1: c is in upper poly 
+                     // 2nd bit: 0: c is in lower poly; 1: c is in upper poly
                      // (for regular points only)
-    } pts[6] = {{box[0].key[0], 0}, {box[0].key[0], 1}, {box[0].key[1], 1|4}, 
+    } pts[6] = {{box[0].key[0], 0}, {box[0].key[0], 1}, {box[0].key[1], 1|4},
             {box[0].key[1], 0|4}};
-            
+
     int ix = internal::directions[back_dir].x;
     int e_dir = back_dir, _3and5 = 0, _3and7 = 0;
     if(back_dir&1) {// 5 and 3: 4; 7 and 1: 0
@@ -1944,16 +1944,16 @@ bool test_neighbourhood(Pixel_2& pix, in
     }
     int _4and6 = e_dir>>2, _2and6 = (e_dir&2)>>1;
     int _2and4 = (e_dir==2)||(e_dir==4);
-    
+
     pts[4].key = box[_2and6].key[_4and6] + (1-(_4and6<<1))*inv;
     pts[4].flag = (_2and6<<1) + _2and4;
     pts[5].key = pts[4].key;
     pts[5].flag = pts[4].flag^1; //(_2and6<<1) + (!_2and4); // pts[4].flag^1 ?
     idx[0] = 4;
     idx[3] = 5;
-    if(back_dir&1) 
+    if(back_dir&1)
         (_3and7) ? pts[5].key += ix*inv : pts[4].key += ix*inv;
-    shift = (6 - e_dir) >> 1; 
+    shift = (6 - e_dir) >> 1;
     n_pts = 4;
     idx[1] = (1 + shift) & 3;
     idx[2] = (2 + shift) & 3;
@@ -1977,8 +1977,8 @@ bool test_neighbourhood(Pixel_2& pix, in
     Gfx_DETAILED_OUT("test_neigh for " << pix << "; dir = " << dir << "\n");
 
     n_sign = 0;
-    get_polynomials(CGAL_Y_RANGE,box[0]); 
-    get_polynomials(CGAL_X_RANGE,box[1]); 
+    get_polynomials(CGAL_Y_RANGE,box[0]);
+    get_polynomials(CGAL_X_RANGE,box[1]);
     int f_der = -1, corner_dir = -1;
     bool set_coincide = false;
     // bool s_change = false;
@@ -1986,57 +1986,57 @@ bool test_neighbourhood(Pixel_2& pix, in
     for(i = 0; i < n_pts - 1; i++) {
         int f1 = pts[idx[i]].flag, f2 = pts[idx[i+1]].flag;
         var = CGAL_Y_RANGE;
-        p1 = pts[idx[i]].key; 
+        p1 = pts[idx[i]].key;
         p2 = pts[idx[i+1]].key;
         if((f1&2) + (f2&2) == 0) {// both can use x-range polynomials
          // different polys in x-range - use y-range instead
             if((f1&1)!=(f2&1)) {
                 shift = (f1&4)>>2;
-                p1 = box[1].key[0]; 
-                p2 = box[1].key[1]; 
+                p1 = box[1].key[0];
+                p2 = box[1].key[1];
             } else { // same polys in x-range
                 shift = f1&1;
-                var = CGAL_X_RANGE; 
+                var = CGAL_X_RANGE;
                 shift += 2;
             }
-        } else { 
+        } else {
             if((f1&2) == 0) { // first point is in x-range (convert to y-range)
                 shift = f2&1;
-                p1 = box[1].key[f1&1]; 
+                p1 = box[1].key[f1&1];
             } else {   // second point is in x-range
                 shift = f1&1;
-                p2 = box[1].key[f2&1]; 
+                p2 = box[1].key[f2&1];
             }
-        } 
+        }
         if(p1 > p2) {
             NT tmp1 = p1;
             p1 = p2;
             p2 = tmp1;
         }
-        res = float2int((p2 - p1)*lvl); 
+        res = float2int((p2 - p1)*lvl);
         int local_sign = 0;
         for(j = 0; j < res; j++, p1 += inv) {
 
             NT lkey = box[shift>>1].key[shift&1];
             const Poly_1& lpoly = box[shift>>1].poly[shift&1];
-             
+
             if(get_range_1(var, p1, p1+inv, lkey, lpoly, 3) ||
                     engine.zero_bounds) {
 
-                Gfx_DETAILED_OUT("range including 0 found at: " << i << 
+                Gfx_DETAILED_OUT("range including 0 found at: " << i <<
                 "; subseg: " << j <<  "; first der = " << engine.first_der <<
                      std::endl);
 
                 if(engine.zero_bounds) {
                     Gfx_DETAILED_OUT("also with zero_bounds");
-                
+
                     bool is_corner = false;
                     int diff = float2int(var == CGAL_X_RANGE ?
                         ((p1 - pix.x)*lvl - pix.sub_x) :
                         ((p1 - pix.y)*lvl - pix.sub_y));
                     int low_sign = engine.evaluate_generic(var, p1, lkey,
                             lpoly);
-                    
+
                     if(diff != 0) {
                         // diff == -1: test lower corner: p1
                         // diff ==  1: test upper corver: p1+inv
@@ -2052,13 +2052,13 @@ bool test_neighbourhood(Pixel_2& pix, in
                             if(!is_corner)
                                 continue;
                         }
-                            
+
                         if(is_corner) {
                             // compute corner direction
                             tmp = internal::DIR_MAP[shift][diff+1];
                             Gfx_DETAILED_OUT("corner direction detected: "
                                 << tmp << "\n");
-                                
+
                             if(corner_dir == -1)
                                 corner_dir = tmp;
                             else if(corner_dir != tmp) {
@@ -2077,7 +2077,7 @@ bool test_neighbourhood(Pixel_2& pix, in
                     } else if(low_sign != 0)
                         continue;
                 }
-                local_sign++; 
+                local_sign++;
               // Gfx_DETAILED_OUT("a curve branch detected at interval: (" << i
                  //   << "; " << i+1 << ") segment: " << j << std::endl);
                 if(local_sign > 1) {
@@ -2085,7 +2085,7 @@ bool test_neighbourhood(Pixel_2& pix, in
                         std::endl);
                     return false;
                 }
-                lower = p1; 
+                lower = p1;
                 s_shift = shift;
                 f_der = engine.first_der;
                 // s_change = engine.sign_change;
@@ -2102,7 +2102,7 @@ bool test_neighbourhood(Pixel_2& pix, in
 //             else {
 //                 if(!branches_coincide&&
 //                     (current_level < CGAL_COINCIDE_LEVEL))
-//                     return false; // level is too small 
+//                     return false; // level is too small
 //                 set_coincide = true; // diagonal coincide mode
 //                 //std::cerr << "diagonal coincide mode\n";
 //             }
@@ -2113,7 +2113,7 @@ bool test_neighbourhood(Pixel_2& pix, in
             }
         }
     }
-    
+
     //Gfx_DETAILED_OUT("processing segment: [" << lower << "; " << lower+inv <<
       //  "]" <<std::endl);
     if(n_sign == 0) {
@@ -2127,15 +2127,15 @@ bool test_neighbourhood(Pixel_2& pix, in
             box[ibox].poly[ikey], 3);
         f_der = engine.first_der;
     }
-    
+
     // if coincide already set - no need to check the derivative
-//     if(!set_coincide && f_der && 
+//     if(!set_coincide && f_der &&
 //         (!s_change || !recursive_check(var,lower,lower+inv,
 //         box[ibox].key[ikey], box[ibox].poly[ikey]))) {
     if(!set_coincide && f_der && !recursive_check(var,lower,lower+inv,
         box[ibox].key[ikey], box[ibox].poly[ikey])) {
-        
-        if(!branches_coincide &&    
+
+        if(!branches_coincide &&
               (current_level < CGAL_COINCIDE_LEVEL))//||direction_taken == -1))
             return false;
         if(!branches_coincide)
@@ -2146,7 +2146,7 @@ bool test_neighbourhood(Pixel_2& pix, in
 
     int taken = internal::DIR_TAKEN_MAP[new_dir];
     if(taken != -1 && taken != direction_taken) {
-    
+
        Gfx_DETAILED_OUT("\nERROR: wrong direction " << new_dir << " at pixel: "
             << pix << "; back_dir = " << back_dir << "; taken = " <<
                 direction_taken << std::endl);
@@ -2154,7 +2154,7 @@ bool test_neighbourhood(Pixel_2& pix, in
             new_dir = 6;
         else if(back_dir == 6)
             new_dir = 2;
-        else 
+        else
             return false;
     }
     if(set_coincide) {
@@ -2180,14 +2180,14 @@ bool test_neighbourhood(Pixel_2& pix, in
             Rational yseed, _;
             refine_xy(xy, CGAL_REFINE_DOUBLE_APPROX, _, yseed);
 //             Rational yseed = ubound_y(xy);
-            pix.xv = CGAL::to_double(seed); 
-            pix.yv = CGAL::to_double(yseed);   
+            pix.xv = CGAL::to_double(seed);
+            pix.yv = CGAL::to_double(yseed);
         }
 #endif
-    } 
+    }
 #ifdef CGAL_CKVA_RENDER_WITH_REFINEMENT
     else {
-        Gfx_DETAILED_OUT("new dir = " << new_dir << 
+        Gfx_DETAILED_OUT("new dir = " << new_dir <<
         "; compute_double_approx for lower = " << lower << "; key = " <<
             box[ibox].key[ikey] << "\n");
         compute_double_approx(var, lower, lower+inv, box[ibox].key[ikey],
@@ -2198,7 +2198,7 @@ bool test_neighbourhood(Pixel_2& pix, in
 }
 
 #ifdef CGAL_CKVA_RENDER_WITH_REFINEMENT
-bool compute_double_approx(int var, const NT& l_, const NT& r_, 
+bool compute_double_approx(int var, const NT& l_, const NT& r_,
     const NT& key, const Poly_1& poly, Pixel_2& pix) {
 
     NT l(l_), r(r_);
@@ -2206,14 +2206,14 @@ bool compute_double_approx(int var, cons
         l = r_;
         r = l_;
     }
-    
+
     bool ret = true;
     int eval1, eval2, mid_eval;
     NT threshold(CGAL_REFINE_DOUBLE_APPROX);
     eval1 = engine.evaluate_generic(var, l, key, poly);
     if(eval1 == 0)
         goto Lexit;
-    
+
     eval2 = engine.evaluate_generic(var, r, key, poly);
     if(eval2 == 0) {
         l = r;
@@ -2225,10 +2225,10 @@ bool compute_double_approx(int var, cons
             eval1 << " and " << eval2 << "\n";
         l = (l+r)/NT(2);
         make_exact(l);
-        ret = false;  
+        ret = false;
         goto Lexit;
     }
-   
+
     while((r - l) > threshold) {
         NT mid = (l + r) / NT(2);
         make_exact(mid);
@@ -2236,15 +2236,15 @@ bool compute_double_approx(int var, cons
         //Gfx_DETAILED_OUT("l = " << l << "; r = " << r << "; mid = " << mid <<  "\n");
         mid_eval = engine.evaluate_generic(var, mid, key, poly);
         if(mid_eval == 0) {
-            l = r = mid;    
+            l = r = mid;
             break;
-        }   
+        }
         if(mid_eval == eval1)
             l = mid;
         else
             r = mid;
     }
-Lexit:     
+Lexit:
     NT x = l, y = key;
     if(var == CGAL_Y_RANGE) {
         x = key;
@@ -2263,12 +2263,12 @@ Lexit:
 //! 0th bit - of a polynomial itself (0th derivative, default)
 //! 1st bit - of the first derivative (sets \c first_der flag)
 //! 2nd bit - of the second derivative
-inline bool get_range_1(int var, const NT& lower, const NT& upper, 
+inline bool get_range_1(int var, const NT& lower, const NT& upper,
     const NT& key, const Poly_1& poly, int check = 1)
 {
     if(IA_method == 0)
         return engine.get_range_QF_1(var, lower, upper, key, poly, check);
- 
+
     return engine.get_range_MAA_1(var, lower, upper, key, poly, check);
 }
 
@@ -2276,20 +2276,20 @@ inline bool get_range_1(int var, const N
 //! uses caching if possible
 Rational get_endpoint_y(const Arc_2& arc, const Rational& x,
      CGAL::Arr_curve_end end, bool is_clipped, Rational refine_bound) {
-        
+
     int arcno;
     Coordinate_2 xy;
-    
+
     if(arc.location(end) != CGAL::ARR_LEFT_BOUNDARY &&
             arc.location(end) != CGAL::ARR_RIGHT_BOUNDARY && !is_clipped) {
         arcno = arc.curve_end(end).arcno();
         xy = Coordinate_2(arc.curve_end_x(end),
             arc.curve_end(end).curve(), arcno);
-        
+
     } else {
         arcno = arc.arcno();
         xy = Coordinate_2(Coordinate_1(x), *support, arcno);
-        //refine_bound = engine.pixel_h_r / 6; //! use other bound HACK 
+        //refine_bound = engine.pixel_h_r / 6; //! use other bound HACK
     }
 
     // refine the y-interval until its size is smaller than the pixel size
@@ -2300,10 +2300,10 @@ Rational get_endpoint_y(const Arc_2& arc
     return _2;//event.upper_boundary(arcno);
 }
 
-//! \brief switches to a certain cache instance depending on currently used 
+//! \brief switches to a certain cache instance depending on currently used
 //! algebraic curve
 void select_cache_entry(const Arc_2& arc) {
-        
+
     int cid = arc.curve().id();
     typename Cache_list::iterator it = cache_list.begin();
     while(it != cache_list.end()) {
@@ -2318,7 +2318,7 @@ void select_cache_entry(const Arc_2& arc
         if(new_id >= CGAL_N_CACHES) {
             new_id = cache_list.back().second;
             cache_list.pop_back();
-        } 
+        }
         cache_list.insert(cache_list.begin(), LRU_entry(cid, new_id));
 
     } else { // mark this entry as MRU
@@ -2327,17 +2327,17 @@ void select_cache_entry(const Arc_2& arc
         cache_list.erase(it);
         cache_list.insert(cache_list.begin(), lru);
     }
-    
-    if(cache_id != new_id) 
+
+    if(cache_id != new_id)
         clip_pts_computed = false;
     cache_id = new_id;
-    
+
     support = support_ + cache_id;
     engine.select_cache_entry(cache_id);
-    
+
     while(!s_stack.empty())
-        s_stack.pop(); 
-        
+        s_stack.pop();
+
     if(new_entry) {
         *support = arc.curve();
         engine.precompute(support->polynomial_2());
@@ -2347,7 +2347,7 @@ void select_cache_entry(const Arc_2& arc
 //! \brief returns one of 4 subpixels of a pixel which is crossed by the curve
 //! branch
 //!
-//! subpixels are chosen with the priority \c dir which defines a preferred 
+//! subpixels are chosen with the priority \c dir which defines a preferred
 //! direction, i.e. right(0), top(1), left(2) or bottom(3) this is only for h/v
 //! directions
 int get_subpixel_hv(const Pixel_2& pix, int dir)
@@ -2376,38 +2376,38 @@ int get_subpixel_hv(const Pixel_2& pix,
     s_c = s_c + inv_2 - inc_c;
     s_key = s_key + inv_2 - inc_key;
     engine.get_precached_poly(var, s_key, pix.level, box[0]);
-    
+
     //Gfx_DETAILED_OUT("hv subdpixel" << std::endl);
     int p0 = engine.evaluate_generic(var, s_c, s_key, box[0]); // 0
     int p1 = engine.evaluate_generic(var, s_c + inc_c, s_key, box[0]); // 1
     if(p0^p1)
-        return 0; 
-        
+        return 0;
+
     int p2 = engine.evaluate_generic(var, s_c + inc_c*2, s_key, box[0]); // 2
     if(p2^p1)
         return 1;
-        
-    engine.get_precached_poly(inv_var, s_c, pix.level, box[1]);    
+
+    engine.get_precached_poly(inv_var, s_c, pix.level, box[1]);
     int p3 = engine.evaluate_generic(inv_var, s_key+inc_key, s_c, box[1]); // 3
     if(p3^p0)
         return 0;
-        
+
     engine.get_precached_poly(inv_var, s_c + inc_c*2, pix.level, box[2]);
     int p4 = engine.evaluate_generic(inv_var, s_key+inc_key, s_c + inc_c*2,
         box[2]);
-     
+
     if(p4^p2)
         return 1;
-        
-    int p5 = engine.evaluate_generic(inv_var, s_key+inc_key*2, s_c, box[1]); 
+
+    int p5 = engine.evaluate_generic(inv_var, s_key+inc_key*2, s_c, box[1]);
     if(p3^p5)
         return 2;
-        
+
     int p7 = engine.evaluate_generic(inv_var, s_key+inc_key*2, s_c + inc_c*2,
         box[2]); // 7
     if(p4^p7)
         return 3;
-        
+
     engine.get_precached_poly(var, s_key+inc_key*2, pix.level, box[3]);
     int p6 = engine.evaluate_generic(var, s_c + inc_c, s_key+inc_key*2,
         box[3]); // 6
@@ -2415,11 +2415,11 @@ int get_subpixel_hv(const Pixel_2& pix,
         return 2;
     if(p6^p7)
         return 3;
-    return -1;  
+    return -1;
 }
 
 //! \brief the same for diagonal directions
-//! 
+//!
 //! preferred direction: NE(0), NW(1), SW(2), SE(3)
 int get_subpixel_diag(const Pixel_2& pix, int dir)
 {
@@ -2446,45 +2446,45 @@ int get_subpixel_diag(const Pixel_2& pix
     inv_var = 1 - var;
     key_1 = key_1 + inv_2 - inc_1;
     key_2 = key_2 + inv_2 - inc_2;
-    
+
     engine.get_precached_poly(var, key_2, pix.level, box[0]);
     int p0 = engine.evaluate_generic(var, key_1, key_2, box[0]); // 0
     int p1 = engine.evaluate_generic(var, key_1 + inc_1, key_2, box[0]); // 1
     //Gfx_DETAILED_OUT("p0: " << p0 << "; p1: " << p1 << std::endl);
-    
+
     if(p0^p1)
-        return 0; 
-    
-    engine.get_precached_poly(inv_var, key_1, pix.level, box[1]);  
+        return 0;
+
+    engine.get_precached_poly(inv_var, key_1, pix.level, box[1]);
     int p2 = engine.evaluate_generic(inv_var, key_2+inc_2, key_1, box[1]); // 2
     //Gfx_DETAILED_OUT << "p2: " << p2 << std::endl;
     if(p2^p0)
-        return 0;   
-    
+        return 0;
+
     int p3 = engine.evaluate_generic(var, key_1 + inc_1*2, key_2, box[0]); // 3
     //Gfx_DETAILED_OUT << "p3: " << p3 << std::endl;
     if(p3^p1)
         return 1;
-    
+
     int p4 = engine.evaluate_generic(inv_var, key_2+inc_2*2, key_1, box[1]);
     //Gfx_DETAILED_OUT << "p4: " << p4 << std::endl;
     if(p4^p2)
         return 2;
-        
-    engine.get_precached_poly(inv_var, key_1 + inc_1*2, pix.level, box[2]);    
+
+    engine.get_precached_poly(inv_var, key_1 + inc_1*2, pix.level, box[2]);
     int p5 = engine.evaluate_generic(inv_var, key_2+inc_2, key_1 + inc_1*2,
         box[2]);
     //Gfx_DETAILED_OUT << "p5: " << p5 << std::endl;
     if(p3^p5)
         return 1;
-        
+
     engine.get_precached_poly(var, key_2+inc_2*2, pix.level, box[3]);
     int p6 = engine.evaluate_generic(var, key_1 + inc_1, key_2+inc_2*2,
         box[3]); // 6
     //Gfx_DETAILED_OUT << "p6: " << p6 << std::endl;
     if(p4^p6)
-        return 2;   
-        
+        return 2;
+
     int p7 = engine.evaluate_generic(var, key_1+inc_1*2, key_2 + inc_2*2,
         box[3]); // 7
     //Gfx_DETAILED_OUT << "p7: " << p7 << std::endl;
@@ -2493,11 +2493,11 @@ int get_subpixel_diag(const Pixel_2& pix
 
     if(p6^p7)
         return 3;
-    return -1;  
+    return -1;
 }
 
 //! attempts to find an isolating box for an end-point whose upper/lower
-//! boundaries do not intersect with a curve 
+//! boundaries do not intersect with a curve
 bool get_isolating_box(const Rational& x_s, const Rational& y_s, Pixel_2& res)
 {
     Integer lvl = one;
@@ -2506,31 +2506,31 @@ bool get_isolating_box(const Rational& x
     res.level = 0;
     res.sub_x = 0;
     res.sub_y = 0;
-    
-    NT inv = NT(1), bottom = NT(res.y), top = bottom + inv, left = NT(res.x); 
-    
+
+    NT inv = NT(1), bottom = NT(res.y), top = bottom + inv, left = NT(res.x);
+
     Poly_1 poly_btm, poly_top;
     engine.get_precached_poly(CGAL_X_RANGE, bottom, 0, poly_btm);
     engine.get_precached_poly(CGAL_X_RANGE, top, 0, poly_top);
-    
+
     while(1) {
         inv = NT(1) / NT(lvl);
         make_exact(inv);
         left = NT(res.x) + NT(res.sub_x) * inv;
-        
+
         Gfx_DETAILED_OUT("processing pixel: " << res << std::endl);
         if(get_range_1(CGAL_X_RANGE,left,left+inv,bottom,poly_btm)&&
-            !engine.zero_bounds) { 
-            
+            !engine.zero_bounds) {
+
             Gfx_DETAILED_OUT("bottom boundary intersection found at pixel: " <<
                 res << std::endl);
         } else {
             if(!get_range_1(CGAL_X_RANGE,left,left+inv,top,poly_top)) {
-            
+
                 Gfx_DETAILED_OUT("no bottom/top intersections found at pixel:"
                     << res << std::endl);
                 break;
-            } else {    
+            } else {
                 Gfx_DETAILED_OUT("top boundary intersection found at pixel: "
                     << res << std::endl);
             }
@@ -2538,7 +2538,7 @@ bool get_isolating_box(const Rational& x
         lvl <<= 1;
         /*if(lvl > CGAL_REFINE_Y) {
             event.refine_to(arcno, pixel_h_r/(lvl*2));
-            y_seed = (event.lower_boundary(arcno) + 
+            y_seed = (event.lower_boundary(arcno) +
                 event.upper_boundary(arcno))/2;
         }*/
         if(res.level >= MAX_SUBDIVISION_LEVEL) {
@@ -2555,7 +2555,7 @@ bool get_isolating_box(const Rational& x
         if(res.sub_y < 0)
             res.sub_y = 0;
         res.sub_y &= (lvl-1);
-    } 
+    }
     return true;
 }
 
@@ -2590,38 +2590,38 @@ void dump_neighbourhood(const Pixel_2& p
     get_boundaries(CGAL_Y_RANGE,pix,box[0]);
     NT bottom = box[1].key[0], top = box[1].key[1],
         left = box[0].key[0], right = box[0].key[1];
-    
+
     Gfx_OUT("\n\nComputing nighbourhood for pixel: " << pix << std::endl);
     get_polynomials(CGAL_X_RANGE, box[1]);
     get_polynomials(CGAL_Y_RANGE, box[0]);
     NT a,b,range,inc,val;
     ///////////////////////////////////////////////////////////////////////
     Gfx_OUT("\nevaluate RIGHT side:" << std::endl);
-    range = top - bottom; 
+    range = top - bottom;
     inc = range / 3;
     val = bottom;
-    
+
     if(get_range_1(CGAL_Y_RANGE, bottom, top, right, box[0].poly[1]))
         Gfx_OUT("segment RIGHT registered" << std::endl);
     if(get_range_1(CGAL_Y_RANGE, val, val + inc, right, box[0].poly[1]))
         Gfx_OUT("segment 0 registered" << std::endl);
-    
+
     a = engine.evaluate_generic(CGAL_Y_RANGE, val, right, box[0].poly[1]);
     Gfx_OUT("val = " << a << std::endl);
     val += inc;
-    
+
     b = engine.evaluate_generic(CGAL_Y_RANGE, val, right, box[0].poly[1]);
     Gfx_OUT("val = " << b << std::endl);
-    if(a*b < 0) 
+    if(a*b < 0)
         Gfx_OUT("sign change at segment 0" << std::endl);
     a = b;
     if(get_range_1(CGAL_Y_RANGE, val, val + inc, right, box[0].poly[1]))
         Gfx_OUT("segment 1 registered" << std::endl);
     val += inc;
     b = engine.evaluate_generic(CGAL_Y_RANGE, val, right, box[0].poly[1]);
-    
+
     Gfx_OUT("val = " << b << std::endl);
-    if(a*b < 0) 
+    if(a*b < 0)
         Gfx_OUT("sign change at segment 1" << std::endl);
     if(get_range_1(CGAL_Y_RANGE, val, val + inc, right, box[0].poly[1]))
         Gfx_OUT("segment 2 registered" << std::endl);
@@ -2630,15 +2630,15 @@ void dump_neighbourhood(const Pixel_2& p
 
     Gfx_OUT("poly right: " << box[0].poly[1] << " at (" << val << "; " <<
         right << ")\n");
-    
+
     b = engine.evaluate_generic(CGAL_Y_RANGE, val, right, box[0].poly[1]);
-    
+
     Gfx_OUT("val = " << b << std::endl);
-    if(a*b < 0) 
+    if(a*b < 0)
         Gfx_OUT("sign change at segment 2" << std::endl);
-    ///////////////////////////////////////////////////////////////////////    
+    ///////////////////////////////////////////////////////////////////////
     Gfx_OUT("\nevaluate BOTTOM side:" << std::endl);
-    range = right - left; 
+    range = right - left;
     inc = range / 3;
     val = left;
     if(get_range_1(CGAL_X_RANGE, left, right, bottom, box[1].poly[0]))
@@ -2648,37 +2648,37 @@ void dump_neighbourhood(const Pixel_2& p
 
     Gfx_OUT("poly bottom: " << box[1].poly[0] << " at (" << val << "; " <<
         bottom << ")\n");
-        
+
     a = engine.evaluate_generic(CGAL_X_RANGE, val, bottom, box[1].poly[0]);
-    
+
     Gfx_OUT("val = " << a << std::endl);
     val += inc;
     b = engine.evaluate_generic(CGAL_X_RANGE, val, bottom, box[1].poly[0]);
-    
+
     Gfx_OUT("val = " << b << std::endl);
-    if(a*b < 0) 
+    if(a*b < 0)
         Gfx_OUT("sign change at segment 0" << std::endl);
     a = b;
     if(get_range_1(CGAL_X_RANGE, val, val + inc, bottom, box[1].poly[0]))
         Gfx_OUT("segment 1 registered" << std::endl);
     val += inc;
     b = engine.evaluate_generic(CGAL_X_RANGE, val, bottom, box[1].poly[0]);
-    
+
     Gfx_OUT("val = " << b << std::endl);
-    if(a*b < 0) 
+    if(a*b < 0)
         Gfx_OUT("sign change at segment 1" << std::endl);
     a = b;
     if(get_range_1(CGAL_X_RANGE, val, val + inc, bottom, box[1].poly[0]))
         Gfx_OUT("segment 2 registered" << std::endl);
     val = right;
     b = engine.evaluate_generic(CGAL_X_RANGE, val, bottom, box[1].poly[0]);
-    
+
     Gfx_OUT("val = " << b << std::endl);
-    if(a*b < 0) 
+    if(a*b < 0)
         Gfx_OUT("sign change at segment 2" << std::endl);
-    ///////////////////////////////////////////////////////////////////////    
+    ///////////////////////////////////////////////////////////////////////
     Gfx_OUT("\nevaluate LEFT side:" << std::endl);
-    range = top - bottom; 
+    range = top - bottom;
     inc = range / 3;
     val = bottom;
     if(get_range_1(CGAL_Y_RANGE, bottom, top, left, box[0].poly[0]))
@@ -2689,62 +2689,62 @@ void dump_neighbourhood(const Pixel_2& p
     Gfx_OUT("poly left: " << box[0].poly[0] << " at (" << val << "; " <<
         left << ")\n");
     a = engine.evaluate_generic(CGAL_Y_RANGE, val, left, box[0].poly[0]);
-        
+
     Gfx_OUT("val = " << a << std::endl);
     val += inc;
     b = engine.evaluate_generic(CGAL_Y_RANGE, val, left, box[0].poly[0]);
-    
+
     Gfx_OUT("val = " << b << std::endl);
-    if(a*b < 0) 
+    if(a*b < 0)
         Gfx_OUT("sign change at segment 0" << std::endl);
     a = b;
     if(get_range_1(CGAL_Y_RANGE, val, val + inc, left, box[0].poly[0]))
         Gfx_OUT("segment 1 registered" << std::endl);
     val += inc;
     b = engine.evaluate_generic(CGAL_Y_RANGE, val, left, box[0].poly[0]);
-    
+
     Gfx_OUT("val = " << b << std::endl);
-    if(a*b < 0) 
+    if(a*b < 0)
         Gfx_OUT("sign change at segment 1" << std::endl);
     a = b;
     if(get_range_1(CGAL_Y_RANGE, val, val + inc, left, box[0].poly[0]))
         Gfx_OUT("segment 2 registered" << std::endl);
     val = top;
     b = engine.evaluate_generic(CGAL_Y_RANGE, val, left, box[0].poly[0]);
-    
+
     Gfx_OUT("val = " << b << std::endl);
-    if(a*b < 0) 
+    if(a*b < 0)
         Gfx_OUT("sign change at segment 2" << std::endl);
-    ///////////////////////////////////////////////////////////////////////    
+    ///////////////////////////////////////////////////////////////////////
     Gfx_OUT("\nevaluate TOP side:" << std::endl);
-    range = right - left; 
+    range = right - left;
     inc = range / 3;
     val = left;
     if(get_range_1(CGAL_X_RANGE, left, right, top, box[1].poly[1]))
         Gfx_OUT("segment TOP registered" << std::endl);
-        
+
     if(get_range_1(CGAL_X_RANGE, val, val + inc, top, box[1].poly[1]))
         Gfx_OUT("segment 0 registered" << std::endl);
     a = engine.evaluate_generic(CGAL_X_RANGE, val, top, box[1].poly[1]);
-    
+
     Gfx_OUT("val = " << a << std::endl);
     val += inc;
     b = engine.evaluate_generic(CGAL_X_RANGE, val, top, box[1].poly[1]);
-    
+
     Gfx_OUT("val = " << b << std::endl);
-    if(a*b < 0) 
+    if(a*b < 0)
         Gfx_OUT("sign change at segment 0" << std::endl);
     a = b;
     if(get_range_1(CGAL_X_RANGE, val, val + inc, top, box[1].poly[1]))
         Gfx_OUT("segment 1 registered" << std::endl);
     val += inc;
     b = engine.evaluate_generic(CGAL_X_RANGE, val, top, box[1].poly[1]);
-    
+
     Gfx_OUT("val = " << b << std::endl);
-    if(a*b < 0) 
+    if(a*b < 0)
         Gfx_OUT("sign change at segment 1" << std::endl);
     a = b;
-    
+
     if(get_range_1(CGAL_X_RANGE, val, val + inc, top, box[1].poly[1]))
         Gfx_OUT("segment 2 registered" << std::endl);
 
@@ -2753,14 +2753,14 @@ void dump_neighbourhood(const Pixel_2& p
     Gfx_OUT("poly top: " << box[1].poly[1] << " at (" << val << "; " <<
         top << ")\n");
     b = engine.evaluate_generic(CGAL_X_RANGE, val, top, box[1].poly[1]);
-    
+
     Gfx_OUT("val = " << b << std::endl);
-    if(a*b < 0) 
+    if(a*b < 0)
         Gfx_OUT("sign change at segment 2" << std::endl);
 #endif // Gfx_USE_OUT
 }
 
-//!@} 
+//!@}
 }; // class Curve_renderer_2<>
 
 //!@}
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_internals.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_internals.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_internals.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_internals.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_internals.h $
-// $Id: Curve_renderer_internals.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_internals.h $
+// $Id: Curve_renderer_internals.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Pavel Emeliyanenko <asm@mpi-sb.mpg.de>
@@ -14,10 +14,10 @@
 /*!\file CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_internals.h
  * \brief
  * contains various low-level routines used by \c Curve_renderer_2 and
- * \c Subdivision_1 
+ * \c Subdivision_1
  *
  * provide caching for polynomials and polynomial evaluations; 1D range
- * analysis using First Quadratic Affine Form (QF) and Modified Affine 
+ * analysis using First Quadratic Affine Form (QF) and Modified Affine
  * Arithmetic (MAA), both equipped with recursive derivative information
  */
 
@@ -53,12 +53,12 @@ namespace internal {
 
 // defines subdivision level beyond which univariate polynomials are not
 // cached (if 0 cache is off)
-#define CGAL_MAX_POLY_CACHE_LEVEL   8 
+#define CGAL_MAX_POLY_CACHE_LEVEL   8
 
 // maximal number of entries in univariate polynomial cache containers
 #define CGAL_POLY_CACHE_SIZE 1024*1024
 
-// maximal degree of the derivative taken into account during recursive 
+// maximal degree of the derivative taken into account during recursive
 // derivative range analysis
 #define CGAL_RECURSIVE_DER_MAX_DEGREE  7
 
@@ -79,7 +79,7 @@ template <class Integer>
 struct Pixel_2_
 {
     int x, y;             // pixel coordinates relative to the drawing area
-    unsigned level;       // subdivision level: 0 - for pixels, 
+    unsigned level;       // subdivision level: 0 - for pixels,
                           // 1 - for 1/2 pixels, and so on)
 #ifdef CGAL_CKVA_RENDER_WITH_REFINEMENT
     double xv, yv; // double approximation of curve-pixel intersection point
@@ -87,7 +87,7 @@ struct Pixel_2_
 
     Integer sub_x, sub_y; // subpixel coordinates relative to pixel's boundary
                           // (always 0 for pixels)
-        
+
     Pixel_2_& operator =(const Pixel_2_& pix) {
 #ifdef CGAL_CKVA_RENDER_WITH_REFINEMENT
         memcpy(this, &pix, sizeof(int)*3 + sizeof(double)*2);
@@ -116,7 +116,7 @@ struct Seed_point_
 
     Seed_point_(const Pixel_2_<Integer>& start_, int dir_,
             int taken_, bool coincide_) : start(start_),
-        back_dir(dir_), direction_taken(taken_), 
+        back_dir(dir_), direction_taken(taken_),
         branches_coincide(coincide_)
     { }
 
@@ -131,22 +131,22 @@ struct Clip_point_ // describes a bottom
 {
     Clip_point_() { }
     Clip_point_(Rational left_, Rational right_, int arcno_=-1) :
-        left(left_), right(right_), arcno(arcno_) { } 
+        left(left_), right(right_), arcno(arcno_) { }
     Rational left, right;       // isolating interval boundaries
     int arcno;          // arcno of a segment this point belongs to
     AlgebraicReal alpha;   // this clip point event line
 };
 
 template <class Integer>
-std::ostream& operator <<(std::ostream& os, const Pixel_2_<Integer>& pix) 
+std::ostream& operator <<(std::ostream& os, const Pixel_2_<Integer>& pix)
 {
-    os << " (" << pix.x << "/" << pix.sub_x << "; " << pix.y << "/" << 
+    os << " (" << pix.x << "/" << pix.sub_x << "; " << pix.y << "/" <<
         pix.sub_y << ") level = " << pix.level;
     return os;
 }
 
 /*! \brief defines class \c Curve_renderer_internals
- *  
+ *
  * provides an interface to low-level range analysis and polynomials evaluation
  * methods along with caching mechanism. \c Coeff_ defines internal polynomial
  * coefficients used by the renderer.
@@ -156,9 +156,9 @@ template <class CurveKernel_2, class Coe
 class Curve_renderer_internals
 {
 public:
-    //! \name typedefs 
+    //! \name typedefs
     //!@{
-    
+
     //! this instance's first template argument
     typedef CurveKernel_2 Curve_kernel_2;
 
@@ -189,20 +189,20 @@ public:
 
     //! coercion between rational and polynomial coefficients number type
     typedef typename Coercion::Type Rat_coercion_type;
-    
+
     //! base number type for all internal computations
     typedef typename Renderer_traits::Float NT;
-    
+
     //! instance of a univariate polynomial
     typedef CGAL::Polynomial<Coeff> Poly_1;
     //! instance of a bivariate polynomial
     typedef CGAL::Polynomial<Poly_1> Poly_2;
     //! container's const iterator (random access)
-    typedef typename Poly_1::const_iterator const_iterator_1; 
+    typedef typename Poly_1::const_iterator const_iterator_1;
     //! container's const iterator (random access)
-    typedef typename Poly_2::const_iterator const_iterator_2; 
-    
-    //! a univariate rational polynomial    
+    typedef typename Poly_2::const_iterator const_iterator_2;
+
+    //! a univariate rational polynomial
     typedef CGAL::Polynomial<Rat_coercion_type> Rational_poly_1;
     //! a bivariate rational polynomial
     typedef CGAL::Polynomial<Rational_poly_1> Rational_poly_2;
@@ -219,7 +219,7 @@ public:
 private:
     //!\name private typedefs
     //!@{
-        
+
     //! container to store derivative coefficients
     typedef std::vector<NT> Derivative_1;
     //! instance of polynomial derivatives type
@@ -228,10 +228,10 @@ private:
     typedef typename Derivative_2::const_iterator der_iterator_2;
     //! const_iterator_1 for polynomial derivatives
     typedef typename std::vector<NT>::const_iterator der_iterator_1;
-    
+
     //! hashed container element's type for univariate polynomials
     typedef std::pair<NT, Poly_1> Poly_entry;
-    
+
     //! hash function to cache univariate polynomials
 //     struct hash_func_poly {
 //         typename Renderer_traits::Hash_function hash;
@@ -239,7 +239,7 @@ private:
 //             return hash(key);
 //         }
 //     };
-//     
+//
     //! hash function to cache function evaluations
 //     struct hash_func_eval {
 //         typename Renderer_traits::Hash_function hash;
@@ -248,7 +248,7 @@ private:
 //             return (h1 - h2);
 //         }
 //     };
-       
+
     //! hashed map container with LRU capabilities used to store precomputed
     //! univariate polynomials at fixed x or y coordinates
 //     typedef boost::multi_index::multi_index_container<
@@ -257,9 +257,9 @@ private:
 //             boost::multi_index::sequenced<>,
 //             boost::multi_index::hashed_unique<
 //                 BOOST_MULTI_INDEX_MEMBER(Poly_entry, NT, first),
-//                 hash_func_poly > > > 
+//                 hash_func_poly > > >
 //     Poly_cache;
-    
+
     //! hashed map used to store precomputed polynomial evaluations
 //     typedef boost::multi_index::multi_index_container<
 //         Eval_entry,
@@ -267,32 +267,32 @@ private:
 //             boost::multi_index::sequenced<>,
 //             boost::multi_index::hashed_unique<
 //                 BOOST_MULTI_INDEX_MEMBER(Eval_entry, Eval_hash_key, first),
-//                 hash_func_eval > > > 
+//                 hash_func_eval > > >
 //     Eval_cache;
-    
+
     //!@}
 public:
     //!\name public interface
     //!@{
-    
+
     //! default constructor
     Curve_renderer_internals() : window(0.0, 0.0, 0.0, 0.0), res_w(0),
          res_h(0) {
     }
-         
+
     //! \brief checks whether interval contains zero
     inline bool is_zero(const NT& low, const NT& up)
     {
         return (low*up < 0); //(low < 0&&up > 0);
     }
-    
+
     //! \brief evalutates a certain polynomial derivative at x
     //!
-    //! \c der_coeffs is a set of derivative coefficients, 
+    //! \c der_coeffs is a set of derivative coefficients,
     //! \c poly - polynomial coefficients
     NT evaluate_der(const CGAL::Polynomial<NT>& der_coeffs, const Poly_1& poly,
         const NT& x)
-    {   
+    {
         typename Renderer_traits::Extract_eval extract;
         const_iterator_1 poly_it = poly.end() - 1;
         der_iterator_1 der_it = der_coeffs.end() - 1;
@@ -302,16 +302,16 @@ public:
         }
         return y;
     }
-    
+
     //! \brief the same as \c evaluate but arguments are passed by value
     //! (needed to substitute variables in bivariate polynomial)
     inline static NT binded_eval(Poly_1 poly, NT x)
     {
         return evaluate(poly, x);
     }
-    
+
     //! \brief evalutates a polynomial at certain x-coordinate
-    static NT evaluate(const Poly_1& poly, const NT& x, 
+    static NT evaluate(const Poly_1& poly, const NT& x,
         bool *error_bounds_ = nullptr)
     {
         typename Renderer_traits::Extract_eval extract;
@@ -326,7 +326,7 @@ public:
         // const_iterator_1 beg = poly.begin()+odd;
         Coeff y1 = *it1, y2 = *it2, mul = cc, y;
         // unrolled loop for better instruction pairing
-        while(m-- > odd) { 
+        while(m-- > odd) {
             it1--; it2--;
             y1 = y1*cc + (*it1);
             y2 = y2*cc + (*it2);
@@ -355,59 +355,59 @@ public:
             r = r * yc + rit->evaluate(x);
         return r;
     }
-    
-    //! destructor    
+
+    //! destructor
     ~Curve_renderer_internals()
     {
         clear_caches();
     }
-    
-    //!@}    
+
+    //!@}
 public:
     //!\name public data (can be accessed from hosting curve renderer)
     //!@{
-    
-    CGAL::Bbox_2 window;            //! drawing window 
-    NT x_min, x_max, y_min, y_max;  
+
+    CGAL::Bbox_2 window;            //! drawing window
+    NT x_min, x_max, y_min, y_max;
     NT pixel_w, pixel_h;            //! pixel dimensions w.r.t. resolution
-      
+
     Rational x_min_r, y_min_r, x_max_r, y_max_r; //! rational versions
-    Rational pixel_w_r, pixel_h_r; 
-    
+    Rational pixel_w_r, pixel_h_r;
+
     int res_w, res_h; //! pixel resolution
-    
+
     Poly_2 *coeffs_x, *coeffs_y; //! f(x(y)) / f(y(x))
     Derivative_2 *der_x, *der_y;  //! derivative coefficients df/dx (df/dy)
-    
+
     //! caches of precomputed univariate polynomials in x and y directions
     //Poly_cache *cached_x, *cached_y;
-        
+
     Rational_poly_2 *rational_x, *rational_y;   //! poly with rational coeffs
-    
+
     Rational_poly_2 *rational_fx, *rational_fy; //! partial derivatives
-    
-    //! 0 - the 1st (2nd) derivative does not have zero over an 
+
+    //! 0 - the 1st (2nd) derivative does not have zero over an
     //! interval; 1 - does have 0; -1 - not computed
-    int first_der, second_der;  
-    bool sign_change;  //! detected a sign change over interval    
-    
-    bool zero_bounds;  //! indicates that the result of the last range 
+    int first_der, second_der;
+    bool sign_change;  //! detected a sign change over interval
+
+    bool zero_bounds;  //! indicates that the result of the last range
                        //! evaluation has at least one zero boundary
-                       
+
    // static bool show_dump;    //! for debugging
-                       
+
     //!@}
 private:
     //!\name private members for caching support
     //!@{
-        
+
     //! data structures grouped into arrays to facilitate caching
     Poly_2 coeffs_x_[CGAL_N_CACHES], coeffs_y_[CGAL_N_CACHES];
     Derivative_2 der_x_[CGAL_N_CACHES], der_y_[CGAL_N_CACHES];
     //Poly_cache cached_x_[CGAL_N_CACHES], cached_y_[CGAL_N_CACHES];
     Rational_poly_2 rational_x_[CGAL_N_CACHES], rational_y_[CGAL_N_CACHES];
     Rational_poly_2 rational_fx_[CGAL_N_CACHES], rational_fy_[CGAL_N_CACHES];
-        
+
     //!@}
 public:
     //! \name public methods
@@ -419,103 +419,103 @@ public:
 //! sets up drawing window and pixel resolution
 //!
 //! returns \c false if parameters are incorrect
-bool setup(const CGAL::Bbox_2& box_, int res_w_, int res_h_) 
-{ 
+bool setup(const CGAL::Bbox_2& box_, int res_w_, int res_h_)
+{
     window = box_;
     x_min = static_cast<NT>(box_.xmin());
     y_min = static_cast<NT>(box_.ymin());
     x_max = static_cast<NT>(box_.xmax());
     y_max = static_cast<NT>(box_.ymax());
 
-    res_w = res_w_; 
+    res_w = res_w_;
     res_h = res_h_;
-    
+
     if (x_min >= x_max) {
       std::cerr << "Incorrect setup parameters: "
-                << "x_min = " << x_min << " >= " << x_max << " = x_max" 
+                << "x_min = " << x_min << " >= " << x_max << " = x_max"
                 << std::endl;
       return false;
     }
     if (y_min >= y_max) {
       std::cerr << "Incorrect setup parameters: "
-                << "y_min = " << y_min << " >= " << y_max << " = y_max" 
+                << "y_min = " << y_min << " >= " << y_max << " = y_max"
                 << std::endl;
       return false;
     }
     if (res_w < 4) {
       std::cerr << "Incorrect setup parameters: "
-                << "res_w = " << res_w << " < 4" 
+                << "res_w = " << res_w << " < 4"
                 << std::endl;
       return false;
     }
     if (res_h < 4) {
       std::cerr << "Incorrect setup parameters: "
-                << "res_h = " << res_h << " < 4" 
+                << "res_h = " << res_h << " < 4"
                 << std::endl;
       return false;
     }
      if (res_w > 2048) {
       std::cerr << "Incorrect setup parameters: "
-                << "res_w = " << res_w << " > 2048" 
+                << "res_w = " << res_w << " > 2048"
                 << std::endl;
       return false;
     }
     if (res_h > 2048) {
       std::cerr << "Incorrect setup parameters: "
-                << "res_h = " << res_h << " > 2048" 
+                << "res_h = " << res_h << " > 2048"
                 << std::endl;
       return false;
     }
-    
+
     pixel_w = (x_max - x_min) / res_w;
     pixel_h = (y_max - y_min) / res_h;
 
     //srand(time(nullptr));
     // from 0.1 to 0.5
     double rmin = 0.1, rmax = 0.5;
-    NT sx = pixel_w * static_cast<NT>(rmin + 
+    NT sx = pixel_w * static_cast<NT>(rmin +
             (static_cast<double>(rand()) / RAND_MAX) * (rmax - rmin));
-    NT sy = pixel_h * static_cast<NT>(rmin + 
+    NT sy = pixel_h * static_cast<NT>(rmin +
             (static_cast<double>(rand()) / RAND_MAX) * (rmax - rmin));
 
-    Gfx_OUT("---------------------- sx: " << (sx / pixel_w) << "; sy: " << 
+    Gfx_OUT("---------------------- sx: " << (sx / pixel_w) << "; sy: " <<
         (sy / pixel_h) << "\n");
-    x_min += sx, x_max += sx, y_min += sy, y_max += sy;   
+    x_min += sx, x_max += sx, y_min += sy, y_max += sy;
 
     x_min_r = Rational(x_min), y_min_r = Rational(y_min);
     x_max_r = Rational(x_max), y_max_r = Rational(y_max);
-        
+
     pixel_w_r = (x_max_r - x_min_r) / res_w;
     pixel_h_r = (y_max_r - y_min_r) / res_h;
-        
+
     pixel_w = rat2float(pixel_w_r);
     pixel_h = rat2float(pixel_h_r);
     make_exact(pixel_w);
     make_exact(pixel_h);
-    
+
     //show_dump = false;
     return true;
-}   
+}
 
 //! \brief computes a range of polynomial values \c f([lower,upper]) using
 //! the First Affine Form (AF1) with Recursive Derivative information
-bool get_range_AF1_1(int var, 
+bool get_range_AF1_1(int var,
     const NT& l_, const NT& r_, const NT& key, const Poly_1& poly, int check)
 {
     Derivative_2 *der = (var == CGAL_X_RANGE ? der_x : der_y);
     NT l(l_), r(r_), l1, r1, low, up;
     NT v1, v2;
     int eval1, eval2;
-    der_iterator_2 der_it_2 = der->end()-1; 
+    der_iterator_2 der_it_2 = der->end()-1;
     der_iterator_1 der_it, der_begin;
     const_iterator_1 cache_it, begin;
-        
+
     first_der = false, sign_change = false;
     if(poly.degree() == 0) {
         zero_bounds = false;
         return (poly.lcoeff() == NT(0.0));
     }
-    
+
     if(l_ == r_) {
         zero_bounds = false;
         return false;
@@ -524,7 +524,7 @@ bool get_range_AF1_1(int var,
         l = r_;
         r = l_;
     }
-    
+
     eval1 = evaluate_generic(var, l, key, poly);
     eval2 = evaluate_generic(var, r, key, poly);
     bool sign_change = (eval1*eval2 < 0);
@@ -539,9 +539,9 @@ bool get_range_AF1_1(int var,
         l1 = y_min + l*pixel_h;
         r1 = y_min + r*pixel_h;
     }
-    
+
     typename Renderer_traits::Extract_eval extract;
-    unsigned index = CGAL_RECURSIVE_DER_MAX_DEGREE; 
+    unsigned index = CGAL_RECURSIVE_DER_MAX_DEGREE;
     if(index >= der->size()) {
         low = up = extract(poly.lcoeff()) * (*der_it_2).lcoeff();
     } else {
@@ -549,19 +549,19 @@ bool get_range_AF1_1(int var,
         low = 1;
         up = -1;
     }
-    
-    NT x0 = (l1 + r1)/2, x1 = (r1 - l1)/2; 
+
+    NT x0 = (l1 + r1)/2, x1 = (r1 - l1)/2;
     make_exact(x0);
     make_exact(x1);
     NT x0_abs = CGAL_ABS(x0), x1_abs = CGAL_ABS(x1);
 
     while((der_it_2--) != der->begin()) {
         // iterate through derivative coefficients
-        der_it = der_it_2->end() - 1; 
+        der_it = der_it_2->end() - 1;
         der_begin = der_it_2->begin();
         cache_it = poly.end() - 1; // iterate through precomputed y-values
-        // if a derivative does not straddle zero we can 
-        // calculate the exact boundaries for f(x)      
+        // if a derivative does not straddle zero we can
+        // calculate the exact boundaries for f(x)
         if(low * up >= 0) {
             v1 = v2 = extract(*cache_it--) * (*der_it);
             // calculate the ith derivative at xa and xb
@@ -570,14 +570,14 @@ bool get_range_AF1_1(int var,
                 v1 = v1 * l1 + cc1;
                 v2 = v2 * r1 + cc1;
             }
-            low = v1, up = v2;  
+            low = v1, up = v2;
         } else { // use affine arithmetic to compute bounds
 
             NT y0 = extract(*cache_it) * (*der_it), y1(0), e1(0);
             cache_it--;
             while((der_it--)!=der_begin) {
                 e1 = x0_abs*e1 + x1_abs*(CGAL_ABS(y1) + CGAL_ABS(e1));
-                y1 = y1*x0 + x1*y0; 
+                y1 = y1*x0 + x1*y0;
                 y0 = x0*y0 + extract(*cache_it) * (*der_it);
                 cache_it--;
             }
@@ -587,44 +587,44 @@ bool get_range_AF1_1(int var,
         if(der_it_2 == der->begin() && check == 3) {
             first_der = //(eval1*eval2 < 0);
                     is_zero(low, up);
-            if(sign_change||zero_bounds) 
+            if(sign_change||zero_bounds)
                 return true;
         }
     }
     if(low * up < 0) {
         cache_it = poly.end()-1;
         begin = poly.begin();
-        
+
         NT y0 = extract(*cache_it), y1(0), e1(0);
         while((cache_it--) != begin) {
             e1 = x0_abs*e1 + x1_abs*(CGAL_ABS(y1) + CGAL_ABS(e1));
-            y1 = y1*x0 + x1*y0; 
+            y1 = y1*x0 + x1*y0;
             y0 = x0*y0 + extract(*cache_it);
         }
 
         NT spread = CGAL_ABS(y1) + CGAL_ABS(e1);
         low = y0 - spread, up = y0 + spread;
-        
+
         eval1 = CGAL_SGN(low), eval2 = CGAL_SGN(up);
     }
     zero_bounds = ((eval1 & eval2) == 0);
     if(eval1 * eval2 < 0) {
         //std::cerr << "eval1 = " << low << "; eval2 = " << up << std::endl;
         return true;
-    } 
+    }
     return false;
 }
 
 //! \brief evaluates a univariate polynomial over an interval using
 //! First Quadratic Affine Form
-bool get_range_QF_1(int var, const NT& l_, const NT& r_, const NT& key, 
+bool get_range_QF_1(int var, const NT& l_, const NT& r_, const NT& key,
     const Poly_1& poly, int check = 1)
 {
     Derivative_2 *der = (var == CGAL_X_RANGE ? der_x : der_y);
     NT l(l_), r(r_), l1, r1, low, up;
     NT v1, v2;
     int eval1, eval2;
-    der_iterator_2 der_it_2 = der->end()-1; 
+    der_iterator_2 der_it_2 = der->end()-1;
     der_iterator_1 der_it, der_begin;
     const_iterator_1 cache_it, begin;
 
@@ -641,15 +641,15 @@ bool get_range_QF_1(int var, const NT& l
         l = r_;
         r = l_;
     }
-    
+
     eval1 = evaluate_generic(var, l, key, poly);
     eval2 = evaluate_generic(var, r, key, poly);
     sign_change = (eval1*eval2 < 0);
-    
+
     zero_bounds = ((eval1 & eval2) == 0);
     if((sign_change || zero_bounds) && check==1)
         return true;
-        
+
     if(var == CGAL_X_RANGE) {
         l1 = x_min + l*pixel_w;
         r1 = x_min + r*pixel_w;
@@ -657,7 +657,7 @@ bool get_range_QF_1(int var, const NT& l
         l1 = y_min + l*pixel_h;
         r1 = y_min + r*pixel_h;
     }
-    
+
     typename Renderer_traits::Extract_eval extract;
     unsigned index = CGAL_RECURSIVE_DER_MAX_DEGREE;
     if(index >= der->size()) {
@@ -667,8 +667,8 @@ bool get_range_QF_1(int var, const NT& l
         low = 1;
         up = -1;
     }
-    
-    NT x0 = (l1 + r1)/2, x1 = (r1 - l1)/2; 
+
+    NT x0 = (l1 + r1)/2, x1 = (r1 - l1)/2;
     make_exact(x0);
     make_exact(x1);
     NT x0_abs = CGAL_ABS(x0), xsum_abs = CGAL_ABS(x1) + x0_abs;
@@ -676,10 +676,10 @@ bool get_range_QF_1(int var, const NT& l
     while((der_it_2--)!=der->begin()) {
 
         // iterate through derivative coefficients
-        der_it = (*der_it_2).end()-1; 
+        der_it = (*der_it_2).end()-1;
         der_begin = (*der_it_2).begin();
         cache_it = poly.end()-1; // iterate through precomputed y-values
-        
+
         // if a derivative does not straddle zero we can obtain exact bounds
         // by evaluating a polynomial at end-points
         if(low * up >= 0) {
@@ -690,8 +690,8 @@ bool get_range_QF_1(int var, const NT& l
                 v1 = v1 * l1 + cc1;
                 v2 = v2 * r1 + cc1;
             }
-            low = v1; 
-            up = v2;  
+            low = v1;
+            up = v2;
         } else { // use Quadratic Form to compute the bounds
 
             NT y0 = extract(*cache_it) * (*der_it), y1(0), z1(0), e1(0);
@@ -699,7 +699,7 @@ bool get_range_QF_1(int var, const NT& l
             while((der_it--)!=der_begin) {
                 e1 = xsum_abs * e1 + CGAL_ABS(x1 * z1);
                 z1 = x0*z1 + x1*y1;
-                y1 = y1*x0 + x1*y0; 
+                y1 = y1*x0 + x1*y0;
                 y0 = x0*y0 + extract(*cache_it)*(*der_it);
                 cache_it--;
             }
@@ -713,15 +713,15 @@ bool get_range_QF_1(int var, const NT& l
             low = y0 - low;
             up = y0 + up;
         }
-        
+
         if(der_it_2 == der->begin() && check==3) {
             first_der = //(eval1*eval2 < 0);//
                     is_zero(low, up);
-            if(sign_change||zero_bounds) 
+            if(sign_change||zero_bounds)
                 return true;
         }
     }
-    
+
     if(low * up < 0) {
         cache_it = poly.end()-1;
         begin = poly.begin();
@@ -729,7 +729,7 @@ bool get_range_QF_1(int var, const NT& l
         while((cache_it--) != begin) {
             e1 = xsum_abs * e1 + CGAL_ABS(x1*z1);
             z1 = x0*z1 + x1*y1;
-            y1 = y1*x0 + x1*y0; 
+            y1 = y1*x0 + x1*y0;
             y0 = x0*y0 + extract(*cache_it);
         }
         NT spread = CGAL_ABS(y1) + e1;
@@ -751,8 +751,8 @@ bool get_range_QF_1(int var, const NT& l
 }
 
 //! \brief evaluates a univariate polynomial over an interval using
-//! Modified Affine Arithmetic 
-bool get_range_MAA_1(int var, const NT& l_, const NT& r_, const NT& key, 
+//! Modified Affine Arithmetic
+bool get_range_MAA_1(int var, const NT& l_, const NT& r_, const NT& key,
     const Poly_1& poly, int check = 1)
 {
     Derivative_2 *der = (var == CGAL_X_RANGE) ? der_x : der_y;
@@ -779,13 +779,13 @@ bool get_range_MAA_1(int var, const NT&
     }
     eval1 = evaluate_generic(var, l, key, poly);
     eval2 = evaluate_generic(var, r, key, poly);
-    
+
     sign_change = (eval1*eval2 < 0);
     zero_bounds = ((eval1&eval2) == 0);
-    
+
     if((sign_change || zero_bounds) && check == 1)
         return true;
-    
+
     if(var == CGAL_X_RANGE) {
         l1 = x_min + l*pixel_w;
         r1 = x_min + r*pixel_w;
@@ -796,10 +796,10 @@ bool get_range_MAA_1(int var, const NT&
     NT x0 = (l1 + r1)/2, x1 = (r1 - l1)/2;
     make_exact(x0);
     make_exact(x1);
-    
+
     int d = 0;
     v1 = evaluate(poly, x0);
-    //der_cache[d] = v1; 
+    //der_cache[d] = v1;
     der_cache.push_back(v1);
     v = x1, d++;
     der_iterator_2 der_it_2;
@@ -807,10 +807,10 @@ bool get_range_MAA_1(int var, const NT&
         v1 = evaluate_der((*der_it_2), poly, x0);
         der_cache.push_back(v1);
         //der_cache[d] = v1; // replace by push_backs ?
-        //binom[d] = v; 
+        //binom[d] = v;
         binom.push_back(v);
         d++;
-        //v *= x1/d; 
+        //v *= x1/d;
         //make_exact(v);
         v *= x1; // ONLY when derivative coefficients are normalized
     }
@@ -824,7 +824,7 @@ bool get_range_MAA_1(int var, const NT&
         low = 1;
         up = -1;
     }
-    // assume we have an array of derivatives: 
+    // assume we have an array of derivatives:
     // der_cache: {f^(0); f^(1); f^(2); ...}
     // and binominal coefficients: [h; h^2/2; h^3/6; ... h^d/d!]
     der_iterator_1 eval_it = der_cache.end()-1, local_it, binom_it,
@@ -840,13 +840,13 @@ bool get_range_MAA_1(int var, const NT&
             while((local_it) != eval_end) {// calculate derivative bounds
                 v1 = (*local_it++) * (*binom_it++);
                 if(v1 >= 0) { // derivative index is odd
-                    up += v1; 
-                    low -= v1; 
-                } else {     
-                    up -= v1; 
-                    low += v1; 
+                    up += v1;
+                    low -= v1;
+                } else {
+                    up -= v1;
+                    low += v1;
                 }
-                if(local_it == eval_end) 
+                if(local_it == eval_end)
                     break;
                 // derivative index is even
                 v1 = (*local_it++) * (*binom_it++);
@@ -854,34 +854,34 @@ bool get_range_MAA_1(int var, const NT&
             }
             eval1 = CGAL_SGN(low);
             eval2 = CGAL_SGN(up);
-       
+
         } else if(d > 0) {
             low = evaluate_der((*der_it_2), poly, l1);
             up = evaluate_der((*der_it_2), poly, r1);
             eval1 = CGAL_SGN(low);
             eval2 = CGAL_SGN(up);
-            
+
         } else if(d == 0)
             ;//Gfx_DETAILED_OUT("MAA bounds: sign change\n");
-                        
+
         if(d == 1 && check == 3) {
             first_der = (eval1*eval2 < 0);
-            if(sign_change||zero_bounds) 
+            if(sign_change||zero_bounds)
                 return true;
         } else if(d == 0) {
-            
+
             zero_bounds = ((eval1&eval2) == 0);
             return (eval1*eval2 < 0);
         }
         d--; der_it_2--;
-        if((eval_it--) == der_cache.begin()) 
+        if((eval_it--) == der_cache.begin())
             break;
     }
     return true;
 }
 
 //! \brief fixes one coordinate of a bivariate polynomial, uses caching
-//! if appropriate 
+//! if appropriate
 void get_precached_poly(int var, const NT& key, int /* level */, Poly_1& poly)
 {
     NT key1;
@@ -890,25 +890,25 @@ void get_precached_poly(int var, const N
     //typename boost::multi_index::nth_index_iterator<Poly_cache,1>::type it;
     bool not_cached = true,
             /*(level >= CGAL_MAX_POLY_CACHE_LEVEL)*/ not_found = false;
-    
+
     if(var == CGAL_Y_RANGE) {
-        //cached = cached_y; 
-        coeffs = coeffs_y; 
+        //cached = cached_y;
+        coeffs = coeffs_y;
         key1 = x_min + key*pixel_w;
-    } else 
+    } else
         key1 = y_min + key*pixel_h;
-        
+
 //     if(!not_cached) {
-//         typename boost::multi_index::nth_index<Poly_cache,1>::type& 
+//         typename boost::multi_index::nth_index<Poly_cache,1>::type&
 //             idx = cached->get<1>();
 //         it = idx.find(key1); //*4
 //         not_found = (it == idx.end());
 //     }
-    
+
     if(not_cached||not_found) {
-        poly = Poly_1(::boost::make_transform_iterator(coeffs->begin(), 
+        poly = Poly_1(::boost::make_transform_iterator(coeffs->begin(),
                             boost::bind2nd(std::ptr_fun(binded_eval), key1)),
-                      ::boost::make_transform_iterator(coeffs->end(),   
+                      ::boost::make_transform_iterator(coeffs->end(),
                             boost::bind2nd(std::ptr_fun(binded_eval), key1)));
         if(not_cached)
             return;
@@ -917,19 +917,19 @@ void get_precached_poly(int var, const N
 //             cached->pop_back();
 //         cached->push_front(Poly_entry(key1,poly)); //*4
 //         return;
-    } 
+    }
 //     cached->relocate(cached->begin(), cached->project<0>(it));
 //     poly = (*it).second;
 }
 
-//! \brief computes the sign of univariate polynomial at (x; y). 
+//! \brief computes the sign of univariate polynomial at (x; y).
 //!
 //! if computation with the current precision is not reliable, the sign is
 //! recomputed with modular or exact rational arithmetic
 int evaluate_generic(int var, const NT& c, const NT& key, const Poly_1& poly)
-{   
+{
     NT x = key, y = c, c1;
-    
+
     if(var == CGAL_X_RANGE) {
         x = c;
         y = key;
@@ -941,11 +941,11 @@ int evaluate_generic(int var, const NT&
     int sign;
     NT res = evaluate(poly, c1, &error_bounds_);
 
-    if(error_bounds_) 
+    if(error_bounds_)
         sign = evaluate_rational(var, c, key);
     else
         sign = CGAL_SGN(res);
- 
+
     return sign;
 }
 
@@ -956,12 +956,12 @@ int evaluate_rational(int var, const NT&
     Rational c_r = float2rat(c), key_r = float2rat(key);
     c_r = (var == CGAL_X_RANGE) ? (x_min_r + c_r*pixel_w_r) :
         (y_min_r + c_r*pixel_h_r);
-        
+
     Rational_poly_2 *rat = rational_x;
     if(var == CGAL_Y_RANGE) {
-        rat = rational_y; 
+        rat = rational_y;
         key_r = x_min_r + key_r*pixel_w_r;
-    } else 
+    } else
         key_r = y_min_r + key_r*pixel_h_r;
 
     Rat_coercion_type res = substitute_xy(*rat, key_r, c_r);
@@ -972,7 +972,7 @@ int evaluate_rational(int var, const NT&
 void precompute(const Polynomial_2& in) {
 
     typedef typename Polynomial_traits_2::Innermost_coefficient_type Coeff_src;
-    
+
     Max_coeff<Coeff_src> max_coeff;
     Coeff_src max_c = max_coeff(in);
     /////// magic symbol ////////////
@@ -982,7 +982,7 @@ void precompute(const Polynomial_2& in)
     typedef Reduce_by<Rat_coercion_type, Coeff_src> Reduce_op;
     Transform<Rational_poly_2, Polynomial_2, Reduce_op> transform;
     Reduce_op op(max_c);
-    
+
     typedef CGAL::Polynomial_traits_d<Rational_poly_2> RP_traits;
     *rational_y = transform(in, op); // divides by maximal coefficient
     *rational_x = typename RP_traits::Swap()(*rational_y, 0, 1);
@@ -1001,7 +1001,7 @@ void precompute(const Polynomial_2& in)
 
     int degree_x = coeffs_x->degree(),
         degree_y = coeffs_y->degree();
-/*    cached_x->clear(); 
+/*    cached_x->clear();
     cached_y->clear(); */
     der_x->clear();
     der_y->clear();
@@ -1012,7 +1012,7 @@ void precompute(const Polynomial_2& in)
 
     NT det(1.0);
     for(i = 0; i < degree_x; i++) {
-        if(i != 0) 
+        if(i != 0)
             det = X[0];
         for(j = 1; j <= degree_x - i; j++) {
             // divide by the lowest coefficient ?
@@ -1025,11 +1025,11 @@ void precompute(const Polynomial_2& in)
 
     det = NT(1.0);
     for(i = 0; i < degree_y; i++) {
-        if(i != 0) 
+        if(i != 0)
             det = X[0];
         for(j = 1; j <= degree_y - i; j++) {
             // divide by the lowest coefficient ?
-            X[j - 1] = (i == 0 ? NT(j) : X[j] * NT(j) / det); 
+            X[j - 1] = (i == 0 ? NT(j) : X[j] * NT(j) / det);
             make_exact(X[j-1]);
         }
         der_y->push_back(CGAL::Polynomial<NT>(X.begin(),
@@ -1037,7 +1037,7 @@ void precompute(const Polynomial_2& in)
     }
 }
 
-//! \brief activates the cache entry \c cache_id 
+//! \brief activates the cache entry \c cache_id
 void select_cache_entry(int cache_id)
 {
     coeffs_x = coeffs_x_ + cache_id;
@@ -1048,7 +1048,7 @@ void select_cache_entry(int cache_id)
     rational_fy = rational_fy_ + cache_id;
     der_x = der_x_ + cache_id;
     der_y = der_y_ + cache_id;
-/*    cached_x = cached_x_ + cache_id; 
+/*    cached_x = cached_x_ + cache_id;
     cached_y = cached_y_ + cache_id;*/
 }
 
@@ -1056,7 +1056,7 @@ void select_cache_entry(int cache_id)
 void clear_caches() {
 
     for(unsigned i = 0; i < CGAL_N_CACHES; i++) {
-/*        cached_x_[i].clear(); 
+/*        cached_x_[i].clear();
         cached_y_[i].clear(); */
         der_x_[i].clear();
         der_y_[i].clear();
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_traits.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_traits.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_traits.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_traits.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_traits.h $
-// $Id: Curve_renderer_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_traits.h $
+// $Id: Curve_renderer_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Pavel Emeliyanenko <asm@mpi-sb.mpg.de>
@@ -21,11 +21,11 @@
 /*! \file CGAL/Curved_kernel_via_analysis_2/gfx/Curve_renderer_traits.h
  * \brief
  * defines class Curve_renderer_traits.
- * 
+ *
  * provides specialisations of Curve_renderer_traits for different number
  * types compatible with the curve renderer
 */
- 
+
 namespace CGAL {
 
 // transformation routine
@@ -81,7 +81,7 @@ struct Reduce_by {
     Reduce_by(const Input& denom_) :
         denom(cast(denom_)) {
     }
-    
+
     Result operator()(const Input& x) {
         return (cast(x)/denom);
     }
@@ -128,16 +128,16 @@ struct Transform {
  *
  * this traits class prodives various number type conversions for the
  * curve renderer
- */              
+ */
 
 template <class Coeff_, class Integer_, class Rational_>
-struct Curve_renderer_traits_base 
-{ 
+struct Curve_renderer_traits_base
+{
     //! type of innermost polynomial coefficients
     typedef Coeff_ Coeff;
-    
+
     //! an integer number type
-    typedef Integer_ Integer; 
+    typedef Integer_ Integer;
 
     typedef Rational_ Rational;
 
@@ -147,32 +147,32 @@ struct Curve_renderer_traits_base
         typedef Float result_type;
 
         template <class X, class Y,class ACDE_TAG,class FP_TAG>
-        Float operator()(const Sqrt_extension<X, Y, ACDE_TAG, FP_TAG>& x) const { 
+        Float operator()(const Sqrt_extension<X, Y, ACDE_TAG, FP_TAG>& x) const {
             typename CGAL::Coercion_traits<Sqrt_extension<X, Y, ACDE_TAG, FP_TAG>, Float>::Cast
-                cast;        
-            return cast(x); 
+                cast;
+            return cast(x);
         }
 
-        Float operator()(const Rational& x) const { 
-            return static_cast<Float>(x); 
+        Float operator()(const Rational& x) const {
+            return static_cast<Float>(x);
         }
     };
-   
+
     //! provided for convenience when there exists an implicit coercion
     //! between number types
     template <class To>
     struct Implicit_coercion {
         typedef To result_type;
-        
-        template <class From> 
+
+        template <class From>
         To operator()(const From& x) const {
             return static_cast<To>(x);
         }
     };
-   
+
     struct Float_to_int {
         typedef int result_type;
-        
+
         template <class Float>
         int operator()(const Float& x) const
         { return static_cast<int>(std::floor(CGAL::to_double(x))); }
@@ -187,13 +187,13 @@ struct Curve_renderer_traits_base
      * \c FieldWithSqrt , etc. Provided that there is a type coercion between
      * \c Extended and \c Coeff
      */
-    struct Convert_poly { 
+    struct Convert_poly {
         typedef CGAL::Polynomial<CGAL::Polynomial<Coeff> > result_type;
-        
+
         template <class Extended>
-        inline result_type operator()(const 
+        inline result_type operator()(const
             CGAL::Polynomial<CGAL::Polynomial<Extended> >& poly) const {
-            
+
     //!@todo: use Rat_to_float functor instead of coercion traits ?
     //! need some sort of polymorphism..
 
@@ -206,64 +206,64 @@ struct Curve_renderer_traits_base
             return transform(poly);
         }
     };
-    
+
     //! converts polynomial coefficients to floating-point representation
     //! \c error_bounds is set if the result is not reliable
     struct Extract_eval {
         typedef Coeff argument_type;
         typedef Coeff result_type;
-        
-        Coeff operator()(const Coeff& x, 
-            bool *error_bounds = nullptr) const { 
+
+        Coeff operator()(const Coeff& x,
+            bool *error_bounds = nullptr) const {
             if(error_bounds != nullptr)
                  *error_bounds = false;
             return x;
         }
     };
-    
+
     //! computes a 32-bit hash value from floating-point argument
     struct Hash_function {
         typedef std::size_t result_type;
         struct long_long {
             long low, high;
         };
-        
+
         template <class Float>
         std::size_t operator()(const Float& key) const {
             const long_long *hk = reinterpret_cast<const long_long *>(&key);
             return (hk->low ^ hk->high);
         }
     };
-    
+
     //! makes result exact after inexact operation such as div, sqrt, etc.
     //! (required for multi-precision arithmetic)
     struct Make_exact {
         typedef void result_type;
-        
+
         template <class Float>
         void operator()(const Float& x) const
         { }
     };
-    
+
     //! compares a given quantity with the precision limit a floating-point
     //! number type, returns \c true if this limit is exceeded
     struct Precision_limit {
         typedef bool result_type;
-        
+
         template <class Float>
         bool operator()(const Float& x) const
         { return false;/*(CGAL_ABS(x) <= 1e-16)*/; }
     };
-    
+
     //! maximum subdivision level for the curve renderer by exceeding which
     //! an exception of type \c Insufficient_rasterize_precision_exception
     //! will be thrown, this is also limited by \c Integer number type, since
     //! the integer must be able to store numbers up to 2^MAX_SUBDIVISION_LEVEL
-    static const unsigned MAX_SUBDIVISION_LEVEL = 12;   
+    static const unsigned MAX_SUBDIVISION_LEVEL = 12;
 };
 
 template <class Float, class Rational>
-struct Curve_renderer_traits 
+struct Curve_renderer_traits
 {  };
 
 #ifdef CGAL_USE_CORE
@@ -272,15 +272,15 @@ template <>
 struct Curve_renderer_traits<CGAL::Interval_nt<true>, CORE::BigRat > :
         public Curve_renderer_traits_base<CGAL::Interval_nt<true>, int,
             CORE::BigRat> {
- 
+
     typedef double Float;
 
     struct Rat_to_float {
         typedef Float result_type;
-                
+
         template <class Extended>
         Float operator()(const Extended& x) const {
-            return CGAL::to_double(x); 
+            return CGAL::to_double(x);
         }
     };
 
@@ -298,9 +298,9 @@ struct Curve_renderer_traits<CGAL::Inter
     struct Extract_eval {
         typedef Coeff argument_type;
         typedef Float result_type;
-        
-        Float operator()(const Coeff& x, 
-                    bool *error_bounds = nullptr) const { 
+
+        Float operator()(const Coeff& x,
+                    bool *error_bounds = nullptr) const {
             bool err_bnd;
 //             err_bnd = (CGAL_ABS(l) < 1E-15 || CGAL_ABS(u) < 1E-15) ||
 //                 ((l <= 0 && u >= 0));
@@ -311,7 +311,7 @@ struct Curve_renderer_traits<CGAL::Inter
 //! ATTENTION!!! if smth is screwed up try to uncomment the line below
 //! this is very crucial for performance & stability
             if(err_bnd)  // &&  ABS(mid) < 1E-15)
-                return 0; 
+                return 0;
 //! ATTENTION!!!
             return mid;
         }
@@ -321,7 +321,7 @@ struct Curve_renderer_traits<CGAL::Inter
     //! number type, returns \c true if this limit is exceeded
     struct Precision_limit {
         typedef bool result_type;
-        
+
         template <class Float>
         bool operator()(const Float& x) const
         { return (CGAL_ABS(x) <= 1e-16); }
@@ -332,7 +332,7 @@ struct Curve_renderer_traits<CGAL::Inter
 
 //! Specialization for \c CORE::BigFloat
 template <>
-struct Curve_renderer_traits<CORE::BigFloat, class CORE::BigRat> 
+struct Curve_renderer_traits<CORE::BigFloat, class CORE::BigRat>
          : public Curve_renderer_traits_base<CORE::BigFloat, CORE::BigInt,
                 CORE::BigRat> {
 
@@ -341,37 +341,37 @@ struct Curve_renderer_traits<CORE::BigFl
     struct Rat_to_integer {
         typedef Rational argument_type;
         typedef Integer result_type;
-        
-        Integer operator()(const Rational& x) const { 
-            return x.BigIntValue(); 
+
+        Integer operator()(const Rational& x) const {
+            return x.BigIntValue();
         }
     };
 
     typedef Rat_to_float<Float> Rat_to_float;
-    
+
     struct Float_to_rat {
         typedef Float argument_type;
         typedef Rational result_type;
-        
+
         Rational operator()(const Float& x) const
         { return x.BigRatValue(); }
     };
-    
+
     struct Hash_function {
         typedef Float argument_type;
         typedef std::size_t result_type;
-        
+
         inline result_type operator()(const Float& key) const {
             const CORE::BigFloatRep& rep = key.getRep();
             std::size_t ret = reinterpret_cast<std::size_t>(&rep);
             return ret;
         }
     };
-    
+
     struct Make_exact {
         typedef Float argument_type;
         typedef void result_type;
-        
+
         inline void operator()(Float& x) const
         { x.makeExact(); }
     };
@@ -381,7 +381,7 @@ struct Curve_renderer_traits<CORE::BigFl
 
 //! Specialization for \c CORE::BigRat
 template <>
-struct Curve_renderer_traits<CORE::BigRat, CORE::BigRat> : 
+struct Curve_renderer_traits<CORE::BigRat, CORE::BigRat> :
     public Curve_renderer_traits_base<CORE::BigRat, CORE::BigInt,
         CORE::BigRat> {
 
@@ -394,16 +394,16 @@ struct Curve_renderer_traits<CORE::BigRa
     struct Rat_to_integer {
         typedef Rational argument_type;
         typedef Integer result_type;
-        
-        Integer operator()(const Rational& x) const { 
-            return x.BigIntValue(); 
+
+        Integer operator()(const Rational& x) const {
+            return x.BigIntValue();
         }
     };
-    
+
     struct Hash_function {
         typedef Float argument_type;
         typedef std::size_t result_type;
-        
+
         inline result_type operator()(const Float& key) const {
             const CORE::BigRatRep& rep = key.getRep();
             std::size_t ret = reinterpret_cast<std::size_t>(&rep);
@@ -418,15 +418,15 @@ template <>
 struct Curve_renderer_traits<CGAL::Interval_nt<true>, leda::rational > :
         public Curve_renderer_traits_base<CGAL::Interval_nt<true>, int,
             leda::rational> {
- 
+
     typedef double Float;
 
     struct Rat_to_float {
         typedef Float result_type;
-                
+
         template <class Extended>
         Float operator()(const Extended& x) const {
-            return CGAL::to_double(x); 
+            return CGAL::to_double(x);
         }
     };
 
@@ -445,9 +445,9 @@ struct Curve_renderer_traits<CGAL::Inter
     struct Extract_eval {
         typedef Coeff argument_type;
         typedef Float result_type;
-        
-        Float operator()(const Coeff& x, 
-                    bool *error_bounds = nullptr) const { 
+
+        Float operator()(const Coeff& x,
+                    bool *error_bounds = nullptr) const {
             bool err_bnd;
 //             err_bnd = (CGAL_ABS(l) < 1E-15 || CGAL_ABS(u) < 1E-15) ||
 //                 ((l <= 0 && u >= 0));
@@ -458,7 +458,7 @@ struct Curve_renderer_traits<CGAL::Inter
 //! ATTENTION!!! if smth is screwed up try to uncomment the line below
 //! this is very crucial for performance & stability
             if(err_bnd)  // &&  ABS(mid) < 1E-15)
-                return 0; 
+                return 0;
 //! ATTENTION!!!
             return mid;
         }
@@ -468,7 +468,7 @@ struct Curve_renderer_traits<CGAL::Inter
     //! number type, returns \c true if this limit is exceeded
     struct Precision_limit {
         typedef bool result_type;
-        
+
         template <class Float>
         bool operator()(const Float& x) const
         { return (CGAL_ABS(x) <= 1e-16); }
@@ -477,7 +477,7 @@ struct Curve_renderer_traits<CGAL::Inter
 
 //! Specialization for \c leda::bigfloat
 template <>
-struct Curve_renderer_traits<leda::bigfloat, class leda::rational> 
+struct Curve_renderer_traits<leda::bigfloat, class leda::rational>
          : public Curve_renderer_traits_base<leda::bigfloat, leda::integer,
                 leda::rational> {
 
@@ -486,9 +486,9 @@ struct Curve_renderer_traits<leda::bigfl
     struct Rat_to_integer {
         typedef Rational argument_type;
         typedef Integer result_type;
-        
-        Integer operator()(const Rational& x) const { 
-            return leda::floor(x); 
+
+        Integer operator()(const Rational& x) const {
+            return leda::floor(x);
         }
     };
 
@@ -496,45 +496,45 @@ struct Curve_renderer_traits<leda::bigfl
         typedef Float result_type;
 
         template <class X, class Y,class ACDE_TAG,class FP_TAG>
-        Float operator()(const Sqrt_extension<X, Y, ACDE_TAG, FP_TAG>& x) const { 
+        Float operator()(const Sqrt_extension<X, Y, ACDE_TAG, FP_TAG>& x) const {
             typename CGAL::Coercion_traits<Sqrt_extension<X, Y, ACDE_TAG, FP_TAG>, Float>::Cast
-                cast;        
-            return cast(x); 
+                cast;
+            return cast(x);
         }
         // no implicit coercion between leda rational and floats, therefore
         // decompose rational to compute the result
-        Float operator()(const Rational& x) const { 
-            return (static_cast<Float>(x.numerator()) / 
-                    static_cast<Float>(x.denominator())); 
+        Float operator()(const Rational& x) const {
+            return (static_cast<Float>(x.numerator()) /
+                    static_cast<Float>(x.denominator()));
         }
     };
-    
+
     struct Float_to_rat {
         typedef Float argument_type;
         typedef Rational result_type;
-        
+
         Rational operator()(const Float& x) const
         { return x.to_rational(); }
     };
-    
-    struct Convert_poly { 
+
+    struct Convert_poly {
         typedef CGAL::Polynomial<CGAL::Polynomial<Coeff> > result_type;
-        
+
         template <class Extended>
-        inline result_type operator()(const 
+        inline result_type operator()(const
             CGAL::Polynomial<CGAL::Polynomial<Extended> >& poly) const {
-            
+
             Transform<result_type,
                 CGAL::Polynomial<CGAL::Polynomial<Extended> >,
                     Rat_to_float> transform;
             return transform(poly);
         }
     };
-    
+
     struct Hash_function {
         typedef Float argument_type;
         typedef std::size_t result_type;
-        
+
         inline result_type operator()(const Float& key) const {
            return static_cast<std::size_t>(
                     key.get_significant_length());
@@ -544,7 +544,7 @@ struct Curve_renderer_traits<leda::bigfl
 
 //! Specialization for \c leda::rational
 template <>
-struct Curve_renderer_traits<leda::rational, leda::rational> : 
+struct Curve_renderer_traits<leda::rational, leda::rational> :
     public Curve_renderer_traits_base<leda::rational, leda::integer,
         leda::rational> {
 
@@ -557,16 +557,16 @@ struct Curve_renderer_traits<leda::ratio
     struct Rat_to_integer {
         typedef Rational argument_type;
         typedef Integer result_type;
-        
-        Integer operator()(const Rational& x) const { 
-            return leda::floor(x);  
+
+        Integer operator()(const Rational& x) const {
+            return leda::floor(x);
         }
     };
-    
+
     struct Hash_function {
         typedef Float argument_type;
         typedef std::size_t result_type;
-        
+
         inline result_type operator()(const Float& key) const {
             std::size_t ret = reinterpret_cast<std::size_t>(
                 key.numerator().word_vector());
@@ -577,7 +577,7 @@ struct Curve_renderer_traits<leda::ratio
     struct Make_exact {
         typedef Float argument_type;
         typedef void result_type;
-        
+
         inline void operator()(Float& x) const
         { x.normalize(); }
     };
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/gfx/Subdivision_1.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/gfx/Subdivision_1.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/gfx/Subdivision_1.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/gfx/Subdivision_1.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/gfx/Subdivision_1.h $
-// $Id: Subdivision_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/gfx/Subdivision_1.h $
+// $Id: Subdivision_1.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Pavel Emeliyanenko <asm@mpi-sb.mpg.de>
@@ -12,7 +12,7 @@
 // ============================================================================
 
 /*!\file CGAL/Curved_kernel_via_analysis_2/gfx//Subdivision_1.h
- * \brief definition of Subdivision_1<> 
+ * \brief definition of Subdivision_1<>
  * 1D space subdivision for rasterization of planar curves
  */
 
@@ -47,78 +47,78 @@ namespace internal {
 
 #define SoX_WINDOW_ENLARGE  15 // # of pixels by which the drawing window
                                 // is enlarged in y-direction: this is used
-                                // to skip closely located clip-points  
-                                
-#define SoX_REFINE_X        1000    // refine factor for X-intervals 
+                                // to skip closely located clip-points
+
+#define SoX_REFINE_X        1000    // refine factor for X-intervals
+                                    // (in pixel size)
+#define SoX_REFINE_Y        100000  // refine factor for Y-intervals
                                     // (in pixel size)
-#define SoX_REFINE_Y        100000  // refine factor for Y-intervals 
-                                    // (in pixel size) 
 
 #endif // SoX_CURVE_RENDERER_DEFS
 
-#define SoX_REFINE_ISOLATED_POINTS  2 // refine factor for clip points 
+#define SoX_REFINE_ISOLATED_POINTS  2 // refine factor for clip points
 
 template <class NT>
 struct Range_templ
 {
     Range_templ() { }
-    Range_templ(const NT& l_, const NT& r_) : left(l_), right(r_) 
-    { 
+    Range_templ(const NT& l_, const NT& r_) : left(l_), right(r_)
+    {
         sign_change = true;
     }
     NT left, right;
     bool sign_change;
-}; 
+};
 
 } // namespace internal
 
-/*!\brief 
+/*!\brief
  * The class template \c Subdivision_1 and its associate functions.
- * 
+ *
  * The class implements a space method to plot algebraic curves, we use Affine
  * Arithmetic with recursive derivative information
  */
 template <class Coeff_, class Algebraic_curve_2_>
 class Subdivision_1
 {
-public: 
-    //! \name public typedefs 
-    //!@{ 
-    
+public:
+    //! \name public typedefs
+    //!@{
+
     //! this instance's first template argument
     typedef Coeff_ Coeff;
     //! this instance's second template argument
     typedef Algebraic_curve_2_ Algebraic_curve_2;
-    
+
     //!@}
-private:    
-    //! \name private typedefs 
-    //!@{ 
+private:
+    //! \name private typedefs
+    //!@{
     //! rational number type
     typedef typename Algebraic_curve_2::Rational Rational;
-    
+
     //! special number type traits dependent on polynomial coefficient
     typedef SoX::Curve_renderer_traits<Coeff> Renderer_traits;
-    
+
     //! specialized integer number type
     typedef typename Renderer_traits::Integer Integer;
     //! supporting bivariate polynomial type
     typedef typename Algebraic_curve_2::Poly_d Poly_dst_2;
     //! supporting univariate polynomial type
     typedef typename Algebraic_curve_2::Poly_d::NT Poly_dst_1;
-    
-    //! a univariate rational polynomial    
+
+    //! a univariate rational polynomial
     typedef CGAL::Polynomial<Rational> Rational_poly_1;
     //! a bivariate rational polynomial
     typedef CGAL::Polynomial<Rational_poly_1> Rational_poly_2;
-        
+
     //! basic number type used in all computations
     typedef typename Renderer_traits::Float NT;
     //! instance of a univariate polynomial
     typedef CGAL::Polynomial<Coeff> Poly_1;
     //! instance of a bivariate polynomial
     typedef CGAL::Polynomial<Poly_1> Poly_2;
-            
+
     //! conversion from the basic number type to doubles
     typename CGAL::Real_embeddable_traits<NT>::To_double to_double;
     //! conversion from the basic number type to integers
@@ -132,21 +132,21 @@ private:
     //! makes the result exact after inexact operation (applicable only for
     //! exact number types
     typename Renderer_traits::Make_exact make_exact;
-    
-    //! returns \c true whenever a precision limit of used number type is 
+
+    //! returns \c true whenever a precision limit of used number type is
     //! reached
     typename Renderer_traits::Precision_limit limit;
     //! maximum level of subdivision, dependent on used data type
-    static const unsigned MAX_SUBDIVISION_LEVEL = 
+    static const unsigned MAX_SUBDIVISION_LEVEL =
             Renderer_traits::MAX_SUBDIVISION_LEVEL;
     //! isolated point
     typedef Intern::Range_templ<NT> Isolated_point;
     //! a list of isolated points
     typedef std::list<Isolated_point> Isolated_points;
-    
+
     //! map container element's type for maintaining a list of cache instances
     typedef std::pair<int,int> LRU_entry;
-    
+
     //! LRU list used for effective cache switching
     typedef boost::multi_index::multi_index_container<
         LRU_entry, boost::multi_index::indexed_by<
@@ -154,28 +154,28 @@ private:
             boost::multi_index::ordered_unique<
                 BOOST_MULTI_INDEX_MEMBER(LRU_entry,int,first) > > >
     LRU_list;
-    
+
     //!@}
-public: 
+public:
     //! \name Constructors
-    //!@{ 
-    
+    //!@{
+
     //! default constructor
     Subdivision_1() : initialized(false), one(1), polynomial_set(false) {}
     //!@}
-    
+
 public:
     //! \name public methods
-    //!@{ 
-    
+    //!@{
+
     //! sets up drawing window and pixel resolution
     void setup(const double& x_min_,const double& y_min_,
                 const double& x_max_,const double& y_max_,
                 int res_w_, int res_h_) {
         initialized = engine.setup(x_min_, y_min_, x_max_, y_max_, res_w_,
             res_h_);
-    }    
-    
+    }
+
     //! sets up the underlying polynomial
     void set_polynomial(const Poly_dst_2& poly)
     {
@@ -188,50 +188,50 @@ public:
     {
         return input_poly;
     }
-    
+
     //! \brief returns drawing window boundaries
-    void get_window(double& x_min_, double& y_min_, double& x_max_, 
+    void get_window(double& x_min_, double& y_min_, double& x_max_,
         double& y_max_) const
     {
-        x_min_ = to_double(engine.x_min); 
-        x_max_ = to_double(engine.x_max); 
-        y_min_ = to_double(engine.y_min); 
+        x_min_ = to_double(engine.x_min);
+        x_max_ = to_double(engine.x_max);
+        y_min_ = to_double(engine.y_min);
         y_max_ = to_double(engine.y_max);
     }
-    
+
     //! \brief returns pixel resolution
     void get_resolution(int& res_w_, int& res_h_) const
     {
-        res_w_ = engine.res_w; 
+        res_w_ = engine.res_w;
         res_h_ = engine.res_h;
     }
-    
+
     //! \brief the main rendering procedure, copies a set of pixel coordinates
     //! to the output iterator \c oi
     template <class OutputIterator>
-    OutputIterator draw(OutputIterator oi); 
-    
+    OutputIterator draw(OutputIterator oi);
+
     ~Subdivision_1()
     {
         cache_list.clear();
     }
-    
-    //!@}    
+
+    //!@}
 private:
     //! \name Private methods
-    //!@{ 
-    
+    //!@{
+
     //! makes certain cache entry active
     void select_cache_entry();
-    
+
     //! refines isolated point intervals until pixel size
-    void refine_points(int var, const NT& key, const Poly_1& poly, 
+    void refine_points(int var, const NT& key, const Poly_1& poly,
         Isolated_points& points);
-        
+
     //! isolates curve points along a sweep-line
-    bool isolate_recursive(int var, const NT& beg, const NT& end, 
+    bool isolate_recursive(int var, const NT& beg, const NT& end,
         const NT& clip, const Poly_1& poly, Isolated_points& points);
-        
+
     //! \brief returns whether a polynomial has zero over an interval,
     //! we are not interested in concrete values
     //!
@@ -239,32 +239,32 @@ private:
     //! 0th bit - of a polynomial itself (0th derivative, default)
     //! 1st bit - of the first derivative (sets \c first_der flag)
     //! 2nd bit - of the second derivative
-    bool get_range_1(int var, const NT& lower, const NT& upper, const NT& key, 
+    bool get_range_1(int var, const NT& lower, const NT& upper, const NT& key,
         const Poly_1& poly, int check = 1);
-       
+
     //!@}
 private:
     //! \name Private properties
-    //!@{ 
-        
+    //!@{
+
     Poly_dst_2 input_poly; //! supporting polynomial
-    
+
     //! an instance of rendering engine
     Intern::Curve_renderer_internals<Coeff, Algebraic_curve_2> engine;
-       
+
     int cache_id;        //! index of currently used cache instance
     LRU_list cache_list; //! list of indices of cache instances
-        
+
     bool initialized;  //! indicates whether the renderer has been initialized
                        //! with correct parameters
     const Integer one; //! just "one"
-    
+
     bool polynomial_set; //! true if input polynomial was set
-    
-    //!@} 
+
+    //!@}
 }; // class Subdivision_1<>
 
-//! \brief main rasterization procedure, copies in the the output iterator 
+//! \brief main rasterization procedure, copies in the the output iterator
 //! \c oi a set of pixel coordinates
 
 template <class Coeff_, class Algebraic_curve_2_>
@@ -277,20 +277,20 @@ OutputIterator Subdivision_1<Coeff_, Alg
     //std::cout << "resolution: " << res_w << " x " << res_h << std::endl;
     //std::cout << "box: [" << x_min << "; " << y_min << "]x[" << x_max << "; "
         // <<   y_max << "]" << std::endl;
-    
+
     Isolated_points points;
     Poly_1 poly;
     int x, y;
-    
+
     for(x = 0; x < engine.res_w; x++) {
         NT key = NT(x);
         points.clear();
-        
+
         engine.get_precached_poly(SoX_Y_RANGE, key, 0, poly);
         isolate_recursive(SoX_Y_RANGE, NT(0), NT(engine.res_h), key, poly,
             points);
         refine_points(SoX_Y_RANGE, key, poly, points);
-    
+
         typename Isolated_points::iterator it = points.begin();
         while(it != points.end()) {
         //          std::cout << "(" << x << "; " << y << ")  ";
@@ -305,26 +305,26 @@ OutputIterator Subdivision_1<Coeff_, Alg
             it++;
         }
     }
-    
+
     for(y = 0; y < engine.res_h; y++) {
         NT key = NT(y);
         points.clear();
-        
+
         engine.get_precached_poly(SoX_X_RANGE, key, 0, poly);
         isolate_recursive(SoX_X_RANGE, NT(0), NT(engine.res_h), key, poly,
             points);
         refine_points(SoX_X_RANGE, key, poly, points);
-    
+
         typename Isolated_points::iterator it = points.begin();
         while(it != points.end()) {
         //          std::cout << "(" << x << "; " << y << ")  ";
             x = (int)floor((*it).left);
             *oi++ = std::make_pair(x, engine.res_h - y);
-            
+
                 //int yend = res_h - (int)floor((*it).right);
                 //painter->moveTo(x,y);
                 //painter->lineTo(x,yend);
-            
+
             it++;
         }
     }
@@ -342,25 +342,25 @@ void Subdivision_1<Coeff_, Algebraic_cur
     while(it != points.end()) {
         NT l = (*it).left, r = (*it).right;
         //Gfx_OUT << l << " " << r << "\n";
-        int eval_l = engine.evaluate_generic(var, l, key, poly), 
+        int eval_l = engine.evaluate_generic(var, l, key, poly),
             eval_r = engine.evaluate_generic(var, r, key, poly);
         if((eval_l^eval_r)==0) { // no sign change - interval is too small
-            /*if(eval_l==0) 
+            /*if(eval_l==0)
                 (*it).left = (*it).right = l;
-            else if(eval_r==0) 
+            else if(eval_r==0)
                 (*it).left = (*it).right = r;*/
             (*it).sign_change = false;
             //std::cout << "no sign change\n";
             it++;
             continue;
-        }  
+        }
         while(r - l > dist) {
             NT mid = (l+r)/2;
             make_exact(mid);
             int eval_m = engine.evaluate_generic(var, mid, key, poly);
-            if(eval_m == 0) 
+            if(eval_m == 0)
                 l = r = mid;
-            else if(eval_m == eval_l) 
+            else if(eval_m == eval_l)
                 l = mid;
             else
                 r = mid;
@@ -378,28 +378,28 @@ bool Subdivision_1<Coeff_, Algebraic_cur
 {
     // y_clip: 0 for top boundary, res_h-1 for bottom boundary
     // beg, end: 0 and res_w-1 respectively
-        
+
     if(!get_range_1(var, beg, end, key, poly, 3))
-        return false; 
-    
+        return false;
+
     if(!engine.first_der) {
         //std::cout << "interval found: " << (x_end - x_beg) << std::endl;
         points.push_back(Isolated_point(beg, end));
         return true;
     }
-    
+
     NT dist = NT(1)/NT(SoX_REFINE_ISOLATED_POINTS);
     make_exact(dist);
     if(end - beg < dist) {// pixel size is reached
         //std::cout << "WARNING: roots are too close..\n";
-        
+
         // in this case we should generate an exception..
         points.push_back(Isolated_point(beg, end));
         return true;
     }
     NT mid = (beg + end)/2;
     make_exact(mid);
-    
+
     isolate_recursive(var, beg, mid, key, poly, points);
     isolate_recursive(var, mid, end, key, poly, points);
     return true;
@@ -410,20 +410,20 @@ bool Subdivision_1<Coeff_, Algebraic_cur
 //!
 //! if \t der_check is set a range for the first derivative is also computed
 template <class Coeff_, class Algebraic_curve_2_>
-inline bool Subdivision_1<Coeff_, Algebraic_curve_2_>::get_range_1(int var, 
-    const NT& lower, const NT& upper, const NT& key, const Poly_1& poly, 
+inline bool Subdivision_1<Coeff_, Algebraic_curve_2_>::get_range_1(int var,
+    const NT& lower, const NT& upper, const NT& key, const Poly_1& poly,
         int check)
 {
     bool res = engine.get_range_QF_1(var, lower, upper, key, poly, check);
     return res;
 }
 
-//! \brief switches to a certain cache instance depending on currently used 
+//! \brief switches to a certain cache instance depending on currently used
 //! algebraic curve
 template <class Coeff_, class Algebraic_curve_2_>
 void Subdivision_1<Coeff_, Algebraic_curve_2_>::select_cache_entry()
 {
-    cache_id = 0; // no cache is currently used    
+    cache_id = 0; // no cache is currently used
 
     engine.select_cache_entry(cache_id);
     engine.precompute(input_poly);
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/gfx/Subdivision_2.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/gfx/Subdivision_2.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/gfx/Subdivision_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/gfx/Subdivision_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/gfx/Subdivision_2.h $
-// $Id: Subdivision_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/gfx/Subdivision_2.h $
+// $Id: Subdivision_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Pavel Emeliyanenko <asm@mpi-sb.mpg.de>
@@ -12,7 +12,7 @@
 // ============================================================================
 
 /*!\file CGAL/Curved_kernel_via_analysis_2/gfx//Subdivision_2.h
- * \brief definition of Subdivision_2<> 
+ * \brief definition of Subdivision_2<>
  * 2D space subdivision for rasterization of planar curves
  */
 
@@ -34,514 +34,514 @@ namespace internal {
 template <class NT>
 struct Range_templ
 {
-	Range_templ() { }
-	Range_templ(const NT& l_, const NT& u_) : lower(l_), upper(u_) { }
-	NT lower, upper;
-}; 
+        Range_templ() { }
+        Range_templ(const NT& l_, const NT& u_) : lower(l_), upper(u_) { }
+        NT lower, upper;
+};
 
 } // namespace internal
 
-/*!\brief 
+/*!\brief
  * The class template \c Subdivision_2 and its associate functions.
- * 
+ *
  * The class implements a space method to plot algebraic curves, we use Affine
  * Arithmetic with recursive derivative information
  */
 template <class NT_, class Algebraic_curve_2_>
 class Subdivision_2
 {
-public: 
-	//! \name public typedefs 
-    //!@{ 
-	//! this instance's first template argument
-	typedef NT_ NT;
-	//! this instance's second template argument
-	typedef Algebraic_curve_2_ Algebraic_curve_2;
-	//! specialized integer number type
-	typedef typename SoX::Curve_renderer_traits<NT>::Integer Integer;
-	//! instance of univariate polynomial
-	typedef CGAL::Polynomial<NT> Poly_1;
-	//! instance of bivariate polynomial
-	typedef CGAL::Polynomial<Poly_1> Poly_2;
-	//! rational number type instance
-	typedef typename Algebraic_curve_2::Rational Rational;
-	//! instance of input bivariate polynomial
-	typedef typename Algebraic_curve_2::Poly_d Poly_input_2;
-	//! instance of input univariate polynomuial
-	typedef typename Poly_input_2::NT Poly_input_1;
-	//! instance of coefficient number type
-	typedef typename Poly_input_1::NT Coeff;
-	//! container used to store coefficient sequence
-	typedef typename Poly_1::Vector Vector_1;
-	//! container's const iterator (random access)
-	typedef typename Poly_1::const_iterator const_iterator_1; 
-	//! container used to store univariate polynomials sequence
-	typedef typename Poly_2::Vector Vector_2;
-	//! container's const iterator (random access)
-	typedef typename Poly_2::const_iterator const_iterator_2; 
-	//@}
-private:	
-	//! \name private typedefs 
-    //@{ 
-		
-	//! conversion from the basic number type to integers
-	typename SoX::Curve_renderer_traits<NT>::To_integer to_integer;
-	//! conversion from \c Integer type to built-in integer
-	typename SoX::Curve_renderer_traits<NT>::To_machine_int to_int;
+public:
+        //! \name public typedefs
+    //!@{
+        //! this instance's first template argument
+        typedef NT_ NT;
+        //! this instance's second template argument
+        typedef Algebraic_curve_2_ Algebraic_curve_2;
+        //! specialized integer number type
+        typedef typename SoX::Curve_renderer_traits<NT>::Integer Integer;
+        //! instance of univariate polynomial
+        typedef CGAL::Polynomial<NT> Poly_1;
+        //! instance of bivariate polynomial
+        typedef CGAL::Polynomial<Poly_1> Poly_2;
+        //! rational number type instance
+        typedef typename Algebraic_curve_2::Rational Rational;
+        //! instance of input bivariate polynomial
+        typedef typename Algebraic_curve_2::Poly_d Poly_input_2;
+        //! instance of input univariate polynomuial
+        typedef typename Poly_input_2::NT Poly_input_1;
+        //! instance of coefficient number type
+        typedef typename Poly_input_1::NT Coeff;
+        //! container used to store coefficient sequence
+        typedef typename Poly_1::Vector Vector_1;
+        //! container's const iterator (random access)
+        typedef typename Poly_1::const_iterator const_iterator_1;
+        //! container used to store univariate polynomials sequence
+        typedef typename Poly_2::Vector Vector_2;
+        //! container's const iterator (random access)
+        typedef typename Poly_2::const_iterator const_iterator_2;
+        //@}
+private:
+        //! \name private typedefs
+    //@{
+
+        //! conversion from the basic number type to integers
+        typename SoX::Curve_renderer_traits<NT>::To_integer to_integer;
+        //! conversion from \c Integer type to built-in integer
+        typename SoX::Curve_renderer_traits<NT>::To_machine_int to_int;
     //! conversion from \c Rational type to used number type
-	typename SoX::Curve_renderer_traits<NT>::From_rational from_rat;
-	//! makes the result exact after inexact operation (applicable only for
-	//! exact number types
-	typename SoX::Curve_renderer_traits<NT>::Make_exact make_exact;
-	//! an interval
-	typedef Intern::Range_templ<NT> Range;
-	//! affine form instance
-	typedef SoX::Affine_form<NT> Affine_form;
-	//@}
-public: 
-	//! \name Constructors
-    //@{ 
-	//! default constructor
-	Subdivision_2() : initialized(false), polynomial_set(false) {}
-	//@}
+        typename SoX::Curve_renderer_traits<NT>::From_rational from_rat;
+        //! makes the result exact after inexact operation (applicable only for
+        //! exact number types
+        typename SoX::Curve_renderer_traits<NT>::Make_exact make_exact;
+        //! an interval
+        typedef Intern::Range_templ<NT> Range;
+        //! affine form instance
+        typedef SoX::Affine_form<NT> Affine_form;
+        //@}
 public:
-	//! \name public methods
-    //@{ 
-	//! specifies drawing window and pixel resolution
-	void setup(const double& x_min_,const double& y_min_,
-				const double& x_max_,const double& y_max_,
-				int res_w_, int res_h_) 
-	{ 
-		x_min = static_cast<NT>(x_min_); 
-		x_max = static_cast<NT>(x_max_); 
-		y_min = static_cast<NT>(y_min_); 
-		y_max = static_cast<NT>(y_max_);
-		res_w = res_w_; 
-		res_h = res_h_;
-		if(x_min >= x_max||y_min >= y_max||res_w < 5||res_h < 5||res_w > 1024||
-			res_h > 1024) {
-			std::cout << "Incorrect setup parameters" << std::endl;
-			initialized = false;
-			return;
-		}
-		pixel_w = (x_max - x_min) / res_w;
-		pixel_h = (y_max - y_min) / res_h;
-		make_exact(pixel_w);
-		make_exact(pixel_h);
-		initialized = true;	
-	}    
-	//! sets up the underlying polynomial
-	void set_polynomial(const Poly_input_2& poly)
-	{
-		input_poly = poly;
-		precompute();
-	}
-	//! returns the underlying polynomial
-	Poly_input_2 get_polynomial() const
-	{
-		return input_poly;
-	}
-	//! \brief returns drawing window boundaries
-	void get_window(double& x_min_, double& y_min_, double& x_max_, 
-		double& y_max_) const
-	{
-		x_min_ = to_double(x_min); 
-		x_max_ = to_double(x_max); 
-		y_min_ = to_double(y_min); 
-		y_max_ = to_double(y_max);
-	}
-	//! \brief returns pixel resolution
-	void get_resolution(int& res_w_, int& res_h_) const
-	{
-		res_w_ = res_w; 
-		res_h_ = res_h;
-	}
-	//! \brief the main rendering procedure
-	void draw(QPainter *painter_); 
-	//@}	
+        //! \name Constructors
+    //@{
+        //! default constructor
+        Subdivision_2() : initialized(false), polynomial_set(false) {}
+        //@}
+public:
+        //! \name public methods
+    //@{
+        //! specifies drawing window and pixel resolution
+        void setup(const double& x_min_,const double& y_min_,
+                                const double& x_max_,const double& y_max_,
+                                int res_w_, int res_h_)
+        {
+                x_min = static_cast<NT>(x_min_);
+                x_max = static_cast<NT>(x_max_);
+                y_min = static_cast<NT>(y_min_);
+                y_max = static_cast<NT>(y_max_);
+                res_w = res_w_;
+                res_h = res_h_;
+                if(x_min >= x_max||y_min >= y_max||res_w < 5||res_h < 5||res_w > 1024||
+                        res_h > 1024) {
+                        std::cout << "Incorrect setup parameters" << std::endl;
+                        initialized = false;
+                        return;
+                }
+                pixel_w = (x_max - x_min) / res_w;
+                pixel_h = (y_max - y_min) / res_h;
+                make_exact(pixel_w);
+                make_exact(pixel_h);
+                initialized = true;
+        }
+        //! sets up the underlying polynomial
+        void set_polynomial(const Poly_input_2& poly)
+        {
+                input_poly = poly;
+                precompute();
+        }
+        //! returns the underlying polynomial
+        Poly_input_2 get_polynomial() const
+        {
+                return input_poly;
+        }
+        //! \brief returns drawing window boundaries
+        void get_window(double& x_min_, double& y_min_, double& x_max_,
+                double& y_max_) const
+        {
+                x_min_ = to_double(x_min);
+                x_max_ = to_double(x_max);
+                y_min_ = to_double(y_min);
+                y_max_ = to_double(y_max);
+        }
+        //! \brief returns pixel resolution
+        void get_resolution(int& res_w_, int& res_h_) const
+        {
+                res_w_ = res_w;
+                res_h_ = res_h;
+        }
+        //! \brief the main rendering procedure
+        void draw(QPainter *painter_);
+        //@}
 private:
-	//! \name Private methods
-    //@{ 
-	//! precomputes polynomials and derivative coefficients
-	void precompute();
-	//! \brief switches to another cache instance depending on the
-	//! supporting curve of a segment
-		//! \brief evalutates the ith derivative at certain x
-	//!
-	//! \c cache_it - an intetator pointing to the end of an array of 
-	//! polynomial coefficients, \c der_it - an iterator for derivative 
-	//! coefficients
-	NT evaluate_der(const_iterator_1 der_it, const_iterator_1 begin,
-			const_iterator_1 cache_it, const NT& x)
-	{
-		NT val((*cache_it--) * (*der_it));
-		while((der_it--)!=begin) 
-			val = val * x + (*cache_it--) * (*der_it);
-		return val;
-	}
-	//! evalutates a function at a certain x
-	NT evaluate(const Poly_1& poly, const NT& x)
-	{
-		const_iterator_1 it = poly.end() - 1, begin = poly.begin();
-		NT val(*it);
-		while((it--)!=begin) 
-			val = val * x + (*it);
-		return val;
-	}
-	//! \brief computes the ranges of univariate polynomial values over an interval
-	void get_range_1(int var, const NT& lower, const NT& upper, 
-		const Poly_1& poly, NT& l, NT& h);
-	//! Affine Arithmetic with Recursive Derivative information 
-	//! for univariate case
-	void get_range_AARD_1(int var, const NT& lower, const NT& upper, 
-		const Poly_1& poly, NT& l, NT& h);
-	//! \brief Recursive Taylor, bivariate case
-	//!
-	//! returns a range of polynomial values as Affine_form
-	void get_range_RT_2(const NT& x_low,  const NT& x_high, const NT& y_low,
-		const NT& y_high, int depth, int index, Affine_form& res);
-	//! checks a rectangular area with 2D range analysis: either discrads it,
-	//! subdivides further or draws a pixel
-	void quad_tree(const NT& x_low, const NT& x_high, const NT& y_low, 
-		const NT& y_high);
-	//! \brief recursive quad tree subdivision
-	void subdivide(const NT& x_low, const NT& x_high, const NT& y_low, 
-		const NT& y_high);
+        //! \name Private methods
+    //@{
+        //! precomputes polynomials and derivative coefficients
+        void precompute();
+        //! \brief switches to another cache instance depending on the
+        //! supporting curve of a segment
+                //! \brief evalutates the ith derivative at certain x
+        //!
+        //! \c cache_it - an intetator pointing to the end of an array of
+        //! polynomial coefficients, \c der_it - an iterator for derivative
+        //! coefficients
+        NT evaluate_der(const_iterator_1 der_it, const_iterator_1 begin,
+                        const_iterator_1 cache_it, const NT& x)
+        {
+                NT val((*cache_it--) * (*der_it));
+                while((der_it--)!=begin)
+                        val = val * x + (*cache_it--) * (*der_it);
+                return val;
+        }
+        //! evalutates a function at a certain x
+        NT evaluate(const Poly_1& poly, const NT& x)
+        {
+                const_iterator_1 it = poly.end() - 1, begin = poly.begin();
+                NT val(*it);
+                while((it--)!=begin)
+                        val = val * x + (*it);
+                return val;
+        }
+        //! \brief computes the ranges of univariate polynomial values over an interval
+        void get_range_1(int var, const NT& lower, const NT& upper,
+                const Poly_1& poly, NT& l, NT& h);
+        //! Affine Arithmetic with Recursive Derivative information
+        //! for univariate case
+        void get_range_AARD_1(int var, const NT& lower, const NT& upper,
+                const Poly_1& poly, NT& l, NT& h);
+        //! \brief Recursive Taylor, bivariate case
+        //!
+        //! returns a range of polynomial values as Affine_form
+        void get_range_RT_2(const NT& x_low,  const NT& x_high, const NT& y_low,
+                const NT& y_high, int depth, int index, Affine_form& res);
+        //! checks a rectangular area with 2D range analysis: either discrads it,
+        //! subdivides further or draws a pixel
+        void quad_tree(const NT& x_low, const NT& x_high, const NT& y_low,
+                const NT& y_high);
+        //! \brief recursive quad tree subdivision
+        void subdivide(const NT& x_low, const NT& x_high, const NT& y_low,
+                const NT& y_high);
 public:
-	//! destructor
-	~Subdivision_2()
-	{
-	
-	}
-	//@}
+        //! destructor
+        ~Subdivision_2()
+        {
+
+        }
+        //@}
 private:
-	//! \name Private properties
-    //@{ 
-	NT x_min, x_max, y_min, y_max; //! drawing window boundaries
-	int res_w, res_h;			   //! pixel resolution
-	NT pixel_w, pixel_h; 		   //! pixel dimensions w.r.t. resolution
-	Poly_2 coeffs_x, coeffs_y; //! f(x(y)) / f(y(x))
-	Poly_input_2 input_poly;
-	Vector_2 der_x, der_y;  //! derivative coefficients df/dx (df/dy)
-	std::vector<Poly_2> mixed_derivatives;
-	int max_deg; //! the maximal degree w.r.t. x and y
-	bool initialized, polynomial_set;	
-	QPainter *painter;
-	//@} 
+        //! \name Private properties
+    //@{
+        NT x_min, x_max, y_min, y_max; //! drawing window boundaries
+        int res_w, res_h;                           //! pixel resolution
+        NT pixel_w, pixel_h;                    //! pixel dimensions w.r.t. resolution
+        Poly_2 coeffs_x, coeffs_y; //! f(x(y)) / f(y(x))
+        Poly_input_2 input_poly;
+        Vector_2 der_x, der_y;  //! derivative coefficients df/dx (df/dy)
+        std::vector<Poly_2> mixed_derivatives;
+        int max_deg; //! the maximal degree w.r.t. x and y
+        bool initialized, polynomial_set;
+        QPainter *painter;
+        //@}
 }; // class Subdivision_2<>
 
 //! \brief main rasterization procedure
 template <class NT, class Algebraic_curve_2_>
 void Subdivision_2<NT, Algebraic_curve_2_>::draw(QPainter *painter_)
 {
-	if(!initialized||!polynomial_set||painter_==nullptr)
-		return;
-	painter = painter_;
-	//std::cout << " P(x(y)): " << coeffs_x << std::endl; 
-	//std::cout << " P(y(x)): " << coeffs_y << std::endl; 
-	std::cout << "resolution: " << res_w << " x " << res_h << std::endl;
-	//std::cout << "box: [" << x_min << "; " << y_min << "]x[" << x_max << "; "
-		// <<	y_max << "]" << std::endl;
-	
-	//quad_tree(x_min/15, x_max/15, y_min/15, y_max/15);
-	quad_tree(x_min, x_max, y_min, y_max);
-	//std::cout << "exit normal" << std::endl;
+        if(!initialized||!polynomial_set||painter_==nullptr)
+                return;
+        painter = painter_;
+        //std::cout << " P(x(y)): " << coeffs_x << std::endl;
+        //std::cout << " P(y(x)): " << coeffs_y << std::endl;
+        std::cout << "resolution: " << res_w << " x " << res_h << std::endl;
+        //std::cout << "box: [" << x_min << "; " << y_min << "]x[" << x_max << "; "
+                // <<        y_max << "]" << std::endl;
+
+        //quad_tree(x_min/15, x_max/15, y_min/15, y_max/15);
+        quad_tree(x_min, x_max, y_min, y_max);
+        //std::cout << "exit normal" << std::endl;
 }
 
 //! \brief checks a rectangular area with 2D range analysis: either discrads it,
 //! subdivides further or draws a pixel
 template <class NT_, class Algebraic_curve_2_>
-void Subdivision_2<NT_, Algebraic_curve_2_>::quad_tree(const NT& x_low, 
-	  const NT& x_high, const NT& y_low, const NT& y_high)
+void Subdivision_2<NT_, Algebraic_curve_2_>::quad_tree(const NT& x_low,
+          const NT& x_high, const NT& y_low, const NT& y_high)
 {
-	Affine_form res;
-	NT lower, upper;
-	get_range_RT_2(x_low, x_high, y_low, y_high, 0, 0, res);
-	res.convert(lower, upper);
-	if(lower*upper > 0)
-		return;
-	if(x_high - x_low <= pixel_w&&y_high - y_low <= pixel_h) {
-		NT x = (x_low), y = (y_low);
-		int pix_x = static_cast<int>(CGAL::to_double((x - x_min) / pixel_w)),
-		    pix_y = static_cast<int>(CGAL::to_double((y - y_min) / pixel_h));
-		painter->drawPoint(pix_x, res_h - pix_y);
-		//painter->drawEllipse(pix_x-2,res_h-pix_y-2,4,4);
-	}
-	else 
-		subdivide(x_low, x_high, y_low, y_high);
+        Affine_form res;
+        NT lower, upper;
+        get_range_RT_2(x_low, x_high, y_low, y_high, 0, 0, res);
+        res.convert(lower, upper);
+        if(lower*upper > 0)
+                return;
+        if(x_high - x_low <= pixel_w&&y_high - y_low <= pixel_h) {
+                NT x = (x_low), y = (y_low);
+                int pix_x = static_cast<int>(CGAL::to_double((x - x_min) / pixel_w)),
+                    pix_y = static_cast<int>(CGAL::to_double((y - y_min) / pixel_h));
+                painter->drawPoint(pix_x, res_h - pix_y);
+                //painter->drawEllipse(pix_x-2,res_h-pix_y-2,4,4);
+        }
+        else
+                subdivide(x_low, x_high, y_low, y_high);
 }
 
 //! \brief recursive quad tree subdivision
 template <class NT_, class Algebraic_curve_2_>
-void Subdivision_2<NT_, Algebraic_curve_2_>::subdivide(const NT& x_low, 
-	  const NT& x_high, const NT& y_low, const NT& y_high)
+void Subdivision_2<NT_, Algebraic_curve_2_>::subdivide(const NT& x_low,
+          const NT& x_high, const NT& y_low, const NT& y_high)
 {
-	NT x_mid = (x_low + x_high)/2, y_mid = (y_low + y_high)/2;
-	quad_tree(x_low,x_mid,y_low,y_mid);
-	quad_tree(x_low,x_mid,y_mid,y_high);
-	quad_tree(x_mid,x_high,y_mid,y_high);
-	quad_tree(x_mid,x_high,y_low,y_mid);
+        NT x_mid = (x_low + x_high)/2, y_mid = (y_low + y_high)/2;
+        quad_tree(x_low,x_mid,y_low,y_mid);
+        quad_tree(x_low,x_mid,y_mid,y_high);
+        quad_tree(x_mid,x_high,y_mid,y_high);
+        quad_tree(x_mid,x_high,y_low,y_mid);
 }
 
 //! \brief Recursive Taylor, bivariate case
 template <class NT_, class Algebraic_curve_2_>
 void Subdivision_2<NT_, Algebraic_curve_2_>::get_range_RT_2(
-	const NT& x_low, const NT& x_high, const NT& y_low, const NT& y_high,
-		int depth, int index, Affine_form& res)
+        const NT& x_low, const NT& x_high, const NT& y_low, const NT& y_high,
+                int depth, int index, Affine_form& res)
 {
-	//std::cout << "range for [" << x_low << "; " << y_low << "]x[" << 
-	//x_high <<
-		//"; " << y_high << "]: (" << low << "; " << high << ")" << std::endl;
-	typename std::vector<Poly_2>::const_iterator der_it =
-		mixed_derivatives.begin() + index;
-	if((*der_it).degree()==0) {
-		NT c = (*der_it).lcoeff().lcoeff();
-		res = Affine_form(c,c);
-		return;
-	} else if((*der_it).degree()==1) {
-		Poly_1 p_x_low = NiX::substitute_x((*der_it), x_low),
-			   p_x_high = NiX::substitute_x((*der_it), x_high);
-		NT eval_1 = p_x_low.evaluate(y_low), 
-		   eval_2 = p_x_low.evaluate(y_high),
-		   eval_3 = p_x_high.evaluate(y_low), 
-		   eval_4 = p_x_high.evaluate(y_high);
-		NT min1 = eval_1, max1 = eval_2;
-		if(min1 > eval_2) {
-			min1 = eval_2;
-			max1 = eval_1;
-		}
-		NT min2 = eval_3, max2 = eval_4;
-		if(min2 > eval_4) {
-			min2 = eval_4;
-			max2 = eval_3;
-		}
-		if(min1 > min2)
-			min1 = min2;
-		if(max1 < max2)
-			max1 = max2;
-		res = Affine_form(min1,max1);
-		return;
-	}
-	
-	if(depth >= 4)
-	{
-	NT l, h;
-	std::vector<Affine_form> x_forms;
-	const_iterator_2 it_2 = (*der_it).begin(); 
-	while(it_2 != (*der_it).end())
-	{
-		// it_2 - a poly in x_range
-		if((*it_2).is_zero())
-			l = h = 0;
-		else
-			get_range_1(X_RANGE, x_low, x_high, *it_2, l, h); 
-		x_forms.push_back(Affine_form(l, h));
-		it_2++;
-	}
-	typename std::vector<Affine_form>::const_iterator it = 
-		x_forms.end()-1;
-	Affine_form y_form(y_low, y_high);
-	res = Affine_form(*it);
-	while((it--) != x_forms.begin())
-		res = res * y_form + (*it);
-	//res.convert(lower, upper);
-	return;
-	}
-	
-	NT x0 = (x_low+x_high)/2, y0 = (y_low+y_high)/2, x1 = (x_high-x_low)/2,
-		y1 = (y_high-y_low)/2;
-	Affine_form one1(-1,1), one2(-1,1), one3(-1,1),
-			zero1(0,1), zero2(0,1), fxx, fxy, fyy;
-	NT eval_f = NiX::substitute_xy(*der_it, x0, y0),
-	   eval_fx = NiX::substitute_xy(*(der_it+depth+1), x0, y0)*x1,
-	   eval_fy = NiX::substitute_xy(*(der_it+depth+2), x0, y0)*y1;
-	res = eval_f + eval_fx*one1 + eval_fy*one2;
-	   
-	int idx = index+2*depth+3;
-	if(idx < (int)mixed_derivatives.size()) {
-		get_range_RT_2(x_low, x_high, y_low, y_high, depth+2, idx,   fxx);
-		get_range_RT_2(x_low, x_high, y_low, y_high, depth+2, idx+1, fxy);
-		get_range_RT_2(x_low, x_high, y_low, y_high, depth+2, idx+2, fyy);
-		res = res + ((x1*x1/2*zero1)*fxx) + ((y1*y1/2*zero2)*fyy) +
-			((x1*y1*one3)*fxy);
-	} 
-		
-	//res.convert(lower, upper);
-	//std::cout << "range for depth = " << depth << " index = " << index << 
-		//" [" << lower << "; " << upper << "]" << std::endl;
+        //std::cout << "range for [" << x_low << "; " << y_low << "]x[" <<
+        //x_high <<
+                //"; " << y_high << "]: (" << low << "; " << high << ")" << std::endl;
+        typename std::vector<Poly_2>::const_iterator der_it =
+                mixed_derivatives.begin() + index;
+        if((*der_it).degree()==0) {
+                NT c = (*der_it).lcoeff().lcoeff();
+                res = Affine_form(c,c);
+                return;
+        } else if((*der_it).degree()==1) {
+                Poly_1 p_x_low = NiX::substitute_x((*der_it), x_low),
+                           p_x_high = NiX::substitute_x((*der_it), x_high);
+                NT eval_1 = p_x_low.evaluate(y_low),
+                   eval_2 = p_x_low.evaluate(y_high),
+                   eval_3 = p_x_high.evaluate(y_low),
+                   eval_4 = p_x_high.evaluate(y_high);
+                NT min1 = eval_1, max1 = eval_2;
+                if(min1 > eval_2) {
+                        min1 = eval_2;
+                        max1 = eval_1;
+                }
+                NT min2 = eval_3, max2 = eval_4;
+                if(min2 > eval_4) {
+                        min2 = eval_4;
+                        max2 = eval_3;
+                }
+                if(min1 > min2)
+                        min1 = min2;
+                if(max1 < max2)
+                        max1 = max2;
+                res = Affine_form(min1,max1);
+                return;
+        }
+
+        if(depth >= 4)
+        {
+        NT l, h;
+        std::vector<Affine_form> x_forms;
+        const_iterator_2 it_2 = (*der_it).begin();
+        while(it_2 != (*der_it).end())
+        {
+                // it_2 - a poly in x_range
+                if((*it_2).is_zero())
+                        l = h = 0;
+                else
+                        get_range_1(X_RANGE, x_low, x_high, *it_2, l, h);
+                x_forms.push_back(Affine_form(l, h));
+                it_2++;
+        }
+        typename std::vector<Affine_form>::const_iterator it =
+                x_forms.end()-1;
+        Affine_form y_form(y_low, y_high);
+        res = Affine_form(*it);
+        while((it--) != x_forms.begin())
+                res = res * y_form + (*it);
+        //res.convert(lower, upper);
+        return;
+        }
+
+        NT x0 = (x_low+x_high)/2, y0 = (y_low+y_high)/2, x1 = (x_high-x_low)/2,
+                y1 = (y_high-y_low)/2;
+        Affine_form one1(-1,1), one2(-1,1), one3(-1,1),
+                        zero1(0,1), zero2(0,1), fxx, fxy, fyy;
+        NT eval_f = NiX::substitute_xy(*der_it, x0, y0),
+           eval_fx = NiX::substitute_xy(*(der_it+depth+1), x0, y0)*x1,
+           eval_fy = NiX::substitute_xy(*(der_it+depth+2), x0, y0)*y1;
+        res = eval_f + eval_fx*one1 + eval_fy*one2;
+
+        int idx = index+2*depth+3;
+        if(idx < (int)mixed_derivatives.size()) {
+                get_range_RT_2(x_low, x_high, y_low, y_high, depth+2, idx,   fxx);
+                get_range_RT_2(x_low, x_high, y_low, y_high, depth+2, idx+1, fxy);
+                get_range_RT_2(x_low, x_high, y_low, y_high, depth+2, idx+2, fyy);
+                res = res + ((x1*x1/2*zero1)*fxx) + ((y1*y1/2*zero2)*fyy) +
+                        ((x1*y1*one3)*fxy);
+        }
+
+        //res.convert(lower, upper);
+        //std::cout << "range for depth = " << depth << " index = " << index <<
+                //" [" << lower << "; " << upper << "]" << std::endl;
 }
 
 //! \brief computes the range of polynomial values \c f([lower,upper]) using
 //! Affine Arithmetic with Recursive Derivative information
 //!
-//! \c var = \c X_RANGE: \c y is fixed - polynomial is given in \c x 
-//! coordinates, otherwise: \c x is fixed - polynomial is given in \c y 
-//! coordinates 
+//! \c var = \c X_RANGE: \c y is fixed - polynomial is given in \c x
+//! coordinates, otherwise: \c x is fixed - polynomial is given in \c y
+//! coordinates
 template <class NT_, class Algebraic_curve_2_>
-void Subdivision_2<NT_, Algebraic_curve_2_>::get_range_AARD_1(int var, 
-	const NT& l_, const NT& r_, const Poly_1& poly,  NT& l1, NT& h1)
+void Subdivision_2<NT_, Algebraic_curve_2_>::get_range_AARD_1(int var,
+        const NT& l_, const NT& r_, const Poly_1& poly,  NT& l1, NT& h1)
 {
-	Vector_2 *der = &der_y;
-	if(var == X_RANGE) 
-		der = &der_x; 
-	NT low, up, l(l_), r(r_);
-	const_iterator_2 der_it_2 = der->end()-1; 
-	const_iterator_1 der_it, cache_it, begin;
-	if(poly.degree()==0) {
-		l1 = h1 = poly.lcoeff();
-		return;
-	}
-	low = up = poly.lcoeff() * (*der_it_2).lcoeff();
-	if(l > r) {
-		l = r_;
-		r = l_;
-	}
-	Affine_form f(l,r);
-	/*while((der_it_2--)!=der->begin()) {
-		// iterate through derivative coefficients
-		der_it = (*der_it_2).end()-1; 
-		begin = (*der_it_2).begin();
-		cache_it = poly.end()-1; // iterate through precomputed y-values
-		// if a derivative does not straddle zero we can 
-		// calculate the exact boundaries for f(x)		
-		if(low * up > 0) {
-			v1 = v2 = (*cache_it--) * (*der_it);
-			// calculate the ith derivative at xa and xb
-			while((der_it--)!=begin) {
-				v1 = v1 * l + (*cache_it) * (*der_it);
-				v2 = v2 * r + (*cache_it--) * (*der_it);
-			}
-			if(low < 0 && up < 0) { 
-				v = v1; 
-				v1 = v2; 
-				v2 = v; 
-			}
-			low = v1; 
-			up = v2;
-		} else { // use affine arithmetic to compute bounds
-			Affine_form<NT>	range(((*cache_it--) * (*der_it)));
-			// calculate the ith derivative using affine arithmetic	
-			while((der_it--)!=begin) 
-				range = (*cache_it--) * (*der_it) + (range * f);
-			range.convert(low,up);
-		}
-	}
-	if(low * up >= 0) {
-		Gfx_OUT << "+ " << std::endl;
-		v1 = evaluate(poly, l);
-		v2 = evaluate(poly, r); 
-		//Gfx_OUT << "v1 = " << v1 << " v2 = " << v2 << std::endl;
-		if(low < 0 && up < 0) { 
-			v = v1; 
-			v1 = v2; 
-			v2 = v; 
-		}
-		low = v1; 
-		up = v2;
-	} else */{ // use affine arithmetic to compute bounds
-		cache_it = poly.end()-1;
-		begin = poly.begin();
-		Affine_form res(*cache_it);
-		while((cache_it--)!=begin) 
-			res = (*cache_it) + (res * f);
-		res.convert(low,up);
-	}
-	l1 = low;
-	h1 = up;
-//std::cout << "AARD bounds: [" << low << "; " << up << "]" << std::endl;	
+        Vector_2 *der = &der_y;
+        if(var == X_RANGE)
+                der = &der_x;
+        NT low, up, l(l_), r(r_);
+        const_iterator_2 der_it_2 = der->end()-1;
+        const_iterator_1 der_it, cache_it, begin;
+        if(poly.degree()==0) {
+                l1 = h1 = poly.lcoeff();
+                return;
+        }
+        low = up = poly.lcoeff() * (*der_it_2).lcoeff();
+        if(l > r) {
+                l = r_;
+                r = l_;
+        }
+        Affine_form f(l,r);
+        /*while((der_it_2--)!=der->begin()) {
+                // iterate through derivative coefficients
+                der_it = (*der_it_2).end()-1;
+                begin = (*der_it_2).begin();
+                cache_it = poly.end()-1; // iterate through precomputed y-values
+                // if a derivative does not straddle zero we can
+                // calculate the exact boundaries for f(x)
+                if(low * up > 0) {
+                        v1 = v2 = (*cache_it--) * (*der_it);
+                        // calculate the ith derivative at xa and xb
+                        while((der_it--)!=begin) {
+                                v1 = v1 * l + (*cache_it) * (*der_it);
+                                v2 = v2 * r + (*cache_it--) * (*der_it);
+                        }
+                        if(low < 0 && up < 0) {
+                                v = v1;
+                                v1 = v2;
+                                v2 = v;
+                        }
+                        low = v1;
+                        up = v2;
+                } else { // use affine arithmetic to compute bounds
+                        Affine_form<NT>        range(((*cache_it--) * (*der_it)));
+                        // calculate the ith derivative using affine arithmetic
+                        while((der_it--)!=begin)
+                                range = (*cache_it--) * (*der_it) + (range * f);
+                        range.convert(low,up);
+                }
+        }
+        if(low * up >= 0) {
+                Gfx_OUT << "+ " << std::endl;
+                v1 = evaluate(poly, l);
+                v2 = evaluate(poly, r);
+                //Gfx_OUT << "v1 = " << v1 << " v2 = " << v2 << std::endl;
+                if(low < 0 && up < 0) {
+                        v = v1;
+                        v1 = v2;
+                        v2 = v;
+                }
+                low = v1;
+                up = v2;
+        } else */{ // use affine arithmetic to compute bounds
+                cache_it = poly.end()-1;
+                begin = poly.begin();
+                Affine_form res(*cache_it);
+                while((cache_it--)!=begin)
+                        res = (*cache_it) + (res * f);
+                res.convert(low,up);
+        }
+        l1 = low;
+        h1 = up;
+//std::cout << "AARD bounds: [" << low << "; " << up << "]" << std::endl;
 }
 
 //! \brief returns whether a polynomial has zero at a given interval,
 //! since we are not interested in concrete values
 //!
-//! flag \t der_check forces to calculate boundaries for the first 
+//! flag \t der_check forces to calculate boundaries for the first
 //! derivative instead of function itself. Caching is used if
 //! appropriate
 template <class NT_, class Algebraic_curve_2_>
-void Subdivision_2<NT_, Algebraic_curve_2_>::get_range_1(int var, 
-	const NT& lower, const NT& upper, const Poly_1& poly, NT& l, NT& h)
+void Subdivision_2<NT_, Algebraic_curve_2_>::get_range_1(int var,
+        const NT& lower, const NT& upper, const Poly_1& poly, NT& l, NT& h)
 {
-	//std::cout << "range for: [" << lower << "; " << upper << "] poly: " <<
-		//poly << std::endl;
-	get_range_AARD_1(var, lower, upper, poly, l, h);
+        //std::cout << "range for: [" << lower << "; " << upper << "] poly: " <<
+                //poly << std::endl;
+        get_range_AARD_1(var, lower, upper, poly, l, h);
 }
 
 //! precomputes some initial data, necessary for subsequent computations
 template <class NT_, class Algebraic_curve_2_>
 void Subdivision_2<NT_, Algebraic_curve_2_>::precompute()
 {
-	Intern::Max_coeff<Coeff> max_coeff;
-	Coeff mx1 = max_coeff(input_poly);
-	Intern::Transform<Poly_2, Coeff, Rational, 
-		typename SoX::Curve_renderer_traits<NT>::From_rational,
-		typename SoX::Curve_renderer_traits<NT>::Make_exact> tr;
-	tr.max = Rational(mx1);
-	coeffs_y = tr(input_poly);
-	// x - outer variable, y - inner
-	coeffs_x = transpose_bivariate_polynomial(coeffs_y); 
-	int degree_x = coeffs_x.degree(),
-		degree_y = coeffs_y.degree();
-	der_x.clear();
-	der_y.clear();
-	int i, j; 
-	max_deg = degree_x;
-	if(degree_y > max_deg) 
-		max_deg = degree_y;
-	NT *X = new NT[max_deg];
-	NT det(1.0);
-	std::cout << "start" << std::endl;
-	for(i = 0; i < degree_x; i++) {
-		if(i != 0) 
-			det = X[0];
-		for(j = 1; j <= degree_x - i; j++)
-			if(i == 0) 
-				X[j-1] = j;
-			else { 
-				X[j-1] = X[j] * j / det; // divide by the lowest coefficient ?
-				make_exact(X[j-1]);
-			}	
-		der_x.push_back(Poly_1(X,(X + degree_x - i)));
-	}
-	for(i = 0; i < degree_y; i++) {
-		if(i != 0) 
-			det = X[0];
-		for(j = 1; j <= degree_y - i; j++)
-			if(i == 0) 
-				X[j-1] = j; // divide by the lowest coefficient ?
-			else { 
-				X[j-1] = X[j] * j / det; 
-				make_exact(X[j-1]);
-			}
-		der_y.push_back(Poly_1(X,(X + degree_y - i)));
-	}
-	delete []X;
-	mixed_derivatives.clear();
-	// f, fx, fy, fxx, fxy, fyy, fxxx, fxxy, fxyy, fyyy, ...
-	mixed_derivatives.push_back(coeffs_y);
-	int idx = 0;
-	for(i = 1; i <= max_deg; i++)
-	{
-		mixed_derivatives.push_back(NiX::diff_x(mixed_derivatives[idx]));
-		for(j = 0; j < i; j++) 
+        Intern::Max_coeff<Coeff> max_coeff;
+        Coeff mx1 = max_coeff(input_poly);
+        Intern::Transform<Poly_2, Coeff, Rational,
+                typename SoX::Curve_renderer_traits<NT>::From_rational,
+                typename SoX::Curve_renderer_traits<NT>::Make_exact> tr;
+        tr.max = Rational(mx1);
+        coeffs_y = tr(input_poly);
+        // x - outer variable, y - inner
+        coeffs_x = transpose_bivariate_polynomial(coeffs_y);
+        int degree_x = coeffs_x.degree(),
+                degree_y = coeffs_y.degree();
+        der_x.clear();
+        der_y.clear();
+        int i, j;
+        max_deg = degree_x;
+        if(degree_y > max_deg)
+                max_deg = degree_y;
+        NT *X = new NT[max_deg];
+        NT det(1.0);
+        std::cout << "start" << std::endl;
+        for(i = 0; i < degree_x; i++) {
+                if(i != 0)
+                        det = X[0];
+                for(j = 1; j <= degree_x - i; j++)
+                        if(i == 0)
+                                X[j-1] = j;
+                        else {
+                                X[j-1] = X[j] * j / det; // divide by the lowest coefficient ?
+                                make_exact(X[j-1]);
+                        }
+                der_x.push_back(Poly_1(X,(X + degree_x - i)));
+        }
+        for(i = 0; i < degree_y; i++) {
+                if(i != 0)
+                        det = X[0];
+                for(j = 1; j <= degree_y - i; j++)
+                        if(i == 0)
+                                X[j-1] = j; // divide by the lowest coefficient ?
+                        else {
+                                X[j-1] = X[j] * j / det;
+                                make_exact(X[j-1]);
+                        }
+                der_y.push_back(Poly_1(X,(X + degree_y - i)));
+        }
+        delete []X;
+        mixed_derivatives.clear();
+        // f, fx, fy, fxx, fxy, fyy, fxxx, fxxy, fxyy, fyyy, ...
+        mixed_derivatives.push_back(coeffs_y);
+        int idx = 0;
+        for(i = 1; i <= max_deg; i++)
+        {
+                mixed_derivatives.push_back(NiX::diff_x(mixed_derivatives[idx]));
+                for(j = 0; j < i; j++)
 // compute fx^(i-j)y^(j), i.e. (i-j) times derivate by x; and j times
 // derivate by y
-		{
-			Poly_2 p = mixed_derivatives[idx+j];
-			p.diff();
-			mixed_derivatives.push_back(p);
-		}
-		idx += i;
-	}
-	std::cout << "finished" << std::endl;
-	polynomial_set = true;
-	/*typename std::vector<Poly_2>::const_iterator der_it = 
-		mixed_derivatives.end()-1;
-	for(i = max_deg; i >= 0; i--)
-	{
-		std::cout << i << "th mixed derivatives: " << std::endl;
-		for(j = 0; j < i+1; j++, der_it--)
-			std::cout << *der_it << std::endl;
-	}*/
+                {
+                        Poly_2 p = mixed_derivatives[idx+j];
+                        p.diff();
+                        mixed_derivatives.push_back(p);
+                }
+                idx += i;
+        }
+        std::cout << "finished" << std::endl;
+        polynomial_set = true;
+        /*typename std::vector<Poly_2>::const_iterator der_it =
+                mixed_derivatives.end()-1;
+        for(i = max_deg; i >= 0; i--)
+        {
+                std::cout << i << "th mixed derivatives: " << std::endl;
+                for(j = 0; j < i+1; j++, der_it--)
+                        std::cout << *der_it << std::endl;
+        }*/
 }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Make_x_monotone_2.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Make_x_monotone_2.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Make_x_monotone_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Make_x_monotone_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Make_x_monotone_2.h $
-// $Id: Make_x_monotone_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Make_x_monotone_2.h $
+// $Id: Make_x_monotone_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -288,7 +288,7 @@ private:
                     *oi++ = CGAL::make_object(construct_arc_2(pts[j], pts[j+1],
                                                               _m_curve));
                 // the last vertical ray
-                *oi++ = CGAL::make_object(construct_arc_2(pts[n-1], 
+                *oi++ = CGAL::make_object(construct_arc_2(pts[n-1],
                     CGAL::ARR_MAX_END, _m_curve));
             } else // unbounded vertical line
                 *oi++ = CGAL::make_object(construct_arc_2(x, _m_curve));
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Non_x_monotone_arc_2.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Non_x_monotone_arc_2.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Non_x_monotone_arc_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Non_x_monotone_arc_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -1,10 +1,10 @@
-// Copyright (c) 2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany), 
+// Copyright (c) 2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany),
 // and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Non_x_monotone_arc_2.h $
-// $Id: Non_x_monotone_arc_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Non_x_monotone_arc_2.h $
+// $Id: Non_x_monotone_arc_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -15,7 +15,7 @@
 
 /*!\file include/CGAL/Curved_kernel_via_analysis_2/Non_x_monotone_arc_2.h
  * \brief defines class \c Non_x_monotone_arc_2
- *  
+ *
  * non x-monotone arc of a generic curve
  */
 
@@ -30,13 +30,13 @@ namespace CGAL {
 namespace internal {
 
 template < class CurvedKernelViaAnalysis_2 >
-class Non_x_monotone_arc_2_rep { 
+class Non_x_monotone_arc_2_rep {
 
 public:
 
     // this instance's first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
-    
+
     // myself
     typedef Non_x_monotone_arc_2_rep< Curved_kernel_via_analysis_2 > Self;
 
@@ -46,7 +46,7 @@ public:
     // a list of x-monotone arcs
     typedef std::vector< Arc_2 > Arc_vector;
 
-public:    
+public:
 
     /*!\brief
      * Default constructor
@@ -54,14 +54,14 @@ public:
     Non_x_monotone_arc_2_rep() {
     }
 
-    /*!\brief 
+    /*!\brief
      * constructs from one x-monotone arc
      */
     Non_x_monotone_arc_2_rep(const Arc_2& arc) {
         _m_x_monotone_arcs.push_back(arc);
     }
 
-    /*!\brief 
+    /*!\brief
      * constructs a non x-monotone arc from the list of x-monotone pieces
      */
     template <class InputIterator>
@@ -89,11 +89,11 @@ template < class CurvedKernelViaAnalysis
         class Rep_  = Non_x_monotone_arc_2_rep< CurvedKernelViaAnalysis_2 > >
 class Non_x_monotone_arc_2 :
     public CGAL::Handle_with_policy< Rep_ > {
-    
+
 public:
     //!\name public typedefs
     //!@{
-    
+
     //! this instance's first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
@@ -102,14 +102,14 @@ public:
 
     //! this instance itself
     typedef Non_x_monotone_arc_2< Curved_kernel_via_analysis_2, Rep > Self;
-    
+
     //! type of curve kernel
     typedef typename Curved_kernel_via_analysis_2::Curve_kernel_2
         Curve_kernel_2;
-       
+
     //! type of analysis of a pair of curves
     typedef typename Curve_kernel_2::Curve_analysis_2 Curve_analysis_2;
-    
+
     //! type of a point on generic curve
     typedef typename Curved_kernel_via_analysis_2::Point_2 Point_2;
 
@@ -118,7 +118,7 @@ public:
 
     //! iterator type to range through the list of x-monotone arcs
     typedef typename Rep::Arc_vector::const_iterator Arc_const_iterator;
-    
+
     //! the handle superclass
     typedef ::CGAL::Handle_with_policy< Rep > Base;
 
@@ -130,8 +130,8 @@ public:
     /*!\brief
      * Default constructor
      */
-    Non_x_monotone_arc_2() : 
-        Base(Rep()) {   
+    Non_x_monotone_arc_2() :
+        Base(Rep()) {
     }
 
     /*!\brief
@@ -139,7 +139,7 @@ public:
      */
 #ifdef DOXYGEN_RUNNING
     Non_x_monotone_arc_2(const Self& a) :
-        Base(static_cast<const Base&>(a)) {  
+        Base(static_cast<const Base&>(a)) {
     }
 #endif
 
@@ -155,7 +155,7 @@ public:
      * iterator range <tt>[start; end)</tt>
      *
      * template argument type of \c InputIterator is \c Arc_2
-     * 
+     *
      * \pre the x-monotone arcs must be connected into a single chain
      * \pre either all x-monotone arcs must be vertical or non-vertical
      */
@@ -188,19 +188,19 @@ public:
 public:
     //! \name Access functions
     //!@{
-    
+
     /*!\brief
      * returns the number of x-monotone arcs this object consists of
      */
     int number_of_x_monotone_arcs() const {
         return static_cast<int>(this->ptr()->_m_x_monotone_arcs.size());
     }
-    
+
     /*!\brief
      * returns iterator pointing to the first x-monotone arc in the list
      */
     Arc_const_iterator begin() const {
-        return this->ptr()->_m_x_monotone_arcs.begin(); 
+        return this->ptr()->_m_x_monotone_arcs.begin();
     }
 
     /*!\brief
@@ -219,7 +219,7 @@ public:
         CGAL_precondition(i < number_of_x_monotone_arcs());
         return this->ptr()->_m_x_monotone_arcs[i];
     }
-#endif	
+#endif
 
     /*!\brief
      * returns the supporting curve
@@ -235,13 +235,13 @@ public:
     bool is_vertical() const {
         CGAL_precondition(number_of_x_monotone_arcs() > 0);
         return this->ptr()->_m_x_monotone_arcs[0].is_vertical();
-    } 
-    
+    }
+
     //!@}
 }; // Non_x_monotone_arc_2
 
 /*!\relates Non_x_monotone_arc_2
- * \brief 
+ * \brief
  * output operator
  */
 template < class CurvedKernelViaAnalysis_2, class Rep_>
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Point_2.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Point_2.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Point_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Point_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -1,10 +1,10 @@
-// Copyright (c) 2007,2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany), 
+// Copyright (c) 2007,2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany),
 // and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Point_2.h $
-// $Id: Point_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Point_2.h $
+// $Id: Point_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -36,7 +36,7 @@ namespace CGAL {
 namespace internal {
 
 // forward class declaration
-template < class CurvedKernelViaAnalysis_2, class Rep_ > 
+template < class CurvedKernelViaAnalysis_2, class Rep_ >
 class Point_2;
 
 // forward class declaration
@@ -52,62 +52,62 @@ class Arc_2;
  * representation class for Point_2
  */
 template < class CurvedKernelViaAnalysis_2 >
-class Point_2_rep 
+class Point_2_rep
 {
 public:
     //! this instance's template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
-    
+
     //! the class itself
     typedef Point_2_rep< Curved_kernel_via_analysis_2 > Self;
 
     //! type of curve kernel
-    typedef typename Curved_kernel_via_analysis_2::Curve_kernel_2 
+    typedef typename Curved_kernel_via_analysis_2::Curve_kernel_2
     Curve_kernel_2;
 
     //! type of x-coordinate
     typedef typename Curve_kernel_2::Coordinate_1 Coordinate_1;
-    
+
     //! type of a finite point on curve
     typedef typename Curve_kernel_2::Coordinate_2 Coordinate_2;
 
     //! type of curve analysis
     typedef typename Curve_kernel_2::Curve_analysis_2 Curve_analysis_2;
-        
+
     //! default constructor
     Point_2_rep() {
     }
-    
+
     //! constructs a "finite" point on curve,
     //! implies CGAL::NO_BOUNDARY in x/y
-    Point_2_rep(const Coordinate_2& xy) : 
+    Point_2_rep(const Coordinate_2& xy) :
         _m_xy(xy), _m_location(CGAL::ARR_INTERIOR) {
     }
 
     //! constructs a point at +/-oo in x
     Point_2_rep(CGAL::Arr_curve_end inf_end, const Curve_analysis_2& c,
                 int arcno) :
-        _m_curve(c), 
+        _m_curve(c),
         _m_arcno(arcno) {
         _m_location = (inf_end == CGAL::ARR_MIN_END ?
                        CGAL::ARR_LEFT_BOUNDARY : CGAL::ARR_RIGHT_BOUNDARY);
     }
-    
+
     //! constructs a point on curve with y-coordinate at infinity
-    Point_2_rep(const Coordinate_1& x, const Curve_analysis_2& c, 
+    Point_2_rep(const Coordinate_1& x, const Curve_analysis_2& c,
                 CGAL::Arr_curve_end inf_end) :
         _m_x(x),
         _m_curve(c) {
         _m_location = (inf_end == CGAL::ARR_MIN_END ?
                        CGAL::ARR_BOTTOM_BOUNDARY : CGAL::ARR_TOP_BOUNDARY);
-        
+
     }
 
-    //! curve point finite coordinates. They are valid only if boundary in y 
+    //! curve point finite coordinates. They are valid only if boundary in y
     //! is not set (CGAL::NO_BOUNDARY), otherwise only x-coordinate is
     //! accessible, i.e., point is in interior
     boost::optional< Coordinate_2 > _m_xy;
-        
+
     //! x-coordinate of a curve point
     boost::optional< Coordinate_1 > _m_x;
 
@@ -124,21 +124,21 @@ public:
     mutable boost::optional< std::pair< double, double > > _m_doubles;
 };
 
-/*!\brief 
+/*!\brief
  * Class defines a point on a curve that can be analyzed
- * 
- * Only points with finite coordinates can be constructed explicitly 
+ *
+ * Only points with finite coordinates can be constructed explicitly
  * (by the user). Points on the boundary use special private constructors to
  * to represent ends of curve arcs on the boundary.
  */
-template <class CurvedKernelViaAnalysis_2, 
+template <class CurvedKernelViaAnalysis_2,
           class Rep_ = internal::Point_2_rep<CurvedKernelViaAnalysis_2> >
-class Point_2 : 
+class Point_2 :
         public CGAL::Handle_with_policy< Rep_ > {
 public:
     //!\name Public types
     //!@{
-    
+
     //! this instance's first template parameter
     typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
 
@@ -147,23 +147,23 @@ public:
 
     //! this instance itself
     typedef Point_2< Curved_kernel_via_analysis_2, Rep > Self;
-    
+
     //! type of underlying curve kernel
     typedef typename Curved_kernel_via_analysis_2::Curve_kernel_2
         Curve_kernel_2;
-    
+
     //! type of an x-coordinate
     typedef typename Curve_kernel_2::Coordinate_1 Coordinate_1;
-    
+
     //! type of an xy-coordinate
     typedef typename Curve_kernel_2::Coordinate_2 Coordinate_2;
-    
+
     //! type that analyzes a curve
     typedef typename Curve_kernel_2::Curve_analysis_2 Curve_analysis_2;
-    
+
     //! the handle superclass
     typedef ::CGAL::Handle_with_policy< Rep > Base;
-    
+
     //! type of kernel point
     typedef typename Curved_kernel_via_analysis_2::Point_2 Kernel_point_2;
 
@@ -176,7 +176,7 @@ public:
 public:
     //!\name Rebind
     //!@{
-    
+
     /*!\brief
      * An auxiliary structure for rebinding the point with a new rep
      */
@@ -192,13 +192,13 @@ public:
 
         //! the rebound type
         typedef Point_2< New_curved_kernel_via_analysis_2, NewRep > Other;
-        
+
         //! the rebound point
-        typedef typename New_curved_kernel_via_analysis_2::Point_2 
+        typedef typename New_curved_kernel_via_analysis_2::Point_2
         Rebound_point_2;
-        
+
         /*!\brief
-         * constructs a point of type \c Rebound_point_2 from the point \c pt 
+         * constructs a point of type \c Rebound_point_2 from the point \c pt
          * of type \c Self.
          *
          * All known items of the base class rep will be copied.
@@ -215,7 +215,7 @@ public:
 
         // TODO move to SfP_2l
         /*!\brief
-         * reverse rebind, i.e., extracts original point type from a 
+         * reverse rebind, i.e., extracts original point type from a
          * rebound instance
          */
         Self operator()(const Rebound_point_2& pt) {
@@ -232,9 +232,9 @@ public:
             return Self(rep);
         }
     };
-    
+
     //!@}
-    
+
 public:
     //!\name Standard constructors
     //!@{
@@ -242,16 +242,16 @@ public:
     /*!\brief
      * Default constructor
      */
-    Point_2() : 
-        Base(Rep()) {   
+    Point_2() :
+        Base(Rep()) {
     }
 
     /*!\brief
      * copy constructor
      */
-#ifdef DOXYGEN_RUNNING  
-    Point_2(const Self& p) : 
-            Base(static_cast<const Base&>(p)) {  
+#ifdef DOXYGEN_RUNNING
+    Point_2(const Self& p) :
+            Base(static_cast<const Base&>(p)) {
     }
 #endif
     //!@}
@@ -259,11 +259,11 @@ public:
 public:
     //!\name Usual constructors
     //!@{
-    
-    /*!\brief 
+
+    /*!\brief
      * Constructs an interior point
      *
-     * \param x The x-coordinate 
+     * \param x The x-coordinate
      * \param c The supporting curve
      * \param arcno Arcno of point on \c c
      * \return The constructed point
@@ -276,23 +276,23 @@ public:
     Point_2(const T& x, const T& y) :
       // TODO use default kernel
          Base(Rep(Curved_kernel_via_analysis_2::instance().kernel().
-		  construct_algebraic_real_2_object()(x,y)))
+                  construct_algebraic_real_2_object()(x,y)))
     {
     }
 
 
 
-    // FUTURE TODO allow to construct without curve, 
+    // FUTURE TODO allow to construct without curve,
     // i.e, isolated points on toric identifications -> do it also for arcs
     // FUTURE TODO parameter space in x/y (full set of tasks)
-    
+
     //!@}
 
 public: // was protected:
     //!\name Special constructors for points on the boundary
     //!@{
-    
-    /*!\brief 
+
+    /*!\brief
      * Constructs a point with x-coordinate at the left/right boundary
      *
      * \param inf_end Determines whether point is on left or right boundary
@@ -300,30 +300,30 @@ public: // was protected:
      * \param arcno Arcno of point on \c on left/right boundary
      * \return The constructed point
      */
-    Point_2(CGAL::Arr_curve_end inf_end, 
+    Point_2(CGAL::Arr_curve_end inf_end,
             const Curve_analysis_2& c, int arcno) :
         Base(Rep(inf_end, c, arcno)) {
     }
-    
-    /*!\brief 
+
+    /*!\brief
      * Constructs a point on bottom or top boundary
-     * 
+     *
      * \param x The x-coordinate of point
      * \param c The supporting curve
      * \param inf_end Defines whether point is on bottom or top boundary
      * \return The constructed point
      */
-    Point_2(const Coordinate_1& x, const Curve_analysis_2& c, 
+    Point_2(const Coordinate_1& x, const Curve_analysis_2& c,
             CGAL::Arr_curve_end inf_end) :
         Base(Rep(x, c, inf_end)) {
     }
-    
+
     //!@}
 
 protected:
     //!\name Constructors for rebind
     //!@{
-    
+
     /*!\brief
      * constructs from a given represenation
      */
@@ -333,12 +333,12 @@ protected:
      * \param rep The representation
      * \return The constructed point
      */
-    Point_2(Rep rep) : 
-        Base(rep) {  
+    Point_2(Rep rep) :
+        Base(rep) {
     }
-    
+
     //!@}
-       
+
 public:
     //!\name Destructors
     //!@{
@@ -348,20 +348,20 @@ public:
      */
     virtual ~Point_2() {
     }
-    
+
     //!@}
 
 public:
     //!\name Access members
     //!@{
 
-    /*!\brief 
+    /*!\brief
      * Access to the point's x-coordinate (y-coordinate can be undefined)
-     * 
+     *
      * \return The stored x-coordinate
      * \pre the point's x must be finite
      */
-    inline 
+    inline
     const Coordinate_1& x() const {
         CGAL_precondition_msg(
                 this->ptr()->_m_xy || this->ptr()->_m_x,
@@ -370,14 +370,14 @@ public:
         return (is_finite() ?
                 (*(this->ptr()->_m_xy)).x() : *(this->ptr()->_m_x));
     }
-    
-    /*!\brief 
+
+    /*!\brief
      * Access to underlying \c Coordinate_2 object
      *
      * \return The stored xy-coordinate
      * \pre The xy-coordinates must be finite
      */
-    inline 
+    inline
     const Coordinate_2& xy() const {
         CGAL_precondition_msg(bool(this->ptr()->_m_xy),
             "Denied access to the curve end lying at x/y-infinity");
@@ -393,35 +393,35 @@ public:
      *
      * \return supporting curve of point
      */
-    inline 
+    inline
     Curve_analysis_2 curve() const {
         CGAL_precondition_msg(
                 this->ptr()->_m_xy || this->ptr()->_m_curve,
                 "Denied access to the curve end lying at y-infinity");
-        return (is_finite() ? 
+        return (is_finite() ?
                 (*(this->ptr()->_m_xy)).curve() : *(this->ptr()->_m_curve));
     }
-    
+
     /*!\brief
      * Arc number of point on a curve
      *
      * \return arcno of point
-     * \pre Is not endpoint of a vertical ray or branch 
-     */ 
+     * \pre Is not endpoint of a vertical ray or branch
+     */
     inline int arcno() const {
         CGAL_precondition_msg(this->ptr()->_m_xy ||
                               this->ptr()->_m_arcno,
             "Denied access to the curve end lying at y-infinity");
-        return (is_finite() ? 
+        return (is_finite() ?
                 (*(this->ptr()->_m_xy)).arcno() : *(this->ptr()->_m_arcno));
     }
-    
+
     //!@}
 
-public: 
+public:
     //!\name Methods for location
     //!@{
-    
+
     /*!\brief
      * sets location of a point in parameter space to \c loc
      *
@@ -432,16 +432,16 @@ public:
     void set_location(CGAL::Arr_parameter_space loc) const {
         this->ptr()->_m_location = loc;
     }
-    
+
     /*!\brief
      * location of a point in parameter space
      *
      * \return location in parameter space
      */
-    inline CGAL::Arr_parameter_space location() const { 
-        return this->ptr()->_m_location; 
-    } 
-    
+    inline CGAL::Arr_parameter_space location() const {
+        return this->ptr()->_m_location;
+    }
+
     /*!\brief
      * checks if the point lies on left/right boundary
      *
@@ -451,7 +451,7 @@ public:
         return (location() == CGAL::ARR_LEFT_BOUNDARY ||
                 location() == CGAL::ARR_RIGHT_BOUNDARY);
     }
-    
+
     /*!\brief
      * checks if the point lies on bottom/top boundary
      *
@@ -467,13 +467,13 @@ public:
      *
      * \return \c true, if point is finite, \c false otherwise
      */
-    inline 
+    inline
     bool is_finite() const {
         return bool(this->ptr()->_m_xy);
     }
-    
-    //!@}      
-    
+
+    //!@}
+
     //!\name Predicates
     //!@{
 
@@ -483,7 +483,7 @@ public:
 
     /*!\brief
      * Compares x-coordinates of this point with \c q
-     * 
+     *
      * \param q The other point
      * \return CGAL::LARGER if x(*this) > x(q);
      *         CGAL::SMALLER if x(*this) \< x(q);
@@ -501,19 +501,19 @@ public:
         return compare_x_2(*dynamic_cast< const Kernel_point_2* >(this), q);
     }
 
-    /*!\brief 
+    /*!\brief
      * Compares this point with \c q lexicographically
-     * 
+     *
      * \param q The other point
-     * \return CGAL::LARGER if x(*this) > x(q), 
+     * \return CGAL::LARGER if x(*this) > x(q),
      *                      or if x(*this) = x(q) and y(*this) > y(q);
-     *         CGAL::SMALLER if x(*this) \< x(q), 
+     *         CGAL::SMALLER if x(*this) \< x(q),
      *                       or if x(*this) = x(q) and y(*this) \< y(q);
      *         CGAL::EQUAL if the two points are equal.
      * \pre Compared points are in the interior of parameter space
      */
     inline
-    CGAL::Comparison_result compare_xy(const Kernel_point_2& q, 
+    CGAL::Comparison_result compare_xy(const Kernel_point_2& q,
                                        bool equal_x = false) const {
         CGAL_precondition(bool(this->ptr()->_m_xy));
         CGAL_precondition(bool(q.ptr()->_m_xy));
@@ -526,13 +526,13 @@ public:
         );
     }
 
-    /*!\brief 
+    /*!\brief
      * Checks if a point lies on on a curve
      *
      * \param curve The curve to check
      * \return \c true, if *this lies on \c curve, \c false otherwise
      */
-    inline 
+    inline
     bool is_on(
          const typename Curved_kernel_via_analysis_2::Curve_2& curve
     ) const {
@@ -545,7 +545,7 @@ public:
     }
 
 #undef CGAL_CKvA_2_GRAB_CK_FUNCTOR_FOR_POINT
-    
+
     //!@}
 
     //!\name Comparison operators for points in the interior of parameter space
@@ -553,22 +553,22 @@ public:
 
     //! equality
     inline
-    bool operator == (const Kernel_point_2& q) const { 
+    bool operator == (const Kernel_point_2& q) const {
         return this->compare_xy(q) == CGAL::EQUAL;
     }
-    
+
     //! inequality
     inline
     bool operator != (const Kernel_point_2& q) const {
         return this->compare_xy(q) != CGAL::EQUAL;
     }
-    
+
     //! less than in (x,y) lexicographic order
     inline
     bool operator <  (const Kernel_point_2& q) const {
         return this->compare_xy(q) == CGAL::SMALLER;
     }
-    
+
     //! less-equal in (x,y) lexicographic order
     inline
     bool operator <= (const Kernel_point_2& q) const {
@@ -586,13 +586,13 @@ public:
     bool operator >= (const Kernel_point_2& q) const {
         return this->compare_xy(q) != CGAL::SMALLER;
     }
-    
+
     //!@}
 
     //!\name Approximation
     //!@{
-  
-    /*!\brief 
+
+    /*!\brief
      * pair of doubles approximating the coordinates
      */
     std::pair< double, double > to_double() const {
@@ -602,33 +602,33 @@ public:
       }
       return *(this->ptr()->_m_doubles);
     }
-  
+
     //!@}
 
 
 public:
     //!\name IO
     //!@{
-    
+
     /*!\brief
      * writes point to \c os
      */
     void write(std::ostream& os) const {
-        
+
         switch(::CGAL::get_mode(os)) {
         case ::CGAL::IO::PRETTY:
             os << "point@" << this->id() << "(";
             os << "sup@" << this->curve().id() << "; ";
             os << "loc=" << this->location() << "; ";
             os << std::flush;
-            // write x value 
-            switch (this->location()) { 
-            case CGAL::ARR_TOP_BOUNDARY: 
-            case CGAL::ARR_BOTTOM_BOUNDARY: 
+            // write x value
+            switch (this->location()) {
+            case CGAL::ARR_TOP_BOUNDARY:
+            case CGAL::ARR_BOTTOM_BOUNDARY:
             case CGAL::ARR_INTERIOR: {
-              os << "x=" << this->x().to_double()<< "; "; 
+              os << "x=" << this->x().to_double()<< "; ";
               break;
-            } 
+            }
             case CGAL::ARR_LEFT_BOUNDARY: {
               os << "x=-oo; ";
               break;
@@ -638,17 +638,17 @@ public:
               break;
             }
             default:{
-              // bogus location 
+              // bogus location
               CGAL_assertion(false);
-            }}  
+            }}
             os << std::flush;
-            
-            // write y value 
+
+            // write y value
             switch (this->location()) {
             case CGAL::ARR_INTERIOR: {
-              os << "y=" << this->xy().to_double().second<< "; "; ; 
+              os << "y=" << this->xy().to_double().second<< "; "; ;
               break;
-            }  
+            }
             case CGAL::ARR_TOP_BOUNDARY: {
               os << "y=+oo; ";
               break;
@@ -657,34 +657,34 @@ public:
               os << "y=-oo; ";
               break;
             }
-            case CGAL::ARR_LEFT_BOUNDARY: 
+            case CGAL::ARR_LEFT_BOUNDARY:
             case CGAL::ARR_RIGHT_BOUNDARY: {
-              CGAL::Object obj = 
+              CGAL::Object obj =
                 this->curve().asymptotic_value_of_arc(
                     this->location(), this->arcno()
                 );
               CGAL::Arr_parameter_space ps;
               if (CGAL::assign(ps, obj)) {
                 if (ps == CGAL::ARR_BOTTOM_BOUNDARY) {
-                  os << "y=-oo(asym)"<< "; "; 
+                  os << "y=-oo(asym)"<< "; ";
                 } else {
-                  os << "y=+oo(asym)"<< "; "; 
+                  os << "y=+oo(asym)"<< "; ";
                 }
               } else {
                 Coordinate_1 y;
                 CGAL_assertion_code(bool check =)
                   CGAL::assign(y, obj);
                 CGAL_assertion(check);
-                os << "y=" << CGAL::to_double(y) << "(asym)" << "; "; 
+                os << "y=" << CGAL::to_double(y) << "(asym)" << "; ";
               }
               break;
               os << "y=??; ";
               break;
             }
             default:{
-              // bogus location 
+              // bogus location
               CGAL_assertion(false);
-            }}  
+            }}
             os << std::flush;
             if (this->ptr()->_m_xy || this->ptr()->_m_arcno) {
                 os << "ARCNO=" << this->arcno();
@@ -698,7 +698,7 @@ public:
             std::cerr << "BINARY format not yet implemented" << std::endl;
             break;
         default:
-          // ASCII 
+          // ASCII
           os << "Point_2(";
 
           os << this->ptr()->_m_xy;
@@ -721,11 +721,11 @@ public:
    * reads point from \c is
    */
   void read(std::istream& is) {
-    
+
     CGAL_precondition(CGAL::is_ascii(is));
-    
+
     Rep rep;
-    
+
     // read "Point_2("
     swallow(is, 'P');
     swallow(is, 'o');
@@ -772,10 +772,10 @@ public:
 
     // read the ')'
     swallow(is, ')');
-    
+
     *this = Point_2< Curved_kernel_via_analysis_2, Rep >(rep);
   }
-  
+
   //! @}
     // friends ////////////////////////////////////////////////////////////////
 
@@ -785,16 +785,16 @@ public:
     //friend class Non_x_monotone_arc_2< Curved_kernel_via_analysis_2 >;
 
     // befriending the functors
-    
+
 #if defined(_MSC_VER)
 #define CGAL_BEFRIEND_CKvA_2_FUNCTOR(Z) \
   friend typename Curved_kernel_via_analysis_2::Z;  \
   friend typename Curved_kernel_via_analysis_2_Functors::Z< Curved_kernel_via_analysis_2 >
 #else // defined(_MSC_VER) || defined(__clang__) || defined(__INTEL_COMPILER)
 #define CGAL_BEFRIEND_CKvA_2_FUNCTOR(Z) \
-  friend class Curved_kernel_via_analysis_2_Functors::Z< Curved_kernel_via_analysis_2 > 
+  friend class Curved_kernel_via_analysis_2_Functors::Z< Curved_kernel_via_analysis_2 >
 #endif // defined(_MSC_VER) || defined(__clang__) || defined(__INTEL_COMPILER)
-    
+
     CGAL_BEFRIEND_CKvA_2_FUNCTOR(Construct_point_2);
     CGAL_BEFRIEND_CKvA_2_FUNCTOR(Compare_x_2);
     CGAL_BEFRIEND_CKvA_2_FUNCTOR(Compare_xy_2);
@@ -805,13 +805,13 @@ public:
 
 
 /*!\relates Point_2
- * \brief 
- * writes \c pt to \c os 
+ * \brief
+ * writes \c pt to \c os
  */
 template < class CurvedKernelViaAnalysis_2, class Rep_ >
 std::ostream& operator <<(std::ostream& os,
     const Point_2< CurvedKernelViaAnalysis_2, Rep_ >& pt) {
-    
+
   pt.write(os);
   return os;
 }
@@ -820,16 +820,16 @@ std::ostream& operator <<(std::ostream&
 //! \brief Reads the objects from stream.
 template < class CurvedKernelViaAnalysis_2, class Rep_ >
 std::istream& operator>> (
-    std::istream& is, 
+    std::istream& is,
     Point_2< CurvedKernelViaAnalysis_2, Rep_ >& pt) {
 
   CGAL_precondition(CGAL::is_ascii(is));
-  
+
   //typedef CurvedKernelViaAnalysis_2 Curved_kernel_via_analysis_2;
   //typedef Rep_ Rep;
-  
+
   pt.read(is);
-  
+
   return is;
 }
 
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Sweep_curves_adapter_2.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Sweep_curves_adapter_2.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/Sweep_curves_adapter_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/Sweep_curves_adapter_2.h	2020-08-01 19:02:12.000000000 +0000
@@ -1,10 +1,10 @@
-// Copyright (c) 2007,2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany), 
+// Copyright (c) 2007,2008,2009,2010,2011 Max-Planck-Institute Saarbruecken (Germany),
 // and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Sweep_curves_adapter_2.h $
-// $Id: Sweep_curves_adapter_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/Sweep_curves_adapter_2.h $
+// $Id: Sweep_curves_adapter_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -53,7 +53,7 @@ class Compare_xy_2
 
 public:
     typedef CGAL::Comparison_result result_type;
-    
+
     //! standard constructor
     Compare_xy_2(SweepCurvesAdapter_2 *adapter) :
         _m_adapter(adapter) {
@@ -71,7 +71,7 @@ public:
      * \param p1 The first point.
      * \param p2 The second point.
      * \return LARGER if x(p1) > x(p2), or if x(p1) = x(p2) and y(p1) > y(p2);
-     *         SMALLER if x(p1) \< x(p2), or if x(p1) = x(p2) and 
+     *         SMALLER if x(p1) \< x(p2), or if x(p1) = x(p2) and
      *                   y(p1) \< y(p2);
      *         EQUAL if the two points are equal.
      */
@@ -79,7 +79,7 @@ public:
     {
         if(p1.is_identical(p2))
             return CGAL::EQUAL;
-    
+
         typedef typename SweepCurvesAdapter_2::Native_arc_2 Native_arc_2;
         typename SweepCurvesAdapter_2::Native_point_2 pt;
         Native_arc_2 arc;
@@ -101,7 +101,7 @@ public:
             arc = p1.arc();
             end = p1.curve_end();
             loc1 = arc.location(end);
- 
+
             if(!p2.is_finite()) { // both points lie at infinity
                 loc2 = p2.arc().location(p2.curve_end());
                 if(Native_arc_2::is_on_left_right(loc1)) {
@@ -119,7 +119,7 @@ public:
                     if(res == CGAL::EQUAL && end == p2.curve_end() &&
                             loc1 != loc2) {
                         return (loc1 == CGAL::ARR_BOTTOM_BOUNDARY ?
-                            CGAL::SMALLER : CGAL::LARGER);        
+                            CGAL::SMALLER : CGAL::LARGER);
                     }
                     return res;
                 }
@@ -138,14 +138,14 @@ public:
             // compares a finite point with a curve end at y=+/-oo:
             res = _m_adapter->kernel().kernel().compare_1_object()
                 (pt.x(), arc.curve_end_x(end));
-                
+
             if(res == CGAL::EQUAL) // in case of equality use boundary types:
                 res = (loc1 == CGAL::ARR_BOTTOM_BOUNDARY ? CGAL::LARGER :
                     CGAL::SMALLER);
         }
         return (inverse ? -res : res);
     }
-    
+
 private:
     SweepCurvesAdapter_2 *_m_adapter;
 };
@@ -157,7 +157,7 @@ class Less_xy_2
 
 public:
     typedef bool result_type;
-    
+
     //! standard constructor
     Less_xy_2(SweepCurvesAdapter_2 *adapter) :
         _m_adapter(adapter) {
@@ -170,7 +170,7 @@ public:
     result_type operator()(const Point_2& p1, const Point_2& p2) const {
         return (_m_adapter->compare_xy_2_object()(p1, p2) == CGAL::SMALLER);
     }
-    
+
 private:
     SweepCurvesAdapter_2 *_m_adapter;
 };
@@ -180,10 +180,10 @@ class Compare_y_at_x_2
 {
     typedef typename SweepCurvesAdapter_2::Generic_point_2 Point_2;
     typedef typename SweepCurvesAdapter_2::Generic_arc_2 Arc_2;
-   
+
 public:
     typedef CGAL::Comparison_result result_type;
-    
+
     //! standard constructor
     Compare_y_at_x_2(SweepCurvesAdapter_2 *adapter) :
         _m_adapter(adapter) {
@@ -240,7 +240,7 @@ public:
         CGAL::Arr_curve_end end = p.curve_end(), end2;
        // CGAL::Boundary_type bnd_x = p.arc().boundary_in_x(end);
         CGAL::Arr_parameter_space locp = p.arc().location(end);
-        
+
         if(Native_arc_2::is_on_left_right(locp)) {
             CGAL_precondition(locp == cv.arc().location(end));
             // compare two curve ends at +/-oo in x
@@ -275,7 +275,7 @@ public:
             // arc is vertical => infinite end coincides
             return CGAL::EQUAL; // two vertical arcs => coincide
         }
-        
+
         CGAL_precondition_msg(end == end2, "Point is not within the arc's "
             "x-range");
 
@@ -291,11 +291,11 @@ public:
         if(locp == cv.arc().location(end2) &&
                 !p.arc().is_vertical() && !cv.arc().is_vertical())
         if((end == CGAL::ARR_MAX_END && locp == CGAL::ARR_TOP_BOUNDARY) ||
-           (end == CGAL::ARR_MIN_END && locp == CGAL::ARR_BOTTOM_BOUNDARY)) 
+           (end == CGAL::ARR_MIN_END && locp == CGAL::ARR_BOTTOM_BOUNDARY))
             res = -res;
         return res;
     }
-    
+
 private:
     SweepCurvesAdapter_2 *_m_adapter;
 
@@ -306,10 +306,10 @@ class Equal_y_at_x_2
 {
     typedef typename SweepCurvesAdapter_2::Generic_point_2 Point_2;
     typedef typename SweepCurvesAdapter_2::Generic_arc_2 Arc_2;
-   
+
 public:
     typedef bool result_type;
-    
+
     //! standard constructor
     Equal_y_at_x_2(SweepCurvesAdapter_2 *adapter) :
         _m_adapter(adapter) {
@@ -323,7 +323,7 @@ public:
     {
         return (_m_adapter->compare_y_at_x_2_object()(cv, p) == CGAL::EQUAL);
     }
-    
+
 private:
     SweepCurvesAdapter_2 *_m_adapter;
 
@@ -334,17 +334,17 @@ class Multiplicity_of_intersection_2 {
 
     typedef typename SweepCurvesAdapter_2::Generic_point_2 Point_2;
     typedef typename SweepCurvesAdapter_2::Generic_arc_2 Arc_2;
-   
+
 public:
     typedef int result_type;
-    
+
     //! standard constructor
     Multiplicity_of_intersection_2(SweepCurvesAdapter_2 *) {
     }
 
-    /*!\brief 
+    /*!\brief
      * multiplicity of intersection
-     * 
+     *
      * The intersection multiplicity of \c *this and \c cv2 at point \c p is
      * returned.
      *
@@ -369,25 +369,25 @@ class Compare_y_right_of_point_2
 {
     typedef typename SweepCurvesAdapter_2::Generic_point_2 Point_2;
     typedef typename SweepCurvesAdapter_2::Generic_arc_2 Arc_2;
-   
+
 public:
     typedef CGAL::Comparison_result result_type;
-    
+
     //! standard constructor
     Compare_y_right_of_point_2(SweepCurvesAdapter_2 *) {
     }
 
     /*!
-     * Compares the y value of two x-monotone curves immediately 
+     * Compares the y value of two x-monotone curves immediately
      * to the right of their intersection point. If one of the curves is
      * vertical (emanating upward from p), it's always considered to be above
      * the other curve.
      * \param cv1 The first curve.
      * \param cv2 The second curve.
      * \param p The intersection point.
-     * \pre The point p lies on both curves, and both of them must be 
+     * \pre The point p lies on both curves, and both of them must be
      * also be defined (lexicographically) to its right.
-     * \return The relative position of cv1 with respect to 
+     * \return The relative position of cv1 with respect to
      * cv2 immdiately to the right of p: SMALLER, LARGER or EQUAL.
      */
     result_type operator()(const Arc_2& cv1, const Arc_2& cv2,
@@ -395,7 +395,7 @@ public:
 
         SCA_CERR("Compare_y_right_of_point_2: cv1: " << cv1 << "\n cv2: " <<
             cv2 << "\n pt: " << p << std::endl);
-            
+
         CGAL_precondition(!cv1.is_degenerate());
         CGAL_precondition(!cv2.is_degenerate());
         CGAL_precondition(p.is_finite());
@@ -409,10 +409,10 @@ class Source_2
 {
     typedef typename SweepCurvesAdapter_2::Generic_point_2 Point_2;
     typedef typename SweepCurvesAdapter_2::Generic_arc_2 Arc_2;
-   
+
 public:
     typedef Point_2 result_type;
-    
+
     //! standard constructor
     Source_2(SweepCurvesAdapter_2 *adapter) :
         _m_adapter(adapter) {
@@ -428,7 +428,7 @@ public:
 
 private:
     SweepCurvesAdapter_2 *_m_adapter;
-    
+
 };
 
 template < class SweepCurvesAdapter_2 >
@@ -436,10 +436,10 @@ class Target_2
 {
     typedef typename SweepCurvesAdapter_2::Generic_point_2 Point_2;
     typedef typename SweepCurvesAdapter_2::Generic_arc_2 Arc_2;
-   
+
 public:
     typedef Point_2 result_type;
-    
+
     //! standard constructor
     Target_2(SweepCurvesAdapter_2 *adapter) :
         _m_adapter(adapter) {
@@ -452,10 +452,10 @@ public:
     result_type operator()(const Arc_2& cv) const {
         return cv.target();
     }
-    
+
 private:
     SweepCurvesAdapter_2 *_m_adapter;
-    
+
 };
 
 template < class SweepCurvesAdapter_2 >
@@ -463,10 +463,10 @@ class Construct_segment_2
 {
     typedef typename SweepCurvesAdapter_2::Generic_point_2 Point_2;
     typedef typename SweepCurvesAdapter_2::Generic_arc_2 Arc_2;
-   
+
 public:
     typedef Arc_2 result_type;
-    
+
     //! standard constructor
     Construct_segment_2(SweepCurvesAdapter_2 *) {
     }
@@ -486,10 +486,10 @@ template < class SweepCurvesAdapter_2 >
 class Is_degenerate_2
 {
     typedef typename SweepCurvesAdapter_2::Generic_arc_2 Arc_2;
-   
+
 public:
     typedef bool result_type;
-    
+
     //! standard constructor
     Is_degenerate_2(SweepCurvesAdapter_2 *) {
     }
@@ -498,7 +498,7 @@ public:
      * checks whether this arc represents an isolated point (i.e., degenerate)
      */
     result_type operator()(const Arc_2& cv) const {
-        
+
         return cv.is_degenerate();
     }
 };
@@ -507,10 +507,10 @@ template < class SweepCurvesAdapter_2 >
 class Do_overlap_2
 {
     typedef typename SweepCurvesAdapter_2::Generic_arc_2 Arc_2;
-   
+
 public:
     typedef bool result_type;
-    
+
     //! standard constructor
     Do_overlap_2(SweepCurvesAdapter_2 *) {
     }
@@ -520,7 +520,7 @@ public:
      * i.e., they overlap
      */
     result_type operator()(const Arc_2& cv1, const Arc_2& cv2) const {
-        
+
         if(cv1.is_degenerate() || cv2.is_degenerate())
             return false;
         return cv1.arc().do_overlap(cv2.arc());
@@ -532,10 +532,10 @@ class New_endpoints_2 {
 
     typedef typename SweepCurvesAdapter_2::Generic_point_2 Point_2;
     typedef typename SweepCurvesAdapter_2::Generic_arc_2 Arc_2;
-   
+
 public:
     typedef Arc_2 result_type;
-    
+
     //! standard constructor
     New_endpoints_2(SweepCurvesAdapter_2 *adapter) :
         _m_adapter(adapter) {
@@ -557,14 +557,14 @@ public:
         CGAL_precondition(
             _m_adapter->compare_xy_2_object()(cv.target(), q) == CGAL::EQUAL
         );
-            
+
         cv.new_endpoints(p, q);
         return cv;
     }
-    
+
 private:
     SweepCurvesAdapter_2 *_m_adapter;
-  
+
 };
 
 template < class SweepCurvesAdapter_2 >
@@ -572,10 +572,10 @@ class New_endpoints_opposite_2 {
 
     typedef typename SweepCurvesAdapter_2::Generic_point_2 Point_2;
     typedef typename SweepCurvesAdapter_2::Generic_arc_2 Arc_2;
-   
+
 public:
     typedef Arc_2 result_type;
-    
+
     //! standard constructor
     New_endpoints_opposite_2(SweepCurvesAdapter_2 *) {
     }
@@ -585,7 +585,7 @@ public:
      * lexicographic order of endpoints is ensured automatically, hence no
      * special handling is required
      */
-    result_type operator()(const Arc_2& cv, 
+    result_type operator()(const Arc_2& cv,
                            const Point_2& /* p */,
                            const Point_2& /* q */) const {
         SCA_CERR("\n\nWARNING!! New_endpoints_opposite_2: cv: " << cv <<
@@ -602,10 +602,10 @@ template < class SweepCurvesAdapter_2 >
 class Intersect_2 {
 
     typedef typename SweepCurvesAdapter_2::Generic_arc_2 Arc_2;
-   
+
 public:
     //typedef bool result_type;
-    
+
     //! standard constructor
     Intersect_2(SweepCurvesAdapter_2 *) {
     }
@@ -620,7 +620,7 @@ public:
 
         SCA_CERR("Intersect_2: cv1: " << cv1 << "\n cv2: " <<
             cv2 << std::endl);
-            
+
         return cv1.intersect(cv2, oi);
     }
 };
@@ -630,10 +630,10 @@ class Intersect_right_of_point_2 {
 
     typedef typename SweepCurvesAdapter_2::Generic_point_2 Point_2;
     typedef typename SweepCurvesAdapter_2::Generic_arc_2 Arc_2;
-   
+
 public:
     typedef bool result_type;
-    
+
     //! standard constructor
     Intersect_right_of_point_2(SweepCurvesAdapter_2 *adapter) :
         _m_adapter(adapter) {
@@ -644,8 +644,8 @@ public:
      * computes the next intersection of \c cv1 and \c cv2 right of \c ref
      * in lexicographical order and returns it through \c res argument
      *
-     * intersect_right_of_point is not called when using sweep_curves() with 
-     * intersection dictionary and without validation of internal structures 
+     * intersect_right_of_point is not called when using sweep_curves() with
+     * intersection dictionary and without validation of internal structures
      * (as is standard). Hence we can be lazy here for the moment
      * without losing performance.
      */
@@ -654,14 +654,14 @@ public:
 
         SCA_CERR("Intersect_right_of_point_2: cv1: " << cv1 << "\n cv2: " <<
             cv2 << "\n ref: " << ref << std::endl);
-            
+
         typedef std::vector<Point_2> Point_container;
         Point_container tmp;
         cv1.intersect(cv2, back_inserter(tmp));
 
         for(typename Point_container::const_iterator it =  tmp.begin();
                 it != tmp.end(); it++) {
-            // assume points are sorted lexicographical    
+            // assume points are sorted lexicographical
             if(_m_adapter->compare_xy_2_object()(*it, ref) == CGAL::LARGER) {
                 res = *it;
                 SCA_CERR("intersection found: " << res << "\n");
@@ -670,23 +670,23 @@ public:
         }
         return false;
     }
-    
+
 private:
     SweepCurvesAdapter_2 *_m_adapter;
 
 };
 
 template < class SweepCurvesAdapter_2 >
-class Make_x_monotone_2 
+class Make_x_monotone_2
 {
     typedef typename SweepCurvesAdapter_2::Curve_2 Curve_2;
     typedef typename SweepCurvesAdapter_2::Generic_point_2 Point_2;
     typedef typename SweepCurvesAdapter_2::Generic_arc_2 Generic_arc_2;
-   
+
 public:
     typedef CGAL::cpp98::iterator<std::output_iterator_tag, Generic_arc_2>
       result_type;
-    
+
     //! standard constructor
     Make_x_monotone_2(SweepCurvesAdapter_2 *adapter) :
         _m_adapter(adapter) {
@@ -694,12 +694,12 @@ public:
     }
 
     /*!
-     * decompose a given arc into list of x-monotone pieces 
-     * (subcurves) and insert them to the output iterator. Since \c Arc_2 
-     * is by definition x-monotone, an input arc is passed to the 
-     * output iterator directly. 
+     * decompose a given arc into list of x-monotone pieces
+     * (subcurves) and insert them to the output iterator. Since \c Arc_2
+     * is by definition x-monotone, an input arc is passed to the
+     * output iterator directly.
      * \param cv The curve.
-     * \param oi The output iterator, whose value-type is Object. 
+     * \param oi The output iterator, whose value-type is Object.
      * The returned objects are all wrappers X_monotone_curve_2 objects.
      * \return The past-the-end iterator.
      */
@@ -709,12 +709,12 @@ public:
         *oi++ = cv;
         return oi;
     }
-    
+
     /*!
-     * decompose a given curve into list of x-monotone pieces 
-     * (subcurves) and insert them to the output iterator. 
+     * decompose a given curve into list of x-monotone pieces
+     * (subcurves) and insert them to the output iterator.
      * \param cv The curve.
-     * \param oi The output iterator, whose value-type is Object. 
+     * \param oi The output iterator, whose value-type is Object.
      * The returned objects are all wrappers X_monotone_curve_2 objects.
      * \return The past-the-end iterator.
      */
@@ -724,7 +724,7 @@ public:
         typedef typename SweepCurvesAdapter_2::Native_arc_2 Native_arc_2;
         typedef typename SweepCurvesAdapter_2::Native_point_2 Native_point_2;
         typedef typename SweepCurvesAdapter_2::Generic_point_2 Generic_point_2;
-        
+
         typedef std::vector<CGAL::Object> Objects;
         Objects objs;
         _m_adapter->kernel().make_x_monotone_2_object()(cv,
@@ -743,7 +743,7 @@ public:
         }
         return oi;
     }
-    
+
 private:
     SweepCurvesAdapter_2 *_m_adapter;
 };
@@ -765,10 +765,10 @@ public:
     //! type of curve kernel
     typedef typename Curved_kernel_via_analysis_2::Curve_kernel_2
     Curve_kernel_2;
-    
+
     //! myself
     typedef Sweep_curves_adapter_2< Curved_kernel_via_analysis_2 > Self;
-    
+
     //!@}
 
 public:
@@ -778,14 +778,14 @@ public:
     //! default constructor
     Sweep_curves_adapter_2() {
     }
-    
+
     //! construct using specific \c CKvA_2 instance (for controlling)
     Sweep_curves_adapter_2(const Curved_kernel_via_analysis_2& kernel) :
         _m_kernel(kernel) {
     }
-    
+
     //!@}
-    
+
     //!\name embedded types and predicates for \c CurveSweepTraits
     //!@{
 
@@ -800,10 +800,10 @@ public:
     //! generic arc (supports isolated points)
     typedef internal::Generic_arc_2<Self> Generic_arc_2;
 
-    //! type of point in model of  \c CurveSweepTraits_2 
+    //! type of point in model of  \c CurveSweepTraits_2
     typedef Generic_point_2 Point_2;
 
-    //! type of segment in model of  \c CurveSweepTraits_2 
+    //! type of segment in model of  \c CurveSweepTraits_2
     typedef Generic_arc_2 Segment_2;
 
 // declares functors, for each functor defines a member function
@@ -812,32 +812,32 @@ public:
     typedef Sweep_curves_functors::Y<Self> Y; \
     Y Z() const { return Y((Sweep_curves_adapter_2 *)this); }
 #define CGAL_Sweep_curves_cons(Y, Z) CGAL_Sweep_curves_pred(Y, Z)
-    
+
     CGAL_Sweep_curves_pred(Compare_xy_2, compare_xy_2_object)
     CGAL_Sweep_curves_pred(Less_xy_2, less_xy_2_object)
     CGAL_Sweep_curves_pred(Is_degenerate_2, is_degenerate_2_object)
-    
+
     CGAL_Sweep_curves_pred(Do_overlap_2, do_overlap_2_object)
     CGAL_Sweep_curves_pred(Compare_y_at_x_2, compare_y_at_x_2_object)
     CGAL_Sweep_curves_pred(Equal_y_at_x_2, equal_y_at_x_2_object)
-    
+
     CGAL_Sweep_curves_pred(Multiplicity_of_intersection_2,
             multiplicity_of_intersection_2_object)
     CGAL_Sweep_curves_pred(Compare_y_right_of_point_2,
             compare_y_right_of_point_2_object)
-            
+
     CGAL_Sweep_curves_cons(Source_2, source_2_object)
     CGAL_Sweep_curves_cons(Target_2, target_2_object)
     CGAL_Sweep_curves_cons(Construct_segment_2, construct_segment_2_object)
-            
+
     CGAL_Sweep_curves_cons(New_endpoints_2, new_endpoints_2_object)
     CGAL_Sweep_curves_cons(New_endpoints_opposite_2,
             new_endpoints_opposite_2_object)
-            
+
     CGAL_Sweep_curves_cons(Intersect_2, intersect_2_object)
     CGAL_Sweep_curves_cons(Intersect_right_of_point_2,
         intersect_right_of_point_2_object)
-        
+
     CGAL_Sweep_curves_cons(Make_x_monotone_2, make_x_monotone_2_object)
 
 #undef CGAL_Sweep_curves_pred
@@ -855,7 +855,7 @@ protected:
 
     //! reference to Curved_kernel_via_analysis_2 object
     Curved_kernel_via_analysis_2 _m_kernel;
-     
+
     //!@}
 }; // class Sweep_curves_adapter_2
 
diff -pruN 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/test/simple_models.h 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/test/simple_models.h
--- 5.0.2-3/include/CGAL/Curved_kernel_via_analysis_2/test/simple_models.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Curved_kernel_via_analysis_2/test/simple_models.h	2020-08-01 19:02:12.000000000 +0000
@@ -1,10 +1,10 @@
-// Copyright (c) 2004-2008, 2010 Max-Planck-Institute Saarbruecken (Germany), 
+// Copyright (c) 2004-2008, 2010 Max-Planck-Institute Saarbruecken (Germany),
 // and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/test/simple_models.h $
-// $Id: simple_models.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Curved_kernel_via_analysis_2/test/simple_models.h $
+// $Id: simple_models.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -15,7 +15,7 @@
 
 /*!\file include/CGAL/Curved_kernel_via_analysis_2/test/simple_models.h
  * \brief defines dummy implementations satisfying Curve_kernel_2
- * concept requirenments 
+ * concept requirenments
  */
 
 #include <CGAL/config.h>
@@ -44,7 +44,7 @@ struct Curve_2_model_rep {
     Curve_2_model_rep() :
         i_(0) {
     }
-    
+
     Curve_2_model_rep(int i) :
         i_(i) {
     }
@@ -55,7 +55,7 @@ struct Curve_2_model :
 
     typedef Curve_2_model_rep         Rep;
     typedef ::CGAL::Handle_with_policy< Rep > Base;
-    
+
     typedef CGAL::Algebraic_kernel_d_1< CGAL::Arithmetic_kernel::Integer > AK_1;
 
     typedef AK_1::Algebraic_real_1 Algebraic_real_1;
@@ -63,11 +63,11 @@ struct Curve_2_model :
     typedef double Bound;
 
     typedef int Coefficient;
-    
+
     typedef CGAL::Polynomial< CGAL::Polynomial < int > > Poly_d;
 
     typedef CGAL::Handle_id_less_than< Curve_2_model > Less_than;
-    
+
     // for total_degree (find smaller curve if two are available)
     Poly_d f() const {
         return ptr()->f_;
@@ -85,7 +85,7 @@ struct Curve_2_model :
         return Bound(0);
     }
 
-    Algebraic_real_1 y_at(Bound r, int arcno){ 
+    Algebraic_real_1 y_at(Bound r, int arcno){
         return Algebraic_real_1();
     }
 
@@ -102,7 +102,7 @@ struct Curve_2_model :
     static bool decompose(Curve_2_model f, Curve_2_model g,
                    OutputIterator parts_of_f,
                    OutputIterator parts_of_g) {
-        return true;    
+        return true;
     }
 
     bool operator== (const Curve_2_model& c) {
@@ -127,14 +127,14 @@ template < class Curve_ >
 struct Curve_pair_2_model_rep {
 
     typedef Curve_ Curve;
-    
+
     typedef Curve Algebraic_curve_2;
 
     //typedef SoX::Event2_slice< Curve_pair_2< Curve > > Event2_slice;
-    
+
     Curve c1_;
     Curve c2_;
-    
+
     // DefaultConstructible
     Curve_pair_2_model_rep() :
         c1_(), c2_() {
@@ -143,14 +143,14 @@ struct Curve_pair_2_model_rep {
     Curve_pair_2_model_rep(Curve c1, Curve c2) :
         c1_(c1), c2_(c2) {
     }
-    
+
     std::vector< int > slices_;
 };
 
 template < class Curve_ >
-struct Curve_pair_2_model : 
+struct Curve_pair_2_model :
     public ::CGAL::Handle_with_policy< Curve_pair_2_model_rep< Curve_ > > {
-    
+
     typedef Curve_ Curve;
 
     typedef Curve Algebraic_curve_2;
@@ -166,7 +166,7 @@ struct Curve_pair_2_model :
     };
 
     // Assignable
-    
+
     // Constructable from two curves
     Curve_pair_2_model(Curve c1, Curve c2) :
         Base(Rep(c1, c2)) {
@@ -188,7 +188,7 @@ struct Curve_pair_2_model :
         return -1;
     }
 
-    void x_to_index(typename Algebraic_curve_2::Algebraic_real_1 x, 
+    void x_to_index(typename Algebraic_curve_2::Algebraic_real_1 x,
                     int& idx, bool& event) const {
         return;
     }
@@ -209,24 +209,24 @@ public:
     // myself
     typedef Xy_coordinate_2_rep<Algebraic_curve_kernel_2> Self;
 
-    typedef typename Algebraic_curve_kernel_2::Curve_analysis_2 
-    Curve_analysis_2; 
-    
-    typedef typename Curve_analysis_2::Algebraic_real_1 Algebraic_real_1; 
+    typedef typename Algebraic_curve_kernel_2::Curve_analysis_2
+    Curve_analysis_2;
+
+    typedef typename Curve_analysis_2::Algebraic_real_1 Algebraic_real_1;
 
     // constructors
 public:
     // default constructor ()
     Xy_coordinate_2_rep()
     {   }
-    
+
     // data
     // x-coordinate
     Algebraic_real_1 _m_x;
-    
+
     // supporting curve
     mutable Curve_analysis_2 _m_curve;
-    
+
     // arc number on curve
     mutable int _m_arcno;
 
@@ -235,26 +235,26 @@ public:
 };
 
 template <class AlgebraicCurveKernel_2>
-class Xy_coordinate_2 : 
+class Xy_coordinate_2 :
     public
        ::CGAL::Handle_with_policy<Xy_coordinate_2_rep<AlgebraicCurveKernel_2> >
 {
 public:
     //! \name public typedefs
     //!@{
-    
+
     //! this instance's first template parameter
     typedef AlgebraicCurveKernel_2 Algebraic_curve_kernel_2;
-    
+
     //! this instance's second template parameter
     typedef Xy_coordinate_2_rep<AlgebraicCurveKernel_2> Rep;
-    
+
     //! this instance itself
     typedef Xy_coordinate_2<Algebraic_curve_kernel_2> Self;
-        
+
     //! type of an algabraic curve
-    typedef typename Algebraic_curve_kernel_2::Curve_analysis_2 
-    Curve_analysis_2; 
+    typedef typename Algebraic_curve_kernel_2::Curve_analysis_2
+    Curve_analysis_2;
 
     //! type of Algebraic_real_1
     typedef typename Curve_analysis_2::Algebraic_real_1 Algebraic_real_1;
@@ -274,23 +274,23 @@ public:
     //!@{
 
     Xy_coordinate_2() :
-        Base(Rep()) { 
+        Base(Rep()) {
     }
 
     Xy_coordinate_2(const Self& p) :
-        Base(static_cast<const Base&>(p)) {  
+        Base(static_cast<const Base&>(p)) {
     }
 
     Xy_coordinate_2(const Algebraic_real_1&, const Curve_analysis_2&, int) :
             Base(Rep()) {
     }
-    
+
     Xy_coordinate_2(Rep rep) :
-        Base(rep) {  
+        Base(rep) {
     }
-   
+
 public:
-    
+
     const Algebraic_real_1& x() const {
         return this->ptr()->_m_x;
     }
@@ -298,13 +298,13 @@ public:
     Algebraic_real_1 y() const {
         return this->ptr()->_m_x;
     }
-    
+
     Curve_analysis_2 curve() const {
-        return this->ptr()->_m_curve; 
+        return this->ptr()->_m_curve;
     }
-    
+
     int arcno() const {
-        return -1; 
+        return -1;
     }
 
     //!@}
@@ -320,10 +320,10 @@ public:
             bool equal_x = false) const {
         return CGAL::ZERO;
     }
-    
+
     //! equality
     bool operator == (const Self& q) const {return false;}
-    
+
     //! inequality
     bool operator != (const Self& q) const {return false;}
 
@@ -338,7 +338,7 @@ public:
 
     //! greater-equal in (x,y) lexicographic order
     bool operator >= (const Self& q) const {return false;}
-    
+
 public:
 
     bool is_x_zero() const {
@@ -348,7 +348,7 @@ public:
     bool is_y_zero() const {
         return false;
     }
-    
+
     std::pair<double, double> to_double() const {
         return std::make_pair(0.0, 0.0);
     }
@@ -360,22 +360,22 @@ public:
     Bound_interval get_approximation_y() const {
         return Bound_interval(0.0, 0.0);
     }
-    
+
     void refine_x() const {
     }
-    
+
     void refine_x(int rel_prec) {
     }
 
     void refine_y() const {
     }
-    
+
     //!@}
 
 }; // class Xy_coordinate_2
 
-template < class AlgebraicCurveKernel_2> 
-std::ostream& operator<< (std::ostream& os, 
+template < class AlgebraicCurveKernel_2>
+std::ostream& operator<< (std::ostream& os,
     const Xy_coordinate_2<AlgebraicCurveKernel_2>& pt) {
     return os;
 }
@@ -396,7 +396,7 @@ class Status_line_CA_1_rep {
 
     // type of x-coordinate
     typedef typename Curve_analysis_2::Algebraic_real_1
-                Algebraic_real_1; 
+                Algebraic_real_1;
 
     // an instance of a size type
     typedef typename Curve_analysis_2::size_type size_type;
@@ -404,9 +404,9 @@ class Status_line_CA_1_rep {
     // constructors
 public:
     // default constructor ()
-    Status_line_CA_1_rep() 
+    Status_line_CA_1_rep()
     {   }
-    
+
     //! x-coordinate of event info
     mutable Algebraic_real_1 _m_x;
 
@@ -415,8 +415,8 @@ public:
     size_type _m_index;
 
     //! underlying curve analysis
-    Curve_analysis_2 _m_ca; 
-    
+    Curve_analysis_2 _m_ca;
+
      // befriending the handle
     friend class Status_line_CA_1<Curve_analysis_2>;
 };
@@ -432,7 +432,7 @@ public:
     //! this instance's first template parameter
     //! model of AlgebraicKernel_d_2::CurveAnalysis_2
     typedef CurveAnalysis_2 Curve_analysis_2;
-    
+
     //! this instance's second template parameter
     typedef Status_line_CA_1_rep<CurveAnalysis_2> Rep;
 
@@ -440,7 +440,7 @@ public:
     typedef Status_line_CA_1<Curve_analysis_2> Self;
 
     //! type of x-coordinate
-    typedef typename Curve_analysis_2::Algebraic_real_1 Algebraic_real_1; 
+    typedef typename Curve_analysis_2::Algebraic_real_1 Algebraic_real_1;
 
     typedef typename Curve_analysis_2::Xy_coordinate_2 Xy_coordinate_2;
 
@@ -451,7 +451,7 @@ public:
 
      //! the handle superclass
     typedef ::CGAL::Handle_with_policy< Rep > Base;
-    
+
     //!@}
 public:
     //!\name constructors
@@ -460,38 +460,38 @@ public:
     /*!\brief
      * Default constructor
      */
-    Status_line_CA_1() : 
-        Base(Rep()) {   
+    Status_line_CA_1() :
+        Base(Rep()) {
     }
 
     /*!\brief
      * copy constructor
      */
-    Status_line_CA_1(const Self& p) : 
-            Base(static_cast<const Base&>(p)) {  
+    Status_line_CA_1(const Self& p) :
+            Base(static_cast<const Base&>(p)) {
     }
 
     /*!\brief
      * constructs from a given represenation
      */
-    Status_line_CA_1(Rep rep) : 
-        Base(rep) {  
+    Status_line_CA_1(Rep rep) :
+        Base(rep) {
     }
-    
+
     //!@}
-    
+
     Algebraic_real_1 x() const {
         return Algebraic_real_1();
     }
-    
+
     Curve_analysis_2 curve_analysis_2() const {
         return Curve_analysis_2();
     }
-    
+
     size_type index() const {
         return static_cast<size_type>(0);
     }
-        
+
     bool covers_line() const {
         return false;
     }
@@ -511,7 +511,7 @@ public:
     Xy_coordinate_2 algebraic_real_2(size_type j) const {
         return Xy_coordinate_2();
     }
-    
+
     Xy_coordinate_2 xy_coordinate_2(size_type j) const {
         return algebraic_real_2(j);
     }
@@ -527,7 +527,7 @@ public:
     Arc_pair number_of_branches_approaching_plus_infinity() const {
         return Arc_pair(0, 0);
     }
-  
+
 }; // class Status_line_CA_1
 
 template <class CurveAnalysis_2>
@@ -557,19 +557,19 @@ public:
     // constructors
 public:
     // default constructor ()
-    Curve_analysis_2_rep()  
+    Curve_analysis_2_rep()
     {  }
-    
+
     // standard constructor
     Curve_analysis_2_rep(const Polynomial_2& curve) {
     }
 
     mutable Polynomial_2 _m_curve;
-    
+
     // befriending the handle
     friend class Curve_analysis_2<Algebraic_curve_kernel_2>;
 };
-    
+
 template <class AlgebraicCurveKernel_2>
 class Curve_analysis_2 :
     public ::CGAL::Handle_with_policy<
@@ -583,7 +583,7 @@ public:
 
     //! this instance's second template parameter
     typedef Curve_analysis_2_rep<AlgebraicCurveKernel_2> Rep;
-    
+
     //! x-coordinate type
     typedef typename Algebraic_curve_kernel_2::Algebraic_real_1 Algebraic_real_1;
 
@@ -601,39 +601,39 @@ public:
 
     //! type of a vertical line
     typedef internal::Status_line_CA_1<Self> Status_line_1;
-        
+
     //! the handle superclass
     typedef ::CGAL::Handle_with_policy<Rep> Base;
-    
+
     //!@}
 public:
     //!\name Constructors
     //!@{
 
     //! \brief default constructor
-    Curve_analysis_2() : 
-        Base(Rep()) {  
+    Curve_analysis_2() :
+        Base(Rep()) {
     }
 
     /*!\brief
      * copy constructor
      */
-    Curve_analysis_2(const Self& p) : 
-        Base(static_cast<const Base&>(p)) {  
+    Curve_analysis_2(const Self& p) :
+        Base(static_cast<const Base&>(p)) {
     }
 
     //! \brief constructs a curve analysis from a given \c Curve_2 object
     //!
     //! for safety purposes implicit conversion from \c Curve_2 is disabled
-    explicit Curve_analysis_2(const Polynomial_2& c) : 
-        Base(Rep(c)) {  
+    explicit Curve_analysis_2(const Polynomial_2& c) :
+        Base(Rep(c)) {
     }
-           
+
     /*!\brief
      * constructsa curve analysis from a given represenation
      */
-    Curve_analysis_2(Rep rep) : 
-        Base(rep) {  
+    Curve_analysis_2(Rep rep) :
+        Base(rep) {
     }
 
     //!@}
@@ -648,7 +648,7 @@ public:
 
     //! \brief alias for \c polynomial_2()
     Polynomial_2 curve_2() const
-    { 
+    {
         return polynomial_2();
     }
 
@@ -673,7 +673,7 @@ public:
     Status_line_1 status_line_at_exact_x(Algebraic_real_1 x) const {
         return Status_line_1();
     }
-    
+
     /*!\brief
      * returns a \c CGAL::Object that encodes the asymptotic value of a
      * curve-arc approaching the left or the right boundary \c loc of the
@@ -687,7 +687,7 @@ public:
      *
      * \pre \c loc is either \c CGAL::ARR_LEFT_BOUNDARY or
      *  \c CGAL::ARR_RIGHT_BOUNDARY
-     */  
+     */
      CGAL::Object asymptotic_value_of_arc(CGAL::Arr_parameter_space loc,
              size_type arcno) const {
 
@@ -700,11 +700,11 @@ public:
 
 //////////////////////////////////////////////////////////////////////////////
 
-template < class CurvePairAnalysis_2, class Rep_ > 
+template < class CurvePairAnalysis_2, class Rep_ >
 class Status_line_CPA_1;
 
 template <class CurvePairAnalysis_2, class Rep>
-std::ostream& operator<< (std::ostream&, 
+std::ostream& operator<< (std::ostream&,
     const Status_line_CPA_1<CurvePairAnalysis_2, Rep>&);
 
 template < class CurvePairAnalysis_2 >
@@ -722,20 +722,20 @@ class Status_line_CPA_1_rep {
     // constructors
 public:
     // default constructor ()
-    Status_line_CPA_1_rep()  
+    Status_line_CPA_1_rep()
     {   }
 
     // stores this status line interval or event index of a curve pair
     size_type _m_index;
-    
+
     // befriending the handle
     friend class Status_line_CPA_1<Curve_pair_analysis_2, Self>;
 };
 
 template <class CurvePairAnalysis_2,
       class Rep_ = internal::Status_line_CPA_1_rep<CurvePairAnalysis_2> >
-class Status_line_CPA_1 : 
-    public ::CGAL::Handle_with_policy< Rep_ > 
+class Status_line_CPA_1 :
+    public ::CGAL::Handle_with_policy< Rep_ >
 {
 public:
     //!@{
@@ -743,7 +743,7 @@ public:
 
     //! this instance's first template parameter
     typedef CurvePairAnalysis_2 Curve_pair_analysis_2;
-    
+
     //! this instance's second template parameter
     typedef Rep_ Rep;
 
@@ -751,7 +751,7 @@ public:
     typedef Status_line_CPA_1<Curve_pair_analysis_2, Rep> Self;
 
     //! type of x-coordinate
-    typedef typename Curve_pair_analysis_2::Algebraic_real_1 Algebraic_real_1; 
+    typedef typename Curve_pair_analysis_2::Algebraic_real_1 Algebraic_real_1;
 
     //! an instance of a size type
     typedef typename Curve_pair_analysis_2::size_type size_type;
@@ -761,36 +761,36 @@ public:
 
      //! the handle superclass
     typedef ::CGAL::Handle_with_policy< Rep > Base;
-    
+
     //!@}
 public:
     //!\name constructors
     //!@{
 
     Status_line_CPA_1() :
-        Base(Rep()) {   
+        Base(Rep()) {
     }
 
     Status_line_CPA_1(const Self& p) :
-            Base(static_cast<const Base&>(p)) {  
+            Base(static_cast<const Base&>(p)) {
     }
-        
+
     /*!\brief
      * constructs from a given represenation
      */
-    Status_line_CPA_1(Rep rep) : 
-        Base(rep) {  
+    Status_line_CPA_1(Rep rep) :
+        Base(rep) {
     }
-    
+
     Algebraic_real_1 x() const {
         return Algebraic_real_1();
     }
-    
+
     //! returns this vertical line's index (event or interval index)
     size_type index() const {
         return this->ptr()->_m_index;
     }
-        
+
     size_type number_of_events() const {
         return static_cast<size_type>(0);
     }
@@ -814,20 +814,20 @@ public:
     bool is_intersection() const {
         return false;
     }
-    
+
     //!@}
 }; // class Status_line_CPA_1
 
 template <class CurvePairAnalysis_2, class Rep>
 std::ostream& operator<< (std::ostream& os,
         const internal::Status_line_CPA_1<CurvePairAnalysis_2, Rep>& cpv_line) {
-        
+
     return os;
 }
 
 ///////////////////////////////////////////////////////////////////////////////
 
-template < class AlgebraicCurveKernel_2, class Rep_ > 
+template < class AlgebraicCurveKernel_2, class Rep_ >
 class Curve_pair_analysis_2;
 
 template < class AlgebraicCurveKernel_2 >
@@ -847,19 +847,19 @@ public:
     // constructors
 public:
     // default constructor ()
-    Curve_pair_analysis_2_rep() 
+    Curve_pair_analysis_2_rep()
     {   }
 
     // data
     Curve_analysis_2 _m_ca1, _m_ca2;
-    
+
     // befriending the handle
     friend class Curve_pair_analysis_2<Algebraic_curve_kernel_2, Self>;
 };
-    
+
 template <class AlgebraicCurveKernel_2,
       class Rep_ = internal::Curve_pair_analysis_2_rep<AlgebraicCurveKernel_2> >
-class Curve_pair_analysis_2 : public ::CGAL::Handle_with_policy< Rep_ > 
+class Curve_pair_analysis_2 : public ::CGAL::Handle_with_policy< Rep_ >
 {
 public:
     //!@{
@@ -878,7 +878,7 @@ public:
     typedef typename Algebraic_curve_kernel_2::Xy_coordinate_2 Xy_coordinate_2;
 
     //! type of 1-curve analysis
-    typedef typename Algebraic_curve_kernel_2::Curve_analysis_2 
+    typedef typename Algebraic_curve_kernel_2::Curve_analysis_2
             Curve_analysis_2;
 
     //! an instance of a size type
@@ -889,7 +889,7 @@ public:
 
     //! type of a vertical line
     typedef internal::Status_line_CPA_1<Self> Status_line_1;
-        
+
     //! the handle superclass
     typedef ::CGAL::Handle_with_policy<Rep> Base;
 
@@ -899,24 +899,24 @@ public:
     //!@{
 
     //! \brief default constructor
-    Curve_pair_analysis_2() : 
-        Base(Rep()) {  
+    Curve_pair_analysis_2() :
+        Base(Rep()) {
     }
 
     /*!\brief
      * copy constructor
      */
-    Curve_pair_analysis_2(const Self& p) : 
-        Base(static_cast<const Base&>(p)) {  
+    Curve_pair_analysis_2(const Self& p) :
+        Base(static_cast<const Base&>(p)) {
     }
 
     Curve_pair_analysis_2(const Curve_analysis_2& ca1,
-        const Curve_analysis_2& ca2) : 
-            Base(Rep()) {  
+        const Curve_analysis_2& ca2) :
+            Base(Rep()) {
     }
- 
+
     Curve_pair_analysis_2(Rep rep) :
-        Base(rep) {  
+        Base(rep) {
     }
 
     Curve_analysis_2 curve_analysis(bool c) const {
@@ -979,7 +979,7 @@ public:
 
     //! type of internal x_coordinate
     typedef Internal_curve_2::Algebraic_real_1 Internal_x_coordinate;
-    
+
     //! type of internal coefficient
     typedef Internal_curve_2::Coefficient Internal_coefficient;
 
@@ -987,10 +987,10 @@ public:
 public:
     //! \name types and functors for \c ACK_2< >
     //!@{
-    
+
     //! myself
     typedef Simple_algebraic_kernel_2  Self;
-    
+
     //! univariate polynomial type
     typedef CGAL::Polynomial<int> Polynomial_1;
 
@@ -1005,7 +1005,7 @@ public:
 
     //! type of Bound
     typedef Internal_curve_2::Bound Bound;
-        
+
     //! type of Coordinate_1
     typedef Algebraic_real_1 Coordinate_1;
 
@@ -1017,38 +1017,38 @@ public:
 public:
     //! \name types and functors for \c GPA_2< both >
     //!@{
-   
+
     //! type of 1-curve analysis
-    typedef internal::Curve_analysis_2<Self> Curve_analysis_2; 
+    typedef internal::Curve_analysis_2<Self> Curve_analysis_2;
 
     //! type of 2-curve analysis
-    typedef internal::Curve_pair_analysis_2<Self> Curve_pair_analysis_2; 
-    
+    typedef internal::Curve_pair_analysis_2<Self> Curve_pair_analysis_2;
+
     //!@}
 
     //! \name public functors and predicates
     //!@{
-       
+
     //! \brief default constructor
-    Simple_algebraic_kernel_2() 
+    Simple_algebraic_kernel_2()
     {  }
-    
+
     //! \brief constructs \c Curve_analysis_2 object, uses caching if appropriate
     struct Construct_curve_2 :
             public CGAL::cpp98::unary_function< Polynomial_2, Curve_analysis_2 >
     {
         //! \brief constructs an object from \c Algebraic_curve_kernel_2 type
         //! no default constructor provided
-        Construct_curve_2(/*Self *pkernel_2*/) 
+        Construct_curve_2(/*Self *pkernel_2*/)
         {  }
-            
+
         Curve_analysis_2 operator()(const Polynomial_2& f) const
         {
             return Curve_analysis_2();
         }
     };
     CGAL_Algebraic_Kernel_cons(Construct_curve_2, construct_curve_2_object);
-    
+
     /*! \brief
      * constructs \c Curve_pair_analysis_2 from pair of 1-curve analysis,
      * caching is used when appropriate
@@ -1056,148 +1056,148 @@ public:
     struct Construct_curve_pair_2 :
             public CGAL::cpp98::binary_function<Curve_analysis_2, Curve_analysis_2,
                 Curve_pair_analysis_2> {
-           
+
         Curve_pair_analysis_2 operator()
            (const Curve_analysis_2& ca1, const Curve_analysis_2& ca2) const {
-                 
+
             Curve_pair_analysis_2 cpa_2(ca1,ca2);
             return cpa_2;
         }
     };
     CGAL_Algebraic_Kernel_cons(Construct_curve_pair_2,
                                construct_curve_pair_2_object);
-    
-    //! type of a curve point 
+
+    //! type of a curve point
     typedef internal::Xy_coordinate_2<Self> Xy_coordinate_2;
-    
+
     //! returns the first coordinate of \c Xy_coordinate_2
     struct Get_x_2 :
         public CGAL::cpp98::unary_function<Xy_coordinate_2, Algebraic_real_1> {
-        
+
         Algebraic_real_1 operator()(const Xy_coordinate_2& xy) const {
             return xy.x();
         }
     };
     CGAL_Algebraic_Kernel_cons(Get_x_2, Get_x_2_object);
-    
+
     //! returns the second coordinate of \c Xy_coordinate_2
     struct Get_y_2 :
         public CGAL::cpp98::unary_function<Xy_coordinate_2, Algebraic_real_1> {
-        
+
         Algebraic_real_1 operator()(const Xy_coordinate_2& xy) const {
             return xy.y();
         }
     };
     CGAL_Algebraic_Kernel_cons(Get_y_2, Get_y_2_object);
-    
+
     struct Refine_x_2 :
         public CGAL::cpp98::unary_function<Xy_coordinate_2, void> {
-      
+
         void operator()(const Xy_coordinate_2& r) const {  }
-        
+
         void operator()(Xy_coordinate_2& r, int rel_prec) const {  }
     };
     CGAL_Algebraic_Kernel_pred(Refine_x_2, refine_x_2_object);
-    
+
     struct Refine_y_2 :
         public CGAL::cpp98::unary_function<Xy_coordinate_2, void> {
-      
+
         void operator()(const Xy_coordinate_2& r) const {  }
-        
+
         void operator()(Xy_coordinate_2& r, int rel_prec) const {  }
     };
     CGAL_Algebraic_Kernel_pred(Refine_y_2, refine_y_2_object);
-    
+
     //! computes the current lower boundary of the first coordinate of \c r
     struct Lower_boundary_x_2 {
-       
+
         typedef Xy_coordinate_2 agrument_type;
         typedef Bound result_type;
-            
+
         result_type operator()(const Xy_coordinate_2& r) {
-            return static_cast<result_type>(0); 
+            return static_cast<result_type>(0);
         }
     };
     CGAL_Algebraic_Kernel_cons(Lower_boundary_x_2, lower_boundary_x_2_object);
-    
+
     //! computes the current upper boundary of the first coordinate of \c r
     struct Upper_boundary_x_2 {
-       
+
         typedef Xy_coordinate_2 agrument_type;
         typedef Bound result_type;
-            
+
         result_type operator()(const Xy_coordinate_2& r) {
-            return static_cast<result_type>(0);  
+            return static_cast<result_type>(0);
         }
     };
     CGAL_Algebraic_Kernel_cons(Upper_boundary_x_2, upper_boundary_x_2_object);
-    
+
     //! computes the current lower boundary of the second coordinate of \c r
     struct Lower_boundary_y_2 {
-       
+
         typedef Xy_coordinate_2 agrument_type;
         typedef Bound result_type;
-            
+
         result_type operator()(const Xy_coordinate_2& r) {
-            return static_cast<result_type>(0);  
+            return static_cast<result_type>(0);
         }
     };
     CGAL_Algebraic_Kernel_cons(Lower_boundary_y_2, lower_boundary_y_2_object);
-    
+
     //! computes the current lower boundary of the second coordinate of \c r
     struct Upper_boundary_y_2 {
-       
+
         typedef Xy_coordinate_2 agrument_type;
         typedef Bound result_type;
-            
+
         result_type operator()(const Xy_coordinate_2& r) {
-            return static_cast<result_type>(0); 
+            return static_cast<result_type>(0);
         }
     };
     CGAL_Algebraic_Kernel_cons(Upper_boundary_y_2, upper_boundary_y_2_object);
-    
+
     //! returns the number of boundary type in-between x-coordinates of two
     //! Xy_coordinate_2 objects
     struct Bound_between_x_2 {
-       
+
         typedef Xy_coordinate_2 first_agrument_type;
         typedef Xy_coordinate_2 second_agrument_type;
         typedef Bound result_type;
-            
-        result_type operator()(const Xy_coordinate_2& r1, 
+
+        result_type operator()(const Xy_coordinate_2& r1,
                 const Xy_coordinate_2& r2) const {
-            return static_cast<result_type>(0); 
+            return static_cast<result_type>(0);
         }
     };
-    CGAL_Algebraic_Kernel_cons(Bound_between_x_2, 
+    CGAL_Algebraic_Kernel_cons(Bound_between_x_2,
             boundary_between_x_2_object);
-            
+
     //! returns the number of boundary type in-between y-coordinates of two
     //! Xy_coordinate_2 objects
     struct Bound_between_y_2 {
-       
+
         typedef Xy_coordinate_2 first_agrument_type;
         typedef Xy_coordinate_2 second_agrument_type;
         typedef Bound result_type;
-            
-        result_type operator()(const Xy_coordinate_2& r1, 
+
+        result_type operator()(const Xy_coordinate_2& r1,
                 const Xy_coordinate_2& r2) const {
-            return static_cast<result_type>(0); 
+            return static_cast<result_type>(0);
         }
     };
-    CGAL_Algebraic_Kernel_cons(Bound_between_y_2, 
+    CGAL_Algebraic_Kernel_cons(Bound_between_y_2,
             boundary_between_y_2_object);
-    
-    //! \brief comparison of x-coordinates 
+
+    //! \brief comparison of x-coordinates
     struct Compare_x_2 :
          public CGAL::cpp98::binary_function<Algebraic_real_1, Algebraic_real_1,
                 Comparison_result > {
 
-        Comparison_result operator()(const Algebraic_real_1& x1, 
+        Comparison_result operator()(const Algebraic_real_1& x1,
                                          const Algebraic_real_1& x2) const {
             return CGAL::EQUAL;
         }
-        Comparison_result operator()(const Xy_coordinate_2& xy1, 
+        Comparison_result operator()(const Xy_coordinate_2& xy1,
                                          const Xy_coordinate_2& xy2) const {
             return CGAL::EQUAL;
         }
@@ -1208,24 +1208,24 @@ public:
     struct Compare_y_2 :
         public CGAL::cpp98::binary_function< Xy_coordinate_2, Xy_coordinate_2,
                 Comparison_result > {
-        
-        Comparison_result operator()(const Xy_coordinate_2& xy1, 
+
+        Comparison_result operator()(const Xy_coordinate_2& xy1,
                                      const Xy_coordinate_2& xy2) const {
             return CGAL::EQUAL;
         }
     };
     CGAL_Algebraic_Kernel_pred(Compare_y_2, compare_y_2_object);
-    
+
     //! lexicographical comparison of two objects of type \c Xy_coordinate_2
     //!
     //! \c equal_x specifies that only y-coordinates need to be compared
     struct Compare_xy_2 :
           public CGAL::cpp98::binary_function<Xy_coordinate_2, Xy_coordinate_2,
-                Comparison_result > 
+                Comparison_result >
     {
-        Comparison_result operator()(const Xy_coordinate_2& xy1, 
+        Comparison_result operator()(const Xy_coordinate_2& xy1,
              const Xy_coordinate_2& xy2, bool equal_x = false) const {
-             
+
              return CGAL::EQUAL;
         }
     };
@@ -1234,7 +1234,7 @@ public:
     //! \brief checks whether curve has only finitely many self-intersection
     //! points, i.e., it has no self-overlapped continuous parts
     //!
-    //! for algerbaic curves this means that supporting polynomial is 
+    //! for algerbaic curves this means that supporting polynomial is
     //! square-free
     struct Has_finite_number_of_self_intersections_2 :
             public CGAL::cpp98::unary_function< Polynomial_2, bool > {
@@ -1243,9 +1243,9 @@ public:
             return true; //is_square_free(p);
         }
     };
-    CGAL_Algebraic_Kernel_pred(Has_finite_number_of_self_intersections_2, 
+    CGAL_Algebraic_Kernel_pred(Has_finite_number_of_self_intersections_2,
             has_finite_number_of_self_intersections_2_object);
-            
+
     //! \brief checks whether a curve pair has finitely many intersections,
     //! in other words, whether two curves have no continuous common part
     //!
@@ -1253,20 +1253,20 @@ public:
     //! coprime
     struct Has_finite_number_of_intersections_2 :
         public CGAL::cpp98::binary_function< Curve_analysis_2, Curve_analysis_2, bool > {
-               
-        bool operator()(const Curve_analysis_2& c1, 
+
+        bool operator()(const Curve_analysis_2& c1,
                         const Curve_analysis_2& c2) const {
             return true;
         }
     };
-    CGAL_Algebraic_Kernel_pred(Has_finite_number_of_intersections_2, 
+    CGAL_Algebraic_Kernel_pred(Has_finite_number_of_intersections_2,
             has_finite_number_of_intersections_2_object);
-    
+
     //! set of various curve and curve pair decomposition functions
     struct Decompose_2 {
-    
+
         //! default constructor
-        Decompose_2(/*Self *pkernel_2*/)  
+        Decompose_2(/*Self *pkernel_2*/)
         {  }
 
         Polynomial_2 operator()(const Polynomial_2& p) {
@@ -1274,17 +1274,17 @@ public:
         }
 
         template< class OutputIterator1, class OutputIterator2 >
-        int operator()( const Curve_analysis_2& c, OutputIterator1 fit, 
+        int operator()( const Curve_analysis_2& c, OutputIterator1 fit,
                         OutputIterator2 mit ) const {
-                        
+
             return 0;
         }
-        
+
         template < class OutputIterator >
-        bool operator()(const Curve_analysis_2& c1, 
+        bool operator()(const Curve_analysis_2& c1,
                         const Curve_analysis_2& c2,
             OutputIterator oi1, OutputIterator oi2, OutputIterator oib) {
-           
+
             return false;
         }
     private:
@@ -1292,12 +1292,12 @@ public:
         /*Self *_m_pkernel_2; */
     };
     CGAL_Algebraic_Kernel_cons(Decompose_2, decompose_2_object);
-    
+
     //!@}
 public:
     //! \name types and functors for \c GPA_2<Algebraic_kernel_d_2>
     //!@{
-    
+
     typedef Construct_curve_2 Construct_polynomial_2_;
 
     typedef Has_finite_number_of_self_intersections_2 Is_square_free_2;
@@ -1306,11 +1306,11 @@ public:
     typedef Decompose_2 Make_square_free_2;
     typedef Decompose_2 Square_free_factorize;
     typedef Decompose_2 Make_coprime_2;
-    
+
     //! \brief computes the derivative w.r.t. the first (innermost) variable
-    struct Derivative_x_2 : 
+    struct Derivative_x_2 :
         public CGAL::cpp98::unary_function< Polynomial_2, Polynomial_2 > {
-        
+
         Polynomial_2 operator()(const Polynomial_2& p) const {
             return p;
         }
@@ -1320,7 +1320,7 @@ public:
     //! \brief computes the derivative w.r.t. the first (outermost) variable
     struct Derivative_y_2 :
         public CGAL::cpp98::unary_function< Polynomial_2, Polynomial_2 > {
-        
+
         Polynomial_2 operator()(const Polynomial_2& p) const  {
             return p;
         }
@@ -1328,13 +1328,13 @@ public:
     CGAL_Algebraic_Kernel_cons(Derivative_y_2, derivative_y_2_object);
 
     struct X_critical_points_2 {
-       
+
         template <class OutputIterator>
-        OutputIterator operator()(const Polynomial_2& p, 
+        OutputIterator operator()(const Polynomial_2& p,
                 OutputIterator oi) const {
             return oi;
         }
-        
+
         //! \brief computes the ith x-critical point of polynomial \c p
         Xy_coordinate_2 operator()(const Polynomial_2& p, int i) const {
             return Xy_coordinate_2();
@@ -1342,17 +1342,17 @@ public:
     };
     CGAL_Algebraic_Kernel_cons(X_critical_points_2,
         x_critical_points_2_object);
-    
+
     struct Y_critical_points_2 {
-    
+
         //! \brief copies in the output iterator the y-critical points of
         //! polynomial \c p as objects of type \c Xy_coordinate_2
         template <class OutputIterator>
-        OutputIterator operator()(const Polynomial_2& p, 
+        OutputIterator operator()(const Polynomial_2& p,
             OutputIterator oi) const {
             return oi;
         }
-        
+
         //! \brief computes the ith y-critical point of polynomial \c p
         Xy_coordinate_2 operator()(const Polynomial_2& p, int i) const {
             return Xy_coordinate_2();
@@ -1361,8 +1361,8 @@ public:
     CGAL_Algebraic_Kernel_cons(Y_critical_points_2,
         y_critical_points_2_object);
 
-    /*!\brief 
-     * computes the sign of a bivariate polynomial \c p evaluated at the root 
+    /*!\brief
+     * computes the sign of a bivariate polynomial \c p evaluated at the root
      * \c r of a system of two bivariate polynomial equations
      *
      * returns a value convertible to \c CGAL::Sign
@@ -1378,7 +1378,7 @@ public:
     CGAL_Algebraic_Kernel_pred(Sign_at_2, sign_at_2_object);
 
     struct Solve_2 {
-    
+
         template <class OutputIteratorRoots, class OutputIteratorMult>
         std::pair<OutputIteratorRoots, OutputIteratorMult>
             operator()(const Polynomial_2& p1, const Polynomial_2& p2,
@@ -1389,11 +1389,11 @@ public:
     };
     CGAL_Algebraic_Kernel_cons(Solve_2, solve_2_object);
 
-#undef CGAL_Algebraic_Kernel_pred    
-#undef CGAL_Algebraic_Kernel_cons 
-    
+#undef CGAL_Algebraic_Kernel_pred
+#undef CGAL_Algebraic_Kernel_cons
+
     //!@}
-      
+
 }; // class Algebraic_curve_kernel_2
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Dart_const_iterators.h 5.0.3-1/include/CGAL/Dart_const_iterators.h
--- 5.0.2-3/include/CGAL/Dart_const_iterators.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Dart_const_iterators.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Dart_const_iterators.h $
-// $Id: Dart_const_iterators.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Dart_const_iterators.h $
+// $Id: Dart_const_iterators.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -31,7 +31,7 @@ namespace CGAL {
   //****************************************************************************
 
   template<typename Map_,unsigned int...Beta>
-  class CMap_dart_const_iterator_basic_of_orbit: 
+  class CMap_dart_const_iterator_basic_of_orbit:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,true,Beta...>
   {
   public:
@@ -62,7 +62,7 @@ namespace CGAL {
   };
   //****************************************************************************
   template<typename Map_,unsigned int...Beta>
-  class CMap_dart_const_iterator_of_orbit: 
+  class CMap_dart_const_iterator_of_orbit:
     public CMap_dart_iterator_of_orbit_generic<Map_,true,Beta...>
   {
   public:
@@ -93,17 +93,17 @@ namespace CGAL {
     typedef typename Map_::Dart_const_handle Dart_const_handle;
     typedef typename Map_::size_type size_type;
 
-    /* Main constructor. */                                       
-    CMap_dart_const_iterator_basic_of_all(const Map_& amap, 
+    /* Main constructor. */
+    CMap_dart_const_iterator_basic_of_all(const Map_& amap,
                                           Dart_const_handle adart):
       Base(amap,adart)
-    {}                                         
-    /* Main constructor. */                                       
+    {}
+    /* Main constructor. */
     CMap_dart_const_iterator_basic_of_all(const Map_& amap,
                                           Dart_const_handle adart,
                                           size_type /*amark*/):
       Base(amap,adart)
-    {}                                                         
+    {}
     /// Constructor from non const version.
     CMap_dart_const_iterator_basic_of_all
     (const CMap_dart_iterator_basic_of_all<Map_,false>& it):
@@ -121,17 +121,17 @@ namespace CGAL {
     typedef typename Map_::Dart_const_handle Dart_const_handle;
     typedef typename Map_::size_type size_type;
 
-    /* Main constructor. */                                       
-    CMap_dart_const_iterator_basic_of_cell(const Map_& amap, 
+    /* Main constructor. */
+    CMap_dart_const_iterator_basic_of_cell(const Map_& amap,
                                            Dart_const_handle adart):
-      Base(amap,adart)                               
-    {}                                                         
-    /* Main constructor. */                                       
-    CMap_dart_const_iterator_basic_of_cell(const Map_& amap, 
+      Base(amap,adart)
+    {}
+    /* Main constructor. */
+    CMap_dart_const_iterator_basic_of_cell(const Map_& amap,
                                            Dart_const_handle adart,
                                            size_type amark):
-      Base(amap,adart,amark)                               
-    {}                                                         
+      Base(amap,adart,amark)
+    {}
     /// Constructor from non const version.
     CMap_dart_const_iterator_basic_of_cell
     (const CMap_dart_iterator_basic_of_cell<Map_,i,d,false>& it):
@@ -141,24 +141,24 @@ namespace CGAL {
   };
   //****************************************************************************
   template<typename Map_, int i, int d=Map_::dimension>
-  class CMap_dart_const_iterator_of_cell: 
+  class CMap_dart_const_iterator_of_cell:
     public CMap_dart_iterator_of_cell<Map_,i,d,true>
   {
   public:
     typedef CMap_dart_iterator_of_cell<Map_,i,d,true> Base;
     typedef typename Map_::Dart_const_handle Dart_const_handle;
 
-    /* Main constructor. */                                       
-    CMap_dart_const_iterator_of_cell(const Map_& amap, 
+    /* Main constructor. */
+    CMap_dart_const_iterator_of_cell(const Map_& amap,
                                      Dart_const_handle adart):
-      Base(amap,adart)                               
+      Base(amap,adart)
     {}
     /// Constructor from non const version.
     CMap_dart_const_iterator_of_cell
     (const CMap_dart_iterator_of_cell<Map_,i,d,false>& it):
       Base(*const_cast<const Map_*>(it.get_combinatorial_map()),
            it.get_first_dart())
-    {}                                       
+    {}
   };
   //****************************************************************************
   template<typename Map_,int i,int d=Map_::dimension>
@@ -170,7 +170,7 @@ namespace CGAL {
     typedef typename Map_::Dart_const_handle Dart_const_handle;
     typedef typename Map_::size_type size_type;
 
-    /* Main constructor. */                                       
+    /* Main constructor. */
     CMap_dart_const_iterator_basic_of_involution(const Map_& amap,
                                                  Dart_const_handle adart):
       Base(amap,adart)
@@ -186,7 +186,7 @@ namespace CGAL {
     (const CMap_dart_iterator_basic_of_involution<Map_,i,d,false>& it):
       Base(*const_cast<const Map_*>(it.get_combinatorial_map()),
            it.get_first_dart(), it.mmark_number)
-    {}                                        
+    {}
   };
   //****************************************************************************
   template<typename Map_,int i,int d=Map_::dimension>
@@ -197,11 +197,11 @@ namespace CGAL {
     typedef CMap_dart_iterator_of_involution<Map_,i,d,true> Base;
     typedef typename Map_::Dart_const_handle Dart_const_handle;
 
-    /* Main constructor. */                                       
-    CMap_dart_const_iterator_of_involution(const Map_& amap, 
+    /* Main constructor. */
+    CMap_dart_const_iterator_of_involution(const Map_& amap,
                                            Dart_const_handle adart):
       Base(amap,adart)
-    {}                                                         
+    {}
     /// Constructor from non const version.
     CMap_dart_const_iterator_of_involution
     (const CMap_dart_iterator_of_involution<Map_,i,d,false>& it):
@@ -220,22 +220,22 @@ namespace CGAL {
     typedef typename Map_::size_type size_type;
 
     /* Main constructor. */
-    CMap_dart_const_iterator_basic_of_involution_inv(const Map_& amap, 
+    CMap_dart_const_iterator_basic_of_involution_inv(const Map_& amap,
                                                      Dart_const_handle adart):
       Base(amap,adart)
     {}
-    /* Main constructor. */                                       
-    CMap_dart_const_iterator_basic_of_involution_inv(const Map_& amap, 
+    /* Main constructor. */
+    CMap_dart_const_iterator_basic_of_involution_inv(const Map_& amap,
                                                      Dart_const_handle adart,
                                                      size_type amark):
       Base(amap,adart,amark)
-    {}                                                         
+    {}
     /// Constructor from non const version.
     CMap_dart_const_iterator_basic_of_involution_inv
     (const CMap_dart_iterator_basic_of_involution_inv<Map_,i,d,false>& it):
       Base(*const_cast<const Map_*>(it.get_combinatorial_map()),
            it.get_first_dart(), it.mmark_number)
-    {}                                        
+    {}
   };
   //****************************************************************************
   template<typename Map_,int i,int d=Map_::dimension>
@@ -246,11 +246,11 @@ namespace CGAL {
     typedef CMap_dart_iterator_of_involution_inv<Map_,i,d,true> Base;
     typedef typename Map_::Dart_const_handle Dart_const_handle;
 
-    /* Main constructor. */                                       
-    CMap_dart_const_iterator_of_involution_inv(const Map_& amap, 
+    /* Main constructor. */
+    CMap_dart_const_iterator_of_involution_inv(const Map_& amap,
                                                Dart_const_handle adart):
       Base(amap,adart)
-    {}                                                         
+    {}
     /// Constructor from non const version.
     CMap_dart_const_iterator_of_involution_inv
     (const CMap_dart_iterator_of_involution_inv<Map_,i,d>& it):
diff -pruN 5.0.2-3/include/CGAL/Dart.h 5.0.3-1/include/CGAL/Dart.h
--- 5.0.2-3/include/CGAL/Dart.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Dart.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Dart.h $
-// $Id: Dart.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Dart.h $
+// $Id: Dart.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -113,7 +113,7 @@ namespace CGAL {
       assert(i<=dimension);
       return mf[i];
     }
-    
+
   protected:
     /** Default constructor: no real initialisation,
      *  because this is done in the combinatorial map class.
diff -pruN 5.0.2-3/include/CGAL/Dart_iterators.h 5.0.3-1/include/CGAL/Dart_iterators.h
--- 5.0.2-3/include/CGAL/Dart_iterators.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Dart_iterators.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Dart_iterators.h $
-// $Id: Dart_iterators.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Dart_iterators.h $
+// $Id: Dart_iterators.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -418,7 +418,7 @@ namespace CGAL {
         this->mprev_op = OP_BETAI;
         mcurdart=3;
       }
-      else 
+      else
       {
         CGAL_assertion (mcurdart==3);
         this->mprev_op = OP_END;
@@ -494,10 +494,10 @@ namespace CGAL {
     typedef Tag_true Use_mark;
 
     CGAL_static_assertion( 2<=Map::dimension );
-    
+
   public:
     /// Main constructor.
-    CMap_dart_iterator_basic_of_two_beta(Map& amap, Dart_handle adart, 
+    CMap_dart_iterator_basic_of_two_beta(Map& amap, Dart_handle adart,
                                          size_type amark):
       Base(amap, adart, amark)
     {}
@@ -517,7 +517,7 @@ namespace CGAL {
   public:
     typedef CMap_dart_iterator_basic_of_two_beta<Map_,Const,0,delta> Self;
     typedef CMap_dart_iterator<Map_,Const> Base;
-    
+
     typedef typename Base::Dart_handle Dart_handle;
     typedef typename Base::Map Map;
     typedef typename Map::size_type size_type;
@@ -536,9 +536,9 @@ namespace CGAL {
       mfirst_border(true)
     { if (adart!=this->mmap->null_handle)
         mexist_betaj=!this->mmap->is_free(adart, delta); }
-    
+
     /// Main constructor.
-    CMap_dart_iterator_basic_of_two_beta(Map& amap, Dart_handle adart, 
+    CMap_dart_iterator_basic_of_two_beta(Map& amap, Dart_handle adart,
                                          size_type /*amark*/):
       Base(amap, adart),
       mit(amap, adart),
@@ -564,11 +564,11 @@ namespace CGAL {
         mprev_betaj = false;
         ++mit;
         this->mprev_op = mit.prev_operation();
-        if ( !mit.cont() ) 
+        if ( !mit.cont() )
           this->set_current_dart(this->mmap->null_handle);
         else
-        {          
-          if ( !mfirst_border ) 
+        {
+          if ( !mfirst_border )
             this->set_current_dart(this->mmap->beta(mit, delta));
           else
             this->set_current_dart(mit);
@@ -618,7 +618,7 @@ namespace CGAL {
   public:
     typedef CMap_dart_iterator_basic_of_two_beta<Map_,Const,1,delta> Self;
     typedef CMap_dart_iterator<Map_,Const> Base;
-    
+
     typedef typename Base::Dart_handle Dart_handle;
     typedef typename Base::Map Map;
     typedef typename Map::size_type size_type;
@@ -637,9 +637,9 @@ namespace CGAL {
       mfirst_border(true)
     { if (adart!=this->mmap->null_handle)
         mexist_betaj=!this->mmap->is_free(adart, 1+delta); }
-    
+
     /// Main constructor.
-    CMap_dart_iterator_basic_of_two_beta(Map& amap, Dart_handle adart, 
+    CMap_dart_iterator_basic_of_two_beta(Map& amap, Dart_handle adart,
                                          size_type /*amark*/):
       Base(amap, adart),
       mit(amap, adart),
@@ -665,11 +665,11 @@ namespace CGAL {
         mprev_betaj = false;
         ++mit;
         this->mprev_op = mit.prev_operation();
-        if ( !mit.cont() ) 
+        if ( !mit.cont() )
           this->set_current_dart(this->mmap->null_handle);
         else
-        {          
-          if ( !mfirst_border ) 
+        {
+          if ( !mfirst_border )
             this->set_current_dart(this->mmap->beta(mit, 1+delta));
           else
             this->set_current_dart(mit);
@@ -719,7 +719,7 @@ namespace CGAL {
   public:
     typedef CMap_dart_iterator_basic_of_two_beta<Map_,Const,Bi,1> Self;
     typedef CMap_dart_iterator<Map_,Const> Base;
-    
+
     typedef typename Base::Dart_handle Dart_handle;
     typedef typename Base::Map Map;
     typedef typename Map::size_type size_type;
@@ -730,7 +730,7 @@ namespace CGAL {
 
   public:
     /// Main constructor.
-    CMap_dart_iterator_basic_of_two_beta(Map& amap, Dart_handle adart):    
+    CMap_dart_iterator_basic_of_two_beta(Map& amap, Dart_handle adart):
       Base(amap, adart),
       mfirst_dir(true),
       mnext_try_betai(true)
@@ -743,7 +743,7 @@ namespace CGAL {
       mfirst_dir(true),
       mnext_try_betai(true)
     {}
-    
+
     /// Rewind of the iterator to its beginning.
     void rewind()
     {
@@ -756,7 +756,7 @@ namespace CGAL {
     Self& operator++()
     {
       CGAL_assertion(this->cont());
-      
+
       if (mfirst_dir)
       {
         if (mnext_try_betai)
@@ -868,7 +868,7 @@ namespace CGAL {
    * use CMap_dart_iterator_basic_of_orbit.
    */
   template <typename Map_,bool Const,int Bi,int Bj>
-  class CMap_dart_iterator_basic_of_orbit_generic<Map_,Const,Bi,Bj>: 
+  class CMap_dart_iterator_basic_of_orbit_generic<Map_,Const,Bi,Bj>:
     public CMap_dart_iterator_basic_of_two_beta<Map_,Const,Bi,Bj-Bi>
   {
   public:
@@ -885,19 +885,19 @@ namespace CGAL {
     /// Main constructor.
     CMap_dart_iterator_basic_of_orbit_generic(Map& amap, Dart_handle adart) :
       Base(amap, adart)
-    {}    
+    {}
 
     /// Main constructor.
-    CMap_dart_iterator_basic_of_orbit_generic(Map& amap, Dart_handle adart, 
+    CMap_dart_iterator_basic_of_orbit_generic(Map& amap, Dart_handle adart,
                                               size_type amark):
       Base(amap, adart, amark)
-    {}    
+    {}
   };
   //****************************************************************************
-  /* Generic nD version. 
+  /* Generic nD version.
    */
   template <typename Map_,bool Const,int Bi,int Bj, int Bk, int... Beta>
-  class CMap_dart_iterator_basic_of_orbit_generic<Map_,Const,Bi,Bj,Bk,Beta...>: 
+  class CMap_dart_iterator_basic_of_orbit_generic<Map_,Const,Bi,Bj,Bk,Beta...>:
     public CMap_extend_iterator<Map_,
                                 CMap_dart_iterator_basic_of_orbit_generic
                                 <Map_,Const,Bi,Bj,Beta...>,
@@ -920,7 +920,7 @@ namespace CGAL {
 
   public:
     /// Main constructor.
-    CMap_dart_iterator_basic_of_orbit_generic(Map& amap, Dart_handle adart, 
+    CMap_dart_iterator_basic_of_orbit_generic(Map& amap, Dart_handle adart,
                                               size_type amark):
       Base(amap, adart, amark)
     {}
@@ -930,7 +930,7 @@ namespace CGAL {
   // 1<Bi and Bi+2<=Bj and Bj+2<=Bk but there is no real interest...
   //****************************************************************************
   template<typename Map,int...Beta>
-  class CMap_dart_iterator_basic_of_orbit: 
+  class CMap_dart_iterator_basic_of_orbit:
     public CMap_dart_iterator_basic_of_orbit_generic<Map,false,Beta...>
   {
   public:
@@ -1059,7 +1059,7 @@ namespace CGAL {
       CGAL_assertion(mmark_number != Map::INVALID_MARK);
       CGAL_assertion(this->cont());
       Dart_handle nd = this->mmap->null_handle;
-      
+
       for ( unsigned int k=0; k<i; ++k )
       {
         if ( this->is_unmarked((*this), k, mmark_number) )
@@ -1108,7 +1108,7 @@ namespace CGAL {
           this->mprev_op = OP_END;
         }
       }
-      
+
       this->set_current_dart(nd);
       return *this;
     }
@@ -1172,7 +1172,7 @@ namespace CGAL {
       CGAL_assertion(this->cont());
 
       Dart_handle nd = this->mmap->null_handle;
-      
+
       for ( unsigned int k=2; k<=d; ++k )
       {
         if ( this->is_unmarked((*this), k, mmark_number) )
@@ -1205,7 +1205,7 @@ namespace CGAL {
           this->mprev_op = OP_END;
         }
       }
-      
+
       this->set_current_dart(nd);
       return *this;
     }
@@ -1248,7 +1248,7 @@ namespace CGAL {
       {
         this->mmap->mark(adart, mmark_number);
         this->mmap->mark_null_dart(mmark_number);
-      }      
+      }
     }
 
     /// Rewind of the iterator to its beginning.
@@ -1346,7 +1346,7 @@ namespace CGAL {
           this->mprev_op = OP_END;
         }
       }
-      
+
       this->set_current_dart(nd);
       return *this;
     }
@@ -1354,7 +1354,7 @@ namespace CGAL {
     /// Postfix ++ operator.
     Self operator++(int)
     { Self res=*this; operator ++(); return res; }
-   
+
   protected:
     /// Queue of darts to process.
     std::queue<Dart_handle> mto_treat;
@@ -1363,9 +1363,9 @@ namespace CGAL {
     size_type mmark_number;
   };
   //****************************************************************************
-  // Specialization for edge in 2D 
+  // Specialization for edge in 2D
   template<typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_cell<Map_,1,2,Const>: 
+  class CMap_dart_iterator_basic_of_cell<Map_,1,2,Const>:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,Const,2>
   {
   public:
@@ -1390,9 +1390,9 @@ namespace CGAL {
     {}
   };
   //****************************************************************************
-  // Specialization for facet in 2D 
+  // Specialization for facet in 2D
   template<typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_cell<Map_,2,2,Const>: 
+  class CMap_dart_iterator_basic_of_cell<Map_,2,2,Const>:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,Const,1>
   {
   public:
@@ -1417,9 +1417,9 @@ namespace CGAL {
     {}
   };
   //****************************************************************************
-  // Specialization for cc in 2D 
+  // Specialization for cc in 2D
   template<typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_cell<Map_,3,2,Const>: 
+  class CMap_dart_iterator_basic_of_cell<Map_,3,2,Const>:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,Const,1,2>
   {
   public:
@@ -1438,9 +1438,9 @@ namespace CGAL {
     {}
   };
   //****************************************************************************
-  // Specialization for edge in 3D 
+  // Specialization for edge in 3D
   template<typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_cell<Map_,1,3,Const>: 
+  class CMap_dart_iterator_basic_of_cell<Map_,1,3,Const>:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,Const,2,3>
   {
   public:
@@ -1464,15 +1464,15 @@ namespace CGAL {
     {}
   };
   //****************************************************************************
-  // Specialization for facet in 3D 
+  // Specialization for facet in 3D
   template<typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_cell<Map_,2,3,Const>: 
+  class CMap_dart_iterator_basic_of_cell<Map_,2,3,Const>:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,Const,1,3>
   {
   public:
     typedef CMap_dart_iterator_basic_of_cell<Map_,2,3,Const> Self;
     typedef CMap_dart_iterator_basic_of_orbit_generic<Map_,Const,1,3> Base;
-    
+
     typedef typename Base::Dart_handle Dart_handle;
     typedef typename Base::Map Map;
     typedef typename Map::size_type size_type;
@@ -1490,9 +1490,9 @@ namespace CGAL {
     {}
   };
   //****************************************************************************
-  // Specialization for volume in 3D 
+  // Specialization for volume in 3D
   template<typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_cell<Map_,3,3,Const>: 
+  class CMap_dart_iterator_basic_of_cell<Map_,3,3,Const>:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,Const,1,2>
   {
   public:
@@ -1511,9 +1511,9 @@ namespace CGAL {
     {}
   };
   //****************************************************************************
-  // Specialization for cc in 3D 
+  // Specialization for cc in 3D
   template<typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_cell<Map_,4,3,Const>: 
+  class CMap_dart_iterator_basic_of_cell<Map_,4,3,Const>:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,Const,1,2,3>
   {
   public:
@@ -1536,7 +1536,7 @@ namespace CGAL {
    * darts of the orbit vertex in 2D.
    */
   template <typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_cell<Map_,0,2,Const>: 
+  class CMap_dart_iterator_basic_of_cell<Map_,0,2,Const>:
     public CMap_dart_iterator<Map_,Const>
   {
   public:
@@ -1551,14 +1551,14 @@ namespace CGAL {
 
   public:
     /// Main constructor.
-    CMap_dart_iterator_basic_of_cell(Map& amap, 
+    CMap_dart_iterator_basic_of_cell(Map& amap,
                                      Dart_handle adart):
       Base(amap, adart),
       mfirst_dir(true)
     {}
 
     /// Main constructor.
-    CMap_dart_iterator_basic_of_cell(Map& amap, 
+    CMap_dart_iterator_basic_of_cell(Map& amap,
                                      Dart_handle adart,
                                      size_type /*amark*/):
       Base(amap, adart),
@@ -1632,8 +1632,8 @@ namespace CGAL {
   //****************************************************************************
   //****************************************************************************
   template<typename Map_,bool Const,int...Beta>
-  class CMap_dart_iterator_of_orbit_generic: 
-    public  CMap_non_basic_iterator<Map_, 
+  class CMap_dart_iterator_of_orbit_generic:
+    public  CMap_non_basic_iterator<Map_,
                                     CMap_dart_iterator_basic_of_orbit_generic
                                     <Map_,Const,Beta...> >
   {
@@ -1653,7 +1653,7 @@ namespace CGAL {
   };
   //****************************************************************************
   template<typename Map_,unsigned int...Beta>
-  class CMap_dart_iterator_of_orbit: 
+  class CMap_dart_iterator_of_orbit:
     public CMap_dart_iterator_of_orbit_generic<Map_,false,Beta...>
   {
   public:
@@ -1661,7 +1661,7 @@ namespace CGAL {
     typedef CMap_dart_iterator_of_orbit_generic<Map_,false,Beta...> Base;
 
     typedef typename Base::Dart_handle Dart_handle;
-    
+
     /// Main constructor.
     CMap_dart_iterator_of_orbit(Map_& amap, Dart_handle adart):
       Base(amap, adart)
@@ -1669,7 +1669,7 @@ namespace CGAL {
   };
   //****************************************************************************
   template<typename Map_,int i,int d=Map_::dimension,bool Const=false>
-  class CMap_dart_iterator_of_cell: 
+  class CMap_dart_iterator_of_cell:
     public CMap_non_basic_iterator<Map_,CMap_dart_iterator_basic_of_cell
                                    <Map_,i,d,Const> >
   {
@@ -1681,7 +1681,7 @@ namespace CGAL {
 
     typedef typename Base::Dart_handle Dart_handle;
     typedef typename Base::Map Map;
-    
+
     /// Main constructor.
     CMap_dart_iterator_of_cell(Map& amap, Dart_handle adart1):
       Base(amap, adart1)
@@ -1690,14 +1690,14 @@ namespace CGAL {
   //****************************************************************************
   //********************ITERATOR*INVOLUTION*************************************
   //****************************************************************************
-  // i-involution iterator in combinatorial map of dimension d, 
-  // 2<i<=Map::dimension. Iterate by using all beta between 0 and d, 
+  // i-involution iterator in combinatorial map of dimension d,
+  // 2<i<=Map::dimension. Iterate by using all beta between 0 and d,
   // except beta(i-1), betai and beta(i+1)
   template<typename Map_,int i,int d=Map_::dimension,bool Const=false>
   class CMap_dart_iterator_basic_of_involution;
 
   template<typename Map_,int i,int d,bool Const>
-  class CMap_dart_iterator_basic_of_involution: 
+  class CMap_dart_iterator_basic_of_involution:
     public CMap_dart_iterator<Map_,Const>
   {
   public:
@@ -1712,7 +1712,7 @@ namespace CGAL {
 
     /// True iff this iterator is basic
     typedef Tag_true Basic_iterator;
-    
+
   public:
     /// Main constructor.
     CMap_dart_iterator_basic_of_involution(Map& amap,
@@ -1768,7 +1768,7 @@ namespace CGAL {
 
       for ( int k=2; k<=d; ++k )
       {
-        if ( k!=i-1 && k!=i && k!=i+1 && 
+        if ( k!=i-1 && k!=i && k!=i+1 &&
              this->is_unmarked((*this), k, mmark_number) )
         {
           if (nd == this->mmap->null_handle)
@@ -1798,7 +1798,7 @@ namespace CGAL {
           this->mprev_op = OP_END;
         }
       }
-      
+
       this->set_current_dart(nd);
       return *this;
     }
@@ -1815,12 +1815,12 @@ namespace CGAL {
     size_type mmark_number;
   };
   //****************************************************************************
-  // i-involution iterator in combinatorial map of dimension d, 
-  // 2<i<=Map::dimension. Iterate by using all beta between 0 and d, 
+  // i-involution iterator in combinatorial map of dimension d,
+  // 2<i<=Map::dimension. Iterate by using all beta between 0 and d,
   // except beta(i-1), betai and beta(i+1), by inversing order between
   // beta0 and beta1
   template<typename Map_,int i,int d=Map_::dimension,bool Const=false>
-  class CMap_dart_iterator_basic_of_involution_inv: 
+  class CMap_dart_iterator_basic_of_involution_inv:
     public CMap_dart_iterator<Map_,Const>
   {
   public:
@@ -1889,7 +1889,7 @@ namespace CGAL {
       }
       for ( int k=2; k<=d; ++k )
       {
-        if ( k!=i-1 && k!=i && k!=i+1 && 
+        if ( k!=i-1 && k!=i && k!=i+1 &&
              this->is_unmarked((*this), k, mmark_number) )
         {
           if (nd == this->mmap->null_handle)
@@ -1919,7 +1919,7 @@ namespace CGAL {
           this->mprev_op = OP_END;
         }
       }
-      
+
       this->set_current_dart(nd);
       return *this;
     }
@@ -1939,7 +1939,7 @@ namespace CGAL {
   // 1-involution iterator in combinatorial map of dimension d.
   // Iterate by using all beta between 3 and d.
   template<typename Map_,int d,bool Const>
-  class CMap_dart_iterator_basic_of_involution<Map_,1,d,Const>:  
+  class CMap_dart_iterator_basic_of_involution<Map_,1,d,Const>:
     public CMap_dart_iterator<Map_,Const>
   {
   public:
@@ -2018,7 +2018,7 @@ namespace CGAL {
           this->mprev_op = OP_END;
         }
       }
-      
+
       this->set_current_dart(nd);
       return *this;
     }
@@ -2038,7 +2038,7 @@ namespace CGAL {
   // 1-involution iterator in combinatorial map of dimension d.
   // Iterate by using all beta between 3 and d.
   template<typename Map_,int d,bool Const>
-  class CMap_dart_iterator_basic_of_involution_inv<Map_,1,d,Const>:  
+  class CMap_dart_iterator_basic_of_involution_inv<Map_,1,d,Const>:
     public CMap_dart_iterator_basic_of_involution<Map_,1,d,Const>
   {
   public:
@@ -2066,7 +2066,7 @@ namespace CGAL {
   // 2-involution iterator in combinatorial map of dimension d.
   // Iterate by using all beta between 4 and d.
   template<typename Map_,int d,bool Const>
-  class CMap_dart_iterator_basic_of_involution<Map_,2,d,Const>:  
+  class CMap_dart_iterator_basic_of_involution<Map_,2,d,Const>:
     public CMap_dart_iterator<Map_,Const>
   {
   public:
@@ -2145,7 +2145,7 @@ namespace CGAL {
           this->mprev_op = OP_END;
         }
       }
-      
+
       this->set_current_dart(nd);
       return *this;
     }
@@ -2165,7 +2165,7 @@ namespace CGAL {
   // 2-involution iterator in combinatorial map of dimension d.
   // Iterate by using all beta between 4 and d.
   template<typename Map_,int d,bool Const>
-  class CMap_dart_iterator_basic_of_involution_inv<Map_,2,d,Const>:  
+  class CMap_dart_iterator_basic_of_involution_inv<Map_,2,d,Const>:
     public CMap_dart_iterator_basic_of_involution<Map_,2,d,Const>
   {
   public:
@@ -2193,7 +2193,7 @@ namespace CGAL {
   // 1-involution iterator in combinatorial map of dimension 2.
   // Empty iterator.
   template<typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_involution<Map_,1,2,Const>:  
+  class CMap_dart_iterator_basic_of_involution<Map_,1,2,Const>:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,Const>
   {
   public:
@@ -2226,7 +2226,7 @@ namespace CGAL {
   // 1-involution iterator in combinatorial map of dimension 2.
   // self iterator.
   template<typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_involution_inv<Map_,1,2,Const>:  
+  class CMap_dart_iterator_basic_of_involution_inv<Map_,1,2,Const>:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,Const>
   {
   public:
@@ -2259,7 +2259,7 @@ namespace CGAL {
   // 2-involution iterator in combinatorial map of dimension 2.
   // self iterator.
   template<typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_involution<Map_,2,2,Const>:  
+  class CMap_dart_iterator_basic_of_involution<Map_,2,2,Const>:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,Const>
   {
   public:
@@ -2292,7 +2292,7 @@ namespace CGAL {
   // 2-involution iterator in combinatorial map of dimension 2.
   // self iterator.
   template<typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_involution_inv<Map_,2,2,Const>:  
+  class CMap_dart_iterator_basic_of_involution_inv<Map_,2,2,Const>:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,Const>
   {
   public:
@@ -2325,7 +2325,7 @@ namespace CGAL {
   // 1-involution iterator in combinatorial map of dimension 3.
   // Beta3 iterator.
   template<typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_involution<Map_,1,3,Const>:  
+  class CMap_dart_iterator_basic_of_involution<Map_,1,3,Const>:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,Const,3>
   {
   public:
@@ -2335,7 +2335,7 @@ namespace CGAL {
     typedef typename Base::Dart_handle Dart_handle;
     typedef typename Base::Map Map;
     typedef typename Map::size_type size_type;
-    
+
     typedef Tag_false Use_mark;
 
     /// True iff this iterator is basic
@@ -2352,13 +2352,13 @@ namespace CGAL {
     CMap_dart_iterator_basic_of_involution(Map& amap,
                                            Dart_handle adart):
       Base(amap, adart)
-    {}    
+    {}
   };
   //****************************************************************************
   // 1-involution iterator in combinatorial map of dimension 3.
   // Beta3 iterator.
   template<typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_involution_inv<Map_,1,3,Const>:  
+  class CMap_dart_iterator_basic_of_involution_inv<Map_,1,3,Const>:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,Const,3>
   {
   public:
@@ -2391,7 +2391,7 @@ namespace CGAL {
   // 2-involution iterator in combinatorial map of dimension 3.
   // Self iterator.
   template<typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_involution<Map_,2,3,Const>:  
+  class CMap_dart_iterator_basic_of_involution<Map_,2,3,Const>:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,Const>
   {
   public:
@@ -2424,7 +2424,7 @@ namespace CGAL {
   // 2-involution iterator in combinatorial map of dimension 3.
   // Self iterator.
   template<typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_involution_inv<Map_,2,3,Const>:  
+  class CMap_dart_iterator_basic_of_involution_inv<Map_,2,3,Const>:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,Const>
   {
   public:
@@ -2457,7 +2457,7 @@ namespace CGAL {
   // 1-involution iterator in combinatorial map of dimension 3.
   // Beta1 iterator.
   template<typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_involution<Map_,3,3,Const>:  
+  class CMap_dart_iterator_basic_of_involution<Map_,3,3,Const>:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,Const,1>
   {
   public:
@@ -2490,7 +2490,7 @@ namespace CGAL {
   // 1-involution iterator in combinatorial map of dimension 3.
   // Beta0 iterator.
   template<typename Map_,bool Const>
-  class CMap_dart_iterator_basic_of_involution_inv<Map_,3,3,Const>:  
+  class CMap_dart_iterator_basic_of_involution_inv<Map_,3,3,Const>:
     public CMap_dart_iterator_basic_of_orbit_generic<Map_,Const,0>
   {
   public:
@@ -2533,14 +2533,14 @@ namespace CGAL {
                                     <Map_,i,d,Const> >  Base;
 
     /// Main constructor.
-    CMap_dart_iterator_of_involution(typename Base::Map& amap, 
+    CMap_dart_iterator_of_involution(typename Base::Map& amap,
                                      typename Base::Dart_handle adart1):
       Base(amap, adart1)
     {}
   };
   //****************************************************************************
   template<typename Map_,int i,int d=Map_::dimension,bool Const=false>
-  class CMap_dart_iterator_of_involution_inv: 
+  class CMap_dart_iterator_of_involution_inv:
     public CMap_non_basic_iterator<Map_,
                                    CMap_dart_iterator_basic_of_involution_inv
                                    <Map_,i,d,Const> >
diff -pruN 5.0.2-3/include/CGAL/Default_diagonalize_traits.h 5.0.3-1/include/CGAL/Default_diagonalize_traits.h
--- 5.0.2-3/include/CGAL/Default_diagonalize_traits.h	2020-02-21 20:04:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Default_diagonalize_traits.h	2020-08-01 19:02:52.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Solver_interface/include/CGAL/Default_diagonalize_traits.h $
-// $Id: Default_diagonalize_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Solver_interface/include/CGAL/Default_diagonalize_traits.h $
+// $Id: Default_diagonalize_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -44,7 +44,7 @@ public:
   typedef std::array<FT, dim>                         Vector;
   typedef std::array<FT, dim*dim>                     Matrix;
   typedef std::array<FT, (dim * (dim+1) / 2)>         Covariance_matrix;
-  
+
   /// Fill `eigenvalues` with the eigenvalues of the covariance matrix represented by `cov`.
   /// Eigenvalues are sorted by increasing order.
   /// \return `true` if the operation was successful and `false` otherwise.
diff -pruN 5.0.2-3/include/CGAL/Default.h 5.0.3-1/include/CGAL/Default.h
--- 5.0.2-3/include/CGAL/Default.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Default.h	2020-08-01 19:02:47.000000000 +0000
@@ -2,12 +2,12 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Default.h $
-// $Id: Default.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Default.h $
+// $Id: Default.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sylvain Pion
- 
+
 #ifndef CGAL_DEFAULT_H
 #define CGAL_DEFAULT_H
 
diff -pruN 5.0.2-3/include/CGAL/Deformation_Eigen_closest_rotation_traits_3.h 5.0.3-1/include/CGAL/Deformation_Eigen_closest_rotation_traits_3.h
--- 5.0.2-3/include/CGAL/Deformation_Eigen_closest_rotation_traits_3.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Deformation_Eigen_closest_rotation_traits_3.h	2020-08-01 19:02:54.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_deformation/include/CGAL/Deformation_Eigen_closest_rotation_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_deformation/include/CGAL/Deformation_Eigen_closest_rotation_traits_3.h $
 // $Id: Deformation_Eigen_closest_rotation_traits_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Deformation_Eigen_polar_closest_rotation_traits_3.h 5.0.3-1/include/CGAL/Deformation_Eigen_polar_closest_rotation_traits_3.h
--- 5.0.2-3/include/CGAL/Deformation_Eigen_polar_closest_rotation_traits_3.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Deformation_Eigen_polar_closest_rotation_traits_3.h	2020-08-01 19:02:54.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_deformation/include/CGAL/Deformation_Eigen_polar_closest_rotation_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_deformation/include/CGAL/Deformation_Eigen_polar_closest_rotation_traits_3.h $
 // $Id: Deformation_Eigen_polar_closest_rotation_traits_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Delaunay_d.h 5.0.3-1/include/CGAL/Delaunay_d.h
--- 5.0.2-3/include/CGAL/Delaunay_d.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Delaunay_d.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_d/include/CGAL/Delaunay_d.h $
-// $Id: Delaunay_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_d/include/CGAL/Delaunay_d.h $
+// $Id: Delaunay_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 //---------------------------------------------------------------------
@@ -29,7 +29,7 @@
 #include <CGAL/internal/deprecation_warning.h>
 
 /*{\Manpage {Delaunay_d}{R,Lifted_R}{Delaunay Triangulations}{DT}}*/
-/*{\Mdefinition 
+/*{\Mdefinition
 
 An instance |\Mvar| of type |\Mname| is the nearest and furthest
 site Delaunay triangulation of a set |S| of points in some
@@ -89,7 +89,7 @@ namespace CGAL {
 
 template <typename R_, typename Lifted_R_ = R_>
 class Delaunay_d : public Convex_hull_d<Lifted_R_>
-{ 
+{
 typedef Delaunay_d<R_,Lifted_R_> Self;
 typedef Convex_hull_d<Lifted_R_> Base;
 
@@ -148,7 +148,7 @@ scope after instantiation of the class.
 of |\Mname::Vertex_handle| from now on. Similarly we use
 |Simplex_handle|.}*/
 private:
-  enum type_of_S { unknown, non_cocircular, cocircular };  
+  enum type_of_S { unknown, non_cocircular, cocircular };
   type_of_S ts;
 
   const R& Delaunay_kernel_;
@@ -162,7 +162,7 @@ private:
     Lifted_vector_d normal = ortho(hyperplane_supporting(f));
     typename Lifted_R::Component_accessor_d access =
       lifted_kernel().component_accessor_d_object();
-    int d = CGAL_NTS sign( 
+    int d = CGAL_NTS sign(
       access.homogeneous(normal,access.dimension(normal)-1));
     if (d > 0) return upper_hull;
     if (d < 0) return lower_hull;
@@ -176,7 +176,7 @@ private:
   bool incident_simplex_search(Vertex_handle v, Simplex_handle s) const;
 
 public:
-  
+
   typedef typename Base::Point_const_iterator Point_const_iterator;
   /*{\Mtypemember the iterator for points.}*/
 
@@ -186,9 +186,9 @@ public:
   typedef typename Base::Simplex_iterator CH_simplex_iterator;
   typedef typename Base::Simplex_const_iterator CH_simplex_const_iterator;
 
-  class Simplex_iterator 
-  /*{\Mtypemember the iterator for simplices.}*/ 
-    : public CH_simplex_iterator 
+  class Simplex_iterator
+  /*{\Mtypemember the iterator for simplices.}*/
+    : public CH_simplex_iterator
   {
     typedef Delaunay_d<R,Lifted_R> Delaunay;
     typedef CH_simplex_iterator Base_iterator;
@@ -197,23 +197,23 @@ public:
     type_of_facet tf;
     Base_iterator base() { return Base_iterator(*this); }
   public:
-    Simplex_iterator(Base_iterator y = Base_iterator()) : 
+    Simplex_iterator(Base_iterator y = Base_iterator()) :
       Base_iterator(y) {}
 
-    Simplex_iterator(Delaunay* x,  Base_iterator y, 
-      Delaunay_voronoi_kind z = NEAREST) : Base_iterator(y), DT(x) 
+    Simplex_iterator(Delaunay* x,  Base_iterator y,
+      Delaunay_voronoi_kind z = NEAREST) : Base_iterator(y), DT(x)
     /* if the facet is not nil we set the current marker to
        the facet and insert all it's neighbors into the
        candidates stack */
     { CGAL_assertion(base() != Base_iterator());
-      tf = (z == NEAREST ? lower_hull : upper_hull); 
+      tf = (z == NEAREST ? lower_hull : upper_hull);
       bool cocirc = DT->is_S_cocircular();
       // Note [Sylvain,2007-03-08] : I added some parentheses to fix a warning,
       // I hope I got the logic right.
       // Note: I have add a new pair of parentheses. Laurent Rineau, 2010/08/20
       while ( base() != DT->simplices_end() &&
               !( ( cocirc && DT->is_bounded_simplex(base()) ) ||
-                ( ( !cocirc && DT->is_unbounded_simplex(base()) ) && 
+                ( ( !cocirc && DT->is_unbounded_simplex(base()) ) &&
                   DT->type_of(base()) == tf ) ) ) {
          Base_iterator::operator++();
       }
@@ -223,7 +223,7 @@ public:
     Simplex_iterator& operator++()
     /* here we get a new candidate from the stack
        and insert all its not-visited neighbors */
-    { 
+    {
       bool cocirc = DT->is_S_cocircular();
       do {
         Base_iterator::operator++();
@@ -232,11 +232,11 @@ public:
       // Note: I have add a new pair of parentheses. Laurent Rineau, 2010/08/20
       } while ( base() != DT->simplices_end() &&
                 !( ( cocirc && DT->is_bounded_simplex(base()) ) ||
-                   ( ( !cocirc && DT->is_unbounded_simplex(base()) ) && 
+                   ( ( !cocirc && DT->is_unbounded_simplex(base()) ) &&
                    DT->type_of(base()) == tf ) ) );
-      return *this; 
+      return *this;
     }
-    Simplex_iterator  operator++(int) 
+    Simplex_iterator  operator++(int)
     { Simplex_iterator tmp = *this; ++(*this); return tmp; }
 
     // change modus:
@@ -256,42 +256,42 @@ public:
     type_of_facet tf;
     Base_iterator base() { return Base_iterator(*this); }
   public:
-    Simplex_const_iterator(Base_iterator y = Base_iterator()) : 
+    Simplex_const_iterator(Base_iterator y = Base_iterator()) :
       Base_iterator(y) {}
 
-    Simplex_const_iterator(const Delaunay* x,  Base_iterator y, 
-      Delaunay_voronoi_kind z = NEAREST) : Base_iterator(y), DT(x) 
+    Simplex_const_iterator(const Delaunay* x,  Base_iterator y,
+      Delaunay_voronoi_kind z = NEAREST) : Base_iterator(y), DT(x)
     /* if the facet is not nil we set the current marker to
        the facet and insert all it's neighbors into the
        candidates stack */
     { CGAL_assertion(base() != Base_iterator());
-      tf = (z == NEAREST ? lower_hull : upper_hull); 
+      tf = (z == NEAREST ? lower_hull : upper_hull);
       bool cocirc = const_cast<Delaunay*>(DT)->is_S_cocircular();
       while ( (base() != DT->simplices_end()) &&
               !( (cocirc && DT->is_bounded_simplex(base())) ||
-                 (!cocirc && DT->is_unbounded_simplex(base()) && 
+                 (!cocirc && DT->is_unbounded_simplex(base()) &&
                   DT->type_of(base()) == tf ) ) ) {
          Base_iterator::operator++();
       }
     }
 
-    Simplex_const_iterator(const Simplex_const_iterator& it) : 
+    Simplex_const_iterator(const Simplex_const_iterator& it) :
       Base_iterator(it) {}
 
     Simplex_const_iterator& operator++()
     /* here we get a new candidate from the stack
        and insert all its not-visited neighbors */
-    { 
+    {
       bool cocirc = const_cast<Delaunay*>(DT)->is_S_cocircular();
       do {
         Base_iterator::operator++();
       } while ( (base() != DT->simplices_end()) &&
                 !( (cocirc && DT->is_bounded_simplex(base())) ||
-                   (!cocirc && DT->is_unbounded_simplex(base()) && 
-                    DT->type_of(base()) == tf ) ) ); 
-      return *this; 
+                   (!cocirc && DT->is_unbounded_simplex(base()) &&
+                    DT->type_of(base()) == tf ) ) );
+      return *this;
     }
-    Simplex_const_iterator  operator++(int) 
+    Simplex_const_iterator  operator++(int)
     { Simplex_iterator tmp = *this; ++(*this); return tmp; }
 
     // change modus:
@@ -309,7 +309,7 @@ public:
   /*{\Xop projects the upper (|which = 1|) or lower (|which = -1|) hull
   into regular complex |RC|. }*/
 
-    
+
   bool is_S_cocircular();
   /*{\Xop returns |true| if the points of |S| are cocircular and returns
   |false| otherwise}*/
@@ -337,7 +337,7 @@ public:
   private:
   /*{\Mtext The data type |\Mtype| offers neither copy constructor nor
   assignment operator.}*/
-  Delaunay_d(const Self&); 
+  Delaunay_d(const Self&);
   Self& operator=(const Self&);
   public:
 
@@ -346,9 +346,9 @@ public:
   /*{\Mtext All operations below that take a point |x| as an argument
   have the common precondition that $|x.dimension()| = |\Mvar.dimension()|$.}*/
 
-  int dimension() const 
+  int dimension() const
   /*{\Mop returns the dimension of ambient space}*/
-  { return (Base::dimension() - 1); } 
+  { return (Base::dimension() - 1); }
 
   int current_dimension() const
   /*{\Mop returns the affine dimension of the current point set, i.e.,
@@ -360,18 +360,18 @@ public:
   }
 
   bool is_simplex_of_nearest(Simplex_handle s) const
-  /*{\Mop returns true if |s| is a simplex of the nearest site 
+  /*{\Mop returns true if |s| is a simplex of the nearest site
   triangulation.}*/
   { if ( const_cast<Self*>(this)->is_S_cocircular() ) return true;
     return ( type_of(s) == lower_hull );
   }
 
   bool is_simplex_of_furthest(Simplex_handle s) const
-  /*{\Mop returns true if |s| is a simplex of the furthest site 
+  /*{\Mop returns true if |s| is a simplex of the furthest site
   triangulation.}*/
   { if ( const_cast<Self*>(this)->is_S_cocircular() ) return true;
     return (type_of(s) == upper_hull);
-  }  
+  }
 
   bool is_simplex_of_nearest(Simplex_const_handle s) const
   { if ( const_cast<Self*>(this)->is_S_cocircular() ) return true;
@@ -380,23 +380,23 @@ public:
   bool is_simplex_of_furthest(Simplex_const_handle s) const
   { if ( const_cast<Self*>(this)->is_S_cocircular() ) return true;
     return (type_of(s) == upper_hull);
-  }  
+  }
+
 
-     
   Vertex_handle vertex_of_simplex(Simplex_handle s, int i) const
   /*{\Mop returns the vertex associated with the $i$-th node of $s$.
   \precond $0 \leq i \leq |dcur|$. }*/
   { if ( const_cast<Self*>(this)->is_S_cocircular() )
       return Base::vertex_of_simplex(s,i);
-    else 
+    else
      return Base::vertex_of_simplex(s,i+1);
   }
 
-  Vertex_const_handle vertex_of_simplex(Simplex_const_handle s, 
+  Vertex_const_handle vertex_of_simplex(Simplex_const_handle s,
                                         int i) const
   { if ( const_cast<Self*>(this)->is_S_cocircular() )
       return Base::vertex_of_simplex(s,i);
-    else 
+    else
       return Base::vertex_of_simplex(s,i+1);
   }
 
@@ -424,51 +424,51 @@ public:
   /*{\Mop returns the simplex opposite to the $i$-th vertex of $s$
   (|Simplex_handle()| if there is no such simplex).
   \precond $0 \leq i \leq |dcur|$. }*/
-  { 
+  {
     if ( const_cast<Self*>(this)->is_S_cocircular() ) {
       Simplex_handle f = Base::opposite_simplex(s,i);
-      return ( Base::is_unbounded_simplex(f) ? 
-	       Simplex_handle() : f );    
+      return ( Base::is_unbounded_simplex(f) ?
+               Simplex_handle() : f );
     } else {
       Simplex_handle f = Base::opposite_simplex(s,i+1);
       return ( type_of(f) == type_of(s) ? f : Simplex_handle() );
     }
-  }  
+  }
 
-  Simplex_const_handle opposite_simplex(Simplex_const_handle s, 
+  Simplex_const_handle opposite_simplex(Simplex_const_handle s,
                                         int i) const
-  { 
+  {
     if ( const_cast<Self*>(this)->is_S_cocircular() ) {
       Simplex_const_handle f = Base::opposite_simplex(s,i);
-      return ( Base::is_unbounded_simplex(f) ? 
-	       Simplex_const_handle() : f );    
+      return ( Base::is_unbounded_simplex(f) ?
+               Simplex_const_handle() : f );
     } else {
       Simplex_const_handle f = Base::opposite_simplex(s,i+1);
       return ( type_of(f) == type_of(s) ? f : Simplex_const_handle() );
     }
-  }  
-   
+  }
+
   int index_of_vertex_in_opposite_simplex(Simplex_handle s,int i) const
-  /*{\Mop returns the index of the vertex opposite to the $i$-th vertex 
+  /*{\Mop returns the index of the vertex opposite to the $i$-th vertex
   of $s$. \precond $0 \leq i \leq |dcur|$.}*/
-  { 
-    if ( const_cast<Self*>(this)->is_S_cocircular() ) 
+  {
+    if ( const_cast<Self*>(this)->is_S_cocircular() )
       return Base::index_of_vertex_in_opposite_simplex(s,i);
     else
-      return Base::index_of_vertex_in_opposite_simplex(s,i+1) - 1; 
-  }  
+      return Base::index_of_vertex_in_opposite_simplex(s,i+1) - 1;
+  }
 
   int index_of_vertex_in_opposite_simplex(Simplex_const_handle s,
                                           int i) const
-  { 
-    if ( const_cast<Self*>(this)->is_S_cocircular() ) 
+  {
+    if ( const_cast<Self*>(this)->is_S_cocircular() )
       return Base::index_of_vertex_in_opposite_simplex(s,i);
     else
-      return Base::index_of_vertex_in_opposite_simplex(s,i+1) - 1; 
-  }  
+      return Base::index_of_vertex_in_opposite_simplex(s,i+1) - 1;
+  }
 
   Simplex_handle simplex(Vertex_handle v) const;
-  /*{\Mop returns a simplex of the nearest site triangulation incident 
+  /*{\Mop returns a simplex of the nearest site triangulation incident
   to $v$.}*/
 
   int index(Vertex_handle v) const;
@@ -505,14 +505,14 @@ public:
 
   Simplex_handle locate(const Point_d& x) const;
   /*{\Mop returns a simplex of the nearest site triangulation
-  containing |x| in its closure (returns |Simplex_handle()| if |x| lies 
+  containing |x| in its closure (returns |Simplex_handle()| if |x| lies
   outside the convex hull of $S$).}*/
 
 
   Vertex_handle lookup(const Point_d& x) const
-  /*{\Mop if |\Mvar| contains a vertex $v$ with |associated_point(v) = x| 
+  /*{\Mop if |\Mvar| contains a vertex $v$ with |associated_point(v) = x|
   the result is $v$ otherwise the result is |Vertex_handle()|. }*/
-  { 
+  {
     Simplex_handle s = locate(x);
     if ( s == Simplex_handle() ) return Vertex_handle();
     for (int i = 0; i <= current_dimension(); i++) {
@@ -525,13 +525,13 @@ public:
 
   Vertex_handle nearest_neighbor(const Point_d& x) const;
   /*{\Mop computes a vertex $v$ of |\Mvar| that is closest to $x$,
-  i.e.,\\ $|dist(x,associated_point(v))| = \min \{ 
+  i.e.,\\ $|dist(x,associated_point(v))| = \min \{
   |dist(x, associated_point(u))| \mid u \in S\ \}$.}*/
 
   /*{\Mtext \setopdims{5cm}{1cm}}*/
-  std::list<Vertex_handle> 
+  std::list<Vertex_handle>
   range_search(const Sphere_d& C) const;
-  /*{\Mop returns the list of all vertices contained in the closure of 
+  /*{\Mop returns the list of all vertices contained in the closure of
   sphere $C$.}*/
 
   std::list<Vertex_handle>
@@ -542,20 +542,20 @@ public:
   in base space.}*/
 
 
-  void all_vertices_below(const Lifted_hyperplane_d& h, 
-                          Simplex_handle s, 
+  void all_vertices_below(const Lifted_hyperplane_d& h,
+                          Simplex_handle s,
                           std::list<Vertex_handle>& result,
                           Unique_hash_map<Vertex_handle,bool>& is_new,
                           bool is_cocircular) const;
 
 
-  std::list<Simplex_handle> 
+  std::list<Simplex_handle>
   all_simplices(Delaunay_voronoi_kind k = NEAREST) const;
   /*{\Mop returns a list of all simplices of either the nearest or the
           furthest site Delaunay triangulation of |S|.}*/
 
 
-  std::list<Vertex_handle> 
+  std::list<Vertex_handle>
   all_vertices(Delaunay_voronoi_kind k = NEAREST) const;
   /*{\Mop returns a list of all vertices of either the nearest or the
   furthest site Delaunay triangulation of |S|.}*/
@@ -581,7 +581,7 @@ public:
   { return Simplex_iterator(Base::simplices_end()); }
 
 
-  Simplex_const_iterator 
+  Simplex_const_iterator
   simplices_begin(Delaunay_voronoi_kind k = NEAREST) const
   { return Simplex_const_iterator(this,Base::simplices_begin(),k); }
 
@@ -603,7 +603,7 @@ public:
   requirement for an insert is the time to insert the lifted point
   into the convex hull of the lifted points.}*/
 
-  /*{\Mexample 
+  /*{\Mexample
 
   The abstract data type |Delaunay_d| has a default instantiation by
   means of the $d$-dimensional geometric kernel.
@@ -633,7 +633,7 @@ public:
 
   |\Mname| requires the following types from the kernel traits |Lifted_R|:
   \begin{Mverb}
-    RT Point_d Vector_d Ray_d Hyperplane_d 
+    RT Point_d Vector_d Ray_d Hyperplane_d
   \end{Mverb}
   and uses the following function objects from the kernel traits:
   \begin{Mverb}
@@ -652,7 +652,7 @@ public:
   \end{Mverb}
   |\Mname| requires the following types from the kernel traits |R|:
   \begin{Mverb}
-    FT Point_d Sphere_d 
+    FT Point_d Sphere_d
   \end{Mverb}
   and uses the following function objects from the kernel traits |R|:
   \begin{Mverb}
@@ -701,7 +701,7 @@ void Delaunay_d<R,Lifted_R>::project(Reg
         t = project_simps[opposite_simplex(f,i)];
         if ( dc > 0 && t != Simplex_handle() ) {
           RC.set_neighbor(s,i,t,
-                          index_of_vertex_in_opposite_simplex(f,i)); 
+                          index_of_vertex_in_opposite_simplex(f,i));
         }
       }
     }
@@ -710,8 +710,8 @@ void Delaunay_d<R,Lifted_R>::project(Reg
 
 
 template <typename R, typename Lifted_R>
-bool Delaunay_d<R,Lifted_R>::is_S_cocircular() 
-{ 
+bool Delaunay_d<R,Lifted_R>::is_S_cocircular()
+{
   if (ts == unknown) {
     int d = Base::current_dimension();
     std::vector<Lifted_point_d> A(d + 1);
@@ -722,7 +722,7 @@ bool Delaunay_d<R,Lifted_R>::is_S_cocirc
 
     typename Lifted_R::Affinely_independent_d affinely_independent =
       lifted_kernel().affinely_independent_d_object();
-    ts = ( affinely_independent(A.begin(),A.end()) ? 
+    ts = ( affinely_independent(A.begin(),A.end()) ?
            cocircular : non_cocircular );
     if ( d == -1 && ts != cocircular )
       CGAL_error_msg(        "affinely independent works incorrectly for empty set");
@@ -731,18 +731,18 @@ bool Delaunay_d<R,Lifted_R>::is_S_cocirc
 }
 
 
-template <typename R, typename Lifted_R> 
+template <typename R, typename Lifted_R>
 bool Delaunay_d<R,Lifted_R>::
 incident_simplex_search(Vertex_handle v, Simplex_handle s) const
-{ 
+{
   visited_mark(s) = true;
-  if ( const_cast<Self*>(this)->is_S_cocircular() == 
+  if ( const_cast<Self*>(this)->is_S_cocircular() ==
        is_bounded_simplex(s) ) {
-    // we have found a simplex of the desired kind 
+    // we have found a simplex of the desired kind
     int low = ( is_unbounded_simplex(s) ? 1 : 0 );
     for ( int i = low; i <= Base::current_dimension(); i++) {
       if ( v == Base::vertex_of_simplex(s,i) ) {
-        const_cast<Self*>(this)->associate_vertex_with_simplex(s,i,v); 
+        const_cast<Self*>(this)->associate_vertex_with_simplex(s,i,v);
         return true;
       }
     }
@@ -756,22 +756,22 @@ incident_simplex_search(Vertex_handle v,
   int j;
   for (j = 0; j <= dcur; j++)
     if ( Base::vertex_of_simplex(s,j) == v ) incident = true;
-  if ( !incident ) 
+  if ( !incident )
     CGAL_error_msg("reached a simplex that is not incident to v");
 
   for (j = 0; j <= Base::current_dimension(); j++) {
     Simplex_handle t = Base::opposite_simplex(s,j);
     if ( Base::vertex_of_simplex(s,j) != v && !visited_mark(t)  &&
-         incident_simplex_search(v,t) ) 
-      return true;    
+         incident_simplex_search(v,t) )
+      return true;
   }
   return false;
 }
 
-template <typename R, typename Lifted_R> 
-typename Delaunay_d<R,Lifted_R>::Simplex_handle 
+template <typename R, typename Lifted_R>
+typename Delaunay_d<R,Lifted_R>::Simplex_handle
 Delaunay_d<R,Lifted_R>::simplex(Vertex_handle v) const
-{ 
+{
   Simplex_handle s = Base::simplex(v);
   if ( Base::vertex_of_simplex(s,Base::index(v)) != v )
     CGAL_error_msg("Delaunay_d::simplex: s is not incident to v.");
@@ -794,7 +794,7 @@ contains(Simplex_handle s, const Point_d
   if (d < 0) return false;
   std::vector<Point_d> A;
   A.reserve(d + 1);
-  for (int i = 0; i <= d; i++){ 
+  for (int i = 0; i <= d; i++){
     Vertex_handle vh = vertex_of_simplex(s,i);
     if (vh!=this->anti_origin_)
       A.push_back( associated_point(vh) );
@@ -809,7 +809,7 @@ template <typename R, typename Lifted_R>
 typename Delaunay_d<R,Lifted_R>::Simplex_handle
 Delaunay_d<R,Lifted_R>::
 locate(const Point_d& x) const
-{ 
+{
   int d = current_dimension();
   if (d < 0) return Simplex_handle();
   if ( d == 0 ) {
@@ -823,14 +823,14 @@ locate(const Point_d& x) const
   Lifted_point_d lp = lift(x);
   if ( is_dimension_jump(lp) ) {
     Simplex_iterator s;
-    for (s = const_cast<Self*>(this)->simplices_begin(NEAREST); 
-         s != const_cast<Self*>(this)->simplices_end(); ++s) 
+    for (s = const_cast<Self*>(this)->simplices_begin(NEAREST);
+         s != const_cast<Self*>(this)->simplices_end(); ++s)
       if ( contains(s,x) ) return s;
     return Simplex_handle();
   }
   // lift(p) is not a dimension jump
   std::list<Simplex_handle> candidates;
-  std::size_t dummy1 = 0; 
+  std::size_t dummy1 = 0;
   int loc = -1; // intialization is important
   Simplex_handle f;
   this -> visibility_search(origin_simplex_,lp,candidates,dummy1,loc,f);
@@ -849,25 +849,25 @@ locate(const Point_d& x) const
 
 
 template <typename R, typename Lifted_R>
-typename Delaunay_d<R,Lifted_R>::Vertex_handle 
+typename Delaunay_d<R,Lifted_R>::Vertex_handle
 Delaunay_d<R,Lifted_R>::
 nearest_neighbor(const Point_d& x) const
-{ 
+{
   int d = current_dimension();
   if (d < 0) return Vertex_handle();
-  if (d == 0) 
+  if (d == 0)
     return Base::vertex_of_simplex(origin_simplex_,0);
-  
+
   typename Lifted_R::Lift_to_paraboloid_d lift =
     lifted_kernel().lift_to_paraboloid_d_object();;
   Lifted_point_d lp = lift(x);
   std::list<Simplex_handle> candidates;
- 
+
   if ( is_dimension_jump(lp) )
     candidates = all_simplices(NEAREST);
   else {
     // lift(x) is not a dimension jump
-    std::size_t dummy1 = 0; 
+    std::size_t dummy1 = 0;
     int location = -1;
     typename Base::Facet_handle f;
     this -> visibility_search(origin_simplex_,lp,candidates,dummy1,location,f);
@@ -877,7 +877,7 @@ nearest_neighbor(const Point_d& x) const
     if (location == 0) {
       // x must be one of the corners of f
       for (int i = 0; i < Base::current_dimension(); i++) {
-        if ( point_of_facet(f,i) == lp )  
+        if ( point_of_facet(f,i) == lp )
           return vertex_of_facet(f,i);
       }
       CGAL_error_msg("Delaunay_d::nearest_neighbor: \
@@ -886,9 +886,9 @@ nearest_neighbor(const Point_d& x) const
   }
 
   /* search through the vertices of the candidate simplices */
-  if ( candidates.empty() ) 
+  if ( candidates.empty() )
     CGAL_error_msg("Delaunay_d::nearest_neighbor: candidates is empty");
-  Vertex_handle nearest_v = 
+  Vertex_handle nearest_v =
     vertex_of_simplex(*candidates.begin(),0);
   typename R::Squared_distance_d sqr_dist =
     kernel().squared_distance_d_object();
@@ -911,12 +911,12 @@ nearest_neighbor(const Point_d& x) const
 
 template <typename R, typename Lifted_R>
 void Delaunay_d<R,Lifted_R>::
-all_vertices_below(const Lifted_hyperplane_d& h, 
-                   Simplex_handle s, 
+all_vertices_below(const Lifted_hyperplane_d& h,
+                   Simplex_handle s,
                    std::list< Vertex_handle >& result,
                    Unique_hash_map<Vertex_handle,bool>& is_new,
                    bool is_cocircular) const
-{ 
+{
   visited_mark(s) = true;
   bool some_vertex_on_or_below_h = false;
   int i;
@@ -933,29 +933,29 @@ all_vertices_below(const Lifted_hyperpla
       }
     }
   }
-        
+
   if ( !some_vertex_on_or_below_h ) return;
   for (i = low; i <= Base::current_dimension(); i++) {
     Simplex_handle t = Base::opposite_simplex(s,i);
-    if ( !visited_mark(t) && 
+    if ( !visited_mark(t) &&
          (!is_cocircular || is_bounded_simplex(t)) )
       all_vertices_below(h,t,result,is_new,is_cocircular);
   }
 }
 
 template <typename R, typename Lifted_R>
-std::list< typename Delaunay_d<R,Lifted_R>::Vertex_handle > 
+std::list< typename Delaunay_d<R,Lifted_R>::Vertex_handle >
 Delaunay_d<R,Lifted_R>::
 range_search(const Sphere_d& C) const
-{ 
+{
   std::list<Vertex_handle> result;
   int dc = current_dimension();
-  if ( dc < 0 ) 
+  if ( dc < 0 )
     return result;
   Point_d c = C.center();
   Vertex_handle v = nearest_neighbor(c);
   if ( dc == 0 ) {
-    if ( C.has_on_bounded_side(associated_point(v)) ) 
+    if ( C.has_on_bounded_side(associated_point(v)) )
       result.push_back(v);
     return result;
   }
@@ -968,27 +968,27 @@ range_search(const Sphere_d& C) const
     lifted_kernel().lift_to_paraboloid_d_object();
   typename R::Point_of_sphere_d point_of_sphere =
     kernel().point_of_sphere_d_object();
-  for (int i = 0; i <= d; i++)  
+  for (int i = 0; i <= d; i++)
     P[i] = lift(point_of_sphere(C,i));
   typedef typename Lifted_vector_d::Base_vector Base_vector;
-  Lifted_point_d o = P[0] - 
+  Lifted_point_d o = P[0] -
     Lifted_vector_d(d+1,Base_vector(),d);
   typename Lifted_R::Construct_hyperplane_d hyperplane_trough =
     lifted_kernel().construct_hyperplane_d_object();
-  Lifted_hyperplane_d h = 
-    hyperplane_trough(P.begin(),P.end(),o,ON_NEGATIVE_SIDE);  
+  Lifted_hyperplane_d h =
+    hyperplane_trough(P.begin(),P.end(),o,ON_NEGATIVE_SIDE);
   // below is negative
   all_vertices_below(h,s,result,is_new,is_cocircular);
   clear_visited_marks(s);
   return result;
 }
-  
+
 
 template <typename R, typename Lifted_R>
-std::list< typename Delaunay_d<R,Lifted_R>::Vertex_handle > 
+std::list< typename Delaunay_d<R,Lifted_R>::Vertex_handle >
 Delaunay_d<R,Lifted_R>::
 range_search(const std::vector<Point_d>& A) const
-{ 
+{
   CGAL_assertion_code( typename R::Affinely_independent_d affinely_independent =
                        kernel().affinely_independent_d_object());
   CGAL_assertion_msg( affinely_independent(A.begin(),A.end()),
@@ -1011,25 +1011,25 @@ range_search(const std::vector<Point_d>&
 
 
 template <typename R, typename Lifted_R>
-std::list< typename Delaunay_d<R,Lifted_R>::Simplex_handle > 
+std::list< typename Delaunay_d<R,Lifted_R>::Simplex_handle >
 Delaunay_d<R,Lifted_R>::
 all_simplices(Delaunay_voronoi_kind k) const
-{ 
+{
   std::list<Simplex_handle> result;
   if ( dcur < 0 ) return result;
   Simplex_iterator s;
-  for (s = const_cast<Self*>(this)->simplices_begin(k); 
+  for (s = const_cast<Self*>(this)->simplices_begin(k);
        s != const_cast<Self*>(this)->simplices_end(); ++s) {
-    result.push_back(s); 
+    result.push_back(s);
   }
   return result;
 }
 
 template <typename R, typename Lifted_R>
-std::list< typename Delaunay_d<R,Lifted_R>::Vertex_handle > 
+std::list< typename Delaunay_d<R,Lifted_R>::Vertex_handle >
 Delaunay_d<R,Lifted_R>::
 all_vertices(Delaunay_voronoi_kind k) const
-{ 
+{
   Unique_hash_map<Vertex_handle,bool> is_new_vertex(true);
   std::list<Vertex_handle> result;
   std::list<Simplex_handle> hull_simplices = all_simplices(k);
@@ -1048,16 +1048,16 @@ all_vertices(Delaunay_voronoi_kind k) co
 
 
 template <typename R, typename Lifted_R>
-std::list< typename Delaunay_d<R,Lifted_R>::Point_d > 
+std::list< typename Delaunay_d<R,Lifted_R>::Point_d >
 Delaunay_d<R,Lifted_R>::
 all_points() const
-{ 
+{
   std::list<Point_d> result;
   std::list<Vertex_handle> all_nearest_verts = all_vertices(NEAREST);
   typename std::list<Vertex_handle>::iterator it;
-  for(it = all_nearest_verts.begin(); 
+  for(it = all_nearest_verts.begin();
       it != all_nearest_verts.end();
-      ++it) 
+      ++it)
     result.push_back(associated_point(*it));
   return result;
 }
diff -pruN 5.0.2-3/include/CGAL/Delaunay_mesh_area_criteria_2.h 5.0.3-1/include/CGAL/Delaunay_mesh_area_criteria_2.h
--- 5.0.2-3/include/CGAL/Delaunay_mesh_area_criteria_2.h	2020-02-21 20:03:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/Delaunay_mesh_area_criteria_2.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Delaunay_mesh_area_criteria_2.h $
-// $Id: Delaunay_mesh_area_criteria_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Delaunay_mesh_area_criteria_2.h $
+// $Id: Delaunay_mesh_area_criteria_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -21,7 +21,7 @@
 namespace CGAL {
 
 template <class Tr>
-class Delaunay_mesh_area_criteria_2 
+class Delaunay_mesh_area_criteria_2
   : public virtual Delaunay_mesh_criteria_2<Tr>,
     private Delaunay_mesh_size_criteria_2<Tr>
 /* This class "is a" Delaunay_mesh_criteria_2<Tr> and is implemented by
@@ -38,7 +38,7 @@ public:
 
   typedef typename Delaunay_mesh_size_criteria_2<Tr>::Quality Quality;
 
-  Delaunay_mesh_area_criteria_2(const double aspect_bound = 0.125, 
+  Delaunay_mesh_area_criteria_2(const double aspect_bound = 0.125,
                                 const double area_bound = 0,
                                 const Geom_traits& traits = Geom_traits())
     : Private_base(aspect_bound, area_bound, traits), traits(traits) {}
@@ -59,7 +59,7 @@ public:
     typedef typename Tr::Face_handle Face_handle;
 
     Is_bad(const double aspect_bound,
-	   const double area_bound,
+           const double area_bound,
            const Geom_traits& traits)
       : Is_bad_base(aspect_bound, area_bound, traits) {}
 
@@ -69,7 +69,7 @@ public:
     }
 
     Mesh_2::Face_badness operator()(const Face_handle& fh,
-				    Quality& q) const
+                                    Quality& q) const
     {
       typedef typename Tr::Geom_traits Geom_traits;
 
@@ -77,13 +77,13 @@ public:
       typedef typename Geom_traits::Triangle_2 Triangle_2;
       typedef typename Geom_traits::Compute_area_2 Compute_area_2;
       typedef typename Geom_traits::Compute_squared_distance_2
-	Compute_squared_distance_2;
+        Compute_squared_distance_2;
 
       Geom_traits geom_traits;
 
       Compute_area_2 area_2 = geom_traits.compute_area_2_object();
-      Compute_squared_distance_2 squared_distance = 
-	geom_traits.compute_squared_distance_2_object();
+      Compute_squared_distance_2 squared_distance =
+        geom_traits.compute_squared_distance_2_object();
 
       const Point_2& pa = fh->vertex(0)->point();
       const Point_2& pb = fh->vertex(1)->point();
@@ -94,34 +94,34 @@ public:
       area=area*area; // squared area
 
       double
-	a = CGAL::to_double(squared_distance(pb, pc)),
-	b = CGAL::to_double(squared_distance(pc, pa)),
-	c = CGAL::to_double(squared_distance(pa, pb));
+        a = CGAL::to_double(squared_distance(pb, pc)),
+        b = CGAL::to_double(squared_distance(pc, pa)),
+        c = CGAL::to_double(squared_distance(pa, pb));
 
       double min_sine; // squared minimum sine
 
       if(a<b)
-	if(a<c)
-	  min_sine = area/(b*c);
-	else
-	  min_sine = area/(a*b);
+        if(a<c)
+          min_sine = area/(b*c);
+        else
+          min_sine = area/(a*b);
       else
-	if(b<c)
-	  min_sine = area/(a*c);
-	else
-	  min_sine = area/(a*b);
-      
+        if(b<c)
+          min_sine = area/(a*c);
+        else
+          min_sine = area/(a*b);
+
       q.first = min_sine;
       q.second = area;
 
       if( this->squared_size_bound != 0 &&
-	  area > this->squared_size_bound ) 
-	return Mesh_2::IMPERATIVELY_BAD;
+          area > this->squared_size_bound )
+        return Mesh_2::IMPERATIVELY_BAD;
       else
-	if( min_sine < this->B )
-	  return Mesh_2::BAD;
-	else
-	  return Mesh_2::NOT_BAD;
+        if( min_sine < this->B )
+          return Mesh_2::BAD;
+        else
+          return Mesh_2::NOT_BAD;
     };
   }; // end class Is_bad
 
diff -pruN 5.0.2-3/include/CGAL/Delaunay_mesh_criteria_2.h 5.0.3-1/include/CGAL/Delaunay_mesh_criteria_2.h
--- 5.0.2-3/include/CGAL/Delaunay_mesh_criteria_2.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Delaunay_mesh_criteria_2.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Delaunay_mesh_criteria_2.h $
-// $Id: Delaunay_mesh_criteria_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Delaunay_mesh_criteria_2.h $
+// $Id: Delaunay_mesh_criteria_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -43,7 +43,7 @@ public:
   inline
   double bound() const { return B; }
 
-  inline 
+  inline
   void set_bound(const double bound) { B = bound; }
 
   class Is_bad
@@ -53,32 +53,32 @@ public:
     const Geom_traits& traits;
   public:
     typedef typename Tr::Point Point_2;
-      
+
     Is_bad(const double bound, const Geom_traits& traits)
       : B(bound), traits(traits) {}
-      
+
     Mesh_2::Face_badness operator()(const Quality q) const
     {
       if( q < B )
-	return Mesh_2::BAD;
+        return Mesh_2::BAD;
       else
-	return Mesh_2::NOT_BAD;
+        return Mesh_2::NOT_BAD;
     }
 
     Mesh_2::Face_badness operator()(const Face_handle& fh,
-				    Quality& q) const
+                                    Quality& q) const
     {
       // return the *squared* sinus of the smallest angle of the triangle
 
       typedef typename Tr::Geom_traits Geom_traits;
       typedef typename Geom_traits::Compute_area_2 Compute_area_2;
       typedef typename Geom_traits::Compute_squared_distance_2
-	Compute_squared_distance_2;
+        Compute_squared_distance_2;
 
-      Compute_area_2 area_2 = 
+      Compute_area_2 area_2 =
         traits.compute_area_2_object();
-      Compute_squared_distance_2 squared_distance = 
-	traits.compute_squared_distance_2_object();
+      Compute_squared_distance_2 squared_distance =
+        traits.compute_squared_distance_2_object();
 
       const Point_2& pa = fh->vertex(0)->point();
       const Point_2& pb = fh->vertex(1)->point();
@@ -92,15 +92,15 @@ public:
       double c = CGAL::to_double(squared_distance(pa, pb));
 
       if(a<b)
-	if(a<c)
-	  q = area/(b*c);
-	else
-	  q = area/(a*b);
+        if(a<c)
+          q = area/(b*c);
+        else
+          q = area/(a*b);
       else
-	if(b<c)
-	  q = area/(a*c);
-	else
-	  q = area/(a*b);
+        if(b<c)
+          q = area/(a*c);
+        else
+          q = area/(a*b);
 
       return operator()(q);
     }
diff -pruN 5.0.2-3/include/CGAL/Delaunay_mesher_2.h 5.0.3-1/include/CGAL/Delaunay_mesher_2.h
--- 5.0.2-3/include/CGAL/Delaunay_mesher_2.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Delaunay_mesher_2.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Delaunay_mesher_2.h $
-// $Id: Delaunay_mesher_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Delaunay_mesher_2.h $
+// $Id: Delaunay_mesher_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -24,7 +24,7 @@
 namespace CGAL {
 
 template <typename Tr, typename Crit>
-class Delaunay_mesher_2 
+class Delaunay_mesher_2
 {
 
   /** \name \c Tr types */
@@ -69,7 +69,7 @@ public:
   /** \name CONSTRUCTORS */
   Delaunay_mesher_2(Tr& tr_, const Criteria& criteria_ = Criteria())
     : tr(tr_),
-      criteria(criteria_), 
+      criteria(criteria_),
       null_level(),
       null_visitor(),
       clusters_(tr),
@@ -84,7 +84,7 @@ public:
   Delaunay_mesher_2(Tr& tr_, Edges_level& edges_level_,
                     const Criteria& criteria_ = Criteria())
     : tr(tr_),
-      criteria(criteria_), 
+      criteria(criteria_),
       null_level(),
       null_visitor(),
       clusters_(tr),
@@ -102,7 +102,7 @@ public:
   {
     return seeds.begin();
   }
-  
+
   Seeds_const_iterator seeds_end() const
   {
     return seeds.end();
@@ -150,7 +150,7 @@ public:
 
   /** Procedure that marks facets according to a list of seeds. */
   template <typename Seeds_it>
-  static void mark_facets(Tr& tr, 
+  static void mark_facets(Tr& tr,
                           Seeds_it begin,
                           Seeds_it end,
                           bool mark = false)
@@ -169,7 +169,7 @@ public:
             if(fh!=nullptr)
               propagate_marks(fh, mark);
           }
-	propagate_marks(tr.infinite_face(), false);
+        propagate_marks(tr.infinite_face(), false);
       }
     else
       mark_convex_hull(tr);
@@ -226,12 +226,12 @@ public:
                     bool recalculate_bad_faces = true)
   {
     criteria = criteria_;
-    if (recalculate_bad_faces) faces_level.scan_triangulation();  
+    if (recalculate_bad_faces) faces_level.scan_triangulation();
   }
 
-  const Criteria& get_criteria() const 
+  const Criteria& get_criteria() const
   {
-    return criteria;  
+    return criteria;
   }
 
   template <class Fh_it>
@@ -258,7 +258,7 @@ public:
 
   bool is_refinement_done ()
   {
-    return faces_level.is_algorithm_done();  
+    return faces_level.is_algorithm_done();
   }
 
   bool
@@ -274,7 +274,7 @@ public:
 
   /** \name ACCESS FUNCTIONS */
 
-  const Mesh_2::Clusters<Tr>& clusters() const 
+  const Mesh_2::Clusters<Tr>& clusters() const
   {
     return clusters_;
   }
@@ -293,17 +293,17 @@ public:
     return edges_level.is_algorithm_done();
   }
 
-  Edge next_encroached_edge() 
+  Edge next_encroached_edge()
   {
     return edges_level.get_next_element();
   }
 
-  const Face_handle next_bad_face() 
+  const Face_handle next_bad_face()
   {
     return faces_level.get_next_element();
   }
 
-  const Point next_refinement_point() 
+  const Point next_refinement_point()
   {
     if( !edges_level.is_algorithm_done() )
       return edges_level.refinement_point(next_encroached_edge());
@@ -316,7 +316,7 @@ public:
 
   typedef typename Faces_level::Bad_faces_const_iterator
     Bad_faces_const_iterator;
-  
+
   Encroached_edges_const_iterator encroached_edges_begin() const
   {
     return edges_level.begin();
@@ -331,7 +331,7 @@ public:
   {
     return faces_level.begin();
   }
-  
+
   Bad_faces_const_iterator bad_faces_end() const
   {
     return faces_level.end();
diff -pruN 5.0.2-3/include/CGAL/Delaunay_mesher_no_edge_refinement_2.h 5.0.3-1/include/CGAL/Delaunay_mesher_no_edge_refinement_2.h
--- 5.0.2-3/include/CGAL/Delaunay_mesher_no_edge_refinement_2.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Delaunay_mesher_no_edge_refinement_2.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Delaunay_mesher_no_edge_refinement_2.h $
-// $Id: Delaunay_mesher_no_edge_refinement_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Delaunay_mesher_no_edge_refinement_2.h $
+// $Id: Delaunay_mesher_no_edge_refinement_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -23,7 +23,7 @@
 namespace CGAL {
 
 template <typename Tr, typename Crit>
-class Delaunay_mesher_no_edge_refinement_2 
+class Delaunay_mesher_no_edge_refinement_2
 {
 
   /** \name \c Tr types */
@@ -36,7 +36,7 @@ class Delaunay_mesher_no_edge_refinement
   /** \name Types needed for private member datas */
   typedef Mesh_2::Do_not_refine_edges<Tr,
     Mesh_2::Is_locally_conforming_Gabriel<Tr> > Edges_level_base;
-  typedef Mesh_2::Refine_edges<Tr, 
+  typedef Mesh_2::Refine_edges<Tr,
                                Mesh_2::Is_locally_conforming_Gabriel<Tr>,
                                Edges_level_base> Edges_level;
 
@@ -68,7 +68,7 @@ public:
   /** \name CONSTRUCTORS */
   Delaunay_mesher_no_edge_refinement_2(Tr& tr_, const Criteria& criteria_ = Criteria())
     : tr(tr_),
-      criteria(criteria_), 
+      criteria(criteria_),
       null_level(),
       null_visitor(),
       edges_level(tr, null_level),
@@ -80,7 +80,7 @@ public:
   Delaunay_mesher_no_edge_refinement_2(Tr& tr_, Edges_level& edges_level_,
                     const Criteria& criteria_ = Criteria())
     : tr(tr_),
-      criteria(criteria_), 
+      criteria(criteria_),
       null_level(),
       null_visitor(),
       edges_level(edges_level_),
@@ -95,7 +95,7 @@ public:
   {
     return seeds.begin();
   }
-  
+
   Seeds_const_iterator seeds_end() const
   {
     return seeds.end();
@@ -143,7 +143,7 @@ public:
 
   /** Procedure that marks facets according to a list of seeds. */
   template <typename Seeds_it>
-  static void mark_facets(Tr& tr, 
+  static void mark_facets(Tr& tr,
                           Seeds_it begin,
                           Seeds_it end,
                           bool mark = false)
@@ -162,7 +162,7 @@ public:
             if(fh!=nullptr)
               propagate_marks(fh, mark);
           }
-	propagate_marks(tr.infinite_face(), false);
+        propagate_marks(tr.infinite_face(), false);
       }
     else
       mark_convex_hull(tr);
@@ -219,12 +219,12 @@ public:
                     bool recalculate_bad_faces = true)
   {
     criteria = criteria_;
-    if (recalculate_bad_faces) faces_level.scan_triangulation();  
+    if (recalculate_bad_faces) faces_level.scan_triangulation();
   }
 
-  const Criteria& get_criteria() const 
+  const Criteria& get_criteria() const
   {
-    return criteria;  
+    return criteria;
   }
 
   template <class Fh_it>
@@ -250,7 +250,7 @@ public:
 
   bool is_refinement_done ()
   {
-    return faces_level.is_algorithm_done();  
+    return faces_level.is_algorithm_done();
   }
 
   bool
@@ -280,17 +280,17 @@ public:
     return edges_level.is_algorithm_done();
   }
 
-  Edge next_encroached_edge() 
+  Edge next_encroached_edge()
   {
     return edges_level.get_next_element();
   }
 
-  const Face_handle next_bad_face() 
+  const Face_handle next_bad_face()
   {
     return faces_level.get_next_element();
   }
 
-  const Point next_refinement_point() 
+  const Point next_refinement_point()
   {
     if( !edges_level.is_algorithm_done() )
       return edges_level.refinement_point(next_encroached_edge());
@@ -303,7 +303,7 @@ public:
 
   typedef typename Faces_level::Bad_faces_const_iterator
     Bad_faces_const_iterator;
-  
+
   Encroached_edges_const_iterator encroached_edges_begin() const
   {
     return edges_level.begin();
@@ -318,7 +318,7 @@ public:
   {
     return faces_level.begin();
   }
-  
+
   Bad_faces_const_iterator bad_faces_end() const
   {
     return faces_level.end();
diff -pruN 5.0.2-3/include/CGAL/Delaunay_mesh_face_base_2.h 5.0.3-1/include/CGAL/Delaunay_mesh_face_base_2.h
--- 5.0.2-3/include/CGAL/Delaunay_mesh_face_base_2.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Delaunay_mesh_face_base_2.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Delaunay_mesh_face_base_2.h $
-// $Id: Delaunay_mesh_face_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Delaunay_mesh_face_base_2.h $
+// $Id: Delaunay_mesh_face_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -41,17 +41,17 @@ protected:
 public:
   Delaunay_mesh_face_base_2(): Fb(), in_domain(false) {}
 
-  Delaunay_mesh_face_base_2(Vertex_handle v0, 
-			    Vertex_handle v1, 
-			    Vertex_handle v2)
+  Delaunay_mesh_face_base_2(Vertex_handle v0,
+                            Vertex_handle v1,
+                            Vertex_handle v2)
     : Fb(v0,v1,v2), in_domain(false) {}
 
-  Delaunay_mesh_face_base_2(Vertex_handle v0, 
-			    Vertex_handle v1, 
-			    Vertex_handle v2,
-			    Face_handle n0, 
-			    Face_handle n1, 
-			    Face_handle n2)
+  Delaunay_mesh_face_base_2(Vertex_handle v0,
+                            Vertex_handle v1,
+                            Vertex_handle v2,
+                            Face_handle n0,
+                            Face_handle n1,
+                            Face_handle n2)
     : Fb(v0,v1,v2,n0,n1,n2), in_domain(false) {}
 
   inline
diff -pruN 5.0.2-3/include/CGAL/Delaunay_mesh_local_size_criteria_2.h 5.0.3-1/include/CGAL/Delaunay_mesh_local_size_criteria_2.h
--- 5.0.2-3/include/CGAL/Delaunay_mesh_local_size_criteria_2.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Delaunay_mesh_local_size_criteria_2.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Delaunay_mesh_local_size_criteria_2.h $
-// $Id: Delaunay_mesh_local_size_criteria_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Delaunay_mesh_local_size_criteria_2.h $
+// $Id: Delaunay_mesh_local_size_criteria_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -40,7 +40,7 @@ private:
   Geom_traits traits;
 
 public:
-  Delaunay_mesh_local_size_criteria_2(const double aspect_bound = 0.125, 
+  Delaunay_mesh_local_size_criteria_2(const double aspect_bound = 0.125,
                                       const double size_bound = 0,
                                       const bool is_local_size = false,
                                       const Segment s = Segment(),
@@ -51,13 +51,13 @@ public:
   inline
   Segment segment() const { return _s; }
 
-  inline 
+  inline
   void set_segment(const Segment s) { _s = s; }
 
   inline
   bool is_local_size() const { return local; }
 
-  inline 
+  inline
   void set_local_size(bool local_size) { local = local_size; }
 
   class Is_bad: public Base::Is_bad
@@ -79,9 +79,9 @@ public:
 
   public:
     Is_bad(const double aspect_bound,
-	   const double size_bound,
-	   const bool l,
-	   const Segment_2 _s,
+           const double size_bound,
+           const bool l,
+           const Segment_2 _s,
            const Geom_traits& traits)
       : Base::Is_bad(aspect_bound, size_bound, traits), local(l), s(_s) {}
 
@@ -89,32 +89,32 @@ public:
     {
       return Base::Is_bad::operator()(q);
     }
-    
+
     Mesh_2::Face_badness operator()(const Face_handle& fh,
-				    Quality& q) const
+                                    Quality& q) const
     {
       if(!local)
-	return Baseclass::operator()(fh,q);
+        return Baseclass::operator()(fh,q);
       else
-	{
-	  typename Geom_traits::Do_intersect_2 do_intersect = 
-	    Geom_traits().do_intersect_2_object();
-	  
-	  Mesh_2::Face_badness is_non_locally_bad = 
-	    Baseclass::operator()(fh,q);
+        {
+          typename Geom_traits::Do_intersect_2 do_intersect =
+            Geom_traits().do_intersect_2_object();
+
+          Mesh_2::Face_badness is_non_locally_bad =
+            Baseclass::operator()(fh,q);
 
           const Point_2& a = fh->vertex(0)->point();
           const Point_2& b = fh->vertex(1)->point();
           const Point_2& c = fh->vertex(2)->point();
 
-	  if(do_intersect(Triangle_2(a,b,c), s))
-	    return is_non_locally_bad;
-	  else
-	    if( q.sine() < this->B )
-	      return Mesh_2::BAD;
-	    else
-	      return Mesh_2::NOT_BAD;
-	}
+          if(do_intersect(Triangle_2(a,b,c), s))
+            return is_non_locally_bad;
+          else
+            if( q.sine() < this->B )
+              return Mesh_2::BAD;
+            else
+              return Mesh_2::NOT_BAD;
+        }
     }
   };
 
diff -pruN 5.0.2-3/include/CGAL/Delaunay_mesh_size_criteria_2.h 5.0.3-1/include/CGAL/Delaunay_mesh_size_criteria_2.h
--- 5.0.2-3/include/CGAL/Delaunay_mesh_size_criteria_2.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Delaunay_mesh_size_criteria_2.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Delaunay_mesh_size_criteria_2.h $
-// $Id: Delaunay_mesh_size_criteria_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Delaunay_mesh_size_criteria_2.h $
+// $Id: Delaunay_mesh_size_criteria_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -25,7 +25,7 @@
 namespace CGAL {
 
 template <class CDT>
-class Delaunay_mesh_size_criteria_2 : 
+class Delaunay_mesh_size_criteria_2 :
     public virtual Delaunay_mesh_criteria_2<CDT>
 {
 protected:
@@ -35,7 +35,7 @@ protected:
 public:
   typedef Delaunay_mesh_criteria_2<CDT> Base;
 
-  Delaunay_mesh_size_criteria_2(const double aspect_bound = 0.125, 
+  Delaunay_mesh_size_criteria_2(const double aspect_bound = 0.125,
                                 const double size_bound = 0,
                                 const Geom_traits& traits = Geom_traits())
     : Base(aspect_bound, traits), sizebound(size_bound) {}
@@ -63,20 +63,20 @@ public:
     bool operator<(const Quality& q) const
     {
       if( size() > 1 )
-	if( q.size() > 1 )
-	  return ( size() > q.size() );
-	else
-	  return true; // *this is big but not q
+        if( q.size() > 1 )
+          return ( size() > q.size() );
+        else
+          return true; // *this is big but not q
       else
-	if( q.size() >  1 )
-	  return false; // q is big but not *this
+        if( q.size() >  1 )
+          return false; // q is big but not *this
       return( sine() < q.sine() );
     }
 
     std::ostream& operator<<(std::ostream& out) const
     {
       return out << "(size=" << size()
-		 << ", sine=" << sine() << ")";
+                 << ", sine=" << sine() << ")";
     }
   };
 
@@ -88,7 +88,7 @@ public:
     typedef typename Base::Is_bad::Point_2 Point_2;
 
     Is_bad(const double aspect_bound,
-	   const double size_bound,
+           const double size_bound,
            const Geom_traits& traits)
       : Base::Is_bad(aspect_bound, traits),
         squared_size_bound(size_bound * size_bound) {}
@@ -96,90 +96,90 @@ public:
     Mesh_2::Face_badness operator()(const Quality q) const
     {
       if( q.size() > 1 )
-	return Mesh_2::IMPERATIVELY_BAD;
+        return Mesh_2::IMPERATIVELY_BAD;
       if( q.sine() < this->B )
-	return Mesh_2::BAD;
+        return Mesh_2::BAD;
       else
-	return Mesh_2::NOT_BAD;
+        return Mesh_2::NOT_BAD;
     }
 
     Mesh_2::Face_badness operator()(const typename CDT::Face_handle& fh,
-				    Quality& q) const
+                                    Quality& q) const
     {
       typedef typename CDT::Geom_traits Geom_traits;
       typedef typename Geom_traits::Compute_area_2 Compute_area_2;
       typedef typename Geom_traits::Compute_squared_distance_2
-	Compute_squared_distance_2;
+        Compute_squared_distance_2;
 
       Geom_traits traits; /** @warning traits with data!! */
 
-      Compute_squared_distance_2 squared_distance = 
-	traits.compute_squared_distance_2_object();
+      Compute_squared_distance_2 squared_distance =
+        traits.compute_squared_distance_2_object();
 
       const Point_2& pa = fh->vertex(0)->point();
       const Point_2& pb = fh->vertex(1)->point();
       const Point_2& pc = fh->vertex(2)->point();
 
       double
-	a = CGAL::to_double(squared_distance(pb, pc)),
-	b = CGAL::to_double(squared_distance(pc, pa)),
-	c = CGAL::to_double(squared_distance(pa, pb));
-      
+        a = CGAL::to_double(squared_distance(pb, pc)),
+        b = CGAL::to_double(squared_distance(pc, pa)),
+        c = CGAL::to_double(squared_distance(pa, pb));
+
       double max_sq_length; // squared max edge length
       double second_max_sq_length;
-      
+
       if(a<b)
-	{
-	  if(b<c) {
-	    max_sq_length = c;
-	    second_max_sq_length = b;
-	  }
-	  else { // c<=b
-	    max_sq_length = b;
-	    second_max_sq_length = ( a < c ? c : a );
-	  }
-	}
+        {
+          if(b<c) {
+            max_sq_length = c;
+            second_max_sq_length = b;
+          }
+          else { // c<=b
+            max_sq_length = b;
+            second_max_sq_length = ( a < c ? c : a );
+          }
+        }
       else // b<=a
-	{
-	  if(a<c) {
-	    max_sq_length = c;
-	    second_max_sq_length = a;
-	  }
-	  else { // c<=a
-	    max_sq_length = a;
-	    second_max_sq_length = ( b < c ? c : b );
-	  }
-	}
+        {
+          if(a<c) {
+            max_sq_length = c;
+            second_max_sq_length = a;
+          }
+          else { // c<=a
+            max_sq_length = a;
+            second_max_sq_length = ( b < c ? c : b );
+          }
+        }
 
       q.second = 0;
       if( squared_size_bound != 0 )
-	{
-          //	  std::cerr << squared_size_bound << std::endl;
-	  q.second = max_sq_length / squared_size_bound;
-	    // normalized by size bound to deal
-	    // with size field
-	  if( q.size() > 1 )
-	    {
-	      q.first = 1; // (do not compute sine)
-	      return Mesh_2::IMPERATIVELY_BAD;
-	    }
-	}
+        {
+          //          std::cerr << squared_size_bound << std::endl;
+          q.second = max_sq_length / squared_size_bound;
+            // normalized by size bound to deal
+            // with size field
+          if( q.size() > 1 )
+            {
+              q.first = 1; // (do not compute sine)
+              return Mesh_2::IMPERATIVELY_BAD;
+            }
+        }
 
       Compute_area_2 area_2 = traits.compute_area_2_object();
 
       double area = 2*CGAL::to_double(area_2(pa, pb, pc));
 
       q.first = (area * area) / (max_sq_length * second_max_sq_length); // (sine)
-      
+
       if( q.sine() < this->B )
-	return Mesh_2::BAD;
+        return Mesh_2::BAD;
       else
-	return Mesh_2::NOT_BAD;
+        return Mesh_2::NOT_BAD;
     }
   };
 
   Is_bad is_bad_object() const
-  { return Is_bad(this->bound(), size_bound(), 
+  { return Is_bad(this->bound(), size_bound(),
                   this->traits /* from the bad class */); }
 };
 
diff -pruN 5.0.2-3/include/CGAL/Delaunay_mesh_vertex_base_2.h 5.0.3-1/include/CGAL/Delaunay_mesh_vertex_base_2.h
--- 5.0.2-3/include/CGAL/Delaunay_mesh_vertex_base_2.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Delaunay_mesh_vertex_base_2.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Delaunay_mesh_vertex_base_2.h $
-// $Id: Delaunay_mesh_vertex_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Delaunay_mesh_vertex_base_2.h $
+// $Id: Delaunay_mesh_vertex_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Jane Tournois
 
@@ -56,7 +56,7 @@ public:
   {}
 
   void set_sizing_info(const FT& s)
-  { 
+  {
     sizing_info_ = s;
   }
   const FT& sizing_info() const { return sizing_info_; }
diff -pruN 5.0.2-3/include/CGAL/Delaunay_triangulation_2.h 5.0.3-1/include/CGAL/Delaunay_triangulation_2.h
--- 5.0.2-3/include/CGAL/Delaunay_triangulation_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Delaunay_triangulation_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Delaunay_triangulation_2.h $
-// $Id: Delaunay_triangulation_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Delaunay_triangulation_2.h $
+// $Id: Delaunay_triangulation_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Mariette Yvinec
@@ -322,10 +322,10 @@ public:
 #ifndef CGAL_TRIANGULATION_2_DONT_INSERT_RANGE_OF_POINTS_WITH_INFO
 
 private:
- 
+
   using Triangulation::top_get_first;
   using Triangulation::top_get_second;
-  
+
   template <class Tuple_or_pair,class InputIterator>
   std::ptrdiff_t insert_with_info(InputIterator first,InputIterator last)
   {
diff -pruN 5.0.2-3/include/CGAL/Delaunay_triangulation_3.h 5.0.3-1/include/CGAL/Delaunay_triangulation_3.h
--- 5.0.2-3/include/CGAL/Delaunay_triangulation_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Delaunay_triangulation_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Delaunay_triangulation_3.h $
-// $Id: Delaunay_triangulation_3.h 85712ba 2020-01-14T15:03:20+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Delaunay_triangulation_3.h $
+// $Id: Delaunay_triangulation_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -257,7 +257,7 @@ public:
     insert(first, last);
   }
 
-  
+
 private:
   #ifdef CGAL_CONCURRENT_TRIANGULATION_3_ADD_TEMPORARY_POINTS_ON_FAR_SPHERE
   std::vector<Vertex_handle>
@@ -405,7 +405,7 @@ public:
 private:
   using Tr_Base::top_get_first;
   using Tr_Base::top_get_second;
-  
+
   template <class Tuple_or_pair,class InputIterator>
   std::ptrdiff_t insert_with_info(InputIterator first, InputIterator last)
   {
diff -pruN 5.0.2-3/include/CGAL/Delaunay_triangulation_adaptation_policies_2.h 5.0.3-1/include/CGAL/Delaunay_triangulation_adaptation_policies_2.h
--- 5.0.2-3/include/CGAL/Delaunay_triangulation_adaptation_policies_2.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Delaunay_triangulation_adaptation_policies_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Delaunay_triangulation_adaptation_policies_2.h $
-// $Id: Delaunay_triangulation_adaptation_policies_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Delaunay_triangulation_adaptation_policies_2.h $
+// $Id: Delaunay_triangulation_adaptation_policies_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Delaunay_triangulation_adaptation_traits_2.h 5.0.3-1/include/CGAL/Delaunay_triangulation_adaptation_traits_2.h
--- 5.0.2-3/include/CGAL/Delaunay_triangulation_adaptation_traits_2.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Delaunay_triangulation_adaptation_traits_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Delaunay_triangulation_adaptation_traits_2.h $
-// $Id: Delaunay_triangulation_adaptation_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Delaunay_triangulation_adaptation_traits_2.h $
+// $Id: Delaunay_triangulation_adaptation_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Delaunay_triangulation_cell_base_3.h 5.0.3-1/include/CGAL/Delaunay_triangulation_cell_base_3.h
--- 5.0.2-3/include/CGAL/Delaunay_triangulation_cell_base_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Delaunay_triangulation_cell_base_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Delaunay_triangulation_cell_base_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Delaunay_triangulation_cell_base_3.h $
 // $Id: Delaunay_triangulation_cell_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Delaunay_triangulation_cell_base_with_circumcenter_3.h 5.0.3-1/include/CGAL/Delaunay_triangulation_cell_base_with_circumcenter_3.h
--- 5.0.2-3/include/CGAL/Delaunay_triangulation_cell_base_with_circumcenter_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Delaunay_triangulation_cell_base_with_circumcenter_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Delaunay_triangulation_cell_base_with_circumcenter_3.h $
-// $Id: Delaunay_triangulation_cell_base_with_circumcenter_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Delaunay_triangulation_cell_base_with_circumcenter_3.h $
+// $Id: Delaunay_triangulation_cell_base_with_circumcenter_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -72,12 +72,12 @@ public:
   }
 
   Delaunay_triangulation_cell_base_with_circumcenter_3(
-	                    Vertex_handle v0, Vertex_handle v1,
+                            Vertex_handle v0, Vertex_handle v1,
                             Vertex_handle v2, Vertex_handle v3)
     : Cb(v0, v1, v2, v3), circumcenter_(nullptr) {}
 
   Delaunay_triangulation_cell_base_with_circumcenter_3(
-	                    Vertex_handle v0, Vertex_handle v1,
+                            Vertex_handle v0, Vertex_handle v1,
                             Vertex_handle v2, Vertex_handle v3,
                             Cell_handle   n0, Cell_handle   n1,
                             Cell_handle   n2, Cell_handle   n3)
diff -pruN 5.0.2-3/include/CGAL/Delaunay_triangulation.h 5.0.3-1/include/CGAL/Delaunay_triangulation.h
--- 5.0.2-3/include/CGAL/Delaunay_triangulation.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Delaunay_triangulation.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/Delaunay_triangulation.h $
-// $Id: Delaunay_triangulation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/Delaunay_triangulation.h $
+// $Id: Delaunay_triangulation.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)    : Samuel Hornus
@@ -729,9 +729,9 @@ Delaunay_triangulation<DCTraits, TDS>
         // consistent with the rest of the cells
         if (current_dimension() == 1)
         {
-            // Is "inf_v_cell" the right infinite cell? 
+            // Is "inf_v_cell" the right infinite cell?
             // Then inf_v_index should be 1
-            if (inf_v_cell->neighbor(inf_v_index)->index(inf_v_cell) == 0 
+            if (inf_v_cell->neighbor(inf_v_index)->index(inf_v_cell) == 0
                 && inf_v_index == 0)
             {
                 inf_v_cell->swap_vertices(
@@ -742,9 +742,9 @@ Delaunay_triangulation<DCTraits, TDS>
             {
                 inf_v_cell = inf_v_cell->neighbor((inf_v_index + 1) % 2);
                 inf_v_index = inf_v_cell->index(infinite_vertex());
-                // Is "inf_v_cell" the right infinite cell? 
+                // Is "inf_v_cell" the right infinite cell?
                 // Then inf_v_index should be 1
-                if (inf_v_cell->neighbor(inf_v_index)->index(inf_v_cell) == 0 
+                if (inf_v_cell->neighbor(inf_v_index)->index(inf_v_cell) == 0
                     && inf_v_index == 0)
                 {
                     inf_v_cell->swap_vertices(
diff -pruN 5.0.2-3/include/CGAL/demangle.h 5.0.3-1/include/CGAL/demangle.h
--- 5.0.2-3/include/CGAL/demangle.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/demangle.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/demangle.h $
-// $Id: demangle.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/demangle.h $
+// $Id: demangle.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -29,7 +29,7 @@ inline std::string demangle(const char*
   return boost::units::detail::demangle(name);
 #endif
 }
-  
+
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/determinant.h 5.0.3-1/include/CGAL/determinant.h
--- 5.0.2-3/include/CGAL/determinant.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/determinant.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/determinant.h $
-// $Id: determinant.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/determinant.h $
+// $Id: determinant.h cb08f67 2020-05-12T11:56:18+02:00 Mael Rouxel-Labbé
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 //                 Stefan Schirra
@@ -202,6 +202,204 @@ determinant(
   return m012345;
 }
 
+template <class RT>
+RT
+determinant(
+ const RT& a00, const RT& a01, const RT& a02, const RT& a03, const RT& a04, const RT& a05, const RT& a06,
+ const RT& a10, const RT& a11, const RT& a12, const RT& a13, const RT& a14, const RT& a15, const RT& a16,
+ const RT& a20, const RT& a21, const RT& a22, const RT& a23, const RT& a24, const RT& a25, const RT& a26,
+ const RT& a30, const RT& a31, const RT& a32, const RT& a33, const RT& a34, const RT& a35, const RT& a36,
+ const RT& a40, const RT& a41, const RT& a42, const RT& a43, const RT& a44, const RT& a45, const RT& a46,
+ const RT& a50, const RT& a51, const RT& a52, const RT& a53, const RT& a54, const RT& a55, const RT& a56,
+ const RT& a60, const RT& a61, const RT& a62, const RT& a63, const RT& a64, const RT& a65, const RT& a66)
+{
+// First compute the det2x2
+  const RT m01 = a00*a11 - a10*a01;
+  const RT m02 = a00*a21 - a20*a01;
+  const RT m03 = a00*a31 - a30*a01;
+  const RT m04 = a00*a41 - a40*a01;
+  const RT m05 = a00*a51 - a50*a01;
+  const RT m06 = a00*a61 - a60*a01;
+
+  const RT m12 = a10*a21 - a20*a11;
+  const RT m13 = a10*a31 - a30*a11;
+  const RT m14 = a10*a41 - a40*a11;
+  const RT m15 = a10*a51 - a50*a11;
+  const RT m16 = a10*a61 - a60*a11;
+
+  const RT m23 = a20*a31 - a30*a21;
+  const RT m24 = a20*a41 - a40*a21;
+  const RT m25 = a20*a51 - a50*a21;
+  const RT m26 = a20*a61 - a60*a21;
+
+  const RT m34 = a30*a41 - a40*a31;
+  const RT m35 = a30*a51 - a50*a31;
+  const RT m36 = a30*a61 - a60*a31;
+
+  const RT m45 = a40*a51 - a50*a41;
+  const RT m46 = a40*a61 - a60*a41;
+
+  const RT m56 = a50*a61 - a60*a51;
+
+// Now compute the minors of rank 3
+  const RT m012 = m01*a22 - m02*a12 + m12*a02;
+  const RT m013 = m01*a32 - m03*a12 + m13*a02;
+  const RT m014 = m01*a42 - m04*a12 + m14*a02;
+  const RT m015 = m01*a52 - m05*a12 + m15*a02;
+  const RT m016 = m01*a62 - m06*a12 + m16*a02;
+
+  const RT m023 = m02*a32 - m03*a22 + m23*a02;
+  const RT m024 = m02*a42 - m04*a22 + m24*a02;
+  const RT m025 = m02*a52 - m05*a22 + m25*a02;
+  const RT m026 = m02*a62 - m06*a22 + m26*a02;
+  const RT m034 = m03*a42 - m04*a32 + m34*a02;
+  const RT m035 = m03*a52 - m05*a32 + m35*a02;
+  const RT m036 = m03*a62 - m06*a32 + m36*a02;
+
+  const RT m045 = m04*a52 - m05*a42 + m45*a02;
+  const RT m046 = m04*a62 - m06*a42 + m46*a02;
+
+  const RT m056 = m05*a62 - m06*a52 + m56*a02;
+
+
+  const RT m123 = m12*a32 - m13*a22 + m23*a12;
+  const RT m124 = m12*a42 - m14*a22 + m24*a12;
+  const RT m125 = m12*a52 - m15*a22 + m25*a12;
+  const RT m126 = m12*a62 - m16*a22 + m26*a12;
+
+  const RT m134 = m13*a42 - m14*a32 + m34*a12;
+  const RT m135 = m13*a52 - m15*a32 + m35*a12;
+  const RT m136 = m13*a62 - m16*a32 + m36*a12;
+
+  const RT m145 = m14*a52 - m15*a42 + m45*a12;
+  const RT m146 = m14*a62 - m16*a42 + m46*a12;
+
+  const RT m156 = m15*a62 - m16*a52 + m56*a12;
+
+  const RT m234 = m23*a42 - m24*a32 + m34*a22;
+  const RT m235 = m23*a52 - m25*a32 + m35*a22;
+  const RT m236 = m23*a62 - m26*a32 + m36*a22;
+
+  const RT m245 = m24*a52 - m25*a42 + m45*a22;
+  const RT m246 = m24*a62 - m26*a42 + m46*a22;
+
+  const RT m256 = m25*a62 - m26*a52 + m56*a22;
+
+  const RT m345 = m34*a52 - m35*a42 + m45*a32;
+  const RT m346 = m34*a62 - m36*a42 + m46*a32;
+
+  const RT m356 = m35*a62 - m36*a52 + m56*a32;
+
+  const RT m456 = m45*a62 - m46*a52 + m56*a42;
+
+// Now compute the minors of rank 4
+  const RT m0123 = m012*a33 - m013*a23 + m023*a13 - m123*a03;
+
+  const RT m0124 = m012*a43 - m014*a23 + m024*a13 - m124*a03;
+  const RT m0125 = m012*a53 - m015*a23 + m025*a13 - m125*a03;
+  const RT m0126 = m012*a63 - m016*a23 + m026*a13 - m126*a03;
+
+  const RT m0134 = m013*a43 - m014*a33 + m034*a13 - m134*a03;
+  const RT m0135 = m013*a53 - m015*a33 + m035*a13 - m135*a03;
+  const RT m0136 = m013*a63 - m016*a33 + m036*a13 - m136*a03;
+
+  const RT m0145 = m014*a53 - m015*a43 + m045*a13 - m145*a03;
+  const RT m0146 = m014*a63 - m016*a43 + m046*a13 - m146*a03;
+
+  const RT m0156 = m015*a63 - m016*a53 + m056*a13 - m156*a03;
+
+  const RT m0234 = m023*a43 - m024*a33 + m034*a23 - m234*a03;
+  const RT m0235 = m023*a53 - m025*a33 + m035*a23 - m235*a03;
+  const RT m0236 = m023*a63 - m026*a33 + m036*a23 - m236*a03;
+
+  const RT m0245 = m024*a53 - m025*a43 + m045*a23 - m245*a03;
+  const RT m0246 = m024*a63 - m026*a43 + m046*a23 - m246*a03;
+
+  const RT m0256 = m025*a63 - m026*a53 + m056*a23 - m256*a03;
+
+  const RT m0345 = m034*a53 - m035*a43 + m045*a33 - m345*a03;
+  const RT m0346 = m034*a63 - m036*a43 + m046*a33 - m346*a03;
+
+  const RT m0356 = m035*a63 - m036*a53 + m056*a33 - m356*a03;
+
+  const RT m0456 = m045*a63 - m046*a53 + m056*a43 - m456*a03;
+
+  const RT m1234 = m123*a43 - m124*a33 + m134*a23 - m234*a13;
+  const RT m1235 = m123*a53 - m125*a33 + m135*a23 - m235*a13;
+  const RT m1236 = m123*a63 - m126*a33 + m136*a23 - m236*a13;
+
+  const RT m1245 = m124*a53 - m125*a43 + m145*a23 - m245*a13;
+  const RT m1246 = m124*a63 - m126*a43 + m146*a23 - m246*a13;
+
+  const RT m1256 = m125*a63 - m126*a53 + m156*a23 - m256*a13;
+
+  const RT m1345 = m134*a53 - m135*a43 + m145*a33 - m345*a13;
+  const RT m1346 = m134*a63 - m136*a43 + m146*a33 - m346*a13;
+
+  const RT m1356 = m135*a63 - m136*a53 + m156*a33 - m356*a13;
+  const RT m1456 = m145*a63 - m146*a53 + m156*a43 - m456*a13;
+
+  const RT m2345 = m234*a53 - m235*a43 + m245*a33 - m345*a23;
+  const RT m2346 = m234*a63 - m236*a43 + m246*a33 - m346*a23;
+
+  const RT m2356 = m235*a63 - m236*a53 + m256*a33 - m356*a23;
+  const RT m2456 = m245*a63 - m246*a53 + m256*a43 - m456*a23;
+
+  const RT m3456 = m345*a63 - m346*a53 + m356*a43 - m456*a33;
+
+
+  // Now compute the minors of rank 5
+  const RT m01234 = m0123*a44 - m0124*a34 + m0134*a24 - m0234*a14 + m1234*a04;
+
+  const RT m01235 = m0123*a54 - m0125*a34 + m0135*a24 - m0235*a14 + m1235*a04;
+
+  const RT m01236 = m0123*a64 - m0126*a34 + m0136*a24 - m0236*a14 + m1236*a04;
+
+  const RT m01245 = m0124*a54 - m0125*a44 + m0145*a24 - m0245*a14 + m1245*a04;
+  const RT m01246 = m0124*a64 - m0126*a44 + m0146*a24 - m0246*a14 + m1246*a04;
+
+  const RT m01256 = m0125*a64 - m0126*a54 + m0156*a24 - m0256*a14 + m1256*a04;
+
+  const RT m01345 = m0134*a54 - m0135*a44 + m0145*a34 - m0345*a14 + m1345*a04;
+  const RT m01346 = m0134*a64 - m0136*a44 + m0146*a34 - m0346*a14 + m1346*a04;
+
+  const RT m01356 = m0135*a64 - m0136*a54 + m0156*a34 - m0356*a14 + m1356*a04;
+  const RT m01456 = m0145*a64 - m0146*a54 + m0156*a44 - m0456*a14 + m1456*a04;
+
+  const RT m02345 = m0234*a54 - m0235*a44 + m0245*a34 - m0345*a24 + m2345*a04;
+  const RT m02346 = m0234*a64 - m0236*a44 + m0246*a34 - m0346*a24 + m2346*a04;
+
+  const RT m02356 = m0235*a64 - m0236*a54 + m0256*a34 - m0356*a24 + m2356*a04;
+  const RT m02456 = m0245*a64 - m0246*a54 + m0256*a44 - m0456*a24 + m2456*a04;
+  const RT m03456 = m0345*a64 - m0346*a54 + m0356*a44 - m0456*a34 + m3456*a04;
+
+  const RT m12345 = m1234*a54 - m1235*a44 + m1245*a34 - m1345*a24 + m2345*a14;
+  const RT m12346 = m1234*a64 - m1236*a44 + m1246*a34 - m1346*a24 + m2346*a14;
+
+
+  const RT m12356 = m1235*a64 - m1236*a54 + m1256*a34 - m1356*a24 + m2356*a14;
+  const RT m12456 = m1245*a64 - m1246*a54 + m1256*a44 - m1456*a24 + m2456*a14;
+  const RT m13456 = m1345*a64 - m1346*a54 + m1356*a44 - m1456*a34 + m3456*a14;
+
+  const RT m23456 = m2345*a64 - m2346*a54 + m2356*a44 - m2456*a34 + m3456*a24;
+
+// Now compute the minors of rank 6
+  const RT m012345 = m01234*a55 - m01235*a45 + m01245*a35 - m01345*a25 + m02345*a15 - m12345*a05;
+  const RT m012346 = m01234*a65 - m01236*a45 + m01246*a35 - m01346*a25 + m02346*a15 - m12346*a05;
+  const RT m012356 = m01235*a65 - m01236*a55 + m01256*a35 - m01356*a25 + m02356*a15 - m12356*a05;
+  const RT m012456 = m01245*a65 - m01246*a55 + m01256*a45 - m01456*a25 + m02456*a15 - m12456*a05;
+  const RT m013456 = m01345*a65 - m01346*a55 + m01356*a45 - m01456*a35 + m03456*a15 - m13456*a05;
+  const RT m023456 = m02345*a65 - m02346*a55 + m02356*a45 - m02456*a35 + m03456*a25 - m23456*a05;
+  const RT m123456 = m12345*a65 - m12346*a55 + m12356*a45 - m12456*a35 + m13456*a25 - m23456*a15;
+
+
+  // Now compute the minors of rank 7
+  const RT m0123456 = m012345 * a66 - m012346 * a56 + m012356 * a46 -  m012456 * a36 + m013456 * a26 - m023456 * a16 + m123456 * a06;
+
+  return m0123456;
+}
+
+
 } //namespace CGAL
 
 #endif // CGAL_DETERMINANT_H
diff -pruN 5.0.2-3/include/CGAL/determinant_of_vectors.h 5.0.3-1/include/CGAL/determinant_of_vectors.h
--- 5.0.2-3/include/CGAL/determinant_of_vectors.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/determinant_of_vectors.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/determinant_of_vectors.h $
-// $Id: determinant_of_vectors.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/determinant_of_vectors.h $
+// $Id: determinant_of_vectors.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -43,66 +43,66 @@ namespace CGAL {
   NT determinant_of_vectors(Vector const&a, Vector const&b,
       Vector const&c, Vector const&d){
     return determinant<NT>(
-	a[0],a[1],a[2],a[3],
-	b[0],b[1],b[2],b[3],
-	c[0],c[1],c[2],c[3],
-	d[0],d[1],d[2],d[3]);
+        a[0],a[1],a[2],a[3],
+        b[0],b[1],b[2],b[3],
+        c[0],c[1],c[2],c[3],
+        d[0],d[1],d[2],d[3]);
   }
   template <class NT, class Vector>
   typename Sgn<NT>::result_type
   sign_of_determinant_of_vectors(Vector const&a, Vector const&b,
       Vector const&c, Vector const&d){
     return sign_of_determinant<NT>(
-	a[0],a[1],a[2],a[3],
-	b[0],b[1],b[2],b[3],
-	c[0],c[1],c[2],c[3],
-	d[0],d[1],d[2],d[3]);
+        a[0],a[1],a[2],a[3],
+        b[0],b[1],b[2],b[3],
+        c[0],c[1],c[2],c[3],
+        d[0],d[1],d[2],d[3]);
   }
 
   template <class NT, class Vector>
   NT determinant_of_vectors(Vector const&a, Vector const&b,
       Vector const&c, Vector const&d, Vector const&e){
     return determinant<NT>(
-	a[0],a[1],a[2],a[3],a[4],
-	b[0],b[1],b[2],b[3],b[4],
-	c[0],c[1],c[2],c[3],c[4],
-	d[0],d[1],d[2],d[3],d[4],
-	e[0],e[1],e[2],e[3],e[4]);
+        a[0],a[1],a[2],a[3],a[4],
+        b[0],b[1],b[2],b[3],b[4],
+        c[0],c[1],c[2],c[3],c[4],
+        d[0],d[1],d[2],d[3],d[4],
+        e[0],e[1],e[2],e[3],e[4]);
   }
   template <class NT, class Vector>
   typename Sgn<NT>::result_type
   sign_of_determinant_of_vectors(Vector const&a, Vector const&b,
       Vector const&c, Vector const&d, Vector const&e){
     return sign_of_determinant<NT>(
-	a[0],a[1],a[2],a[3],a[4],
-	b[0],b[1],b[2],b[3],b[4],
-	c[0],c[1],c[2],c[3],c[4],
-	d[0],d[1],d[2],d[3],d[4],
-	e[0],e[1],e[2],e[3],e[4]);
+        a[0],a[1],a[2],a[3],a[4],
+        b[0],b[1],b[2],b[3],b[4],
+        c[0],c[1],c[2],c[3],c[4],
+        d[0],d[1],d[2],d[3],d[4],
+        e[0],e[1],e[2],e[3],e[4]);
   }
 
   template <class NT, class Vector>
   NT determinant_of_vectors(Vector const&a, Vector const&b,
       Vector const&c, Vector const&d, Vector const&e, Vector const&f){
     return determinant<NT>(
-	a[0],a[1],a[2],a[3],a[4],a[5],
-	b[0],b[1],b[2],b[3],b[4],b[5],
-	c[0],c[1],c[2],c[3],c[4],c[5],
-	d[0],d[1],d[2],d[3],d[4],d[5],
-	e[0],e[1],e[2],e[3],e[4],e[5],
-	f[0],f[1],f[2],f[3],f[4],f[5]);
+        a[0],a[1],a[2],a[3],a[4],a[5],
+        b[0],b[1],b[2],b[3],b[4],b[5],
+        c[0],c[1],c[2],c[3],c[4],c[5],
+        d[0],d[1],d[2],d[3],d[4],d[5],
+        e[0],e[1],e[2],e[3],e[4],e[5],
+        f[0],f[1],f[2],f[3],f[4],f[5]);
   }
   template <class NT, class Vector>
   typename Sgn<NT>::result_type
   sign_of_determinant_of_vectors(Vector const&a, Vector const&b,
       Vector const&c, Vector const&d, Vector const&e, Vector const&f){
     return sign_of_determinant<NT>(
-	a[0],a[1],a[2],a[3],a[4],a[5],
-	b[0],b[1],b[2],b[3],b[4],b[5],
-	c[0],c[1],c[2],c[3],c[4],c[5],
-	d[0],d[1],d[2],d[3],d[4],d[5],
-	e[0],e[1],e[2],e[3],e[4],e[5],
-	f[0],f[1],f[2],f[3],f[4],f[5]);
+        a[0],a[1],a[2],a[3],a[4],a[5],
+        b[0],b[1],b[2],b[3],b[4],b[5],
+        c[0],c[1],c[2],c[3],c[4],c[5],
+        d[0],d[1],d[2],d[3],d[4],d[5],
+        e[0],e[1],e[2],e[3],e[4],e[5],
+        f[0],f[1],f[2],f[3],f[4],f[5]);
   }
 
 }
diff -pruN 5.0.2-3/include/CGAL/Diagonalize_traits.h 5.0.3-1/include/CGAL/Diagonalize_traits.h
--- 5.0.2-3/include/CGAL/Diagonalize_traits.h	2020-02-21 20:04:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Diagonalize_traits.h	2020-08-01 19:02:52.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Solver_interface/include/CGAL/Diagonalize_traits.h $
-// $Id: Diagonalize_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Solver_interface/include/CGAL/Diagonalize_traits.h $
+// $Id: Diagonalize_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -271,7 +271,7 @@ public:
 
       eigen_values[k] = eigen_values[i];
       eigen_values[i] = x;
-      
+
       int jj = index[k];
       index[k] = index[i];
       index[i] = jj;
diff -pruN 5.0.2-3/include/CGAL/Dimension.h 5.0.3-1/include/CGAL/Dimension.h
--- 5.0.2-3/include/CGAL/Dimension.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Dimension.h	2020-08-01 19:02:26.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Dimension.h $
-// $Id: Dimension.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Dimension.h $
+// $Id: Dimension.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sylvain Pion
@@ -25,13 +25,13 @@ namespace CGAL {
 #ifdef CGAL_EIGEN3_ENABLED
 const int UNKNOWN_DIMENSION=Eigen::Dynamic;
 #else
-const int UNKNOWN_DIMENSION=std::numeric_limits<int>::max();
+const int UNKNOWN_DIMENSION=(std::numeric_limits<int>::max)();
 #endif
 
 // Check that dimension d1 is fine for a kernel of dimension d2.
 // If d2 is unknown, any d1 is fine.
 inline bool check_dimension_eq(int d1, int d2){
-	return d2==UNKNOWN_DIMENSION || d1==d2;
+        return d2==UNKNOWN_DIMENSION || d1==d2;
 }
 
 // These tag classes help dispatching functions based on a geometric dimension.
@@ -95,18 +95,18 @@ template<int d1,int d2>struct Product_di
 #ifdef CGAL_EIGEN3_ENABLED
 // Convert to Eigen's notion of dimension
 template <class Dim_> struct Eigen_dimension {
-	enum { value=Eigen::Dynamic };
+        enum { value=Eigen::Dynamic };
 };
 template <int d> struct Eigen_dimension<Dimension_tag<d> > {
-	enum { value=d };
+        enum { value=d };
 };
 
 // and convert back
 template <int d> struct Dimension_eigen {
-	typedef Dimension_tag<d> type;
+        typedef Dimension_tag<d> type;
 };
 template <> struct Dimension_eigen<Eigen::Dynamic> {
-	typedef Dynamic_dimension_tag type;
+        typedef Dynamic_dimension_tag type;
 };
 #endif
 
diff -pruN 5.0.2-3/include/CGAL/Direction_2.h 5.0.3-1/include/CGAL/Direction_2.h
--- 5.0.2-3/include/CGAL/Direction_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Direction_2.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Direction_2.h $
-// $Id: Direction_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Direction_2.h $
+// $Id: Direction_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -83,7 +83,7 @@ public:
 
   typename R::Boolean
   counterclockwise_in_between(const Direction_2 &d1,
-			      const Direction_2 &d2) const
+                              const Direction_2 &d2) const
   {
     return R().counterclockwise_in_between_2_object()(*this, d1, d2);
   }
diff -pruN 5.0.2-3/include/CGAL/Direction_3.h 5.0.3-1/include/CGAL/Direction_3.h
--- 5.0.2-3/include/CGAL/Direction_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Direction_3.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Direction_3.h $
-// $Id: Direction_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Direction_3.h $
+// $Id: Direction_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Stefan Schirra
- 
+
 #ifndef CGAL_DIRECTION_3_H
 #define CGAL_DIRECTION_3_H
 
@@ -84,13 +84,13 @@ public:
   {
     return t.transform(*this);
   }
- 
+
   Direction_3
   operator-() const
   {
     return R().construct_opposite_direction_3_object()(*this);
-  } 
-  
+  }
+
   Vector_3 to_vector() const
   {
     return R().construct_vector_3_object()(*this);
@@ -131,7 +131,7 @@ public:
 
 template <class R >
 std::ostream&
-insert(std::ostream& os, const Direction_3<R>& d, const Cartesian_tag&) 
+insert(std::ostream& os, const Direction_3<R>& d, const Cartesian_tag&)
 {
   typename R::Vector_3 v = d.to_vector();
   switch(get_mode(os)) {
@@ -178,7 +178,7 @@ operator<<(std::ostream& os, const Direc
 
 template <class R >
 std::istream&
-extract(std::istream& is, Direction_3<R>& d, const Cartesian_tag&) 
+extract(std::istream& is, Direction_3<R>& d, const Cartesian_tag&)
 {
   typename R::FT x(0), y(0), z(0);
   switch(get_mode(is)) {
@@ -203,7 +203,7 @@ extract(std::istream& is, Direction_3<R>
 
 template <class R >
 std::istream&
-extract(std::istream& is, Direction_3<R>& d, const Homogeneous_tag&) 
+extract(std::istream& is, Direction_3<R>& d, const Homogeneous_tag&)
 {
   typename R::RT x, y, z;
   switch(get_mode(is))
diff -pruN 5.0.2-3/include/CGAL/disable_warnings.h 5.0.3-1/include/CGAL/disable_warnings.h
--- 5.0.2-3/include/CGAL/disable_warnings.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/disable_warnings.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,11 +1,11 @@
 // Copyright (c) 2018 GeometryFactory (France). All rights reserved.
-// 
+//
 // This file is part of CGAL (www.cgal.org)
-// 
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/disable_warnings.h $
-// $Id: disable_warnings.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+//
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/disable_warnings.h $
+// $Id: disable_warnings.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author: Andreas Fabri
 
 #include <boost/config.hpp>
diff -pruN 5.0.2-3/include/CGAL/distance_predicates_2.h 5.0.3-1/include/CGAL/distance_predicates_2.h
--- 5.0.2-3/include/CGAL/distance_predicates_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/distance_predicates_2.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/distance_predicates_2.h $
-// $Id: distance_predicates_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/distance_predicates_2.h $
+// $Id: distance_predicates_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
diff -pruN 5.0.2-3/include/CGAL/distance_predicates_3.h 5.0.3-1/include/CGAL/distance_predicates_3.h
--- 5.0.2-3/include/CGAL/distance_predicates_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/distance_predicates_3.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/distance_predicates_3.h $
-// $Id: distance_predicates_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/distance_predicates_3.h $
+// $Id: distance_predicates_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
diff -pruN 5.0.2-3/include/CGAL/double.h 5.0.3-1/include/CGAL/double.h
--- 5.0.2-3/include/CGAL/double.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/double.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999,2007  
+// Copyright (c) 1999,2007
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/double.h $
-// $Id: double.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/double.h $
+// $Id: double.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -118,17 +118,17 @@ template <> class Algebraic_structure_tr
 };
 
 
-  
-#ifdef CGAL_USE_SSE2_FABS   
+
+#ifdef CGAL_USE_SSE2_FABS
 inline double sse2fabs(double a)
 {
   static CGAL_ALIGN_16 const union{
     __int64 i[2];
     __m128d m;
   } absMask = {0x7fffffffffffffff, 0x7fffffffffffffff};
-	  
+
   __m128d temp = _mm_set1_pd(a);
-  
+
   temp = _mm_and_pd(temp, absMask.m);
   return _mm_cvtsd_f64 (temp);
 }
@@ -148,7 +148,7 @@ template <> class Real_embeddable_traits
         Type operator()( const Type& x ) const {
 #ifdef CGAL_USE_SSE2_FABS
           return sse2fabs(x);
-#else         
+#else
           return std::fabs( x );
 #endif
         }
diff -pruN 5.0.2-3/include/CGAL/Double_map.h 5.0.3-1/include/CGAL/Double_map.h
--- 5.0.2-3/include/CGAL/Double_map.h	2020-02-21 20:03:37.000000000 +0000
+++ 5.0.3-1/include/CGAL/Double_map.h	2020-08-01 19:02:32.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesher_level/include/CGAL/Double_map.h $
-// $Id: Double_map.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesher_level/include/CGAL/Double_map.h $
+// $Id: Double_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -44,7 +44,7 @@
 
 namespace CGAL {
 
-template <class _Key, class _Data, class _Direct_compare = std::less<_Key>, 
+template <class _Key, class _Data, class _Direct_compare = std::less<_Key>,
           class _Reverse_compare = std::less<_Data> >
 class Double_map
 {
@@ -55,10 +55,10 @@ public:
   typedef _Reverse_compare Reverse_compare;
 
   typedef Double_map<Key, Data, Direct_compare, Reverse_compare> Self;
-  
+
 #ifdef CGAL_USE_BOOST_BIMAP
   typedef ::boost::bimap< ::boost::bimaps::set_of<Key, Direct_compare>,
-				 ::boost::bimaps::multiset_of<Data, Reverse_compare> > Boost_bimap;
+                                 ::boost::bimaps::multiset_of<Data, Reverse_compare> > Boost_bimap;
 
   typedef typename Boost_bimap::left_map Direct_func;
   typedef typename Boost_bimap::right_map Reverse_func;
@@ -78,7 +78,7 @@ public:
   typedef typename Self::Reverse_func::value_type right_value_type;
 #endif
   typedef typename Direct_func::value_type Direct_entry;
-               // std::pair<Key, reverse_iterator> 
+               // std::pair<Key, reverse_iterator>
   typedef typename Reverse_func::value_type Reverse_entry;
                // std::pair<Data, Key> ;
 
@@ -137,7 +137,7 @@ public :
   {
     return(direct_func().size()==reverse_func().size());
   }
-  
+
   void clear()
   {
 #ifdef CGAL_USE_BOOST_BIMAP
@@ -146,7 +146,7 @@ public :
     direct_func().clear();
     reverse_func().clear();
 #endif
-    
+
   }
 
   Self& operator=(const Self& dm)
@@ -162,14 +162,14 @@ public :
 
 #ifdef CGAL_USE_BOOST_BIMAP
     for(direct_const_iterator rit = dm.direct_func().begin();
-	rit != dm.direct_func().end();
+        rit != dm.direct_func().end();
         ++rit)
     {
       direct_func().insert(*rit);
     }
 #else
     reverse_func() = dm.reverse_func();
-    
+
     for(reverse_iterator rit = reverse_func().begin();
         rit != reverse_func().end();
         ++rit)
@@ -191,7 +191,7 @@ public :
       direct_iterator hint = boost_bimap.left.lower_bound(k);
 
       if(hint != boost_bimap.left.end() && hint->first == k)
-	return false;
+        return false;
 
       boost_bimap.left.insert(hint, Direct_entry(k, d));
       return true;
@@ -199,11 +199,11 @@ public :
       direct_iterator direct_hint = direct_func().lower_bound(k);
 
       if(direct_hint != direct_func().end() &&
-	 direct_hint->first == k)
+         direct_hint->first == k)
         return false;
-      
+
       reverse_iterator reverse_it = reverse_func().insert(Reverse_entry(d, k));
-      
+
       direct_func().insert(direct_hint, Direct_entry(k, reverse_it));
 
       CGAL_assertion(is_valid());
@@ -230,7 +230,7 @@ public :
       direct_iterator pos = direct_func().find(rit->second);
       CGAL_assertion(pos != direct_func().end());
       CGAL_assertion(pos->second == rit);
-      
+
       direct_func().erase(pos);
       reverse_func().erase(rit);
       CGAL_assertion(is_valid());
@@ -241,7 +241,7 @@ public :
   {
     return direct_func().begin();
   }
-    
+
   const_iterator end() const
   {
     return direct_func().end();
@@ -249,20 +249,20 @@ public :
 
   template <typename Func_key, typename Func_data>
   void dump_direct_func(std::ostream& out,
-			Func_key func_key,
-			Func_data func_data)
+                        Func_key func_key,
+                        Func_data func_data)
   {
     for(typename Direct_func::iterator it = direct_func().begin();
-	it != direct_func().end();
-	++it)
+        it != direct_func().end();
+        ++it)
     {
       out << func_key(it->first) << " -> "
 #ifdef CGAL_USE_BOOST_BIMAP
-	  << func_data(it->second)
+          << func_data(it->second)
 #else
-	  << func_data(it->second->first)
+          << func_data(it->second->first)
 #endif
-	  << std::endl;
+          << std::endl;
     }
   }
 
@@ -273,25 +273,25 @@ public :
 
   template <typename Func_key, typename Func_data>
   void dump_reverse_func(std::ostream& out,
-			 Func_key func_key,
-			 Func_data func_data)
+                         Func_key func_key,
+                         Func_data func_data)
   {
     for(typename Reverse_func::iterator it = reverse_func().begin();
-	it != reverse_func().end();
-	++it)
+        it != reverse_func().end();
+        ++it)
     {
       out << func_data(it->first) << " "
-	  << func_key(it->second) << std::endl;
+          << func_key(it->second) << std::endl;
     }
   }
 
-  void dump_reverse_func(std::ostream& out) 
+  void dump_reverse_func(std::ostream& out)
   {
     dump_reverse_func(out, CGAL::Identity<Data>(), CGAL::Identity<Key>());
   }
 };
 
-template <class _Key, class _Data, class _Direct_compare, 
+template <class _Key, class _Data, class _Direct_compare,
   class _Reverse_compare>
 bool
 Double_map<_Key, _Data, _Direct_compare, _Reverse_compare>::
diff -pruN 5.0.2-3/include/CGAL/draw_linear_cell_complex.h 5.0.3-1/include/CGAL/draw_linear_cell_complex.h
--- 5.0.2-3/include/CGAL/draw_linear_cell_complex.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/draw_linear_cell_complex.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/draw_linear_cell_complex.h $
-// $Id: draw_linear_cell_complex.h 055d6fd 2019-11-29T08:45:52+01:00 Guillaume Damiand
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/draw_linear_cell_complex.h $
+// $Id: draw_linear_cell_complex.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -21,7 +21,7 @@
 
 namespace CGAL
 {
-  
+
 // Default color functor; user can change it to have its own face color
 struct DefaultDrawingFunctorLCC
 {
@@ -146,7 +146,7 @@ struct LCC_geom_utils<LCC, Local_kernel,
   }
 };
 
-// Viewer class for LCC 
+// Viewer class for LCC
 template<class LCC, class DrawingFunctorLCC>
 class SimpleLCCViewerQt : public Basic_viewer_qt
 {
@@ -155,7 +155,7 @@ class SimpleLCCViewerQt : public Basic_v
   typedef typename LCC::Traits Kernel;
   typedef typename Kernel::Point Point;
   typedef typename Kernel::Vector Vector;
-  
+
 public:
   /// Construct the viewer.
   /// @param alcc the lcc to view
@@ -168,7 +168,7 @@ public:
                     bool anofaces=false,
                     const DrawingFunctorLCC& drawing_functor=DrawingFunctorLCC()) :
     // First draw: vertices; edges, faces; multi-color; inverse normal
-    Base(parent, title, true, true, true, false, false), 
+    Base(parent, title, true, true, true, false, false),
     lcc(alcc),
     m_nofaces(anofaces),
     m_random_face_color(false),
@@ -184,7 +184,7 @@ protected:
     compute_elements();
     if (doredraw) { redraw(); }
   }
-  
+
   void compute_face(Dart_const_handle dh, Dart_const_handle voldh)
   {
     if (m_nofaces || !m_drawing_functor.draw_face(*lcc, dh)) return;
@@ -204,7 +204,7 @@ protected:
     {
       CGAL::Random random((unsigned int)(lcc->darts().index(dh)));
       CGAL::Color c=get_random_color(random);
-      face_begin(c);      
+      face_begin(c);
     }
     else if (m_drawing_functor.colored_face(*lcc, dh))
     {
@@ -260,7 +260,7 @@ protected:
   {
     clear();
     if (lcc==nullptr) return;
-    
+
     typename LCC::size_type markvolumes  = lcc->get_new_mark();
     typename LCC::size_type markfaces    = lcc->get_new_mark();
     typename LCC::size_type markedges    = lcc->get_new_mark();
@@ -331,13 +331,13 @@ protected:
     lcc->free_mark(markedges);
     lcc->free_mark(markvertices);
   }
-  
+
   virtual void init()
   {
     Base::init();
     setKeyDescription(::Qt::Key_C, "Toggles random face colors");
   }
-  
+
   virtual void keyPressEvent(QKeyEvent *e)
   {
     const ::Qt::KeyboardModifiers modifiers = e->modifiers();
@@ -350,7 +350,7 @@ protected:
     }
     else
     { Base::keyPressEvent(e); } // Call the base method to process others/classicals key
-    
+
     // Call: * compute_elements() if the model changed, followed by
     //       * redraw() if some viewing parameters changed that implies some
     //                  modifications of the buffers
@@ -386,7 +386,7 @@ void draw(const CGAL_LCC_TYPE& alcc,
 #else
   bool cgal_test_suite=qEnvironmentVariableIsSet("CGAL_TEST_SUITE");
 #endif
-  
+
   if (!cgal_test_suite)
   {
     int argc=1;
diff -pruN 5.0.2-3/include/CGAL/draw_point_set_3.h 5.0.3-1/include/CGAL/draw_point_set_3.h
--- 5.0.2-3/include/CGAL/draw_point_set_3.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/draw_point_set_3.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_3/include/CGAL/draw_point_set_3.h $
-// $Id: draw_point_set_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_3/include/CGAL/draw_point_set_3.h $
+// $Id: draw_point_set_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -40,14 +40,14 @@ void draw(const PS& aps);
 
 namespace CGAL
 {
-  
+
 // Viewer class for Point_set
 template<class PointSet>
 class SimplePointSetViewerQt : public Basic_viewer_qt
 {
   typedef Basic_viewer_qt Base;
   typedef typename PointSet::Point_map::value_type Point;
-  
+
 public:
   /// Construct the viewer.
   /// @param apointset the point set to view
@@ -87,7 +87,7 @@ protected:
   const PointSet& pointset;
 };
 
-// Specialization of draw function.  
+// Specialization of draw function.
 template<class P, class V>
 void draw(const Point_set_3<P, V>& apointset,
           const char* title="Point_set_3 Basic Viewer")
@@ -97,20 +97,20 @@ void draw(const Point_set_3<P, V>& apoin
 #else
   bool cgal_test_suite=qEnvironmentVariableIsSet("CGAL_TEST_SUITE");
 #endif
-  
+
   if (!cgal_test_suite)
   {
     int argc=1;
     const char* argv[2]={"point_set_viewer","\0"};
     QApplication app(argc,const_cast<char**>(argv));
-    SimplePointSetViewerQt<Point_set_3<P, V> > mainwindow(app.activeWindow(), 
+    SimplePointSetViewerQt<Point_set_3<P, V> > mainwindow(app.activeWindow(),
                                                           apointset,
                                                           title);
     mainwindow.show();
     app.exec();
   }
 }
-  
+
 } // End namespace CGAL
 
 #endif // CGAL_USE_BASIC_VIEWER
diff -pruN 5.0.2-3/include/CGAL/draw_polygon_2.h 5.0.3-1/include/CGAL/draw_polygon_2.h
--- 5.0.2-3/include/CGAL/draw_polygon_2.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/draw_polygon_2.h	2020-08-01 19:02:40.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon/include/CGAL/draw_polygon_2.h $
-// $Id: draw_polygon_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon/include/CGAL/draw_polygon_2.h $
+// $Id: draw_polygon_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
 
@@ -44,14 +44,14 @@ void draw(const P& ap);
 
 namespace CGAL
 {
-  
-// Viewer class for Polygon_2 
+
+// Viewer class for Polygon_2
 template<class P2>
 class SimplePolygon2ViewerQt : public Basic_viewer_qt
 {
   typedef Basic_viewer_qt      Base;
   typedef typename P2::Point_2 Point;
- 
+
 public:
   /// Construct the viewer.
   /// @param ap2 the polygon to view
@@ -59,7 +59,7 @@ public:
   SimplePolygon2ViewerQt(QWidget* parent, const P2& ap2,
                          const char* title="Basic Polygon_2 Viewer") :
     // First draw: vertices; edges, faces; multi-color; no inverse normal
-    Base(parent, title, true, true, true, false, false), 
+    Base(parent, title, true, true, true, false, false),
     p2(ap2)
   {
     compute_elements();
@@ -71,9 +71,9 @@ protected:
     clear();
 
     if (p2.is_empty()) return;
-    
+
     Point prev=p2.vertex(p2.size()-1);
-      
+
     CGAL::Color c(75,160,255);
     face_begin(c);
 
@@ -94,7 +94,7 @@ protected:
     // Test key pressed:
     //    const ::Qt::KeyboardModifiers modifiers = e->modifiers();
     //    if ((e->key()==Qt::Key_PageUp) && (modifiers==Qt::NoButton)) { ... }
-    
+
     // Call: * compute_elements() if the model changed, followed by
     //       * redraw() if some viewing parameters changed that implies some
     //                  modifications of the buffers
@@ -119,7 +119,7 @@ void draw(const CGAL::Polygon_2<T, C>& a
 #else
   bool cgal_test_suite=qEnvironmentVariableIsSet("CGAL_TEST_SUITE");
 #endif
-  
+
   if (!cgal_test_suite)
   {
     int argc=1;
diff -pruN 5.0.2-3/include/CGAL/draw_polygon_with_holes_2.h 5.0.3-1/include/CGAL/draw_polygon_with_holes_2.h
--- 5.0.2-3/include/CGAL/draw_polygon_with_holes_2.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/draw_polygon_with_holes_2.h	2020-08-01 19:02:40.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon/include/CGAL/draw_polygon_with_holes_2.h $
-// $Id: draw_polygon_with_holes_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon/include/CGAL/draw_polygon_with_holes_2.h $
+// $Id: draw_polygon_with_holes_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
 
@@ -43,14 +43,14 @@ void draw(const PH& aph);
 
 namespace CGAL
 {
-  
-// Viewer class for Polygon_2 
+
+// Viewer class for Polygon_2
 template<class P2>
 class SimplePolygonWithHoles2ViewerQt : public Basic_viewer_qt
 {
   typedef Basic_viewer_qt      Base;
   typedef typename P2::General_polygon_2::Point_2 Point;
- 
+
 public:
   /// Construct the viewer.
   /// @param ap2 the polygon to view
@@ -58,7 +58,7 @@ public:
   SimplePolygonWithHoles2ViewerQt(QWidget* parent, const P2& ap2,
                                   const char* title="Basic Polygon_with_holes_2 Viewer") :
     // First draw: vertices; edges, faces; multi-color; no inverse normal
-    Base(parent, title, true, true, true, false, false), 
+    Base(parent, title, true, true, true, false, false),
     p2(ap2)
   {
     compute_elements();
@@ -84,24 +84,24 @@ protected:
     // Add the last segment between the last point and the first one
     add_segment(*prev, *(p.vertices_begin()));
   }
-  
-  void compute_elements()  
+
+  void compute_elements()
   {
     clear();
 
     if (p2.outer_boundary().is_empty()) return;
-    
+
     CGAL::Color c(75,160,255);
     face_begin(c);
 
     compute_one_loop_elements(p2.outer_boundary(), false);
-    
+
     for (typename P2::Hole_const_iterator it=p2.holes_begin(); it!=p2.holes_end(); ++it)
     {
       compute_one_loop_elements(*it, true);
       add_point_in_face(p2.outer_boundary().vertex(p2.outer_boundary().size()-1));
     }
-    
+
     face_end();
   }
 
@@ -110,7 +110,7 @@ protected:
     // Test key pressed:
     //    const ::Qt::KeyboardModifiers modifiers = e->modifiers();
     //    if ((e->key()==Qt::Key_PageUp) && (modifiers==Qt::NoButton)) { ... }
-    
+
     // Call: * compute_elements() if the model changed, followed by
     //       * redraw() if some viewing parameters changed that implies some
     //                  modifications of the buffers
diff -pruN 5.0.2-3/include/CGAL/draw_polyhedron.h 5.0.3-1/include/CGAL/draw_polyhedron.h
--- 5.0.2-3/include/CGAL/draw_polyhedron.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/draw_polyhedron.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/include/CGAL/draw_polyhedron.h $
-// $Id: draw_polyhedron.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/include/CGAL/draw_polyhedron.h $
+// $Id: draw_polyhedron.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -22,7 +22,7 @@
 
 namespace CGAL
 {
-  
+
 // Default color functor; user can change it to have its own face color
 struct DefaultColorFunctorPolyhedron
 {
@@ -47,7 +47,7 @@ class SimplePolyhedronViewerQt : public
   typedef typename Polyhedron::Halfedge_const_handle Halfedge_const_handle;
   typedef typename Polyhedron::Vertex_const_handle Vertex_const_handle;
   typedef typename Polyhedron::Facet_const_handle Facet_const_handle;
-  
+
 public:
   /// Construct the viewer.
   /// @param apoly the polyhedron to view
@@ -89,7 +89,7 @@ protected:
     add_segment(he->vertex()->point(),
                 he->opposite()->vertex()->point());
     // We can use add_segment(p1, p2, c) with c a CGAL::Color to add a colored segment
-  } 
+  }
 
   void compute_vertex(Vertex_const_handle vh)
   {
@@ -128,7 +128,7 @@ protected:
     // Test key pressed:
     //    const ::Qt::KeyboardModifiers modifiers = e->modifiers();
     //    if ((e->key()==Qt::Key_PageUp) && (modifiers==Qt::NoButton)) { ... }
-    
+
     // Call: * compute_elements() if the model changed, followed by
     //       * redraw() if some viewing parameters changed that implies some
     //                  modifications of the buffers
@@ -158,7 +158,7 @@ protected:
     assert(nb>0);
     return (typename Local_kernel::Construct_scaled_vector_3()(normal, 1.0/nb));
   }
-  
+
   Local_vector get_vertex_normal(Halfedge_const_handle he)
   {
     Local_vector normal=CGAL::NULL_VECTOR;
@@ -173,11 +173,11 @@ protected:
       he=he->next()->opposite();
     }
     while (he!=end);
-    
+
     if (!typename Local_kernel::Equal_3()(normal, CGAL::NULL_VECTOR))
     { normal=(typename Local_kernel::Construct_scaled_vector_3()
               (normal, 1.0/CGAL::sqrt(normal.squared_length()))); }
-    
+
     return normal;
   }
 
@@ -205,7 +205,7 @@ void draw(const CGAL_POLY_TYPE& apoly,
 #else
   bool cgal_test_suite=qEnvironmentVariableIsSet("CGAL_TEST_SUITE");
 #endif
-  
+
   if (!cgal_test_suite)
   {
     int argc=1;
diff -pruN 5.0.2-3/include/CGAL/draw_surface_mesh.h 5.0.3-1/include/CGAL/draw_surface_mesh.h
--- 5.0.2-3/include/CGAL/draw_surface_mesh.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/draw_surface_mesh.h	2020-08-01 19:02:54.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh/include/CGAL/draw_surface_mesh.h $
-// $Id: draw_surface_mesh.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh/include/CGAL/draw_surface_mesh.h $
+// $Id: draw_surface_mesh.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -26,7 +26,7 @@ template<class SM>
 void draw(const SM& asm);
 
 #else // DOXYGEN_RUNNING
-  
+
 #include <CGAL/license/Surface_mesh.h>
 #include <CGAL/Qt/Basic_viewer_qt.h>
 
@@ -103,7 +103,7 @@ protected:
   {
     add_segment(sm.point(sm.source(sm.halfedge(e))),
                 sm.point(sm.target(sm.halfedge(e))));
-  } 
+  }
 
   void compute_vertex(vertex_descriptor vh)
   { add_point(sm.point(vh)); }
@@ -121,7 +121,7 @@ protected:
         { compute_face(*f); }
       }
     }
-    
+
     for (typename SM::Edge_range::iterator e=sm.edges().begin();
          e!=sm.edges().end(); ++e)
     { compute_edge(*e); }
@@ -136,7 +136,7 @@ protected:
     // Test key pressed:
     //    const ::Qt::KeyboardModifiers modifiers = e->modifiers();
     //    if ((e->key()==Qt::Key_PageUp) && (modifiers==Qt::NoButton)) { ... }
-    
+
     // Call: * compute_elements() if the model changed, followed by
     //       * redraw() if some viewing parameters changed that implies some
     //                  modifications of the buffers
@@ -165,7 +165,7 @@ protected:
     assert(nb>0);
     return (typename Local_kernel::Construct_scaled_vector_3()(normal, 1.0/nb));
   }
-  
+
   Local_vector get_vertex_normal(halfedge_descriptor he)
   {
     Local_vector normal=CGAL::NULL_VECTOR;
@@ -180,11 +180,11 @@ protected:
       he=sm.next(sm.opposite(he));
     }
     while (he!=end);
-    
+
     if (!typename Local_kernel::Equal_3()(normal, CGAL::NULL_VECTOR))
     { normal=(typename Local_kernel::Construct_scaled_vector_3()
               (normal, 1.0/CGAL::sqrt(normal.squared_length()))); }
-    
+
     return normal;
   }
 
diff -pruN 5.0.2-3/include/CGAL/draw_triangulation_2.h 5.0.3-1/include/CGAL/draw_triangulation_2.h
--- 5.0.2-3/include/CGAL/draw_triangulation_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/draw_triangulation_2.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/draw_triangulation_2.h $
-// $Id: draw_triangulation_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/draw_triangulation_2.h $
+// $Id: draw_triangulation_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -22,7 +22,7 @@
 
 namespace CGAL
 {
-  
+
 // Default color functor; user can change it to have its own face color
 struct DefaultColorFunctorT2
 {
@@ -35,7 +35,7 @@ struct DefaultColorFunctorT2
   }
 };
 
-// Viewer class for T2 
+// Viewer class for T2
 template<class T2, class ColorFunctor>
 class SimpleTriangulation2ViewerQt : public Basic_viewer_qt
 {
@@ -44,7 +44,7 @@ class SimpleTriangulation2ViewerQt : pub
   typedef typename T2::Finite_edges_iterator Edge_const_handle;
   typedef typename T2::Finite_faces_iterator Facet_const_handle;
   typedef typename T2::Point                 Point;
- 
+
 public:
   /// Construct the viewer.
   /// @param at2 the t2 to view
@@ -56,7 +56,7 @@ public:
                                bool anofaces=false,
                                const ColorFunctor& fcolor=ColorFunctor()) :
     // First draw: vertices; edges, faces; multi-color; no inverse normal
-    Base(parent, title, true, true, true, false, false), 
+    Base(parent, title, true, true, true, false, false),
     t2(at2),
     m_nofaces(anofaces),
     m_fcolor(fcolor)
@@ -73,7 +73,7 @@ protected:
     add_point_in_face(fh->vertex(0)->point());
     add_point_in_face(fh->vertex(1)->point());
     add_point_in_face(fh->vertex(2)->point());
-    
+
     face_end();
   }
 
@@ -94,16 +94,16 @@ protected:
     {
       for (typename T2::Finite_faces_iterator it=t2.finite_faces_begin();
            it!=t2.finite_faces_end(); ++it)
-      { compute_face(it); } 
+      { compute_face(it); }
     }
-    
+
     for (typename T2::Finite_edges_iterator it=t2.finite_edges_begin();
          it!=t2.finite_edges_end(); ++it)
-    { compute_edge(it); } 
+    { compute_edge(it); }
 
     for (typename T2::Finite_vertices_iterator it=t2.finite_vertices_begin();
          it!=t2.finite_vertices_end(); ++it)
-    { compute_vertex(it); } 
+    { compute_vertex(it); }
   }
 
   virtual void keyPressEvent(QKeyEvent *e)
@@ -111,7 +111,7 @@ protected:
     // Test key pressed:
     //    const ::Qt::KeyboardModifiers modifiers = e->modifiers();
     //    if ((e->key()==Qt::Key_PageUp) && (modifiers==Qt::NoButton)) { ... }
-    
+
     // Call: * compute_elements() if the model changed, followed by
     //       * redraw() if some viewing parameters changed that implies some
     //                  modifications of the buffers
@@ -130,7 +130,7 @@ protected:
 
 // Specialization of draw function.
 #define CGAL_T2_TYPE CGAL::Triangulation_2<Gt, Tds>
-  
+
 template<class Gt, class Tds>
 void draw(const CGAL_T2_TYPE& at2,
           const char* title="Triangulation_2 Basic Viewer",
@@ -141,7 +141,7 @@ void draw(const CGAL_T2_TYPE& at2,
 #else
   bool cgal_test_suite=qEnvironmentVariableIsSet("CGAL_TEST_SUITE");
 #endif
-  
+
   if (!cgal_test_suite)
   {
     int argc=1;
diff -pruN 5.0.2-3/include/CGAL/draw_triangulation_3.h 5.0.3-1/include/CGAL/draw_triangulation_3.h
--- 5.0.2-3/include/CGAL/draw_triangulation_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/draw_triangulation_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/draw_triangulation_3.h $
-// $Id: draw_triangulation_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/draw_triangulation_3.h $
+// $Id: draw_triangulation_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -22,7 +22,7 @@
 
 namespace CGAL
 {
-  
+
 // Default color functor; user can change it to have its own face color
 struct DefaultColorFunctorT3
 {
@@ -39,7 +39,7 @@ struct DefaultColorFunctorT3
   }
 };
 
-// Viewer class for T3 
+// Viewer class for T3
 template<class T3, class ColorFunctor>
 class SimpleTriangulation3ViewerQt : public Basic_viewer_qt
 {
@@ -49,7 +49,7 @@ class SimpleTriangulation3ViewerQt : pub
   typedef typename T3::Finite_facets_iterator Facet_const_handle;
   typedef typename T3::Cell_handle            Cell_handle;
   typedef typename T3::Point                  Point;
- 
+
 public:
   /// Construct the viewer.
   /// @param at3 the t3 to view
@@ -62,7 +62,7 @@ public:
                                bool anofaces=false,
                                const ColorFunctor& fcolor=ColorFunctor()) :
     // First draw: vertices; edges, faces; multi-color; no inverse normal
-    Base(parent, title, true, true, true, false, false), 
+    Base(parent, title, true, true, true, false, false),
     t3(at3),
     m_nofaces(anofaces),
     m_fcolor(fcolor)
@@ -79,7 +79,7 @@ protected:
     add_point_in_face(fh->first->vertex((fh->second+1)%4)->point());
     add_point_in_face(fh->first->vertex((fh->second+2)%4)->point());
     add_point_in_face(fh->first->vertex((fh->second+3)%4)->point());
-    
+
     face_end();
   }
 
@@ -100,16 +100,16 @@ protected:
     {
       for (typename T3::Finite_facets_iterator it=t3.finite_facets_begin();
            it!=t3.finite_facets_end(); ++it)
-      { compute_face(it); } 
+      { compute_face(it); }
     }
-    
+
     for (typename T3::Finite_edges_iterator it=t3.finite_edges_begin();
          it!=t3.finite_edges_end(); ++it)
-    { compute_edge(it); } 
+    { compute_edge(it); }
 
     for (typename T3::Finite_vertices_iterator it=t3.finite_vertices_begin();
          it!=t3.finite_vertices_end(); ++it)
-    { compute_vertex(it); } 
+    { compute_vertex(it); }
   }
 
   virtual void keyPressEvent(QKeyEvent *e)
@@ -117,7 +117,7 @@ protected:
     // Test key pressed:
     //    const ::Qt::KeyboardModifiers modifiers = e->modifiers();
     //    if ((e->key()==Qt::Key_PageUp) && (modifiers==Qt::NoButton)) { ... }
-    
+
     // Call: * compute_elements() if the model changed, followed by
     //       * redraw() if some viewing parameters changed that implies some
     //                  modifications of the buffers
@@ -147,7 +147,7 @@ void draw(const CGAL_T3_TYPE& at3,
 #else
   bool cgal_test_suite=qEnvironmentVariableIsSet("CGAL_TEST_SUITE");
 #endif
-  
+
   if (!cgal_test_suite)
   {
     int argc=1;
diff -pruN 5.0.2-3/include/CGAL/Dummy_tds_2.h 5.0.3-1/include/CGAL/Dummy_tds_2.h
--- 5.0.2-3/include/CGAL/Dummy_tds_2.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/Dummy_tds_2.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_2/include/CGAL/Dummy_tds_2.h $
-// $Id: Dummy_tds_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_2/include/CGAL/Dummy_tds_2.h $
+// $Id: Dummy_tds_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec
 
@@ -37,7 +37,7 @@ struct Dummy_tds_2 {
   struct Facet_circulator {};
   struct Face_circulator {};
   struct Vertex_circulator {};
-  
+
   typedef std::size_t size_type;
 };
 
diff -pruN 5.0.2-3/include/CGAL/Dynamic_matrix.h 5.0.3-1/include/CGAL/Dynamic_matrix.h
--- 5.0.2-3/include/CGAL/Dynamic_matrix.h	2020-02-21 20:03:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/Dynamic_matrix.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Matrix_search/include/CGAL/Dynamic_matrix.h $
-// $Id: Dynamic_matrix.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Matrix_search/include/CGAL/Dynamic_matrix.h $
+// $Id: Dynamic_matrix.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Dynamic_property_map.h 5.0.3-1/include/CGAL/Dynamic_property_map.h
--- 5.0.2-3/include/CGAL/Dynamic_property_map.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Dynamic_property_map.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Property_map/include/CGAL/Dynamic_property_map.h $
-// $Id: Dynamic_property_map.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Property_map/include/CGAL/Dynamic_property_map.h $
+// $Id: Dynamic_property_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -60,7 +60,7 @@ struct Dynamic_property_map {
     (*(m.map_))[k] = v;
   }
 
-  
+
   const V& default_value() const
   {
     return default_value_;
@@ -72,7 +72,7 @@ struct Dynamic_property_map {
   V default_value_;
 };
 
-  
+
 template <typename M, typename PM>
 struct Dynamic_property_map_deleter {
   M& mesh;
@@ -101,22 +101,22 @@ struct Dynamic {
   Dynamic()
     : map_()
   {}
-  
+
   Dynamic(const Mesh& mesh, PM* pm)
     : map_(pm, Deleter(mesh))
   {}
-             
+
   friend reference get(const Dynamic& m, const key_type& k)
   {
     return get(*(m.map_), k);
   }
-    
+
 
   friend void put(const Dynamic& m, const key_type& k, const value_type& v)
   {
     put(*(m.map_), k, v);
   }
-   
+
   boost::shared_ptr<PM> map_;
 };
 
diff -pruN 5.0.2-3/include/CGAL/edge_aware_upsample_point_set.h 5.0.3-1/include/CGAL/edge_aware_upsample_point_set.h
--- 5.0.2-3/include/CGAL/edge_aware_upsample_point_set.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/edge_aware_upsample_point_set.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,11 +3,11 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/edge_aware_upsample_point_set.h $
-// $Id: edge_aware_upsample_point_set.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/edge_aware_upsample_point_set.h $
+// $Id: edge_aware_upsample_point_set.h 67b53fa 2020-04-29T14:06:37+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Shihao Wu, Clement Jamin, Pierre Alliez 
+// Author(s) : Shihao Wu, Clement Jamin, Pierre Alliez
 
 #ifndef CGAL_UPSAMPLE_POINT_SET_H
 #define CGAL_UPSAMPLE_POINT_SET_H
@@ -44,8 +44,8 @@ namespace upsample_internal{
 
 /// For each query point, select a best "base point" in its neighborhoods.
 /// Then, a new point will be interpolated between query point and "base point".
-/// This is the key part of the upsample algorithm 
-/// 
+/// This is the key part of the upsample algorithm
+///
 /// \pre `radius > 0`
 ///
 /// @tparam Kernel Geometric traits class.
@@ -55,7 +55,7 @@ template <typename Kernel>
 typename Kernel::FT
 base_point_selection(
   const rich_grid_internal::Rich_point<Kernel>& query, ///< 3D point to project
-  const std::vector<rich_grid_internal::Rich_point<Kernel> >& 
+  const std::vector<rich_grid_internal::Rich_point<Kernel> >&
                     neighbor_points,///< neighbor sample points
   const typename Kernel::FT edge_sensitivity,///< edge sensitivity parameter
   unsigned int& output_base_index ///< base point index
@@ -88,7 +88,7 @@ base_point_selection(
 
     Vector diff_v_t = t - v.pt;
     Point mid_point = v.pt + (diff_v_t * FT(0.5));
-    
+
     FT dot_produce = std::pow((FT(2.0) - vm * tm), edge_sensitivity);
 
     Vector diff_t_mid = mid_point - t;
@@ -117,12 +117,12 @@ base_point_selection(
     }
   }
 
-  return best_dist2; 
+  return best_dist2;
 }
 
 /// For each new inserted point, we need to do the following job
 /// 1, get neighbor information from the two "parent points"
-/// 2, update position and determine normal by bilateral projection 
+/// 2, update position and determine normal by bilateral projection
 /// 3, update neighbor information again
 ///
 /// \pre `radius > 0`
@@ -180,7 +180,7 @@ update_new_point(
 
   new_v.neighbors.clear();
   std::set<int>::iterator set_iter;
-  for (set_iter = neighbor_indexes.begin(); 
+  for (set_iter = neighbor_indexes.begin();
        set_iter != neighbor_indexes.end(); ++set_iter)
   {
     Rich_point& t = rich_point_set[*set_iter];
@@ -192,7 +192,7 @@ update_new_point(
     }
   }
 
-  // 2, update position and normal by bilateral projection 
+  // 2, update position and normal by bilateral projection
   const unsigned int candidate_num = 2; // we have two normal candidates:
                                         // we say father's is 0
                                         //        mother's is 1
@@ -203,7 +203,7 @@ update_new_point(
   std::vector<FT> project_dist_sum(candidate_num, FT(0.0));
   std::vector<FT> weight_sum(candidate_num, FT(0.0));
   std::vector<Vector> normal_sum(candidate_num, NULL_VECTOR);
-   
+
   FT radius16 = FT(-4.0) / radius2;
 
   for (unsigned int i = 0; i < new_v.neighbors.size(); ++i)
@@ -249,7 +249,7 @@ update_new_point(
 
   // 3, update neighbor information again
   new_v.neighbors.clear();
-  for (set_iter = neighbor_indexes.begin(); 
+  for (set_iter = neighbor_indexes.begin();
        set_iter != neighbor_indexes.end(); ++set_iter)
   {
     Rich_point& t = rich_point_set[*set_iter];
@@ -273,21 +273,21 @@ update_new_point(
 
 /**
    \ingroup PkgPointSetProcessing3Algorithms
-   This method progressively upsamples the point set while 
-   approaching the edge singularities (detected by normal variation), which 
-   generates a denser point set from an input point set. This has applications 
-   in point-based rendering, hole filling, and sparse surface reconstruction. 
+   This method progressively upsamples the point set while
+   approaching the edge singularities (detected by normal variation), which
+   generates a denser point set from an input point set. This has applications
+   in point-based rendering, hole filling, and sparse surface reconstruction.
    Normals of points are required as input. For more details, please refer to \cgalCite{ear-2013}.
- 
+
    \tparam ConcurrencyTag enables sequential versus parallel versions
    of `compute_average_spacing()` (called internally).  Possible
    values are `Sequential_tag` and `Parallel_tag`.
    \tparam PointRange is a model of `ConstRange`. The value type of
    its iterator is the key type of the named parameter `point_map`.
-   \tparam OutputIterator Type of the output iterator. 
-   The type of the objects put in it is 
+   \tparam OutputIterator Type of the output iterator.
+   The type of the objects put in it is
    `std::pair<geom_traits::Point_3, geom_traits::Vector_3>`.
-   Note that the user may use a 
+   Note that the user may use a
    <A HREF="https://www.boost.org/libs/iterator/doc/function_output_iterator.html">function_output_iterator</A>
    to match specific needs.
 
@@ -311,7 +311,7 @@ update_new_point(
 */
 template <typename ConcurrencyTag,
           typename PointRange,
-	  typename OutputIterator,
+          typename OutputIterator,
           typename NamedParameters>
 OutputIterator
 edge_aware_upsample_point_set(
@@ -321,7 +321,7 @@ edge_aware_upsample_point_set(
 {
   using parameters::choose_parameter;
   using parameters::get_parameter;
-  
+
   // basic geometric types
   typedef typename Point_set_processing_3::GetPointMap<PointRange, NamedParameters>::type PointMap;
   typedef typename Point_set_processing_3::GetNormalMap<PointRange, NamedParameters>::type NormalMap;
@@ -330,7 +330,7 @@ edge_aware_upsample_point_set(
   CGAL_static_assertion_msg(!(boost::is_same<NormalMap,
                               typename Point_set_processing_3::GetNormalMap<PointRange, NamedParameters>::NoMap>::value),
                             "Error: no normal map");
-  
+
   typedef typename Kernel::Point_3 Point;
   typedef typename Kernel::Vector_3 Vector;
   typedef typename Kernel::FT FT;
@@ -348,12 +348,12 @@ edge_aware_upsample_point_set(
   // trick in case the output iterator add points to the input container
   typename PointRange::const_iterator begin = points.begin();
   typename PointRange::const_iterator end = points.end();
-  
+
   // preconditions
   CGAL_point_set_processing_precondition(begin != end);
-  CGAL_point_set_processing_precondition(sharpness_angle >= 0 
+  CGAL_point_set_processing_precondition(sharpness_angle >= 0
                                        &&sharpness_angle <= 90);
-  CGAL_point_set_processing_precondition(edge_sensitivity >= 0 
+  CGAL_point_set_processing_precondition(edge_sensitivity >= 0
                                        &&edge_sensitivity <= 1);
   CGAL_point_set_processing_precondition(neighbor_radius > 0);
 
@@ -374,13 +374,13 @@ edge_aware_upsample_point_set(
     std::cout << "neighbor radius: " << neighbor_radius << std::endl;
 #endif
   }
-  
+
   Real_timer task_timer;
 
   // copy rich point set
   std::vector<Rich_point> rich_point_set(number_of_input);
-  CGAL::Bbox_3 bbox(0., 0., 0., 0., 0., 0.);
-  
+  CGAL::Bbox_3 bbox;
+
   typename PointRange::const_iterator it = begin; // point iterator
   for(unsigned int i = 0; it != end; ++it, ++i)
   {
@@ -424,7 +424,7 @@ edge_aware_upsample_point_set(
                                                           current_radius);
     }
  #ifdef CGAL_PSP3_VERBOSE
-    std::cout << "current radius: " << current_radius << std::endl; 
+    std::cout << "current radius: " << current_radius << std::endl;
  #endif
 
     std::size_t current_size = rich_point_set.size();
@@ -468,7 +468,7 @@ edge_aware_upsample_point_set(
     sum_density = 0.;
     count_density = 1;
 
-    FT density_pass_threshold2 = density_pass_threshold * 
+    FT density_pass_threshold2 = density_pass_threshold *
                                  density_pass_threshold;
  #ifdef CGAL_PSP3_VERBOSE
     std::cout << "pass_threshold:  " << density_pass_threshold << std::endl;
@@ -502,7 +502,7 @@ edge_aware_upsample_point_set(
           neighbor_rich_points[n] = rich_point_set[v.neighbors[n]];
         }
 
-        // select base point 
+        // select base point
         unsigned int base_index = 0;
         FT density2 = upsample_internal::
                               base_point_selection(v,
@@ -536,10 +536,10 @@ edge_aware_upsample_point_set(
         is_pass_threshold.push_back(false);
 
         //update new rich point
-        upsample_internal::update_new_point(new_point_index, 
-                                            father_index, 
-                                            mother_index, 
-                                            rich_point_set, 
+        upsample_internal::update_new_point(new_point_index,
+                                            father_index,
+                                            mother_index,
+                                            rich_point_set,
                                             current_radius,
                                             sharpness_bandwidth);
 
@@ -551,8 +551,8 @@ edge_aware_upsample_point_set(
    #ifdef CGAL_PSP3_VERBOSE
       std::cout << "current size: " << rich_point_set.size() << std::endl;
    #endif
-      if (count_not_pass == 0 || 
-          loop >= max_loop_time || 
+      if (count_not_pass == 0 ||
+          loop >= max_loop_time ||
           rich_point_set.size() >= number_of_output_points)
       {
         break;
@@ -573,7 +573,7 @@ edge_aware_upsample_point_set(
     Vector normal = v.normal;
     *output++ = std::make_pair(point, normal);
   }
- 
+
   return output;
 }
 
@@ -582,7 +582,7 @@ edge_aware_upsample_point_set(
 // variant with default NP
 template <typename ConcurrencyTag,
           typename PointRange,
-	  typename OutputIterator>
+          typename OutputIterator>
 OutputIterator
 edge_aware_upsample_point_set(
   const PointRange& points,
diff -pruN 5.0.2-3/include/CGAL/Eigen_diagonalize_traits.h 5.0.3-1/include/CGAL/Eigen_diagonalize_traits.h
--- 5.0.2-3/include/CGAL/Eigen_diagonalize_traits.h	2020-02-21 20:04:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Eigen_diagonalize_traits.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Solver_interface/include/CGAL/Eigen_diagonalize_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Solver_interface/include/CGAL/Eigen_diagonalize_traits.h $
 // $Id: Eigen_diagonalize_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Eigen_matrix.h 5.0.3-1/include/CGAL/Eigen_matrix.h
--- 5.0.2-3/include/CGAL/Eigen_matrix.h	2020-02-21 20:04:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Eigen_matrix.h	2020-08-01 19:02:52.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Solver_interface/include/CGAL/Eigen_matrix.h $
-// $Id: Eigen_matrix.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Solver_interface/include/CGAL/Eigen_matrix.h $
+// $Id: Eigen_matrix.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Gael Guennebaud
@@ -55,7 +55,7 @@ public:
   Eigen_sparse_matrix()  :
       m_is_already_built(false)
   {}
-  
+
   /// Create a square matrix initialized with zeros.
   Eigen_sparse_matrix(std::size_t  dim,           ///< Matrix dimension.
                       bool is_symmetric = false)  ///< Symmetric/hermitian?
@@ -111,7 +111,7 @@ public:
     m_triplets.swap(other.m_triplets);
   }
 
-  
+
   /// Delete this object and the wrapped matrix.
   ~Eigen_sparse_matrix() { }
 
@@ -193,7 +193,7 @@ public:
     if(m_is_symmetric && (j > i))
       return;
 
-    if(m_is_already_built){      
+    if(m_is_already_built){
       CGAL_precondition(i < row_dimension());
       CGAL_precondition(j < column_dimension());
       m_matrix.coeffRef(i,j) += val;
@@ -270,7 +270,7 @@ public:
     m_matrix.makeCompressed();
     return m_matrix;
   }
-  
+
 
 public:
 
@@ -280,8 +280,8 @@ public:
   {
     return Eigen_sparse_matrix(c* M.eigen_object());
   }
-  
-  
+
+
   friend Eigen_sparse_matrix
   operator+(const Eigen_sparse_matrix& M0, const Eigen_sparse_matrix& M1)
   {
@@ -289,7 +289,7 @@ public:
   }
   /// \endcond
 
-  
+
   // Fields
 private:
   mutable bool m_is_already_built;
@@ -303,7 +303,7 @@ private:
   bool m_is_symmetric;
 }; // Eigen_sparse_matrix
 
-  
+
 /*!
 \ingroup PkgSolverInterfaceRef
 
@@ -346,7 +346,7 @@ struct Eigen_sparse_symmetric_matrix
 The class `Eigen_matrix` is a wrapper around `Eigen` matrix type
 <a href="http://eigen.tuxfamily.org/dox/classEigen_1_1Matrix.html">`Eigen::Matrix`</a>.
 
-\cgalModels `SvdTraits::Matrix` 
+\cgalModels `SvdTraits::Matrix`
 
 \tparam T Number type.
 
diff -pruN 5.0.2-3/include/CGAL/Eigen_solver_traits.h 5.0.3-1/include/CGAL/Eigen_solver_traits.h
--- 5.0.2-3/include/CGAL/Eigen_solver_traits.h	2020-02-21 20:04:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Eigen_solver_traits.h	2020-08-01 19:02:52.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Solver_interface/include/CGAL/Eigen_solver_traits.h $
-// $Id: Eigen_solver_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Solver_interface/include/CGAL/Eigen_solver_traits.h $
+// $Id: Eigen_solver_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Gael Guennebaud
@@ -179,7 +179,7 @@ public:
     X = solver().solve(B);
     return solver().info() == Eigen::Success;
   }
-  
+
   /// Solve the sparse linear system \f$ A \times X = B\f$, with \f$ A \f$ being the matrix
   /// provided in `factor()`.
   /// \return `true` if the solver is successful and `false` otherwise.
diff -pruN 5.0.2-3/include/CGAL/Eigen_svd.h 5.0.3-1/include/CGAL/Eigen_svd.h
--- 5.0.2-3/include/CGAL/Eigen_svd.h	2020-02-21 20:04:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Eigen_svd.h	2020-08-01 19:02:52.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Solver_interface/include/CGAL/Eigen_svd.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Solver_interface/include/CGAL/Eigen_svd.h $
 // $Id: Eigen_svd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Eigen_vector.h 5.0.3-1/include/CGAL/Eigen_vector.h
--- 5.0.2-3/include/CGAL/Eigen_vector.h	2020-02-21 20:04:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Eigen_vector.h	2020-08-01 19:02:52.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Solver_interface/include/CGAL/Eigen_vector.h $
-// $Id: Eigen_vector.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Solver_interface/include/CGAL/Eigen_vector.h $
+// $Id: Eigen_vector.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Gael Guennebaud
@@ -61,7 +61,7 @@ public:
   Eigen_vector()
     : EigenType()
   {}
-  
+
   /// Create a vector initialized with zeros.
   Eigen_vector(std::size_t dimension)
     : EigenType(static_cast<int>(dimension))
diff -pruN 5.0.2-3/include/CGAL/enable_warnings.h 5.0.3-1/include/CGAL/enable_warnings.h
--- 5.0.2-3/include/CGAL/enable_warnings.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/enable_warnings.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,11 +1,11 @@
 // Copyright (c) 2018 GeometryFactory (France). All rights reserved.
-// 
+//
 // This file is part of CGAL (www.cgal.org)
-// 
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/enable_warnings.h $
-// $Id: enable_warnings.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+//
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/enable_warnings.h $
+// $Id: enable_warnings.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author: Andreas Fabri
 
 #include <boost/config.hpp>
diff -pruN 5.0.2-3/include/CGAL/Enum_converter.h 5.0.3-1/include/CGAL/Enum_converter.h
--- 5.0.2-3/include/CGAL/Enum_converter.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Enum_converter.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Enum_converter.h $
-// $Id: Enum_converter.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Enum_converter.h $
+// $Id: Enum_converter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@cse.nd.edu>
 
diff -pruN 5.0.2-3/include/CGAL/enum.h 5.0.3-1/include/CGAL/enum.h
--- 5.0.2-3/include/CGAL/enum.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/enum.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/enum.h $
-// $Id: enum.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/enum.h $
+// $Id: enum.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -56,9 +56,9 @@ enum  Bounded_side
 
 enum  Angle
       {
-	  OBTUSE = -1,
-	  RIGHT,
-	  ACUTE
+          OBTUSE = -1,
+          RIGHT,
+          ACUTE
       };
 
 
@@ -98,7 +98,7 @@ enum Box_parameter_space_2
         INTERIOR,
         EXTERIOR
      };
-    
+
 
 
 #ifdef CGAL_CFG_MATCHING_BUG_5
diff -pruN 5.0.2-3/include/CGAL/Env_default_diagram_1.h 5.0.3-1/include/CGAL/Env_default_diagram_1.h
--- 5.0.2-3/include/CGAL/Env_default_diagram_1.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Env_default_diagram_1.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_2/include/CGAL/Env_default_diagram_1.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_2/include/CGAL/Env_default_diagram_1.h $
 // $Id: Env_default_diagram_1.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Envelope_2/Env_divide_and_conquer_2.h 5.0.3-1/include/CGAL/Envelope_2/Env_divide_and_conquer_2.h
--- 5.0.2-3/include/CGAL/Envelope_2/Env_divide_and_conquer_2.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Envelope_2/Env_divide_and_conquer_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_2/include/CGAL/Envelope_2/Env_divide_and_conquer_2.h $
-// $Id: Env_divide_and_conquer_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_2/include/CGAL/Envelope_2/Env_divide_and_conquer_2.h $
+// $Id: Env_divide_and_conquer_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Ron Wein   <wein@post.tau.ac.il>
@@ -42,7 +42,7 @@ public:
   typedef Diagram_                                 Envelope_diagram_1;
 
 protected:
-  
+
   typedef Envelope_divide_and_conquer_2<Traits_2, Envelope_diagram_1>  Self;
 
   enum Envelope_type
@@ -104,7 +104,7 @@ public:
 
   /*!
    * Construct the lower (or upper) envelope to the given range of curves.
-   * \param begin An iterator pointing at the beginning of the curves range. 
+   * \param begin An iterator pointing at the beginning of the curves range.
    * \param end A past-the-end iterator for the curves range.
    * \param type The envelope type (true for lower, false of upper).
    * \param diagram Output: The minimization (or maximization) diagram.
@@ -144,7 +144,7 @@ public:
   /*!
    * Construct the lower (or upper) envelope to the given range of
    * x-monotone curves.
-   * \param begin An iterator pointing at the beginning of the curves range. 
+   * \param begin An iterator pointing at the beginning of the curves range.
    * \param end A past-the-end iterator for the curves range.
    * \param type The envelope type (true for lower, false for upper).
    * \param diagram Output: The minimization (or maximization) diagram.
@@ -158,7 +158,7 @@ public:
     env_type = (type ? LOWER : UPPER);
 
     // Separate the regular curves from the vertical ones.
-    typename Traits_2::Is_vertical_2  is_vertical = 
+    typename Traits_2::Is_vertical_2  is_vertical =
                                               traits->is_vertical_2_object();
 
     Curve_pointer_vector  reg_vec;
@@ -217,7 +217,7 @@ protected:
 
   /*
    * Merge two minimization (or maximization) diagrams.
-   * \param d1 The first diagram, 
+   * \param d1 The first diagram,
    *           representing the envelope of the curve set C1.
    * \param d1 The first diagram,
    *           representing the envelope of the curve set C1.
@@ -252,29 +252,29 @@ protected:
    * \param other_edge The empty edge.
    * \param v The next vertex to the right.
    * \param v_exists Whether the next vertex exists.
-   * \param origin_of_v The origin of v: SMALLER if it is from e, 
-   *                    LARGER if it is from other_edge. 
-   *                    EQUAL result means that both edges have vertex at 
+   * \param origin_of_v The origin of v: SMALLER if it is from e,
+   *                    LARGER if it is from other_edge.
+   *                    EQUAL result means that both edges have vertex at
    *                    the same place.
    * \param out_d The merged diagram.
    */
-  void _merge_single_interval (Edge_const_handle e, 
+  void _merge_single_interval (Edge_const_handle e,
                                Edge_const_handle other_edge,
                                Vertex_const_handle v, bool v_exists,
                                Comparison_result origin_of_v,
                                Envelope_diagram_1& out_d);
-  
-  
+
+
   //! Compare the $y$-coordinates of two curves at their endpoints
-  /*! The function compares the $y$ values of two curves with a joint 
+  /*! The function compares the $y$ values of two curves with a joint
     range of $x$ values, at the end of the joint range.
     \param xcv1 The first curve
     \param xcv2 The second curve
-    \param curve_end ARR_MIN_END - compare the $y$ value of the smaller 
+    \param curve_end ARR_MIN_END - compare the $y$ value of the smaller
     endpoint, ARR_MAX_END - compare the $y$ value of the larger endpoint.
-    \pre The two $x$-monotone curves need to have a partially overlapping 
+    \pre The two $x$-monotone curves need to have a partially overlapping
     $x$-ranges.
-    \return 
+    \return
     \todo Move it to Arr_traits_adaptor ?
   */
   Comparison_result compare_y_at_end(const X_monotone_curve_2& xcv1,
@@ -291,7 +291,7 @@ protected:
    * \param is_leftmost2 Is it the leftmost edge in its diagram.
    * \param v The next vertex.
    * \param v_exists Whether such a vertex exists.
-   * \param origin_of_v The origin of v: SMALLER if it is from e1, 
+   * \param origin_of_v The origin of v: SMALLER if it is from e1,
    *                    otherwise it is from e2. EQUAL result means that
    *                    both diagram have vertex at the same place (but v
    *                    is still taken from e2.
@@ -304,9 +304,9 @@ protected:
                              Envelope_diagram_1& out_d);
 
   /*!
-   * Append a vertex to the given diagram: The new vertex that represents the 
-   * given point as the new rightmost vertex of the diagram. The edge 
-   * between the current rightmost vertex and the new one contains the same 
+   * Append a vertex to the given diagram: The new vertex that represents the
+   * given point as the new rightmost vertex of the diagram. The edge
+   * between the current rightmost vertex and the new one contains the same
    * curves as the input edge.
    * \param diag The diagram.
    * \param p The point that the new vertex is associated with.
@@ -321,7 +321,7 @@ protected:
    */
   class Less_vertical_segment
   {
-  private:    
+  private:
 
     typename Traits_2::Compare_x_2             comp_x;
     typename Traits_2::Construct_min_vertex_2  min_vertex;
diff -pruN 5.0.2-3/include/CGAL/Envelope_2/Env_divide_and_conquer_2_impl.h 5.0.3-1/include/CGAL/Envelope_2/Env_divide_and_conquer_2_impl.h
--- 5.0.2-3/include/CGAL/Envelope_2/Env_divide_and_conquer_2_impl.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Envelope_2/Env_divide_and_conquer_2_impl.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_2/include/CGAL/Envelope_2/Env_divide_and_conquer_2_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_2/include/CGAL/Envelope_2/Env_divide_and_conquer_2_impl.h $
 // $Id: Env_divide_and_conquer_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/envelope_2.h 5.0.3-1/include/CGAL/envelope_2.h
--- 5.0.2-3/include/CGAL/envelope_2.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/envelope_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_2/include/CGAL/envelope_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_2/include/CGAL/envelope_2.h $
 // $Id: envelope_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Envelope_3/Envelope_base.h 5.0.3-1/include/CGAL/Envelope_3/Envelope_base.h
--- 5.0.2-3/include/CGAL/Envelope_3/Envelope_base.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Envelope_3/Envelope_base.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_3/include/CGAL/Envelope_3/Envelope_base.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_3/include/CGAL/Envelope_3/Envelope_base.h $
 // $Id: Envelope_base.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Envelope_3/Envelope_diagram_on_surface_2.h 5.0.3-1/include/CGAL/Envelope_3/Envelope_diagram_on_surface_2.h
--- 5.0.2-3/include/CGAL/Envelope_3/Envelope_diagram_on_surface_2.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Envelope_3/Envelope_diagram_on_surface_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_3/include/CGAL/Envelope_3/Envelope_diagram_on_surface_2.h $
-// $Id: Envelope_diagram_on_surface_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_3/include/CGAL/Envelope_3/Envelope_diagram_on_surface_2.h $
+// $Id: Envelope_diagram_on_surface_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Michal Meyerovitch     <gorgymic@post.tau.ac.il>
@@ -32,14 +32,14 @@ namespace CGAL {
  * Representation of an envelope diagram (a minimization diagram or a
  * maximization diagram).
  */
-template <class GeomTraits_, class TopTraits_ = 
-          typename Default_planar_topology< 
+template <class GeomTraits_, class TopTraits_ =
+          typename Default_planar_topology<
                                GeomTraits_,
                                Envelope_3::Envelope_pm_dcel<
-                                 GeomTraits_, 
+                                 GeomTraits_,
                                  typename GeomTraits_::Xy_monotone_surface_3
                                > >::Traits
-          > 
+          >
 class Envelope_diagram_on_surface_2 :
 public Arrangement_on_surface_2<GeomTraits_, TopTraits_>
 {
@@ -55,7 +55,7 @@ protected:
   friend class Arr_accessor<Self>;
 
 public:
-  typedef Arrangement_on_surface_2<Traits_3, 
+  typedef Arrangement_on_surface_2<Traits_3,
     TopTraits>                                          Base;
   // This is yacky, but we have not choice because of observer stuff.
   typedef Base                                          Arrangement;
@@ -80,10 +80,10 @@ public:
  * maximization diagram).
  */
 
-template <class GeomTraits_, 
-          class Dcel_ = Envelope_3::Envelope_pm_dcel< 
+template <class GeomTraits_,
+          class Dcel_ = Envelope_3::Envelope_pm_dcel<
             GeomTraits_, typename GeomTraits_::Xy_monotone_surface_3
-            > 
+            >
           >
 class Envelope_diagram_2 :
   public Envelope_diagram_on_surface_2< GeomTraits_,
@@ -94,7 +94,7 @@ class Envelope_diagram_2 :
 public:
   typedef GeomTraits_                                   Traits_3;
   typedef typename Traits_3::Xy_monotone_surface_3      Xy_monotone_surface_3;
-  
+
 protected:
   typedef Dcel_                                         Env_dcel;
   typedef Envelope_diagram_2<Traits_3, Env_dcel>        Self;
@@ -127,14 +127,14 @@ public:
 //--------------------------------  Envelope_on_surface_3
 // specialization
 template <class GeomTraits_, class TopTraits_>
-class is_arrangement_2< 
+class is_arrangement_2<
   Envelope_diagram_on_surface_2<GeomTraits_, TopTraits_>
 > : public boost::true_type
 {};
 
 // specialization
 template <class GeomTraits_, class DCEL_>
-class is_arrangement_2< 
+class is_arrangement_2<
   Envelope_diagram_2<GeomTraits_, DCEL_>
 > : public boost::true_type
 {};
diff -pruN 5.0.2-3/include/CGAL/Envelope_3/Envelope_divide_and_conquer_3.h 5.0.3-1/include/CGAL/Envelope_3/Envelope_divide_and_conquer_3.h
--- 5.0.2-3/include/CGAL/Envelope_3/Envelope_divide_and_conquer_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Envelope_3/Envelope_divide_and_conquer_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_3/include/CGAL/Envelope_3/Envelope_divide_and_conquer_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_3/include/CGAL/Envelope_3/Envelope_divide_and_conquer_3.h $
 // $Id: Envelope_divide_and_conquer_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Envelope_3/Envelope_element_visitor_3.h 5.0.3-1/include/CGAL/Envelope_3/Envelope_element_visitor_3.h
--- 5.0.2-3/include/CGAL/Envelope_3/Envelope_element_visitor_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Envelope_3/Envelope_element_visitor_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_3/include/CGAL/Envelope_3/Envelope_element_visitor_3.h $
-// $Id: Envelope_element_visitor_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_3/include/CGAL/Envelope_3/Envelope_element_visitor_3.h $
+// $Id: Envelope_element_visitor_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Michal Meyerovitch     <gorgymic@post.tau.ac.il>
@@ -98,12 +98,12 @@ protected:
 
   typedef Arr_observer<Minimization_diagram_2>          Md_observer;
   typedef Arr_accessor<Minimization_diagram_2>          Md_accessor;
-  
-  typedef typename Topology_traits::Default_point_location_strategy 
+
+  typedef typename Topology_traits::Default_point_location_strategy
     Md_point_location;
   typedef typename Topology_traits::Zone_insertion_visitor
     Md_insert_zone_visitor;
-  
+
   typedef std::list<Halfedge_handle>                    Halfedges_list;
   typedef typename std::list<Halfedge_handle>::iterator Halfedges_list_iterator;
 
@@ -129,7 +129,7 @@ protected:
 
   typedef Unique_hash_map<Vertex_handle, Halfedge_handle>
                                                         Vertices_to_edges_map;
-  
+
   typedef std::pair<X_monotone_curve_2, Multiplicity>   Intersection_curve;
   typedef std::list<Object>                             Intersections_list;
 
@@ -148,14 +148,14 @@ protected:
                      const Point_2_with_info& p2) const
     {
       // The original code seemed to presume that two Points are never equal
-      // This is not true, there are various counter examples. 
-      // e.g the intersection of surf1 and surf2 may have ending edge and 
-      // a starting edge on the to be resolved edge 
-      return 
-        p_traits->compare_xy_2_object()(p1.first, p2.first) == SMALLER;  
+      // This is not true, there are various counter examples.
+      // e.g the intersection of surf1 and surf2 may have ending edge and
+      // a starting edge on the to be resolved edge
+      return
+        p_traits->compare_xy_2_object()(p1.first, p2.first) == SMALLER;
     }
   };
-  
+
 public:
   // c'tor
   Envelope_element_visitor_3(Envelope_type t = ENVELOPE_LOWER)
@@ -189,7 +189,7 @@ public:
   {
     CGAL_assertion(face->get_aux_is_set(0));
     CGAL_assertion(face->get_aux_is_set(1));
-    
+
     // we are interested with the envelope's shape over the current face,
     // so we only need to check the first surface from each group, since
     // all the surfaces in a group overlap over the current face.
@@ -214,7 +214,7 @@ public:
 #endif
       return;
     }
-    
+
     // we insert all projected intersections into a temporary arrangement,
     // with only the current face's curves, to find the arrangement of the
     // lower envelope of the 2 surfaces over the current face
@@ -241,13 +241,13 @@ public:
                                         map_copied_to_orig_vertices);
     CGAL_assertion(copied_face_arr.is_valid());
     map_copied_to_orig_faces[copied_face] = face;
-    
-    
+
+
     // insert the projected intersections into the temporary minimization diagram
     Point_2 point;
     Intersection_curve curve;
     Object cur_obj;
-    
+
     // we use our zone visitor, which only inserts into the arrangement the
     // points and curves which are inside the copied face
     // it updates the result arrangement at the same time (action after action
@@ -272,7 +272,7 @@ public:
     //    all these vertices should have their data set as "EQUAL"
     Vertices_list  result_special_vertices;
 
-    New_faces_observer new_faces_obs(result);    
+    New_faces_observer new_faces_obs(result);
     Copied_face_zone_visitor zone_visitor(result,
                                           copied_face_arr,
                                           face,
@@ -318,7 +318,7 @@ public:
     zone_visitor.finish();
 
     // now determine the envelope data in result over the new faces
-    
+
     // in order to use resolve_minimal_face with intersection halfedge, we
     // go over the new edges, and set data over their faces
     typename Halfedges_w_type_list::iterator new_edge_it;
@@ -339,7 +339,7 @@ public:
       // set data on new edges
       new_he->set_decision(EQUAL);
       new_he_twin->set_decision(EQUAL);
-      
+
       // set data on the faces
       // could be that the data is set for f2, and can use itype to conclude
       // to f1, not only the opposite
@@ -351,7 +351,7 @@ public:
         copy_data_by_comparison_result(face, f1, res);
       }
 
-      // now at least one of the faces f1,f2 has its decision set.      
+      // now at least one of the faces f1,f2 has its decision set.
 
       // if the other face doesn't have its data, we resolve it using
       // the former result and the intersection type (if exists)
@@ -393,7 +393,7 @@ public:
         copy_data_by_comparison_result(face, f1, res);
       }
     }
-    
+
     // we also need to check the faces incident to the halfedges in
     // special_edges since the envelope data over them should be computed
     // using compare_left/right versions
@@ -408,7 +408,7 @@ public:
       if (!f->is_decision_set())
       {
         Comparison_result res = resolve_minimal_face(f, &special_he);
-        copy_data_by_comparison_result(face, f, res);      
+        copy_data_by_comparison_result(face, f, res);
       }
 
       // take care for the edge, if necessary
@@ -417,7 +417,7 @@ public:
       {
         // if (!special_he->get_aux_is_set(0) || !special_he->get_aux_is_set(1))
         // {
-        // // this can only happen when the edge is fake, since the edge is on 
+        // // this can only happen when the edge is fake, since the edge is on
         //// the face's boundary
         //      CGAL_assertion(special_he->get_is_fake());
         //      special_he->set_aux_source(0, face->get_aux_source(0));
@@ -425,12 +425,12 @@ public:
         //      special_he->twin()->set_aux_source(0, face->get_aux_source(0));
         //      special_he->twin()->set_aux_source(1, face->get_aux_source(1));
         //   }
-      	//if (special_he->get_is_fake())
-      	//{
-      	//  // this edge is not fake anymore, as it coincides with a projected
-      	//  // intersection
-      	//  special_he->set_is_fake(false);
-      	//  special_he->twin()->set_is_fake(false);
+              //if (special_he->get_is_fake())
+              //{
+              //  // this edge is not fake anymore, as it coincides with a projected
+              //  // intersection
+              //  special_he->set_is_fake(false);
+              //  special_he->twin()->set_is_fake(false);
         // }
         special_he->set_decision(EQUAL);
         special_he->twin()->set_decision(EQUAL);
@@ -445,7 +445,7 @@ public:
       Vertex_handle special_v = *special_vertex_it;
       if (!special_v->is_decision_set())
       {
-      
+
         if (special_v->get_aux_is_set(0) && special_v->get_aux_is_set(1))
           set_data_by_comparison_result(special_v, EQUAL);
         else
@@ -456,7 +456,7 @@ public:
         CGAL_assertion(special_v->get_aux_is_set(0) &&  \
                        special_v->get_aux_is_set(1));
     }
-    
+
     // assert all new faces got data set, if not, then maybe no curve cuts
     // the face, and should use regular resolve_minimal_face
     typename std::list<Face_handle>::iterator new_face_it;
@@ -475,7 +475,7 @@ public:
       copy_data_to_face_boundary(new_face);
 #endif
     }
-  }    
+  }
 
   // get an edge with 2 surfaces defined over it, and split it to get the shape
   // of the envelope of these surfaces over the edge
@@ -498,16 +498,16 @@ public:
     }
 
     const X_monotone_curve_2& original_cv = edge->curve();
-    
+
     // we want to work on the halfedge going from left to right
     // we use HE_COMP_RES so this code can compile both with Arr_2
     // and with Aos_2.
     if (HE_COMP_RES(edge) != SMALLER)
       edge = edge->twin();
-      
+
     Vertex_handle original_src = edge->source();
     Vertex_handle original_trg = edge->target();
-    
+
     // we should have a list of points where we should split the edge's curve
     // we then will sort the list, and split the curve
 
@@ -529,7 +529,7 @@ public:
     std::list<Object>::iterator inter_objs_it = inter_objs.begin();
     for (; inter_objs_it != inter_objs.end(); ++inter_objs_it)
     {
-      cur_obj = *inter_objs_it; 
+      cur_obj = *inter_objs_it;
       CGAL_assertion(!cur_obj.is_empty());
       if (assign(point, cur_obj))
       {
@@ -549,7 +549,7 @@ public:
         std::list<Object> intersections_list;
         const Intersect_point_2* ip;
         const X_monotone_curve_2* icv;
-        
+
         m_traits->intersect_2_object()(x_curve, original_cv,
                                        std::back_inserter(intersections_list));
 
@@ -591,13 +591,13 @@ public:
             else
               is_max_end_at_inf = true;
           }
-        }       
+        }
       }
-     
+
       else
         CGAL_error_msg( "wrong projected intersection type");
     }
-    
+
     // if there aren't any split points, we can finish
     if (split_points.empty())
     {
@@ -607,21 +607,21 @@ public:
 #endif
       return;
     }
-   
+
     // sort the split points from left to right
     // and split the original edge in these points
     Points_compare comp(*m_traits);
     std::sort(split_points.begin(), split_points.end(), comp);
- 
+
     // if overlaps > 0 it will indicate that we are inside an overlapping
     // segment meaning, we have a special edge
-    int overlaps = 0;    
+    int overlaps = 0;
 
     // check if source is a special vertex (i.e. also a projected intersection)
     // by checking the first point in the list
     bool source_is_special = false;
     CGAL_assertion(split_points.size() >= 1);
-    if ((!original_src->is_at_open_boundary() && 
+    if ((!original_src->is_at_open_boundary() &&
          m_traits->equal_2_object()(split_points[0].first,
                                     original_src->point())) ||
         (original_src->is_at_open_boundary() && is_min_end_at_inf))
@@ -630,17 +630,17 @@ public:
       if (split_points.front().third == true)
         overlaps++;
     }
-    
+
     // check if target is a special vertex, by checking the last point in
     // the list
     bool target_is_special = false;
-    if ((!original_trg->is_at_open_boundary() && 
-         m_traits->equal_2_object()(split_points[split_points.size()-1].first, 
+    if ((!original_trg->is_at_open_boundary() &&
+         m_traits->equal_2_object()(split_points[split_points.size()-1].first,
                                     original_trg->point())) ||
         (original_trg->is_at_open_boundary() && is_max_end_at_inf))
       target_is_special = true;
 
-    
+
 
     // remember the envelope decision over the first & last parts, to
     // be able to copy it to the original endpoints
@@ -648,7 +648,7 @@ public:
     // TODO: is this really needed, or we can use the decision made on "edge"
     // (is "edge" always the first part? )
     Comparison_result first_part_res = EQUAL;
-    
+
     // cur_part is the part of the original edge that might be split
     Halfedge_handle cur_part = edge;
 
@@ -658,14 +658,14 @@ public:
       // if we get to the target vertex, we end the loop, since no more splits
 
       // are needed
-      if (!original_trg->is_at_open_boundary() && 
+      if (!original_trg->is_at_open_boundary() &&
           m_traits->equal_2_object()(cur_p.first, original_trg->point()))
         break;
-        
+
       Vertex_handle cur_src_vertex = cur_part->source();
 
       // check that the current split point is not already a vertex
-      if ((!cur_src_vertex->is_at_open_boundary() && 
+      if ((!cur_src_vertex->is_at_open_boundary() &&
            !m_traits->equal_2_object()(cur_p.first, cur_src_vertex->point())) ||
           cur_src_vertex->is_at_open_boundary())
 
@@ -710,7 +710,7 @@ public:
         ++overlaps; // we start a new overlapping segment at this point
       if (cur_p.third == true)
         --overlaps; // we end an overlapping segment at this point
-              
+
     }
 
     // set envelope data on the last part (cur_part)
@@ -726,7 +726,7 @@ public:
 
     if (cur_part == edge)
       first_part_res = cur_part_res;
-      
+
     // if the original source and target have same aux data as the edge
     // we can set envelope data over them also
     // if they are special vertices, we set both aux data. otherwise we copy
@@ -760,7 +760,7 @@ public:
     }
 
   }
-  
+
   // get a vertex with 2 surfaces defined over it and decide the envelope data
   // on it between them
   void resolve(Vertex_handle vertex)
@@ -783,7 +783,7 @@ protected:
   // The function locate p in arr, and calls the appropriate function in
   // visitor.
   Vertex_handle insert_point(Minimization_diagram_2& arr, const Point_2& p,
-                             const Md_point_location& pl, 
+                             const Md_point_location& pl,
                              Copied_face_zone_visitor& visitor)
   {
     const Face_const_handle* fh;
@@ -793,7 +793,7 @@ protected:
 
     CGAL::Object obj = pl.locate(p);
     visitor.init(&arr);
-  
+
     if ((fh = object_cast<Face_const_handle>(&obj))
         != nullptr)
     {
@@ -818,17 +818,17 @@ protected:
   }
 
 
-  // compute Comparison_result of surfaces over the face, assuming they get 
+  // compute Comparison_result of surfaces over the face, assuming they get
   // the same answer for all points in face
-  // if we get a halfedge, it is assumed to be on the outer boundary of the 
-  // face, and its curve is assumed to be a projected intersection curve, 
+  // if we get a halfedge, it is assumed to be on the outer boundary of the
+  // face, and its curve is assumed to be a projected intersection curve,
   // and we compare the surfaces to the left/right of it
   // otherwise we compare the surfaces over an (arbitrary) edge of the face,
-  // assuming this is the correct answer for the face since the surfaces are 
+  // assuming this is the correct answer for the face since the surfaces are
   // continous
   // In either case, we try to copy decision from an incident face, is possible
   // before asking the geometric question
-  Comparison_result resolve_minimal_face(Face_handle face, 
+  Comparison_result resolve_minimal_face(Face_handle face,
                                          Halfedge_handle* he = nullptr)
   {
     CGAL_precondition(he == nullptr || (*he)->face() == face);
@@ -838,10 +838,10 @@ protected:
 #ifdef CGAL_ENVELOPE_SAVE_COMPARISONS
     success = can_copy_decision_from_boundary_edge(face, res);
 #endif
-    
+
     if (success)
       return res;
-      
+
     const Xy_monotone_surface_3& surf1 = get_aux_surface(face, 0);
     const Xy_monotone_surface_3& surf2 = get_aux_surface(face, 1);
 
@@ -886,13 +886,13 @@ protected:
         }
         else
         {
-          //two infinite surfaces, no outer boundary or holes. 
+          //two infinite surfaces, no outer boundary or holes.
           res =
-            compare_distance_to_envelope(surf1, surf2, 
+            compare_distance_to_envelope(surf1, surf2,
                                          Are_all_sides_oblivious_category());
         }
       }
-      
+
       //assertion code begin
       // check that result is equal on all edges
       CGAL_assertion_code(Ccb_halfedge_circulator hec_begin = hec;
@@ -906,7 +906,7 @@ protected:
                               compare_distance_to_envelope(hec->curve(),
                                                            surf1, surf2);
                             );
-      CGAL_assertion_msg(tmp == res, 
+      CGAL_assertion_msg(tmp == res,
                          "compare over curve returns non-consistent results");
       CGAL_assertion_code(   ++hec;
                           }
@@ -940,7 +940,7 @@ protected:
   }
 
   // use the Intersection type (Transversal/Tangent) and return the appropriate
-  // comparison result of the other side of the intersection curve, 
+  // comparison result of the other side of the intersection curve,
   // if the first side has result "res"
   Comparison_result resolve_by_intersection_type(Comparison_result res,
                                                  Multiplicity itype)
@@ -962,7 +962,7 @@ protected:
     }
 
   }
-  
+
   // find intersections between 2 xy-monotone surfaces
   // use caching for repeating questions of same pair of surfaces
   template <typename OutputIterator>
@@ -983,7 +983,7 @@ protected:
     Comparison_result res = m_traits->compare_z_at_xy_3_object()(g, s1, s2);
     return ((type == ENVELOPE_LOWER) ? res : CGAL::opposite(res));
   }
-  
+
 
   // compare two infinite surfaces with no boundary or holes
   Comparison_result
@@ -1011,27 +1011,27 @@ protected:
   {
     const Object& o = fh->get_aux_source(id);
     CGAL_assertion(!o.is_empty());
-    
+
     // aux source of a face must be a face!
     // aux source of a halfedge can be face or halfedge
     // aux source of a vertex can be face, halfedge or vertex
     // this is why we start with a check for a face, then halfedge
     // and last vertex
     Face_handle f;
-    if (assign(f, o)) 
+    if (assign(f, o))
       return f->get_data();
-    
+
     Halfedge_handle h;
     if (assign(h, o))
       return h->get_data();
-  	
+
     Vertex_handle v;
     CGAL_assertion_code(bool b =)
       assign(v, o);
     CGAL_assertion(b);
     return v->get_data();
   }
-                                  
+
   bool can_copy_decision_from_face_to_edge(Halfedge_handle h)
   {
     // can copy decision from face to its incident edge if the aux
@@ -1112,7 +1112,7 @@ protected:
       // the edges aux sources) over the edge, as if there was such
       // intersection, there would also be intersection between the surfaces
       // over the face, and we know now that there isn't.
-      
+
       // if the first map is continous, but the second isn't (i.e. when we move
       // from the face to the edge, the envelope goes closer), then if the
       // second map wins on the face, it wins on the edge also
@@ -1141,9 +1141,9 @@ protected:
       // conclude from one edge, bt can conclude from the other
       conclude_decision_to_vertex(hh->source(), hh->twin(), face, false);
       conclude_decision_to_vertex(hh->target(), hh, face, true);
-                      
+
       hec++;
-    } while(hec != hec_begin); 
+    } while(hec != hec_begin);
   }
 
   // try to conclude the decision from the halfedge or the face to the vertex
@@ -1186,7 +1186,7 @@ protected:
     // ersection vertices have unknown flags)
     else if (try_vertex_face)
     {
-      /*CGAL_assertion(has_equal_aux_data_in_target_and_face(hh) == 
+      /*CGAL_assertion(has_equal_aux_data_in_target_and_face(hh) ==
         has_equal_aux_data(vh, fh));*/
       if (has_equal_aux_data_in_target_and_face(hh))
       {
@@ -1197,7 +1197,7 @@ protected:
       }
     }
   }
-  
+
   // todo: this is for checking
   template <typename InputIterator>
   bool has_equal_data(const InputIterator& begin1,
@@ -1270,7 +1270,7 @@ protected:
 
   // check if we can copy the decision made on a boundary edge to the face
   // if so, res will contain this decision's comparison result
-  bool can_copy_decision_from_boundary_edge(Face_handle face, 
+  bool can_copy_decision_from_boundary_edge(Face_handle face,
                                             Comparison_result& res)
   {
     bool result = false;
@@ -1283,7 +1283,7 @@ protected:
     {
       hec = *outer_ccb;
       hec_begin = hec;
-      do 
+      do
       {
         Halfedge_handle hh = hec;
         if(hh->is_fictitious())
@@ -1292,7 +1292,7 @@ protected:
           continue;
         }
         if (can_copy_decision_from_face_to_edge(hh) &&
-            
+
             hh->is_decision_set() &&
             hh->get_decision() != DAC_DECISION_BOTH)
         {
@@ -1309,7 +1309,7 @@ protected:
         {
           res = convert_decision_to_comparison_result(DAC_DECISION_FIRST);
           result = true;
-        } 
+        }
         // if the second map is continous, but the first isn't, then if the
         // second map wins on the edge, it wins on the face also
         else if (hh->is_decision_set() &&
@@ -1319,10 +1319,10 @@ protected:
         {
           res = convert_decision_to_comparison_result(DAC_DECISION_SECOND);
           result = true;
-        }           
+        }
         hec++;
       } while(hec != hec_begin && !result);
-      if (result) 
+      if (result)
         return true;
     }
 
@@ -1364,7 +1364,7 @@ protected:
           res = convert_decision_to_comparison_result(DAC_DECISION_SECOND);
           result = true;
         }
-  
+
         hec++;
       } while(hec != hec_begin && !result);
       if (result) return true;
@@ -1383,7 +1383,7 @@ protected:
       else
       return EQUAL;*/
   }
-  
+
   bool has_equal_aux_data_with_face(Vertex_handle v)
   {
     CGAL_assertion(v->is_isolated());
@@ -1451,11 +1451,11 @@ protected:
     }
   }
 
-  // create vertices that correspond to the Halfedge vertices in case of 
+  // create vertices that correspond to the Halfedge vertices in case of
   // bounded traits.
   template <typename Halfedge_handle>
-  Vertex_handle create_copied_vertex(Halfedge_handle hh, 
-                                     Md_accessor &to_accessor, 
+  Vertex_handle create_copied_vertex(Halfedge_handle hh,
+                                     Md_accessor &to_accessor,
                                      bool source,
                                      Arr_all_sides_oblivious_tag)
   {
@@ -1463,24 +1463,24 @@ protected:
     // copied_prev_he should be directed from copied_source to copied_target
     Point_2* p_p =
       (source) ? &(hh->source()->point()) : &(hh->target()->point());
-    
+
     Point_2& p = *p_p;
     return to_accessor.create_vertex(p);
   }
-  
-  // create vertices that correspond to the Halfedge vertices in case of 
+
+  // create vertices that correspond to the Halfedge vertices in case of
   // bounded traits.
   template <typename Halfedge_handle>
-  Vertex_handle create_copied_vertex(Halfedge_handle hh, 
-                                     Md_accessor& to_accessor, 
+  Vertex_handle create_copied_vertex(Halfedge_handle hh,
+                                     Md_accessor& to_accessor,
                                      bool source,
                                      Arr_not_all_sides_oblivious_tag)
   {
-    typename Traits::Parameter_space_in_x_2 ps_x_op = 
+    typename Traits::Parameter_space_in_x_2 ps_x_op =
       this->m_traits->parameter_space_in_x_2_object ();
-    typename Traits::Parameter_space_in_y_2 ps_y_op = 
+    typename Traits::Parameter_space_in_y_2 ps_y_op =
       this->m_traits->parameter_space_in_y_2_object ();
-    
+
     bool is_directed_right = hh->direction() == ARR_LEFT_TO_RIGHT;
 
     Arr_curve_end ind =
@@ -1489,9 +1489,9 @@ protected:
 
     Arr_parameter_space ps_x = ps_x_op(hh->curve(), ind);
     Arr_parameter_space ps_y = ps_y_op(hh->curve(), ind);
-    
+
     if (ps_x != ARR_INTERIOR || ps_y != ARR_INTERIOR)
-      return to_accessor.create_boundary_vertex(hh->curve(), ind, ps_x, ps_y, 
+      return to_accessor.create_boundary_vertex(hh->curve(), ind, ps_x, ps_y,
                                                 true);
     else
     {
@@ -1499,12 +1499,12 @@ protected:
       // copied_prev_he should be directed from copied_source to copied_target
       Point_2* p_p =
         (source) ? &(hh->source()->point()) : &(hh->target()->point());
-      
+
       Point_2& p = *p_p;
       return to_accessor.create_vertex(p);
     }
   }
-  
+
   // copy the halfedges of a ccb (in from) to the md "to" inside the face
   // inside_face
   void copy_ccb(Ccb_halfedge_circulator hec, // the circulator to insert
@@ -1516,18 +1516,18 @@ protected:
                 Halfedges_map& map_orig_to_copied_halfedges,
                 Vertices_map&  map_orig_to_copied_vertices,
                 bool is_outer_ccb) // do we copy an outer (or inner) ccb
-               
+
   {
     Md_accessor to_accessor(to);
     // count the number of faces that are closed by this ccb
     // (it can be more than 1 in degenerate cases, when closed area hangs
     // on a boundary vertex)
     int n_faces_closed = 0;
-    
+
     Ccb_halfedge_circulator hec_begin = hec;
     bool first_he = true;
     Halfedge_handle copied_prev_he;
-    do 
+    do
     {
       Halfedge_handle hh = hec;
 
@@ -1548,12 +1548,12 @@ protected:
           // create the 2 vertices and connect them with the edge
           // copied_prev_he should be directed from copied_source to
           // copied_target
-          Vertex_handle copied_source = 
-            create_copied_vertex(hh, to_accessor, true, 
+          Vertex_handle copied_source =
+            create_copied_vertex(hh, to_accessor, true,
                                  Are_all_sides_oblivious_category());
           //to_accessor.create_vertex(hh->source()->point());
-          Vertex_handle copied_target = 
-            create_copied_vertex(hh, to_accessor, false, 
+          Vertex_handle copied_target =
+            create_copied_vertex(hh, to_accessor, false,
                                  Are_all_sides_oblivious_category());
           //to_accessor.create_vertex(hh->target()->point());
           copied_prev_he =
@@ -1571,7 +1571,7 @@ protected:
           map_orig_to_copied_vertices[hh->source()] = copied_prev_he->source();
           map_copied_to_orig_vertices[copied_prev_he->target()] = hh->target();
           map_orig_to_copied_vertices[hh->target()] = copied_prev_he->target();
-        }          
+        }
         else
         {
           CGAL_assertion(map_copied_to_orig_halfedges[copied_prev_he]->target()
@@ -1592,8 +1592,8 @@ protected:
           if (!use_2_vertices)
           {
             // create vertex for the new target, and insert the new edge
-            Vertex_handle copied_target = 
-              create_copied_vertex(hh, to_accessor, false, 
+            Vertex_handle copied_target =
+              create_copied_vertex(hh, to_accessor, false,
                                    Are_all_sides_oblivious_category());
             //to_accessor.create_vertex(hh->target()->point());
             copied_new_he = to_accessor.insert_from_vertex_ex
@@ -1603,7 +1603,7 @@ protected:
                 ARR_LEFT_TO_RIGHT : ARR_RIGHT_TO_LEFT),
                copied_target);
 
-            
+
             // the target of copied_new_he is the new vertex, so it is directed
             // the same way as hh in "from"
 
@@ -1614,7 +1614,7 @@ protected:
           else
           {
             ++n_faces_closed;
-            
+
             // in order to insert the new edge we should determine the prev
             // halfedge of copied_v2 - this is done be going backwards on the
             // ccb (in the copied arrangement) until finding the first halfedge
@@ -1686,7 +1686,7 @@ protected:
                                                   dummy_swapped_predecessors);
               // TODO EBEB 2012-08-06 do we have to care if order has been swapped,
               // or do we have to disallow swapping?
-              
+
               CGAL_assertion(new_face);
               copied_new_he = copied_new_he->twin();
             }
@@ -1893,7 +1893,7 @@ protected:
     for (; iv_it != face->isolated_vertices_end(); ++iv_it)
     {
       Vertex_handle     iso_v = iv_it;
-      Vertex_handle     copied_iso = 
+      Vertex_handle     copied_iso =
         to.insert_in_face_interior (iso_v->point(), copied_face);
 
       map_copied_to_orig_vertices[copied_iso] = iso_v;
@@ -1903,7 +1903,7 @@ protected:
     // Return a handle to the copied face.
     return (copied_face);
   }
-    
+
   // set envelope data in face "to" according to the comparison result of the
   // aux data of face "from"
   void copy_data_by_comparison_result(Face_handle from, Face_handle to,
@@ -1936,7 +1936,7 @@ protected:
 
   // set envelope data in vertex "to" according to the union of both
   // aux data of the feature "from"
-  // FeatureHabdle should be a Face_handle, Halfedge_handle or 
+  // FeatureHabdle should be a Face_handle, Halfedge_handle or
   // Vertex_handle
   template <typename FeatureHabdle>
   void copy_all_data_to_vertex(FeatureHabdle from, Vertex_handle to)
@@ -1960,14 +1960,14 @@ protected:
   //     new_v->set_aux_source(1, orig_he->get_aux_source(1));
   //     new_v->set_decision(res);
   //   }
-    
-  Comparison_result resolve_minimal_edge(Halfedge_handle orig_he, 
+
+  Comparison_result resolve_minimal_edge(Halfedge_handle orig_he,
                                          Halfedge_handle new_he)
   {
     // find and set the envelope data on the new edge
     const Xy_monotone_surface_3& surf1 = get_aux_surface(orig_he, 0);
     const Xy_monotone_surface_3& surf2 = get_aux_surface(orig_he, 1);
-    Comparison_result res = 
+    Comparison_result res =
       compare_distance_to_envelope(new_he->curve(), surf1, surf2);
 
     // the observer keeps this information when splitting an edge
@@ -1985,10 +1985,10 @@ protected:
   bool is_point_on_curve(const Point_2& p, const X_monotone_curve_2& cv)
   {
     Arr_traits_adaptor_2<Traits> tr_adaptor(*m_traits);
-    return (tr_adaptor.is_in_x_range_2_object()(cv, p) && 
+    return (tr_adaptor.is_in_x_range_2_object()(cv, p) &&
             m_traits->compare_y_at_x_2_object()(p, cv) == EQUAL);
   }
-  
+
   // this observer is used in the process of resolving a face
   // this observer should copy the faces' indication when a face is split
   // so we can later identify all the faces that form the original given face
@@ -2004,7 +2004,7 @@ protected:
       X_monotone_curve_2;
 
     Copied_face_observer(Halfedges_map& map_h) : map_halfedges(map_h) {}
-    
+
     virtual ~Copied_face_observer() {}
 
     void set_elements_collections(Halfedges_hash& boundary,
@@ -2023,7 +2023,7 @@ protected:
       special_vertices = &specialv;
       vertices_to_halfedges = &v_to_h;
     }
-  
+
     virtual void after_split_face(Face_handle org_f,
                                   Face_handle new_f, bool)
     {
@@ -2096,8 +2096,8 @@ protected:
         /* CGAL_assertion(vertices_to_halfedges->is_defined(correct_side_he->source()) &&
            vertices_to_halfedges->is_defined(correct_side_he->next()->target()));*/
         (*vertices_to_halfedges)[correct_side_he->next()->target()] = correct_side_he->next();
-        
-        if (correct_side_he == org_he && 
+
+        if (correct_side_he == org_he &&
             face_parts->is_defined(org_he->twin()->face()))
           (*vertices_to_halfedges)[org_he->source()] = org_he->twin();
       }
@@ -2135,7 +2135,7 @@ protected:
     typedef typename Traits::Right_side_category            Right_side_category;
     typedef typename Traits::Top_side_category              Top_side_category;
     typedef typename Traits::Bottom_side_category           Bottom_side_category;
-    
+
     Copy_observer(Minimization_diagram_2& small_,
                   Minimization_diagram_2& big,
                   Halfedges_map& map_h,
@@ -2147,14 +2147,14 @@ protected:
         map_vertices(map_v),
         map_faces(map_f)
     {}
-    
+
     virtual ~Copy_observer() {}
 
     virtual void before_create_vertex (const Point_2& /* p */)
     {}
 
     virtual void after_create_vertex (Vertex_handle v)
-    {      
+    {
       // should create a new vertex with v->point() inside
       Vertex_handle new_v = big_arr_accessor.create_vertex(v->point());
 
@@ -2178,32 +2178,32 @@ protected:
 
     bool is_bounded_impl(Arr_open_side_tag) { return false; }
     bool is_bounded_impl(Arr_boundary_side_tag) { return true; }
-    
+
     bool is_bounded()
     {
       // This is the case of create boundary vertex.
       CGAL_assertion((ps_x != ARR_INTERIOR) || (ps_y != ARR_INTERIOR));
-      
+
       if (ps_x == ARR_LEFT_BOUNDARY && !is_bounded_impl(Left_side_category()))
         return false;
-      
+
       if (ps_x == ARR_RIGHT_BOUNDARY && !is_bounded_impl(Right_side_category()))
         return false;
 
       if (ps_y == ARR_TOP_BOUNDARY && !is_bounded_impl(Top_side_category()))
         return false;
-      
-      if (ps_y == ARR_BOTTOM_BOUNDARY && 
+
+      if (ps_y == ARR_BOTTOM_BOUNDARY &&
           !is_bounded_impl(Bottom_side_category()))
         return false;
-      
+
       return true;
     }
 
     void after_create_boundary_vertex(Vertex_handle v)
     {
       CGAL_assertion(big_arr.is_valid());
-      Vertex_handle new_v = 
+      Vertex_handle new_v =
         big_arr_accessor.create_boundary_vertex(boundary_vertex_cv,
                                                 boundary_vertex_ind,
                                                 ps_x, ps_y, true);
@@ -2233,18 +2233,18 @@ protected:
       CGAL_assertion(map_halfedges.is_defined(split_fict_e));
       Halfedge_handle big_e = map_halfedges[split_fict_e];
 
-      // use the O(1) operation _split_edge      
+      // use the O(1) operation _split_edge
       Halfedge_handle big_e1 =
         big_arr_accessor.split_fictitious_edge(big_e, big_v);
 
       Halfedge_handle big_e2 = big_e1->next();
-      
+
       // update mapping of new halfedges
       // big_e1 is directed at big_v, as e1 is directed at split_v -
       // these are supposed to be mapped
       CGAL_assertion(map_halfedges.is_defined(e1) &&
                      map_halfedges[e1] == big_e1); CGAL_USE(e1);
-      // should update the mapping of the second halfedge     
+      // should update the mapping of the second halfedge
       map_halfedges[e2] = big_e2;
       map_halfedges[e2->twin()] = big_e2->twin();
     }
@@ -2259,7 +2259,7 @@ protected:
 
       is_in_relocate = false;
     }
-      
+
     virtual void after_create_edge(Halfedge_handle e)
 
     {
@@ -2271,7 +2271,7 @@ protected:
 
       Vertex_handle big_v1 = map_vertices[create_edge_v1];
       Vertex_handle big_v2 = map_vertices[create_edge_v2];
-      
+
       // should check if v1 and v2 are new or old
       // if we have 2 new vertices, they must be new.
       // if we have only one, we should check which is new
@@ -2284,7 +2284,7 @@ protected:
         {
           CGAL_assertion(new_vertices.back() == create_edge_v2);
           v2_is_new = true;
-        }          
+        }
       }
       if (new_vertices.size() == 2)
       {
@@ -2296,7 +2296,7 @@ protected:
       // just to make sure we have the halfedge in the same direction as
       // we got in the before event
       CGAL_assertion(e->source() == create_edge_v1);
-      Halfedge_handle he = 
+      Halfedge_handle he =
         ((e->source() == create_edge_v1) ? e : e->twin());
 
       // if an endpoint is not new, but is isolated, we should remove it from
@@ -2352,7 +2352,7 @@ protected:
         bool new_face;
         bool dummy_swapped_predecessors = false;
         Halfedge_handle new_he =
-          big_arr_accessor.insert_at_vertices_ex(big_prev1, 
+          big_arr_accessor.insert_at_vertices_ex(big_prev1,
                                                  he->curve(), (HE_COMP_RES(he) == CGAL::SMALLER ? ARR_LEFT_TO_RIGHT : ARR_RIGHT_TO_LEFT),
                                                  big_prev2->next(),
                                                  new_face,
@@ -2398,14 +2398,14 @@ protected:
         Halfedge_handle new_he;
         if (!v1_is_new)
         {
-          new_he = big_arr_accessor.insert_from_vertex_ex(big_prev, 
+          new_he = big_arr_accessor.insert_from_vertex_ex(big_prev,
                                                           he->curve(), (HE_COMP_RES(he) == SMALLER ? ARR_LEFT_TO_RIGHT : ARR_RIGHT_TO_LEFT),
                                                           big_v2);
 
           // update mapping of new edge
           // new_he is directed from big_v1 to big_v2 as he
           map_halfedges[he] = new_he;
-          map_halfedges[he->twin()] = new_he->twin();          
+          map_halfedges[he->twin()] = new_he->twin();
         }
         else
         {
@@ -2447,18 +2447,18 @@ protected:
       CGAL_assertion(map_halfedges.is_defined(split_e));
       Halfedge_handle big_e = map_halfedges[split_e];
 
-      // use the O(1) operation _split_edge      
+      // use the O(1) operation _split_edge
       Halfedge_handle big_e1 =
         big_arr_accessor.split_edge_ex(big_e, big_v, e1->curve(), e2->curve());
 
       Halfedge_handle big_e2 = big_e1->next();
-      
+
       // update mapping of new halfedges
       // big_e1 is directed at big_v, as e1 is directed at split_v -
       // these are supposed to be mapped
       CGAL_assertion(map_halfedges.is_defined(e1) &&
                      map_halfedges[e1] == big_e1);
-      // should update the mapping of the second halfedge     
+      // should update the mapping of the second halfedge
       map_halfedges[e2] = big_e2;
       map_halfedges[e2->twin()] = big_e2->twin();
     }
@@ -2478,12 +2478,12 @@ protected:
 
       CGAL_assertion(map_vertices.is_defined(v));
       CGAL_assertion(map_faces.is_defined(saved_face));
-      
+
       // find features in big_arr
       Vertex_handle big_v = map_vertices[v];
 
       Face_handle   big_face = map_faces[saved_face];
-      
+
 
       // can use O(1) operation _insert_isolated_vertex
       big_arr_accessor.insert_isolated_vertex(big_face, big_v);
@@ -2509,7 +2509,7 @@ protected:
       Ccb_halfedge_circulator big_h = (map_halfedges[h])->ccb();
 
       Ccb_halfedge_circulator big_ccb = big_h;
-      
+
       big_arr_accessor.move_inner_ccb(big_from_f, big_to_f, big_ccb);
 
     }
@@ -2547,7 +2547,7 @@ protected:
     Vertices_map&  map_vertices;
     Faces_map&     map_faces;
     std::deque<Vertex_handle> new_vertices;
-    
+
     // state for actions
     Vertex_handle create_edge_v1;
     Vertex_handle create_edge_v2;
@@ -2555,7 +2555,7 @@ protected:
     Halfedge_handle split_e, split_fict_e;
     Face_handle   saved_face;
     Face_handle   move_from;
-    Face_handle   move_to;    
+    Face_handle   move_to;
 
     // for the create_vertex call-back
     X_monotone_curve_2  boundary_vertex_cv;
@@ -2563,7 +2563,7 @@ protected:
     Arr_parameter_space ps_x;
     Arr_parameter_space ps_y;
     bool is_in_relocate;
-    
+
   };
 
   // A zone visitor for the Minimization Diagram which only inserts
@@ -2617,17 +2617,17 @@ protected:
       {
         copied_arr_boundary_halfedges[hi] =
           copied_arr_boundary_halfedges.default_value();
-        if (hi->face() == copied_face && 
+        if (hi->face() == copied_face &&
             !hi->target()->is_at_open_boundary()) //BZBZ
           copied_vertices_to_halfedges[hi->target()] = hi;
       }
-                   
+
       Vertex_iterator vi = copied_arr.vertices_begin();
       for (; vi != copied_arr.vertices_end(); ++vi)
       {
         copied_arr_orig_vertices[vi] =
           copied_arr_orig_vertices.default_value();
-        
+
         if (vi->is_isolated())
         {
           CGAL_assertion(vi->face() == copied_face);
@@ -2639,7 +2639,7 @@ protected:
 
       // init observers
       md_copy_observer.attach(copied_arr);
-      
+
       md_observer.set_elements_collections(copied_arr_boundary_halfedges,
                                            copied_arr_special_edges,
                                            copied_arr_new_edges,
@@ -2694,7 +2694,7 @@ protected:
         Halfedge_handle new_he = base_result.first;
         copied_arr_new_edges[new_he] = itype;
         copied_arr_new_edges[new_he->twin()] = itype;
-        
+
         // take care for special vertices. the split vertices are always
         // special, and this is taken care of in the after_split event.
 
@@ -2708,7 +2708,7 @@ protected:
           copied_arr_special_vertices[new_he->target()] =
             copied_arr_special_vertices.default_value();
 
-        // we should set the halfedge-face, halfedge-target 
+        // we should set the halfedge-face, halfedge-target
         // and target-face aux flags on the new edge (of result)
         Halfedge_handle result_new_he = map_halfedges[new_he];
         // it is clear that the halfedge-face are all true
@@ -2760,7 +2760,7 @@ protected:
             flag = (b_he->get_is_equal_aux_data_in_face(0) &&
                     b_he->get_is_equal_aux_data_in_target(0));
             result_new_he->set_is_equal_aux_data_in_target(0, flag);
-            
+
             flag = (b_he->get_is_equal_aux_data_in_face(1) &&
                     b_he->get_is_equal_aux_data_in_target(1));
             result_new_he->set_is_equal_aux_data_in_target(1, flag);
@@ -2787,7 +2787,7 @@ protected:
           result_new_he->set_has_equal_aux_data_in_target_and_face(0, true);
           result_new_he->set_has_equal_aux_data_in_target_and_face(1, true);
         }
-        
+
         if (is_boundary_vertex(new_he->source()))
         {
           Vertex_handle cur_t = new_he->source();
@@ -2821,7 +2821,7 @@ protected:
             flag = (b_he->get_is_equal_aux_data_in_face(0) &&
                     b_he->get_is_equal_aux_data_in_target(0));
             result_new_he->twin()->set_is_equal_aux_data_in_target(0, flag);
-            
+
             flag = (b_he->get_is_equal_aux_data_in_face(1) &&
                     b_he->get_is_equal_aux_data_in_target(1));
             result_new_he->twin()->set_is_equal_aux_data_in_target(1, flag);
@@ -2862,7 +2862,7 @@ protected:
             copied_arr_orig_vertices.is_defined(right_v))
           copied_arr_special_vertices[right_v] =
             copied_arr_special_vertices.default_value();
-        
+
         Halfedge_handle invalid_hh;
         return Result (invalid_hh, false);
       }
@@ -2921,7 +2921,7 @@ protected:
       return base_res;
     }
 
-    /*!                                                   
+    /*!
 
      * Handle point that lies inside a given face.
      * \param p The point.
@@ -2942,13 +2942,13 @@ protected:
         vh_for_p = copied_arr.insert_in_face_interior(p, face);
         arr_access.notify_after_global_change();
 
-      	// now should set the is_equal and has_equal flags
-      	CGAL_assertion(map_vertices.is_defined(vh_for_p));
-      	Vertex_handle result_new_v = map_vertices[vh_for_p];
-      	result_new_v->set_is_equal_aux_data_in_face(0, true);
-      	result_new_v->set_is_equal_aux_data_in_face(1, true);
+              // now should set the is_equal and has_equal flags
+              CGAL_assertion(map_vertices.is_defined(vh_for_p));
+              Vertex_handle result_new_v = map_vertices[vh_for_p];
+              result_new_v->set_is_equal_aux_data_in_face(0, true);
+              result_new_v->set_is_equal_aux_data_in_face(1, true);
         result_new_v->set_has_equal_aux_data_in_face(0, true);
-      	result_new_v->set_has_equal_aux_data_in_face(1, true);
+              result_new_v->set_has_equal_aux_data_in_face(1, true);
       }
       return vh_for_p;
     }
@@ -2978,7 +2978,7 @@ protected:
       // if the edge is a boundary edge, then the new vertex is a special
       // vertex and this is taken care of in the after_split event
 
-      // TODO: should we update some is_equal / has_equal flags? 
+      // TODO: should we update some is_equal / has_equal flags?
       // I think that no, because it is handled in the after_split event
 
       // The new vertex is the target of the returned halfedge.
@@ -3055,7 +3055,7 @@ protected:
           result_face_parts.push_back(map_faces[f]);
         }
       }
-      
+
       // result_special_vertices
       Vertex_iterator vi = copied_arr.vertices_begin();
       for (; vi != copied_arr.vertices_end(); ++vi)
@@ -3064,7 +3064,7 @@ protected:
         Vertex_handle v = vi;
         CGAL_assertion(map_vertices.is_defined(v));
         Vertex_handle result_v = map_vertices[v];
-        
+
         if (copied_arr_orig_vertices.is_defined(v))
         {
           // original vertex should be mapped to a boundary halfedge whose
@@ -3080,14 +3080,14 @@ protected:
           // original vertex is special if it appears in the special collection
           // and its aux data share equal surfaces with the faces aux data
           if (copied_arr_special_vertices.is_defined(v) &&
-              ((result_v->is_isolated() && 
+              ((result_v->is_isolated() &&
                 parent->has_equal_aux_data_with_face(result_v)) ||
-               (!result_v->is_isolated() && 
-                parent->has_equal_aux_data_in_target_and_face(result_inc_he)))) 
+               (!result_v->is_isolated() &&
+                parent->has_equal_aux_data_in_target_and_face(result_inc_he))))
           {
             //CGAL_assertion(parent->has_equal_aux_data(result_v, result_original_face));
-            result_special_vertices.push_back(result_v); 
-          }  
+            result_special_vertices.push_back(result_v);
+          }
         }
         else
         {
@@ -3137,7 +3137,7 @@ protected:
     Minimization_diagram_2& copied_arr;
     Minimization_diagram_2& result_arr;
     Face_handle result_original_face;
-    
+
     // mappings between features in the 2 arrangements
     Halfedges_map& map_halfedges;
     Vertices_map& map_vertices;
@@ -3153,7 +3153,7 @@ protected:
     Halfedges_hash        copied_arr_boundary_halfedges;
     Vertices_hash         copied_arr_orig_vertices;
     Vertices_hash         copied_arr_new_boundary_vertices;
-    Vertices_to_edges_map copied_vertices_to_halfedges;    
+    Vertices_to_edges_map copied_vertices_to_halfedges;
 
     Halfedges_hash        copied_arr_special_edges;
     Halfedges_hash_w_type copied_arr_new_edges;
@@ -3167,7 +3167,7 @@ protected:
     // during the insert process
     // (the special features info, boundary info, new_edges)
     Copied_face_observer md_observer;
-    
+
     // for using its methods
     Self* parent;
 
@@ -3182,7 +3182,7 @@ protected:
     typedef typename Minimization_diagram_2::Face_handle Face_handle;
 
     New_faces_observer(Minimization_diagram_2& arr) : Md_observer(arr) {}
-    
+
     virtual ~New_faces_observer() {}
 
     virtual void after_split_face(Face_handle org_f,
@@ -3205,7 +3205,7 @@ protected:
   bool own_traits;
 
   //! The type of envelope (ENVELOPE_LOWER or ENVELOPE_UPPER).
-  Envelope_type type; 
+  Envelope_type type;
 };
 
 #undef HE_COMP_RES
diff -pruN 5.0.2-3/include/CGAL/Envelope_3/Envelope_overlay_2.h 5.0.3-1/include/CGAL/Envelope_3/Envelope_overlay_2.h
--- 5.0.2-3/include/CGAL/Envelope_3/Envelope_overlay_2.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Envelope_3/Envelope_overlay_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_3/include/CGAL/Envelope_3/Envelope_overlay_2.h $
-// $Id: Envelope_overlay_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_3/include/CGAL/Envelope_3/Envelope_overlay_2.h $
+// $Id: Envelope_overlay_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michal Meyerovitch     <gorgymic@post.tau.ac.il>
 //                 Baruch Zukerman        <baruchzu@post.tau.ac.il>
@@ -24,13 +24,13 @@
 
 namespace CGAL {
 
-template <class MinimizationDiagram_2, 
+template <class MinimizationDiagram_2,
           class OverlayFunctor = Envelope_overlay_functor<MinimizationDiagram_2> >
 class Envelope_overlay_2
 {
 public:
   typedef MinimizationDiagram_2                                  Minimization_diagram_2;
-  
+
   typedef typename Minimization_diagram_2::Face_handle           Face_handle;
   typedef typename Minimization_diagram_2::Face_iterator         Face_iterator;
 
@@ -46,7 +46,7 @@ protected:
   typedef typename Traits::Xy_monotone_surface_3                 Xy_monotone_surface_3;
 
 public:
-  
+
   void operator()(Minimization_diagram_2& md1,
                   Minimization_diagram_2& md2,
                   Minimization_diagram_2& result)
@@ -56,18 +56,18 @@ public:
 
     Overlay_functor overlay_func(md1, md2, result);
     overlay(md1, md2, result, overlay_func);
-        
+
     CGAL_assertion_code(post_test_assertions(result));
   }
 
 
 public:
-  
+
   /*
   void print_face(Face_handle fh)
   {
     std::cout << (fh->is_unbounded() ? "unbounded" : "bounded");
-    
+
     if (fh->get_is_set())
     {
       std::cout << " #data= " << fh->number_of_data_objects();
@@ -131,7 +131,7 @@ public:
       }
       std::cout << std::endl;
     }
-    std::cout << std::endl;  
+    std::cout << std::endl;
   }
 
   void print_edges(Minimization_diagram_2& md)
@@ -206,38 +206,38 @@ protected:
 
     Halfedge_handle h;
     Vertex_handle v;
-  	Face_handle f;
-  	if (assign(v, o))
-  	  data = v->get_data();
-  	else if (assign(h, o))
-  	  data = h->get_data();
-  	else
-  	{
-  	  CGAL_assertion(assign(f, o));
+          Face_handle f;
+          if (assign(v, o))
+            data = v->get_data();
+          else if (assign(h, o))
+            data = h->get_data();
+          else
+          {
+            CGAL_assertion(assign(f, o));
       assign(f, o);
-  	  data = f->get_data();
-  	}
+            data = f->get_data();
+          }
     return data;
   }
   template <class FeatureHandle>
   int get_number_of_aux_data_objects(FeatureHandle fh, unsigned int id)
   {
-	  const Object& o = fh->get_aux_source(id);
+          const Object& o = fh->get_aux_source(id);
     int data;
 
     Halfedge_handle h;
     Vertex_handle v;
-  	Face_handle f;
-  	if (assign(v, o))
-  	  data = v->number_of_data_objects();
-  	else if (assign(h, o))
-  	  data = h->number_of_data_objects();
-  	else
-  	{
-  	  CGAL_assertion(assign(f, o));
+          Face_handle f;
+          if (assign(v, o))
+            data = v->number_of_data_objects();
+          else if (assign(h, o))
+            data = h->number_of_data_objects();
+          else
+          {
+            CGAL_assertion(assign(f, o));
       assign(f, o);
-  	  data = f->number_of_data_objects();
-  	}
+            data = f->number_of_data_objects();
+          }
     return data;
   }
 
diff -pruN 5.0.2-3/include/CGAL/Envelope_3/Envelope_overlay_functor.h 5.0.3-1/include/CGAL/Envelope_3/Envelope_overlay_functor.h
--- 5.0.2-3/include/CGAL/Envelope_3/Envelope_overlay_functor.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Envelope_3/Envelope_overlay_functor.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_3/include/CGAL/Envelope_3/Envelope_overlay_functor.h $
-// $Id: Envelope_overlay_functor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_3/include/CGAL/Envelope_3/Envelope_overlay_functor.h $
+// $Id: Envelope_overlay_functor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Michal Meyerovitch     <gorgymic@post.tau.ac.il>
@@ -25,7 +25,7 @@ class Envelope_overlay_functor
 {
 public:
   typedef MinimizationDiagram_2                                  Minimization_diagram_2;
-  
+
   typedef typename Minimization_diagram_2::Face_const_handle     Face_const_handle1;
   typedef typename Minimization_diagram_2::Face_const_handle     Face_const_handle2;
 
@@ -74,7 +74,7 @@ public:
   {
     traversed_vertices.clear();
   }
-  
+
   void create_face (Face_const_handle1 f1, Face_const_handle2 f2, Res_face_handle res_f)
   {
     res_f->set_aux_source(0, m_1.non_const_handle(f1));
@@ -104,7 +104,7 @@ public:
       res_v->set_is_equal_aux_data_in_face(0, v1->get_is_equal_data_in_face());
       res_v->set_is_equal_aux_data_in_face(1, v2->get_is_equal_data_in_face());
       res_v->set_has_equal_aux_data_in_face(0, v1->get_has_equal_data_in_face());
-      res_v->set_has_equal_aux_data_in_face(1, v2->get_has_equal_data_in_face());      
+      res_v->set_has_equal_aux_data_in_face(1, v2->get_has_equal_data_in_face());
     }
   }
 
@@ -162,7 +162,7 @@ public:
       res_v->set_is_equal_aux_data_in_face(0, v1->get_is_equal_data_in_face());
       res_v->set_is_equal_aux_data_in_face(1, true);
       res_v->set_has_equal_aux_data_in_face(0, v1->get_has_equal_data_in_face());
-      res_v->set_has_equal_aux_data_in_face(1, !f2->has_no_data());      
+      res_v->set_has_equal_aux_data_in_face(1, !f2->has_no_data());
     }
   }
 
@@ -196,10 +196,10 @@ public:
 
     // update is_equal/has_equal data in source
     // update aux_data(0)
-  	update_halfedge_flags_on_edge(res_h->twin(), m_1.non_const_handle(h1->twin()), 0);
+          update_halfedge_flags_on_edge(res_h->twin(), m_1.non_const_handle(h1->twin()), 0);
 
     // update aux_data(1)
-  	update_halfedge_flags_on_edge(res_h->twin(), m_2.non_const_handle(h2->twin()), 1);
+          update_halfedge_flags_on_edge(res_h->twin(), m_2.non_const_handle(h2->twin()), 1);
 
   }
 
@@ -211,7 +211,7 @@ public:
     res_h->set_aux_source(1, m_2.non_const_handle(f2));
 
     res_h->twin()->set_aux_source(0, m_1.non_const_handle(h1->twin()));
-    res_h->twin()->set_aux_source(1, m_2.non_const_handle(f2));       
+    res_h->twin()->set_aux_source(1, m_2.non_const_handle(f2));
 
     // update is_equal/has_equal data in face
     res_h->set_is_equal_aux_data_in_face(0, h1->get_is_equal_data_in_face());
@@ -224,18 +224,18 @@ public:
     res_h->twin()->set_has_equal_aux_data_in_face(0, h1->twin()->get_has_equal_data_in_face());
     res_h->twin()->set_has_equal_aux_data_in_face(1, !f2->has_no_data());
 
-    // update is_equal/has_equal data in target for the first source map 
-  	update_halfedge_flags_on_edge(res_h, m_1.non_const_handle(h1), 0);
+    // update is_equal/has_equal data in target for the first source map
+          update_halfedge_flags_on_edge(res_h, m_1.non_const_handle(h1), 0);
 
     // update source
-  	update_halfedge_flags_on_edge(res_h->twin(), m_1.non_const_handle(h1->twin()), 0);
+          update_halfedge_flags_on_edge(res_h->twin(), m_1.non_const_handle(h1->twin()), 0);
 
     // update is_equal/has_equal data in target for the second source map
     update_halfedge_flags_in_face(res_h, m_2.non_const_handle(f2), 1);
-   
+
     // update is_equal/has_equal data in source for the second source map
     update_halfedge_flags_in_face(res_h->twin(), m_2.non_const_handle(f2), 1);
-  }                           
+  }
 
 
   void create_edge(Face_const_handle1 f1,
@@ -260,10 +260,10 @@ public:
     res_h->twin()->set_has_equal_aux_data_in_face(1, h2->twin()->get_has_equal_data_in_face());
 
     // update is_equal/has_equal data in target for the second source map
-  	update_halfedge_flags_on_edge(res_h, m_2.non_const_handle(h2), 1);
+          update_halfedge_flags_on_edge(res_h, m_2.non_const_handle(h2), 1);
 
     // update source
-  	update_halfedge_flags_on_edge(res_h->twin(), m_2.non_const_handle(h2->twin()), 1);
+          update_halfedge_flags_on_edge(res_h->twin(), m_2.non_const_handle(h2->twin()), 1);
 
     // update is_equal/has_equal data in target for the first source map
     update_halfedge_flags_in_face(res_h, m_1.non_const_handle(f1), 0);
@@ -277,7 +277,7 @@ protected:
   void copy_halfedge_target_info(Halfedge_handle_t from, Res_halfedge_handle to, unsigned int id)
   {
     to->set_is_equal_aux_data_in_target(id, from->get_is_equal_data_in_target());
-    to->set_has_equal_aux_data_in_target(id, from->get_has_equal_data_in_target());    
+    to->set_has_equal_aux_data_in_target(id, from->get_has_equal_data_in_target());
   }
   void set_halfedge_target_info(Res_halfedge_handle to, unsigned int id, bool info)
   {
@@ -307,7 +307,7 @@ protected:
   Halfedge_handle find_halfedge_by_vertex_and_face(Vertex_handle v, Face_handle f)
   {
     // should always invoke this method when v is on the boundary of f
-    
+
     // for the complexity of the total algorithm, we only loop over
     // the halfedges of each vertex once and cache the triples of
     // vertex-face-halfedge for future such questions
@@ -353,20 +353,20 @@ protected:
     const Object& trg_src = new_h->target()->get_aux_source(id);
     if (assign(vh, trg_src))
     {
-	  // vh is the target of on_edge, and we can copy the halfedge-target information
+          // vh is the target of on_edge, and we can copy the halfedge-target information
       // from on_edge
       copy_halfedge_target_info(on_edge, new_h, id);
-  	  new_h->set_has_equal_aux_data_in_target_and_face
-		         (id, on_edge->get_has_equal_data_in_target_and_face());
+            new_h->set_has_equal_aux_data_in_target_and_face
+                         (id, on_edge->get_has_equal_data_in_target_and_face());
     }
     else if (assign(hh, trg_src))
     {
       // hh is the "HEMSHECH" of on_edge, so we need to set halfedge_target
       // information to true
       set_halfedge_target_info(new_h, id, true);
-  	  // and target-face information using the original halfedge-face information
-  	  new_h->set_has_equal_aux_data_in_target_and_face
-		         (id, on_edge->get_has_equal_data_in_face());    
+            // and target-face information using the original halfedge-face information
+            new_h->set_has_equal_aux_data_in_target_and_face
+                         (id, on_edge->get_has_equal_data_in_face());
     }
     else
       // this cannot happen, since we need to touch an edge
@@ -391,9 +391,9 @@ protected:
       if (vh->is_isolated())
       {
         copy_halfedge_target_info_from_vertex_face_info(vh, new_h, id);
-		    // the target-face information is taken from vertex-face information too
+                    // the target-face information is taken from vertex-face information too
         new_h->set_has_equal_aux_data_in_target_and_face
-			             (id, vh->get_has_equal_data_in_face());
+                                     (id, vh->get_has_equal_data_in_face());
       }
       else
       {
@@ -413,17 +413,17 @@ protected:
         //CGAL_assertion(is_equal == calc_is_equal);
 
         // has_equal relationship is problematic in one case:
-        bool has_equal = 
+        bool has_equal =
           h_of_vh_and_in_face->get_has_equal_data_in_target_and_face();
 
         /*CGAL_assertion(has_equal == calc_has_equal);
         if(has_equal != calc_has_equal)
           return;*/
 
-    		// update halfedge-target flags
+                    // update halfedge-target flags
         new_h->set_is_equal_aux_data_in_target(id, is_equal);
         new_h->set_has_equal_aux_data_in_target(id, has_equal);
-		    // update target-face flag
+                    // update target-face flag
         new_h->set_has_equal_aux_data_in_target_and_face(id, has_equal);
       }
     }
@@ -451,11 +451,11 @@ protected:
       new_h->set_has_equal_aux_data_in_target_and_face(id, !fh->has_no_data());
     }
   }
-  
+
   Minimization_diagram_2& m_1;
   Minimization_diagram_2& m_2;
   Minimization_diagram_2& m_result;
-  Boundary_cache          traversed_vertices; 
+  Boundary_cache          traversed_vertices;
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Envelope_3/Envelope_pm_dcel.h 5.0.3-1/include/CGAL/Envelope_3/Envelope_pm_dcel.h
--- 5.0.2-3/include/CGAL/Envelope_3/Envelope_pm_dcel.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Envelope_3/Envelope_pm_dcel.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_3/include/CGAL/Envelope_3/Envelope_pm_dcel.h $
-// $Id: Envelope_pm_dcel.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_3/include/CGAL/Envelope_3/Envelope_pm_dcel.h $
+// $Id: Envelope_pm_dcel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Michal Meyerovitch     <gorgymic@post.tau.ac.il>
@@ -59,11 +59,11 @@ public:
   {
     return (m_decision != DAC_DECISION_NOT_SET);
   }
-  
+
   Dac_decision get_decision() const
   {
     return m_decision;
-  }                                                   
+  }
 
   void set_decision(Comparison_result comp)
   {
@@ -116,7 +116,7 @@ public:
   {
     return (m_is_set && number_of_data_objects() == 0);
   }
-  
+
   /*!
    * Get the first data object associated with the face.
    * \pre number_of_data_objects() is not 0.
@@ -283,7 +283,7 @@ public:
   bool get_aux_is_set(unsigned int id) const
   {
     CGAL_precondition(id < 2);
-	return (!m_aux_source[id].is_empty());
+        return (!m_aux_source[id].is_empty());
   }
 };
 
@@ -390,7 +390,7 @@ public:
     this->Base_info::operator=(ex_v);
     flags = ex_v.flags;
   }
-  
+
 protected:
   void set_bit(unsigned int ind, bool b)
   {
@@ -446,10 +446,10 @@ protected:
     // and is not part of the arrangement
     IS_FAKE = 15
   };
-  
+
 public:
   Envelope_pm_halfedge() : Dcel_info<Data>(), flags(0)
-  {} 
+  {}
 
  /* void set_is_fake(bool b)
   {
@@ -608,7 +608,7 @@ public:
 
   /*! Constructor */
   Envelope_pm_face() : Dcel_info<Data>()
-  {}  
+  {}
 
   /*! Assign from another face.
    * \param f the other face.
diff -pruN 5.0.2-3/include/CGAL/Envelope_3/Env_plane_traits_3_functions.h 5.0.3-1/include/CGAL/Envelope_3/Env_plane_traits_3_functions.h
--- 5.0.2-3/include/CGAL/Envelope_3/Env_plane_traits_3_functions.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Envelope_3/Env_plane_traits_3_functions.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_3/include/CGAL/Envelope_3/Env_plane_traits_3_functions.h $
-// $Id: Env_plane_traits_3_functions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_3/include/CGAL/Envelope_3/Env_plane_traits_3_functions.h $
+// $Id: Env_plane_traits_3_functions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Baruch Zukerman     <baruchzu@post.tau.ac.il>
@@ -22,7 +22,7 @@
 namespace CGAL {
 
 template <class K>
-Object plane_half_plane_proj_intersection(const typename K::Plane_3 &h1, 
+Object plane_half_plane_proj_intersection(const typename K::Plane_3 &h1,
                                           const typename K::Plane_3 &h2,
                                           const typename K::Line_2  &l,
                                           const K& k)
@@ -132,15 +132,15 @@ Object line_under_linear_constraint(cons
       return Object();
 
     CGAL_assertion(side == ON_POSITIVE_SIDE); // the two lines are parallel
-    return make_object(l1);   
+    return make_object(l1);
   }
- 
+
   // the two lines overlap
   CGAL_USE_TYPE(Line_2);
   CGAL_assertion_code(Line_2 dummy;);
   CGAL_assertion_code(bool b =  assign(dummy, obj););
   CGAL_assertion(b);
-  
+
   return make_object(l1);
 }
 
@@ -188,7 +188,7 @@ Object ray_under_linear_constraint(const
   // the ray and the line overlap
   return make_object(ray);
 }
- 
+
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Envelope_3/set_dividors.h 5.0.3-1/include/CGAL/Envelope_3/set_dividors.h
--- 5.0.2-3/include/CGAL/Envelope_3/set_dividors.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Envelope_3/set_dividors.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_3/include/CGAL/Envelope_3/set_dividors.h $
-// $Id: set_dividors.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_3/include/CGAL/Envelope_3/set_dividors.h $
+// $Id: set_dividors.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michal Meyerovitch     <gorgymic@post.tau.ac.il>
 //                 Baruch Zukerman        <baruchzu@post.tau.ac.il>
@@ -24,7 +24,7 @@ namespace CGAL
 namespace Envelope_3
 {
 
-//! All even-indexed elements are stored in the first sequence and all the 
+//! All even-indexed elements are stored in the first sequence and all the
 //  odd-indexed are stored in the second sequence.
 class Arbitrary_dividor
 {
@@ -42,10 +42,10 @@ public:
         *set2++ = *begin;
 
   }
-  
+
 };
 
-//! The last element is stored in the second sequence and all the other (n-1) 
+//! The last element is stored in the second sequence and all the other (n-1)
 //  elments are stored in the first sequence.
 class Incremental_dividor
 {
@@ -91,14 +91,14 @@ public:
 class Random_dividor
 {
 public:
-  
+
   template <class InputIterator, class OutputIterator>
   void operator()(InputIterator begin, InputIterator end,
                   OutputIterator set1, OutputIterator set2)
   {
     while (begin != end)
     {
-      
+
       if (CGAL::get_default_random().get_bool())
         *set1++ = *begin++;
       else
@@ -112,4 +112,4 @@ public:
 } // namespace Envelope_3
 } // namespace CGAL
 
-#endif 
+#endif
diff -pruN 5.0.2-3/include/CGAL/envelope_3.h 5.0.3-1/include/CGAL/envelope_3.h
--- 5.0.2-3/include/CGAL/envelope_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/envelope_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_3/include/CGAL/envelope_3.h $
-// $Id: envelope_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_3/include/CGAL/envelope_3.h $
+// $Id: envelope_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein           <wein@post.tau.ac.il>
 //                 Baruch Zukerman    <baruchzu@post.tau.ac.il>
@@ -33,13 +33,13 @@ namespace CGAL {
 template <typename InputIterator, typename GeomTraits,
           class TopTraits>
 void lower_envelope_3 (InputIterator begin, InputIterator end,
-                       Envelope_diagram_on_surface_2<GeomTraits, TopTraits>& 
+                       Envelope_diagram_on_surface_2<GeomTraits, TopTraits>&
                          min_diagram)
 {
   typedef GeomTraits                                        Traits_3;
-  typedef typename Envelope_diagram_on_surface_2<Traits_3, 
+  typedef typename Envelope_diagram_on_surface_2<Traits_3,
     TopTraits>::Arrangement                                 Envelope_diagram_2;
-  typedef Envelope_divide_and_conquer_3<Traits_3, Envelope_diagram_2> 
+  typedef Envelope_divide_and_conquer_3<Traits_3, Envelope_diagram_2>
                                                             Envelope_algorithm;
   Envelope_algorithm   env_alg (min_diagram.geometry_traits(), ENVELOPE_LOWER);
   env_alg.construct_lu_envelope (begin, end, min_diagram);
@@ -55,13 +55,13 @@ void lower_envelope_3 (InputIterator beg
 template <class InputIterator, class GeomTraits,
           class TopTraits>
 void upper_envelope_3 (InputIterator begin, InputIterator end,
-                       Envelope_diagram_on_surface_2<GeomTraits, TopTraits>& 
+                       Envelope_diagram_on_surface_2<GeomTraits, TopTraits>&
                          max_diagram)
 {
   typedef GeomTraits                                         Traits_3;
   typedef typename Envelope_diagram_on_surface_2<
   Traits_3, TopTraits>::Arrangement                          Envelope_diagram_2;
-  typedef Envelope_divide_and_conquer_3<Traits_3, Envelope_diagram_2> 
+  typedef Envelope_divide_and_conquer_3<Traits_3, Envelope_diagram_2>
                                                             Envelope_algorithm;
 
   Envelope_algorithm   env_alg (max_diagram.geometry_traits(), ENVELOPE_UPPER);
@@ -80,13 +80,13 @@ template <class InputIterator, class Geo
           class TopTraits>
 void
 lower_envelope_xy_monotone_3 (InputIterator begin, InputIterator end,
-                              Envelope_diagram_on_surface_2<GeomTraits, 
+                              Envelope_diagram_on_surface_2<GeomTraits,
                               TopTraits>& min_diagram)
 {
   typedef GeomTraits                                         Traits_3;
   typedef typename Envelope_diagram_on_surface_2<
   Traits_3, TopTraits>::Arrangement                          Envelope_diagram_2;
-  typedef Envelope_divide_and_conquer_3<Traits_3, Envelope_diagram_2> 
+  typedef Envelope_divide_and_conquer_3<Traits_3, Envelope_diagram_2>
                                                             Envelope_algorithm;
   Envelope_algorithm   env_alg (min_diagram.geometry_traits(), ENVELOPE_LOWER);
   env_alg.construct_envelope_xy_monotone (begin, end, min_diagram);
@@ -110,7 +110,7 @@ upper_envelope_xy_monotone_3 (InputItera
   typedef GeomTraits                                         Traits_3;
   typedef typename Envelope_diagram_on_surface_2<
   Traits_3, TopTraits>::Arrangement                          Envelope_diagram_2;
-  typedef Envelope_divide_and_conquer_3<Traits_3, Envelope_diagram_2> 
+  typedef Envelope_divide_and_conquer_3<Traits_3, Envelope_diagram_2>
                                                             Envelope_algorithm;
 
   Envelope_algorithm   env_alg (max_diagram.geometry_traits(), ENVELOPE_UPPER);
diff -pruN 5.0.2-3/include/CGAL/Envelope_diagram_1.h 5.0.3-1/include/CGAL/Envelope_diagram_1.h
--- 5.0.2-3/include/CGAL/Envelope_diagram_1.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Envelope_diagram_1.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_2/include/CGAL/Envelope_diagram_1.h $
-// $Id: Envelope_diagram_1.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_2/include/CGAL/Envelope_diagram_1.h $
+// $Id: Envelope_diagram_1.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Ron Wein   <wein@post.tau.ac.il>
@@ -376,21 +376,21 @@ public:
     std::allocator_traits<Edge_allocator>::construct(edge_alloc, e);
     return (e);
   }
-   
+
   /*! Delete an existing vertex. */
   void delete_vertex (Vertex_handle v)
   {
     std::allocator_traits<Vertex_allocator>::destroy(vertex_alloc, v);
     vertex_alloc.deallocate (v, 1);
   }
-  
+
   /*! Delete an existing edge. */
   void delete_edge (Edge_handle e)
   {
     std::allocator_traits<Edge_allocator>::destroy(edge_alloc, e);
     edge_alloc.deallocate (e, 1);
   }
-  
+
 private:
   /*!
    * Free all diagram elements.
@@ -418,7 +418,7 @@ private:
         e = nullptr;
       }
     }
-     
+
     _leftmostP = nullptr;
     _rightmostP = nullptr;
   }
diff -pruN 5.0.2-3/include/CGAL/Env_plane_traits_3.h 5.0.3-1/include/CGAL/Env_plane_traits_3.h
--- 5.0.2-3/include/CGAL/Env_plane_traits_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Env_plane_traits_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_3/include/CGAL/Env_plane_traits_3.h $
-// $Id: Env_plane_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_3/include/CGAL/Env_plane_traits_3.h $
+// $Id: Env_plane_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Baruch Zukerman     <baruchzu@post.tau.ac.il>
@@ -21,7 +21,7 @@
 #include <CGAL/enum.h>
 #include <CGAL/Arr_tags.h>
 #include <CGAL/Arr_linear_traits_2.h>
-#include <CGAL/number_utils.h> 
+#include <CGAL/number_utils.h>
 #include <CGAL/Envelope_3/Envelope_base.h>
 #include <CGAL/Envelope_3/Env_plane_traits_3_functions.h>
 
@@ -54,7 +54,7 @@ public:
   typedef typename Base::Bottom_side_category  Bottom_side_category;
   typedef typename Base::Top_side_category     Top_side_category;
   typedef typename Base::Right_side_category   Right_side_category;
-  
+
   class Is_vertical_3
   {
   public:
@@ -76,7 +76,7 @@ public:
     Line_2               m_line;
     bool                 m_is_all_plane; // true -> all plane, false -> halfplane
     bool                 m_is_vert;
-  
+
   public:
     _Env_plane()
     {}
@@ -107,7 +107,7 @@ public:
       return m_plane;
     }
 
-   
+
     operator Plane_3 () const
     {
       return (m_plane);
@@ -150,7 +150,7 @@ public:
   class Compare_z_at_xy_3
   {
   public:
-  
+
     Comparison_result operator()(const Point_2& p,
                                  const Xy_monotone_surface_3& h1,
                                  const Xy_monotone_surface_3& h2) const
@@ -158,9 +158,9 @@ public:
       const Plane_3& plane1 = h1.plane();
       const Plane_3& plane2 = h2.plane();
       Sign sign_of_c1c2 = CGAL::sign(plane1.c() * plane2.c());
-      Sign sign_of_expr = 
+      Sign sign_of_expr =
         CGAL::sign ((p.x()*plane1.a() + p.y()*plane1.b() +
-                     plane1.d())*plane2.c() - 
+                     plane1.d())*plane2.c() -
                     (p.x()*plane2.a() + p.y()*plane2.b() +
                      plane2.d())*plane1.c());
       int i = -1 * static_cast<int>(sign_of_c1c2) *
@@ -184,19 +184,19 @@ public:
           CGAL_assertion(cv.is_line());
           p = k.construct_point_on_2_object()(cv.line(), 1);
         }
-     
-      return this->operator()(p, h1, h2); 
+
+      return this->operator()(p, h1, h2);
     }
 
     Comparison_result operator()(const Xy_monotone_surface_3& h1,
                                  const Xy_monotone_surface_3& h2) const
     {
       CGAL_assertion(h1.is_all_plane() && h2.is_all_plane());
-     
+
       const Plane_3& p1 = h1.plane();
       const Plane_3& p2 = h2.plane();
       const FT& res = p2.d()*p1.c() - p1.d()*p2.c();
-      int i = static_cast<int>(CGAL::sign(p1.c()*p2.c())) * 
+      int i = static_cast<int>(CGAL::sign(p1.c()*p2.c())) *
         static_cast<int>(CGAL::sign (res));
       return static_cast<Comparison_result>(i);
     }
@@ -220,14 +220,14 @@ public:
       const FT& a1 = plane1.a(),
         b1 = plane1.b(),
         c1 = plane1.c();
-      
+
       const FT& a2 = plane2.a(),
         b2 = plane2.b(),
         c2 = plane2.c();
 
       // our line is a3*x + b3*y + c3 = 0
       // it is assumed that the planes intersect over this line
-      const Line_2& line = cv.supp_line(); 
+      const Line_2& line = cv.supp_line();
       const FT& a3 = line.a(),
         b3 = line.b(),
         c3 = line.c();
@@ -260,22 +260,22 @@ public:
       // since detA>0 we can omit it.
       //
       Sign s1 = CGAL_NTS sign((a2*a3+b2*b3)/c2-(a1*a3+b1*b3)/c1);
-      
+
       // We only need to make sure that w is in the correct direction
       // (going from down to up)
       // the original segment endpoints p1=(x1,y1) and p2=(x2,y2)
       // are transformed to (v1,w1) and (v2,w2), so we need that w2 > w1
       // (otherwise the result should be multiplied by -1)
-      
+
       Kernel k;
       Point_2 p1 (k.construct_point_on_2_object()(line, 0));
       Point_2 p2 (k.construct_point_on_2_object()(line, 1));
-      
+
       if(k.compare_xy_2_object()(p1, p2) == LARGER)
         std::swap(p1, p2);
 
       CGAL_assertion(k.compare_xy_2_object()(p1, p2) == SMALLER);
-      
+
       const FT& x1 = p1.x(),
         y1 = p1.y(),
         x2 = p2.x(),
@@ -330,7 +330,7 @@ public:
                                           ON_ORIENTED_BOUNDARY));
         return o;
       }
-      
+
       // s is half-plane
       Kernel k;
       const Point_2& p1 = k.construct_point_on_2_object()(s.line(), 0);
@@ -344,7 +344,7 @@ public:
     }
   };
 
-  Construct_projected_boundary_2 
+  Construct_projected_boundary_2
   construct_projected_boundary_2_object() const
   {
     return Construct_projected_boundary_2();
@@ -364,13 +364,13 @@ public:
 
       const Plane_3& h1 = s1.plane();
       const Plane_3& h2 = s2.plane();
-      
+
       if(s1.is_vertical() && s2.is_vertical())
       {
         Line_2 l1(h1.a(), h1.b(), h1.d());
         Line_2 l2(h2.a(), h2.b(), h2.d());
         Object obj = k.intersect_2_object()(l1, l2);
-        
+
         Point_2 p;
         if(assign(p, obj))
           *o++ = make_object(p);
@@ -379,7 +379,7 @@ public:
         // nothing.
         return o;
       }
-       
+
       if(s1.is_all_plane() && s2.is_all_plane())
       {
         Object obj = k.intersect_3_object()(h1, h2);
@@ -437,7 +437,7 @@ public:
       }
 
       CGAL_assertion(!s2.is_all_plane() && !s2.is_all_plane());
-      Object obj = 
+      Object obj =
         half_plane_half_plane_proj_intersection(h1, s1.line(), h2, s2.line(), k);
 
       if(obj.is_empty())
diff -pruN 5.0.2-3/include/CGAL/Env_sphere_traits_3.h 5.0.3-1/include/CGAL/Env_sphere_traits_3.h
--- 5.0.2-3/include/CGAL/Env_sphere_traits_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Env_sphere_traits_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_3/include/CGAL/Env_sphere_traits_3.h $
-// $Id: Env_sphere_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_3/include/CGAL/Env_sphere_traits_3.h $
+// $Id: Env_sphere_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Michal Meyerovitch     <gorgymic@post.tau.ac.il>
@@ -34,7 +34,7 @@ class Env_sphere_traits_3 : public Conic
 public:
   typedef ConicTraits_2                             Traits_2;
   typedef Env_sphere_traits_3<Traits_2>             Self;
-  
+
   typedef typename Traits_2::Point_2                Point_2;
   typedef typename Traits_2::Curve_2                Curve_2;
   typedef typename Traits_2::X_monotone_curve_2     X_monotone_curve_2;
@@ -54,13 +54,13 @@ public:
   typedef typename Alg_kernel::FT                   Algebraic;
   typedef typename Alg_kernel::Point_2              Alg_point_2;
   typedef typename Alg_kernel::Circle_2             Alg_circle_2;
-  
+
   typedef typename Rat_kernel::Sphere_3             Surface_3;
-  
+
   // here we refer to the lower part of the sphere only
   typedef Surface_3                                 Xy_monotone_surface_3;
 protected:
-  typedef std::pair<X_monotone_curve_2, 
+  typedef std::pair<X_monotone_curve_2,
                     Multiplicity>                   Intersection_curve;
 
 public:
@@ -119,12 +119,12 @@ public:
       CGAL_assertion_code(Object *p = )
       parent.make_x_monotone_2_object()(curve, objs);
       CGAL_assertion(p == objs + 2);
-      
+
       X_monotone_curve_2 cv1, cv2;
-      
+
       CGAL_assertion(assign(cv1, objs[0]));
       CGAL_assertion(assign(cv2, objs[1]));
-      
+
       assign(cv1, objs[0]);
       assign(cv2, objs[1]);
 
@@ -142,9 +142,9 @@ public:
       }
 
       return o;
-    }  
-  };  
-  
+    }
+  };
+
   /*! Get a Construct_projected_boundary_2 functor object. */
   Construct_projected_boundary_2
   construct_projected_boundary_2_object() const
@@ -160,7 +160,7 @@ public:
   public:
     Construct_projected_intersections_2(const Self * p) : parent(*p)
     {}
-    
+
     // insert into OutputIterator all the (2d) projections on the xy plane of
     // the intersection objects between the 2 surfaces
     // the data type of OutputIterator is Object
@@ -169,12 +169,12 @@ public:
     operator()(const Xy_monotone_surface_3& s1,
                const Xy_monotone_surface_3& s2,
                OutputIterator o) const
-    {      
+    {
       Rat_point_3 p1 = s1.center();
       Rat_point_3 p2 = s2.center();
       const Rational a1 = p1.x(), b1 = p1.y(), c1 = p1.z(),
                  a2 = p2.x(), b2 = p2.y(), c2 = p2.z();
-      const Rational sqr_r1 = s1.squared_radius(), 
+      const Rational sqr_r1 = s1.squared_radius(),
                      sqr_r2 = s2.squared_radius();
 
 //      // the spheres intersect iff d(p1, p2) <= (r1+r2)
@@ -187,7 +187,7 @@ public:
 //      Sign do_inter = CGAL_NTS sign(sqr_d*sqr_d + (1-2*sqr_d)*(sqr_r1+sqr_r2)-2*sqr_r1*sqr_r2);
 //      if (do_inter == POSITIVE)
 //        return o;
-        
+
       Nt_traits nt_traits;
 
       // we check if the centers of the 2 spheres have same z coordinate -
@@ -205,7 +205,7 @@ public:
           }
 
           // here we have c1 == c2, b1 == b2
-          
+
           // the intersection lies on the plane
           //                m
           //  (1)    x = --------
@@ -223,18 +223,18 @@ public:
           //    C = m^2 - 4ma1(a1-a2) + 4(a1^2 + b1^2 - sqr_r1)(a1-a2)^2
           // (we multiplied the equation by 4(a1-a2)^2 to get integer
           //  coefficients)
-          
+
           Rational a_diff = a1 - a2;
           Rational sqr_a_diff = a_diff * a_diff;
           Rational sqr_a1 = a1*a1, sqr_a2 = a2*a2;
           Rational sqr_b1 = b1*b1;
           Rational m = sqr_a1 - sqr_a2 + sqr_r2 - sqr_r1;
-         
+
           Rational A = 4*sqr_a_diff;
           Rational B = -8*b1*sqr_a_diff;
           Rational C = 4*sqr_a_diff*(sqr_a1+sqr_b1-sqr_r1) + m*m - 4*m*a1*a_diff;
 
-          
+
           Algebraic  ys[2];
           Algebraic *ys_end;
           std::ptrdiff_t   n_ys;
@@ -282,7 +282,7 @@ public:
           //  (1)    y = ----------------
           //                2(b1-b2)
           // where m = (a1^2 + b1^2 - a2^2 - b2^2 + sqr_r2 - sqr_r1)
-          
+
           // which is orthogonal to the xy-plane
           // we look at the intersection of this plane with the plane z = c1
           // to get the projected segment of the spheres intersection
@@ -296,8 +296,8 @@ public:
           // and                                          m^2       b1*m
           //               C = a1^2 + b1^2 - sqr_r1 + ---------- - -------
           //                                          4(b1-b2)^2   (b1-b2)
-          
-          // since we can solve only equations with integer coefficients we 
+
+          // since we can solve only equations with integer coefficients we
           // multiply everything by 4(b1 - b2)^2, and get:
           // D*x^2 + E*x + F = 0 where
           //         D = 4(b1-b2)^2 + 4(a1-a2)^2
@@ -315,7 +315,7 @@ public:
           Rational D = 4*sqr_a_diff + 4*sqr_b_diff;
           Rational E = -8*a1*sqr_b_diff - 4*m*a_diff + 8*b1*a_diff*b_diff;
           Rational F = 4*sqr_b_diff*(sqr_a1+sqr_b1-sqr_r1) + m*m - 4*m*b1*b_diff;
-          
+
           Algebraic  xs[2];
           Algebraic *xs_end;
           std::ptrdiff_t n_xs;
@@ -341,18 +341,18 @@ public:
           // with 2 endpoints
           Algebraic ys[2];
           ys[0] = (-2*a_diff*xs[0] + m)/(2*b_diff);
-          ys[1] = (-2*a_diff*xs[1] + m)/(2*b_diff);                
+          ys[1] = (-2*a_diff*xs[1] + m)/(2*b_diff);
 
           Alg_point_2 end1(xs[0], ys[0]);
           Alg_point_2 end2(xs[1], ys[1]);
-                              
+
           // equation (1) is:
           // 2(a1-a2)x + 2(b1-b2)y - m = 0
           Curve_2 res(0,0,0, 2*a_diff, 2*b_diff, -m, COLLINEAR, end1, end2);
           parent.add_curve_to_output(res, o);
           //*o++ = make_object(Intersection_curve(res, TRANSVERSAL));
         }
-        
+
       }
       // now the potential intersection is (a part of) a circle,
       // and the projection is (a part of) an ellipse
@@ -365,7 +365,7 @@ public:
         //                 2(c1-c2)
         // where m = a1^2 + b1^2 + c1^2 - a2^2 - b2^2 - c2^2 + sqr_r2 - sqr_r1
         //
-        // (**) since we deal with only half sphere we are interested 
+        // (**) since we deal with only half sphere we are interested
         //      in the part below min(c1, c2) in the case of lower envelope
         //  and in the part above max(c1, c2) in the case of upper envelope
         //
@@ -401,7 +401,7 @@ public:
         Rational a_diff = a1 - a2;
         Rational b_diff = b1 - b2;
         Rational c_diff = c1 - c2;
-        
+
         Rational sqr_a_diff = a_diff * a_diff;
         Rational sqr_b_diff = b_diff * b_diff;
         Rational sqr_c_diff = c_diff * c_diff;
@@ -409,7 +409,7 @@ public:
         Rational sqr_a1 = a1*a1, sqr_a2 = a2*a2;
         Rational sqr_b1 = b1*b1, sqr_b2 = b2*b2;
         Rational sqr_c1 = c1*c1, sqr_c2 = c2*c2;
-        
+
         Rational m = sqr_a1 + sqr_b1 + sqr_c1 -
                  sqr_a2 - sqr_b2 - sqr_c2 + sqr_r2 - sqr_r1;
 
@@ -423,13 +423,13 @@ public:
 
         // if the full spheres do not intersect, the equation we get has no
         // real solution, so we should check it:
-        bool ellipse_is_point = false;  
-        if (!parent.is_valid_conic_equation(R, S, T, U, V, W, 
+        bool ellipse_is_point = false;
+        if (!parent.is_valid_conic_equation(R, S, T, U, V, W,
                                             ellipse_is_point))
         {
           return o;
         }
-        
+
         // we need only a part of the ellipse (as stated in (**)) so we
         // construct the cutting line, which is:
         //    equation (*) <= min(c1,c2)    -- for lower envelope
@@ -454,28 +454,28 @@ public:
         int envelope_coef = 1;
         if (!parent.m_is_lower)
           envelope_coef = -1;
-        
+
         Sign sign_c_diff = CGAL_NTS sign(c_diff);
         Rational la = envelope_coef*2*a_diff*sign_c_diff;
         Rational lb = envelope_coef*2*b_diff*sign_c_diff;
         Rational lc = envelope_coef*sign_c_diff*(2*c_diff*z_plane - m);
 
-      	if (ellipse_is_point)
-      	{
-      	  // as specified in the is_valid_conic_equation method, the
+              if (ellipse_is_point)
+              {
+                // as specified in the is_valid_conic_equation method, the
           // intersection point is:
           //
-      	  Rational px = S*(4*U - T*V)/(T*T - 4*S*R);
+                Rational px = S*(4*U - T*V)/(T*T - 4*S*R);
           px = px / 2;
-      	  Rational py = -(T*px + V)/(2*S);
+                Rational py = -(T*px + V)/(2*S);
           // should check if the point is in the non-negative side of the
           // line
-      	  if (CGAL_NTS sign(la*px + lb*py +lc) != NEGATIVE)
+                if (CGAL_NTS sign(la*px + lb*py +lc) != NEGATIVE)
           {
-      	    *o++ = make_object(Point_2(px, py));
+                  *o++ = make_object(Point_2(px, py));
           }
           return o;
-      	}
+              }
 
         // EBEB 2012/06/29: Added because of
         // no matching function for call to 'compare(CGAL::Env_sphere_traits_3<Conic_traits_2>::Rational&, int)
@@ -507,7 +507,7 @@ public:
         std::ptrdiff_t n_inter_points;
         if (CGAL_NTS compare(lb, zero) != EQUAL)
         {
-          // Find the x-coordinates of the intersection points of the conic 
+          // Find the x-coordinates of the intersection points of the conic
           // curve and the line y = -(la*x + lc) / lb:
           // we get a quadratic equation Ax^2 + Bx + C = 0
           // where A = lb*lb*R + la*(la*S - lb*T)
@@ -516,13 +516,13 @@ public:
           Rational A = lb*lb*R + la*(la*S - lb*T),
                    B = 2*la*lc*S - lb*(lc*T + la*V - lb*U),
                    C = S*lc*lc + lb*(lb*W - lc*V);
-                   
+
           Algebraic      inter_xs[2];
           Algebraic     *inter_xs_end;
 
           inter_xs_end = nt_traits.solve_quadratic_equation(A, B, C, inter_xs);
           n_inter_points = inter_xs_end - inter_xs;
-                            
+
           if (n_inter_points > 0)
             source = Alg_point_2(inter_xs[0],
                              -(la*inter_xs[0] + lc) / Algebraic(lb));
@@ -538,7 +538,7 @@ public:
             Algebraic x_mid = Algebraic(Rational(-B/(2*A)));
             //Algebraic x_mid = (inter_xs[0] + inter_xs[1]) / 2;
             Alg_point_2 x_mid_point(x_mid, 0);
-            
+
             CGAL_precondition_code(int  x_mid_n_y_points;);
             Alg_point_2 x_mid_y_points[2];
 
@@ -546,7 +546,7 @@ public:
 
             CGAL_precondition_code(x_mid_n_y_points = )
               inter_cv.points_at_x(x_mid_point, x_mid_y_points);
-            
+
             CGAL_precondition(x_mid_n_y_points > 0);
 
             Algebraic y1 = x_mid_y_points[0].y(), y2 = x_mid_y_points[1].y();
@@ -577,7 +577,7 @@ public:
           Rational A = S,
                    B = T*inter_x + V,
                    C = R*inter_x*inter_x + U*inter_x + W;
-                   
+
           Algebraic  inter_points[2];
           Algebraic *inter_points_end;
 
@@ -590,7 +590,7 @@ public:
           if (n_inter_points == 2)
           {
             target = Alg_point_2(Algebraic(inter_x), inter_points[1]);
-            
+
             // Get the conic points whose y-coordinate are in the middle of the
             // two endpoints.
             // since inter_points[0] & inter_points[1] are roots of quadratic
@@ -624,7 +624,7 @@ public:
         }
 
         if (n_inter_points < 2)
-        {          
+        {
           // we should check whether the ellipse is in the positive side of the
           // line - in which case we return the full ellipse
           // or not - in which case there is no intersection if
@@ -639,8 +639,8 @@ public:
 
           CGAL_assertion_code(int         n_vtan_ps =)
             inter_cv.vertical_tangency_points(vtan_ps);
-          
-          
+
+
           CGAL_assertion(n_vtan_ps == 2);
 
           Algebraic lval = Algebraic(la)*vtan_ps[0].x() +
@@ -671,14 +671,14 @@ public:
                            Algebraic(lb)*vtan_ps[1].y() + Algebraic(lc);
           lval_sign = CGAL_NTS sign(lval);
           CGAL_assertion(lval_sign != ZERO);
-          
+
           if (lval_sign == POSITIVE)
             parent.add_curve_to_output(inter_cv, o);
             //*o++ = make_object(Intersection_curve(inter_cv, TRANSVERSAL));
           else
             *o++ = make_object(Point_2(source));
 
-          return o;          
+          return o;
         }
 
         CGAL_assertion(n_inter_points == 2);
@@ -699,20 +699,20 @@ public:
         Curve_2 res(R, S, T, U, V, W, orient, source, target);
         CGAL_assertion(res.is_valid());
         parent.add_curve_to_output(res, o);
-        //*o++ = make_object(Intersection_curve(res, TRANSVERSAL));  
+        //*o++ = make_object(Intersection_curve(res, TRANSVERSAL));
       }
-      
+
       return o;
-    }  
-  };  
+    }
+  };
 
   /*! Get a Construct_projected_intersections_2 functor object. */
   Construct_projected_intersections_2
   construct_projected_intersections_2_object() const
-  {                                                                
+  {
     return Construct_projected_intersections_2(this);
   }
-   
+
   class Compare_z_at_xy_3
   {
   protected:
@@ -736,14 +736,14 @@ public:
         Comparison_result c1 = compare_in_point_first_method(p, s1, s2);
       );
       CGAL_expensive_assertion(c1 == c2);
-      
+
       return c2;
     }
 
     // check which of the surfaces is closer to the envelope at the xy
     // coordinates of cv (i.e. lower if computing the lower envelope, or upper
     // if computing the upper envelope)
-    // precondition: the surfaces are defined in all points of cv, and the 
+    // precondition: the surfaces are defined in all points of cv, and the
     //               answer is the same for each of these points
     Comparison_result operator()(const X_monotone_curve_2& cv,
                                  const Xy_monotone_surface_3& s1,
@@ -751,7 +751,7 @@ public:
     {
       // we compute a middle point on cv and use the previous function
       Point_2 mid = parent.construct_middle_point(cv);
-      Comparison_result res = 
+      Comparison_result res =
                    parent.compare_z_at_xy_3_object()(mid, s1, s2);
       return res;
     }
@@ -788,7 +788,7 @@ public:
     // and +sqrt(Ai) is for the upper part
     // we now need to compute the sign of:
     //    c1 - sqrt(A1) - (c2 - sqrt(A2))  - for lower envelope
-    //    c1 + sqrt(A1) - (c2 + sqrt(A2))  - for upper envelope    
+    //    c1 + sqrt(A1) - (c2 + sqrt(A2))  - for upper envelope
     Comparison_result
     compare_in_point_second_method(const Point_2& p,
                                    const Xy_monotone_surface_3& s1,
@@ -798,14 +798,14 @@ public:
       Rat_point_3 p2 = s2.center();
       const Rational a1 = p1.x(), b1 = p1.y(), c1 = p1.z(),
                  a2 = p2.x(), b2 = p2.y(), c2 = p2.z();
-      const Rational sqr_r1 = s1.squared_radius(), 
+      const Rational sqr_r1 = s1.squared_radius(),
                      sqr_r2 = s2.squared_radius();
       const Algebraic x1 = p.x(), y1 = p.y();
 
       Rational c_diff = c1 - c2;
       Algebraic x_diff1 = x1 - a1, y_diff1 = y1 - b1;
       Algebraic x_diff2 = x1 - a2, y_diff2 = y1 - b2;
-      
+
       Algebraic A1 = sqr_r1 - x_diff1*x_diff1 - y_diff1*y_diff1;
       Algebraic A2 = sqr_r2 - x_diff2*x_diff2 - y_diff2*y_diff2;
 
@@ -813,7 +813,7 @@ public:
         std::cout << "A1 = " << A1 << std::endl;
       if (CGAL_NTS sign(A2) == NEGATIVE)
         std::cout << "A2 = " << A2 << std::endl;
-        
+
       Sign res;
       // sign_a_plus_b_x_sqrt_e_plus_c_x_sqrt_f is a CGAL method which
       // computes the sign of quantity: a + b * sqrt(e) + c * sqrt(f)
@@ -823,10 +823,10 @@ public:
                                                            Algebraic(1),
                                                            A1,
                                                            A2);
-      return res;    
-    }  
+      return res;
+    }
   };
-   
+
   /*! Get a Compare_z_at_xy_3 functor object. */
   Compare_z_at_xy_3
   compare_z_at_xy_3_object() const
@@ -857,7 +857,7 @@ public:
     {
       Comparison_result res = parent.compare_on_side(cv, s1, s2, false);
       return res;
-    }  
+    }
   };
 
   /*! Get a Compare_z_at_xy_above_3 functor object. */
@@ -882,8 +882,8 @@ public:
                const Xy_monotone_surface_3& s2) const
     {
       Comparison_result res = parent.compare_on_side(cv, s1, s2, true);
-      return res;      
-    }  
+      return res;
+    }
   };
 
   /*! Get a Compare_z_at_xy_below_3 functor object. */
@@ -906,7 +906,7 @@ public:
   public:
     Is_defined_over(const Self * p) : parent(*p)
     {}
-    
+
     // checks if point is in the xy-range of surf
     bool operator()(const Point_2& p, const Xy_monotone_surface_3& s) const
     {
@@ -933,7 +933,7 @@ public:
   /***************************************************************************/
 
   // helper methods
-    
+
   // compare the surfaces over the side (as specified in the compare_on_right
   // parameter) of the curve, assuming they are defined there
   Comparison_result compare_on_side(const X_monotone_curve_2& cv,
@@ -1064,7 +1064,7 @@ public:
                                    const Xy_monotone_surface_3& s) const
   {
     Algebraic res;
-   
+
     // the point coordinates
     const Algebraic x1 = p.x(), y1 = p.y();
 
@@ -1072,7 +1072,7 @@ public:
     Rat_point_3 center = s.center();
     const Rational a = center.x(), b = center.y(), c = center.z();
     const Rational sqr_r = s.squared_radius();
-    
+
     // we substitute x1 and y1 in the equation of s
     // (x-a)^2 + (y-b)^2 + (z-c)^2 = r^2
     // and get a quadratic equation of z:
@@ -1082,7 +1082,7 @@ public:
     Algebraic A = 1,
               B = -2*c,
               C = x_diff*x_diff + y_diff*y_diff + c*c - sqr_r;
-    
+
     Algebraic  zs[2];
     Algebraic *zs_end;
     std::ptrdiff_t n_zs;
@@ -1112,7 +1112,7 @@ public:
   {
     // get the x-value of the middle point
     Alg_kernel k;
-    Alg_point_2 mid_x = k.construct_midpoint_2_object()(cv.source(), 
+    Alg_point_2 mid_x = k.construct_midpoint_2_object()(cv.source(),
                                                         cv.target());
 
 // TODO_NEW_DESIGN - this is not implemented in X_monotone_curve_2, but maybe we want it there?
@@ -1136,20 +1136,20 @@ public:
   // r*x^2 + s*y^2 + t*xy + u*x + v*y + w = 0
   // has real solutions
   // is_point is set to true if the equation represents just one point
-  template <class NT> 
+  template <class NT>
   bool is_valid_conic_equation(const NT& r, const NT& s, const NT& t,
                                const NT& u, const NT& v, const NT& w,
                                bool &is_point) const
   {
     // initialize is_point to false, and will change it when we detect
     // that the equation represents a point
-    is_point = false; 
+    is_point = false;
     // (*)  r*x^2 + s*y^2 + t*xy + u*x + v*y + w = 0
     // we fix x, and get a 1-variable quadratic equation:
     // (**) s*y^2 + (tx + v)*y + (rx^2 + ux + w) = 0
     // (*) has real solution (x,y) iff there exists x such that (**) has a
     // solution y, i.e. discriminant(**) >= 0
-    // discriminant(**) = f(x) = (tx + v)^2 -4s(rx^2 + ux + w) 
+    // discriminant(**) = f(x) = (tx + v)^2 -4s(rx^2 + ux + w)
     //                         = (t^2 - 4sr)*x^2 + (stv - 4su)*x + (v^2 - 4sw)
     //                         = A*x^2 + B*x + C >= 0
     // where A = t^2 - 4sr
@@ -1157,7 +1157,7 @@ public:
     //       C = v^2 - 4sw
     // so we should check if there exists x such that f(x) >= 0
     // if A > 0 we have a smiling parabula, and a positive answer
-    // (the conic equation in this case represents hyperbola or 2 
+    // (the conic equation in this case represents hyperbola or 2
     // intersecting lines)
     Sign sign_A = CGAL_NTS sign(t*t - 4*s*r);
     if (sign_A == POSITIVE)
@@ -1165,21 +1165,21 @@ public:
     // if A < 0 we have a sad parabula, so we should check if it crosses the
     //          x-axis, i.e. if the equation f(x) = 0 has a real solution x.
     //          this means that discriminant(f(x)) >= 0
-    //          discriminant(f(x)) = B^2 - 4AC 
+    //          discriminant(f(x)) = B^2 - 4AC
     //                             = (2tv-4su)^2 - 4(t^2-4sr)(v^2-4sw)
     //                             = s(-tvu + su^2 + wt^2 + rv^2 - 4srw)
     if (sign_A == NEGATIVE)
     {
-      // (in this case the conic equation represents ellipse, circle, point 
+      // (in this case the conic equation represents ellipse, circle, point
       // or no curve)
       Sign sign_s = CGAL_NTS sign(s);
       Sign sign_eq = CGAL_NTS sign(-t*v*u + s*u*u + w*t*t + r*v*v - 4*s*r*w);
       // if sign_eq = 0 then discriminant(f(x))=0, and so we have only one x
-      // solution for f(x), say x0. since we get f(x0)=0 and f(x)<0 forall 
+      // solution for f(x), say x0. since we get f(x0)=0 and f(x)<0 forall
       // x!=x0, we have only one solution for (**). So the equation represents
       // a point with coordinates x0=-B/2A, y0=-(tx0 + v)/2s
       if (sign_eq == ZERO)
-	      is_point = true;
+              is_point = true;
 
       Sign sign_disc = CGAL_NTS sign(int(sign_s * sign_eq));
       return (sign_disc != NEGATIVE);
diff -pruN 5.0.2-3/include/CGAL/Env_surface_data_traits_3.h 5.0.3-1/include/CGAL/Env_surface_data_traits_3.h
--- 5.0.2-3/include/CGAL/Env_surface_data_traits_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Env_surface_data_traits_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_3/include/CGAL/Env_surface_data_traits_3.h $
-// $Id: Env_surface_data_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_3/include/CGAL/Env_surface_data_traits_3.h $
+// $Id: Env_surface_data_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein          <wein@post.tau.ac.il>
 #ifndef CGAL_ENV_SURFACE_DATA_TRAITS_3_H
@@ -35,7 +35,7 @@ template <class Traits_, class XyMonoton
           class SurfaceData_ = XyMonotoneSurfaceData_,
           class Convert_ = _Default_convert_func<SurfaceData_,
                                                  XyMonotoneSurfaceData_> >
-class Env_surface_data_traits_3 : public Traits_ 
+class Env_surface_data_traits_3 : public Traits_
 {
 public:
 
@@ -43,27 +43,27 @@ public:
   typedef XyMonotoneSurfaceData_                   Xy_monotone_surface_data;
   typedef SurfaceData_                             Surface_data;
   typedef Convert_                                 Convert;
-  
+
   typedef typename Base_traits_3::Surface_3        Base_surface_3;
-  typedef typename Base_traits_3::Xy_monotone_surface_3  
+  typedef typename Base_traits_3::Xy_monotone_surface_3
                                                    Base_xy_monotone_surface_3;
 
   // Representation of a surface with an addtional data field:
   typedef _Curve_data_ex<Base_surface_3, Surface_data>  Surface_3;
-  
+
   // Representation of an xy-monotone surface with an addtional data field:
   typedef _Curve_data_ex<Base_xy_monotone_surface_3,
                          Xy_monotone_surface_data>      Xy_monotone_surface_3;
-  
+
 public:
-  
+
   /// \name Construction.
   //@{
 
   /*! Default constructor. */
   Env_surface_data_traits_3 ()
   {}
-  
+
   /*! Constructor from a base-traits class. */
   Env_surface_data_traits_3 (const Base_traits_3 & traits) :
     Base_traits_3 (traits)
@@ -83,12 +83,12 @@ public:
     /*! Constructor. */
     Make_xy_monotone_3 (const Base_traits_3 * _base) : base (_base)
     {}
-    
+
     /*!
      * Subdivide the given surface into xy-monotone surfaces and insert them
      * to the given output iterator.
      * \param S The surface.
-     * \param oi The output iterator, 
+     * \param oi The output iterator,
      *           whose value-type is Xy_monotone_surface_2.
      * \return The past-the-end iterator.
      */
@@ -99,7 +99,7 @@ public:
       // Make the original surface xy-monotone.
       std::list<Base_xy_monotone_surface_3>                     xy_surfaces;
       typename std::list<Base_xy_monotone_surface_3>::iterator  xys_it;
-    
+
       base->make_xy_monotone_3_object()
         (S, is_lower, std::back_inserter (xy_surfaces));
 
diff -pruN 5.0.2-3/include/CGAL/Env_tracing_traits_3.h 5.0.3-1/include/CGAL/Env_tracing_traits_3.h
--- 5.0.2-3/include/CGAL/Env_tracing_traits_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Env_tracing_traits_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_3/include/CGAL/Env_tracing_traits_3.h $
-// $Id: Env_tracing_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_3/include/CGAL/Env_tracing_traits_3.h $
+// $Id: Env_tracing_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s): Ophir Setter          <ophir.setter@post.tau.ac.il>
 //
@@ -15,7 +15,7 @@
   \file   Env_tracing_traits_3.h
   \brief  The file is used to trace envelope_3 trace classes
   \todo   Revise this file.
-  
+
 */
 
 
@@ -26,7 +26,7 @@
 
 
 /*! \file
- * This is the file containing a traits class used to trace other voronoi 
+ * This is the file containing a traits class used to trace other voronoi
  * diagram traits.
  */
 
@@ -35,7 +35,7 @@
 #include <CGAL/tags.h>
 #include <CGAL/representation_tags.h>
 #include <CGAL/functions_on_enums.h>
-#include <CGAL/number_utils.h> 
+#include <CGAL/number_utils.h>
 #include <CGAL/Envelope_3/Envelope_base.h>
 
 namespace CGAL {
@@ -48,23 +48,23 @@ class Env_tracing_traits_3 : public Trai
 {
 public:
   typedef Traits_                                         Base;
-  
+
   typedef typename Base::Multiplicity                     Multiplicity;
   typedef typename Base::Point_2                          Point_2;
   typedef typename Base::Curve_2                          Curve_2;
   typedef typename Base::X_monotone_curve_2               X_monotone_curve_2;
 
   typedef typename Base::Boundary_category                Boundary_category;
-    
+
   typedef typename Base::Xy_monotone_surface_3            Xy_monotone_surface_3;
   typedef typename Base::Surface_3                              Surface_3;
-  
+
   typedef std::pair<X_monotone_curve_2, Multiplicity>     Intersection_curve;
-    
+
   class Make_xy_monotone_3
   {
   public:
-        
+
     template <class OutputIterator>
     OutputIterator operator()(const Surface_3& s,
                               bool is_lower,
@@ -74,16 +74,16 @@ public:
       return base.make_xy_monotone_3_object() (s, is_lower, o);
     }
   };
-    
+
   Make_xy_monotone_3 make_xy_monotone_3_object() const
   {
     return Make_xy_monotone_3();
   }
-    
+
   class Compare_z_at_xy_3
   {
   public:
-        
+
     Comparison_result operator()(const Point_2& p,
                                  const Xy_monotone_surface_3& h1,
                                  const Xy_monotone_surface_3& h2) const
@@ -111,8 +111,8 @@ public:
       std::cerr << "Result: " << res << std::endl;
       return res;
     }
-        
-        
+
+
     Comparison_result operator()(const Xy_monotone_surface_3& h1,
                                  const Xy_monotone_surface_3& h2) const
 
@@ -125,9 +125,9 @@ public:
       std::cerr << "Result: " << res << std::endl;
       return res;
     }
-    
+
   };
-  
+
   Compare_z_at_xy_3 compare_z_at_xy_3_object() const
   {
     return Compare_z_at_xy_3();
@@ -205,13 +205,13 @@ public:
         else
           std::cerr << "First intersection is a point" << std::endl;
       }
-          
+
       std::copy(l.begin(), l.end(), o);
       return o;
     }
   };
 
-  Construct_projected_boundary_2 
+  Construct_projected_boundary_2
   construct_projected_boundary_2_object() const
   {
     return Construct_projected_boundary_2();
@@ -235,7 +235,7 @@ public:
       std::list<CGAL::Object> l;
       base.construct_projected_intersections_2_object() (s1, s2,
                                                          std::back_inserter(l));
-          
+
       if (l.size() > 0)
       {
         Intersection_curve i;
@@ -244,7 +244,7 @@ public:
         else
           std::cerr << "First intersection is not a point" << std::endl;
       }
-          
+
       std::copy(l.begin(), l.end(), o);
       return o;
     }
diff -pruN 5.0.2-3/include/CGAL/Env_triangle_traits_3.h 5.0.3-1/include/CGAL/Env_triangle_traits_3.h
--- 5.0.2-3/include/CGAL/Env_triangle_traits_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Env_triangle_traits_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Envelope_3/include/CGAL/Env_triangle_traits_3.h $
-// $Id: Env_triangle_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Envelope_3/include/CGAL/Env_triangle_traits_3.h $
+// $Id: Env_triangle_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Michal Meyerovitch     <gorgymic@post.tau.ac.il>
@@ -51,7 +51,7 @@ public:
   /*!
    * \class Representation of a 3d triangle with cached data.
    */
-  class _Triangle_cached_3 
+  class _Triangle_cached_3
   {
   public:
 
@@ -114,7 +114,7 @@ public:
     {
       Kernel   kernel;
       CGAL_assertion(!kernel.collinear_3_object()(p1, p2, p3));
-      
+
       vertices[0] = p1;
       vertices[1] = p2;
       vertices[2] = p3;
@@ -148,7 +148,7 @@ public:
 
       CGAL_precondition(kernel.has_on_3_object() (pl, p1) &&
                         kernel.has_on_3_object() (pl, p2) &&
-                        kernel.has_on_3_object() (pl, p3));      
+                        kernel.has_on_3_object() (pl, p3));
       CGAL_precondition(!kernel.collinear_3_object()(p1, p2, p3));
 
       vertices[0] = p1;
@@ -238,7 +238,7 @@ public:
                                             self.project(vertices[1]),
                                             self.project(vertices[2]));
       is_seg = false;
-      
+
       return (*this);
     }
 
@@ -328,9 +328,9 @@ public:
   /***************************************************************************/
 
   /*!\brief
-   * Subdivide the given surface into envelope relevant xy-monotone 
+   * Subdivide the given surface into envelope relevant xy-monotone
    * parts, and insert them into the output iterator.
-   * 
+   *
    * The iterator value-type is Xy_monotone_surface_3
    */
   class Make_xy_monotone_3
@@ -354,7 +354,7 @@ public:
       if (!s.is_vertical())
         *o++ = s;
       else
-      {        
+      {
         // split a vertical triangle into one or two segments
         const Point_3 &a1 = s.vertex(0),
                        a2 = s.vertex(1),
@@ -406,7 +406,7 @@ public:
           (!m_is_lower && cr == LARGER))
         return p1;
       else
-        return p2;      
+        return p2;
     }
 
     // get the three triangle coordinates (ordered along 2d-line) and find
@@ -444,14 +444,14 @@ public:
       //
       // Putting the new points coordinates in equation (1) we get:
       //    (2)    (w3 - w1)(z2 - z1) - (z3 - z1)(w2 - w1) =
-      //           (-b*x3 + a*y3 + b*x1 - a*y1)(z2 - z1) - 
+      //           (-b*x3 + a*y3 + b*x1 - a*y1)(z2 - z1) -
       //                                 (z3 - z1)(-b*x2 + a*y2 + b*x1 - a*y1)
       //
       FT w1 = a*p1.y() - b*p1.x(),
          w2 = a*p2.y() - b*p2.x(),
          w3 = a*p3.y() - b*p3.x();
-      
-      Sign s1 = CGAL::sign((w3 - w1)*(p2.z() - p1.z()) - 
+
+      Sign s1 = CGAL::sign((w3 - w1)*(p2.z() - p1.z()) -
                            (p3.z() - p1.z())*(w2 - w1));
 
       // the points should not be collinear
@@ -461,7 +461,7 @@ public:
       // the segment
       Sign s2 = CGAL_NTS sign(w3 - w1);
       Sign s = CGAL_NTS sign(int(s1 * s2));
-                  
+
       bool use_one_segment = true;
       if ((m_is_lower  && s == NEGATIVE) ||
           (!m_is_lower && s == POSITIVE))
@@ -514,7 +514,7 @@ public:
       // the input xy-monotone surface should be either non-vertical or
       // a segment
       CGAL_assertion(s.is_xy_monotone());
-      
+
       if (!s.is_vertical())
       {
         // the projection is a triangle
@@ -531,21 +531,21 @@ public:
         X_monotone_curve_2 B(b2, b3);
         X_monotone_curve_2 C(b3, b1);
 
-        const Line_2& l1 = 
+        const Line_2& l1 =
           (A.is_directed_right()) ? A.line() : A.line().opposite();
-        const Line_2& l2 = 
+        const Line_2& l2 =
           (B.is_directed_right()) ? B.line() : B.line().opposite();
-        const Line_2& l3 = 
+        const Line_2& l3 =
           (C.is_directed_right()) ? C.line() : C.line().opposite();
 
         Oriented_side s1 = k.oriented_side_2_object()(l1, b3);
         Oriented_side s2 = k.oriented_side_2_object()(l2, b1);
         Oriented_side s3 = k.oriented_side_2_object()(l3, b2);
 
-        CGAL_assertion(s1 != ON_ORIENTED_BOUNDARY && 
+        CGAL_assertion(s1 != ON_ORIENTED_BOUNDARY &&
                        s2 != ON_ORIENTED_BOUNDARY &&
                        s3 != ON_ORIENTED_BOUNDARY);
-        
+
         *o++ = make_object(std::make_pair(A, s1));
         *o++ = make_object(std::make_pair(B, s2));
         *o++ = make_object(std::make_pair(C, s3));
@@ -556,18 +556,18 @@ public:
         // s shouldn't be a z-vertical segment
         const Point_3 &a1 = s.vertex(0),
                        a2 = s.vertex(1);
-        
+
         Point_2 b1 = parent->project(a1),
                 b2 = parent->project(a2);
         CGAL_assertion(b1 != b2);
-                
-        *o++ = make_object(std::make_pair(X_monotone_curve_2(b1, b2), 
+
+        *o++ = make_object(std::make_pair(X_monotone_curve_2(b1, b2),
                                           ON_ORIENTED_BOUNDARY));
       }
       return o;
-    }  
-  };  
-  
+    }
+  };
+
   /*! Get a Construct_projected_boundary_curves_2 functor object. */
   Construct_projected_boundary_2
   construct_projected_boundary_2_object() const
@@ -576,11 +576,11 @@ public:
   }
 
   /*!\brief
-   * Insert all the 2D projections (onto the xy-plane) of the 
+   * Insert all the 2D projections (onto the xy-plane) of the
    * intersection objects between s1 and s2 into the output iterator.
    *
    * The iterator value-type is Object. An Object may be:
-   * 1. A pair<X_monotone_curve_2,Intersection_type>, where the intersection 
+   * 1. A pair<X_monotone_curve_2,Intersection_type>, where the intersection
    * type is an enumeration that can take the values
    * {Transversal, Tangency, Unknown}.
    * 2. A Point_2 instance (in degenerate cases).
@@ -594,7 +594,7 @@ public:
     Construct_projected_intersections_2(const Self* p)
       : parent(p)
     {}
-    
+
     // insert into OutputIterator all the (2d) projections on the xy plane of
     // the intersection objects between the 2 surfaces
     // the data type of OutputIterator is Object
@@ -604,13 +604,13 @@ public:
                               OutputIterator o) const
     {
       CGAL_assertion(s1.is_xy_monotone() && s2.is_xy_monotone());
-      
+
       Kernel k;
       if (!parent->do_intersect(s1, s2))
       {
         return o;
       }
-        
+
       Object inter_obj = parent->intersection(s1,s2);
       if (inter_obj.is_empty())
       {
@@ -641,8 +641,8 @@ public:
       }
 
       return o;
-    }  
-  };  
+    }
+  };
 
   /*! Get a Construct_projected_intersections_2 functor object. */
   Construct_projected_intersections_2
@@ -652,7 +652,7 @@ public:
   }
 
   /*!\brief
-   * Check if the surface s1 is closer/equally distanced/farther 
+   * Check if the surface s1 is closer/equally distanced/farther
    * from the envelope with respect to s2 at the xy-coordinates of p/c.
    */
   class Compare_z_at_xy_3
@@ -666,21 +666,21 @@ public:
       : parent(p)
     {}
 
-    // check which of the surfaces is closer to the envelope at the xy 
+    // check which of the surfaces is closer to the envelope at the xy
     // coordinates of point
-    // (i.e. lower if computing the lower envelope, or upper if computing 
+    // (i.e. lower if computing the lower envelope, or upper if computing
     // the upper envelope)
     // precondition: the surfaces are defined in point
     Comparison_result operator()(const Point_2& p,
                                  const Xy_monotone_surface_3& surf1,
                                  const Xy_monotone_surface_3& surf2) const
-    {      
-      // we compute the points on the planes, and then compare their z 
+    {
+      // we compute the points on the planes, and then compare their z
       // coordinates
       const Plane_3& plane1 = surf1.plane();
       const Plane_3& plane2 = surf2.plane();
 
-      // if the 2 triangles have the same supporting plane, and they are not 
+      // if the 2 triangles have the same supporting plane, and they are not
       // vertical, then they have the same z coordinate over this point
       if ((plane1 == plane2 || plane1 == plane2.opposite()) &&
           !surf1.is_vertical())
@@ -690,24 +690,24 @@ public:
 
       Kernel k;
 
-      // Compute the intersetion between the vertical line and the given 
+      // Compute the intersetion between the vertical line and the given
       // surfaces
       Point_3 ip1 = parent->envelope_point_of_surface(p, surf1);
       Point_3 ip2 = parent->envelope_point_of_surface(p, surf2);
-      
+
       return k.compare_z_3_object()(ip1, ip2);
     }
 
-    // check which of the surfaces is closer to the envelope at the xy 
+    // check which of the surfaces is closer to the envelope at the xy
     // coordinates of cv
     // (i.e. lower if computing the lower envelope, or upper if computing the
     // upper envelope)
-    // precondition: the surfaces are defined in all points of cv, 
+    // precondition: the surfaces are defined in all points of cv,
     //               and the answer is the same for each of these points
     Comparison_result operator()(const X_monotone_curve_2& cv,
                                  const Xy_monotone_surface_3& surf1,
                                  const Xy_monotone_surface_3& surf2) const
-    {      
+    {
       // first try the endpoints, if cannot be sure, use the mid point
       Comparison_result res;
       res = parent->compare_z_at_xy_3_object()(cv.left(), surf1, surf2);
@@ -721,23 +721,23 @@ public:
           res = parent->compare_z_at_xy_3_object()(mid, surf1, surf2);
         }
       }
-      
+
       return res;
     }
-  
+
   };
-   
+
   /*! Get a Compare_z_at_xy_3 functor object. */
-  Compare_z_at_xy_3 
+  Compare_z_at_xy_3
   compare_z_at_xy_3_object() const
   {
     return Compare_z_at_xy_3(this);
   }
 
-  /*!\brief 
-   * Check if the surface s1 is closer/equally distanced/farther 
+  /*!\brief
+   * Check if the surface s1 is closer/equally distanced/farther
    * from the envelope with
-   * respect to s2 immediately above the curve c. 
+   * respect to s2 immediately above the curve c.
    */
   class Compare_z_at_xy_above_3
   {
@@ -749,16 +749,16 @@ public:
     Compare_z_at_xy_above_3(const Self* p)
       : parent(p)
     {}
-    
-    // check which of the surfaces is closer to the envelope on the points 
+
+    // check which of the surfaces is closer to the envelope on the points
     // above the curve cv
     // (i.e. lower if computing the lower envelope, or upper if computing the
     // upper envelope)
-    // precondition: the surfaces are defined above cv (to the left of cv, 
+    // precondition: the surfaces are defined above cv (to the left of cv,
     //               if cv is directed from min point to max point)
-    //               the choise between surf1 and surf2 for the envelope is 
-    //               the same for every point in the infinitesimal region 
-    //               above cv 
+    //               the choise between surf1 and surf2 for the envelope is
+    //               the same for every point in the infinitesimal region
+    //               above cv
     //               the surfaces are EQUAL over the curve cv
     Comparison_result
     operator()(const X_monotone_curve_2& cv,
@@ -777,15 +777,15 @@ public:
       CGAL_precondition(parent->compare_z_at_xy_3_object()
                               (cv.target(), surf1, surf2) == EQUAL);
 
-      
+
       if (parent->do_overlap(surf1, surf2))
       {
         return EQUAL;
       }
 
       // now we must have 2 different non-vertical planes:
- 	    // plane1: a1*x + b1*y + c1*z + d1 = 0  , c1 != 0
- 	    // plane2: a2*x + b2*y + c2*z + d2 = 0  , c2 != 0
+             // plane1: a1*x + b1*y + c1*z + d1 = 0  , c1 != 0
+             // plane2: a2*x + b2*y + c2*z + d2 = 0  , c2 != 0
 
       const Plane_3& plane1 = surf1.plane();
       const Plane_3& plane2 = surf2.plane();
@@ -793,9 +793,9 @@ public:
       FT a1 = plane1.a(), b1 = plane1.b(), c1 = plane1.c();
       FT a2 = plane2.a(), b2 = plane2.b(), c2 = plane2.c();
 
- 	    // our line is a3*x + b3*y + c3 = 0
- 	    // it is assumed that the planes intersect over this line
-      const Line_2& line = cv.line(); 
+             // our line is a3*x + b3*y + c3 = 0
+             // it is assumed that the planes intersect over this line
+      const Line_2& line = cv.line();
       FT a3 = line.a(), b3 = line.b(), c3 = line.c();
 
       // if the line was parallel to the y-axis (i.e x = const),
@@ -826,20 +826,20 @@ public:
       // since detA>0 we can omit it.
       //
       Sign s1 = CGAL_NTS sign((a2*a3+b2*b3)/c2-(a1*a3+b1*b3)/c1);
-      
+
       // We only need to make sure that w is in the correct direction
       // (going from down to up)
       // the original segment endpoints p1=(x1,y1) and p2=(x2,y2)
       // are transformed to (v1,w1) and (v2,w2), so we need that w2 > w1
       // (otherwise the result should be multiplied by -1)
-      
+
       const Point_2& p1 = cv.left();
       const Point_2& p2 = cv.right();
       FT x1 = p1.x(), y1 = p1.y(), x2 = p2.x(), y2 = p2.y();
 
       Sign s2 = CGAL_NTS sign(-b3*x1+a3*y1-(-b3*x2+a3*y2));
       return s1 * s2;
-    }  
+    }
   };
 
 
@@ -850,10 +850,10 @@ public:
     return Compare_z_at_xy_above_3(this);
   }
 
-  /*!\brief 
-   * Check if the surface s1 is closer/equally distanced/farther 
+  /*!\brief
+   * Check if the surface s1 is closer/equally distanced/farther
    * from the envelope with
-   * respect to s2 immediately below the curve c. 
+   * respect to s2 immediately below the curve c.
    */
   class Compare_z_at_xy_below_3
   {
@@ -865,13 +865,13 @@ public:
     Compare_z_at_xy_below_3(const Self* p)
       : parent(p)
     {}
-    
+
     Comparison_result
     operator()(const X_monotone_curve_2& cv,
                const Xy_monotone_surface_3& surf1,
                const Xy_monotone_surface_3& surf2) const
     {
-      Comparison_result left_res = 
+      Comparison_result left_res =
         parent->compare_z_at_xy_above_3_object()(cv, surf1, surf2);
       return CGAL::opposite(left_res);
 
@@ -881,7 +881,7 @@ public:
         return LARGER;
       else
         return EQUAL;*/
-    }  
+    }
   };
 
   /*! Get a Compare_z_at_xy_below_3 functor object. */
@@ -909,7 +909,7 @@ public:
 //  {
 //    return Is_vertical_3();
 //  }
-  
+
   /***************************************************************************/
 
   // public method needed for testing
@@ -919,8 +919,8 @@ public:
   {
   public:
     // checks if point is in the xy-range of surf
-    bool operator()(const Point_2& point, 
-		    const Xy_monotone_surface_3& surf) const
+    bool operator()(const Point_2& point,
+                    const Xy_monotone_surface_3& surf) const
 
     {
       Kernel k;
@@ -960,7 +960,7 @@ public:
   Segment_2 project (const Segment_3& seg) const
   {
     typedef typename Kernel::Construct_vertex_3 Construct_vertex_3;
-    
+
     Kernel              k;
     Construct_vertex_3  vertex_on = k.construct_vertex_3_object();
 
@@ -968,7 +968,7 @@ public:
     const Point_3      q1 = (vertex_on (seg, 1));
     const Point_2      p0 (q0.x(), q0.y());
     const Point_2      p1 (q1.x(), q1.y());
-    
+
     return (k.construct_segment_2_object() (p0, p1));
   }
 
@@ -976,7 +976,7 @@ public:
   {
     return Point_2(obj.x(), obj.y());
   }
-  
+
   Triangle_2 project(const Xy_monotone_surface_3& triangle_3) const
   {
     const Point_3&  end1 = triangle_3.vertex(0),
@@ -991,8 +991,8 @@ public:
 
   // triangles overlap if they lie on the same plane and intersect on it.
   // this test is only needed for non-vertical triangles
-  bool do_overlap(const Xy_monotone_surface_3& s1, 
-		              const Xy_monotone_surface_3& s2) const
+  bool do_overlap(const Xy_monotone_surface_3& s1,
+                              const Xy_monotone_surface_3& s2) const
   {
     CGAL_precondition(s1.is_xy_monotone() && !s1.is_vertical());
     CGAL_precondition(s2.is_xy_monotone() && !s2.is_vertical());
@@ -1016,7 +1016,7 @@ public:
     if (!b) return false;
 
     b = k.coplanar_3_object()(a1, b1, c1, c2);
-    return b;    
+    return b;
   }
 
   // check whethe two xy-monotone surfaces (3D-triangles or segments)
@@ -1040,11 +1040,11 @@ public:
       // in case of two segments, we don't use easy do-intersect test
       return true;
   }
-  
+
   // intersect two xy-monotone surfaces (3D-triangles or segments)
   // if the triangles overlap, the result is empty
   // the result can be a segment or a point
-  Object intersection(const Xy_monotone_surface_3& s1, 
+  Object intersection(const Xy_monotone_surface_3& s1,
                       const Xy_monotone_surface_3& s2) const
   {
     CGAL_precondition(s1.is_xy_monotone());
@@ -1063,7 +1063,7 @@ public:
       Object res = intersection_of_segments(s1, s2);
       return res;
     }
-  
+
     // if both triangles lie on the same (non-vertical) plane, they overlap
     // we don't care about overlaps, because they are not passed to the
     // algorithm anyway, so we save the costly computation
@@ -1072,12 +1072,12 @@ public:
     if  (p1 == p2 || p1 == p2.opposite())
         return Object();
 
-    // calculate intersection between a triangle and the other triangle's 
+    // calculate intersection between a triangle and the other triangle's
     // supporting plane
-    // if there is no intersection - then the triangles have no intersection 
+    // if there is no intersection - then the triangles have no intersection
     // between them.
     Object inter_obj = intersection(p1, s2);
-      
+
     if (inter_obj.is_empty())
       return Object();
 
@@ -1100,58 +1100,58 @@ public:
 
       inter_obj = intersection(p2, s1);
 
-      // if there is no intersection - then the triangles have no intersection 
+      // if there is no intersection - then the triangles have no intersection
       // between them.
       if (inter_obj.is_empty())
-      	return Object();
-      
+              return Object();
+
       if (assign_obj(inter_point, inter_obj))
       {
-      	// if the intersection is a point, which lies on the segment,
-      	// than it is the result,
-      	// otherwise, empty result
-      	 if (k.has_on_3_object()(inter_seg, inter_point))
-      	   return make_object(inter_point);
-      	 else
-      	   return Object();
+              // if the intersection is a point, which lies on the segment,
+              // than it is the result,
+              // otherwise, empty result
+               if (k.has_on_3_object()(inter_seg, inter_point))
+                 return make_object(inter_point);
+               else
+                 return Object();
       }
       else
       {
-      	// both plane-triangle intersections are segments, which are collinear,
-      	// and lie on the line which is the intersection of the two supporting
-      	// planes
+              // both plane-triangle intersections are segments, which are collinear,
+              // and lie on the line which is the intersection of the two supporting
+              // planes
         Segment_3 inter_seg2;
-      	CGAL_assertion(assign_obj(inter_seg2, inter_obj));
-      	assign_obj(inter_seg2, inter_obj);
-	
-      	Point_3 min1 = k.construct_min_vertex_3_object()(inter_seg),
-      	        max1 = k.construct_max_vertex_3_object()(inter_seg);
-      	Point_3 min2 = k.construct_min_vertex_3_object()(inter_seg2),
-      	        max2 = k.construct_max_vertex_3_object()(inter_seg2); 
+              CGAL_assertion(assign_obj(inter_seg2, inter_obj));
+              assign_obj(inter_seg2, inter_obj);
+
+              Point_3 min1 = k.construct_min_vertex_3_object()(inter_seg),
+                      max1 = k.construct_max_vertex_3_object()(inter_seg);
+              Point_3 min2 = k.construct_min_vertex_3_object()(inter_seg2),
+                      max2 = k.construct_max_vertex_3_object()(inter_seg2);
 
-       	CGAL_assertion((k.collinear_3_object()(min1, min2, max1) &&
+               CGAL_assertion((k.collinear_3_object()(min1, min2, max1) &&
                          k.collinear_3_object()(min1, max2, max1)));
 
-       	// we need to find the overlapping part, if exists
-       	Point_3 min, max;
-       	if (k.less_xyz_3_object()(min1, min2))
-       	  min = min2;
-       	else
-       	  min = min1;
-       	if (k.less_xyz_3_object()(max1, max2))
-       	  max = max1;
-       	else
-       	  max = max2;
-
-       	Object res;
-       	Comparison_result comp_res = k.compare_xyz_3_object()(min, max);
-       	if (comp_res == EQUAL)
-       	  res = make_object(min);
-       	else if (comp_res == SMALLER)
-       	  res = make_object(Segment_3(min, max));
-       	// else - empty result
+               // we need to find the overlapping part, if exists
+               Point_3 min, max;
+               if (k.less_xyz_3_object()(min1, min2))
+                 min = min2;
+               else
+                 min = min1;
+               if (k.less_xyz_3_object()(max1, max2))
+                 max = max1;
+               else
+                 max = max2;
+
+               Object res;
+               Comparison_result comp_res = k.compare_xyz_3_object()(min, max);
+               if (comp_res == EQUAL)
+                 res = make_object(min);
+               else if (comp_res == SMALLER)
+                 res = make_object(Segment_3(min, max));
+               // else - empty result
 
-       	return res;
+               return res;
       }
     }
   }
@@ -1212,27 +1212,27 @@ public:
             v2 = plane.to_2d(s1.vertex(1));
     Segment_2 seg1_t(v1, v2);
 
-  	Point_2 u1 = plane.to_2d(s2.vertex(0)),
+          Point_2 u1 = plane.to_2d(s2.vertex(0)),
             u2 = plane.to_2d(s2.vertex(1));
-  	Segment_2 seg2_t(u1, u2);
+          Segment_2 seg2_t(u1, u2);
 
-  	Object inter_obj = k.intersect_2_object()(seg1_t, seg2_t);
-  	Assign_2 assign_2 = k.assign_2_object();
-  	if (inter_obj.is_empty())
-  		return inter_obj;
+          Object inter_obj = k.intersect_2_object()(seg1_t, seg2_t);
+          Assign_2 assign_2 = k.assign_2_object();
+          if (inter_obj.is_empty())
+                  return inter_obj;
 
-  	Point_2 inter_point;
+          Point_2 inter_point;
     Segment_2 inter_segment;
 
     if (assign_2(inter_point, inter_obj))
-  	  return make_object(plane.to_3d(inter_point));
+            return make_object(plane.to_3d(inter_point));
     else
     {
       CGAL_assertion_code(bool b = )
       assign_2(inter_segment, inter_obj);
       CGAL_assertion(b);
-      
-      return make_object 
+
+      return make_object
         (Segment_3
          (plane.to_3d(k.construct_vertex_2_object()(inter_segment, 0)),
           plane.to_3d(k.construct_vertex_2_object()(inter_segment, 1))));
@@ -1244,8 +1244,8 @@ public:
   // and a (non degenerate) plane in 3d
   // the result object can be empty, a point, a segment or the original
   // triangle
-  Object intersection(const Plane_3& pl, 
-		                  const Xy_monotone_surface_3& tri) const
+  Object intersection(const Plane_3& pl,
+                                  const Xy_monotone_surface_3& tri) const
   {
     Kernel k;
     CGAL_precondition( tri.is_xy_monotone() );
@@ -1253,9 +1253,9 @@ public:
 
     if (tri.is_segment())
       return k.intersect_3_object()(pl, static_cast<Segment_3>(tri));
-      
+
     // first, check for all 3 vertices of tri on which side of pl they lie on
-    int points_on_plane[3];    // contains the indices of vertices that lie 
+    int points_on_plane[3];    // contains the indices of vertices that lie
                                // on pl
     int points_on_positive[3]; // contains the indices of vertices that lie on
                                // the positive side of pl
@@ -1278,7 +1278,7 @@ public:
         points_on_plane[n_points_on_plane++] = i;
     }
 
-    CGAL_assertion(n_points_on_plane + 
+    CGAL_assertion(n_points_on_plane +
             n_points_on_positive + n_points_on_negative == 3);
 
     // if all vertices of tri lie on the same size (positive/negative) of pl,
@@ -1322,7 +1322,7 @@ public:
 
       // create the resulting segment
       // (between tri[point_on_plane_idx] and inter_point)
-      return make_object(Segment_3(tri.vertex(point_on_plane_idx), 
+      return make_object(Segment_3(tri.vertex(point_on_plane_idx),
                                    inter_point));
 
     }
@@ -1368,7 +1368,7 @@ public:
     Kernel k;
     return k.compare_z_3_object()(v1, v2);
   }
-  
+
   // find the envelope point of the surface over the given point
   // precondition: the surface is defined in point
   Point_3
@@ -1429,7 +1429,7 @@ public:
     // and transform it back to plane.
     const Point_3& v1 = s.vertex(0);
     const Point_3& v2 = s.vertex(1);
-    
+
     Point_2 t1 = plane.to_2d(v1);
     Point_2 t2 = plane.to_2d(v2);
 
@@ -1461,7 +1461,7 @@ public:
   /***************************************************************************/
   // for vertical decomposition
   /***************************************************************************/
-  
+
   class Construct_vertical_2
   {
   public:
@@ -1477,7 +1477,7 @@ public:
   {
     return Construct_vertical_2();
   }
- 
+
 
   Point_2 vertical_ray_shoot_2 (const Point_2& pt,
                                 const X_monotone_curve_2& cv) const
@@ -1508,7 +1508,7 @@ public:
 
 
 /*!
- * \class A representation of a triangle, as used by the 
+ * \class A representation of a triangle, as used by the
  * Env_triangle_traits_3 traits-class.
  */
 template <class Kernel_>
@@ -1659,4 +1659,4 @@ InputStream& operator>> (InputStream& is
 
 } //namespace CGAL
 
-#endif 
+#endif
diff -pruN 5.0.2-3/include/CGAL/Epeck_d.h 5.0.3-1/include/CGAL/Epeck_d.h
--- 5.0.2-3/include/CGAL/Epeck_d.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/Epeck_d.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/Epeck_d.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/Epeck_d.h $
 // $Id: Epeck_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Epic_converter.h 5.0.3-1/include/CGAL/Epic_converter.h
--- 5.0.2-3/include/CGAL/Epic_converter.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Epic_converter.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/Epic_converter.h $
-// $Id: Epic_converter.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/Epic_converter.h $
+// $Id: Epic_converter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Laurent Rineau
 
@@ -65,12 +65,12 @@ public:
   {
     return std::make_pair(b,true);
   }
- 
+
   std::pair<Bbox_3,bool> operator()(const Bbox_3 b) const
   {
     return std::make_pair(b,true);
   }
-  
+
   std::pair<Point_2,bool> operator()(const typename IK::Point_2& p) const
   {
     double x, y;
@@ -80,7 +80,7 @@ public:
     }
     return std::make_pair(ORIGIN,false);
   }
-  
+
   std::pair<Vector_2,bool> operator()(const typename IK::Vector_2& v) const
   {
     double x, y;
@@ -90,7 +90,7 @@ public:
     }
     return std::make_pair(Vector_2(),false);
   }
-  
+
   std::pair<Direction_2,bool> operator()(const typename IK::Direction_2& d) const
   {
     double x, y;
@@ -100,7 +100,7 @@ public:
     }
     return std::make_pair(Direction_2(),false);
   }
-  
+
   std::pair<Weighted_point_2,bool> operator()(const typename IK::Weighted_point_2& wp) const
   {
     std::pair<Point_2,bool> sp = operator()(wp.point());
@@ -110,7 +110,7 @@ public:
     }
     return std::make_pair(Weighted_point_2(),false);
   }
-  
+
   std::pair<Segment_2,bool> operator()(const typename IK::Segment_2& s) const
   {
     std::pair<Point_2,bool> sp = operator()(s.source());
@@ -132,7 +132,7 @@ public:
     }
     return std::make_pair(Line_2(), false);
   }
-  
+
   std::pair<Ray_2,bool> operator()(const typename IK::Ray_2& r) const
   {
     std::pair<Point_2,bool> sp = operator()(r.source());
@@ -145,7 +145,7 @@ public:
     }
     return std::make_pair(Ray_2(sp.first,tp.first), true);
   }
-  
+
   std::pair<Triangle_2,bool> operator()(const typename IK::Triangle_2& t) const
   {
     std::pair<Point_2,bool> v0 = operator()(t.vertex(0));
@@ -162,7 +162,7 @@ public:
     }
     return std::make_pair(Triangle_2(v0.first,v1.first, v2.first), true);
   }
-  
+
   std::pair<Circle_2,bool> operator()(const typename IK::Circle_2& ci) const
   {
     std::pair<Point_2,bool> c = operator()(ci.center());
@@ -186,7 +186,7 @@ public:
     return std::make_pair(Iso_rectangle_2(sp.first,tp.first), true);
   }
 
-  
+
   std::pair<Line_3,bool> operator()(const typename IK::Line_3& li) const
   {
     std::pair<Point_3,bool> sp = operator()(li.point());
@@ -225,7 +225,7 @@ public:
     }
     return std::make_pair(Triangle_3(v0.first,v1.first, v2.first), true);
   }
-  
+
   std::pair<Tetrahedron_3,bool> operator()(const typename IK::Tetrahedron_3& t) const
   {
     std::pair<Point_3,bool> v0 = operator()(t.vertex(0));
@@ -246,7 +246,7 @@ public:
     }
     return std::make_pair(Tetrahedron_3(v0.first,v1.first, v2.first, v3.first), true);
   }
-  
+
   std::pair<Ray_3,bool> operator()(const typename IK::Ray_3& r) const
   {
     std::pair<Point_3,bool> sp = operator()(r.source());
@@ -259,7 +259,7 @@ public:
     }
     return std::make_pair(Ray_3(sp.first,tp.first), true);
   }
-  
+
   std::pair<Point_3,bool> operator()(const typename IK::Point_3& p) const
   {
     double x, y, z;
@@ -269,7 +269,7 @@ public:
     }
     return std::make_pair(ORIGIN,false);
   }
-  
+
   std::pair<Vector_3,bool> operator()(const typename IK::Vector_3& v) const
   {
     double x, y, z;
@@ -279,7 +279,7 @@ public:
     }
     return std::make_pair(Vector_3(),false);
   }
-  
+
   std::pair<Direction_3,bool> operator()(const typename IK::Direction_3& d) const
   {
     double x, y, z;
@@ -289,7 +289,7 @@ public:
     }
     return std::make_pair(Direction_3(),false);
   }
-  
+
   std::pair<Segment_3,bool> operator()(const typename IK::Segment_3& s) const
   {
     std::pair<Point_3,bool> sp = operator()(s.source());
@@ -312,7 +312,7 @@ public:
     }
     return std::make_pair(Weighted_point_3(),false);
   }
-  
+
   std::pair<Sphere_3,bool> operator()(const typename IK::Sphere_3& s) const
   {
     std::pair<Point_3,bool> c = operator()(s.center());
@@ -348,7 +348,7 @@ public:
 
 
 };
-  
+
 } // CGAL
 
 #endif // CGAL_EPIC_CONVERTER_H
diff -pruN 5.0.2-3/include/CGAL/Epick_d.h 5.0.3-1/include/CGAL/Epick_d.h
--- 5.0.2-3/include/CGAL/Epick_d.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/Epick_d.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/Epick_d.h $
-// $Id: Epick_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/Epick_d.h $
+// $Id: Epick_d.h 7929c7d 2020-04-08T14:42:47+02:00 Marc Glisse
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -40,7 +40,12 @@ struct Epick_d_help1
 };
 #undef CGAL_BASE
 #define CGAL_BASE \
-  Cartesian_static_filters<Dim,Epick_d_help1<Dim>,Epick_d_help2<Dim> >
+  Cartesian_filter_K< \
+    Epick_d_help1<Dim>, \
+    Cartesian_base_d<Interval_nt_advanced, Dim>, \
+    Cartesian_base_d<internal::Exact_ring_selector<double>::Type, Dim>, \
+    typename Functors_without_division<Dim>::type \
+  >
 template<class Dim>
 struct Epick_d_help2
 : CGAL_BASE
@@ -50,9 +55,20 @@ struct Epick_d_help2
 };
 #undef CGAL_BASE
 #define CGAL_BASE \
+  Cartesian_static_filters<Dim,Epick_d_help2<Dim>,Epick_d_help3<Dim> >
+
+template<class Dim>
+struct Epick_d_help3
+: CGAL_BASE
+{
+  constexpr Epick_d_help3(){}
+  constexpr Epick_d_help3(int d):CGAL_BASE(d){}
+};
+#undef CGAL_BASE
+#define CGAL_BASE \
   Kernel_d_interface< \
     Cartesian_wrap< \
-      Epick_d_help2<Dim>, \
+      Epick_d_help3<Dim>, \
       Epick_d<Dim> > >
 template<class Dim>
 struct Epick_d
diff -pruN 5.0.2-3/include/CGAL/estimate_scale.h 5.0.3-1/include/CGAL/estimate_scale.h
--- 5.0.2-3/include/CGAL/estimate_scale.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/estimate_scale.h	2020-08-01 19:02:40.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/estimate_scale.h $
-// $Id: estimate_scale.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/estimate_scale.h $
+// $Id: estimate_scale.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Simon Giraudot
@@ -51,7 +51,7 @@ class Quick_multiscale_approximate_knn_d
 
 };
 
-  
+
 template <class Kernel>
 class Quick_multiscale_approximate_knn_distance<Kernel, typename Kernel::Point_3>
 {
@@ -69,7 +69,7 @@ class Quick_multiscale_approximate_knn_d
     typename boost::property_traits<PointMap>::reference
     operator() (const ValueType& v) const { return get(point_map, v); }
   };
-  
+
   std::size_t m_cluster_size;
   std::vector<Tree*> m_trees;
   std::vector<FT> m_weights;
@@ -86,18 +86,18 @@ public:
   {
     typedef Pmap_unary_function<typename std::iterator_traits<InputIterator>::value_type,
                                 PointMap> Unary_f;
-    
+
     // Avoid moving points of input as the range is const
     std::vector<typename Kernel::Point_3> kd_tree_points;
     std::copy (boost::make_transform_iterator (first, Unary_f(point_map)),
                boost::make_transform_iterator (beyond, Unary_f(point_map)),
                std::back_inserter (kd_tree_points));
-    
+
 
     m_trees.push_back (new Tree (kd_tree_points.begin(), kd_tree_points.end()));
     m_weights.push_back (1.);
     std::size_t nb_pts = m_trees[0]->size();
-    
+
     std::size_t nb_trees = 0;
     while (nb_pts > m_cluster_size)
       {
@@ -167,15 +167,15 @@ public:
           }
       }
   }
-  
-  
+
+
   template <typename InputIterator, typename PointMap>
   void compute_scale (InputIterator query, PointMap point_map,
                       std::size_t& k, FT& d)
   {
     if (m_precomputed_factor.empty())
       precompute_factors();
-    
+
     k = 0;
     d = 0.;
 
@@ -190,7 +190,7 @@ public:
                                                            ? m_trees[t]->size()
                                                            : m_weights[t+1] / m_weights[t])));
         Iterator it = search.begin();
-        
+
         if (t != 0) // Skip first point except on first scale
           ++ it;
 
@@ -201,11 +201,11 @@ public:
 
             if (nb < 6.) // do not consider values under 6
               continue;
-            
+
             // sqrt(sum_sq_distances / nb) / nb^(5/12)
             // Computed in log space with precomputed factor for time optimization
             FT dist = 0.5 * std::log (sum_sq_distances) - m_precomputed_factor[index ++];
-            
+
             if (dist < dist_min)
               {
                 dist_min = dist;
@@ -218,7 +218,7 @@ public:
 
 };
 
-  
+
 template <class Kernel>
 class Quick_multiscale_approximate_knn_distance<Kernel, typename Kernel::Point_2>
 {
@@ -248,7 +248,7 @@ class Quick_multiscale_approximate_knn_d
     Pmap_to_3d (PointMap point_map)
       : point_map (point_map) { }
 
-    friend inline value_type get (const Pmap_to_3d& pmap, key_type p) 
+    friend inline value_type get (const Pmap_to_3d& pmap, key_type p)
     {
       typename boost::property_traits<PointMap>::reference
         p2 = get(pmap.point_map, p);
@@ -273,7 +273,7 @@ class Quick_multiscale_approximate_knn_d
   std::vector<Point_set*> m_point_sets;
   std::vector<FT> m_weights;
   std::vector<FT> m_precomputed_factor;
-  
+
 public:
 
   template <typename InputIterator, typename PointMap>
@@ -295,7 +295,7 @@ public:
 
     m_point_sets.push_back (new Point_set (search_points.begin(), search_points.end()));
     m_weights.push_back (1.);
-    
+
     std::size_t nb_pts = m_point_sets[0]->number_of_vertices();
     std::size_t nb_trees = 0;
     while (nb_pts > m_cluster_size)
@@ -369,7 +369,7 @@ public:
           }
       }
   }
-  
+
   template <typename InputIterator, typename PointMap>
   void compute_scale (InputIterator query, PointMap point_map,
                       std::size_t& k, FT& d)
@@ -384,7 +384,7 @@ public:
     FT sum_sq_distances = 0.;
     FT nb = 0.;
     std::size_t index = 0;
-    
+
     typename boost::property_traits<PointMap>::reference
       pquery = get(point_map, *query);
     for (std::size_t t = 0; t < m_point_sets.size(); ++ t)
@@ -411,7 +411,7 @@ public:
             // sqrt(sum_sq_distances / nb) / nb^(3/4)
             // Computed in log space with precomputed factor for time optimization
             FT dist = 0.5 * std::log (sum_sq_distances) - m_precomputed_factor[index ++];
-            
+
             if (dist < dist_min)
               {
                 dist_min = dist;
@@ -433,7 +433,7 @@ public:
 // Public section
 // ----------------------------------------------------------------------------
 
-/**  
+/**
    \ingroup PkgPointSetProcessing3Algorithms
 
    Estimates the local scale in a K nearest neighbors sense on a set
@@ -527,7 +527,7 @@ estimate_local_k_neighbor_scales(
 }
 /// \endcond
 
-/**  
+/**
    \ingroup PkgPointSetProcessing3Algorithms
 
    Estimates the global scale in a K nearest neighbors sense. The
@@ -583,9 +583,9 @@ estimate_global_k_neighbor_scale(const P
   return estimate_global_k_neighbor_scale
     (points, CGAL::Point_set_processing_3::parameters::all_default(points));
 }
-/// \endcond  
+/// \endcond
 
-/**  
+/**
    \ingroup PkgPointSetProcessing3Algorithms
 
    Estimates the local scale in a range sense on a set of
@@ -640,7 +640,7 @@ estimate_local_range_scales(
 {
   using parameters::choose_parameter;
   using parameters::get_parameter;
-  
+
   typedef typename Point_set_processing_3::GetPointMap<PointRange, NamedParameters>::const_type PointMap;
   typedef typename Point_set_processing_3::GetQueryPointMap<QueryPointRange, NamedParameters>::const_type QueryPointMap;
   typedef typename Point_set_processing_3::GetK<PointRange, NamedParameters>::Kernel Kernel;
@@ -663,7 +663,7 @@ estimate_local_range_scales(
 }
 
 /// \cond SKIP_IN_MANUAL
-// variant with default NP  
+// variant with default NP
 template <typename PointRange,
           typename QueryPointRange,
           typename OutputIterator
@@ -679,7 +679,7 @@ estimate_local_range_scales(
 }
 /// \endcond
 
-/**  
+/**
    \ingroup PkgPointSetProcessing3Algorithms
 
    Estimates the global scale in a range sense. The computed scale
@@ -743,7 +743,7 @@ estimate_global_range_scale(const PointR
   return estimate_global_range_scale
     (points, CGAL::Point_set_processing_3::parameters::all_default(points));
 }
-/// \endcond  
+/// \endcond
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Euclidean_distance.h 5.0.3-1/include/CGAL/Euclidean_distance.h
--- 5.0.2-3/include/CGAL/Euclidean_distance.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Euclidean_distance.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Euclidean_distance.h $
-// $Id: Euclidean_distance.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Euclidean_distance.h $
+// $Id: Euclidean_distance.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Hans Tangelder (<hanst@cs.uu.nl>)
 
@@ -27,7 +27,7 @@ namespace CGAL {
   template <class SearchTraits>
   class Euclidean_distance;
 
-    
+
   namespace internal{
     template <class SearchTraits>
     struct Spatial_searching_default_distance{
@@ -37,9 +37,9 @@ namespace CGAL {
 
   template <class SearchTraits>
   class Euclidean_distance {
-    
+
     SearchTraits traits;
-    
+
     public:
 
     typedef typename SearchTraits::FT    FT;
@@ -47,12 +47,12 @@ namespace CGAL {
     typedef Point_d Query_item;
 
     typedef typename internal::Get_dimension_tag<SearchTraits>::Dimension D;
-	
+
 
     // default constructor
     Euclidean_distance(const SearchTraits& traits_=SearchTraits()):traits(traits_) {}
 
-    
+
     inline FT transformed_distance(const Query_item& q, const Point_d& p) const {
         return transformed_distance(q,p, D());
     }
@@ -60,12 +60,12 @@ namespace CGAL {
     //Dynamic version for runtime dimension
     inline FT transformed_distance(const Query_item& q, const Point_d& p, Dynamic_dimension_tag) const {
         FT distance = FT(0);
-	typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
+        typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
         typename SearchTraits::Cartesian_const_iterator_d qit = construct_it(q),
-	qe = construct_it(q,1), pit = construct_it(p);
-	for(; qit != qe; qit++, pit++){
-	    distance += ((*qit)-(*pit))*((*qit)-(*pit));
-	}
+        qe = construct_it(q,1), pit = construct_it(p);
+        for(; qit != qe; qit++, pit++){
+            distance += ((*qit)-(*pit))*((*qit)-(*pit));
+        }
         return distance;
     }
 
@@ -77,7 +77,7 @@ namespace CGAL {
         typename SearchTraits::Cartesian_const_iterator_d qit = construct_it(q),
           qe = construct_it(q,1), pit = construct_it(p);
         for(; qit != qe; qit++, pit++){
-	  distance += ((*qit)-(*pit))*((*qit)-(*pit));
+          distance += ((*qit)-(*pit))*((*qit)-(*pit));
         }
         return distance;
     }
@@ -104,95 +104,95 @@ namespace CGAL {
         return distance;
     }
 
- 
 
 
-	inline FT min_distance_to_rectangle(const Query_item& q,
-					    const Kd_tree_rectangle<FT,D>& r) const {
-		FT distance = FT(0);
-		typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
+
+        inline FT min_distance_to_rectangle(const Query_item& q,
+                                            const Kd_tree_rectangle<FT,D>& r) const {
+                FT distance = FT(0);
+                typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
                 typename SearchTraits::Cartesian_const_iterator_d qit = construct_it(q),
-		  qe = construct_it(q,1);
-		for(unsigned int i = 0;qit != qe; i++, qit++){
-		  if((*qit) < r.min_coord(i))
-				distance += 
-				(r.min_coord(i)-(*qit))*(r.min_coord(i)-(*qit));
-		  else if ((*qit) > r.max_coord(i))
-				distance +=  
-				((*qit)-r.max_coord(i))*((*qit)-r.max_coord(i));
-			
-		}
-		return distance;
-	}
+                  qe = construct_it(q,1);
+                for(unsigned int i = 0;qit != qe; i++, qit++){
+                  if((*qit) < r.min_coord(i))
+                                distance +=
+                                (r.min_coord(i)-(*qit))*(r.min_coord(i)-(*qit));
+                  else if ((*qit) > r.max_coord(i))
+                                distance +=
+                                ((*qit)-r.max_coord(i))*((*qit)-r.max_coord(i));
+
+                }
+                return distance;
+        }
 
         inline FT min_distance_to_rectangle(const Query_item& q,
-					    const Kd_tree_rectangle<FT,D>& r,std::vector<FT>& dists) const {
-		FT distance = FT(0);
-		typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
+                                            const Kd_tree_rectangle<FT,D>& r,std::vector<FT>& dists) const {
+                FT distance = FT(0);
+                typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
                 typename SearchTraits::Cartesian_const_iterator_d qit = construct_it(q),
-		  qe = construct_it(q,1);
-		for(unsigned int i = 0;qit != qe; i++, qit++){
-		  if((*qit) < r.min_coord(i)){
+                  qe = construct_it(q,1);
+                for(unsigned int i = 0;qit != qe; i++, qit++){
+                  if((*qit) < r.min_coord(i)){
                                 dists[i] = (r.min_coord(i)-(*qit));
-				distance += dists[i] * dists[i];
+                                distance += dists[i] * dists[i];
                   }
-		  else if ((*qit) > r.max_coord(i)){
+                  else if ((*qit) > r.max_coord(i)){
                                 dists[i] = ((*qit)-r.max_coord(i));
-				distance +=  dists[i] * dists[i];
+                                distance +=  dists[i] * dists[i];
                   }
-			
-		}
-		return distance;
-	}
-
-	inline FT max_distance_to_rectangle(const Query_item& q,
-					     const Kd_tree_rectangle<FT,D>& r) const {
-		FT distance=FT(0);
-		typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
+
+                }
+                return distance;
+        }
+
+        inline FT max_distance_to_rectangle(const Query_item& q,
+                                             const Kd_tree_rectangle<FT,D>& r) const {
+                FT distance=FT(0);
+                typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
                 typename SearchTraits::Cartesian_const_iterator_d qit = construct_it(q),
-		  qe = construct_it(q,1);
-		for(unsigned int i = 0;qit != qe; i++, qit++){
-				if ((*qit) <= (r.min_coord(i)+r.max_coord(i))/FT(2.0))
-					distance += (r.max_coord(i)-(*qit))*(r.max_coord(i)-(*qit));
-				else
-					distance += ((*qit)-r.min_coord(i))*((*qit)-r.min_coord(i));
-		};
-		return distance;
-	}
+                  qe = construct_it(q,1);
+                for(unsigned int i = 0;qit != qe; i++, qit++){
+                                if ((*qit) <= (r.min_coord(i)+r.max_coord(i))/FT(2.0))
+                                        distance += (r.max_coord(i)-(*qit))*(r.max_coord(i)-(*qit));
+                                else
+                                        distance += ((*qit)-r.min_coord(i))*((*qit)-r.min_coord(i));
+                };
+                return distance;
+        }
 
         inline FT max_distance_to_rectangle(const Query_item& q,
-					     const Kd_tree_rectangle<FT,D>& r,std::vector<FT>& dists ) const {
-		FT distance=FT(0);
-		typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
+                                             const Kd_tree_rectangle<FT,D>& r,std::vector<FT>& dists ) const {
+                FT distance=FT(0);
+                typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
                 typename SearchTraits::Cartesian_const_iterator_d qit = construct_it(q),
-		  qe = construct_it(q,1);
-		for(unsigned int i = 0;qit != qe; i++, qit++){
-				if ((*qit) <= (r.min_coord(i)+r.max_coord(i))/FT(2.0)){
+                  qe = construct_it(q,1);
+                for(unsigned int i = 0;qit != qe; i++, qit++){
+                                if ((*qit) <= (r.min_coord(i)+r.max_coord(i))/FT(2.0)){
                                         dists[i] = (r.max_coord(i)-(*qit));
-					distance += dists[i] * dists[i];
+                                        distance += dists[i] * dists[i];
                                 }
-				else{
+                                else{
                                         dists[i] = ((*qit)-r.min_coord(i));
-					distance += dists[i] * dists[i];
+                                        distance += dists[i] * dists[i];
                                 }
-		};
-		return distance;
-	}
-
-	inline FT new_distance(FT dist, FT old_off, FT new_off,
-			       int /* cutting_dimension */)  const {
-		
-		FT new_dist = dist + (new_off*new_off - old_off*old_off);
+                };
+                return distance;
+        }
+
+        inline FT new_distance(FT dist, FT old_off, FT new_off,
+                               int /* cutting_dimension */)  const {
+
+                FT new_dist = dist + (new_off*new_off - old_off*old_off);
                 return new_dist;
-	}
+        }
 
   inline FT transformed_distance(FT d) const {
-		return d*d;
-	}
+                return d*d;
+        }
 
   inline FT inverse_of_transformed_distance(FT d) const {
-		return CGAL::sqrt(d);
-	}
+                return CGAL::sqrt(d);
+        }
 
   }; // class Euclidean_distance
 
diff -pruN 5.0.2-3/include/CGAL/Euclidean_distance_sphere_point.h 5.0.3-1/include/CGAL/Euclidean_distance_sphere_point.h
--- 5.0.2-3/include/CGAL/Euclidean_distance_sphere_point.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Euclidean_distance_sphere_point.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Euclidean_distance_sphere_point.h $
-// $Id: Euclidean_distance_sphere_point.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Euclidean_distance_sphere_point.h $
+// $Id: Euclidean_distance_sphere_point.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Hans Tangelder (<hanst@cs.uu.nl>)
 
@@ -26,10 +26,10 @@ namespace CGAL {
 
   template <class SearchTraits>
   class Euclidean_distance_sphere_point {
-   
-    
+
+
     SearchTraits traits;
-    
+
     public:
 
     typedef typename SearchTraits::Point_d Point_d;
@@ -39,123 +39,123 @@ namespace CGAL {
     typedef typename SearchTraits::Compute_squared_radius_d Compute_squared_radius_d;
     typedef typename SearchTraits::Construct_cartesian_const_iterator_d Construct_cartesian_const_iterator_d;
     typedef typename SearchTraits::Cartesian_const_iterator_d Cartesian_const_iterator_d;
-    typedef Sphere_d Query_item;   
+    typedef Sphere_d Query_item;
     typedef typename internal::Get_dimension_tag<SearchTraits>::Dimension Dimension;
     public:
 
-    	// default constructor
-    	Euclidean_distance_sphere_point(const SearchTraits& traits_=SearchTraits()):traits(traits_) {}
+            // default constructor
+            Euclidean_distance_sphere_point(const SearchTraits& traits_=SearchTraits()):traits(traits_) {}
 
 
-	inline FT transformed_distance(const Sphere_d& q, const Point_d& p) const {
+        inline FT transformed_distance(const Sphere_d& q, const Point_d& p) const {
                 Point_d c= Construct_center_d()(q);
-		FT distance = FT(0);
-		Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
+                FT distance = FT(0);
+                Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
                 Cartesian_const_iterator_d cit = construct_it(c),
-		  ce = construct_it(c,1), pit = construct_it(p);
-		for(; cit != ce; cit++, pit++){
-		  distance += ((*cit)-(*pit))*((*cit)-(*pit));
-		}
+                  ce = construct_it(c,1), pit = construct_it(p);
+                for(; cit != ce; cit++, pit++){
+                  distance += ((*cit)-(*pit))*((*cit)-(*pit));
+                }
                 distance += - Compute_squared_radius_d()(q);
                 if (distance<0) distance=FT(0);
-        	return distance;
-	}
+                return distance;
+        }
 
 
-	inline FT min_distance_to_rectangle(const Sphere_d& q,
-					     const Kd_tree_rectangle<FT,Dimension>& r) const {
+        inline FT min_distance_to_rectangle(const Sphere_d& q,
+                                             const Kd_tree_rectangle<FT,Dimension>& r) const {
                 Point_d c= Construct_center_d()(q);
-		FT distance = FT(0);
-		Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
+                FT distance = FT(0);
+                Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
                 Cartesian_const_iterator_d cit = construct_it(c),
-		  ce = construct_it(c,1);
-		for (unsigned int i = 0; cit != ce; ++i, ++cit) {
-			if ((*cit) < r.min_coord(i))
-				distance += 
-				(r.min_coord(i)-(*cit))*(r.min_coord(i)-(*cit));
-			else if ((*cit) > r.max_coord(i))
-				distance +=  
-				((*cit)-r.max_coord(i))*((*cit)-r.max_coord(i));
-			
-		};
+                  ce = construct_it(c,1);
+                for (unsigned int i = 0; cit != ce; ++i, ++cit) {
+                        if ((*cit) < r.min_coord(i))
+                                distance +=
+                                (r.min_coord(i)-(*cit))*(r.min_coord(i)-(*cit));
+                        else if ((*cit) > r.max_coord(i))
+                                distance +=
+                                ((*cit)-r.max_coord(i))*((*cit)-r.max_coord(i));
+
+                };
                 distance += - Compute_squared_radius_d()(q);
                 if (distance<0) distance=FT(0);
-		return distance;
-	}
+                return distance;
+        }
 
         inline FT min_distance_to_rectangle(const Sphere_d& q,
-					     const Kd_tree_rectangle<FT,Dimension>& r,std::vector<FT>& dists) const {
+                                             const Kd_tree_rectangle<FT,Dimension>& r,std::vector<FT>& dists) const {
                 Point_d c= Construct_center_d()(q);
-		FT distance = FT(0);
-		Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
+                FT distance = FT(0);
+                Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
                 Cartesian_const_iterator_d cit = construct_it(c),
-		  ce = construct_it(c,1);
-		for (unsigned int i = 0; cit != ce; ++i, ++cit) {
-			if ((*cit) < r.min_coord(i)){
+                  ce = construct_it(c,1);
+                for (unsigned int i = 0; cit != ce; ++i, ++cit) {
+                        if ((*cit) < r.min_coord(i)){
                                 dists[i] =(r.min_coord(i)-(*cit));
-				distance += dists[i] * dists[i];
+                                distance += dists[i] * dists[i];
                         }
-			else if ((*cit) > r.max_coord(i)){
+                        else if ((*cit) > r.max_coord(i)){
                                 dists[i] = ((*cit)-r.max_coord(i));
-				distance +=  dists[i] * dists[i];
-                        }			
-		};
+                                distance +=  dists[i] * dists[i];
+                        }
+                };
                 distance += - Compute_squared_radius_d()(q);
                 if (distance<0) distance=FT(0);
-		return distance;
-	}
+                return distance;
+        }
 
-	inline FT max_distance_to_rectangle(const Sphere_d& q,
-					      const Kd_tree_rectangle<FT,Dimension>& r) const {
-	  Construct_center_d construct_center_d;
+        inline FT max_distance_to_rectangle(const Sphere_d& q,
+                                              const Kd_tree_rectangle<FT,Dimension>& r) const {
+          Construct_center_d construct_center_d;
                 Point_d c = construct_center_d(q);
-		FT distance=FT(0);
-		Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
+                FT distance=FT(0);
+                Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
                 Cartesian_const_iterator_d cit = construct_it(c),
-		  ce = construct_it(c,1);
-		for (unsigned int i = 0; cit != ce; ++i, ++cit) {
-				if ((*cit) <= (r.min_coord(i)+r.max_coord(i))/FT(2.0))
-					distance += (r.max_coord(i)-(*cit))*(r.max_coord(i)-(*cit));
-				else
-					distance += ((*cit)-r.min_coord(i))*((*cit)-r.min_coord(i));
-		};
-		distance += - Compute_squared_radius_d()(q);
+                  ce = construct_it(c,1);
+                for (unsigned int i = 0; cit != ce; ++i, ++cit) {
+                                if ((*cit) <= (r.min_coord(i)+r.max_coord(i))/FT(2.0))
+                                        distance += (r.max_coord(i)-(*cit))*(r.max_coord(i)-(*cit));
+                                else
+                                        distance += ((*cit)-r.min_coord(i))*((*cit)-r.min_coord(i));
+                };
+                distance += - Compute_squared_radius_d()(q);
                 if (distance<0) distance=FT(0);
-		return distance;
-	}
+                return distance;
+        }
 
         inline FT max_distance_to_rectangle(const Sphere_d& q,
-					      const Kd_tree_rectangle<FT,Dimension>& r,std::vector<FT>& dists) const {
-	  Construct_center_d construct_center_d;
+                                              const Kd_tree_rectangle<FT,Dimension>& r,std::vector<FT>& dists) const {
+          Construct_center_d construct_center_d;
                 Point_d c = construct_center_d(q);
-		FT distance=FT(0);
-		Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
+                FT distance=FT(0);
+                Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
                 Cartesian_const_iterator_d cit = construct_it(c),
-		  ce = construct_it(c,1);
-		for (unsigned int i = 0; cit != ce; ++i, ++cit) {
-				if ((*cit) <= (r.min_coord(i)+r.max_coord(i))/FT(2.0)){
+                  ce = construct_it(c,1);
+                for (unsigned int i = 0; cit != ce; ++i, ++cit) {
+                                if ((*cit) <= (r.min_coord(i)+r.max_coord(i))/FT(2.0)){
                                         dists[i] = (r.max_coord(i)-(*cit));
-					distance += dists[i] * dists[i];
+                                        distance += dists[i] * dists[i];
                                 }
-				else{
+                                else{
                                         dists[i] = ((*cit)-r.min_coord(i));
-					distance += dists[i] * dists[i];
+                                        distance += dists[i] * dists[i];
                                 }
-		};
-		distance += - Compute_squared_radius_d()(q);
+                };
+                distance += - Compute_squared_radius_d()(q);
                 if (distance<0) distance=FT(0);
-		return distance;
-	}
+                return distance;
+        }
 
 
 
   inline FT transformed_distance(FT d) const {
-		return d*d;
-	}
+                return d*d;
+        }
 
   inline FT inverse_of_transformed_distance(FT d) const {
-		return CGAL::sqrt(d);
-	}
+                return CGAL::sqrt(d);
+        }
 
   }; // class Euclidean_distance_sphere_point
 
diff -pruN 5.0.2-3/include/CGAL/Euler_integrator_2.h 5.0.3-1/include/CGAL/Euler_integrator_2.h
--- 5.0.2-3/include/CGAL/Euler_integrator_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Euler_integrator_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_lines_2/include/CGAL/Euler_integrator_2.h $
-// $Id: Euler_integrator_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_lines_2/include/CGAL/Euler_integrator_2.h $
+// $Id: Euler_integrator_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Abdelkrim Mebarki <Abdelkrim.Mebarki@sophia.inria.fr>
 
@@ -38,17 +38,17 @@ public:
   Euler_integrator_2(const FT & integration_step);
 
   inline Point_2 operator()(const Point_2 & p, const Vector_field_2 &
-			    vector_field_2, const bool & index) const;
+                            vector_field_2, const bool & index) const;
 
   inline Point_2 operator()(const Point_2 & p, const Vector_field_2 &
-			    vector_field_2, const FT &
-			    integration_step, const bool & index)
+                            vector_field_2, const FT &
+                            integration_step, const bool & index)
     const;
 
   inline Point_2 operator()(const Point_2 & p, const Vector_field_2 &
-			    vector_field_2, const FT &
-			    integration_step, Vector_2 v, const bool &
-			    index) const;
+                            vector_field_2, const FT &
+                            integration_step, Vector_2 v, const bool &
+                            index) const;
 
   inline FT get_default_integration_step()
     {
@@ -73,7 +73,7 @@ Euler_integrator_2<Vector_field>::Euler_
 {}
 
 template <class Vector_field>
-inline typename Euler_integrator_2<Vector_field>::Point_2 
+inline typename Euler_integrator_2<Vector_field>::Point_2
 Euler_integrator_2<Vector_field>::operator()
   (const Point_2 & p, const Vector_field_2 & , const FT & integration_step, Vector_2 v, const bool & index) const
 {
@@ -88,7 +88,7 @@ Euler_integrator_2<Vector_field>::operat
 }
 
 template <class Vector_field>
-inline typename Euler_integrator_2<Vector_field>::Point_2 
+inline typename Euler_integrator_2<Vector_field>::Point_2
 Euler_integrator_2<Vector_field>::operator()
   (const Point_2 & p, const Vector_field_2 & vector_field_2, const FT & integration_step, const bool & index) const
 {
@@ -98,7 +98,7 @@ Euler_integrator_2<Vector_field>::operat
 }
 
 template <class Vector_field>
-inline typename Euler_integrator_2<Vector_field>::Point_2 
+inline typename Euler_integrator_2<Vector_field>::Point_2
 Euler_integrator_2<Vector_field>::operator()
   (const Point_2 & p, const Vector_field_2 & vector_field_2, const bool & index) const
 {
diff -pruN 5.0.2-3/include/CGAL/Exact_algebraic.h 5.0.3-1/include/CGAL/Exact_algebraic.h
--- 5.0.2-3/include/CGAL/Exact_algebraic.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Exact_algebraic.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2019  
+// Copyright (c) 2019
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Exact_algebraic.h $
-// $Id: Exact_algebraic.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Exact_algebraic.h $
+// $Id: Exact_algebraic.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -37,10 +37,10 @@ It is a typedef of another number type.
 the availability the third-party libraries %CORE, and %LEDA. %CGAL must
 be configured with at least one of those libraries.
 
-\cgalModels `FieldWithSqrt` 
-\cgalModels `RealEmbeddable` 
-\cgalModels `Fraction` 
-\cgalModels `FromDoubleConstructible` 
+\cgalModels `FieldWithSqrt`
+\cgalModels `RealEmbeddable`
+\cgalModels `Fraction`
+\cgalModels `FromDoubleConstructible`
 
 */
 #if DOXYGEN_RUNNING
@@ -52,11 +52,11 @@ typedef unspecified_type Exact_algebraic
 #ifdef CGAL_USE_CORE
   typedef CORE::Expr Exact_algebraic;
 #endif
-  
+
 #ifdef CGAL_USE_LEDA
 typedef leda_real Exact_algebraic;
 #endif
 
 #endif
-  
+
 } /* end namespace CGAL */
diff -pruN 5.0.2-3/include/CGAL/Exact_circular_kernel_2.h 5.0.3-1/include/CGAL/Exact_circular_kernel_2.h
--- 5.0.2-3/include/CGAL/Exact_circular_kernel_2.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Exact_circular_kernel_2.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Exact_circular_kernel_2.h $
-// $Id: Exact_circular_kernel_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Exact_circular_kernel_2.h $
+// $Id: Exact_circular_kernel_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_EXACT_CIRCULAR_2_KERNEL_H
diff -pruN 5.0.2-3/include/CGAL/Exact_integer.h 5.0.3-1/include/CGAL/Exact_integer.h
--- 5.0.2-3/include/CGAL/Exact_integer.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Exact_integer.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2014  
+// Copyright (c) 2014
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Exact_integer.h $
-// $Id: Exact_integer.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Exact_integer.h $
+// $Id: Exact_integer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -40,8 +40,8 @@ It is a typedef of another number type.
 the availability the third-party libraries %GMP, %CORE, and %LEDA. %CGAL must
 be configured with at least one of those libraries.
 
-\cgalModels `EuclideanRing` 
-\cgalModels `RealEmbeddable` 
+\cgalModels `EuclideanRing`
+\cgalModels `RealEmbeddable`
 
 */
 #if DOXYGEN_RUNNING
diff -pruN 5.0.2-3/include/CGAL/Exact_kernel_selector.h 5.0.3-1/include/CGAL/Exact_kernel_selector.h
--- 5.0.2-3/include/CGAL/Exact_kernel_selector.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Exact_kernel_selector.h	2020-08-01 19:02:26.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Exact_kernel_selector.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Exact_kernel_selector.h $
 // $Id: Exact_kernel_selector.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Exact_predicates_exact_constructions_kernel.h 5.0.3-1/include/CGAL/Exact_predicates_exact_constructions_kernel.h
--- 5.0.2-3/include/CGAL/Exact_predicates_exact_constructions_kernel.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Exact_predicates_exact_constructions_kernel.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Exact_predicates_exact_constructions_kernel.h $
-// $Id: Exact_predicates_exact_constructions_kernel.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Exact_predicates_exact_constructions_kernel.h $
+// $Id: Exact_predicates_exact_constructions_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas, Sylvain Pion
 
@@ -55,7 +55,7 @@ class Epeck
   : public Type_equality_wrapper<
              Lazy_kernel_base< Simple_cartesian<Epeck_ft>,
                                Simple_cartesian<Interval_nt_advanced>,
-	                       Cartesian_converter< Simple_cartesian<Epeck_ft>,
+                               Cartesian_converter< Simple_cartesian<Epeck_ft>,
                                                     Simple_cartesian<Interval_nt_advanced> >,
                                Epeck>,
              Epeck >
diff -pruN 5.0.2-3/include/CGAL/Exact_predicates_exact_constructions_kernel_with_kth_root.h 5.0.3-1/include/CGAL/Exact_predicates_exact_constructions_kernel_with_kth_root.h
--- 5.0.2-3/include/CGAL/Exact_predicates_exact_constructions_kernel_with_kth_root.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Exact_predicates_exact_constructions_kernel_with_kth_root.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Exact_predicates_exact_constructions_kernel_with_kth_root.h $
-// $Id: Exact_predicates_exact_constructions_kernel_with_kth_root.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Exact_predicates_exact_constructions_kernel_with_kth_root.h $
+// $Id: Exact_predicates_exact_constructions_kernel_with_kth_root.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hemmer
 
diff -pruN 5.0.2-3/include/CGAL/Exact_predicates_exact_constructions_kernel_with_root_of.h 5.0.3-1/include/CGAL/Exact_predicates_exact_constructions_kernel_with_root_of.h
--- 5.0.2-3/include/CGAL/Exact_predicates_exact_constructions_kernel_with_root_of.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Exact_predicates_exact_constructions_kernel_with_root_of.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Exact_predicates_exact_constructions_kernel_with_root_of.h $
-// $Id: Exact_predicates_exact_constructions_kernel_with_root_of.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Exact_predicates_exact_constructions_kernel_with_root_of.h $
+// $Id: Exact_predicates_exact_constructions_kernel_with_root_of.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hemmer
 
diff -pruN 5.0.2-3/include/CGAL/Exact_predicates_exact_constructions_kernel_with_sqrt.h 5.0.3-1/include/CGAL/Exact_predicates_exact_constructions_kernel_with_sqrt.h
--- 5.0.2-3/include/CGAL/Exact_predicates_exact_constructions_kernel_with_sqrt.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Exact_predicates_exact_constructions_kernel_with_sqrt.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Exact_predicates_exact_constructions_kernel_with_sqrt.h $
-// $Id: Exact_predicates_exact_constructions_kernel_with_sqrt.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Exact_predicates_exact_constructions_kernel_with_sqrt.h $
+// $Id: Exact_predicates_exact_constructions_kernel_with_sqrt.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas, Sylvain Pion
 
diff -pruN 5.0.2-3/include/CGAL/Exact_predicates_inexact_constructions_kernel.h 5.0.3-1/include/CGAL/Exact_predicates_inexact_constructions_kernel.h
--- 5.0.2-3/include/CGAL/Exact_predicates_inexact_constructions_kernel.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Exact_predicates_inexact_constructions_kernel.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Exact_predicates_inexact_constructions_kernel.h $
-// $Id: Exact_predicates_inexact_constructions_kernel.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Exact_predicates_inexact_constructions_kernel.h $
+// $Id: Exact_predicates_inexact_constructions_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas, Sylvain Pion
 
diff -pruN 5.0.2-3/include/CGAL/Exact_rational.h 5.0.3-1/include/CGAL/Exact_rational.h
--- 5.0.2-3/include/CGAL/Exact_rational.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Exact_rational.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2014  
+// Copyright (c) 2014
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Exact_rational.h $
-// $Id: Exact_rational.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Exact_rational.h $
+// $Id: Exact_rational.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -27,10 +27,10 @@ It is a typedef of another number type.
 the availability the third-party libraries %GMP, %CORE, and %LEDA. %CGAL must
 be configured with at least one of those libraries.
 
-\cgalModels `Field` 
-\cgalModels `RealEmbeddable` 
-\cgalModels `Fraction` 
-\cgalModels `FromDoubleConstructible` 
+\cgalModels `Field`
+\cgalModels `RealEmbeddable`
+\cgalModels `Fraction`
+\cgalModels `FromDoubleConstructible`
 
 */
 #if DOXYGEN_RUNNING
diff -pruN 5.0.2-3/include/CGAL/Exact_spherical_kernel_3.h 5.0.3-1/include/CGAL/Exact_spherical_kernel_3.h
--- 5.0.2-3/include/CGAL/Exact_spherical_kernel_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Exact_spherical_kernel_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Exact_spherical_kernel_3.h $
-// $Id: Exact_spherical_kernel_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Exact_spherical_kernel_3.h $
+// $Id: Exact_spherical_kernel_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_EXACT_SPHERICAL_3_KERNEL_H
diff -pruN 5.0.2-3/include/CGAL/exceptions.h 5.0.3-1/include/CGAL/exceptions.h
--- 5.0.2-3/include/CGAL/exceptions.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/exceptions.h	2020-08-01 19:02:47.000000000 +0000
@@ -4,10 +4,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/exceptions.h $
-// $Id: exceptions.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/exceptions.h $
+// $Id: exceptions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner, Sylvain Pion
 
@@ -25,7 +25,7 @@
 #  pragma warning(push)
 #  pragma warning(disable: 4003)
 #endif
-#include <boost/lexical_cast.hpp> 
+#include <boost/lexical_cast.hpp>
 #if defined(BOOST_MSVC)
 #  pragma warning(pop)
 #endif
@@ -41,8 +41,8 @@ namespace CGAL {
     \brief <tt>\#include <CGAL/basic.h></tt> for pre- and postconditions,
     assertions, warnings, and error handler.
 
-    \c CGAL/basic.h provides macros for pre- and postconditions, assertions, 
-    warnings, and errors that are active by default. There are variants 
+    \c CGAL/basic.h provides macros for pre- and postconditions, assertions,
+    warnings, and errors that are active by default. There are variants
     for expensive checks that are inactive by default.
 
     A failed precondition, postcondition or assertion is a fatal error
@@ -50,7 +50,7 @@ namespace CGAL {
     the program continues to run. Both can be changed with the respective
     \c error_behavior or \c warning_behavior, or with the corresponding
     \c error_handler or \c warning_handler.
-    
+
     However, if the checks are disabled with corresponding
     preprocessor symbols or \c NDEBUG, none of this error handling
     will happen and the program execution continues with potentially
@@ -60,8 +60,8 @@ namespace CGAL {
     the production version of the program, keeping in mind that they
     should not cost too much runtime overhead, maybe 10%.
 
-    \see \c CGAL_test for checks that cannot be disabled and 
-         \c CGAL_error_msg for an unconditional error message that cannot 
+    \see \c CGAL_test for checks that cannot be disabled and
+         \c CGAL_error_msg for an unconditional error message that cannot
          be disabled with macros.
 */
 
@@ -107,7 +107,7 @@ public:
 
     //! source code filename where the failure was detected.
     std::string      filename() const { return m_file; }
-    
+
     //! line number in source code file where the failure was detected.
     int              line_number() const { return m_line; }
 
diff -pruN 5.0.2-3/include/CGAL/Exponent_vector.h 5.0.3-1/include/CGAL/Exponent_vector.h
--- 5.0.2-3/include/CGAL/Exponent_vector.h	2020-02-21 20:04:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Exponent_vector.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Exponent_vector.h $
-// $Id: Exponent_vector.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Exponent_vector.h $
+// $Id: Exponent_vector.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hemmer
 //
@@ -29,13 +29,13 @@
 namespace CGAL {
 
 
-class Exponent_vector :  
+class Exponent_vector :
   public boost::less_than_comparable1< Exponent_vector >,
   public boost::equality_comparable1< Exponent_vector >
 {
-  std::vector<int> v; 
+  std::vector<int> v;
 public:
-  typedef  Exponent_vector Self; 
+  typedef  Exponent_vector Self;
 
   Exponent_vector(){};
 
@@ -43,7 +43,7 @@ public:
     v[0]=e0;
   };
   Exponent_vector(int e0, int e1): v(2) {
-    v[0]=e0; v[1]=e1; 
+    v[0]=e0; v[1]=e1;
   };
   Exponent_vector(int e0, int e1, int e2): v(3) {
     v[0]=e0; v[1]=e1; v[2]=e2;
@@ -51,7 +51,7 @@ public:
   Exponent_vector(int e0, int e1, int e2, int e3): v(4) {
     v[0]=e0; v[1]=e1; v[2]=e2; v[3]=e3;
   };
-    
+
   Exponent_vector(const std::vector<int>& v_): v(v_){};
 
   template <class InputIterator>
@@ -63,11 +63,11 @@ public:
   }
 
 
-  // mirror vector functions 
-  typedef  std::vector<int>::value_type value_type; 
+  // mirror vector functions
+  typedef  std::vector<int>::value_type value_type;
   typedef  std::vector<int>::pointer pointer;
-  typedef  std::vector<int>::const_pointer const_pointer; 
-  typedef  std::vector<int>::reference reference; 
+  typedef  std::vector<int>::const_pointer const_pointer;
+  typedef  std::vector<int>::reference reference;
   typedef  std::vector<int>::const_reference const_reference;
   typedef  std::vector<int>::size_type size_type;
   typedef  std::vector<int>::difference_type difference_type;
@@ -81,9 +81,9 @@ public:
   const_iterator begin() const {return v.begin();}
   const_iterator end() const {return v.end();}
   reverse_iterator rbegin() {return v.rbegin();}
-  reverse_iterator rend(){return v.rend();} 
+  reverse_iterator rend(){return v.rend();}
   const_reverse_iterator rbegin() const {return v.rbegin();}
-  const_reverse_iterator rend() const {return v.rend();} 
+  const_reverse_iterator rend() const {return v.rend();}
   size_type size() const {return v.size();}
   size_type max_size() const {return v.max_size();}
   size_type capacity() const {return v.capacity();}
@@ -91,7 +91,7 @@ public:
   reference operator[](size_type n) { return v[n]; }
   const_reference operator[](size_type n) const {return v[n];}
   // vector& operator=(const vector&)
-  
+
   void reserve(size_t s){v.reserve(s);}
   reference front(){return v.front();}
   const_reference front() const {return v.front();}
@@ -101,7 +101,7 @@ public:
   void pop_back() {v.pop_back();}
   void swap(Self& ev) {v.swap(ev.v);}
   iterator insert(iterator pos, const int& x){return v.insert(pos,x);}
-  
+
   template <class InputIterator>
   void insert(iterator pos,InputIterator f, InputIterator l){
     v.insert(pos,f,l);
@@ -115,18 +115,18 @@ public:
   void resize(size_type n, int t = 0){v.resize(n,t);}
   bool operator==(const Self& ev) const { return v == ev.v; }
 
-  // this is the actual change 
+  // this is the actual change
   bool operator<( const Exponent_vector& ev ) const {
     return std::lexicographical_compare (
-        this->rbegin(), this->rend(),  ev.rbegin(), ev.rend()); 
+        this->rbegin(), this->rend(),  ev.rbegin(), ev.rend());
 }
-  
+
   void output_benchmark( std::ostream& os ) const {
     os << "( ";
     for( unsigned i = 0; i < size(); ++i ) {
       if( i != 0 )
         os << ", ";
-      os << v.at(i); 
+      os << v.at(i);
     }
     os << " )";
   }
@@ -138,7 +138,7 @@ inline bool is_valid(const Exponent_vect
   for(it = ev.begin(); it != ev.end();it++){
     if (CGAL::is_negative(*it)) return false;
   }
-  return true; 
+  return true;
 }
 
 inline std::ostream& operator << (std::ostream& os, const Exponent_vector& ev) {
@@ -159,7 +159,7 @@ inline std::ostream& operator << (std::o
 } //namespace CGAL
 
 namespace std{
-template <> inline 
+template <> inline
 void swap(CGAL::Exponent_vector& ev1, CGAL::Exponent_vector& ev2)
   CGAL_NOEXCEPT(std::is_nothrow_move_constructible<CGAL::Exponent_vector>::value
                 && std::is_nothrow_move_assignable<CGAL::Exponent_vector>::value)
diff -pruN 5.0.2-3/include/CGAL/export/CGAL.h 5.0.3-1/include/CGAL/export/CGAL.h
--- 5.0.2-3/include/CGAL/export/CGAL.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/export/CGAL.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/export/CGAL.h $
-// $Id: CGAL.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/export/CGAL.h $
+// $Id: CGAL.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/export/CORE.h 5.0.3-1/include/CGAL/export/CORE.h
--- 5.0.2-3/include/CGAL/export/CORE.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/export/CORE.h	2020-08-01 19:02:17.000000000 +0000
@@ -7,22 +7,22 @@
  *
  * File: Expr.h
  * Synopsis: a class of Expression in Level 3
- * 
- * Written by 
+ *
+ * Written by
  *       Koji Ouchi <ouchi@simulation.nyu.edu>
  *       Chee Yap <yap@cs.nyu.edu>
  *       Igor Pechtchanski <pechtcha@cs.nyu.edu>
  *       Vijay Karamcheti <vijayk@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
- *       Sylvain Pion <pion@cs.nyu.edu> 
+ *       Sylvain Pion <pion@cs.nyu.edu>
  *       Vikram Sharma<sharma@cs.nyu.edu>
  *
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_Core/include/CGAL/export/CORE.h $
- * $Id: CORE.h 26fb266 2019-10-19T16:28:33+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_Core/include/CGAL/export/CORE.h $
+ * $Id: CORE.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  ***************************************************************************/
 
diff -pruN 5.0.2-3/include/CGAL/export/helpers.h 5.0.3-1/include/CGAL/export/helpers.h
--- 5.0.2-3/include/CGAL/export/helpers.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/export/helpers.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/export/helpers.h $
-// $Id: helpers.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/export/helpers.h $
+// $Id: helpers.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent Rineau
 
diff -pruN 5.0.2-3/include/CGAL/export/ImageIO.h 5.0.3-1/include/CGAL/export/ImageIO.h
--- 5.0.2-3/include/CGAL/export/ImageIO.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/export/ImageIO.h	2020-08-01 19:02:17.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/export/ImageIO.h $
-// $Id: ImageIO.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/export/ImageIO.h $
+// $Id: ImageIO.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/export/Qt.h 5.0.3-1/include/CGAL/export/Qt.h
--- 5.0.2-3/include/CGAL/export/Qt.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/export/Qt.h	2020-08-01 19:02:21.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/export/Qt.h $
-// $Id: Qt.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/export/Qt.h $
+// $Id: Qt.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/Extended_cartesian.h 5.0.3-1/include/CGAL/Extended_cartesian.h
--- 5.0.2-3/include/CGAL/Extended_cartesian.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Extended_cartesian.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Extended_cartesian.h $
-// $Id: Extended_cartesian.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Extended_cartesian.h $
+// $Id: Extended_cartesian.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 #ifndef CGAL_EXTENDED_CARTESIAN_H
@@ -17,7 +17,7 @@
 #include <CGAL/disable_warnings.h>
 
 #include <CGAL/Simple_cartesian.h>
-#include <CGAL/Point_2.h> 
+#include <CGAL/Point_2.h>
 #include <CGAL/Intersections_2/Line_2_Line_2.h>
 #include <CGAL/Nef_polynomial.h>
 
@@ -40,8 +40,8 @@ struct Is_extended_kernel<Extended_carte
 /*{\Xanpage {Extended_cartesian}{}{An extended geometric kernel model}{K}}*/
 
 template <class pFT>
-class Extended_cartesian : public 
-  CGAL::Simple_cartesian< CGAL::Nef_polynomial<pFT> > { 
+class Extended_cartesian : public
+  CGAL::Simple_cartesian< CGAL::Nef_polynomial<pFT> > {
 public:
 typedef CGAL::Simple_cartesian< CGAL::Nef_polynomial<pFT> > Base;
 typedef Extended_cartesian<pFT> Self;
@@ -77,7 +77,7 @@ typedef typename Standard_kernel::Direct
 typedef typename Standard_kernel::Ray_2       Standard_ray_2;
 /*{\Xtypemember standard rays.}*/
 
-typedef typename Standard_kernel::Aff_transformation_2 
+typedef typename Standard_kernel::Aff_transformation_2
   Standard_aff_transformation_2;
 /*{\Xtypemember standard affine transformations.}*/
 
@@ -101,12 +101,12 @@ typedef typename Base::Line_2       Line
 typedef typename Base::Direction_2  Direction_2;
 /*{\Xtypemember extended directions.}*/
 
-enum Point_type { SWCORNER=1, LEFTFRAME, NWCORNER, 
+enum Point_type { SWCORNER=1, LEFTFRAME, NWCORNER,
                   BOTTOMFRAME, STANDARD, TOPFRAME,
                   SECORNER, RIGHTFRAME, NECORNER };
 /*{\Xenum a type descriptor for extended points.}*/
 
-Point_2 epoint(const Standard_FT& m1, const Standard_FT& n1, 
+Point_2 epoint(const Standard_FT& m1, const Standard_FT& n1,
                const Standard_FT& m2, const Standard_FT& n2) const
 { return Point_2(FT(n1,m1),FT(n2,m2)); }
 
@@ -115,40 +115,40 @@ public:
 /*{\Xtext \headerline{Interfacing the affine kernel types}}*/
 
 Point_2 construct_point(const Standard_point_2& p) const
-/*{\Xop creates an extended point |Point_2| and initializes it to the 
+/*{\Xop creates an extended point |Point_2| and initializes it to the
 standard point |p|.}*/
 { return Point_2(p.x(), p.y()); }
 
 Point_2 construct_point(const Standard_line_2& l, Point_type& t) const
 /*{\Xop creates an extended point initialized to the equivalence
-class of all the rays underlying the oriented line |l|. 
+class of all the rays underlying the oriented line |l|.
 |t| returns the type of the new extended point.}*/
-{ 
+{
   t = (Point_type)Line_to_epoint<Standard_kernel>::determine_type(l);
   Point_2 res;
   switch (t) {
     case SWCORNER:   res = epoint(-1, 0, -1, 0); break;
     case NWCORNER:   res = epoint(-1, 0,  1, 0); break;
-    case SECORNER:   res = epoint( 1, 0, -1, 0); break; 
-    case NECORNER:   res = epoint( 1, 0,  1, 0); break;  
-    case LEFTFRAME:  
-      res = epoint(-1, 0,  l.a()/l.b(), -l.c()/l.b()); break; 
-    case RIGHTFRAME: 
-      res = epoint( 1, 0, -l.a()/l.b(), -l.c()/l.b()); break; 
-    case BOTTOMFRAME: 
-      res = epoint( l.b()/l.a(), -l.c()/l.a(), -1, 0); break; 
-    case TOPFRAME: 
-      res = epoint(-l.b()/l.a(), -l.c()/l.a(),  1, 0); break; 
+    case SECORNER:   res = epoint( 1, 0, -1, 0); break;
+    case NECORNER:   res = epoint( 1, 0,  1, 0); break;
+    case LEFTFRAME:
+      res = epoint(-1, 0,  l.a()/l.b(), -l.c()/l.b()); break;
+    case RIGHTFRAME:
+      res = epoint( 1, 0, -l.a()/l.b(), -l.c()/l.b()); break;
+    case BOTTOMFRAME:
+      res = epoint( l.b()/l.a(), -l.c()/l.a(), -1, 0); break;
+    case TOPFRAME:
+      res = epoint(-l.b()/l.a(), -l.c()/l.a(),  1, 0); break;
     default: CGAL_error_msg("EPoint type not correct!");
   }
   return res;
 }
 
-Point_2 construct_point(const Standard_point_2& p1, 
-                        const Standard_point_2& p2, 
+Point_2 construct_point(const Standard_point_2& p1,
+                        const Standard_point_2& p2,
                         Point_type& t) const
 /*{\Xop creates an extended point and initializes it to the equivalence
-class of all the rays underlying the oriented line |l(p1,p2)|. 
+class of all the rays underlying the oriented line |l(p1,p2)|.
 |t| returns the type of the new extended point.}*/
 { return construct_point(Standard_line_2(p1,p2),t); }
 
@@ -157,13 +157,13 @@ Point_2 construct_point(const Standard_l
 class of all the rays underlying the oriented line |l|. }*/
 { Point_type dummy; return construct_point(l,dummy); }
 
-Point_2 construct_point(const Standard_point_2& p1, 
+Point_2 construct_point(const Standard_point_2& p1,
                         const Standard_point_2& p2) const
 /*{\Xop creates an extended point and initializes it to the equivalence
 class of all the rays underlying the oriented line |l(p1,p2)|.}*/
 { return construct_point(Standard_line_2(p1,p2)); }
 
-Point_2 construct_point(const Standard_point_2& p, 
+Point_2 construct_point(const Standard_point_2& p,
                         const Standard_direction_2& d) const
 /*{\Xop creates an extended point and initializes it to the equivalence
 class of all the rays underlying the ray starting in |p| in direction |d|.}*/
@@ -178,7 +178,7 @@ Point_type type(const Point_2& p) const
 /*{\Xop determines the type of |p| and returns it.}*/
 {
   CGAL_assertion(p.x().degree()>=0 && p.y().degree()>=0 );
-  if ( p.x().degree() == 0 && p.y().degree() == 0) 
+  if ( p.x().degree() == 0 && p.y().degree() == 0)
     return STANDARD;
   // now we are on the square frame
   FT rx = p.x();
@@ -195,7 +195,7 @@ Point_type type(const Point_2& p) const
     if (sy > 0) return TOPFRAME;
     else        return BOTTOMFRAME;
   }
-  // now (rx == ry) 
+  // now (rx == ry)
   if (sx==sy) {
     if (sx < 0) return SWCORNER;
     else        return NECORNER;
@@ -218,7 +218,7 @@ Standard_point_2 standard_point(const Po
 }
 
 Standard_line_2 standard_line(const Point_2& p) const
-/*{\Xop returns the oriented line representing the 
+/*{\Xop returns the oriented line representing the
 bundle of rays defining |p|.
 \precond |!\Mvar.is_standard(p)|.}*/
 { CGAL_assertion( type(p)!=STANDARD );
@@ -232,7 +232,7 @@ bundle of rays defining |p|.
 
 Standard_ray_2 standard_ray(const Point_2& p) const
 /*{\Xop a ray defining |p|. \precond |!\Mvar.is_standard(p)|.}*/
-{ 
+{
   CGAL_assertion( type(p)!=STANDARD );
   FT x = p.x(), y = p.y();
   Standard_FT dx = x.degree()>0 ? x[1] : Standard_FT(0);
@@ -298,7 +298,7 @@ Line_2 construct_line(const Point_2& p1,
     CGAL_NEF_TRACEN("eline("<<p1<<p2<<")="<<l);
   RT a=l.a(), b=l.b(), c=l.c();
   l =  Line_2(a,b,c);
-  return l; 
+  return l;
 }
 
 
@@ -307,23 +307,23 @@ int orientation(const Segment_2& s, cons
 through |s|.}*/
 { typename Base::Orientation_2 _orientation =
     this->orientation_2_object();
-  return static_cast<int> ( _orientation(source(s),target(s),p) ); 
+  return static_cast<int> ( _orientation(source(s),target(s),p) );
 }
 
-int orientation(const Point_2& p1, const Point_2& p2, const Point_2& p3) 
+int orientation(const Point_2& p1, const Point_2& p2, const Point_2& p3)
 const
 /*{\Xop returns the orientation of |p2| with respect to the line
 through |p1p2|.}*/
 { typename Base::Orientation_2 _orientation =
     this->orientation_2_object();
-  return static_cast<int> ( _orientation(p1,p2,p3) ); 
+  return static_cast<int> ( _orientation(p1,p2,p3) );
 }
 
-bool left_turn(const Point_2& p1, const Point_2& p2, const Point_2& p3) 
+bool left_turn(const Point_2& p1, const Point_2& p2, const Point_2& p3)
 const
 /*{\Xop return true iff the |p3| is left of the line through |p1p2|.}*/
 { return orientation(p1,p2,p3) > 0; }
- 
+
 bool is_degenerate(const Segment_2& s) const
 /*{\Xop return true iff |s| is degenerate.}*/
 { typename Base::Is_degenerate_2 _is_degenerate =
@@ -354,13 +354,13 @@ int compare_y(const Point_2& p1, const P
 
 Point_2 intersection(
   const Segment_2& s1, const Segment_2& s2) const
-/*{\Xop returns the point of intersection of the lines supported by |s1| 
+/*{\Xop returns the point of intersection of the lines supported by |s1|
 and |s2|.}*/
 { typename Base::Intersect_2 _intersect =
     this->intersect_2_object();
   typename Base::Construct_line_2 _line =
     this->construct_line_2_object();
-  Point_2 p; 
+  Point_2 p;
   Line_2 l1 = _line(s1);
   Line_2 l2 = _line(s2);
 
@@ -378,11 +378,11 @@ Direction_2 construct_direction(
     this->construct_direction_2_object();
   return _direction(construct_line(p1,p2)); }
 
-bool strictly_ordered_ccw(const Direction_2& d1, 
+bool strictly_ordered_ccw(const Direction_2& d1,
   const Direction_2& d2, const Direction_2& d3) const
 /*{\Xop returns |true| iff |d2| is in the interior of the
 counterclockwise angular sector between |d1| and |d3|.}*/
-{ 
+{
   if ( d1 < d2 )  return ( d2 < d3 )||( d3 <= d1 );
   if ( d1 > d2 )  return ( d2 < d3 )&&( d3 <= d1 );
   return false;
@@ -404,7 +404,7 @@ segment |p1p3|.}*/
 }
 
 bool first_pair_closer_than_second(
-  const Point_2& p1, const Point_2& p2, 
+  const Point_2& p1, const Point_2& p2,
   const Point_2& p3, const Point_2& p4) const
 { return ( squared_distance(p1,p2) < squared_distance(p3,p4) ); }
 
diff -pruN 5.0.2-3/include/CGAL/extended_euclidean_algorithm.h 5.0.3-1/include/CGAL/extended_euclidean_algorithm.h
--- 5.0.2-3/include/CGAL/extended_euclidean_algorithm.h	2020-02-21 20:02:45.000000000 +0000
+++ 5.0.3-1/include/CGAL/extended_euclidean_algorithm.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_foundations/include/CGAL/extended_euclidean_algorithm.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_foundations/include/CGAL/extended_euclidean_algorithm.h $
 // $Id: extended_euclidean_algorithm.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Extended_homogeneous.h 5.0.3-1/include/CGAL/Extended_homogeneous.h
--- 5.0.2-3/include/CGAL/Extended_homogeneous.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Extended_homogeneous.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Extended_homogeneous.h $
-// $Id: Extended_homogeneous.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Extended_homogeneous.h $
+// $Id: Extended_homogeneous.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 #ifndef CGAL_EXTENDED_HOMOGENEOUS_H
@@ -17,10 +17,10 @@
 #include <CGAL/disable_warnings.h>
 
 #include <CGAL/basic.h>
-#include <CGAL/Homogeneous.h> 
-#include <CGAL/Point_2.h> 
-#include <CGAL/Intersections_2/Line_2_Line_2.h> 
-#include <CGAL/squared_distance_2.h> 
+#include <CGAL/Homogeneous.h>
+#include <CGAL/Point_2.h>
+#include <CGAL/Intersections_2/Line_2_Line_2.h>
+#include <CGAL/squared_distance_2.h>
 #include <CGAL/number_utils.h>
 #include <CGAL/Nef_polynomial.h>
 #undef CGAL_NEF_DEBUG
@@ -40,12 +40,12 @@ struct Is_extended_kernel<Extended_homog
 };
 
 /*{\Moptions outfile=ExtendedKernelTraits_2.man}*/
-/*{\Moptions print_title=yes }*/ 
-/*{\Msubst Extended_homogeneous ExtendedKernelTraits_2}*/ 
+/*{\Moptions print_title=yes }*/
+/*{\Msubst Extended_homogeneous ExtendedKernelTraits_2}*/
 /*{\Manpage {ExtendedKernelTraits_2}{}{Extended Kernel Traits}{K}}*/
 
 template <class RT_>
-class Extended_homogeneous : public 
+class Extended_homogeneous : public
   CGAL::Homogeneous< CGAL::Nef_polynomial<RT_> > { public:
 
 /*{\Mdefinition |\Mname| is a kernel concept providing extended
@@ -114,7 +114,7 @@ on the extended geometric objects.}*/
   typedef typename Standard_kernel::Ray_2       Standard_ray_2;
   /*{\Mtypemember standard rays.}*/
 
-  typedef typename Standard_kernel::Aff_transformation_2 
+  typedef typename Standard_kernel::Aff_transformation_2
     Standard_aff_transformation_2;
   /*{\Mtypemember standard affine transformations.}*/
 
@@ -135,35 +135,35 @@ on the extended geometric objects.}*/
   typedef typename Base::Line_2       Line_2;
   // used only internally
 
-  enum Point_type { SWCORNER=1, LEFTFRAME, NWCORNER, 
+  enum Point_type { SWCORNER=1, LEFTFRAME, NWCORNER,
                     BOTTOMFRAME, STANDARD, TOPFRAME,
                     SECORNER, RIGHTFRAME, NECORNER };
   /*{\Menum a type descriptor for extended points.}*/
 
 
   public:
-  Point_2 epoint(const Standard_RT& m1, const Standard_RT& n1, 
-                 const Standard_RT& m2, const Standard_RT& n2, 
+  Point_2 epoint(const Standard_RT& m1, const Standard_RT& n1,
+                 const Standard_RT& m2, const Standard_RT& n2,
                                 const Standard_RT& n3) const
   { return Point_2(RT(n1,m1),RT(n2,m2),RT(n3)); }
 
   Point_2 construct_point(const Standard_line_2& l, Point_type& t) const
-  { 
+  {
     t = (Point_type)Line_to_epoint<Standard_kernel>::determine_type(l);
     Point_2 res;
     switch (t) {
       case SWCORNER:   res = epoint(-1, 0, -1, 0, 1); break;
       case NWCORNER:   res = epoint(-1, 0,  1, 0, 1); break;
-      case SECORNER:   res = epoint( 1, 0, -1, 0, 1); break; 
-      case NECORNER:   res = epoint( 1, 0,  1, 0, 1); break;  
-      case LEFTFRAME:  
-        res = epoint(-l.b(), 0,  l.a(), -l.c(), l.b()); break; 
-      case RIGHTFRAME: 
-        res = epoint( l.b(), 0, -l.a(), -l.c(), l.b()); break; 
-      case BOTTOMFRAME: 
-        res = epoint( l.b(), -l.c(), -l.a(), 0, l.a()); break; 
+      case SECORNER:   res = epoint( 1, 0, -1, 0, 1); break;
+      case NECORNER:   res = epoint( 1, 0,  1, 0, 1); break;
+      case LEFTFRAME:
+        res = epoint(-l.b(), 0,  l.a(), -l.c(), l.b()); break;
+      case RIGHTFRAME:
+        res = epoint( l.b(), 0, -l.a(), -l.c(), l.b()); break;
+      case BOTTOMFRAME:
+        res = epoint( l.b(), -l.c(), -l.a(), 0, l.a()); break;
       case TOPFRAME:
-        res = epoint(-l.b(), -l.c(),  l.a(), 0, l.a()); break; 
+        res = epoint(-l.b(), -l.c(),  l.a(), 0, l.a()); break;
       default: CGAL_error_msg("EPoint type not correct!");
     }
     return res;
@@ -176,8 +176,8 @@ on the extended geometric objects.}*/
     while ( start != end ) {
       Point_2 p = *start++;
       if ( is_standard(p) ) {
-        R = (CGAL::max)(CGAL_NTS abs(p.hx()[0])/p.hw()[0], 
-			CGAL_NTS abs(p.hy()[0])/p.hw()[0]);
+        R = (CGAL::max)(CGAL_NTS abs(p.hx()[0])/p.hw()[0],
+                        CGAL_NTS abs(p.hy()[0])/p.hw()[0]);
       } else {
         RT rx = CGAL_NTS abs(p.hx()), ry = CGAL_NTS abs(p.hy());
         mx = ( rx.degree()>0 ? rx[1] : Standard_RT(0) ); nx = rx[0];
@@ -195,15 +195,15 @@ on the extended geometric objects.}*/
   /*{\Mtext \headerline{Interfacing the affine kernel types}}*/
 
   Point_2 construct_point(const Standard_point_2& p) const
-  /*{\Mop creates an extended point and initializes it to the 
+  /*{\Mop creates an extended point and initializes it to the
   standard point |p|.}*/
   { return Point_2(p.hx(), p.hy(), p.hw()); }
 
-  Point_2 construct_point(const Standard_point_2& p1, 
-                          const Standard_point_2& p2, 
+  Point_2 construct_point(const Standard_point_2& p1,
+                          const Standard_point_2& p2,
                           Point_type& t) const
   /*{\Xop creates an extended point and initializes it to the equivalence
-  class of all the rays underlying the oriented line |l(p1,p2)|. 
+  class of all the rays underlying the oriented line |l(p1,p2)|.
   |t| returns the type of the new extended point.}*/
   { return construct_point(Standard_line_2(p1,p2),t); }
 
@@ -212,13 +212,13 @@ on the extended geometric objects.}*/
   class of all the rays underlying the oriented line |l|. }*/
   { Point_type dummy; return construct_point(l,dummy); }
 
-  Point_2 construct_point(const Standard_point_2& p1, 
+  Point_2 construct_point(const Standard_point_2& p1,
                           const Standard_point_2& p2) const
   /*{\Mop creates an extended point and initializes it to the equivalence
   class of all the rays underlying the oriented line |l(p1,p2)|.}*/
   { return construct_point(Standard_line_2(p1,p2)); }
 
-  Point_2 construct_point(const Standard_point_2& p, 
+  Point_2 construct_point(const Standard_point_2& p,
                           const Standard_direction_2& d) const
   /*{\Mop creates an extended point and initializes it to the equivalence
   class of all the rays underlying the ray starting in |p| in direction |d|.}*/
@@ -235,7 +235,7 @@ on the extended geometric objects.}*/
   {
     CGAL_assertion(p.hx().degree()>=0 && p.hy().degree()>=0 );
     CGAL_assertion(p.hw().degree()==0);
-    if (p.hx().degree() == 0 && p.hy().degree() == 0) 
+    if (p.hx().degree() == 0 && p.hy().degree() == 0)
       return STANDARD;
     // now we are on the square frame
     RT rx = p.hx();
@@ -252,7 +252,7 @@ on the extended geometric objects.}*/
       if (sy > 0) return TOPFRAME;
       else        return BOTTOMFRAME;
     }
-    // now (rx == ry) 
+    // now (rx == ry)
     if (sx==sy) {
       if (sx < 0) return SWCORNER;
       else        return NECORNER;
@@ -276,7 +276,7 @@ on the extended geometric objects.}*/
   }
 
   Standard_line_2 standard_line(const Point_2& p) const
-  /*{\Mop returns the oriented line representing the 
+  /*{\Mop returns the oriented line representing the
   bundle of rays defining |p|.
   \precond |!\Mvar.is_standard(p)|.}*/
   { CGAL_assertion(type(p)!=STANDARD);
@@ -365,7 +365,7 @@ on the extended geometric objects.}*/
     common = RT::gcd(common,c);
     l =  Line_2(a/common,b/common,c/common);
       CGAL_NEF_TRACEN("canceled="<<l);
-    return l; 
+    return l;
   }
 
   int orientation(const Segment_2& s, const Point_2& p) const
@@ -373,23 +373,23 @@ on the extended geometric objects.}*/
   through |s|.}*/
   { typename Base::Orientation_2 _orientation =
       this->orientation_2_object();
-    return static_cast<int> ( _orientation(source(s),target(s),p) ); 
+    return static_cast<int> ( _orientation(source(s),target(s),p) );
   }
 
-  int orientation(const Point_2& p1, const Point_2& p2, const Point_2& p3) 
+  int orientation(const Point_2& p1, const Point_2& p2, const Point_2& p3)
   const
   /*{\Mop returns the orientation of |p3| with respect to the line
   through |p1p2|.}*/
   { typename Base::Orientation_2 _orientation =
       this->orientation_2_object();
-    return static_cast<int> ( _orientation(p1,p2,p3) ); 
+    return static_cast<int> ( _orientation(p1,p2,p3) );
   }
 
-  bool left_turn(const Point_2& p1, const Point_2& p2, const Point_2& p3) 
+  bool left_turn(const Point_2& p1, const Point_2& p2, const Point_2& p3)
   const
   /*{\Mop return true iff the |p3| is left of the line through |p1p2|.}*/
   { return orientation(p1,p2,p3) > 0; }
-   
+
   bool is_degenerate(const Segment_2& s) const
   /*{\Mop return true iff |s| is degenerate.}*/
   { typename Base::Is_degenerate_2 _is_degenerate =
@@ -419,13 +419,13 @@ on the extended geometric objects.}*/
 
   Point_2 intersection(
     const Segment_2& s1, const Segment_2& s2) const
-  /*{\Mop returns the point of intersection of the lines supported by 
+  /*{\Mop returns the point of intersection of the lines supported by
   |s1| and |s2|. \precond the intersection point exists.}*/
   { typename Base::Intersect_2 _intersect =
       this->intersect_2_object();
     typename Base::Construct_line_2 _line =
       this->construct_line_2_object();
-    Point_2 p; 
+    Point_2 p;
     CGAL::Object result =
       _intersect(_line(s1),_line(s2));
     if ( !CGAL::assign(p, result) )
@@ -441,11 +441,11 @@ on the extended geometric objects.}*/
       this->construct_direction_2_object();
     return _direction(construct_line(p1,p2)); }
 
-  bool strictly_ordered_ccw(const Direction_2& d1, 
+  bool strictly_ordered_ccw(const Direction_2& d1,
     const Direction_2& d2, const Direction_2& d3) const
   /*{\Mop returns |true| iff |d2| is in the interior of the
   counterclockwise angular sector between |d1| and |d3|.}*/
-  { 
+  {
     if ( d1 < d2 )  return ( d2 < d3 )||( d3 <= d1 );
     if ( d1 > d2 )  return ( d2 < d3 )&&( d3 <= d1 );
     return false;
@@ -467,7 +467,7 @@ on the extended geometric objects.}*/
   }
 
   bool first_pair_closer_than_second(
-    const Point_2& p1, const Point_2& p2, 
+    const Point_2& p1, const Point_2& p2,
     const Point_2& p3, const Point_2& p4) const
   /*{\Mop returns true iff $\Labs{p1-p2} < \Labs{p3-p4}$.}*/
   { return ( squared_distance(p1,p2) < squared_distance(p3,p4) ); }
@@ -476,12 +476,12 @@ on the extended geometric objects.}*/
   { CGAL_assertion(w.degree()==0&&w!=RT(0)&& r2[1]!=Standard_RT(0));
     Standard_RT w_res = w[0]*r2[1];
     int sm2 = CGAL_NTS sign(r2[1]);
-    RT r2_res = RT(Standard_RT(0),sm2 * w_res); 
+    RT r2_res = RT(Standard_RT(0),sm2 * w_res);
     RT r1_res = RT(r2[1]*r1[0]-r1[1]*r2[0], w[0]*r1[1]*sm2);
     r1 = r1_res; r2 = r2_res; w = w_res;
   }
 
-  Point_2 transform(const Point_2& p, 
+  Point_2 transform(const Point_2& p,
                     const Standard_aff_transformation_2& t) const
   {
     RT tpx = t.homogeneous(0,0)*p.hx() + t.homogeneous(0,1)*p.hy() +
@@ -492,7 +492,7 @@ on the extended geometric objects.}*/
     if ( is_standard(p) ) {
       Point_2 res(tpx,tpy,tpw); simplify(res);
       return res;
-    } 
+    }
     RT tpxa = CGAL_NTS abs(tpx);
     RT tpya = CGAL_NTS abs(tpy);
     if ( tpxa > tpya ) {
diff -pruN 5.0.2-3/include/CGAL/extract_mean_curvature_flow_skeleton.h 5.0.3-1/include/CGAL/extract_mean_curvature_flow_skeleton.h
--- 5.0.2-3/include/CGAL/extract_mean_curvature_flow_skeleton.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/extract_mean_curvature_flow_skeleton.h	2020-08-01 19:02:56.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_skeletonization/include/CGAL/extract_mean_curvature_flow_skeleton.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_skeletonization/include/CGAL/extract_mean_curvature_flow_skeleton.h $
 // $Id: extract_mean_curvature_flow_skeleton.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/extremal_polygon_2.h 5.0.3-1/include/CGAL/extremal_polygon_2.h
--- 5.0.2-3/include/CGAL/extremal_polygon_2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/extremal_polygon_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Inscribed_areas/include/CGAL/extremal_polygon_2.h $
-// $Id: extremal_polygon_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Inscribed_areas/include/CGAL/extremal_polygon_2.h $
+// $Id: extremal_polygon_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 
@@ -170,7 +170,7 @@ CGAL_maximum_inscribed_rooted_k_gon_2(
 // n > k,
 //  * k >= t.min_k()
 //  * value_type of RandomAccessIC is Traits::Point_2
-//  * OutputIterator accepts Traits::Point_2 as value_type 
+//  * OutputIterator accepts Traits::Point_2 as value_type
 //
 // functionality:
 // --------------
@@ -185,7 +185,7 @@ CGAL_maximum_inscribed_rooted_k_gon_2(
   // check preconditions:
   CGAL_optimisation_precondition( k >= t.min_k());
   int number_of_points(
-                       static_cast<int>(iterator_distance( points_begin, 
+                       static_cast<int>(iterator_distance( points_begin,
                                                            points_end)));
   CGAL_optimisation_precondition( number_of_points > k);
 
@@ -203,7 +203,7 @@ CGAL_maximum_inscribed_rooted_k_gon_2(
   int i( t.min_k());
   t.compute_min_k_gon(
     points_begin, points_end, max_area, gon.rbegin() + k + 1 - i);
-  
+
   for (;;) {
     CGAL_optimisation_assertion( gon[0] == 0);
     gon[i] = number_of_points - 1;
@@ -221,7 +221,7 @@ CGAL_maximum_inscribed_rooted_k_gon_2(
       gon.rbegin() + k + 1 - i,
       t);
   } // for (;;)
-  
+
   return CGAL_maximum_inscribed_rooted_k_gon_2(
     points_begin,
     points_end,
@@ -290,7 +290,7 @@ CGAL_maximum_inscribed_rooted_k_gon_2(
   int i;
 
   // compute size of ranges:
-  int number_of_points = static_cast<int>(iterator_distance( points_begin, 
+  int number_of_points = static_cast<int>(iterator_distance( points_begin,
                                                              points_end));
   int size_of_gon = static_cast<int>(iterator_distance( right_c_begin,
                                                         right_c_end));
@@ -326,10 +326,10 @@ CGAL_maximum_inscribed_rooted_k_gon_2(
   //!!! static ???
   // area container:
   FT_cont area( number_of_points);
-  
+
   // last vertex container:
   Index_cont last_vertex( number_of_points);
-  
+
   // matrix operation:
   Operation op( t.operation( points_begin[root]));
   // initialize area and last vertex containers:
@@ -337,10 +337,10 @@ CGAL_maximum_inscribed_rooted_k_gon_2(
     area[i] = t.init( points_begin[i], points_begin[root]);
     last_vertex[i] = root;
   }
-  
-  
+
+
   for ( i = 1; i < size_of_gon; ++i) {
-  
+
     monotone_matrix_search(
       dynamic_matrix(
         extremal_polygon_matrix(
@@ -352,7 +352,7 @@ CGAL_maximum_inscribed_rooted_k_gon_2(
           area.begin() + right_c_begin[i-1] + 1,
           op)),
           last_vertex.begin() + left_c_begin[i]);
-  
+
     // compute new area values and adjust last_vertex values
     // (they are relative to left_c_begin[i-1] now)
     int j;
@@ -361,9 +361,9 @@ CGAL_maximum_inscribed_rooted_k_gon_2(
       area[j] = area[last_vertex[j]] +
         op( points_begin[j], points_begin[last_vertex[j]]);
     }
-  
+
   } // for ( i = 1; i < size_of_gon; ++i)
-  
+
   // find maximum in last range:
   int maxi =
     static_cast<int>(iterator_distance(
@@ -372,7 +372,7 @@ CGAL_maximum_inscribed_rooted_k_gon_2(
                    area.begin() + right_c_begin[size_of_gon - 1] + 1)));
   // set max_area:
   max_area = area[maxi];
-  
+
   // construct gon:
   *o++ = maxi;
   maxi = last_vertex[maxi];
@@ -388,10 +388,10 @@ CGAL_maximum_inscribed_rooted_k_gon_2(
       maxi = right_c_begin[i-2];
     }
   } // for ( i = size_of_gon - 1; i > 0; --i)
-  
+
   *o++ = root;
   return o;
-  
+
 
 } // CGAL_maximum_inscribed_rooted_k_gon_2( p, k, result)
 
@@ -417,7 +417,7 @@ extremal_polygon_2(
 //    enumerated clock- or counterclockwise
 //  * k >= t.min_k()
 //  * value_type of RandomAccessIC is Traits::Point_2
-//  * OutputIterator accepts Traits::Point_2 as value_type 
+//  * OutputIterator accepts Traits::Point_2 as value_type
 //
 // functionality:
 // --------------
@@ -430,7 +430,7 @@ extremal_polygon_2(
   // check preconditions:
   CGAL_optimisation_precondition_code(
     int number_of_points(
-                         static_cast<int>(iterator_distance( points_begin, 
+                         static_cast<int>(iterator_distance( points_begin,
                                                              points_end)));)
   CGAL_optimisation_precondition( number_of_points >= t.min_k());
   CGAL_optimisation_expensive_precondition(
@@ -482,7 +482,7 @@ CGAL_maximum_inscribed_k_gon_2(
 //    enumerated clock- or counterclockwise
 //  * k >= t.min_k()
 //  * value_type of RandomAccessIC is Traits::Point_2
-//  * OutputIterator accepts Traits::Point_2 as value_type 
+//  * OutputIterator accepts Traits::Point_2 as value_type
 //
 // functionality:
 // --------------
@@ -495,7 +495,7 @@ CGAL_maximum_inscribed_k_gon_2(
   // check preconditions:
   CGAL_optimisation_precondition( k >= t.min_k());
   int number_of_points(
-                       static_cast<int>(iterator_distance( points_begin, 
+                       static_cast<int>(iterator_distance( points_begin,
                                                            points_end)));
   CGAL_optimisation_precondition( number_of_points > 0);
 
@@ -524,7 +524,7 @@ CGAL_maximum_inscribed_k_gon_2(
   // compute k-gon rooted at points_begin[P_0[1]]
   Index_cont P_1( k);
   FT area_1;
-  
+
   CGAL_maximum_inscribed_rooted_k_gon_2(
     points_begin,
     points_end,
@@ -536,10 +536,10 @@ CGAL_maximum_inscribed_k_gon_2(
     area_1,
     P_1.rbegin(),
     t);
-  
+
   CGAL_optimisation_assertion( P_1[0] == P_0[1]);
-  
-  
+
+
   // start recursive computation:
   FT area_r( 0);
   Index_cont P_r( k);
@@ -558,7 +558,7 @@ CGAL_maximum_inscribed_k_gon_2(
       P_r.rbegin(),
       t);
   }
-  
+
   if ( area_r > area_0)
     if ( area_r > area_1)
       // recursive is maximum
@@ -638,7 +638,7 @@ CGAL_maximum_inscribed_k_gon_2(
   CGAL_optimisation_precondition( right_index >= 0);
   CGAL_optimisation_precondition_code(
     int number_of_points(
-                         static_cast<int>(iterator_distance( points_begin, 
+                         static_cast<int>(iterator_distance( points_begin,
                                                              points_end)));)
   CGAL_optimisation_precondition( left_index < number_of_points);
   CGAL_optimisation_precondition( right_index < number_of_points);
@@ -692,8 +692,8 @@ CGAL_maximum_inscribed_k_gon_2(
       P_l.rbegin(),
       t);
   } // if ( left_index < middle_index)
-  
-  
+
+
   // right recursive branch:
   FT area_right( 0);
   Index_cont P_r( k);
@@ -712,8 +712,8 @@ CGAL_maximum_inscribed_k_gon_2(
       P_r.rbegin(),
       t);
   } // if ( right_index > middle_index)
-  
-  
+
+
 
   if ( area_left > area_right)
     if ( area_left > area_middle) {
diff -pruN 5.0.2-3/include/CGAL/Extremal_polygon_traits_2.h 5.0.3-1/include/CGAL/Extremal_polygon_traits_2.h
--- 5.0.2-3/include/CGAL/Extremal_polygon_traits_2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Extremal_polygon_traits_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Inscribed_areas/include/CGAL/Extremal_polygon_traits_2.h $
-// $Id: Extremal_polygon_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Inscribed_areas/include/CGAL/Extremal_polygon_traits_2.h $
+// $Id: Extremal_polygon_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 
@@ -35,9 +35,9 @@ struct Extremal_polygon_area_traits_2 {
 
   struct Kgon_triangle_area {
     typedef FT              result_type;
-  
+
     Kgon_triangle_area(const K& k_) : k(k_) {}
-  
+
     result_type
     operator()(const Point_2& p, const Point_2& q, const Point_2& r) const
     { return CGAL_NTS abs(k.compute_area_2_object()(
@@ -82,25 +82,25 @@ struct Extremal_polygon_area_traits_2 {
   //  the past-the-end iterator for that range (== o + min_k()).
   {
     int number_of_points(
-                         static_cast<int>(iterator_distance( points_begin, 
+                         static_cast<int>(iterator_distance( points_begin,
                                                              points_end)));
     CGAL_optimisation_precondition( number_of_points > min_k());
-    
+
     // this gives the area of the triangle of two points with
     // the root:
     Operation op( operation( points_begin[0]));
-    
+
     int p1( 1);
     int p2( 2);
-    
+
     // maximal triangle so far (and the corresponding points):
     max_area = op( points_begin[p1], points_begin[p2]);
     int opt_p1( p1);
     int opt_p2( p2);
-    
+
     // maximal triangle containing p1 so far:
     FT tmp_area( max_area);
-    
+
     for (;;) {
       while ( p2 + 1 < number_of_points &&
               tmp_area < op( points_begin[p1], points_begin[p2+1])) {
@@ -117,7 +117,7 @@ struct Extremal_polygon_area_traits_2 {
         ++p2;
       tmp_area = op( points_begin[p1], points_begin[p2]);
     } // for (;;)
-    
+
     // give result:
     *o++ = opt_p2;
     *o++ = opt_p1;
@@ -156,7 +156,7 @@ struct Extremal_polygon_perimeter_traits
 
   struct Kgon_triangle_perimeter {
     typedef FT              result_type;
-  
+
     Kgon_triangle_perimeter(const K& k_): k(k_) {}
 
     // Added as workaround for VC2017 with /arch:AVX to fix
@@ -170,15 +170,15 @@ struct Extremal_polygon_perimeter_traits
       k = other.k;
       return *this;
     }
-    
+
     result_type
     operator()(const Point_2& p, const Point_2& q, const Point_2& r) const
     { return dist(p, r) + dist(p, q) - dist(q, r); }
-  
+
   private:
     result_type dist(const Point_2& p, const Point_2& q) const
     { return CGAL_NTS sqrt(k.compute_squared_distance_2_object()(p, q)); }
-  
+
   protected:
     K k;
   };
@@ -224,10 +224,10 @@ struct Extremal_polygon_perimeter_traits
 
     CGAL_optimisation_precondition_code(
       int number_of_points(
-                           static_cast<int>(iterator_distance( points_begin, 
+                           static_cast<int>(iterator_distance( points_begin,
                                                                points_end)));)
     CGAL_optimisation_precondition( number_of_points > min_k());
-    
+
     // kind of messy, but first we have to have something
     // like Distance (function object) ...
     RandomAccessIC maxi(
@@ -238,12 +238,12 @@ struct Extremal_polygon_perimeter_traits
           less< FT >(),
           boost::bind(operation(points_begin[0]), _1, points_begin[0]),
           boost::bind(operation(points_begin[0]), _2, points_begin[0]))));
-    
+
     // give result:
     max_perimeter = operation(*points_begin)(*maxi, *points_begin);
     *o++ = static_cast<int>(iterator_distance(points_begin, maxi));
     *o++ = 0;
-    
+
     return o;
   } // compute_min_k_gon( ... )
 
diff -pruN 5.0.2-3/include/CGAL/Extreme_points_traits_adapter_3.h 5.0.3-1/include/CGAL/Extreme_points_traits_adapter_3.h
--- 5.0.2-3/include/CGAL/Extreme_points_traits_adapter_3.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Extreme_points_traits_adapter_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_3/include/CGAL/Extreme_points_traits_adapter_3.h $
-// $Id: Extreme_points_traits_adapter_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_3/include/CGAL/Extreme_points_traits_adapter_3.h $
+// $Id: Extreme_points_traits_adapter_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -34,11 +34,11 @@ struct Forward_functor
   : public F
 {
   PointPropertyMap vpm_;
-  
+
   Forward_functor(const PointPropertyMap& vpm,
                   const F& f) : F(f), vpm_(vpm) {}
-  
-  
+
+
   template <class Vertex>
   typename cpp11::result_of<F(const Vertex&, const Vertex&)>::type
   operator() (const Vertex& p, const Vertex& q) const
@@ -61,9 +61,9 @@ struct Forward_functor
   operator() (const Vertex& p, const Vertex& q, const Vertex& r, const Vertex& s) const
   {
     return static_cast<const F*>(this)->operator()(
-          get(vpm_,p), 
+          get(vpm_,p),
           get(vpm_,q),
-          get(vpm_,r), 
+          get(vpm_,r),
           get(vpm_,s));
   }
 };
@@ -77,8 +77,8 @@ class Extreme_points_traits_adapter_3
     :public Base_traits
 {
   PointPropertyMap vpm_;
-  
-  
+
+
 public:
   Extreme_points_traits_adapter_3(const PointPropertyMap& vpmap, Base_traits base=Base_traits())
     :Base_traits(base), vpm_(vpmap)
@@ -88,30 +88,30 @@ public:
   typedef Convex_hull_impl::Forward_functor<typename Base_traits::Equal_3, PointPropertyMap> Equal_3;
   typedef Convex_hull_impl::Forward_functor<typename Base_traits::Collinear_3, PointPropertyMap> Collinear_3;
   typedef Convex_hull_impl::Forward_functor<typename Base_traits::Coplanar_3, PointPropertyMap> Coplanar_3;
-  typedef Convex_hull_impl::Forward_functor<typename Base_traits::Less_distance_to_point_3, PointPropertyMap> Less_distance_to_point_3; 
+  typedef Convex_hull_impl::Forward_functor<typename Base_traits::Less_distance_to_point_3, PointPropertyMap> Less_distance_to_point_3;
   class Less_signed_distance_to_plane_3
       :public Base_traits::Less_signed_distance_to_plane_3
-  {  
+  {
     PointPropertyMap vpm_;
     const typename Base_traits::Less_signed_distance_to_plane_3& base;
   public:
     typedef typename Base_traits::Plane_3 Plane_3;
-    
+
     typedef bool             result_type;
-    
+
     Less_signed_distance_to_plane_3(
         const PointPropertyMap& map,
         const typename Base_traits::Less_signed_distance_to_plane_3& base):
       Base_traits::Less_signed_distance_to_plane_3(base),vpm_(map), base(base){}
-    
+
     bool
     operator()( const Plane_3& h, const Vertex& p, const Vertex& q) const
     {
       return base(h, get(vpm_,p), get(vpm_,q));
     }
   };
-  
-  
+
+
   Equal_3 equal_3_object () const {return Equal_3(vpm_,static_cast<const Base_traits*>(this)->equal_3_object() );}
   Collinear_3 collinear_3_object () const {return Collinear_3(vpm_,static_cast<const Base_traits*>(this)->collinear_3_object() );}
   Coplanar_3 coplanar_3_object () const {return Coplanar_3(vpm_,static_cast<const Base_traits*>(this)->coplanar_3_object() );}
@@ -121,43 +121,43 @@ public:
     return Less_signed_distance_to_plane_3(
           vpm_,static_cast<const Base_traits*>(this)->less_signed_distance_to_plane_3_object() );
   }
-  
+
   class Construct_plane_3:public Base_traits::Construct_plane_3
-  {  
+  {
     PointPropertyMap vpm_;
     const typename Base_traits::Construct_plane_3& base;
   public:
     Construct_plane_3(const PointPropertyMap& map, const typename Base_traits::Construct_plane_3& base):
       Base_traits::Construct_plane_3(base),vpm_(map), base(base){}
-    typename Base_traits::Plane_3 operator()(const Vertex& p, const Vertex& q, const Vertex& r)const 
+    typename Base_traits::Plane_3 operator()(const Vertex& p, const Vertex& q, const Vertex& r)const
     {
       return base(get(vpm_,p),get(vpm_,q),get(vpm_,r));
     }
   };
   Construct_plane_3 construct_plane_3_object() const
   {return Construct_plane_3(vpm_,static_cast<const Base_traits*>(this)->construct_plane_3_object());}
-  
+
   class Has_on_positive_side_3:public Base_traits::Has_on_positive_side_3
-  {  
+  {
     PointPropertyMap vpm_;
     const typename Base_traits::Has_on_positive_side_3& base;
   public:
     Has_on_positive_side_3(const PointPropertyMap& map,const typename Base_traits::Has_on_positive_side_3& base):
       Base_traits::Has_on_positive_side_3(base),vpm_(map), base(base){}
-    
+
     typedef typename Base_traits::Plane_3          Plane_3;
   public:
     typedef bool          result_type;
-    
+
     result_type
     operator()( const Plane_3& pl, const Vertex& p) const
-    { 
+    {
       return base(pl, get(vpm_, p));
     }
   };
   Has_on_positive_side_3 has_on_positive_side_3_object() const {return Has_on_positive_side_3(
           vpm_,static_cast<const Base_traits*>(this)->has_on_positive_side_3_object() );}
-  
+
   template<class Base_proj_traits>
   class Proj_traits_3:public Base_proj_traits
   {
@@ -172,7 +172,7 @@ public:
     typedef Convex_hull_impl::Forward_functor<typename Btt::Less_yx_2, PointPropertyMap> Less_yx_2;
     typedef Convex_hull_impl::Forward_functor<typename Btt::Less_signed_distance_to_line_2, PointPropertyMap> Less_signed_distance_to_line_2;
     typedef Convex_hull_impl::Forward_functor<typename Btt::Left_turn_2, PointPropertyMap> Left_turn_2;
-    
+
     class Less_rotate_ccw_2:public Btt::Less_rotate_ccw_2
     {
       PointPropertyMap vpm_;
@@ -180,13 +180,13 @@ public:
     public:
       Less_rotate_ccw_2(const PointPropertyMap& map,const typename Btt::Less_rotate_ccw_2& base):
         Btt::Less_rotate_ccw_2(base),vpm_(map), base(base){}
-    public:      
+    public:
       bool operator()(Point_2 e, Point_2 p,Point_2 q) const
-      { 
+      {
         return base(get(vpm_, e), get(vpm_, p), get(vpm_, q));
       }
     };
-    
+
     Equal_2 equal_2_object () const {return Equal_2(vpm_,static_cast<const Btt*>(this)->equal_2_object() );}
     Less_xy_2 less_xy_2_object ()const{return Less_xy_2(vpm_,static_cast<const Btt*>(this)->less_xy_2_object() );}
     Less_yx_2 less_yx_2_object ()const{return Less_yx_2(vpm_,static_cast<const Btt*>(this)->less_yx_2_object() );}
@@ -195,28 +195,28 @@ public:
     Less_rotate_ccw_2 less_rotate_ccw_2_object ()const
     {return Less_rotate_ccw_2(vpm_,static_cast<const Btt*>(this)->less_rotate_ccw_2_object() );}
     Left_turn_2 left_turn_2_object ()const{return Left_turn_2(vpm_,static_cast<const Btt*>(this)->left_turn_2_object() );}
-    
+
     class Orientation_2:public Btt::Orientation_2
     {
-      PointPropertyMap vpm_;                                                           
-      const typename Btt::Orientation_2& base;                                   
-    public:                                                                          
+      PointPropertyMap vpm_;
+      const typename Btt::Orientation_2& base;
+    public:
       Orientation_2(const PointPropertyMap& map,const typename Btt::Orientation_2& base):
-        Btt::Orientation_2(base),vpm_(map), base(base){}                         
-      
-      typename CGAL::Orientation operator()(Point_2 e,Point_2 p, Point_2 q) const                                    
-      {                                                                              
-        return base(get(vpm_, e), get(vpm_, p), get(vpm_, q));                                     
+        Btt::Orientation_2(base),vpm_(map), base(base){}
+
+      typename CGAL::Orientation operator()(Point_2 e,Point_2 p, Point_2 q) const
+      {
+        return base(get(vpm_, e), get(vpm_, p), get(vpm_, q));
       }
     };
     Orientation_2 orientation_2_object ()const{return Orientation_2(vpm_,static_cast<const Btt*>(this)->orientation_2_object() );}
   };
-  
+
   typedef internal::Convex_hull_3::Projection_traits<Base_traits> Base_PTraits;
   typedef Proj_traits_3<typename Base_PTraits::Traits_xy_3> Traits_xy_3;
   typedef Proj_traits_3<typename Base_PTraits::Traits_yz_3> Traits_yz_3;
   typedef Proj_traits_3<typename Base_PTraits::Traits_xz_3> Traits_xz_3;
-  
+
   Traits_xy_3 construct_traits_xy_3_object()const
   {return Traits_xy_3(vpm_, Base_PTraits(static_cast<const Base_traits&>(*this)).construct_traits_xy_3_object());}
   Traits_yz_3 construct_traits_yz_3_object()const
diff -pruN 5.0.2-3/include/CGAL/exude_mesh_3.h 5.0.3-1/include/CGAL/exude_mesh_3.h
--- 5.0.2-3/include/CGAL/exude_mesh_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/exude_mesh_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/exude_mesh_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/exude_mesh_3.h $
 // $Id: exude_mesh_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Filter_circulator.h 5.0.3-1/include/CGAL/Filter_circulator.h
--- 5.0.2-3/include/CGAL/Filter_circulator.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Filter_circulator.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Filter_circulator.h $
-// $Id: Filter_circulator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Filter_circulator.h $
+// $Id: Filter_circulator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -51,15 +51,15 @@ public:
     {
       Circ circ(c);
       if(test(circ))
-	is_null=false;
+        is_null=false;
       else
-	{
-	  Circ end(c);
-	  do { 
-	    ++circ;
-	  } while( !test(circ) && end != circ );
-	  is_null = (end == circ);
-	}
+        {
+          Circ end(c);
+          do {
+            ++circ;
+          } while( !test(circ) && end != circ );
+          is_null = (end == circ);
+        }
       static_cast<Circ&>(*this) = circ;
       CGAL_assertion(is_null || test(*this));
     }
@@ -72,7 +72,7 @@ public:
     return !is_null;
   }
 
-  bool operator==(const Self& c) const 
+  bool operator==(const Self& c) const
     {
       return is_null==c.is_null && this->Circ::operator==(c);
     }
diff -pruN 5.0.2-3/include/CGAL/Filtered_bbox_circular_kernel_2/bbox_filtered_predicates.h 5.0.3-1/include/CGAL/Filtered_bbox_circular_kernel_2/bbox_filtered_predicates.h
--- 5.0.2-3/include/CGAL/Filtered_bbox_circular_kernel_2/bbox_filtered_predicates.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Filtered_bbox_circular_kernel_2/bbox_filtered_predicates.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,21 +3,21 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Filtered_bbox_circular_kernel_2/bbox_filtered_predicates.h $
-// $Id: bbox_filtered_predicates.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Filtered_bbox_circular_kernel_2/bbox_filtered_predicates.h $
+// $Id: bbox_filtered_predicates.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Constantinos Tsirogiannis , Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 
-#ifndef CGAL_BBOX_FILTERED_PREDICATES_H  
-#define CGAL_BBOX_FILTERED_PREDICATES_H  
+#ifndef CGAL_BBOX_FILTERED_PREDICATES_H
+#define CGAL_BBOX_FILTERED_PREDICATES_H
 
 #include <CGAL/license/Circular_kernel_2.h>
 
@@ -35,7 +35,7 @@ class Compare_x_2 : public BK::Circular_
 {
   typedef typename BK::Circular_arc_point_2                    Circular_arc_point_2;
   typedef typename BK::Point_2                                 Point_2;
-  typedef typename BK::Circular_kernel:: 
+  typedef typename BK::Circular_kernel::
     template Base< BK >::Type::Compare_x_2                     CK_Compare_x_2;
   typedef CK_Compare_x_2 Base;
 
@@ -67,8 +67,8 @@ public:
   }
 
 #endif
-  
-	
+
+
   result_type
   operator()( const Circular_arc_point_2 &a, const Circular_arc_point_2 &b) const
   {
@@ -91,7 +91,7 @@ class Compare_y_2 : public BK::Circular_
 {
   typedef typename BK::Circular_arc_point_2                    Circular_arc_point_2;
   typedef typename BK::Point_2                                 Point_2;
-  typedef typename BK::Circular_kernel:: 
+  typedef typename BK::Circular_kernel::
     template Base< BK >::Type::Compare_y_2                     CK_Compare_y_2;
   typedef CK_Compare_y_2 Base;
 public:
@@ -128,7 +128,7 @@ public:
     return Base()(t1,t2,t3,t4);
   }
 #endif
-  
+
   result_type
   operator()( const Circular_arc_point_2 &a, const Circular_arc_point_2 &b) const
   {
@@ -190,7 +190,7 @@ public:
 template <class BK>
 class In_x_range_2 : public BK::Circular_kernel:: template Base< BK >::Type::In_x_range_2
 {
-  typedef typename BK::Circular_kernel:: 
+  typedef typename BK::Circular_kernel::
     template Base< BK >::Type::In_x_range_2                    CK_In_x_range_2;
   typedef CK_In_x_range_2 Base;
   typedef typename BK::Circular_arc_point_2                    Circular_arc_point_2;
@@ -215,12 +215,12 @@ private:
 
   template <class Arc_2>
   result_type
-  _in_x_range_2(const Arc_2 &a, const Circular_arc_point_2 &p) const 
+  _in_x_range_2(const Arc_2 &a, const Circular_arc_point_2 &p) const
   {
 
     Bbox_2 bb11 = a.source().bbox(),
       bb12 = a.target().bbox(),
-      bb2=p.bbox();      
+      bb2=p.bbox();
     if(bb11.xmin() > bb12.xmax()) {
       if(bb2.xmax() < bb12.xmin()) return false;
       else if(bb2.xmin() > bb11.xmax()) return false;
@@ -235,7 +235,7 @@ private:
       if(bb2.xmin() > (std::max)(bb11.xmax(),bb12.xmax())) return false;
       if(bb2.xmax() < (std::min)(bb11.xmin(),bb12.xmin())) return false;
     }
-    
+
     CK_In_x_range_2 Range;
 
     return Range(a,p);
@@ -246,7 +246,7 @@ public:
 
   result_type
   operator()( const Circular_arc_2 &a, const Circular_arc_point_2 &p) const
-  { 
+  {
     CGAL_precondition( a.is_x_monotone());
     return _in_x_range_2(a,p);
   }
@@ -254,7 +254,7 @@ public:
   result_type
   operator()( const Line_arc_2 &a, const Circular_arc_point_2 &p) const
   { return _in_x_range_2(a,p);}
-    
+
 
 };
 
@@ -262,7 +262,7 @@ public:
 template <class BK>
 class Compare_y_at_x_2 : public BK::Circular_kernel:: template Base< BK >::Type::Compare_y_at_x_2
 {
-  typedef typename BK::Circular_kernel:: 
+  typedef typename BK::Circular_kernel::
     template Base< BK >::Type::Compare_y_at_x_2                         CK_Compare_y_at_x_2;
   typedef CK_Compare_y_at_x_2 Base;
   typedef typename BK::Circular_arc_2                                   Circular_arc_2;
@@ -281,7 +281,7 @@ public:
   operator()(const T1& t1, const T2& t2) const
   {
     return Base()(t1,t2);
-  } 
+  }
 
   template <typename T1, typename T2, typename T3>
   result_type
@@ -328,7 +328,7 @@ public:
 
   result_type
   operator()( const Circular_arc_point_2 &p,const Circular_arc_2 &a ) const
-  {   
+  {
     CGAL_precondition( a.is_x_monotone());
     return _compare_y_at_x_2(p,a);
   }
@@ -343,7 +343,7 @@ public:
 template <class BK>
 class Has_on_2 : public BK::Circular_kernel:: template Base< BK >::Type::Has_on_2
 {
-  typedef typename BK::Circular_kernel:: 
+  typedef typename BK::Circular_kernel::
     template Base< BK >::Type::Has_on_2                                 CK_Has_on_2;
   typedef CK_Has_on_2 Base;
   typedef typename BK::Circular_arc_2                                   Circular_arc_2;
@@ -381,7 +381,7 @@ public:
 
   result_type
   operator()( const Circular_arc_2 &a,const Circular_arc_point_2 &p ) const
-  {     
+  {
     CGAL_precondition( a.is_x_monotone());
     return _has_on_2(a,p);
   }
@@ -399,7 +399,7 @@ class Equal_2
   : public BK::Circular_kernel:: template Base< BK >::Type::Equal_2
 #endif
 {
-  typedef typename BK::Circular_kernel:: 
+  typedef typename BK::Circular_kernel::
     template Base< BK >::Type::Equal_2                                  CK_Equal_2;
   typedef typename BK::Circular_arc_2                                   Circular_arc_2;
   typedef typename BK::Point_2                                          Point_2;
@@ -422,7 +422,7 @@ public:
 
 #ifndef CGAL_CFG_MATCHING_BUG_6
   using Base::operator();
-#else  
+#else
  template <typename T1, typename T2>
   result_type
   operator()(const T1& t1, const T2& t2) const
@@ -461,7 +461,7 @@ public:
   result_type
   operator()( const Circular_arc_point_2 &a ,
               const Circular_arc_point_2 &b) const
-  { 
+  {
     Bbox_2 bb1=a.bbox(),bb2=b.bbox();
     if(bb1.xmin() > bb2.xmax()) return false;
     if(bb1.xmax() < bb2.xmin()) return false;
@@ -475,7 +475,7 @@ public:
   result_type
   operator()( const Point_2 &a ,
   const Point_2 &b) const
-  { 
+  {
   return CK_Equal_2()( a, b);
   }
   */
@@ -485,7 +485,7 @@ public:
     CGAL_precondition( a.is_x_monotone());
     CGAL_precondition( b.is_x_monotone());
 
-    return _equal_2(a,b);      
+    return _equal_2(a,b);
   }
 
   result_type
@@ -509,7 +509,7 @@ public:
 template <class BK>
 class Do_overlap_2 : public BK::Circular_kernel:: template Base< BK >::Type::Do_overlap_2
 {
-  typedef typename BK::Circular_kernel:: 
+  typedef typename BK::Circular_kernel::
     template Base< BK >::Type::Do_overlap_2                           CK_Do_overlap_2;
   typedef CK_Do_overlap_2 Base;
   typedef typename BK::Circular_arc_2                                 Circular_arc_2;
@@ -536,23 +536,23 @@ private:
   result_type
   _do_overlap_2(const Arc_2 &a, const Arc_2 &b) const
   {
-    Bbox_2 bb1=a.bbox(),bb2=b.bbox();  
+    Bbox_2 bb1=a.bbox(),bb2=b.bbox();
 
     if(do_overlap(bb1,bb2))
       return CK_Do_overlap_2()(a,b);
-        
-    return false;        
+
+    return false;
   }
 
 
 public:
-    
+
   result_type
   operator()( const Circular_arc_2 &a , const Circular_arc_2 &b ) const
   {
     CGAL_precondition( a.is_x_monotone());
     CGAL_precondition( b.is_x_monotone());
-    return _do_overlap_2(a,b); 
+    return _do_overlap_2(a,b);
   }
 
   result_type
@@ -577,7 +577,7 @@ template < class BK >
 class Intersect_2 : public BK::Circular_kernel:: template Base< BK >::Type::Intersect_2
 {
 public:
-  typedef typename BK::Circular_kernel:: 
+  typedef typename BK::Circular_kernel::
     template Base< BK >::Type::Intersect_2      CK_Intersect_2;
 
   typedef typename BK::Circular_arc_2           Circular_arc_2;
@@ -594,12 +594,12 @@ public:
   {
     return CK_Intersect_2()(c1,c2,res);
   }
-	
+
   template < class OutputIterator >
   OutputIterator
   operator()(const Circle & c1, const Line_2 & c2, OutputIterator res)
   {
-    return CK_Intersect_2()(c1,c2,res); 
+    return CK_Intersect_2()(c1,c2,res);
   }
 
   template < class OutputIterator >
@@ -618,111 +618,111 @@ public:
   {
     if(!do_overlap(c1.bbox(),c2.bbox()))
       return res;
-    return CK_Intersect_2()(c1,c2,res); 
+    return CK_Intersect_2()(c1,c2,res);
   }
 
   template < class OutputIterator >
   OutputIterator
-  operator()(const Line_2 & c1, const Circular_arc_2 & c2, 
+  operator()(const Line_2 & c1, const Circular_arc_2 & c2,
              OutputIterator res)
   {
-    return CK_Intersect_2()(c1,c2,res); 
+    return CK_Intersect_2()(c1,c2,res);
   }
 
   template < class OutputIterator >
   OutputIterator
-  operator()(const Line_2 & c1, const Line_arc_2 & c2, 
+  operator()(const Line_2 & c1, const Line_arc_2 & c2,
              OutputIterator res)
   {
-    return CK_Intersect_2()(c1,c2,res); 
+    return CK_Intersect_2()(c1,c2,res);
   }
 
   template < class OutputIterator >
   OutputIterator
   operator()(const Circle & c1, const Circle & c2, OutputIterator res)
-  { 
+  {
     if(!do_overlap(c1.bbox(),c2.bbox()))
       return res;
 
-    return CK_Intersect_2()(c1,c2,res); 
+    return CK_Intersect_2()(c1,c2,res);
   }
 
   template < class OutputIterator >
   OutputIterator
   operator()(const Circle & c1, const Circular_arc_2 & c2, OutputIterator res)
-  { 
+  {
     return operator()(Circular_arc(c1),c2,res);
   }
 
   template < class OutputIterator >
   OutputIterator
   operator()(const Circular_arc_2 & c1, const Circle & c2, OutputIterator res)
-  { 
+  {
     return operator()(c1,Circular_arc_2(c2),res);
   }
 
   template < class OutputIterator >
   OutputIterator
-  operator()(const Circular_arc_2 & c1, const Circular_arc_2 & c2, 
+  operator()(const Circular_arc_2 & c1, const Circular_arc_2 & c2,
              OutputIterator res)
-  { 
+  {
     Bbox_2 bb1=c1.bbox(),bb2=c2.bbox();
 
     if(!do_overlap(bb1,bb2 ))
       return res;
-	
-    return CK_Intersect_2()(c1,c2,res); 
+
+    return CK_Intersect_2()(c1,c2,res);
   }
 
   template < class OutputIterator >
   OutputIterator
-  operator()(const Line_arc_2 & c1, const Line_arc_2 & c2, 
+  operator()(const Line_arc_2 & c1, const Line_arc_2 & c2,
              OutputIterator res)
-  { 
+  {
     Bbox_2 bb1=c1.bbox(),bb2=c2.bbox();
 
     if(!do_overlap(bb1,bb2 ))
       return res;
 
-    return CK_Intersect_2()(c1,c2,res); 
+    return CK_Intersect_2()(c1,c2,res);
   }
 
   template < class OutputIterator >
   OutputIterator
-  operator()(const Circular_arc_2 & c1, const Line_arc_2 & c2, 
+  operator()(const Circular_arc_2 & c1, const Line_arc_2 & c2,
              OutputIterator res)
-  { 
+  {
     Bbox_2 bb1=c1.bbox(),bb2=c2.bbox();
 
     if(!do_overlap(bb1,bb2 ))
       return res;
 
-    return CK_Intersect_2()(c1,c2,res); 
+    return CK_Intersect_2()(c1,c2,res);
   }
 
   template < class OutputIterator >
   OutputIterator
-  operator()(const Line_arc_2 & c1, const Circular_arc_2 & c2, 
+  operator()(const Line_arc_2 & c1, const Circular_arc_2 & c2,
              OutputIterator res)
-  {	return operator()(c2,c1,res);}
+  {        return operator()(c2,c1,res);}
 
   template < class OutputIterator >
   OutputIterator
-  operator()(const Circular_arc_2 & c1, const Line_2 & c2, 
+  operator()(const Circular_arc_2 & c1, const Line_2 & c2,
              OutputIterator res)
-  {	return operator()(c2,c1,res);}
+  {        return operator()(c2,c1,res);}
 
   template < class OutputIterator >
   OutputIterator
-  operator()(const Line_arc_2 & c1, const Line_2 & c2, 
+  operator()(const Line_arc_2 & c1, const Line_2 & c2,
              OutputIterator res)
-  {	return operator()(c2,c1,res);}
-   
+  {        return operator()(c2,c1,res);}
+
 };
 
-  
+
 } //Bbox_functors
 
-} //namespace CGAL  
+} //namespace CGAL
 
-#endif // CGAL_BBOX_FILTERED_PREDICATES_H  
+#endif // CGAL_BBOX_FILTERED_PREDICATES_H
diff -pruN 5.0.2-3/include/CGAL/Filtered_bbox_circular_kernel_2/interface_macros.h 5.0.3-1/include/CGAL/Filtered_bbox_circular_kernel_2/interface_macros.h
--- 5.0.2-3/include/CGAL/Filtered_bbox_circular_kernel_2/interface_macros.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Filtered_bbox_circular_kernel_2/interface_macros.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Filtered_bbox_circular_kernel_2/interface_macros.h $
-// $Id: interface_macros.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Filtered_bbox_circular_kernel_2/interface_macros.h $
+// $Id: interface_macros.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 
diff -pruN 5.0.2-3/include/CGAL/Filtered_bbox_circular_kernel_2.h 5.0.3-1/include/CGAL/Filtered_bbox_circular_kernel_2.h
--- 5.0.2-3/include/CGAL/Filtered_bbox_circular_kernel_2.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Filtered_bbox_circular_kernel_2.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Filtered_bbox_circular_kernel_2.h $
-// $Id: Filtered_bbox_circular_kernel_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Filtered_bbox_circular_kernel_2.h $
+// $Id: Filtered_bbox_circular_kernel_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_FILTERED_BBOX_CIRCULAR_KERNEL_2_H
@@ -46,7 +46,7 @@ struct Filtered_bbox_circular_kernel_bas
   struct Handle { typedef Handle_for<T>    type; };
 
   template < typename Kernel2 >
-  struct Base { typedef Filtered_bbox_circular_kernel_base_ref_count<Kernel2, CircularKernel>  Type; };  
+  struct Base { typedef Filtered_bbox_circular_kernel_base_ref_count<Kernel2, CircularKernel>  Type; };
 
   template < typename T >
   struct Ambient_dimension {
@@ -73,7 +73,7 @@ struct Filtered_bbox_circular_kernel_typ
   : public Type_equality_wrapper<K_base, FbcKernel>
 {
     typedef K_base                                  Kernel_base;
-    typedef CGAL::Circular_arc_2<FbcKernel>            Circular_arc_2;     
+    typedef CGAL::Circular_arc_2<FbcKernel>            Circular_arc_2;
     typedef CGAL::Line_arc_2<FbcKernel>                Line_arc_2;
     typedef CGAL::Circular_arc_point_2<FbcKernel>      Circular_arc_point_2;
 };
@@ -83,9 +83,9 @@ struct Filtered_bbox_circular_kernel_2
   : public Filtered_bbox_circular_kernel_type_equality_wrapper
      < internal::Filtered_bbox_circular_kernel_base_ref_count
          < Filtered_bbox_circular_kernel_2< CircularKernel >,
-           typename CircularKernel:: template 
+           typename CircularKernel:: template
            Base<Filtered_bbox_circular_kernel_2< CircularKernel > >::Type
-	 >,
+         >,
        Filtered_bbox_circular_kernel_2< CircularKernel >
      >
 {
diff -pruN 5.0.2-3/include/CGAL/Filtered_construction.h 5.0.3-1/include/CGAL/Filtered_construction.h
--- 5.0.2-3/include/CGAL/Filtered_construction.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Filtered_construction.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/Filtered_construction.h $
-// $Id: Filtered_construction.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/Filtered_construction.h $
+// $Id: Filtered_construction.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -19,7 +19,7 @@
 namespace CGAL {
 
 template <class AC, class EC, class FC, class C2E, class C2F,
-	  class E2C, class F2C,	bool Protection = true>
+          class E2C, class F2C,        bool Protection = true>
 class Filtered_construction
 {
 private:
@@ -64,13 +64,13 @@ public:
     try
     {
       return From_Filtered( Filter_construction(To_Filtered(a1),
-						To_Filtered(a2)) );
+                                                To_Filtered(a2)) );
     }
     catch (Uncertain_conversion_exception&)
     {
       Protect_FPU_rounding<!Protection> P(CGAL_FE_TONEAREST);
       return From_Exact( Exact_construction(To_Exact(a1),
-					    To_Exact(a2)) );
+                                            To_Exact(a2)) );
     }
   }
 
@@ -82,15 +82,15 @@ public:
     try
     {
       return From_Filtered( Filter_construction(To_Filtered(a1),
-						To_Filtered(a2),
-						To_Filtered(a3)) );
+                                                To_Filtered(a2),
+                                                To_Filtered(a3)) );
     }
     catch (Uncertain_conversion_exception&)
     {
       Protect_FPU_rounding<!Protection> P(CGAL_FE_TONEAREST);
       return From_Exact( Exact_construction(To_Exact(a1),
-					    To_Exact(a2),
-					    To_Exact(a3)) );
+                                            To_Exact(a2),
+                                            To_Exact(a3)) );
     }
   }
 
diff -pruN 5.0.2-3/include/CGAL/Filtered_extended_homogeneous.h 5.0.3-1/include/CGAL/Filtered_extended_homogeneous.h
--- 5.0.2-3/include/CGAL/Filtered_extended_homogeneous.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Filtered_extended_homogeneous.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Filtered_extended_homogeneous.h $
-// $Id: Filtered_extended_homogeneous.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Filtered_extended_homogeneous.h $
+// $Id: Filtered_extended_homogeneous.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -90,12 +90,12 @@ public:
 
 
   // only for visualization:
-  
+
   static RT& R()
   {
     CGAL_STATIC_THREAD_LOCAL_VARIABLE(RT,R_,0);
   }
-  
+
   static void set_R(const RT& r) { R() = r; }
   RT eval_at(const RT& r) const { return _m*r+_n; }
   RT eval_at_R() const { return _m*R()+_n; }
@@ -1253,7 +1253,7 @@ void determine_frame_radius(Forward_iter
     Point_2 p = *start;
     if ( is_standard(p) ) {
       R = (CGAL::max)(CGAL_NTS abs(p.mx())/p.hw(),
-		      CGAL_NTS abs(p.my())/p.hw());
+                      CGAL_NTS abs(p.my())/p.hw());
     } else {
       RT rx = CGAL_NTS abs(p.hx()), ry = CGAL_NTS abs(p.hy());
       if ( rx[1] > ry[1] )      R = CGAL_NTS abs(ry[0]-rx[0])/(rx[1]-ry[1]);
diff -pruN 5.0.2-3/include/CGAL/Filtered_kernel/Cartesian_coordinate_iterator_2.h 5.0.3-1/include/CGAL/Filtered_kernel/Cartesian_coordinate_iterator_2.h
--- 5.0.2-3/include/CGAL/Filtered_kernel/Cartesian_coordinate_iterator_2.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Filtered_kernel/Cartesian_coordinate_iterator_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/Filtered_kernel/Cartesian_coordinate_iterator_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/Filtered_kernel/Cartesian_coordinate_iterator_2.h $
 // $Id: Cartesian_coordinate_iterator_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Filtered_kernel/Cartesian_coordinate_iterator_3.h 5.0.3-1/include/CGAL/Filtered_kernel/Cartesian_coordinate_iterator_3.h
--- 5.0.2-3/include/CGAL/Filtered_kernel/Cartesian_coordinate_iterator_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Filtered_kernel/Cartesian_coordinate_iterator_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/Filtered_kernel/Cartesian_coordinate_iterator_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/Filtered_kernel/Cartesian_coordinate_iterator_3.h $
 // $Id: Cartesian_coordinate_iterator_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Filtered_kernel_d.h 5.0.3-1/include/CGAL/Filtered_kernel_d.h
--- 5.0.2-3/include/CGAL/Filtered_kernel_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Filtered_kernel_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Filtered_kernel_d.h $
-// $Id: Filtered_kernel_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Filtered_kernel_d.h $
+// $Id: Filtered_kernel_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)    : Samuel Hornus, Olivier Devillers
@@ -22,30 +22,30 @@ namespace CGAL {
 template<typename Kernel> // a dD kernel we want to filter
 struct Filtered_kernel_d : public Cartesian_d<typename Kernel::FT>
 {
-    typedef typename Kernel::LA			LA;
-    typedef typename Kernel::RT			RT; // Ring type
-    typedef typename Kernel::FT			FT; // Field type
+    typedef typename Kernel::LA                        LA;
+    typedef typename Kernel::RT                        RT; // Ring type
+    typedef typename Kernel::FT                        FT; // Field type
 
-    typedef Cartesian_d<FT>			Base;
-    typedef Filtered_kernel_d<Kernel>		Self;
+    typedef Cartesian_d<FT>                        Base;
+    typedef Filtered_kernel_d<Kernel>                Self;
 
     // an exact number type
-    typedef typename internal::Exact_type_selector<RT>::Type	Exact_nt;
-    
+    typedef typename internal::Exact_type_selector<RT>::Type        Exact_nt;
+
     // the corresponding exact kernel
     //typedef Linear_algebraCd< Exact_nt, boost::pool_allocator<Exact_nt> > Exact_linalg;
     typedef Linear_algebraCd< Exact_nt > Exact_linalg;
-    typedef Cartesian_d<Exact_nt, Exact_linalg>		Exact_kernel;
-    
+    typedef Cartesian_d<Exact_nt, Exact_linalg>                Exact_kernel;
+
     // the kernel used for filtered predicates
     typedef Interval_nt<false> IA;
     //typedef Linear_algebraCd<IA, boost::pool_allocator<IA> > Interval_linalg;
     typedef Linear_algebraCd<IA> Interval_linalg;
-    typedef Cartesian_d<IA, Interval_linalg >	Approximate_kernel;
-    
+    typedef Cartesian_d<IA, Interval_linalg >        Approximate_kernel;
+
     // the converter
-    typedef Cartesian_converter_d<Base, Exact_kernel>	C2E;
-    typedef Cartesian_converter_d<Base, Approximate_kernel>	C2F;
+    typedef Cartesian_converter_d<Base, Exact_kernel>        C2E;
+    typedef Cartesian_converter_d<Base, Approximate_kernel>        C2F;
 
     // we change the predicates.
 #define CGAL_Kernel_pred(P, Pf) \
diff -pruN 5.0.2-3/include/CGAL/Filtered_kernel_fwd.h 5.0.3-1/include/CGAL/Filtered_kernel_fwd.h
--- 5.0.2-3/include/CGAL/Filtered_kernel_fwd.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Filtered_kernel_fwd.h	2020-08-01 19:02:20.000000000 +0000
@@ -4,10 +4,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/Filtered_kernel_fwd.h $
-// $Id: Filtered_kernel_fwd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/Filtered_kernel_fwd.h $
+// $Id: Filtered_kernel_fwd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion, Laurent Rineau
 
diff -pruN 5.0.2-3/include/CGAL/Filtered_kernel.h 5.0.3-1/include/CGAL/Filtered_kernel.h
--- 5.0.2-3/include/CGAL/Filtered_kernel.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Filtered_kernel.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/Filtered_kernel.h $
-// $Id: Filtered_kernel.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/Filtered_kernel.h $
+// $Id: Filtered_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
@@ -112,14 +112,14 @@ template < typename CK, bool UseStaticFi
 struct Filtered_kernel_adaptor
   : public Filtered_kernel_base<CK>
 {
-	enum { Has_static_filters = false };
+        enum { Has_static_filters = false };
 };
 
 template < typename CK >
 struct Filtered_kernel_adaptor<CK, true>
   : public Static_filters_base<CK>
 {
-	enum { Has_static_filters = true };
+        enum { Has_static_filters = true };
 };
 
 // UseStaticFilters has a default value, depending on
@@ -130,7 +130,7 @@ struct Filtered_kernel
                Type_equality_wrapper<
                    typename CK:: template Base< Filtered_kernel<CK, UseStaticFilters> >::Type,
                    Filtered_kernel<CK, UseStaticFilters> >,
-	       UseStaticFilters >
+               UseStaticFilters >
 {};
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Filtered_predicate.h 5.0.3-1/include/CGAL/Filtered_predicate.h
--- 5.0.2-3/include/CGAL/Filtered_predicate.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Filtered_predicate.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/Filtered_predicate.h $
-// $Id: Filtered_predicate.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/Filtered_predicate.h $
+// $Id: Filtered_predicate.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
@@ -94,11 +94,11 @@ Filtered_predicate<EP,AP,C2E,C2A,Protect
     {
       Protect_FPU_rounding<Protection> p;
       try
-	{
-	  Ares res = ap(c2a(args)...);
-	  if (is_certain(res))
-	    return get_certain(res);
-	}
+        {
+          Ares res = ap(c2a(args)...);
+          if (is_certain(res))
+            return get_certain(res);
+        }
       catch (Uncertain_conversion_exception&) {}
     }
     CGAL_BRANCH_PROFILER_BRANCH(tmp);
diff -pruN 5.0.2-3/include/CGAL/Filtered_predicate_with_state.h 5.0.3-1/include/CGAL/Filtered_predicate_with_state.h
--- 5.0.2-3/include/CGAL/Filtered_predicate_with_state.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Filtered_predicate_with_state.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/Filtered_predicate_with_state.h $
-// $Id: Filtered_predicate_with_state.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/Filtered_predicate_with_state.h $
+// $Id: Filtered_predicate_with_state.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion, Andreas Fabri, Sebastien Loriot
 
@@ -65,11 +65,11 @@ Filtered_predicate_with_state<EP,AP,C2E,
     {
       Protect_FPU_rounding<Protection> p;
       try
-	{
-	  Ares res = ap(c2a(args)...);
-	  if (is_certain(res))
-	    return get_certain(res);
-	}
+        {
+          Ares res = ap(c2a(args)...);
+          if (is_certain(res))
+            return get_certain(res);
+        }
       catch (Uncertain_conversion_exception&) {}
     }
     CGAL_BRANCH_PROFILER_BRANCH(tmp);
diff -pruN 5.0.2-3/include/CGAL/Fixed_alpha_shape_3.h 5.0.3-1/include/CGAL/Fixed_alpha_shape_3.h
--- 5.0.2-3/include/CGAL/Fixed_alpha_shape_3.h	2020-02-21 20:02:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Fixed_alpha_shape_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Alpha_shapes_3/include/CGAL/Fixed_alpha_shape_3.h $
-// $Id: Fixed_alpha_shape_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Alpha_shapes_3/include/CGAL/Fixed_alpha_shape_3.h $
+// $Id: Fixed_alpha_shape_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot
 //
@@ -65,42 +65,42 @@ namespace internal{
       return T.geom_traits().compare_weighted_squared_radius_3_object();
     }
   };
-  
+
   //small utility to insert hidden vertices after a removal (in non-weighted case do nothing)
   template <class One_alpha,class Weighted_tag=::CGAL::Tag_true>
   struct Hidden_inserter
   {
     typedef typename One_alpha::Triangulation Dt;
-    
+
     template <class Vertex_remover>
     static void insert(One_alpha& one_alpha, Vertex_remover& remover)
     {
       typename One_alpha::Cell_handle c;
       for (typename Vertex_remover::Hidden_points_iterator
         hi = remover.hidden_points_begin();
-        hi != remover.hidden_points_end(); ++hi) 
+        hi != remover.hidden_points_end(); ++hi)
       {
         typename One_alpha::Vertex_handle hv = one_alpha.insert (*hi, c);
         if (hv != typename One_alpha::Vertex_handle()) c = hv->cell();
       }
     }
   };
-  
+
   template <class One_alpha>
   struct Hidden_inserter<One_alpha,::CGAL::Tag_false>{
     typedef typename One_alpha::Triangulation Dt;
     template <class Vertex_remover>
     static void insert(const One_alpha&,const Vertex_remover&){}
   };
-  
-  
+
+
 } //internal
 
 
 template < class Dt >
 class Fixed_alpha_shape_3 : public Dt
 {
-  // DEFINITION The class Fixed_alpha_shape_3<Dt> represents the 
+  // DEFINITION The class Fixed_alpha_shape_3<Dt> represents the
   // alpha-shape for a set of points (or a set of weighted points)
   // for a given value of alpha. The alphashape is defined  through
   // the Delaunay tetrahedralization of the points
@@ -112,19 +112,19 @@ class Fixed_alpha_shape_3 : public Dt
   // in case of weighted points) empty of other points
   // (or suborthogonal to other sites in case of weighted points)
   // with squared radius equal or less than alpha
- 
+
   // In each k-dimensional simplex of the triangulation
-  // for (k=0,1,2) 
+  // for (k=0,1,2)
   // can be classified as EXTERIOR, SINGULAR, REGULAR
   // or INTERIOR with respect to the alpha shape.
   // A $k$ simplex is REGULAR if it is on the boundary
   // of the alpha_complex and belongs to a $k+1$ simplex in the complex
   // and it is SINGULAR simplex if it is  a boundary simplex tht is not
   // included in a $k+1$ simplex of the complex.
-  
-  // Roughly, the Fixed_alpha_shape data structure computes and stores, 
+
+  // Roughly, the Fixed_alpha_shape data structure computes and stores,
   // for each simplex it classification type.
-  
+
 
   //------------------------- TYPES ------------------------------------
 
@@ -145,7 +145,7 @@ public:
   typedef Coord_type                                FT;
 
   typedef typename Dt::Point                        Point;
-  
+
   typedef typename Dt::Cell_handle                  Cell_handle;
   typedef typename Dt::Vertex_handle                Vertex_handle;
   typedef typename Dt::Facet                        Facet;
@@ -221,9 +221,9 @@ public:
   typedef Filter_iterator< Finite_facets_iterator, Exterior_simplex_test>   Alpha_shape_facets_iterator;
   typedef Filter_iterator< Finite_edges_iterator, Exterior_simplex_test>    Alpha_shape_edges_iterator;
   typedef Filter_iterator< Finite_cells_iterator, Exterior_simplex_test>    Alpha_shape_cells_iterator;
-  
- 
-  Vertex_handle 
+
+
+  Vertex_handle
   insert(const Point& p,Cell_handle start=Cell_handle())
   {
     if (this->dimension() < 3){
@@ -231,7 +231,7 @@ public:
       if (this->dimension() == 3) initialize_alpha();
       return new_v;
     }
-    
+
     //Handle only case of dimension 3 of insert_in_conflict from Triangulation_3 class.
     typename Triangulation::Locate_type lt;
     int li, lj;
@@ -251,7 +251,7 @@ public:
     // First, find the conflict region.
     std::vector<Cell_handle> cells;
     std::vector<Facet> facets_on_the_boundary_of_the_hole;
-    
+
     cells.reserve(32);
     this->find_conflicts
       (c, tester, make_triple(std::back_inserter(facets_on_the_boundary_of_the_hole),
@@ -259,7 +259,7 @@ public:
                               Emptyset_iterator()));
 
     Facet facet=*boost::prior(facets_on_the_boundary_of_the_hole.end());
-    
+
     // Remember the points that are hidden by the conflicting cells,
     // as they will be deleted during the insertion.
     this->hidden_point_visitor.process_cells_in_conflict(cells.begin(), cells.end());
@@ -269,7 +269,7 @@ public:
     //recover edges on the boundary of the hole.
     std::set<Edge,Compare_edge> hole_boundary_edges;
     const int indices[3]={1,2,3};
-    for (typename std::vector<Facet>::iterator 
+    for (typename std::vector<Facet>::iterator
       it=facets_on_the_boundary_of_the_hole.begin();
       it!=facets_on_the_boundary_of_the_hole.end();
       ++it)
@@ -333,9 +333,9 @@ public:
     int itmp1,itmp2;
     v->is_on_chull( this->is_edge(this->infinite_vertex(),v,tmp,itmp1,itmp2) );
     finalize_status_of_vertex(v);
-    
+
     //--set classification of old edges
-    for (typename std::set<Edge,Compare_edge>::iterator  
+    for (typename std::set<Edge,Compare_edge>::iterator
          eit=hole_boundary_edges.begin();eit!=hole_boundary_edges.end();++eit)
     {
       CGAL_precondition (!this->is_infinite(*eit));
@@ -345,7 +345,7 @@ public:
       CGAL_precondition(it_status!=edge_status_map.end());
       it_status->second = status;
     }
-    
+
     //--set status of old vertices + update is_on_chull
     //TODO: find a better way to do it : make an update
     std::vector<Vertex_handle> vertices;
@@ -357,21 +357,21 @@ public:
       }
       set_vertex_status(*vit);
     }
-    
+
     // Store the hidden points in their new cells.
     this->hidden_point_visitor.reinsert_vertices(v);
     return v;
   }
-  
+
   void remove (Vertex_handle vertex_to_remove)
   {
     CGAL_precondition(vertex_to_remove!=Vertex_handle());
     CGAL_precondition(vertex_to_remove!=this->infinite_vertex());
-    
+
     std::vector<Facet> link;
-    std::vector<Vertex_handle> vertices_to_update;    
+    std::vector<Vertex_handle> vertices_to_update;
     std::map<Vertex_handle,Classification_type> old_classification;
-    
+
     if (this->dimension() == 3)
     {
       //recover facet of the link: they are bounding
@@ -388,7 +388,7 @@ public:
 
       //get vertices that will need to be updated
       this->finite_adjacent_vertices(vertex_to_remove,std::back_inserter(vertices_to_update));
-      
+
       //1-erase removed edges from edge_map
       //2-store old classification of vertices and set it to SINGULAR
       for(typename std::vector<Vertex_handle>::iterator it=vertices_to_update.begin();it!=vertices_to_update.end();++it){
@@ -398,18 +398,18 @@ public:
         (*it)->set_classification_type(SINGULAR);
       }
     }
-   
+
     //Do remove the vertex from the underlying triangulation
     Dt tmp;
     typename Dt:: template Vertex_remover<Dt> remover(tmp);
     typedef typename Dt::Tr_Base Tr_Base;
     Tr_Base::remove(vertex_to_remove,remover);
-    
+
     if (this->dimension()<3){
       edge_status_map.clear();
       return;
     }
-    
+
     //recover new cells
     std::set<Cell_handle> new_cells;//cells in the hole
     std::set<Cell_handle> outer;//cells that are not in the hole
@@ -422,7 +422,7 @@ public:
         outer.insert(it->first);
       }
     }
-    
+
     while (!to_visit.empty()){
       Cell_handle cell=to_visit.front();
       to_visit.pop();
@@ -434,13 +434,13 @@ public:
           to_visit.push(candidate);
       }
     }
-    
+
     //set status of new cells
     for (typename std::set<Cell_handle>::iterator it=new_cells.begin();it!=new_cells.end();++it){
       CGAL_precondition(!this->is_infinite(*it));
       set_cell_status(*it);
     }
-    
+
     //recover new facets + link facets
     //set vertex that are on the convex hull (those on a facet incident to infinite cell)
     while (!new_cells.empty())
@@ -460,7 +460,7 @@ public:
         }
       }
     }
-    
+
     std::set<Edge,Compare_edge> new_edges;
     //1- set status of these facets
     //2- recover new edges + edges incident to link facets
@@ -471,29 +471,29 @@ public:
         new_edges.insert(Edge(it->first,(it->second+index[i])%4,(it->second+index[(i+1)%3])%4));
       }
     }
-   
+
     //set status of these edges
     for(typename std::set<Edge,Compare_edge>::iterator it=new_edges.begin();it!=new_edges.end();++it){
       Classification_type status=compute_edge_status(it->first, it->second, it->third);
       //cross links
       Vertex_handle_pair vhp = make_vertex_handle_pair( *it );
       edge_status_map[vhp]=status;
-    
+
       //update status of incident vertices
       update_vertex_status(it->first->vertex(it->second),status);
       update_vertex_status(it->first->vertex(it->third),status);
     }
-    
+
     //set final status of vertices
     for(typename std::vector<Vertex_handle>::iterator it=vertices_to_update.begin();it!=vertices_to_update.end();++it){
       //this one is working but should be more expensive
       //set_vertex_status(*it);      continue;
-      
+
       Classification_type old_status=old_classification[*it];
       Classification_type status=(*it)->get_classification_type();
-      
+
       CGAL_precondition( status!=SINGULAR ); // at least on edge is incident to that vertex
-      
+
       if (status==INTERIOR){
         if (old_status!=INTERIOR || (*it)->is_on_chull())
           (*it)->set_classification_type(REGULAR);
@@ -501,14 +501,14 @@ public:
           (*it)->set_classification_type(INTERIOR);
         continue;
       }
-      
+
       if (status==REGULAR) continue;
 
       if ( status==EXTERIOR && ( old_status==REGULAR || old_status==INTERIOR) ){ //if vertex was EXTERIOR or SINGULAR other edges are not in the alpha complex
         //check if former REGULAR vertex becomes EXTERIOR or SINGULAR
         std::list<Vertex_handle> incidentv;
         finite_adjacent_vertices(*it,back_inserter(incidentv));
-        
+
         typename std::list<Vertex_handle>::iterator vvit=incidentv.begin();
         for( ; vvit != incidentv.end(); ++vvit) {
             //TODO: We take all edges -> WE SHOULD ONLY TAKE THOSE NOT IN THE HOLE
@@ -520,22 +520,22 @@ public:
               break;
             }
         }
-        
+
         if ( vvit != incidentv.end() ) continue;
       }
-      
+
       if ( is_vertex_Gabriel((*it),Weighted_tag()) && is_gabriel_simplex_in_alpha_complex((*it)) )
         (*it)->set_classification_type(SINGULAR);
       else
         (*it)->set_classification_type(EXTERIOR);
     }
-    
+
     //Insert possible hidden points
     internal::Hidden_inserter<Fixed_alpha_shape_3<Dt>,Weighted_tag>::insert(*this,remover);
   }
-  
-  
-  
+
+
+
 private:
 
   typedef internal::Simplex_classif_predicate<Fixed_alpha_shape_3<Dt>,Weighted_tag> Simplex_classif;
@@ -548,36 +548,36 @@ private:
 
   //------------------------- CONSTRUCTORS ------------------------------
 public:
-  Fixed_alpha_shape_3(NT alpha=0):_alpha(alpha){} 
+  Fixed_alpha_shape_3(NT alpha=0):_alpha(alpha){}
 
   Fixed_alpha_shape_3(Dt& dt, NT alpha = 0):_alpha(alpha){
     Dt::swap(dt);
     if (dimension() == 3) initialize_alpha();
   }
- 
+
   // Introduces an alpha-shape `A' for the alpha-value
   // `alpha' that is initialized with the points in the range
   // from first to last
-  template < class InputIterator >  
-  Fixed_alpha_shape_3(const InputIterator& first,  
-                const InputIterator& last,  
+  template < class InputIterator >
+  Fixed_alpha_shape_3(const InputIterator& first,
+                const InputIterator& last,
                 const NT& alpha = 0): _alpha(alpha)
   {
     Dt::insert(first, last);
-    if (dimension() == 3)	  initialize_alpha();
+    if (dimension() == 3)          initialize_alpha();
   }
- 
- 
-  
+
+
+
 private :
 
-  template < class InputIterator >  
-  int make_alpha_shape(const InputIterator& first, 
-		       const InputIterator& last)
+  template < class InputIterator >
+  int make_alpha_shape(const InputIterator& first,
+                       const InputIterator& last)
   {
     clear();
     int n = Dt::insert(first, last);
-    if (dimension() == 3)	  initialize_alpha();
+    if (dimension() == 3)          initialize_alpha();
     return n;
   }
 
@@ -593,7 +593,7 @@ private :
     incident_vertices(this->infinite_vertex(),std::back_inserter(chull));
     for ( typename std::vector<Vertex_handle>::iterator it=chull.begin();it!=chull.end();++it)
       (*it)->is_on_chull(true);
-    
+
     initialize_status_of_cells();
     initialize_status_of_facets();
     initialize_status_of_edges();
@@ -603,7 +603,7 @@ private :
 private :
   // prevent default copy constructor and default assigment
   Fixed_alpha_shape_3(const Fixed_alpha_shape_3&);
-  void operator=(const Fixed_alpha_shape_3&);  
+  void operator=(const Fixed_alpha_shape_3&);
 
   static
   Vertex_handle_pair
@@ -617,14 +617,14 @@ private :
   make_vertex_handle_pair( const Edge& e) {
     return make_vertex_handle_pair(e.first->vertex(e.second),e.first->vertex(e.third));
   }
-  
+
   struct Compare_edge{
     bool operator()(const Edge& e1,const Edge& e2) const
     {
       return make_vertex_handle_pair(e1)<make_vertex_handle_pair(e2);
     }
   };
-  
+
   bool is_vertex_Gabriel(Vertex_handle,Tag_false){return true;}
   template <class Vertexhandle>
   bool is_vertex_Gabriel(Vertexhandle v,Tag_true){return is_Gabriel(v);}
@@ -633,7 +633,7 @@ private :
   void set_vertex_status(Vertex_handle v);
   inline void set_cell_status (Cell_handle c);
   Classification_type compute_edge_status( const Cell_handle&  c,int i,int j) const;
-  
+
   //---------------------------------------------------------------------
 
 public:
@@ -642,32 +642,32 @@ public:
   {
     return _alpha;
   }
-  
+
   void clear()
   {
     // clears the structure
     Dt::clear();
     edge_status_map.clear();
   }
-  
+
   //--------------------- PREDICATES -----------------------------------
 
 public:
   Classification_type  classify(const Cell_handle& s) const  {
     if (is_infinite(s)) return EXTERIOR;
-    return s->get_classification_type(); 
+    return s->get_classification_type();
   }
   Classification_type  classify(const Facet& f) const {
     if (is_infinite(f)) return EXTERIOR;
-    return f.first->get_facet_classification_type(f.second); 
+    return f.first->get_facet_classification_type(f.second);
   }
   Classification_type  classify(const Edge& e) const  {
     if (is_infinite(e)) return EXTERIOR;
-    return edge_status_map.find(make_vertex_handle_pair(e))->second; 
+    return edge_status_map.find(make_vertex_handle_pair(e))->second;
   }
   Classification_type  classify(const Vertex_handle& v) const {
     if (is_infinite(v)) return EXTERIOR;
-    return v->get_classification_type(); 
+    return v->get_classification_type();
   }
 
 
@@ -703,7 +703,7 @@ private:
 
   bool
   is_gabriel_simplex_in_alpha_complex (const Cell_handle& s, const int& i, const int& j) const  {
-    return 
+    return
       Simplex_classif::predicate(*this)(
           s->vertex(i)->point(),
           s->vertex(j)->point(),
@@ -726,7 +726,7 @@ private:
   }
 
   //---------------------------------------------------------------------
-public:  
+public:
 #ifdef CGAL_USE_GEOMVIEW
   void show_alpha_shape_faces(Geomview_stream &gv) const;
 #endif
@@ -759,8 +759,8 @@ public:
   //---------------------------------------------------------------------
   // To extract simplices given a classification type
   template<class OutputIterator>
-  OutputIterator get_alpha_shape_cells(OutputIterator it, 
-				       Classification_type type) const
+  OutputIterator get_alpha_shape_cells(OutputIterator it,
+                                       Classification_type type) const
   {
     Finite_cells_iterator cit = finite_cells_begin();
     for( ; cit != finite_cells_end() ; ++cit){
@@ -770,8 +770,8 @@ public:
   }
 
   template<class OutputIterator>
-  OutputIterator get_alpha_shape_facets(OutputIterator it, 
-					Classification_type type) const
+  OutputIterator get_alpha_shape_facets(OutputIterator it,
+                                        Classification_type type) const
   {
     Finite_facets_iterator fit = finite_facets_begin();
     for( ; fit != finite_facets_end() ; ++fit){
@@ -781,8 +781,8 @@ public:
   }
 
   template<class OutputIterator>
-  OutputIterator get_alpha_shape_edges(OutputIterator it, 
-				       Classification_type type) const
+  OutputIterator get_alpha_shape_edges(OutputIterator it,
+                                       Classification_type type) const
   {
     Finite_edges_iterator eit = finite_edges_begin();
     for( ; eit != finite_edges_end() ; ++eit){
@@ -792,8 +792,8 @@ public:
   }
 
   template<class OutputIterator>
-   OutputIterator get_alpha_shape_vertices(OutputIterator it, 
-					   Classification_type type) const
+   OutputIterator get_alpha_shape_vertices(OutputIterator it,
+                                           Classification_type type) const
   {
     Finite_vertices_iterator vit = finite_vertices_begin();
     for( ; vit != finite_vertices_end() ; ++vit){
@@ -801,7 +801,7 @@ public:
     }
     return it;
   }
-  
+
 };
 
 
@@ -824,13 +824,13 @@ const typename Fixed_alpha_shape_3<Dt>::
 template <class Dt>
 void Fixed_alpha_shape_3<Dt>::set_cell_status(Cell_handle c){
   Classification_type status=is_infinite(c) ? EXTERIOR:( is_gabriel_simplex_in_alpha_complex(c) ? INTERIOR : EXTERIOR );
-  c->set_classification_type(status);  
+  c->set_classification_type(status);
 }
 
 template <class Dt>
-void 
+void
 Fixed_alpha_shape_3<Dt>::initialize_status_of_cells()
-{ 
+{
   Finite_cells_iterator cell_it, done = finite_cells_end();
   for( cell_it = finite_cells_begin(); cell_it != done; ++cell_it) {
     set_cell_status(cell_it);
@@ -850,17 +850,17 @@ set_facet_classification_type( const Fac
   int iNeigh = pNeighbor->index(pCell);
 
   unsigned nb_interior_cells=0;
-  
+
   if(!is_infinite(pCell)){
     if (pCell->get_classification_type()==INTERIOR)
       ++nb_interior_cells;
   }
-  
+
   if(!is_infinite(pNeighbor)){
     if (pNeighbor->get_classification_type()==INTERIOR)
       ++nb_interior_cells;
   }
-  
+
   Classification_type status=EXTERIOR;
   switch (nb_interior_cells){
     case 2:
@@ -872,21 +872,21 @@ set_facet_classification_type( const Fac
     default:
     {
       if ( is_Gabriel(f) ){
-        if ( is_gabriel_simplex_in_alpha_complex(f) )  status=SINGULAR;          
+        if ( is_gabriel_simplex_in_alpha_complex(f) )  status=SINGULAR;
       }
     }
-  }  
+  }
   pCell->set_facet_classification_type(i,status);
   pNeighbor->set_facet_classification_type(iNeigh,status);
 }
 
 
 template <class Dt>
-void 
+void
 Fixed_alpha_shape_3<Dt>::initialize_status_of_facets()
 {
   for(Finite_facets_iterator fit = finite_facets_begin();
-      fit != finite_facets_end(); ++fit)   
+      fit != finite_facets_end(); ++fit)
         set_facet_classification_type(*fit);
 }
 
@@ -900,7 +900,7 @@ compute_edge_status( const Cell_handle&
   Facet_circulator fcirc, done;
   fcirc = incident_facets(c,i,j);
   done = fcirc;
-  
+
   bool is_regular=false;
   bool is_interior=true;
   do{
@@ -916,19 +916,19 @@ compute_edge_status( const Cell_handle&
   }while(++fcirc!=done);
   if (is_interior) return INTERIOR;
   if (is_regular)  return REGULAR;
-  
+
   if ( is_Gabriel(c,i,j) ){
     if ( is_gabriel_simplex_in_alpha_complex(c,i,j) )  return SINGULAR;
-  }  
+  }
   return EXTERIOR;
 }
 
 template <class Dt>
-void 
+void
 Fixed_alpha_shape_3<Dt>::initialize_status_of_edges()
 {
-  for (Finite_edges_iterator eit = finite_edges_begin(); 
-       eit != finite_edges_end(); ++eit) 
+  for (Finite_edges_iterator eit = finite_edges_begin();
+       eit != finite_edges_end(); ++eit)
   {
     Classification_type status=compute_edge_status(eit->first, eit->second, eit->third);
     //cross links
@@ -940,11 +940,11 @@ Fixed_alpha_shape_3<Dt>::initialize_stat
 
 //this function is only to use for update (removal/update)
 template <class Dt>
-void 
+void
 Fixed_alpha_shape_3<Dt>::set_vertex_status(Vertex_handle v){
   std::list<Vertex_handle> incidentv;
   finite_adjacent_vertices(v,back_inserter(incidentv));
-  
+
   bool is_interior=true;
   bool is_regular=false;
   typename std::list<Vertex_handle>::iterator vvit=incidentv.begin();
@@ -957,7 +957,7 @@ Fixed_alpha_shape_3<Dt>::set_vertex_stat
         break;
       }
   }
-  
+
   Classification_type status=EXTERIOR;
   if (is_interior)
     status=v->is_on_chull() ? REGULAR : INTERIOR;
@@ -972,15 +972,15 @@ Fixed_alpha_shape_3<Dt>::set_vertex_stat
   }
   v->set_classification_type(status);
 }
-  
+
 template <class Dt>
-void 
+void
 Fixed_alpha_shape_3<Dt>::update_vertex_status(Vertex_handle v,Classification_type edge_status){
   Classification_type status=v->get_classification_type();
   switch(status){
     case SINGULAR:
       switch(edge_status){
-        case INTERIOR: 
+        case INTERIOR:
           status=INTERIOR;
         break;
         case EXTERIOR:
@@ -993,15 +993,15 @@ Fixed_alpha_shape_3<Dt>::update_vertex_s
     break;
     case INTERIOR:
       switch(edge_status){
-        case INTERIOR: 
+        case INTERIOR:
         break;
         case EXTERIOR:
         case REGULAR:
         case SINGULAR:
           status=REGULAR;
       }
-    break;      
-    case EXTERIOR:      
+    break;
+    case EXTERIOR:
       switch(edge_status){
         case EXTERIOR:
         break;
@@ -1011,14 +1011,14 @@ Fixed_alpha_shape_3<Dt>::update_vertex_s
           status=REGULAR;
       }
     break;
-    case REGULAR:  
+    case REGULAR:
     break;
   }
   v->set_classification_type(status);
 }
 
 template <class Dt>
-void 
+void
 Fixed_alpha_shape_3<Dt>::finalize_status_of_vertex(Vertex_handle v)
 {
   Classification_type status=v->get_classification_type();
@@ -1028,21 +1028,21 @@ Fixed_alpha_shape_3<Dt>::finalize_status
   }
   if (status==INTERIOR || status==REGULAR)
     return;
-  
+
   //when dimension is 3 any vertex has at least one incident edge,
   // thus can't be SINGULAR again (because of update_vertex_status behavior)
   CGAL_assertion(v->get_classification_type()==EXTERIOR);
-  
+
   if ( is_vertex_Gabriel(v,Weighted_tag()) && is_gabriel_simplex_in_alpha_complex(v) )
     v->set_classification_type(SINGULAR);
 }
 
 template <class Dt>
-void 
+void
 Fixed_alpha_shape_3<Dt>::initialize_status_of_vertices()
 {
   #if 1 //approach avoiding extensive use of the map on 3hfli we move from 0.110983 to 0.082987
-  for( Finite_vertices_iterator vit = finite_vertices_begin(); vit != finite_vertices_end();	 ++vit) 
+  for( Finite_vertices_iterator vit = finite_vertices_begin(); vit != finite_vertices_end();         ++vit)
     vit->set_classification_type(SINGULAR);
   for (typename Edge_status_map::const_iterator eit=edge_status_map.begin();eit!=edge_status_map.end();++eit){
     Classification_type edge_status=eit->second;
@@ -1050,12 +1050,12 @@ Fixed_alpha_shape_3<Dt>::initialize_stat
     update_vertex_status(vhp.first,edge_status);
     update_vertex_status(vhp.second,edge_status);
   }
-  for( Finite_vertices_iterator vit = finite_vertices_begin(); vit != finite_vertices_end();	 ++vit)
+  for( Finite_vertices_iterator vit = finite_vertices_begin(); vit != finite_vertices_end();         ++vit)
     finalize_status_of_vertex(vit);
   #else
   //This method is slower because it always makes queries in the edge classification map
-  for( Finite_vertices_iterator vit = finite_vertices_begin(); 
-       vit != finite_vertices_end();	 ++vit) 
+  for( Finite_vertices_iterator vit = finite_vertices_begin();
+       vit != finite_vertices_end();         ++vit)
     set_vertex_status(vit);
   #endif
 }
@@ -1064,13 +1064,13 @@ Fixed_alpha_shape_3<Dt>::initialize_stat
 
 template <class Dt>
 std::ostream& operator<<(std::ostream& os,  const Fixed_alpha_shape_3<Dt>& A)
-  // Inserts the alpha shape into the stream `os' as an indexed face set. 
+  // Inserts the alpha shape into the stream `os' as an indexed face set.
   // Precondition: The insert operator must be defined for `Point'
 {
   typedef Fixed_alpha_shape_3<Dt>                  AS;
   typedef typename AS::Vertex_handle         Vertex_handle;
   typedef typename AS::Cell_handle           Cell_handle;
-  typedef typename AS::Alpha_shape_vertices_iterator 
+  typedef typename AS::Alpha_shape_vertices_iterator
                                              Alpha_shape_vertices_iterator;
   typedef typename AS::Alpha_shape_facets_iterator
                                              Alpha_shape_facets_iterator;
@@ -1103,8 +1103,8 @@ std::ostream& operator<<(std::ostream& o
     int i0 = Triangulation_utils_3::vertex_triple_index(i,0);
     int i1 = Triangulation_utils_3::vertex_triple_index(i,1);
     int i2 = Triangulation_utils_3::vertex_triple_index(i,2);
-    os << V[c->vertex(i0)] << ' ' 
-       << V[c->vertex(i1)] << ' ' 
+    os << V[c->vertex(i0)] << ' '
+       << V[c->vertex(i1)] << ' '
        << V[c->vertex(i2)] << std::endl;
   }
   return os;
diff -pruN 5.0.2-3/include/CGAL/Fixed_alpha_shape_cell_base_3.h 5.0.3-1/include/CGAL/Fixed_alpha_shape_cell_base_3.h
--- 5.0.2-3/include/CGAL/Fixed_alpha_shape_cell_base_3.h	2020-02-21 20:02:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Fixed_alpha_shape_cell_base_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Alpha_shapes_3/include/CGAL/Fixed_alpha_shape_cell_base_3.h $
-// $Id: Fixed_alpha_shape_cell_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Alpha_shapes_3/include/CGAL/Fixed_alpha_shape_cell_base_3.h $
+// $Id: Fixed_alpha_shape_cell_base_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot
 //
@@ -46,14 +46,14 @@ private:
   Classification_type status_;
 
 public:
-  
-  Fixed_alpha_shape_cell_base_3() 
+
+  Fixed_alpha_shape_cell_base_3()
     : Cb() {}
-  
+
   Fixed_alpha_shape_cell_base_3(Vertex_handle v0, Vertex_handle v1,
                           Vertex_handle v2, Vertex_handle v3)
     : Cb(v0, v1, v2, v3) {}
-  
+
   Fixed_alpha_shape_cell_base_3(Vertex_handle v0, Vertex_handle v1,
                           Vertex_handle v2, Vertex_handle v3,
                           Cell_handle n0, Cell_handle n1,
@@ -64,7 +64,7 @@ public:
   Classification_type get_facet_classification_type(int i) const {return facet_status[i];}
   void set_facet_classification_type(int i, Classification_type status) { facet_status[i]=status;  }
   Classification_type get_classification_type() { return status_;}
-  void set_classification_type(Classification_type status) {status_=status;}   
+  void set_classification_type(Classification_type status) {status_=status;}
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Fixed_alpha_shape_vertex_base_3.h 5.0.3-1/include/CGAL/Fixed_alpha_shape_vertex_base_3.h
--- 5.0.2-3/include/CGAL/Fixed_alpha_shape_vertex_base_3.h	2020-02-21 20:02:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Fixed_alpha_shape_vertex_base_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Alpha_shapes_3/include/CGAL/Fixed_alpha_shape_vertex_base_3.h $
-// $Id: Fixed_alpha_shape_vertex_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Alpha_shapes_3/include/CGAL/Fixed_alpha_shape_vertex_base_3.h $
+// $Id: Fixed_alpha_shape_vertex_base_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Sebastien Loriot
 //
@@ -38,30 +38,30 @@ public:
   };
 
   typedef typename Vb::Point Point;
-  
+
 private:
-  typedef internal::Classification_type Classification_type;  
+  typedef internal::Classification_type Classification_type;
   Classification_type status_;
 
   bool is_on_chull_;
 
 public:
 
-  Fixed_alpha_shape_vertex_base_3()    
+  Fixed_alpha_shape_vertex_base_3()
     : Vb(),is_on_chull_(false) {}
-  
+
   Fixed_alpha_shape_vertex_base_3(const Point& p)
     : Vb(p),is_on_chull_(false) {}
-  
+
   Fixed_alpha_shape_vertex_base_3(const Point& p, Cell_handle c)
     : Vb(p, c),is_on_chull_(false) {}
 
   Classification_type get_classification_type() { return status_;}
   void set_classification_type(Classification_type status) {status_=status;}
-  
+
   void is_on_chull(bool b){is_on_chull_=b;};
   bool is_on_chull(){return is_on_chull_;}
-    
+
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Flattening_iterator.h 5.0.3-1/include/CGAL/Flattening_iterator.h
--- 5.0.2-3/include/CGAL/Flattening_iterator.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Flattening_iterator.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Flattening_iterator.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Flattening_iterator.h $
 // $Id: Flattening_iterator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/float.h 5.0.3-1/include/CGAL/float.h
--- 5.0.2-3/include/CGAL/float.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/float.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999,2007  
+// Copyright (c) 1999,2007
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/float.h $
-// $Id: float.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/float.h $
+// $Id: float.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/Fourtuple.h 5.0.3-1/include/CGAL/Fourtuple.h
--- 5.0.2-3/include/CGAL/Fourtuple.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Fourtuple.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999,2001  
+// Copyright (c) 1999,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Fourtuple.h $
-// $Id: Fourtuple.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Fourtuple.h $
+// $Id: Fourtuple.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/FPU_extension.h 5.0.3-1/include/CGAL/FPU_extension.h
--- 5.0.2-3/include/CGAL/FPU_extension.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/FPU_extension.h	2020-08-01 19:02:36.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/FPU_extension.h $
-// $Id: FPU_extension.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/FPU_extension.h $
+// $Id: FPU_extension.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -14,7 +14,7 @@
 // control word of the FPU, to:
 //   - set the precision to 53 bits of mantissa,
 //   - get/set the rounding mode.
-// 
+//
 // The goal of FPU_extension.h is to define inline functions similar to
 // feclearexcept and fetestexcept of C99.
 //
@@ -33,7 +33,7 @@
 #  endif
 #elif defined _MSC_VER
 #  include <CGAL/FPU_msvc.h>
-#else 
+#else
 
 // generic functions, using C99
 
diff -pruN 5.0.2-3/include/CGAL/FPU_gcc_i386.h 5.0.3-1/include/CGAL/FPU_gcc_i386.h
--- 5.0.2-3/include/CGAL/FPU_gcc_i386.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/FPU_gcc_i386.h	2020-08-01 19:02:36.000000000 +0000
@@ -2,14 +2,14 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/FPU_gcc_i386.h $
-// $Id: FPU_gcc_i386.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/FPU_gcc_i386.h $
+// $Id: FPU_gcc_i386.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Laurent Rineau
 
-extern "C" { 
+extern "C" {
 #include <fenv.h>
 }
 
diff -pruN 5.0.2-3/include/CGAL/FPU_gcc_i386_sse2.h 5.0.3-1/include/CGAL/FPU_gcc_i386_sse2.h
--- 5.0.2-3/include/CGAL/FPU_gcc_i386_sse2.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/FPU_gcc_i386_sse2.h	2020-08-01 19:02:36.000000000 +0000
@@ -2,14 +2,14 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/FPU_gcc_i386_sse2.h $
-// $Id: FPU_gcc_i386_sse2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/FPU_gcc_i386_sse2.h $
+// $Id: FPU_gcc_i386_sse2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Laurent Rineau
 
-extern "C" { 
+extern "C" {
 #include <fenv.h>
 }
 
diff -pruN 5.0.2-3/include/CGAL/FPU.h 5.0.3-1/include/CGAL/FPU.h
--- 5.0.2-3/include/CGAL/FPU.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/FPU.h	2020-08-01 19:02:36.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/FPU.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/FPU.h $
 // $Id: FPU.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/FPU_msvc.h 5.0.3-1/include/CGAL/FPU_msvc.h
--- 5.0.2-3/include/CGAL/FPU_msvc.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/FPU_msvc.h	2020-08-01 19:02:36.000000000 +0000
@@ -5,7 +5,7 @@
 // Licensees holding a valid commercial license may use this file in
 // accordance with the commercial license agreement provided with the software.
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/FPU_msvc.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/FPU_msvc.h $
 // $Id: FPU_msvc.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Fraction_traits.h 5.0.3-1/include/CGAL/Fraction_traits.h
--- 5.0.2-3/include/CGAL/Fraction_traits.h	2020-02-21 20:02:45.000000000 +0000
+++ 5.0.3-1/include/CGAL/Fraction_traits.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_foundations/include/CGAL/Fraction_traits.h $
-// $Id: Fraction_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_foundations/include/CGAL/Fraction_traits.h $
+// $Id: Fraction_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -17,29 +17,29 @@
 //         they may be wrong now.
 
 /*! \file NiX/Fraction_traits.h
-    \brief Defines class NiX::Fraction_traits. 
- 
+    \brief Defines class NiX::Fraction_traits.
+
     Provides dependent types and function objects for all the functions
     beyond operators with specializations of the \c Fraction_traits<NT>
     class for each number type.
 */
 
 #ifndef CGAL_FRACTION_TRAITS_H
-#define CGAL_FRACTION_TRAITS_H 
+#define CGAL_FRACTION_TRAITS_H
 
 #include <CGAL/tags.h>
 
 namespace CGAL {
 
 /*! \ingroup NiX_Fraction_traits_spec
- *  \brief Traits class for accessing numerator and denominator.\n 
- *  It is a model of the concept TypeTraits. 
+ *  \brief Traits class for accessing numerator and denominator.\n
+ *  It is a model of the concept TypeTraits.
  *
- *  This is the default version of NiX::Fraction_traits. 
+ *  This is the default version of NiX::Fraction_traits.
  *  It typedefs NiX::Fraction_traits::Is_decomposable
  *  as Tag_false and all functors to LiS::Null_type.
- *  
- *  \see module NiX_Fraction_traits 
+ *
+ *  \see module NiX_Fraction_traits
  *  \see module NiX_Cofraction_traits
  */
 template <class Type_ >
diff -pruN 5.0.2-3/include/CGAL/functional.h 5.0.3-1/include/CGAL/functional.h
--- 5.0.2-3/include/CGAL/functional.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/functional.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2017  
+// Copyright (c) 2017
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/functional.h $
-// $Id: functional.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/functional.h $
+// $Id: functional.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/function_objects.h 5.0.3-1/include/CGAL/function_objects.h
--- 5.0.2-3/include/CGAL/function_objects.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/function_objects.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003,2004  
+// Copyright (c) 2003,2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/function_objects.h $
-// $Id: function_objects.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/function_objects.h $
+// $Id: function_objects.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
@@ -454,7 +454,7 @@ public:
     op3 = other.op3;
     return *this;
   }
-    
+
   result_type
   operator()(const first_argument_type& x,
              const second_argument_type& y) const
diff -pruN 5.0.2-3/include/CGAL/functions_on_enums.h 5.0.3-1/include/CGAL/functions_on_enums.h
--- 5.0.2-3/include/CGAL/functions_on_enums.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/functions_on_enums.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/functions_on_enums.h $
-// $Id: functions_on_enums.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/functions_on_enums.h $
+// $Id: functions_on_enums.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 //                 Stefan Schirra
diff -pruN 5.0.2-3/include/CGAL/functions_on_signs.h 5.0.3-1/include/CGAL/functions_on_signs.h
--- 5.0.2-3/include/CGAL/functions_on_signs.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/functions_on_signs.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/functions_on_signs.h $
-// $Id: functions_on_signs.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/functions_on_signs.h $
+// $Id: functions_on_signs.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -49,13 +49,13 @@ sign_a_plus_b_x_sqrt_c(const RT &a, cons
   if ( sa == ZERO )  return sb;
 
   return sa * CGAL::compare( CGAL::square(a),
-			     c * CGAL::square(b) );
+                             c * CGAL::square(b) );
 }
 
 template < class RT >
 Sign
 sign_a_x_sqrt_c_plus_b_x_sqrt_d(const RT &a, const RT &b,
-				const RT &c, const RT &d)
+                                const RT &c, const RT &d)
 {
   // computes the sign of quantity: a * sqrt(c) + b * sqrt(d)
 
@@ -71,17 +71,17 @@ sign_a_x_sqrt_c_plus_b_x_sqrt_d(const RT
   if ( sa == ZERO )  return sb;
 
   return sa * CGAL::compare( CGAL::square(a) * c,
-			     CGAL::square(b) * d );
+                             CGAL::square(b) * d );
 }
 
 template < class RT >
 Sign
 sign_a_plus_b_x_sqrt_e_plus_c_x_sqrt_f(const RT &a, const RT &b,
-				       const RT &c, const RT &e,
-				       const RT &f)
+                                       const RT &c, const RT &e,
+                                       const RT &f)
 {
   // computes the sign of quantity: a + b * sqrt(e) + c * sqrt(f)
-  
+
   CGAL_assertion( !(CGAL::is_negative(e)) );
   CGAL_assertion( !(CGAL::is_negative(f)) );
 
@@ -92,24 +92,24 @@ sign_a_plus_b_x_sqrt_e_plus_c_x_sqrt_f(c
   if ( s_a_plus_b_x_sqrt_e == sc )  return sc;
   if ( s_a_plus_b_x_sqrt_e == ZERO )  return sc;
 
-  return s_a_plus_b_x_sqrt_e * 
+  return s_a_plus_b_x_sqrt_e *
     sign_a_plus_b_x_sqrt_c(CGAL::square(a) + CGAL::square(b) * e
-			   - CGAL::square(c) * f,
-			   RT(2) * a * b, e);
+                           - CGAL::square(c) * f,
+                           RT(2) * a * b, e);
 }
 
 template < class RT >
 Sign
 sign_a_plus_b_x_sqrt_e_plus_c_x_sqrt_f_plus_d_sqrt_e_x_f(const RT &a,
-							 const RT &b,
-							 const RT &c,
-							 const RT &d,
-							 const RT &e,
-							 const RT &f)
+                                                         const RT &b,
+                                                         const RT &c,
+                                                         const RT &d,
+                                                         const RT &e,
+                                                         const RT &f)
 {
   // computes the sign of quantity:
   //           a + b * sqrt(e) + c * sqrt(f) + d * sqrt(e * f)
-  
+
   CGAL_assertion( !(CGAL::is_negative(e)) );
   CGAL_assertion( !(CGAL::is_negative(f)) );
 
@@ -124,10 +124,10 @@ sign_a_plus_b_x_sqrt_e_plus_c_x_sqrt_f_p
 
   return s_a_plus_b_sqrt_e *
     sign_a_plus_b_x_sqrt_c(CGAL::square(a) + CGAL::square(b) * e
-			   - CGAL::square(c) * f
-			   - CGAL::square(d) * e * f,
-			   RT(2) * (a * b - c * d * f),
-			   e);
+                           - CGAL::square(c) * f
+                           - CGAL::square(d) * e * f,
+                           RT(2) * (a * b - c * d * f),
+                           e);
 }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Fuzzy_iso_box.h 5.0.3-1/include/CGAL/Fuzzy_iso_box.h
--- 5.0.2-3/include/CGAL/Fuzzy_iso_box.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Fuzzy_iso_box.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Fuzzy_iso_box.h $
-// $Id: Fuzzy_iso_box.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Fuzzy_iso_box.h $
+// $Id: Fuzzy_iso_box.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -36,18 +36,18 @@ namespace CGAL {
     struct Is_from_point_from_adapter_traits{
       typedef boost::false_type type;
     };
-    
-    
+
+
     template <class K,class PM,class Base,class Point>
     struct Is_from_point_from_adapter_traits<Search_traits_adapter<K,PM,Base>,Point>{
       typedef typename boost::is_same<Point,typename Base::Point_d> type;
     };
   } //namespace internal
-  
+
   template <class SearchTraits>
   class Fuzzy_iso_box{
     SearchTraits traits;
-    
+
     public:
 
     typedef typename SearchTraits::Point_d Point_d;
@@ -61,8 +61,8 @@ namespace CGAL {
 
     private:
 
-    typename boost::remove_cv< 
-      typename boost::remove_reference< typename Construct_min_vertex_d::result_type >::type 
+    typename boost::remove_cv<
+      typename boost::remove_reference< typename Construct_min_vertex_d::result_type >::type
       >::type min, max;
     Cartesian_const_iterator_d min_begin, max_begin;
     FT eps;
@@ -85,7 +85,7 @@ namespace CGAL {
       min_begin = construct_it(min);
       max_begin = construct_it(max);
     }
-   
+
     public:
 
     // default constructor
@@ -98,7 +98,7 @@ namespace CGAL {
       CGAL_precondition(epsilon >= 0);
       construct<Point_d,typename SearchTraits::Construct_iso_box_d>(p,q);
     }
-        
+
   //additional constructor if SearchTraits = Search_traits_adapter
   template <class Point>
   Fuzzy_iso_box(const Point& p,const Point&q,FT epsilon=FT(0),const SearchTraits& traits_=SearchTraits(),
diff -pruN 5.0.2-3/include/CGAL/Fuzzy_sphere.h 5.0.3-1/include/CGAL/Fuzzy_sphere.h
--- 5.0.2-3/include/CGAL/Fuzzy_sphere.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Fuzzy_sphere.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Fuzzy_sphere.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Fuzzy_sphere.h $
 // $Id: Fuzzy_sphere.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Generalized_map.h 5.0.3-1/include/CGAL/Generalized_map.h
--- 5.0.2-3/include/CGAL/Generalized_map.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Generalized_map.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generalized_map/include/CGAL/Generalized_map.h $
-// $Id: Generalized_map.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generalized_map/include/CGAL/Generalized_map.h $
+// $Id: Generalized_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -210,7 +210,7 @@ namespace CGAL {
       boost::unordered_map<typename GMap2::Dart_const_handle, Dart_handle> local_dartmap;
       if (dart_mapping==nullptr)
       { dart_mapping=&local_dartmap; }
-      
+
 
       for (typename GMap2::Dart_const_range::const_iterator
              it=amap.darts().begin(), itend=amap.darts().end();
diff -pruN 5.0.2-3/include/CGAL/Generalized_map_iterators_base.h 5.0.3-1/include/CGAL/Generalized_map_iterators_base.h
--- 5.0.2-3/include/CGAL/Generalized_map_iterators_base.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Generalized_map_iterators_base.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generalized_map/include/CGAL/Generalized_map_iterators_base.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generalized_map/include/CGAL/Generalized_map_iterators_base.h $
 // $Id: Generalized_map_iterators_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Generalized_map_operations.h 5.0.3-1/include/CGAL/Generalized_map_operations.h
--- 5.0.2-3/include/CGAL/Generalized_map_operations.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Generalized_map_operations.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generalized_map/include/CGAL/Generalized_map_operations.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generalized_map/include/CGAL/Generalized_map_operations.h $
 // $Id: Generalized_map_operations.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Generalized_map_save_load.h 5.0.3-1/include/CGAL/Generalized_map_save_load.h
--- 5.0.2-3/include/CGAL/Generalized_map_save_load.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Generalized_map_save_load.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generalized_map/include/CGAL/Generalized_map_save_load.h $
-// $Id: Generalized_map_save_load.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generalized_map/include/CGAL/Generalized_map_save_load.h $
+// $Id: Generalized_map_save_load.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -70,11 +70,11 @@ namespace CGAL {
   template < class GMap >
   boost::property_tree::ptree gmap_save_darts
   (const GMap& amap,
-   std::map<typename GMap::Dart_const_handle, 
+   std::map<typename GMap::Dart_const_handle,
               typename GMap::size_type>& myDarts)
   {
     CGAL_assertion( myDarts.empty() );
-    
+
     // First we numbered each dart by using the std::map.
     typename GMap::Dart_range::const_iterator it(amap.darts().begin());
     for(typename GMap::size_type num=1; num<=amap.number_of_darts();
@@ -108,7 +108,7 @@ namespace CGAL {
       // function)
       write_cmap_dart_node(ndart, it);
     }
-    
+
     return pt;
   }
 
@@ -141,7 +141,7 @@ namespace CGAL {
     std::ofstream output(filename);
     if (!output) return false;
     return save_generalized_map(amap, output);
-  }  
+  }
 
   template < class GMap >
   bool gmap_load_darts(boost::property_tree::ptree &pt, GMap& amap,
@@ -172,7 +172,7 @@ namespace CGAL {
           {
             index = v2.second.get("<xmlattr>.i", 0);
             nextDartInt = boost::lexical_cast< int >(v2.second.data())-1;
-            
+
             if ( index<=amap.dimension )
             {
               amap.basic_link_alpha(myDarts[currentDartInt],
@@ -201,7 +201,7 @@ namespace CGAL {
     cmap_load_attributes(pt,amap,myDarts);
     return true;
   }
-  
+
   template < class GMap >
   bool load_generalized_map(const char* filename, GMap& amap)
   {
diff -pruN 5.0.2-3/include/CGAL/Generalized_map_storages.h 5.0.3-1/include/CGAL/Generalized_map_storages.h
--- 5.0.2-3/include/CGAL/Generalized_map_storages.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Generalized_map_storages.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generalized_map/include/CGAL/Generalized_map_storages.h $
-// $Id: Generalized_map_storages.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generalized_map/include/CGAL/Generalized_map_storages.h $
+// $Id: Generalized_map_storages.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -66,7 +66,7 @@ namespace CGAL {
 
     typedef Items_ Items;
     typedef Alloc_ Alloc;
-    
+
     template <typename T>
     struct Container_for_attributes :
       public Compact_container<T, typename std::allocator_traits<Alloc_>::template rebind_alloc<T> >
@@ -222,7 +222,7 @@ namespace CGAL {
       CGAL_assertion( ah!=nullptr );
       return ah->is_valid();
     }
-    
+
     // accessors and modifiers to the attribute ref counting given its handle
     template<unsigned int i>
     std::size_t get_attribute_ref_counting
diff -pruN 5.0.2-3/include/CGAL/General_polygon_2.h 5.0.3-1/include/CGAL/General_polygon_2.h
--- 5.0.2-3/include/CGAL/General_polygon_2.h	2020-02-21 20:02:59.000000000 +0000
+++ 5.0.3-1/include/CGAL/General_polygon_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/General_polygon_2.h $
-// $Id: General_polygon_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/General_polygon_2.h $
+// $Id: General_polygon_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 
@@ -111,7 +111,7 @@ public:
     Gps_traits_adaptor<Traits_2>  tr;
     return (tr.orientation_2_object()(m_xcurves.begin(), m_xcurves.end()));
   }
-  
+
   void reverse_orientation()
   {
     m_xcurves.reverse();
@@ -149,7 +149,7 @@ public:
     {
       result = result + first->bbox();
     }
-      
+
     return result;
   }
 };
@@ -165,7 +165,7 @@ std::istream &operator>>(std::istream &i
   int n; // number of edges
   is >> n;
   typename Traits::X_monotone_curve_2 cv;
- 
+
   if (is) {
       p.clear();
       for (int i=0; i<n; i++) {
@@ -173,7 +173,7 @@ std::istream &operator>>(std::istream &i
         p.push_back(cv);
       }
   }
- 
+
   return is;
 }
 
diff -pruN 5.0.2-3/include/CGAL/General_polygon_set_2.h 5.0.3-1/include/CGAL/General_polygon_set_2.h
--- 5.0.2-3/include/CGAL/General_polygon_set_2.h	2020-02-21 20:02:59.000000000 +0000
+++ 5.0.3-1/include/CGAL/General_polygon_set_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/General_polygon_set_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/General_polygon_set_2.h $
 // $Id: General_polygon_set_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/General_polygon_set_on_surface_2.h 5.0.3-1/include/CGAL/General_polygon_set_on_surface_2.h
--- 5.0.2-3/include/CGAL/General_polygon_set_on_surface_2.h	2020-02-21 20:02:59.000000000 +0000
+++ 5.0.3-1/include/CGAL/General_polygon_set_on_surface_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/General_polygon_set_on_surface_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/General_polygon_set_on_surface_2.h $
 // $Id: General_polygon_set_on_surface_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/General_polygon_with_holes_2.h 5.0.3-1/include/CGAL/General_polygon_with_holes_2.h
--- 5.0.2-3/include/CGAL/General_polygon_with_holes_2.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/General_polygon_with_holes_2.h	2020-08-01 19:02:40.000000000 +0000
@@ -7,8 +7,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon/include/CGAL/General_polygon_with_holes_2.h $
-// $Id: General_polygon_with_holes_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon/include/CGAL/General_polygon_with_holes_2.h $
+// $Id: General_polygon_with_holes_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -47,7 +47,7 @@ public:
 
 /// @{
   /// polygon without hole type
-  typedef Polygon_							General_polygon_2;
+  typedef Polygon_                                                        General_polygon_2;
 /// @}
 
   typedef std::deque<General_polygon_2>               Holes_container;
diff -pruN 5.0.2-3/include/CGAL/generators.h 5.0.3-1/include/CGAL/generators.h
--- 5.0.2-3/include/CGAL/generators.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/include/CGAL/generators.h	2020-08-01 19:02:21.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generator/include/CGAL/generators.h $
-// $Id: generators.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generator/include/CGAL/generators.h $
+// $Id: generators.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>
 
@@ -84,10 +84,10 @@ class Random_double_in_interval : public
     // <= p.x() < \frac{a}{2} and -\frac{a}{2} <= p.y() < \frac{a}{2}
     // . Two random numbers are needed from `rnd' for each point.
     : Random_generator_base<double>( a, rnd)
-    { 
+    {
       this->d_item = this->d_range * (2 * this->_rnd.get_double() - 1.0);
     }
-  
+
   This& operator++() {
     this->d_item = this->d_range * (2 * this->_rnd.get_double() - 1.0);
     return *this;
diff -pruN 5.0.2-3/include/CGAL/Generic_map_min_items.h 5.0.3-1/include/CGAL/Generic_map_min_items.h
--- 5.0.2-3/include/CGAL/Generic_map_min_items.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Generic_map_min_items.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/Generic_map_min_items.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/Generic_map_min_items.h $
 // $Id: Generic_map_min_items.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/generic_sweep.h 5.0.3-1/include/CGAL/generic_sweep.h
--- 5.0.2-3/include/CGAL/generic_sweep.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/generic_sweep.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/generic_sweep.h $
-// $Id: generic_sweep.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/generic_sweep.h $
+// $Id: generic_sweep.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 #ifndef CGAL_GENERIC_SWEEP_H
@@ -48,7 +48,7 @@ specification and thereby varies within
 framework.
 
 The traits class |T| has to provide a set of types which define
-the input/output interface of the sweep: the input type |INPUT|, 
+the input/output interface of the sweep: the input type |INPUT|,
 the output type |OUTPUT|, and a geometry kernel type |GEOMETRY|.
 
 The natural phases which determine a sweep are
@@ -79,7 +79,7 @@ data structures and maybe triggering som
 completing the output.
 \end{description}
 
-The above subtasks are members of the class |T| which a 
+The above subtasks are members of the class |T| which a
 model of our traits concept has to provide:
 \begin{Mverb}
   void T::initialize_structures();
@@ -101,16 +101,16 @@ T traits;
 public :
 
 typedef T TRAITS;
-/*{\Mtypemember the traits class}*/ 
+/*{\Mtypemember the traits class}*/
 
 typedef typename TRAITS::INPUT  INPUT;
-/*{\Mtypemember the input interface.}*/ 
+/*{\Mtypemember the input interface.}*/
 
 typedef typename TRAITS::OUTPUT OUTPUT;
-/*{\Mtypemember the output container.}*/ 
+/*{\Mtypemember the output container.}*/
 
 typedef typename TRAITS::GEOMETRY GEOMETRY;
-/*{\Mtypemember the geometry kernel.}*/ 
+/*{\Mtypemember the geometry kernel.}*/
 
 /*{\Mevents 6.5}*/
 
@@ -138,8 +138,8 @@ object which maintains the sweep status.
 
 /*{\Mcreation PS}*/
 
-generic_sweep(const INPUT& input, OUTPUT& output, 
-  const GEOMETRY& geometry = GEOMETRY()) : 
+generic_sweep(const INPUT& input, OUTPUT& output,
+  const GEOMETRY& geometry = GEOMETRY()) :
   traits(input,output,geometry) {}
 
 /*{\Mcreate creates a plane sweep object for a sweep on objects determined by
@@ -150,7 +150,7 @@ methods used by |\Mname|. At this point,
 result data type. The |geometry| is an object providing object bound,
 geometry traits access.}*/
 
-generic_sweep(OUTPUT& output, const GEOMETRY& geometry = GEOMETRY()) : 
+generic_sweep(OUTPUT& output, const GEOMETRY& geometry = GEOMETRY()) :
   traits(output,geometry) {}
 /*{\Mcreate a simpler call of the above where |output| carries also
 the input.}*/
@@ -185,7 +185,7 @@ program:
   typedef std::pair<iterator,iterator> iterator_pair;
   std::list<POINT>  P; // fill input
   GRAPH<POINT,LINE> G; // the output
-  generic_sweep<triang_sweep_traits> 
+  generic_sweep<triang_sweep_traits>
     triangulation(iterator_pair(P.begin(),P.end()),G);
   triangulation.sweep();
 \end{Mverb}}*/
diff -pruN 5.0.2-3/include/CGAL/Get_arithmetic_kernel.h 5.0.3-1/include/CGAL/Get_arithmetic_kernel.h
--- 5.0.2-3/include/CGAL/Get_arithmetic_kernel.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Get_arithmetic_kernel.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arithmetic_kernel/include/CGAL/Get_arithmetic_kernel.h $
-// $Id: Get_arithmetic_kernel.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arithmetic_kernel/include/CGAL/Get_arithmetic_kernel.h $
+// $Id: Get_arithmetic_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s)     : Michael Hemmer <hemmer@mpi-inf.mpg.de> 
+// Author(s)     : Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //
 // ============================================================================
 //
-//    \brief provide base class for Get_arithmetic_kernel  
+//    \brief provide base class for Get_arithmetic_kernel
 //
 
 #ifndef CGAL_GET_ARITHMETIC_KERNEL_H
diff -pruN 5.0.2-3/include/CGAL/gl.h 5.0.3-1/include/CGAL/gl.h
--- 5.0.2-3/include/CGAL/gl.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/gl.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/gl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/gl.h $
 // $Id: gl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 
diff -pruN 5.0.2-3/include/CGAL/global_functions_circular_kernel_2.h 5.0.3-1/include/CGAL/global_functions_circular_kernel_2.h
--- 5.0.2-3/include/CGAL/global_functions_circular_kernel_2.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/global_functions_circular_kernel_2.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/global_functions_circular_kernel_2.h $
-// $Id: global_functions_circular_kernel_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/global_functions_circular_kernel_2.h $
+// $Id: global_functions_circular_kernel_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Julien Hazebrouck, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 
@@ -36,14 +36,14 @@ template <class CK>
 Circular_arc_point_2<CK>
 x_extremal_point(const Circle_2<CK> & c, bool i)
 {
-	return CircularFunctors::x_extremal_point<CK>(c,i);
+        return CircularFunctors::x_extremal_point<CK>(c,i);
 }
-  
+
 template <class CK, class OutputIterator>
 OutputIterator
 x_extremal_points(const Circle_2<CK> & c, OutputIterator res)
 {
- 	return CircularFunctors::x_extremal_points<CK>(c,res);
+         return CircularFunctors::x_extremal_points<CK>(c,res);
 }
 
 template <class CK>
@@ -57,22 +57,22 @@ template <class CK, class OutputIterator
 OutputIterator
 y_extremal_points(const Circle_2<CK> & c, OutputIterator res)
 {
- 	return CircularFunctors::y_extremal_points<CK>(c,res);
+         return CircularFunctors::y_extremal_points<CK>(c,res);
 }
 
 // Not Documented
 template< class CK >
 inline
-CGAL::Comparison_result 
-compare_x(const Circular_arc_2<CK> &A1, const bool b1, 
-	  const Circular_arc_2<CK> &A2, const bool b2)
+CGAL::Comparison_result
+compare_x(const Circular_arc_2<CK> &A1, const bool b1,
+          const Circular_arc_2<CK> &A2, const bool b2)
 {
   return CK().compare_x_2_object()(A1, b1, A2, b2);
 }
 
 template< class CK >
 inline
-CGAL::Comparison_result 
+CGAL::Comparison_result
 compare_x(const Circular_arc_point_2<CK> &p, const Circular_arc_point_2<CK> &q)
 {
   return CK().compare_x_2_object()(p, q);
@@ -80,7 +80,7 @@ compare_x(const Circular_arc_point_2<CK>
 
 template< class CK >
 inline
-CGAL::Comparison_result 
+CGAL::Comparison_result
 compare_y(const Circular_arc_point_2<CK> &p, const Circular_arc_point_2<CK> &q)
 {
   return CK().compare_y_2_object()(p, q);
@@ -88,7 +88,7 @@ compare_y(const Circular_arc_point_2<CK>
 
 template< class CK >
 inline
-CGAL::Comparison_result 
+CGAL::Comparison_result
 compare_xy(const Circular_arc_point_2<CK> &p, const Circular_arc_point_2<CK> &q)
 {
   return CK().compare_xy_2_object()(p, q);
@@ -96,10 +96,10 @@ compare_xy(const Circular_arc_point_2<CK
 
 template< class CK >
 inline
-CGAL::Comparison_result 
+CGAL::Comparison_result
 compare_y_to_right(const Circular_arc_2<CK> &A1,
-		   const Circular_arc_2<CK> &A2,
-		   const Circular_arc_point_2<CK> &p)
+                   const Circular_arc_2<CK> &A2,
+                   const Circular_arc_point_2<CK> &p)
 {
   return CK().compare_y_to_right_2_object()(A1, A2, p);
 }
@@ -107,13 +107,13 @@ compare_y_to_right(const Circular_arc_2<
 template < class CK >
 inline
 bool
-has_in_x_range(const Circular_arc_2<CK> &A, const Circular_arc_point_2<CK> &p) 
+has_in_x_range(const Circular_arc_2<CK> &A, const Circular_arc_point_2<CK> &p)
 {
   return CK().in_x_range_2_object()(A, p);
 }
 
 template < class CK >
-CGAL::Comparison_result       
+CGAL::Comparison_result
 compare_y_at_x(const Circular_arc_point_2<CK> &p, const Circular_arc_2<CK> &a)
 {
   return CK().compare_y_at_x_2_object()(p, a);
@@ -144,10 +144,10 @@ has_on(const Circle_2<CK> &c, const Circ
 // Not Documented
 template< class CK >
 inline
-CGAL::Comparison_result 
+CGAL::Comparison_result
 compare_y_to_right(const Line_arc_2<CK> &A1,
-		   const Line_arc_2<CK> &A2,
-		   const Circular_arc_point_2<CK> &p)
+                   const Line_arc_2<CK> &A2,
+                   const Circular_arc_point_2<CK> &p)
 {
   return CK().compare_y_to_right_2_object()(A1, A2, p);
 }
@@ -155,13 +155,13 @@ compare_y_to_right(const Line_arc_2<CK>
 template < class CK >
 inline
 bool
-has_in_x_range(const Line_arc_2<CK> &A, const Circular_arc_point_2<CK> &p) 
+has_in_x_range(const Line_arc_2<CK> &A, const Circular_arc_point_2<CK> &p)
 {
   return CK().in_x_range_2_object()(A, p);
 }
 
 template < class CK >
-CGAL::Comparison_result       
+CGAL::Comparison_result
 compare_y_at_x(const Circular_arc_point_2<CK> &p, const Line_arc_2<CK> &a)
 {
   return CK().compare_y_at_x_2_object()(p, a);
diff -pruN 5.0.2-3/include/CGAL/global_functions_on_root_for_sphere_2_3.h 5.0.3-1/include/CGAL/global_functions_on_root_for_sphere_2_3.h
--- 5.0.2-3/include/CGAL/global_functions_on_root_for_sphere_2_3.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/global_functions_on_root_for_sphere_2_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -4,13 +4,13 @@
 // This file is part of CGAL (www.cgal.org).
 //
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_spheres/include/CGAL/global_functions_on_root_for_sphere_2_3.h $
-// $Id: global_functions_on_root_for_sphere_2_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_spheres/include/CGAL/global_functions_on_root_for_sphere_2_3.h $
+// $Id: global_functions_on_root_for_sphere_2_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -30,38 +30,38 @@
 namespace CGAL {
 
 template < class AK >
-inline 
-Comparison_result 
+inline
+Comparison_result
 compare_x(const typename AK::Root_for_spheres_2_3& r1,
-	   const typename AK::Root_for_spheres_2_3& r2)
+           const typename AK::Root_for_spheres_2_3& r2)
 { return AK().compare_x_object()(r1, r2); }
 
 template < class AK >
-inline 
-Comparison_result 
+inline
+Comparison_result
 compare_y(const typename AK::Root_for_spheres_2_3& r1,
-	   const typename AK::Root_for_spheres_2_3& r2)
+           const typename AK::Root_for_spheres_2_3& r2)
 { return AK().compare_y_object()(r1, r2); }
 
 template < class AK >
-inline 
-Comparison_result 
+inline
+Comparison_result
 compare_z(const typename AK::Root_for_spheres_2_3& r1,
-	     const typename AK::Root_for_spheres_2_3& r2)
+             const typename AK::Root_for_spheres_2_3& r2)
 { return AK().compare_z_object()(r1, r2); }
 
 template < class AK >
-inline 
-Comparison_result 
+inline
+Comparison_result
 compare_xy(const typename AK::Root_for_spheres_2_3& r1,
-	     const typename AK::Root_for_spheres_2_3& r2)
+             const typename AK::Root_for_spheres_2_3& r2)
 { return AK().compare_xy_object()(r1, r2); }
 
 template < class AK >
-inline 
-Comparison_result 
+inline
+Comparison_result
 compare_xyz(const typename AK::Root_for_spheres_2_3& r1,
-	     const typename AK::Root_for_spheres_2_3& r2)
+             const typename AK::Root_for_spheres_2_3& r2)
 { return AK().compare_xyz_object()(r1, r2); }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/global_functions_on_roots_and_polynomials_1_3.h 5.0.3-1/include/CGAL/global_functions_on_roots_and_polynomials_1_3.h
--- 5.0.2-3/include/CGAL/global_functions_on_roots_and_polynomials_1_3.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/global_functions_on_roots_and_polynomials_1_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -4,13 +4,13 @@
 // This file is part of CGAL (www.cgal.org).
 //
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_spheres/include/CGAL/global_functions_on_roots_and_polynomials_1_3.h $
-// $Id: global_functions_on_roots_and_polynomials_1_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_spheres/include/CGAL/global_functions_on_roots_and_polynomials_1_3.h $
+// $Id: global_functions_on_roots_and_polynomials_1_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -28,23 +28,23 @@
 namespace CGAL {
 
 template < class AK >
-inline 
+inline
 typename AK::Polynomial_1_3
 construct_polynomial_1_3(const typename AK::FT& a,
-			 const typename AK::FT& b,
-			 const typename AK::FT& c,
-			 const typename AK::FT& d)
+                         const typename AK::FT& b,
+                         const typename AK::FT& c,
+                         const typename AK::FT& d)
 { return AK().construct_polynomial_1_3_object()(a, b, c, d); }
 
 template < class AK >
-inline 
+inline
 typename AK::Polynomials_for_line_3
 construct_polynomials_for_line_3(const typename AK::FT& a1,
-			         const typename AK::FT& b1,
-			         const typename AK::FT& a2,
-			         const typename AK::FT& b2,
+                                 const typename AK::FT& b1,
+                                 const typename AK::FT& a2,
+                                 const typename AK::FT& b2,
                                  const typename AK::FT& a3,
-			         const typename AK::FT& b3)
+                                 const typename AK::FT& b3)
 { return AK().construct_polynomials_for_line_3_object()(a1, b1, a2, b2, a3, b3); }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/global_functions_on_roots_and_polynomials_2_3.h 5.0.3-1/include/CGAL/global_functions_on_roots_and_polynomials_2_3.h
--- 5.0.2-3/include/CGAL/global_functions_on_roots_and_polynomials_2_3.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/global_functions_on_roots_and_polynomials_2_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -4,13 +4,13 @@
 // This file is part of CGAL (www.cgal.org).
 //
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_spheres/include/CGAL/global_functions_on_roots_and_polynomials_2_3.h $
-// $Id: global_functions_on_roots_and_polynomials_2_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_spheres/include/CGAL/global_functions_on_roots_and_polynomials_2_3.h $
+// $Id: global_functions_on_roots_and_polynomials_2_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -28,12 +28,12 @@
 namespace CGAL {
 
 template < class AK >
-inline 
+inline
 typename AK::Polynomial_for_spheres_2_3
 construct_polynomial_sphere_2_3(const typename AK::FT& xc,
-			       const typename AK::FT& yc,
-			       const typename AK::FT& zc,
-			       const typename AK::FT& r_sq)
+                               const typename AK::FT& yc,
+                               const typename AK::FT& zc,
+                               const typename AK::FT& r_sq)
 { return AK().construct_polynomial_sphere_2_3_object()(xc, yc, zc, r_sq); }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/global_functions_spherical_kernel_3.h 5.0.3-1/include/CGAL/global_functions_spherical_kernel_3.h
--- 5.0.2-3/include/CGAL/global_functions_spherical_kernel_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/global_functions_spherical_kernel_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,17 +3,17 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/global_functions_spherical_kernel_3.h $
-// $Id: global_functions_spherical_kernel_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/global_functions_spherical_kernel_3.h $
+// $Id: global_functions_spherical_kernel_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Sebastien Loriot, Julien Hazebrouck, Damien Leroy
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SPHERICAL_KERNEL_GLOBAL_FUNCTIONS_CIRCULAR_KERNEL_3_H
@@ -130,7 +130,7 @@ z_extremal_points(const Sphere_3<SK> & c
 
 template< class CK >
 inline
-CGAL::Comparison_result 
+CGAL::Comparison_result
 compare_x(const Circular_arc_point_3<CK> &p, const Circular_arc_point_3<CK> &q)
 {
   return CK().compare_x_3_object()(p, q);
@@ -138,7 +138,7 @@ compare_x(const Circular_arc_point_3<CK>
 
 template< class CK >
 inline
-CGAL::Comparison_result 
+CGAL::Comparison_result
 compare_y(const Circular_arc_point_3<CK> &p, const Circular_arc_point_3<CK> &q)
 {
   return CK().compare_y_3_object()(p, q);
@@ -146,7 +146,7 @@ compare_y(const Circular_arc_point_3<CK>
 
 template< class CK >
 inline
-CGAL::Comparison_result 
+CGAL::Comparison_result
 compare_z(const Circular_arc_point_3<CK> &p, const Circular_arc_point_3<CK> &q)
 {
   return CK().compare_z_3_object()(p, q);
@@ -154,7 +154,7 @@ compare_z(const Circular_arc_point_3<CK>
 
 template< class CK >
 inline
-CGAL::Comparison_result 
+CGAL::Comparison_result
 compare_xy(const Circular_arc_point_3<CK> &p, const Circular_arc_point_3<CK> &q)
 {
   return CK().compare_xy_3_object()(p, q);
@@ -162,7 +162,7 @@ compare_xy(const Circular_arc_point_3<CK
 
 template< class CK >
 inline
-CGAL::Comparison_result 
+CGAL::Comparison_result
 compare_xyz(const Circular_arc_point_3<CK> &p, const Circular_arc_point_3<CK> &q)
 {
   return CK().compare_xyz_3_object()(p, q);
diff -pruN 5.0.2-3/include/CGAL/GLPK_mixed_integer_program_traits.h 5.0.3-1/include/CGAL/GLPK_mixed_integer_program_traits.h
--- 5.0.2-3/include/CGAL/GLPK_mixed_integer_program_traits.h	2020-02-21 20:04:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/GLPK_mixed_integer_program_traits.h	2020-08-01 19:02:52.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Solver_interface/include/CGAL/GLPK_mixed_integer_program_traits.h $
-// $Id: GLPK_mixed_integer_program_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Solver_interface/include/CGAL/GLPK_mixed_integer_program_traits.h $
+// $Id: GLPK_mixed_integer_program_traits.h 202430d 2020-04-20T15:51:48+02:00 Dmitry Anisimov
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Liangliang Nan
@@ -20,267 +20,266 @@
 
 namespace CGAL {
 
-	/// \ingroup PkgSolver
-	///
-	/// This class provides an interface for formulating and solving 
-	/// mixed integer programs (constrained or unconstrained) using 
-	/// \ref thirdpartyGLPK. 
-	///
-	/// \ref thirdpartyGLPK must be available on the system.
-	/// \note For better performance, please consider using 
-	///		  `SCIP_mixed_integer_program_traits`, or derive a new 
-	///		  model from `Mixed_integer_program_traits`.
-	///
-	/// \cond SKIP_IN_MANUAL
-	/// \tparam FT Number type
-	/// \endcond
-	///
-	/// \cgalModels `MixedIntegerProgramTraits`
-	///
-	/// \sa `SCIP_mixed_integer_program_traits`
-
-	template <typename FT>
-	class GLPK_mixed_integer_program_traits : public Mixed_integer_program_traits<FT>
-	{
-		/// \cond SKIP_IN_MANUAL
-	public:
-                typedef CGAL::Mixed_integer_program_traits<FT>		Base_class;
-		typedef typename Base_class::Variable			Variable;
+        /// \ingroup PkgSolverInterfaceRef
+        ///
+        /// This class provides an interface for formulating and solving
+        /// mixed integer programs (constrained or unconstrained) using
+        /// \ref thirdpartyGLPK.
+        ///
+        /// \ref thirdpartyGLPK must be available on the system.
+        /// \note For better performance, please consider using
+        ///                  `CGAL::SCIP_mixed_integer_program_traits`, or derive a new
+        ///                  model from `CGAL::Mixed_integer_program_traits`.
+        ///
+        /// \cond SKIP_IN_MANUAL
+        /// \tparam FT Number type
+        /// \endcond
+        ///
+        /// \cgalModels `MixedIntegerProgramTraits`
+        ///
+        /// \sa `SCIP_mixed_integer_program_traits`
+        template <typename FT>
+        class GLPK_mixed_integer_program_traits : public Mixed_integer_program_traits<FT>
+        {
+                /// \cond SKIP_IN_MANUAL
+        public:
+                typedef CGAL::Mixed_integer_program_traits<FT>                Base_class;
+                typedef typename Base_class::Variable                        Variable;
                 typedef typename Base_class::Linear_constraint          Linear_constraint;
                 typedef typename Base_class::Linear_objective           Linear_objective;
-		typedef typename Linear_objective::Sense		Sense;
-		typedef typename Variable::Variable_type		Variable_type;
+                typedef typename Linear_objective::Sense                Sense;
+                typedef typename Variable::Variable_type                Variable_type;
 
-	public:
+        public:
 
-		/// Solves the program. Returns false if fails.
-		virtual bool solve();
-		/// \endcond
-	};
+                /// Solves the program. Returns false if fails.
+                virtual bool solve();
+                /// \endcond
+        };
 
-	//////////////////////////////////////////////////////////////////////////
+        //////////////////////////////////////////////////////////////////////////
 
-	// implementation
+        // implementation
 
-	/// \cond SKIP_IN_MANUAL
+        /// \cond SKIP_IN_MANUAL
 
-	namespace internal {
+        namespace internal {
 
-		// Infers "bound type" (required by GLPK) from the bounds values
-		template <typename FT>
-		int bound_type(FT lb, FT ub) {
+                // Infers "bound type" (required by GLPK) from the bounds values
+                template <typename FT>
+                int bound_type(FT lb, FT ub) {
                         typedef CGAL::Variable<FT> Variable;
 
-			if (lb <= -Variable::infinity() && ub >= Variable::infinity())
-				return GLP_FR;		// free (unbounded) variable
+                        if (lb <= -Variable::infinity() && ub >= Variable::infinity())
+                                return GLP_FR;                // free (unbounded) variable
 
-			else if (lb > -Variable::infinity() && ub >= Variable::infinity())
-				return GLP_LO;		// variable with lower bound
+                        else if (lb > -Variable::infinity() && ub >= Variable::infinity())
+                                return GLP_LO;                // variable with lower bound
 
-			else if (lb <= -Variable::infinity() && ub < Variable::infinity())
-				return GLP_UP;		// variable with upper bound
+                        else if (lb <= -Variable::infinity() && ub < Variable::infinity())
+                                return GLP_UP;                // variable with upper bound
 
-			else {// lb > -Variable::infinity() && ub < Variable::infinity()
-				if (lb == ub)
-					return GLP_FX;	// fixed variable
-				else
-					return GLP_DB;  // double-bounded variable
-			}
-		}
-	}
-	/// \endcond
-
-	template<typename FT>
-	bool GLPK_mixed_integer_program_traits<FT>::solve() {
-		Base_class::error_message_.clear();
-
-		glp_prob* lp = glp_create_prob();
-		if (!lp) {
-			Base_class::error_message_ = "failed creating GLPK program";
-			return false;
-		}
-
-		std::size_t num_integer_variables = 0;
-
-		// Creates variables
-
-		// This "static_cast<>" suppresses many annoying warnings: "conversion from 'size_t' to 'int', possible loss of data"
-		int num_variables = static_cast<int>(Base_class::variables_.size());
-
-		glp_add_cols(lp, num_variables);
-		for (int i = 0; i < num_variables; ++i) {
-			const Variable* var = Base_class::variables_[i];
-			glp_set_col_name(lp, i + 1, var->name().c_str());
-
-			if (var->variable_type() == Variable::INTEGER) {
-				glp_set_col_kind(lp, i + 1, GLP_IV);	// glpk uses 1-based arrays
-				++num_integer_variables;
-			}
-			else if (var->variable_type() == Variable::BINARY) {
-				glp_set_col_kind(lp, i + 1, GLP_BV);	// glpk uses 1-based arrays
-				++num_integer_variables;
-			}
-			else
-				glp_set_col_kind(lp, i + 1, GLP_CV);	// Continuous variable
-
-			FT lb, ub;
-			var->get_bounds(lb, ub);
-
-			int type = internal::bound_type(lb, ub);
-			glp_set_col_bnds(lp, i + 1, type, lb, ub);
-		}
-
-		// Adds constraints
-
-		// This "static_cast<>" suppresses many annoying warnings: "conversion from 'size_t' to 'int', possible loss of data"
-		int num_constraints = static_cast<int>(Base_class::constraints_.size());
-		glp_add_rows(lp, num_constraints);
-
-		for (int i = 0; i < num_constraints; ++i) {
-			const Linear_constraint* c = Base_class::constraints_[i];
-			const std::unordered_map<const Variable*, FT>& coeffs = c->coefficients();
-			typename std::unordered_map<const Variable*, FT>::const_iterator cur = coeffs.begin();
-
-			std::vector<int>	indices(coeffs.size() + 1, 0);		// glpk uses 1-based arrays
-			std::vector<FT> coefficients(coeffs.size() + 1, 0.0);	// glpk uses 1-based arrays
-			std::size_t idx = 1; // glpk uses 1-based arrays
-			for (; cur != coeffs.end(); ++cur) {
-				int var_idx = cur->first->index();
-				FT coeff = cur->second;
-
-				indices[idx] = var_idx + 1;	 // glpk uses 1-based arrays
-				coefficients[idx] = coeff;
-				++idx;
-			}
-
-			glp_set_mat_row(lp, i + 1, static_cast<int>(coeffs.size()), indices.data(), coefficients.data());
-
-			FT lb, ub;
-			c->get_bounds(lb, ub);
-
-			int type = internal::bound_type(lb, ub);
-			glp_set_row_bnds(lp, i + 1, type, lb, ub);
-
-			glp_set_row_name(lp, i + 1, c->name().c_str());
-		}
-
-		// Sets objective 
-
-		// Determines the coefficient of each variable in the objective function
-		const std::unordered_map<const Variable*, FT>& obj_coeffs = Base_class::objective_->coefficients();
-		typename std::unordered_map<const Variable*, FT>::const_iterator cur = obj_coeffs.begin();
-		for (; cur != obj_coeffs.end(); ++cur) {
-			int var_idx = cur->first->index();
-			FT coeff = cur->second;
-			glp_set_obj_coef(lp, var_idx + 1, coeff); // glpk uses 1-based arrays
-		}
-
-		// Sets objective function sense
-		bool minimize = (Base_class::objective_->sense() == Linear_objective::MINIMIZE);
-		glp_set_obj_dir(lp, minimize ? GLP_MIN : GLP_MAX);
-		int msg_level = GLP_MSG_ERR;
-		int status = -1;
-		if (num_integer_variables == 0) { // Continuous problem
-			glp_smcp parm;
-			glp_init_smcp(&parm);
-			parm.msg_lev = msg_level;
-			status = glp_simplex(lp, &parm);
-		}
-		else { // Solves as MIP problem
-			glp_iocp parm;
-			glp_init_iocp(&parm);
-			parm.msg_lev = msg_level;
-			parm.presolve = GLP_ON;
-			// The routine glp_intopt is a driver to the MIP solver based on the branch-and-cut method,
-			// which is a hybrid of branch-and-bound and cutting plane methods.
-			status = glp_intopt(lp, &parm);
-		}
-
-		switch (status) {
-		case 0: {
-			if (num_integer_variables == 0) { // continuous problem
-				Base_class::result_.resize(num_variables);
-				for (int i = 0; i < num_variables; ++i) {
-					FT x = glp_get_col_prim(lp, i + 1);	// glpk uses 1-based arrays
-					Variable* v = Base_class::variables_[i];
-					v->set_solution_value(x);
-					Base_class::result_[i] = x;
-				}
-			}
-			else { // MIP problem
-				Base_class::result_.resize(num_variables);
-				for (int i = 0; i < num_variables; ++i) {
-					FT x = glp_mip_col_val(lp, i + 1);		// glpk uses 1-based arrays
-
-					Variable* v = Base_class::variables_[i];
-					if (v->variable_type() != Variable::CONTINUOUS)
-						x = static_cast<int>(std::round(x));
-
-					v->set_solution_value(x);
-					Base_class::result_[i] = x;
-				}
-			}
-			break;
-		}
-
-		case GLP_EBOUND:
-			Base_class::error_message_ =
-				"Unable to start the search, because some FT-bounded variables have incorrect"
-				"bounds or some integer variables have non - integer(fractional) bounds.";
-			break;
-
-		case GLP_EROOT:
-			Base_class::error_message_ =
-				"Unable to start the search, because optimal basis for initial LP relaxation is not"
-				"provided. (This code may appear only if the presolver is disabled.)";
-			break;
-
-		case GLP_ENOPFS:
-			Base_class::error_message_ =
-				"Unable to start the search, because LP relaxation of the MIP problem instance has"
-				"no primal feasible solution. (This code may appear only if the presolver is enabled.)";
-			break;
-
-		case GLP_ENODFS:
-			Base_class::error_message_ =
-				"Unable to start the search, because LP relaxation of the MIP problem instance has"
-				"no dual feasible solution.In other word, this code means that if the LP relaxation"
-				"has at least one primal feasible solution, its optimal solution is unbounded, so if the"
-				"MIP problem has at least one integer feasible solution, its(integer) optimal solution"
-				"is also unbounded. (This code may appear only if the presolver is enabled.)";
-			break;
-
-		case GLP_EFAIL:
-			Base_class::error_message_ =
-				"The search was prematurely terminated due to the solver failure.";
-			break;
-
-		case GLP_EMIPGAP:
-			Base_class::error_message_ =
-				"The search was prematurely terminated, because the relative mip gap tolerance has been reached.";
-			break;
-
-		case GLP_ETMLIM:
-			Base_class::error_message_ =
-				"The search was prematurely terminated, because the time limit has been exceeded.";
-			break;
-
-		case GLP_ESTOP:
-			Base_class::error_message_ =
-				"The search was prematurely terminated by application. (This code may appear only"
-				"if the advanced solver interface is used.)";
-			break;
-
-		default:
-			Base_class::error_message_ =
-				"optimization was stopped with status code " + std::to_string(status);
-			break;
-		}
+                        else {// lb > -Variable::infinity() && ub < Variable::infinity()
+                                if (lb == ub)
+                                        return GLP_FX;        // fixed variable
+                                else
+                                        return GLP_DB;  // double-bounded variable
+                        }
+                }
+        }
+        /// \endcond
+
+        template<typename FT>
+        bool GLPK_mixed_integer_program_traits<FT>::solve() {
+                Base_class::error_message_.clear();
+
+                glp_prob* lp = glp_create_prob();
+                if (!lp) {
+                        Base_class::error_message_ = "failed creating GLPK program";
+                        return false;
+                }
+
+                std::size_t num_integer_variables = 0;
+
+                // Creates variables
+
+                // This "static_cast<>" suppresses many annoying warnings: "conversion from 'size_t' to 'int', possible loss of data"
+                int num_variables = static_cast<int>(Base_class::variables_.size());
+
+                glp_add_cols(lp, num_variables);
+                for (int i = 0; i < num_variables; ++i) {
+                        const Variable* var = Base_class::variables_[i];
+                        glp_set_col_name(lp, i + 1, var->name().c_str());
+
+                        if (var->variable_type() == Variable::INTEGER) {
+                                glp_set_col_kind(lp, i + 1, GLP_IV);        // glpk uses 1-based arrays
+                                ++num_integer_variables;
+                        }
+                        else if (var->variable_type() == Variable::BINARY) {
+                                glp_set_col_kind(lp, i + 1, GLP_BV);        // glpk uses 1-based arrays
+                                ++num_integer_variables;
+                        }
+                        else
+                                glp_set_col_kind(lp, i + 1, GLP_CV);        // Continuous variable
+
+                        FT lb, ub;
+                        var->get_bounds(lb, ub);
+
+                        int type = internal::bound_type(lb, ub);
+                        glp_set_col_bnds(lp, i + 1, type, lb, ub);
+                }
+
+                // Adds constraints
+
+                // This "static_cast<>" suppresses many annoying warnings: "conversion from 'size_t' to 'int', possible loss of data"
+                int num_constraints = static_cast<int>(Base_class::constraints_.size());
+                glp_add_rows(lp, num_constraints);
+
+                for (int i = 0; i < num_constraints; ++i) {
+                        const Linear_constraint* c = Base_class::constraints_[i];
+                        const std::unordered_map<const Variable*, FT>& coeffs = c->coefficients();
+                        typename std::unordered_map<const Variable*, FT>::const_iterator cur = coeffs.begin();
+
+                        std::vector<int>        indices(coeffs.size() + 1, 0);                // glpk uses 1-based arrays
+                        std::vector<FT> coefficients(coeffs.size() + 1, 0.0);        // glpk uses 1-based arrays
+                        std::size_t idx = 1; // glpk uses 1-based arrays
+                        for (; cur != coeffs.end(); ++cur) {
+                                int var_idx = cur->first->index();
+                                FT coeff = cur->second;
+
+                                indices[idx] = var_idx + 1;         // glpk uses 1-based arrays
+                                coefficients[idx] = coeff;
+                                ++idx;
+                        }
+
+                        glp_set_mat_row(lp, i + 1, static_cast<int>(coeffs.size()), indices.data(), coefficients.data());
+
+                        FT lb, ub;
+                        c->get_bounds(lb, ub);
+
+                        int type = internal::bound_type(lb, ub);
+                        glp_set_row_bnds(lp, i + 1, type, lb, ub);
+
+                        glp_set_row_name(lp, i + 1, c->name().c_str());
+                }
+
+                // Sets objective
+
+                // Determines the coefficient of each variable in the objective function
+                const std::unordered_map<const Variable*, FT>& obj_coeffs = Base_class::objective_->coefficients();
+                typename std::unordered_map<const Variable*, FT>::const_iterator cur = obj_coeffs.begin();
+                for (; cur != obj_coeffs.end(); ++cur) {
+                        int var_idx = cur->first->index();
+                        FT coeff = cur->second;
+                        glp_set_obj_coef(lp, var_idx + 1, coeff); // glpk uses 1-based arrays
+                }
+
+                // Sets objective function sense
+                bool minimize = (Base_class::objective_->sense() == Linear_objective::MINIMIZE);
+                glp_set_obj_dir(lp, minimize ? GLP_MIN : GLP_MAX);
+                int msg_level = GLP_MSG_ERR;
+                int status = -1;
+                if (num_integer_variables == 0) { // Continuous problem
+                        glp_smcp parm;
+                        glp_init_smcp(&parm);
+                        parm.msg_lev = msg_level;
+                        status = glp_simplex(lp, &parm);
+                }
+                else { // Solves as MIP problem
+                        glp_iocp parm;
+                        glp_init_iocp(&parm);
+                        parm.msg_lev = msg_level;
+                        parm.presolve = GLP_ON;
+                        // The routine glp_intopt is a driver to the MIP solver based on the branch-and-cut method,
+                        // which is a hybrid of branch-and-bound and cutting plane methods.
+                        status = glp_intopt(lp, &parm);
+                }
+
+                switch (status) {
+                case 0: {
+                        if (num_integer_variables == 0) { // continuous problem
+                                Base_class::result_.resize(num_variables);
+                                for (int i = 0; i < num_variables; ++i) {
+                                        FT x = glp_get_col_prim(lp, i + 1);        // glpk uses 1-based arrays
+                                        Variable* v = Base_class::variables_[i];
+                                        v->set_solution_value(x);
+                                        Base_class::result_[i] = x;
+                                }
+                        }
+                        else { // MIP problem
+                                Base_class::result_.resize(num_variables);
+                                for (int i = 0; i < num_variables; ++i) {
+                                        FT x = glp_mip_col_val(lp, i + 1);                // glpk uses 1-based arrays
+
+                                        Variable* v = Base_class::variables_[i];
+                                        if (v->variable_type() != Variable::CONTINUOUS)
+                                                x = static_cast<int>(std::round(x));
+
+                                        v->set_solution_value(x);
+                                        Base_class::result_[i] = x;
+                                }
+                        }
+                        break;
+                }
+
+                case GLP_EBOUND:
+                        Base_class::error_message_ =
+                                "Unable to start the search, because some FT-bounded variables have incorrect"
+                                "bounds or some integer variables have non - integer(fractional) bounds.";
+                        break;
+
+                case GLP_EROOT:
+                        Base_class::error_message_ =
+                                "Unable to start the search, because optimal basis for initial LP relaxation is not"
+                                "provided. (This code may appear only if the presolver is disabled.)";
+                        break;
+
+                case GLP_ENOPFS:
+                        Base_class::error_message_ =
+                                "Unable to start the search, because LP relaxation of the MIP problem instance has"
+                                "no primal feasible solution. (This code may appear only if the presolver is enabled.)";
+                        break;
+
+                case GLP_ENODFS:
+                        Base_class::error_message_ =
+                                "Unable to start the search, because LP relaxation of the MIP problem instance has"
+                                "no dual feasible solution.In other word, this code means that if the LP relaxation"
+                                "has at least one primal feasible solution, its optimal solution is unbounded, so if the"
+                                "MIP problem has at least one integer feasible solution, its(integer) optimal solution"
+                                "is also unbounded. (This code may appear only if the presolver is enabled.)";
+                        break;
+
+                case GLP_EFAIL:
+                        Base_class::error_message_ =
+                                "The search was prematurely terminated due to the solver failure.";
+                        break;
+
+                case GLP_EMIPGAP:
+                        Base_class::error_message_ =
+                                "The search was prematurely terminated, because the relative mip gap tolerance has been reached.";
+                        break;
+
+                case GLP_ETMLIM:
+                        Base_class::error_message_ =
+                                "The search was prematurely terminated, because the time limit has been exceeded.";
+                        break;
+
+                case GLP_ESTOP:
+                        Base_class::error_message_ =
+                                "The search was prematurely terminated by application. (This code may appear only"
+                                "if the advanced solver interface is used.)";
+                        break;
+
+                default:
+                        Base_class::error_message_ =
+                                "optimization was stopped with status code " + std::to_string(status);
+                        break;
+                }
 
-		glp_delete_prob(lp);
+                glp_delete_prob(lp);
 
-		return (status == 0);
-	}
+                return (status == 0);
+        }
 
 
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/glu.h 5.0.3-1/include/CGAL/glu.h
--- 5.0.2-3/include/CGAL/glu.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/glu.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/glu.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/glu.h $
 // $Id: glu.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 
diff -pruN 5.0.2-3/include/CGAL/GMap_cell_const_iterators.h 5.0.3-1/include/CGAL/GMap_cell_const_iterators.h
--- 5.0.2-3/include/CGAL/GMap_cell_const_iterators.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/GMap_cell_const_iterators.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generalized_map/include/CGAL/GMap_cell_const_iterators.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generalized_map/include/CGAL/GMap_cell_const_iterators.h $
 // $Id: GMap_cell_const_iterators.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/GMap_cell_iterators.h 5.0.3-1/include/CGAL/GMap_cell_iterators.h
--- 5.0.2-3/include/CGAL/GMap_cell_iterators.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/GMap_cell_iterators.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generalized_map/include/CGAL/GMap_cell_iterators.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generalized_map/include/CGAL/GMap_cell_iterators.h $
 // $Id: GMap_cell_iterators.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/GMap_dart_const_iterators.h 5.0.3-1/include/CGAL/GMap_dart_const_iterators.h
--- 5.0.2-3/include/CGAL/GMap_dart_const_iterators.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/GMap_dart_const_iterators.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generalized_map/include/CGAL/GMap_dart_const_iterators.h $
-// $Id: GMap_dart_const_iterators.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generalized_map/include/CGAL/GMap_dart_const_iterators.h $
+// $Id: GMap_dart_const_iterators.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -78,7 +78,7 @@ namespace CGAL {
     GMap_dart_const_iterator_of_orbit
     (const GMap_dart_iterator_of_orbit<Map_,Alpha...>& it):
       Base(*const_cast<const Map_*>(it.get_combinatorial_map()),
-	   it.get_first_dart())
+           it.get_first_dart())
     {}
   };
   //****************************************************************************
@@ -126,7 +126,7 @@ namespace CGAL {
     {}
     /* Main constructor. */
     GMap_dart_const_iterator_basic_of_cell(const Map_& amap,
-                                           Dart_const_handle adart, 
+                                           Dart_const_handle adart,
                                            size_type amark):
       Base(amap,adart,amark)
     {}
@@ -148,14 +148,14 @@ namespace CGAL {
 
     /* Main constructor. */
     GMap_dart_const_iterator_of_cell(const Map_& amap,
-				     Dart_const_handle adart):
+                                     Dart_const_handle adart):
       Base(amap,adart)
     {}
     /// Constructor from non const version.
     GMap_dart_const_iterator_of_cell
     (const GMap_dart_iterator_of_cell<Map_,i,d,false>& it):
       Base(*const_cast<const Map_*>(it.get_combinatorial_map()),
-	   it.get_first_dart())
+           it.get_first_dart())
     {}
   };
   //****************************************************************************
@@ -170,20 +170,20 @@ namespace CGAL {
 
     /* Main constructor. */
     GMap_dart_const_iterator_basic_of_involution(const Map_& amap,
-						 Dart_const_handle adart):
+                                                 Dart_const_handle adart):
       Base(amap,adart)
     {}
     /* Main constructor. */
     GMap_dart_const_iterator_basic_of_involution(const Map_& amap,
-						 Dart_const_handle adart,
-						 size_type amark):
+                                                 Dart_const_handle adart,
+                                                 size_type amark):
       Base(amap,adart,amark)
     {}
     /// Constructor from non const version.
     GMap_dart_const_iterator_basic_of_involution
     (const GMap_dart_iterator_basic_of_involution<Map_,i,d,false>& it):
       Base(*const_cast<const Map_*>(it.get_combinatorial_map()),
-	   it.get_first_dart(), it.mmark_number)
+           it.get_first_dart(), it.mmark_number)
     {}
   };
   //****************************************************************************
@@ -198,14 +198,14 @@ namespace CGAL {
 
     /* Main constructor. */
     GMap_dart_const_iterator_of_involution(const Map_& amap,
-					   Dart_const_handle adart):
+                                           Dart_const_handle adart):
       Base(amap,adart)
     {}
     /// Constructor from non const version.
     GMap_dart_const_iterator_of_involution
     (const GMap_dart_iterator_of_involution<Map_,i,d,false>& it):
       Base(*const_cast<const Map_*>(it.get_combinatorial_map()),
-	   it.get_first_dart())
+           it.get_first_dart())
     {}
   };
   //****************************************************************************
diff -pruN 5.0.2-3/include/CGAL/GMap_dart_iterators.h 5.0.3-1/include/CGAL/GMap_dart_iterators.h
--- 5.0.2-3/include/CGAL/GMap_dart_iterators.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/GMap_dart_iterators.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generalized_map/include/CGAL/GMap_dart_iterators.h $
-// $Id: GMap_dart_iterators.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generalized_map/include/CGAL/GMap_dart_iterators.h $
+// $Id: GMap_dart_iterators.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -440,7 +440,7 @@ namespace CGAL {
   };
   //****************************************************************************
   /// TODO The template specialization with 3 alpha
-  
+
   //
   /* Class CMap_dart_iterator_basic_of_three_alpha<Ai,delta1,delta2>: to iterate
    * on the darts of the orbit <Ai,Ai+delta1,Ai+delta2>:
@@ -495,12 +495,12 @@ namespace CGAL {
   /*  template <typename Map_,bool Const,int Ai,int Aj,int Ak>
   class GMap_dart_iterator_basic_of_orbit_generic<Map_,Const,Ai,Aj,Ak>:
     public GMap_extend_iterator<Map_,GMap_dart_iterator_basic_of_orbit_generic
-				<Map_,Const,Ai,Aj>, Ak>
+                                <Map_,Const,Ai,Aj>, Ak>
   {
   public:
     typedef GMap_dart_iterator_basic_of_orbit_generic<Map_,Const,Ai,Aj,Ak> Self;
     typedef GMap_extend_iterator<Map_,GMap_dart_iterator_basic_of_orbit_generic
-				 <Map_,Const,Ai,Aj>, Ak> Base;
+                                 <Map_,Const,Ai,Aj>, Ak> Base;
 
     typedef typename Base::Dart_handle Dart_handle;
     typedef typename Base::Map         Map;
@@ -877,14 +877,14 @@ namespace CGAL {
   template<typename Map_,bool Const,int...Alpha>
   class GMap_dart_iterator_of_orbit_generic:
     public  CMap_non_basic_iterator<Map_,
-				    GMap_dart_iterator_basic_of_orbit_generic
-				    <Map_,Const,Alpha...> >
+                                    GMap_dart_iterator_basic_of_orbit_generic
+                                    <Map_,Const,Alpha...> >
   {
   public:
     typedef GMap_dart_iterator_of_orbit_generic<Map_,Const,Alpha...> Self;
     typedef CMap_non_basic_iterator<Map_,
-				    GMap_dart_iterator_basic_of_orbit_generic
-				    <Map_,Const,Alpha...> > Base;
+                                    GMap_dart_iterator_basic_of_orbit_generic
+                                    <Map_,Const,Alpha...> > Base;
 
     typedef typename Base::Map Map;
     typedef typename Base::Dart_handle Dart_handle;
@@ -916,13 +916,13 @@ namespace CGAL {
   template<typename Map_,int i,int d=Map_::dimension,bool Const=false>
   class GMap_dart_iterator_of_cell:
     public CMap_non_basic_iterator<Map_,GMap_dart_iterator_basic_of_cell
-				   <Map_,i,d,Const> >
+                                   <Map_,i,d,Const> >
   {
   public:
     typedef GMap_dart_iterator_basic_of_cell<Map_,i,d,Const> Self;
     typedef CMap_non_basic_iterator<Map_,
-				    GMap_dart_iterator_basic_of_cell
-				    <Map_,i,d,Const> > Base;
+                                    GMap_dart_iterator_basic_of_cell
+                                    <Map_,i,d,Const> > Base;
 
     typedef typename Base::Dart_handle Dart_handle;
     typedef typename Base::Map Map;
@@ -960,8 +960,8 @@ namespace CGAL {
   public:
     /// Main constructor.
     GMap_dart_iterator_basic_of_involution(Map& amap,
-					   Dart_handle adart,
-					   size_type amark):
+                                           Dart_handle adart,
+                                           size_type amark):
       Base(amap, adart),
       mmark_number(amark)
     {
@@ -1265,7 +1265,7 @@ namespace CGAL {
     {}
     /// Main constructor.
     GMap_dart_iterator_basic_of_involution(Map& amap,
-					   Dart_handle adart):
+                                           Dart_handle adart):
       Base(amap, adart)
     {}
   };
@@ -1273,14 +1273,14 @@ namespace CGAL {
   template<typename Map_,int i,int d=Map_::dimension,bool Const=false>
   class GMap_dart_iterator_of_involution:
     public CMap_non_basic_iterator<Map_,
-				   GMap_dart_iterator_basic_of_involution
-				   <Map_,i,d,Const> >
+                                   GMap_dart_iterator_basic_of_involution
+                                   <Map_,i,d,Const> >
   {
   public:
     typedef GMap_dart_iterator_of_involution<Map_,i,d,Const> Self;
     typedef CMap_non_basic_iterator<Map_,
-				    GMap_dart_iterator_basic_of_involution
-				    <Map_,i,d,Const> >  Base;
+                                    GMap_dart_iterator_basic_of_involution
+                                    <Map_,i,d,Const> >  Base;
 
     /// Main constructor.
     GMap_dart_iterator_of_involution(typename Base::Map& amap,
diff -pruN 5.0.2-3/include/CGAL/GMap_linear_cell_complex_storages.h 5.0.3-1/include/CGAL/GMap_linear_cell_complex_storages.h
--- 5.0.2-3/include/CGAL/GMap_linear_cell_complex_storages.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/GMap_linear_cell_complex_storages.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/GMap_linear_cell_complex_storages.h $
-// $Id: GMap_linear_cell_complex_storages.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/GMap_linear_cell_complex_storages.h $
+// $Id: GMap_linear_cell_complex_storages.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -241,7 +241,7 @@ namespace CGAL {
       CGAL_assertion( ah!=nullptr );
       return ah->is_valid();
     }
-    
+
     // accessors and modifiers to the attribute ref counting given its handle
     template<unsigned int i>
     std::size_t get_attribute_ref_counting
diff -pruN 5.0.2-3/include/CGAL/GMP/Gmpfi_type.h 5.0.3-1/include/CGAL/GMP/Gmpfi_type.h
--- 5.0.2-3/include/CGAL/GMP/Gmpfi_type.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/GMP/Gmpfi_type.h	2020-08-01 19:02:36.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/GMP/Gmpfi_type.h $
-// $Id: Gmpfi_type.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/GMP/Gmpfi_type.h $
+// $Id: Gmpfi_type.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author: Luis Peñaranda <luis.penaranda@gmx.com>
@@ -104,7 +104,7 @@ class Gmpfi:
     CGAL_STATIC_THREAD_LOCAL_VARIABLE(mp_prec_t, Gmpfi_default_precision, CGAL_GMPFI_DEFAULT_PRECISION);
     return Gmpfi_default_precision;
   }
-        
+
 
         bool is_unique(){
 #ifdef CGAL_GMPFR_NO_REFCOUNT
diff -pruN 5.0.2-3/include/CGAL/GMP/Gmpfi_type_static.h 5.0.3-1/include/CGAL/GMP/Gmpfi_type_static.h
--- 5.0.2-3/include/CGAL/GMP/Gmpfi_type_static.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/GMP/Gmpfi_type_static.h	2020-08-01 19:02:36.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/GMP/Gmpfi_type_static.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/GMP/Gmpfi_type_static.h $
 // $Id: Gmpfi_type_static.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/GMP/Gmpfr_type.h 5.0.3-1/include/CGAL/GMP/Gmpfr_type.h
--- 5.0.2-3/include/CGAL/GMP/Gmpfr_type.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/GMP/Gmpfr_type.h	2020-08-01 19:02:36.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/GMP/Gmpfr_type.h $
-// $Id: Gmpfr_type.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/GMP/Gmpfr_type.h $
+// $Id: Gmpfr_type.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author: Luis Peñaranda <luis.penaranda@gmx.com>
@@ -345,7 +345,7 @@ class Gmpfr:
 #  pragma warning(push)
 #  pragma warning(disable: 4244)
         CGAL_GMPFR_CONSTRUCTOR_FROM_TYPE(long double,mpfr_set_d);
-#  pragma warning(pop)  
+#  pragma warning(pop)
 #else
         CGAL_GMPFR_CONSTRUCTOR_FROM_TYPE(long double,mpfr_set_ld);
 #endif
diff -pruN 5.0.2-3/include/CGAL/GMP/Gmpfr_type_static.h 5.0.3-1/include/CGAL/GMP/Gmpfr_type_static.h
--- 5.0.2-3/include/CGAL/GMP/Gmpfr_type_static.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/GMP/Gmpfr_type_static.h	2020-08-01 19:02:36.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/GMP/Gmpfr_type_static.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/GMP/Gmpfr_type_static.h $
 // $Id: Gmpfr_type_static.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/GMP/Gmpq_type.h 5.0.3-1/include/CGAL/GMP/Gmpq_type.h
--- 5.0.2-3/include/CGAL/GMP/Gmpq_type.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/GMP/Gmpq_type.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2002,2003  
+// Copyright (c) 2002,2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/GMP/Gmpq_type.h $
-// $Id: Gmpq_type.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/GMP/Gmpq_type.h $
+// $Id: Gmpq_type.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/GMP/Gmpzf_type.h 5.0.3-1/include/CGAL/GMP/Gmpzf_type.h
--- 5.0.2-3/include/CGAL/GMP/Gmpzf_type.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/GMP/Gmpzf_type.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/GMP/Gmpzf_type.h $
-// $Id: Gmpzf_type.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/GMP/Gmpzf_type.h $
+// $Id: Gmpzf_type.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -161,7 +161,7 @@ public:
     int exp;
     double x = std::frexp(d, &exp); // x in [1/2, 1], x*2^exp = d
     mpz_init_set_d (man(), // to the following integer:
-		    std::ldexp( x, p));
+                    std::ldexp( x, p));
     e = exp - p;
     canonicalize();
   }
@@ -193,7 +193,7 @@ private:
   void canonicalize();
   bool is_canonical() const;
   static void align ( const mpz_t*& a_aligned, const mpz_t*& b_aligned,
-		     Exponent& rexp, const Gmpzf& a, const Gmpzf& b);
+                     Exponent& rexp, const Gmpzf& a, const Gmpzf& b);
 };
 
 
@@ -474,9 +474,9 @@ bool Gmpzf::is_canonical() const
 // it uses the static s to store the shifted number
 inline
 void Gmpzf::align ( const mpz_t*& a_aligned,
-			   const mpz_t*& b_aligned,
-			   Exponent& rexp,
-			   const Gmpzf& a, const Gmpzf& b) {
+                           const mpz_t*& b_aligned,
+                           Exponent& rexp,
+                           const Gmpzf& a, const Gmpzf& b) {
   CGAL_STATIC_THREAD_LOCAL_VARIABLE_0(Gmpz, s);
 
   switch (CGAL_NTS compare (b.exp(), a.exp())) {
@@ -574,10 +574,10 @@ bool operator>(const Gmpzf &a, int b)
 }
 
 inline Gmpzf min BOOST_PREVENT_MACRO_SUBSTITUTION(const Gmpzf& x,const Gmpzf& y){
-  return (x<=y)?x:y; 
+  return (x<=y)?x:y;
 }
 inline Gmpzf max BOOST_PREVENT_MACRO_SUBSTITUTION(const Gmpzf& x,const Gmpzf& y){
-  return (x>=y)?x:y; 
+  return (x>=y)?x:y;
 }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/GMP/Gmpz_type.h 5.0.3-1/include/CGAL/GMP/Gmpz_type.h
--- 5.0.2-3/include/CGAL/GMP/Gmpz_type.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/GMP/Gmpz_type.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999,2003,2004  
+// Copyright (c) 1999,2003,2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/GMP/Gmpz_type.h $
-// $Id: Gmpz_type.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/GMP/Gmpz_type.h $
+// $Id: Gmpz_type.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/GMP_arithmetic_kernel.h 5.0.3-1/include/CGAL/GMP_arithmetic_kernel.h
--- 5.0.2-3/include/CGAL/GMP_arithmetic_kernel.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/GMP_arithmetic_kernel.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arithmetic_kernel/include/CGAL/GMP_arithmetic_kernel.h $
-// $Id: GMP_arithmetic_kernel.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arithmetic_kernel/include/CGAL/GMP_arithmetic_kernel.h $
+// $Id: GMP_arithmetic_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Michael Hemmer <mhemmer@uni-mainz.de>
 //
 // ============================================================================
 //
-//    \brief provide class Arithmetic_kernel, a collection of number types. 
+//    \brief provide class Arithmetic_kernel, a collection of number types.
 //
 
 #ifndef CGAL_GMP_ARITHMETIC_KERNEL_H
@@ -19,7 +19,7 @@
 
 #include <CGAL/config.h>
 
-#ifdef CGAL_USE_GMP 
+#ifdef CGAL_USE_GMP
 
 #include <CGAL/Arithmetic_kernel/Arithmetic_kernel_base.h>
 #include <CGAL/Get_arithmetic_kernel.h>
@@ -30,7 +30,7 @@
 #include <CGAL/Gmpq.h>
 
 #ifdef CGAL_USE_MPFI
-#define CGAL_HAS_GMP_ARITHMETIC_KERNEL 
+#define CGAL_HAS_GMP_ARITHMETIC_KERNEL
 #include <CGAL/Gmpfr.h>
 #include <CGAL/Gmpfi.h>
 #endif //CGAL_USE_MPFI
@@ -49,7 +49,7 @@ public:
   typedef CGAL::Gmpfi Bigfloat_interval;
   #endif //CGAL_USE_MPFI
 };
-    
+
 template <>
 struct Get_arithmetic_kernel<Gmpz> {
   typedef GMP_arithmetic_kernel Arithmetic_kernel;
diff -pruN 5.0.2-3/include/CGAL/Gmp_coercion_traits.h 5.0.3-1/include/CGAL/Gmp_coercion_traits.h
--- 5.0.2-3/include/CGAL/Gmp_coercion_traits.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Gmp_coercion_traits.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Gmp_coercion_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Gmp_coercion_traits.h $
 // $Id: Gmp_coercion_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Gmpfi.h 5.0.3-1/include/CGAL/Gmpfi.h
--- 5.0.2-3/include/CGAL/Gmpfi.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Gmpfi.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,11 +1,11 @@
 // Copyright (c) 2007-2009 Inria Lorraine (France). All rights reserved.
-// 
+//
 // This file is part of CGAL (www.cgal.org)
-// 
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Gmpfi.h $
-// $Id: Gmpfi.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+//
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Gmpfi.h $
+// $Id: Gmpfi.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author: Luis Peñaranda <luis.penaranda@gmx.com>
 //         Michael Hemmer <Michael.Hemmer@sophia.inria.fr>
 
@@ -81,7 +81,7 @@ public:
         public CGAL::cpp98::binary_function<Type,Type,Boolean>{
                 Boolean operator()(const Type &d,const Type &n)const{
                         // Avoid compiler warning
-		        (void)n;
+                        (void)n;
                         return !(d.is_zero());
                 };
                 Boolean operator()(const Type &d,const Type &n,Type &c)const{
@@ -102,7 +102,7 @@ public INTERN_RET::Real_embeddable_trait
         typedef Uncertain<bool>                         Boolean;
         typedef Uncertain<CGAL::Comparison_result>      Comparison_result;
         typedef Uncertain<CGAL::Sign>                   Sign;
- 
+
         typedef AST::Is_zero    Is_zero;
 
         struct Is_finite:
@@ -169,16 +169,16 @@ public INTERN_RET::Real_embeddable_trait
 template<>
 class Interval_traits<Gmpfi>
   : public internal::Interval_traits_base<Gmpfi>{
-public: 
-  typedef Interval_traits<Gmpfi> Self; 
-  typedef Gmpfi Interval; 
-  typedef CGAL::Gmpfr Bound; 
-  typedef CGAL::Tag_false With_empty_interval; 
-  typedef CGAL::Tag_true  Is_interval; 
+public:
+  typedef Interval_traits<Gmpfi> Self;
+  typedef Gmpfi Interval;
+  typedef CGAL::Gmpfr Bound;
+  typedef CGAL::Tag_false With_empty_interval;
+  typedef CGAL::Tag_true  Is_interval;
 
   struct Construct :public CGAL::cpp98::binary_function<Bound,Bound,Interval>{
     Interval operator()( const Bound& l,const Bound& r) const {
-      CGAL_precondition( l < r ); 
+      CGAL_precondition( l < r );
       return Interval(std::make_pair(l,r));
     }
   };
@@ -206,7 +206,7 @@ public:
       return (a.inf()+a.sup())/2;
     }
   };
-    
+
   struct Norm :public CGAL::cpp98::unary_function<Interval,Bound>{
     Bound operator()( const Interval& a ) const {
       return a.abs().sup();
@@ -236,39 +236,39 @@ public:
       return a.is_same(b);
     }
   };
-    
+
   struct Overlap :public CGAL::cpp98::binary_function<Interval,Interval,bool>{
     bool operator()( const Interval& a, const Interval& b ) const {
       return a.do_overlap(b);
     }
   };
-    
+
   struct Subset :public CGAL::cpp98::binary_function<Interval,Interval,bool>{
     bool operator()( const Interval& a, const Interval& b ) const {
-      return b.inf() <= a.inf() && a.sup() <= b.sup() ;  
+      return b.inf() <= a.inf() && a.sup() <= b.sup() ;
     }
   };
-    
+
   struct Proper_subset :public CGAL::cpp98::binary_function<Interval,Interval,bool>{
     bool operator()( const Interval& a, const Interval& b ) const {
-      return Subset()(a,b) && ! Equal()(a,b); 
+      return Subset()(a,b) && ! Equal()(a,b);
     }
   };
-    
+
   struct Hull :public CGAL::cpp98::binary_function<Interval,Interval,Interval>{
     Interval operator()( const Interval& a, const Interval& b ) const {
       BOOST_USING_STD_MAX();
       BOOST_USING_STD_MIN();
-      return Interval( 
+      return Interval(
           std::make_pair(
-              min BOOST_PREVENT_MACRO_SUBSTITUTION (a.inf(),b.inf()), 
+              min BOOST_PREVENT_MACRO_SUBSTITUTION (a.inf(),b.inf()),
               max BOOST_PREVENT_MACRO_SUBSTITUTION (a.sup(),b.sup())));
     }
   };
-    
-  
-//  struct Empty is Null_functor 
-  
+
+
+//  struct Empty is Null_functor
+
   struct Intersection :public CGAL::cpp98::binary_function<Interval,Interval,Interval>{
     Interval operator()( const Interval& a, const Interval& b ) const {
       BOOST_USING_STD_MAX();
@@ -288,15 +288,15 @@ class Bigfloat_interval_traits<Gmpfi>
   typedef Gmpfi NT;
   typedef CGAL::Gmpfr BF;
 public:
-  typedef Bigfloat_interval_traits<Gmpfi> Self; 
-  typedef CGAL::Tag_true                  Is_bigfloat_interval; 
-  
+  typedef Bigfloat_interval_traits<Gmpfi> Self;
+  typedef CGAL::Tag_true                  Is_bigfloat_interval;
+
   struct Relative_precision: public CGAL::cpp98::unary_function<NT,long>{
 
     long operator()(const NT& x) const {
       CGAL_precondition(!Singleton()(x));
       CGAL_precondition(!CGAL::zero_in(x));
-      
+
       // w = |x| * 2^-p (return p)
       BF w(CGAL::width(x));
       mpfr_div(w.fr(), w.fr(), CGAL::lower(CGAL::abs(x)).fr(), GMP_RNDU);
@@ -304,23 +304,23 @@ public:
       return -mpfr_get_si(w.fr(), GMP_RNDU);
     }
   };
-   
+
   struct Set_precision {
     // type for the \c AdaptableUnaryFunction concept.
     typedef long  argument_type;
     // type for the \c AdaptableUnaryFunction concept.
-    typedef long  result_type;  
-     
+    typedef long  result_type;
+
     long operator()( long prec ) const {
-      return Gmpfi::set_default_precision(prec); 
+      return Gmpfi::set_default_precision(prec);
     }
   };
-  
+
   struct Get_precision {
     // type for the \c AdaptableGenerator concept.
-    typedef long  result_type;  
+    typedef long  result_type;
     long operator()() const {
-      return Gmpfi::get_default_precision(); 
+      return Gmpfi::get_default_precision();
     }
   };
 };
diff -pruN 5.0.2-3/include/CGAL/Gmpfr.h 5.0.3-1/include/CGAL/Gmpfr.h
--- 5.0.2-3/include/CGAL/Gmpfr.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Gmpfr.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,11 +1,11 @@
 // Copyright (c) 2007-2009 Inria Lorraine (France). All rights reserved.
-// 
+//
 // This file is part of CGAL (www.cgal.org)
-// 
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Gmpfr.h $
-// $Id: Gmpfr.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+//
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Gmpfr.h $
+// $Id: Gmpfr.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author: Luis Peñaranda <luis.penaranda@gmx.com>
 
 #ifndef CGAL_GMPFR_H
@@ -74,7 +74,7 @@ public:
 template <>
 class Real_embeddable_traits<Gmpfr>:
 public INTERN_RET::Real_embeddable_traits_base<Gmpfr,CGAL::Tag_true>{
-  
+
         typedef Algebraic_structure_traits<Type>        AST;
 
         public:
@@ -126,7 +126,7 @@ public INTERN_RET::Real_embeddable_trait
                 inline Comparison_result operator()
                         (const Type &x,const Type &y)const{
                                 return x.compare(y);
-                        }; 
+                        };
           CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR_WITH_RT(Type,Comparison_result)
         };
 
diff -pruN 5.0.2-3/include/CGAL/gmp.h 5.0.3-1/include/CGAL/gmp.h
--- 5.0.2-3/include/CGAL/gmp.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/gmp.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,11 +1,11 @@
 // Copyright (c) 2010 GeometryFactory (France). All rights reserved.
-// 
+//
 // This file is part of CGAL (www.cgal.org)
-// 
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/gmp.h $
-// $Id: gmp.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+//
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/gmp.h $
+// $Id: gmp.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author: Andreas Fabri
 
 #ifndef CGAL_GMP_H
diff -pruN 5.0.2-3/include/CGAL/Gmpq.h 5.0.3-1/include/CGAL/Gmpq.h
--- 5.0.2-3/include/CGAL/Gmpq.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Gmpq.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Gmpq.h $
-// $Id: Gmpq.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Gmpq.h $
+// $Id: Gmpq.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -59,7 +59,7 @@ template <> class Algebraic_structure_tr
 template <> class Real_embeddable_traits< Gmpq >
   : public INTERN_RET::Real_embeddable_traits_base< Gmpq , CGAL::Tag_true > {
   public:
-  
+
     class Sgn
       : public CGAL::cpp98::unary_function< Type, ::CGAL::Sign > {
       public:
@@ -81,24 +81,24 @@ template <> class Real_embeddable_traits
       public:
         std::pair<double, double> operator()( const Type& x ) const {
 #if MPFR_VERSION_MAJOR >= 3
-	  mpfr_exp_t emin = mpfr_get_emin();
-	  mpfr_set_emin(-1073);
-	  MPFR_DECL_INIT (y, 53); /* Assume IEEE-754 */
-	  int r = mpfr_set_q (y, x.mpq(), MPFR_RNDA);
-	  r = mpfr_subnormalize (y, r, MPFR_RNDA); /* Round subnormals */
-	  double i = mpfr_get_d (y, MPFR_RNDA); /* EXACT but can overflow */
-	  mpfr_set_emin(emin); /* Restore old value, users may care */
-	  // With mpfr_set_emax(1024) we could drop the is_finite test
-	  if (r == 0 && is_finite (i))
-	    return std::pair<double, double>(i, i);
-	  else
-	    {
-	      double s = nextafter (i, 0);
-	      if (i < 0)
-		return std::pair<double, double>(i, s);
-	      else
-		return std::pair<double, double>(s, i);
-	    }
+          mpfr_exp_t emin = mpfr_get_emin();
+          mpfr_set_emin(-1073);
+          MPFR_DECL_INIT (y, 53); /* Assume IEEE-754 */
+          int r = mpfr_set_q (y, x.mpq(), MPFR_RNDA);
+          r = mpfr_subnormalize (y, r, MPFR_RNDA); /* Round subnormals */
+          double i = mpfr_get_d (y, MPFR_RNDA); /* EXACT but can overflow */
+          mpfr_set_emin(emin); /* Restore old value, users may care */
+          // With mpfr_set_emax(1024) we could drop the is_finite test
+          if (r == 0 && is_finite (i))
+            return std::pair<double, double>(i, i);
+          else
+            {
+              double s = nextafter (i, 0);
+              if (i < 0)
+                return std::pair<double, double>(i, s);
+              else
+                return std::pair<double, double>(s, i);
+            }
 #else
           mpfr_t y;
           mpfr_init2 (y, 53); /* Assume IEEE-754 */
@@ -174,10 +174,10 @@ namespace Eigen {
     template<>
       struct significant_decimals_impl<CGAL::Gmpq>
       {
-	static inline int run()
-	{
-	  return 0;
-	}
+        static inline int run()
+        {
+          return 0;
+        }
       };
   }
 }
diff -pruN 5.0.2-3/include/CGAL/GMPXX_arithmetic_kernel.h 5.0.3-1/include/CGAL/GMPXX_arithmetic_kernel.h
--- 5.0.2-3/include/CGAL/GMPXX_arithmetic_kernel.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/GMPXX_arithmetic_kernel.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arithmetic_kernel/include/CGAL/GMPXX_arithmetic_kernel.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arithmetic_kernel/include/CGAL/GMPXX_arithmetic_kernel.h $
 // $Id: GMPXX_arithmetic_kernel.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/gmpxx_coercion_traits.h 5.0.3-1/include/CGAL/gmpxx_coercion_traits.h
--- 5.0.2-3/include/CGAL/gmpxx_coercion_traits.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/gmpxx_coercion_traits.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/gmpxx_coercion_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/gmpxx_coercion_traits.h $
 // $Id: gmpxx_coercion_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/gmpxx.h 5.0.3-1/include/CGAL/gmpxx.h
--- 5.0.2-3/include/CGAL/gmpxx.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/gmpxx.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2002,2003  
+// Copyright (c) 2002,2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/gmpxx.h $
-// $Id: gmpxx.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/gmpxx.h $
+// $Id: gmpxx.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/Gmpzf.h 5.0.3-1/include/CGAL/Gmpzf.h
--- 5.0.2-3/include/CGAL/Gmpzf.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Gmpzf.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Gmpzf.h $
-// $Id: Gmpzf.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Gmpzf.h $
+// $Id: Gmpzf.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -65,14 +65,14 @@ public:
     public:
         Type operator()( const Type& x, const Type& y ) const {
             return Type(x).div( y );
-	}
+        }
     };
 
     typedef INTERN_AST::Mod_per_operator< Type > Mod;
-  
+
   class Is_square
     : public CGAL::cpp98::binary_function< Type, Type&, bool > {
-  public:      
+  public:
     bool operator()( const Type& x, Type& y ) const {
       y = CGAL::approximate_sqrt(x);
       return y * y == x;
@@ -93,7 +93,7 @@ class Real_embeddable_traits< Gmpzf >
     typedef Algebraic_structure_traits<Gmpzf> AST;
 public:
   typedef AST::Is_zero Is_zero;
-  
+
     struct Sgn
         : public CGAL::cpp98::unary_function< Type, ::CGAL::Sign > {
     public:
@@ -126,7 +126,7 @@ public:
         : public CGAL::cpp98::unary_function< Type, std::pair< double, double > > {
     public:
         std::pair<double, double> operator()( const Type& x ) const {
-	    return x.to_interval();
+            return x.to_interval();
         }
     };
 };
@@ -141,26 +141,26 @@ public:
     struct To_double: public CGAL::cpp98::unary_function<Quotient<Gmpzf>, double>{
         inline
         double operator()(const Quotient<Gmpzf>& q) const {
-	  std::pair<double, long> n = q.numerator().to_double_exp();
-	  std::pair<double, long> d = q.denominator().to_double_exp();
-	  double scale = std::ldexp(1.0,
+          std::pair<double, long> n = q.numerator().to_double_exp();
+          std::pair<double, long> d = q.denominator().to_double_exp();
+          double scale = std::ldexp(1.0,
                                     static_cast<int>(n.second - d.second));
-	  return (n.first / d.first) * scale;
-	}
+          return (n.first / d.first) * scale;
+        }
     };
     struct To_interval
         : public CGAL::cpp98::unary_function<Quotient<Gmpzf>, std::pair<double,double> >{
         inline
         std::pair<double,double> operator()(const Quotient<Gmpzf>& q) const {
-	  // do here as MP_Float does
-	  std::pair<std::pair<double, double>, long> n =
-	    q.numerator().to_interval_exp();
-	  std::pair<std::pair<double, double>, long> d =
-	    q.denominator().to_interval_exp();
+          // do here as MP_Float does
+          std::pair<std::pair<double, double>, long> n =
+            q.numerator().to_interval_exp();
+          std::pair<std::pair<double, double>, long> d =
+            q.denominator().to_interval_exp();
 
-	  CGAL_assertion_msg(CGAL::abs(double(n.second) - double(d.second)) < (1<<30)*2.0,
+          CGAL_assertion_msg(CGAL::abs(double(n.second) - double(d.second)) < (1<<30)*2.0,
                      "Exponent overflow in Quotient<MP_Float> to_interval");
-	  return ldexp(Interval_nt<>(n.first) / Interval_nt<>(d.first),
+          return ldexp(Interval_nt<>(n.first) / Interval_nt<>(d.first),
                        static_cast<int>(n.second - d.second)).pair();
         }
     };
diff -pruN 5.0.2-3/include/CGAL/Gmpz.h 5.0.3-1/include/CGAL/Gmpz.h
--- 5.0.2-3/include/CGAL/Gmpz.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Gmpz.h	2020-08-01 19:02:36.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Gmpz.h $
-// $Id: Gmpz.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Gmpz.h $
+// $Id: Gmpz.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -122,30 +122,30 @@ public:
     public:
         std::pair<double, double> operator()( const Type& x ) const {
 #if MPFR_VERSION_MAJOR >= 3
-	  MPFR_DECL_INIT (y, 53); /* Assume IEEE-754 */
-	  int r = mpfr_set_z (y, x.mpz(), MPFR_RNDA);
-	  double i = mpfr_get_d (y, MPFR_RNDA); /* EXACT but can overflow */
-	  if (r == 0 && is_finite (i))
-	    return std::pair<double, double>(i, i);
-	  else
-	  {
-	    double s = nextafter (i, 0);
-	    if (i < 0)
-	      return std::pair<double, double>(i, s);
-	    else
-	      return std::pair<double, double>(s, i);
-	  }
+          MPFR_DECL_INIT (y, 53); /* Assume IEEE-754 */
+          int r = mpfr_set_z (y, x.mpz(), MPFR_RNDA);
+          double i = mpfr_get_d (y, MPFR_RNDA); /* EXACT but can overflow */
+          if (r == 0 && is_finite (i))
+            return std::pair<double, double>(i, i);
+          else
+          {
+            double s = nextafter (i, 0);
+            if (i < 0)
+              return std::pair<double, double>(i, s);
+            else
+              return std::pair<double, double>(s, i);
+          }
 #else
-	  mpfr_t y;
-	  mpfr_init2 (y, 53); /* Assume IEEE-754 */
-	  mpfr_set_z (y, x.mpz(), GMP_RNDD);
-	  double i = mpfr_get_d (y, GMP_RNDD); /* EXACT but can overflow */
-	  mpfr_set_z (y, x.mpz(), GMP_RNDU);
-	  double s = mpfr_get_d (y, GMP_RNDU); /* EXACT but can overflow */
-	  mpfr_clear (y);
-	  return std::pair<double, double>(i, s);
+          mpfr_t y;
+          mpfr_init2 (y, 53); /* Assume IEEE-754 */
+          mpfr_set_z (y, x.mpz(), GMP_RNDD);
+          double i = mpfr_get_d (y, GMP_RNDD); /* EXACT but can overflow */
+          mpfr_set_z (y, x.mpz(), GMP_RNDU);
+          double s = mpfr_get_d (y, GMP_RNDU); /* EXACT but can overflow */
+          mpfr_clear (y);
+          return std::pair<double, double>(i, s);
 #endif
-	}
+        }
     };
 };
 
@@ -185,8 +185,8 @@ struct Needs_parens_as_product<Gmpz> {
 
 
 /*! \ingroup NiX_Modular_traits_spec
- *  \brief a model of concept ModularTraits, 
- *  specialization of NiX::Modular_traits. 
+ *  \brief a model of concept ModularTraits,
+ *  specialization of NiX::Modular_traits.
  */
 template<>
 class Modular_traits< Gmpz > {
@@ -206,7 +206,7 @@ class Modular_traits< Gmpz > {
         NT operator()(const Residue_type& x){
           return NT(x.get_value());
         }
-    };    
+    };
 };
 
 } //namespace CGAL
@@ -218,7 +218,7 @@ class Modular_traits< Gmpz > {
 namespace Eigen {
   template<class> struct NumTraits;
   template<> struct NumTraits<CGAL::Gmpz>
-  {     
+  {
     typedef CGAL::Gmpz Real;
     typedef CGAL::Gmpq NonInteger;
     typedef CGAL::Gmpz Nested;
diff -pruN 5.0.2-3/include/CGAL/gnuplot_output_2.h 5.0.3-1/include/CGAL/gnuplot_output_2.h
--- 5.0.2-3/include/CGAL/gnuplot_output_2.h	2020-02-21 20:03:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/gnuplot_output_2.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cone_spanners_2/include/CGAL/gnuplot_output_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cone_spanners_2/include/CGAL/gnuplot_output_2.h $
 // $Id: gnuplot_output_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Gps_circle_segment_traits_2.h 5.0.3-1/include/CGAL/Gps_circle_segment_traits_2.h
--- 5.0.2-3/include/CGAL/Gps_circle_segment_traits_2.h	2020-02-21 20:02:59.000000000 +0000
+++ 5.0.3-1/include/CGAL/Gps_circle_segment_traits_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Gps_circle_segment_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Gps_circle_segment_traits_2.h $
 // $Id: Gps_circle_segment_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Gps_segment_traits_2.h 5.0.3-1/include/CGAL/Gps_segment_traits_2.h
--- 5.0.2-3/include/CGAL/Gps_segment_traits_2.h	2020-02-21 20:02:59.000000000 +0000
+++ 5.0.3-1/include/CGAL/Gps_segment_traits_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Gps_segment_traits_2.h $
-// $Id: Gps_segment_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Gps_segment_traits_2.h $
+// $Id: Gps_segment_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 
@@ -26,7 +26,7 @@
 
 namespace CGAL {
 
-template < class Kernel_, 
+template < class Kernel_,
            class Container_ = std::vector<typename Kernel_::Point_2>,
            class Arr_seg_traits_ = Arr_segment_traits_2<Kernel_> >
 class Gps_segment_traits_2 : public Arr_seg_traits_
@@ -38,17 +38,17 @@ public:
 
   // Polygon_2 type is required by GeneralPolygonSetTraits Concept
   typedef CGAL::Polygon_2<Kernel_, Container_>          Polygon_2;
-  // Polygon_2 is a model of the GeneralPolygon2 concept. 
+  // Polygon_2 is a model of the GeneralPolygon2 concept.
   typedef  Polygon_2                                    General_polygon_2;
 
-  // Polygon_with_holes_2 can be a simple polygon , with holes that are 
+  // Polygon_with_holes_2 can be a simple polygon , with holes that are
   // entirely inside him , or some vertices of the polygon and its holes
   // may overlap.
-  
+
   // Polygon_with_holes_2 type required by GeneralPolygonSetTraits Concept.
-  typedef CGAL::Polygon_with_holes_2<Kernel_, Container_>    
+  typedef CGAL::Polygon_with_holes_2<Kernel_, Container_>
                                                 Polygon_with_holes_2;
-  // Polygon_with_Holes_2 is a model of the GeneralPolygonWithHoles2 concept. 
+  // Polygon_with_Holes_2 is a model of the GeneralPolygonWithHoles2 concept.
   typedef  Polygon_with_holes_2                 General_polygon_with_holes_2;
   typedef typename Base::X_monotone_curve_2     X_monotone_curve_2;
 
@@ -59,7 +59,7 @@ public:
                                                 Hole_const_iterator;
   typedef typename Base::Point_2                Point_2;
 
- 
+
   /*!
    * A functor for constructing a polygon from a range of segments.
    */
@@ -69,7 +69,7 @@ public:
 
     /*! The traits (in case it has state) */
     const Traits_adaptor* m_traits;
-    
+
   public:
     /*! Constructor
      * \param traits the traits (in case it has state)
@@ -77,7 +77,7 @@ public:
     Construct_polygon_2(const Self* traits) :
       m_traits(static_cast<const Traits_adaptor*>(traits))
     {}
-    
+
     template <typename XCurveIterator>
     void operator()(XCurveIterator begin, XCurveIterator end, Polygon_2& pgn)
       const
@@ -154,7 +154,7 @@ public:
   {
     return Construct_holes();
   }
-    
+
   /* A functor for constructing a General_polygon_with_holes from a
    * General_Polygon (and possibly a range of holes).
    *
@@ -187,7 +187,7 @@ public:
   {
     return Construct_general_polygon_with_holes_2();
   }
-  
+
   //functor returns true if the outer boundary is unbounded, and false otherwise.
   class Is_unbounded {
   public:
diff -pruN 5.0.2-3/include/CGAL/Gps_traits_2.h 5.0.3-1/include/CGAL/Gps_traits_2.h
--- 5.0.2-3/include/CGAL/Gps_traits_2.h	2020-02-21 20:02:59.000000000 +0000
+++ 5.0.3-1/include/CGAL/Gps_traits_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Gps_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Gps_traits_2.h $
 // $Id: Gps_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/grabbers.h 5.0.3-1/include/CGAL/grabbers.h
--- 5.0.2-3/include/CGAL/grabbers.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/grabbers.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ipelets/include/CGAL/grabbers.h $
-// $Id: grabbers.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ipelets/include/CGAL/grabbers.h $
+// $Id: grabbers.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot, Sylvain Pion
 
@@ -17,7 +17,7 @@
 #include <boost/function_output_iterator.hpp>
 
 namespace CGAL{
-  
+
 template <class Kernel, class Container>
 class Polygon_2;
 
@@ -27,18 +27,18 @@ namespace internal{
 template <class Kernel, class output_iterator>
 class Point_grabber{
   output_iterator out;
-public:  
+public:
   Point_grabber(output_iterator it):out(it){}
-  
+
   void operator()(const typename Kernel::Point_2& p){
     *out++=p;
   }
-    
+
   void operator()(const typename Kernel::Segment_2& s){
     *out++=s[0];
     *out++=s[1];
   }
-  
+
   template<class Container>
   void operator()(const CGAL::Polygon_2<Kernel,Container>& p){
     for(typename CGAL::Polygon_2<Kernel,Container>::Vertex_iterator it=
@@ -58,13 +58,13 @@ point_grabber(output_iterator it){
 template <class Kernel, class output_iterator>
 class Segment_grabber{
   output_iterator out;
-public:  
+public:
   Segment_grabber(output_iterator it):out(it){}
-  
+
   void operator()(const typename Kernel::Segment_2& s){
     *out++=s;
   }
-  
+
   template<class Container>
   void operator()(const CGAL::Polygon_2<Kernel,Container>& p){
     for(typename CGAL::Polygon_2<Kernel,Container>::Edge_const_iterator
@@ -86,29 +86,29 @@ template <class Kernel,class output_iter
 class Wpoint_grabber{
   output_iterator out;
   typedef typename Kernel::Weighted_point_2 Self;
-public:  
+public:
   Wpoint_grabber(output_iterator it):out(it){}
 
   void operator()(const Self& p){
     *out++=p;
   }
-    
+
   void operator()(const typename Kernel::Point_2& p){
     *out++=Self(p,0);
   }
-    
+
   void operator()(const typename Kernel::Circle_2& c){
     *out++=Self(c.center(),c.squared_radius());
   }
-  
+
   void operator()(const typename Kernel::Segment_2& s){
     *out++=Self(s[0],0);
     *out++=Self(s[1],0);
-  }  
-  
+  }
+
   template<class Container>
   void operator()(const CGAL::Polygon_2<Kernel,Container>& p){
-    for(typename CGAL::Polygon_2<Kernel,Container>::Vertex_iterator 
+    for(typename CGAL::Polygon_2<Kernel,Container>::Vertex_iterator
         it=p.vertices_begin();it!=p.vertices_end();++it)
       *out++= Self(*it,0);
   }
diff -pruN 5.0.2-3/include/CGAL/graph_traits_Arrangement_2.h 5.0.3-1/include/CGAL/graph_traits_Arrangement_2.h
--- 5.0.2-3/include/CGAL/graph_traits_Arrangement_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/graph_traits_Arrangement_2.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/graph_traits_Arrangement_2.h $
-// $Id: graph_traits_Arrangement_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/graph_traits_Arrangement_2.h $
+// $Id: graph_traits_Arrangement_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein <wein@post.tau.ac.il>
 //                 Efi Fogel <efif@post.tau.ac.il>
@@ -49,7 +49,7 @@ template <class GeomTraits, class TopTra
 class graph_traits<CGAL::Arrangement_on_surface_2<GeomTraits, TopTraits> >
 {
 public:
-  
+
   typedef GeomTraits                                 Geometry_traits_2;
   typedef TopTraits                                  Topology_traits;
   typedef CGAL::Arrangement_on_surface_2<Geometry_traits_2, Topology_traits>
@@ -71,7 +71,7 @@ private:
    * models the BidirectionalGraph concept as well as the VertexListGraph and
    * EdgeListGraph concepts.
    */
-  struct Arr_traversal_category : 
+  struct Arr_traversal_category :
     public virtual boost::bidirectional_graph_tag,   // This tag refines the
                                                      // incidence_graph_tag.
     public virtual boost::vertex_list_graph_tag,  // Can iterate over vertices.
@@ -84,7 +84,7 @@ private:
    * This is by adapting the Halfegde_around_vertex_circulator type to an
    * iterator. Moreover, as the circulator goes over all ingoing halfedges
    * of the vertex, the iterator adapter may return their twin halfedges, if
-   * we need the outgoing halfedges.  
+   * we need the outgoing halfedges.
    */
   class Halfedge_around_vertex_iterator
   {
@@ -116,7 +116,7 @@ public:
     {}
 
     /*!
-     * Constructor. 
+     * Constructor.
      * \param circ A ciruclator for the halfedges around a vertex.
      * \param out_edges Do we need the outgoing or the ingoing halfedges.
      * \param counter A counter associated with the iterator.
@@ -145,12 +145,12 @@ public:
     {
       return (_circ == it._circ && _out == it._out && _counter == it._counter);
     }
-    
+
     bool operator!= (const Self& it) const
     {
       return (_circ != it._circ || _out != it._out || _counter != it._counter);
     }
-    
+
     /*! Dereference operators. */
     reference operator* () const
     {
@@ -161,7 +161,7 @@ public:
     {
       return &_hh;
     }
-    
+
     /* Increment operators. */
     Self& operator++()
     {
@@ -169,7 +169,7 @@ public:
       {
         ++_circ;
         ++_counter;
-        
+
         if (_out)
           _hh = _circ->twin();
         else
@@ -183,12 +183,12 @@ public:
     Self operator++ (int )
     {
       Self tmp = *this;
-      
+
       do
       {
         ++_circ;
         ++_counter;
-        
+
         if (_out)
           _hh = _circ->twin();
         else
@@ -279,7 +279,7 @@ public:
     Halfedge_around_vertex_circulator   first = v->incident_halfedges();
     Halfedge_around_vertex_circulator   circ = first;
     degree_size_type                    deg = 0;
-    
+
     do
     {
       if (! circ->is_fictitious())
@@ -528,7 +528,7 @@ degree (typename
 // --------------------------------------------------
 
 /*!
- * Get the number of vertices in the given arrangement. 
+ * Get the number of vertices in the given arrangement.
  * \param arr The arrangement.
  * \return Number of vertices.
  */
@@ -541,7 +541,7 @@ num_vertices (const CGAL::Arrangement_on
   boost::graph_traits<CGAL::Arrangement_on_surface_2<GeomTraits, TopTraits> >
     gt_arr (arr);
 
-  return gt_arr.number_of_vertices(); 
+  return gt_arr.number_of_vertices();
 }
 
 /*!
@@ -570,7 +570,7 @@ vertices (const CGAL::Arrangement_on_sur
 // ------------------------------------------------
 
 /*!
- * Get the number of halfedges in the given arrangement. 
+ * Get the number of halfedges in the given arrangement.
  * \param arr The arrangement.
  * \return Number of halfedges (graph edges).
  */
@@ -580,7 +580,7 @@ boost::graph_traits<CGAL::Arrangement_on
                                                                edges_size_type
 num_edges (const CGAL::Arrangement_on_surface_2<GeomTraits, TopTraits>& arr)
 {
-  return arr.number_of_halfedges(); 
+  return arr.number_of_halfedges();
 }
 
 /*!
diff -pruN 5.0.2-3/include/CGAL/graph_traits_dual_arrangement_2.h 5.0.3-1/include/CGAL/graph_traits_dual_arrangement_2.h
--- 5.0.2-3/include/CGAL/graph_traits_dual_arrangement_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/graph_traits_dual_arrangement_2.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/graph_traits_dual_arrangement_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/graph_traits_dual_arrangement_2.h $
 // $Id: graph_traits_dual_arrangement_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/graph_traits_dual_arrangement_on_surface_2.h 5.0.3-1/include/CGAL/graph_traits_dual_arrangement_on_surface_2.h
--- 5.0.2-3/include/CGAL/graph_traits_dual_arrangement_on_surface_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/graph_traits_dual_arrangement_on_surface_2.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/graph_traits_dual_arrangement_on_surface_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/graph_traits_dual_arrangement_on_surface_2.h $
 // $Id: graph_traits_dual_arrangement_on_surface_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/graph_traits_dual_arrangement_on_surface_with_history_2.h 5.0.3-1/include/CGAL/graph_traits_dual_arrangement_on_surface_with_history_2.h
--- 5.0.2-3/include/CGAL/graph_traits_dual_arrangement_on_surface_with_history_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/graph_traits_dual_arrangement_on_surface_with_history_2.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/graph_traits_dual_arrangement_on_surface_with_history_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/graph_traits_dual_arrangement_on_surface_with_history_2.h $
 // $Id: graph_traits_dual_arrangement_on_surface_with_history_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/graph_traits_dual_arrangement_with_history_2.h 5.0.3-1/include/CGAL/graph_traits_dual_arrangement_with_history_2.h
--- 5.0.2-3/include/CGAL/graph_traits_dual_arrangement_with_history_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/graph_traits_dual_arrangement_with_history_2.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/graph_traits_dual_arrangement_with_history_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/graph_traits_dual_arrangement_with_history_2.h $
 // $Id: graph_traits_dual_arrangement_with_history_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Gray_image_mesh_domain_3.h 5.0.3-1/include/CGAL/Gray_image_mesh_domain_3.h
--- 5.0.2-3/include/CGAL/Gray_image_mesh_domain_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Gray_image_mesh_domain_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Gray_image_mesh_domain_3.h $
-// $Id: Gray_image_mesh_domain_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Gray_image_mesh_domain_3.h $
+// $Id: Gray_image_mesh_domain_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -64,7 +64,7 @@ public:
                            const Image_word_type value_outside = 0.,
                            const FT& error_bound = FT(1e-3),
                            CGAL::Random* p_rng = nullptr)
-    : Base(Wrapper(image, 
+    : Base(Wrapper(image,
                    Transform(iso_value),
                    Transform(iso_value)(value_outside)),
            Mesh_3::internal::compute_bounding_box(image),
diff -pruN 5.0.2-3/include/CGAL/Gray_level_image_3.h 5.0.3-1/include/CGAL/Gray_level_image_3.h
--- 5.0.2-3/include/CGAL/Gray_level_image_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Gray_level_image_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Gray_level_image_3.h $
-// $Id: Gray_level_image_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Gray_level_image_3.h $
+// $Id: Gray_level_image_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent RINEAU
@@ -36,7 +36,7 @@ class Gray_level_image_3 : public Image_
   bool positive_inside;
   float value_outside;
 public:
-  Gray_level_image_3(const Image_3& image, float isoval) 
+  Gray_level_image_3(const Image_3& image, float isoval)
     : Image_3(image),
       isovalue(isoval),
       positive_inside(true),
@@ -51,7 +51,7 @@ public:
       value_outside(value_outside)
   {
 #ifdef CGAL_SURFACE_MESHER_DEBUG_GRAY_LEVEL_IMAGE_3_CONSTRUCTOR
-    std::cerr << 
+    std::cerr <<
       ::boost::format("Constructing a Gray_level_image_3(\"%1%\")... ") % file;
 #endif
     Image_3::read(file);
@@ -81,7 +81,7 @@ public:
     const float Y=static_cast<float>(to_double(p.y()));
     const float Z=static_cast<float>(to_double(p.z()));
 
-    float value = ::triLinInterp(this->image_ptr.get(), X, Y, Z, value_outside); 
+    float value = ::triLinInterp(this->image_ptr.get(), X, Y, Z, value_outside);
     if (positive_inside)
     {
       if (value > isovalue) // inside
@@ -92,7 +92,7 @@ public:
         return FT(0);
     }
     else
-    {      
+    {
       if (value < isovalue) // inside
         return FT(-1);
       else if (value > isovalue) // outside
@@ -102,7 +102,7 @@ public:
     }
   }
 }; // end Gray_level_image_3
- 
+
 } // end namespace CGAL
 
 #endif // CGAL_MESH_3_GRAY_LEVEL_IMAGE_3_H
diff -pruN 5.0.2-3/include/CGAL/grid_simplify_point_set.h 5.0.3-1/include/CGAL/grid_simplify_point_set.h
--- 5.0.2-3/include/CGAL/grid_simplify_point_set.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/grid_simplify_point_set.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,11 +3,11 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/grid_simplify_point_set.h $
-// $Id: grid_simplify_point_set.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/grid_simplify_point_set.h $
+// $Id: grid_simplify_point_set.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Nader Salman and Laurent Saboret 
+// Author(s) : Nader Salman and Laurent Saboret
 
 #ifndef CGAL_GRID_SIMPLIFY_POINT_SET_H
 #define CGAL_GRID_SIMPLIFY_POINT_SET_H
@@ -48,7 +48,7 @@ inline double round_epsilon(double value
 {
   return std::floor(value / epsilon);
 }
-  
+
 /// Utility class for grid_simplify_point_set(): Hash_epsilon_points_3
 /// defines a 3D point hash / 2 points are equal iff they belong to
 /// the same cell of a grid of cell size = epsilon.
@@ -62,7 +62,7 @@ private:
     typedef typename boost::property_traits<PointMap>::value_type Point;
 public:
 
-    Hash_epsilon_points_3 (double epsilon, PointMap p_map) 
+    Hash_epsilon_points_3 (double epsilon, PointMap p_map)
         : m_epsilon (epsilon), point_map(p_map)
     {
         CGAL_point_set_processing_precondition(epsilon > 0);
@@ -92,7 +92,7 @@ private:
     typedef typename boost::property_traits<PointMap>::value_type Point;
 public:
 
-    Equal_epsilon_points_3 (const double& epsilon, PointMap p_map) 
+    Equal_epsilon_points_3 (const double& epsilon, PointMap p_map)
         : m_epsilon (epsilon), point_map(p_map)
     {
         CGAL_point_set_processing_precondition(epsilon > 0);
@@ -201,7 +201,7 @@ grid_simplify_point_set(
 {
   using parameters::choose_parameter;
   using parameters::get_parameter;
-  
+
   typedef typename Point_set_processing_3::GetPointMap<PointRange, NamedParameters>::const_type PointMap;
   PointMap point_map = choose_parameter(get_parameter(np, internal_np::point_map), PointMap());
   const std::function<bool(double)>& callback = choose_parameter(get_parameter(np, internal_np::callback),
diff -pruN 5.0.2-3/include/CGAL/halfedgeds_connected_components.h 5.0.3-1/include/CGAL/halfedgeds_connected_components.h
--- 5.0.2-3/include/CGAL/halfedgeds_connected_components.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/halfedgeds_connected_components.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/halfedgeds_connected_components.h $
-// $Id: halfedgeds_connected_components.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/halfedgeds_connected_components.h $
+// $Id: halfedgeds_connected_components.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
@@ -23,9 +23,9 @@
 
 namespace CGAL {
 
-template <class HDS, class Output_iterator, 
+template <class HDS, class Output_iterator,
           class Halfedge_iterator, class Halfedge_handle>
-std::size_t 
+std::size_t
 halfedgeds_connected_components( HDS hds, Output_iterator result) {
     Unique_hash_map< Halfedge_iterator, bool> hedge_map( false);
     std::size_t count = 0;
@@ -54,25 +54,25 @@ halfedgeds_connected_components( HDS hds
 }
 
 template <class HDS, class Output_iterator>
-std::size_t 
+std::size_t
 halfedgeds_connected_components( HDS& hds, Output_iterator result) {
-    typedef typename HDS::Halfedge_iterator Halfedge_iterator; 
-    typedef typename HDS::Halfedge_handle   Halfedge_handle; 
-    return halfedgeds_connected_components<HDS&, Output_iterator, 
+    typedef typename HDS::Halfedge_iterator Halfedge_iterator;
+    typedef typename HDS::Halfedge_handle   Halfedge_handle;
+    return halfedgeds_connected_components<HDS&, Output_iterator,
         Halfedge_iterator, Halfedge_handle>( hds, result);
 }
 
 template <class HDS, class Output_iterator>
-std::size_t 
+std::size_t
 halfedgeds_connected_components( const HDS& hds, Output_iterator result) {
-    typedef typename HDS::Halfedge_const_iterator Halfedge_iterator; 
-    typedef typename HDS::Halfedge_const_handle   Halfedge_handle; 
-    return halfedgeds_connected_components<const HDS&, Output_iterator, 
+    typedef typename HDS::Halfedge_const_iterator Halfedge_iterator;
+    typedef typename HDS::Halfedge_const_handle   Halfedge_handle;
+    return halfedgeds_connected_components<const HDS&, Output_iterator,
         Halfedge_iterator, Halfedge_handle>( hds, result);
 }
 
 template <class HDS>
-std::size_t 
+std::size_t
 halfedgeds_connected_components( HDS& hds) {
     return halfedgeds_connected_components( hds, Emptyset_iterator());
 }
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_const_decorator.h 5.0.3-1/include/CGAL/HalfedgeDS_const_decorator.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_const_decorator.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_const_decorator.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_const_decorator.h $
-// $Id: HalfedgeDS_const_decorator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_const_decorator.h $
+// $Id: HalfedgeDS_const_decorator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/halfedgeDS_cut_component.h 5.0.3-1/include/CGAL/halfedgeDS_cut_component.h
--- 5.0.2-3/include/CGAL/halfedgeDS_cut_component.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/halfedgeDS_cut_component.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/halfedgeDS_cut_component.h $
-// $Id: halfedgeDS_cut_component.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/halfedgeDS_cut_component.h $
+// $Id: halfedgeDS_cut_component.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
@@ -29,7 +29,7 @@ namespace CGAL {
 
 
 template < class HDS, class Predicate >
-typename HDS::Halfedge_handle 
+typename HDS::Halfedge_handle
 halfedgeDS_cut_component( HDS&                           hds,
                           typename HDS::Halfedge_handle  h,
                           Predicate                      pred,
@@ -37,8 +37,8 @@ halfedgeDS_cut_component( HDS&
 // Cuts out a piece of a halfedge data structure for which the predicate
 // `pred' is true for the vertices.
 // The edge-vertex graph of the piece has to be a connected component.
-// The remaining piece gets a new boundary. Returns a border halfedge of 
-// the new boundary on the remaining piece. Assigns a halfedge of the 
+// The remaining piece gets a new boundary. Returns a border halfedge of
+// the new boundary on the remaining piece. Assigns a halfedge of the
 // cut outpiece to `cut_piece'.
 // The geometry for the vertices
 // on the boundary and the hole have to be taken care of after this
@@ -85,7 +85,7 @@ halfedgeDS_cut_component( HDS&
             D.set_face( hnew, D.get_face( gnext));
             D.set_face_halfedge( hnew);
             h = g;
-            D.set_vertex_halfedge( h);                
+            D.set_vertex_halfedge( h);
         } else { // general case and last case
             Halfedge_handle gnext = g->next()->opposite();
             if ( gnext == start && gnext == g) {
@@ -94,8 +94,8 @@ halfedgeDS_cut_component( HDS&
                 g = hds.edges_push_back( Halfedge(), Halfedge());
                 D.insert_tip( g, gnext);
                 D.close_tip(g->opposite(), D.vertices_push_back(Vertex()));
-                D.set_vertex_halfedge( g);                
-                D.set_vertex_halfedge( g->opposite());                
+                D.set_vertex_halfedge( g);
+                D.set_vertex_halfedge( g->opposite());
             }
             D.remove_tip( g);
             Vertex_handle v = D.vertices_push_back( Vertex());
@@ -106,7 +106,7 @@ halfedgeDS_cut_component( HDS&
             D.set_face( hnew, D.get_face( gnext));
             D.set_face_halfedge( hnew);
             h = g;
-            D.set_vertex_halfedge( h);                
+            D.set_vertex_halfedge( h);
             if ( gnext == start) {
                 // last edge, special
                 D.insert_tip( hnew, hlast);
@@ -123,7 +123,7 @@ halfedgeDS_cut_component( HDS&
 }
 
 template < class HDS, class Predicate >
-typename HDS::Halfedge_handle 
+typename HDS::Halfedge_handle
 halfedgeDS_cut_component( HDS&                           hds,
                           typename HDS::Halfedge_handle  h,
                           Predicate                      pred)
@@ -140,7 +140,7 @@ halfedgeDS_cut_component( HDS&
     D.erase_connected_component( cut_piece);
     CGAL_postcondition( D.is_valid(false,3));
     return hnew;
-}   
+}
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_decorator.h 5.0.3-1/include/CGAL/HalfedgeDS_decorator.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_decorator.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_decorator.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_decorator.h $
-// $Id: HalfedgeDS_decorator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_decorator.h $
+// $Id: HalfedgeDS_decorator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_default.h 5.0.3-1/include/CGAL/HalfedgeDS_default.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_default.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_default.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_default.h $
-// $Id: HalfedgeDS_default.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_default.h $
+// $Id: HalfedgeDS_default.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
@@ -25,9 +25,9 @@
 
 namespace CGAL {
 
-template <class Traits_, class HalfedgeDSItems = HalfedgeDS_items_2, 
+template <class Traits_, class HalfedgeDSItems = HalfedgeDS_items_2,
           class Alloc = CGAL_ALLOCATOR(int)>
-class HalfedgeDS_default 
+class HalfedgeDS_default
     : public HalfedgeDS_list< Traits_, HalfedgeDSItems, Alloc> {
 public:
     typedef Traits_                                          Traits;
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_face_base.h 5.0.3-1/include/CGAL/HalfedgeDS_face_base.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_face_base.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_face_base.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_face_base.h $
-// $Id: HalfedgeDS_face_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_face_base.h $
+// $Id: HalfedgeDS_face_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_face_max_base_with_id.h 5.0.3-1/include/CGAL/HalfedgeDS_face_max_base_with_id.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_face_max_base_with_id.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_face_max_base_with_id.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_face_max_base_with_id.h $
-// $Id: HalfedgeDS_face_max_base_with_id.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_face_max_base_with_id.h $
+// $Id: HalfedgeDS_face_max_base_with_id.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
 
@@ -20,21 +20,21 @@ template < class Refs, class Pln, class
 class HalfedgeDS_face_max_base_with_id : public HalfedgeDS_face_base< Refs, Tag_true, Pln>
 {
 public:
-    
+
     typedef HalfedgeDS_face_base< Refs, Tag_true, Pln> Base ;
-    
+
     typedef ID size_type ;
-    
+
 private:
 
     size_type mID ;
-    
+
 public:
 
     HalfedgeDS_face_max_base_with_id() : mID ( size_type(-1) ) {}
     HalfedgeDS_face_max_base_with_id( Pln const& p) : Base(p), mID ( size_type(-1) ) {}
     HalfedgeDS_face_max_base_with_id( Pln const& p, size_type i ) : Base(p), mID (i) {}
-    
+
     size_type&       id()       { return mID; }
     size_type const& id() const { return mID; }
 };
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_face_min_base.h 5.0.3-1/include/CGAL/HalfedgeDS_face_min_base.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_face_min_base.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_face_min_base.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_face_min_base.h $
-// $Id: HalfedgeDS_face_min_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_face_min_base.h $
+// $Id: HalfedgeDS_face_min_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_halfedge_base.h 5.0.3-1/include/CGAL/HalfedgeDS_halfedge_base.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_halfedge_base.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_halfedge_base.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_halfedge_base.h $
-// $Id: HalfedgeDS_halfedge_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_halfedge_base.h $
+// $Id: HalfedgeDS_halfedge_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_halfedge_max_base_with_id.h 5.0.3-1/include/CGAL/HalfedgeDS_halfedge_max_base_with_id.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_halfedge_max_base_with_id.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_halfedge_max_base_with_id.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_halfedge_max_base_with_id.h $
-// $Id: HalfedgeDS_halfedge_max_base_with_id.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_halfedge_max_base_with_id.h $
+// $Id: HalfedgeDS_halfedge_max_base_with_id.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
 
@@ -21,19 +21,19 @@ class HalfedgeDS_halfedge_max_base_with_
 {
 public:
     typedef HalfedgeDS_halfedge_base< Refs, Tag_true, Tag_true, Tag_true> Base ;
-    
+
     typedef typename Base::Base_base Base_base ;
-    
+
     typedef ID size_type ;
-    
+
 private:
 
     size_type mID ;
-    
+
 public:
 
     HalfedgeDS_halfedge_max_base_with_id( size_type i = size_type(-1) ) : mID(i) {}
-    
+
     size_type&       id()       { return mID; }
     size_type const& id() const { return mID; }
 };
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_halfedge_min_base.h 5.0.3-1/include/CGAL/HalfedgeDS_halfedge_min_base.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_halfedge_min_base.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_halfedge_min_base.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_halfedge_min_base.h $
-// $Id: HalfedgeDS_halfedge_min_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_halfedge_min_base.h $
+// $Id: HalfedgeDS_halfedge_min_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_items_2.h 5.0.3-1/include/CGAL/HalfedgeDS_items_2.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_items_2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_items_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_items_2.h $
-// $Id: HalfedgeDS_items_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_items_2.h $
+// $Id: HalfedgeDS_items_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
@@ -38,7 +38,7 @@ public:
         typedef HalfedgeDS_face_base< Refs>                    Face;
     };
 };
-  
+
 class HalfedgeDS_items_3 {
 public:
     template < class Refs, class Traits>
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_items_decorator.h 5.0.3-1/include/CGAL/HalfedgeDS_items_decorator.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_items_decorator.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_items_decorator.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_items_decorator.h $
-// $Id: HalfedgeDS_items_decorator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_items_decorator.h $
+// $Id: HalfedgeDS_items_decorator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_iterator_adaptor.h 5.0.3-1/include/CGAL/HalfedgeDS_iterator_adaptor.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_iterator_adaptor.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_iterator_adaptor.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_iterator_adaptor.h $
-// $Id: HalfedgeDS_iterator_adaptor.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_iterator_adaptor.h $
+// $Id: HalfedgeDS_iterator_adaptor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_iterator.h 5.0.3-1/include/CGAL/HalfedgeDS_iterator.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_iterator.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_iterator.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_iterator.h $
-// $Id: HalfedgeDS_iterator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_iterator.h $
+// $Id: HalfedgeDS_iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>)
 
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_list.h 5.0.3-1/include/CGAL/HalfedgeDS_list.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_list.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_list.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_list.h $
-// $Id: HalfedgeDS_list.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_list.h $
+// $Id: HalfedgeDS_list.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
@@ -37,9 +37,9 @@ public:
     HalfedgeDS_in_place_list_vertex() {}
     HalfedgeDS_in_place_list_vertex( const VertexBase& v)   // down cast
         : VertexBase(v) {}
-  
+
     HalfedgeDS_in_place_list_vertex(const HalfedgeDS_in_place_list_vertex&)=default;
-  
+
     Self& operator=( const Self& v) {
         // This self written assignment avoids that assigning vertices will
         // overwrite the list linking of the target vertex.
@@ -60,9 +60,9 @@ public:
     HalfedgeDS_in_place_list_halfedge() {}                   // down cast
     HalfedgeDS_in_place_list_halfedge( const HalfedgeBase& h)
         : HalfedgeBase(h) {}
-  
+
     HalfedgeDS_in_place_list_halfedge(const HalfedgeDS_in_place_list_halfedge&)=default;
-  
+
     Self& operator=( const Self& h) {
         // This self written assignment avoids that assigning halfedges will
         // overwrite the list linking of the target halfedge.
@@ -81,9 +81,9 @@ public:
     typedef typename FaceBase::Face_const_handle Face_const_handle;
     HalfedgeDS_in_place_list_face() {}                   // down cast
     HalfedgeDS_in_place_list_face( const FaceBase& f) : FaceBase(f) {}
-  
+
     HalfedgeDS_in_place_list_face(const HalfedgeDS_in_place_list_face&)=default;
-  
+
     Self& operator=( const Self& f) {
         // This self written assignment avoids that assigning faces will
         // overwrite the list linking of the target face.
@@ -104,7 +104,7 @@ public:
 
     typedef typename Items::template Vertex_wrapper<Self,Traits>
                                                        Vertex_wrapper;
-    typedef typename Items::template Halfedge_wrapper<Self,Traits> 
+    typedef typename Items::template Halfedge_wrapper<Self,Traits>
                                                        Halfedge_wrapper;
     typedef typename Items::template Face_wrapper<Self,Traits>
                                                        Face_wrapper;
@@ -137,7 +137,7 @@ public:
                                                        Edge_iterator;
     typedef N_step_adaptor_derived<Halfedge_const_iterator, 2>
                                                        Edge_const_iterator;
-  
+
     typedef In_place_list<Face,false,Face_allocator>   Face_list;
     typedef typename Face_list::iterator               Face_handle;
     typedef typename Face_list::const_iterator         Face_const_handle;
@@ -185,7 +185,7 @@ public:
     }
 };
 
-template < class Traits_, class HalfedgeDSItems, 
+template < class Traits_, class HalfedgeDSItems,
            class Alloc = CGAL_ALLOCATOR(int)>
 class HalfedgeDS_list
     : public HalfedgeDS_list_types<Traits_, HalfedgeDSItems, Alloc> {
@@ -325,7 +325,7 @@ private:
         typedef Unique_hash_map< Face_const_iterator, Face_iterator>     F_map;
         // initialize maps.
         H_map h_map( hds.halfedges_begin(), hds.halfedges_end(),
-                     halfedges_begin(), Halfedge_iterator(), 
+                     halfedges_begin(), Halfedge_iterator(),
                      3 * hds.size_of_halfedges() / 2);
         Vertex_iterator vii;
         V_map v_map( vii, 3 * hds.size_of_vertices() / 2);
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_min_items.h 5.0.3-1/include/CGAL/HalfedgeDS_min_items.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_min_items.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_min_items.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_min_items.h $
-// $Id: HalfedgeDS_min_items.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_min_items.h $
+// $Id: HalfedgeDS_min_items.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_vector.h 5.0.3-1/include/CGAL/HalfedgeDS_vector.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_vector.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_vector.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_vector.h $
-// $Id: HalfedgeDS_vector.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_vector.h $
+// $Id: HalfedgeDS_vector.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
@@ -47,7 +47,7 @@ public:
     typedef Alloc                                      Allocator;
     typedef Alloc                                      allocator_type;
 
-    typedef typename Items::template Vertex_wrapper<Self,Traits>   
+    typedef typename Items::template Vertex_wrapper<Self,Traits>
                                                        Vertex_wrapper;
     typedef typename Items::template Halfedge_wrapper<Self,Traits>
                                                        Halfedge_wrapper;
@@ -79,7 +79,7 @@ public:
                                                        Edge_iterator;
     typedef N_step_adaptor_derived<Halfedge_const_iterator, 2>
                                                        Edge_const_iterator;
-  
+
     typedef internal::vector<Face, Face_allocator>     Face_vector;
     typedef typename Face_vector::iterator             Face_I;
     typedef typename Face_vector::const_iterator       Face_CI;
@@ -137,7 +137,7 @@ public:
 };
 
 
-template < class Traits_, class HalfedgeDSItems, 
+template < class Traits_, class HalfedgeDSItems,
            class Alloc = CGAL_ALLOCATOR(int)>
 class HalfedgeDS_vector
     : public HalfedgeDS_vector_types<Traits_, HalfedgeDSItems, Alloc> {
@@ -539,7 +539,7 @@ public:
                               // Elements in [begin..ll) <  pivot (non border)
         while (ll < rr) {
                               // Pivot is in *ll, ll <= rr.
-            while ( rr > ll && (rr->is_border() 
+            while ( rr > ll && (rr->is_border()
                               || rr->opposite()->is_border())) {
                 if ( ! rr->opposite()->is_border()) {
                     CGAL_assertion( rr + 1 == get_h_iter(rr->opposite()));
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_vertex_base.h 5.0.3-1/include/CGAL/HalfedgeDS_vertex_base.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_vertex_base.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_vertex_base.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_vertex_base.h $
-// $Id: HalfedgeDS_vertex_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_vertex_base.h $
+// $Id: HalfedgeDS_vertex_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_vertex_max_base_with_id.h 5.0.3-1/include/CGAL/HalfedgeDS_vertex_max_base_with_id.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_vertex_max_base_with_id.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_vertex_max_base_with_id.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_vertex_max_base_with_id.h $
-// $Id: HalfedgeDS_vertex_max_base_with_id.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_vertex_max_base_with_id.h $
+// $Id: HalfedgeDS_vertex_max_base_with_id.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
 
@@ -21,21 +21,21 @@ class HalfedgeDS_vertex_max_base_with_id
 {
 public:
     typedef HalfedgeDS_vertex_base< Refs, Tag_true, P> Base ;
-    
+
     typedef ID size_type ;
-    
+
     typedef P Point ;
-    
+
 private:
 
     size_type mID ;
-    
+
 public:
 
     HalfedgeDS_vertex_max_base_with_id() : mID ( size_type(-1) )  {}
     HalfedgeDS_vertex_max_base_with_id( Point const& p) : Base(p), mID ( size_type(-1) ) {}
     HalfedgeDS_vertex_max_base_with_id( Point const& p, size_type i ) : Base(p), mID(i) {}
-    
+
     size_type&       id()       { return mID; }
     size_type const& id() const { return mID; }
 };
diff -pruN 5.0.2-3/include/CGAL/HalfedgeDS_vertex_min_base.h 5.0.3-1/include/CGAL/HalfedgeDS_vertex_min_base.h
--- 5.0.2-3/include/CGAL/HalfedgeDS_vertex_min_base.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/HalfedgeDS_vertex_min_base.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/HalfedgeDS_vertex_min_base.h $
-// $Id: HalfedgeDS_vertex_min_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/HalfedgeDS_vertex_min_base.h $
+// $Id: HalfedgeDS_vertex_min_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/Handle_for.h 5.0.3-1/include/CGAL/Handle_for.h
--- 5.0.2-3/include/CGAL/Handle_for.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Handle_for.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999,2001,2003  
+// Copyright (c) 1999,2001,2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Handle_for.h $
-// $Id: Handle_for.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Handle_for.h $
+// $Id: Handle_for.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra, Sylvain Pion
- 
+
 #ifndef CGAL_HANDLE_FOR_H
 #define CGAL_HANDLE_FOR_H
 
@@ -54,7 +54,7 @@ class Handle_for
 public:
 
     typedef T element_type;
-    
+
     typedef std::ptrdiff_t Id_type ;
 
     Handle_for()
@@ -105,7 +105,7 @@ public:
     Handle_for(const Handle_for& h)
       : ptr_(h.ptr_)
     {
-	CGAL_assume (ptr_->count > 0);
+        CGAL_assume (ptr_->count > 0);
         ++(ptr_->count);
     }
 
@@ -165,7 +165,7 @@ public:
     }
 
     Id_type id() const { return Ptr() - static_cast<T const*>(0); }
-    
+
     bool identical(const Handle_for& h) const { return Ptr() == h.Ptr(); }
 
 
@@ -190,19 +190,19 @@ public:
     bool
     is_shared() const
     {
-	return ptr_->count > 1;
+        return ptr_->count > 1;
     }
 
     bool
     unique() const
     {
-	return !is_shared();
+        return !is_shared();
     }
 
     long
     use_count() const
     {
-	return ptr_->count;
+        return ptr_->count;
     }
 
     void
diff -pruN 5.0.2-3/include/CGAL/Handle_for_virtual.h 5.0.3-1/include/CGAL/Handle_for_virtual.h
--- 5.0.2-3/include/CGAL/Handle_for_virtual.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Handle_for_virtual.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Handle_for_virtual.h $
-// $Id: Handle_for_virtual.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Handle_for_virtual.h $
+// $Id: Handle_for_virtual.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 
 #ifndef CGAL_HANDLE_FOR_VIRTUAL_H
 #define CGAL_HANDLE_FOR_VIRTUAL_H
@@ -60,7 +60,7 @@ class Handle_for_virtual
   public:
 
     typedef std::ptrdiff_t Id_type ;
-    
+
     Handle_for_virtual(const RefCounted& rc)
     {
       ptr = new RefCounted(rc);
@@ -81,7 +81,7 @@ class Handle_for_virtual
     {
       ptr->remove_reference();
       if ( !ptr->is_referenced() )
-	  delete ptr;
+          delete ptr;
     }
 
     Handle_for_virtual&
@@ -90,7 +90,7 @@ class Handle_for_virtual
       h.ptr->add_reference();
       ptr->remove_reference();
       if ( !ptr->is_referenced() )
-	  delete ptr;
+          delete ptr;
       ptr = h.ptr;
       return *this;
     }
@@ -109,11 +109,11 @@ class Handle_for_virtual
     void
     initialize_with( const T& rc)
     {
-	ptr = new T(rc);
+        ptr = new T(rc);
     }
 
     Id_type id() const { return Ptr() - static_cast<RefCounted const*>(0); }
-    
+
     bool identical( const Handle_for_virtual& h) const { return Ptr() == h.Ptr(); }
 
 
@@ -134,8 +134,8 @@ class Handle_for_virtual
     T *
     Ptr()
     {
-	copy_on_write();
-	return ptr;
+        copy_on_write();
+        return ptr;
     }
     */
 
@@ -158,7 +158,7 @@ protected:
     /*
     RefCounted * ptr() const
     {
-	return ptr;
+        return ptr;
     }
     */
 
diff -pruN 5.0.2-3/include/CGAL/Handle.h 5.0.3-1/include/CGAL/Handle.h
--- 5.0.2-3/include/CGAL/Handle.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Handle.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Handle.h $
-// $Id: Handle.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Handle.h $
+// $Id: Handle.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
@@ -36,11 +36,11 @@ class Rep
 class Handle
 {
   public:
-    
+
     typedef std::ptrdiff_t Id_type ;
-    
+
     Handle()
-	: PTR(static_cast<Rep*>(0)) {}
+        : PTR(static_cast<Rep*>(0)) {}
 
     Handle(const Handle& x)
     {
@@ -51,8 +51,8 @@ class Handle
 
     ~Handle()
     {
-	if ( PTR && (--PTR->count == 0))
-	    delete PTR;
+        if ( PTR && (--PTR->count == 0))
+            delete PTR;
     }
 
     Handle&
@@ -61,7 +61,7 @@ class Handle
       CGAL_precondition( x.PTR != static_cast<Rep*>(0) );
       x.PTR->count++;
       if ( PTR && (--PTR->count == 0))
-	  delete PTR;
+          delete PTR;
       PTR = x.PTR;
       return *this;
     }
diff -pruN 5.0.2-3/include/CGAL/Handle_hash_function.h 5.0.3-1/include/CGAL/Handle_hash_function.h
--- 5.0.2-3/include/CGAL/Handle_hash_function.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Handle_hash_function.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2000  
+// Copyright (c) 1997-2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hash_map/include/CGAL/Handle_hash_function.h $
-// $Id: Handle_hash_function.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hash_map/include/CGAL/Handle_hash_function.h $
+// $Id: Handle_hash_function.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 //                 Lutz Kettner <kettner@inf.ethz.ch>
@@ -42,7 +42,7 @@ namespace internal{
 
 struct Handle_hash_function {
     typedef std::size_t result_type;
-    template <class H> 
+    template <class H>
     std::size_t operator() (const H& h) const {
       return ::CGAL::internal::handle::Hash_functor<H>()(h);
     }
diff -pruN 5.0.2-3/include/CGAL/Handle_with_policy.h 5.0.3-1/include/CGAL/Handle_with_policy.h
--- 5.0.2-3/include/CGAL/Handle_with_policy.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Handle_with_policy.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Handle_with_policy.h $
-// $Id: Handle_with_policy.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Handle_with_policy.h $
+// $Id: Handle_with_policy.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Michael Seel <seel@mpi-inf.mpg.de>
@@ -34,8 +34,8 @@
 namespace CGAL {
 
 /*! \brief <tt>\#include <CGAL/Handle_with_policy.h></tt> for handles with policy
-    parameter for reference counting and union-find strategy. Uses 
-    \c LEDA_MEMORY if available. 
+    parameter for reference counting and union-find strategy. Uses
+    \c LEDA_MEMORY if available.
 
     There are two fundamentally different usages of this base class:
 
@@ -44,14 +44,14 @@ namespace CGAL {
           be an arbitrary type---the handle adds the necessary reference
           counter internally.
 
-        - with a hierarchy of representation classes. Type \c T will be 
+        - with a hierarchy of representation classes. Type \c T will be
           the common base class of this hierarchy and it has to be derived
           itself from a specific base class, which can be accessed directly
-          or generically from the policy class. The allocator in the 
+          or generically from the policy class. The allocator in the
           handle will not be used in this scenario, since the handle class
           does not allocate any representations. Instead, the handle class
           derived from this handle base class is allocating the different
-          representations with the \c new operator. In this case, 
+          representations with the \c new operator. In this case,
           the allocator in the base class of \c T is used.
 
     We give an example for each usage. See also the documentation
@@ -102,7 +102,7 @@ struct Int_t : public Handle_with_policy
 We use a class hierarchy of two representation classes: one base class
 for representing one integer, and a derived class to represent an
 additional integer. To also added virtual get and set functions to
-make this example similar to the one above. 
+make this example similar to the one above.
 
 We use the generic solution to pick the base class for \c Int_vrep
 from the policy class. So all representations are class templates with
@@ -117,8 +117,8 @@ allocator of \c char's here.
 template <class Policy, class Alloc>
 struct Int_vrep : public Policy::Hierarchy_base< Alloc>::Type {
     int val;
-    virtual ::CGAL::Reference_counted_hierarchy<Alloc>* clone() { 
-        return new Int_vrep( *this); 
+    virtual ::CGAL::Reference_counted_hierarchy<Alloc>* clone() {
+        return new Int_vrep( *this);
     }
     virtual int  get_val() const { return val; }
     virtual void set_val( int i) { val = i; }
@@ -128,7 +128,7 @@ struct Int_vrep : public Policy::Hierarc
 template <class Policy, class Alloc>
 struct Int_vrep2 : public Int_vrep<Policy,Alloc> {
     int val2;
-    virtual ::CGAL::Reference_counted_hierarchy<Alloc>* clone() { 
+    virtual ::CGAL::Reference_counted_hierarchy<Alloc>* clone() {
         return new Int_vrep2( *this);
     }
     virtual int get_val() const { return val + val2; }
@@ -224,7 +224,7 @@ public:
     bool is_shared() const     { return count > 1; }
     bool is_forwarding() const { return next != 0; }
     int  union_size() const    { return u_size; }
-    void add_union_size(int a) {  
+    void add_union_size(int a) {
         CGAL_precondition( u_size + a > 0);
         u_size += a;
     }
@@ -234,7 +234,7 @@ public:
 struct Reference_counted_hierarchy_base {};
 
 
-/*!\brief Base class for reference counted representations with a class 
+/*!\brief Base class for reference counted representations with a class
  * hierarchy of different representations. Needs an allocator for \c char's
  * as parameter.
  */
@@ -248,7 +248,7 @@ class Reference_counted_hierarchy : publ
 
 public:
     void* operator new(size_t bytes) { return alloc.allocate( bytes); }
-    void  operator delete(void* p, size_t bytes) { 
+    void  operator delete(void* p, size_t bytes) {
         alloc.deallocate((char*)p, bytes);
     }
 
@@ -277,7 +277,7 @@ public:
     //! can be used to minimize memory consumption once it is known that this
     //! representation is not used anymore and only needed to keep a fowarding
     //! pointer. One example would be cleaning up dynamically allocated
-    //! data, or another example would be overwriting a \c leda::real with 
+    //! data, or another example would be overwriting a \c leda::real with
     //! a default constructed value to free its old expression tree. However,
     //! this function can also be savely ignored and kept empty.
     virtual void clear() {}
@@ -287,13 +287,13 @@ template <class Alloc>
 typename Reference_counted_hierarchy<Alloc>::Char_allocator
     Reference_counted_hierarchy<Alloc>::alloc;
 
-/*!\brief Base class for reference counted representations with a class 
+/*!\brief Base class for reference counted representations with a class
  * hierarchy of different representations. Needs an allocator for \c char's
  * as parameter.
  */
 template <class Allocator_  = CGAL_ALLOCATOR(char)>
-class Reference_counted_hierarchy_with_union 
-    : public Reference_counted_hierarchy<Allocator_> 
+class Reference_counted_hierarchy_with_union
+    : public Reference_counted_hierarchy<Allocator_>
 {
     friend class Handle_policy_union;
     friend class Handle_policy_union_and_reset;
@@ -304,11 +304,11 @@ private:
     mutable Self*        next;   // forwarding pointer to valid rep or 0
     mutable int          u_size; // union set size incl this rep and its handle
 public:
-    Reference_counted_hierarchy_with_union() : 
+    Reference_counted_hierarchy_with_union() :
         Reference_counted_hierarchy<Allocator_>(), next(0), u_size(2) {}
     bool is_forwarding() const { return next != 0; }
     int  union_size() const    { return u_size; }
-    void add_union_size(int a) {  
+    void add_union_size(int a) {
         CGAL_precondition( u_size + a > 0);
         u_size += a;
     }
@@ -322,7 +322,7 @@ namespace Intern {
     // Some helper classes to select representation between single class
     // representations and class hierarchy representations.
 
-    // the representation type including a reference counter. 
+    // the representation type including a reference counter.
     // The handle allocates objects of this type. This is the version
     // for the single representation type.
     template <class T, int HandleHierarchyPolicy>
@@ -330,7 +330,7 @@ namespace Intern {
         typedef Reference_counted<T> Rep;
     };
 
-    // the representation type including a reference counter. 
+    // the representation type including a reference counter.
     // The handle allocates objects of this type. This is the version
     // for the class hierarchy of representation types.
     template <class T>
@@ -344,15 +344,15 @@ namespace Intern {
         typedef Reference_counted_with_forwarding<T> Rep;
     };
 
-    // the representation type including a reference counter. 
+    // the representation type including a reference counter.
     // The handle allocates objects of this type. This is the version
     // for the class hierarchy of representation types.
     template <class T>
     struct Rep_bind_reference_counted_with_forwarding<T, true> {
         Rep_bind_reference_counted_with_forwarding() {
-            // make sure we derived from the right type 
+            // make sure we derived from the right type
             typedef typename T::Allocator Alloc;
-            typedef ::CGAL::Reference_counted_hierarchy_with_union<Alloc> 
+            typedef ::CGAL::Reference_counted_hierarchy_with_union<Alloc>
                 Reference_counted_hierarchy_with_union;
             CGAL_USE_TYPE(Reference_counted_hierarchy_with_union);
             CGAL_static_assertion((
@@ -364,11 +364,11 @@ namespace Intern {
 }
 
 /*! \brief Policy class for \c Handle_with_policy that stores the
-    representation directly without reference counting and without dynamic 
+    representation directly without reference counting and without dynamic
     memory allocation, is actually \e not a model of the \c HandlePolicy
     concept, but can be  used instead of one. It selects a different
     specialized implementation of \c Handle_with_policy. It works only with
-    the single representation type, not with a class hierarchy of 
+    the single representation type, not with a class hierarchy of
     representation types since they need the pointer in the handle
     for the polymorphy.
 */
@@ -385,16 +385,16 @@ public:
      */
     template <class T, int hierarchy>
     struct Rep_bind {
-        //! the representation type including a reference counter. 
+        //! the representation type including a reference counter.
         //! The handle allocates objects of this type.
-        typedef typename 
+        typedef typename
             Intern::Rep_bind_reference_counted<T,hierarchy>::Rep Rep;
     };
 
     /*!\brief
      * A rebind mechanism to access the base class for class hierarchies
-     * of representations. 
-     * 
+     * of representations.
+     *
      * The base classes can be used directly, but this
      * rebind mechamism allows the implementation of handle-rep classes
      * that are parameterized with the policy class only and adapt to
@@ -405,11 +405,11 @@ public:
         //! type that can be used as base class for the representation type.
         typedef Reference_counted_hierarchy<Alloc> Type;
     };
-    
+
     /*! \brief unifies the representations of the two handles \a h and \a g.
      *  The effect is void here.
-     * 
-     * \pre The representations represent the same value and one could be 
+     *
+     * \pre The representations represent the same value and one could be
      *  replaced by the other.
     */
     template <class H>
@@ -440,12 +440,12 @@ public:
     struct Rep_bind {
         //! this default constructor contains some compile-time checks.
         Rep_bind() {
-	  //Intern::Rep_bind_reference_counted_with_forwarding<T, hierarchy>
-	  //     check;
+          //Intern::Rep_bind_reference_counted_with_forwarding<T, hierarchy>
+          //     check;
           //  (void)check;
-	  (void)Intern::Rep_bind_reference_counted_with_forwarding<T, hierarchy>();
+          (void)Intern::Rep_bind_reference_counted_with_forwarding<T, hierarchy>();
         }
-        //! the representation type including a reference counter. 
+        //! the representation type including a reference counter.
         //! The handle allocates objects of this type.
         typedef typename Intern::Rep_bind_reference_counted_with_forwarding<T,
             hierarchy>::Rep Rep;
@@ -453,8 +453,8 @@ public:
 
     /*!\brief
      * A rebind mechanism to access the base class for class hierarchies
-     * of representations. 
-     * 
+     * of representations.
+     *
      * The base classes can be used directly, but this
      * rebind mechamism allows the implementation of handle-rep classes
      * that are parameterized with the policy class only and adapt to
@@ -465,10 +465,10 @@ public:
         //! type that can be used as base class for the representation type.
         typedef Reference_counted_hierarchy_with_union<Alloc> Type;
     };
-    
+
     /*! \brief unifies the representations of the two handles \a h and \a g.
         Performs union.
-        \pre The representations represent the same value and one can be 
+        \pre The representations represent the same value and one can be
         replaced by the other. The handles \a h and \a g are already
         the representatives found by the find operation and \a h is not
         equal to \a g. The tree representing the union of \a h has size
@@ -483,7 +483,7 @@ public:
         grep->add_union_size(-1);
         // make g point to h's rep.
         if ( grep->is_shared()) {
-            // grep survises the loss of one reference 
+            // grep survises the loss of one reference
             // and hrep gets one more reference
             grep->remove_reference();
             hrep->add_reference();
@@ -500,7 +500,7 @@ public:
 
     /*! \brief unifies the representations of the two handles \a h and \a g.
         Performs union with path compression.
-        \pre The representations represent the same value and one can be 
+        \pre The representations represent the same value and one can be
         replaced by the other.
     */
     template <class H>
@@ -533,7 +533,7 @@ public:
             while ( rep != new_rep) {
                 Rep* tmp = static_cast<Rep*>(rep->next);
                 if ( rep->is_shared()) {
-                    // rep survives the loss of one reference 
+                    // rep survives the loss of one reference
                     // and new_rep gets one more reference
                     rep->remove_reference();
                     if ( tmp != new_rep) {
@@ -543,8 +543,8 @@ public:
                     }
                 } else {
                     h.delete_rep( rep); // we have to delete the current rep
-		    tmp->remove_reference();
-                }                
+                    tmp->remove_reference();
+                }
                 rep = tmp;
             }
             // hook h to new_rep
@@ -556,11 +556,11 @@ public:
 };
 
 /*!\brief Policy class for \c Handle_with_policy that implements unifying of
- * identical representations \c T with trees and path compression. 
- * 
- * It also 
+ * identical representations \c T with trees and path compression.
+ *
+ * It also
  * sets the unused representation immediately to the default constructed
- * representation \c T(), which can help to free memory if the 
+ * representation \c T(), which can help to free memory if the
  * representation is dynamically allocated and potentially large, e.g.,
  * \c leda::real. This class is a model of the \c HandlePolicy concept.
  */
@@ -573,12 +573,12 @@ public:
     struct Rep_bind {
         //! this default constructor contains some compile-time checks.
         Rep_bind() {
-	  //Intern::Rep_bind_reference_counted_with_forwarding<T, hierarchy>
-	  //     check;
-	  // (void)check;
-	  (void)Intern::Rep_bind_reference_counted_with_forwarding<T, hierarchy>();
+          //Intern::Rep_bind_reference_counted_with_forwarding<T, hierarchy>
+          //     check;
+          // (void)check;
+          (void)Intern::Rep_bind_reference_counted_with_forwarding<T, hierarchy>();
         }
-        //! the representation type including a reference counter. 
+        //! the representation type including a reference counter.
         //! The handle allocates objects of this type.
         typedef typename Intern::Rep_bind_reference_counted_with_forwarding<T,
             hierarchy>::Rep Rep;
@@ -586,7 +586,7 @@ public:
 
     /*!\brief
      * A rebind mechanism to access the base class for class hierarchies
-     * of representations. 
+     * of representations.
      *
      * The base classes can be used directly, but this
      * rebind mechamism allows the implementation of handle-rep classes
@@ -606,7 +606,7 @@ public:
         Performs union with path compression and assigns a default
         constructed value of the representation type \c Rep to the
         superfluous representation.
-        \pre The representations represent the same value and one can be 
+        \pre The representations represent the same value and one can be
         replaced by the other.
     */
     template <class H>
@@ -636,7 +636,7 @@ public:
 
 
 /*! \brief the base class for handles of reference counted representations of
-    \c T. 
+    \c T.
 
     There are two fundamentally different usages of this base class:
 
@@ -645,12 +645,12 @@ public:
           be an arbitrary type---the handle adds the necessary reference
           counter internally.
 
-        - with a hierarchy of representation classes. Type \c T will be 
+        - with a hierarchy of representation classes. Type \c T will be
           the common base class of this hierarchy and it has to be derived
           itself from either \c ::CGAL::Reference_counted_hierarchy or
-          \c ::CGAL::Reference_counted_hierarchy_with_union, both parameterized 
-          with an allocator. The allocator in the handle will not be used in 
-          this scenario, since the handle class does not allocate any 
+          \c ::CGAL::Reference_counted_hierarchy_with_union, both parameterized
+          with an allocator. The allocator in the handle will not be used in
+          this scenario, since the handle class does not allocate any
           representations. Instead, the handle class derived from this handle
           base class is allocating the different representations with the
           \c new operator. In this case, the allocator in the base class
@@ -661,10 +661,10 @@ public:
     classes mentioned for the second alternative. If not, it picks the
     first alternative.
 
-    In the second alternative, the correct base class, \c 
+    In the second alternative, the correct base class, \c
     ::CGAL::Reference_counted_hierarchy_with_union, has to be used
-    if the policy class is one of \c class Handle_policy_union r \c 
-    Handle_policy_union_and_reset. Otherwise, the other base class can 
+    if the policy class is one of \c class Handle_policy_union r \c
+    Handle_policy_union_and_reset. Otherwise, the other base class can
     be used to save space.
 
     The policy class \c Handle_policy_in_place is incompatible with the class
@@ -679,7 +679,7 @@ public:
     allocator. Btw, the allocator is used as an allocator of character
     arrays here.
 
-    \see \link Handle Handle for Reference Counting\endlink for 
+    \see \link Handle Handle for Reference Counting\endlink for
     an example for each of the two alternative usages.
 
     The template parameters are:
@@ -701,8 +701,8 @@ public:
           has the default \c CGAL_ALLOCATOR(T).
 
 */
-template <class T_, 
-          class HandlePolicy = Handle_policy_no_union, 
+template <class T_,
+          class HandlePolicy = Handle_policy_no_union,
           class Allocator_ = CGAL_ALLOCATOR(T_)>
 class Handle_with_policy {
 public:
@@ -719,24 +719,24 @@ public:
     //! the allocator type.
     typedef Allocator_                  Allocator;
 
-    enum { is_class_hierarchy  = 
+    enum { is_class_hierarchy  =
         ::CGAL::is_same_or_derived< Reference_counted_hierarchy_base, Handled_type>::value };
-        
+
     typedef typename Handle_policy::template Rep_bind< Handled_type, is_class_hierarchy > Bind;
-    
+
     // instantiate Rep_bind to activate compile time check in there
     static Bind bind;
-    
-    // Define type that is used for function matching 
-    typedef typename ::boost::mpl::if_c< 
-         is_class_hierarchy, 
-           ::CGAL::Tag_true, 
-           ::CGAL::Tag_false >::type 
+
+    // Define type that is used for function matching
+    typedef typename ::boost::mpl::if_c<
+         is_class_hierarchy,
+           ::CGAL::Tag_true,
+           ::CGAL::Tag_false >::type
          Class_hierarchy;
 
     //! the internal representation, i.e., \c T plus a reference count
     //! (if needed), or just \c T if we derived from the base class to
-    //! support a class hierarchy for the representations.    
+    //! support a class hierarchy for the representations.
     typedef typename Bind::Rep  Rep;
 
     typedef typename Rep::Rep_pointer  Rep_pointer;
@@ -759,7 +759,7 @@ private:
     // and we can just \c clone and delete them.
     static Rep_allocator allocator;
 
-    static Rep* new_rep( const Rep& rep) { 
+    static Rep* new_rep( const Rep& rep) {
         CGAL_static_assertion( !(
            ::CGAL::is_same_or_derived< Reference_counted_hierarchy_base, Handled_type >::value ));
         Rep* p = allocator.allocate(1);
@@ -810,12 +810,12 @@ protected:
     //! protected access to the stored representation
     Handled_type*       ptr()       { return static_cast<Handled_type*>(Handle_policy::find(*this));}
     //! protected access to the stored representation
-    const Handled_type* ptr() const { 
+    const Handled_type* ptr() const {
         return static_cast<const Handled_type*>(Handle_policy::find( *this));
     }
 
     //! unify two representations. \pre The two representations describe
-    //! the same value  and one can be replaced by the other, i.e., the 
+    //! the same value  and one can be replaced by the other, i.e., the
     //! values are immutable, or protected from changes with \c copy_on_write()
     //! calls!
     void unify( const Self& h) const { Handle_policy::unify( *this, h); }
@@ -844,25 +844,25 @@ protected:
     //! to one of the \c initialize_with() functions. An object is in an
     //! invalid state (and will report a failed precondition later) if
     //! it is not initialized with an \c initialize_with() function call
-    //! after this constructor. Applicable for single representation but 
+    //! after this constructor. Applicable for single representation but
     //! also for a class hierarchy of representations.
     Handle_with_policy( Use_with_initialize_with) : ptr_( 0) {}
 
     //! constructor used for class hierarchies of representations, where
-    //! the handle class derived from this handle creates the different 
+    //! the handle class derived from this handle creates the different
     //! representations itself with the \c new operator. Except for this
     //! constructor, the the one with the \c Use_with_initialize_with
-    //! argument, and the single argument template constructor no other 
+    //! argument, and the single argument template constructor no other
     //! constructor will work for class hierarchies of representations.
     Handle_with_policy( Rep* p) : ptr_( p) {
         CGAL_static_assertion((
            ::CGAL::is_same_or_derived< Reference_counted_hierarchy_base, Handled_type >::value ));
         //Bind bind_; // trigger compile-time check
         //(void)bind_;
-	(void)Bind();
+        (void)Bind();
     }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used. Applicable for a
     //! class hierarchy of representations only, where the derived handle class
     //! created the representation \c p with the \c new operator. No other
@@ -873,13 +873,13 @@ protected:
            ::CGAL::is_same_or_derived< Reference_counted_hierarchy_base, Handled_type >::value ));
         //Bind bind_; // trigger compile-time check
         //(void)bind_;
-	(void)Bind();
+        (void)Bind();
         CGAL_precondition_msg( ptr_ == 0, "Handle_with_policy::initialize_with(): the "
                          "representation has already been initialized.");
         ptr_ = p;
     }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     //! In case of the class hierarchy of representation classes,
     //! this function is also chosen for pointers to newly allocated
@@ -892,7 +892,7 @@ protected:
         ptr_ = make_from_single_arg( t1, Class_hierarchy());
     }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     template <class T1, class T2>
     void initialize_with( const T1& t1, const T2& t2) {
@@ -901,7 +901,7 @@ protected:
         ptr_ = new_rep( Rep( Handled_type(t1,t2)));
     }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     template <class T1, class T2, class T3>
     void initialize_with( const T1& t1, const T2& t2, const T3& t3) {
@@ -910,7 +910,7 @@ protected:
         ptr_ = new_rep( Rep( Handled_type(t1,t2,t3)));
     }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     template <class T1, class T2, class T3, class T4>
     void initialize_with( const T1& t1, const T2& t2, const T3& t3,
@@ -920,7 +920,7 @@ protected:
         ptr_ = new_rep( Rep( Handled_type(t1,t2,t3,t4)));
     }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     template <class T1, class T2, class T3, class T4, class T5>
     void initialize_with( const T1& t1, const T2& t2, const T3& t3,
@@ -930,7 +930,7 @@ protected:
         ptr_ = new_rep( Rep( Handled_type(t1,t2,t3,t4,t5)));
     }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     template <class T1, class T2, class T3, class T4, class T5, class T6>
     void initialize_with( const T1& t1, const T2& t2, const T3& t3,
@@ -940,7 +940,7 @@ protected:
         ptr_ = new_rep( Rep( Handled_type(t1,t2,t3,t4,t5,t6)));
     }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     template <class T1, class T2, class T3, class T4, class T5, class T6,
               class T7>
@@ -952,7 +952,7 @@ protected:
         ptr_ = new_rep( Rep( Handled_type(t1,t2,t3,t4,t5,t6,t7)));
     }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     template <class T1, class T2, class T3, class T4, class T5, class T6,
               class T7, class T8>
@@ -964,7 +964,7 @@ protected:
         ptr_ = new_rep( Rep( Handled_type(t1,t2,t3,t4,t5,t6,t7,t8)));
     }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     template <class T1, class T2, class T3, class T4, class T5, class T6,
               class T7, class T8, class T9>
@@ -997,7 +997,7 @@ public:
     //! representations that are types derived from \c T. In that case,
     //! the pointer is just assigned to the internal pointer.
     template <class T1>
-    explicit Handle_with_policy( const T1& t) 
+    explicit Handle_with_policy( const T1& t)
         : ptr_( make_from_single_arg( t, Class_hierarchy())) {}
 
     //! forwarding constructor passing its parameters to the representation
@@ -1008,52 +1008,52 @@ public:
     //! forwarding constructor passing its parameters to the representation
     //! constructor.
     template <class T1, class T2, class T3>
-    Handle_with_policy( const T1& t1, const T2& t2, const T3& t3) 
+    Handle_with_policy( const T1& t1, const T2& t2, const T3& t3)
         : ptr_( new_rep( Rep( Handled_type( t1, t2, t3)))) {}
 
     //! forwarding constructor passing its parameters to the representation
     //! constructor.
     template <class T1, class T2, class T3, class T4>
-    Handle_with_policy( const T1& t1, const T2& t2, const T3& t3, const T4& t4) 
+    Handle_with_policy( const T1& t1, const T2& t2, const T3& t3, const T4& t4)
         : ptr_( new_rep( Rep( Handled_type( t1, t2, t3, t4)))) {}
 
     //! forwarding constructor passing its parameters to the representation
     //! constructor.
     template <class T1, class T2, class T3, class T4, class T5>
     Handle_with_policy( const T1& t1, const T2& t2, const T3& t3, const T4& t4,
-            const T5& t5) 
+            const T5& t5)
         : ptr_( new_rep( Rep( Handled_type( t1, t2, t3, t4, t5)))) {}
 
     //! forwarding constructor passing its parameters to the representation
     //! constructor.
     template <class T1, class T2, class T3, class T4, class T5, class T6>
     Handle_with_policy( const T1& t1, const T2& t2, const T3& t3, const T4& t4,
-            const T5& t5, const T6& t6) 
+            const T5& t5, const T6& t6)
         : ptr_( new_rep( Rep( Handled_type( t1, t2, t3, t4, t5, t6)))) {}
 
     //! forwarding constructor passing its parameters to the representation
     //! constructor.
-    template <class T1, class T2, class T3, class T4, class T5, class T6, 
+    template <class T1, class T2, class T3, class T4, class T5, class T6,
               class T7>
     Handle_with_policy( const T1& t1, const T2& t2, const T3& t3, const T4& t4,
-            const T5& t5, const T6& t6, const T7& t7) 
+            const T5& t5, const T6& t6, const T7& t7)
         : ptr_( new_rep( Rep( Handled_type( t1, t2, t3, t4, t5, t6, t7)))) {}
 
     //! forwarding constructor passing its parameters to the representation
     //! constructor.
-    template <class T1, class T2, class T3, class T4, class T5, class T6, 
+    template <class T1, class T2, class T3, class T4, class T5, class T6,
               class T7, class T8>
     Handle_with_policy( const T1& t1, const T2& t2, const T3& t3, const T4& t4,
-            const T5& t5, const T6& t6, const T7& t7, const T8& t8) 
+            const T5& t5, const T6& t6, const T7& t7, const T8& t8)
         : ptr_( new_rep( Rep( Handled_type( t1, t2, t3, t4, t5, t6, t7, t8)))) {}
 
     //! forwarding constructor passing its parameters to the representation
     //! constructor.
-    template <class T1, class T2, class T3, class T4, class T5, class T6, 
+    template <class T1, class T2, class T3, class T4, class T5, class T6,
               class T7, class T8, class T9>
     Handle_with_policy( const T1& t1, const T2& t2, const T3& t3, const T4& t4,
             const T5& t5, const T6& t6, const T7& t7, const T8& t8,
-            const T9& t9) 
+            const T9& t9)
         : ptr_( new_rep( Rep( Handled_type( t1, t2, t3, t4, t5, t6, t7, t8, t9)))) {}
 
     //! destructor, decrements reference count.
@@ -1126,7 +1126,7 @@ ID_Number(const Handle_with_policy<T, Ha
     { return h.id(); }
 
 template <class T, class Policy, class Alloc>
-typename Handle_with_policy<T, Policy, Alloc>::Rep_allocator 
+typename Handle_with_policy<T, Policy, Alloc>::Rep_allocator
     Handle_with_policy<T, Policy, Alloc>::allocator;
 
 
@@ -1181,25 +1181,25 @@ protected:
     //! to one of the \c initialize_with() functions. Requires default
     //! constructor for \c T.
     Handle_with_policy( Use_with_initialize_with) {}
-    
-    //! initializes the representation after the constructor from 
+
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     template <class T1>
     void initialize_with( const T1& t1) { rep = Rep(t1); }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     template <class T1, class T2>
     void initialize_with( const T1& t1, const T2& t2) { rep = Rep(t1,t2); }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     template <class T1, class T2, class T3>
     void initialize_with( const T1& t1, const T2& t2, const T3& t3) {
         rep = Rep(t1,t2,t3);
     }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     template <class T1, class T2, class T3, class T4>
     void initialize_with( const T1& t1, const T2& t2, const T3& t3,
@@ -1207,7 +1207,7 @@ protected:
         rep = Rep(t1,t2,t3,t4);
     }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     template <class T1, class T2, class T3, class T4, class T5>
     void initialize_with( const T1& t1, const T2& t2, const T3& t3,
@@ -1215,7 +1215,7 @@ protected:
         rep = Rep(t1,t2,t3,t4,t5);
     }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     template <class T1, class T2, class T3, class T4, class T5, class T6>
     void initialize_with( const T1& t1, const T2& t2, const T3& t3,
@@ -1223,7 +1223,7 @@ protected:
         rep = Rep(t1,t2,t3,t4,t5,t6);
     }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     template <class T1, class T2, class T3, class T4, class T5, class T6,
               class T7>
@@ -1233,7 +1233,7 @@ protected:
         rep = Rep(t1,t2,t3,t4,t5,t6,t7);
     }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     template <class T1, class T2, class T3, class T4, class T5, class T6,
               class T7, class T8>
@@ -1243,7 +1243,7 @@ protected:
         rep = Rep(t1,t2,t3,t4,t5,t6,t7,t8);
     }
 
-    //! initializes the representation after the constructor from 
+    //! initializes the representation after the constructor from
     //! \c USE_WITH_INITIALIZE_WITH has been used.
     template <class T1, class T2, class T3, class T4, class T5, class T6,
               class T7, class T8, class T9>
@@ -1278,46 +1278,46 @@ public:
     //! forwarding constructor passing its parameters to the representation
     //! constructor.
     template <class T1, class T2, class T3, class T4>
-    Handle_with_policy( const T1& t1, const T2& t2, const T3& t3, const T4& t4) 
+    Handle_with_policy( const T1& t1, const T2& t2, const T3& t3, const T4& t4)
         : rep( Rep( t1, t2, t3, t4)) {}
 
     //! forwarding constructor passing its parameters to the representation
     //! constructor.
     template <class T1, class T2, class T3, class T4, class T5>
     Handle_with_policy( const T1& t1, const T2& t2, const T3& t3, const T4& t4,
-            const T5& t5) 
+            const T5& t5)
         : rep( Rep( t1, t2, t3, t4, t5)) {}
 
     //! forwarding constructor passing its parameters to the representation
     //! constructor.
     template <class T1, class T2, class T3, class T4, class T5, class T6>
     Handle_with_policy( const T1& t1, const T2& t2, const T3& t3, const T4& t4,
-            const T5& t5, const T6& t6) 
+            const T5& t5, const T6& t6)
         : rep( Rep( t1, t2, t3, t4, t5, t6)) {}
 
     //! forwarding constructor passing its parameters to the representation
     //! constructor.
-    template <class T1, class T2, class T3, class T4, class T5, class T6, 
+    template <class T1, class T2, class T3, class T4, class T5, class T6,
               class T7>
     Handle_with_policy( const T1& t1, const T2& t2, const T3& t3, const T4& t4,
-            const T5& t5, const T6& t6, const T7& t7) 
+            const T5& t5, const T6& t6, const T7& t7)
         : rep( Rep( t1, t2, t3, t4, t5, t6, t7)) {}
 
     //! forwarding constructor passing its parameters to the representation
     //! constructor.
-    template <class T1, class T2, class T3, class T4, class T5, class T6, 
+    template <class T1, class T2, class T3, class T4, class T5, class T6,
               class T7, class T8>
     Handle_with_policy( const T1& t1, const T2& t2, const T3& t3, const T4& t4,
-            const T5& t5, const T6& t6, const T7& t7, const T8& t8) 
+            const T5& t5, const T6& t6, const T7& t7, const T8& t8)
         : rep( Rep( t1, t2, t3, t4, t5, t6, t7, t8)) {}
 
     //! forwarding constructor passing its parameters to the representation
     //! constructor.
-    template <class T1, class T2, class T3, class T4, class T5, class T6, 
+    template <class T1, class T2, class T3, class T4, class T5, class T6,
               class T7, class T8, class T9>
     Handle_with_policy( const T1& t1, const T2& t2, const T3& t3, const T4& t4,
             const T5& t5, const T6& t6, const T7& t7, const T8& t8,
-            const T9& t9) 
+            const T9& t9)
         : rep( Rep( t1, t2, t3, t4, t5, t6, t7, t8, t9)) {}
 
     //! returns \c true if both share the same representation.
diff -pruN 5.0.2-3/include/CGAL/Has_conversion.h 5.0.3-1/include/CGAL/Has_conversion.h
--- 5.0.2-3/include/CGAL/Has_conversion.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Has_conversion.h	2020-08-01 19:02:26.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Has_conversion.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Has_conversion.h $
 // $Id: Has_conversion.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Hash_handles_with_or_without_timestamps.h 5.0.3-1/include/CGAL/Hash_handles_with_or_without_timestamps.h
--- 5.0.2-3/include/CGAL/Hash_handles_with_or_without_timestamps.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hash_handles_with_or_without_timestamps.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Hash_handles_with_or_without_timestamps.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Hash_handles_with_or_without_timestamps.h $
 // $Id: Hash_handles_with_or_without_timestamps.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/hash_openmesh.h 5.0.3-1/include/CGAL/hash_openmesh.h
--- 5.0.2-3/include/CGAL/hash_openmesh.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/hash_openmesh.h	2020-08-01 19:02:47.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/hash_openmesh.h $
-// $Id: hash_openmesh.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/hash_openmesh.h $
+// $Id: hash_openmesh.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
@@ -82,7 +82,7 @@ namespace std {
 
 #if defined(BOOST_MSVC)
 #  pragma warning(push)
-#  pragma warning(disable:4099) // For VC10 it is class hash 
+#  pragma warning(disable:4099) // For VC10 it is class hash
 #endif
 
 #ifndef CGAL_CFG_NO_STD_HASH
diff -pruN 5.0.2-3/include/CGAL/Has_member.h 5.0.3-1/include/CGAL/Has_member.h
--- 5.0.2-3/include/CGAL/Has_member.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Has_member.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Has_member.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Has_member.h $
 // $Id: Has_member.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Has_timestamp.h 5.0.3-1/include/CGAL/Has_timestamp.h
--- 5.0.2-3/include/CGAL/Has_timestamp.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Has_timestamp.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Has_timestamp.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Has_timestamp.h $
 // $Id: Has_timestamp.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Heat_method_3/internal/Intrinsic_Delaunay_triangulation_3.h 5.0.3-1/include/CGAL/Heat_method_3/internal/Intrinsic_Delaunay_triangulation_3.h
--- 5.0.2-3/include/CGAL/Heat_method_3/internal/Intrinsic_Delaunay_triangulation_3.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Heat_method_3/internal/Intrinsic_Delaunay_triangulation_3.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Heat_method_3/include/CGAL/Heat_method_3/internal/Intrinsic_Delaunay_triangulation_3.h $
-// $Id: Intrinsic_Delaunay_triangulation_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Heat_method_3/include/CGAL/Heat_method_3/internal/Intrinsic_Delaunay_triangulation_3.h $
+// $Id: Intrinsic_Delaunay_triangulation_3.h 67b53fa 2020-04-29T14:06:37+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -335,7 +335,6 @@ private:
         //then go back to top of the stack
       }
     }
-    std::cout<< a << " edges were flipped: " << std::endl;
   }
 
 
diff -pruN 5.0.2-3/include/CGAL/Heat_method_3/internal/V2V.h 5.0.3-1/include/CGAL/Heat_method_3/internal/V2V.h
--- 5.0.2-3/include/CGAL/Heat_method_3/internal/V2V.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Heat_method_3/internal/V2V.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Heat_method_3/include/CGAL/Heat_method_3/internal/V2V.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Heat_method_3/include/CGAL/Heat_method_3/internal/V2V.h $
 // $Id: V2V.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Heat_method_3/Surface_mesh_geodesic_distances_3.h 5.0.3-1/include/CGAL/Heat_method_3/Surface_mesh_geodesic_distances_3.h
--- 5.0.2-3/include/CGAL/Heat_method_3/Surface_mesh_geodesic_distances_3.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Heat_method_3/Surface_mesh_geodesic_distances_3.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Heat_method_3/include/CGAL/Heat_method_3/Surface_mesh_geodesic_distances_3.h $
-// $Id: Surface_mesh_geodesic_distances_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Heat_method_3/include/CGAL/Heat_method_3/Surface_mesh_geodesic_distances_3.h $
+// $Id: Surface_mesh_geodesic_distances_3.h 67b53fa 2020-04-29T14:06:37+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -448,12 +448,12 @@ private:
     }
   }
 
-  
+
   void
   solve_phi()
   {
     Vector phi;
-  
+
     if(! la_cotan.linear_solver(m_index_divergence, phi)) {
       // solving failed
       CGAL_error_msg("Eigen Solving in solve_phi() failed");
@@ -888,16 +888,6 @@ public:
   }
 
   /**
-   * get estimated distance from the current source set to a vertex `vd`.
-   * \warning The return type is `double` even when used with an exact kernel.
-   */
-  double
-  estimate_geodesic_distance(vertex_descriptor vd) const
-  {
-    return base().estimate_geodesic_distance(vd);
-  }
-
-  /**
    * returns the source set.
    */
   const Vertex_const_range&
@@ -906,7 +896,6 @@ public:
     return base().sources();
   }
 
-
   /**
    * fills the distance property map with the estimated geodesic distance of each vertex to the closest source vertex.
    * \tparam VertexDistanceMap a property map model of `WritablePropertyMap`
diff -pruN 5.0.2-3/include/CGAL/Hidden_point_memory_policy.h 5.0.3-1/include/CGAL/Hidden_point_memory_policy.h
--- 5.0.2-3/include/CGAL/Hidden_point_memory_policy.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hidden_point_memory_policy.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Hidden_point_memory_policy.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Hidden_point_memory_policy.h $
 // $Id: Hidden_point_memory_policy.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/hierarchy_simplify_point_set.h 5.0.3-1/include/CGAL/hierarchy_simplify_point_set.h
--- 5.0.2-3/include/CGAL/hierarchy_simplify_point_set.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/hierarchy_simplify_point_set.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/hierarchy_simplify_point_set.h $
-// $Id: hierarchy_simplify_point_set.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/hierarchy_simplify_point_set.h $
+// $Id: hierarchy_simplify_point_set.h 84d7e9a 2020-06-23T18:48:11+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Simon Giraudot, Pierre Alliez
@@ -42,13 +42,13 @@ namespace CGAL {
   namespace internal {
 
     template < typename InputIterator,
-	       typename PointMap,
-	       typename K >
+               typename PointMap,
+               typename K >
     typename K::Point_3
-    hsps_centroid(InputIterator begin, 
-		 InputIterator end,
-		 PointMap& point_map,	     
-		 const K&)
+    hsps_centroid(InputIterator begin,
+                 InputIterator end,
+                 PointMap& point_map,
+                 const K&)
     {
       typedef typename K::Point_3 Point;
       typedef typename K::FT FT;
@@ -57,27 +57,27 @@ namespace CGAL {
 
       FT x = (FT)0., y = (FT)0., z = (FT)0.;
       unsigned int nb_pts = 0;
-      while(begin != end) 
-	{
-	  typename boost::property_traits<PointMap>::reference point =
+      while(begin != end)
+        {
+          typename boost::property_traits<PointMap>::reference point =
             get(point_map, *begin);
-	  x += point.x ();  y += point.y ();  z += point.z ();
-	  ++ nb_pts;
-	  ++ begin;
-	}
+          x += point.x ();  y += point.y ();  z += point.z ();
+          ++ nb_pts;
+          ++ begin;
+        }
       return Point (x/nb_pts, y/nb_pts, z/nb_pts);
     }
 
     template < typename Input_type,
-	       typename PointMap,
-	       typename K >
+               typename PointMap,
+               typename K >
     void
     hsc_terminate_cluster (std::list<Input_type>& cluster,
-			   std::list<Input_type>& points_to_keep,
-			   std::list<Input_type>& points_to_remove,
-			   PointMap& point_map,
-			   const typename K::Point_3& centroid,
-			   const K&)
+                           std::list<Input_type>& points_to_keep,
+                           std::list<Input_type>& points_to_remove,
+                           PointMap& point_map,
+                           const typename K::Point_3& centroid,
+                           const K&)
     {
       typedef typename std::list<Input_type>::iterator Iterator;
       typedef typename K::FT FT;
@@ -86,19 +86,19 @@ namespace CGAL {
 
       typename std::list<Input_type>::iterator point_min;
       for (Iterator it = cluster.begin (); it != cluster.end (); ++ it)
-	{
-	  FT dist = CGAL::squared_distance (get(point_map, *it), centroid);
-	  if (dist < dist_min)
-	    {
-	      dist_min = dist;
-	      point_min = it;
-	    }
-	}
+        {
+          FT dist = CGAL::squared_distance (get(point_map, *it), centroid);
+          if (dist < dist_min)
+            {
+              dist_min = dist;
+              point_min = it;
+            }
+        }
 
       points_to_keep.splice (points_to_keep.end (), cluster, point_min);
       points_to_remove.splice (points_to_remove.end (), cluster, cluster.begin (), cluster.end ());
-    }			       
-			    
+    }
+
 
 
 
@@ -107,18 +107,18 @@ namespace CGAL {
 
   /**
      \ingroup PkgPointSetProcessing3Algorithms
-  
+
      Recursively split the point set in smaller clusters until the
-     clusters have less than `size` elements or until their variation
-     factor is below `var_max`. 
-  
+     clusters have less than `size` elements and until their variation
+     factor is below `var_max`.
+
      This method modifies the order of input points so as to pack all remaining points first,
      and returns an iterator over the first point to remove (see erase-remove idiom).
      For this reason it should not be called on sorted containers.
-  
+
      \pre `0 < maximum_variation < 1/3`
      \pre `size > 0`
-  
+
      \tparam PointRange is a model of `Range`. The value type of
      its iterator is the key type of the named parameter `point_map`.
 
@@ -147,14 +147,14 @@ namespace CGAL {
      \return iterator over the first point to remove.
   */
   template <typename PointRange,
-	    typename NamedParameters>
+            typename NamedParameters>
   typename PointRange::iterator
   hierarchy_simplify_point_set (PointRange& points,
                                 const NamedParameters& np)
   {
     using parameters::choose_parameter;
     using parameters::get_parameter;
-  
+
     // basic geometric types
     typedef typename Point_set_processing_3::GetPointMap<PointRange, NamedParameters>::type PointMap;
     typedef typename Point_set_processing_3::GetK<PointRange, NamedParameters>::Kernel Kernel;
@@ -186,7 +186,7 @@ namespace CGAL {
     // The first cluster is the whole input point set
     clusters_stack.push_front (cluster (std::list<Input_type>(), Point (0., 0., 0.)));
     std::copy (points.begin(), points.end(), std::back_inserter (clusters_stack.front ().first));
-    
+
     clusters_stack.front ().second = internal::hsps_centroid (clusters_stack.front ().first.begin (),
                                                               clusters_stack.front ().first.end (),
                                                               point_map, Kernel());
@@ -195,138 +195,138 @@ namespace CGAL {
     std::list<Input_type> points_to_remove;
 
     std::size_t nb_done = 0;
-    
+
     while (!(clusters_stack.empty ()))
       {
-	cluster_iterator current_cluster = clusters_stack.begin ();
+        cluster_iterator current_cluster = clusters_stack.begin ();
 
-	// If the cluster only has 1 element, we add it to the list of
-	// output points
-	if (current_cluster->first.size () == 1)
-	  {
-	    points_to_keep.splice (points_to_keep.end (), current_cluster->first,
-				   current_cluster->first.begin ());
-	    clusters_stack.pop_front ();
+        // If the cluster only has 1 element, we add it to the list of
+        // output points
+        if (current_cluster->first.size () == 1)
+          {
+            points_to_keep.splice (points_to_keep.end (), current_cluster->first,
+                                   current_cluster->first.begin ());
+            clusters_stack.pop_front ();
             ++ nb_done;
-	    continue;
-	  }
+            continue;
+          }
 
-	// Compute the covariance matrix of the set
-	std::array<FT, 6> covariance = {{ 0., 0., 0., 0., 0., 0. }};
+        // Compute the covariance matrix of the set
+        std::array<FT, 6> covariance = {{ 0., 0., 0., 0., 0., 0. }};
 
-	for (typename std::list<Input_type>::iterator it = current_cluster->first.begin ();
-	     it != current_cluster->first.end (); ++ it)
-	  {
-	    const Point& point = get(point_map, *it);
-	    Vector d = point - current_cluster->second;
-	    covariance[0] += d.x () * d.x ();
-	    covariance[1] += d.x () * d.y ();
-	    covariance[2] += d.x () * d.z ();
-	    covariance[3] += d.y () * d.y ();
-	    covariance[4] += d.y () * d.z ();
-	    covariance[5] += d.z () * d.z ();
-	  }
-
-	std::array<FT, 3> eigenvalues = {{ 0., 0., 0. }};
-	std::array<FT, 9> eigenvectors = {{ 0., 0., 0.,
-					      0., 0., 0.,
-					      0., 0., 0. }};
-	// Linear algebra = get eigenvalues and eigenvectors for
-	// PCA-like analysis
-	DiagonalizeTraits::diagonalize_selfadjoint_covariance_matrix
-	  (covariance, eigenvalues, eigenvectors);
-	
-	// Variation of the set defined as lambda_min / (lambda_0 + lambda_1 + lambda_2)
-	double var = eigenvalues[0] / (eigenvalues[0] + eigenvalues[1] + eigenvalues[2]);
-
-	// Split the set if size OR variance of the cluster is too large
-	if (current_cluster->first.size () > size || var > var_max)
-	  {
-	    clusters_stack.push_front (cluster (std::list<Input_type>(), Point (0., 0., 0.)));
-	    cluster_iterator negative_side = clusters_stack.begin ();
-	    // positive_side is built directly from current_cluster
-	    
-	    // The plane which splits the point set into 2 point sets:
-	    //  * Normal to the eigenvector with highest eigenvalue
-	    //  * Passes through the centroid of the set
-	    Vector v (eigenvectors[6], eigenvectors[7], eigenvectors[8]);
-
-	    std::size_t current_cluster_size = 0;
-	    typename std::list<Input_type>::iterator it = current_cluster->first.begin ();
-	    while (it != current_cluster->first.end ())
-	      {
-		typename std::list<Input_type>::iterator current = it ++;
+        for (typename std::list<Input_type>::iterator it = current_cluster->first.begin ();
+             it != current_cluster->first.end (); ++ it)
+          {
+            const Point& point = get(point_map, *it);
+            Vector d = point - current_cluster->second;
+            covariance[0] += d.x () * d.x ();
+            covariance[1] += d.x () * d.y ();
+            covariance[2] += d.x () * d.z ();
+            covariance[3] += d.y () * d.y ();
+            covariance[4] += d.y () * d.z ();
+            covariance[5] += d.z () * d.z ();
+          }
+
+        std::array<FT, 3> eigenvalues = {{ 0., 0., 0. }};
+        std::array<FT, 9> eigenvectors = {{ 0., 0., 0.,
+                                              0., 0., 0.,
+                                              0., 0., 0. }};
+        // Linear algebra = get eigenvalues and eigenvectors for
+        // PCA-like analysis
+        DiagonalizeTraits::diagonalize_selfadjoint_covariance_matrix
+          (covariance, eigenvalues, eigenvectors);
+
+        // Variation of the set defined as lambda_min / (lambda_0 + lambda_1 + lambda_2)
+        double var = eigenvalues[0] / (eigenvalues[0] + eigenvalues[1] + eigenvalues[2]);
+
+        // Split the set if size OR variance of the cluster is too large
+        if (current_cluster->first.size () > size || var > var_max)
+          {
+            clusters_stack.push_front (cluster (std::list<Input_type>(), Point (0., 0., 0.)));
+            cluster_iterator negative_side = clusters_stack.begin ();
+            // positive_side is built directly from current_cluster
+
+            // The plane which splits the point set into 2 point sets:
+            //  * Normal to the eigenvector with highest eigenvalue
+            //  * Passes through the centroid of the set
+            Vector v (eigenvectors[6], eigenvectors[7], eigenvectors[8]);
+
+            std::size_t current_cluster_size = 0;
+            typename std::list<Input_type>::iterator it = current_cluster->first.begin ();
+            while (it != current_cluster->first.end ())
+              {
+                typename std::list<Input_type>::iterator current = it ++;
                 const Point& point = get(point_map, *current);
 
-		// Test if point is on negative side of plane and
-		// transfer it to the negative_side cluster if it is
-		if (Vector (current_cluster->second, point) * v < 0)
-		  negative_side->first.splice (negative_side->first.end (),
-					       current_cluster->first, current);
-		++ current_cluster_size;
-	      }
-
-	    // If one of the clusters is empty, stop to avoid infinite
-	    // loop and keep the non-empty one
-	    if (current_cluster->first.empty () || negative_side->first.empty ())
-	      {
-		cluster_iterator nonempty = (current_cluster->first.empty ()
-					     ? negative_side : current_cluster);
+                // Test if point is on negative side of plane and
+                // transfer it to the negative_side cluster if it is
+                if (Vector (current_cluster->second, point) * v < 0)
+                  negative_side->first.splice (negative_side->first.end (),
+                                               current_cluster->first, current);
+                ++ current_cluster_size;
+              }
+
+            // If one of the clusters is empty, stop to avoid infinite
+            // loop and keep the non-empty one
+            if (current_cluster->first.empty () || negative_side->first.empty ())
+              {
+                cluster_iterator nonempty = (current_cluster->first.empty ()
+                                             ? negative_side : current_cluster);
 
                 nb_done += nonempty->first.size();
-		// Compute the centroid
-		nonempty->second = internal::hsps_centroid (nonempty->first.begin (),
-							    nonempty->first.end (),
-							    point_map, Kernel());
-		
-		internal::hsc_terminate_cluster (nonempty->first,
-						 points_to_keep,
-						 points_to_remove,
-						 point_map,
-						 nonempty->second,
-						 Kernel ());
-                
-		clusters_stack.pop_front ();
-		clusters_stack.pop_front ();
-	      }
-	    else
-	      {
-		// Save old centroid for faster computation
-		Point old_centroid = current_cluster->second;
-		
-		// Compute the first centroid
-		current_cluster->second = internal::hsps_centroid (current_cluster->first.begin (),
-								   current_cluster->first.end (),
-								   point_map, Kernel());
-
-		// The second centroid can be computed with the first and
-		// the old ones :
-		// centroid_neg = (n_total * old_centroid - n_pos * first_centroid)
-		//                 / n_neg;
-		negative_side->second = Point ((current_cluster_size * old_centroid.x ()
-						- current_cluster->first.size () * current_cluster->second.x ())
-					       / negative_side->first.size (),
-					       (current_cluster_size * old_centroid.y ()
-						- current_cluster->first.size () * current_cluster->second.y ())
-					       / negative_side->first.size (),
-					       (current_cluster_size * old_centroid.z ()
-						- current_cluster->first.size () * current_cluster->second.z ())
-					       / negative_side->first.size ());
-	      }
-	  }
-	// If the size/variance are small enough, add the centroid as
-	// and output point
-	else
-	  {
+                // Compute the centroid
+                nonempty->second = internal::hsps_centroid (nonempty->first.begin (),
+                                                            nonempty->first.end (),
+                                                            point_map, Kernel());
+
+                internal::hsc_terminate_cluster (nonempty->first,
+                                                 points_to_keep,
+                                                 points_to_remove,
+                                                 point_map,
+                                                 nonempty->second,
+                                                 Kernel ());
+
+                clusters_stack.pop_front ();
+                clusters_stack.pop_front ();
+              }
+            else
+              {
+                // Save old centroid for faster computation
+                Point old_centroid = current_cluster->second;
+
+                // Compute the first centroid
+                current_cluster->second = internal::hsps_centroid (current_cluster->first.begin (),
+                                                                   current_cluster->first.end (),
+                                                                   point_map, Kernel());
+
+                // The second centroid can be computed with the first and
+                // the old ones :
+                // centroid_neg = (n_total * old_centroid - n_pos * first_centroid)
+                //                 / n_neg;
+                negative_side->second = Point ((current_cluster_size * old_centroid.x ()
+                                                - current_cluster->first.size () * current_cluster->second.x ())
+                                               / negative_side->first.size (),
+                                               (current_cluster_size * old_centroid.y ()
+                                                - current_cluster->first.size () * current_cluster->second.y ())
+                                               / negative_side->first.size (),
+                                               (current_cluster_size * old_centroid.z ()
+                                                - current_cluster->first.size () * current_cluster->second.z ())
+                                               / negative_side->first.size ());
+              }
+          }
+        // If the size/variance are small enough, add the centroid as
+        // and output point
+        else
+          {
             nb_done += current_cluster->first.size();
-	    internal::hsc_terminate_cluster (current_cluster->first,
-					     points_to_keep,
-					     points_to_remove,
-					     point_map,
-					     current_cluster->second,
-					     Kernel ());
-	    clusters_stack.pop_front ();
-	  }
+            internal::hsc_terminate_cluster (current_cluster->first,
+                                             points_to_keep,
+                                             points_to_remove,
+                                             point_map,
+                                             current_cluster->second,
+                                             Kernel ());
+            clusters_stack.pop_front ();
+          }
 
         if (callback && !callback (nb_done / double (points.size())))
           break;
@@ -334,7 +334,7 @@ namespace CGAL {
 
     if (callback)
       callback (1.);
-    
+
     typename PointRange::iterator first_point_to_remove =
       std::copy (points_to_keep.begin(), points_to_keep.end(), points.begin());
     std::copy (points_to_remove.begin(), points_to_remove.end(), first_point_to_remove);
@@ -353,7 +353,7 @@ namespace CGAL {
     return hierarchy_simplify_point_set
       (points, CGAL::Point_set_processing_3::parameters::all_default(points));
   }
-  /// \endcond  
+  /// \endcond
 
 } // namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Hilbert_policy_tags.h 5.0.3-1/include/CGAL/Hilbert_policy_tags.h
--- 5.0.2-3/include/CGAL/Hilbert_policy_tags.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hilbert_policy_tags.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/Hilbert_policy_tags.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/Hilbert_policy_tags.h $
 // $Id: Hilbert_policy_tags.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Hilbert_sort_2.h 5.0.3-1/include/CGAL/Hilbert_sort_2.h
--- 5.0.2-3/include/CGAL/Hilbert_sort_2.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hilbert_sort_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/Hilbert_sort_2.h $
-// $Id: Hilbert_sort_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/Hilbert_sort_2.h $
+// $Id: Hilbert_sort_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Olivier Devillers
@@ -21,7 +21,7 @@ namespace CGAL {
 template <class K,  class Hilbert_policy >
   class Hilbert_sort_2;
 
-template <class K>  
+template <class K>
   class Hilbert_sort_2<K, Hilbert_sort_median_policy >
   : public Hilbert_sort_median_2<K>
 {
diff -pruN 5.0.2-3/include/CGAL/Hilbert_sort_3.h 5.0.3-1/include/CGAL/Hilbert_sort_3.h
--- 5.0.2-3/include/CGAL/Hilbert_sort_3.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hilbert_sort_3.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/Hilbert_sort_3.h $
-// $Id: Hilbert_sort_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/Hilbert_sort_3.h $
+// $Id: Hilbert_sort_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Olivier Devillers
@@ -21,7 +21,7 @@ namespace CGAL {
 template <class K,  class Hilbert_policy >
   class Hilbert_sort_3;
 
-template <class K>  
+template <class K>
   class Hilbert_sort_3<K, Hilbert_sort_median_policy >
   : public Hilbert_sort_median_3<K>
 {
diff -pruN 5.0.2-3/include/CGAL/Hilbert_sort_base.h 5.0.3-1/include/CGAL/Hilbert_sort_base.h
--- 5.0.2-3/include/CGAL/Hilbert_sort_base.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hilbert_sort_base.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/Hilbert_sort_base.h $
-// $Id: Hilbert_sort_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/Hilbert_sort_base.h $
+// $Id: Hilbert_sort_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Christophe Delage
@@ -29,13 +29,13 @@ namespace internal {
       #if defined(CGAL_HILBERT_SORT_WITH_MEDIAN_POLICY_CROSS_PLATFORM_BEHAVIOR)
         RandomAccessIterator middle = begin + (end - begin) / 2;
         CGAL::nth_element (begin, middle, end, cmp);
-        return middle;      
+        return middle;
       #else
         RandomAccessIterator middle = begin + (end - begin) / 2;
         std::nth_element (begin, middle, end, cmp);
         return middle;
-      #endif	
-      
+      #endif
+
     }
 }
 
diff -pruN 5.0.2-3/include/CGAL/Hilbert_sort_d.h 5.0.3-1/include/CGAL/Hilbert_sort_d.h
--- 5.0.2-3/include/CGAL/Hilbert_sort_d.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hilbert_sort_d.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/Hilbert_sort_d.h $
-// $Id: Hilbert_sort_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/Hilbert_sort_d.h $
+// $Id: Hilbert_sort_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Olivier Devillers
@@ -21,7 +21,7 @@ namespace CGAL {
 template <class K,  class Hilbert_policy >
   class Hilbert_sort_d;
 
-template <class K>  
+template <class K>
   class Hilbert_sort_d<K, Hilbert_sort_median_policy >
   : public Hilbert_sort_median_d<K>
 {
diff -pruN 5.0.2-3/include/CGAL/hilbert_sort.h 5.0.3-1/include/CGAL/hilbert_sort.h
--- 5.0.2-3/include/CGAL/hilbert_sort.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/hilbert_sort.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/hilbert_sort.h $
-// $Id: hilbert_sort.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/hilbert_sort.h $
+// $Id: hilbert_sort.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Christophe Delage
@@ -32,26 +32,26 @@ namespace CGAL {
 namespace internal {
 
   template <class RandomAccessIterator, class Kernel, class Policy>
-    void hilbert_sort (RandomAccessIterator begin, 
-		       RandomAccessIterator end,
-                       const Kernel &k, 
-		       Policy /*policy*/,
-		       typename Kernel::Point_2 *)
+    void hilbert_sort (RandomAccessIterator begin,
+                       RandomAccessIterator end,
+                       const Kernel &k,
+                       Policy /*policy*/,
+                       typename Kernel::Point_2 *)
     {
         typedef std::iterator_traits<RandomAccessIterator> ITraits;
         typedef typename ITraits::difference_type Diff_t;
         boost::rand48 random;
         boost::random_number_generator<boost::rand48, Diff_t> rng(random);
         CGAL::cpp98::random_shuffle(begin,end, rng);
-	(Hilbert_sort_2<Kernel, Policy> (k))(begin, end);
+        (Hilbert_sort_2<Kernel, Policy> (k))(begin, end);
     }
-    
+
     template <class RandomAccessIterator, class Kernel, class Policy>
-      void hilbert_sort (RandomAccessIterator begin, 
-			 RandomAccessIterator end,
-                         const Kernel &k, 
-			 Policy /*policy*/,
-			 typename Kernel::Point_3 *)
+      void hilbert_sort (RandomAccessIterator begin,
+                         RandomAccessIterator end,
+                         const Kernel &k,
+                         Policy /*policy*/,
+                         typename Kernel::Point_3 *)
     {
         typedef std::iterator_traits<RandomAccessIterator> ITraits;
         typedef typename ITraits::difference_type Diff_t;
@@ -63,10 +63,10 @@ namespace internal {
 
     template <class RandomAccessIterator, class Kernel, class Policy>
       void hilbert_sort (RandomAccessIterator begin,
-			 RandomAccessIterator end,
-                         const Kernel &k, 
-			 Policy /*policy*/,
-			 typename Kernel::Point_d *)
+                         RandomAccessIterator end,
+                         const Kernel &k,
+                         Policy /*policy*/,
+                         typename Kernel::Point_d *)
     {
         typedef std::iterator_traits<RandomAccessIterator> ITraits;
         typedef typename ITraits::difference_type Diff_t;
@@ -87,24 +87,24 @@ void hilbert_sort (RandomAccessIterator
     typedef typename KTraits::Kernel                   Kernel;
 
     internal::hilbert_sort(begin, end, Kernel(), Hilbert_sort_median_policy(),
-				  static_cast<value_type *> (0));
+                                  static_cast<value_type *> (0));
 
 }
 
 template <class RandomAccessIterator, class Kernel>
 void hilbert_sort (RandomAccessIterator begin, RandomAccessIterator end,
-		   const Kernel &k)
+                   const Kernel &k)
 {
     typedef std::iterator_traits<RandomAccessIterator> ITraits;
     typedef typename ITraits::value_type               value_type;
-  
+
     internal::hilbert_sort(begin, end, k, Hilbert_sort_median_policy(),
-				  static_cast<value_type *> (0));
+                                  static_cast<value_type *> (0));
 }
 
   template <class RandomAccessIterator>
 void hilbert_sort (RandomAccessIterator begin, RandomAccessIterator end,
-		   Hilbert_sort_median_policy policy)
+                   Hilbert_sort_median_policy policy)
 {
     typedef std::iterator_traits<RandomAccessIterator> ITraits;
     typedef typename ITraits::value_type               value_type;
@@ -112,14 +112,14 @@ void hilbert_sort (RandomAccessIterator
     typedef typename KTraits::Kernel                   Kernel;
 
     internal::hilbert_sort(begin, end, Kernel(), policy,
-				  static_cast<value_type *> (0));
+                                  static_cast<value_type *> (0));
 
 }
 
 
   template <class RandomAccessIterator>
 void hilbert_sort (RandomAccessIterator begin, RandomAccessIterator end,
-		   Hilbert_sort_middle_policy policy)
+                   Hilbert_sort_middle_policy policy)
 {
     typedef std::iterator_traits<RandomAccessIterator> ITraits;
     typedef typename ITraits::value_type               value_type;
@@ -127,20 +127,20 @@ void hilbert_sort (RandomAccessIterator
     typedef typename KTraits::Kernel                   Kernel;
 
     internal::hilbert_sort(begin, end, Kernel(), policy,
-				  static_cast<value_type *> (0));
+                                  static_cast<value_type *> (0));
 
 }
 
 
   template <class RandomAccessIterator, class Kernel, class Policy>
 void hilbert_sort (RandomAccessIterator begin, RandomAccessIterator end,
-		   const Kernel &k, Policy policy)
+                   const Kernel &k, Policy policy)
 {
     typedef std::iterator_traits<RandomAccessIterator> ITraits;
     typedef typename ITraits::value_type               value_type;
 
-    internal::hilbert_sort(begin, end, 
-			   k, policy, static_cast<value_type *> (0));
+    internal::hilbert_sort(begin, end,
+                           k, policy, static_cast<value_type *> (0));
 }
 
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Hilbert_sort_median_2.h 5.0.3-1/include/CGAL/Hilbert_sort_median_2.h
--- 5.0.2-3/include/CGAL/Hilbert_sort_median_2.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hilbert_sort_median_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/Hilbert_sort_median_2.h $
-// $Id: Hilbert_sort_median_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/Hilbert_sort_median_2.h $
+// $Id: Hilbert_sort_median_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Christophe Delage
@@ -31,11 +31,11 @@ namespace internal {
         K k;
         Hilbert_cmp_2 (const K &_k = K()) : k(_k) {}
         bool operator() (const Point &p, const Point &q) const
-        { 
+        {
             return Hilbert_cmp_2<K,x,false> (k) (q, p);
         }
     };
-    
+
     template <class K>
     struct Hilbert_cmp_2<K,0,false>
         : public CGAL::cpp98::binary_function<typename K::Point_2,
@@ -45,11 +45,11 @@ namespace internal {
         K k;
         Hilbert_cmp_2 (const K &_k = K()) : k(_k) {}
         bool operator() (const Point &p, const Point &q) const
-        { 
-	  return k.less_x_2_object() (p, q);
+        {
+          return k.less_x_2_object() (p, q);
         }
     };
-    
+
     template <class K>
     struct Hilbert_cmp_2<K,1,false>
         : public CGAL::cpp98::binary_function<typename K::Point_2,
@@ -59,7 +59,7 @@ namespace internal {
         K k;
         Hilbert_cmp_2 (const K &_k = K()) : k(_k) {}
         bool operator() (const Point &p, const Point &q) const
-        { 
+        {
             return k.less_y_2_object() (p, q);
         }
     };
@@ -71,7 +71,7 @@ class Hilbert_sort_median_2
 public:
     typedef K Kernel;
     typedef typename Kernel::Point_2 Point;
-    
+
 private:
     Kernel _k;
     std::ptrdiff_t _limit;
diff -pruN 5.0.2-3/include/CGAL/Hilbert_sort_median_3.h 5.0.3-1/include/CGAL/Hilbert_sort_median_3.h
--- 5.0.2-3/include/CGAL/Hilbert_sort_median_3.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hilbert_sort_median_3.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/Hilbert_sort_median_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/Hilbert_sort_median_3.h $
 // $Id: Hilbert_sort_median_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Hilbert_sort_median_d.h 5.0.3-1/include/CGAL/Hilbert_sort_median_d.h
--- 5.0.2-3/include/CGAL/Hilbert_sort_median_d.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hilbert_sort_median_d.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/Hilbert_sort_median_d.h $
-// $Id: Hilbert_sort_median_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/Hilbert_sort_median_d.h $
+// $Id: Hilbert_sort_median_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     :  Olivier Devillers
@@ -30,14 +30,14 @@ namespace internal {
     {
         typedef typename K::Point_d Point;
         K k;
-	int axe;
-	bool orient;
-        Hilbert_cmp_d (int a, bool o, const K &_k = K()) 
-	  : k(_k), axe(a),  orient(o) {}
+        int axe;
+        bool orient;
+        Hilbert_cmp_d (int a, bool o, const K &_k = K())
+          : k(_k), axe(a),  orient(o) {}
         bool operator() (const Point &p, const Point &q) const
         {
-	  return (orient  ? (k.less_coordinate_d_object() (q,p,axe) )
-	        	  : (k.less_coordinate_d_object() (p,q,axe) ));
+          return (orient  ? (k.less_coordinate_d_object() (q,p,axe) )
+                          : (k.less_coordinate_d_object() (p,q,axe) ));
         }
     };
 
@@ -58,8 +58,8 @@ private:
     mutable int two_to_dim;
 
     struct Cmp : public internal::Hilbert_cmp_d<Kernel>
-    { Cmp (int a, bool dir, const Kernel &k) 
-	  : internal::Hilbert_cmp_d<Kernel> (a,dir,k) {} };
+    { Cmp (int a, bool dir, const Kernel &k)
+          : internal::Hilbert_cmp_d<Kernel> (a,dir,k) {} };
 
 public:
     Hilbert_sort_median_d(const Kernel &k = Kernel(), std::ptrdiff_t limit = 1)
@@ -68,7 +68,7 @@ public:
 
     template <class RandomAccessIterator>
     void sort (RandomAccessIterator begin, RandomAccessIterator end,
-	       Starting_position start, int direction) const
+               Starting_position start, int direction) const
    {
      if (end - begin <= _limit) return;
 
@@ -79,8 +79,8 @@ public:
        nb_splits = 1;
        nb_directions = 0;
        while ( (end-begin) > nb_splits) {
-	 ++nb_directions;
-	 nb_splits *= 2;        // compute 2^nb_directions
+         ++nb_directions;
+         nb_splits *= 2;        // compute 2^nb_directions
        }
      }
 
@@ -99,13 +99,13 @@ public:
        int right=current_level_step;
        bool orient = start[current_dir];
        do{
-	 dir[middle]    = current_dir; 
-	 places[middle] = internal::hilbert_split 
-	   (places[left], places[right], Cmp (current_dir,orient,_k));
-	 left =right;
-	 right+=current_level_step;
-	 middle+=current_level_step;
-	 orient = ! orient;
+         dir[middle]    = current_dir;
+         places[middle] = internal::hilbert_split
+           (places[left], places[right], Cmp (current_dir,orient,_k));
+         left =right;
+         right+=current_level_step;
+         middle+=current_level_step;
+         orient = ! orient;
        }while( left< nb_splits);
        current_level_step = half_step;
        current_dir = (current_dir +1) % _dimension;
@@ -139,11 +139,11 @@ public:
 
       typename std::iterator_traits<RandomAccessIterator>::difference_type N=end-begin;
       N*=2;
-      for (int i=0; i<_dimension; ++i) 	start[i]=false; 	// we start below in all coordinates
+      for (int i=0; i<_dimension; ++i)         start[i]=false;         // we start below in all coordinates
       for (int i=0; i<_dimension; ++i) {
-	two_to_dim *= 2;        // compute 2^_dimension
-	N/=2;
-	if (N==0) break;  // not many points, this number of dimension is enough
+        two_to_dim *= 2;        // compute 2^_dimension
+        N/=2;
+        if (N==0) break;  // not many points, this number of dimension is enough
       }
 
 
diff -pruN 5.0.2-3/include/CGAL/Hilbert_sort_middle_2.h 5.0.3-1/include/CGAL/Hilbert_sort_middle_2.h
--- 5.0.2-3/include/CGAL/Hilbert_sort_middle_2.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hilbert_sort_middle_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/Hilbert_sort_middle_2.h $
-// $Id: Hilbert_sort_middle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/Hilbert_sort_middle_2.h $
+// $Id: Hilbert_sort_middle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     :  Olivier Devillers
@@ -16,7 +16,7 @@
 #include <functional>
 #include <cstddef>
 #include <CGAL/Hilbert_sort_middle_base.h>
-#include <CGAL/Polygon_2_algorithms.h> 
+#include <CGAL/Polygon_2_algorithms.h>
 
 namespace CGAL {
 
@@ -30,14 +30,14 @@ namespace internal {
     {
         typedef typename K::Point_2 Point;
         K k;
-	double value;
+        double value;
         Fixed_hilbert_cmp_2 (double v, const K &_k = K()) : k(_k),value(v) {}
         bool operator() (const Point &p) const
-        { 
-	  return ! Fixed_hilbert_cmp_2<K,x,false> (value, k) (p);
+        {
+          return ! Fixed_hilbert_cmp_2<K,x,false> (value, k) (p);
         }
     };
-    
+
     template <class K>
     struct Fixed_hilbert_cmp_2<K,0,false>
         : public CGAL::cpp98::binary_function<typename K::Point_2,
@@ -45,14 +45,14 @@ namespace internal {
     {
         typedef typename K::Point_2 Point;
         K k;
-	double value;
+        double value;
         Fixed_hilbert_cmp_2 (double v, const K &_k = K()) : k(_k),value(v) {}
         bool operator() (const Point &p) const
-        { 
-	  return to_double(k.compute_x_2_object()(p)) < value;
+        {
+          return to_double(k.compute_x_2_object()(p)) < value;
         }
     };
-    
+
     template <class K>
     struct Fixed_hilbert_cmp_2<K,1,false>
         : public CGAL::cpp98::binary_function<typename K::Point_2,
@@ -60,11 +60,11 @@ namespace internal {
     {
         typedef typename K::Point_2 Point;
         K k;
-	double value;
+        double value;
         Fixed_hilbert_cmp_2 (double v, const K &_k = K()) : k(_k),value(v) {}
         bool operator() (const Point &p) const
-        { 
-	  return to_double(k.compute_y_2_object()(p)) < value;
+        {
+          return to_double(k.compute_y_2_object()(p)) < value;
         }
     };
 }
@@ -76,7 +76,7 @@ class Hilbert_sort_middle_2
 public:
     typedef K Kernel;
     typedef typename Kernel::Point_2 Point;
-    
+
 private:
     Kernel _k;
     std::ptrdiff_t _limit;
@@ -91,22 +91,22 @@ public:
 
     template <int x, bool upx, bool upy, class RandomAccessIterator>
     void sort (RandomAccessIterator begin, RandomAccessIterator end,
-	       double xmin, double ymin, double xmax, double ymax) const
+               double xmin, double ymin, double xmax, double ymax) const
     {
         const int y = (x + 1) % 2;
         if (end - begin <= _limit) return;
 
-	double xmed= (xmin+xmax)/2;
-	double ymed= (ymin+ymax)/2;
+        double xmed= (xmin+xmax)/2;
+        double ymed= (ymin+ymax)/2;
 
         RandomAccessIterator m0 = begin, m4 = end;
 
-        RandomAccessIterator m2 = 
-	  internal::fixed_hilbert_split (m0, m4, Cmp< x,  upx> (xmed,_k));
-        RandomAccessIterator m1 = 
-	  internal::fixed_hilbert_split (m0, m2, Cmp< y,  upy> (ymed,_k));
-        RandomAccessIterator m3 = 
-	  internal::fixed_hilbert_split (m2, m4, Cmp< y, !upy> (ymed,_k));
+        RandomAccessIterator m2 =
+          internal::fixed_hilbert_split (m0, m4, Cmp< x,  upx> (xmed,_k));
+        RandomAccessIterator m1 =
+          internal::fixed_hilbert_split (m0, m2, Cmp< y,  upy> (ymed,_k));
+        RandomAccessIterator m3 =
+          internal::fixed_hilbert_split (m2, m4, Cmp< y, !upy> (ymed,_k));
 
         if (m1!=m4)
           sort<y, upy, upx> (m0, m1, ymin, xmin, ymed, xmed);
@@ -123,22 +123,22 @@ public:
     {
       //Bbox_2 box=bbox_2(begin, end); BUG: WE NEED TO FIX THIS
 
-		K k;
-	    double xmin=to_double(k.compute_x_2_object()(*begin)),
-		     ymin=to_double(k.compute_y_2_object()(*begin)),
-	  	     xmax=xmin,
-		     ymax=ymin;
-		
-	    for(RandomAccessIterator it=begin+1; it<end; ++it){
-			if ( to_double(k.compute_x_2_object()(*it)) < xmin) 
-		  		xmin = to_double(k.compute_x_2_object()(*it));
-			if ( to_double(k.compute_y_2_object()(*it)) < ymin) 
-		  		ymin = to_double(k.compute_y_2_object()(*it));
-			if ( to_double(k.compute_x_2_object()(*it)) > xmax) 
-		  		xmax = to_double(k.compute_x_2_object()(*it));
-			if ( to_double(k.compute_y_2_object()(*it)) > ymax) 
-		  		ymax = to_double(k.compute_y_2_object()(*it));
-	    }
+                K k;
+            double xmin=to_double(k.compute_x_2_object()(*begin)),
+                     ymin=to_double(k.compute_y_2_object()(*begin)),
+                       xmax=xmin,
+                     ymax=ymin;
+
+            for(RandomAccessIterator it=begin+1; it<end; ++it){
+                        if ( to_double(k.compute_x_2_object()(*it)) < xmin)
+                                  xmin = to_double(k.compute_x_2_object()(*it));
+                        if ( to_double(k.compute_y_2_object()(*it)) < ymin)
+                                  ymin = to_double(k.compute_y_2_object()(*it));
+                        if ( to_double(k.compute_x_2_object()(*it)) > xmax)
+                                  xmax = to_double(k.compute_x_2_object()(*it));
+                        if ( to_double(k.compute_y_2_object()(*it)) > ymax)
+                                  ymax = to_double(k.compute_y_2_object()(*it));
+            }
 
         sort <0, false, false> (begin, end, xmin, ymin, xmax, ymax);
     }
diff -pruN 5.0.2-3/include/CGAL/Hilbert_sort_middle_3.h 5.0.3-1/include/CGAL/Hilbert_sort_middle_3.h
--- 5.0.2-3/include/CGAL/Hilbert_sort_middle_3.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hilbert_sort_middle_3.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/Hilbert_sort_middle_3.h $
-// $Id: Hilbert_sort_middle_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/Hilbert_sort_middle_3.h $
+// $Id: Hilbert_sort_middle_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     :  Olivier Devillers
@@ -29,11 +29,11 @@ namespace internal {
     {
         typedef typename K::Point_3 Point;
         K k;
-	double value;
+        double value;
         Fixed_hilbert_cmp_3 (double v, const K &_k = K()) : k(_k),value(v) {}
         bool operator() (const Point &p) const
         {
-	  return ! Fixed_hilbert_cmp_3<K,x,false> (value,k) (p);
+          return ! Fixed_hilbert_cmp_3<K,x,false> (value,k) (p);
         }
     };
 
@@ -44,11 +44,11 @@ namespace internal {
     {
         typedef typename K::Point_3 Point;
         K k;
-	double value;
+        double value;
         Fixed_hilbert_cmp_3 (double v, const K &_k = K()) : k(_k),value(v) {}
         bool operator() (const Point &p) const
         {
-	  return to_double(k.compute_x_3_object()(p)) < value;
+          return to_double(k.compute_x_3_object()(p)) < value;
         }
     };
 
@@ -59,11 +59,11 @@ namespace internal {
     {
         typedef typename K::Point_3 Point;
         K k;
-	double value;
+        double value;
         Fixed_hilbert_cmp_3 (double v, const K &_k = K()) : k(_k),value(v) {}
         bool operator() (const Point &p) const
         {
-	  return to_double(k.compute_y_3_object()(p)) < value;
+          return to_double(k.compute_y_3_object()(p)) < value;
         }
     };
 
@@ -74,11 +74,11 @@ namespace internal {
     {
         typedef typename K::Point_3 Point;
         K k;
-	double value;
+        double value;
         Fixed_hilbert_cmp_3 (double v, const K &_k = K()) : k(_k),value(v) {}
         bool operator() (const Point &p) const
         {
-	  return to_double(k.compute_z_3_object()(p)) < value ;
+          return to_double(k.compute_z_3_object()(p)) < value ;
         }
     };
 }
@@ -104,33 +104,33 @@ public:
 
     template <int x, bool upx, bool upy, bool upz, class RandomAccessIterator>
       void sort (RandomAccessIterator begin, RandomAccessIterator end,
-		 double xmin, double ymin, double zmin, 
-		 double xmax, double ymax, double zmax) const
+                 double xmin, double ymin, double zmin,
+                 double xmax, double ymax, double zmax) const
     {
         const int y = (x + 1) % 3, z = (x + 2) % 3;
         if (end - begin <= _limit) return;
 
-	double xmed= (xmin+xmax)/2;
-	double ymed= (ymin+ymax)/2;
-	double zmed= (zmin+zmax)/2;
+        double xmed= (xmin+xmax)/2;
+        double ymed= (ymin+ymax)/2;
+        double zmed= (zmin+zmax)/2;
 
 
         RandomAccessIterator m0 = begin, m8 = end;
 
-        RandomAccessIterator m4 = 
-	  internal::fixed_hilbert_split (m0, m8, Cmp< x,  upx> (xmed,_k));
-        RandomAccessIterator m2 = 
-	  internal::fixed_hilbert_split (m0, m4, Cmp< y,  upy> (ymed,_k));
-        RandomAccessIterator m6 = 
-	  internal::fixed_hilbert_split (m4, m8, Cmp< y, !upy> (ymed,_k));
-        RandomAccessIterator m1 = 
-	  internal::fixed_hilbert_split (m0, m2, Cmp< z,  upz> (zmed,_k));
-        RandomAccessIterator m3 = 
-	  internal::fixed_hilbert_split (m2, m4, Cmp< z, !upz> (zmed,_k));
-        RandomAccessIterator m5 = 
-	  internal::fixed_hilbert_split (m4, m6, Cmp< z,  upz> (zmed,_k));
-        RandomAccessIterator m7 = 
-	  internal::fixed_hilbert_split (m6, m8, Cmp< z, !upz> (zmed,_k));
+        RandomAccessIterator m4 =
+          internal::fixed_hilbert_split (m0, m8, Cmp< x,  upx> (xmed,_k));
+        RandomAccessIterator m2 =
+          internal::fixed_hilbert_split (m0, m4, Cmp< y,  upy> (ymed,_k));
+        RandomAccessIterator m6 =
+          internal::fixed_hilbert_split (m4, m8, Cmp< y, !upy> (ymed,_k));
+        RandomAccessIterator m1 =
+          internal::fixed_hilbert_split (m0, m2, Cmp< z,  upz> (zmed,_k));
+        RandomAccessIterator m3 =
+          internal::fixed_hilbert_split (m2, m4, Cmp< z, !upz> (zmed,_k));
+        RandomAccessIterator m5 =
+          internal::fixed_hilbert_split (m4, m6, Cmp< z,  upz> (zmed,_k));
+        RandomAccessIterator m7 =
+          internal::fixed_hilbert_split (m6, m8, Cmp< z, !upz> (zmed,_k));
 
 
         if (m1!=m8)
@@ -156,26 +156,26 @@ public:
     {
       K k;
       double xmin=to_double(k.compute_x_3_object()(*begin)),
-	     ymin=to_double(k.compute_y_3_object()(*begin)),
-	     zmin=to_double(k.compute_z_3_object()(*begin)),
-  	     xmax=xmin,
-	     ymax=ymin,
-	     zmax=zmin;
+             ymin=to_double(k.compute_y_3_object()(*begin)),
+             zmin=to_double(k.compute_z_3_object()(*begin)),
+               xmax=xmin,
+             ymax=ymin,
+             zmax=zmin;
       for(RandomAccessIterator it=begin+1; it<end; ++it){
-	if ( to_double(k.compute_x_3_object()(*it)) < xmin) 
-	  xmin = to_double(k.compute_x_3_object()(*it));
-	if ( to_double(k.compute_y_3_object()(*it)) < ymin) 
-	  ymin = to_double(k.compute_y_3_object()(*it));
-	if ( to_double(k.compute_z_3_object()(*it)) < zmin) 
-	  zmin = to_double(k.compute_z_3_object()(*it));
-	if ( to_double(k.compute_x_3_object()(*it)) > xmax) 
-	  xmax = to_double(k.compute_x_3_object()(*it));
-	if ( to_double(k.compute_y_3_object()(*it)) > ymax) 
-	  ymax = to_double(k.compute_y_3_object()(*it));
-	if ( to_double(k.compute_z_3_object()(*it)) > zmax) 
-	  zmax = to_double(k.compute_z_3_object()(*it));
+        if ( to_double(k.compute_x_3_object()(*it)) < xmin)
+          xmin = to_double(k.compute_x_3_object()(*it));
+        if ( to_double(k.compute_y_3_object()(*it)) < ymin)
+          ymin = to_double(k.compute_y_3_object()(*it));
+        if ( to_double(k.compute_z_3_object()(*it)) < zmin)
+          zmin = to_double(k.compute_z_3_object()(*it));
+        if ( to_double(k.compute_x_3_object()(*it)) > xmax)
+          xmax = to_double(k.compute_x_3_object()(*it));
+        if ( to_double(k.compute_y_3_object()(*it)) > ymax)
+          ymax = to_double(k.compute_y_3_object()(*it));
+        if ( to_double(k.compute_z_3_object()(*it)) > zmax)
+          zmax = to_double(k.compute_z_3_object()(*it));
       }
-      
+
       sort <0, false, false, false> (begin, end, xmin,ymin,zmin,xmax,ymax,zmax);
     }
 };
diff -pruN 5.0.2-3/include/CGAL/Hilbert_sort_middle_base.h 5.0.3-1/include/CGAL/Hilbert_sort_middle_base.h
--- 5.0.2-3/include/CGAL/Hilbert_sort_middle_base.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hilbert_sort_middle_base.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/Hilbert_sort_middle_base.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/Hilbert_sort_middle_base.h $
 // $Id: Hilbert_sort_middle_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Hilbert_sort_middle_d.h 5.0.3-1/include/CGAL/Hilbert_sort_middle_d.h
--- 5.0.2-3/include/CGAL/Hilbert_sort_middle_d.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hilbert_sort_middle_d.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/Hilbert_sort_middle_d.h $
-// $Id: Hilbert_sort_middle_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/Hilbert_sort_middle_d.h $
+// $Id: Hilbert_sort_middle_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     :  Olivier Devillers
@@ -29,16 +29,16 @@ namespace internal {
     {
         typedef typename K::Point_d Point;
         K k;
-	int axe;
-	bool orient;
-	double value;
-        Fixed_hilbert_cmp_d (int a, bool o, double v, const K &_k = K()) 
-	  :  k(_k), axe(a), orient(o), value(v) {}
+        int axe;
+        bool orient;
+        double value;
+        Fixed_hilbert_cmp_d (int a, bool o, double v, const K &_k = K())
+          :  k(_k), axe(a), orient(o), value(v) {}
         bool operator() (const Point &p) const
         {
-	  return (orient  
-		  ? ( to_double( k.compute_coordinate_d_object() (p,axe) ) >  value)
-		  : ( to_double( k.compute_coordinate_d_object() (p,axe) ) <= value));
+          return (orient
+                  ? ( to_double( k.compute_coordinate_d_object() (p,axe) ) >  value)
+                  : ( to_double( k.compute_coordinate_d_object() (p,axe) ) <= value));
         }
     };
 
@@ -60,8 +60,8 @@ private:
     mutable int two_to_dim;
 
     struct Cmp : public internal::Fixed_hilbert_cmp_d<Kernel>
-    { Cmp (int a, bool dir, double v, const Kernel &k) 
-	: internal::Fixed_hilbert_cmp_d<Kernel> (a,dir,v,k) {} };
+    { Cmp (int a, bool dir, double v, const Kernel &k)
+        : internal::Fixed_hilbert_cmp_d<Kernel> (a,dir,v,k) {} };
 
 public:
     Hilbert_sort_middle_d (const Kernel &k = Kernel(), std::ptrdiff_t limit = 1)
@@ -70,8 +70,8 @@ public:
 
     template <class RandomAccessIterator>
     void sort (RandomAccessIterator begin, RandomAccessIterator end,
-	       Starting_position start, int direction, 
-	       Corner mini, Corner maxi) const
+               Starting_position start, int direction,
+               Corner mini, Corner maxi) const
    {
      if (end - begin <= _limit) return;
 
@@ -94,14 +94,14 @@ public:
        int right=current_level_step;
        bool orient = start[current_dir];
        do{
-	 dir[middle]    = current_dir; 
-	 places[middle] = internal::fixed_hilbert_split 
-                             (places[left], places[right], 
-			      Cmp (current_dir,orient,med[current_dir],_k));
-	 left =right;
-	 right+=current_level_step;
-	 middle+=current_level_step;
-	 orient = ! orient;
+         dir[middle]    = current_dir;
+         places[middle] = internal::fixed_hilbert_split
+                             (places[left], places[right],
+                              Cmp (current_dir,orient,med[current_dir],_k));
+         left =right;
+         right+=current_level_step;
+         middle+=current_level_step;
+         orient = ! orient;
        }while( left< two_to_dim);
        current_level_step = half_step;
        current_dir = (current_dir +1) % _dimension;
@@ -114,14 +114,14 @@ public:
        sort( places[0], places[1], start, last_dir,cmin,cmax);
      cmin[last_dir] = med[last_dir];
      cmax[last_dir] = maxi[last_dir];
-     
+
 
      for(int i=1; i<two_to_dim-1; i +=2){
        //std::cout<<i<<";"<<start[0]<<start[1]<<start[2]<<start[3]<<"/"<<dir[i+1]<<std::endl;
        if (places[i]!=begin || places[i+1]!=end)
          sort( places[i  ], places[i+1], start, dir[i+1],cmin,cmax);
        cmax[ dir[i+1] ] =  (cmin[ dir[i+1]]==mini[ dir[i+1]])
-	                    ? maxi[ dir[i+1] ] : mini[ dir[i+1] ];
+                            ? maxi[ dir[i+1] ] : mini[ dir[i+1] ];
        cmin[ dir[i+1] ] =  med[ dir[i+1] ];
 
        if (places[i+1]!=begin || places[i+2]!=end)
@@ -129,7 +129,7 @@ public:
        cmin[ dir[i+1] ] =  cmax[ dir[i+1] ];
        cmax[ dir[i+1] ] =  med[ dir[i+1] ];
        cmax[ last_dir ] = (cmax[last_dir]==maxi[last_dir])
-	                    ? mini[ last_dir ] : maxi[ last_dir ];
+                            ? mini[ last_dir ] : maxi[ last_dir ];
        start[dir[i+1]] = !  start[dir[i+1]];
        start[last_dir] = !  start[last_dir];
      }
@@ -148,24 +148,24 @@ public:
       Starting_position start(_dimension);
       Corner mini(_dimension),maxi(_dimension);
 
-      for (int i=0; i<_dimension; ++i) 
-	mini[i]=maxi[i]=to_double( _k.compute_coordinate_d_object() (*begin,i) );
+      for (int i=0; i<_dimension; ++i)
+        mini[i]=maxi[i]=to_double( _k.compute_coordinate_d_object() (*begin,i) );
       for(RandomAccessIterator it=begin+1; it<end; ++it){
-	for (int i=0; i<_dimension; ++i){
-	  double d=  to_double( _k.compute_coordinate_d_object() (*it,i) );
-	  if (d < mini[i]) mini[i] = d;
-	  if (d > maxi[i]) maxi[i] = d;
-	}
+        for (int i=0; i<_dimension; ++i){
+          double d=  to_double( _k.compute_coordinate_d_object() (*it,i) );
+          if (d < mini[i]) mini[i] = d;
+          if (d > maxi[i]) maxi[i] = d;
+        }
       }
 
 
       for (int i=0; i<_dimension; ++i) {
-	start[i]=false; 	// we start below in all coordinates
-	two_to_dim *= 2;        // compute 2^_dimension
-	if (two_to_dim*2 <= 0) {
-	  CGAL_assertion(end-begin < two_to_dim);//too many points in such dim
-	  break;
-	}
+        start[i]=false;         // we start below in all coordinates
+        two_to_dim *= 2;        // compute 2^_dimension
+        if (two_to_dim*2 <= 0) {
+          CGAL_assertion(end-begin < two_to_dim);//too many points in such dim
+          break;
+        }
       }
 
 
diff -pruN 5.0.2-3/include/CGAL/Hilbert_sort_on_sphere_3.h 5.0.3-1/include/CGAL/Hilbert_sort_on_sphere_3.h
--- 5.0.2-3/include/CGAL/Hilbert_sort_on_sphere_3.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hilbert_sort_on_sphere_3.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/Hilbert_sort_on_sphere_3.h $
-// $Id: Hilbert_sort_on_sphere_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/Hilbert_sort_on_sphere_3.h $
+// $Id: Hilbert_sort_on_sphere_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Olivier Devillers
@@ -24,86 +24,86 @@ namespace CGAL {
 
 template <class K,  class Hilbert_policy >
 class Hilbert_sort_on_sphere_3 {
-	typedef typename K::Point_3  Point_3;
-	
-	static const double _sqrt_of_one_over_three;
-	
-	// Face 1, x > sqrt(1/3)
-	// Face 2, y > sqrt(1/3)
-	// Face 3, x < -sqrt(1/3)
-	// Face 4, z > sqrt(1/3)
-	// Face 5, y < -sqrt(1/3)
-	// Face 6, z < -sqrt(1/3)
-	
-	typedef internal::Transform_coordinates_traits_3<K,0,1,1,0> Face_1_traits_3;  // +y +z
-	typedef internal::Transform_coordinates_traits_3<K,-1,0,1,0> Face_2_traits_3; // -x +z
-	typedef internal::Transform_coordinates_traits_3<K,0,1,-1,1> Face_3_traits_3; // +z -y
-	typedef internal::Transform_coordinates_traits_3<K,-1,1,0,1> Face_4_traits_3;  // -y +x
-	typedef internal::Transform_coordinates_traits_3<K,-1,0,1,1> Face_5_traits_3;  // -z +x
-	typedef internal::Transform_coordinates_traits_3<K,1,1,0,0> Face_6_traits_3;  // +x +y
-	
-	Hilbert_sort_2<Face_1_traits_3, Hilbert_policy > _hs_1_object;
-	Hilbert_sort_2<Face_2_traits_3, Hilbert_policy > _hs_2_object;
-	Hilbert_sort_2<Face_3_traits_3, Hilbert_policy > _hs_3_object;
-	Hilbert_sort_2<Face_4_traits_3, Hilbert_policy > _hs_4_object;
-	Hilbert_sort_2<Face_5_traits_3, Hilbert_policy > _hs_5_object;
-	Hilbert_sort_2<Face_6_traits_3, Hilbert_policy > _hs_6_object;
-	K _k;
-	Point_3 _p;
-	double _sq_r;
-	
+        typedef typename K::Point_3  Point_3;
+
+        static const double _sqrt_of_one_over_three;
+
+        // Face 1, x > sqrt(1/3)
+        // Face 2, y > sqrt(1/3)
+        // Face 3, x < -sqrt(1/3)
+        // Face 4, z > sqrt(1/3)
+        // Face 5, y < -sqrt(1/3)
+        // Face 6, z < -sqrt(1/3)
+
+        typedef internal::Transform_coordinates_traits_3<K,0,1,1,0> Face_1_traits_3;  // +y +z
+        typedef internal::Transform_coordinates_traits_3<K,-1,0,1,0> Face_2_traits_3; // -x +z
+        typedef internal::Transform_coordinates_traits_3<K,0,1,-1,1> Face_3_traits_3; // +z -y
+        typedef internal::Transform_coordinates_traits_3<K,-1,1,0,1> Face_4_traits_3;  // -y +x
+        typedef internal::Transform_coordinates_traits_3<K,-1,0,1,1> Face_5_traits_3;  // -z +x
+        typedef internal::Transform_coordinates_traits_3<K,1,1,0,0> Face_6_traits_3;  // +x +y
+
+        Hilbert_sort_2<Face_1_traits_3, Hilbert_policy > _hs_1_object;
+        Hilbert_sort_2<Face_2_traits_3, Hilbert_policy > _hs_2_object;
+        Hilbert_sort_2<Face_3_traits_3, Hilbert_policy > _hs_3_object;
+        Hilbert_sort_2<Face_4_traits_3, Hilbert_policy > _hs_4_object;
+        Hilbert_sort_2<Face_5_traits_3, Hilbert_policy > _hs_5_object;
+        Hilbert_sort_2<Face_6_traits_3, Hilbert_policy > _hs_6_object;
+        K _k;
+        Point_3 _p;
+        double _sq_r;
+
 public:
-	Hilbert_sort_on_sphere_3 (const K &k=K(),  
-	                          double sq_r = 1.0,
-							  const Point_3 &p = Point_3(0,0,0),
-							  std::ptrdiff_t limit=1)
-	: _hs_1_object(Face_1_traits_3(),limit),
-	  _hs_2_object(Face_2_traits_3(),limit),
-	  _hs_3_object(Face_3_traits_3(),limit),
-	  _hs_4_object(Face_4_traits_3(),limit),
-	  _hs_5_object(Face_5_traits_3(),limit),
-	  _hs_6_object(Face_6_traits_3(),limit),
+        Hilbert_sort_on_sphere_3 (const K &k=K(),
+                                  double sq_r = 1.0,
+                                                          const Point_3 &p = Point_3(0,0,0),
+                                                          std::ptrdiff_t limit=1)
+        : _hs_1_object(Face_1_traits_3(),limit),
+          _hs_2_object(Face_2_traits_3(),limit),
+          _hs_3_object(Face_3_traits_3(),limit),
+          _hs_4_object(Face_4_traits_3(),limit),
+          _hs_5_object(Face_5_traits_3(),limit),
+          _hs_6_object(Face_6_traits_3(),limit),
           _k(k), _p(p), _sq_r(sq_r)
         {
-		CGAL_precondition( sq_r > 0 );
-	}
-	
-	
-	template <class RandomAccessIterator>
-	void operator()(RandomAccessIterator begin, RandomAccessIterator end) const {
-		typedef typename std::iterator_traits<RandomAccessIterator>::value_type Point;
-		std::vector< Point > vec[6];
-		
-		const double mulcte = _sqrt_of_one_over_three * CGAL_NTS sqrt(_sq_r);
-		const double lxi = _p.x() - mulcte, lxs = _p.x() + mulcte;
-		const double lyi = _p.y() - mulcte, lys = _p.y() + mulcte;
-		const double lzs = _p.z() + mulcte;
-		
-		for(RandomAccessIterator i = begin; i != end; ++i) {
-			const Point &p = *i;
-			const typename K::FT x = _k.compute_x_3_object()(p);
-			const typename K::FT y = _k.compute_y_3_object()(p);
-			const typename K::FT z = _k.compute_z_3_object()(p); // for unit sphere
-			if(x > lxs) vec[0].push_back(p);             // Face 1, x > sqrt(1/3) 
-			else if(y > lys) vec[1].push_back(p);        // Face 2, y > sqrt(1/3)
-			else if(x < lxi) vec[2].push_back(p);        // Face 3, x < -sqrt(1/3)
-			else if(z > lzs) vec[3].push_back(p);        // Face 4, z > sqrt(1/3)
-			else if(y < lyi) vec[4].push_back(p);        // Face 5, y < -sqrt(1/3)
-			else vec[5].push_back(p);                    // Face 6, z < -sqrt(1/3)
-		}
-		if(vec[0].size()) _hs_1_object(vec[0].begin(), vec[0].end());
-		if(vec[1].size()) _hs_2_object(vec[1].begin(), vec[1].end());
-		if(vec[2].size()) _hs_3_object(vec[2].begin(), vec[2].end());
-		if(vec[3].size()) _hs_4_object(vec[3].begin(), vec[3].end());
-		if(vec[4].size()) _hs_5_object(vec[4].begin(), vec[4].end());
-		if(vec[5].size()) _hs_6_object(vec[5].begin(), vec[5].end());
-		
-		// this is the order that set of points in a face should appear 
-		// after sorting points wrt each face
-		for(int i=0; i<6; i++)
-			for(std::size_t j=0; j<vec[i].size(); j++) 
-				*begin++ = vec[i][j];
-	}
+                CGAL_precondition( sq_r > 0 );
+        }
+
+
+        template <class RandomAccessIterator>
+        void operator()(RandomAccessIterator begin, RandomAccessIterator end) const {
+                typedef typename std::iterator_traits<RandomAccessIterator>::value_type Point;
+                std::vector< Point > vec[6];
+
+                const double mulcte = _sqrt_of_one_over_three * CGAL_NTS sqrt(_sq_r);
+                const double lxi = _p.x() - mulcte, lxs = _p.x() + mulcte;
+                const double lyi = _p.y() - mulcte, lys = _p.y() + mulcte;
+                const double lzs = _p.z() + mulcte;
+
+                for(RandomAccessIterator i = begin; i != end; ++i) {
+                        const Point &p = *i;
+                        const typename K::FT x = _k.compute_x_3_object()(p);
+                        const typename K::FT y = _k.compute_y_3_object()(p);
+                        const typename K::FT z = _k.compute_z_3_object()(p); // for unit sphere
+                        if(x > lxs) vec[0].push_back(p);             // Face 1, x > sqrt(1/3)
+                        else if(y > lys) vec[1].push_back(p);        // Face 2, y > sqrt(1/3)
+                        else if(x < lxi) vec[2].push_back(p);        // Face 3, x < -sqrt(1/3)
+                        else if(z > lzs) vec[3].push_back(p);        // Face 4, z > sqrt(1/3)
+                        else if(y < lyi) vec[4].push_back(p);        // Face 5, y < -sqrt(1/3)
+                        else vec[5].push_back(p);                    // Face 6, z < -sqrt(1/3)
+                }
+                if(vec[0].size()) _hs_1_object(vec[0].begin(), vec[0].end());
+                if(vec[1].size()) _hs_2_object(vec[1].begin(), vec[1].end());
+                if(vec[2].size()) _hs_3_object(vec[2].begin(), vec[2].end());
+                if(vec[3].size()) _hs_4_object(vec[3].begin(), vec[3].end());
+                if(vec[4].size()) _hs_5_object(vec[4].begin(), vec[4].end());
+                if(vec[5].size()) _hs_6_object(vec[5].begin(), vec[5].end());
+
+                // this is the order that set of points in a face should appear
+                // after sorting points wrt each face
+                for(int i=0; i<6; i++)
+                        for(std::size_t j=0; j<vec[i].size(); j++)
+                                *begin++ = vec[i][j];
+        }
 };
 template <class K,  class Hilbert_policy >
 const double Hilbert_sort_on_sphere_3<K,Hilbert_policy>::_sqrt_of_one_over_three = 0.57735026919;
diff -pruN 5.0.2-3/include/CGAL/hilbert_sort_on_sphere.h 5.0.3-1/include/CGAL/hilbert_sort_on_sphere.h
--- 5.0.2-3/include/CGAL/hilbert_sort_on_sphere.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/hilbert_sort_on_sphere.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/hilbert_sort_on_sphere.h $
-// $Id: hilbert_sort_on_sphere.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/hilbert_sort_on_sphere.h $
+// $Id: hilbert_sort_on_sphere.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Olivier Devillers
@@ -43,7 +43,7 @@ template <class RandomAccessIterator>
 void hilbert_sort_on_sphere (RandomAccessIterator begin, RandomAccessIterator end,
   double sq_r = 1.0,
   const typename CGAL::Kernel_traits<typename std::iterator_traits<RandomAccessIterator>::value_type>::Kernel::Point_3 &p =
-	    typename CGAL::Kernel_traits<typename std::iterator_traits<RandomAccessIterator>::value_type>::Kernel::Point_3(0,0,0))
+            typename CGAL::Kernel_traits<typename std::iterator_traits<RandomAccessIterator>::value_type>::Kernel::Point_3(0,0,0))
 {
 
     typedef std::iterator_traits<RandomAccessIterator> ITraits;
@@ -52,7 +52,7 @@ void hilbert_sort_on_sphere (RandomAcces
     typedef typename KTraits::Kernel                   Kernel;
 
     internal::hilbert_sort_on_sphere(begin, end, Kernel(), Hilbert_sort_median_policy(),
-				  static_cast<value_type *> (0), sq_r, p);
+                                  static_cast<value_type *> (0), sq_r, p);
 
 }
 
@@ -68,7 +68,7 @@ void hilbert_sort_on_sphere (RandomAcces
     typedef typename KTraits::Kernel                   Kernel;
 
     internal::hilbert_sort_on_sphere(begin, end, Kernel(), policy,
-				  static_cast<value_type *> (0), sq_r, p);
+                                  static_cast<value_type *> (0), sq_r, p);
 }
 
 
@@ -84,19 +84,19 @@ void hilbert_sort_on_sphere (RandomAcces
     typedef typename KTraits::Kernel                   Kernel;
 
     internal::hilbert_sort_on_sphere(begin, end, Kernel(), policy,
-				  static_cast<value_type *> (0), sq_r, p);
+                                  static_cast<value_type *> (0), sq_r, p);
 }
 
 
 template <class RandomAccessIterator, class Kernel, class Policy>
 void hilbert_sort_on_sphere (RandomAccessIterator begin, RandomAccessIterator end, const Kernel &k, Policy policy,
-	double sq_r = 1.0, const typename Kernel::Point_3 &p = typename Kernel::Point_3(0,0,0))
+        double sq_r = 1.0, const typename Kernel::Point_3 &p = typename Kernel::Point_3(0,0,0))
 {
     typedef std::iterator_traits<RandomAccessIterator> ITraits;
     typedef typename ITraits::value_type               value_type;
 
     internal::hilbert_sort_on_sphere(begin, end,
-			   k, policy, static_cast<value_type *> (0), sq_r, p);
+                           k, policy, static_cast<value_type *> (0), sq_r, p);
 }
 
 } // end of namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/Aff_transformationH2.h 5.0.3-1/include/CGAL/Homogeneous/Aff_transformationH2.h
--- 5.0.2-3/include/CGAL/Homogeneous/Aff_transformationH2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/Aff_transformationH2.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/Aff_transformationH2.h $
-// $Id: Aff_transformationH2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/Aff_transformationH2.h $
+// $Id: Aff_transformationH2.h 4c30c49 2020-05-18T12:22:27+02:00 Laurent Rineau
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -513,7 +513,7 @@ public:
 
           // Scaling:
 
-          Aff_transformationH2(const Scaling, const RT& a,  
+          Aff_transformationH2(const Scaling, const RT& a,
                                const RT& b = RT(1));
 
           Aff_transformationH2(const Scaling, const RT& xa, const RT& xb,
@@ -594,8 +594,8 @@ public:
 
     Aff_transformationH2<R>
     operator*(const Aff_transformationH2<R>& right_argument ) const;
-    
-    
+
+
     bool operator==(const Aff_transformationH2 &t)const
     {
       for(int i=0; i<3; ++i)
@@ -604,7 +604,7 @@ public:
             return false;
       return true;
     }
-    
+
     bool operator!=(const Aff_transformationH2 &t)const
     {
       return !(*this == t);
@@ -624,7 +624,7 @@ Aff_transformationH2(const Identity_tran
 template < class R >
 Aff_transformationH2<R>::
 Aff_transformationH2(const Translation,
-	             const typename Aff_transformationH2<R>::Vector_2& v)
+                     const typename Aff_transformationH2<R>::Vector_2& v)
 { initialize_with(Translation_repH2<R>( v )); }
 
 template < class R >
@@ -645,7 +645,7 @@ Aff_transformationH2( const Scaling, con
 template < class R >
 Aff_transformationH2<R>::
 Aff_transformationH2(const Reflection,
-	             const typename Aff_transformationH2<R>::Line_2& l)
+                     const typename Aff_transformationH2<R>::Line_2& l)
 { initialize_with(Reflection_repH2<R>( l)); }
 
 template < class R >
@@ -772,6 +772,17 @@ operator*(const Aff_transformationH2<R>&
 }
 
 template <class R>
+std::ostream&
+operator<<(std::ostream& out, const Aff_transformationH2<R>& t)
+{
+  typename R::RT RT0(0);
+  Aff_transformation_repH2<R> r = t.Ptr()->general_form();
+  return out << "| "<< r.a << ' ' << r.b << ' ' << r.c << " |\n"
+             << "| "<< r.d << ' ' << r.e << ' ' << r.f << " |\n"
+             << "| "<< RT0 << ' ' << RT0 << ' ' << r.g << " |\n";
+}
+
+template <class R>
 Aff_transformationH2<R>
 _general_transformation_composition( Aff_transformation_repH2<R> l,
                                      Aff_transformation_repH2<R> r )
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/Aff_transformationH3.h 5.0.3-1/include/CGAL/Homogeneous/Aff_transformationH3.h
--- 5.0.2-3/include/CGAL/Homogeneous/Aff_transformationH3.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/Aff_transformationH3.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/Aff_transformationH3.h $
-// $Id: Aff_transformationH3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/Aff_transformationH3.h $
+// $Id: Aff_transformationH3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -355,7 +355,7 @@ public:
   RT
   hm(int i, int j) const
   { return this->Ptr()->homogeneous(i,j); }
-  
+
   bool operator==(const Aff_transformationH3 &t)const
   {
     for(int i=0; i<3; ++i)
@@ -364,7 +364,7 @@ public:
           return false;
     return true;
   }
-  
+
   bool operator!=(const Aff_transformationH3 &t)const
   {
     return !(*this == t);
@@ -534,7 +534,7 @@ bool
 Aff_transformation_repH3<R>::is_even() const
 {
   return (CGAL_NTS sign<RT>( t33 *
-	                    determinant(t00, t01, t02,
+                            determinant(t00, t01, t02,
                                               t10, t11, t12,
                                               t20, t21, t22 ) ) == POSITIVE );
 }
@@ -792,7 +792,7 @@ template < class R >
 CGAL_KERNEL_INLINE
 Aff_transformationH3<R>::
 Aff_transformationH3(const Translation&,
-	             const typename Aff_transformationH3<R>::Vector_3& v)
+                     const typename Aff_transformationH3<R>::Vector_3& v)
 { initialize_with(Translation_repH3<R>( v )); }
 
 template < class R >
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/basic_constructionsH2.h 5.0.3-1/include/CGAL/Homogeneous/basic_constructionsH2.h
--- 5.0.2-3/include/CGAL/Homogeneous/basic_constructionsH2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/basic_constructionsH2.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,20 +1,20 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/basic_constructionsH2.h $
-// $Id: basic_constructionsH2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/basic_constructionsH2.h $
+// $Id: basic_constructionsH2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 //                 Stefan Schirra
- 
+
 
 #ifndef CGAL_BASIC_CONSTRUCTIONSH2_H
 #define CGAL_BASIC_CONSTRUCTIONSH2_H
@@ -66,13 +66,13 @@ squared_distance( const PointH2<R>& p, c
 
 template < class RT, class We>
 void
-weighted_circumcenterH2( const RT &phx, const RT &phy, const RT &phw, 
-			 const We &pwt,
-			 const RT &qhx, const RT &qhy, const RT &qhw, 
-			 const We &qwt,
-			 const RT &rhx, const RT &rhy, const RT &rhw, 
-			 const We &rwt,
-			 RT &vvx, RT &vvy, RT &vvw )
+weighted_circumcenterH2( const RT &phx, const RT &phy, const RT &phw,
+                         const We &pwt,
+                         const RT &qhx, const RT &qhy, const RT &qhw,
+                         const We &qwt,
+                         const RT &rhx, const RT &rhy, const RT &rhw,
+                         const We &rwt,
+                         RT &vvx, RT &vvy, RT &vvw )
 {
 
 //   RT qx_px = ( qhx*qhw*phw*phw - phx*phw*qhw*qhw );
@@ -87,7 +87,7 @@ weighted_circumcenterH2( const RT &phx,
 //   RT px2_py2_qx2_qy_2 =
 //     phx*phx*qhw*qhw + phy*phy*qhw*qhw - qhx*qhx*phw*phw -
 //     qhy*qhy*phw*phw - RT(pwt*pwt) + RT(qwt*qwt);
-  
+
 //   vvx = qy_py * px2_py2_rx2_ry_2 - ry_py * px2_py2_qx2_qy_2;
 //   vvy = rx_px * px2_py2_qx2_qy_2 - qx_px * px2_py2_rx2_ry_2;
 //   vvw = RT(2) * ( qx_px * ry_py - rx_px * qy_py );
@@ -107,8 +107,8 @@ weighted_circumcenterH2( const RT &phx,
 template < class RT , class FT>
 void
 radical_axisH2(const RT &phx, const RT &phy, const RT &phw, const FT &pwt,
-	       const RT &qhx, const RT &qhy, const RT &qhw, const FT &qwt,
-	       RT &a, RT &b, RT &c )
+               const RT &qhx, const RT &qhy, const RT &qhw, const FT &qwt,
+               RT &a, RT &b, RT &c )
 {
   Rational_traits<FT> rt;
   RT npwt = rt.numerator(pwt);
@@ -118,9 +118,9 @@ radical_axisH2(const RT &phx, const RT &
 
   a =  RT(2) * ( phx*phw*qhw*qhw - qhx*qhw*phw*phw );
   b =  RT(2) * ( phy*phw*qhw*qhw - qhy*qhw*phw*phw );
-  c = (- phx*phx*qhw*qhw - phy*phy*qhw*qhw 
-       + qhx*qhx*phw*phw + qhy*qhy*phw*phw) * dpwt * dqwt 
-      + npwt*dqwt*phw*phw*qhw*qhw - nqwt*dpwt*phw*phw*qhw*qhw; 
+  c = (- phx*phx*qhw*qhw - phy*phy*qhw*qhw
+       + qhx*qhx*phw*phw + qhy*qhy*phw*phw) * dpwt * dqwt
+      + npwt*dqwt*phw*phw*qhw*qhw - nqwt*dpwt*phw*phw*qhw*qhw;
 
 }
 
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/basic_constructionsH3.h 5.0.3-1/include/CGAL/Homogeneous/basic_constructionsH3.h
--- 5.0.2-3/include/CGAL/Homogeneous/basic_constructionsH3.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/basic_constructionsH3.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/basic_constructionsH3.h $
-// $Id: basic_constructionsH3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/basic_constructionsH3.h $
+// $Id: basic_constructionsH3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 
 #ifndef CGAL_BASIC_CONSTRUCTIONSH3_H
 #define CGAL_BASIC_CONSTRUCTIONSH3_H
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/CircleH2.h 5.0.3-1/include/CGAL/Homogeneous/CircleH2.h
--- 5.0.2-3/include/CGAL/Homogeneous/CircleH2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/CircleH2.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/CircleH2.h $
-// $Id: CircleH2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/CircleH2.h $
+// $Id: CircleH2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sven Schoenherr
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/ConicHPA2.h 5.0.3-1/include/CGAL/Homogeneous/ConicHPA2.h
--- 5.0.2-3/include/CGAL/Homogeneous/ConicHPA2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/ConicHPA2.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/ConicHPA2.h $
-// $Id: ConicHPA2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/ConicHPA2.h $
+// $Id: ConicHPA2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Bernd Gaertner, Sven Schoenherr <sven@inf.ethz.ch>
 
@@ -48,8 +48,8 @@ class ConicHPA2
     Conic_type          type;
     CGAL::Orientation   o;
     bool                empty, trivial, degenerate;
-    
-    
+
+
     void
     set_linear_combination (const RT& a1, const ConicHPA2<PT,DA>& c1,
                             const RT& a2, const ConicHPA2<PT,DA>& c2)
@@ -61,7 +61,7 @@ class ConicHPA2
         _v = a1 * c1.v() + a2 * c2.v();
         _w = a1 * c1.w() + a2 * c2.w();
     }
-    
+
     static void set_two_linepairs (const PT& p1,
                                    const PT& p2,
                                    const PT& p3,
@@ -75,7 +75,7 @@ class ConicHPA2
         da.get (p2, x2, y2, h2);
         da.get (p3, x3, y3, h3);
         da.get (p4, x4, y4, h4);
-    
+
         CGAL::Orientation side1_24 = (CGAL::Orientation)(CGAL_NTS sign
                                        (-h2*x1*y4+h1*x2*y4
                                         +h2*x4*y1-h4*x2*y1
@@ -104,7 +104,7 @@ class ConicHPA2
             }
         }
     }
-    
+
     void set_ellipse (const ConicHPA2<PT,DA>& pair1,
                       const ConicHPA2<PT,DA>& pair2)
     {
@@ -113,14 +113,14 @@ class ConicHPA2
         set_linear_combination (pair2.det()-b, pair1,
                                 pair1.det()-b, pair2);
     }
-    
+
     void set (const ConicHPA2<PT,DA>& c1,
               const ConicHPA2<PT,DA>& c2,
               const PT& p)
     {
         set_linear_combination (c2.evaluate(p), c1, -c1.evaluate(p), c2);
     }
-    
+
     CGAL::Sign vol_derivative (RT dr, RT ds, RT dt,
                               RT du, RT dv, RT dw) const
     {
@@ -133,10 +133,10 @@ class ConicHPA2
            b0 = (RT(4)*r()*s()-t()*t())*w()
                 -u()*u()*s()-v()*v()*r()+u()*v()*t(),
            c0 = -RT(2)*a0*b1 + RT(3)*a1*b0;
-    
+
         return CGAL_NTS sign ((int)-CGAL_NTS sign (c0)*o);
     }
-    
+
     double vol_minimum (RT dr, RT ds, RT dt, RT du, RT dv, RT dw) const
     {
         RT a2 = RT(4)*dr*ds-dt*dt,
@@ -156,7 +156,7 @@ class ConicHPA2
            c2 = -RT(6)*a0*b3 - a1*b2 + RT(4)*a2*b1,
            c1 = -RT(4)*a0*b2 + a1*b1 + RT(6)*a2*b0,
            c0 = -RT(2)*a0*b1 + RT(3)*a1*b0;
-    
+
            double roots[3];
            int nr_roots = solve_cubic
                                 (CGAL::to_double(c3), CGAL::to_double(c2),
@@ -169,15 +169,15 @@ class ConicHPA2
                                  CGAL::to_double(b2), CGAL::to_double(b1),
                                  CGAL::to_double(b0));
     }
-    
-    
+
+
 
   protected:
     RT det () const
     {
         return RT(4)*s()*r() - t()*t();
     }
-    
+
     void analyse( )
     {
         RT d = det();
@@ -189,8 +189,8 @@ class ConicHPA2
                 RT z_prime = d*w() - u()*u()*s() - v()*v()*r() + u()*v()*t();
                 o = (CGAL::Orientation)(CGAL_NTS sign (z_prime));
                 degenerate = (o == CGAL::ZERO);
-                
-                
+
+
             }
             break;
         case PARABOLA:
@@ -256,8 +256,8 @@ class ConicHPA2
                     else
                         o = CGAL::ZERO;
                 }
-                
-                
+
+
             }
             break;
         case ELLIPSE:
@@ -276,119 +276,119 @@ class ConicHPA2
             break;
         }
     }
-    
+
     RT evaluate (const PT& p) const
     {
         RT x, y, h;
         dao.get (p, x, y, h);
         return  r()*x*x + s()*y*y + t()*x*y + u()*x*h + v()*y*h + w()*h*h;
     }
-    
-    
+
+
 
   public:
     ConicHPA2 ( const DA& da = DA()) : dao( da) { }
-    
+
     ConicHPA2 (RT r, RT s, RT t, RT u, RT v, RT w, const DA& da = DA())
         : dao( da), _r(r), _s(s), _t(t), _u(u), _v(v), _w(w)
     {
         analyse();
     }
-    
+
     const DA&  da() const
     {
         return dao;
     }
-    
+
     RT r() const { return _r;}
     RT s() const { return _s;}
     RT t() const { return _t;}
     RT u() const { return _u;}
     RT v() const { return _v;}
     RT w() const { return _w;}
-    
+
     PT center () const
     {
         CGAL_kernel_precondition (type != PARABOLA);
         // PT p;
-	// replaced previous line by following hack (no idea
-	// why original version doesn't work)
+        // replaced previous line by following hack (no idea
+        // why original version doesn't work)
         typename DA::Point_2 p;
         RT two = RT(2);
         dao.set( p, two*s()*u() - t()*v(), two*r()*v() - t()*u(), -det());
         return p;
     }
-    
+
     Conic_type conic_type () const
     {
         return type;
     }
-    
+
     bool is_hyperbola () const
     {
         return (type == HYPERBOLA);
     }
-    
+
     bool is_parabola () const
     {
         return (type == PARABOLA);
     }
-    
+
     bool is_ellipse () const
     {
         return (type == ELLIPSE);
     }
-    
+
     bool is_circle () const
     {
         return (type == ELLIPSE && (r()==s()) && CGAL_NTS is_zero (t()));
     }
-   
+
     bool is_empty () const
     {
         return empty;
     }
-    
+
     bool is_trivial () const
     {
         return trivial;
     }
-    
+
     bool is_degenerate () const
     {
         return degenerate;
     }
-    
+
     CGAL::Orientation orientation () const
     {
         return o;
     }
-    
+
     CGAL::Oriented_side oriented_side (const PT& p) const
     {
         return (CGAL::Oriented_side)(CGAL_NTS sign (evaluate (p)));
     }
-    
+
     bool has_on_positive_side (const PT& p) const
     {
         return (CGAL_NTS is_positive (evaluate(p)));
     }
-    
+
     bool has_on_negative_side (const PT& p) const
     {
         return (CGAL_NTS is_negative (evaluate(p)));
     }
-    
+
     bool has_on_boundary (const PT& p) const
     {
        return (CGAL_NTS is_zero (evaluate(p)));
     }
-    
+
     bool has_on (const PT& p) const
     {
        return (CGAL_NTS is_zero (evaluate(p)));
     }
-    
+
     Convex_side convex_side (const PT& p) const
     {
         switch (o) {
@@ -402,17 +402,17 @@ class ConicHPA2
         // keeps g++ happy
         return( Convex_side( 0));
     }
-    
+
     bool has_on_convex_side (const PT& p) const
     {
         return (convex_side (p) == ON_CONVEX_SIDE);
     }
-    
+
     bool has_on_nonconvex_side (const PT& p) const
     {
         return (convex_side (p) == ON_NONCONVEX_SIDE);
     }
-    
+
     bool operator == ( const ConicHPA2<_PT,_DA>& c) const
     {
         // find coefficient != 0
@@ -424,7 +424,7 @@ class ConicHPA2
         if ( ! CGAL_NTS is_zero( v())) factor1 = v(); else
         if ( ! CGAL_NTS is_zero( w())) factor1 = w(); else
         CGAL_kernel_assertion_msg( false, "all coefficients zero");
-    
+
         // find coefficient != 0
         RT  factor2(0);
         if ( ! CGAL_NTS is_zero( c.r())) factor2 = c.r(); else
@@ -434,7 +434,7 @@ class ConicHPA2
         if ( ! CGAL_NTS is_zero( c.v())) factor2 = c.v(); else
         if ( ! CGAL_NTS is_zero( c.w())) factor2 = c.w(); else
         CGAL_kernel_assertion_msg( false, "all coefficients zero");
-    
+
         return(    ( r()*factor2 == c.r()*factor1)
                 && ( s()*factor2 == c.s()*factor1)
                 && ( t()*factor2 == c.t()*factor1)
@@ -442,31 +442,31 @@ class ConicHPA2
                 && ( v()*factor2 == c.v()*factor1)
                 && ( w()*factor2 == c.w()*factor1));
     }
-    
+
     void set (RT r_, RT s_, RT t_, RT u_, RT v_, RT w_)
     {
         _r = r_; _s = s_; _t = t_; _u = u_; _v = v_; _w = w_;
         analyse();
      }
-    
+
     void set_opposite ()
     {
         _r = -r(); _s = -s(); _t = -t(); _u = -u(); _v = -v(); _w = -w();
         o = CGAL::opposite(orientation());
     }
-     
-  void set_circle (const PT& p1, const PT& p2, const PT& p3) 
-  { 
+
+  void set_circle (const PT& p1, const PT& p2, const PT& p3)
+  {
      // the circle will have r = s = det*h1*h2*h3, t=0
      RT x1, y1, h1, x2, y2, h2, x3, y3, h3;
      dao.get (p1, x1, y1, h1);
      dao.get (p2, x2, y2, h2);
      dao.get (p3, x3, y3, h3);
-    
+
      // precondition: p1, p2, p3 not collinear
      RT det = -h1*x3*y2+h3*x1*y2+h1*x2*y3-h2*x1*y3+h2*x3*y1-h3*x2*y1;
      CGAL_kernel_precondition (!CGAL_NTS is_zero (det));
-     
+
      // Cramer's rule
      RT sqr1 = (-x1*x1 - y1*y1)*h2*h3;
      RT sqr2 = (-x2*x2 - y2*y2)*h1*h3;
@@ -485,7 +485,7 @@ class ConicHPA2
      CGAL_kernel_postcondition(has_on_boundary(p2));
      CGAL_kernel_postcondition(has_on_boundary(p3));
   }
- 
+
     void set_linepair (const PT& p1, const PT& p2, const PT& p3,
                        const PT& p4, const DA& da = DA())
     {
@@ -494,40 +494,40 @@ class ConicHPA2
         da.get (p2, x2, y2, h2);
         da.get (p3, x3, y3, h3);
         da.get (p4, x4, y4, h4);
-    
+
         // precondition: p1 != p2, p3 != p4
         CGAL_kernel_precondition
             ( ((x1*h2 != x2*h1) || (y1*h2 != y2*h1)) &&
               ((x3*h4 != x4*h3) || (y3*h4 != y4*h3)) );
-    
+
         RT h1x2_x1h2 = h1*x2-x1*h2;
         RT h3x4_x3h4 = h3*x4-x3*h4;
         RT y1h2_h1y2 = y1*h2-h1*y2;
         RT y3h4_h3y4 = y3*h4-h3*y4;
         RT x1y2_y1x2 = x1*y2-y1*x2;
         RT x3y4_y3x4 = x3*y4-y3*x4;
-    
+
         _r = y1h2_h1y2 * y3h4_h3y4;
         _s = h1x2_x1h2 * h3x4_x3h4;
         _t = h1x2_x1h2 * y3h4_h3y4 + y1h2_h1y2 * h3x4_x3h4;
         _u = x1y2_y1x2 * y3h4_h3y4 + y1h2_h1y2 * x3y4_y3x4;
         _v = x1y2_y1x2 * h3x4_x3h4 + h1x2_x1h2 * x3y4_y3x4;
         _w = x1y2_y1x2 * x3y4_y3x4;
-    
+
         analyse();
     }
-    
+
     void set_ellipse (const PT& p1, const PT& p2, const PT& p3)
     {
         RT x1, y1, h1, x2, y2, h2, x3, y3, h3;
         dao.get (p1, x1, y1, h1);
         dao.get (p2, x2, y2, h2);
         dao.get (p3, x3, y3, h3);
-    
+
         // precondition: p1, p2, p3 not collinear
         RT det = -h1*x3*y2+h3*x1*y2+h1*x2*y3-h2*x1*y3+h2*x3*y1-h3*x2*y1;
         CGAL_kernel_precondition (!CGAL_NTS is_zero (det));
-    
+
         RT x1x1 = x1*x1, y1y1 = y1*y1,
            x2x2 = x2*x2, y2y2 = y2*y2,
            x3x3 = x3*x3, y3y3 = y3*y3,  // x_i^2, y_i^2
@@ -538,39 +538,39 @@ class ConicHPA2
            h2h2 = h2*h2,
            h3h3 = h3*h3,                // h_i^2
            two = RT(2);                 // 2
-    
+
         _r = y1y1*h2h2*h3h3 - y1h1*y2h2*h3h3 - y1h1*h2h2*y3h3 +
              h1h1*y2y2*h3h3 - h1h1*y2h2*y3h3 + h1h1*h2h2*y3y3;
-    
+
         _s = x1x1*h2h2*h3h3 - x1h1*x2h2*h3h3 - x1h1*h2h2*x3h3 +
              h1h1*x2x2*h3h3 - h1h1*x2h2*x3h3 + h1h1*h2h2*x3x3;
-    
+
         _t = -two*x1*y1*h2h2*h3h3 + x1h1*y2h2*h3h3 + x1h1*h2h2*y3h3 +
                  y1h1*x2h2*h3h3 -two*h1h1*x2*y2*h3h3 + h1h1*x2h2*y3h3 +
                  y1h1*h2h2*x3h3 + h1h1*y2h2*x3h3 -two*h1h1*h2h2*x3*y3;
-    
+
         _u = -(h1h1*y2y2*x3h3 - h1h1*x2*y2*y3h3 - h1h1*y2h2*x3*y3 +
                    x1h1*h2h2*y3y3 + h1h1*x2h2*y3y3 +y1y1*x2h2*h3h3 +
                    y1y1*h2h2*x3h3 - x1*y1*y2h2*h3h3 - y1h1*x2*y2*h3h3 -
                    x1*y1*h2h2*y3h3 - y1h1*h2h2*x3*y3 + x1h1*y2y2*h3h3);
-    
+
         _v = -(h1h1*x2x2*y3h3 - h1h1*x2*y2*x3h3 - h1h1*x2h2*x3*y3 +
                    y1h1*h2h2*x3x3 + h1h1*y2h2*x3x3 +x1x1*y2h2*h3h3 +
                    x1x1*h2h2*y3h3 - x1*y1*x2h2*h3h3 - x1h1*x2*y2*h3h3 -
                    x1*y1*h2h2*x3h3 - x1h1*h2h2*x3*y3 + y1h1*x2x2*h3h3);
-    
+
         _w = y1y1*x2h2*x3h3 - x1*y1*y2h2*x3h3 - y1h1*x2*y2*x3h3 +
              y1h1*y2h2*x3x3 - x1*y1*x2h2*y3h3 + y1h1*x2x2*y3h3 -
              y1h1*x2h2*x3*y3 + x1h1*y2y2*x3h3 + x1x1*y2h2*y3h3 -
              x1h1*x2*y2*y3h3 - x1h1*y2h2*x3*y3 + x1h1*x2h2*y3y3;
-    
+
         type = ELLIPSE;
         degenerate = trivial = empty = false;
         o = CGAL::NEGATIVE;
         if (CGAL_NTS is_positive (det)) set_opposite ();
-    
+
     }
-    
+
     void set_ellipse (const PT& p1, const PT& p2,
                       const PT& p3, const PT& p4,
                       CGAL::Orientation _o = POSITIVE)
@@ -581,7 +581,7 @@ class ConicHPA2
         analyse();
         if (o != _o) set_opposite();
     }
-    
+
     void set (const PT& p1, const PT& p2, const PT& p3, const PT& p4,
               const PT& p5, CGAL::Orientation _o = POSITIVE)
     {
@@ -594,8 +594,8 @@ class ConicHPA2
         CGAL_kernel_precondition (!is_trivial());
         if (o != _o) set_opposite();
     }
-    
-    
+
+
 };
 
 #ifndef CGAL_NO_OSTREAM_INSERT_CONICHPA2
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/Data_accessorH2.h 5.0.3-1/include/CGAL/Homogeneous/Data_accessorH2.h
--- 5.0.2-3/include/CGAL/Homogeneous/Data_accessorH2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/Data_accessorH2.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999,2001  
+// Copyright (c) 1999,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/Data_accessorH2.h $
-// $Id: Data_accessorH2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/Data_accessorH2.h $
+// $Id: Data_accessorH2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 
 #ifndef CGAL_DATA_ACCESSORH2_H
 #define CGAL_DATA_ACCESSORH2_H
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/DirectionH2.h 5.0.3-1/include/CGAL/Homogeneous/DirectionH2.h
--- 5.0.2-3/include/CGAL/Homogeneous/DirectionH2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/DirectionH2.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/DirectionH2.h $
-// $Id: DirectionH2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/DirectionH2.h $
+// $Id: DirectionH2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 #ifndef CGAL_HOMOGENEOUS_DIRECTION_2_H
 #define CGAL_HOMOGENEOUS_DIRECTION_2_H
 
@@ -52,7 +52,7 @@ public:
   {
     return static_cast<const Self& >(*this);
   }
-  
+
    DirectionH2() {}
 
    DirectionH2(const RT& x, const RT& y)
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/DirectionH3.h 5.0.3-1/include/CGAL/Homogeneous/DirectionH3.h
--- 5.0.2-3/include/CGAL/Homogeneous/DirectionH3.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/DirectionH3.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/DirectionH3.h $
-// $Id: DirectionH3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/DirectionH3.h $
+// $Id: DirectionH3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 #ifndef CGAL_HOMOGENEOUS_DIRECTION_3_H
 #define CGAL_HOMOGENEOUS_DIRECTION_3_H
 
@@ -36,7 +36,7 @@ class DirectionH3
 
     typedef std::array<RT, 4>              Rep;
     typedef typename R_::template Handle<Rep>::type  Base;
- 
+
     Base base;
 
 public:
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/distance_predicatesH2.h 5.0.3-1/include/CGAL/Homogeneous/distance_predicatesH2.h
--- 5.0.2-3/include/CGAL/Homogeneous/distance_predicatesH2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/distance_predicatesH2.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/distance_predicatesH2.h $
-// $Id: distance_predicatesH2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/distance_predicatesH2.h $
+// $Id: distance_predicatesH2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 
 #ifndef CGAL_DISTANCE_PREDICATESH2_H
 #define CGAL_DISTANCE_PREDICATESH2_H
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/distance_predicatesH3.h 5.0.3-1/include/CGAL/Homogeneous/distance_predicatesH3.h
--- 5.0.2-3/include/CGAL/Homogeneous/distance_predicatesH3.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/distance_predicatesH3.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/distance_predicatesH3.h $
-// $Id: distance_predicatesH3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/distance_predicatesH3.h $
+// $Id: distance_predicatesH3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 
 #ifndef CGAL_DISTANCE_PREDICATESH3_H
 #define CGAL_DISTANCE_PREDICATESH3_H
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/function_objects.h 5.0.3-1/include/CGAL/Homogeneous/function_objects.h
--- 5.0.2-3/include/CGAL/Homogeneous/function_objects.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/function_objects.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999-2004  
+// Copyright (c) 1999-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/function_objects.h $
-// $Id: function_objects.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/function_objects.h $
+// $Id: function_objects.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -46,7 +46,7 @@ namespace HomogeneousKernelFunctors {
   using CartesianKernelFunctors::Compute_area_divided_by_pi_3;
   using CartesianKernelFunctors::Compute_squared_length_divided_by_pi_square_3;
   using CartesianKernelFunctors::Construct_radical_plane_3;
-	
+
   template <typename K>
   class Angle_2
   {
@@ -65,7 +65,7 @@ namespace HomogeneousKernelFunctors {
     { return operator()(c(q,p), c(q,r)); }
 
     result_type
-    operator()(const Point_2& p, const Point_2& q, 
+    operator()(const Point_2& p, const Point_2& q,
                const Point_2& r, const Point_2& s) const
     { return operator()(c(q,p), c(s,r)); }
 
@@ -136,23 +136,23 @@ namespace HomogeneousKernelFunctors {
     operator()( const Triangle_2& t, const Point_2& p) const
     {
       typename K::Collinear_are_ordered_along_line_2
-	collinear_are_ordered_along_line;
+        collinear_are_ordered_along_line;
       typename K::Orientation_2 orientation;
       typename K::Orientation o1 = orientation(t.vertex(0), t.vertex(1), p),
-	                      o2 = orientation(t.vertex(1), t.vertex(2), p),
-	                      o3 = orientation(t.vertex(2), t.vertex(3), p);
+                              o2 = orientation(t.vertex(1), t.vertex(2), p),
+                              o3 = orientation(t.vertex(2), t.vertex(3), p);
 
       if (o2 == o1 && o3 == o1)
-	return ON_BOUNDED_SIDE;
+        return ON_BOUNDED_SIDE;
       return
-	(o1 == COLLINEAR
-	 && collinear_are_ordered_along_line(t.vertex(0), p, t.vertex(1))) ||
-	(o2 == COLLINEAR
-	 && collinear_are_ordered_along_line(t.vertex(1), p, t.vertex(2))) ||
-	(o3 == COLLINEAR
-	 && collinear_are_ordered_along_line(t.vertex(2), p, t.vertex(3)))
-	? ON_BOUNDARY
-	: ON_UNBOUNDED_SIDE;
+        (o1 == COLLINEAR
+         && collinear_are_ordered_along_line(t.vertex(0), p, t.vertex(1))) ||
+        (o2 == COLLINEAR
+         && collinear_are_ordered_along_line(t.vertex(1), p, t.vertex(2))) ||
+        (o3 == COLLINEAR
+         && collinear_are_ordered_along_line(t.vertex(2), p, t.vertex(3)))
+        ? ON_BOUNDARY
+        : ON_UNBOUNDED_SIDE;
     }
 
     result_type
@@ -289,21 +289,21 @@ namespace HomogeneousKernelFunctors {
       const RT& rhw = r.hw();
 
       if ( !(phx * rhw == rhx * phw ) )          // non-vertical ?
-	{
-	  return !( (  ( phx * qhw < qhx * phw)
-		       &&( rhx * qhw < qhx * rhw))
-		    ||(  ( qhx * phw < phx * qhw)
-			 &&( qhx * rhw < rhx * qhw)) );
-	}
+        {
+          return !( (  ( phx * qhw < qhx * phw)
+                       &&( rhx * qhw < qhx * rhw))
+                    ||(  ( qhx * phw < phx * qhw)
+                         &&( qhx * rhw < rhx * qhw)) );
+        }
       else if ( !(phy * rhw == rhy * phw ) )
-	{
-	  return !( (  ( phy * qhw < qhy * phw)
-		       &&( rhy * qhw < qhy * rhw))
-		    ||(  ( qhy * phw < phy * qhw)
-			 &&( qhy * rhw < rhy * qhw)) );
-	}
+        {
+          return !( (  ( phy * qhw < qhy * phw)
+                       &&( rhy * qhw < qhy * rhw))
+                    ||(  ( qhy * phw < phy * qhw)
+                         &&( qhy * rhw < rhy * qhw)) );
+        }
       else
-	return (( phx*qhw == qhx*phw) && ( phy*qhw == qhy*phw));
+        return (( phx*qhw == qhx*phw) && ( phy*qhw == qhy*phw));
     }
   };
 
@@ -343,12 +343,12 @@ namespace HomogeneousKernelFunctors {
       const RT rpx = rhx*phw;
 
       if ( prx != rpx )   // px != rx
-	{
-	  //    (px <= qx)&&(qx <= rx) || (px >= qx)&&(qx >= rx)
-	  // !(((qx <  px)||(rx <  qx))&&((px <  qx)||(qx <  rx)))
-	  return ! (   ((qpx < pqx) || (rqx < qrx))
-		       && ((pqx < qpx) || (qrx < rqx))  );
-	}
+        {
+          //    (px <= qx)&&(qx <= rx) || (px >= qx)&&(qx >= rx)
+          // !(((qx <  px)||(rx <  qx))&&((px <  qx)||(qx <  rx)))
+          return ! (   ((qpx < pqx) || (rqx < qrx))
+                       && ((pqx < qpx) || (qrx < rqx))  );
+        }
 
       const RT & phy = p.hy();
       const RT & qhy = q.hy();
@@ -362,10 +362,10 @@ namespace HomogeneousKernelFunctors {
       const RT rpy = rhy*phw;
 
       if ( pry != rpy )
-	{
-	  return ! (   ((qpy < pqy) || (rqy < qry))
-		       && ((pqy < qpy) || (qry < rqy))  );
-	}
+        {
+          return ! (   ((qpy < pqy) || (rqy < qry))
+                       && ((pqy < qpy) || (qry < rqy))  );
+        }
 
       const RT & phz = p.hz();
       const RT & qhz = q.hz();
@@ -379,10 +379,10 @@ namespace HomogeneousKernelFunctors {
       const RT rpz = rhz*phw;
 
       if ( prz != rpz )
-	{
-	  return ! (   ((qpz < pqz) || (rqz < qrz))
-		       && ((pqz < qpz) || (qrz < rqz))  );
-	}
+        {
+          return ! (   ((qpz < pqz) || (rqz < qrz))
+                       && ((pqz < qpz) || (qrz < rqz))  );
+        }
       // p == r
       return  ((rqx == qrx) && (rqy == qry) && (rqz == qrz));
     }
@@ -422,19 +422,19 @@ namespace HomogeneousKernelFunctors {
       const RT& rhw = r.hw();
 
       if ( !(phx * rhw == rhx * phw ) )
-	{
-	  return (   ( phx * qhw < qhx * phw)
-		     &&( qhx * rhw < rhx * qhw))
-	    ||(   ( qhx * phw < phx * qhw)    // ( phx * qhw > qhx * phw)
-		  &&( rhx * qhw < qhx * rhw));  // ( qhx * rhw > rhx * qhw)
-	}
+        {
+          return (   ( phx * qhw < qhx * phw)
+                     &&( qhx * rhw < rhx * qhw))
+            ||(   ( qhx * phw < phx * qhw)    // ( phx * qhw > qhx * phw)
+                  &&( rhx * qhw < qhx * rhw));  // ( qhx * rhw > rhx * qhw)
+        }
       else
-	{
-	  return (   ( phy * qhw < qhy * phw)
-		     &&( qhy * rhw < rhy * qhw))
-	    ||(   ( qhy * phw < phy * qhw)    // ( phy * qhw > qhy * phw)
-		  &&( rhy * qhw < qhy * rhw));  // ( qhy * rhw > rhy * qhw)
-	}
+        {
+          return (   ( phy * qhw < qhy * phw)
+                     &&( qhy * rhw < rhy * qhw))
+            ||(   ( qhy * phw < phy * qhw)    // ( phy * qhw > qhy * phw)
+                  &&( rhy * qhw < qhy * rhw));  // ( qhy * rhw > rhy * qhw)
+        }
     }
   };
 
@@ -486,7 +486,7 @@ namespace HomogeneousKernelFunctors {
 
     Collinear_has_on_2() {}
     Collinear_has_on_2(const Construct_point_on_2& cp_,
-		       const Compare_xy_2& cxy_)
+                       const Compare_xy_2& cxy_)
       : cp(cp_), cxy(cxy_)
     {}
 
@@ -542,14 +542,14 @@ namespace HomogeneousKernelFunctors {
       RT  det =  A*D - B*C;
 
       /*
-	RT det_old =   p.hx() * (q.hy()*r.hw() - q.hw()*r.hy() )
-	+ p.hy() * (q.hw()*r.hx() - q.hx()*r.hw() )
-	+ p.hw() * (q.hx()*r.hy() - q.hy()*r.hx() );
-	
-	if ( !(CGAL_NTS sign(det) == CGAL_NTS sign(det_old)) )
-	{
-	std::cerr << "det: " << det << " det_old: " << det_old << flush;
-	}
+        RT det_old =   p.hx() * (q.hy()*r.hw() - q.hw()*r.hy() )
+        + p.hy() * (q.hw()*r.hx() - q.hx()*r.hw() )
+        + p.hw() * (q.hx()*r.hy() - q.hy()*r.hx() );
+
+        if ( !(CGAL_NTS sign(det) == CGAL_NTS sign(det_old)) )
+        {
+        std::cerr << "det: " << det << " det_old: " << det_old << flush;
+        }
       */
 
       return CGAL_NTS is_zero(det);
@@ -592,21 +592,21 @@ namespace HomogeneousKernelFunctors {
       int       y_sign2 = static_cast<int>(CGAL_NTS sign( p2.hy() ));
 
       if ( y_sign1 * y_sign2 < 0)
-	{
-	  return (0 < y_sign1 ) ? SMALLER : LARGER;
-	}
+        {
+          return (0 < y_sign1 ) ? SMALLER : LARGER;
+        }
 
       Point_2   origin( RT0  , RT0   );
 
       if ( 0 < y_sign1 * y_sign2 )
-	{
-	  return orientation(origin, p2, p1);
+        {
+          return orientation(origin, p2, p1);
 
-	  // Precondition on the enums:
-	  // COUNTERCLOCKWISE == LARGER   ( ==  1 )
-	  // COLLINEAR        == EQUAL    ( ==  0 )
-	  // CLOCKWISE        == SMALLER  ( == -1 )
-	}
+          // Precondition on the enums:
+          // COUNTERCLOCKWISE == LARGER   ( ==  1 )
+          // COLLINEAR        == EQUAL    ( ==  0 )
+          // CLOCKWISE        == SMALLER  ( == -1 )
+        }
 
       // ( y_sign1 * y_sign2 == 0 )
 
@@ -616,10 +616,10 @@ namespace HomogeneousKernelFunctors {
       if ( b1 ) { return  b2 ? EQUAL : SMALLER; }
       if ( b2 ) { return  b1 ? EQUAL : LARGER; }
       if ( y_sign1 == y_sign2 )  // == 0
-	  return EQUAL;
+          return EQUAL;
       else
-	  return (orientation(origin, p1, p2) == COUNTERCLOCKWISE) ?
-	    SMALLER : LARGER;
+          return (orientation(origin, p1, p2) == COUNTERCLOCKWISE) ?
+            SMALLER : LARGER;
     }
   };
 
@@ -647,28 +647,28 @@ namespace HomogeneousKernelFunctors {
 
       RT dosd =   // difference of squared distances
 
-	//            phx * phx   *   qhw * qhw * rhw * rhw
-	//   -RT(2) * phx * qhx   *   phw * qhw * rhw * rhw
-	//   +        qhx * qhx   *   phw * phw * rhw * rhw
-	//
-	//   +        phy * phy   *   qhw * qhw * rhw * rhw
-	//   -RT(2) * phy * qhy   *   phw * qhw * rhw * rhw
-	//   +        qhy * qhy   *   phw * phw * rhw * rhw
-	//
-	// - (        phx * phx   *   qhw * qhw * rhw * rhw
-	//   -RT(2) * phx * rhx   *   phw * qhw * qhw * rhw
-	//   +        rhx * rhx   *   phw * phw * qhw * qhw
-	//
-	//   +        phy * phy   *   qhw * qhw * rhw * rhw
-	//   -RT(2) * phy * rhy   *   phw * qhw * qhw * rhw
-	//   +        rhy * rhy   *   phw * phw * qhw * qhw
-	
-	rhw*rhw * (         phw * ( qhx*qhx + qhy*qhy )
-			    - 2 * qhw * ( phx*qhx + phy*qhy )
-			    )
-	- qhw*qhw * (         phw * ( rhx*rhx + rhy*rhy )
-			      - 2 * rhw * ( phx*rhx + phy*rhy )
-			      );
+        //            phx * phx   *   qhw * qhw * rhw * rhw
+        //   -RT(2) * phx * qhx   *   phw * qhw * rhw * rhw
+        //   +        qhx * qhx   *   phw * phw * rhw * rhw
+        //
+        //   +        phy * phy   *   qhw * qhw * rhw * rhw
+        //   -RT(2) * phy * qhy   *   phw * qhw * rhw * rhw
+        //   +        qhy * qhy   *   phw * phw * rhw * rhw
+        //
+        // - (        phx * phx   *   qhw * qhw * rhw * rhw
+        //   -RT(2) * phx * rhx   *   phw * qhw * qhw * rhw
+        //   +        rhx * rhx   *   phw * phw * qhw * qhw
+        //
+        //   +        phy * phy   *   qhw * qhw * rhw * rhw
+        //   -RT(2) * phy * rhy   *   phw * qhw * qhw * rhw
+        //   +        rhy * rhy   *   phw * phw * qhw * qhw
+
+        rhw*rhw * (         phw * ( qhx*qhx + qhy*qhy )
+                            - 2 * qhw * ( phx*qhx + phy*qhy )
+                            )
+        - qhw*qhw * (         phw * ( rhx*rhx + rhy*rhy )
+                              - 2 * rhw * ( phx*rhx + phy*rhy )
+                              );
 
       return CGAL_NTS sign(dosd);
     }
@@ -715,12 +715,12 @@ namespace HomogeneousKernelFunctors {
 
       RT dosd =   // difference of squared distances
 
-	rhw*rhw * (         phw * ( qhx*qhx + qhy*qhy + qhz*qhz )
-			    - 2 * qhw * ( phx*qhx + phy*qhy + phz*qhz )
-			    )
-	- qhw*qhw * (         phw * ( rhx*rhx + rhy*rhy + rhz*rhz )
-			      - 2 * rhw * ( phx*rhx + phy*rhy + phz*rhz )
-			      );
+        rhw*rhw * (         phw * ( qhx*qhx + qhy*qhy + qhz*qhz )
+                            - 2 * qhw * ( phx*qhx + phy*qhy + phz*qhz )
+                            )
+        - qhw*qhw * (         phw * ( rhx*rhx + rhy*rhy + rhz*rhz )
+                              - 2 * rhw * ( phx*rhx + phy*rhy + phz*rhz )
+                              );
 
       return CGAL_NTS sign(dosd);
     }
@@ -748,9 +748,9 @@ namespace HomogeneousKernelFunctors {
     typedef typename K::Weighted_point_2         Weighted_point_2;
     typedef typename K::Point_2                  Point_2;
     typedef typename K::Comparison_result        Comparison_result;
-    
+
     typedef Comparison_result   result_type;
-    
+
     Comparison_result operator()(const Point_2& r,
                                  const Weighted_point_2& p,
                                  const Weighted_point_2& q) const
@@ -773,11 +773,11 @@ namespace HomogeneousKernelFunctors {
     operator()(const Line_2& l1, const Line_2& l2) const
     {
       if (l1.is_horizontal())
-	return l2.is_vertical() ?
-	  SMALLER : CGAL_NTS sign(l2.a()) * CGAL_NTS sign(l2.b());
+        return l2.is_vertical() ?
+          SMALLER : CGAL_NTS sign(l2.a()) * CGAL_NTS sign(l2.b());
       if (l2.is_horizontal())
-	return l1.is_vertical() ?
-	  LARGER : - CGAL_NTS sign(l1.a()) * CGAL_NTS sign(l1.b());
+        return l1.is_vertical() ?
+          LARGER : - CGAL_NTS sign(l1.a()) * CGAL_NTS sign(l1.b());
       if (l1.is_vertical()) return l2.is_vertical() ? EQUAL : LARGER;
       if (l2.is_vertical()) return SMALLER;
       int l1_sign = CGAL_NTS sign(-l1.a() * l1.b());
@@ -787,7 +787,7 @@ namespace HomogeneousKernelFunctors {
       if (l1_sign > l2_sign) return LARGER;
 
       if (l1_sign > 0)
-	return CGAL::compare( CGAL::abs(l1.a() * l2.b()),
+        return CGAL::compare( CGAL::abs(l1.a() * l2.b()),
                               CGAL::abs(l2.a() * l1.b()) );
 
       return CGAL::compare( CGAL::abs(l2.a() * l1.b()),
@@ -801,32 +801,32 @@ namespace HomogeneousKernelFunctors {
 
       typename K::Comparison_result cmp_y1 = compare_y(s1.source(), s1.target());
       if (cmp_y1 == EQUAL) // horizontal
-	{
-	  typename K::Comparison_result cmp_x2 = compare_x(s2.source(), s2.target());
+        {
+          typename K::Comparison_result cmp_x2 = compare_x(s2.source(), s2.target());
 
-	  if (cmp_x2 == EQUAL) return SMALLER;
-	  FT s_hw = s2.source().hw();
-	  FT t_hw = s2.target().hw();
-	  return - CGAL_NTS sign(s2.source().hy()*t_hw - s2.target().hy()*s_hw) *
-		   CGAL_NTS sign(s2.source().hx()*t_hw - s2.target().hx()*s_hw);
-	}
+          if (cmp_x2 == EQUAL) return SMALLER;
+          FT s_hw = s2.source().hw();
+          FT t_hw = s2.target().hw();
+          return - CGAL_NTS sign(s2.source().hy()*t_hw - s2.target().hy()*s_hw) *
+                   CGAL_NTS sign(s2.source().hx()*t_hw - s2.target().hx()*s_hw);
+        }
 
       typename K::Comparison_result cmp_y2 = compare_y(s2.source(), s2.target());
       if (cmp_y2 == EQUAL)
-	{
-	  typename K::Comparison_result cmp_x1 = compare_x(s1.source(), s1.target());
+        {
+          typename K::Comparison_result cmp_x1 = compare_x(s1.source(), s1.target());
 
-	  if (cmp_x1 == EQUAL) return LARGER;
-	  FT s_hw = s1.source().hw();
-	  FT t_hw = s1.target().hw();
-	  return CGAL_NTS sign(s1.source().hy()*t_hw - s1.target().hy()*s_hw) *
-		 CGAL_NTS sign(s1.source().hx()*t_hw - s1.target().hx()*s_hw);
-	}
+          if (cmp_x1 == EQUAL) return LARGER;
+          FT s_hw = s1.source().hw();
+          FT t_hw = s1.target().hw();
+          return CGAL_NTS sign(s1.source().hy()*t_hw - s1.target().hy()*s_hw) *
+                 CGAL_NTS sign(s1.source().hx()*t_hw - s1.target().hx()*s_hw);
+        }
 
       typename K::Comparison_result cmp_x1 = compare_x(s1.source(), s1.target());
       typename K::Comparison_result cmp_x2 = compare_x(s2.source(), s2.target());
       if (cmp_x1 == EQUAL)
-	return cmp_x2 == EQUAL ? EQUAL : LARGER;
+        return cmp_x2 == EQUAL ? EQUAL : LARGER;
 
       if (cmp_x2 == EQUAL) return SMALLER;
 
@@ -845,11 +845,11 @@ namespace HomogeneousKernelFunctors {
       if (s1_sign > s2_sign) return LARGER;
 
       if (s1_sign > 0)
-	return CGAL_NTS sign(CGAL_NTS abs(s1_ydiff * s2_xdiff) -
-			     CGAL_NTS abs(s2_ydiff * s1_xdiff));
+        return CGAL_NTS sign(CGAL_NTS abs(s1_ydiff * s2_xdiff) -
+                             CGAL_NTS abs(s2_ydiff * s1_xdiff));
 
       return CGAL_NTS sign(CGAL_NTS abs(s2_ydiff * s1_xdiff) -
-		           CGAL_NTS abs(s1_ydiff * s2_xdiff));
+                           CGAL_NTS abs(s1_ydiff * s2_xdiff));
     }
   };
 
@@ -868,9 +868,9 @@ namespace HomogeneousKernelFunctors {
       CGAL_kernel_precondition( ! h.is_horizontal() );
       typename K::Oriented_side ors = h.oriented_side( p );
       if ( h.a() < RT(0) )
-	  ors = -ors;
+          ors = -ors;
       if ( ors == ON_POSITIVE_SIDE )
-	  return LARGER;
+          return LARGER;
       return ( ors == ON_NEGATIVE_SIDE ) ? SMALLER : EQUAL;
     } // FIXME
 
@@ -886,7 +886,7 @@ namespace HomogeneousKernelFunctors {
 
     result_type
     operator()( const Line_2& l1, const Line_2& l2,
-	        const Line_2& h1, const Line_2& h2) const
+                const Line_2& h1, const Line_2& h2) const
     { return compare_x_at_y( gp_linear_intersection( l1, l2 ), h1, h2 ); }
     // FIXME
   };
@@ -905,24 +905,24 @@ namespace HomogeneousKernelFunctors {
       RT pV = p.hx()*q.hw();
       RT qV = q.hx()*p.hw();
       if ( pV < qV )
-	{
-	  return SMALLER;
-	}
+        {
+          return SMALLER;
+        }
       if ( qV < pV )    //   ( pV > qV )
-	{
-	  return LARGER;
-	}
+        {
+          return LARGER;
+        }
       // same x
       pV = p.hy()*q.hw();
       qV = q.hy()*p.hw();
       if ( pV < qV )
-	{
-	  return SMALLER;
-	}
+        {
+          return SMALLER;
+        }
       if ( qV < pV )    //   ( pV > qV )
-	{
-	  return LARGER;
-	}
+        {
+          return LARGER;
+        }
       // same x and y
       pV = p.hz()*q.hw();
       qV = q.hz()*p.hw();
@@ -952,10 +952,10 @@ namespace HomogeneousKernelFunctors {
       RT pV = phx*qhw;
       RT qV = qhx*phw;
       if ( pV == qV )
-	{
-	  pV = phy*qhw;
-	  qV = qhy*phw;
-	}
+        {
+          pV = phy*qhw;
+          qV = qhy*phw;
+        }
       return CGAL::compare(pV, qV);
     }
   };
@@ -982,10 +982,10 @@ namespace HomogeneousKernelFunctors {
       RT pV = phy*qhw;
       RT qV = qhy*phw;
       if ( pV == qV )
-	{
-	  pV = phx*qhw;
-	  qV = qhx*phw;
-	}
+        {
+          pV = phx*qhw;
+          qV = qhx*phw;
+        }
       return CGAL::compare(pV, qV);
     }
   };
@@ -1004,13 +1004,13 @@ namespace HomogeneousKernelFunctors {
       RT pV = p.hx()*q.hw();
       RT qV = q.hx()*p.hw();
       if ( pV < qV )
-	{
-	  return SMALLER;
-	}
+        {
+          return SMALLER;
+        }
       if ( qV < pV )    //   ( pV > qV )
-	{
-	  return LARGER;
-	}
+        {
+          return LARGER;
+        }
       // same x
       pV = p.hy()*q.hw();
       qV = q.hy()*p.hw();
@@ -1047,7 +1047,7 @@ namespace HomogeneousKernelFunctors {
 
     result_type
     operator()( const Line_2& l1, const Line_2& l2,
-	        const Line_2& h1, const Line_2& h2) const
+                const Line_2& h1, const Line_2& h2) const
     {
       Point_2 lip = gp_linear_intersection( l1, l2 );
       Point_2 hip = gp_linear_intersection( h1, h2 );
@@ -1082,7 +1082,7 @@ namespace HomogeneousKernelFunctors {
       CGAL_kernel_precondition( ! h.is_vertical() );
       typename K::Oriented_side ors = h.oriented_side( p );
       if ( h.b() < 0 )
-	  ors = -ors;
+          ors = -ors;
       return ors;
     } // FIXME
 
@@ -1098,7 +1098,7 @@ namespace HomogeneousKernelFunctors {
 
     result_type
     operator()( const Line_2& l1, const Line_2& l2,
-	        const Line_2& h1, const Line_2& h2) const
+                const Line_2& h1, const Line_2& h2) const
     { return compare_y_at_x( gp_linear_intersection( l1, l2 ), h1, h2 ); }
     // FIXME
 
@@ -1110,29 +1110,29 @@ namespace HomogeneousKernelFunctors {
 
       if (compare_x(s.source(), s.target()) == SMALLER) {
         CGAL_kernel_precondition(compare_x(s.source(), p) != LARGER
-				 && compare_x(p, s.target()) != LARGER);
+                                 && compare_x(p, s.target()) != LARGER);
         return (Comparison_result) orientation(p, s.source(), s.target());
       }
       else if (compare_x(s.source(), s.target()) == LARGER) {
         CGAL_kernel_precondition(compare_x(s.target(), p) != LARGER
-				 && compare_x(p, s.source()) != LARGER);
+                                 && compare_x(p, s.source()) != LARGER);
         return (Comparison_result) orientation(p, s.target(), s.source());
       }
       else {
         CGAL_kernel_precondition(compare_x(s.target(), p) == EQUAL);
-	if (compare_y(p, s.source()) == SMALLER &&
-	    compare_y(p, s.target()) == SMALLER)
-	  return SMALLER;
-	if (compare_y(p, s.source()) == LARGER &&
-	    compare_y(p, s.target()) == LARGER)
-	  return LARGER;
-	return EQUAL;
+        if (compare_y(p, s.source()) == SMALLER &&
+            compare_y(p, s.target()) == SMALLER)
+          return SMALLER;
+        if (compare_y(p, s.source()) == LARGER &&
+            compare_y(p, s.target()) == LARGER)
+          return LARGER;
+        return EQUAL;
       }
     } // FIXME
 
     result_type
     operator()( const Point_2& p,
-	        const Segment_2& s1, const Segment_2& s2) const
+                const Segment_2& s1, const Segment_2& s2) const
     {
       // compares the y-coordinates of the vertical projections
       //   of p on s1 and s2
@@ -1153,36 +1153,36 @@ namespace HomogeneousKernelFunctors {
       FT s2ty = s2.target().y();
 
       CGAL_kernel_precondition(px >= (CGAL::min)(s1sx, s1tx) &&
-	                       px <= (CGAL::max)(s1sx, s1tx));
+                               px <= (CGAL::max)(s1sx, s1tx));
       CGAL_kernel_precondition(px >= (CGAL::min)(s2sx, s2tx) &&
-	                       px <= (CGAL::max)(s2sx, s2tx));
+                               px <= (CGAL::max)(s2sx, s2tx));
 
       if (s1sx != s1tx && s2sx != s2tx) {
-	FT s1stx = s1sx-s1tx;
-	FT s2stx = s2sx-s2tx;
+        FT s1stx = s1sx-s1tx;
+        FT s2stx = s2sx-s2tx;
 
-	return CGAL::compare(s1sx, s1tx) *
+        return CGAL::compare(s1sx, s1tx) *
           CGAL::compare(s2sx, s2tx) *
           CGAL::compare(-(s1sx-px)*(s1sy-s1ty)*s2stx,
                         (s2sy-s1sy)*s2stx*s1stx
                         -(s2sx-px)*(s2sy-s2ty)*s1stx);
       }
       else {
-	if (s1sx == s1tx) { // s1 is vertical
-	  typename K::Comparison_result c1, c2;
-	  c1 = compare_y_at_x(s1.source(), s2);
-	  c2 = compare_y_at_x(s1.target(), s2);
-	  if (c1 == c2)
-	    return c1;
-	  return EQUAL;
-	}
-	// s2 is vertical
-	typename K::Comparison_result c3, c4;
-	c3 = compare_y_at_x(s2.source(), s1);
-	c4 = compare_y_at_x(s2.target(), s1);
-	if (c3 == c4)
-	  return -c3;
-	return EQUAL;
+        if (s1sx == s1tx) { // s1 is vertical
+          typename K::Comparison_result c1, c2;
+          c1 = compare_y_at_x(s1.source(), s2);
+          c2 = compare_y_at_x(s1.target(), s2);
+          if (c1 == c2)
+            return c1;
+          return EQUAL;
+        }
+        // s2 is vertical
+        typename K::Comparison_result c3, c4;
+        c3 = compare_y_at_x(s2.source(), s1);
+        c4 = compare_y_at_x(s2.target(), s1);
+        if (c3 == c4)
+          return -c3;
+        return EQUAL;
       }
     } // FIXME
   };
@@ -1222,7 +1222,7 @@ namespace HomogeneousKernelFunctors {
 
     result_type
     operator()( const Line_2& l1, const Line_2& l2,
-	        const Line_2& h1, const Line_2& h2) const
+                const Line_2& h1, const Line_2& h2) const
     {
       Point_2 lip = gp_linear_intersection( l1, l2 );
       Point_2 hip = gp_linear_intersection( h1, h2 );
@@ -1299,7 +1299,7 @@ namespace HomogeneousKernelFunctors {
     result_type
     operator()(const Vector_2& v, const Vector_2& w) const
     {
-	return determinant(v.hx(), v.hy(),
+        return determinant(v.hx(), v.hy(),
                                  w.hx(), w.hy()) / FT(v.hw() * w.hw());
     }
   };
@@ -1315,7 +1315,7 @@ namespace HomogeneousKernelFunctors {
     result_type
     operator()(const Vector_3& v, const Vector_3& w, const Vector_3& t) const
     {
-	return determinant(v.hx(), v.hy(), v.hz(),
+        return determinant(v.hx(), v.hy(), v.hz(),
                                  w.hx(), w.hy(), w.hz(),
                                  t.hx(), t.hy(), t.hz())
                               / FT(v.hw() * w.hw() * t.hw());
@@ -1403,7 +1403,7 @@ namespace HomogeneousKernelFunctors {
     FT
     operator()( const Point_3& /*p*/) const
     { return FT(0); }
-      
+
     FT
     operator()( const Point_3& p, const Point_3& q) const
     {
@@ -1419,7 +1419,7 @@ namespace HomogeneousKernelFunctors {
 
     FT
     operator()( const Point_3& p, const Point_3& q,
-	        const Point_3& r, const Point_3& s) const
+                const Point_3& r, const Point_3& s) const
     {
       return squared_distance(p, circumcenter(p, q, r, s));
     } // FIXME
@@ -1438,7 +1438,7 @@ namespace HomogeneousKernelFunctors {
 
     FT
     operator()(const Point_3& p0, const Point_3& p1,
-	       const Point_3& p2, const Point_3& p3) const
+               const Point_3& p2, const Point_3& p3) const
     {
       Vector_3 vec1 = p1 - p0;
       Vector_3 vec2 = p2 - p0;
@@ -1466,7 +1466,7 @@ namespace HomogeneousKernelFunctors {
     operator()( const Tetrahedron_3& t ) const
     {
       return this->operator()(t.vertex(0), t.vertex(1),
-		              t.vertex(2), t.vertex(3));
+                              t.vertex(2), t.vertex(3));
     }
 
     FT
@@ -1859,33 +1859,33 @@ namespace HomogeneousKernelFunctors {
     operator()( const Plane_3& h, int index ) const
     {
       if (index == 1) {
-	// point():
-	// a() != RT0 : Point_3( -d(), RT0, RT0, a() );
-	// b() != RT0 : Point_3( RT0, -d(), RT0, b() );
-	//            : Point_3( RT0, RT0, -d(), c() );
-	// point1():
-	// a() != RT0 : Point_3( -b()-d(), a(), RT0, a() );
-	// b() != RT0 : Point_3( RT0, -c()-d(), b(), b() );
-	//            : Point_3( c(), RT0, -a()-d(), c() );
-	
-	const RT RT0(0);
-	if ( h.a() != RT0 )
-	  {
-	    return Vector_3( -h.b(), h.a(), RT0, h.a() );
-	  }
-	if ( h.b() != RT0 )
-	  {
-	    return Vector_3( RT0, -h.c(), h.b(), h.b() );
-	  }
-	CGAL_kernel_assertion ( h.c() != RT(0) );
-	return Vector_3( h.c(), RT0, -h.a(), h.c() );
+        // point():
+        // a() != RT0 : Point_3( -d(), RT0, RT0, a() );
+        // b() != RT0 : Point_3( RT0, -d(), RT0, b() );
+        //            : Point_3( RT0, RT0, -d(), c() );
+        // point1():
+        // a() != RT0 : Point_3( -b()-d(), a(), RT0, a() );
+        // b() != RT0 : Point_3( RT0, -c()-d(), b(), b() );
+        //            : Point_3( c(), RT0, -a()-d(), c() );
+
+        const RT RT0(0);
+        if ( h.a() != RT0 )
+          {
+            return Vector_3( -h.b(), h.a(), RT0, h.a() );
+          }
+        if ( h.b() != RT0 )
+          {
+            return Vector_3( RT0, -h.c(), h.b(), h.b() );
+          }
+        CGAL_kernel_assertion ( h.c() != RT(0) );
+        return Vector_3( h.c(), RT0, -h.a(), h.c() );
       } else {
-	Vector_3 a = co(h);
-	Vector_3 b = this->operator()(h, 1);
-	return Vector_3(a.hy()*b.hz() - a.hz()*b.hy(),
-			a.hz()*b.hx() - a.hx()*b.hz(),
-			a.hx()*b.hy() - a.hy()*b.hx(),
-			a.hw()*b.hw() );
+        Vector_3 a = co(h);
+        Vector_3 b = this->operator()(h, 1);
+        return Vector_3(a.hy()*b.hz() - a.hz()*b.hy(),
+                        a.hz()*b.hx() - a.hx()*b.hz(),
+                        a.hx()*b.hy() - a.hy()*b.hx(),
+                        a.hw()*b.hw() );
       }
     }
   };
@@ -1923,8 +1923,8 @@ namespace HomogeneousKernelFunctors {
     {
       typename K::Construct_bbox_2 construct_bbox_2;
       return construct_bbox_2(t.vertex(0))
-	+ construct_bbox_2(t.vertex(1))
-	+ construct_bbox_2(t.vertex(2));
+        + construct_bbox_2(t.vertex(1))
+        + construct_bbox_2(t.vertex(2));
     }
 
     Bbox_2
@@ -1991,8 +1991,8 @@ namespace HomogeneousKernelFunctors {
     {
       typename K::Construct_bbox_3 construct_bbox;
       return construct_bbox(t.vertex(0))
-	   + construct_bbox(t.vertex(1))
-	   + construct_bbox(t.vertex(2));
+           + construct_bbox(t.vertex(1))
+           + construct_bbox(t.vertex(2));
     }
 
     Bbox_3
@@ -2029,7 +2029,7 @@ namespace HomogeneousKernelFunctors {
       Interval_nt<> maxz = z+r;
 
       return Bbox_3(minx.inf(), miny.inf(), minz.inf(),
-		    maxx.sup(), maxy.sup(), maxz.sup());
+                    maxx.sup(), maxy.sup(), maxz.sup());
     }
   };
 
@@ -2061,7 +2061,7 @@ namespace HomogeneousKernelFunctors {
       RT a = RT(2) * ( phx*phw*qhw*qhw - qhx*qhw*phw*phw );
       RT b = RT(2) * ( phy*phw*qhw*qhw - qhy*qhw*phw*phw );
       RT c = qhx*qhx*phw*phw + qhy*qhy*phw*phw
-	   - phx*phx*qhw*qhw - phy*phy*qhw*qhw;
+           - phx*phx*qhw*qhw - phy*phy*qhw*qhw;
 
       return Line_2( a, b, c );
     }
@@ -2107,7 +2107,7 @@ namespace HomogeneousKernelFunctors {
       RT b = RT(2) * ( phy*phw*qhw*qhw - qhy*qhw*phw*phw );
       RT c = RT(2) * ( phz*phw*qhw*qhw - qhz*qhw*phw*phw );
       RT d = qhx*qhx*phw*phw + qhy*qhy*phw*phw + qhz*qhz*phw*phw
-	   - phx*phx*qhw*qhw - phy*phy*qhw*qhw - phz*phz*qhw*qhw;
+           - phx*phx*qhw*qhw - phy*phy*qhw*qhw - phz*phz*qhw*qhw;
 
       return Plane_3( a, b, c, d );
     }
@@ -2117,8 +2117,8 @@ namespace HomogeneousKernelFunctors {
     {
       RT a, b, c, d;
       bisector_of_planesC3(p.a(), p.b(), p.c(), p.d(),
-	                   q.a(), q.b(), q.c(), q.d(),
-			   a, b, c, d);
+                           q.a(), q.b(), q.c(), q.d(),
+                           a, b, c, d);
       return Plane_3(a, b, c, d);
     }
   };
@@ -2162,9 +2162,9 @@ namespace HomogeneousKernelFunctors {
       const RT rhw(r.hw());
       const RT shw(s.hw());
       RT hx(p.hx()*qhw*rhw*shw + q.hx()*phw*rhw*shw + r.hx()*phw*qhw*shw
-	    + s.hx()*phw*qhw*rhw);
+            + s.hx()*phw*qhw*rhw);
       RT hy(p.hy()*qhw*rhw*shw + q.hy()*phw*rhw*shw + r.hy()*phw*qhw*shw
-	    + s.hy()*phw*qhw*rhw);
+            + s.hy()*phw*qhw*rhw);
       RT hw( phw*qhw*rhw*shw * 4);
       return Point_2(hx, hy, hw);
     }
@@ -2202,11 +2202,11 @@ namespace HomogeneousKernelFunctors {
       const RT& rhw = r.hw();
       const RT& shw = s.hw();
       RT hx(p.hx()*qhw*rhw*shw + q.hx()*phw*rhw*shw + r.hx()*phw*qhw*shw
-	    + s.hx()*phw*qhw*rhw);
+            + s.hx()*phw*qhw*rhw);
       RT hy(p.hy()*qhw*rhw*shw + q.hy()*phw*rhw*shw + r.hy()*phw*qhw*shw
-	    + s.hy()*phw*qhw*rhw);
+            + s.hy()*phw*qhw*rhw);
       RT hz(p.hz()*qhw*rhw*shw + q.hz()*phw*rhw*shw + r.hz()*phw*qhw*shw
-	    + s.hz()*phw*qhw*rhw);
+            + s.hz()*phw*qhw*rhw);
       RT hw( phw*qhw*rhw*shw * RT(4));
       return Point_3(hx, hy, hz, hw);
     }
@@ -2257,26 +2257,26 @@ namespace HomogeneousKernelFunctors {
 
 #ifdef CGAL_EXPANDED_CIRCUMCENTER_COMPUTATION
       RT vvx =
-	( qhy*qhw*phw*phw - phy*phw*qhw*qhw )
-	*( phx*phx*rhw*rhw + phy*phy*rhw*rhw -
-	   rhx*rhx*phw*phw - rhy*rhy*phw*phw )
-	-  ( rhy*rhw*phw*phw - phy*phw*rhw*rhw )
-	*( phx*phx*qhw*qhw + phy*phy*qhw*qhw -
-	   qhx*qhx*phw*phw - qhy*qhy*phw*phw );
+        ( qhy*qhw*phw*phw - phy*phw*qhw*qhw )
+        *( phx*phx*rhw*rhw + phy*phy*rhw*rhw -
+           rhx*rhx*phw*phw - rhy*rhy*phw*phw )
+        -  ( rhy*rhw*phw*phw - phy*phw*rhw*rhw )
+        *( phx*phx*qhw*qhw + phy*phy*qhw*qhw -
+           qhx*qhx*phw*phw - qhy*qhy*phw*phw );
 
       RT vvy =
-	-  ( qhx*qhw*phw*phw - phx*phw*qhw*qhw )
-	*( phx*phx*rhw*rhw + phy*phy*rhw*rhw -
-	   rhx*rhx*phw*phw - rhy*rhy*phw*phw )
-	+  ( rhx*rhw*phw*phw - phx*phw*rhw*rhw )
-	*( phx*phx*qhw*qhw + phy*phy*qhw*qhw -
-	   qhx*qhx*phw*phw - qhy*qhy*phw*phw );
+        -  ( qhx*qhw*phw*phw - phx*phw*qhw*qhw )
+        *( phx*phx*rhw*rhw + phy*phy*rhw*rhw -
+           rhx*rhx*phw*phw - rhy*rhy*phw*phw )
+        +  ( rhx*rhw*phw*phw - phx*phw*rhw*rhw )
+        *( phx*phx*qhw*qhw + phy*phy*qhw*qhw -
+           qhx*qhx*phw*phw - qhy*qhy*phw*phw );
 
       RT vvw = RT(2) *
-	(  ( qhx*qhw*phw*phw - phx*phw*qhw*qhw )
-	   *( rhy*rhw*phw*phw - phy*phw*rhw*rhw )
-	   -  ( rhx*rhw*phw*phw - phx*phw*rhw*rhw )
-	   *( qhy*qhw*phw*phw - phy*phw*qhw*qhw ) );
+        (  ( qhx*qhw*phw*phw - phx*phw*qhw*qhw )
+           *( rhy*rhw*phw*phw - phy*phw*rhw*rhw )
+           -  ( rhx*rhw*phw*phw - phx*phw*rhw*rhw )
+           *( qhy*qhw*phw*phw - phy*phw*qhw*qhw ) );
 #endif // CGAL_EXPANDED_CIRCUMCENTER_COMPUTATION
 
       RT qy_py = ( qhy*qhw*phw*phw - phy*phw*qhw*qhw );
@@ -2285,11 +2285,11 @@ namespace HomogeneousKernelFunctors {
       RT ry_py = ( rhy*rhw*phw*phw - phy*phw*rhw*rhw );
 
       RT px2_py2_rx2_ry_2 =
-	phx*phx*rhw*rhw + phy*phy*rhw*rhw -
-	rhx*rhx*phw*phw - rhy*rhy*phw*phw ;
+        phx*phx*rhw*rhw + phy*phy*rhw*rhw -
+        rhx*rhx*phw*phw - rhy*rhy*phw*phw ;
       RT px2_py2_qx2_qy_2 =
-	phx*phx*qhw*qhw + phy*phy*qhw*qhw -
-	qhx*qhx*phw*phw - qhy*qhy*phw*phw ;
+        phx*phx*qhw*qhw + phy*phy*qhw*qhw -
+        qhx*qhx*phw*phw - qhy*qhy*phw*phw ;
 
       RT vvx = qy_py * px2_py2_rx2_ry_2 - ry_py * px2_py2_qx2_qy_2;
       RT vvy = rx_px * px2_py2_qx2_qy_2 - qx_px * px2_py2_rx2_ry_2;
@@ -2327,8 +2327,8 @@ namespace HomogeneousKernelFunctors {
     operator()(const Point_3& p, const Point_3& q, const Point_3& r) const
     {
       return gp_linear_intersection( Plane_3(p,q,r),
-				     bisector(p,q),
-				     bisector(p,r));
+                                     bisector(p,q),
+                                     bisector(p,r));
     } // FIXME
 
     Point_3
@@ -2339,7 +2339,7 @@ namespace HomogeneousKernelFunctors {
 
     Point_3
     operator()(const Point_3& p, const Point_3& q,
-	       const Point_3& r, const Point_3& s) const
+               const Point_3& r, const Point_3& s) const
     {
       typedef typename K::RT RT;
 
@@ -2384,21 +2384,21 @@ namespace HomogeneousKernelFunctors {
       shw *= shw;
 
       RT chx =  determinant(phy, phz, pssq, phw,
-				  qhy, qhz, qssq, qhw,
-				  rhy, rhz, rssq, rhw,
-				  shy, shz, sssq, shw );
+                                  qhy, qhz, qssq, qhw,
+                                  rhy, rhz, rssq, rhw,
+                                  shy, shz, sssq, shw );
       RT chy =  determinant(phx, phz, pssq, phw,
-				  qhx, qhz, qssq, qhw,
-				  rhx, rhz, rssq, rhw,
-				  shx, shz, sssq, shw );
+                                  qhx, qhz, qssq, qhw,
+                                  rhx, rhz, rssq, rhw,
+                                  shx, shz, sssq, shw );
       RT chz =  determinant(phx, phy, pssq, phw,
-				  qhx, qhy, qssq, qhw,
-				  rhx, rhy, rssq, rhw,
-				  shx, shy, sssq, shw );
+                                  qhx, qhy, qssq, qhw,
+                                  rhx, rhy, rssq, rhw,
+                                  shx, shy, sssq, shw );
       RT chw =  determinant(phx, phy, phz, phw,
-				  qhx, qhy, qhz, qhw,
-				  rhx, rhy, rhz, rhw,
-				  shx, shy, shz, shw );
+                                  qhx, qhy, qhz, qhw,
+                                  rhx, rhy, rhz, rhw,
+                                  shx, shy, shz, shw );
 
       return Point_3( chx, -chy, chz, RT(2)*chw);
     }
@@ -2422,9 +2422,9 @@ namespace HomogeneousKernelFunctors {
     operator()(const Vector_3& a, const Vector_3& b) const
     {
       return Vector_3(a.hy()*b.hz() - a.hz()*b.hy(),
-		      a.hz()*b.hx() - a.hx()*b.hz(),
-		      a.hx()*b.hy() - a.hy()*b.hx(),
-		      a.hw()*b.hw() );
+                      a.hz()*b.hx() - a.hx()*b.hz(),
+                      a.hx()*b.hy() - a.hy()*b.hx(),
+                      a.hw()*b.hw() );
     }
   };
 
@@ -2501,7 +2501,7 @@ namespace HomogeneousKernelFunctors {
     operator()(Return_base_tag, const Point_2& q, const Point_2& p) const
     {
       return Rep( p.hx()*q.hw() - q.hx()*p.hw(),
-		  p.hy()*q.hw() - q.hy()*p.hw() );
+                  p.hy()*q.hw() - q.hy()*p.hw() );
     }
 
 
@@ -2635,7 +2635,7 @@ namespace HomogeneousKernelFunctors {
     operator()(const Vector_2& v, const FT& f ) const
     {
       return Vector_2( v.hx()*f.denominator(), v.hy()*f.denominator(),
-		       v.hw()*f.numerator() );
+                       v.hw()*f.numerator() );
     }
 
     Vector_2
@@ -2658,7 +2658,7 @@ namespace HomogeneousKernelFunctors {
     operator()(const Vector_3& v, const FT& f ) const
     {
       return Vector_3( v.hx()*f.denominator(), v.hy()*f.denominator(),
-		       v.hz()*f.denominator(), v.hw()*f.numerator() );
+                       v.hz()*f.denominator(), v.hw()*f.numerator() );
     }
 
     Vector_3
@@ -2726,33 +2726,33 @@ namespace HomogeneousKernelFunctors {
                const Point_2 &bottom, const Point_2 &top) const
     {
         CGAL_kernel_assertion_code(typename K::Less_x_2 less_x;)
-	CGAL_kernel_assertion_code(typename K::Less_y_2 less_y;)
-	CGAL_kernel_assertion(!less_x(right, left));
+        CGAL_kernel_assertion_code(typename K::Less_y_2 less_y;)
+        CGAL_kernel_assertion(!less_x(right, left));
         CGAL_kernel_assertion(!less_y(top, bottom));
         return Rep(Point_2(left.hx()   * bottom.hw(),
-			   bottom.hy() * left.hw(),
-			   left.hw()   * bottom.hw()),
-		   Point_2(right.hx()  * top.hw(),
-			   top.hy()    * right.hw(),
-			   right.hw()  * top.hw()), 0);
+                           bottom.hy() * left.hw(),
+                           left.hw()   * bottom.hw()),
+                   Point_2(right.hx()  * top.hw(),
+                           top.hy()    * right.hw(),
+                           right.hw()  * top.hw()), 0);
     }
 
     Rep // Iso_rectangle_2
     operator()(Return_base_tag, const RT& min_hx, const RT& min_hy,
-	       const RT& max_hx, const RT& max_hy) const
+               const RT& max_hx, const RT& max_hy) const
     {
       CGAL_kernel_precondition(min_hx <= max_hx);
       CGAL_kernel_precondition(min_hy <= max_hy);
       return Rep(Point_2(min_hx, min_hy),
-		 Point_2(max_hx, max_hy), 0);
+                 Point_2(max_hx, max_hy), 0);
     }
 
     Rep // Iso_rectangle_2
     operator()(Return_base_tag, const RT& min_hx, const RT& min_hy,
-	       const RT& max_hx, const RT& max_hy, const RT& hw) const
+               const RT& max_hx, const RT& max_hy, const RT& hw) const
     {
-	return Rep(Point_2(min_hx, min_hy, hw),
-		   Point_2(max_hx, max_hy, hw), 0);
+        return Rep(Point_2(min_hx, min_hy, hw),
+                   Point_2(max_hx, max_hy, hw), 0);
     }
 
 
@@ -2777,14 +2777,14 @@ namespace HomogeneousKernelFunctors {
 
     Iso_rectangle_2
     operator()(const RT& min_hx, const RT& min_hy,
-	       const RT& max_hx, const RT& max_hy) const
+               const RT& max_hx, const RT& max_hy) const
     {
       return this->operator()(Return_base_tag(), min_hx, min_hy, max_hx, max_hy);
     }
 
     Iso_rectangle_2
     operator()(const RT& min_hx, const RT& min_hy,
-	       const RT& max_hx, const RT& max_hy, const RT& hw) const
+               const RT& max_hx, const RT& max_hy, const RT& hw) const
     {
       return this->operator()(Return_base_tag(), min_hx, min_hy, max_hx, max_hy, hw);
     }
@@ -2837,14 +2837,14 @@ namespace HomogeneousKernelFunctors {
     operator()(Return_base_tag, const Point_2& p, const Point_2& q) const
     {
       return Rep(
-		    //  a() * X + b() * Y + c() * W() == 0
-		    //      |    X        Y       W     |
-		    //      |  p.hx()   p.hy()  p.hw()  |
-		    //      |  q.hx()   q.hy()  q.hw()  |
-		
-		    p.hy()*q.hw() - p.hw()*q.hy(),
-		    p.hw()*q.hx() - p.hx()*q.hw(),
-		    p.hx()*q.hy() - p.hy()*q.hx() );
+                    //  a() * X + b() * Y + c() * W() == 0
+                    //      |    X        Y       W     |
+                    //      |  p.hx()   p.hy()  p.hw()  |
+                    //      |  q.hx()   q.hy()  q.hw()  |
+
+                    p.hy()*q.hw() - p.hw()*q.hy(),
+                    p.hw()*q.hx() - p.hx()*q.hw(),
+                    p.hx()*q.hy() - p.hy()*q.hx() );
     }
 
     Rep // Line_2
@@ -2852,8 +2852,8 @@ namespace HomogeneousKernelFunctors {
     {
       Point_2 q = p + v;
       return Rep( p.hy()*q.hw() - p.hw()*q.hy(),
-		     p.hw()*q.hx() - p.hx()*q.hw(),
-		     p.hx()*q.hy() - p.hy()*q.hx() );
+                     p.hw()*q.hx() - p.hx()*q.hw(),
+                     p.hx()*q.hy() - p.hy()*q.hx() );
     }
 
     Rep // Line_2
@@ -2861,8 +2861,8 @@ namespace HomogeneousKernelFunctors {
     {
       Point_2 q = p + d.to_vector();
       return Rep( p.hy()*q.hw() - p.hw()*q.hy(),
-		     p.hw()*q.hx() - p.hx()*q.hw(),
-		     p.hx()*q.hy() - p.hy()*q.hx() );
+                     p.hw()*q.hx() - p.hx()*q.hw(),
+                     p.hx()*q.hy() - p.hy()*q.hx() );
     }
 
     Rep // Line_2
@@ -2914,8 +2914,8 @@ namespace HomogeneousKernelFunctors {
       const RT& phw = p.hw();
       const RT& qhw = q.hw();
       return Point_2( p.hx()*qhw + q.hx()*phw,
-		      p.hy()*qhw + q.hy()*phw,
-		      phw * qhw * RT( 2));
+                      p.hy()*qhw + q.hy()*phw,
+                      phw * qhw * RT( 2));
     }
   };
 
@@ -2934,9 +2934,9 @@ namespace HomogeneousKernelFunctors {
       RT phw = p.hw();
       RT qhw = q.hw();
       return Point_3( p.hx()*qhw + q.hx()*phw,
-		      p.hy()*qhw + q.hy()*phw,
-		      p.hz()*qhw + q.hz()*phw,
-		      RT(2) * phw * qhw );
+                      p.hy()*qhw + q.hy()*phw,
+                      p.hz()*qhw + q.hz()*phw,
+                      RT(2) * phw * qhw );
     }
   };
 
@@ -2997,9 +2997,9 @@ namespace HomogeneousKernelFunctors {
     {
       CGAL_kernel_precondition( o != COLLINEAR );
       if (o == COUNTERCLOCKWISE)
-	return K().construct_vector_2_object()(-v.hy(), v.hx(), v.hw());
+        return K().construct_vector_2_object()(-v.hy(), v.hx(), v.hw());
       else
-	return K().construct_vector_2_object()(v.hy(), -v.hx(), v.hw());
+        return K().construct_vector_2_object()(v.hy(), -v.hx(), v.hw());
     }
   };
 
@@ -3015,10 +3015,10 @@ namespace HomogeneousKernelFunctors {
     {
       CGAL_kernel_precondition(o != COLLINEAR);
       if (o == COUNTERCLOCKWISE) {
-	  return Direction_2(-d.dy(), d.dx());
-	} else {
-	  return Direction_2(d.dy(), -d.dx());
-	}
+          return Direction_2(-d.dy(), d.dx());
+        } else {
+          return Direction_2(d.dy(), -d.dx());
+        }
     }
   };
 
@@ -3081,11 +3081,11 @@ namespace HomogeneousKernelFunctors {
     {
       CGAL_kernel_precondition( ! l.is_degenerate() );
       if (l.is_vertical() )
-	{
-	  return Rep(-l.c(), RT(0)  , l.a() );
-	} else {
-	  return Rep(RT(0)  , -l.c(), l.b() );
-	}
+        {
+          return Rep(-l.c(), RT(0)  , l.a() );
+        } else {
+          return Rep(RT(0)  , -l.c(), l.b() );
+        }
     }
 
     Point_2
@@ -3107,11 +3107,11 @@ namespace HomogeneousKernelFunctors {
     }
 
 
-    const Point_2& 
+    const Point_2&
     operator()(const Point_2 & p) const
     { return p; }
 
-    const Point_2& 
+    const Point_2&
     operator()(const Weighted_point_2 & p) const
     { return p.rep().point(); }
 
@@ -3172,11 +3172,11 @@ namespace HomogeneousKernelFunctors {
     operator()(Return_base_tag, const RT& x, const RT& y, const RT& z, const RT& w) const
     { return Rep(x, y, z, w); }
 
-    const Point_3& 
+    const Point_3&
     operator()(const Point_3 & p) const
     { return p; }
 
-    const Point_3& 
+    const Point_3&
     operator()(const Weighted_point_3 & p) const
     { return p.rep().point(); }
 
@@ -3300,8 +3300,8 @@ namespace HomogeneousKernelFunctors {
       CGAL_kernel_precondition( ! l.is_degenerate() );
       Line_2  l2( p, Direction_2( l.a(), l.b() ));
       return Point_2( l.b()*l2.c() - l2.b()*l.c(),
-		      l2.a()*l.c() - l.a()*l2.c(),
-		      l.a()*l2.b() - l2.a()*l.b() );
+                      l2.a()*l.c() - l.a()*l2.c(),
+                      l.a()*l2.b() - l2.a()*l.b() );
     }
   };
 
@@ -3352,13 +3352,13 @@ namespace HomogeneousKernelFunctors {
     Point_3
     operator()( const Segment_3& s, const Point_3& p ) const
     { return CommonKernelFunctors::Construct_projected_point_3<K>()(p,s,K()); }
-    
+
     Point_3
     operator()( const Ray_3& r, const Point_3& p ) const
     { return CommonKernelFunctors::Construct_projected_point_3<K>()(p,r,K()); }
   };
 
-  template <class K> 
+  template <class K>
   class Construct_radical_line_2
   {
     typedef typename K::Line_2            Line_2;
@@ -3370,20 +3370,20 @@ namespace HomogeneousKernelFunctors {
 
     typedef Line_2 result_type;
 
-    result_type 
+    result_type
     operator() (const Circle_2 & c1, const Circle_2 & c2) const
-	  {
+          {
       // Concentric Circles don't have radical line
       CGAL_kernel_precondition (c1.center() != c2.center());
       const FT a = 2*(c2.center().x() - c1.center().x());
       const FT b = 2*(c2.center().y() - c1.center().y());
-      const FT c = CGAL::square(c1.center().x()) + 
+      const FT c = CGAL::square(c1.center().x()) +
         CGAL::square(c1.center().y()) - c1.squared_radius() -
         CGAL::square(c2.center().x()) -
         CGAL::square(c2.center().y()) + c2.squared_radius();
-			const RT aa = a.numerator() * b.denominator() * c.denominator();
-			const RT bb = a.denominator() * b.numerator() * c.denominator();
-			const RT cc = a.denominator() * b.denominator() * c.numerator();
+                        const RT aa = a.numerator() * b.denominator() * c.denominator();
+                        const RT bb = a.denominator() * b.numerator() * c.denominator();
+                        const RT cc = a.denominator() * b.denominator() * c.numerator();
       return Line_2(aa, bb, cc);
     }
   };
@@ -3408,7 +3408,7 @@ namespace HomogeneousKernelFunctors {
     operator()( const Vector_2& v, const FT& c) const
     {
       return Vector_2( v.hx()*c.numerator(), v.hy()*c.numerator(),
-	               v.hw()*c.denominator() ); }
+                       v.hw()*c.denominator() ); }
   };
 
   template <typename K>
@@ -3445,8 +3445,8 @@ namespace HomogeneousKernelFunctors {
     operator()( const Point_2& p, const Vector_2& v) const
     {
       return Point_2( p.hx()*v.hw() + v.hx()*p.hw(),
-		      p.hy()*v.hw() + v.hy()*p.hw(),
-		      p.hw()*v.hw() );
+                      p.hy()*v.hw() + v.hy()*p.hw(),
+                      p.hw()*v.hw() );
     }
 
     Point_2
@@ -3468,9 +3468,9 @@ namespace HomogeneousKernelFunctors {
     operator()( const Point_3& p, const Vector_3& v) const
     {
       return Point_3(p.hx()*v.hw() + v.hx()*p.hw(),
-		     p.hy()*v.hw() + v.hy()*p.hw(),
-		     p.hz()*v.hw() + v.hz()*p.hw(),
-		     p.hw()*v.hw() );
+                     p.hy()*v.hw() + v.hy()*p.hw(),
+                     p.hz()*v.hw() + v.hz()*p.hw(),
+                     p.hw()*v.hw() );
     }
 
     Point_3
@@ -3499,8 +3499,8 @@ namespace HomogeneousKernelFunctors {
     operator()(Return_base_tag, const Point_2& p, const Point_2& q) const
     {
       return Rep( q.hx()*p.hw() - p.hx()*q.hw(),
-		       q.hy()*p.hw() - p.hy()*q.hw(),
-		       p.hw()*q.hw() );
+                       q.hy()*p.hw() - p.hy()*q.hw(),
+                       p.hw()*q.hw() );
     }
 
     Rep // Vector_2
@@ -3606,9 +3606,9 @@ namespace HomogeneousKernelFunctors {
     operator()(Return_base_tag, const Point_3& p, const Point_3& q) const
     {
       return Rep(q.hx()*p.hw() - p.hx()*q.hw(),
-		 q.hy()*p.hw() - p.hy()*q.hw(),
-		 q.hz()*p.hw() - p.hz()*q.hw(),
-		 q.hw()*p.hw() );
+                 q.hy()*p.hw() - p.hy()*q.hw(),
+                 q.hz()*p.hw() - p.hz()*q.hw(),
+                 q.hw()*p.hw() );
     }
 
     Rep // Vector_3
@@ -3728,7 +3728,7 @@ namespace HomogeneousKernelFunctors {
       switch (i%4) {
       case 0: return (r.min)();
       case 1:
-	return Point_2( (r.max)().hx()*(r.min)().hw(),
+        return Point_2( (r.max)().hx()*(r.min)().hw(),
                            (r.min)().hy()*(r.max)().hw(),
                            (r.min)().hw()*(r.max)().hw() );
       case 2: return (r.max)();
@@ -3767,25 +3767,25 @@ namespace HomogeneousKernelFunctors {
     operator()(const Point_3& p, const Point_3& q, const Point_3& r) const
     {
       Orientation oxy_pqr = sign_of_determinant(p.hx(), p.hy(), p.hw(),
-					           q.hx(), q.hy(), q.hw(),
-					           r.hx(), r.hy(), r.hw());
+                                                   q.hx(), q.hy(), q.hw(),
+                                                   r.hx(), r.hy(), r.hw());
       if (oxy_pqr != COLLINEAR)
-	return oxy_pqr;
+        return oxy_pqr;
 
       Orientation oyz_pqr = sign_of_determinant(p.hy(), p.hz(), p.hw(),
-					           q.hy(), q.hz(), q.hw(),
-					           r.hy(), r.hz(), r.hw());
+                                                   q.hy(), q.hz(), q.hw(),
+                                                   r.hy(), r.hz(), r.hw());
       if (oyz_pqr != COLLINEAR)
-	return oyz_pqr;
+        return oyz_pqr;
 
       return sign_of_determinant(p.hx(), p.hz(), p.hw(),
-			            q.hx(), q.hz(), q.hw(),
-			            r.hx(), r.hz(), r.hw());
+                                    q.hx(), q.hz(), q.hw(),
+                                    r.hx(), r.hz(), r.hw());
     }
 
     result_type
     operator()( const Point_3& p, const Point_3& q,
-	        const Point_3& r, const Point_3& s) const
+                const Point_3& r, const Point_3& s) const
     {
       // p,q,r,s supposed to be coplanar
       // p,q,r supposed to be non collinear
@@ -3800,26 +3800,26 @@ namespace HomogeneousKernelFunctors {
       // compute orientation of p,q,s in this plane P:
       Orientation save;
       if ( (save = sign_of_determinant(p.hy(), p.hz(), p.hw(),
-				          q.hy(), q.hz(), q.hw(),
-				          r.hy(), r.hz(), r.hw())) != COLLINEAR)
-	{ return save * sign_of_determinant(p.hy(), p.hz(), p.hw(),
-					       q.hy(), q.hz(), q.hw(),
-					       s.hy(), s.hz(), s.hw());
-	}
+                                          q.hy(), q.hz(), q.hw(),
+                                          r.hy(), r.hz(), r.hw())) != COLLINEAR)
+        { return save * sign_of_determinant(p.hy(), p.hz(), p.hw(),
+                                               q.hy(), q.hz(), q.hw(),
+                                               s.hy(), s.hz(), s.hw());
+        }
       if ( (save = sign_of_determinant(p.hx(), p.hz(), p.hw(),
-				          q.hx(), q.hz(), q.hw(),
-				          r.hx(), r.hz(), r.hw())) != COLLINEAR)
-	{ return save * sign_of_determinant(p.hx(), p.hz(), p.hw(),
-					       q.hx(), q.hz(), q.hw(),
-					       s.hx(), s.hz(), s.hw());
-	}
+                                          q.hx(), q.hz(), q.hw(),
+                                          r.hx(), r.hz(), r.hw())) != COLLINEAR)
+        { return save * sign_of_determinant(p.hx(), p.hz(), p.hw(),
+                                               q.hx(), q.hz(), q.hw(),
+                                               s.hx(), s.hz(), s.hw());
+        }
       if ( (save = sign_of_determinant(p.hx(), p.hy(), p.hw(),
-				          q.hx(), q.hy(), q.hw(),
-				          r.hx(), r.hy(), r.hw())) != COLLINEAR)
-	{ return save * sign_of_determinant( p.hx(), p.hy(), p.hw(),
-						q.hx(), q.hy(), q.hw(),
-						s.hx(), s.hy(), s.hw());
-	}
+                                          q.hx(), q.hy(), q.hw(),
+                                          r.hx(), r.hy(), r.hw())) != COLLINEAR)
+        { return save * sign_of_determinant( p.hx(), p.hy(), p.hw(),
+                                                q.hx(), q.hy(), q.hw(),
+                                                s.hx(), s.hy(), s.hw());
+        }
       CGAL_kernel_assertion( false);
       return COLLINEAR;
     }
@@ -3841,13 +3841,13 @@ namespace HomogeneousKernelFunctors {
 #ifdef CGAL_kernel_exactness_preconditions
     Coplanar_side_of_bounded_circle_3() {}
     Coplanar_side_of_bounded_circle_3(const Coplanar_3& cp_,
-				      const Collinear_3& cl_)
+                                      const Collinear_3& cl_)
       : cp(cp_), cl(cl_) {}
 #endif // CGAL_kernel_exactness_preconditions
 
     result_type
     operator()( const Point_3& p, const Point_3& q,
-	        const Point_3& r, const Point_3& t) const
+                const Point_3& r, const Point_3& t) const
     {
       // p,q,r,t are supposed to be coplanar.
       // p,q,r determine an orientation of this plane (not collinear).
@@ -3856,7 +3856,7 @@ namespace HomogeneousKernelFunctors {
       CGAL_kernel_exactness_precondition( cp(p,q,r,t) );
       CGAL_kernel_exactness_precondition( !cl(p,q,r) );
       return enum_cast<Bounded_side>(
-	side_of_oriented_sphere(p, q, r, t+cross_product(q-p, r-p), t));
+        side_of_oriented_sphere(p, q, r, t+cross_product(q-p, r-p), t));
     } // FIXME
   };
 
@@ -4032,28 +4032,28 @@ namespace HomogeneousKernelFunctors {
 
       RT dosd =   // difference of squared distances
 
-	//            phx * phx   *   qhw * qhw * rhw * rhw
-	//   -RT(2) * phx * qhx   *   phw * qhw * rhw * rhw
-	//   +        qhx * qhx   *   phw * phw * rhw * rhw
-	//
-	//   +        phy * phy   *   qhw * qhw * rhw * rhw
-	//   -RT(2) * phy * qhy   *   phw * qhw * rhw * rhw
-	//   +        qhy * qhy   *   phw * phw * rhw * rhw
-	//
-	// - (        phx * phx   *   qhw * qhw * rhw * rhw
-	//   -RT(2) * phx * rhx   *   phw * qhw * qhw * rhw
-	//   +        rhx * rhx   *   phw * phw * qhw * qhw
-	//
-	//   +        phy * phy   *   qhw * qhw * rhw * rhw
-	//   -RT(2) * phy * rhy   *   phw * qhw * qhw * rhw
-	//   +        rhy * rhy   *   phw * phw * qhw * qhw
-	
-	rhw*rhw * (         phw * ( qhx*qhx + qhy*qhy )
-			    - 2 * qhw * ( phx*qhx + phy*qhy )
-			    )
-	- qhw*qhw * (         phw * ( rhx*rhx + rhy*rhy )
-			      - 2 * rhw * ( phx*rhx + phy*rhy )
-			      );
+        //            phx * phx   *   qhw * qhw * rhw * rhw
+        //   -RT(2) * phx * qhx   *   phw * qhw * rhw * rhw
+        //   +        qhx * qhx   *   phw * phw * rhw * rhw
+        //
+        //   +        phy * phy   *   qhw * qhw * rhw * rhw
+        //   -RT(2) * phy * qhy   *   phw * qhw * rhw * rhw
+        //   +        qhy * qhy   *   phw * phw * rhw * rhw
+        //
+        // - (        phx * phx   *   qhw * qhw * rhw * rhw
+        //   -RT(2) * phx * rhx   *   phw * qhw * qhw * rhw
+        //   +        rhx * rhx   *   phw * phw * qhw * qhw
+        //
+        //   +        phy * phy   *   qhw * qhw * rhw * rhw
+        //   -RT(2) * phy * rhy   *   phw * qhw * qhw * rhw
+        //   +        rhy * rhy   *   phw * phw * qhw * qhw
+
+        rhw*rhw * (         phw * ( qhx*qhx + qhy*qhy )
+                            - 2 * qhw * ( phx*qhx + phy*qhy )
+                            )
+        - qhw*qhw * (         phw * ( rhx*rhx + rhy*rhy )
+                              - 2 * rhw * ( phx*rhx + phy*rhy )
+                              );
 
 
       return dosd < 0;
@@ -4086,12 +4086,12 @@ namespace HomogeneousKernelFunctors {
       const RT & rhw = r.hw();
 
       RT dosd =   // difference of squared distances
-	rhw*rhw * (         phw * ( qhx*qhx + qhy*qhy + qhz*qhz )
-			    - 2 * qhw * ( phx*qhx + phy*qhy + phz*qhz )
-			    )
-	- qhw*qhw * (         phw * ( rhx*rhx + rhy*rhy + rhz*rhz )
-			      - 2 * rhw * ( phx*rhx + phy*rhy + phz*rhz )
-			      );
+        rhw*rhw * (         phw * ( qhx*qhx + qhy*qhy + qhz*qhz )
+                            - 2 * qhw * ( phx*qhx + phy*qhy + phz*qhz )
+                            )
+        - qhw*qhw * (         phw * ( rhx*rhx + rhy*rhy + rhz*rhz )
+                              - 2 * rhw * ( phx*rhx + phy*rhy + phz*rhz )
+                              );
 
       return dosd < 0;
     }
@@ -4125,8 +4125,8 @@ namespace HomogeneousKernelFunctors {
       const RT & shw= s.hw();
 
       RT  scaled_dist_r_minus_scaled_dist_s =
-	( rhx*shw - shx*rhw ) * (phy*qhw - qhy*phw)
-	- ( rhy*shw - shy*rhw ) * (phx*qhw - qhx*phw);
+        ( rhx*shw - shx*rhw ) * (phy*qhw - qhy*phw)
+        - ( rhy*shw - shy*rhw ) * (phx*qhw - qhx*phw);
 
       return scaled_dist_r_minus_scaled_dist_s < 0;
     }
@@ -4147,8 +4147,8 @@ namespace HomogeneousKernelFunctors {
       const RT & qhw= q.hw();
 
       RT scaled_dist_p_minus_scaled_dist_q =
-	la*( phx*qhw - qhx*phw )
-	+ lb*( phy*qhw - qhy*phw );
+        la*( phx*qhw - qhx*phw )
+        + lb*( phy*qhw - qhy*phw );
 
       return scaled_dist_p_minus_scaled_dist_q < 0;
     }
@@ -4180,16 +4180,16 @@ namespace HomogeneousKernelFunctors {
       const RT & qhw = q.hw();
 
       RT scaled_dist_p_minus_scaled_dist_q =
-	pla*( phx*qhw - qhx*phw )
-	+ plb*( phy*qhw - qhy*phw )
-	+ plc*( phz*qhw - qhz*phw );
+        pla*( phx*qhw - qhx*phw )
+        + plb*( phy*qhw - qhy*phw )
+        + plc*( phz*qhw - qhz*phw );
 
       return scaled_dist_p_minus_scaled_dist_q < 0;
     }
 
     result_type
     operator()(const Point_3& plp, const Point_3& plq, const Point_3& plr,
-	       const Point_3& p, const Point_3& q) const
+               const Point_3& p, const Point_3& q) const
     {
       Construct_plane_3 construct_plane_3;
       return operator()(construct_plane_3(plp, plq, plr), p, q);
@@ -4293,13 +4293,13 @@ namespace HomogeneousKernelFunctors {
       RT pV = phy * qhw;
       RT qV = qhy * phw;
       if ( qV < pV )
-	{
-	  return false;
-	}
+        {
+          return false;
+        }
       else if ( pV < qV )
-	{
-	  return true;
-	}
+        {
+          return true;
+        }
       pV = phx * qhw;
       qV = qhx * phw;
       return ( pV < qV );
@@ -4403,21 +4403,21 @@ namespace HomogeneousKernelFunctors {
 
     result_type
     operator()( const Point_3& p, const Point_3& q,
-	        const Point_3& r, const Point_3& s) const
+                const Point_3& r, const Point_3& s) const
     {
       // Two rows are switched, because of the homogeneous column.
       return sign_of_determinant( p.hx(), p.hy(), p.hz(), p.hw(),
-				     r.hx(), r.hy(), r.hz(), r.hw(),
-				     q.hx(), q.hy(), q.hz(), q.hw(),
-				     s.hx(), s.hy(), s.hz(), s.hw());
+                                     r.hx(), r.hy(), r.hz(), r.hw(),
+                                     q.hx(), q.hy(), q.hz(), q.hw(),
+                                     s.hx(), s.hy(), s.hz(), s.hw());
     }
 
     result_type
     operator()( const Vector_3& u, const Vector_3& v, const Vector_3& w) const
     {
       return sign_of_determinant( u.hx(), u.hy(), u.hz(),
-				     v.hx(), v.hy(), v.hz(),
-				     w.hx(), w.hy(), w.hz());
+                                     v.hx(), v.hy(), v.hz(),
+                                     w.hx(), w.hy(), w.hz());
     }
 
     result_type
@@ -4589,25 +4589,25 @@ namespace HomogeneousKernelFunctors {
     operator()( const Triangle_2& t, const Point_2& p) const
     {
       typename K::Collinear_are_ordered_along_line_2
-	collinear_are_ordered_along_line;
+        collinear_are_ordered_along_line;
       typename K::Orientation_2 orientation;
       // depends on the orientation of the vertices
       Orientation o1 = orientation(t.vertex(0), t.vertex(1), p),
-	o2 = orientation(t.vertex(1), t.vertex(2), p),
-	o3 = orientation(t.vertex(2), t.vertex(3), p),
-	ot = orientation(t.vertex(0), t.vertex(1), t.vertex(2));
+        o2 = orientation(t.vertex(1), t.vertex(2), p),
+        o3 = orientation(t.vertex(2), t.vertex(3), p),
+        ot = orientation(t.vertex(0), t.vertex(1), t.vertex(2));
 
       if (o1 == ot && o2 == ot && o3 == ot) // ot cannot be COLLINEAR
-	return ot;
+        return ot;
       return
-	(o1 == COLLINEAR
-	 && collinear_are_ordered_along_line(t.vertex(0), p, t.vertex(1))) ||
-	(o2 == COLLINEAR
-	 && collinear_are_ordered_along_line(t.vertex(1), p, t.vertex(2))) ||
-	(o3 == COLLINEAR
-	 && collinear_are_ordered_along_line(t.vertex(2), p, t.vertex(3)))
-	? ON_ORIENTED_BOUNDARY
-	: -ot;
+        (o1 == COLLINEAR
+         && collinear_are_ordered_along_line(t.vertex(0), p, t.vertex(1))) ||
+        (o2 == COLLINEAR
+         && collinear_are_ordered_along_line(t.vertex(1), p, t.vertex(2))) ||
+        (o3 == COLLINEAR
+         && collinear_are_ordered_along_line(t.vertex(2), p, t.vertex(3)))
+        ? ON_ORIENTED_BOUNDARY
+        : -ot;
     }
   };
 
@@ -4641,7 +4641,7 @@ namespace HomogeneousKernelFunctors {
 
     result_type
     operator()( const Point_2& q, const Point_2& r,
-	        const Point_2& s, const Point_2& t) const
+                const Point_2& s, const Point_2& t) const
     {
       typedef typename K::RT RT;
 
@@ -4687,18 +4687,18 @@ namespace HomogeneousKernelFunctors {
       RT p = thw*thw;
 
       RT det =   a * ( f*(k*p - l*o) + j*(h*o - g*p) + n*(g*l - h*k) )
-	- e * ( b*(k*p - l*o) + j*(d*o - c*p) + n*(c*l - d*k) )
-	+ i * ( b*(g*p - h*o) + f*(d*o - c*p) + n*(c*h - d*g) )
-	- m * ( b*(g*l - h*k) + f*(d*k - c*l) + j*(c*h - d*g) );
+        - e * ( b*(k*p - l*o) + j*(d*o - c*p) + n*(c*l - d*k) )
+        + i * ( b*(g*p - h*o) + f*(d*o - c*p) + n*(c*h - d*g) )
+        - m * ( b*(g*l - h*k) + f*(d*k - c*l) + j*(c*h - d*g) );
 
       if ( det == 0 )
-	  return ON_BOUNDARY;
+          return ON_BOUNDARY;
       else
-	{
-	  if (orientation(q,r,s) == CLOCKWISE)
-	      det = -det;
-	  return (0 < det ) ? ON_BOUNDED_SIDE : ON_UNBOUNDED_SIDE;
-	}
+        {
+          if (orientation(q,r,s) == CLOCKWISE)
+              det = -det;
+          return (0 < det ) ? ON_BOUNDED_SIDE : ON_UNBOUNDED_SIDE;
+        }
     }
   };
 
@@ -4728,14 +4728,14 @@ namespace HomogeneousKernelFunctors {
       const RT& thw = t.hw();
 
       return enum_cast<Bounded_side>(
-	       CGAL_NTS sign((thx*phw-phx*thw)*(qhx*thw-thx*qhw)
-			    + (thy*phw-phy*thw)*(qhy*thw-thy*qhw)
-			    + (thz*phw-phz*thw)*(qhz*thw-thz*qhw)));
+               CGAL_NTS sign((thx*phw-phx*thw)*(qhx*thw-thx*qhw)
+                            + (thy*phw-phy*thw)*(qhy*thw-thy*qhw)
+                            + (thz*phw-phz*thw)*(qhz*thw-thz*qhw)));
     }
 
     result_type
     operator()( const Point_3& p, const Point_3& q,
-	        const Point_3& r, const Point_3& t) const
+                const Point_3& r, const Point_3& t) const
     {
       Point_3 center = circumcenter(p, q, r);
       return enum_cast<Bounded_side>( compare_distance_to_point(center, p, t) );
@@ -4743,27 +4743,27 @@ namespace HomogeneousKernelFunctors {
 
     result_type
     operator()( const Point_3& p, const Point_3& q, const Point_3& r,
-	        const Point_3& s, const Point_3& test) const
+                const Point_3& s, const Point_3& test) const
     {
       Oriented_side  oside = side_of_oriented_sphere(p,q,r,s,test);
       if ( are_positive_oriented( p,q,r,s) )
-	{
-	  switch (oside)
-	    {
-	    case ON_POSITIVE_SIDE    :   return ON_BOUNDED_SIDE;
-	    case ON_ORIENTED_BOUNDARY:   return ON_BOUNDARY;
-	    case ON_NEGATIVE_SIDE    :   return ON_UNBOUNDED_SIDE;
-	    }
-	}
+        {
+          switch (oside)
+            {
+            case ON_POSITIVE_SIDE    :   return ON_BOUNDED_SIDE;
+            case ON_ORIENTED_BOUNDARY:   return ON_BOUNDARY;
+            case ON_NEGATIVE_SIDE    :   return ON_UNBOUNDED_SIDE;
+            }
+        }
       else
-	{
-	  switch (oside)
-	    {
-	    case ON_POSITIVE_SIDE    :   return ON_UNBOUNDED_SIDE;
-	    case ON_ORIENTED_BOUNDARY:   return ON_BOUNDARY;
-	    case ON_NEGATIVE_SIDE    :   return ON_BOUNDED_SIDE;
-	    }
-	}
+        {
+          switch (oside)
+            {
+            case ON_POSITIVE_SIDE    :   return ON_UNBOUNDED_SIDE;
+            case ON_ORIENTED_BOUNDARY:   return ON_BOUNDARY;
+            case ON_NEGATIVE_SIDE    :   return ON_BOUNDED_SIDE;
+            }
+        }
       return ON_BOUNDARY;  // Pls, no warnings anylonger
     } // FIXME
   };
@@ -4777,7 +4777,7 @@ namespace HomogeneousKernelFunctors {
 
     result_type
     operator()( const Point_2& q, const Point_2& r,
-	        const Point_2& s, const Point_2& t) const
+                const Point_2& s, const Point_2& t) const
     {
       typedef typename K::RT RT;
 
@@ -4821,9 +4821,9 @@ namespace HomogeneousKernelFunctors {
       RT p = thw*thw;
 
       RT det =   a * ( f*(k*p - l*o) + j*(h*o - g*p) + n*(g*l - h*k) )
-	- e * ( b*(k*p - l*o) + j*(d*o - c*p) + n*(c*l - d*k) )
-	+ i * ( b*(g*p - h*o) + f*(d*o - c*p) + n*(c*h - d*g) )
-	- m * ( b*(g*l - h*k) + f*(d*k - c*l) + j*(c*h - d*g) );
+        - e * ( b*(k*p - l*o) + j*(d*o - c*p) + n*(c*l - d*k) )
+        + i * ( b*(g*p - h*o) + f*(d*o - c*p) + n*(c*h - d*g) )
+        - m * ( b*(g*l - h*k) + f*(d*k - c*l) + j*(c*h - d*g) );
 
       return CGAL_NTS sign(det);
     }
@@ -4838,7 +4838,7 @@ namespace HomogeneousKernelFunctors {
 
     result_type
     operator()( const Point_3& p, const Point_3& q, const Point_3& r,
-	        const Point_3& s, const Point_3& t) const
+                const Point_3& s, const Point_3& t) const
     {
       typedef typename K::RT RT;
 
@@ -4873,11 +4873,11 @@ namespace HomogeneousKernelFunctors {
       const RT thw2 = thw*thw;
 
       const RT det = determinant<RT>(
-	   phx*phw, phy*phw, phz*phw, phx*phx + phy*phy + phz*phz, phw2,
-	   qhx*qhw, qhy*qhw, qhz*qhw, qhx*qhx + qhy*qhy + qhz*qhz, qhw2,
-	   rhx*rhw, rhy*rhw, rhz*rhw, rhx*rhx + rhy*rhy + rhz*rhz, rhw2,
-	   shx*shw, shy*shw, shz*shw, shx*shx + shy*shy + shz*shz, shw2,
-	   thx*thw, thy*thw, thz*thw, thx*thx + thy*thy + thz*thz, thw2);
+           phx*phw, phy*phw, phz*phw, phx*phx + phy*phy + phz*phz, phw2,
+           qhx*qhw, qhy*qhw, qhz*qhw, qhx*qhx + qhy*qhy + qhz*qhz, qhw2,
+           rhx*rhw, rhy*rhw, rhz*rhw, rhx*rhx + rhy*rhy + rhz*rhz, rhw2,
+           shx*shw, shy*shw, shz*shw, shx*shx + shy*shy + shz*shz, shw2,
+           thx*thw, thy*thw, thz*thw, thx*thx + thy*thy + thz*thz, thw2);
       return - CGAL_NTS sign(det);
     }
   };
@@ -4891,10 +4891,10 @@ namespace HomogeneousKernelFunctors {
     typedef typename K::RT RT;
 
     typedef Line_2                                      result_type;
-    
+
     Line_2
     operator()(const Weighted_point_2 & p, const Weighted_point_2 & q) const
-    { 
+    {
       typedef typename K::RT RT;
       RT a,b,c;
       radical_axisH2(p.hx(), p.hy(), p.hw(), p.weight(),
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/Homogeneous_base.h 5.0.3-1/include/CGAL/Homogeneous/Homogeneous_base.h
--- 5.0.2-3/include/CGAL/Homogeneous/Homogeneous_base.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/Homogeneous_base.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999-2004  
+// Copyright (c) 1999-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/Homogeneous_base.h $
-// $Id: Homogeneous_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/Homogeneous_base.h $
+// $Id: Homogeneous_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra, Sylvain Pion
 
@@ -145,7 +145,7 @@ struct Homogeneous_base
     typedef const RT_&                              Homogeneous_coordinate_type;
     // Undocumented stuff.
     typedef Data_accessorH2<Kernel>                 Data_accessor_2;
-    typedef ConicHPA2<Point_2, Data_accessor_2>     Conic_2; 
+    typedef ConicHPA2<Point_2, Data_accessor_2>     Conic_2;
     // Functors types and access functions.
 #define CGAL_Kernel_pred(Y,Z) typedef HomogeneousKernelFunctors::Y<Kernel> Y; \
                               Y Z() const { return Y(); }
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/Iso_cuboidH3.h 5.0.3-1/include/CGAL/Homogeneous/Iso_cuboidH3.h
--- 5.0.2-3/include/CGAL/Homogeneous/Iso_cuboidH3.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/Iso_cuboidH3.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/Iso_cuboidH3.h $
-// $Id: Iso_cuboidH3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/Iso_cuboidH3.h $
+// $Id: Iso_cuboidH3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -57,7 +57,7 @@ public:
                const Point_3& far_,   const Point_3& close);
 
   Iso_cuboidH3(const RT& min_hx, const RT& min_hy, const RT& min_hz,
-               const RT& max_hx, const RT& max_hy, const RT& max_hz, 
+               const RT& max_hx, const RT& max_hy, const RT& max_hz,
                const RT& hw);
 
   Iso_cuboidH3(const RT& min_hx, const RT& min_hy, const RT& min_hz,
@@ -97,7 +97,7 @@ template < class R >
 CGAL_KERNEL_LARGE_INLINE
 Iso_cuboidH3<R>::
 Iso_cuboidH3(const typename Iso_cuboidH3<R>::Point_3& p,
-	     const typename Iso_cuboidH3<R>::Point_3& q)
+             const typename Iso_cuboidH3<R>::Point_3& q)
 {
   bool px_k_qx = ( p.hx()*q.hw() < q.hx()*p.hw() );
   bool py_k_qy = ( p.hy()*q.hw() < q.hy()*p.hw() );
@@ -181,7 +181,7 @@ template < class R >
 CGAL_KERNEL_LARGE_INLINE
 Iso_cuboidH3<R>::
 Iso_cuboidH3(const RT& min_hx, const RT& min_hy, const RT& min_hz,
-             const RT& max_hx, const RT& max_hy, const RT& max_hz, 
+             const RT& max_hx, const RT& max_hy, const RT& max_hz,
              const RT& hw)
   : base(CGAL::make_array(Point_3(min_hx, min_hy, min_hz, hw),
                            Point_3(max_hx, max_hy, max_hz, hw)))
@@ -253,7 +253,7 @@ template < class R >
 inline
 typename Iso_cuboidH3<R>::FT
 Iso_cuboidH3<R>::min_coord(int i) const
-{ 
+{
    CGAL_kernel_precondition(i == 0 || i == 1 || i == 2);
    if ( i == 0 )
        return xmin();
@@ -266,7 +266,7 @@ template < class R >
 inline
 typename Iso_cuboidH3<R>::FT
 Iso_cuboidH3<R>::max_coord(int i) const
-{ 
+{
    CGAL_kernel_precondition(i == 0 || i == 1 || i == 2);
    if ( i == 0 )
       return xmax();
@@ -290,17 +290,17 @@ Iso_cuboidH3<R>::vertex(int i) const
   {
     case 0: return (this->min)();
     case 1: return Point_3( (this->max)().hx(), (this->min)().hy(),
-		                   (this->min)().hz(), (this->min)().hw() );
+                                   (this->min)().hz(), (this->min)().hw() );
     case 2: return Point_3( (this->max)().hx(), (this->max)().hy(),
-		                   (this->min)().hz(), (this->min)().hw() );
+                                   (this->min)().hz(), (this->min)().hw() );
     case 3: return Point_3( (this->min)().hx(), (this->max)().hy(),
-		                   (this->min)().hz(), (this->min)().hw() );
+                                   (this->min)().hz(), (this->min)().hw() );
     case 4: return Point_3( (this->min)().hx(), (this->max)().hy(),
-		                   (this->max)().hz(), (this->min)().hw() );
+                                   (this->max)().hz(), (this->min)().hw() );
     case 5: return Point_3( (this->min)().hx(), (this->min)().hy(),
-		                   (this->max)().hz(), (this->min)().hw() );
+                                   (this->max)().hz(), (this->min)().hw() );
     case 6: return Point_3( (this->max)().hx(), (this->min)().hy(),
-		                   (this->max)().hz(), (this->min)().hw() );
+                                   (this->max)().hz(), (this->min)().hw() );
     default: /*case 7:*/ return (this->max)();
   }
 }
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/Iso_rectangleH2.h 5.0.3-1/include/CGAL/Homogeneous/Iso_rectangleH2.h
--- 5.0.2-3/include/CGAL/Homogeneous/Iso_rectangleH2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/Iso_rectangleH2.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/Iso_rectangleH2.h $
-// $Id: Iso_rectangleH2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/Iso_rectangleH2.h $
+// $Id: Iso_rectangleH2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/LineH2.h 5.0.3-1/include/CGAL/Homogeneous/LineH2.h
--- 5.0.2-3/include/CGAL/Homogeneous/LineH2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/LineH2.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/LineH2.h $
-// $Id: LineH2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/LineH2.h $
+// $Id: LineH2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/PlaneH3.h 5.0.3-1/include/CGAL/Homogeneous/PlaneH3.h
--- 5.0.2-3/include/CGAL/Homogeneous/PlaneH3.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/PlaneH3.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/PlaneH3.h $
-// $Id: PlaneH3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/PlaneH3.h $
+// $Id: PlaneH3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/PointH2.h 5.0.3-1/include/CGAL/Homogeneous/PointH2.h
--- 5.0.2-3/include/CGAL/Homogeneous/PointH2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/PointH2.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/PointH2.h $
-// $Id: PointH2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/PointH2.h $
+// $Id: PointH2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/PointH3.h 5.0.3-1/include/CGAL/Homogeneous/PointH3.h
--- 5.0.2-3/include/CGAL/Homogeneous/PointH3.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/PointH3.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/PointH3.h $
-// $Id: PointH3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/PointH3.h $
+// $Id: PointH3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/predicates_on_directionsH2.h 5.0.3-1/include/CGAL/Homogeneous/predicates_on_directionsH2.h
--- 5.0.2-3/include/CGAL/Homogeneous/predicates_on_directionsH2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/predicates_on_directionsH2.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/predicates_on_directionsH2.h $
-// $Id: predicates_on_directionsH2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/predicates_on_directionsH2.h $
+// $Id: predicates_on_directionsH2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 
 #ifndef CGAL_PREDICATES_ON_DIRECTIONSH2_H
 #define CGAL_PREDICATES_ON_DIRECTIONSH2_H
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/predicates_on_pointsH2.h 5.0.3-1/include/CGAL/Homogeneous/predicates_on_pointsH2.h
--- 5.0.2-3/include/CGAL/Homogeneous/predicates_on_pointsH2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/predicates_on_pointsH2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,17 +3,17 @@
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/predicates_on_pointsH2.h $
-// $Id: predicates_on_pointsH2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/predicates_on_pointsH2.h $
+// $Id: predicates_on_pointsH2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra, Olivier Devillers, Mariette Yvinec
- 
+
 
 #ifndef CGAL_PREDICATES_ON_POINTSH2_H
 #define CGAL_PREDICATES_ON_POINTSH2_H
@@ -55,10 +55,10 @@ _where_wrt_L_wedge( const PointH2<R>& p,
 template <class RT>
 Comparison_result
 compare_power_distanceH2(const RT& phx, const RT& phy, const RT& phw,
-			 const Quotient<RT>& pwt,
-			 const RT& qhx, const RT& qhy, const RT& qhw,
-			 const Quotient<RT>& qwt,
-			 const RT& rhx, const RT& rhy, const RT& rhw)
+                         const Quotient<RT>& pwt,
+                         const RT& qhx, const RT& qhy, const RT& qhw,
+                         const Quotient<RT>& qwt,
+                         const RT& rhx, const RT& rhy, const RT& rhw)
 {
   // returns SMALLER if r is closer to p w.r.t. the power metric
   RT dphx = rhx * phw - phx * rhw;
@@ -122,9 +122,9 @@ power_testH2( const RT &phx, const RT &p
     dthw *= dtwt;
 
     return sign_of_determinant(dphx, dphy, dpz, dphw,
-	                       dqhx, dqhy, dqz, dqhw,
-	                       drhx, drhy, drz, drhw,
-	                       dthx, dthy, dtz, dthw);
+                               dqhx, dqhy, dqz, dqhw,
+                               drhx, drhy, drz, drhw,
+                               dthx, dthy, dtz, dthw);
 }
 
 
@@ -147,15 +147,15 @@ power_testH2( const RT &phx, const RT &p
 
     if (phx * qhw != qhx * phw )
     {
-	pa = phx*phw;
-	qa = qhx*qhw;
-	ta = thx*thw;
+        pa = phx*phw;
+        qa = qhx*qhw;
+        ta = thx*thw;
     }
     else
-    {   
-	pa = phy*phw;
-	qa = qhy*qhw;
-	ta = thy*thw;
+    {
+        pa = phy*phw;
+        qa = qhy*qhw;
+        ta = thy*thw;
     }
 
     RT dphw = CGAL_NTS square(phw);
@@ -172,8 +172,8 @@ power_testH2( const RT &phx, const RT &p
     ta *= dtwt;
 
     return CGAL_NTS compare(pa, qa) * sign_of_determinant(pa, dpz, dphw,
-				                          qa, dqz, dqhw,
-				                          ta, dtz, dthw);
+                                                          qa, dqz, dqhw,
+                                                          ta, dtz, dthw);
 }
 
 #if 0
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/predicates_on_pointsH3.h 5.0.3-1/include/CGAL/Homogeneous/predicates_on_pointsH3.h
--- 5.0.2-3/include/CGAL/Homogeneous/predicates_on_pointsH3.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/predicates_on_pointsH3.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999,2016  
+// Copyright (c) 1999,2016
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/predicates_on_pointsH3.h $
-// $Id: predicates_on_pointsH3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/predicates_on_pointsH3.h $
+// $Id: predicates_on_pointsH3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra, Olivier Devillers, Mariette Yvinec
- 
+
 
 #ifndef CGAL_PREDICATES_ON_POINTSH3_H
 #define CGAL_PREDICATES_ON_POINTSH3_H
@@ -181,10 +181,10 @@ power_side_of_oriented_power_sphereH3(
     dthw *= dtwt;
 
     return - sign_of_determinant(dphx, dphy, dphz, dpz, dphw,
-	                         dqhx, dqhy, dqhz, dqz, dqhw,
-	                         drhx, drhy, drhz, drz, drhw,
-	                         dshx, dshy, dshz, dsz, dshw,
-	                         dthx, dthy, dthz, dtz, dthw);
+                                 dqhx, dqhy, dqhz, dqz, dqhw,
+                                 drhx, drhy, drhz, drz, drhw,
+                                 dshx, dshy, dshz, dsz, dshw,
+                                 dthx, dthy, dthz, dtz, dthw);
 }
 
 // The 2 degenerate are not speed critical, and they are quite boring and error
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/RayH3.h 5.0.3-1/include/CGAL/Homogeneous/RayH3.h
--- 5.0.2-3/include/CGAL/Homogeneous/RayH3.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/RayH3.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/RayH3.h $
-// $Id: RayH3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/RayH3.h $
+// $Id: RayH3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 #ifndef CGAL_RAYH3_H
 #define CGAL_RAYH3_H
 
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/SphereH3.h 5.0.3-1/include/CGAL/Homogeneous/SphereH3.h
--- 5.0.2-3/include/CGAL/Homogeneous/SphereH3.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/SphereH3.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/SphereH3.h $
-// $Id: SphereH3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/SphereH3.h $
+// $Id: SphereH3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/VectorH2.h 5.0.3-1/include/CGAL/Homogeneous/VectorH2.h
--- 5.0.2-3/include/CGAL/Homogeneous/VectorH2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/VectorH2.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/VectorH2.h $
-// $Id: VectorH2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/VectorH2.h $
+// $Id: VectorH2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 
 #ifndef CGAL_HOMOGENEOUS_VECTOR_2_h
 #define CGAL_HOMOGENEOUS_VECTOR_2_h
@@ -81,7 +81,7 @@ public:
   {
     return static_cast<const Self& >(*this);
   }
-  
+
    bool    operator==( const VectorH2<R>& v) const;
    bool    operator!=( const VectorH2<R>& v) const;
    bool    operator==( const Null_vector&) const;
@@ -223,8 +223,8 @@ typename VectorH2<R>::FT
 VectorH2<R>::squared_length() const
 {
   typedef typename R::FT FT;
-  return 
-    FT( CGAL_NTS square(hx()) + CGAL_NTS square(hy()) ) / 
+  return
+    FT( CGAL_NTS square(hx()) + CGAL_NTS square(hy()) ) /
     FT( CGAL_NTS square(hw()) );
 }
 
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/VectorH3.h 5.0.3-1/include/CGAL/Homogeneous/VectorH3.h
--- 5.0.2-3/include/CGAL/Homogeneous/VectorH3.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/VectorH3.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/VectorH3.h $
-// $Id: VectorH3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/VectorH3.h $
+// $Id: VectorH3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 #ifndef CGAL_HOMOGENEOUS_VECTOR_3_H
 #define CGAL_HOMOGENEOUS_VECTOR_3_H
 
@@ -227,10 +227,10 @@ typename VectorH3<R>::FT
 VectorH3<R>::squared_length() const
 {
   typedef typename R::FT FT;
-  return 
-    FT( CGAL_NTS square(hx()) + 
-	CGAL_NTS square(hy()) + 
-	CGAL_NTS square(hz()) ) / 
+  return
+    FT( CGAL_NTS square(hx()) +
+        CGAL_NTS square(hy()) +
+        CGAL_NTS square(hz()) ) /
     FT( CGAL_NTS square(hw()) );
 }
 
@@ -245,7 +245,7 @@ CGAL_KERNEL_INLINE
 typename R::Vector_3
 VectorH3<R>::operator/(const typename VectorH3<R>::FT& f) const
 { return typename R::Vector_3(hx()*f.denominator(), hy()*f.denominator(),
-		              hz()*f.denominator(), hw()*f.numerator() ); }
+                              hz()*f.denominator(), hw()*f.numerator() ); }
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/Weighted_point_2.h 5.0.3-1/include/CGAL/Homogeneous/Weighted_point_2.h
--- 5.0.2-3/include/CGAL/Homogeneous/Weighted_point_2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/Weighted_point_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/Weighted_point_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/Weighted_point_2.h $
 // $Id: Weighted_point_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Homogeneous/Weighted_point_3.h 5.0.3-1/include/CGAL/Homogeneous/Weighted_point_3.h
--- 5.0.2-3/include/CGAL/Homogeneous/Weighted_point_3.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous/Weighted_point_3.h	2020-08-01 19:02:22.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous/Weighted_point_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous/Weighted_point_3.h $
 // $Id: Weighted_point_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Homogeneous_converter.h 5.0.3-1/include/CGAL/Homogeneous_converter.h
--- 5.0.2-3/include/CGAL/Homogeneous_converter.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous_converter.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2001-2004  
+// Copyright (c) 2001-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous_converter.h $
-// $Id: Homogeneous_converter.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous_converter.h $
+// $Id: Homogeneous_converter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 //                 Menelaos Karavelas <mkaravel@cse.nd.edu>
@@ -74,122 +74,122 @@ public:
     typename K2::Point_2
     operator()(const typename K1::Point_2 &a) const
     {
-	return k.construct_point_2_object()(rc(a.hx()), rc(a.hy()),
-		rc(a.hw()));
+        return k.construct_point_2_object()(rc(a.hx()), rc(a.hy()),
+                rc(a.hw()));
     }
 
     typename K2::Weighted_point_2
     operator()(const typename K1::Weighted_point_2 &a) const
     {
       return k.construct_weighted_point_2_object()(operator()(a.point()), operator()(a.weight()),
-		rc(a.hw()));
+                rc(a.hw()));
     }
 
     typename K2::Vector_2
     operator()(const typename K1::Vector_2 &a) const
     {
-	return k.construct_vector_2_object()(rc(a.hx()), rc(a.hy()),
-		rc(a.hw()));
+        return k.construct_vector_2_object()(rc(a.hx()), rc(a.hy()),
+                rc(a.hw()));
     }
 
     typename K2::Direction_2
     operator()(const typename K1::Direction_2 &a) const
     {
-	return k.construct_direction_2_object()(rc(a.dx()), rc(a.dy()));
+        return k.construct_direction_2_object()(rc(a.dx()), rc(a.dy()));
     }
 
     typename K2::Segment_2
     operator()(const typename K1::Segment_2 &a) const
     {
-	return k.construct_segment_2_object()(operator()(a.source()),
-		                              operator()(a.target()));
+        return k.construct_segment_2_object()(operator()(a.source()),
+                                              operator()(a.target()));
     }
 
     typename K2::Line_2
     operator()(const typename K1::Line_2 &a) const
     {
-	return k.construct_line_2_object()(rc(a.a()), rc(a.b()), rc(a.c()));
+        return k.construct_line_2_object()(rc(a.a()), rc(a.b()), rc(a.c()));
     }
 
     typename K2::Ray_2
     operator()(const typename K1::Ray_2 &a) const
     {
-	return k.construct_ray_2_object()(operator()(a.source()),
-		                          operator()(a.second_point()));
+        return k.construct_ray_2_object()(operator()(a.source()),
+                                          operator()(a.second_point()));
     }
 
     typename K2::Circle_2
     operator()(const typename K1::Circle_2 &a) const
     {
-	return k.construct_circle_2_object()(operator()(a.center()),
-		                             fc(a.squared_radius()),
-					     a.orientation());
+        return k.construct_circle_2_object()(operator()(a.center()),
+                                             fc(a.squared_radius()),
+                                             a.orientation());
     }
 
     typename K2::Triangle_2
     operator()(const typename K1::Triangle_2 &a) const
     {
-	return k.construct_triangle_2_object()(operator()(a.vertex(0)),
-		                               operator()(a.vertex(1)),
-		                               operator()(a.vertex(2)));
+        return k.construct_triangle_2_object()(operator()(a.vertex(0)),
+                                               operator()(a.vertex(1)),
+                                               operator()(a.vertex(2)));
     }
 
     typename K2::Iso_rectangle_2
     operator()(const typename K1::Iso_rectangle_2 &a) const
     {
-	return k.construct_iso_rectangle_2_object()(operator()((a.min)()),
-		                                    operator()((a.max)()), 0);
+        return k.construct_iso_rectangle_2_object()(operator()((a.min)()),
+                                                    operator()((a.max)()), 0);
     }
 
 
     typename K2::Point_3
     operator()(const typename K1::Point_3 &a) const
     {
-	return k.construct_point_3_object()(rc(a.hx()), rc(a.hy()),
-		rc(a.hz()), rc(a.hw()));
+        return k.construct_point_3_object()(rc(a.hx()), rc(a.hy()),
+                rc(a.hz()), rc(a.hw()));
     }
 
     typename K2::Vector_3
     operator()(const typename K1::Vector_3 &a) const
     {
-	return k.construct_vector_3_object()(rc(a.hx()), rc(a.hy()),
-		rc(a.hz()), rc(a.hw()));
+        return k.construct_vector_3_object()(rc(a.hx()), rc(a.hy()),
+                rc(a.hz()), rc(a.hw()));
     }
 
     typename K2::Direction_3
     operator()(const typename K1::Direction_3 &a) const
     {
-	return k.construct_direction_3_object()(rc(a.dx()), rc(a.dy()),
-		                                rc(a.dz()));
+        return k.construct_direction_3_object()(rc(a.dx()), rc(a.dy()),
+                                                rc(a.dz()));
     }
 
     typename K2::Segment_3
     operator()(const typename K1::Segment_3 &a) const
     {
-	return k.construct_segment_3_object()(operator()(a.source()),
-		                              operator()(a.target()));
+        return k.construct_segment_3_object()(operator()(a.source()),
+                                              operator()(a.target()));
     }
 
     typename K2::Line_3
     operator()(const typename K1::Line_3 &a) const
     {
-	return k.construct_line_3_object()(operator()(a.point()),
-		                           operator()(a.direction()));
+        return k.construct_line_3_object()(operator()(a.point()),
+                                           operator()(a.direction()));
     }
 
     typename K2::Ray_3
     operator()(const typename K1::Ray_3 &a) const
     {
-	return k.construct_ray_3_object()(operator()(a.source()),
-		                          operator()(a.second_point()));
+        return k.construct_ray_3_object()(operator()(a.source()),
+                                          operator()(a.second_point()));
     }
 
     typename K2::Sphere_3
     operator()(const typename K1::Sphere_3 &a) const
     {
-	return k.construct_sphere_3_object()(operator()(a.center()),
-		                             fc(a.squared_radius()),
-					     a.orientation());
+        return k.construct_sphere_3_object()(operator()(a.center()),
+                                             fc(a.squared_radius()),
+                                             a.orientation());
     }
 
     typename K2::Circle_3
@@ -203,32 +203,32 @@ public:
     typename K2::Triangle_3
     operator()(const typename K1::Triangle_3 &a) const
     {
-	return k.construct_triangle_3_object()(operator()(a.vertex(0)),
-		                               operator()(a.vertex(1)),
-		                               operator()(a.vertex(2)));
+        return k.construct_triangle_3_object()(operator()(a.vertex(0)),
+                                               operator()(a.vertex(1)),
+                                               operator()(a.vertex(2)));
     }
 
     typename K2::Tetrahedron_3
     operator()(const typename K1::Tetrahedron_3 &a) const
     {
-	return k.construct_tetrahedron_3_object()(operator()(a.vertex(0)),
-		                                  operator()(a.vertex(1)),
-		                                  operator()(a.vertex(2)),
-		                                  operator()(a.vertex(3)));
+        return k.construct_tetrahedron_3_object()(operator()(a.vertex(0)),
+                                                  operator()(a.vertex(1)),
+                                                  operator()(a.vertex(2)),
+                                                  operator()(a.vertex(3)));
     }
 
     typename K2::Plane_3
     operator()(const typename K1::Plane_3 &a) const
     {
-	return k.construct_plane_3_object()(rc(a.a()), rc(a.b()), rc(a.c()),
-		                            rc(a.d()));
+        return k.construct_plane_3_object()(rc(a.a()), rc(a.b()), rc(a.c()),
+                                            rc(a.d()));
     }
 
     typename K2::Iso_cuboid_3
     operator()(const typename K1::Iso_cuboid_3 &a) const
     {
-	return k.construct_iso_cuboid_3_object()(operator()((a.min)()),
-		                                 operator()((a.max)()), 0);
+        return k.construct_iso_cuboid_3_object()(operator()((a.min)()),
+                                                 operator()((a.max)()), 0);
     }
 
 private:
diff -pruN 5.0.2-3/include/CGAL/Homogeneous_d.h 5.0.3-1/include/CGAL/Homogeneous_d.h
--- 5.0.2-3/include/CGAL/Homogeneous_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Homogeneous_d.h $
-// $Id: Homogeneous_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Homogeneous_d.h $
+// $Id: Homogeneous_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
@@ -43,7 +43,7 @@
 namespace CGAL {
 
 template <class pRT, class pLA = Linear_algebraHd<pRT> >
-class Homogeneous_d 
+class Homogeneous_d
 {
 public:
   typedef Homogeneous_d<pRT,pLA> Self;
@@ -81,7 +81,7 @@ public:
 
   template <typename K>
   class Construct_cartesian_const_iterator
-  {    
+  {
     typedef typename K::Point_d Point_d;
     typedef typename K::Cartesian_const_iterator_d  Cartesian_const_iterator_d;
 
@@ -93,7 +93,7 @@ public:
     {
       return p.cartesian_begin();
     }
-    
+
     Cartesian_const_iterator_d
     operator()( const Point_d& p, int) const
     {
@@ -104,7 +104,7 @@ public:
   // TODO: Make it work for the other values
  template <typename K>
   class Construct_vertex
-  {    
+  {
     typedef typename K::Point_d Point_d;
     typedef typename K::Iso_box_d Iso_box_d;
     typedef typename K::Cartesian_const_iterator_d  Cartesian_const_iterator_d;
@@ -114,19 +114,19 @@ public:
     Point_d operator()(const Iso_box_d&  b, int i)
     {
       if(i == 0){
-	return (b.min)();
+        return (b.min)();
       }
       return (b.max)();
     }
   };
-  
+
 
   typedef Construct_vertex<Self> Construct_vertex_d;
 
 
  template <typename K>
   class Construct_min_vertex
-  {    
+  {
     typedef typename K::Point_d Point_d;
     typedef typename K::Iso_box_d Iso_box_d;
   public:
@@ -148,7 +148,7 @@ public:
 
  template <typename K>
   class Construct_max_vertex
-  {    
+  {
     typedef typename K::Point_d Point_d;
     typedef typename K::Iso_box_d Iso_box_d;
   public:
@@ -168,7 +168,7 @@ public:
   }
 
 
-  typedef Construct_cartesian_const_iterator<Self> 
+  typedef Construct_cartesian_const_iterator<Self>
                            Construct_cartesian_const_iterator_d;
 
   Construct_cartesian_const_iterator_d
@@ -222,9 +222,9 @@ public:
   Construct_sphere_d construct_sphere_d_object() const
   { return Construct_sphere_d(); }
 
-  typedef internal::Construct<Aff_transformation_d> 
+  typedef internal::Construct<Aff_transformation_d>
     Construct_aff_transformation_d;
-  Construct_aff_transformation_d 
+  Construct_aff_transformation_d
     construct_aff_transformation_d_object() const
   { return Construct_aff_transformation_d(); }
 
@@ -283,7 +283,7 @@ public:
   { return Contained_in_simplex_d(); }
   Contained_in_affine_hull_d contained_in_affine_hull_d_object() const
   { return Contained_in_affine_hull_d(); }
-  Affine_rank_d affine_rank_d_object() const 
+  Affine_rank_d affine_rank_d_object() const
   { return Affine_rank_d(); }
   Affinely_independent_d affinely_independent_d_object() const
   { return Affinely_independent_d(); }
@@ -293,23 +293,23 @@ public:
   { return Compare_lexicographically_d(); }
   Less_lexicographically_d less_lexicographically_d_object() const
   { return Less_lexicographically_d(); }
-  Less_or_equal_lexicographically_d 
+  Less_or_equal_lexicographically_d
     less_or_equal_lexicographically_d_object() const
   { return Less_or_equal_lexicographically_d(); }
   Center_of_sphere_d center_of_sphere_d_object() const
   { return Center_of_sphere_d(); }
   Contained_in_linear_hull_d contained_in_linear_hull_d_object() const
   { return Contained_in_linear_hull_d(); }
-  Linear_rank_d linear_rank_d_object() const 
+  Linear_rank_d linear_rank_d_object() const
   { return Linear_rank_d(); }
   Linearly_independent_d linearly_independent_d_object() const
   { return Linearly_independent_d(); }
-  Linear_base_d linear_base_d_object() const 
+  Linear_base_d linear_base_d_object() const
   { return Linear_base_d(); }
 
   // Intersection objects:
   typedef CGAL::Line_line_intersectionHd<Self> Line_line_intersection_d;
-  typedef CGAL::Line_hyperplane_intersectionHd<Self> 
+  typedef CGAL::Line_hyperplane_intersectionHd<Self>
                                                Line_hyperplane_intersection_d;
   typedef CGAL::Line_d_Line_d_pair<Self> Line_d_Line_d_pair;
   typedef CGAL::Ray_d_Ray_d_pair<Self> Ray_d_Ray_d_pair;
@@ -322,7 +322,7 @@ public:
   typedef CGAL::Segment_d_Hyperplane_d_pair<Self> Segment_d_Hyperplane_d_pair;
 
   typedef internal::Intersect<Self> Intersect_d;
-  Intersect_d intersect_d_object() const 
+  Intersect_d intersect_d_object() const
   { return Intersect_d(); }
 
   typedef internal::Do_intersect<Self> Do_intersect_d;
@@ -333,13 +333,13 @@ public:
 
   static  FT  make_FT(const RT & num, const RT& denom)
   { return FT(num, denom); }
-  
+
   static  FT  make_FT(const RT & num)
   { return FT(num); }
-  
+
   static  RT FT_numerator(const FT &r)
   { return r.numerator(); }
-  
+
   static  RT FT_denominator(const FT &r)
   { return r.denominator(); }
 
@@ -384,7 +384,7 @@ public:
   };
   Vector_to_point_d vector_to_point_d_object() const
   { return Vector_to_point_d(); }
-  
+
   struct Orthogonal_vector_d {
     Vector_d operator()(const Hyperplane_d& h) const
     { return h.orthogonal_vector(); }
@@ -400,8 +400,8 @@ public:
   { return Point_of_sphere_d(); }
 
 }; // Homogeneous_d<R>
- 
- 
+
+
 } //namespace CGAL
 
 #include <CGAL/Kernel_d/Point_d.h>
diff -pruN 5.0.2-3/include/CGAL/Homogeneous.h 5.0.3-1/include/CGAL/Homogeneous.h
--- 5.0.2-3/include/CGAL/Homogeneous.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Homogeneous.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Homogeneous.h $
-// $Id: Homogeneous.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Homogeneous.h $
+// $Id: Homogeneous.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 #ifndef CGAL_HOMOGENEOUS_H
 #define CGAL_HOMOGENEOUS_H
 
diff -pruN 5.0.2-3/include/CGAL/Hyperbola_2.h 5.0.3-1/include/CGAL/Hyperbola_2.h
--- 5.0.2-3/include/CGAL/Hyperbola_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hyperbola_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Hyperbola_2.h $
-// $Id: Hyperbola_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Hyperbola_2.h $
+// $Id: Hyperbola_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -67,7 +67,7 @@ protected:
   {
     std::vector< Point_2 > p = compute_points(t);
     if ( right(p[0]) )  return p[0];
-    return p[1]; 
+    return p[1];
   }
 
   inline
@@ -113,19 +113,19 @@ protected:
       if ( CGAL::is_negative(d) ) return p;
 
       if ( CGAL::is_zero(df.x()) ) {
-	FT y = (d1 - d2 + norm2(f2) - norm2(f1)) / (FT(2) * df.y());
+        FT y = (d1 - d2 + norm2(f2) - norm2(f1)) / (FT(2) * df.y());
 
-	FT D = d1 - CGAL::square(y - f1.y());
+        FT D = d1 - CGAL::square(y - f1.y());
 
-	D = CGAL::abs(D);
+        D = CGAL::abs(D);
 
-	FT x1 = CGAL::sqrt(D) + f1.x();
-	FT x2 = -CGAL::sqrt(D) + f1.x();
+        FT x1 = CGAL::sqrt(D) + f1.x();
+        FT x2 = -CGAL::sqrt(D) + f1.x();
 
-	p.push_back(Point_2(x1, y));
-	p.push_back(Point_2(x2, y));
+        p.push_back(Point_2(x1, y));
+        p.push_back(Point_2(x2, y));
 
-	return p;
+        return p;
       }
 
       FT gamma = (d1 - d2 + norm2(f2) - norm2(f1)) / (FT(2) * df.x());
@@ -156,8 +156,8 @@ protected:
   {
     return
       CGAL::is_negative( determinant<FT>(f1.x(), f1.y(), 1,
-					       f2.x(), f2.y(), 1,
-					       p.x(),   p.y(), 1) );
+                                               f2.x(), f2.y(), 1,
+                                               p.x(),   p.y(), 1) );
   }
 
   inline
@@ -191,7 +191,7 @@ public:
   {
     STEP = FT(2);
     this->r = ff1.weight() - ff2.weight();
-    
+
     this->f1 = ff1.point();
     this->f2 = ff2.point();
 
@@ -210,8 +210,8 @@ public:
 
   template<class QTWIDGET>
   void generate_points_qt(const QTWIDGET& W,
-			  std::vector<Point_2>& pleft,
-			  std::vector<Point_2>& pright) const
+                          std::vector<Point_2>& pleft,
+                          std::vector<Point_2>& pright) const
     {
       std::vector< Point_2 > p;
 
@@ -223,23 +223,23 @@ public:
 
       FT STEP;
       if ( width < height ) {
-	STEP = width / 500.0;
+        STEP = width / 500.0;
       } else {
-	STEP = height / 500.0;
+        STEP = height / 500.0;
       }
       //    double mind = distance(o, f1) - r1;
       for (int i = 1; i <= 100; i++) {
-	p = compute_points(FT(i * i) * STEP);
-	
-	if ( p.size() > 0 ) {
-	  if ( right(p[0]) ) {
-	    pright.push_back(p[0]);
-	    pleft.push_back(p[1]);
-	  } else {
-	    pright.push_back(p[1]);
-	    pleft.push_back(p[0]);
-	  }
-	}
+        p = compute_points(FT(i * i) * STEP);
+
+        if ( p.size() > 0 ) {
+          if ( right(p[0]) ) {
+            pright.push_back(p[0]);
+            pleft.push_back(p[1]);
+          } else {
+            pright.push_back(p[1]);
+            pleft.push_back(p[0]);
+          }
+        }
       }
     }
 
@@ -250,16 +250,16 @@ public:
       generate_points_qt(pleft, pright);
 
       for (unsigned int i = 0; i < pleft.size() - 1; i++) {
-	W << Segment_2(pleft[i], pleft[i+1]);
+        W << Segment_2(pleft[i], pleft[i+1]);
       }
-      
+
       for (unsigned int i = 0; i < pright.size() - 1; i++) {
-	W << Segment_2(pright[i], pright[i+1]);
+        W << Segment_2(pright[i], pright[i+1]);
       }
     }
 
   void generate_points(std::vector<Point_2>& pleft,
-		       std::vector<Point_2>& pright) const
+                       std::vector<Point_2>& pright) const
   {
     std::vector< Point_2 > p;
 
@@ -271,13 +271,13 @@ public:
       p = compute_points(FT(i * i) * STEP);
 
       if ( p.size() > 0 ) {
-	if ( right(p[0]) ) {
-	  pright.push_back(p[0]);
-	  pleft.push_back(p[1]);
-	} else {
-	  pright.push_back(p[1]);
-	  pleft.push_back(p[0]);
-	}
+        if ( right(p[0]) ) {
+          pright.push_back(p[0]);
+          pleft.push_back(p[1]);
+        } else {
+          pright.push_back(p[1]);
+          pleft.push_back(p[0]);
+        }
       }
     }
   }
@@ -291,7 +291,7 @@ public:
     for (unsigned int i = 0; i < pleft.size() - 1; i++) {
       W << Segment_2(pleft[i], pleft[i+1]);
     }
-      
+
     for (unsigned int i = 0; i < pright.size() - 1; i++) {
       W << Segment_2(pright[i], pright[i+1]);
     }
diff -pruN 5.0.2-3/include/CGAL/Hyperbola_ray_2.h 5.0.3-1/include/CGAL/Hyperbola_ray_2.h
--- 5.0.2-3/include/CGAL/Hyperbola_ray_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hyperbola_ray_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Hyperbola_ray_2.h $
-// $Id: Hyperbola_ray_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Hyperbola_ray_2.h $
+// $Id: Hyperbola_ray_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -75,8 +75,8 @@ public:
 
 
   Hyperbola_ray_2(const Site_2 &f1, const Site_2 &f2,
-		  const Point_2 &p,
-		  const Hyperbola_direction& direction) :
+                  const Point_2 &p,
+                  const Hyperbola_direction& direction) :
     Hyperbola_segment_2< Gt >(f1, f2, p, p),
     _f1(f1), _f2(f2), _p(p), _dir(direction)
   {
@@ -112,7 +112,7 @@ public:
     } else {
       this->p2 = f(t1 - this->STEP * OFFSET());
     }
-    
+
     Hyperbola_segment_2< Gt >::draw(s);
   }
 
@@ -127,7 +127,7 @@ public:
 
     Hyperbola_segment_2< Gt >::draw(s);
   }
-  
+
 };
 
 
diff -pruN 5.0.2-3/include/CGAL/Hyperbola_segment_2.h 5.0.3-1/include/CGAL/Hyperbola_segment_2.h
--- 5.0.2-3/include/CGAL/Hyperbola_segment_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hyperbola_segment_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Hyperbola_segment_2.h $
-// $Id: Hyperbola_segment_2.h 99c93d0 2020-01-15T17:31:58+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Hyperbola_segment_2.h $
+// $Id: Hyperbola_segment_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -75,8 +75,8 @@ protected:
 public:
   Hyperbola_segment_2() : Hyperbola_2< Gt >() {}
 
-  Hyperbola_segment_2(const Site_2 &f1,	const Site_2 &f2,
-		      const Point_2 &p1, const Point_2 &p2)
+  Hyperbola_segment_2(const Site_2 &f1,        const Site_2 &f2,
+                      const Point_2 &p1, const Point_2 &p2)
     : Hyperbola_2< Gt >(f1, f2)
   {
     this->p1 = p1;
diff -pruN 5.0.2-3/include/CGAL/Hyperbolic_Delaunay_triangulation_2.h 5.0.3-1/include/CGAL/Hyperbolic_Delaunay_triangulation_2.h
--- 5.0.2-3/include/CGAL/Hyperbolic_Delaunay_triangulation_2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hyperbolic_Delaunay_triangulation_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hyperbolic_triangulation_2/include/CGAL/Hyperbolic_Delaunay_triangulation_2.h $
-// $Id: Hyperbolic_Delaunay_triangulation_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hyperbolic_triangulation_2/include/CGAL/Hyperbolic_Delaunay_triangulation_2.h $
+// $Id: Hyperbolic_Delaunay_triangulation_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Mikhail Bogdanov
@@ -191,7 +191,7 @@ public:
       _iv = pos->index(_v);
 
       bool ok = false;
-      do 
+      do
       {
         _ri = cw(_iv);
         if (_tri.is_finite_non_hyperbolic(pos, ccw(_iv)))
@@ -202,7 +202,7 @@ public:
             pos = pos->neighbor(cw(_iv));
             _iv = pos->index(_v);
           }
-          else 
+          else
           {
             ok = true;
           }
@@ -218,9 +218,9 @@ public:
     {
       pos = pos->neighbor(cw(_iv));
       _iv = pos->index(_v);
-      
+
       bool ok = false;
-      do 
+      do
       {
         _ri = cw(_iv);
         if (_tri.is_finite_non_hyperbolic(pos, ccw(_iv)))
@@ -231,7 +231,7 @@ public:
             pos = pos->neighbor(cw(_iv));
             _iv = pos->index(_v);
           }
-          else 
+          else
           {
             ok = true;
           }
@@ -249,9 +249,9 @@ public:
     {
       pos = pos->neighbor(ccw(_iv));
       _iv = pos->index(_v);
-      
+
       bool ok = false;
-      do 
+      do
       {
         _ri = ccw(_iv);
         if (_tri.is_finite_non_hyperbolic(pos, cw(_iv)))
@@ -262,7 +262,7 @@ public:
             pos = pos->neighbor(ccw(_iv));
             _iv = pos->index(_v);
           }
-          else 
+          else
           {
             ok = true;
           }
@@ -328,7 +328,7 @@ public:
     return _gt;
   }
 
-  const Geom_traits& geom_traits() const 
+  const Geom_traits& geom_traits() const
   {
     return _gt;
   }
@@ -343,13 +343,13 @@ public:
 
     this->mark_finite_non_hyperbolic_faces();
     tr.mark_finite_non_hyperbolic_faces();
-  } 
+  }
 
 
   Self& operator=(const Self &tr)
   {
 
-    Self newone = Self(tr); 
+    Self newone = Self(tr);
     this->swap(newone);
 
     return *this;
@@ -456,7 +456,7 @@ public:
 
 
 
-  void remove(Vertex_handle v) 
+  void remove(Vertex_handle v)
   {
     CGAL_triangulation_precondition(tds().is_vertex(v));
     std::vector<Vertex_handle> nbr;
@@ -465,32 +465,32 @@ public:
     {
       dim_was_2 = true;
       typename Base::Vertex_circulator nbv = Base::incident_vertices(v), done(nbv);
-      do 
+      do
       {
         nbr.push_back(nbv);
-      } while (++nbv != done);  
+      } while (++nbv != done);
     }
-    
+
     Base::remove(v);
 
-    if (dim_was_2) 
+    if (dim_was_2)
     {
-      for (unsigned int i = 0; i < nbr.size(); ++i) 
+      for (unsigned int i = 0; i < nbr.size(); ++i)
       {
         mark_star_faces(nbr[i]);
         ensure_hyperbolic_face_handle(nbr[i]);
-      }  
+      }
     }
-  } 
+  }
 
 
   template <class VertexRemoveIterator>
   void remove(VertexRemoveIterator first, VertexRemoveIterator last)
   {
-    for (VertexRemoveIterator vit = first; vit != last; ++vit) 
+    for (VertexRemoveIterator vit = first; vit != last; ++vit)
     {
       remove(*vit);
-    } 
+    }
   }
 
 
@@ -949,7 +949,7 @@ public:
     return vh->point();
   }
 
-  Point point(const Face_handle fh, const int i) 
+  Point point(const Face_handle fh, const int i)
   {
     CGAL_triangulation_precondition(0 <= i);
     CGAL_triangulation_precondition(i <= 2);
@@ -958,20 +958,20 @@ public:
 
 
 
-  bool is_valid() 
+  bool is_valid()
   {
-    if (Base::is_valid()) 
+    if (Base::is_valid())
     {
-      for (Hyperbolic_faces_iterator fit = hyperbolic_faces_begin(); fit != hyperbolic_faces_end(); fit++) 
+      for (Hyperbolic_faces_iterator fit = hyperbolic_faces_begin(); fit != hyperbolic_faces_end(); fit++)
       {
-        if (!is_Delaunay_hyperbolic(fit)) 
+        if (!is_Delaunay_hyperbolic(fit))
         {
           return false;
         }
       }
-      for (Hyperbolic_edges_iterator eit = hyperbolic_edges_begin(); eit != hyperbolic_edges_end(); eit++) 
+      for (Hyperbolic_edges_iterator eit = hyperbolic_edges_begin(); eit != hyperbolic_edges_end(); eit++)
       {
-        if (!is_Delaunay_hyperbolic(eit)) 
+        if (!is_Delaunay_hyperbolic(eit))
         {
           return false;
         }
@@ -1042,7 +1042,7 @@ public:
       }
 
       p = point(fh, ccw(li));
-      q = point(Base::mirror_vertex(fh, li)); 
+      q = point(Base::mirror_vertex(fh, li));
       r = point(fh, cw(li));
 
       if(geom_traits().is_Delaunay_hyperbolic_2_object()(p, q, r))
diff -pruN 5.0.2-3/include/CGAL/Hyperbolic_Delaunay_triangulation_CK_traits_2.h 5.0.3-1/include/CGAL/Hyperbolic_Delaunay_triangulation_CK_traits_2.h
--- 5.0.2-3/include/CGAL/Hyperbolic_Delaunay_triangulation_CK_traits_2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hyperbolic_Delaunay_triangulation_CK_traits_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hyperbolic_triangulation_2/include/CGAL/Hyperbolic_Delaunay_triangulation_CK_traits_2.h $
-// $Id: Hyperbolic_Delaunay_triangulation_CK_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hyperbolic_triangulation_2/include/CGAL/Hyperbolic_Delaunay_triangulation_CK_traits_2.h $
+// $Id: Hyperbolic_Delaunay_triangulation_CK_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Mikhail Bogdanov
@@ -35,7 +35,7 @@ namespace internal {
   template <typename Traits>
   class Construct_hyperbolic_circumcenter_CK_2
   {
-    typedef typename Traits::Hyperbolic_Voronoi_point_2     Hyperbolic_Voronoi_point_2;  
+    typedef typename Traits::Hyperbolic_Voronoi_point_2     Hyperbolic_Voronoi_point_2;
     typedef typename Traits::Hyperbolic_point_2             Hyperbolic_point_2;
     typedef typename Traits::Euclidean_circle_or_line_2     Euclidean_circle_or_line_2;
     typedef typename Traits::Euclidean_line_2               Euclidean_line_2;
@@ -56,7 +56,7 @@ namespace internal {
       Hyperbolic_point_2 po(CGAL::ORIGIN);
       Circle_2 l_inf(po, FT(1));
 
-      if( _gt.compare_distance_2_object()(po, p, q) == EQUAL && 
+      if( _gt.compare_distance_2_object()(po, p, q) == EQUAL &&
           _gt.compare_distance_2_object()(po, p, r) == EQUAL)
         return po;
 
@@ -366,7 +366,7 @@ public:
   Construct_hyperbolic_circumcenter_2
   construct_hyperbolic_circumcenter_2_object() const
   { return Construct_hyperbolic_circumcenter_2(*this); }
-  
+
   Construct_hyperbolic_bisector_2
   construct_hyperbolic_bisector_2_object() const
   { return Construct_hyperbolic_bisector_2(*this); }
diff -pruN 5.0.2-3/include/CGAL/Hyperbolic_Delaunay_triangulation_traits_2.h 5.0.3-1/include/CGAL/Hyperbolic_Delaunay_triangulation_traits_2.h
--- 5.0.2-3/include/CGAL/Hyperbolic_Delaunay_triangulation_traits_2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hyperbolic_Delaunay_triangulation_traits_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hyperbolic_triangulation_2/include/CGAL/Hyperbolic_Delaunay_triangulation_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hyperbolic_triangulation_2/include/CGAL/Hyperbolic_Delaunay_triangulation_traits_2.h $
 // $Id: Hyperbolic_Delaunay_triangulation_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Hyperbolic_octagon_translation.h 5.0.3-1/include/CGAL/Hyperbolic_octagon_translation.h
--- 5.0.2-3/include/CGAL/Hyperbolic_octagon_translation.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hyperbolic_octagon_translation.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_4_hyperbolic_triangulation_2/include/CGAL/Hyperbolic_octagon_translation.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_4_hyperbolic_triangulation_2/include/CGAL/Hyperbolic_octagon_translation.h $
 // $Id: Hyperbolic_octagon_translation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Hyperbolic_triangulation_face_base_2.h 5.0.3-1/include/CGAL/Hyperbolic_triangulation_face_base_2.h
--- 5.0.2-3/include/CGAL/Hyperbolic_triangulation_face_base_2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Hyperbolic_triangulation_face_base_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hyperbolic_triangulation_2/include/CGAL/Hyperbolic_triangulation_face_base_2.h $
-// $Id: Hyperbolic_triangulation_face_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hyperbolic_triangulation_2/include/CGAL/Hyperbolic_triangulation_face_base_2.h $
+// $Id: Hyperbolic_triangulation_face_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud <Monique.Teillaud@inria.fr>
@@ -64,7 +64,7 @@ public:
   const CGAL::Object& tds_data() const { return this->_tds_data; }
 
 private:
-  CGAL::Object 	_tds_data;
+  CGAL::Object         _tds_data;
 };
 
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Identity_policy_2.h 5.0.3-1/include/CGAL/Identity_policy_2.h
--- 5.0.2-3/include/CGAL/Identity_policy_2.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Identity_policy_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Identity_policy_2.h $
-// $Id: Identity_policy_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Identity_policy_2.h $
+// $Id: Identity_policy_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/IEEE_754_unions.h 5.0.3-1/include/CGAL/IEEE_754_unions.h
--- 5.0.2-3/include/CGAL/IEEE_754_unions.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/IEEE_754_unions.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/IEEE_754_unions.h $
-// $Id: IEEE_754_unions.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/IEEE_754_unions.h $
+// $Id: IEEE_754_unions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/Image_3.h 5.0.3-1/include/CGAL/Image_3.h
--- 5.0.2-3/include/CGAL/Image_3.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Image_3.h	2020-08-01 19:02:17.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/Image_3.h $
-// $Id: Image_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/Image_3.h $
+// $Id: Image_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -185,44 +185,44 @@ public:
 
 public:
   template <typename Image_word_type,
-	    typename Target_type,
-	    typename Coord_type,
-	    class Image_transform>
+            typename Target_type,
+            typename Coord_type,
+            class Image_transform>
   Target_type
-  trilinear_interpolation(const Coord_type&x, 
-			  const Coord_type&y, 
-			  const Coord_type&z,
-			  const Target_type& value_outside =
-			    Target_type(),
-			  Image_transform transform = 
-			    Image_transform() ) const;
+  trilinear_interpolation(const Coord_type&x,
+                          const Coord_type&y,
+                          const Coord_type&z,
+                          const Target_type& value_outside =
+                            Target_type(),
+                          Image_transform transform =
+                            Image_transform() ) const;
 
   // default Image_transform = CGAL::Identity
   template <typename Image_word_type,
-	    typename Target_type,
-	    typename Coord_type>
+            typename Target_type,
+            typename Coord_type>
   Target_type
-  trilinear_interpolation(const Coord_type&x, 
-			  const Coord_type&y, 
-			  const Coord_type&z,
-			  const Target_type& value_outside =
-			  Target_type()) const
+  trilinear_interpolation(const Coord_type&x,
+                          const Coord_type&y,
+                          const Coord_type&z,
+                          const Target_type& value_outside =
+                          Target_type()) const
   {
     return trilinear_interpolation<
       Image_word_type,
       Target_type>(x, y, z, value_outside,
-			  CGAL::Identity<Image_word_type>());
+                          CGAL::Identity<Image_word_type>());
   }
 
   template <typename Image_word_type,
-	    typename Coord_type,
+            typename Coord_type,
             typename Target_type>
   Target_type
   labellized_trilinear_interpolation(const Coord_type&x,
-				     const Coord_type&y,
-				     const Coord_type&z,
-				     const Target_type& value_outside =
-  				       Target_type()) const
+                                     const Coord_type&y,
+                                     const Coord_type&z,
+                                     const Target_type& value_outside =
+                                         Target_type()) const
   {
     CGAL::ImageIO::Indicator_factory<Image_word_type> indicator_factory;
     return labellized_trilinear_interpolation<Image_word_type>
@@ -230,7 +230,7 @@ public:
   }
 
   template <typename Image_word_type,
-	    typename Coord_type,
+            typename Coord_type,
             typename Target_type,
             typename Indicator_factory>
   Target_type
@@ -244,20 +244,20 @@ public:
 }; // end Image_3
 
 template <typename Image_word_type,
-	  typename Target_type,
-	  typename Coord_type,
-	  class Image_transform>
+          typename Target_type,
+          typename Coord_type,
+          class Image_transform>
 Target_type
-Image_3::trilinear_interpolation(const Coord_type& x, 
-				 const Coord_type& y, 
-				 const Coord_type& z,
-				 const Target_type& value_outside,
-				 Image_transform transform) const 
+Image_3::trilinear_interpolation(const Coord_type& x,
+                                 const Coord_type& y,
+                                 const Coord_type& z,
+                                 const Target_type& value_outside,
+                                 Image_transform transform) const
 {
   // Check on double/float coordinates, because (int)-0.1 gives 0
   if ( x < 0 || y < 0 || z < 0 )
     return value_outside;
-  
+
   const Coord_type lx = static_cast<Coord_type>(x / image()->vx);
   const Coord_type ly = static_cast<Coord_type>(y / image()->vy);
   const Coord_type lz = static_cast<Coord_type>(z / image()->vz);
@@ -265,7 +265,7 @@ Image_3::trilinear_interpolation(const C
   const std::size_t dimy = ydim();
   const std::size_t dimz = zdim();
   const std::size_t dimxy = dimx*dimy;
-  
+
   if(lx < 0 ||
      ly < 0 ||
      lz < 0 ||
@@ -274,10 +274,10 @@ Image_3::trilinear_interpolation(const C
      lx >= Coord_type(dimx-1))
   {
     return value_outside;
-  }  
+  }
 
   // images are indexed by (z,y,x)
-  const int i1 = (int)(lz); 
+  const int i1 = (int)(lz);
   const int j1 = (int)(ly);
   const int k1 = (int)(lx);
   const int i2 = i1 + 1;
@@ -298,7 +298,7 @@ Image_3::trilinear_interpolation(const C
    *     |  |b___|_c|
    *     | /     | /
    *    a|/_____d|/  _y
-   *    
+   *
    *
    * a = val(i1, j1, k1)
    * b = val(i2, j1, k1)
@@ -323,7 +323,7 @@ Image_3::trilinear_interpolation(const C
   ptr -= dimxy; // i1 * dimxy + j2 * dimx + k1
   const Target_type d = Target_type(transform(*ptr));
   const Target_type h = Target_type(transform(*(ptr+1)));
-  
+
 
 //   const Target_type a = ((Image_word_type*)image()->data)[i1 * dimxy + j1 * dimx + k1];
 //   const Target_type b = ((Image_word_type*)image()->data)[i2 * dimxy + j1 * dimx + k1];
@@ -357,14 +357,14 @@ Image_3::trilinear_interpolation(const C
 //     }
 //     else {
 //       if(i1 < 0)
-// 	a = outside;
+//         a = outside;
 //       else
-// 	a = ((Image_word_type*)image()->data)[i1 * dimxy + j1 * dimx + k1];
+//         a = ((Image_word_type*)image()->data)[i1 * dimxy + j1 * dimx + k1];
 
 //       if(i2 >= dimz)
-// 	b = outside;
-//       else 
-// 	b = ((Image_word_type*)image()->data)[i2 * dimxy + j1 * dimx + k1];
+//         b = outside;
+//       else
+//         b = ((Image_word_type*)image()->data)[i2 * dimxy + j1 * dimx + k1];
 //     }
 
 //     if(j2 >= dimy) {
@@ -372,14 +372,14 @@ Image_3::trilinear_interpolation(const C
 //     }
 //     else {
 //       if(i1 < 0)
-// 	d = outside;
+//         d = outside;
 //       else
-// 	d = ((Image_word_type*)image()->data)[i1 * dimxy + j2 * dimx + k1];
+//         d = ((Image_word_type*)image()->data)[i1 * dimxy + j2 * dimx + k1];
 
 //       if(i2 >= dimz)
-// 	c = outside;
+//         c = outside;
 //       else
-// 	c = ((Image_word_type*)image()->data)[i2 * dimxy + j2 * dimx + k1];
+//         c = ((Image_word_type*)image()->data)[i2 * dimxy + j2 * dimx + k1];
 //     }
 //   }
 
@@ -392,14 +392,14 @@ Image_3::trilinear_interpolation(const C
 //     }
 //     else {
 //       if(i1 < 0)
-// 	e = outside;
+//         e = outside;
 //       else
-// 	e = ((Image_word_type*)image()->data)[i1 * dimxy + j1 * dimx + k2];
+//         e = ((Image_word_type*)image()->data)[i1 * dimxy + j1 * dimx + k2];
 
 //       if(i2 >= dimz)
-// 	f = outside;
-//       else 
-// 	f = ((Image_word_type*)image()->data)[i2 * dimxy + j1 * dimx + k2];
+//         f = outside;
+//       else
+//         f = ((Image_word_type*)image()->data)[i2 * dimxy + j1 * dimx + k2];
 //     }
 
 //     if(j2 >= dimy) {
@@ -407,14 +407,14 @@ Image_3::trilinear_interpolation(const C
 //     }
 //     else {
 //       if(i1 < 0)
-// 	h = outside;
+//         h = outside;
 //       else
-// 	h = ((Image_word_type*)image()->data)[i1 * dimxy + j2 * dimx + k2];
+//         h = ((Image_word_type*)image()->data)[i1 * dimxy + j2 * dimx + k2];
 
 //       if(i2 >= dimz)
-// 	g = outside;
+//         g = outside;
 //       else
-// 	g = ((Image_word_type*)image()->data)[i2 * dimxy + j2 * dimx + k2];
+//         g = ((Image_word_type*)image()->data)[i2 * dimxy + j2 * dimx + k2];
 //     }
 //   }
 
@@ -428,15 +428,15 @@ Image_3::trilinear_interpolation(const C
 //   std::cerr << dj2 << " " << dj1 << "\n";
 //   std::cerr << dk2 << " " << dk1 << "\n";
 
-  return ( (  ( a * di2 + b * di1 ) * dj2 + 
-	      ( d * di2 + c * di1 ) * dj1   ) * dk2 +
-	   (  ( e * di2 + f * di1 ) * dj2 + 
-	      ( h * di2 + g * di1 ) * dj1   ) * dk1 );
+  return ( (  ( a * di2 + b * di1 ) * dj2 +
+              ( d * di2 + c * di1 ) * dj1   ) * dk2 +
+           (  ( e * di2 + f * di1 ) * dj2 +
+              ( h * di2 + g * di1 ) * dj1   ) * dk1 );
 } // end trilinear_interpolation
 
 
 template <typename Image_word_type,
-	  typename Coord_type,
+          typename Coord_type,
           typename Target_type,
           typename Indicator_factory>
 Target_type
@@ -449,14 +449,14 @@ Image_3::labellized_trilinear_interpolat
 {
   // Check on double/float coordinates, because (int)-0.1 gives 0
   if ( x < 0 || y < 0 || z < 0 ) return value_outside;
-  
+
   Coord_type lx = x / image()->vx;
   Coord_type ly = y / image()->vy;
   Coord_type lz = z / image()->vz;
   const std::size_t dimx = xdim();
   const std::size_t dimy = ydim();
   const std::size_t dimz = zdim();
-  
+
   if( lx < 0 ||
       ly < 0 ||
       lz < 0 ||
@@ -465,10 +465,10 @@ Image_3::labellized_trilinear_interpolat
      lx >= Coord_type(dimx-1))
   {
     return value_outside;
-  }  
+  }
 
   // images are indexed by (z,y,x)
-  const int i1 = (int)(lz); 
+  const int i1 = (int)(lz);
   const int j1 = (int)(ly);
   const int k1 = (int)(lx);
   const int i2 = i1 + 1;
@@ -485,7 +485,7 @@ Image_3::labellized_trilinear_interpolat
   index[7] = index[6] + 1;
 
   std::array<Image_word_type,8> labels;
-  
+
   labels[0] = ((Image_word_type*)image()->data)[index[0]];
   int lc = 1;
   for(int lci=1; lci<8; ++lci){
@@ -503,19 +503,19 @@ Image_3::labellized_trilinear_interpolat
   }
 
   CGAL_HISTOGRAM_PROFILER(
-    "Number of labels around a vertex, Image_3::labellized_trilinear_interpolation()", 
+    "Number of labels around a vertex, Image_3::labellized_trilinear_interpolation()",
     static_cast<unsigned int>(lc));
 
   if(lc == 1) {
     return static_cast<Target_type>(labels[0]);
   }
-    
+
   double best_value = 0.;
   Image_word_type best = 0;
   for(int i = 0; i < lc; ++i)
   {
     Image_word_type iwt = labels[i];
-    const double r = 
+    const double r =
       trilinear_interpolation<Image_word_type,double,Coord_type>(
         x, y, z, value_outside, indicator_factory.indicator(iwt));
 
diff -pruN 5.0.2-3/include/CGAL/Image_3_impl.h 5.0.3-1/include/CGAL/Image_3_impl.h
--- 5.0.2-3/include/CGAL/Image_3_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Image_3_impl.h	2020-08-01 19:02:17.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/Image_3_impl.h $
-// $Id: Image_3_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/Image_3_impl.h $
+// $Id: Image_3_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Rineau, Pierre Alliez
@@ -31,7 +31,7 @@ bool Image_3::private_read(_image* im, O
     }
     image_ptr = Image_shared_ptr(im, Image_deleter(own == OWN_THE_DATA));
 
-//     std::cerr << 
+//     std::cerr <<
 //       boost::format("image=%1% (xdim=%2%, ydim=%3%, zdim=%4%)\n")
 //       % image_ptr.get() % image_ptr->xdim % image_ptr->ydim % image_ptr->zdim;
 
@@ -57,12 +57,12 @@ struct VTK_to_ImageIO_type_mapper {
   unsigned int wdim;
 };
 
-static const VTK_to_ImageIO_type_mapper VTK_to_ImageIO_type[VTK_ID_TYPE] = 
+static const VTK_to_ImageIO_type_mapper VTK_to_ImageIO_type[VTK_ID_TYPE] =
   { { WK_UNKNOWN, SGN_UNKNOWN,  0}, //  0=VTK_VOID
     { WK_UNKNOWN, SGN_UNKNOWN,  0}, //  1=VTK_BIT
     { WK_FIXED,   SGN_SIGNED,   1}, //  2=VTK_CHAR
     { WK_FIXED,   SGN_UNSIGNED, 1}, //  3=VTK_UNSIGNED_CHAR
-    { WK_FIXED,   SGN_SIGNED,   2}, //  4=VTK_SHORT 
+    { WK_FIXED,   SGN_SIGNED,   2}, //  4=VTK_SHORT
     { WK_FIXED,   SGN_UNSIGNED, 2}, //  5=VTK_UNSIGNED_SHORT
     { WK_FIXED,   SGN_SIGNED,   4}, //  6=VTK_INT
     { WK_FIXED,   SGN_UNSIGNED, 4}, //  7=VTK_UNSIGNED_INT
@@ -70,7 +70,7 @@ static const VTK_to_ImageIO_type_mapper
     { WK_FIXED,   SGN_UNSIGNED, 8}, //  9=VTK_UNSIGNED_LONG
     { WK_FLOAT,   SGN_SIGNED,   4}, // 10=VTK_FLOAT
     { WK_FIXED,   SGN_SIGNED,   8}  // 11=VTK_DOUBLE
- }; 
+ };
 
 } //end anonymous namespace
 
@@ -97,7 +97,7 @@ Image_3::read_vtk_image_data(vtkImageDat
   if(vtk_type == VTK_SIGNED_CHAR) vtk_type = VTK_CHAR;
   if(vtk_type < 0 || vtk_type > VTK_DOUBLE)
     vtk_type = VTK_DOUBLE;
-  const VTK_to_ImageIO_type_mapper& imageio_type = 
+  const VTK_to_ImageIO_type_mapper& imageio_type =
     VTK_to_ImageIO_type[vtk_type];
   image->wdim = imageio_type.wdim;
   image->wordKind = imageio_type.wordKind;
diff -pruN 5.0.2-3/include/CGAL/Image_3_vtk_interface.h 5.0.3-1/include/CGAL/Image_3_vtk_interface.h
--- 5.0.2-3/include/CGAL/Image_3_vtk_interface.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Image_3_vtk_interface.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/Image_3_vtk_interface.h $
-// $Id: Image_3_vtk_interface.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/Image_3_vtk_interface.h $
+// $Id: Image_3_vtk_interface.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Laurent Rineau
 
 
diff -pruN 5.0.2-3/include/CGAL/ImageIO/analyze.h 5.0.3-1/include/CGAL/ImageIO/analyze.h
--- 5.0.2-3/include/CGAL/ImageIO/analyze.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/analyze.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/analyze.h $
-// $Id: analyze.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/analyze.h $
+// $Id: analyze.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -34,7 +34,7 @@ int testAnalyzeHeader(char *magic,const
 /** creates an return the file format structure associated with the Analyze file format */
 PTRIMAGE_FORMAT createAnalyzeFormat();
 
-/* 
+/*
    return:
    -1: error
     1: success
@@ -42,7 +42,7 @@ PTRIMAGE_FORMAT createAnalyzeFormat();
 int writeAnalyze( char *basename, _image* im ) ;
 
 
-/* 
+/*
    return:
    -1: error
     1: success
@@ -51,7 +51,7 @@ int writeAnalyzeHeader( const _image* im
 
 
 
-/* 
+/*
    return:
    -1: error
     1: success
diff -pruN 5.0.2-3/include/CGAL/ImageIO/analyze_impl.h 5.0.3-1/include/CGAL/ImageIO/analyze_impl.h
--- 5.0.2-3/include/CGAL/ImageIO/analyze_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/analyze_impl.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/analyze_impl.h $
-// $Id: analyze_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/analyze_impl.h $
+// $Id: analyze_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -33,15 +33,15 @@
 /** Magic header for ANALYZE files written in big endian format */
 #define ANALYZE_BE_MAGIC "\134\001\000\000"
 
-#define DT_NONE			0 
-#define DT_UNKNOWN              0 /*Unknown data type*/ 
-#define DT_BINARY               1 /*Binary (1 bit per voxel)*/ 
-#define DT_UNSIGNED_CHAR        2 /*Unsigned character (8 bits per voxel)*/ 
-#define DT_SIGNED_SHORT         4 /*Signed short (16 bits per voxel)*/ 
-#define DT_SIGNED_INT           8 /*Signed integer (32 bits per voxel)*/ 
-#define DT_FLOAT                16 /*Floating point (32 bits per voxel)*/ 
+#define DT_NONE                        0
+#define DT_UNKNOWN              0 /*Unknown data type*/
+#define DT_BINARY               1 /*Binary (1 bit per voxel)*/
+#define DT_UNSIGNED_CHAR        2 /*Unsigned character (8 bits per voxel)*/
+#define DT_SIGNED_SHORT         4 /*Signed short (16 bits per voxel)*/
+#define DT_SIGNED_INT           8 /*Signed integer (32 bits per voxel)*/
+#define DT_FLOAT                16 /*Floating point (32 bits per voxel)*/
 #define DT_COMPLEX              32 /*Complex (64 bits per voxel; 2 floating point numbers) */
-#define DT_DOUBLE               64 /*Double precision (64 bits per voxel)*/ 
+#define DT_DOUBLE               64 /*Double precision (64 bits per voxel)*/
 #define DT_RGB                  128 /* */
 #define DT_ALL                  255 /* */
 
@@ -68,7 +68,7 @@ struct image_dimension
         short int bitpix;                       /* 32 + 2    */
         short int dim_un0;                      /* 34 + 2    */
         float pixdim[8];                        /* 36 + 32   */
-                        /* 
+                        /*
                                 pixdim[] specifies the voxel dimensions:
                                 pixdim[1] - voxel width
                                 pixdim[2] - voxel height
@@ -85,7 +85,7 @@ struct image_dimension
         int verified;                           /* 96 + 4    */
         int glmax, glmin;                       /* 100 + 8   */
     };                                          /* total=108 */
-         
+
 struct data_history                     /*      data_history     */
     {                                           /* off + size*/
         char descrip[80];                       /* 0 + 80    */
@@ -104,7 +104,7 @@ struct data_history
         int field_skip;                         /* 180 + 4   */
         int omax,omin;                          /* 184 + 8   */
         int smax,smin;                          /* 192 + 8   */
-    };                                        
+    };
 
 
 struct dsr                                   /*      dsr              */
@@ -114,7 +114,7 @@ struct dsr
      struct data_history hist;               /* 148 + 200 */
    };                                        /* total=348 */
 
- 
+
 
 
 /*---------------- _swapLong ------------------------------------------------*/
@@ -122,24 +122,24 @@ CGAL_INLINE_FUNCTION
 static void _swapLong( unsigned char *pntr)
 {
   unsigned char b0, b1, b2, b3;
-  
+
   b0 = *pntr;
   b1 = *(pntr+1);
   b2 = *(pntr+2);
   b3 = *(pntr+3);
-  
+
   *pntr = b3;
   *(pntr+1) = b2;
   *(pntr+2) = b1;
   *(pntr+3) = b0;
 }
-        
+
 /*---------------- _swapShort -----------------------------------------------*/
 CGAL_INLINE_FUNCTION
 static void _swapShort( unsigned char *pntr)
 {
   unsigned char b0, b1;
-  
+
   b0 = *pntr;
   b1 = *(pntr+1);
 
@@ -151,7 +151,7 @@ static void _swapShort( unsigned char *p
 CGAL_INLINE_FUNCTION
 static void _swapAnalyzeHdr( struct dsr *pntr)
 {
-  
+
   _swapLong((unsigned char*) &pntr->hk.sizeof_hdr) ;
   _swapLong((unsigned char*) &pntr->hk.extents) ;
   _swapShort((unsigned char*) &pntr->hk.session_error) ;
@@ -202,9 +202,9 @@ CGAL_INLINE_FUNCTION
 int testAnalyzeHeader(char *magic,const char *) {
    /* opened image is an ANALYZE */
   if( !memcmp(magic,ANALYZE_LE_MAGIC,4) ||
-      !memcmp(magic,ANALYZE_BE_MAGIC,4)) 
+      !memcmp(magic,ANALYZE_BE_MAGIC,4))
     return 0;
-  else 
+  else
     return -1;
 }
 
@@ -216,7 +216,7 @@ int writeAnalyze( char *name, _image* im
 
   length=strlen(name);
   outputName= (char *)ImageIO_alloc(length+8);
-  
+
   if ( strncmp( name+length-4, ".hdr", 4 ) == 0 ) {
     extLength = 4;
   }
@@ -235,7 +235,7 @@ int writeAnalyze( char *name, _image* im
     strcpy( outputName+length-extLength, ".hdr.gz" );
   else
     strcpy( outputName+length-extLength, ".hdr" );
-  
+
   _openWriteImage(im, outputName);
   if( !im->fd ) {
     fprintf(stderr, "writeAnalyze: error: unable to open file \'%s\'\n", outputName);
@@ -246,16 +246,16 @@ int writeAnalyze( char *name, _image* im
   int res = writeAnalyzeHeader(im);
   if ( res < 0 ) {
     fprintf(stderr, "writeAnalyze: error: unable to write header of \'%s\'\n",
-	    outputName);
+            outputName);
     if ( outputName != nullptr ) ImageIO_free( outputName );
     ImageIO_close( im );
     im->fd = nullptr;
     im->openMode = OM_CLOSE;
     return( res );
   }
-  
+
   ImageIO_close(im);
-  
+
   strncpy( outputName, name, length-extLength );
   if ( strncmp( name+length-3, ".gz", 3 ) == 0 ) {
     strcpy( outputName+length-extLength, ".img.gz" );
@@ -275,7 +275,7 @@ int writeAnalyze( char *name, _image* im
   res = writeAnalyzeData(im);
   if (res < 0) {
     fprintf(stderr, "writeAnalyze: error: unable to write data in \'%s\'\n",
-	    outputName );
+            outputName );
     ImageIO_close( im );
     im->fd = nullptr;
     im->openMode = OM_CLOSE;
@@ -290,15 +290,15 @@ int writeAnalyze( char *name, _image* im
   return ( res );
 }
 
-/* 
+/*
    return:
    -1: error
    0: success
  */
 
 CGAL_INLINE_FUNCTION
-int _readAnalyzeHeader( _image* im, const char* name, 
-			struct dsr *analyzeHeader )
+int _readAnalyzeHeader( _image* im, const char* name,
+                        struct dsr *analyzeHeader )
 {
 
    unsigned int i ;
@@ -306,40 +306,40 @@ int _readAnalyzeHeader( _image* im, cons
    ENDIANNESS ARCHITECTURE_ENDIANNESS = _getEndianness();
 
    if(im->openMode != OM_CLOSE) {
-      
+
      ImageIO_read( im, analyzeHeader, sizeof(struct dsr) );
-      
+
       if( analyzeHeader->hk.sizeof_hdr == sizeof(struct dsr) )
       {
-	 im->endianness = ARCHITECTURE_ENDIANNESS ;
+         im->endianness = ARCHITECTURE_ENDIANNESS ;
       }
       else
       {
-	_swapAnalyzeHdr( analyzeHeader );
-	 if( analyzeHeader->hk.sizeof_hdr != sizeof(struct dsr) )
-	 {
-	    fprintf (stderr,
-		     "_readAnalyzeHeader: error: unknown magic (%d)...\n",
-		     analyzeHeader->hk.sizeof_hdr );
-	    return -1;
-	 }
-	 if( ARCHITECTURE_ENDIANNESS == END_LITTLE )
-	 {
-	    im->endianness = END_BIG;
-	 }
-	 else
-	 {
-	    im->endianness = END_LITTLE;
-	 }
+        _swapAnalyzeHdr( analyzeHeader );
+         if( analyzeHeader->hk.sizeof_hdr != sizeof(struct dsr) )
+         {
+            fprintf (stderr,
+                     "_readAnalyzeHeader: error: unknown magic (%d)...\n",
+                     analyzeHeader->hk.sizeof_hdr );
+            return -1;
+         }
+         if( ARCHITECTURE_ENDIANNESS == END_LITTLE )
+         {
+            im->endianness = END_BIG;
+         }
+         else
+         {
+            im->endianness = END_LITTLE;
+         }
       }
-      
+
       if ( analyzeHeader->dime.dim[0] > 4 ) {
-	 fprintf (stderr,
-		  "_readAnalyzeHeader: error: dimensionality not supported (%d)...\n",
-		  analyzeHeader->dime.dim[0] );
-	 return -1;
+         fprintf (stderr,
+                  "_readAnalyzeHeader: error: dimensionality not supported (%d)...\n",
+                  analyzeHeader->dime.dim[0] );
+         return -1;
       }
-      
+
       im->xdim = analyzeHeader->dime.dim[1];
       im->ydim = analyzeHeader->dime.dim[2];
       im->zdim = analyzeHeader->dime.dim[3];
@@ -347,22 +347,22 @@ int _readAnalyzeHeader( _image* im, cons
       /* 0 time-points is a convention for one volume only at MNI */
       /* Corrected by X. Pennec following a bug report by Irina Kezele at MNI */
       if( analyzeHeader->dime.dim[4] == 0 ){
-	fprintf (stderr,
-		 "_readAnalyzeHeader: warning: time dimension / number if volume (dim[4]) is 0. Assuming this means 1 (otherwise there would be no image...). \n");
-	analyzeHeader->dime.dim[4] = 1; 
+        fprintf (stderr,
+                 "_readAnalyzeHeader: warning: time dimension / number if volume (dim[4]) is 0. Assuming this means 1 (otherwise there would be no image...). \n");
+        analyzeHeader->dime.dim[4] = 1;
       }
 
       /* Analyze doesn't support vector images.
-	 The forth dimension relates to time. */
+         The forth dimension relates to time. */
       if( analyzeHeader->dime.dim[4] != 1 )
       {
-	 fprintf (stderr,
-		  "_readAnalyzeHeader: error: time dimension not supported (%d)...\n",
-		  analyzeHeader->dime.dim[4] );
-	 return -1;
+         fprintf (stderr,
+                  "_readAnalyzeHeader: error: time dimension not supported (%d)...\n",
+                  analyzeHeader->dime.dim[4] );
+         return -1;
       }
       im->vectMode = VM_SCALAR;
-      
+
       im->vx = analyzeHeader->dime.pixdim[1];
       im->vy = analyzeHeader->dime.pixdim[2];
       im->vz = analyzeHeader->dime.pixdim[3];
@@ -370,150 +370,150 @@ int _readAnalyzeHeader( _image* im, cons
       if( im->vx == 0.0 ) im->vx = 1.0 ;
       if( im->vy == 0.0 ) im->vy = im->vx ;
       if( im->vz == 0.0 ) im->vz = im->vy ;
-      
+
       switch(analyzeHeader->dime.datatype)
       {
-	 case DT_BINARY:
-	 case DT_UNSIGNED_CHAR:
-	 case DT_SIGNED_SHORT:
-	 case DT_SIGNED_INT:
-	 case DT_FLOAT:
-	 case DT_COMPLEX:
-	 case DT_DOUBLE:
-	    im->vdim = 1;
-	    break ;
-	    
-	 case DT_RGB:
-	    im->vdim = 3;
-	    break ;
-	    
-	 default:
-	    fprintf (stderr,
-		     "_readAnalyzeHeader: error: data type not supported (%d)...\n",
-		     analyzeHeader->dime.datatype );
-	    return -1;
+         case DT_BINARY:
+         case DT_UNSIGNED_CHAR:
+         case DT_SIGNED_SHORT:
+         case DT_SIGNED_INT:
+         case DT_FLOAT:
+         case DT_COMPLEX:
+         case DT_DOUBLE:
+            im->vdim = 1;
+            break ;
+
+         case DT_RGB:
+            im->vdim = 3;
+            break ;
+
+         default:
+            fprintf (stderr,
+                     "_readAnalyzeHeader: error: data type not supported (%d)...\n",
+                     analyzeHeader->dime.datatype );
+            return -1;
       }
-      
+
       switch(analyzeHeader->dime.datatype)
       {
-	 case DT_BINARY:
-	 case DT_UNSIGNED_CHAR:
-	 case DT_SIGNED_SHORT:
-	 case DT_SIGNED_INT:
-	 case DT_RGB:
-	    im->wordKind = WK_FIXED;
-	    break ;
-	    
-	 case DT_FLOAT:
-	 case DT_COMPLEX:
-	 case DT_DOUBLE:
-	    im->wordKind = WK_FLOAT;
-	    break ;
-	    
-	 default:
-	    fprintf (stderr,
-		     "_readAnalyzeHeader: error: data type not supported (%d)...\n",
-		     analyzeHeader->dime.datatype );
-	    return -1;
+         case DT_BINARY:
+         case DT_UNSIGNED_CHAR:
+         case DT_SIGNED_SHORT:
+         case DT_SIGNED_INT:
+         case DT_RGB:
+            im->wordKind = WK_FIXED;
+            break ;
+
+         case DT_FLOAT:
+         case DT_COMPLEX:
+         case DT_DOUBLE:
+            im->wordKind = WK_FLOAT;
+            break ;
+
+         default:
+            fprintf (stderr,
+                     "_readAnalyzeHeader: error: data type not supported (%d)...\n",
+                     analyzeHeader->dime.datatype );
+            return -1;
       }
-      
+
       switch(analyzeHeader->dime.datatype)
       {
-	 case DT_BINARY:
-	 case DT_UNSIGNED_CHAR:
-	 case DT_RGB:
-	    im->sign = SGN_UNSIGNED;
-	    break ;
-	    
-	 case DT_SIGNED_SHORT:
-	 case DT_SIGNED_INT:
-	 case DT_FLOAT:
-	 case DT_COMPLEX:
-	 case DT_DOUBLE:
-	    im->sign = SGN_SIGNED;
-	    break ;
-	    
-	 default:
-	    fprintf (stderr,
-		     "_readAnalyzeHeader: error: data type not supported (%d)...\n",
-		     analyzeHeader->dime.datatype );
-	    return -1;
+         case DT_BINARY:
+         case DT_UNSIGNED_CHAR:
+         case DT_RGB:
+            im->sign = SGN_UNSIGNED;
+            break ;
+
+         case DT_SIGNED_SHORT:
+         case DT_SIGNED_INT:
+         case DT_FLOAT:
+         case DT_COMPLEX:
+         case DT_DOUBLE:
+            im->sign = SGN_SIGNED;
+            break ;
+
+         default:
+            fprintf (stderr,
+                     "_readAnalyzeHeader: error: data type not supported (%d)...\n",
+                     analyzeHeader->dime.datatype );
+            return -1;
       }
-      
+
       im->wdim = analyzeHeader->dime.bitpix;
       if( analyzeHeader->dime.datatype == DT_RGB )
       {
-	 im->wdim /= 3 ;
+         im->wdim /= 3 ;
       }
       if(im->wdim != 8 && im->wdim != 16 && im->wdim != 32 && im->wdim != 64)
       {
-	 fprintf (stderr,
-		  "_readAnalyzeHeader: error: pixel size not supported (%d)...\n",
-		  analyzeHeader->dime.bitpix );
-	 return -1;
+         fprintf (stderr,
+                  "_readAnalyzeHeader: error: pixel size not supported (%d)...\n",
+                  analyzeHeader->dime.bitpix );
+         return -1;
       }
       im->wdim >>= 3 ;
-      
-      /* There are 17 optional data fields 
-	 be careful in the allocation
+
+      /* There are 17 optional data fields
+         be careful in the allocation
        */
       im->nuser = 1 + 17 ;
       im->user = (char **) ImageIO_alloc(im->nuser * sizeof(char *));
       for ( i=0; i<im->nuser; i++ ) im->user[i] = nullptr;
       i = 0 ;
-      
+
       im->user[i] = (char *) ImageIO_alloc((strlen("Data lost in the Analyze -> ImageIO conversion:") + 1));
       sprintf( im->user[i++], "Data lost in the Analyze -> ImageIO conversion:" );
-      
+
       im->user[i] = (char *) ImageIO_alloc((strlen("  descrip: ") + 1 + strlen(analyzeHeader->hist.descrip) ));
       sprintf( im->user[i++], "  descrip: %s", analyzeHeader->hist.descrip );
-      
+
       im->user[i] = (char *) ImageIO_alloc((strlen("  aux_file: ") + 1 + strlen(analyzeHeader->hist.descrip) ));
       sprintf( im->user[i++], "  aux_file: %s", analyzeHeader->hist.descrip );
-      
+
       im->user[i] = (char *) ImageIO_alloc((strlen("  orient: ") + 1+ 2));
       sprintf( im->user[i++], "  orient: %d", analyzeHeader->hist.orient );
-      
+
       im->user[i] = (char *) ImageIO_alloc((strlen("  originator: ") + 1 + strlen(analyzeHeader->hist.originator) ));
       sprintf( im->user[i++], "  originator: %s", analyzeHeader->hist.originator );
-      
+
       im->user[i] = (char *) ImageIO_alloc((strlen("  generated: ") + 1 + strlen(analyzeHeader->hist.generated) ));
       sprintf( im->user[i++], "  generated: %s", analyzeHeader->hist.generated );
-      
+
       im->user[i] = (char *) ImageIO_alloc((strlen("  scannum: ") + 1 + strlen(analyzeHeader->hist.scannum) ));
       sprintf( im->user[i++], "  scannum: %s", analyzeHeader->hist.scannum );
-      
+
       im->user[i] = (char *) ImageIO_alloc((strlen("  patient_id: ") + 1 + strlen(analyzeHeader->hist.patient_id) ));
       sprintf( im->user[i++], "  patient_id: %s", analyzeHeader->hist.patient_id );
-      
+
       im->user[i] = (char *) ImageIO_alloc((strlen("  exp_date: ") + 1 + strlen(analyzeHeader->hist.exp_date) ));
       sprintf( im->user[i++], "  exp_date: %s", analyzeHeader->hist.exp_date );
-      
+
       im->user[i] = (char *) ImageIO_alloc((strlen("  exp_time: ") + 1 + strlen(analyzeHeader->hist.exp_time) ));
       sprintf( im->user[i++], "  exp_time: %s", analyzeHeader->hist.exp_time );
 
       /* A 32 bit int doesn't print on more than 11 chars */
       im->user[i] = (char *) ImageIO_alloc((strlen("  views: ") + 11 + 1));
       sprintf( im->user[i++], "  views: %d", analyzeHeader->hist.views );
-      
+
       im->user[i] = (char *) ImageIO_alloc((strlen("  vols_added: ") + 11 + 1));
       sprintf( im->user[i++], "  vols_added: %d", analyzeHeader->hist.vols_added );
-      
+
       im->user[i] = (char *) ImageIO_alloc((strlen("  start_field: ") + 11 + 1));
       sprintf( im->user[i++], "  start_field: %d", analyzeHeader->hist.start_field );
-      
+
       im->user[i] = (char *) ImageIO_alloc((strlen("  field_skip: ") + 11 + 1));
       sprintf( im->user[i++], "  field_skip: %d", analyzeHeader->hist.field_skip );
-      
+
       im->user[i] = (char *) ImageIO_alloc((strlen("  omax: ") + 11 + 1));
       sprintf( im->user[i++], "  omax: %d", analyzeHeader->hist.omax );
-      
+
       im->user[i] = (char *) ImageIO_alloc((strlen("  omin: ") + 11 + 1));
       sprintf( im->user[i++], "  omin: %d", analyzeHeader->hist.omin );
-      
+
       im->user[i] = (char *) ImageIO_alloc((strlen("  smax: ") + 11 + 1));
       sprintf( im->user[i++], "  smax: %d", analyzeHeader->hist.smax );
-      
+
       im->user[i] = (char *) ImageIO_alloc((strlen("  smin: ") + 11 + 1));
       sprintf( im->user[i++], "  smin: %d", analyzeHeader->hist.smin );
 
@@ -522,44 +522,44 @@ int _readAnalyzeHeader( _image* im, cons
       if( name != nullptr ) {
 
         std::size_t length = strlen(name) ;
-	char* data_filename = (char *) ImageIO_alloc(length+4) ;
-	
-	if( strcmp( name+length-4, ".hdr" ) )
-	  {
-	    fprintf (stderr,
-		     "_readAnalyzeHeader: error: file header extension must be .hdr\n");
-	    ImageIO_free( data_filename );
-	    return -1;
-	  }
-	 
-	ImageIO_close(im);
-	
-	strcpy(data_filename,name);
-	strcpy(data_filename+length-3, "img.gz");
-	_openReadImage(im,data_filename);
-	
-	if(!im->fd) {
-
-	  strcpy(data_filename,name);
-	  strcpy(data_filename+length-3, "img");
-	  _openReadImage(im,data_filename);
-	  if(!im->fd) {
-	    fprintf(stderr, "_readAnalyzeHeader: error: unable to open data file \'%s\'\n", data_filename);
-	    ImageIO_free( data_filename );
-	    return -1;
-	    
-	  }
-	}
-	ImageIO_free( data_filename );
+        char* data_filename = (char *) ImageIO_alloc(length+4) ;
+
+        if( strcmp( name+length-4, ".hdr" ) )
+          {
+            fprintf (stderr,
+                     "_readAnalyzeHeader: error: file header extension must be .hdr\n");
+            ImageIO_free( data_filename );
+            return -1;
+          }
+
+        ImageIO_close(im);
+
+        strcpy(data_filename,name);
+        strcpy(data_filename+length-3, "img.gz");
+        _openReadImage(im,data_filename);
+
+        if(!im->fd) {
+
+          strcpy(data_filename,name);
+          strcpy(data_filename+length-3, "img");
+          _openReadImage(im,data_filename);
+          if(!im->fd) {
+            fprintf(stderr, "_readAnalyzeHeader: error: unable to open data file \'%s\'\n", data_filename);
+            ImageIO_free( data_filename );
+            return -1;
+
+          }
+        }
+        ImageIO_free( data_filename );
       }
-      
+
       /* check header validity */
       if(im->xdim > 0 && im->ydim > 0 && im->zdim > 0 && im->vdim > 0 &&
-	 im->vx > 0.0 && im->vy > 0.0 && im->vz > 0.0 &&
-	 (im->wordKind == WK_FLOAT || (im->wordKind == WK_FIXED &&
-				       im->sign != SGN_UNKNOWN)) &&
-	 im->endianness != END_UNKNOWN) {
-	 return 0;
+         im->vx > 0.0 && im->vy > 0.0 && im->vz > 0.0 &&
+         (im->wordKind == WK_FLOAT || (im->wordKind == WK_FIXED &&
+                                       im->sign != SGN_UNKNOWN)) &&
+         im->endianness != END_UNKNOWN) {
+         return 0;
       }
       else return -1;
    }
@@ -589,9 +589,9 @@ writeAnalyzeHeader( const _image* im )
   int i ;
   int imin = 0;
   int imax = 0;
- 
+
    memset(&hdr,0, sizeof(struct dsr));
-   
+
    for(i=0;i<8;i++) {
       hdr.dime.pixdim[i] = 0.0;
    }
@@ -610,57 +610,57 @@ writeAnalyzeHeader( const _image* im )
 
    if ( im->wordKind == WK_FIXED && im->sign == SGN_UNSIGNED ) {
      if( im->wdim == 1 ) {
-       
-	if ( im->vdim == 1 ) {
-	  hdr.dime.datatype = DT_UNSIGNED_CHAR ;
-	}
-	else if ( im->vdim == 3 ) {
-	  hdr.dime.datatype = DT_RGB ;
-	}
-	else {
-	  fprintf( stderr, "%s: unsupported image type\n", proc );
-	  return -1;
-	}
-	
-	{
-	  unsigned char *buf = (unsigned char *)im->data;
+
+        if ( im->vdim == 1 ) {
+          hdr.dime.datatype = DT_UNSIGNED_CHAR ;
+        }
+        else if ( im->vdim == 3 ) {
+          hdr.dime.datatype = DT_RGB ;
+        }
+        else {
+          fprintf( stderr, "%s: unsupported image type\n", proc );
+          return -1;
+        }
+
+        {
+          unsigned char *buf = (unsigned char *)im->data;
           std::size_t size = std::size_t(im->xdim) * im->ydim * im->zdim * im->vdim;
-	  imin = imax = *buf;
-	  for (std::size_t i=0; i<size; i++, buf++) {
-	    if ( imax < *buf ) imax = *buf;
-	    if ( imin > *buf ) imin = *buf;
-	  }
-	}
-	
+          imin = imax = *buf;
+          for (std::size_t i=0; i<size; i++, buf++) {
+            if ( imax < *buf ) imax = *buf;
+            if ( imin > *buf ) imin = *buf;
+          }
+        }
+
       }
       else if ( im->wdim == 2 ) {
-	if ( im->vdim == 1 ) {
-	  unsigned short int *buf = (unsigned short int*)im->data;
+        if ( im->vdim == 1 ) {
+          unsigned short int *buf = (unsigned short int*)im->data;
           std::size_t size = std::size_t(im->xdim) * im->ydim *im->zdim;
-	  imin = imax = *buf;
-	  for (std::size_t i=0; i<size; i++, buf++) {
-	    if ( imax < *buf ) imax = *buf;
-	    if ( imin > *buf ) imin = *buf;
-	  }
-	  if ( imax < 32768 ) {
-	    hdr.dime.datatype = DT_SIGNED_SHORT ;
-	  } 
-	  else {
-	    fprintf( stderr, "%s: conversion from unsigned short to short impossible, max=%d\n", proc, imax );
-	    return -1;
-	  }
-	}
-	else {
-	  fprintf( stderr, "%s: unsupported image type\n", proc );
-	  return -1;
-	}
+          imin = imax = *buf;
+          for (std::size_t i=0; i<size; i++, buf++) {
+            if ( imax < *buf ) imax = *buf;
+            if ( imin > *buf ) imin = *buf;
+          }
+          if ( imax < 32768 ) {
+            hdr.dime.datatype = DT_SIGNED_SHORT ;
+          }
+          else {
+            fprintf( stderr, "%s: conversion from unsigned short to short impossible, max=%d\n", proc, imax );
+            return -1;
+          }
+        }
+        else {
+          fprintf( stderr, "%s: unsupported image type\n", proc );
+          return -1;
+        }
       }
-      
+
       else {
-	  fprintf( stderr, "%s: unsupported image type\n", proc );
-	  return -1;
+          fprintf( stderr, "%s: unsupported image type\n", proc );
+          return -1;
       }
-      
+
    } /* if ( im->wordKind == WK_FIXED && im->sign == SGN_UNSIGNED ) */
 
    else if( im->wordKind == WK_FIXED && im->sign == SGN_SIGNED ) {
@@ -673,8 +673,8 @@ writeAnalyzeHeader( const _image* im )
        std::size_t size = std::size_t(im->xdim) * im->ydim *im->zdim;
        imin = imax = *buf;
        for (std::size_t i=0; i<size; i++, buf++) {
-	 if ( imax < *buf ) imax = *buf;
-	 if ( imin > *buf ) imin = *buf;
+         if ( imax < *buf ) imax = *buf;
+         if ( imin > *buf ) imin = *buf;
        }
        hdr.dime.datatype = DT_SIGNED_SHORT ;
      }
@@ -683,8 +683,8 @@ writeAnalyzeHeader( const _image* im )
        std::size_t size = std::size_t(im->xdim) * im->ydim *im->zdim;
        imin = imax = *buf;
        for (std::size_t i=0; i<size; i++, buf++) {
-	 if ( imax < *buf ) imax = *buf;
-	 if ( imin > *buf ) imin = *buf;
+         if ( imax < *buf ) imax = *buf;
+         if ( imin > *buf ) imin = *buf;
        }
        hdr.dime.datatype = DT_SIGNED_INT ;
      }
@@ -714,7 +714,7 @@ writeAnalyzeHeader( const _image* im )
       fprintf( stderr, "%s: unsupported image type\n", proc );
       return -1;
    }
-	 
+
    hdr.dime.bitpix = short(8*im->wdim*im->vdim) ;
 
    hdr.hk.regular = 'r';
@@ -724,45 +724,45 @@ writeAnalyzeHeader( const _image* im )
       real values, but I'm too lazy to do it now. AG */
    hdr.dime.glmax  = 0 ;  /* maximum voxel value  */
    hdr.dime.glmin  = 0 ;  /* minimum voxel value */
-   
+
    /* corrected GM
     */
    hdr.dime.glmax  = imax ;  /* maximum voxel value  */
    hdr.dime.glmin  = imin ;  /* minimum voxel value */
-    
-/*     Set the voxel dimension fields: 
+
+/*     Set the voxel dimension fields:
        A value of 0.0 for these fields implies that the value is unknown.
          Change these values to what is appropriate for your data
-         or pass additional command line arguments     */      
-         
+         or pass additional command line arguments     */
+
     hdr.dime.pixdim[1] = (float)im->vx;
     hdr.dime.pixdim[2] = (float)im->vy;
     hdr.dime.pixdim[3] = (float)im->vz;
-    
+
 /*   Assume zero offset in .img file, byte at which pixel
        data starts in the image file */
 
-    hdr.dime.vox_offset = 0.0; 
-    
+    hdr.dime.vox_offset = 0.0;
+
 /*   Planar Orientation;    */
 /*   Movie flag OFF: 0 = transverse, 1 = coronal, 2 = sagittal
-     Movie flag ON:  3 = transverse, 4 = coronal, 5 = sagittal  */  
+     Movie flag ON:  3 = transverse, 4 = coronal, 5 = sagittal  */
+
+    hdr.hist.orient     = 0;
 
-    hdr.hist.orient     = 0;  
-    
 /*   up to 3 characters for the voxels units label; i.e. mm., um., cm. */
 
     strcpy(hdr.dime.vox_units,"mm.");
-   
+
 /*   up to 7 characters for the calibration units label; i.e. HU */
 
-    strcpy(hdr.dime.cal_units," ");  
-    
-/*     Calibration maximum and minimum values;  
-       values of 0.0 for both fields imply that no 
+    strcpy(hdr.dime.cal_units," ");
+
+/*     Calibration maximum and minimum values;
+       values of 0.0 for both fields imply that no
        calibration max and min values are used    */
 
-    hdr.dime.cal_max = 0.0; 
+    hdr.dime.cal_max = 0.0;
     hdr.dime.cal_min = 0.0;
 
     if(ImageIO_write(im, &hdr, sizeof(struct dsr)) !=sizeof(struct dsr) )
@@ -787,17 +787,17 @@ int writeAnalyzeData(const _image *im) {
 #ifdef _REVERSE_LINES_IN_ANALYZE_
     char* data = (char *)im->data ;
     char* buf = data + size - lineSize ;
-    
+
     while( buf >= data )
       {
-	nwrt = ImageIO_write(im, buf, lineSize);
-	if(nwrt != lineSize) return -1;
-	buf -= lineSize ;
+        nwrt = ImageIO_write(im, buf, lineSize);
+        if(nwrt != lineSize) return -1;
+        buf -= lineSize ;
       }
 #else
     nwrt = ImageIO_write(im, im->data, size);
     if(nwrt != size) return -1;
-#endif    
+#endif
 
     return 1 ;
   }
@@ -827,7 +827,7 @@ int printAnalyzeHeader( const char* name
   }
 
 
-  
+
 
 
   ImageIO_close(im);
diff -pruN 5.0.2-3/include/CGAL/ImageIO/bmpendian.h 5.0.3-1/include/CGAL/ImageIO/bmpendian.h
--- 5.0.2-3/include/CGAL/ImageIO/bmpendian.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/bmpendian.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/bmpendian.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/bmpendian.h $
 // $Id: bmpendian.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
diff -pruN 5.0.2-3/include/CGAL/ImageIO/bmpendian_impl.h 5.0.3-1/include/CGAL/ImageIO/bmpendian_impl.h
--- 5.0.2-3/include/CGAL/ImageIO/bmpendian_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/bmpendian_impl.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/bmpendian_impl.h $
-// $Id: bmpendian_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/bmpendian_impl.h $
+// $Id: bmpendian_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -43,11 +43,11 @@ CGAL_INLINE_FUNCTION
 int readINT8little(FILE *f, CGAL_INT8 *i)
 {
     int rc;
-    
+
     rc = fgetc(f);
     if (rc == EOF)
-	return EOF;
-    
+        return EOF;
+
     *i = CGAL_INT8(rc & 0xff);
     return 0;
 }
@@ -56,11 +56,11 @@ CGAL_INLINE_FUNCTION
 int readUINT8little(FILE *f, CGAL_UINT8 *i)
 {
     int  rc;
-    
+
     rc = fgetc(f);
     if (rc == EOF)
-	return EOF;
-    
+        return EOF;
+
     *i = CGAL_UINT8(rc & 0xff);
     return 0;
 }
@@ -76,13 +76,13 @@ int readINT16little(FILE *f, CGAL_INT16
 {
     int rc;
     CGAL_INT16 temp = 0;
-    
+
     temp = (fgetc(f) & 0xff);
-    
+
     rc = fgetc(f);
     if (rc == EOF)
-	return EOF;
-    
+        return EOF;
+
     temp = temp | CGAL_INT16((rc & 0xff) << 8);
     *i = temp;
     return 0;
@@ -93,13 +93,13 @@ int readUINT16little(FILE *f, CGAL_UINT1
 {
     int rc;
     CGAL_UINT16 temp = 0;
-    
+
     temp = (fgetc(f) & 0xff);
-    
+
     rc = fgetc(f);
     if (rc == EOF)
-	return EOF;
-    
+        return EOF;
+
     temp = CGAL_INT16(temp | ((rc & 0xff) << 8));
     *i = temp;
     return 0;
@@ -115,15 +115,15 @@ int readINT32little(FILE *f, CGAL_INT32
 {
     int rc;
     CGAL_INT32 temp = 0;
-    
+
     temp = ((long)fgetc(f) & 0xff);
     temp = CGAL_INT32(temp | (((long)fgetc(f) & 0xff) << 8));
     temp = CGAL_INT32(temp | (((long)fgetc(f) & 0xff) << 16));
-    
+
     rc = fgetc(f);
     if (rc == EOF)
-	return EOF;
-    
+        return EOF;
+
     temp = CGAL_INT32(temp | (((long)rc & 0xff) << 24));
     *i = temp;
     return 0;
@@ -134,15 +134,15 @@ int readUINT32little(FILE *f, CGAL_UINT3
 {
     int rc;
     CGAL_UINT32 temp = 0;
-    
+
     temp = ((long)fgetc(f) & 0xff);
     temp = CGAL_UINT32(temp | (((long)fgetc(f) & 0xff) << 8));
     temp = CGAL_UINT32(temp | (((long)fgetc(f) & 0xff) << 16));
-    
+
     rc = fgetc(f);
     if (rc == EOF)
-	return EOF;
-    
+        return EOF;
+
     temp = CGAL_UINT32(temp | (((long)rc & 0xff) << 24));
     *i = temp;
     return 0;
@@ -172,11 +172,11 @@ CGAL_INLINE_FUNCTION
 int writeINT16little(FILE *f, CGAL_INT16 i)
 {
     int rc;
-    
+
     rc = fputc((i & 0xff), f);
     if (rc == EOF)
-	return EOF;
-    
+        return EOF;
+
     return fputc(((i >> 8) & 0xff), f);
 }
 
@@ -184,11 +184,11 @@ CGAL_INLINE_FUNCTION
 int writeUINT16little(FILE *f, CGAL_UINT16 i)
 {
     int rc;
-    
+
     rc = fputc((i & 0xff), f);
     if (rc == EOF)
-	return EOF;
-    
+        return EOF;
+
     return fputc(((i >> 8) & 0xff), f);
 }
 
@@ -196,19 +196,19 @@ CGAL_INLINE_FUNCTION
 int writeINT32little(FILE *f, CGAL_INT32 i)
 {
     int rc;
-    
+
     rc = fputc((i & 0xff), f);
     if (rc == EOF)
-	return EOF;
-    
+        return EOF;
+
     rc = fputc(((i >> 8) & 0xff), f);
     if (rc == EOF)
-	return EOF;
-    
+        return EOF;
+
     rc = fputc(((i >> 16) & 0xff), f);
     if (rc == EOF)
-	return EOF;
-    
+        return EOF;
+
     return fputc(((i >> 24) & 0xff), f);
 }
 
@@ -217,19 +217,19 @@ CGAL_INLINE_FUNCTION
 int writeUINT32little(FILE *f, CGAL_UINT32 i)
 {
     int rc;
-    
+
     rc = fputc((i & 0xff), f);
     if (rc == EOF)
-	return EOF;
-    
+        return EOF;
+
     rc = fputc(((i >> 8) & 0xff), f);
     if (rc == EOF)
-	return EOF;
-    
+        return EOF;
+
     rc = fputc(((i >> 16) & 0xff), f);
     if (rc == EOF)
-	return EOF;
-    
+        return EOF;
+
     return fputc(((i >> 24) & 0xff), f);
 }
 
diff -pruN 5.0.2-3/include/CGAL/ImageIO/bmp.h 5.0.3-1/include/CGAL/ImageIO/bmp.h
--- 5.0.2-3/include/CGAL/ImageIO/bmp.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/bmp.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/bmp.h $
-// $Id: bmp.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/bmp.h $
+// $Id: bmp.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -13,14 +13,14 @@
 /*************************************************************************
  * iobmp.h - I procedures for BMP raw images
  *
- * $Id: bmp.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+ * $Id: bmp.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  *
  * Copyright INRIA
  *
  * AUTHOR:
  * Gregoire Malandain (greg@sophia.inria.fr)
- * 
- * CREATION DATE: 
+ *
+ * CREATION DATE:
  * Wed Oct  6 17:03:48 MET DST 1999
  *
  * ADDITIONS, CHANGES
diff -pruN 5.0.2-3/include/CGAL/ImageIO/bmp_impl.h 5.0.3-1/include/CGAL/ImageIO/bmp_impl.h
--- 5.0.2-3/include/CGAL/ImageIO/bmp_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/bmp_impl.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/bmp_impl.h $
-// $Id: bmp_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/bmp_impl.h $
+// $Id: bmp_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -52,7 +52,7 @@ CGAL_INLINE_FUNCTION
 int testBmpHeader(char *magic,const char *) {
   if( !strncmp(magic, BMP_MAGIC, strlen(BMP_MAGIC)))
     return 0;
-  else 
+  else
     return -1;
 }
 
@@ -95,8 +95,8 @@ int readBmpImage( const char *name,_imag
 
 
 CGAL_INLINE_FUNCTION
-void *_readBmpImage( const char *name, 
-		     int *dimx, int *dimy, int *dimz )
+void *_readBmpImage( const char *name,
+                     int *dimx, int *dimy, int *dimz )
 {
   const char *proc="_readBmpImage";
   void *buf = (void*)nullptr;
@@ -110,11 +110,11 @@ void *_readBmpImage( const char *name,
   long filePos = 0;
   int numImages = 0, i = 0;
   int rc = 0;
-    
+
     fp = fopen(name, "rb");
     if (fp == nullptr) {
-      if ( get_static_verbose_bmp() ) 
-	fprintf( stderr, "%s: error in opening %s\n", proc, name );
+      if ( get_static_verbose_bmp() )
+        fprintf( stderr, "%s: error in opening %s\n", proc, name );
       return( (void*)nullptr );
     }
 
@@ -127,8 +127,8 @@ void *_readBmpImage( const char *name,
     rc = readUINT16little(fp, &fileType);
     if (rc != 0) {
       fclose(fp);
-      if ( get_static_verbose_bmp() ) 
-	fprintf( stderr, "%s: error in getting file type %s\n", proc, name );
+      if ( get_static_verbose_bmp() )
+        fprintf( stderr, "%s: error in getting file type %s\n", proc, name );
       return( (void*)nullptr );
     }
     fseek(fp, filePos, SEEK_SET);
@@ -138,93 +138,93 @@ void *_readBmpImage( const char *name,
      */
     switch (fileType) {
     case TYPE_ARRAY:
-	/*
-	 * If this is an array of images, read them.  All the arrays we need
-	 * will be allocated by the reader function.
-	 */
-	rc = readMultipleImage(fp, &argbs, &xorMasks, &andMasks, &heights,
-			       &widths, &numImages);
-	break;
+        /*
+         * If this is an array of images, read them.  All the arrays we need
+         * will be allocated by the reader function.
+         */
+        rc = readMultipleImage(fp, &argbs, &xorMasks, &andMasks, &heights,
+                               &widths, &numImages);
+        break;
     case TYPE_BMP:
     case TYPE_ICO:
     case TYPE_ICO_COLOR:
     case TYPE_PTR:
     case TYPE_PTR_COLOR:
-	/*
-	 * If this is a single-image file, we've a little more work.  In order
-	 * to make the output part of this test program easy to write, we're
-	 * going to allocate dummy arrays that represent what
-	 * readMultipleImage would have allocated.  We'll read the data into
-	 * those arrays.
-	 */
-	argbs = (RGB **)calloc(1, sizeof(RGB *));
-	if (argbs == nullptr)
-	{
-	    rc = 1005;
-	    break;
-	}
-	xorMasks = (char **)calloc(1, sizeof(char *));
-	if (xorMasks == nullptr)
-	{
-	    free(argbs);
-	    rc = 1005;
-	    break;
-	}
-	andMasks = (char **)calloc(1, sizeof(char *));
-	if (andMasks == nullptr)
-	{
-	    free(argbs);
-	    free(xorMasks);
-	    rc = 1005;
-	    break;
-	}
-	heights = (CGAL_UINT32 *)calloc(1, sizeof(CGAL_UINT32));
-	if (heights == nullptr)
-	{
-	    free(argbs);
-	    free(xorMasks);
-	    free(andMasks);
-	    rc = 1005;
-	    break;
-	}
-	widths = (CGAL_UINT32 *)calloc(1, sizeof(CGAL_UINT32));
-	if (widths == nullptr)
-	{
-	    free(argbs);
-	    free(xorMasks);
-	    free(andMasks);
-	    free(heights);
-	    rc = 1005;
-	    break;
-	}
-	numImages = 1;
-
-	/*
-	 * Now that we have our arrays allocted, read the image into them.
-	 */
-	switch (fileType) {
-	case TYPE_BMP:
-	    rc = readSingleImageBMP(fp, argbs, widths, heights);
-	    break;
-	case TYPE_ICO:
-	case TYPE_PTR:
-	    rc = readSingleImageICOPTR(fp, xorMasks, andMasks, widths,
-				       heights);
-	    break;
-	case TYPE_ICO_COLOR:
-	case TYPE_PTR_COLOR:
-	    rc = readSingleImageColorICOPTR(fp, argbs, xorMasks, andMasks,
-					    widths, heights);
-	    break;
-	}
-	break;
+        /*
+         * If this is a single-image file, we've a little more work.  In order
+         * to make the output part of this test program easy to write, we're
+         * going to allocate dummy arrays that represent what
+         * readMultipleImage would have allocated.  We'll read the data into
+         * those arrays.
+         */
+        argbs = (RGB **)calloc(1, sizeof(RGB *));
+        if (argbs == nullptr)
+        {
+            rc = 1005;
+            break;
+        }
+        xorMasks = (char **)calloc(1, sizeof(char *));
+        if (xorMasks == nullptr)
+        {
+            free(argbs);
+            rc = 1005;
+            break;
+        }
+        andMasks = (char **)calloc(1, sizeof(char *));
+        if (andMasks == nullptr)
+        {
+            free(argbs);
+            free(xorMasks);
+            rc = 1005;
+            break;
+        }
+        heights = (CGAL_UINT32 *)calloc(1, sizeof(CGAL_UINT32));
+        if (heights == nullptr)
+        {
+            free(argbs);
+            free(xorMasks);
+            free(andMasks);
+            rc = 1005;
+            break;
+        }
+        widths = (CGAL_UINT32 *)calloc(1, sizeof(CGAL_UINT32));
+        if (widths == nullptr)
+        {
+            free(argbs);
+            free(xorMasks);
+            free(andMasks);
+            free(heights);
+            rc = 1005;
+            break;
+        }
+        numImages = 1;
+
+        /*
+         * Now that we have our arrays allocted, read the image into them.
+         */
+        switch (fileType) {
+        case TYPE_BMP:
+            rc = readSingleImageBMP(fp, argbs, widths, heights);
+            break;
+        case TYPE_ICO:
+        case TYPE_PTR:
+            rc = readSingleImageICOPTR(fp, xorMasks, andMasks, widths,
+                                       heights);
+            break;
+        case TYPE_ICO_COLOR:
+        case TYPE_PTR_COLOR:
+            rc = readSingleImageColorICOPTR(fp, argbs, xorMasks, andMasks,
+                                            widths, heights);
+            break;
+        }
+        break;
     default:
-	rc = 1000;
+        rc = 1000;
     }
     fclose(fp);
 
 
-  
+
     /*
      * At this point, everything's been read.  Display status messages based
      * on the return values.
@@ -232,30 +232,30 @@ void *_readBmpImage( const char *name,
     switch (rc) {
     case 1000:
     case 1006:
-      if ( get_static_verbose_bmp() ) 
-	fprintf( stderr, "%s: File is not a valid bitmap file\n", proc );
+      if ( get_static_verbose_bmp() )
+        fprintf( stderr, "%s: File is not a valid bitmap file\n", proc );
       break;
     case 1001:
-      if ( get_static_verbose_bmp() ) 
-	fprintf( stderr, "%s: Illegal information in an image\n", proc );
+      if ( get_static_verbose_bmp() )
+        fprintf( stderr, "%s: Illegal information in an image\n", proc );
       break;
     case 1002:
-      if ( get_static_verbose_bmp() ) 
-	fprintf( stderr, "%s: Legal information that I can't handle yet in an image\n", proc );
+      if ( get_static_verbose_bmp() )
+        fprintf( stderr, "%s: Legal information that I can't handle yet in an image\n", proc );
       break;
     case 1003:
     case 1004:
     case 1005:
-      if ( get_static_verbose_bmp() ) 
-	fprintf( stderr, "%s: Ran out of memory\n", proc );
+      if ( get_static_verbose_bmp() )
+        fprintf( stderr, "%s: Ran out of memory\n", proc );
       break;
     case 0:
-      if ( get_static_verbose_bmp() > 1 ) 
-	fprintf( stderr, "%s: Got good data from file, writing results\n", proc );
+      if ( get_static_verbose_bmp() > 1 )
+        fprintf( stderr, "%s: Got good data from file, writing results\n", proc );
       break;
     default:
-      if ( get_static_verbose_bmp() ) 
-	fprintf( stderr, "%s: Error reading file rc=%d\n", proc,rc );
+      if ( get_static_verbose_bmp() )
+        fprintf( stderr, "%s: Error reading file rc=%d\n", proc,rc );
       break;
     }
 
@@ -264,96 +264,96 @@ void *_readBmpImage( const char *name,
      */
     if (rc != 0)
     {
-	if (rc != 1000 && rc != 1005)
-	{
-	    for (i=0; i<numImages; i++)
-	    {
-		if (argbs[i] != nullptr)
-		    free(argbs[i]);
-		if (andMasks[i] != nullptr)
-		    free(andMasks[i]);
-		if (xorMasks[i] != nullptr)
-		    free(xorMasks[i]);
-	    }
-	    free(argbs);
-	    free(andMasks);
-	    free(xorMasks);
-	    free(widths);
-	    free(heights);
-	}
-	return( (void*)nullptr );
+        if (rc != 1000 && rc != 1005)
+        {
+            for (i=0; i<numImages; i++)
+            {
+                if (argbs[i] != nullptr)
+                    free(argbs[i]);
+                if (andMasks[i] != nullptr)
+                    free(andMasks[i]);
+                if (xorMasks[i] != nullptr)
+                    free(xorMasks[i]);
+            }
+            free(argbs);
+            free(andMasks);
+            free(xorMasks);
+            free(widths);
+            free(heights);
+        }
+        return( (void*)nullptr );
     }
-    
-    
+
+
     /*
      * Dump the images.
      */
-    if ( get_static_verbose_bmp() > 1 ) 
+    if ( get_static_verbose_bmp() > 1 )
       fprintf (stderr, "%s: There are %d images in the file\n", proc, numImages);
 
-    if ( numImages >= 2 ) 
+    if ( numImages >= 2 )
       fprintf (stderr, "%s: read only first image among %d\n", proc, numImages );
-    
+
     /*
      * my stuff:
      * just reading one bmp image
      */
     if ( (numImages > 0) &&
-	 (argbs[0] != nullptr) ) {
+         (argbs[0] != nullptr) ) {
 
       buf = (void*)malloc( widths[0]*heights[0]*3 * sizeof( unsigned char ) );
       if ( buf == (void*)nullptr ) {
-	if ( get_static_verbose_bmp() ) 
-	  fprintf( stderr, "%s: error in allocating data buffer for %s\n", proc, name );
+        if ( get_static_verbose_bmp() )
+          fprintf( stderr, "%s: error in allocating data buffer for %s\n", proc, name );
 
-	for (i=0; i<numImages; i++) {
-	  if (argbs[i] != nullptr)
-	    free(argbs[i]);
-	  if (andMasks[i] != nullptr)
-	    free(andMasks[i]);
-	  if (xorMasks[i] != nullptr)
-	    free(xorMasks[i]);
-	}
-	free(argbs);
-	free(andMasks);
-	free(xorMasks);
-	free(widths);
-	free(heights);
+        for (i=0; i<numImages; i++) {
+          if (argbs[i] != nullptr)
+            free(argbs[i]);
+          if (andMasks[i] != nullptr)
+            free(andMasks[i]);
+          if (xorMasks[i] != nullptr)
+            free(xorMasks[i]);
+        }
+        free(argbs);
+        free(andMasks);
+        free(xorMasks);
+        free(widths);
+        free(heights);
 
-	return( (void*)nullptr );
+        return( (void*)nullptr );
       }
 
       myBuf = (unsigned char*)buf;
       i = 0;
       for (row = 0; row < heights[0]; row++)
       for (col = 0; col < widths[0]; col++,i+=3) {
-	myBuf[i  ] = argbs[0][row * widths[0] + col].red;
-	myBuf[i+1] = argbs[0][row * widths[0] + col].green;
-	myBuf[i+2] = argbs[0][row * widths[0] + col].blue;
+        myBuf[i  ] = argbs[0][row * widths[0] + col].red;
+        myBuf[i+1] = argbs[0][row * widths[0] + col].green;
+        myBuf[i+2] = argbs[0][row * widths[0] + col].blue;
       }
-      
+
       *dimx = int(widths[0]);
       *dimy = int(heights[0]);
       *dimz = 3;
 
     } else {
-      if ( get_static_verbose_bmp() ) 
-	fprintf( stderr, "%s: no image or null image\n", proc );
-      
+      if ( get_static_verbose_bmp() )
+        fprintf( stderr, "%s: no image or null image\n", proc );
+
       for (i=0; i<numImages; i++) {
-	if (argbs[i] != nullptr)
-	  free(argbs[i]);
-	if (andMasks[i] != nullptr)
-	  free(andMasks[i]);
-	if (xorMasks[i] != nullptr)
-	  free(xorMasks[i]);
+        if (argbs[i] != nullptr)
+          free(argbs[i]);
+        if (andMasks[i] != nullptr)
+          free(andMasks[i]);
+        if (xorMasks[i] != nullptr)
+          free(xorMasks[i]);
       }
       free(argbs);
       free(andMasks);
       free(xorMasks);
       free(widths);
       free(heights);
-      
+
       return( (void*)nullptr );
     }
 
@@ -361,18 +361,18 @@ void *_readBmpImage( const char *name,
 
     for (i=0; i<numImages; i++) {
       if (argbs[i] != nullptr)
-	free(argbs[i]);
+        free(argbs[i]);
       if (andMasks[i] != nullptr)
-	free(andMasks[i]);
+        free(andMasks[i]);
       if (xorMasks[i] != nullptr)
-	free(xorMasks[i]);
+        free(xorMasks[i]);
     }
     free(argbs);
     free(andMasks);
     free(xorMasks);
     free(widths);
     free(heights);
-    
+
     return( buf );
 
 
@@ -386,110 +386,110 @@ void *_readBmpImage( const char *name,
 
     for (i=0; i<numImages; i++)
     {
-	/*
-	 * Loop through all the images that were returned.
-	 */
+        /*
+         * Loop through all the images that were returned.
+         */
       if ( get_static_verbose_bmp() ) {
-	fprintf (stderr, "%s: Doing image number %d\n\n", proc, i+1);
-	fprintf (stderr, "%s: Image dimensions: (%ld,%ld)\n", proc, widths[i], heights[i]);
+        fprintf (stderr, "%s: Doing image number %d\n\n", proc, i+1);
+        fprintf (stderr, "%s: Image dimensions: (%ld,%ld)\n", proc, widths[i], heights[i]);
       }
 
       if (argbs[i] != nullptr) {
-	/*
-	 * If the image has colors, dump them (BMP, color ICO and color
-	 * PTR files
-	 */
-	fprintf(stderr, "Colors");
-	for (row = 0; row < heights[i]; row++)
-	  {
-	    fprintf (stderr, "\n\nRow %ld pixels (R,G,B), hex values:\n",
-		     row);
-	    for (col = 0; col < widths[i]; col++)
-	      {
-		fprintf (stderr, "(%2.2x,%2.2x,%2.2x)",
-			 argbs[i][row * widths[i] + col].red,
-			 argbs[i][row * widths[i] + col].green,
-			 argbs[i][row * widths[i] + col].blue);
-	      }
-	  }
+        /*
+         * If the image has colors, dump them (BMP, color ICO and color
+         * PTR files
+         */
+        fprintf(stderr, "Colors");
+        for (row = 0; row < heights[i]; row++)
+          {
+            fprintf (stderr, "\n\nRow %ld pixels (R,G,B), hex values:\n",
+                     row);
+            for (col = 0; col < widths[i]; col++)
+              {
+                fprintf (stderr, "(%2.2x,%2.2x,%2.2x)",
+                         argbs[i][row * widths[i] + col].red,
+                         argbs[i][row * widths[i] + col].green,
+                         argbs[i][row * widths[i] + col].blue);
+              }
+          }
       } else {
-	/*
-	 * If there image has no colors, say so.  (monochrome ICO and PTR
-	 * files) 
-	 */
-	fprintf (stderr, "No color image\n");
+        /*
+         * If there image has no colors, say so.  (monochrome ICO and PTR
+         * files)
+         */
+        fprintf (stderr, "No color image\n");
       }
 
 
-      
+
       if (xorMasks[i] != nullptr) {
-	/*
-	 * If the image has an xor mask, dump it.  (ICO and PTR files)
-	 */
-	fprintf (stderr, "\nXOR mask\n");
-	for (row = 0; row < heights[i]; row++)
-	  {
-	    for (col = 0; col < widths[i]; col++)
-	      {
-		fprintf (stderr, "%c",
-			 xorMasks[i][row * widths[i] + col] ? '@' : '.');
-	      }
-	    fprintf (stderr, "\n");
-	  }
+        /*
+         * If the image has an xor mask, dump it.  (ICO and PTR files)
+         */
+        fprintf (stderr, "\nXOR mask\n");
+        for (row = 0; row < heights[i]; row++)
+          {
+            for (col = 0; col < widths[i]; col++)
+              {
+                fprintf (stderr, "%c",
+                         xorMasks[i][row * widths[i] + col] ? '@' : '.');
+              }
+            fprintf (stderr, "\n");
+          }
       } else {
-	/*
-	 * If the image has no xor mask, say so.  (BMP files).
-	 */
-	fprintf (stderr, "No xor mask\n");
+        /*
+         * If the image has no xor mask, say so.  (BMP files).
+         */
+        fprintf (stderr, "No xor mask\n");
       }
-      
+
 
 
       if (andMasks[i] != nullptr) {
-	/*
-	 * If the image has an and mask, dump it.  (ICO and PTR files)
-	 */
-	fprintf (stderr, "\nAND mask\n");
-	for (row = 0; row < heights[i]; row++)
-	  {
-	    for (col = 0; col < widths[i]; col++)
-	      {
-		fprintf (stderr, "%c",
-			 andMasks[i][row * widths[i] + col] ? '@' : '.');
-	      }
-	    fprintf (stderr, "\n");
-	  }
+        /*
+         * If the image has an and mask, dump it.  (ICO and PTR files)
+         */
+        fprintf (stderr, "\nAND mask\n");
+        for (row = 0; row < heights[i]; row++)
+          {
+            for (col = 0; col < widths[i]; col++)
+              {
+                fprintf (stderr, "%c",
+                         andMasks[i][row * widths[i] + col] ? '@' : '.');
+              }
+            fprintf (stderr, "\n");
+          }
       } else {
-	/*
-	 * If the image has noand mask, say so.  (BMP files)
-	 */
-	fprintf (stderr, "No and mask\n");
+        /*
+         * If the image has noand mask, say so.  (BMP files)
+         */
+        fprintf (stderr, "No and mask\n");
       }
-      
+
 
       if (i != numImages-1)
-	fprintf (stderr, "\n------------------------------------------\n\n");
-      
+        fprintf (stderr, "\n------------------------------------------\n\n");
+
     }
-    
+
     /*
      * Dumping is complete.  Free all the arrays and quit
      */
     for (i=0; i<numImages; i++)
     {
-	if (argbs[i] != nullptr)
-	    free(argbs[i]);
-	if (andMasks[i] != nullptr)
-	    free(andMasks[i]);
-	if (xorMasks[i] != nullptr)
-	    free(xorMasks[i]);
+        if (argbs[i] != nullptr)
+            free(argbs[i]);
+        if (andMasks[i] != nullptr)
+            free(andMasks[i]);
+        if (xorMasks[i] != nullptr)
+            free(xorMasks[i]);
     }
     free(argbs);
     free(andMasks);
     free(xorMasks);
     free(widths);
     free(heights);
-    
+
     return( buf );
 #endif
 }
@@ -499,7 +499,7 @@ void IoBmp_verbose ( )
 {
   if ( get_static_verbose_bmp() <= 0 )
     get_static_verbose_bmp() = 1;
-  else 
+  else
     get_static_verbose_bmp() += 1;
 }
 
diff -pruN 5.0.2-3/include/CGAL/ImageIO/bmpread.h 5.0.3-1/include/CGAL/ImageIO/bmpread.h
--- 5.0.2-3/include/CGAL/ImageIO/bmpread.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/bmpread.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/bmpread.h $
-// $Id: bmpread.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/bmpread.h $
+// $Id: bmpread.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -39,7 +39,7 @@ int readRgb(FILE *fp, RGB *rgb, int numB
 int readColorTable(FILE *fp, RGB *rgb, int numEntries, int numBytesPerEntry);
 
 int readBitsUncompressed(FILE *fp, RGB *image, int width, int height,
-			 int depth, RGB* colorTable);
+                         int depth, RGB* colorTable);
 int readMaskBitsUncompressed(FILE *fp, char *image, int width, int height);
 
 void reflectYRGB(RGB *image, int width, int height);
@@ -50,12 +50,12 @@ void reflectYchar(char *image, int width
  */
 int readSingleImageBMP(FILE *fp, RGB **argb, CGAL_UINT32 *width, CGAL_UINT32 *height);
 int readSingleImageICOPTR(FILE *fp, char **xorMask, char **andMask,
-		          CGAL_UINT32 *width, CGAL_UINT32 *height);
+                          CGAL_UINT32 *width, CGAL_UINT32 *height);
 int readSingleImageColorICOPTR(FILE *fp, RGB **argb, char **xorMask,
-			       char **andMask, CGAL_UINT32 *width, CGAL_UINT32 *height);
+                               char **andMask, CGAL_UINT32 *width, CGAL_UINT32 *height);
 int readMultipleImage(FILE *fp, RGB ***argbs, char ***xorMasks,
-		      char ***andMasks, CGAL_UINT32 **widths, CGAL_UINT32 **heights,
-		      int *imageCount);
+                      char ***andMasks, CGAL_UINT32 **widths, CGAL_UINT32 **heights,
+                      int *imageCount);
 
 #ifdef CGAL_HEADER_ONLY
 #include <CGAL/ImageIO/bmpread_impl.h>
diff -pruN 5.0.2-3/include/CGAL/ImageIO/bmpread_impl.h 5.0.3-1/include/CGAL/ImageIO/bmpread_impl.h
--- 5.0.2-3/include/CGAL/ImageIO/bmpread_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/bmpread_impl.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/bmpread_impl.h $
-// $Id: bmpread_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/bmpread_impl.h $
+// $Id: bmpread_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -46,23 +46,23 @@ CGAL_INLINE_FUNCTION
 int readBitmapFileHeader(FILE *fp, Bitmapfileheader *bfh)
 {
     int rc;
-  
+
     rc = readUINT16little(fp, &(bfh->type));
     if (rc != 0)
-	return rc;
-    
+        return rc;
+
     rc = readUINT32little(fp, &(bfh->size));
     if (rc != 0)
-	return rc;
-    
+        return rc;
+
     rc = readINT16little(fp, &(bfh->xHotspot));
     if (rc != 0)
-	return rc;
-    
+        return rc;
+
     rc = readINT16little(fp, &(bfh->yHotspot));
     if (rc != 0)
-	return rc;
-    
+        return rc;
+
     rc = readUINT32little(fp, &(bfh->offsetToBits));
     return rc;
 }
@@ -74,19 +74,19 @@ CGAL_INLINE_FUNCTION
 int readBitmapArrayHeader(FILE *fp, BITMAPARRAYHEADER *bah)
 {
     int rc;
-    
+
     rc = readUINT16little(fp, &(bah->type));
     if (rc != 0)
-	return rc;
+        return rc;
     rc = readUINT32little(fp, &(bah->size));
     if (rc != 0)
-	return rc;
+        return rc;
     rc = readUINT32little(fp, &(bah->next));
     if (rc != 0)
-	return rc;
+        return rc;
     rc = readUINT16little(fp, &(bah->screenWidth));
     if (rc != 0)
-	return rc;
+        return rc;
     rc = readUINT16little(fp, &(bah->screenHeight));
     return rc;
 }
@@ -104,35 +104,35 @@ CGAL_INLINE_FUNCTION
 int readBitmapHeader(FILE *fp, BITMAPHEADER *bh)
 {
     int    rc, oldFormat;
-	unsigned int bytesRead;
+        unsigned int bytesRead;
     CGAL_UINT16 tempVal;
-    
+
     /*
      * Clear the structure.  Default values for all fields are zeros.  This
      * will prevent garbage from being returned if the structure is truncated
      * on disk.
      */
     memset(bh, 0, sizeof(BITMAPHEADER));
-    
+
     /*
      * Read the size of the structure.  From here on in, we'll have to be sure
      * we don't read more bytes than this value.
      */
     rc = readUINT32little(fp, &(bh->size));
     if (rc != 0)
-	return rc;
+        return rc;
     bytesRead = 4;
-    
+
     /*
      * If the size is 12 bytes or less, than this is an "old format"
      * structure.  So the width and height fields will have to be read
      * differently.
      */
     if (bh->size <= 12)
-	oldFormat = 1;
+        oldFormat = 1;
     else
-	oldFormat = 0;
-    
+        oldFormat = 0;
+
     /*
      * Width and height are read differently for old and new format files.  In
      * the old format, they're 16-bit values.  In the new format, they're
@@ -140,40 +140,40 @@ int readBitmapHeader(FILE *fp, BITMAPHEA
      */
     if (oldFormat)
     {
-	rc = readUINT16little(fp, &tempVal);
-	if (rc != 0)
-	    return rc;
-	bh->width = tempVal;
-	bytesRead += 2;
+        rc = readUINT16little(fp, &tempVal);
+        if (rc != 0)
+            return rc;
+        bh->width = tempVal;
+        bytesRead += 2;
     }
     else
     {
-	rc = readINT32little(fp, &(bh->width));
-	if (rc != 0)
-	    return rc;
-	bytesRead += 4;
+        rc = readINT32little(fp, &(bh->width));
+        if (rc != 0)
+            return rc;
+        bytesRead += 4;
     }
     if (bytesRead >= bh->size)
-	return 0;
-    
+        return 0;
+
     if (oldFormat)
     {
-	rc = readUINT16little(fp, &tempVal);
-	if (rc != 0)
-	    return rc;
-	bh->height = tempVal;
-	bytesRead += 2;
+        rc = readUINT16little(fp, &tempVal);
+        if (rc != 0)
+            return rc;
+        bh->height = tempVal;
+        bytesRead += 2;
     }
     else
     {
-	rc = readINT32little(fp, &(bh->height));
-	if (rc != 0)
-	    return rc;
-	bytesRead += 4;
+        rc = readINT32little(fp, &(bh->height));
+        if (rc != 0)
+            return rc;
+        bytesRead += 4;
     }
     if (bytesRead >= bh->size)
-	return 0;
-    
+        return 0;
+
     /*
      * From this point on, old and new formats are identical to each other,
      * and we can proceed as if there was no difference.  For each field, we
@@ -183,121 +183,121 @@ int readBitmapHeader(FILE *fp, BITMAPHEA
      */
     rc = readUINT16little(fp, &(bh->numBitPlanes));
     if (rc != 0)
-	return rc;
+        return rc;
     bytesRead += 2;
     if (bytesRead >= bh->size)
-	return 0;
-    
+        return 0;
+
     rc = readUINT16little(fp, &(bh->numBitsPerPlane));
     if (rc != 0)
-	return rc;
+        return rc;
     bytesRead += 2;
     if (bytesRead >= bh->size)
-	return 0;
-  
+        return 0;
+
     /*
      * Old format stop here.  But we don't have to check, because in that
-     * format, 12 bytes have been read and the function will have exited 
+     * format, 12 bytes have been read and the function will have exited
      * without any extra checking.
      */
     rc = readUINT32little(fp, &(bh->compressionScheme));
     if (rc != 0)
-	return rc;
+        return rc;
     bytesRead += 4;
     if (bytesRead >= bh->size)
-	return 0;
-    
+        return 0;
+
     rc = readUINT32little(fp, &(bh->sizeOfImageData));
     if (rc != 0)
-	return rc;
+        return rc;
     bytesRead += 4;
     if (bytesRead >= bh->size)
-	return 0;
-    
+        return 0;
+
     rc = readUINT32little(fp, &(bh->xResolution));
     if (rc != 0)
-	return rc;
+        return rc;
     bytesRead += 4;
     if (bytesRead >= bh->size)
-	return 0;
-    
+        return 0;
+
     rc = readUINT32little(fp, &(bh->yResolution));
     if (rc != 0)
-	return rc;
+        return rc;
     bytesRead += 4;
     if (bytesRead >= bh->size)
-	return 0;
-    
+        return 0;
+
     rc = readUINT32little(fp, &(bh->numColorsUsed));
     if (rc != 0)
-	return rc;
+        return rc;
     bytesRead += 4;
     if (bytesRead >= bh->size)
-	return 0;
-    
+        return 0;
+
     rc = readUINT32little(fp, &(bh->numImportantColors));
     if (rc != 0)
-	return rc;
+        return rc;
     bytesRead += 4;
     if (bytesRead >= bh->size)
-	return 0;
-    
+        return 0;
+
     rc = readUINT16little(fp, &(bh->resolutionUnits));
     if (rc != 0)
-	return rc;
+        return rc;
     bytesRead += 2;
     if (bytesRead >= bh->size)
-	return 0;
-    
+        return 0;
+
     rc = readUINT16little(fp, &(bh->padding));
     if (rc != 0)
-	return rc;
+        return rc;
     bytesRead += 2;
     if (bytesRead >= bh->size)
-	return 0;
-    
+        return 0;
+
     rc = readUINT16little(fp, &(bh->origin));
     if (rc != 0)
-	return rc;
+        return rc;
     bytesRead += 2;
     if (bytesRead >= bh->size)
-	return 0;
-    
+        return 0;
+
     rc = readUINT16little(fp, &(bh->halftoning));
     if (rc != 0)
-	return rc;
+        return rc;
     bytesRead += 2;
     if (bytesRead >= bh->size)
-	return 0;
-    
+        return 0;
+
     rc = readUINT32little(fp, &(bh->halftoningParam1));
     if (rc != 0)
-	return rc;
+        return rc;
     bytesRead += 4;
     if (bytesRead >= bh->size)
-	return 0;
-    
+        return 0;
+
     rc = readUINT32little(fp, &(bh->halftoningParam2));
     if (rc != 0)
-	return rc;
+        return rc;
     bytesRead += 4;
     if (bytesRead >= bh->size)
-	return 0;
-  
+        return 0;
+
     rc = readUINT32little(fp, &(bh->colorEncoding));
     if (rc != 0)
-	return rc;
+        return rc;
     bytesRead += 4;
     if (bytesRead >= bh->size)
-	return 0;
-    
+        return 0;
+
     rc = readUINT32little(fp, &(bh->identifier));
     if (rc != 0)
-	return rc;
+        return rc;
     bytesRead += 4;
     if (bytesRead >= bh->size)
-	return 0;
-    
+        return 0;
+
     /*
      * If there are more bytes in the file than this, then the file is using a
      * future format that doesn't exist yet.  Skip over the bytes.  Assuming
@@ -322,28 +322,28 @@ CGAL_INLINE_FUNCTION
 int readRgb(FILE *fp, RGB *rgb, int numBytes)
 {
     int rc;
-    
+
     if (numBytes == 0)
-	return 0;
+        return 0;
     rc = readUINT8little(fp, &(rgb->blue));
     if (rc != 0)
-	return rc;
-    
+        return rc;
+
     if (numBytes == 1)
-	return 0;
+        return 0;
     rc = readUINT8little(fp, &(rgb->green));
     if (rc != 0)
-	return rc;
-    
+        return rc;
+
     if (numBytes == 2)
-	return 0;
+        return 0;
     rc = readUINT8little(fp, &(rgb->red));
     if (rc != 0)
-	return rc;
-    
+        return rc;
+
     if (numBytes == 3)
-	return 0;
-    
+        return 0;
+
     /* Skip over extra bytes if more than three were requested */
     return fseek(fp, (numBytes - 3), SEEK_CUR);
 }
@@ -356,12 +356,12 @@ CGAL_INLINE_FUNCTION
 int readColorTable(FILE *fp, RGB *rgb, int numEntries, int numBytesPerEntry)
 {
     int i, rc;
-    
+
     for (i=0; i<numEntries; i++)
     {
-	rc = readRgb(fp, &(rgb[i]), numBytesPerEntry);
-	if (rc != 0)
-	    return rc;
+        rc = readRgb(fp, &(rgb[i]), numBytesPerEntry);
+        if (rc != 0)
+            return rc;
     }
     return 0;
 }
@@ -379,211 +379,211 @@ int readColorTable(FILE *fp, RGB *rgb, i
  */
 CGAL_INLINE_FUNCTION
 int readBitsUncompressed(FILE *fp, RGB *image, int width, int height,
-			 int depth, RGB *colorTable)
+                         int depth, RGB *colorTable)
 {
     CGAL_UINT8 temp;
     int   rc, padBytes, i;
     long  row, column, pixel, value;
-    
+
     switch (depth) {
     case 1:
-	/*
-	 * For 1 bit per pixel, each byte is 8 pixels.  Each one is an index
-	 * into the color table (1 or 0).  Most significant byte first.  All
-	 * is padded to 32-bit boundaries as well.
-	 */
-	pixel = 0;
-	if (((width % 32) == 0) || ((width % 32) > 24))
-	    padBytes = 0;
-	else if ((width % 32) <= 8)
-	    padBytes = 3;
-	else if ((width % 32) <= 16)
-	    padBytes = 2;
-	else
-	    padBytes = 1;
-
-	for (row = height; row > 0; row--)
-	{
-	    for (column = width; column > 0; column -= 8)
-	    {
-		rc = readUINT8little(fp, &temp);
-		if (rc != 0)
-		    return rc;
-		for (i=0; i < ((column < 8) ? column : 8); i++)
-		{
-		    /*
-		     * For each byte read, bit-decompose it.  Note that the
-		     * last byte on a row could have less than 8 bits used.
-		     * Most significant bits come first.
-		     */
-		    value = ((temp & (1 << (7-i))) == 0) ? 0 : 1;
-		    image[pixel].red   = colorTable[value].red;
-		    image[pixel].green = colorTable[value].green;
-		    image[pixel].blue  = colorTable[value].blue;
-		    pixel++;
-		}
-	    }
-	    if (padBytes != 0)
-	    {
-		rc = fseek(fp, padBytes, SEEK_CUR);
-		if (rc != 0)
-		    return rc;
-	    }
-	}
-	break;
+        /*
+         * For 1 bit per pixel, each byte is 8 pixels.  Each one is an index
+         * into the color table (1 or 0).  Most significant byte first.  All
+         * is padded to 32-bit boundaries as well.
+         */
+        pixel = 0;
+        if (((width % 32) == 0) || ((width % 32) > 24))
+            padBytes = 0;
+        else if ((width % 32) <= 8)
+            padBytes = 3;
+        else if ((width % 32) <= 16)
+            padBytes = 2;
+        else
+            padBytes = 1;
+
+        for (row = height; row > 0; row--)
+        {
+            for (column = width; column > 0; column -= 8)
+            {
+                rc = readUINT8little(fp, &temp);
+                if (rc != 0)
+                    return rc;
+                for (i=0; i < ((column < 8) ? column : 8); i++)
+                {
+                    /*
+                     * For each byte read, bit-decompose it.  Note that the
+                     * last byte on a row could have less than 8 bits used.
+                     * Most significant bits come first.
+                     */
+                    value = ((temp & (1 << (7-i))) == 0) ? 0 : 1;
+                    image[pixel].red   = colorTable[value].red;
+                    image[pixel].green = colorTable[value].green;
+                    image[pixel].blue  = colorTable[value].blue;
+                    pixel++;
+                }
+            }
+            if (padBytes != 0)
+            {
+                rc = fseek(fp, padBytes, SEEK_CUR);
+                if (rc != 0)
+                    return rc;
+            }
+        }
+        break;
 
     case 4:
-	/*
-	 * For 4 bits per pixel, each byte is two pixels.  The upper half go to
-	 * the first pixel, and the lower half to the second.
-	 */
-	pixel = 0;
-	if (((width % 8) == 0) || ((width % 8) > 6))
-	    padBytes = 0;
-	else if ((width % 8) <= 2)
-	    padBytes = 3;
-	else if ((width % 8) <= 4)
-	    padBytes = 2;
-	else
-	    padBytes = 1;
-	
-	for (row = height; row > 0; row--)
-	{
-	    for (column = width; column > 0; column -= 2)
-	    {
-		/*
-		 * Each byte here is two pixels.  Note that the last byte on a
-		 * row may only contain one pixel.
-		 */
-		rc = readUINT8little(fp, &temp);
-		if (rc != 0)
-		    return rc;
-		/*
-		 * First pixel is the upper 4 bits
-		 */
-		value = temp >> 4;
-		image[pixel].red   = colorTable[value].red;
-		image[pixel].green = colorTable[value].green;
-		image[pixel].blue  = colorTable[value].blue;
-		pixel++;
-
-		/*
-		 * Second pixel is lower 4 bits.  If this is the last byte in
-		 * the row, and there are an odd number of pixels per row, then
-		 * this is not valid data.
-		 */
-		if (column == 1)
-		{
-		    value = temp & 0x0f;
-		    image[pixel].red   = colorTable[value].red;
-		    image[pixel].green = colorTable[value].green;
-		    image[pixel].blue  = colorTable[value].blue;
-		    pixel++;
-		}
-	    }
-	    if (padBytes != 0)
-	    {
-		rc = fseek(fp, padBytes, SEEK_CUR);
-		if (rc != 0)
-		    return rc;
-	    }
-	}
-	break;
+        /*
+         * For 4 bits per pixel, each byte is two pixels.  The upper half go to
+         * the first pixel, and the lower half to the second.
+         */
+        pixel = 0;
+        if (((width % 8) == 0) || ((width % 8) > 6))
+            padBytes = 0;
+        else if ((width % 8) <= 2)
+            padBytes = 3;
+        else if ((width % 8) <= 4)
+            padBytes = 2;
+        else
+            padBytes = 1;
+
+        for (row = height; row > 0; row--)
+        {
+            for (column = width; column > 0; column -= 2)
+            {
+                /*
+                 * Each byte here is two pixels.  Note that the last byte on a
+                 * row may only contain one pixel.
+                 */
+                rc = readUINT8little(fp, &temp);
+                if (rc != 0)
+                    return rc;
+                /*
+                 * First pixel is the upper 4 bits
+                 */
+                value = temp >> 4;
+                image[pixel].red   = colorTable[value].red;
+                image[pixel].green = colorTable[value].green;
+                image[pixel].blue  = colorTable[value].blue;
+                pixel++;
+
+                /*
+                 * Second pixel is lower 4 bits.  If this is the last byte in
+                 * the row, and there are an odd number of pixels per row, then
+                 * this is not valid data.
+                 */
+                if (column == 1)
+                {
+                    value = temp & 0x0f;
+                    image[pixel].red   = colorTable[value].red;
+                    image[pixel].green = colorTable[value].green;
+                    image[pixel].blue  = colorTable[value].blue;
+                    pixel++;
+                }
+            }
+            if (padBytes != 0)
+            {
+                rc = fseek(fp, padBytes, SEEK_CUR);
+                if (rc != 0)
+                    return rc;
+            }
+        }
+        break;
 
     case 8:
-	/*
-	 * For 8 bits per pixel, each byte is one pixel.
-	 */
-	pixel = 0;
-	padBytes = ((width % 4) == 0) ? 0 : (4 - (width % 4));
-
-	for (row=height; row > 0; row--)
-	{
-	    for (column=width; column > 0; column--)
-	    {
-		rc = readUINT8little(fp, &temp);
-		if (rc != 0)
-		    return rc;
-		image[pixel].red   = colorTable[temp].red;
-		image[pixel].green = colorTable[temp].green;
-		image[pixel].blue  = colorTable[temp].blue;
-		pixel++;
-	    }
-	    if (padBytes != 0)
-	    {
-		rc = fseek(fp, padBytes, SEEK_CUR);
-		if (rc != 0)
-		    return rc;
-	    }
-	}
-	break;
+        /*
+         * For 8 bits per pixel, each byte is one pixel.
+         */
+        pixel = 0;
+        padBytes = ((width % 4) == 0) ? 0 : (4 - (width % 4));
+
+        for (row=height; row > 0; row--)
+        {
+            for (column=width; column > 0; column--)
+            {
+                rc = readUINT8little(fp, &temp);
+                if (rc != 0)
+                    return rc;
+                image[pixel].red   = colorTable[temp].red;
+                image[pixel].green = colorTable[temp].green;
+                image[pixel].blue  = colorTable[temp].blue;
+                pixel++;
+            }
+            if (padBytes != 0)
+            {
+                rc = fseek(fp, padBytes, SEEK_CUR);
+                if (rc != 0)
+                    return rc;
+            }
+        }
+        break;
 
     case 16:
-	/*
-	 * For 16 bits per pixel, you must read two bytes per pixel.  But
-	 * there's a catch. The data is big endian!  This is because all pixel
-	 * data (for all formats, actually) is stored as a packed array,
-	 * stored in pixel order.
-	 */
-	pixel = 0;
-	padBytes = ((width % 2) == 0) ? 0 : 2;
-	for (row=height; row > 0; row--)
-	{
-	    for (column=width; column > 0; column--)
-	    {
-		/*
-		 * Read a 16-bit integer as big endian.  Do this by reading
-		 * two bytes and mathematically combine them.  After that,
-		 * proceed as usual.
-		 */
-		rc = readUINT8little(fp, &temp);
-		if (rc != 0)
-		    return rc;
-		value = ((long)temp) << 8;
-		rc = readUINT8little(fp, &temp);
-		if (rc != 0)
-		    return rc;
-		value |= temp;
-
-		image[pixel].red   = colorTable[value].red;
-		image[pixel].green = colorTable[value].green;
-		image[pixel].blue  = colorTable[value].blue;
-		pixel++;
-	    }
-	    if (padBytes != 0)
-	    {
-		rc = fseek(fp, padBytes, SEEK_CUR);
-		if (rc != 0)
-		    return rc;
-	    }
-	}
-	break;
+        /*
+         * For 16 bits per pixel, you must read two bytes per pixel.  But
+         * there's a catch. The data is big endian!  This is because all pixel
+         * data (for all formats, actually) is stored as a packed array,
+         * stored in pixel order.
+         */
+        pixel = 0;
+        padBytes = ((width % 2) == 0) ? 0 : 2;
+        for (row=height; row > 0; row--)
+        {
+            for (column=width; column > 0; column--)
+            {
+                /*
+                 * Read a 16-bit integer as big endian.  Do this by reading
+                 * two bytes and mathematically combine them.  After that,
+                 * proceed as usual.
+                 */
+                rc = readUINT8little(fp, &temp);
+                if (rc != 0)
+                    return rc;
+                value = ((long)temp) << 8;
+                rc = readUINT8little(fp, &temp);
+                if (rc != 0)
+                    return rc;
+                value |= temp;
+
+                image[pixel].red   = colorTable[value].red;
+                image[pixel].green = colorTable[value].green;
+                image[pixel].blue  = colorTable[value].blue;
+                pixel++;
+            }
+            if (padBytes != 0)
+            {
+                rc = fseek(fp, padBytes, SEEK_CUR);
+                if (rc != 0)
+                    return rc;
+            }
+        }
+        break;
 
     case 24:
-	/*
-	 * For 24 bits per pixel, it's an RGB structure.  Note that the color
-	 * table is ignore for bit depths greater than 24 bits.
-	 */
-	pixel = 0;
-	padBytes = width % 4;
-
-	for (row=height; row > 0; row--)
-	{
-	    for (column=width; column > 0; column--)
-	    {
-		rc = readRgb(fp, image+pixel, 3);
-		pixel++;
-	    }
-	    if (padBytes != 0)
-	    {
-		rc = fseek(fp, padBytes, SEEK_CUR);
-		if (rc != 0)
-		    return rc;
-	    }
-	}          
-	break;
+        /*
+         * For 24 bits per pixel, it's an RGB structure.  Note that the color
+         * table is ignore for bit depths greater than 24 bits.
+         */
+        pixel = 0;
+        padBytes = width % 4;
+
+        for (row=height; row > 0; row--)
+        {
+            for (column=width; column > 0; column--)
+            {
+                rc = readRgb(fp, image+pixel, 3);
+                pixel++;
+            }
+            if (padBytes != 0)
+            {
+                rc = fseek(fp, padBytes, SEEK_CUR);
+                if (rc != 0)
+                    return rc;
+            }
+        }
+        break;
     }
-    
+
     return 0;
 }
 
@@ -601,40 +601,40 @@ int readMaskBitsUncompressed(FILE *fp, c
     int   rc, padBytes, i;
     long  row, column, pixel;
     char value;
-    
+
     /*
      * see the one-bit-depth part of readBitsUncompressed for comments
      */
     pixel = 0;
     if (((width % 32) == 0) || ((width % 32) > 24))
-	padBytes = 0;
+        padBytes = 0;
     else if ((width % 32) <= 8)
-	padBytes = 3;
+        padBytes = 3;
     else if ((width % 32) <= 16)
-	padBytes = 2;
+        padBytes = 2;
     else
-	padBytes = 1;
+        padBytes = 1;
 
     for (row = height; row > 0; row--)
     {
-	for (column = width; column > 0; column -= 8)
-	{
-	    rc = readUINT8little(fp, &temp);
-	    if (rc != 0)
-		return rc;
-	    for (i=0; i < ((column < 8) ? column : 8); i++)
-	    {
-		value = ((temp & (1 << (7-i))) == 0) ? 0 : 1;
-		image[pixel] = value;
-		pixel++;
-	    }
-	}
-	if (padBytes != 0)
-	{
-	    rc = fseek(fp, padBytes, SEEK_CUR);
-	    if (rc != 0)
-		return rc;
-	}
+        for (column = width; column > 0; column -= 8)
+        {
+            rc = readUINT8little(fp, &temp);
+            if (rc != 0)
+                return rc;
+            for (i=0; i < ((column < 8) ? column : 8); i++)
+            {
+                value = ((temp & (1 << (7-i))) == 0) ? 0 : 1;
+                image[pixel] = value;
+                pixel++;
+            }
+        }
+        if (padBytes != 0)
+        {
+            rc = fseek(fp, padBytes, SEEK_CUR);
+            if (rc != 0)
+                return rc;
+        }
     }
 
     return 0;
@@ -651,18 +651,18 @@ void reflectYRGB(RGB *image, int width,
 {
     int row, col;
     RGB temp;
-    
+
     for (row = 0; row < (height / 2); row++)
     {
-	for (col = 0; col < width; col++)
-	{
-	    /* Swap pixels at (x,y) with (x,height-y) */
-	    memcpy(&temp, image+(row * width + col), sizeof(RGB));
-	    memcpy(image+(row * width + col),
-		   image+((height - row - 1) * width + col), sizeof(RGB));
-	    memcpy(image+((height - row - 1) * width + col), &temp,
-		   sizeof(RGB));
-	}
+        for (col = 0; col < width; col++)
+        {
+            /* Swap pixels at (x,y) with (x,height-y) */
+            memcpy(&temp, image+(row * width + col), sizeof(RGB));
+            memcpy(image+(row * width + col),
+                   image+((height - row - 1) * width + col), sizeof(RGB));
+            memcpy(image+((height - row - 1) * width + col), &temp,
+                   sizeof(RGB));
+        }
     }
 }
 /*
@@ -675,16 +675,16 @@ void reflectYchar(char *image, int width
 {
     int row, col;
     char temp;
-    
+
     for (row = 0; row < (height / 2); row++)
     {
-	for (col = 0; col < width; col++)
-	{
-	    /* Swap values at (x,y) with (x,height-y) */
-	    temp = image[row * width + col];
-	    image[row * width + col]=image[(height - row - 1) * width + col];
-	    image[(height - row - 1) * width + col] = temp;
-	}
+        for (col = 0; col < width; col++)
+        {
+            /* Swap values at (x,y) with (x,height-y) */
+            temp = image[row * width + col];
+            image[row * width + col]=image[(height - row - 1) * width + col];
+            image[(height - row - 1) * width + col] = temp;
+        }
     }
 }
 
@@ -708,14 +708,14 @@ void reflectYchar(char *image, int width
  * and a monochrome icon.
  *
  * return values:
- *	   0 - success
- *	1000 - incorrect file type for the routine called
- *	1001 - image data out of range or damaged file
- *	1002 - good data, but the routine called can't handle it (yet)
- *	1003 - out of memory allocating color table
- *	1004 - out of memory allocating image
- *	1005 - out of memory allocating image arrays
- *	1006 - Illegal image type in a multi-image array
+ *           0 - success
+ *        1000 - incorrect file type for the routine called
+ *        1001 - image data out of range or damaged file
+ *        1002 - good data, but the routine called can't handle it (yet)
+ *        1003 - out of memory allocating color table
+ *        1004 - out of memory allocating image
+ *        1005 - out of memory allocating image arrays
+ *        1006 - Illegal image type in a multi-image array
  *
  *     other - I/O error of some kind
  */
@@ -736,19 +736,19 @@ int readSingleImageBMP(FILE *fp, RGB **a
     int               rc, depth, inverted;
     int               numColors;
     long              numPixels, endPos;
-    
+
     /*
      * First, get the file header and sanity check it.  The type field must be
      * TYPE_BMP or we're aborting.
      */
     rc = readBitmapFileHeader(fp, &bfh);
     if (rc != 0)
-	return rc;
+        return rc;
     if ((bfh.type != TYPE_BMP) &&
-	(bfh.type != TYPE_ICO_COLOR) &&
-	(bfh.type != TYPE_PTR_COLOR))
-	return 1000;
-    
+        (bfh.type != TYPE_ICO_COLOR) &&
+        (bfh.type != TYPE_PTR_COLOR))
+        return 1000;
+
     /*
      * Immediately following a file header is always the bitmap header.  Read
      * it.  Sanity check any values we might need.  Specifically, less than
@@ -758,16 +758,16 @@ int readSingleImageBMP(FILE *fp, RGB **a
      */
     rc = readBitmapHeader(fp, &bh);
     if (rc != 0)
-	return rc;
+        return rc;
     depth = bh.numBitPlanes * bh.numBitsPerPlane;
     if ((depth > 32) ||
-	(bh.compressionScheme > COMPRESSION_LAST) ||
-	(bh.origin > ORIGIN_LAST) ||
-	(bh.colorEncoding > COLOR_ENCODING_LAST) ||
-	(bh.width < 1) ||
-	(bh.height == 0))
-	return 1001;
-    
+        (bh.compressionScheme > COMPRESSION_LAST) ||
+        (bh.origin > ORIGIN_LAST) ||
+        (bh.colorEncoding > COLOR_ENCODING_LAST) ||
+        (bh.width < 1) ||
+        (bh.height == 0))
+        return 1001;
+
     /*
      * If the height is negative, then this is a Windows bitmap whose origin
      * is the upper-left corner and not the lower-left.  The inverted flag
@@ -776,54 +776,54 @@ int readSingleImageBMP(FILE *fp, RGB **a
      */
     if (bh.height < 0)
     {
-	inverted = 0;
-	bh.height = -bh.height;
+        inverted = 0;
+        bh.height = -bh.height;
     }
     else
-	inverted = 1;
-    
+        inverted = 1;
+
     /*
      * Now, sanity check a few fields that are valid, but I don't have code to
      * deal with them yet.  This includes: more than one bit plane, any
      * compression scheme, and bit depths that are not 1, 4, 8, 16, or 24.
      */
     if ((bh.numBitPlanes > 1) ||
-	((bh.numBitsPerPlane != 1) &&
-	 (bh.numBitsPerPlane != 4) &&
-	 (bh.numBitsPerPlane != 8) &&
-	 (bh.numBitsPerPlane != 16) &&
-	 (bh.numBitsPerPlane != 24)) ||
-	(bh.compressionScheme != COMPRESSION_NONE))
-	return 1002;
-    
+        ((bh.numBitsPerPlane != 1) &&
+         (bh.numBitsPerPlane != 4) &&
+         (bh.numBitsPerPlane != 8) &&
+         (bh.numBitsPerPlane != 16) &&
+         (bh.numBitsPerPlane != 24)) ||
+        (bh.compressionScheme != COMPRESSION_NONE))
+        return 1002;
+
     /*
      * Allocate and read the color table.  The file pointer has been
      * positioned in the right place by the readBitmapHeader function.  Note
      * that images with 24-bits or more color depth have no color table.  They
      * are  already RGB.  When reading the color table, be sure to check for
-     * old/new format bitmaps. 
+     * old/new format bitmaps.
      */
     if (depth < 24)
     {
-	numColors = 1 << depth;
-	colorTable = (RGB *)calloc(numColors, sizeof(RGB));
-	if (colorTable == nullptr)
-	    return 1003;
-	if (bh.size <= 12)
-	    rc = readColorTable(fp, colorTable, numColors, 3);
-	else
-	    rc = readColorTable(fp, colorTable, numColors, 4);
-	if (rc != 0)
-	{
-	    free(colorTable);
-	    return rc;
-	}
+        numColors = 1 << depth;
+        colorTable = (RGB *)calloc(numColors, sizeof(RGB));
+        if (colorTable == nullptr)
+            return 1003;
+        if (bh.size <= 12)
+            rc = readColorTable(fp, colorTable, numColors, 3);
+        else
+            rc = readColorTable(fp, colorTable, numColors, 4);
+        if (rc != 0)
+        {
+            free(colorTable);
+            return rc;
+        }
     }
-    
+
     /*
      * We're at the end of the color table.  Preserve this position.  We'll
      * need to leave the file pointer there before returning from this
-     * function. 
+     * function.
      */
     endPos = ftell(fp);
 
@@ -834,43 +834,43 @@ int readSingleImageBMP(FILE *fp, RGB **a
     image = (RGB *)calloc(numPixels, sizeof(RGB));
     if (image == nullptr)
     {
-	free (colorTable);
-	return 1004;
+        free (colorTable);
+        return 1004;
     }
-    
+
     /*
      * Seek to the bits
      */
     rc = fseek(fp, bfh.offsetToBits, SEEK_SET);
     if (rc != 0)
     {
-	free (colorTable);
-	free (image);
-	return rc;
+        free (colorTable);
+        free (image);
+        return rc;
     }
-    
+
     /*
      * Read the bits.  If code for decompressing bits should be written,
      * insert the call here.
      */
     switch ((int)bh.compressionScheme) {
     case COMPRESSION_NONE:
-	rc = readBitsUncompressed(fp, image, bh.width, bh.height, depth,
-				  colorTable);
-	break;
+        rc = readBitsUncompressed(fp, image, bh.width, bh.height, depth,
+                                  colorTable);
+        break;
     }
-    
+
     if (rc != 0)
     {
-	free(image);
-	return rc;
+        free(image);
+        return rc;
     }
-    
+
     /*
      * If the origin is lower-left, flip the image upside down
      */
     if (inverted)
-	reflectYRGB(image, bh.width, bh.height);
+        reflectYRGB(image, bh.width, bh.height);
 
     /*
      * Return the output values.  Set the file pointer to the byte after the
@@ -887,7 +887,7 @@ int readSingleImageBMP(FILE *fp, RGB **a
      * a table would be redundant.
      */
     if (colorTable != nullptr)
-	free(colorTable);
+        free(colorTable);
 
     return 0;
 }
@@ -899,7 +899,7 @@ int readSingleImageBMP(FILE *fp, RGB **a
  */
 CGAL_INLINE_FUNCTION
 int readSingleImageICOPTR(FILE *fp, char **xorMask, char **andMask,
-		          CGAL_UINT32 *width, CGAL_UINT32 *height) 
+                          CGAL_UINT32 *width, CGAL_UINT32 *height)
 {
     Bitmapfileheader  bfh;
     BITMAPHEADER      bh;
@@ -914,12 +914,12 @@ int readSingleImageICOPTR(FILE *fp, char
      */
     rc = readBitmapFileHeader(fp, &bfh);
     if (rc != 0)
-	return rc;
+        return rc;
     if ((bfh.type != TYPE_ICO) &&
-	(bfh.type != TYPE_PTR) &&
-	(bfh.type != TYPE_ICO_COLOR) &&
-	(bfh.type != TYPE_PTR_COLOR))
-	return 1000;
+        (bfh.type != TYPE_PTR) &&
+        (bfh.type != TYPE_ICO_COLOR) &&
+        (bfh.type != TYPE_PTR_COLOR))
+        return 1000;
 
     /*
      * Now read the bitmap data and sanity check it.  Since this is a
@@ -930,21 +930,21 @@ int readSingleImageICOPTR(FILE *fp, char
      */
     rc = readBitmapHeader(fp, &bh);
     if (rc != 0)
-	return rc;
+        return rc;
     if ((bh.numBitPlanes != 1) ||
-	(bh.numBitsPerPlane != 1) ||
-	(bh.compressionScheme > COMPRESSION_LAST) ||
-	(bh.origin > ORIGIN_LAST) ||
-	(bh.colorEncoding > COLOR_ENCODING_LAST) ||
-	(bh.width < 1) ||
-	(bh.height < 1))
-	return 1001;
+        (bh.numBitsPerPlane != 1) ||
+        (bh.compressionScheme > COMPRESSION_LAST) ||
+        (bh.origin > ORIGIN_LAST) ||
+        (bh.colorEncoding > COLOR_ENCODING_LAST) ||
+        (bh.width < 1) ||
+        (bh.height < 1))
+        return 1001;
 
     /*
      * Sanity check some valid fields that I can't deal with yet.
      */
     if (bh.compressionScheme != COMPRESSION_NONE)
-	return 1002;
+        return 1002;
 
     /*
      * Skip over the color table, since this is a monochrome mask.  Note that
@@ -952,12 +952,12 @@ int readSingleImageICOPTR(FILE *fp, char
      * this isn't, and we don't.
      */
     if (bh.size <= 12)
-	rc = fseek(fp, 6, SEEK_CUR);
+        rc = fseek(fp, 6, SEEK_CUR);
     else
-	rc = fseek(fp, 8, SEEK_CUR);
+        rc = fseek(fp, 8, SEEK_CUR);
     if (rc != 0)
     {
-	return rc;
+        return rc;
     }
 
     /*
@@ -973,12 +973,12 @@ int readSingleImageICOPTR(FILE *fp, char
     numPixels = bh.width * bh.height / 2;
     mask1 = (char *)malloc(numPixels);
     if (mask1 == nullptr)
-	return 1004;
+        return 1004;
     mask2 = (char *)malloc(numPixels);
     if (mask2 == nullptr)
     {
-	free(mask1);
-	return 1004;
+        free(mask1);
+        return 1004;
     }
 
     /*
@@ -987,9 +987,9 @@ int readSingleImageICOPTR(FILE *fp, char
     rc = fseek(fp, bfh.offsetToBits, SEEK_SET);
     if (rc != 0)
     {
-	free (mask1);
-	free (mask2);
-	return rc;
+        free (mask1);
+        free (mask2);
+        return rc;
     }
 
     /*
@@ -999,17 +999,17 @@ int readSingleImageICOPTR(FILE *fp, char
      */
     switch ((int) bh.compressionScheme) {
     case COMPRESSION_NONE:
-	rc = readMaskBitsUncompressed(fp, mask1, bh.width, bh.height/2);
-	if (rc == 0)
-	    rc = readMaskBitsUncompressed(fp, mask2, bh.width, bh.height/2);
-	break;
+        rc = readMaskBitsUncompressed(fp, mask1, bh.width, bh.height/2);
+        if (rc == 0)
+            rc = readMaskBitsUncompressed(fp, mask2, bh.width, bh.height/2);
+        break;
     }
 
     if (rc != 0)
     {
-	free (mask1);
-	free (mask2);
-	return rc;
+        free (mask1);
+        free (mask2);
+        return rc;
     }
 
     /*
@@ -1027,7 +1027,7 @@ int readSingleImageICOPTR(FILE *fp, char
     *width = bh.width;
     *height = bh.height / 2;
     fseek(fp, endPos, SEEK_SET);
-    
+
     return 0;
 }
 
@@ -1039,7 +1039,7 @@ int readSingleImageICOPTR(FILE *fp, char
  */
 CGAL_INLINE_FUNCTION
 int readSingleImageColorICOPTR(FILE *fp, RGB **argb, char **xorMask,
-			       char **andMask, CGAL_UINT32 *width, CGAL_UINT32 *height)
+                               char **andMask, CGAL_UINT32 *width, CGAL_UINT32 *height)
 {
     CGAL_UINT32 width1, height1, width2, height2;
     int rc;
@@ -1055,7 +1055,7 @@ int readSingleImageColorICOPTR(FILE *fp,
     rc = readSingleImageICOPTR(fp, xorMask, andMask, &width2, &height2);
     if (rc != 0)
     {
-	return rc;
+        return rc;
     }
 
     /*
@@ -1064,7 +1064,7 @@ int readSingleImageColorICOPTR(FILE *fp,
     rc = readSingleImageBMP(fp, argb, &width1, &height1);
     if (rc != 0)
     {
-	return rc;
+        return rc;
     }
 
     /*
@@ -1072,7 +1072,7 @@ int readSingleImageColorICOPTR(FILE *fp,
      * match the dimensions of the masks.
      */
     if ((width1 != width2) || (height1 != height2))
-	return 1001;
+        return 1001;
 
     *width = width1;
     *height = height1;
@@ -1090,19 +1090,19 @@ int readSingleImageColorICOPTR(FILE *fp,
  * Note that on errors other than 1000 and 1005, the arrays will contain good
  * data - the images that have been read properly will be in the arrays.
  * Images that have not yet been read will consist of nullptr pointers in the
- * arrays. 
+ * arrays.
  */
 CGAL_INLINE_FUNCTION
 int readMultipleImage(FILE *fp, RGB ***argbs, char ***xorMasks,
-		      char ***andMasks, CGAL_UINT32 **widths, CGAL_UINT32 **heights,
-		      int *imageCount)
+                      char ***andMasks, CGAL_UINT32 **widths, CGAL_UINT32 **heights,
+                      int *imageCount)
 {
     int rc;
     long filePos;
     BITMAPARRAYHEADER bah;
     CGAL_UINT16 imageType;
     int count;
-    
+
     /*
      * First count the images.  Preserve the file position for later.  If some
      * structure in the list isn't an array header, return 1000.
@@ -1111,51 +1111,51 @@ int readMultipleImage(FILE *fp, RGB ***a
     count = 0;
     do
     {
-	rc = readBitmapArrayHeader(fp, &bah);
-	if (rc != 0)
-	    return rc;
-	if (bah.type != TYPE_ARRAY)
-	    return 1000;
-	fseek(fp, bah.next, SEEK_SET);
-	count++;
+        rc = readBitmapArrayHeader(fp, &bah);
+        if (rc != 0)
+            return rc;
+        if (bah.type != TYPE_ARRAY)
+            return 1000;
+        fseek(fp, bah.next, SEEK_SET);
+        count++;
     } while (bah.next != 0);
     fseek(fp, filePos, SEEK_SET);
-    
+
     /*
      * Allocate the arrays.  Return 1005 on any failures
      */
     *argbs = (RGB **)calloc(count, sizeof(RGB *));
     if (*argbs == nullptr)
-	return 1005;
+        return 1005;
     *xorMasks = (char **)calloc(count, sizeof(char *));
     if (*xorMasks == nullptr)
     {
-	free(*argbs);
-	return 1005;
+        free(*argbs);
+        return 1005;
     }
     *andMasks = (char **)calloc(count, sizeof(char *));
     if (*andMasks == nullptr)
     {
-	free(*argbs);
-	free(*xorMasks);
-	return 1005;
+        free(*argbs);
+        free(*xorMasks);
+        return 1005;
     }
     *widths = (CGAL_UINT32 *)calloc(count, sizeof(CGAL_UINT32));
     if (*widths == nullptr)
     {
-	free(*argbs);
-	free(*xorMasks);
-	free(*andMasks);
-	return 1005;
+        free(*argbs);
+        free(*xorMasks);
+        free(*andMasks);
+        return 1005;
     }
     *heights = (CGAL_UINT32 *)calloc(count, sizeof(CGAL_UINT32));
     if (*heights == nullptr)
     {
-	free(*argbs);
-	free(*xorMasks);
-	free(*andMasks);
-	free(*widths);
-	return 1005;
+        free(*argbs);
+        free(*xorMasks);
+        free(*andMasks);
+        free(*widths);
+        return 1005;
     }
     *imageCount = count;
 
@@ -1165,49 +1165,49 @@ int readMultipleImage(FILE *fp, RGB ***a
     count = 0;
     do
     {
-	rc = readBitmapArrayHeader(fp, &bah);
-	if (rc != 0)
-	    return rc;
-	/*
-	 * Get the image type.  Preserve the position, since we're reading
-	 * into the next structure.
-	 */
-	filePos = ftell(fp);
-	rc = readUINT16little(fp, &imageType);
-	if (rc != 0)
-	    return rc;
-	rc = fseek(fp, filePos, SEEK_SET);
-
-	/*
-	 * Now that we know what kind of image we're about to read, read it. 
-	 */
-	switch(imageType) {
-	case TYPE_BMP:
-	    rc = readSingleImageBMP(fp, (*argbs)+count, (*widths)+count,
-				    (*heights)+count);
-	    break;
-	case TYPE_ICO:
-	case TYPE_PTR:
-	    rc = readSingleImageICOPTR(fp, (*xorMasks)+count,
-				       (*andMasks)+count, (*widths)+count,
-				       (*heights)+count);
-	    break;
-	case TYPE_ICO_COLOR:
-	case TYPE_PTR_COLOR:
-	    rc = readSingleImageColorICOPTR(fp, (*argbs)+count,
-					    (*xorMasks)+count,
-					    (*andMasks)+count,
-					    (*widths)+count,
-					    (*heights)+count);
-	    break;
-	default:
-	    return 1006;
-	}
-	if (rc != 0)
-	    return rc;
-	
-	fseek(fp, bah.next, SEEK_SET);
-	count++;
+        rc = readBitmapArrayHeader(fp, &bah);
+        if (rc != 0)
+            return rc;
+        /*
+         * Get the image type.  Preserve the position, since we're reading
+         * into the next structure.
+         */
+        filePos = ftell(fp);
+        rc = readUINT16little(fp, &imageType);
+        if (rc != 0)
+            return rc;
+        rc = fseek(fp, filePos, SEEK_SET);
+
+        /*
+         * Now that we know what kind of image we're about to read, read it.
+         */
+        switch(imageType) {
+        case TYPE_BMP:
+            rc = readSingleImageBMP(fp, (*argbs)+count, (*widths)+count,
+                                    (*heights)+count);
+            break;
+        case TYPE_ICO:
+        case TYPE_PTR:
+            rc = readSingleImageICOPTR(fp, (*xorMasks)+count,
+                                       (*andMasks)+count, (*widths)+count,
+                                       (*heights)+count);
+            break;
+        case TYPE_ICO_COLOR:
+        case TYPE_PTR_COLOR:
+            rc = readSingleImageColorICOPTR(fp, (*argbs)+count,
+                                            (*xorMasks)+count,
+                                            (*andMasks)+count,
+                                            (*widths)+count,
+                                            (*heights)+count);
+            break;
+        default:
+            return 1006;
+        }
+        if (rc != 0)
+            return rc;
+
+        fseek(fp, bah.next, SEEK_SET);
+        count++;
     } while (bah.next != 0);
 
     return 0;
diff -pruN 5.0.2-3/include/CGAL/ImageIO/bmptypes.h 5.0.3-1/include/CGAL/ImageIO/bmptypes.h
--- 5.0.2-3/include/CGAL/ImageIO/bmptypes.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/bmptypes.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/bmptypes.h $
-// $Id: bmptypes.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/bmptypes.h $
+// $Id: bmptypes.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -48,7 +48,7 @@ typedef boost::uint32_t CGAL_UINT32;
 *
 * Constants.  Each set corresponds to a field in a structure.  Note that some
 * sets only have one value.  Default values for all fields are the value
-* corresponding to 0. 
+* corresponding to 0.
 */
 
 /*
@@ -62,7 +62,7 @@ typedef boost::uint32_t CGAL_UINT32;
 #define TYPE_ICO_COLOR  (0x4943)   /* 'CI' */
 #define TYPE_PTR_COLOR  (0x5043)   /* 'CP' */
 #define TYPE_ARRAY      (0x4142)   /* 'BA' */
-   
+
 /*
  * Compression schemes.  Note that BITFIELDS (from NT) uses the same number as
  * HUFFMAN1D (from OS/2)
@@ -74,7 +74,7 @@ typedef boost::uint32_t CGAL_UINT32;
 #define COMPRESSION_BITFIELDS  (3)
 #define COMPRESSION_RLE_24     (4)
 #define COMPRESSION_LAST       (4)
-   
+
 /*
  * units of resolution
  */
@@ -83,19 +83,19 @@ typedef boost::uint32_t CGAL_UINT32;
 
 /*
  * origin of coordinate space
- */   
+ */
 #define ORIGIN_LOWER_LEFT  (0)
 #define ORIGIN_LAST        (0)
 
 /*
  * halftoning algorithms
- */   
+ */
 #define HALFTONING_NONE             (0)
 #define HALFTONING_ERROR_DIFFUSION  (1)
 #define HALFTONING_PANDA            (2)
 #define HALFTONING_SUPER_CIRCLE     (3)
 #define HALFTONING_LAST             (3)
-   
+
 /*
  * color table encoding
  */
@@ -106,7 +106,7 @@ typedef boost::uint32_t CGAL_UINT32;
 *
 * Structures.
 */
-   
+
 /*
  * Bitmapfileheader defines a single bitmap image.  Its analogue in the
  * Windows SDK is the Bitmapfileheader.  Its analogues in the OS/2 Toolkit are
@@ -142,7 +142,7 @@ typedef struct BITMAPARRAYHEADER
     CGAL_UINT16    screenWidth;
     CGAL_UINT16    screenHeight;
 } BITMAPARRAYHEADER;
-   
+
 
 /*
  * BITMAPHEADER defines the properties of a bitmap.  Its analogues in the
@@ -190,7 +190,7 @@ typedef struct BITMAPHEADER
 /*
  * RGB defines a single color palette entry.  Its analogues in the Windows SDK
  * are the RGBTRIPLE and RGBQUAD structures.  Its analogues in the OS/2
- * Toolkit are the RGB and RGB2 structure. 
+ * Toolkit are the RGB and RGB2 structure.
  */
 typedef struct RGB
 {
diff -pruN 5.0.2-3/include/CGAL/ImageIO/convert.h 5.0.3-1/include/CGAL/ImageIO/convert.h
--- 5.0.2-3/include/CGAL/ImageIO/convert.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/convert.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/convert.h $
-// $Id: convert.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/convert.h $
+// $Id: convert.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -13,15 +13,15 @@
 /*************************************************************************
  * convert.h - conversion between types
  *
- * $Id: convert.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+ * $Id: convert.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  *
  * Copyright©INRIA 1998
  *
  * AUTHOR:
  * Gregoire Malandain (greg@sophia.inria.fr)
  * http://www.inria.fr/epidaure/personnel/malandain/
- * 
- * CREATION DATE: 
+ *
+ * CREATION DATE:
  * June, 9 1998
  *
  * ADDITIONS, CHANGES
@@ -50,14 +50,14 @@
  *
  * DESCRIPTION:
  *
- * Conversions from types DOUBLE or FLOAT to 
+ * Conversions from types DOUBLE or FLOAT to
  * others types are all implemented. I hope
  * I do not make mistakes.
  *
  * - When a real value is converted into an integer
  *   one, we take the nearest integer, i.e.
  *   (int)(real value - 0.5) for negative
- *   numbers, and (int)(real value + 0.5) for 
+ *   numbers, and (int)(real value + 0.5) for
  *   positive ones.
  *
  * - Some conversions are not yet implemented.
@@ -66,27 +66,27 @@
  *   done.
  */
 extern void ConvertBuffer( void *bufferIn, /* buffer to be converted */
-			   bufferType typeIn, /* type of this buffer */
-			   void *bufferOut, /* result buffer */
-			   bufferType typeOut, /* type of this buffer */
-			   int bufferLength /* buffers' length */
-			   );
+                           bufferType typeIn, /* type of this buffer */
+                           void *bufferOut, /* result buffer */
+                           bufferType typeOut, /* type of this buffer */
+                           int bufferLength /* buffers' length */
+                           );
 
 extern void Convert_r32_to_s8( r32 *theBuf,
-			       s8 *resBuf,
-			       int size );
+                               s8 *resBuf,
+                               int size );
 
 extern void Convert_r32_to_u8( r32 *theBuf,
-			       u8 *resBuf,
-			       int size );
+                               u8 *resBuf,
+                               int size );
 
 extern void Convert_r32_to_s16( r32 *theBuf,
-				s16 *resBuf,
-				int size );
+                                s16 *resBuf,
+                                int size );
 
 extern void Convert_r32_to_u16( r32 *theBuf,
-				u16 *resBuf,
-				int size );
+                                u16 *resBuf,
+                                int size );
 
 
 
diff -pruN 5.0.2-3/include/CGAL/ImageIO/convert_impl.h 5.0.3-1/include/CGAL/ImageIO/convert_impl.h
--- 5.0.2-3/include/CGAL/ImageIO/convert_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/convert_impl.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/convert_impl.h $
-// $Id: convert_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/convert_impl.h $
+// $Id: convert_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -13,14 +13,14 @@
 /*************************************************************************
  * convert.c - conversion between types
  *
- * $Id: convert_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+ * $Id: convert_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  *
  * Copyright©INRIA 1999
  *
  * AUTHOR:
  * Gregoire Malandain (greg@sophia.inria.fr)
- * 
- * CREATION DATE: 
+ *
+ * CREATION DATE:
  * June, 9 1998
  *
  * ADDITIONS, CHANGES
@@ -40,10 +40,10 @@
 
 CGAL_INLINE_FUNCTION
 void ConvertBuffer( void *bufferIn,
-		    bufferType typeIn,
-		    void *bufferOut,
-		    bufferType typeOut,
-		    int bufferLength )
+                    bufferType typeIn,
+                    void *bufferOut,
+                    bufferType typeOut,
+                    int bufferLength )
 {
   const char *proc = "ConvertBuffer";
   int i;
@@ -59,16 +59,16 @@ void ConvertBuffer( void *bufferIn,
     return;
 
   if ( bufferLength <= 0 ) {
-    fprintf( stderr, " Fatal error in %s: buffer length is negative or zero.\n", 
-	     proc );
+    fprintf( stderr, " Fatal error in %s: buffer length is negative or zero.\n",
+             proc );
     return;
   }
   if ( (bufferIn == (void*)nullptr) || (bufferOut == (void*)nullptr) ) {
-    fprintf( stderr, " Fatal error in %s: nullptr buffer(s).\n", 
-	     proc );
+    fprintf( stderr, " Fatal error in %s: nullptr buffer(s).\n",
+             proc );
     return;
   }
-  
+
   switch ( typeOut ) {
   case CGAL_SCHAR : {
     s8buf = (s8*)bufferOut;
@@ -81,24 +81,24 @@ void ConvertBuffer( void *bufferIn,
     case CGAL_FLOAT :
       r32buf = (r32*)bufferIn;
       for (i=bufferLength; i>0; i--, s8buf++, r32buf++ ) {
-	if ( *r32buf < min ) *s8buf = min;
-	else if ( *r32buf < 0.0 ) *s8buf = (s8)(*r32buf - 0.5);
-	else if ( *r32buf < max ) *s8buf = (s8)(*r32buf + 0.5);
-	else *s8buf = max;
+        if ( *r32buf < min ) *s8buf = min;
+        else if ( *r32buf < 0.0 ) *s8buf = (s8)(*r32buf - 0.5);
+        else if ( *r32buf < max ) *s8buf = (s8)(*r32buf + 0.5);
+        else *s8buf = max;
       }
       break;
     case CGAL_DOUBLE :
       r64buf = (r64*)bufferIn;
       for (i=bufferLength; i>0; i--, s8buf++, r64buf++ ) {
-	if ( *r64buf < min ) *s8buf = min;
-	else if ( *r64buf < 0.0 ) *s8buf = (s8)(*r64buf - 0.5);
-	else if ( *r64buf < max ) *s8buf = (s8)(*r64buf + 0.5);
-	else *s8buf = max;
+        if ( *r64buf < min ) *s8buf = min;
+        else if ( *r64buf < 0.0 ) *s8buf = (s8)(*r64buf - 0.5);
+        else if ( *r64buf < max ) *s8buf = (s8)(*r64buf + 0.5);
+        else *s8buf = max;
       }
       break;
     default :
-      fprintf( stderr, " Error in %s: such conversion not yet implemented.\n", 
-	       proc );
+      fprintf( stderr, " Error in %s: such conversion not yet implemented.\n",
+               proc );
       return;
     }
     break; /* end case typeOut = CGAL_SCHAR */
@@ -106,7 +106,7 @@ void ConvertBuffer( void *bufferIn,
 
 
 
-    
+
   case CGAL_UCHAR : {
     u8buf = (u8*)bufferOut;
     u8 min = 0, max = 255;
@@ -118,29 +118,29 @@ void ConvertBuffer( void *bufferIn,
     case CGAL_USHORT :
       u16buf = (u16*)bufferIn;
       for (i=bufferLength; i>0; i--, u8buf++, u16buf++ ) {
-	if ( *u16buf < max ) *u8buf = (u8)*u16buf;
-	else *u8buf = max;
+        if ( *u16buf < max ) *u8buf = (u8)*u16buf;
+        else *u8buf = max;
       }
       break;
     case CGAL_FLOAT :
       r32buf = (r32*)bufferIn;
       for (i=bufferLength; i>0; i--, u8buf++, r32buf++ ) {
-	if ( *r32buf < min ) *u8buf = min;
-	else if ( *r32buf < max ) *u8buf = (u8)(*r32buf + 0.5);
-	else *u8buf = max;
+        if ( *r32buf < min ) *u8buf = min;
+        else if ( *r32buf < max ) *u8buf = (u8)(*r32buf + 0.5);
+        else *u8buf = max;
       }
       break;
     case CGAL_DOUBLE :
       r64buf = (r64*)bufferIn;
       for (i=bufferLength; i>0; i--, u8buf++, r64buf++ ) {
-	if ( *r64buf < min ) *u8buf = min;
-	else if ( *r64buf < max ) *u8buf = (u8)(*r64buf + 0.5);
-	else *u8buf = max;
+        if ( *r64buf < min ) *u8buf = min;
+        else if ( *r64buf < max ) *u8buf = (u8)(*r64buf + 0.5);
+        else *u8buf = max;
       }
       break;
     default :
-      fprintf( stderr, " Error in %s: such conversion not yet implemented.\n", 
-	       proc );
+      fprintf( stderr, " Error in %s: such conversion not yet implemented.\n",
+               proc );
       return;
     }
     break; /* end case typeOut = CGAL_UCHAR */
@@ -149,7 +149,7 @@ void ConvertBuffer( void *bufferIn,
 
 
 
-    
+
   case CGAL_SSHORT : {
     s16buf = (s16*)bufferOut;
     s16 min = -32768, max = 32767;
@@ -161,31 +161,31 @@ void ConvertBuffer( void *bufferIn,
     case CGAL_USHORT :
       u16buf = (u16*)bufferIn;
       for (i=bufferLength; i>0; i--, s16buf++, u16buf++ ) {
-	if ( *u16buf < max ) *s16buf = (s16)*u16buf;
-	else *s16buf = max;
+        if ( *u16buf < max ) *s16buf = (s16)*u16buf;
+        else *s16buf = max;
       }
       break;
     case CGAL_FLOAT :
       r32buf = (r32*)bufferIn;
       for (i=bufferLength; i>0; i--, s16buf++, r32buf++ ) {
-	if ( *r32buf < min ) *s16buf = min;
-	else if ( *r32buf < 0.0 ) *s16buf = (s16)(*r32buf - 0.5);
-	else if ( *r32buf < max ) *s16buf = (s16)(*r32buf + 0.5);
-	else *s16buf = max;
+        if ( *r32buf < min ) *s16buf = min;
+        else if ( *r32buf < 0.0 ) *s16buf = (s16)(*r32buf - 0.5);
+        else if ( *r32buf < max ) *s16buf = (s16)(*r32buf + 0.5);
+        else *s16buf = max;
       }
       break;
     case CGAL_DOUBLE :
       r64buf = (r64*)bufferIn;
       for (i=bufferLength; i>0; i--, s16buf++, r64buf++ ) {
-	if ( *r64buf < min ) *s16buf = min;
-	else if ( *r64buf < 0.0 ) *s16buf = (s16)(*r64buf - 0.5);
-	else if ( *r64buf < max ) *s16buf = (s16)(*r64buf + 0.5);
-	else *s16buf = max;
+        if ( *r64buf < min ) *s16buf = min;
+        else if ( *r64buf < 0.0 ) *s16buf = (s16)(*r64buf - 0.5);
+        else if ( *r64buf < max ) *s16buf = (s16)(*r64buf + 0.5);
+        else *s16buf = max;
       }
       break;
     default :
       fprintf( stderr, " Error in %s: such conversion not yet implemented.\n",
-	       proc );
+               proc );
       return;
     }
     break; /* end case typeOut = CGAL_SSHORT */
@@ -193,7 +193,7 @@ void ConvertBuffer( void *bufferIn,
 
 
 
-    
+
   case CGAL_USHORT : {
     u16buf = (u16*)bufferOut;
     u16 min = 0, max = 65535;
@@ -205,24 +205,24 @@ void ConvertBuffer( void *bufferIn,
     case CGAL_FLOAT :
       r32buf = (r32*)bufferIn;
       for (i=bufferLength; i>0; i--, u16buf++, r32buf++ ) {
-	if ( *r32buf < min ) *u16buf = min;
-	else if ( *r32buf < 0.0 ) *u16buf = (u16)(*r32buf - 0.5);
-	else if ( *r32buf < max ) *u16buf = (u16)(*r32buf + 0.5);
-	else *u16buf = max;
+        if ( *r32buf < min ) *u16buf = min;
+        else if ( *r32buf < 0.0 ) *u16buf = (u16)(*r32buf - 0.5);
+        else if ( *r32buf < max ) *u16buf = (u16)(*r32buf + 0.5);
+        else *u16buf = max;
       }
       break;
     case CGAL_DOUBLE :
       r64buf = (r64*)bufferIn;
       for (i=bufferLength; i>0; i--, u16buf++, r64buf++ ) {
-	if ( *r64buf < min ) *u16buf = min;
-	else if ( *r64buf < 0.0 ) *u16buf = (u16)(*r64buf - 0.5);
-	else if ( *r64buf < max ) *u16buf = (u16)(*r64buf + 0.5);
-	else *u16buf = max;
+        if ( *r64buf < min ) *u16buf = min;
+        else if ( *r64buf < 0.0 ) *u16buf = (u16)(*r64buf - 0.5);
+        else if ( *r64buf < max ) *u16buf = (u16)(*r64buf + 0.5);
+        else *u16buf = max;
       }
       break;
     default :
       fprintf( stderr, " Error in %s: such conversion not yet implemented.\n",
-	       proc );
+               proc );
       return;
     }
     break; /* end case typeOut = CGAL_USHORT */
@@ -231,7 +231,7 @@ void ConvertBuffer( void *bufferIn,
 
 
 
-    
+
   case CGAL_INT :
     s32buf = (s32*)bufferOut;
     switch( typeIn ) {
@@ -242,18 +242,18 @@ void ConvertBuffer( void *bufferIn,
     case CGAL_FLOAT :
       r32buf = (r32*)bufferIn;
       for (i=bufferLength; i>0; i--, s32buf++, r32buf++ ) {
-	*s32buf = (int)(*r32buf);
+        *s32buf = (int)(*r32buf);
       }
       break;
     case CGAL_DOUBLE :
       r64buf = (r64*)bufferIn;
       for (i=bufferLength; i>0; i--, s32buf++, r64buf++ ) {
-	*s32buf = (int)(*r64buf);
+        *s32buf = (int)(*r64buf);
       }
       break;
     default :
       fprintf( stderr, " Error in %s: such conversion not yet implemented.\n",
-	       proc );
+               proc );
       return;
     }
     break; /* end case typeOut = CGAL_INT */
@@ -262,38 +262,38 @@ void ConvertBuffer( void *bufferIn,
 
 
 
-    
+
   case CGAL_FLOAT :
     r32buf = (r32*)bufferOut;
     switch( typeIn ) {
     case CGAL_UCHAR :
       u8buf = (u8*)bufferIn;
       for (i=bufferLength; i>0; i--, r32buf++, u8buf++ ) {
-	*r32buf = (float)(*u8buf);
+        *r32buf = (float)(*u8buf);
       }
       break;
     case CGAL_SCHAR :
       s8buf = (s8*)bufferIn;
       for (i=bufferLength; i>0; i--, r32buf++, s8buf++ ) {
-	*r32buf = (float)(*s8buf);
+        *r32buf = (float)(*s8buf);
       }
       break;
     case CGAL_USHORT :
       u16buf = (u16*)bufferIn;
       for (i=bufferLength; i>0; i--, r32buf++, u16buf++ ) {
-	*r32buf = (float)(*u16buf);
+        *r32buf = (float)(*u16buf);
       }
       break;
     case CGAL_SSHORT :
       s16buf = (s16*)bufferIn;
       for (i=bufferLength; i>0; i--, r32buf++, s16buf++ ) {
-	*r32buf = (float)(*s16buf);
+        *r32buf = (float)(*s16buf);
       }
       break;
     case CGAL_INT :
       s32buf = (s32*)bufferIn;
       for (i=bufferLength; i>0; i--, r32buf++, s32buf++ ) {
-	*r32buf = (float)(*s32buf);
+        *r32buf = (float)(*s32buf);
       }
       break;
     case CGAL_FLOAT :
@@ -303,12 +303,12 @@ void ConvertBuffer( void *bufferIn,
     case CGAL_DOUBLE :
       r64buf = (r64*)bufferIn;
       for (i=bufferLength; i>0; i--, r32buf++, r64buf++ ) {
-	*r32buf = (float)(*r64buf);
+        *r32buf = (float)(*r64buf);
       }
       break;
     default :
       fprintf( stderr, " Error in %s: such conversion not yet implemented.\n",
-	       proc );
+               proc );
       return;
     }
     break; /* end case typeOut = CGAL_FLOAT */
@@ -316,44 +316,44 @@ void ConvertBuffer( void *bufferIn,
 
 
 
-    
+
   case CGAL_DOUBLE :
     r64buf = (r64*)bufferOut;
     switch( typeIn ) {
     case CGAL_UCHAR :
       u8buf = (u8*)bufferIn;
       for (i=bufferLength; i>0; i--, r64buf++, u8buf++ ) {
-	*r64buf = (double)(*u8buf);
+        *r64buf = (double)(*u8buf);
       }
       break;
     case CGAL_SCHAR :
       s8buf = (s8*)bufferIn;
       for (i=bufferLength; i>0; i--, r64buf++, s8buf++ ) {
-	*r64buf = (double)(*s8buf);
+        *r64buf = (double)(*s8buf);
       }
       break;
     case CGAL_USHORT :
       u16buf = (u16*)bufferIn;
       for (i=bufferLength; i>0; i--, r64buf++, u16buf++ ) {
-	*r64buf = (double)(*u16buf);
+        *r64buf = (double)(*u16buf);
       }
       break;
     case CGAL_SSHORT :
       s16buf = (s16*)bufferIn;
       for (i=bufferLength; i>0; i--, r64buf++, s16buf++ ) {
-	*r64buf = (double)(*s16buf);
+        *r64buf = (double)(*s16buf);
       }
       break;
     case CGAL_INT :
       s32buf = (s32*)bufferIn;
       for (i=bufferLength; i>0; i--, r64buf++, s32buf++ ) {
-	*r64buf = (double)(*s32buf);
+        *r64buf = (double)(*s32buf);
       }
       break;
     case CGAL_FLOAT :
       r32buf = (r32*)bufferIn;
       for (i=bufferLength; i>0; i--, r32buf++, r64buf++ ) {
-	*r64buf = (double)(*r32buf);
+        *r64buf = (double)(*r32buf);
       }
       break;
     case CGAL_DOUBLE :
@@ -361,18 +361,18 @@ void ConvertBuffer( void *bufferIn,
       (void)memcpy( bufferOut, bufferIn, bufferLength * sizeof(r64) );
       break;
     default :
-      fprintf( stderr, " Error in %s: such conversion not yet implemented.\n", 
-	       proc );
+      fprintf( stderr, " Error in %s: such conversion not yet implemented.\n",
+               proc );
       return;
     }
     break; /* end case typeOut = CGAL_DOUBLE */
 
 
 
-   
+
   default :
     fprintf( stderr, " Error in %s: such output type not yet handled.\n",
-	     proc );
+             proc );
     return;
   }
 }
@@ -383,13 +383,13 @@ void ConvertBuffer( void *bufferIn,
 
 CGAL_INLINE_FUNCTION
 void Convert_r32_to_s8( r32 *theBuf,
-			s8 *resBuf,
-			int size )
+                        s8 *resBuf,
+                        int size )
 {
   int i;
   r32* tb = theBuf;
   s8* rb = resBuf;
-  
+
   for ( i=0; i<size; i++, tb++, rb++ ) {
     if ( *tb < -128.0 ) {
       *rb = -128;
@@ -409,13 +409,13 @@ void Convert_r32_to_s8( r32 *theBuf,
 
 CGAL_INLINE_FUNCTION
 void Convert_r32_to_u8( r32 *theBuf,
-			u8 *resBuf,
-			int size )
+                        u8 *resBuf,
+                        int size )
 {
   int i;
   r32* tb = theBuf;
   u8* rb = resBuf;
-  
+
   for ( i=0; i<size; i++, tb++, rb++ ) {
     if ( *tb < 0.0 ) {
       *rb = 0;
@@ -433,13 +433,13 @@ void Convert_r32_to_u8( r32 *theBuf,
 
 CGAL_INLINE_FUNCTION
 void Convert_r32_to_s16( r32 *theBuf,
-			 s16 *resBuf,
-			 int size )
+                         s16 *resBuf,
+                         int size )
 {
   int i;
   r32* tb = theBuf;
   s16* rb = resBuf;
-  
+
   for ( i=0; i<size; i++, tb++, rb++ ) {
     if ( *tb < -32768.0 ) {
       *rb = -32768;
@@ -459,13 +459,13 @@ void Convert_r32_to_s16( r32 *theBuf,
 
 CGAL_INLINE_FUNCTION
 void Convert_r32_to_u16( r32 *theBuf,
-			 u16 *resBuf,
-			 int size )
+                         u16 *resBuf,
+                         int size )
 {
   int i;
   r32* tb = theBuf;
   u16* rb = resBuf;
-  
+
   for ( i=0; i<size; i++, tb++, rb++ ) {
     if ( *tb < 0.0 ) {
       *rb = 0;
@@ -478,4 +478,4 @@ void Convert_r32_to_u16( r32 *theBuf,
 }
 
 
-      
+
diff -pruN 5.0.2-3/include/CGAL/ImageIO/fgetns.h 5.0.3-1/include/CGAL/ImageIO/fgetns.h
--- 5.0.2-3/include/CGAL/ImageIO/fgetns.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/fgetns.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/fgetns.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/fgetns.h $
 // $Id: fgetns.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
diff -pruN 5.0.2-3/include/CGAL/ImageIO/fgetns_impl.h 5.0.3-1/include/CGAL/ImageIO/fgetns_impl.h
--- 5.0.2-3/include/CGAL/ImageIO/fgetns_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/fgetns_impl.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/fgetns_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/fgetns_impl.h $
 // $Id: fgetns_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
diff -pruN 5.0.2-3/include/CGAL/ImageIO/gif.h 5.0.3-1/include/CGAL/ImageIO/gif.h
--- 5.0.2-3/include/CGAL/ImageIO/gif.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/gif.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/gif.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/gif.h $
 // $Id: gif.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
diff -pruN 5.0.2-3/include/CGAL/ImageIO/gif_impl.h 5.0.3-1/include/CGAL/ImageIO/gif_impl.h
--- 5.0.2-3/include/CGAL/ImageIO/gif_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/gif_impl.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/gif_impl.h $
-// $Id: gif_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/gif_impl.h $
+// $Id: gif_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -23,14 +23,14 @@
 #endif
 
 #ifdef CGAL_HEADER_ONLY
-  
+
   #define CGAL_GLOBAL_STATE_VAR(TYPE, NAME, VALUE)  \
     inline TYPE & get_static_##NAME()               \
     {                                               \
       static TYPE NAME = VALUE;                     \
       return NAME;                                  \
     }
-  
+
 #else // CGAL_HEADER_ONLY
 
   #define CGAL_GLOBAL_STATE_VAR(TYPE, NAME, VALUE)  \
@@ -68,11 +68,11 @@ static const char *id87 = "GIF87a";
 static const char *id89 = "GIF89a";
 
 static int EGApalette[16][3] = {
-  {0,0,0},       {0,0,128},     {0,128,0},     {0,128,128}, 
+  {0,0,0},       {0,0,128},     {0,128,0},     {0,128,128},
   {128,0,0},     {128,0,128},   {128,128,0},   {200,200,200},
   {100,100,100}, {100,100,255}, {100,255,100}, {100,255,255},
   {255,100,100}, {255,100,255}, {255,255,100}, {255,255,255} };
-  
+
 
 static int  ReadCode();
 static void DoInterlace(byte);
@@ -85,10 +85,10 @@ CGAL_GLOBAL_STATE_VAR(byte *, g, nullptr
 CGAL_GLOBAL_STATE_VAR(byte *, b, nullptr)     /* The colormap */
 CGAL_GLOBAL_STATE_VAR(int, BitOffset, 0)    /* Bit Offset of next code */
 CGAL_GLOBAL_STATE_VAR(int, XC, 0)
-CGAL_GLOBAL_STATE_VAR(int, YC, 0)	    /* Output X and Y coords of current pixel */
-CGAL_GLOBAL_STATE_VAR(int, CodeSize, 0)	    /* Code size, read from GIF header */
+CGAL_GLOBAL_STATE_VAR(int, YC, 0)            /* Output X and Y coords of current pixel */
+CGAL_GLOBAL_STATE_VAR(int, CodeSize, 0)            /* Code size, read from GIF header */
 CGAL_GLOBAL_STATE_VAR(int, ReadMask, 0)     /* Code AND mask for current code size */
-CGAL_GLOBAL_STATE_VAR(int, Pass, 0)	    /* Used by output routine if interlaced pic */
+CGAL_GLOBAL_STATE_VAR(int, Pass, 0)            /* Used by output routine if interlaced pic */
 CGAL_GLOBAL_STATE_VAR(int, Width, 0)
 CGAL_GLOBAL_STATE_VAR(int, Height, 0)       /* image dimensions */
 CGAL_GLOBAL_STATE_VAR(unsigned char *, org, nullptr)
@@ -98,7 +98,7 @@ CGAL_INLINE_FUNCTION
 int testGifHeader(char *magic,const char *) {
   if (!strcmp(magic, GIF_MAGIC))
     return 0;
-  else 
+  else
     return -1;
 }
 CGAL_INLINE_FUNCTION
@@ -127,22 +127,22 @@ int   gif89 = 0;
   int i, block;
   int npixels, maxpixels, aspect;
   float normaspect;
-  int OutCount = 0,		/* Decompressor output 'stack count' */
-    RWidth, RHeight,		/* screen dimensions */
-    /*LeftOfs, TopOfs,		 image offset */
-    BitsPerPixel,		/* Bits per pixel, read from GIF header */
-    ColorMapSize,		/* number of colors */
-    Background,		         /* background color */
-    InitCodeSize,		/* Starting code size, used during Clear */
-    Code,			/* Value returned by ReadCode */
-    MaxCode,			/* limiting value for current code size */
-    ClearCode,			/* GIF clear code */
-    EOFCode,			/* GIF end-of-information code */
-    CurCode, OldCode=0, InCode,	/* Decompressor variables */
-    FirstFree,			/* First free code, generated per GIF spec */
-    FreeCode,			/* Decompressor,next free slot in hash table */
-    FinChar=0,			/* Decompressor variable */
-    BitMask,			/* AND mask for data size */
+  int OutCount = 0,                /* Decompressor output 'stack count' */
+    RWidth, RHeight,                /* screen dimensions */
+    /*LeftOfs, TopOfs,                 image offset */
+    BitsPerPixel,                /* Bits per pixel, read from GIF header */
+    ColorMapSize,                /* number of colors */
+    Background,                         /* background color */
+    InitCodeSize,                /* Starting code size, used during Clear */
+    Code,                        /* Value returned by ReadCode */
+    MaxCode,                        /* limiting value for current code size */
+    ClearCode,                        /* GIF clear code */
+    EOFCode,                        /* GIF end-of-information code */
+    CurCode, OldCode=0, InCode,        /* Decompressor variables */
+    FirstFree,                        /* First free code, generated per GIF spec */
+    FreeCode,                        /* Decompressor,next free slot in hash table */
+    FinChar=0,                        /* Decompressor variable */
+    BitMask,                        /* AND mask for data size */
     Misc;                       /* miscellaneous bits (interlace, local cmap)*/
   int Interlace, HasColormap;
   /* not used
@@ -180,38 +180,38 @@ int   gif89 = 0;
   long filesize = ftell(fp);
   fseek(fp, 0L, 0);
 
- /* the +256's are so we can read truncated GIF files without fear of 
+ /* the +256's are so we can read truncated GIF files without fear of
      segmentation violation */
   if (!(ptr = get_static_RawGIF() = (byte *) ImageIO_alloc(filesize+256)))
     return( GifError("not enough memory to read gif file") );
-  
-  if (!(get_static_Raster() = (byte *) ImageIO_alloc(filesize+256)))    
+
+  if (!(get_static_Raster() = (byte *) ImageIO_alloc(filesize+256)))
     return( GifError("not enough memory to read gif file") );
-  
+
   if (fread(ptr, filesize, 1, fp) != 1)
     return( GifError("GIF data read failed") );
    if      (strncmp((char *) ptr, id87, 6)==0) gif89 = 0;
   else if (strncmp((char *) ptr, id89, 6)==0) gif89 = 1;
   else    return( GifError("not a GIF file"));
-  
+
   ptr += 6;
  /* Get variables from the GIF screen descriptor */
-  
+
   ch = NEXTBYTE;
-  RWidth = ch + 0x100 * NEXTBYTE;	/* screen dimensions... not used. */
+  RWidth = ch + 0x100 * NEXTBYTE;        /* screen dimensions... not used. */
   ch = NEXTBYTE;
   RHeight = ch + 0x100 * NEXTBYTE;
   use(RWidth);
   use(RHeight);
-  
+
   ch = NEXTBYTE;
   HasColormap = ((ch & COLORMAPMASK) ? TRUE : FALSE);
-  
+
   BitsPerPixel = (ch & 7) + 1;
   ColorMapSize = 1 << BitsPerPixel;
   BitMask = ColorMapSize - 1;
-  
-  Background = NEXTBYTE;		/* background color... not used. */
+
+  Background = NEXTBYTE;                /* background color... not used. */
   use(Background);
 
 
@@ -231,8 +231,8 @@ int   gif89 = 0;
       get_static_b() = (byte *) ImageIO_alloc(ColorMapSize * sizeof(byte));
 
       for (i = 0; i < ColorMapSize; i++) {
-	get_static_r()[i] = NEXTBYTE;
-	get_static_g()[i] = NEXTBYTE;
+        get_static_r()[i] = NEXTBYTE;
+        get_static_g()[i] = NEXTBYTE;
         get_static_b()[i] = NEXTBYTE;
       }
     }
@@ -244,7 +244,7 @@ int   gif89 = 0;
     get_static_r() = (byte *) ImageIO_alloc(256 * sizeof(byte));
     get_static_g() = (byte *) ImageIO_alloc(256 * sizeof(byte));
     get_static_b() = (byte *) ImageIO_alloc(256 * sizeof(byte));
-   
+
     for (i = 0; i < 256; i++) {
       get_static_r()[i] = byte(EGApalette[i&15][0]);
       get_static_g()[i] = byte(EGApalette[i&15][1]);
@@ -257,126 +257,126 @@ int   gif89 = 0;
    *   a comment extension block
    *   an (optional) graphic control extension block
    *       followed by either an image
-   *	   or a plaintext extension
+   *           or a plaintext extension
    */
   while (1) {
     block = NEXTBYTE;
-   
+
     if (block == EXTENSION) {  /* parse extension blocks */
       int i, fn, blocksize, aspnum, aspden;
-	  
+
       /* read extension block */
       fn = NEXTBYTE;
-	  
+
       if (DEBUG) fprintf(stderr,"GIF extension type 0x%02x\n", fn);
-	  
+
       if (fn == 'R') {                  /* GIF87 aspect extension */
-	blocksize = NEXTBYTE;
-	if (blocksize == 2) {
-	  aspnum = NEXTBYTE;
-	  aspden = NEXTBYTE;
-	  if (aspden>0 && aspnum>0) 
-	    normaspect = (float) aspnum / (float) aspden;
-	  else { normaspect = 1.0;  aspnum = aspden = 1; }
-			
-	  if (DEBUG) fprintf(stderr,"GIF87 aspect extension: %d:%d = %f\n\n", 
-			     aspnum, aspden,normaspect);
-	}
-	else {
-	  for (i=0; i<blocksize; i++) (void)NEXTBYTE;
-	}
+        blocksize = NEXTBYTE;
+        if (blocksize == 2) {
+          aspnum = NEXTBYTE;
+          aspden = NEXTBYTE;
+          if (aspden>0 && aspnum>0)
+            normaspect = (float) aspnum / (float) aspden;
+          else { normaspect = 1.0;  aspnum = aspden = 1; }
+
+          if (DEBUG) fprintf(stderr,"GIF87 aspect extension: %d:%d = %f\n\n",
+                             aspnum, aspden,normaspect);
+        }
+        else {
+          for (i=0; i<blocksize; i++) (void)NEXTBYTE;
+        }
       }
-	  
+
       else if (fn == 0xFE) {  /* Comment Extension.  just eat it */
-	int ch, j, sbsize;
-		 
-	if (DEBUG) fprintf(stderr,"Comment extension:  ");
-	/* read (and ignore) data sub-blocks */
-	do {
-	  j = 0;  sbsize = NEXTBYTE;
-	  while (j<sbsize) {
-	    ch = NEXTBYTE;  j++;
-	    if (DEBUG) fprintf(stderr,"%c", ch);
-	  }
-	} while (sbsize);
-	if (DEBUG) fprintf(stderr,"\n\n");
+        int ch, j, sbsize;
+
+        if (DEBUG) fprintf(stderr,"Comment extension:  ");
+        /* read (and ignore) data sub-blocks */
+        do {
+          j = 0;  sbsize = NEXTBYTE;
+          while (j<sbsize) {
+            ch = NEXTBYTE;  j++;
+            if (DEBUG) fprintf(stderr,"%c", ch);
+          }
+        } while (sbsize);
+        if (DEBUG) fprintf(stderr,"\n\n");
       }
-	  
+
       else if (fn == 0x01) {  /* PlainText Extension */
-	int j,sbsize,ch;
-	int tgLeft, tgTop, tgWidth, tgHeight, cWidth, cHeight, fg, bg;
-		 
-	/*	SetISTR(ISTR_WARNING, 
-		"PlainText extension found in GIF file.  Ignored.");*/
-		 
-	sbsize   = NEXTBYTE;
-	tgLeft   = NEXTBYTE;  tgLeft   += (NEXTBYTE)<<8;
-	tgTop    = NEXTBYTE;  tgTop    += (NEXTBYTE)<<8;
-	tgWidth  = NEXTBYTE;  tgWidth  += (NEXTBYTE)<<8;
-	tgHeight = NEXTBYTE;  tgHeight += (NEXTBYTE)<<8;
-	cWidth   = NEXTBYTE;
-	cHeight  = NEXTBYTE;
-	fg       = NEXTBYTE;
-	bg       = NEXTBYTE;
-	i=12;
-	for ( ; i<sbsize; i++) (void)NEXTBYTE;   /* read rest of first subblock */
-		 
-	if (DEBUG) fprintf(stderr,
-			   "PlainText: tgrid=%d,%d %dx%d  cell=%dx%d  col=%d,%d\n",
-			   tgLeft, tgTop, tgWidth, tgHeight, cWidth, cHeight,
-			   fg, bg);
-		 
-	/* read (and ignore) data sub-blocks */
-	do {
-	  j = 0;
-	  sbsize = NEXTBYTE;
-	  while (j<sbsize) {
-	    ch = NEXTBYTE;  j++;
-	    if (DEBUG) fprintf(stderr,"%c", ch);
-	  }
-	} while (sbsize);
-	if (DEBUG) fprintf(stderr,"\n\n");
+        int j,sbsize,ch;
+        int tgLeft, tgTop, tgWidth, tgHeight, cWidth, cHeight, fg, bg;
+
+        /*        SetISTR(ISTR_WARNING,
+                "PlainText extension found in GIF file.  Ignored.");*/
+
+        sbsize   = NEXTBYTE;
+        tgLeft   = NEXTBYTE;  tgLeft   += (NEXTBYTE)<<8;
+        tgTop    = NEXTBYTE;  tgTop    += (NEXTBYTE)<<8;
+        tgWidth  = NEXTBYTE;  tgWidth  += (NEXTBYTE)<<8;
+        tgHeight = NEXTBYTE;  tgHeight += (NEXTBYTE)<<8;
+        cWidth   = NEXTBYTE;
+        cHeight  = NEXTBYTE;
+        fg       = NEXTBYTE;
+        bg       = NEXTBYTE;
+        i=12;
+        for ( ; i<sbsize; i++) (void)NEXTBYTE;   /* read rest of first subblock */
+
+        if (DEBUG) fprintf(stderr,
+                           "PlainText: tgrid=%d,%d %dx%d  cell=%dx%d  col=%d,%d\n",
+                           tgLeft, tgTop, tgWidth, tgHeight, cWidth, cHeight,
+                           fg, bg);
+
+        /* read (and ignore) data sub-blocks */
+        do {
+          j = 0;
+          sbsize = NEXTBYTE;
+          while (j<sbsize) {
+            ch = NEXTBYTE;  j++;
+            if (DEBUG) fprintf(stderr,"%c", ch);
+          }
+        } while (sbsize);
+        if (DEBUG) fprintf(stderr,"\n\n");
       }
-	  
-	  
+
+
       else if (fn == 0xF9) {  /* Graphic Control Extension */
-	int j, sbsize;
-		 
-	if (DEBUG) fprintf(stderr,"Graphic Control extension\n\n");
-		 
-	/*	SetISTR(ISTR_WARNING, 
-		"Graphic Control Extension in GIF file.  Ignored.");*/
-		 
-	/* read (and ignore) data sub-blocks */
-	do {
-	  j = 0; sbsize = NEXTBYTE;
-	  while (j<sbsize) { (void)NEXTBYTE;  j++; }
-	} while (sbsize);
+        int j, sbsize;
+
+        if (DEBUG) fprintf(stderr,"Graphic Control extension\n\n");
+
+        /*        SetISTR(ISTR_WARNING,
+                "Graphic Control Extension in GIF file.  Ignored.");*/
+
+        /* read (and ignore) data sub-blocks */
+        do {
+          j = 0; sbsize = NEXTBYTE;
+          while (j<sbsize) { (void)NEXTBYTE;  j++; }
+        } while (sbsize);
       }
-      
-	  
+
+
       else { /* unknown extension */
-	int j, sbsize;
-		 
-	if (DEBUG) fprintf(stderr,"unknown GIF extension 0x%02x\n\n", fn);
-		 
-	/*	SetISTR(ISTR_WARNING, 
-		"Unknown extension 0x%02x in GIF file.  Ignored.",fn);*/
-		 
-	/* read (and ignore) data sub-blocks */
-	do {
-	  j = 0; sbsize = NEXTBYTE;
-	  while (j<sbsize) { (void)NEXTBYTE;  j++; }
-	} while (sbsize);
+        int j, sbsize;
+
+        if (DEBUG) fprintf(stderr,"unknown GIF extension 0x%02x\n\n", fn);
+
+        /*        SetISTR(ISTR_WARNING,
+                "Unknown extension 0x%02x in GIF file.  Ignored.",fn);*/
+
+        /* read (and ignore) data sub-blocks */
+        do {
+          j = 0; sbsize = NEXTBYTE;
+          while (j<sbsize) { (void)NEXTBYTE;  j++; }
+        } while (sbsize);
       }
     }
-   
+
     else if (block == IMAGESEP) break;   /* read an image */
 
     else if (block == TRAILER) {
       return( GifError("no image data found in GIF file") );
     }
-   
+
     else return (GifError("Unknown block type found in file."));
   }
 
@@ -408,7 +408,7 @@ int   gif89 = 0;
   if (!HasColormap && !(Misc&0x80)) {
     /* no global or local colormap */
     /*    SetISTR(ISTR_WARNING,
-	  "No colormap in this GIF file.  Assuming EGA colors.");*/
+          "No colormap in this GIF file.  Assuming EGA colors.");*/
   }
 
 
@@ -416,9 +416,9 @@ int   gif89 = 0;
   /* Start reading the raster data. First we get the intial code size
    * and compute decompressor constant values, based on this code size.
    */
-  
+
   /*  SetISTR(ISTR_FORMAT, "GIF%s, %d bits per pixel, %sinterlaced.  (%d bytes)",
-      (gif89) ? "89" : "87", BitsPerPixel, 
+      (gif89) ? "89" : "87", BitsPerPixel,
       Interlace ? "" : "non-", filesize);*/
 
   get_static_CodeSize() = NEXTBYTE;
@@ -442,16 +442,16 @@ int   gif89 = 0;
    * to the Raster array, turning it from a series of blocks into one long
    * data stream, which makes life much easier for ReadCode().
    */
-  
+
   ptr1 = get_static_Raster();
   do {
     ch = ch1 = NEXTBYTE;
-    while (ch--) { 
-		*ptr1 = NEXTBYTE; 
-		ptr1++; }
+    while (ch--) {
+                *ptr1 = NEXTBYTE;
+                ptr1++; }
     if ((ptr - get_static_RawGIF()) > filesize) {
       /*      SetISTR(ISTR_WARNING,
-	      "This GIF file seems to be truncated.  Winging it.");*/
+              "This GIF file seems to be truncated.  Winging it.");*/
       break;
     }
   } while(ch1);
@@ -460,9 +460,9 @@ int   gif89 = 0;
 
   if (DEBUG) {
     fprintf(stderr,"xv: LoadGIF() - picture is %dx%d, %d bits, %sinterlaced\n",
-	    get_static_Width(), get_static_Height(), BitsPerPixel, Interlace ? "" : "non-");
+            get_static_Width(), get_static_Height(), BitsPerPixel, Interlace ? "" : "non-");
   }
-  
+
 
   /* Allocate the 'pic' */
   maxpixels = get_static_Width()*get_static_Height();
@@ -488,8 +488,8 @@ int   gif89 = 0;
    /* Clear code sets everything back to its initial value, then reads the
      * immediately subsequent code as uncompressed data.
      */
-   
-	  if (Code == ClearCode) { 
+
+          if (Code == ClearCode) {
       get_static_CodeSize() = InitCodeSize;
       MaxCode = (1 << get_static_CodeSize());
       get_static_ReadMask() = MaxCode - 1;
@@ -498,9 +498,9 @@ int   gif89 = 0;
       CurCode = OldCode = Code;
       FinChar = CurCode & BitMask;
       if (!Interlace) {
-	*get_static_buf()++ = get_static_r()[FinChar];
-	*get_static_buf()++ = get_static_g()[FinChar];
-	*get_static_buf()++ = get_static_b()[FinChar];
+        *get_static_buf()++ = get_static_r()[FinChar];
+        *get_static_buf()++ = get_static_g()[FinChar];
+        *get_static_buf()++ = get_static_b()[FinChar];
       }
       else DoInterlace((byte)FinChar);
       npixels++;
@@ -508,53 +508,53 @@ int   gif89 = 0;
 
     else {
       /* If not a clear code, must be data: save same as CurCode and InCode */
-	   
+
       /* if we're at maxcode and didn't get a clear, stop loading */
-      if (FreeCode>=4096) { 
-		  printf("freecode blew up\n"); 
-	      break;
-	  }
-	   
+      if (FreeCode>=4096) {
+                  printf("freecode blew up\n");
+              break;
+          }
+
       CurCode = InCode = Code;
-	   
+
       /* If greater or equal to FreeCode, not in the hash table yet;
        * repeat the last character decoded
        */
-	   
+
       if (CurCode >= FreeCode) {
-	CurCode = OldCode;
-	if (OutCount > 4096) {   
-		printf("outcount1 blew up\n");  break; }
-	OutCode[OutCount++] = FinChar;
+        CurCode = OldCode;
+        if (OutCount > 4096) {
+                printf("outcount1 blew up\n");  break; }
+        OutCode[OutCount++] = FinChar;
       }
-	   
+
       /* Unless this code is raw data, pursue the chain pointed to by CurCode
        * through the hash table to its end; each code in the chain puts its
        * associated output code on the output queue.
        */
-	   
+
       while (CurCode > BitMask) {
-		  if (OutCount > 4096) {
-			  fprintf(stderr,"outcount2 blew up\n"); break;}   /* corrupt file */
-	OutCode[OutCount++] = Suffix[CurCode];
-	CurCode = Prefix[CurCode];
-      }
-	   
-      if (OutCount > 4096) {  
-		  printf("outcount blew up\n");  break; }
-	   
+                  if (OutCount > 4096) {
+                          fprintf(stderr,"outcount2 blew up\n"); break;}   /* corrupt file */
+        OutCode[OutCount++] = Suffix[CurCode];
+        CurCode = Prefix[CurCode];
+      }
+
+      if (OutCount > 4096) {
+                  printf("outcount blew up\n");  break; }
+
       /* The last code in the chain is treated as raw data. */
-	   
+
       FinChar = CurCode & BitMask;
       OutCode[OutCount++] = FinChar;
-	   
+
       /* Now we put the data out to the Output routine.
        * It's been stacked LIFO, so deal with it that way...
        */
 
       /* safety thing:  prevent exceeding range of 'pic' */
       if (npixels + OutCount > maxpixels) OutCount = maxpixels-npixels;
-	   
+
       npixels += OutCount;
       if (!Interlace) for (i=OutCount-1; i>=0; i--) {
           *get_static_buf()++ = get_static_r()[OutCode[i]];
@@ -563,25 +563,25 @@ int   gif89 = 0;
       }
       else  for (i=OutCount-1; i>=0; i--) DoInterlace((byte)OutCode[i]);
       OutCount = 0;
-	   
+
       /* Build the hash table on-the-fly. No table is stored in the file. */
-      
+
       Prefix[FreeCode] = OldCode;
       Suffix[FreeCode] = FinChar;
       OldCode = InCode;
-	   
+
       /* Point to the next slot in the table.  If we exceed the current
        * MaxCode value, increment the code size unless it's already 12.  If it
        * is, do nothing: the next code decompressed better be CLEAR
        */
-	   
+
       FreeCode++;
       if (FreeCode >= MaxCode) {
-	if (get_static_CodeSize() < 12) {
-	  get_static_CodeSize()++;
-	  MaxCode *= 2;
-	  get_static_ReadMask() = (1 << get_static_CodeSize()) - 1;
-	}
+        if (get_static_CodeSize() < 12) {
+          get_static_CodeSize()++;
+          MaxCode *= 2;
+          get_static_ReadMask() = (1 << get_static_CodeSize()) - 1;
+        }
       }
     }
     Code = ReadCode();
@@ -605,14 +605,14 @@ int   gif89 = 0;
  * maintain our location in the Raster array as a BIT Offset.  We compute
  * the byte Offset into the raster array by dividing this by 8, pick up
  * three bytes, compute the bit Offset into our 24-bit chunk, shift to
- * bring the desired code to the bottom, then mask it off and return it. 
+ * bring the desired code to the bottom, then mask it off and return it.
  */
 
 CGAL_INLINE_FUNCTION
 static int ReadCode()
 {
   int RawCode, ByteOffset;
-  
+
   ByteOffset = get_static_BitOffset() / 8;
   RawCode = get_static_Raster()[ByteOffset] + (get_static_Raster()[ByteOffset + 1] << 8);
   if (get_static_CodeSize() >= 8)
@@ -629,47 +629,47 @@ CGAL_INLINE_FUNCTION
 static void DoInterlace(byte Index) {
   static byte *ptr = nullptr;
   static int   oldYC = -1;
-  
+
   if (oldYC != get_static_YC()) {
     ptr = get_static_org() + 3 * get_static_YC() * get_static_Width();
     oldYC = get_static_YC();
   }
-  
+
   if (get_static_YC() < get_static_Height()) {
     *ptr++ = get_static_r()[Index];
     *ptr++ = get_static_g()[Index];
     *ptr++ = get_static_b()[Index];
   }
-  
+
   /* Update the X-coordinate, and if it overflows, update the Y-coordinate */
   if (++get_static_XC() == get_static_Width()) {
-    
+
     /* deal with the interlace as described in the GIF
      * spec.  Put the decoded scan line out to the screen if we haven't gone
      * past the bottom of it
      */
-    
+
     get_static_XC() = 0;
-    
+
     switch (get_static_Pass()) {
     case 0:
       get_static_YC() += 8;
       if (get_static_YC() >= get_static_Height()) { get_static_Pass()++; get_static_YC() = 4; }
       break;
-      
+
     case 1:
       get_static_YC() += 8;
       if (get_static_YC() >= get_static_Height()) { get_static_Pass()++; get_static_YC() = 2; }
       break;
-      
+
     case 2:
       get_static_YC() += 4;
       if (get_static_YC() >= get_static_Height()) { get_static_Pass()++; get_static_YC() = 1; }
       break;
-      
+
     case 3:
       get_static_YC() += 2;  break;
-      
+
     default:
       break;
     }
@@ -677,7 +677,7 @@ static void DoInterlace(byte Index) {
 }
 
 
-      
+
 /*****************************/
 CGAL_INLINE_FUNCTION
 static int GifError(const char *st) {
@@ -685,7 +685,7 @@ static int GifError(const char *st) {
 
   if (get_static_RawGIF() != nullptr) ImageIO_free(get_static_RawGIF());
   if (get_static_Raster() != nullptr) ImageIO_free(get_static_Raster());
-  
+
   return -1;
 }
 
diff -pruN 5.0.2-3/include/CGAL/ImageIO/gis.h 5.0.3-1/include/CGAL/ImageIO/gis.h
--- 5.0.2-3/include/CGAL/ImageIO/gis.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/gis.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/gis.h $
-// $Id: gis.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/gis.h $
+// $Id: gis.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -25,31 +25,31 @@
 
 exemple :
          512 512 100 2
-	 -type U16
-	 -dx 1. 
-	 -dy 2.
-	 -dz .5
-	 -z2 5
+         -type U16
+         -dx 1.
+         -dy 2.
+         -dz .5
+         -z2 5
          -ar SUN
-	 -mod MR
+         -mod MR
          -txt image acquise sur SIGNA 1.5T au CHRU de Caen
          donnees brutes sans traitement  -endtxt
-	
+
 - la première ligne comporte les dimensions de l'image, respectivement, le nombre de colonnes, de lignes, de coupes et de temps; ces deux, trois ou quatre entiers doivent être strictement positifs et rester inférieurs à 4096.
 
 - les lignes suivantes comportent des champs indiques par des mots clefs:
-			
+
    -type typespecifier
 
-   U8 entier non signé codé sur 8 bit (unsigned char) 
+   U8 entier non signé codé sur 8 bit (unsigned char)
    S8  entier signé codé sur 8 bit (signed char)
    U16  entier non signé codé sur 16 bit (unsigned short)
-   S16  entier signé codé sur 16 bit (signed short)	
+   S16  entier signé codé sur 16 bit (signed short)
    U32  entier non signé codé sur 32 bit (unsigned int)
    S32  entier signé codé sur 32 bit (signed int)
    FLOAT  flottant simple précision (float)
    DOUBLE  flottant double précision (double)
-			
+
    -dx double  (taille du voxel en x)
    -dy double  (taille du voxel en y)
    -dz double  (taille du voxel en z)
@@ -58,13 +58,13 @@ exemple :
                (taille donnee en secondes)
 
    (spécification d'un sous-volume)
-   -x1 entier  	
-   -x2 entier  	
-   -y1 entier  
-   -y2 entier  
-   -z1 entier  
-   -z2 entier  
-   -ref nom x y z t   
+   -x1 entier
+   -x2 entier
+   -y1 entier
+   -y2 entier
+   -z1 entier
+   -z2 entier
+   -ref nom x y z t
         (origine d'un sous-volume : fichier correspondant a une
          sous-image de "nom")
 
@@ -78,13 +78,13 @@ exemple :
    -ip a b c d (4 double pour les coefficients du plan inter-hemispherique
                 equation de la forme ax+by+cz+d = 0)
    -td d1 d2 d3 d4 d5 d6 (6 entiers pour les distances au repere de
-		Talairach, en voxels :
-		d1 : Talairach anterior plane-CA distance
-		d2 : Talairach posterior plane-CP distance
-		d3 : Talairach left plane-IP distance
-		d4 : Talairach right plane-IP distance
-   		d5 : Talairach bottom plane-CACP distance
-   		d6 : Talairach top plane-CACP distance
+                Talairach, en voxels :
+                d1 : Talairach anterior plane-CA distance
+                d2 : Talairach posterior plane-CP distance
+                d3 : Talairach left plane-IP distance
+                d4 : Talairach right plane-IP distance
+                   d5 : Talairach bottom plane-CACP distance
+                   d6 : Talairach top plane-CACP distance
    -a age (entier)
    -s sexe (1/2)
    -l lateralite
@@ -104,13 +104,13 @@ int testGisHeader(char *magic,const char
 /** creates an return the file format structure associated with the Gis file format */
 PTRIMAGE_FORMAT createGisFormat();
 
-/* 
+/*
    return:
    -1: error
     1: success
  */
 int writeGis( char *basename, _image* im ) ;
-/* 
+/*
    return:
    false: error
    true: success
@@ -118,7 +118,7 @@ int writeGis( char *basename, _image* im
 bool writeGisHeader( const _image* im ) ;
 
 
-/* 
+/*
    return:
    -1: error
     1: success
diff -pruN 5.0.2-3/include/CGAL/ImageIO/gis_impl.h 5.0.3-1/include/CGAL/ImageIO/gis_impl.h
--- 5.0.2-3/include/CGAL/ImageIO/gis_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/gis_impl.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/gis_impl.h $
-// $Id: gis_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/gis_impl.h $
+// $Id: gis_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -45,7 +45,7 @@ int writeGis( char *name, _image* im) {
 
   length=strlen(name);
   outputName= (char *)ImageIO_alloc(length+8);
-  
+
   if ( strncmp( name+length-4, ".dim", 4 ) == 0 ) {
     extLength = 4;
   }
@@ -74,7 +74,7 @@ int writeGis( char *name, _image* im) {
 
   if ( !writeGisHeader(im) ) {
     fprintf(stderr, "writeGis: error: unable to write header of \'%s\'\n",
-	    outputName);
+            outputName);
     if ( outputName != nullptr ) ImageIO_free( outputName );
     ImageIO_close( im );
     im->fd = nullptr;
@@ -83,7 +83,7 @@ int writeGis( char *name, _image* im) {
   }
 
   ImageIO_close(im);
-  
+
   strncpy( outputName, name, length-extLength );
   if ( strncmp( name+length-3, ".gz", 3 ) == 0 ) {
     strcpy( outputName+length-extLength, ".ima.gz" );
@@ -115,109 +115,109 @@ int writeGis( char *name, _image* im) {
     case WK_FIXED :
       switch ( im->wdim ) {
       default :
-	fprintf(stderr, "writeGis: such word dim not handled in ascii mode for file \'%s\'\n", outputName);
-	if ( outputName != nullptr ) ImageIO_free( outputName );
-	return( -3 );
+        fprintf(stderr, "writeGis: such word dim not handled in ascii mode for file \'%s\'\n", outputName);
+        if ( outputName != nullptr ) ImageIO_free( outputName );
+        return( -3 );
       case 1 :
-	switch ( im->sign ) {
-	default :
-	  fprintf(stderr, "writeGis: such sign not handled in ascii mode for file \'%s\'\n", outputName);
-	  if ( outputName != nullptr ) ImageIO_free( outputName );
-	  return( -3 );
-	case SGN_UNSIGNED :
-	  {
-	    unsigned char *theBuf = ( unsigned char * )im->data;
-	    do {
-	      memset( str, 0, _LGTH_STRING_ );
-	      for ( j=0; j<n && i<size; j++, i++ ) {
-		sprintf( str+strlen(str), "%d", theBuf[i] );
-		if ( j<n && i<size ) sprintf( str+strlen(str), " " );
-	      }
-	      sprintf( str+strlen(str), "\n" );
+        switch ( im->sign ) {
+        default :
+          fprintf(stderr, "writeGis: such sign not handled in ascii mode for file \'%s\'\n", outputName);
+          if ( outputName != nullptr ) ImageIO_free( outputName );
+          return( -3 );
+        case SGN_UNSIGNED :
+          {
+            unsigned char *theBuf = ( unsigned char * )im->data;
+            do {
+              memset( str, 0, _LGTH_STRING_ );
+              for ( j=0; j<n && i<size; j++, i++ ) {
+                sprintf( str+strlen(str), "%d", theBuf[i] );
+                if ( j<n && i<size ) sprintf( str+strlen(str), " " );
+              }
+              sprintf( str+strlen(str), "\n" );
               done = ImageIO_write( im, str, strlen( str )  );
               res = (done == strlen( str )) ? int(done) : -1;
-	      if ( res  <= 0 ) {
-		fprintf(stderr, "writeGis: error when writing data in \'%s\'\n", outputName);
-		if ( outputName != nullptr ) ImageIO_free( outputName );
-		return( -3 );
-	      }
-	    } while ( i < size );
-	  }
-	  break;
-	case SGN_SIGNED :
-	  {
-	    char *theBuf = ( char * )im->data;
-	    do {
-	      memset( str, 0, _LGTH_STRING_ );
-	      for ( j=0; j<n && i<size; j++, i++ ) {
-		sprintf( str+strlen(str), "%d", theBuf[i] );
-		if ( j<n && i<size ) sprintf( str+strlen(str), " " );
-	      }
-	      sprintf( str+strlen(str), "\n" );
+              if ( res  <= 0 ) {
+                fprintf(stderr, "writeGis: error when writing data in \'%s\'\n", outputName);
+                if ( outputName != nullptr ) ImageIO_free( outputName );
+                return( -3 );
+              }
+            } while ( i < size );
+          }
+          break;
+        case SGN_SIGNED :
+          {
+            char *theBuf = ( char * )im->data;
+            do {
+              memset( str, 0, _LGTH_STRING_ );
+              for ( j=0; j<n && i<size; j++, i++ ) {
+                sprintf( str+strlen(str), "%d", theBuf[i] );
+                if ( j<n && i<size ) sprintf( str+strlen(str), " " );
+              }
+              sprintf( str+strlen(str), "\n" );
               done = ImageIO_write( im, str, strlen( str )  );
               res = (done == strlen( str )) ? int(done) : -1;
-	      if ( res  <= 0 ) {
-		fprintf(stderr, "writeGis: error when writing data in \'%s\'\n", outputName);
-		if ( outputName != nullptr ) ImageIO_free( outputName );
-		return( -3 );
-	      }
-	    } while ( i < size );
-	  }
-	  break;
-	} /* end of switch ( im->sign ) */
-	break;
+              if ( res  <= 0 ) {
+                fprintf(stderr, "writeGis: error when writing data in \'%s\'\n", outputName);
+                if ( outputName != nullptr ) ImageIO_free( outputName );
+                return( -3 );
+              }
+            } while ( i < size );
+          }
+          break;
+        } /* end of switch ( im->sign ) */
+        break;
       case 2 :
-	switch ( im->sign ) {
-	default :
-	  fprintf(stderr, "writeGis: such sign not handled in ascii mode for file \'%s\'\n", outputName);
-	  if ( outputName != nullptr ) ImageIO_free( outputName );
-	  return( -3 );
-	case SGN_UNSIGNED :
-	  {
-	    unsigned short int *theBuf = ( unsigned short int * )im->data;
-	    do {
-	      memset( str, 0, _LGTH_STRING_ );
-	      for ( j=0; j<n && i<size; j++, i++ ) {
-		sprintf( str+strlen(str), "%d", theBuf[i] );
-		if ( j<n && i<size ) sprintf( str+strlen(str), " " );
-	      }
-	      sprintf( str+strlen(str), "\n" );
-	      done = ImageIO_write( im, str, strlen( str )  );
+        switch ( im->sign ) {
+        default :
+          fprintf(stderr, "writeGis: such sign not handled in ascii mode for file \'%s\'\n", outputName);
+          if ( outputName != nullptr ) ImageIO_free( outputName );
+          return( -3 );
+        case SGN_UNSIGNED :
+          {
+            unsigned short int *theBuf = ( unsigned short int * )im->data;
+            do {
+              memset( str, 0, _LGTH_STRING_ );
+              for ( j=0; j<n && i<size; j++, i++ ) {
+                sprintf( str+strlen(str), "%d", theBuf[i] );
+                if ( j<n && i<size ) sprintf( str+strlen(str), " " );
+              }
+              sprintf( str+strlen(str), "\n" );
+              done = ImageIO_write( im, str, strlen( str )  );
               res = (done == strlen( str )) ? int(done) : -1;
-	      if ( res  <= 0 ) {
-		fprintf(stderr, "writeGis: error when writing data in \'%s\'\n", outputName);
-		if ( outputName != nullptr ) ImageIO_free( outputName );
-		return( -3 );
-	      }
-	    } while ( i < size );
-	  }
-	  break;
-	case SGN_SIGNED :
-	  {
-	    short int *theBuf = ( short int * )im->data;
-	    do {
-	      memset( str, 0, _LGTH_STRING_ );
-	      for ( j=0; j<n && i<size; j++, i++ ) {
-		sprintf( str+strlen(str), "%d", theBuf[i] );
-		if ( j<n && i<size ) sprintf( str+strlen(str), " " );
-	      }
-	      sprintf( str+strlen(str), "\n" );
-	      done = ImageIO_write( im, str, strlen( str )  );
+              if ( res  <= 0 ) {
+                fprintf(stderr, "writeGis: error when writing data in \'%s\'\n", outputName);
+                if ( outputName != nullptr ) ImageIO_free( outputName );
+                return( -3 );
+              }
+            } while ( i < size );
+          }
+          break;
+        case SGN_SIGNED :
+          {
+            short int *theBuf = ( short int * )im->data;
+            do {
+              memset( str, 0, _LGTH_STRING_ );
+              for ( j=0; j<n && i<size; j++, i++ ) {
+                sprintf( str+strlen(str), "%d", theBuf[i] );
+                if ( j<n && i<size ) sprintf( str+strlen(str), " " );
+              }
+              sprintf( str+strlen(str), "\n" );
+              done = ImageIO_write( im, str, strlen( str )  );
               res = (done == strlen( str )) ? int(done) : -1;
-	      if ( res  <= 0 ) {
-		fprintf(stderr, "writeGis: error when writing data in \'%s\'\n", outputName);
-		if ( outputName != nullptr ) ImageIO_free( outputName );
-		return( -3 );
-	      }
-	    } while ( i < size );
-	  }
-	  break;
-	} /* end of switch ( im->sign ) */
-	break;	
+              if ( res  <= 0 ) {
+                fprintf(stderr, "writeGis: error when writing data in \'%s\'\n", outputName);
+                if ( outputName != nullptr ) ImageIO_free( outputName );
+                return( -3 );
+              }
+            } while ( i < size );
+          }
+          break;
+        } /* end of switch ( im->sign ) */
+        break;
       } /* end of switch ( im->wdim ) */
     } /* end of switch( im->wordKind ) */
 
-    ImageIO_free( str ); 
+    ImageIO_free( str );
     if (outputName != nullptr) ImageIO_free(outputName);
     return static_cast<int>(res);
   }
@@ -230,12 +230,12 @@ int writeGis( char *name, _image* im) {
 
 CGAL_INLINE_FUNCTION
 int testGisHeader(char *,const char *name) {
-   if (( !strncmp(name+strlen(name)-4, ".dim", 4)) || 
-       ( !strncmp(name+strlen(name)-4, ".ima", 4)) || 
-       ( !strncmp(name+strlen(name)-7, ".ima.gz", 7)) || 
+   if (( !strncmp(name+strlen(name)-4, ".dim", 4)) ||
+       ( !strncmp(name+strlen(name)-4, ".ima", 4)) ||
+       ( !strncmp(name+strlen(name)-7, ".ima.gz", 7)) ||
        ( !strncmp(name+strlen(name)-7, ".dim.gz", 7)) )
      return 0;
-  else 
+  else
     return -1;
 }
 
@@ -249,8 +249,8 @@ int readGisHeader( const char* name,_ima
   int n=0, nusermax = 20;
 
   str = (char*)ImageIO_alloc( _LGTH_STRING_+1 );
-  
-  if ( !fgetns(str, _LGTH_STRING_, im) ) 
+
+  if ( !fgetns(str, _LGTH_STRING_, im) )
     { ImageIO_free( str ); return -1; }
 
   std::istringstream iss;
@@ -264,12 +264,12 @@ int readGisHeader( const char* name,_ima
   case 4 :    break;
   default :
     fprintf( stderr, "readGisHeader: unable to read dimensions in '%s'\n", name );
-    ImageIO_free( str ); 
+    ImageIO_free( str );
     return -1;
   }
   if ( im->vdim > 1 ) {
     im->vectMode = VM_INTERLACED;
-  } 
+  }
   else {
     im->vectMode = VM_SCALAR;
   }
@@ -292,169 +292,169 @@ int readGisHeader( const char* name,_ima
       while ( *s == ' ' || *s == '\t' ) s++;
 
       if ( !strncmp( s, "-dx ", 4 ) ) {
-	s += 4;
-	status = sscanf( s, "%lf", &(im->vx) );
-	if ( status != 1 ) {
-	  fprintf( stderr, "readGisHeader: error while reading -dx in '%s'\n", s-4 );
-	  *s = '\0';
-	} 
-	else {
-	  while ( *s == '.' || (*s >= '0' && *s <= '9') ) s++;
-	}
+        s += 4;
+        status = sscanf( s, "%lf", &(im->vx) );
+        if ( status != 1 ) {
+          fprintf( stderr, "readGisHeader: error while reading -dx in '%s'\n", s-4 );
+          *s = '\0';
+        }
+        else {
+          while ( *s == '.' || (*s >= '0' && *s <= '9') ) s++;
+        }
       }
       else if ( !strncmp( s, "-dy ", 4 ) ) {
-	s += 4;
-	status = sscanf( s, "%lf", &(im->vy) );
-	if ( status != 1 ) {
-	  fprintf( stderr, "readGisHeader: error while reading -dy in '%s'\n", s-4 );
-	  *s = '\0';
-	} 
-	else {
-	  while ( *s == '.' || (*s >= '0' && *s <= '9') ) s++;
-	}
+        s += 4;
+        status = sscanf( s, "%lf", &(im->vy) );
+        if ( status != 1 ) {
+          fprintf( stderr, "readGisHeader: error while reading -dy in '%s'\n", s-4 );
+          *s = '\0';
+        }
+        else {
+          while ( *s == '.' || (*s >= '0' && *s <= '9') ) s++;
+        }
       }
       else if ( !strncmp( s, "-dz ", 4 ) ) {
-	s += 4;
-	status = sscanf( s, "%lf", &(im->vz) );
-	if ( status != 1 ) {
-	  fprintf( stderr, "readGisHeader: error while reading -dz in '%s'\n", s-4 );
-	  *s = '\0';
-	} 
-	else {
-	  while ( *s == '.' || (*s >= '0' && *s <= '9') ) s++;
-	}
+        s += 4;
+        status = sscanf( s, "%lf", &(im->vz) );
+        if ( status != 1 ) {
+          fprintf( stderr, "readGisHeader: error while reading -dz in '%s'\n", s-4 );
+          *s = '\0';
+        }
+        else {
+          while ( *s == '.' || (*s >= '0' && *s <= '9') ) s++;
+        }
       }
       else if ( !strncmp( s, "-dt ", 4 ) ) {
-	ADD_USER_STRING
-	s += 4; 
-	while ( *s == '.' || (*s >= '0' && *s <= '9') ) s++; 
+        ADD_USER_STRING
+        s += 4;
+        while ( *s == '.' || (*s >= '0' && *s <= '9') ) s++;
       }
 
       else if ( !strncmp( s, "-type ", 6 ) ) {
-	s += 6; 
-	if ( !strncmp( s, "U8", 2 ) ) {
-	  im->wdim     = 1;
-	  im->wordKind = WK_FIXED;
-	  im->sign     = SGN_UNSIGNED;
-	  s += 2;
-	}
-	else if ( !strncmp( s, "S8", 2 ) ) {
-	  im->wdim     = 1;
-	  im->wordKind = WK_FIXED;
-	  im->sign     = SGN_SIGNED;
-	  s += 2;
-	} 
-	else if ( !strncmp( s, "U16", 3 ) ) {
-	  im->wdim     = 2;
-	  im->wordKind = WK_FIXED;
-	  im->sign     = SGN_UNSIGNED;
-	  s += 3;
-	}
-	else if ( !strncmp( s, "S16", 3 ) ) {
-	  im->wdim     = 2;
-	  im->wordKind = WK_FIXED;
-	  im->sign     = SGN_SIGNED;
-	  s += 3;
-	}
-	else if ( !strncmp( s, "U32", 3 ) ) {
-	  im->wdim     = 4;
-	  im->wordKind = WK_FIXED;
-	  im->sign     = SGN_UNSIGNED;
-	  s += 3;
-	}
-	else if ( !strncmp( s, "S32", 3 ) ) {
-	  im->wdim     = 4;
-	  im->wordKind = WK_FIXED;
-	  im->sign     = SGN_SIGNED;
-	  s += 3;
-	}
-	else if ( !strncmp( s, "FLOAT", 5 ) ) {
-	  im->wdim     = sizeof( float );
-	  im->wordKind = WK_FLOAT;
-	  im->sign     = SGN_UNKNOWN;
-	  s += 5;
-	}
-	else if ( !strncmp( s, "DOUBLE", 6 ) ) {
-	  im->wdim     = sizeof( double );
-	  im->wordKind = WK_FLOAT;
-	  im->sign     = SGN_UNKNOWN;
-	  s += 6;
-	}
-	else {
-	  fprintf( stderr, "readGisHeader: unknown type '%s'\n", s-6 );
-	  *s = '\0'; 
-	}
+        s += 6;
+        if ( !strncmp( s, "U8", 2 ) ) {
+          im->wdim     = 1;
+          im->wordKind = WK_FIXED;
+          im->sign     = SGN_UNSIGNED;
+          s += 2;
+        }
+        else if ( !strncmp( s, "S8", 2 ) ) {
+          im->wdim     = 1;
+          im->wordKind = WK_FIXED;
+          im->sign     = SGN_SIGNED;
+          s += 2;
+        }
+        else if ( !strncmp( s, "U16", 3 ) ) {
+          im->wdim     = 2;
+          im->wordKind = WK_FIXED;
+          im->sign     = SGN_UNSIGNED;
+          s += 3;
+        }
+        else if ( !strncmp( s, "S16", 3 ) ) {
+          im->wdim     = 2;
+          im->wordKind = WK_FIXED;
+          im->sign     = SGN_SIGNED;
+          s += 3;
+        }
+        else if ( !strncmp( s, "U32", 3 ) ) {
+          im->wdim     = 4;
+          im->wordKind = WK_FIXED;
+          im->sign     = SGN_UNSIGNED;
+          s += 3;
+        }
+        else if ( !strncmp( s, "S32", 3 ) ) {
+          im->wdim     = 4;
+          im->wordKind = WK_FIXED;
+          im->sign     = SGN_SIGNED;
+          s += 3;
+        }
+        else if ( !strncmp( s, "FLOAT", 5 ) ) {
+          im->wdim     = sizeof( float );
+          im->wordKind = WK_FLOAT;
+          im->sign     = SGN_UNKNOWN;
+          s += 5;
+        }
+        else if ( !strncmp( s, "DOUBLE", 6 ) ) {
+          im->wdim     = sizeof( double );
+          im->wordKind = WK_FLOAT;
+          im->sign     = SGN_UNKNOWN;
+          s += 6;
+        }
+        else {
+          fprintf( stderr, "readGisHeader: unknown type '%s'\n", s-6 );
+          *s = '\0';
+        }
       }
 
       else if ( !strncmp( s, "-bo ", 4 ) ) {
-	s += 4;
-	if ( !strncmp( s, "ABCD", 4 ) ) {
-	  im->endianness = END_BIG;
-	  s += 4;
-	}
-	else if ( !strncmp( s, "SUN", 3 ) ) {
-	  im->endianness = END_BIG;
-	  s += 3;
-	}
-	else if ( !strncmp( s, "DCBA", 4 ) ) {
-	  im->endianness = END_LITTLE;
-	  s += 4;
-	}
-	else if ( !strncmp( s, "ALPHA", 5 ) ) {
-	  im->endianness = END_LITTLE;
-	  s += 5;
-	}
-	else {
-	  fprintf( stderr, "readGisHeader: unknown byte order '%s'\n", s-4 );
-	  *s = '\0'; 
-	}
+        s += 4;
+        if ( !strncmp( s, "ABCD", 4 ) ) {
+          im->endianness = END_BIG;
+          s += 4;
+        }
+        else if ( !strncmp( s, "SUN", 3 ) ) {
+          im->endianness = END_BIG;
+          s += 3;
+        }
+        else if ( !strncmp( s, "DCBA", 4 ) ) {
+          im->endianness = END_LITTLE;
+          s += 4;
+        }
+        else if ( !strncmp( s, "ALPHA", 5 ) ) {
+          im->endianness = END_LITTLE;
+          s += 5;
+        }
+        else {
+          fprintf( stderr, "readGisHeader: unknown byte order '%s'\n", s-4 );
+          *s = '\0';
+        }
       }
 
       else if ( !strncmp( s, "-ar ", 4 ) ) {
-	s += 4;
-	if ( !strncmp( s, "SUN", 3 ) ) {
-	  im->endianness = END_BIG;
-	  s += 3;
-	}
-	else if ( !strncmp( s, "ALPHA", 5 ) ) {
-	  im->endianness = END_LITTLE;
-	  s += 5;
-	}
-	else {
-	  fprintf( stderr, "readGisHeader: unknown architecture '%s'\n", s-4 );
-	  *s = '\0'; 
-	}
+        s += 4;
+        if ( !strncmp( s, "SUN", 3 ) ) {
+          im->endianness = END_BIG;
+          s += 3;
+        }
+        else if ( !strncmp( s, "ALPHA", 5 ) ) {
+          im->endianness = END_LITTLE;
+          s += 5;
+        }
+        else {
+          fprintf( stderr, "readGisHeader: unknown architecture '%s'\n", s-4 );
+          *s = '\0';
+        }
       }
 
       else if ( !strncmp( s, "-om ", 4 ) ) {
-	s += 4;
-	if ( !strncmp( s, "binar", 5 ) ) {
-	  im->dataMode = DM_BINARY;
-	  s += 5;
-	} 
-	else if ( !strncmp( s, "ascii", 5 ) ) {
-	  im->dataMode = DM_ASCII;
-	  s += 5;
-	} 
-	else {
-	  fprintf( stderr, "readGisHeader: unknown data type '%s'\n", s-4 );
-	  ImageIO_free( str );
-	  return -1;
-	}
+        s += 4;
+        if ( !strncmp( s, "binar", 5 ) ) {
+          im->dataMode = DM_BINARY;
+          s += 5;
+        }
+        else if ( !strncmp( s, "ascii", 5 ) ) {
+          im->dataMode = DM_ASCII;
+          s += 5;
+        }
+        else {
+          fprintf( stderr, "readGisHeader: unknown data type '%s'\n", s-4 );
+          ImageIO_free( str );
+          return -1;
+        }
       }
-      
-      
+
+
       else {
-	fprintf( stderr, "readGisHeader: unknown indentifier '%s'\n", s );
-	ADD_USER_STRING
-	*s = '\0'; 
+        fprintf( stderr, "readGisHeader: unknown indentifier '%s'\n", s );
+        ADD_USER_STRING
+        *s = '\0';
       }
 
     } while( *s != '\0' && *s != '\n' );
 
   }
   ImageIO_free( str );
-  
+
 
   if ( im->endianness == END_UNKNOWN ) {
     im->endianness = _getEndianness();
@@ -463,37 +463,37 @@ int readGisHeader( const char* name,_ima
 
   /* header is read. close header file and open data file. */
   if( name != nullptr ) {
-    
+
     std::size_t length = strlen(name) ;
     char* data_filename = (char *) ImageIO_alloc(length+4) ;
-    
+
     if( strcmp( name+length-4, ".dim" ) ) {
       fprintf (stderr,
-	       "readGisHeader: error: file header extension must be .dim\n");
+               "readGisHeader: error: file header extension must be .dim\n");
       ImageIO_free( data_filename );
       return -1;
     }
-    
+
     ImageIO_close(im);
 
 
     /* open data file
      */
-    
+
     strcpy(data_filename,name);
     strcpy(data_filename+length-3, "ima.gz");
     _openReadImage(im,data_filename);
-    
+
     if(!im->fd) {
-      
+
       strcpy(data_filename,name);
       strcpy(data_filename+length-3, "ima");
       _openReadImage(im,data_filename);
       if(!im->fd) {
-	fprintf(stderr, "readGisHeader: error: unable to open data file \'%s\'\n", data_filename);
-	ImageIO_free( data_filename );
-	return -1;
-	
+        fprintf(stderr, "readGisHeader: error: unable to open data file \'%s\'\n", data_filename);
+        ImageIO_free( data_filename );
+        return -1;
+
       }
     }
     ImageIO_free( data_filename );
@@ -510,105 +510,105 @@ int readGisHeader( const char* name,_ima
       unsigned int n;
       char *tmp;
       int ret, iv=0;
-      
+
       if ( im->wdim != 1 || im->wordKind != WK_FIXED ) {
-	fprintf(stderr, "readGisHeader: error: unable to read such ascii type\n" );
-	return -1;
+        fprintf(stderr, "readGisHeader: error: unable to read such ascii type\n" );
+        return -1;
       }
 
       n = 0 ;
       if ( size <= 0 ) return -1;
       if(!im->data) {
-	im->data = ( void*) ImageIO_alloc(size);
-	if(!im->data) return -1;
+        im->data = ( void*) ImageIO_alloc(size);
+        if(!im->data) return -1;
       }
-      
+
       n = 0;
       str = (char*)ImageIO_alloc( _LGTH_STRING_+1 );
       while( fgetns( str, _LGTH_STRING_, im ) != 0 &&
-	     n < im->xdim * im->ydim * im->zdim * im->vdim ) {
-	tmp = str;
-	while ( *tmp != '\n' && *tmp != '\0' && *tmp != EOF &&
-		n < im->xdim * im->ydim * im->zdim * im->vdim ) {
-	  /* skip trailing whitespace
-	   */
-	  while ( *tmp == ' ' || *tmp == '\t' )
-	    tmp++;
-	  if ( *tmp == '\0' || *tmp == '\n' || *tmp == EOF )
-	    continue;
-	  
-	  /* read a number
-	   */
-	  switch ( im->wordKind ) {
-	  case WK_FIXED :
-	    ret = sscanf( tmp, "%d", &iv );
-	  break;
-	  default :
-	    ImageIO_free( im->data ); im->data = nullptr;
-	    ImageIO_free( str );
-	    return -1;
-	  }
-	  
-	  if ( ret != 1 ) {
-	    fprintf( stderr, "readGisHeader: error in reading ascii data\n" );
-	    ImageIO_free( im->data ); im->data = nullptr;
-	    ImageIO_free( str );
-	    return -1;	
-	  }
-	  
-	  if ( im->wordKind == WK_FIXED 
-	       && im->sign == SGN_UNSIGNED 
-	       && im->wdim == 1 ) {
-	    unsigned char *buf = (unsigned char *)im->data;
-	    buf += n;
-	    if ( iv < 0 )        *buf = (unsigned char)0;
-	    else if ( iv > 255 ) *buf = (unsigned char)255;
-	    else                 *buf = (unsigned char)iv;
-	    n ++;
-	  }
-	  else if ( im->wordKind == WK_FIXED 
-		    && im->sign == SGN_SIGNED 
-		    && im->wdim == 1 ) {
-	    char *buf = (char *)im->data;
-	    buf += n;
-	    if ( iv < -128 )     *buf = (char)-128;
-	    else if ( iv > 127 ) *buf = (char)127;
-	    else                 *buf = (char)iv;
-	    n ++;
-	  }
-	  else if ( im->wordKind == WK_FIXED 
-		    && im->sign == SGN_UNSIGNED 
-		    && im->wdim == 2 ) {
-	    unsigned short int *buf = (unsigned short int *)im->data;
-	    buf += n;
-	    if ( iv < 0 )          *buf = (unsigned short int)0;
-	    else if ( iv > 65535 ) *buf = (unsigned short int)65535;
-	    else                   *buf = (unsigned short int)iv;
-	    n ++;
-	  }
-	  else if ( im->wordKind == WK_FIXED 
-		    && im->sign == SGN_SIGNED 
-		    && im->wdim == 2 ) {
-	    short int *buf = (short int *)im->data;
-	    buf += n;
-	    if ( iv < -32768 )     *buf = (short int)-32768;
-	    else if ( iv > 32767 ) *buf = (short int)32767;
-	    else                   *buf = (short int)iv;
-	    n ++;
-	  }
-	  else {
-	    ImageIO_free( im->data ); im->data = nullptr;
-	    ImageIO_free( str );
-	    return -1;
-	  }
-	  
-
-
-	  /* skip a number 
-	   */
-	  while ( (*tmp >= '0' && *tmp <= '9') || *tmp == '.' || *tmp == '-' )
-	    tmp++;
-	}
+             n < im->xdim * im->ydim * im->zdim * im->vdim ) {
+        tmp = str;
+        while ( *tmp != '\n' && *tmp != '\0' && *tmp != EOF &&
+                n < im->xdim * im->ydim * im->zdim * im->vdim ) {
+          /* skip trailing whitespace
+           */
+          while ( *tmp == ' ' || *tmp == '\t' )
+            tmp++;
+          if ( *tmp == '\0' || *tmp == '\n' || *tmp == EOF )
+            continue;
+
+          /* read a number
+           */
+          switch ( im->wordKind ) {
+          case WK_FIXED :
+            ret = sscanf( tmp, "%d", &iv );
+          break;
+          default :
+            ImageIO_free( im->data ); im->data = nullptr;
+            ImageIO_free( str );
+            return -1;
+          }
+
+          if ( ret != 1 ) {
+            fprintf( stderr, "readGisHeader: error in reading ascii data\n" );
+            ImageIO_free( im->data ); im->data = nullptr;
+            ImageIO_free( str );
+            return -1;
+          }
+
+          if ( im->wordKind == WK_FIXED
+               && im->sign == SGN_UNSIGNED
+               && im->wdim == 1 ) {
+            unsigned char *buf = (unsigned char *)im->data;
+            buf += n;
+            if ( iv < 0 )        *buf = (unsigned char)0;
+            else if ( iv > 255 ) *buf = (unsigned char)255;
+            else                 *buf = (unsigned char)iv;
+            n ++;
+          }
+          else if ( im->wordKind == WK_FIXED
+                    && im->sign == SGN_SIGNED
+                    && im->wdim == 1 ) {
+            char *buf = (char *)im->data;
+            buf += n;
+            if ( iv < -128 )     *buf = (char)-128;
+            else if ( iv > 127 ) *buf = (char)127;
+            else                 *buf = (char)iv;
+            n ++;
+          }
+          else if ( im->wordKind == WK_FIXED
+                    && im->sign == SGN_UNSIGNED
+                    && im->wdim == 2 ) {
+            unsigned short int *buf = (unsigned short int *)im->data;
+            buf += n;
+            if ( iv < 0 )          *buf = (unsigned short int)0;
+            else if ( iv > 65535 ) *buf = (unsigned short int)65535;
+            else                   *buf = (unsigned short int)iv;
+            n ++;
+          }
+          else if ( im->wordKind == WK_FIXED
+                    && im->sign == SGN_SIGNED
+                    && im->wdim == 2 ) {
+            short int *buf = (short int *)im->data;
+            buf += n;
+            if ( iv < -32768 )     *buf = (short int)-32768;
+            else if ( iv > 32767 ) *buf = (short int)32767;
+            else                   *buf = (short int)iv;
+            n ++;
+          }
+          else {
+            ImageIO_free( im->data ); im->data = nullptr;
+            ImageIO_free( str );
+            return -1;
+          }
+
+
+
+          /* skip a number
+           */
+          while ( (*tmp >= '0' && *tmp <= '9') || *tmp == '.' || *tmp == '-' )
+            tmp++;
+        }
       }
       ImageIO_free( str );
       ImageIO_close(im);
@@ -616,12 +616,12 @@ int readGisHeader( const char* name,_ima
 
   }
 
-  
+
   /* check header validity */
   if ( im->xdim > 0 && im->ydim > 0 && im->zdim > 0 && im->vdim > 0 &&
        im->vx > 0.0 && im->vy > 0.0 && im->vz > 0.0 &&
        ( im->wordKind == WK_FLOAT ||
-	 (im->wordKind == WK_FIXED && im->sign != SGN_UNKNOWN) ) &&
+         (im->wordKind == WK_FIXED && im->sign != SGN_UNKNOWN) ) &&
        im->endianness != END_UNKNOWN ) {
     return 0;
   }
@@ -667,7 +667,7 @@ bool writeGisHeader( const _image* inr )
       break;
     default :
       fprintf( stderr, "%s: unknown wordSign\n", proc );
-      return false;    
+      return false;
     }
     break;
   case WK_FLOAT :
@@ -679,15 +679,15 @@ bool writeGisHeader( const _image* inr )
     }
     else {
       fprintf( stderr, "%s: unknown WK_FLOAT word dim\n", proc );
-      return false;    
+      return false;
     }
     break;
   default :
     fprintf( stderr, "%s: unknown wordKind for image\n", proc );
-    return false;  
+    return false;
   }
   oss << "\n";
-  
+
   oss << "-dx "<< inr->vx <<"\n";
   oss << "-dy "<< inr->vy <<"\n";
   if ( inr->zdim > 1 )
@@ -720,7 +720,7 @@ bool writeGisHeader( const _image* inr )
 
 
 CGAL_INLINE_FUNCTION
-int writeGisData( const _image*) 
+int writeGisData( const _image*)
 {
   return -1;
 }
diff -pruN 5.0.2-3/include/CGAL/ImageIO/inr.h 5.0.3-1/include/CGAL/ImageIO/inr.h
--- 5.0.2-3/include/CGAL/ImageIO/inr.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/inr.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/inr.h $
-// $Id: inr.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/inr.h $
+// $Id: inr.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -23,7 +23,7 @@
     @param im image descriptor
     @param end image data endianness (END_UNKNOWN to use architecture endianness) */
 int _writeInrimageHeader(const _image *im,
-			 ENDIANNESS end);
+                         ENDIANNESS end);
 
 /** Writes the given image body in an already opened file.
     @param im image descriptor */
@@ -38,10 +38,10 @@ int readInrimageHeader(const char *,_ima
     @param magic this string is of size 5 and corresponds to the first 4 characters of the file (terminated with a null character)
     @param filename the file name
     @return -1 if it is not an Inrimage file and 0 otherwise */
-int testInrimageHeader(char *magic,const char *filename); 
+int testInrimageHeader(char *magic,const char *filename);
 
 /** calls _writeInrimageHeader and _writeInrimageData
-    @param basename the file name without any extension 
+    @param basename the file name without any extension
     @param im structure
     @return same as  _writeInrimageHeader*/
 int writeInrimage(char *basename,_image *im);
diff -pruN 5.0.2-3/include/CGAL/ImageIO/inr_impl.h 5.0.3-1/include/CGAL/ImageIO/inr_impl.h
--- 5.0.2-3/include/CGAL/ImageIO/inr_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/inr_impl.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/inr_impl.h $
-// $Id: inr_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/inr_impl.h $
+// $Id: inr_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -44,7 +44,7 @@ typedef struct {
 class Set_numeric_locale {
   const char * old_locale;
 public:
-  Set_numeric_locale(const char* locale) 
+  Set_numeric_locale(const char* locale)
     : old_locale(std::setlocale(LC_NUMERIC, locale))
   {
   }
@@ -55,11 +55,11 @@ public:
 };
 
 static void addStringElement(stringListHead *strhead,
-			     const char *str);
+                             const char *str);
 /* add a string element at the tail of given list */
 
 static void concatStringElement(const stringListHead *strhead,
-				const char *str);
+                                const char *str);
 /* concat given string at the last element of given list */
 
 
@@ -84,21 +84,21 @@ int _writeInrimageHeader(const _image *i
     case WK_FIXED:
       switch(im->sign) {
       case SGN_SIGNED:
-	sprintf(type, "signed fixed");
-	break;
+        sprintf(type, "signed fixed");
+        break;
       case SGN_UNSIGNED:
-	sprintf(type, "unsigned fixed");
-	break;
+        sprintf(type, "unsigned fixed");
+        break;
       default:
-	return -1;
+        return -1;
       }
       sprintf(scale, "SCALE=2**0\n");
       break;
-      
+
     default:
       return -1;
     }
-    
+
     switch(end) {
     case END_LITTLE:
       sprintf(endianness, "decm");
@@ -109,9 +109,9 @@ int _writeInrimageHeader(const _image *i
     default:
       /* fix architecture endianness */
       if( _getEndianness() == END_LITTLE)
-	sprintf(endianness, "decm");
+        sprintf(endianness, "decm");
       else
-	sprintf(endianness, "sun");
+        sprintf(endianness, "sun");
       break;
     }
 
@@ -128,52 +128,52 @@ int _writeInrimageHeader(const _image *i
     oss << "VY=" << im->vy << "\n";
     oss << "VZ=" << im->vz << "\n";
 
-    if ( im->cx != 0 ) 
+    if ( im->cx != 0 )
       oss << "XO="<< im->cx << "\n";
-    if ( im->cy != 0 ) 
+    if ( im->cy != 0 )
       oss << "YO="<< im->cy << "\n";
-    if ( im->cz != 0 ) 
+    if ( im->cz != 0 )
       oss << "ZO="<< im->cz << "\n";
-    if ( im->tx != 0.0 ) 
+    if ( im->tx != 0.0 )
       oss << "TX="<< im->tx << "\n";
-    if ( im->ty != 0.0 ) 
+    if ( im->ty != 0.0 )
       oss << "TY="<< im->ty << "\n";
-    if ( im->tz != 0.0 ) 
+    if ( im->tz != 0.0 )
       oss << "TZ="<< im->tz << "\n";
-    if ( im->rx != 0.0 ) 
+    if ( im->rx != 0.0 )
       oss << "RX="<< im->rx <<"\n";
-    if ( im->ry != 0.0 ) 
+    if ( im->ry != 0.0 )
       oss << "RY="<< im->ry << "\n";
-    if ( im->rz != 0.0 ) 
+    if ( im->rz != 0.0 )
       oss << "RZ=" << im->rz <<"\n";
 
     pos = oss.str().length();
-    
+
     if(ImageIO_write(im, oss.str().data(), oss.str().length()) == 0)
       return -1;
-    
-    
+
+
     /* write user strings */
     if ( im->user != nullptr ) {
       for(i = 0; i < im->nuser; i++) {
-	if ( im->user[i] == nullptr ) continue;
-	pos += strlen(im->user[i]) + 2;
-	if(ImageIO_write(im, "#", 1) == 0) return -1;
-	if(ImageIO_write(im, im->user[i], strlen(im->user[i])) == 0) return -1;
-	if(ImageIO_write(im, "\n", 1) == 0) return -1;
+        if ( im->user[i] == nullptr ) continue;
+        pos += strlen(im->user[i]) + 2;
+        if(ImageIO_write(im, "#", 1) == 0) return -1;
+        if(ImageIO_write(im, im->user[i], strlen(im->user[i])) == 0) return -1;
+        if(ImageIO_write(im, "\n", 1) == 0) return -1;
       }
     }
     /* write end of header */
     pos = pos % 256;
     if(pos > 252) {
       for(i = pos; i < 256; i++)
-	if(ImageIO_write(im, "\n", 1) != 1) return -1;
+        if(ImageIO_write(im, "\n", 1) != 1) return -1;
       pos = 0;
     }
     buf[0] = '\0';
     for(i = pos; i < 252; i++) strcat(buf, "\n");
     strcat(buf, "##}\n");
-    
+
     if(ImageIO_write(im, buf, strlen(buf)) == 0) return -1;
     else return 1;
   }
@@ -188,7 +188,7 @@ CGAL_INLINE_FUNCTION
 bool _writeInrimageData(const _image *im) {
   std::size_t size, nbv, nwrt, i, v;
   unsigned char **vp;
-  
+
   if(im->openMode != OM_CLOSE) {
 
     /* scalar or interlaced vectors */
@@ -204,13 +204,13 @@ bool _writeInrimageData(const _image *im
       size = im->xdim * im->ydim * im->zdim * im->wdim;
       vp = (unsigned char **) ImageIO_alloc(im->vdim * sizeof(unsigned char *));
       for(v = 0; v < im->vdim; v++)
-	vp[v] = (unsigned char *) im->data + v * size;
+        vp[v] = (unsigned char *) im->data + v * size;
       for(i = 0; i < nbv; i++)
-	for(v = 0; v < im->vdim; v++) {
-	  if(ImageIO_write(im, (const void *) vp[v], im->wdim) != im->wdim)
-	    return false;
-	  vp[v] += im->wdim;
-	}
+        for(v = 0; v < im->vdim; v++) {
+          if(ImageIO_write(im, (const void *) vp[v], im->wdim) != im->wdim)
+            return false;
+          vp[v] += im->wdim;
+        }
       ImageIO_free(vp);
       return true;
     }
@@ -258,8 +258,8 @@ int readInrimageHeader(const char *,_ima
       else if(!strncmp(str, "VDIM=", 5)) {
         std::istringstream iss(str+5);
         if(!(iss >> im->vdim)) return -1;
-	if(im->vdim == 1) im->vectMode = VM_SCALAR;
-	else im->vectMode = VM_INTERLACED;
+        if(im->vdim == 1) im->vectMode = VM_SCALAR;
+        else im->vectMode = VM_INTERLACED;
       }
       else if(!strncmp(str, "VX=", 3)) {
         std::istringstream iss(str+3);
@@ -274,24 +274,24 @@ int readInrimageHeader(const char *,_ima
         if(!(iss >> im->vz)) return -1;
       }
       else if(!strncmp(str, "TYPE=", 5)) {
-	if(!strncmp(str+5, "float", 5)) im->wordKind = WK_FLOAT;
-	else {
-	  if(!strncmp(str+5, "signed fixed", 12)) {
-	    im->wordKind = WK_FIXED;
-	    im->sign = SGN_SIGNED;
-	  }
-	  else if(!strncmp(str+5, "unsigned fixed", 14)) {
-	    im->wordKind = WK_FIXED;
-	    im->sign = SGN_UNSIGNED;
-	  }
-	  else return -1;
-	}
+        if(!strncmp(str+5, "float", 5)) im->wordKind = WK_FLOAT;
+        else {
+          if(!strncmp(str+5, "signed fixed", 12)) {
+            im->wordKind = WK_FIXED;
+            im->sign = SGN_SIGNED;
+          }
+          else if(!strncmp(str+5, "unsigned fixed", 14)) {
+            im->wordKind = WK_FIXED;
+            im->sign = SGN_UNSIGNED;
+          }
+          else return -1;
+        }
       }
       /* before "sscanf(str+8, "%i %n", &im->wdim, &n) != 1"
-	 was used. 
-	 However the man said 
+         was used.
+         However the man said
          ...
-	 n      Nothing is expected; instead, the number of charac­
+         n      Nothing is expected; instead, the number of charac­
               ters consumed thus far from  the  input  is  stored
               through  the  next pointer, which must be a pointer
               to int.  This is not a conversion, although it  can
@@ -302,36 +302,36 @@ int readInrimageHeader(const char *,_ima
               contradict  this.  Probably  it is wise not to make
               any assumptions on the effect of %n conversions  on
               the return value.
-	 ...
-	 Thus I change it. It was yielding a RETURN_FAILURE with 
-	 insight (GM).
+         ...
+         Thus I change it. It was yielding a RETURN_FAILURE with
+         insight (GM).
       */
       else if(!strncmp(str, "PIXSIZE=", 8)) {
         std::istringstream iss(str+8);
         if(!(iss >> im->wdim)) return -1;
-	if(im->wdim != 8 && im->wdim != 16 && im->wdim != 32 &&
-	   im->wdim != 64) return -1;
-	
-	if ( im->wdim <= 9 ) {
-	  if(strncmp(str+8+1, " bits", 5)) return -1;
-	}
-	else if ( im->wdim <= 99 ) {
-	  if(strncmp(str+8+2, " bits", 5)) return -1;
-	}
-	else {
-	  return -1;
-	}
+        if(im->wdim != 8 && im->wdim != 16 && im->wdim != 32 &&
+           im->wdim != 64) return -1;
+
+        if ( im->wdim <= 9 ) {
+          if(strncmp(str+8+1, " bits", 5)) return -1;
+        }
+        else if ( im->wdim <= 99 ) {
+          if(strncmp(str+8+2, " bits", 5)) return -1;
+        }
+        else {
+          return -1;
+        }
 
-	im->wdim >>= 3;
+        im->wdim >>= 3;
       }
       else if(!strncmp(str, "SCALE=", 6)) ;
       else if(!strncmp(str, "CPU=", 4)) {
-	if(!strncmp(str+4, "decm", 4)) im->endianness = END_LITTLE;
-	else if(!strncmp(str+4, "alpha", 5)) im->endianness = END_LITTLE;
-	else if(!strncmp(str+4, "pc", 2)) im->endianness = END_LITTLE;
-	else if(!strncmp(str+4, "sun", 3)) im->endianness = END_BIG;
-	else if(!strncmp(str+4, "sgi", 3)) im->endianness = END_BIG;
-	else return -1;
+        if(!strncmp(str+4, "decm", 4)) im->endianness = END_LITTLE;
+        else if(!strncmp(str+4, "alpha", 5)) im->endianness = END_LITTLE;
+        else if(!strncmp(str+4, "pc", 2)) im->endianness = END_LITTLE;
+        else if(!strncmp(str+4, "sun", 3)) im->endianness = END_BIG;
+        else if(!strncmp(str+4, "sgi", 3)) im->endianness = END_BIG;
+        else return -1;
       }
 
       else if(!strncmp(str, "XO=", 3)) {
@@ -380,34 +380,34 @@ int readInrimageHeader(const char *,_ima
     while(str[0] == '#' && strncmp(str, "##}", 3)) {
       addStringElement(&strl, str + 1);
       while(strlen(str) == 256) {
-	if(!fgetns(str, 257, im)) return -1;
-	concatStringElement(&strl, str);
+        if(!fgetns(str, 257, im)) return -1;
+        concatStringElement(&strl, str);
       }
       nusr++;
-      if(!fgetns(str, 257, im)) return -1;      
+      if(!fgetns(str, 257, im)) return -1;
     }
-    
+
     /* go to end of header */
     while(strncmp(str, "##}", 3)) {
       if(!fgetns(str, 257, im)) return -1;
     }
-    
+
 
     /* check header validity */
     if(im->xdim > 0 && im->ydim > 0 && im->zdim > 0 && im->vdim > 0 &&
        im->vx > 0.0 && im->vy > 0.0 && im->vz > 0.0 &&
        (im->wordKind == WK_FLOAT || (im->wordKind == WK_FIXED &&
-				     im->sign != SGN_UNKNOWN)) &&
+                                     im->sign != SGN_UNKNOWN)) &&
        im->endianness != END_UNKNOWN) {
       if(nusr > 0) {
-	im->nuser = nusr;
-	im->user = (char **) ImageIO_alloc(im->nuser * sizeof(char *));
-	oel = nullptr;
-	for(el = strl.begin, n = 0; el != nullptr; el = oel, n++) {
-	  im->user[n] = el->string;
-	  oel = el->next;
-	  ImageIO_free(el);
-	}
+        im->nuser = nusr;
+        im->user = (char **) ImageIO_alloc(im->nuser * sizeof(char *));
+        oel = nullptr;
+        for(el = strl.begin, n = 0; el != nullptr; el = oel, n++) {
+          im->user[n] = el->string;
+          oel = el->next;
+          ImageIO_free(el);
+        }
       }
       return 0;
     }
@@ -439,12 +439,12 @@ static void addStringElement(stringListH
 
 /* concat given string at the last element of given list */
 static void concatStringElement(const stringListHead *strhead,
-				const char *str) {
+                                const char *str) {
   stringListElement *el;
 
   el = strhead->end;
   el->string = (char *) realloc(el->string,
-				strlen(el->string) + strlen(str) + 1);
+                                strlen(el->string) + strlen(str) + 1);
   strcat(el->string, str);
 }
 
@@ -452,7 +452,7 @@ CGAL_INLINE_FUNCTION
 int testInrimageHeader(char *magic,const char *) {
   if (!strcmp(magic, INR_MAGIC))
     return 0;
-  else 
+  else
     return -1;
 }
 CGAL_INLINE_FUNCTION
@@ -469,16 +469,16 @@ int writeInrimage(char *name,_image *im)
   res = _writeInrimageHeader(im, END_UNKNOWN);
   if (res < 0) {
     fprintf(stderr, "writeInrimage: error: unable to write header of \'%s\'\n",
-	    name);
+            name);
     ImageIO_close( im );
     im->fd = nullptr;
     im->openMode = OM_CLOSE;
     return( res );
   }
-  
+
   if (!_writeInrimageData(im)) {
     fprintf(stderr, "writeInrimage: error: unable to write data of \'%s\'\n",
-	    name);
+            name);
     ImageIO_close( im );
     im->fd = nullptr;
     im->openMode = OM_CLOSE;
@@ -489,7 +489,7 @@ int writeInrimage(char *name,_image *im)
   im->fd = nullptr;
   im->openMode = OM_CLOSE;
 
-  return ( res );  
+  return ( res );
 }
 
 CGAL_INLINE_FUNCTION
diff -pruN 5.0.2-3/include/CGAL/ImageIO/iris.h 5.0.3-1/include/CGAL/ImageIO/iris.h
--- 5.0.2-3/include/CGAL/ImageIO/iris.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/iris.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/iris.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/iris.h $
 // $Id: iris.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
diff -pruN 5.0.2-3/include/CGAL/ImageIO/iris_impl.h 5.0.3-1/include/CGAL/ImageIO/iris_impl.h
--- 5.0.2-3/include/CGAL/ImageIO/iris_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/iris_impl.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/iris_impl.h $
-// $Id: iris_impl.h 436d5cb 2019-11-06T17:45:28+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/iris_impl.h $
+// $Id: iris_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -36,33 +36,33 @@
 
 typedef unsigned char byte;
 
-#define BPPMASK			0x00ff
-#define ITYPE_VERBATIM		0x0000
-#define ITYPE_RLE		0x0100
-#define ISRLE(type)		(((type) & 0xff00) == ITYPE_RLE)
-#define ISVERBATIM(type)	(((type) & 0xff00) == ITYPE_VERBATIM)
-#define BPP(type)		((type) & BPPMASK)
-#define RLE(bpp)		(ITYPE_RLE | (bpp))
-#define VERBATIM(bpp)		(ITYPE_VERBATIM | (bpp))
+#define BPPMASK                        0x00ff
+#define ITYPE_VERBATIM                0x0000
+#define ITYPE_RLE                0x0100
+#define ISRLE(type)                (((type) & 0xff00) == ITYPE_RLE)
+#define ISVERBATIM(type)        (((type) & 0xff00) == ITYPE_VERBATIM)
+#define BPP(type)                ((type) & BPPMASK)
+#define RLE(bpp)                (ITYPE_RLE | (bpp))
+#define VERBATIM(bpp)                (ITYPE_VERBATIM | (bpp))
 
 
 
 
 
 
-#define TAGLEN	(5)
+#define TAGLEN        (5)
 
 #define RINTLUM (79)
 #define GINTLUM (156)
 #define BINTLUM (21)
 
-#define OFFSET_R	3	/* this is byte order dependent */
-#define OFFSET_G	2
-#define OFFSET_B	1
-#define OFFSET_A	0
+#define OFFSET_R        3        /* this is byte order dependent */
+#define OFFSET_G        2
+#define OFFSET_B        1
+#define OFFSET_A        0
 
 #define ILUM(r,g,b)     ((int)(RINTLUM*(r)+GINTLUM*(g)+BINTLUM*(b))>>8)
-#define CHANOFFSET(z)	(3-(z))	/* this is byte order dependent */
+#define CHANOFFSET(z)        (3-(z))        /* this is byte order dependent */
 
 static byte    *getimagedata  (const _image *im, unsigned short, int, int, int);
 static void     interleaverow (byte *, byte *, int, int);
@@ -80,7 +80,7 @@ int testIrisHeader(char *magic,const cha
   if((((unsigned char *)magic)[0]<<8) + ((unsigned char *)magic)[1]
      == IRIS_MAGIC)
     return 0;
-  else 
+  else
     return -1;
 }
 
@@ -120,40 +120,40 @@ static void expandrow(byte *optr, byte *
     if ( !(count = (pixel & 0x7f)) ) return;
     if (pixel & 0x80) {
       while (count>=8) {
-	optr[0*4] = iptr[0];
-	optr[1*4] = iptr[1];
-	optr[2*4] = iptr[2];
-	optr[3*4] = iptr[3];
-	optr[4*4] = iptr[4];
-	optr[5*4] = iptr[5];
-	optr[6*4] = iptr[6];
-	optr[7*4] = iptr[7];
-	optr += 8*4;
-	iptr += 8;
-	count = byte(count - 8);
+        optr[0*4] = iptr[0];
+        optr[1*4] = iptr[1];
+        optr[2*4] = iptr[2];
+        optr[3*4] = iptr[3];
+        optr[4*4] = iptr[4];
+        optr[5*4] = iptr[5];
+        optr[6*4] = iptr[6];
+        optr[7*4] = iptr[7];
+        optr += 8*4;
+        iptr += 8;
+        count = byte(count - 8);
       }
       while(count--) {
-	*optr = *iptr++;
-	optr+=4;
+        *optr = *iptr++;
+        optr+=4;
       }
     }
     else {
       pixel = *iptr++;
       while(count>=8) {
-	optr[0*4] = pixel;
-	optr[1*4] = pixel;
-	optr[2*4] = pixel;
-	optr[3*4] = pixel;
-	optr[4*4] = pixel;
-	optr[5*4] = pixel;
-	optr[6*4] = pixel;
-	optr[7*4] = pixel;
-	optr += 8*4;
-	count = byte(count - 8);
+        optr[0*4] = pixel;
+        optr[1*4] = pixel;
+        optr[2*4] = pixel;
+        optr[3*4] = pixel;
+        optr[4*4] = pixel;
+        optr[5*4] = pixel;
+        optr[6*4] = pixel;
+        optr[7*4] = pixel;
+        optr += 8*4;
+        count = byte(count - 8);
       }
       while(count--) {
-	*optr = pixel;
-	optr+=4;
+        *optr = pixel;
+        optr+=4;
       }
     }
   }
@@ -172,7 +172,7 @@ static void readtab(const _image *im, un
 /*****************************************************/
 static void addimgtag(byte *dptr, int xsize, int ysize)
 {
-  /* this is used to extract image data from core dumps. 
+  /* this is used to extract image data from core dumps.
      I doubt this is necessary...  --jhb */
 
   dptr    = dptr + (xsize * ysize * 4);
@@ -246,14 +246,14 @@ int readIrisImage( const char *, _image
   /*  t1=texture_alloc();
   (void) strcpy(t1->name,fname);
   t1->type=IRIS;
-  
+
   t1->nrows = ysize;
   t1->ncols = xsize;
-    
+
   t1->image = create_int_array(t1->nrows,t1->ncols);*/
 
   /* got the raw image data.  Convert to an XV image (1,3 bytes / pix) */
-  if (zsize < 3) 
+  if (zsize < 3)
     {  /* grayscale */
       im->xdim = xsize;
       im->ydim = ysize;
@@ -266,25 +266,25 @@ int readIrisImage( const char *, _image
 
       pic824 = (byte *) ImageIO_alloc((size_t) xsize * ysize);
       if (!pic824) exit(-1);
-      
+
       /* copy plane 3 from rawdata into pic824, inverting pic vertically */
       for (i = 0, bptr = pic824; i < ysize; i++)
-	{
-	  rptr = rawdata + 3 + ((ysize - 1) - i) * (xsize * 4);
-	  for (j = 0; j < xsize; j++, bptr++, rptr += 4)
-	    *bptr = *rptr;
-	}
-      
-      
+        {
+          rptr = rawdata + 3 + ((ysize - 1) - i) * (xsize * 4);
+          for (j = 0; j < xsize; j++, bptr++, rptr += 4)
+            *bptr = *rptr;
+        }
+
+
       size = im->xdim * im->ydim;
       for (bptr = pic824, iptr = (unsigned char *) im->data,
-	     i = 0; i < size; ++i, ++iptr, ++bptr)
-	{
-	  *iptr = *bptr;
-	}
-      
+             i = 0; i < size; ++i, ++iptr, ++bptr)
+        {
+          *iptr = *bptr;
+        }
+
       ImageIO_free(pic824);
-    
+
   }
 
   else {  /* truecolor */
@@ -298,38 +298,38 @@ int readIrisImage( const char *, _image
     im->data = ImageIO_alloc(xsize * ysize * im->zdim * 4);
 
     pic824 = (byte *) ImageIO_alloc((size_t) xsize * ysize * 3);
-    if (!pic824) 
+    if (!pic824)
       exit(1);
-    
+
     /* copy plane 3 from rawdata into pic824, inverting pic vertically */
     for (i = 0, bptr = pic824; i< ysize; i++)
       {
-	rptr = rawdata + ((ysize - 1) - i) * (xsize * 4);
+        rptr = rawdata + ((ysize - 1) - i) * (xsize * 4);
 
-	for (j=0; j< xsize; j++, rptr += 4) {
-	  *bptr++ = rptr[3];
-	  *bptr++ = rptr[2];
-	  *bptr++ = rptr[1];
-	}
+        for (j=0; j< xsize; j++, rptr += 4) {
+          *bptr++ = rptr[3];
+          *bptr++ = rptr[2];
+          *bptr++ = rptr[1];
+        }
       }
-    
-    
+
+
     size = im->xdim * im->ydim;
     for (bptr = pic824, iptr = (unsigned char *) im->data, i = 0;
-	 i < size; ++i, iptr += 4, bptr += 3)
+         i < size; ++i, iptr += 4, bptr += 3)
       {
-	if ( _getEndianness() == END_LITTLE ) {
-	  iptr[0] = 0xFF;
-	  iptr[1] = bptr[2];
-	  iptr[2] = bptr[1];
-	  iptr[3] = bptr[0];
-	}
-	else {
-	  iptr[0] = bptr[0];
-	  iptr[1] = bptr[1];
-	  iptr[2] = bptr[2];
-	  iptr[3] = 0xFF;
-	}
+        if ( _getEndianness() == END_LITTLE ) {
+          iptr[0] = 0xFF;
+          iptr[1] = bptr[2];
+          iptr[2] = bptr[1];
+          iptr[3] = bptr[0];
+        }
+        else {
+          iptr[0] = bptr[0];
+          iptr[1] = bptr[1];
+          iptr[2] = bptr[2];
+          iptr[3] = 0xFF;
+        }
       }
       ImageIO_free(pic824);
   }
@@ -337,16 +337,16 @@ int readIrisImage( const char *, _image
   ImageIO_free(rawdata);
 
   return 1;
-}     
+}
 
 
 
 
 /****************************************************/
 static byte *getimagedata(const _image *im, unsigned short type, int xsize, int ysize,
-			  int zsize)
+                          int zsize)
 {
-  /* read in a B/W RGB or RGBA iris image file and return a 
+  /* read in a B/W RGB or RGBA iris image file and return a
      pointer to an array of 4-byte pixels, arranged ABGR, nullptr on error */
 
   byte   *base, *lptr;
@@ -373,7 +373,7 @@ static byte *getimagedata(const _image *
     lengthtab = (unsigned long *) ImageIO_alloc((size_t) tablen * sizeof(long));
     rledat    = (byte *)   ImageIO_alloc((size_t) rlebuflen);
 
-    if (!starttab || !lengthtab || !rledat) 
+    if (!starttab || !lengthtab || !rledat)
       exit(1);
 
     ImageIO_seek( im, 512L, SEEK_SET );
@@ -391,8 +391,8 @@ static byte *getimagedata(const _image *
     badorder = 0;
     for (y=0; y<ysize && !badorder; y++) {
       for (z=0; z<zsize && !badorder; z++) {
-	if (starttab[y+z*ysize] < cur) badorder = 1;
-	else cur = starttab[y+z*ysize];
+        if (starttab[y+z*ysize] < cur) badorder = 1;
+        else cur = starttab[y+z*ysize];
       }
     }
 
@@ -401,45 +401,45 @@ static byte *getimagedata(const _image *
     cur = 512 + 2*tablen*4;
 
     base = (byte *) ImageIO_alloc((size_t) (xsize*ysize+TAGLEN) * 4);
-    if (!base) 
+    if (!base)
       exit(1);
 
     addimgtag(base,xsize,ysize);
 
     if (badorder) {
       for (z=0; z<zsize; z++) {
-	lptr = base;
-	for (y=0; y<ysize; y++) {
-	  if (cur != starttab[y+z*ysize]) {
-	    ImageIO_seek( im, (long) starttab[y+z*ysize], 0);
-	    cur = starttab[y+z*ysize];
-	  }
-
-	  if (lengthtab[y+z*ysize]>(unsigned long)rlebuflen) {
-	    ImageIO_free(starttab); ImageIO_free(lengthtab); ImageIO_free(rledat); ImageIO_free(base);
-	    return (byte *) nullptr;
-	  }
-	  ImageIO_read(im, rledat, (size_t) lengthtab[y+z*ysize]);
-	  cur += lengthtab[y+z*ysize];
-	  expandrow(lptr,rledat,3-z);
-	  lptr += (xsize * 4);
-	}
+        lptr = base;
+        for (y=0; y<ysize; y++) {
+          if (cur != starttab[y+z*ysize]) {
+            ImageIO_seek( im, (long) starttab[y+z*ysize], 0);
+            cur = starttab[y+z*ysize];
+          }
+
+          if (lengthtab[y+z*ysize]>(unsigned long)rlebuflen) {
+            ImageIO_free(starttab); ImageIO_free(lengthtab); ImageIO_free(rledat); ImageIO_free(base);
+            return (byte *) nullptr;
+          }
+          ImageIO_read(im, rledat, (size_t) lengthtab[y+z*ysize]);
+          cur += lengthtab[y+z*ysize];
+          expandrow(lptr,rledat,3-z);
+          lptr += (xsize * 4);
+        }
       }
     }
     else {
       lptr = base;
       for (y=0; y<ysize; y++) {
-	for (z=0; z<zsize; z++) {
-	  if (cur != starttab[y+z*ysize]) {
-	    ImageIO_seek( im, (long) starttab[y+z*ysize], 0);
-	    cur = starttab[y+z*ysize];
-	  }
-	  
-	  ImageIO_read(im, rledat, (size_t) lengthtab[y+z*ysize]);
-	  cur += lengthtab[y+z*ysize];
-	  expandrow(lptr,rledat,3-z);
-	}
-	lptr += (xsize * 4);
+        for (z=0; z<zsize; z++) {
+          if (cur != starttab[y+z*ysize]) {
+            ImageIO_seek( im, (long) starttab[y+z*ysize], 0);
+            cur = starttab[y+z*ysize];
+          }
+
+          ImageIO_read(im, rledat, (size_t) lengthtab[y+z*ysize]);
+          cur += lengthtab[y+z*ysize];
+          expandrow(lptr,rledat,3-z);
+        }
+        lptr += (xsize * 4);
       }
     }
 
@@ -452,7 +452,7 @@ static byte *getimagedata(const _image *
   else {  /* not RLE */
     verdat = (byte *) ImageIO_alloc((size_t) xsize);
     base   = (byte *) ImageIO_alloc((size_t) (xsize*ysize+TAGLEN) * 4);
-    if (!base || !verdat) 
+    if (!base || !verdat)
       exit(1);
 
     addimgtag(base,xsize,ysize);
@@ -462,9 +462,9 @@ static byte *getimagedata(const _image *
     for (z=0; z<zsize; z++) {
       lptr = base;
       for (y=0; y<ysize; y++) {
-	ImageIO_read(im, verdat, (size_t) xsize);
-	interleaverow(lptr,verdat,3-z,xsize);
-	lptr += (xsize * 4);
+        ImageIO_read(im, verdat, (size_t) xsize);
+        interleaverow(lptr,verdat,3-z,xsize);
+        lptr += (xsize * 4);
       }
     }
 
diff -pruN 5.0.2-3/include/CGAL/ImageIO/mincio.h 5.0.3-1/include/CGAL/ImageIO/mincio.h
--- 5.0.2-3/include/CGAL/ImageIO/mincio.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/mincio.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/mincio.h $
-// $Id: mincio.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/mincio.h $
+// $Id: mincio.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -33,9 +33,9 @@
     @param Zcosine 3 dimensional array containing Z axis cosine directions
     @return a negative value in case of failure */
 int readMincHeader(_image *im, const char* name,
-		   double *startx, double *starty, double *startz,
-		   double *stepx, double *stepy, double *stepz,
-		   double *Xcosine, double *Ycosine, double *Zcosine);
+                   double *startx, double *starty, double *startz,
+                   double *stepx, double *stepy, double *stepz,
+                   double *Xcosine, double *Ycosine, double *Zcosine);
 
 /** write an image in a minc file
     @param im image structure
@@ -53,10 +53,10 @@ int readMincHeader(_image *im, const cha
     @param range 2 dimensional array containing min an max image intensity
     @return a negative value in case of failure */
 int writeMincFile( const _image* im, const char *name, const char *sourceName,
-		   double startx, double starty, double startz,
-		   double stepx, double stepy, double stepz,
-		   const double *Xcosine, const double *Ycosine,
-		   const double *Zcosine, const double *range );
+                   double startx, double starty, double startz,
+                   double stepx, double stepy, double stepz,
+                   const double *Xcosine, const double *Ycosine,
+                   const double *Zcosine, const double *range );
 
 
 #endif
diff -pruN 5.0.2-3/include/CGAL/ImageIO/mincio_impl.h 5.0.3-1/include/CGAL/ImageIO/mincio_impl.h
--- 5.0.2-3/include/CGAL/ImageIO/mincio_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/mincio_impl.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/mincio_impl.h $
-// $Id: mincio_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/mincio_impl.h $
+// $Id: mincio_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -37,9 +37,9 @@
 
 CGAL_INLINE_FUNCTION
 int readMincHeader(_image *im, const char* filename,
-		   double *startx, double *starty, double *startz,
-		   double *stepx, double *stepy, double *stepz,
-		   double *Xcosines, double *Ycosines, double *Zcosines) {
+                   double *startx, double *starty, double *startz,
+                   double *stepx, double *stepy, double *stepz,
+                   double *Xcosines, double *Ycosines, double *Zcosines) {
   int fin, varid, minc_icv, id, ndims, i, dim[256], length,
     minfound = 0, maxfound = 0;
   long start[3] = {0, 0, 0}, count[3];
@@ -63,15 +63,15 @@ int readMincHeader(_image *im, const cha
 
   /* get sign */
   if ((miattgetstr(fin, id, MIsigntype, MI_MAX_ATTSTR_LEN, sign_type)
-       == nullptr) || ((strcmp(sign_type, MI_UNSIGNED)!=0) && 
-		    (strcmp(sign_type, MI_SIGNED)!=0))) {
+       == nullptr) || ((strcmp(sign_type, MI_UNSIGNED)!=0) &&
+                    (strcmp(sign_type, MI_SIGNED)!=0))) {
     if (type == NC_BYTE)
       (void) strcpy(sign_type, MI_UNSIGNED);
     else
       (void) strcpy(sign_type, MI_SIGNED);
   }
   im->sign = (!strcmp(sign_type, MI_UNSIGNED)) ? SGN_UNSIGNED : SGN_SIGNED;
-  
+
   switch(type) {
   case NC_CHAR:
   case NC_BYTE:
@@ -112,43 +112,43 @@ int readMincHeader(_image *im, const cha
     if(!strcmp(name, MIxspace)) {
       im->xdim = count[i];
       if(miattget1(fin, varid, MIstep, NC_DOUBLE, stepx) == MI_ERROR)
-	*stepx = 1.0;
+        *stepx = 1.0;
       im->vx = fabs(*stepx);
       if(miattget1(fin, varid, MIstart, NC_DOUBLE, startx) == MI_ERROR)
-	*startx = 0.0;
+        *startx = 0.0;
       if(miattget(fin, varid, MIdirection_cosines, NC_DOUBLE, 3,
-		  (void *) Xcosines, (int *) 0) == MI_ERROR ) {
-	Xcosines[0] = 0.0;
-	Xcosines[1] = 0.0;
-	Xcosines[2] = 0.0;
+                  (void *) Xcosines, (int *) 0) == MI_ERROR ) {
+        Xcosines[0] = 0.0;
+        Xcosines[1] = 0.0;
+        Xcosines[2] = 0.0;
       }
     }
     else if(!strcmp(name, MIyspace)) {
       im->ydim = count[i];
       if(miattget1(fin, varid, MIstep, NC_DOUBLE, stepy) == MI_ERROR)
-	*stepy = 1.0;
+        *stepy = 1.0;
       im->vy = fabs(*stepy);
       if(miattget1(fin, varid, MIstart, NC_DOUBLE, starty) == MI_ERROR)
-	*starty = 0.0;
+        *starty = 0.0;
       if(miattget(fin, varid, MIdirection_cosines, NC_DOUBLE, 3,
-		  (void *) Ycosines, (int *) 0) == MI_ERROR ) {
-	Ycosines[0] = 0.0;
-	Ycosines[1] = 0.0;
-	Ycosines[2] = 0.0;
+                  (void *) Ycosines, (int *) 0) == MI_ERROR ) {
+        Ycosines[0] = 0.0;
+        Ycosines[1] = 0.0;
+        Ycosines[2] = 0.0;
       }
     }
     else if(!strcmp(name, MIzspace)) {
       im->zdim = count[i];
       if(miattget1(fin, varid, MIstep, NC_DOUBLE, stepz) == MI_ERROR)
-	*stepz = 1.0;
+        *stepz = 1.0;
       im->vz = fabs(*stepz);
       if(miattget1(fin, varid, MIstart, NC_DOUBLE, startz) == MI_ERROR)
-	*startz = 0.0;
+        *startz = 0.0;
       if(miattget(fin, varid, MIdirection_cosines, NC_DOUBLE, 3,
-		  (void *) Zcosines, (int *) 0) == MI_ERROR ) {
-	Zcosines[0] = 0.0;
-	Zcosines[1] = 0.0;
-	Zcosines[2] = 0.0;
+                  (void *) Zcosines, (int *) 0) == MI_ERROR ) {
+        Zcosines[0] = 0.0;
+        Zcosines[1] = 0.0;
+        Zcosines[2] = 0.0;
       }
     } else {
       fprintf(stderr, "unsupported dimension %s\n", name);
@@ -158,12 +158,12 @@ int readMincHeader(_image *im, const cha
 
 
   if( miattget( fin, id, MIvalid_range, NC_DOUBLE, 2,
-		(void *) range, &length) == MI_ERROR || length != 2 ) {
+                (void *) range, &length) == MI_ERROR || length != 2 ) {
     if( miattget1( fin, id, MIvalid_min, NC_DOUBLE,
-		   (void *) &range[0] ) != MI_ERROR )
+                   (void *) &range[0] ) != MI_ERROR )
       minfound = 1;
     if( miattget1( fin, id, MIvalid_max, NC_DOUBLE,
-		   (void *) &range[1] ) != MI_ERROR )
+                   (void *) &range[1] ) != MI_ERROR )
       maxfound = 1;
   }
   else {
@@ -175,7 +175,7 @@ int readMincHeader(_image *im, const cha
     minfound = 1;
     maxfound = 1;
   }
-  
+
   if(!minfound) {
     switch(type) {
     case NC_CHAR:
@@ -220,7 +220,7 @@ int readMincHeader(_image *im, const cha
 
   /* read data bytes */
   im->data = ImageIO_alloc(im->xdim * im->ydim * im->zdim * im->vdim *
-			   im->wdim);
+                           im->wdim);
 
   minc_icv = miicv_create();
   (void) miicv_setint( minc_icv, MI_ICV_TYPE, type );
@@ -297,18 +297,18 @@ int readMincHeader(_image *im, const cha
       line = im->ydim;
     }
   }
-  
+
   data = ImageIO_alloc(im->xdim * im->ydim * im->zdim * im->vdim * im->wdim);
   plane1 = im->xdim * im->ydim;
-  
+
   for(ct[0] = 0; ct[0] < im->zdim; ct[0]++) {
     for(ct[1] = 0; ct[1] < im->ydim; ct[1]++) {
       for(ct[2] = 0; ct[2] < im->xdim; ct[2]++) {
-	memcpy((unsigned char *) data +
-	       (ct[0] * plane1 + ct[1] * im->xdim + ct[2]) * im->wdim,
-	       (unsigned char *) im->data +
-	       (ct[shift[0]] * plane2 + ct[shift[1]] * line + ct[shift[2]])
-	       * im->wdim, im->wdim);
+        memcpy((unsigned char *) data +
+               (ct[0] * plane1 + ct[1] * im->xdim + ct[2]) * im->wdim,
+               (unsigned char *) im->data +
+               (ct[shift[0]] * plane2 + ct[shift[1]] * line + ct[shift[2]])
+               * im->wdim, im->wdim);
       }
     }
   }
@@ -325,11 +325,11 @@ int readMincHeader(_image *im, const cha
 
 CGAL_INLINE_FUNCTION
 int writeMincFile( const _image* im, const char *filename,
-		   const char *sourcename,
-		   double startx, double starty, double startz,
-		   double stepx, double stepy, double stepz,
-		   const double *Xcosine, const double *Ycosine,
-		   const double *Zcosine, const double *range ) {
+                   const char *sourcename,
+                   double startx, double starty, double startz,
+                   double stepx, double stepy, double stepz,
+                   const double *Xcosine, const double *Ycosine,
+                   const double *Zcosine, const double *range ) {
   int i, cdfid, minc_icv, dim_vars[3], dim_ids[3], img_var_id, min_id, max_id,
     src_cdfid, src_img_var, varid, n_excluded, excluded_vars[10],
     src_min_id, src_max_id, src_root_id, old_att_length, same_file = 0;
@@ -338,7 +338,7 @@ int writeMincFile( const _image* im, con
        *excluded_list[3] = { MIxspace, MIyspace, MIzspace }, *newname;
   nc_type type, datatype;
   double start[3] = { startz, starty, startx },
-	    vx[3] = { stepz, stepy, stepx };
+            vx[3] = { stepz, stepy, stepx };
 
   /* if filename is the same file that sourcename, it is needed to create
      a temporary file for output */
@@ -351,14 +351,14 @@ int writeMincFile( const _image* im, con
       newname = (char *) malloc((strlen(filename) + 10) * sizeof(char));
       for(i = strlen(filename) - 1; i > 0 && filename[i] != '/'; i--) ;
       if(filename[i] == '/') {
-	strncpy(newname, filename, i + 1);
-	newname[i+1] = '\0';
-	strcat(newname, "#TMP#");
-	strcat(newname, filename + i + 1);
+        strncpy(newname, filename, i + 1);
+        newname[i+1] = '\0';
+        strcat(newname, "#TMP#");
+        strcat(newname, filename + i + 1);
       }
       else
-	sprintf(newname, "#TMP#%s", filename);
-    } 
+        sprintf(newname, "#TMP#%s", filename);
+    }
   }
 
   /* open file */
@@ -378,7 +378,7 @@ int writeMincFile( const _image* im, con
   case WK_FLOAT:
   default:
     if(im->wdim == 4) type = NC_FLOAT;
-    else type = NC_DOUBLE;    
+    else type = NC_DOUBLE;
     break;
   }
 
@@ -388,20 +388,20 @@ int writeMincFile( const _image* im, con
 
   for(i = 0; i < 3; i++ ) {
     dim_ids[i] = micreate_std_variable( cdfid, dim_names[i], NC_DOUBLE,
-					0, nullptr);
+                                        0, nullptr);
     if( dim_ids[i] < 0 ) return -1;
     (void) miattputdbl( cdfid, dim_ids[i], MIstep, vx[i]);
     (void) miattputdbl( cdfid, dim_ids[i], MIstart, start[i]);
   }
   if(Zcosine[0] != 0.0 || Zcosine[1] != 0.0 || Zcosine[2] != 0.0)
     (void) ncattput(cdfid, dim_ids[0], MIdirection_cosines, NC_DOUBLE, 3,
-		    Zcosine);
+                    Zcosine);
   if(Ycosine[0] != 0.0 || Ycosine[1] != 0.0 || Ycosine[2] != 0.0)
     (void) ncattput(cdfid, dim_ids[1], MIdirection_cosines, NC_DOUBLE, 3,
-		    Ycosine);
+                    Ycosine);
   if(Xcosine[0] != 0.0 || Xcosine[1] != 0.0 || Xcosine[2] != 0.0)
     (void) ncattput(cdfid, dim_ids[2], MIdirection_cosines, NC_DOUBLE, 3,
-		    Xcosine);
+                    Xcosine);
 
   /* create image variable */
   img_var_id = micreate_std_variable( cdfid, MIimage, type, 3, dim_vars );
@@ -411,7 +411,7 @@ int writeMincFile( const _image* im, con
   else
     (void) miattputstr( cdfid, img_var_id, MIsigntype, MI_UNSIGNED );
   (void) ncattput(cdfid, img_var_id, MIvalid_range ,NC_DOUBLE, 2, range);
-    
+
   min_id = micreate_std_variable(cdfid, MIimagemin, NC_DOUBLE, 0, 0 );
   max_id = micreate_std_variable(cdfid, MIimagemax, NC_DOUBLE, 0, 0 );
 
@@ -425,9 +425,9 @@ int writeMincFile( const _image* im, con
     n_excluded = 0;
     for( i = 0; i < 3; i++ ) {
       if( (varid = ncvarid(src_cdfid, excluded_list[i] )) != MI_ERROR )
-	excluded_vars[n_excluded++] = varid;
+        excluded_vars[n_excluded++] = varid;
     }
-    
+
     if( (src_img_var = ncvarid(src_cdfid, MIimage )) != MI_ERROR )
       excluded_vars[n_excluded++] = src_img_var;
     if( (src_max_id = ncvarid(src_cdfid, MIimagemax )) != MI_ERROR )
@@ -436,28 +436,28 @@ int writeMincFile( const _image* im, con
       excluded_vars[n_excluded++] = src_min_id;
     if( (src_root_id = ncvarid(src_cdfid, MIrootvariable )) != MI_ERROR )
       excluded_vars[n_excluded++] = src_root_id;
-    
+
     (void) micopy_all_var_defs( src_cdfid, cdfid, n_excluded, excluded_vars );
-    
+
     if( src_img_var != MI_ERROR )
       (void) micopy_all_atts( src_cdfid, src_img_var, cdfid, img_var_id );
     if( src_root_id != MI_ERROR )
       (void) micopy_all_atts( src_cdfid, src_root_id, cdfid,
-			      ncvarid( cdfid, MIrootvariable) );
+                              ncvarid( cdfid, MIrootvariable) );
 
     ncopts = 0;
     if(ncattinq(cdfid, NC_GLOBAL, MIhistory, &datatype, &old_att_length)
        == MI_ERROR || datatype != NC_CHAR )
       old_att_length = 0;
-   
+
     history = (char *) malloc(sizeof(char) * old_att_length);
     history[0] = (char) 0;
     (void) miattgetstr( cdfid, NC_GLOBAL, MIhistory, old_att_length+1,
-			history );
+                        history );
     ncopts = NC_VERBOSE | NC_FATAL;
     (void) miattputstr( cdfid, NC_GLOBAL, MIhistory, history );
     free(history);
-    
+
     (void) miclose( src_cdfid );
   }
 
@@ -467,7 +467,7 @@ int writeMincFile( const _image* im, con
   minc_icv = miicv_create();
   (void) miicv_setint( minc_icv, MI_ICV_TYPE, type);
   (void) miicv_setstr( minc_icv, MI_ICV_SIGN,
-		       (im->sign == SGN_SIGNED) ? MI_SIGNED : MI_UNSIGNED );
+                       (im->sign == SGN_SIGNED) ? MI_SIGNED : MI_UNSIGNED );
   (void) miicv_setint( minc_icv, MI_ICV_DO_NORM, 1 );
   (void) miicv_setint( minc_icv, MI_ICV_USER_NORM, 1 );
   (void) miicv_attach( minc_icv, cdfid, img_var_id );
diff -pruN 5.0.2-3/include/CGAL/ImageIO/pnm.h 5.0.3-1/include/CGAL/ImageIO/pnm.h
--- 5.0.2-3/include/CGAL/ImageIO/pnm.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/pnm.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/pnm.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/pnm.h $
 // $Id: pnm.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
diff -pruN 5.0.2-3/include/CGAL/ImageIO/pnm_impl.h 5.0.3-1/include/CGAL/ImageIO/pnm_impl.h
--- 5.0.2-3/include/CGAL/ImageIO/pnm_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/pnm_impl.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/pnm_impl.h $
-// $Id: pnm_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/pnm_impl.h $
+// $Id: pnm_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -43,23 +43,23 @@
 
 CGAL_INLINE_FUNCTION
 int testPpmHeader(char *magic,const char *) {
-  if( !strncmp(magic, PPM_MAGIC, strlen(PPM_MAGIC))) 
+  if( !strncmp(magic, PPM_MAGIC, strlen(PPM_MAGIC)))
     return 0;
-  else 
+  else
     return -1;
 }
 CGAL_INLINE_FUNCTION
 int testPgmHeader(char *magic,const char *) {
   if (( !strncmp(magic, PGM_MAGIC, strlen(PGM_MAGIC))))
     return 0;
-  else 
+  else
     return -1;
 }
 CGAL_INLINE_FUNCTION
 int testPgmAsciiHeader(char *magic,const char *) {
   if  ( !strncmp(magic, PGM_ASCII_MAGIC, strlen(PGM_ASCII_MAGIC)))
     return 0;
-  else 
+  else
     return -1;
 }
 
@@ -149,22 +149,22 @@ int readPpmImage(const char *name,_image
   char string[256];
   int x=0, y=0;
   int max=0;
-  
+
   fgetns( string, 255, im );
   if ( strncmp(string, PPM_MAGIC, strlen(PPM_MAGIC) ) ) {
     fprintf( stderr, "readPpmImage: bad magic string in \'%s\'\n", name );
     return( -1 );
   }
-  
+
   do {
     fgetns( string, 255, im );
 
     if ( string[0] != '#' ) {
       if ( x == 0 && y == 0 ) {
-	sscanf( string, "%d %d", &x, &y );
+        sscanf( string, "%d %d", &x, &y );
       }
       else if ( max == 0 ) {
-	sscanf( string, "%d", &max );
+        sscanf( string, "%d", &max );
       }
     }
   } while ( max == 0 );
@@ -187,10 +187,10 @@ int readPpmImage(const char *name,_image
     fprintf( stderr, "readPpmImage: max value too large (%d) in \'%s\'\n", max, name );
     return( -1 );
   }
-  im->data = ImageIO_alloc( x*y*3 );		     
-  
+  im->data = ImageIO_alloc( x*y*3 );
+
   ImageIO_read( im, im->data,  x*y*3 );
-  
+
   return 1;
 }
 
@@ -205,14 +205,14 @@ int writePpmImage( char *name,_image *im
     fprintf( stderr, "writePpmImage: bad dimensions, unable to write '%s'\n", name );
     return -1;
   }
-  if ( im->wordKind != WK_FIXED || im->sign != SGN_UNSIGNED 
+  if ( im->wordKind != WK_FIXED || im->sign != SGN_UNSIGNED
        || ( im->wdim != 1 && im->wdim != 2 ) ) {
     fprintf( stderr, "writePpmImage: bad type, unable to write '%s'\n", name );
-    return -1;  
+    return -1;
   }
-  
+
   _openWriteImage( im, name );
-  
+
   if(!im->fd) {
     fprintf(stderr, "writeInrimage: error: unable to open file \'%s\'\n", name );
     return ImageIO_OPENING;
@@ -228,14 +228,14 @@ int writePpmImage( char *name,_image *im
     {
       unsigned char *buf = (unsigned char *)im->data;
       for ( i=0; i<im->xdim*im->ydim*3; i++, buf++ )
-	if ( max < *buf ) max = *buf;
+        if ( max < *buf ) max = *buf;
     }
     break;
   case 2 :
     {
       unsigned short *buf = (unsigned short *)im->data;
       for ( i=0; i<im->xdim*im->ydim*3; i++, buf++ )
-	if ( max < *buf ) max = *buf;
+        if ( max < *buf ) max = *buf;
     }
     break;
   }
@@ -255,7 +255,7 @@ int writePpmImage( char *name,_image *im
     unsigned char *tmp = (unsigned char *)ImageIO_alloc( im->xdim*im->ydim*3 );
     if ( tmp == nullptr ) {
       fprintf( stderr, "writePpmImage: unable to allocate auxiliary buffer\n" );
-      return -1; 
+      return -1;
     }
     for ( i=0; i<im->xdim*im->ydim*3; i++, buf++ )
       tmp[i] = (unsigned char)*buf;
@@ -317,16 +317,16 @@ int readPgmAsciiImage(const char *name,_
     fprintf( stderr, "readAsciiPgmImage: bad magic string in \'%s\'\n", name );
     return( -1 );
   }
-  
+
   do {
     fgetns( string, 255, im );
 
     if ( string[0] != '#' ) {
       if ( x == 0 && y == 0 ) {
-	sscanf( string, "%d %d", &x, &y );
+        sscanf( string, "%d %d", &x, &y );
       }
       else if ( max == 0 ) {
-	sscanf( string, "%d", &max );
+        sscanf( string, "%d", &max );
       }
     }
   } while ( max == 0 );
@@ -347,8 +347,8 @@ int readPgmAsciiImage(const char *name,_
     fprintf( stderr, "readAsciiPgmImage: max value too large (%d) in \'%s\'\n", max, name );
     return( -1 );
   }
-  im->data = ImageIO_alloc( x*y );		     
-  
+  im->data = ImageIO_alloc( x*y );
+
   n=0;
 
   while( fgetns( string, 255, im ) != 0 && n < x*y ) {
@@ -357,55 +357,55 @@ int readPgmAsciiImage(const char *name,_
       /* skip trailing whitespace
        */
       while ( *tmp == ' ' || *tmp == '\t' )
-	tmp++;
+        tmp++;
       if ( *tmp == '\0' || *tmp == '\n' || *tmp == EOF )
-	continue;
-      
+        continue;
+
       /* read a number
        */
       switch ( im->wordKind ) {
       case WK_FIXED :
-	if ( sscanf( tmp, "%d", &iv ) != 1 ) {
-	  fprintf( stderr, "readAsciiPgmImage: error in reading ascii data\n" );
-	  ImageIO_free( im->data ); im->data = nullptr;
-	  return 0;
-	}
-	break;
+        if ( sscanf( tmp, "%d", &iv ) != 1 ) {
+          fprintf( stderr, "readAsciiPgmImage: error in reading ascii data\n" );
+          ImageIO_free( im->data ); im->data = nullptr;
+          return 0;
+        }
+        break;
       default :
-	ImageIO_free( im->data ); im->data = nullptr;
-	return 0;
+        ImageIO_free( im->data ); im->data = nullptr;
+        return 0;
       }
-	  
+
       if ( im->wdim == 1 ) {
-	unsigned char *buf = (unsigned char *)im->data;
-	buf += n;
-	if ( iv < 0 )        *buf = (unsigned char)0;
-	else if ( iv > 255 ) *buf = (unsigned char)255;
-	else                 *buf = (unsigned char)iv;
-	n ++;
+        unsigned char *buf = (unsigned char *)im->data;
+        buf += n;
+        if ( iv < 0 )        *buf = (unsigned char)0;
+        else if ( iv > 255 ) *buf = (unsigned char)255;
+        else                 *buf = (unsigned char)iv;
+        n ++;
       }
       else if ( im->wdim == 2 ) {
-	unsigned short int *buf = (unsigned short int *)im->data;
-	buf += n;
-	if ( iv < 0 )          *buf = (unsigned short int)0;
-	else if ( iv > 65535 ) *buf = (unsigned short int)65535;
-	else                   *buf = (unsigned short int)iv;
-	n ++;
+        unsigned short int *buf = (unsigned short int *)im->data;
+        buf += n;
+        if ( iv < 0 )          *buf = (unsigned short int)0;
+        else if ( iv > 65535 ) *buf = (unsigned short int)65535;
+        else                   *buf = (unsigned short int)iv;
+        n ++;
       }
       else {
-	fprintf( stderr, "readAsciiPgmImage: word im not handled\n" );
-	ImageIO_free( im->data ); im->data = nullptr;
-	return 0;
+        fprintf( stderr, "readAsciiPgmImage: word im not handled\n" );
+        ImageIO_free( im->data ); im->data = nullptr;
+        return 0;
       }
-      
-      /* skip a number 
+
+      /* skip a number
        */
       while ( (*tmp >= '0' && *tmp <= '9') || *tmp == '.' || *tmp == '-' )
-	tmp++;
+        tmp++;
     }
   }
 
-  
+
   return 1;
 }
 
@@ -447,26 +447,26 @@ int readPgmAsciiImage(const char *name,_
 CGAL_INLINE_FUNCTION
 int readPgmImage(const char *name,_image *im)
 {
-  
+
   char string[256];
   int x=0, y=0;
   int max=0;
-  
+
   fgetns( string, 255, im );
   if ( strncmp(string, PGM_MAGIC, strlen(PGM_MAGIC) ) ) {
     fprintf( stderr, "readPgmImage: bad magic string in \'%s\'\n", name );
     return( -1 );
   }
-  
+
   do {
     fgetns( string, 255, im );
 
     if ( string[0] != '#' ) {
       if ( x == 0 && y == 0 ) {
-	sscanf( string, "%d %d", &x, &y );
+        sscanf( string, "%d %d", &x, &y );
       }
       else if ( max == 0 ) {
-	sscanf( string, "%d", &max );
+        sscanf( string, "%d", &max );
       }
     }
   } while ( max == 0 );
@@ -489,10 +489,10 @@ int readPgmImage(const char *name,_image
     fprintf( stderr, "readPgmImage: max value too large (%d) in \'%s\'\n", max, name );
     return( -1 );
   }
-  im->data = ImageIO_alloc( x*y );		     
-  
+  im->data = ImageIO_alloc( x*y );
+
   ImageIO_read( im, im->data,  x*y );
-  
+
   return 1;
 }
 
@@ -507,27 +507,27 @@ int writePgmImage(char *name,_image *im
     fprintf( stderr, "writePgmImage: bad dimensions, unable to write '%s'\n", name );
     return -1;
   }
-  if ( im->wordKind != WK_FIXED || im->sign != SGN_UNSIGNED 
+  if ( im->wordKind != WK_FIXED || im->sign != SGN_UNSIGNED
        || ( im->wdim != 1 && im->wdim != 2 ) ) {
     fprintf( stderr, "writePgmImage: bad type, unable to write '%s'\n", name );
-    return -1;  
+    return -1;
   }
 
   if ( 0 )
     im->dataMode = DM_ASCII;
-  
+
   _openWriteImage( im, name );
-  
+
   if(!im->fd) {
     fprintf(stderr, "writePgmImage: error: unable to open file \'%s\'\n", name );
     return ImageIO_OPENING;
   }
-  
-  if ( im->dataMode == DM_ASCII ) 
+
+  if ( im->dataMode == DM_ASCII )
     sprintf( string, "%s\n", PGM_ASCII_MAGIC );
-  else 
+  else
     sprintf( string, "%s\n", PGM_MAGIC );
-  
+
   ImageIO_write( im, string, strlen( string ) );
   sprintf( string, "# CREATOR: pnm.c $Revision$ $Date$\n" );
   ImageIO_write( im, string, strlen( string ) );
@@ -539,14 +539,14 @@ int writePgmImage(char *name,_image *im
     {
       unsigned char *buf = (unsigned char *)im->data;
       for ( i=0; i<im->xdim*im->ydim; i++, buf++ )
-	if ( max < *buf ) max = *buf;
+        if ( max < *buf ) max = *buf;
     }
     break;
   case 2 :
     {
       unsigned short *buf = (unsigned short *)im->data;
       for ( i=0; i<im->xdim*im->ydim; i++, buf++ )
-	if ( max < *buf ) max = *buf;
+        if ( max < *buf ) max = *buf;
     }
     break;
   }
@@ -570,36 +570,36 @@ int writePgmImage(char *name,_image *im
       return -1;
     case 1 :
       {
-	unsigned char *theBuf = ( unsigned char * )im->data;
-	do {
-	  memset( str, 0, _LGTH_STRING_ );
-	  for ( j=0; j<n && i<size; j++, i++ ) {
-	    sprintf( str+strlen(str), "%d", theBuf[i] );
-	    if ( j<n && i<size ) sprintf( str+strlen(str), " " );
-	  }
-	  sprintf( str+strlen(str), "\n" );
-	  if ( ImageIO_write( im, str, strlen( str ) ) <= 0 ) {
-	    fprintf(stderr, "writePgmImage: error when writing data in \'%s\'\n", name );
-	    return( -3 );
-	  }
-	} while ( i < size );
+        unsigned char *theBuf = ( unsigned char * )im->data;
+        do {
+          memset( str, 0, _LGTH_STRING_ );
+          for ( j=0; j<n && i<size; j++, i++ ) {
+            sprintf( str+strlen(str), "%d", theBuf[i] );
+            if ( j<n && i<size ) sprintf( str+strlen(str), " " );
+          }
+          sprintf( str+strlen(str), "\n" );
+          if ( ImageIO_write( im, str, strlen( str ) ) <= 0 ) {
+            fprintf(stderr, "writePgmImage: error when writing data in \'%s\'\n", name );
+            return( -3 );
+          }
+        } while ( i < size );
       }
       break;
     case 2 :
       {
-	unsigned short int *theBuf = ( unsigned short int * )im->data;
-	do {
-	  memset( str, 0, _LGTH_STRING_ );
-	  for ( j=0; j<n && i<size; j++, i++ ) {
-	    sprintf( str+strlen(str), "%d", theBuf[i] );
-	    if ( j<n && i<size ) sprintf( str+strlen(str), " " );
-	  }
-	  sprintf( str+strlen(str), "\n" );
-	  if ( ImageIO_write( im, str, strlen( str ) ) <= 0 ) {
-	    fprintf(stderr, "writePgmImage: error when writing data in \'%s\'\n", name );
-	    return( -3 );
-	  }
-	} while ( i < size );
+        unsigned short int *theBuf = ( unsigned short int * )im->data;
+        do {
+          memset( str, 0, _LGTH_STRING_ );
+          for ( j=0; j<n && i<size; j++, i++ ) {
+            sprintf( str+strlen(str), "%d", theBuf[i] );
+            if ( j<n && i<size ) sprintf( str+strlen(str), " " );
+          }
+          sprintf( str+strlen(str), "\n" );
+          if ( ImageIO_write( im, str, strlen( str ) ) <= 0 ) {
+            fprintf(stderr, "writePgmImage: error when writing data in \'%s\'\n", name );
+            return( -3 );
+          }
+        } while ( i < size );
       }
       break;
     }
@@ -610,16 +610,16 @@ int writePgmImage(char *name,_image *im
     }
     else {
       /* 2 octets, but max <= 255
-	 has to be converted on one octet
+         has to be converted on one octet
       */
       unsigned short *buf = (unsigned short *)im->data;
       unsigned char *tmp = (unsigned char *)ImageIO_alloc( im->xdim*im->ydim );
       if ( tmp == nullptr ) {
-	fprintf( stderr, "writePgmImage: unable to allocate auxiliary buffer\n" );
-	return -1; 
+        fprintf( stderr, "writePgmImage: unable to allocate auxiliary buffer\n" );
+        return -1;
       }
       for ( i=0; i<im->xdim*im->ydim; i++, buf++ )
-	tmp[i] = (unsigned char)*buf;
+        tmp[i] = (unsigned char)*buf;
       ImageIO_write( im, tmp, im->xdim*im->ydim );
       ImageIO_free( tmp );
     }
diff -pruN 5.0.2-3/include/CGAL/ImageIO/recbuffer.h 5.0.3-1/include/CGAL/ImageIO/recbuffer.h
--- 5.0.2-3/include/CGAL/ImageIO/recbuffer.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/recbuffer.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/recbuffer.h $
-// $Id: recbuffer.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/recbuffer.h $
+// $Id: recbuffer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -13,19 +13,19 @@
 /*************************************************************************
  * recbuffer.h - tools for recursive filtering of 3D and 2D image buffers
  *
- * $Id: recbuffer.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+ * $Id: recbuffer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  *
  * Copyright©INRIA 1999
  *
- * DESCRIPTION: 
+ * DESCRIPTION:
  *
  *
  *
  * AUTHOR:
  * Gregoire Malandain (greg@sophia.inria.fr)
  * http://www.inria.fr/epidaure/personnel/malandain/
- * 
- * CREATION DATE: 
+ *
+ * CREATION DATE:
  * June, 9 1998
  *
  * Copyright Gregoire Malandain, INRIA
@@ -48,26 +48,26 @@
 
 
 extern int GradientModulus( void *bufferIn, bufferType typeIn,
-			    void *bufferOut, bufferType typeOut,
-			    int *bufferDims, int *borderLengths,
-			    float *filterCoefs, recursiveFilterType filterType );
+                            void *bufferOut, bufferType typeOut,
+                            int *bufferDims, int *borderLengths,
+                            float *filterCoefs, recursiveFilterType filterType );
 extern int Laplacian_2D( void *bufferIn, bufferType typeIn,
-			 void *bufferOut, bufferType typeOut,
-			 int *bufferDims, int *borderLengths,
-			 float *filterCoefs, recursiveFilterType filterType );
+                         void *bufferOut, bufferType typeOut,
+                         int *bufferDims, int *borderLengths,
+                         float *filterCoefs, recursiveFilterType filterType );
 extern int Laplacian( void *bufferIn, bufferType typeIn,
-		      void *bufferOut, bufferType typeOut,
-		      int *bufferDims, int *borderLengths,
-		      float *filterCoefs, recursiveFilterType filterType );
+                      void *bufferOut, bufferType typeOut,
+                      int *bufferDims, int *borderLengths,
+                      float *filterCoefs, recursiveFilterType filterType );
 
 extern int GradientHessianGradient_2D( void *bufferIn, bufferType typeIn,
-			 void *bufferOut, bufferType typeOut,
-			 int *bufferDims, int *borderLengths,
-			 float *filterCoefs, recursiveFilterType filterType );
+                         void *bufferOut, bufferType typeOut,
+                         int *bufferDims, int *borderLengths,
+                         float *filterCoefs, recursiveFilterType filterType );
 extern int GradientHessianGradient( void *bufferIn, bufferType typeIn,
-		      void *bufferOut, bufferType typeOut,
-		      int *bufferDims, int *borderLengths,
-		      float *filterCoefs, recursiveFilterType filterType );
+                      void *bufferOut, bufferType typeOut,
+                      int *bufferDims, int *borderLengths,
+                      float *filterCoefs, recursiveFilterType filterType );
 
 
 
@@ -77,21 +77,21 @@ extern int GradientHessianGradient( void
  *
  * DESCRIPTION:
  * Performs recursive filtering on 3D buffers.
- * Each direction (X, Y or Z) is performed 
+ * Each direction (X, Y or Z) is performed
  * independently (separability).
  *
  * A direction is filtered if there are enough
  * points along this direction (at least 5),
- * if the coefficient along this direction is 
+ * if the coefficient along this direction is
  * positive, and if the derivative's order along
  * this direction is not NODERIVATIVE (see
  * derivativeOrder).
  *
  * Once a line along a direction is extracted for
- * filtering, one may want to add points at both 
+ * filtering, one may want to add points at both
  * ends of the line to avoid cut-off effects. The
  * value of each endpoint is repeated n times.
- * Thus the length of the line is increased by 
+ * Thus the length of the line is increased by
  * 2*n.
  *
  * PARAMETERS:
@@ -104,9 +104,9 @@ extern int GradientHessianGradient( void
  *
  * - borderLengths[0] is the number of points to be
  *   added at both ends of each X line (if
- *   positive). The value of each endpoint is 
+ *   positive). The value of each endpoint is
  *   repeated borderLengths[0] times to produce
- *   a line of length 
+ *   a line of length
  *   bufferDims[0] + 2 * borderLengths[0].
  *
  *   borderLengths[1] is the number of points to be
@@ -115,23 +115,23 @@ extern int GradientHessianGradient( void
  *   borderLengths[2] is the number of points to be
  *   added at both ends of each Z line.
  *
- * - derivatives[0] is the order of the derivative 
- *   to be computed along direction X. 
+ * - derivatives[0] is the order of the derivative
+ *   to be computed along direction X.
  *
- *   derivatives[1] is the order of the derivative 
- *   to be computed along direction Y. 
+ *   derivatives[1] is the order of the derivative
+ *   to be computed along direction Y.
  *
- *   derivatives[2] is the order of the derivative 
- *   to be computed along direction Z. 
+ *   derivatives[2] is the order of the derivative
+ *   to be computed along direction Z.
  *
  * - filterCoefs[0] is the coefficient of the filter
- *   to be applied along direction X. 
+ *   to be applied along direction X.
  *
  *   filterCoefs[1] is the coefficient of the filter
- *   to be applied along direction Y. 
+ *   to be applied along direction Y.
  *
  *   filterCoefs[2] is the coefficient of the filter
- *   to be applied along direction Z. 
+ *   to be applied along direction Z.
  *
  * - filterType is the type of recursive filter to
  *   be applied to the 3D buffer.
@@ -153,15 +153,15 @@ extern int GradientHessianGradient( void
  * - InitRecursiveCoefficients
  */
 extern int RecursiveFilterOnBuffer( void *bufferIn, /* input buffer */
-				    bufferType typeIn, /* type of the input buffer */
-				    void *bufferOut, /* output buffer */
-				    bufferType typeOut, /* type of the output buffer */
-				    int *bufferDims, /* buffers' dimensions */
-				    int *borderLengths, /* number of points to be added at both ends */
-				    derivativeOrder *derivatives, /* order of derivatives to be computed */
-				    float *filterCoefs, /* coefficients of the filters to be applied */
-				    recursiveFilterType filterType /* type of the recursive filter to be applied */
-				    );
+                                    bufferType typeIn, /* type of the input buffer */
+                                    void *bufferOut, /* output buffer */
+                                    bufferType typeOut, /* type of the output buffer */
+                                    int *bufferDims, /* buffers' dimensions */
+                                    int *borderLengths, /* number of points to be added at both ends */
+                                    derivativeOrder *derivatives, /* order of derivatives to be computed */
+                                    float *filterCoefs, /* coefficients of the filters to be applied */
+                                    recursiveFilterType filterType /* type of the recursive filter to be applied */
+                                    );
 
 
 
@@ -169,7 +169,7 @@ extern int RecursiveFilterOnBuffer( void
  *
  * DESCRIPTION:
  * Some information will be written on stderr when processing.
- * It will turn on the verbose mode of recline too, by 
+ * It will turn on the verbose mode of recline too, by
  * calling Recline_verbose();
  */
 extern void Recbuffer_verbose ( );
diff -pruN 5.0.2-3/include/CGAL/ImageIO/recbuffer_impl.h 5.0.3-1/include/CGAL/ImageIO/recbuffer_impl.h
--- 5.0.2-3/include/CGAL/ImageIO/recbuffer_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/recbuffer_impl.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/recbuffer_impl.h $
-// $Id: recbuffer_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/recbuffer_impl.h $
+// $Id: recbuffer_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -13,11 +13,11 @@
 /*************************************************************************
  * recbuffer.c - tools for recursive filtering of 3D and 2D image buffers
  *
- * $Id: recbuffer_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+ * $Id: recbuffer_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  *
  * Copyright©INRIA 1999
  *
- * DESCRIPTION: 
+ * DESCRIPTION:
  *
  * recursive filtering of a buffer (a [1,2,3]D array)
  * according that the filtering is separable
@@ -26,8 +26,8 @@
  *
  * AUTHOR:
  * Gregoire Malandain (greg@sophia.inria.fr)
- * 
- * CREATION DATE: 
+ *
+ * CREATION DATE:
  * June, 9 1998
  *
  * Copyright Gregoire Malandain, INRIA
@@ -80,13 +80,13 @@ inline int& get_static_verbose_recbuffer
  */
 CGAL_INLINE_FUNCTION
 int GradientModulus( void *bufferIn,
-		     bufferType typeIn,
-		     void *bufferOut,
-		     bufferType typeOut,
-		     int *bufferDims,
-		     int *borderLengths,
-		     float *filterCoefs,
-		     recursiveFilterType filterType )
+                     bufferType typeIn,
+                     void *bufferOut,
+                     bufferType typeOut,
+                     int *bufferDims,
+                     int *borderLengths,
+                     float *filterCoefs,
+                     recursiveFilterType filterType )
 {
   const char *proc = "GradientModulus";
   float *auxBuf = nullptr;
@@ -116,73 +116,73 @@ int GradientModulus( void *bufferIn,
   } else {
     grdBuf  = (float*)bufferOut;
   }
-  
+
   /* cas 2D
    */
   if ( bufferDims[2] == 1 ) {
 
-    derivatives[0] = DERIVATIVE_1; 
+    derivatives[0] = DERIVATIVE_1;
     derivatives[1] = DERIVATIVE_0;
     derivatives[2] = NODERIVATIVE;
     if ( RecursiveFilterOnBuffer( bufferIn, typeIn, (void*)grdBuf, CGAL_FLOAT,
-				  bufferDims, borderLengths, derivatives,
-				  filterCoefs, filterType ) != EXIT_ON_SUCCESS ) {
-      if ( _VERBOSE_ ) 
-	fprintf( stderr, "%s: unable to compute X derivative (2D)\n", proc );
+                                  bufferDims, borderLengths, derivatives,
+                                  filterCoefs, filterType ) != EXIT_ON_SUCCESS ) {
+      if ( _VERBOSE_ )
+        fprintf( stderr, "%s: unable to compute X derivative (2D)\n", proc );
       free( auxBuf );
       return( EXIT_ON_FAILURE );
     }
 
-    derivatives[0] = DERIVATIVE_0; 
+    derivatives[0] = DERIVATIVE_0;
     derivatives[1] = DERIVATIVE_1;
     derivatives[2] = NODERIVATIVE;
     if ( RecursiveFilterOnBuffer( bufferIn, typeIn, (void*)tmpBuf, CGAL_FLOAT,
-				  bufferDims, borderLengths, derivatives,
-				  filterCoefs, filterType ) != EXIT_ON_SUCCESS ) {
-      if ( _VERBOSE_ ) 
-	fprintf( stderr, "%s: unable to compute Y derivative (2D)\n", proc );
+                                  bufferDims, borderLengths, derivatives,
+                                  filterCoefs, filterType ) != EXIT_ON_SUCCESS ) {
+      if ( _VERBOSE_ )
+        fprintf( stderr, "%s: unable to compute Y derivative (2D)\n", proc );
       free( auxBuf );
       return( EXIT_ON_FAILURE );
     }
-    
+
     sizeAuxBuf = bufferDims[0] * bufferDims[1] * bufferDims[2];
     for ( i = 0; i < sizeAuxBuf; i++ )
       grdBuf[i] = (float)sqrt( grdBuf[i]*grdBuf[i] + tmpBuf[i]*tmpBuf[i] );
-    
+
   } else {
-    
+
     derivatives[0] = NODERIVATIVE;
     derivatives[1] = NODERIVATIVE;
     derivatives[2] = DERIVATIVE_0;
     if ( RecursiveFilterOnBuffer( bufferIn, typeIn, (void*)tmpBuf, CGAL_FLOAT,
-				  bufferDims, borderLengths, derivatives,
-				  filterCoefs, filterType ) != EXIT_ON_SUCCESS ) {
-      if ( _VERBOSE_ ) 
-	fprintf( stderr, "%s: unable to compute Z smoothing (3D)\n", proc );
+                                  bufferDims, borderLengths, derivatives,
+                                  filterCoefs, filterType ) != EXIT_ON_SUCCESS ) {
+      if ( _VERBOSE_ )
+        fprintf( stderr, "%s: unable to compute Z smoothing (3D)\n", proc );
       free( auxBuf );
       return( EXIT_ON_FAILURE );
     }
 
-    derivatives[0] = DERIVATIVE_1; 
+    derivatives[0] = DERIVATIVE_1;
     derivatives[1] = DERIVATIVE_0;
     derivatives[2] = NODERIVATIVE;
     if ( RecursiveFilterOnBuffer( (void*)tmpBuf, CGAL_FLOAT, (void*)grdBuf, CGAL_FLOAT,
-				  bufferDims, borderLengths, derivatives,
-				  filterCoefs, filterType ) != EXIT_ON_SUCCESS ) {
-      if ( _VERBOSE_ ) 
-	fprintf( stderr, "%s: unable to compute X derivative (3D)\n", proc );
+                                  bufferDims, borderLengths, derivatives,
+                                  filterCoefs, filterType ) != EXIT_ON_SUCCESS ) {
+      if ( _VERBOSE_ )
+        fprintf( stderr, "%s: unable to compute X derivative (3D)\n", proc );
       free( auxBuf );
       return( EXIT_ON_FAILURE );
     }
 
-    derivatives[0] = DERIVATIVE_0; 
+    derivatives[0] = DERIVATIVE_0;
     derivatives[1] = DERIVATIVE_1;
     derivatives[2] = NODERIVATIVE;
     if ( RecursiveFilterOnBuffer( (void*)tmpBuf, CGAL_FLOAT, (void*)tmpBuf, CGAL_FLOAT,
-				  bufferDims, borderLengths, derivatives,
-				  filterCoefs, filterType ) != EXIT_ON_SUCCESS ) {
-      if ( _VERBOSE_ ) 
-	fprintf( stderr, "%s: unable to compute Y derivative (3D)\n", proc );
+                                  bufferDims, borderLengths, derivatives,
+                                  filterCoefs, filterType ) != EXIT_ON_SUCCESS ) {
+      if ( _VERBOSE_ )
+        fprintf( stderr, "%s: unable to compute Y derivative (3D)\n", proc );
       free( auxBuf );
       return( EXIT_ON_FAILURE );
     }
@@ -190,27 +190,27 @@ int GradientModulus( void *bufferIn,
     sizeAuxBuf = bufferDims[0] * bufferDims[1] * bufferDims[2];
     for ( i = 0; i < sizeAuxBuf; i++ )
       grdBuf[i] = grdBuf[i]*grdBuf[i] + tmpBuf[i]*tmpBuf[i];
-    
+
     derivatives[0] = DERIVATIVE_0;
     derivatives[1] = DERIVATIVE_0;
     derivatives[2] = DERIVATIVE_1;
     if ( RecursiveFilterOnBuffer( bufferIn, typeIn, (void*)tmpBuf, CGAL_FLOAT,
-				  bufferDims, borderLengths, derivatives,
-				  filterCoefs, filterType ) != EXIT_ON_SUCCESS ) {
-      if ( _VERBOSE_ ) 
-	fprintf( stderr, "%s: unable to compute Z derivative (3D)\n", proc );
+                                  bufferDims, borderLengths, derivatives,
+                                  filterCoefs, filterType ) != EXIT_ON_SUCCESS ) {
+      if ( _VERBOSE_ )
+        fprintf( stderr, "%s: unable to compute Z derivative (3D)\n", proc );
       free( auxBuf );
       return( EXIT_ON_FAILURE );
     }
-    
+
     for ( i = 0; i < sizeAuxBuf; i++ )
       grdBuf[i] = (float)sqrt( grdBuf[i] + tmpBuf[i]*tmpBuf[i] );
-    
+
   }
 
-  if ( grdBuf != bufferOut ) 
+  if ( grdBuf != bufferOut )
     ConvertBuffer( grdBuf, CGAL_FLOAT, bufferOut, typeOut,
-		   bufferDims[0]*bufferDims[1]*bufferDims[2] );
+                   bufferDims[0]*bufferDims[1]*bufferDims[2] );
   free( auxBuf );
   return( EXIT_ON_SUCCESS );
 }
@@ -246,13 +246,13 @@ int GradientModulus( void *bufferIn,
  */
 CGAL_INLINE_FUNCTION
 int Laplacian_2D ( void *bufferIn,
-		   bufferType typeIn,
-		   void *bufferOut,
-		   bufferType typeOut,
-		   int *bufferDims,
-		   int *borderLengths,
-		   float *filterCoefs,
-		   recursiveFilterType filterType )
+                   bufferType typeIn,
+                   void *bufferOut,
+                   bufferType typeOut,
+                   int *bufferDims,
+                   int *borderLengths,
+                   float *filterCoefs,
+                   recursiveFilterType filterType )
 {
   const char *proc = "Laplacian_2D";
   float *theXX = nullptr;
@@ -267,7 +267,7 @@ int Laplacian_2D ( void *bufferIn,
 
 
 
-  /* 
+  /*
    * We check the buffers' dimensions.
    */
   if ( (bufferDims[0] <= 0) || (bufferDims[1] <= 0) || (bufferDims[2] <= 0) ) {
@@ -275,7 +275,7 @@ int Laplacian_2D ( void *bufferIn,
       fprintf( stderr, " Fatal error in %s: improper buffer's dimension.\n", proc );
     return( EXIT_ON_FAILURE );
   }
-  
+
   /*
    * test of the coefficients
    */
@@ -285,7 +285,7 @@ int Laplacian_2D ( void *bufferIn,
       fprintf( stderr, " Error in %s: negative coefficient's value.\n", proc );
     return( EXIT_ON_FAILURE );
   }
-  
+
 
   /*
    *
@@ -294,14 +294,14 @@ int Laplacian_2D ( void *bufferIn,
   sliceDims[0] = bufferDims[0];
   sliceDims[1] = bufferDims[1];
   sliceDims[2] = 1;
-  
+
 
   if ( typeOut == CGAL_FLOAT ) {
     theXX = (float*)malloc( dimxXdimy * sizeof( float ) );
   } else {
     theXX = (float*)malloc( 2 * dimxXdimy * sizeof( float ) );
   }
-  
+
   if ( theXX == nullptr ) {
     if ( _VERBOSE_ > 0 ) {
       fprintf( stderr, " Fatal error in %s:", proc );
@@ -314,58 +314,58 @@ int Laplacian_2D ( void *bufferIn,
     theYY  = theXX;
     theYY += dimxXdimy;
   }
-  
-  
-  
+
+
+
   for ( z=0; z<bufferDims[2]; z++ ) {
 
     if ( typeOut == CGAL_FLOAT ) {
       theYY = ((float*)bufferOut) + z * dimxXdimy;
     }
-    
-    if ( RecursiveFilterOnBuffer( bufferIn, typeIn, theXX, CGAL_FLOAT, 
-				  sliceDims, borderLengths,
-				  XXderiv, filterCoefs, filterType ) == 0 ) {
+
+    if ( RecursiveFilterOnBuffer( bufferIn, typeIn, theXX, CGAL_FLOAT,
+                                  sliceDims, borderLengths,
+                                  XXderiv, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute X^2 derivative.\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute X^2 derivative.\n" );
       }
       free( theXX );
       return( EXIT_ON_FAILURE );
     }
 
-    if ( RecursiveFilterOnBuffer( bufferIn, typeIn, theYY, CGAL_FLOAT, 
-				  sliceDims, borderLengths,
-				  YYderiv, filterCoefs, filterType ) == 0 ) {
+    if ( RecursiveFilterOnBuffer( bufferIn, typeIn, theYY, CGAL_FLOAT,
+                                  sliceDims, borderLengths,
+                                  YYderiv, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute Y^2 derivative.\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute Y^2 derivative.\n" );
       }
       free( theXX );
       return( EXIT_ON_FAILURE );
     }
-    
-    
+
+
     for ( i=0; i<dimxXdimy; i++ ) theYY[i] += theXX[i];
     if ( typeOut != CGAL_FLOAT ) {
       switch ( typeOut ) {
       case CGAL_UCHAR :
-	sliceOut = (((u8*)bufferOut) + z * dimxXdimy);
-	break;
+        sliceOut = (((u8*)bufferOut) + z * dimxXdimy);
+        break;
       case CGAL_SCHAR :
-	sliceOut = (((s8*)bufferOut) + z * dimxXdimy);
-	break;
+        sliceOut = (((s8*)bufferOut) + z * dimxXdimy);
+        break;
       case CGAL_SSHORT :
-	sliceOut = (((s16*)bufferOut) + z * dimxXdimy);
-	break;
+        sliceOut = (((s16*)bufferOut) + z * dimxXdimy);
+        break;
       case CGAL_DOUBLE :
-	sliceOut = (((r64*)bufferOut) + z * dimxXdimy);
-	break;
+        sliceOut = (((r64*)bufferOut) + z * dimxXdimy);
+        break;
       default :
-	if ( _VERBOSE_ > 0 )
-	  fprintf( stderr, " Error in %s: such output type not handled.\n", proc );
-	free( theXX );
-	return( EXIT_ON_FAILURE );
+        if ( _VERBOSE_ > 0 )
+          fprintf( stderr, " Error in %s: such output type not handled.\n", proc );
+        free( theXX );
+        return( EXIT_ON_FAILURE );
       }
       ConvertBuffer( theYY, CGAL_FLOAT, sliceOut, typeOut, dimxXdimy );
     }
@@ -388,13 +388,13 @@ int Laplacian_2D ( void *bufferIn,
 
 CGAL_INLINE_FUNCTION
 int Laplacian ( void *bufferIn,
-		   bufferType typeIn,
-		   void *bufferOut,
-		   bufferType typeOut,
-		   int *bufferDims,
-		   int *borderLengths,
-		   float *filterCoefs,
-		   recursiveFilterType filterType )
+                   bufferType typeIn,
+                   void *bufferOut,
+                   bufferType typeOut,
+                   int *bufferDims,
+                   int *borderLengths,
+                   float *filterCoefs,
+                   recursiveFilterType filterType )
 {
   const char *proc = "Laplacian";
   float *theSL = nullptr;
@@ -406,19 +406,19 @@ int Laplacian ( void *bufferIn,
   derivativeOrder YYderiv[3] = { SMOOTHING, DERIVATIVE_2, NODERIVATIVE };
   derivativeOrder Zsmooth[3] = { NODERIVATIVE, NODERIVATIVE, SMOOTHING };
   derivativeOrder ZZderiv[3] = { SMOOTHING, SMOOTHING, DERIVATIVE_2 };
-  
+
   int sliceDims[3];
   int z, i, j, dimxXdimy;
 
 
 
 
-  /* 
+  /*
    * We check the buffers' dimensions.
    */
   if ( bufferDims[2] == 1 ) {
     return( Laplacian_2D ( bufferIn, typeIn, bufferOut, typeOut,
-			   bufferDims, borderLengths, filterCoefs, filterType ) );
+                           bufferDims, borderLengths, filterCoefs, filterType ) );
   }
 
   if ( (bufferDims[0] <= 0) || (bufferDims[1] <= 0) || (bufferDims[2] <= 0) ) {
@@ -426,7 +426,7 @@ int Laplacian ( void *bufferIn,
       fprintf( stderr, " Fatal error in %s: improper buffer's dimension.\n", proc );
     return( EXIT_ON_FAILURE );
   }
-  
+
   /*
    * test of the coefficients
    */
@@ -436,7 +436,7 @@ int Laplacian ( void *bufferIn,
       fprintf( stderr, " Error in %s: negative coefficient's value.\n", proc );
     return( EXIT_ON_FAILURE );
   }
-  
+
 
   /*
    *
@@ -446,7 +446,7 @@ int Laplacian ( void *bufferIn,
   sliceDims[1] = bufferDims[1];
   sliceDims[2] = 1;
 
-  
+
 
   if ( typeOut == CGAL_FLOAT ) {
     theSL = (float*)malloc( (1+bufferDims[2]) * dimxXdimy * sizeof( float ) );
@@ -455,7 +455,7 @@ int Laplacian ( void *bufferIn,
   }
 
 
-  
+
   if ( theSL == nullptr ) {
     if ( _VERBOSE_ > 0 ) {
       fprintf( stderr, " Fatal error in %s:", proc );
@@ -470,25 +470,25 @@ int Laplacian ( void *bufferIn,
   theZ0 += dimxXdimy;
 
 
-  
+
   if ( typeOut == CGAL_FLOAT ) {
     theZZ = (float*) bufferOut;
   } else {
     theZZ  = theZ0;
     theZZ += dimxXdimy * bufferDims[2];
   }
-  
-  
-  
+
+
+
   /*
    *
    * 3D filtering / filtering along Z
    *
    */
 
-  if ( RecursiveFilterOnBuffer( bufferIn, typeIn, theZ0, CGAL_FLOAT, 
-				bufferDims, borderLengths,
-				Zsmooth, filterCoefs, filterType ) == 0 ) {
+  if ( RecursiveFilterOnBuffer( bufferIn, typeIn, theZ0, CGAL_FLOAT,
+                                bufferDims, borderLengths,
+                                Zsmooth, filterCoefs, filterType ) == 0 ) {
     if ( _VERBOSE_ > 0 ) {
       fprintf( stderr, " Fatal error in %s:", proc );
       fprintf( stderr, " unable to compute Z^0 derivative.\n" );
@@ -496,9 +496,9 @@ int Laplacian ( void *bufferIn,
     free( theSL );
     return( EXIT_ON_FAILURE );
   }
-  if ( RecursiveFilterOnBuffer( bufferIn, typeIn, theZZ, CGAL_FLOAT, 
-				bufferDims, borderLengths,
-				ZZderiv, filterCoefs, filterType ) == 0 ) {
+  if ( RecursiveFilterOnBuffer( bufferIn, typeIn, theZZ, CGAL_FLOAT,
+                                bufferDims, borderLengths,
+                                ZZderiv, filterCoefs, filterType ) == 0 ) {
     if ( _VERBOSE_ > 0 ) {
       fprintf( stderr, " Fatal error in %s:", proc );
       fprintf( stderr, " unable to compute Z^2 derivative.\n" );
@@ -506,7 +506,7 @@ int Laplacian ( void *bufferIn,
     free( theSL );
     return( EXIT_ON_FAILURE );
   }
-  
+
 
 
 
@@ -520,12 +520,12 @@ int Laplacian ( void *bufferIn,
      *
      */
 
-    if ( RecursiveFilterOnBuffer( theZ0+z*dimxXdimy, CGAL_FLOAT, theSL, CGAL_FLOAT, 
-				  sliceDims, borderLengths,
-				  XXderiv, filterCoefs, filterType ) == 0 ) {
+    if ( RecursiveFilterOnBuffer( theZ0+z*dimxXdimy, CGAL_FLOAT, theSL, CGAL_FLOAT,
+                                  sliceDims, borderLengths,
+                                  XXderiv, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute X^2 derivative.\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute X^2 derivative.\n" );
       }
       free( theSL );
       return( EXIT_ON_FAILURE );
@@ -535,17 +535,17 @@ int Laplacian ( void *bufferIn,
       theZZ[j] += theSL[i];
     }
 
-    if ( RecursiveFilterOnBuffer( theZ0+z*dimxXdimy, CGAL_FLOAT, theSL, CGAL_FLOAT, 
-				  sliceDims, borderLengths,
-				  YYderiv, filterCoefs, filterType ) == 0 ) {
+    if ( RecursiveFilterOnBuffer( theZ0+z*dimxXdimy, CGAL_FLOAT, theSL, CGAL_FLOAT,
+                                  sliceDims, borderLengths,
+                                  YYderiv, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute Y^2 derivative.\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute Y^2 derivative.\n" );
       }
       free( theSL );
       return( EXIT_ON_FAILURE );
     }
-    
+
     for ( j=z*dimxXdimy, i=0; i<dimxXdimy; j++, i++ ) {
       theZZ[j] += theSL[i];
     }
@@ -591,13 +591,13 @@ int Laplacian ( void *bufferIn,
  */
 CGAL_INLINE_FUNCTION
 int GradientHessianGradient_2D ( void *bufferIn,
-		   bufferType typeIn,
-		   void *bufferOut,
-		   bufferType typeOut,
-		   int *bufferDims,
-		   int *borderLengths,
-		   float *filterCoefs,
-		   recursiveFilterType filterType )
+                   bufferType typeIn,
+                   void *bufferOut,
+                   bufferType typeOut,
+                   int *bufferDims,
+                   int *borderLengths,
+                   float *filterCoefs,
+                   recursiveFilterType filterType )
 {
   const char *proc = "GradientHessianGradient_2D";
   float *theXX = nullptr;
@@ -624,7 +624,7 @@ int GradientHessianGradient_2D ( void *b
 
   double gx, gy, g;
 
-  /* 
+  /*
    * We check the buffers' dimensions.
    */
   if ( (bufferDims[0] <= 0) || (bufferDims[1] <= 0) || (bufferDims[2] <= 0) ) {
@@ -632,7 +632,7 @@ int GradientHessianGradient_2D ( void *b
       fprintf( stderr, " Fatal error in %s: improper buffer's dimension.\n", proc );
     return( EXIT_ON_FAILURE );
   }
-  
+
   /*
    * test of the coefficients
    */
@@ -642,7 +642,7 @@ int GradientHessianGradient_2D ( void *b
       fprintf( stderr, " Error in %s: negative coefficient's value.\n", proc );
     return( EXIT_ON_FAILURE );
   }
-  
+
 
   /*
    *
@@ -651,14 +651,14 @@ int GradientHessianGradient_2D ( void *b
   sliceDims[0] = bufferDims[0];
   sliceDims[1] = bufferDims[1];
   sliceDims[2] = 1;
-  
+
 
   if ( typeOut == CGAL_FLOAT ) {
     theXX = (float*)malloc( 4 * dimxXdimy * sizeof( float ) );
   } else {
     theXX = (float*)malloc( 5 * dimxXdimy * sizeof( float ) );
   }
-  
+
   if ( theXX == nullptr ) {
     if ( _VERBOSE_ > 0 ) {
       fprintf( stderr, " Fatal error in %s:", proc );
@@ -666,7 +666,7 @@ int GradientHessianGradient_2D ( void *b
     }
     return( EXIT_ON_FAILURE );
   }
-  
+
 
 
   theX = theY = theYY = theXX;
@@ -680,9 +680,9 @@ int GradientHessianGradient_2D ( void *b
     theXY  =   theXX;
     theXY += 4*dimxXdimy;
   }
-  
-  
-  
+
+
+
   for ( z=0; z<bufferDims[2]; z++ ) {
 
     switch( typeIn ) {
@@ -702,24 +702,24 @@ int GradientHessianGradient_2D ( void *b
     if ( typeOut == CGAL_FLOAT ) {
       theXY = ((float*)bufferOut) + z * dimxXdimy;
     }
-    
-    if ( RecursiveFilterOnBuffer( sliceIn, typeIn, theX, CGAL_FLOAT, 
-				  sliceDims, borderLengths,
-				  Ysmooth, filterCoefs, filterType ) == 0 ) {
+
+    if ( RecursiveFilterOnBuffer( sliceIn, typeIn, theX, CGAL_FLOAT,
+                                  sliceDims, borderLengths,
+                                  Ysmooth, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute Y^0 derivative.\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute Y^0 derivative.\n" );
       }
       free( theXX );
       return( EXIT_ON_FAILURE );
     }
 
-    if ( RecursiveFilterOnBuffer( sliceIn, typeIn, theY, CGAL_FLOAT, 
-				  sliceDims, borderLengths,
-				  Xsmooth, filterCoefs, filterType ) == 0 ) {
+    if ( RecursiveFilterOnBuffer( sliceIn, typeIn, theY, CGAL_FLOAT,
+                                  sliceDims, borderLengths,
+                                  Xsmooth, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute X^0 derivative.\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute X^0 derivative.\n" );
       }
       free( theXX );
       return( EXIT_ON_FAILURE );
@@ -728,12 +728,12 @@ int GradientHessianGradient_2D ( void *b
 
 
 
-    if ( RecursiveFilterOnBuffer( sliceIn, typeIn, theXY, CGAL_FLOAT, 
-				  sliceDims, borderLengths,
-				  XYderiv, filterCoefs, filterType ) == 0 ) {
+    if ( RecursiveFilterOnBuffer( sliceIn, typeIn, theXY, CGAL_FLOAT,
+                                  sliceDims, borderLengths,
+                                  XYderiv, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute X^1Y^1 derivative.\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute X^1Y^1 derivative.\n" );
       }
       free( theXX );
       return( EXIT_ON_FAILURE );
@@ -742,23 +742,23 @@ int GradientHessianGradient_2D ( void *b
 
 
 
-    if ( RecursiveFilterOnBuffer( theX, CGAL_FLOAT, theXX, CGAL_FLOAT, 
-				  sliceDims, borderLengths,
-				  XXderiv, filterCoefs, filterType ) == 0 ) {
+    if ( RecursiveFilterOnBuffer( theX, CGAL_FLOAT, theXX, CGAL_FLOAT,
+                                  sliceDims, borderLengths,
+                                  XXderiv, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute X^2 derivative.\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute X^2 derivative.\n" );
       }
       free( theXX );
       return( EXIT_ON_FAILURE );
     }
 
-    if ( RecursiveFilterOnBuffer( theY, CGAL_FLOAT, theYY, CGAL_FLOAT, 
-				  sliceDims, borderLengths,
-				  YYderiv, filterCoefs, filterType ) == 0 ) {
+    if ( RecursiveFilterOnBuffer( theY, CGAL_FLOAT, theYY, CGAL_FLOAT,
+                                  sliceDims, borderLengths,
+                                  YYderiv, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute Y^2 derivative.\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute Y^2 derivative.\n" );
       }
       free( theXX );
       return( EXIT_ON_FAILURE );
@@ -767,59 +767,59 @@ int GradientHessianGradient_2D ( void *b
 
 
 
-    if ( RecursiveFilterOnBuffer( theX, CGAL_FLOAT, theX, CGAL_FLOAT, 
-				  sliceDims, borderLengths,
-				  Xderiv, filterCoefs, filterType ) == 0 ) {
+    if ( RecursiveFilterOnBuffer( theX, CGAL_FLOAT, theX, CGAL_FLOAT,
+                                  sliceDims, borderLengths,
+                                  Xderiv, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute X^1 derivative.\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute X^1 derivative.\n" );
       }
       free( theXX );
       return( EXIT_ON_FAILURE );
     }
 
-    if ( RecursiveFilterOnBuffer( theY, CGAL_FLOAT, theY, CGAL_FLOAT, 
-				  sliceDims, borderLengths,
-				  Yderiv, filterCoefs, filterType ) == 0 ) {
+    if ( RecursiveFilterOnBuffer( theY, CGAL_FLOAT, theY, CGAL_FLOAT,
+                                  sliceDims, borderLengths,
+                                  Yderiv, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute Y^1 derivative.\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute Y^1 derivative.\n" );
       }
       free( theXX );
       return( EXIT_ON_FAILURE );
     }
 
 
-    
-    
+
+
     for ( i=0; i<dimxXdimy; i++ ) {
       gx = theX[i];
       gy = theY[i];
       g = (gx*gx + gy*gy);
       theXY[i] = (float)(gx * ( theXX[i] * gx + theXY[i] * gy ) +
-			 gy * ( theXY[i] * gx + theYY[i] * gy ));
+                         gy * ( theXY[i] * gx + theYY[i] * gy ));
       if ( g > 1e-10 ) theXY[i] = (float)(theXY[i] / g);
     }
 
     if ( typeOut != CGAL_FLOAT ) {
       switch ( typeOut ) {
       case CGAL_UCHAR :
-	sliceOut = (((u8*)bufferOut) + z * dimxXdimy);
-	break;
+        sliceOut = (((u8*)bufferOut) + z * dimxXdimy);
+        break;
       case CGAL_SCHAR :
-	sliceOut = (((s8*)bufferOut) + z * dimxXdimy);
-	break;
+        sliceOut = (((s8*)bufferOut) + z * dimxXdimy);
+        break;
       case CGAL_SSHORT :
-	sliceOut = (((s16*)bufferOut) + z * dimxXdimy);
-	break;
+        sliceOut = (((s16*)bufferOut) + z * dimxXdimy);
+        break;
       case CGAL_DOUBLE :
-	sliceOut = (((r64*)bufferOut) + z * dimxXdimy);
-	break;
+        sliceOut = (((r64*)bufferOut) + z * dimxXdimy);
+        break;
       default :
-	if ( _VERBOSE_ > 0 )
-	  fprintf( stderr, " Error in %s: such output type not handled.\n", proc );
-	free( theXX );
-	return( EXIT_ON_FAILURE );
+        if ( _VERBOSE_ > 0 )
+          fprintf( stderr, " Error in %s: such output type not handled.\n", proc );
+        free( theXX );
+        return( EXIT_ON_FAILURE );
       }
       ConvertBuffer( theXY, CGAL_FLOAT, sliceOut, typeOut, dimxXdimy );
     }
@@ -850,13 +850,13 @@ int GradientHessianGradient_2D ( void *b
 
 CGAL_INLINE_FUNCTION
 int GradientHessianGradient ( void *bufferIn,
-		   bufferType typeIn,
-		   void *bufferOut,
-		   bufferType typeOut,
-		   int *bufferDims,
-		   int *borderLengths,
-		   float *filterCoefs,
-		   recursiveFilterType filterType )
+                   bufferType typeIn,
+                   void *bufferOut,
+                   bufferType typeOut,
+                   int *bufferDims,
+                   int *borderLengths,
+                   float *filterCoefs,
+                   recursiveFilterType filterType )
 {
   const char *proc = "GradientHessianGradient";
 
@@ -898,12 +898,12 @@ int GradientHessianGradient ( void *buff
 
   double gx, gy, gz, g;
 
-  /* 
+  /*
    * We check the buffers' dimensions.
    */
   if ( bufferDims[2] == 1 ) {
     return( GradientHessianGradient_2D ( bufferIn, typeIn, bufferOut, typeOut,
-			   bufferDims, borderLengths, filterCoefs, filterType ) );
+                           bufferDims, borderLengths, filterCoefs, filterType ) );
   }
 
   if ( (bufferDims[0] <= 0) || (bufferDims[1] <= 0) || (bufferDims[2] <= 0) ) {
@@ -911,7 +911,7 @@ int GradientHessianGradient ( void *buff
       fprintf( stderr, " Fatal error in %s: improper buffer's dimension.\n", proc );
     return( EXIT_ON_FAILURE );
   }
-  
+
   /*
    * test of the coefficients
    */
@@ -921,7 +921,7 @@ int GradientHessianGradient ( void *buff
       fprintf( stderr, " Error in %s: negative coefficient's value.\n", proc );
     return( EXIT_ON_FAILURE );
   }
-  
+
 
   /*
    *
@@ -930,7 +930,7 @@ int GradientHessianGradient ( void *buff
   sliceDims[0] = bufferDims[0];
   sliceDims[1] = bufferDims[1];
   sliceDims[2] = 1;
-  
+
 
   if ( typeOut == CGAL_FLOAT ) {
     theX  = (float*)malloc( (7+3*bufferDims[2]) * dimxXdimy * sizeof( float ) );
@@ -938,7 +938,7 @@ int GradientHessianGradient ( void *buff
     theX = (float*)malloc( (7+4*bufferDims[2]) * dimxXdimy * sizeof( float ) );
   }
 
-  
+
   if ( theX == nullptr ) {
     if ( _VERBOSE_ > 0 ) {
       fprintf( stderr, " Fatal error in %s:", proc );
@@ -946,7 +946,7 @@ int GradientHessianGradient ( void *buff
     }
     return( EXIT_ON_FAILURE );
   }
-  
+
   /*
    * BUFFERS
    *
@@ -965,7 +965,7 @@ int GradientHessianGradient ( void *buff
   theXX += 4*dimxXdimy;
   theYZ += 5*dimxXdimy;
   theXZ += 6*dimxXdimy;
- 
+
   theZ0 += 7*dimxXdimy;
   theZ1 += 7*dimxXdimy +   bufferDims[2]*dimxXdimy;
   theZ  += 7*dimxXdimy + 2*bufferDims[2]*dimxXdimy;
@@ -976,18 +976,18 @@ int GradientHessianGradient ( void *buff
     theZZ  = theX;
     theZZ += 7*dimxXdimy + 3*bufferDims[2]*dimxXdimy;
   }
-  
-  
-  
+
+
+
   /*
    *
    * 3D filtering / filtering along Z
    *
    */
 
-  if ( RecursiveFilterOnBuffer( bufferIn, typeIn, theZ0, CGAL_FLOAT, 
-				bufferDims, borderLengths,
-				Z0deriv, filterCoefs, filterType ) == 0 ) {
+  if ( RecursiveFilterOnBuffer( bufferIn, typeIn, theZ0, CGAL_FLOAT,
+                                bufferDims, borderLengths,
+                                Z0deriv, filterCoefs, filterType ) == 0 ) {
     if ( _VERBOSE_ > 0 ) {
       fprintf( stderr, " Fatal error in %s:", proc );
       fprintf( stderr, " unable to compute Z^0 derivative.\n" );
@@ -995,10 +995,10 @@ int GradientHessianGradient ( void *buff
     free( theX );
     return( EXIT_ON_FAILURE );
   }
-  
-  if ( RecursiveFilterOnBuffer( bufferIn, typeIn, theZ1, CGAL_FLOAT, 
-				bufferDims, borderLengths,
-				Z1deriv, filterCoefs, filterType ) == 0 ) {
+
+  if ( RecursiveFilterOnBuffer( bufferIn, typeIn, theZ1, CGAL_FLOAT,
+                                bufferDims, borderLengths,
+                                Z1deriv, filterCoefs, filterType ) == 0 ) {
     if ( _VERBOSE_ > 0 ) {
       fprintf( stderr, " Fatal error in %s:", proc );
       fprintf( stderr, " unable to compute Z^1 derivative.\n" );
@@ -1006,10 +1006,10 @@ int GradientHessianGradient ( void *buff
     free( theX );
     return( EXIT_ON_FAILURE );
   }
-  
-  if ( RecursiveFilterOnBuffer( bufferIn, typeIn, theZ, CGAL_FLOAT, 
-				bufferDims, borderLengths,
-				Zderiv, filterCoefs, filterType ) == 0 ) {
+
+  if ( RecursiveFilterOnBuffer( bufferIn, typeIn, theZ, CGAL_FLOAT,
+                                bufferDims, borderLengths,
+                                Zderiv, filterCoefs, filterType ) == 0 ) {
     if ( _VERBOSE_ > 0 ) {
       fprintf( stderr, " Fatal error in %s:", proc );
       fprintf( stderr, " unable to compute Z^1 derivative (edge).\n" );
@@ -1017,10 +1017,10 @@ int GradientHessianGradient ( void *buff
     free( theX );
     return( EXIT_ON_FAILURE );
   }
-  
-  if ( RecursiveFilterOnBuffer( bufferIn, typeIn, theZZ, CGAL_FLOAT, 
-				bufferDims, borderLengths,
-				ZZderiv, filterCoefs, filterType ) == 0 ) {
+
+  if ( RecursiveFilterOnBuffer( bufferIn, typeIn, theZZ, CGAL_FLOAT,
+                                bufferDims, borderLengths,
+                                ZZderiv, filterCoefs, filterType ) == 0 ) {
     if ( _VERBOSE_ > 0 ) {
       fprintf( stderr, " Fatal error in %s:", proc );
       fprintf( stderr, " unable to compute Z^2 derivative.\n" );
@@ -1041,30 +1041,30 @@ int GradientHessianGradient ( void *buff
 
   for ( z=0; z<bufferDims[2]; z++ ) {
     fprintf( stderr, "%s: processing slice %3d/%d\r",
-	     proc, z, bufferDims[2] );
+             proc, z, bufferDims[2] );
     /*
      *
      * 2D filtering / filtering along X and Y
      *
      */
-    
-    if ( RecursiveFilterOnBuffer( theZ1+z*dimxXdimy, CGAL_FLOAT, theXZ, CGAL_FLOAT, 
-				  sliceDims, borderLengths,
-				  XZderiv, filterCoefs, filterType ) == 0 ) {
+
+    if ( RecursiveFilterOnBuffer( theZ1+z*dimxXdimy, CGAL_FLOAT, theXZ, CGAL_FLOAT,
+                                  sliceDims, borderLengths,
+                                  XZderiv, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute X^1Z^1 derivative.\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute X^1Z^1 derivative.\n" );
       }
       free( theX );
       return( EXIT_ON_FAILURE );
     }
 
-    if ( RecursiveFilterOnBuffer( theZ1+z*dimxXdimy, CGAL_FLOAT, theYZ, CGAL_FLOAT, 
-				  sliceDims, borderLengths,
-				  YZderiv, filterCoefs, filterType ) == 0 ) {
+    if ( RecursiveFilterOnBuffer( theZ1+z*dimxXdimy, CGAL_FLOAT, theYZ, CGAL_FLOAT,
+                                  sliceDims, borderLengths,
+                                  YZderiv, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute Y^1Z^1 derivative.\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute Y^1Z^1 derivative.\n" );
       }
       free( theX );
       return( EXIT_ON_FAILURE );
@@ -1074,33 +1074,33 @@ int GradientHessianGradient ( void *buff
 
 
     if ( RecursiveFilterOnBuffer( theZ0+z*dimxXdimy, CGAL_FLOAT, theXX, CGAL_FLOAT,
-				  sliceDims, borderLengths,
-				  XXderiv, filterCoefs, filterType ) == 0 ) {
+                                  sliceDims, borderLengths,
+                                  XXderiv, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute X^2 derivative.\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute X^2 derivative.\n" );
       }
       free( theX );
       return( EXIT_ON_FAILURE );
     }
 
     if ( RecursiveFilterOnBuffer( theZ0+z*dimxXdimy, CGAL_FLOAT, theYY, CGAL_FLOAT,
-				  sliceDims, borderLengths,
-				  YYderiv, filterCoefs, filterType ) == 0 ) {
+                                  sliceDims, borderLengths,
+                                  YYderiv, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute Y^2 derivative.\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute Y^2 derivative.\n" );
       }
       free( theX );
       return( EXIT_ON_FAILURE );
     }
 
     if ( RecursiveFilterOnBuffer( theZ0+z*dimxXdimy, CGAL_FLOAT, theXY, CGAL_FLOAT,
-				  sliceDims, borderLengths,
-				  XYderiv, filterCoefs, filterType ) == 0 ) {
+                                  sliceDims, borderLengths,
+                                  XYderiv, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute X^1Y^1 derivative.\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute X^1Y^1 derivative.\n" );
       }
       free( theX );
       return( EXIT_ON_FAILURE );
@@ -1109,37 +1109,37 @@ int GradientHessianGradient ( void *buff
 
 
     if ( RecursiveFilterOnBuffer( theZ0+z*dimxXdimy, CGAL_FLOAT, theX, CGAL_FLOAT,
-				  sliceDims, borderLengths,
-				  Xderiv, filterCoefs, filterType ) == 0 ) {
+                                  sliceDims, borderLengths,
+                                  Xderiv, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute X^1 derivative (edge).\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute X^1 derivative (edge).\n" );
       }
       free( theX );
       return( EXIT_ON_FAILURE );
     }
 
     if ( RecursiveFilterOnBuffer( theZ0+z*dimxXdimy, CGAL_FLOAT, theY, CGAL_FLOAT,
-				  sliceDims, borderLengths,
-				  Yderiv, filterCoefs, filterType ) == 0 ) {
+                                  sliceDims, borderLengths,
+                                  Yderiv, filterCoefs, filterType ) == 0 ) {
       if ( _VERBOSE_ > 0 ) {
-	fprintf( stderr, " Fatal error in %s:", proc );
-	fprintf( stderr, " unable to compute Y^1 derivative (edge).\n" );
+        fprintf( stderr, " Fatal error in %s:", proc );
+        fprintf( stderr, " unable to compute Y^1 derivative (edge).\n" );
       }
       free( theX );
       return( EXIT_ON_FAILURE );
     }
 
-    
-    
+
+
     for ( j=z*dimxXdimy, i=0; i<dimxXdimy; j++, i++ ) {
       gx = theX[i];
       gy = theY[i];
       gz = theZ[j];
       g = gx*gx + gy*gy + gz*gz;
       theZZ[j] = (float)(gx * ( theXX[i] * gx + theXY[i] * gy  + theXZ[i] * gz ) +
-			 gy * ( theXY[i] * gx + theYY[i] * gy  + theYZ[i] * gz ) +
-			 gz * ( theXZ[i] * gx + theYZ[i] * gy  + theZZ[j] * gz ));
+                         gy * ( theXY[i] * gx + theYY[i] * gy  + theYZ[i] * gz ) +
+                         gz * ( theXZ[i] * gx + theYZ[i] * gy  + theZZ[j] * gz ));
       if ( g > 1e-10 ) theZZ[j] = (float)(theZZ[j] / g);
 
     }
@@ -1149,7 +1149,7 @@ int GradientHessianGradient ( void *buff
   if ( typeOut != CGAL_FLOAT ) {
     ConvertBuffer( theZZ, CGAL_FLOAT, bufferOut, typeOut, bufferDims[2]*dimxXdimy );
   }
-  
+
   free( theX );
 
   return( EXIT_ON_SUCCESS );
@@ -1193,27 +1193,27 @@ int GradientHessianGradient ( void *buff
 
 /*
  *
- * 
+ *
  *
  *
  */
 CGAL_INLINE_FUNCTION
 int RecursiveFilterOnBuffer( void *bufferIn,
-			     bufferType typeIn,
-			     void *bufferOut,
-			     bufferType typeOut,
-			     int *bufferDims,
-			     int *borderLengths,
-			     derivativeOrder *derivatives,
-			     float *filterCoefs,
-			     recursiveFilterType filterType )
+                             bufferType typeIn,
+                             void *bufferOut,
+                             bufferType typeOut,
+                             int *bufferDims,
+                             int *borderLengths,
+                             derivativeOrder *derivatives,
+                             float *filterCoefs,
+                             recursiveFilterType filterType )
 {
   const char *proc = "RecursiveFilterOnBuffer";
   int dimx, dimxXdimy;
   int dimy, dimz;
   int x, y, z;
-  /* 
-   *obviously, we need to perform the computation 
+  /*
+   *obviously, we need to perform the computation
    * with float or double values. For this reason,
    * we allocate an auxiliary buffer if the output buffer
    * is not of type float or double.
@@ -1258,7 +1258,7 @@ int RecursiveFilterOnBuffer( void *buffe
 
   RFcoefficientType *RFC = nullptr;
 
-  /* 
+  /*
    * We check the buffers' dimensions.
    */
   dimx = bufferDims[0];   dimy = bufferDims[1];   dimz = bufferDims[2];
@@ -1277,7 +1277,7 @@ int RecursiveFilterOnBuffer( void *buffe
     return( EXIT_ON_FAILURE );
   }
 
-  /* 
+  /*
    * May we use the buffer bufferOut as the bufferResult?
    * If its type is CGAL_FLOAT or CGAL_DOUBLE, then yes.
    * If not, we have to allocate an auxiliary buffer.
@@ -1289,13 +1289,13 @@ int RecursiveFilterOnBuffer( void *buffe
     bufferResult = (void*)malloc( (dimx*dimy*dimz) * sizeof(r32) );
     if ( bufferResult == (void*)nullptr ) {
       if ( _VERBOSE_ > 0 )
-	fprintf( stderr, " Fatal error in %s: unable to allocate auxiliary buffer.\n", proc );
+        fprintf( stderr, " Fatal error in %s: unable to allocate auxiliary buffer.\n", proc );
       return( EXIT_ON_FAILURE );
     }
     typeResult = CGAL_FLOAT;
   }
-  
-  /* 
+
+  /*
    * May we consider the buffer bufferIn as the bufferToBeProcessed?
    * If its type is CGAL_FLOAT or CGAL_DOUBLE, then yes.
    * If not, we convert it into the buffer bufferResult, and this
@@ -1340,7 +1340,7 @@ int RecursiveFilterOnBuffer( void *buffe
     return( EXIT_ON_FAILURE );
   }
   /*
-   * Allocations of work arrays. 
+   * Allocations of work arrays.
    * We will use them to process each line.
    */
   theLine = (double*)malloc( 3 * maxLengthline * sizeof(double) );
@@ -1375,12 +1375,12 @@ int RecursiveFilterOnBuffer( void *buffe
 
     if ( RFC == nullptr ) {
       if ( _VERBOSE_ != 0 )
-	fprintf( stderr, " %s: unable to allocate coefficients\n", proc );
+        fprintf( stderr, " %s: unable to allocate coefficients\n", proc );
       if ( (typeOut != CGAL_FLOAT) && (typeOut != CGAL_DOUBLE) )
-	free( bufferResult );
+        free( bufferResult );
       return( EXIT_ON_FAILURE );
     }
-    
+
     r64firstPoint = (r64*)bufferToBeProcessed;
     r32firstPoint = (r32*)bufferToBeProcessed;
 
@@ -1399,38 +1399,38 @@ int RecursiveFilterOnBuffer( void *buffe
     for ( y=0; y<dimy; y++ ) {
       /*
        * Acquiring a X line.
-       */ 
+       */
       dbl_pt1 = theLinePlusBorder;
       switch ( typeToBeProcessed ) {
       case CGAL_DOUBLE :
-	(void)memcpy( (void*)dbl_pt1, (void*)r64firstPoint, dimx * sizeof(r64) );
-	r64firstPoint += dimx;
-	break;
+        (void)memcpy( (void*)dbl_pt1, (void*)r64firstPoint, dimx * sizeof(r64) );
+        r64firstPoint += dimx;
+        break;
       case CGAL_FLOAT :
       default :
-	for ( x=0; x<dimx; x++, dbl_pt1++, r32firstPoint++ ) *dbl_pt1 = *r32firstPoint;
+        for ( x=0; x<dimx; x++, dbl_pt1++, r32firstPoint++ ) *dbl_pt1 = *r32firstPoint;
       }
       /*
        * Adding points at both ends of the line.
        */
       if ( borderXlength > 0 ) {
-	dbl_pt1 = theLine + borderXlength;   dbl_first = *dbl_pt1;
-	dbl_pt2 = theLine + offsetLastPoint; dbl_last  = *dbl_pt2;
-	for ( x=0; x<borderXlength; x++ ) {
-	  *--dbl_pt1 = dbl_first;
-	  *++dbl_pt2 = dbl_last;
-	}
+        dbl_pt1 = theLine + borderXlength;   dbl_first = *dbl_pt1;
+        dbl_pt2 = theLine + offsetLastPoint; dbl_last  = *dbl_pt2;
+        for ( x=0; x<borderXlength; x++ ) {
+          *--dbl_pt1 = dbl_first;
+          *++dbl_pt2 = dbl_last;
+        }
       }
       /*
        * Processing the line.
        */
       if ( RecursiveFilter1D( RFC, theLine, resLine, tmpLine, resLine, lengthX ) == 0 ) {
-	if ( _VERBOSE_ != 0 ) 
-	  fprintf(stderr," Error in %s: unable to process X line (y=%d,z=%d).\n", proc, y, z);
-	if ( (typeOut != CGAL_FLOAT) && (typeOut != CGAL_DOUBLE) )
-	  free( bufferResult );
-	free( (void*)theLine );
-	return( EXIT_ON_FAILURE );
+        if ( _VERBOSE_ != 0 )
+          fprintf(stderr," Error in %s: unable to process X line (y=%d,z=%d).\n", proc, y, z);
+        if ( (typeOut != CGAL_FLOAT) && (typeOut != CGAL_DOUBLE) )
+          free( bufferResult );
+        free( (void*)theLine );
+        return( EXIT_ON_FAILURE );
       }
       /*
        * Copy the result into the buffer bufferResult.
@@ -1438,28 +1438,28 @@ int RecursiveFilterOnBuffer( void *buffe
       dbl_pt1 = resLinePlusBorder;
       switch ( typeResult ) {
       case CGAL_DOUBLE :
-	(void)memcpy( (void*)r64firstPointResult, (void*)dbl_pt1, dimx * sizeof(r64) );
-	r64firstPointResult += dimx;
-	break;
+        (void)memcpy( (void*)r64firstPointResult, (void*)dbl_pt1, dimx * sizeof(r64) );
+        r64firstPointResult += dimx;
+        break;
       case CGAL_FLOAT :
       default :
-	for ( x=0; x<dimx; x++, dbl_pt1++, r32firstPointResult++ )
-	  *r32firstPointResult = (r32)(*dbl_pt1);
+        for ( x=0; x<dimx; x++, dbl_pt1++, r32firstPointResult++ )
+          *r32firstPointResult = (r32)(*dbl_pt1);
       }
     }
-    
+
     /*
      * The next buffer to be processed is the buffer
      * bufferResult.
      */
     bufferToBeProcessed = bufferResult;
     typeToBeProcessed = typeResult;
-    
+
     free( RFC );
     RFC = nullptr;
 
   } /* end of Processing along X. */
-  
+
   /*
    * Processing along Y.
    */
@@ -1474,9 +1474,9 @@ int RecursiveFilterOnBuffer( void *buffe
 
     if ( RFC == nullptr ) {
       if ( _VERBOSE_ != 0 )
-	fprintf( stderr, " %s: unable to allocate coefficients\n", proc );
+        fprintf( stderr, " %s: unable to allocate coefficients\n", proc );
       if ( (typeOut != CGAL_FLOAT) && (typeOut != CGAL_DOUBLE) )
-	free( bufferResult );
+        free( bufferResult );
       return( EXIT_ON_FAILURE );
     }
 
@@ -1499,62 +1499,62 @@ int RecursiveFilterOnBuffer( void *buffe
       for ( x=0; x<dimx; x++ ) {
       /*
        * Acquiring a Y line.
-       */ 
-	dbl_pt1 = theLinePlusBorder;
-	switch ( typeToBeProcessed ) {
-	case CGAL_DOUBLE :
-	  r64_pt = r64firstPoint;
-	  for ( y=0; y<dimy; y++, dbl_pt1++, r64_pt += dimx ) *dbl_pt1 = *r64_pt;
-	  /*
-	   * Going to the first point of the next Y line
-	   */
-	  r64firstPoint ++;
-	  break;
-	case CGAL_FLOAT :
-	default :
-	  r32_pt = r32firstPoint;
-	  for ( y=0; y<dimy; y++, dbl_pt1++, r32_pt += dimx ) *dbl_pt1 = *r32_pt;
-	  r32firstPoint ++;
-	}
-	/*
-	 * Adding points at both ends of the line.
-	 */
-	if ( borderYlength > 0 ) {
-	  dbl_pt1 = theLine + borderYlength;   dbl_first = *dbl_pt1;
-	  dbl_pt2 = theLine + offsetLastPoint; dbl_last  = *dbl_pt2;
-	  for ( y=0; y<borderYlength; y++ ) {
-	    *--dbl_pt1 = dbl_first;
-	    *++dbl_pt2 = dbl_last;
-	  }
-	}
-	/*
-	 * Processing the line.
-	 */
-	if ( RecursiveFilter1D( RFC, theLine, resLine, tmpLine, resLine, lengthY ) == 0 ) {
-	  if ( _VERBOSE_ != 0 ) 
-	    fprintf(stderr," Error in %s: unable to process Y line (x=%d,z=%d).\n", proc, x, z);
-	  if ( (typeOut != CGAL_FLOAT) && (typeOut != CGAL_DOUBLE) )
-	    free( bufferResult );
-	  free( (void*)theLine );
-	  return( EXIT_ON_FAILURE );
-	}
-	/*
-	 * Copy the result into the buffer bufferResult.
-	 */
-	dbl_pt1 = resLinePlusBorder;
-	switch ( typeResult ) {
-	case CGAL_DOUBLE :
-	  r64_pt = r64firstPointResult;
-	  for ( y=0; y<dimy; y++, dbl_pt1++, r64_pt += dimx ) *r64_pt = *dbl_pt1;
-	  r64firstPointResult ++;
-	  break;
-	case CGAL_FLOAT :
-	default :
-	  r32_pt = r32firstPointResult;
-	  for ( y=0; y<dimy; y++, dbl_pt1++, r32_pt += dimx ) 
-	    *r32_pt = (float)*dbl_pt1;
-	  r32firstPointResult ++;
-	}
+       */
+        dbl_pt1 = theLinePlusBorder;
+        switch ( typeToBeProcessed ) {
+        case CGAL_DOUBLE :
+          r64_pt = r64firstPoint;
+          for ( y=0; y<dimy; y++, dbl_pt1++, r64_pt += dimx ) *dbl_pt1 = *r64_pt;
+          /*
+           * Going to the first point of the next Y line
+           */
+          r64firstPoint ++;
+          break;
+        case CGAL_FLOAT :
+        default :
+          r32_pt = r32firstPoint;
+          for ( y=0; y<dimy; y++, dbl_pt1++, r32_pt += dimx ) *dbl_pt1 = *r32_pt;
+          r32firstPoint ++;
+        }
+        /*
+         * Adding points at both ends of the line.
+         */
+        if ( borderYlength > 0 ) {
+          dbl_pt1 = theLine + borderYlength;   dbl_first = *dbl_pt1;
+          dbl_pt2 = theLine + offsetLastPoint; dbl_last  = *dbl_pt2;
+          for ( y=0; y<borderYlength; y++ ) {
+            *--dbl_pt1 = dbl_first;
+            *++dbl_pt2 = dbl_last;
+          }
+        }
+        /*
+         * Processing the line.
+         */
+        if ( RecursiveFilter1D( RFC, theLine, resLine, tmpLine, resLine, lengthY ) == 0 ) {
+          if ( _VERBOSE_ != 0 )
+            fprintf(stderr," Error in %s: unable to process Y line (x=%d,z=%d).\n", proc, x, z);
+          if ( (typeOut != CGAL_FLOAT) && (typeOut != CGAL_DOUBLE) )
+            free( bufferResult );
+          free( (void*)theLine );
+          return( EXIT_ON_FAILURE );
+        }
+        /*
+         * Copy the result into the buffer bufferResult.
+         */
+        dbl_pt1 = resLinePlusBorder;
+        switch ( typeResult ) {
+        case CGAL_DOUBLE :
+          r64_pt = r64firstPointResult;
+          for ( y=0; y<dimy; y++, dbl_pt1++, r64_pt += dimx ) *r64_pt = *dbl_pt1;
+          r64firstPointResult ++;
+          break;
+        case CGAL_FLOAT :
+        default :
+          r32_pt = r32firstPointResult;
+          for ( y=0; y<dimy; y++, dbl_pt1++, r32_pt += dimx )
+            *r32_pt = (float)*dbl_pt1;
+          r32firstPointResult ++;
+        }
       }
       /*
        * Going to the first point of the next Y line
@@ -1567,34 +1567,34 @@ int RecursiveFilterOnBuffer( void *buffe
        */
       switch ( typeToBeProcessed ) {
       case CGAL_DOUBLE :
-	r64firstPoint += offsetNextFirstPoint;
-	break;
+        r64firstPoint += offsetNextFirstPoint;
+        break;
       case CGAL_FLOAT :
       default :
-	r32firstPoint += offsetNextFirstPoint;
+        r32firstPoint += offsetNextFirstPoint;
       }
       switch ( typeResult ) {
       case CGAL_DOUBLE :
-	r64firstPointResult += offsetNextFirstPoint;
-	break;
+        r64firstPointResult += offsetNextFirstPoint;
+        break;
       case CGAL_FLOAT :
       default :
-	r32firstPointResult += offsetNextFirstPoint;
+        r32firstPointResult += offsetNextFirstPoint;
       }
     }
-    
+
     /*
      * The next buffer to be processed is the buffer
      * bufferResult.
      */
     bufferToBeProcessed = bufferResult;
     typeToBeProcessed = typeResult;
-  
+
     free( RFC );
     RFC = nullptr;
 
   } /* end of Processing along Y. */
-  
+
 
   /*
    * Processing along Z.
@@ -1605,14 +1605,14 @@ int RecursiveFilterOnBuffer( void *buffe
 
     if ( _VERBOSE_ != 0 )
       fprintf( stderr, " %s: processing along Z.\n", proc );
-    
+
     RFC = InitRecursiveCoefficients( (double)filterCoefs[2], filterType, derivatives[2] );
-    
+
     if ( RFC == nullptr ) {
       if ( _VERBOSE_ != 0 )
-	fprintf( stderr, " %s: unable to allocate coefficients\n", proc );
+        fprintf( stderr, " %s: unable to allocate coefficients\n", proc );
       if ( (typeOut != CGAL_FLOAT) && (typeOut != CGAL_DOUBLE) )
-	free( bufferResult );
+        free( bufferResult );
       return( EXIT_ON_FAILURE );
     }
 
@@ -1636,63 +1636,63 @@ int RecursiveFilterOnBuffer( void *buffe
     for ( x=0; x<dimx; x++ ) {
       /*
        * Acquiring a Z line.
-       */ 
+       */
       dbl_pt1 = theLinePlusBorder;
       switch ( typeToBeProcessed ) {
       case CGAL_DOUBLE :
-	r64_pt = r64firstPoint;
-	for ( z=0; z<dimz; z++, dbl_pt1++, r64_pt += dimxXdimy ) *dbl_pt1 = *r64_pt;
-	/*
-	 * Going to the first point of the next Z line
-	 */
-	r64firstPoint ++;
-	break;
+        r64_pt = r64firstPoint;
+        for ( z=0; z<dimz; z++, dbl_pt1++, r64_pt += dimxXdimy ) *dbl_pt1 = *r64_pt;
+        /*
+         * Going to the first point of the next Z line
+         */
+        r64firstPoint ++;
+        break;
       case CGAL_FLOAT :
       default :
-	r32_pt = r32firstPoint;
-	for ( z=0; z<dimz; z++, dbl_pt1++, r32_pt += dimxXdimy ) *dbl_pt1 = *r32_pt;
-	r32firstPoint ++;
+        r32_pt = r32firstPoint;
+        for ( z=0; z<dimz; z++, dbl_pt1++, r32_pt += dimxXdimy ) *dbl_pt1 = *r32_pt;
+        r32firstPoint ++;
       }
       /*
        * Adding points at both ends of the line.
        */
       if ( borderZlength > 0 ) {
-	dbl_pt1 = theLine + borderZlength;   dbl_first = *dbl_pt1;
-	dbl_pt2 = theLine + offsetLastPoint; dbl_last  = *dbl_pt2;
-	for ( z=0; z<borderZlength; z++ ) {
-	  *--dbl_pt1 = dbl_first;
-	  *++dbl_pt2 = dbl_last;
-	}
+        dbl_pt1 = theLine + borderZlength;   dbl_first = *dbl_pt1;
+        dbl_pt2 = theLine + offsetLastPoint; dbl_last  = *dbl_pt2;
+        for ( z=0; z<borderZlength; z++ ) {
+          *--dbl_pt1 = dbl_first;
+          *++dbl_pt2 = dbl_last;
+        }
       }
       /*
        * Processing the line.
        */
       if ( RecursiveFilter1D( RFC, theLine, resLine, tmpLine, resLine, lengthZ ) == 0 ) {
-	if ( _VERBOSE_ != 0 ) 
-	  fprintf(stderr," Error in %s: unable to process Z line (x=%d,y=%d).\n", proc, x, y);
-	if ( (typeOut != CGAL_FLOAT) && (typeOut != CGAL_DOUBLE) )
-	  free( bufferResult );
-	free( (void*)theLine );
-	return( EXIT_ON_FAILURE );
+        if ( _VERBOSE_ != 0 )
+          fprintf(stderr," Error in %s: unable to process Z line (x=%d,y=%d).\n", proc, x, y);
+        if ( (typeOut != CGAL_FLOAT) && (typeOut != CGAL_DOUBLE) )
+          free( bufferResult );
+        free( (void*)theLine );
+        return( EXIT_ON_FAILURE );
       }
-      
+
       /*
        * Copy the result into the buffer bufferResult.
        */
       dbl_pt1 = resLinePlusBorder;
       switch ( typeResult ) {
       case CGAL_DOUBLE :
-	r64_pt = r64firstPointResult;
-	for ( z=0; z<dimz; z++, dbl_pt1++, r64_pt += dimxXdimy ) 
-	  *r64_pt = *dbl_pt1;
-	r64firstPointResult ++;
-	break;
+        r64_pt = r64firstPointResult;
+        for ( z=0; z<dimz; z++, dbl_pt1++, r64_pt += dimxXdimy )
+          *r64_pt = *dbl_pt1;
+        r64firstPointResult ++;
+        break;
       case CGAL_FLOAT :
       default :
-	r32_pt = r32firstPointResult;
-	for ( z=0; z<dimz; z++, dbl_pt1++, r32_pt += dimxXdimy ) 
-	  *r32_pt = (float)*dbl_pt1;
-	r32firstPointResult ++;
+        r32_pt = r32firstPointResult;
+        for ( z=0; z<dimz; z++, dbl_pt1++, r32_pt += dimxXdimy )
+          *r32_pt = (float)*dbl_pt1;
+        r32firstPointResult ++;
       }
     }
 
@@ -1700,7 +1700,7 @@ int RecursiveFilterOnBuffer( void *buffe
     RFC = nullptr;
 
   } /* end of Processing along Z. */
-  
+
 
 
 
@@ -1715,7 +1715,7 @@ int RecursiveFilterOnBuffer( void *buffe
   if ( (typeOut != CGAL_FLOAT) && (typeOut != CGAL_DOUBLE) )
     free( bufferResult );
   free( (void*)theLine );
-  
+
   return( EXIT_ON_SUCCESS );
 }
 
diff -pruN 5.0.2-3/include/CGAL/ImageIO/recline.h 5.0.3-1/include/CGAL/ImageIO/recline.h
--- 5.0.2-3/include/CGAL/ImageIO/recline.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/recline.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/recline.h $
-// $Id: recline.h 5d1704b 2019-10-24T09:29:16+02:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/recline.h $
+// $Id: recline.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -13,19 +13,19 @@
 /*************************************************************************
  * recline.h - tools for recursive filtering of 1D lines
  *
- * $Id: recline.h 5d1704b 2019-10-24T09:29:16+02:00 Laurent Rineau
+ * $Id: recline.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  *
  * Copyright©INRIA 1998
  *
- * DESCRIPTION: 
+ * DESCRIPTION:
  *
  * Recursive filtering of a line (a 1D array)
  *
  * AUTHOR:
  * Gregoire Malandain (greg@sophia.inria.fr)
  * http://www.inria.fr/epidaure/personnel/malandain/
- * 
- * CREATION DATE: 
+ *
+ * CREATION DATE:
  * June, 9 1998
  *
  * Copyright Gregoire Malandain, INRIA
@@ -64,9 +64,9 @@
  *   derivatives from order 0 (smoothing) to 2, or extract edges.
  *
  * - Extracting edges with ALPHA_DERICHE's filters is faster but
- *   the modulus of the gradient (the estimated height of the step 
+ *   the modulus of the gradient (the estimated height of the step
  *   edge) depens on the gradient orientation because the filter
- *   is not isotropic. Heights are better estimated with 
+ *   is not isotropic. Heights are better estimated with
  *   GAUSSIAN_DERICHE's filters but they seem not be perfectly
  *   symmetrical.
  *
@@ -102,8 +102,8 @@ typedef enum {
  *   signal i=x will be 1.
  *
  * - DERIVATIVE_1_CONTOURS first derivative but adapted
- *   to edge detections. The normalization of the filter 
- *   is made so that the response to a step edge is 
+ *   to edge detections. The normalization of the filter
+ *   is made so that the response to a step edge is
  *   the step edge height.
  *
  * - DERIVATIVE_2 second derivative. The normalization
@@ -122,11 +122,11 @@ typedef enum {
   DERIVATIVE_2  = 2 /* derivative of order 2 */,
   DERIVATIVE_3  = 3 /* derivative of order 3 */,
   DERIVATIVE_1_CONTOURS = 11 /* derivative of order 1, normalization adapted to
-				contours. The response to a step-edge is the 
-				height of the step. */,
+                                contours. The response to a step-edge is the
+                                height of the step. */,
   DERIVATIVE_1_EDGES = 11 /* derivative of order 1, normalization adapted to
-				contours. The response to a step-edge is the 
-				height of the step. */
+                                contours. The response to a step-edge is the
+                                height of the step. */
 } derivativeOrder;
 
 
@@ -174,8 +174,8 @@ typedef struct {
  * - derivativeOrder
  */
 extern RFcoefficientType * InitRecursiveCoefficients( double x, /* coefficient's value */
-				       recursiveFilterType filterType, /* filter's type */
-				       derivativeOrder derivative /* derivative's order */ );
+                                       recursiveFilterType filterType, /* filter's type */
+                                       derivativeOrder derivative /* derivative's order */ );
 
 
 
@@ -197,12 +197,12 @@ extern RFcoefficientType * InitRecursive
  * - 1 if successful
  */
 extern int RecursiveFilter1D( RFcoefficientType *RFC,
-			      double *in, /* input line */ 
-			      double *out, /* output line */
-			      double *work1, /* first work array */
-			      double *work2, /* second work array, 
-						could be out if out is different from in */
-			      int dim /* lines' length */ );
+                              double *in, /* input line */
+                              double *out, /* output line */
+                              double *work1, /* first work array */
+                              double *work2, /* second work array,
+                                                could be out if out is different from in */
+                              int dim /* lines' length */ );
 
 
 /* Turn on verbose mode.
diff -pruN 5.0.2-3/include/CGAL/ImageIO/recline_impl.h 5.0.3-1/include/CGAL/ImageIO/recline_impl.h
--- 5.0.2-3/include/CGAL/ImageIO/recline_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/recline_impl.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/recline_impl.h $
-// $Id: recline_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/recline_impl.h $
+// $Id: recline_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -13,11 +13,11 @@
 /*************************************************************************
  * recline.c - tools for recursive filtering of 1D lines
  *
- * $Id: recline_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+ * $Id: recline_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  *
  * Copyright©INRIA 1999
  *
- * DESCRIPTION: 
+ * DESCRIPTION:
  *
  * Recursive filtering of a line (a 1D array)
  * Filter coefficient are static variables.
@@ -25,8 +25,8 @@
  *
  * AUTHOR:
  * Gregoire Malandain (greg@sophia.inria.fr)
- * 
- * CREATION DATE: 
+ *
+ * CREATION DATE:
  * June, 9 1998
  *
  * Copyright Gregoire Malandain, INRIA
@@ -85,9 +85,9 @@ void printRecursiveCoefficients( RFcoeff
 
 
 CGAL_INLINE_FUNCTION
-RFcoefficientType * InitRecursiveCoefficients( double x, 
-					       recursiveFilterType type_filter, 
-					       derivativeOrder derivative )
+RFcoefficientType * InitRecursiveCoefficients( double x,
+                                               recursiveFilterType type_filter,
+                                               derivativeOrder derivative )
 {
   const char *proc="InitRecursiveCoefficients";
   double ex, k1, k2;
@@ -98,33 +98,33 @@ RFcoefficientType * InitRecursiveCoeffic
   RFcoefficientType *RFC = nullptr;
   RFC = (RFcoefficientType *)malloc( sizeof(RFcoefficientType) );
   if ( RFC == nullptr ) {
-    if ( get_static_verbose_recline() != 0 ) 
+    if ( get_static_verbose_recline() != 0 )
       fprintf( stderr, "%s: allocation failed\n", proc );
     return( nullptr );
   }
-  
+
   RFC->sd1 = RFC->sd2 = RFC->sd3 = RFC->sd4 = 0.0;
   RFC->sp0 = RFC->sp1 = RFC->sp2 = RFC->sp3 = 0.0;
   RFC->sn0 = RFC->sn1 = RFC->sn2 = RFC->sn3 = RFC->sn4 = 0.0;
-  
+
   RFC->type_filter = UNKNOWN_FILTER;
   RFC->derivative  = NODERIVATIVE;
-  
+
   ex = k1 = k2 = 0.0;
   a0 = a1 = c0 = c1 = 0.0;
   b0 = b1 = omega0 = omega1 = 0.0;
-  
+
   /*--- Selon le type de filtrage (filtres de Deriche,
     ou approximation de la gaussienne), x designe
     soit alpha, soit sigma                         ---*/
-  
+
   switch ( type_filter ) {
 
   case GAUSSIAN_FIDRICH :
-    
+
     if ( x < 0.1 ) {
       if ( get_static_verbose_recline() != 0 ) {
-	fprintf( stderr, "%s: improper value of coefficient (should be >= 0.1).\n", proc );
+        fprintf( stderr, "%s: improper value of coefficient (should be >= 0.1).\n", proc );
       }
       free( RFC );
       return( nullptr );
@@ -133,7 +133,7 @@ RFcoefficientType * InitRecursiveCoeffic
     switch ( derivative ) {
     default :
       if ( get_static_verbose_recline() != 0 ) {
-	fprintf( stderr, "%s: improper value of derivative order.\n", proc );
+        fprintf( stderr, "%s: improper value of derivative order.\n", proc );
       }
       free( RFC );
       return( nullptr );
@@ -179,32 +179,32 @@ RFcoefficientType * InitRecursiveCoeffic
       omega1 = 2.337607006;
       break;
     }
-    
-    omega0 /= x;   sin0 = sin( omega0 );   cos0 = cos( omega0 ); 
-    omega1 /= x;   sin1 = sin( omega1 );   cos1 = cos( omega1 ); 
+
+    omega0 /= x;   sin0 = sin( omega0 );   cos0 = cos( omega0 );
+    omega1 /= x;   sin1 = sin( omega1 );   cos1 = cos( omega1 );
     b0 /= x;
     b1 /= x;
 
     RFC->sp0  = a0 + c0;
     RFC->sp1  = exp( -b1 ) * (c1 * sin1 - (c0 + 2 * a0) * cos1);
     RFC->sp1 += exp( -b0 ) * (a1 * sin0 - (2 * c0 + a0) * cos0);
-    RFC->sp2  = 2.0 * exp( -b0 - b1 ) 
+    RFC->sp2  = 2.0 * exp( -b0 - b1 )
       * ((a0 + c0) * cos1 * cos0 - cos1 * a1 * sin0 - cos0 * c1 * sin1);
     RFC->sp2 += c0 * exp( -2.0 * b0 ) + a0 * exp( -2.0 * b1 );
     RFC->sp3  = exp( -b1 - 2.0 * b0 ) * (c1 * sin1 - c0 * cos1);
     RFC->sp3 += exp( -b0 - 2.0 * b1 ) * (a1 * sin0 - a0 * cos0);
-    
+
     RFC->sd1  = -2.0 * exp( -b1 ) * cos1 - 2.0 * exp( -b0 ) * cos0;
-    RFC->sd2  = 4.0 * cos1 * cos0 * exp( -b0 - b1 ) 
+    RFC->sd2  = 4.0 * cos1 * cos0 * exp( -b0 - b1 )
       + exp( -2.0 * b1 ) + exp( -2.0 * b0 );
-    RFC->sd3 = -2.0 * cos0 * exp( -b0 - 2.0 * b1 ) 
+    RFC->sd3 = -2.0 * cos0 * exp( -b0 - 2.0 * b1 )
       - 2.0 * cos1 * exp( -b1 - 2.0 * b0 );
     RFC->sd4 = exp( -2.0 * b0 - 2.0 * b1 );
-    
+
     switch ( derivative ) {
     default :
       if ( get_static_verbose_recline() != 0 ) {
-	fprintf( stderr, "%s: improper value of derivative order.\n", proc );
+        fprintf( stderr, "%s: improper value of derivative order.\n", proc );
       }
       free( RFC );
       return( nullptr );
@@ -223,16 +223,16 @@ RFcoefficientType * InitRecursiveCoeffic
       RFC->sn3 = - RFC->sp3 + RFC->sd3 * RFC->sp0;
       RFC->sn4 =   RFC->sd4 * RFC->sp0;
     }
-    
+
     RFC->type_filter = type_filter;
     RFC->derivative  = derivative;
     break;
-    
+
   case GAUSSIAN_DERICHE :
-    
+
     if ( x < 0.1 ) {
       if ( get_static_verbose_recline() != 0 ) {
-	fprintf( stderr, "%s: improper value of coefficient (should be >= 0.1).\n", proc );
+        fprintf( stderr, "%s: improper value of coefficient (should be >= 0.1).\n", proc );
       }
       free( RFC );
       return( nullptr );
@@ -241,7 +241,7 @@ RFcoefficientType * InitRecursiveCoeffic
     switch ( derivative ) {
     default :
       if ( get_static_verbose_recline() != 0 ) {
-	fprintf( stderr, "%s: switch to default coefficients (smoothing).\n", proc );
+        fprintf( stderr, "%s: switch to default coefficients (smoothing).\n", proc );
       }
       derivative = DERIVATIVE_0;
       CGAL_FALLTHROUGH;
@@ -277,9 +277,9 @@ RFcoefficientType * InitRecursiveCoeffic
       c1     = -1.738;
       b1     =  1.314;
     }
-	 
-    omega0 /= x;   sin0 = sin( omega0 );   cos0 = cos( omega0 ); 
-    omega1 /= x;   sin1 = sin( omega1 );   cos1 = cos( omega1 ); 
+
+    omega0 /= x;   sin0 = sin( omega0 );   cos0 = cos( omega0 );
+    omega1 /= x;   sin1 = sin( omega1 );   cos1 = cos( omega1 );
     b0 /= x;
     b1 /= x;
 
@@ -308,15 +308,15 @@ RFcoefficientType * InitRecursiveCoeffic
       sumC  = c0 * cos1 - c1 * sin1 + c1 * sin1 * exp( 2.0 * b1 );
       sumC += c0 * cos1 * exp( 2.0 * b1 ) - 2.0 * c0 * exp( b1 );
       sumC *= exp( b1 ) / aux;
-      /*--- on multiplie les sommes par 2 car on n'a calcule que des demi-sommes 
-	et on change le signe car la somme doit etre egale a -1              ---*/
+      /*--- on multiplie les sommes par 2 car on n'a calcule que des demi-sommes
+        et on change le signe car la somme doit etre egale a -1              ---*/
       sumA *= (-2.0);
       sumC *= (-2.0);
       break;
     case DERIVATIVE_1_CONTOURS :
       /*--- la somme de 1 a l'infini est egale a 1 : cela introduit
-	un petit biais (reponse un rien superieur a la hauteur du step).
-	Avec une somme de 0 a l'infini, c'est pire                       ---*/
+        un petit biais (reponse un rien superieur a la hauteur du step).
+        Avec une somme de 0 a l'infini, c'est pire                       ---*/
       sumA  = a1 * exp( b0 ) - a1 * cos0 * cos0 * exp( b0 );
       sumA += a0 * cos0 * sin0 * exp( b0 ) - a0 * sin0;
       sumA /= sin0 * ( 2.0 * cos0 * exp( b0 ) - exp( 2.0 * b0 ) - 1 );
@@ -326,44 +326,44 @@ RFcoefficientType * InitRecursiveCoeffic
       break;
     case DERIVATIVE_2 :
       aux   = 12.0 * cos0 * exp( 3.0 * b0 ) - 3.0 * exp( 2.0 * b0 );
-      aux  += 8.0 * cos0 * cos0 * cos0 * exp( 3.0 * b0 ) 
-	- 12.0 * cos0 * cos0 * exp( 4.0 * b0 );
+      aux  += 8.0 * cos0 * cos0 * cos0 * exp( 3.0 * b0 )
+        - 12.0 * cos0 * cos0 * exp( 4.0 * b0 );
       aux  -= 3.0 * exp( 4.0 * b0 );
-      aux  += 6.0 * cos0 * exp( 5.0 * b0 ) -  exp( 6.0 * b0 ) 
-	+ 6.0 * cos0 * exp( b0 );
+      aux  += 6.0 * cos0 * exp( 5.0 * b0 ) -  exp( 6.0 * b0 )
+        + 6.0 * cos0 * exp( b0 );
       aux  -= ( 1.0 + 12.0 * cos0 * cos0 * exp( 2.0 * b0 ) );
-      sumA  = 4.0 * a0 * sin0 * exp( 3.0 * b0 ) 
-	+ a1 * cos0 * cos0 * exp( 4.0 * b0 );
-      sumA -= ( 4.0 * a0 * sin0 * exp( b0 ) 
-		+ 6.0 * a1 * cos0 * cos0 * exp( 2.0 * b0 ) );
-      sumA += 2.0 * a1 * cos0 * cos0 * cos0 * exp( b0 ) 
-	- 2.0 * a1 * cos0 * exp( b0 );
-      sumA += 2.0 * a1 * cos0 * cos0 * cos0 * exp( 3.0 * b0 ) 
-	- 2.0 * a1 * cos0 * exp( 3.0 * b0 );
+      sumA  = 4.0 * a0 * sin0 * exp( 3.0 * b0 )
+        + a1 * cos0 * cos0 * exp( 4.0 * b0 );
+      sumA -= ( 4.0 * a0 * sin0 * exp( b0 )
+                + 6.0 * a1 * cos0 * cos0 * exp( 2.0 * b0 ) );
+      sumA += 2.0 * a1 * cos0 * cos0 * cos0 * exp( b0 )
+        - 2.0 * a1 * cos0 * exp( b0 );
+      sumA += 2.0 * a1 * cos0 * cos0 * cos0 * exp( 3.0 * b0 )
+        - 2.0 * a1 * cos0 * exp( 3.0 * b0 );
       sumA += a1 * cos0 * cos0 - a1 * exp( 4.0 * b0 );
-      sumA += 2.0 * a0 * sin0 * cos0 * cos0 * exp( b0 ) 
-	- 2.0 * a0 * sin0 * cos0 * cos0 * exp( 3.0 * b0 );
+      sumA += 2.0 * a0 * sin0 * cos0 * cos0 * exp( b0 )
+        - 2.0 * a0 * sin0 * cos0 * cos0 * exp( 3.0 * b0 );
       sumA -= ( a0 * sin0 * cos0 * exp( 4.0 * b0 ) + a1 );
       sumA += 6.0 * a1 * exp( 2.0 * b0 ) + a0 * cos0 * sin0;
       sumA *= 2.0 * exp( b0 ) / ( aux * sin0 );
       aux   = 12.0 * cos1 * exp( 3.0 * b1 ) - 3.0 * exp( 2.0 * b1 );
-      aux  += 8.0 * cos1 * cos1 * cos1 * exp( 3.0 * b1 ) 
-	- 12.0 * cos1 * cos1 * exp( 4.0 * b1 );
+      aux  += 8.0 * cos1 * cos1 * cos1 * exp( 3.0 * b1 )
+        - 12.0 * cos1 * cos1 * exp( 4.0 * b1 );
       aux  -= 3.0 * exp( 4.0 * b1 );
-      aux  += 6.0 * cos1 * exp( 5.0 * b1 ) -  exp( 6.0 * b1 ) 
-	+ 6.0 * cos1 * exp( b1 );
+      aux  += 6.0 * cos1 * exp( 5.0 * b1 ) -  exp( 6.0 * b1 )
+        + 6.0 * cos1 * exp( b1 );
       aux  -= ( 1.0 + 12.0 * cos1 * cos1 * exp( 2.0 * b1 ) );
-      sumC  = 4.0 * c0 * sin1 * exp( 3.0 * b1 ) 
-	+ c1 * cos1 * cos1 * exp( 4.0 * b1 );
-      sumC -= ( 4.0 * c0 * sin1 * exp( b1 ) 
-		+ 6.0 * c1 * cos1 * cos1 * exp( 2.0 * b1 ) );
-      sumC += 2.0 * c1 * cos1 * cos1 * cos1 * exp( b1 ) 
-	- 2.0 * c1 * cos1 * exp( b1 );
-      sumC += 2.0 * c1 * cos1 * cos1 * cos1 * exp( 3.0 * b1 ) 
-	- 2.0 * c1 * cos1 * exp( 3.0 * b1 );
+      sumC  = 4.0 * c0 * sin1 * exp( 3.0 * b1 )
+        + c1 * cos1 * cos1 * exp( 4.0 * b1 );
+      sumC -= ( 4.0 * c0 * sin1 * exp( b1 )
+                + 6.0 * c1 * cos1 * cos1 * exp( 2.0 * b1 ) );
+      sumC += 2.0 * c1 * cos1 * cos1 * cos1 * exp( b1 )
+        - 2.0 * c1 * cos1 * exp( b1 );
+      sumC += 2.0 * c1 * cos1 * cos1 * cos1 * exp( 3.0 * b1 )
+        - 2.0 * c1 * cos1 * exp( 3.0 * b1 );
       sumC += c1 * cos1 * cos1 - c1 * exp( 4.0 * b1 );
-      sumC += 2.0 * c0 * sin1 * cos1 * cos1 * exp( b1 ) 
-	- 2.0 * c0 * sin1 * cos1 * cos1 * exp( 3.0 * b1 );
+      sumC += 2.0 * c0 * sin1 * cos1 * cos1 * exp( b1 )
+        - 2.0 * c0 * sin1 * cos1 * cos1 * exp( 3.0 * b1 );
       sumC -= ( c0 * sin1 * cos1 * exp( 4.0 * b1 ) + c1 );
       sumC += 6.0 * c1 * exp( 2.0 * b1 ) + c0 * cos1 * sin1;
       sumC *= 2.0 * exp( b1 ) / ( aux * sin1 );
@@ -375,24 +375,24 @@ RFcoefficientType * InitRecursiveCoeffic
     a1 /= ( sumA + sumC );
     c0 /= ( sumA + sumC );
     c1 /= ( sumA + sumC );
-    
+
     /*--- coefficients du calcul recursif ---*/
     RFC->sp0  = a0 + c0;
     RFC->sp1  = exp( -b1 ) * (c1 * sin1 - (c0 + 2 * a0) * cos1);
     RFC->sp1 += exp( -b0 ) * (a1 * sin0 - (2 * c0 + a0) * cos0);
-    RFC->sp2  = 2.0 * exp( -b0 - b1 ) 
+    RFC->sp2  = 2.0 * exp( -b0 - b1 )
       * ((a0 + c0) * cos1 * cos0 - cos1 * a1 * sin0 - cos0 * c1 * sin1);
     RFC->sp2 += c0 * exp( -2.0 * b0 ) + a0 * exp( -2.0 * b1 );
     RFC->sp3  = exp( -b1 - 2.0 * b0 ) * (c1 * sin1 - c0 * cos1);
     RFC->sp3 += exp( -b0 - 2.0 * b1 ) * (a1 * sin0 - a0 * cos0);
-    
+
     RFC->sd1  = -2.0 * exp( -b1 ) * cos1 - 2.0 * exp( -b0 ) * cos0;
-    RFC->sd2  = 4.0 * cos1 * cos0 * exp( -b0 - b1 ) 
+    RFC->sd2  = 4.0 * cos1 * cos0 * exp( -b0 - b1 )
       + exp( -2.0 * b1 ) + exp( -2.0 * b0 );
-    RFC->sd3 = -2.0 * cos0 * exp( -b0 - 2.0 * b1 ) 
+    RFC->sd3 = -2.0 * cos0 * exp( -b0 - 2.0 * b1 )
       - 2.0 * cos1 * exp( -b1 - 2.0 * b0 );
     RFC->sd4 = exp( -2.0 * b0 - 2.0 * b1 );
-    
+
     switch ( derivative ) {
     default :
       CGAL_FALLTHROUGH;
@@ -414,7 +414,7 @@ RFcoefficientType * InitRecursiveCoeffic
       RFC->sn3 = - RFC->sp3 + RFC->sd3 * RFC->sp0;
       RFC->sn4 =   RFC->sd4 * RFC->sp0;
     }
-    
+
     RFC->type_filter = type_filter;
     RFC->derivative  = derivative;
     break;
@@ -431,17 +431,17 @@ RFcoefficientType * InitRecursiveCoeffic
 
     if ( (x < 0.1) || (x > 1.9) ) {
       if ( get_static_verbose_recline() != 0 ) {
-	fprintf( stderr, "%s: improper value of coefficient (should be >= 0.1 and <= 1.9).\n", proc );
+        fprintf( stderr, "%s: improper value of coefficient (should be >= 0.1 and <= 1.9).\n", proc );
       }
       free( RFC );
       return( nullptr );
     }
     ex = exp( (-x) );
-    
+
     switch ( derivative ) {
     default :
       if ( get_static_verbose_recline() != 0 ) {
-	fprintf( stderr, "%s: switch to default coefficients (smoothing).\n", proc );
+        fprintf( stderr, "%s: switch to default coefficients (smoothing).\n", proc );
       }
       derivative = DERIVATIVE_0;
       CGAL_FALLTHROUGH;
@@ -457,13 +457,13 @@ RFcoefficientType * InitRecursiveCoeffic
       RFC->sp1 = - (1.0 - ex) * (1.0 - ex) * (1.0 - ex) / (2.0 * (1.0 + ex));
       RFC->sn1 = (- RFC->sp1);
       RFC->sd1 = (- 2.0) * ex;
-      RFC->sd2 = ex * ex;	    
+      RFC->sd2 = ex * ex;
       break;
     case DERIVATIVE_1_CONTOURS :
       RFC->sp1 = - (1.0 - ex) * (1.0 - ex);
       RFC->sn1 = (- RFC->sp1);
       RFC->sd1 = (- 2.0) * ex;
-      RFC->sd2 = ex * ex;	    
+      RFC->sd2 = ex * ex;
       break;
     case DERIVATIVE_2 :
       k1 = (- 2.0) * (1.0 - ex) * (1.0 - ex) * (1.0 - ex);
@@ -500,11 +500,11 @@ RFcoefficientType * InitRecursiveCoeffic
 
 CGAL_INLINE_FUNCTION
 int RecursiveFilter1D( RFcoefficientType *RFC,
-		       double *in, 
-		       double *out, 
-		       double *work1, 
-		       double *work2, 
-		       int dim )
+                       double *in,
+                       double *out,
+                       double *work1,
+                       double *work2,
+                       int dim )
 {
   const char *proc="RecursiveFilter1D";
   double rp0, rp1, rp2, rp3;
@@ -528,7 +528,7 @@ int RecursiveFilter1D( RFcoefficientType
   rd1 = rd2 = rd3 = rd4 = 0.0;
   rp0 = rp1 = rp2 = rp3 = 0.0;
   rn0 = rn1 = rn2 = rn3 = rn4 = 0.0;
-  
+
   switch( RFC->type_filter ) {
   default :
     if ( get_static_verbose_recline() != 0 )
@@ -541,47 +541,47 @@ int RecursiveFilter1D( RFcoefficientType
     rp0 = RFC->sp0;   rp1 = RFC->sp1;   rp2 = RFC->sp2;   rp3 = RFC->sp3;
     rd1 = RFC->sd1;   rd2 = RFC->sd2;   rd3 = RFC->sd3;   rd4 = RFC->sd4;
     rn1 = RFC->sn1;   rn2 = RFC->sn2;   rn3 = RFC->sn3;   rn4 = RFC->sn4;
-    
-    /* on positionne les pointeurs 
+
+    /* on positionne les pointeurs
      */
     w4 = work1;   w3 = w4+1;   w2 = w3+1;   w1 = w2+1;   w0 = w1+1;
     d3 = in+1;    d2 = d3+1;   d1 = d2+1;   d0 = d1+1;
     /*--- calcul de y+ ---*/
     *(w4) = rp0 * *(in);
     *(w3) = rp0 * *(d3) + rp1 * *(in)
-          - rd1 * *(w4);   
+          - rd1 * *(w4);
     *(w2) = rp0 * *(d2) + rp1 * *(d3) + rp2 * *(in)
           - rd1 * *(w3) - rd2 * *(w4);
     *(w1) = rp0 * *(d1) + rp1 * *(d2) + rp2 * *(d3) + rp3 * *(in)
           - rd1 * *(w2) - rd2 * *(w3) - rd3 * *(w4);
-    for (i=4; i<dim; i++,w0++,w1++,w2++,w3++,w4++,d0++,d1++,d2++,d3++) 
+    for (i=4; i<dim; i++,w0++,w1++,w2++,w3++,w4++,d0++,d1++,d2++,d3++)
       *(w0) = rp0 * *(d0) + rp1 * *(d1) + rp2 * *(d2) + rp3 * *(d3)
             - rd1 * *(w1) - rd2 * *(w2) - rd3 * *(w3) - rd4 * *(w4);
-    
-    /* on positionne les pointeurs 
+
+    /* on positionne les pointeurs
      */
     w4 = work2+dim-1;   w3 = w4-1;   w2 = w3-1;   w1 = w2-1;   w0 = w1-1;
     d4 = in+dim-1;      d3 = d4-1;   d2 = d3-1;   d1 = d2-1;
     /*--- calcul de y- ---*/
     *(w4) = 0;
     *(w3) = rn1 * *(d4);
-    *(w2) = rn1 * *(d3) + rn2 * *(d4) 
+    *(w2) = rn1 * *(d3) + rn2 * *(d4)
           - rd1 * *(w3);
-    *(w1) = rn1 * *(d2) + rn2 * *(d3) + rn3 * *(d4) 
+    *(w1) = rn1 * *(d2) + rn2 * *(d3) + rn3 * *(d4)
           - rd1 * *(w2) - rd2 * *(w3);
     for (i=dim-5; i>=0; i--,w0--,w1--,w2--,w3--,w4--,d1--,d2--,d3--,d4--)
       *(w0) = rn1 * *(d1) + rn2 * *(d2) + rn3 * *(d3) + rn4 * *(d4)
-	    - rd1 * *(w1) - rd2 * *(w2) - rd3 * *(w3) - rd4 * *(w4);
+            - rd1 * *(w1) - rd2 * *(w2) - rd3 * *(w3) - rd4 * *(w4);
 
     /*--- calcul final ---*/
     w1 = work1;   w2 = work2;   d0 = out;
     for (i=0 ; i<dim ; i++,w1++,w2++,d0++)
       *d0 = *w1 + *w2;
-    
+
     break;
 
   case ALPHA_DERICHE :
-    
+
     switch( RFC->derivative ) {
     default :
       CGAL_FALLTHROUGH;
@@ -592,100 +592,100 @@ int RecursiveFilter1D( RFcoefficientType
       rp0 = RFC->sp0;   rp1 = RFC->sp1;
       rd1 = RFC->sd1;   rd2 = RFC->sd2;
       rn1 = RFC->sn1;   rn2 = RFC->sn2;
-      
-      /* on positionne les pointeurs 
+
+      /* on positionne les pointeurs
        */
       w2 = work1;   w1 = w2+1;   w0 = w1+1;
       d1 = in+1;    d0 = d1+1;
       /*--- calcul de y+ ---*/
       *(w2) = rp0 * *(in);
-      *(w1) = rp0 * *(d1) + rp1 * *(in) 
-	    - rd1 * *(w2);     
+      *(w1) = rp0 * *(d1) + rp1 * *(in)
+            - rd1 * *(w2);
       for (i=2;  i<dim; i++,w0++,w1++,w2++,d0++,d1++)
-	*(w0) = rp0 * *(d0) + rp1 * *(d1)
-	      - rd1 * *(w1) - rd2 * *(w2);
-      
+        *(w0) = rp0 * *(d0) + rp1 * *(d1)
+              - rd1 * *(w1) - rd2 * *(w2);
+
       w2 = work2+dim-1;   w1 = w2-1;   w0 = w1-1;
       d2 = in+dim-1;      d1 = d2-1;
       /*--- calcul de y- ---*/
       *(w2) = 0.0;
       *(w1) = rn1 * *(d2);
       for (i=dim-3; i>=0; i--,w0--,w1--,w2--,d1--,d2--)
-	*(w0) = rn1 * *(d1) + rn2 * *(d2)
-	      - rd1 * *(w1) - rd2 * *(w2);
-      
+        *(w0) = rn1 * *(d1) + rn2 * *(d2)
+              - rd1 * *(w1) - rd2 * *(w2);
+
       /*--- calcul final ---*/
       w1 = work1;   w2 = work2;   d0 = out;
       for (i=0 ; i<dim ; i++,w1++,w2++,d0++)
-	*d0 = *w1 + *w2;
-      
+        *d0 = *w1 + *w2;
+
       break;
-      
+
     case DERIVATIVE_1 :
       CGAL_FALLTHROUGH;
     case DERIVATIVE_1_CONTOURS :
       rp1 = RFC->sp1;
       rn1 = RFC->sn1;
       rd1 = RFC->sd1;   rd2 = RFC->sd2;
-      
-      /* on positionne les pointeurs 
+
+      /* on positionne les pointeurs
        */
       w2 = work1;   w1 = w2+1;   w0 = w1+1;
       d1 = in+1;
       /*--- calcul de y+ ---*/
       *(w2) = 0.0;
-      *(w1) = rp1 * *(in);     
+      *(w1) = rp1 * *(in);
       for (i=2;  i<dim; i++,w0++,w1++,w2++,d1++)
-	*(w0) = rp1 * *(d1)
-	      - rd1 * *(w1) - rd2 * *(w2);
-      
-      
+        *(w0) = rp1 * *(d1)
+              - rd1 * *(w1) - rd2 * *(w2);
+
+
       w2 = work2+dim-1;   w1 = w2-1;   w0 = w1-1;
       d2 = in+dim-1;      d1 = d2-1;
       /*--- calcul de y- ---*/
       *(w2) = 0.0;
       *(w1) = rn1 * *(d2);
       for (i=dim-3; i>=0; i--,w0--,w1--,w2--,d1--)
-	*(w0) = rn1 * *(d1)
-	      - rd1 * *(w1) - rd2 * *(w2);
-      
+        *(w0) = rn1 * *(d1)
+              - rd1 * *(w1) - rd2 * *(w2);
+
       /*--- calcul final ---*/
       w1 = work1;   w2 = work2;   d0 = out;
       for (i=0 ; i<dim ; i++,w1++,w2++,d0++)
-	*d0 = *w1 + *w2;
-      
+        *d0 = *w1 + *w2;
+
       break;
 
     case DERIVATIVE_3 :
       rp0 = RFC->sp0;   rp1 = RFC->sp1;
       rd1 = RFC->sd1;   rd2 = RFC->sd2;
       rn0 = RFC->sn0;   rn1 = RFC->sn1;
-      
+
       w2 = work1;   w1 = w2+1;   w0 = w1+1;
       d1 = in+1;   d0 = d1+1;
       /*--- calcul de y+ ---*/
       *(w2) = rp0 * *(in);
-      *(w1) = rp0 * *(d1) + rp1 * *(in) 
-	    - rd1 * *(w2);     
+      *(w1) = rp0 * *(d1) + rp1 * *(in)
+            - rd1 * *(w2);
       for (i=2;  i<dim; i++,w0++,w1++,w2++,d0++,d1++)
-	*(w0) = rp0 * *(d0) + rp1 * *(d1)
-	      - rd1 * *(w1) - rd2 * *(w2);
-      
+        *(w0) = rp0 * *(d0) + rp1 * *(d1)
+              - rd1 * *(w1) - rd2 * *(w2);
+
       w2 = work2+dim-1;   w1 = w2-1;   w0 = w1-1;
       d2 = in+dim-1;      d1 = d2-1;   d0 = d1-1;
       /*--- calcul de y- ---*/
       *(w2) = rn0 * *(d2);
-      *(w1) = rn0 * *(d1) + rn1 * *(d2) 
-	    - rd1 * *(w2);
+      *(w1) = rn0 * *(d1) + rn1 * *(d2)
+            - rd1 * *(w2);
       for (i=dim-3; i>=0; i--,w0--,w1--,w2--,d0--,d1--)
-	*(w0) = rn0 * *(d0) + rn1 * *(d1)
-	      - rd1 * *(w1) - rd2 * *(w2);
-      
+        *(w0) = rn0 * *(d0) + rn1 * *(d1)
+              - rd1 * *(w1) - rd2 * *(w2);
+
       /*--- calcul final ---*/
       w1 = work1;   w2 = work2;   d0 = out;
       for (i=0 ; i<dim ; i++,w1++,w2++,d0++)
-	*d0 = *w1 + *w2;
-      
+        *d0 = *w1 + *w2;
+
     }
   }
   return( EXIT_ON_SUCCESS );
diff -pruN 5.0.2-3/include/CGAL/ImageIO/reech4x4.h 5.0.3-1/include/CGAL/ImageIO/reech4x4.h
--- 5.0.2-3/include/CGAL/ImageIO/reech4x4.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/reech4x4.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/reech4x4.h $
-// $Id: reech4x4.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/reech4x4.h $
+// $Id: reech4x4.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -13,27 +13,27 @@
 /*************************************************************************
  * reech4x4.h -
  *
- * $Id: reech4x4.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+ * $Id: reech4x4.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  *
  * Copyright©INRIA 1999
  *
  * AUTHOR:
  * Gregoire Malandain (greg@sophia.inria.fr)
- * 
- * CREATION DATE: 
+ *
+ * CREATION DATE:
  *
  *
  * ADDITIONS, CHANGES
- *	
- *	
- *	
+ *
+ *
+ *
  *
  */
 
 
 /* CAUTION
    DO NOT EDIT THIS FILE,
-   UNLESS YOU HAVE A VERY GOOD REASON 
+   UNLESS YOU HAVE A VERY GOOD REASON
  */
 
 #ifndef _reech4x4_h_
@@ -48,43 +48,43 @@
 
 
 extern void Reech3DTriLin4x4_u8 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     );
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             );
 extern void Reech3DTriLin4x4gb_u8 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias );
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias );
 extern void Reech3DNearest4x4_u8 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      );
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              );
 extern void Reech2DTriLin4x4_u8 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     );
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             );
 extern void Reech2DTriLin4x4gb_u8 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias );
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias );
 extern void Reech2DNearest4x4_u8 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      );
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              );
 
 
 
@@ -92,43 +92,43 @@ extern void Reech2DNearest4x4_u8 ( void*
 
 
 extern void Reech3DTriLin4x4_s8 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     );
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             );
 extern void Reech3DTriLin4x4gb_s8 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias );
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias );
 extern void Reech3DNearest4x4_s8 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      );
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              );
 extern void Reech2DTriLin4x4_s8 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     );
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             );
 extern void Reech2DTriLin4x4gb_s8 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias );
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias );
 extern void Reech2DNearest4x4_s8 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      );
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              );
 
 
 
@@ -136,43 +136,43 @@ extern void Reech2DNearest4x4_s8 ( void*
 
 
 extern void Reech3DTriLin4x4_u16 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     );
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             );
 extern void Reech3DTriLin4x4gb_u16 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias );
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias );
 extern void Reech3DNearest4x4_u16 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      );
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              );
 extern void Reech2DTriLin4x4_u16 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     );
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             );
 extern void Reech2DTriLin4x4gb_u16 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias );
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias );
 extern void Reech2DNearest4x4_u16 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      );
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              );
 
 
 
@@ -180,43 +180,43 @@ extern void Reech2DNearest4x4_u16 ( void
 
 
 extern void Reech3DTriLin4x4_s16 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     );
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             );
 extern void Reech3DTriLin4x4gb_s16 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias );
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias );
 extern void Reech3DNearest4x4_s16 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      );
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              );
 extern void Reech2DTriLin4x4_s16 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     );
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             );
 extern void Reech2DTriLin4x4gb_s16 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias );
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias );
 extern void Reech2DNearest4x4_s16 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      );
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              );
 
 
 
@@ -224,43 +224,43 @@ extern void Reech2DNearest4x4_s16 ( void
 
 
 extern void Reech3DTriLin4x4_r32 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     );
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             );
 extern void Reech3DTriLin4x4gb_r32 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias );
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias );
 extern void Reech3DNearest4x4_r32 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      );
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              );
 extern void Reech2DTriLin4x4_r32 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     );
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             );
 extern void Reech2DTriLin4x4gb_r32 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias );
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias );
 extern void Reech2DNearest4x4_r32 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      );
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              );
 
 
 
diff -pruN 5.0.2-3/include/CGAL/ImageIO/reech4x4_impl.h 5.0.3-1/include/CGAL/ImageIO/reech4x4_impl.h
--- 5.0.2-3/include/CGAL/ImageIO/reech4x4_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/reech4x4_impl.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/reech4x4_impl.h $
-// $Id: reech4x4_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/reech4x4_impl.h $
+// $Id: reech4x4_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
@@ -13,20 +13,20 @@
 /*************************************************************************
  * reech4x4.c -
  *
- * $Id: reech4x4_impl.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+ * $Id: reech4x4_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  *
  * Copyright©INRIA 1999
  *
  * AUTHOR:
  * Gregoire Malandain (greg@sophia.inria.fr)
- * 
- * CREATION DATE: 
+ *
+ * CREATION DATE:
  *
  *
  * ADDITIONS, CHANGES
- *	
- *	
- *	
+ *
+ *
+ *
  *
  */
 
@@ -38,7 +38,7 @@
 
 /* CAUTION
    DO NOT EDIT THIS FILE,
-   UNLESS YOU HAVE A VERY GOOD REASON 
+   UNLESS YOU HAVE A VERY GOOD REASON
  */
 
 #include <stdio.h>
@@ -73,9 +73,9 @@ inline int& get_static_verbose_reech4x4(
 /* Resampling procedure.
 
    Work for 3D images, not for vectorial ones.
-   
+
    (double* mat) is the matrix which permits to get
-   from resBuf into theBuf. 
+   from resBuf into theBuf.
    If one only have the matrix from theBuf into resBuf,
    it must be inverted first.
 
@@ -91,11 +91,11 @@ inline int& get_static_verbose_reech4x4(
 
 CGAL_INLINE_FUNCTION
 void Reech3DTriLin4x4_u8 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     )
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             )
 {
   int i, j, k, ix, iy, iz;
   double x, y, z, dx, dy, dz, dxdy,dxdz,dydz,dxdydz;
@@ -126,115 +126,115 @@ void Reech3DTriLin4x4_u8 ( void* theBuf,
       if ((z < -0.5) || ( z > ddimz)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
+         the image */
       ix = (int)x;
       iy = (int)y;
       iz = (int)z;
       tpt = (u8 *)tbuf;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) &&
-	   (z > 0.0) && (iz < t1dimz) ) {
-	/* the corresponding point is in the box defined 
-	   by (ix[+1],iy[+1],iz[+1]) */
-	dx = x - ix;
-	dy = y - iy;
-	dz = z - iz;
-	dxdy = dx*dy;
-	dxdz = dx*dz;
-	dydz = dy*dz;
-	dxdydz = dxdy*dz;
-
-	/* we have
-	   v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
-	   v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
-	   v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
-	   v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
-	   v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
-	   v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
-	   v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
-	   v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
-	*/
-	tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
-	v6 = dxdz-dxdydz;
-	v5 = dxdy-dxdydz;
-	v4 = dx-dxdy-v6;
-
-	res = 0;
-	res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
-	tpt --;
-	res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
-	tpt -= t1dimx;
-	res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
-	tpt --;
-	res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
-	tpt -= toffset2;
-	res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
-	tpt --;
-	res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
-	tpt -= t1dimx;
-	res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
-	tpt --;
-	res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
-	*rbuf = (u8)_CONVERTI_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) &&
+           (z > 0.0) && (iz < t1dimz) ) {
+        /* the corresponding point is in the box defined
+           by (ix[+1],iy[+1],iz[+1]) */
+        dx = x - ix;
+        dy = y - iy;
+        dz = z - iz;
+        dxdy = dx*dy;
+        dxdz = dx*dz;
+        dydz = dy*dz;
+        dxdydz = dxdy*dz;
+
+        /* we have
+           v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
+           v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
+           v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
+           v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
+           v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
+           v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
+           v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
+           v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
+        */
+        tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
+        v6 = dxdz-dxdydz;
+        v5 = dxdy-dxdydz;
+        v4 = dx-dxdy-v6;
+
+        res = 0;
+        res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
+        tpt --;
+        res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
+        tpt -= t1dimx;
+        res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
+        tpt --;
+        res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
+        tpt -= toffset2;
+        res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
+        tpt --;
+        res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
+        tpt -= t1dimx;
+        res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
+        tpt --;
+        res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
+        *rbuf = (u8)_CONVERTI_( res );
+        continue;
       }
       /* here, we are sure we are on some border */
       tpt += ix + iy * tdimx + iz * tdimxy;
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  if ( (z < 0.0) || (iz == t1dimz) ) {
-	    *rbuf = *tpt;
-	    continue;
-	  }
-	  dz = z - iz;
-	  res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
-	  tpt += tdimxy;
-	  res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
-	  *rbuf = (u8)_CONVERTI_( res );
-	  continue;
-	}
-	dy = y - iy;
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
-	  tpt += tdimx;
-	  res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
-	  *rbuf = (u8)_CONVERTI_( res );
-	  continue;
- 	}
-	dz = z - iz;
-	res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt += tdimx;
-	res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
-	tpt += toffset2+1;
-	res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt += tdimx;
-	res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
-	*rbuf = (u8)_CONVERTI_( res );
-	continue;
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          if ( (z < 0.0) || (iz == t1dimz) ) {
+            *rbuf = *tpt;
+            continue;
+          }
+          dz = z - iz;
+          res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
+          tpt += tdimxy;
+          res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
+          *rbuf = (u8)_CONVERTI_( res );
+          continue;
+        }
+        dy = y - iy;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
+          tpt += tdimx;
+          res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
+          *rbuf = (u8)_CONVERTI_( res );
+          continue;
+         }
+        dz = z - iz;
+        res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt += tdimx;
+        res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
+        tpt += toffset2+1;
+        res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt += tdimx;
+        res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
+        *rbuf = (u8)_CONVERTI_( res );
+        continue;
       }
       /* here we are sure that the border is either
-	 along the Y or the Z axis */
+         along the Y or the Z axis */
       dx = x - ix;
       if ( (y < 0.0) || (iy == t1dimy) ) {
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
-	  tpt ++;
-	  res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	  *rbuf = (u8)_CONVERTI_( res );
-	  continue;
-	}
-	dz = z - iz;
-	res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt ++;
-	res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	tpt += tdimxy-1;
-	res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt ++;
-	res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
-	*rbuf = (u8)_CONVERTI_( res );
-	continue;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
+          tpt ++;
+          res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
+          *rbuf = (u8)_CONVERTI_( res );
+          continue;
+        }
+        dz = z - iz;
+        res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt ++;
+        res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
+        tpt += tdimxy-1;
+        res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt ++;
+        res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
+        *rbuf = (u8)_CONVERTI_( res );
+        continue;
       }
       /* here we are sure that the border is along the Z axis */
       dy = y - iy;
@@ -252,12 +252,12 @@ void Reech3DTriLin4x4_u8 ( void* theBuf,
 
 CGAL_INLINE_FUNCTION
 void Reech3DTriLin4x4gb_u8 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias )
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias )
 {
   int i, j, k, ix, iy, iz;
   double x, y, z, dx, dy, dz, dxdy,dxdz,dydz,dxdydz;
@@ -290,122 +290,122 @@ void Reech3DTriLin4x4gb_u8 ( void* theBu
       if ((z < -0.5) || ( z > ddimz)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
+         the image */
       ix = (int)x;
       iy = (int)y;
       iz = (int)z;
       tpt = (u8 *)tbuf;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) &&
-	   (z > 0.0) && (iz < t1dimz) ) {
-	/* the corresponding point is in the box defined 
-	   by (ix[+1],iy[+1],iz[+1]) */
-	dx = x - ix;
-	dy = y - iy;
-	dz = z - iz;
-	dxdy = dx*dy;
-	dxdz = dx*dz;
-	dydz = dy*dz;
-	dxdydz = dxdy*dz;
-
-	/* we have
-	   v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
-	   v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
-	   v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
-	   v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
-	   v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
-	   v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
-	   v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
-	   v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
-	*/
-	tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
-	v6 = dxdz-dxdydz;
-	v5 = dxdy-dxdydz;
-	v4 = dx-dxdy-v6;
-
-	res = 0;
-	res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
-	tpt --;
-	res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
-	tpt -= t1dimx;
-	res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
-	tpt --;
-	res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
-	tpt -= toffset2;
-	res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
-	tpt --;
-	res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
-	tpt -= t1dimx;
-	res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
-	tpt --;
-	res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
-	res = res * g + b;
-	*rbuf = (u8)_CONVERTI_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) &&
+           (z > 0.0) && (iz < t1dimz) ) {
+        /* the corresponding point is in the box defined
+           by (ix[+1],iy[+1],iz[+1]) */
+        dx = x - ix;
+        dy = y - iy;
+        dz = z - iz;
+        dxdy = dx*dy;
+        dxdz = dx*dz;
+        dydz = dy*dz;
+        dxdydz = dxdy*dz;
+
+        /* we have
+           v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
+           v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
+           v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
+           v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
+           v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
+           v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
+           v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
+           v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
+        */
+        tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
+        v6 = dxdz-dxdydz;
+        v5 = dxdy-dxdydz;
+        v4 = dx-dxdy-v6;
+
+        res = 0;
+        res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
+        tpt --;
+        res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
+        tpt -= t1dimx;
+        res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
+        tpt --;
+        res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
+        tpt -= toffset2;
+        res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
+        tpt --;
+        res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
+        tpt -= t1dimx;
+        res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
+        tpt --;
+        res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
+        res = res * g + b;
+        *rbuf = (u8)_CONVERTI_( res );
+        continue;
       }
       /* here, we are sure we are on some border */
       tpt += ix + iy * tdimx + iz * tdimxy;
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  if ( (z < 0.0) || (iz == t1dimz) ) {
-	    res = (double)(*tpt) * g + b;
-	    *rbuf = (u8)_CONVERTI_( res );
-	    continue;
-	  }
-	  dz = z - iz;
-	  res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
-	  tpt += tdimxy;
-	  res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
-	  res = res * g + b;
-	  *rbuf = (u8)_CONVERTI_( res );
-	  continue;
-	}
-	dy = y - iy;
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
-	  tpt += tdimx;
-	  res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
-	  res = res * g + b;
-	  *rbuf = (u8)_CONVERTI_( res );
-	  continue;
- 	}
-	dz = z - iz;
-	res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt += tdimx;
-	res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
-	tpt += toffset2+1;
-	res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt += tdimx;
-	res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
-	res = res * g + b;
-	*rbuf = (u8)_CONVERTI_( res );
-	continue;
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          if ( (z < 0.0) || (iz == t1dimz) ) {
+            res = (double)(*tpt) * g + b;
+            *rbuf = (u8)_CONVERTI_( res );
+            continue;
+          }
+          dz = z - iz;
+          res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
+          tpt += tdimxy;
+          res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
+          res = res * g + b;
+          *rbuf = (u8)_CONVERTI_( res );
+          continue;
+        }
+        dy = y - iy;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
+          tpt += tdimx;
+          res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
+          res = res * g + b;
+          *rbuf = (u8)_CONVERTI_( res );
+          continue;
+         }
+        dz = z - iz;
+        res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt += tdimx;
+        res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
+        tpt += toffset2+1;
+        res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt += tdimx;
+        res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
+        res = res * g + b;
+        *rbuf = (u8)_CONVERTI_( res );
+        continue;
       }
       /* here we are sure that the border is either
-	 along the Y or the Z axis */
+         along the Y or the Z axis */
       dx = x - ix;
       if ( (y < 0.0) || (iy == t1dimy) ) {
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
-	  tpt ++;
-	  res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	  res = res * g + b;
-	  *rbuf = (u8)_CONVERTI_( res );
-	  continue;
-	}
-	dz = z - iz;
-	res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt ++;
-	res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	tpt += tdimxy-1;
-	res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt ++;
-	res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
-	res = res * g + b;
-	*rbuf = (u8)_CONVERTI_( res );
-	continue;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
+          tpt ++;
+          res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
+          res = res * g + b;
+          *rbuf = (u8)_CONVERTI_( res );
+          continue;
+        }
+        dz = z - iz;
+        res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt ++;
+        res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
+        tpt += tdimxy-1;
+        res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt ++;
+        res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
+        res = res * g + b;
+        *rbuf = (u8)_CONVERTI_( res );
+        continue;
       }
       /* here we are sure that the border is along the Z axis */
       dy = y - iy;
@@ -424,11 +424,11 @@ void Reech3DTriLin4x4gb_u8 ( void* theBu
 
 CGAL_INLINE_FUNCTION
 void Reech3DNearest4x4_u8 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      )
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              )
 {
   int i, j, k, ix, iy, iz;
   double x, y, z;
@@ -454,7 +454,7 @@ void Reech3DNearest4x4_u8 ( void* theBuf
       z = mat[8] * i +  mat[9] * j + mat[10] * k + mat[11];
       iz = (int)(z+0.5);
       if (( z < -0.5 ) || ( iz > t1dimz)) { *rbuf = 0; continue; }
-      
+
       *rbuf = tbuf[ ix + iy * tdimx + iz * tdimxy ];
     }
   }
@@ -462,11 +462,11 @@ void Reech3DNearest4x4_u8 ( void* theBuf
 
 CGAL_INLINE_FUNCTION
 void Reech2DTriLin4x4_u8 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     )
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             )
 {
   int i, j, k, ix, iy;
   double x, y, dx, dy, dxdy;
@@ -495,50 +495,50 @@ void Reech2DTriLin4x4_u8 ( void* theBuf,
       if ((y < -0.5) || ( y > ddimy)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
-      ix = (int)x;      
+         the image */
+      ix = (int)x;
       iy = (int)y;
       tpt = (u8 *)tbuf;
       tpt += ix + iy * tdimx;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) ) {
-	dx = x - ix;
-	dy = y - iy;
-	dxdy = dx*dy;
-	/* we have
-	   v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
-	   v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
-	   v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
-	   v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
-	*/
-	v = dy-dxdy;
-	res = 0;
-	res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
-	tpt ++;
-	res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
-	tpt += toffset;
-	res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
-	tpt ++;
-	res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
-	*rbuf = (u8)_CONVERTI_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) ) {
+        dx = x - ix;
+        dy = y - iy;
+        dxdy = dx*dy;
+        /* we have
+           v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
+           v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
+           v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
+           v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
+        */
+        v = dy-dxdy;
+        res = 0;
+        res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
+        tpt ++;
+        res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
+        tpt += toffset;
+        res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
+        tpt ++;
+        res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
+        *rbuf = (u8)_CONVERTI_( res );
+        continue;
       }
 
       /* here, we are sure we are on some border */
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	/* we just look at y */
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  *rbuf = *tpt;
-	  continue;
-	}
-	dy = y - iy;
-	res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
-	tpt += tdimx;
-	res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
-	*rbuf = (u8)_CONVERTI_( res );
-	continue;
+        /* we just look at y */
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          *rbuf = *tpt;
+          continue;
+        }
+        dy = y - iy;
+        res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
+        tpt += tdimx;
+        res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
+        *rbuf = (u8)_CONVERTI_( res );
+        continue;
       }
       dx = x - ix;
       res  = (1-dx) * (*tpt); /* (1-dx)* tbuf(ix,iy) */
@@ -551,12 +551,12 @@ void Reech2DTriLin4x4_u8 ( void* theBuf,
 
 CGAL_INLINE_FUNCTION
 void Reech2DTriLin4x4gb_u8 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias )
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias )
 {
   int i, j, k, ix, iy;
   double x, y, dx, dy, dxdy;
@@ -587,53 +587,53 @@ void Reech2DTriLin4x4gb_u8 ( void* theBu
       if ((y < -0.5) || ( y > ddimy)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
-      ix = (int)x;      
+         the image */
+      ix = (int)x;
       iy = (int)y;
       tpt = (u8 *)tbuf;
       tpt += ix + iy * tdimx;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) ) {
-	dx = x - ix;
-	dy = y - iy;
-	dxdy = dx*dy;
-	/* we have
-	   v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
-	   v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
-	   v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
-	   v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
-	*/
-	v = dy-dxdy;
-	res = 0;
-	res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
-	tpt ++;
-	res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
-	tpt += toffset;
-	res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
-	tpt ++;
-	res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
-	res = res * g + b;
-	*rbuf = (u8)_CONVERTI_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) ) {
+        dx = x - ix;
+        dy = y - iy;
+        dxdy = dx*dy;
+        /* we have
+           v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
+           v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
+           v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
+           v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
+        */
+        v = dy-dxdy;
+        res = 0;
+        res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
+        tpt ++;
+        res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
+        tpt += toffset;
+        res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
+        tpt ++;
+        res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
+        res = res * g + b;
+        *rbuf = (u8)_CONVERTI_( res );
+        continue;
       }
 
       /* here, we are sure we are on some border */
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	/* we just look at y */
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  res = (double)(*tpt) * g + b;
-	  *rbuf = (u8)_CONVERTI_( res );
-	  continue;
-	}
-	dy = y - iy;
-	res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
-	tpt += tdimx;
-	res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
-	res = (double)(*tpt) * g + b;
-	*rbuf = (u8)_CONVERTI_( res );
-	continue;
+        /* we just look at y */
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          res = (double)(*tpt) * g + b;
+          *rbuf = (u8)_CONVERTI_( res );
+          continue;
+        }
+        dy = y - iy;
+        res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
+        tpt += tdimx;
+        res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
+        res = (double)(*tpt) * g + b;
+        *rbuf = (u8)_CONVERTI_( res );
+        continue;
       }
       dx = x - ix;
       res  = (1-dx) * (*tpt); /* (1-dx)* tbuf(ix,iy) */
@@ -647,11 +647,11 @@ void Reech2DTriLin4x4gb_u8 ( void* theBu
 
 CGAL_INLINE_FUNCTION
 void Reech2DNearest4x4_u8 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      )
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              )
 {
   int i, j, k, ix, iy;
   double x, y;
@@ -676,7 +676,7 @@ void Reech2DNearest4x4_u8 ( void* theBuf
       y = mat[4] * i +  mat[5] * j + mat[7];
       iy = (int)(y+0.5);
       if (( y < -0.5 ) || ( iy > t1dimy)) { *rbuf = 0; continue; }
-      
+
       *rbuf = tbuf[ ix + iy * tdimx ];
     }
   }
@@ -690,9 +690,9 @@ void Reech2DNearest4x4_u8 ( void* theBuf
 /* Resampling procedure.
 
    Work for 3D images, not for vectorial ones.
-   
+
    (double* mat) is the matrix which permits to get
-   from resBuf into theBuf. 
+   from resBuf into theBuf.
    If one only have the matrix from theBuf into resBuf,
    it must be inverted first.
 
@@ -707,11 +707,11 @@ void Reech2DNearest4x4_u8 ( void* theBuf
 */
 CGAL_INLINE_FUNCTION
 void Reech3DTriLin4x4_s8 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     )
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             )
 {
   int i, j, k, ix, iy, iz;
   double x, y, z, dx, dy, dz, dxdy,dxdz,dydz,dxdydz;
@@ -742,115 +742,115 @@ void Reech3DTriLin4x4_s8 ( void* theBuf,
       if ((z < -0.5) || ( z > ddimz)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
+         the image */
       ix = (int)x;
       iy = (int)y;
       iz = (int)z;
       tpt = (s8 *)tbuf;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) &&
-	   (z > 0.0) && (iz < t1dimz) ) {
-	/* the corresponding point is in the box defined 
-	   by (ix[+1],iy[+1],iz[+1]) */
-	dx = x - ix;
-	dy = y - iy;
-	dz = z - iz;
-	dxdy = dx*dy;
-	dxdz = dx*dz;
-	dydz = dy*dz;
-	dxdydz = dxdy*dz;
-
-	/* we have
-	   v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
-	   v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
-	   v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
-	   v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
-	   v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
-	   v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
-	   v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
-	   v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
-	*/
-	tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
-	v6 = dxdz-dxdydz;
-	v5 = dxdy-dxdydz;
-	v4 = dx-dxdy-v6;
-
-	res = 0;
-	res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
-	tpt --;
-	res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
-	tpt -= t1dimx;
-	res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
-	tpt --;
-	res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
-	tpt -= toffset2;
-	res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
-	tpt --;
-	res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
-	tpt -= t1dimx;
-	res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
-	tpt --;
-	res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
-	*rbuf = (s8)_CONVERTI_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) &&
+           (z > 0.0) && (iz < t1dimz) ) {
+        /* the corresponding point is in the box defined
+           by (ix[+1],iy[+1],iz[+1]) */
+        dx = x - ix;
+        dy = y - iy;
+        dz = z - iz;
+        dxdy = dx*dy;
+        dxdz = dx*dz;
+        dydz = dy*dz;
+        dxdydz = dxdy*dz;
+
+        /* we have
+           v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
+           v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
+           v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
+           v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
+           v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
+           v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
+           v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
+           v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
+        */
+        tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
+        v6 = dxdz-dxdydz;
+        v5 = dxdy-dxdydz;
+        v4 = dx-dxdy-v6;
+
+        res = 0;
+        res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
+        tpt --;
+        res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
+        tpt -= t1dimx;
+        res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
+        tpt --;
+        res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
+        tpt -= toffset2;
+        res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
+        tpt --;
+        res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
+        tpt -= t1dimx;
+        res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
+        tpt --;
+        res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
+        *rbuf = (s8)_CONVERTI_( res );
+        continue;
       }
       /* here, we are sure we are on some border */
       tpt += ix + iy * tdimx + iz * tdimxy;
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  if ( (z < 0.0) || (iz == t1dimz) ) {
-	    *rbuf = *tpt;
-	    continue;
-	  }
-	  dz = z - iz;
-	  res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
-	  tpt += tdimxy;
-	  res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
-	  *rbuf = (s8)_CONVERTI_( res );
-	  continue;
-	}
-	dy = y - iy;
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
-	  tpt += tdimx;
-	  res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
-	  *rbuf = (s8)_CONVERTI_( res );
-	  continue;
- 	}
-	dz = z - iz;
-	res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt += tdimx;
-	res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
-	tpt += toffset2+1;
-	res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt += tdimx;
-	res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
-	*rbuf = (s8)_CONVERTI_( res );
-	continue;
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          if ( (z < 0.0) || (iz == t1dimz) ) {
+            *rbuf = *tpt;
+            continue;
+          }
+          dz = z - iz;
+          res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
+          tpt += tdimxy;
+          res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
+          *rbuf = (s8)_CONVERTI_( res );
+          continue;
+        }
+        dy = y - iy;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
+          tpt += tdimx;
+          res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
+          *rbuf = (s8)_CONVERTI_( res );
+          continue;
+         }
+        dz = z - iz;
+        res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt += tdimx;
+        res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
+        tpt += toffset2+1;
+        res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt += tdimx;
+        res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
+        *rbuf = (s8)_CONVERTI_( res );
+        continue;
       }
       /* here we are sure that the border is either
-	 along the Y or the Z axis */
+         along the Y or the Z axis */
       dx = x - ix;
       if ( (y < 0.0) || (iy == t1dimy) ) {
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
-	  tpt ++;
-	  res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	  *rbuf = (s8)_CONVERTI_( res );
-	  continue;
-	}
-	dz = z - iz;
-	res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt ++;
-	res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	tpt += tdimxy-1;
-	res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt ++;
-	res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
-	*rbuf = (s8)_CONVERTI_( res );
-	continue;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
+          tpt ++;
+          res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
+          *rbuf = (s8)_CONVERTI_( res );
+          continue;
+        }
+        dz = z - iz;
+        res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt ++;
+        res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
+        tpt += tdimxy-1;
+        res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt ++;
+        res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
+        *rbuf = (s8)_CONVERTI_( res );
+        continue;
       }
       /* here we are sure that the border is along the Z axis */
       dy = y - iy;
@@ -868,12 +868,12 @@ void Reech3DTriLin4x4_s8 ( void* theBuf,
 
 CGAL_INLINE_FUNCTION
 void Reech3DTriLin4x4gb_s8 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias )
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias )
 {
   int i, j, k, ix, iy, iz;
   double x, y, z, dx, dy, dz, dxdy,dxdz,dydz,dxdydz;
@@ -906,122 +906,122 @@ void Reech3DTriLin4x4gb_s8 ( void* theBu
       if ((z < -0.5) || ( z > ddimz)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
+         the image */
       ix = (int)x;
       iy = (int)y;
       iz = (int)z;
       tpt = (s8 *)tbuf;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) &&
-	   (z > 0.0) && (iz < t1dimz) ) {
-	/* the corresponding point is in the box defined 
-	   by (ix[+1],iy[+1],iz[+1]) */
-	dx = x - ix;
-	dy = y - iy;
-	dz = z - iz;
-	dxdy = dx*dy;
-	dxdz = dx*dz;
-	dydz = dy*dz;
-	dxdydz = dxdy*dz;
-
-	/* we have
-	   v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
-	   v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
-	   v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
-	   v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
-	   v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
-	   v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
-	   v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
-	   v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
-	*/
-	tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
-	v6 = dxdz-dxdydz;
-	v5 = dxdy-dxdydz;
-	v4 = dx-dxdy-v6;
-
-	res = 0;
-	res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
-	tpt --;
-	res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
-	tpt -= t1dimx;
-	res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
-	tpt --;
-	res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
-	tpt -= toffset2;
-	res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
-	tpt --;
-	res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
-	tpt -= t1dimx;
-	res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
-	tpt --;
-	res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
-	res = res * g + b;
-	*rbuf = (s8)_CONVERTI_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) &&
+           (z > 0.0) && (iz < t1dimz) ) {
+        /* the corresponding point is in the box defined
+           by (ix[+1],iy[+1],iz[+1]) */
+        dx = x - ix;
+        dy = y - iy;
+        dz = z - iz;
+        dxdy = dx*dy;
+        dxdz = dx*dz;
+        dydz = dy*dz;
+        dxdydz = dxdy*dz;
+
+        /* we have
+           v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
+           v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
+           v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
+           v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
+           v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
+           v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
+           v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
+           v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
+        */
+        tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
+        v6 = dxdz-dxdydz;
+        v5 = dxdy-dxdydz;
+        v4 = dx-dxdy-v6;
+
+        res = 0;
+        res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
+        tpt --;
+        res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
+        tpt -= t1dimx;
+        res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
+        tpt --;
+        res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
+        tpt -= toffset2;
+        res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
+        tpt --;
+        res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
+        tpt -= t1dimx;
+        res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
+        tpt --;
+        res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
+        res = res * g + b;
+        *rbuf = (s8)_CONVERTI_( res );
+        continue;
       }
       /* here, we are sure we are on some border */
       tpt += ix + iy * tdimx + iz * tdimxy;
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  if ( (z < 0.0) || (iz == t1dimz) ) {
-	    res = (double)(*tpt) * g + b;
-	    *rbuf = (s8)_CONVERTI_( res );
-	    continue;
-	  }
-	  dz = z - iz;
-	  res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
-	  tpt += tdimxy;
-	  res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
-	  res = res * g + b;
-	  *rbuf = (s8)_CONVERTI_( res );
-	  continue;
-	}
-	dy = y - iy;
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
-	  tpt += tdimx;
-	  res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
-	  res = res * g + b;
-	  *rbuf = (s8)_CONVERTI_( res );
-	  continue;
- 	}
-	dz = z - iz;
-	res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt += tdimx;
-	res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
-	tpt += toffset2+1;
-	res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt += tdimx;
-	res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
-	res = res * g + b;
-	*rbuf = (s8)_CONVERTI_( res );
-	continue;
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          if ( (z < 0.0) || (iz == t1dimz) ) {
+            res = (double)(*tpt) * g + b;
+            *rbuf = (s8)_CONVERTI_( res );
+            continue;
+          }
+          dz = z - iz;
+          res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
+          tpt += tdimxy;
+          res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
+          res = res * g + b;
+          *rbuf = (s8)_CONVERTI_( res );
+          continue;
+        }
+        dy = y - iy;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
+          tpt += tdimx;
+          res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
+          res = res * g + b;
+          *rbuf = (s8)_CONVERTI_( res );
+          continue;
+         }
+        dz = z - iz;
+        res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt += tdimx;
+        res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
+        tpt += toffset2+1;
+        res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt += tdimx;
+        res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
+        res = res * g + b;
+        *rbuf = (s8)_CONVERTI_( res );
+        continue;
       }
       /* here we are sure that the border is either
-	 along the Y or the Z axis */
+         along the Y or the Z axis */
       dx = x - ix;
       if ( (y < 0.0) || (iy == t1dimy) ) {
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
-	  tpt ++;
-	  res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	  res = res * g + b;
-	  *rbuf = (s8)_CONVERTI_( res );
-	  continue;
-	}
-	dz = z - iz;
-	res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt ++;
-	res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	tpt += tdimxy-1;
-	res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt ++;
-	res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
-	res = res * g + b;
-	*rbuf = (s8)_CONVERTI_( res );
-	continue;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
+          tpt ++;
+          res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
+          res = res * g + b;
+          *rbuf = (s8)_CONVERTI_( res );
+          continue;
+        }
+        dz = z - iz;
+        res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt ++;
+        res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
+        tpt += tdimxy-1;
+        res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt ++;
+        res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
+        res = res * g + b;
+        *rbuf = (s8)_CONVERTI_( res );
+        continue;
       }
       /* here we are sure that the border is along the Z axis */
       dy = y - iy;
@@ -1040,11 +1040,11 @@ void Reech3DTriLin4x4gb_s8 ( void* theBu
 
 CGAL_INLINE_FUNCTION
 void Reech3DNearest4x4_s8 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      )
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              )
 {
   int i, j, k, ix, iy, iz;
   double x, y, z;
@@ -1070,7 +1070,7 @@ void Reech3DNearest4x4_s8 ( void* theBuf
       z = mat[8] * i +  mat[9] * j + mat[10] * k + mat[11];
       iz = (int)(z+0.5);
       if (( z < -0.5 ) || ( iz > t1dimz)) { *rbuf = 0; continue; }
-      
+
       *rbuf = tbuf[ ix + iy * tdimx + iz * tdimxy ];
     }
   }
@@ -1078,11 +1078,11 @@ void Reech3DNearest4x4_s8 ( void* theBuf
 
 CGAL_INLINE_FUNCTION
 void Reech2DTriLin4x4_s8 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     )
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             )
 {
   int i, j, k, ix, iy;
   double x, y, dx, dy, dxdy;
@@ -1111,50 +1111,50 @@ void Reech2DTriLin4x4_s8 ( void* theBuf,
       if ((y < -0.5) || ( y > ddimy)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
-      ix = (int)x;      
+         the image */
+      ix = (int)x;
       iy = (int)y;
       tpt = (s8 *)tbuf;
       tpt += ix + iy * tdimx;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) ) {
-	dx = x - ix;
-	dy = y - iy;
-	dxdy = dx*dy;
-	/* we have
-	   v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
-	   v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
-	   v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
-	   v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
-	*/
-	v = dy-dxdy;
-	res = 0;
-	res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
-	tpt ++;
-	res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
-	tpt += toffset;
-	res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
-	tpt ++;
-	res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
-	*rbuf = (s8)_CONVERTI_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) ) {
+        dx = x - ix;
+        dy = y - iy;
+        dxdy = dx*dy;
+        /* we have
+           v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
+           v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
+           v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
+           v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
+        */
+        v = dy-dxdy;
+        res = 0;
+        res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
+        tpt ++;
+        res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
+        tpt += toffset;
+        res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
+        tpt ++;
+        res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
+        *rbuf = (s8)_CONVERTI_( res );
+        continue;
       }
 
       /* here, we are sure we are on some border */
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	/* we just look at y */
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  *rbuf = *tpt;
-	  continue;
-	}
-	dy = y - iy;
-	res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
-	tpt += tdimx;
-	res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
-	*rbuf = (s8)_CONVERTI_( res );
-	continue;
+        /* we just look at y */
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          *rbuf = *tpt;
+          continue;
+        }
+        dy = y - iy;
+        res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
+        tpt += tdimx;
+        res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
+        *rbuf = (s8)_CONVERTI_( res );
+        continue;
       }
       dx = x - ix;
       res  = (1-dx) * (*tpt); /* (1-dx)* tbuf(ix,iy) */
@@ -1167,12 +1167,12 @@ void Reech2DTriLin4x4_s8 ( void* theBuf,
 
 CGAL_INLINE_FUNCTION
 void Reech2DTriLin4x4gb_s8 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias )
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias )
 {
   int i, j, k, ix, iy;
   double x, y, dx, dy, dxdy;
@@ -1203,53 +1203,53 @@ void Reech2DTriLin4x4gb_s8 ( void* theBu
       if ((y < -0.5) || ( y > ddimy)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
-      ix = (int)x;      
+         the image */
+      ix = (int)x;
       iy = (int)y;
       tpt = (s8 *)tbuf;
       tpt += ix + iy * tdimx;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) ) {
-	dx = x - ix;
-	dy = y - iy;
-	dxdy = dx*dy;
-	/* we have
-	   v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
-	   v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
-	   v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
-	   v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
-	*/
-	v = dy-dxdy;
-	res = 0;
-	res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
-	tpt ++;
-	res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
-	tpt += toffset;
-	res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
-	tpt ++;
-	res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
-	res = res * g + b;
-	*rbuf = (s8)_CONVERTI_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) ) {
+        dx = x - ix;
+        dy = y - iy;
+        dxdy = dx*dy;
+        /* we have
+           v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
+           v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
+           v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
+           v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
+        */
+        v = dy-dxdy;
+        res = 0;
+        res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
+        tpt ++;
+        res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
+        tpt += toffset;
+        res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
+        tpt ++;
+        res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
+        res = res * g + b;
+        *rbuf = (s8)_CONVERTI_( res );
+        continue;
       }
 
       /* here, we are sure we are on some border */
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	/* we just look at y */
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  res = (double)(*tpt) * g + b;
-	  *rbuf = (s8)_CONVERTI_( res );
-	  continue;
-	}
-	dy = y - iy;
-	res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
-	tpt += tdimx;
-	res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
-	res = (double)(*tpt) * g + b;
-	*rbuf = (s8)_CONVERTI_( res );
-	continue;
+        /* we just look at y */
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          res = (double)(*tpt) * g + b;
+          *rbuf = (s8)_CONVERTI_( res );
+          continue;
+        }
+        dy = y - iy;
+        res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
+        tpt += tdimx;
+        res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
+        res = (double)(*tpt) * g + b;
+        *rbuf = (s8)_CONVERTI_( res );
+        continue;
       }
       dx = x - ix;
       res  = (1-dx) * (*tpt); /* (1-dx)* tbuf(ix,iy) */
@@ -1263,11 +1263,11 @@ void Reech2DTriLin4x4gb_s8 ( void* theBu
 
 CGAL_INLINE_FUNCTION
 void Reech2DNearest4x4_s8 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      )
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              )
 {
   int i, j, k, ix, iy;
   double x, y;
@@ -1292,7 +1292,7 @@ void Reech2DNearest4x4_s8 ( void* theBuf
       y = mat[4] * i +  mat[5] * j + mat[7];
       iy = (int)(y+0.5);
       if (( y < -0.5 ) || ( iy > t1dimy)) { *rbuf = 0; continue; }
-      
+
       *rbuf = tbuf[ ix + iy * tdimx ];
     }
   }
@@ -1306,9 +1306,9 @@ void Reech2DNearest4x4_s8 ( void* theBuf
 /* Resampling procedure.
 
    Work for 3D images, not for vectorial ones.
-   
+
    (double* mat) is the matrix which permits to get
-   from resBuf into theBuf. 
+   from resBuf into theBuf.
    If one only have the matrix from theBuf into resBuf,
    it must be inverted first.
 
@@ -1324,11 +1324,11 @@ void Reech2DNearest4x4_s8 ( void* theBuf
 
 CGAL_INLINE_FUNCTION
 void Reech3DTriLin4x4_u16 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     )
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             )
 {
   int i, j, k, ix, iy, iz;
   double x, y, z, dx, dy, dz, dxdy,dxdz,dydz,dxdydz;
@@ -1359,115 +1359,115 @@ void Reech3DTriLin4x4_u16 ( void* theBuf
       if ((z < -0.5) || ( z > ddimz)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
+         the image */
       ix = (int)x;
       iy = (int)y;
       iz = (int)z;
       tpt = (u16 *)tbuf;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) &&
-	   (z > 0.0) && (iz < t1dimz) ) {
-	/* the corresponding point is in the box defined 
-	   by (ix[+1],iy[+1],iz[+1]) */
-	dx = x - ix;
-	dy = y - iy;
-	dz = z - iz;
-	dxdy = dx*dy;
-	dxdz = dx*dz;
-	dydz = dy*dz;
-	dxdydz = dxdy*dz;
-
-	/* we have
-	   v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
-	   v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
-	   v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
-	   v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
-	   v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
-	   v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
-	   v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
-	   v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
-	*/
-	tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
-	v6 = dxdz-dxdydz;
-	v5 = dxdy-dxdydz;
-	v4 = dx-dxdy-v6;
-
-	res = 0;
-	res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
-	tpt --;
-	res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
-	tpt -= t1dimx;
-	res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
-	tpt --;
-	res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
-	tpt -= toffset2;
-	res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
-	tpt --;
-	res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
-	tpt -= t1dimx;
-	res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
-	tpt --;
-	res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
-	*rbuf = (u16)_CONVERTI_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) &&
+           (z > 0.0) && (iz < t1dimz) ) {
+        /* the corresponding point is in the box defined
+           by (ix[+1],iy[+1],iz[+1]) */
+        dx = x - ix;
+        dy = y - iy;
+        dz = z - iz;
+        dxdy = dx*dy;
+        dxdz = dx*dz;
+        dydz = dy*dz;
+        dxdydz = dxdy*dz;
+
+        /* we have
+           v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
+           v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
+           v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
+           v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
+           v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
+           v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
+           v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
+           v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
+        */
+        tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
+        v6 = dxdz-dxdydz;
+        v5 = dxdy-dxdydz;
+        v4 = dx-dxdy-v6;
+
+        res = 0;
+        res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
+        tpt --;
+        res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
+        tpt -= t1dimx;
+        res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
+        tpt --;
+        res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
+        tpt -= toffset2;
+        res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
+        tpt --;
+        res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
+        tpt -= t1dimx;
+        res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
+        tpt --;
+        res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
+        *rbuf = (u16)_CONVERTI_( res );
+        continue;
       }
       /* here, we are sure we are on some border */
       tpt += ix + iy * tdimx + iz * tdimxy;
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  if ( (z < 0.0) || (iz == t1dimz) ) {
-	    *rbuf = *tpt;
-	    continue;
-	  }
-	  dz = z - iz;
-	  res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
-	  tpt += tdimxy;
-	  res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
-	  *rbuf = (u16)_CONVERTI_( res );
-	  continue;
-	}
-	dy = y - iy;
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
-	  tpt += tdimx;
-	  res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
-	  *rbuf = (u16)_CONVERTI_( res );
-	  continue;
- 	}
-	dz = z - iz;
-	res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt += tdimx;
-	res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
-	tpt += toffset2+1;
-	res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt += tdimx;
-	res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
-	*rbuf = (u16)_CONVERTI_( res );
-	continue;
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          if ( (z < 0.0) || (iz == t1dimz) ) {
+            *rbuf = *tpt;
+            continue;
+          }
+          dz = z - iz;
+          res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
+          tpt += tdimxy;
+          res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
+          *rbuf = (u16)_CONVERTI_( res );
+          continue;
+        }
+        dy = y - iy;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
+          tpt += tdimx;
+          res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
+          *rbuf = (u16)_CONVERTI_( res );
+          continue;
+         }
+        dz = z - iz;
+        res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt += tdimx;
+        res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
+        tpt += toffset2+1;
+        res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt += tdimx;
+        res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
+        *rbuf = (u16)_CONVERTI_( res );
+        continue;
       }
       /* here we are sure that the border is either
-	 along the Y or the Z axis */
+         along the Y or the Z axis */
       dx = x - ix;
       if ( (y < 0.0) || (iy == t1dimy) ) {
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
-	  tpt ++;
-	  res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	  *rbuf = (u16)_CONVERTI_( res );
-	  continue;
-	}
-	dz = z - iz;
-	res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt ++;
-	res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	tpt += tdimxy-1;
-	res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt ++;
-	res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
-	*rbuf = (u16)_CONVERTI_( res );
-	continue;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
+          tpt ++;
+          res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
+          *rbuf = (u16)_CONVERTI_( res );
+          continue;
+        }
+        dz = z - iz;
+        res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt ++;
+        res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
+        tpt += tdimxy-1;
+        res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt ++;
+        res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
+        *rbuf = (u16)_CONVERTI_( res );
+        continue;
       }
       /* here we are sure that the border is along the Z axis */
       dy = y - iy;
@@ -1485,12 +1485,12 @@ void Reech3DTriLin4x4_u16 ( void* theBuf
 
 CGAL_INLINE_FUNCTION
 void Reech3DTriLin4x4gb_u16 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias )
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias )
 {
   int i, j, k, ix, iy, iz;
   double x, y, z, dx, dy, dz, dxdy,dxdz,dydz,dxdydz;
@@ -1523,122 +1523,122 @@ void Reech3DTriLin4x4gb_u16 ( void* theB
       if ((z < -0.5) || ( z > ddimz)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
+         the image */
       ix = (int)x;
       iy = (int)y;
       iz = (int)z;
       tpt = (u16 *)tbuf;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) &&
-	   (z > 0.0) && (iz < t1dimz) ) {
-	/* the corresponding point is in the box defined 
-	   by (ix[+1],iy[+1],iz[+1]) */
-	dx = x - ix;
-	dy = y - iy;
-	dz = z - iz;
-	dxdy = dx*dy;
-	dxdz = dx*dz;
-	dydz = dy*dz;
-	dxdydz = dxdy*dz;
-
-	/* we have
-	   v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
-	   v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
-	   v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
-	   v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
-	   v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
-	   v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
-	   v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
-	   v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
-	*/
-	tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
-	v6 = dxdz-dxdydz;
-	v5 = dxdy-dxdydz;
-	v4 = dx-dxdy-v6;
-
-	res = 0;
-	res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
-	tpt --;
-	res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
-	tpt -= t1dimx;
-	res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
-	tpt --;
-	res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
-	tpt -= toffset2;
-	res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
-	tpt --;
-	res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
-	tpt -= t1dimx;
-	res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
-	tpt --;
-	res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
-	res = res * g + b;
-	*rbuf = (u16)_CONVERTI_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) &&
+           (z > 0.0) && (iz < t1dimz) ) {
+        /* the corresponding point is in the box defined
+           by (ix[+1],iy[+1],iz[+1]) */
+        dx = x - ix;
+        dy = y - iy;
+        dz = z - iz;
+        dxdy = dx*dy;
+        dxdz = dx*dz;
+        dydz = dy*dz;
+        dxdydz = dxdy*dz;
+
+        /* we have
+           v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
+           v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
+           v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
+           v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
+           v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
+           v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
+           v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
+           v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
+        */
+        tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
+        v6 = dxdz-dxdydz;
+        v5 = dxdy-dxdydz;
+        v4 = dx-dxdy-v6;
+
+        res = 0;
+        res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
+        tpt --;
+        res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
+        tpt -= t1dimx;
+        res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
+        tpt --;
+        res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
+        tpt -= toffset2;
+        res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
+        tpt --;
+        res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
+        tpt -= t1dimx;
+        res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
+        tpt --;
+        res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
+        res = res * g + b;
+        *rbuf = (u16)_CONVERTI_( res );
+        continue;
       }
       /* here, we are sure we are on some border */
       tpt += ix + iy * tdimx + iz * tdimxy;
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  if ( (z < 0.0) || (iz == t1dimz) ) {
-	    res = (double)(*tpt) * g + b;
-	    *rbuf = (u16)_CONVERTI_( res );
-	    continue;
-	  }
-	  dz = z - iz;
-	  res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
-	  tpt += tdimxy;
-	  res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
-	  res = res * g + b;
-	  *rbuf = (u16)_CONVERTI_( res );
-	  continue;
-	}
-	dy = y - iy;
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
-	  tpt += tdimx;
-	  res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
-	  res = res * g + b;
-	  *rbuf = (u16)_CONVERTI_( res );
-	  continue;
- 	}
-	dz = z - iz;
-	res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt += tdimx;
-	res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
-	tpt += toffset2+1;
-	res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt += tdimx;
-	res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
-	res = res * g + b;
-	*rbuf = (u16)_CONVERTI_( res );
-	continue;
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          if ( (z < 0.0) || (iz == t1dimz) ) {
+            res = (double)(*tpt) * g + b;
+            *rbuf = (u16)_CONVERTI_( res );
+            continue;
+          }
+          dz = z - iz;
+          res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
+          tpt += tdimxy;
+          res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
+          res = res * g + b;
+          *rbuf = (u16)_CONVERTI_( res );
+          continue;
+        }
+        dy = y - iy;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
+          tpt += tdimx;
+          res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
+          res = res * g + b;
+          *rbuf = (u16)_CONVERTI_( res );
+          continue;
+         }
+        dz = z - iz;
+        res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt += tdimx;
+        res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
+        tpt += toffset2+1;
+        res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt += tdimx;
+        res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
+        res = res * g + b;
+        *rbuf = (u16)_CONVERTI_( res );
+        continue;
       }
       /* here we are sure that the border is either
-	 along the Y or the Z axis */
+         along the Y or the Z axis */
       dx = x - ix;
       if ( (y < 0.0) || (iy == t1dimy) ) {
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
-	  tpt ++;
-	  res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	  res = res * g + b;
-	  *rbuf = (u16)_CONVERTI_( res );
-	  continue;
-	}
-	dz = z - iz;
-	res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt ++;
-	res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	tpt += tdimxy-1;
-	res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt ++;
-	res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
-	res = res * g + b;
-	*rbuf = (u16)_CONVERTI_( res );
-	continue;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
+          tpt ++;
+          res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
+          res = res * g + b;
+          *rbuf = (u16)_CONVERTI_( res );
+          continue;
+        }
+        dz = z - iz;
+        res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt ++;
+        res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
+        tpt += tdimxy-1;
+        res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt ++;
+        res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
+        res = res * g + b;
+        *rbuf = (u16)_CONVERTI_( res );
+        continue;
       }
       /* here we are sure that the border is along the Z axis */
       dy = y - iy;
@@ -1657,11 +1657,11 @@ void Reech3DTriLin4x4gb_u16 ( void* theB
 
 CGAL_INLINE_FUNCTION
 void Reech3DNearest4x4_u16 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      )
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              )
 {
   int i, j, k, ix, iy, iz;
   double x, y, z;
@@ -1687,7 +1687,7 @@ void Reech3DNearest4x4_u16 ( void* theBu
       z = mat[8] * i +  mat[9] * j + mat[10] * k + mat[11];
       iz = (int)(z+0.5);
       if (( z < -0.5 ) || ( iz > t1dimz)) { *rbuf = 0; continue; }
-      
+
       *rbuf = tbuf[ ix + iy * tdimx + iz * tdimxy ];
     }
   }
@@ -1695,11 +1695,11 @@ void Reech3DNearest4x4_u16 ( void* theBu
 
 CGAL_INLINE_FUNCTION
 void Reech2DTriLin4x4_u16 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     )
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             )
 {
   int i, j, k, ix, iy;
   double x, y, dx, dy, dxdy;
@@ -1728,50 +1728,50 @@ void Reech2DTriLin4x4_u16 ( void* theBuf
       if ((y < -0.5) || ( y > ddimy)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
-      ix = (int)x;      
+         the image */
+      ix = (int)x;
       iy = (int)y;
       tpt = (u16 *)tbuf;
       tpt += ix + iy * tdimx;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) ) {
-	dx = x - ix;
-	dy = y - iy;
-	dxdy = dx*dy;
-	/* we have
-	   v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
-	   v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
-	   v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
-	   v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
-	*/
-	v = dy-dxdy;
-	res = 0;
-	res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
-	tpt ++;
-	res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
-	tpt += toffset;
-	res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
-	tpt ++;
-	res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
-	*rbuf = (u16)_CONVERTI_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) ) {
+        dx = x - ix;
+        dy = y - iy;
+        dxdy = dx*dy;
+        /* we have
+           v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
+           v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
+           v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
+           v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
+        */
+        v = dy-dxdy;
+        res = 0;
+        res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
+        tpt ++;
+        res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
+        tpt += toffset;
+        res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
+        tpt ++;
+        res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
+        *rbuf = (u16)_CONVERTI_( res );
+        continue;
       }
 
       /* here, we are sure we are on some border */
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	/* we just look at y */
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  *rbuf = *tpt;
-	  continue;
-	}
-	dy = y - iy;
-	res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
-	tpt += tdimx;
-	res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
-	*rbuf = (u16)_CONVERTI_( res );
-	continue;
+        /* we just look at y */
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          *rbuf = *tpt;
+          continue;
+        }
+        dy = y - iy;
+        res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
+        tpt += tdimx;
+        res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
+        *rbuf = (u16)_CONVERTI_( res );
+        continue;
       }
       dx = x - ix;
       res  = (1-dx) * (*tpt); /* (1-dx)* tbuf(ix,iy) */
@@ -1784,12 +1784,12 @@ void Reech2DTriLin4x4_u16 ( void* theBuf
 
 CGAL_INLINE_FUNCTION
 void Reech2DTriLin4x4gb_u16 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias )
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias )
 {
   int i, j, k, ix, iy;
   double x, y, dx, dy, dxdy;
@@ -1820,53 +1820,53 @@ void Reech2DTriLin4x4gb_u16 ( void* theB
       if ((y < -0.5) || ( y > ddimy)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
-      ix = (int)x;      
+         the image */
+      ix = (int)x;
       iy = (int)y;
       tpt = (u16 *)tbuf;
       tpt += ix + iy * tdimx;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) ) {
-	dx = x - ix;
-	dy = y - iy;
-	dxdy = dx*dy;
-	/* we have
-	   v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
-	   v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
-	   v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
-	   v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
-	*/
-	v = dy-dxdy;
-	res = 0;
-	res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
-	tpt ++;
-	res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
-	tpt += toffset;
-	res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
-	tpt ++;
-	res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
-	res = res * g + b;
-	*rbuf = (u16)_CONVERTI_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) ) {
+        dx = x - ix;
+        dy = y - iy;
+        dxdy = dx*dy;
+        /* we have
+           v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
+           v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
+           v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
+           v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
+        */
+        v = dy-dxdy;
+        res = 0;
+        res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
+        tpt ++;
+        res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
+        tpt += toffset;
+        res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
+        tpt ++;
+        res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
+        res = res * g + b;
+        *rbuf = (u16)_CONVERTI_( res );
+        continue;
       }
 
       /* here, we are sure we are on some border */
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	/* we just look at y */
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  res = (double)(*tpt) * g + b;
-	  *rbuf = (u16)_CONVERTI_( res );
-	  continue;
-	}
-	dy = y - iy;
-	res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
-	tpt += tdimx;
-	res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
-	res = (double)(*tpt) * g + b;
-	*rbuf = (u16)_CONVERTI_( res );
-	continue;
+        /* we just look at y */
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          res = (double)(*tpt) * g + b;
+          *rbuf = (u16)_CONVERTI_( res );
+          continue;
+        }
+        dy = y - iy;
+        res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
+        tpt += tdimx;
+        res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
+        res = (double)(*tpt) * g + b;
+        *rbuf = (u16)_CONVERTI_( res );
+        continue;
       }
       dx = x - ix;
       res  = (1-dx) * (*tpt); /* (1-dx)* tbuf(ix,iy) */
@@ -1880,11 +1880,11 @@ void Reech2DTriLin4x4gb_u16 ( void* theB
 
 CGAL_INLINE_FUNCTION
 void Reech2DNearest4x4_u16 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      )
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              )
 {
   int i, j, k, ix, iy;
   double x, y;
@@ -1909,7 +1909,7 @@ void Reech2DNearest4x4_u16 ( void* theBu
       y = mat[4] * i +  mat[5] * j + mat[7];
       iy = (int)(y+0.5);
       if (( y < -0.5 ) || ( iy > t1dimy)) { *rbuf = 0; continue; }
-      
+
       *rbuf = tbuf[ ix + iy * tdimx ];
     }
   }
@@ -1923,9 +1923,9 @@ void Reech2DNearest4x4_u16 ( void* theBu
 /* Resampling procedure.
 
    Work for 3D images, not for vectorial ones.
-   
+
    (double* mat) is the matrix which permits to get
-   from resBuf into theBuf. 
+   from resBuf into theBuf.
    If one only have the matrix from theBuf into resBuf,
    it must be inverted first.
 
@@ -1941,11 +1941,11 @@ void Reech2DNearest4x4_u16 ( void* theBu
 
 CGAL_INLINE_FUNCTION
 void Reech3DTriLin4x4_s16 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     )
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             )
 {
   int i, j, k, ix, iy, iz;
   double x, y, z, dx, dy, dz, dxdy,dxdz,dydz,dxdydz;
@@ -1976,115 +1976,115 @@ void Reech3DTriLin4x4_s16 ( void* theBuf
       if ((z < -0.5) || ( z > ddimz)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
+         the image */
       ix = (int)x;
       iy = (int)y;
       iz = (int)z;
       tpt = (s16 *)tbuf;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) &&
-	   (z > 0.0) && (iz < t1dimz) ) {
-	/* the corresponding point is in the box defined 
-	   by (ix[+1],iy[+1],iz[+1]) */
-	dx = x - ix;
-	dy = y - iy;
-	dz = z - iz;
-	dxdy = dx*dy;
-	dxdz = dx*dz;
-	dydz = dy*dz;
-	dxdydz = dxdy*dz;
-
-	/* we have
-	   v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
-	   v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
-	   v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
-	   v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
-	   v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
-	   v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
-	   v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
-	   v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
-	*/
-	tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
-	v6 = dxdz-dxdydz;
-	v5 = dxdy-dxdydz;
-	v4 = dx-dxdy-v6;
-
-	res = 0;
-	res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
-	tpt --;
-	res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
-	tpt -= t1dimx;
-	res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
-	tpt --;
-	res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
-	tpt -= toffset2;
-	res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
-	tpt --;
-	res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
-	tpt -= t1dimx;
-	res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
-	tpt --;
-	res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
-	*rbuf = (s16)_CONVERTI_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) &&
+           (z > 0.0) && (iz < t1dimz) ) {
+        /* the corresponding point is in the box defined
+           by (ix[+1],iy[+1],iz[+1]) */
+        dx = x - ix;
+        dy = y - iy;
+        dz = z - iz;
+        dxdy = dx*dy;
+        dxdz = dx*dz;
+        dydz = dy*dz;
+        dxdydz = dxdy*dz;
+
+        /* we have
+           v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
+           v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
+           v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
+           v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
+           v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
+           v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
+           v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
+           v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
+        */
+        tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
+        v6 = dxdz-dxdydz;
+        v5 = dxdy-dxdydz;
+        v4 = dx-dxdy-v6;
+
+        res = 0;
+        res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
+        tpt --;
+        res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
+        tpt -= t1dimx;
+        res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
+        tpt --;
+        res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
+        tpt -= toffset2;
+        res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
+        tpt --;
+        res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
+        tpt -= t1dimx;
+        res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
+        tpt --;
+        res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
+        *rbuf = (s16)_CONVERTI_( res );
+        continue;
       }
       /* here, we are sure we are on some border */
       tpt += ix + iy * tdimx + iz * tdimxy;
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  if ( (z < 0.0) || (iz == t1dimz) ) {
-	    *rbuf = *tpt;
-	    continue;
-	  }
-	  dz = z - iz;
-	  res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
-	  tpt += tdimxy;
-	  res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
-	  *rbuf = (s16)_CONVERTI_( res );
-	  continue;
-	}
-	dy = y - iy;
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
-	  tpt += tdimx;
-	  res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
-	  *rbuf = (s16)_CONVERTI_( res );
-	  continue;
- 	}
-	dz = z - iz;
-	res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt += tdimx;
-	res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
-	tpt += toffset2+1;
-	res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt += tdimx;
-	res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
-	*rbuf = (s16)_CONVERTI_( res );
-	continue;
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          if ( (z < 0.0) || (iz == t1dimz) ) {
+            *rbuf = *tpt;
+            continue;
+          }
+          dz = z - iz;
+          res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
+          tpt += tdimxy;
+          res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
+          *rbuf = (s16)_CONVERTI_( res );
+          continue;
+        }
+        dy = y - iy;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
+          tpt += tdimx;
+          res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
+          *rbuf = (s16)_CONVERTI_( res );
+          continue;
+         }
+        dz = z - iz;
+        res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt += tdimx;
+        res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
+        tpt += toffset2+1;
+        res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt += tdimx;
+        res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
+        *rbuf = (s16)_CONVERTI_( res );
+        continue;
       }
       /* here we are sure that the border is either
-	 along the Y or the Z axis */
+         along the Y or the Z axis */
       dx = x - ix;
       if ( (y < 0.0) || (iy == t1dimy) ) {
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
-	  tpt ++;
-	  res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	  *rbuf = (s16)_CONVERTI_( res );
-	  continue;
-	}
-	dz = z - iz;
-	res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt ++;
-	res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	tpt += tdimxy-1;
-	res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt ++;
-	res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
-	*rbuf = (s16)_CONVERTI_( res );
-	continue;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
+          tpt ++;
+          res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
+          *rbuf = (s16)_CONVERTI_( res );
+          continue;
+        }
+        dz = z - iz;
+        res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt ++;
+        res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
+        tpt += tdimxy-1;
+        res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt ++;
+        res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
+        *rbuf = (s16)_CONVERTI_( res );
+        continue;
       }
       /* here we are sure that the border is along the Z axis */
       dy = y - iy;
@@ -2102,12 +2102,12 @@ void Reech3DTriLin4x4_s16 ( void* theBuf
 
 CGAL_INLINE_FUNCTION
 void Reech3DTriLin4x4gb_s16 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias )
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias )
 {
   int i, j, k, ix, iy, iz;
   double x, y, z, dx, dy, dz, dxdy,dxdz,dydz,dxdydz;
@@ -2140,122 +2140,122 @@ void Reech3DTriLin4x4gb_s16 ( void* theB
       if ((z < -0.5) || ( z > ddimz)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
+         the image */
       ix = (int)x;
       iy = (int)y;
       iz = (int)z;
       tpt = (s16 *)tbuf;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) &&
-	   (z > 0.0) && (iz < t1dimz) ) {
-	/* the corresponding point is in the box defined 
-	   by (ix[+1],iy[+1],iz[+1]) */
-	dx = x - ix;
-	dy = y - iy;
-	dz = z - iz;
-	dxdy = dx*dy;
-	dxdz = dx*dz;
-	dydz = dy*dz;
-	dxdydz = dxdy*dz;
-
-	/* we have
-	   v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
-	   v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
-	   v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
-	   v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
-	   v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
-	   v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
-	   v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
-	   v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
-	*/
-	tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
-	v6 = dxdz-dxdydz;
-	v5 = dxdy-dxdydz;
-	v4 = dx-dxdy-v6;
-
-	res = 0;
-	res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
-	tpt --;
-	res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
-	tpt -= t1dimx;
-	res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
-	tpt --;
-	res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
-	tpt -= toffset2;
-	res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
-	tpt --;
-	res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
-	tpt -= t1dimx;
-	res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
-	tpt --;
-	res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
-	res = res * g + b;
-	*rbuf = (s16)_CONVERTI_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) &&
+           (z > 0.0) && (iz < t1dimz) ) {
+        /* the corresponding point is in the box defined
+           by (ix[+1],iy[+1],iz[+1]) */
+        dx = x - ix;
+        dy = y - iy;
+        dz = z - iz;
+        dxdy = dx*dy;
+        dxdz = dx*dz;
+        dydz = dy*dz;
+        dxdydz = dxdy*dz;
+
+        /* we have
+           v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
+           v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
+           v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
+           v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
+           v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
+           v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
+           v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
+           v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
+        */
+        tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
+        v6 = dxdz-dxdydz;
+        v5 = dxdy-dxdydz;
+        v4 = dx-dxdy-v6;
+
+        res = 0;
+        res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
+        tpt --;
+        res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
+        tpt -= t1dimx;
+        res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
+        tpt --;
+        res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
+        tpt -= toffset2;
+        res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
+        tpt --;
+        res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
+        tpt -= t1dimx;
+        res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
+        tpt --;
+        res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
+        res = res * g + b;
+        *rbuf = (s16)_CONVERTI_( res );
+        continue;
       }
       /* here, we are sure we are on some border */
       tpt += ix + iy * tdimx + iz * tdimxy;
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  if ( (z < 0.0) || (iz == t1dimz) ) {
-	    res = (double)(*tpt) * g + b;
-	    *rbuf = (s16)_CONVERTI_( res );
-	    continue;
-	  }
-	  dz = z - iz;
-	  res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
-	  tpt += tdimxy;
-	  res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
-	  res = res * g + b;
-	  *rbuf = (s16)_CONVERTI_( res );
-	  continue;
-	}
-	dy = y - iy;
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
-	  tpt += tdimx;
-	  res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
-	  res = res * g + b;
-	  *rbuf = (s16)_CONVERTI_( res );
-	  continue;
- 	}
-	dz = z - iz;
-	res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt += tdimx;
-	res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
-	tpt += toffset2+1;
-	res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt += tdimx;
-	res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
-	res = res * g + b;
-	*rbuf = (s16)_CONVERTI_( res );
-	continue;
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          if ( (z < 0.0) || (iz == t1dimz) ) {
+            res = (double)(*tpt) * g + b;
+            *rbuf = (s16)_CONVERTI_( res );
+            continue;
+          }
+          dz = z - iz;
+          res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
+          tpt += tdimxy;
+          res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
+          res = res * g + b;
+          *rbuf = (s16)_CONVERTI_( res );
+          continue;
+        }
+        dy = y - iy;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
+          tpt += tdimx;
+          res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
+          res = res * g + b;
+          *rbuf = (s16)_CONVERTI_( res );
+          continue;
+         }
+        dz = z - iz;
+        res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt += tdimx;
+        res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
+        tpt += toffset2+1;
+        res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt += tdimx;
+        res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
+        res = res * g + b;
+        *rbuf = (s16)_CONVERTI_( res );
+        continue;
       }
       /* here we are sure that the border is either
-	 along the Y or the Z axis */
+         along the Y or the Z axis */
       dx = x - ix;
       if ( (y < 0.0) || (iy == t1dimy) ) {
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
-	  tpt ++;
-	  res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	  res = res * g + b;
-	  *rbuf = (s16)_CONVERTI_( res );
-	  continue;
-	}
-	dz = z - iz;
-	res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt ++;
-	res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	tpt += tdimxy-1;
-	res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt ++;
-	res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
-	res = res * g + b;
-	*rbuf = (s16)_CONVERTI_( res );
-	continue;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
+          tpt ++;
+          res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
+          res = res * g + b;
+          *rbuf = (s16)_CONVERTI_( res );
+          continue;
+        }
+        dz = z - iz;
+        res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt ++;
+        res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
+        tpt += tdimxy-1;
+        res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt ++;
+        res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
+        res = res * g + b;
+        *rbuf = (s16)_CONVERTI_( res );
+        continue;
       }
       /* here we are sure that the border is along the Z axis */
       dy = y - iy;
@@ -2274,11 +2274,11 @@ void Reech3DTriLin4x4gb_s16 ( void* theB
 
 CGAL_INLINE_FUNCTION
 void Reech3DNearest4x4_s16 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      )
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              )
 {
   int i, j, k, ix, iy, iz;
   double x, y, z;
@@ -2304,7 +2304,7 @@ void Reech3DNearest4x4_s16 ( void* theBu
       z = mat[8] * i +  mat[9] * j + mat[10] * k + mat[11];
       iz = (int)(z+0.5);
       if (( z < -0.5 ) || ( iz > t1dimz)) { *rbuf = 0; continue; }
-      
+
       *rbuf = tbuf[ ix + iy * tdimx + iz * tdimxy ];
     }
   }
@@ -2312,11 +2312,11 @@ void Reech3DNearest4x4_s16 ( void* theBu
 
 CGAL_INLINE_FUNCTION
 void Reech2DTriLin4x4_s16 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     )
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             )
 {
   int i, j, k, ix, iy;
   double x, y, dx, dy, dxdy;
@@ -2345,50 +2345,50 @@ void Reech2DTriLin4x4_s16 ( void* theBuf
       if ((y < -0.5) || ( y > ddimy)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
-      ix = (int)x;      
+         the image */
+      ix = (int)x;
       iy = (int)y;
       tpt = (s16 *)tbuf;
       tpt += ix + iy * tdimx;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) ) {
-	dx = x - ix;
-	dy = y - iy;
-	dxdy = dx*dy;
-	/* we have
-	   v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
-	   v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
-	   v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
-	   v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
-	*/
-	v = dy-dxdy;
-	res = 0;
-	res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
-	tpt ++;
-	res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
-	tpt += toffset;
-	res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
-	tpt ++;
-	res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
-	*rbuf = (s16)_CONVERTI_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) ) {
+        dx = x - ix;
+        dy = y - iy;
+        dxdy = dx*dy;
+        /* we have
+           v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
+           v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
+           v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
+           v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
+        */
+        v = dy-dxdy;
+        res = 0;
+        res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
+        tpt ++;
+        res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
+        tpt += toffset;
+        res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
+        tpt ++;
+        res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
+        *rbuf = (s16)_CONVERTI_( res );
+        continue;
       }
 
       /* here, we are sure we are on some border */
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	/* we just look at y */
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  *rbuf = *tpt;
-	  continue;
-	}
-	dy = y - iy;
-	res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
-	tpt += tdimx;
-	res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
-	*rbuf = (s16)_CONVERTI_( res );
-	continue;
+        /* we just look at y */
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          *rbuf = *tpt;
+          continue;
+        }
+        dy = y - iy;
+        res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
+        tpt += tdimx;
+        res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
+        *rbuf = (s16)_CONVERTI_( res );
+        continue;
       }
       dx = x - ix;
       res  = (1-dx) * (*tpt); /* (1-dx)* tbuf(ix,iy) */
@@ -2401,12 +2401,12 @@ void Reech2DTriLin4x4_s16 ( void* theBuf
 
 CGAL_INLINE_FUNCTION
 void Reech2DTriLin4x4gb_s16 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias )
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias )
 {
   int i, j, k, ix, iy;
   double x, y, dx, dy, dxdy;
@@ -2437,53 +2437,53 @@ void Reech2DTriLin4x4gb_s16 ( void* theB
       if ((y < -0.5) || ( y > ddimy)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
-      ix = (int)x;      
+         the image */
+      ix = (int)x;
       iy = (int)y;
       tpt = (s16 *)tbuf;
       tpt += ix + iy * tdimx;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) ) {
-	dx = x - ix;
-	dy = y - iy;
-	dxdy = dx*dy;
-	/* we have
-	   v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
-	   v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
-	   v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
-	   v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
-	*/
-	v = dy-dxdy;
-	res = 0;
-	res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
-	tpt ++;
-	res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
-	tpt += toffset;
-	res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
-	tpt ++;
-	res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
-	res = res * g + b;
-	*rbuf = (s16)_CONVERTI_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) ) {
+        dx = x - ix;
+        dy = y - iy;
+        dxdy = dx*dy;
+        /* we have
+           v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
+           v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
+           v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
+           v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
+        */
+        v = dy-dxdy;
+        res = 0;
+        res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
+        tpt ++;
+        res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
+        tpt += toffset;
+        res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
+        tpt ++;
+        res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
+        res = res * g + b;
+        *rbuf = (s16)_CONVERTI_( res );
+        continue;
       }
 
       /* here, we are sure we are on some border */
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	/* we just look at y */
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  res = (double)(*tpt) * g + b;
-	  *rbuf = (s16)_CONVERTI_( res );
-	  continue;
-	}
-	dy = y - iy;
-	res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
-	tpt += tdimx;
-	res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
-	res = (double)(*tpt) * g + b;
-	*rbuf = (s16)_CONVERTI_( res );
-	continue;
+        /* we just look at y */
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          res = (double)(*tpt) * g + b;
+          *rbuf = (s16)_CONVERTI_( res );
+          continue;
+        }
+        dy = y - iy;
+        res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
+        tpt += tdimx;
+        res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
+        res = (double)(*tpt) * g + b;
+        *rbuf = (s16)_CONVERTI_( res );
+        continue;
       }
       dx = x - ix;
       res  = (1-dx) * (*tpt); /* (1-dx)* tbuf(ix,iy) */
@@ -2497,11 +2497,11 @@ void Reech2DTriLin4x4gb_s16 ( void* theB
 
 CGAL_INLINE_FUNCTION
 void Reech2DNearest4x4_s16 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      )
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              )
 {
   int i, j, k, ix, iy;
   double x, y;
@@ -2526,7 +2526,7 @@ void Reech2DNearest4x4_s16 ( void* theBu
       y = mat[4] * i +  mat[5] * j + mat[7];
       iy = (int)(y+0.5);
       if (( y < -0.5 ) || ( iy > t1dimy)) { *rbuf = 0; continue; }
-      
+
       *rbuf = tbuf[ ix + iy * tdimx ];
     }
   }
@@ -2540,9 +2540,9 @@ void Reech2DNearest4x4_s16 ( void* theBu
 /* Resampling procedure.
 
    Work for 3D images, not for vectorial ones.
-   
+
    (double* mat) is the matrix which permits to get
-   from resBuf into theBuf. 
+   from resBuf into theBuf.
    If one only have the matrix from theBuf into resBuf,
    it must be inverted first.
 
@@ -2558,11 +2558,11 @@ void Reech2DNearest4x4_s16 ( void* theBu
 
 CGAL_INLINE_FUNCTION
 void Reech3DTriLin4x4_r32 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     )
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             )
 {
   int i, j, k, ix, iy, iz;
   double x, y, z, dx, dy, dz, dxdy,dxdz,dydz,dxdydz;
@@ -2593,115 +2593,115 @@ void Reech3DTriLin4x4_r32 ( void* theBuf
       if ((z < -0.5) || ( z > ddimz)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
+         the image */
       ix = (int)x;
       iy = (int)y;
       iz = (int)z;
       tpt = (r32 *)tbuf;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) &&
-	   (z > 0.0) && (iz < t1dimz) ) {
-	/* the corresponding point is in the box defined 
-	   by (ix[+1],iy[+1],iz[+1]) */
-	dx = x - ix;
-	dy = y - iy;
-	dz = z - iz;
-	dxdy = dx*dy;
-	dxdz = dx*dz;
-	dydz = dy*dz;
-	dxdydz = dxdy*dz;
-
-	/* we have
-	   v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
-	   v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
-	   v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
-	   v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
-	   v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
-	   v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
-	   v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
-	   v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
-	*/
-	tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
-	v6 = dxdz-dxdydz;
-	v5 = dxdy-dxdydz;
-	v4 = dx-dxdy-v6;
-
-	res = 0;
-	res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
-	tpt --;
-	res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
-	tpt -= t1dimx;
-	res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
-	tpt --;
-	res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
-	tpt -= toffset2;
-	res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
-	tpt --;
-	res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
-	tpt -= t1dimx;
-	res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
-	tpt --;
-	res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
-	*rbuf = (r32)_CONVERTR_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) &&
+           (z > 0.0) && (iz < t1dimz) ) {
+        /* the corresponding point is in the box defined
+           by (ix[+1],iy[+1],iz[+1]) */
+        dx = x - ix;
+        dy = y - iy;
+        dz = z - iz;
+        dxdy = dx*dy;
+        dxdz = dx*dz;
+        dydz = dy*dz;
+        dxdydz = dxdy*dz;
+
+        /* we have
+           v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
+           v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
+           v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
+           v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
+           v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
+           v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
+           v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
+           v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
+        */
+        tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
+        v6 = dxdz-dxdydz;
+        v5 = dxdy-dxdydz;
+        v4 = dx-dxdy-v6;
+
+        res = 0;
+        res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
+        tpt --;
+        res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
+        tpt -= t1dimx;
+        res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
+        tpt --;
+        res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
+        tpt -= toffset2;
+        res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
+        tpt --;
+        res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
+        tpt -= t1dimx;
+        res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
+        tpt --;
+        res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
+        *rbuf = (r32)_CONVERTR_( res );
+        continue;
       }
       /* here, we are sure we are on some border */
       tpt += ix + iy * tdimx + iz * tdimxy;
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  if ( (z < 0.0) || (iz == t1dimz) ) {
-	    *rbuf = *tpt;
-	    continue;
-	  }
-	  dz = z - iz;
-	  res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
-	  tpt += tdimxy;
-	  res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
-	  *rbuf = (r32)_CONVERTR_( res );
-	  continue;
-	}
-	dy = y - iy;
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
-	  tpt += tdimx;
-	  res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
-	  *rbuf = (r32)_CONVERTR_( res );
-	  continue;
- 	}
-	dz = z - iz;
-	res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt += tdimx;
-	res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
-	tpt += toffset2+1;
-	res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt += tdimx;
-	res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
-	*rbuf = (r32)_CONVERTR_( res );
-	continue;
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          if ( (z < 0.0) || (iz == t1dimz) ) {
+            *rbuf = *tpt;
+            continue;
+          }
+          dz = z - iz;
+          res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
+          tpt += tdimxy;
+          res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
+          *rbuf = (r32)_CONVERTR_( res );
+          continue;
+        }
+        dy = y - iy;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
+          tpt += tdimx;
+          res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
+          *rbuf = (r32)_CONVERTR_( res );
+          continue;
+         }
+        dz = z - iz;
+        res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt += tdimx;
+        res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
+        tpt += toffset2+1;
+        res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt += tdimx;
+        res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
+        *rbuf = (r32)_CONVERTR_( res );
+        continue;
       }
       /* here we are sure that the border is either
-	 along the Y or the Z axis */
+         along the Y or the Z axis */
       dx = x - ix;
       if ( (y < 0.0) || (iy == t1dimy) ) {
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
-	  tpt ++;
-	  res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	  *rbuf = (r32)_CONVERTR_( res );
-	  continue;
-	}
-	dz = z - iz;
-	res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt ++;
-	res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	tpt += tdimxy-1;
-	res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt ++;
-	res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
-	*rbuf = (r32)_CONVERTR_( res );
-	continue;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
+          tpt ++;
+          res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
+          *rbuf = (r32)_CONVERTR_( res );
+          continue;
+        }
+        dz = z - iz;
+        res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt ++;
+        res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
+        tpt += tdimxy-1;
+        res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt ++;
+        res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
+        *rbuf = (r32)_CONVERTR_( res );
+        continue;
       }
       /* here we are sure that the border is along the Z axis */
       dy = y - iy;
@@ -2719,12 +2719,12 @@ void Reech3DTriLin4x4_r32 ( void* theBuf
 
 CGAL_INLINE_FUNCTION
 void Reech3DTriLin4x4gb_r32 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim, /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias )
+                             int *theDim, /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias )
 {
   int i, j, k, ix, iy, iz;
   double x, y, z, dx, dy, dz, dxdy,dxdz,dydz,dxdydz;
@@ -2757,122 +2757,122 @@ void Reech3DTriLin4x4gb_r32 ( void* theB
       if ((z < -0.5) || ( z > ddimz)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
+         the image */
       ix = (int)x;
       iy = (int)y;
       iz = (int)z;
       tpt = (r32 *)tbuf;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) &&
-	   (z > 0.0) && (iz < t1dimz) ) {
-	/* the corresponding point is in the box defined 
-	   by (ix[+1],iy[+1],iz[+1]) */
-	dx = x - ix;
-	dy = y - iy;
-	dz = z - iz;
-	dxdy = dx*dy;
-	dxdz = dx*dz;
-	dydz = dy*dz;
-	dxdydz = dxdy*dz;
-
-	/* we have
-	   v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
-	   v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
-	   v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
-	   v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
-	   v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
-	   v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
-	   v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
-	   v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
-	*/
-	tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
-	v6 = dxdz-dxdydz;
-	v5 = dxdy-dxdydz;
-	v4 = dx-dxdy-v6;
-
-	res = 0;
-	res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
-	tpt --;
-	res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
-	tpt -= t1dimx;
-	res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
-	tpt --;
-	res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
-	tpt -= toffset2;
-	res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
-	tpt --;
-	res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
-	tpt -= t1dimx;
-	res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
-	tpt --;
-	res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
-	res = res * g + b;
-	*rbuf = (r32)_CONVERTR_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) &&
+           (z > 0.0) && (iz < t1dimz) ) {
+        /* the corresponding point is in the box defined
+           by (ix[+1],iy[+1],iz[+1]) */
+        dx = x - ix;
+        dy = y - iy;
+        dz = z - iz;
+        dxdy = dx*dy;
+        dxdz = dx*dz;
+        dydz = dy*dz;
+        dxdydz = dxdy*dz;
+
+        /* we have
+           v[7]=dxdydz;            coefficient of tbuf(ix+1,iy+1,iz+1)
+           v[6]=dxdz-dxdydz;       coefficient of tbuf(ix+1,iy,  iz+1)
+           v[5]=dxdy-dxdydz;       coefficient of tbuf(ix+1,iy+1,iz  )
+           v[4]=dx-dxdy-v[6];      coefficient of tbuf(ix+1,iy  ,iz  )
+           v[3]=dydz-dxdydz;       coefficient of tbuf(ix  ,iy+1,iz+1)
+           v[2]=dz-dydz-v[6];      coefficient of tbuf(ix  ,iy  ,iz+1)
+           v[1]=dy-dydz-v[5];      coefficient of tbuf(ix  ,iy+1,iz  )
+           v[0]=1-dy-dz+dydz-v[4]; coefficient of tbuf(ix  ,iy  ,iz  )
+        */
+        tpt += ix + iy * tdimx + iz * tdimxy + toffset1;
+        v6 = dxdz-dxdydz;
+        v5 = dxdy-dxdydz;
+        v4 = dx-dxdy-v6;
+
+        res = 0;
+        res += dxdydz * (*tpt);            /* tbuf(ix+1,iy+1,iz+1) */
+        tpt --;
+        res += (dydz-dxdydz) * (*tpt);     /* tbuf(ix  ,iy+1,iz+1) */
+        tpt -= t1dimx;
+        res += v6 * (*tpt);                /* tbuf(ix+1  ,iy,  iz+1) */
+        tpt --;
+        res += (dz-dydz-v6) * (*tpt);      /* tbuf(ix  ,iy  ,iz+1) */
+        tpt -= toffset2;
+        res += v5 * (*tpt);                /* tbuf(ix+1,iy+1,iz  ) */
+        tpt --;
+        res += (dy-dydz-v5) * (*tpt);      /* tbuf(ix  ,iy+1,iz  ) */
+        tpt -= t1dimx;
+        res += v4 * (*tpt);                /* tbuf(ix+1,iy  ,iz  ) */
+        tpt --;
+        res += (1-dy-dz+dydz-v4) * (*tpt); /* tbuf(ix  ,iy  ,iz  ) */
+        res = res * g + b;
+        *rbuf = (r32)_CONVERTR_( res );
+        continue;
       }
       /* here, we are sure we are on some border */
       tpt += ix + iy * tdimx + iz * tdimxy;
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  if ( (z < 0.0) || (iz == t1dimz) ) {
-	    res = (double)(*tpt) * g + b;
-	    *rbuf = (r32)_CONVERTR_( res );
-	    continue;
-	  }
-	  dz = z - iz;
-	  res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
-	  tpt += tdimxy;
-	  res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
-	  res = res * g + b;
-	  *rbuf = (r32)_CONVERTR_( res );
-	  continue;
-	}
-	dy = y - iy;
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
-	  tpt += tdimx;
-	  res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
-	  res = res * g + b;
-	  *rbuf = (r32)_CONVERTR_( res );
-	  continue;
- 	}
-	dz = z - iz;
-	res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt += tdimx;
-	res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
-	tpt += toffset2+1;
-	res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt += tdimx;
-	res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
-	res = res * g + b;
-	*rbuf = (r32)_CONVERTR_( res );
-	continue;
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          if ( (z < 0.0) || (iz == t1dimz) ) {
+            res = (double)(*tpt) * g + b;
+            *rbuf = (r32)_CONVERTR_( res );
+            continue;
+          }
+          dz = z - iz;
+          res  = (1-dz) * (*tpt); /* (1-dz)* tbuf(ix,iy,iz) */
+          tpt += tdimxy;
+          res += dz * (*tpt);     /* dz * tbuf(ix,iy,iz+1) */
+          res = res * g + b;
+          *rbuf = (r32)_CONVERTR_( res );
+          continue;
+        }
+        dy = y - iy;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy,iz) */
+          tpt += tdimx;
+          res += dy * (*tpt);     /* dy * tbuf(ix,iy+1,iz) */
+          res = res * g + b;
+          *rbuf = (r32)_CONVERTR_( res );
+          continue;
+         }
+        dz = z - iz;
+        res = (1-dy)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt += tdimx;
+        res += dy*(1-dz) * (*tpt);    /* tbuf(ix,iy+1,iz) */
+        tpt += toffset2+1;
+        res += (1-dy)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt += tdimx;
+        res += dy*dz * (*tpt);        /* tbuf(ix,iy+1,iz+1) */
+        res = res * g + b;
+        *rbuf = (r32)_CONVERTR_( res );
+        continue;
       }
       /* here we are sure that the border is either
-	 along the Y or the Z axis */
+         along the Y or the Z axis */
       dx = x - ix;
       if ( (y < 0.0) || (iy == t1dimy) ) {
-	if ( (z < 0.0) || (iz == t1dimz) ) {
-	  res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
-	  tpt ++;
-	  res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	  res = res * g + b;
-	  *rbuf = (r32)_CONVERTR_( res );
-	  continue;
-	}
-	dz = z - iz;
-	res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
-	tpt ++;
-	res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
-	tpt += tdimxy-1;
-	res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
-	tpt ++;
-	res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
-	res = res * g + b;
-	*rbuf = (r32)_CONVERTR_( res );
-	continue;
+        if ( (z < 0.0) || (iz == t1dimz) ) {
+          res = (1-dx) * (*tpt); /* tbuf(ix,iy,iz) */
+          tpt ++;
+          res += dx * (*tpt);    /* tbuf(ix+1,iy,iz) */
+          res = res * g + b;
+          *rbuf = (r32)_CONVERTR_( res );
+          continue;
+        }
+        dz = z - iz;
+        res = (1-dx)*(1-dz) * (*tpt); /* tbuf(ix,iy,iz) */
+        tpt ++;
+        res += dx*(1-dz) * (*tpt);    /* tbuf(ix+1,iy,iz) */
+        tpt += tdimxy-1;
+        res += (1-dx)*dz * (*tpt);    /* tbuf(ix,iy,iz+1) */
+        tpt ++;
+        res += dx*dz * (*tpt);        /* tbuf(ix+1,iy,iz+1) */
+        res = res * g + b;
+        *rbuf = (r32)_CONVERTR_( res );
+        continue;
       }
       /* here we are sure that the border is along the Z axis */
       dy = y - iy;
@@ -2891,11 +2891,11 @@ void Reech3DTriLin4x4gb_r32 ( void* theB
 
 CGAL_INLINE_FUNCTION
 void Reech3DNearest4x4_r32 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      )
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              )
 {
   int i, j, k, ix, iy, iz;
   double x, y, z;
@@ -2921,7 +2921,7 @@ void Reech3DNearest4x4_r32 ( void* theBu
       z = mat[8] * i +  mat[9] * j + mat[10] * k + mat[11];
       iz = (int)(z+0.5);
       if (( z < -0.5 ) || ( iz > t1dimz)) { *rbuf = 0; continue; }
-      
+
       *rbuf = tbuf[ ix + iy * tdimx + iz * tdimxy ];
     }
   }
@@ -2929,11 +2929,11 @@ void Reech3DNearest4x4_r32 ( void* theBu
 
 CGAL_INLINE_FUNCTION
 void Reech2DTriLin4x4_r32 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat   /* transformation matrix */
-			     )
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat   /* transformation matrix */
+                             )
 {
   int i, j, k, ix, iy;
   double x, y, dx, dy, dxdy;
@@ -2962,50 +2962,50 @@ void Reech2DTriLin4x4_r32 ( void* theBuf
       if ((y < -0.5) || ( y > ddimy)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
-      ix = (int)x;      
+         the image */
+      ix = (int)x;
       iy = (int)y;
       tpt = (r32 *)tbuf;
       tpt += ix + iy * tdimx;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) ) {
-	dx = x - ix;
-	dy = y - iy;
-	dxdy = dx*dy;
-	/* we have
-	   v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
-	   v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
-	   v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
-	   v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
-	*/
-	v = dy-dxdy;
-	res = 0;
-	res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
-	tpt ++;
-	res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
-	tpt += toffset;
-	res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
-	tpt ++;
-	res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
-	*rbuf = (r32)_CONVERTR_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) ) {
+        dx = x - ix;
+        dy = y - iy;
+        dxdy = dx*dy;
+        /* we have
+           v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
+           v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
+           v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
+           v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
+        */
+        v = dy-dxdy;
+        res = 0;
+        res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
+        tpt ++;
+        res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
+        tpt += toffset;
+        res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
+        tpt ++;
+        res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
+        *rbuf = (r32)_CONVERTR_( res );
+        continue;
       }
 
       /* here, we are sure we are on some border */
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	/* we just look at y */
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  *rbuf = *tpt;
-	  continue;
-	}
-	dy = y - iy;
-	res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
-	tpt += tdimx;
-	res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
-	*rbuf = (r32)_CONVERTR_( res );
-	continue;
+        /* we just look at y */
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          *rbuf = *tpt;
+          continue;
+        }
+        dy = y - iy;
+        res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
+        tpt += tdimx;
+        res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
+        *rbuf = (r32)_CONVERTR_( res );
+        continue;
       }
       dx = x - ix;
       res  = (1-dx) * (*tpt); /* (1-dx)* tbuf(ix,iy) */
@@ -3018,12 +3018,12 @@ void Reech2DTriLin4x4_r32 ( void* theBuf
 
 CGAL_INLINE_FUNCTION
 void Reech2DTriLin4x4gb_r32 ( void* theBuf, /* buffer to be resampled */
-			     int *theDim,  /* dimensions of this buffer */
-			     void* resBuf, /* result buffer */
-			     int *resDim,  /* dimensions of this buffer */
-			     double* mat,   /* transformation matrix */
-			     float gain,
-			     float bias )
+                             int *theDim,  /* dimensions of this buffer */
+                             void* resBuf, /* result buffer */
+                             int *resDim,  /* dimensions of this buffer */
+                             double* mat,   /* transformation matrix */
+                             float gain,
+                             float bias )
 {
   int i, j, k, ix, iy;
   double x, y, dx, dy, dxdy;
@@ -3054,53 +3054,53 @@ void Reech2DTriLin4x4gb_r32 ( void* theB
       if ((y < -0.5) || ( y > ddimy)) { *rbuf = 0; continue; }
 
       /* here, the point lies on the borders or completely inside
-	 the image */
-      ix = (int)x;      
+         the image */
+      ix = (int)x;
       iy = (int)y;
       tpt = (r32 *)tbuf;
       tpt += ix + iy * tdimx;
-      
+
       /* are we on the border or not ? */
       if ( (x > 0.0) && (ix < t1dimx) &&
-	   (y > 0.0) && (iy < t1dimy) ) {
-	dx = x - ix;
-	dy = y - iy;
-	dxdy = dx*dy;
-	/* we have
-	   v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
-	   v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
-	   v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
-	   v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
-	*/
-	v = dy-dxdy;
-	res = 0;
-	res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
-	tpt ++;
-	res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
-	tpt += toffset;
-	res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
-	tpt ++;
-	res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
-	res = res * g + b;
-	*rbuf = (r32)_CONVERTR_( res );
-	continue;
+           (y > 0.0) && (iy < t1dimy) ) {
+        dx = x - ix;
+        dy = y - iy;
+        dxdy = dx*dy;
+        /* we have
+           v[5]=dxdy;         coefficient of tbuf(ix+1,iy+1)
+           v[4]=dx-dxdy;      coefficient of tbuf(ix+1,iy  )
+           v[1]=dy-dxdy;      coefficient of tbuf(ix  ,iy+1)
+           v[0]=1-dx-dy+dxdy; coefficient of tbuf(ix  ,iy  )
+        */
+        v = dy-dxdy;
+        res = 0;
+        res += (1-dx-v) * (*tpt);  /* tbuf(ix  ,iy  ) */
+        tpt ++;
+        res += (dx-dxdy) * (*tpt); /* tbuf(ix+1,iy  ) */
+        tpt += toffset;
+        res += v * (*tpt);       /* tbuf(ix,iy+1  ) */
+        tpt ++;
+        res += dxdy * (*tpt);      /* tbuf(ix+1,iy+1) */
+        res = res * g + b;
+        *rbuf = (r32)_CONVERTR_( res );
+        continue;
       }
 
       /* here, we are sure we are on some border */
       if ( (x < 0.0) || (ix == t1dimx) ) {
-	/* we just look at y */
-	if ( (y < 0.0) || (iy == t1dimy) ) {
-	  res = (double)(*tpt) * g + b;
-	  *rbuf = (r32)_CONVERTR_( res );
-	  continue;
-	}
-	dy = y - iy;
-	res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
-	tpt += tdimx;
-	res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
-	res = (double)(*tpt) * g + b;
-	*rbuf = (r32)_CONVERTR_( res );
-	continue;
+        /* we just look at y */
+        if ( (y < 0.0) || (iy == t1dimy) ) {
+          res = (double)(*tpt) * g + b;
+          *rbuf = (r32)_CONVERTR_( res );
+          continue;
+        }
+        dy = y - iy;
+        res  = (1-dy) * (*tpt); /* (1-dy)* tbuf(ix,iy) */
+        tpt += tdimx;
+        res += dy * (*tpt);     /* dy * tbuf(ix,iy+1) */
+        res = (double)(*tpt) * g + b;
+        *rbuf = (r32)_CONVERTR_( res );
+        continue;
       }
       dx = x - ix;
       res  = (1-dx) * (*tpt); /* (1-dx)* tbuf(ix,iy) */
@@ -3114,11 +3114,11 @@ void Reech2DTriLin4x4gb_r32 ( void* theB
 
 CGAL_INLINE_FUNCTION
 void Reech2DNearest4x4_r32 ( void* theBuf, /* buffer to be resampled */
-			      int *theDim,  /* dimensions of this buffer */
-			      void* resBuf, /* result buffer */
-			      int *resDim,  /* dimensions of this buffer */
-			      double* mat   /* transformation matrix */
-			      )
+                              int *theDim,  /* dimensions of this buffer */
+                              void* resBuf, /* result buffer */
+                              int *resDim,  /* dimensions of this buffer */
+                              double* mat   /* transformation matrix */
+                              )
 {
   int i, j, k, ix, iy;
   double x, y;
@@ -3143,7 +3143,7 @@ void Reech2DNearest4x4_r32 ( void* theBu
       y = mat[4] * i +  mat[5] * j + mat[7];
       iy = (int)(y+0.5);
       if (( y < -0.5 ) || ( iy > t1dimy)) { *rbuf = 0; continue; }
-      
+
       *rbuf = tbuf[ ix + iy * tdimx ];
     }
   }
diff -pruN 5.0.2-3/include/CGAL/ImageIO/typedefs.h 5.0.3-1/include/CGAL/ImageIO/typedefs.h
--- 5.0.2-3/include/CGAL/ImageIO/typedefs.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO/typedefs.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,25 +3,25 @@
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO/typedefs.h $
-// $Id: typedefs.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO/typedefs.h $
+// $Id: typedefs.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 //
 // Author(s)     :  ASCLEPIOS Project (INRIA Sophia-Antipolis), Laurent Rineau
 
 /*************************************************************************
- * typedefs.h - 
+ * typedefs.h -
  *
- * $Id: typedefs.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+ * $Id: typedefs.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  *
  * Copyright©INRIA 1998
  *
  * AUTHOR:
  * Gregoire Malandain (greg@sophia.inria.fr)
  * http://www.inria.fr/epidaure/personnel/malandain/
- * 
- * CREATION DATE: 
+ *
+ * CREATION DATE:
  * June, 9 1998
  *
  *
diff -pruN 5.0.2-3/include/CGAL/ImageIO.h 5.0.3-1/include/CGAL/ImageIO.h
--- 5.0.2-3/include/CGAL/ImageIO.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,12 +1,12 @@
 // Copyright (c) 2005, 2006 ASCLEPIOS Project, INRIA Sophia-Antipolis (France)
-// Copyright (c) 2007 Geometrica Project, INRIA Sophia-Antipolis (France) 
-// Copyright (c) 2008 GeometryFactory, Sophia-Antipolis (France) 
+// Copyright (c) 2007 Geometrica Project, INRIA Sophia-Antipolis (France)
+// Copyright (c) 2008 GeometryFactory, Sophia-Antipolis (France)
 // All rights reserved.
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO.h $
-// $Id: ImageIO.h 07c4ada 2019-10-19T15:50:09+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO.h $
+// $Id: ImageIO.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 
@@ -162,15 +162,15 @@ struct point_image;
 typedef int (*TEST_IMAGE_FORMAT)(char *,const char *);
 /** defines the type of function called to read an image or an image header
     from a file corresponding to a given format. The first parameter is the
-    file name whereas the second parameter is an _image structure. Note that 
-    the file has been already opened (the file descriptor fd is valid). 
-    The output value is >0  if  the whole image has been read, it is 0 if 
+    file name whereas the second parameter is an _image structure. Note that
+    the file has been already opened (the file descriptor fd is valid).
+    The output value is >0  if  the whole image has been read, it is 0 if
     only the header has been read and it is  <0 otherwise */
 typedef int (*READ_IMAGE_HEADER)(const char *, struct point_image *);
 /** defines the type of function called to write an image to a file
-    corresponding to a given format.  
+    corresponding to a given format.
     The first parameter is the full file name whereas the second parameter
-    is an _image structure. 
+    is an _image structure.
     Note that the file has to be opened and closed in the function.
     The output value is >=0 if the whole image has been written
     correctly and it is <0 otherwise */
@@ -190,11 +190,11 @@ typedef struct imformat {
       format */
   WRITE_IMAGE writeImage;
 
-  /* the file extension of format (including a dot ".": if several 
-     extensions may be used, they should be separed with a 
+  /* the file extension of format (including a dot ".": if several
+     extensions may be used, they should be separed with a
      comma ".inr,.inr.gz" */
   char fileExtension[IMAGE_FORMAT_NAME_LENGTH];
-  
+
   /** the usual name given to a format : for instance "inrimage", "gif" */
   char realName[IMAGE_FORMAT_NAME_LENGTH];
   /* pointer towards the next image format*/
@@ -340,11 +340,11 @@ CGAL_IMAGEIO_EXPORT _image *_createImage
     PPM,
     BMP,
     GIS (CEA, IRISA, ENST 3D image format).
-    
+
     See also:
     http://www.dcs.ed.ac.uk/home/mxr/gfx/2d-hi.html and
     http://www.gzip.org/zlib/
-    
+
 
    @param name image file name or nullptr for stdin */
 CGAL_IMAGEIO_EXPORT _image* _readImage(const char *name);
@@ -386,7 +386,7 @@ CGAL_IMAGEIO_EXPORT _image* _readImage_r
 /** Writes given image in file 'name'.<br>
     If name ends with '.gz', file is gzipped.<br>
     If name is nullptr, image is sent to stdout.
-    @param im image descriptor 
+    @param im image descriptor
     @param name file name to store image or nullptr */
 CGAL_IMAGEIO_EXPORT int _writeImage(_image *im, const char *name);
 
@@ -400,8 +400,8 @@ CGAL_IMAGEIO_EXPORT void _getNextSlice(_
 
 
 /** adds a format in the list of image format. Test if all mandatory
-    fields have been filled 
-    @param format : an image format 
+    fields have been filled
+    @param format : an image format
     @return -1 if it failed (missing information) and 0 if it succeeded */
 CGAL_IMAGEIO_EXPORT int addImageFormat( PTRIMAGE_FORMAT format);
 
@@ -442,7 +442,7 @@ CGAL_IMAGEIO_EXPORT int _readNonInterlac
    @param im initialized image descriptor
    @param name image file name */
 CGAL_IMAGEIO_EXPORT void _openWriteImage(_image* im, const char *name) ;
-   
+
 /** open an image file from stdin (if name == nullptr), from a pipe
    (piped with gzip if image was compressed) or from a standard file
    @param im initialized image descriptor
@@ -460,7 +460,7 @@ CGAL_IMAGEIO_EXPORT void _get_image_boun
                                                  double* x_max, double* y_max, double* z_max);
 
 /** returns the endianness of the hardware architecture */
-CGAL_IMAGEIO_EXPORT ENDIANNESS  _getEndianness(); 
+CGAL_IMAGEIO_EXPORT ENDIANNESS  _getEndianness();
 /** initializes the list of  supported image formats */
 CGAL_IMAGEIO_EXPORT void initSupportedFileFormat();
 /** prints supported image formats */
@@ -541,7 +541,7 @@ namespace IMAGEIO {
 
 //
 // The following definition are for the evaluate function.
-// 
+//
 template <WORD_KIND wordKind, SIGN sign, std::size_t wdim>
 struct Word_type_generator
 {
@@ -702,7 +702,7 @@ static_evaluate(const _image* image,
 CGAL_IMAGEIO_EXPORT float evaluate(const _image* image,const std::size_t i,const std::size_t j,const std::size_t k);
 
 
-/** convert the data of the image to float 
+/** convert the data of the image to float
 */
 CGAL_IMAGEIO_EXPORT void convertImageTypeToFloat(_image* image);
 
diff -pruN 5.0.2-3/include/CGAL/ImageIO_impl.h 5.0.3-1/include/CGAL/ImageIO_impl.h
--- 5.0.2-3/include/CGAL/ImageIO_impl.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/ImageIO_impl.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,12 +1,12 @@
 // Copyright (c) 2005, 2006 ASCLEPIOS Project, INRIA Sophia-Antipolis (France)
-// Copyright (c) 2007 Geometrica Project, INRIA Sophia-Antipolis (France) 
-// Copyright (c) 2008 GeometryFactory, Sophia-Antipolis (France) 
+// Copyright (c) 2007 Geometrica Project, INRIA Sophia-Antipolis (France)
+// Copyright (c) 2008 GeometryFactory, Sophia-Antipolis (France)
 // All rights reserved.
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/ImageIO_impl.h $
-// $Id: ImageIO_impl.h adeb6b3 2019-12-05T16:29:11+01:00 Jane Tournois
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/ImageIO_impl.h $
+// $Id: ImageIO_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later
 //
 
@@ -18,7 +18,7 @@
 
 #ifdef _MSC_VER
 // Suppress deprecated warning for fileno and strdup
-#  pragma warning(disable: 4127 4706 4996) 
+#  pragma warning(disable: 4127 4706 4996)
 
 #include <fcntl.h>
 #include <sys/types.h>
@@ -32,15 +32,15 @@
 #include <stdlib.h>
 #include <string.h>
 
-/* formats actuellement lus 
+/* formats actuellement lus
 
-   format     |   extension(s)   |  lecture  | ecriture 
+   format     |   extension(s)   |  lecture  | ecriture
    INRIMAGE   |  .inr[.gz]       |     X     |     X     -> + .gradient[.gz] + .gradient_direction[.gz]
    GIS        |  .dim, .ima[.gz] |     X     |     X
    ANALYZE    |  .hdr, .img[.gz] |     X     |     X
    PNM        |  .ppm, .pgm      |     X     |     X
-   GIF        |  .gif            |     X     |     
-   BMP        |  .gif            |     X     |     
+   GIF        |  .gif            |     X     |
+   BMP        |  .gif            |     X     |
 */
 #include <CGAL/ImageIO/inr.h>
 #include <CGAL/ImageIO/gif.h>
@@ -149,10 +149,10 @@ unsigned int ImageIO_limit_len(size_t to
 }
 
 /* mimics fwrite() function.
-   According to _openWriteImage(), openMode will has one 
+   According to _openWriteImage(), openMode will has one
    of the following value:
    - OM_STD (for stdout)
-   - OM_GZ 
+   - OM_GZ
    - OM_FILE
 */
 CGAL_INLINE_FUNCTION
@@ -171,7 +171,7 @@ size_t ImageIO_write(const _image *im, c
       to_be_written -= l;
       b += l;
     }
-#else 
+#else
     while ( (to_be_written > 0) && ((l = fwrite( b, 1, ImageIO_limit_len(to_be_written), im->fd )) > 0) ) {
       to_be_written -= l;
       b += l;
@@ -216,13 +216,13 @@ size_t ImageIO_limit_read(size_t to_be_r
 }
 
 /* mimics fread() function.
-   According to _openReadImage(), openMode will has one 
+   According to _openReadImage(), openMode will has one
    of the following value:
    - OM_STD (for stdin)
    - OM_GZ *or* OM_FILE
 */
 CGAL_INLINE_FUNCTION
-size_t ImageIO_read(const _image *im, void *buf, size_t len) 
+size_t ImageIO_read(const _image *im, void *buf, size_t len)
 {
   size_t to_be_read = len;
   int l = -1;
@@ -238,7 +238,7 @@ size_t ImageIO_read(const _image *im, vo
       to_be_read -= l;
       b += l;
     }
-#else 
+#else
     while ( (to_be_read > 0) && ((l = fread( b, 1, ImageIO_limit_len(to_be_read), im->fd )) > 0) ) {
       to_be_read -= l;
       b += l;
@@ -276,7 +276,7 @@ size_t ImageIO_read(const _image *im, vo
 
 
 /* mimics fgets() function.
-   According to _openReadImage(), openMode will has one 
+   According to _openReadImage(), openMode will has one
    of the following value:
    - OM_STD (for stdout)
    - OM_GZ *or* OM_FILE
@@ -303,7 +303,7 @@ char *ImageIO_gets( const _image *im, ch
 #endif // CGAL_USE_GZFWRITE
     ret = (char *) gzgets(im->fd, str, size);
     break;
-    
+
 #else
   case OM_FILE :
     ret = fgets(str, size, im->fd);
@@ -362,7 +362,7 @@ int ImageIO_error( const _image *im )
 
 
 /* Upon successful completion 0 is returned.
-   
+
    Closing the standard output with gzclose()
    is necessary as it will flush the pending output.
  */
@@ -370,7 +370,7 @@ CGAL_INLINE_FUNCTION
 int ImageIO_close( _image* im )
 {
   int ret=0;
-  
+
   switch ( im->openMode ) {
   default :
   case OM_CLOSE :
@@ -383,17 +383,17 @@ int ImageIO_close( _image* im )
 #endif//CGAL_USE_GZFWRITE
     ret = gzclose( im->fd );
     break;
-#else 
+#else
   case OM_STD :
     break;
   case OM_FILE :
     ret = fclose( (FILE*)im->fd );
 #endif
   }
-  
+
   im->fd = nullptr;
   im->openMode = OM_CLOSE;
-  
+
   return ret;
 }
 
@@ -403,10 +403,10 @@ int ImageIO_close( _image* im )
 
 
 
-/* given an initialized file descriptor and a file name, 
-   open file from stdin (if name == nullptr, or name == "-", or name == "<"), 
+/* given an initialized file descriptor and a file name,
+   open file from stdin (if name == nullptr, or name == "-", or name == "<"),
    or a standard/gzipped file otherwise (gzipped files are handled assuming
-   that it is compiled and linked with zlib). 
+   that it is compiled and linked with zlib).
    openMode will have one of the following value:
    - OM_STD (for stdin)
    - OM_GZ *or* OM_FILE
@@ -416,10 +416,10 @@ void _openReadImage(_image* im, const ch
   if(im->openMode == OM_CLOSE) {
 
     /* open from stdin */
-    if( name == nullptr || name[0] == '\0' 
-	|| (name[0] == '-' && name[1] == '\0') 
-	|| (name[0] == '<' && name[1] == '\0') ) {
-#ifdef CGAL_USE_ZLIB      
+    if( name == nullptr || name[0] == '\0'
+        || (name[0] == '-' && name[1] == '\0')
+        || (name[0] == '<' && name[1] == '\0') ) {
+#ifdef CGAL_USE_ZLIB
       im->fd = gzdopen(fileno(stdin), "rb");
 #else
       im->fd = fdopen(fileno(stdin), "rb");
@@ -428,7 +428,7 @@ void _openReadImage(_image* im, const ch
     }
 
     else {
-#ifdef CGAL_USE_ZLIB     
+#ifdef CGAL_USE_ZLIB
       im->fd = gzopen(name, "rb");
       if(im->fd) im->openMode = OM_GZ;
 #else
@@ -445,22 +445,22 @@ void _openReadImage(_image* im, const ch
 
 
 
-/* given an initialized file descriptor and a file name, 
-   open file from stdout (if name == nullptr, or name == "-", or name == ">"), 
+/* given an initialized file descriptor and a file name,
+   open file from stdout (if name == nullptr, or name == "-", or name == ">"),
    a gzipped pipe (if name got the extension ".gz")
    or a standard file otherwise.
    openMode will have one of the following value:
    - OM_STD (for stdout)
-   - OM_GZ 
+   - OM_GZ
    - OM_FILE
 */
 CGAL_INLINE_FUNCTION
-void _openWriteImage(_image* im, const char *name) 
+void _openWriteImage(_image* im, const char *name)
 {
   im->openMode = OM_CLOSE;
 
-  if( name == nullptr || name[0] == '\0' 
-      || (name[0] == '-' && name[1] == '\0') 
+  if( name == nullptr || name[0] == '\0'
+      || (name[0] == '-' && name[1] == '\0')
       || (name[0] == '>' && name[1] == '\0') ) {
 
 #ifdef CGAL_USE_ZLIB
@@ -469,15 +469,15 @@ void _openWriteImage(_image* im, const c
 #else
     im->fd = gzdopen(fileno(stdout), "wb");
 #endif
-#else    
+#else
     im->fd = (_ImageIO_file) stdout;
 #endif
     im->openMode = OM_STD;
   }
 
   else{
-#ifdef CGAL_USE_ZLIB      
-    
+#ifdef CGAL_USE_ZLIB
+
     /* from gzopen() doc:
        ... The mode parameter is as in fopen ("rb" or "wb") but can
        also include a compression level ("wb9") or a strategy: 'f' for
@@ -486,16 +486,16 @@ void _openWriteImage(_image* im, const c
        However, a small .gz header will be written ... thus gz(d)open can not
        be used for rgular files.
     */
-    
+
     if( !strncmp(name+strlen(name)-3, ".gz", 3) )
       {
 #ifdef _MSC_VER
-	int ffd=_open(name,_O_RDWR | _O_CREAT| _O_TRUNC | _O_BINARY, _S_IREAD|_S_IWRITE);
-	im->fd = gzdopen( ffd, "wb" );
+        int ffd=_open(name,_O_RDWR | _O_CREAT| _O_TRUNC | _O_BINARY, _S_IREAD|_S_IWRITE);
+        im->fd = gzdopen( ffd, "wb" );
 #else
-	im->fd = gzopen( name, "wb" );
+        im->fd = gzopen( name, "wb" );
 #endif
-	im->openMode = OM_GZ;
+        im->openMode = OM_GZ;
       }
     else
     {
@@ -505,7 +505,7 @@ void _openWriteImage(_image* im, const c
 #else
       fprintf(stderr, "_openWriteImage: error: zlib version 1.2.9 or later\n"
                       "is required to save in non-compressed files\n");
-      return; 
+      return;
 #endif// CGAL_USE_GZFWRITE
     }
 
@@ -523,7 +523,7 @@ void _openWriteImage(_image* im, const c
 /* set allocation and deallocation routines */
 CGAL_INLINE_FUNCTION
 void setImageIOAllocationRoutines(ALLOCATION_FUNCTION alloc,
-				  DEALLOCATION_FUNCTION del) {
+                                  DEALLOCATION_FUNCTION del) {
   if(alloc != nullptr) allocRoutine = alloc;
   if(del != nullptr) deleteRoutine = del;
 }
@@ -619,14 +619,14 @@ _image *_initImage() {
 
 CGAL_INLINE_FUNCTION
 _image *_createImage(std::size_t x, std::size_t y, std::size_t z, std::size_t v,
-		     double vx, double vy, double vz, std::size_t w,
-		     WORD_KIND wk, SIGN sgn)
+                     double vx, double vy, double vz, std::size_t w,
+                     WORD_KIND wk, SIGN sgn)
 {
   _image *im;
-  
+
   im = (_image *) ImageIO_alloc(sizeof(_image));
   if ( im == nullptr ) return( im );
-  
+
   im->xdim = x;
   im->ydim = y;
   im->zdim = z;
@@ -678,8 +678,8 @@ _image *_createImage(std::size_t x, std:
 /* return the bounding box of the image */
 CGAL_INLINE_FUNCTION
 void _get_image_bounding_box(_image* im,
-			     double* x_min, double* y_min, double* z_min,
-			     double* x_max, double* y_max, double* z_max) {
+                             double* x_min, double* y_min, double* z_min,
+                             double* x_max, double* y_max, double* z_max) {
   *x_min = im->tx;
   *y_min = im->ty;
   *z_min = im->tz;
@@ -734,7 +734,7 @@ _image* _readImage(const char *name) {
     /* read body */
     if(_readImageData(im) < 0) {
       fprintf(stderr, "_readImage: error: invalid data encountered in \'%s\'\n",
-	      name);
+              name);
       _freeImage(im);
       return nullptr;
     }
@@ -753,7 +753,7 @@ _image* _readImage_raw(const char *name,
                        const double vx,
                        const double vy,
                        const double vz,
-		       const unsigned int offset,
+                       const unsigned int offset,
                        const std::size_t wdim,
                        WORD_KIND wk,
                        SIGN sgned
@@ -854,20 +854,20 @@ _image* _readNonInterlacedImage(const ch
     /* read scalar image body */
     if(im->vdim == 1) {
       if(_readImageData(im) < 0) {
-	fprintf(stderr, "_readImage: error: invalid data encountered in \'%s\'\n",
-		name);
-	_freeImage(im);
-	return nullptr;
+        fprintf(stderr, "_readImage: error: invalid data encountered in \'%s\'\n",
+                name);
+        _freeImage(im);
+        return nullptr;
       }
     }
     /* read vectorial image body */
     else {
       im->vectMode = VM_NON_INTERLACED;
       if(_readNonInterlacedImageData(im) < 0) {
-	fprintf(stderr, "_readImage: error: invalid data encountered in \'%s\'\n",
-		name);
-	_freeImage(im);
-	return nullptr;
+        fprintf(stderr, "_readImage: error: invalid data encountered in \'%s\'\n",
+                name);
+        _freeImage(im);
+        return nullptr;
       }
     }
     ImageIO_close(im);
@@ -901,8 +901,8 @@ int _writeImage(_image *im, const char *
 
   /* different conventions for the standard input
    */
-  if ( name_to_be_written == nullptr || name_to_be_written[0] == '\0' 
-       || (name_to_be_written[0] == '-' && name_to_be_written[1] == '\0') 
+  if ( name_to_be_written == nullptr || name_to_be_written[0] == '\0'
+       || (name_to_be_written[0] == '-' && name_to_be_written[1] == '\0')
        || (name_to_be_written[0] == '>' && name_to_be_written[1] == '\0') ) {
     name = nullptr;
   }
@@ -921,8 +921,8 @@ int _writeImage(_image *im, const char *
     PTRIMAGE_FORMAT f;
     char ext[IMAGE_FORMAT_NAME_LENGTH];
     char *ptr;
-    
-    
+
+
     /* scan all formats; */
     im->imageFormat=nullptr;
     length=strlen(name);
@@ -932,33 +932,33 @@ int _writeImage(_image *im, const char *
       ptr=&f->fileExtension[0];
 
       do {
-	/* get next file extension */
-	i=0;
-	for(i=0;((*ptr)!=',' && (*ptr)!='\0');i++,ptr++) {
-	  ext[i]=(*ptr);
-	}
-	if ((*ptr)==',') {
-	  ext[i]='\0';
-	  ptr++;
-	}
-	else {
-	  ext[i]='\0';
-	}
-	extLength=strlen(ext);
-
-	/* test if the tail of name matches the extension */
-	if ( (length > extLength) && (!strcmp( name + length - extLength, ext)) ) {
-	  im->imageFormat=f;
-	  /* copy original name and removes extension */
-	  baseName=strdup(name);
-	  for(i= length - extLength;i<length;++i)
-	    baseName[i]='\0';
-	}
+        /* get next file extension */
+        i=0;
+        for(i=0;((*ptr)!=',' && (*ptr)!='\0');i++,ptr++) {
+          ext[i]=(*ptr);
+        }
+        if ((*ptr)==',') {
+          ext[i]='\0';
+          ptr++;
+        }
+        else {
+          ext[i]='\0';
+        }
+        extLength=strlen(ext);
+
+        /* test if the tail of name matches the extension */
+        if ( (length > extLength) && (!strcmp( name + length - extLength, ext)) ) {
+          im->imageFormat=f;
+          /* copy original name and removes extension */
+          baseName=strdup(name);
+          for(i= length - extLength;i<length;++i)
+            baseName[i]='\0';
+        }
 
       } while (((*ptr)!='\0') && (im->imageFormat==nullptr));
     }
 
-    if (!im->imageFormat) { 
+    if (!im->imageFormat) {
       fprintf(stderr, "_writeImage: warning : unknown extension in %s = assuming Inrimage\n",name);
       im->imageFormat=get_static_inrimageFormat();
       baseName=strdup(name);
@@ -967,9 +967,9 @@ int _writeImage(_image *im, const char *
 
 
   /* open file descriptor */
-  /* _openWriteImage( im, name ) ; 
-  
-  
+  /* _openWriteImage( im, name ) ;
+
+
 
   if(!im->fd) {
      fprintf(stderr, "_writeImage: error: open failed\n");
@@ -987,17 +987,17 @@ int _writeImage(_image *im, const char *
 
     if ( 0 ) {
       fprintf(stderr, "_writeImage: will write '%s' with '%s' format\n",
-	      name, im->imageFormat->realName );
+              name, im->imageFormat->realName );
     }
 
     if ((*im->imageFormat->writeImage)(name, im)<0) {
       fprintf(stderr, "_writeImage: error: unable to write \'%s\'\n",
-	      name);
+              name);
       r = ImageIO_WRITING_HEADER;
-    } 
-    
+    }
+
   }
-  
+
 
 
   /* close file descriptor */
@@ -1008,7 +1008,7 @@ int _writeImage(_image *im, const char *
 
   if ( baseName != nullptr ) free( baseName );
   if ( name != nullptr ) free( name );
- 
+
   return r;
 }
 
@@ -1023,8 +1023,8 @@ int _writeImage(_image *im, const char *
 
 
 
-/* read header from an image file 
-   
+/* read header from an image file
+
    if standard input, it's an inrimage
    if not, get a magic string
    and try to find the good format
@@ -1058,11 +1058,11 @@ _image *_readImageHeaderAndGetError( con
   int res;
 
   *error = ImageIO_NO_ERROR;
-  
+
   /* open image file */
   im = _initImage();
-  if ( name_to_be_read == nullptr || name_to_be_read[0] == '\0' 
-       || (name_to_be_read[0] == '-' && name_to_be_read[1] == '\0') 
+  if ( name_to_be_read == nullptr || name_to_be_read[0] == '\0'
+       || (name_to_be_read[0] == '-' && name_to_be_read[1] == '\0')
        || (name_to_be_read[0] == '<' && name_to_be_read[1] == '\0') ) {
     name = nullptr;
   }
@@ -1071,7 +1071,7 @@ _image *_readImageHeaderAndGetError( con
   }
 
 
-  _openReadImage(im, name);	
+  _openReadImage(im, name);
 
   if(!im->fd) {
     if(name == nullptr) {
@@ -1086,7 +1086,7 @@ _image *_readImageHeaderAndGetError( con
   }
 
   initSupportedFileFormat();
-  
+
   /* what is the wanted format ?
      assume that stdin is inrimage
    */
@@ -1103,7 +1103,7 @@ _image *_readImageHeaderAndGetError( con
     for(f=get_static_firstFormat();(f!=nullptr)&& (im->imageFormat==nullptr);f=f->next) {
       /* test if it is the correct format based on magic and file extension */
       if (((*f->testImageFormat)(magic, name)) >=0) {
-	im->imageFormat=f;
+        im->imageFormat=f;
       }
     }
   }
@@ -1118,19 +1118,19 @@ _image *_readImageHeaderAndGetError( con
   }
 
   /* now tests if the header can be read correctly */
-	
+
   res=(*(im->imageFormat)->readImageHeader)(name,im);
-  /* could read header only */ 
+  /* could read header only */
   if (res == 0) {
     if ( name != nullptr ) free( name );
     return( im );
-  } 
+  }
   /* could read header and data */
   else if ( res > 0 ) {
     ImageIO_close(im);
     if ( name != nullptr ) free( name );
     return im;
-  }  
+  }
 
   /* could not read error : throw error */
   fprintf(stderr, "_readImageHeaderAndGetError: an error occurs when reading image\n" );
@@ -1156,13 +1156,13 @@ _image *_readImageHeaderAndGetError( con
 
 
 CGAL_INLINE_FUNCTION
-static void _swapImageData( _image *im ) 
+static void _swapImageData( _image *im )
 {
   unsigned char *ptr1, *ptr2, b[8];
   unsigned short int si, *ptr3, *ptr4;
   unsigned int        i, *ptr5, *ptr6;
   std::size_t size, length;
-  
+
   if( _getEndianness() != im->endianness) {
 
     size = std::size_t(im->xdim) * im->ydim * im->zdim * im->vdim * im->wdim;
@@ -1170,63 +1170,63 @@ static void _swapImageData( _image *im )
 
     length = size / im->wdim;
     ptr1 = ptr2 = (unsigned char *) im->data;
-    
+
     /* 2 bytes swap */
     if(im->wdim == 2) {
       /*
-	while(length--) {
-	b[0] = *ptr1++;
-	b[1] = *ptr1++;
-	*ptr2++ = b[1];
-	*ptr2++ = b[0];
-	}
+        while(length--) {
+        b[0] = *ptr1++;
+        b[1] = *ptr1++;
+        *ptr2++ = b[1];
+        *ptr2++ = b[0];
+        }
       */
       ptr3 = ptr4 = (unsigned short int *) im->data;
       while( length-- ) {
-	si = *ptr3++;
-	*ptr4++ = (unsigned short int)(((si >> 8) & 0xff) | (si << 8));
+        si = *ptr3++;
+        *ptr4++ = (unsigned short int)(((si >> 8) & 0xff) | (si << 8));
       }
     }
-    
+
     /* 4 bytes swap */
     else if(im->wdim == 4) {
       /*
-	while(length--) {
-	b[0] = *ptr1++;
-	b[1] = *ptr1++;
-	b[2] = *ptr1++;
-	b[3] = *ptr1++;
-	*ptr2++ = b[3];
-	*ptr2++ = b[2];
-	*ptr2++ = b[1];
-	*ptr2++ = b[0];
-	}
+        while(length--) {
+        b[0] = *ptr1++;
+        b[1] = *ptr1++;
+        b[2] = *ptr1++;
+        b[3] = *ptr1++;
+        *ptr2++ = b[3];
+        *ptr2++ = b[2];
+        *ptr2++ = b[1];
+        *ptr2++ = b[0];
+        }
       */
       ptr5 = ptr6 = (unsigned int *) im->data;
       while( length-- ) {
-	i = *ptr5++;
-	*ptr6++ =  (i << 24) | ((i & 0xff00) << 8) | ((i >> 8) & 0xff00) | ((i >> 24) & 0xff);
+        i = *ptr5++;
+        *ptr6++ =  (i << 24) | ((i & 0xff00) << 8) | ((i >> 8) & 0xff00) | ((i >> 24) & 0xff);
       }
     }
     /* 8 bytes swap */
     else if(im->wdim == 8) {
       while(length--) {
-	b[0] = *ptr1++;
-	b[1] = *ptr1++;
-	b[2] = *ptr1++;
-	b[3] = *ptr1++;
-	b[4] = *ptr1++;
-	b[5] = *ptr1++;
-	b[6] = *ptr1++;
-	b[7] = *ptr1++;
-	*ptr2++ = b[7];
-	*ptr2++ = b[6];
-	*ptr2++ = b[5];
-	*ptr2++ = b[4];
-	*ptr2++ = b[3];
-	*ptr2++ = b[2];
-	*ptr2++ = b[1];
-	*ptr2++ = b[0];
+        b[0] = *ptr1++;
+        b[1] = *ptr1++;
+        b[2] = *ptr1++;
+        b[3] = *ptr1++;
+        b[4] = *ptr1++;
+        b[5] = *ptr1++;
+        b[6] = *ptr1++;
+        b[7] = *ptr1++;
+        *ptr2++ = b[7];
+        *ptr2++ = b[6];
+        *ptr2++ = b[5];
+        *ptr2++ = b[4];
+        *ptr2++ = b[3];
+        *ptr2++ = b[2];
+        *ptr2++ = b[1];
+        *ptr2++ = b[0];
       }
     }
   }
@@ -1246,7 +1246,7 @@ int _readImageData(_image *im) {
 
   if(im->openMode != OM_CLOSE) {
     size = im->xdim * im->ydim * im->zdim * im->vdim * im->wdim;
-    
+
     if ( size <= 0 ) return -3;
 
     if(!im->data) {
@@ -1258,7 +1258,7 @@ int _readImageData(_image *im) {
     if(nread != size) return -1;
 
 
-    /* architecture is big endian and data little endian 
+    /* architecture is big endian and data little endian
        length = nb of points
      */
     _swapImageData( im );
@@ -1284,7 +1284,7 @@ int _readNonInterlacedImageData(_image *
   unsigned int i, j, k, v, w;
 
   if(im->vdim == 1) return _readImageData(im);
-  
+
   if(im->openMode != OM_CLOSE) {
     size = im->xdim * im->ydim * im->zdim * im->vdim * im->wdim;
 
@@ -1303,14 +1303,14 @@ int _readNonInterlacedImageData(_image *
 
     for(k = 0; k < im->zdim; k++) {
       for(j = 0; j < im->ydim; j++) {
-	for(i = 0; i < im->xdim; i++) {
-	  nread = ImageIO_read(im, buf, im->vdim * im->wdim);
-	  if(nread != im->vdim * im->wdim) return -1;
-	  for(v = 0; v < im->vdim; v++)
-	    for(w = 0; w < im->wdim; w++)
-	      *vp[v]++ = *buf++;
-	  buf -= im->vdim * im->wdim;
-	}
+        for(i = 0; i < im->xdim; i++) {
+          nread = ImageIO_read(im, buf, im->vdim * im->wdim);
+          if(nread != im->vdim * im->wdim) return -1;
+          for(v = 0; v < im->vdim; v++)
+            for(w = 0; w < im->wdim; w++)
+              *vp[v]++ = *buf++;
+          buf -= im->vdim * im->wdim;
+        }
       }
     }
 
@@ -1320,7 +1320,7 @@ int _readNonInterlacedImageData(_image *
     /* architecture is big endian and data little endian */
     _swapImageData( im );
 
-    
+
     /* reorder lines */
     /* no non-interlaced data for ANALYZE. But if ever... */
 /*     if( im->imageFormat == IF_ANALYZE ) { */
@@ -1331,19 +1331,19 @@ int _readNonInterlacedImageData(_image *
 /*        char* swapped = ImageIO_alloc(lineSize) ; */
 /*        for( v = 0 ; v < vdim ; ++v ) */
 /*        { */
-/* 	  char* buf1 = (char*)im->data + v*vsize ; */
-/* 	  char* buf2 = buf1 + vsize - lineSize ; */
-	  
-/* 	  while( buf1 < buf2 ) */
-/* 	  { */
-/* 	     memcpy( swapped, buf1, lineSize ) ; */
-/* 	     memcpy( buf1, buf2, lineSize ) ; */
-/* 	     memcpy( buf2, swapped, lineSize ) ; */
-/* 	     buf1 += lineSize ; */
-/* 	     buf2 -= lineSize ; */
-/* 	  } */
+/*           char* buf1 = (char*)im->data + v*vsize ; */
+/*           char* buf2 = buf1 + vsize - lineSize ; */
+
+/*           while( buf1 < buf2 ) */
+/*           { */
+/*              memcpy( swapped, buf1, lineSize ) ; */
+/*              memcpy( buf1, buf2, lineSize ) ; */
+/*              memcpy( buf2, swapped, lineSize ) ; */
+/*              buf1 += lineSize ; */
+/*              buf2 -= lineSize ; */
+/*           } */
 
-/* 	  ImageIO_free( swapped ) ; */
+/*           ImageIO_free( swapped ) ; */
 /*        } */
 /*     } */
   }
@@ -1381,12 +1381,12 @@ int _readNonInterlacedFileData(_image *i
       if(nread != size) return -1;
       vp = (unsigned char *) im->data + (v * im->wdim);
       for(k = 0; k < im->zdim; k++) {
-	for(j = 0; j < im->ydim; j++) {
-	  for(i = 0; i < im->xdim; i++) {
-	    for(w = 0; w < im->wdim; w++) *vp++ = *buf++;
-	    vp += (im->vdim - 1) * im->wdim;
-	  }
-	}
+        for(j = 0; j < im->ydim; j++) {
+          for(i = 0; i < im->xdim; i++) {
+            for(w = 0; w < im->wdim; w++) *vp++ = *buf++;
+            vp += (im->vdim - 1) * im->wdim;
+          }
+        }
       }
     }
 
@@ -1394,8 +1394,8 @@ int _readNonInterlacedFileData(_image *i
 
     /* architecture is big endian and data little endian */
     _swapImageData( im );
-    
-    
+
+
     /* reorder lines */
     /* no non-interlaced data for ANALYZE. But if ever... */
 /*     if( im->imageFormat == IF_ANALYZE ) { */
@@ -1406,24 +1406,24 @@ int _readNonInterlacedFileData(_image *i
 /*        char* swapped = ImageIO_alloc(lineSize) ; */
 /*        for( v = 0 ; v < vdim ; ++v ) */
 /*        { */
-/* 	  char* buf1 = (char*)im->data + v*vsize ; */
-/* 	  char* buf2 = buf1 + vsize - lineSize ; */
-	  
-/* 	  while( buf1 < buf2 ) */
-/* 	  { */
-/* 	     memcpy( swapped, buf1, lineSize ) ; */
-/* 	     memcpy( buf1, buf2, lineSize ) ; */
-/* 	     memcpy( buf2, swapped, lineSize ) ; */
-/* 	     buf1 += lineSize ; */
-/* 	     buf2 -= lineSize ; */
-/* 	  } */
+/*           char* buf1 = (char*)im->data + v*vsize ; */
+/*           char* buf2 = buf1 + vsize - lineSize ; */
 
-/* 	  ImageIO_free( swapped ) ; */
+/*           while( buf1 < buf2 ) */
+/*           { */
+/*              memcpy( swapped, buf1, lineSize ) ; */
+/*              memcpy( buf1, buf2, lineSize ) ; */
+/*              memcpy( buf2, swapped, lineSize ) ; */
+/*              buf1 += lineSize ; */
+/*              buf2 -= lineSize ; */
+/*           } */
+
+/*           ImageIO_free( swapped ) ; */
 /*        } */
 /*     } */
   }
 
-  return 1;  
+  return 1;
 }
 
 
@@ -1453,14 +1453,14 @@ PTRIMAGE_FORMAT imageType(const char *fi
   PTRIMAGE_FORMAT format;
 
   if(!fileName) {
-#ifdef CGAL_USE_ZLIB    
+#ifdef CGAL_USE_ZLIB
     f = gzdopen(fileno(stdin), "rb");
 #else
     f = fdopen(fileno(stdin), "rb");
 #endif
   }
   else {
-#ifdef CGAL_USE_ZLIB      
+#ifdef CGAL_USE_ZLIB
     f = gzopen(fileName, "rb");
 #else
     f = fopen(fileName, "rb");
@@ -1468,7 +1468,7 @@ PTRIMAGE_FORMAT imageType(const char *fi
   }
 
   if(!f) return nullptr;
-  
+
 #ifdef CGAL_USE_ZLIB
   gzread( f, (void *) magic, 4);
 #else
@@ -1478,7 +1478,7 @@ PTRIMAGE_FORMAT imageType(const char *fi
 
   magic[4] = '\0';
 
-#ifdef CGAL_USE_ZLIB 
+#ifdef CGAL_USE_ZLIB
   gzclose( f );
 #else
   if(fileName) fclose( f );
@@ -1511,10 +1511,10 @@ PTRIMAGE_FORMAT imageType(const char *fi
 
 
 
-/** adds a format at the beginning of the list of image formats. 
+/** adds a format at the beginning of the list of image formats.
     Test if all mandatory fields have been filled */
 CGAL_INLINE_FUNCTION
-int addImageFormat( PTRIMAGE_FORMAT format) 
+int addImageFormat( PTRIMAGE_FORMAT format)
 {
   if ( (format->testImageFormat) &&
        (format->readImageHeader) &&
@@ -1523,21 +1523,21 @@ int addImageFormat( PTRIMAGE_FORMAT form
 
     format->next=get_static_firstFormat();
     get_static_firstFormat()=format;
-    
+
     return 0;
 
-  } 
+  }
   else {
     fprintf(stderr,"addImageFormat: information missing in file format %s\n",
-	    format->realName);
+            format->realName);
     return -1;
   }
 }
 
-/** adds a format at the end of the list of image formats. 
+/** adds a format at the end of the list of image formats.
     Test if all mandatory fields have been filled */
 CGAL_INLINE_FUNCTION
-int addImageFormatAtEnd( PTRIMAGE_FORMAT format) 
+int addImageFormatAtEnd( PTRIMAGE_FORMAT format)
 {
   PTRIMAGE_FORMAT f;
   if ( (format->testImageFormat) &&
@@ -1546,22 +1546,22 @@ int addImageFormatAtEnd( PTRIMAGE_FORMAT
        (strlen(format->realName)>0) ) {
 
     format->next = nullptr;
-    
+
     if (get_static_firstFormat() == nullptr) {
       get_static_firstFormat()=format;
     }
     else {
       for(f=get_static_firstFormat();(f->next!=nullptr);f=f->next)
-	;
-      f->next=format;    
+        ;
+      f->next=format;
     }
-    
+
     return 0;
 
-  } 
+  }
   else {
     fprintf(stderr,"addImageFormatAtEnd: information missing in file format %s\n",
-	    format->realName);
+            format->realName);
     return -1;
   }
 }
@@ -1569,7 +1569,7 @@ int addImageFormatAtEnd( PTRIMAGE_FORMAT
 
 /** creates supported image formats */
 CGAL_INLINE_FUNCTION
-void initSupportedFileFormat() 
+void initSupportedFileFormat()
 {
   PTRIMAGE_FORMAT f;
   if ( get_static_inrimageFormat() == nullptr ) {
@@ -1605,7 +1605,7 @@ PTRIMAGE_FORMAT firstImageFormat() {
 
 /** prints supported image formats */
 CGAL_INLINE_FUNCTION
-void printSupportedFileFormat() {    
+void printSupportedFileFormat() {
   PTRIMAGE_FORMAT f;
   int i;
 
@@ -1613,15 +1613,15 @@ void printSupportedFileFormat() {
 
   for(i=0, f=get_static_firstFormat();(f!=nullptr);i++, f=f->next) {
     if ( (f->testImageFormat) &&
-	 (f->readImageHeader) &&
-	 (strlen(f->fileExtension)>0) &&
-	 (strlen(f->realName)>0)) {
+         (f->readImageHeader) &&
+         (strlen(f->fileExtension)>0) &&
+         (strlen(f->realName)>0)) {
       fprintf( stderr, "#%2d: format name ='%s', extensions='%s'",
-	      i, f->realName, f->fileExtension );
-      if (f->readImageHeader) 
-	fprintf( stderr, ", read" );
-      if (f->writeImage) 
-	fprintf( stderr, ", write" );
+              i, f->realName, f->fileExtension );
+      if (f->readImageHeader)
+        fprintf( stderr, ", read" );
+      if (f->writeImage)
+        fprintf( stderr, ", write" );
       fprintf( stderr, "\n" );
     }
   }
@@ -1630,9 +1630,9 @@ void printSupportedFileFormat() {
 
 /** remove supported image formats */
 CGAL_INLINE_FUNCTION
-void removeSupportedFileFormat() {    
+void removeSupportedFileFormat() {
   PTRIMAGE_FORMAT f=get_static_firstFormat();
-  
+
   while( f != nullptr) {
     PTRIMAGE_FORMAT f_old = f;
     f = f->next;
@@ -1647,8 +1647,8 @@ void removeSupportedFileFormat() {
  */
 CGAL_INLINE_FUNCTION
 float triLinInterp(const _image* image,
-                   float posx, 
-                   float posy, 
+                   float posx,
+                   float posy,
                    float posz,
                    float value_outside /*= 0.f */)
 {
@@ -1656,7 +1656,7 @@ float triLinInterp(const _image* image,
   const std::size_t dimy = image->ydim;
   const std::size_t dimz = image->zdim;
   const std::size_t dimxy = dimx*dimy;
-  
+
   if(posx < 0.f || posy < 0.f || posz < 0.f )
     return value_outside;
 
@@ -1667,7 +1667,7 @@ float triLinInterp(const _image* image,
   //patch suggested by J.Cugnoni to prevent integer overflow
   if(posz >= float(dimz-1) || posy >= float(dimy-1) || posx >= float(dimx-1))
     return value_outside;
-  
+
   const int i1 = (int)(posz);
   const int j1 = (int)(posy);
   const int k1 = (int)(posx);
@@ -1710,17 +1710,17 @@ float evaluate(const _image* image,
   return 0.f;
 }
 
-/** convert the data of the image to float 
+/** convert the data of the image to float
 */
 CGAL_INLINE_FUNCTION
-void convertImageTypeToFloat(_image* image){ 
+void convertImageTypeToFloat(_image* image){
   if(image->wordKind == WK_FLOAT && image->wdim == 4)
     return;
 
   const std::size_t dimx = image->xdim;
   const std::size_t dimy = image->ydim;
   const std::size_t dimz = image->zdim;
-  
+
   float * array = (float*)ImageIO_alloc (dimx * dimy * dimz *sizeof(float));
   if (array == nullptr ) {
     fprintf ( stderr, "allocation error\n" );
@@ -1728,7 +1728,7 @@ void convertImageTypeToFloat(_image* ima
   }
 
   CGAL_IMAGE_IO_CASE
-    (image, 
+    (image,
      Word * typedArray  = (Word *)(image->data);
      for(unsigned int i = 0; i<dimx * dimy * dimz;++i)
        array[i] = (float)(typedArray[i]);
@@ -1736,7 +1736,7 @@ void convertImageTypeToFloat(_image* ima
 
   ImageIO_free ( image->data );
   image->data = array;
-  
+
   image->wordKind = WK_FLOAT;
   image->wdim = 4;
 }
diff -pruN 5.0.2-3/include/CGAL/Implicit_mesh_domain_3.h 5.0.3-1/include/CGAL/Implicit_mesh_domain_3.h
--- 5.0.2-3/include/CGAL/Implicit_mesh_domain_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Implicit_mesh_domain_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Implicit_mesh_domain_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Implicit_mesh_domain_3.h $
 // $Id: Implicit_mesh_domain_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Implicit_surface_3.h 5.0.3-1/include/CGAL/Implicit_surface_3.h
--- 5.0.2-3/include/CGAL/Implicit_surface_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Implicit_surface_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Implicit_surface_3.h $
-// $Id: Implicit_surface_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Implicit_surface_3.h $
+// $Id: Implicit_surface_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent RINEAU
@@ -30,7 +30,7 @@ namespace CGAL {
     // The type of the argument `Function` will be ignored anyway.
     // The parameter is here only for backward-compatibility.
     >
-  class Implicit_surface_3 
+  class Implicit_surface_3
   {
   public:
     typedef GT Geom_traits;
@@ -47,15 +47,15 @@ namespace CGAL {
       Self> Surface_mesher_traits_3;
 
     Implicit_surface_3(Function f,
-		       const Sphere_3 bounding_sphere,
-		       const FT error_bound = FT(1e-3),
-		       Geom_traits gt = Geom_traits())
+                       const Sphere_3 bounding_sphere,
+                       const FT error_bound = FT(1e-3),
+                       Geom_traits gt = Geom_traits())
       : func(f),
-	sphere(bounding_sphere),
-	gt(gt)
+        sphere(bounding_sphere),
+        gt(gt)
     {
       squared_error = error_bound * error_bound;
-      squared_error = squared_error * 
+      squared_error = squared_error *
         gt.compute_squared_radius_3_object()(bounding_sphere);
     }
 
@@ -105,8 +105,8 @@ namespace CGAL {
   template <typename GT, typename Function>
   Implicit_surface_3<GT, Function>
   make_implicit_surface_3(GT, Function f,
-			  typename GT::Sphere_3 sphere,
-			  typename GT::FT error_bound)
+                          typename GT::Sphere_3 sphere,
+                          typename GT::FT error_bound)
   {
     typedef Implicit_surface_3<GT> surface;
     return surface(f, sphere, error_bound);
@@ -117,7 +117,7 @@ namespace CGAL {
 //   {
 //     typedef Implicit_surface_3<GT, Function> Surface_type;
 //     typedef typename Surface_mesher::Implicit_surface_oracle_3<GT,
-// 							     Surface_type> Type;
+//                                                              Surface_type> Type;
 //     typedef Type type; // Boost meta-programming compatibility
 //   };
 
diff -pruN 5.0.2-3/include/CGAL/Implicit_to_labeled_subdomains_function_wrapper.h 5.0.3-1/include/CGAL/Implicit_to_labeled_subdomains_function_wrapper.h
--- 5.0.2-3/include/CGAL/Implicit_to_labeled_subdomains_function_wrapper.h	2020-02-21 20:03:52.000000000 +0000
+++ 5.0.3-1/include/CGAL/Implicit_to_labeled_subdomains_function_wrapper.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_mesh_3/include/CGAL/Implicit_to_labeled_subdomains_function_wrapper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_mesh_3/include/CGAL/Implicit_to_labeled_subdomains_function_wrapper.h $
 // $Id: Implicit_to_labeled_subdomains_function_wrapper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Implicit_to_labeling_function_wrapper.h 5.0.3-1/include/CGAL/Implicit_to_labeling_function_wrapper.h
--- 5.0.2-3/include/CGAL/Implicit_to_labeling_function_wrapper.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Implicit_to_labeling_function_wrapper.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Implicit_to_labeling_function_wrapper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Implicit_to_labeling_function_wrapper.h $
 // $Id: Implicit_to_labeling_function_wrapper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Incremental_neighbor_search.h 5.0.3-1/include/CGAL/Incremental_neighbor_search.h
--- 5.0.2-3/include/CGAL/Incremental_neighbor_search.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Incremental_neighbor_search.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Incremental_neighbor_search.h $
-// $Id: Incremental_neighbor_search.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Incremental_neighbor_search.h $
+// $Id: Incremental_neighbor_search.h c1ffa15 2020-05-18T12:22:15+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Hans Tangelder (<hanst@cs.uu.nl>)
 
@@ -27,11 +27,11 @@
 
 namespace CGAL {
 
-  template <class SearchTraits, 
+  template <class SearchTraits,
             class Distance_=typename internal::Spatial_searching_default_distance<SearchTraits>::type,
             class Splitter_ = Sliding_midpoint<SearchTraits>,
             class Tree_=Kd_tree<SearchTraits, Splitter_, Tag_false> >
-  class Incremental_neighbor_search { 
+  class Incremental_neighbor_search {
 
   public:
 
@@ -60,20 +60,20 @@ namespace CGAL {
       :the_box(Nb), the_node(N)
       {}
 
-      Node_box* 
-      box() 
+      Node_box*
+      box()
       {
-	return the_box;
+        return the_box;
       }
 
-      Node_const_handle    
-      node() 
+      Node_const_handle
+      node()
       {
-	return the_node;
+        return the_node;
       }
     };
-    
-    
+
+
 
     typedef std::pair<Point_d,FT> Point_with_transformed_distance;
     typedef std::pair<Cell*,FT> Cell_with_distance;
@@ -87,8 +87,8 @@ namespace CGAL {
     const Tree& m_tree;
     Query_item m_query;
     Distance m_dist;
-    FT m_Eps; 
-    bool m_search_nearest;    
+    FT m_Eps;
+    bool m_search_nearest;
 
   public:
 
@@ -97,25 +97,25 @@ namespace CGAL {
 
     // constructor
     Incremental_neighbor_search(const Tree& tree, const Query_item& q,
-				FT Eps=FT(0.0), bool search_nearest=true, 
-				const Distance& tr=Distance()): 
+                                FT Eps=FT(0.0), bool search_nearest=true,
+                                const Distance& tr=Distance()):
           m_tree(tree),m_query(q),m_dist(tr),m_Eps(Eps),m_search_nearest(search_nearest)
     {}
 
-    iterator 
+    iterator
     begin() const
     {
       return iterator(m_tree,m_query,m_dist,m_Eps,m_search_nearest);
     }
 
-    iterator 
+    iterator
     end() const
     {
       return iterator();
     }
 
-    std::ostream&  
-    statistics(std::ostream& s) 
+    std::ostream&
+    statistics(std::ostream& s)
     {
       begin()->statistics(s);
       return s;
@@ -129,7 +129,7 @@ namespace CGAL {
       Object_wrapper(const T& t):object(t){}
       const T& operator* () const { return object; }
       const T* operator-> () const { return &object; }
-    };    
+    };
 
 
     class iterator {
@@ -138,41 +138,41 @@ namespace CGAL {
 
       typedef std::input_iterator_tag iterator_category;
       typedef Point_with_transformed_distance       value_type;
-      typedef Point_with_transformed_distance*      pointer;
+      typedef const Point_with_transformed_distance*      pointer;
       typedef const Point_with_transformed_distance&      reference;
       typedef std::size_t               size_type;
       typedef std::ptrdiff_t            difference_type;
       typedef int distance_type;
-    
-    
+
+
       class Iterator_implementation;
       Iterator_implementation *ptr;
 
 
       // default constructor
-      iterator() 
-	: ptr(0)
+      iterator()
+        : ptr(0)
       {}
 
-      int 
-      the_number_of_items_visited() 
+      int
+      the_number_of_items_visited()
       {
         return ptr->number_of_items_visited;
       }
 
       // constructor
-      iterator(const Tree& tree, const Query_item& q, const Distance& tr, FT eps, 
-	       bool search_nearest)
+      iterator(const Tree& tree, const Query_item& q, const Distance& tr, FT eps,
+               bool search_nearest)
         : ptr(new Iterator_implementation(tree, q, tr, eps, search_nearest))
       {}
-      
+
       // copy constructor
       iterator(const iterator& Iter)
-	: ptr(Iter.ptr)
+        : ptr(Iter.ptr)
       {
-	if (ptr != 0) ptr->reference_count++;
+        if (ptr != 0) ptr->reference_count++;
       }
-      
+
       iterator& operator=(const iterator& Iter)
       {
         if (ptr!=Iter.ptr){
@@ -183,23 +183,23 @@ namespace CGAL {
           if (ptr != 0) ptr->reference_count++;
         }
         return *this;
-      }      
-      
-      const Point_with_transformed_distance& 
+      }
+
+      const Point_with_transformed_distance&
       operator* () const
       {
-	return *(*ptr);
+        return *(*ptr);
       }
 
       // -> operator
       const Point_with_transformed_distance*
-      operator-> () const 
+      operator-> () const
       {
-	return &*(*ptr);
-      }      
-      
+        return &*(*ptr);
+      }
+
       // prefix operator
-      iterator& operator++() 
+      iterator& operator++()
       {
         ++(*ptr);
         return *this;
@@ -207,338 +207,338 @@ namespace CGAL {
 
       // postfix operator
       Object_wrapper<Point_with_transformed_distance>
-      operator++(int) 
+      operator++(int)
       {
-	return (*ptr)++;
+        return (*ptr)++;
       }
 
-      bool 
-      operator==(const iterator& It) const 
+      bool
+      operator==(const iterator& It) const
       {
-        if ( ((ptr == 0) || 
-	      ptr->Item_PriorityQueue.empty()) &&
-	     ((It.ptr == 0) ||  
-	      It.ptr->Item_PriorityQueue.empty())
-	     )
-	  return true;
+        if ( ((ptr == 0) ||
+              ptr->Item_PriorityQueue.empty()) &&
+             ((It.ptr == 0) ||
+              It.ptr->Item_PriorityQueue.empty())
+             )
+          return true;
         // else
         return (ptr == It.ptr);
       }
 
-      bool 
+      bool
       operator!=(const iterator& It) const
       {
         return !(*this == It);
       }
 
-      std::ostream& 
-      statistics (std::ostream& s) 
+      std::ostream&
+      statistics (std::ostream& s)
       {
-    	ptr->statistics(s);
+            ptr->statistics(s);
         return s;
       }
 
-      ~iterator() 
+      ~iterator()
       {
         if (ptr != 0) {
-	  ptr->reference_count--;
-	  if (ptr->reference_count==0) {
-	    delete ptr;
-	    ptr = 0;
-	  }
+          ptr->reference_count--;
+          if (ptr->reference_count==0) {
+            delete ptr;
+            ptr = 0;
+          }
         }
       }
-      
+
 
       class Iterator_implementation {
 
       private:
 
-	FT multiplication_factor;
+        FT multiplication_factor;
+
+        Query_item query_point;
 
-	Query_item query_point;
+        FT distance_to_root;
 
-	FT distance_to_root;
+        bool search_nearest_neighbour;
 
-	bool search_nearest_neighbour;
+        FT rd;
 
-	FT rd;
 
+        class Priority_higher {
 
-	class Priority_higher {
-	
-	public:
+        public:
 
-	  bool search_nearest;
+          bool search_nearest;
 
-	  Priority_higher(bool search_the_nearest_neighbour)
-	    : search_nearest(search_the_nearest_neighbour) 
-	  {}
+          Priority_higher(bool search_the_nearest_neighbour)
+            : search_nearest(search_the_nearest_neighbour)
+          {}
 
-	  //highest priority is smallest distance
-	  bool operator() (Cell_with_distance* n1, Cell_with_distance* n2) const 
-	  {
-	    return (search_nearest)? (n1->second > n2->second) : (n2->second > n1->second);
-	  }
-	};
+          //highest priority is smallest distance
+          bool operator() (Cell_with_distance* n1, Cell_with_distance* n2) const
+          {
+            return (search_nearest)? (n1->second > n2->second) : (n2->second > n1->second);
+          }
+        };
 
 
-	class Distance_smaller {
+        class Distance_smaller {
 
-	public:
+        public:
 
-	  bool search_nearest;
+          bool search_nearest;
 
-	  Distance_smaller(bool search_the_nearest_neighbour)
-	    :search_nearest(search_the_nearest_neighbour)
-	  {}
+          Distance_smaller(bool search_the_nearest_neighbour)
+            :search_nearest(search_the_nearest_neighbour)
+          {}
 
-	  //highest priority is smallest distance
-	  bool 
-	  operator() (Point_with_transformed_distance* p1, Point_with_transformed_distance* p2) const 
-	  {
-	    return (search_nearest) ? (p1->second > p2->second) : (p2->second > p1->second);
-	  }
-	};
+          //highest priority is smallest distance
+          bool
+          operator() (Point_with_transformed_distance* p1, Point_with_transformed_distance* p2) const
+          {
+            return (search_nearest) ? (p1->second > p2->second) : (p2->second > p1->second);
+          }
+        };
 
 
-	std::priority_queue<Cell_with_distance*, Cell_with_distance_vector,
-	                    Priority_higher> PriorityQueue;
+        std::priority_queue<Cell_with_distance*, Cell_with_distance_vector,
+                            Priority_higher> PriorityQueue;
       public:
-	std::priority_queue<Point_with_transformed_distance*, Point_with_distance_vector,
-	                    Distance_smaller> Item_PriorityQueue;
-    
+        std::priority_queue<Point_with_transformed_distance*, Point_with_distance_vector,
+                            Distance_smaller> Item_PriorityQueue;
+
 
-	Distance distance;
+        Distance distance;
 
       public:
 
-	int reference_count;
+        int reference_count;
 
-	int number_of_internal_nodes_visited;
-	int number_of_leaf_nodes_visited;
-	int number_of_items_visited;
-	int number_of_neighbours_computed;
-
-	// constructor
-	Iterator_implementation(const Tree& tree, const Query_item& q,const Distance& tr,
-				FT Eps, bool search_nearest)
-	  : query_point(q), search_nearest_neighbour(search_nearest), 
-	  PriorityQueue(Priority_higher(search_nearest)),
-	  Item_PriorityQueue(Distance_smaller(search_nearest)),
-	  distance(tr), reference_count(1), number_of_internal_nodes_visited(0), 
-	  number_of_leaf_nodes_visited(0), number_of_items_visited(0),
-	  number_of_neighbours_computed(0)
-	{
+        int number_of_internal_nodes_visited;
+        int number_of_leaf_nodes_visited;
+        int number_of_items_visited;
+        int number_of_neighbours_computed;
+
+        // constructor
+        Iterator_implementation(const Tree& tree, const Query_item& q,const Distance& tr,
+                                FT Eps, bool search_nearest)
+          : query_point(q), search_nearest_neighbour(search_nearest),
+          PriorityQueue(Priority_higher(search_nearest)),
+          Item_PriorityQueue(Distance_smaller(search_nearest)),
+          distance(tr), reference_count(1), number_of_internal_nodes_visited(0),
+          number_of_leaf_nodes_visited(0), number_of_items_visited(0),
+          number_of_neighbours_computed(0)
+        {
           if (tree.empty()) return;
-            
-	  multiplication_factor= distance.transformed_distance(FT(1)+Eps);
 
-	  Node_box *bounding_box = new Node_box((tree.bounding_box()));
+          multiplication_factor= distance.transformed_distance(FT(1)+Eps);
+
+          Node_box *bounding_box = new Node_box((tree.bounding_box()));
+
+          if (search_nearest) distance_to_root=
+                                distance.min_distance_to_rectangle(q,*bounding_box);
+          else distance_to_root=
+                 distance.max_distance_to_rectangle(q,*bounding_box);
+
+
+
+          Cell *Root_Cell = new Cell(bounding_box,tree.root());
+          Cell_with_distance  *The_Root =
+            new Cell_with_distance(Root_Cell,distance_to_root);
 
-	  if (search_nearest) distance_to_root=
-				distance.min_distance_to_rectangle(q,*bounding_box);
-	  else distance_to_root=
-		 distance.max_distance_to_rectangle(q,*bounding_box);
-
-        
-
-	  Cell *Root_Cell = new Cell(bounding_box,tree.root());
-	  Cell_with_distance  *The_Root = 
-	    new Cell_with_distance(Root_Cell,distance_to_root);
-
-	  PriorityQueue.push(The_Root);
-
-	  // rd is the distance of the top of the priority queue to q
-	  rd=The_Root->second;
-	  Compute_the_next_nearest_neighbour();
-	}
-
-	// * operator
-	const Point_with_transformed_distance& 
-	operator* () const
-	{    
-	  return *(Item_PriorityQueue.top());
-	}
-
-	// prefix operator
-	Iterator_implementation& 
-	operator++() 
-	{
-	  Delete_the_current_item_top();
-	  Compute_the_next_nearest_neighbour();
-	  return *this;
-	}
+          PriorityQueue.push(The_Root);
+
+          // rd is the distance of the top of the priority queue to q
+          rd=The_Root->second;
+          Compute_the_next_nearest_neighbour();
+        }
+
+        // * operator
+        const Point_with_transformed_distance&
+        operator* () const
+        {
+          return *(Item_PriorityQueue.top());
+        }
+
+        // prefix operator
+        Iterator_implementation&
+        operator++()
+        {
+          Delete_the_current_item_top();
+          Compute_the_next_nearest_neighbour();
+          return *this;
+        }
 
         // postfix operator
         Object_wrapper<Point_with_transformed_distance>
-        operator++(int) 
+        operator++(int)
         {
           Object_wrapper<Point_with_transformed_distance> result( *(Item_PriorityQueue.top()) );
           ++*this;
           return result;
-        }	
+        }
+
+        // Print statistics of the general priority search process.
+        std::ostream&
+        statistics (std::ostream& s) const
+        {
+          s << "General priority search statistics:" << std::endl;
+          s << "Number of internal nodes visited:" <<
+            number_of_internal_nodes_visited << std::endl;
+          s << "Number of leaf nodes visited:" <<
+            number_of_leaf_nodes_visited << std::endl;
+          s << "Number of points visited:" <<
+            number_of_items_visited << std::endl;
+          s << "Number of neighbours computed:" <<
+            number_of_neighbours_computed << std::endl;
+          return s;
+        }
 
-	// Print statistics of the general priority search process.
-	std::ostream& 
-	statistics (std::ostream& s) const
-	{
-	  s << "General priority search statistics:" << std::endl;
-	  s << "Number of internal nodes visited:" << 
-	    number_of_internal_nodes_visited << std::endl;
-	  s << "Number of leaf nodes visited:" << 
-	    number_of_leaf_nodes_visited << std::endl;
-	  s << "Number of points visited:" << 
-	    number_of_items_visited << std::endl;
-	  s << "Number of neighbours computed:" << 
-	    number_of_neighbours_computed << std::endl;
-	  return s;
-	}
-
-	//destructor
-	~Iterator_implementation() 
-	{
-	  while (! PriorityQueue.empty()) {
-	    Cell_with_distance* The_top=PriorityQueue.top();
-	    PriorityQueue.pop();
-	    delete The_top->first->box();
-	    delete The_top->first;
-	    delete The_top;
-	  }
-	  while (! Item_PriorityQueue.empty()) {
-	    Point_with_transformed_distance* The_top=Item_PriorityQueue.top();
-	    Item_PriorityQueue.pop();
-	    delete The_top;
-	  }
-	}
+        //destructor
+        ~Iterator_implementation()
+        {
+          while (! PriorityQueue.empty()) {
+            Cell_with_distance* The_top=PriorityQueue.top();
+            PriorityQueue.pop();
+            delete The_top->first->box();
+            delete The_top->first;
+            delete The_top;
+          }
+          while (! Item_PriorityQueue.empty()) {
+            Point_with_transformed_distance* The_top=Item_PriorityQueue.top();
+            Item_PriorityQueue.pop();
+            delete The_top;
+          }
+        }
 
       private:
 
-	void 
-	Delete_the_current_item_top() 
-	{
-	  Point_with_transformed_distance* The_item_top=Item_PriorityQueue.top();
-	  Item_PriorityQueue.pop();
-	  delete The_item_top;
-	}
-
-	void 
-	Compute_the_next_nearest_neighbour() 
-	{
-	  // compute the next item
-	  bool next_neighbour_found=false;
-	  if (!(Item_PriorityQueue.empty())) {
-	    if (search_nearest_neighbour)
-	      next_neighbour_found =
-		(multiplication_factor*rd > Item_PriorityQueue.top()->second);
-	    else
-	      next_neighbour_found =
-		(rd < multiplication_factor*Item_PriorityQueue.top()->second);
-	  }
-	  while ((!next_neighbour_found) && (!PriorityQueue.empty())) {
-                
-	    Cell_with_distance* The_node_top = PriorityQueue.top();
-	    Node_const_handle N = The_node_top->first->node();
-	    Node_box* B = The_node_top->first->box();
-	    PriorityQueue.pop();
-	    delete The_node_top->first;
-	    delete The_node_top;
+        void
+        Delete_the_current_item_top()
+        {
+          Point_with_transformed_distance* The_item_top=Item_PriorityQueue.top();
+          Item_PriorityQueue.pop();
+          delete The_item_top;
+        }
+
+        void
+        Compute_the_next_nearest_neighbour()
+        {
+          // compute the next item
+          bool next_neighbour_found=false;
+          if (!(Item_PriorityQueue.empty())) {
+            if (search_nearest_neighbour)
+              next_neighbour_found =
+                (multiplication_factor*rd > Item_PriorityQueue.top()->second);
+            else
+              next_neighbour_found =
+                (rd < multiplication_factor*Item_PriorityQueue.top()->second);
+          }
+          while ((!next_neighbour_found) && (!PriorityQueue.empty())) {
+
+            Cell_with_distance* The_node_top = PriorityQueue.top();
+            Node_const_handle N = The_node_top->first->node();
+            Node_box* B = The_node_top->first->box();
+            PriorityQueue.pop();
+            delete The_node_top->first;
+            delete The_node_top;
 
-	    while (!(N->is_leaf())) {
+            while (!(N->is_leaf())) {
               typename Tree::Internal_node_const_handle node =
                 static_cast<typename Tree::Internal_node_const_handle>(N);
-	      number_of_internal_nodes_visited++;
-	      int new_cut_dim = node->cutting_dimension();
-	      FT  new_cut_val = node->cutting_value();
-                        
-	      Node_box* lower_box = new Node_box(*B);
-	      Node_box* upper_box = new Node_box(*B); 
-		lower_box->split(*upper_box,new_cut_dim, new_cut_val);
-	      delete B;
-	      if (search_nearest_neighbour) {
-		FT distance_to_box_lower =
-		  distance.min_distance_to_rectangle(query_point, *lower_box);
-		FT distance_to_box_upper =
-		  distance.min_distance_to_rectangle(query_point, *upper_box);
-		if (distance_to_box_lower <= distance_to_box_upper) {
-
-		  Cell* C_upper = new Cell(upper_box, node->upper());
-		  Cell_with_distance *Upper_Child =
-		    new Cell_with_distance(C_upper,distance_to_box_upper);
-		  PriorityQueue.push(Upper_Child);
-		  N=node->lower();
-		  B=lower_box;
-		} else {
-		  Cell* C_lower = new Cell(lower_box, node->lower());
-		  Cell_with_distance *Lower_Child =
-		    new Cell_with_distance(C_lower,distance_to_box_lower);
-		  PriorityQueue.push(Lower_Child);
-		  N=node->upper();
-		  B=upper_box;
-		}
-	      }
-	      else { // search furthest
-		FT distance_to_box_lower =
-		  distance.max_distance_to_rectangle(query_point, *lower_box);
-		FT distance_to_box_upper =
-		  distance.max_distance_to_rectangle(query_point, *upper_box);
-		if (distance_to_box_lower >= distance_to_box_upper) {
-		  Cell* C_upper = new Cell(upper_box, node->upper());
-		  Cell_with_distance *Upper_Child =
-		    new Cell_with_distance(C_upper,distance_to_box_upper);
-		  PriorityQueue.push(Upper_Child);
-		  N=node->lower();
-		  B=lower_box;
-		}
-		else {
-		  Cell* C_lower = new Cell(lower_box, node->lower());
-		  Cell_with_distance *Lower_Child =
-		    new Cell_with_distance(C_lower,distance_to_box_lower);
-		  PriorityQueue.push(Lower_Child);
-		  N=node->upper();
-		  B=upper_box;
-		}
-	      }
-	    }
-	    delete B;
+              number_of_internal_nodes_visited++;
+              int new_cut_dim = node->cutting_dimension();
+              FT  new_cut_val = node->cutting_value();
+
+              Node_box* lower_box = new Node_box(*B);
+              Node_box* upper_box = new Node_box(*B);
+                lower_box->split(*upper_box,new_cut_dim, new_cut_val);
+              delete B;
+              if (search_nearest_neighbour) {
+                FT distance_to_box_lower =
+                  distance.min_distance_to_rectangle(query_point, *lower_box);
+                FT distance_to_box_upper =
+                  distance.min_distance_to_rectangle(query_point, *upper_box);
+                if (distance_to_box_lower <= distance_to_box_upper) {
+
+                  Cell* C_upper = new Cell(upper_box, node->upper());
+                  Cell_with_distance *Upper_Child =
+                    new Cell_with_distance(C_upper,distance_to_box_upper);
+                  PriorityQueue.push(Upper_Child);
+                  N=node->lower();
+                  B=lower_box;
+                } else {
+                  Cell* C_lower = new Cell(lower_box, node->lower());
+                  Cell_with_distance *Lower_Child =
+                    new Cell_with_distance(C_lower,distance_to_box_lower);
+                  PriorityQueue.push(Lower_Child);
+                  N=node->upper();
+                  B=upper_box;
+                }
+              }
+              else { // search furthest
+                FT distance_to_box_lower =
+                  distance.max_distance_to_rectangle(query_point, *lower_box);
+                FT distance_to_box_upper =
+                  distance.max_distance_to_rectangle(query_point, *upper_box);
+                if (distance_to_box_lower >= distance_to_box_upper) {
+                  Cell* C_upper = new Cell(upper_box, node->upper());
+                  Cell_with_distance *Upper_Child =
+                    new Cell_with_distance(C_upper,distance_to_box_upper);
+                  PriorityQueue.push(Upper_Child);
+                  N=node->lower();
+                  B=lower_box;
+                }
+                else {
+                  Cell* C_lower = new Cell(lower_box, node->lower());
+                  Cell_with_distance *Lower_Child =
+                    new Cell_with_distance(C_lower,distance_to_box_lower);
+                  PriorityQueue.push(Lower_Child);
+                  N=node->upper();
+                  B=upper_box;
+                }
+              }
+            }
+            delete B;
              typename Tree::Leaf_node_const_handle node =
               static_cast<typename Tree::Leaf_node_const_handle>(N);
-	    number_of_leaf_nodes_visited++;
-	    if (node->size() > 0) {
-	      for (typename Tree::iterator it = node->begin(); it != node->end(); it++) {
-		number_of_items_visited++;
-		FT distance_to_query_point=
-		  distance.transformed_distance(query_point,*it);
-		Point_with_transformed_distance *NN_Candidate=
-		  new Point_with_transformed_distance(*it,distance_to_query_point);
-		Item_PriorityQueue.push(NN_Candidate);
-	      }
-	      // old top of PriorityQueue has been processed,
-	      // hence update rd
-	      if (!PriorityQueue.empty()) {
-		rd = PriorityQueue.top()->second;
-		if (search_nearest_neighbour)
-		  next_neighbour_found =
-		    (multiplication_factor*rd > 
-		     Item_PriorityQueue.top()->second);
-		else
-		  next_neighbour_found =
-		    (multiplication_factor*rd < 
-		     Item_PriorityQueue.top()->second);
-	      }
-	      else // priority queue empty => last neighbour found
-		{
-		  next_neighbour_found=true;
-		};
-	      number_of_neighbours_computed++;
-	    }
-	  }   // next_neighbour_found or priority queue is empty
-	  // in the latter case also the item priority queue is empty
-        
-	}
+            number_of_leaf_nodes_visited++;
+            if (node->size() > 0) {
+              for (typename Tree::iterator it = node->begin(); it != node->end(); it++) {
+                number_of_items_visited++;
+                FT distance_to_query_point=
+                  distance.transformed_distance(query_point,*it);
+                Point_with_transformed_distance *NN_Candidate=
+                  new Point_with_transformed_distance(*it,distance_to_query_point);
+                Item_PriorityQueue.push(NN_Candidate);
+              }
+              // old top of PriorityQueue has been processed,
+              // hence update rd
+              if (!PriorityQueue.empty()) {
+                rd = PriorityQueue.top()->second;
+                if (search_nearest_neighbour)
+                  next_neighbour_found =
+                    (multiplication_factor*rd >
+                     Item_PriorityQueue.top()->second);
+                else
+                  next_neighbour_found =
+                    (multiplication_factor*rd <
+                     Item_PriorityQueue.top()->second);
+              }
+              else // priority queue empty => last neighbour found
+                {
+                  next_neighbour_found=true;
+                };
+              number_of_neighbours_computed++;
+            }
+          }   // next_neighbour_found or priority queue is empty
+          // in the latter case also the item priority queue is empty
+
+        }
       }; // class Iterator_implementation
     }; // class iterator
-  }; // class 
+  }; // class
 
 } // namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Index_property_map.h 5.0.3-1/include/CGAL/Index_property_map.h
--- 5.0.2-3/include/CGAL/Index_property_map.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Index_property_map.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Property_map/include/CGAL/Index_property_map.h $
-// $Id: Index_property_map.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Property_map/include/CGAL/Index_property_map.h $
+// $Id: Index_property_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Saboret
@@ -21,7 +21,7 @@
 namespace CGAL {
 
 /// \cond SKIP_IN_MANUAL
-  
+
 // ----------------------------------------------------------------------------
 // Private section
 // ----------------------------------------------------------------------------
@@ -46,11 +46,11 @@ struct Compare_iterator_address
 // ----------------------------------------------------------------------------
 
 
-/// Template class "index" property map, which associates a 0-based index (unsigned int) 
+/// Template class "index" property map, which associates a 0-based index (unsigned int)
 /// to the `[first, beyond)` range of elements.
-/// 
+///
 /// 2 specializations exist:
-/// - if Iter is a random access iterator (typically vector and deque), 
+/// - if Iter is a random access iterator (typically vector and deque),
 /// get() just calls std::distance() and is very efficient;
 /// - else, the property map allocates a std::map to store indices
 /// and get() requires a lookup in the map.
@@ -65,7 +65,7 @@ struct Compare_iterator_address
 // This is the default variant that creates a temporary std::map<Iter,unsigned int>.
 template <class Iter,
           typename iterator_tag=typename std::iterator_traits<Iter>::iterator_category>
-class Index_property_map 
+class Index_property_map
   : public boost::associative_property_map< std::map<Iter,
                                                      unsigned int,
                                                      internal::Compare_iterator_address<Iter> > >
@@ -82,7 +82,7 @@ public:
   Index_property_map(
     Iter first,  ///< iterator over the first element (index 0)
     Iter beyond) ///< past-the-end iterator over the elements
-    
+
   : m_index_map(new Index_map)  // Allocate std::map
   {
     // Index elements in std::map
@@ -90,7 +90,7 @@ public:
     unsigned int index;
     for (it = first, index = 0; it != beyond; it++, index++)
       (*m_index_map)[it] = index;
-      
+
     // Wrap std::map in property map
     (Base&)(*this) = *m_index_map;
   }
@@ -102,7 +102,7 @@ private:
 
 /// @cond SKIP_IN_MANUAL
 // This variant is optimized for a random access container.
-template <class Iter> 
+template <class Iter>
 class Index_property_map<Iter,
                          std::random_access_iterator_tag>
 {
@@ -136,7 +136,7 @@ private:
 ///
 /// @tparam Iter iterator over input elements.
 ///
-/// @return an "index" property map, which associates a 0-based index (unsigned int) 
+/// @return an "index" property map, which associates a 0-based index (unsigned int)
 /// to the `[first, beyond)` range of elements.
 template <class Iter>
 Index_property_map<Iter>
diff -pruN 5.0.2-3/include/CGAL/in_place_edge_list.h 5.0.3-1/include/CGAL/in_place_edge_list.h
--- 5.0.2-3/include/CGAL/in_place_edge_list.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/in_place_edge_list.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/in_place_edge_list.h $
-// $Id: in_place_edge_list.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/in_place_edge_list.h $
+// $Id: in_place_edge_list.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -75,7 +75,7 @@ public:
 
   inline bool is_first(const Edge& e) const {
     return ( (e.first == _front.first &&
-	      e.second == _front.second) );
+              e.second == _front.second) );
   }
 
 public:
diff -pruN 5.0.2-3/include/CGAL/In_place_list.h 5.0.3-1/include/CGAL/In_place_list.h
--- 5.0.2-3/include/CGAL/In_place_list.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/In_place_list.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/In_place_list.h $
-// $Id: In_place_list.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/In_place_list.h $
+// $Id: In_place_list.h dc12dea 2020-05-04T17:52:26+02:00 Laurent Rineau
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
@@ -134,7 +134,7 @@ namespace internal {
     typedef std::bidirectional_iterator_tag   iterator_category;
 
     In_place_list_const_iterator() : node(0) {}
-    In_place_list_const_iterator( Iterator i) : node(&*i) {}
+    In_place_list_const_iterator(Iterator i) : node(i.operator->()) {}
     In_place_list_const_iterator(const T* x) : node(x) {}
 
     bool     operator==( const Self& x) const { return node == x.node; }
@@ -277,7 +277,7 @@ protected:
     return p;
   }
   void put_node( pointer p) {
-#ifdef CGAL_USE_ALLOCATOR_CONSTRUCT_DESTROY  
+#ifdef CGAL_USE_ALLOCATOR_CONSTRUCT_DESTROY
     std::allocator_traits<Allocator>::destroy(allocator, p);
 #else // not CGAL_USE_ALLOCATOR_CONSTRUCT_DESTROY
    p->~value_type();
@@ -775,7 +775,7 @@ namespace std {
 
 #if defined(BOOST_MSVC)
 #  pragma warning(push)
-#  pragma warning(disable:4099) // For VC10 it is class hash 
+#  pragma warning(disable:4099) // For VC10 it is class hash
 #endif
 
 #ifndef CGAL_CFG_NO_STD_HASH
diff -pruN 5.0.2-3/include/CGAL/internal/AABB_tree/AABB_drawing_traits.h 5.0.3-1/include/CGAL/internal/AABB_tree/AABB_drawing_traits.h
--- 5.0.2-3/include/CGAL/internal/AABB_tree/AABB_drawing_traits.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/AABB_tree/AABB_drawing_traits.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/internal/AABB_tree/AABB_drawing_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/internal/AABB_tree/AABB_drawing_traits.h $
 // $Id: AABB_drawing_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/AABB_tree/AABB_node.h 5.0.3-1/include/CGAL/internal/AABB_tree/AABB_node.h
--- 5.0.2-3/include/CGAL/internal/AABB_tree/AABB_node.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/AABB_tree/AABB_node.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/internal/AABB_tree/AABB_node.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/internal/AABB_tree/AABB_node.h $
 // $Id: AABB_node.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/AABB_tree/AABB_ray_intersection.h 5.0.3-1/include/CGAL/internal/AABB_tree/AABB_ray_intersection.h
--- 5.0.2-3/include/CGAL/internal/AABB_tree/AABB_ray_intersection.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/AABB_tree/AABB_ray_intersection.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/internal/AABB_tree/AABB_ray_intersection.h $
-// $Id: AABB_ray_intersection.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/internal/AABB_tree/AABB_ray_intersection.h $
+// $Id: AABB_ray_intersection.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -215,7 +215,7 @@ template<typename Ray, typename SkipFunc
 boost::optional< typename AABB_tree<AABBTraits>::template Intersection_and_primitive_id<Ray>::Type >
 AABB_tree<AABBTraits>::first_intersection(const Ray& query,
                                           const SkipFunctor& skip) const {
-  CGAL_static_assertion_msg((boost::is_same<Ray, typename AABBTraits::Ray_3>::value), 
+  CGAL_static_assertion_msg((boost::is_same<Ray, typename AABBTraits::Ray_3>::value),
                             "Ray and Ray_3 must be the same type");
 
   switch(size()) // copy-paste from AABB_tree::traversal
diff -pruN 5.0.2-3/include/CGAL/internal/AABB_tree/AABB_search_tree.h 5.0.3-1/include/CGAL/internal/AABB_tree/AABB_search_tree.h
--- 5.0.2-3/include/CGAL/internal/AABB_tree/AABB_search_tree.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/AABB_tree/AABB_search_tree.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/internal/AABB_tree/AABB_search_tree.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/internal/AABB_tree/AABB_search_tree.h $
 // $Id: AABB_search_tree.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/AABB_tree/AABB_traversal_traits.h 5.0.3-1/include/CGAL/internal/AABB_tree/AABB_traversal_traits.h
--- 5.0.2-3/include/CGAL/internal/AABB_tree/AABB_traversal_traits.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/AABB_tree/AABB_traversal_traits.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/internal/AABB_tree/AABB_traversal_traits.h $
-// $Id: AABB_traversal_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/internal/AABB_tree/AABB_traversal_traits.h $
+// $Id: AABB_traversal_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -19,7 +19,7 @@
 #include <CGAL/internal/AABB_tree/AABB_node.h>
 #include <boost/optional.hpp>
 
-namespace CGAL { 
+namespace CGAL {
 
 namespace internal { namespace AABB_tree {
 
@@ -76,7 +76,7 @@ public:
     : m_result(), m_traits(traits)
   {}
 
-  bool go_further() const { 
+  bool go_further() const {
     return !m_result;
   }
 
@@ -91,7 +91,7 @@ public:
   }
 
   Result result() const { return m_result; }
-  bool is_intersection_found() const { 
+  bool is_intersection_found() const {
     return m_result;
   }
 
@@ -291,7 +291,7 @@ public:
                     const typename Primitive::Id& hint_primitive,
                     const AABBTraits& traits)
     : m_closest_point(hint),
-      m_closest_primitive(hint_primitive), 
+      m_closest_primitive(hint_primitive),
       m_traits(traits)
   {}
 
@@ -304,7 +304,7 @@ public:
     if( !m_traits.equal_3_object()(new_closest_point, m_closest_point) )
     {
       m_closest_primitive = primitive.id();
-      m_closest_point = new_closest_point; // this effectively shrinks the sphere 
+      m_closest_point = new_closest_point; // this effectively shrinks the sphere
     }
   }
 
diff -pruN 5.0.2-3/include/CGAL/internal/AABB_tree/Has_nested_type_Shared_data.h 5.0.3-1/include/CGAL/internal/AABB_tree/Has_nested_type_Shared_data.h
--- 5.0.2-3/include/CGAL/internal/AABB_tree/Has_nested_type_Shared_data.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/AABB_tree/Has_nested_type_Shared_data.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/internal/AABB_tree/Has_nested_type_Shared_data.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/internal/AABB_tree/Has_nested_type_Shared_data.h $
 // $Id: Has_nested_type_Shared_data.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/AABB_tree/Is_ray_intersection_geomtraits.h 5.0.3-1/include/CGAL/internal/AABB_tree/Is_ray_intersection_geomtraits.h
--- 5.0.2-3/include/CGAL/internal/AABB_tree/Is_ray_intersection_geomtraits.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/AABB_tree/Is_ray_intersection_geomtraits.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/internal/AABB_tree/Is_ray_intersection_geomtraits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/internal/AABB_tree/Is_ray_intersection_geomtraits.h $
 // $Id: Is_ray_intersection_geomtraits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/AABB_tree/Primitive_helper.h 5.0.3-1/include/CGAL/internal/AABB_tree/Primitive_helper.h
--- 5.0.2-3/include/CGAL/internal/AABB_tree/Primitive_helper.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/AABB_tree/Primitive_helper.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/AABB_tree/include/CGAL/internal/AABB_tree/Primitive_helper.h $
-// $Id: Primitive_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/AABB_tree/include/CGAL/internal/AABB_tree/Primitive_helper.h $
+// $Id: Primitive_helper.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Sebastien Loriot
@@ -36,7 +36,7 @@ template<class Primitive>
 struct Point_result_type<Primitive,false>{ typedef typename Primitive::Point type; };
 
 
-//helper controlling whether extra data should be stored in the AABB_tree traits class  
+//helper controlling whether extra data should be stored in the AABB_tree traits class
 template <class AABBTraits, bool has_shared_data=Has_nested_type_Shared_data<typename AABBTraits::Primitive>::value>
 struct Primitive_helper;
 
@@ -52,7 +52,7 @@ struct Primitive_helper<AABBTraits,true>
     return p.reference_point(traits.shared_data());
   }
 };
-  
+
 template <class AABBTraits>
 struct Primitive_helper<AABBTraits,false>{
   typedef typename Datum_result_type<typename AABBTraits::Primitive>::type Datum_type;
diff -pruN 5.0.2-3/include/CGAL/internal/AFSR/construct_polyhedron.h 5.0.3-1/include/CGAL/internal/AFSR/construct_polyhedron.h
--- 5.0.2-3/include/CGAL/internal/AFSR/construct_polyhedron.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/AFSR/construct_polyhedron.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Advancing_front_surface_reconstruction/include/CGAL/internal/AFSR/construct_polyhedron.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Advancing_front_surface_reconstruction/include/CGAL/internal/AFSR/construct_polyhedron.h $
 // $Id: construct_polyhedron.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/AFSR/construct_surface_2.h 5.0.3-1/include/CGAL/internal/AFSR/construct_surface_2.h
--- 5.0.2-3/include/CGAL/internal/AFSR/construct_surface_2.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/AFSR/construct_surface_2.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Advancing_front_surface_reconstruction/include/CGAL/internal/AFSR/construct_surface_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Advancing_front_surface_reconstruction/include/CGAL/internal/AFSR/construct_surface_2.h $
 // $Id: construct_surface_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/AFSR/orient.h 5.0.3-1/include/CGAL/internal/AFSR/orient.h
--- 5.0.2-3/include/CGAL/internal/AFSR/orient.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/AFSR/orient.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Advancing_front_surface_reconstruction/include/CGAL/internal/AFSR/orient.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Advancing_front_surface_reconstruction/include/CGAL/internal/AFSR/orient.h $
 // $Id: orient.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/AFSR/Surface_face_base_2.h 5.0.3-1/include/CGAL/internal/AFSR/Surface_face_base_2.h
--- 5.0.2-3/include/CGAL/internal/AFSR/Surface_face_base_2.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/AFSR/Surface_face_base_2.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Advancing_front_surface_reconstruction/include/CGAL/internal/AFSR/Surface_face_base_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Advancing_front_surface_reconstruction/include/CGAL/internal/AFSR/Surface_face_base_2.h $
 // $Id: Surface_face_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/AFSR/Surface_vertex_base_2.h 5.0.3-1/include/CGAL/internal/AFSR/Surface_vertex_base_2.h
--- 5.0.2-3/include/CGAL/internal/AFSR/Surface_vertex_base_2.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/AFSR/Surface_vertex_base_2.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Advancing_front_surface_reconstruction/include/CGAL/internal/AFSR/Surface_vertex_base_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Advancing_front_surface_reconstruction/include/CGAL/internal/AFSR/Surface_vertex_base_2.h $
 // $Id: Surface_vertex_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/AFSR/write_triple_indices.h 5.0.3-1/include/CGAL/internal/AFSR/write_triple_indices.h
--- 5.0.2-3/include/CGAL/internal/AFSR/write_triple_indices.h	2020-02-21 20:02:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/AFSR/write_triple_indices.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Advancing_front_surface_reconstruction/include/CGAL/internal/AFSR/write_triple_indices.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Advancing_front_surface_reconstruction/include/CGAL/internal/AFSR/write_triple_indices.h $
 // $Id: write_triple_indices.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/alpha_shape_mesh.h 5.0.3-1/include/CGAL/internal/alpha_shape_mesh.h
--- 5.0.2-3/include/CGAL/internal/alpha_shape_mesh.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/alpha_shape_mesh.h	2020-08-01 19:02:41.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygonal_surface_reconstruction/include/CGAL/internal/alpha_shape_mesh.h $
-// $Id: alpha_shape_mesh.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygonal_surface_reconstruction/include/CGAL/internal/alpha_shape_mesh.h $
+// $Id: alpha_shape_mesh.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Liangliang Nan
@@ -30,202 +30,202 @@
 
 namespace CGAL {
 
-	namespace internal {
+        namespace internal {
 
-		/// \cond SKIP_IN_MANUA
+                /// \cond SKIP_IN_MANUA
 
-		template <typename Ht>
-		class Alpha_shape;
+                template <typename Ht>
+                class Alpha_shape;
 
-		/// \endcond
+                /// \endcond
 
-		/// \cond SKIP_IN_MANUA
-
-		/* A vertex class with an additional member representing its index */
-		template < class Gt, class VB = CGAL::Triangulation_hierarchy_vertex_base_2<Gt> >
-		class AS_vertex_base : public VB
-		{
-		public:
-			typedef VB								Base;
-			typedef typename VB::Vertex_handle      Vertex_handle;
-			typedef typename VB::Face_handle        Face_handle;
-			typedef typename VB::Point              Point;
-
-			template < typename TDS2 >
-			struct Rebind_TDS {
-				typedef typename VB::template Rebind_TDS<TDS2>::Other	VB2;
-				typedef AS_vertex_base<Gt, VB2>                         Other;
-			};
-
-		public:
-			AS_vertex_base() : Base(), index_(-1) {}
-			AS_vertex_base(const Point & p) : Base(p), index_(-1) {}
-			AS_vertex_base(const Point & p, Face_handle f) : Base(f, p), index_(-1) {}
-			AS_vertex_base(Face_handle f) : Base(f), index_(-1) {}
-
-			void set_index(int idx) { index_ = idx; }
-			int  index() const { return index_; }
-
-		private:
-			int index_;
-		};
-
-
-		template <typename Ht>
-		class Alpha_shape : public Alpha_shape_2<Ht>
-		{
-		public:
-			typedef Alpha_shape_2<Ht>						Parent_class;
-			typedef typename Ht::Point_2					Point2;
-			typedef typename Parent_class::Vertex_handle	Vertex_handle;
-
-		public:
-			// constructs alpha shapes from the input points
-			template <typename InputIterator>
-			Alpha_shape(InputIterator first, InputIterator beyond);
-		};
-
-		/// \endcond
-
-
-		/**
-		*	An Alpha Shape Mesh approximates the point covered region by a mesh representation.
-		*/
-
-		template <typename Kernel>
-		class Alpha_shape_mesh
-		{
-			typedef typename Kernel::FT						FT;
-			typedef typename Kernel::Point_2				Point2;
-			typedef typename Kernel::Point_3				Point3;
-			typedef typename Kernel::Plane_3				Plane3;
-			typedef CGAL::Surface_mesh<Point3>				Mesh3;
-			typedef typename Mesh3::Vertex_index			Vertex_descriptor;
-
-			typedef CGAL::Alpha_shape_vertex_base_2<Kernel>			Avb;
-			typedef AS_vertex_base<Avb>								Av;
-			typedef CGAL::Triangulation_face_base_2<Kernel>			Tf;
-			typedef CGAL::Alpha_shape_face_base_2<Kernel, Tf>		Af;
-			typedef CGAL::Triangulation_default_data_structure_2<Kernel, Av, Af> Tds;
-			typedef CGAL::Delaunay_triangulation_2<Kernel, Tds>		Dt;
-			typedef CGAL::Triangulation_hierarchy_2<Dt>				Ht;
-
-		public:
-			/// Given a set of 3D points lying on 'plane', constructs alpha shapes from the
-			/// the projection of the points onto 'plane'
-			template <typename InputIterator>
-			Alpha_shape_mesh(InputIterator first, InputIterator beyond, const Plane3& plane);
-
-			~Alpha_shape_mesh() { delete alpha_shape_; }
-
-			/// Extracts the 3D mesh representation of the alpha shapes
-			bool extract_mesh(FT alpha_value, Mesh3& mesh);
-
-		private:
-			Alpha_shape<Ht>*			alpha_shape_;
-			std::vector<const Point3*>  original_points_;
-		};
-
-
-		//////////////////////////////////////////////////////////////////////////
-
-		// implementation
-
-
-		template <typename Traits>
-		template <typename InputIterator>
-		Alpha_shape<Traits>::Alpha_shape(InputIterator first, InputIterator beyond) {
-			InputIterator it = first;
-			for (int id = 0; it != beyond; ++it, ++id) {
-				const Point2& p = *it;
-				Vertex_handle vh = Traits::insert(p);
-				if (vh->index() == -1)
-					vh->set_index(id);
-				else {
-					// p was not inserted (there might be a duplicated point)
-				}
-			}
-
-			if (Parent_class::dimension() == 2) {
-				// Computes the associated _interval_face_map
-				Parent_class::initialize_interval_face_map();
-
-				// Computes the associated _interval_edge_map
-				Parent_class::initialize_interval_edge_map();
-
-				// Computes the associated _interval_vertex_map
-				Parent_class::initialize_interval_vertex_map();
-
-				// Merges the two maps
-				Parent_class::initialize_alpha_spectrum();
-			}
-		}
-
-
-		template <typename Kernel>
-		template <typename InputIterator>
-		Alpha_shape_mesh<Kernel>::Alpha_shape_mesh(InputIterator first, InputIterator beyond, const Plane3& plane) {
-			original_points_.clear();
-
-			std::vector<Point2> pts;
-			for (InputIterator it = first; it != beyond; ++it) {
-				const Point3& p = *it;
-				const Point2& q = plane.to_2d(p);
-				pts.push_back(q);
-				original_points_.push_back(&p);
-			}
-			alpha_shape_ = new Alpha_shape<Ht>(pts.begin(), pts.end());
-		}
-
-
-		template <typename Kernel>
-		bool Alpha_shape_mesh<Kernel>::extract_mesh(FT alpha_value, Mesh3& mesh) {
-			alpha_shape_->set_alpha(alpha_value);
-
-			typedef std::vector<std::size_t> Triangle;
-			std::vector<Triangle>	faces;
-
-			typedef Alpha_shape<Ht>	Alpha_shape;
-
-			typename Alpha_shape::Finite_faces_iterator fit = alpha_shape_->finite_faces_begin();
-			for (; fit != alpha_shape_->finite_faces_end(); ++fit) {
-				if (alpha_shape_->classify(fit) == Alpha_shape::INTERIOR) {
-					Triangle tri;
-					for (int i = 0; i < 3; ++i) {
-						typename Alpha_shape::Vertex_handle vh = fit->vertex(i);
-						int idx = vh->index();
-						tri.push_back(idx);
-					}
-					faces.push_back(tri);
-				}
-			}
-
-			if (faces.empty())
-				return false;
-
-			mesh.clear();
-
-			std::vector<Vertex_descriptor> descriptors(original_points_.size());
-			for (std::size_t i = 0; i < original_points_.size(); ++i) {
-				const Point3* p = original_points_[i];
-				descriptors[i] = mesh.add_vertex(*p);
-			}
-
-			for (std::size_t i = 0; i < faces.size(); ++i) {
-				std::vector<Vertex_descriptor> face;
-				const Triangle& tri = faces[i];
-				for (std::size_t j = 0; j < tri.size(); ++j) {
-					std::size_t idx = tri[j];
-					face.push_back(descriptors[idx]);
-				}
-				mesh.add_face(face);;
-			}
+                /// \cond SKIP_IN_MANUA
+
+                /* A vertex class with an additional member representing its index */
+                template < class Gt, class VB = CGAL::Triangulation_hierarchy_vertex_base_2<Gt> >
+                class AS_vertex_base : public VB
+                {
+                public:
+                        typedef VB                                                                Base;
+                        typedef typename VB::Vertex_handle      Vertex_handle;
+                        typedef typename VB::Face_handle        Face_handle;
+                        typedef typename VB::Point              Point;
+
+                        template < typename TDS2 >
+                        struct Rebind_TDS {
+                                typedef typename VB::template Rebind_TDS<TDS2>::Other        VB2;
+                                typedef AS_vertex_base<Gt, VB2>                         Other;
+                        };
+
+                public:
+                        AS_vertex_base() : Base(), index_(-1) {}
+                        AS_vertex_base(const Point & p) : Base(p), index_(-1) {}
+                        AS_vertex_base(const Point & p, Face_handle f) : Base(f, p), index_(-1) {}
+                        AS_vertex_base(Face_handle f) : Base(f), index_(-1) {}
+
+                        void set_index(int idx) { index_ = idx; }
+                        int  index() const { return index_; }
+
+                private:
+                        int index_;
+                };
+
+
+                template <typename Ht>
+                class Alpha_shape : public Alpha_shape_2<Ht>
+                {
+                public:
+                        typedef Alpha_shape_2<Ht>                                                Parent_class;
+                        typedef typename Ht::Point_2                                        Point2;
+                        typedef typename Parent_class::Vertex_handle        Vertex_handle;
+
+                public:
+                        // constructs alpha shapes from the input points
+                        template <typename InputIterator>
+                        Alpha_shape(InputIterator first, InputIterator beyond);
+                };
+
+                /// \endcond
+
+
+                /**
+                *        An Alpha Shape Mesh approximates the point covered region by a mesh representation.
+                */
+
+                template <typename Kernel>
+                class Alpha_shape_mesh
+                {
+                        typedef typename Kernel::FT                                                FT;
+                        typedef typename Kernel::Point_2                                Point2;
+                        typedef typename Kernel::Point_3                                Point3;
+                        typedef typename Kernel::Plane_3                                Plane3;
+                        typedef CGAL::Surface_mesh<Point3>                                Mesh3;
+                        typedef typename Mesh3::Vertex_index                        Vertex_descriptor;
+
+                        typedef CGAL::Alpha_shape_vertex_base_2<Kernel>                        Avb;
+                        typedef AS_vertex_base<Avb>                                                                Av;
+                        typedef CGAL::Triangulation_face_base_2<Kernel>                        Tf;
+                        typedef CGAL::Alpha_shape_face_base_2<Kernel, Tf>                Af;
+                        typedef CGAL::Triangulation_default_data_structure_2<Kernel, Av, Af> Tds;
+                        typedef CGAL::Delaunay_triangulation_2<Kernel, Tds>                Dt;
+                        typedef CGAL::Triangulation_hierarchy_2<Dt>                                Ht;
+
+                public:
+                        /// Given a set of 3D points lying on 'plane', constructs alpha shapes from the
+                        /// the projection of the points onto 'plane'
+                        template <typename InputIterator>
+                        Alpha_shape_mesh(InputIterator first, InputIterator beyond, const Plane3& plane);
+
+                        ~Alpha_shape_mesh() { delete alpha_shape_; }
+
+                        /// Extracts the 3D mesh representation of the alpha shapes
+                        bool extract_mesh(FT alpha_value, Mesh3& mesh);
+
+                private:
+                        Alpha_shape<Ht>*                        alpha_shape_;
+                        std::vector<const Point3*>  original_points_;
+                };
+
+
+                //////////////////////////////////////////////////////////////////////////
+
+                // implementation
+
+
+                template <typename Traits>
+                template <typename InputIterator>
+                Alpha_shape<Traits>::Alpha_shape(InputIterator first, InputIterator beyond) {
+                        InputIterator it = first;
+                        for (int id = 0; it != beyond; ++it, ++id) {
+                                const Point2& p = *it;
+                                Vertex_handle vh = Traits::insert(p);
+                                if (vh->index() == -1)
+                                        vh->set_index(id);
+                                else {
+                                        // p was not inserted (there might be a duplicated point)
+                                }
+                        }
+
+                        if (Parent_class::dimension() == 2) {
+                                // Computes the associated _interval_face_map
+                                Parent_class::initialize_interval_face_map();
+
+                                // Computes the associated _interval_edge_map
+                                Parent_class::initialize_interval_edge_map();
+
+                                // Computes the associated _interval_vertex_map
+                                Parent_class::initialize_interval_vertex_map();
+
+                                // Merges the two maps
+                                Parent_class::initialize_alpha_spectrum();
+                        }
+                }
+
+
+                template <typename Kernel>
+                template <typename InputIterator>
+                Alpha_shape_mesh<Kernel>::Alpha_shape_mesh(InputIterator first, InputIterator beyond, const Plane3& plane) {
+                        original_points_.clear();
+
+                        std::vector<Point2> pts;
+                        for (InputIterator it = first; it != beyond; ++it) {
+                                const Point3& p = *it;
+                                const Point2& q = plane.to_2d(p);
+                                pts.push_back(q);
+                                original_points_.push_back(&p);
+                        }
+                        alpha_shape_ = new Alpha_shape<Ht>(pts.begin(), pts.end());
+                }
+
+
+                template <typename Kernel>
+                bool Alpha_shape_mesh<Kernel>::extract_mesh(FT alpha_value, Mesh3& mesh) {
+                        alpha_shape_->set_alpha(alpha_value);
+
+                        typedef std::vector<std::size_t> Triangle;
+                        std::vector<Triangle>        faces;
+
+                        typedef Alpha_shape<Ht>        Alpha_shape;
+
+                        typename Alpha_shape::Finite_faces_iterator fit = alpha_shape_->finite_faces_begin();
+                        for (; fit != alpha_shape_->finite_faces_end(); ++fit) {
+                                if (alpha_shape_->classify(fit) == Alpha_shape::INTERIOR) {
+                                        Triangle tri;
+                                        for (int i = 0; i < 3; ++i) {
+                                                typename Alpha_shape::Vertex_handle vh = fit->vertex(i);
+                                                int idx = vh->index();
+                                                tri.push_back(idx);
+                                        }
+                                        faces.push_back(tri);
+                                }
+                        }
+
+                        if (faces.empty())
+                                return false;
+
+                        mesh.clear();
+
+                        std::vector<Vertex_descriptor> descriptors(original_points_.size());
+                        for (std::size_t i = 0; i < original_points_.size(); ++i) {
+                                const Point3* p = original_points_[i];
+                                descriptors[i] = mesh.add_vertex(*p);
+                        }
+
+                        for (std::size_t i = 0; i < faces.size(); ++i) {
+                                std::vector<Vertex_descriptor> face;
+                                const Triangle& tri = faces[i];
+                                for (std::size_t j = 0; j < tri.size(); ++j) {
+                                        std::size_t idx = tri[j];
+                                        face.push_back(descriptors[idx]);
+                                }
+                                mesh.add_face(face);;
+                        }
 
-			return true;
-		}
+                        return true;
+                }
 
-	} //namespace internal
+        } //namespace internal
 
 } //namespace CGAL
 
-#endif	// CGAL_POLYGONAL_SURFACE_RECONSTRUCTION_ALPHA_SHAPE_MESH_H
+#endif        // CGAL_POLYGONAL_SURFACE_RECONSTRUCTION_ALPHA_SHAPE_MESH_H
diff -pruN 5.0.2-3/include/CGAL/internal/auxiliary/graph.h 5.0.3-1/include/CGAL/internal/auxiliary/graph.h
--- 5.0.2-3/include/CGAL/internal/auxiliary/graph.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/auxiliary/graph.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_segmentation/include/CGAL/internal/auxiliary/graph.h $
-// $Id: graph.h 2c17ec7 2019-10-20T00:41:40+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_segmentation/include/CGAL/internal/auxiliary/graph.h $
+// $Id: graph.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // Re-licensed for CGAL distribution to:
 // SPDX-License-Identifier: GPL-3.0-or-later
 // Original license is:
@@ -27,11 +27,11 @@
 This software library implements the maxflow algorithm
 described in
 
-	An Experimental Comparison of Min-Cut/Max-Flow Algorithms
-	for Energy Minimization in Vision.
-	Yuri Boykov and Vladimir Kolmogorov.
-	In IEEE Transactions on Pattern Analysis and Machine Intelligence (PAMI),
-	September 2004
+        An Experimental Comparison of Min-Cut/Max-Flow Algorithms
+        for Energy Minimization in Vision.
+        Yuri Boykov and Vladimir Kolmogorov.
+        In IEEE Transactions on Pattern Analysis and Machine Intelligence (PAMI),
+        September 2004
 
 This algorithm was developed by Yuri Boykov and Vladimir Kolmogorov
 at Siemens Corporate Research. To make it available for public use,
@@ -95,17 +95,17 @@ Both versions have the same interface.
 This section shows how to use the library to compute
 a minimum cut on the following graph:
 
-		        SOURCE
-		       /       \
-		     1/         \2
-		     /      3    \
-		   node0 -----> node1
-		     |   <-----   |
-		     |      4     |
-		     \            /
-		     5\          /6
-		       \        /
-		          SINK
+                        SOURCE
+                       /       \
+                     1/         \2
+                     /      3    \
+                   node0 -----> node1
+                     |   <-----   |
+                     |      4     |
+                     \            /
+                     5\          /6
+                       \        /
+                          SINK
 
 ///////////////////////////////////////////////////
 
@@ -114,29 +114,29 @@ a minimum cut on the following graph:
 
 void main()
 {
-	Graph::node_id nodes[2];
-	Graph *g = new Graph();
+        Graph::node_id nodes[2];
+        Graph *g = new Graph();
 
-	nodes[0] = g -> add_node();
-	nodes[1] = g -> add_node();
-	g -> set_tweights(nodes[0], 1, 5);
-	g -> set_tweights(nodes[1], 2, 6);
-	g -> add_edge(nodes[0], nodes[1], 3, 4);
-
-	Graph::flowtype flow = g -> maxflow();
-
-	printf("Flow = %d\n", flow);
-	printf("Minimum cut:\n");
-	if (g->what_segment(nodes[0]) == Graph::SOURCE)
-		printf("node0 is in the SOURCE set\n");
-	else
-		printf("node0 is in the SINK set\n");
-	if (g->what_segment(nodes[1]) == Graph::SOURCE)
-		printf("node1 is in the SOURCE set\n");
-	else
-		printf("node1 is in the SINK set\n");
+        nodes[0] = g -> add_node();
+        nodes[1] = g -> add_node();
+        g -> set_tweights(nodes[0], 1, 5);
+        g -> set_tweights(nodes[1], 2, 6);
+        g -> add_edge(nodes[0], nodes[1], 3, 4);
+
+        Graph::flowtype flow = g -> maxflow();
+
+        printf("Flow = %d\n", flow);
+        printf("Minimum cut:\n");
+        if (g->what_segment(nodes[0]) == Graph::SOURCE)
+                printf("node0 is in the SOURCE set\n");
+        else
+                printf("node0 is in the SINK set\n");
+        if (g->what_segment(nodes[1]) == Graph::SOURCE)
+                printf("node1 is in the SOURCE set\n");
+        else
+                printf("node1 is in the SINK set\n");
 
-	delete g;
+        delete g;
 }
 
 ///////////////////////////////////////////////////
@@ -144,94 +144,94 @@ void main()
 
 /* block.h */
 /*
-	Template classes Block and DBlock
-	Implement adding and deleting items of the same type in blocks.
+        Template classes Block and DBlock
+        Implement adding and deleting items of the same type in blocks.
 
-	If there there are many items then using Block or DBlock
-	is more efficient than using 'new' and 'delete' both in terms
-	of memory and time since
-	(1) On some systems there is some minimum amount of memory
-	    that 'new' can allocate (e.g., 64), so if items are
-	    small that a lot of memory is wasted.
-	(2) 'new' and 'delete' are designed for items of varying size.
-	    If all items has the same size, then an algorithm for
-	    adding and deleting can be made more efficient.
-	(3) All Block and DBlock functions are inline, so there are
-	    no extra function calls.
-
-	Differences between Block and DBlock:
-	(1) DBlock allows both adding and deleting items,
-	    whereas Block allows only adding items.
-	(2) Block has an additional operation of scanning
-	    items added so far (in the order in which they were added).
-	(3) Block allows to allocate several consecutive
-	    items at a time, whereas DBlock can add only a single item.
-
-	Note that no constructors or destructors are called for items.
-
-	Example usage for items of type 'MyType':
-
-	///////////////////////////////////////////////////
-	#include "block.h"
-	#define BLOCK_SIZE 1024
+        If there there are many items then using Block or DBlock
+        is more efficient than using 'new' and 'delete' both in terms
+        of memory and time since
+        (1) On some systems there is some minimum amount of memory
+            that 'new' can allocate (e.g., 64), so if items are
+            small that a lot of memory is wasted.
+        (2) 'new' and 'delete' are designed for items of varying size.
+            If all items has the same size, then an algorithm for
+            adding and deleting can be made more efficient.
+        (3) All Block and DBlock functions are inline, so there are
+            no extra function calls.
+
+        Differences between Block and DBlock:
+        (1) DBlock allows both adding and deleting items,
+            whereas Block allows only adding items.
+        (2) Block has an additional operation of scanning
+            items added so far (in the order in which they were added).
+        (3) Block allows to allocate several consecutive
+            items at a time, whereas DBlock can add only a single item.
+
+        Note that no constructors or destructors are called for items.
+
+        Example usage for items of type 'MyType':
+
+        ///////////////////////////////////////////////////
+        #include "block.h"
+        #define BLOCK_SIZE 1024
 
 #include <CGAL/license/Surface_mesh_segmentation.h>
 
-	typedef struct { int a, b; } MyType;
-	MyType *ptr, *array[10000];
+        typedef struct { int a, b; } MyType;
+        MyType *ptr, *array[10000];
 
-	...
+        ...
 
-	Block<MyType> *block = new Block<MyType>(BLOCK_SIZE);
+        Block<MyType> *block = new Block<MyType>(BLOCK_SIZE);
 
-	// adding items
-	for (int i=0; i<sizeof(array); i++)
-	{
-		ptr = block -> New();
-		ptr -> a = ptr -> b = rand();
-	}
-
-	// reading items
-	for (ptr=block->ScanFirst(); ptr; ptr=block->ScanNext())
-	{
-		printf("%d %d\n", ptr->a, ptr->b);
-	}
-
-	delete block;
-
-	...
-
-	DBlock<MyType> *dblock = new DBlock<MyType>(BLOCK_SIZE);
-
-	// adding items
-	for (int i=0; i<sizeof(array); i++)
-	{
-		array[i] = dblock -> New();
-	}
-
-	// deleting items
-	for (int i=0; i<sizeof(array); i+=2)
-	{
-		dblock -> Delete(array[i]);
-	}
-
-	// adding items
-	for (int i=0; i<sizeof(array); i++)
-	{
-		array[i] = dblock -> New();
-	}
-
-	delete dblock;
-
-	///////////////////////////////////////////////////
-
-	Note that DBlock deletes items by marking them as
-	empty (i.e., by adding them to the list of free items),
-	so that this memory could be used for subsequently
-	added items. Thus, at each moment the memory allocated
-	is determined by the maximum number of items allocated
-	simultaneously at earlier moments. All memory is
-	deallocated only when the destructor is called.
+        // adding items
+        for (int i=0; i<sizeof(array); i++)
+        {
+                ptr = block -> New();
+                ptr -> a = ptr -> b = rand();
+        }
+
+        // reading items
+        for (ptr=block->ScanFirst(); ptr; ptr=block->ScanNext())
+        {
+                printf("%d %d\n", ptr->a, ptr->b);
+        }
+
+        delete block;
+
+        ...
+
+        DBlock<MyType> *dblock = new DBlock<MyType>(BLOCK_SIZE);
+
+        // adding items
+        for (int i=0; i<sizeof(array); i++)
+        {
+                array[i] = dblock -> New();
+        }
+
+        // deleting items
+        for (int i=0; i<sizeof(array); i+=2)
+        {
+                dblock -> Delete(array[i]);
+        }
+
+        // adding items
+        for (int i=0; i<sizeof(array); i++)
+        {
+                array[i] = dblock -> New();
+        }
+
+        delete dblock;
+
+        ///////////////////////////////////////////////////
+
+        Note that DBlock deletes items by marking them as
+        empty (i.e., by adding them to the list of free items),
+        so that this memory could be used for subsequently
+        added items. Thus, at each moment the memory allocated
+        is determined by the maximum number of items allocated
+        simultaneously at earlier moments. All memory is
+        deallocated only when the destructor is called.
 */
 
 #ifndef __MAXFLOW_BLOCK_H__
@@ -342,19 +342,19 @@ public:
 private:
 
   typedef struct block_st {
-    Type					*current, *last;
-    struct block_st			*next;
-    Type					data[1];
+    Type                                        *current, *last;
+    struct block_st                        *next;
+    Type                                        data[1];
   } block;
 
-  int		block_size;
-  block	*first;
-  block	*last;
+  int                block_size;
+  block        *first;
+  block        *last;
 
-  block	*scan_current_block;
-  Type	*scan_current_data;
+  block        *scan_current_block;
+  Type        *scan_current_data;
 
-  void	(*error_function)(const char *);
+  void        (*error_function)(const char *);
 };
 
 /***********************************************************************/
@@ -418,20 +418,20 @@ public:
 private:
 
   typedef union block_item_st {
-    Type			t;
-    block_item_st	*next_free;
+    Type                        t;
+    block_item_st        *next_free;
   } block_item;
 
   typedef struct block_st {
-    struct block_st			*next;
-    block_item				data[1];
+    struct block_st                        *next;
+    block_item                                data[1];
   } block;
 
-  int			block_size;
-  block		*first;
-  block_item	*first_free;
+  int                        block_size;
+  block                *first;
+  block_item        *first_free;
 
-  void	(*error_function)(const char *);
+  void        (*error_function)(const char *);
 };
 
 
@@ -441,25 +441,25 @@ private:
 
 /* graph.h */
 /*
-	This software library implements the maxflow algorithm
-	described in
+        This software library implements the maxflow algorithm
+        described in
 
-		An Experimental Comparison of Min-Cut/Max-Flow Algorithms
-		for Energy Minimization in Vision.
-		Yuri Boykov and Vladimir Kolmogorov.
-		In IEEE Transactions on Pattern Analysis and Machine Intelligence (PAMI),
-		September 2004
+                An Experimental Comparison of Min-Cut/Max-Flow Algorithms
+                for Energy Minimization in Vision.
+                Yuri Boykov and Vladimir Kolmogorov.
+                In IEEE Transactions on Pattern Analysis and Machine Intelligence (PAMI),
+                September 2004
 
-	This algorithm was developed by Yuri Boykov and Vladimir Kolmogorov
-	at Siemens Corporate Research. To make it available for public use,
-	it was later reimplemented by Vladimir Kolmogorov based on open publications.
+        This algorithm was developed by Yuri Boykov and Vladimir Kolmogorov
+        at Siemens Corporate Research. To make it available for public use,
+        it was later reimplemented by Vladimir Kolmogorov based on open publications.
 
-	If you use this software for research purposes, you should cite
-	the aforementioned paper in any resulting publication.
+        If you use this software for research purposes, you should cite
+        the aforementioned paper in any resulting publication.
 
-	----------------------------------------------------------------
+        ----------------------------------------------------------------
 
-	For description, license, example usage, discussion of graph representation	and memory usage see README.TXT.
+        For description, license, example usage, discussion of graph representation        and memory usage see README.TXT.
 */
 
 #ifndef __MAXFLOW_GRAPH_H__
@@ -468,9 +468,9 @@ private:
 //#include "block.h"
 #include <stdio.h>
 /*
-	Nodes, arcs and pointers to nodes are
-	added in blocks for memory and time efficiency.
-	Below are numbers of items in blocks
+        Nodes, arcs and pointers to nodes are
+        added in blocks for memory and time efficiency.
+        Below are numbers of items in blocks
 */
 #define MF_NODE_BLOCK_SIZE 512
 #define MF_ARC_BLOCK_SIZE 1024
@@ -497,8 +497,8 @@ class Graph
 {
 public:
   typedef enum {
-    SOURCE	= 0,
-    SINK	= 1
+    SOURCE        = 0,
+    SINK        = 1
   } termtype; /* terminals */
 
   /* Type of edge weights.
@@ -567,109 +567,109 @@ private:
   /* node structure */
   typedef struct node_st {
     /*
-    	Usually i->first_out is the first outgoing
-    	arc, and (i+1)->first_out-1 is the last outgoing arc.
-    	However, it is not always possible, since
-    	arcs are allocated in blocks, so arcs corresponding
-    	to two consecutive nodes may be in different blocks.
-
-    	If outgoing arcs for i are last in the arc block,
-    	then a different mechanism is used. i->first_out
-    	is odd in this case; the first outgoing arc
-    	is (a+1), and the last outgoing arc is
-    	((arc_forward *)(a->shift))-1, where
-    	a = (arc_forward *) (((char *)(i->first_out)) + 1);
+            Usually i->first_out is the first outgoing
+            arc, and (i+1)->first_out-1 is the last outgoing arc.
+            However, it is not always possible, since
+            arcs are allocated in blocks, so arcs corresponding
+            to two consecutive nodes may be in different blocks.
+
+            If outgoing arcs for i are last in the arc block,
+            then a different mechanism is used. i->first_out
+            is odd in this case; the first outgoing arc
+            is (a+1), and the last outgoing arc is
+            ((arc_forward *)(a->shift))-1, where
+            a = (arc_forward *) (((char *)(i->first_out)) + 1);
 
-    	Similar mechanism is used for incoming arcs.
+            Similar mechanism is used for incoming arcs.
     */
-    arc_forward_st	*first_out;	/* first outcoming arc */
-    arc_reverse_st	*first_in;	/* first incoming arc */
+    arc_forward_st        *first_out;        /* first outcoming arc */
+    arc_reverse_st        *first_in;        /* first incoming arc */
 
-    arc_forward_st	*parent;	/* describes node's parent
-									   if MF_IS_ODD(parent) then MF_MAKE_EVEN(parent) points to 'arc_reverse',
-									   otherwise parent points to 'arc_forward' */
-
-    node_st			*next;		/* pointer to the next active node
-									   (or to itself if it is the last node in the list) */
-
-    int				TS;			/* timestamp showing when DIST was computed */
-    int				DIST;		/* distance to the terminal */
-    short			is_sink;	/* flag showing whether the node is in the source or in the sink tree */
+    arc_forward_st        *parent;        /* describes node's parent
+                                                                           if MF_IS_ODD(parent) then MF_MAKE_EVEN(parent) points to 'arc_reverse',
+                                                                           otherwise parent points to 'arc_forward' */
+
+    node_st                        *next;                /* pointer to the next active node
+                                                                           (or to itself if it is the last node in the list) */
+
+    int                                TS;                        /* timestamp showing when DIST was computed */
+    int                                DIST;                /* distance to the terminal */
+    short                        is_sink;        /* flag showing whether the node is in the source or in the sink tree */
 
-    captype			tr_cap;		/* if tr_cap > 0 then tr_cap is residual capacity of the arc SOURCE->node
-									   otherwise         -tr_cap is residual capacity of the arc node->SINK */
+    captype                        tr_cap;                /* if tr_cap > 0 then tr_cap is residual capacity of the arc SOURCE->node
+                                                                           otherwise         -tr_cap is residual capacity of the arc node->SINK */
   } node;
 
   /* arc structures */
 #define MF_NEIGHBOR_NODE(i, shift) ((node *) ((char *)(i) + (shift)))
 #define MF_NEIGHBOR_NODE_REV(i, shift) ((node *) ((char *)(i) - (shift)))
   typedef struct arc_forward_st {
-    INTEGER			shift;		/* node_to = MF_NEIGHBOR_NODE(node_from, shift) */
-    captype			r_cap;		/* residual capacity */
-    captype			r_rev_cap;	/* residual capacity of the reverse arc*/
+    INTEGER                        shift;                /* node_to = MF_NEIGHBOR_NODE(node_from, shift) */
+    captype                        r_cap;                /* residual capacity */
+    captype                        r_rev_cap;        /* residual capacity of the reverse arc*/
   } arc_forward;
 
   typedef struct arc_reverse_st {
-    arc_forward		*sister;	/* reverse arc */
+    arc_forward                *sister;        /* reverse arc */
   } arc_reverse;
 
   /* 'pointer to node' structure */
   typedef struct nodeptr_st {
-    node_st			*ptr;
-    nodeptr_st		*next;
+    node_st                        *ptr;
+    nodeptr_st                *next;
   } nodeptr;
 
   typedef struct node_block_st {
-    node					*current;
-    struct node_block_st	*next;
-    node					nodes[MF_NODE_BLOCK_SIZE];
+    node                                        *current;
+    struct node_block_st        *next;
+    node                                        nodes[MF_NODE_BLOCK_SIZE];
   } node_block;
 
   typedef struct arc_for_block_st {
-    char					*start;		/* the actual start address of this block.
-											   May be different from 'this' since 'this'
-											   must be at an even address. */
-    arc_forward				*current;
-    struct arc_for_block_st	*next;
+    char                                        *start;                /* the actual start address of this block.
+                                                                                           May be different from 'this' since 'this'
+                                                                                           must be at an even address. */
+    arc_forward                                *current;
+    struct arc_for_block_st        *next;
     arc_forward
     arcs_for[MF_ARC_BLOCK_SIZE]; /* all arcs must be at even addresses */
     union {
-      arc_forward			dummy;
-      node				*LAST_NODE;	/* used in graph consruction */
-    }						LAST_NODE;
+      arc_forward                        dummy;
+      node                                *LAST_NODE;        /* used in graph consruction */
+    }                                                LAST_NODE;
   } arc_for_block;
 
   typedef struct arc_rev_block_st {
-    char					*start;		/* the actual start address of this block.
-											   May be different from 'this' since 'this'
-											   must be at an even address. */
-    arc_reverse				*current;
-    struct arc_rev_block_st	*next;
+    char                                        *start;                /* the actual start address of this block.
+                                                                                           May be different from 'this' since 'this'
+                                                                                           must be at an even address. */
+    arc_reverse                                *current;
+    struct arc_rev_block_st        *next;
     arc_reverse
     arcs_rev[MF_ARC_BLOCK_SIZE]; /* all arcs must be at even addresses */
     union {
-      arc_reverse			dummy;
-      node				*LAST_NODE;	/* used in graph consruction */
-    }						LAST_NODE;
+      arc_reverse                        dummy;
+      node                                *LAST_NODE;        /* used in graph consruction */
+    }                                                LAST_NODE;
   } arc_rev_block;
 
-  node_block			*node_block_first;
-  arc_for_block		*arc_for_block_first;
-  arc_rev_block		*arc_rev_block_first;
-  DBlock<nodeptr>		*nodeptr_block;
-
-  void	(*error_function)(const char
-                          *);	/* this function is called if a error occurs,
-										   with a corresponding error message
-										   (or exit(1) is called if it's nullptr) */
+  node_block                        *node_block_first;
+  arc_for_block                *arc_for_block_first;
+  arc_rev_block                *arc_rev_block_first;
+  DBlock<nodeptr>                *nodeptr_block;
+
+  void        (*error_function)(const char
+                          *);        /* this function is called if a error occurs,
+                                                                                   with a corresponding error message
+                                                                                   (or exit(1) is called if it's nullptr) */
 
-  flowtype			flow;		/* total flow */
+  flowtype                        flow;                /* total flow */
 
   /***********************************************************************/
 
-  node				*queue_first[2], *queue_last[2];	/* list of active nodes */
-  nodeptr				*orphan_first, *orphan_last;		/* list of pointers to orphans */
-  int					TIME;								/* monotonically increasing global counter */
+  node                                *queue_first[2], *queue_last[2];        /* list of active nodes */
+  nodeptr                                *orphan_first, *orphan_last;                /* list of pointers to orphans */
+  int                                        TIME;                                                                /* monotonically increasing global counter */
 
   /***********************************************************************/
 
@@ -815,16 +815,16 @@ inline void Graph::add_tweights(node_id
 }
 
 /*
-	Converts arcs added by 'add_edge()' calls
-	to a forward star graph representation.
+        Converts arcs added by 'add_edge()' calls
+        to a forward star graph representation.
 
-	Linear time algorithm.
-	No or little additional memory is allocated
-	during this process
-	(it may be necessary to allocate additional
-	arc blocks, since arcs corresponding to the
-	same node must be contiguous, i.e. be in one
-	arc block.)
+        Linear time algorithm.
+        No or little additional memory is allocated
+        during this process
+        (it may be necessary to allocate additional
+        arc blocks, since arcs corresponding to the
+        same node must be contiguous, i.e. be in one
+        arc block.)
 */
 inline void Graph::prepare_graph()
 {
@@ -1024,26 +1024,26 @@ inline void Graph::prepare_graph()
 //#include "graph.h"
 
 /*
-	special constants for node->parent
+        special constants for node->parent
 */
-#define MF_TERMINAL ( (arc_forward *) 1 )		/* to terminal */
-#define MF_ORPHAN   ( (arc_forward *) 2 )		/* orphan */
+#define MF_TERMINAL ( (arc_forward *) 1 )                /* to terminal */
+#define MF_ORPHAN   ( (arc_forward *) 2 )                /* orphan */
 
-#define MF_INFINITE_D 1000000000		/* infinite distance to the terminal */
+#define MF_INFINITE_D 1000000000                /* infinite distance to the terminal */
 
 /***********************************************************************/
 
 /*
-	Functions for processing active list.
-	i->next points to the next node in the list
-	(or to i, if i is the last node in the list).
-	If i->next is nullptr iff i is not in the list.
-
-	There are two queues. Active nodes are added
-	to the end of the second queue and read from
-	the front of the first queue. If the first queue
-	is empty, it is replaced by the second queue
-	(and the second queue becomes empty).
+        Functions for processing active list.
+        i->next points to the next node in the list
+        (or to i, if i is the last node in the list).
+        If i->next is nullptr iff i is not in the list.
+
+        There are two queues. Active nodes are added
+        to the end of the second queue and read from
+        the front of the first queue. If the first queue
+        is empty, it is replaced by the second queue
+        (and the second queue becomes empty).
 */
 
 inline void Graph::set_active(node *i)
@@ -1058,9 +1058,9 @@ inline void Graph::set_active(node *i)
 }
 
 /*
-	Returns the next active node.
-	If it is connected to the sink, it stays in the list,
-	otherwise it is removed from the list
+        Returns the next active node.
+        If it is connected to the sink, it stays in the list,
+        otherwise it is removed from the list
 */
 inline Graph::node * Graph::next_active()
 {
diff -pruN 5.0.2-3/include/CGAL/internal/boost/array_binary_tree.hpp 5.0.3-1/include/CGAL/internal/boost/array_binary_tree.hpp
--- 5.0.2-3/include/CGAL/internal/boost/array_binary_tree.hpp	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/boost/array_binary_tree.hpp	2020-08-01 19:02:47.000000000 +0000
@@ -8,12 +8,12 @@
 // https://www.boost.org/LICENSE_1_0.txt)
 //=======================================================================
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/internal/boost/array_binary_tree.hpp $
-// $Id: array_binary_tree.hpp a472c24 2019-03-20T08:59:22+01:00 Andreas Fabri
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/internal/boost/array_binary_tree.hpp $
+// $Id: array_binary_tree.hpp 590612a 2020-03-26T13:25:16+01:00 Sébastien Loriot
 // SPDX-License-Identifier: BSL-1.0
 //
 // NOTE: this file have been taken from boost 1.46.1 for using
-//       with Modificable_priority_queue (to enhance the 
+//       with Modificable_priority_queue (to enhance the
 //       non-documented mutable_queue).
 //       original file is <boost/graph/detail/array_binary_tree.hpp>
 //
diff -pruN 5.0.2-3/include/CGAL/internal/boost/function_property_map.hpp 5.0.3-1/include/CGAL/internal/boost/function_property_map.hpp
--- 5.0.2-3/include/CGAL/internal/boost/function_property_map.hpp	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/boost/function_property_map.hpp	2020-08-01 19:02:47.000000000 +0000
@@ -9,7 +9,7 @@
 // https://www.boost.org/LICENSE_1_0.txt)
 //=======================================================================
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/internal/boost/function_property_map.hpp $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/internal/boost/function_property_map.hpp $
 // $Id: function_property_map.hpp a472c24 2019-03-20T08:59:22+01:00 Andreas Fabri
 // SPDX-License-Identifier: BSL-1.0
 //
diff -pruN 5.0.2-3/include/CGAL/internal/boost/mutable_heap.hpp 5.0.3-1/include/CGAL/internal/boost/mutable_heap.hpp
--- 5.0.2-3/include/CGAL/internal/boost/mutable_heap.hpp	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/boost/mutable_heap.hpp	2020-08-01 19:02:47.000000000 +0000
@@ -8,12 +8,12 @@
 // https://www.boost.org/LICENSE_1_0.txt)
 //=======================================================================
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/internal/boost/mutable_heap.hpp $
-// $Id: mutable_heap.hpp a472c24 2019-03-20T08:59:22+01:00 Andreas Fabri
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/internal/boost/mutable_heap.hpp $
+// $Id: mutable_heap.hpp 590612a 2020-03-26T13:25:16+01:00 Sébastien Loriot
 // SPDX-License-Identifier: BSL-1.0
 //
 // NOTE: this file have been taken from boost 1.46.1 for using
-//       with Modificable_priority_queue (to enhance the 
+//       with Modificable_priority_queue (to enhance the
 //       non-documented mutable_queue).
 //       original file is <boost/pending/mutable_heap.hpp>
 //
@@ -40,7 +40,7 @@
  */
 
 namespace CGAL{ namespace internal {
-  
+
 namespace boost_ {
 
   template <class TreeNode, class Compare, class ExternalData>
@@ -53,9 +53,9 @@ namespace boost_ {
   template <class TreeNode, class Compare, class ExternalData>
   inline TreeNode down_heap(TreeNode x, const Compare& comp, ExternalData& edata) {
     while (x.children().size() > 0) {
-      typename TreeNode::children_type::iterator 
+      typename TreeNode::children_type::iterator
         child_iter = std::min_element(x.children().begin(),
-                                      x.children().end(), 
+                                      x.children().end(),
                                       comp);
       if (comp(*child_iter, x))
         x.swap(*child_iter, edata);
diff -pruN 5.0.2-3/include/CGAL/internal/boost/mutable_queue.hpp 5.0.3-1/include/CGAL/internal/boost/mutable_queue.hpp
--- 5.0.2-3/include/CGAL/internal/boost/mutable_queue.hpp	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/boost/mutable_queue.hpp	2020-08-01 19:02:47.000000000 +0000
@@ -8,12 +8,12 @@
 // https://www.boost.org/LICENSE_1_0.txt)
 //=======================================================================
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/internal/boost/mutable_queue.hpp $
-// $Id: mutable_queue.hpp a472c24 2019-03-20T08:59:22+01:00 Andreas Fabri
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/internal/boost/mutable_queue.hpp $
+// $Id: mutable_queue.hpp 590612a 2020-03-26T13:25:16+01:00 Sébastien Loriot
 // SPDX-License-Identifier: BSL-1.0
 //
 // NOTE: this file have been taken from boost 1.46.1 for using
-//       with Modificable_priority_queue (to enhance the 
+//       with Modificable_priority_queue (to enhance the
 //       non-documented mutable_queue).
 //       original file is <boost/pending/mutable_queue.hpp>
 //
@@ -76,7 +76,7 @@ namespace boost_ {
       : index_array(n,n), comp(x), id(_id) {
       c.reserve(n);
     }
-    
+
     template <class ForwardIterator>
     mutable_queue(ForwardIterator first, ForwardIterator last,
                   const Comp& x, const ID& _id)
@@ -102,7 +102,7 @@ namespace boost_ {
       size_type id_b = get(id, tmp);
       //SL was: size_type i = index_array[ id_b ];
       index_array[ id_b ] = index_array[ id_f ];
-      //SL was: index_array[ id_f ] = i; 
+      //SL was: index_array[ id_f ] = i;
       index_array[ id_f ] = index_array.size(); /*SL added*/
       c.pop_back();
       Node node(c.begin(), c.end(), c.begin(), id);
diff -pruN 5.0.2-3/include/CGAL/internal/bounded_priority_queue.h 5.0.3-1/include/CGAL/internal/bounded_priority_queue.h
--- 5.0.2-3/include/CGAL/internal/bounded_priority_queue.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/bounded_priority_queue.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/internal/bounded_priority_queue.h $
-// $Id: bounded_priority_queue.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/internal/bounded_priority_queue.h $
+// $Id: bounded_priority_queue.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Gael Guennebaud (gael.guennebaud@inria.fr)
 
@@ -32,7 +32,7 @@ namespace internal{
   * While the queue has not reached its maximum capacity, elements are
   * inserted as they will be in a heap, the root (top()) being such that
   * Compare(top(),x)=false for any x in the queue.
-  * Once the queue is full, trying to insert x in the queue will have no effect if 
+  * Once the queue is full, trying to insert x in the queue will have no effect if
   * Compare(x,top())=false. Otherwise, the element at the root of the heap is removed
   * and x is inserted so as to keep the heap property.
   */
diff -pruN 5.0.2-3/include/CGAL/internal/canonicalize_helper.h 5.0.3-1/include/CGAL/internal/canonicalize_helper.h
--- 5.0.2-3/include/CGAL/internal/canonicalize_helper.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/canonicalize_helper.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/canonicalize_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/canonicalize_helper.h $
 // $Id: canonicalize_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Classification_type.h 5.0.3-1/include/CGAL/internal/Classification_type.h
--- 5.0.2-3/include/CGAL/internal/Classification_type.h	2020-02-21 20:02:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Classification_type.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Alpha_shapes_3/include/CGAL/internal/Classification_type.h $
-// $Id: Classification_type.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Alpha_shapes_3/include/CGAL/internal/Classification_type.h $
+// $Id: Classification_type.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot
 //
@@ -22,5 +22,5 @@ namespace CGAL{
   namespace internal{
     enum Classification_type {EXTERIOR,SINGULAR,REGULAR,INTERIOR};
   }
-} 
+}
 #endif //CGAL_INTERNAL_CLASSIFICATION_TYPE_H
diff -pruN 5.0.2-3/include/CGAL/internal/Combination_enumerator.h 5.0.3-1/include/CGAL/internal/Combination_enumerator.h
--- 5.0.2-3/include/CGAL/internal/Combination_enumerator.h	2020-02-21 20:04:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Combination_enumerator.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/internal/Combination_enumerator.h $
-// $Id: Combination_enumerator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/internal/Combination_enumerator.h $
+// $Id: Combination_enumerator.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)    : Samuel Hornus
@@ -37,14 +37,14 @@ public:
 
     // For generating all the combinations of |k| distinct elements in the
     // interval [min, max] (both included)
-    Combination_enumerator(const int k, const int min, const int max)
-    : combi_(k), k_(k), min_(min), max_(max), max_at_pos_0_(max + 1 - k)
+    Combination_enumerator(const int k, const int imin, const int imax)
+    : combi_(k), k_(k), min_(imin), max_(imax), max_at_pos_0_(imax + 1 - k)
     {
-        CGAL_assertion_msg( min <= max, "min is larger than max");
-        CGAL_assertion_msg( 1 <= k && k <= ( max - min + 1 ), "wrong value of k");
+        CGAL_assertion_msg( imin <= imax, "min is larger than max");
+        CGAL_assertion_msg( 1 <= k && k <= ( imax - imin + 1 ), "wrong value of k");
         init();
     }
-    
+
     Combination_enumerator(const Combination_enumerator & c)
     : combi_(c.combi_), k_(c.k_), min_(c.min_), max_(c.max_), max_at_pos_0_(c.max_at_pos_0_)
     {}
diff -pruN 5.0.2-3/include/CGAL/internal/Combinatorial_map_copy_functors.h 5.0.3-1/include/CGAL/internal/Combinatorial_map_copy_functors.h
--- 5.0.2-3/include/CGAL/internal/Combinatorial_map_copy_functors.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Combinatorial_map_copy_functors.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/internal/Combinatorial_map_copy_functors.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/internal/Combinatorial_map_copy_functors.h $
 // $Id: Combinatorial_map_copy_functors.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Combinatorial_map_group_functors.h 5.0.3-1/include/CGAL/internal/Combinatorial_map_group_functors.h
--- 5.0.2-3/include/CGAL/internal/Combinatorial_map_group_functors.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Combinatorial_map_group_functors.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/internal/Combinatorial_map_group_functors.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/internal/Combinatorial_map_group_functors.h $
 // $Id: Combinatorial_map_group_functors.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Combinatorial_map_internal_functors.h 5.0.3-1/include/CGAL/internal/Combinatorial_map_internal_functors.h
--- 5.0.2-3/include/CGAL/internal/Combinatorial_map_internal_functors.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Combinatorial_map_internal_functors.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/internal/Combinatorial_map_internal_functors.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/internal/Combinatorial_map_internal_functors.h $
 // $Id: Combinatorial_map_internal_functors.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Combinatorial_map_sewable.h 5.0.3-1/include/CGAL/internal/Combinatorial_map_sewable.h
--- 5.0.2-3/include/CGAL/internal/Combinatorial_map_sewable.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Combinatorial_map_sewable.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/internal/Combinatorial_map_sewable.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/internal/Combinatorial_map_sewable.h $
 // $Id: Combinatorial_map_sewable.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Combinatorial_map_utility.h 5.0.3-1/include/CGAL/internal/Combinatorial_map_utility.h
--- 5.0.2-3/include/CGAL/internal/Combinatorial_map_utility.h	2020-02-21 20:03:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Combinatorial_map_utility.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Combinatorial_map/include/CGAL/internal/Combinatorial_map_utility.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Combinatorial_map/include/CGAL/internal/Combinatorial_map_utility.h $
 // $Id: Combinatorial_map_utility.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/compute_confidences.h 5.0.3-1/include/CGAL/internal/compute_confidences.h
--- 5.0.2-3/include/CGAL/internal/compute_confidences.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/compute_confidences.h	2020-08-01 19:02:41.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygonal_surface_reconstruction/include/CGAL/internal/compute_confidences.h $
-// $Id: compute_confidences.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygonal_surface_reconstruction/include/CGAL/internal/compute_confidences.h $
+// $Id: compute_confidences.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Liangliang Nan
@@ -34,220 +34,220 @@ typedef CGAL::Sequential_tag Concurrency
 namespace CGAL {
 
 
-	namespace internal {
+        namespace internal {
 
-		/**
-		*	Computes the confidences of the candidate faces.
-		*/
-
-		template <typename Kernel>
-		class Candidate_confidences
-		{
-		private:
-                        typedef typename Kernel::FT				FT;
-                        typedef typename Kernel::Point_3			Point;
-                        typedef typename Kernel::Point_2			Point2;
-                        typedef typename Kernel::Vector_3			Vector;
-                        typedef typename Kernel::Line_3				Line;
-                        typedef typename Kernel::Segment_3			Segment;
-                        typedef typename Kernel::Plane_3			Plane;
-                        typedef CGAL::Polygon_2<Kernel>				Polygon;
-                        typedef internal::Planar_segment<Kernel>		Planar_segment;
-                        typedef internal::Point_set_with_planes<Kernel>		Point_set;
-                        typedef CGAL::Surface_mesh<Point>			Polygon_mesh;
-			typedef typename Polygon_mesh::Face_index		Face_descriptor;
-			typedef typename Polygon_mesh::Edge_index		Edge_descriptor;
-			typedef typename Polygon_mesh::Vertex_index		Vertex_descriptor;
-                        typedef typename Polygon_mesh::Halfedge_index		Halfedge_descriptor;
-
-		public:
-			Candidate_confidences() {}
-			~Candidate_confidences() {}
-
-			/// Computes the confidence values for each face
-			/// - supporting point number:	stored as property 'f:num_supporting_points'
-			/// - face area:				stored as property 'f:face_area'
-			/// - covered area:				stored as property 'f:covered_area'
-			void compute(const Point_set& point_set, Polygon_mesh& mesh);
-
-		private:
-			// Returns the indices of the supporting point for 'face'
-			std::vector<std::size_t> supporting_points(Face_descriptor face, const Polygon_mesh& mesh, const Point_set& point_set);
-
-			inline FT triangle_area(const Point& p1, const Point& p2, const Point& p3) const {
-				const Vector& orth = CGAL::cross_product(Vector(p1, p2), Vector(p1, p3));
-				return std::sqrt(orth.squared_length()) * FT(0.5);
-			}
-
-			FT face_area(Face_descriptor f, const Polygon_mesh& mesh) const {
-				FT result(0);
-
-				const typename Polygon_mesh::template Property_map<Vertex_descriptor, Point>& coords = mesh.points();
-
-				Halfedge_around_face_circulator<Polygon_mesh> cir(mesh.halfedge(f), mesh), done(cir);
-				Halfedge_descriptor p_hd = *cir;
-				Vertex_descriptor p_vd = mesh.target(p_hd);
-				const Point& p = coords[p_vd];
-				++cir;
-
-				do {
-					Halfedge_descriptor q_hd = *cir;
-					Vertex_descriptor q_vd = mesh.target(q_hd);
-					const Point& q = coords[q_vd];
-
-					Halfedge_descriptor r_hd = mesh.next(q_hd);
-					Vertex_descriptor r_vd = mesh.target(r_hd);
-					const Point& r = coords[r_vd];
-
-					result += triangle_area(p, q, r);
-
-					++cir;
-				} while (cir != done);
-
-				return result;
-			}
-		};
-
-
-		//////////////////////////////////////////////////////////////////////////
-
-		// implementation
-
-		template <typename Kernel>
-		std::vector<std::size_t> Candidate_confidences<Kernel>::supporting_points(Face_descriptor face, const Polygon_mesh& mesh, const Point_set& point_set) {
-			std::vector<std::size_t> indices;
-
-			if (face == Polygon_mesh::null_face())
-				return indices;
-
-			// The supporting planar segment of each face
-			typename Polygon_mesh::template Property_map<Face_descriptor, Planar_segment*> face_supporting_segments =
-				mesh.template property_map<Face_descriptor, Planar_segment*>("f:supp_segment").first;
-
-			Planar_segment* segment = face_supporting_segments[face];
-			if (segment == nullptr)
-				return indices;
-
-			// The supporting plane of each face
-			typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes =
-				mesh.template property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
-			// We do everything by projecting the point onto the face's supporting plane
-			const Plane* supporting_plane = face_supporting_planes[face];
-			CGAL_assertion(supporting_plane == segment->supporting_plane());
-
-			Polygon plg; // The projection of the face onto it supporting plane
-			const typename Polygon_mesh::template Property_map<Vertex_descriptor, Point>& coords = mesh.points();
-			Halfedge_around_face_circulator<Polygon_mesh> cir(mesh.halfedge(face), mesh), done(cir);
-			do {
-				Halfedge_descriptor hd = *cir;
-				Vertex_descriptor vd = mesh.target(hd);
-				const Point& p = coords[vd];
-				const Point2& q = supporting_plane->to_2d(p);
-
-				// Removes duplicated vertices
-				// The last point in the polygon
-				if (!plg.is_empty()) {
-					const Point2& r = plg[plg.size() - 1];
-					if (CGAL::squared_distance(q, r) < CGAL::snap_squared_distance_threshold<FT>())
-						continue;
-				}
-				plg.push_back(q);
-
-				++cir;
-			} while (cir != done);
-
-			if (plg.size() < 3 || !plg.is_simple())
-				return indices;
-
-			const typename Point_set::Point_map& points = point_set.point_map();
-			for (std::size_t i = 0; i < segment->size(); ++i) {
-				std::size_t idx = segment->at(i);
-				const Point& p = points[idx];
-				if (plg.bounded_side(supporting_plane->to_2d(p)) == CGAL::ON_BOUNDED_SIDE)
-					indices.push_back(idx);
-			}
-
-			return indices;
-		}
-
-		template <typename Kernel>
-		void Candidate_confidences<Kernel>::compute(const Point_set& point_set, Polygon_mesh& mesh) {
-			const unsigned int K = 6;
-
-			const typename Point_set::Point_map& points = point_set.point_map();
-			FT avg_spacing = compute_average_spacing<Concurrency_tag>(points, K);
-
-			// The number of supporting points of each face
-			typename Polygon_mesh::template Property_map<Face_descriptor, std::size_t> face_num_supporting_points =
-				mesh.template add_property_map<Face_descriptor, std::size_t>("f:num_supporting_points").first;
-
-			// The area of each face
-			typename Polygon_mesh::template Property_map<Face_descriptor, FT> face_areas =
-				mesh.template add_property_map<Face_descriptor, FT>("f:face_area").first;
-
-			// The point covered area of each face
-			typename Polygon_mesh::template Property_map<Face_descriptor, FT> face_covered_areas =
-				mesh.template add_property_map<Face_descriptor, FT>("f:covered_area").first;
-
-			// The supporting plane of each face
-			typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes =
-				mesh.template property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
+                /**
+                *        Computes the confidences of the candidate faces.
+                */
+
+                template <typename Kernel>
+                class Candidate_confidences
+                {
+                private:
+                        typedef typename Kernel::FT                                FT;
+                        typedef typename Kernel::Point_3                        Point;
+                        typedef typename Kernel::Point_2                        Point2;
+                        typedef typename Kernel::Vector_3                        Vector;
+                        typedef typename Kernel::Line_3                                Line;
+                        typedef typename Kernel::Segment_3                        Segment;
+                        typedef typename Kernel::Plane_3                        Plane;
+                        typedef CGAL::Polygon_2<Kernel>                                Polygon;
+                        typedef internal::Planar_segment<Kernel>                Planar_segment;
+                        typedef internal::Point_set_with_planes<Kernel>                Point_set;
+                        typedef CGAL::Surface_mesh<Point>                        Polygon_mesh;
+                        typedef typename Polygon_mesh::Face_index                Face_descriptor;
+                        typedef typename Polygon_mesh::Edge_index                Edge_descriptor;
+                        typedef typename Polygon_mesh::Vertex_index                Vertex_descriptor;
+                        typedef typename Polygon_mesh::Halfedge_index                Halfedge_descriptor;
+
+                public:
+                        Candidate_confidences() {}
+                        ~Candidate_confidences() {}
+
+                        /// Computes the confidence values for each face
+                        /// - supporting point number:        stored as property 'f:num_supporting_points'
+                        /// - face area:                                stored as property 'f:face_area'
+                        /// - covered area:                                stored as property 'f:covered_area'
+                        void compute(const Point_set& point_set, Polygon_mesh& mesh);
+
+                private:
+                        // Returns the indices of the supporting point for 'face'
+                        std::vector<std::size_t> supporting_points(Face_descriptor face, const Polygon_mesh& mesh, const Point_set& point_set);
+
+                        inline FT triangle_area(const Point& p1, const Point& p2, const Point& p3) const {
+                                const Vector& orth = CGAL::cross_product(Vector(p1, p2), Vector(p1, p3));
+                                return std::sqrt(orth.squared_length()) * FT(0.5);
+                        }
+
+                        FT face_area(Face_descriptor f, const Polygon_mesh& mesh) const {
+                                FT result(0);
+
+                                const typename Polygon_mesh::template Property_map<Vertex_descriptor, Point>& coords = mesh.points();
+
+                                Halfedge_around_face_circulator<Polygon_mesh> cir(mesh.halfedge(f), mesh), done(cir);
+                                Halfedge_descriptor p_hd = *cir;
+                                Vertex_descriptor p_vd = mesh.target(p_hd);
+                                const Point& p = coords[p_vd];
+                                ++cir;
+
+                                do {
+                                        Halfedge_descriptor q_hd = *cir;
+                                        Vertex_descriptor q_vd = mesh.target(q_hd);
+                                        const Point& q = coords[q_vd];
+
+                                        Halfedge_descriptor r_hd = mesh.next(q_hd);
+                                        Vertex_descriptor r_vd = mesh.target(r_hd);
+                                        const Point& r = coords[r_vd];
+
+                                        result += triangle_area(p, q, r);
+
+                                        ++cir;
+                                } while (cir != done);
+
+                                return result;
+                        }
+                };
+
+
+                //////////////////////////////////////////////////////////////////////////
+
+                // implementation
+
+                template <typename Kernel>
+                std::vector<std::size_t> Candidate_confidences<Kernel>::supporting_points(Face_descriptor face, const Polygon_mesh& mesh, const Point_set& point_set) {
+                        std::vector<std::size_t> indices;
+
+                        if (face == Polygon_mesh::null_face())
+                                return indices;
+
+                        // The supporting planar segment of each face
+                        typename Polygon_mesh::template Property_map<Face_descriptor, Planar_segment*> face_supporting_segments =
+                                mesh.template property_map<Face_descriptor, Planar_segment*>("f:supp_segment").first;
+
+                        Planar_segment* segment = face_supporting_segments[face];
+                        if (segment == nullptr)
+                                return indices;
+
+                        // The supporting plane of each face
+                        typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes =
+                                mesh.template property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
+                        // We do everything by projecting the point onto the face's supporting plane
+                        const Plane* supporting_plane = face_supporting_planes[face];
+                        CGAL_assertion(supporting_plane == segment->supporting_plane());
+
+                        Polygon plg; // The projection of the face onto it supporting plane
+                        const typename Polygon_mesh::template Property_map<Vertex_descriptor, Point>& coords = mesh.points();
+                        Halfedge_around_face_circulator<Polygon_mesh> cir(mesh.halfedge(face), mesh), done(cir);
+                        do {
+                                Halfedge_descriptor hd = *cir;
+                                Vertex_descriptor vd = mesh.target(hd);
+                                const Point& p = coords[vd];
+                                const Point2& q = supporting_plane->to_2d(p);
+
+                                // Removes duplicated vertices
+                                // The last point in the polygon
+                                if (!plg.is_empty()) {
+                                        const Point2& r = plg[plg.size() - 1];
+                                        if (CGAL::squared_distance(q, r) < CGAL::snap_squared_distance_threshold<FT>())
+                                                continue;
+                                }
+                                plg.push_back(q);
+
+                                ++cir;
+                        } while (cir != done);
+
+                        if (plg.size() < 3 || !plg.is_simple())
+                                return indices;
+
+                        const typename Point_set::Point_map& points = point_set.point_map();
+                        for (std::size_t i = 0; i < segment->size(); ++i) {
+                                std::size_t idx = segment->at(i);
+                                const Point& p = points[idx];
+                                if (plg.bounded_side(supporting_plane->to_2d(p)) == CGAL::ON_BOUNDED_SIDE)
+                                        indices.push_back(idx);
+                        }
+
+                        return indices;
+                }
+
+                template <typename Kernel>
+                void Candidate_confidences<Kernel>::compute(const Point_set& point_set, Polygon_mesh& mesh) {
+                        const unsigned int K = 6;
+
+                        const typename Point_set::Point_map& points = point_set.point_map();
+                        FT avg_spacing = compute_average_spacing<Concurrency_tag>(points, K);
+
+                        // The number of supporting points of each face
+                        typename Polygon_mesh::template Property_map<Face_descriptor, std::size_t> face_num_supporting_points =
+                                mesh.template add_property_map<Face_descriptor, std::size_t>("f:num_supporting_points").first;
+
+                        // The area of each face
+                        typename Polygon_mesh::template Property_map<Face_descriptor, FT> face_areas =
+                                mesh.template add_property_map<Face_descriptor, FT>("f:face_area").first;
+
+                        // The point covered area of each face
+                        typename Polygon_mesh::template Property_map<Face_descriptor, FT> face_covered_areas =
+                                mesh.template add_property_map<Face_descriptor, FT>("f:covered_area").first;
+
+                        // The supporting plane of each face
+                        typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes =
+                                mesh.template property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
 
-			FT degenerate_face_area_threshold = CGAL::snap_squared_distance_threshold<FT>() * CGAL::snap_squared_distance_threshold<FT>();
+                        FT degenerate_face_area_threshold = CGAL::snap_squared_distance_threshold<FT>() * CGAL::snap_squared_distance_threshold<FT>();
 
                         for(auto f : mesh.faces()) {
-				const Plane* supporting_plane = face_supporting_planes[f];
-				// Face area
-				FT area = face_area(f, mesh);
-				face_areas[f] = area;
-
-				if (area > degenerate_face_area_threshold) {
-					const std::vector<std::size_t>& indices = supporting_points(f, mesh, point_set);
-					face_num_supporting_points[f] = indices.size();
-
-					std::vector<Point> pts;
-					for (std::size_t i = 0; i < indices.size(); ++i) {
-						std::size_t idx = indices[i];
-						const Point& p = points[idx];
-						pts.push_back(p);
-					}
-
-					FT covered_area(0);
-					Alpha_shape_mesh<Kernel> alpha_mesh(pts.begin(), pts.end(), *supporting_plane);
-					Polygon_mesh covering_mesh;
-					FT radius = avg_spacing * FT(5.0);
-					if (alpha_mesh.extract_mesh(radius * radius, covering_mesh)) {
-						// We cannot use the area of the 3D faces, because the alpha shape mesh is
-						// not perfectly planar
-						const typename Polygon_mesh::template Property_map<Vertex_descriptor, Point>& coords = covering_mesh.points();
+                                const Plane* supporting_plane = face_supporting_planes[f];
+                                // Face area
+                                FT area = face_area(f, mesh);
+                                face_areas[f] = area;
+
+                                if (area > degenerate_face_area_threshold) {
+                                        const std::vector<std::size_t>& indices = supporting_points(f, mesh, point_set);
+                                        face_num_supporting_points[f] = indices.size();
+
+                                        std::vector<Point> pts;
+                                        for (std::size_t i = 0; i < indices.size(); ++i) {
+                                                std::size_t idx = indices[i];
+                                                const Point& p = points[idx];
+                                                pts.push_back(p);
+                                        }
+
+                                        FT covered_area(0);
+                                        Alpha_shape_mesh<Kernel> alpha_mesh(pts.begin(), pts.end(), *supporting_plane);
+                                        Polygon_mesh covering_mesh;
+                                        FT radius = avg_spacing * FT(5.0);
+                                        if (alpha_mesh.extract_mesh(radius * radius, covering_mesh)) {
+                                                // We cannot use the area of the 3D faces, because the alpha shape mesh is
+                                                // not perfectly planar
+                                                const typename Polygon_mesh::template Property_map<Vertex_descriptor, Point>& coords = covering_mesh.points();
                                                 for(auto face : covering_mesh.faces()) {
-							// We have to use the projected version
-							Polygon plg; // the projection of the face onto it supporting plane
-							Halfedge_around_face_circulator<Polygon_mesh> cir(covering_mesh.halfedge(face), covering_mesh), done(cir);
-							do {
-								Halfedge_descriptor hd = *cir;
-								Vertex_descriptor vd = covering_mesh.target(hd);
-								const Point& p = coords[vd];
-								const Point2& q = supporting_plane->to_2d(p);
-								plg.push_back(q);
-								++cir;
-							} while (cir != done);
-							covered_area += std::abs(plg.area());
-						}
-					}
-
-					face_covered_areas[f] = covered_area;
-					if (covered_area > area)
-						face_covered_areas[f] = area;
-				}
-				else { // For tiny faces, we can simple assign zero supporting points
-					face_num_supporting_points[f] = 0;
-					face_covered_areas[f] = FT(0.0);
-				}
-			}
-		}
+                                                        // We have to use the projected version
+                                                        Polygon plg; // the projection of the face onto it supporting plane
+                                                        Halfedge_around_face_circulator<Polygon_mesh> cir(covering_mesh.halfedge(face), covering_mesh), done(cir);
+                                                        do {
+                                                                Halfedge_descriptor hd = *cir;
+                                                                Vertex_descriptor vd = covering_mesh.target(hd);
+                                                                const Point& p = coords[vd];
+                                                                const Point2& q = supporting_plane->to_2d(p);
+                                                                plg.push_back(q);
+                                                                ++cir;
+                                                        } while (cir != done);
+                                                        covered_area += std::abs(plg.area());
+                                                }
+                                        }
+
+                                        face_covered_areas[f] = covered_area;
+                                        if (covered_area > area)
+                                                face_covered_areas[f] = area;
+                                }
+                                else { // For tiny faces, we can simple assign zero supporting points
+                                        face_num_supporting_points[f] = 0;
+                                        face_covered_areas[f] = FT(0.0);
+                                }
+                        }
+                }
 
-	} //namespace internal
+        } //namespace internal
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/internal/container_fwd_fixed.hpp 5.0.3-1/include/CGAL/internal/container_fwd_fixed.hpp
--- 5.0.2-3/include/CGAL/internal/container_fwd_fixed.hpp	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/container_fwd_fixed.hpp	2020-08-01 19:02:29.000000000 +0000
@@ -7,7 +7,7 @@
 // Distributed under the Boost Software License, Version 1.0. (See accompanying
 // file LICENSE_1_0.txt or copy at https://www.boost.org/LICENSE_1_0.txt)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/internal/container_fwd_fixed.hpp $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/internal/container_fwd_fixed.hpp $
 // $Id: container_fwd_fixed.hpp a472c24 2019-03-20T08:59:22+01:00 Andreas Fabri
 // SPDX-License-Identifier: BSL-1.0
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Dehn_hyperbolic_octagon_translation_word.h 5.0.3-1/include/CGAL/internal/Dehn_hyperbolic_octagon_translation_word.h
--- 5.0.2-3/include/CGAL/internal/Dehn_hyperbolic_octagon_translation_word.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Dehn_hyperbolic_octagon_translation_word.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_4_hyperbolic_triangulation_2/include/CGAL/internal/Dehn_hyperbolic_octagon_translation_word.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_4_hyperbolic_triangulation_2/include/CGAL/internal/Dehn_hyperbolic_octagon_translation_word.h $
 // $Id: Dehn_hyperbolic_octagon_translation_word.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Delaunay_triangulation_hierarchy_3.h 5.0.3-1/include/CGAL/internal/Delaunay_triangulation_hierarchy_3.h
--- 5.0.2-3/include/CGAL/internal/Delaunay_triangulation_hierarchy_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Delaunay_triangulation_hierarchy_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/internal/Delaunay_triangulation_hierarchy_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/internal/Delaunay_triangulation_hierarchy_3.h $
 // $Id: Delaunay_triangulation_hierarchy_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/deprecation_warning.h 5.0.3-1/include/CGAL/internal/deprecation_warning.h
--- 5.0.2-3/include/CGAL/internal/deprecation_warning.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/deprecation_warning.h	2020-08-01 19:02:22.000000000 +0000
@@ -6,7 +6,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/internal/deprecation_warning.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/internal/deprecation_warning.h $
 // $Id: deprecation_warning.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/disable_deprecation_warnings_and_errors.h 5.0.3-1/include/CGAL/internal/disable_deprecation_warnings_and_errors.h
--- 5.0.2-3/include/CGAL/internal/disable_deprecation_warnings_and_errors.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/disable_deprecation_warnings_and_errors.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/internal/disable_deprecation_warnings_and_errors.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/internal/disable_deprecation_warnings_and_errors.h $
 // $Id: disable_deprecation_warnings_and_errors.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Dummy_tds_3.h 5.0.3-1/include/CGAL/internal/Dummy_tds_3.h
--- 5.0.2-3/include/CGAL/internal/Dummy_tds_3.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Dummy_tds_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_3/include/CGAL/internal/Dummy_tds_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_3/include/CGAL/internal/Dummy_tds_3.h $
 // $Id: Dummy_tds_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/enable_third_party_libraries.h 5.0.3-1/include/CGAL/internal/enable_third_party_libraries.h
--- 5.0.2-3/include/CGAL/internal/enable_third_party_libraries.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/enable_third_party_libraries.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/internal/enable_third_party_libraries.h $
-// $Id: enable_third_party_libraries.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/internal/enable_third_party_libraries.h $
+// $Id: enable_third_party_libraries.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent Rineau
 
diff -pruN 5.0.2-3/include/CGAL/internal/Exact_complex.h 5.0.3-1/include/CGAL/internal/Exact_complex.h
--- 5.0.2-3/include/CGAL/internal/Exact_complex.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Exact_complex.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hyperbolic_triangulation_2/include/CGAL/internal/Exact_complex.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hyperbolic_triangulation_2/include/CGAL/internal/Exact_complex.h $
 // $Id: Exact_complex.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Exact_type_selector.h 5.0.3-1/include/CGAL/internal/Exact_type_selector.h
--- 5.0.2-3/include/CGAL/internal/Exact_type_selector.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Exact_type_selector.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2004  
+// Copyright (c) 2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/internal/Exact_type_selector.h $
-// $Id: Exact_type_selector.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/internal/Exact_type_selector.h $
+// $Id: Exact_type_selector.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Functor_with_offset_points_adaptor_2.h 5.0.3-1/include/CGAL/internal/Functor_with_offset_points_adaptor_2.h
--- 5.0.2-3/include/CGAL/internal/Functor_with_offset_points_adaptor_2.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Functor_with_offset_points_adaptor_2.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/internal/Functor_with_offset_points_adaptor_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/internal/Functor_with_offset_points_adaptor_2.h $
 // $Id: Functor_with_offset_points_adaptor_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Functor_with_offset_points_adaptor_3.h 5.0.3-1/include/CGAL/internal/Functor_with_offset_points_adaptor_3.h
--- 5.0.2-3/include/CGAL/internal/Functor_with_offset_points_adaptor_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Functor_with_offset_points_adaptor_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Functor_with_offset_points_adaptor_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Functor_with_offset_points_adaptor_3.h $
 // $Id: Functor_with_offset_points_adaptor_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Functor_with_offset_weighted_points_adaptor_3.h 5.0.3-1/include/CGAL/internal/Functor_with_offset_weighted_points_adaptor_3.h
--- 5.0.2-3/include/CGAL/internal/Functor_with_offset_weighted_points_adaptor_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Functor_with_offset_weighted_points_adaptor_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Functor_with_offset_weighted_points_adaptor_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Functor_with_offset_weighted_points_adaptor_3.h $
 // $Id: Functor_with_offset_weighted_points_adaptor_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Generalized_map_group_functors.h 5.0.3-1/include/CGAL/internal/Generalized_map_group_functors.h
--- 5.0.2-3/include/CGAL/internal/Generalized_map_group_functors.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Generalized_map_group_functors.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generalized_map/include/CGAL/internal/Generalized_map_group_functors.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generalized_map/include/CGAL/internal/Generalized_map_group_functors.h $
 // $Id: Generalized_map_group_functors.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Generalized_map_internal_functors.h 5.0.3-1/include/CGAL/internal/Generalized_map_internal_functors.h
--- 5.0.2-3/include/CGAL/internal/Generalized_map_internal_functors.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Generalized_map_internal_functors.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generalized_map/include/CGAL/internal/Generalized_map_internal_functors.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generalized_map/include/CGAL/internal/Generalized_map_internal_functors.h $
 // $Id: Generalized_map_internal_functors.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Generalized_map_sewable.h 5.0.3-1/include/CGAL/internal/Generalized_map_sewable.h
--- 5.0.2-3/include/CGAL/internal/Generalized_map_sewable.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Generalized_map_sewable.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generalized_map/include/CGAL/internal/Generalized_map_sewable.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generalized_map/include/CGAL/internal/Generalized_map_sewable.h $
 // $Id: Generalized_map_sewable.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Generic_random_point_generator.h 5.0.3-1/include/CGAL/internal/Generic_random_point_generator.h
--- 5.0.2-3/include/CGAL/internal/Generic_random_point_generator.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Generic_random_point_generator.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generator/include/CGAL/internal/Generic_random_point_generator.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generator/include/CGAL/internal/Generic_random_point_generator.h $
 // $Id: Generic_random_point_generator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Geometry_container.h 5.0.3-1/include/CGAL/internal/Geometry_container.h
--- 5.0.2-3/include/CGAL/internal/Geometry_container.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Geometry_container.h	2020-08-01 19:02:54.000000000 +0000
@@ -6,8 +6,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/internal/Geometry_container.h $
-// $Id: Geometry_container.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/internal/Geometry_container.h $
+// $Id: Geometry_container.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Maxime Gimeno
@@ -28,10 +28,10 @@ struct Dummy_deleter{
 namespace CGAL{
 namespace internal{
 
-/* \brief The Geometry_container struct is a wrapper 
+/* \brief The Geometry_container struct is a wrapper
  that provides an easy way to use the read and write functions
  of `Polygon_IO`.
- 
+
  \tparam Range is a model of `RandomAccessRange`
  \tparam TAG is the tag corresponding to the wkt structure you want
  to be read or written with this `CGAL::Geometry_container`
@@ -39,7 +39,7 @@ namespace internal{
 template <typename Range, typename TAG>
 struct Geometry_container{
   typedef std::pair<Range, TAG> type;
-  typedef typename Range::difference_type difference_type; 
+  typedef typename Range::difference_type difference_type;
   typedef typename Range::iterator iterator;
   typedef typename Range::const_iterator const_iterator;
   typedef typename Range::reverse_iterator reverse_iterator;
@@ -49,53 +49,53 @@ struct Geometry_container{
   boost::shared_ptr<Range>  range;
   bool must_delete;
   //
-  // Default constructor. 
-  // Creates a new internal Range. 
+  // Default constructor.
+  // Creates a new internal Range.
   // De-allocate memory after usage.
-  Geometry_container():range(new Range()), must_delete(true) 
-  {    
-  }  
+  Geometry_container():range(new Range()), must_delete(true)
+  {
+  }
   /*
    Copy constructor.
    Memory NOT de-allocated after usage.
   */
   Geometry_container(Range& range)
     :range(&range, Dummy_deleter()), must_delete(false){}
-  
+
   iterator begin()
   { return range->begin(); }
-  
+
   iterator end()
   { return range->end(); }
-  
+
   reverse_iterator rbegin()
   { return range->rbegin(); }
-  
+
   reverse_iterator rend()
   { return range->rend(); }
-  
+
   const_iterator begin()const
   { return range->begin(); }
-  
+
   const_iterator end()const
   { return range->end(); }
-  
+
   const_reverse_iterator rbegin()const
   { return range->rbegin(); }
-  
+
   const_reverse_iterator rend()const
   { return range->rend(); }
-  
+
   void clear(){ range->clear(); }
-  
+
   template<typename size_t>
   void resize(size_t n){ range->resize(n); }
-  
+
   template<typename T>
   void push_back(const T& t){ range->push_back(t); }
-  
+
   size_type size() { return range->size(); }
-  
+
   value_type operator[](size_type i)
   { return range[i]; }
 };//end Geometry_container
diff -pruN 5.0.2-3/include/CGAL/internal/Get_dimension_tag.h 5.0.3-1/include/CGAL/internal/Get_dimension_tag.h
--- 5.0.2-3/include/CGAL/internal/Get_dimension_tag.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Get_dimension_tag.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/internal/Get_dimension_tag.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/internal/Get_dimension_tag.h $
 // $Id: Get_dimension_tag.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Has_boolean_tags.h 5.0.3-1/include/CGAL/internal/Has_boolean_tags.h
--- 5.0.2-3/include/CGAL/internal/Has_boolean_tags.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Has_boolean_tags.h	2020-08-01 19:02:27.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/internal/Has_boolean_tags.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/internal/Has_boolean_tags.h $
 // $Id: Has_boolean_tags.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Has_member_visited.h 5.0.3-1/include/CGAL/internal/Has_member_visited.h
--- 5.0.2-3/include/CGAL/internal/Has_member_visited.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Has_member_visited.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/internal/Has_member_visited.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/internal/Has_member_visited.h $
 // $Id: Has_member_visited.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Has_nested_type_Bare_point.h 5.0.3-1/include/CGAL/internal/Has_nested_type_Bare_point.h
--- 5.0.2-3/include/CGAL/internal/Has_nested_type_Bare_point.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Has_nested_type_Bare_point.h	2020-08-01 19:02:47.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/internal/Has_nested_type_Bare_point.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/internal/Has_nested_type_Bare_point.h $
 // $Id: Has_nested_type_Bare_point.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Hyperbolic_Delaunay_triangulation_traits_2_functions.h 5.0.3-1/include/CGAL/internal/Hyperbolic_Delaunay_triangulation_traits_2_functions.h
--- 5.0.2-3/include/CGAL/internal/Hyperbolic_Delaunay_triangulation_traits_2_functions.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Hyperbolic_Delaunay_triangulation_traits_2_functions.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hyperbolic_triangulation_2/include/CGAL/internal/Hyperbolic_Delaunay_triangulation_traits_2_functions.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hyperbolic_triangulation_2/include/CGAL/internal/Hyperbolic_Delaunay_triangulation_traits_2_functions.h $
 // $Id: Hyperbolic_Delaunay_triangulation_traits_2_functions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Hyperbolic_octagon_translation_matrix.h 5.0.3-1/include/CGAL/internal/Hyperbolic_octagon_translation_matrix.h
--- 5.0.2-3/include/CGAL/internal/Hyperbolic_octagon_translation_matrix.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Hyperbolic_octagon_translation_matrix.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_4_hyperbolic_triangulation_2/include/CGAL/internal/Hyperbolic_octagon_translation_matrix.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_4_hyperbolic_triangulation_2/include/CGAL/internal/Hyperbolic_octagon_translation_matrix.h $
 // $Id: Hyperbolic_octagon_translation_matrix.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Hyperbolic_octagon_translation_word.h 5.0.3-1/include/CGAL/internal/Hyperbolic_octagon_translation_word.h
--- 5.0.2-3/include/CGAL/internal/Hyperbolic_octagon_translation_word.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Hyperbolic_octagon_translation_word.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_4_hyperbolic_triangulation_2/include/CGAL/internal/Hyperbolic_octagon_translation_word.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_4_hyperbolic_triangulation_2/include/CGAL/internal/Hyperbolic_octagon_translation_word.h $
 // $Id: Hyperbolic_octagon_translation_word.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/hypothesis.h 5.0.3-1/include/CGAL/internal/hypothesis.h
--- 5.0.2-3/include/CGAL/internal/hypothesis.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/hypothesis.h	2020-08-01 19:02:41.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygonal_surface_reconstruction/include/CGAL/internal/hypothesis.h $
-// $Id: hypothesis.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygonal_surface_reconstruction/include/CGAL/internal/hypothesis.h $
+// $Id: hypothesis.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Liangliang Nan
@@ -28,1123 +28,1123 @@
 
 namespace CGAL {
 
-	namespace internal {
+        namespace internal {
 
-		/**
-		* 	Generates candidate faces by pairwise intersecting of the supporting planes of
-		*   the planar segments.
-		*/
-
-		template <typename Kernel>
-		class Hypothesis
-		{
-		private:
-                        typedef typename Kernel::FT				FT;
-                        typedef typename Kernel::Point_3			Point;
-                        typedef typename Kernel::Point_2			Point2;
-                        typedef typename Kernel::Vector_3			Vector;
-                        typedef typename Kernel::Line_3				Line;
-                        typedef typename Kernel::Segment_3			Segment;
-                        typedef typename Kernel::Plane_3			Plane;
-                        typedef internal::Planar_segment<Kernel>		Planar_segment;
-                        typedef internal::Point_set_with_planes<Kernel>		Point_set_with_planes;
-
-                        typedef CGAL::Surface_mesh<Point>			Polygon_mesh;
-			typedef typename Polygon_mesh::Face_index		Face_descriptor;
-			typedef typename Polygon_mesh::Edge_index		Edge_descriptor;
-			typedef typename Polygon_mesh::Vertex_index		Vertex_descriptor;
-
-			typedef typename Polygon_mesh::Halfedge_index	Halfedge_descriptor;
-
-		public:
-			Hypothesis();
-			~Hypothesis();
-
-			void generate(Point_set_with_planes& point_set, Polygon_mesh& candidate_faces);
-
-			/// 'Intersection' represents a set of faces intersecting at a common edge.
-			/// \note The faces are represented by their halfedges.
-			struct Intersection : public std::vector<Halfedge_descriptor> {
-				const Point* s;
-				const Point* t;
-			};
-			typedef typename std::vector<Intersection>		Adjacency;
-			/// Extracts the adjacency of the pairwise intersection.
-			/// The extracted adjacency will be used to formulate the hard constraints
-			/// in the face selection stage.
-			Adjacency extract_adjacency(const Polygon_mesh& candidate_faces);
-
-		private:
-			// Merges near co-planar segments
-			void refine_planes();
-
-			// Constructs a mesh representing the bounding box of the point set
-			void construct_bbox_mesh(Polygon_mesh& bbox_mesh);
-
-			// Construct a mesh from the segments bounded by the bounding box mesh
-			void construct_proxy_mesh(const Polygon_mesh& bbox_mesh, Polygon_mesh& candidate_faces);
-
-			// Pairwise intersection
-			void pairwise_intersection(Polygon_mesh& candidate_faces);
-
-			// Counts the number of points that are with the dist_threshold to its supporting plane
-			std::size_t number_of_points_on_plane(const Planar_segment* s, const Plane* plane, FT dist_threshold);
-
-			// Merges two planar segments;
-			void merge(Planar_segment* s1, Planar_segment* s2);
-
-			// Pre-computes all potential intersections of plane triplets
-			void compute_triplet_intersections();
-
-			// Queries the intersecting point for a plane triplet
-			const Point* query_intersection(const Plane* plane1, const Plane* plane2, const Plane* plane3);
-
-			bool halfedge_exists(Vertex_descriptor v1, Vertex_descriptor v2, const Polygon_mesh& mesh);
-
-			// Tests if 'face' insects 'plane'
-			bool do_intersect(const Polygon_mesh& mesh, Face_descriptor face, const Plane* plane);
-
-			// Cuts face using the cutting_plane and returns the new faces
-			std::vector<Face_descriptor> cut(Face_descriptor face, const Plane* cutting_plane, Polygon_mesh& mesh);
-
-			// Collects all faces in 'mesh' that intersect 'face'. Store in std::set() so easier to erase
-			std::set<Face_descriptor> collect_intersecting_faces(Face_descriptor face, const Polygon_mesh& mesh);
-
-			// Represents an intersecting point at an edge
-			struct EdgePos {
-				EdgePos(Edge_descriptor e, const Point* p) : edge(e), pos(p) {}
-				Edge_descriptor edge;
-				const Point*	pos;
-			};
-
-			// Computes the intersecting points of face and cutting_plane. The intersecting points are returned
-			// by 'existing_vts' (if the plane intersects the face at its vertices) and 'new_vts' (if the plane
-			// intersects the face at its edges).
-			void compute_intersections(const Polygon_mesh& mesh,
-				Face_descriptor face, const Plane* cutting_plane,
-				std::vector<Vertex_descriptor>& existing_vts,
-				std::vector<EdgePos>& new_vts
-			);
-
-			// This function will
-			// - split an edge denoted by 'ep'
-			// - assign the new edges the supporting faces
-			// - return the halfedge pointing to the new vertex
-			// Internally it uses Euler split_edge().
-			Halfedge_descriptor split_edge(Polygon_mesh& mesh, const EdgePos& ep, const Plane* cutting_plane);
-
-			// Clears cached intermediate results
-			void clear();
-
-		private:
-			// The input point cloud with planes
-			Point_set_with_planes * point_set_;
-
-			// The intersection of the planes can be unreliable when the planes are near parallel.
-			// Here are the tricks we use in our implementation:
-			//   - We first test if an intersection exists for every pair of planes. We then collect
-			//     plane triplets such that every pair in the plane triplet intersect. This is achieved
-			//     by testing each plane against the known intersecting pairs.
-			//	 - The 3D vertices of the final faces are obtained by computing the intersections of
-			//     the plane triplets. To cope with limited floating point precision, each vertex is
-			//     identified by the pointers of (in an increasing order) of the three planes from
-			//     which it is computed. By doing so, two vertices with almost identical positions can
-			//     be distinguished. This turned out to be quite robust in handling very close and near
-			//     parallel planes.
-
-			// The supporting planes of all planar segments and the bounding box faces
-			std::vector<const Plane*>	supporting_planes_;
-
-			// Precomputed intersecting points of all plane triplets
-			std::vector<const Point*>	intersecting_points_;
-
-			typedef typename std::unordered_map<const Plane*, const Point*>				Plane_to_point_map;
-			typedef typename std::unordered_map<const Plane*, Plane_to_point_map>		Two_planes_to_point_map;
-			typedef typename std::unordered_map<const Plane*, Two_planes_to_point_map>	Planes_to_point_map;
-			Planes_to_point_map			triplet_intersections_;
-		};
-
-
-		//////////////////////////////////////////////////////////////////////////
-
-		// implementation
-
-
-		template <typename Kernel>
-		Hypothesis<Kernel>::Hypothesis()
-		{
-		}
-
-
-		template <typename Kernel>
-		Hypothesis<Kernel>::~Hypothesis()
-		{
-			clear();
-		}
-
-
-		template <typename Kernel>
-		void Hypothesis<Kernel>::clear() {
-			for (std::size_t i = 0; i < supporting_planes_.size(); ++i)
-				delete supporting_planes_[i];
-			supporting_planes_.clear();
-
-			for (std::size_t i = 0; i < intersecting_points_.size(); ++i)
-				delete intersecting_points_[i];
-			intersecting_points_.clear();
-
-			triplet_intersections_.clear();
-		}
-
-
-		template <typename Kernel>
-		void Hypothesis<Kernel>::generate(Point_set_with_planes& point_set, Polygon_mesh& candidate_faces) {
-			point_set_ = &point_set;
-
-			refine_planes();
-
-			Polygon_mesh bbox_mesh;
-			construct_bbox_mesh(bbox_mesh);
-
-			construct_proxy_mesh(bbox_mesh, candidate_faces);
-
-			pairwise_intersection(candidate_faces);
-		}
-
-
-		/// \cond SKIP_IN_MANUAL
-
-		template <typename Planar_segment>
-		class SegmentSizeIncreasing
-		{
-		public:
-			SegmentSizeIncreasing() {}
-			bool operator()(const Planar_segment* s0, const Planar_segment* s1) const {
-				return s0->size() < s1->size();
-			}
-		};
-
-		template <typename Planar_segment>
-		class SegmentSizeDecreasing
-		{
-		public:
-			SegmentSizeDecreasing() {}
-			bool operator()(const Planar_segment* s0, const Planar_segment* s1) const {
-				return s0->size() > s1->size();
-			}
-		};
-
-		template <typename FT, typename Vector>
-		void normalize(Vector& v) {
-			FT s = std::sqrt(v.squared_length());
-			if (s > 1e-30)
-				s = FT(1) / s;
-			v *= s;
-		}
-
-		template <typename BBox>
-		typename BBox::FT bbox_radius(const BBox& box) {
-			typedef typename BBox::FT FT;
-			FT dx = box.xmax() - box.xmin();
-			FT dy = box.ymax() - box.ymin();
-			FT dz = box.zmax() - box.zmin();
-			return FT(0.5) * std::sqrt(dx * dx + dy * dy + dz * dz);
-		}
-
-		// Computes the intersection of a plane triplet
-		// Returns true if the intersection exists (p returns the point)
-		template <typename Plane, typename Point>
-		bool intersect_plane_triplet(const Plane* plane1, const Plane* plane2, const Plane* plane3, Point& p) {
-			if (plane1 == plane2 || plane1 == plane3 || plane2 == plane3)
-				return false;
-
-			CGAL::Object obj = CGAL::intersection(*plane1, *plane2, *plane3);
-
-			// pt is the intersection point of the 3 planes
-			if (const Point* pt = CGAL::object_cast<Point>(&obj)) {
-				p = *pt;
-				return true;
-			}
-			else {
-				// If reached here, the reason might be:
-				//   (1) two or more are parallel;
-				//   (2) they intersect at the same line
-				// We can simply ignore these cases
-				return false;
-			}
-		}
-
-
-		template <typename VT>
-		void sort_increasing(VT& v1, VT& v2, VT& v3) {
-			VT vmin = 0;
-			if (v1 < v2 && v1 < v3)
-				vmin = v1;
-			else if (v2 < v1 && v2 < v3)
-				vmin = v2;
-			else
-				vmin = v3;
-
-			VT vmid = 0;
-			if ((v1 > v2 && v1 < v3) || (v1 < v2 && v1 > v3))
-				vmid = v1;
-			else if ((v2 > v1 && v2 < v3) || (v2 < v1 && v2 > v3))
-				vmid = v2;
-			else
-				vmid = v3;
-
-			VT vmax = 0;
-			if (v1 > v2 && v1 > v3)
-				vmax = v1;
-			else if (v2 > v1 && v2 > v3)
-				vmax = v2;
-			else
-				vmax = v3;
-
-			v1 = vmin;
-			v2 = vmid;
-			v3 = vmax;
-		}
-		/// \endcond
-
-
-		template <typename Kernel>
-		std::size_t Hypothesis<Kernel>::number_of_points_on_plane(const Planar_segment* s, const Plane* plane, FT dist_threshold) {
-			CGAL_assertion(const_cast<Planar_segment*>(s)->point_set() == point_set_);
-
-			std::size_t count = 0;
-			const typename Point_set_with_planes::Point_map& points = point_set_->point_map();
-			for (std::size_t i = 0; i < s->size(); ++i) {
-				std::size_t idx = s->at(i);
-				const Point& p = points[idx];
-
-				FT sdist = CGAL::squared_distance(*plane, p);
-				FT dist = std::sqrt(sdist);
-				if (dist < dist_threshold)
-					++count;
-			}
-			return count;
-		}
-
-		template <typename Kernel>
-		void Hypothesis<Kernel>::merge(Planar_segment* s1, Planar_segment* s2) {
-			CGAL_assertion(const_cast<Planar_segment*>(s1)->point_set() == point_set_);
-			CGAL_assertion(const_cast<Planar_segment*>(s2)->point_set() == point_set_);
-			std::vector< Planar_segment* >& segments = point_set_->planar_segments();
-
-			std::vector<std::size_t> points_indices;
-			points_indices.insert(points_indices.end(), s1->begin(), s1->end());
-			points_indices.insert(points_indices.end(), s2->begin(), s2->end());
-
-			Planar_segment* s = new Planar_segment(point_set_);
-			s->insert(s->end(), points_indices.begin(), points_indices.end());
-			s->fit_supporting_plane();
-			segments.push_back(s);
-
-			typename std::vector< Planar_segment* >::iterator pos = std::find(segments.begin(), segments.end(), s1);
-			if (pos != segments.end()) {
-				Planar_segment* tmp = *pos;
-				const Plane* plane = tmp->supporting_plane();
-				segments.erase(pos);
-				delete tmp;
-				delete plane;
-			}
-			else
-				std::cerr << "Fatal error: should not reach here" << std::endl;
-
-			pos = std::find(segments.begin(), segments.end(), s2);
-			if (pos != segments.end()) {
-				Planar_segment* tmp = *pos;
-				const Plane* plane = tmp->supporting_plane();
-				segments.erase(pos);
-				delete tmp;
-				delete plane;
-			}
-			else
-				std::cerr << "Fatal error: should not reach here" << std::endl;
-		}
-
-		template <typename Kernel>
-		void Hypothesis<Kernel>::refine_planes() {
-			std::vector< Planar_segment* >& segments = point_set_->planar_segments();
-			const typename Point_set_with_planes::Point_map& points = point_set_->point_map();
-
-			FT avg_max_dist = 0;
-			for (std::size_t i = 0; i < segments.size(); ++i) {
-				Planar_segment* s = segments[i];
-				const Plane* plane = s->fit_supporting_plane(); // user may provide invalid plane fitting (we always fit)
-
-				FT max_dist = -std::numeric_limits<FT>::max();
-				for (std::size_t j = 0; j < s->size(); ++j) {
-					std::size_t idx = s->at(j);
-					const Point& p = points[idx];
-					FT sdist = CGAL::squared_distance(*plane, p);
-					max_dist = std::max(max_dist, std::sqrt(sdist));
-				}
-
-				avg_max_dist += max_dist;
-			}
-			avg_max_dist /= segments.size();
-			avg_max_dist /= FT(2.0);
-
-			FT theta = static_cast<FT>(CGAL_PI * 10.0 / FT(180.0));	// in radian
-			bool merged = false;
-			do {
-				merged = false;
-				// Segments with less points have less confidences and thus should be merged first.
-				// So we sort the segments according to their sizes.
-				std::sort(segments.begin(), segments.end(), internal::SegmentSizeIncreasing<Planar_segment>());
-
-				for (std::size_t i = 0; i < segments.size(); ++i) {
-					Planar_segment* s1 = segments[i];
-					const Plane* plane1 = s1->supporting_plane();
-					Vector n1 = plane1->orthogonal_vector();
-					internal::normalize<FT, Vector>(n1);
-
-					FT num_threshold = s1->size() / FT(5.0);
-					for (std::size_t j = i + 1; j < segments.size(); ++j) {
-						Planar_segment* s2 = segments[j];
-						const Plane* plane2 = s2->supporting_plane();
-						Vector n2 = plane2->orthogonal_vector();
-						internal::normalize<FT, Vector>(n2);
-
-						if (std::abs(n1 * n2) > std::cos(theta)) {
-							std::size_t set1on2 = number_of_points_on_plane(s1, plane2, avg_max_dist);
-							std::size_t set2on1 = number_of_points_on_plane(s2, plane1, avg_max_dist);
-							if (set1on2 > num_threshold || set2on1 > num_threshold) {
-								merge(s1, s2);
-								merged = true;
-								break;
-							}
-						}
-					}
-					if (merged)
-						break;
-				}
-			} while (merged);
-
-			std::sort(segments.begin(), segments.end(), internal::SegmentSizeDecreasing<Planar_segment>());
-
-			// Stores all the supporting planes
-			for (std::size_t i = 0; i < segments.size(); ++i) {
-				Planar_segment* s = segments[i];
-				const Plane* plane = s->supporting_plane();
-				supporting_planes_.push_back(plane);
-			}
-		}
-
-
-		template <typename Kernel>
-		void Hypothesis<Kernel>::construct_bbox_mesh(Polygon_mesh& mesh) {
-			const typename Point_set_with_planes::Point_map& points = point_set_->point_map();
-
-			typedef typename Kernel::Iso_cuboid_3 BBox;
-			const BBox& box = CGAL::bounding_box(points.begin(), points.end());
-
-			FT dx = box.xmax() - box.xmin();
-			FT dy = box.ymax() - box.ymin();
-			FT dz = box.zmax() - box.zmin();
-			FT radius = FT(0.5) * std::sqrt(dx * dx + dy * dy + dz * dz);
-			FT offset = radius * FT(0.05);
-
-			// make the box larger to ensure all points are enclosed.
-			FT xmin = box.xmin() - offset, xmax = box.xmax() + offset;
-			FT ymin = box.ymin() - offset, ymax = box.ymax() + offset;
-			FT zmin = box.zmin() - offset, zmax = box.zmax() + offset;
-
-			mesh.clear();
-
-			Vertex_descriptor v0 = mesh.add_vertex(Point(xmin, ymin, zmin));  // 0
-			Vertex_descriptor v1 = mesh.add_vertex(Point(xmax, ymin, zmin));  // 1
-			Vertex_descriptor v2 = mesh.add_vertex(Point(xmax, ymin, zmax));  // 2
-			Vertex_descriptor v3 = mesh.add_vertex(Point(xmin, ymin, zmax));  // 3
-			Vertex_descriptor v4 = mesh.add_vertex(Point(xmax, ymax, zmax));  // 4
-			Vertex_descriptor v5 = mesh.add_vertex(Point(xmax, ymax, zmin));  // 5
-			Vertex_descriptor v6 = mesh.add_vertex(Point(xmin, ymax, zmin));  // 6
-			Vertex_descriptor v7 = mesh.add_vertex(Point(xmin, ymax, zmax));  // 7
-
-			mesh.add_face(v0, v1, v2, v3);
-			mesh.add_face(v1, v5, v4, v2);
-			mesh.add_face(v1, v0, v6, v5);
-			mesh.add_face(v4, v5, v6, v7);
-			mesh.add_face(v0, v3, v7, v6);
-			mesh.add_face(v2, v4, v7, v3);
-
-			// The supporting plane of each face
-			typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes =
-				mesh.template add_property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
-
-			// The supporting planes of each edge
-			typename Polygon_mesh::template Property_map<Edge_descriptor, std::set<const Plane*> > edge_supporting_planes
-				= mesh.template add_property_map<Edge_descriptor, std::set<const Plane*> >("e:supp_plane").first;
-
-			// The supporting planes of each vertex
-			typename Polygon_mesh::template Property_map<Vertex_descriptor, std::set<const Plane*> > vertex_supporting_planes
-				= mesh.template add_property_map<Vertex_descriptor, std::set<const Plane*> >("v:supp_plane").first;
+                /**
+                *         Generates candidate faces by pairwise intersecting of the supporting planes of
+                *   the planar segments.
+                */
+
+                template <typename Kernel>
+                class Hypothesis
+                {
+                private:
+                        typedef typename Kernel::FT                                FT;
+                        typedef typename Kernel::Point_3                        Point;
+                        typedef typename Kernel::Point_2                        Point2;
+                        typedef typename Kernel::Vector_3                        Vector;
+                        typedef typename Kernel::Line_3                                Line;
+                        typedef typename Kernel::Segment_3                        Segment;
+                        typedef typename Kernel::Plane_3                        Plane;
+                        typedef internal::Planar_segment<Kernel>                Planar_segment;
+                        typedef internal::Point_set_with_planes<Kernel>                Point_set_with_planes;
+
+                        typedef CGAL::Surface_mesh<Point>                        Polygon_mesh;
+                        typedef typename Polygon_mesh::Face_index                Face_descriptor;
+                        typedef typename Polygon_mesh::Edge_index                Edge_descriptor;
+                        typedef typename Polygon_mesh::Vertex_index                Vertex_descriptor;
+
+                        typedef typename Polygon_mesh::Halfedge_index        Halfedge_descriptor;
+
+                public:
+                        Hypothesis();
+                        ~Hypothesis();
+
+                        void generate(Point_set_with_planes& point_set, Polygon_mesh& candidate_faces);
+
+                        /// 'Intersection' represents a set of faces intersecting at a common edge.
+                        /// \note The faces are represented by their halfedges.
+                        struct Intersection : public std::vector<Halfedge_descriptor> {
+                                const Point* s;
+                                const Point* t;
+                        };
+                        typedef typename std::vector<Intersection>                Adjacency;
+                        /// Extracts the adjacency of the pairwise intersection.
+                        /// The extracted adjacency will be used to formulate the hard constraints
+                        /// in the face selection stage.
+                        Adjacency extract_adjacency(const Polygon_mesh& candidate_faces);
+
+                private:
+                        // Merges near co-planar segments
+                        void refine_planes();
+
+                        // Constructs a mesh representing the bounding box of the point set
+                        void construct_bbox_mesh(Polygon_mesh& bbox_mesh);
+
+                        // Construct a mesh from the segments bounded by the bounding box mesh
+                        void construct_proxy_mesh(const Polygon_mesh& bbox_mesh, Polygon_mesh& candidate_faces);
+
+                        // Pairwise intersection
+                        void pairwise_intersection(Polygon_mesh& candidate_faces);
+
+                        // Counts the number of points that are with the dist_threshold to its supporting plane
+                        std::size_t number_of_points_on_plane(const Planar_segment* s, const Plane* plane, FT dist_threshold);
+
+                        // Merges two planar segments;
+                        void merge(Planar_segment* s1, Planar_segment* s2);
+
+                        // Pre-computes all potential intersections of plane triplets
+                        void compute_triplet_intersections();
+
+                        // Queries the intersecting point for a plane triplet
+                        const Point* query_intersection(const Plane* plane1, const Plane* plane2, const Plane* plane3);
+
+                        bool halfedge_exists(Vertex_descriptor v1, Vertex_descriptor v2, const Polygon_mesh& mesh);
+
+                        // Tests if 'face' insects 'plane'
+                        bool do_intersect(const Polygon_mesh& mesh, Face_descriptor face, const Plane* plane);
+
+                        // Cuts face using the cutting_plane and returns the new faces
+                        std::vector<Face_descriptor> cut(Face_descriptor face, const Plane* cutting_plane, Polygon_mesh& mesh);
+
+                        // Collects all faces in 'mesh' that intersect 'face'. Store in std::set() so easier to erase
+                        std::set<Face_descriptor> collect_intersecting_faces(Face_descriptor face, const Polygon_mesh& mesh);
+
+                        // Represents an intersecting point at an edge
+                        struct EdgePos {
+                                EdgePos(Edge_descriptor e, const Point* p) : edge(e), pos(p) {}
+                                Edge_descriptor edge;
+                                const Point*        pos;
+                        };
+
+                        // Computes the intersecting points of face and cutting_plane. The intersecting points are returned
+                        // by 'existing_vts' (if the plane intersects the face at its vertices) and 'new_vts' (if the plane
+                        // intersects the face at its edges).
+                        void compute_intersections(const Polygon_mesh& mesh,
+                                Face_descriptor face, const Plane* cutting_plane,
+                                std::vector<Vertex_descriptor>& existing_vts,
+                                std::vector<EdgePos>& new_vts
+                        );
+
+                        // This function will
+                        // - split an edge denoted by 'ep'
+                        // - assign the new edges the supporting faces
+                        // - return the halfedge pointing to the new vertex
+                        // Internally it uses Euler split_edge().
+                        Halfedge_descriptor split_edge(Polygon_mesh& mesh, const EdgePos& ep, const Plane* cutting_plane);
+
+                        // Clears cached intermediate results
+                        void clear();
+
+                private:
+                        // The input point cloud with planes
+                        Point_set_with_planes * point_set_;
+
+                        // The intersection of the planes can be unreliable when the planes are near parallel.
+                        // Here are the tricks we use in our implementation:
+                        //   - We first test if an intersection exists for every pair of planes. We then collect
+                        //     plane triplets such that every pair in the plane triplet intersect. This is achieved
+                        //     by testing each plane against the known intersecting pairs.
+                        //         - The 3D vertices of the final faces are obtained by computing the intersections of
+                        //     the plane triplets. To cope with limited floating point precision, each vertex is
+                        //     identified by the pointers of (in an increasing order) of the three planes from
+                        //     which it is computed. By doing so, two vertices with almost identical positions can
+                        //     be distinguished. This turned out to be quite robust in handling very close and near
+                        //     parallel planes.
+
+                        // The supporting planes of all planar segments and the bounding box faces
+                        std::vector<const Plane*>        supporting_planes_;
+
+                        // Precomputed intersecting points of all plane triplets
+                        std::vector<const Point*>        intersecting_points_;
+
+                        typedef typename std::unordered_map<const Plane*, const Point*>                                Plane_to_point_map;
+                        typedef typename std::unordered_map<const Plane*, Plane_to_point_map>                Two_planes_to_point_map;
+                        typedef typename std::unordered_map<const Plane*, Two_planes_to_point_map>        Planes_to_point_map;
+                        Planes_to_point_map                        triplet_intersections_;
+                };
+
+
+                //////////////////////////////////////////////////////////////////////////
+
+                // implementation
+
+
+                template <typename Kernel>
+                Hypothesis<Kernel>::Hypothesis()
+                {
+                }
+
+
+                template <typename Kernel>
+                Hypothesis<Kernel>::~Hypothesis()
+                {
+                        clear();
+                }
+
+
+                template <typename Kernel>
+                void Hypothesis<Kernel>::clear() {
+                        for (std::size_t i = 0; i < supporting_planes_.size(); ++i)
+                                delete supporting_planes_[i];
+                        supporting_planes_.clear();
+
+                        for (std::size_t i = 0; i < intersecting_points_.size(); ++i)
+                                delete intersecting_points_[i];
+                        intersecting_points_.clear();
+
+                        triplet_intersections_.clear();
+                }
+
+
+                template <typename Kernel>
+                void Hypothesis<Kernel>::generate(Point_set_with_planes& point_set, Polygon_mesh& candidate_faces) {
+                        point_set_ = &point_set;
+
+                        refine_planes();
+
+                        Polygon_mesh bbox_mesh;
+                        construct_bbox_mesh(bbox_mesh);
+
+                        construct_proxy_mesh(bbox_mesh, candidate_faces);
+
+                        pairwise_intersection(candidate_faces);
+                }
+
+
+                /// \cond SKIP_IN_MANUAL
+
+                template <typename Planar_segment>
+                class SegmentSizeIncreasing
+                {
+                public:
+                        SegmentSizeIncreasing() {}
+                        bool operator()(const Planar_segment* s0, const Planar_segment* s1) const {
+                                return s0->size() < s1->size();
+                        }
+                };
+
+                template <typename Planar_segment>
+                class SegmentSizeDecreasing
+                {
+                public:
+                        SegmentSizeDecreasing() {}
+                        bool operator()(const Planar_segment* s0, const Planar_segment* s1) const {
+                                return s0->size() > s1->size();
+                        }
+                };
+
+                template <typename FT, typename Vector>
+                void normalize(Vector& v) {
+                        FT s = std::sqrt(v.squared_length());
+                        if (s > 1e-30)
+                                s = FT(1) / s;
+                        v *= s;
+                }
+
+                template <typename BBox>
+                typename BBox::FT bbox_radius(const BBox& box) {
+                        typedef typename BBox::FT FT;
+                        FT dx = box.xmax() - box.xmin();
+                        FT dy = box.ymax() - box.ymin();
+                        FT dz = box.zmax() - box.zmin();
+                        return FT(0.5) * std::sqrt(dx * dx + dy * dy + dz * dz);
+                }
+
+                // Computes the intersection of a plane triplet
+                // Returns true if the intersection exists (p returns the point)
+                template <typename Plane, typename Point>
+                bool intersect_plane_triplet(const Plane* plane1, const Plane* plane2, const Plane* plane3, Point& p) {
+                        if (plane1 == plane2 || plane1 == plane3 || plane2 == plane3)
+                                return false;
+
+                        CGAL::Object obj = CGAL::intersection(*plane1, *plane2, *plane3);
+
+                        // pt is the intersection point of the 3 planes
+                        if (const Point* pt = CGAL::object_cast<Point>(&obj)) {
+                                p = *pt;
+                                return true;
+                        }
+                        else {
+                                // If reached here, the reason might be:
+                                //   (1) two or more are parallel;
+                                //   (2) they intersect at the same line
+                                // We can simply ignore these cases
+                                return false;
+                        }
+                }
+
+
+                template <typename VT>
+                void sort_increasing(VT& v1, VT& v2, VT& v3) {
+                        VT vmin = 0;
+                        if (v1 < v2 && v1 < v3)
+                                vmin = v1;
+                        else if (v2 < v1 && v2 < v3)
+                                vmin = v2;
+                        else
+                                vmin = v3;
+
+                        VT vmid = 0;
+                        if ((v1 > v2 && v1 < v3) || (v1 < v2 && v1 > v3))
+                                vmid = v1;
+                        else if ((v2 > v1 && v2 < v3) || (v2 < v1 && v2 > v3))
+                                vmid = v2;
+                        else
+                                vmid = v3;
+
+                        VT vmax = 0;
+                        if (v1 > v2 && v1 > v3)
+                                vmax = v1;
+                        else if (v2 > v1 && v2 > v3)
+                                vmax = v2;
+                        else
+                                vmax = v3;
+
+                        v1 = vmin;
+                        v2 = vmid;
+                        v3 = vmax;
+                }
+                /// \endcond
+
+
+                template <typename Kernel>
+                std::size_t Hypothesis<Kernel>::number_of_points_on_plane(const Planar_segment* s, const Plane* plane, FT dist_threshold) {
+                        CGAL_assertion(const_cast<Planar_segment*>(s)->point_set() == point_set_);
+
+                        std::size_t count = 0;
+                        const typename Point_set_with_planes::Point_map& points = point_set_->point_map();
+                        for (std::size_t i = 0; i < s->size(); ++i) {
+                                std::size_t idx = s->at(i);
+                                const Point& p = points[idx];
+
+                                FT sdist = CGAL::squared_distance(*plane, p);
+                                FT dist = std::sqrt(sdist);
+                                if (dist < dist_threshold)
+                                        ++count;
+                        }
+                        return count;
+                }
+
+                template <typename Kernel>
+                void Hypothesis<Kernel>::merge(Planar_segment* s1, Planar_segment* s2) {
+                        CGAL_assertion(const_cast<Planar_segment*>(s1)->point_set() == point_set_);
+                        CGAL_assertion(const_cast<Planar_segment*>(s2)->point_set() == point_set_);
+                        std::vector< Planar_segment* >& segments = point_set_->planar_segments();
+
+                        std::vector<std::size_t> points_indices;
+                        points_indices.insert(points_indices.end(), s1->begin(), s1->end());
+                        points_indices.insert(points_indices.end(), s2->begin(), s2->end());
+
+                        Planar_segment* s = new Planar_segment(point_set_);
+                        s->insert(s->end(), points_indices.begin(), points_indices.end());
+                        s->fit_supporting_plane();
+                        segments.push_back(s);
+
+                        typename std::vector< Planar_segment* >::iterator pos = std::find(segments.begin(), segments.end(), s1);
+                        if (pos != segments.end()) {
+                                Planar_segment* tmp = *pos;
+                                const Plane* plane = tmp->supporting_plane();
+                                segments.erase(pos);
+                                delete tmp;
+                                delete plane;
+                        }
+                        else
+                                std::cerr << "Fatal error: should not reach here" << std::endl;
+
+                        pos = std::find(segments.begin(), segments.end(), s2);
+                        if (pos != segments.end()) {
+                                Planar_segment* tmp = *pos;
+                                const Plane* plane = tmp->supporting_plane();
+                                segments.erase(pos);
+                                delete tmp;
+                                delete plane;
+                        }
+                        else
+                                std::cerr << "Fatal error: should not reach here" << std::endl;
+                }
+
+                template <typename Kernel>
+                void Hypothesis<Kernel>::refine_planes() {
+                        std::vector< Planar_segment* >& segments = point_set_->planar_segments();
+                        const typename Point_set_with_planes::Point_map& points = point_set_->point_map();
+
+                        FT avg_max_dist = 0;
+                        for (std::size_t i = 0; i < segments.size(); ++i) {
+                                Planar_segment* s = segments[i];
+                                const Plane* plane = s->fit_supporting_plane(); // user may provide invalid plane fitting (we always fit)
+
+                                FT max_dist = -(std::numeric_limits<FT>::max)();
+                                for (std::size_t j = 0; j < s->size(); ++j) {
+                                        std::size_t idx = s->at(j);
+                                        const Point& p = points[idx];
+                                        FT sdist = CGAL::squared_distance(*plane, p);
+                                        max_dist = (std::max)(max_dist, std::sqrt(sdist));
+                                }
+
+                                avg_max_dist += max_dist;
+                        }
+                        avg_max_dist /= segments.size();
+                        avg_max_dist /= FT(2.0);
+
+                        FT theta = static_cast<FT>(CGAL_PI * 10.0 / FT(180.0));        // in radian
+                        bool merged = false;
+                        do {
+                                merged = false;
+                                // Segments with less points have less confidences and thus should be merged first.
+                                // So we sort the segments according to their sizes.
+                                std::sort(segments.begin(), segments.end(), internal::SegmentSizeIncreasing<Planar_segment>());
+
+                                for (std::size_t i = 0; i < segments.size(); ++i) {
+                                        Planar_segment* s1 = segments[i];
+                                        const Plane* plane1 = s1->supporting_plane();
+                                        Vector n1 = plane1->orthogonal_vector();
+                                        internal::normalize<FT, Vector>(n1);
+
+                                        FT num_threshold = s1->size() / FT(5.0);
+                                        for (std::size_t j = i + 1; j < segments.size(); ++j) {
+                                                Planar_segment* s2 = segments[j];
+                                                const Plane* plane2 = s2->supporting_plane();
+                                                Vector n2 = plane2->orthogonal_vector();
+                                                internal::normalize<FT, Vector>(n2);
+
+                                                if (std::abs(n1 * n2) > std::cos(theta)) {
+                                                        std::size_t set1on2 = number_of_points_on_plane(s1, plane2, avg_max_dist);
+                                                        std::size_t set2on1 = number_of_points_on_plane(s2, plane1, avg_max_dist);
+                                                        if (set1on2 > num_threshold || set2on1 > num_threshold) {
+                                                                merge(s1, s2);
+                                                                merged = true;
+                                                                break;
+                                                        }
+                                                }
+                                        }
+                                        if (merged)
+                                                break;
+                                }
+                        } while (merged);
+
+                        std::sort(segments.begin(), segments.end(), internal::SegmentSizeDecreasing<Planar_segment>());
+
+                        // Stores all the supporting planes
+                        for (std::size_t i = 0; i < segments.size(); ++i) {
+                                Planar_segment* s = segments[i];
+                                const Plane* plane = s->supporting_plane();
+                                supporting_planes_.push_back(plane);
+                        }
+                }
+
+
+                template <typename Kernel>
+                void Hypothesis<Kernel>::construct_bbox_mesh(Polygon_mesh& mesh) {
+                        const typename Point_set_with_planes::Point_map& points = point_set_->point_map();
+
+                        typedef typename Kernel::Iso_cuboid_3 BBox;
+                        const BBox& box = CGAL::bounding_box(points.begin(), points.end());
+
+                        FT dx = box.xmax() - box.xmin();
+                        FT dy = box.ymax() - box.ymin();
+                        FT dz = box.zmax() - box.zmin();
+                        FT radius = FT(0.5) * std::sqrt(dx * dx + dy * dy + dz * dz);
+                        FT offset = radius * FT(0.05);
+
+                        // make the box larger to ensure all points are enclosed.
+                        FT xmin = box.xmin() - offset, xmax = box.xmax() + offset;
+                        FT ymin = box.ymin() - offset, ymax = box.ymax() + offset;
+                        FT zmin = box.zmin() - offset, zmax = box.zmax() + offset;
+
+                        mesh.clear();
+
+                        Vertex_descriptor v0 = mesh.add_vertex(Point(xmin, ymin, zmin));  // 0
+                        Vertex_descriptor v1 = mesh.add_vertex(Point(xmax, ymin, zmin));  // 1
+                        Vertex_descriptor v2 = mesh.add_vertex(Point(xmax, ymin, zmax));  // 2
+                        Vertex_descriptor v3 = mesh.add_vertex(Point(xmin, ymin, zmax));  // 3
+                        Vertex_descriptor v4 = mesh.add_vertex(Point(xmax, ymax, zmax));  // 4
+                        Vertex_descriptor v5 = mesh.add_vertex(Point(xmax, ymax, zmin));  // 5
+                        Vertex_descriptor v6 = mesh.add_vertex(Point(xmin, ymax, zmin));  // 6
+                        Vertex_descriptor v7 = mesh.add_vertex(Point(xmin, ymax, zmax));  // 7
+
+                        mesh.add_face(v0, v1, v2, v3);
+                        mesh.add_face(v1, v5, v4, v2);
+                        mesh.add_face(v1, v0, v6, v5);
+                        mesh.add_face(v4, v5, v6, v7);
+                        mesh.add_face(v0, v3, v7, v6);
+                        mesh.add_face(v2, v4, v7, v3);
+
+                        // The supporting plane of each face
+                        typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes =
+                                mesh.template add_property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
+
+                        // The supporting planes of each edge
+                        typename Polygon_mesh::template Property_map<Edge_descriptor, std::set<const Plane*> > edge_supporting_planes
+                                = mesh.template add_property_map<Edge_descriptor, std::set<const Plane*> >("e:supp_plane").first;
+
+                        // The supporting planes of each vertex
+                        typename Polygon_mesh::template Property_map<Vertex_descriptor, std::set<const Plane*> > vertex_supporting_planes
+                                = mesh.template add_property_map<Vertex_descriptor, std::set<const Plane*> >("v:supp_plane").first;
 
-			// Assigns the original plane for each face
-			const typename  Polygon_mesh::template Property_map<Vertex_descriptor, Point>& coords = mesh.points();
+                        // Assigns the original plane for each face
+                        const typename  Polygon_mesh::template Property_map<Vertex_descriptor, Point>& coords = mesh.points();
                         for(auto fd : mesh.faces()) {
-				Halfedge_descriptor h = mesh.halfedge(fd);
-				Vertex_descriptor va = mesh.target(h);	const Point& pa = coords[va]; h = mesh.next(h);
-				Vertex_descriptor vb = mesh.target(h);	const Point& pb = coords[vb]; h = mesh.next(h);
-				Vertex_descriptor vc = mesh.target(h);	const Point& pc = coords[vc];
-				const Plane* plane = new Plane(pa, pb, pc);
-				supporting_planes_.push_back(plane);
-				face_supporting_planes[fd] = plane;
-			}
+                                Halfedge_descriptor h = mesh.halfedge(fd);
+                                Vertex_descriptor va = mesh.target(h);        const Point& pa = coords[va]; h = mesh.next(h);
+                                Vertex_descriptor vb = mesh.target(h);        const Point& pb = coords[vb]; h = mesh.next(h);
+                                Vertex_descriptor vc = mesh.target(h);        const Point& pc = coords[vc];
+                                const Plane* plane = new Plane(pa, pb, pc);
+                                supporting_planes_.push_back(plane);
+                                face_supporting_planes[fd] = plane;
+                        }
 
-			// Assigns the original planes for each edge
+                        // Assigns the original planes for each edge
                         for( auto ed : mesh.edges()) {
-				Halfedge_descriptor h1 = mesh.halfedge(ed);
-				Halfedge_descriptor h2 = mesh.opposite(h1);
+                                Halfedge_descriptor h1 = mesh.halfedge(ed);
+                                Halfedge_descriptor h2 = mesh.opposite(h1);
 
-				Face_descriptor f1 = mesh.face(h1);
-				Face_descriptor f2 = mesh.face(h2);
-				CGAL_assertion(f1 != Polygon_mesh::null_face()); // the bbox mesh is closed
-				CGAL_assertion(f2 != Polygon_mesh::null_face()); // the bbox mesh is closed
-
-				const Plane* plane1 = face_supporting_planes[f1];
-				const Plane* plane2 = face_supporting_planes[f2];
-				CGAL_assertion(plane1 && plane2 && plane1 != plane2);
-
-				edge_supporting_planes[ed].insert(plane1);
-				edge_supporting_planes[ed].insert(plane2);
-				CGAL_assertion(edge_supporting_planes[ed].size() == 2);
-			}
+                                Face_descriptor f1 = mesh.face(h1);
+                                Face_descriptor f2 = mesh.face(h2);
+                                CGAL_assertion(f1 != Polygon_mesh::null_face()); // the bbox mesh is closed
+                                CGAL_assertion(f2 != Polygon_mesh::null_face()); // the bbox mesh is closed
+
+                                const Plane* plane1 = face_supporting_planes[f1];
+                                const Plane* plane2 = face_supporting_planes[f2];
+                                CGAL_assertion(plane1 && plane2 && plane1 != plane2);
+
+                                edge_supporting_planes[ed].insert(plane1);
+                                edge_supporting_planes[ed].insert(plane2);
+                                CGAL_assertion(edge_supporting_planes[ed].size() == 2);
+                        }
 
-			// Assigns the original planes for each vertex
+                        // Assigns the original planes for each vertex
                         for(auto vd : mesh.vertices()) {
-				CGAL_assertion(vertex_supporting_planes[vd].size() == 0);
-				CGAL::Halfedge_around_target_circulator<Polygon_mesh> hbegin(vd, mesh), done(hbegin);
-				do {
-					Halfedge_descriptor h = *hbegin;
-					Face_descriptor f = mesh.face(h);
-					const Plane* plane = face_supporting_planes[f];
-					vertex_supporting_planes[vd].insert(plane);
-					++hbegin;
-				} while (hbegin != done);
-				CGAL_assertion(vertex_supporting_planes[vd].size() == 3);
-			}
-
-			std::sort(supporting_planes_.begin(), supporting_planes_.end());
-
-			CGAL_assertion(mesh.is_valid());
-		}
-
-
-		template <typename Kernel>
-		void Hypothesis<Kernel>::construct_proxy_mesh(const Polygon_mesh& bbox_mesh, Polygon_mesh& candidate_faces) {
-
-			// Properties of the bbox_mesh
-
-			typename Polygon_mesh::template Property_map<Edge_descriptor, std::set<const Plane*> > bbox_edge_supporting_planes
-				= bbox_mesh.template property_map<Edge_descriptor, std::set<const Plane*> >("e:supp_plane").first;
-			typename Polygon_mesh::template Property_map<Vertex_descriptor, std::set<const Plane*> > bbox_vertex_supporting_planes
-				= bbox_mesh.template property_map<Vertex_descriptor, std::set<const Plane*> >("v:supp_plane").first;
-
-			// The properties of the proxy mesh
-			candidate_faces.clear();
-
-			// The supporting plane of each face
-			typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes
-				= candidate_faces.template add_property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
-
-			// The supporting planar segment of each face
-			typename Polygon_mesh::template Property_map<Face_descriptor, Planar_segment*> face_supporting_segments
-				= candidate_faces.template add_property_map<Face_descriptor, Planar_segment*>("f:supp_segment").first;
-
-			// The supporting planes of each edge
-			typename Polygon_mesh::template Property_map<Edge_descriptor, std::set<const Plane*> > edge_supporting_planes
-				= candidate_faces.template add_property_map<Edge_descriptor, std::set<const Plane*> >("e:supp_plane").first;
-
-			// The supporting planes of each vertex
-			typename Polygon_mesh::template Property_map<Vertex_descriptor, std::set<const Plane*> > vertex_supporting_planes
-				= candidate_faces.template add_property_map<Vertex_descriptor, std::set<const Plane*> >("v:supp_plane").first;
-
-			const std::vector<Planar_segment*>& segments = point_set_->planar_segments();
-			const typename Polygon_mesh::template Property_map<Vertex_descriptor, Point>& coords = bbox_mesh.points();
-
-			for (std::size_t i = 0; i < segments.size(); ++i) {
-				Planar_segment* g = segments[i];
-				const Plane* cutting_plane = g->supporting_plane();
+                                CGAL_assertion(vertex_supporting_planes[vd].size() == 0);
+                                CGAL::Halfedge_around_target_circulator<Polygon_mesh> hbegin(vd, mesh), done(hbegin);
+                                do {
+                                        Halfedge_descriptor h = *hbegin;
+                                        Face_descriptor f = mesh.face(h);
+                                        const Plane* plane = face_supporting_planes[f];
+                                        vertex_supporting_planes[vd].insert(plane);
+                                        ++hbegin;
+                                } while (hbegin != done);
+                                CGAL_assertion(vertex_supporting_planes[vd].size() == 3);
+                        }
+
+                        std::sort(supporting_planes_.begin(), supporting_planes_.end());
+
+                        CGAL_assertion(mesh.is_valid());
+                }
+
+
+                template <typename Kernel>
+                void Hypothesis<Kernel>::construct_proxy_mesh(const Polygon_mesh& bbox_mesh, Polygon_mesh& candidate_faces) {
+
+                        // Properties of the bbox_mesh
+
+                        typename Polygon_mesh::template Property_map<Edge_descriptor, std::set<const Plane*> > bbox_edge_supporting_planes
+                                = bbox_mesh.template property_map<Edge_descriptor, std::set<const Plane*> >("e:supp_plane").first;
+                        typename Polygon_mesh::template Property_map<Vertex_descriptor, std::set<const Plane*> > bbox_vertex_supporting_planes
+                                = bbox_mesh.template property_map<Vertex_descriptor, std::set<const Plane*> >("v:supp_plane").first;
+
+                        // The properties of the proxy mesh
+                        candidate_faces.clear();
+
+                        // The supporting plane of each face
+                        typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes
+                                = candidate_faces.template add_property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
+
+                        // The supporting planar segment of each face
+                        typename Polygon_mesh::template Property_map<Face_descriptor, Planar_segment*> face_supporting_segments
+                                = candidate_faces.template add_property_map<Face_descriptor, Planar_segment*>("f:supp_segment").first;
+
+                        // The supporting planes of each edge
+                        typename Polygon_mesh::template Property_map<Edge_descriptor, std::set<const Plane*> > edge_supporting_planes
+                                = candidate_faces.template add_property_map<Edge_descriptor, std::set<const Plane*> >("e:supp_plane").first;
+
+                        // The supporting planes of each vertex
+                        typename Polygon_mesh::template Property_map<Vertex_descriptor, std::set<const Plane*> > vertex_supporting_planes
+                                = candidate_faces.template add_property_map<Vertex_descriptor, std::set<const Plane*> >("v:supp_plane").first;
+
+                        const std::vector<Planar_segment*>& segments = point_set_->planar_segments();
+                        const typename Polygon_mesh::template Property_map<Vertex_descriptor, Point>& coords = bbox_mesh.points();
+
+                        for (std::size_t i = 0; i < segments.size(); ++i) {
+                                Planar_segment* g = segments[i];
+                                const Plane* cutting_plane = g->supporting_plane();
 
-				std::vector<Point> intersecting_points;
-				std::vector< std::set<const Plane*> > intersecting_points_source_planes;
+                                std::vector<Point> intersecting_points;
+                                std::vector< std::set<const Plane*> > intersecting_points_source_planes;
 
                                 for(auto ed : bbox_mesh.edges()) {
-					Vertex_descriptor sd = bbox_mesh.vertex(ed, 0);
-					Vertex_descriptor td = bbox_mesh.vertex(ed, 1);
-					const Point& s = coords[sd];
-					const Point& t = coords[td];
-
-					CGAL::Oriented_side ss = cutting_plane->oriented_side(s);
-					CGAL::Oriented_side st = cutting_plane->oriented_side(t);
-
-					if ((ss == CGAL::ON_POSITIVE_SIDE && st == CGAL::ON_NEGATIVE_SIDE) || (ss == ON_NEGATIVE_SIDE && st == CGAL::ON_POSITIVE_SIDE)) {
-						CGAL::Object obj = CGAL::intersection(*cutting_plane, Line(s, t));
-						if (const Point* p = CGAL::object_cast<Point>(&obj)) {
-							intersecting_points.push_back(*p);
-							std::set<const Plane*> planes = bbox_edge_supporting_planes[ed];
-
-							planes.insert(cutting_plane);
-							CGAL_assertion(planes.size() == 3);
-							intersecting_points_source_planes.push_back(planes);
-						}
-						else
-							std::cerr << "Fatal error: should have intersection" << std::endl;
-					}
-					else {
-						if (ss == CGAL::ON_ORIENTED_BOUNDARY && st != CGAL::ON_ORIENTED_BOUNDARY) {
-							intersecting_points.push_back(s);
-							const std::set<const Plane*>& planes = bbox_vertex_supporting_planes[sd];
-							CGAL_assertion(planes.size() == 3);
-							intersecting_points_source_planes.push_back(planes);
-						}
-						else if (st == CGAL::ON_ORIENTED_BOUNDARY && ss != CGAL::ON_ORIENTED_BOUNDARY) {
-							intersecting_points.push_back(t);
-							const std::set<const Plane*>& planes = bbox_vertex_supporting_planes[td];
-							CGAL_assertion(planes.size() == 3);
-							intersecting_points_source_planes.push_back(planes);
-						}
-						else {
-							// The intersection is the current edge, nothing to do
-						}
-					}
-				}
-
-				// Decides the orientation of the points
-				if (intersecting_points.size() >= 3) {
-					std::list<Point> pts;
-					for (std::size_t i = 0; i < intersecting_points.size(); ++i) {
-						const Point& p = intersecting_points[i];
-						const Point2& q = cutting_plane->to_2d(p);
-						pts.push_back(Point(q.x(), q.y(), FT(i))); // the z component stores the point index
-					}
-
-					typedef CGAL::Projection_traits_xy_3<Kernel>  Projection;
-					std::list<Point> hull;
-					CGAL::convex_hull_2(pts.begin(), pts.end(), std::back_inserter(hull), Projection());
-
-					std::vector<Point> ch;
-					std::vector< std::set<const Plane*> > ch_source_planes;
-					for (typename std::list<Point>::iterator it = hull.begin(); it != hull.end(); ++it) {
-						std::size_t idx = std::size_t(it->z());
-						ch.push_back(intersecting_points[idx]);
-						ch_source_planes.push_back(intersecting_points_source_planes[idx]);
-					}
-
-					if (ch.size() >= 3) {
-						std::vector<Vertex_descriptor> descriptors;
-						for (std::size_t j = 0; j < ch.size(); ++j) {
-							Vertex_descriptor vd = candidate_faces.add_vertex(ch[j]);
-							descriptors.push_back(vd);
-							vertex_supporting_planes[vd] = ch_source_planes[j];
-							CGAL_assertion(vertex_supporting_planes[vd].size() == 3);
-						}
-
-						Face_descriptor fd = candidate_faces.add_face(descriptors);
-						face_supporting_segments[fd] = g;
-						face_supporting_planes[fd] = cutting_plane;
-
-						// Assigns each edge the supporting planes
-						CGAL::Halfedge_around_face_circulator<Polygon_mesh> hbegin(candidate_faces.halfedge(fd), candidate_faces), done(hbegin);
-						do {
-							Halfedge_descriptor hd = *hbegin;
-							Edge_descriptor ed = candidate_faces.edge(hd);
-
-							Vertex_descriptor s_vd = candidate_faces.source(hd);
-							Vertex_descriptor t_vd = candidate_faces.target(hd);
-							const std::set<const Plane*>& s_planes = vertex_supporting_planes[s_vd];
-							const std::set<const Plane*>& t_planes = vertex_supporting_planes[t_vd];
-							std::set<const Plane*> common_planes;
-							std::set_intersection(s_planes.begin(), s_planes.end(), t_planes.begin(), t_planes.end(), std::inserter(common_planes, common_planes.begin()));
-							if (common_planes.size() == 2) {
-								CGAL_assertion(edge_supporting_planes[ed].size() == 0);
-								edge_supporting_planes[ed] = common_planes;
-								CGAL_assertion(edge_supporting_planes[ed].size() == 2);
-							}
-							else // If reached here, there must be topological errors.
-								std::cerr << "topological error" << std::endl;
-
-							++hbegin;
-						} while (hbegin != done);
-					}
-				}
-			}
-
-			CGAL_assertion(candidate_faces.is_valid());
-		}
-
-
-		template <typename Kernel>
-		void Hypothesis<Kernel>::compute_triplet_intersections() {
-			triplet_intersections_.clear();
-			if (supporting_planes_.size() < 4) // no closed surface will be constructed from less than 4 planes
-				return;
-
-			for (std::size_t i = 0; i < supporting_planes_.size(); ++i) {
-				const Plane* plane1 = supporting_planes_[i];
-				for (std::size_t j = i + 1; j < supporting_planes_.size(); ++j) {
-					const Plane* plane2 = supporting_planes_[j];
-					for (std::size_t k = j + 1; k < supporting_planes_.size(); ++k) {
-						const Plane* plane3 = supporting_planes_[k];
-						CGAL_assertion(plane1 < plane2 && plane2 < plane3);
-						Point p;
-						if (internal::intersect_plane_triplet<Plane, Point>(plane1, plane2, plane3, p)) {
-							// Stores the intersection for future query
-							Point* new_point = new Point(p);
-							triplet_intersections_[plane1][plane2][plane3] = new_point;
-							intersecting_points_.push_back(new_point);
-						}
-					}
-				}
-			}
-		}
-
-
-		template <typename Kernel>
-		const typename Hypothesis<Kernel>::Point*
-			Hypothesis<Kernel>::query_intersection(const Plane* min_plane, const Plane* mid_plane, const Plane* max_plane) {
-			CGAL_assertion(min_plane < mid_plane);
-			CGAL_assertion(mid_plane < max_plane);
-
-			if (triplet_intersections_.find(min_plane) == triplet_intersections_.end())
-				return nullptr;
-
-			Two_planes_to_point_map& map2 = triplet_intersections_[min_plane];
-			if (map2.find(mid_plane) == map2.end())
-				return nullptr;
-
-			Plane_to_point_map& map1 = map2[mid_plane];
-			if (map1.find(max_plane) == map1.end())
-				return nullptr;
-
-			return map1[max_plane];
-		}
-
-
-		template <typename Kernel>
-		typename Hypothesis<Kernel>::Halfedge_descriptor
-			Hypothesis<Kernel>::split_edge(Polygon_mesh& mesh, const EdgePos& ep, const Plane* cutting_plane) {
-			// The supporting planes of each edge
-			typename Polygon_mesh::template Property_map<Edge_descriptor, std::set<const Plane*> > edge_supporting_planes =
-				mesh.template property_map<Edge_descriptor, std::set<const Plane*> >("e:supp_plane").first;
-
-			// The supporting planes of each vertex
-			typename Polygon_mesh::template Property_map<Vertex_descriptor, std::set<const Plane*> > vertex_supporting_planes
-				= mesh.template property_map<Vertex_descriptor, std::set<const Plane*> >("v:supp_plane").first;
-
-			// We cannot use const reference, because it will become invalid after splitting
-			std::set<const Plane*> sfs = edge_supporting_planes[ep.edge];
-			CGAL_assertion(sfs.size() == 2);
-
-			Halfedge_descriptor h = Euler::split_edge(mesh.halfedge(ep.edge), mesh);
-			if (h == Polygon_mesh::null_halfedge()) // failed splitting edge
-				return h;
-
-			Vertex_descriptor v = mesh.target(h);
-			if (v == Polygon_mesh::null_vertex())	// failed splitting edge
-				return Polygon_mesh::null_halfedge();
-
-			typename Polygon_mesh::template Property_map<Vertex_descriptor, Point>& coords = mesh.points();
-			coords[v] = *ep.pos;
-
-			Edge_descriptor e1 = mesh.edge(h);
-			edge_supporting_planes[e1] = sfs;
-			Edge_descriptor e2 = mesh.edge(mesh.next(h));
-			edge_supporting_planes[e2] = sfs;
-
-			vertex_supporting_planes[v] = sfs;
-			vertex_supporting_planes[v].insert(cutting_plane);
-			CGAL_assertion(vertex_supporting_planes[v].size() == 3);
-
-			return h;
-		}
-
-
-		// Cuts f using the cutter and returns the new faces
-		template <typename Kernel>
-		std::vector<typename Hypothesis<Kernel>::Face_descriptor>
-			Hypothesis<Kernel>::cut(Face_descriptor face, const Plane* cutting_plane, Polygon_mesh& mesh) {
-			std::vector<Face_descriptor> new_faces;
-
-			// The supporting plane of each face
-			typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes =
-				mesh.template property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
-			const Plane* supporting_plane = face_supporting_planes[face];
-
-			if (supporting_plane == cutting_plane)
-				return new_faces;
-
-			// The supporting planar segment of each face
-			typename Polygon_mesh::template Property_map<Face_descriptor, Planar_segment*> face_supporting_segments =
-				mesh.template property_map<Face_descriptor, Planar_segment*>("f:supp_segment").first;
-
-			// The supporting planes of each edge
-			typename Polygon_mesh::template Property_map<Edge_descriptor, std::set<const Plane*> > edge_supporting_planes =
-				mesh.template property_map<Edge_descriptor, std::set<const Plane*> >("e:supp_plane").first;
-
-			Planar_segment* supporting_segment = face_supporting_segments[face];
-
-			std::vector<Vertex_descriptor> existing_vts;
-			std::vector<EdgePos> new_vts;
-			compute_intersections(mesh, face, cutting_plane, existing_vts, new_vts);
-
-			// We need to check here because new faces are emerging
-			if (existing_vts.size() + new_vts.size() != 2)
-				return new_faces;
-
-			else if (existing_vts.size() == 2) {
-				// Tests if the two intersecting points are both very close to an existing vertex.
-				// Since we allow snapping, we test if the two intersecting points are the same.
-				if (existing_vts[0] == existing_vts[1])
-					return new_faces;
-
-				// Tests if an edge already exists, i.e., the plane cuts at this edge
-				if (halfedge_exists(existing_vts[0], existing_vts[1], mesh))
-					return new_faces;
-			}
-
-			Halfedge_descriptor h0 = Polygon_mesh::null_halfedge();
-			Halfedge_descriptor h1 = Polygon_mesh::null_halfedge();
-
-			if (existing_vts.size() == 2) { // cutting_plane cuts the face at two existing vertices (not an edge)
-				h0 = mesh.halfedge(existing_vts[0]);
-				h1 = mesh.halfedge(existing_vts[1]);
-			}
-			else if (existing_vts.size() == 1) {
-				h0 = mesh.halfedge(existing_vts[0]);
-				h1 = split_edge(mesh, new_vts[0], cutting_plane);
-			}
-			else if (new_vts.size() == 2) {
-				h0 = split_edge(mesh, new_vts[0], cutting_plane);
-				h1 = split_edge(mesh, new_vts[1], cutting_plane);
-			}
-			CGAL_assertion(h0 != Polygon_mesh::null_halfedge());
-			CGAL_assertion(h1 != Polygon_mesh::null_halfedge());
-
-			// To split the face, `h0` and `h1` must be incident to the same face
-			if (mesh.face(h0) != face) {
-				Halfedge_descriptor end = h0;
-				do {
-					h0 = mesh.opposite(mesh.next(h0));	// h0 = h0->next()->opposite();
-					if (mesh.face(h0) == face)
-						break;
-				} while (h0 != end);
-			}
-			CGAL_assertion(mesh.face(h0) == face);
-
-			if (mesh.face(h1) != face) {
-				Halfedge_descriptor end = h1;
-				do {
-					h1 = mesh.opposite(mesh.next(h1)); // h1 = h1->next()->opposite();
-					if (mesh.face(h1) == face)
-						break;
-				} while (h1 != end);
-			}
-			CGAL_assertion(mesh.face(h1) == face);
-
-			Halfedge_descriptor h = Euler::split_face(h0, h1, mesh);
-			if (h == Polygon_mesh::null_halfedge() || mesh.face(h) == Polygon_mesh::null_face()) {
-				std::cerr << "Fatal error. could not split face" << std::endl;
-				return new_faces;
-			}
-
-			Edge_descriptor e = mesh.edge(h);
-			edge_supporting_planes[e].insert(supporting_plane);
-			edge_supporting_planes[e].insert(cutting_plane);
-			CGAL_assertion(edge_supporting_planes[e].size() == 2);
-
-			// Now the two faces
-			Face_descriptor f1 = mesh.face(h);
-			face_supporting_segments[f1] = supporting_segment;
-			face_supporting_planes[f1] = supporting_plane;
-			new_faces.push_back(f1);
-
-			Face_descriptor f2 = mesh.face(mesh.opposite(h));
-			face_supporting_segments[f2] = supporting_segment;
-			face_supporting_planes[f2] = supporting_plane;
-			new_faces.push_back(f2);
-
-			return new_faces;
-		}
-
-
-		template <typename Kernel>
-		void Hypothesis<Kernel>::compute_intersections(const Polygon_mesh& mesh,
-			Face_descriptor face, const Plane* cutting_plane,
-			std::vector<Vertex_descriptor>& existing_vts,
-			std::vector<EdgePos>& new_vts)
-		{
-			existing_vts.clear();
-			new_vts.clear();
-
-			// The supporting plane of each face
-			typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes =
-				mesh.template property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
-			const Plane* supporting_plane = face_supporting_planes[face];
-			if (supporting_plane == cutting_plane)
-				return;
-
-			typename Polygon_mesh::template Property_map<Edge_descriptor, std::set<const Plane*> > edge_supporting_planes
-				= mesh.template property_map<Edge_descriptor, std::set<const Plane*> >("e:supp_plane").first;
-
-			const typename Polygon_mesh::template Property_map<Vertex_descriptor, Point>& coords = mesh.points();
-
-			Halfedge_descriptor cur = mesh.halfedge(face);
-			Halfedge_descriptor end = cur;
-			do {
-				Edge_descriptor ed = mesh.edge(cur);
-				const std::set<const Plane*>& supporting_planes = edge_supporting_planes[ed];
-				if (supporting_planes.find(cutting_plane) != supporting_planes.end()) // the edge lies on the cutting plane
-					return;
-
-				Vertex_descriptor s_vd = mesh.source(cur);
-				Vertex_descriptor t_vd = mesh.target(cur);
-				const Point& s = coords[s_vd];
-				const Point& t = coords[t_vd];
-
-				CGAL::Oriented_side s_side = cutting_plane->oriented_side(s);
-				CGAL::Oriented_side t_side = cutting_plane->oriented_side(t);
-
-				if (t_side == CGAL::ON_ORIENTED_BOUNDARY) {
-					if (s_side == CGAL::ON_ORIENTED_BOUNDARY)  // the edge lies on the cutting plane
-						return;
-					else
-						existing_vts.push_back(t_vd);
-				}
-
-				else if (
-					(s_side == CGAL::ON_POSITIVE_SIDE && t_side == CGAL::ON_NEGATIVE_SIDE) ||
-					(s_side == CGAL::ON_NEGATIVE_SIDE && t_side == CGAL::ON_POSITIVE_SIDE)) // intersects at the interior of the edge
-				{
-					FT s_sdist = CGAL::squared_distance(*cutting_plane, s);
-					FT t_sdist = CGAL::squared_distance(*cutting_plane, t);
-
-					if (s_sdist <= CGAL::snap_squared_distance_threshold<FT>())		// plane cuts at vertex 's'
-						existing_vts.push_back(s_vd);
-					else if (t_sdist <= CGAL::snap_squared_distance_threshold<FT>()) // plane cuts at vertex 't'
-						existing_vts.push_back(t_vd);
-					else {
-						const Plane* plane1 = *(supporting_planes.begin());
-						const Plane* plane2 = *(supporting_planes.rbegin());
-						const Plane* plane3 = const_cast<const Plane*>(cutting_plane);
-
-						if (plane3 != plane1 && plane3 != plane2) {
-							internal::sort_increasing(plane1, plane2, plane3);
-							const Point* p = query_intersection(plane1, plane2, plane3);
-							if (p) {
-								if (CGAL::squared_distance(*p, s) <= CGAL::snap_squared_distance_threshold<FT>())		// snap to 's'
-									existing_vts.push_back(s_vd);
-								else if (CGAL::squared_distance(*p, t) <= CGAL::snap_squared_distance_threshold<FT>())	// snap to 't'
-									existing_vts.push_back(t_vd);
-								else
-									new_vts.push_back(EdgePos(ed, p));
-							}
-							else
-								std::cerr << "Fatal error: should have intersection" << std::endl;
-						}
-						else
-							std::cerr << "Fatal error: should not have duplicated planes." << std::endl;
-					}
-				}
-
-				else {
-					// Nothing needs to do here, we will test the next edge
-				}
-
-				cur = mesh.next(cur);
-			} while (cur != end);
-		}
-
-
-		template <typename Kernel>
-		bool Hypothesis<Kernel>::halfedge_exists(Vertex_descriptor v1, Vertex_descriptor v2, const Polygon_mesh& mesh) {
-			Halfedge_descriptor h = mesh.halfedge(v1);
-			Halfedge_descriptor end = h;
-			do {
-				Halfedge_descriptor opp = mesh.opposite(h);
-				if (mesh.target(opp) == v2)
-					return true;
-				h = mesh.prev(opp);
-			} while (h != end);
-			return false;
-		}
-
-
-		// Tests if face 'f' insects plane 'plane'
-		template <typename Kernel>
-		bool Hypothesis<Kernel>::do_intersect(const Polygon_mesh& mesh, Face_descriptor f, const Plane* plane) {
-			std::vector<Vertex_descriptor> existing_vts;
-			std::vector<EdgePos> new_vts;
-			compute_intersections(mesh, f, plane, existing_vts, new_vts);
-
-			if (existing_vts.size() == 2) {
-				if (!halfedge_exists(existing_vts[0], existing_vts[1], mesh))
-					return true;
-			}
-			else if (existing_vts.size() + new_vts.size() == 2)
-				return true;
-
-			return false;
-		}
-
-
-		// Collects all faces in 'mesh' that intersect 'face', stored in std::set() so easier to erase
-		template <typename Kernel>
-		std::set<typename Hypothesis<Kernel>::Face_descriptor> Hypothesis<Kernel>::collect_intersecting_faces(Face_descriptor face, const Polygon_mesh& mesh)
-		{
-			// The supporting plane of each face
-			typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes =
-				mesh.template property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
-
-			// The supporting planar segment of each face
-			typename Polygon_mesh::template Property_map<Face_descriptor, Planar_segment*> face_supporting_segments =
-				mesh.template property_map<Face_descriptor, Planar_segment*>("f:supp_segment").first;
+                                        Vertex_descriptor sd = bbox_mesh.vertex(ed, 0);
+                                        Vertex_descriptor td = bbox_mesh.vertex(ed, 1);
+                                        const Point& s = coords[sd];
+                                        const Point& t = coords[td];
+
+                                        CGAL::Oriented_side ss = cutting_plane->oriented_side(s);
+                                        CGAL::Oriented_side st = cutting_plane->oriented_side(t);
+
+                                        if ((ss == CGAL::ON_POSITIVE_SIDE && st == CGAL::ON_NEGATIVE_SIDE) || (ss == ON_NEGATIVE_SIDE && st == CGAL::ON_POSITIVE_SIDE)) {
+                                                CGAL::Object obj = CGAL::intersection(*cutting_plane, Line(s, t));
+                                                if (const Point* p = CGAL::object_cast<Point>(&obj)) {
+                                                        intersecting_points.push_back(*p);
+                                                        std::set<const Plane*> planes = bbox_edge_supporting_planes[ed];
+
+                                                        planes.insert(cutting_plane);
+                                                        CGAL_assertion(planes.size() == 3);
+                                                        intersecting_points_source_planes.push_back(planes);
+                                                }
+                                                else
+                                                        std::cerr << "Fatal error: should have intersection" << std::endl;
+                                        }
+                                        else {
+                                                if (ss == CGAL::ON_ORIENTED_BOUNDARY && st != CGAL::ON_ORIENTED_BOUNDARY) {
+                                                        intersecting_points.push_back(s);
+                                                        const std::set<const Plane*>& planes = bbox_vertex_supporting_planes[sd];
+                                                        CGAL_assertion(planes.size() == 3);
+                                                        intersecting_points_source_planes.push_back(planes);
+                                                }
+                                                else if (st == CGAL::ON_ORIENTED_BOUNDARY && ss != CGAL::ON_ORIENTED_BOUNDARY) {
+                                                        intersecting_points.push_back(t);
+                                                        const std::set<const Plane*>& planes = bbox_vertex_supporting_planes[td];
+                                                        CGAL_assertion(planes.size() == 3);
+                                                        intersecting_points_source_planes.push_back(planes);
+                                                }
+                                                else {
+                                                        // The intersection is the current edge, nothing to do
+                                                }
+                                        }
+                                }
+
+                                // Decides the orientation of the points
+                                if (intersecting_points.size() >= 3) {
+                                        std::list<Point> pts;
+                                        for (std::size_t i = 0; i < intersecting_points.size(); ++i) {
+                                                const Point& p = intersecting_points[i];
+                                                const Point2& q = cutting_plane->to_2d(p);
+                                                pts.push_back(Point(q.x(), q.y(), FT(i))); // the z component stores the point index
+                                        }
+
+                                        typedef CGAL::Projection_traits_xy_3<Kernel>  Projection;
+                                        std::list<Point> hull;
+                                        CGAL::convex_hull_2(pts.begin(), pts.end(), std::back_inserter(hull), Projection());
+
+                                        std::vector<Point> ch;
+                                        std::vector< std::set<const Plane*> > ch_source_planes;
+                                        for (typename std::list<Point>::iterator it = hull.begin(); it != hull.end(); ++it) {
+                                                std::size_t idx = std::size_t(it->z());
+                                                ch.push_back(intersecting_points[idx]);
+                                                ch_source_planes.push_back(intersecting_points_source_planes[idx]);
+                                        }
+
+                                        if (ch.size() >= 3) {
+                                                std::vector<Vertex_descriptor> descriptors;
+                                                for (std::size_t j = 0; j < ch.size(); ++j) {
+                                                        Vertex_descriptor vd = candidate_faces.add_vertex(ch[j]);
+                                                        descriptors.push_back(vd);
+                                                        vertex_supporting_planes[vd] = ch_source_planes[j];
+                                                        CGAL_assertion(vertex_supporting_planes[vd].size() == 3);
+                                                }
+
+                                                Face_descriptor fd = candidate_faces.add_face(descriptors);
+                                                face_supporting_segments[fd] = g;
+                                                face_supporting_planes[fd] = cutting_plane;
+
+                                                // Assigns each edge the supporting planes
+                                                CGAL::Halfedge_around_face_circulator<Polygon_mesh> hbegin(candidate_faces.halfedge(fd), candidate_faces), done(hbegin);
+                                                do {
+                                                        Halfedge_descriptor hd = *hbegin;
+                                                        Edge_descriptor ed = candidate_faces.edge(hd);
+
+                                                        Vertex_descriptor s_vd = candidate_faces.source(hd);
+                                                        Vertex_descriptor t_vd = candidate_faces.target(hd);
+                                                        const std::set<const Plane*>& s_planes = vertex_supporting_planes[s_vd];
+                                                        const std::set<const Plane*>& t_planes = vertex_supporting_planes[t_vd];
+                                                        std::set<const Plane*> common_planes;
+                                                        std::set_intersection(s_planes.begin(), s_planes.end(), t_planes.begin(), t_planes.end(), std::inserter(common_planes, common_planes.begin()));
+                                                        if (common_planes.size() == 2) {
+                                                                CGAL_assertion(edge_supporting_planes[ed].size() == 0);
+                                                                edge_supporting_planes[ed] = common_planes;
+                                                                CGAL_assertion(edge_supporting_planes[ed].size() == 2);
+                                                        }
+                                                        else // If reached here, there must be topological errors.
+                                                                std::cerr << "topological error" << std::endl;
+
+                                                        ++hbegin;
+                                                } while (hbegin != done);
+                                        }
+                                }
+                        }
+
+                        CGAL_assertion(candidate_faces.is_valid());
+                }
+
+
+                template <typename Kernel>
+                void Hypothesis<Kernel>::compute_triplet_intersections() {
+                        triplet_intersections_.clear();
+                        if (supporting_planes_.size() < 4) // no closed surface will be constructed from less than 4 planes
+                                return;
+
+                        for (std::size_t i = 0; i < supporting_planes_.size(); ++i) {
+                                const Plane* plane1 = supporting_planes_[i];
+                                for (std::size_t j = i + 1; j < supporting_planes_.size(); ++j) {
+                                        const Plane* plane2 = supporting_planes_[j];
+                                        for (std::size_t k = j + 1; k < supporting_planes_.size(); ++k) {
+                                                const Plane* plane3 = supporting_planes_[k];
+                                                CGAL_assertion(plane1 < plane2 && plane2 < plane3);
+                                                Point p;
+                                                if (internal::intersect_plane_triplet<Plane, Point>(plane1, plane2, plane3, p)) {
+                                                        // Stores the intersection for future query
+                                                        Point* new_point = new Point(p);
+                                                        triplet_intersections_[plane1][plane2][plane3] = new_point;
+                                                        intersecting_points_.push_back(new_point);
+                                                }
+                                        }
+                                }
+                        }
+                }
+
+
+                template <typename Kernel>
+                const typename Hypothesis<Kernel>::Point*
+                        Hypothesis<Kernel>::query_intersection(const Plane* min_plane, const Plane* mid_plane, const Plane* max_plane) {
+                        CGAL_assertion(min_plane < mid_plane);
+                        CGAL_assertion(mid_plane < max_plane);
+
+                        if (triplet_intersections_.find(min_plane) == triplet_intersections_.end())
+                                return nullptr;
+
+                        Two_planes_to_point_map& map2 = triplet_intersections_[min_plane];
+                        if (map2.find(mid_plane) == map2.end())
+                                return nullptr;
+
+                        Plane_to_point_map& map1 = map2[mid_plane];
+                        if (map1.find(max_plane) == map1.end())
+                                return nullptr;
+
+                        return map1[max_plane];
+                }
+
+
+                template <typename Kernel>
+                typename Hypothesis<Kernel>::Halfedge_descriptor
+                        Hypothesis<Kernel>::split_edge(Polygon_mesh& mesh, const EdgePos& ep, const Plane* cutting_plane) {
+                        // The supporting planes of each edge
+                        typename Polygon_mesh::template Property_map<Edge_descriptor, std::set<const Plane*> > edge_supporting_planes =
+                                mesh.template property_map<Edge_descriptor, std::set<const Plane*> >("e:supp_plane").first;
+
+                        // The supporting planes of each vertex
+                        typename Polygon_mesh::template Property_map<Vertex_descriptor, std::set<const Plane*> > vertex_supporting_planes
+                                = mesh.template property_map<Vertex_descriptor, std::set<const Plane*> >("v:supp_plane").first;
+
+                        // We cannot use const reference, because it will become invalid after splitting
+                        std::set<const Plane*> sfs = edge_supporting_planes[ep.edge];
+                        CGAL_assertion(sfs.size() == 2);
+
+                        Halfedge_descriptor h = Euler::split_edge(mesh.halfedge(ep.edge), mesh);
+                        if (h == Polygon_mesh::null_halfedge()) // failed splitting edge
+                                return h;
+
+                        Vertex_descriptor v = mesh.target(h);
+                        if (v == Polygon_mesh::null_vertex())        // failed splitting edge
+                                return Polygon_mesh::null_halfedge();
+
+                        typename Polygon_mesh::template Property_map<Vertex_descriptor, Point>& coords = mesh.points();
+                        coords[v] = *ep.pos;
+
+                        Edge_descriptor e1 = mesh.edge(h);
+                        edge_supporting_planes[e1] = sfs;
+                        Edge_descriptor e2 = mesh.edge(mesh.next(h));
+                        edge_supporting_planes[e2] = sfs;
+
+                        vertex_supporting_planes[v] = sfs;
+                        vertex_supporting_planes[v].insert(cutting_plane);
+                        CGAL_assertion(vertex_supporting_planes[v].size() == 3);
+
+                        return h;
+                }
+
+
+                // Cuts f using the cutter and returns the new faces
+                template <typename Kernel>
+                std::vector<typename Hypothesis<Kernel>::Face_descriptor>
+                        Hypothesis<Kernel>::cut(Face_descriptor face, const Plane* cutting_plane, Polygon_mesh& mesh) {
+                        std::vector<Face_descriptor> new_faces;
+
+                        // The supporting plane of each face
+                        typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes =
+                                mesh.template property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
+                        const Plane* supporting_plane = face_supporting_planes[face];
+
+                        if (supporting_plane == cutting_plane)
+                                return new_faces;
+
+                        // The supporting planar segment of each face
+                        typename Polygon_mesh::template Property_map<Face_descriptor, Planar_segment*> face_supporting_segments =
+                                mesh.template property_map<Face_descriptor, Planar_segment*>("f:supp_segment").first;
+
+                        // The supporting planes of each edge
+                        typename Polygon_mesh::template Property_map<Edge_descriptor, std::set<const Plane*> > edge_supporting_planes =
+                                mesh.template property_map<Edge_descriptor, std::set<const Plane*> >("e:supp_plane").first;
+
+                        Planar_segment* supporting_segment = face_supporting_segments[face];
+
+                        std::vector<Vertex_descriptor> existing_vts;
+                        std::vector<EdgePos> new_vts;
+                        compute_intersections(mesh, face, cutting_plane, existing_vts, new_vts);
+
+                        // We need to check here because new faces are emerging
+                        if (existing_vts.size() + new_vts.size() != 2)
+                                return new_faces;
+
+                        else if (existing_vts.size() == 2) {
+                                // Tests if the two intersecting points are both very close to an existing vertex.
+                                // Since we allow snapping, we test if the two intersecting points are the same.
+                                if (existing_vts[0] == existing_vts[1])
+                                        return new_faces;
+
+                                // Tests if an edge already exists, i.e., the plane cuts at this edge
+                                if (halfedge_exists(existing_vts[0], existing_vts[1], mesh))
+                                        return new_faces;
+                        }
+
+                        Halfedge_descriptor h0 = Polygon_mesh::null_halfedge();
+                        Halfedge_descriptor h1 = Polygon_mesh::null_halfedge();
+
+                        if (existing_vts.size() == 2) { // cutting_plane cuts the face at two existing vertices (not an edge)
+                                h0 = mesh.halfedge(existing_vts[0]);
+                                h1 = mesh.halfedge(existing_vts[1]);
+                        }
+                        else if (existing_vts.size() == 1) {
+                                h0 = mesh.halfedge(existing_vts[0]);
+                                h1 = split_edge(mesh, new_vts[0], cutting_plane);
+                        }
+                        else if (new_vts.size() == 2) {
+                                h0 = split_edge(mesh, new_vts[0], cutting_plane);
+                                h1 = split_edge(mesh, new_vts[1], cutting_plane);
+                        }
+                        CGAL_assertion(h0 != Polygon_mesh::null_halfedge());
+                        CGAL_assertion(h1 != Polygon_mesh::null_halfedge());
+
+                        // To split the face, `h0` and `h1` must be incident to the same face
+                        if (mesh.face(h0) != face) {
+                                Halfedge_descriptor end = h0;
+                                do {
+                                        h0 = mesh.opposite(mesh.next(h0));        // h0 = h0->next()->opposite();
+                                        if (mesh.face(h0) == face)
+                                                break;
+                                } while (h0 != end);
+                        }
+                        CGAL_assertion(mesh.face(h0) == face);
+
+                        if (mesh.face(h1) != face) {
+                                Halfedge_descriptor end = h1;
+                                do {
+                                        h1 = mesh.opposite(mesh.next(h1)); // h1 = h1->next()->opposite();
+                                        if (mesh.face(h1) == face)
+                                                break;
+                                } while (h1 != end);
+                        }
+                        CGAL_assertion(mesh.face(h1) == face);
+
+                        Halfedge_descriptor h = Euler::split_face(h0, h1, mesh);
+                        if (h == Polygon_mesh::null_halfedge() || mesh.face(h) == Polygon_mesh::null_face()) {
+                                std::cerr << "Fatal error. could not split face" << std::endl;
+                                return new_faces;
+                        }
+
+                        Edge_descriptor e = mesh.edge(h);
+                        edge_supporting_planes[e].insert(supporting_plane);
+                        edge_supporting_planes[e].insert(cutting_plane);
+                        CGAL_assertion(edge_supporting_planes[e].size() == 2);
+
+                        // Now the two faces
+                        Face_descriptor f1 = mesh.face(h);
+                        face_supporting_segments[f1] = supporting_segment;
+                        face_supporting_planes[f1] = supporting_plane;
+                        new_faces.push_back(f1);
+
+                        Face_descriptor f2 = mesh.face(mesh.opposite(h));
+                        face_supporting_segments[f2] = supporting_segment;
+                        face_supporting_planes[f2] = supporting_plane;
+                        new_faces.push_back(f2);
+
+                        return new_faces;
+                }
+
+
+                template <typename Kernel>
+                void Hypothesis<Kernel>::compute_intersections(const Polygon_mesh& mesh,
+                        Face_descriptor face, const Plane* cutting_plane,
+                        std::vector<Vertex_descriptor>& existing_vts,
+                        std::vector<EdgePos>& new_vts)
+                {
+                        existing_vts.clear();
+                        new_vts.clear();
+
+                        // The supporting plane of each face
+                        typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes =
+                                mesh.template property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
+                        const Plane* supporting_plane = face_supporting_planes[face];
+                        if (supporting_plane == cutting_plane)
+                                return;
+
+                        typename Polygon_mesh::template Property_map<Edge_descriptor, std::set<const Plane*> > edge_supporting_planes
+                                = mesh.template property_map<Edge_descriptor, std::set<const Plane*> >("e:supp_plane").first;
+
+                        const typename Polygon_mesh::template Property_map<Vertex_descriptor, Point>& coords = mesh.points();
+
+                        Halfedge_descriptor cur = mesh.halfedge(face);
+                        Halfedge_descriptor end = cur;
+                        do {
+                                Edge_descriptor ed = mesh.edge(cur);
+                                const std::set<const Plane*>& supporting_planes = edge_supporting_planes[ed];
+                                if (supporting_planes.find(cutting_plane) != supporting_planes.end()) // the edge lies on the cutting plane
+                                        return;
+
+                                Vertex_descriptor s_vd = mesh.source(cur);
+                                Vertex_descriptor t_vd = mesh.target(cur);
+                                const Point& s = coords[s_vd];
+                                const Point& t = coords[t_vd];
+
+                                CGAL::Oriented_side s_side = cutting_plane->oriented_side(s);
+                                CGAL::Oriented_side t_side = cutting_plane->oriented_side(t);
+
+                                if (t_side == CGAL::ON_ORIENTED_BOUNDARY) {
+                                        if (s_side == CGAL::ON_ORIENTED_BOUNDARY)  // the edge lies on the cutting plane
+                                                return;
+                                        else
+                                                existing_vts.push_back(t_vd);
+                                }
+
+                                else if (
+                                        (s_side == CGAL::ON_POSITIVE_SIDE && t_side == CGAL::ON_NEGATIVE_SIDE) ||
+                                        (s_side == CGAL::ON_NEGATIVE_SIDE && t_side == CGAL::ON_POSITIVE_SIDE)) // intersects at the interior of the edge
+                                {
+                                        FT s_sdist = CGAL::squared_distance(*cutting_plane, s);
+                                        FT t_sdist = CGAL::squared_distance(*cutting_plane, t);
+
+                                        if (s_sdist <= CGAL::snap_squared_distance_threshold<FT>())                // plane cuts at vertex 's'
+                                                existing_vts.push_back(s_vd);
+                                        else if (t_sdist <= CGAL::snap_squared_distance_threshold<FT>()) // plane cuts at vertex 't'
+                                                existing_vts.push_back(t_vd);
+                                        else {
+                                                const Plane* plane1 = *(supporting_planes.begin());
+                                                const Plane* plane2 = *(supporting_planes.rbegin());
+                                                const Plane* plane3 = const_cast<const Plane*>(cutting_plane);
+
+                                                if (plane3 != plane1 && plane3 != plane2) {
+                                                        internal::sort_increasing(plane1, plane2, plane3);
+                                                        const Point* p = query_intersection(plane1, plane2, plane3);
+                                                        if (p) {
+                                                                if (CGAL::squared_distance(*p, s) <= CGAL::snap_squared_distance_threshold<FT>())                // snap to 's'
+                                                                        existing_vts.push_back(s_vd);
+                                                                else if (CGAL::squared_distance(*p, t) <= CGAL::snap_squared_distance_threshold<FT>())        // snap to 't'
+                                                                        existing_vts.push_back(t_vd);
+                                                                else
+                                                                        new_vts.push_back(EdgePos(ed, p));
+                                                        }
+                                                        else
+                                                                std::cerr << "Fatal error: should have intersection" << std::endl;
+                                                }
+                                                else
+                                                        std::cerr << "Fatal error: should not have duplicated planes." << std::endl;
+                                        }
+                                }
+
+                                else {
+                                        // Nothing needs to do here, we will test the next edge
+                                }
+
+                                cur = mesh.next(cur);
+                        } while (cur != end);
+                }
+
+
+                template <typename Kernel>
+                bool Hypothesis<Kernel>::halfedge_exists(Vertex_descriptor v1, Vertex_descriptor v2, const Polygon_mesh& mesh) {
+                        Halfedge_descriptor h = mesh.halfedge(v1);
+                        Halfedge_descriptor end = h;
+                        do {
+                                Halfedge_descriptor opp = mesh.opposite(h);
+                                if (mesh.target(opp) == v2)
+                                        return true;
+                                h = mesh.prev(opp);
+                        } while (h != end);
+                        return false;
+                }
+
+
+                // Tests if face 'f' insects plane 'plane'
+                template <typename Kernel>
+                bool Hypothesis<Kernel>::do_intersect(const Polygon_mesh& mesh, Face_descriptor f, const Plane* plane) {
+                        std::vector<Vertex_descriptor> existing_vts;
+                        std::vector<EdgePos> new_vts;
+                        compute_intersections(mesh, f, plane, existing_vts, new_vts);
+
+                        if (existing_vts.size() == 2) {
+                                if (!halfedge_exists(existing_vts[0], existing_vts[1], mesh))
+                                        return true;
+                        }
+                        else if (existing_vts.size() + new_vts.size() == 2)
+                                return true;
+
+                        return false;
+                }
+
+
+                // Collects all faces in 'mesh' that intersect 'face', stored in std::set() so easier to erase
+                template <typename Kernel>
+                std::set<typename Hypothesis<Kernel>::Face_descriptor> Hypothesis<Kernel>::collect_intersecting_faces(Face_descriptor face, const Polygon_mesh& mesh)
+                {
+                        // The supporting plane of each face
+                        typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes =
+                                mesh.template property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
+
+                        // The supporting planar segment of each face
+                        typename Polygon_mesh::template Property_map<Face_descriptor, Planar_segment*> face_supporting_segments =
+                                mesh.template property_map<Face_descriptor, Planar_segment*>("f:supp_segment").first;
 
-			std::set<Face_descriptor> intersecting_faces;
+                        std::set<Face_descriptor> intersecting_faces;
                         for(auto f : mesh.faces()) {
-				if (f == face ||
-					face_supporting_segments[f] == face_supporting_segments[face] ||
-					face_supporting_planes[f] == face_supporting_planes[face])
-				{
-					continue;
-				}
-
-				const Plane* plane = face_supporting_planes[face];
-				CGAL_assertion(plane != nullptr);
-				if (do_intersect(mesh, f, plane))
-					intersecting_faces.insert(f);
-			}
-			return intersecting_faces;
-		}
-
-
-		template <typename Kernel>
-		void Hypothesis<Kernel>::pairwise_intersection(Polygon_mesh& candidate_faces)
-		{
-			// Pre-computes all potential intersection of plane triplets
-			compute_triplet_intersections();
-
-			// Since we are going to split faces, we can not use the reference.
-			// const Polygon_mesh::Face_range& all_faces = mesh.faces();
-			// So we make a local copy
-			std::vector<Face_descriptor> all_faces(candidate_faces.faces().begin(), candidate_faces.faces().end());
-
-			// The supporting plane of each face
-			typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes
-				= candidate_faces.template property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
-
-			for (std::size_t i = 0; i < all_faces.size(); ++i) {
-				Face_descriptor face = all_faces[i];
-				const Plane* face_plane = face_supporting_planes[face];
-
-				std::set<Face_descriptor> intersecting_faces = collect_intersecting_faces(face, candidate_faces);
-				if (intersecting_faces.empty())
-					continue;
-
-				std::vector<Face_descriptor> cutting_faces(intersecting_faces.begin(), intersecting_faces.end());
-
-				// 1. 'face' will be cut by all the intersecting faces
-				//    \note After each cut, the original face doesn't exist any more and it is replaced by multiple pieces.
-				//          then each piece will be cut by another face.
-				std::vector<Face_descriptor> faces_to_be_cut;
-				faces_to_be_cut.push_back(face);
-				while (!intersecting_faces.empty()) {
-					Face_descriptor cutting_face = *(intersecting_faces.begin());
-					const Plane* cutting_plane = face_supporting_planes[cutting_face];
-
-					std::set<Face_descriptor> new_faces;		// stores the new faces
-					std::set<Face_descriptor> remained_faces;	// faces that will be cut later
-					for (std::size_t j = 0; j < faces_to_be_cut.size(); ++j) {
-						Face_descriptor current_face = faces_to_be_cut[j];
-						std::vector<Face_descriptor> tmp = cut(current_face, cutting_plane, candidate_faces);
-						new_faces.insert(tmp.begin(), tmp.end());
-						if (tmp.empty()) {  // no actual cut occurred. The face will be cut later
-							remained_faces.insert(current_face);
-						}
-					}
-
-					// The new faces might be cut by other faces
-					faces_to_be_cut = std::vector<Face_descriptor>(new_faces.begin(), new_faces.end());
-
-					// Don't forget the remained faces
-					faces_to_be_cut.insert(faces_to_be_cut.end(), remained_faces.begin(), remained_faces.end());
-
-					// The job of cutting_face is done, remove it
-					intersecting_faces.erase(cutting_face);
-				}
-
-				// 2. All the cutting_faces will be cut by f.
-				for (std::size_t j = 0; j < cutting_faces.size(); ++j) {
-					cut(cutting_faces[j], face_plane, candidate_faces);
-				}
-			}
-
-			CGAL_assertion(candidate_faces.is_valid());
-		}
-
-
-		template <class Kernel>
-		typename Hypothesis<Kernel>::Adjacency Hypothesis<Kernel>::extract_adjacency(const Polygon_mesh& candidate_faces)
-		{
-			typename Polygon_mesh::template Property_map<Vertex_descriptor, std::set<const Plane*> > vertex_supporting_planes
-				= candidate_faces.template property_map<Vertex_descriptor, std::set<const Plane*> >("v:supp_plane").first;
-
-			// An edge is denoted by its two end points
-			typedef typename std::unordered_map<const Point*, std::set<Halfedge_descriptor> >	Edge_map;
-			typedef typename std::unordered_map<const Point*, Edge_map >						Face_pool;
-			Face_pool face_pool;
+                                if (f == face ||
+                                        face_supporting_segments[f] == face_supporting_segments[face] ||
+                                        face_supporting_planes[f] == face_supporting_planes[face])
+                                {
+                                        continue;
+                                }
+
+                                const Plane* plane = face_supporting_planes[face];
+                                CGAL_assertion(plane != nullptr);
+                                if (do_intersect(mesh, f, plane))
+                                        intersecting_faces.insert(f);
+                        }
+                        return intersecting_faces;
+                }
+
+
+                template <typename Kernel>
+                void Hypothesis<Kernel>::pairwise_intersection(Polygon_mesh& candidate_faces)
+                {
+                        // Pre-computes all potential intersection of plane triplets
+                        compute_triplet_intersections();
+
+                        // Since we are going to split faces, we can not use the reference.
+                        // const Polygon_mesh::Face_range& all_faces = mesh.faces();
+                        // So we make a local copy
+                        std::vector<Face_descriptor> all_faces(candidate_faces.faces().begin(), candidate_faces.faces().end());
+
+                        // The supporting plane of each face
+                        typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes
+                                = candidate_faces.template property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
+
+                        for (std::size_t i = 0; i < all_faces.size(); ++i) {
+                                Face_descriptor face = all_faces[i];
+                                const Plane* face_plane = face_supporting_planes[face];
+
+                                std::set<Face_descriptor> intersecting_faces = collect_intersecting_faces(face, candidate_faces);
+                                if (intersecting_faces.empty())
+                                        continue;
+
+                                std::vector<Face_descriptor> cutting_faces(intersecting_faces.begin(), intersecting_faces.end());
+
+                                // 1. 'face' will be cut by all the intersecting faces
+                                //    \note After each cut, the original face doesn't exist any more and it is replaced by multiple pieces.
+                                //          then each piece will be cut by another face.
+                                std::vector<Face_descriptor> faces_to_be_cut;
+                                faces_to_be_cut.push_back(face);
+                                while (!intersecting_faces.empty()) {
+                                        Face_descriptor cutting_face = *(intersecting_faces.begin());
+                                        const Plane* cutting_plane = face_supporting_planes[cutting_face];
+
+                                        std::set<Face_descriptor> new_faces;                // stores the new faces
+                                        std::set<Face_descriptor> remained_faces;        // faces that will be cut later
+                                        for (std::size_t j = 0; j < faces_to_be_cut.size(); ++j) {
+                                                Face_descriptor current_face = faces_to_be_cut[j];
+                                                std::vector<Face_descriptor> tmp = cut(current_face, cutting_plane, candidate_faces);
+                                                new_faces.insert(tmp.begin(), tmp.end());
+                                                if (tmp.empty()) {  // no actual cut occurred. The face will be cut later
+                                                        remained_faces.insert(current_face);
+                                                }
+                                        }
+
+                                        // The new faces might be cut by other faces
+                                        faces_to_be_cut = std::vector<Face_descriptor>(new_faces.begin(), new_faces.end());
+
+                                        // Don't forget the remained faces
+                                        faces_to_be_cut.insert(faces_to_be_cut.end(), remained_faces.begin(), remained_faces.end());
+
+                                        // The job of cutting_face is done, remove it
+                                        intersecting_faces.erase(cutting_face);
+                                }
+
+                                // 2. All the cutting_faces will be cut by f.
+                                for (std::size_t j = 0; j < cutting_faces.size(); ++j) {
+                                        cut(cutting_faces[j], face_plane, candidate_faces);
+                                }
+                        }
+
+                        CGAL_assertion(candidate_faces.is_valid());
+                }
+
+
+                template <class Kernel>
+                typename Hypothesis<Kernel>::Adjacency Hypothesis<Kernel>::extract_adjacency(const Polygon_mesh& candidate_faces)
+                {
+                        typename Polygon_mesh::template Property_map<Vertex_descriptor, std::set<const Plane*> > vertex_supporting_planes
+                                = candidate_faces.template property_map<Vertex_descriptor, std::set<const Plane*> >("v:supp_plane").first;
+
+                        // An edge is denoted by its two end points
+                        typedef typename std::unordered_map<const Point*, std::set<Halfedge_descriptor> >        Edge_map;
+                        typedef typename std::unordered_map<const Point*, Edge_map >                                                Face_pool;
+                        Face_pool face_pool;
 
                         for(auto h : candidate_faces.halfedges()) {
-				Face_descriptor f = candidate_faces.face(h);
-				if (f == Polygon_mesh::null_face())
-					continue;
-
-				Vertex_descriptor sd = candidate_faces.source(h);
-				Vertex_descriptor td = candidate_faces.target(h);
-				const std::set<const Plane*>& set_s = vertex_supporting_planes[sd];
-				const std::set<const Plane*>& set_t = vertex_supporting_planes[td];
-				CGAL_assertion(set_s.size() == 3);
-				CGAL_assertion(set_t.size() == 3);
-
-				std::vector<const Plane*> s_planes(set_s.begin(), set_s.end());
-				CGAL_assertion(s_planes[0] < s_planes[1]);
-				CGAL_assertion(s_planes[1] < s_planes[2]);
-				const Point* s = triplet_intersections_[s_planes[0]][s_planes[1]][s_planes[2]];
-
-				std::vector<const Plane*> t_planes(set_t.begin(), set_t.end());
-				CGAL_assertion(t_planes[0] < t_planes[1]);
-				CGAL_assertion(t_planes[1] < t_planes[2]);
-				const Point* t = triplet_intersections_[t_planes[0]][t_planes[1]][t_planes[2]];
-
-				if (s > t)
-					std::swap(s, t);
-				face_pool[s][t].insert(candidate_faces.halfedge(f));
-			}
-
-			Adjacency fans;
-			typename Face_pool::const_iterator it = face_pool.begin();
-			for (; it != face_pool.end(); ++it) {
-				const Point* s = it->first;
-				const Edge_map& tmp = it->second;
-				typename Edge_map::const_iterator cur = tmp.begin();
-				for (; cur != tmp.end(); ++cur) {
-					const Point* t = cur->first;
-					const std::set<Halfedge_descriptor>& faces = cur->second;
-					Intersection fan;
-					fan.s = s;
-					fan.t = t;
-					fan.insert(fan.end(), faces.begin(), faces.end());
-					fans.push_back(fan);
-				}
-			}
+                                Face_descriptor f = candidate_faces.face(h);
+                                if (f == Polygon_mesh::null_face())
+                                        continue;
+
+                                Vertex_descriptor sd = candidate_faces.source(h);
+                                Vertex_descriptor td = candidate_faces.target(h);
+                                const std::set<const Plane*>& set_s = vertex_supporting_planes[sd];
+                                const std::set<const Plane*>& set_t = vertex_supporting_planes[td];
+                                CGAL_assertion(set_s.size() == 3);
+                                CGAL_assertion(set_t.size() == 3);
+
+                                std::vector<const Plane*> s_planes(set_s.begin(), set_s.end());
+                                CGAL_assertion(s_planes[0] < s_planes[1]);
+                                CGAL_assertion(s_planes[1] < s_planes[2]);
+                                const Point* s = triplet_intersections_[s_planes[0]][s_planes[1]][s_planes[2]];
+
+                                std::vector<const Plane*> t_planes(set_t.begin(), set_t.end());
+                                CGAL_assertion(t_planes[0] < t_planes[1]);
+                                CGAL_assertion(t_planes[1] < t_planes[2]);
+                                const Point* t = triplet_intersections_[t_planes[0]][t_planes[1]][t_planes[2]];
+
+                                if (s > t)
+                                        std::swap(s, t);
+                                face_pool[s][t].insert(candidate_faces.halfedge(f));
+                        }
+
+                        Adjacency fans;
+                        typename Face_pool::const_iterator it = face_pool.begin();
+                        for (; it != face_pool.end(); ++it) {
+                                const Point* s = it->first;
+                                const Edge_map& tmp = it->second;
+                                typename Edge_map::const_iterator cur = tmp.begin();
+                                for (; cur != tmp.end(); ++cur) {
+                                        const Point* t = cur->first;
+                                        const std::set<Halfedge_descriptor>& faces = cur->second;
+                                        Intersection fan;
+                                        fan.s = s;
+                                        fan.t = t;
+                                        fan.insert(fan.end(), faces.begin(), faces.end());
+                                        fans.push_back(fan);
+                                }
+                        }
 
-			return fans;
-		}
+                        return fans;
+                }
 
-	} //namespace internal
+        } //namespace internal
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/internal/info_check.h 5.0.3-1/include/CGAL/internal/info_check.h
--- 5.0.2-3/include/CGAL/internal/info_check.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/info_check.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/internal/info_check.h $
-// $Id: info_check.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/internal/info_check.h $
+// $Id: info_check.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -21,8 +21,8 @@ namespace CGAL {
 
 namespace internal{
 
-BOOST_MPL_HAS_XXX_TRAIT_NAMED_DEF(Has_typedef_Info,Info,false)  
- 
+BOOST_MPL_HAS_XXX_TRAIT_NAMED_DEF(Has_typedef_Info,Info,false)
+
 template <class T,bool has_info=Has_typedef_Info<T>::value>
  struct Info_check{
  struct type{};
diff -pruN 5.0.2-3/include/CGAL/internal/K_neighbor_search.h 5.0.3-1/include/CGAL/internal/K_neighbor_search.h
--- 5.0.2-3/include/CGAL/internal/K_neighbor_search.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/K_neighbor_search.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/internal/K_neighbor_search.h $
-// $Id: K_neighbor_search.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/internal/K_neighbor_search.h $
+// $Id: K_neighbor_search.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Hans Tangelder (<hanst@cs.uu.nl>)
 
@@ -28,7 +28,7 @@
 
 namespace CGAL {
 namespace internal{
-  
+
 template <class SearchTraits,class Distance_,class Splitter_,class Tree_>
 class K_neighbor_search {
 
@@ -54,18 +54,18 @@ protected:
 
   // Comparison functor to sort a set of points
   // in increasing or decreasing order (key is distance).
-  class Distance_larger 
+  class Distance_larger
   {
     bool search_nearest;
 
   public:
 
-    Distance_larger(bool search_the_nearest_neighbour) 
+    Distance_larger(bool search_the_nearest_neighbour)
       : search_nearest(search_the_nearest_neighbour)
     {}
 
-    bool operator()(const Point_ptr_with_transformed_distance& p1, 
-                    const Point_ptr_with_transformed_distance& p2) const  
+    bool operator()(const Point_ptr_with_transformed_distance& p1,
+                    const Point_ptr_with_transformed_distance& p2) const
     {
       if (search_nearest)
         return (p1.second < p2.second);
@@ -73,19 +73,19 @@ protected:
         return (p2.second < p1.second);
     }
   };
-  
+
   // Set of points, sorted by distance, in increasing or decreasing order.
   typedef internal::bounded_priority_queue<Point_ptr_with_transformed_distance,Distance_larger> BPqueue;
 
   struct Transform_pair{
     typedef Point_with_transformed_distance result_type;
-    
+
     result_type operator()(const Point_ptr_with_transformed_distance& pair) const {
       CGAL_precondition(pair.first!=nullptr);
       return std::make_pair(*(pair.first),pair.second);
     }
   };
-  
+
 public:
   //non-documented iterator
   typedef typename BPqueue::const_iterator                            advanced_iterator;
@@ -104,37 +104,37 @@ protected:
   Query_item query_object;
 
   BPqueue queue;// priority queue containing points, the top one is the search_nearest?:max:min
-  
-  
+
+
 
 protected:
 
-  // Test if we should continue searching 
-  inline bool branch(FT distance) 
+  // Test if we should continue searching
+  inline bool branch(FT distance)
   {
-    if (!queue.full()) 
+    if (!queue.full())
       return true;
     else
-      if (search_nearest) 
+      if (search_nearest)
         return (distance*multiplication_factor < queue.top().second);
-      else 
-        return (distance > queue.top().second*multiplication_factor);      
+      else
+        return (distance > queue.top().second*multiplication_factor);
   }
 
-  inline bool branch_nearest(FT distance) 
+  inline bool branch_nearest(FT distance)
   {
-    if (!queue.full()) 
+    if (!queue.full())
       return true;
     else
-        return (distance*multiplication_factor < queue.top().second);     
+        return (distance*multiplication_factor < queue.top().second);
   }
 
-  inline bool branch_furthest(FT distance) 
+  inline bool branch_furthest(FT distance)
   {
-    if (!queue.full()) 
+    if (!queue.full())
       return true;
     else
-        return (distance > queue.top().second*multiplication_factor);      
+        return (distance > queue.top().second*multiplication_factor);
   }
 
 public:
@@ -151,27 +151,27 @@ public:
 
   //non-documented iterator
   advanced_iterator advanced_begin() const  {return queue.begin();}
-  advanced_iterator advanced_end()   const  {return queue.end();}  
-  
+  advanced_iterator advanced_end()   const  {return queue.end();}
+
 
   // constructor
-  K_neighbor_search(const Query_item& q,  
+  K_neighbor_search(const Query_item& q,
     unsigned int k=1, FT Eps=FT(0.0), bool Search_nearest=true, const Distance& d=Distance())
-    : number_of_internal_nodes_visited(0), number_of_leaf_nodes_visited(0), number_of_items_visited(0), 
-      search_nearest(Search_nearest),distance_instance(d), multiplication_factor(distance_instance.transformed_distance(FT(1.0)+Eps)), query_object(q), 
+    : number_of_internal_nodes_visited(0), number_of_leaf_nodes_visited(0), number_of_items_visited(0),
+      search_nearest(Search_nearest),distance_instance(d), multiplication_factor(distance_instance.transformed_distance(FT(1.0)+Eps)), query_object(q),
      queue(k,Distance_larger(Search_nearest))
   {}
 
 
   // Prints statistics of the k_neighbor search process.
-  std::ostream& statistics (std::ostream& s) 
+  std::ostream& statistics (std::ostream& s)
   {
     s << "K_Neighbor search statistics:" << std::endl;
-    s << "Number of internal nodes visited:" 
+    s << "Number of internal nodes visited:"
       << number_of_internal_nodes_visited << std::endl;
-    s << "Number of leaf nodes visited:" 
+    s << "Number of leaf nodes visited:"
       << number_of_leaf_nodes_visited << std::endl;
-    s << "Number of items visited:" 
+    s << "Number of items visited:"
       << number_of_items_visited << std::endl;
     return s;
   }
@@ -179,7 +179,7 @@ public:
   int internals_visited(){
     return number_of_internal_nodes_visited;
   }
-  
+
   int leafs_visited(){
     return number_of_leaf_nodes_visited;
   }
@@ -187,7 +187,7 @@ public:
   int items_visited(){
     return number_of_items_visited;
   }
-}; // class 
+}; // class
 
 }} // namespace CGAL::internal
 
diff -pruN 5.0.2-3/include/CGAL/internal/Lazy_alpha_nt_2.h 5.0.3-1/include/CGAL/internal/Lazy_alpha_nt_2.h
--- 5.0.2-3/include/CGAL/internal/Lazy_alpha_nt_2.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Lazy_alpha_nt_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Alpha_shapes_2/include/CGAL/internal/Lazy_alpha_nt_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Alpha_shapes_2/include/CGAL/internal/Lazy_alpha_nt_2.h $
 // $Id: Lazy_alpha_nt_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Lazy_alpha_nt_3.h 5.0.3-1/include/CGAL/internal/Lazy_alpha_nt_3.h
--- 5.0.2-3/include/CGAL/internal/Lazy_alpha_nt_3.h	2020-02-21 20:02:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Lazy_alpha_nt_3.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Alpha_shapes_3/include/CGAL/internal/Lazy_alpha_nt_3.h $
-// $Id: Lazy_alpha_nt_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Alpha_shapes_3/include/CGAL/internal/Lazy_alpha_nt_3.h $
+// $Id: Lazy_alpha_nt_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sébastien Loriot <sebastien.loriot@geometryfactory.com>
@@ -76,7 +76,7 @@ struct Input_points_for_lazy_alpha_nt_3
   const T* p3;
 };
 
-//non-weighted case  
+//non-weighted case
 template <class Weighted_tag,class Input_traits,class Kernel_input,class Kernel_approx,class Kernel_exact>
 struct Types_for_alpha_nt_3
 {
@@ -87,12 +87,12 @@ struct Types_for_alpha_nt_3
   typedef typename Kernel_approx::Point_3                          Approx_point;
   typedef typename Kernel_exact::Point_3                           Exact_point;
   typedef typename Input_traits::Point_3                           Input_point;
-//Constructions 
+//Constructions
   typedef typename Kernel_approx::Compute_squared_radius_3         Approx_squared_radius;
   typedef typename Kernel_exact::Compute_squared_radius_3          Exact_squared_radius;
 };
-  
-  
+
+
 //weighted case
 template <class Input_traits,class Kernel_input,class Kernel_approx,class Kernel_exact>
 struct Types_for_alpha_nt_3< ::CGAL::Tag_true,Input_traits,Kernel_input,Kernel_approx,Kernel_exact>
@@ -104,7 +104,7 @@ struct Types_for_alpha_nt_3< ::CGAL::Tag
   typedef typename Kernel_approx::Weighted_point_3 Approx_point;
   typedef typename Kernel_exact::Weighted_point_3  Exact_point;
   typedef typename Input_traits::Weighted_point_3  Input_point;
-//Constructions 
+//Constructions
   typedef typename Kernel_approx::Compute_squared_radius_smallest_orthogonal_sphere_3           Approx_squared_radius;
   typedef typename Kernel_exact::Compute_squared_radius_smallest_orthogonal_sphere_3            Exact_squared_radius;
 };
@@ -120,17 +120,17 @@ class Lazy_alpha_nt_3{
   typedef CGAL::Simple_cartesian<NT_exact>                                                      Kernel_exact;
   typedef typename Kernel_traits<typename Input_traits::Point_3>::Kernel   Kernel_input;
 
-//Helper class for weighted and non-weighted case  
-  typedef Types_for_alpha_nt_3<Weighted_tag,Input_traits,Kernel_input,Kernel_approx,Kernel_exact> Types;  
-  
+//Helper class for weighted and non-weighted case
+  typedef Types_for_alpha_nt_3<Weighted_tag,Input_traits,Kernel_input,Kernel_approx,Kernel_exact> Types;
+
 //Converters
   typedef typename Types::To_approx                                                             To_approx;
   typedef typename Types::To_exact                                                              To_exact;
- 
+
 //Constructions class
   typedef typename Types::Approx_squared_radius                                                 Approx_squared_radius;
   typedef typename Types::Exact_squared_radius                                                  Exact_squared_radius;
-  
+
 //Point
   typedef typename Types::Approx_point                                                          Approx_point;
   typedef typename Types::Exact_point                                                           Exact_point;
@@ -145,7 +145,7 @@ class Lazy_alpha_nt_3{
     To_approx converter;
     return converter(wp);
   }
-  
+
   Exact_point to_exact(const Input_point& wp) const
   {
     // The traits class' Point_3 must be convertible using the Cartesian converter
@@ -156,7 +156,7 @@ class Lazy_alpha_nt_3{
     return converter(wp);
   }
 
-//members  
+//members
   //the members can be updated when calling method exact()
   mutable boost::optional<NT_exact> exact_;
   mutable NT_approx approx_;
@@ -208,7 +208,7 @@ public:
         CGAL_assertion(false);
     }
   }
-  
+
   void set_approx(){
     switch (data().nbpts){
       case 1:
@@ -225,7 +225,7 @@ public:
       break;
       default:
         CGAL_assertion(false);
-    }    
+    }
   }
 
   const NT_exact& exact() const {
@@ -239,7 +239,7 @@ public:
   const NT_approx& approx() const{
     return approx_;
   }
-//Constructors  
+//Constructors
   Lazy_alpha_nt_3()
    : exact_(Exact_nt(0)),approx_(0)
   {
@@ -249,7 +249,7 @@ public:
     data().p2=nullptr;
     data().p3=nullptr;
   }
-  
+
   Lazy_alpha_nt_3(double d)
    : exact_(Exact_nt(d)),approx_(d)
   {
@@ -259,7 +259,7 @@ public:
     data().p2=nullptr;
     data().p3=nullptr;
   }
-  
+
   Lazy_alpha_nt_3(const Input_point& wp1)
   {
     data().nbpts=1;
@@ -305,7 +305,7 @@ public:
     data().p3=&wp4;
     set_approx();
   }
-    
+
   #define CGAL_LANT_COMPARE_FUNCTIONS(CMP) \
   bool \
   operator CMP (const Lazy_alpha_nt_3<Input_traits,mode,Weighted_tag> &other) const \
@@ -324,7 +324,7 @@ public:
   CGAL_LANT_COMPARE_FUNCTIONS(==)
   CGAL_LANT_COMPARE_FUNCTIONS(!=)
 
-  #undef CGAL_LANT_COMPARE_FUNCTIONS  
+  #undef CGAL_LANT_COMPARE_FUNCTIONS
 };
 
 template<class Input_traits, bool mode, class Weighted_tag>
@@ -332,7 +332,7 @@ std::ostream&
 operator<< (std::ostream& os,const Lazy_alpha_nt_3<Input_traits,mode,Weighted_tag>& a){
   return os << ::CGAL::to_double(a.approx());
 }
-  
+
 //small class to select predicate in weighted and unweighted case
 template <class GeomTraits,class Weighted_tag>
 struct iCompute_squared_radius_3;
@@ -359,22 +359,22 @@ struct iCompute_squared_radius_3<GeomTra
 
 template <class Type_of_alpha,class Point>
 struct Lazy_compute_squared_radius_3 {
-  Type_of_alpha operator() (const Point& p, 
-                 const Point& q , 
-                 const Point& r, 
+  Type_of_alpha operator() (const Point& p,
+                 const Point& q ,
+                 const Point& r,
                  const Point& s)
   {return Type_of_alpha(p,q,r,s);}
 
-  Type_of_alpha operator() ( const Point& p, 
-                  const Point& q , 
+  Type_of_alpha operator() ( const Point& p,
+                  const Point& q ,
                   const Point& r)
   {return Type_of_alpha(p,q,r); }
 
-  Type_of_alpha operator() (const Point& p, 
+  Type_of_alpha operator() (const Point& p,
                  const Point& q )
   {return Type_of_alpha(p,q); }
 
-  Type_of_alpha operator() (const Point& p) 
+  Type_of_alpha operator() (const Point& p)
   {return Type_of_alpha(p);}
 };
 
@@ -396,7 +396,7 @@ struct Alpha_nt_selector_impl_3<GeomTrai
   typedef Lazy_compute_squared_radius_3<Type_of_alpha,typename GeomTraits::Point_3> Functor;
   struct Compute_squared_radius_3{
     template<class As>
-    Functor operator()(const As&){return Functor();}    
+    Functor operator()(const As&){return Functor();}
   };
 };
 
@@ -407,7 +407,7 @@ struct Alpha_nt_selector_impl_3<GeomTrai
   typedef Lazy_compute_squared_radius_3<Type_of_alpha,typename GeomTraits::Weighted_point_3> Functor;
   struct Compute_squared_radius_3{
     template<class As>
-    Functor operator()(const As&){return Functor();}    
+    Functor operator()(const As&){return Functor();}
   };
 };
 
diff -pruN 5.0.2-3/include/CGAL/internal/Mesh_3/Boundary_of_subdomain_of_complex_3_in_triangulation_3_to_off.h 5.0.3-1/include/CGAL/internal/Mesh_3/Boundary_of_subdomain_of_complex_3_in_triangulation_3_to_off.h
--- 5.0.2-3/include/CGAL/internal/Mesh_3/Boundary_of_subdomain_of_complex_3_in_triangulation_3_to_off.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Mesh_3/Boundary_of_subdomain_of_complex_3_in_triangulation_3_to_off.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/internal/Mesh_3/Boundary_of_subdomain_of_complex_3_in_triangulation_3_to_off.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/internal/Mesh_3/Boundary_of_subdomain_of_complex_3_in_triangulation_3_to_off.h $
 // $Id: Boundary_of_subdomain_of_complex_3_in_triangulation_3_to_off.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Mesh_3/check_weights.h 5.0.3-1/include/CGAL/internal/Mesh_3/check_weights.h
--- 5.0.2-3/include/CGAL/internal/Mesh_3/check_weights.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Mesh_3/check_weights.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/internal/Mesh_3/check_weights.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/internal/Mesh_3/check_weights.h $
 // $Id: check_weights.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Mesh_3/get_index.h 5.0.3-1/include/CGAL/internal/Mesh_3/get_index.h
--- 5.0.2-3/include/CGAL/internal/Mesh_3/get_index.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Mesh_3/get_index.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/internal/Mesh_3/get_index.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/internal/Mesh_3/get_index.h $
 // $Id: get_index.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Mesh_3/Graph_manipulations.h 5.0.3-1/include/CGAL/internal/Mesh_3/Graph_manipulations.h
--- 5.0.2-3/include/CGAL/internal/Mesh_3/Graph_manipulations.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Mesh_3/Graph_manipulations.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/internal/Mesh_3/Graph_manipulations.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/internal/Mesh_3/Graph_manipulations.h $
 // $Id: Graph_manipulations.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Mesh_3/Handle_IO_for_pair_of_int.h 5.0.3-1/include/CGAL/internal/Mesh_3/Handle_IO_for_pair_of_int.h
--- 5.0.2-3/include/CGAL/internal/Mesh_3/Handle_IO_for_pair_of_int.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Mesh_3/Handle_IO_for_pair_of_int.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/internal/Mesh_3/Handle_IO_for_pair_of_int.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/internal/Mesh_3/Handle_IO_for_pair_of_int.h $
 // $Id: Handle_IO_for_pair_of_int.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Mesh_3/helpers.h 5.0.3-1/include/CGAL/internal/Mesh_3/helpers.h
--- 5.0.2-3/include/CGAL/internal/Mesh_3/helpers.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Mesh_3/helpers.h	2020-08-01 19:02:31.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/internal/Mesh_3/helpers.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/internal/Mesh_3/helpers.h $
 // $Id: helpers.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Mesh_3/indices_management.h 5.0.3-1/include/CGAL/internal/Mesh_3/indices_management.h
--- 5.0.2-3/include/CGAL/internal/Mesh_3/indices_management.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Mesh_3/indices_management.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/internal/Mesh_3/indices_management.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/internal/Mesh_3/indices_management.h $
 // $Id: indices_management.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/parameters.h 5.0.3-1/include/CGAL/internal/parameters.h
--- 5.0.2-3/include/CGAL/internal/parameters.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/parameters.h	2020-08-01 19:02:41.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygonal_surface_reconstruction/include/CGAL/internal/parameters.h $
-// $Id: parameters.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygonal_surface_reconstruction/include/CGAL/internal/parameters.h $
+// $Id: parameters.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Liangliang Nan
@@ -15,16 +15,16 @@
 
 namespace CGAL {
 
-	/// When an intersecting point (at an edge, computed from a plane and an edge)
-	/// is very close to an existing vertex (i.e., an end point of an edge), we
-	/// snap the intersecting point to the existing vertex. This way we can avoid
-	/// many thin faces.
-	/// \note Value really doesn't matter as long as it is small (default is 1e-10).
-	///       So this parameter is not intended to be changed by the user.
-	template <class FT>
-	FT snap_squared_distance_threshold() {
-		return FT(1e-10);
-	}
+        /// When an intersecting point (at an edge, computed from a plane and an edge)
+        /// is very close to an existing vertex (i.e., an end point of an edge), we
+        /// snap the intersecting point to the existing vertex. This way we can avoid
+        /// many thin faces.
+        /// \note Value really doesn't matter as long as it is small (default is 1e-10).
+        ///       So this parameter is not intended to be changed by the user.
+        template <class FT>
+        FT snap_squared_distance_threshold() {
+                return FT(1e-10);
+        }
 
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_2_construct_point_2.h 5.0.3-1/include/CGAL/internal/Periodic_2_construct_point_2.h
--- 5.0.2-3/include/CGAL/internal/Periodic_2_construct_point_2.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_2_construct_point_2.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/internal/Periodic_2_construct_point_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/internal/Periodic_2_construct_point_2.h $
 // $Id: Periodic_2_construct_point_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_2_Delaunay_triangulation_filtered_traits_2.h 5.0.3-1/include/CGAL/internal/Periodic_2_Delaunay_triangulation_filtered_traits_2.h
--- 5.0.2-3/include/CGAL/internal/Periodic_2_Delaunay_triangulation_filtered_traits_2.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_2_Delaunay_triangulation_filtered_traits_2.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/internal/Periodic_2_Delaunay_triangulation_filtered_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/internal/Periodic_2_Delaunay_triangulation_filtered_traits_2.h $
 // $Id: Periodic_2_Delaunay_triangulation_filtered_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_2_Delaunay_triangulation_statically_filtered_traits_2.h 5.0.3-1/include/CGAL/internal/Periodic_2_Delaunay_triangulation_statically_filtered_traits_2.h
--- 5.0.2-3/include/CGAL/internal/Periodic_2_Delaunay_triangulation_statically_filtered_traits_2.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_2_Delaunay_triangulation_statically_filtered_traits_2.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/internal/Periodic_2_Delaunay_triangulation_statically_filtered_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/internal/Periodic_2_Delaunay_triangulation_statically_filtered_traits_2.h $
 // $Id: Periodic_2_Delaunay_triangulation_statically_filtered_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_2_triangulation_filtered_traits_2.h 5.0.3-1/include/CGAL/internal/Periodic_2_triangulation_filtered_traits_2.h
--- 5.0.2-3/include/CGAL/internal/Periodic_2_triangulation_filtered_traits_2.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_2_triangulation_filtered_traits_2.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/internal/Periodic_2_triangulation_filtered_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/internal/Periodic_2_triangulation_filtered_traits_2.h $
 // $Id: Periodic_2_triangulation_filtered_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_2_triangulation_statically_filtered_traits_2.h 5.0.3-1/include/CGAL/internal/Periodic_2_triangulation_statically_filtered_traits_2.h
--- 5.0.2-3/include/CGAL/internal/Periodic_2_triangulation_statically_filtered_traits_2.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_2_triangulation_statically_filtered_traits_2.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/internal/Periodic_2_triangulation_statically_filtered_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/internal/Periodic_2_triangulation_statically_filtered_traits_2.h $
 // $Id: Periodic_2_triangulation_statically_filtered_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_3_construct_point_3.h 5.0.3-1/include/CGAL/internal/Periodic_3_construct_point_3.h
--- 5.0.2-3/include/CGAL/internal/Periodic_3_construct_point_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_3_construct_point_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_construct_point_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_construct_point_3.h $
 // $Id: Periodic_3_construct_point_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_3_construct_weighted_point_3.h 5.0.3-1/include/CGAL/internal/Periodic_3_construct_weighted_point_3.h
--- 5.0.2-3/include/CGAL/internal/Periodic_3_construct_weighted_point_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_3_construct_weighted_point_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_construct_weighted_point_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_construct_weighted_point_3.h $
 // $Id: Periodic_3_construct_weighted_point_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_3_Delaunay_triangulation_filtered_traits_3.h 5.0.3-1/include/CGAL/internal/Periodic_3_Delaunay_triangulation_filtered_traits_3.h
--- 5.0.2-3/include/CGAL/internal/Periodic_3_Delaunay_triangulation_filtered_traits_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_3_Delaunay_triangulation_filtered_traits_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_Delaunay_triangulation_filtered_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_Delaunay_triangulation_filtered_traits_3.h $
 // $Id: Periodic_3_Delaunay_triangulation_filtered_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_3_Delaunay_triangulation_remove_traits_3.h 5.0.3-1/include/CGAL/internal/Periodic_3_Delaunay_triangulation_remove_traits_3.h
--- 5.0.2-3/include/CGAL/internal/Periodic_3_Delaunay_triangulation_remove_traits_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_3_Delaunay_triangulation_remove_traits_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_Delaunay_triangulation_remove_traits_3.h $
-// $Id: Periodic_3_Delaunay_triangulation_remove_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_Delaunay_triangulation_remove_traits_3.h $
+// $Id: Periodic_3_Delaunay_triangulation_remove_traits_3.h 2e8a59d 2020-07-21T15:25:54+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -40,7 +40,15 @@ public:
 
   using Base::operator();
 
-  const Point_3& operator()(const Point_3& p) { return p; }
+  template<typename F>
+  struct result : Base::template result<F> {};
+
+  template<typename F>
+  struct result<F(Point_3)> {
+    typedef const Point_3& type;
+  };
+
+  const Point_3& operator()(const Point_3& p) const { return p; }
 };
 
 template < class Traits_, class Functor_ >
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_3_Delaunay_triangulation_statically_filtered_traits_3.h 5.0.3-1/include/CGAL/internal/Periodic_3_Delaunay_triangulation_statically_filtered_traits_3.h
--- 5.0.2-3/include/CGAL/internal/Periodic_3_Delaunay_triangulation_statically_filtered_traits_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_3_Delaunay_triangulation_statically_filtered_traits_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_Delaunay_triangulation_statically_filtered_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_Delaunay_triangulation_statically_filtered_traits_3.h $
 // $Id: Periodic_3_Delaunay_triangulation_statically_filtered_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_3_regular_triangulation_dummy_288.h 5.0.3-1/include/CGAL/internal/Periodic_3_regular_triangulation_dummy_288.h
--- 5.0.2-3/include/CGAL/internal/Periodic_3_regular_triangulation_dummy_288.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_3_regular_triangulation_dummy_288.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_regular_triangulation_dummy_288.h $
-// $Id: Periodic_3_regular_triangulation_dummy_288.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_regular_triangulation_dummy_288.h $
+// $Id: Periodic_3_regular_triangulation_dummy_288.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -5531,7 +5531,7 @@ static const unsigned C[288] = {
   1726,
   1727
 };
- 
+
   this->clear();
 
   std::vector<Vertex_handle> vertices;
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_3_regular_triangulation_filtered_traits_3.h 5.0.3-1/include/CGAL/internal/Periodic_3_regular_triangulation_filtered_traits_3.h
--- 5.0.2-3/include/CGAL/internal/Periodic_3_regular_triangulation_filtered_traits_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_3_regular_triangulation_filtered_traits_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_regular_triangulation_filtered_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_regular_triangulation_filtered_traits_3.h $
 // $Id: Periodic_3_regular_triangulation_filtered_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_3_regular_triangulation_remove_traits_3.h 5.0.3-1/include/CGAL/internal/Periodic_3_regular_triangulation_remove_traits_3.h
--- 5.0.2-3/include/CGAL/internal/Periodic_3_regular_triangulation_remove_traits_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_3_regular_triangulation_remove_traits_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_regular_triangulation_remove_traits_3.h $
-// $Id: Periodic_3_regular_triangulation_remove_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_regular_triangulation_remove_traits_3.h $
+// $Id: Periodic_3_regular_triangulation_remove_traits_3.h 2e8a59d 2020-07-21T15:25:54+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -49,7 +49,15 @@ public:
 
   using Base::operator(); // for K::Weighted_point_3 to Point_3
 
-  Point_3 operator()(const Weighted_point_3& wp) {
+  template<typename F>
+  struct result : Base::template result<F> {};
+
+  template<typename F>
+  struct result<F(Weighted_point_3)> {
+    typedef Point_3 type;
+  };
+
+  Point_3 operator()(const Weighted_point_3& wp) const {
     return std::make_pair(operator()(wp.first), wp.second /* offset */);
   }
 };
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_3_regular_triangulation_statically_filtered_traits_3.h 5.0.3-1/include/CGAL/internal/Periodic_3_regular_triangulation_statically_filtered_traits_3.h
--- 5.0.2-3/include/CGAL/internal/Periodic_3_regular_triangulation_statically_filtered_traits_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_3_regular_triangulation_statically_filtered_traits_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_regular_triangulation_statically_filtered_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_regular_triangulation_statically_filtered_traits_3.h $
 // $Id: Periodic_3_regular_triangulation_statically_filtered_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_3_triangulation_dummy_36.h 5.0.3-1/include/CGAL/internal/Periodic_3_triangulation_dummy_36.h
--- 5.0.2-3/include/CGAL/internal/Periodic_3_triangulation_dummy_36.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_3_triangulation_dummy_36.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_triangulation_dummy_36.h $
-// $Id: Periodic_3_triangulation_dummy_36.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_triangulation_dummy_36.h $
+// $Id: Periodic_3_triangulation_dummy_36.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -16,7 +16,7 @@ template < class GT, class TDS >
 inline std::vector<typename Periodic_3_triangulation_3<GT,TDS>::Vertex_handle >
 Periodic_3_triangulation_3<GT,TDS>::insert_dummy_points() {
 
-    
+
 static const unsigned V[216][4] = {
   { 3, 9, 4, 12 },
   { 28, 8, 3, 6 },
@@ -236,7 +236,7 @@ static const unsigned V[216][4] = {
   { 35, 0, 34, 32 }
 };
 
-  
+
 static const unsigned N[216][4] = {
    { 48, 7, 76, 55 },
    { 69, 118, 79, 149 },
@@ -674,7 +674,7 @@ static const int O[216][4] = {
   { 0,5,5,4 },
   { 6,7,2,4 }
 };
- 
+
   clear();
 
   Vertex_handle vertices[36];
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_3_triangulation_filtered_traits_3.h 5.0.3-1/include/CGAL/internal/Periodic_3_triangulation_filtered_traits_3.h
--- 5.0.2-3/include/CGAL/internal/Periodic_3_triangulation_filtered_traits_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_3_triangulation_filtered_traits_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_triangulation_filtered_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_triangulation_filtered_traits_3.h $
 // $Id: Periodic_3_triangulation_filtered_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_3_triangulation_iterators_3.h 5.0.3-1/include/CGAL/internal/Periodic_3_triangulation_iterators_3.h
--- 5.0.2-3/include/CGAL/internal/Periodic_3_triangulation_iterators_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_3_triangulation_iterators_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_triangulation_iterators_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_triangulation_iterators_3.h $
 // $Id: Periodic_3_triangulation_iterators_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_3_triangulation_remove_traits_3.h 5.0.3-1/include/CGAL/internal/Periodic_3_triangulation_remove_traits_3.h
--- 5.0.2-3/include/CGAL/internal/Periodic_3_triangulation_remove_traits_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_3_triangulation_remove_traits_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_triangulation_remove_traits_3.h $
-// $Id: Periodic_3_triangulation_remove_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_triangulation_remove_traits_3.h $
+// $Id: Periodic_3_triangulation_remove_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Manuel Caroli <Manuel.Caroli@sophia.inria.fr>
 
@@ -20,7 +20,7 @@
 #include <CGAL/triangulation_assertions.h>
 #include <CGAL/Periodic_3_offset_3.h>
 
-namespace CGAL { 
+namespace CGAL {
 
 // Triangulation_3 has calls to Construct_point_3 to handle weighted and bare points.
 // The default inherited Construct_point_3 inherited by Periodic_3_triangulation_remove_traits_3
@@ -51,22 +51,22 @@ public:
 
   result_type operator()(const Point& p0, const Point& p1) const {
     return _functor(p0.first, p1.first,
-	p0.second, p1.second);
+        p0.second, p1.second);
   }
   result_type operator()(const Point& p0, const Point& p1,
       const Point& p2) const {
     return _functor(p0.first, p1.first, p2.first,
-	p0.second, p1.second, p2.second);
+        p0.second, p1.second, p2.second);
   }
   result_type operator()(const Point& p0, const Point& p1,
       const Point& p2, const Point& p3) const {
     return _functor(p0.first, p1.first, p2.first, p3.first,
-	p0.second, p1.second, p2.second, p3.second);
+        p0.second, p1.second, p2.second, p3.second);
   }
   result_type operator()(const Point& p0, const Point& p1,
       const Point& p2, const Point& p3, const Point& p4) const {
     return _functor(p0.first, p1.first, p2.first, p3.first, p4.first,
-	p0.second, p1.second, p2.second, p3.second, p4.second);
+        p0.second, p1.second, p2.second, p3.second, p4.second);
   }
 
 private:
@@ -105,10 +105,10 @@ public:
       Coplanar_orientation_3;
   typedef Point_offset_adaptor<Self, typename PT::Orientation_3>
       Orientation_3;
-  
+
   // Delaunay Triangulation traits
   typedef Point_offset_adaptor<Self,
-	  typename PT::Coplanar_side_of_bounded_circle_3>
+          typename PT::Coplanar_side_of_bounded_circle_3>
       Coplanar_side_of_bounded_circle_3;
   typedef Point_offset_adaptor<Self, typename PT::Side_of_oriented_sphere_3>
       Side_of_oriented_sphere_3;
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_3_triangulation_statically_filtered_traits_3.h 5.0.3-1/include/CGAL/internal/Periodic_3_triangulation_statically_filtered_traits_3.h
--- 5.0.2-3/include/CGAL/internal/Periodic_3_triangulation_statically_filtered_traits_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_3_triangulation_statically_filtered_traits_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_triangulation_statically_filtered_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Periodic_3_triangulation_statically_filtered_traits_3.h $
 // $Id: Periodic_3_triangulation_statically_filtered_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Periodic_4_hyperbolic_triangulation_dummy_14.h 5.0.3-1/include/CGAL/internal/Periodic_4_hyperbolic_triangulation_dummy_14.h
--- 5.0.2-3/include/CGAL/internal/Periodic_4_hyperbolic_triangulation_dummy_14.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Periodic_4_hyperbolic_triangulation_dummy_14.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_4_hyperbolic_triangulation_2/include/CGAL/internal/Periodic_4_hyperbolic_triangulation_dummy_14.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_4_hyperbolic_triangulation_2/include/CGAL/internal/Periodic_4_hyperbolic_triangulation_dummy_14.h $
 // $Id: Periodic_4_hyperbolic_triangulation_dummy_14.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/point_set_with_planes.h 5.0.3-1/include/CGAL/internal/point_set_with_planes.h
--- 5.0.2-3/include/CGAL/internal/point_set_with_planes.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/point_set_with_planes.h	2020-08-01 19:02:41.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygonal_surface_reconstruction/include/CGAL/internal/point_set_with_planes.h $
-// $Id: point_set_with_planes.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygonal_surface_reconstruction/include/CGAL/internal/point_set_with_planes.h $
+// $Id: point_set_with_planes.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Liangliang Nan
@@ -27,154 +27,154 @@
 namespace CGAL {
 
 
-	namespace internal {
+        namespace internal {
 
-		// forward declaration
-		template <typename Kernel>
-		class Point_set_with_planes;
-
-
-		/**
-		*	A group of points (represented by their indices) belonging to a planar segment in a point set.
-		*/
-		template <typename Kernel>
-		class Planar_segment : public std::vector<std::size_t>
-		{
-		public:
-                        typedef typename Kernel::Point_3            	Point;
-                        typedef typename Kernel::Plane_3		Plane;
-                        typedef internal::Point_set_with_planes<Kernel>	Point_set;
-
-		public:
-
-			// \param point_set the point set that owns this planar segment.
-			Planar_segment(Point_set* point_set) : point_set_(point_set), supporting_plane_(nullptr) {}
-			~Planar_segment() {}
-
-			Point_set* point_set() { return point_set_; }
-			void set_point_set(Point_set* point_set) { point_set_ = point_set; }
-
-			// Fits and returns the supporting plane of this planar segment
-			Plane* fit_supporting_plane() {
-				const typename Point_set::Point_map& points = point_set_->point_map();
-				std::list<Point> pts;
-				for (std::size_t i = 0; i < size(); ++i) {
-					std::size_t idx = at(i);
-					pts.push_back(points[idx]);
-				}
-
-				if (supporting_plane_)
-					delete supporting_plane_;
-				supporting_plane_ = new Plane;
-				CGAL::linear_least_squares_fitting_3(pts.begin(), pts.end(), *supporting_plane_, CGAL::Dimension_tag<0>());
-				return supporting_plane_;
-			}
-
-			// Returns the supporting plane of this planar segment.
-			// \note Returned plane is valid only if fit_supporting_plane() has been called.
-			Plane* supporting_plane() const { return supporting_plane_; }
-
-		private:
-                        Point_set * 	point_set_;
-                        Plane *		supporting_plane_; // The hypothesis generator owns this plane and manages the memory
-		};
-
-
-		/**
-		*	An enriched point set that stores the extracted planar segments
-		*/
-		template <typename Kernel>
-		class Point_set_with_planes : public Point_set_3<typename Kernel::Point_3>
-		{
-		public:
-
-			typedef Point_set_3<typename Kernel::Point_3>	Base_class;
-                        typedef Point_set_with_planes<Kernel>		This_class;
-
-                        typedef typename Kernel::FT			FT;
-                        typedef typename Kernel::Point_3		Point;
-                        typedef typename Kernel::Vector_3		Vector;
-                        typedef typename Kernel::Plane_3		Plane;
-                        typedef internal::Planar_segment<Kernel>	Planar_segment;
-
-		public:
-
-			/*!
-			\tparam PointRange The range of input points.
-
-			\tparam PointMap is a model of `ReadablePropertyMap` with value
-			type `Point_3<Kernel > `.
-
-			\tparam NormalMap is a model of `ReadablePropertyMap` with value
-			type `Vector_3<Kernel > `.
-
-			\tparam PlaneIndexMap is a model of `ReadablePropertyMap` with value
-			type `int `.
-
-			\param point_range the input point range.
-
-			\param point_map property map: value_type of `InputIterator` -> Point_3.
-
-			\param normal_map property map: value_type of `InputIterator` -> Vector_3.
-
-			\param plane_index_map property map: value_type of `InputIterator` -> int,
-			denoting the index of the plane it belongs to.
-			*/
-			template <
-				typename PointRange,
-				typename PointMap,
-				typename NormalMap,
-				typename PlaneIndexMap
-			>
-				Point_set_with_planes(
-					const PointRange& points,
-					PointMap point_map,
-					NormalMap normal_map,
-					PlaneIndexMap plane_index_map
-				)
-			{
-				Base_class::resize(points.size());
-				Base_class::add_normal_map();
-
-				// Gets to know the number of plane from the plane indices
-				int max_plane_index = 0;
-				for (typename PointRange::const_iterator it = points.begin(); it != points.end(); ++it) {
-					int plane_index = get(plane_index_map, *it);
-					if (plane_index > max_plane_index)
-						max_plane_index = plane_index;
-				}
-				std::size_t num_plane = max_plane_index + 1; // the first one has index 0
-
-				for (std::size_t i = 0; i < num_plane; ++i)
-					planar_segments_.push_back(new Planar_segment(this));
-
-				std::size_t idx = 0;
-				for (typename PointRange::const_iterator it = points.begin(); it != points.end(); ++it) {
-					Base_class::m_points[idx] = get(point_map, *it);
-					Base_class::m_normals[idx] = get(normal_map, *it);
-					int plane_index = get(plane_index_map, *it);
-					if (plane_index != -1) {
-						Planar_segment* ps = planar_segments_[plane_index];
-						ps->push_back(idx);
-					}
-
-					++idx;
-				}
-			}
-
-			~Point_set_with_planes() {
-				for (std::size_t i = 0; i < planar_segments_.size(); ++i)
-					delete planar_segments_[i];
-			}
-
-			std::vector< Planar_segment* >& planar_segments() { return planar_segments_; }
-			const std::vector< Planar_segment* >& planar_segments() const { return planar_segments_; }
-
-		private:
-			std::vector< Planar_segment* > planar_segments_;
-		};
+                // forward declaration
+                template <typename Kernel>
+                class Point_set_with_planes;
+
+
+                /**
+                *        A group of points (represented by their indices) belonging to a planar segment in a point set.
+                */
+                template <typename Kernel>
+                class Planar_segment : public std::vector<std::size_t>
+                {
+                public:
+                        typedef typename Kernel::Point_3                    Point;
+                        typedef typename Kernel::Plane_3                Plane;
+                        typedef internal::Point_set_with_planes<Kernel>        Point_set;
+
+                public:
+
+                        // \param point_set the point set that owns this planar segment.
+                        Planar_segment(Point_set* point_set) : point_set_(point_set), supporting_plane_(nullptr) {}
+                        ~Planar_segment() {}
+
+                        Point_set* point_set() { return point_set_; }
+                        void set_point_set(Point_set* point_set) { point_set_ = point_set; }
+
+                        // Fits and returns the supporting plane of this planar segment
+                        Plane* fit_supporting_plane() {
+                                const typename Point_set::Point_map& points = point_set_->point_map();
+                                std::list<Point> pts;
+                                for (std::size_t i = 0; i < size(); ++i) {
+                                        std::size_t idx = at(i);
+                                        pts.push_back(points[idx]);
+                                }
+
+                                if (supporting_plane_)
+                                        delete supporting_plane_;
+                                supporting_plane_ = new Plane;
+                                CGAL::linear_least_squares_fitting_3(pts.begin(), pts.end(), *supporting_plane_, CGAL::Dimension_tag<0>());
+                                return supporting_plane_;
+                        }
+
+                        // Returns the supporting plane of this planar segment.
+                        // \note Returned plane is valid only if fit_supporting_plane() has been called.
+                        Plane* supporting_plane() const { return supporting_plane_; }
+
+                private:
+                        Point_set *         point_set_;
+                        Plane *                supporting_plane_; // The hypothesis generator owns this plane and manages the memory
+                };
+
+
+                /**
+                *        An enriched point set that stores the extracted planar segments
+                */
+                template <typename Kernel>
+                class Point_set_with_planes : public Point_set_3<typename Kernel::Point_3>
+                {
+                public:
+
+                        typedef Point_set_3<typename Kernel::Point_3>        Base_class;
+                        typedef Point_set_with_planes<Kernel>                This_class;
+
+                        typedef typename Kernel::FT                        FT;
+                        typedef typename Kernel::Point_3                Point;
+                        typedef typename Kernel::Vector_3                Vector;
+                        typedef typename Kernel::Plane_3                Plane;
+                        typedef internal::Planar_segment<Kernel>        Planar_segment;
+
+                public:
+
+                        /*!
+                        \tparam PointRange The range of input points.
+
+                        \tparam PointMap is a model of `ReadablePropertyMap` with value
+                        type `Point_3<Kernel > `.
+
+                        \tparam NormalMap is a model of `ReadablePropertyMap` with value
+                        type `Vector_3<Kernel > `.
+
+                        \tparam PlaneIndexMap is a model of `ReadablePropertyMap` with value
+                        type `int `.
+
+                        \param point_range the input point range.
+
+                        \param point_map property map: value_type of `InputIterator` -> Point_3.
+
+                        \param normal_map property map: value_type of `InputIterator` -> Vector_3.
+
+                        \param plane_index_map property map: value_type of `InputIterator` -> int,
+                        denoting the index of the plane it belongs to.
+                        */
+                        template <
+                                typename PointRange,
+                                typename PointMap,
+                                typename NormalMap,
+                                typename PlaneIndexMap
+                        >
+                                Point_set_with_planes(
+                                        const PointRange& points,
+                                        PointMap point_map,
+                                        NormalMap normal_map,
+                                        PlaneIndexMap plane_index_map
+                                )
+                        {
+                                Base_class::resize(points.size());
+                                Base_class::add_normal_map();
+
+                                // Gets to know the number of plane from the plane indices
+                                int max_plane_index = 0;
+                                for (typename PointRange::const_iterator it = points.begin(); it != points.end(); ++it) {
+                                        int plane_index = get(plane_index_map, *it);
+                                        if (plane_index > max_plane_index)
+                                                max_plane_index = plane_index;
+                                }
+                                std::size_t num_plane = max_plane_index + 1; // the first one has index 0
+
+                                for (std::size_t i = 0; i < num_plane; ++i)
+                                        planar_segments_.push_back(new Planar_segment(this));
+
+                                std::size_t idx = 0;
+                                for (typename PointRange::const_iterator it = points.begin(); it != points.end(); ++it) {
+                                        Base_class::m_points[idx] = get(point_map, *it);
+                                        Base_class::m_normals[idx] = get(normal_map, *it);
+                                        int plane_index = get(plane_index_map, *it);
+                                        if (plane_index != -1) {
+                                                Planar_segment* ps = planar_segments_[plane_index];
+                                                ps->push_back(idx);
+                                        }
+
+                                        ++idx;
+                                }
+                        }
+
+                        ~Point_set_with_planes() {
+                                for (std::size_t i = 0; i < planar_segments_.size(); ++i)
+                                        delete planar_segments_[i];
+                        }
+
+                        std::vector< Planar_segment* >& planar_segments() { return planar_segments_; }
+                        const std::vector< Planar_segment* >& planar_segments() const { return planar_segments_; }
+
+                private:
+                        std::vector< Planar_segment* > planar_segments_;
+                };
 
-	} //namespace internal
+        } //namespace internal
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/internal/Projection_traits_3.h 5.0.3-1/include/CGAL/internal/Projection_traits_3.h
--- 5.0.2-3/include/CGAL/internal/Projection_traits_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Projection_traits_3.h	2020-08-01 19:02:27.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/internal/Projection_traits_3.h $
-// $Id: Projection_traits_3.h 88d3545 2020-01-07T14:46:27+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/internal/Projection_traits_3.h $
+// $Id: Projection_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Mariette Yvinec, Sebastien Loriot, Mael Rouxel-Labbé
@@ -20,7 +20,7 @@
 
 #include <CGAL/Kernel/global_functions_2.h>
 
-namespace CGAL { 
+namespace CGAL {
 
 namespace internal {
 
@@ -37,8 +37,8 @@ struct Projector<R,0>
   typedef typename R::Compare_y_3             Compare_x_2;
   typedef typename R::Compare_z_3             Compare_y_2;
   typedef typename R::Equal_y_3               Equal_x_2;
-  typedef typename R::Equal_z_3               Equal_y_2;  
-  
+  typedef typename R::Equal_z_3               Equal_y_2;
+
   static typename R::FT x(const typename R::Point_3& p) {return p.y();}
   static typename R::FT y(const typename R::Point_3& p) {return p.z();}
   static typename R::FT x(const typename R::Vector_3& p) {return p.y();}
@@ -54,16 +54,16 @@ struct Projector<R,1>
   typedef typename R::Less_x_3                Less_x_2;
   typedef typename R::Less_z_3                Less_y_2;
   typedef typename R::Compare_x_3             Compare_x_2;
-  typedef typename R::Compare_z_3             Compare_y_2;  
+  typedef typename R::Compare_z_3             Compare_y_2;
   typedef typename R::Equal_x_3               Equal_x_2;
-  typedef typename R::Equal_z_3               Equal_y_2;    
+  typedef typename R::Equal_z_3               Equal_y_2;
   static typename R::FT x(const typename R::Point_3& p) {return p.x();}
   static typename R::FT y(const typename R::Point_3& p) {return p.z();}
   static typename R::FT x(const typename R::Vector_3& p) {return p.x();}
   static typename R::FT y(const typename R::Vector_3& p) {return p.z();}
   static Bbox_2 bbox(const Bbox_3& bb) { return Bbox_2(bb.xmin(),bb.zmin(),bb.xmax(),bb.zmax()); }
   static const int x_index=0;
-  static const int y_index=2;  
+  static const int y_index=2;
 };
 
 //project onto xy
@@ -73,16 +73,16 @@ struct Projector<R,2>
   typedef typename R::Less_x_3                Less_x_2;
   typedef typename R::Less_y_3                Less_y_2;
   typedef typename R::Compare_x_3             Compare_x_2;
-  typedef typename R::Compare_y_3             Compare_y_2;  
+  typedef typename R::Compare_y_3             Compare_y_2;
   typedef typename R::Equal_x_3               Equal_x_2;
-  typedef typename R::Equal_y_3               Equal_y_2;    
+  typedef typename R::Equal_y_3               Equal_y_2;
   static typename R::FT x(const typename R::Point_3& p) {return p.x();}
   static typename R::FT y(const typename R::Point_3& p) {return p.y();}
   static typename R::FT x(const typename R::Vector_3& p) {return p.x();}
   static typename R::FT y(const typename R::Vector_3& p) {return p.y();}
   static Bbox_2 bbox(const Bbox_3& bb) { return Bbox_2(bb.xmin(),bb.ymin(),bb.xmax(),bb.ymax()); }
   static const int x_index=0;
-  static const int y_index=1;  
+  static const int y_index=1;
 };
 
 template <class R,int dim>
@@ -90,15 +90,15 @@ class Construct_bbox_projected_2 {
 public:
   typedef typename R::Point_3     Point;
   typedef Bbox_2 result_type;
-  
+
   Bbox_2 operator()(const Point& p) const { typename R::Construct_bbox_3 bb;  return Projector<R, dim>::bbox(bb(p)); }
 };
 
 template <class R,int dim>
-class Orientation_projected_3 
+class Orientation_projected_3
 {
 public:
-  typedef typename R::Point_3     Point; 
+  typedef typename R::Point_3     Point;
   typename R::FT x(const Point &p) const { return Projector<R,dim>::x(p); }
   typename R::FT y(const Point &p) const { return Projector<R,dim>::y(p); }
 
@@ -108,18 +108,18 @@ public:
   }
 
   CGAL::Orientation operator()(const Point& p,
-			       const Point& q,
-			       const Point& r) const
+                               const Point& q,
+                               const Point& r) const
     {
       return CGAL::orientation(project(p), project(q), project(r));
     }
 };
 
 template <class R,int dim>
-class Side_of_oriented_circle_projected_3 
+class Side_of_oriented_circle_projected_3
 {
 public:
-  typedef typename R::Point_3     Point; 
+  typedef typename R::Point_3     Point;
   typename R::FT x(const Point &p) const { return Projector<R,dim>::x(p); }
   typename R::FT y(const Point &p) const { return Projector<R,dim>::y(p); }
 
@@ -128,20 +128,20 @@ public:
   {
     return typename R::Point_2(x(p),y(p));
   }
-  CGAL::Oriented_side operator() (const Point &p, 
-				  const Point &q,
-				  const Point &r, 
-				  const Point &s) const
+  CGAL::Oriented_side operator() (const Point &p,
+                                  const Point &q,
+                                  const Point &r,
+                                  const Point &s) const
     {
       return CGAL::side_of_oriented_circle(project(p),project(q),project(r),project(s) );
     }
 };
 
 template <class R,int dim>
-class Side_of_bounded_circle_projected_3 
+class Side_of_bounded_circle_projected_3
 {
 public:
-  typedef typename R::Point_3     Point; 
+  typedef typename R::Point_3     Point;
   typename R::FT x(const Point &p) const { return Projector<R,dim>::x(p); }
   typename R::FT y(const Point &p) const { return Projector<R,dim>::y(p); }
 
@@ -150,17 +150,17 @@ public:
   {
     return typename R::Point_2(x(p),y(p));
   }
-  CGAL::Bounded_side operator() (const Point &p, 
-				  const Point &q,
-				  const Point &r, 
-				  const Point &s) const
+  CGAL::Bounded_side operator() (const Point &p,
+                                  const Point &q,
+                                  const Point &r,
+                                  const Point &s) const
     {
       return CGAL::side_of_bounded_circle(project(p),project(q),project(r),project(s) );
     }
 
-    CGAL::Bounded_side operator() (const Point &p, 
-				  const Point &q,
-				  const Point &r) const
+    CGAL::Bounded_side operator() (const Point &p,
+                                  const Point &q,
+                                  const Point &r) const
     {
       return CGAL::side_of_bounded_circle(project(p),project(q),project(r));
     }
@@ -170,8 +170,8 @@ template <class R,int dim>
 class Compare_distance_projected_3
 {
 public:
-  typedef typename R::Point_3   Point_3; 
-  typedef typename R::Point_2   Point_2;   
+  typedef typename R::Point_3   Point_3;
+  typedef typename R::Point_2   Point_2;
   typedef typename R::FT        RT;
   typename R::FT x(const Point_3 &p) const { return Projector<R,dim>::x(p); }
   typename R::FT y(const Point_3 &p) const { return Projector<R,dim>::y(p); }
@@ -245,9 +245,9 @@ template <class R,int dim>
 class Squared_distance_projected_3
 {
 public:
-  typedef typename R::Point_3   Point_3; 
-  typedef typename R::Point_2   Point_2; 
-  typedef typename R::Line_3    Line_3; 
+  typedef typename R::Point_3   Point_3;
+  typedef typename R::Point_2   Point_2;
+  typedef typename R::Line_3    Line_3;
   typedef typename R::Line_2    Line_2;
   typedef typename R::Segment_3 Segment_3;
   typedef typename R::Segment_2 Segment_2;
@@ -262,9 +262,9 @@ public:
 
   RT operator()(const Point_3& p, const Point_3& q) const
   {
-	  Point_2 p2(project(p));
-	  Point_2 q2(project(q));
-	  return squared_distance(p2, q2);
+          Point_2 p2(project(p));
+          Point_2 q2(project(q));
+          return squared_distance(p2, q2);
   }
 
   RT operator()(const Line_3& l, const Point_3& p) const
@@ -273,7 +273,7 @@ public:
     Line_2 l2(project(l.point(0)), project(l.point(1)));
     return squared_distance(p2, l2);
   }
-  
+
   RT operator()(const Segment_3& s, const Point_3& p) const
   {
     Point_2 p2(project(p));
@@ -286,13 +286,13 @@ template <class R,int dim>
 class  Intersect_projected_3
 {
 public:
-  typedef typename R::Point_3   Point_3; 
+  typedef typename R::Point_3   Point_3;
   typedef typename R::Segment_3 Segment_3;
-  typedef typename R::Point_2   Point_2; 
-  typedef typename R::Vector_2  Vector_2; 
+  typedef typename R::Point_2   Point_2;
+  typedef typename R::Vector_2  Vector_2;
   typedef typename R::Segment_2 Segment_2;
   typedef typename R::FT        FT;
-  
+
   typename R::FT x(const Point_3 &p) const { return Projector<R,dim>::x(p); }
   typename R::FT y(const Point_3 &p) const { return Projector<R,dim>::y(p); }
 
@@ -313,12 +313,12 @@ public:
     Point_2 s1_source = project(s1.source());
     Point_2 s1_target = project(s1.target());
     Point_2 s2_source = project(s2.source());
-    Point_2 s2_target = project(s2.target());    
+    Point_2 s2_target = project(s2.target());
     Segment_2 s1_2(s1_source, s1_target);
     Segment_2 s2_2(s2_source, s2_target);
     CGAL_precondition(!s1_2.is_degenerate());
     CGAL_precondition(!s2_2.is_degenerate());
-    
+
     //compute intersection points in projected plane
     //We know that none of the segment is degenerate
     Object o = intersection(s1_2,s2_2);
@@ -342,7 +342,7 @@ public:
       src[Projector<R,dim>::x_index] = si->source().x();
       src[Projector<R,dim>::y_index] = si->source().y();
       tgt[Projector<R,dim>::x_index] = si->target().x();
-      tgt[Projector<R,dim>::y_index] = si->target().y();      
+      tgt[Projector<R,dim>::y_index] = si->target().y();
       return make_object( Segment_3( Point_3(src[0],src[1],src[2]),Point_3(tgt[0],tgt[1],tgt[2]) ) );
     }
     FT coords[3];
@@ -353,7 +353,7 @@ public:
     coords[dim] = (z1+z2) / FT(2);
     coords[Projector<R,dim>::x_index] = pi->x();
     coords[Projector<R,dim>::y_index] = pi->y();
-    
+
     Point_3 res(coords[0],coords[1],coords[2]);
     CGAL_assertion(x(res)==pi->x() && y(res)==pi->y());
     return make_object(res);
@@ -363,18 +363,18 @@ public:
 template <class R, int dim>
 class Circumcenter_center_projected
 {
-  typedef typename R::Point_3   Point_3; 
+  typedef typename R::Point_3   Point_3;
   typedef typename R::Point_2   Point_2;
 
   typename R::FT x(const Point_3 &p) const { return Projector<R,dim>::x(p); }
   typename R::FT y(const Point_3 &p) const { return Projector<R,dim>::y(p); }
-  
+
   Point_2 project(const Point_3& p) const
   {
     return Point_2(x(p),y(p));
   }
-  
-  Point_3 embed (const Point_2& p) const 
+
+  Point_3 embed (const Point_2& p) const
   {
     typename R::FT coords[3];
     coords[Projector<R,dim>::x_index]=p.x();
@@ -382,7 +382,7 @@ class Circumcenter_center_projected
     coords[dim]=typename R::FT(0);
     return Point_3(coords[0],coords[1],coords[2]);
   }
-  
+
 public:
   Point_3 operator() (const Point_3& p1,const Point_3& p2) const
   {
@@ -398,18 +398,18 @@ public:
 template <class R, int dim>
 class Compute_area_projected
 {
-  typedef typename R::Point_3   Point_3; 
+  typedef typename R::Point_3   Point_3;
   typedef typename R::Point_2   Point_2;
 
   typename R::FT x(const Point_3 &p) const { return Projector<R,dim>::x(p); }
   typename R::FT y(const Point_3 &p) const { return Projector<R,dim>::y(p); }
-  
+
   Point_2 project(const Point_3& p) const
   {
     return Point_2(x(p),y(p));
   }
 
-  
+
 public:
   typename R::FT operator() (const Point_3& p1,const Point_3& p2,const Point_3& p3) const
   {
@@ -420,18 +420,18 @@ public:
 template <class R, int dim>
 class Compute_squared_radius_projected
 {
-  typedef typename R::Point_3   Point_3; 
+  typedef typename R::Point_3   Point_3;
   typedef typename R::Point_2   Point_2;
 
   typename R::FT x(const Point_3 &p) const { return Projector<R,dim>::x(p); }
   typename R::FT y(const Point_3 &p) const { return Projector<R,dim>::y(p); }
-  
+
   Point_2 project(const Point_3& p) const
   {
     return Point_2(x(p),y(p));
   }
 
-  
+
 public:
   typename R::FT operator() (const Point_3& p1,const Point_3& p2,const Point_3& p3) const
   {
@@ -806,7 +806,7 @@ public:
   typedef Power_side_of_bounded_power_circle_projected_3<Rp,dim> Power_side_of_bounded_power_circle_2;
   typedef Power_side_of_oriented_power_circle_projected_3<Rp, dim> Power_side_of_oriented_power_circle_2;
   typedef Construct_bbox_projected_2<Rp,dim>                  Construct_bbox_2;
-  
+
   typedef typename Rp::Construct_point_3                      Construct_point_2;
   typedef typename Rp::Construct_weighted_point_3             Construct_weighted_point_2;
   typedef typename Rp::Construct_segment_3                    Construct_segment_2;
@@ -849,7 +849,7 @@ public:
     typedef bool result_type;
     bool operator()(const Point_2& p, const Point_2& q) const
     {
-      
+
       Equal_x_2 eqx;
       Equal_y_2 eqy;
       return eqx(p,q) & eqy(p,q);
@@ -860,7 +860,7 @@ public:
     typedef bool result_type;
     bool operator()(const Point_2& p, const Point_2& q, const Point_2& r) const
     {
-      
+
       Orientation_2 ori;
       return ori(p,q,r) == LEFT_TURN;
     }
@@ -881,8 +881,8 @@ public:
   typedef Circumcenter_center_projected<Rp,dim>               Construct_circumcenter_2;
   typedef Compute_area_projected<Rp,dim>                      Compute_area_2;
   Construct_circumcenter_2 construct_circumcenter_2_object () const {return Construct_circumcenter_2();}
-  Compute_area_2 compute_area_2_object () const {return Compute_area_2();}  
-  
+  Compute_area_2 compute_area_2_object () const {return Compute_area_2();}
+
 
   // for compatibility with previous versions
   typedef Point_2      Point;
@@ -891,14 +891,14 @@ public:
 
   Projection_traits_3(){}
   Projection_traits_3(
-		   const Projection_traits_3&){}
+                   const Projection_traits_3&){}
   Projection_traits_3 &operator=(
-	    const Projection_traits_3&){return *this;}
+            const Projection_traits_3&){return *this;}
 
   typename Rp::FT x(const Point_2 &p) const { return Projector<R,dim>::x(p); }
   typename Rp::FT y(const Point_2 &p) const { return Projector<R,dim>::y(p); }
-    
- 
+
+
  Equal_2
   equal_2_object() const
     { return Equal_2();}
@@ -931,7 +931,7 @@ public:
     { return Compare_x_2();}
   Angle_2
   angle_2_object() const {
-	  return Angle_2();
+          return Angle_2();
   }
 
   Compare_y_2
@@ -997,7 +997,7 @@ public:
 
   Construct_triangle_2  construct_triangle_2_object() const
     {return Construct_triangle_2();}
-    
+
   Construct_line_2  construct_line_2_object() const
     {return Construct_line_2();}
 
diff -pruN 5.0.2-3/include/CGAL/internal/Robust_periodic_weighted_circumcenter_traits_3.h 5.0.3-1/include/CGAL/internal/Robust_periodic_weighted_circumcenter_traits_3.h
--- 5.0.2-3/include/CGAL/internal/Robust_periodic_weighted_circumcenter_traits_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Robust_periodic_weighted_circumcenter_traits_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Robust_periodic_weighted_circumcenter_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Robust_periodic_weighted_circumcenter_traits_3.h $
 // $Id: Robust_periodic_weighted_circumcenter_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Angle_3.h 5.0.3-1/include/CGAL/internal/Static_filters/Angle_3.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Angle_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Angle_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Angle_3.h $
-// $Id: Angle_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Angle_3.h $
+// $Id: Angle_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -80,7 +80,7 @@ public:
         fit_in_double(get_approx(q).x(), qx) && fit_in_double(get_approx(q).y(), qy) &&
         fit_in_double(get_approx(q).z(), qz) &&
         fit_in_double(get_approx(r).x(), rx) && fit_in_double(get_approx(r).y(), ry) &&
-        fit_in_double(get_approx(r).z(), rz) )      
+        fit_in_double(get_approx(r).z(), rz) )
     {
       CGAL_BRANCH_PROFILER_BRANCH_1(tmp);
 
@@ -137,14 +137,14 @@ public:
     //   ((t1 - t1) * (t1 - t1));
     F t1 = F(1, F::ulp()/2);         // First translation
     F f = t1*t1 + t1*t1 + t1*t1;
-      
+
     double err = f.error();
     err += err * 2 * F::ulp(); // Correction due to "eps * m * m ".
     std::cerr << "*** epsilon for Angle_3(Point_3, Point_3, Point_3) = "
               << err << std::endl;
     std::cerr << "\n"
               << "Now for underflow/overflows...\n"
-              << "       min_double/eps  = " 
+              << "       min_double/eps  = "
               << (std::numeric_limits<double>::min)() / err << std::endl
               << "  sqrt(min_double/eps) = "
               << CGAL::sqrt((std::numeric_limits<double>::min)() / err) << std::endl
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Collinear_3.h 5.0.3-1/include/CGAL/internal/Static_filters/Collinear_3.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Collinear_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Collinear_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Collinear_3.h $
-// $Id: Collinear_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Collinear_3.h $
+// $Id: Collinear_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Simon Giraudot
 
@@ -37,7 +37,7 @@ class Collinear_3
 public:
 
   typedef typename Base::result_type  result_type;
-  result_type 
+  result_type
   operator()(const Point_3 &p, const Point_3 &q, const Point_3 &r) const
   {
     CGAL_BRANCH_PROFILER_3("semi-static failures/attempts/calls to   : Collinear_3", tmp);
@@ -79,7 +79,7 @@ public:
       int int_tmp_result;
       if (lower_bound_1 < 5.00368081960964635413e-147)
         return Base::operator()(p, q, r);
-      else 
+      else
       {
         if (upper_bound_1 > 1.67597599124282407923e+153)
           return Base::operator()(p, q, r);
@@ -87,14 +87,14 @@ public:
         double eps = (8.88720573725927976811e-16 * (max1 * max2));
         if (double_tmp_result > eps)
           int_tmp_result = 1;
-        else 
+        else
         {
           if (double_tmp_result < -eps)
             int_tmp_result = -1;
-          else 
+          else
             return Base::operator()(p, q, r);
-        } 
-      } 
+        }
+      }
 
       int sign_of_determinant_return_value = int_tmp_result;
       if (sign_of_determinant_return_value != 0)
@@ -104,14 +104,14 @@ public:
       double dqz = (qz - rz);
       int int_tmp_result_3SPBwDj;
       double double_tmp_result_k3Lzf6g = ((dpx * dqz) - (dpz * dqx));
-  
+
       double max3 = CGAL::abs(dpz);
       if (max3 < CGAL::abs(dqz))
         max3 = CGAL::abs(dqz);
 
       lower_bound_1 = max1;
       upper_bound_1 = max1;
-  
+
       if (max3 < lower_bound_1)
         lower_bound_1 = max3;
       else if (max3 > upper_bound_1)
@@ -119,7 +119,7 @@ public:
 
       if (lower_bound_1 < 5.00368081960964635413e-147)
         return Base::operator()(p, q, r);
-      else 
+      else
       {
         if (upper_bound_1 > 1.67597599124282407923e+153)
           return Base::operator()(p, q, r);
@@ -127,14 +127,14 @@ public:
         double eps = (8.88720573725927976811e-16 * (max1 * max3));
         if (double_tmp_result_k3Lzf6g > eps)
           int_tmp_result_3SPBwDj = 1;
-        else 
+        else
         {
           if (double_tmp_result_k3Lzf6g < -eps)
             int_tmp_result_3SPBwDj = -1;
-          else 
+          else
             return Base::operator()(p, q, r);
-        } 
-      } 
+        }
+      }
 
       int sign_of_determinant_return_value_FFWKCAA = int_tmp_result_3SPBwDj;
 
@@ -143,7 +143,7 @@ public:
 
       lower_bound_1 = max2;
       upper_bound_1 = max2;
-  
+
       if (max3 < lower_bound_1)
         lower_bound_1 = max3;
       else if (max3 > upper_bound_1)
@@ -151,7 +151,7 @@ public:
 
       if (lower_bound_1 < 5.00368081960964635413e-147)
         return Base::operator()(p, q, r);
-      else 
+      else
       {
         if (upper_bound_1 > 1.67597599124282407923e+153)
           return Base::operator()(p, q, r);
@@ -159,14 +159,14 @@ public:
         double eps = (8.88720573725927976811e-16 * (max2 * max3));
         if (double_tmp_result_AvrrXBP > eps)
           int_tmp_result_Gx4H = 1;
-        else 
+        else
         {
           if (double_tmp_result_AvrrXBP < -eps)
             int_tmp_result_Gx4H = -1;
-          else 
+          else
             return Base::operator()(p, q, r);
-        } 
-      } 
+        }
+      }
       int sign_of_determinant_return_value_k60Ocge = int_tmp_result_Gx4H;
       return ((sign_of_determinant_return_value_FFWKCAA == 0) && (sign_of_determinant_return_value_k60Ocge == 0));
     }
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Compare_squared_radius_3.h 5.0.3-1/include/CGAL/internal/Static_filters/Compare_squared_radius_3.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Compare_squared_radius_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Compare_squared_radius_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Compare_squared_radius_3.h $
-// $Id: Compare_squared_radius_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Compare_squared_radius_3.h $
+// $Id: Compare_squared_radius_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sebastien Loriot
@@ -19,7 +19,7 @@
 #include <cmath>
 
 namespace CGAL { namespace internal { namespace Static_filters_predicates {
-  
+
   template <typename K_base>
   class Compare_squared_radius_3
     : public K_base::Compare_squared_radius_3
@@ -29,22 +29,22 @@ namespace CGAL { namespace internal { na
     typedef typename K_base::Compare_squared_radius_3 Base;
   public:
     typedef typename Base::result_type result_type;
-  
+
     #ifndef CGAL_CFG_MATCHING_BUG_6
     using Base::operator();
-    #else 
+    #else
     result_type
     operator()(const Point_3& p, const FT& w) const
-    { 
+    {
       return Base::operator()(p,w);
     }
     #endif
-    
-    
+
+
     result_type operator() (
-        const Point_3& p, 
-        const Point_3& q, 
-        const Point_3& r, 
+        const Point_3& p,
+        const Point_3& q,
+        const Point_3& r,
         const Point_3& s,
         const FT& w
     ) const {
@@ -117,36 +117,36 @@ namespace CGAL { namespace internal { na
         if( (max2 < aqpz) )
         {
             max2 = aqpz;
-        } 
+        }
         if( (max2 < arpy) )
         {
             max2 = arpy;
-        } 
+        }
         if( (max2 < arpz) )
         {
             max2 = arpz;
-        } 
+        }
         if( (max2 < aspy) )
         {
             max2 = aspy;
-        } 
+        }
         if( (max2 < aspz) )
         {
             max2 = aspz;
-        } 
+        }
         max1 = max2;
         if( (max1 < aqpx) )
         {
             max1 = aqpx;
-        } 
+        }
         if( (max1 < arpx) )
         {
             max1 = arpx;
-        } 
+        }
         if( (max1 < aspx) )
         {
             max1 = aspx;
-        } 
+        }
         double max3 = CGAL::abs(alpha);
         double lower_bound_1;
         double upper_bound_1;
@@ -155,65 +155,65 @@ namespace CGAL { namespace internal { na
         if( (max2 < lower_bound_1) )
         {
             lower_bound_1 = max2;
-        } 
+        }
         //handwritten workaround to handle case of alpha=0 (variable alone in its group)
         //if( ((lower_bound_1 < 1.00913582207214915294e-37) || (max3 < 1.01835510738923227819e-74)) )
         if( ((lower_bound_1 < 1.00913582207214915294e-37) || (max3 < 1.01835510738923227819e-74 && max3!=0)) )
         {
           CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
           return Base::operator()(p,q,r,s,w);
-        } 
-        else 
+        }
+        else
         {
             if( ((upper_bound_1 > 2.59614842926741294957e+33) || (max3 > 6.73998666678765545893e+66)) )
             {
               CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
               return Base::operator()(p,q,r,s,w);
-            } 
+            }
             eps = (2.92119946853791784711e-12 * ((((((max1 * max1) * max1) * max1) * max1) * max2) * CGAL::max BOOST_PREVENT_MACRO_SUBSTITUTION ( max3, (max1 * max1) )));
             if( (double_tmp_result > eps) )
             {
                 int_tmp_result = 1;
-            } 
-            else 
+            }
+            else
             {
                 if( (double_tmp_result < -eps) )
                 {
                     int_tmp_result = -1;
-                } 
-                else 
+                }
+                else
                 {
                   CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                   return Base::operator()(p,q,r,s,w);
-                } 
-            } 
-        } 
+                }
+            }
+        }
         return static_cast<Sign>(int_tmp_result);
       }
       else
         return Base::operator()(p,q,r,s,w);
     }
-    
+
     result_type operator() (
-        const Point_3& p, 
-        const Point_3& q, 
+        const Point_3& p,
+        const Point_3& q,
         const Point_3& s,
         const FT& w
     ) const {
       CGAL_BRANCH_PROFILER_3("semi-static failures/attempts/calls to   : Compare_squared_radius_3 with 3 points", tmp);
-      
+
       double px, py, pz, qx, qy, qz, sx, sy, sz, alpha;
       init_double(px, py, pz, qx, qy, qz, sx, sy, sz, alpha, (FT*)(0));
 
       if( fit_in_double(p.x(), px) && fit_in_double(p.y(), py)      &&
-          fit_in_double(p.z(), pz) && 
+          fit_in_double(p.z(), pz) &&
           fit_in_double(q.x(), qx) && fit_in_double(q.y(), qy)      &&
-          fit_in_double(q.z(), qz) && 
+          fit_in_double(q.z(), qz) &&
           fit_in_double(s.x(), sx) && fit_in_double(s.y(), sy)      &&
-          fit_in_double(s.z(), sz) && 
+          fit_in_double(s.z(), sz) &&
           fit_in_double(w, alpha)
         )
-      {   
+      {
         CGAL_BRANCH_PROFILER_BRANCH_1(tmp);
         double psx;
         psx = (px - sx);
@@ -261,24 +261,24 @@ namespace CGAL { namespace internal { na
         if( (max2 < apsy) )
         {
             max2 = apsy;
-        } 
+        }
         if( (max2 < aqsx) )
         {
             max2 = aqsx;
-        } 
+        }
         if( (max2 < aqsy) )
         {
             max2 = aqsy;
-        } 
+        }
         max1 = max2;
         if( (max1 < apsz) )
         {
             max1 = apsz;
-        } 
+        }
         if( (max1 < aqsz) )
         {
             max1 = aqsz;
-        } 
+        }
         double max3 = CGAL::abs(alpha);
         double lower_bound_1;
         double upper_bound_1;
@@ -295,32 +295,32 @@ namespace CGAL { namespace internal { na
         {
           CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
           return Base::operator()(p,q,s,w);
-        } 
-        else 
+        }
+        else
         {
             if( ((upper_bound_1 > 1.23794003928538000002e+27) || (max3 > 1.53249554086588817779e+54)) )
             {
               CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
               return Base::operator()(p,q,s,w);
-            } 
+            }
             eps = (6.35705373458387935514e-12 * ((((((((max1 * max1) * max2) * max1) * max1) * max1) * max1) * max1) * CGAL::max BOOST_PREVENT_MACRO_SUBSTITUTION ( max3, (max1 * max1) )));
             if( (double_tmp_result > eps) )
             {
                 int_tmp_result = 1;
-            } 
-            else 
+            }
+            else
             {
                 if( (double_tmp_result < -eps) )
                 {
                     int_tmp_result = -1;
-                } 
-                else 
+                }
+                else
                 {
                   CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                   return Base::operator()(p,q,s,w);
-                } 
-            } 
-        } 
+                }
+            }
+        }
         return static_cast<result_type>(int_tmp_result);
       }
       else
@@ -329,18 +329,18 @@ namespace CGAL { namespace internal { na
 
 
     result_type operator() (
-        const Point_3& p, 
-        const Point_3& q, 
+        const Point_3& p,
+        const Point_3& q,
         const FT& w
     ) const {
       CGAL_BRANCH_PROFILER_3("semi-static failures/attempts/calls to   : Compare_squared_radius_3 with 2 points", tmp);
-      
+
       double px, py, pz, qx, qy, qz, alpha;
       init_double(px, py, pz, qx, qy, qz, alpha, (FT*)(0));
       if( fit_in_double(p.x(), px) && fit_in_double(p.y(), py)      &&
-          fit_in_double(p.z(), pz) && 
+          fit_in_double(p.z(), pz) &&
           fit_in_double(q.x(), qx) && fit_in_double(q.y(), qy)      &&
-          fit_in_double(q.z(), qz) && 
+          fit_in_double(q.z(), qz) &&
           fit_in_double(w, alpha)
         )
       {
@@ -358,53 +358,53 @@ namespace CGAL { namespace internal { na
         if( (max1 < apy_qy) )
         {
             max1 = apy_qy;
-        } 
+        }
         if( (max1 < apz_qz) )
         {
             max1 = apz_qz;
-        } 
+        }
         double max2 = CGAL::abs(alpha);
-        
+
         //handwritten workaround to handle case of alpha=0 (variable alone in its group)
         //if( ((max1 < 8.85464260923320109378e-147) || (max2 < 7.84046957372481590760e-293)) )
         if( ((max1 < 8.85464260923320109378e-147) || (max2 < 7.84046957372481590760e-293 && max2!=0)) )
         {
           CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
           return Base::operator()(p,q,w);
-        } 
-        else 
+        }
+        else
         {
             if( ((max1 > 2.23974474217780371323e+102) || (max2 > 5.01645651011311642768e+204)) )
             {
               CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
               return Base::operator()(p,q,w);
-            } 
+            }
             eps = (2.11094186805729591487e-15 * CGAL::max BOOST_PREVENT_MACRO_SUBSTITUTION ( max2, (max1 * max1) ));
             if( (double_tmp_result > eps) )
             {
                 int_tmp_result = 1;
-            } 
-            else 
+            }
+            else
             {
                 if( (double_tmp_result < -eps) )
                 {
                     int_tmp_result = -1;
-                } 
-                else 
+                }
+                else
                 {
                   CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                   return Base::operator()(p,q,w);
-                } 
-            } 
-        } 
+                }
+            }
+        }
         return static_cast<Sign>(int_tmp_result);
       }
       else
         return Base::operator()(p,q,w);
     }
-    
+
   };
 
 } } } // namespace CGAL::internal::Static_filters_predicates
- 
+
 #endif // CGAL_INTERNAL_STATIC_FILTERS_COMPARE_SQUARED_RADIUS_3_H
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Compare_weighted_squared_radius_3.h 5.0.3-1/include/CGAL/internal/Static_filters/Compare_weighted_squared_radius_3.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Compare_weighted_squared_radius_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Compare_weighted_squared_radius_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Compare_weighted_squared_radius_3.h $
-// $Id: Compare_weighted_squared_radius_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Compare_weighted_squared_radius_3.h $
+// $Id: Compare_weighted_squared_radius_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sebastien Loriot
@@ -21,8 +21,8 @@
 
 
 namespace CGAL { namespace internal { namespace Static_filters_predicates {
-  
-  
+
+
   template <typename K_base>
   class Compare_weighted_squared_radius_3:
     public K_base::Compare_weighted_squared_radius_3
@@ -32,45 +32,45 @@ namespace CGAL { namespace internal { na
     typedef typename K_base::Compare_weighted_squared_radius_3 Base;
   public:
     typedef typename Base::result_type result_type;
-  
+
     #ifndef CGAL_CFG_MATCHING_BUG_6
     using Base::operator();
-    #else 
+    #else
     result_type
     operator()(const Weighted_point_3& p, const FT& w) const
-    { 
+    {
       return Base::operator()(p,w);
     }
     #endif
-    
-    
+
+
     result_type operator() (
-        const Weighted_point_3& p, 
-        const Weighted_point_3& q, 
-        const Weighted_point_3& r, 
+        const Weighted_point_3& p,
+        const Weighted_point_3& q,
+        const Weighted_point_3& r,
         const Weighted_point_3& s,
         const FT& w
     ) const {
 
       CGAL_BRANCH_PROFILER_3("semi-static failures/attempts/calls to   : Compare_weighted_squared_radius_3 with 4 wpoints", tmp);
-      
+
       double px, py, pz, pw, qx, qy, qz, qw, rx, ry, rz, rw, sx, sy, sz, sw, alpha;
       init_double(px, py, pz, pw, qx, qy, qz, qw, (FT*)(0));
       init_double(rx, ry, rz, rw, sx, sy, sz, sw, alpha, (FT*)(0));
 
       if( fit_in_double(p.x(), px) && fit_in_double(p.y(), py)      &&
-          fit_in_double(p.z(), pz) && fit_in_double(p.weight(), pw) && 
+          fit_in_double(p.z(), pz) && fit_in_double(p.weight(), pw) &&
           fit_in_double(q.x(), qx) && fit_in_double(q.y(), qy)      &&
           fit_in_double(q.z(), qz) && fit_in_double(q.weight(), qw) &&
           fit_in_double(r.x(), rx) && fit_in_double(r.y(), ry)      &&
           fit_in_double(r.z(), rz) && fit_in_double(r.weight(), rw) &&
           fit_in_double(s.x(), sx) && fit_in_double(s.y(), sy)      &&
-          fit_in_double(s.z(), sz) && fit_in_double(s.weight(), sw) && 
+          fit_in_double(s.z(), sz) && fit_in_double(s.weight(), sw) &&
           fit_in_double(w, alpha)
         )
       {
         CGAL_BRANCH_PROFILER_BRANCH_1(tmp);
-        
+
         double qpx = (qx - px);
         double qpy = (qy - py);
         double qpz = (qz - pz);
@@ -112,25 +112,25 @@ namespace CGAL { namespace internal { na
         double aalpha_pw = CGAL::abs(alpha_pw);
 
         if( max4 < arpy ) max4 = arpy;
-        if( max4 < aspy ) max4 = aspy; 
+        if( max4 < aspy ) max4 = aspy;
         double max2 = max4;
-        if( max2 < aqpx ) max2 = aqpx; 
-        if( max2 < arpx ) max2 = arpx; 
-        if( max2 < aspx ) max2 = aspx; 
+        if( max2 < aqpx ) max2 = aqpx;
+        if( max2 < arpx ) max2 = arpx;
+        if( max2 < aspx ) max2 = aspx;
         double max1 = max2;
         double max3 = max4;
         double max5 = CGAL::abs(qpz);
-        if( max5 < arpz ) max5 = arpz;  
-        if( max5 < aspz ) max5 = aspz;  
-        if( max3 < max5 )      max3 = max5;       
-        if( max1 < max3 )      max1 = max3;       
-        if( max1 < max4 )      max1 = max4;       
-        if( max1 < max5 )      max1 = max5;      
+        if( max5 < arpz ) max5 = arpz;
+        if( max5 < aspz ) max5 = aspz;
+        if( max3 < max5 )      max3 = max5;
+        if( max1 < max3 )      max1 = max3;
+        if( max1 < max4 )      max1 = max4;
+        if( max1 < max5 )      max1 = max5;
         double max6 = CGAL::abs(pw_qw);
         if( max6 < apw_rw ) max6 = apw_rw;
         if( max6 < apw_sw ) max6 = apw_sw;
         double max7 = max6;
-        if( max7 < aalpha_pw ) max7 = aalpha_pw; 
+        if( max7 < aalpha_pw ) max7 = aalpha_pw;
         double lower_bound_1;
         double upper_bound_1;
         lower_bound_1 = max1;
@@ -144,40 +144,40 @@ namespace CGAL { namespace internal { na
         lower_bound_2 = max6;
         upper_bound_2 = max6;
         if( max7 < lower_bound_2 ) lower_bound_2 = max7;
-        else 
+        else
         {
             if( max7 > upper_bound_2 ) upper_bound_2 = max7;
-        } 
+        }
         if( ((lower_bound_1 < 8.99995159231796093217e-38) || (lower_bound_2 < 8.09991286640666077573e-75)) )
         {
           CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
           return Base::operator()(p,q,r,s,w);
-        } 
-        else 
+        }
+        else
         {
             if( ((upper_bound_1 > 2.59614842926741294957e+33) || (upper_bound_2 > 6.73998666678765545893e+66)) )
             {
               CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
               return Base::operator()(p,q,r,s,w);
-            } 
+            }
             eps = (5.16919651938288206243e-12 * (((((max2 * max3) * max1) * max1) * CGAL::max BOOST_PREVENT_MACRO_SUBSTITUTION ( max7, (max1 * max1) )) * CGAL::max BOOST_PREVENT_MACRO_SUBSTITUTION ( CGAL::max BOOST_PREVENT_MACRO_SUBSTITUTION ( max6, (max4 * max5) ), (max1 * max1) )));
             if( (double_tmp_result > eps) )
             {
                 int_tmp_result = CGAL::NEGATIVE;
-            } 
-            else 
+            }
+            else
             {
                 if( (double_tmp_result < -eps) )
                 {
                     int_tmp_result = CGAL::POSITIVE;
-                } 
-                else 
+                }
+                else
                 {
                   CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                   return Base::operator()(p,q,r,s,w);
-                } 
-            } 
-        } 
+                }
+            }
+        }
         return int_tmp_result;
       }
       else
@@ -186,18 +186,18 @@ namespace CGAL { namespace internal { na
 
     result_type
     operator() (
-      const Weighted_point_3& p, 
-      const Weighted_point_3& q , 
+      const Weighted_point_3& p,
+      const Weighted_point_3& q ,
       const Weighted_point_3& r,
       const FT& w
     ) const {
-      
+
       CGAL_BRANCH_PROFILER_3("semi-static failures/attempts/calls to   : Compare_weighted_squared_radius_3 with 3 wpoints", tmp);
-      
+
       double px, py, pz, pw, qx, qy, qz, qw, rx, ry, rz, rw, alpha;
       init_double(px, py, pz, pw, qx, qy, qz, qw, rx, ry, rz, rw, alpha, (FT*)(0));
       if( fit_in_double(p.x(), px) && fit_in_double(p.y(), py)      &&
-          fit_in_double(p.z(), pz) && fit_in_double(p.weight(), pw) && 
+          fit_in_double(p.z(), pz) && fit_in_double(p.weight(), pw) &&
           fit_in_double(q.x(), qx) && fit_in_double(q.y(), qy)      &&
           fit_in_double(q.z(), qz) && fit_in_double(q.weight(), qw) &&
           fit_in_double(r.x(), rx) && fit_in_double(r.y(), ry)      &&
@@ -206,7 +206,7 @@ namespace CGAL { namespace internal { na
         )
       {
         CGAL_BRANCH_PROFILER_BRANCH_1(tmp);
-        
+
         double qpx = (qx - px);
         double qpy = (qy - py);
         double qpz = (qz - pz);
@@ -261,40 +261,40 @@ namespace CGAL { namespace internal { na
         lower_bound_2 = max3;
         upper_bound_2 = max3;
         if( max4 < lower_bound_2 )  lower_bound_2 = max4;
-        else 
+        else
         {
           if( max4 > upper_bound_2 ) upper_bound_2 = max4;
-        } 
+        }
         if( ((lower_bound_1 < 2.13354839219409151500e-30) || (lower_bound_2 < 4.55202874183399304187e-60)) )
         {
           CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
           return Base::operator()(p,q,r,w);
-        } 
-        else 
+        }
+        else
         {
             if( ((upper_bound_1 > 1.23794003928538000002e+27) || (upper_bound_2 > 1.53249554086588817779e+54)) )
             {
               CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
               return Base::operator()(p,q,r,w);
-            } 
+            }
             eps = (1.13846439714120896721e-11 * (((((((max1 * max2) * max1) * max1) * max1) * max1) * CGAL::max BOOST_PREVENT_MACRO_SUBSTITUTION ( max4, (max1 * max1) )) * CGAL::max BOOST_PREVENT_MACRO_SUBSTITUTION ( max3, (max1 * max1) )));
             if( (double_tmp_result > eps) )
             {
                 int_tmp_result = CGAL::NEGATIVE;
-            } 
-            else 
+            }
+            else
             {
                 if( (double_tmp_result < -eps) )
                 {
                     int_tmp_result = CGAL::POSITIVE;
-                } 
-                else 
+                }
+                else
                 {
                   CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                   return Base::operator()(p,q,r,w);
-                } 
-            } 
-        } 
+                }
+            }
+        }
         return int_tmp_result;
       }
       else
@@ -303,24 +303,24 @@ namespace CGAL { namespace internal { na
 
     result_type
     operator() (
-      const Weighted_point_3& p, 
+      const Weighted_point_3& p,
       const Weighted_point_3& q,
       const FT& w
     ) const {
-      
+
       CGAL_BRANCH_PROFILER_3("semi-static failures/attempts/calls to   : Compare_weighted_squared_radius_3 with 2 wpoints", tmp);
-      
+
       double px, py, pz, pw, qx, qy, qz, qw, alpha;
       init_double(px, py, pz, pw, qx, qy, qz, qw, alpha, (FT*)(0));
       if( fit_in_double(p.x(), px) && fit_in_double(p.y(), py)      &&
-          fit_in_double(p.z(), pz) && fit_in_double(p.weight(), pw) && 
+          fit_in_double(p.z(), pz) && fit_in_double(p.weight(), pw) &&
           fit_in_double(q.x(), qx) && fit_in_double(q.y(), qy)      &&
           fit_in_double(q.z(), qz) && fit_in_double(q.weight(), qw) &&
           fit_in_double(w, alpha)
         )
       {
         CGAL_BRANCH_PROFILER_BRANCH_1(tmp);
-        
+
         double qpx = (qx - px);
         double qpy = (qy - py);
         double qpz = (qz - pz);
@@ -351,40 +351,40 @@ namespace CGAL { namespace internal { na
           CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
           return Base::operator()(p,q,w);
         }
-        else 
+        else
         {
             if( ((max1 > 6.42775217703595896130e+60) || (upper_bound_2 > 4.13159980493905099125e+121)) )
             {
               CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
               return Base::operator()(p,q,w);
-            } 
+            }
             eps = (2.33324675561911025753e-14 * (CGAL::max BOOST_PREVENT_MACRO_SUBSTITUTION ( max2, (max1 * max1) ) * CGAL::max BOOST_PREVENT_MACRO_SUBSTITUTION ( max3, (max1 * max1) )));
             if( (double_tmp_result > eps) )
             {
                 int_tmp_result = CGAL::NEGATIVE;
-            } 
-            else 
+            }
+            else
             {
                 if( (double_tmp_result < -eps) )
                 {
                     int_tmp_result = CGAL::POSITIVE;
-                } 
-                else 
+                }
+                else
                 {
                   CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                   return Base::operator()(p,q,w);
-                } 
-            } 
-        } 
-        return int_tmp_result;        
+                }
+            }
+        }
+        return int_tmp_result;
       }
       else
         return Base::operator()(p,q,w);
     }
-    
+
   };
-  
-  
+
+
     } } }//namespace CGAL::internal::Static_filters_predicates
 
 
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Compare_x_2.h 5.0.3-1/include/CGAL/internal/Static_filters/Compare_x_2.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Compare_x_2.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Compare_x_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Compare_x_2.h $
-// $Id: Compare_x_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Compare_x_2.h $
+// $Id: Compare_x_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -55,13 +55,13 @@ public:
   operator()(const T& t1, const T& t2, const T& t3, const T& t4) const
   {
     return Base()(t1,t2,t3, t4);
-  } 
-  
+  }
+
   result_type
   operator()(const Point_2& p, const Line_2& l1, const Line_2& l2) const
   {
     return Base()(p,l1,l2);
-  } 
+  }
 #endif // CGAL_CFG_MATCHING_BUG_6
 
 
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Compare_y_2.h 5.0.3-1/include/CGAL/internal/Static_filters/Compare_y_2.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Compare_y_2.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Compare_y_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Compare_y_2.h $
-// $Id: Compare_y_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Compare_y_2.h $
+// $Id: Compare_y_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -55,13 +55,13 @@ public:
   operator()(const T& t1, const T& t2, const T& t3, const T& t4) const
   {
     return Base()(t1,t2,t3, t4);
-  } 
-  
+  }
+
   result_type
   operator()(const Point_2& p, const Line_2& l1, const Line_2& l2) const
   {
     return Base()(p,l1,l2);
-  } 
+  }
 #endif // CGAL_CFG_MATCHING_BUG_6
 
 
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Compare_y_at_x_2.h 5.0.3-1/include/CGAL/internal/Static_filters/Compare_y_at_x_2.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Compare_y_at_x_2.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Compare_y_at_x_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,13 +3,13 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Compare_y_at_x_2.h $
-// $Id: Compare_y_at_x_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Compare_y_at_x_2.h $
+// $Id: Compare_y_at_x_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Meyer
 
-#ifndef CGAL_INTERNAL_STATIC_FILTERS_COMPARE_Y_AT_X_2_H 
+#ifndef CGAL_INTERNAL_STATIC_FILTERS_COMPARE_Y_AT_X_2_H
 #define CGAL_INTERNAL_STATIC_FILTERS_COMPARE_Y_AT_X_2_H
 
 #include <CGAL/Profile_counter.h>
@@ -30,18 +30,18 @@ class Compare_y_at_x_2
 public:
 
   using Base::operator();
-  
+
   Comparison_result
   operator()( const Point_2& p, const Segment_2& s ) const {
     // compares the y-coordinates of p and the vertical projection of p on s.
     // Precondition : p is in the x-range of s.
-    
+
     typename Kernel::Less_x_2 less_x = Kernel().less_x_2_object();
     typename Kernel::Less_y_2 less_y = Kernel().less_y_2_object();
     typename Kernel::Orientation_2 orientation = Kernel().orientation_2_object();
 
     CGAL_kernel_precondition( are_ordered(s.source(), p, s.target(), less_x) );
-    
+
     if( less_x( s.source(), s.target() ) )
       return orientation(p, s.source(), s.target());
     else if ( less_x( s.target(), s.source() ) )
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Coplanar_orientation_3.h 5.0.3-1/include/CGAL/internal/Static_filters/Coplanar_orientation_3.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Coplanar_orientation_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Coplanar_orientation_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Coplanar_orientation_3.h $
-// $Id: Coplanar_orientation_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Coplanar_orientation_3.h $
+// $Id: Coplanar_orientation_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
@@ -49,26 +49,26 @@ public:
   Orientation operator()(const Point_3 &p, const Point_3 &q, const Point_3 &r) const
   {
       return opti_coplanar_orientationC3(
-	    to_double(p.x()), to_double(p.y()), to_double(p.z()),
-	    to_double(q.x()), to_double(q.y()), to_double(q.z()),
-	    to_double(r.x()), to_double(r.y()), to_double(r.z()));
+            to_double(p.x()), to_double(p.y()), to_double(p.z()),
+            to_double(q.x()), to_double(q.y()), to_double(q.z()),
+            to_double(r.x()), to_double(r.y()), to_double(r.z()));
   }
 
   Orientation operator()(const Point_3 &p, const Point_3 &q,
                          const Point_3 &r, const Point_3 &s) const
   {
       return opti_coplanar_orientationC3(
-	    to_double(p.x()), to_double(p.y()), to_double(p.z()),
-	    to_double(q.x()), to_double(q.y()), to_double(q.z()),
-	    to_double(r.x()), to_double(r.y()), to_double(r.z()),
-	    to_double(s.x()), to_double(s.y()), to_double(s.z()));
+            to_double(p.x()), to_double(p.y()), to_double(p.z()),
+            to_double(q.x()), to_double(q.y()), to_double(q.z()),
+            to_double(r.x()), to_double(r.y()), to_double(r.z()),
+            to_double(s.x()), to_double(s.y()), to_double(s.z()));
   }
 
 private:
   Orientation
   opti_coplanar_orientationC3(double px, double py, double pz,
                               double qx, double qy, double qz,
-		              double rx, double ry, double rz) const
+                              double rx, double ry, double rz) const
   {
       CGAL_PROFILER("Coplanar_orientation_3 #1 calls");
 
@@ -91,22 +91,22 @@ private:
   Orientation
   opti_coplanar_orientationC3(double px, double py, double pz,
                               double qx, double qy, double qz,
-		              double rx, double ry, double rz,
-		              double sx, double sy, double sz) const
+                              double rx, double ry, double rz,
+                              double sx, double sy, double sz) const
   {
       CGAL_PROFILER("Coplanar_orientation_3 #2 calls");
 
       Orientation oxy_pqr = orient_2d(px,py,qx,qy,rx,ry);
       if (oxy_pqr != COLLINEAR)
           return Orientation( oxy_pqr *
-		              orient_2d(px,py,qx,qy,sx,sy));
+                              orient_2d(px,py,qx,qy,sx,sy));
 
       CGAL_PROFILER("Coplanar_orientation_3 #2 step2");
 
       Orientation oyz_pqr = orient_2d(py,pz,qy,qz,ry,rz);
       if (oyz_pqr != COLLINEAR)
           return Orientation( oyz_pqr *
-		              orient_2d(py,pz,qy,qz,sy,sz));
+                              orient_2d(py,pz,qy,qz,sy,sz));
 
       CGAL_PROFILER("Coplanar_orientation_3 #2 step3");
 
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Coplanar_side_of_bounded_circle_3.h 5.0.3-1/include/CGAL/internal/Static_filters/Coplanar_side_of_bounded_circle_3.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Coplanar_side_of_bounded_circle_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Coplanar_side_of_bounded_circle_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Coplanar_side_of_bounded_circle_3.h $
-// $Id: Coplanar_side_of_bounded_circle_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Coplanar_side_of_bounded_circle_3.h $
+// $Id: Coplanar_side_of_bounded_circle_3.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
@@ -47,20 +47,20 @@ public:
   typedef Bounded_side result_type;
 
   Bounded_side operator()(const Point &p, const Point &q,
-	                  const Point &r, const Point &t) const
+                          const Point &r, const Point &t) const
   {
     return opti_coplanar_in_circleC3(
-	    to_double(p.x()), to_double(p.y()), to_double(p.z()),
+            to_double(p.x()), to_double(p.y()), to_double(p.z()),
             to_double(q.x()), to_double(q.y()), to_double(q.z()),
-	    to_double(r.x()), to_double(r.y()), to_double(r.z()),
-	    to_double(t.x()), to_double(t.y()), to_double(t.z()));
+            to_double(r.x()), to_double(r.y()), to_double(r.z()),
+            to_double(t.x()), to_double(t.y()), to_double(t.z()));
   }
 
   Bounded_side
   opti_coplanar_in_circleC3(double px, double py, double pz,
                             double qx, double qy, double qz,
-		            double rx, double ry, double rz,
-		            double tx, double ty, double tz) const
+                            double rx, double ry, double rz,
+                            double tx, double ty, double tz) const
   {
     CGAL_PROFILER("In_circle_3 calls");
 
@@ -68,17 +68,17 @@ public:
     double pty = py - ty;
     double ptz = pz - tz;
     double pt2 = CGAL_NTS square(ptx) + CGAL_NTS square(pty) +
-	         CGAL_NTS square(ptz);
+                 CGAL_NTS square(ptz);
     double qtx = qx - tx;
     double qty = qy - ty;
     double qtz = qz - tz;
     double qt2 = CGAL_NTS square(qtx) + CGAL_NTS square(qty) +
-	         CGAL_NTS square(qtz);
+                 CGAL_NTS square(qtz);
     double rtx = rx - tx;
     double rty = ry - ty;
     double rtz = rz - tz;
     double rt2 = CGAL_NTS square(rtx) + CGAL_NTS square(rty) +
-	         CGAL_NTS square(rtz);
+                 CGAL_NTS square(rtz);
     double pqx = qx - px;
     double pqy = qy - py;
     double pqz = qz - pz;
@@ -89,7 +89,7 @@ public:
     double vy = pqz*prx - pqx*prz;
     double vz = pqx*pry - pqy*prx;
     double v2 = CGAL_NTS square(vx) + CGAL_NTS square(vy) +
-	        CGAL_NTS square(vz);
+                CGAL_NTS square(vz);
 
     double det = determinant(ptx,pty,ptz,pt2,
                                    rtx,rty,rtz,rt2,
@@ -126,7 +126,7 @@ public:
     if (maxz < arz) maxz = arz;
     if (maxz < atz) maxz = atz;
 
-    double d = std::max(maxx, std::max(maxy, maxz));
+    double d = (std::max)(maxx, (std::max)(maxy, maxz));
     double eps = 3.27418e-11 * d * d * d * d * d * d;
 
     if (det >  eps) return ON_BOUNDED_SIDE;
@@ -138,7 +138,7 @@ public:
     typedef K::Point_3 P;
 
     return coplanar_side_of_bounded_circle(P(px,py,pz), P(qx,qy,qz),
-	                                   P(rx,ry,rz), P(tx,ty,tz));
+                                           P(rx,ry,rz), P(tx,ty,tz));
   }
 };
 
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Do_intersect_2.h 5.0.3-1/include/CGAL/internal/Static_filters/Do_intersect_2.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Do_intersect_2.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Do_intersect_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -5,8 +5,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Do_intersect_2.h $
-// $Id: Do_intersect_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Do_intersect_2.h $
+// $Id: Do_intersect_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -50,31 +50,31 @@ public:
   }
 #endif // CGAL_CFG_MATCHING_BUG_6
 
-  // The internal::do_intersect(..) function 
+  // The internal::do_intersect(..) function
   // only performs orientation tests on the vertices
   // of the segment
   // By calling the do_intersect function with
   // the  statically filtered kernel we avoid
   // that doubles are put into Interval_nt
   // to get taken out again with fit_in_double
-  result_type 
+  result_type
   operator()(const Segment_2 &s, const Segment_2& t) const
   {
     return Intersections::internal::do_intersect(s,t, SFK());
   }
 
-  result_type 
+  result_type
   operator()(const Point_2 &p, const Segment_2& t) const
   {
     return Intersections::internal::do_intersect(p,t, SFK());
   }
-  
-  result_type 
+
+  result_type
   operator()(const Segment_2& t, const Point_2 &p) const
   {
     return Intersections::internal::do_intersect(p,t, SFK());
   }
-  
+
 };
 } // Static_filters_predicates
 } // internal
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Do_intersect_3.h 5.0.3-1/include/CGAL/internal/Static_filters/Do_intersect_3.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Do_intersect_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Do_intersect_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -5,8 +5,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Do_intersect_3.h $
-// $Id: Do_intersect_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Do_intersect_3.h $
+// $Id: Do_intersect_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -70,32 +70,32 @@ public:
   }
 
 
-  // The internal::do_intersect(..) function 
+  // The internal::do_intersect(..) function
   // only performs orientation tests on the vertices
   // of the triangle and the segment
   // By calling the do_intersect function with
   // the  statically filtered kernel we avoid
   // that doubles are put into Interval_nt
   // to get taken out again with fit_in_double
-  result_type 
+  result_type
   operator()(const Segment_3 &s, const Triangle_3& t) const
   {
     return Intersections::internal::do_intersect(t,s, SFK());
   }
 
-  result_type 
+  result_type
   operator()(const Triangle_3& t, const Segment_3 &s) const
   {
     return Intersections::internal::do_intersect(t,s, SFK());
   }
 
-  result_type 
+  result_type
   operator()(const Bbox_3& b, const Segment_3 &s) const
   {
     return this->operator()(s, b);
   }
 
-  result_type 
+  result_type
   operator()(const Segment_3 &s, const Bbox_3& b) const
   {
     CGAL_BRANCH_PROFILER_3(std::string("semi-static failures/attempts/calls to   : ") +
@@ -103,22 +103,22 @@ public:
 
     Get_approx<Point_3> get_approx; // Identity functor for all points
                                     // but lazy points
-    const Point_3& p = s.source(); 
-    const Point_3& q = s.target(); 
+    const Point_3& p = s.source();
+    const Point_3& q = s.target();
 
     double px, py, pz, qx, qy, qz;
     if (fit_in_double(get_approx(p).x(), px) && fit_in_double(get_approx(p).y(), py) &&
         fit_in_double(get_approx(p).z(), pz) &&
         fit_in_double(get_approx(q).x(), qx) && fit_in_double(get_approx(q).y(), qy) &&
-        fit_in_double(get_approx(q).z(), qz) )   
+        fit_in_double(get_approx(q).z(), qz) )
     {
       CGAL_BRANCH_PROFILER_BRANCH_1(tmp);
 
-      const Uncertain<result_type> ub = 
+      const Uncertain<result_type> ub =
         Intersections::internal::do_intersect_bbox_segment_aux
         <double,
-         true, // bounded at t=0 
-         true, // bounded at t=1 
+         true, // bounded at t=0
+         true, // bounded at t=1
          true> // do use static filters
         (px, py, pz,
          qx, qy, qz,
@@ -132,13 +132,13 @@ public:
 
 
 
-  result_type 
+  result_type
   operator()(const Bbox_3& b, const Ray_3 &r) const
   {
     return this->operator()(r, b);
   }
 
-  result_type 
+  result_type
   operator()(const Ray_3 &r, const Bbox_3& b) const
   {
     CGAL_BRANCH_PROFILER_3(std::string("semi-static failures/attempts/calls to   : ") +
@@ -146,22 +146,22 @@ public:
 
     Get_approx<Point_3> get_approx; // Identity functor for all points
     // but lazy points.
-    const Point_3& p = r.source(); 
-    const Point_3& q = r.second_point(); 
+    const Point_3& p = r.source();
+    const Point_3& q = r.second_point();
 
     double px, py, pz, qx, qy, qz;
     if (fit_in_double(get_approx(p).x(), px) && fit_in_double(get_approx(p).y(), py) &&
         fit_in_double(get_approx(p).z(), pz) &&
         fit_in_double(get_approx(q).x(), qx) && fit_in_double(get_approx(q).y(), qy) &&
-        fit_in_double(get_approx(q).z(), qz) )   
+        fit_in_double(get_approx(q).z(), qz) )
     {
       CGAL_BRANCH_PROFILER_BRANCH_1(tmp);
 
-      const Uncertain<result_type> ub = 
+      const Uncertain<result_type> ub =
         Intersections::internal::do_intersect_bbox_segment_aux
         <double,
-         true, // bounded at t=0 
-         false,// not bounded at t=1 
+         true, // bounded at t=0
+         false,// not bounded at t=1
          true> // do use static filters
         (px, py, pz,
          qx, qy, qz,
@@ -173,21 +173,21 @@ public:
     return Base::operator()(r,b);
   }
 
-  result_type 
+  result_type
   operator()(const Bbox_3& b, const Sphere_3 &s) const
   {
     return this->operator()(s, b);
   }
 
-  result_type 
+  result_type
   operator()(const Sphere_3 &s, const Bbox_3& b) const
   {
     CGAL_BRANCH_PROFILER_3(std::string("semi-static failures/attempts/calls to   : ") +
                            std::string(CGAL_PRETTY_FUNCTION), tmp);
-    
+
     Get_approx<Point_3> get_approx; // Identity functor for all points
     const Point_3& c = s.center();
-    
+
     double scx, scy, scz, ssr, bxmin, bymin, bzmin, bxmax, bymax, bzmax;
 
     if (fit_in_double(get_approx(c).x(), scx) &&
@@ -202,15 +202,15 @@ public:
         fit_in_double(b.zmax(), bzmax))
     {
       CGAL_BRANCH_PROFILER_BRANCH_1(tmp);
-      
+
       double distance = 0;
       double max1 = 0;
-  
+
       if(scx < bxmin)
       {
         double bxmin_scx = bxmin - scx;
         max1 = bxmin_scx;
-    
+
         distance = square(bxmin_scx);
       }
       else if(scx > bxmax)
@@ -257,7 +257,7 @@ public:
 
       double double_tmp_result = (distance - ssr);
       double max2 = CGAL::abs(ssr);
-  
+
       if ((max1 < 3.33558365626356687717e-147) || (max2 < 1.11261183279326254436e-293)){
         CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
         return Base::operator()(s,b);
@@ -268,10 +268,10 @@ public:
       }
 
       double eps = 1.99986535548615598560e-15 * (std::max) (max2, (max1 * max1));
-  
+
       if (double_tmp_result > eps)
         return false;
-      else 
+      else
       {
         if (double_tmp_result < -eps)
           return true;
@@ -302,14 +302,14 @@ public:
               << "  degre " << f1bis.degree() << ": " <<  f1bis.error() << "\n"
               << "  degre " << f2.degree() << ": " <<  f2.error() << "\n"
               << "  degre " << f3.degree() << ": " <<  f3.error() << "\n";
-      
+
     double err = f.error();
     err += err * 2 *  F::ulp(); // Correction due to "eps * m * m".  Do we need 2 ?
     std::cerr << "*** epsilon for Do_intersect_3(Bbox_3, Segment_3) = "
               << err << std::endl;
     std::cerr << "\n"
               << "Now for underflow/overflows...\n"
-              << "        min_double/eps = " 
+              << "        min_double/eps = "
               << (std::numeric_limits<double>::min)() / err << std::endl
               << "  sqrt(min_double/eps) = "
               << CGAL::sqrt((std::numeric_limits<double>::min)() / err) << std::endl;
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Equal_2.h 5.0.3-1/include/CGAL/internal/Static_filters/Equal_2.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Equal_2.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Equal_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Equal_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Equal_2.h $
 // $Id: Equal_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Equal_3.h 5.0.3-1/include/CGAL/internal/Static_filters/Equal_3.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Equal_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Equal_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Equal_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Equal_3.h $
 // $Id: Equal_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Is_degenerate_3.h 5.0.3-1/include/CGAL/internal/Static_filters/Is_degenerate_3.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Is_degenerate_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Is_degenerate_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Is_degenerate_3.h $
-// $Id: Is_degenerate_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Is_degenerate_3.h $
+// $Id: Is_degenerate_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -51,20 +51,20 @@ public:
 #endif // end CGAL_CFG_MATCHING_BUG_6
 
 
-  result_type 
+  result_type
   operator()(const Segment_3& s) const
   {
     return Equal_3()(Construct_source_3()(s), Construct_target_3()(s));
   }
 
 
-  result_type 
+  result_type
   operator()(const Ray_3& r) const
   {
     return Equal_3()(Construct_source_3()(r), Construct_second_point_3()(r));
   }
 
-  result_type 
+  result_type
   operator()(const Plane_3& p) const
   {
     CGAL_BRANCH_PROFILER(std::string("semi-static attempts/calls to   : ") +
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Orientation_2.h 5.0.3-1/include/CGAL/internal/Static_filters/Orientation_2.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Orientation_2.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Orientation_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Orientation_2.h $
-// $Id: Orientation_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Orientation_2.h $
+// $Id: Orientation_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
@@ -37,13 +37,13 @@ public:
 
 #ifndef CGAL_CFG_MATCHING_BUG_6
   using Base::operator();
-#else 
+#else
   result_type
   operator()(const Vector_2& u, const Vector_2& v) const
-  { 
+  {
     return Base::operator()(u,v);
   }
-  
+
   result_type
   operator()(const Circle_2& c) const
   {
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Orientation_3.h 5.0.3-1/include/CGAL/internal/Static_filters/Orientation_3.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Orientation_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Orientation_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Orientation_3.h $
-// $Id: Orientation_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Orientation_3.h $
+// $Id: Orientation_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
@@ -38,29 +38,29 @@ public:
 
 #ifndef CGAL_CFG_MATCHING_BUG_6
   using Base::operator();
-#else 
+#else
   result_type
   operator()(const Vector_3& u, const Vector_3& v, const Vector_3& w) const
-  { 
+  {
     return Base::operator()(u,v,w);
-  }  
+  }
 
   result_type
   operator()(const Sphere_3& s) const
-  { 
+  {
     return Base::operator()(s);
   }
 
   result_type
   operator()(const Tetrahedron_3& t) const
-  { 
+  {
     return Base::operator()(t);
   }
 #endif
 
-  result_type 
+  result_type
   operator()(const Point_3 &p, const Point_3 &q,
-	     const Point_3 &r, const Point_3 &s) const
+             const Point_3 &r, const Point_3 &s) const
   {
       CGAL_BRANCH_PROFILER_3("semi-static failures/attempts/calls to   : Orientation_3", tmp);
 
@@ -75,7 +75,7 @@ public:
           fit_in_double(s.x(), sx) && fit_in_double(s.y(), sy) &&
           fit_in_double(s.z(), sz))
       {
-	  CGAL_BRANCH_PROFILER_BRANCH_1(tmp);
+          CGAL_BRANCH_PROFILER_BRANCH_1(tmp);
 
           double pqx = qx - px;
           double pqy = qy - py;
@@ -103,7 +103,7 @@ public:
           double aprz = CGAL::abs(prz);
           double apsz = CGAL::abs(psz);
 #ifdef CGAL_USE_SSE2_MAX
-          CGAL::Max<double> mmax; 
+          CGAL::Max<double> mmax;
 
           maxx = mmax(maxx, aprx, apsx);
           maxy = mmax(maxy, apry, apsy);
@@ -121,14 +121,14 @@ public:
                                          psx, psy, psz);
 
           double eps = 5.1107127829973299e-15 * maxx * maxy * maxz;
-          
+
 #ifdef CGAL_USE_SSE2_MAX
 #if 0
-          CGAL::Min<double> mmin; 
+          CGAL::Min<double> mmin;
           double tmp = mmin(maxx, maxy, maxz);
           maxz = mmax(maxx, maxy, maxz);
           maxx = tmp;
-#else 
+#else
           sse2minmax(maxx,maxy,maxz);
           // maxy can contain ANY element
 #endif
@@ -152,7 +152,7 @@ public:
             if (det > eps)  return POSITIVE;
             if (det < -eps) return NEGATIVE;
           }
-	  CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
+          CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
       }
 
       return Base::operator()(p, q, r, s);
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Periodic_2_orientation_2.h 5.0.3-1/include/CGAL/internal/Static_filters/Periodic_2_orientation_2.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Periodic_2_orientation_2.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Periodic_2_orientation_2.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/internal/Static_filters/Periodic_2_orientation_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/internal/Static_filters/Periodic_2_orientation_2.h $
 // $Id: Periodic_2_orientation_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Periodic_2_side_of_oriented_circle_2.h 5.0.3-1/include/CGAL/internal/Static_filters/Periodic_2_side_of_oriented_circle_2.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Periodic_2_side_of_oriented_circle_2.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Periodic_2_side_of_oriented_circle_2.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/internal/Static_filters/Periodic_2_side_of_oriented_circle_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/internal/Static_filters/Periodic_2_side_of_oriented_circle_2.h $
 // $Id: Periodic_2_side_of_oriented_circle_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Periodic_3_orientation_3.h 5.0.3-1/include/CGAL/internal/Static_filters/Periodic_3_orientation_3.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Periodic_3_orientation_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Periodic_3_orientation_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Static_filters/Periodic_3_orientation_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Static_filters/Periodic_3_orientation_3.h $
 // $Id: Periodic_3_orientation_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Periodic_3_power_side_of_oriented_power_sphere_3.h 5.0.3-1/include/CGAL/internal/Static_filters/Periodic_3_power_side_of_oriented_power_sphere_3.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Periodic_3_power_side_of_oriented_power_sphere_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Periodic_3_power_side_of_oriented_power_sphere_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Static_filters/Periodic_3_power_side_of_oriented_power_sphere_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Static_filters/Periodic_3_power_side_of_oriented_power_sphere_3.h $
 // $Id: Periodic_3_power_side_of_oriented_power_sphere_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Periodic_3_side_of_oriented_sphere_3.h 5.0.3-1/include/CGAL/internal/Static_filters/Periodic_3_side_of_oriented_sphere_3.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Periodic_3_side_of_oriented_sphere_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Periodic_3_side_of_oriented_sphere_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/internal/Static_filters/Periodic_3_side_of_oriented_sphere_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/internal/Static_filters/Periodic_3_side_of_oriented_sphere_3.h $
 // $Id: Periodic_3_side_of_oriented_sphere_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Power_side_of_oriented_power_sphere_3.h 5.0.3-1/include/CGAL/internal/Static_filters/Power_side_of_oriented_power_sphere_3.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Power_side_of_oriented_power_sphere_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Power_side_of_oriented_power_sphere_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Power_side_of_oriented_power_sphere_3.h $
-// $Id: Power_side_of_oriented_power_sphere_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Power_side_of_oriented_power_sphere_3.h $
+// $Id: Power_side_of_oriented_power_sphere_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sebastien Loriot
@@ -21,7 +21,7 @@
 
 
 namespace CGAL { namespace internal { namespace Static_filters_predicates {
-  
+
   template <typename K_base>
   class Power_side_of_oriented_power_sphere_3:
     public K_base::Power_side_of_oriented_power_sphere_3
@@ -31,24 +31,24 @@ namespace CGAL { namespace internal { na
     typedef typename K_base::Power_side_of_oriented_power_sphere_3 Base;
   public:
     typedef typename Base::result_type result_type;
-  
+
     #ifndef CGAL_CFG_MATCHING_BUG_6
     using Base::operator();
-    #else 
+    #else
     result_type
     operator()(const Weighted_point_3& p, const Weighted_point_3& q) const
-    { 
+    {
       return Base::operator()(p,q);
     }
     #endif
 
 
     void
-    msvc_workaround(double& max1, double& max2, double& max3, double& max4, double& max5, double&  RT_tmp_result, 
-                    double px, double  py, double  pz, double  pwt, 
-                    double qx, double  qy, double  qz, double  qwt, 
-                    double  rx, double  ry, double  rz, double  rwt, 
-                    double  sx, double  sy, double  sz, double  swt, 
+    msvc_workaround(double& max1, double& max2, double& max3, double& max4, double& max5, double&  RT_tmp_result,
+                    double px, double  py, double  pz, double  pwt,
+                    double qx, double  qy, double  qz, double  qwt,
+                    double  rx, double  ry, double  rz, double  rwt,
+                    double  sx, double  sy, double  sz, double  swt,
                     double  tx, double  ty, double  tz, double  twt) const
     {
       double dpx = (px - tx);
@@ -72,12 +72,12 @@ namespace CGAL { namespace internal { na
       double twt_swt = (twt - swt);
       double dst = (((square( dsx ) + square( dsy )) + square( dsz )) + twt_swt);
 
-      //        double 
+      //        double
       RT_tmp_result = CGAL::determinant( dpx, dpy, dpz, dpt, dqx, dqy, dqz, dqt, drx, dry, drz, drt, dsx, dsy, dsz, dst );
 
       //        double
       max2 = CGAL::abs(dpx);
-     
+
 
       double adqx = CGAL::abs(dqx);
       double adqy = CGAL::abs(dqy);
@@ -98,7 +98,7 @@ namespace CGAL { namespace internal { na
       if( (max2 < adqx) ) max2 = adqx;
       if( (max2 < adrx) ) max2 = adrx;
       if( (max2 < adsx) ) max2 = adsx;
-      max1 = max2; 
+      max1 = max2;
       max3 = CGAL::abs(dpy);
       if( (max3 < adqy) ) max3 = adqy;
       if( (max3 < adry) ) max3 = adry;
@@ -113,9 +113,9 @@ namespace CGAL { namespace internal { na
       if( (max5 < atwt_qwt) ) max5 = atwt_qwt;
       if( (max5 < atwt_rwt) ) max5 = atwt_rwt;
       if( (max5 < atwt_swt) ) max5 = atwt_swt;
-    }    
+    }
+
 
-    
     result_type operator() ( const Weighted_point_3 & p,
                              const Weighted_point_3 & q,
                              const Weighted_point_3 & r,
@@ -128,29 +128,29 @@ namespace CGAL { namespace internal { na
       init_double(px, py, pz, pwt, qx, qy, qz, qwt, rx, ry, rz, rwt, (FT*)(0));
       init_double(sx, sy, sz, swt, tx, ty, tz, twt, (FT*)(0));
       if( fit_in_double(p.x(), px) && fit_in_double(p.y(), py)       &&
-          fit_in_double(p.z(), pz) && fit_in_double(p.weight(), pwt) && 
+          fit_in_double(p.z(), pz) && fit_in_double(p.weight(), pwt) &&
           fit_in_double(q.x(), qx) && fit_in_double(q.y(), qy)       &&
           fit_in_double(q.z(), qz) && fit_in_double(q.weight(), qwt) &&
           fit_in_double(r.x(), rx) && fit_in_double(r.y(), ry)       &&
           fit_in_double(r.z(), rz) && fit_in_double(r.weight(), rwt) &&
           fit_in_double(s.x(), sx) && fit_in_double(s.y(), sy)       &&
-          fit_in_double(s.z(), sz) && fit_in_double(s.weight(), swt) && 
+          fit_in_double(s.z(), sz) && fit_in_double(s.weight(), swt) &&
           fit_in_double(t.x(), tx) && fit_in_double(t.y(), ty)       &&
-          fit_in_double(t.z(), tz) && fit_in_double(t.weight(), twt) 
+          fit_in_double(t.z(), tz) && fit_in_double(t.weight(), twt)
         )
       {
-        CGAL_BRANCH_PROFILER_BRANCH_1(tmp);        
+        CGAL_BRANCH_PROFILER_BRANCH_1(tmp);
 
-        // We split the operator as we get an ICE with VC9 and VC10 
-        // when we compile 64 bit code 
+        // We split the operator as we get an ICE with VC9 and VC10
+        // when we compile 64 bit code
 #if defined (BOOST_MSVC) && defined ( _WIN64)
         double max1,max2,max3,max4,max5;
         double RT_tmp_result;
         msvc_workaround(max1,max2,max3,max4,max5, RT_tmp_result,
-                        px, py, pz, pwt, 
-                        qx, qy, qz, qwt, 
-                        rx, ry, rz, rwt, 
-                        sx, sy, sz, swt, 
+                        px, py, pz, pwt,
+                        qx, qy, qz, qwt,
+                        rx, ry, rz, rwt,
+                        sx, sy, sz, swt,
                         tx, ty, tz, twt);
 
 #else
@@ -177,7 +177,7 @@ namespace CGAL { namespace internal { na
 
         double RT_tmp_result = CGAL::determinant( dpx, dpy, dpz, dpt, dqx, dqy, dqz, dqt, drx, dry, drz, drt, dsx, dsy, dsz, dst );
 
-        
+
         double max2 = CGAL::abs(dpx);
         double adqx = CGAL::abs(dqx);
         double adqy = CGAL::abs(dqy);
@@ -198,7 +198,7 @@ namespace CGAL { namespace internal { na
         if( (max2 < adqx) ) max2 = adqx;
         if( (max2 < adrx) ) max2 = adrx;
         if( (max2 < adsx) ) max2 = adsx;
-        double max1 = max2; 
+        double max1 = max2;
         double max3 = CGAL::abs(dpy);
         if( (max3 < adqy) ) max3 = adqy;
         if( (max3 < adry) ) max3 = adry;
@@ -225,14 +225,14 @@ namespace CGAL { namespace internal { na
         {
           CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
           return Base::operator()(p,q,r,s,t);
-        } 
-        else 
+        }
+        else
         {
             if( ((upper_bound_1 > 3.21387608851797948065e+60) || (max5 > 1.03289995123476274781e+121)) )
             {
               CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
               return Base::operator()(p,q,r,s,t);
-            } 
+            }
 
             result_type int_tmp_result;
 
@@ -242,21 +242,21 @@ namespace CGAL { namespace internal { na
             if( (RT_tmp_result > eps) )
             {
                 int_tmp_result = NEGATIVE;
-            } 
-            else 
+            }
+            else
             {
                 if( (RT_tmp_result < -eps) )
                 {
                     int_tmp_result = POSITIVE;
-                } 
-                else 
+                }
+                else
                 {
                   CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                   return Base::operator()(p,q,r,s,t);
-                } 
-            } 
+                }
+            }
             return int_tmp_result;
-        } 
+        }
       }
       else
         return Base::operator()(p,q,r,s,t);
@@ -274,17 +274,17 @@ namespace CGAL { namespace internal { na
       init_double(px, py, pz, pwt, qx, qy, qz, qwt, (FT*)(0));
       init_double( rx, ry, rz, rwt, tx, ty, tz, twt, (FT*)(0));
       if( fit_in_double(p.x(), px) && fit_in_double(p.y(), py)       &&
-          fit_in_double(p.z(), pz) && fit_in_double(p.weight(), pwt) && 
+          fit_in_double(p.z(), pz) && fit_in_double(p.weight(), pwt) &&
           fit_in_double(q.x(), qx) && fit_in_double(q.y(), qy)       &&
           fit_in_double(q.z(), qz) && fit_in_double(q.weight(), qwt) &&
           fit_in_double(r.x(), rx) && fit_in_double(r.y(), ry)       &&
           fit_in_double(r.z(), rz) && fit_in_double(r.weight(), rwt) &&
           fit_in_double(t.x(), tx) && fit_in_double(t.y(), ty)       &&
-          fit_in_double(t.z(), tz) && fit_in_double(t.weight(), twt) 
+          fit_in_double(t.z(), tz) && fit_in_double(t.weight(), twt)
         )
       {
         CGAL_BRANCH_PROFILER_BRANCH_1(tmp);
-        
+
         double dpx = (px - tx);
         double dpy = (py - ty);
         double dpz = (pz - tz);
@@ -337,38 +337,38 @@ namespace CGAL { namespace internal { na
         upper_bound_1 = max1;
         if( (max2 < lower_bound_1) ) lower_bound_1 = max2;
         if( (max3 < lower_bound_1) ) lower_bound_1 = max3;
-        //handwritten workaround to handle case where all weights are equal        
+        //handwritten workaround to handle case where all weights are equal
         //if( ((lower_bound_1 < 2.92391967062015793913e-74) || (max4 < 8.54930624023949352313e-148)) )
         if( ((lower_bound_1 < 2.92391967062015793913e-74) || (max4 < 8.54930624023949352313e-148 && max4!=0)) )
         {
           CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
           return Base::operator()(p,q,r,t);
-        } 
-        else 
+        }
+        else
         {
             if( ((upper_bound_1 > 7.23700557733225980357e+75) || (max4 > 5.23742497263382350320e+151)) )
             {
               CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
               return Base::operator()(p,q,r,t);
-            } 
+            }
             double eps = (3.04426660386257731823e-14 * ((max2 * max3) * (CGAL::max)( max4, (max1 * max1) )));
             if( (RT_tmp_result > eps) )
             {
                 int_tmp_result = 1;
-            } 
-            else 
+            }
+            else
             {
                 if( (RT_tmp_result < -eps) )
                 {
                     int_tmp_result = -1;
-                } 
-                else 
+                }
+                else
                 {
                   CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                   return Base::operator()(p,q,r,t);
-                } 
-            } 
-        } 
+                }
+            }
+        }
         cmp = int_tmp_result;
         double px_rx = (px - rx);
         double qy_ry = (qy - ry);
@@ -388,39 +388,39 @@ namespace CGAL { namespace internal { na
             lower_bound_1 = max5;
             upper_bound_1 = max5;
             if( (max6 < lower_bound_1) ) lower_bound_1 = max6;
-            else 
+            else
             {
                 if( (max6 > upper_bound_1) ) upper_bound_1 = max6;
-            } 
+            }
             if( (lower_bound_1 < 5.00368081960964690982e-147) )
             {
               CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
               return Base::operator()(p,q,r,t);
-            } 
-            else 
+            }
+            else
             {
                 if( (upper_bound_1 > 7.23700557733225980357e+75) )
                 {
                   CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                   return Base::operator()(p,q,r,t);
-                } 
+                }
                 double eps = (8.88720573725927976811e-16 * (max5 * max6));
                 if( (double_tmp_result > eps) ) int_tmp_result_FFWKCAA = 1;
-                else 
+                else
                 {
                     if( (double_tmp_result < -eps) )
                     {
                         int_tmp_result_FFWKCAA = -1;
-                    } 
-                    else 
+                    }
+                    else
                     {
                       CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                       return Base::operator()(p,q,r,t);
-                    } 
-                } 
-            } 
+                    }
+                }
+            }
             return static_cast<result_type>(cmp * int_tmp_result_FFWKCAA);
-        } 
+        }
         int int_tmp_result_k60Ocge;
         double RT_tmp_result_3SPBwDj = CGAL::determinant( dpx, dpz, dpt, dqx, dqz, dqt, drx, drz, drt );
         lower_bound_1 = max1;
@@ -433,32 +433,32 @@ namespace CGAL { namespace internal { na
         {
           CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
           return Base::operator()(p,q,r,t);
-        } 
-        else 
+        }
+        else
         {
             if( ((upper_bound_1 > 7.23700557733225980357e+75) || (max4 > 5.23742497263382350320e+151)) )
             {
               CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
               return Base::operator()(p,q,r,t);
-            } 
+            }
             eps = (3.04426660386257731823e-14 * ((max2 * max7) * (CGAL::max)( max4, (max1 * max1) )));
             if( (RT_tmp_result_3SPBwDj > eps) )
             {
                 int_tmp_result_k60Ocge = 1;
-            } 
-            else 
+            }
+            else
             {
                 if( (RT_tmp_result_3SPBwDj < -eps) )
                 {
                     int_tmp_result_k60Ocge = -1;
-                } 
-                else 
+                }
+                else
                 {
                   CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                   return Base::operator()(p,q,r,t);
-                } 
-            } 
-        } 
+                }
+            }
+        }
         cmp = int_tmp_result_k60Ocge;
         double qz_rz = (qz - rz);
         double pz_rz = (pz - rz);
@@ -473,42 +473,42 @@ namespace CGAL { namespace internal { na
             lower_bound_1 = max5;
             upper_bound_1 = max5;
             if( (max8 < lower_bound_1) ) lower_bound_1 = max8;
-            else 
+            else
             {
                 if( (max8 > upper_bound_1) ) upper_bound_1 = max8;
-            } 
+            }
             if( (lower_bound_1 < 5.00368081960964690982e-147) )
             {
               CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
               return Base::operator()(p,q,r,t);
-            } 
-            else 
+            }
+            else
             {
                 if( (upper_bound_1 > 7.23700557733225980357e+75) )
                 {
                   CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                   return Base::operator()(p,q,r,t);
-                } 
+                }
                 eps = (8.88720573725927976811e-16 * (max5 * max8));
                 if( (double_tmp_result_Gx4H > eps) )
                 {
                     int_tmp_result_k3Lzf6g = 1;
-                } 
-                else 
+                }
+                else
                 {
                     if( (double_tmp_result_Gx4H < -eps) )
                     {
                         int_tmp_result_k3Lzf6g = -1;
-                    } 
-                    else 
+                    }
+                    else
                     {
                       CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                       return Base::operator()(p,q,r,t);
-                    } 
-                } 
-            } 
+                    }
+                }
+            }
             return static_cast<result_type>(cmp * int_tmp_result_k3Lzf6g);
-        } 
+        }
         int int_tmp_result_AvrrXBP;
         double RT_tmp_result_feLwnHn = CGAL::determinant( dpy, dpz, dpt, dqy, dqz, dqt, dry, drz, drt );
         lower_bound_1 = max1;
@@ -521,32 +521,32 @@ namespace CGAL { namespace internal { na
         {
           CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
           return Base::operator()(p,q,r,t);
-        } 
-        else 
+        }
+        else
         {
             if( ((upper_bound_1 > 7.23700557733225980357e+75) || (max4 > 5.23742497263382350320e+151)) )
             {
               CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
               return Base::operator()(p,q,r,t);
-            } 
+            }
             eps = (3.04426660386257731823e-14 * ((max3 * max7) * (CGAL::max)( max4, (max1 * max1) )));
             if( (RT_tmp_result_feLwnHn > eps) )
             {
                 int_tmp_result_AvrrXBP = 1;
-            } 
-            else 
+            }
+            else
             {
                 if( (RT_tmp_result_feLwnHn < -eps) )
                 {
                     int_tmp_result_AvrrXBP = -1;
-                } 
-                else 
+                }
+                else
                 {
                   CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                   return Base::operator()(p,q,r,t);
-                } 
-            } 
-        } 
+                }
+            }
+        }
         cmp = int_tmp_result_AvrrXBP;
         int int_tmp_result_agX3WsT;
         double double_tmp_result_Dw20Kqh = ((py_ry * qz_rz) - (qy_ry * pz_rz));
@@ -555,42 +555,42 @@ namespace CGAL { namespace internal { na
         if( (max6 < lower_bound_1) )
         {
             lower_bound_1 = max6;
-        } 
-        else 
+        }
+        else
         {
             if( (max6 > upper_bound_1) ) upper_bound_1 = max6;
-        } 
+        }
         if( (lower_bound_1 < 5.00368081960964690982e-147) )
         {
           CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
           return Base::operator()(p,q,r,t);
-        } 
-        else 
+        }
+        else
         {
             if( (upper_bound_1 > 7.23700557733225980357e+75) )
             {
               CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
               return Base::operator()(p,q,r,t);
-            } 
+            }
             eps = (8.88720573725927976811e-16 * (max6 * max8));
             if( (double_tmp_result_Dw20Kqh > eps) )
             {
                 int_tmp_result_agX3WsT = 1;
-            } 
-            else 
+            }
+            else
             {
                 if( (double_tmp_result_Dw20Kqh < -eps) )
                 {
                     int_tmp_result_agX3WsT = -1;
-                } 
-                else 
+                }
+                else
                 {
                   CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                   return Base::operator()(p,q,r,t);
-                } 
-            } 
-        } 
-        return static_cast<result_type>(cmp * int_tmp_result_agX3WsT);        
+                }
+            }
+        }
+        return static_cast<result_type>(cmp * int_tmp_result_agX3WsT);
       }
       else
         return Base::operator()(p,q,r,t);
@@ -602,19 +602,19 @@ namespace CGAL { namespace internal { na
     {
 
       CGAL_BRANCH_PROFILER_3("semi-static failures/attempts/calls to   : Power_side_of_oriented_power_sphere_3 with 2+1 wpoints", tmp);
-      
+
       double px, py, pz, pwt, qx, qy, qz, qwt, tx, ty, tz, twt;
       init_double(px, py, pz, pwt, qx, qy, qz, qwt, tx, ty, tz, twt, (FT*)(0));
       if( fit_in_double(p.x(), px) && fit_in_double(p.y(), py)       &&
-          fit_in_double(p.z(), pz) && fit_in_double(p.weight(), pwt) && 
+          fit_in_double(p.z(), pz) && fit_in_double(p.weight(), pwt) &&
           fit_in_double(q.x(), qx) && fit_in_double(q.y(), qy)       &&
           fit_in_double(q.z(), qz) && fit_in_double(q.weight(), qwt) &&
           fit_in_double(t.x(), tx) && fit_in_double(t.y(), ty)       &&
-          fit_in_double(t.z(), tz) && fit_in_double(t.weight(), twt) 
+          fit_in_double(t.z(), tz) && fit_in_double(t.weight(), twt)
         )
       {
         CGAL_BRANCH_PROFILER_BRANCH_1(tmp);
-          
+
         double dpx = (px - tx);
         double dpy = (py - ty);
         double dpz = (pz - tz);
@@ -638,7 +638,7 @@ namespace CGAL { namespace internal { na
 
         if( max4 < adqy ) max4 = adqy;
         max1 = max4;
-        double max5 = CGAL::abs(dpz); 
+        double max5 = CGAL::abs(dpz);
         if( max5 < adqz ) max5 = adqz;
         if( max1 < max5 ) max1 = max5;
         double max2 = CGAL::abs(dpx);
@@ -662,34 +662,34 @@ namespace CGAL { namespace internal { na
             {
               CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
               return Base::operator()(p,q,t);
-            } 
-            else 
+            }
+            else
             {
                 if( ((upper_bound_1 > 5.59936185544450928309e+101) || (max3 > 3.13528531882069776730e+203)) )
                 {
                   CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                   return Base::operator()(p,q,t);
-                } 
+                }
                 eps = (6.88858782307641768480e-15 * (max2 * (CGAL::max)( max3, (max1 * max1) )));
                 if( (double_tmp_result > eps) )
                 {
                     int_tmp_result = 1;
-                } 
-                else 
+                }
+                else
                 {
                     if( (double_tmp_result < -eps) )
                     {
                         int_tmp_result = -1;
-                    } 
-                    else 
+                    }
+                    else
                     {
                       CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                       return Base::operator()(p,q,t);
-                    } 
-                } 
-            } 
+                    }
+                }
+            }
             return static_cast<result_type>(cmp * int_tmp_result);
-        } 
+        }
         cmp = ((py > qy) ? 1 : ((py < qy) ? -1 : 0));
         if( (cmp != 0) )
         {
@@ -705,34 +705,34 @@ namespace CGAL { namespace internal { na
           {
             CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
             return Base::operator()(p,q,t);
-          } 
-          else 
+          }
+          else
           {
               if( ((upper_bound_1 > 5.59936185544450928309e+101) || (max3 > 3.13528531882069776730e+203)) )
               {
                 CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                 return Base::operator()(p,q,t);
-              } 
+              }
               eps = (6.88858782307641768480e-15 * (max4 * (CGAL::max)( max3, (max1 * max1) )));
               if( (double_tmp_result_k60Ocge > eps) )
               {
                   int_tmp_result_FFWKCAA = 1;
-              } 
-              else 
+              }
+              else
               {
                   if( (double_tmp_result_k60Ocge < -eps) )
                   {
                       int_tmp_result_FFWKCAA = -1;
-                  } 
-                  else 
+                  }
+                  else
                   {
                     CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                     return Base::operator()(p,q,t);
-                  } 
-              } 
-          } 
+                  }
+              }
+          }
           return static_cast<result_type>(cmp * int_tmp_result_FFWKCAA);
-        } 
+        }
         cmp = ((pz > qz) ? 1 : ((pz < qz) ? -1 : 0));
         int int_tmp_result_3SPBwDj;
         double double_tmp_result_k3Lzf6g = ((dpz * dqt) - (dqz * dpt));
@@ -741,47 +741,47 @@ namespace CGAL { namespace internal { na
         if( (max5 < lower_bound_1) )
         {
             lower_bound_1 = max5;
-        } 
+        }
         //handwritten workaround to handle case where all weights are equal
         //if( ((lower_bound_1 < 4.89808663633813414271e-98) || (max3 < 2.39912526970742181620e-195)) )
         if( ((lower_bound_1 < 4.89808663633813414271e-98) || (max3 < 2.39912526970742181620e-195 && max3!=0)) )
         {
           CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
           return Base::operator()(p,q,t);
-        } 
-        else 
+        }
+        else
         {
             if( ((upper_bound_1 > 5.59936185544450928309e+101) || (max3 > 3.13528531882069776730e+203)) )
             {
               CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
               return Base::operator()(p,q,t);
-            } 
+            }
             eps = (6.88858782307641768480e-15 * (max5 * (CGAL::max)( max3, (max1 * max1) )));
             if( (double_tmp_result_k3Lzf6g > eps) )
             {
                 int_tmp_result_3SPBwDj = 1;
-            } 
-            else 
+            }
+            else
             {
                 if( (double_tmp_result_k3Lzf6g < -eps) )
                 {
                     int_tmp_result_3SPBwDj = -1;
-                } 
-                else 
+                }
+                else
                 {
                   CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
                   return Base::operator()(p,q,t);
-                } 
-            } 
-        } 
-        return static_cast<result_type>(cmp * int_tmp_result_3SPBwDj);           
+                }
+            }
+        }
+        return static_cast<result_type>(cmp * int_tmp_result_3SPBwDj);
       }
       else
         return Base::operator()(p,q,t);
     }
-  
+
       };
-  
+
 } } }//namespace CGAL::internal::Static_filters_predicates
 
 #endif //CGAL_INTERNAL_STATIC_FILTERS_POWER_TEST_3_H
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Side_of_oriented_circle_2.h 5.0.3-1/include/CGAL/internal/Static_filters/Side_of_oriented_circle_2.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Side_of_oriented_circle_2.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Side_of_oriented_circle_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Side_of_oriented_circle_2.h $
-// $Id: Side_of_oriented_circle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Side_of_oriented_circle_2.h $
+// $Id: Side_of_oriented_circle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
@@ -29,7 +29,7 @@ class Side_of_oriented_circle_2
 public:
 
   Oriented_side operator()(const Point_2 &p, const Point_2 &q,
-	                   const Point_2 &r, const Point_2 &t) const
+                           const Point_2 &r, const Point_2 &t) const
   {
       CGAL_BRANCH_PROFILER_3("semi-static failures/attempts/calls to   : Side_of_oriented_circle_2", tmp);
 
@@ -40,7 +40,7 @@ public:
           fit_in_double(r.x(), rx) && fit_in_double(r.y(), ry) &&
           fit_in_double(t.x(), tx) && fit_in_double(t.y(), ty))
       {
-	  CGAL_BRANCH_PROFILER_BRANCH_1(tmp);
+          CGAL_BRANCH_PROFILER_BRANCH_1(tmp);
 
           double qpx = qx-px;
           double qpy = qy-py;
@@ -49,10 +49,10 @@ public:
           double tpx = tx-px;
           double tpy = ty-py;
 
-	  double tqx = tx-qx;
-	  double tqy = ty-qy;
-	  double rqx = rx-qx;
-	  double rqy = ry-qy;
+          double tqx = tx-qx;
+          double tqy = ty-qy;
+          double rqx = rx-qx;
+          double rqy = ry-qy;
 
           double det = CGAL::determinant(qpx*tpy - qpy*tpx, tpx*tqx + tpy*tqy,
                                          qpx*rpy - qpy*rpx, rpx*rqx + rpy*rqy);
@@ -96,7 +96,7 @@ public:
             if (det < -eps) return ON_NEGATIVE_SIDE;
           }
 
-	  CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
+          CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
       }
 
       return Base::operator()(p, q, r, t);
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Side_of_oriented_sphere_3.h 5.0.3-1/include/CGAL/internal/Static_filters/Side_of_oriented_sphere_3.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Side_of_oriented_sphere_3.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Side_of_oriented_sphere_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Side_of_oriented_sphere_3.h $
-// $Id: Side_of_oriented_sphere_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Side_of_oriented_sphere_3.h $
+// $Id: Side_of_oriented_sphere_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
@@ -46,28 +46,28 @@ public:
           fit_in_double(t.x(), tx) && fit_in_double(t.y(), ty) &&
           fit_in_double(t.z(), tz))
       {
-	  CGAL_BRANCH_PROFILER_BRANCH_1(tmp);
+          CGAL_BRANCH_PROFILER_BRANCH_1(tmp);
 
           double ptx = px - tx;
           double pty = py - ty;
           double ptz = pz - tz;
           double pt2 = CGAL_NTS square(ptx) + CGAL_NTS square(pty)
-	             + CGAL_NTS square(ptz);
+                     + CGAL_NTS square(ptz);
           double qtx = qx - tx;
           double qty = qy - ty;
           double qtz = qz - tz;
           double qt2 = CGAL_NTS square(qtx) + CGAL_NTS square(qty)
-	             + CGAL_NTS square(qtz);
+                     + CGAL_NTS square(qtz);
           double rtx = rx - tx;
           double rty = ry - ty;
           double rtz = rz - tz;
          double rt2 = CGAL_NTS square(rtx) + CGAL_NTS square(rty)
-	             + CGAL_NTS square(rtz);
+                     + CGAL_NTS square(rtz);
           double stx = sx - tx;
           double sty = sy - ty;
           double stz = sz - tz;
           double st2 = CGAL_NTS square(stx) + CGAL_NTS square(sty)
-	             + CGAL_NTS square(stz);
+                     + CGAL_NTS square(stz);
 
           // Compute the semi-static bound.
           double maxx = CGAL::abs(ptx);
@@ -87,7 +87,7 @@ public:
           double astz = CGAL::abs(stz);
 
 #ifdef CGAL_USE_SSE2_MAX
-          CGAL::Max<double> mmax; 
+          CGAL::Max<double> mmax;
           maxx = mmax(maxx, aqtx, artx, astx);
           maxy = mmax(maxy, aqty, arty, asty);
           maxz = mmax(maxz, aqtz, artz, astz);
@@ -106,17 +106,17 @@ public:
 #endif
 
           double eps = 1.2466136531027298e-13 * maxx * maxy * maxz;
-  
+
 #ifdef CGAL_USE_SSE2_MAX
           /*
-          CGAL::Min<double> mmin; 
+          CGAL::Min<double> mmin;
           double tmp = mmin(maxx, maxy, maxz);
           maxz = mmax(maxx, maxy, maxz);
           maxx = tmp;
           */
           sse2minmax(maxx,maxy,maxz);
           // maxy can contain ANY element
-          
+
 #else
           // Sort maxx < maxy < maxz.
           if (maxx > maxz)
@@ -143,7 +143,7 @@ public:
             if (det < -eps) return ON_NEGATIVE_SIDE;
           }
 
-	  CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
+          CGAL_BRANCH_PROFILER_BRANCH_2(tmp);
       }
       return Base::operator()(p, q, r, s, t);
   }
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Static_filter_error.h 5.0.3-1/include/CGAL/internal/Static_filters/Static_filter_error.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Static_filter_error.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Static_filter_error.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Static_filter_error.h $
-// $Id: Static_filter_error.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Static_filter_error.h $
+// $Id: Static_filter_error.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
@@ -16,7 +16,7 @@
 // This file contains the description of the class Static_filter_error.
 // The goal of this class is to be run by some overloaded predicates,
 // to compute error bound done in these functions.
-// 
+//
 // The original idea is from Olivier Devillers.
 
 // It is still EXPERIMENTAL.
@@ -72,7 +72,7 @@ struct Static_filter_error
   Sfe operator+ (const Sfe &f) const
   {
       CGAL_warning_msg( _d == f._d ,
-	      "you are adding variables of different homogeneous degree");
+              "you are adding variables of different homogeneous degree");
       // We have to add an ulp, since the homogeneization could induce such
       // an error.
       FPU_CW_t backup = FPU_get_and_set_cw(CGAL_FE_UPWARD);
@@ -139,7 +139,7 @@ Static_filter_error
 sqrt(const Static_filter_error &f)
 {
   CGAL_warning_msg( (f.degree() & 1) == 0,
-	            "Do you really want a non integral degree ???");
+                    "Do you really want a non integral degree ???");
   // We have to add an ulp, since the homogeneization could induce such
   // an error.
   FPU_CW_t backup = FPU_get_and_set_cw(CGAL_FE_UPWARD);
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/Static_filters.h 5.0.3-1/include/CGAL/internal/Static_filters/Static_filters.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/Static_filters.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/Static_filters.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,13 +3,13 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/Static_filters.h $
-// $Id: Static_filters.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/Static_filters.h $
+// $Id: Static_filters.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
- 
+
 #ifndef CGAL_INTERNAL_STATIC_FILTERS_H
 #define CGAL_INTERNAL_STATIC_FILTERS_H
 
@@ -297,11 +297,11 @@ Compare_y_2
   Do_intersect_3
   do_intersect_3_object() const
   { return Do_intersect_3(); }
-  
+
   Do_intersect_2
   do_intersect_2_object() const
   { return Do_intersect_2(); }
-  
+
 #endif // NOT CGAL_NO_DO_INTERSECT_STATIC_FILTERS
 
   // The two following are for degenerate cases, so I'll update them later.
diff -pruN 5.0.2-3/include/CGAL/internal/Static_filters/tools.h 5.0.3-1/include/CGAL/internal/Static_filters/tools.h
--- 5.0.2-3/include/CGAL/internal/Static_filters/tools.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_filters/tools.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,13 +3,13 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/internal/Static_filters/tools.h $
-// $Id: tools.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/internal/Static_filters/tools.h $
+// $Id: tools.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
- 
+
 #ifndef CGAL_INTERNAL_STATIC_FILTERS_TOOLS_H
 #define CGAL_INTERNAL_STATIC_FILTERS_TOOLS_H
 
diff -pruN 5.0.2-3/include/CGAL/internal/Static_or_dynamic_array.h 5.0.3-1/include/CGAL/internal/Static_or_dynamic_array.h
--- 5.0.2-3/include/CGAL/internal/Static_or_dynamic_array.h	2020-02-21 20:04:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Static_or_dynamic_array.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/internal/Static_or_dynamic_array.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/internal/Static_or_dynamic_array.h $
 // $Id: Static_or_dynamic_array.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Surface_mesh_deformation/Spokes_and_rims_iterator.h 5.0.3-1/include/CGAL/internal/Surface_mesh_deformation/Spokes_and_rims_iterator.h
--- 5.0.2-3/include/CGAL/internal/Surface_mesh_deformation/Spokes_and_rims_iterator.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Surface_mesh_deformation/Spokes_and_rims_iterator.h	2020-08-01 19:02:54.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_deformation/include/CGAL/internal/Surface_mesh_deformation/Spokes_and_rims_iterator.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_deformation/include/CGAL/internal/Surface_mesh_deformation/Spokes_and_rims_iterator.h $
 // $Id: Spokes_and_rims_iterator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/AABB_traits.h 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/AABB_traits.h
--- 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/AABB_traits.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/AABB_traits.h	2020-08-01 19:02:55.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/AABB_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/AABB_traits.h $
 // $Id: AABB_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/AABB_traversal_traits.h 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/AABB_traversal_traits.h
--- 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/AABB_traversal_traits.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/AABB_traversal_traits.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/AABB_traversal_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/AABB_traversal_traits.h $
 // $Id: AABB_traversal_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/Alpha_expansion_graph_cut.h 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/Alpha_expansion_graph_cut.h
--- 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/Alpha_expansion_graph_cut.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/Alpha_expansion_graph_cut.h	2020-08-01 19:02:55.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/Alpha_expansion_graph_cut.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/Alpha_expansion_graph_cut.h $
 // $Id: Alpha_expansion_graph_cut.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/Disk_samplers.h 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/Disk_samplers.h
--- 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/Disk_samplers.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/Disk_samplers.h	2020-08-01 19:02:55.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/Disk_samplers.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/Disk_samplers.h $
 // $Id: Disk_samplers.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/Expectation_maximization.h 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/Expectation_maximization.h
--- 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/Expectation_maximization.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/Expectation_maximization.h	2020-08-01 19:02:55.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/Expectation_maximization.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/Expectation_maximization.h $
 // $Id: Expectation_maximization.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/Filters.h 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/Filters.h
--- 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/Filters.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/Filters.h	2020-08-01 19:02:55.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/Filters.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/Filters.h $
 // $Id: Filters.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/K_means_clustering.h 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/K_means_clustering.h
--- 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/K_means_clustering.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/K_means_clustering.h	2020-08-01 19:02:55.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/K_means_clustering.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/K_means_clustering.h $
 // $Id: K_means_clustering.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/SDF_calculation.h 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/SDF_calculation.h
--- 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/SDF_calculation.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/SDF_calculation.h	2020-08-01 19:02:55.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/SDF_calculation.h $
-// $Id: SDF_calculation.h 2c5826d 2020-01-17T16:29:49+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/SDF_calculation.h $
+// $Id: SDF_calculation.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Ilker O. Yaz
@@ -147,7 +147,7 @@ public:
     centroid_functor(traits.construct_centroid_3_object()),
     collinear_functor(traits.collinear_3_object()),
     tree(create_traits(mesh, vertex_point_map)),
-    use_diagonal(use_diagonal) 
+    use_diagonal(use_diagonal)
   {
     typedef typename boost::property_traits<VertexPointPmap>::reference Point_ref;
     face_iterator it, end;
@@ -319,7 +319,7 @@ public:
         Segment segment(center, target_point);
 
         if(traits.is_degenerate_3_object()(segment)) {
-          CGAL_warning_msg(false, 
+          CGAL_warning_msg(false,
                        "A degenerate segment is constructed. Most probable reason is using CGAL_PI as cone_angle parameter and also picking center of disk as a sample.");
         }
 
@@ -375,7 +375,7 @@ private:
     double cone_angle,
     bool accept_if_acute,
     const Disk_samples_list& disk_samples) const {
-    
+
     const Point p1 = get(vertex_point_map,target(halfedge(facet,mesh),mesh));
     const Point p2 = get(vertex_point_map,target(next(halfedge(facet,mesh),mesh),mesh));
     const Point p3 = get(vertex_point_map,target(prev(halfedge(facet,mesh),mesh),mesh));
diff -pruN 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/Surface_mesh_segmentation.h 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/Surface_mesh_segmentation.h
--- 5.0.2-3/include/CGAL/internal/Surface_mesh_segmentation/Surface_mesh_segmentation.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Surface_mesh_segmentation/Surface_mesh_segmentation.h	2020-08-01 19:02:55.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/Surface_mesh_segmentation.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_segmentation/include/CGAL/internal/Surface_mesh_segmentation/Surface_mesh_segmentation.h $
 // $Id: Surface_mesh_segmentation.h 2c5826d 2020-01-17T16:29:49+01:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Surface_mesh_skeletonization/Curve_skeleton.h 5.0.3-1/include/CGAL/internal/Surface_mesh_skeletonization/Curve_skeleton.h
--- 5.0.2-3/include/CGAL/internal/Surface_mesh_skeletonization/Curve_skeleton.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Surface_mesh_skeletonization/Curve_skeleton.h	2020-08-01 19:02:56.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_skeletonization/include/CGAL/internal/Surface_mesh_skeletonization/Curve_skeleton.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_skeletonization/include/CGAL/internal/Surface_mesh_skeletonization/Curve_skeleton.h $
 // $Id: Curve_skeleton.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Surface_mesh_skeletonization/Debug.h 5.0.3-1/include/CGAL/internal/Surface_mesh_skeletonization/Debug.h
--- 5.0.2-3/include/CGAL/internal/Surface_mesh_skeletonization/Debug.h	2020-02-21 20:04:28.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Surface_mesh_skeletonization/Debug.h	2020-08-01 19:02:56.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_skeletonization/include/CGAL/internal/Surface_mesh_skeletonization/Debug.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_skeletonization/include/CGAL/internal/Surface_mesh_skeletonization/Debug.h $
 // $Id: Debug.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Surface_mesh_skeletonization/Detect_degeneracy.h 5.0.3-1/include/CGAL/internal/Surface_mesh_skeletonization/Detect_degeneracy.h
--- 5.0.2-3/include/CGAL/internal/Surface_mesh_skeletonization/Detect_degeneracy.h	2020-02-21 20:04:28.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Surface_mesh_skeletonization/Detect_degeneracy.h	2020-08-01 19:02:56.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_skeletonization/include/CGAL/internal/Surface_mesh_skeletonization/Detect_degeneracy.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_skeletonization/include/CGAL/internal/Surface_mesh_skeletonization/Detect_degeneracy.h $
 // $Id: Detect_degeneracy.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/TDS_2/Edge_hash_function.h 5.0.3-1/include/CGAL/internal/TDS_2/Edge_hash_function.h
--- 5.0.2-3/include/CGAL/internal/TDS_2/Edge_hash_function.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/TDS_2/Edge_hash_function.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_2/include/CGAL/internal/TDS_2/Edge_hash_function.h $
-// $Id: Edge_hash_function.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_2/include/CGAL/internal/TDS_2/Edge_hash_function.h $
+// $Id: Edge_hash_function.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/internal/TDS_2/edge_list.h 5.0.3-1/include/CGAL/internal/TDS_2/edge_list.h
--- 5.0.2-3/include/CGAL/internal/TDS_2/edge_list.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/TDS_2/edge_list.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_2/include/CGAL/internal/TDS_2/edge_list.h $
-// $Id: edge_list.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_2/include/CGAL/internal/TDS_2/edge_list.h $
+// $Id: edge_list.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -57,7 +57,7 @@ namespace internal {
     bool is_in_list() const
     {
       return ( next_.second != sentinel_index() ||
-	       prev_.second != sentinel_index() );
+               prev_.second != sentinel_index() );
     }
 
     void set_next(const Edge& next)
@@ -80,7 +80,7 @@ namespace internal {
   };
 
 
-  
+
   template<class E_t, class ListItem, class USE_STL_MAP_Tag>
   struct Edge_list_which_map;
 
@@ -196,10 +196,10 @@ namespace internal {
 
   public:
     Edge_list_iterator() {}
-    
+
     Edge_list_iterator(const Edge_list* l, const Edge& e, unsigned int idx)
       : l(l), e(e), idx(idx) {}
-    
+
     Edge_list_iterator(const Self& other)
     {
       l = other.l;
@@ -322,15 +322,15 @@ private:
   }
 
   // check whether the edge is in the list;
-  // the map used is STL's map 
+  // the map used is STL's map
   bool is_in_list_with_tag(const Edge& e, const Tag_true&) const
   {
     if ( emap.find(e) == emap.end() ) { return false; }
-    return emap.find(e)->second.is_in_list();    
+    return emap.find(e)->second.is_in_list();
   }
 
   // check whether the edge is in the list;
-  // the map used is CGAL's Unique_hash_map 
+  // the map used is CGAL's Unique_hash_map
   bool is_in_list_with_tag(const Edge& e, const Tag_false&) const
   {
     if ( !emap.is_defined(e) ) { return false; }
@@ -338,28 +338,28 @@ private:
   }
 
   // return the next edge in the list;
-  // the map used is STL's map 
+  // the map used is STL's map
   const Edge& next_with_tag(const Edge& e, const Tag_true&) const
   {
     return emap.find(e)->second.next();
   }
 
   // return the next edge in the list;
-  // the map used is CGAL's Unique_hash_map 
+  // the map used is CGAL's Unique_hash_map
   const Edge& next_with_tag(const Edge& e, const Tag_false&) const
   {
     return emap[e].next();
   }
 
   // return the previous edge in the list;
-  // the map used is STL's map 
+  // the map used is STL's map
   const Edge& previous_with_tag(const Edge& e, const Tag_true&) const
   {
     return emap.find(e)->second.previous();
   }
 
   // return the previous edge in the list;
-  // the map used is CGAL's Unique_hash_map 
+  // the map used is CGAL's Unique_hash_map
   const Edge& previous_with_tag(const Edge& e, const Tag_false&) const
   {
     return emap[e].previous();
diff -pruN 5.0.2-3/include/CGAL/internal/Transform_coordinates_traits_3.h 5.0.3-1/include/CGAL/internal/Transform_coordinates_traits_3.h
--- 5.0.2-3/include/CGAL/internal/Transform_coordinates_traits_3.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Transform_coordinates_traits_3.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/internal/Transform_coordinates_traits_3.h $
-// $Id: Transform_coordinates_traits_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/internal/Transform_coordinates_traits_3.h $
+// $Id: Transform_coordinates_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Olivier Devillers
@@ -13,10 +13,10 @@
 #ifndef CGAL_INTERNAL_SCALE_COORDINATES_ADAPTOR_TRAITS_3_H
 #define CGAL_INTERNAL_SCALE_COORDINATES_ADAPTOR_TRAITS_3_H
 
-namespace CGAL { 
+namespace CGAL {
 
 namespace internal {
-	
+
 template <int x, int y, int z, int ord>
 struct Transform_constant_struct;
 
@@ -52,162 +52,162 @@ struct Coordinate_value_adaptor;
 
 template <class R>
 struct Coordinate_value_adaptor<R,0> {
-	static typename R::FT x(const typename R::Point_3& p) {return p.x();}
-	static typename R::FT y(const typename R::Point_3& p) {return p.y();}
+        static typename R::FT x(const typename R::Point_3& p) {return p.x();}
+        static typename R::FT y(const typename R::Point_3& p) {return p.y();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,1> {
-	static typename R::FT x(const typename R::Point_3& p) {return -p.x();}
-	static typename R::FT y(const typename R::Point_3& p) {return p.y();}
+        static typename R::FT x(const typename R::Point_3& p) {return -p.x();}
+        static typename R::FT y(const typename R::Point_3& p) {return p.y();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,2> {
-	static typename R::FT x(const typename R::Point_3& p) {return p.x();}
-	static typename R::FT y(const typename R::Point_3& p) {return -p.y();}
+        static typename R::FT x(const typename R::Point_3& p) {return p.x();}
+        static typename R::FT y(const typename R::Point_3& p) {return -p.y();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,3> {
-	static typename R::FT x(const typename R::Point_3& p) {return -p.x();}
-	static typename R::FT y(const typename R::Point_3& p) {return -p.y();}
+        static typename R::FT x(const typename R::Point_3& p) {return -p.x();}
+        static typename R::FT y(const typename R::Point_3& p) {return -p.y();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,4> {
-	static typename R::FT x(const typename R::Point_3& p) {return p.y();}
-	static typename R::FT y(const typename R::Point_3& p) {return p.x();}
+        static typename R::FT x(const typename R::Point_3& p) {return p.y();}
+        static typename R::FT y(const typename R::Point_3& p) {return p.x();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,5> {
-	static typename R::FT x(const typename R::Point_3& p) {return -p.y();}
-	static typename R::FT y(const typename R::Point_3& p) {return p.x();}
+        static typename R::FT x(const typename R::Point_3& p) {return -p.y();}
+        static typename R::FT y(const typename R::Point_3& p) {return p.x();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,6> {
-	static typename R::FT x(const typename R::Point_3& p) {return p.y();}
-	static typename R::FT y(const typename R::Point_3& p) {return -p.x();}
+        static typename R::FT x(const typename R::Point_3& p) {return p.y();}
+        static typename R::FT y(const typename R::Point_3& p) {return -p.x();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,7> {
-	static typename R::FT x(const typename R::Point_3& p) {return -p.y();}
-	static typename R::FT y(const typename R::Point_3& p) {return -p.x();}
+        static typename R::FT x(const typename R::Point_3& p) {return -p.y();}
+        static typename R::FT y(const typename R::Point_3& p) {return -p.x();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,8> {
-	static typename R::FT x(const typename R::Point_3& p) {return p.x();}
-	static typename R::FT y(const typename R::Point_3& p) {return p.z();}
+        static typename R::FT x(const typename R::Point_3& p) {return p.x();}
+        static typename R::FT y(const typename R::Point_3& p) {return p.z();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,9> {
-	static typename R::FT x(const typename R::Point_3& p) {return -p.x();}
-	static typename R::FT y(const typename R::Point_3& p) {return p.z();}
+        static typename R::FT x(const typename R::Point_3& p) {return -p.x();}
+        static typename R::FT y(const typename R::Point_3& p) {return p.z();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,10> {
-	static typename R::FT x(const typename R::Point_3& p) {return p.x();}
-	static typename R::FT y(const typename R::Point_3& p) {return -p.z();}
+        static typename R::FT x(const typename R::Point_3& p) {return p.x();}
+        static typename R::FT y(const typename R::Point_3& p) {return -p.z();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,11> {
-	static typename R::FT x(const typename R::Point_3& p) {return -p.x();}
-	static typename R::FT y(const typename R::Point_3& p) {return -p.z();}
+        static typename R::FT x(const typename R::Point_3& p) {return -p.x();}
+        static typename R::FT y(const typename R::Point_3& p) {return -p.z();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,12> {
-	static typename R::FT x(const typename R::Point_3& p) {return p.z();}
-	static typename R::FT y(const typename R::Point_3& p) {return p.x();}
+        static typename R::FT x(const typename R::Point_3& p) {return p.z();}
+        static typename R::FT y(const typename R::Point_3& p) {return p.x();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,13> {
-	static typename R::FT x(const typename R::Point_3& p) {return -p.z();}
-	static typename R::FT y(const typename R::Point_3& p) {return p.x();}
+        static typename R::FT x(const typename R::Point_3& p) {return -p.z();}
+        static typename R::FT y(const typename R::Point_3& p) {return p.x();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,14> {
-	static typename R::FT x(const typename R::Point_3& p) {return p.z();}
-	static typename R::FT y(const typename R::Point_3& p) {return -p.x();}
+        static typename R::FT x(const typename R::Point_3& p) {return p.z();}
+        static typename R::FT y(const typename R::Point_3& p) {return -p.x();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,15> {
-	static typename R::FT x(const typename R::Point_3& p) {return -p.z();}
-	static typename R::FT y(const typename R::Point_3& p) {return -p.x();}
+        static typename R::FT x(const typename R::Point_3& p) {return -p.z();}
+        static typename R::FT y(const typename R::Point_3& p) {return -p.x();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,16> {
-	static typename R::FT x(const typename R::Point_3& p) {return p.y();}
-	static typename R::FT y(const typename R::Point_3& p) {return p.z();}
+        static typename R::FT x(const typename R::Point_3& p) {return p.y();}
+        static typename R::FT y(const typename R::Point_3& p) {return p.z();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,17> {
-	static typename R::FT x(const typename R::Point_3& p) {return -p.y();}
-	static typename R::FT y(const typename R::Point_3& p) {return p.z();}
+        static typename R::FT x(const typename R::Point_3& p) {return -p.y();}
+        static typename R::FT y(const typename R::Point_3& p) {return p.z();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,18> {
-	static typename R::FT x(const typename R::Point_3& p) {return p.y();}
-	static typename R::FT y(const typename R::Point_3& p) {return -p.z();}
+        static typename R::FT x(const typename R::Point_3& p) {return p.y();}
+        static typename R::FT y(const typename R::Point_3& p) {return -p.z();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,19> {
-	static typename R::FT x(const typename R::Point_3& p) {return -p.y();}
-	static typename R::FT y(const typename R::Point_3& p) {return -p.z();}
+        static typename R::FT x(const typename R::Point_3& p) {return -p.y();}
+        static typename R::FT y(const typename R::Point_3& p) {return -p.z();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,20> {
-	static typename R::FT x(const typename R::Point_3& p) {return p.z();}
-	static typename R::FT y(const typename R::Point_3& p) {return p.y();}
+        static typename R::FT x(const typename R::Point_3& p) {return p.z();}
+        static typename R::FT y(const typename R::Point_3& p) {return p.y();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,21> {
-	static typename R::FT x(const typename R::Point_3& p) {return -p.z();}
-	static typename R::FT y(const typename R::Point_3& p) {return p.y();}
+        static typename R::FT x(const typename R::Point_3& p) {return -p.z();}
+        static typename R::FT y(const typename R::Point_3& p) {return p.y();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,22> {
-	static typename R::FT x(const typename R::Point_3& p) {return p.z();}
-	static typename R::FT y(const typename R::Point_3& p) {return -p.y();}
+        static typename R::FT x(const typename R::Point_3& p) {return p.z();}
+        static typename R::FT y(const typename R::Point_3& p) {return -p.y();}
 };
 
 template <class R>
 struct Coordinate_value_adaptor<R,23> {
-	static typename R::FT x(const typename R::Point_3& p) {return -p.z();}
-	static typename R::FT y(const typename R::Point_3& p) {return -p.y();}
+        static typename R::FT x(const typename R::Point_3& p) {return -p.z();}
+        static typename R::FT y(const typename R::Point_3& p) {return -p.y();}
 };
 
 template <class R, int opt>
 class Compute_x_2
 {
 public:
-  typedef typename R::Point_3     Point; 
+  typedef typename R::Point_3     Point;
   typename R::FT x(const Point &p) const { return Coordinate_value_adaptor<R,opt>::x(p); }
   typename R::FT operator()(const Point& p) const { return x(p); }
 };
 
 template <class R, int opt>
-class Compute_y_2 
+class Compute_y_2
 {
 public:
-  typedef typename R::Point_3     Point; 
+  typedef typename R::Point_3     Point;
   typename R::FT y(const Point &p) const { return Coordinate_value_adaptor<R,opt>::y(p); }
   typename R::FT operator()(const Point& p) const { return y(p); }
 };
@@ -216,7 +216,7 @@ template <class R, int opt>
 class Less_x_2
 {
 public:
-  typedef typename R::Point_3     Point; 
+  typedef typename R::Point_3     Point;
   typename R::FT x(const Point &p) const { return Coordinate_value_adaptor<R,opt>::x(p); }
   bool operator()(const Point& p, const Point& q) const { return x(p) < x(q); }
 };
@@ -225,34 +225,34 @@ template <class R, int opt>
 class Less_y_2
 {
 public:
-  typedef typename R::Point_3     Point; 
+  typedef typename R::Point_3     Point;
   typename R::FT y(const Point &p) const { return Coordinate_value_adaptor<R,opt>::y(p); }
   bool operator()(const Point& p, const Point& q) const { return y(p) < y(q); }
 };
 
 template <class R, int x, int y, int z, int ord>
 struct Transform_coordinates_traits_3 {
-	private:
-		enum {opt = Transform_constant_struct<x,y,z,ord>::value};
-	
-	public:
-		typedef Transform_coordinates_traits_3<R,x,y,z,ord>  	  		Traits;
-		typedef R                                               		Rp;
-		typedef typename Rp::Point_3                            		Point_2;
-		typedef Less_x_2<R,opt>        									Less_x;
-		typedef Less_y_2<R,opt>       									Less_y;
-		typedef Compute_x_2<R,opt>     									Compute_x;
-		typedef Compute_y_2<R,opt>     									Compute_y;
-		
-		Transform_coordinates_traits_3(){}
-		Transform_coordinates_traits_3(const Transform_coordinates_traits_3&){}
-				
-		Less_x less_x_2_object() const { return Less_x(); }
-		Less_y less_y_2_object() const { return Less_y(); }
-		Compute_x compute_x_2_object() const { return Compute_x(); }
-		Compute_y compute_y_2_object() const { return Compute_y(); }
+        private:
+                enum {opt = Transform_constant_struct<x,y,z,ord>::value};
+
+        public:
+                typedef Transform_coordinates_traits_3<R,x,y,z,ord>                            Traits;
+                typedef R                                                               Rp;
+                typedef typename Rp::Point_3                                            Point_2;
+                typedef Less_x_2<R,opt>                                                                                Less_x;
+                typedef Less_y_2<R,opt>                                                                               Less_y;
+                typedef Compute_x_2<R,opt>                                                                             Compute_x;
+                typedef Compute_y_2<R,opt>                                                                             Compute_y;
+
+                Transform_coordinates_traits_3(){}
+                Transform_coordinates_traits_3(const Transform_coordinates_traits_3&){}
+
+                Less_x less_x_2_object() const { return Less_x(); }
+                Less_y less_y_2_object() const { return Less_y(); }
+                Compute_x compute_x_2_object() const { return Compute_x(); }
+                Compute_y compute_y_2_object() const { return Compute_y(); }
 };
-  
+
 
 } } //namespace CGAL::internal
 
diff -pruN 5.0.2-3/include/CGAL/internal/Triangulation/Dummy_TDS.h 5.0.3-1/include/CGAL/internal/Triangulation/Dummy_TDS.h
--- 5.0.2-3/include/CGAL/internal/Triangulation/Dummy_TDS.h	2020-02-21 20:04:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Triangulation/Dummy_TDS.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/internal/Triangulation/Dummy_TDS.h $
-// $Id: Dummy_TDS.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/internal/Triangulation/Dummy_TDS.h $
+// $Id: Dummy_TDS.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)    : Samuel Hornus
@@ -21,7 +21,7 @@ namespace internal {
 namespace Triangulation {
 
 struct Dummy_TDS
-{ 
+{
     struct Vertex {};
     struct Vertex_handle {};
     struct Vertex_iterator {};
diff -pruN 5.0.2-3/include/CGAL/internal/Triangulation/Triangulation_ds_iterators.h 5.0.3-1/include/CGAL/internal/Triangulation/Triangulation_ds_iterators.h
--- 5.0.2-3/include/CGAL/internal/Triangulation/Triangulation_ds_iterators.h	2020-02-21 20:04:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Triangulation/Triangulation_ds_iterators.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/internal/Triangulation/Triangulation_ds_iterators.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/internal/Triangulation/Triangulation_ds_iterators.h $
 // $Id: Triangulation_ds_iterators.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/internal/Triangulation/utilities.h 5.0.3-1/include/CGAL/internal/Triangulation/utilities.h
--- 5.0.2-3/include/CGAL/internal/Triangulation/utilities.h	2020-02-21 20:04:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Triangulation/utilities.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/internal/Triangulation/utilities.h $
-// $Id: utilities.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/internal/Triangulation/utilities.h $
+// $Id: utilities.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)    : Samuel Hornus
@@ -116,11 +116,11 @@ struct Point_from_pointer
 {
     typedef const typename T::Geom_traits::Point_d *   argument_type;
     typedef const typename T::Geom_traits::Point_d     result_type;
-    result_type & operator()(argument_type & x) const 
+    result_type & operator()(argument_type & x) const
     {
         return (*x);
     }
-    const result_type & operator()(const argument_type & x) const 
+    const result_type & operator()(const argument_type & x) const
     {
         return (*x);
     }
@@ -131,11 +131,11 @@ struct Point_from_vertex_handle
 {
     typedef Vertex_handle   argument_type;
     typedef Point           result_type;
-    result_type & operator()(argument_type & x) const 
+    result_type & operator()(argument_type & x) const
     {
         return x->point();
     }
-    const result_type & operator()(const argument_type & x) const 
+    const result_type & operator()(const argument_type & x) const
     {
         return x->point();
     }
diff -pruN 5.0.2-3/include/CGAL/internal/Triangulation_ds_circulators_3.h 5.0.3-1/include/CGAL/internal/Triangulation_ds_circulators_3.h
--- 5.0.2-3/include/CGAL/internal/Triangulation_ds_circulators_3.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Triangulation_ds_circulators_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_3/include/CGAL/internal/Triangulation_ds_circulators_3.h $
-// $Id: Triangulation_ds_circulators_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_3/include/CGAL/internal/Triangulation_ds_circulators_3.h $
+// $Id: Triangulation_ds_circulators_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -46,37 +46,37 @@ public:
     : _s(c->vertex(s)), _t(c->vertex(t)), pos(c)
   {
     CGAL_triangulation_precondition( c != Cell_handle() &&
-				     s >= 0 && s < 4 &&
-				     t >= 0 && t < 4 );
+                                     s >= 0 && s < 4 &&
+                                     t >= 0 && t < 4 );
   }
 
   Triangulation_ds_cell_circulator_3(const Edge & e)
     : _s(e.first->vertex(e.second)), _t(e.first->vertex(e.third)), pos(e.first)
   {
     CGAL_triangulation_precondition( e.first != Cell_handle() &&
-				     e.second >=0 && e.second < 4 &&
-				     e.third  >=0 && e.third  < 4);
+                                     e.second >=0 && e.second < 4 &&
+                                     e.third  >=0 && e.third  < 4);
   }
 
   Triangulation_ds_cell_circulator_3(Cell_handle c, int s, int t,
-	                             Cell_handle start)
+                                     Cell_handle start)
     : _s(c->vertex(s)), _t(c->vertex(t)), pos(start)
   {
     CGAL_triangulation_precondition( c != Cell_handle() &&
-				     s >= 0 && s < 4 &&
-				     t >= 0 && t < 4 &&
+                                     s >= 0 && s < 4 &&
+                                     t >= 0 && t < 4 &&
                                      start->has_vertex( _s ) &&
-	                             start->has_vertex( _t ) );
+                                     start->has_vertex( _t ) );
   }
 
   Triangulation_ds_cell_circulator_3(const Edge & e, Cell_handle start)
     : _s(e.first->vertex(e.second)), _t(e.first->vertex(e.third)), pos(start)
   {
     CGAL_triangulation_precondition( e.first != Cell_handle() &&
-				     e.second >=0 && e.second < 4 &&
-				     e.third  >=0 && e.third  < 4 &&
+                                     e.second >=0 && e.second < 4 &&
+                                     e.third  >=0 && e.third  < 4 &&
                                      start->has_vertex( _s ) &&
-	                             start->has_vertex( _t ) );
+                                     start->has_vertex( _t ) );
   }
 
   Cell_circulator & operator++()
@@ -208,28 +208,28 @@ public:
     : _s(c->vertex(s)), _t(c->vertex(t)), pos(c)
   {
     CGAL_triangulation_precondition( c != Cell_handle() &&
-				     s >= 0 && s < 4 &&
-				     t >= 0 && t < 4 );
+                                     s >= 0 && s < 4 &&
+                                     t >= 0 && t < 4 );
   }
 
   Triangulation_ds_facet_circulator_3(const Edge & e)
     : _s(e.first->vertex(e.second)), _t(e.first->vertex(e.third)), pos(e.first)
   {
     CGAL_triangulation_precondition( e.first != Cell_handle() &&
-				     e.second >= 0 && e.second < 4 &&
-				     e.third  >= 0 && e.third  < 4);
+                                     e.second >= 0 && e.second < 4 &&
+                                     e.third  >= 0 && e.third  < 4);
   }
 
   Triangulation_ds_facet_circulator_3(Cell_handle c, int s, int t,
-	                              Cell_handle start, int f)
+                                      Cell_handle start, int f)
     : _s(c->vertex(s)), _t(c->vertex(t))
   {
     CGAL_triangulation_precondition( c != Cell_handle() &&
-				     s >= 0 && s < 4 &&
-				     t >= 0 && t < 4 &&
-				     f >= 0 && f < 4 &&
+                                     s >= 0 && s < 4 &&
+                                     t >= 0 && t < 4 &&
+                                     f >= 0 && f < 4 &&
                                      start->has_vertex( _s ) &&
-	                             start->has_vertex( _t ) );
+                                     start->has_vertex( _t ) );
 
     int i = start->index( _s );
     int j = start->index( _t );
@@ -237,20 +237,20 @@ public:
     CGAL_triangulation_precondition( f!=i && f!=j );
 
     if ( f == next_around_edge(i,j) )
-	pos = start;
+        pos = start;
     else
-	pos = start->neighbor(f); // other cell with same facet
+        pos = start->neighbor(f); // other cell with same facet
   }
 
   Triangulation_ds_facet_circulator_3(Cell_handle c, int s, int t,
-	                              const Facet & start)
+                                      const Facet & start)
     : _s(c->vertex(s)), _t(c->vertex(t))
   {
     CGAL_triangulation_precondition( c != Cell_handle() &&
-				     s >= 0 && s < 4 &&
-				     t >= 0 && t < 4 &&
+                                     s >= 0 && s < 4 &&
+                                     t >= 0 && t < 4 &&
                                      start.first->has_vertex( _s ) &&
-	                             start.first->has_vertex( _t ) );
+                                     start.first->has_vertex( _t ) );
 
     int i = start.first->index( _s );
     int j = start.first->index( _t );
@@ -258,7 +258,7 @@ public:
     CGAL_triangulation_precondition( start.second !=i && start.second !=j );
 
     if ( start.second == next_around_edge(i,j) )
-	pos = start.first;
+        pos = start.first;
     else
       pos = start.first->neighbor(start.second); // other cell with same facet
   }
@@ -267,11 +267,11 @@ public:
     : _s(e.first->vertex(e.second)), _t(e.first->vertex(e.third))
   {
     CGAL_triangulation_precondition( e.first != Cell_handle() &&
-				     e.second >= 0 && e.second < 4 &&
-				     e.third  >= 0 && e.third  < 4 &&
-				     f >= 0 && f < 4 &&
+                                     e.second >= 0 && e.second < 4 &&
+                                     e.third  >= 0 && e.third  < 4 &&
+                                     f >= 0 && f < 4 &&
                                      start->has_vertex( _s ) &&
-	                             start->has_vertex( _t ) );
+                                     start->has_vertex( _t ) );
 
     int i = start->index( _s );
     int j = start->index( _t );
@@ -279,27 +279,27 @@ public:
     CGAL_triangulation_precondition( f!=i && f!=j );
 
     if ( f == next_around_edge(i,j) )
-	pos = start;
+        pos = start;
     else
-	pos = start->neighbor(f); // other cell with same facet
+        pos = start->neighbor(f); // other cell with same facet
   }
 
   Triangulation_ds_facet_circulator_3(const Edge & e, const Facet & start)
     : _s(e.first->vertex(e.second)), _t(e.first->vertex(e.third))
   {
     CGAL_triangulation_precondition( e.first != Cell_handle() &&
-				     e.second >= 0 && e.second < 4 &&
-				     e.third  >= 0 && e.third  < 4 &&
+                                     e.second >= 0 && e.second < 4 &&
+                                     e.third  >= 0 && e.third  < 4 &&
                                      start.first->has_vertex( _s ) &&
-	                             start.first->has_vertex( _t ) );
+                                     start.first->has_vertex( _t ) );
 
     int i = start.first->index( _s );
     int j = start.first->index( _t );
 
     if ( start.second == next_around_edge(i,j) )
-	pos = start.first;
+        pos = start.first;
     else
-	pos = start.first->neighbor(start.second);
+        pos = start.first->neighbor(start.second);
   }
 
   Facet_circulator & operator++()
diff -pruN 5.0.2-3/include/CGAL/internal/Triangulation_ds_iterators_3.h 5.0.3-1/include/CGAL/internal/Triangulation_ds_iterators_3.h
--- 5.0.2-3/include/CGAL/internal/Triangulation_ds_iterators_3.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/internal/Triangulation_ds_iterators_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_3/include/CGAL/internal/Triangulation_ds_iterators_3.h $
-// $Id: Triangulation_ds_iterators_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_3/include/CGAL/internal/Triangulation_ds_iterators_3.h $
+// $Id: Triangulation_ds_iterators_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -48,19 +48,19 @@ public:
       facet.second = 0;
       switch ( _tds->dimension() ) {
       case 2:
-	pos = _tds->cells().begin();
-	facet.second = 3;
-	return;
+        pos = _tds->cells().begin();
+        facet.second = 3;
+        return;
       case 3:
-	pos = _tds->cells().begin();
-	while (// there must be at least one facet
-	       pos->neighbor(facet.second) < pos ) {
-	  increment();
-	}
-	return;
+        pos = _tds->cells().begin();
+        while (// there must be at least one facet
+               pos->neighbor(facet.second) < pos ) {
+          increment();
+        }
+        return;
       default:
-	pos = _tds->cells().end();
-	return;
+        pos = _tds->cells().end();
+        return;
       }
     }
 
@@ -68,22 +68,22 @@ public:
   Triangulation_ds_facet_iterator_3(const Tds* tds, int)
     : _tds(tds)
     {
-	facet.second = 0;
-	pos = _tds->cells().end();
-	if (_tds->dimension() == 2)
-	    facet.second = 3;
+        facet.second = 0;
+        pos = _tds->cells().end();
+        if (_tds->dimension() == 2)
+            facet.second = 3;
     }
 
   Facet_iterator& operator++()
   {
     if (_tds->dimension() < 2)
-	return *this;
+        return *this;
 
     if (_tds->dimension() == 3) {
       do {
-	increment();
+        increment();
       } while ( pos != _tds->cells().end()
-	     && pos->neighbor(facet.second) < pos );
+             && pos->neighbor(facet.second) < pos );
       // reports a facet when the current cell has a pointer inferior
       // to the pointer of the neighbor cell
       return *this;
@@ -96,7 +96,7 @@ public:
   Facet_iterator& operator--()
   {
     if (_tds->dimension() < 2)
-	return *this;
+        return *this;
 
     if ( _tds->dimension() == 2 ) {
       --pos; // index remains 3
@@ -106,14 +106,14 @@ public:
     // dimension 3
     do{
       if (facet.second == 0) {
-	// all the facets of the current cell have been examined
-	facet.second = 3;
-	--pos;
+        // all the facets of the current cell have been examined
+        facet.second = 3;
+        --pos;
       }
       else
-	  --facet.second;
+          --facet.second;
     } while ( pos != _tds->cells().end()
-	   && pos->neighbor(facet.second) < pos );
+           && pos->neighbor(facet.second) < pos );
     // reports a facet when the current cell has a pointer inferior
     // to the pointer of the neighbor cell
     return *this;
@@ -136,7 +136,7 @@ public:
   bool operator==(const Facet_iterator& fi) const
     {
       return _tds == fi._tds && pos == fi.pos &&
-	     facet.second == fi.facet.second;
+             facet.second == fi.facet.second;
     }
 
   bool operator!=(const Facet_iterator& fi) const
@@ -170,7 +170,7 @@ private:
     }
     // be careful : facet.second should always be 0 when pos = cells_end
     else
-	++facet.second;
+        ++facet.second;
   }
 };
 
@@ -207,44 +207,44 @@ public:
       edge.third = 1;
       switch ( _tds->dimension() ) {
       case 1:
-	{
-	  pos = _tds->cells().begin();
-	  return;
-	}
+        {
+          pos = _tds->cells().begin();
+          return;
+        }
       case 2:
-	{
-	  pos = _tds->cells().begin();
-	  while ( // there must be at least one edge
-		 pos->neighbor(3-edge.second-edge.third) < pos ) {
-	    increment2();
-	  }
-	  return;
-	}
+        {
+          pos = _tds->cells().begin();
+          while ( // there must be at least one edge
+                 pos->neighbor(3-edge.second-edge.third) < pos ) {
+            increment2();
+          }
+          return;
+        }
       case 3:
-	{
-	  pos = _tds->cells().begin();
-	  bool notfound = true;
-	  while ( // there must be at least one edge
-		 notfound ) {
-	    edge.first = pos;
-	    Cell_circulator ccir = _tds->incident_cells(edge);
-	    do {
-	      ++ccir;
-	    } while ( pos < ccir );
-	    // loop terminates since it stops at least when ccir = pos
-	    if ( Cell_handle(ccir) == Cell_handle(pos) )
-		// pos is the cell with minimal pointer
-	      notfound = false;
-	    else
-	      increment3();
-	  }
-	  return;
-	}
+        {
+          pos = _tds->cells().begin();
+          bool notfound = true;
+          while ( // there must be at least one edge
+                 notfound ) {
+            edge.first = pos;
+            Cell_circulator ccir = _tds->incident_cells(edge);
+            do {
+              ++ccir;
+            } while ( pos < ccir );
+            // loop terminates since it stops at least when ccir = pos
+            if ( Cell_handle(ccir) == Cell_handle(pos) )
+                // pos is the cell with minimal pointer
+              notfound = false;
+            else
+              increment3();
+          }
+          return;
+        }
       default:
-	{
-	  pos = _tds->cells().end();
-	  return;
-	}
+        {
+          pos = _tds->cells().end();
+          return;
+        }
       }
     }
 
@@ -252,9 +252,9 @@ public:
   Triangulation_ds_edge_iterator_3(const Tds* tds, int)
     : _tds(tds)
     {
-	edge.second = 0;
-	edge.third = 1;
-	pos = _tds->cells().end();
+        edge.second = 0;
+        edge.third = 1;
+        pos = _tds->cells().end();
     }
 
   Edge_iterator& operator++()
@@ -262,41 +262,41 @@ public:
     switch ( _tds->dimension() ) {
     case 1:
       {
-	++pos;
-	break;
+        ++pos;
+        break;
       }
     case 2:
       {
-	do {
-	  increment2();
-	} while ( pos != _tds->cells().end() &&
-		  pos->neighbor(3-edge.second-edge.third) < pos );
-	break;
+        do {
+          increment2();
+        } while ( pos != _tds->cells().end() &&
+                  pos->neighbor(3-edge.second-edge.third) < pos );
+        break;
       }
     case 3:
       {
-	bool notfound = true;
-	do {
-	  increment3();
-	  if (pos != _tds->cells().end()) {
-	    edge.first = pos;
-	    Cell_circulator ccir = _tds->incident_cells(edge);
-	    do {
-	      ++ccir;
-	    } while ( Cell_handle(pos) < Cell_handle(ccir) );
-	    if ( Cell_handle(ccir) == Cell_handle(pos) )
-		// pos is the cell with minimal pointer
-	      notfound = false;
-	  }
-	  else {
-	    edge.second=0; edge.third=1;
-	  }
-	} while ( pos != _tds->cells().end() && notfound );
-	break;
+        bool notfound = true;
+        do {
+          increment3();
+          if (pos != _tds->cells().end()) {
+            edge.first = pos;
+            Cell_circulator ccir = _tds->incident_cells(edge);
+            do {
+              ++ccir;
+            } while ( Cell_handle(pos) < Cell_handle(ccir) );
+            if ( Cell_handle(ccir) == Cell_handle(pos) )
+                // pos is the cell with minimal pointer
+              notfound = false;
+          }
+          else {
+            edge.second=0; edge.third=1;
+          }
+        } while ( pos != _tds->cells().end() && notfound );
+        break;
       }
     default:
       {
-	return *this;
+        return *this;
       }
     }
     return *this;
@@ -307,61 +307,61 @@ public:
     switch ( _tds->dimension() ) {
     case 1:
       {
-	--pos; // edge.second, edge.third remain 0, 1
-	break;
+        --pos; // edge.second, edge.third remain 0, 1
+        break;
       }
     case 2:
       {
-	do {
-	  if (edge.second == 0) {
-	    edge.second = 2; edge.third = 0;
-	    --pos;
-	  }
-	  else {
-	    --edge.second;
-	    edge.third = edge.second+1;
-	    // case edge.second==2, edge.third==0 forbids to write edge.third--
-	  }
-	} while ( pos != _tds->cells().end() &&
-		  pos->neighbor(3-edge.second-edge.third) < pos );
-	break;
+        do {
+          if (edge.second == 0) {
+            edge.second = 2; edge.third = 0;
+            --pos;
+          }
+          else {
+            --edge.second;
+            edge.third = edge.second+1;
+            // case edge.second==2, edge.third==0 forbids to write edge.third--
+          }
+        } while ( pos != _tds->cells().end() &&
+                  pos->neighbor(3-edge.second-edge.third) < pos );
+        break;
       }
     case 3:
       {
-	bool notfound = true;
-	do {
-	  if (edge.second == 0) {
-	    if (edge.third == 1) {
-	      // all the edges of the current cell have been examined
-	      edge.second = 2; edge.third = 3;
-	      --pos;
-	    }
-	    else
-	      --edge.third;
-	  }
-	  else {
-	    if (edge.third == edge.second+1) {
-	      --edge.second;
-	      edge.third = 3;
-	    }
-	    else
-	      --edge.third;
-	  }
-	  if (pos != _tds->cells().end()) {
-	    edge.first = pos;
-	    Cell_circulator ccir = _tds->incident_cells(edge);
-	    do {
-	      ++ccir;
-	    } while ( Cell_handle(pos) < Cell_handle(ccir) );
-	    if ( Cell_handle(pos) == Cell_handle(ccir) )
-		// pos is the cell with minimum pointer
-	      notfound = false;
-	  }
-	  else {
-	    edge.second=0; edge.third=1;
-	  }
-	} while ( pos != _tds->cells().end() && notfound );
-	break;
+        bool notfound = true;
+        do {
+          if (edge.second == 0) {
+            if (edge.third == 1) {
+              // all the edges of the current cell have been examined
+              edge.second = 2; edge.third = 3;
+              --pos;
+            }
+            else
+              --edge.third;
+          }
+          else {
+            if (edge.third == edge.second+1) {
+              --edge.second;
+              edge.third = 3;
+            }
+            else
+              --edge.third;
+          }
+          if (pos != _tds->cells().end()) {
+            edge.first = pos;
+            Cell_circulator ccir = _tds->incident_cells(edge);
+            do {
+              ++ccir;
+            } while ( Cell_handle(pos) < Cell_handle(ccir) );
+            if ( Cell_handle(pos) == Cell_handle(ccir) )
+                // pos is the cell with minimum pointer
+              notfound = false;
+          }
+          else {
+            edge.second=0; edge.third=1;
+          }
+        } while ( pos != _tds->cells().end() && notfound );
+        break;
       }
     default :
       return *this;
@@ -388,7 +388,7 @@ public:
   bool operator==(const Edge_iterator& ei) const
     {
       return _tds == ei._tds && pos == ei.pos &&
-	     edge.second == ei.edge.second && edge.third == ei.edge.third;
+             edge.second == ei.edge.second && edge.third == ei.edge.third;
     }
 
   bool operator!=(const Edge_iterator& ei) const
@@ -425,9 +425,9 @@ private:
     else {
       ++edge.second;
       if ( edge.second == 2 )
-	edge.third = 0;
+        edge.third = 0;
       else // edge.second==1
-	edge.third = 2;
+        edge.third = 2;
     }
   }
 
@@ -440,11 +440,11 @@ private:
     }
     else {
       if (edge.third == 3) {
-	edge.second++;
-	edge.third = edge.second+1;
+        edge.second++;
+        edge.third = edge.second+1;
       }
       else
-	++edge.third;
+        ++edge.third;
     }
   }
 };
diff -pruN 5.0.2-3/include/CGAL/Interpolation/internal/helpers.h 5.0.3-1/include/CGAL/Interpolation/internal/helpers.h
--- 5.0.2-3/include/CGAL/Interpolation/internal/helpers.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Interpolation/internal/helpers.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interpolation/include/CGAL/Interpolation/internal/helpers.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interpolation/include/CGAL/Interpolation/internal/helpers.h $
 // $Id: helpers.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/interpolation_functions.h 5.0.3-1/include/CGAL/interpolation_functions.h
--- 5.0.2-3/include/CGAL/interpolation_functions.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/interpolation_functions.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interpolation/include/CGAL/interpolation_functions.h $
-// $Id: interpolation_functions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interpolation/include/CGAL/interpolation_functions.h $
+// $Id: interpolation_functions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Julia Floetotto
@@ -203,10 +203,10 @@ sibson_c1_interpolation(ForwardIterator
 //
 // The general scheme:
 //  Coord_type inv_weight = f(dist); //i.e. dist^2
-//   	term1 +=  coeff/inv_weight;
+//           term1 +=  coeff/inv_weight;
 //    term2 +=  coeff * squared_dist;
 //    term3 +=  coeff*(squared_dist/inv_weight);
-// 	  gradient_int += (coeff/inv_weight) * (vh->get_value()+ vh->get_gradient() * (p - vh->point()));
+//           gradient_int += (coeff/inv_weight) * (vh->get_value()+ vh->get_gradient() * (p - vh->point()));
 
 template < class ForwardIterator, class ValueFunctor, class GradFunctor, class Traits, class Point >
 std::pair<
diff -pruN 5.0.2-3/include/CGAL/Interpolation_gradient_fitting_traits_2.h 5.0.3-1/include/CGAL/Interpolation_gradient_fitting_traits_2.h
--- 5.0.2-3/include/CGAL/Interpolation_gradient_fitting_traits_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Interpolation_gradient_fitting_traits_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interpolation/include/CGAL/Interpolation_gradient_fitting_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interpolation/include/CGAL/Interpolation_gradient_fitting_traits_2.h $
 // $Id: Interpolation_gradient_fitting_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Interpolation_traits_2.h 5.0.3-1/include/CGAL/Interpolation_traits_2.h
--- 5.0.2-3/include/CGAL/Interpolation_traits_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Interpolation_traits_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interpolation/include/CGAL/Interpolation_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interpolation/include/CGAL/Interpolation_traits_2.h $
 // $Id: Interpolation_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/intersection_2.h 5.0.3-1/include/CGAL/intersection_2.h
--- 5.0.2-3/include/CGAL/intersection_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/intersection_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/intersection_2.h $
-// $Id: intersection_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/intersection_2.h $
+// $Id: intersection_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
diff -pruN 5.0.2-3/include/CGAL/intersection_3_1.h 5.0.3-1/include/CGAL/intersection_3_1.h
--- 5.0.2-3/include/CGAL/intersection_3_1.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/intersection_3_1.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,17 +1,17 @@
-// Copyright (c) 2010 
+// Copyright (c) 2010
 // GeometryFactory (France).
 // Copyright (c) 1997-2004  Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/intersection_3_1.h $
-// $Id: intersection_3_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/intersection_3_1.h $
+// $Id: intersection_3_1.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman <geert@cs.uu.nl>
 //                 Sebastien Loriot <Sebastien.Loriot@geometryfactory.com>
diff -pruN 5.0.2-3/include/CGAL/intersection_3.h 5.0.3-1/include/CGAL/intersection_3.h
--- 5.0.2-3/include/CGAL/intersection_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/intersection_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/intersection_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/intersection_3.h $
 // $Id: intersection_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Bbox_2_Circle_2.h 5.0.3-1/include/CGAL/Intersections_2/Bbox_2_Circle_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Bbox_2_Circle_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Bbox_2_Circle_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Bbox_2_Circle_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Bbox_2_Circle_2.h $
 // $Id: Bbox_2_Circle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Bbox_2_Line_2.h 5.0.3-1/include/CGAL/Intersections_2/Bbox_2_Line_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Bbox_2_Line_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Bbox_2_Line_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Bbox_2_Line_2.h $
-// $Id: Bbox_2_Line_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Bbox_2_Line_2.h $
+// $Id: Bbox_2_Line_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Bbox_2_Point_2.h 5.0.3-1/include/CGAL/Intersections_2/Bbox_2_Point_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Bbox_2_Point_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Bbox_2_Point_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Bbox_2_Point_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Bbox_2_Point_2.h $
 // $Id: Bbox_2_Point_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Bbox_2_Ray_2.h 5.0.3-1/include/CGAL/Intersections_2/Bbox_2_Ray_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Bbox_2_Ray_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Bbox_2_Ray_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Bbox_2_Ray_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Bbox_2_Ray_2.h $
 // $Id: Bbox_2_Ray_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Circle_2_Circle_2.h 5.0.3-1/include/CGAL/Intersections_2/Circle_2_Circle_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Circle_2_Circle_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Circle_2_Circle_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Circle_2_Circle_2.h $
-// $Id: Circle_2_Circle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Circle_2_Circle_2.h $
+// $Id: Circle_2_Circle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Circle_2_Iso_rectangle_2.h 5.0.3-1/include/CGAL/Intersections_2/Circle_2_Iso_rectangle_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Circle_2_Iso_rectangle_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Circle_2_Iso_rectangle_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Circle_2_Iso_rectangle_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Circle_2_Iso_rectangle_2.h $
 // $Id: Circle_2_Iso_rectangle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Circle_2_Line_2.h 5.0.3-1/include/CGAL/Intersections_2/Circle_2_Line_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Circle_2_Line_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Circle_2_Line_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Circle_2_Line_2.h $
-// $Id: Circle_2_Line_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Circle_2_Line_2.h $
+// $Id: Circle_2_Line_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -29,7 +29,7 @@ namespace internal {
 
 template <class K>
 bool
-do_intersect(const typename K::Circle_2 & c, 
+do_intersect(const typename K::Circle_2 & c,
              const typename K::Line_2& l,
              const K&)
 {
@@ -38,7 +38,7 @@ do_intersect(const typename K::Circle_2
 
 template <class K>
 bool
-do_intersect(const typename K::Line_2& l, 
+do_intersect(const typename K::Line_2& l,
              const typename K::Circle_2 & c,
              const K&)
 {
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Circle_2_Point_2.h 5.0.3-1/include/CGAL/Intersections_2/Circle_2_Point_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Circle_2_Point_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Circle_2_Point_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Circle_2_Point_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Circle_2_Point_2.h $
 // $Id: Circle_2_Point_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/internal/Straight_2.h 5.0.3-1/include/CGAL/Intersections_2/internal/Straight_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/internal/Straight_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/internal/Straight_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/internal/Straight_2.h $
-// $Id: Straight_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/internal/Straight_2.h $
+// $Id: Straight_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -23,7 +23,7 @@
 #include <CGAL/Kernel/global_functions_internal_2.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -257,8 +257,8 @@ bool Straight_2_<K>::operator==(const St
 template <class K>
 int
 sign_of_cross(typename K::Direction_2 const &dir1,
-	      typename K::Direction_2 const &dir2,
-	      const K&)
+              typename K::Direction_2 const &dir2,
+              const K&)
 {
   return static_cast<int>(CGAL::internal::orientation(dir1.to_vector(),
                                                       dir2.to_vector(), K()));
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/internal/Triangle_2_Triangle_2_do_intersect_impl.h 5.0.3-1/include/CGAL/Intersections_2/internal/Triangle_2_Triangle_2_do_intersect_impl.h
--- 5.0.2-3/include/CGAL/Intersections_2/internal/Triangle_2_Triangle_2_do_intersect_impl.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/internal/Triangle_2_Triangle_2_do_intersect_impl.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/internal/Triangle_2_Triangle_2_do_intersect_impl.h $
-// $Id: Triangle_2_Triangle_2_do_intersect_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/internal/Triangle_2_Triangle_2_do_intersect_impl.h $
+// $Id: Triangle_2_Triangle_2_do_intersect_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Philippe Guigue
 
@@ -17,106 +17,106 @@
 #include <CGAL/Triangle_2.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
 
 template <class K>
-bool intersection_test_vertex(const typename K::Point_2 *  P1, 
-			      const typename K::Point_2 *  Q1, 
-			      const typename K::Point_2 *  R1,
-			      const typename K::Point_2 *  P2, 
-			      const typename K::Point_2 *  Q2, 
-			      const typename K::Point_2 *  R2,
-			      const K & k ){
-  
-  
+bool intersection_test_vertex(const typename K::Point_2 *  P1,
+                              const typename K::Point_2 *  Q1,
+                              const typename K::Point_2 *  R1,
+                              const typename K::Point_2 *  P2,
+                              const typename K::Point_2 *  Q2,
+                              const typename K::Point_2 *  R2,
+                              const K & k ){
+
+
   CGAL_kernel_precondition( k.orientation_2_object() (*P1,*Q1,*R1)
-			    == POSITIVE);
+                            == POSITIVE);
   CGAL_kernel_precondition( k.orientation_2_object() (*P2,*Q2,*R2)
-			    == POSITIVE);
+                            == POSITIVE);
 
-  typename K::Orientation_2 orientation = 
+  typename K::Orientation_2 orientation =
     k.orientation_2_object();
-  
+
   if (orientation(*R2,*P2,*Q1) != NEGATIVE) {
     if (orientation(*R2,*Q2,*Q1) != POSITIVE) {
       if (orientation(*P1,*P2,*Q1) == POSITIVE)
-	return orientation(*P1,*Q2,*Q1) != POSITIVE;
+        return orientation(*P1,*Q2,*Q1) != POSITIVE;
       return   orientation(*P1,*P2,*R1) != NEGATIVE
-	&&  orientation(*Q1,*R1,*P2) != NEGATIVE  ;
+        &&  orientation(*Q1,*R1,*P2) != NEGATIVE  ;
     }
     return  orientation(*P1,*Q2,*Q1) != POSITIVE
       && orientation(*R2,*Q2,*R1) != POSITIVE
       &&  orientation(*Q1,*R1,*Q2) != NEGATIVE ;
   }
-  
-  if (orientation(*R2,*P2,*R1) != NEGATIVE) { 
+
+  if (orientation(*R2,*P2,*R1) != NEGATIVE) {
     if (orientation(*Q1,*R1,*R2) != NEGATIVE)
       return orientation(*P1,*P2,*R1) != NEGATIVE;
     return orientation(*Q1,*R1,*Q2) != NEGATIVE
       &&  orientation(*R2,*R1,*Q2) != NEGATIVE;
   }
-  
-  return false; 
-  
+
+  return false;
+
 }
 
 
 template <class K>
-bool intersection_test_edge(const typename K::Point_2 *  P1, 
-			    const typename K::Point_2 *  Q1, 
-			    const typename K::Point_2 *  R1,
-			    const typename K::Point_2 *  P2, 
-			    const typename K::Point_2 *
+bool intersection_test_edge(const typename K::Point_2 *  P1,
+                            const typename K::Point_2 *  Q1,
+                            const typename K::Point_2 *  R1,
+                            const typename K::Point_2 *  P2,
+                            const typename K::Point_2 *
                               CGAL_kernel_precondition_code(Q2),
-			    const typename K::Point_2 *  R2,
-			    const K & k ){
-  
-  
+                            const typename K::Point_2 *  R2,
+                            const K & k ){
+
+
   CGAL_kernel_precondition( k.orientation_2_object() (*P1,*Q1,*R1)
-			    == POSITIVE);
+                            == POSITIVE);
   CGAL_kernel_precondition( k.orientation_2_object() (*P2,*Q2,*R2)
-			    == POSITIVE);
-  
-  typename K::Orientation_2 orientation = 
+                            == POSITIVE);
+
+  typename K::Orientation_2 orientation =
     k.orientation_2_object();
-  
-  if (orientation(*R2,*P2,*Q1) != NEGATIVE) { 
-    if (orientation(*P1,*P2,*Q1) != NEGATIVE) 
+
+  if (orientation(*R2,*P2,*Q1) != NEGATIVE) {
+    if (orientation(*P1,*P2,*Q1) != NEGATIVE)
       return orientation(*P1,*Q1,*R2) != NEGATIVE;
     return orientation(*Q1,*R1,*P2) != NEGATIVE
       && orientation(*R1,*P1,*P2) != NEGATIVE;
-  } 
+  }
 
-  if (orientation(*R2,*P2,*R1) != NEGATIVE) 
-    return  orientation(*P1,*P2,*R1) != NEGATIVE 
+  if (orientation(*R2,*P2,*R1) != NEGATIVE)
+    return  orientation(*P1,*P2,*R1) != NEGATIVE
       && ( orientation(*P1,*R1,*R2) != NEGATIVE
-	   || orientation(*Q1,*R1,*R2) != NEGATIVE ) ;
-  
-  return false; 
-  
+           || orientation(*Q1,*R1,*R2) != NEGATIVE ) ;
+
+  return false;
+
 }
 
 
 template <class K>
-bool do_intersect(const typename K::Triangle_2 &t1, 
-		  const typename K::Triangle_2 &t2,
-		  const K & k ){
-  
+bool do_intersect(const typename K::Triangle_2 &t1,
+                  const typename K::Triangle_2 &t2,
+                  const K & k ){
+
   CGAL_kernel_precondition( ! k.is_degenerate_2_object() (t1) );
   CGAL_kernel_precondition( ! k.is_degenerate_2_object() (t2) );
-  
+
   typename K::Construct_vertex_2 vertex_on =
     k.construct_vertex_2_object();
 
-  typename K::Orientation_2 orientation = 
+  typename K::Orientation_2 orientation =
     k.orientation_2_object();
 
 
   typedef typename K::Point_2 Point_2;
-  
+
   const Point_2 & P1 = vertex_on(t1,0);
   const Point_2 & Q1 = vertex_on(t1,1);
   const Point_2 & R1 = vertex_on(t1,2);
@@ -136,30 +136,30 @@ bool do_intersect(const typename K::Tria
     q1 = &R1;;
     r1 = &Q1;
   }
-  
+
   if ( orientation(P2,Q2,R2) != POSITIVE ) {
     q2 = &R2;
     r2 = &Q2;
   }
 
   if ( orientation(*p2,*q2,*p1) != NEGATIVE ) {
-    if ( orientation(*q2,*r2,*p1) != NEGATIVE ) { 
+    if ( orientation(*q2,*r2,*p1) != NEGATIVE ) {
       if ( orientation(*r2,*p2,*p1) != NEGATIVE ) return true;
       return internal::intersection_test_edge(p1,q1,r1,p2,q2,r2,k);
-    } 
-    if ( orientation(*r2,*p2,*p1) != NEGATIVE ) 
+    }
+    if ( orientation(*r2,*p2,*p1) != NEGATIVE )
       return internal::intersection_test_edge(p1,q1,r1,r2,p2,q2,k);
     return internal::intersection_test_vertex(p1,q1,r1,p2,q2,r2,k);
-    
+
   }
-  
+
   if ( orientation(*q2,*r2,*p1) != NEGATIVE ) {
-    if ( orientation(*r2,*p2,*p1) != NEGATIVE ) 
+    if ( orientation(*r2,*p2,*p1) != NEGATIVE )
       return internal::intersection_test_edge(p1,q1,r1,q2,r2,p2,k);
     return internal::intersection_test_vertex(p1,q1,r1,q2,r2,p2,k);
   }
   return internal::intersection_test_vertex(p1,q1,r1,r2,p2,q2,k);
-  
+
 }
 
 } // namespace internal
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/internal/Triangle_2_Triangle_2_intersection_impl.h 5.0.3-1/include/CGAL/Intersections_2/internal/Triangle_2_Triangle_2_intersection_impl.h
--- 5.0.2-3/include/CGAL/Intersections_2/internal/Triangle_2_Triangle_2_intersection_impl.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/internal/Triangle_2_Triangle_2_intersection_impl.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/internal/Triangle_2_Triangle_2_intersection_impl.h $
-// $Id: Triangle_2_Triangle_2_intersection_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/internal/Triangle_2_Triangle_2_intersection_impl.h $
+// $Id: Triangle_2_Triangle_2_intersection_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -23,7 +23,7 @@
 #include <CGAL/Intersection_traits_2.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -155,7 +155,7 @@ public:
     enum Intersection_results {NO_INTERSECTION, POINT, SEGMENT, TRIANGLE, POLYGON};
     Triangle_2_Triangle_2_pair(typename K::Triangle_2 const *trian1,
                                typename K::Triangle_2 const *trian2)
-	: _trian1(trian1), _trian2(trian2), _known(false) {}
+        : _trian1(trian1), _trian2(trian2), _known(false) {}
 
     Intersection_results intersection_type() const;
 
@@ -281,8 +281,8 @@ Triangle_2_Triangle_2_pair<K>::intersect
         intersection_type();
     CGAL_kernel_assertion(_result == TRIANGLE);
     return Triangle_2(_pointlist.first->point,
-		      _pointlist.first->next->point,
-		      _pointlist.first->next->next->point);
+                      _pointlist.first->next->point,
+                      _pointlist.first->next->next->point);
 }
 
 template <class K>
@@ -294,7 +294,7 @@ Triangle_2_Triangle_2_pair<K>::intersect
         intersection_type();
     CGAL_kernel_assertion(_result == SEGMENT);
     return Segment_2(_pointlist.first->point,
-		     _pointlist.first->next->point);
+                     _pointlist.first->next->point);
 }
 
 template <class K>
@@ -312,9 +312,9 @@ Triangle_2_Triangle_2_pair<K>::intersect
 template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Triangle_2, typename K::Triangle_2>::result_type
-intersection(const typename K::Triangle_2 &tr1, 
-	     const typename K::Triangle_2 &tr2,
-	     const K&)
+intersection(const typename K::Triangle_2 &tr1,
+             const typename K::Triangle_2 &tr2,
+             const K&)
 {
     typedef Triangle_2_Triangle_2_pair<K> is_t;
     is_t ispair(&tr1, &tr2);
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Iso_rectangle_2_Iso_rectangle_2.h 5.0.3-1/include/CGAL/Intersections_2/Iso_rectangle_2_Iso_rectangle_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Iso_rectangle_2_Iso_rectangle_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Iso_rectangle_2_Iso_rectangle_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Iso_rectangle_2_Iso_rectangle_2.h $
-// $Id: Iso_rectangle_2_Iso_rectangle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Iso_rectangle_2_Iso_rectangle_2.h $
+// $Id: Iso_rectangle_2_Iso_rectangle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -22,7 +22,7 @@
 #include <CGAL/Intersection_traits_2.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -56,19 +56,19 @@ intersection(
         return intersection_return<typename K::Intersect_2, typename K::Iso_rectangle_2, typename K::Iso_rectangle_2>();
     if (rt.denominator(minx) == rt.denominator(miny)) {
         newmin = construct_point_2(rt.numerator(minx), rt.numerator(miny),
-				   rt.denominator(minx));
+                                   rt.denominator(minx));
     } else {
         newmin = construct_point_2(rt.numerator(minx)   * rt.denominator(miny),
-				   rt.numerator(miny)   * rt.denominator(minx),
-				   rt.denominator(minx) * rt.denominator(miny));
+                                   rt.numerator(miny)   * rt.denominator(minx),
+                                   rt.denominator(minx) * rt.denominator(miny));
     }
     if (rt.denominator(maxx) == rt.denominator(maxy)) {
         newmax = construct_point_2(rt.numerator(maxx), rt.numerator(maxy),
-				   rt.denominator(maxx));
+                                   rt.denominator(maxx));
     } else {
         newmax = construct_point_2(rt.numerator(maxx)   * rt.denominator(maxy),
-				   rt.numerator(maxy)   * rt.denominator(maxx),
-				   rt.denominator(maxx) * rt.denominator(maxy));
+                                   rt.numerator(maxy)   * rt.denominator(maxx),
+                                   rt.denominator(maxx) * rt.denominator(maxy));
     }
     return intersection_return<typename K::Intersect_2, typename K::Iso_rectangle_2, typename K::Iso_rectangle_2>(construct_iso_rectangle_2(newmin, newmax));
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Iso_rectangle_2_Line_2.h 5.0.3-1/include/CGAL/Intersections_2/Iso_rectangle_2_Line_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Iso_rectangle_2_Line_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Iso_rectangle_2_Line_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Iso_rectangle_2_Line_2.h $
-// $Id: Iso_rectangle_2_Line_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Iso_rectangle_2_Line_2.h $
+// $Id: Iso_rectangle_2_Line_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -28,7 +28,7 @@
 
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -61,8 +61,8 @@ protected:
 
 template <class K>
 inline bool do_intersect(const typename K::Line_2 &p1,
-			 const typename K::Iso_rectangle_2 &p2,
-			 const K&)
+                         const typename K::Iso_rectangle_2 &p2,
+                         const K&)
 {
     typedef Line_2_Iso_rectangle_2_pair<K> pair_t;
     pair_t pair(&p1, &p2);
@@ -71,8 +71,8 @@ inline bool do_intersect(const typename
 
 template <class K>
 inline bool do_intersect(const typename K::Iso_rectangle_2 &p2,
-			 const typename K::Line_2 &p1,
-			 const K& k)
+                         const typename K::Line_2 &p1,
+                         const K& k)
 {
   return internal::do_intersect(p1, p2, k);
 }
@@ -173,8 +173,8 @@ intersection_segment() const
     if (!_known)
         intersection_type();
     CGAL_kernel_assertion(_result == SEGMENT);
-    return construct_segment_2(translated_point(_ref_point, construct_scaled_vector(_dir,_min)), 
-			       translated_point(_ref_point, construct_scaled_vector(_dir,_max)));
+    return construct_segment_2(translated_point(_ref_point, construct_scaled_vector(_dir,_min)),
+                               translated_point(_ref_point, construct_scaled_vector(_dir,_max)));
 }
 
 
@@ -182,9 +182,9 @@ intersection_segment() const
 template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Line_2, typename K::Iso_rectangle_2>::result_type
-intersection(const typename K::Line_2 &line, 
-	     const typename K::Iso_rectangle_2 &iso,
-	     const K&)
+intersection(const typename K::Line_2 &line,
+             const typename K::Iso_rectangle_2 &iso,
+             const K&)
 {
     typedef Line_2_Iso_rectangle_2_pair<K> is_t;
     is_t ispair(&line, &iso);
@@ -204,8 +204,8 @@ inline
 typename CGAL::Intersection_traits
 <K, typename K::Line_2, typename K::Iso_rectangle_2>::result_type
 intersection(const typename K::Iso_rectangle_2 &iso,
-	     const typename K::Line_2 &line, 
-	     const K& k)
+             const typename K::Line_2 &line,
+             const K& k)
 {
   return internal::intersection(line, iso, k);
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Iso_rectangle_2_Point_2.h 5.0.3-1/include/CGAL/Intersections_2/Iso_rectangle_2_Point_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Iso_rectangle_2_Point_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Iso_rectangle_2_Point_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Iso_rectangle_2_Point_2.h $
-// $Id: Iso_rectangle_2_Point_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Iso_rectangle_2_Point_2.h $
+// $Id: Iso_rectangle_2_Point_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -23,27 +23,27 @@
 #include <CGAL/Intersection_traits_2.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
 
 template <class K>
-inline 
+inline
 bool
 do_intersect(const typename K::Point_2 &pt,
-	     const typename K::Iso_rectangle_2 &iso,
-	     const K&)
+             const typename K::Iso_rectangle_2 &iso,
+             const K&)
 {
     return !iso.has_on_unbounded_side(pt);
 }
 
 template <class K>
-inline 
+inline
 bool
 do_intersect(const typename K::Iso_rectangle_2 &iso,
-	     const typename K::Point_2 &pt,
-	     const K&)
+             const typename K::Point_2 &pt,
+             const K&)
 {
     return !iso.has_on_unbounded_side(pt);
 }
@@ -52,8 +52,8 @@ template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Point_2, typename K::Iso_rectangle_2>::result_type
 intersection(const typename K::Point_2 &pt,
-	     const typename K::Iso_rectangle_2 &iso,
-	     const K& k)
+             const typename K::Iso_rectangle_2 &iso,
+             const K& k)
 {
   if (internal::do_intersect(pt,iso,k)) {
     return intersection_return<typename K::Intersect_2, typename K::Point_2, typename K::Iso_rectangle_2>(pt);
@@ -65,8 +65,8 @@ template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Point_2, typename K::Iso_rectangle_2>::result_type
 intersection(const typename K::Iso_rectangle_2 &iso,
-	     const typename K::Point_2 &pt,
-	     const K& k)
+             const typename K::Point_2 &pt,
+             const K& k)
 {
   return internal::intersection(pt, iso, k);
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Iso_rectangle_2_Ray_2.h 5.0.3-1/include/CGAL/Intersections_2/Iso_rectangle_2_Ray_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Iso_rectangle_2_Ray_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Iso_rectangle_2_Ray_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Iso_rectangle_2_Ray_2.h $
-// $Id: Iso_rectangle_2_Ray_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Iso_rectangle_2_Ray_2.h $
+// $Id: Iso_rectangle_2_Ray_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -27,7 +27,7 @@
 #include <CGAL/Intersection_traits_2.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -57,8 +57,8 @@ protected:
 
 template <class K>
 inline bool do_intersect(const typename K::Ray_2 &p1,
-			 const typename K::Iso_rectangle_2 &p2,
-			 const K&)
+                         const typename K::Iso_rectangle_2 &p2,
+                         const K&)
 {
     typedef Ray_2_Iso_rectangle_2_pair<K> pair_t;
     pair_t pair(&p1, &p2);
@@ -67,8 +67,8 @@ inline bool do_intersect(const typename
 
 template <class K>
 inline bool do_intersect(const typename K::Iso_rectangle_2 &p2,
-			 const typename K::Ray_2 &p1,
-			 const K& k)
+                         const typename K::Ray_2 &p1,
+                         const K& k)
 {
   return do_intersect(p1, p2, k);
 }
@@ -77,8 +77,8 @@ template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Ray_2, typename K::Iso_rectangle_2>::result_type
 intersection(const typename K::Ray_2 &ray,
-	     const typename K::Iso_rectangle_2 &iso,
-	     const K& )
+             const typename K::Iso_rectangle_2 &iso,
+             const K& )
 {
     typedef Ray_2_Iso_rectangle_2_pair<K> is_t;
     is_t ispair(&ray, &iso);
@@ -97,8 +97,8 @@ template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Ray_2, typename K::Iso_rectangle_2>::result_type
 intersection(const typename K::Iso_rectangle_2 &iso,
-	     const typename K::Ray_2 &ray,
-	     const K& k)
+             const typename K::Ray_2 &ray,
+             const K& k)
 {
   return intersection(ray, iso, k);
 }
@@ -172,7 +172,7 @@ template <class K>
 typename K::Segment_2
 Ray_2_Iso_rectangle_2_pair<K>::intersection_segment() const
 {
-    typedef typename K::Segment_2 Segment_2; 
+    typedef typename K::Segment_2 Segment_2;
     typename K::Construct_translated_point_2 translated_point;
     typename K::Construct_scaled_vector_2 construct_scaled_vector;
     if (!_known)
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Iso_rectangle_2_Segment_2.h 5.0.3-1/include/CGAL/Intersections_2/Iso_rectangle_2_Segment_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Iso_rectangle_2_Segment_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Iso_rectangle_2_Segment_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Iso_rectangle_2_Segment_2.h $
-// $Id: Iso_rectangle_2_Segment_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Iso_rectangle_2_Segment_2.h $
+// $Id: Iso_rectangle_2_Segment_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -28,9 +28,9 @@
 
 
 namespace CGAL {
-  
+
 namespace Intersections {
-  
+
 namespace internal {
 
 template <class K>
@@ -96,8 +96,8 @@ inline
 typename CGAL::Intersection_traits
 <K, typename K::Segment_2, typename K::Iso_rectangle_2>::result_type
 intersection(const typename K::Iso_rectangle_2 &iso,
-	     const typename K::Segment_2 &seg,
-	     const K& k)
+             const typename K::Segment_2 &seg,
+             const K& k)
 {
   return internal::intersection(seg, iso, k);
 }
@@ -154,7 +154,7 @@ Segment_2_Iso_rectangle_2_pair<K>::inter
             FT newmin, newmax;
             if (_dir.homogeneous(i) > RT(0)) {
                 newmin = ( *(isomin_it) - (*ref_point_it)) /
-		  _dir.cartesian(i);
+                  _dir.cartesian(i);
                 newmax = ( *(isomax_it) - (*ref_point_it)) /
                     _dir.cartesian(i);
             } else {
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Iso_rectangle_2_Triangle_2.h 5.0.3-1/include/CGAL/Intersections_2/Iso_rectangle_2_Triangle_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Iso_rectangle_2_Triangle_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Iso_rectangle_2_Triangle_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Iso_rectangle_2_Triangle_2.h $
-// $Id: Iso_rectangle_2_Triangle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Iso_rectangle_2_Triangle_2.h $
+// $Id: Iso_rectangle_2_Triangle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Radu Ursu
 
@@ -23,8 +23,8 @@
 #include <list>
 
 
-namespace CGAL{ 
-  
+namespace CGAL{
+
 namespace Intersections {
 
 namespace internal {
@@ -38,7 +38,7 @@ namespace internal {
     typedef typename K::Triangle_2 Triangle;
     typedef typename K::Point_2   Point;
 
-    FT xr1, yr1, xr2, yr2;  
+    FT xr1, yr1, xr2, yr2;
     bool position[3][4] = {{0, 0, 0, 0}, {0, 0, 0, 0}, {0, 0, 0, 0}};
     bool is_inside[3] = {false, false, false}; //true when a vertex is inside rectangle
 
@@ -49,23 +49,23 @@ namespace internal {
     Point p[3]; //the vertices of triangle
 
     upper_left = Point(xr1, yr1); //upper left
-    lower_right = Point(xr2, yr2); //lower right    
-    
+    lower_right = Point(xr2, yr2); //lower right
+
     p[0] = t.vertex(0);
     p[1] = t.vertex(1);
-    p[2] = t.vertex(2);  
+    p[2] = t.vertex(2);
 
     //check the points of the triangle
     for(int i=0; i<3; i++){
       if(!(compare_x(p[i], upper_left) == SMALLER))
         if(!(compare_x(p[i], lower_right) == LARGER))
           if(!(compare_y(p[i], upper_left) == LARGER))
-            if(!(compare_y(p[i], lower_right) == SMALLER))        
-              is_inside[i] = true; //the point is inside       
-            else        
-              position[i][2] = true; //South        
-          else      
-            position[i][0] = true; //North      
+            if(!(compare_y(p[i], lower_right) == SMALLER))
+              is_inside[i] = true; //the point is inside
+            else
+              position[i][2] = true; //South
+          else
+            position[i][0] = true; //North
         else
         {
           position[i][3] = true; //East
@@ -94,7 +94,7 @@ namespace internal {
       }
 
     if(intersection){
-      Segment s[4]; //the segments that identify the N, W, S, E  
+      Segment s[4]; //the segments that identify the N, W, S, E
       bool outside = false;
       bool status_in_list[3] = {false, false, false}; //true if the triangle's points are in the result vector
       std::list<int> last_intersected;
@@ -105,16 +105,16 @@ namespace internal {
       int next; //the index of the next vertex
 
       s[0] = Segment(Point(xr2, yr1), Point(xr1, yr1)); //N
-      s[1] = Segment(Point(xr1, yr1), Point(xr1, yr2)); //W  
+      s[1] = Segment(Point(xr1, yr1), Point(xr1, yr2)); //W
       s[2] = Segment(Point(xr1, yr2), Point(xr2, yr2)); //S
       s[3] = Segment(Point(xr2, yr2), Point(xr2, yr1)); //E
-        
+
       //assign to p[i] the vertices of the triangle in ccw order
       if(t.orientation() == CGAL::CLOCKWISE)
       {
         p[0] = t.vertex(2);
         p[2] = t.vertex(0);
-        
+
         is_inside[0] = is_inside[2] ^ is_inside[0];
         is_inside[2] = is_inside[2] ^ is_inside[0];
         is_inside[0] = is_inside[0] ^ is_inside[2];
@@ -135,7 +135,7 @@ namespace internal {
             status_in_list[index] = true;
           }
           if(is_inside[next]){ //true if second is inside
-            //add the points in the vector    
+            //add the points in the vector
             if(!status_in_list[next]){ // if is not yet in the list
               result.push_back(p[next]);
               status_in_list[next] = true;
@@ -160,7 +160,7 @@ namespace internal {
               }
           }
           }
-        } else { //the first point is outside      
+        } else { //the first point is outside
           for(int j=0; j<4; j++) // for all directions
             if(position[index][j]) //watch only the first point directions
             {
@@ -217,7 +217,7 @@ namespace internal {
                     }
                       }
                 }//end if the second point is not inside
-              } 
+              }
               } // end v
             }
         }//end else (the first point is outside)
@@ -249,9 +249,9 @@ namespace internal {
         }
       }//end if(outside)
 
-      //test if were not intersections 
+      //test if were not intersections
       //between the triangle and the rectangle
-      if(status_intersected[0] == 0 && status_intersected[1] == 0 && 
+      if(status_intersected[0] == 0 && status_intersected[1] == 0 &&
         status_intersected[2] == 0 && status_intersected[3] == 0)
       {
         //should test if the rectangle is inside the triangle
@@ -283,14 +283,14 @@ namespace internal {
     }//end if(intersection)
     return intersection_return<typename K::Intersect_2, Triangle, typename K::Iso_rectangle_2>();
   }//end intersection
-  
+
   template <class K>
   typename Intersection_traits<K, typename K::Triangle_2, typename K::Iso_rectangle_2>::result_type
   inline intersection(const typename K::Iso_rectangle_2 &r, const typename K::Triangle_2 &t, const K& k)
   {
     return intersection(t,r,k);
   }
-  
+
   template <class K>
   bool do_intersect(
     const typename K::Triangle_2 &tr,
@@ -299,7 +299,7 @@ namespace internal {
   {
     //1) check if at least one vertex of tr is not outside ir
     //2) if not, check if at least on vertex of tr is not outside tr
-    
+
     typename K::Has_on_unbounded_side_2 unbounded_side=k.has_on_unbounded_side_2_object();
     typename K::Construct_vertex_2 vertex=k.construct_vertex_2_object();
 
@@ -325,13 +325,13 @@ namespace internal {
   {
     return do_intersect(tr,ir,k);
   }
-  
+
 } //namespace internal
 } // namespace Intersections
 
 CGAL_INTERSECTION_FUNCTION(Triangle_2, Iso_rectangle_2, 2)
 CGAL_DO_INTERSECT_FUNCTION(Triangle_2, Iso_rectangle_2, 2)
-  
+
 }//end namespace
 
 #endif
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Line_2_Line_2.h 5.0.3-1/include/CGAL/Intersections_2/Line_2_Line_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Line_2_Line_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Line_2_Line_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Line_2_Line_2.h $
-// $Id: Line_2_Line_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Line_2_Line_2.h $
+// $Id: Line_2_Line_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -28,7 +28,7 @@ namespace CGAL {
 
 class Cartesian_tag;
 class Homogeneous_tag;
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -38,7 +38,7 @@ class Line_2_Line_2_pair {
 public:
     enum Intersection_results {NO_INTERSECTION, POINT, LINE};
     Line_2_Line_2_pair(typename K::Line_2 const *line1,
-		       typename K::Line_2 const *line2)
+                       typename K::Line_2 const *line2)
       : _line1(line1), _line2(line2), _known(false) {}
 
     Intersection_results intersection_type() const;
@@ -69,9 +69,9 @@ inline bool do_intersect(
 template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Line_2, typename K::Line_2>::result_type
-intersection(const typename K::Line_2 &line1, 
-	     const typename K::Line_2 &line2,
-	     const K&)
+intersection(const typename K::Line_2 &line1,
+             const typename K::Line_2 &line2,
+             const K&)
 {
     typedef Line_2_Line_2_pair<K> is_t;
     is_t linepair(&line1, &line2);
@@ -127,7 +127,7 @@ bool construct_if_finite(POINT &pt, RT x
 
 template <class R, class POINT, class RT>
 inline
-bool 
+bool
 construct_if_finite(POINT &pt, RT x, RT y, RT w, const R &r)
 {
   typedef typename R::Kernel_tag Tag;
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Line_2_Point_2.h 5.0.3-1/include/CGAL/Intersections_2/Line_2_Point_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Line_2_Point_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Line_2_Point_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Line_2_Point_2.h $
-// $Id: Line_2_Point_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Line_2_Point_2.h $
+// $Id: Line_2_Point_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -23,16 +23,16 @@
 #include <CGAL/Intersection_traits_2.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
 
 template <class K>
 inline bool
-do_intersect(const typename K::Point_2 &pt, 
-	     const typename K::Line_2 &line,
-	     const K&)
+do_intersect(const typename K::Point_2 &pt,
+             const typename K::Line_2 &line,
+             const K&)
 {
     return line.has_on(pt);
 }
@@ -40,8 +40,8 @@ do_intersect(const typename K::Point_2 &
 template <class K>
 inline bool
 do_intersect(const typename K::Line_2 &line,
-	     const typename K::Point_2 &pt, 
-	     const K&)
+             const typename K::Point_2 &pt,
+             const K&)
 {
     return line.has_on(pt);
 }
@@ -49,9 +49,9 @@ do_intersect(const typename K::Line_2 &l
 template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Point_2, typename K::Line_2>::result_type
-intersection(const typename K::Point_2 &pt, 
-	     const typename K::Line_2 &line,
-	     const K& k)
+intersection(const typename K::Point_2 &pt,
+             const typename K::Line_2 &line,
+             const K& k)
 {
     if (do_intersect(pt,line, k)) {
         return intersection_return<typename K::Intersect_2, typename K::Point_2, typename K::Line_2>(pt);
@@ -63,8 +63,8 @@ template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Line_2, typename K::Point_2>::result_type
 intersection(const typename K::Line_2 &line,
-	     const typename K::Point_2 &pt, 
-	     const K& k)
+             const typename K::Point_2 &pt,
+             const K& k)
 {
   return internal::intersection(pt, line, k);
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Line_2_Ray_2.h 5.0.3-1/include/CGAL/Intersections_2/Line_2_Ray_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Line_2_Ray_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Line_2_Ray_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Line_2_Ray_2.h $
-// $Id: Line_2_Ray_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Line_2_Ray_2.h $
+// $Id: Line_2_Ray_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -27,7 +27,7 @@
 #include <CGAL/Intersection_traits_2.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -37,7 +37,7 @@ class Ray_2_Line_2_pair {
 public:
     enum Intersection_results {NO_INTERSECTION, POINT, RAY};
     Ray_2_Line_2_pair(typename K::Ray_2 const *ray,
-		      typename K::Line_2 const *line)
+                      typename K::Line_2 const *line)
       : _ray(ray), _line(line), _known(false) {}
 
     Intersection_results intersection_type() const;
@@ -69,8 +69,8 @@ template <class K>
 typename Intersection_traits
 <K, typename K::Ray_2, typename K::Line_2>::result_type
 intersection(const typename K::Ray_2 &ray,
-	     const typename K::Line_2 &line,
-	     const K&)
+             const typename K::Line_2 &line,
+             const K&)
 {
     typedef Ray_2_Line_2_pair<K> is_t;
     is_t ispair(&ray, &line);
@@ -91,8 +91,8 @@ inline
 typename Intersection_traits
 <K, typename K::Line_2, typename K::Ray_2>::result_type
 intersection(const typename K::Line_2 &line,
-	     const typename K::Ray_2 &ray,
-	     const K& k)
+             const typename K::Ray_2 &ray,
+             const K& k)
 {
   return internal::intersection(ray, line, k);
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Line_2_Segment_2.h 5.0.3-1/include/CGAL/Intersections_2/Line_2_Segment_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Line_2_Segment_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Line_2_Segment_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Line_2_Segment_2.h $
-// $Id: Line_2_Segment_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Line_2_Segment_2.h $
+// $Id: Line_2_Segment_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -26,7 +26,7 @@
 #include <CGAL/Intersection_traits_2.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -65,9 +65,9 @@ inline bool do_intersect(
 template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Segment_2, typename K::Line_2>::result_type
-intersection(const typename K::Segment_2 &seg, 
-	     const typename K::Line_2 &line,
-	     const K&)
+intersection(const typename K::Segment_2 &seg,
+             const typename K::Line_2 &line,
+             const K&)
 {
     typedef Segment_2_Line_2_pair<K> is_t;
 
@@ -87,8 +87,8 @@ template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Line_2, typename K::Segment_2>::result_type
 intersection(const typename K::Line_2 &line,
-	     const typename K::Segment_2 &seg, 
-	     const K& k)
+             const typename K::Segment_2 &seg,
+             const K& k)
 {
   return internal::intersection(seg, line, k);
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Line_2_Triangle_2.h 5.0.3-1/include/CGAL/Intersections_2/Line_2_Triangle_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Line_2_Triangle_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Line_2_Triangle_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Line_2_Triangle_2.h $
-// $Id: Line_2_Triangle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Line_2_Triangle_2.h $
+// $Id: Line_2_Triangle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -28,7 +28,7 @@
 #include <CGAL/Intersection_traits_2.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -38,7 +38,7 @@ class Line_2_Triangle_2_pair {
 public:
     enum Intersection_results {NO_INTERSECTION, POINT, SEGMENT};
     Line_2_Triangle_2_pair(typename K::Line_2 const *line,
-			   typename K::Triangle_2 const *trian)
+                           typename K::Triangle_2 const *trian)
         : _line(line), _trian(trian), _known(false) {}
 
     Intersection_results intersection_type() const;
@@ -55,11 +55,11 @@ protected:
 };
 
 template <class K>
-inline 
-bool 
+inline
+bool
 do_intersect(const typename K::Line_2 &p1,
-	     const typename K::Triangle_2 &p2,
-	     const K&)
+             const typename K::Triangle_2 &p2,
+             const K&)
 {
     typedef Line_2_Triangle_2_pair<K> pair_t;
     pair_t pair(&p1, &p2);
@@ -67,11 +67,11 @@ do_intersect(const typename K::Line_2 &p
 }
 
 template <class K>
-inline 
-bool 
+inline
+bool
 do_intersect(const typename K::Triangle_2 &p2,
-	     const typename K::Line_2 &p1,
-	     const K& k)
+             const typename K::Line_2 &p1,
+             const K& k)
 {
   return internal::do_intersect(p1, p2, k);
 }
@@ -157,9 +157,9 @@ intersection_segment() const
 template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Line_2, typename K::Triangle_2>::result_type
-intersection(const typename K::Line_2 &line, 
-	     const typename K::Triangle_2 &tr,
-	     const K&)
+intersection(const typename K::Line_2 &line,
+             const typename K::Triangle_2 &tr,
+             const K&)
 {
     typedef Line_2_Triangle_2_pair<K> is_t;
     is_t ispair(&line, &tr);
@@ -180,8 +180,8 @@ inline
 typename CGAL::Intersection_traits
 <K, typename K::Line_2, typename K::Triangle_2>::result_type
 intersection(const typename K::Triangle_2 &tr,
-	     const typename K::Line_2 &line,
-	     const K& k)
+             const typename K::Line_2 &line,
+             const K& k)
 {
   return internal::intersection(line, tr, k);
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Point_2_Point_2.h 5.0.3-1/include/CGAL/Intersections_2/Point_2_Point_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Point_2_Point_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Point_2_Point_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Point_2_Point_2.h $
-// $Id: Point_2_Point_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Point_2_Point_2.h $
+// $Id: Point_2_Point_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -22,16 +22,16 @@
 #include <CGAL/Intersection_traits_2.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
 
 template <class K>
 inline bool
-do_intersect(const typename K::Point_2 &pt1, 
-	     const typename K::Point_2 &pt2,
-	     const K&)
+do_intersect(const typename K::Point_2 &pt1,
+             const typename K::Point_2 &pt2,
+             const K&)
 {
     return pt1 == pt2;
 }
@@ -39,9 +39,9 @@ do_intersect(const typename K::Point_2 &
 template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Point_2, typename K::Point_2>::result_type
-intersection(const typename K::Point_2 &pt1, 
-	     const typename K::Point_2 &pt2,
-	     const K&)
+intersection(const typename K::Point_2 &pt1,
+             const typename K::Point_2 &pt2,
+             const K&)
 {
     if (pt1 == pt2) {
       return intersection_return<typename K::Intersect_2, typename K::Point_2, typename K::Point_2>(pt1);
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Point_2_Ray_2.h 5.0.3-1/include/CGAL/Intersections_2/Point_2_Ray_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Point_2_Ray_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Point_2_Ray_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Point_2_Ray_2.h $
-// $Id: Point_2_Ray_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Point_2_Ray_2.h $
+// $Id: Point_2_Ray_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -23,28 +23,28 @@
 #include <CGAL/Intersection_traits_2.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
 
 template <class K>
-inline 
+inline
 bool
-do_intersect(const typename K::Point_2 &pt, 
-	     const typename K::Ray_2 &ray,
-	     const K&)
+do_intersect(const typename K::Point_2 &pt,
+             const typename K::Ray_2 &ray,
+             const K&)
 {
   return ray.has_on(pt);
 }
 
 
 template <class K>
-inline 
+inline
 bool
 do_intersect(const typename K::Ray_2 &ray,
-	     const typename K::Point_2 &pt, 
-	     const K&)
+             const typename K::Point_2 &pt,
+             const K&)
 {
   return ray.has_on(pt);
 }
@@ -53,9 +53,9 @@ do_intersect(const typename K::Ray_2 &ra
 template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Point_2, typename K::Ray_2>::result_type
-intersection(const typename K::Point_2 &pt, 
-	     const typename K::Ray_2 &ray,
-	     const K& k)
+intersection(const typename K::Point_2 &pt,
+             const typename K::Ray_2 &ray,
+             const K& k)
 {
   if (do_intersect(pt,ray, k)) {
     return intersection_return<typename K::Intersect_2, typename K::Point_2, typename K::Ray_2>(pt);
@@ -67,8 +67,8 @@ template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Ray_2, typename K::Point_2>::result_type
 intersection(const typename K::Ray_2 &ray,
-	     const typename K::Point_2 &pt, 
-	     const K& k)
+             const typename K::Point_2 &pt,
+             const K& k)
 {
   return internal::intersection(pt, ray, k);
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Point_2_Segment_2.h 5.0.3-1/include/CGAL/Intersections_2/Point_2_Segment_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Point_2_Segment_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Point_2_Segment_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Point_2_Segment_2.h $
-// $Id: Point_2_Segment_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Point_2_Segment_2.h $
+// $Id: Point_2_Segment_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -23,27 +23,27 @@
 #include <CGAL/Intersection_traits_2.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
 
 template <class K>
-inline 
+inline
 bool
-do_intersect(const typename K::Point_2 &pt, 
-	     const typename K::Segment_2 &seg,
-	     const K&)
+do_intersect(const typename K::Point_2 &pt,
+             const typename K::Segment_2 &seg,
+             const K&)
 {
     return seg.has_on(pt);
 }
 
 template <class K>
-inline 
+inline
 bool
 do_intersect(const typename K::Segment_2 &seg,
-	     const typename K::Point_2 &pt, 
-	     const K&)
+             const typename K::Point_2 &pt,
+             const K&)
 {
     return seg.has_on(pt);
 }
@@ -53,9 +53,9 @@ template <class K>
 inline
 typename CGAL::Intersection_traits
 <K, typename K::Point_2, typename K::Segment_2>::result_type
-intersection(const typename K::Point_2 &pt, 
-	     const typename K::Segment_2 &seg, 
-	     const K& k)
+intersection(const typename K::Point_2 &pt,
+             const typename K::Segment_2 &seg,
+             const K& k)
 {
   if (do_intersect(pt,seg, k)) {
     return intersection_return<typename K::Intersect_2, typename K::Point_2, typename K::Segment_2>(pt);
@@ -67,9 +67,9 @@ template <class K>
 inline
 typename CGAL::Intersection_traits
 <K, typename K::Segment_2, typename K::Point_2>::result_type
-intersection( const typename K::Segment_2 &seg, 
-	      const typename K::Point_2 &pt, 
-	      const K& k)
+intersection( const typename K::Segment_2 &seg,
+              const typename K::Point_2 &pt,
+              const K& k)
 {
   return internal::intersection(pt, seg, k);
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Point_2_Triangle_2.h 5.0.3-1/include/CGAL/Intersections_2/Point_2_Triangle_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Point_2_Triangle_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Point_2_Triangle_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Point_2_Triangle_2.h $
-// $Id: Point_2_Triangle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Point_2_Triangle_2.h $
+// $Id: Point_2_Triangle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -36,7 +36,7 @@ public:
     enum Intersection_results {NO_INTERSECTION, POINT};
     Point_2_Triangle_2_pair(typename K::Point_2 const *pt,
                             typename K::Triangle_2 const *trian)
-	    : _pt(pt), _trian(trian), _known(false) {}
+            : _pt(pt), _trian(trian), _known(false) {}
 
     Intersection_results intersection_type() const;
 
@@ -52,8 +52,8 @@ protected:
 
 template <class K>
 inline bool do_intersect(const typename K::Point_2 &p1,
-			 const typename K::Triangle_2 &p2,
-			 const K&)
+                         const typename K::Triangle_2 &p2,
+                         const K&)
 {
   typedef Point_2_Triangle_2_pair<K> pair_t;
   pair_t pair(&p1, &p2);
@@ -62,8 +62,8 @@ inline bool do_intersect(const typename
 
 template <class K>
 inline bool do_intersect(const typename K::Triangle_2 &p2,
-			 const typename K::Point_2 &p1,
-			 const K& k)
+                         const typename K::Point_2 &p1,
+                         const K& k)
 {
   return internal::do_intersect(p1, p2, k);
 }
@@ -103,9 +103,9 @@ intersection_point() const
 template <class K>
 typename Intersection_traits<K, typename K::Point_2, typename K::Triangle_2>
 ::result_type
-intersection(const typename K::Point_2 &pt, 
-	     const typename K::Triangle_2 &tr,
-	     const K&)
+intersection(const typename K::Point_2 &pt,
+             const typename K::Triangle_2 &tr,
+             const K&)
 {
     typedef Point_2_Triangle_2_pair<K> is_t;
     is_t ispair(&pt, &tr);
@@ -123,8 +123,8 @@ inline
 typename Intersection_traits<K, typename K::Point_2, typename K::Triangle_2>
 ::result_type
 intersection(const typename K::Triangle_2 &tr,
-	     const typename K::Point_2 &pt, 
-	     const K&k)
+             const typename K::Point_2 &pt,
+             const K&k)
 {
   return internal::intersection(pt, tr, k);
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Ray_2_Ray_2.h 5.0.3-1/include/CGAL/Intersections_2/Ray_2_Ray_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Ray_2_Ray_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Ray_2_Ray_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Ray_2_Ray_2.h $
-// $Id: Ray_2_Ray_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Ray_2_Ray_2.h $
+// $Id: Ray_2_Ray_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -28,7 +28,7 @@
 
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -38,8 +38,8 @@ class Ray_2_Ray_2_pair {
 public:
     enum Intersection_results {NO_INTERSECTION, POINT, SEGMENT, RAY};
     Ray_2_Ray_2_pair(typename K::Ray_2 const *ray1,
-		     typename K::Ray_2 const *ray2)
-	    : _ray1(ray1), _ray2(ray2), _known(false) {}
+                     typename K::Ray_2 const *ray2)
+            : _ray1(ray1), _ray2(ray2), _known(false) {}
 
     Intersection_results intersection_type() const;
 
@@ -138,7 +138,7 @@ Ray_2_Ray_2_pair<K>::intersection_type()
                     return _result;
                 }
             }
-            
+
         } else {
             typedef typename K::FT FT;
             if (dir1.y() > FT(0)) {
@@ -182,9 +182,9 @@ Ray_2_Ray_2_pair<K>::intersection_type()
                     return _result;
                 }
             }
-            
+
+        }
         }
-        } 
     default:
         CGAL_kernel_assertion(false); // should not be reached:
         return _result;
@@ -229,9 +229,9 @@ Ray_2_Ray_2_pair<K>::intersection_ray()
 template <class K>
 typename CGAL::Intersection_traits
   <K, typename K::Ray_2, typename K::Ray_2>::result_type
-intersection(const typename K::Ray_2 &ray1, 
-	     const typename K::Ray_2 &ray2,
-	     const K&)
+intersection(const typename K::Ray_2 &ray1,
+             const typename K::Ray_2 &ray2,
+             const K&)
 {
     typedef Ray_2_Ray_2_pair<K> is_t;
     is_t ispair(&ray1, &ray2);
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Ray_2_Segment_2.h 5.0.3-1/include/CGAL/Intersections_2/Ray_2_Segment_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Ray_2_Segment_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Ray_2_Segment_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Ray_2_Segment_2.h $
-// $Id: Ray_2_Segment_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Ray_2_Segment_2.h $
+// $Id: Ray_2_Segment_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -29,7 +29,7 @@
 
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -39,8 +39,8 @@ class Ray_2_Segment_2_pair {
 public:
     enum Intersection_results {NO_INTERSECTION, POINT, SEGMENT};
     Ray_2_Segment_2_pair(typename K::Ray_2 const *ray,
-			 typename K::Segment_2 const *seg)
-	    : _ray(ray), _seg(seg), _known(false) {}
+                         typename K::Segment_2 const *seg)
+            : _ray(ray), _seg(seg), _known(false) {}
 
     Intersection_results intersection_type() const;
 
@@ -56,8 +56,8 @@ protected:
 
 template <class K>
 inline bool do_intersect(const typename K::Ray_2 &p1,
-			 const typename K::Segment_2 &p2,
-			 const K&)
+                         const typename K::Segment_2 &p2,
+                         const K&)
 {
     typedef Ray_2_Segment_2_pair<K> pair_t;
     pair_t pair(&p1, &p2);
@@ -66,8 +66,8 @@ inline bool do_intersect(const typename
 
 template <class K>
 inline bool do_intersect(const typename K::Segment_2 &p2,
-			 const typename K::Ray_2 &p1,
-			 const K& k)
+                         const typename K::Ray_2 &p1,
+                         const K& k)
 {
   return internal::do_intersect(p1, p2, k);
 }
@@ -198,7 +198,7 @@ Ray_2_Segment_2_pair<K>::intersection_ty
                 _result = SEGMENT;
                 return _result;
             }
-        } 
+        }
         }
     default:
         CGAL_kernel_assertion(false); // should not be reached:
@@ -233,9 +233,9 @@ Ray_2_Segment_2_pair<K>::intersection_se
 template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Ray_2, typename K::Segment_2>::result_type
-intersection(const typename K::Ray_2 &ray, 
-	     const typename K::Segment_2&seg,
-	     const K&)
+intersection(const typename K::Ray_2 &ray,
+             const typename K::Segment_2&seg,
+             const K&)
 {
     typedef Ray_2_Segment_2_pair<K> is_t;
     is_t ispair(&ray, &seg);
@@ -255,8 +255,8 @@ template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Ray_2, typename K::Segment_2>::result_type
 intersection(const typename K::Segment_2 &seg,
-	     const typename K::Ray_2 &ray, 
-	     const K& k)
+             const typename K::Ray_2 &ray,
+             const K& k)
 {
   return internal::intersection(ray, seg, k);
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Ray_2_Triangle_2.h 5.0.3-1/include/CGAL/Intersections_2/Ray_2_Triangle_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Ray_2_Triangle_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Ray_2_Triangle_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Ray_2_Triangle_2.h $
-// $Id: Ray_2_Triangle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Ray_2_Triangle_2.h $
+// $Id: Ray_2_Triangle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -26,7 +26,7 @@
 #include <CGAL/Intersection_traits_2.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -36,8 +36,8 @@ class Ray_2_Triangle_2_pair {
 public:
     enum Intersection_results {NO_INTERSECTION, POINT, SEGMENT};
     Ray_2_Triangle_2_pair(typename K::Ray_2 const *ray,
-			  typename K::Triangle_2 const *trian)
-	    : _ray(ray), _trian(trian), _known(false) {}
+                          typename K::Triangle_2 const *trian)
+            : _ray(ray), _trian(trian), _known(false) {}
 
     Intersection_results intersection_type() const;
 
@@ -136,9 +136,9 @@ intersection_segment() const
 template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Ray_2, typename K::Triangle_2>::result_type
-intersection(const typename K::Ray_2 &ray, 
-	     const typename K::Triangle_2&tr,
-	     const K&)
+intersection(const typename K::Ray_2 &ray,
+             const typename K::Triangle_2&tr,
+             const K&)
 {
 
     typedef Ray_2_Triangle_2_pair<K> is_t;
@@ -158,8 +158,8 @@ template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Ray_2, typename K::Triangle_2>::result_type
 intersection(const typename K::Triangle_2&tr,
-	     const typename K::Ray_2 &ray, 
-	     const K& k)
+             const typename K::Ray_2 &ray,
+             const K& k)
 {
   return internal::intersection(ray, tr, k);
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Segment_2_Segment_2.h 5.0.3-1/include/CGAL/Intersections_2/Segment_2_Segment_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Segment_2_Segment_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Segment_2_Segment_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Segment_2_Segment_2.h $
-// $Id: Segment_2_Segment_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Segment_2_Segment_2.h $
+// $Id: Segment_2_Segment_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -29,7 +29,7 @@
 #include <CGAL/Intersection_traits_2.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -43,9 +43,9 @@ do_intersect(const typename K::Segment_2
 
 template <class K>
 bool seg_seg_do_intersect_crossing(
-        const typename K::Point_2  &p1, const typename K::Point_2 &p2, 
-	const typename K::Point_2 &p3, const typename K::Point_2 &p4,
-	const K& k)
+        const typename K::Point_2  &p1, const typename K::Point_2 &p2,
+        const typename K::Point_2 &p3, const typename K::Point_2 &p4,
+        const K& k)
 {
     switch (make_certain(k.orientation_2_object()(p1,p2,p3))) {
     case LEFT_TURN:
@@ -62,9 +62,9 @@ bool seg_seg_do_intersect_crossing(
 
 template <class K>
 bool seg_seg_do_intersect_contained(
-        const typename K::Point_2  &p1, const typename K::Point_2 &p2, 
-	const typename K::Point_2 &p3, const typename K::Point_2 &p4,
-	const K& k)
+        const typename K::Point_2  &p1, const typename K::Point_2 &p2,
+        const typename K::Point_2 &p3, const typename K::Point_2 &p4,
+        const K& k)
 {
     switch (make_certain(k.orientation_2_object()(p1,p2,p3))) {
     case LEFT_TURN:
@@ -81,9 +81,9 @@ bool seg_seg_do_intersect_contained(
 
 template <class K>
 bool
-do_intersect(const typename K::Segment_2 &seg1, 
-	     const typename K::Segment_2 &seg2,
-	     const K& k)
+do_intersect(const typename K::Segment_2 &seg1,
+             const typename K::Segment_2 &seg2,
+             const K& k)
 {
     typename K::Point_2 const & A1 = seg1.source();
     typename K::Point_2 const & A2 = seg1.target();
@@ -277,7 +277,7 @@ public:
     enum Intersection_results {NO_INTERSECTION, POINT, SEGMENT};
     Segment_2_Segment_2_pair(typename K::Segment_2 const *seg1,
                             typename K::Segment_2 const *seg2)
-	    : _seg1(seg1), _seg2(seg2), _known(false) {}
+            : _seg1(seg1), _seg2(seg2), _known(false) {}
 
     Intersection_results intersection_type() const;
 
@@ -359,7 +359,7 @@ Segment_2_Segment_2_pair<K>::intersectio
             _intersection_point = *minpt;
             _other_point = *maxpt;
             _result = SEGMENT;
-            return _result; 
+            return _result;
         } else {
             if (start1.y() < end1.y()) {
                 minpt = &start1;
@@ -395,9 +395,9 @@ Segment_2_Segment_2_pair<K>::intersectio
             _intersection_point = *minpt;
             _other_point = *maxpt;
             _result = SEGMENT;
-            return _result; 
+            return _result;
+        }
         }
-        } 
     }
     return _result;
 }
@@ -428,9 +428,9 @@ Segment_2_Segment_2_pair<K>::intersectio
 template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Segment_2, typename K::Segment_2>::result_type
-intersection(const typename K::Segment_2 &seg1, 
-	     const typename K::Segment_2 &seg2,
-	     const K&)
+intersection(const typename K::Segment_2 &seg1,
+             const typename K::Segment_2 &seg2,
+             const K&)
 {
     typedef Segment_2_Segment_2_pair<K> is_t;
     is_t ispair(&seg1, &seg2);
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Segment_2_Triangle_2.h 5.0.3-1/include/CGAL/Intersections_2/Segment_2_Triangle_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Segment_2_Triangle_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Segment_2_Triangle_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Segment_2_Triangle_2.h $
-// $Id: Segment_2_Triangle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Segment_2_Triangle_2.h $
+// $Id: Segment_2_Triangle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -26,7 +26,7 @@
 #include <CGAL/Intersection_traits_2.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -135,7 +135,7 @@ typename K::Segment_2
 Segment_2_Triangle_2_pair<K>::
 intersection_segment() const
 {
-  typedef typename K::Segment_2 Segment_2; 
+  typedef typename K::Segment_2 Segment_2;
     if (!_known)
         intersection_type();
     CGAL_kernel_assertion(_result == SEGMENT);
@@ -148,9 +148,9 @@ intersection_segment() const
 template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Segment_2, typename K::Triangle_2>::result_type
-intersection(const typename K::Segment_2 &seg, 
-	     const typename K::Triangle_2&tr,
-	     const K&)
+intersection(const typename K::Segment_2 &seg,
+             const typename K::Triangle_2&tr,
+             const K&)
 {
     typedef Segment_2_Triangle_2_pair<K> is_t;
     is_t ispair(&seg, &tr);
@@ -170,8 +170,8 @@ template <class K>
 typename CGAL::Intersection_traits
 <K, typename K::Segment_2, typename K::Triangle_2>::result_type
 intersection(const typename K::Triangle_2&tr,
-	     const typename K::Segment_2 &seg, 
-	     const K& k)
+             const typename K::Segment_2 &seg,
+             const K& k)
 {
   return internal::intersection(seg, tr, k);
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_2/Triangle_2_Triangle_2.h 5.0.3-1/include/CGAL/Intersections_2/Triangle_2_Triangle_2.h
--- 5.0.2-3/include/CGAL/Intersections_2/Triangle_2_Triangle_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_2/Triangle_2_Triangle_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersections_2/Triangle_2_Triangle_2.h $
-// $Id: Triangle_2_Triangle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersections_2/Triangle_2_Triangle_2.h $
+// $Id: Triangle_2_Triangle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Bbox_3.h 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Bbox_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Bbox_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Bbox_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Bbox_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Bbox_3.h $
 // $Id: Bbox_3_Bbox_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Iso_cuboid_3.h 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Iso_cuboid_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Iso_cuboid_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Iso_cuboid_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Iso_cuboid_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Iso_cuboid_3.h $
 // $Id: Bbox_3_Iso_cuboid_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Line_3.h 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Line_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Line_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Line_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Line_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Line_3.h $
 // $Id: Bbox_3_Line_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Plane_3.h 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Plane_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Plane_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Plane_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Plane_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Plane_3.h $
 // $Id: Bbox_3_Plane_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Point_3.h 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Point_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Point_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Point_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Point_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Point_3.h $
 // $Id: Bbox_3_Point_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Ray_3.h 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Ray_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Ray_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Ray_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Ray_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Ray_3.h $
 // $Id: Bbox_3_Ray_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Segment_3.h 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Segment_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Segment_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Segment_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Segment_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Segment_3.h $
 // $Id: Bbox_3_Segment_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Sphere_3.h 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Sphere_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Sphere_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Sphere_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Sphere_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Sphere_3.h $
 // $Id: Bbox_3_Sphere_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Tetrahedron_3.h 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Tetrahedron_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Tetrahedron_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Tetrahedron_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Tetrahedron_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Tetrahedron_3.h $
 // $Id: Bbox_3_Tetrahedron_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Triangle_3.h 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Triangle_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Bbox_3_Triangle_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Bbox_3_Triangle_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Triangle_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Bbox_3_Triangle_3.h $
 // $Id: Bbox_3_Triangle_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Bbox_3_Bbox_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Bbox_3_Bbox_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Bbox_3_Bbox_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Bbox_3_Bbox_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,12 +1,12 @@
 // Copyright (c) 2008 ETH Zurich (Switzerland)
-// Copyright (c) 2008-2009  INRIA Sophia-Antipolis (France) 
+// Copyright (c) 2008-2009  INRIA Sophia-Antipolis (France)
 // Copyright (c) 2009  GeometryFactory (France)
 // All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Bbox_3_Bbox_3_do_intersect.h $
-// $Id: Bbox_3_Bbox_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Bbox_3_Bbox_3_do_intersect.h $
+// $Id: Bbox_3_Bbox_3_do_intersect.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Bbox_3_Iso_cuboid_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Bbox_3_Iso_cuboid_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Bbox_3_Iso_cuboid_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Bbox_3_Iso_cuboid_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Bbox_3_Iso_cuboid_3_do_intersect.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Bbox_3_Iso_cuboid_3_do_intersect.h $
 // $Id: Bbox_3_Iso_cuboid_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Bbox_3_Line_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Bbox_3_Line_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Bbox_3_Line_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Bbox_3_Line_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Bbox_3_Line_3_do_intersect.h $
-// $Id: Bbox_3_Line_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Bbox_3_Line_3_do_intersect.h $
+// $Id: Bbox_3_Line_3_do_intersect.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -21,7 +21,7 @@
 // inspired from http://cag.csail.mit.edu/~amy/papers/box-jgt.pdf
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -72,10 +72,10 @@ namespace internal {
       tmax_ = py - bymin;
       d_ = -vy;
     }
-    
-    
-    
-    
+
+
+
+
     if ( d_ == FT(0) ){
       //if py is not in the y-slab
       if( (tmin_ > FT(0) || tmax_ < FT(0)) ) return false;
@@ -111,11 +111,11 @@ namespace internal {
       tmax_ = pz - bzmin;
       d_ = -vz;
     }
-    
+
     //if pz is not in the z-slab
     //if ( d_ == FT(0) && (tmin_ > FT(0) || tmax_ < FT(0)) ) return false;
-    //The previous line is not needed as either dmin or d_ are not 0 
-    //(otherwise the direction of the line would be null). 
+    //The previous line is not needed as either dmin or d_ are not 0
+    //(otherwise the direction of the line would be null).
     // The following is equivalent to the in z-slab test if d_=0.
 
     return ( (dmin*tmax_) >= (d_*tmin) && (dmax*tmin_) <= (d_*tmax) );
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Bbox_3_Plane_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Bbox_3_Plane_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Bbox_3_Plane_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Bbox_3_Plane_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Bbox_3_Plane_3_do_intersect.h $
-// $Id: Bbox_3_Plane_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Bbox_3_Plane_3_do_intersect.h $
+// $Id: Bbox_3_Plane_3_do_intersect.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -21,7 +21,7 @@
 // Opcode like
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -34,11 +34,11 @@ namespace internal {
   {
     if(certainly(p.x() > 0)) {
       if(certainly(p.y() > 0)) {
-	if(certainly(p.z() > 0)) { 
+        if(certainly(p.z() > 0)) {
             p_min = typename K::Point_3(bbox.xmin(), bbox.ymin(),bbox.zmin());
             p_max = typename K::Point_3(bbox.xmax(), bbox.ymax(),bbox.zmax());
             return true;
-        } else if(certainly(p.z() <= 0)) {							    
+        } else if(certainly(p.z() <= 0)) {
           p_min = typename K::Point_3(bbox.xmin(), bbox.ymin(),bbox.zmax());
           p_max = typename K::Point_3(bbox.xmax(), bbox.ymax(),bbox.zmin());
           return true;
@@ -57,23 +57,23 @@ namespace internal {
     }
     else if(certainly(p.x() <= 0)) {
       if(certainly(p.y() > 0)) {
-	if(certainly(p.z() > 0)) { 
+        if(certainly(p.z() > 0)) {
           p_min = typename K::Point_3(bbox.xmax(), bbox.ymin(),bbox.zmin());
           p_max = typename K::Point_3(bbox.xmin(), bbox.ymax(),bbox.zmax());
           return true;}
-	else if(certainly(p.z() <= 0)) {
+        else if(certainly(p.z() <= 0)) {
           p_min = typename K::Point_3(bbox.xmax(), bbox.ymin(),bbox.zmax());
           p_max = typename K::Point_3(bbox.xmin(), bbox.ymax(),bbox.zmin());
           return true;
         }
       }
       else if(certainly(p.y() <= 0)) {
-	if(certainly(p.z() > 0)) { 
+        if(certainly(p.z() > 0)) {
           p_min = typename K::Point_3(bbox.xmax(), bbox.ymax(),bbox.zmin());
           p_max = typename K::Point_3(bbox.xmin(), bbox.ymin(),bbox.zmax());
           return true;
         }
-	else if(certainly(p.z() <= 0)) {
+        else if(certainly(p.z() <= 0)) {
           p_min = typename K::Point_3(bbox.xmax(), bbox.ymax(),bbox.zmax());
           p_max = typename K::Point_3(bbox.xmin(), bbox.ymin(),bbox.zmin());
           return true;
@@ -113,7 +113,7 @@ namespace internal {
     if(s != side) return true;
     return false;
   }
-  
+
   template <class K>
   bool do_intersect(const typename K::Plane_3& plane,
                     const Bbox_3& bbox,
@@ -127,7 +127,7 @@ namespace internal {
                     const K&) {
     return do_intersect_plane_box(plane, bbox, K());
   }
-  
+
   template <class K>
   bool do_intersect(const Bbox_3& bbox,
                     const typename K::Plane_3& plane,
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Bbox_3_Ray_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Bbox_3_Ray_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Bbox_3_Ray_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Bbox_3_Ray_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Bbox_3_Ray_3_do_intersect.h $
-// $Id: Bbox_3_Ray_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Bbox_3_Ray_3_do_intersect.h $
+// $Id: Bbox_3_Ray_3_do_intersect.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -23,7 +23,7 @@
 // inspired from http://cag.csail.mit.edu/~amy/papers/box-jgt.pdf
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -41,7 +41,7 @@ namespace internal {
 
     return do_intersect_bbox_segment_aux
       <FT,
-       true,  // bounded at t=0 
+       true,  // bounded at t=0
        false, // not bounded at t=1
        false> // do not use static filters
       (
@@ -57,7 +57,7 @@ namespace internal {
                     const K&) {
     return do_intersect(ray, bbox, K());
   }
-  
+
 } // namespace internal
 } // namespace Intersections
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Bbox_3_Segment_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Bbox_3_Segment_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Bbox_3_Segment_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Bbox_3_Segment_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Bbox_3_Segment_3_do_intersect.h $
-// $Id: Bbox_3_Segment_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Bbox_3_Segment_3_do_intersect.h $
+// $Id: Bbox_3_Segment_3_do_intersect.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -33,17 +33,17 @@
 // source of the segment, and for t=1 that is its target), where the line
 // intersects the three slabs of the bounding box.
 
-// For a segment, the intersection is non-empty iff 
+// For a segment, the intersection is non-empty iff
 //    [t1, t2] intersects [0, 1].
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
 
   template <typename FT, bool bounded_0, bool use_static_filters = false>
-  struct Do_intersect_bbox_segment_aux_is_greater 
+  struct Do_intersect_bbox_segment_aux_is_greater
   {
     typedef typename Same_uncertainty<bool, FT>::type result_type;
 
@@ -116,7 +116,7 @@ namespace internal {
   }; // end specialization Do_intersect_bbox_segment_aux_is_greater<FT, true>
 
 
-  
+
   template <typename FT,
             typename BFT,
             bool bounded_0,
@@ -400,7 +400,7 @@ namespace internal {
     return true;
   }
 
-  
+
   template <typename FT,
             bool bounded_0,
             bool bounded_1,
@@ -426,7 +426,7 @@ namespace internal {
 
 
 
-  
+
   template <class K>
   bool do_intersect(const typename K::Segment_3& segment,
     const CGAL::Bbox_3& bbox,
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Bbox_3_Sphere_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Bbox_3_Sphere_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Bbox_3_Sphere_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Bbox_3_Sphere_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Bbox_3_Sphere_3_do_intersect.h $
-// $Id: Bbox_3_Sphere_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Bbox_3_Sphere_3_do_intersect.h $
+// $Id: Bbox_3_Sphere_3_do_intersect.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -21,7 +21,7 @@
 
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -35,59 +35,59 @@ namespace internal {
         typedef typename K::Point_3 Point;
         FT d = FT(0);
         FT distance = FT(0);
-		Point center = sphere.center();
+                Point center = sphere.center();
 
-		if(center.x() < (FT)bbox.xmin())
-		{
-			d = (FT)bbox.xmin() - center.x();
-			distance += d * d;
-		}
-		else if(center.x() > (FT)bbox.xmax())
-		{
-			d = center.x() - (FT)bbox.xmax();
-			distance += d * d;
-		}
-
-		if(center.y() < (FT)bbox.ymin())
-		{
-			d = (FT)bbox.ymin() - center.y();
-			distance += d * d;
-		}
-		else if(center.y() > (FT)bbox.ymax())
-		{
-			d = center.y() - (FT)bbox.ymax();
-			distance += d * d;
-		}
-
-		if(center.z() < (FT)bbox.zmin())
-		{
-			d = (FT)bbox.zmin() - center.z();
-			distance += d * d;
-		}
-		else if(center.z() > (FT)bbox.zmax())
-		{
-			d = center.z() - (FT)bbox.zmax();
-			distance += d * d;
-		}
-
-		// For unknown reason this causes a syntax error on VC2005
-		// but compiles fine on Linux and MAC
-		//int i;
-		//for(i = 0; i < 3; ++i)
-		//{
-		//	if(center[i] < (FT)bbox.min(i))
-		//	{
-		//		d = (FT)bbox.min(i) - center[i];
-		//		distance += d * d;
-		//	}
-		//	else if(center[i] > (FT)bbox.max(i))
-		//	{
-		//		d = center[i] - (FT)bbox.max(i);
-		//		distance += d * d;
-		//	}
-		//}
+                if(center.x() < (FT)bbox.xmin())
+                {
+                        d = (FT)bbox.xmin() - center.x();
+                        distance += d * d;
+                }
+                else if(center.x() > (FT)bbox.xmax())
+                {
+                        d = center.x() - (FT)bbox.xmax();
+                        distance += d * d;
+                }
+
+                if(center.y() < (FT)bbox.ymin())
+                {
+                        d = (FT)bbox.ymin() - center.y();
+                        distance += d * d;
+                }
+                else if(center.y() > (FT)bbox.ymax())
+                {
+                        d = center.y() - (FT)bbox.ymax();
+                        distance += d * d;
+                }
+
+                if(center.z() < (FT)bbox.zmin())
+                {
+                        d = (FT)bbox.zmin() - center.z();
+                        distance += d * d;
+                }
+                else if(center.z() > (FT)bbox.zmax())
+                {
+                        d = center.z() - (FT)bbox.zmax();
+                        distance += d * d;
+                }
+
+                // For unknown reason this causes a syntax error on VC2005
+                // but compiles fine on Linux and MAC
+                //int i;
+                //for(i = 0; i < 3; ++i)
+                //{
+                //        if(center[i] < (FT)bbox.min(i))
+                //        {
+                //                d = (FT)bbox.min(i) - center[i];
+                //                distance += d * d;
+                //        }
+                //        else if(center[i] > (FT)bbox.max(i))
+                //        {
+                //                d = center[i] - (FT)bbox.max(i);
+                //                distance += d * d;
+                //        }
+                //}
 
-		return distance <= sphere.squared_radius();
+                return distance <= sphere.squared_radius();
     }
 
     template <class K>
@@ -98,15 +98,15 @@ namespace internal {
       return do_intersect_sphere_box_3(sphere, bbox, K());
     }
 
-  
+
     template <class K>
     bool do_intersect(const typename K::Sphere_3& sphere,
                       const CGAL::Bbox_3& bbox,
                       const K&)
     {
-          return do_intersect_sphere_box_3(sphere, bbox, K());  
+          return do_intersect_sphere_box_3(sphere, bbox, K());
     }
-  
+
     template <class K>
     bool do_intersect(const typename K::Iso_cuboid_3& bbox,
                       const typename K::Sphere_3& sphere,
@@ -115,13 +115,13 @@ namespace internal {
       return do_intersect_sphere_box_3(sphere, bbox, K());
     }
 
-  
+
     template <class K>
     bool do_intersect(const typename K::Sphere_3& sphere,
                       const typename K::Iso_cuboid_3& bbox,
                       const K&)
     {
-          return do_intersect_sphere_box_3(sphere, bbox, K());  
+          return do_intersect_sphere_box_3(sphere, bbox, K());
     }
 
 } // namespace internal
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Bbox_3_Triangle_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Bbox_3_Triangle_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Bbox_3_Triangle_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Bbox_3_Triangle_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Bbox_3_Triangle_3_do_intersect.h $
-// $Id: Bbox_3_Triangle_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Bbox_3_Triangle_3_do_intersect.h $
+// $Id: Bbox_3_Triangle_3_do_intersect.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -27,7 +27,7 @@
 #include <CGAL/Intersections_3/internal/Bbox_3_Plane_3_do_intersect.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
 
 namespace internal {
@@ -173,7 +173,7 @@ namespace internal {
       if ( certainly(side[2]==0) )        return 1;
     }
     else{
-        if ( certainly(side[1]==0) && 
+        if ( certainly(side[1]==0) &&
             certainly(side[2]==0) )       return 0;
     }
     return -1;
@@ -203,7 +203,7 @@ namespace internal {
         return b;
       if(b) std::swap(j,k);
       return CGAL_AND((do_axis_intersect_aux<K,AXE,SIDE>(p_min.y()-j->y(), p_min.z()-j->z(), sides) <= 0),
-                      (do_axis_intersect_aux<K,AXE,SIDE>(p_max.y()-k->y(), p_max.z()-k->z(), sides) >= 0) );      
+                      (do_axis_intersect_aux<K,AXE,SIDE>(p_max.y()-k->y(), p_max.z()-k->z(), sides) >= 0) );
     }
     case 1: {
       // t_max >= t_min
@@ -246,7 +246,7 @@ namespace internal {
     typename K::Vector_3 sides[3];
     sides[0] = a_triangle[1] - a_triangle[0];
     sides[1] = a_triangle[2] - a_triangle[1];
-    sides[2] = a_triangle[0] - a_triangle[2];    
+    sides[2] = a_triangle[0] - a_triangle[2];
     int forbidden_axis=-1;
     int forbidden_size=-1;
     //determine whether one vector is collinear with an axis
@@ -266,29 +266,29 @@ namespace internal {
         if ( tmp!= -1){
           forbidden_axis=tmp;
           forbidden_size=2;
-        }        
+        }
       }
     }
-    
+
 #if 0
     typename K::Point_3 p(a_bbox.xmin(), a_bbox.ymin(), a_bbox.zmin());
     typename K::Point_3 q(a_bbox.xmax(), a_bbox.ymax(), a_bbox.zmax());
-    
+
     typename K::Point_3 m = CGAL::midpoint(p,q);
     typename K::Vector_3 v = m - CGAL::ORIGIN;
-    
+
     typename K::Triangle_3 triangle(a_triangle[0]-v, a_triangle[1]-v, a_triangle[2]-v);
-  
+
     Box3 bbox( (p-v).bbox() + (q-v).bbox());
 
-#else 
+#else
     const typename K::Triangle_3&  triangle = a_triangle;
     const Box3& bbox = a_bbox;
-#endif    
-    
+#endif
+
     // Create a "certainly true"
     Uncertain<bool> ind_or_true = make_uncertain(true);
-    
+
     if (forbidden_axis!=0){
       if (forbidden_size!=0){
         Uncertain<bool> b = do_axis_intersect<K,Box3,0,0>(triangle, sides, bbox);
@@ -315,7 +315,7 @@ namespace internal {
         }
       }
     }
-    
+
     if (forbidden_axis!=1){
       if (forbidden_size!=0){
         Uncertain<bool> b = do_axis_intersect<K,Box3,1,0>(triangle, sides, bbox);
@@ -342,7 +342,7 @@ namespace internal {
         }
       }
     }
-    
+
     if (forbidden_axis!=2){
       if (forbidden_size!=0){
         Uncertain<bool> b = do_axis_intersect<K,Box3,2,0>(triangle, sides, bbox);
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/bbox_intersection_3.h 5.0.3-1/include/CGAL/Intersections_3/internal/bbox_intersection_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/bbox_intersection_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/bbox_intersection_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/bbox_intersection_3.h $
-// $Id: bbox_intersection_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/bbox_intersection_3.h $
+// $Id: bbox_intersection_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman <geert@cs.uu.nl>
 
@@ -26,29 +26,29 @@ namespace CGAL {
 namespace Intersections {
 
   namespace internal {
-// This function intersects a bbox with a ray, line or segment 
+// This function intersects a bbox with a ray, line or segment
 // Its essentially a copy of the function that was in Bbox_3_intersections.cpp
-// But it must be a template function since the original kernel must be 
+// But it must be a template function since the original kernel must be
 // taken into account. (Michael.Hemmer@sophia.inria.fr)
-template <class K> 
-typename boost::optional< boost::variant< 
-                            typename K::Segment_3, 
+template <class K>
+typename boost::optional< boost::variant<
+                            typename K::Segment_3,
                             typename K::Point_3 > >
 intersection_bl(const Bbox_3 &box,
         double lpx, double lpy, double lpz,
         double ldx, double ldy, double ldz,
         bool min_infinite, bool max_infinite)
 {
-  typedef 
-    typename 
-    boost::optional< 
-      boost::variant< typename K::Segment_3, 
+  typedef
+    typename
+    boost::optional<
+      boost::variant< typename K::Segment_3,
                       typename K::Point_3 > >
     result_type;
 
   double seg_min = 0.0, seg_max = 1.0;
   // first on x value
-  if (ldx == 0.0) { 
+  if (ldx == 0.0) {
     if (lpx < box.xmin())
       return result_type();
     if (lpx > box.xmax())
@@ -150,16 +150,16 @@ intersection_bl(const Bbox_3 &box,
   }
 
   typedef typename K::FT FT;
-  typedef typename K::Point_3 Point_3;   
-  typedef typename K::Vector_3  Vector_3; 
-  typedef typename K::Segment_3 Segment_3; 
-  
+  typedef typename K::Point_3 Point_3;
+  typedef typename K::Vector_3  Vector_3;
+  typedef typename K::Segment_3 Segment_3;
+
   Point_3 ref_point = Point_3( FT(lpx), FT(lpy), FT(lpz));
   Vector_3 dir = Vector_3( FT(ldx), FT(ldy), FT(ldz));
-  
+
   if (seg_max == seg_min) {
     return result_type(ref_point + dir * FT(seg_max));
-  } 
+  }
   return result_type(
       Segment_3(ref_point + dir*FT(seg_min), ref_point + dir*FT(seg_max)));
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/intersection_3_1_impl.h 5.0.3-1/include/CGAL/Intersections_3/internal/intersection_3_1_impl.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/intersection_3_1_impl.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/intersection_3_1_impl.h	2020-08-01 19:02:24.000000000 +0000
@@ -7,10 +7,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/intersection_3_1_impl.h $
-// $Id: intersection_3_1_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/intersection_3_1_impl.h $
+// $Id: intersection_3_1_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman <geert@cs.uu.nl>
 //                 Sebastien Loriot <Sebastien.Loriot@geometryfactory.com>
@@ -55,7 +55,7 @@ namespace CGAL {
 
 // the special plane_3 function
 template <class K>
-inline 
+inline
 typename cpp11::result_of<typename K::Intersect_3(typename K::Plane_3, typename K::Plane_3, typename K::Plane_3)>::type
 intersection(const Plane_3<K> &plane1, const Plane_3<K> &plane2,
              const Plane_3<K> &plane3)
@@ -80,9 +80,9 @@ namespace internal {
 
 template <class K>
 typename Intersection_traits<K, typename K::Plane_3, typename K::Line_3>::result_type
-intersection(const typename K::Plane_3  &plane, 
-	     const typename K::Line_3 &line, 
-	     const K& /*k*/)
+intersection(const typename K::Plane_3  &plane,
+             const typename K::Line_3 &line,
+             const K& /*k*/)
 {
     typedef typename K::Point_3 Point_3;
     typedef typename K::Direction_3 Direction_3;
@@ -114,18 +114,18 @@ intersection(const typename K::Plane_3
 template <class K>
 inline
 typename Intersection_traits<K, typename K::Plane_3, typename K::Line_3>::result_type
-intersection(const typename K::Line_3 &line, 
-	     const typename K::Plane_3  &plane, 
-	     const K& k)
+intersection(const typename K::Line_3 &line,
+             const typename K::Plane_3  &plane,
+             const K& k)
 {
   return intersection(plane, line, k);
 }
 
 template <class K>
 typename Intersection_traits<K, typename K::Plane_3, typename K::Plane_3>::result_type
-intersection(const typename K::Plane_3 &plane1, 
-	     const typename K::Plane_3 &plane2, 
-	     const K&)
+intersection(const typename K::Plane_3 &plane1,
+             const typename K::Plane_3 &plane2,
+             const K&)
 {
   typedef typename K::Point_3 Point_3;
   typedef typename K::Direction_3 Direction_3;
@@ -186,15 +186,15 @@ boost::optional< boost::variant<typename
                                 typename K::Line_3,
                                 typename K::Plane_3> >
 intersection(const typename K::Plane_3 &plane1,
-	     const typename K::Plane_3 &plane2,
-	     const typename K::Plane_3 &plane3,
-	     const K& k)
+             const typename K::Plane_3 &plane2,
+             const typename K::Plane_3 &plane3,
+             const K& k)
 {
-    typedef 
-      typename boost::optional< 
+    typedef
+      typename boost::optional<
       boost::variant<typename K::Point_3,
                      typename K::Line_3,
-                     typename K::Plane_3> > 
+                     typename K::Plane_3> >
     result_type;
 
     typedef typename K::Point_3      Point_3;
@@ -205,11 +205,11 @@ intersection(const typename K::Plane_3 &
     // a line, a plane, or empty.
     typename Intersection_traits<K, Plane_3, Plane_3>::result_type
       o12 = internal::intersection(plane1, plane2, k);
-    
+
     if(o12) {
       if(const Line_3* l = intersect_get<Line_3>(o12)) {
         // either point or line
-        typename Intersection_traits<K, Plane_3, Line_3>::result_type 
+        typename Intersection_traits<K, Plane_3, Line_3>::result_type
           v = internal::intersection(plane3, *l, k);
         if(v) {
           if(const Point_3* p = intersect_get<Point_3>(v))
@@ -219,7 +219,7 @@ intersection(const typename K::Plane_3 &
         }
       } else if(const Plane_3 *pl = intersect_get<Plane_3>(o12)) {
         // either line or plane
-        typename Intersection_traits<K, Plane_3, Plane_3>::result_type 
+        typename Intersection_traits<K, Plane_3, Plane_3>::result_type
           v = internal::intersection(plane3, *pl, k);
         if(v) {
           if(const Plane_3* p = intersect_get<Plane_3>(v))
@@ -229,16 +229,16 @@ intersection(const typename K::Plane_3 &
         }
       }
     }
-    
+
     return result_type();
 }
 
 
 template <class K>
 bool
-do_intersect(const typename K::Plane_3 &plane, 
-	     const typename K::Line_3 &line,
-	     const K&)
+do_intersect(const typename K::Plane_3 &plane,
+             const typename K::Line_3 &line,
+             const K&)
 {
     typedef typename K::Point_3 Point_3;
     typedef typename K::Direction_3 Direction_3;
@@ -264,9 +264,9 @@ do_intersect(const typename K::Plane_3 &
 template <class K>
 inline
 bool
-do_intersect(const typename K::Line_3 &line, 
-	     const typename K::Plane_3 &plane, 
-	     const K& k)
+do_intersect(const typename K::Line_3 &line,
+             const typename K::Plane_3 &plane,
+             const K& k)
 {
   return do_intersect(plane, line, k);
 }
@@ -274,8 +274,8 @@ do_intersect(const typename K::Line_3 &l
 template <class K>
 typename Intersection_traits<K, typename K::Line_3, typename K::Line_3>::result_type
 intersection(const typename K::Line_3 &l1,
-	     const typename K::Line_3 &l2,
-	     const K&)
+             const typename K::Line_3 &l2,
+             const K&)
 {
   typedef typename K::FT           FT;
   typedef typename K::Point_3      Point_3;
@@ -289,7 +289,7 @@ intersection(const typename K::Line_3 &l
        (v1.y() * v2.z() == v1.z() * v2.y()))
       return intersection_return<typename K::Intersect_3, typename K::Line_3, typename K::Line_3>(l1);
   }
-  
+
   if(K().are_parallel_3_object()(l1,l2)) return intersection_return<typename K::Intersect_3, typename K::Line_3, typename K::Line_3>();
   const Point_3 &p1 = l1.point();
   const Point_3 &p3 = l2.point();
@@ -312,8 +312,8 @@ intersection(const typename K::Line_3 &l
 template <class K>
 bool
 do_intersect(const typename K::Line_3 &l1,
-	     const typename K::Line_3 &l2,
-	     const K&)
+             const typename K::Line_3 &l2,
+             const K&)
 {
   typedef typename K::Point_3      Point_3;
   typedef typename K::Vector_3     Vector_3;
@@ -339,7 +339,7 @@ intersection_collinear_segments(const ty
 
   const typename K::Point_3& p=s1[0],q=s1[1],r=s2[0],s=s2[1];
   typename K::Collinear_are_ordered_along_line_3 cln_order=k.collinear_are_ordered_along_line_3_object();
-  
+
   if ( cln_order(p,r,q) ){
     if ( cln_order(p,s,q) )
       return intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Segment_3>(s2);
@@ -348,33 +348,33 @@ intersection_collinear_segments(const ty
       if ( cln_order(r,q,s) ) return intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Segment_3>(s1);
       return intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Segment_3>(p);
     }
-    return r!=q ? intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Segment_3>( typename K::Segment_3(r,q) ) 
+    return r!=q ? intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Segment_3>( typename K::Segment_3(r,q) )
       : intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Segment_3>(q);
   }
 
   if ( cln_order(p,s,q) ){
     if ( cln_order(r,p,s) ){
       if (s!=p) return intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Segment_3>( typename K::Segment_3(s,p) );
-      if (cln_order(r,q,s)) return intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Segment_3>(s1);  
+      if (cln_order(r,q,s)) return intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Segment_3>(s1);
       return intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Segment_3>(p);
     }
-   return s!=q ? intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Segment_3>( typename K::Segment_3(s,q) ) 
+   return s!=q ? intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Segment_3>( typename K::Segment_3(s,q) )
      : intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Segment_3>(q);
   }
-  
+
   if ( cln_order(r,p,s) )
-    return intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Segment_3>(s1); 
+    return intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Segment_3>(s1);
   return intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Segment_3>();
 }
 
 template<class K>
-struct L_p_visitor : public boost::static_visitor< 
-  typename Intersection_traits<K, typename K::Segment_3, 
+struct L_p_visitor : public boost::static_visitor<
+  typename Intersection_traits<K, typename K::Segment_3,
                                typename K::Segment_3>::result_type
-  > 
+  >
 {
 
-  typedef typename Intersection_traits<K, typename K::Segment_3, 
+  typedef typename Intersection_traits<K, typename K::Segment_3,
                                          typename K::Segment_3>::result_type result_type;
   L_p_visitor(const typename K::Segment_3& s1, const typename K::Segment_3& s2) :
     s1(s1), s2(s2) { }
@@ -399,12 +399,12 @@ struct L_p_visitor : public boost::stati
 template <class K>
 typename Intersection_traits<K, typename K::Segment_3, typename K::Segment_3>::result_type
 intersection(const typename K::Segment_3 &s1,
-	     const typename K::Segment_3 &s2,
-	     const K&)
+             const typename K::Segment_3 &s2,
+             const K&)
 {
   CGAL_precondition(! s1.is_degenerate () && ! s2.is_degenerate () );
 
-  typename Intersection_traits<K, typename K::Line_3, typename K::Line_3>::result_type 
+  typename Intersection_traits<K, typename K::Line_3, typename K::Line_3>::result_type
     v = internal::intersection(s1.supporting_line(),s2.supporting_line(), K());
 
   if(v) {
@@ -428,16 +428,16 @@ do_intersect(const typename K::Segment_3
     typename K::Coplanar_orientation_3 cpl_orient=k.coplanar_orientation_3_object();
     ::CGAL::Orientation or1 =  cpl_orient(s1[0],s1[1],s2[0]);
     ::CGAL::Orientation or2 =  cpl_orient(s1[0],s1[1],s2[1]);
-    
+
     if ( or1 == COLLINEAR && or2 ==COLLINEAR )
     {
       //segments are collinear
       typename K::Collinear_are_ordered_along_line_3 cln_order=k.collinear_are_ordered_along_line_3_object();
-      return cln_order(s1[0],s2[0],s1[1]) || 
+      return cln_order(s1[0],s2[0],s1[1]) ||
              cln_order(s1[0],s2[1],s1[1]) ||
              cln_order(s2[0],s1[0],s2[1]) ;
     }
-    
+
     if ( or1 != or2 ){
       or1=cpl_orient(s2[0],s2[1],s1[0]);
       return (or1 == COLLINEAR || or1 != cpl_orient(s2[0],s2[1],s1[1]));
@@ -449,32 +449,32 @@ do_intersect(const typename K::Segment_3
 template <class K>
 typename Intersection_traits<K, typename K::Line_3, typename K::Segment_3>::result_type
 intersection(const typename K::Line_3 &l,
-	     const typename K::Segment_3 &s,
-	     const K& k)
+             const typename K::Segment_3 &s,
+             const K& k)
 {
   CGAL_precondition(! l.is_degenerate () && ! s.is_degenerate () );
-  
-  typename Intersection_traits<K, typename K::Line_3, typename K::Line_3>::result_type 
+
+  typename Intersection_traits<K, typename K::Line_3, typename K::Line_3>::result_type
     v = internal::intersection(l,s.supporting_line(), K());
 
   if(v) {
     if(const typename K::Point_3* p = intersect_get<typename K::Point_3> (v)) {
     typename K::Collinear_are_ordered_along_line_3 cln_order=k.collinear_are_ordered_along_line_3_object();
-      if(cln_order(s[0],*p,s[1])) 
+      if(cln_order(s[0],*p,s[1]))
         return intersection_return<typename K::Intersect_3, typename K::Line_3, typename K::Segment_3>(*p);
     } else {
       return intersection_return<typename K::Intersect_3, typename K::Line_3, typename K::Segment_3>(s);
   }
   }
-  
+
   return intersection_return<typename K::Intersect_3, typename K::Line_3, typename K::Segment_3>();
 }
 
 template <class K>
 typename Intersection_traits<K, typename K::Line_3, typename K::Segment_3>::result_type
 intersection(const typename K::Segment_3 &s,
-	     const typename K::Line_3 &l,
-	     const K& k)
+             const typename K::Line_3 &l,
+             const K& k)
 {
   return intersection(l,s,k);
 }
@@ -495,9 +495,9 @@ do_intersect(const typename K::Line_3  &
     typename K::Point_3 p1=l.point(0);
     typename K::Point_3 p2=l.point(1);
     ::CGAL::Orientation or1 =  cpl_orient(p1,p2,s[0]);
-       
+
     if ( or1 == COLLINEAR ) return true;
-    
+
     ::CGAL::Orientation or2 =  cpl_orient(p1,p2,s[1]);
     return or1!=or2;
   }
@@ -518,8 +518,8 @@ template <class K>
 bool
 Ray_3_has_on_collinear_Point_3(
             const typename K::Ray_3 &r,
-	    const typename K::Point_3 &p,
-	    const K& k)
+            const typename K::Point_3 &p,
+            const K& k)
 {
   return
       k.equal_3_object()(r.source(),p)
@@ -533,17 +533,17 @@ Ray_3_has_on_collinear_Point_3(
 template <class K>
 typename Intersection_traits<K, typename K::Line_3, typename K::Ray_3>::result_type
 intersection(const typename K::Line_3 &l,
-	     const typename K::Ray_3 &r,
-	     const K& k)
+             const typename K::Ray_3 &r,
+             const K& k)
 {
   CGAL_precondition(! l.is_degenerate () && ! r.is_degenerate () );
 
-  typename Intersection_traits<K, typename K::Line_3, typename K::Line_3>::result_type 
+  typename Intersection_traits<K, typename K::Line_3, typename K::Line_3>::result_type
     v = internal::intersection(l,r.supporting_line(), k);
-  
+
   if(v) {
     if(const typename K::Point_3* p = intersect_get<typename K::Point_3>(v)) {
-      if( Ray_3_has_on_collinear_Point_3(r,*p,k) ) 
+      if( Ray_3_has_on_collinear_Point_3(r,*p,k) )
         return intersection_return<typename K::Intersect_3, typename K::Line_3, typename K::Ray_3>(*p);
     } else if(intersect_get<typename K::Line_3>(v)) {
       return intersection_return<typename K::Intersect_3, typename K::Line_3, typename K::Ray_3>(r);
@@ -555,8 +555,8 @@ intersection(const typename K::Line_3 &l
 template <class K>
 typename Intersection_traits<K, typename K::Ray_3, typename K::Line_3>::result_type
 intersection(const typename K::Ray_3 &r,
-	     const typename K::Line_3 &l,
-	     const K& k)
+             const typename K::Line_3 &l,
+             const K& k)
 {
   return intersection(l,r,k);
 }
@@ -592,17 +592,17 @@ do_intersect(const typename K::Ray_3  &r
 template <class K>
 typename Intersection_traits<K, typename K::Segment_3, typename K::Ray_3>::result_type
 intersection(const typename K::Segment_3 &s,
-	     const typename K::Ray_3 &r,
-	     const K& k)
+             const typename K::Ray_3 &r,
+             const K& k)
 {
   CGAL_precondition(! s.is_degenerate () && ! r.is_degenerate () );
 
-  typename Intersection_traits<K, typename K::Line_3, typename K::Segment_3>::result_type 
+  typename Intersection_traits<K, typename K::Line_3, typename K::Segment_3>::result_type
     v = internal::intersection(r.supporting_line(),s, K());
 
   if(v) {
     if(const typename K::Point_3* p = intersect_get<typename K::Point_3>(v)) {
-      if( Ray_3_has_on_collinear_Point_3(r,*p,k) ) 
+      if( Ray_3_has_on_collinear_Point_3(r,*p,k) )
         return intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Ray_3>(*p);
     } else if(const typename K::Segment_3* s2 = intersect_get<typename K::Segment_3>(v)) {
       bool has_source=Ray_3_has_on_collinear_Point_3(r,s.source(),k);
@@ -622,7 +622,7 @@ intersection(const typename K::Segment_3
       else{
         if (has_target){
           if (k.equal_3_object() (r.source(),s.target()))
-            return intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Ray_3>(r.source());          
+            return intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Ray_3>(r.source());
           else
             return intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Ray_3>(
               k.construct_segment_3_object()(r.source(),s.target()));
@@ -637,8 +637,8 @@ intersection(const typename K::Segment_3
 template <class K>
 typename Intersection_traits<K, typename K::Ray_3, typename K::Segment_3>::result_type
 intersection(const typename K::Ray_3 &r,
-	     const typename K::Segment_3 &s,
-	     const K& k)
+             const typename K::Segment_3 &s,
+             const K& k)
 {
   return intersection(s,r,k);
 }
@@ -680,17 +680,17 @@ do_intersect(const typename K::Ray_3  &r
 template <class K>
 typename Intersection_traits<K, typename K::Ray_3, typename K::Ray_3>::result_type
 intersection(const typename K::Ray_3 &r1,
-	     const typename K::Ray_3 &r2,
-	     const K& k)
+             const typename K::Ray_3 &r2,
+             const K& k)
 {
   CGAL_precondition(! r1.is_degenerate () && ! r2.is_degenerate () );
 
-  typename Intersection_traits<K, typename K::Line_3, typename K::Ray_3>::result_type 
+  typename Intersection_traits<K, typename K::Line_3, typename K::Ray_3>::result_type
     v = internal::intersection(r1.supporting_line(),r2, k);
 
   if(v) {
     if(const typename K::Point_3* p = intersect_get<typename K::Point_3>(v)) {
-      if(Ray_3_has_on_collinear_Point_3(r1,*p,k)) 
+      if(Ray_3_has_on_collinear_Point_3(r1,*p,k))
         return intersection_return<typename K::Intersect_3, typename K::Ray_3, typename K::Ray_3>(*p);
     } else if(const typename K::Ray_3* r = intersect_get<typename K::Ray_3>(v)) {
       bool r1_has_s2=Ray_3_has_on_collinear_Point_3(r1,r2.source(),k);
@@ -702,7 +702,7 @@ intersection(const typename K::Ray_3 &r1
             return intersection_return<typename K::Intersect_3, typename K::Ray_3, typename K::Ray_3>(r1.source());
           else {
             return intersection_return<typename K::Intersect_3, typename K::Ray_3, typename K::Ray_3>(
-              k.construct_segment_3_object()(r1.source(),r2.source()));          
+              k.construct_segment_3_object()(r1.source(),r2.source()));
           }
         }
         else
@@ -730,9 +730,9 @@ do_intersect(const typename K::Ray_3  &r
   typename K::Coplanar_orientation_3 pred=k.coplanar_orientation_3_object();
   Orientation p0p1s=pred(r1.point(0),r1.point(1),r2.source());
   Orientation stp0 =pred(r2.source(),r2.second_point(),r1.point(0));
-  
+
   if ( p0p1s == COLLINEAR){
-    if(stp0 == COLLINEAR ) 
+    if(stp0 == COLLINEAR )
       return  Ray_3_has_on_collinear_Point_3(r2,r1.source(),k) ||
               Ray_3_has_on_collinear_Point_3(r1,r2.source(),k);
     else
@@ -752,8 +752,8 @@ intersection(const typename K::Plane_3 &
   typedef typename K::Circle_3 Circle_3;
   typedef typename K::Point_3 Point_3;
   typedef typename K::FT FT;
-  const FT d2 = CGAL::square(p.a()*s.center().x() + 
-                             p.b()*s.center().y() + 
+  const FT d2 = CGAL::square(p.a()*s.center().x() +
+                             p.b()*s.center().y() +
                              p.c()*s.center().z() + p.d()) /
       (square(p.a()) + square(p.b()) + square(p.c()));
   const FT cmp = d2 - s.squared_radius();
@@ -774,8 +774,8 @@ do_intersect(const typename K::Plane_3 &
              const K&)
 {
   typedef typename K::FT FT;
-  const FT d2 = CGAL::square(p.a()*s.center().x() + 
-                             p.b()*s.center().y() + 
+  const FT d2 = CGAL::square(p.a()*s.center().x() +
+                             p.b()*s.center().y() +
                              p.c()*s.center().z() + p.d()) /
       (square(p.a()) + square(p.b()) + square(p.c()));
   return d2 <= s.squared_radius();
@@ -817,9 +817,9 @@ intersection(const typename K::Sphere_3
     } else return intersection_return<typename K::Intersect_3, typename K::Sphere_3, typename K::Sphere_3>();  // cocentrics
   }
   Plane_3 p = K().construct_radical_plane_3_object()(s1,s2);
-  
-  
-  typename Intersection_traits<K, typename K::Sphere_3, typename K::Plane_3>::result_type 
+
+
+  typename Intersection_traits<K, typename K::Sphere_3, typename K::Plane_3>::result_type
     v = intersection(p, s1, k);
 
 
@@ -850,13 +850,13 @@ do_intersect(const typename K::Sphere_3
 
 template <class K>
 typename Intersection_traits<K, typename K::Plane_3, typename K::Ray_3>::result_type
-intersection(const typename K::Plane_3 &plane, 
-	     const typename K::Ray_3 &ray, 
-	     const K& k)
+intersection(const typename K::Plane_3 &plane,
+             const typename K::Ray_3 &ray,
+             const K& k)
 {
     typedef typename K::Point_3 Point_3;
 
-    typename Intersection_traits<K, typename K::Plane_3, typename K::Line_3>::result_type 
+    typename Intersection_traits<K, typename K::Plane_3, typename K::Line_3>::result_type
       v = internal::intersection(plane, ray.supporting_line(), k);
 
     if(v) {
@@ -877,9 +877,9 @@ intersection(const typename K::Plane_3 &
 template <class K>
 inline
 typename Intersection_traits<K, typename K::Ray_3, typename K::Plane_3>::result_type
-intersection(const typename K::Ray_3 &ray, 
-	     const typename K::Plane_3 &plane, 
-	     const K& k)
+intersection(const typename K::Ray_3 &ray,
+             const typename K::Plane_3 &plane,
+             const K& k)
 {
   return intersection(plane, ray, k);
 }
@@ -888,21 +888,21 @@ intersection(const typename K::Ray_3 &ra
 
 template <class K>
 bool
-do_intersect(const typename K::Plane_3 &plane, 
-	     const typename K::Ray_3 &ray, 
-	     const K& k)
+do_intersect(const typename K::Plane_3 &plane,
+             const typename K::Ray_3 &ray,
+             const K& k)
 {
     typedef typename K::Point_3 Point_3;
-    
+
     typename Intersection_traits<K, typename K::Plane_3, typename K::Line_3>
-      ::result_type 
+      ::result_type
       line_intersection = internal::intersection(plane, ray.supporting_line(), k);
 
     if(!line_intersection)
         return false;
     if(const Point_3 *isp = intersect_get<Point_3>(line_intersection))
         return ray.collinear_has_on(*isp);
-    
+
     return true;
 }
 
@@ -910,9 +910,9 @@ do_intersect(const typename K::Plane_3 &
 template <class K>
 inline
 bool
-do_intersect(const typename K::Ray_3 &ray, 
-	     const typename K::Plane_3 &plane, 
-	     const K& k)
+do_intersect(const typename K::Ray_3 &ray,
+             const typename K::Plane_3 &plane,
+             const K& k)
 {
   return do_intersect(plane, ray, k);
 }
@@ -920,9 +920,9 @@ do_intersect(const typename K::Ray_3 &ra
 
 template <class K>
 typename Intersection_traits<K, typename K::Plane_3, typename K::Segment_3>::result_type
-intersection(const typename K::Plane_3 &plane, 
-	     const typename K::Segment_3 &seg, 
-	     const K& k)
+intersection(const typename K::Plane_3 &plane,
+             const typename K::Segment_3 &seg,
+             const K& k)
 {
     typedef typename K::Point_3 Point_3;
     const Point_3 &source = seg.source();
@@ -944,8 +944,8 @@ intersection(const typename K::Plane_3 &
         case ON_POSITIVE_SIDE:
             return intersection_return<typename K::Intersect_3, typename K::Plane_3, typename K::Segment_3>();
         default: // ON_NEGATIVE_SIDE:
-          { 
-            // intersection object should be a point, but rounding errors 
+          {
+            // intersection object should be a point, but rounding errors
             // could lead to:
             // - a line: in such case, return seg,
             // - the empty set: return the empty set.
@@ -966,8 +966,8 @@ intersection(const typename K::Plane_3 &
         case ON_ORIENTED_BOUNDARY:
             return intersection_return<typename K::Intersect_3, typename K::Plane_3, typename K::Segment_3>(target);
         case ON_POSITIVE_SIDE:
-          { 
-            // intersection object should be a point, but rounding errors 
+          {
+            // intersection object should be a point, but rounding errors
             // could lead to:
             // - a line: in such case, return seg,
             // - the empty set: return the empty set.
@@ -994,9 +994,9 @@ intersection(const typename K::Plane_3 &
 template <class K>
 inline
 typename Intersection_traits<K, typename K::Segment_3, typename K::Plane_3>::result_type
-intersection(const typename K::Segment_3 &seg, 
-	     const typename K::Plane_3 &plane, 
-	     const K& k)
+intersection(const typename K::Segment_3 &seg,
+             const typename K::Plane_3 &plane,
+             const K& k)
 {
   return intersection(plane, seg, k);
 }
@@ -1004,9 +1004,9 @@ intersection(const typename K::Segment_3
 
 template <class K>
 bool
-do_intersect(const typename K::Plane_3  &plane, 
-	     const typename K::Segment_3 &seg, 
-	     const K&)
+do_intersect(const typename K::Plane_3  &plane,
+             const typename K::Segment_3 &seg,
+             const K&)
 {
     typedef typename K::Point_3 Point_3;
     const Point_3 &source = seg.source();
@@ -1026,9 +1026,9 @@ do_intersect(const typename K::Plane_3
 template <class K>
 inline
 bool
-do_intersect(const typename K::Segment_3 &seg, 
-	     const typename K::Plane_3  &plane, 
-	     const K& k)
+do_intersect(const typename K::Segment_3 &seg,
+             const typename K::Plane_3  &plane,
+             const K& k)
 {
   return do_intersect(plane, seg, k);
 }
@@ -1036,26 +1036,26 @@ do_intersect(const typename K::Segment_3
 template <class K>
 inline
 typename Intersection_traits<K, typename K::Plane_3, typename K::Triangle_3>::result_type
-intersection(const typename K::Plane_3 &plane, 
-	     const typename K::Triangle_3 &tri, 
-	     const K& k)
+intersection(const typename K::Plane_3 &plane,
+             const typename K::Triangle_3 &tri,
+             const K& k)
 {
-  typedef 
-  typename Intersection_traits<K, typename K::Plane_3, typename K::Line_3>::result_type 
+  typedef
+  typename Intersection_traits<K, typename K::Plane_3, typename K::Line_3>::result_type
   pl_res;
 
   typename K::Construct_vertex_3 vertex_on =
     k.construct_vertex_3_object();
-  
+
   Oriented_side or0=plane.oriented_side(vertex_on(tri,0));
   Oriented_side or1=plane.oriented_side(vertex_on(tri,1));
   Oriented_side or2=plane.oriented_side(vertex_on(tri,2));
-  
+
   if (or0==ON_ORIENTED_BOUNDARY){
     if (or1==ON_ORIENTED_BOUNDARY){
-      if (or2==ON_ORIENTED_BOUNDARY) 
+      if (or2==ON_ORIENTED_BOUNDARY)
         return intersection_return<typename K::Intersect_3, typename K::Plane_3, typename K::Triangle_3>(tri);
-      else 
+      else
         return intersection_return<typename K::Intersect_3, typename K::Plane_3, typename K::Triangle_3>(k.construct_segment_3_object()
                                                                                    (tri.vertex(0),tri.vertex(1)));
     }
@@ -1088,10 +1088,10 @@ intersection(const typename K::Plane_3 &
       const typename K::Point_3* p = intersect_get<typename K::Point_3>(v);
       CGAL_kernel_assertion(p!=nullptr);
       return intersection_return<typename K::Intersect_3, typename K::Plane_3, typename K::Triangle_3>(k.construct_segment_3_object()
-                                                                                 (*p,tri.vertex(1)));      
+                                                                                 (*p,tri.vertex(1)));
     }
   }
-  
+
   if (or2==ON_ORIENTED_BOUNDARY){
     if (or1==or0)
       return intersection_return<typename K::Intersect_3, typename K::Plane_3, typename K::Triangle_3>(tri.vertex(2));
@@ -1100,36 +1100,36 @@ intersection(const typename K::Plane_3 &
       const typename K::Point_3* p = intersect_get<typename K::Point_3>(v);
       CGAL_kernel_assertion(p!=nullptr);
       return intersection_return<typename K::Intersect_3, typename K::Plane_3, typename K::Triangle_3>(k.construct_segment_3_object()
-                                                                                 (*p,tri.vertex(2)));      
+                                                                                 (*p,tri.vertex(2)));
     }
   }
-  
+
   //triangle vertices are not in the plane
   std::vector<typename K::Point_3> pts;
   pts.reserve(2);
   if (or0!=or1){
     pl_res v = intersection(plane, k.construct_line_3_object()(tri.vertex(0),tri.vertex(1)), k);
     const typename K::Point_3* pt_ptr = intersect_get<typename K::Point_3>(v);
-    CGAL_kernel_assertion( pt_ptr!=nullptr );    
+    CGAL_kernel_assertion( pt_ptr!=nullptr );
     pts.push_back( *pt_ptr );
   }
   if (or0!=or2){
     pl_res v = intersection(plane, k.construct_line_3_object()(tri.vertex(0),tri.vertex(2)), k);
     const typename K::Point_3* pt_ptr = intersect_get<typename K::Point_3>(v);
-    CGAL_kernel_assertion( pt_ptr!=nullptr );    
-    pts.push_back( *pt_ptr );    
+    CGAL_kernel_assertion( pt_ptr!=nullptr );
+    pts.push_back( *pt_ptr );
   }
   if (or1!=or2){
     pl_res v = intersection(plane, k.construct_line_3_object()(tri.vertex(1),tri.vertex(2)), k);
     const typename K::Point_3* pt_ptr = intersect_get<typename K::Point_3>(v);
-    CGAL_kernel_assertion( pt_ptr!=nullptr );    
+    CGAL_kernel_assertion( pt_ptr!=nullptr );
     pts.push_back( *pt_ptr );
   }
-  
+
   if (pts.empty()) return intersection_return<typename K::Intersect_3, typename K::Plane_3, typename K::Triangle_3>();
-  
+
   CGAL_kernel_assertion(pts.size()==2);
-  
+
   return intersection_return<typename K::Intersect_3, typename K::Plane_3, typename K::Triangle_3>( k.construct_segment_3_object()
                                                                               (*pts.begin(),*boost::prior(pts.end())) );
 }
@@ -1138,8 +1138,8 @@ template <class K>
 inline
 typename Intersection_traits<K, typename K::Triangle_3, typename K::Plane_3>::result_type
 intersection(const typename K::Triangle_3 &triangle,
-	     const typename K::Plane_3  &plane,
-	     const K& k)
+             const typename K::Plane_3  &plane,
+             const K& k)
 {
   return intersection(plane, triangle, k);
 }
@@ -1147,8 +1147,8 @@ intersection(const typename K::Triangle_
 template <class K>
 typename Intersection_traits<K, typename K::Line_3, Bbox_3>::result_type
 intersection(const typename K::Line_3 &line,
-	     const Bbox_3 &box, 
-	     const K&)
+             const Bbox_3 &box,
+             const K&)
 {
     typedef typename K::Point_3 Point_3;
     typedef typename K::Direction_3 Direction_3;
@@ -1169,9 +1169,9 @@ intersection(const typename K::Line_3 &l
 template <class K>
 inline
 typename Intersection_traits<K, Bbox_3, typename K::Line_3>::result_type
-intersection(const Bbox_3 &box, 
-	     const typename K::Line_3 &line, 
-	     const K& k)
+intersection(const Bbox_3 &box,
+             const typename K::Line_3 &line,
+             const K& k)
 {
   return intersection(line, box, k);
 }
@@ -1180,8 +1180,8 @@ intersection(const Bbox_3 &box,
 template <class K>
 typename Intersection_traits<K, typename K::Ray_3, Bbox_3>::result_type
 intersection(const typename K::Ray_3 &ray,
-	     const Bbox_3 &box, 
-	     const K&)
+             const Bbox_3 &box,
+             const K&)
 {
     typedef typename K::Point_3 Point_3;
     typedef typename K::Direction_3 Direction_3;
@@ -1202,9 +1202,9 @@ intersection(const typename K::Ray_3 &ra
 template <class K>
 inline
 typename Intersection_traits<K, Bbox_3, typename K::Ray_3>::result_type
-intersection(const Bbox_3 &box, 
-	     const typename K::Ray_3 &ray, 
-	     const K& k)
+intersection(const Bbox_3 &box,
+             const typename K::Ray_3 &ray,
+             const K& k)
 {
   return intersection(ray, box, k);
 }
@@ -1213,9 +1213,9 @@ intersection(const Bbox_3 &box,
 
 template <class K>
 typename Intersection_traits<K, typename K::Segment_3, Bbox_3>::result_type
-intersection(const typename K::Segment_3 &seg, 
-	     const Bbox_3 &box, 
-	     const K&)
+intersection(const typename K::Segment_3 &seg,
+             const Bbox_3 &box,
+             const K&)
 {
     typedef typename K::Point_3 Point_3;
     typedef typename K::Vector_3 Vector_3;
@@ -1236,9 +1236,9 @@ intersection(const typename K::Segment_3
 template <class K>
 inline
 typename Intersection_traits<K, Bbox_3, typename K::Segment_3>::result_type
-intersection(const Bbox_3 &box, 
-	     const typename K::Segment_3 &seg, 
-	     const K& k)
+intersection(const Bbox_3 &box,
+             const typename K::Segment_3 &seg,
+             const K& k)
 {
   return intersection(seg, box, k);
 }
@@ -1247,8 +1247,8 @@ intersection(const Bbox_3 &box,
 template <class K>
 typename Intersection_traits<K, typename K::Line_3, typename K::Iso_cuboid_3>::result_type
 intersection(const typename K::Line_3 &line,
-	     const typename K::Iso_cuboid_3 &box, 
-	     const K&)
+             const typename K::Iso_cuboid_3 &box,
+             const K&)
 {
     typedef typename K::Point_3 Point_3;
     typedef typename K::Vector_3 Vector_3;
@@ -1308,9 +1308,9 @@ intersection(const typename K::Line_3 &l
 template <class K>
 inline
 typename Intersection_traits<K, typename K::Iso_cuboid_3, typename K::Line_3>::result_type
-intersection(const typename K::Iso_cuboid_3 &box, 
-	     const typename K::Line_3 &line, 
-	     const K& k)
+intersection(const typename K::Iso_cuboid_3 &box,
+             const typename K::Line_3 &line,
+             const K& k)
 {
   return intersection(line, box, k);
 }
@@ -1320,8 +1320,8 @@ intersection(const typename K::Iso_cuboi
 template <class K>
 typename Intersection_traits<K, typename K::Ray_3, typename K::Iso_cuboid_3>::result_type
 intersection(const typename K::Ray_3 &ray,
-	     const typename K::Iso_cuboid_3 &box, 
-	     const K&)
+             const typename K::Iso_cuboid_3 &box,
+             const K&)
 {
     typedef typename K::Point_3 Point_3;
     typedef typename K::Vector_3 Vector_3;
@@ -1380,9 +1380,9 @@ intersection(const typename K::Ray_3 &ra
 template <class K>
 inline
 typename Intersection_traits<K, typename K::Iso_cuboid_3, typename K::Ray_3>::result_type
-intersection(const typename K::Iso_cuboid_3 &box, 
-	     const typename K::Ray_3 &ray,
-	     const K& k)
+intersection(const typename K::Iso_cuboid_3 &box,
+             const typename K::Ray_3 &ray,
+             const K& k)
 {
   return intersection(ray, box, k);
 }
@@ -1391,8 +1391,8 @@ intersection(const typename K::Iso_cuboi
 template <class K>
 typename Intersection_traits<K, typename K::Segment_3, typename K::Iso_cuboid_3>::result_type
 intersection(const typename K::Segment_3 &seg,
-	     const typename K::Iso_cuboid_3 &box, 
-	     const K&)
+             const typename K::Iso_cuboid_3 &box,
+             const K&)
 {
     typedef typename K::Point_3 Point_3;
     typedef typename K::Vector_3 Vector_3;
@@ -1443,7 +1443,7 @@ intersection(const typename K::Segment_3
     if (_max == _min) {
         return intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Iso_cuboid_3>(Point_3(_ref_point + _dir * _min ));
     }
-   
+
     return intersection_return<typename K::Intersect_3, typename K::Segment_3, typename K::Iso_cuboid_3>(
             Segment_3(_ref_point + _dir*_min, _ref_point + _dir*_max));
 }
@@ -1452,9 +1452,9 @@ intersection(const typename K::Segment_3
 template <class K>
 inline
 typename Intersection_traits<K, typename K::Iso_cuboid_3, typename K::Segment_3>::result_type
-intersection(const typename K::Iso_cuboid_3 &box, 
-	     const typename K::Segment_3 &seg,
-	     const K& k)
+intersection(const typename K::Iso_cuboid_3 &box,
+             const typename K::Segment_3 &seg,
+             const K& k)
 {
   return intersection(seg, box, k);
 }
@@ -1464,7 +1464,7 @@ template <class K>
 typename Intersection_traits<K, typename K::Iso_cuboid_3, typename K::Iso_cuboid_3>::result_type
 intersection(
     const typename K::Iso_cuboid_3 &icub1,
-    const typename K::Iso_cuboid_3 &icub2, 
+    const typename K::Iso_cuboid_3 &icub2,
     const K&)
 {
     typedef typename K::Point_3 Point_3;
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Ray_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Ray_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Ray_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Ray_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Ray_3_do_intersect.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Ray_3_do_intersect.h $
 // $Id: Iso_cuboid_3_Ray_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Segment_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Segment_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Segment_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Segment_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Segment_3_do_intersect.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Segment_3_do_intersect.h $
 // $Id: Iso_cuboid_3_Segment_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Sphere_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Sphere_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Sphere_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Sphere_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Sphere_3_do_intersect.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Sphere_3_do_intersect.h $
 // $Id: Iso_cuboid_3_Sphere_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Triangle_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Triangle_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Triangle_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Triangle_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Triangle_3_do_intersect.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Triangle_3_do_intersect.h $
 // $Id: Iso_cuboid_3_Triangle_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Triangle_3_intersection.h 5.0.3-1/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Triangle_3_intersection.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Triangle_3_intersection.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Triangle_3_intersection.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Triangle_3_intersection.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Iso_cuboid_3_Triangle_3_intersection.h $
 // $Id: Iso_cuboid_3_Triangle_3_intersection.h bbe02d9 2019-10-29T15:22:49+01:00 Laurent Rineau
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Tetrahedron_3_Bounded_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Tetrahedron_3_Bounded_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Tetrahedron_3_Bounded_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Tetrahedron_3_Bounded_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -7,8 +7,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Tetrahedron_3_Bounded_3_do_intersect.h $
-// $Id: Tetrahedron_3_Bounded_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Tetrahedron_3_Bounded_3_do_intersect.h $
+// $Id: Tetrahedron_3_Bounded_3_do_intersect.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -34,8 +34,8 @@ namespace internal {
 template <class K>
 typename K::Boolean
 do_intersect(const typename K::Tetrahedron_3 &tet,
-	     const typename K::Triangle_3 &tr,
-	     const K & k);
+             const typename K::Triangle_3 &tr,
+             const K & k);
 
 // This code is not optimized:
   template <class K, class Bounded>
@@ -73,8 +73,8 @@ template <class K>
 inline
 typename K::Boolean
 do_intersect(const typename K::Tetrahedron_3 &tet,
-	     const typename K::Triangle_3 &tr,
-	     const K & k)
+             const typename K::Triangle_3 &tr,
+             const K & k)
 {
   return do_intersect_tetrahedron_bounded(tr, tet, tr[0], k);
 }
@@ -84,7 +84,7 @@ inline
 typename K::Boolean
 do_intersect(const typename K::Triangle_3 &tr,
              const typename K::Tetrahedron_3 &tet,
-	     const K & k)
+             const K & k)
 {
   return do_intersect_tetrahedron_bounded(tr, tet, tr[0], k);
 }
@@ -94,8 +94,8 @@ template <class K>
 inline
 typename K::Boolean
 do_intersect(const typename K::Tetrahedron_3 &tet,
-	     const typename K::Segment_3 &seg,
-	     const K & k)
+             const typename K::Segment_3 &seg,
+             const K & k)
 {
   return do_intersect_tetrahedron_bounded(seg, tet, seg.source(), k);
 }
@@ -105,7 +105,7 @@ inline
 typename K::Boolean
 do_intersect(const typename K::Segment_3 &seg,
              const typename K::Tetrahedron_3 &tet,
-	     const K & k)
+             const K & k)
 {
   return do_intersect_tetrahedron_bounded(seg, tet, seg.source(), k);
 }
@@ -115,7 +115,7 @@ inline
 typename K::Boolean
 do_intersect(const typename K::Tetrahedron_3 &tet,
              const typename K::Iso_cuboid_3 &ic,
-	     const K & k)
+             const K & k)
 {
   return do_intersect_tetrahedron_bounded(ic, tet, ic[0], k);
 }
@@ -125,7 +125,7 @@ inline
 typename K::Boolean
 do_intersect(const typename K::Iso_cuboid_3 &ic,
              const typename K::Tetrahedron_3 &tet,
-	     const K & k)
+             const K & k)
 {
   return do_intersect_tetrahedron_bounded(ic, tet, ic[0], k);
 }
@@ -135,7 +135,7 @@ inline
 typename K::Boolean
 do_intersect(const typename K::Tetrahedron_3 &tet,
              const typename K::Sphere_3 &sp,
-	     const K & k)
+             const K & k)
 {
   return do_intersect_tetrahedron_bounded(sp, tet, sp.center(), k);
 }
@@ -145,7 +145,7 @@ inline
 typename K::Boolean
 do_intersect(const typename K::Sphere_3 &sp,
              const typename K::Tetrahedron_3 &tet,
-	     const K & k)
+             const K & k)
 {
   return do_intersect_tetrahedron_bounded(sp, tet, sp.center(), k);
 }
@@ -154,8 +154,8 @@ template <class K>
 inline
 typename K::Boolean
 do_intersect(const typename K::Tetrahedron_3 &tet,
-	     const typename K::Tetrahedron_3 &sp,
-	     const K & k)
+             const typename K::Tetrahedron_3 &sp,
+             const K & k)
 {
   return do_intersect_tetrahedron_bounded(sp, tet, tet[0], k);
 }
@@ -164,8 +164,8 @@ template <class K>
 inline
 typename K::Boolean
 do_intersect(const typename K::Tetrahedron_3 &tet,
-	     const CGAL::Bbox_3 &bb,
-	     const K & k)
+             const CGAL::Bbox_3 &bb,
+             const K & k)
 {
   return do_intersect_tetrahedron_bounded(bb, tet, typename K::Point_3(bb.xmin(), bb.ymin(), bb.zmin()), k);
 }
@@ -175,7 +175,7 @@ inline
 typename K::Boolean
 do_intersect(const CGAL::Bbox_3 &bb,
              const typename K::Tetrahedron_3 &tet,
-	     const K & k)
+             const K & k)
 {
   return do_intersect_tetrahedron_bounded(bb, tet, typename K::Point_3(bb.xmin(), bb.ymin(), bb.zmin()), k);
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Tetrahedron_3_Unbounded_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Tetrahedron_3_Unbounded_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Tetrahedron_3_Unbounded_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Tetrahedron_3_Unbounded_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Tetrahedron_3_Unbounded_3_do_intersect.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Tetrahedron_3_Unbounded_3_do_intersect.h $
 // $Id: Tetrahedron_3_Unbounded_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Line_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Line_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Line_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Line_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Line_3_do_intersect.h $
-// $Id: Triangle_3_Line_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Line_3_do_intersect.h $
+// $Id: Triangle_3_Line_3_do_intersect.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Philippe Guigue
 
@@ -25,33 +25,33 @@ namespace CGAL {
   template <class K>
   class Line_3;
 
-  
+
 namespace Intersections {
-  
+
 namespace internal {
 
 template <class K>
-bool do_intersect(const typename K::Triangle_3 &t, 
-		  const typename K::Line_3     &l,
-		  const K & k )
+bool do_intersect(const typename K::Triangle_3 &t,
+                  const typename K::Line_3     &l,
+                  const K & k )
 {
-  
+
   CGAL_kernel_precondition( ! k.is_degenerate_3_object()(t) ) ;
   CGAL_kernel_precondition( ! k.is_degenerate_3_object()(l) ) ;
-  
+
   typedef typename K::Point_3 Point_3;
-  
 
-  typename K::Construct_point_on_3 point_on = 
+
+  typename K::Construct_point_on_3 point_on =
     k.construct_point_on_3_object();
-  
+
   typename K::Construct_vertex_3 vertex_on =
     k.construct_vertex_3_object();
-  
-  typename K::Orientation_3 orientation = 
+
+  typename K::Orientation_3 orientation =
     k.orientation_3_object();
 
-  typename K::Coplanar_orientation_3 coplanar_orientation = 
+  typename K::Coplanar_orientation_3 coplanar_orientation =
     k.coplanar_orientation_3_object();
 
 
@@ -63,49 +63,49 @@ bool do_intersect(const typename K::Tria
   const Point_3 & q = point_on(l,1);
 
 
-  
-  if ( ( orientation(a,b,c,p) != COPLANAR ) || 
+
+  if ( ( orientation(a,b,c,p) != COPLANAR ) ||
        ( orientation(a,b,c,q) != COPLANAR ) )
     {
 
       const Orientation pqab = orientation(p,q,a,b);
       const Orientation pqbc = orientation(p,q,b,c);
 
-      
+
       switch ( pqab ) {
-      case POSITIVE: return  pqbc != NEGATIVE  &&  
-		       orientation(p,q,c,a) != NEGATIVE ;
-      case NEGATIVE: return  pqbc != POSITIVE  &&  
-		       orientation(p,q,c,a) != POSITIVE ;
+      case POSITIVE: return  pqbc != NEGATIVE  &&
+                       orientation(p,q,c,a) != NEGATIVE ;
+      case NEGATIVE: return  pqbc != POSITIVE  &&
+                       orientation(p,q,c,a) != POSITIVE ;
       case COPLANAR:
-	switch ( pqbc ) {
-	case POSITIVE: return  orientation(p,q,c,a) != NEGATIVE ;
-	case NEGATIVE: return  orientation(p,q,c,a) != POSITIVE ;
-	case COPLANAR: return true;
-	default: // should not happen.
-	  CGAL_kernel_assertion(false);
-	  return false;
-	}
+        switch ( pqbc ) {
+        case POSITIVE: return  orientation(p,q,c,a) != NEGATIVE ;
+        case NEGATIVE: return  orientation(p,q,c,a) != POSITIVE ;
+        case COPLANAR: return true;
+        default: // should not happen.
+          CGAL_kernel_assertion(false);
+          return false;
+        }
       default: // should not happen.
-	CGAL_kernel_assertion(false);
-	return false;
+        CGAL_kernel_assertion(false);
+        return false;
       }
     }
-  
+
   // Coplanar case
-    
+
   const Orientation pqa = coplanar_orientation(p,q,a);
-  
-  return  coplanar_orientation(p,q,b) != pqa 
-    ||  coplanar_orientation(p,q,c) != pqa ;  
+
+  return  coplanar_orientation(p,q,b) != pqa
+    ||  coplanar_orientation(p,q,c) != pqa ;
 }
 
 
 template <class K>
 inline
 bool do_intersect(const typename K::Line_3     &l,
-		  const typename K::Triangle_3 &t, 
-		  const K & k )
+                  const typename K::Triangle_3 &t,
+                  const K & k )
 {
   return do_intersect(t, l, k);
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Line_3_intersection.h 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Line_3_intersection.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Line_3_intersection.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Line_3_intersection.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Line_3_intersection.h $
-// $Id: Triangle_3_Line_3_intersection.h 530fa6b 2019-12-20T09:48:05+01:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Line_3_intersection.h $
+// $Id: Triangle_3_Line_3_intersection.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -18,9 +18,9 @@
 #include <CGAL/Intersections_3/Line_3_Plane_3.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
-  
+
 namespace internal {
 
 template <class K>
@@ -313,9 +313,9 @@ t3l3_intersection_aux(const typename K::
   //   k.intersect_3_object();
 
   // The intersection between a Line and Plane is either Point or Line
-  typename Intersection_traits<K, typename K::Line_3, typename K::Plane_3>::result_type 
+  typename Intersection_traits<K, typename K::Line_3, typename K::Plane_3>::result_type
     v = internal::intersection(l,t.supporting_plane(), K());
-  
+
   // Intersection should be a point (because of orientation test done before)
   if(v) {
     if(const typename K::Point_3* p = intersect_get<typename K::Point_3>(v)) {
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Plane_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Plane_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Plane_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Plane_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Plane_3_do_intersect.h $
-// $Id: Triangle_3_Plane_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Plane_3_do_intersect.h $
+// $Id: Triangle_3_Plane_3_do_intersect.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Philippe Guigue
 
@@ -26,26 +26,26 @@ namespace CGAL {
   class Plane_3;
 
 namespace Intersections {
-  
+
 namespace internal {
 
 template <class K>
-bool do_intersect(const typename K::Triangle_3 &t, 
-		  const typename K::Plane_3   &h,
-		  const K & k)
+bool do_intersect(const typename K::Triangle_3 &t,
+                  const typename K::Plane_3   &h,
+                  const K & k)
 {
-  
+
   CGAL_kernel_precondition( ! k.is_degenerate_3_object()(t)) ;
   CGAL_kernel_precondition( ! k.is_degenerate_3_object()(h)) ;
 
-   
+
   typename K::Construct_vertex_3 vertex_on =
     k.construct_vertex_3_object();
-  
+
   typename K::Oriented_side_3 oriented_side =
     k.oriented_side_3_object();
 
-  
+
 
   switch ( oriented_side(h,vertex_on(t,0)) ) {
   case ON_POSITIVE_SIDE:
@@ -66,8 +66,8 @@ bool do_intersect(const typename K::Tria
 template <class K>
 inline
 bool do_intersect(const typename K::Plane_3   &h,
-		  const typename K::Triangle_3 &t, 
-		  const K & k)
+                  const typename K::Triangle_3 &t,
+                  const K & k)
 {
   return do_intersect(t, h, k);
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Ray_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Ray_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Ray_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Ray_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Ray_3_do_intersect.h $
-// $Id: Triangle_3_Ray_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Ray_3_do_intersect.h $
+// $Id: Triangle_3_Ray_3_do_intersect.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Philippe Guigue
 
@@ -25,7 +25,7 @@ namespace CGAL {
   template <class K>
   class Ray_3;
 
-  
+
 namespace Intersections {
 namespace internal {
 
@@ -58,7 +58,7 @@ struct r3t3_do_intersect_endpoint_positi
     m_intersection_type=3;
   }
   void end_point_in_triangle(){
-    m_intersection_type=4; 
+    m_intersection_type=4;
   }
 };
 
@@ -72,14 +72,14 @@ struct r3t3_do_intersect_endpoint_positi
 
 template <class K,class Visitor>
 typename Visitor::result_type
-do_intersect_coplanar(const typename K::Triangle_3 &t, 
+do_intersect_coplanar(const typename K::Triangle_3 &t,
                       const typename K::Ray_3      &r,
                       const K & k,
                       Visitor visitor);
 
 template <class K,class Visitor>
 typename Visitor::result_type
-     do_intersect(const typename K::Triangle_3 &t, 
+     do_intersect(const typename K::Triangle_3 &t,
                   const typename K::Ray_3 &r,
                   const K & k,
                   Visitor visitor)
@@ -92,22 +92,22 @@ typename Visitor::result_type
 
   typename K::Construct_vertex_3 vertex_on =
     k.construct_vertex_3_object();
-  
-  typename K::Orientation_3 orientation = 
+
+  typename K::Orientation_3 orientation =
     k.orientation_3_object();
 
 
   const Point_3 & a = vertex_on(t,0);
   const Point_3 & b = vertex_on(t,1);
   const Point_3 & c = vertex_on(t,2);
-  
+
   typename K::Construct_vector_3  construct_vector =
     k.construct_vector_3_object();
 
-  typename K::Construct_ray_3 construct_ray = 
+  typename K::Construct_ray_3 construct_ray =
     k.construct_ray_3_object();
 
-  typename K::Construct_point_on_3 point_on = 
+  typename K::Construct_point_on_3 point_on =
     k.construct_point_on_3_object();
 
   const Point_3 & p = point_on(r,0);
@@ -118,21 +118,21 @@ typename Visitor::result_type
     orientation(a,b,c,point_on(construct_ray(a, construct_vector(r)),1));
 
     if (ray_direction == COPLANAR ) {
-      if (orientation(a,b,c,p) == COPLANAR) 
-	return do_intersect_coplanar(t,r,k,visitor);
+      if (orientation(a,b,c,p) == COPLANAR)
+        return do_intersect_coplanar(t,r,k,visitor);
       else return visitor.result(false);
     }
-  
+
   const Orientation abcp = orientation(a,b,c,p);
 
   switch ( abcp ) {
-  case POSITIVE: 
+  case POSITIVE:
     switch ( ray_direction ) {
-    case POSITIVE: 
+    case POSITIVE:
       // the ray lies in the positive open halfspaces defined by the
       // triangle's supporting plane
       return visitor.result(false);
-      
+
     case NEGATIVE:{
       // The ray straddles the triangle's plane
       // p sees the triangle in counterclockwise order
@@ -153,7 +153,7 @@ typename Visitor::result_type
       CGAL_kernel_assertion(false);
       return visitor.result(false);
     }
-    
+
   case NEGATIVE:
     switch ( ray_direction ) {
     case POSITIVE:{
@@ -170,53 +170,53 @@ typename Visitor::result_type
       if (orient == POSITIVE ) return visitor.result(false);
       visitor.update(orient);
       return visitor.result(true);
-      
+
     }
     case NEGATIVE:
       // the ray lies in the negative open halfspaces defined by the
       // triangle's supporting plane
       return visitor.result(false);
-      
+
       // case COPLANAR: should not happen
-      
+
     default: // should not happen.
       CGAL_kernel_assertion(false);
       return visitor.result(false);
     }
-    
+
   case COPLANAR: // p belongs to the triangle's supporting plane
     visitor.end_point_in_triangle();
     switch ( ray_direction ) {
     case POSITIVE:
       // q sees the triangle in counterclockwise order
-      return visitor.result( 
+      return visitor.result(
            orientation(q,p,a,b) != POSITIVE
-	&& orientation(q,p,b,c) != POSITIVE
-	&& orientation(q,p,c,a) != POSITIVE);
-      
+        && orientation(q,p,b,c) != POSITIVE
+        && orientation(q,p,c,a) != POSITIVE);
+
     case NEGATIVE:
       // q sees the triangle in clockwise order
-      return visitor.result( 
+      return visitor.result(
            orientation(p,q,a,b) != POSITIVE
-	&& orientation(p,q,b,c) != POSITIVE
-	&& orientation(p,q,c,a) != POSITIVE);
-      
+        && orientation(p,q,b,c) != POSITIVE
+        && orientation(p,q,c,a) != POSITIVE);
+
       // case COPLANAR: should not happen
-      
+
     default: // should not happen.
       CGAL_kernel_assertion(false);
       return visitor.result(false);
     }
-    
+
   default: // should not happen.
     CGAL_kernel_assertion(false);
     return visitor.result(false);
-    
-  } 
+
+  }
 }
 
 template <class K>
-bool do_intersect(const typename K::Triangle_3 &t, 
+bool do_intersect(const typename K::Triangle_3 &t,
                  const typename K::Ray_3 &r,
                  const K & k)
 {
@@ -227,16 +227,16 @@ bool do_intersect(const typename K::Tria
 template <class K>
 inline
 bool do_intersect(const typename K::Ray_3 &r,
-		  const typename K::Triangle_3 &t, 
-		  const K & k)
+                  const typename K::Triangle_3 &t,
+                  const K & k)
 {
   return do_intersect(t,r, k);
 }
 
 
 template <class K,class Visitor>
-typename Visitor::result_type 
-do_intersect_coplanar(const typename K::Triangle_3 &t, 
+typename Visitor::result_type
+do_intersect_coplanar(const typename K::Triangle_3 &t,
       const typename K::Ray_3      &r,
       const K & k,
       Visitor visitor)
@@ -244,27 +244,27 @@ do_intersect_coplanar(const typename K::
   visitor.ray_coplanar();
   CGAL_kernel_precondition( ! k.is_degenerate_3_object()(t) ) ;
   CGAL_kernel_precondition( ! k.is_degenerate_3_object()(r) ) ;
-  
+
   typedef typename K::Point_3 Point_3;
-  
-  typename K::Construct_point_on_3 point_on = 
+
+  typename K::Construct_point_on_3 point_on =
     k.construct_point_on_3_object();
-  
+
   typename K::Construct_vertex_3 vertex_on =
     k.construct_vertex_3_object();
-  
-  typename K::Coplanar_orientation_3 coplanar_orientation = 
+
+  typename K::Coplanar_orientation_3 coplanar_orientation =
     k.coplanar_orientation_3_object();
 
-  
+
   const Point_3 & p = point_on(r,0);
   const Point_3 & q = point_on(r,1);
-  
+
   const Point_3 & A = vertex_on(t,0);
   const Point_3 & B = vertex_on(t,1);
   const Point_3 & C = vertex_on(t,2);
-  
-  
+
+
   const Point_3 * a = &A;
   const Point_3 * b = &B;
   const Point_3 * c = &C;
@@ -280,7 +280,7 @@ do_intersect_coplanar(const typename K::
 
   // Test whether the ray's supporting line intersects the
   // triangle in the common plane
-  
+
   const Orientation pqa = coplanar_orientation(p,q,*a);
   const Orientation pqb = coplanar_orientation(p,q,*b);
   const Orientation pqc = coplanar_orientation(p,q,*c);
@@ -290,72 +290,72 @@ do_intersect_coplanar(const typename K::
   case POSITIVE:
     switch ( pqb ) {
     case POSITIVE:
-       if (pqc == POSITIVE) 
-	 // the triangle lies in the positive halfspace
-	 // defined by the ray's supporting line.
-	 return visitor.result(false);
+       if (pqc == POSITIVE)
+         // the triangle lies in the positive halfspace
+         // defined by the ray's supporting line.
+         return visitor.result(false);
        // c is isolated on the negative side
        return visitor.result( coplanar_orientation(*a,*c,p) != POSITIVE );
-       
+
     case NEGATIVE:
       if (pqc == POSITIVE) // b is isolated on the negative side
-	return visitor.result( coplanar_orientation(*c,*b,p) != POSITIVE );
+        return visitor.result( coplanar_orientation(*c,*b,p) != POSITIVE );
       // a is isolated on the positive side
       return visitor.result( coplanar_orientation(*a,*c,p) != POSITIVE );
 
     case COLLINEAR:
       if (pqc == POSITIVE) // b is isolated on the negative side
-	return visitor.result( coplanar_orientation(*c,*b,p) != POSITIVE );
+        return visitor.result( coplanar_orientation(*c,*b,p) != POSITIVE );
       // a is isolated on the positive side
       return visitor.result( coplanar_orientation(*a,*c,p) != POSITIVE );
-      
+
     default: // should not happen.
       CGAL_kernel_assertion(false);
       return visitor.result(false);
     }
-    
+
   case NEGATIVE:
     switch ( pqb ) {
     case POSITIVE:
-      if (pqc == POSITIVE) 	// a is isolated on the negative side
-	return visitor.result( coplanar_orientation(*b,*a,p) != POSITIVE );
+      if (pqc == POSITIVE)         // a is isolated on the negative side
+        return visitor.result( coplanar_orientation(*b,*a,p) != POSITIVE );
       // b is isolated on the positive side
       return visitor.result( coplanar_orientation(*b,*a,p) != POSITIVE );
-      
+
     case NEGATIVE:
-      if (pqc == NEGATIVE) 	
-	// the triangle lies in the negative halfspace
-	// defined by the ray's supporting line.
-	return visitor.result( false );
+      if (pqc == NEGATIVE)
+        // the triangle lies in the negative halfspace
+        // defined by the ray's supporting line.
+        return visitor.result( false );
       // c is isolated on the positive side
       return visitor.result( coplanar_orientation(*c,*b,p) != POSITIVE );
     case COLLINEAR:
       if (pqc == NEGATIVE) // b is isolated on the positive side
-	return visitor.result( coplanar_orientation(*b,*a,p) != POSITIVE );
+        return visitor.result( coplanar_orientation(*b,*a,p) != POSITIVE );
       // a is isolated on the negative side
       return visitor.result( coplanar_orientation(*b,*a,p) != POSITIVE );
-      
+
     default: // should not happen.
       CGAL_kernel_assertion(false);
       return visitor.result(false);
     }
-    
+
   case COLLINEAR:
     switch ( pqb ) {
     case POSITIVE:
       if (pqc == POSITIVE) // a is isolated on the negative side
-	return visitor.result( coplanar_orientation(*b,*a,p) != POSITIVE );
+        return visitor.result( coplanar_orientation(*b,*a,p) != POSITIVE );
       // b is isolated on the positive side
       return visitor.result( coplanar_orientation(*b,*a,p) != POSITIVE );
     case NEGATIVE:
       if (pqc == NEGATIVE) // a is isolated on the positive side
-	return visitor.result( coplanar_orientation(*a,*c,p) != POSITIVE );
+        return visitor.result( coplanar_orientation(*a,*c,p) != POSITIVE );
       // b is isolated on the negative side
       return visitor.result( coplanar_orientation(*c,*b,p) != POSITIVE );
 
     case COLLINEAR:
       if (pqc == POSITIVE) // c is isolated on the positive side
-	return visitor.result( coplanar_orientation(*c,*b,p) != POSITIVE );
+        return visitor.result( coplanar_orientation(*c,*b,p) != POSITIVE );
       // c is isolated on the negative side
       return visitor.result( coplanar_orientation(*a,*c,p) != POSITIVE );
       // case pqc == COLLINEAR is imposiible
@@ -364,7 +364,7 @@ do_intersect_coplanar(const typename K::
       CGAL_kernel_assertion(false);
       return visitor.result(false);
     }
-    
+
   default: // should not happen.
     CGAL_kernel_assertion(false);
     return visitor.result(false);
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Ray_3_intersection.h 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Ray_3_intersection.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Ray_3_intersection.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Ray_3_intersection.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Ray_3_intersection.h $
-// $Id: Triangle_3_Ray_3_intersection.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Ray_3_intersection.h $
+// $Id: Triangle_3_Ray_3_intersection.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -19,9 +19,9 @@
 #include <CGAL/intersections.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
-  
+
 namespace internal {
 
 template <class K>
@@ -424,7 +424,7 @@ t3r3_intersection_aux(const typename K::
                       const K& k)
 {
   typename Intersection_traits<K, typename K::Line_3, typename K::Plane_3>
-    ::result_type 
+    ::result_type
     v = internal::intersection(r.supporting_line(),t.supporting_plane(), k);
 
   if(v) {
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Segment_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Segment_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Segment_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Segment_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Segment_3_do_intersect.h $
-// $Id: Triangle_3_Segment_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Segment_3_do_intersect.h $
+// $Id: Triangle_3_Segment_3_do_intersect.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Philippe Guigue
 
@@ -26,41 +26,41 @@ namespace CGAL {
   class Segment_3;
 
 namespace Intersections {
-  
+
 namespace internal {
 
 template <class K>
 bool do_intersect_coplanar( const typename K::Point_3& A,
                             const typename K::Point_3& B,
-                            const typename K::Point_3& C,  
+                            const typename K::Point_3& C,
                             const typename K::Point_3 & p,
                             const typename K::Point_3 & q, const K & k );
 
 template <class K>
-bool do_intersect_coplanar(const typename K::Triangle_3 &t, 
-			   const typename K::Segment_3  &s,
-			   const K & k )
+bool do_intersect_coplanar(const typename K::Triangle_3 &t,
+                           const typename K::Segment_3  &s,
+                           const K & k )
 {
 
   CGAL_kernel_precondition( ! k.is_degenerate_3_object()(t) ) ;
   CGAL_kernel_precondition( ! k.is_degenerate_3_object()(s) ) ;
-  
+
   typedef typename K::Point_3 Point_3;
-  
 
-  typename K::Construct_point_on_3 point_on = 
+
+  typename K::Construct_point_on_3 point_on =
     k.construct_point_on_3_object();
-  
+
   typename K::Construct_vertex_3 vertex_on =
     k.construct_vertex_3_object();
-  
+
   const Point_3 & p = point_on(s,0);
   const Point_3 & q = point_on(s,1);
-  
+
   const Point_3 &  A = vertex_on(t,0);
   const Point_3 &  B = vertex_on(t,1);
   const Point_3 &  C = vertex_on(t,2);
-  
+
   return do_intersect_coplanar(A,B,C,p,q,k);
 }
 
@@ -68,15 +68,15 @@ bool do_intersect_coplanar(const typenam
 template <class K>
 bool do_intersect_coplanar( const typename K::Point_3& A,
                             const typename K::Point_3& B,
-                            const typename K::Point_3& C,  
+                            const typename K::Point_3& C,
                             const typename K::Point_3 & p,
                             const typename K::Point_3 & q, const K & k )
 {
-  typedef typename K::Point_3 Point_3;  
-  
-  typename K::Coplanar_orientation_3 coplanar_orientation = 
-    k.coplanar_orientation_3_object();  
-  
+  typedef typename K::Point_3 Point_3;
+
+  typename K::Coplanar_orientation_3 coplanar_orientation =
+    k.coplanar_orientation_3_object();
+
   const Point_3 *  a = &A;
   const Point_3 *  b = &B;
   const Point_3 *  c = &C;
@@ -93,7 +93,7 @@ bool do_intersect_coplanar( const typena
 
   // Test whether the segment's supporting line intersects the
   // triangle in the common plane
-  
+
   const Orientation pqa = coplanar_orientation(p,q,*a);
   const Orientation pqb = coplanar_orientation(p,q,*b);
   const Orientation pqc = coplanar_orientation(p,q,*c);
@@ -104,122 +104,122 @@ bool do_intersect_coplanar( const typena
     switch ( pqb ) {
     case POSITIVE:
       if (pqc == POSITIVE) return false;
-	// the triangle lies in the positive halfspace
-	// defined by the segment's supporting line.
+        // the triangle lies in the positive halfspace
+        // defined by the segment's supporting line.
       // c is isolated on the negative side
-      return  coplanar_orientation(*b,*c,q) != NEGATIVE 
-	&&  coplanar_orientation(*c,*a,p) != NEGATIVE ;
-      
+      return  coplanar_orientation(*b,*c,q) != NEGATIVE
+        &&  coplanar_orientation(*c,*a,p) != NEGATIVE ;
+
     case NEGATIVE:
       if (pqc == POSITIVE) // b is isolated on the negative side
-	return coplanar_orientation(*a,*b,q) != NEGATIVE 
-	  &&  coplanar_orientation(*b,*c,p) != NEGATIVE ;
+        return coplanar_orientation(*a,*b,q) != NEGATIVE
+          &&  coplanar_orientation(*b,*c,p) != NEGATIVE ;
       // a is isolated on the positive side
-      return  coplanar_orientation(*a,*b,q) != NEGATIVE 
-	&&  coplanar_orientation(*c,*a,p) != NEGATIVE ;
+      return  coplanar_orientation(*a,*b,q) != NEGATIVE
+        &&  coplanar_orientation(*c,*a,p) != NEGATIVE ;
     case COLLINEAR:
       if (pqc == POSITIVE) // b is isolated on the negative side
-	return  coplanar_orientation(*a,*b,q) != NEGATIVE 
-	  &&  coplanar_orientation(*b,*c,p) != NEGATIVE ;
+        return  coplanar_orientation(*a,*b,q) != NEGATIVE
+          &&  coplanar_orientation(*b,*c,p) != NEGATIVE ;
       // a is isolated on the positive side
-      return  coplanar_orientation(*a,*b,q) != NEGATIVE 
-	&&  coplanar_orientation(*c,*a,p) != NEGATIVE ;
+      return  coplanar_orientation(*a,*b,q) != NEGATIVE
+        &&  coplanar_orientation(*c,*a,p) != NEGATIVE ;
     default:// should not happen.
       CGAL_kernel_assertion(false);
       return false;
-      
+
     }
   case NEGATIVE:
     switch ( pqb ) {
     case POSITIVE:
       if (pqc == POSITIVE) // a is isolated on the negative side
-	return  coplanar_orientation(*a,*b,p) != NEGATIVE 
-	  &&  coplanar_orientation(*c,*a,q) != NEGATIVE ;
+        return  coplanar_orientation(*a,*b,p) != NEGATIVE
+          &&  coplanar_orientation(*c,*a,q) != NEGATIVE ;
       // b is isolated on the positive side
-      return  coplanar_orientation(*a,*b,p) != NEGATIVE 
-	&&  coplanar_orientation(*b,*c,q) != NEGATIVE ;
-      
+      return  coplanar_orientation(*a,*b,p) != NEGATIVE
+        &&  coplanar_orientation(*b,*c,q) != NEGATIVE ;
+
     case NEGATIVE:
       if (pqc == NEGATIVE) return false;
       // the triangle lies in the negative halfspace
       // defined by the segment's supporting line.
       // c is isolated on the positive side
-      return  coplanar_orientation(*b,*c,p) != NEGATIVE 
-	&&  coplanar_orientation(*c,*a,q) != NEGATIVE ;
-      
+      return  coplanar_orientation(*b,*c,p) != NEGATIVE
+        &&  coplanar_orientation(*c,*a,q) != NEGATIVE ;
+
     case COLLINEAR:
       if (pqc == NEGATIVE) // b is isolated on the positive side
-	return  coplanar_orientation(*a,*b,p) != NEGATIVE 
-	  &&  coplanar_orientation(*b,*c,q) != NEGATIVE ;
+        return  coplanar_orientation(*a,*b,p) != NEGATIVE
+          &&  coplanar_orientation(*b,*c,q) != NEGATIVE ;
       // a is isolated on the negative side
-      return  coplanar_orientation(*a,*b,p) != NEGATIVE 
-	&&  coplanar_orientation(*c,*a,q) != NEGATIVE ;
-      
+      return  coplanar_orientation(*a,*b,p) != NEGATIVE
+        &&  coplanar_orientation(*c,*a,q) != NEGATIVE ;
+
     default:// should not happen.
       CGAL_kernel_assertion(false);
       return false;
-      
+
     }
   case COLLINEAR:
     switch ( pqb ) {
     case POSITIVE:
       if (pqc == POSITIVE) // a is isolated on the negative side
-	return  coplanar_orientation(*a,*b,p) != NEGATIVE 
-	  &&  coplanar_orientation(*c,*a,q) != NEGATIVE ;
+        return  coplanar_orientation(*a,*b,p) != NEGATIVE
+          &&  coplanar_orientation(*c,*a,q) != NEGATIVE ;
       // b is isolated on the positive side
-      return  coplanar_orientation(*a,*b,p) != NEGATIVE 
-	&&  coplanar_orientation(*b,*c,q) != NEGATIVE ;
+      return  coplanar_orientation(*a,*b,p) != NEGATIVE
+        &&  coplanar_orientation(*b,*c,q) != NEGATIVE ;
 
     case NEGATIVE:
       if (pqc == NEGATIVE) // a is isolated on the positive side
-	return coplanar_orientation(*a,*b,q) != NEGATIVE 
-	  &&  coplanar_orientation(*c,*a,p) != NEGATIVE ;
+        return coplanar_orientation(*a,*b,q) != NEGATIVE
+          &&  coplanar_orientation(*c,*a,p) != NEGATIVE ;
       // b is isolated on the negative side
-      return  coplanar_orientation(*a,*b,q) != NEGATIVE 
-	&&  coplanar_orientation(*b,*c,p) != NEGATIVE ;
+      return  coplanar_orientation(*a,*b,q) != NEGATIVE
+        &&  coplanar_orientation(*b,*c,p) != NEGATIVE ;
 
     case COLLINEAR:
       if (pqc == POSITIVE) // c is isolated on the positive side
-	return  coplanar_orientation(*b,*c,p) != NEGATIVE 
-	  &&  coplanar_orientation(*c,*a,q) != NEGATIVE ;
+        return  coplanar_orientation(*b,*c,p) != NEGATIVE
+          &&  coplanar_orientation(*c,*a,q) != NEGATIVE ;
       // c is isolated on the negative side
-      return  coplanar_orientation(*b,*c,q) != NEGATIVE 
-	&&  coplanar_orientation(*c,*a,p) != NEGATIVE ;
+      return  coplanar_orientation(*b,*c,q) != NEGATIVE
+        &&  coplanar_orientation(*c,*a,p) != NEGATIVE ;
       // case pqc == COLLINEAR is impossible since the triangle is
       // assumed to be non flat
-      
+
     default:// should not happen.
       CGAL_kernel_assertion(false);
       return false;
-      
+
     }
   default:// should not happen.
     CGAL_kernel_assertion(false);
     return false;
-    
+
   }
 }
 
 
 template <class K>
-bool do_intersect(const typename K::Triangle_3 &t, 
-		  const typename K::Segment_3  &s,
-		  const K & k)
+bool do_intersect(const typename K::Triangle_3 &t,
+                  const typename K::Segment_3  &s,
+                  const K & k)
 {
-  
+
   CGAL_kernel_precondition( ! k.is_degenerate_3_object()(t) ) ;
   CGAL_kernel_precondition( ! k.is_degenerate_3_object()(s) ) ;
-  
+
   typedef typename K::Point_3 Point_3;
-  
 
-  typename K::Construct_point_on_3 point_on = 
+
+  typename K::Construct_point_on_3 point_on =
     k.construct_point_on_3_object();
-  
+
   typename K::Construct_vertex_3 vertex_on =
     k.construct_vertex_3_object();
-  
-  typename K::Orientation_3 orientation = 
+
+  typename K::Orientation_3 orientation =
     k.orientation_3_object();
 
   const Point_3 & a = vertex_on(t,0);
@@ -244,16 +244,16 @@ bool do_intersect(const typename K::Tria
     case NEGATIVE:
       // p sees the triangle in counterclockwise order
       return orientation(p,q,a,b) != POSITIVE
-	&& orientation(p,q,b,c) != POSITIVE
-	&& orientation(p,q,c,a) != POSITIVE;
+        && orientation(p,q,b,c) != POSITIVE
+        && orientation(p,q,c,a) != POSITIVE;
 
     case COPLANAR:
       // q belongs to the triangle's supporting plane
       // p sees the triangle in counterclockwise order
       return orientation(p,q,a,b) != POSITIVE
-	&& orientation(p,q,b,c) != POSITIVE
-	&& orientation(p,q,c,a) != POSITIVE;
-      
+        && orientation(p,q,b,c) != POSITIVE
+        && orientation(p,q,c,a) != POSITIVE;
+
     default: // should not happen.
       CGAL_kernel_assertion(false);
       return false;
@@ -263,20 +263,20 @@ bool do_intersect(const typename K::Tria
     case POSITIVE:
       // q sees the triangle in counterclockwise order
       return orientation(q,p,a,b) != POSITIVE
-	&& orientation(q,p,b,c) != POSITIVE
-	&& orientation(q,p,c,a) != POSITIVE;
+        && orientation(q,p,b,c) != POSITIVE
+        && orientation(q,p,c,a) != POSITIVE;
 
     case NEGATIVE:
       // the segment lies in the negative open halfspaces defined by the
       // triangle's supporting plane
       return false;
-      
+
     case COPLANAR:
       // q belongs to the triangle's supporting plane
       // p sees the triangle in clockwise order
       return orientation(q,p,a,b) != POSITIVE
-	&& orientation(q,p,b,c) != POSITIVE
-	&& orientation(q,p,c,a) != POSITIVE;
+        && orientation(q,p,b,c) != POSITIVE
+        && orientation(q,p,c,a) != POSITIVE;
 
     default: // should not happen.
       CGAL_kernel_assertion(false);
@@ -287,20 +287,20 @@ bool do_intersect(const typename K::Tria
     case POSITIVE:
       // q sees the triangle in counterclockwise order
       return orientation(q,p,a,b) != POSITIVE
-	&& orientation(q,p,b,c) != POSITIVE
-	&& orientation(q,p,c,a) != POSITIVE;
-      
+        && orientation(q,p,b,c) != POSITIVE
+        && orientation(q,p,c,a) != POSITIVE;
+
     case NEGATIVE:
       // q sees the triangle in clockwise order
       return orientation(p,q,a,b) != POSITIVE
-	&& orientation(p,q,b,c) != POSITIVE
-	&& orientation(p,q,c,a) != POSITIVE;
+        && orientation(p,q,b,c) != POSITIVE
+        && orientation(p,q,c,a) != POSITIVE;
     case COPLANAR:
       // the segment is coplanar with the triangle's supporting plane
-      // we test whether the segment intersects the triangle in the common 
+      // we test whether the segment intersects the triangle in the common
       // supporting plane
       return do_intersect_coplanar(t,s,k);
-      
+
     default: // should not happen.
       CGAL_kernel_assertion(false);
       return false;
@@ -315,8 +315,8 @@ bool do_intersect(const typename K::Tria
 template <class K>
 inline
 bool do_intersect(const typename K::Segment_3  &s,
-		  const typename K::Triangle_3 &t, 
-		  const K & k)
+                  const typename K::Triangle_3 &t,
+                  const K & k)
 {
   return do_intersect(t, s, k);
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Segment_3_intersection.h 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Segment_3_intersection.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Segment_3_intersection.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Segment_3_intersection.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Segment_3_intersection.h $
-// $Id: Triangle_3_Segment_3_intersection.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Segment_3_intersection.h $
+// $Id: Triangle_3_Segment_3_intersection.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -19,9 +19,9 @@
 #include <CGAL/intersections.h>
 
 namespace CGAL {
-  
+
 namespace Intersections {
-  
+
 namespace internal {
 
 template <class K>
@@ -148,7 +148,7 @@ t3s3_intersection_collinear_aux(const ty
     k.collinear_are_ordered_along_line_3_object();
 
   typename K::Equal_3 equals = k.equal_3_object();
- 
+
   // possible orders: [p,a,b,q], [p,a,q,b], [p,q,a,b], [a,p,b,q], [a,p,q,b], [a,b,p,q]
   if ( collinear_ordered(p,a,b) )
   {
@@ -438,9 +438,9 @@ intersection(const typename K::Triangle_
               && orientation(p,q,c,a) != POSITIVE )
           {
             // The intersection should be a point
-            
+
             typename Intersection_traits<K, typename K::Line_3, typename K::Plane_3>
-              ::result_type 
+              ::result_type
               v = internal::intersection(s.supporting_line(),t.supporting_plane(), K());
             if(v) {
               if(const Point_3* res = intersect_get<Point_3>(v))
@@ -476,7 +476,7 @@ intersection(const typename K::Triangle_
             && orientation(q,p,b,c) != POSITIVE
             && orientation(q,p,c,a) != POSITIVE )
           {
-            typename Intersection_traits<K, typename K::Line_3, typename K::Plane_3>::result_type 
+            typename Intersection_traits<K, typename K::Line_3, typename K::Plane_3>::result_type
               v = internal::intersection(s.supporting_line(),t.supporting_plane(), K());
             if(v) {
               if(const Point_3* res = intersect_get<Point_3>(v))
@@ -545,7 +545,7 @@ intersection(const typename K::Triangle_
 
 template <class K>
 inline
-typename Intersection_traits<K, typename K::Segment_3, 
+typename Intersection_traits<K, typename K::Segment_3,
                                typename K::Triangle_3>::result_type
 intersection(const typename K::Segment_3  &s,
              const typename K::Triangle_3 &t,
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Sphere_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Sphere_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Sphere_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Sphere_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Sphere_3_do_intersect.h $
-// $Id: Triangle_3_Sphere_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Sphere_3_do_intersect.h $
+// $Id: Triangle_3_Sphere_3_do_intersect.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -36,7 +36,7 @@ inline
 typename K::Boolean
 do_intersect(const typename K::Sphere_3 &sp,
              const typename K::Triangle_3 &tr,
-	     const K & /* k */)
+             const K & /* k */)
 {
   return squared_distance(sp.center(), tr) <= sp.squared_radius();
 }
@@ -46,7 +46,7 @@ inline
 typename K::Boolean
 do_intersect(const typename K::Triangle_3 &tr,
              const typename K::Sphere_3 &sp,
-	     const K & /* k */)
+             const K & /* k */)
 {
   return squared_distance(sp.center(), tr) <= sp.squared_radius();
 }
@@ -55,7 +55,7 @@ inline
 typename K::Boolean
 do_intersect(const typename K::Sphere_3 &sp,
              const typename K::Line_3 &lin,
-	     const K & /* k */)
+             const K & /* k */)
 {
   return squared_distance(sp.center(), lin) <= sp.squared_radius();
 }
@@ -65,8 +65,8 @@ template <class K>
 inline
 typename K::Boolean
 do_intersect(const typename K::Line_3 &lin,
-	     const typename K::Sphere_3 &sp,
-	     const K & /* k */)
+             const typename K::Sphere_3 &sp,
+             const K & /* k */)
 {
   return squared_distance(sp.center(), lin) <= sp.squared_radius();
 }
@@ -78,7 +78,7 @@ inline
 typename K::Boolean
 do_intersect(const typename K::Sphere_3 &sp,
              const typename K::Ray_3 &lin,
-	     const K & /* k */)
+             const K & /* k */)
 {
   return squared_distance(sp.center(), lin) <= sp.squared_radius();
 }
@@ -88,8 +88,8 @@ template <class K>
 inline
 typename K::Boolean
 do_intersect(const typename K::Ray_3 &lin,
-	     const typename K::Sphere_3 &sp,
-	     const K & /* k */)
+             const typename K::Sphere_3 &sp,
+             const K & /* k */)
 {
   return squared_distance(sp.center(), lin) <= sp.squared_radius();
 }
@@ -99,7 +99,7 @@ inline
 typename K::Boolean
 do_intersect(const typename K::Sphere_3 &sp,
              const typename K::Segment_3 &lin,
-	     const K & /* k */)
+             const K & /* k */)
 {
   return squared_distance(sp.center(), lin) <= sp.squared_radius();
 }
@@ -109,8 +109,8 @@ template <class K>
 inline
 typename K::Boolean
 do_intersect(const typename K::Segment_3 &lin,
-	     const typename K::Sphere_3 &sp,
-	     const K & /* k */)
+             const typename K::Sphere_3 &sp,
+             const K & /* k */)
 {
   return squared_distance(sp.center(), lin) <= sp.squared_radius();
 }
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Triangle_3_do_intersect.h 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Triangle_3_do_intersect.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Triangle_3_do_intersect.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Triangle_3_do_intersect.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Triangle_3_do_intersect.h $
-// $Id: Triangle_3_Triangle_3_do_intersect.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Triangle_3_do_intersect.h $
+// $Id: Triangle_3_Triangle_3_do_intersect.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Philippe Guigue
 
@@ -22,182 +22,182 @@ namespace CGAL {
 
   template <class K>
   class Triangle_3;
-  
+
 namespace Intersections {
 
 namespace internal {
 
 template <class K>
-bool  _intersection_test_vertex(const typename K::Point_3 * p, 
-				const typename K::Point_3 * q, 
-				const typename K::Point_3 * r,
-				const typename K::Point_3 * a, 
-				const typename K::Point_3 * b, 
-				const typename K::Point_3 * c,
-				const K & k){
+bool  _intersection_test_vertex(const typename K::Point_3 * p,
+                                const typename K::Point_3 * q,
+                                const typename K::Point_3 * r,
+                                const typename K::Point_3 * a,
+                                const typename K::Point_3 * b,
+                                const typename K::Point_3 * c,
+                                const K & k){
 
   CGAL_kernel_precondition( k.coplanar_orientation_3_object() (*p,*q,*r)
-			    == POSITIVE);
+                            == POSITIVE);
   CGAL_kernel_precondition( k.coplanar_orientation_3_object() (*a,*b,*c)
-			    == POSITIVE);
-  
+                            == POSITIVE);
+
 
   // Vertex p sees vertex c
 
-  typename K::Coplanar_orientation_3 coplanar_orientation = 
+  typename K::Coplanar_orientation_3 coplanar_orientation =
     k.coplanar_orientation_3_object();
 
 
   if (coplanar_orientation(*c,*a,*q) != NEGATIVE) {
     if (coplanar_orientation(*c,*b,*q) != POSITIVE) {
-      if (coplanar_orientation(*p,*a,*q) == POSITIVE) 
-        return  coplanar_orientation(*p,*b,*q) != POSITIVE;  
-      
+      if (coplanar_orientation(*p,*a,*q) == POSITIVE)
+        return  coplanar_orientation(*p,*b,*q) != POSITIVE;
+
       return coplanar_orientation(*p,*a,*r) != NEGATIVE
-	&& coplanar_orientation(*q,*r,*a) != NEGATIVE;
+        && coplanar_orientation(*q,*r,*a) != NEGATIVE;
     }
-     
+
     if (coplanar_orientation(*p,*b,*q) != POSITIVE)
       return coplanar_orientation(*c,*b,*r) != POSITIVE
-	&& coplanar_orientation(*q,*r,*b) != NEGATIVE;
+        && coplanar_orientation(*q,*r,*b) != NEGATIVE;
     return false;
-    
+
   }
-  
-  if (coplanar_orientation(*c,*a,*r) != NEGATIVE) { //qr straddles (ac) 
+
+  if (coplanar_orientation(*c,*a,*r) != NEGATIVE) { //qr straddles (ac)
     if (coplanar_orientation(*q,*r,*c) != NEGATIVE)
       return (coplanar_orientation(*p,*a,*r) != NEGATIVE);
-    
+
     return coplanar_orientation(*q,*r,*b) != NEGATIVE
       && coplanar_orientation(*c,*r,*b) != NEGATIVE;
   }
   return false; // ca separes
-  
+
 }
 
 
 template <class K>
-bool  _intersection_test_edge(const typename K::Point_3 * p, 
-			      const typename K::Point_3 * q, 
-			      const typename K::Point_3 * r,
-			      const typename K::Point_3 * a, 
-			      const typename K::Point_3 * CGAL_kernel_precondition_code(b), 
-			      const typename K::Point_3 * c,
-			      const K & k){
-  
+bool  _intersection_test_edge(const typename K::Point_3 * p,
+                              const typename K::Point_3 * q,
+                              const typename K::Point_3 * r,
+                              const typename K::Point_3 * a,
+                              const typename K::Point_3 * CGAL_kernel_precondition_code(b),
+                              const typename K::Point_3 * c,
+                              const K & k){
+
   CGAL_kernel_precondition( k.coplanar_orientation_3_object() (*p,*q,*r)
-			    == POSITIVE);
+                            == POSITIVE);
   CGAL_kernel_precondition( k.coplanar_orientation_3_object() (*a,*b,*c)
-			    == POSITIVE);
+                            == POSITIVE);
 
   // Vertex p sees edge ca
-  
-  typename K::Coplanar_orientation_3 coplanar_orientation = 
+
+  typename K::Coplanar_orientation_3 coplanar_orientation =
     k.coplanar_orientation_3_object();
 
 
 
   if (coplanar_orientation(*c,*a,*q) != NEGATIVE) {  //pq straddles (ac)
-    if (coplanar_orientation(*p,*a,*q) != NEGATIVE) 
+    if (coplanar_orientation(*p,*a,*q) != NEGATIVE)
       return coplanar_orientation(*p,*q,*c) != NEGATIVE ;
-   
+
     return coplanar_orientation(*q,*r,*a) != NEGATIVE
       && coplanar_orientation(*r,*p,*a) != NEGATIVE;
   }
-   
-  if (coplanar_orientation(*c,*a,*r) != NEGATIVE) { 
+
+  if (coplanar_orientation(*c,*a,*r) != NEGATIVE) {
     // pr and qr straddle line (pr)
     return coplanar_orientation(*p,*a,*r) != NEGATIVE
       && ( coplanar_orientation(*p,*r,*c) != NEGATIVE
-	   || coplanar_orientation(*q,*r,*c) != NEGATIVE );
+           || coplanar_orientation(*q,*r,*c) != NEGATIVE );
   }
-    
+
   return false; //ac separes
 }
 
 
 template <class K>
-bool do_intersect_coplanar(const typename K::Triangle_3 &t1, 
-			   const typename K::Triangle_3 &t2,
-			   const K & k) 
+bool do_intersect_coplanar(const typename K::Triangle_3 &t1,
+                           const typename K::Triangle_3 &t2,
+                           const K & k)
 {
-    
+
   CGAL_kernel_precondition( ! k.is_degenerate_3_object() (t1) );
   CGAL_kernel_precondition( ! k.is_degenerate_3_object() (t2) );
 
   typedef typename K::Point_3 Point_3;
-  
+
   typename K::Construct_vertex_3 vertex_on =
     k.construct_vertex_3_object();
- 
-  typename K::Coplanar_orientation_3 coplanar_orientation = 
+
+  typename K::Coplanar_orientation_3 coplanar_orientation =
     k.coplanar_orientation_3_object();
 
     const Point_3 & P = vertex_on(t1,0);
     const Point_3 & Q = vertex_on(t1,1);
     const Point_3 & R = vertex_on(t1,2);
-    
+
     const Point_3 & A = vertex_on(t2,0);
     const Point_3 & B = vertex_on(t2,1);
     const Point_3 & C = vertex_on(t2,2);
-    
+
 
     const Point_3 * p = &P;
     const Point_3 * q = &Q;
     const Point_3 * r = &R;
-    
+
     const Point_3 * a = &A;
     const Point_3 * b = &B;
     const Point_3 * c = &C;
 
     // First we ensure that both triangles are counterclockwise
     // oriented, t1 and t2 are supposed  to be non flat.
-    
+
     if ( coplanar_orientation(P,Q,R) == NEGATIVE ) {
       q = &R;
       r = &Q;
     }
-    
+
     if ( coplanar_orientation(A,B,C) == NEGATIVE ) {
       b = &C;
       c = &B;
     }
 
 
-    // Localization of p in the arrangement of the 
+    // Localization of p in the arrangement of the
     // lines supporting abc's edges
 
     if ( coplanar_orientation(*a,*b,*p) != NEGATIVE ) {
       if ( coplanar_orientation(*b,*c,*p) != NEGATIVE ) {
-	if ( coplanar_orientation(*c,*a,*p) != NEGATIVE )
-	  // p is inside triangle abc
-	  return true;
-	// p sees ac
-	return internal::_intersection_test_edge(p,q,r,a,b,c,k);
+        if ( coplanar_orientation(*c,*a,*p) != NEGATIVE )
+          // p is inside triangle abc
+          return true;
+        // p sees ac
+        return internal::_intersection_test_edge(p,q,r,a,b,c,k);
       }
-      if ( coplanar_orientation(*c,*a,*p) != NEGATIVE )//p sees bc 
-	return internal::_intersection_test_edge(p,q,r,c,a,b,k);
+      if ( coplanar_orientation(*c,*a,*p) != NEGATIVE )//p sees bc
+        return internal::_intersection_test_edge(p,q,r,c,a,b,k);
       // p sees c
       return internal::_intersection_test_vertex(p,q,r,a,b,c,k);
-      
+
     }
     if ( coplanar_orientation(*b,*c,*p) != NEGATIVE ) {
       if ( coplanar_orientation(*c,*a,*p) != NEGATIVE ) //p sees ab
-	return internal::_intersection_test_edge(p,q,r,b,c,a,k);
+        return internal::_intersection_test_edge(p,q,r,b,c,a,k);
       // p sees a
       return internal::_intersection_test_vertex(p,q,r,b,c,a,k);
-    } 
+    }
     // p sees b
     return internal::_intersection_test_vertex(p,q,r,c,a,b,k);
-    
+
 }
 
 
 template <class K>
 typename K::Boolean
-do_intersect(const typename K::Triangle_3 &t1, 
-	     const typename K::Triangle_3 &t2,
-	     const K & k) 
+do_intersect(const typename K::Triangle_3 &t1,
+             const typename K::Triangle_3 &t2,
+             const K & k)
 {
   CGAL_kernel_precondition( ! k.is_degenerate_3_object() (t1) );
   CGAL_kernel_precondition( ! k.is_degenerate_3_object() (t2) );
@@ -207,7 +207,7 @@ do_intersect(const typename K::Triangle_
   typename K::Construct_vertex_3 vertex_on =
     k.construct_vertex_3_object();
 
-  typename K::Orientation_3 orientation = 
+  typename K::Orientation_3 orientation =
     k.orientation_3_object();
 
 
@@ -223,222 +223,222 @@ do_intersect(const typename K::Triangle_
    const Point_3  * t_min1;
    const Point_3  * s_max1;
    const Point_3  * t_max1;
-   
+
    // Compute distance signs  of p, q and r to the plane of triangle(a,b,c)
    const Orientation dp = make_certain(orientation(a,b,c,p));
    const Orientation dq = make_certain(orientation(a,b,c,q));
    const Orientation dr = make_certain(orientation(a,b,c,r));
-   
- 
+
+
     switch ( dp ) {
     case POSITIVE:
       if ( dq == POSITIVE ) {
-	if ( dr == POSITIVE) 
-	  // pqr lies in the open positive halfspace induced by
-	  // the plane of triangle(a,b,c)
-	  return false;
-	// r is isolated on the negative side of the plane
-	s_min1 = &q ; t_min1 = &r ; s_max1 = &r ; t_max1 = &p; 
-	
+        if ( dr == POSITIVE)
+          // pqr lies in the open positive halfspace induced by
+          // the plane of triangle(a,b,c)
+          return false;
+        // r is isolated on the negative side of the plane
+        s_min1 = &q ; t_min1 = &r ; s_max1 = &r ; t_max1 = &p;
+
       } else {
-	if  ( dr == POSITIVE) {
-	  // q is isolated on the negative side of the plane
-	  s_min1 =  &p; t_min1 =  &q; s_max1 =  &q; t_max1 =  &r; 
-	} else {
-	  // p is isolated on the positive side of the plane
-	  s_min1 =  &p; t_min1 =  &q; s_max1 =  &r; t_max1 =  &p; 
-	}
+        if  ( dr == POSITIVE) {
+          // q is isolated on the negative side of the plane
+          s_min1 =  &p; t_min1 =  &q; s_max1 =  &q; t_max1 =  &r;
+        } else {
+          // p is isolated on the positive side of the plane
+          s_min1 =  &p; t_min1 =  &q; s_max1 =  &r; t_max1 =  &p;
+        }
       }
       break;
-      
+
     case NEGATIVE:
       if ( dq == NEGATIVE ) {
-	if ( dr == NEGATIVE ) 
-	  // pqr lies in the open negative halfspace induced by
-	  // the plane of triangle(a,b,c)
-	  return false;	
-	// r is isolated on the positive side of the plane
-	s_min1 =  &r; t_min1 =  &p; s_max1 =  &q; t_max1 =  &r; 
-	
+        if ( dr == NEGATIVE )
+          // pqr lies in the open negative halfspace induced by
+          // the plane of triangle(a,b,c)
+          return false;
+        // r is isolated on the positive side of the plane
+        s_min1 =  &r; t_min1 =  &p; s_max1 =  &q; t_max1 =  &r;
+
       } else {
-	if ( dr == NEGATIVE ) {
-	  // q is isolated on the positive side of the plane
-	  s_min1 =  &q; t_min1 =  &r; s_max1 =  &p; t_max1 =  &q; 
-	} else {
-	  // p is isolated on the negative side of the plane
-	  s_min1 =  &r; t_min1 =  &p; s_max1 =  &p; t_max1 =  &q; 
-	}
+        if ( dr == NEGATIVE ) {
+          // q is isolated on the positive side of the plane
+          s_min1 =  &q; t_min1 =  &r; s_max1 =  &p; t_max1 =  &q;
+        } else {
+          // p is isolated on the negative side of the plane
+          s_min1 =  &r; t_min1 =  &p; s_max1 =  &p; t_max1 =  &q;
+        }
       }
       break;
-      
+
     case COPLANAR:
       switch  ( dq ) {
       case POSITIVE:
-	if ( dr == POSITIVE ) {
-	  // p is isolated on the negative side of the plane
-	  s_min1 =  &r; t_min1 =  &p; s_max1 =  &p; t_max1 =  &q; 
-	} else {
-	  // q is isolated on the positive side of the plane
-	  s_min1 =  &q; t_min1 =  &r; s_max1 =  &p; t_max1 =  &q; 
-	}
-	break;
-	
+        if ( dr == POSITIVE ) {
+          // p is isolated on the negative side of the plane
+          s_min1 =  &r; t_min1 =  &p; s_max1 =  &p; t_max1 =  &q;
+        } else {
+          // q is isolated on the positive side of the plane
+          s_min1 =  &q; t_min1 =  &r; s_max1 =  &p; t_max1 =  &q;
+        }
+        break;
+
       case NEGATIVE:
-	if ( dr == NEGATIVE ) {
-	  // p is isolated on the positive side of the plane
-	  s_min1 =  &p; t_min1 =  &q; s_max1 =  &r; t_max1 =  &p; 
-	} else {
-	  // q is isolated on the negative side of the plane
-	  s_min1 =  &p; t_min1 =  &q; s_max1 =  &q; t_max1 =  &r; 
-	}
-	break;
-	
+        if ( dr == NEGATIVE ) {
+          // p is isolated on the positive side of the plane
+          s_min1 =  &p; t_min1 =  &q; s_max1 =  &r; t_max1 =  &p;
+        } else {
+          // q is isolated on the negative side of the plane
+          s_min1 =  &p; t_min1 =  &q; s_max1 =  &q; t_max1 =  &r;
+        }
+        break;
+
       case COPLANAR:
-	switch ( dr ) {
-	case POSITIVE:
-	  // r is isolated on the positive side of the plane
-	  s_min1 =  &r; t_min1 =  &p; s_max1 =  &q; t_max1 =  &r; 
-	  break;
-	  
-	case NEGATIVE:
-	  // r is isolated on the negative side of the plane
-	  s_min1 =  &q ; t_min1 =  &r ; s_max1 =  &r ; t_max1 =  &p; 
-	  break;
-	  
-	case COPLANAR:
-	  return do_intersect_coplanar(t1,t2,k);
-	default: // should not happen.
-	  CGAL_kernel_assertion(false);
-	  return false;
-	  
-	}
-	break;
-	
+        switch ( dr ) {
+        case POSITIVE:
+          // r is isolated on the positive side of the plane
+          s_min1 =  &r; t_min1 =  &p; s_max1 =  &q; t_max1 =  &r;
+          break;
+
+        case NEGATIVE:
+          // r is isolated on the negative side of the plane
+          s_min1 =  &q ; t_min1 =  &r ; s_max1 =  &r ; t_max1 =  &p;
+          break;
+
+        case COPLANAR:
+          return do_intersect_coplanar(t1,t2,k);
+        default: // should not happen.
+          CGAL_kernel_assertion(false);
+          return false;
+
+        }
+        break;
+
       default: // should not happen.
       CGAL_kernel_assertion(false);
       return false;
-	
+
       }
       break;
-      
+
     default: // should not happen.
       CGAL_kernel_assertion(false);
       return false;
     }
 
-        
-    
+
+
     const Point_3  * s_min2;
     const Point_3  * t_min2;
     const Point_3  * s_max2;
     const Point_3  * t_max2;
-    
+
     // Compute distance signs  of a, b and c to the plane of triangle(p,q,r)
     const Orientation da = make_certain(orientation(p,q,r,a));
     const Orientation db = make_certain(orientation(p,q,r,b));
     const Orientation dc = make_certain(orientation(p,q,r,c));
-    
+
 
     switch ( da ) {
     case POSITIVE:
       if ( db == POSITIVE ) {
-	if ( dc == POSITIVE) 
-	  // abc lies in the open positive halfspace induced by
-	  // the plane of triangle(p,q,r)
-	  return false;
-	// c is isolated on the negative side of the plane
-	s_min2 =  &b ; t_min2 =  &c ; s_max2 =  &c ; t_max2 =  &a; 
-	
+        if ( dc == POSITIVE)
+          // abc lies in the open positive halfspace induced by
+          // the plane of triangle(p,q,r)
+          return false;
+        // c is isolated on the negative side of the plane
+        s_min2 =  &b ; t_min2 =  &c ; s_max2 =  &c ; t_max2 =  &a;
+
       } else {
-	if  ( dc == POSITIVE) {
-	  // b is isolated on the negative side of the plane
-	  s_min2 =  &a; t_min2 =  &b; s_max2 =  &b; t_max2 =  &c; 
-	} else {
-	  // a is isolated on the positive side of the plane
-	  s_min2 =  &a; t_min2 =  &b; s_max2 =  &c; t_max2 =  &a; 
-	}
+        if  ( dc == POSITIVE) {
+          // b is isolated on the negative side of the plane
+          s_min2 =  &a; t_min2 =  &b; s_max2 =  &b; t_max2 =  &c;
+        } else {
+          // a is isolated on the positive side of the plane
+          s_min2 =  &a; t_min2 =  &b; s_max2 =  &c; t_max2 =  &a;
+        }
       }
       break;
-      
+
     case NEGATIVE:
       if ( db == NEGATIVE ) {
-	if ( dc == NEGATIVE ) 
-	  // abc lies in the open negative halfspace induced by
-	  // the plane of triangle(p,q,r)
-	  return false;	
-	// c is isolated on the positive side of the plane
-	s_min2 =  &c ; t_min2 =  &a ; s_max2 =  &b ; t_max2 =  &c; 
+        if ( dc == NEGATIVE )
+          // abc lies in the open negative halfspace induced by
+          // the plane of triangle(p,q,r)
+          return false;
+        // c is isolated on the positive side of the plane
+        s_min2 =  &c ; t_min2 =  &a ; s_max2 =  &b ; t_max2 =  &c;
 
       } else {
-	if ( dc == NEGATIVE ) {
-	  // b is isolated on the positive side of the plane
-	  s_min2 =  &b ; t_min2 =  &c ; s_max2 =  &a ; t_max2 =  &b; 
-	} else {
-	  // a is isolated on the negative side of the plane
-	  s_min2 =  &c ; t_min2 =  &a ; s_max2 =  &a ; t_max2 =  &b; 
-	}
+        if ( dc == NEGATIVE ) {
+          // b is isolated on the positive side of the plane
+          s_min2 =  &b ; t_min2 =  &c ; s_max2 =  &a ; t_max2 =  &b;
+        } else {
+          // a is isolated on the negative side of the plane
+          s_min2 =  &c ; t_min2 =  &a ; s_max2 =  &a ; t_max2 =  &b;
+        }
       }
       break;
-      
+
     case COPLANAR:
       switch  ( db ) {
       case POSITIVE:
-	if ( dc == POSITIVE ) {
-	  // a is isolated on the negative side of the plane
-	  s_min2 =  &c ; t_min2 =  &a ; s_max2 =  &a ; t_max2 =  &b; 
-	} else {
-	  // b is isolated on the positive side of the plane
-	  s_min2 =  &b ; t_min2 =  &c ; s_max2 =  &a ; t_max2 =  &b; 
-	}
-	break;
-	
+        if ( dc == POSITIVE ) {
+          // a is isolated on the negative side of the plane
+          s_min2 =  &c ; t_min2 =  &a ; s_max2 =  &a ; t_max2 =  &b;
+        } else {
+          // b is isolated on the positive side of the plane
+          s_min2 =  &b ; t_min2 =  &c ; s_max2 =  &a ; t_max2 =  &b;
+        }
+        break;
+
       case NEGATIVE:
-	if ( dc == NEGATIVE ) {
-	  // a is isolated on the positive side of the plane
-	  s_min2 =  &a ; t_min2 =  &b ; s_max2 =  &c ; t_max2 =  &a; 
-	} else {
-	  // b is isolated on the negative side of the plane
-	  s_min2 =  &a ; t_min2 =  &b ; s_max2 =  &b ; t_max2 =  &c; 
-	}
-	break;
-	
+        if ( dc == NEGATIVE ) {
+          // a is isolated on the positive side of the plane
+          s_min2 =  &a ; t_min2 =  &b ; s_max2 =  &c ; t_max2 =  &a;
+        } else {
+          // b is isolated on the negative side of the plane
+          s_min2 =  &a ; t_min2 =  &b ; s_max2 =  &b ; t_max2 =  &c;
+        }
+        break;
+
       case COPLANAR:
-	switch ( dc ) {
-	case POSITIVE:
-	  // c is isolated on the positive side of the plane
-	  s_min2 =  &c ; t_min2 =  &a ; s_max2 =  &b ; t_max2 =  &c;
-	  break;
-	  
-	case NEGATIVE:
-	  // c is isolated on the negative side of the plane
-	  s_min2 =  &b ; t_min2 =  &c ; s_max2 =  &c ; t_max2 =  &a; 
-	  break;
-	  
-	case COPLANAR:
-	  // Supposed unreachable code
-	  // since the triangles are assumed to be non-flat
-	  
-	  return do_intersect_coplanar(t1,t2,k);
-	default: // should not happen.
-	  CGAL_kernel_assertion(false);
-	  return false;
-	  
-	}
-	break;
-	
+        switch ( dc ) {
+        case POSITIVE:
+          // c is isolated on the positive side of the plane
+          s_min2 =  &c ; t_min2 =  &a ; s_max2 =  &b ; t_max2 =  &c;
+          break;
+
+        case NEGATIVE:
+          // c is isolated on the negative side of the plane
+          s_min2 =  &b ; t_min2 =  &c ; s_max2 =  &c ; t_max2 =  &a;
+          break;
+
+        case COPLANAR:
+          // Supposed unreachable code
+          // since the triangles are assumed to be non-flat
+
+          return do_intersect_coplanar(t1,t2,k);
+        default: // should not happen.
+          CGAL_kernel_assertion(false);
+          return false;
+
+        }
+        break;
+
       default: // should not happen.
       CGAL_kernel_assertion(false);
       return false;
-	
+
       }
       break;
-      
+
     default: // should not happen.
       CGAL_kernel_assertion(false);
       return false;
     }
-    
-    return  orientation(*s_min1,*t_min1,*s_min2,*t_min2) != POSITIVE 
+
+    return  orientation(*s_min1,*t_min1,*s_min2,*t_min2) != POSITIVE
       &&  orientation(*s_max1,*t_max1,*t_max2,*s_max2) != POSITIVE;
 }
 
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Triangle_3_intersection.h 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Triangle_3_intersection.h
--- 5.0.2-3/include/CGAL/Intersections_3/internal/Triangle_3_Triangle_3_intersection.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/internal/Triangle_3_Triangle_3_intersection.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Triangle_3_intersection.h $
-// $Id: Triangle_3_Triangle_3_intersection.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/internal/Triangle_3_Triangle_3_intersection.h $
+// $Id: Triangle_3_Triangle_3_intersection.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -26,7 +26,7 @@ namespace CGAL {
 
   template <class K>
   class Triangle_3;
-  
+
 namespace Intersections {
 
 namespace internal{
@@ -50,7 +50,7 @@ void intersection_coplanar_triangles_cut
     orientations[ &(*it) ]=orient(p,q,r,*it);
 
   int pt_added=0;
-  
+
   const typename Kernel::Point_3* prev = &(*boost::prior(inter_pts.end()));
   Iterator stop = inter_pts.size() > 2 ? inter_pts.end() : boost::prior(inter_pts.end());
   for (Iterator it=inter_pts.begin();it!=stop;++it)
@@ -61,7 +61,7 @@ void intersection_coplanar_triangles_cut
     {
       typename Intersection_traits<Kernel, typename Kernel::Line_3,
                                      typename Kernel::Line_3>
-        ::result_type 
+        ::result_type
         obj = intersection(Line_3(p,q),Line_3(*prev,curr),k);
       // assert "not empty"
       CGAL_kernel_assertion(bool(obj));
@@ -71,9 +71,9 @@ void intersection_coplanar_triangles_cut
       orientations[prev]=COLLINEAR;
       ++pt_added;
     }
-    prev=&(*it);    
+    prev=&(*it);
   }
-  
+
   CGAL_kernel_assertion(pt_added<3);
   Iterator it=inter_pts.begin();
   while(it!=inter_pts.end())
@@ -84,7 +84,7 @@ void intersection_coplanar_triangles_cut
       ++it;
   }
 }
-  
+
 template <class K>
 typename Intersection_traits<K, typename K::Triangle_3, typename K::Triangle_3>::result_type
 intersection_coplanar_triangles(
@@ -93,7 +93,7 @@ intersection_coplanar_triangles(
   const K& k)
 {
   const typename K::Point_3& p=t1.vertex(0),q=t1.vertex(1),r=t1.vertex(2);
-  
+
   std::list<typename K::Point_3> inter_pts;
   inter_pts.push_back(t2.vertex(0));
   inter_pts.push_back(t2.vertex(1));
@@ -103,7 +103,7 @@ intersection_coplanar_triangles(
   intersection_coplanar_triangles_cutoff(p,q,r,k,inter_pts); //line pq
   intersection_coplanar_triangles_cutoff(q,r,p,k,inter_pts); //line qr
   intersection_coplanar_triangles_cutoff(r,p,q,k,inter_pts); //line rp
-  
+
   switch ( inter_pts.size() ) {
     case 0:
       return intersection_return<typename K::Intersect_3, typename K::Triangle_3, typename K::Triangle_3>();
@@ -149,7 +149,7 @@ struct Triangle_Line_visitor {
 
   result_type
   operator()(const typename K::Segment_3& s1, const typename K::Segment_3& s2) const {
-    typename Intersection_traits<K, typename K::Segment_3, typename K::Segment_3>::result_type 
+    typename Intersection_traits<K, typename K::Segment_3, typename K::Segment_3>::result_type
       v = intersection_collinear_segments(s1,s2,K());
 
     if(v) {
@@ -162,7 +162,7 @@ struct Triangle_Line_visitor {
     return result_type();
   }
 };
-  
+
 template <class K>
 typename Intersection_traits<K, typename K::Triangle_3, typename K::Triangle_3>::result_type
 intersection(
@@ -172,7 +172,7 @@ intersection(
 {
   CGAL_precondition(!t1.is_degenerate() && !t2.is_degenerate());
 
-  typename Intersection_traits<K, typename K::Plane_3, typename K::Plane_3>::result_type 
+  typename Intersection_traits<K, typename K::Plane_3, typename K::Plane_3>::result_type
     v = internal::intersection(t1.supporting_plane(), t2.supporting_plane(), k);
 
   if(!v) {
@@ -190,7 +190,7 @@ intersection(
     typedef
     typename Intersection_traits<K, typename K::Triangle_3, typename K::Line_3>::result_type
       Triangle_Line_Inter;
-    
+
     Triangle_Line_Inter inter1 = intersection_coplanar(t1,*line,k);
     Triangle_Line_Inter inter2 = intersection_coplanar(t2,*line,k);
     if(!inter1 || !inter2) {
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Iso_cuboid_3.h 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Iso_cuboid_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Iso_cuboid_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Iso_cuboid_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Iso_cuboid_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Iso_cuboid_3.h $
 // $Id: Iso_cuboid_3_Iso_cuboid_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Line_3.h 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Line_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Line_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Line_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Line_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Line_3.h $
 // $Id: Iso_cuboid_3_Line_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Plane_3.h 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Plane_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Plane_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Plane_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Plane_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Plane_3.h $
 // $Id: Iso_cuboid_3_Plane_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Point_3.h 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Point_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Point_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Point_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Point_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Point_3.h $
 // $Id: Iso_cuboid_3_Point_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Ray_3.h 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Ray_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Ray_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Ray_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Ray_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Ray_3.h $
 // $Id: Iso_cuboid_3_Ray_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Segment_3.h 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Segment_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Segment_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Segment_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Segment_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Segment_3.h $
 // $Id: Iso_cuboid_3_Segment_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Sphere_3.h 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Sphere_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Sphere_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Sphere_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Sphere_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Sphere_3.h $
 // $Id: Iso_cuboid_3_Sphere_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Tetrahedron_3.h 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Tetrahedron_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Tetrahedron_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Tetrahedron_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Tetrahedron_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Tetrahedron_3.h $
 // $Id: Iso_cuboid_3_Tetrahedron_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Triangle_3.h 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Triangle_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Iso_cuboid_3_Triangle_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Iso_cuboid_3_Triangle_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Triangle_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Iso_cuboid_3_Triangle_3.h $
 // $Id: Iso_cuboid_3_Triangle_3.h ee357fd 2019-10-29T15:19:24+01:00 Laurent Rineau
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Line_3_Line_3.h 5.0.3-1/include/CGAL/Intersections_3/Line_3_Line_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Line_3_Line_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Line_3_Line_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Line_3_Line_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Line_3_Line_3.h $
 // $Id: Line_3_Line_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Line_3_Plane_3.h 5.0.3-1/include/CGAL/Intersections_3/Line_3_Plane_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Line_3_Plane_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Line_3_Plane_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Line_3_Plane_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Line_3_Plane_3.h $
 // $Id: Line_3_Plane_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Line_3_Point_3.h 5.0.3-1/include/CGAL/Intersections_3/Line_3_Point_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Line_3_Point_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Line_3_Point_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Line_3_Point_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Line_3_Point_3.h $
 // $Id: Line_3_Point_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Line_3_Ray_3.h 5.0.3-1/include/CGAL/Intersections_3/Line_3_Ray_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Line_3_Ray_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Line_3_Ray_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Line_3_Ray_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Line_3_Ray_3.h $
 // $Id: Line_3_Ray_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Line_3_Segment_3.h 5.0.3-1/include/CGAL/Intersections_3/Line_3_Segment_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Line_3_Segment_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Line_3_Segment_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Line_3_Segment_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Line_3_Segment_3.h $
 // $Id: Line_3_Segment_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Line_3_Sphere_3.h 5.0.3-1/include/CGAL/Intersections_3/Line_3_Sphere_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Line_3_Sphere_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Line_3_Sphere_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Line_3_Sphere_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Line_3_Sphere_3.h $
 // $Id: Line_3_Sphere_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Line_3_Tetrahedron_3.h 5.0.3-1/include/CGAL/Intersections_3/Line_3_Tetrahedron_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Line_3_Tetrahedron_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Line_3_Tetrahedron_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Line_3_Tetrahedron_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Line_3_Tetrahedron_3.h $
 // $Id: Line_3_Tetrahedron_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Line_3_Triangle_3.h 5.0.3-1/include/CGAL/Intersections_3/Line_3_Triangle_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Line_3_Triangle_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Line_3_Triangle_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Line_3_Triangle_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Line_3_Triangle_3.h $
 // $Id: Line_3_Triangle_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Plane_3_Plane_3.h 5.0.3-1/include/CGAL/Intersections_3/Plane_3_Plane_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Plane_3_Plane_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Plane_3_Plane_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Plane_3_Plane_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Plane_3_Plane_3.h $
 // $Id: Plane_3_Plane_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Plane_3_Point_3.h 5.0.3-1/include/CGAL/Intersections_3/Plane_3_Point_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Plane_3_Point_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Plane_3_Point_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Plane_3_Point_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Plane_3_Point_3.h $
 // $Id: Plane_3_Point_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Plane_3_Ray_3.h 5.0.3-1/include/CGAL/Intersections_3/Plane_3_Ray_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Plane_3_Ray_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Plane_3_Ray_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Plane_3_Ray_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Plane_3_Ray_3.h $
 // $Id: Plane_3_Ray_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Plane_3_Segment_3.h 5.0.3-1/include/CGAL/Intersections_3/Plane_3_Segment_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Plane_3_Segment_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Plane_3_Segment_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Plane_3_Segment_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Plane_3_Segment_3.h $
 // $Id: Plane_3_Segment_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Plane_3_Sphere_3.h 5.0.3-1/include/CGAL/Intersections_3/Plane_3_Sphere_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Plane_3_Sphere_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Plane_3_Sphere_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Plane_3_Sphere_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Plane_3_Sphere_3.h $
 // $Id: Plane_3_Sphere_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Plane_3_Tetrahedron_3.h 5.0.3-1/include/CGAL/Intersections_3/Plane_3_Tetrahedron_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Plane_3_Tetrahedron_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Plane_3_Tetrahedron_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Plane_3_Tetrahedron_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Plane_3_Tetrahedron_3.h $
 // $Id: Plane_3_Tetrahedron_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Plane_3_Triangle_3.h 5.0.3-1/include/CGAL/Intersections_3/Plane_3_Triangle_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Plane_3_Triangle_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Plane_3_Triangle_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Plane_3_Triangle_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Plane_3_Triangle_3.h $
 // $Id: Plane_3_Triangle_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Point_3_Point_3.h 5.0.3-1/include/CGAL/Intersections_3/Point_3_Point_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Point_3_Point_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Point_3_Point_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Point_3_Point_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Point_3_Point_3.h $
 // $Id: Point_3_Point_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Point_3_Ray_3.h 5.0.3-1/include/CGAL/Intersections_3/Point_3_Ray_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Point_3_Ray_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Point_3_Ray_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Point_3_Ray_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Point_3_Ray_3.h $
 // $Id: Point_3_Ray_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Point_3_Segment_3.h 5.0.3-1/include/CGAL/Intersections_3/Point_3_Segment_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Point_3_Segment_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Point_3_Segment_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Point_3_Segment_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Point_3_Segment_3.h $
 // $Id: Point_3_Segment_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Point_3_Sphere_3.h 5.0.3-1/include/CGAL/Intersections_3/Point_3_Sphere_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Point_3_Sphere_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Point_3_Sphere_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Point_3_Sphere_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Point_3_Sphere_3.h $
 // $Id: Point_3_Sphere_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Point_3_Tetrahedron_3.h 5.0.3-1/include/CGAL/Intersections_3/Point_3_Tetrahedron_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Point_3_Tetrahedron_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Point_3_Tetrahedron_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Point_3_Tetrahedron_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Point_3_Tetrahedron_3.h $
 // $Id: Point_3_Tetrahedron_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Point_3_Triangle_3.h 5.0.3-1/include/CGAL/Intersections_3/Point_3_Triangle_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Point_3_Triangle_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Point_3_Triangle_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Point_3_Triangle_3.h $
-// $Id: Point_3_Triangle_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Point_3_Triangle_3.h $
+// $Id: Point_3_Triangle_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Philippe Guigue
 
@@ -23,26 +23,26 @@
 namespace CGAL {
 
 namespace Intersections {
-  
+
 namespace internal {
 
 template <class K>
-bool do_intersect(const typename K::Triangle_3 &t, 
-		  const typename K::Point_3    &p,
-		  const K & k )
+bool do_intersect(const typename K::Triangle_3 &t,
+                  const typename K::Point_3    &p,
+                  const K & k )
 {
 
   CGAL_kernel_precondition( ! k.is_degenerate_3_object()(t));
 
   typedef typename K::Point_3 Point_3;
-  
+
   typename K::Construct_vertex_3 vertex_on =
     k.construct_vertex_3_object();
-  
-  typename K::Orientation_3 orientation = 
+
+  typename K::Orientation_3 orientation =
     k.orientation_3_object();
 
-  typename K::Coplanar_orientation_3 coplanar_orientation = 
+  typename K::Coplanar_orientation_3 coplanar_orientation =
     k.coplanar_orientation_3_object();
 
 
@@ -50,21 +50,21 @@ bool do_intersect(const typename K::Tria
   const Point_3 & a = vertex_on(t,0);
   const Point_3 & b = vertex_on(t,1);
   const Point_3 & c = vertex_on(t,2);
-  
+
 
   if (orientation(a,b,c,p) != COPLANAR)
     return false;
-  
+
 
   const Orientation abp = coplanar_orientation(a,b,p);
   const Orientation bcp = coplanar_orientation(b,c,p);
-  
-  
+
+
   switch ( abp ) {
-  case POSITIVE: return  bcp != NEGATIVE 
-		   &&   coplanar_orientation(c,a,p) != NEGATIVE ;
-  case NEGATIVE: return  bcp != POSITIVE  
-		   &&   coplanar_orientation(c,a,p) != POSITIVE ;
+  case POSITIVE: return  bcp != NEGATIVE
+                   &&   coplanar_orientation(c,a,p) != NEGATIVE ;
+  case NEGATIVE: return  bcp != POSITIVE
+                   &&   coplanar_orientation(c,a,p) != POSITIVE ;
   case COLLINEAR:
     switch ( bcp ) {
     case POSITIVE: return  coplanar_orientation(c,a,p) != NEGATIVE ;
@@ -78,14 +78,14 @@ bool do_intersect(const typename K::Tria
     CGAL_kernel_assertion(false);
     return false;
   }
-  
+
 }
 
 
 template <class K>
 bool do_intersect(const typename K::Point_3    &p,
-		  const typename K::Triangle_3 &t, 
-		  const K & k )
+                  const typename K::Triangle_3 &t,
+                  const K & k )
 {
   return do_intersect(t, p, k);
 }
@@ -116,7 +116,7 @@ intersection( const typename K::Triangle
 }
 } // namespace internal
 } // namespace Intersections
- 
+
 CGAL_DO_INTERSECT_FUNCTION(Triangle_3, Point_3, 3)
 CGAL_INTERSECTION_FUNCTION(Triangle_3, Point_3, 3)
 
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Ray_3_Ray_3.h 5.0.3-1/include/CGAL/Intersections_3/Ray_3_Ray_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Ray_3_Ray_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Ray_3_Ray_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Ray_3_Ray_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Ray_3_Ray_3.h $
 // $Id: Ray_3_Ray_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Ray_3_Segment_3.h 5.0.3-1/include/CGAL/Intersections_3/Ray_3_Segment_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Ray_3_Segment_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Ray_3_Segment_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Ray_3_Segment_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Ray_3_Segment_3.h $
 // $Id: Ray_3_Segment_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Ray_3_Sphere_3.h 5.0.3-1/include/CGAL/Intersections_3/Ray_3_Sphere_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Ray_3_Sphere_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Ray_3_Sphere_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Ray_3_Sphere_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Ray_3_Sphere_3.h $
 // $Id: Ray_3_Sphere_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Ray_3_Tetrahedron_3.h 5.0.3-1/include/CGAL/Intersections_3/Ray_3_Tetrahedron_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Ray_3_Tetrahedron_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Ray_3_Tetrahedron_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Ray_3_Tetrahedron_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Ray_3_Tetrahedron_3.h $
 // $Id: Ray_3_Tetrahedron_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Ray_3_Triangle_3.h 5.0.3-1/include/CGAL/Intersections_3/Ray_3_Triangle_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Ray_3_Triangle_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Ray_3_Triangle_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Ray_3_Triangle_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Ray_3_Triangle_3.h $
 // $Id: Ray_3_Triangle_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Segment_3_Segment_3.h 5.0.3-1/include/CGAL/Intersections_3/Segment_3_Segment_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Segment_3_Segment_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Segment_3_Segment_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Segment_3_Segment_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Segment_3_Segment_3.h $
 // $Id: Segment_3_Segment_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Segment_3_Sphere_3.h 5.0.3-1/include/CGAL/Intersections_3/Segment_3_Sphere_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Segment_3_Sphere_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Segment_3_Sphere_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Segment_3_Sphere_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Segment_3_Sphere_3.h $
 // $Id: Segment_3_Sphere_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Segment_3_Tetrahedron_3.h 5.0.3-1/include/CGAL/Intersections_3/Segment_3_Tetrahedron_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Segment_3_Tetrahedron_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Segment_3_Tetrahedron_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Segment_3_Tetrahedron_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Segment_3_Tetrahedron_3.h $
 // $Id: Segment_3_Tetrahedron_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Segment_3_Triangle_3.h 5.0.3-1/include/CGAL/Intersections_3/Segment_3_Triangle_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Segment_3_Triangle_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Segment_3_Triangle_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Segment_3_Triangle_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Segment_3_Triangle_3.h $
 // $Id: Segment_3_Triangle_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Sphere_3_Sphere_3.h 5.0.3-1/include/CGAL/Intersections_3/Sphere_3_Sphere_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Sphere_3_Sphere_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Sphere_3_Sphere_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Sphere_3_Sphere_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Sphere_3_Sphere_3.h $
 // $Id: Sphere_3_Sphere_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Sphere_3_Tetrahedron_3.h 5.0.3-1/include/CGAL/Intersections_3/Sphere_3_Tetrahedron_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Sphere_3_Tetrahedron_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Sphere_3_Tetrahedron_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Sphere_3_Tetrahedron_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Sphere_3_Tetrahedron_3.h $
 // $Id: Sphere_3_Tetrahedron_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Sphere_3_Triangle_3.h 5.0.3-1/include/CGAL/Intersections_3/Sphere_3_Triangle_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Sphere_3_Triangle_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Sphere_3_Triangle_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Sphere_3_Triangle_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Sphere_3_Triangle_3.h $
 // $Id: Sphere_3_Triangle_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Tetrahedron_3_Tetrahedron_3.h 5.0.3-1/include/CGAL/Intersections_3/Tetrahedron_3_Tetrahedron_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Tetrahedron_3_Tetrahedron_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Tetrahedron_3_Tetrahedron_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Tetrahedron_3_Tetrahedron_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Tetrahedron_3_Tetrahedron_3.h $
 // $Id: Tetrahedron_3_Tetrahedron_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Tetrahedron_3_Triangle_3.h 5.0.3-1/include/CGAL/Intersections_3/Tetrahedron_3_Triangle_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Tetrahedron_3_Triangle_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Tetrahedron_3_Triangle_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Tetrahedron_3_Triangle_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Tetrahedron_3_Triangle_3.h $
 // $Id: Tetrahedron_3_Triangle_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Intersections_3/Triangle_3_Triangle_3.h 5.0.3-1/include/CGAL/Intersections_3/Triangle_3_Triangle_3.h
--- 5.0.2-3/include/CGAL/Intersections_3/Triangle_3_Triangle_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersections_3/Triangle_3_Triangle_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersections_3/Triangle_3_Triangle_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersections_3/Triangle_3_Triangle_3.h $
 // $Id: Triangle_3_Triangle_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/intersections_d.h 5.0.3-1/include/CGAL/intersections_d.h
--- 5.0.2-3/include/CGAL/intersections_d.h	2020-02-21 20:03:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/intersections_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/intersections_d.h $
-// $Id: intersections_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/intersections_d.h $
+// $Id: intersections_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
@@ -27,12 +27,12 @@ namespace internal {
 template <class R>
 typename cpp11::result_of<typename R::Intersect_d(typename R::Line_d, typename R::Line_d)>::type
 intersection(const typename R::Line_d& l1, const typename R::Line_d& l2, const R&)
-{ 
+{
   typedef typename R::Line_d_Line_d_pair ll_pair;
   ll_pair LL(l1, l2);
   switch (LL.intersection_type()) {
     case ll_pair::NO_INTERSECTION:
-    default: 
+    default:
       return intersection_return<typename R::Intersect_d, typename R::Line_d, typename R::Line_d>();
     case ll_pair::POINT: {
       typename R::Point_d pt;
@@ -48,12 +48,12 @@ intersection(const typename R::Line_d& l
 template <class R>
 typename cpp11::result_of<typename R::Intersect_d(typename R::Ray_d, typename R::Ray_d)>::type
 intersection(const typename R::Ray_d& l1, const typename R::Ray_d& l2, const R&)
-{ 
+{
   typedef typename R::Ray_d_Ray_d_pair ll_pair;
   ll_pair LL(l1,l2);
   switch (LL.intersection_type()) {
     case ll_pair::NO_INTERSECTION:
-    default: 
+    default:
       return intersection_return<typename R::Intersect_d, typename R::Ray_d, typename R::Ray_d>();
     case ll_pair::POINT: {
       typename R::Point_d p;
@@ -82,7 +82,7 @@ intersection(const typename R::Segment_d
   ll_pair LL(l1,l2);
   switch (LL.intersection_type()) {
     case ll_pair::NO_INTERSECTION:
-    default: 
+    default:
       return intersection_return<typename R::Intersect_d, typename R::Segment_d, typename R::Segment_d>();
     case ll_pair::POINT: {
       typename R::Point_d p;
@@ -253,7 +253,7 @@ intersection(const typename R::Segment_d
     case sh_pair::SEGMENT:
         return intersection_return<typename R::Intersect_d, typename R::Segment_d, typename R::Hyperplane_d>(s);
   }
-  return intersection_return<typename R::Intersect_d, typename R::Segment_d, 
+  return intersection_return<typename R::Intersect_d, typename R::Segment_d,
                              typename R::Hyperplane_d>(); // never reached
 }
 
diff -pruN 5.0.2-3/include/CGAL/intersections.h 5.0.3-1/include/CGAL/intersections.h
--- 5.0.2-3/include/CGAL/intersections.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/intersections.h	2020-08-01 19:02:24.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/intersections.h $
-// $Id: intersections.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/intersections.h $
+// $Id: intersections.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
diff -pruN 5.0.2-3/include/CGAL/Intersection_traits_2.h 5.0.3-1/include/CGAL/Intersection_traits_2.h
--- 5.0.2-3/include/CGAL/Intersection_traits_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersection_traits_2.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersection_traits_2.h $
-// $Id: Intersection_traits_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersection_traits_2.h $
+// $Id: Intersection_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Philipp Möller
 
@@ -47,7 +47,7 @@ CGAL_INTERSECTION_TRAITS_2(Ray_2, Triang
 
 template<typename K>
 struct Intersection_traits<K, typename K::Triangle_2, typename K::Triangle_2>  {
-  typedef typename 
+  typedef typename
   boost::variant< typename K::Point_2, typename K::Segment_2,
                   typename K::Triangle_2, typename std::vector< typename K::Point_2 > > variant_type;
   typedef typename boost::optional< variant_type > result_type;
@@ -95,11 +95,11 @@ struct Intersection_traits<K, typename K
 template<typename K>
 struct Intersection_traits<K, typename K::Iso_rectangle_2, typename K::Triangle_2>
 {
-  typedef typename boost::variant<typename K::Segment_2, typename K::Triangle_2, 
-                                  typename K::Point_2, 
+  typedef typename boost::variant<typename K::Segment_2, typename K::Triangle_2,
+                                  typename K::Point_2,
                                   typename std::vector< typename K::Point_2 > > variant_type;
   typedef typename boost::optional < variant_type > result_type;
-};  
+};
 
 template<typename K>
 struct Intersection_traits<K, typename K::Triangle_2, typename K::Iso_rectangle_2>
diff -pruN 5.0.2-3/include/CGAL/Intersection_traits_3.h 5.0.3-1/include/CGAL/Intersection_traits_3.h
--- 5.0.2-3/include/CGAL/Intersection_traits_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersection_traits_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_3/include/CGAL/Intersection_traits_3.h $
-// $Id: Intersection_traits_3.h ee357fd 2019-10-29T15:19:24+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_3/include/CGAL/Intersection_traits_3.h $
+// $Id: Intersection_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Philipp Möller
 
@@ -63,7 +63,7 @@ CGAL_INTERSECTION_TRAITS_3(Sphere_3, Sph
 
 template<typename K>
 struct Intersection_traits<K, typename K::Triangle_3, typename K::Triangle_3>  {
-  typedef typename 
+  typedef typename
   boost::variant< typename K::Point_3, typename K::Segment_3, typename K::Triangle_3,
                   typename std::vector< typename K::Point_3 > > variant_type;
   typedef typename boost::optional< variant_type > result_type;
@@ -87,7 +87,7 @@ CGAL_INTERSECTION_TRAITS_2(Iso_cuboid_3,
 // Iso_cuboid_3 Iso_cuboid_3, variant of one
 template<typename K>
 struct Intersection_traits<K, typename K::Iso_cuboid_3, typename K::Iso_cuboid_3>  {
-  typedef typename 
+  typedef typename
   boost::variant< typename K::Iso_cuboid_3 > variant_type;
   typedef typename boost::optional< variant_type > result_type;
 };
@@ -97,31 +97,31 @@ struct Intersection_traits<K, typename K
 // Bbox_3 Line_3
 template<typename K>
 struct Intersection_traits<K, CGAL::Bbox_3, typename K::Line_3>  {
-  typedef typename 
+  typedef typename
   boost::variant< typename K::Segment_3, typename K::Point_3 > variant_type;
   typedef typename boost::optional< variant_type > result_type;
 };
 
 template<typename K>
-struct Intersection_traits<K, typename K::Line_3, CGAL::Bbox_3> : 
+struct Intersection_traits<K, typename K::Line_3, CGAL::Bbox_3> :
     public Intersection_traits<K, CGAL::Bbox_3, typename K::Line_3> {};
 
 // Bbox_3 Segment_3
 template<typename K>
-struct Intersection_traits<K, typename K::Segment_3, CGAL::Bbox_3> : 
+struct Intersection_traits<K, typename K::Segment_3, CGAL::Bbox_3> :
     public Intersection_traits<K, CGAL::Bbox_3, typename K::Line_3> {};
 
 template<typename K>
-struct Intersection_traits<K, CGAL::Bbox_3, typename K::Segment_3> : 
+struct Intersection_traits<K, CGAL::Bbox_3, typename K::Segment_3> :
     public Intersection_traits<K, CGAL::Bbox_3, typename K::Line_3> {};
 
 // Bbox_3 Ray_3
 template<typename K>
-struct Intersection_traits<K, typename K::Ray_3, CGAL::Bbox_3> : 
+struct Intersection_traits<K, typename K::Ray_3, CGAL::Bbox_3> :
     public Intersection_traits<K, CGAL::Bbox_3, typename K::Line_3> {};
 
 template<typename K>
-struct Intersection_traits<K, CGAL::Bbox_3, typename K::Ray_3> : 
+struct Intersection_traits<K, CGAL::Bbox_3, typename K::Ray_3> :
     public Intersection_traits<K, CGAL::Bbox_3, typename K::Line_3> {};
 
 // Point_3 Iso_cuboid_3, variant of one
@@ -131,7 +131,7 @@ struct Intersection_traits<K, typename K
   boost::variant< typename K::Point_3 > variant_type;
   typedef typename boost::optional< variant_type > result_type;
 };
-  
+
 // Bbox_3 Point_3, variant of one
 template<typename K>
 struct Intersection_traits<K, Bbox_3, typename K::Point_3>  {
@@ -146,7 +146,7 @@ struct Intersection_traits<K, typename K
   boost::variant< typename K::Point_3 > variant_type;
   typedef typename boost::optional< variant_type > result_type;
 };
-  
+
 // Iso_cuboid_3 Point_3, variant of one
 template<typename K>
 struct Intersection_traits<K, typename K::Iso_cuboid_3, typename K::Point_3>  {
@@ -154,7 +154,7 @@ struct Intersection_traits<K, typename K
   boost::variant< typename K::Point_3 > variant_type;
   typedef typename boost::optional< variant_type > result_type;
 };
-  
+
 // Iso_cuboid_3 Triangle_3, variant of 4
 template<typename K>
 struct Intersection_traits<K, typename K::Iso_cuboid_3, typename K::Triangle_3>  {
@@ -237,7 +237,7 @@ struct Intersection_traits<K, typename K
   boost::variant< typename K::Point_3 > variant_type;
   typedef typename boost::optional< variant_type > result_type;
 };
- 
+
 // Plane_3 Point_3, variant of one
 template<typename K>
 struct Intersection_traits<K, typename K::Plane_3, typename K::Point_3>  {
@@ -245,7 +245,7 @@ struct Intersection_traits<K, typename K
   boost::variant< typename K::Point_3 > variant_type;
   typedef typename boost::optional< variant_type > result_type;
 };
-   
+
 // Point_3 Triangle_3, variant of one
 template<typename K>
 struct Intersection_traits<K, typename K::Point_3, typename K::Triangle_3>  {
@@ -260,7 +260,7 @@ struct Intersection_traits<K, typename K
   boost::variant< typename K::Point_3 > variant_type;
   typedef typename boost::optional< variant_type > result_type;
 };
-  
+
 // Point_3 Tetrahedron_3, variant of one
 template<typename K>
 struct Intersection_traits<K, typename K::Point_3, typename K::Tetrahedron_3>  {
@@ -275,7 +275,7 @@ struct Intersection_traits<K, typename K
   boost::variant< typename K::Point_3 > variant_type;
   typedef typename boost::optional< variant_type > result_type;
 };
-  
+
 // Point_3 Sphere_3, variant of one
 template<typename K>
 struct Intersection_traits<K, typename K::Point_3, typename K::Sphere_3>  {
diff -pruN 5.0.2-3/include/CGAL/Intersection_traits.h 5.0.3-1/include/CGAL/Intersection_traits.h
--- 5.0.2-3/include/CGAL/Intersection_traits.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Intersection_traits.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Intersections_2/include/CGAL/Intersection_traits.h $
-// $Id: Intersection_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Intersections_2/include/CGAL/Intersection_traits.h $
+// $Id: Intersection_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Philipp Möller
 
@@ -28,7 +28,7 @@
     typedef typename boost::variant<typename K::R1, typename K::R2 >    \
                      variant_type;                                      \
     typedef typename boost::optional< variant_type > result_type;       \
-  };  
+  };
 
 #define CGAL_INTERSECTION_TRAITS_3(A, B, R1, R2, R3)            \
   template<typename K>     \
@@ -36,7 +36,7 @@
     typedef typename boost::variant<typename K::R1, typename K::R2,     \
                                     typename K::R3> variant_type;       \
     typedef typename boost::optional< variant_type > result_type;       \
-  };                                                                    
+  };
 
 #define CGAL_INTERSECTION_FUNCTION(A, B, DIM)                           \
   template<typename K>                                                  \
@@ -110,7 +110,7 @@ template<typename B>
 class IT<Bbox_3, B> : public Intersection_traits< typename Kernel_traits<B>::Kernel, CGAL::Bbox_3, B >
 { };
 
-  
+
 namespace Intersections {
 namespace internal {
 
@@ -136,7 +136,7 @@ namespace internal {
 // it somewhat nicer.
 template<typename T>
 inline
-const T* intersect_get(const CGAL::Object& o) { 
+const T* intersect_get(const CGAL::Object& o) {
   return CGAL::object_cast<T>(&o);
 }
 
@@ -196,7 +196,7 @@ do_intersect_impl(const A& a, const B& b
 
 } // namespace internal
 } // namespace Intersections
-  
+
 // See overloads in the respective header files
 
 // template<typename A, typename B>
@@ -212,7 +212,7 @@ do_intersect_impl(const A& a, const B& b
 // inline
 // bool
 // do_intersect(const A& a, const B& b) {
-//   CGAL_static_assertion_msg((boost::is_same<typename A::Ambient_dimension, typename B::Ambient_dimension>::value), 
+//   CGAL_static_assertion_msg((boost::is_same<typename A::Ambient_dimension, typename B::Ambient_dimension>::value),
 //                         "do_intersect with objects of different dimensions not supported");
 //   return internal::do_intersect_impl(a, b, typename A::Ambient_dimension());
 // }
diff -pruN 5.0.2-3/include/CGAL/Interval_arithmetic.h 5.0.3-1/include/CGAL/Interval_arithmetic.h
--- 5.0.2-3/include/CGAL/Interval_arithmetic.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Interval_arithmetic.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1998-2005  
+// Copyright (c) 1998-2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Interval_arithmetic.h $
-// $Id: Interval_arithmetic.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Interval_arithmetic.h $
+// $Id: Interval_arithmetic.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/Interval_arithmetic_impl.h 5.0.3-1/include/CGAL/Interval_arithmetic_impl.h
--- 5.0.2-3/include/CGAL/Interval_arithmetic_impl.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Interval_arithmetic_impl.h	2020-08-01 19:02:36.000000000 +0000
@@ -7,8 +7,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Interval_arithmetic_impl.h $
-// $Id: Interval_arithmetic_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Interval_arithmetic_impl.h $
+// $Id: Interval_arithmetic_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -25,8 +25,8 @@ double init_min_double()
     double d = 1;
     double e = 1;
     do {
-	d = e;
-	e = CGAL_IA_FORCE_TO_DOUBLE(e/2);
+        d = e;
+        e = CGAL_IA_FORCE_TO_DOUBLE(e/2);
     } while (e != 0);
     return d;
 }
diff -pruN 5.0.2-3/include/CGAL/Interval_nt.h 5.0.3-1/include/CGAL/Interval_nt.h
--- 5.0.2-3/include/CGAL/Interval_nt.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Interval_nt.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,12 +3,12 @@
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Interval_nt.h $
-// $Id: Interval_nt.h 1a562d6 2019-11-06T17:45:31+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Interval_nt.h $
+// $Id: Interval_nt.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -28,7 +28,7 @@
 // towards -infinity, it's enough to take the opposite of some of the operand,
 // and the opposite of the result (see operator+, operator*,...).
 
-// TODO : 
+// TODO :
 // - test whether stopping constant propagation only in functions taking
 //   double as arguments, improves performance.
 
@@ -633,7 +633,7 @@ private:
 # endif
 #else
     // TODO: try to move some NaN tests out of the hot path (test a.inf()>0 instead of >=0?).
-    if (a.inf() >= 0.0)					// a>=0
+    if (a.inf() >= 0.0)                                        // a>=0
     {
       // b>=0     [a.inf()*b.inf(); a.sup()*b.sup()]
       // b<=0     [a.sup()*b.inf(); a.inf()*b.sup()]
@@ -649,7 +649,7 @@ private:
       double r = (b.sup() == 0) ? 0. : CGAL_IA_MUL(bb, b.sup()); // In case bb is infinite, avoid NaN.
       return IA(-CGAL_IA_MUL(aa, -b.inf()), r);
     }
-    else if (a.sup()<=0.0)				// a<=0
+    else if (a.sup()<=0.0)                                // a<=0
     {
       // b>=0     [a.inf()*b.sup(); a.sup()*b.inf()]
       // b<=0     [a.sup()*b.sup(); a.inf()*b.inf()]
@@ -664,16 +664,16 @@ private:
       else if (b.sup() <= 0) return 0.; // In case a has an infinite bound, avoid NaN.
       return IA(-CGAL_IA_MUL(-bb, b.sup()), CGAL_IA_MUL(-aa, -b.inf()));
     }
-    else						// 0 \in a
+    else                                                // 0 \in a
     {
-      if (b.inf()>=0.0) {				// b>=0
+      if (b.inf()>=0.0) {                                // b>=0
         if (b.sup()<=0.0)
           return 0.; // In case a has an infinite bound, avoid NaN.
         else
           return IA(-CGAL_IA_MUL(-a.inf(), b.sup()),
               CGAL_IA_MUL( a.sup(), b.sup()));
       }
-      if (b.sup()<=0.0) {				// b<=0
+      if (b.sup()<=0.0) {                                // b<=0
         return IA(-CGAL_IA_MUL( a.sup(), -b.inf()),
             CGAL_IA_MUL(-a.inf(), -b.inf()));
       }
@@ -777,11 +777,11 @@ private:
     return IA (IA_opacify128(r));
 # endif
 #else
-    if (b.inf() > 0.0)				// b>0
+    if (b.inf() > 0.0)                                // b>0
     {
-      // e>=0	[a.inf()/b.sup(); a.sup()/b.inf()]
-      // e<=0	[a.inf()/b.inf(); a.sup()/b.sup()]
-      // e~=0	[a.inf()/b.inf(); a.sup()/b.inf()]
+      // e>=0        [a.inf()/b.sup(); a.sup()/b.inf()]
+      // e<=0        [a.inf()/b.inf(); a.sup()/b.sup()]
+      // e~=0        [a.inf()/b.inf(); a.sup()/b.inf()]
       double aa = b.sup(), bb = b.inf();
       if (a.inf() < 0.0)
       {
@@ -791,11 +791,11 @@ private:
       }
       return IA(-CGAL_IA_DIV(-a.inf(), aa), CGAL_IA_DIV(a.sup(), bb));
     }
-    else if (b.sup()<0.0)			// b<0
+    else if (b.sup()<0.0)                        // b<0
     {
-      // e>=0	[a.sup()/b.sup(); a.inf()/b.inf()]
-      // e<=0	[a.sup()/b.inf(); a.inf()/b.sup()]
-      // e~=0	[a.sup()/b.sup(); a.inf()/b.sup()]
+      // e>=0        [a.sup()/b.sup(); a.inf()/b.inf()]
+      // e<=0        [a.sup()/b.inf(); a.inf()/b.sup()]
+      // e~=0        [a.sup()/b.sup(); a.inf()/b.sup()]
       double aa = b.sup(), bb = b.inf();
       if (a.inf() < 0.0)
       {
@@ -805,7 +805,7 @@ private:
       }
       return IA(-CGAL_IA_DIV(a.sup(), -aa), CGAL_IA_DIV(a.inf(), bb));
     }
-    else					// b~0
+    else                                        // b~0
       return largest();
     // We could do slightly better -> [0;infinity] when b.sup()==0,
     // but is this worth ?
@@ -1000,13 +1000,13 @@ struct Max <Interval_nt<Protected> >
     }
 };
 
-template<bool Protected> inline 
+template<bool Protected> inline
 Interval_nt<Protected> min BOOST_PREVENT_MACRO_SUBSTITUTION(
 const Interval_nt<Protected> & x,
 const Interval_nt<Protected> & y){
   return CGAL::Min<Interval_nt<Protected> > ()(x,y);
 }
-template<bool Protected> inline 
+template<bool Protected> inline
 Interval_nt<Protected> max BOOST_PREVENT_MACRO_SUBSTITUTION(
 const Interval_nt<Protected> & x,
 const Interval_nt<Protected> & y){
@@ -1254,7 +1254,7 @@ template< bool B > class Real_embeddable
     typedef Interval_nt<B>  Type;
   typedef Uncertain<CGAL::Sign> Sign;
   typedef Uncertain<bool> Boolean;
-  typedef Uncertain<CGAL::Comparison_result> Comparison_result; 
+  typedef Uncertain<CGAL::Comparison_result> Comparison_result;
 
     class Abs
       : public CGAL::cpp98::unary_function< Type, Type > {
@@ -1333,7 +1333,7 @@ class Algebraic_structure_traits< Interv
     typedef Interval_nt<B>      Type;
     typedef Tag_false           Is_exact;
     typedef Tag_true            Is_numerical_sensitive;
-    typedef Uncertain<bool>     Boolean; 
+    typedef Uncertain<bool>     Boolean;
 
     class Is_zero
       : public CGAL::cpp98::unary_function< Type, Boolean > {
@@ -1396,7 +1396,7 @@ class Algebraic_structure_traits< Interv
   public:
     Boolean operator()( const Type& x, const Type&) const {
       return ! Is_zero()(x);
-    } 
+    }
     // second operator computing q
     Boolean operator()( const Type& x, const Type& y, Type& q) const {
       if (! Is_zero()(x) )
@@ -1445,16 +1445,16 @@ struct Coercion_traits_interval_nt<A, In
 template< bool B >
 class Interval_traits< Interval_nt<B> >
   : public internal::Interval_traits_base< Interval_nt<B> >  {
-public: 
-  typedef Interval_traits<Interval_nt<B> > Self; 
-  typedef Interval_nt<B> Interval; 
-  typedef double Bound; 
-  typedef CGAL::Tag_false With_empty_interval; 
-  typedef CGAL::Tag_true  Is_interval; 
+public:
+  typedef Interval_traits<Interval_nt<B> > Self;
+  typedef Interval_nt<B> Interval;
+  typedef double Bound;
+  typedef CGAL::Tag_false With_empty_interval;
+  typedef CGAL::Tag_true  Is_interval;
 
  struct Construct :public CGAL::cpp98::binary_function<Bound,Bound,Interval>{
     Interval operator()( const Bound& l,const Bound& r) const {
-      CGAL_precondition( l < r ); 
+      CGAL_precondition( l < r );
       return Interval(l,r);
     }
   };
@@ -1473,7 +1473,7 @@ public:
 
   struct Width :public CGAL::cpp98::unary_function<Interval,Bound>{
     Bound operator()( const Interval& a ) const {
-      return width(a); 
+      return width(a);
     }
   };
 
@@ -1482,7 +1482,7 @@ public:
       return (Lower()(a)+Upper()(a))/2.0;
     }
   };
-    
+
   struct Norm :public CGAL::cpp98::unary_function<Interval,Bound>{
     Bound operator()( const Interval& a ) const {
       return magnitude(a);
@@ -1512,25 +1512,25 @@ public:
       return a.is_same(b);
     }
   };
-    
+
   struct Overlap :public CGAL::cpp98::binary_function<Interval,Interval,bool>{
     bool operator()( const Interval& a, const Interval& b ) const {
       return a.do_overlap(b);
     }
   };
-    
+
   struct Subset :public CGAL::cpp98::binary_function<Interval,Interval,bool>{
     bool operator()( const Interval& a, const Interval& b ) const {
-      return Lower()(b) <= Lower()(a) && Upper()(a) <= Upper()(b) ;  
+      return Lower()(b) <= Lower()(a) && Upper()(a) <= Upper()(b) ;
     }
   };
-    
+
   struct Proper_subset :public CGAL::cpp98::binary_function<Interval,Interval,bool>{
     bool operator()( const Interval& a, const Interval& b ) const {
-      return Subset()(a,b) && ! Equal()(a,b); 
+      return Subset()(a,b) && ! Equal()(a,b);
     }
   };
-    
+
   struct Hull :public CGAL::cpp98::binary_function<Interval,Interval,Interval>{
     Interval operator()( const Interval& a, const Interval& b ) const {
 #ifdef CGAL_USE_SSE2
@@ -1538,16 +1538,16 @@ public:
 #else
       BOOST_USING_STD_MAX();
       BOOST_USING_STD_MIN();
-      return Interval( 
+      return Interval(
              -max BOOST_PREVENT_MACRO_SUBSTITUTION (-a.inf(),-b.inf()),
               max BOOST_PREVENT_MACRO_SUBSTITUTION ( a.sup(), b.sup()));
 #endif
     }
   };
-    
-  
-//  struct Empty is Null_functor 
-  
+
+
+//  struct Empty is Null_functor
+
   struct Intersection :public CGAL::cpp98::binary_function<Interval,Interval,Interval>{
     Interval operator()( const Interval& a, const Interval& b ) const {
       BOOST_USING_STD_MAX();
diff -pruN 5.0.2-3/include/CGAL/Interval_skip_list.h 5.0.3-1/include/CGAL/Interval_skip_list.h
--- 5.0.2-3/include/CGAL/Interval_skip_list.h	2020-02-21 20:03:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Interval_skip_list.h	2020-08-01 19:02:25.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interval_skip_list/include/CGAL/Interval_skip_list.h $
-// $Id: Interval_skip_list.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interval_skip_list/include/CGAL/Interval_skip_list.h $
+// $Id: Interval_skip_list.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
@@ -48,7 +48,7 @@ namespace CGAL {
   template <class Interval_>
   class IntervalSLnode;
 
-  const int MAX_FORWARD = 48; 	// Maximum number of forward pointers
+  const int MAX_FORWARD = 48;         // Maximum number of forward pointers
 
 
 
@@ -62,7 +62,7 @@ namespace CGAL {
 
     Value key;
     IntervalSLnode** forward;  // array of forward pointers
-    IntervalList<Interval>**   markers;  // array of interval markers, 
+    IntervalList<Interval>**   markers;  // array of interval markers,
                                          // one for each pointer
     IntervalList<Interval>* eqMarkers;   // markers for node itself
     int ownerCount;  // number of interval end points with value equal to key
@@ -79,19 +79,19 @@ namespace CGAL {
 
     void print(std::ostream& os) const;
 
-    const Value& 
+    const Value&
     getValue()
     {
       return key;
     }
-    
+
     // number of levels of this node
-    int 
-    level() const 
+    int
+    level() const
     {
       return(topLevel+1);
     }
-  
+
     bool
     isHeader() const
     {
@@ -99,7 +99,7 @@ namespace CGAL {
     }
 
     void deleteMarks(IntervalList<Interval>* l);
-    
+
     ~IntervalSLnode();  // destructor
   };
 
@@ -111,9 +111,9 @@ class Interval_for_container : public In
       void * p;
     public:
       Interval_for_container(const Interval_& i)
-	: Interval_(i), p(nullptr)
+        : Interval_(i), p(nullptr)
       {}
-      
+
       void *   for_compact_container() const { return p; }
       void * & for_compact_container()       { return p; }
     };
@@ -133,7 +133,7 @@ class Interval_for_container : public In
     typedef typename std::list<Interval>::iterator Interval_handle;
 #else
     Compact_container<Interval_for_container<Interval> > container;
-    typedef typename Compact_container<Interval_for_container<Interval> >::iterator 
+    typedef typename Compact_container<Interval_for_container<Interval> >::iterator
       Interval_handle;
 #endif
 
@@ -151,139 +151,139 @@ class Interval_for_container : public In
     // place markers for Interval I.  I must have been inserted in the list.
     // left is the left endpoint of I and right is the right endpoint if I.
     // *** needs to be fixed:
-    void placeMarkers(IntervalSLnode<Interval>* left, 
-		      IntervalSLnode<Interval>* right, 
-		      const Interval_handle& I);
+    void placeMarkers(IntervalSLnode<Interval>* left,
+                      IntervalSLnode<Interval>* right,
+                      const Interval_handle& I);
 
 
     // remove markers for Interval I
-    void removeMarkers(const Interval_handle& I);  
+    void removeMarkers(const Interval_handle& I);
 
 
     // adjust markers after insertion of x with update vector "update"
-    void adjustMarkersOnInsert(IntervalSLnode<Interval>* x, 
-			       IntervalSLnode<Interval>** update);
+    void adjustMarkersOnInsert(IntervalSLnode<Interval>* x,
+                               IntervalSLnode<Interval>** update);
 
 
     // adjust markers to prepare for deletion of x, which has update vector
     // "update"
-    void adjustMarkersOnDelete(IntervalSLnode<Interval>* x, 
-			       IntervalSLnode<Interval>** update);
+    void adjustMarkersOnDelete(IntervalSLnode<Interval>* x,
+                               IntervalSLnode<Interval>** update);
 
 
     // remove node x, which has updated vector update.
-    void remove(IntervalSLnode<Interval>* x, 
-		IntervalSLnode<Interval>** update);
+    void remove(IntervalSLnode<Interval>* x,
+                IntervalSLnode<Interval>** update);
 
 
     // remove markers for Interval I starting at left, the left endpoint
     // of I, and and stopping at the right endpoint of I.
-    Interval_handle removeMarkers(IntervalSLnode<Interval>* left, 
-				  const Interval& I);
+    Interval_handle removeMarkers(IntervalSLnode<Interval>* left,
+                                  const Interval& I);
 
 
     // Remove markers for interval m from the edges and nodes on the
     // level i path from l to r.
     void removeMarkFromLevel(const Interval& m, int i,
-			     IntervalSLnode<Interval> *l, 
-			     IntervalSLnode<Interval>* r);
+                             IntervalSLnode<Interval> *l,
+                             IntervalSLnode<Interval>* r);
+
 
+    // Search for search key, and return a pointer to the
+    // intervalSLnode x found, as well as setting the update vector
+    // showing pointers into x.
+    IntervalSLnode<Interval>* search(const Value& searchKey,
+                                     IntervalSLnode<Interval>** update);
 
-    // Search for search key, and return a pointer to the 
-    // intervalSLnode x found, as well as setting the update vector 
-    // showing pointers into x. 
-    IntervalSLnode<Interval>* search(const Value& searchKey, 
-				     IntervalSLnode<Interval>** update);
-
-  
-    // insert a new single value 
-    // into list, returning a pointer to its location. 
+
+    // insert a new single value
+    // into list, returning a pointer to its location.
     IntervalSLnode<Interval>* insert(const Value& searchKey);
 
 
-    // insert an interval into list 
+    // insert an interval into list
     void insert(const Interval_handle& I);
 
   public:
 
     friend class IntervalSLnode<Interval>;
 
-    Interval_skip_list();  
-    
+    Interval_skip_list();
+
     template <class InputIterator>
     Interval_skip_list(InputIterator b, InputIterator e)
     {
       maxLevel = 0;
       header = new IntervalSLnode<Interval>(MAX_FORWARD);
       for (int i = 0; i< MAX_FORWARD; i++) {
-	header->forward[i] = 0;
+        header->forward[i] = 0;
       }
       for(; b!= e; ++b){
-	insert(*b);
+        insert(*b);
       }
     }
 
 
-    ~Interval_skip_list(); 
+    ~Interval_skip_list();
 
 
     void clear();
 
-    int size() const 
+    int size() const
     {
       return container.size();
     }
 
- 
+
     // return node containing
     // Value if found, otherwise null
-    IntervalSLnode<Interval>* search(const Value& searchKey); 
+    IntervalSLnode<Interval>* search(const Value& searchKey);
 
 
 
     template <class OutputIterator>
-    OutputIterator 
+    OutputIterator
     find_intervals(const Value& searchKey, OutputIterator out )
     {
       IntervalSLnode<Interval>* x = header;
-      for(int i=maxLevel; 
-	  i >= 0 && (x->isHeader() || (x->key != searchKey)); i--) {
-	while (x->forward[i] != 0 && (searchKey >= x->forward[i]->key)) {
-	  x = x->forward[i];
-	}
-	// Pick up markers on edge as you drop down a level, unless you are at 
-	// the searchKey node already, in which case you pick up the
-	// eqMarkers just prior to exiting loop.
-	if(!x->isHeader() && (x->key != searchKey)) {
-	  out = x->markers[i]->copy(out);  
-	} else if (!x->isHeader()) { // we're at searchKey
-	  out = x->eqMarkers->copy(out);
-	}
+      for(int i=maxLevel;
+          i >= 0 && (x->isHeader() || (x->key != searchKey)); i--) {
+        while (x->forward[i] != 0 && (searchKey >= x->forward[i]->key)) {
+          x = x->forward[i];
+        }
+        // Pick up markers on edge as you drop down a level, unless you are at
+        // the searchKey node already, in which case you pick up the
+        // eqMarkers just prior to exiting loop.
+        if(!x->isHeader() && (x->key != searchKey)) {
+          out = x->markers[i]->copy(out);
+        } else if (!x->isHeader()) { // we're at searchKey
+          out = x->eqMarkers->copy(out);
+        }
       }
       return out;
     }
-    
+
     bool
     is_contained(const Value& searchKey) const
     {
       IntervalSLnode<Interval>* x = header;
-      for(int i=maxLevel; 
-	  i >= 0 && (x->isHeader() || (x->key != searchKey)); i--) {
-	while (x->forward[i] != 0 && (searchKey >= x->forward[i]->key)) {
-	  x = x->forward[i];
-	}
-	// Pick up markers on edge as you drop down a level, unless you are at 
-	// the searchKey node already, in which case you pick up the
-	// eqMarkers just prior to exiting loop.
-	if(!x->isHeader() && (x->key != searchKey)) {
-	  return true;  
-	} else if (!x->isHeader()) { // we're at searchKey
-	  return true;
-	}
+      for(int i=maxLevel;
+          i >= 0 && (x->isHeader() || (x->key != searchKey)); i--) {
+        while (x->forward[i] != 0 && (searchKey >= x->forward[i]->key)) {
+          x = x->forward[i];
+        }
+        // Pick up markers on edge as you drop down a level, unless you are at
+        // the searchKey node already, in which case you pick up the
+        // eqMarkers just prior to exiting loop.
+        if(!x->isHeader() && (x->key != searchKey)) {
+          return true;
+        } else if (!x->isHeader()) { // we're at searchKey
+          return true;
+        }
       }
       return false;
     }
-    
+
 
     void insert(const Interval& I);
 
@@ -292,8 +292,8 @@ class Interval_for_container : public In
     {
       int i = 0;
       for(; b!= e; ++b){
-	insert(*b);
-	++i;
+        insert(*b);
+        ++i;
       }
       return i;
     }
@@ -306,7 +306,7 @@ class Interval_for_container : public In
 #ifdef CGAL_ISL_USE_LIST
     typedef typename std::list<Interval>::const_iterator const_iterator;
 #else
-    typedef typename 
+    typedef typename
     Compact_container<Interval_for_container<Interval> >::const_iterator
                                                              const_iterator;
 #endif
@@ -318,7 +318,7 @@ class Interval_for_container : public In
     {
       return container.end();
     }
-    
+
   };
 
 
@@ -333,7 +333,7 @@ class Interval_for_container : public In
 
     typedef typename std::list<Interval>::iterator Interval_handle;
 #else
-    typedef typename Compact_container<Interval_for_container<Interval> >::iterator 
+    typedef typename Compact_container<Interval_for_container<Interval> >::iterator
       Interval_handle;
 #endif
 
@@ -382,7 +382,7 @@ class Interval_for_container : public In
     }
 
     void erase_list_element(ILE_handle I)
-    {      
+    {
 #ifdef CGAL_ISL_USE_CCC
       compact_container.erase(I);
 #else
@@ -398,21 +398,21 @@ class Interval_for_container : public In
     ILE_handle get_next(ILE_handle element);
 
     void copy(IntervalList* from); // add contents of "from" to self
- 
- 
+
+
     template <class OutputIterator>
     OutputIterator
     copy(OutputIterator out) const
     {
       ILE_handle e = header;
-      while(e!= nullptr) { 
-	out = *(e->I);
-	++out;
-	e = e->next;
+      while(e!= nullptr) {
+        out = *(e->I);
+        ++out;
+        e = e->next;
       }
       return out;
     }
-    
+
     bool contains(const Interval_handle& I) const;
 
     void clear();  // delete elements of self to make self an empty list.
@@ -424,10 +424,10 @@ class Interval_for_container : public In
 
 #ifdef CGAL_ISL_USE_CCC
   template <class Interval_>
-  Compact_container<IntervalListElt<Interval_> > 
+  Compact_container<IntervalListElt<Interval_> >
      IntervalList<Interval_>::compact_container;
 #endif
- 
+
 
 
 
@@ -439,7 +439,7 @@ class Interval_for_container : public In
 
     typedef typename std::list<Interval>::iterator Interval_handle;
 #else
-    typedef typename Compact_container<Interval_for_container<Interval> >::iterator 
+    typedef typename Compact_container<Interval_for_container<Interval> >::iterator
       Interval_handle;
 #endif
 
@@ -464,7 +464,7 @@ class Interval_for_container : public In
     {
       return ( ((*I) == (*(e.I))) && (next == e.next));
     }
-    
+
     friend class IntervalList<Interval>;
 
 
@@ -474,7 +474,7 @@ class Interval_for_container : public In
 
     ~IntervalListElt();
 
-    void 
+    void
     set_next(ILE_handle nextElt)
     {
       next = nextElt;
@@ -508,7 +508,7 @@ class Interval_for_container : public In
     for(int i=0; i<=levels; i++) {
       forward[i] = 0;
       // initialize an empty interval list
-      markers[i] = new IntervalList<Interval>(); 
+      markers[i] = new IntervalList<Interval>();
     }
   }
 
@@ -526,7 +526,7 @@ class Interval_for_container : public In
     for(int i=0; i<=levels; i++) {
       forward[i] = 0;
       // initialize an empty interval list
-      markers[i] = new IntervalList<Interval>(); 
+      markers[i] = new IntervalList<Interval>();
     }
   }
 
@@ -586,8 +586,8 @@ class Interval_for_container : public In
   }
 
   template <class Interval>
-  std::ostream& operator<<(std::ostream& os, 
-			   const Interval_skip_list<Interval>& isl)
+  std::ostream& operator<<(std::ostream& os,
+                           const Interval_skip_list<Interval>& isl)
   {
     isl.print(os);
     return os;
@@ -610,7 +610,7 @@ template <class Interval>
   void IntervalList<Interval>::copy(IntervalList* from)
   {
     ILE_handle e = from->header;
-    while(e!=nullptr) { 
+    while(e!=nullptr) {
       insert(e->I);
       e = e->next;
     }
@@ -621,7 +621,7 @@ template <class Interval>
   void IntervalList<Interval>::clear()
   {
     ILE_handle x = header;
-    ILE_handle y; 
+    ILE_handle y;
     while(x!= nullptr) { // was 0
       y = x;
       x = x->next;
@@ -631,11 +631,11 @@ template <class Interval>
   }
 
   template <class Interval>
-  IntervalSLnode<Interval>* 
+  IntervalSLnode<Interval>*
   Interval_skip_list<Interval>::insert(const Value& searchKey)
   {
-    // array for maintaining update pointers 
-    IntervalSLnode<Interval>* update[MAX_FORWARD]; 
+    // array for maintaining update pointers
+    IntervalSLnode<Interval>* update[MAX_FORWARD];
     IntervalSLnode<Interval>* x;
     int i;
 
@@ -646,18 +646,18 @@ template <class Interval>
       // put a new node in the list for this searchKey
       int newLevel = randomLevel();
       if (newLevel > maxLevel){
-	for(i=maxLevel+1; i<=newLevel; i++){
-	  update[i] = header;
-	  header->markers[i]->clear();
-	}
-	maxLevel = newLevel;
+        for(i=maxLevel+1; i<=newLevel; i++){
+          update[i] = header;
+          header->markers[i]->clear();
+        }
+        maxLevel = newLevel;
       }
       x = new IntervalSLnode<Interval>(searchKey, newLevel);
 
       // add x to the list
       for(i=0; i<=newLevel; i++) {
-	x->forward[i] = update[i]->forward[i];
-	update[i]->forward[i] = x;
+        x->forward[i] = update[i]->forward[i];
+        update[i]->forward[i] = x;
       }
 
       // adjust markers to maintain marker invariant
@@ -673,10 +673,10 @@ template <class Interval>
   // node x has just been inserted, with update vector `update.'
 
   template <class Interval>
-  void 
+  void
   Interval_skip_list<Interval>::adjustMarkersOnInsert
                                     (IntervalSLnode<Interval>* x,
-				     IntervalSLnode<Interval>** update)
+                                     IntervalSLnode<Interval>** update)
   {
     // Phase 1:  place markers on edges leading out of x as needed.
 
@@ -684,14 +684,14 @@ template <class Interval>
     // If a marker has to be promoted from level i to i+1 of higher, place it
     // in the promoted set at each step.
 
-    IntervalList<Interval> promoted;  
+    IntervalList<Interval> promoted;
     // list of intervals that identify markers being
     // promoted, initially empty.
 
-    IntervalList<Interval> newPromoted; 
+    IntervalList<Interval> newPromoted;
     // temporary set to hold newly promoted markers.
-    
-    IntervalList<Interval> removePromoted;  
+
+    IntervalList<Interval> removePromoted;
     // holding place for elements to be removed  from promoted list.
 
     IntervalList<Interval> tempMarkList;  // temporary mark list
@@ -701,41 +701,41 @@ template <class Interval>
     for(i=0; (i<= x->level() - 2) && x->forward[i+1]!=0; i++) {
       IntervalList<Interval>* markList = update[i]->markers[i];
       for(m = markList->get_first(); m != nullptr ; m = markList->get_next(m)) {
-	if(m->getInterval()->contains_interval(x->key,x->forward[i+1]->key)) { 
-	  // promote m
-	  
-	  // remove m from level i path from x->forward[i] to x->forward[i+1]
-	  removeMarkFromLevel(*m->getInterval(),
-			      i,
-			      x->forward[i],
-			      x->forward[i+1]);
-	  // add m to newPromoted
-	  newPromoted.insert(m->getInterval());
-	} else {
-	  // place m on the level i edge out of x
-	  x->markers[i]->insert(m->getInterval());
-	  // do *not* place m on x->forward[i]; it must already be there. 
-	}
+        if(m->getInterval()->contains_interval(x->key,x->forward[i+1]->key)) {
+          // promote m
+
+          // remove m from level i path from x->forward[i] to x->forward[i+1]
+          removeMarkFromLevel(*m->getInterval(),
+                              i,
+                              x->forward[i],
+                              x->forward[i+1]);
+          // add m to newPromoted
+          newPromoted.insert(m->getInterval());
+        } else {
+          // place m on the level i edge out of x
+          x->markers[i]->insert(m->getInterval());
+          // do *not* place m on x->forward[i]; it must already be there.
+        }
       }
-      
+
       for(m = promoted.get_first(); m != nullptr; m = promoted.get_next(m)) {
-	if(!m->getInterval()->contains_interval(x->key, x->forward[i+1]->key)){
-	  // Then m does not need to be promoted higher.
-	  // Place m on the level i edge out of x and remove m from promoted.
-	  x->markers[i]->insert(m->getInterval());
-	  // mark x->forward[i] if needed
-	  if(m->getInterval()->contains(x->forward[i]->key))
-	    x->forward[i]->eqMarkers->insert(m->getInterval());
-	  removePromoted.insert(m->getInterval());
-	} else { 
-	  // continue to promote m
-	  // Remove m from the level i path from x->forward[i]
-	  // to x->forward[i+1].
-	  removeMarkFromLevel(*(m->getInterval()),
-			      i,
-			      x->forward[i],
-			      x->forward[i+1]);
-	}
+        if(!m->getInterval()->contains_interval(x->key, x->forward[i+1]->key)){
+          // Then m does not need to be promoted higher.
+          // Place m on the level i edge out of x and remove m from promoted.
+          x->markers[i]->insert(m->getInterval());
+          // mark x->forward[i] if needed
+          if(m->getInterval()->contains(x->forward[i]->key))
+            x->forward[i]->eqMarkers->insert(m->getInterval());
+          removePromoted.insert(m->getInterval());
+        } else {
+          // continue to promote m
+          // Remove m from the level i path from x->forward[i]
+          // to x->forward[i+1].
+          removeMarkFromLevel(*(m->getInterval()),
+                              i,
+                              x->forward[i],
+                              x->forward[i+1]);
+        }
       }
       promoted.removeAll(&removePromoted);
       removePromoted.clear();
@@ -744,68 +744,68 @@ template <class Interval>
     }
     // Combine the promoted set and updated[i]->markers[i]
     // and install them as the set of markers on the top edge out of x
-    // that is non-null.  
-    
+    // that is non-null.
+
     x->markers[i]->copy(&promoted);
     x->markers[i]->copy(update[i]->markers[i]);
     for(m=promoted.get_first(); m!=nullptr; m=promoted.get_next(m))
       if(m->getInterval()->contains(x->forward[i]->key))
         x->forward[i]->eqMarkers->insert(m->getInterval());
-    
+
     // Phase 2:  place markers on edges leading into x as needed.
-    
+
     // Markers on edges leading into x may need to be promoted as high as
     // the top edge coming into x, but never higher.
-    
+
     promoted.clear();
-    
+
     for (i=0; (i <= x->level() - 2) && !update[i+1]->isHeader(); i++) {
       tempMarkList.copy(update[i]->markers[i]);
-      for(m = tempMarkList.get_first(); 
-	  m != nullptr; 
-	  m = tempMarkList.get_next(m)){
-	if(m->getInterval()->contains_interval(update[i+1]->key,x->key)) {
-	  // m needs to be promoted
-	  // add m to newPromoted
-	  newPromoted.insert(m->getInterval());
-	  
-	  // Remove m from the path of level i edges between updated[i+1]
-	  // and x (it will be on all those edges or else the invariant
-	  // would have previously been violated.
-	  removeMarkFromLevel(*(m->getInterval()),i,update[i+1],x);
-	}
+      for(m = tempMarkList.get_first();
+          m != nullptr;
+          m = tempMarkList.get_next(m)){
+        if(m->getInterval()->contains_interval(update[i+1]->key,x->key)) {
+          // m needs to be promoted
+          // add m to newPromoted
+          newPromoted.insert(m->getInterval());
+
+          // Remove m from the path of level i edges between updated[i+1]
+          // and x (it will be on all those edges or else the invariant
+          // would have previously been violated.
+          removeMarkFromLevel(*(m->getInterval()),i,update[i+1],x);
+        }
       }
       tempMarkList.clear();  // reclaim storage
-      
+
       for(m = promoted.get_first(); m != nullptr; m = promoted.get_next(m)) {
-	if (!update[i]->isHeader() && 
-	    m->getInterval()->contains_interval(update[i]->key,x->key) &&
-	    !update[i+1]->isHeader() &&
-	    ! m->getInterval()->contains_interval(update[i+1]->key,x->key) ) {
-	  // Place m on the level i edge between update[i] and x, and
-	  // remove m from promoted.
-	  update[i]->markers[i]->insert(m->getInterval());
-	  // mark update[i] if needed
-	  if(m->getInterval()->contains(update[i]->key))
-	    update[i]->eqMarkers->insert(m->getInterval());
-	  removePromoted.insert(m->getInterval());
-	} else {
-	  // Strip m from the level i path from update[i+1] to x.
-	  removeMarkFromLevel(*(m->getInterval()),i,update[i+1],x);
-	}
-	
+        if (!update[i]->isHeader() &&
+            m->getInterval()->contains_interval(update[i]->key,x->key) &&
+            !update[i+1]->isHeader() &&
+            ! m->getInterval()->contains_interval(update[i+1]->key,x->key) ) {
+          // Place m on the level i edge between update[i] and x, and
+          // remove m from promoted.
+          update[i]->markers[i]->insert(m->getInterval());
+          // mark update[i] if needed
+          if(m->getInterval()->contains(update[i]->key))
+            update[i]->eqMarkers->insert(m->getInterval());
+          removePromoted.insert(m->getInterval());
+        } else {
+          // Strip m from the level i path from update[i+1] to x.
+          removeMarkFromLevel(*(m->getInterval()),i,update[i+1],x);
+        }
+
       }
       // remove non-promoted marks from promoted
       promoted.removeAll(&removePromoted);
       removePromoted.clear();  // reclaim storage
-      
+
       // add newPromoted to promoted and make newPromoted empty
       promoted.copy(&newPromoted);
-      newPromoted.clear();     
+      newPromoted.clear();
     }
-    
+
     /* Assertion:  i=x->level()-1 OR update[i+1] is the header.
-       
+
        If i=x->level()-1 then either x has only one level, or the top-level
        pointer into x must not be from the header, since otherwise we would
        have stopped on the previous iteration.  If x has 1 level, then
@@ -822,22 +822,22 @@ template <class Interval>
     update[i]->markers[i]->copy(&promoted);
     for(m=promoted.get_first(); m!=nullptr; m=promoted.get_next(m))
       if(m->getInterval()->contains(update[i]->key))
-	update[i]->eqMarkers->insert(m->getInterval());
+        update[i]->eqMarkers->insert(m->getInterval());
 
     // Place markers on x for all intervals the cross x.
     // (Since x is a new node, every marker coming into x must also leave x).
     for(i=0; i<x->level(); i++)
       x->eqMarkers->copy(x->markers[i]);
-    
+
     promoted.clear(); // reclaim storage
-    
+
   } // end adjustMarkersOnInsert
 
   template <class Interval>
   void
   Interval_skip_list<Interval>::adjustMarkersOnDelete
                                         (IntervalSLnode<Interval>* x,
-					 IntervalSLnode<Interval>** update)
+                                         IntervalSLnode<Interval>** update)
   {
     // x is node being deleted.  It is still in the list.
     // update is the update vector for x.
@@ -852,13 +852,13 @@ template <class Interval>
 
     for(i=x->level()-1; i>=0; i--){
       // find marks on edge into x at level i to be demoted
-      for(m=update[i]->markers[i]->get_first(); m!=nullptr; 
-	  m=update[i]->markers[i]->get_next(m)){
-	if(x->forward[i]==0 ||
-	   ! m->getInterval()->contains_interval(update[i]->key,
-						 x->forward[i]->key)){
-	  newDemoted.insert(m->getInterval());
-	}
+      for(m=update[i]->markers[i]->get_first(); m!=nullptr;
+          m=update[i]->markers[i]->get_next(m)){
+        if(x->forward[i]==0 ||
+           ! m->getInterval()->contains_interval(update[i]->key,
+                                                 x->forward[i]->key)){
+          newDemoted.insert(m->getInterval());
+        }
       }
       // Remove newly demoted marks from edge.
       update[i]->markers[i]->removeAll(&newDemoted);
@@ -867,26 +867,26 @@ template <class Interval>
 
       // Place previously demoted marks on this level as needed.
       for(m=demoted.get_first(); m!=nullptr; m=demoted.get_next(m)){
-	// Place mark on level i from update[i+1] to update[i], not including 
-	// update[i+1] itself, since it already has a mark if it needs one.
-	for(y=update[i+1]; y!=0 && y!=update[i]; y=y->forward[i]) {
-	  if (y!=update[i+1] && m->getInterval()->contains(y->key)) 
-	    y->eqMarkers->insert(m->getInterval());
-	  y->markers[i]->insert(m->getInterval());
-	}
-	if(y!=0 && y!=update[i+1] && m->getInterval()->contains(y->key)) 
-	  y->eqMarkers->insert(m->getInterval());
-
-	// if this is the lowest level m needs to be placed on,
-	// then place m on the level i edge out of update[i]
-	// and remove m from the demoted set.
-	if(x->forward[i]!=0 &&
-	   m->getInterval()->contains_interval(update[i]->key,
-					       x->forward[i]->key))
-	  {
-	    update[i]->markers[i]->insert(m->getInterval());
-	    tempRemoved.insert(m->getInterval());
-	  }
+        // Place mark on level i from update[i+1] to update[i], not including
+        // update[i+1] itself, since it already has a mark if it needs one.
+        for(y=update[i+1]; y!=0 && y!=update[i]; y=y->forward[i]) {
+          if (y!=update[i+1] && m->getInterval()->contains(y->key))
+            y->eqMarkers->insert(m->getInterval());
+          y->markers[i]->insert(m->getInterval());
+        }
+        if(y!=0 && y!=update[i+1] && m->getInterval()->contains(y->key))
+          y->eqMarkers->insert(m->getInterval());
+
+        // if this is the lowest level m needs to be placed on,
+        // then place m on the level i edge out of update[i]
+        // and remove m from the demoted set.
+        if(x->forward[i]!=0 &&
+           m->getInterval()->contains_interval(update[i]->key,
+                                               x->forward[i]->key))
+          {
+            update[i]->markers[i]->insert(m->getInterval());
+            tempRemoved.insert(m->getInterval());
+          }
       }
       demoted.removeAll(&tempRemoved);
       tempRemoved.clear();
@@ -895,36 +895,36 @@ template <class Interval>
     }
 
     // Phase 2:  lower markers on edges to the right of D as needed
-  
+
     demoted.clear();
     // newDemoted is already empty
 
     for(i=x->level()-1; i>=0; i--){
       for(m=x->markers[i]->get_first(); m!=nullptr ; m=x->markers[i]->get_next(m)){
-	if(x->forward[i]!=0 && 
-	   (update[i]->isHeader() ||
-	    !m->getInterval()->contains_interval(update[i]->key,
-						 x->forward[i]->key)))
-	  {
-	    newDemoted.insert(m->getInterval());
-	  }
+        if(x->forward[i]!=0 &&
+           (update[i]->isHeader() ||
+            !m->getInterval()->contains_interval(update[i]->key,
+                                                 x->forward[i]->key)))
+          {
+            newDemoted.insert(m->getInterval());
+          }
       }
 
       for(m=demoted.get_first(); m!= nullptr; m=demoted.get_next(m)){
-	// Place mark on level i from x->forward[i] to x->forward[i+1].
-	// Don't place a mark directly on x->forward[i+1] since it is already
-	// marked.
-	for(y=x->forward[i];y!=x->forward[i+1];y=y->forward[i]){
-	  y->eqMarkers->insert(m->getInterval());
-	  y->markers[i]->insert(m->getInterval());
-	}
-
-	if(x->forward[i]!=0 && !update[i]->isHeader() &&
-	   m->getInterval()->contains_interval(update[i]->key,
-					       x->forward[i]->key))
-	  {
-	    tempRemoved.insert(m->getInterval());
-	  }
+        // Place mark on level i from x->forward[i] to x->forward[i+1].
+        // Don't place a mark directly on x->forward[i+1] since it is already
+        // marked.
+        for(y=x->forward[i];y!=x->forward[i+1];y=y->forward[i]){
+          y->eqMarkers->insert(m->getInterval());
+          y->markers[i]->insert(m->getInterval());
+        }
+
+        if(x->forward[i]!=0 && !update[i]->isHeader() &&
+           m->getInterval()->contains_interval(update[i]->key,
+                                               x->forward[i]->key))
+          {
+            tempRemoved.insert(m->getInterval());
+          }
       }
       demoted.removeAll(&tempRemoved);
       demoted.copy(&newDemoted);
@@ -945,8 +945,8 @@ template <class Interval>
   template <class Interval>
   bool Interval_skip_list<Interval>::remove(const Interval& I)
   {
-    // arrays for maintaining update pointers 
-    IntervalSLnode<Interval>* update[MAX_FORWARD]; 
+    // arrays for maintaining update pointers
+    IntervalSLnode<Interval>* update[MAX_FORWARD];
 
     IntervalSLnode<Interval>* left = search(I.inf(),update);
     if(left==0 || left->ownerCount <= 0) {
@@ -972,9 +972,9 @@ template <class Interval>
   }
 
   template <class Interval>
-  void 
-  Interval_skip_list<Interval>::remove(IntervalSLnode<Interval>* x, 
-				     IntervalSLnode<Interval>** update)
+  void
+  Interval_skip_list<Interval>::remove(IntervalSLnode<Interval>* x,
+                                     IntervalSLnode<Interval>** update)
   {
     // Remove interval skip list node x.  The markers that the interval
     // x belongs to have already been removed.
@@ -991,13 +991,13 @@ template <class Interval>
 
 
   template <class Interval>
-  IntervalSLnode<Interval>* 
+  IntervalSLnode<Interval>*
   Interval_skip_list<Interval>::search(const Value& searchKey)
   {
     IntervalSLnode<Interval>* x = header;
     for(int i=maxLevel; i >= 0; i--) {
       while (x->forward[i] != 0 && (x->forward[i]->key < searchKey)) {
-	x = x->forward[i];
+        x = x->forward[i];
       }
     }
     x = x->forward[0];
@@ -1008,16 +1008,16 @@ template <class Interval>
   }
 
   template <class Interval>
-  IntervalSLnode<Interval>* 
-  Interval_skip_list<Interval>::search(const Value& searchKey, 
-				     IntervalSLnode<Interval>** update)
+  IntervalSLnode<Interval>*
+  Interval_skip_list<Interval>::search(const Value& searchKey,
+                                     IntervalSLnode<Interval>** update)
   {
     IntervalSLnode<Interval>* x = header;
     // Find location of searchKey, building update vector indicating
     // pointers to change on insertion.
     for(int i=maxLevel; i >= 0; i--) {
       while (x->forward[i] != 0 && (x->forward[i]->key < searchKey)) {
-	x = x->forward[i];
+        x = x->forward[i];
       }
       update[i] = x;
     }
@@ -1057,10 +1057,10 @@ template <class Interval>
 
 
   template <class Interval>
-  void 
-  Interval_skip_list<Interval>::placeMarkers(IntervalSLnode<Interval>* left, 
-					   IntervalSLnode<Interval>* right, 
-					   const Interval_handle& I)
+  void
+  Interval_skip_list<Interval>::placeMarkers(IntervalSLnode<Interval>* left,
+                                           IntervalSLnode<Interval>* right,
+                                           const Interval_handle& I)
   {
     // Place markers for the interval I.  left is the left endpoint
     // of I and right is the right endpoint of I, so it isn't necessary
@@ -1071,45 +1071,45 @@ template <class Interval>
     int i = 0;  // start at level 0 and go up
     while(x->forward[i]!=0 && I->contains_interval(x->key,x->forward[i]->key)){
       // find level to put mark on
-      while(i!=x->level()-1 
+      while(i!=x->level()-1
             && x->forward[i+1] != 0
             && I->contains_interval(x->key,x->forward[i+1]->key))
-	i++;
+        i++;
       // Mark current level i edge since it is the highest edge out of
       // x that contains I, except in the case where current level i edge
       // is null, in which case it should never be marked.
-      if (x->forward[i] != 0) { 
-	x->markers[i]->insert(I);  
-	x = x->forward[i];
-	// Add I to eqMarkers set on node unless currently at right endpoint
-	// of I and I doesn't contain right endpoint.
-	if (I->contains(x->key)) x->eqMarkers->insert(I);
+      if (x->forward[i] != 0) {
+        x->markers[i]->insert(I);
+        x = x->forward[i];
+        // Add I to eqMarkers set on node unless currently at right endpoint
+        // of I and I doesn't contain right endpoint.
+        if (I->contains(x->key)) x->eqMarkers->insert(I);
       }
     }
 
     // mark non-ascending path
     while(x->key != right->key) {
       // find level to put mark on
-      while(i!=0 && (x->forward[i] == 0 || 
-		     !I->contains_interval(x->key,x->forward[i]->key)))
-	i--;
-      // At this point, we can assert that i=0 or x->forward[i]!=0 and 
-      // I contains 
-      // (x->key,x->forward[i]->key).  In addition, x is between left and 
+      while(i!=0 && (x->forward[i] == 0 ||
+                     !I->contains_interval(x->key,x->forward[i]->key)))
+        i--;
+      // At this point, we can assert that i=0 or x->forward[i]!=0 and
+      // I contains
+      // (x->key,x->forward[i]->key).  In addition, x is between left and
       // right so i=0 implies I contains (x->key,x->forward[i]->key).
       // Hence, the interval must be marked.  Note that it is impossible
       // for us to be at the end of the list because x->key is not equal
       // to right->key.
       x->markers[i]->insert(I);
       x = x->forward[i];
-      if (I->contains(x->key)) x->eqMarkers->insert(I);     
+      if (I->contains(x->key)) x->eqMarkers->insert(I);
     }
   }  // end placeMarkers
 
   template <class Interval>
-  typename Interval_skip_list<Interval>::Interval_handle 
-  Interval_skip_list<Interval>::removeMarkers(IntervalSLnode<Interval>* left, 
-					    const Interval& I)
+  typename Interval_skip_list<Interval>::Interval_handle
+  Interval_skip_list<Interval>::removeMarkers(IntervalSLnode<Interval>* left,
+                                            const Interval& I)
   {
     // Remove markers for interval I, which has left as it's left
     // endpoint,  following a staircase pattern.
@@ -1120,55 +1120,55 @@ template <class Interval>
     IntervalSLnode<Interval>* x = left;
     if (I.contains(x->key)) {
       if(x->eqMarkers->remove(I, tmp)){
-	res = tmp;
+        res = tmp;
       }
     }
     int i = 0;  // start at level 0 and go up
     while(x->forward[i]!=0 && I.contains_interval(x->key,x->forward[i]->key)) {
       // find level to take mark from
-      while(i!=x->level()-1 
+      while(i!=x->level()-1
             && x->forward[i+1] != 0
             && I.contains_interval(x->key,x->forward[i+1]->key))
-	i++;
+        i++;
       // Remove mark from current level i edge since it is the highest edge out
       // of x that contains I, except in the case where current level i edge
       // is null, in which case there are no markers on it.
-      if (x->forward[i] != 0) { 
-	if(x->markers[i]->remove(I, tmp)){
-	  res = tmp;
-	}
-	x = x->forward[i];
-	// remove I from eqMarkers set on node unless currently at right 
-	// endpoint of I and I doesn't contain right endpoint.
-	if (I.contains(x->key)){
-	  if(x->eqMarkers->remove(I, tmp)){
-	    res = tmp;
-	  }
-	}
+      if (x->forward[i] != 0) {
+        if(x->markers[i]->remove(I, tmp)){
+          res = tmp;
+        }
+        x = x->forward[i];
+        // remove I from eqMarkers set on node unless currently at right
+        // endpoint of I and I doesn't contain right endpoint.
+        if (I.contains(x->key)){
+          if(x->eqMarkers->remove(I, tmp)){
+            res = tmp;
+          }
+        }
       }
     }
 
     // remove marks from non-ascending path
     while(x->key != I.sup()) {
       // find level to remove mark from
-      while(i!=0 && (x->forward[i] == 0 || 
-		     ! I.contains_interval(x->key,x->forward[i]->key)))
-	i--;
-      // At this point, we can assert that i=0 or x->forward[i]!=0 and 
-      // I contains 
-      // (x->key,x->forward[i]->key).  In addition, x is between left and 
+      while(i!=0 && (x->forward[i] == 0 ||
+                     ! I.contains_interval(x->key,x->forward[i]->key)))
+        i--;
+      // At this point, we can assert that i=0 or x->forward[i]!=0 and
+      // I contains
+      // (x->key,x->forward[i]->key).  In addition, x is between left and
       // right so i=0 implies I contains (x->key,x->forward[i]->key).
-      // Hence, the interval is marked and the mark must be removed.  
-      // Note that it is impossible for us to be at the end of the list 
+      // Hence, the interval is marked and the mark must be removed.
+      // Note that it is impossible for us to be at the end of the list
       // because x->key is not equal to right->key.
       if(x->markers[i]->remove(I, tmp)){
-	res = tmp;
+        res = tmp;
       }
       x = x->forward[i];
       if (I.contains(x->key)){
-	if(x->eqMarkers->remove(I, tmp)){
-	  res = tmp;
-	}     
+        if(x->eqMarkers->remove(I, tmp)){
+          res = tmp;
+        }
       }
     }
     CGAL_assertion(*res == I);
@@ -1176,10 +1176,10 @@ template <class Interval>
   }
 
   template <class Interval>
-  void 
+  void
   Interval_skip_list<Interval>::removeMarkFromLevel(const Interval& m, int i,
-						  IntervalSLnode<Interval> *l, 
-						  IntervalSLnode<Interval>* r)
+                                                  IntervalSLnode<Interval> *l,
+                                                  IntervalSLnode<Interval>* r)
   {
     IntervalSLnode<Interval> *x;
     for(x=l; x!=0 && x!=r; x=x->forward[i]) {
@@ -1196,7 +1196,7 @@ template <class Interval>
   {
     boost::geometric_distribution<> proba(0.5);
     boost::variate_generator<boost::rand48&, boost::geometric_distribution<> > die(random, proba);
-    
+
     return (std::min)(die(), (int)maxLevel)+1;
 }
 
@@ -1219,24 +1219,24 @@ template <class Interval>
     os << "forward pointers:\n";
     for(i=0; i<=topLevel; i++)
       {
-	os << "forward[" << i << "] = ";
-	if(forward[i] != nullptr) {
-	  os << forward[i]->getValue();
-	} else {
-	  os << "nullptr";
-	}
-	os << std::endl;
+        os << "forward[" << i << "] = ";
+        if(forward[i] != nullptr) {
+          os << forward[i]->getValue();
+        } else {
+          os << "nullptr";
+        }
+        os << std::endl;
       }
     os << "markers:\n";
     for(i=0; i<=topLevel; i++)
       {
-	os << "markers[" << i << "] = ";
-	if(markers[i] != nullptr) {
-	  markers[i]->print(os);
-	} else {
-	  os << "nullptr";
-	}
-	os << "\n";
+        os << "markers[" << i << "] = ";
+        if(markers[i] != nullptr) {
+          markers[i]->print(os);
+        } else {
+          os << "nullptr";
+        }
+        os << "\n";
       }
     os << "EQ markers:  ";
     eqMarkers->print(os);
@@ -1263,7 +1263,7 @@ template <class Interval>
     while(x != nullptr && *(x->getInterval()) != I) {
       last = x;
       x = x->next;
-    } 
+    }
     if(x==nullptr) {
       return false;
     } else if (last==nullptr) {
@@ -1310,20 +1310,20 @@ template <class Interval>
 
   // We need the default constructor for the compact_container
   template <class Interval>
-  inline 
+  inline
   IntervalListElt<Interval>::IntervalListElt()
     : next(nullptr)
   {}
 
 
   template <class Interval>
-  inline 
+  inline
   IntervalListElt<Interval>::IntervalListElt(const Interval_handle& anInterval)
     : I(anInterval), next(nullptr)
   {}
 
   template <class Interval>
-  inline 
+  inline
   IntervalListElt<Interval>::~IntervalListElt()
   {}
 
@@ -1338,7 +1338,7 @@ template <class Interval>
 
   template <class Interval>
   inline
-  
+
   typename IntervalList<Interval>::ILE_handle
   IntervalList<Interval>::get_next(ILE_handle element)
   {
@@ -1368,7 +1368,7 @@ template <class Interval>
   }
 
   template <class Interval>
-  inline 
+  inline
   bool IntervalList<Interval>::contains(const Interval_handle& I) const
   {
     ILE_handle x = header;
diff -pruN 5.0.2-3/include/CGAL/Interval_skip_list_interval.h 5.0.3-1/include/CGAL/Interval_skip_list_interval.h
--- 5.0.2-3/include/CGAL/Interval_skip_list_interval.h	2020-02-21 20:03:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Interval_skip_list_interval.h	2020-08-01 19:02:25.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interval_skip_list/include/CGAL/Interval_skip_list_interval.h $
-// $Id: Interval_skip_list_interval.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interval_skip_list/include/CGAL/Interval_skip_list_interval.h $
+// $Id: Interval_skip_list_interval.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -38,9 +38,9 @@ namespace CGAL {
 
     Interval_skip_list_interval(){}
     Interval_skip_list_interval(const Value& inf_,
-				const Value& sup_,
-				bool lb = true,
-				bool rb = true);
+                                const Value& sup_,
+                                bool lb = true,
+                                bool rb = true);
 
     const Value& inf() const {return inf_;}
 
@@ -58,7 +58,7 @@ namespace CGAL {
     bool operator==(const Interval_skip_list_interval& I) const
     {
       return ( (inf() == I.inf()) && (sup() == I.sup()) &&
-	       (inf_closed() == I.inf_closed()) && (sup_closed() == I.sup_closed()) );
+               (inf_closed() == I.inf_closed()) && (sup_closed() == I.sup_closed()) );
     }
 
     bool operator!=(const Interval_skip_list_interval& I) const
@@ -71,7 +71,7 @@ namespace CGAL {
 
   template <class V>
   std::ostream& operator<<(std::ostream& os,
-			   const Interval_skip_list_interval<V>& i)
+                           const Interval_skip_list_interval<V>& i)
   {
     os << (i.inf_closed()?"[":"(") << i.inf() << ", " << i.sup() << (i.sup_closed()?"]":")");
     return os;
@@ -80,9 +80,9 @@ namespace CGAL {
 
   template <class V>
   Interval_skip_list_interval<V>::Interval_skip_list_interval(
-							      const Value& i,
-							      const Value& s,
-							      bool lb, bool rb)
+                                                              const Value& i,
+                                                              const Value& s,
+                                                              bool lb, bool rb)
     : lbound_(lb), rbound_(rb), inf_(i), sup_(s)
   {
     CGAL_precondition( !(inf_ > sup_) );
@@ -92,7 +92,7 @@ namespace CGAL {
   template <class V>
   bool
   Interval_skip_list_interval<V>::contains_interval(const Value& i,
-						    const Value& s) const
+                                                    const Value& s) const
     // true iff this contains (l,r)
   {
     return( (inf() <= i) && (sup() >= s) );
diff -pruN 5.0.2-3/include/CGAL/Interval_traits.h 5.0.3-1/include/CGAL/Interval_traits.h
--- 5.0.2-3/include/CGAL/Interval_traits.h	2020-02-21 20:03:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Interval_traits.h	2020-08-01 19:02:25.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interval_support/include/CGAL/Interval_traits.h $
-// $Id: Interval_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interval_support/include/CGAL/Interval_traits.h $
+// $Id: Interval_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //
@@ -14,7 +14,7 @@
 
 
 /*! \file CGAL/Interval_traits.h
-     This is experimental 
+     This is experimental
 */
 
 
@@ -26,7 +26,7 @@
 // template<class Interval>  T norm(const Interval& x);
 
 /* bounds-related Interval functions */
-//// template<class Interval>  bool empty(const Interval& b); 
+//// template<class Interval>  bool empty(const Interval& b);
 // template<class Interval>  bool singleton(const Interval& x);
 // template<class Interval>  bool zero_in(const Interval& b);
 // template<class Interval>  bool in(const T& r, const Interval& b);
@@ -54,17 +54,17 @@ namespace internal{
 
 template<typename T> class Interval_traits_base{
 public:
-  typedef Interval_traits_base<T> Self; 
+  typedef Interval_traits_base<T> Self;
   typedef T                  Type;
-  // typedef T                  Interval; 
-  typedef CGAL::Tag_false    Is_interval; 
-  typedef CGAL::Tag_false    With_empty_interval; 
-  
+  // typedef T                  Interval;
+  typedef CGAL::Tag_false    Is_interval;
+  typedef CGAL::Tag_false    With_empty_interval;
+
   typedef CGAL::Null_functor Lower;
-  typedef CGAL::Null_functor Upper; 
-  typedef CGAL::Null_functor Width; 
-  typedef CGAL::Null_functor Median;  
-  typedef CGAL::Null_functor Norm; 
+  typedef CGAL::Null_functor Upper;
+  typedef CGAL::Null_functor Width;
+  typedef CGAL::Null_functor Median;
+  typedef CGAL::Null_functor Norm;
   typedef CGAL::Null_functor Empty;
   typedef CGAL::Null_functor Singleton;
   typedef CGAL::Null_functor In;
@@ -80,38 +80,38 @@ public:
 
 template <typename T> class Interval_traits : public internal::Interval_traits_base<T>{};
 
-class Exception_intersection_is_empty{}; 
+class Exception_intersection_is_empty{};
 
-// function returning type Bound 
-template<typename Interval> inline 
-typename Interval_traits<Interval>::Bound 
+// function returning type Bound
+template<typename Interval> inline
+typename Interval_traits<Interval>::Bound
 lower(const Interval& interval) {
     typename Interval_traits<Interval>::Lower lower;
     return lower(interval);
 }
 
-template<typename Interval> inline 
-typename Interval_traits<Interval>::Bound 
+template<typename Interval> inline
+typename Interval_traits<Interval>::Bound
 upper(const Interval& interval) {
     typename Interval_traits<Interval>::Upper upper;
     return upper(interval);
 }
 
-template<typename Interval> inline 
+template<typename Interval> inline
 typename Interval_traits<Interval>::Bound
 width(Interval interval) {
     typename Interval_traits<Interval>::Width width;
     return width(interval);
 }
 
-template<typename Interval> inline 
+template<typename Interval> inline
 typename Interval_traits<Interval>::Bound
 median(Interval interval) {
     typename Interval_traits<Interval>::Median median;
     return median(interval);
 }
 
-template<typename Interval> inline 
+template<typename Interval> inline
 typename Interval_traits<Interval>::Bound
 norm(Interval interval) {
     typename Interval_traits<Interval>::Norm norm;
@@ -119,30 +119,30 @@ norm(Interval interval) {
 }
 
 
-// functions returning bool 
+// functions returning bool
 
-template<typename Interval> inline 
-typename Interval_traits<Interval>::Empty::result_type 
+template<typename Interval> inline
+typename Interval_traits<Interval>::Empty::result_type
 empty(Interval interval) {
     typename Interval_traits<Interval>::Empty empty;
     return empty(interval);
 }
 
-template<typename Interval> inline 
-typename Interval_traits<Interval>::Singleton::result_type  
+template<typename Interval> inline
+typename Interval_traits<Interval>::Singleton::result_type
 singleton(Interval interval) {
     typename Interval_traits<Interval>::Singleton singleton;
     return singleton(interval);
 }
 
-template<typename Interval> inline 
-typename Interval_traits<Interval>::In::result_type  
+template<typename Interval> inline
+typename Interval_traits<Interval>::In::result_type
 in(typename Interval_traits<Interval>::Bound x, Interval interval) {
     typename Interval_traits<Interval>::In in;
     return in(x,interval);
 }
 
-template<typename Interval> inline 
+template<typename Interval> inline
 typename Interval_traits<Interval>::Zero_in::result_type
 zero_in(Interval interval) {
     typename Interval_traits<Interval>::Zero_in zero_in;
@@ -150,21 +150,21 @@ zero_in(Interval interval) {
 }
 
 // This ones should be removed, since even boost_1_35_0 has changed to zero_in
-template<typename Interval> inline 
+template<typename Interval> inline
 typename Interval_traits<Interval>::Zero_in::result_type
 in_zero(Interval interval) {
     typename Interval_traits<Interval>::Zero_in zero_in;
     return zero_in(interval);
 }
 
-template<typename Interval> inline 
+template<typename Interval> inline
 typename Interval_traits<Interval>::Equal::result_type
 equal(Interval interval1,Interval interval2) {
     typename Interval_traits<Interval>::Equal equal;
     return equal(interval1,interval2);
 }
 
-template<typename Interval> inline 
+template<typename Interval> inline
 typename Interval_traits<Interval>::Overlap::result_type
 overlap(Interval interval1, Interval interval2) {
     typename Interval_traits<Interval>::Overlap overlap;
@@ -172,14 +172,14 @@ overlap(Interval interval1, Interval int
 }
 
 template<typename Interval> inline
-typename Interval_traits<Interval>::Subset::result_type 
+typename Interval_traits<Interval>::Subset::result_type
 subset(Interval interval1, Interval interval2) {
     typename Interval_traits<Interval>::Subset subset;
     return subset(interval1, interval2);
 }
 
 template<typename Interval> inline
-typename Interval_traits<Interval>::Proper_subset::result_type 
+typename Interval_traits<Interval>::Proper_subset::result_type
 proper_subset(Interval interval1, Interval interval2) {
     typename Interval_traits<Interval>::Proper_subset proper_subset;
     return proper_subset(interval1, interval2);
@@ -190,7 +190,7 @@ proper_subset(Interval interval1, Interv
 //the enable_if is need for MSVC as it is not able to eliminate
 //the function if Interval_traits<Interval>::Intersection has no result_type
 //(like Null_functor)
-template<typename Interval> inline 
+template<typename Interval> inline
 typename Interval_traits<Interval>::Intersection::result_type
 intersection(Interval interval1, Interval interval2, typename boost::enable_if<
              typename Interval_traits<Interval>::Is_interval
@@ -200,12 +200,12 @@ intersection(Interval interval1, Interva
     return intersection(interval1, interval2);
 }
 
-template<typename Interval> inline 
+template<typename Interval> inline
 typename Interval_traits<Interval>::Hull::result_type
 hull(Interval interval1, Interval interval2, typename boost::enable_if<
                                                        boost::is_same<
                                                           typename Interval_traits<Interval>::Is_interval,
-                                                          Tag_true > >::type* = nullptr) 
+                                                          Tag_true > >::type* = nullptr)
 {
     typename Interval_traits<Interval>::Hull hull;
     return hull(interval1, interval2);
diff -pruN 5.0.2-3/include/CGAL/int.h 5.0.3-1/include/CGAL/int.h
--- 5.0.2-3/include/CGAL/int.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/int.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999,2007  
+// Copyright (c) 1999,2007
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/int.h $
-// $Id: int.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/int.h $
+// $Id: int.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -66,29 +66,29 @@ template <> class Real_embeddable_traits
 
 /*! \ingroup CGAL_Modular_traits_spec
   \brief Specialization of CGAL::Modular_traits for \c int.
-  
-  A model of concept ModularTraits, supports \c int. 
+
+  A model of concept ModularTraits, supports \c int.
 */
   template <typename T>
   class Modular_traits;
 
 template<>
 class Modular_traits<int>{
-public: 
+public:
     typedef int NT;
     typedef ::CGAL::Tag_true Is_modularizable;
     typedef Residue Residue_type;
- 
+
     struct Modular_image{
         Residue_type operator()(int i){
             return Residue_type(i);
         }
-    };    
+    };
     struct Modular_image_representative{
         NT operator()(const Residue_type& x){
             return x.get_value();
         }
-    };    
+    };
 };
 
 // long
@@ -124,26 +124,26 @@ public:
 
 /*! \ingroup CGAL_Modular_traits_spec
   \brief Specialization of CGAL::Modular_traits for \c long.
-  
-  A model of concept ModularTraits, supports \c long. 
+
+  A model of concept ModularTraits, supports \c long.
 */
 template<>
 class Modular_traits<long>{
-public: 
+public:
     typedef long NT;
     typedef ::CGAL::Tag_true Is_modularizable;
     typedef Residue Residue_type;
- 
+
     struct Modular_image{
         Residue_type operator()(long i){
             return Residue_type(i);
         }
-    };   
+    };
     struct Modular_image_representative{
         NT operator()(const Residue_type& x){
             return NT(x.get_value());
         }
-    };    
+    };
 };
 
 // short
diff -pruN 5.0.2-3/include/CGAL/Inverse_index.h 5.0.3-1/include/CGAL/Inverse_index.h
--- 5.0.2-3/include/CGAL/Inverse_index.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Inverse_index.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Inverse_index.h $
-// $Id: Inverse_index.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Inverse_index.h $
+// $Id: Inverse_index.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
diff -pruN 5.0.2-3/include/CGAL/IO/Alpha_shape_3_VRML_2_ostream.h 5.0.3-1/include/CGAL/IO/Alpha_shape_3_VRML_2_ostream.h
--- 5.0.2-3/include/CGAL/IO/Alpha_shape_3_VRML_2_ostream.h	2020-02-21 20:03:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Alpha_shape_3_VRML_2_ostream.h	2020-08-01 19:02:25.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Inventor/include/CGAL/IO/Alpha_shape_3_VRML_2_ostream.h $
-// $Id: Alpha_shape_3_VRML_2_ostream.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Inventor/include/CGAL/IO/Alpha_shape_3_VRML_2_ostream.h $
+// $Id: Alpha_shape_3_VRML_2_ostream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri
@@ -72,7 +72,7 @@ operator<<(VRML_2_ostream& os,
     os << Indent << "  ";
       for (int i=0; i<4; i++)
         if (i != (*Flist_it).second){
-	        os << V[(*Flist_it).first->vertex(i)];
+                os << V[(*Flist_it).first->vertex(i)];
           os << ", ";
         }
     if (Flist_it != Flist_end)
diff -pruN 5.0.2-3/include/CGAL/IO/alpha_shape_geomview_ostream_3.h 5.0.3-1/include/CGAL/IO/alpha_shape_geomview_ostream_3.h
--- 5.0.2-3/include/CGAL/IO/alpha_shape_geomview_ostream_3.h	2020-02-21 20:02:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/alpha_shape_geomview_ostream_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Alpha_shapes_3/include/CGAL/IO/alpha_shape_geomview_ostream_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Alpha_shapes_3/include/CGAL/IO/alpha_shape_geomview_ostream_3.h $
 // $Id: alpha_shape_geomview_ostream_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/Arrangement_2_reader.h 5.0.3-1/include/CGAL/IO/Arrangement_2_reader.h
--- 5.0.2-3/include/CGAL/IO/Arrangement_2_reader.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Arrangement_2_reader.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/IO/Arrangement_2_reader.h $
-// $Id: Arrangement_2_reader.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/IO/Arrangement_2_reader.h $
+// $Id: Arrangement_2_reader.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein           <wein@post.tau.ac.il>
 //                 (based on old version by Michal Meyerovitch and Ester Ezra)
@@ -41,9 +41,9 @@ namespace CGAL {
     typedef Arrangement_2_reader<Arrangement_2>             Self;
 
   protected:
- 
+
     typedef typename Arrangement_2::Size                    Size;
-    typedef typename Arrangement_2::Dcel                    Dcel;  
+    typedef typename Arrangement_2::Dcel                    Dcel;
 
     typedef typename Arrangement_2::X_monotone_curve_2      X_monotone_curve_2;
     typedef typename Arrangement_2::Point_2                 Point_2;
@@ -59,7 +59,7 @@ namespace CGAL {
     typedef typename Arr_accessor::Dcel_outer_ccb           DOuter_ccb;
     typedef typename Arr_accessor::Dcel_inner_ccb           DInner_ccb;
     typedef typename Arr_accessor::Dcel_isolated_vertex     DIso_vert;
-  
+
     // Data members:
     Arrangement_2&           m_arr;
     Arr_accessor             m_arr_access;
@@ -104,7 +104,7 @@ namespace CGAL {
       // std::cout << number_of_vertices << std::endl;
       // std::cout << number_of_halfedges << std::endl;
       // std::cout << number_of_faces << std::endl;
-    
+
       // Read the DCEL vertices and store them in the vertices vector.
       formatter.read_vertices_begin();
 
@@ -120,7 +120,7 @@ namespace CGAL {
 
       m_halfedges.resize(number_of_halfedges);
       for (k = 0; k < number_of_halfedges; k += 2)
-      { 
+      {
         he = _read_edge(formatter);
         m_halfedges[k] = he;
         m_halfedges[k + 1] = he->opposite();
@@ -176,7 +176,7 @@ namespace CGAL {
       formatter.read_vertex_end();
       return (new_v);
     }
- 
+
     /*! Read a DCEL edge (a pair of twin halfedges). */
     template <class Formatter>
     DHalfedge* _read_edge(Formatter& formatter)
@@ -194,7 +194,7 @@ namespace CGAL {
 
       if (has_curve)
       {
-        // Read the x-monotone curve associated with the edge. 
+        // Read the x-monotone curve associated with the edge.
         formatter.read_x_monotone_curve(m_curve);
 
         // Allocate a pair of new DCEL halfegdes and associate them with the
@@ -210,10 +210,10 @@ namespace CGAL {
       // Set the cross pointers between the twin halfedges and the end vertices.
       trg_v->set_halfedge(new_he);
       new_he->set_vertex(trg_v);
-    
+
       src_v->set_halfedge(new_he->opposite());
       new_he->opposite()->set_vertex(src_v);
-   
+
       // Set the direction of the halfedges.
       if (direction == 0)
       {
@@ -290,7 +290,7 @@ namespace CGAL {
       formatter.read_inner_ccbs_end();
 
       // Read the isolated vertices inside the face.
-      Size n_isolated_vertices = 
+      Size n_isolated_vertices =
         formatter.read_size("number_of_isolated_vertices");
       if (n_isolated_vertices) {
         formatter.read_isolated_vertices_begin();
@@ -308,7 +308,7 @@ namespace CGAL {
         }
         formatter.read_isolated_vertices_end();
       }
-    
+
       // Read any auxiliary data associated with the face.
       if (is_valid)
         formatter.read_face_data(Face_handle(new_f));
@@ -326,7 +326,7 @@ namespace CGAL {
      * \return A pointer to the first halfedge read.
      */
     template <class Formatter>
-    DHalfedge* _read_ccb(Formatter& formatter, 
+    DHalfedge* _read_ccb(Formatter& formatter,
                          Size boundary_size,
                          DOuter_ccb* p_outer,
                          DInner_ccb* p_inner)
@@ -335,7 +335,7 @@ namespace CGAL {
                      (p_outer == nullptr && p_inner != nullptr));
 
       formatter.read_ccb_halfedges_begin();
- 
+
       // Find the first halfedge, and set its CCB.
       std::size_t  first_idx = formatter.read_halfedge_index();
       DHalfedge*   first_he = m_halfedges [first_idx];
@@ -347,7 +347,7 @@ namespace CGAL {
 
       // Read the rest of the halfedge along the boundary.
       std::size_t  curr_idx;
-      DHalfedge*   prev_he = first_he;    
+      DHalfedge*   prev_he = first_he;
       DHalfedge*   curr_he;
       Size         k;
 
@@ -380,4 +380,4 @@ namespace CGAL {
 
 } //namespace CGAL
 
-#endif // CGAL_IO_ARRANGEMENT_2_READER_H 
+#endif // CGAL_IO_ARRANGEMENT_2_READER_H
diff -pruN 5.0.2-3/include/CGAL/IO/Arrangement_2_writer.h 5.0.3-1/include/CGAL/IO/Arrangement_2_writer.h
--- 5.0.2-3/include/CGAL/IO/Arrangement_2_writer.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Arrangement_2_writer.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/IO/Arrangement_2_writer.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/IO/Arrangement_2_writer.h $
 // $Id: Arrangement_2_writer.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/Arr_iostream.h 5.0.3-1/include/CGAL/IO/Arr_iostream.h
--- 5.0.2-3/include/CGAL/IO/Arr_iostream.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Arr_iostream.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/IO/Arr_iostream.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/IO/Arr_iostream.h $
 // $Id: Arr_iostream.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/Arr_text_formatter.h 5.0.3-1/include/CGAL/IO/Arr_text_formatter.h
--- 5.0.2-3/include/CGAL/IO/Arr_text_formatter.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Arr_text_formatter.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/IO/Arr_text_formatter.h $
-// $Id: Arr_text_formatter.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/IO/Arr_text_formatter.h $
+// $Id: Arr_text_formatter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein           <wein@post.tau.ac.il>
 //                 (based on old version by Michal Meyerovitch and Ester Ezra)
@@ -50,20 +50,20 @@ public:
   typedef typename Arrangement_2::Vertex_const_handle    Vertex_const_handle;
   typedef typename Arrangement_2::Halfedge_const_handle  Halfedge_const_handle;
   typedef typename Arrangement_2::Face_const_handle      Face_const_handle;
- 
+
 protected:
 
   typedef typename Dcel::Vertex                           DVertex;
   typedef typename Dcel::Halfedge                         DHalfedge;
   typedef typename Dcel::Face                             DFace;
-  
+
   // Data members:
   std::ostream*  m_out;
   IO::Mode       m_old_out_mode;
   std::istream*  m_in;
   IO::Mode       m_old_in_mode;
 
-public:  
+public:
 
   /*! Default constructor.*/
   Arr_text_formatter():
@@ -134,7 +134,7 @@ public:
 
   /*! Write a labeled size value. */
   void write_size(const char *label, Size size)
-  { 
+  {
     _write_comment(label);
     out() << size << '\n';
   }
@@ -185,7 +185,7 @@ public:
   {
     out() << std::endl;
   }
-  
+
   virtual void write_point(const Point_2& p)
   {
     out() << p;
@@ -250,7 +250,7 @@ public:
 
   void write_ccb_halfedges_begin()
   {}
-  
+
   void write_ccb_halfedges_end()
   {
     out() << std::endl;
@@ -274,7 +274,7 @@ public:
   //@{
 
   /*! Start reading an arrangement. */
-  void read_arrangement_begin() 
+  void read_arrangement_begin()
   {
     CGAL_assertion(m_in != nullptr);
     m_old_in_mode = get_mode(*m_in);
@@ -283,7 +283,7 @@ public:
   }
 
   /*! Read the arrangement edge. */
-  void read_arrangement_end() 
+  void read_arrangement_end()
   {
     _skip_comments();
     set_mode(*m_in, m_old_in_mode);
@@ -339,11 +339,11 @@ public:
   //@{
   void read_vertex_begin()
   {}
-  
+
   void read_vertex_end()
   {}
 
-  virtual void read_point(Point_2& p) 
+  virtual void read_point(Point_2& p)
   {
     in() >> p;
     _skip_until_EOL();
@@ -357,18 +357,18 @@ public:
   //@{
   void read_edge_begin()
   {}
-  
+
   void read_edge_end()
   {}
-  
-  int read_vertex_index() 
+
+  int read_vertex_index()
   {
     int  val = 0;
     in() >> val;
     return (val);
   }
 
-  virtual void read_x_monotone_curve(X_monotone_curve_2& cv) 
+  virtual void read_x_monotone_curve(X_monotone_curve_2& cv)
   {
     in() >> cv;
     _skip_until_EOL();
@@ -376,7 +376,7 @@ public:
 
   virtual void read_halfedge_data(Halfedge_handle)
   {}
-  
+
   //@}
   /// \name Reading a face.
   //@{
@@ -384,7 +384,7 @@ public:
   {
     _skip_comments();
   }
-  
+
   void read_face_end()
   {
     _skip_comments();
@@ -392,12 +392,12 @@ public:
 
   void read_outer_ccbs_begin()
   {}
-  
+
   void read_outer_ccbs_end()
   {}
 
   int read_halfedge_index()
-  { 
+  {
     int  val = 0;
     in() >> val;
     return (val);
@@ -405,22 +405,22 @@ public:
 
   void read_inner_ccbs_begin()
   {}
-  
+
   void read_inner_ccbs_end()
   {}
 
   void read_ccb_halfedges_begin()
   {}
-  
-  void read_ccb_halfedges_end() 
+
+  void read_ccb_halfedges_end()
   {
     _skip_until_EOL();
   }
 
   void read_isolated_vertices_begin()
   {}
-  
-  void read_isolated_vertices_end() 
+
+  void read_isolated_vertices_end()
   {
     _skip_until_EOL();
   }
@@ -438,16 +438,16 @@ protected:
   }
 
   /*! Skip until end of line. */
-  void _skip_until_EOL() 
+  void _skip_until_EOL()
   {
     CGAL_assertion(m_in != nullptr);
 
     int     c;
     while ((c = m_in->get()) != EOF && c != '\n') {};
   }
-  
+
   /*! Skip comment lines. */
-  void _skip_comments() 
+  void _skip_comments()
   {
     CGAL_assertion(m_in != nullptr);
 
@@ -466,11 +466,22 @@ protected:
         c = m_in->get();
       }
     }
+    else
+      if (c == '\n')
+      {
+        c = m_in->get();
+        if ( c!= '#')
+        {
+          m_in->putback(c);
+          return;
+        }
+      }
 
     // Skip comment lines that begin with a '#' character.
     while (c != EOF && c == '#')
     {
-      _skip_until_EOL();
+      if (c != '\n')
+        _skip_until_EOL();
       c = m_in->get();
     }
     m_in->putback(c);
@@ -525,7 +536,7 @@ public:
   {
     this->out() << f->data() << '\n';
   }
-  
+
   /*! Read a face-data object and attach it to the given face. */
   virtual void read_face_data(Face_handle f)
   {
@@ -581,7 +592,7 @@ public:
   {
     this->out() << '\n' << v->data();
   }
-  
+
   /*! Read a vertex-data object and attach it to the given vertex. */
   virtual void read_vertex_data(Vertex_handle v)
   {
@@ -594,7 +605,7 @@ public:
   {
     this->out() << '\n' << he->data();
   }
-  
+
   /*! Read a halfedge-data object and attach it to the given halfedge. */
   virtual void read_halfedge_data(Halfedge_handle he)
   {
@@ -607,7 +618,7 @@ public:
   {
     this->out() << f->data() << '\n';
   }
-  
+
   /*! Read a face-data object and attach it to the given face. */
   virtual void read_face_data(Face_handle f)
   {
diff -pruN 5.0.2-3/include/CGAL/IO/Arr_with_history_2_reader.h 5.0.3-1/include/CGAL/IO/Arr_with_history_2_reader.h
--- 5.0.2-3/include/CGAL/IO/Arr_with_history_2_reader.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Arr_with_history_2_reader.h	2020-08-01 19:02:12.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/IO/Arr_with_history_2_reader.h $
-// $Id: Arr_with_history_2_reader.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/IO/Arr_with_history_2_reader.h $
+// $Id: Arr_with_history_2_reader.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein           <wein@post.tau.ac.il>
 #ifndef CGAL_ARR_WITH_HISTORY_2_READER_H
@@ -37,7 +37,7 @@ public:
   typedef Arr_with_history_2_reader<Arr_with_history_2>   Self;
 
 protected:
- 
+
   typedef Arrangement_2_reader<Arr_with_history_2>        Base;
   typedef typename Arr_with_history_2::Size               Size;
   typedef typename Arr_with_history_2::Curve_handle       Curve_handle;
@@ -72,7 +72,7 @@ public:
   {
     // Read the arrangement (without history).
     Base::operator() (formatter);
-    
+
     // Read the inducing curves.
     formatter.read_curves_begin();
 
@@ -121,7 +121,7 @@ protected:
     formatter.read_curve_end();
     return;
   }
-   
+
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/IO/Arr_with_history_2_writer.h 5.0.3-1/include/CGAL/IO/Arr_with_history_2_writer.h
--- 5.0.2-3/include/CGAL/IO/Arr_with_history_2_writer.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Arr_with_history_2_writer.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/IO/Arr_with_history_2_writer.h $
-// $Id: Arr_with_history_2_writer.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/IO/Arr_with_history_2_writer.h $
+// $Id: Arr_with_history_2_writer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein           <wein@post.tau.ac.il>
 
@@ -40,7 +40,7 @@ protected:
 
   typedef Arrangement_2_writer<Arr_with_history_2>        Base;
   typedef typename Arr_with_history_2::Size               Size;
-  
+
   typedef typename Arr_with_history_2::Curve_const_iterator
                                                      Curve_const_iterator;
   typedef typename Arr_with_history_2::Curve_const_handle
@@ -100,7 +100,7 @@ protected:
     formatter.write_induced_edges_begin();
     formatter.write_size ("induced_edges",
                           this->m_arr.number_of_induced_edges(cv));
-    
+
     Induced_edge_iterator   ieit;
     for (ieit = this->m_arr.induced_edges_begin(cv);
          ieit != this->m_arr.induced_edges_end(cv); ++ieit)
@@ -108,7 +108,7 @@ protected:
       formatter.write_halfedge_index (this->_index (&(**ieit)));
     }
     formatter.write_induced_edges_end();
-    
+
     formatter.write_curve_end();
     return;
   }
diff -pruN 5.0.2-3/include/CGAL/IO/Arr_with_history_iostream.h 5.0.3-1/include/CGAL/IO/Arr_with_history_iostream.h
--- 5.0.2-3/include/CGAL/IO/Arr_with_history_iostream.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Arr_with_history_iostream.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/IO/Arr_with_history_iostream.h $
-// $Id: Arr_with_history_iostream.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/IO/Arr_with_history_iostream.h $
+// $Id: Arr_with_history_iostream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein           <wein@post.tau.ac.il>
 
@@ -40,7 +40,7 @@ namespace CGAL {
 template <class GeomTraits, class TopTraits, class Formatter>
 std::ostream& write
     (const Arrangement_on_surface_with_history_2<GeomTraits,TopTraits>& arr,
-     std::ostream& os, 
+     std::ostream& os,
      Formatter& format)
 {
   typedef Arrangement_on_surface_with_history_2<GeomTraits,TopTraits>
@@ -61,7 +61,7 @@ std::ostream& write
  */
 template <class GeomTraits, class TopTraits>
 std::ostream& operator<<
-    (std::ostream& os, 
+    (std::ostream& os,
      const Arrangement_on_surface_with_history_2<GeomTraits,TopTraits>& arr)
 {
   typedef Arrangement_on_surface_with_history_2<GeomTraits,TopTraits>
@@ -87,7 +87,7 @@ std::ostream& operator<<
 template <class GeomTraits, class TopTraits, class Formatter>
 std::istream& read
     (Arrangement_on_surface_with_history_2<GeomTraits,TopTraits>& arr,
-     std::istream& is, 
+     std::istream& is,
      Formatter& format)
 {
   typedef Arrangement_on_surface_with_history_2<GeomTraits,TopTraits>
@@ -108,7 +108,7 @@ std::istream& read
  */
 template <class GeomTraits, class TopTraits>
 std::istream& operator>>
-    (std::istream& is, 
+    (std::istream& is,
      Arrangement_on_surface_with_history_2<GeomTraits,TopTraits>& arr)
 {
   typedef Arrangement_on_surface_with_history_2<GeomTraits,TopTraits>
@@ -119,7 +119,7 @@ std::istream& operator>>
 
   Text_formatter  text_format (is);
   Arr_reader      reader (arr);
-  
+
   reader (text_format);
   return (is);
 }
diff -pruN 5.0.2-3/include/CGAL/IO/Arr_with_history_text_formatter.h 5.0.3-1/include/CGAL/IO/Arr_with_history_text_formatter.h
--- 5.0.2-3/include/CGAL/IO/Arr_with_history_text_formatter.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Arr_with_history_text_formatter.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/IO/Arr_with_history_text_formatter.h $
-// $Id: Arr_with_history_text_formatter.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/IO/Arr_with_history_text_formatter.h $
+// $Id: Arr_with_history_text_formatter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein           <wein@post.tau.ac.il>
 
@@ -49,11 +49,11 @@ public:
   typedef typename Arr_with_history_2::Halfedge_handle    Halfedge_handle;
   typedef typename Arr_with_history_2::Face_handle        Face_handle;
 
-  typedef typename Arr_with_history_2::Vertex_const_handle 
+  typedef typename Arr_with_history_2::Vertex_const_handle
                                                       Vertex_const_handle;
   typedef typename Arr_with_history_2::Halfedge_const_handle
                                                       Halfedge_const_handle;
-  typedef typename Arr_with_history_2::Face_const_handle   
+  typedef typename Arr_with_history_2::Face_const_handle
                                                       Face_const_handle;
 
   /*! Default constructor.*/
@@ -94,7 +94,7 @@ public:
 
   void write_curve_end ()
   {}
-  
+
   void write_curve (const Curve_2& c)
   {
     this->out() << c << std::endl;
@@ -114,13 +114,13 @@ public:
   //@{
 
   /*! Start reading the curves. */
-  void read_curves_begin () 
+  void read_curves_begin ()
   {
     __skip_comments();
   }
 
   /*! Read the end-curves message. */
-  void read_curves_end() 
+  void read_curves_end()
   {
     __skip_comments();
   }
@@ -128,11 +128,11 @@ public:
   /*! Read a specific curve. */
   void read_curve_begin ()
   {}
-  
+
   void read_curve_end ()
   {}
 
-  void read_curve (Curve_2& c) 
+  void read_curve (Curve_2& c)
   {
     this->in() >> c;
     __skip_until_EOL();
@@ -159,15 +159,15 @@ private:
   }
 
   /*! Skip until end of line. */
-  void __skip_until_EOL () 
+  void __skip_until_EOL ()
   {
     int     c;
     while ((c = this->in().get()) != EOF && c != '\n') {};
     return;
   }
-  
+
   /*! Skip comment lines. */
-  void __skip_comments () 
+  void __skip_comments ()
   {
     int     c;
     while ((c = this->in().get()) != EOF && c == '#')
diff -pruN 5.0.2-3/include/CGAL/IO/binary_file_io.h 5.0.3-1/include/CGAL/IO/binary_file_io.h
--- 5.0.2-3/include/CGAL/IO/binary_file_io.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/binary_file_io.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/binary_file_io.h $
-// $Id: binary_file_io.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/binary_file_io.h $
+// $Id: binary_file_io.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/Color.h 5.0.3-1/include/CGAL/IO/Color.h
--- 5.0.2-3/include/CGAL/IO/Color.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Color.h	2020-08-01 19:02:53.000000000 +0000
@@ -7,8 +7,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/Color.h $
-// $Id: Color.h b9a079b 2019-11-04T11:34:53+01:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/Color.h $
+// $Id: Color.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -40,7 +40,7 @@ namespace CGAL {
   left to its default value (255 = no transparency), which is why we
   often refer to the <I>rgb-value</I> of the color.
 
-  \sa `CGAL::Geomview_stream` 
+  \sa `CGAL::Geomview_stream`
 
 */
 
@@ -49,23 +49,23 @@ class Color
 private:
 
   std::array<unsigned char, 4> m_data;
-  
+
 public:
 
-  /// \name Creation 
+  /// \name Creation
   /// @{
 
   /*!
-    creates a color with rgba-value `(0,0,0,255)`, i.e.\ black. 
-  */ 
+    creates a color with rgba-value `(0,0,0,255)`, i.e.\ black.
+  */
   Color()
   {
     set_rgb (0, 0, 0, 255);
   }
 
   /*!
-    creates a color with rgba-value `(red,green,blue,alpha)`. 
-  */ 
+    creates a color with rgba-value `(red,green,blue,alpha)`.
+  */
   Color(unsigned char red,
         unsigned char green,
         unsigned char blue,
@@ -74,49 +74,49 @@ public:
     set_rgb (red, green, blue, alpha);
   }
 
-  /// @} 
+  /// @}
 
   /// \name Component Access
   /// @{
-  
+
   /*!
-    returns the red component. 
-  */ 
+    returns the red component.
+  */
   unsigned char red() const { return m_data[0]; }
 
   /*!
-    returns a reference on the red component. 
-  */ 
+    returns a reference on the red component.
+  */
   unsigned char& red() { return m_data[0]; }
 
   /*!
-    returns the green component. 
-  */ 
+    returns the green component.
+  */
   unsigned char green() const { return m_data[1]; }
 
   /*!
-    returns a reference on the green component. 
-  */ 
+    returns a reference on the green component.
+  */
   unsigned char& green() { return m_data[1]; }
 
   /*!
-    returns the blue component. 
-  */ 
+    returns the blue component.
+  */
   unsigned char blue() const { return m_data[2]; }
-  
+
   /*!
-    returns a reference on the blue component. 
-  */ 
+    returns a reference on the blue component.
+  */
   unsigned char& blue() { return m_data[2]; }
-  
+
   /*!
-    returns the alpha component. 
-  */ 
+    returns the alpha component.
+  */
   unsigned char alpha() const { return m_data[3]; }
 
   /*!
-    returns a reference on the alpha component. 
-  */ 
+    returns a reference on the alpha component.
+  */
   unsigned char& alpha() { return m_data[3]; }
 
   /// \cond SKIP_IN_MANUAL
@@ -132,13 +132,13 @@ public:
   {
     return !( (*this) == c);
   }
-  
+
   unsigned char r() const { return red(); }
   unsigned char g() const { return green(); }
   unsigned char b() const { return blue(); }
   unsigned char a() const { return alpha(); }
   /// \endcond
-  
+
   /// @}
 
   /// \name Array Access
@@ -147,32 +147,32 @@ public:
   /*!
     returns the \f$i^{th}\f$ component of the rgb color (the
     \f$0^{th}\f$ is red, the \f$1^{st}\f$ is blue, etc.).
-  */ 
+  */
   unsigned char operator[] (std::size_t i) const { return m_data[i]; }
-  
+
   /*!
     returns a reference on the \f$i^{th}\f$ component of `c` (the
     \f$0^{th}\f$ is red, the \f$1^{st}\f$ is blue, etc.).
-  */ 
+  */
   unsigned char& operator[] (std::size_t i)  { return m_data[i]; }
 
   /*!
     returns the array with rgba values.
-  */ 
+  */
   const std::array<unsigned char, 4>& to_rgba() const { return m_data; }
 
   /*!
     returns the array with rgb values.
-  */ 
+  */
   const std::array<unsigned char, 3>& to_rgb() const
   {
     return reinterpret_cast<const std::array<unsigned char, 3>&>(m_data);
   }
 
-  /*!  
+  /*!
     computes the hsv (hue, saturation, value) values and returns an
     array representing them as float values between 0 and 1.
-  */ 
+  */
   std::array<double, 3> to_hsv() const
   {
     double r = (double)(m_data[0]) / 255.;
@@ -182,7 +182,7 @@ public:
     double Cmin = (std::min) (r, (std::min) (g, b));
     double delta = Cmax - Cmin;
     double H = 0.;
-  
+
     if (delta != 0.)
     {
       if (Cmax == r)
@@ -192,21 +192,21 @@ public:
       else
         H = 60. * (((r - g) / delta) + 4.);
     }
-    
+
     if (H < 0.) H += 360.;
-    
+
     double S = (Cmax == 0. ? 0. : 100. * (delta / Cmax));
     double V = 100. * Cmax;
 
     return make_array(H,S,V);
   }
   /// @}
-  /// \name Modification 
+  /// \name Modification
   /// @{
 
-  /*!  
+  /*!
     replaces the rgb values of the colors by the one given as parameters.
-  */ 
+  */
   void set_rgb (unsigned char red,
                 unsigned char green,
                 unsigned char blue,
@@ -218,12 +218,12 @@ public:
     m_data[3] = alpha;
   }
 
-  /*!  
+  /*!
     replaces the rgb values of the colors by the conversion to rgb of
     the hsv values given as parameters.
 
     Double values given as parameters should take range between 0 and 1.
-  */ 
+  */
   void set_hsv (double hue,
                 double saturation,
                 double value,
@@ -235,7 +235,7 @@ public:
     int hh = (int)(hue/60.);
     double X = C * (1-std::abs (hh % 2 - 1));
     double r = 0, g = 0, b = 0;
-  
+
     if( hh>=0 && hh<1 )
     {
       r = C;
@@ -283,7 +283,7 @@ public:
   /// @}
 
 };
-  
+
 
 /*!
 
diff -pruN 5.0.2-3/include/CGAL/IO/Complex_2_in_triangulation_3_file_writer.h 5.0.3-1/include/CGAL/IO/Complex_2_in_triangulation_3_file_writer.h
--- 5.0.2-3/include/CGAL/IO/Complex_2_in_triangulation_3_file_writer.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Complex_2_in_triangulation_3_file_writer.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/IO/Complex_2_in_triangulation_3_file_writer.h $
-// $Id: Complex_2_in_triangulation_3_file_writer.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/IO/Complex_2_in_triangulation_3_file_writer.h $
+// $Id: Complex_2_in_triangulation_3_file_writer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -33,7 +33,7 @@ namespace CGAL { namespace Surface_meshe
   typename Tr::size_type number_of_facets_on_surface(const Tr& T);
 
   template <class Triangulation>
-  class Write_to_OFF_file 
+  class Write_to_OFF_file
   {
     CGAL::File_writer_OFF off;
     std::ostream& os;
@@ -46,13 +46,13 @@ namespace CGAL { namespace Surface_meshe
     }
 
     bool write_header(const typename Tr::size_type number_of_vertices,
-		      const typename Tr::size_type number_of_facets)
+                      const typename Tr::size_type number_of_facets)
     {
       off.header().set_no_comments(true);
       off.write_header(os,
-		       number_of_vertices,
-		       0, // fake number of halfedges, not used.
-		       number_of_facets);
+                       number_of_vertices,
+                       0, // fake number of halfedges, not used.
+                       number_of_facets);
       return os.good();
     }
 
@@ -70,8 +70,8 @@ namespace CGAL { namespace Surface_meshe
     }
 
     bool write_facet(const int index1,
-		     const int index2,
-		     const int index3)
+                     const int index2,
+                     const int index3)
     {
       off.write_facet_begin(3);
       off.write_facet_vertex_index(index1);
@@ -89,7 +89,7 @@ namespace CGAL { namespace Surface_meshe
   }; // end class Write_to_OFF_file
 
   template <class Triangulation, class HDS>
-  class Write_to_HDS 
+  class Write_to_HDS
   {
     CGAL::Polyhedron_incremental_builder_3<HDS> builder;
 
@@ -101,10 +101,10 @@ namespace CGAL { namespace Surface_meshe
     }
 
     bool write_header(const typename Tr::size_type number_of_vertices,
-		      const typename Tr::size_type number_of_facets)
+                      const typename Tr::size_type number_of_facets)
     {
       builder.begin_surface(number_of_vertices,
-			    number_of_facets);
+                            number_of_facets);
       return !builder.error();
     }
 
@@ -121,8 +121,8 @@ namespace CGAL { namespace Surface_meshe
     }
 
     bool write_facet(const int index1,
-		     const int index2,
-		     const int index3)
+                     const int index2,
+                     const int index3)
     {
       int indices[3];
       indices[0]=index1;
@@ -140,16 +140,16 @@ namespace CGAL { namespace Surface_meshe
   }; // end class Write_to_HDS
 
   enum IO_option { NO_OPTION = 0,
-		   IO_ORIENT_SURFACE = 1,
-		   IO_VERBOSE = 2 };
+                   IO_ORIENT_SURFACE = 1,
+                   IO_VERBOSE = 2 };
 
   } // end namespace Surface_mesher
 
 template <class C2t3>
 bool output_surface_facets_to_off (std::ostream& os,
-				   const C2t3& c2t3,
-				   int options = 
-				   Surface_mesher::IO_ORIENT_SURFACE)
+                                   const C2t3& c2t3,
+                                   int options =
+                                   Surface_mesher::IO_ORIENT_SURFACE)
 {
   using CGAL::Surface_mesher::number_of_facets_on_surface;
 
@@ -165,14 +165,14 @@ bool output_surface_facets_to_off (std::
 
   bool success = true;
 
-  Surface_mesher::Write_to_OFF_file<Tr> 
+  Surface_mesher::Write_to_OFF_file<Tr>
     off(os, (options & Surface_mesher::IO_VERBOSE) != 0);
 
   success &= off.write_header(tr.number_of_vertices(),
-			      c2t3.number_of_facets());
-  
+                              c2t3.number_of_facets());
+
   CGAL_assertion(c2t3.number_of_facets() == number_of_facets_on_surface(tr));
-  
+
   // Finite vertices coordinates.
   std::map<Vertex_handle, int> V;
   int inum = 0;
@@ -186,19 +186,19 @@ bool output_surface_facets_to_off (std::
 
   success &= off.begin_facets();
 
-  if((options & Surface_mesher::IO_ORIENT_SURFACE) == 0) 
+  if((options & Surface_mesher::IO_ORIENT_SURFACE) == 0)
   {
     for( Finite_facets_iterator fit = tr.finite_facets_begin();
-	 fit != tr.finite_facets_end(); ++fit)
+         fit != tr.finite_facets_end(); ++fit)
     {
       const typename Tr::Cell_handle cell = fit->first;
       const int& index = fit->second;
       if (cell->is_facet_on_surface(index)==true)
       {
-	const int index1 = V[cell->vertex(tr.vertex_triple_index(index, 0))];
-	const int index2 = V[cell->vertex(tr.vertex_triple_index(index, 1))];
-	const int index3 = V[cell->vertex(tr.vertex_triple_index(index, 2))];
-	success &= off.write_facet(index1, index2, index3);
+        const int index1 = V[cell->vertex(tr.vertex_triple_index(index, 0))];
+        const int index2 = V[cell->vertex(tr.vertex_triple_index(index, 1))];
+        const int index3 = V[cell->vertex(tr.vertex_triple_index(index, 2))];
+        success &= off.write_facet(index1, index2, index3);
       }
     }
   }
@@ -213,52 +213,52 @@ bool output_surface_facets_to_off (std::
 
     CGAL_assertion_code(typename Tr::size_type nb_facets = 0; )
 
-      while (oriented_set.size() != number_of_facets) 
+      while (oriented_set.size() != number_of_facets)
       {
-	while ( fit->first->is_facet_on_surface(fit->second) == false ||
-		oriented_set.find(*fit) != oriented_set.end() ||
-		
-		oriented_set.find(c2t3.opposite_facet(*fit)) !=
-		oriented_set.end() ) 
-	{
-	  ++fit;
-	}
-	oriented_set.insert(*fit);
-	stack.push(*fit);
-	while(! stack.empty() )
-	{
-	  Facet f = stack.top();
-	  stack.pop();
-	  for(int ih = 0 ; ih < 3 ; ++ih) {
-	    const int i1  = tr.vertex_triple_index(f.second, tr. cw(ih));
-	    const int i2  = tr.vertex_triple_index(f.second, tr.ccw(ih));
-
-	    const typename C2t3::Face_status face_status
-	      = c2t3.face_status(Edge(f.first, i1, i2));
-	    if(face_status == C2t3::REGULAR) {
-	      Facet fn = c2t3.neighbor(f, ih);
-	      if (oriented_set.find(fn) == oriented_set.end()) {
-		if(oriented_set.find(c2t3.opposite_facet(fn)) == oriented_set.end())
-		{
-		  oriented_set.insert(fn);
-		  stack.push(fn);
-		}
-		else {
-		  success = false; // non-orientable
-		}
-	      }
-	    }
-	    else if(face_status != C2t3::BOUNDARY) {
-	      success = false; // non manifold, thus non-orientable
-	    }
-	  } // end "for each neighbor of f"
-	} // end "stack non empty"
+        while ( fit->first->is_facet_on_surface(fit->second) == false ||
+                oriented_set.find(*fit) != oriented_set.end() ||
+
+                oriented_set.find(c2t3.opposite_facet(*fit)) !=
+                oriented_set.end() )
+        {
+          ++fit;
+        }
+        oriented_set.insert(*fit);
+        stack.push(*fit);
+        while(! stack.empty() )
+        {
+          Facet f = stack.top();
+          stack.pop();
+          for(int ih = 0 ; ih < 3 ; ++ih) {
+            const int i1  = tr.vertex_triple_index(f.second, tr. cw(ih));
+            const int i2  = tr.vertex_triple_index(f.second, tr.ccw(ih));
+
+            const typename C2t3::Face_status face_status
+              = c2t3.face_status(Edge(f.first, i1, i2));
+            if(face_status == C2t3::REGULAR) {
+              Facet fn = c2t3.neighbor(f, ih);
+              if (oriented_set.find(fn) == oriented_set.end()) {
+                if(oriented_set.find(c2t3.opposite_facet(fn)) == oriented_set.end())
+                {
+                  oriented_set.insert(fn);
+                  stack.push(fn);
+                }
+                else {
+                  success = false; // non-orientable
+                }
+              }
+            }
+            else if(face_status != C2t3::BOUNDARY) {
+              success = false; // non manifold, thus non-orientable
+            }
+          } // end "for each neighbor of f"
+        } // end "stack non empty"
       } // end "oriented_set not full"
-    
-    for(typename std::set<Facet>::const_iterator fit = 
-	  oriented_set.begin();
-	fit != oriented_set.end();
-	++fit)
+
+    for(typename std::set<Facet>::const_iterator fit =
+          oriented_set.begin();
+        fit != oriented_set.end();
+        ++fit)
     {
       const typename Tr::Cell_handle cell = fit->first;
       const int& index = fit->second;
@@ -288,90 +288,90 @@ bool output_surface_facets_to_off (std::
 //     void operator()( HalfedgeDS& hds) {
 //       CGAL::Polyhedron_incremental_builder_3<HalfedgeDS> builder(hds, true);
 //       const typename Tr::size_type number_of_facets = c2t3.number_of_facets();
-//       builder.begin_surface(tr.number_of_vertices(), 
-// 			    number_of_facets);
+//       builder.begin_surface(tr.number_of_vertices(),
+//                             number_of_facets);
 //       {
-// 	// Finite vertices coordinates.
-// 	std::map<Vertex_handle, int> V;
-// 	int inum = 0;
-// 	for(Finite_vertices_iterator vit = tr.finite_vertices_begin();
-// 	    vit != tr.finite_vertices_end();
-// 	    ++vit)
-// 	{
-// 	  V[vit] = inum++;
-// 	  Point p = static_cast<Point>(vit->point());
-// 	  builder.add_vertex(p);
-// 	}
-// 	Finite_facets_iterator fit = tr.finite_facets_begin();
-// 	std::set<Facet> oriented_set;
-// 	std::stack<Facet> stack;
-
-// 	CGAL_assertion_code(typename Tr::size_type nb_facets = 0; )
-
-// 	while (oriented_set.size() != number_of_facets) {
-// 	  while ( fit->first->is_facet_on_surface(fit->second) == false ||
-// 		  oriented_set.find(*fit) != oriented_set.end() ||
-
-// 		  oriented_set.find(c2t3.opposite_facet(*fit)) !=
-// 		  oriented_set.end() ) {
-// 	    ++fit;
-// 	  }
-// 	  oriented_set.insert(*fit);
-// 	  stack.push(*fit);
-// 	  while(! stack.empty() ) {
-// 	    Facet f = stack.top();
-// 	    stack.pop();
-// 	    for(int ih = 0 ; ih < 3 ; ++ih) {
-// 	      const int i1  = tr.vertex_triple_index(f.second, tr. cw(ih));
-// 	      const int i2  = tr.vertex_triple_index(f.second, tr.ccw(ih));
-// 	      if( c2t3.face_status(Edge(f.first, i1, i2)) == C2t3::REGULAR ) {
-// 		Facet fn = c2t3.neighbor(f, ih);
-// 		if (oriented_set.find(fn) == oriented_set.end() &&
-// 		    oriented_set.find(c2t3.opposite_facet(fn)) == oriented_set.end())
-// 		{
-// 		  oriented_set.insert(fn);
-// 		  stack.push(fn);
-// 		}
-// 	      } // end "if the edge is regular"
-// 	    } // end "for each neighbor of f"
-// 	  } // end "stack non empty"
-// 	} // end "oriented_set not full"
-
-// 	for(typename std::set<Facet>::const_iterator fit = 
-// 	      oriented_set.begin();
-// 	    fit != oriented_set.end();
-// 	    ++fit)
-// 	{
-// 	  int indices[3];
-// 	  int index = 0;
-// 	  for (int i=0; i<3; i++)
-// 	    indices[index++] = 
-// 	      V[fit->first->vertex(tr.vertex_triple_index(fit->second, i))];
-// 	  builder.add_facet(indices+0, indices+3);
-// 	  CGAL_assertion_code(++nb_facets);
-// 	}
-// 	CGAL_assertion(nb_facets == number_of_facets);
-// // 	for( Finite_facets_iterator fit = tr.finite_facets_begin();
-// // 	     fit != tr.finite_facets_end(); ++fit)
-// // 	  if ((*fit).first->is_facet_on_surface((*fit).second)==true)
-// // 	  {
-// // 	    int indices[3];
-// // 	    int index = 0;
-// // 	    for (int i=0; i<3; i++)
-// // 	      std::cerr << ( indices[index++] = V[(*fit).first->vertex(tr.vertex_triple_index(fit->second, i))] ) << ", ";
-// // 	    std::cerr << "\n";
-// // 	    if( builder.test_facet(indices+0, indices+3) )
-// // 	      builder.add_facet(indices+0, indices+3);
-// // 	    else
-// // 	    {
-// // 	      builder.begin_facet();
-// // 	      builder.add_vertex_to_facet(indices[2]);
-// // 	      builder.add_vertex_to_facet(indices[1]);
-// // 	      builder.add_vertex_to_facet(indices[0]);
-// // 	      builder.end_facet();
-// // 	    }
-// // 	    CGAL_assertion_code(++nb_facets);
-// // 	  }
+//         // Finite vertices coordinates.
+//         std::map<Vertex_handle, int> V;
+//         int inum = 0;
+//         for(Finite_vertices_iterator vit = tr.finite_vertices_begin();
+//             vit != tr.finite_vertices_end();
+//             ++vit)
+//         {
+//           V[vit] = inum++;
+//           Point p = static_cast<Point>(vit->point());
+//           builder.add_vertex(p);
+//         }
+//         Finite_facets_iterator fit = tr.finite_facets_begin();
+//         std::set<Facet> oriented_set;
+//         std::stack<Facet> stack;
+
+//         CGAL_assertion_code(typename Tr::size_type nb_facets = 0; )
+
+//         while (oriented_set.size() != number_of_facets) {
+//           while ( fit->first->is_facet_on_surface(fit->second) == false ||
+//                   oriented_set.find(*fit) != oriented_set.end() ||
+
+//                   oriented_set.find(c2t3.opposite_facet(*fit)) !=
+//                   oriented_set.end() ) {
+//             ++fit;
+//           }
+//           oriented_set.insert(*fit);
+//           stack.push(*fit);
+//           while(! stack.empty() ) {
+//             Facet f = stack.top();
+//             stack.pop();
+//             for(int ih = 0 ; ih < 3 ; ++ih) {
+//               const int i1  = tr.vertex_triple_index(f.second, tr. cw(ih));
+//               const int i2  = tr.vertex_triple_index(f.second, tr.ccw(ih));
+//               if( c2t3.face_status(Edge(f.first, i1, i2)) == C2t3::REGULAR ) {
+//                 Facet fn = c2t3.neighbor(f, ih);
+//                 if (oriented_set.find(fn) == oriented_set.end() &&
+//                     oriented_set.find(c2t3.opposite_facet(fn)) == oriented_set.end())
+//                 {
+//                   oriented_set.insert(fn);
+//                   stack.push(fn);
+//                 }
+//               } // end "if the edge is regular"
+//             } // end "for each neighbor of f"
+//           } // end "stack non empty"
+//         } // end "oriented_set not full"
+
+//         for(typename std::set<Facet>::const_iterator fit =
+//               oriented_set.begin();
+//             fit != oriented_set.end();
+//             ++fit)
+//         {
+//           int indices[3];
+//           int index = 0;
+//           for (int i=0; i<3; i++)
+//             indices[index++] =
+//               V[fit->first->vertex(tr.vertex_triple_index(fit->second, i))];
+//           builder.add_facet(indices+0, indices+3);
+//           CGAL_assertion_code(++nb_facets);
+//         }
+//         CGAL_assertion(nb_facets == number_of_facets);
+// //         for( Finite_facets_iterator fit = tr.finite_facets_begin();
+// //              fit != tr.finite_facets_end(); ++fit)
+// //           if ((*fit).first->is_facet_on_surface((*fit).second)==true)
+// //           {
+// //             int indices[3];
+// //             int index = 0;
+// //             for (int i=0; i<3; i++)
+// //               std::cerr << ( indices[index++] = V[(*fit).first->vertex(tr.vertex_triple_index(fit->second, i))] ) << ", ";
+// //             std::cerr << "\n";
+// //             if( builder.test_facet(indices+0, indices+3) )
+// //               builder.add_facet(indices+0, indices+3);
+// //             else
+// //             {
+// //               builder.begin_facet();
+// //               builder.add_vertex_to_facet(indices[2]);
+// //               builder.add_vertex_to_facet(indices[1]);
+// //               builder.add_vertex_to_facet(indices[0]);
+// //               builder.end_facet();
+// //             }
+// //             CGAL_assertion_code(++nb_facets);
+// //           }
 //       }
 //       builder.end_surface();
 //     }
@@ -417,17 +417,17 @@ output_oriented_surface_facets_to_off (s
        fit != T.finite_facets_end(); ++fit)
     if ((*fit).first->is_facet_on_surface((*fit).second)==true)
       {
-	typename Tr::Facet f = *fit;
-	typename Tr::Facet opposite = T.mirror_facet(f);
-	CGAL_assertion (f.first->is_in_domain() !=
-			opposite.first->is_in_domain());
-	if(!f.first->is_in_domain())
-	  f = T.mirror_facet(f);
-	os << "3 "
-	   << V[f.first->vertex(T.vertex_triple_index(f.second,0))] << " "
-	   << V[f.first->vertex(T.vertex_triple_index(f.second,1))] << " "
-	   << V[f.first->vertex(T.vertex_triple_index(f.second,2))] << " "
-	   << "\n"; // without color.
+        typename Tr::Facet f = *fit;
+        typename Tr::Facet opposite = T.mirror_facet(f);
+        CGAL_assertion (f.first->is_in_domain() !=
+                        opposite.first->is_in_domain());
+        if(!f.first->is_in_domain())
+          f = T.mirror_facet(f);
+        os << "3 "
+           << V[f.first->vertex(T.vertex_triple_index(f.second,0))] << " "
+           << V[f.first->vertex(T.vertex_triple_index(f.second,1))] << " "
+           << V[f.first->vertex(T.vertex_triple_index(f.second,2))] << " "
+           << "\n"; // without color.
       }
 }
 
@@ -435,8 +435,8 @@ output_oriented_surface_facets_to_off (s
 template < class Tr>
 void
 output_surface_facets_to_ghs   (std::ostream& os_points,
-				std::ostream& os_faces,
-				const Tr & T) {
+                                std::ostream& os_faces,
+                                const Tr & T) {
   typedef typename Tr::Finite_facets_iterator Finite_facets_iterator;
   typedef typename Tr::Finite_vertices_iterator Finite_vertices_iterator;
   typedef typename Tr::Vertex_handle Vertex_handle;
@@ -466,15 +466,15 @@ output_surface_facets_to_ghs   (std::ost
        fit != T.finite_facets_end(); ++fit)
     if ((*fit).first->is_facet_on_surface((*fit).second)==true)
       {
-	Facet f = *fit;
-	if(!f.first->is_in_domain())
-	  f = T.mirror_facet(f);
-	os_faces
-	  << "3 "
-	  << V[f.first->vertex(T.vertex_triple_index(f.second,0))] << " "
-	  << V[f.first->vertex(T.vertex_triple_index(f.second,1))] << " "
-	  << V[f.first->vertex(T.vertex_triple_index(f.second,2))] << " "
-	  << "0 0 0 0\n";
+        Facet f = *fit;
+        if(!f.first->is_in_domain())
+          f = T.mirror_facet(f);
+        os_faces
+          << "3 "
+          << V[f.first->vertex(T.vertex_triple_index(f.second,0))] << " "
+          << V[f.first->vertex(T.vertex_triple_index(f.second,1))] << " "
+          << V[f.first->vertex(T.vertex_triple_index(f.second,2))] << " "
+          << "0 0 0 0\n";
       }
 }
 
@@ -485,7 +485,7 @@ int number_of_facets_in_domain(const Tr&
        fit != T.finite_facets_end(); ++fit) {
     typename Tr::Cell_handle neighb = fit->first->neighbor (fit->second);
     if ((fit->first->is_in_domain () || neighb->is_in_domain()) &&
-	!fit->first->is_facet_on_surface (fit->second))
+        !fit->first->is_facet_on_surface (fit->second))
       ++result;
   }
   return result;
@@ -522,14 +522,14 @@ output_interior_facets_to_off (std::ostr
        fit != T.finite_facets_end(); ++fit){
     typename Tr::Cell_handle neighb = fit->first->neighbor (fit->second);
     if ((fit->first->is_in_domain () || neighb->is_in_domain()) &&
-	!fit->first->is_facet_on_surface (fit->second))
+        !fit->first->is_facet_on_surface (fit->second))
       {
-	os << "3 ";
-	for (int i=0; i<4; i++)
+        os << "3 ";
+        for (int i=0; i<4; i++)
           if (i != (*fit).second)
-	    os << V[(*fit).first->vertex(i)] << " ";
+            os << V[(*fit).first->vertex(i)] << " ";
 
-	os << "\n"; // without color.
+        os << "\n"; // without color.
       }
   }
 }
diff -pruN 5.0.2-3/include/CGAL/IO/Complex_2_in_triangulation_3_polyhedron_builder.h 5.0.3-1/include/CGAL/IO/Complex_2_in_triangulation_3_polyhedron_builder.h
--- 5.0.2-3/include/CGAL/IO/Complex_2_in_triangulation_3_polyhedron_builder.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Complex_2_in_triangulation_3_polyhedron_builder.h	2020-08-01 19:02:57.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/IO/Complex_2_in_triangulation_3_polyhedron_builder.h $
-// $Id: Complex_2_in_triangulation_3_polyhedron_builder.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/IO/Complex_2_in_triangulation_3_polyhedron_builder.h $
+// $Id: Complex_2_in_triangulation_3_polyhedron_builder.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -71,7 +71,7 @@ public:
     CGAL::Polyhedron_incremental_builder_3<HDS> builder(hds, true);
     const typename Tr::size_type number_of_facets = c2t3.number_of_facets();
     builder.begin_surface(tr.number_of_vertices(),
-			  number_of_facets);
+                          number_of_facets);
     {
       // Finite vertices coordinates.
       Finite_facets_iterator fit = tr.finite_facets_begin();
@@ -113,17 +113,17 @@ public:
       // - find the facet with max z
       typename std::set<Facet>::const_iterator top_facet = oriented_set.begin();
       for(typename std::set<Facet>::const_iterator fit = oriented_set.begin();
-	  fit != oriented_set.end();
-	  ++fit)
+          fit != oriented_set.end();
+          ++fit)
       {
-	double top_z = 
-	  (top_facet->first->vertex(tr.vertex_triple_index(top_facet->second, 0))->point().z()
-	 + top_facet->first->vertex(tr.vertex_triple_index(top_facet->second, 1))->point().z()
-	 + top_facet->first->vertex(tr.vertex_triple_index(top_facet->second, 2))->point().z())/3.;
-	double z = 
-	  (fit->first->vertex(tr.vertex_triple_index(fit->second, 0))->point().z()
-	 + fit->first->vertex(tr.vertex_triple_index(fit->second, 1))->point().z()
-	 + fit->first->vertex(tr.vertex_triple_index(fit->second, 2))->point().z())/3.;
+        double top_z =
+          (top_facet->first->vertex(tr.vertex_triple_index(top_facet->second, 0))->point().z()
+         + top_facet->first->vertex(tr.vertex_triple_index(top_facet->second, 1))->point().z()
+         + top_facet->first->vertex(tr.vertex_triple_index(top_facet->second, 2))->point().z())/3.;
+        double z =
+          (fit->first->vertex(tr.vertex_triple_index(fit->second, 0))->point().z()
+         + fit->first->vertex(tr.vertex_triple_index(fit->second, 1))->point().z()
+         + fit->first->vertex(tr.vertex_triple_index(fit->second, 2))->point().z())/3.;
         if (top_z < z)
           top_facet = fit;
       }
@@ -138,47 +138,47 @@ public:
       //used to set indices of vertices
       std::map<Vertex_handle, int> V;
       int inum = 0;
-      
+
       for(typename std::set<Facet>::const_iterator fit =
-	    oriented_set.begin();
-	  fit != oriented_set.end();
-	  ++fit)
+            oriented_set.begin();
+          fit != oriented_set.end();
+          ++fit)
       {
-	int indices[3];
-	int index = 0;
-	for (int i=0; i<3; i++)
-	  indices[index++] = get_vertex_index(
+        int indices[3];
+        int index = 0;
+        for (int i=0; i<3; i++)
+          indices[index++] = get_vertex_index(
             builder, fit->first->vertex(tr.vertex_triple_index(fit->second, i)), V, inum
           );
-	builder.begin_facet();
-	  builder.add_vertex_to_facet(indices[0]);
-	  builder.add_vertex_to_facet(regular_orientation ? indices[1] : indices[2]);
-	  builder.add_vertex_to_facet(regular_orientation ? indices[2] : indices[1]);
-	builder.end_facet();
-	CGAL_assertion_code(++nb_facets);
+        builder.begin_facet();
+          builder.add_vertex_to_facet(indices[0]);
+          builder.add_vertex_to_facet(regular_orientation ? indices[1] : indices[2]);
+          builder.add_vertex_to_facet(regular_orientation ? indices[2] : indices[1]);
+        builder.end_facet();
+        CGAL_assertion_code(++nb_facets);
       }
       CGAL_assertion(nb_facets == number_of_facets);
-      // 	for( Finite_facets_iterator fit = tr.finite_facets_begin();
-      // 	     fit != tr.finite_facets_end(); ++fit)
-      // 	  if ((*fit).first->is_facet_on_surface((*fit).second)==true)
-      // 	  {
-      // 	    int indices[3];
-      // 	    int index = 0;
-      // 	    for (int i=0; i<3; i++)
-      // 	      std::cerr << ( indices[index++] = V[(*fit).first->vertex(tr.vertex_triple_index(fit->second, i))] ) << ", ";
-      // 	    std::cerr << "\n";
-      // 	    if( builder.test_facet(indices+0, indices+3) )
-      // 	      builder.add_facet(indices+0, indices+3);
-      // 	    else
-      // 	    {
-      // 	      builder.begin_facet();
-      // 	      builder.add_vertex_to_facet(indices[2]);
-      // 	      builder.add_vertex_to_facet(indices[1]);
-      // 	      builder.add_vertex_to_facet(indices[0]);
-      // 	      builder.end_facet();
-      // 	    }
-      // 	    CGAL_assertion_code(++nb_facets);
-      // 	  }
+      //         for( Finite_facets_iterator fit = tr.finite_facets_begin();
+      //              fit != tr.finite_facets_end(); ++fit)
+      //           if ((*fit).first->is_facet_on_surface((*fit).second)==true)
+      //           {
+      //             int indices[3];
+      //             int index = 0;
+      //             for (int i=0; i<3; i++)
+      //               std::cerr << ( indices[index++] = V[(*fit).first->vertex(tr.vertex_triple_index(fit->second, i))] ) << ", ";
+      //             std::cerr << "\n";
+      //             if( builder.test_facet(indices+0, indices+3) )
+      //               builder.add_facet(indices+0, indices+3);
+      //             else
+      //             {
+      //               builder.begin_facet();
+      //               builder.add_vertex_to_facet(indices[2]);
+      //               builder.add_vertex_to_facet(indices[1]);
+      //               builder.add_vertex_to_facet(indices[0]);
+      //               builder.end_facet();
+      //             }
+      //             CGAL_assertion_code(++nb_facets);
+      //           }
     }
     builder.end_surface();
   } // end operator()
diff -pruN 5.0.2-3/include/CGAL/IO/Complex_2_in_triangulation_3_to_medit.h 5.0.3-1/include/CGAL/IO/Complex_2_in_triangulation_3_to_medit.h
--- 5.0.2-3/include/CGAL/IO/Complex_2_in_triangulation_3_to_medit.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Complex_2_in_triangulation_3_to_medit.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/IO/Complex_2_in_triangulation_3_to_medit.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/IO/Complex_2_in_triangulation_3_to_medit.h $
 // $Id: Complex_2_in_triangulation_3_to_medit.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/Complex_2_in_triangulation_3_to_vtk.h 5.0.3-1/include/CGAL/IO/Complex_2_in_triangulation_3_to_vtk.h
--- 5.0.2-3/include/CGAL/IO/Complex_2_in_triangulation_3_to_vtk.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Complex_2_in_triangulation_3_to_vtk.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/IO/Complex_2_in_triangulation_3_to_vtk.h $
-// $Id: Complex_2_in_triangulation_3_to_vtk.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/IO/Complex_2_in_triangulation_3_to_vtk.h $
+// $Id: Complex_2_in_triangulation_3_to_vtk.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -27,7 +27,7 @@
 namespace CGAL {
 
 template <typename C2T3>
-vtkPolyData* output_c2t3_to_vtk_polydata(const C2T3& c2t3, 
+vtkPolyData* output_c2t3_to_vtk_polydata(const C2T3& c2t3,
                                          vtkPolyData* polydata = 0)
 {
   typedef typename C2T3::Triangulation Triangulation;
@@ -44,7 +44,7 @@ vtkPolyData* output_c2t3_to_vtk_polydata
   std::map<Vertex_handle, vtkIdType> V;
   vtkIdType inum = 0;
 
-  for(typename Triangulation::Finite_vertices_iterator 
+  for(typename Triangulation::Finite_vertices_iterator
         vit = tr.finite_vertices_begin(),
         end = tr.finite_vertices_end();
       vit != end;
@@ -57,10 +57,10 @@ vtkPolyData* output_c2t3_to_vtk_polydata
                                 CGAL::to_double(p.z()));
     V[vit] = inum++;
   }
-  for(typename C2T3::Facet_iterator 
+  for(typename C2T3::Facet_iterator
         fit = c2t3.facets_begin(),
         end = c2t3.facets_end();
-      fit != end; ++fit) 
+      fit != end; ++fit)
   {
     vtkIdType cell[3];
     int j=0;
diff -pruN 5.0.2-3/include/CGAL/IO/Complex_3_in_triangulation_3_to_vtk.h 5.0.3-1/include/CGAL/IO/Complex_3_in_triangulation_3_to_vtk.h
--- 5.0.2-3/include/CGAL/IO/Complex_3_in_triangulation_3_to_vtk.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Complex_3_in_triangulation_3_to_vtk.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/IO/Complex_3_in_triangulation_3_to_vtk.h $
-// $Id: Complex_3_in_triangulation_3_to_vtk.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/IO/Complex_3_in_triangulation_3_to_vtk.h $
+// $Id: Complex_3_in_triangulation_3_to_vtk.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -28,8 +28,8 @@ namespace CGAL {
 
 //if export_complex is false, there must be no far point.
 template <typename C3T3>
-vtkUnstructuredGrid* 
-output_c3t3_to_vtk_unstructured_grid(const C3T3& c3t3, 
+vtkUnstructuredGrid*
+output_c3t3_to_vtk_unstructured_grid(const C3T3& c3t3,
                                      vtkUnstructuredGrid* grid = 0,
                                      bool export_complex = true)
 {
@@ -50,7 +50,7 @@ output_c3t3_to_vtk_unstructured_grid(con
   boost::unordered_map<Vertex_handle, vtkIdType, Hash_fct> V;
   vtkIdType inum = 0;
 
-  for(typename Triangulation::Finite_vertices_iterator 
+  for(typename Triangulation::Finite_vertices_iterator
         vit = tr.finite_vertices_begin(),
         end = tr.finite_vertices_end();
       vit != end;
@@ -66,10 +66,10 @@ output_c3t3_to_vtk_unstructured_grid(con
       V[vit] = inum++;
     }
   }
-  for(typename C3T3::Facets_in_complex_iterator 
+  for(typename C3T3::Facets_in_complex_iterator
         fit = c3t3.facets_in_complex_begin(),
         end = c3t3.facets_in_complex_end();
-      fit != end; ++fit) 
+      fit != end; ++fit)
   {
     vtkIdType cell[3];
     int j=0;
@@ -81,10 +81,10 @@ output_c3t3_to_vtk_unstructured_grid(con
   }
   if(export_complex)
   {
-    for(typename C3T3::Cells_in_complex_iterator 
+    for(typename C3T3::Cells_in_complex_iterator
         cit = c3t3.cells_in_complex_begin(),
         end = c3t3.cells_in_complex_end();
-        cit != end; ++cit) 
+        cit != end; ++cit)
     {
       vtkIdType cell[4];
       for (int i = 0; i < 4; ++i)
@@ -96,7 +96,7 @@ output_c3t3_to_vtk_unstructured_grid(con
   {
     for(auto cit = tr.finite_cells_begin(),
         end = tr.finite_cells_end();
-        cit != end; ++cit) 
+        cit != end; ++cit)
     {
       if(!c3t3.is_in_complex(cit))
       {
diff -pruN 5.0.2-3/include/CGAL/IO/Dxf_bsop_reader.h 5.0.3-1/include/CGAL/IO/Dxf_bsop_reader.h
--- 5.0.2-3/include/CGAL/IO/Dxf_bsop_reader.h	2020-02-21 20:02:59.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Dxf_bsop_reader.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/IO/Dxf_bsop_reader.h $
-// $Id: Dxf_bsop_reader.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/IO/Dxf_bsop_reader.h $
+// $Id: Dxf_bsop_reader.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 //                 Ron Wein        <wein@post.tau.ac.il>
@@ -73,7 +73,7 @@ public:
    * \param simplify Should we simplify the polygons (in case the file
    *                 contains polygons that are not simple).
    * \return A pair of past-the-end iterators for both ranges.
-   */ 
+   */
   template <class PolygonOutputIterator,
             class PolygonWithHolesOutputIterator>
   std::pair<PolygonOutputIterator, PolygonWithHolesOutputIterator>
@@ -94,7 +94,7 @@ public:
     // Convert the circles, such that each circle becomes a simple polygon
     // with two edges (the upper and the lower half-circles).
     Traits_2                             traits;
-    typename Traits_2::Make_x_monotone_2 make_x_monotone = 
+    typename Traits_2::Make_x_monotone_2 make_x_monotone =
                                              traits.make_x_monotone_2_object();
     typename Dxf_circles_list::iterator  circ_it;
     CGAL::Object                         obj_vec[3];
@@ -153,7 +153,7 @@ public:
           pt = pgn_it->begin()->first;
 
         // Check whether a "bulge" is defined between the two vertices.
-        if (curr->second) 
+        if (curr->second)
         {
           // A non-zero bulge: ps and pt are connected by a circular arc.
           // We compute the center and the squared radius of its supporting
@@ -165,8 +165,8 @@ public:
           const FT x_coord = ((ps.x() + pt.x())/2) + common*(ps.y() - pt.y());
           const FT y_coord = ((ps.y() + pt.y())/2) + common*(pt.x() - ps.x());
           const FT sqr_bulge = CGAL::square(bulge);
-          const FT sqr_rad = CGAL::squared_distance(ps, pt) * 
-                             (1/sqr_bulge + 2 + sqr_bulge) / 16; 
+          const FT sqr_rad = CGAL::squared_distance(ps, pt) *
+                             (1/sqr_bulge + 2 + sqr_bulge) / 16;
 
           // Construct the arc: A positive bulge means the arc is
           // counterclockwise oriented and a negative bulge means that the arc
@@ -178,7 +178,7 @@ public:
             supp_circ = Circle_2 (Point_2 (x_coord, y_coord), sqr_rad,
                                   CGAL::CLOCKWISE);
 
-          Curve_2 circ_arc (supp_circ, 
+          Curve_2 circ_arc (supp_circ,
                             Arc_point_2 (ps.x(), ps.y()),
                             Arc_point_2 (pt.x(), pt.y()));
 
diff -pruN 5.0.2-3/include/CGAL/IO/Dxf_reader_doubles.h 5.0.3-1/include/CGAL/IO/Dxf_reader_doubles.h
--- 5.0.2-3/include/CGAL/IO/Dxf_reader_doubles.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Dxf_reader_doubles.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/IO/Dxf_reader_doubles.h $
-// $Id: Dxf_reader_doubles.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/IO/Dxf_reader_doubles.h $
+// $Id: Dxf_reader_doubles.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Andreas Fabri
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 // Descriptions of the file format can be found at
@@ -167,9 +167,9 @@ read_polygon(std::istream& is, Polygon&
       is >> n;
       len = 0;
       if(n == 42){
-	is >> len;
+        is >> len;
       } else {
-	CGAL_assertion(n == 0);
+        CGAL_assertion(n == 0);
       }
       poly.push_back(CGAL::make_array(x,y, len));
     }
diff -pruN 5.0.2-3/include/CGAL/IO/Dxf_reader.h 5.0.3-1/include/CGAL/IO/Dxf_reader.h
--- 5.0.2-3/include/CGAL/IO/Dxf_reader.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Dxf_reader.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/IO/Dxf_reader.h $
-// $Id: Dxf_reader.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/IO/Dxf_reader.h $
+// $Id: Dxf_reader.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Andreas Fabri
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 // Description of the file format can be found at the following address:
@@ -188,9 +188,9 @@ read_polygon(std::istream& is, Polygon&
       is >> n;
       len = 0;
       if(n == 42){
-	is >> len;
+        is >> len;
       } else {
-	CGAL_assertion(n == 0);
+        CGAL_assertion(n == 0);
       }
       poly.push_back(std::make_pair(typename K::Construct_point_2()(x,y), len));
     }
diff -pruN 5.0.2-3/include/CGAL/IO/Dxf_stream.h 5.0.3-1/include/CGAL/IO/Dxf_stream.h
--- 5.0.2-3/include/CGAL/IO/Dxf_stream.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Dxf_stream.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/IO/Dxf_stream.h $
-// $Id: Dxf_stream.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/IO/Dxf_stream.h $
+// $Id: Dxf_stream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Fernando Cacciola
 //
@@ -31,21 +31,21 @@ class Dxf_layer
 public:
 
   Dxf_layer( std::string aStr ) : mStr(aStr) {}
-  
+
   std::string str() const { return mStr ; }
-  
+
 private:
-  
+
   std::string mStr ;
 } ;
- 
+
 template <class Kernel_>
 class Dxf_stream
 {
 public:
 
   typedef Kernel_                                Kernel;
-  
+
   // Define the kernel objects.
   typedef typename Kernel::FT                    NT;
   typedef typename Kernel::Point_2               Point_2;
@@ -63,26 +63,26 @@ protected:
   Dxf_writer          mWriter ;
   int                 mDefaultDxfColor;
   int                 mDxfColor;
-  Color               mCgalColor ; 
+  Color               mCgalColor ;
   std::string         mLayer ;
-  
+
   struct Color_less
   {
     bool operator() ( Color const& a, Color const& b ) const
     {
-      return Color_value(a) < Color_value(b);        
+      return Color_value(a) < Color_value(b);
     }
-    
-    static int Color_value ( Color const& c ) 
+
+    static int Color_value ( Color const& c )
     {
-      return ( int(c.r()) << 16 ) + ( int(c.g()) << 8  ) + ( int(c.b()) ) ;  
+      return ( int(c.r()) << 16 ) + ( int(c.g()) << 8  ) + ( int(c.b()) ) ;
     }
   } ;
-  
+
   typedef std::map<Color,int,Color_less>  Color_table ;
-  typedef typename Color_table::const_iterator Color_table_iterator ;  
+  typedef typename Color_table::const_iterator Color_table_iterator ;
   Color_table mColorTable ;
-   
+
 private:
 
   // Copy constructor and assignment operator - not supported.
@@ -107,7 +107,7 @@ public:
    ,mLayer           ("0")
   {
     setup_initial_color_table();
-  }  
+  }
 
   /*!
    * Destructor.
@@ -117,12 +117,12 @@ public:
 
   /// \name Accessing drawing properties.
   //@{
-  
+
   /*!
    * Get the current layer.
    */
   std::string layer() const { return mLayer ; }
-  
+
   /*!
    * Get the current CGAL color.
    */
@@ -137,9 +137,9 @@ public:
    * Get the current DXF color.
    */
   int default_dxf_color () const { return mDefaultDxfColor ; }
-  
+
   // @}
-  
+
   /// \name Set the drawing properties.
   //@{
 
@@ -147,7 +147,7 @@ public:
    * Set the current layer.
    */
   void set_layer ( std::string aLayer ) { mLayer = aLayer ; }
-  
+
   /*!
    * Set the current color.
    * \pre The color must be defined.
@@ -155,7 +155,7 @@ public:
   void set_color ( Color aColor )
   {
     mCgalColor = aColor ;
-    
+
     Color_table_iterator f = mColorTable.find(aColor);
     if ( f != mColorTable.end() )
          mDxfColor = f->second ;
@@ -171,7 +171,7 @@ public:
   {
     mDefaultDxfColor = aDxfColor ;
   }
-  
+
   /*!
    * Adds a mapping between a CGAL Color and a DXF color.
    * \param aCgalColor The CGAL color.
@@ -217,7 +217,7 @@ public:
   {
     mWriter.add_polyline_2( begin, end, true, mLayer, mDxfColor ) ;
   }
-  
+
   /*!
    * Write a 2D polyline but as a sequence of line segments
    * \param begin An iterator of the control points (of type Point_2).
@@ -239,7 +239,7 @@ public:
   {
     mWriter.add_segments_2( begin, end, true, mLayer, mDxfColor ) ;
   }
-  
+
   /*!
    * Write a 2D (closed) polygon.
    */
@@ -261,7 +261,7 @@ public:
     set_layer ( aLayer.str() );
     return (*this);
   }
-  
+
   /*!
    * Set the current color.
    */
@@ -310,7 +310,7 @@ protected:
     define_color(white(),7);
     define_color(gray(),8);
   }
-  
+
 };
 
 } // end namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/IO/Dxf_variant_reader.h 5.0.3-1/include/CGAL/IO/Dxf_variant_reader.h
--- 5.0.2-3/include/CGAL/IO/Dxf_variant_reader.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Dxf_variant_reader.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,17 +3,17 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/IO/Dxf_variant_reader.h $
-// $Id: Dxf_variant_reader.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/IO/Dxf_variant_reader.h $
+// $Id: Dxf_variant_reader.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion
 //                 Andreas Fabri, Ron Wein, Julien Hazebrouck
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 // Description of the file format can be found at the following address:
@@ -41,7 +41,7 @@ template<class CK,class Circular_arc_2,
 
   typedef std::array<double, 3> Triplet;
   typedef typename CK::FT FT;
-  typedef typename CK::Circular_arc_point_2 Circular_arc_point_2;    
+  typedef typename CK::Circular_arc_point_2 Circular_arc_point_2;
   typedef typename CK::Root_of_2 Root_of_2;
   typedef typename CK::Root_for_circles_2_2 Root_for_circles_2_2;
   typedef typename CK::Line_2  Line_2;
@@ -55,18 +55,18 @@ template<class CK,class Circular_arc_2,
   Polygons polygons;
   Circles circles;
   CGAL::Dxf_reader_doubles reader;
-  
+
   reader(is, polygons, circles);
 
-  std::cout << "Read " << polygons.size() << " polygons, and " 
-	    << circles.size() << " circles" << std::endl;
+  std::cout << "Read " << polygons.size() << " polygons, and "
+            << circles.size() << " circles" << std::endl;
 
 
   for(typename Circles::iterator it = circles.begin(); it != circles.end(); it++){
     Arc arc = typename CK::Construct_circular_arc_2()(typename CK::Construct_circle_2()(typename CK::Construct_point_2()((*it)[0], (*it)[1]), FT((*it)[2])));
     *res++ = arc;
   }
-  
+
   std::map<std::pair<double,double>, Circular_arc_point_2> points;
   typename std::map<std::pair<double,double>, Circular_arc_point_2>::iterator p_cap_it;
 
@@ -78,7 +78,7 @@ template<class CK,class Circular_arc_2,
   for(typename Polygons::iterator it = polygons.begin(); it != polygons.end(); it++){
     typename Polygon::iterator pit = it->begin();
 
-    std::pair<double,double> xyfirst = std::make_pair((*pit)[0], (*pit)[1]);    
+    std::pair<double,double> xyfirst = std::make_pair((*pit)[0], (*pit)[1]);
     std::pair<double,double> xyps, xypt = std::make_pair((*pit)[0], (*pit)[1]);
     Point_2 ps, pt = typename CK::Construct_point_2()(xypt.first, xypt.second);
     Point_2 first = pt;
@@ -90,58 +90,58 @@ template<class CK,class Circular_arc_2,
       pit++;
 
       if(pit ==it->end()){
-	break;
+        break;
       }
       xypt = std::make_pair((*pit)[0], (*pit)[1]);
       pt = typename CK::Construct_point_2()(xypt.first, xypt.second);
 
-      p_cap_it = points.find(xyps);	  
+      p_cap_it = points.find(xyps);
       if(p_cap_it == points.end()){
-	caps = typename CK::Construct_circular_arc_point_2()(ps);
-	points.insert(std::make_pair(xyps, caps));
+        caps = typename CK::Construct_circular_arc_point_2()(ps);
+        points.insert(std::make_pair(xyps, caps));
       }else{
-	caps = p_cap_it->second;
+        caps = p_cap_it->second;
       }
-      p_cap_it = points.find(xypt);	  
+      p_cap_it = points.find(xypt);
       if(p_cap_it == points.end()){
-	capt = typename CK::Construct_circular_arc_point_2()(pt);
-	points.insert(std::make_pair(xypt, capt));
+        capt = typename CK::Construct_circular_arc_point_2()(pt);
+        points.insert(std::make_pair(xypt, capt));
       } else {
-	capt = p_cap_it->second;
-      } 
-      
+        capt = p_cap_it->second;
+      }
+
       if(bulge == 0){
-	
-	if(xyps != xypt){
-	  typename CK::Line_2 l(ps,pt);
-	  Line_arc_2 la  = typename CK::Construct_line_arc_2()(l,caps, capt);
-	  arc = la;
-	  *res++ = arc;
-	}
+
+        if(xyps != xypt){
+          typename CK::Line_2 l(ps,pt);
+          Line_arc_2 la  = typename CK::Construct_line_arc_2()(l,caps, capt);
+          arc = la;
+          *res++ = arc;
+        }
       } else {
-	Circular_arc_2 carc = typename CK::Construct_circular_arc_2()(typename CK::Construct_circle_2()(ps, pt, bulge),
-								      caps, capt);
-	arc = carc;
-	*res++ = arc;
+        Circular_arc_2 carc = typename CK::Construct_circular_arc_2()(typename CK::Construct_circle_2()(ps, pt, bulge),
+                                                                      caps, capt);
+        arc = carc;
+        *res++ = arc;
       }
     }
 
-    
+
     if(bulge == 0){
       if(xypt != xyfirst){
-	arc = typename CK::Construct_line_arc_2()(typename CK::Construct_line_2()(pt, first),capt, points.find(xyfirst)->second);      
-	*res++ = arc;
+        arc = typename CK::Construct_line_arc_2()(typename CK::Construct_line_2()(pt, first),capt, points.find(xyfirst)->second);
+        *res++ = arc;
       }
     } else {
       Circular_arc_2 carc = typename CK::Construct_circular_arc_2()(typename CK::Construct_circle_2()(pt, first, bulge),
-								    capt, points.find(xyfirst)->second);
+                                                                    capt, points.find(xyfirst)->second);
       arc = carc;
       *res++ = arc;
     }
-    
+
   }
   std::cout << " Loaded" << std::endl;
-  
+
   return res;
 }
 
diff -pruN 5.0.2-3/include/CGAL/IO/Dxf_writer.h 5.0.3-1/include/CGAL/IO/Dxf_writer.h
--- 5.0.2-3/include/CGAL/IO/Dxf_writer.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Dxf_writer.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/IO/Dxf_writer.h $
-// $Id: Dxf_writer.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/IO/Dxf_writer.h $
+// $Id: Dxf_writer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Fernando Cacciola
 //
@@ -31,7 +31,7 @@ class Dxf_writer
 {
   typedef std::list<std::string> Lines ;
   typedef Lines::iterator        Line_iterator ;
-  
+
   typedef std::set<std::string> Layers ;
   typedef Layers::iterator      Layer_iterator ;
 
@@ -40,14 +40,14 @@ public:
   Dxf_writer ( std::ostream& out ) : mOut(out), mHandle(32)
   {
     mPos = mLines.end();
-    add_header(); 
+    add_header();
   }
 
   ~Dxf_writer()
   {
-    add_footer(); 
+    add_footer();
     dump();
-  } 
+  }
 
   template<class XY>
   void add_segment_2 ( XY const&   aSrc
@@ -65,8 +65,8 @@ public:
     add_code ( 21 , to_str ( to_double(aTgt.y()) ) ) ;
     add_code ( 31 , to_str ( to_double(0.0     ) ) ) ;
   }
-  
-  
+
+
   template<class XY_Iterator>
   void add_polyline_2 ( XY_Iterator aVerticesBegin
                       , XY_Iterator aVerticesEnd
@@ -84,7 +84,7 @@ public:
       add_code ( 20 , to_str ( 0.0 ) ) ;
       add_code ( 30 , to_str ( 0.0 ) ) ;
       add_code ( 70 , to_str ( aIsClosed ? 1 : 0  ) ) ;
-  
+
       while ( aVerticesBegin != aVerticesEnd )
       {
         add_entity ( "VERTEX" , aLayer) ;
@@ -93,11 +93,11 @@ public:
         add_code ( 30 , to_str ( to_double( 0.0                 ) ) ) ;
         ++ aVerticesBegin ;
       }
-      
+
       add_entity ( "SEQEND" , aLayer) ;
     }
   }
-  
+
   template<class XY_Iterator>
   void add_segments_2 ( XY_Iterator aVerticesBegin
                       , XY_Iterator aVerticesEnd
@@ -110,27 +110,27 @@ public:
     {
       XY_Iterator lFirstVertex = aVerticesBegin ;
       XY_Iterator lLastVertex  = aVerticesEnd ; -- lLastVertex ;
-      
+
       if ( lFirstVertex != lLastVertex )
       {
         XY_Iterator lCurrVertex  = aVerticesBegin ;
-        
+
         while ( lCurrVertex != aVerticesEnd )
         {
           XY_Iterator lNextVertex = ( lCurrVertex == lLastVertex ? lFirstVertex : std::next(lCurrVertex) ) ;
-          
+
           add_segment_2 ( *lCurrVertex, *lNextVertex, aLayer, aColor ) ;
-          
+
           ++ lCurrVertex ;
         }
-        
+
         if ( aIsClosed  )
           add_segment_2 ( *lLastVertex, *lFirstVertex, aLayer, aColor ) ;
       }
     }
-    
+
   }
-  
+
 private:
 
   std::string get_entity_handle()
@@ -139,22 +139,22 @@ private:
     oss << boost::format("%5x") % mHandle++;
     return oss.str();
   }
-  
+
   std::string to_str ( int aN )
   {
     std::ostringstream oss;
     oss << boost::format("%6d") % aN;
     return oss.str();
   }
-  
-  
+
+
   std::string to_str ( double aN )
   {
     std::ostringstream oss;
     oss << boost::format("%6.6f") % aN;
     return oss.str();
   }
-  
+
   void insert_line ( Line_iterator aPos, std::string aLine )
   {
     mLines.insert(aPos,aLine);
@@ -163,7 +163,7 @@ private:
   void add_line ( std::string aLine )
   {
     insert_line(mPos,aLine);
-  }  
+  }
 
   void add_code ( int aCode, std::string aValue )
   {
@@ -176,29 +176,29 @@ private:
     add_code ( 0 , aGroup ) ;
     add_code ( 2 , aName  ) ;
   }
-  
+
   void add_group_end ( std::string aGroup )
   {
     add_code ( 0 , aGroup ) ;
-  }  
+  }
 
   void add_entity ( std::string aName, std::string aLayer )
   {
     add_code ( 0 , aName  ) ;
     add_code ( 5 , get_entity_handle() ) ;
-    
+
     if ( !aLayer.empty() && aLayer != "0" )
     {
       mLayers.insert(aLayer);
       add_code ( 8 , aLayer ) ;
     }
   }
-  
+
   void add_header()
-  { 
+  {
     add_group_begin ( "SECTION" , "HEADER" ) ;
     add_group_end   ( "ENDSEC" ) ;
-    
+
     add_group_begin ( "SECTION" , "TABLES" ) ;
       add_group_begin ( "TABLE" , "LTYPE" ) ;
         add_code ( 70 , to_str ( 1 ) ) ;
@@ -216,9 +216,9 @@ private:
         add_code ( 2  , "ACAD"  ) ;
         add_code ( 70 , to_str ( 0 ) ) ;
       add_group_end   ( "ENDTAB" ) ;
-      
+
       mLayersTablePos = mPos ; -- mLayersTablePos ;
-      
+
     add_group_end   ( "ENDSEC" ) ;
 
     add_group_begin ( "SECTION" , "ENTITIES" ) ;
@@ -231,13 +231,13 @@ private:
 
     insert_layers();
   }
-  
+
   void insert_layers()
   {
     if ( mLayers.size() > 0 )
     {
       mPos = mLayersTablePos ; ++ mPos ;
-      
+
       add_group_begin ( "TABLE" , "LAYER" ) ;
       add_code ( 70 , to_str ( int(mLayers.size() + 1) ) ) ;
       add_code ( 0  , "LAYER" ) ;
@@ -245,7 +245,7 @@ private:
       add_code ( 70 , to_str ( 0 ) ) ;
       add_code ( 62 , to_str ( 7 ) ) ;
       add_code ( 6  , "CONTINUOUS" ) ;
-     
+
       for ( Layer_iterator lit = mLayers.begin() ; lit != mLayers.end() ; ++ lit )
       {
           add_code ( 0  , "LAYER" ) ;
@@ -262,7 +262,7 @@ private:
   {
     std::copy(mLines.begin(),mLines.end(), std::ostream_iterator<std::string>(mOut,"\n"));
   }
-  
+
 
   std::ostream& mOut ;
   Lines         mLines ;
diff -pruN 5.0.2-3/include/CGAL/IO/facets_in_complex_2_to_triangle_mesh.h 5.0.3-1/include/CGAL/IO/facets_in_complex_2_to_triangle_mesh.h
--- 5.0.2-3/include/CGAL/IO/facets_in_complex_2_to_triangle_mesh.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/facets_in_complex_2_to_triangle_mesh.h	2020-08-01 19:02:57.000000000 +0000
@@ -6,7 +6,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/IO/facets_in_complex_2_to_triangle_mesh.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/IO/facets_in_complex_2_to_triangle_mesh.h $
 // $Id: facets_in_complex_2_to_triangle_mesh.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/facets_in_complex_3_to_triangle_mesh.h 5.0.3-1/include/CGAL/IO/facets_in_complex_3_to_triangle_mesh.h
--- 5.0.2-3/include/CGAL/IO/facets_in_complex_3_to_triangle_mesh.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/facets_in_complex_3_to_triangle_mesh.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/IO/facets_in_complex_3_to_triangle_mesh.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/IO/facets_in_complex_3_to_triangle_mesh.h $
 // $Id: facets_in_complex_3_to_triangle_mesh.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/Fig_stream_Conic_arc_2.h 5.0.3-1/include/CGAL/IO/Fig_stream_Conic_arc_2.h
--- 5.0.2-3/include/CGAL/IO/Fig_stream_Conic_arc_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Fig_stream_Conic_arc_2.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/IO/Fig_stream_Conic_arc_2.h $
-// $Id: Fig_stream_Conic_arc_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/IO/Fig_stream_Conic_arc_2.h $
+// $Id: Fig_stream_Conic_arc_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Ron Wein           <wein@post.tau.ac.il>
 
 #ifndef CGAL_FIG_STREAM_CONIC_ARC_2_H
@@ -22,7 +22,7 @@
  * Write an x-monotone conic arc to a FIG stream.
  */
 template <class Conic_traits>
-static void _write_x_monotone_conic_arc 
+static void _write_x_monotone_conic_arc
    (CGAL::Fig_stream<typename Conic_traits::Alg_kernel>& fs,
     const typename Conic_traits::X_monotone_curve_2&     cv)
 {
@@ -30,15 +30,15 @@ static void _write_x_monotone_conic_arc
   typedef typename Conic_traits::Algebraic   Algebraic;
   typedef typename Conic_traits::Point_2     Alg_point_2;
   typedef typename Alg_kernel::Segment_2     Alg_segment_2;
-  
+
   if (cv.orientation() == CGAL::COLLINEAR)
   {
     // In case of a linear segment:
     Alg_segment_2   seg = Alg_segment_2 (cv.source(), cv.target());
     fs << seg;
-  } 
+  }
   else if (CGAL::compare (cv.r(), cv.s()) == CGAL::EQUAL &&
-	   CGAL::sign (cv.t()) == CGAL::ZERO)
+           CGAL::sign (cv.t()) == CGAL::ZERO)
   {
     // In case of a circular arc:
     Algebraic    x_mid = (cv.source().x() + cv.target().x()) / 2;
@@ -59,9 +59,9 @@ static void _write_x_monotone_conic_arc
     for (i = 1; i <= 3; i++)
     {
       x = (cv.source().x()*(4 - i) + cv.target().x()*i) / 4;
-      
+
       q = Alg_point_2(x, 0);
-      cps[i] = cv.point_at_x (q);      
+      cps[i] = cv.point_at_x (q);
     }
     cps[4] = cv.target();
 
@@ -86,11 +86,11 @@ void write_conic_arc
   std::list<Conic_arc_2> xcvs;
 
   traits.make_x_monotone_2_object() (cv,
-				     std::back_inserter(xcvs));
+                                     std::back_inserter(xcvs));
 
   // Write the x-monotone sub-arcs.
   typename std::list<Conic_arc_2>::iterator xit;
-    
+
   for (xit = xcvs.begin(); xit != xcvs.end(); ++xit)
     _write_x_monotone_conic_arc<Conic_traits> (fs, *xit);
 
diff -pruN 5.0.2-3/include/CGAL/IO/Fig_stream.h 5.0.3-1/include/CGAL/IO/Fig_stream.h
--- 5.0.2-3/include/CGAL/IO/Fig_stream.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Fig_stream.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/IO/Fig_stream.h $
-// $Id: Fig_stream.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/IO/Fig_stream.h $
+// $Id: Fig_stream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Ron Wein           <wein@post.tau.ac.il>
 
 #ifndef CGAL_FIG_STREAM_H
@@ -66,7 +66,7 @@ enum Fig_line_style
 };
 
 #define FIG_DEFAULT_STYLE_VALUE   4.0
-    
+
 /*!
  * FIG fill styles.
  */
@@ -171,7 +171,7 @@ class Fig_stream
 public:
 
   typedef Kernel_                                Kernel;
-  
+
   // Define the kernel objects.
   typedef typename Kernel::FT                    NT;
   typedef typename Kernel::Point_2               Point_2;
@@ -265,7 +265,7 @@ public:
    * \param rect A rectangle bounding the logical drawing area.
    * \param width The physical width of the figure (in FIG units).
    * \param height The physical height of the figure (in FIG units).
-   * \pre The bounding rectangle is valid and the physical dimensions are 
+   * \pre The bounding rectangle is valid and the physical dimensions are
    *      both positive.
    */
   Fig_stream (const char *filename,
@@ -326,7 +326,7 @@ public:
    * \param rect A rectangle bounding the logical drawing area.
    * \param width The physical width of the figure (in FIG units).
    * \param height The physical height of the figure (in FIG units).
-   * \pre The bounding rectangle is valid and the physical dimensions are 
+   * \pre The bounding rectangle is valid and the physical dimensions are
    *      both positive.
    * \return Whether the file was successfully opened.
    */
@@ -374,7 +374,7 @@ public:
     _ofile << "Landscape" << std::endl;
     _ofile << "Center" << std::endl;
     _ofile << "Inches" << std::endl;
-    _ofile << "Letter" << std::endl;  
+    _ofile << "Letter" << std::endl;
     _ofile << "100.00" << std::endl;
     _ofile << "Single" << std::endl;
     _ofile << "-2" << std::endl;
@@ -398,7 +398,7 @@ public:
 
   /// \name Accessing drawing properties.
   //@{
-  
+
   /*!
    * Get the workspace bounding rectangle.
    */
@@ -418,7 +418,7 @@ public:
 
   /*!
    * Get the physical width of the fig
-   */  
+   */
   int width () const
   {
     return _width;
@@ -426,7 +426,7 @@ public:
 
   /*!
    * Get the physical height of the fig
-   */  
+   */
   int height () const
   {
     return _height;
@@ -517,7 +517,7 @@ public:
    * Get the arrow type.
    */
   Fig_arrow_type arrow_type () const
-  {         
+  {
     return (_arrow_type);
   }
 
@@ -571,7 +571,7 @@ public:
 
     return;
   }
-  
+
   /*!
    * Set the color.
    * \pre The color must be defined.
@@ -582,7 +582,7 @@ public:
 
     if (color_defined (color))
         _color = color;
-    
+
     return;
   }
 
@@ -670,7 +670,7 @@ public:
    * Set the arrow type.
    */
   void set_arrow_type (const Fig_arrow_type& type)
-  {         
+  {
     _arrow_type = type;
     return;
   }
@@ -739,8 +739,8 @@ public:
    * \pre The color must be undefined.
    */
   void define_color (const Fig_color& color,
-                     const unsigned char& r, 
-                     const unsigned char& g, 
+                     const unsigned char& r,
+                     const unsigned char& g,
                      const unsigned char& b)
   {
     CGAL_precondition (color_defined (color));
@@ -822,7 +822,7 @@ public:
     {
       // Draw an empty circle (use a solid line with width 1).
       _write_ellipse (p,
-                      CGAL::square(_point_size), 
+                      CGAL::square(_point_size),
                       CGAL::square(_point_size),
                       _color, 1, FIG_SOLID, _style_value,
                       FIG_WHITE, FIG_NOT_FILLED);
@@ -834,7 +834,7 @@ public:
     {
       // Draw a filled disc.
       _write_ellipse (p,
-                      CGAL::square(_point_size), 
+                      CGAL::square(_point_size),
                       CGAL::square(_point_size),
                       _color, 1, FIG_SOLID, _style_value,
                       _color, FIG_FILLED);
@@ -1068,7 +1068,7 @@ public:
                            const Point_2& p3)
   {
     CGAL_precondition (_ofile.is_open());
-    
+
     _write_arc (p1, p2, p3,
                 _color, _line_width, _line_style, _style_value);
     return;
@@ -1114,18 +1114,18 @@ public:
    *              (0 by default).
    */
   void write_text (const Point_2& pos,
-		   const char *text,
-		   const double& angle = 0)
+                   const char *text,
+                   const double& angle = 0)
   {
     CGAL_precondition (_ofile.is_open());
 
     if (text == nullptr || strlen(text) == 0)
       return;
 
-    _write_text (pos, 
-		 reinterpret_cast<const unsigned char*>(text), strlen(text),
-		 angle,
-		 _color, _font, _font_size);
+    _write_text (pos,
+                 reinterpret_cast<const unsigned char*>(text), strlen(text),
+                 angle,
+                 _color, _font, _font_size);
     return;
   }
   //@}
@@ -1141,7 +1141,7 @@ public:
     set_depth (static_cast<int>(depth));
     return (*this);
   }
-  
+
   /*!
    * Set the color.
    */
@@ -1192,7 +1192,7 @@ public:
    * Set the arrow type.
    */
   Fig_stream& operator<< (const Fig_arrow_type& type)
-  {         
+  {
     set_arrow_type (type);
     return (*this);
   }
@@ -1245,7 +1245,7 @@ public:
     write_line (line);
     return (*this);
   }
-  
+
   /*!
    * Write a triangle.
    */
@@ -1291,9 +1291,9 @@ protected:
   void _convert_point (const Point_2& p,
                        int& ix, int& iy) const
   {
-    ix = static_cast<int> (_scale * 
+    ix = static_cast<int> (_scale *
                            CGAL::to_double(p.x() - _bound_rect.xmin()));
-    iy = static_cast<int> (_scale * 
+    iy = static_cast<int> (_scale *
                            CGAL::to_double( _bound_rect.ymax() - p.y()));
     return;
   }
@@ -1348,11 +1348,11 @@ protected:
 
     // Write the segment properties.
     _ofile << "2 1 "                      // Desginate a polyline.
-           << line_style << ' ' 
-           << line_width << ' ' 
+           << line_style << ' '
+           << line_width << ' '
            << line_color << ' '
            << FIG_WHITE << ' '            // Fill color (dummy).
-           << _depth << ' ' 
+           << _depth << ' '
            << "0 "                        // Pen style (not in use, always 0).
            << FIG_NOT_FILLED << ' '
            << style_value << ' '
@@ -1411,11 +1411,11 @@ protected:
   {
     // Write the polyline properties.
     _ofile << "2 3 "                      // Desginate a polygon.
-           << line_style << ' ' 
-           << line_width << ' ' 
+           << line_style << ' '
+           << line_width << ' '
            << line_color << ' '
            << fill_color << ' '
-           << _depth << ' ' 
+           << _depth << ' '
            << "0 "                        // Pen style (not in use, always 0).
            << fill_style << ' '
            << style_value << ' '
@@ -1467,17 +1467,17 @@ protected:
                        const Fig_line_style& line_style,
                        const double&         style_value,
                        const Fig_color&      fill_color,
-                       const Fig_fill_style& fill_style) 
+                       const Fig_fill_style& fill_style)
   {
-    
+
 
     // Write the ellipse properties.
     _ofile << "1 1 "                      // Desginate an ellipse.
-           << line_style << ' ' 
-           << line_width << ' ' 
+           << line_style << ' '
+           << line_width << ' '
            << line_color << ' '
            << fill_color << ' '
-           << _depth << ' ' 
+           << _depth << ' '
            << "0 "                        // Pen style (not in use, always 0).
            << fill_style << ' '
            << style_value << ' '
@@ -1491,9 +1491,9 @@ protected:
     _ofile << ' ' << ix << ' ' << iy;
 
     // Write the radii.
-    int  rx = static_cast<int> (_scale * 
+    int  rx = static_cast<int> (_scale *
                                 std::sqrt(CGAL::to_double(squared_radius_x)));
-    int  ry = static_cast<int> (_scale * 
+    int  ry = static_cast<int> (_scale *
                                 std::sqrt(CGAL::to_double(squared_radius_y)));
 
     _ofile << ' ' << rx << ' ' << ry;
@@ -1531,11 +1531,11 @@ protected:
 
     // Write the arc properties.
     _ofile << "5 1 "                      // Desginate an open arc.
-           << line_style << ' ' 
-           << line_width << ' ' 
+           << line_style << ' '
+           << line_width << ' '
            << line_color << ' '
            << FIG_WHITE << ' '            // Fill color (dummy).
-           << _depth << ' ' 
+           << _depth << ' '
            << "0 "                        // Pen style (not in use, always 0).
            << FIG_NOT_FILLED << ' '
            << style_value << ' '
@@ -1553,10 +1553,10 @@ protected:
     // Write the three points defining the arc.
     _convert_point (p1, ix, iy);
     _ofile << ' ' << ix << ' ' << iy;
-    
+
     _convert_point (p2, ix, iy);
     _ofile << ' ' << ix << ' ' << iy;
-    
+
     _convert_point (p3, ix, iy);
     _ofile << ' ' << ix << ' ' << iy << std::endl;
 
@@ -1595,11 +1595,11 @@ protected:
 
     // Write the spline properties.
     _ofile << "3 0 "                      // Desginate an open spline.
-           << line_style << ' ' 
-           << line_width << ' ' 
+           << line_style << ' '
+           << line_width << ' '
            << line_color << ' '
            << FIG_WHITE << ' '            // Fill color (dummy).
-           << _depth << ' ' 
+           << _depth << ' '
            << "0 "                        // Pen style (not in use, always 0).
            << FIG_NOT_FILLED << ' '
            << style_value << ' '
@@ -1659,8 +1659,8 @@ protected:
     int  height = static_cast<int> (_scale * CGAL::to_double(_arrow_height));
 
     _ofile << _arrow_type << ' '
-           << "0 "                        // Arrow style (always 0). 
-           << _line_width << ' ' 
+           << "0 "                        // Arrow style (always 0).
+           << _line_width << ' '
            << width << ' '
            << height << std::endl;
     return;
@@ -1670,12 +1670,12 @@ protected:
    * Write a text box.
    */
   void _write_text (const Point_2& pos,
-		    const unsigned char *text,
-		    const int&          len_text,
-		    const double& angle,
-		    const Fig_color& font_color,
-		    const Fig_font&  font,
-		    const int&       font_size)
+                    const unsigned char *text,
+                    const int&          len_text,
+                    const double& angle,
+                    const Fig_color& font_color,
+                    const Fig_font&  font,
+                    const int&       font_size)
   {
     // Compute the text-box dimensions.
     const int    text_height = font_size * 1200 / 80;
@@ -1683,16 +1683,16 @@ protected:
 
     // Write the text properties.
     _ofile << "4 0 "                      // Desginate left-justified text.
-	   << font_color << ' '
-	   << _depth << ' '
-	   << "0 "                        // Pen style (not in use, always 0).
-	   << font << ' '
-	   << font_size << ' '
-	   << angle << ' '
-	   << "2 "                        // Indicates a special LaTeX font.
-	   << text_height << ' '
-	   << text_width;
-    
+           << font_color << ' '
+           << _depth << ' '
+           << "0 "                        // Pen style (not in use, always 0).
+           << font << ' '
+           << font_size << ' '
+           << angle << ' '
+           << "2 "                        // Indicates a special LaTeX font.
+           << text_height << ' '
+           << text_width;
+
     // Write the position coordinates.
     int     ix, iy;
 
@@ -1707,21 +1707,21 @@ protected:
     {
       if (text[i] >= ' ' && text[i] < 128 && text[i] != '\\')
       {
-	// If the current character is printable, just write it.
-	_ofile << static_cast<char>(text[i]);
+        // If the current character is printable, just write it.
+        _ofile << static_cast<char>(text[i]);
       }
       else
       {
-	// Convert the current character to an octal string and write it.
-	sprintf (oct, "\\%03o", text[i]);
-	_ofile << oct;
+        // Convert the current character to an octal string and write it.
+        sprintf (oct, "\\%03o", text[i]);
+        _ofile << oct;
       }
     }
-   
+
     // Write the end-of-string sequence.
     _ofile << "\\001" << std::endl;
 
-    return;	
+    return;
   }
 
   /*!
diff -pruN 5.0.2-3/include/CGAL/IO/File_avizo.h 5.0.3-1/include/CGAL/IO/File_avizo.h
--- 5.0.2-3/include/CGAL/IO/File_avizo.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_avizo.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/IO/File_avizo.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/IO/File_avizo.h $
 // $Id: File_avizo.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/File_binary_mesh_3.h 5.0.3-1/include/CGAL/IO/File_binary_mesh_3.h
--- 5.0.2-3/include/CGAL/IO/File_binary_mesh_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_binary_mesh_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/IO/File_binary_mesh_3.h $
-// $Id: File_binary_mesh_3.h 85e2c79 2020-01-29T16:29:44+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/IO/File_binary_mesh_3.h $
+// $Id: File_binary_mesh_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -55,7 +55,7 @@ bool load_binary_file(std::istream& is,
   }
   if (s != "CGAL" ||
       !(is >> s) ||
-      s != "c3t3") 
+      s != "c3t3")
   {
     return false;
   }
diff -pruN 5.0.2-3/include/CGAL/IO/File_header_extended_OFF.h 5.0.3-1/include/CGAL/IO/File_header_extended_OFF.h
--- 5.0.2-3/include/CGAL/IO/File_header_extended_OFF.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_header_extended_OFF.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/File_header_extended_OFF.h $
-// $Id: File_header_extended_OFF.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/File_header_extended_OFF.h $
+// $Id: File_header_extended_OFF.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/File_header_extended_OFF_impl.h 5.0.3-1/include/CGAL/IO/File_header_extended_OFF_impl.h
--- 5.0.2-3/include/CGAL/IO/File_header_extended_OFF_impl.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_header_extended_OFF_impl.h	2020-08-01 19:02:53.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/File_header_extended_OFF_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/File_header_extended_OFF_impl.h $
 // $Id: File_header_extended_OFF_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/File_header_OFF.h 5.0.3-1/include/CGAL/IO/File_header_OFF.h
--- 5.0.2-3/include/CGAL/IO/File_header_OFF.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_header_OFF.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/File_header_OFF.h $
-// $Id: File_header_OFF.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/File_header_OFF.h $
+// $Id: File_header_OFF.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/File_header_OFF_impl.h 5.0.3-1/include/CGAL/IO/File_header_OFF_impl.h
--- 5.0.2-3/include/CGAL/IO/File_header_OFF_impl.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_header_OFF_impl.h	2020-08-01 19:02:53.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/File_header_OFF_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/File_header_OFF_impl.h $
 // $Id: File_header_OFF_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/File_maya.h 5.0.3-1/include/CGAL/IO/File_maya.h
--- 5.0.2-3/include/CGAL/IO/File_maya.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_maya.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/IO/File_maya.h $
-// $Id: File_maya.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/IO/File_maya.h $
+// $Id: File_maya.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Clement Jamin
@@ -29,11 +29,11 @@ namespace CGAL {
 //-------------------------------------------------------
 // IO functions
 //-------------------------------------------------------
-  
+
 template <class C3T3>
 void
-output_to_maya(std::ostream& os, 
-               const C3T3& c3t3, 
+output_to_maya(std::ostream& os,
+               const C3T3& c3t3,
                bool surfaceOnly = true)
 {
   typedef typename C3T3::Triangulation Tr;
@@ -49,7 +49,7 @@ output_to_maya(std::ostream& os,
 #ifdef CGAL_MESH_3_IO_VERBOSE
   std::cerr << "Output to maya:\n";
 #endif
-  
+
   const Tr& tr = c3t3.triangulation();
 
   //-------------------------------------------------------
@@ -80,13 +80,13 @@ output_to_maya(std::ostream& os,
   os << "  setAttr \".cuvs\" -type \"string\" \"map1\";" << std::endl;
   os << "  setAttr \".dcol\" yes;" << std::endl;
   os << "  setAttr \".dcc\" -type \"string\" \"Ambient+Diffuse\";" << std::endl;
-  
+
   os << "  connectAttr \"" << name << "Shape.iog\" \":initialShadingGroup.dsm\" -na;\n\n";
-    
+
   //-------------------------------------------------------
   // Colors
   //------------------------------------------------------
-  
+
   /*os << "  setAttr \".ccls\" -type \"string\" \"colorSet\";\n";
   os << "  setAttr \".clst[0].clsn\" -type \"string\" \"colorSet\";\n";
   os << "  setAttr \".clst[0].rprt\" 3;\n";
@@ -95,11 +95,11 @@ output_to_maya(std::ostream& os,
   os << "    100 250 50" << std::endl;
   os << "    0 200 200" << std::endl;
   os << "  ;\n";*/
-  
+
   //-------------------------------------------------------
   // Vertices
   //------------------------------------------------------
-  
+
   boost::unordered_map<Vertex_handle, int, Hash_fct> V;
   std::stringstream vertices_sstr;
   int num_vertices = 0;
@@ -115,7 +115,7 @@ output_to_maya(std::ostream& os,
       vertices_sstr << "    " << CGAL::to_double(p.x()) << " " << CGAL::to_double(p.y()) << " " << CGAL::to_double(p.z()) << std::endl;
     }
   }
-    
+
   os << "  setAttr -s " << num_vertices << " \".vt[0:" << num_vertices-1 << "]\"" << std::endl;
   os << vertices_sstr.str();
   os << ";\n";
@@ -139,7 +139,7 @@ output_to_maya(std::ostream& os,
   //-------------------------------------------------------
 
   typename C3T3::size_type number_of_triangles = c3t3.number_of_facets_in_complex();
-  
+
   std::stringstream facets_sstr;
   //std::stringstream normals_sstr;
 
@@ -152,7 +152,7 @@ output_to_maya(std::ostream& os,
   // Surface only
   if (surfaceOnly)
   {
-    facets_sstr <<  "  setAttr -s " << number_of_triangles 
+    facets_sstr <<  "  setAttr -s " << number_of_triangles
       << " \".fc[0:" << number_of_triangles-1 << "]\"  -type \"polyFaces\" \n";
     int c = 0;
     for( Facet_iterator fit = c3t3.facets_in_complex_begin();
@@ -168,9 +168,9 @@ output_to_maya(std::ostream& os,
         indices[j] = V[vh];
         //points[j] = tr.point(fit->first, i);
       }
-    
+
       // Reverse triangle orientation?
-      bool reverse_triangle = 
+      bool reverse_triangle =
            (fit->second % 2 == 0 && !c3t3.is_in_complex(fit->first))
         || (fit->second % 2 != 0 && c3t3.is_in_complex(fit->first));
       if (reverse_triangle)
@@ -199,7 +199,7 @@ output_to_maya(std::ostream& os,
         // ith edge of triangle
         facets_sstr << pos << " ";
       }
-    
+
       // 1 triangles
       facets_sstr << std::endl;
       // Colors
@@ -209,7 +209,7 @@ output_to_maya(std::ostream& os,
   // Tetrahedra = 4 facets for each
   else
   {
-    facets_sstr <<  "  setAttr -s " << 4*c3t3.number_of_cells_in_complex() 
+    facets_sstr <<  "  setAttr -s " << 4*c3t3.number_of_cells_in_complex()
       << " \".fc[0:" << 4*c3t3.number_of_cells_in_complex()-1 << "]\"  -type \"polyFaces\" \n";
     int c = 0;
     for( Cell_iterator cit = c3t3.cells_in_complex_begin();
@@ -227,7 +227,7 @@ output_to_maya(std::ostream& os,
           indices[j] = V[vh];
           //points[j] = tr.point(cit, i);
         }
-    
+
         // Reverse triangle orientation?
         bool reverse_triangle = (facet_i % 2 != 0 && c3t3.is_in_complex(cit, facet_i));
         if (reverse_triangle)
@@ -256,7 +256,7 @@ output_to_maya(std::ostream& os,
           // ith edge of triangle
           facets_sstr << pos << " ";
         }
-    
+
         // 1 triangles
         facets_sstr << std::endl;
         // Colors
@@ -266,30 +266,30 @@ output_to_maya(std::ostream& os,
   }
   facets_sstr << ";\n\n";
   //normals_sstr << ";\n\n";
-  
+
   //-------------------------------------------------------
   // Edges
   //-------------------------------------------------------
-  os << "  setAttr -s " << edges.size() << " \".ed[0:" 
+  os << "  setAttr -s " << edges.size() << " \".ed[0:"
      << edges.size() - 1 << "]\"" << std::endl;
 
   for (EdgeList::const_iterator it = edges.begin(), it_end = edges.end() ; it != it_end ; ++it)
     os << "    " << it->first << " " << it->second << " " << 0 << std::endl;
 
   os << ";\n";
-  
+
   //-------------------------------------------------------
   // Normals
   //-------------------------------------------------------
-  
+
   //os << normals_sstr.str();
 
   //-------------------------------------------------------
   // Facets
   //-------------------------------------------------------
-  
+
   os << facets_sstr.str();
-  
+
   //-------------------------------------------------------
   // Tetrahedra
   //-------------------------------------------------------
diff -pruN 5.0.2-3/include/CGAL/IO/File_medit.h 5.0.3-1/include/CGAL/IO/File_medit.h
--- 5.0.2-3/include/CGAL/IO/File_medit.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_medit.h	2020-08-01 19:02:31.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/IO/File_medit.h $
-// $Id: File_medit.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/IO/File_medit.h $
+// $Id: File_medit.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -126,13 +126,13 @@ private:
     else
       return -1;
   }
-  
+
 private:
   const C3T3& r_c3t3_;
   Subdomain_map subdomain_map_;
 };
-  
-// Accessor  
+
+// Accessor
 template <typename C3T3>
 int
 get(const Rebind_cell_pmap<C3T3>& cmap,
@@ -146,7 +146,7 @@ unsigned int get_size(const Rebind_cell_
 {
   return cmap.subdomain_number();
 }
-  
+
 
 // -----------------------------------
 // No_rebind_cell_pmap
@@ -157,21 +157,21 @@ class No_rebind_cell_pmap
   typedef typename C3T3::Subdomain_index Subdomain_index;
   typedef typename C3T3::Cell_handle Cell_handle;
   typedef unsigned int size_type;
-  
+
 public:
   No_rebind_cell_pmap(const C3T3& c3t3)
     : r_c3t3_(c3t3) {}
-  
+
   int subdomain_index(const Cell_handle& ch) const
   {
     return static_cast<int>(r_c3t3_.subdomain_index(ch));
   }
-  
+
   size_type subdomain_number() const
   {
     typedef typename C3T3::Cells_in_complex_iterator Cell_iterator;
     std::set<Subdomain_index> subdomain_set;
-    
+
     for( Cell_iterator cell_it = r_c3t3_.cells_in_complex_begin();
         cell_it != r_c3t3_.cells_in_complex_end();
         ++cell_it)
@@ -179,15 +179,15 @@ public:
       // Add subdomain index in set
       subdomain_set.insert(subdomain_index(cell_it));
     }
-    
+
     return subdomain_set.size();
   }
-  
+
 private:
   const C3T3& r_c3t3_;
 };
-  
-// Accessor  
+
+// Accessor
 template <typename C3T3>
 int
 get(const No_rebind_cell_pmap<C3T3>& cmap,
@@ -195,8 +195,8 @@ get(const No_rebind_cell_pmap<C3T3>& cma
 {
   return cmap.subdomain_index(ch);
 }
-  
-  
+
+
 // -----------------------------------
 // Rebind_facet_pmap
 // -----------------------------------
@@ -207,17 +207,17 @@ class Rebind_facet_pmap
   typedef std::map<Surface_patch_index,int> Surface_map;
   typedef typename C3T3::Facet Facet;
   typedef unsigned int size_type;
-  
+
 public:
   Rebind_facet_pmap(const C3T3& c3t3, const Cell_pmap& cell_pmap)
     : r_c3t3_(c3t3)
     , cell_pmap_(cell_pmap)
   {
     typedef typename C3T3::Facets_in_complex_iterator Facet_iterator;
-    
+
     int first_index = 1;
     int index_counter = first_index;
-    
+
     for( Facet_iterator facet_it = r_c3t3_.facets_in_complex_begin();
         facet_it != r_c3t3_.facets_in_complex_end();
         ++facet_it)
@@ -229,11 +229,11 @@ public:
       if(is_insert_successful.second)
         ++index_counter;
     }
-    
+
     // Find cell_pmap_ unused indices
     typedef typename C3T3::Cells_in_complex_iterator Cell_iterator;
     std::set<int> cell_label_set;
-    
+
     for( Cell_iterator cell_it = r_c3t3_.cells_in_complex_begin();
         cell_it != r_c3t3_.cells_in_complex_end();
         ++cell_it)
@@ -241,7 +241,7 @@ public:
       // Add subdomain index in set
       cell_label_set.insert(get(cell_pmap_, cell_it));
     }
-    
+
     // Rebind indices
     index_counter = get_first_unused_label(cell_label_set,first_index);
     for ( typename Surface_map::iterator mit = surface_map_.begin() ;
@@ -251,11 +251,11 @@ public:
       mit->second = index_counter++;
       index_counter = get_first_unused_label(cell_label_set,index_counter);
     }
-    
+
 #ifdef CGAL_MESH_3_IO_VERBOSE
     std::cerr << "Nb of surface patches: " << surface_map_.size() << "\n";
     std::cerr << "Surface mapping:\n\t" ;
-    
+
     typedef typename Surface_map::iterator Surface_map_iterator;
     for ( Surface_map_iterator surf_it = surface_map_.begin() ;
          surf_it != surface_map_.end() ;
@@ -267,17 +267,17 @@ public:
     std::cerr << "\n";
 #endif
   }
-  
+
   int surface_index(const Facet& f) const
   {
     return surface_index(r_c3t3_.surface_patch_index(f));
   }
-  
+
   size_type surface_number() const
   {
     return surface_map_.size();
   }
-  
+
 private:
   int surface_index(const Surface_patch_index& index) const
   {
@@ -288,23 +288,23 @@ private:
     else
       return -1;
   }
-  
+
   int get_first_unused_label(const std::set<int>& label_set,
                              int search_start) const
   {
     while ( label_set.end() != label_set.find(search_start) )
       ++search_start;
-    
+
     return search_start;
   }
-  
+
 private:
   const C3T3& r_c3t3_;
   const Cell_pmap& cell_pmap_;
   Surface_map surface_map_;
 };
 
-  
+
 // Accessors
 template <typename C3T3, typename Cell_pmap>
 int
@@ -313,7 +313,7 @@ get(const Rebind_facet_pmap<C3T3,Cell_pm
 {
   return fmap.surface_index(f);
 }
-  
+
 template <typename C3T3, typename Cell_pmap>
 unsigned int
 get_size(const Rebind_facet_pmap<C3T3,Cell_pmap>& fmap,
@@ -322,7 +322,7 @@ get_size(const Rebind_facet_pmap<C3T3,Ce
   return fmap.surface_number(f);
 }
 
-  
+
 // -----------------------------------
 // No_rebind_facet_pmap
 // -----------------------------------
@@ -332,7 +332,7 @@ class No_rebind_facet_pmap
   typedef typename C3T3::Surface_patch_index Surface_patch_index;
   typedef typename C3T3::Facet Facet;
   typedef unsigned int size_type;
-  
+
 public:
   No_rebind_facet_pmap(const C3T3& c3t3, const Cell_pmap& /*cell_pmap*/)
     : r_c3t3_(c3t3) {}
@@ -341,7 +341,7 @@ public:
   {
     return static_cast<int>(r_c3t3_.surface_patch_index(f));
   }
-  
+
 private:
   const C3T3& r_c3t3_;
 };
@@ -365,16 +365,16 @@ class No_rebind_facet_pmap_first
   typedef typename C3T3::Surface_patch_index Surface_patch_index;
   typedef typename C3T3::Facet Facet;
   typedef unsigned int size_type;
-  
+
 public:
   No_rebind_facet_pmap_first(const C3T3& c3t3, const Cell_pmap& /*cell_pmap*/)
     : r_c3t3_(c3t3) {}
-  
+
   int surface_index(const Facet& f) const
   {
     return static_cast<int>(r_c3t3_.surface_patch_index(f).first);
   }
-  
+
 private:
   const C3T3& r_c3t3_;
 };
@@ -388,8 +388,8 @@ get(const No_rebind_facet_pmap_first<C3T
 {
   return fmap.surface_index(f);
 }
-  
-  
+
+
 // -----------------------------------
 // No_rebind_facet_pmap_second
 // -----------------------------------
@@ -399,16 +399,16 @@ class No_rebind_facet_pmap_second
   typedef typename C3T3::Surface_patch_index Surface_patch_index;
   typedef typename C3T3::Facet Facet;
   typedef unsigned int size_type;
-  
+
 public:
   No_rebind_facet_pmap_second(const C3T3& c3t3, const Cell_pmap& /*cell_pmap*/)
   : r_c3t3_(c3t3) {}
-  
+
   int surface_index(const Facet& f) const
   {
     return static_cast<int>(r_c3t3_.surface_patch_index(f).second);
   }
-  
+
 private:
   const C3T3& r_c3t3_;
 };
@@ -422,9 +422,9 @@ get(const No_rebind_facet_pmap_second<C3
 {
   return fmap.surface_index(f);
 }
-  
-  
-  
+
+
+
 // -----------------------------------
 // No_patch_facet_pmap_first
 // -----------------------------------
@@ -434,32 +434,32 @@ class No_patch_facet_pmap_first
   typedef typename C3T3::Surface_patch_index Surface_patch_index;
   typedef typename C3T3::Facet Facet;
   typedef typename C3T3::Cell_handle Cell_handle;
-  
+
 public:
   No_patch_facet_pmap_first(const C3T3&, const Cell_pmap& cell_pmap)
     : cell_pmap_(cell_pmap) { }
-  
+
   int surface_index(const Facet& f) const
   {
     Cell_handle c1 = f.first;
     Cell_handle c2 = c1->neighbor(f.second);
-    
+
     int label1 = get(cell_pmap_,c1);
     int label2 = get(cell_pmap_,c2);
-    
+
     if ( 0 == label1 || -1 == label1 )
       label1 = label2;
     if ( 0 == label2 || -1 == label2 )
       label2 = label1;
-    
+
     return (std::min)(label1,label2);
   }
-  
+
 private:
   const Cell_pmap& cell_pmap_;
 };
 
-// Accessors 
+// Accessors
 template <typename C3T3, typename Cell_pmap>
 int
 get(const No_patch_facet_pmap_first<C3T3,Cell_pmap>& fmap,
@@ -477,32 +477,32 @@ class No_patch_facet_pmap_second
   typedef typename C3T3::Surface_patch_index Surface_patch_index;
   typedef typename C3T3::Facet Facet;
   typedef typename C3T3::Cell_handle Cell_handle;
-  
+
 public:
   No_patch_facet_pmap_second(const C3T3&, const Cell_pmap& cell_pmap)
     : cell_pmap_(cell_pmap) { }
-  
+
   int surface_index(const Facet& f) const
   {
     Cell_handle c1 = f.first;
     Cell_handle c2 = c1->neighbor(f.second);
-    
+
     int label1 = get(cell_pmap_,c1);
     int label2 = get(cell_pmap_,c2);
-    
+
     if ( 0 == label1 || -1 == label1 )
       label1 = label2;
     if ( 0 == label2 || -1 == label2 )
       label2 = label1;
-    
+
     return (std::max)(label1,label2);
   }
-  
+
 private:
   const Cell_pmap& cell_pmap_;
 };
 
-// Accessors 
+// Accessors
 template <typename C3T3, typename Cell_pmap>
 int
 get(const No_patch_facet_pmap_second<C3T3,Cell_pmap>& fmap,
@@ -510,11 +510,11 @@ get(const No_patch_facet_pmap_second<C3T
 {
   return fmap.surface_index(f);
 }
-  
-  
+
+
 // -----------------------------------
 // Default_vertex_index_pmap
-// ----------------------------------- 
+// -----------------------------------
 template <typename C3T3, typename Cell_pmap, typename Facet_pmap>
 class Default_vertex_pmap
 {
@@ -611,26 +611,26 @@ get(const Default_vertex_pmap<C3T3,Cell_
 
 // -----------------------------------
 // Null pmap
-// -----------------------------------  
+// -----------------------------------
 template <typename C3T3, typename Cell_pmap>
 struct Null_facet_pmap
 {
   Null_facet_pmap(const C3T3&, const Cell_pmap&) {}
 };
-  
+
 template <typename C3T3, typename Cell_pmap>
 int get(const Null_facet_pmap<C3T3,Cell_pmap>&,
         const typename C3T3::Facet&)
 {
   return 0;
 }
-  
+
 template <typename C3T3, typename Cell_pmap, typename Facet_pmap>
 struct Null_vertex_pmap
 {
   Null_vertex_pmap(const C3T3&, const Cell_pmap&, const Facet_pmap&) {}
 };
-  
+
 template <typename C3T3, typename Cell_pmap, typename Facet_pmap>
 int get(const Null_vertex_pmap<C3T3, Cell_pmap, Facet_pmap>&,
         const typename C3T3::Vertex_handle&)
@@ -645,7 +645,7 @@ int get(const Null_vertex_pmap<C3T3, Cel
 template <typename C3T3, bool rebind, bool no_patch>
 struct Medit_pmap_generator{};
 
-  
+
 template <typename C3T3>
 struct Medit_pmap_generator<C3T3, true, false>
 {
@@ -653,11 +653,11 @@ struct Medit_pmap_generator<C3T3, true,
   typedef Rebind_facet_pmap<C3T3, Cell_pmap>                Facet_pmap;
   typedef Null_facet_pmap<C3T3, Cell_pmap>                  Facet_pmap_twice;
   typedef Default_vertex_pmap<C3T3, Cell_pmap, Facet_pmap>  Vertex_pmap;
-  
+
   bool print_twice() { return false; }
 };
-  
-  
+
+
 template <typename C3T3>
 struct Medit_pmap_generator<C3T3, true, true>
 {
@@ -665,7 +665,7 @@ struct Medit_pmap_generator<C3T3, true,
   typedef No_patch_facet_pmap_first<C3T3,Cell_pmap>         Facet_pmap;
   typedef No_patch_facet_pmap_second<C3T3,Cell_pmap>        Facet_pmap_twice;
   typedef Default_vertex_pmap<C3T3, Cell_pmap, Facet_pmap>  Vertex_pmap;
-  
+
   bool print_twice() { return true; }
 };
 
@@ -677,10 +677,10 @@ struct Medit_pmap_generator<C3T3, false,
   typedef No_patch_facet_pmap_first<C3T3,Cell_pmap>         Facet_pmap;
   typedef No_patch_facet_pmap_second<C3T3,Cell_pmap>        Facet_pmap_twice;
   typedef Default_vertex_pmap<C3T3, Cell_pmap, Facet_pmap>  Vertex_pmap;
-  
+
   bool print_twice() { return true; }
 };
-  
+
 template <typename C3T3>
 struct Medit_pmap_generator<C3T3, false, false>
 {
@@ -688,17 +688,17 @@ struct Medit_pmap_generator<C3T3, false,
   typedef Rebind_facet_pmap<C3T3,Cell_pmap>                 Facet_pmap;
   typedef Null_facet_pmap<C3T3, Cell_pmap>                  Facet_pmap_twice;
   typedef Null_vertex_pmap<C3T3, Cell_pmap, Facet_pmap>     Vertex_pmap;
-  
+
   bool print_twice() { return false; }
 };
 
-  
+
 //-------------------------------------------------------
 // IO functions
 //-------------------------------------------------------
 
 
-  
+
 template <class C3T3, bool rebind, bool no_patch>
 void
 output_to_medit(std::ostream& os,
@@ -707,18 +707,18 @@ output_to_medit(std::ostream& os,
 #ifdef CGAL_MESH_3_IO_VERBOSE
   std::cerr << "Output to medit:\n";
 #endif
-  
+
   typedef Medit_pmap_generator<C3T3,rebind,no_patch> Generator;
   typedef typename Generator::Cell_pmap Cell_pmap;
   typedef typename Generator::Facet_pmap Facet_pmap;
   typedef typename Generator::Facet_pmap_twice Facet_pmap_twice;
   typedef typename Generator::Vertex_pmap Vertex_pmap;
-  
+
   Cell_pmap cell_pmap(c3t3);
   Facet_pmap facet_pmap(c3t3,cell_pmap);
   Facet_pmap_twice facet_pmap_twice(c3t3,cell_pmap);
   Vertex_pmap vertex_pmap(c3t3,cell_pmap,facet_pmap);
-  
+
   output_to_medit(os,
                   c3t3,
                   vertex_pmap,
@@ -726,14 +726,14 @@ output_to_medit(std::ostream& os,
                   cell_pmap,
                   facet_pmap_twice,
                   Generator().print_twice());
-  
+
 #ifdef CGAL_MESH_3_IO_VERBOSE
   std::cerr << "done.\n";
 #endif
 }
 
 
-  
+
 template <class C3T3,
           class Vertex_index_property_map,
           class Facet_index_property_map,
@@ -795,11 +795,11 @@ output_to_medit(std::ostream& os,
   // Facets
   //-------------------------------------------------------
   typename C3T3::size_type number_of_triangles = c3t3.number_of_facets_in_complex();
-  
+
   if ( print_each_facet_twice )
     number_of_triangles += number_of_triangles;
-  
-  os << "Triangles\n" 
+
+  os << "Triangles\n"
      << number_of_triangles << '\n';
 
   for( Facet_iterator fit = c3t3.facets_in_complex_begin();
@@ -807,7 +807,7 @@ output_to_medit(std::ostream& os,
        ++fit)
   {
     typename C3T3::Facet f = (*fit);
-    
+
     // Apply priority among subdomains, to get consistent facet orientation per subdomain-pair interface.
     if ( print_each_facet_twice )
     {
@@ -815,23 +815,23 @@ output_to_medit(std::ostream& os,
       if (f.first->subdomain_index() > f.first->neighbor(f.second)->subdomain_index())
         f = tr.mirror_facet(f);
     }
-    
+
     // Get facet vertices in CCW order.
     Vertex_handle vh1 = f.first->vertex((f.second + 1) % 4);
     Vertex_handle vh2 = f.first->vertex((f.second + 2) % 4);
     Vertex_handle vh3 = f.first->vertex((f.second + 3) % 4);
-    
+
     // Facet orientation also depends on parity.
     if (f.second % 2 != 0)
       std::swap(vh2, vh3);
-    
-    os << V[vh1] << ' ' << V[vh2] << ' ' << V[vh3] << ' '; 
+
+    os << V[vh1] << ' ' << V[vh2] << ' ' << V[vh3] << ' ';
     os << get(facet_pmap, *fit) << '\n';
-    
+
     // Print triangle again if needed, with opposite orientation
     if ( print_each_facet_twice )
     {
-      os << V[vh3] << ' ' << V[vh2] << ' ' << V[vh1] << ' '; 
+      os << V[vh3] << ' ' << V[vh2] << ' ' << V[vh1] << ' ';
       os << get(facet_twice_pmap, *fit) << '\n';
     }
   }
diff -pruN 5.0.2-3/include/CGAL/IO/File_poly.h 5.0.3-1/include/CGAL/IO/File_poly.h
--- 5.0.2-3/include/CGAL/IO/File_poly.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_poly.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/IO/File_poly.h $
-// $Id: File_poly.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/IO/File_poly.h $
+// $Id: File_poly.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -137,7 +137,7 @@ write_triangle_poly_file(const CDT& t, s
 
   f << std::endl;
 
-  
+
   // write seeds, assuming that the seeds unmarks faces
   f << std::distance(begin, end) << std::endl;
   unsigned int seeds_counter = 0;
@@ -152,7 +152,7 @@ void
 write_triangle_poly_file(const CDT& t, std::ostream &f)
 {
   std::list<int> l;
-  
+
   write_triangle_poly_file(t, f, l.begin(), l.end());
 }
 
diff -pruN 5.0.2-3/include/CGAL/IO/File_scanner_OFF.h 5.0.3-1/include/CGAL/IO/File_scanner_OFF.h
--- 5.0.2-3/include/CGAL/IO/File_scanner_OFF.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_scanner_OFF.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/File_scanner_OFF.h $
-// $Id: File_scanner_OFF.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/File_scanner_OFF.h $
+// $Id: File_scanner_OFF.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/File_scanner_OFF_impl.h 5.0.3-1/include/CGAL/IO/File_scanner_OFF_impl.h
--- 5.0.2-3/include/CGAL/IO/File_scanner_OFF_impl.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_scanner_OFF_impl.h	2020-08-01 19:02:53.000000000 +0000
@@ -7,8 +7,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/File_scanner_OFF_impl.h $
-// $Id: File_scanner_OFF_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/File_scanner_OFF_impl.h $
+// $Id: File_scanner_OFF_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -46,7 +46,7 @@ skip_to_next_vertex( std::size_t current
             // It is not well stated in the Geomview manual
             // how color is coded following a vertex. It is
             // parsed similar to the optional color for facets.
-	    boost::int32_t k;
+            boost::int32_t k;
             I_Binary_read_big_endian_integer32( m_in, k);
             if (k<0 || k>4) {
                 m_in.clear( std::ios::badbit);
diff -pruN 5.0.2-3/include/CGAL/IO/File_tetgen.h 5.0.3-1/include/CGAL/IO/File_tetgen.h
--- 5.0.2-3/include/CGAL/IO/File_tetgen.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_tetgen.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/IO/File_tetgen.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/IO/File_tetgen.h $
 // $Id: File_tetgen.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/File_writer_inventor.h 5.0.3-1/include/CGAL/IO/File_writer_inventor.h
--- 5.0.2-3/include/CGAL/IO/File_writer_inventor.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_writer_inventor.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/File_writer_inventor.h $
-// $Id: File_writer_inventor.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/File_writer_inventor.h $
+// $Id: File_writer_inventor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/File_writer_inventor_impl.h 5.0.3-1/include/CGAL/IO/File_writer_inventor_impl.h
--- 5.0.2-3/include/CGAL/IO/File_writer_inventor_impl.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_writer_inventor_impl.h	2020-08-01 19:02:53.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/File_writer_inventor_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/File_writer_inventor_impl.h $
 // $Id: File_writer_inventor_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/File_writer_OFF.h 5.0.3-1/include/CGAL/IO/File_writer_OFF.h
--- 5.0.2-3/include/CGAL/IO/File_writer_OFF.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_writer_OFF.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/File_writer_OFF.h $
-// $Id: File_writer_OFF.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/File_writer_OFF.h $
+// $Id: File_writer_OFF.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/File_writer_OFF_impl.h 5.0.3-1/include/CGAL/IO/File_writer_OFF_impl.h
--- 5.0.2-3/include/CGAL/IO/File_writer_OFF_impl.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_writer_OFF_impl.h	2020-08-01 19:02:53.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/File_writer_OFF_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/File_writer_OFF_impl.h $
 // $Id: File_writer_OFF_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/File_writer_VRML_2.h 5.0.3-1/include/CGAL/IO/File_writer_VRML_2.h
--- 5.0.2-3/include/CGAL/IO/File_writer_VRML_2.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_writer_VRML_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/File_writer_VRML_2.h $
-// $Id: File_writer_VRML_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/File_writer_VRML_2.h $
+// $Id: File_writer_VRML_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/File_writer_VRML_2_impl.h 5.0.3-1/include/CGAL/IO/File_writer_VRML_2_impl.h
--- 5.0.2-3/include/CGAL/IO/File_writer_VRML_2_impl.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_writer_VRML_2_impl.h	2020-08-01 19:02:53.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/File_writer_VRML_2_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/File_writer_VRML_2_impl.h $
 // $Id: File_writer_VRML_2_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/File_writer_wavefront.h 5.0.3-1/include/CGAL/IO/File_writer_wavefront.h
--- 5.0.2-3/include/CGAL/IO/File_writer_wavefront.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_writer_wavefront.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/File_writer_wavefront.h $
-// $Id: File_writer_wavefront.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/File_writer_wavefront.h $
+// $Id: File_writer_wavefront.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/File_writer_wavefront_impl.h 5.0.3-1/include/CGAL/IO/File_writer_wavefront_impl.h
--- 5.0.2-3/include/CGAL/IO/File_writer_wavefront_impl.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/File_writer_wavefront_impl.h	2020-08-01 19:02:53.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/File_writer_wavefront_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/File_writer_wavefront_impl.h $
 // $Id: File_writer_wavefront_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/generic_copy_OFF.h 5.0.3-1/include/CGAL/IO/generic_copy_OFF.h
--- 5.0.2-3/include/CGAL/IO/generic_copy_OFF.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/generic_copy_OFF.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/generic_copy_OFF.h $
-// $Id: generic_copy_OFF.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/generic_copy_OFF.h $
+// $Id: generic_copy_OFF.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/generic_print_polyhedron.h 5.0.3-1/include/CGAL/IO/generic_print_polyhedron.h
--- 5.0.2-3/include/CGAL/IO/generic_print_polyhedron.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/generic_print_polyhedron.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/generic_print_polyhedron.h $
-// $Id: generic_print_polyhedron.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/generic_print_polyhedron.h $
+// $Id: generic_print_polyhedron.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
@@ -28,7 +28,7 @@ namespace CGAL {
 
 template <class Polyhedron, class Writer, class Vpm>
 void
-generic_print_polyhedron( std::ostream&     out, 
+generic_print_polyhedron( std::ostream&     out,
                           const Polyhedron& P,
                           Writer&           writer,
                           const Vpm& vpm ) {
@@ -67,9 +67,9 @@ generic_print_polyhedron( std::ostream&
 
 template <class Polyhedron, class Writer>
 void
-generic_print_polyhedron( std::ostream&     out, 
+generic_print_polyhedron( std::ostream&     out,
                           const Polyhedron& P,
-                          Writer&           writer) 
+                          Writer&           writer)
 {
   generic_print_polyhedron(out, P, writer,
                            get(CGAL::vertex_point, P));
diff -pruN 5.0.2-3/include/CGAL/IO/Generic_writer.h 5.0.3-1/include/CGAL/IO/Generic_writer.h
--- 5.0.2-3/include/CGAL/IO/Generic_writer.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Generic_writer.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/Generic_writer.h $
-// $Id: Generic_writer.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/Generic_writer.h $
+// $Id: Generic_writer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/Geomview_stream.h 5.0.3-1/include/CGAL/IO/Geomview_stream.h
--- 5.0.2-3/include/CGAL/IO/Geomview_stream.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Geomview_stream.h	2020-08-01 19:02:21.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997,1998,1999,2000,2001  
+// Copyright (c) 1997,1998,1999,2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Geomview/include/CGAL/IO/Geomview_stream.h $
-// $Id: Geomview_stream.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Geomview/include/CGAL/IO/Geomview_stream.h $
+// $Id: Geomview_stream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Sylvain Pion
 
@@ -40,8 +40,8 @@ namespace CGAL {
 class CGAL_EXPORT Geomview_stream {
 public:
     Geomview_stream(const Bbox_3 &bbox = Bbox_3(0,0,0, 1,1,1),
-		    const char *machine = nullptr,
-		    const char *login = nullptr);
+                    const char *machine = nullptr,
+                    const char *login = nullptr);
 
     ~Geomview_stream();
 
@@ -86,62 +86,62 @@ public:
 
     double get_vertex_radius() const
     {
-	return radius;
+        return radius;
     }
     double set_vertex_radius(double r)
     {
-	std::swap(r, radius);
-	return r;
+        std::swap(r, radius);
+        return r;
     }
 
     int get_line_width() const
     {
-	return line_width;
+        return line_width;
     }
     int set_line_width(int w)
     {
-	std::swap(w, line_width);
+        std::swap(w, line_width);
         return w;
     }
 
     bool set_wired(bool b)
     {
-	std::swap(b, wired_flag);
-	return b;
+        std::swap(b, wired_flag);
+        return b;
     }
     bool get_wired() const
     {
-	return wired_flag;
+        return wired_flag;
     }
 
     bool set_echo(bool b)
     {
-	std::swap(b, echo_flag);
-	return b;
+        std::swap(b, echo_flag);
+        return b;
     }
     bool get_echo() const
     {
-	return echo_flag;
+        return echo_flag;
     }
 
     bool set_raw(bool b)
     {
-	std::swap(b, raw_flag);
-	return b;
+        std::swap(b, raw_flag);
+        return b;
     }
     bool get_raw() const
     {
-	return raw_flag;
+        return raw_flag;
     }
 
     bool set_trace(bool b)
     {
-	std::swap(b, trace_flag);
-	return b;
+        std::swap(b, trace_flag);
+        return b;
     }
     bool get_trace() const
     {
-	return trace_flag;
+        return trace_flag;
     }
 
     void trace(const std::string s) const
@@ -167,27 +167,27 @@ public:
 
     bool set_binary_mode(bool b = true)
     {
-	std::swap(b, binary_flag);
-	return b;
+        std::swap(b, binary_flag);
+        return b;
     }
     bool set_ascii_mode(bool b = true)
     {
-	return !set_binary_mode(!b);
+        return !set_binary_mode(!b);
     }
     bool get_binary_mode() const
     {
-	return binary_flag;
+        return binary_flag;
     }
     bool get_ascii_mode() const
     {
-	return !binary_flag;
+        return !binary_flag;
     }
 
     std::string get_new_id(const std::string & s);
 
     const Bbox_3 & get_bbox()
     {
-	return bb;
+        return bb;
     }
 
     void pickplane()
@@ -197,7 +197,7 @@ public:
 
     static char* nth(char* s, int count);
     static void parse_point(const char* pickpoint,
-		     double &x, double &y, double &z, double &w);
+                     double &x, double &y, double &z, double &w);
 private:
     void setup_geomview(const char *machine, const char *login);
     void frame(const Bbox_3 &bbox);
@@ -224,9 +224,9 @@ output_point(Geomview_stream &gv, const
 {
     bool ascii_bak = true; // the initialization value shuts up the compiler.
     if (!gv.get_raw()) {
-    	ascii_bak = gv.set_ascii_mode();
-    	gv << "(geometry " << gv.get_new_id("P")
-       	   << " {appearance {linewidth 5 material {edgecolor "
+            ascii_bak = gv.set_ascii_mode();
+            gv << "(geometry " << gv.get_new_id("P")
+                  << " {appearance {linewidth 5 material {edgecolor "
            << gv.vcr() << gv.vcg() << gv.vcb() << "}}{SKEL 1 1 ";
     }
 
@@ -234,7 +234,7 @@ output_point(Geomview_stream &gv, const
 
     if (!gv.get_raw()) {
         gv << "1 0\n}})";
-    	gv.set_ascii_mode(ascii_bak);
+            gv.set_ascii_mode(ascii_bak);
     }
 }
 
@@ -359,8 +359,8 @@ Geomview_stream::draw_triangles(InputIte
     std::vector<Point>  points;
     for (Tit i = triangles.begin(); i != triangles.end(); ++i)
         for (int j = 0; j < 3; ++j)
-	    if (point_map.insert(typename Point_map::value_type(i->vertex(j),
-					        points.size())).second)
+            if (point_map.insert(typename Point_map::value_type(i->vertex(j),
+                                                points.size())).second)
                 points.push_back(i->vertex(j));
 
     bool ascii_bak = get_ascii_mode();
@@ -379,8 +379,8 @@ Geomview_stream::draw_triangles(InputIte
     // Triangles vertices indices.
     for (Tit tit = triangles.begin(); tit != triangles.end(); ++tit) {
         (*this) << 3;
-	for (int j = 0; j < 3; ++j)
-	    (*this) << point_map[tit->vertex(j)];
+        for (int j = 0; j < 3; ++j)
+            (*this) << point_map[tit->vertex(j)];
         (*this) << 0; // without color.
     }
     // Footer.
@@ -483,14 +483,14 @@ operator<<(Geomview_stream &gv, const Ra
     // Note: it won't work if double is not convertible to an RT...
     const Bbox_3 & bb = gv.get_bbox();
     Object result = intersection(Iso_rectangle_2<R>(
-		                    Point_2<R>(bb.xmin(), bb.ymin()),
-		                    Point_2<R>(bb.xmax(), bb.ymax())), r);
+                                    Point_2<R>(bb.xmin(), bb.ymin()),
+                                    Point_2<R>(bb.xmax(), bb.ymax())), r);
     Point_2<R> ipoint;
     Segment_2<R> iseg;
     if (assign(ipoint, result))
-	gv << ipoint;
+        gv << ipoint;
     else if (assign(iseg, result))
-	gv << iseg;
+        gv << iseg;
     return gv;
 }
 #endif
@@ -505,14 +505,14 @@ operator<<(Geomview_stream &gv, const Li
     // Note: it won't work if double is not convertible to an RT...
     const Bbox_3 & bb = gv.get_bbox();
     Object result = intersection(Iso_rectangle_2<R>(
-		                    Point_2<R>(bb.xmin(), bb.ymin()),
-		                    Point_2<R>(bb.xmax(), bb.ymax())), r);
+                                    Point_2<R>(bb.xmin(), bb.ymin()),
+                                    Point_2<R>(bb.xmax(), bb.ymax())), r);
     Point_2<R> ipoint;
     Segment_2<R> iseg;
     if (assign(ipoint, result))
-	gv << ipoint;
+        gv << ipoint;
     else if (assign(iseg, result))
-	gv << iseg;
+        gv << iseg;
     return gv;
 }
 #endif
@@ -559,7 +559,7 @@ Geomview_stream&
 operator>>(Geomview_stream &gv, Point_3<R> &point)
 {
     const char *gclpick =
-	"(pick world pickplane * nil nil nil nil nil nil nil)";
+        "(pick world pickplane * nil nil nil nil nil nil nil)";
 
     bool ascii_bak = gv.set_ascii_mode();
     gv << "(pickable pickplane yes) (ui-target pickplane yes)"
@@ -576,7 +576,7 @@ operator>>(Geomview_stream &gv, Point_3<
 
     // we echo the input
     if (gv.get_echo())
-	gv << point;
+        gv << point;
 
     // we are done and tell geomview to stop sending pick events
     gv << "(uninterest " << gclpick << ") (pickable pickplane no)";
diff -pruN 5.0.2-3/include/CGAL/IO/Geomview_stream_impl.h 5.0.3-1/include/CGAL/IO/Geomview_stream_impl.h
--- 5.0.2-3/include/CGAL/IO/Geomview_stream_impl.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Geomview_stream_impl.h	2020-08-01 19:02:21.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999-2004  
+// Copyright (c) 1999-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Geomview/include/CGAL/IO/Geomview_stream_impl.h $
-// $Id: Geomview_stream_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Geomview/include/CGAL/IO/Geomview_stream_impl.h $
+// $Id: Geomview_stream_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -38,8 +38,8 @@ namespace CGAL {
 
 CGAL_INLINE_FUNCTION
 Geomview_stream::Geomview_stream(const Bbox_3 &bbox,
-				 const char *machine,
-				 const char *login)
+                                 const char *machine,
+                                 const char *login)
   : bb(bbox), vertex_color(black()), edge_color(black()), face_color(black()),
       wired_flag(false), echo_flag(true), raw_flag(false),
       trace_flag(false), binary_flag(false),
@@ -81,15 +81,15 @@ void Geomview_stream::setup_geomview(con
         close(pipe_out[1]); // does not write to the out pipe,
         close(pipe_in[0]);  // does not read from the in pipe.
 
-	if (dup2(pipe_out[0], 0) != 0)
-	    std::cerr << "Connect pipe to stdin failed." << std::endl;
-	if (dup2(pipe_in[1], 1) != 1)
-	    std::cerr << "Connect pipe to stdout failed." << std::endl;
+        if (dup2(pipe_out[0], 0) != 0)
+            std::cerr << "Connect pipe to stdin failed." << std::endl;
+        if (dup2(pipe_in[1], 1) != 1)
+            std::cerr << "Connect pipe to stdout failed." << std::endl;
 
         if (machine && (std::strlen(machine)>0)) {
-	    std::string s (" rgeomview ");
-	    s += machine;
-	    s += ":0.0";
+            std::string s (" rgeomview ");
+            s += machine;
+            s += ":0.0";
             execlp("rsh", "rsh", machine, "-l", login, s.data(),
                    static_cast<void *>(nullptr)); // cast to stop gcc warning
         } else {
@@ -102,9 +102,9 @@ void Geomview_stream::setup_geomview(con
         switch(errno) {
         case EACCES:
             std::cerr << "please check your environment variable PATH"
-		      << std::endl;
+                      << std::endl;
             std::cerr << "make sure the file `geomview' is contained in it"
-		      << std::endl;
+                      << std::endl;
             std::cerr << "and is executable" << std::endl;
             break;
         case ELOOP:
@@ -112,7 +112,7 @@ void Geomview_stream::setup_geomview(con
             break;
         default:
             std::cerr << "error number " << errno << " (check `man execlp')"
-		      << std::endl;
+                      << std::endl;
         };
         CGAL_error();
     default:              // The parent process
@@ -122,15 +122,15 @@ void Geomview_stream::setup_geomview(con
         in = pipe_in[0];
         out = pipe_out[1];
 
-	// Necessary to wait a little bit for Geomview,
+        // Necessary to wait a little bit for Geomview,
         // otherwise you won't be able to ask for points...
         sleep(1);
 
 #if 1
         // We want to get rid of the requirement in the CGAL doc about
-	// (echo "started").  But we want to be backward compatible, that is,
-	// people who have this echo in their .geomview must still have CGAL
-	// working, at least for a few public releases.
+        // (echo "started").  But we want to be backward compatible, that is,
+        // people who have this echo in their .geomview must still have CGAL
+        // working, at least for a few public releases.
         // So the plan is to send, from CGAL, the command : (echo "CGAL-3D")
         // It's the same length as "started", 7.
         // Then we read 7 chars from Geomview, and test which string it is.
@@ -138,7 +138,7 @@ void Geomview_stream::setup_geomview(con
         // the back-compatible echo command.
         // In the very long run, we'll be able to get rid of all this code as
         // well.
-	// Maybe we should simply read the pipe, till we find "CGAL-3D" ?
+        // Maybe we should simply read the pipe, till we find "CGAL-3D" ?
 
         *this << "(echo \"CGAL-3D\")";
 
@@ -570,7 +570,7 @@ Geomview_stream::nth(char* s, int count)
 CGAL_INLINE_FUNCTION
 void
 Geomview_stream::parse_point(const char* pickpoint,
-		     double &x, double &y, double &z, double &w)
+                     double &x, double &y, double &z, double &w)
 {
     std::stringstream ss;
     ss << pickpoint << std::ends;
diff -pruN 5.0.2-3/include/CGAL/IO/Gps_iostream.h 5.0.3-1/include/CGAL/IO/Gps_iostream.h
--- 5.0.2-3/include/CGAL/IO/Gps_iostream.h	2020-02-21 20:02:59.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Gps_iostream.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/IO/Gps_iostream.h $
-// $Id: Gps_iostream.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/IO/Gps_iostream.h $
+// $Id: Gps_iostream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Efi Fogel <efif@post.tau.ac.il>
 
@@ -39,7 +39,7 @@ std::ostream & operator<< (std::ostream&
   std::cout << pgn_set.number_of_polygons_with_holes() << std::endl;
   std::copy(res.begin(), res.end(),
             std::ostream_iterator<Polygon_with_holes_2>(std::cout, "\n"));
-  
+
   return os;
 }
 
diff -pruN 5.0.2-3/include/CGAL/IO/Inventor_ostream.h 5.0.3-1/include/CGAL/IO/Inventor_ostream.h
--- 5.0.2-3/include/CGAL/IO/Inventor_ostream.h	2020-02-21 20:03:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Inventor_ostream.h	2020-08-01 19:02:25.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Inventor/include/CGAL/IO/Inventor_ostream.h $
-// $Id: Inventor_ostream.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Inventor/include/CGAL/IO/Inventor_ostream.h $
+// $Id: Inventor_ostream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri
@@ -71,8 +71,8 @@ public:
 private:
     void header() {
         os() << "#Inventor V2.0 ascii" << std::endl;
-        os() << "# File written with the help of the CGAL Library" 
-	     << std::endl;
+        os() << "# File written with the help of the CGAL Library"
+             << std::endl;
     }
 };
 
diff -pruN 5.0.2-3/include/CGAL/IO/io.h 5.0.3-1/include/CGAL/IO/io.h
--- 5.0.2-3/include/CGAL/IO/io.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/io.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/io.h $
-// $Id: io.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/io.h $
+// $Id: io.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -131,7 +131,7 @@ public:
   //! initialize with a reference to \a t.
   Input_rep( double& tt) : t(tt) {}
 
-  std::istream& operator()( std::istream& is) const 
+  std::istream& operator()( std::istream& is) const
   {
     typedef std::istream istream;
     typedef istream::char_type char_type;
@@ -145,7 +145,7 @@ public:
     do {
       const int_type i = is.get();
       if(i == traits_type::eof()) {
-	return is;
+        return is;
       }
       c = static_cast<char_type>(i);
     }while (std::isspace(c));
@@ -157,22 +157,22 @@ public:
     do {
       const int_type i = is.get();
       if(i == traits_type::eof()) {
-	is.clear(is.rdstate() & ~std::ios_base::failbit);
-	break;
+        is.clear(is.rdstate() & ~std::ios_base::failbit);
+        break;
       }
       c = static_cast<char_type>(i);
       if(std::isdigit(c) || (c =='.') || (c =='E') || (c =='e') || (c =='+') || (c =='-')){
         buffer += c;
       }else{
-	is.unget();
-	break;
+        is.unget();
+        break;
       }
     }while(true);
     if(sscanf_s(buffer.c_str(), "%lf", &t) != 1) {
       // if a 'buffer' does not contain a double, set the fail bit.
       is.setstate(std::ios_base::failbit);
     }
-    return is; 
+    return is;
   }
 };
 
@@ -183,7 +183,7 @@ public:
   //! initialize with a reference to \a t.
   Input_rep( float& tt) : t(tt) {}
 
-  std::istream& operator()( std::istream& is) const 
+  std::istream& operator()( std::istream& is) const
   {
     typedef std::istream istream;
     typedef istream::char_type char_type;
@@ -197,7 +197,7 @@ public:
     do {
       const int_type i = is.get();
       if(i == traits_type::eof()) {
-	return is;
+        return is;
       }
       c = static_cast<char_type>(i);
     }while (std::isspace(c));
@@ -209,22 +209,22 @@ public:
     do {
       const int_type i = is.get();
       if(i == traits_type::eof()) {
-	is.clear(is.rdstate() & ~std::ios_base::failbit);
-	break;
+        is.clear(is.rdstate() & ~std::ios_base::failbit);
+        break;
       }
       c = static_cast<char_type>(i);
       if(std::isdigit(c) || (c =='.') || (c =='E') || (c =='e') || (c =='+') || (c =='-')){
         buffer += c;
       }else{
-	is.unget();
-	break;
+        is.unget();
+        break;
       }
     }while(true);
     if(sscanf_s(buffer.c_str(), "%f", &t) != 1) {
       // if a 'buffer' does not contain a double, set the fail bit.
       is.setstate(std::ios_base::failbit);
     }
-    return is; 
+    return is;
   }
 };
 #endif
@@ -254,7 +254,7 @@ public:
     std::ostream& operator()( std::ostream& out) const {
         return out << t;
     }
-    
+
     // static function to get the benchmark name
     static std::string get_benchmark_name() {
         return "";
@@ -458,7 +458,7 @@ void eat_white_space(std::istream &is)
     }
   } while (true);
 }
- 
+
 
   inline
   bool is_space (const std::istream& /*is*/, std::istream::int_type c)
@@ -493,13 +493,13 @@ void eat_white_space(std::istream &is)
     else
       return is.peek();
   }
-   
-    
+
+
 template <typename ET>
 inline void read_float_or_quotient(std::istream & is, ET& et)
 {
   is >> et;
-}   
+}
 
 
 
@@ -600,9 +600,9 @@ inline void read_float_or_quotient(std::
   if (!is.fail())
     z = (negative ? compose(-n,d) : compose(n,d));
 
-} 
-    
-    
+}
+
+
   } // namespace internal
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/IO/io_impl.h 5.0.3-1/include/CGAL/IO/io_impl.h
--- 5.0.2-3/include/CGAL/IO/io_impl.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/io_impl.h	2020-08-01 19:02:53.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/io_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/io_impl.h $
 // $Id: io_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/io_tags.h 5.0.3-1/include/CGAL/IO/io_tags.h
--- 5.0.2-3/include/CGAL/IO/io_tags.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/io_tags.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/io_tags.h $
-// $Id: io_tags.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/io_tags.h $
+// $Id: io_tags.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
@@ -27,18 +27,18 @@ struct io_Read_write{};
 struct io_Extract_insert{};
 struct io_Operator{};
 
-template<class T> 
+template<class T>
 struct Io_traits{
     typedef io_Operator Io_tag;
 };
 
-template<> struct Io_traits<char>{ typedef io_Read_write Io_tag; }; 
+template<> struct Io_traits<char>{ typedef io_Read_write Io_tag; };
 
 template<> struct Io_traits<short> { typedef io_Read_write Io_tag; };
 template<> struct Io_traits<int> { typedef io_Read_write Io_tag; };
 template<> struct Io_traits<long> { typedef io_Read_write Io_tag; };
 
-template<> struct Io_traits<unsigned char>{ typedef io_Read_write Io_tag; }; 
+template<> struct Io_traits<unsigned char>{ typedef io_Read_write Io_tag; };
 
 template<> struct Io_traits<unsigned short> { typedef io_Read_write Io_tag; };
 template<> struct Io_traits<unsigned int> { typedef io_Read_write Io_tag; };
diff -pruN 5.0.2-3/include/CGAL/IO/Istream_iterator.h 5.0.3-1/include/CGAL/IO/Istream_iterator.h
--- 5.0.2-3/include/CGAL/IO/Istream_iterator.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Istream_iterator.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/Istream_iterator.h $
-// $Id: Istream_iterator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/Istream_iterator.h $
+// $Id: Istream_iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/IO/Nef_polyhedron_2_PS_stream.h 5.0.3-1/include/CGAL/IO/Nef_polyhedron_2_PS_stream.h
--- 5.0.2-3/include/CGAL/IO/Nef_polyhedron_2_PS_stream.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Nef_polyhedron_2_PS_stream.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/IO/Nef_polyhedron_2_PS_stream.h $
-// $Id: Nef_polyhedron_2_PS_stream.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/IO/Nef_polyhedron_2_PS_stream.h $
+// $Id: Nef_polyhedron_2_PS_stream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -48,7 +48,7 @@ ps_file& operator<<(ps_file& PS, const N
   typedef typename T::RT  RT;
   typedef typename T::Standard_RT Standard_RT;
 
-  PMCDec D = P.explorer(); 
+  PMCDec D = P.explorer();
   const T& E = Nef_polyhedron_2<T>::EK;
 
   Standard_RT frame_radius = frame_default;
@@ -83,9 +83,9 @@ ps_file& operator<<(ps_file& PS, const N
   Halfedge_const_iterator hit;
   for (hit = D.halfedges_begin(); hit != D.halfedges_end(); ++(++hit)) {
     leda_segment s(CGAL::to_double(hit->vertex()->point().x()),
-		   CGAL::to_double(hit->vertex()->point().y()),
-		   CGAL::to_double(hit->opposite()->vertex()->point().x()),
-		   CGAL::to_double(hit->opposite()->vertex()->point().y()));
+                   CGAL::to_double(hit->vertex()->point().y()),
+                   CGAL::to_double(hit->opposite()->vertex()->point().x()),
+                   CGAL::to_double(hit->opposite()->vertex()->point().y()));
     if ( hit->mark() ) PS.set_color(leda_black);
     else               PS.set_color(leda_grey1);
     PS << s;
@@ -95,7 +95,7 @@ ps_file& operator<<(ps_file& PS, const N
   Vertex_const_iterator v;
   for (v = D.vertices_begin(); v != D.vertices_end(); ++v) {
     leda_point p(CGAL::to_double(v->point().x()),
-		 CGAL::to_double(v->point().y()));
+                 CGAL::to_double(v->point().y()));
     leda_color pc;
     if ( v->mark() ) pc = leda_black;
     else             pc = leda_grey1;
diff -pruN 5.0.2-3/include/CGAL/IO/Nef_polyhedron_iostream_3.h 5.0.3-1/include/CGAL/IO/Nef_polyhedron_iostream_3.h
--- 5.0.2-3/include/CGAL/IO/Nef_polyhedron_iostream_3.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Nef_polyhedron_iostream_3.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/IO/Nef_polyhedron_iostream_3.h $
-// $Id: Nef_polyhedron_iostream_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/IO/Nef_polyhedron_iostream_3.h $
+// $Id: Nef_polyhedron_iostream_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/OBJ_reader.h 5.0.3-1/include/CGAL/IO/OBJ_reader.h
--- 5.0.2-3/include/CGAL/IO/OBJ_reader.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/OBJ_reader.h	2020-08-01 19:02:45.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/OBJ_reader.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/OBJ_reader.h $
 // $Id: OBJ_reader.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/OFF_reader.h 5.0.3-1/include/CGAL/IO/OFF_reader.h
--- 5.0.2-3/include/CGAL/IO/OFF_reader.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/OFF_reader.h	2020-08-01 19:02:45.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/OFF_reader.h $
-// $Id: OFF_reader.h 61453c6 2020-02-14T14:46:35+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/OFF_reader.h $
+// $Id: OFF_reader.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Rineau and Sebastien Loriot
@@ -104,7 +104,7 @@ namespace CGAL {
             vcolors[i] = scanner.get_color_from_line(iss);
           }
         }
-        
+
         if(!in)
           return false;
     }
diff -pruN 5.0.2-3/include/CGAL/IO/Ostream_iterator.h 5.0.3-1/include/CGAL/IO/Ostream_iterator.h
--- 5.0.2-3/include/CGAL/IO/Ostream_iterator.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Ostream_iterator.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/Ostream_iterator.h $
-// $Id: Ostream_iterator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/Ostream_iterator.h $
+// $Id: Ostream_iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/IO/output_surface_facets_to_polyhedron.h 5.0.3-1/include/CGAL/IO/output_surface_facets_to_polyhedron.h
--- 5.0.2-3/include/CGAL/IO/output_surface_facets_to_polyhedron.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/output_surface_facets_to_polyhedron.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/IO/output_surface_facets_to_polyhedron.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/IO/output_surface_facets_to_polyhedron.h $
 // $Id: output_surface_facets_to_polyhedron.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/output_surface_facets_to_triangle_soup.h 5.0.3-1/include/CGAL/IO/output_surface_facets_to_triangle_soup.h
--- 5.0.2-3/include/CGAL/IO/output_surface_facets_to_triangle_soup.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/output_surface_facets_to_triangle_soup.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Poisson_surface_reconstruction_3/include/CGAL/IO/output_surface_facets_to_triangle_soup.h $
-// $Id: output_surface_facets_to_triangle_soup.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Poisson_surface_reconstruction_3/include/CGAL/IO/output_surface_facets_to_triangle_soup.h $
+// $Id: output_surface_facets_to_triangle_soup.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez
@@ -27,7 +27,7 @@ namespace CGAL {
 /// This variant exports the surface as a triangle soup.
 ///
 /// @commentheading Template Parameters:
-/// @tparam OutputIteratorValueType value_type of OutputIterator. 
+/// @tparam OutputIteratorValueType value_type of OutputIterator.
 ///        It is default to value_type_traits<OutputIterator>::type, and can be omitted when the default is fine.
 /// @tparam SurfaceMeshComplex_2InTriangulation_3 model of the SurfaceMeshComplex_2InTriangulation_3 concept.
 /// @tparam OutputIterator value_type must be convertible from Triangle_3<Kernel>.
diff -pruN 5.0.2-3/include/CGAL/IO/output_to_vtu.h 5.0.3-1/include/CGAL/IO/output_to_vtu.h
--- 5.0.2-3/include/CGAL/IO/output_to_vtu.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/output_to_vtu.h	2020-08-01 19:02:31.000000000 +0000
@@ -5,8 +5,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/IO/output_to_vtu.h $
-// $Id: output_to_vtu.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/IO/output_to_vtu.h $
+// $Id: output_to_vtu.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent RINEAU, Stephane Tayeb, Maxime Gimeno
@@ -29,7 +29,7 @@
 namespace CGAL{
 
 template <class C3T3>
-void 
+void
 write_cells_tag(std::ostream& os,
                 const C3T3 & c3t3,
                 std::map<typename C3T3::Triangulation::Vertex_handle, std::size_t> & V,
@@ -51,7 +51,7 @@ write_cells_tag(std::ostream& os,
   os << "    <Cells>\n"
      << "      <DataArray Name=\"connectivity\""
      << formatattribute << typeattribute;
-  
+
   if (binary) { // if binary output, just write the xml tag
     os << " offset=\"" << offset << "\"/>\n";
     offset += (4 * c3t3.number_of_cells() + 1) * sizeof(std::size_t);
@@ -68,11 +68,11 @@ write_cells_tag(std::ostream& os,
     }
     os << "\n      </DataArray>\n";
   }
-  
+
   // Write offsets
   os   << "      <DataArray Name=\"offsets\""
        << formatattribute << typeattribute;
-  
+
   if (binary) {  // if binary output, just write the xml tag
     os << " offset=\"" << offset << "\"/>\n";
     offset += (c3t3.number_of_cells() + 1) * sizeof(std::size_t);
@@ -82,12 +82,12 @@ write_cells_tag(std::ostream& os,
     os << ">\n";
     std::size_t cells_offset = 0;
     for( Cell_iterator cit = c3t3.cells_in_complex_begin() ;
-	 cit != c3t3.cells_in_complex_end() ;
-	 ++cit )
+         cit != c3t3.cells_in_complex_end() ;
+         ++cit )
       {
-	cells_offset += 4;
-	os << cells_offset << " ";
-      }  
+        cells_offset += 4;
+        os << cells_offset << " ";
+      }
     os << "\n      </DataArray>\n";
   }
 
@@ -103,8 +103,8 @@ write_cells_tag(std::ostream& os,
   else {
     os << ">\n";
     for( Cell_iterator cit = c3t3.cells_in_complex_begin() ;
-	 cit != c3t3.cells_in_complex_end() ;
-	 ++cit )
+         cit != c3t3.cells_in_complex_end() ;
+         ++cit )
       os << "10 ";
     os << "\n      </DataArray>\n";
   }
@@ -130,7 +130,7 @@ write_cells(std::ostream& os,
       off += 4;
       offsets.push_back(off);
       for (int i=0; i<4; i++)
-	connectivity_table.push_back(V[cit->vertex(i)]);
+        connectivity_table.push_back(V[cit->vertex(i)]);
     }
   write_vector<std::size_t>(os,connectivity_table);
   write_vector<std::size_t>(os,offsets);
@@ -139,7 +139,7 @@ write_cells(std::ostream& os,
 
 
 template <class Tr>
-void 
+void
 write_c3t3_points_tag(std::ostream& os,
                       const Tr & tr,
                       std::size_t size_of_vertices,
@@ -161,12 +161,12 @@ write_c3t3_points_tag(std::ostream& os,
      << format;
 
   if (binary) {
-    os << "\" offset=\"" << offset << "\"/>\n";    
+    os << "\" offset=\"" << offset << "\"/>\n";
     offset += 3 * size_of_vertices * sizeof(FT) + sizeof(std::size_t);
     // dim coords per points + length of the encoded data (size_t)
   }
   else {
-    os << "\">\n";  
+    os << "\">\n";
     for( Finite_vertices_iterator vit = tr.finite_vertices_begin();
          vit != tr.finite_vertices_end();
          ++vit)
@@ -185,7 +185,7 @@ write_c3t3_points_tag(std::ostream& os,
   os << "    </Points>\n";
 }
 
-// writes the points appended data at the end of the .vtu file 
+// writes the points appended data at the end of the .vtu file
 template <class Tr>
 void
 write_c3t3_points(std::ostream& os,
@@ -215,12 +215,12 @@ write_c3t3_points(std::ostream& os,
 
 // writes the attribute tags before binary data is appended
 template <class T>
-void 
+void
 write_attribute_tag(std::ostream& os,
-		    const std::string& attr_name,
-		    const std::vector<T>& attribute,
-		    bool binary,
-		    std::size_t& offset)
+                    const std::string& attr_name,
+                    const std::vector<T>& attribute,
+                    bool binary,
+                    std::size_t& offset)
 {
   std::string format = binary ? "appended" : "ascii";
   std::string type = "";
@@ -237,28 +237,28 @@ write_attribute_tag(std::ostream& os,
     else
       type = "UInt64";
   }
-  os << "      <DataArray type=\"" << type << "\" Name=\"" << attr_name << "\" format=\"" << format; 
+  os << "      <DataArray type=\"" << type << "\" Name=\"" << attr_name << "\" format=\"" << format;
 
   if (binary) {
-    os << "\" offset=\"" << offset << "\"/>\n";    
+    os << "\" offset=\"" << offset << "\"/>\n";
     offset += attribute.size() * sizeof(T) + sizeof(std::size_t);
   }
   else {
     typedef typename std::vector<T>::const_iterator Iterator;
-    os << "\">\n";   
+    os << "\">\n";
     for (Iterator it = attribute.begin();
-	 it != attribute.end();
-	 ++it )
+         it != attribute.end();
+         ++it )
       os << *it << " ";
     os << "\n      </DataArray>\n";
   }
 }
 
-// writes the attributes appended data at the end of the .vtu file 
+// writes the attributes appended data at the end of the .vtu file
 template <typename FT>
 void
 write_attributes(std::ostream& os,
-		 const std::vector<FT>& att)
+                 const std::vector<FT>& att)
 {
   write_vector(os,att);
 }
@@ -290,7 +290,7 @@ void output_to_vtu_with_attributes(std::
 #else // CGAL_BIG_ENDIAN
   os << " byte_order=\"BigEndian\"";
 #endif
-  
+
   switch(sizeof(std::size_t)) {
   case 4: os << " header_type=\"UInt32\""; break;
   case 8: os << " header_type=\"UInt64\""; break;
@@ -326,7 +326,7 @@ void output_to_vtu_with_attributes(std::
   os << "   </Piece>\n"
      << "  </UnstructuredGrid>\n";
   if (binary) {
-    os << "<AppendedData encoding=\"raw\">\n_"; 
+    os << "<AppendedData encoding=\"raw\">\n_";
     write_c3t3_points(os,tr,V); // fills V if the mode is BINARY
     write_cells(os,c3t3,V);
     for(std::size_t i = 0; i< attributes.size(); ++i)
@@ -362,7 +362,7 @@ void output_to_vtu(std::ostream& os,
     double v = cit->subdomain_index();
     mids.push_back(v);
   }
-  
+
   std::vector<std::pair<const char*, Vtu_attributes > > atts;
   Vtu_attributes v = &mids;
   atts.push_back(std::make_pair("MeshDomain", v));
diff -pruN 5.0.2-3/include/CGAL/IO/PLY.h 5.0.3-1/include/CGAL/IO/PLY.h
--- 5.0.2-3/include/CGAL/IO/PLY.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/PLY.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/PLY.h $
-// $Id: PLY.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/PLY.h $
+// $Id: PLY.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Simon Giraudot
@@ -68,7 +68,7 @@ struct PLY_property
 template <typename FT> struct Convert_FT        { typedef double type; };
 // ...except if kernel uses type float
 template <>            struct Convert_FT<float> { typedef float type;  };
-    
+
 template <typename PointOrVectorMap>
 struct Get_FT_from_map
 {
@@ -135,13 +135,13 @@ make_ply_normal_writer(VectorMap normal_
 namespace internal {
 
 namespace PLY {
-  
+
 class PLY_read_number
 {
 protected:
   std::string m_name;
   std::size_t m_format;
-    
+
 public:
   PLY_read_number (std::string name, std::size_t format)
     : m_name (name), m_format (format) { }
@@ -172,7 +172,7 @@ public:
     stream >> s;
     c = static_cast<unsigned char>(s);
   }
-    
+
   void read_ascii (std::istream& stream, float& t) const
   {
     stream >> iformat(t);
@@ -182,15 +182,15 @@ public:
   {
     stream >> iformat(t);
   }
-    
+
   // Default template when Type is not a char type
   template <typename Type>
   void read_ascii (std::istream& stream, Type& t) const
   {
     stream >> t;
   }
-    
-    
+
+
   template <typename Type>
   Type read (std::istream& stream) const
   {
@@ -207,11 +207,11 @@ public:
         char uChar[sizeof (Type)];
         Type type;
       } buffer;
-          
+
       std::size_t size = sizeof (Type);
 
       stream.read(buffer.uChar, size);
-      
+
       if (m_format == 2) // Big endian
       {
         for (std::size_t i = 0; i < size / 2; ++ i)
@@ -287,7 +287,7 @@ class PLY_element
 {
   std::string m_name;
   std::size_t m_number;
-    
+
   std::vector<PLY_read_number*> m_properties;
 public:
 
@@ -309,7 +309,7 @@ public:
     const_cast<PLY_element&>(other).m_properties.clear();
     return *this;
   }
-    
+
   ~PLY_element()
   {
     for (std::size_t i = 0; i < m_properties.size(); ++ i)
@@ -321,7 +321,7 @@ public:
   std::size_t number_of_properties() const { return m_properties.size(); }
 
   PLY_read_number* property (std::size_t idx) { return m_properties[idx]; }
-    
+
   void add_property (PLY_read_number* read_number)
   {
     m_properties.push_back (read_number);
@@ -340,7 +340,7 @@ public:
         return (dynamic_cast<PLY_read_typed_list<Type>*>(m_properties[i]) != nullptr);
     return false;
   }
-    
+
   template <typename Type>
   bool has_property (const char* tag, Type)
   {
@@ -405,12 +405,12 @@ public:
         }
         else
           t = property_double->buffer();
-          
+
         return;
       }
     t = {};
   }
-  
+
 };
 
 class PLY_reader
@@ -435,7 +435,7 @@ public:
     std::size_t lineNumber = 0; // current line number
     enum Format { ASCII = 0, BINARY_LITTLE_ENDIAN = 1, BINARY_BIG_ENDIAN = 2};
     Format format = ASCII;
-    
+
     std::string line;
     std::istringstream iss;
 
@@ -495,7 +495,7 @@ public:
             return false;
           }
 
-                  
+
           if (type == "list") // Special case
           {
             std::string size_type = name;
@@ -506,7 +506,7 @@ public:
               std::cerr << "Error line " << lineNumber << " of file" << std::endl;
               return false;
             }
-                    
+
             TRY_TO_GENERATE_LIST_PROPERTY ("char", "int8", boost::int8_t);
             else TRY_TO_GENERATE_LIST_PROPERTY ("uchar", "uint8", boost::uint8_t);
             else TRY_TO_GENERATE_LIST_PROPERTY ("short", "int16", boost::int16_t);
@@ -527,7 +527,7 @@ public:
             else TRY_TO_GENERATE_PROPERTY ("float", "float32", float);
             else TRY_TO_GENERATE_PROPERTY ("double", "float64", double);
           }
-                  
+
           continue;
         }
         else if (keyword == "comment")
@@ -548,7 +548,7 @@ public:
             std::cerr << "Error line " << lineNumber << " of file" << std::endl;
             return false;
           }
-                
+
           m_elements.push_back (PLY_element(type, number));
         }
         // When end_header is reached, stop loop and begin reading points
@@ -562,7 +562,7 @@ public:
   ~PLY_reader ()
   {
   }
-  
+
 };
 
 template <class Reader, class T>
@@ -571,7 +571,7 @@ void get_value(Reader& r, T& v, PLY_prop
   return r.assign(v, wrapper.name);
 }
 
-  
+
 template <std::size_t N>
 struct Filler
 {
@@ -614,7 +614,7 @@ struct Filler<0>
     get_value(r, std::get<0>(values), std::get<2>(wrappers));
   }
 };
-  
+
 template <typename OutputValueType,
           typename PropertyMap,
           typename Constructor,
@@ -628,7 +628,7 @@ void process_properties (PLY_element& el
   PmapValueType new_value = call_functor<PmapValueType>(std::get<1>(current), values);
   put (std::get<0>(current), new_element, new_value);
 }
-  
+
 template <typename OutputValueType,
           typename PropertyMap,
           typename Constructor,
@@ -645,7 +645,7 @@ void process_properties (PLY_element& el
   Filler<sizeof...(T)-1>::fill(element, values, current);
   PmapValueType new_value = call_functor<PmapValueType>(std::get<1>(current), values);
   put (std::get<0>(current), new_element, new_value);
-  
+
   process_properties (element, new_element, std::forward<NextPropertyBinder>(next),
                       std::forward<PropertyMapBinders>(properties)...);
 }
@@ -689,7 +689,7 @@ template <> inline void property_header_
 template <> inline void property_header_type<unsigned int> (std::ostream& stream) { stream << "uint"; }
 template <> inline void property_header_type<float> (std::ostream& stream) { stream << "float"; }
 template <> inline void property_header_type<double> (std::ostream& stream) { stream << "double"; }
-    
+
 template <typename T>
 void property_header (std::ostream& stream, const PLY_property<T>& prop)
 {
@@ -706,7 +706,7 @@ void property_header (std::ostream& stre
   stream << " " << prop.name << std::endl;
 }
 
-  
+
 template <std::size_t N>
 struct Properties_header
 {
@@ -732,7 +732,7 @@ template <typename PropertyMap,
 void output_property_header (std::ostream& stream,
                              std::tuple<PropertyMap, PLY_property<T>... >&& current)
 {
-  Properties_header<sizeof...(T)-1>::write(stream, current); 
+  Properties_header<sizeof...(T)-1>::write(stream, current);
 }
 
 
@@ -766,7 +766,7 @@ void output_property_header (std::ostrea
                              NextPropertyHandler&& next,
                              PropertyHandler&& ... properties)
 {
-  Properties_header<sizeof...(T)-1>::write(stream, current); 
+  Properties_header<sizeof...(T)-1>::write(stream, current);
   output_property_header (stream, std::forward<NextPropertyHandler>(next),
                           std::forward<PropertyHandler>(properties)...);
 }
@@ -807,7 +807,7 @@ void simple_property_write (std::ostream
                             std::pair<PropertyMap, PLY_property<std::vector<T> > > map)
 {
   const typename PropertyMap::reference value = get(map.first, *it);
-    
+
   if (CGAL::get_mode(stream) == IO::ASCII)
   {
     stream << value.size();
@@ -826,7 +826,7 @@ void simple_property_write (std::ostream
   }
 }
 
-    
+
 template <typename ForwardIterator,
           typename PropertyMap,
           typename ... T>
@@ -869,7 +869,7 @@ void output_properties (std::ostream& st
   output_properties (stream, it, std::forward<NextPropertyHandler>(next),
                      std::forward<PropertyHandler>(properties)...);
 }
-  
+
 template <typename ForwardIterator,
           typename PropertyMap,
           typename ... T,
@@ -909,7 +909,7 @@ public:
   {
 
   }
-    
+
   virtual void print(std::ostream& stream, const Index& index)
   {
     stream << get(m_pmap, index);
@@ -926,7 +926,7 @@ public:
   {
 
   }
-    
+
   virtual void print(std::ostream& stream, const Index& index)
   {
     if (get_mode(stream) == IO::ASCII)
@@ -949,7 +949,7 @@ public:
   {
 
   }
-    
+
   virtual void print(std::ostream& stream, const Index& index)
   {
     if (get_mode(stream) == IO::ASCII)
diff -pruN 5.0.2-3/include/CGAL/IO/PLY_reader.h 5.0.3-1/include/CGAL/IO/PLY_reader.h
--- 5.0.2-3/include/CGAL/IO/PLY_reader.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/PLY_reader.h	2020-08-01 19:02:45.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/PLY_reader.h $
-// $Id: PLY_reader.h b9a079b 2019-11-04T11:34:53+01:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/PLY_reader.h $
+// $Id: PLY_reader.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -37,7 +37,7 @@ namespace CGAL{
           rtag = "red"; gtag = "green"; btag = "blue";
         }
       }
-      
+
       for (std::size_t j = 0; j < element.number_of_items(); ++ j)
       {
         for (std::size_t k = 0; k < element.number_of_properties(); ++ k)
@@ -49,7 +49,7 @@ namespace CGAL{
             return false;
         }
 
-        std::tuple<std::vector<Integer>, boost::uint8_t, boost::uint8_t, boost::uint8_t> new_face; 
+        std::tuple<std::vector<Integer>, boost::uint8_t, boost::uint8_t, boost::uint8_t> new_face;
 
         if (has_colors)
         {
@@ -95,13 +95,13 @@ namespace CGAL{
     }
 
     internal::PLY::PLY_reader reader;
-  
+
     if (!(reader.init (in)))
     {
       in.setstate(std::ios::failbit);
       return false;
     }
-  
+
     for (std::size_t i = 0; i < reader.number_of_elements(); ++ i)
     {
       internal::PLY::PLY_element& element = reader.element(i);
@@ -123,7 +123,7 @@ namespace CGAL{
 
           internal::PLY::process_properties (element, new_vertex,
                                              make_ply_point_reader (CGAL::Identity_property_map<Point_3>()));
-      
+
           points.push_back (get<0>(new_vertex));
         }
       }
@@ -181,7 +181,7 @@ namespace CGAL{
       return false;
     }
     internal::PLY::PLY_reader reader;
-  
+
     if (!(reader.init (in)))
     {
       in.setstate(std::ios::failbit);
@@ -329,9 +329,9 @@ namespace CGAL{
   {
     std::vector<std::pair<unsigned int, unsigned int> > dummy_pui;
     std::vector<std::pair<float, float> > dummy_pf;
-    return read_PLY<Point_3, Polygon_3, Color_rgb>(in, points, polygons, 
+    return read_PLY<Point_3, Polygon_3, Color_rgb>(in, points, polygons,
                                                    dummy_pui,
-                                                   fcolors, vcolors, 
+                                                   fcolors, vcolors,
                                                    dummy_pf);
   }
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/IO/PLY_writer.h 5.0.3-1/include/CGAL/IO/PLY_writer.h
--- 5.0.2-3/include/CGAL/IO/PLY_writer.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/PLY_writer.h	2020-08-01 19:02:45.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/PLY_writer.h $
-// $Id: PLY_writer.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/PLY_writer.h $
+// $Id: PLY_writer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -34,18 +34,18 @@ namespace CGAL{
         << ((get_mode(out) == IO::BINARY) ? "format binary_little_endian 1.0" : "format ascii 1.0") << std::endl
         << "comment Generated by the CGAL library" << std::endl
         << "element vertex " << points.size() << std::endl;
-    
+
     internal::PLY::output_property_header (out,
                                            make_ply_point_writer (CGAL::Identity_property_map<Point_3>()));
 
     out << "element face " << polygons.size() << std::endl;
-  
+
     internal::PLY::output_property_header (out,
                                            std::make_pair (CGAL::Identity_property_map<Polygon_3>(),
                                                            PLY_property<std::vector<int> >("vertex_indices")));
-    
+
     out << "end_header" << std::endl;
-  
+
     for (std::size_t i = 0; i < points.size(); ++ i)
       internal::PLY::output_properties (out, points.begin() + i,
                                         make_ply_point_writer (CGAL::Identity_property_map<Point_3>()));
@@ -83,24 +83,24 @@ namespace CGAL{
         << ((get_mode(out) == IO::BINARY) ? "format binary_little_endian 1.0" : "format ascii 1.0") << std::endl
         << "comment Generated by the CGAL library" << std::endl
         << "element vertex " << num_vertices(mesh) << std::endl;
-    
+
     internal::PLY::output_property_header (out,
                                            make_ply_point_writer (CGAL::Identity_property_map<Point_3>()));
 
     out << "element face " << num_faces(mesh) << std::endl;
-  
+
     internal::PLY::output_property_header (out,
                                            std::make_pair (CGAL::Identity_property_map<std::vector<std::size_t> >(),
                                                            PLY_property<std::vector<int> >("vertex_indices")));
-    
+
     if(has_texture)
     {
       out << "element halfedge " << num_halfedges(mesh) << std::endl;
-      
+
       internal::PLY::output_property_header (out,
                                              std::make_pair (CGAL::Identity_property_map<std::size_t >(),
                                                              PLY_property<unsigned int >("source")));
-      
+
       internal::PLY::output_property_header (out,
                                              std::make_pair (CGAL::Identity_property_map<std::size_t >(),
                                                              PLY_property<unsigned int >("target")));
@@ -117,7 +117,7 @@ namespace CGAL{
       internal::PLY::output_properties (out, &p,
                                         make_ply_point_writer (CGAL::Identity_property_map<Point_3>()));
     }
-    
+
 
     std::vector<std::size_t> polygon;
     for(face_descriptor fd : faces(mesh))
@@ -130,17 +130,17 @@ namespace CGAL{
                                         std::make_pair (CGAL::Identity_property_map<std::vector<std::size_t> >(),
                                                         PLY_property<std::vector<int> >("vertex_indices")));
     }
-    
+
     if(has_texture)
     {
       for(halfedge_descriptor hd : halfedges(mesh))
       {
         typedef std::tuple<unsigned int, unsigned int, float, float> Super_tuple;
-         Super_tuple t = 
+         Super_tuple t =
             std::make_tuple(source(hd, mesh),target(hd, mesh),
                             h_uv[hd].first,
                             h_uv[hd].second);
-        
+
         internal::PLY::output_properties (out, &t,
                                           std::make_pair (Nth_of_tuple_property_map<0,Super_tuple>(),
                                                           PLY_property<unsigned int >("source")),
diff -pruN 5.0.2-3/include/CGAL/IO/Polyhedron_builder_from_STL.h 5.0.3-1/include/CGAL/IO/Polyhedron_builder_from_STL.h
--- 5.0.2-3/include/CGAL/IO/Polyhedron_builder_from_STL.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Polyhedron_builder_from_STL.h	2020-08-01 19:02:45.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/Polyhedron_builder_from_STL.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/Polyhedron_builder_from_STL.h $
 // $Id: Polyhedron_builder_from_STL.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/Polyhedron_geomview_ostream.h 5.0.3-1/include/CGAL/IO/Polyhedron_geomview_ostream.h
--- 5.0.2-3/include/CGAL/IO/Polyhedron_geomview_ostream.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Polyhedron_geomview_ostream.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/Polyhedron_geomview_ostream.h $
-// $Id: Polyhedron_geomview_ostream.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/Polyhedron_geomview_ostream.h $
+// $Id: Polyhedron_geomview_ostream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
@@ -26,9 +26,9 @@ class Polyhedron_writer_geomview {
     Geomview_stream*  out;
 public:
     Polyhedron_writer_geomview( Geomview_stream& geo) : out(&geo) {}
-    void write_header( std::ostream&, 
-                       std::size_t vertices, 
-                       std::size_t, 
+    void write_header( std::ostream&,
+                       std::size_t vertices,
+                       std::size_t,
                        std::size_t facets) {
         // ignore ostream. Output goes to Geomview_stream.
         // Print header.
diff -pruN 5.0.2-3/include/CGAL/IO/Polyhedron_inventor_ostream.h 5.0.3-1/include/CGAL/IO/Polyhedron_inventor_ostream.h
--- 5.0.2-3/include/CGAL/IO/Polyhedron_inventor_ostream.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Polyhedron_inventor_ostream.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/Polyhedron_inventor_ostream.h $
-// $Id: Polyhedron_inventor_ostream.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/Polyhedron_inventor_ostream.h $
+// $Id: Polyhedron_inventor_ostream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
@@ -28,7 +28,7 @@ template < class Traits,
            template < class T, class I, class A>
            class HDS, class Alloc>
 Inventor_ostream_base&
-operator<<( Inventor_ostream_base& out, 
+operator<<( Inventor_ostream_base& out,
             const Polyhedron_3<Traits,Items,HDS,Alloc>& P) {
     File_writer_inventor  writer;
     generic_print_polyhedron( out.os(), P, writer);
diff -pruN 5.0.2-3/include/CGAL/IO/Polyhedron_iostream.h 5.0.3-1/include/CGAL/IO/Polyhedron_iostream.h
--- 5.0.2-3/include/CGAL/IO/Polyhedron_iostream.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Polyhedron_iostream.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/Polyhedron_iostream.h $
-// $Id: Polyhedron_iostream.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/Polyhedron_iostream.h $
+// $Id: Polyhedron_iostream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
@@ -38,7 +38,7 @@ write_off( std::ostream& out, const Poly
   // writes P to `out' in PRETTY, ASCII or BINARY format
     // as the stream indicates.
     File_header_OFF header( is_binary( out), ! is_pretty( out), false);
-    typename CGAL::Polygon_mesh_processing::GetVertexPointMap<Polyhedron_3<Traits,Items,HDS,Alloc>, NamedParameters>::const_type 
+    typename CGAL::Polygon_mesh_processing::GetVertexPointMap<Polyhedron_3<Traits,Items,HDS,Alloc>, NamedParameters>::const_type
         vpm = choose_parameter(get_parameter(np, internal_np::vertex_point),
                            get_const_property_map(CGAL::vertex_point, P));
     CGAL::print_polyhedron_with_header_OFF( out, P, header, vpm);
@@ -59,7 +59,7 @@ template < class Traits,
            template < class T, class I, class A>
            class HDS, class Alloc,
            class NamedParameters>
-bool 
+bool
 read_off(std::istream& in,
          Polyhedron_3<Traits,Items,HDS,Alloc>& P,
          NamedParameters np) {
@@ -88,9 +88,9 @@ template < class Traits,
            class Items,
            template < class T, class I, class A>
            class HDS, class Alloc>
-bool 
+bool
 read_off(std::istream& in,
-         Polyhedron_3<Traits,Items,HDS,Alloc>& P) 
+         Polyhedron_3<Traits,Items,HDS,Alloc>& P)
 {
   return read_off(in, P, parameters::all_default());
 }
diff -pruN 5.0.2-3/include/CGAL/IO/Polyhedron_scan_OFF.h 5.0.3-1/include/CGAL/IO/Polyhedron_scan_OFF.h
--- 5.0.2-3/include/CGAL/IO/Polyhedron_scan_OFF.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Polyhedron_scan_OFF.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/Polyhedron_scan_OFF.h $
-// $Id: Polyhedron_scan_OFF.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/Polyhedron_scan_OFF.h $
+// $Id: Polyhedron_scan_OFF.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/Polyhedron_VRML_1_ostream.h 5.0.3-1/include/CGAL/IO/Polyhedron_VRML_1_ostream.h
--- 5.0.2-3/include/CGAL/IO/Polyhedron_VRML_1_ostream.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Polyhedron_VRML_1_ostream.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/Polyhedron_VRML_1_ostream.h $
-// $Id: Polyhedron_VRML_1_ostream.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/Polyhedron_VRML_1_ostream.h $
+// $Id: Polyhedron_VRML_1_ostream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/Polyhedron_VRML_2_ostream.h 5.0.3-1/include/CGAL/IO/Polyhedron_VRML_2_ostream.h
--- 5.0.2-3/include/CGAL/IO/Polyhedron_VRML_2_ostream.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Polyhedron_VRML_2_ostream.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/Polyhedron_VRML_2_ostream.h $
-// $Id: Polyhedron_VRML_2_ostream.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/Polyhedron_VRML_2_ostream.h $
+// $Id: Polyhedron_VRML_2_ostream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/print_inventor.h 5.0.3-1/include/CGAL/IO/print_inventor.h
--- 5.0.2-3/include/CGAL/IO/print_inventor.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/print_inventor.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/print_inventor.h $
-// $Id: print_inventor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/print_inventor.h $
+// $Id: print_inventor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/print_OFF.h 5.0.3-1/include/CGAL/IO/print_OFF.h
--- 5.0.2-3/include/CGAL/IO/print_OFF.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/print_OFF.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/print_OFF.h $
-// $Id: print_OFF.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/print_OFF.h $
+// $Id: print_OFF.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
@@ -25,7 +25,7 @@
 namespace CGAL {
 
 template <class Polyhedron, class Vpm>
-void print_polyhedron_with_header_OFF( std::ostream& out, 
+void print_polyhedron_with_header_OFF( std::ostream& out,
                                        const Polyhedron& P,
                                        const File_header_OFF& header,
                                        const Vpm& vpm) {
@@ -36,15 +36,15 @@ void print_polyhedron_with_header_OFF( s
 }
 
 template <class Polyhedron>
-void print_polyhedron_with_header_OFF( std::ostream& out, 
+void print_polyhedron_with_header_OFF( std::ostream& out,
                                        const Polyhedron& P,
-                                       const File_header_OFF& header) 
+                                       const File_header_OFF& header)
 {
   print_polyhedron_with_header_OFF(out, P, header, get(CGAL::vertex_point, P));
 }
 
 template <class Polyhedron>
-void print_polyhedron_OFF( std::ostream& out, 
+void print_polyhedron_OFF( std::ostream& out,
                            const Polyhedron& P,
                            bool verbose = false) {
     File_header_OFF header( verbose);
diff -pruN 5.0.2-3/include/CGAL/IO/print_VRML_1.h 5.0.3-1/include/CGAL/IO/print_VRML_1.h
--- 5.0.2-3/include/CGAL/IO/print_VRML_1.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/print_VRML_1.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/print_VRML_1.h $
-// $Id: print_VRML_1.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/print_VRML_1.h $
+// $Id: print_VRML_1.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
@@ -33,7 +33,7 @@ template < class Traits,
            template < class T, class I, class A>
            class HDS, class Alloc>
 void
-print_VRML_1( std::ostream& out, 
+print_VRML_1( std::ostream& out,
               const Polyhedron_3<Traits,Items,HDS,Alloc>& P) {
     VRML_1_ostream os( out);
     os << P;
diff -pruN 5.0.2-3/include/CGAL/IO/print_VRML_2.h 5.0.3-1/include/CGAL/IO/print_VRML_2.h
--- 5.0.2-3/include/CGAL/IO/print_VRML_2.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/print_VRML_2.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/print_VRML_2.h $
-// $Id: print_VRML_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/print_VRML_2.h $
+// $Id: print_VRML_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/print_wavefront.h 5.0.3-1/include/CGAL/IO/print_wavefront.h
--- 5.0.2-3/include/CGAL/IO/print_wavefront.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/print_wavefront.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/print_wavefront.h $
-// $Id: print_wavefront.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/print_wavefront.h $
+// $Id: print_wavefront.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
@@ -36,7 +36,7 @@ template < class Traits,
            template < class T, class I, class A>
            class HDS, class Alloc>
 void
-print_wavefront( std::ostream& out, 
+print_wavefront( std::ostream& out,
                  const Polyhedron_3<Traits,Items,HDS,Alloc>& P) {
     File_writer_wavefront  writer;
     generic_print_polyhedron( out, P, writer);
diff -pruN 5.0.2-3/include/CGAL/IO/read_3mf.h 5.0.3-1/include/CGAL/IO/read_3mf.h
--- 5.0.2-3/include/CGAL/IO/read_3mf.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/read_3mf.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/read_3mf.h $
-// $Id: read_3mf.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/read_3mf.h $
+// $Id: read_3mf.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Maxime Gimeno
@@ -589,6 +589,8 @@ int read_from_3mf(const std::string& fil
  * \param names will contain the name of each mesh in `file_name` if any.
  *  If the i'th mesh has no name, it will be called "Unknown Mesh" in names.
  * \return the number of soups read.
+ *
+ * \attention Only versions inferior to 2.0 of lib3mf are supported.
  */
 template<typename PointRanges, typename PolygonRanges, typename ColorRanges>
 int read_triangle_soups_from_3mf(const std::string& file_name, PointRanges& all_points,
diff -pruN 5.0.2-3/include/CGAL/IO/reader_helpers.h 5.0.3-1/include/CGAL/IO/reader_helpers.h
--- 5.0.2-3/include/CGAL/IO/reader_helpers.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/reader_helpers.h	2020-08-01 19:02:45.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/reader_helpers.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/reader_helpers.h $
 // $Id: reader_helpers.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/read_las_points.h 5.0.3-1/include/CGAL/IO/read_las_points.h
--- 5.0.2-3/include/CGAL/IO/read_las_points.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/read_las_points.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/IO/read_las_points.h $
-// $Id: read_las_points.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/IO/read_las_points.h $
+// $Id: read_las_points.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Simon Giraudot
@@ -89,7 +89,7 @@ namespace CGAL {
         I
       };
     }
-    
+
     template <typename T, Id::Id id>
     struct Base
     {
@@ -123,7 +123,7 @@ namespace CGAL {
 
   /**
      \ingroup PkgPointSetProcessing3IOLas
-     
+
      Generates a %LAS property handler to read 3D points. Points are
      constructed from the input the using 3 %LAS properties
      `LAS_property::X`, `LAS_property::Y` and `LAS_property::Z`.
@@ -141,9 +141,9 @@ namespace CGAL {
     return std::make_tuple (point_map, typename Kernel_traits<typename PointMap::value_type>::Kernel::Construct_point_3(),
                             LAS_property::X(), LAS_property::Y(), LAS_property::Z());
   }
-  
+
 /// \cond SKIP_IN_MANUAL
-  
+
 namespace internal {
 
   namespace LAS {
@@ -191,7 +191,7 @@ namespace internal {
   inline void get_value(const LASpoint& r, unsigned short& v, LAS_property::I&)
   { v = r.get_I(); }
 
-  
+
   template <std::size_t N>
   struct Filler
   {
@@ -234,7 +234,7 @@ namespace internal {
       get_value(r, std::get<0>(values), std::get<2>(wrappers));
     }
   };
-  
+
   template <typename OutputValueType, typename PropertyMap, typename T, LAS_property::Id::Id id>
   void process_properties (const LASpoint& reader, OutputValueType& new_element,
                            std::pair<PropertyMap, LAS_property::Base<T,id> >&& current);
@@ -245,7 +245,7 @@ namespace internal {
                            std::pair<PropertyMap, LAS_property::Base<T,id> >&& current,
                            NextPropertyBinder&& next,
                            PropertyMapBinders&& ... properties);
-  
+
   template <typename OutputValueType,
             typename PropertyMap,
             typename Constructor,
@@ -260,7 +260,7 @@ namespace internal {
     PmapValueType new_value = call_functor<PmapValueType>(std::get<1>(current), values);
     put (std::get<0>(current), new_element, new_value);
   }
-  
+
   template <typename OutputValueType,
             typename PropertyMap,
             typename Constructor,
@@ -278,7 +278,7 @@ namespace internal {
     Filler<sizeof...(T)-1>::fill(reader, values, current);
     PmapValueType new_value = call_functor<PmapValueType>(std::get<1>(current), values);
     put (std::get<0>(current), new_element, new_value);
-  
+
     process_properties (reader, new_element, std::forward<NextPropertyBinder>(next),
                         std::forward<PropertyMapBinders>(properties)...);
   }
@@ -308,9 +308,9 @@ namespace internal {
   }
 
   } // namespace LAS
-  
+
 } // namespace internal
-  
+
 
 /// \endcond
 
@@ -396,7 +396,7 @@ bool read_las_points_with_properties (st
     }
 
   lasreader.close();
-  
+
   return true;
 
 }
@@ -435,7 +435,7 @@ bool read_las_points_with_properties (st
      If this parameter is omitted, `CGAL::Identity_property_map<geom_traits::Point_3>` is used.\cgalParamEnd
      \cgalParamBegin{geom_traits} an instance of a geometric traits class, model of `Kernel`\cgalParamEnd
    \cgalNamedParamsEnd
-   
+
    \return true on success.
 
    \cgalRequiresCPP11
@@ -460,10 +460,10 @@ bool read_las_points(std::istream& strea
   using parameters::get_parameter;
 
   typedef Point_set_processing_3::Fake_point_range<OutputIteratorValueType> PointRange;
-  
+
   typedef typename Point_set_processing_3::GetPointMap<PointRange, CGAL_BGL_NP_CLASS>::type PointMap;
   PointMap point_map = choose_parameter(get_parameter(np, internal_np::point_map), PointMap());
-  
+
   return read_las_points_with_properties (stream, output,
                                           make_las_point_reader (point_map));
 }
@@ -506,7 +506,7 @@ read_las_points(
 }
 
 #ifndef CGAL_NO_DEPRECATED_CODE
-// deprecated API  
+// deprecated API
 template < typename OutputIteratorValueType,
            typename OutputIterator,
            typename PointMap >
diff -pruN 5.0.2-3/include/CGAL/IO/read_off_points.h 5.0.3-1/include/CGAL/IO/read_off_points.h
--- 5.0.2-3/include/CGAL/IO/read_off_points.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/read_off_points.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/IO/read_off_points.h $
-// $Id: read_off_points.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/IO/read_off_points.h $
+// $Id: read_off_points.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Laurent Saboret
@@ -80,7 +80,7 @@ read_off_points(
   using parameters::get_parameter;
 
   typedef Point_set_processing_3::Fake_point_range<OutputIteratorValueType> PointRange;
-  
+
   // basic geometric types
   typedef typename Point_set_processing_3::GetPointMap<PointRange, CGAL_BGL_NP_CLASS>::type PointMap;
   typedef typename Point_set_processing_3::GetNormalMap<PointRange, CGAL_BGL_NP_CLASS>::type NormalMap;
@@ -91,7 +91,7 @@ read_off_points(
 
   PointMap point_map = choose_parameter(get_parameter(np, internal_np::point_map), PointMap());
   NormalMap normal_map = choose_parameter(get_parameter(np, internal_np::normal_map), NormalMap());
-  
+
   // value_type_traits is a workaround as back_insert_iterator's value_type is void
   // typedef typename value_type_traits<OutputIterator>::type Enriched_point;
   typedef OutputIteratorValueType Enriched_point;
@@ -219,7 +219,7 @@ read_off_points(
 }
 
 #ifndef CGAL_NO_DEPRECATED_CODE
-// deprecated API  
+// deprecated API
 template <typename OutputIteratorValueType,
           typename OutputIterator,
           typename PointPMap,
@@ -242,7 +242,7 @@ read_off_points_and_normals(
      geom_traits (Kernel()));
 }
 
-// deprecated API  
+// deprecated API
 template <typename OutputIterator,
           typename PointPMap,
           typename NormalPMap,
@@ -264,7 +264,7 @@ read_off_points_and_normals(
      geom_traits (kernel));
 }
 
-// deprecated API  
+// deprecated API
 template <typename OutputIteratorValueType,
           typename OutputIterator,
           typename PointPMap,
@@ -284,7 +284,7 @@ read_off_points_and_normals(
      normal_map (normal_map));
 }
 
-// deprecated API  
+// deprecated API
 template <typename OutputIterator,
           typename PointPMap,
           typename NormalPMap
@@ -303,7 +303,7 @@ read_off_points_and_normals(
      normal_map (normal_map));
 }
 
-// deprecated API  
+// deprecated API
 template <typename OutputIteratorValueType,
           typename OutputIterator,
           typename NormalPMap
@@ -336,7 +336,7 @@ read_off_points_and_normals(
      CGAL::parameters::normal_map (normal_map));
 }
 
-// deprecated API  
+// deprecated API
 template <typename OutputIteratorValueType,
           typename OutputIterator,
           typename PointPMap,
@@ -356,7 +356,7 @@ read_off_points(
      geom_traits (kernel));
 }
 
-// deprecated API  
+// deprecated API
 template <typename OutputIterator,
           typename PointPMap,
           typename Kernel
@@ -375,7 +375,7 @@ read_off_points(
      geom_traits (kernel));
 }
 
-// deprecated API  
+// deprecated API
 template <typename OutputIteratorValueType,
           typename OutputIterator,
           typename PointPMap
@@ -392,7 +392,7 @@ read_off_points(
      CGAL::parameters::point_map (point_map));
 }
 
-// deprecated API  
+// deprecated API
 template <typename OutputIterator,
           typename PointPMap
 >
diff -pruN 5.0.2-3/include/CGAL/IO/read_ply_points.h 5.0.3-1/include/CGAL/IO/read_ply_points.h
--- 5.0.2-3/include/CGAL/IO/read_ply_points.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/read_ply_points.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/IO/read_ply_points.h $
-// $Id: read_ply_points.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/IO/read_ply_points.h $
+// $Id: read_ply_points.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Simon Giraudot
@@ -40,7 +40,7 @@ namespace CGAL {
 #ifdef DOXYGEN_RUNNING // Document some parts from Stream_support here for convenience
   /**
      \ingroup PkgPointSetProcessing3IOPly
-     
+
      Class used to identify a %PLY property as a type and a name.
 
      \sa `read_ply_points_with_properties()`
@@ -55,7 +55,7 @@ namespace CGAL {
 
   /**
      \ingroup PkgPointSetProcessing3IOPly
-     
+
      Generates a %PLY property handler to read 3D points. Points are
      constructed from the input using 3 %PLY properties of type `FT`
      and named `x`, `y` and `z`. `FT` is `float` if the points use
@@ -73,7 +73,7 @@ namespace CGAL {
 
   /**
      \ingroup PkgPointSetProcessing3IOPly
-     
+
      Generates a %PLY property handler to read 3D normal
      vectors. Vectors are constructed from the input using 3 PLY
      properties of type `FT` and named `nx`, `ny` and `nz`. `FT`
@@ -133,7 +133,7 @@ bool read_ply_points_with_properties (st
                                       PropertyHandler&& ... properties)
 {
   typedef typename value_type_traits<OutputIterator>::type OutputValueType;
-    
+
   if(!stream)
     {
       std::cerr << "Error: cannot open file" << std::endl;
@@ -141,13 +141,13 @@ bool read_ply_points_with_properties (st
     }
 
   internal::PLY::PLY_reader reader;
-  
+
   if (!(reader.init (stream)))
   {
     stream.setstate(std::ios::failbit);
     return false;
   }
-  
+
   for (std::size_t i = 0; i < reader.number_of_elements(); ++ i)
   {
     internal::PLY::PLY_element& element = reader.element(i);
@@ -183,12 +183,12 @@ bool read_ply_points_with_properties (st
                                       PropertyHandler&& ... properties)
 {
   typedef typename value_type_traits<OutputIterator>::type OutputValueType;
- 
+
   return read_ply_points_with_properties<OutputValueType>
     (stream, output, std::forward<PropertyHandler>(properties)...);
 }
 /// \endcond
-  
+
 /**
    \ingroup PkgPointSetProcessing3IOPly
    Reads points (positions + normals, if available) from a .ply
@@ -236,7 +236,7 @@ bool read_ply_points(std::istream& strea
   using parameters::get_parameter;
 
   typedef Point_set_processing_3::Fake_point_range<OutputIteratorValueType> PointRange;
-  
+
   // basic geometric types
   typedef typename Point_set_processing_3::GetPointMap<PointRange, CGAL_BGL_NP_CLASS>::type PointMap;
   typedef typename Point_set_processing_3::GetNormalMap<PointRange, CGAL_BGL_NP_CLASS>::type NormalMap;
@@ -257,7 +257,7 @@ bool read_ply_points(std::istream& strea
 }
 
 
-/// \cond SKIP_IN_MANUAL  
+/// \cond SKIP_IN_MANUAL
 // variant with default NP
 template <typename OutputIteratorValueType,
           typename OutputIterator>
@@ -355,7 +355,7 @@ bool read_ply_points_and_normals(std::is
      CGAL::parameters::normal_map (normal_map));
 }
 
-// deprecated API  
+// deprecated API
 template <typename OutputIteratorValueType,
           typename OutputIterator,
           typename PointMap
diff -pruN 5.0.2-3/include/CGAL/IO/read_xyz_points.h 5.0.3-1/include/CGAL/IO/read_xyz_points.h
--- 5.0.2-3/include/CGAL/IO/read_xyz_points.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/read_xyz_points.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/IO/read_xyz_points.h $
-// $Id: read_xyz_points.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/IO/read_xyz_points.h $
+// $Id: read_xyz_points.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Laurent Saboret
@@ -30,7 +30,7 @@
 
 namespace CGAL {
 
-/** 
+/**
    \ingroup PkgPointSetProcessing3IO
    Reads points (positions + normals, if available) from a .xyz ASCII stream.
    The function expects for each point a line with the x y z position,
@@ -79,7 +79,7 @@ read_xyz_points(
   using parameters::get_parameter;
 
   typedef Point_set_processing_3::Fake_point_range<OutputIteratorValueType> PointRange;
-  
+
   // basic geometric types
   typedef typename Point_set_processing_3::GetPointMap<PointRange, CGAL_BGL_NP_CLASS>::type PointMap;
   typedef typename Point_set_processing_3::GetNormalMap<PointRange, CGAL_BGL_NP_CLASS>::type NormalMap;
@@ -90,11 +90,11 @@ read_xyz_points(
 
   PointMap point_map = choose_parameter(get_parameter(np, internal_np::point_map), PointMap());
   NormalMap normal_map = choose_parameter(get_parameter(np, internal_np::normal_map), NormalMap());
-  
+
   // value_type_traits is a workaround as back_insert_iterator's value_type is void
   //typedef typename value_type_traits<OutputIterator>::type Enriched_point;
   typedef OutputIteratorValueType Enriched_point;
-  
+
   typedef typename Kernel::FT FT;
   typedef typename Kernel::Point_3 Point;
   typedef typename Kernel::Vector_3 Vector;
@@ -149,14 +149,14 @@ read_xyz_points(
             }
           Enriched_point pwn;
           put(point_map,  pwn, point);  // point_map[pwn] = point
-          
+
           if (has_normals)
             put(normal_map, pwn, normal); // normal_map[pwn] = normal
-          
+
           *output++ = pwn;
           continue;
-        } 
-      
+        }
+
     }
     // ...or skips number of points on first line (optional)
     if (lineNumber == 1 && std::istringstream(line) >> pointsCount)
@@ -211,7 +211,7 @@ read_xyz_points(
 }
 
 #ifndef CGAL_NO_DEPRECATED_CODE
-// deprecated API  
+// deprecated API
 template <typename OutputIteratorValueType,
           typename OutputIterator,
           typename PointPMap,
@@ -276,7 +276,7 @@ read_xyz_points_and_normals(
      normal_map (normal_map));
 }
 
-// deprecated API  
+// deprecated API
 template <typename OutputIterator,
           typename PointPMap,
           typename NormalPMap
@@ -312,7 +312,7 @@ read_xyz_points_and_normals(
      CGAL::parameters::normal_map (normal_map));
 }
 
-// deprecated API  
+// deprecated API
 template <typename OutputIterator,
           typename NormalPMap
 >
@@ -328,7 +328,7 @@ read_xyz_points_and_normals(
      CGAL::parameters::normal_map (normal_map));
 }
 
-// deprecated API  
+// deprecated API
 template <typename OutputIteratorValueType,
           typename OutputIterator,
           typename PointPMap,
@@ -348,7 +348,7 @@ read_xyz_points(
      geom_traits (kernel));
 }
 
-// deprecated API  
+// deprecated API
 template <typename OutputIterator,
           typename PointPMap,
           typename Kernel
@@ -367,7 +367,7 @@ read_xyz_points(
      geom_traits (kernel));
 }
 
-// deprecated API  
+// deprecated API
 template <typename OutputIteratorValueType,
           typename OutputIterator,
           typename PointPMap
@@ -384,7 +384,7 @@ read_xyz_points(
      CGAL::parameters::point_map (point_map));
 }
 
-// deprecated API  
+// deprecated API
 template <typename OutputIterator,
           typename PointPMap
 >
diff -pruN 5.0.2-3/include/CGAL/IO/Scanner_OFF.h 5.0.3-1/include/CGAL/IO/Scanner_OFF.h
--- 5.0.2-3/include/CGAL/IO/Scanner_OFF.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Scanner_OFF.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997,2005  
+// Copyright (c) 1997,2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/Scanner_OFF.h $
-// $Id: Scanner_OFF.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/Scanner_OFF.h $
+// $Id: Scanner_OFF.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 //                 Ralf Osbild   <osbild@mpi-sb.mpg.de>
@@ -101,7 +101,7 @@ private:
     File_scanner_OFF*  m_scan;
     std::size_t        m_cnt;
     value_type         m_current;
-    
+
 
     void next() {
         CGAL_assertion( m_scan != nullptr);
@@ -162,7 +162,7 @@ private:
             std::size_t no;
             m_scan->scan_facet( no, m_cnt);
             m_indices.reserve( no);
-            std::size_t index = (std::numeric_limits<std::size_t>::max)(); 
+            std::size_t index = (std::numeric_limits<std::size_t>::max)();
             //  A huge value helps to detect a potential
             //  error in the function scan_facet_vertex_index
             for (std::size_t i = 0; i < no; ++i) {
@@ -177,7 +177,7 @@ private:
 public:
     value_type::size_type size_of_indices () const // RO
        { return m_indices.size(); }
-    typedef value_type::size_type	  indices_size_type; // RO
+    typedef value_type::size_type          indices_size_type; // RO
 public:
     typedef File_scanner_OFF              Scanner;
     typedef I_Scanner_OFF_facet_iterator  Self;
diff -pruN 5.0.2-3/include/CGAL/IO/scan_OFF.h 5.0.3-1/include/CGAL/IO/scan_OFF.h
--- 5.0.2-3/include/CGAL/IO/scan_OFF.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/scan_OFF.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/scan_OFF.h $
-// $Id: scan_OFF.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/scan_OFF.h $
+// $Id: scan_OFF.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/STL_reader.h 5.0.3-1/include/CGAL/IO/STL_reader.h
--- 5.0.2-3/include/CGAL/IO/STL_reader.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/STL_reader.h	2020-08-01 19:02:45.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/STL_reader.h $
-// $Id: STL_reader.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/STL_reader.h $
+// $Id: STL_reader.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri,
@@ -15,7 +15,7 @@
 #include <CGAL/IO/io.h>
 #include <CGAL/IO/reader_helpers.h>
 
-#include <boost/cstdint.hpp> 
+#include <boost/cstdint.hpp>
 
 #include <cctype>
 #include <iostream>
diff -pruN 5.0.2-3/include/CGAL/IO/STL_writer.h 5.0.3-1/include/CGAL/IO/STL_writer.h
--- 5.0.2-3/include/CGAL/IO/STL_writer.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/STL_writer.h	2020-08-01 19:02:45.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron_IO/include/CGAL/IO/STL_writer.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron_IO/include/CGAL/IO/STL_writer.h $
 // $Id: STL_writer.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/Tee_for_output_iterator.h 5.0.3-1/include/CGAL/IO/Tee_for_output_iterator.h
--- 5.0.2-3/include/CGAL/IO/Tee_for_output_iterator.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Tee_for_output_iterator.h	2020-08-01 19:02:19.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/IO/Tee_for_output_iterator.h $
-// $Id: Tee_for_output_iterator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/IO/Tee_for_output_iterator.h $
+// $Id: Tee_for_output_iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -26,7 +26,7 @@ namespace CGAL {
 template <class T> class _Tee_for_output_iterator_rep;
 
 template <class OutputIterator, class T>
-class Tee_for_output_iterator 
+class Tee_for_output_iterator
   : public Handle
 {
   typedef std::vector<T>                             container;
@@ -38,35 +38,35 @@ class Tee_for_output_iterator
   typedef typename iter_traits::reference            reference;
 
 public:
-  Tee_for_output_iterator(const OutputIterator& o) : o_it(o) 
+  Tee_for_output_iterator(const OutputIterator& o) : o_it(o)
   {  PTR = (Rep*) new _Tee_for_output_iterator_rep<T>(); }
 
-  Tee_for_output_iterator<OutputIterator,T>& 
-  operator=(const T& value) 
-  { 
+  Tee_for_output_iterator<OutputIterator,T>&
+  operator=(const T& value)
+  {
     ptr()->output_so_far.push_back(value);
     *o_it = value;
     return *this;
   }
 
-  Tee_for_output_iterator<OutputIterator,T>& 
-  operator*() 
+  Tee_for_output_iterator<OutputIterator,T>&
+  operator*()
   { return *this; }
 
-  Tee_for_output_iterator<OutputIterator,T>& 
-  operator++() 
-  { 
-    ++o_it; 
-    return *this; 
-  } 
-
-  Tee_for_output_iterator<OutputIterator,T> 
-  operator++(int) 
-  { 
+  Tee_for_output_iterator<OutputIterator,T>&
+  operator++()
+  {
+    ++o_it;
+    return *this;
+  }
+
+  Tee_for_output_iterator<OutputIterator,T>
+  operator++(int)
+  {
     Tee_for_output_iterator<OutputIterator,T> tmp = *this;
-    o_it++; 
-    return tmp; 
-  } 
+    o_it++;
+    return tmp;
+  }
 
   iterator
   output_so_far_begin()
diff -pruN 5.0.2-3/include/CGAL/IO/trace.h 5.0.3-1/include/CGAL/IO/trace.h
--- 5.0.2-3/include/CGAL/IO/trace.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/trace.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,8 +2,8 @@
 // All rights reserved.
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/trace.h $
-// $Id: trace.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/trace.h $
+// $Id: trace.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Laurent Saboret
@@ -38,7 +38,7 @@ inline void CGAL_print_stderr(const char
   #define CGAL_TRACE  if (false) CGAL_print_stderr
 #endif
 
-// CGAL_TRACE_STREAM = C++ stream that prints to std::cerr 
+// CGAL_TRACE_STREAM = C++ stream that prints to std::cerr
 // if DEBUG_TRACE is defined (ignored otherwise)
 #ifdef DEBUG_TRACE
   #define CGAL_TRACE_STREAM  std::cerr
diff -pruN 5.0.2-3/include/CGAL/IO/traits_linestring.h 5.0.3-1/include/CGAL/IO/traits_linestring.h
--- 5.0.2-3/include/CGAL/IO/traits_linestring.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/traits_linestring.h	2020-08-01 19:02:53.000000000 +0000
@@ -6,7 +6,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/traits_linestring.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/traits_linestring.h $
 // $Id: traits_linestring.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/traits_multilinestring.h 5.0.3-1/include/CGAL/IO/traits_multilinestring.h
--- 5.0.2-3/include/CGAL/IO/traits_multilinestring.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/traits_multilinestring.h	2020-08-01 19:02:53.000000000 +0000
@@ -6,7 +6,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/traits_multilinestring.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/traits_multilinestring.h $
 // $Id: traits_multilinestring.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/traits_multipoint.h 5.0.3-1/include/CGAL/IO/traits_multipoint.h
--- 5.0.2-3/include/CGAL/IO/traits_multipoint.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/traits_multipoint.h	2020-08-01 19:02:53.000000000 +0000
@@ -6,7 +6,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/traits_multipoint.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/traits_multipoint.h $
 // $Id: traits_multipoint.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/IO/traits_multipolygon.h 5.0.3-1/include/CGAL/IO/traits_multipolygon.h
--- 5.0.2-3/include/CGAL/IO/traits_multipolygon.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/traits_multipolygon.h	2020-08-01 19:02:54.000000000 +0000
@@ -6,8 +6,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/traits_multipolygon.h $
-// $Id: traits_multipolygon.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/traits_multipolygon.h $
+// $Id: traits_multipolygon.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Maxime Gimeno
@@ -32,6 +32,6 @@ struct tag<CGAL::internal::Geometry_cont
 }//end geometry
 }//end boost
 
-#endif 
+#endif
 #endif
 
diff -pruN 5.0.2-3/include/CGAL/IO/traits_point_3.h 5.0.3-1/include/CGAL/IO/traits_point_3.h
--- 5.0.2-3/include/CGAL/IO/traits_point_3.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/traits_point_3.h	2020-08-01 19:02:54.000000000 +0000
@@ -6,8 +6,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/traits_point_3.h $
-// $Id: traits_point_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/traits_point_3.h $
+// $Id: traits_point_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Maxime Gimeno
@@ -43,12 +43,12 @@ struct access<CGAL::Point_3<K> , 0>
   {
     return CGAL::to_double(p.x());
   }
-  
+
   static void set(CGAL::Point_3<K> & p, typename K::FT c)
   {
     p = CGAL::Point_3<K> (c, p.y(), p.z());
   }
-  
+
 };
 
 template< typename K >
@@ -58,12 +58,12 @@ struct access<CGAL::Point_3<K> , 1>
   {
     return CGAL::to_double(p.y());
   }
-  
+
   static void set(CGAL::Point_3<K> & p, typename K::FT c)
   {
     p = CGAL::Point_3<K> (p.x(), c, p.z());
   }
-  
+
 };
 template< typename K >
 struct access<CGAL::Point_3<K> , 2>
@@ -72,12 +72,12 @@ struct access<CGAL::Point_3<K> , 2>
   {
     return CGAL::to_double(p.z());
   }
-  
+
   static void set(CGAL::Point_3<K> & p, typename K::FT c)
   {
     p = CGAL::Point_3<K> (p.x(), p.y(), c);
   }
-  
+
 };
 
 }}}//end namespaces
diff -pruN 5.0.2-3/include/CGAL/IO/traits_point.h 5.0.3-1/include/CGAL/IO/traits_point.h
--- 5.0.2-3/include/CGAL/IO/traits_point.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/traits_point.h	2020-08-01 19:02:54.000000000 +0000
@@ -6,8 +6,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/traits_point.h $
-// $Id: traits_point.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/traits_point.h $
+// $Id: traits_point.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Maxime Gimeno
@@ -43,12 +43,12 @@ struct access<CGAL::Point_2<K> , 0>
   {
     return CGAL::to_double(p.x());
   }
-  
+
   static void set(CGAL::Point_2<K> & p, typename K::FT c)
   {
     p = CGAL::Point_2<K> (c, p.y());
   }
-  
+
 };
 
 template< typename K >
@@ -58,12 +58,12 @@ struct access<CGAL::Point_2<K> , 1>
   {
     return CGAL::to_double(p.y());
   }
-  
+
   static void set(CGAL::Point_2<K> & p, typename K::FT c)
   {
     p = CGAL::Point_2<K> (p.x(), c);
   }
-  
+
 };
 
 }}}//end namespaces
diff -pruN 5.0.2-3/include/CGAL/IO/traits_polygon.h 5.0.3-1/include/CGAL/IO/traits_polygon.h
--- 5.0.2-3/include/CGAL/IO/traits_polygon.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/traits_polygon.h	2020-08-01 19:02:54.000000000 +0000
@@ -6,8 +6,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/traits_polygon.h $
-// $Id: traits_polygon.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/traits_polygon.h $
+// $Id: traits_polygon.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Maxime Gimeno
@@ -85,5 +85,5 @@ struct range_value<CGAL::Polygon_2<K> >
 
 }//end boost
 
-#endif 
+#endif
 #endif
diff -pruN 5.0.2-3/include/CGAL/IO/Triangulation_geomview_ostream_2.h 5.0.3-1/include/CGAL/IO/Triangulation_geomview_ostream_2.h
--- 5.0.2-3/include/CGAL/IO/Triangulation_geomview_ostream_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Triangulation_geomview_ostream_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/IO/Triangulation_geomview_ostream_2.h $
-// $Id: Triangulation_geomview_ostream_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/IO/Triangulation_geomview_ostream_2.h $
+// $Id: Triangulation_geomview_ostream_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
@@ -43,14 +43,14 @@ show_triangulation_edges(Geomview_stream
     std::map<typename Triangulation_2<GT, TDS>::Vertex_handle, int> V;
     int inum = 0;
     for( typename Triangulation_2<GT, TDS>::Vertex_iterator
-	  vit = T.vertices_begin(); vit != T.vertices_end(); ++vit) {
+          vit = T.vertices_begin(); vit != T.vertices_end(); ++vit) {
         V[vit] = inum++;
         gv << vit->point() << "\n";
     }
-  
+
     // Finite edges indices.
     for( typename Triangulation_2<GT, TDS>::Edge_iterator
-	  eit = T.edges_begin(); eit != T.edges_end(); ++eit) {
+          eit = T.edges_begin(); eit != T.edges_end(); ++eit) {
         gv << 2
            << V[(*eit).first->vertex(T.ccw((*eit).second))]
            << V[(*eit).first->vertex(T. cw((*eit).second))]
@@ -73,14 +73,14 @@ show_triangulation_faces(Geomview_stream
     std::map<typename Triangulation_2<GT, TDS>::Vertex_handle, int> V;
     int inum = 0;
     for( typename Triangulation_2<GT, TDS>::Vertex_iterator
-	  vit = T.vertices_begin(); vit != T.vertices_end(); ++vit) {
+          vit = T.vertices_begin(); vit != T.vertices_end(); ++vit) {
         V[vit] = inum++;
         gv << vit->point();
     }
-  
+
     // Finite faces indices.
     for( typename Triangulation_2<GT, TDS>::Face_iterator
-	  fit = T.faces_begin(); fit != T.faces_end(); ++fit) {
+          fit = T.faces_begin(); fit != T.faces_end(); ++fit) {
         gv << 3;
         for (int i=0; i<3; i++)
             gv << V[fit->vertex(i)];
@@ -97,9 +97,9 @@ operator<<( Geomview_stream &gv, const T
     bool raw_bak = gv.set_raw(true);
 
     if (gv.get_wired())
-	show_triangulation_edges(gv, T);
+        show_triangulation_edges(gv, T);
     else
-	show_triangulation_faces(gv, T);
+        show_triangulation_faces(gv, T);
 
     // Footer.
     gv << "}})";
diff -pruN 5.0.2-3/include/CGAL/IO/Triangulation_geomview_ostream_3.h 5.0.3-1/include/CGAL/IO/Triangulation_geomview_ostream_3.h
--- 5.0.2-3/include/CGAL/IO/Triangulation_geomview_ostream_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Triangulation_geomview_ostream_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/IO/Triangulation_geomview_ostream_3.h $
-// $Id: Triangulation_geomview_ostream_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/IO/Triangulation_geomview_ostream_3.h $
+// $Id: Triangulation_geomview_ostream_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -48,7 +48,7 @@ show_triangulation_edges(Geomview_stream
 
   // Finite edges indices.
   for( typename Triangulation_3<GT, TDS>::Finite_edges_iterator
-	  eit = T.finite_edges_begin(); eit != T.finite_edges_end(); ++eit) {
+          eit = T.finite_edges_begin(); eit != T.finite_edges_end(); ++eit) {
       gv << 2
          << V[(*eit).first->vertex((*eit).second)]
          << V[(*eit).first->vertex((*eit).third)]
@@ -79,8 +79,8 @@ operator<<( Geomview_stream &gv, const T
         std::vector<typename GT::Triangle_3> triangles;
 
         for (typename Triangulation_3<GT, TDS>::Finite_facets_iterator
-	     fit = T.finite_facets_begin(); fit != T.finite_facets_end();
-	     ++fit)
+             fit = T.finite_facets_begin(); fit != T.finite_facets_end();
+             ++fit)
             triangles.push_back(T.triangle(*fit));
 
         gv.draw_triangles(triangles.begin(), triangles.end());
diff -pruN 5.0.2-3/include/CGAL/IO/Triangulation_off_ostream_2.h 5.0.3-1/include/CGAL/IO/Triangulation_off_ostream_2.h
--- 5.0.2-3/include/CGAL/IO/Triangulation_off_ostream_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Triangulation_off_ostream_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/IO/Triangulation_off_ostream_2.h $
-// $Id: Triangulation_off_ostream_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/IO/Triangulation_off_ostream_2.h $
+// $Id: Triangulation_off_ostream_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Clement Jamin
@@ -21,7 +21,7 @@ namespace CGAL {
 
 template < class GT, class TDS >
 std::ostream &
-export_triangulation_2_to_off(std::ostream & os, 
+export_triangulation_2_to_off(std::ostream & os,
                               const Triangulation_2<GT,TDS> & tr)
 {
   typedef Triangulation_2<GT,TDS>                       Tr;
@@ -33,18 +33,18 @@ export_triangulation_2_to_off(std::ostre
   size_t n = tr.number_of_vertices();
 
   std::stringstream output;
-  
+
   // write the vertices
   std::map<Vertex_handle, int> index_of_vertex;
   int i = 0;
-  for(Finite_vertex_iterator it = tr.finite_vertices_begin(); 
+  for(Finite_vertex_iterator it = tr.finite_vertices_begin();
       it != tr.finite_vertices_end(); ++it, ++i)
   {
     output << it->point().x() << " " << it->point().y() << " 0" << std::endl;
     index_of_vertex[it.base()] = i;
   }
   CGAL_assertion( i == n );
-  
+
   size_t number_of_triangles = 0;
 
   for (Finite_faces_iterator fit = tr.finite_faces_begin() ;
diff -pruN 5.0.2-3/include/CGAL/IO/Triangulation_off_ostream_3.h 5.0.3-1/include/CGAL/IO/Triangulation_off_ostream_3.h
--- 5.0.2-3/include/CGAL/IO/Triangulation_off_ostream_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Triangulation_off_ostream_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/IO/Triangulation_off_ostream_3.h $
-// $Id: Triangulation_off_ostream_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/IO/Triangulation_off_ostream_3.h $
+// $Id: Triangulation_off_ostream_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Clement Jamin
@@ -21,7 +21,7 @@ namespace CGAL {
 
 template < class GT, class TDS >
 std::ostream &
-export_triangulation_3_to_off(std::ostream & os, 
+export_triangulation_3_to_off(std::ostream & os,
                               const Triangulation_3<GT,TDS> & tr,
                               bool export_surface_only = false)
 {
@@ -34,20 +34,20 @@ export_triangulation_3_to_off(std::ostre
   size_t n = tr.number_of_vertices();
 
   std::stringstream output;
-  
+
   // write the vertices
   std::map<Vertex_handle, int> index_of_vertex;
   std::size_t i = 0;
-  for(Finite_vertex_iterator it = tr.finite_vertices_begin(); 
+  for(Finite_vertex_iterator it = tr.finite_vertices_begin();
       it != tr.finite_vertices_end(); ++it, ++i)
   {
-    output << it->point().x() << " " 
-           << it->point().y() << " " 
+    output << it->point().x() << " "
+           << it->point().y() << " "
            << it->point().z() << std::endl;
     index_of_vertex[it.base()] = i;
   }
   CGAL_assertion( i == n );
-  
+
   size_t number_of_triangles = 0;
 
   if (export_surface_only)
diff -pruN 5.0.2-3/include/CGAL/IO/Triangulation_off_ostream.h 5.0.3-1/include/CGAL/IO/Triangulation_off_ostream.h
--- 5.0.2-3/include/CGAL/IO/Triangulation_off_ostream.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Triangulation_off_ostream.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/IO/Triangulation_off_ostream.h $
-// $Id: Triangulation_off_ostream.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/IO/Triangulation_off_ostream.h $
+// $Id: Triangulation_off_ostream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Clement Jamin
@@ -42,11 +42,11 @@ output_point(std::ostream & os, const Tr
 // TODO: test if the stream is binary or text?
 template<typename Traits, typename P>
 int
-output_weighted_point(std::ostream & os, const Traits &traits, const P & p, 
+output_weighted_point(std::ostream & os, const Traits &traits, const P & p,
                       bool output_weight = true)
 {
   typedef typename Traits::Compute_coordinate_d Ccd;
-  typename Traits::Construct_point_d cp = 
+  typename Traits::Construct_point_d cp =
     traits.construct_point_d_object();
   typename Traits::Compute_weight_d pt_weight = traits.compute_weight_d_object();
   const Ccd ccd = traits.compute_coordinate_d_object();
@@ -63,11 +63,11 @@ output_weighted_point(std::ostream & os,
 // TODO: test if the stream is binary or text?
 template<typename Traits, typename FCH>
 void
-output_full_cell(std::ostream & os, const Traits &traits, const FCH & fch, 
+output_full_cell(std::ostream & os, const Traits &traits, const FCH & fch,
                       bool output_weights = false)
 {
   typename FCH::value_type::Vertex_handle_iterator vit = fch->vertices_begin();
-  for( ; vit != fch->vertices_end(); ++vit ) 
+  for( ; vit != fch->vertices_end(); ++vit )
   {
     int dim;
     if (output_weights)
diff -pruN 5.0.2-3/include/CGAL/IO/Triangulation_ps_stream.h 5.0.3-1/include/CGAL/IO/Triangulation_ps_stream.h
--- 5.0.2-3/include/CGAL/IO/Triangulation_ps_stream.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Triangulation_ps_stream.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/IO/Triangulation_ps_stream.h $
-// $Id: Triangulation_ps_stream.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/IO/Triangulation_ps_stream.h $
+// $Id: Triangulation_ps_stream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Carine Bonetto
 //                 Mariette Yvinec
@@ -34,11 +34,11 @@ PS_Stream& operator << (PS_Stream& ps, c
 #ifdef CGAL_DELAUNAY_TRIANGULATION_2_H
 namespace CGAL {
 template < class Gt, class Tds >
-PS_Stream& operator << (PS_Stream& ps, 
-			const Delaunay_triangulation_2<Gt,Tds> &t)
+PS_Stream& operator << (PS_Stream& ps,
+                        const Delaunay_triangulation_2<Gt,Tds> &t)
 {
  t.draw_triangulation(ps);
- return ps; 
+ return ps;
 }
 } //namespace CGAL
 #endif // CGAL_DELAUNAY_TRIANGULATION_2_H
@@ -47,7 +47,7 @@ PS_Stream& operator << (PS_Stream& ps,
 namespace CGAL {
 template < class Gt, class Tds>
 PS_Stream& operator<<(PS_Stream& ps,
-		      const Constrained_triangulation_2<Gt,Tds> &t)
+                      const Constrained_triangulation_2<Gt,Tds> &t)
 {
 
  t.draw_triangulation(ps);
@@ -60,8 +60,8 @@ PS_Stream& operator<<(PS_Stream& ps,
 #ifdef CGAL_REGULAR_TRIANGULATION_2_H
 namespace CGAL {
 template < class Gt, class Tds >
-PS_Stream& operator << (PS_Stream& ps, 
-			Regular_triangulation_2<Gt,Tds> &t)
+PS_Stream& operator << (PS_Stream& ps,
+                        Regular_triangulation_2<Gt,Tds> &t)
 {
   t.draw_triangulation(ps);
   return ps;
@@ -73,4 +73,4 @@ PS_Stream& operator << (PS_Stream& ps,
 
 
 
-	
+
diff -pruN 5.0.2-3/include/CGAL/IO/Verbose_ostream.h 5.0.3-1/include/CGAL/IO/Verbose_ostream.h
--- 5.0.2-3/include/CGAL/IO/Verbose_ostream.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Verbose_ostream.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/Verbose_ostream.h $
-// $Id: Verbose_ostream.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/Verbose_ostream.h $
+// $Id: Verbose_ostream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/IO/VRML_1_ostream.h 5.0.3-1/include/CGAL/IO/VRML_1_ostream.h
--- 5.0.2-3/include/CGAL/IO/VRML_1_ostream.h	2020-02-21 20:03:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/VRML_1_ostream.h	2020-08-01 19:02:25.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Inventor/include/CGAL/IO/VRML_1_ostream.h $
-// $Id: VRML_1_ostream.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Inventor/include/CGAL/IO/VRML_1_ostream.h $
+// $Id: VRML_1_ostream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Andreas Fabri
 //                 Lutz Kettner <kettner@inf.ethz.ch>
 //                 Herve Bronnimann <Herve.Bronnimann@sophia.inria.fr>
@@ -45,8 +45,8 @@ public:
 private:
     void header() {
         os() << "#VRML V1.0 ascii" << std::endl;
-        os() << "# File written with the help of the CGAL Library" 
-	     << std::endl;
+        os() << "# File written with the help of the CGAL Library"
+             << std::endl;
     }
 };
 
diff -pruN 5.0.2-3/include/CGAL/IO/VRML_2_ostream.h 5.0.3-1/include/CGAL/IO/VRML_2_ostream.h
--- 5.0.2-3/include/CGAL/IO/VRML_2_ostream.h	2020-02-21 20:03:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/VRML_2_ostream.h	2020-08-01 19:02:25.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Inventor/include/CGAL/IO/VRML_2_ostream.h $
-// $Id: VRML_2_ostream.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Inventor/include/CGAL/IO/VRML_2_ostream.h $
+// $Id: VRML_2_ostream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri
@@ -173,7 +173,7 @@ operator<<(VRML_2_ostream& os,
              "                        PointSet {\n"
              "                            coord Coordinate {\n"
              "                                point [ ";
-  os << CGAL::to_double(p.x()) << " " << CGAL::to_double(p.y()) 
+  os << CGAL::to_double(p.x()) << " " << CGAL::to_double(p.y())
      << " " << CGAL::to_double(p.z()) << " ]\n";
   os << Indent << "}\n";
   os << Indent << "} # PointSet\n";
@@ -211,13 +211,13 @@ operator<<(VRML_2_ostream& os,
              "                            coord Coordinate {\n"
              "                                point [ \n";
   os << Indent ;
-  os << CGAL::to_double(t[0].x()) << " " << CGAL::to_double(t[0].y()) 
+  os << CGAL::to_double(t[0].x()) << " " << CGAL::to_double(t[0].y())
      << " " << CGAL::to_double(t[0].z()) << ",\n";
   os << Indent;
-  os << CGAL::to_double(t[1].x()) << " " << CGAL::to_double(t[1].y()) 
+  os << CGAL::to_double(t[1].x()) << " " << CGAL::to_double(t[1].y())
      << " " << CGAL::to_double(t[1].z()) << ",\n";
   os << Indent;
-  os << CGAL::to_double(t[2].x()) << " " << CGAL::to_double(t[2].y()) 
+  os << CGAL::to_double(t[2].x()) << " " << CGAL::to_double(t[2].y())
      << " " << CGAL::to_double(t[2].z()) << " ]\n";
   os << Indent << "}\n" << Indent << "coordIndex [ 0 1, 1 2, 2 0 -1 ]\n";
   os << Indent << "} # IndexedLineSet\n";
@@ -254,11 +254,11 @@ operator<<(VRML_2_ostream& os,
              "                            coord Coordinate {\n"
              "                                point [ \n";
   os << Indent << CGAL::to_double(s.source().x());
-  os << " " << CGAL::to_double(s.source().y()) 
+  os << " " << CGAL::to_double(s.source().y())
      << " " << CGAL::to_double(s.source().z()) << ",\n";
   os << Indent;
   os << CGAL::to_double(s.target().x())
-     << " " << CGAL::to_double(s.target().y()) 
+     << " " << CGAL::to_double(s.target().y())
      << " " << CGAL::to_double(s.target().z()) << " ]\n";
   os << Indent << "}\n" << Indent << "coordIndex [ 0 1 -1 ]\n";
   os << Indent << "} # IndexedLineSet\n";
@@ -289,7 +289,7 @@ operator<<(VRML_2_ostream& os,
              "            children [\n"
              "              Transform {\n"
              "                translation ";
-  os <<      CGAL::to_double(s.center().x()) << " " 
+  os <<      CGAL::to_double(s.center().x()) << " "
      <<      CGAL::to_double(s.center().y()) << " "
      <<      CGAL::to_double(s.center().z()) << "\n";
   os <<      "                children Shape {\n"
diff -pruN 5.0.2-3/include/CGAL/IO/WKT.h 5.0.3-1/include/CGAL/IO/WKT.h
--- 5.0.2-3/include/CGAL/IO/WKT.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/WKT.h	2020-08-01 19:02:53.000000000 +0000
@@ -6,8 +6,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/WKT.h $
-// $Id: WKT.h b59e557 2020-01-13T10:30:33+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/WKT.h $
+// $Id: WKT.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Maxime Gimeno
@@ -60,7 +60,7 @@ namespace internal {
     }
   }
 }
-  
+
 template<typename Point>
 std::istream&
 read_point_WKT( std::istream& in,
@@ -69,23 +69,23 @@ read_point_WKT( std::istream& in,
   if(!in)
   {
     std::cerr << "Error: cannot open file" << std::endl;
-    return in;  
+    return in;
   }
-  
+
   std::string line;
   while(std::getline(in, line))
   {
     std::istringstream iss(line);
     std::string type;
     iss >> type;
-    
+
     if(type.substr(0, 5).compare("POINT")==0)
     {
       boost::geometry::read_wkt(line, point);
       break;
     }
   }
-  return in;  
+  return in;
 }
 
 template<typename MultiPoint>
@@ -96,7 +96,7 @@ read_multi_point_WKT( std::istream& in,
   if(!in)
   {
     std::cerr << "Error: cannot open file" << std::endl;
-    return in;  
+    return in;
   }
   internal::Geometry_container<MultiPoint, boost::geometry::multi_point_tag> gc(mp);
   std::string line;
@@ -105,14 +105,14 @@ read_multi_point_WKT( std::istream& in,
     std::istringstream iss(line);
     std::string type;
     iss >> type;
-    
+
     if(type.substr(0, 10).compare("MULTIPOINT")==0)
     {
       boost::geometry::read_wkt(line, gc);
       break;
     }
   }
-  return in;  
+  return in;
 }
 
 
@@ -124,7 +124,7 @@ read_linestring_WKT( std::istream& in,
   if(!in)
   {
     std::cerr << "Error: cannot open file" << std::endl;
-    return in;  
+    return in;
   }
   internal::Geometry_container<LineString, boost::geometry::linestring_tag> gc(polyline);
   std::string line;
@@ -133,14 +133,14 @@ read_linestring_WKT( std::istream& in,
     std::istringstream iss(line);
     std::string type;
     iss >> type;
-    
+
     if(type.substr(0, 10).compare("LINESTRING")==0)
     {
       boost::geometry::read_wkt(line, gc);
       break;
     }
   }
-  return in;  
+  return in;
 }
 
 template<typename MultiLineString>
@@ -151,11 +151,11 @@ read_multi_linestring_WKT( std::istream&
   if(!in)
   {
     std::cerr << "Error: cannot open file" << std::endl;
-    return in;  
+    return in;
   }
   typedef typename MultiLineString::value_type PointRange;
   typedef internal::Geometry_container<PointRange, boost::geometry::linestring_tag> LineString;
-  
+
   std::vector<LineString> pr_range;
   internal::Geometry_container<std::vector<LineString>, boost::geometry::multi_linestring_tag> gc(pr_range);
   std::string line;
@@ -164,7 +164,7 @@ read_multi_linestring_WKT( std::istream&
     std::istringstream iss(line);
     std::string type;
     iss >> type;
-    
+
     if(type.substr(0, 15).compare("MULTILINESTRING")==0)
     {
       boost::geometry::read_wkt(line, gc);
@@ -175,7 +175,7 @@ read_multi_linestring_WKT( std::istream&
   {
     mls.push_back(*ls.range);
   }
-  return in;  
+  return in;
 }
 
 template<typename Polygon>
@@ -187,16 +187,16 @@ read_polygon_WKT( std::istream& in,
   if(!in)
   {
     std::cerr << "Error: cannot open file" << std::endl;
-    return in;  
+    return in;
   }
-  
+
   std::string line;
   while(std::getline(in, line))
   {
     std::istringstream iss(line);
     std::string type;
     iss >> type;
-    
+
     if(type.substr(0, 7).compare("POLYGON")==0)
     {
       try {
@@ -209,7 +209,7 @@ read_polygon_WKT( std::istream& in,
       break;
     }
   }
-  return in;  
+  return in;
 }
 
 template<typename MultiPolygon>
@@ -221,7 +221,7 @@ read_multi_polygon_WKT( std::istream& in
   if(!in)
   {
     std::cerr << "Error: cannot open file" << std::endl;
-    return in;  
+    return in;
   }
   internal::Geometry_container<MultiPolygon, boost::geometry::multi_polygon_tag> gc(polygons);
   std::string line;
@@ -230,7 +230,7 @@ read_multi_polygon_WKT( std::istream& in
     std::istringstream iss(line);
     std::string type;
     iss >> type;
-    
+
     if(type.substr(0, 12).compare("MULTIPOLYGON")==0)
     {
       try {
@@ -248,7 +248,7 @@ read_multi_polygon_WKT( std::istream& in
       break;
     }
   }
-  return in;  
+  return in;
 }
 
 template<typename Point>
@@ -358,7 +358,7 @@ template<typename MultiPoint,
          typename MultiPolygon>
 std::istream&
 read_WKT( std::istream& input,
-          MultiPoint& points,   
+          MultiPoint& points,
           MultiLineString& polylines,
           MultiPolygon& polygons)
 {
@@ -423,7 +423,7 @@ read_WKT( std::istream& input,
           polygons.push_back(poly);
     }
   }while(input.good() && !input.eof());
-  return input;  
+  return input;
 }
 }//end CGAL
 #endif
diff -pruN 5.0.2-3/include/CGAL/IO/write_3mf.h 5.0.3-1/include/CGAL/IO/write_3mf.h
--- 5.0.2-3/include/CGAL/IO/write_3mf.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/write_3mf.h	2020-08-01 19:02:54.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/write_3mf.h $
-// $Id: write_3mf.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/write_3mf.h $
+// $Id: write_3mf.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Maxime Gimeno
@@ -107,7 +107,7 @@ bool export_model_to_file(const std::str
     NMR::lib3mf_release(p3MFWriter);
     return false;
   }
-  
+
   // Release Model Writer
   NMR::lib3mf_release(p3MFWriter);
   return true;
@@ -143,12 +143,12 @@ bool write_mesh_to_model( const PointRan
   {
     pVertices.push_back(tmf_internal::fnCreateVertex(point.x(), point.y(), point.z()));
   }
-  
+
   for( auto triangle : polygons)
   {
     pTriangles.push_back(tmf_internal::fnCreateTriangle(triangle[0], triangle[1], triangle[2]));
   }
-  
+
   hResult = NMR::lib3mf_meshobject_setgeometry(*pMeshObject, pVertices.data(),
                                           pVertices.size(), pTriangles.data(),
                                           pTriangles.size());
@@ -359,6 +359,8 @@ bool write_polyline_to_model(const Point
  *  soups in `file_name`.
  * \param names will contains the name of each mesh in `file_name`.
  * \return `true` if the writing is successful, `false` otherwise.
+ *
+ * \attention Only versions inferior to 2.0 of lib3mf are supported.
  */
 template<typename PointRanges, typename PolygonRanges>
 bool write_triangle_soups_to_3mf(const std::string& file_name,
@@ -406,6 +408,8 @@ bool write_triangle_soups_to_3mf(const s
  * must be available for each mesh.
  * \param names will contains the name of each mesh in `file_name`.
  * \return `true` if the writing is successful, `false` otherwise.
+ *
+ * \attention Only versions inferior to 2.0 of lib3mf are supported.
  */
 template<typename TriangleMeshRange>
 bool write_triangle_meshes_to_3mf(const std::string& file_name,
diff -pruN 5.0.2-3/include/CGAL/IO/write_las_points.h 5.0.3-1/include/CGAL/IO/write_las_points.h
--- 5.0.2-3/include/CGAL/IO/write_las_points.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/write_las_points.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/IO/write_las_points.h $
-// $Id: write_las_points.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/IO/write_las_points.h $
+// $Id: write_las_points.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Simon Giraudot
@@ -60,8 +60,8 @@ namespace CGAL {
 
   /**
      \ingroup PkgPointSetProcessing3IOLas
-     
-     Generates a %LAS property handler to write 3D points. 
+
+     Generates a %LAS property handler to write 3D points.
 
      \sa `write_las_points_with_properties()`
 
@@ -75,7 +75,7 @@ namespace CGAL {
   }
 
   /// \cond SKIP_IN_MANUAL
-  
+
 namespace internal {
 
   namespace LAS {
@@ -116,7 +116,7 @@ namespace internal {
   { r.set_B(v); }
   inline void output_value(LASpoint& r, const unsigned short& v, LAS_property::I&)
   { r.set_I(v); }
-  
+
   template <typename ForwardIterator>
   void output_properties (LASpoint&,
                           ForwardIterator)
@@ -150,9 +150,9 @@ namespace internal {
   }
 
   } // namespace LAS
-  
+
 } // namespace internal
-  
+
 
 /// \endcond
 
@@ -207,7 +207,7 @@ bool write_las_points_with_properties (s
      (points.begin(), CGAL::Property_map_to_unary_function<PointMap>(std::get<0>(point_property))),
      boost::make_transform_iterator
      (points.end(), CGAL::Property_map_to_unary_function<PointMap>(std::get<0>(point_property))));
-  
+
   LASheader header;
   header.x_scale_factor = 1e-9 * (bbox.xmax() - bbox.xmin());
   header.y_scale_factor = 1e-9 * (bbox.ymax() - bbox.ymin());
@@ -223,7 +223,7 @@ bool write_las_points_with_properties (s
 
   LASwriterLAS laswriter;
   laswriter.open (stream, &header);
-  
+
   // Write positions + normals
   for(typename PointRange::const_iterator it = points.begin(); it != points.end(); it++)
   {
@@ -247,7 +247,7 @@ bool write_las_points_with_properties (s
 /**
    \ingroup PkgPointSetProcessing3IOLas
    Saves the range of `points` (positions only) to a
-   .las stream. 
+   .las stream.
 
    \tparam PointRange is a model of `ConstRange`. The value type of
    its iterator is the key type of the named parameter `point_map`.
@@ -278,7 +278,7 @@ write_las_points(
 
   typedef typename Point_set_processing_3::GetPointMap<PointRange, NamedParameters>::type PointMap;
   PointMap point_map = choose_parameter(get_parameter(np, internal_np::point_map), PointMap());
-  
+
   return write_las_points_with_properties (stream, points, make_las_point_writer(point_map));
 }
 
@@ -311,8 +311,8 @@ write_las_points(
     (stream, points,
      CGAL::parameters::point_map(point_map));
 }
-  
-// deprecated API  
+
+// deprecated API
 template < typename ForwardIterator >
 CGAL_DEPRECATED_MSG("you are using the deprecated V1 API of CGAL::write_las_points(), please update your code")
 bool
diff -pruN 5.0.2-3/include/CGAL/IO/write_off_points.h 5.0.3-1/include/CGAL/IO/write_off_points.h
--- 5.0.2-3/include/CGAL/IO/write_off_points.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/write_off_points.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/IO/write_off_points.h $
-// $Id: write_off_points.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/IO/write_off_points.h $
+// $Id: write_off_points.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Laurent Saboret
@@ -32,7 +32,7 @@ namespace CGAL {
    The function writes for each point a line with the x y z position
    followed by the nx ny nz normal (if available).
 
-   \note The <A HREF="https://en.cppreference.com/w/cpp/io/ios_base/precision">`precision()`</A> 
+   \note The <A HREF="https://en.cppreference.com/w/cpp/io/ios_base/precision">`precision()`</A>
          of the output stream might not be sufficient depending on the data to be written.
 
    \tparam PointRange is a model of `ConstRange`. The value type of
@@ -74,7 +74,7 @@ write_off_points(
 
   PointMap point_map = choose_parameter(get_parameter(np, internal_np::point_map), PointMap());
   NormalMap normal_map = choose_parameter(get_parameter(np, internal_np::normal_map), NormalMap());
-  
+
   CGAL_point_set_processing_precondition(points.begin() != points.end());
 
   if(!stream)
@@ -112,7 +112,7 @@ write_off_points(
 }
 
 #ifndef CGAL_NO_DEPRECATED_CODE
-// deprecated API  
+// deprecated API
 template <typename ForwardIterator,
           typename PointMap,
           typename NormalMap,
@@ -214,7 +214,7 @@ write_off_points(
      CGAL::parameters::point_map (point_map));
 }
 
-// deprecated API  
+// deprecated API
 template <typename ForwardIterator
 >
 CGAL_DEPRECATED_MSG("you are using the deprecated V1 API of CGAL::write_off_points(), please update your code")
diff -pruN 5.0.2-3/include/CGAL/IO/write_ply_points.h 5.0.3-1/include/CGAL/IO/write_ply_points.h
--- 5.0.2-3/include/CGAL/IO/write_ply_points.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/write_ply_points.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/IO/write_ply_points.h $
-// $Id: write_ply_points.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/IO/write_ply_points.h $
+// $Id: write_ply_points.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Simon Giraudot
@@ -36,7 +36,7 @@ namespace CGAL {
 #ifdef DOXYGEN_RUNNING // Document some parts from Stream_support here for convenience
   /**
      \ingroup PkgPointSetProcessing3IOPly
-     
+
      Generates a %PLY property handler to write 3D points. Points are
      written as 3 %PLY properties of type `FT` and named `x`, `y` and
      `z`. `FT` is `float` if the points use
@@ -52,7 +52,7 @@ namespace CGAL {
 
   /**
      \ingroup PkgPointSetProcessing3IOPly
-     
+
      Generates a %PLY property handler to write 3D normal
      vectors. Vectors are written as 3 %PLY properties of type `FT`
      and named `nx`, `ny` and `nz`. `FT` is `float` if the vectors use
@@ -75,7 +75,7 @@ namespace internal {
 
 
   } // namespace PLY
-    
+
 } // namespace internal
 
   /// \endcond
@@ -133,11 +133,11 @@ write_ply_points_with_properties(
          << ((get_mode(stream) == IO::BINARY) ? "format binary_little_endian 1.0" : "format ascii 1.0") << std::endl
          << "comment Generated by the CGAL library" << std::endl
          << "element vertex " << points.size() << std::endl;
-  
+
   internal::PLY::output_property_header (stream, std::forward<PropertyHandler>(properties)...);
-  
+
   stream << "end_header" << std::endl;
-  
+
 
   // Write positions + normals
   for(typename PointRange::const_iterator it = points.begin(); it != points.end(); it++)
@@ -193,7 +193,7 @@ write_ply_points(
 
   PointMap point_map = choose_parameter(get_parameter(np, internal_np::point_map), PointMap());
   NormalMap normal_map = choose_parameter(get_parameter(np, internal_np::normal_map), NormalMap());
-  
+
   if (has_normals)
     return write_ply_points_with_properties(
       stream, points,
@@ -237,7 +237,7 @@ write_ply_points_and_normals(
      CGAL::parameters::point_map (point_map).
      normal_map (normal_map));
 }
-  
+
 // deprecated API
 template <typename ForwardIterator,
           typename VectorMap
diff -pruN 5.0.2-3/include/CGAL/IO/Writer_OFF.h 5.0.3-1/include/CGAL/IO/Writer_OFF.h
--- 5.0.2-3/include/CGAL/IO/Writer_OFF.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/Writer_OFF.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/Writer_OFF.h $
-// $Id: Writer_OFF.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/Writer_OFF.h $
+// $Id: Writer_OFF.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/IO/write_vtk.h 5.0.3-1/include/CGAL/IO/write_vtk.h
--- 5.0.2-3/include/CGAL/IO/write_vtk.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/write_vtk.h	2020-08-01 19:02:54.000000000 +0000
@@ -1,12 +1,12 @@
 // Copyright (c) 2018
-// GeometryFactory( France) All rights reserved. 
+// GeometryFactory( France) All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_support/include/CGAL/IO/write_vtk.h $
-// $Id: write_vtk.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_support/include/CGAL/IO/write_vtk.h $
+// $Id: write_vtk.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stephane Tayeb
 
@@ -17,15 +17,15 @@
 
 #include <fstream>
 #include <vector>
-template <class FT> 
+template <class FT>
 void
-write_vector(std::ostream& os, 
-             const std::vector<FT>& vect) 
+write_vector(std::ostream& os,
+             const std::vector<FT>& vect)
 {
   const char* buffer = reinterpret_cast<const char*>(&(vect[0]));
   std::size_t size = vect.size()*sizeof(FT);
-  
+
   os.write(reinterpret_cast<const char *>(&size), sizeof(std::size_t)); // number of bytes encoded
   os.write(buffer, vect.size()*sizeof(FT));                     // encoded data
 }
-#endif 
+#endif
diff -pruN 5.0.2-3/include/CGAL/IO/write_vtu.h 5.0.3-1/include/CGAL/IO/write_vtu.h
--- 5.0.2-3/include/CGAL/IO/write_vtu.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/write_vtu.h	2020-08-01 19:02:29.000000000 +0000
@@ -5,8 +5,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/IO/write_vtu.h $
-// $Id: write_vtu.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/IO/write_vtu.h $
+// $Id: write_vtu.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -27,14 +27,14 @@
 //todo try to factorize with functors
 namespace CGAL{
 // writes the appended data into the .vtu file
-template <class FT> 
+template <class FT>
 void
-write_vector(std::ostream& os, 
-             const std::vector<FT>& vect) 
+write_vector(std::ostream& os,
+             const std::vector<FT>& vect)
 {
   const char* buffer = reinterpret_cast<const char*>(&(vect[0]));
   std::size_t size = vect.size()*sizeof(FT);
-  
+
   os.write(reinterpret_cast<const char *>(&size), sizeof(std::size_t)); // number of bytes encoded
   os.write(buffer, vect.size()*sizeof(FT));                     // encoded data
 }
@@ -42,7 +42,7 @@ write_vector(std::ostream& os,
 // writes the cells tags before binary data is appended
 
 template <class CDT>
-void 
+void
 write_cells_tag_2(std::ostream& os,
                   const CDT & tr,
                   std::size_t number_of_triangles,
@@ -64,18 +64,18 @@ write_cells_tag_2(std::ostream& os,
   os << "    <Cells>\n"
      << "      <DataArray Name=\"connectivity\""
      << formatattribute << typeattribute;
-  
+
   if (binary) { // if binary output, just write the xml tag
     os << " offset=\"" << offset << "\"/>\n";
     // 3 indices (size_t) per triangle + length of the encoded data (size_t)
-    offset += (3 * number_of_triangles + 1) * sizeof(std::size_t); 
+    offset += (3 * number_of_triangles + 1) * sizeof(std::size_t);
     // 2 indices (size_t) per edge (size_t)
     offset += (2 * std::distance(tr.constrained_edges_begin(),
-                                 tr.constrained_edges_end())) * sizeof(std::size_t); 
+                                 tr.constrained_edges_end())) * sizeof(std::size_t);
   }
   else {
-    os << "\">\n";   
-    for(typename CDT::Finite_faces_iterator 
+    os << "\">\n";
+    for(typename CDT::Finite_faces_iterator
             fit = tr.finite_faces_begin(),
             end = tr.finite_faces_end();
           fit != end; ++fit)
@@ -89,11 +89,11 @@ write_cells_tag_2(std::ostream& os,
     }
     os << "      </DataArray>\n";
   }
-  
+
   // Write offsets
   os   << "      <DataArray Name=\"offsets\""
        << formatattribute << typeattribute;
-  
+
   if (binary) {  // if binary output, just write the xml tag
     os << " offset=\"" << offset << "\"/>\n";
     offset += (number_of_triangles +std::distance(tr.constrained_edges_begin(),
@@ -102,9 +102,9 @@ write_cells_tag_2(std::ostream& os,
     // 1 offset (size_t) per cell + length of the encoded data (size_t)
   }
   else {
-    os << "\">\n";  
+    os << "\">\n";
     std::size_t cells_offset = 0;
-    for(typename CDT::Finite_faces_iterator fit = 
+    for(typename CDT::Finite_faces_iterator fit =
         tr.finite_faces_begin() ;
         fit != tr.finite_faces_end() ;
         ++fit )
@@ -114,7 +114,7 @@ write_cells_tag_2(std::ostream& os,
         cells_offset += 3;
         os << cells_offset << " ";
       }
-    }  
+    }
     os << "      </DataArray>\n";
   }
 
@@ -126,13 +126,13 @@ write_cells_tag_2(std::ostream& os,
     os << " offset=\"" << offset << "\"/>\n";
     offset += number_of_triangles
         + std::distance(tr.constrained_edges_begin(),
-                        tr.constrained_edges_end()) 
+                        tr.constrained_edges_end())
         + sizeof(std::size_t);
     // 1 unsigned char per cell + length of the encoded data (size_t)
   }
   else {
-    os << "\">\n";  
-    for(typename CDT::Finite_faces_iterator fit = 
+    os << "\">\n";
+    for(typename CDT::Finite_faces_iterator fit =
         tr.finite_faces_begin() ;
         fit != tr.finite_faces_end() ;
         ++fit )
@@ -147,7 +147,7 @@ write_cells_tag_2(std::ostream& os,
   os << "    </Cells>\n";
 }
 
-// writes the cells appended data at the end of the .vtu file 
+// writes the cells appended data at the end of the .vtu file
 template <class CDT>
 void
 write_cells_2(std::ostream& os,
@@ -160,9 +160,9 @@ write_cells_2(std::ostream& os,
   std::vector<unsigned char> cell_type(number_of_triangles,5);  // triangles == 5
   cell_type.resize(cell_type.size() + std::distance(tr.constrained_edges_begin(),
                                                      tr.constrained_edges_end()), 3);  // line == 3
-  
+
   std::size_t off = 0;
-  for(typename CDT::Finite_faces_iterator 
+  for(typename CDT::Finite_faces_iterator
       fit = tr.finite_faces_begin(),
       end = tr.finite_faces_end();
       fit != end; ++fit)
@@ -196,7 +196,7 @@ write_cells_2(std::ostream& os,
 
 // writes the points tags before binary data is appended
 template <class Tr>
-void 
+void
 write_cdt_points_tag(std::ostream& os,
                      const Tr & tr,
                      std::map<typename Tr::Vertex_handle, std::size_t> & V,
@@ -217,12 +217,12 @@ write_cdt_points_tag(std::ostream& os,
      << format;
 
   if (binary) {
-    os << "\" offset=\"" << offset << "\"/>\n";    
+    os << "\" offset=\"" << offset << "\"/>\n";
     offset += 3 * tr.number_of_vertices() * sizeof(FT) + sizeof(std::size_t);
     // dim coords per points + length of the encoded data (size_t)
   }
   else {
-    os << "\">\n";  
+    os << "\">\n";
     for( Finite_vertices_iterator vit = tr.finite_vertices_begin();
          vit != tr.finite_vertices_end();
          ++vit)
@@ -230,7 +230,7 @@ write_cdt_points_tag(std::ostream& os,
       V[vit] = inum++;
         os << vit->point()[0] << " ";
         os << vit->point()[1] << " ";
-        if(dim == 3) 
+        if(dim == 3)
           os << vit->point()[2] << " ";
         else
           os << 0.0 << " ";
@@ -240,7 +240,7 @@ write_cdt_points_tag(std::ostream& os,
   os << "    </Points>\n";
 }
 
-// writes the points appended data at the end of the .vtu file 
+// writes the points appended data at the end of the .vtu file
 template <class Tr>
 void
 write_cdt_points(std::ostream& os,
@@ -269,37 +269,37 @@ write_cdt_points(std::ostream& os,
 
 // writes the attribute tags before binary data is appended
 template <class T>
-void 
+void
 write_attribute_tag_2 (std::ostream& os,
-		    const std::string& attr_name,
-		    const std::vector<T>& attribute,
-		    bool binary,
-		    std::size_t& offset)
+                    const std::string& attr_name,
+                    const std::vector<T>& attribute,
+                    bool binary,
+                    std::size_t& offset)
 {
   std::string format = binary ? "appended" : "ascii";
   std::string type = (sizeof(T) == 8) ? "Float64" : "Float32";
-  os << "      <DataArray type=\"" << type << "\" Name=\"" << attr_name << "\" format=\"" << format; 
+  os << "      <DataArray type=\"" << type << "\" Name=\"" << attr_name << "\" format=\"" << format;
 
   if (binary) {
-    os << "\" offset=\"" << offset << "\"/>\n";    
+    os << "\" offset=\"" << offset << "\"/>\n";
     offset += attribute.size() * sizeof(T) + sizeof(std::size_t);
   }
   else {
     typedef typename std::vector<T>::const_iterator Iterator;
-    os << "\">\n";   
+    os << "\">\n";
     for (Iterator it = attribute.begin();
-	 it != attribute.end();
-	 ++it )
+         it != attribute.end();
+         ++it )
       os << *it << " ";
     os << "      </DataArray>\n";
   }
 }
 
-// writes the attributes appended data at the end of the .vtu file 
+// writes the attributes appended data at the end of the .vtu file
 template <typename FT>
 void
 write_attributes_2(std::ostream& os,
-		 const std::vector<FT>& att)
+                 const std::vector<FT>& att)
 {
   write_vector(os,att);
 }
@@ -320,7 +320,7 @@ void write_vtu_with_attributes(std::ostr
 #else // CGAL_BIG_ENDIAN
   os << " byte_order=\"BigEndian\"";
 #endif
-  
+
   switch(sizeof(std::size_t)) {
   case 4: os << " header_type=\"UInt32\""; break;
   case 8: os << " header_type=\"UInt64\""; break;
@@ -328,16 +328,16 @@ void write_vtu_with_attributes(std::ostr
   }
   os << ">\n"
      << "  <UnstructuredGrid>" << "\n";
-  
+
   int number_of_triangles = 0;
-  for(typename CDT::Finite_faces_iterator 
+  for(typename CDT::Finite_faces_iterator
       fit = tr.finite_faces_begin(),
       end = tr.finite_faces_end();
       fit != end; ++fit)
   {
     if(fit->is_in_domain()) ++number_of_triangles;
   }
-  os << "  <Piece NumberOfPoints=\"" << tr.number_of_vertices() 
+  os << "  <Piece NumberOfPoints=\"" << tr.number_of_vertices()
      << "\" NumberOfCells=\"" << number_of_triangles + std::distance(tr.constrained_edges_begin(), tr.constrained_edges_end()) << "\">\n";
   std::size_t offset = 0;
   const bool binary = (mode == IO::BINARY);
@@ -355,7 +355,7 @@ void write_vtu_with_attributes(std::ostr
   os << "   </Piece>\n"
      << "  </UnstructuredGrid>\n";
   if (binary) {
-    os << "<AppendedData encoding=\"raw\">\n_"; 
+    os << "<AppendedData encoding=\"raw\">\n_";
     write_cdt_points(os,tr,V);  // write points before cells to fill the std::map V
     write_cells_2(os,tr, number_of_triangles, V);
     for(std::size_t i = 0; i< attributes.size(); ++i)
diff -pruN 5.0.2-3/include/CGAL/IO/write_xyz_points.h 5.0.3-1/include/CGAL/IO/write_xyz_points.h
--- 5.0.2-3/include/CGAL/IO/write_xyz_points.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/IO/write_xyz_points.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/IO/write_xyz_points.h $
-// $Id: write_xyz_points.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/IO/write_xyz_points.h $
+// $Id: write_xyz_points.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Laurent Saboret
@@ -74,7 +74,7 @@ write_xyz_points(
 
   PointMap point_map = choose_parameter(get_parameter(np, internal_np::point_map), PointMap());
   NormalMap normal_map = choose_parameter(get_parameter(np, internal_np::normal_map), NormalMap());
-  
+
   CGAL_point_set_processing_precondition(points.begin() != points.end());
 
   if(!stream)
@@ -108,7 +108,7 @@ write_xyz_points(
 }
 
 #ifndef CGAL_NO_DEPRECATED_CODE
-// deprecated API  
+// deprecated API
 template <typename ForwardIterator,
           typename PointMap,
           typename NormalMap,
@@ -132,7 +132,7 @@ write_xyz_points_and_normals(
      geom_traits(Kernel()));
 }
 
-// deprecated API  
+// deprecated API
 template <typename ForwardIterator,
           typename PointMap,
           typename NormalMap
@@ -153,7 +153,7 @@ write_xyz_points_and_normals(
      normal_map (normal_map));
 }
 
-// deprecated API  
+// deprecated API
 template <typename ForwardIterator,
           typename NormalMap
 >
@@ -171,7 +171,7 @@ write_xyz_points_and_normals(
      CGAL::parameters::normal_map(normal_map));
 }
 
-// deprecated API  
+// deprecated API
 template <typename ForwardIterator,
           typename PointMap,
           typename Kernel
@@ -191,7 +191,7 @@ write_xyz_points(
      CGAL::parameters::point_map(point_map).
      geom_traits (kernel));
 }
-// deprecated API  
+// deprecated API
 template <typename ForwardIterator,
           typename PointMap
 >
@@ -209,7 +209,7 @@ write_xyz_points(
      CGAL::parameters::point_map(point_map));
 }
 
-// deprecated API  
+// deprecated API
 template <typename ForwardIterator
 >
 CGAL_DEPRECATED_MSG("you are using the deprecated V1 API of CGAL::write_xyz_points(), please update your code")
diff -pruN 5.0.2-3/include/CGAL/ipower.h 5.0.3-1/include/CGAL/ipower.h
--- 5.0.2-3/include/CGAL/ipower.h	2020-02-21 20:02:45.000000000 +0000
+++ 5.0.3-1/include/CGAL/ipower.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,17 +3,17 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_foundations/include/CGAL/ipower.h $
-// $Id: ipower.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_foundations/include/CGAL/ipower.h $
+// $Id: ipower.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Michael Hemmer 
+//
+// Author(s)     : Michael Hemmer
 //
 // This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 // WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_foundations/include/CGAL/ipower.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_foundations/include/CGAL/ipower.h $
 
 #ifndef CGAL_IPOWER_H
 #define CGAL_IPOWER_H
@@ -27,15 +27,15 @@ inline
 NT ipower(const NT& base, int expn) {
     // compute base^expn using square-and-multiply
     CGAL_precondition(expn >= 0);
-    
+
     // handle trivial cases efficiently
     if (expn == 0) return NT(1);
     if (expn == 1) return base;
-    
+
     // find the most significant non-zero bit of expn
     int e = expn, msb = 0;
     while (e >>= 1) msb++;
-    
+
     // computing base^expn by square-and-multiply
     NT res = base;
     int b = 1<<msb;
@@ -51,15 +51,15 @@ inline
 NT ipower(const NT& base, long expn) {
     // compute base^expn using square-and-multiply
     CGAL_precondition(expn >= 0);
-    
+
     // handle trivial cases efficiently
     if (expn == 0) return NT(1);
     if (expn == 1) return base;
-    
+
     // find the most significant non-zero bit of expn
     long e = expn, msb = 0;
     while (e >>= 1) msb++;
-    
+
     // computing base^expn by square-and-multiply
     NT res = base;
     long b = 1L<<msb;
diff -pruN 5.0.2-3/include/CGAL/Is_a_predicate.h 5.0.3-1/include/CGAL/Is_a_predicate.h
--- 5.0.2-3/include/CGAL/Is_a_predicate.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Is_a_predicate.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2002  
+// Copyright (c) 2002
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Is_a_predicate.h $
-// $Id: Is_a_predicate.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Is_a_predicate.h $
+// $Id: Is_a_predicate.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
diff -pruN 5.0.2-3/include/CGAL/is_convertible.h 5.0.3-1/include/CGAL/is_convertible.h
--- 5.0.2-3/include/CGAL/is_convertible.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/is_convertible.h	2020-08-01 19:02:47.000000000 +0000
@@ -6,10 +6,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/is_convertible.h $
-// $Id: is_convertible.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/is_convertible.h $
+// $Id: is_convertible.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Marc Glisse
 
diff -pruN 5.0.2-3/include/CGAL/Is_extended_kernel.h 5.0.3-1/include/CGAL/Is_extended_kernel.h
--- 5.0.2-3/include/CGAL/Is_extended_kernel.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Is_extended_kernel.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Is_extended_kernel.h $
-// $Id: Is_extended_kernel.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Is_extended_kernel.h $
+// $Id: Is_extended_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <andreas.fabri@geometryfactory.com>
 
diff -pruN 5.0.2-3/include/CGAL/is_iterator.h 5.0.3-1/include/CGAL/is_iterator.h
--- 5.0.2-3/include/CGAL/is_iterator.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/is_iterator.h	2020-08-01 19:02:47.000000000 +0000
@@ -6,10 +6,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/is_iterator.h $
-// $Id: is_iterator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/is_iterator.h $
+// $Id: is_iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Marc Glisse
 
@@ -31,37 +31,37 @@ BOOST_MPL_HAS_XXX_TRAIT_DEF(value_type)
 BOOST_MPL_HAS_XXX_TRAIT_DEF(difference_type)
 BOOST_MPL_HAS_XXX_TRAIT_DEF(pointer)
 BOOST_MPL_HAS_XXX_TRAIT_DEF(reference)
-  
+
 //We request the type to be either a pointer or to
-//provide all 5 nested types provided by iterator_traits  
+//provide all 5 nested types provided by iterator_traits
 template <class T> struct is_iterator_ {
-	enum { value = 
+        enum { value =
           ( has_iterator_category<T>::value &&
             has_value_type<T>::value &&
             has_difference_type<T>::value &&
             has_pointer<T>::value &&
             has_reference<T>::value
           )
-	       	|| boost::is_pointer<T>::value }; 
+                       || boost::is_pointer<T>::value };
 };
 
 template <class T,class U,bool=is_iterator_<T>::value>
 struct is_iterator_type_ {
-	enum { value=false };
+        enum { value=false };
 };
 template <class T,class U> struct is_iterator_type_<T,U,true> :
-	//boost::is_base_of<U,typename std::iterator_traits<T>::iterator_category>
-	boost::is_convertible<typename std::iterator_traits<T>::iterator_category,U>
-	{};
+        //boost::is_base_of<U,typename std::iterator_traits<T>::iterator_category>
+        boost::is_convertible<typename std::iterator_traits<T>::iterator_category,U>
+        {};
 
 }
 
 // NOTE: we don't want the real std::decay or functions are included
 template <class T> struct is_iterator :
-	internal::is_iterator_<typename boost::remove_cv<typename boost::remove_reference<T>::type>::type> {};
+        internal::is_iterator_<typename boost::remove_cv<typename boost::remove_reference<T>::type>::type> {};
 
 template <class T,class Tag> struct is_iterator_type :
-	internal::is_iterator_type_<typename boost::remove_cv<typename boost::remove_reference<T>::type>::type,Tag> {};
+        internal::is_iterator_type_<typename boost::remove_cv<typename boost::remove_reference<T>::type>::type,Tag> {};
 
 template <class T,class U,bool=is_iterator<T>::value> struct is_iterator_to {
           enum { value=false };
diff -pruN 5.0.2-3/include/CGAL/Iso_cuboid_3.h 5.0.3-1/include/CGAL/Iso_cuboid_3.h
--- 5.0.2-3/include/CGAL/Iso_cuboid_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Iso_cuboid_3.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Iso_cuboid_3.h $
-// $Id: Iso_cuboid_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Iso_cuboid_3.h $
+// $Id: Iso_cuboid_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -75,16 +75,16 @@ public:
                const RT& max_hx, const RT& max_hy, const RT& max_hz,
                const RT& hw)
    : Rep(typename R::Construct_iso_cuboid_3()(Return_base_tag(), min_hx, min_hy, min_hz,
-				     max_hx, max_hy, max_hz, hw)) {}
+                                     max_hx, max_hy, max_hz, hw)) {}
 
   Iso_cuboid_3(const RT& min_hx, const RT& min_hy, const RT& min_hz,
                const RT& max_hx, const RT& max_hy, const RT& max_hz)
    : Rep(typename R::Construct_iso_cuboid_3()(Return_base_tag(), min_hx, min_hy, min_hz,
-					     max_hx, max_hy, max_hz)) {}
+                                             max_hx, max_hy, max_hz)) {}
 
   Iso_cuboid_3(const Bbox_3& bbox)
    : Rep(typename R::Construct_iso_cuboid_3()(Return_base_tag(), bbox.xmin(), bbox.ymin(), bbox.zmin(),
-				                                 bbox.xmax(), bbox.ymax(), bbox.zmax())) {}
+                                                                 bbox.xmax(), bbox.ymax(), bbox.zmax())) {}
 
   typename cpp11::result_of<typename R::Construct_min_vertex_3( Iso_cuboid_3 )>::type
   min BOOST_PREVENT_MACRO_SUBSTITUTION () const
diff -pruN 5.0.2-3/include/CGAL/Iso_rectangle_2.h 5.0.3-1/include/CGAL/Iso_rectangle_2.h
--- 5.0.2-3/include/CGAL/Iso_rectangle_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Iso_rectangle_2.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Iso_rectangle_2.h $
-// $Id: Iso_rectangle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Iso_rectangle_2.h $
+// $Id: Iso_rectangle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -213,8 +213,8 @@ public:
   {
     // FIXME : We need a precondition like this!!!
     // CGAL_kernel_precondition(t.is_axis_preserving());
-    return Iso_rectangle_2(t.transform(min  BOOST_PREVENT_MACRO_SUBSTITUTION ()), 
-			   t.transform(max  BOOST_PREVENT_MACRO_SUBSTITUTION ()));
+    return Iso_rectangle_2(t.transform(min  BOOST_PREVENT_MACRO_SUBSTITUTION ()),
+                           t.transform(max  BOOST_PREVENT_MACRO_SUBSTITUTION ()));
   }
 };
 
diff -pruN 5.0.2-3/include/CGAL/Iso_rectangle_d.h 5.0.3-1/include/CGAL/Iso_rectangle_d.h
--- 5.0.2-3/include/CGAL/Iso_rectangle_d.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Iso_rectangle_d.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Iso_rectangle_d.h $
-// $Id: Iso_rectangle_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Iso_rectangle_d.h $
+// $Id: Iso_rectangle_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Authors       : Hans Tangelder (<hanst@cs.uu.nl>)
 
@@ -22,7 +22,7 @@
 #include <CGAL/assertions.h>
 
 namespace CGAL {
-  
+
   template <class R> class Iso_rectangle_d {
   public:
     typedef typename R::FT FT;
@@ -33,7 +33,7 @@ namespace CGAL {
     int dim;
     FT *lower;
     FT *upper;
-    
+
   public:
 
     Iso_rectangle_d(const Point_d& p, const Point_d& q)
@@ -42,28 +42,28 @@ namespace CGAL {
       lower = new FT[dim];
       upper = new FT[dim];
       for (int i = 0; i < dim; ++i) {
-	  if (p[i] <= q[i]) {
-		lower[i]=p[i]; 
+          if (p[i] <= q[i]) {
+                lower[i]=p[i];
                 upper[i]=q[i];
-	  }
-	  else {
-		lower[i]=q[i]; 
+          }
+          else {
+                lower[i]=q[i];
                 upper[i]=p[i];
-	  }
-     }	  
+          }
+     }
     }
-  
+
   // copy constructor
   Iso_rectangle_d(const Iso_rectangle_d& b) : dim(b.dim) {
       lower = new FT[dim];
       upper = new FT[dim];
       for (int i = 0; i < dim; ++i) {
-		lower[i]=b.lower[i]; 
+                lower[i]=b.lower[i];
                 upper[i]=b.upper[i];
       }
   }
 
-  
+
   bool has_on_bounded_side(const Point_d& p) const
   {
     FT h;
@@ -72,10 +72,10 @@ namespace CGAL {
         if ( (h < lower[i]) || (h > upper[i]) ) return 0;
     }
     return 1;
-  } 
+  }
 
     inline int dimension() const { return dim;}
-    
+
     inline FT min_coord(int i) const {
       return lower[i];
     }
diff -pruN 5.0.2-3/include/CGAL/is_streamable.h 5.0.3-1/include/CGAL/is_streamable.h
--- 5.0.2-3/include/CGAL/is_streamable.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/is_streamable.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,8 +1,8 @@
 // Copyright (c) 2012  GeometryFactory Sarl (France)
 // All rights reserved.
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/is_streamable.h $
-// $Id: is_streamable.h bff5db6 2019-10-31T14:17:20+01:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/is_streamable.h $
+// $Id: is_streamable.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: BSL-1.0
 //
 // Author(s)     : Laurent Rineau, Philipp Moeller
@@ -17,7 +17,7 @@
 
 namespace CGAL {
 namespace internal {
-namespace is_streamable 
+namespace is_streamable
 {
   // A tag type returned by operator == for the any struct in this namespace
   // when T does not support ==.
@@ -37,7 +37,7 @@ namespace is_streamable
 
   // Two overloads to distinguish whether T supports a certain operator expression.
   // The first overload returns a reference to a two-element character array and is chosen if
-  // T does not support the expression, such as ==, whereas the second overload returns a char 
+  // T does not support the expression, such as ==, whereas the second overload returns a char
   // directly and is chosen if T supports the expression. So using sizeof(check(<expression>))
   // returns 2 for the first overload and 1 for the second overload.
   typedef char yes;
@@ -53,8 +53,8 @@ namespace is_streamable
   {
     static typename boost::remove_cv<typename boost::remove_reference<T>::type>::type const & x;
     static typename boost::remove_cv<typename boost::remove_reference<T>::type>::type  & y;
-    
-    static const bool value = 
+
+    static const bool value =
       sizeof(is_streamable::check(std::cout << x)) == sizeof(is_streamable::yes) &&
       sizeof(is_streamable::check(std::cin >> y)) == sizeof(is_streamable::yes);
   };
@@ -64,7 +64,7 @@ namespace is_streamable
 
 
 /// is_streamable is a meta-function that checks if a type is streamable
-/// 
+///
 /// is_streamable<T>::value is true iff the type T has stream operators <<
 /// and >>. Otherwise it is false.
 template <class T>
diff -pruN 5.0.2-3/include/CGAL/is_y_monotone_2.h 5.0.3-1/include/CGAL/is_y_monotone_2.h
--- 5.0.2-3/include/CGAL/is_y_monotone_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/is_y_monotone_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/is_y_monotone_2.h $
-// $Id: is_y_monotone_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/is_y_monotone_2.h $
+// $Id: is_y_monotone_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -24,7 +24,7 @@
 namespace CGAL {
 
 template<class InputIterator, class Traits>
-bool 
+bool
 is_y_monotone_2(InputIterator first, InputIterator last,
                 const Traits& traits)
 {
@@ -67,7 +67,7 @@ is_y_monotone_2(InputIterator first, Inp
 }
 
 template<class InputIterator>
-bool 
+bool
 is_y_monotone_2(InputIterator first, InputIterator last)
 {
    typedef typename std::iterator_traits<InputIterator>::value_type Point_2;
diff -pruN 5.0.2-3/include/CGAL/iterator_from_indices.h 5.0.3-1/include/CGAL/iterator_from_indices.h
--- 5.0.2-3/include/CGAL/iterator_from_indices.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/iterator_from_indices.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/iterator_from_indices.h $
-// $Id: iterator_from_indices.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/iterator_from_indices.h $
+// $Id: iterator_from_indices.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -16,49 +16,49 @@
 namespace CGAL {
 template <class Ref_>
 struct Default_coordinate_access {
-	typedef Ref_ result_type;
-	template<class T> Ref_ operator()(T const& t, std::ptrdiff_t i)const{
-		return t[i];
-	}
+        typedef Ref_ result_type;
+        template<class T> Ref_ operator()(T const& t, std::ptrdiff_t i)const{
+                return t[i];
+        }
 };
 
 //TODO: default type for Value_: typename same_cv<Container_,typename remove_cv<Container_>::type::value_type>::type
 template <class Container_, class Value_, class Ref_=
-	decltype(std::declval<Container_>()[0])
-	, class Coord_access = Default_coordinate_access<Ref_>
-	>
+        decltype(std::declval<Container_>()[0])
+        , class Coord_access = Default_coordinate_access<Ref_>
+        >
 class Iterator_from_indices
 : public boost::iterator_facade<Iterator_from_indices<Container_,Value_,Ref_,Coord_access>,
-	Value_, std::bidirectional_iterator_tag, Ref_>
+        Value_, std::bidirectional_iterator_tag, Ref_>
 {
-	friend class boost::iterator_core_access;
-	//FIXME: use int to save space
-	//TODO: use a tuple to save space when Coord_access is empty
-	typedef std::ptrdiff_t index_t;
-	Container_* cont;
-	index_t index;
-	CGAL_NO_UNIQUE_ADDRESS Coord_access ca;
-	void increment(){ ++index; }
-	void decrement(){ --index; }
-	void advance(std::ptrdiff_t n){ index+=n; }
-	ptrdiff_t distance_to(Iterator_from_indices const& other)const{
-		return other.index-index;
-	}
-	bool equal(Iterator_from_indices const& other)const{
-		return index==other.index;
-	}
-	Ref_ dereference()const{
-		//FIXME: use the functor properly
-		//Uh, and what did I mean by that?
-		return ca(*cont,index);
-	}
-	public:
-	Iterator_from_indices(){}
-	Iterator_from_indices(Container_& cont_,std::size_t n)
-		: cont(&cont_), index(n) {}
-	template<class T>
-	Iterator_from_indices(Container_& cont_,std::size_t n,T const&t)
-		: cont(&cont_), index(n), ca(t) {}
+        friend class boost::iterator_core_access;
+        //FIXME: use int to save space
+        //TODO: use a tuple to save space when Coord_access is empty
+        typedef std::ptrdiff_t index_t;
+        Container_* cont;
+        index_t index;
+        CGAL_NO_UNIQUE_ADDRESS Coord_access ca;
+        void increment(){ ++index; }
+        void decrement(){ --index; }
+        void advance(std::ptrdiff_t n){ index+=n; }
+        ptrdiff_t distance_to(Iterator_from_indices const& other)const{
+                return other.index-index;
+        }
+        bool equal(Iterator_from_indices const& other)const{
+                return index==other.index;
+        }
+        Ref_ dereference()const{
+                //FIXME: use the functor properly
+                //Uh, and what did I mean by that?
+                return ca(*cont,index);
+        }
+        public:
+        Iterator_from_indices(){}
+        Iterator_from_indices(Container_& cont_,std::size_t n)
+                : cont(&cont_), index(n) {}
+        template<class T>
+        Iterator_from_indices(Container_& cont_,std::size_t n,T const&t)
+                : cont(&cont_), index(n), ca(t) {}
 };
 }
 #endif // CGAL_ITERATOR_FROM_INDICES_H
diff -pruN 5.0.2-3/include/CGAL/iterator.h 5.0.3-1/include/CGAL/iterator.h
--- 5.0.2-3/include/CGAL/iterator.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/iterator.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/iterator.h $
-// $Id: iterator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/iterator.h $
+// $Id: iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
@@ -172,11 +172,11 @@ class Oneset_iterator
                                   void, void, void, void >
 {
   T* t;
-  
+
 public:
   // types
   typedef Oneset_iterator<T> Self;
-  
+
 public:
   Oneset_iterator(T& t) : t(&t) {}
 
@@ -202,65 +202,65 @@ public:
 template < typename T >
 class Const_oneset_iterator {
 public:
-  
+
   // types
   typedef  std::random_access_iterator_tag    iterator_category;
   typedef  std::ptrdiff_t                     difference_type;
   typedef  T                                  value_type;
   typedef  value_type*                        pointer;
   typedef  value_type&                        reference;
-  
+
   typedef  Const_oneset_iterator<T>           Self;
   typedef  difference_type                    Diff;
   typedef  value_type                         Val;
   typedef  pointer                            Ptr;
   typedef  reference                          Ref;
-  
+
   // construction
   Const_oneset_iterator( const T& t = T(), Diff n = 0)
     : value( t), index( n)
   { }
-  
+
   // access
   Ref               operator *  ( )       { return  value; }
   const value_type& operator *  ( ) const { return  value; }
   Ptr               operator -> ( )       { return &value; }
   const value_type* operator -> ( ) const { return &value; }
-  
+
   // equality operator
   bool       operator == ( const Self& x) const { return ( index==x.index); }
   bool       operator != ( const Self& x) const { return ( index!=x.index); }
-  
+
   // forward operations
   // ------------------
   Self&      operator ++ (    ) {                   ++index; return *this; }
   Self       operator ++ ( int) { Self tmp = *this; ++index; return tmp;   }
-  
+
   // bidirectional operations
   // ------------------------
   Self&      operator -- (    ) {                   --index; return *this; }
   Self       operator -- ( int) { Self tmp = *this; --index; return tmp;   }
-  
+
   // random access operations
   // ------------------------
   // access
   Ref               operator [] ( Diff )       { return value;}
   const value_type& operator [] ( Diff ) const { return value;}
-  
+
   // less operator
   bool       operator <  ( const Self& x) const { return ( index < x.index);}
-  
+
   // arithmetic operations
   Self&      operator += ( Diff n) { index += n; return *this; }
   Self&      operator -= ( Diff n) { index -= n; return *this; }
-  
+
   Self       operator +  ( Diff n) const { Self tmp = *this; return tmp+=n; }
   Self       operator -  ( Diff n) const { Self tmp = *this; return tmp-=n; }
-  
+
   Diff       operator -  ( const Self& x) const { return index - x.index; }
-  
+
 private:
-  
+
   // data members
   Val   value;
   Diff  index;
@@ -443,12 +443,12 @@ public:
 };
 
 // Microsoft 1300 cannot handle the default template parameters. Hence, ...
-template < class I, int N, class Ref, class Ptr, 
-	   class Val, class Dist, class Ctg >
+template < class I, int N, class Ref, class Ptr,
+           class Val, class Dist, class Ctg >
 inline
 N_step_adaptor<I,N,Ref,Ptr,Val,Dist,Ctg>
 operator+(typename N_step_adaptor<I,N,Ref,Ptr,Val,Dist,Ctg>::difference_type n,
-	  N_step_adaptor<I,N,Ref,Ptr,Val,Dist,Ctg> i)
+          N_step_adaptor<I,N,Ref,Ptr,Val,Dist,Ctg> i)
 { return i += n; }
 
 template < class I, int N>
@@ -605,7 +605,7 @@ public:
     --(*this);
     return tmp;
   }
-  
+
   reference operator*() const { return *c_;  }
   pointer operator->() const  { return &*c_; }
   const Predicate& predicate() const { return p_; }
@@ -678,9 +678,9 @@ public:
     : i1(it.i1), op(it.op) {}
   Join_input_iterator_1(I1 i,const Op& o=Op())
     : i1(i), op(o) {}
-  
+
   I1 current_iterator1() const { return i1; }
-  
+
   bool operator==(const Self& i) const {
     return i1 == i.i1;
   }
@@ -695,12 +695,12 @@ public:
     op = it.op;
     return *this;
   }
-  
-  const value_type& operator*() const { 
+
+  const value_type& operator*() const {
     val = op(*i1);
     return val;
   }
-  
+
   Self& operator++(   ) {
     ++i1;
     return *this;
@@ -711,12 +711,12 @@ public:
     return *this;
   }
   Self  operator--(int) { Self tmp = *this; --(*this); return tmp; }
-  
+
   const value_type& operator[](difference_type i) const {
     val = op(i1[i]);
     return val;
   }
-  
+
   Self& operator+=(difference_type n) {
     i1 += n;
     return *this;
@@ -758,17 +758,17 @@ protected:
   mutable value_type val;  // Note: mutable is needed because we want to
                            // return a reference in operator*() and
                            // operator[](int) below.
-  
+
 public:
   Join_input_iterator_2() {}
   Join_input_iterator_2(const Join_input_iterator_2& it)
     : i1(it.i1), i2(it.i2), op(it.op) {}
   Join_input_iterator_2(I1 i1,I2 i2,const Op& op=Op())
     : i1(i1), i2(i2), op(op) {}
-  
+
   I1 current_iterator1() const { return i1; }
   I2 current_iterator2() const { return i2; }
-  
+
   bool operator==(const Self& i) const {
     return i1 == i.i1 && i2 == i.i2;
   }
@@ -776,7 +776,7 @@ public:
   bool operator< (const Self& i) const {
     return i1 < i.i1 && i2 < i.i2;
   }
-  
+
   Join_input_iterator_2& operator=(const Join_input_iterator_2& it)
   {
     i1 = it.i1;
@@ -785,11 +785,11 @@ public:
     return *this;
   }
 
-  const value_type& operator*() const { 
+  const value_type& operator*() const {
     val = op(*i1,*i2);
     return val;
   }
-  
+
   Self& operator++(   ) {
     ++i1;
     ++i2;
@@ -802,12 +802,12 @@ public:
     return *this;
   }
   Self  operator--(int) { Self tmp = *this; --(*this); return tmp; }
-  
+
   const value_type& operator[](difference_type i) const {
     val = op(i1[i],i2[i]);
     return val;
   }
-  
+
   Self& operator+=(difference_type n) {
     i1 += n;
     i2 += n;
@@ -845,7 +845,7 @@ public:
   typedef typename std::iterator_traits<I1>::difference_type    difference_type;
   typedef value_type*                                           pointer;
   typedef value_type&                                           reference;
-  
+
 protected:
   I1 i1;
   I2 i2;
@@ -854,18 +854,18 @@ protected:
   mutable value_type val;  // Note: mutable is needed because we want to
                            // return a reference in operator*() and
                            // operator[](int) below.
-  
+
 public:
   Join_input_iterator_3() {}
   Join_input_iterator_3(const Join_input_iterator_3& it)
     : i1(it.i1), i2(it.i2), i3(it.i3), op(it.op) {}
   Join_input_iterator_3(I1 i1,I2 i2,I3 i3,const Op& op=Op())
     : i1(i1), i2(i2), i3(i3), op(op) {}
-  
+
   I1 current_iterator1() const { return i1; }
   I2 current_iterator2() const { return i2; }
   I2 current_iterator3() const { return i3; }
-  
+
   bool operator==(const Self& i) const {
     return i1 == i.i1 && i2 == i.i2 && i3 == i.i3;
   }
@@ -873,7 +873,7 @@ public:
   bool operator< (const Self& i) const {
     return i1 < i.i1 && i2 < i.i2 && i3 < i.i3;
   }
-  
+
   Join_input_iterator_3& operator=(const Join_input_iterator_3& it)
   {
     i1 = it.i1;
@@ -883,11 +883,11 @@ public:
     return *this;
   }
 
-  const value_type& operator*() const { 
+  const value_type& operator*() const {
     val = op(*i1,*i2,*i3);
     return val;
   }
-  
+
   Self& operator++(   ) {
     ++i1;
     ++i2;
@@ -902,12 +902,12 @@ public:
     return *this;
   }
   Self  operator--(int) { Self tmp = *this; --(*this); return tmp; }
-  
+
   const value_type& operator[](difference_type i) const {
     val = op(i1[i],i2[i],i3[i]);
     return val;
   }
-  
+
   Self& operator+=(difference_type n) {
     i1 += n;
     i2 += n;
@@ -1220,17 +1220,17 @@ template<typename _Iterator, typename Pr
     public:
       typedef _Iterator          iterator_type;
 
-      explicit Filter_output_iterator(_Iterator& __x, const Predicate& pred) 
-	: iterator(__x), predicate(pred) 
+      explicit Filter_output_iterator(_Iterator& __x, const Predicate& pred)
+        : iterator(__x), predicate(pred)
       {}
 
       template <typename T>
       Filter_output_iterator&
       operator=(const T& t)
       {
-	if(! predicate(t))
-	  *iterator = t;
-	return *this;
+        if(! predicate(t))
+          *iterator = t;
+        return *this;
       }
 
       Filter_output_iterator&
@@ -1239,9 +1239,9 @@ template<typename _Iterator, typename Pr
 
       Filter_output_iterator&
       operator++()
-      { 
+      {
         ++iterator;
-        return *this; 
+        return *this;
       }
 
       Filter_output_iterator
@@ -1249,7 +1249,7 @@ template<typename _Iterator, typename Pr
       {
         Filter_output_iterator res(*this);
         ++iterator;
-        return res; 
+        return res;
       }
     };
 
@@ -1264,7 +1264,7 @@ template<typename OutputIterator>
 struct Output_visitor : boost::static_visitor<OutputIterator&> {
   Output_visitor(OutputIterator* it) : out(it) {}
   OutputIterator* out;
-  
+
   template<typename T>
   OutputIterator& operator()(const T& t) {
     *(*out)++ = t;
@@ -1298,7 +1298,7 @@ struct Derivator<D, std::tuple<V1, V...>
   Self& operator=(const Self&) = delete;
 
   using Base::operator=;
-  
+
   D& operator=(const V1& v)
   {
     * std::get< D::size - sizeof...(V) - 1 >(static_cast<typename D::Iterator_tuple&>(static_cast<D&>(*this))) ++ = v;
@@ -1308,7 +1308,7 @@ struct Derivator<D, std::tuple<V1, V...>
   template <class Tuple>
   void tuple_dispatch(const Tuple& t)
   {
-    * std::get< D::size - sizeof...(V) - 1 >(static_cast<typename D::Iterator_tuple&>(static_cast<D&>(*this))) ++ = 
+    * std::get< D::size - sizeof...(V) - 1 >(static_cast<typename D::Iterator_tuple&>(static_cast<D&>(*this))) ++ =
         std::get< D::size - sizeof...(V) - 1 >(t);
     static_cast<Base&>(*this).tuple_dispatch(t);
   }
@@ -1366,7 +1366,7 @@ public:
 
   Dispatch_output_iterator(O... o) : std::tuple<O...>(o...) {}
 
-    
+
   Dispatch_output_iterator(const Dispatch_output_iterator&)=default;
 
   Self& operator=(const Self& s)
@@ -1374,7 +1374,7 @@ public:
     static_cast<Iterator_tuple&>(*this) = static_cast<const Iterator_tuple&>(s);
     return *this;
   }
-  
+
   template<BOOST_VARIANT_ENUM_PARAMS(typename T)>
   Self& operator=(const boost::variant<BOOST_VARIANT_ENUM_PARAMS(T) >& t) {
     internal::Output_visitor<Self> visitor(this);
@@ -1402,18 +1402,18 @@ public:
   Self& operator*() { return *this; }
 
   const Iterator_tuple& get_iterator_tuple() const { return *this; }
-  
+
   Self& operator=(const std::tuple<V...>& t)
   {
     tuple_dispatch(t);
     return *this;
   }
-  
+
   operator std::tuple<O&...>()
   {
     return tuple_internal::to_tuple(*this, std::index_sequence_for<O...>{});
   }
-  
+
   operator std::tuple<const O&...>()const
   {
     return tuple_internal::to_tuple(*this, std::index_sequence_for<O...>{});
@@ -1447,7 +1447,7 @@ class Dispatch_or_drop_output_iterator <
 public:
 
   Dispatch_or_drop_output_iterator(O... o) : Base(o...) {}
-  
+
   Dispatch_or_drop_output_iterator(const Dispatch_or_drop_output_iterator&)=default;
   Dispatch_or_drop_output_iterator& operator=(const Dispatch_or_drop_output_iterator&)=default;
 
diff -pruN 5.0.2-3/include/CGAL/Iterator_project.h 5.0.3-1/include/CGAL/Iterator_project.h
--- 5.0.2-3/include/CGAL/Iterator_project.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Iterator_project.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Iterator_project.h $
-// $Id: Iterator_project.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Iterator_project.h $
+// $Id: Iterator_project.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
diff -pruN 5.0.2-3/include/CGAL/Iterator_range.h 5.0.3-1/include/CGAL/Iterator_range.h
--- 5.0.2-3/include/CGAL/Iterator_range.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Iterator_range.h	2020-08-01 19:02:47.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Iterator_range.h $
-// $Id: Iterator_range.h 56b828d 2019-11-05T09:07:34+01:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Iterator_range.h $
+// $Id: Iterator_range.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
@@ -25,7 +25,7 @@ namespace CGAL {
   template <typename I>
   class Iterator_range
     : public std::pair<I,I>{
-    
+
     typedef std::pair<I,I> Base;
 
   public:
@@ -75,7 +75,7 @@ namespace CGAL {
     return std::tuple<I&, I&>{this->first, this->second};
   }
 
-  operator std::tuple<const I&, const I&>() const 
+  operator std::tuple<const I&, const I&>() const
   {
     return std::tuple<const I&, const I&>{this->first, this->second};
   }
diff -pruN 5.0.2-3/include/CGAL/Iterator_transform.h 5.0.3-1/include/CGAL/Iterator_transform.h
--- 5.0.2-3/include/CGAL/Iterator_transform.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Iterator_transform.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,4 +1,4 @@
-// Copyright (c) 2007 
+// Copyright (c) 2007
 // GeometryFactory (France),
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
@@ -8,15 +8,15 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Iterator_transform.h $
-// $Id: Iterator_transform.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Iterator_transform.h $
+// $Id: Iterator_transform.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
 //                 Sylvain Pion
-//                 Fernando Cacciola <fernando.cacciola@geometryfactory.com> 
+//                 Fernando Cacciola <fernando.cacciola@geometryfactory.com>
 
 #ifndef CGAL_ITERATOR_TRANSFORM_H
 #define CGAL_ITERATOR_TRANSFORM_H 1
@@ -74,7 +74,7 @@ public:
   Iterator  current_iterator() const { return nt;}
   bool      operator==( const Self& i) const { return ( nt == i.nt); }
   bool      operator!=( const Self& i) const { return !(*this == i); }
-  
+
   struct Proxy
   {
       Proxy(const reference r) : ref(r) {}
@@ -86,13 +86,13 @@ public:
   {
       return Proxy(Fct()(*nt));
   }
-  
-  reference operator* () const 
+
+  reference operator* () const
   {
     Fct fct;
     return fct(*nt);
   }
-  
+
   Self&     operator++() {
     ++nt;
     return *this;
diff -pruN 5.0.2-3/include/CGAL/jet_estimate_normals.h 5.0.3-1/include/CGAL/jet_estimate_normals.h
--- 5.0.2-3/include/CGAL/jet_estimate_normals.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/jet_estimate_normals.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/jet_estimate_normals.h $
-// $Id: jet_estimate_normals.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/jet_estimate_normals.h $
+// $Id: jet_estimate_normals.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Laurent Saboret and Marc Pouget and Frederic Cazals
@@ -36,7 +36,7 @@
 #include <CGAL/Point_set_processing_3/internal/Parallel_callback.h>
 #include <tbb/parallel_for.h>
 #include <tbb/blocked_range.h>
-#include <tbb/scalable_allocator.h>  
+#include <tbb/scalable_allocator.h>
 #endif // CGAL_LINKED_WITH_TBB
 
 namespace CGAL {
@@ -81,7 +81,7 @@ jet_estimate_normal(const typename Kerne
   std::vector<Point> points;
   CGAL::Point_set_processing_3::internal::neighbor_query
     (query, tree, k, neighbor_radius, points);
-  
+
   // performs jet fitting
   Monge_jet_fitting monge_fit;
   const unsigned int degree_monge = 1; // we seek for normal and not more.
@@ -118,7 +118,7 @@ jet_estimate_normal(const typename Kerne
       , advancement (advancement)
       , interrupted (interrupted)
     { }
-    
+
     void operator()(const tbb::blocked_range<std::size_t>& r) const
     {
       for( std::size_t i = r.begin(); i != r.end(); ++i)
@@ -134,7 +134,7 @@ jet_estimate_normal(const typename Kerne
 #endif // CGAL_LINKED_WITH_TBB
 
 
-  
+
 } /* namespace internal */
 /// \endcond
 
@@ -188,7 +188,7 @@ jet_estimate_normal(const typename Kerne
    \cgalNamedParamsEnd
 */
 template <typename ConcurrencyTag,
-	  typename PointRange,
+          typename PointRange,
           typename NamedParameters
 >
 void
@@ -199,7 +199,7 @@ jet_estimate_normals(
 {
   using parameters::choose_parameter;
   using parameters::get_parameter;
-  
+
   CGAL_TRACE("Calls jet_estimate_normals()\n");
 
   // basic geometric types
@@ -220,7 +220,7 @@ jet_estimate_normals(
   NormalMap normal_map = choose_parameter(get_parameter(np, internal_np::normal_map), NormalMap());
   unsigned int degree_fitting = choose_parameter(get_parameter(np, internal_np::degree_fitting), 2);
   FT neighbor_radius = choose_parameter(get_parameter(np, internal_np::neighbor_radius), FT(0));
-  
+
   const std::function<bool(double)>& callback = choose_parameter(get_parameter(np, internal_np::callback),
                                                                std::function<bool(double)>());
 
@@ -249,7 +249,7 @@ jet_estimate_normals(
 
   // Instanciate a KD-tree search.
   // Note: We have to convert each input iterator to Point_3.
-  std::vector<Point> kd_tree_points; 
+  std::vector<Point> kd_tree_points;
   for(it = points.begin(); it != points.end(); it++)
     kd_tree_points.push_back(get(point_map, *it));
   Tree tree(kd_tree_points.begin(), kd_tree_points.end());
@@ -261,13 +261,13 @@ jet_estimate_normals(
   // vectors (already normalized)
 #ifndef CGAL_LINKED_WITH_TBB
   CGAL_static_assertion_msg (!(boost::is_convertible<ConcurrencyTag, Parallel_tag>::value),
-			     "Parallel_tag is enabled but TBB is unavailable.");
+                             "Parallel_tag is enabled but TBB is unavailable.");
 #else
    if (boost::is_convertible<ConcurrencyTag,Parallel_tag>::value)
    {
      Point_set_processing_3::internal::Parallel_callback
        parallel_callback (callback, kd_tree_points.size());
-     
+
      std::vector<Vector> normals (kd_tree_points.size (),
                                   CGAL::NULL_VECTOR);
      CGAL::internal::Jet_estimate_normals<Kernel, SvdTraits, Tree>
@@ -288,15 +288,15 @@ jet_estimate_normals(
      {
        std::size_t nb = 0;
        for(it = points.begin(); it != points.end(); it++, ++ nb)
-	 {
-	   Vector normal = internal::jet_estimate_normal<Kernel,SvdTraits,Tree>(
-										get(point_map,*it), 
-										tree, k, neighbor_radius, degree_fitting);
+         {
+           Vector normal = internal::jet_estimate_normal<Kernel,SvdTraits,Tree>(
+                                                                                get(point_map,*it),
+                                                                                tree, k, neighbor_radius, degree_fitting);
 
-	   put(normal_map, *it, normal); // normal_map[it] = normal
+           put(normal_map, *it, normal); // normal_map[it] = normal
            if (callback && !callback ((nb+1) / double(kd_tree_points.size())))
              break;
-    	 }
+             }
      }
 
 
@@ -308,7 +308,7 @@ jet_estimate_normals(
 /// \cond SKIP_IN_MANUAL
 // variant with default NP
 template <typename ConcurrencyTag,
-	  typename PointRange>
+          typename PointRange>
 void
 jet_estimate_normals(
   PointRange& points,
diff -pruN 5.0.2-3/include/CGAL/jet_smooth_point_set.h 5.0.3-1/include/CGAL/jet_smooth_point_set.h
--- 5.0.2-3/include/CGAL/jet_smooth_point_set.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/jet_smooth_point_set.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/jet_smooth_point_set.h $
-// $Id: jet_smooth_point_set.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/jet_smooth_point_set.h $
+// $Id: jet_smooth_point_set.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez, Marc Pouget and Laurent Saboret
@@ -35,7 +35,7 @@
 #include <CGAL/Point_set_processing_3/internal/Parallel_callback.h>
 #include <tbb/parallel_for.h>
 #include <tbb/blocked_range.h>
-#include <tbb/scalable_allocator.h>  
+#include <tbb/scalable_allocator.h>
 #endif // CGAL_LINKED_WITH_TBB
 
 namespace CGAL {
@@ -78,8 +78,8 @@ jet_smooth_point(
                                  Simple_cartesian<double>,
                                  SvdTraits> Monge_jet_fitting;
   typedef typename Monge_jet_fitting::Monge_form Monge_form;
-  
-  std::vector<Point> points; 
+
+  std::vector<Point> points;
   CGAL::Point_set_processing_3::internal::neighbor_query
     (query, tree, k, neighbor_radius, points);
 
@@ -118,17 +118,17 @@ jet_smooth_point(
       , advancement (advancement)
       , interrupted (interrupted)
     { }
-    
+
     void operator()(const tbb::blocked_range<std::size_t>& r) const
     {
       for( std::size_t i = r.begin(); i != r.end(); ++i)
       {
         if (interrupted)
           break;
-	output[i] = CGAL::internal::jet_smooth_point<Kernel, SvdTraits>(input[i], tree, k,
+        output[i] = CGAL::internal::jet_smooth_point<Kernel, SvdTraits>(input[i], tree, k,
                   neighbor_radius,
-									degree_fitting,
-									degree_monge);
+                                                                        degree_fitting,
+                                                                        degree_monge);
         ++ advancement;
       }
     }
@@ -192,7 +192,7 @@ jet_smooth_point(
 
 */
 template <typename ConcurrencyTag,
-	  typename PointRange,
+          typename PointRange,
           typename NamedParameters
 >
 void
@@ -203,7 +203,7 @@ jet_smooth_point_set(
 {
   using parameters::choose_parameter;
   using parameters::get_parameter;
-  
+
   // basic geometric types
   typedef typename Point_set_processing_3::GetPointMap<PointRange, NamedParameters>::type PointMap;
   typedef typename Point_set_processing_3::GetK<PointRange, NamedParameters>::Kernel Kernel;
@@ -235,12 +235,12 @@ jet_smooth_point_set(
 
   // precondition: at least 2 nearest neighbors
   CGAL_point_set_processing_precondition(k >= 2);
-  
+
   typename PointRange::iterator it;
 
   // Instanciate a KD-tree search.
   // Note: We have to convert each input iterator to Point_3.
-  std::vector<Point> kd_tree_points; 
+  std::vector<Point> kd_tree_points;
   for(it = points.begin(); it != points.end(); it++)
     kd_tree_points.push_back(get(point_map, *it));
   Tree tree(kd_tree_points.begin(), kd_tree_points.end());
@@ -250,13 +250,13 @@ jet_smooth_point_set(
 
 #ifndef CGAL_LINKED_WITH_TBB
   CGAL_static_assertion_msg (!(boost::is_convertible<ConcurrencyTag, Parallel_tag>::value),
-			     "Parallel_tag is enabled but TBB is unavailable.");
+                             "Parallel_tag is enabled but TBB is unavailable.");
 #else
    if (boost::is_convertible<ConcurrencyTag,Parallel_tag>::value)
    {
      Point_set_processing_3::internal::Parallel_callback
        parallel_callback (callback, kd_tree_points.size());
-     
+
      std::vector<Point> mutated_points (kd_tree_points.size (), CGAL::ORIGIN);
      CGAL::internal::Jet_smooth_pwns<Kernel, SvdTraits, Tree>
        f (tree, k, neighbor_radius, kd_tree_points, degree_fitting, degree_monge,
@@ -277,14 +277,14 @@ jet_smooth_point_set(
      {
        std::size_t nb = 0;
        for(it = points.begin(); it != points.end(); it++, ++ nb)
-	 {
-	   const typename boost::property_traits<PointMap>::reference p = get(point_map, *it);
-	   put(point_map, *it ,
-	       internal::jet_smooth_point<Kernel, SvdTraits>(
+         {
+           const typename boost::property_traits<PointMap>::reference p = get(point_map, *it);
+           put(point_map, *it ,
+               internal::jet_smooth_point<Kernel, SvdTraits>(
                    p,tree,k,neighbor_radius,degree_fitting,degree_monge) );
            if (callback && !callback ((nb+1) / double(kd_tree_points.size())))
              break;
-	 }
+         }
      }
 }
 
@@ -292,7 +292,7 @@ jet_smooth_point_set(
 /// \cond SKIP_IN_MANUAL
 // variant with default NP
 template <typename ConcurrencyTag,
-	  typename PointRange>
+          typename PointRange>
 void
 jet_smooth_point_set(
   PointRange& points,
@@ -302,7 +302,7 @@ jet_smooth_point_set(
     (points, k, CGAL::Point_set_processing_3::parameters::all_default(points));
 }
 /// \endcond
-  
+
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Join_input_iterator.h 5.0.3-1/include/CGAL/Join_input_iterator.h
--- 5.0.2-3/include/CGAL/Join_input_iterator.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Join_input_iterator.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Join_input_iterator.h $
-// $Id: Join_input_iterator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Join_input_iterator.h $
+// $Id: Join_input_iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
diff -pruN 5.0.2-3/include/CGAL/Kd_tree.h 5.0.3-1/include/CGAL/Kd_tree.h
--- 5.0.2-3/include/CGAL/Kd_tree.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kd_tree.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Kd_tree.h $
-// $Id: Kd_tree.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Kd_tree.h $
+// $Id: Kd_tree.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Hans Tangelder (<hanst@cs.uu.nl>),
@@ -122,7 +122,7 @@ private:
     leaf_nodes.push_back(node);
     Leaf_node_handle nh = &leaf_nodes.back();
 
-   
+
     return nh;
   }
 
@@ -191,8 +191,8 @@ private:
       nh->upper_ch = create_leaf_node(c);
     }
 
-    
-    
+
+
 
     return nh;
   }
@@ -223,7 +223,7 @@ private:
       nh->upper_ch = create_leaf_node(c);
     }
 
-   
+
 
     return nh;
   }
@@ -238,7 +238,7 @@ public:
 
   template <class InputIterator>
   Kd_tree(InputIterator first, InputIterator beyond,
-	  Splitter s = Splitter(),const SearchTraits traits=SearchTraits())
+          Splitter s = Splitter(),const SearchTraits traits=SearchTraits())
     : traits_(traits),split(s), built_(false), removed_(false)
   {
     pts.insert(pts.end(), first, beyond);
@@ -402,11 +402,11 @@ private:
       Internal_node_handle newparent = static_cast<Internal_node_handle>(node);
       // FIXME: This should be if(x<y) remove low; else remove up;
       if (traits().construct_cartesian_const_iterator_d_object()(p)[newparent->cutting_dimension()] <= newparent->cutting_value()) {
-	if (remove_(p, parent, islower, newparent, true, newparent->lower(), equal_to_p))
-	  return true;
+        if (remove_(p, parent, islower, newparent, true, newparent->lower(), equal_to_p))
+          return true;
       }
       //if (traits().construct_cartesian_const_iterator_d_object()(p)[newparent->cutting_dimension()] >= newparent->cutting_value())
-	return remove_(p, parent, islower, newparent, false, newparent->upper(), equal_to_p);
+        return remove_(p, parent, islower, newparent, false, newparent->upper(), equal_to_p);
 
     }
 
@@ -418,8 +418,8 @@ private:
       if (pi == lnode->end()) return false;
       iterator lasti = lnode->end() - 1;
       if (pi != lasti) {
-	// Hack to get a non-const iterator
-	std::iter_swap(pts.begin()+(pi-pts.begin()), pts.begin()+(lasti-pts.begin()));
+        // Hack to get a non-const iterator
+        std::iter_swap(pts.begin()+(pi-pts.begin()), pts.begin()+(lasti-pts.begin()));
       }
       lnode->drop_last_point();
     } else if (!equal_to_p(*lnode->begin())) {
@@ -428,9 +428,9 @@ private:
     } else if (grandparent) {
       Node_handle brother = islower ? parent->upper() : parent->lower();
       if (parent_islower)
-	grandparent->set_lower(brother);
+        grandparent->set_lower(brother);
       else
-	grandparent->set_upper(brother);
+        grandparent->set_upper(brother);
     } else if (parent) {
       tree_root = islower ? parent->upper() : parent->lower();
     } else {
@@ -460,7 +460,7 @@ public:
     if(! pts.empty()){
 
       if(! is_built()){
-	const_build();
+        const_build();
       }
       Kd_tree_rectangle<FT,D> b(*bbox);
       return tree_root->search(it,q,b);
@@ -476,7 +476,7 @@ public:
     if(! pts.empty()){
 
       if(! is_built()){
-	const_build();
+        const_build();
       }
       Kd_tree_rectangle<FT,D> b(*bbox);
       return tree_root->search_any_point(q,b);
@@ -521,7 +521,7 @@ public:
   {
     if(! pts.empty()){
       if(! is_built()){
-	const_build();
+        const_build();
       }
       root()->print();
     }else{
diff -pruN 5.0.2-3/include/CGAL/Kd_tree_node.h 5.0.3-1/include/CGAL/Kd_tree_node.h
--- 5.0.2-3/include/CGAL/Kd_tree_node.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kd_tree_node.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Kd_tree_node.h $
-// $Id: Kd_tree_node.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Kd_tree_node.h $
+// $Id: Kd_tree_node.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Authors       : Hans Tangelder (<hanst@cs.uu.nl>)
 
@@ -23,10 +23,10 @@
 
 namespace CGAL {
 
-  template <class SearchTraits, class Splitter, class UseExtendedNode> 
+  template <class SearchTraits, class Splitter, class UseExtendedNode>
   class Kd_tree;
 
-  template < class TreeTraits, class Splitter, class UseExtendedNode > 
+  template < class TreeTraits, class Splitter, class UseExtendedNode >
   class Kd_tree_node {
 
      friend class Kd_tree<TreeTraits,Splitter,UseExtendedNode>;
@@ -47,7 +47,7 @@ namespace CGAL {
 
     bool leaf;
 
-  public : 
+  public :
     Kd_tree_node(bool leaf_)
       :leaf(leaf_){}
 
@@ -55,18 +55,18 @@ namespace CGAL {
       return leaf;
     }
 
-    std::size_t 
+    std::size_t
     num_items() const
     {
       if (is_leaf()){
-        Leaf_node_const_handle node = 
+        Leaf_node_const_handle node =
           static_cast<Leaf_node_const_handle>(this);
         return node->size();
       }
       else {
-        Internal_node_const_handle node = 
+        Internal_node_const_handle node =
           static_cast<Internal_node_const_handle>(this);
-	return node->lower()->num_items() + node->upper()->num_items();
+        return node->lower()->num_items() + node->upper()->num_items();
       }
     }
 
@@ -75,48 +75,48 @@ namespace CGAL {
     {
       if (is_leaf()) return 1;
       else {
-        Internal_node_const_handle node = 
+        Internal_node_const_handle node =
           static_cast<Internal_node_const_handle>(this);
-	return node->lower()->num_nodes() + node->upper()->num_nodes();
+        return node->lower()->num_nodes() + node->upper()->num_nodes();
       }
     }
 
-    int 
+    int
     depth(const int current_max_depth) const
     {
       if (is_leaf()){
-	return current_max_depth;
+        return current_max_depth;
       }
       else {
-        Internal_node_const_handle node = 
+        Internal_node_const_handle node =
           static_cast<Internal_node_const_handle>(this);
-        return 
-	     (std::max)( node->lower()->depth(current_max_depth + 1),
-			 node->upper()->depth(current_max_depth + 1));
+        return
+             (std::max)( node->lower()->depth(current_max_depth + 1),
+                         node->upper()->depth(current_max_depth + 1));
       }
     }
 
-    int 
+    int
     depth() const
     {
-      return depth(1); 
+      return depth(1);
     }
 
     template <class OutputIterator>
-    OutputIterator 
+    OutputIterator
     tree_items(OutputIterator it) const {
       if (is_leaf()) {
-         Leaf_node_const_handle node = 
+         Leaf_node_const_handle node =
           static_cast<Leaf_node_const_handle>(this);
-	 if (node->size()>0) 
-	    for (iterator i=node->begin(); i != node->end(); i++) 
-	      {*it=*i; ++it;} 
-	}
+         if (node->size()>0)
+            for (iterator i=node->begin(); i != node->end(); i++)
+              {*it=*i; ++it;}
+        }
       else {
-         Internal_node_const_handle node = 
+         Internal_node_const_handle node =
           static_cast<Internal_node_const_handle>(this);
-	  it=node->lower()->tree_items(it);  
-	  it=node->upper()->tree_items(it); 
+          it=node->lower()->tree_items(it);
+          it=node->upper()->tree_items(it);
       }
       return it;
     }
@@ -128,14 +128,14 @@ namespace CGAL {
       if (is_leaf()) {
          Leaf_node_const_handle node =
           static_cast<Leaf_node_const_handle>(this);
-	 if (node->size()>0){
+         if (node->size()>0){
            return boost::make_optional(*(node->begin()));
          }
-	}
+        }
       else {
          Internal_node_const_handle node =
           static_cast<Internal_node_const_handle>(this);
-	  result = node->lower()->any_tree_item();
+          result = node->lower()->any_tree_item();
           if(! result){
             result = node->upper()->any_tree_item();
           }
@@ -144,74 +144,74 @@ namespace CGAL {
     }
 
 
-     void 
+     void
     indent(int d) const
     {
       for(int i = 0; i < d; i++){
-	std::cout << " ";
+        std::cout << " ";
       }
     }
 
 
-    void 
-    print(int d = 0) const 
+    void
+    print(int d = 0) const
     {
       if (is_leaf()) {
-        Leaf_node_const_handle node = 
+        Leaf_node_const_handle node =
           static_cast<Leaf_node_const_handle>(this);
-	indent(d);
-	std::cout << "leaf" << std::endl;
-	if (node->size()>0)
-	  for (iterator i=node->begin(); i != node->end(); i++)
-	  {indent(d);std::cout << *i << std::endl;}
+        indent(d);
+        std::cout << "leaf" << std::endl;
+        if (node->size()>0)
+          for (iterator i=node->begin(); i != node->end(); i++)
+          {indent(d);std::cout << *i << std::endl;}
       }
       else {
-        Internal_node_const_handle node = 
+        Internal_node_const_handle node =
           static_cast<Internal_node_const_handle>(this);
-	indent(d);
-	std::cout << "lower tree" << std::endl;
-	node->lower()->print(d+1);
-	indent(d);
-	std::cout << "separator: dim = " << node->cutting_dimension() << "  val = " << node->cutting_value() << std::endl;
-	indent(d);
-	std::cout << "upper tree" << std::endl;
-	node->upper()->print(d+1); 
+        indent(d);
+        std::cout << "lower tree" << std::endl;
+        node->lower()->print(d+1);
+        indent(d);
+        std::cout << "separator: dim = " << node->cutting_dimension() << "  val = " << node->cutting_value() << std::endl;
+        indent(d);
+        std::cout << "upper tree" << std::endl;
+        node->upper()->print(d+1);
       }
     }
 
 
     template <class OutputIterator, class FuzzyQueryItem>
-    OutputIterator 
+    OutputIterator
     search(OutputIterator it, const FuzzyQueryItem& q,
-	   Kd_tree_rectangle<FT,D>& b) const
+           Kd_tree_rectangle<FT,D>& b) const
     {
-      if (is_leaf()) { 
-        Leaf_node_const_handle node = 
+      if (is_leaf()) {
+        Leaf_node_const_handle node =
           static_cast<Leaf_node_const_handle>(this);
-	if (node->size()>0) 
-	  for (iterator i=node->begin(); i != node->end(); i++) 
-	    if (q.contains(*i)) 
-	      {*it++=*i;}
+        if (node->size()>0)
+          for (iterator i=node->begin(); i != node->end(); i++)
+            if (q.contains(*i))
+              {*it++=*i;}
       }
       else {
-         Internal_node_const_handle node = 
+         Internal_node_const_handle node =
           static_cast<Internal_node_const_handle>(this);
-	// after splitting b denotes the lower part of b
-	Kd_tree_rectangle<FT,D> b_upper(b);
-	node->split_bbox(b, b_upper);
-
-	if (q.outer_range_contains(b)) 	
-	  it=node->lower()->tree_items(it);
-	else
-	  if (q.inner_range_intersects(b)) 
-	    it=node->lower()->search(it,q,b);
-	if  (q.outer_range_contains(b_upper))     
-	  it=node->upper()->tree_items(it);
-	else
-	  if (q.inner_range_intersects(b_upper)) 
-	    it=node->upper()->search(it,q,b_upper);
+        // after splitting b denotes the lower part of b
+        Kd_tree_rectangle<FT,D> b_upper(b);
+        node->split_bbox(b, b_upper);
+
+        if (q.outer_range_contains(b))
+          it=node->lower()->tree_items(it);
+        else
+          if (q.inner_range_intersects(b))
+            it=node->lower()->search(it,q,b);
+        if  (q.outer_range_contains(b_upper))
+          it=node->upper()->tree_items(it);
+        else
+          if (q.inner_range_intersects(b_upper))
+            it=node->upper()->search(it,q,b_upper);
       };
-      return it;				
+      return it;
     }
 
 
@@ -221,89 +221,89 @@ namespace CGAL {
                      Kd_tree_rectangle<FT,D>& b) const
     {
       boost::optional<Point_d> result = boost::none;
-      if (is_leaf()) { 
-        Leaf_node_const_handle node = 
+      if (is_leaf()) {
+        Leaf_node_const_handle node =
           static_cast<Leaf_node_const_handle>(this);
-	if (node->size()>0) 
-	  for (iterator i=node->begin(); i != node->end(); i++) 
-	    if (q.contains(*i)) 
-	      { result = *i; break; }
+        if (node->size()>0)
+          for (iterator i=node->begin(); i != node->end(); i++)
+            if (q.contains(*i))
+              { result = *i; break; }
       }
       else {
-         Internal_node_const_handle node = 
+         Internal_node_const_handle node =
           static_cast<Internal_node_const_handle>(this);
-	// after splitting b denotes the lower part of b
-	Kd_tree_rectangle<FT,D> b_upper(b);
-	node->split_bbox(b, b_upper);
-
-	if (q.inner_range_intersects(b)) {
-	  result = node->lower()->search_any_point(q,b);
-	  if(result)
-	    return result;
-	}
-	if (q.inner_range_intersects(b_upper))
-	  result = node->upper()->search_any_point(q,b_upper);
+        // after splitting b denotes the lower part of b
+        Kd_tree_rectangle<FT,D> b_upper(b);
+        node->split_bbox(b, b_upper);
+
+        if (q.inner_range_intersects(b)) {
+          result = node->lower()->search_any_point(q,b);
+          if(result)
+            return result;
+        }
+        if (q.inner_range_intersects(b_upper))
+          result = node->upper()->search_any_point(q,b_upper);
       }
-      return result;				
+      return result;
     }
 
   };
 
 
-  template < class TreeTraits, class Splitter, class UseExtendedNode > 
+  template < class TreeTraits, class Splitter, class UseExtendedNode >
   class Kd_tree_leaf_node : public Kd_tree_node< TreeTraits, Splitter, UseExtendedNode >{
 
     friend class Kd_tree<TreeTraits,Splitter,UseExtendedNode>;
-    
+
     typedef typename Kd_tree<TreeTraits,Splitter,UseExtendedNode>::iterator iterator;
     typedef Kd_tree_node< TreeTraits, Splitter, UseExtendedNode> Base;
     typedef typename TreeTraits::Point_d Point_d;
 
   private:
-    
+
     // private variables for leaf nodes
     boost::int32_t n; // denotes number of items in a leaf node
     iterator data; // iterator to data in leaf node
 
-                    
+
   public:
-		
+
     // default constructor
-    Kd_tree_leaf_node() 
+    Kd_tree_leaf_node()
     {}
 
-    Kd_tree_leaf_node(bool leaf_ ) 
+    Kd_tree_leaf_node(bool leaf_ )
       : Base(leaf_)
     {}
 
-    Kd_tree_leaf_node(bool leaf_,unsigned int n_ ) 
+    Kd_tree_leaf_node(bool leaf_,unsigned int n_ )
       : Base(leaf_), n(n_)
     {}
 
     // members for all nodes
-   
+
     // members for leaf nodes only
-    inline 
-    unsigned int 
-    size() const 
-    { 
+    inline
+    unsigned int
+    size() const
+    {
       return n;
     }
-  
-    inline 
+
+    inline
     iterator
-    begin() const  
+    begin() const
     {
       return data;
     }
 
-    inline 
-    iterator 
-    end() const 
+    inline
+    iterator
+    end() const
     {
       return data + n;
     }
- 
+
     inline
     void
     drop_last_point()
@@ -315,7 +315,7 @@ namespace CGAL {
 
 
 
-  template < class TreeTraits, class Splitter, class UseExtendedNode> 
+  template < class TreeTraits, class Splitter, class UseExtendedNode>
   class Kd_tree_internal_node : public Kd_tree_node< TreeTraits, Splitter, UseExtendedNode >{
 
     friend class Kd_tree<TreeTraits,Splitter,UseExtendedNode>;
@@ -329,7 +329,7 @@ namespace CGAL {
     typedef typename Kd_tree<TreeTraits,Splitter,UseExtendedNode>::D D;
 
   private:
-    
+
        // private variables for internal nodes
     boost::int32_t cut_dim;
     FT cut_val;
@@ -342,48 +342,48 @@ namespace CGAL {
     FT lower_low_val;
     FT lower_high_val;
 
-                
+
   public:
 
     // default constructor
-    Kd_tree_internal_node() 
+    Kd_tree_internal_node()
     {}
 
-    Kd_tree_internal_node(bool leaf_) 
+    Kd_tree_internal_node(bool leaf_)
       : Base(leaf_)
     {}
-    
-    
+
+
     // members for internal node and extended internal node
 
-    inline 
-    Node_const_handle 
-    lower() const 
+    inline
+    Node_const_handle
+    lower() const
     {
-      return lower_ch; 
+      return lower_ch;
     }
 
-    inline 
-    Node_const_handle 
-    upper() const 
+    inline
+    Node_const_handle
+    upper() const
     {
-      return upper_ch; 
+      return upper_ch;
     }
 
-    inline 
-    Node_handle 
+    inline
+    Node_handle
     lower()
     {
-      return lower_ch; 
+      return lower_ch;
     }
 
-    inline 
-    Node_handle 
+    inline
+    Node_handle
     upper()
     {
-      return upper_ch; 
+      return upper_ch;
     }
-  	
+
     inline
     void
     set_lower(Node_handle nh)
@@ -405,23 +405,23 @@ namespace CGAL {
       cut_dim = sep.cutting_dimension();
       cut_val = sep.cutting_value();
     }
-  	
-    inline 
-    FT 
-    cutting_value() const 
+
+    inline
+    FT
+    cutting_value() const
     {
       return cut_val;
     }
-  	
-    inline 
-    int 
-    cutting_dimension() const 
+
+    inline
+    int
+    cutting_dimension() const
     {
       return cut_dim;
     }
 
     // members for extended internal node only
-    inline 
+    inline
     FT
     upper_low_value() const
     {
@@ -449,8 +449,8 @@ namespace CGAL {
       return lower_high_val;
     }
 
-    /*Separator& 
-    separator() 
+    /*Separator&
+    separator()
     {
       return Separator(cutting_dimension,cutting_value);
     }*/
@@ -463,7 +463,7 @@ namespace CGAL {
     }
   };//internal node
 
- template < class TreeTraits, class Splitter> 
+ template < class TreeTraits, class Splitter>
  class Kd_tree_internal_node<TreeTraits,Splitter,Tag_false> : public Kd_tree_node< TreeTraits, Splitter, Tag_false >{
 
     friend class Kd_tree<TreeTraits,Splitter,Tag_false>;
@@ -477,54 +477,54 @@ namespace CGAL {
     typedef typename Kd_tree<TreeTraits,Splitter,Tag_false>::D D;
 
   private:
-    
+
        // private variables for internal nodes
     boost::uint8_t cut_dim;
     FT cut_val;
 
     Node_handle lower_ch, upper_ch;
-                
+
   public:
 
     // default constructor
-    Kd_tree_internal_node() 
+    Kd_tree_internal_node()
     {}
 
-    Kd_tree_internal_node(bool leaf_) 
+    Kd_tree_internal_node(bool leaf_)
       : Base(leaf_)
     {}
-    
-    
+
+
     // members for internal node and extended internal node
 
-    inline 
-    Node_const_handle 
-    lower() const 
+    inline
+    Node_const_handle
+    lower() const
     {
-      return lower_ch; 
+      return lower_ch;
     }
 
-    inline 
-    Node_const_handle 
-    upper() const 
+    inline
+    Node_const_handle
+    upper() const
     {
-      return upper_ch; 
+      return upper_ch;
     }
 
-    inline 
-    Node_handle 
+    inline
+    Node_handle
     lower()
     {
-      return lower_ch; 
+      return lower_ch;
     }
 
-    inline 
-    Node_handle 
+    inline
+    Node_handle
     upper()
     {
-      return upper_ch; 
+      return upper_ch;
     }
-  	
+
     inline
     void
     set_lower(Node_handle nh)
@@ -547,23 +547,23 @@ namespace CGAL {
       cut_dim = static_cast<boost::uint8_t>(sep.cutting_dimension());
       cut_val = sep.cutting_value();
     }
-  	
-    inline 
-    FT 
-    cutting_value() const 
+
+    inline
+    FT
+    cutting_value() const
     {
       return cut_val;
     }
-  	
-    inline 
-    int 
-    cutting_dimension() const 
+
+    inline
+    int
+    cutting_dimension() const
     {
       return cut_dim;
     }
 
-   /* Separator& 
-    separator() 
+   /* Separator&
+    separator()
     {
       return Separator(cutting_dimension,cutting_value);
     }*/
diff -pruN 5.0.2-3/include/CGAL/Kd_tree_rectangle.h 5.0.3-1/include/CGAL/Kd_tree_rectangle.h
--- 5.0.2-3/include/CGAL/Kd_tree_rectangle.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kd_tree_rectangle.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Kd_tree_rectangle.h $
-// $Id: Kd_tree_rectangle.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Kd_tree_rectangle.h $
+// $Id: Kd_tree_rectangle.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Hans Tangelder (<hanst@cs.uu.nl>)
 
@@ -31,42 +31,42 @@ namespace CGAL {
     T *lower;
     T *upper;
     Construct_cartesian_const_iterator_d construct_it;
-    
-    set_bounds_from_pointer(int d, T *l, T *u,Construct_cartesian_const_iterator_d construct_it_) 
+
+    set_bounds_from_pointer(int d, T *l, T *u,Construct_cartesian_const_iterator_d construct_it_)
       : dim(d), lower(l), upper(u), construct_it(construct_it_)
     {}
 
-    void 
-    operator()(P p) 
+    void
+    operator()(P p)
     {
       T h;
       typename Construct_cartesian_const_iterator_d::result_type pit = construct_it(*p);
       for (int i = 0; i < dim; ++i, ++pit) {
-	h=(*pit);
-	if (h < lower[i]) lower[i] = h;
-	if (h > upper[i]) upper[i] = h;
+        h=(*pit);
+        if (h < lower[i]) lower[i] = h;
+        if (h > upper[i]) upper[i] = h;
       }
     }
   };
 
 
-  template <class FT_, typename D = Dynamic_dimension_tag> 
+  template <class FT_, typename D = Dynamic_dimension_tag>
   class Kd_tree_rectangle {
   public:
     typedef FT_ FT;
     typedef FT T;
-    
+
   private:
-    
+
     //int dim;
     std::array<T,D::value> lower_;
     std::array<T,D::value> upper_;
     int max_span_coord_;
-    
+
   public:
-    
-    inline void 
-    set_upper_bound(int i, const FT& x) 
+
+    inline void
+    set_upper_bound(int i, const FT& x)
     {
       CGAL_assertion(i >= 0 && i < D::value);
       CGAL_assertion(x >= lower_[i]);
@@ -74,8 +74,8 @@ namespace CGAL {
       set_max_span();
     }
 
-    inline void 
-    set_lower_bound(int i, const FT& x) 
+    inline void
+    set_lower_bound(int i, const FT& x)
     {
       CGAL_assertion(i >= 0 && i < D::value);
       CGAL_assertion(x <= upper_[i]);
@@ -83,20 +83,20 @@ namespace CGAL {
       set_max_span();
     }
 
-    inline void 
-    set_max_span() 
+    inline void
+    set_max_span()
     {
       FT span = upper_[0]-lower_[0];
       max_span_coord_ = 0;
       for (int i = 1; i < D::value; ++i) {
-	FT tmp = upper_[i] - lower_[i];
-	if (span < tmp) {
-	  span = tmp;
-	  max_span_coord_ = i;
-	}
+        FT tmp = upper_[i] - lower_[i];
+        if (span < tmp) {
+          span = tmp;
+          max_span_coord_ = i;
+        }
       }
     }
-    
+
     Kd_tree_rectangle(int)
       : max_span_coord_(0)
     {
@@ -104,29 +104,29 @@ namespace CGAL {
       upper_.fill(FT(0));
     }
 
-    Kd_tree_rectangle() 
+    Kd_tree_rectangle()
     {}
-    
-    
-    explicit 
+
+
+    explicit
     Kd_tree_rectangle(const Kd_tree_rectangle& r)
-    : max_span_coord_(r.max_span_coord_) 
+    : max_span_coord_(r.max_span_coord_)
     {
       lower_ = r.lower_;
       upper_ = r.upper_;
     }
 
     template <class Construct_cartesian_const_iterator_d,class PointPointerIter>
-    void update_from_point_pointers(PointPointerIter begin, 
+    void update_from_point_pointers(PointPointerIter begin,
                                     PointPointerIter end,
                                     const Construct_cartesian_const_iterator_d& construct_it
-    ) 
+    )
     {
       if (begin ==end)
         return;
       // initialize with values of first point
       typename Construct_cartesian_const_iterator_d::result_type bit = construct_it(**begin);
-      
+
       for (int i=0; i < D::value; ++i, ++bit) {
         lower_[i]= *bit; upper_[i]=lower_[i];
       }
@@ -135,77 +135,77 @@ namespace CGAL {
       std::for_each(begin, end,set_bounds_from_pointer<Construct_cartesian_const_iterator_d,P,T>(D::value, &(lower_[0]), &(upper_[0]), construct_it));
       set_max_span();
     }
-    
+
     template <class Construct_cartesian_const_iterator_d,class PointPointerIter> // was PointIter
     Kd_tree_rectangle(int,  PointPointerIter begin,  PointPointerIter end,const Construct_cartesian_const_iterator_d& construct_it)
     {
       update_from_point_pointers<Construct_cartesian_const_iterator_d>(begin,end,construct_it);
     }
 
-    inline int 
-    max_span_coord() const 
-    { 
-      return max_span_coord_; 
+    inline int
+    max_span_coord() const
+    {
+      return max_span_coord_;
     }
 
-    inline FT 
-    max_span() const 
+    inline FT
+    max_span() const
     {
       return upper_[max_span_coord_] - lower_[max_span_coord_];
     }
 
-    inline FT 
-    min_coord(int i) const 
+    inline FT
+    min_coord(int i) const
     {
       CGAL_assume(i<D::value);
       CGAL_assertion(lower_.size() != 0);
       return lower_[i];
     }
-    
-    inline FT 
-    max_coord(int i) const 
+
+    inline FT
+    max_coord(int i) const
     {
       CGAL_assume(i<D::value);
       return upper_[i];
     }
-    
-    std::ostream& 
-    print(std::ostream& s) const 
+
+    std::ostream&
+    print(std::ostream& s) const
     {
       s << "Rectangle dimension = " << D::value;
       s << "\n lower: ";
       for (int i=0; i < D::value; ++i)
-	s << lower_[i] << " ";
+        s << lower_[i] << " ";
       // std::copy(lower_, lower_ + D,
-      // 	      std::ostream_iterator<FT>(s," "));
+      //               std::ostream_iterator<FT>(s," "));
       s << "\n upper: ";
       for (int j=0; j < D::value; ++j)
-	s << upper_[j] << " ";
+        s << upper_[j] << " ";
       // std::copy(upper_, upper_ + D,
-      //	      std::ostream_iterator<FT>(s," "));
+      //              std::ostream_iterator<FT>(s," "));
       s << "\n maximum span " << max_span() <<
-	" at coordinate " << max_span_coord() << std::endl;
+        " at coordinate " << max_span_coord() << std::endl;
       return s;
     }
-    
-    // Splits rectangle by modifying itself to lower half 
+
+    // Splits rectangle by modifying itself to lower half
     // and returns upper half
-    //    Kd_tree_rectangle* 
+    //    Kd_tree_rectangle*
     void
     split(Kd_tree_rectangle& r, int d, FT value)
     {
       CGAL_assertion(d >= 0 && d < D::value);
       CGAL_assertion(lower_[d] <= value && value <= upper_[d]);
-      
+
       //Kd_tree_rectangle* r = new Kd_tree_rectangle(*this);
       upper_[d]=value;
       r.lower_[d]=value;
       //return r;
     }
-    
 
-    int 
-    dimension() const 
+
+    int
+    dimension() const
     {
       return D::value;
     }
@@ -214,7 +214,7 @@ namespace CGAL {
     T* upper() {return upper_.data();}
     const T* lower() const {return lower_.data();}
     const T* upper() const {return upper_.data();}
- 
+
     Kd_tree_rectangle&
     operator=(const Kd_tree_rectangle& r)
     {
@@ -222,35 +222,35 @@ namespace CGAL {
       if (this != &r) {
         lower_ = r.lower_;
         upper_ = r.upper_;
-	set_max_span();
+        set_max_span();
       }
       return *this;
     }
 
-  
+
 
   }; // of class Kd_tree_rectangle
 
 
   // Partial specialization for dynamic dimension, which means dimension at runtime
 
-  template <class FT_> 
+  template <class FT_>
   class Kd_tree_rectangle<FT_, Dynamic_dimension_tag> {
 
   public:
     typedef FT_ FT;
     typedef FT T;
-    
+
   private:
-    
+
     T* coords_;
     int dim;
     int max_span_coord_;
-    
+
   public:
-    
-    inline void 
-    set_upper_bound(int i, const FT& x) 
+
+    inline void
+    set_upper_bound(int i, const FT& x)
     {
       CGAL_assertion(i >= 0 && i < dim);
       CGAL_assertion(x >= lower()[i]);
@@ -258,8 +258,8 @@ namespace CGAL {
       set_max_span();
     }
 
-    inline void 
-    set_lower_bound(int i, const FT& x) 
+    inline void
+    set_lower_bound(int i, const FT& x)
     {
       CGAL_assertion(i >= 0 && i < dim);
       CGAL_assertion(x <= upper()[i]);
@@ -267,51 +267,51 @@ namespace CGAL {
       set_max_span();
     }
 
-    inline void 
-    set_max_span() 
+    inline void
+    set_max_span()
     {
       FT span = upper()[0]-lower()[0];
       max_span_coord_ = 0;
       for (int i = 1; i < dim; ++i) {
-	FT tmp = upper()[i] - lower()[i];
-	if (span < tmp) {
-	  span = tmp;
-	  max_span_coord_ = i;
-	}
+        FT tmp = upper()[i] - lower()[i];
+        if (span < tmp) {
+          span = tmp;
+          max_span_coord_ = i;
+        }
       }
     }
-    
-    Kd_tree_rectangle(int d) 
+
+    Kd_tree_rectangle(int d)
       : coords_(new FT[2*d]), dim(d), max_span_coord_(0)
     {
       std::fill(coords_, coords_ + 2*dim, FT(0));
     }
 
-    Kd_tree_rectangle() 
+    Kd_tree_rectangle()
       : coords_(0), dim(0)
     {
 }
-    
-    
-    explicit 
+
+
+    explicit
     Kd_tree_rectangle(const Kd_tree_rectangle& r)
       : coords_(new FT[2*r.dim]), dim(r.dim),
-	max_span_coord_(r.max_span_coord_) 
+        max_span_coord_(r.max_span_coord_)
     {
       std::copy(r.coords_, r.coords_+2*dim, lower());
     }
 
     template <class Construct_cartesian_const_iterator_d,class PointPointerIter>
-    void update_from_point_pointers(PointPointerIter begin, 
+    void update_from_point_pointers(PointPointerIter begin,
                                     PointPointerIter end,
                                     const Construct_cartesian_const_iterator_d& construct_it
-    ) 
+    )
     {
       if (begin ==end)
         return;
       // initialize with values of first point
       typename Construct_cartesian_const_iterator_d::result_type bit = construct_it(**begin);
-      
+
       for (int i=0; i < dim; ++i, ++bit) {
         lower()[i]= *bit; upper()[i]=lower()[i];
       }
@@ -320,7 +320,7 @@ namespace CGAL {
       std::for_each(begin, end,set_bounds_from_pointer<Construct_cartesian_const_iterator_d,P,T>(dim, lower(), upper(),construct_it));
       set_max_span();
     }
-    
+
     template <class Construct_cartesian_const_iterator_d,class PointPointerIter> // was PointIter
     Kd_tree_rectangle(int d,  PointPointerIter begin,  PointPointerIter end,const Construct_cartesian_const_iterator_d& construct_it)
       : coords_(new FT[2*d]), dim(d)
@@ -328,75 +328,75 @@ namespace CGAL {
       update_from_point_pointers<Construct_cartesian_const_iterator_d>(begin,end,construct_it);
     }
 
-    inline int 
-    max_span_coord() const 
-    { 
-      return max_span_coord_; 
+    inline int
+    max_span_coord() const
+    {
+      return max_span_coord_;
     }
 
-    inline FT 
-    max_span() const 
+    inline FT
+    max_span() const
     {
       return upper()[max_span_coord_] - lower()[max_span_coord_];
     }
 
-    inline FT 
-    min_coord(int i) const 
+    inline FT
+    min_coord(int i) const
     {
       CGAL_assertion(coords_ != nullptr);
       return lower()[i];
     }
-    
-    inline FT 
-    max_coord(int i) const 
+
+    inline FT
+    max_coord(int i) const
     {
       return upper()[i];
     }
-    
-    std::ostream& 
-    print(std::ostream& s) const 
+
+    std::ostream&
+    print(std::ostream& s) const
     {
       s << "Rectangle dimension = " << dim;
       s << "\n lower: ";
       for (int i=0; i < dim; ++i)
-	s << lower()[i] << " ";
+        s << lower()[i] << " ";
       // std::copy(lower(), lower() + dim,
-      // 	      std::ostream_iterator<FT>(s," "));
+      //               std::ostream_iterator<FT>(s," "));
       s << "\n upper: ";
       for (int j=0; j < dim; ++j)
-	s << upper()[j] << " ";
+        s << upper()[j] << " ";
       // std::copy(upper(), upper() + dim,
-      //	      std::ostream_iterator<FT>(s," "));
+      //              std::ostream_iterator<FT>(s," "));
       s << "\n maximum span " << max_span() <<
-	" at coordinate " << max_span_coord() << std::endl;
+        " at coordinate " << max_span_coord() << std::endl;
       return s;
     }
-    
-    // Splits rectangle by modifying itself to lower half 
+
+    // Splits rectangle by modifying itself to lower half
     // and returns upper half
-    //    Kd_tree_rectangle* 
+    //    Kd_tree_rectangle*
     void
     split(Kd_tree_rectangle& r, int d, FT value)
     {
       CGAL_assertion(d >= 0 && d < dim);
       CGAL_assertion(lower()[d] <= value && value <= upper()[d]);
-      
+
       //Kd_tree_rectangle* r = new Kd_tree_rectangle(*this);
       upper()[d]=value;
       r.lower()[d]=value;
       //return r;
     }
-    
-    
-    ~Kd_tree_rectangle() 
+
+
+    ~Kd_tree_rectangle()
     {
       if (dim) {
-	if (coords_) delete [] coords_;
+        if (coords_) delete [] coords_;
       }
     }
-    
-    int 
-    dimension() const 
+
+    int
+    dimension() const
     {
       return dim;
     }
@@ -405,30 +405,30 @@ namespace CGAL {
     T* upper() {return coords_ + dim;}
     const T* lower() const {return coords_;}
     const T* upper() const {return coords_ + dim;}
- 
+
     Kd_tree_rectangle&
     operator=(const Kd_tree_rectangle& r)
     {
       CGAL_assertion(dimension() == r.dimension());
       if (this != &r) {
         std::copy(r.coords_, r.coords_+2*dim, coords_);
-	set_max_span();
+        set_max_span();
       }
       return *this;
     }
 
-  
+
 
   }; // of partial specialization of class Kd_tree_rectangle<FT,0>
 
   template <class FT, typename D>
-  std::ostream& 
-  operator<<(std::ostream& s, const Kd_tree_rectangle<FT,D>& r) 
+  std::ostream&
+  operator<<(std::ostream& s, const Kd_tree_rectangle<FT,D>& r)
   {
     return r.print(s);
   }
 
-  
+
 } // namespace CGAL
 
 #endif // CGAL_KD_TREE_RECTANGLE_H
diff -pruN 5.0.2-3/include/CGAL/Kernel/Conic_misc.h 5.0.3-1/include/CGAL/Kernel/Conic_misc.h
--- 5.0.2-3/include/CGAL/Kernel/Conic_misc.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel/Conic_misc.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel/Conic_misc.h $
-// $Id: Conic_misc.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel/Conic_misc.h $
+// $Id: Conic_misc.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Bernd Gaertner, Sven Schoenherr <sven@inf.ethz.ch>
 
@@ -56,12 +56,12 @@ NT best_value (NT *values, int nr_values
         d = (a2*x+a1)*x+a0;
         q = ((b3*x+b2)*x+b1)*x+b0;
         det = d*d*d/(q*q);
-	// if q==0, this root value doesn't qualify for the
-	// best value. Under roundoff errors, q might be very
-	// small but nonzero, so that the value is erroneously 
-	// being considered; however, d should be very small
-	// in this case as well, so that det won't compete
-	// for max_det below.
+        // if q==0, this root value doesn't qualify for the
+        // best value. Under roundoff errors, q might be very
+        // small but nonzero, so that the value is erroneously
+        // being considered; however, d should be very small
+        // in this case as well, so that det won't compete
+        // for max_det below.
         if (CGAL_NTS is_positive(det) && !CGAL_NTS is_zero(q))
             if (!det_positive || (det > max_det)) {
                 max_det = det;
diff -pruN 5.0.2-3/include/CGAL/Kernel/Dimension_utils.h 5.0.3-1/include/CGAL/Kernel/Dimension_utils.h
--- 5.0.2-3/include/CGAL/Kernel/Dimension_utils.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel/Dimension_utils.h	2020-08-01 19:02:26.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel/Dimension_utils.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel/Dimension_utils.h $
 // $Id: Dimension_utils.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Kernel/function_objects.h 5.0.3-1/include/CGAL/Kernel/function_objects.h
--- 5.0.2-3/include/CGAL/Kernel/function_objects.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel/function_objects.h	2020-08-01 19:02:26.000000000 +0000
@@ -7,8 +7,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel/function_objects.h $
-// $Id: function_objects.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel/function_objects.h $
+// $Id: function_objects.h 4476663 2020-04-08T16:14:44+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -52,7 +52,7 @@ namespace CommonKernelFunctors {
 
     Are_ordered_along_line_2() {}
     Are_ordered_along_line_2(const Collinear_2& c_,
-			     const Collinear_are_ordered_along_line_2& cao_)
+                             const Collinear_are_ordered_along_line_2& cao_)
       : c(c_), cao(cao_)
     {}
 
@@ -76,7 +76,7 @@ namespace CommonKernelFunctors {
 
     Are_ordered_along_line_3() {}
     Are_ordered_along_line_3(const Collinear_3& c_,
-			     const Collinear_are_ordered_along_line_3& cao_)
+                             const Collinear_are_ordered_along_line_3& cao_)
       : c(c_), cao(cao_)
     {}
 
@@ -100,8 +100,8 @@ namespace CommonKernelFunctors {
 
     Are_strictly_ordered_along_line_2() {}
     Are_strictly_ordered_along_line_2(
-				      const Collinear_2& c_,
-				      const Collinear_are_strictly_ordered_along_line_2& cao_)
+                                      const Collinear_2& c_,
+                                      const Collinear_are_strictly_ordered_along_line_2& cao_)
       : c(c_), cao(cao_)
     {}
 
@@ -125,8 +125,8 @@ namespace CommonKernelFunctors {
 
     Are_strictly_ordered_along_line_3() {}
     Are_strictly_ordered_along_line_3(
-				      const Collinear_3& c_,
-				      const Collinear_are_strictly_ordered_along_line_3& cao_)
+                                      const Collinear_3& c_,
+                                      const Collinear_are_strictly_ordered_along_line_3& cao_)
       : c(c_), cao(cao_)
     {}
 
@@ -173,9 +173,9 @@ namespace CommonKernelFunctors {
     typedef typename K::Comparison_result  result_type;
 
     result_type
-    operator()(const Point_3& a1, const Point_3& b1, 
-               const Point_3& c1, const Point_3& d1, 
-               const Point_3& a2, const Point_3& b2, 
+    operator()(const Point_3& a1, const Point_3& b1,
+               const Point_3& c1, const Point_3& d1,
+               const Point_3& a2, const Point_3& b2,
                const Point_3& c2, const Point_3& d2) const
     {
       const Vector_3 ab1 = b1 - a1;
@@ -189,8 +189,8 @@ namespace CommonKernelFunctors {
     }
 
     result_type
-    operator()(const Point_3& a1, const Point_3& b1, 
-               const Point_3& c1, const Point_3& d1, 
+    operator()(const Point_3& a1, const Point_3& b1,
+               const Point_3& c1, const Point_3& d1,
                const FT& cosine) const
     {
       const Vector_3 ab1 = b1 - a1;
@@ -300,9 +300,9 @@ namespace CommonKernelFunctors {
     typedef typename K::Weighted_point_3                  Weighted_point_3;
     typedef typename K::Point_3                           Point_3;
     typedef typename K::Comparison_result                 Comparison_result;
-    
+
     typedef Comparison_result                             result_type;
-    
+
     Comparison_result operator()(const Point_3 & p,
                                  const Weighted_point_3 & q,
                                  const Weighted_point_3 & r) const
@@ -755,10 +755,10 @@ namespace CommonKernelFunctors {
     typedef typename K::Comparison_result  result_type;
 
     result_type operator()(const Point_3& p, const Point_3& q, const Point_3& r, const Point_3& s) const
-    { 
+    {
       Comparison_result sign_pq = CGAL::compare(q.z(),p.z());
       Comparison_result sign_rs = CGAL::compare(s.z(),r.z());
-      
+
       if(sign_pq != sign_rs){
         return CGAL::compare(static_cast<int>(sign_pq), static_cast<int>(sign_rs));
       }
@@ -768,12 +768,12 @@ namespace CommonKernelFunctors {
       }
 
       CGAL_assertion( (sign_pq == sign_rs) && (sign_pq != EQUAL)  );
-      
+
       Comparison_result res = CGAL::compare(square(p.z() - q.z()) * (square(r.x()-s.x())+square(r.y()-s.y())),
                                             square(r.z() - s.z()) *  (square(p.x()-q.x())+square(p.y()-q.y())));
       return (sign_pq == SMALLER) ? opposite(res) : res;
-    } 
-  
+    }
+
   };
 
   template <typename K>
@@ -825,7 +825,7 @@ namespace CommonKernelFunctors {
  {
    typedef typename K::Point_3 Point_3;
    typedef typename K::Vector_3 Vector_3;
-   
+
  public:
    typedef typename K::FT       result_type;
 
@@ -837,10 +837,10 @@ namespace CommonKernelFunctors {
        k.compute_scalar_product_3_object();
 
      double product = CGAL::sqrt(to_double(scalar_product(u,u)) * to_double(scalar_product(v,v)));
-     
+
      if(product == 0)
        return 0;
-     
+
      // cosine
      double dot = to_double(scalar_product(u,v));
      double cosine = dot / product;
@@ -855,24 +855,24 @@ namespace CommonKernelFunctors {
      return std::acos(cosine) * 180./CGAL_PI;
    }
 
-   
+
    result_type
    operator()(const Point_3& p, const Point_3& q, const Point_3& r) const
    {
      K k;
      typename K::Construct_vector_3 vector = k.construct_vector_3_object();
-     
+
      Vector_3 u = vector(q,p);
      Vector_3 v = vector(q,r);
 
-     return this->operator()(u,v); 
+     return this->operator()(u,v);
    }
  };
-  
+
  template <typename K>
  class Compute_approximate_dihedral_angle_3
  {
-    typedef typename K::Point_3 Point_3;  
+    typedef typename K::Point_3 Point_3;
  public:
    typedef typename K::FT       result_type;
 
@@ -887,19 +887,19 @@ namespace CommonKernelFunctors {
        k.compute_squared_distance_3_object();
      typename K::Compute_scalar_product_3 scalar_product =
        k.compute_scalar_product_3_object();
-     
+
      typedef typename K::Vector_3 Vector_3;
      typedef typename K::FT FT;
-     
+
      const Vector_3 ab = vector(a,b);
      const Vector_3 ac = vector(a,c);
      const Vector_3 ad = vector(a,d);
-     
+
      const Vector_3 abad = cross_product(ab,ad);
      const double x = CGAL::to_double(scalar_product(cross_product(ab,ac), abad));
      const double l_ab = CGAL::sqrt(CGAL::to_double(sq_distance(a,b)));
      const double y = l_ab * CGAL::to_double(scalar_product(ac,abad));
-     
+
      return FT(std::atan2(y, x) * 180 / CGAL_PI );
    }
  };
@@ -916,13 +916,13 @@ namespace CommonKernelFunctors {
     FT
     operator()( const Triangle_3& t ) const
     {
-	return CGAL_NTS sqrt(K().compute_squared_area_3_object()(t));
+        return CGAL_NTS sqrt(K().compute_squared_area_3_object()(t));
     }
 
     FT
     operator()( const Point_3& p, const Point_3& q, const Point_3& r ) const
     {
-	return CGAL_NTS sqrt(K().compute_squared_area_3_object()(p, q, r));
+        return CGAL_NTS sqrt(K().compute_squared_area_3_object()(p, q, r));
     }
   };
 
@@ -1146,7 +1146,7 @@ namespace CommonKernelFunctors {
     operator()(const Line_2& l, const FT& x) const
     {
       CGAL_kernel_precondition_msg( ! l.is_vertical(),
-		    "Compute_y_at_x(FT x) is undefined for vertical line");
+                    "Compute_y_at_x(FT x) is undefined for vertical line");
       return (FT(-l.a())*x - FT(l.c()) )/FT(l.b());
     }
   };
@@ -1413,7 +1413,7 @@ namespace CommonKernelFunctors {
     Rep // Circle_2
     operator()( Return_base_tag,
                 const Point_2& center, const FT& squared_radius,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     { return Rep(center, squared_radius, orientation); }
 
     Rep // Circle_2
@@ -1434,7 +1434,7 @@ namespace CommonKernelFunctors {
     Rep // Circle_2
     operator()( Return_base_tag,
                 const Point_2& p, const Point_2& q,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     {
       CGAL_kernel_precondition( orientation != COLLINEAR);
 
@@ -1450,27 +1450,27 @@ namespace CommonKernelFunctors {
     Rep // Circle_2
     operator()( Return_base_tag,
                 const Point_2& p, const Point_2& q,
-	        const FT& bulge) const
+                const FT& bulge) const
     {
-     
+
       typename K::Compute_squared_distance_2 squared_distance;
       const FT sqr_bulge = CGAL::square(bulge);
       const FT common = (FT(1) - sqr_bulge) / (FT(4)*bulge);
       const FT x_coord = (p.x() + q.x())/FT(2)
-	                 + common*(p.y() - q.y());
+                         + common*(p.y() - q.y());
       const FT y_coord = (p.y() + q.y())/FT(2)
                           + common*(q.x() - p.x());
-      
-      const FT sqr_rad = squared_distance(p, q) 
-	                 * (FT(1)/sqr_bulge + FT(2) + sqr_bulge) / FT(16); 
 
-      return Rep(Point_2(x_coord, y_coord), sqr_rad); 
+      const FT sqr_rad = squared_distance(p, q)
+                         * (FT(1)/sqr_bulge + FT(2) + sqr_bulge) / FT(16);
+
+      return Rep(Point_2(x_coord, y_coord), sqr_rad);
     }
 
 
     Rep // Circle_2
     operator()( Return_base_tag, const Point_2& center,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     {
       CGAL_kernel_precondition( orientation != COLLINEAR );
 
@@ -1480,7 +1480,7 @@ namespace CommonKernelFunctors {
 
     Circle_2
     operator()( const Point_2& center, const FT& squared_radius,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     {
       return this->operator()(Return_base_tag(),
                               center, squared_radius, orientation);
@@ -1494,21 +1494,21 @@ namespace CommonKernelFunctors {
 
     Circle_2
     operator()( const Point_2& p, const Point_2& q,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     {
       return this->operator()(Return_base_tag(), p, q, orientation);
     }
 
     Circle_2
     operator()( const Point_2& p, const Point_2& q,
-	        const FT& bulge) const
+                const FT& bulge) const
     {
       return this->operator()(Return_base_tag(), p, q, bulge);
     }
 
     Circle_2
     operator()( const Point_2& center,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     {
       return this->operator()(Return_base_tag(), center, orientation);
     }
@@ -1600,7 +1600,7 @@ namespace CommonKernelFunctors {
     { return this->operator()(Return_base_tag(), p, s, a); }
 
     Circle_3
-    operator()(	const Point_3& p1, const Point_3& p2, const Point_3& p3) const
+    operator()(        const Point_3& p1, const Point_3& p2, const Point_3& p3) const
     { return this->operator()(Return_base_tag(), p1, p2, p3); }
   };
 
@@ -1776,8 +1776,8 @@ namespace CommonKernelFunctors {
 
     Vector_3
     operator()(const Point_3& p,const Point_3& q, const Point_3& r) const
-    { 
-      CGAL_kernel_precondition(! K().collinear_3_object()(p,q,r) ); 
+    {
+      CGAL_kernel_precondition(! K().collinear_3_object()(p,q,r) );
       Vector_3 res = CGAL::cross_product(q-p, r-p);
       return res; }
   };
@@ -2405,27 +2405,27 @@ namespace CommonKernelFunctors {
 
     Rep // Sphere_3
     operator()(Return_base_tag, const Point_3& center, const FT& squared_radius,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     {  return Rep(center, squared_radius, orientation); }
 
     Rep // Sphere_3
     operator()(Return_base_tag, const Point_3& p, const Point_3& q,
-	        const Point_3& r, const Point_3& s) const
+                const Point_3& r, const Point_3& s) const
     {  return Rep(p, q, r, s); }
 
     Rep // Sphere_3
     operator()(Return_base_tag, const Point_3& p, const Point_3& q, const Point_3& r,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     {  return Rep(p, q, r, orientation); }
 
     Rep // Sphere_3
     operator()(Return_base_tag, const Point_3& p, const Point_3& q,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     {  return Rep(p, q, orientation); }
 
     Rep // Sphere_3
     operator()(Return_base_tag, const Point_3& center,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     {  return Rep(center, orientation); }
 
     Rep
@@ -2434,27 +2434,27 @@ namespace CommonKernelFunctors {
 
     Sphere_3
     operator()( const Point_3& center, const FT& squared_radius,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     { return this->operator()(Return_base_tag(), center, squared_radius, orientation); }
 
     Sphere_3
     operator()( const Point_3& p, const Point_3& q,
-	        const Point_3& r, const Point_3& s) const
+                const Point_3& r, const Point_3& s) const
     { return this->operator()(Return_base_tag(), p, q, r, s); }
 
     Sphere_3
     operator()( const Point_3& p, const Point_3& q, const Point_3& r,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     { return this->operator()(Return_base_tag(), p, q, r, orientation); }
 
     Sphere_3
     operator()( const Point_3& p, const Point_3& q,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     { return this->operator()(Return_base_tag(), p, q, orientation); }
 
     Sphere_3
     operator()( const Point_3& center,
-	        Orientation orientation = COUNTERCLOCKWISE) const
+                Orientation orientation = COUNTERCLOCKWISE) const
     { return this->operator()(Return_base_tag(), center, orientation); }
 
     Sphere_3
@@ -2488,12 +2488,12 @@ namespace CommonKernelFunctors {
 
     Rep // Tetrahedron_3
     operator()(Return_base_tag, const Point_3& p, const Point_3& q,
-	        const Point_3& r, const Point_3& s) const
+                const Point_3& r, const Point_3& s) const
     { return Rep(p, q, r, s); }
 
     Tetrahedron_3
     operator()( const Point_3& p, const Point_3& q,
-	        const Point_3& r, const Point_3& s) const
+                const Point_3& r, const Point_3& s) const
     { return this->operator()(Return_base_tag(), p, q, r, s); }
   };
 
@@ -2543,12 +2543,12 @@ namespace CommonKernelFunctors {
 
     Vector_3
     operator()(const Point_3& p,const Point_3& q, const Point_3& r) const
-    { 
-      CGAL_kernel_precondition(! K().collinear_3_object()(p,q,r) ); 
+    {
+      CGAL_kernel_precondition(! K().collinear_3_object()(p,q,r) );
       Vector_3 res = CGAL::cross_product(q-p, r-p);
       res = res / CGAL::sqrt(res.squared_length());
-      return res; 
-	}
+      return res;
+        }
   };
 
   template <typename K>
@@ -2940,7 +2940,7 @@ namespace CommonKernelFunctors {
         return k.construct_projected_point_3_object()(ray.supporting_line(), query);
       }
     }
-    
+
     // code for operator for plane and point is defined in
     // CGAL/Cartesian/function_objects.h and CGAL/Homogeneous/function_objects.h
   };
@@ -2959,7 +2959,7 @@ namespace CommonKernelFunctors {
 
     result_type
     operator()( const Point_3& p, const Point_3& q,
-	        const Point_3& r, const Point_3& s) const
+                const Point_3& r, const Point_3& s) const
     {
       return o(p, q, r, s) == COPLANAR;
     }
@@ -2974,7 +2974,7 @@ namespace CommonKernelFunctors {
 
     result_type
     operator()( const Direction_2& p, const Direction_2& q,
-	        const Direction_2& r) const
+                const Direction_2& r) const
     {
         if ( q < p)
             return ( p < r )||( r <= q );
@@ -3076,8 +3076,8 @@ namespace CommonKernelFunctors {
     operator()(const Circle_2& c1, const Circle_2& c2) const
     {
       return c1.center() == c2.center() &&
-	c1.squared_radius() == c2.squared_radius() &&
-	c1.orientation() == c2.orientation();
+        c1.squared_radius() == c2.squared_radius() &&
+        c1.orientation() == c2.orientation();
     }
 
     result_type
@@ -3085,8 +3085,8 @@ namespace CommonKernelFunctors {
     {
       int i;
       for(i=0; i<3; i++)
-	if ( t1.vertex(0) == t2.vertex(i) )
-	  break;
+        if ( t1.vertex(0) == t2.vertex(i) )
+          break;
 
       return (i<3) && t1.vertex(1) == t2.vertex(i+1)
                    && t1.vertex(2) == t2.vertex(i+2);
@@ -3298,7 +3298,7 @@ namespace CommonKernelFunctors {
       CGAL_kernel_precondition(
         K().has_on_3_object()(c.supporting_plane(),p)
       );
-      return c.rep().has_on_bounded_side(p); 
+      return c.rep().has_on_bounded_side(p);
     }
 
     bool operator()(const Sphere_3& s1, const Sphere_3& s2,
@@ -3333,8 +3333,7 @@ namespace CommonKernelFunctors {
       CGAL_kernel_assertion_msg(bool(optional) == true,
                                 "the segment does not intersect the supporting"
                                 " plane");
-      using boost::get;
-      const Point_3* p = get<Point_3>(&*optional);
+      const Point_3* p = boost::get<Point_3>(&*optional);
       CGAL_kernel_assertion_msg(p != 0,
                                 "the segment intersection with the plane is "
                                 "not a point");
@@ -3490,7 +3489,7 @@ namespace CommonKernelFunctors {
       CGAL_kernel_precondition(
         K().has_on_3_object()(c.supporting_plane(),p)
       );
-      return c.rep().has_on_unbounded_side(p); 
+      return c.rep().has_on_unbounded_side(p);
     }
   };
 
@@ -3551,9 +3550,9 @@ namespace CommonKernelFunctors {
 
     template<typename F>
     struct result<F(Plane_3, Plane_3, Plane_3)> {
-      typedef boost::optional< 
-        boost::variant< typename K::Point_3, 
-                        typename K::Line_3, 
+      typedef boost::optional<
+        boost::variant< typename K::Point_3,
+                        typename K::Line_3,
                         typename K::Plane_3 > > type;
     };
 
@@ -3738,7 +3737,7 @@ namespace CommonKernelFunctors {
 
     Less_rotate_ccw_2() {}
     Less_rotate_ccw_2(const Orientation_2& o_,
-		      const Collinear_are_ordered_along_line_2& co_)
+                      const Collinear_are_ordered_along_line_2& co_)
       : o(o_), co(co_)
     {}
 
@@ -3747,16 +3746,16 @@ namespace CommonKernelFunctors {
     {
       typename K::Orientation ori = o(r, p, q);
       if ( ori == LEFT_TURN )
-	return true;
+        return true;
       else if ( ori == RIGHT_TURN )
-	return false;
+        return false;
       else
-	{
-	  if (p == r) return false;
-	  if (q == r) return true;
-	  if (p == q) return false;
-	  return co( r, q, p);
-	}
+        {
+          if (p == r) return false;
+          if (q == r) return true;
+          if (p == q) return false;
+          return co( r, q, p);
+        }
     }
   };
 
@@ -3796,9 +3795,9 @@ public:
 
   result_type operator() (const Weighted_point_2 & p,
                           const Weighted_point_2 & q,
-		          const Weighted_point_2 & r) const
+                          const Weighted_point_2 & r) const
   {
-    CGAL_kernel_precondition( ! collinear(p.point(), q.point(), r.point()) ); 
+    CGAL_kernel_precondition( ! collinear(p.point(), q.point(), r.point()) );
     FT x,y;
     weighted_circumcenterC2(p.x(),p.y(),p.weight(),
                             q.x(),q.y(),q.weight(),
@@ -3806,7 +3805,7 @@ public:
     return Point_2(x,y);
   }
 };
- 
+
 
 
 } // namespace CommonKernelFunctors
diff -pruN 5.0.2-3/include/CGAL/Kernel/global_functions_2.h 5.0.3-1/include/CGAL/Kernel/global_functions_2.h
--- 5.0.2-3/include/CGAL/Kernel/global_functions_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel/global_functions_2.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 2003-2004  
+// Copyright (c) 2003-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel/global_functions_2.h $
-// $Id: global_functions_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel/global_functions_2.h $
+// $Id: global_functions_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
- 
+
 #ifndef CGAL_KERNEL_GLOBAL_FUNCTIONS_2_H
 #define CGAL_KERNEL_GLOBAL_FUNCTIONS_2_H
 
@@ -303,9 +303,9 @@ template <class K>
 inline
 typename K::Comparison_result
 compare_signed_distance_to_line(const Point_2<K>& p,
-				const Point_2<K>& q,
-				const Point_2<K>& r,
-				const Point_2<K>& s)
+                                const Point_2<K>& q,
+                                const Point_2<K>& r,
+                                const Point_2<K>& s)
 {
   return internal::compare_signed_distance_to_line(p, q, r, s, K());
 }
@@ -314,8 +314,8 @@ template <class K>
 inline
 typename K::Comparison_result
 compare_signed_distance_to_line(const Line_2<K>& l,
-				const Point_2<K>& p,
-				const Point_2<K>& q)
+                                const Point_2<K>& p,
+                                const Point_2<K>& q)
 {
   return internal::compare_signed_distance_to_line(l, p, q, K());
 }
@@ -537,7 +537,7 @@ typename K::Comparison_result
 compare_y_at_x(const Point_2<K> &p, const Line_2<K> &h)
 {
   return internal::compare_y_at_x(p, h, K());
-}  
+}
 
 template < class K >
 inline
@@ -590,8 +590,8 @@ template <class K>
 inline
 typename K::Boolean
 has_larger_distance_to_point(const Point_2<K>& p,
-			     const Point_2<K>& q,
-			     const Point_2<K>& r)
+                             const Point_2<K>& q,
+                             const Point_2<K>& r)
 {
   return internal::has_larger_distance_to_point(p, q, r, K());
 }
@@ -620,8 +620,8 @@ template <class K>
 inline
 typename K::Boolean
 has_larger_signed_distance_to_line(const Line_2<K>& l,
-				   const Point_2<K>& p,
-				   const Point_2<K>& q)
+                                   const Point_2<K>& p,
+                                   const Point_2<K>& q)
 {
   return internal::has_larger_signed_distance_to_line(l, p, q, K());
 }
@@ -630,9 +630,9 @@ template <class K>
 inline
 typename K::Boolean
 has_larger_signed_distance_to_line(const Point_2<K>& p,
-				   const Point_2<K>& q,
-				   const Point_2<K>& r,
-				   const Point_2<K>& s)
+                                   const Point_2<K>& q,
+                                   const Point_2<K>& r,
+                                   const Point_2<K>& s)
 {
   return internal::has_larger_signed_distance_to_line(p, q, r, s, K());
 }
diff -pruN 5.0.2-3/include/CGAL/Kernel/global_functions_3.h 5.0.3-1/include/CGAL/Kernel/global_functions_3.h
--- 5.0.2-3/include/CGAL/Kernel/global_functions_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel/global_functions_3.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 2003-2004  
+// Copyright (c) 2003-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel/global_functions_3.h $
-// $Id: global_functions_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel/global_functions_3.h $
+// $Id: global_functions_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
- 
+
 #ifndef CGAL_KERNEL_GLOBAL_FUNCTIONS_3_H
 #define CGAL_KERNEL_GLOBAL_FUNCTIONS_3_H
 
@@ -68,7 +68,7 @@ approximate_angle(const Vector_3<K> &u,
 {
   return internal::approximate_angle(u, v, K());
 }
-  
+
 template < class K >
 inline
 typename K::FT
@@ -312,9 +312,9 @@ collinear_are_strictly_ordered_along_lin
 template < class K >
 inline
 typename K::Comparison_result
-compare_dihedral_angle(const Point_3<K>& a1, const Point_3<K>& b1, 
-                       const Point_3<K>& c1, const Point_3<K>& d1, 
-                       const Point_3<K>& a2, const Point_3<K>& b2, 
+compare_dihedral_angle(const Point_3<K>& a1, const Point_3<K>& b1,
+                       const Point_3<K>& c1, const Point_3<K>& d1,
+                       const Point_3<K>& a2, const Point_3<K>& b2,
                        const Point_3<K>& c2, const Point_3<K>& d2)
 {
   return internal::compare_dihedral_angle(a1, b1, c1, d1, a2, b2, c2, d2, K());
@@ -323,8 +323,8 @@ compare_dihedral_angle(const Point_3<K>&
 template < class K >
 inline
 typename K::Comparison_result
-compare_dihedral_angle(const Point_3<K>& a1, const Point_3<K>& b1, 
-                       const Point_3<K>& c1, const Point_3<K>& d1, 
+compare_dihedral_angle(const Point_3<K>& a1, const Point_3<K>& b1,
+                       const Point_3<K>& c1, const Point_3<K>& d1,
                        const typename K::FT& cosine)
 {
   return internal::compare_dihedral_angle(a1, b1, c1, d1, cosine, K());
@@ -333,7 +333,7 @@ compare_dihedral_angle(const Point_3<K>&
 template < class K >
 inline
 typename K::Comparison_result
-compare_dihedral_angle(const Vector_3<K>& ab1, 
+compare_dihedral_angle(const Vector_3<K>& ab1,
                        const Vector_3<K>& ac1,
                        const Vector_3<K>& ad1,
                        const Vector_3<K>& ab2,
@@ -346,7 +346,7 @@ compare_dihedral_angle(const Vector_3<K>
 template < class K >
 inline
 typename K::Comparison_result
-compare_dihedral_angle(const Vector_3<K>& ab1, 
+compare_dihedral_angle(const Vector_3<K>& ab1,
                        const Vector_3<K>& ac1,
                        const Vector_3<K>& ad1,
                        const typename K::FT& cosine)
@@ -399,7 +399,7 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_squared_radius(const Point_3<K> &p,
-		       const typename K::FT &sr)
+                       const typename K::FT &sr)
 {
   return internal::compare_squared_radius(p, sr, K());
 }
@@ -408,8 +408,8 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_squared_radius(const Point_3<K> &p,
-		       const Point_3<K> &q,
-		       const typename K::FT &sr)
+                       const Point_3<K> &q,
+                       const typename K::FT &sr)
 {
   return internal::compare_squared_radius(p, q, sr, K());
 }
@@ -418,9 +418,9 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_squared_radius(const Point_3<K> &p,
-		       const Point_3<K> &q,
-		       const Point_3<K> &r,
-		       const typename K::FT &sr)
+                       const Point_3<K> &q,
+                       const Point_3<K> &r,
+                       const typename K::FT &sr)
 {
   return internal::compare_squared_radius(p, q, r, sr, K());
 }
@@ -429,10 +429,10 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_squared_radius(const Point_3<K> &p,
-		       const Point_3<K> &q,
-		       const Point_3<K> &r,
-		       const Point_3<K> &s,
-		       const typename K::FT &sr)
+                       const Point_3<K> &q,
+                       const Point_3<K> &r,
+                       const Point_3<K> &s,
+                       const typename K::FT &sr)
 {
   return internal::compare_squared_radius(p, q, r, s, sr, K());
 }
@@ -459,9 +459,9 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_signed_distance_to_plane(const Plane_3<K> &h,
-				 const Point_3<K> &p,
-				 const Point_3<K> &q)
-{ 
+                                 const Point_3<K> &p,
+                                 const Point_3<K> &q)
+{
   return internal::compare_signed_distance_to_plane(h, p, q, K());
 }
 
@@ -469,11 +469,11 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_signed_distance_to_plane(const Point_3<K> &hp,
-				 const Point_3<K> &hq,
-				 const Point_3<K> &hr,
-				 const Point_3<K> &p,
-				 const Point_3<K> &q)
-{ 
+                                 const Point_3<K> &hq,
+                                 const Point_3<K> &hr,
+                                 const Point_3<K> &p,
+                                 const Point_3<K> &q)
+{
   return internal::compare_signed_distance_to_plane(hp, hq, hr, p, q, K());
 }
 
@@ -523,7 +523,7 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_x(const Point_3<K> &p, const Point_3<K> &q)
-{ 
+{
   return internal::compare_x(p, q, K());
 }
 
@@ -531,7 +531,7 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_y(const Point_3<K> &p, const Point_3<K> &q)
-{ 
+{
   return internal::compare_y(p, q, K());
 }
 
@@ -539,7 +539,7 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_z(const Point_3<K> &p, const Point_3<K> &q)
-{ 
+{
   return internal::compare_z(p, q, K());
 }
 
@@ -547,7 +547,7 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_xyz(const Point_3<K> &p, const Point_3<K> &q)
-{ 
+{
   return internal::compare_xyz(p, q, K());
 }
 
@@ -622,8 +622,8 @@ template < class K >
 inline
 typename K::Boolean
 has_larger_distance_to_point(const Point_3<K> &p,
-			     const Point_3<K> &q,
-			     const Point_3<K> &r)
+                             const Point_3<K> &q,
+                             const Point_3<K> &r)
 {
   return internal::has_larger_distance_to_point(p, q, r, K());
 }
@@ -632,11 +632,11 @@ template < class K >
 inline
 typename K::Boolean
 has_larger_signed_distance_to_plane(const Point_3<K> &hp,
-				    const Point_3<K> &hq,
-				    const Point_3<K> &hr,
-				    const Point_3<K> &p,
-				    const Point_3<K> &q)
-{ 
+                                    const Point_3<K> &hq,
+                                    const Point_3<K> &hr,
+                                    const Point_3<K> &p,
+                                    const Point_3<K> &q)
+{
   return internal::has_larger_signed_distance_to_plane(hp, hq, hr, p, q, K());
 }
 
@@ -644,9 +644,9 @@ template < class K >
 inline
 typename K::Boolean
 has_larger_signed_distance_to_plane(const Plane_3<K> &h,
-				    const Point_3<K> &p,
-				    const Point_3<K> &q)
-{ 
+                                    const Point_3<K> &p,
+                                    const Point_3<K> &q)
+{
   return internal::has_larger_signed_distance_to_plane(h, p, q, K());
 }
 
@@ -668,7 +668,7 @@ has_smaller_signed_distance_to_plane(con
                                      const Point_3<K> &hr,
                                      const Point_3<K> &p,
                                      const Point_3<K> &q)
-{ 
+{
   return internal::has_smaller_signed_distance_to_plane(hp, hq, hr, p, q, K());
 }
 
@@ -678,7 +678,7 @@ typename K::Boolean
 has_smaller_signed_distance_to_plane(const Plane_3<K> &h,
                                      const Point_3<K> &p,
                                      const Point_3<K> &q)
-{ 
+{
   return internal::has_smaller_signed_distance_to_plane(h, p, q, K());
 }
 
@@ -686,7 +686,7 @@ template < class K >
 inline
 typename K::Boolean
 less_x(const Point_3<K> &p, const Point_3<K> &q)
-{ 
+{
   return internal::less_x(p, q, K());
 }
 
@@ -694,7 +694,7 @@ template < class K >
 inline
 typename K::Boolean
 less_y(const Point_3<K> &p, const Point_3<K> &q)
-{ 
+{
   return internal::less_y(p, q, K());
 }
 
@@ -702,7 +702,7 @@ template < class K >
 inline
 typename K::Boolean
 less_z(const Point_3<K> &p, const Point_3<K> &q)
-{ 
+{
   return internal::less_z(p, q, K());
 }
 
@@ -1070,8 +1070,8 @@ template <class K >
 inline
 typename K::Vector_3
 orthogonal_vector(const Point_3<K>& p,
-		  const Point_3<K>& q,
-		  const Point_3<K>& r)
+                  const Point_3<K>& q,
+                  const Point_3<K>& r)
 {
   return internal::orthogonal_vector(p, q, r, K());
 }
@@ -1265,7 +1265,7 @@ template < class K >
 inline
 typename K::FT
 squared_radius(const Point_3<K> &p, const Point_3<K> &q,
-	       const Point_3<K> &r, const Point_3<K> &s)
+               const Point_3<K> &r, const Point_3<K> &s)
 {
   return internal::squared_radius(p, q, r, s, K());
 }
diff -pruN 5.0.2-3/include/CGAL/Kernel/global_functions.h 5.0.3-1/include/CGAL/Kernel/global_functions.h
--- 5.0.2-3/include/CGAL/Kernel/global_functions.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel/global_functions.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel/global_functions.h $
-// $Id: global_functions.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel/global_functions.h $
+// $Id: global_functions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
- 
+
 #ifndef CGAL_KERNEL_GLOBAL_FUNCTIONS_H
 #define CGAL_KERNEL_GLOBAL_FUNCTIONS_H
 
diff -pruN 5.0.2-3/include/CGAL/Kernel/global_functions_internal_2.h 5.0.3-1/include/CGAL/Kernel/global_functions_internal_2.h
--- 5.0.2-3/include/CGAL/Kernel/global_functions_internal_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel/global_functions_internal_2.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,4 +1,4 @@
-// Copyright (c) 2003-2010  
+// Copyright (c) 2003-2010
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
@@ -7,13 +7,13 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel/global_functions_internal_2.h $
-// $Id: global_functions_internal_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel/global_functions_internal_2.h $
+// $Id: global_functions_internal_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
- 
+
 #ifndef CGAL_KERNEL_GLOBAL_FUNCTIONS_INTERNAL_2_H
 #define CGAL_KERNEL_GLOBAL_FUNCTIONS_INTERNAL_2_H
 
@@ -274,7 +274,7 @@ compare_angle_with_x_axis(const typename
 template <class K, class T1, class T2, class T3>
 inline
 typename boost::enable_if<
-  boost::mpl::equal_to<boost::mpl::integral_c<int, 
+  boost::mpl::equal_to<boost::mpl::integral_c<int,
                                               Ambient_dimension<T1>::type::value>,
                        boost::mpl::integral_c<int, 2> >,
   typename K::Comparison_result>
@@ -289,7 +289,7 @@ compare_distance(const T1 &o1,
 template <class K, class T1, class T2, class T3, class T4>
 inline
 typename boost::enable_if<
-  boost::mpl::equal_to<boost::mpl::integral_c<int, 
+  boost::mpl::equal_to<boost::mpl::integral_c<int,
                                               Ambient_dimension<T1>::type::value>,
                        boost::mpl::integral_c<int, 2> >,
   typename K::Comparison_result>
@@ -336,10 +336,10 @@ template <class K>
 inline
 typename K::Comparison_result
 compare_signed_distance_to_line(const typename K::Point_2& p,
-				const typename K::Point_2& q,
-				const typename K::Point_2& r,
-				const typename K::Point_2& s,
-				const K& k)
+                                const typename K::Point_2& q,
+                                const typename K::Point_2& r,
+                                const typename K::Point_2& s,
+                                const K& k)
 {
   if (k.less_signed_distance_to_line_2_object()(p, q, r, s)) return SMALLER;
   if (k.less_signed_distance_to_line_2_object()(p, q, s, r)) return LARGER;
@@ -350,9 +350,9 @@ template <class K>
 inline
 typename K::Comparison_result
 compare_signed_distance_to_line(const typename K::Line_2& l,
-				const typename K::Point_2& p,
-				const typename K::Point_2& q,
-				const K& k)
+                                const typename K::Point_2& p,
+                                const typename K::Point_2& q,
+                                const K& k)
 {
   if (k.less_signed_distance_to_line_2_object()(l, p, q)) return SMALLER;
   if (k.less_signed_distance_to_line_2_object()(l, q, p)) return LARGER;
@@ -598,9 +598,9 @@ template <class K>
 inline
 typename K::Boolean
 has_larger_distance_to_point(const typename K::Point_2 &p,
-			     const typename K::Point_2 &q,
-			     const typename K::Point_2 &r,
-			     const K& k)
+                             const typename K::Point_2 &q,
+                             const typename K::Point_2 &r,
+                             const K& k)
 {
   return k.less_distance_to_point_2_object()(p, r, q);
 }
@@ -620,9 +620,9 @@ template <class K>
 inline
 typename K::Boolean
 has_smaller_signed_distance_to_line(const typename K::Line_2& l,
-				    const typename K::Point_2& p,
-				    const typename K::Point_2& q,
-				    const K& k)
+                                    const typename K::Point_2& p,
+                                    const typename K::Point_2& q,
+                                    const K& k)
 {
   return k.less_signed_distance_to_line_2_object()(l, p, q);
 }
@@ -631,9 +631,9 @@ template <class K>
 inline
 typename K::Boolean
 has_larger_signed_distance_to_line(const typename K::Line_2& l,
-				   const typename K::Point_2& p,
-				   const typename K::Point_2& q,
-				   const K& k)
+                                   const typename K::Point_2& p,
+                                   const typename K::Point_2& q,
+                                   const K& k)
 {
   return k.less_signed_distance_to_line_2_object()(l, q, p);
 }
@@ -642,10 +642,10 @@ template <class K>
 inline
 typename K::Boolean
 has_larger_signed_distance_to_line(const typename K::Point_2& p,
-				   const typename K::Point_2& q,
-				   const typename K::Point_2& r,
-				   const typename K::Point_2& s,
-				   const K& k)
+                                   const typename K::Point_2& q,
+                                   const typename K::Point_2& r,
+                                   const typename K::Point_2& s,
+                                   const K& k)
 {
   return k.less_signed_distance_to_line_2_object()(p, q, s, r);
 }
@@ -657,7 +657,7 @@ has_smaller_signed_distance_to_line(cons
                                     const typename K::Point_2& q,
                                     const typename K::Point_2& r,
                                     const typename K::Point_2& s,
-				    const K& k)
+                                    const K& k)
 {
   return k.less_signed_distance_to_line_2_object()(p, q, r, s);
 }
diff -pruN 5.0.2-3/include/CGAL/Kernel/global_functions_internal_3.h 5.0.3-1/include/CGAL/Kernel/global_functions_internal_3.h
--- 5.0.2-3/include/CGAL/Kernel/global_functions_internal_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel/global_functions_internal_3.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 2003-2004  
+// Copyright (c) 2003-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// Copyright (c) 2010 GeometryFactory Sarl (France) 
+// Copyright (c) 2010 GeometryFactory Sarl (France)
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel/global_functions_internal_3.h $
-// $Id: global_functions_internal_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel/global_functions_internal_3.h $
+// $Id: global_functions_internal_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
- 
+
 #ifndef CGAL_KERNEL_GLOBAL_FUNCTIONS_INTERNAL_3_H
 #define CGAL_KERNEL_GLOBAL_FUNCTIONS_INTERNAL_3_H
 
@@ -82,7 +82,7 @@ approximate_angle(const typename K::Vect
 {
   return k.compute_approximate_angle_3_object()(u, v);
 }
-  
+
 template < class K >
 inline
 typename K::FT
@@ -92,7 +92,7 @@ approximate_angle(const typename K::Poin
 {
   return k.compute_approximate_angle_3_object()(p, q, r);
 }
-  
+
 template < class K >
 inline
 typename K::FT
@@ -133,7 +133,7 @@ barycenter(const typename K::Point_3 &p1
 {
   return k.construct_barycenter_3_object()(p1, w1, p2);
 }
-  
+
 template < class K >
 inline
 typename K::Point_3
@@ -142,26 +142,26 @@ barycenter(const typename K::Point_3 &p1
 {
   return k.construct_barycenter_3_object()(p1, w1, p2, w2);
 }
-  
+
 template < class K >
 inline
 typename K::Point_3
 barycenter(const typename K::Point_3 &p1, const typename K::FT& w1,
            const typename K::Point_3 &p2, const typename K::FT& w2,
            const typename K::Point_3 &p3, const K& k)
-{        
+{
   return k.construct_barycenter_3_object()(p1, w1, p2, w2, p3);
 }
-  
+
 template < class K >
 inline
 typename K::Point_3
 barycenter(const typename K::Point_3 &p1, const typename K::FT& w1,
            const typename K::Point_3 &p2, const typename K::FT& w2,
            const typename K::Point_3 &p3, const typename K::FT& w3, const K& k)
-{        
+{
   return k.construct_barycenter_3_object()(p1, w1, p2, w2, p3, w3);
-}        
+}
 
 template < class K >
 inline
@@ -326,11 +326,11 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_dihedral_angle(const typename K::Point_3& a1,
-                       const typename K::Point_3& b1, 
+                       const typename K::Point_3& b1,
                        const typename K::Point_3& c1,
-                       const typename K::Point_3& d1, 
-                       const typename K::Point_3& a2, 
-                       const typename K::Point_3& b2, 
+                       const typename K::Point_3& d1,
+                       const typename K::Point_3& a2,
+                       const typename K::Point_3& b2,
                        const typename K::Point_3& c2,
                        const typename K::Point_3& d2,
                        const K& k)
@@ -342,9 +342,9 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_dihedral_angle(const typename K::Point_3& a1,
-                       const typename K::Point_3& b1, 
+                       const typename K::Point_3& b1,
                        const typename K::Point_3& c1,
-                       const typename K::Point_3& d1, 
+                       const typename K::Point_3& d1,
                        const typename K::FT& cosine,
                        const K& k)
 {
@@ -354,7 +354,7 @@ compare_dihedral_angle(const typename K:
 template < class K >
 inline
 typename K::Comparison_result
-compare_dihedral_angle(const typename K::Vector_3& ab1, 
+compare_dihedral_angle(const typename K::Vector_3& ab1,
                        const typename K::Vector_3& ac1,
                        const typename K::Vector_3& ad1,
                        const typename K::Vector_3& ab2,
@@ -368,7 +368,7 @@ compare_dihedral_angle(const typename K:
 template < class K >
 inline
 typename K::Comparison_result
-compare_dihedral_angle(const typename K::Vector_3& ab1, 
+compare_dihedral_angle(const typename K::Vector_3& ab1,
                        const typename K::Vector_3& ac1,
                        const typename K::Vector_3& ad1,
                        const typename K::FT& cosine,
@@ -420,7 +420,7 @@ typename K::Comparison_result
 compare_distance_to_point(const typename K::Point_3 &p,
                           const typename K::Point_3 &q,
                           const typename K::Point_3 &r,
-			  const K& k)
+                          const K& k)
 {
   return k.compare_distance_3_object()(p, q, r);
 }
@@ -454,7 +454,7 @@ typename K::Comparison_result
 compare_squared_distance(const typename K::Point_3 &p,
                          const typename K::Point_3 &q,
                          const typename K::FT &d2,
-		         const K& k)
+                         const K& k)
 {
   return k.compare_squared_distance_3_object()(p, q, d2);
 }
@@ -463,8 +463,8 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_squared_radius(const typename K::Point_3 &p,
-		       const typename K::FT &sr,
-		       const K& k)
+                       const typename K::FT &sr,
+                       const K& k)
 {
   return k.compare_squared_radius_3_object()(p, sr);
 }
@@ -473,9 +473,9 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_squared_radius(const typename K::Point_3 &p,
-		       const typename K::Point_3 &q,
-		       const typename K::FT &sr,
-		       const K& k)
+                       const typename K::Point_3 &q,
+                       const typename K::FT &sr,
+                       const K& k)
 {
   return k.compare_squared_radius_3_object()(p, q, sr);
 }
@@ -484,10 +484,10 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_squared_radius(const typename K::Point_3 &p,
-		       const typename K::Point_3 &q,
-		       const typename K::Point_3 &r,
-		       const typename K::FT &sr,
-		       const K& k)
+                       const typename K::Point_3 &q,
+                       const typename K::Point_3 &r,
+                       const typename K::FT &sr,
+                       const K& k)
 {
   return k.compare_squared_radius_3_object()(p, q, r, sr);
 }
@@ -496,11 +496,11 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_squared_radius(const typename K::Point_3 &p,
-		       const typename K::Point_3 &q,
-		       const typename K::Point_3 &r,
-		       const typename K::Point_3 &s,
-		       const typename K::FT &sr,
-		       const K& k)
+                       const typename K::Point_3 &q,
+                       const typename K::Point_3 &r,
+                       const typename K::Point_3 &s,
+                       const typename K::FT &sr,
+                       const K& k)
 {
   return k.compare_squared_radius_3_object()(p, q, r, s, sr);
 }
@@ -510,7 +510,7 @@ inline
 typename K::Comparison_result
 compare_lexicographically_xyz(const typename K::Point_3 &p,
                               const typename K::Point_3 &q,
-			      const K& k)
+                              const K& k)
 {
   return k.compare_xyz_3_object()(p, q);
 }
@@ -519,10 +519,10 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_signed_distance_to_plane(const typename K::Plane_3 &h,
-				 const typename K::Point_3 &p,
-				 const typename K::Point_3 &q,
-				 const K &k)
-{ 
+                                 const typename K::Point_3 &p,
+                                 const typename K::Point_3 &q,
+                                 const K &k)
+{
   if (k.less_signed_distance_to_plane_3_object()(h, p, q)) return SMALLER;
   if (k.less_signed_distance_to_plane_3_object()(h, q, p)) return LARGER;
   return EQUAL;
@@ -532,12 +532,12 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_signed_distance_to_plane(const typename K::Point_3 &hp,
-				 const typename K::Point_3 &hq,
-				 const typename K::Point_3 &hr,
-				 const typename K::Point_3 &p,
-				 const typename K::Point_3 &q,
-				 const K &k)
-{ 
+                                 const typename K::Point_3 &hq,
+                                 const typename K::Point_3 &hr,
+                                 const typename K::Point_3 &p,
+                                 const typename K::Point_3 &q,
+                                 const K &k)
+{
   if (k.less_signed_distance_to_plane_3_object()(hp, hq, hr, p, q))
     return SMALLER;
   if (k.less_signed_distance_to_plane_3_object()(hp, hq, hr, q, p))
@@ -591,9 +591,9 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_x(const typename K::Point_3 &p,
-	  const typename K::Point_3 &q,
-	  const K &k)
-{ 
+          const typename K::Point_3 &q,
+          const K &k)
+{
   return k.compare_x_3_object()(p, q);
 }
 
@@ -601,9 +601,9 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_y(const typename K::Point_3 &p,
-	  const typename K::Point_3 &q,
-	  const K &k)
-{ 
+          const typename K::Point_3 &q,
+          const K &k)
+{
   return k.compare_y_3_object()(p, q);
 }
 
@@ -611,9 +611,9 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_z(const typename K::Point_3 &p,
-	  const typename K::Point_3 &q,
-	  const K &k)
-{ 
+          const typename K::Point_3 &q,
+          const K &k)
+{
   return k.compare_z_3_object()(p, q);
 }
 
@@ -621,9 +621,9 @@ template < class K >
 inline
 typename K::Comparison_result
 compare_xyz(const typename K::Point_3 &p,
-	    const typename K::Point_3 &q,
-	    const K &k)
-{ 
+            const typename K::Point_3 &q,
+            const K &k)
+{
   return k.compare_xyz_3_object()(p, q);
 }
 
@@ -706,7 +706,7 @@ typename K::Boolean
 has_smaller_distance_to_point(const typename K::Point_3 &p,
                               const typename K::Point_3 &q,
                               const typename K::Point_3 &r,
-			      const K &k)
+                              const K &k)
 {
   return k.less_distance_to_point_3_object()(p, q, r);
 }
@@ -715,9 +715,9 @@ template < class K >
 inline
 typename K::Boolean
 has_larger_distance_to_point(const typename K::Point_3 &p,
-			     const typename K::Point_3 &q,
-			     const typename K::Point_3 &r,
-			     const K &k)
+                             const typename K::Point_3 &q,
+                             const typename K::Point_3 &r,
+                             const K &k)
 {
   return k.compare_distance_3_object()(p, q, r) == LARGER;
 }
@@ -726,10 +726,10 @@ template < class K >
 inline
 typename K::Boolean
 has_larger_signed_distance_to_plane(const typename K::Plane_3 &h,
-				    const typename K::Point_3 &p,
-				    const typename K::Point_3 &q,
-				    const K &k)
-{ 
+                                    const typename K::Point_3 &p,
+                                    const typename K::Point_3 &q,
+                                    const K &k)
+{
   return k.less_signed_distance_to_plane_3_object()(h, q, p);
 }
 
@@ -737,12 +737,12 @@ template < class K >
 inline
 typename K::Boolean
 has_larger_signed_distance_to_plane(const typename K::Point_3 &hp,
-				    const typename K::Point_3 &hq,
-				    const typename K::Point_3 &hr,
-				    const typename K::Point_3 &p,
-				    const typename K::Point_3 &q,
-				    const K &k)
-{ 
+                                    const typename K::Point_3 &hq,
+                                    const typename K::Point_3 &hr,
+                                    const typename K::Point_3 &p,
+                                    const typename K::Point_3 &q,
+                                    const K &k)
+{
   return k.less_signed_distance_to_plane_3_object()(hp, hq, hr, q, p);
 }
 
@@ -752,8 +752,8 @@ typename K::Boolean
 has_smaller_signed_distance_to_plane(const typename K::Plane_3 &h,
                                      const typename K::Point_3 &p,
                                      const typename K::Point_3 &q,
-				     const K &k)
-{ 
+                                     const K &k)
+{
   return k.less_signed_distance_to_plane_3_object()(h, p, q);
 }
 
@@ -765,8 +765,8 @@ has_smaller_signed_distance_to_plane(con
                                      const typename K::Point_3 &hr,
                                      const typename K::Point_3 &p,
                                      const typename K::Point_3 &q,
-				     const K &k)
-{ 
+                                     const K &k)
+{
   return k.less_signed_distance_to_plane_3_object()(hp, hq, hr, p, q);
 }
 
@@ -776,7 +776,7 @@ typename K::Boolean
 less_x(const typename K::Point_3 &p,
        const typename K::Point_3 &q,
        const K &k)
-{ 
+{
   return k.less_x_3_object()(p, q);
 }
 
@@ -786,7 +786,7 @@ typename K::Boolean
 less_y(const typename K::Point_3 &p,
        const typename K::Point_3 &q,
        const K &k)
-{ 
+{
   return k.less_y_3_object()(p, q);
 }
 
@@ -796,7 +796,7 @@ typename K::Boolean
 less_z(const typename K::Point_3 &p,
        const typename K::Point_3 &q,
        const K &k)
-{ 
+{
   return k.less_z_3_object()(p, q);
 }
 
@@ -864,9 +864,9 @@ template <class K >
 inline
 typename K::Orientation
 orientation(const typename K::Point_3 &p,
-	    const typename K::Point_3 &q,
-	    const typename K::Point_3 &r,
-	    const typename K::Point_3 &s, const K &k)
+            const typename K::Point_3 &q,
+            const typename K::Point_3 &r,
+            const typename K::Point_3 &s, const K &k)
 {
   return k.orientation_3_object()(p, q, r, s);
 }
@@ -875,8 +875,8 @@ template <class K >
 inline
 typename K::Orientation
 orientation(const typename K::Vector_3 &u,
-	    const typename K::Vector_3 &v,
-	    const typename K::Vector_3 &w, const K &k)
+            const typename K::Vector_3 &v,
+            const typename K::Vector_3 &w, const K &k)
 {
   return k.orientation_3_object()(u, v, w);
 }
@@ -885,8 +885,8 @@ template < class K >
 inline
 typename K::Vector_3
 orthogonal_vector(const typename K::Point_3 &p,
-		  const typename K::Point_3 &q,
-		  const typename K::Point_3 &r, const K &k)
+                  const typename K::Point_3 &q,
+                  const typename K::Point_3 &r, const K &k)
 {
   return k.construct_orthogonal_vector_3_object()(p, q, r);
 }
@@ -1089,8 +1089,8 @@ template <typename K>
 inline
 typename K::FT
 squared_area(const typename K::Point_3 &p,
-	     const typename K::Point_3 &q,
-	     const typename K::Point_3 &r, const K &k)
+             const typename K::Point_3 &q,
+             const typename K::Point_3 &r, const K &k)
 {
   return k.compute_squared_area_3_object()(p, q, r);
 }
@@ -1099,9 +1099,9 @@ template < class K >
 inline
 typename K::FT
 squared_radius(const typename K::Point_3 &p,
-	       const typename K::Point_3 &q,
-	       const typename K::Point_3 &r,
-	       const typename K::Point_3 &s, const K &k)
+               const typename K::Point_3 &q,
+               const typename K::Point_3 &r,
+               const typename K::Point_3 &s, const K &k)
 {
   return k.compute_squared_radius_3_object()(p, q, r, s);
 }
@@ -1110,8 +1110,8 @@ template < class K >
 inline
 typename K::FT
 squared_radius(const typename K::Point_3 &p,
-	       const typename K::Point_3 &q,
-	       const typename K::Point_3 &r, const K &k)
+               const typename K::Point_3 &q,
+               const typename K::Point_3 &r, const K &k)
 {
   return k.compute_squared_radius_3_object()(p, q, r);
 }
@@ -1120,7 +1120,7 @@ template < class K >
 inline
 typename K::FT
 squared_radius(const typename K::Point_3 &p,
-	       const typename K::Point_3 &q, const K &k)
+               const typename K::Point_3 &q, const K &k)
 {
   return k.compute_squared_radius_3_object()(p, q);
 }
diff -pruN 5.0.2-3/include/CGAL/Kernel/hash_functions.h 5.0.3-1/include/CGAL/Kernel/hash_functions.h
--- 5.0.2-3/include/CGAL/Kernel/hash_functions.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel/hash_functions.h	2020-08-01 19:02:26.000000000 +0000
@@ -3,13 +3,13 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel/hash_functions.h $
-// $Id: hash_functions.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel/hash_functions.h $
+// $Id: hash_functions.h 6a51a30 2020-04-22T11:02:16+02:00 Maxime Gimeno
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Simon Giraudot
- 
+
 #ifndef CGAL_KERNEL_HASH_FUNCTIONS_H
 #define CGAL_KERNEL_HASH_FUNCTIONS_H
 
@@ -57,8 +57,8 @@ template <typename K>
 inline std::enable_if_t<std::is_same<typename K::Rep_tag, Cartesian_tag>::value, std::size_t>
 hash_value (const Iso_rectangle_2<K>& iso_rectangle)
 {
-  std::size_t result = hash_value(iso_rectangle.min());
-  boost::hash_combine(result, hash_value(iso_rectangle.max()));
+  std::size_t result = hash_value((iso_rectangle.min)());
+  boost::hash_combine(result, hash_value((iso_rectangle.max)()));
   return result;
 }
 
@@ -126,8 +126,8 @@ template <typename K>
 inline std::enable_if_t<std::is_same<typename K::Rep_tag, Cartesian_tag>::value, std::size_t>
 hash_value (const Iso_cuboid_3<K>& iso_cuboid)
 {
-  std::size_t result = hash_value(iso_cuboid.min());
-  boost::hash_combine(result, hash_value(iso_cuboid.max()));
+  std::size_t result = hash_value((iso_cuboid.min)());
+  boost::hash_combine(result, hash_value((iso_cuboid.max)()));
   return result;
 }
 
diff -pruN 5.0.2-3/include/CGAL/Kernel/interface_macros.h 5.0.3-1/include/CGAL/Kernel/interface_macros.h
--- 5.0.2-3/include/CGAL/Kernel/interface_macros.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel/interface_macros.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000-2004  
+// Copyright (c) 2000-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel/interface_macros.h $
-// $Id: interface_macros.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel/interface_macros.h $
+// $Id: interface_macros.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann, Sylvain Pion, Susan Hert
 
@@ -67,239 +67,239 @@ CGAL_Kernel_obj(Circle_3)
 
 
 CGAL_Kernel_pred(Angle_2,
-		 angle_2_object)
+                 angle_2_object)
 CGAL_Kernel_pred(Angle_3,
-		 angle_3_object)
+                 angle_3_object)
 CGAL_Kernel_pred(Are_ordered_along_line_2,
-		 are_ordered_along_line_2_object)
+                 are_ordered_along_line_2_object)
 CGAL_Kernel_pred(Are_ordered_along_line_3,
-		 are_ordered_along_line_3_object)
+                 are_ordered_along_line_3_object)
 CGAL_Kernel_pred(Are_parallel_2,
-		 are_parallel_2_object)
+                 are_parallel_2_object)
 CGAL_Kernel_pred(Are_parallel_3,
-		 are_parallel_3_object)
+                 are_parallel_3_object)
 CGAL_Kernel_pred(Are_strictly_ordered_along_line_2,
-		 are_strictly_ordered_along_line_2_object)
+                 are_strictly_ordered_along_line_2_object)
 CGAL_Kernel_pred(Are_strictly_ordered_along_line_3,
-		 are_strictly_ordered_along_line_3_object)
+                 are_strictly_ordered_along_line_3_object)
 CGAL_Kernel_cons(Assign_2,
-		 assign_2_object)
+                 assign_2_object)
 CGAL_Kernel_cons(Assign_3,
-		 assign_3_object)
+                 assign_3_object)
 CGAL_Kernel_pred(Bounded_side_2,
-		 bounded_side_2_object)
+                 bounded_side_2_object)
 CGAL_Kernel_pred(Bounded_side_3,
-		 bounded_side_3_object)
+                 bounded_side_3_object)
 CGAL_Kernel_pred(Collinear_are_ordered_along_line_2,
-		 collinear_are_ordered_along_line_2_object)
+                 collinear_are_ordered_along_line_2_object)
 CGAL_Kernel_pred(Collinear_are_ordered_along_line_3,
-		 collinear_are_ordered_along_line_3_object)
+                 collinear_are_ordered_along_line_3_object)
 CGAL_Kernel_pred(Collinear_are_strictly_ordered_along_line_2,
-		 collinear_are_strictly_ordered_along_line_2_object)
+                 collinear_are_strictly_ordered_along_line_2_object)
 CGAL_Kernel_pred(Collinear_are_strictly_ordered_along_line_3,
-		 collinear_are_strictly_ordered_along_line_3_object)
+                 collinear_are_strictly_ordered_along_line_3_object)
 CGAL_Kernel_pred(Collinear_has_on_2,
-		 collinear_has_on_2_object)
+                 collinear_has_on_2_object)
 CGAL_Kernel_pred_RT(Collinear_2,
                     collinear_2_object)
 CGAL_Kernel_pred_RT(Collinear_3,
                     collinear_3_object)
 CGAL_Kernel_pred(Compare_angle_with_x_axis_2,
-		 compare_angle_with_x_axis_2_object)
+                 compare_angle_with_x_axis_2_object)
 CGAL_Kernel_pred(Compare_dihedral_angle_3,
-		 compare_dihedral_angle_3_object)
+                 compare_dihedral_angle_3_object)
 CGAL_Kernel_pred(Compare_distance_2,
-		 compare_distance_2_object)
-CGAL_Kernel_pred_RT(Compare_distance_3,
-                    compare_distance_3_object)
+                 compare_distance_2_object)
+CGAL_Kernel_pred(Compare_distance_3,
+                 compare_distance_3_object)
 CGAL_Kernel_pred_RT(Compare_power_distance_2,
                     compare_power_distance_2_object)
 CGAL_Kernel_pred_RT(Compare_power_distance_3,
                     compare_power_distance_3_object)
 CGAL_Kernel_pred(Compare_slope_2,
-		 compare_slope_2_object)
+                 compare_slope_2_object)
 CGAL_Kernel_pred(Compare_slope_3,
-		 compare_slope_3_object)
+                 compare_slope_3_object)
 CGAL_Kernel_pred(Compare_squared_distance_2,
-		 compare_squared_distance_2_object)
+                 compare_squared_distance_2_object)
 CGAL_Kernel_pred(Compare_squared_distance_3,
-		 compare_squared_distance_3_object)
+                 compare_squared_distance_3_object)
 CGAL_Kernel_pred(Compare_squared_radius_3,
-		 compare_squared_radius_3_object)
+                 compare_squared_radius_3_object)
 CGAL_Kernel_pred(Compare_weighted_squared_radius_3,
                  compare_weighted_squared_radius_3_object)
 CGAL_Kernel_pred(Compare_x_at_y_2,
-		 compare_x_at_y_2_object)
+                 compare_x_at_y_2_object)
 CGAL_Kernel_pred(Compare_xyz_3,
-		 compare_xyz_3_object)
+                 compare_xyz_3_object)
 CGAL_Kernel_pred(Compare_xy_2,
-		 compare_xy_2_object)
+                 compare_xy_2_object)
 CGAL_Kernel_pred(Compare_xy_3,
-		 compare_xy_3_object)
+                 compare_xy_3_object)
 CGAL_Kernel_pred(Compare_x_2,
-		 compare_x_2_object)
+                 compare_x_2_object)
 CGAL_Kernel_pred(Compare_x_3,
-		 compare_x_3_object)
+                 compare_x_3_object)
 CGAL_Kernel_pred(Compare_y_at_x_2,
-		 compare_y_at_x_2_object)
+                 compare_y_at_x_2_object)
 CGAL_Kernel_pred(Compare_y_2,
-		 compare_y_2_object)
+                 compare_y_2_object)
 CGAL_Kernel_pred(Compare_y_3,
-		 compare_y_3_object)
+                 compare_y_3_object)
 CGAL_Kernel_pred(Compare_yx_2,
-		 compare_yx_2_object)
+                 compare_yx_2_object)
 CGAL_Kernel_pred(Compare_z_3,
-		 compare_z_3_object)
+                 compare_z_3_object)
 CGAL_Kernel_cons(Compute_a_2,
-		 compute_a_2_object)
+                 compute_a_2_object)
 CGAL_Kernel_cons(Compute_a_3,
-		 compute_a_3_object)
+                 compute_a_3_object)
 CGAL_Kernel_cons(Compute_b_2,
-		 compute_b_2_object)
+                 compute_b_2_object)
 CGAL_Kernel_cons(Compute_b_3,
-		 compute_b_3_object)
+                 compute_b_3_object)
 CGAL_Kernel_cons(Compute_c_2,
-		 compute_c_2_object)
+                 compute_c_2_object)
 CGAL_Kernel_cons(Compute_c_3,
-		 compute_c_3_object)
+                 compute_c_3_object)
 CGAL_Kernel_cons(Compute_d_3,
-		 compute_d_3_object)
+                 compute_d_3_object)
 CGAL_Kernel_cons(Compute_approximate_angle_3,
-		 compute_approximate_angle_3_object)
+                 compute_approximate_angle_3_object)
 CGAL_Kernel_cons(Compute_approximate_dihedral_angle_3,
-		 compute_approximate_dihedral_angle_3_object)
+                 compute_approximate_dihedral_angle_3_object)
 CGAL_Kernel_cons(Compute_approximate_area_3,
                  compute_approximate_area_3_object)
 CGAL_Kernel_cons(Compute_approximate_squared_length_3,
                  compute_approximate_squared_length_3_object)
 CGAL_Kernel_cons(Compute_area_2,
-		 compute_area_2_object)
+                 compute_area_2_object)
 CGAL_Kernel_cons(Compute_area_3,
-		 compute_area_3_object)
+                 compute_area_3_object)
 CGAL_Kernel_cons(Compute_area_divided_by_pi_3,
-		 compute_area_divided_by_pi_3_object)
+                 compute_area_divided_by_pi_3_object)
 CGAL_Kernel_cons(Compute_determinant_2,
-		 compute_determinant_2_object)
+                 compute_determinant_2_object)
 CGAL_Kernel_cons(Compute_determinant_3,
-		 compute_determinant_3_object)
+                 compute_determinant_3_object)
 CGAL_Kernel_cons(Compute_L_infinity_distance_2,
-		 compute_L_infinity_distance_2_object)
+                 compute_L_infinity_distance_2_object)
 CGAL_Kernel_cons(Compute_L_infinity_distance_3,
                  compute_L_infinity_distance_3_object)
 CGAL_Kernel_cons(Compute_scalar_product_2,
-		 compute_scalar_product_2_object)
+                 compute_scalar_product_2_object)
 CGAL_Kernel_cons(Compute_scalar_product_3,
-		 compute_scalar_product_3_object)
+                 compute_scalar_product_3_object)
 CGAL_Kernel_cons(Compute_squared_area_3,
-		 compute_squared_area_3_object)
+                 compute_squared_area_3_object)
 CGAL_Kernel_cons(Compute_squared_distance_2,
-		 compute_squared_distance_2_object)
+                 compute_squared_distance_2_object)
 CGAL_Kernel_cons(Compute_squared_distance_3,
-		 compute_squared_distance_3_object)
+                 compute_squared_distance_3_object)
 CGAL_Kernel_cons(Compute_squared_length_2,
-		 compute_squared_length_2_object)
+                 compute_squared_length_2_object)
 CGAL_Kernel_cons(Compute_squared_length_3,
-		 compute_squared_length_3_object)
+                 compute_squared_length_3_object)
 CGAL_Kernel_cons(Compute_squared_length_divided_by_pi_square_3,
                  compute_squared_length_divided_by_pi_square_3_object)
 CGAL_Kernel_cons(Compute_squared_radius_2,
-		 compute_squared_radius_2_object)
+                 compute_squared_radius_2_object)
 CGAL_Kernel_cons(Compute_squared_radius_3,
-		 compute_squared_radius_3_object)
+                 compute_squared_radius_3_object)
 CGAL_Kernel_cons(Compute_volume_3,
-		 compute_volume_3_object)
+                 compute_volume_3_object)
 CGAL_Kernel_cons(Compute_x_2,
-		 compute_x_2_object)
+                 compute_x_2_object)
 CGAL_Kernel_cons(Compute_x_3,
-		 compute_x_3_object)
+                 compute_x_3_object)
 CGAL_Kernel_cons(Compute_y_2,
-		 compute_y_2_object)
+                 compute_y_2_object)
 CGAL_Kernel_cons(Compute_y_3,
-		 compute_y_3_object)
+                 compute_y_3_object)
 CGAL_Kernel_cons(Compute_z_3,
-		 compute_z_3_object)
+                 compute_z_3_object)
 CGAL_Kernel_cons(Compute_dx_2,
-		 compute_dx_2_object)
+                 compute_dx_2_object)
 CGAL_Kernel_cons(Compute_dx_3,
-		 compute_dx_3_object)
+                 compute_dx_3_object)
 CGAL_Kernel_cons(Compute_dy_2,
-		 compute_dy_2_object)
+                 compute_dy_2_object)
 CGAL_Kernel_cons(Compute_dy_3,
-		 compute_dy_3_object)
+                 compute_dy_3_object)
 CGAL_Kernel_cons(Compute_dz_3,
-		 compute_dz_3_object)
+                 compute_dz_3_object)
 CGAL_Kernel_cons(Compute_hx_2,
-		 compute_hx_2_object)
+                 compute_hx_2_object)
 CGAL_Kernel_cons(Compute_hx_3,
-		 compute_hx_3_object)
+                 compute_hx_3_object)
 CGAL_Kernel_cons(Compute_hy_2,
-		 compute_hy_2_object)
+                 compute_hy_2_object)
 CGAL_Kernel_cons(Compute_hy_3,
-		 compute_hy_3_object)
+                 compute_hy_3_object)
 CGAL_Kernel_cons(Compute_hz_3,
-		 compute_hz_3_object)
+                 compute_hz_3_object)
 CGAL_Kernel_cons(Compute_hw_2,
-		 compute_hw_2_object)
+                 compute_hw_2_object)
 CGAL_Kernel_cons(Compute_hw_3,
-		 compute_hw_3_object)
+                 compute_hw_3_object)
 CGAL_Kernel_cons(Compute_x_at_y_2,
-		 compute_x_at_y_2_object)
+                 compute_x_at_y_2_object)
 CGAL_Kernel_cons(Compute_y_at_x_2,
-		 compute_y_at_x_2_object)
+                 compute_y_at_x_2_object)
 CGAL_Kernel_cons(Compute_xmin_2,
-		 compute_xmin_2_object)
+                 compute_xmin_2_object)
 CGAL_Kernel_cons(Compute_xmax_2,
-		 compute_xmax_2_object)
+                 compute_xmax_2_object)
 CGAL_Kernel_cons(Compute_ymin_2,
-		 compute_ymin_2_object)
+                 compute_ymin_2_object)
 CGAL_Kernel_cons(Compute_ymax_2,
-		 compute_ymax_2_object)
+                 compute_ymax_2_object)
 CGAL_Kernel_cons(Compute_xmin_3,
-		 compute_xmin_3_object)
+                 compute_xmin_3_object)
 CGAL_Kernel_cons(Compute_xmax_3,
-		 compute_xmax_3_object)
+                 compute_xmax_3_object)
 CGAL_Kernel_cons(Compute_ymin_3,
-		 compute_ymin_3_object)
+                 compute_ymin_3_object)
 CGAL_Kernel_cons(Compute_ymax_3,
-		 compute_ymax_3_object)
+                 compute_ymax_3_object)
 CGAL_Kernel_cons(Compute_zmin_3,
-		 compute_zmin_3_object)
+                 compute_zmin_3_object)
 CGAL_Kernel_cons(Compute_zmax_3,
-		 compute_zmax_3_object)
+                 compute_zmax_3_object)
 CGAL_Kernel_cons(Compute_weight_2,
                  compute_weight_2_object)
 CGAL_Kernel_cons(Compute_weight_3,
                  compute_weight_3_object)
 CGAL_Kernel_cons(Construct_barycenter_2,
-		 construct_barycenter_2_object)
+                 construct_barycenter_2_object)
 CGAL_Kernel_cons(Construct_barycenter_3,
-		 construct_barycenter_3_object)
+                 construct_barycenter_3_object)
 CGAL_Kernel_cons(Construct_base_vector_3,
-		 construct_base_vector_3_object)
+                 construct_base_vector_3_object)
 CGAL_Kernel_cons(Construct_bisector_2,
-		 construct_bisector_2_object)
+                 construct_bisector_2_object)
 CGAL_Kernel_cons(Construct_bisector_3,
-		 construct_bisector_3_object)
+                 construct_bisector_3_object)
 CGAL_Kernel_cons(Construct_center_2,
-		 construct_center_2_object)
+                 construct_center_2_object)
 CGAL_Kernel_cons(Construct_center_3,
-		 construct_center_3_object)
+                 construct_center_3_object)
 CGAL_Kernel_cons(Construct_centroid_2,
-		 construct_centroid_2_object)
+                 construct_centroid_2_object)
 CGAL_Kernel_cons(Construct_centroid_3,
-		 construct_centroid_3_object)
+                 construct_centroid_3_object)
 CGAL_Kernel_cons(Construct_circle_2,
-		 construct_circle_2_object)
+                 construct_circle_2_object)
 CGAL_Kernel_cons(Construct_circle_3,
-		 construct_circle_3_object)
+                 construct_circle_3_object)
 CGAL_Kernel_cons(Construct_circumcenter_2,
-		 construct_circumcenter_2_object)
+                 construct_circumcenter_2_object)
 CGAL_Kernel_cons(Construct_weighted_circumcenter_2,
-		 construct_weighted_circumcenter_2_object)
+                 construct_weighted_circumcenter_2_object)
 CGAL_Kernel_cons(Construct_circumcenter_3,
-		 construct_circumcenter_3_object)
+                 construct_circumcenter_3_object)
 CGAL_Kernel_cons(Construct_weighted_circumcenter_3,
-		 construct_weighted_circumcenter_3_object)
+                 construct_weighted_circumcenter_3_object)
 CGAL_Kernel_cons(Compute_power_product_2,
                  compute_power_product_2_object)
 CGAL_Kernel_cons(Compute_power_product_3,
@@ -311,29 +311,29 @@ CGAL_Kernel_cons(Compute_squared_radius_
 CGAL_Kernel_cons(Compute_power_distance_to_power_sphere_3,
                  compute_power_distance_to_power_sphere_3_object)
 CGAL_Kernel_cons(Construct_cross_product_vector_3,
-		 construct_cross_product_vector_3_object)
+                 construct_cross_product_vector_3_object)
 CGAL_Kernel_cons(Construct_direction_2,
-		 construct_direction_2_object)
+                 construct_direction_2_object)
 CGAL_Kernel_cons(Construct_direction_3,
-		 construct_direction_3_object)
+                 construct_direction_3_object)
 CGAL_Kernel_cons(Construct_equidistant_line_3,
-		 construct_equidistant_line_3_object)
+                 construct_equidistant_line_3_object)
 CGAL_Kernel_cons(Construct_iso_cuboid_3,
-		 construct_iso_cuboid_3_object)
+                 construct_iso_cuboid_3_object)
 CGAL_Kernel_cons(Construct_iso_rectangle_2,
-		 construct_iso_rectangle_2_object)
+                 construct_iso_rectangle_2_object)
 CGAL_Kernel_cons(Construct_lifted_point_3,
-		 construct_lifted_point_3_object)
+                 construct_lifted_point_3_object)
 CGAL_Kernel_cons(Construct_line_2,
-		 construct_line_2_object)
+                 construct_line_2_object)
 CGAL_Kernel_cons(Construct_line_3,
-		 construct_line_3_object)
+                 construct_line_3_object)
 CGAL_Kernel_cons(Construct_line_line_intersection_point_3,
                  construct_line_line_intersection_point_3_object)
 CGAL_Kernel_cons(Construct_midpoint_2,
-		 construct_midpoint_2_object)
+                 construct_midpoint_2_object)
 CGAL_Kernel_cons(Construct_midpoint_3,
-		 construct_midpoint_3_object)
+                 construct_midpoint_3_object)
 CGAL_Kernel_cons(Construct_min_vertex_2,
                  construct_min_vertex_2_object)
 CGAL_Kernel_cons(Construct_max_vertex_2,
@@ -349,205 +349,205 @@ CGAL_Kernel_cons(Construct_object_2,
 CGAL_Kernel_cons(Construct_object_3,
                  construct_object_3_object)
 CGAL_Kernel_cons(Construct_opposite_circle_2,
-		 construct_opposite_circle_2_object)
+                 construct_opposite_circle_2_object)
 CGAL_Kernel_cons(Construct_opposite_direction_2,
-		 construct_opposite_direction_2_object)
+                 construct_opposite_direction_2_object)
 CGAL_Kernel_cons(Construct_opposite_direction_3,
-		 construct_opposite_direction_3_object)
+                 construct_opposite_direction_3_object)
 CGAL_Kernel_cons(Construct_opposite_line_2,
-		 construct_opposite_line_2_object)
+                 construct_opposite_line_2_object)
 CGAL_Kernel_cons(Construct_opposite_line_3,
-		 construct_opposite_line_3_object)
+                 construct_opposite_line_3_object)
 CGAL_Kernel_cons(Construct_opposite_plane_3,
-		 construct_opposite_plane_3_object)
+                 construct_opposite_plane_3_object)
 CGAL_Kernel_cons(Construct_opposite_ray_2,
-		 construct_opposite_ray_2_object)
+                 construct_opposite_ray_2_object)
 CGAL_Kernel_cons(Construct_opposite_ray_3,
-		 construct_opposite_ray_3_object)
+                 construct_opposite_ray_3_object)
 CGAL_Kernel_cons(Construct_opposite_segment_2,
-		 construct_opposite_segment_2_object)
+                 construct_opposite_segment_2_object)
 CGAL_Kernel_cons(Construct_opposite_segment_3,
-		 construct_opposite_segment_3_object)
+                 construct_opposite_segment_3_object)
 CGAL_Kernel_cons(Construct_opposite_sphere_3,
-		 construct_opposite_sphere_3_object)
+                 construct_opposite_sphere_3_object)
 CGAL_Kernel_cons(Construct_opposite_triangle_2,
-		 construct_opposite_triangle_2_object)
+                 construct_opposite_triangle_2_object)
 CGAL_Kernel_cons(Construct_opposite_vector_2,
-		 construct_opposite_vector_2_object)
+                 construct_opposite_vector_2_object)
 CGAL_Kernel_cons(Construct_difference_of_vectors_2,
-		 construct_difference_of_vectors_2_object)
+                 construct_difference_of_vectors_2_object)
 CGAL_Kernel_cons(Construct_difference_of_vectors_3,
-		 construct_difference_of_vectors_3_object)
+                 construct_difference_of_vectors_3_object)
 CGAL_Kernel_cons(Construct_sum_of_vectors_2,
-		 construct_sum_of_vectors_2_object)
+                 construct_sum_of_vectors_2_object)
 CGAL_Kernel_cons(Construct_sum_of_vectors_3,
-		 construct_sum_of_vectors_3_object)
+                 construct_sum_of_vectors_3_object)
 CGAL_Kernel_cons(Construct_opposite_vector_3,
-		 construct_opposite_vector_3_object)
+                 construct_opposite_vector_3_object)
 CGAL_Kernel_cons(Construct_orthogonal_vector_3,
-		 construct_orthogonal_vector_3_object)
+                 construct_orthogonal_vector_3_object)
 CGAL_Kernel_cons(Construct_perpendicular_direction_2,
-		 construct_perpendicular_direction_2_object)
+                 construct_perpendicular_direction_2_object)
 CGAL_Kernel_cons(Construct_perpendicular_line_2,
-		 construct_perpendicular_line_2_object)
+                 construct_perpendicular_line_2_object)
 CGAL_Kernel_cons(Construct_perpendicular_line_3,
-		 construct_perpendicular_line_3_object)
+                 construct_perpendicular_line_3_object)
 CGAL_Kernel_cons(Construct_perpendicular_plane_3,
-		 construct_perpendicular_plane_3_object)
+                 construct_perpendicular_plane_3_object)
 CGAL_Kernel_cons(Construct_perpendicular_vector_2,
-		 construct_perpendicular_vector_2_object)
+                 construct_perpendicular_vector_2_object)
 CGAL_Kernel_cons(Construct_plane_3,
-		 construct_plane_3_object)
+                 construct_plane_3_object)
 CGAL_Kernel_cons(Construct_plane_line_intersection_point_3,
                  construct_plane_line_intersection_point_3_object)
 CGAL_Kernel_cons(Construct_point_on_2,
-		 construct_point_on_2_object)
+                 construct_point_on_2_object)
 CGAL_Kernel_cons(Construct_point_on_3,
-		 construct_point_on_3_object)
+                 construct_point_on_3_object)
 CGAL_Kernel_cons(Construct_point_2,
-		 construct_point_2_object)
+                 construct_point_2_object)
 CGAL_Kernel_cons(Construct_radical_axis_2,
-		 construct_radical_axis_2_object)
+                 construct_radical_axis_2_object)
 CGAL_Kernel_cons(Construct_weighted_point_2,
-		 construct_weighted_point_2_object)
+                 construct_weighted_point_2_object)
 CGAL_Kernel_cons(Construct_point_3,
-		 construct_point_3_object)
+                 construct_point_3_object)
 CGAL_Kernel_cons(Construct_weighted_point_3,
-		 construct_weighted_point_3_object)
+                 construct_weighted_point_3_object)
 CGAL_Kernel_cons(Construct_projected_point_2,
-		 construct_projected_point_2_object)
+                 construct_projected_point_2_object)
 CGAL_Kernel_cons(Construct_projected_point_3,
-		 construct_projected_point_3_object)
+                 construct_projected_point_3_object)
 CGAL_Kernel_cons(Construct_projected_xy_point_2,
-		 construct_projected_xy_point_2_object)
+                 construct_projected_xy_point_2_object)
 CGAL_Kernel_cons(Construct_radical_line_2,
-                 construct_radical_line_2_object)		
+                 construct_radical_line_2_object)
 CGAL_Kernel_cons(Construct_radical_plane_3,
                  construct_radical_plane_3_object)
 CGAL_Kernel_cons(Construct_ray_2,
-		 construct_ray_2_object)
+                 construct_ray_2_object)
 CGAL_Kernel_cons(Construct_ray_3,
-		 construct_ray_3_object)
+                 construct_ray_3_object)
 CGAL_Kernel_cons(Construct_scaled_vector_2,
-		 construct_scaled_vector_2_object)
+                 construct_scaled_vector_2_object)
 CGAL_Kernel_cons(Construct_divided_vector_2,
-		 construct_divided_vector_2_object)
+                 construct_divided_vector_2_object)
 CGAL_Kernel_cons(Construct_divided_vector_3,
-		 construct_divided_vector_3_object)
+                 construct_divided_vector_3_object)
 CGAL_Kernel_cons(Construct_scaled_vector_3,
-		 construct_scaled_vector_3_object)
+                 construct_scaled_vector_3_object)
 CGAL_Kernel_cons(Construct_second_point_2,
-		 construct_second_point_2_object)
+                 construct_second_point_2_object)
 CGAL_Kernel_cons(Construct_second_point_3,
-		 construct_second_point_3_object)
+                 construct_second_point_3_object)
 CGAL_Kernel_cons(Construct_segment_2,
-		 construct_segment_2_object)
+                 construct_segment_2_object)
 CGAL_Kernel_cons(Construct_segment_3,
-		 construct_segment_3_object)
+                 construct_segment_3_object)
 CGAL_Kernel_cons(Construct_source_2,
-		 construct_source_2_object)
+                 construct_source_2_object)
 CGAL_Kernel_cons(Construct_source_3,
-		 construct_source_3_object)
+                 construct_source_3_object)
 CGAL_Kernel_cons(Construct_sphere_3,
-		 construct_sphere_3_object)
+                 construct_sphere_3_object)
 CGAL_Kernel_cons(Construct_supporting_plane_3,
-		 construct_supporting_plane_3_object)
+                 construct_supporting_plane_3_object)
 CGAL_Kernel_cons(Construct_target_2,
-		 construct_target_2_object)
+                 construct_target_2_object)
 CGAL_Kernel_cons(Construct_target_3,
-		 construct_target_3_object)
+                 construct_target_3_object)
 CGAL_Kernel_cons(Construct_tetrahedron_3,
-		 construct_tetrahedron_3_object)
+                 construct_tetrahedron_3_object)
 CGAL_Kernel_cons(Construct_translated_point_2,
-		 construct_translated_point_2_object)
+                 construct_translated_point_2_object)
 CGAL_Kernel_cons(Construct_translated_point_3,
-		 construct_translated_point_3_object)
+                 construct_translated_point_3_object)
 CGAL_Kernel_cons(Construct_triangle_2,
-		 construct_triangle_2_object)
+                 construct_triangle_2_object)
 CGAL_Kernel_cons(Construct_triangle_3,
-		 construct_triangle_3_object)
+                 construct_triangle_3_object)
 CGAL_Kernel_cons(Construct_unit_normal_3,
                  construct_unit_normal_3_object)
 CGAL_Kernel_cons(Construct_vector_2,
-		 construct_vector_2_object)
+                 construct_vector_2_object)
 CGAL_Kernel_cons(Construct_vector_3,
-		 construct_vector_3_object)
+                 construct_vector_3_object)
 CGAL_Kernel_cons(Construct_vertex_2,
-		 construct_vertex_2_object)
+                 construct_vertex_2_object)
 CGAL_Kernel_cons(Construct_vertex_3,
-		 construct_vertex_3_object)
+                 construct_vertex_3_object)
 CGAL_Kernel_cons(Construct_bbox_2,
-		 construct_bbox_2_object)
+                 construct_bbox_2_object)
 CGAL_Kernel_cons(Construct_bbox_3,
-		 construct_bbox_3_object)
+                 construct_bbox_3_object)
 CGAL_Kernel_cons(Construct_cartesian_const_iterator_2,
-		 construct_cartesian_const_iterator_2_object)
+                 construct_cartesian_const_iterator_2_object)
 CGAL_Kernel_cons(Construct_cartesian_const_iterator_3,
-		 construct_cartesian_const_iterator_3_object)
+                 construct_cartesian_const_iterator_3_object)
 CGAL_Kernel_pred_RT(Coplanar_orientation_3,
                     coplanar_orientation_3_object)
 CGAL_Kernel_pred_RT(Coplanar_side_of_bounded_circle_3,
                     coplanar_side_of_bounded_circle_3_object)
 CGAL_Kernel_pred(Coplanar_3,
-		 coplanar_3_object)
+                 coplanar_3_object)
 CGAL_Kernel_pred(Counterclockwise_in_between_2,
-		 counterclockwise_in_between_2_object)
+                 counterclockwise_in_between_2_object)
 CGAL_Kernel_pred(Do_intersect_2,
-		 do_intersect_2_object)
+                 do_intersect_2_object)
 CGAL_Kernel_pred(Do_intersect_3,
-		 do_intersect_3_object)
+                 do_intersect_3_object)
 CGAL_Kernel_pred(Equal_xy_3,
-		 equal_xy_3_object)
+                 equal_xy_3_object)
 CGAL_Kernel_pred(Equal_x_2,
-		 equal_x_2_object)
+                 equal_x_2_object)
 CGAL_Kernel_pred(Equal_x_3,
-		 equal_x_3_object)
+                 equal_x_3_object)
 CGAL_Kernel_pred(Equal_y_2,
-		 equal_y_2_object)
+                 equal_y_2_object)
 CGAL_Kernel_pred(Equal_y_3,
-		 equal_y_3_object)
+                 equal_y_3_object)
 CGAL_Kernel_pred(Equal_z_3,
-		 equal_z_3_object)
+                 equal_z_3_object)
 CGAL_Kernel_pred(Equal_2,
-		 equal_2_object)
+                 equal_2_object)
 CGAL_Kernel_pred(Equal_3,
-		 equal_3_object)
+                 equal_3_object)
 CGAL_Kernel_pred(Has_on_boundary_2,
-		 has_on_boundary_2_object)
+                 has_on_boundary_2_object)
 CGAL_Kernel_pred(Has_on_boundary_3,
-		 has_on_boundary_3_object)
+                 has_on_boundary_3_object)
 CGAL_Kernel_pred(Has_on_bounded_side_2,
-		 has_on_bounded_side_2_object)
+                 has_on_bounded_side_2_object)
 CGAL_Kernel_pred(Has_on_bounded_side_3,
-		 has_on_bounded_side_3_object)
+                 has_on_bounded_side_3_object)
 CGAL_Kernel_pred(Has_on_negative_side_2,
-		 has_on_negative_side_2_object)
+                 has_on_negative_side_2_object)
 CGAL_Kernel_pred(Has_on_negative_side_3,
-		 has_on_negative_side_3_object)
+                 has_on_negative_side_3_object)
 CGAL_Kernel_pred(Has_on_positive_side_2,
-		 has_on_positive_side_2_object)
+                 has_on_positive_side_2_object)
 CGAL_Kernel_pred(Has_on_positive_side_3,
-		 has_on_positive_side_3_object)
+                 has_on_positive_side_3_object)
 CGAL_Kernel_pred(Has_on_unbounded_side_2,
-		 has_on_unbounded_side_2_object)
+                 has_on_unbounded_side_2_object)
 CGAL_Kernel_pred(Has_on_unbounded_side_3,
-		 has_on_unbounded_side_3_object)
+                 has_on_unbounded_side_3_object)
 CGAL_Kernel_pred(Has_on_2,
-		 has_on_2_object)
+                 has_on_2_object)
 CGAL_Kernel_pred(Has_on_3,
-		 has_on_3_object)
+                 has_on_3_object)
 CGAL_Kernel_cons(Intersect_2,
-		 intersect_2_object)
+                 intersect_2_object)
 CGAL_Kernel_cons(Intersect_3,
-		 intersect_3_object)
+                 intersect_3_object)
 CGAL_Kernel_pred(Is_degenerate_2,
-		 is_degenerate_2_object)
+                 is_degenerate_2_object)
 CGAL_Kernel_pred_RT(Is_degenerate_3,
                     is_degenerate_3_object)
 CGAL_Kernel_pred(Is_horizontal_2,
-		 is_horizontal_2_object)
+                 is_horizontal_2_object)
 CGAL_Kernel_pred(Is_vertical_2,
-		 is_vertical_2_object)
+                 is_vertical_2_object)
 CGAL_Kernel_pred(Left_turn_2,
                  left_turn_2_object)
 CGAL_Kernel_pred(Less_distance_to_point_2,
@@ -555,37 +555,37 @@ CGAL_Kernel_pred(Less_distance_to_point_
 CGAL_Kernel_pred(Less_distance_to_point_3,
                  less_distance_to_point_3_object)
 CGAL_Kernel_pred(Less_rotate_ccw_2,
-		 less_rotate_ccw_2_object)
+                 less_rotate_ccw_2_object)
 CGAL_Kernel_pred(Less_signed_distance_to_line_2,
                  less_signed_distance_to_line_2_object)
 CGAL_Kernel_pred(Less_signed_distance_to_plane_3,
-		 less_signed_distance_to_plane_3_object)
+                 less_signed_distance_to_plane_3_object)
 CGAL_Kernel_pred(Less_xyz_3,
-		 less_xyz_3_object)
+                 less_xyz_3_object)
 CGAL_Kernel_pred(Less_xy_2,
-		 less_xy_2_object)
+                 less_xy_2_object)
 CGAL_Kernel_pred(Less_xy_3,
-		 less_xy_3_object)
+                 less_xy_3_object)
 CGAL_Kernel_pred(Less_x_2,
-		 less_x_2_object)
+                 less_x_2_object)
 CGAL_Kernel_pred(Less_x_3,
-		 less_x_3_object)
+                 less_x_3_object)
 CGAL_Kernel_pred(Less_yx_2,
-		 less_yx_2_object)
+                 less_yx_2_object)
 CGAL_Kernel_pred(Less_y_2,
-		 less_y_2_object)
+                 less_y_2_object)
 CGAL_Kernel_pred(Less_y_3,
-		 less_y_3_object)
+                 less_y_3_object)
 CGAL_Kernel_pred(Less_z_3,
-		 less_z_3_object)
+                 less_z_3_object)
 CGAL_Kernel_pred_RT(Orientation_2,
-		    orientation_2_object)
+                    orientation_2_object)
 CGAL_Kernel_pred_RT(Orientation_3,
-		    orientation_3_object)
+                    orientation_3_object)
 CGAL_Kernel_pred(Oriented_side_2,
-		 oriented_side_2_object)
+                 oriented_side_2_object)
 CGAL_Kernel_pred(Oriented_side_3,
-		 oriented_side_3_object)
+                 oriented_side_3_object)
 CGAL_Kernel_pred(Power_side_of_bounded_power_circle_2,
                  power_side_of_bounded_power_circle_2_object)
 CGAL_Kernel_pred(Power_side_of_bounded_power_sphere_3,
@@ -595,13 +595,13 @@ CGAL_Kernel_pred_RT(Power_side_of_orient
 CGAL_Kernel_pred_RT(Power_side_of_oriented_power_sphere_3,
                     power_side_of_oriented_power_sphere_3_object)
 CGAL_Kernel_pred_RT(Side_of_bounded_circle_2,
-		    side_of_bounded_circle_2_object)
+                    side_of_bounded_circle_2_object)
 CGAL_Kernel_pred_RT(Side_of_bounded_sphere_3,
-		    side_of_bounded_sphere_3_object)
+                    side_of_bounded_sphere_3_object)
 CGAL_Kernel_pred_RT(Side_of_oriented_circle_2,
-		    side_of_oriented_circle_2_object)
+                    side_of_oriented_circle_2_object)
 CGAL_Kernel_pred_RT(Side_of_oriented_sphere_3,
-		    side_of_oriented_sphere_3_object)
+                    side_of_oriented_sphere_3_object)
 
 #undef CGAL_Kernel_pred_RT
 #undef CGAL_Kernel_pred
diff -pruN 5.0.2-3/include/CGAL/Kernel/mpl.h 5.0.3-1/include/CGAL/Kernel/mpl.h
--- 5.0.2-3/include/CGAL/Kernel/mpl.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel/mpl.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2004  
+// Copyright (c) 2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel/mpl.h $
-// $Id: mpl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel/mpl.h $
+// $Id: mpl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
diff -pruN 5.0.2-3/include/CGAL/Kernel/Return_base_tag.h 5.0.3-1/include/CGAL/Kernel/Return_base_tag.h
--- 5.0.2-3/include/CGAL/Kernel/Return_base_tag.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel/Return_base_tag.h	2020-08-01 19:02:26.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel/Return_base_tag.h $
-// $Id: Return_base_tag.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel/Return_base_tag.h $
+// $Id: Return_base_tag.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
diff -pruN 5.0.2-3/include/CGAL/Kernel/Same_uncertainty.h 5.0.3-1/include/CGAL/Kernel/Same_uncertainty.h
--- 5.0.2-3/include/CGAL/Kernel/Same_uncertainty.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel/Same_uncertainty.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2005  
+// Copyright (c) 2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel/Same_uncertainty.h $
-// $Id: Same_uncertainty.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel/Same_uncertainty.h $
+// $Id: Same_uncertainty.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
diff -pruN 5.0.2-3/include/CGAL/Kernel/solve.h 5.0.3-1/include/CGAL/Kernel/solve.h
--- 5.0.2-3/include/CGAL/Kernel/solve.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel/solve.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel/solve.h $
-// $Id: solve.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel/solve.h $
+// $Id: solve.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
- 
+
 
 #ifndef CGAL_SOLVE_H
 #define CGAL_SOLVE_H
diff -pruN 5.0.2-3/include/CGAL/Kernel/Type_equality_wrapper.h 5.0.3-1/include/CGAL/Kernel/Type_equality_wrapper.h
--- 5.0.2-3/include/CGAL/Kernel/Type_equality_wrapper.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel/Type_equality_wrapper.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel/Type_equality_wrapper.h $
-// $Id: Type_equality_wrapper.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel/Type_equality_wrapper.h $
+// $Id: Type_equality_wrapper.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
diff -pruN 5.0.2-3/include/CGAL/Kernel/Type_mapper.h 5.0.3-1/include/CGAL/Kernel/Type_mapper.h
--- 5.0.2-3/include/CGAL/Kernel/Type_mapper.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel/Type_mapper.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2005, 2006  
+// Copyright (c) 2005, 2006
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel/Type_mapper.h $
-// $Id: Type_mapper.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel/Type_mapper.h $
+// $Id: Type_mapper.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
@@ -106,9 +106,9 @@ struct Type_mapper_impl < typename K1::F
 // TODO : add more specializations ?  Use a different mechanism ?
 
 template < typename T, typename K1, typename K2 >
-struct Type_mapper : 
-    internal::Type_mapper_impl< typename boost::remove_cv< 
-                                  typename boost::remove_reference < T >::type 
+struct Type_mapper :
+    internal::Type_mapper_impl< typename boost::remove_cv<
+                                  typename boost::remove_reference < T >::type
                                   >::type, K1, K2 >
 { };
 
diff -pruN 5.0.2-3/include/CGAL/Kernel/Wutils.h 5.0.3-1/include/CGAL/Kernel/Wutils.h
--- 5.0.2-3/include/CGAL/Kernel/Wutils.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel/Wutils.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1998,2003  
+// Copyright (c) 1998,2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel/Wutils.h $
-// $Id: Wutils.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel/Wutils.h $
+// $Id: Wutils.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman, Sylvain Pion
 
diff -pruN 5.0.2-3/include/CGAL/kernel_assertions.h 5.0.3-1/include/CGAL/kernel_assertions.h
--- 5.0.2-3/include/CGAL/kernel_assertions.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/kernel_assertions.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/kernel_assertions.h $
-// $Id: kernel_assertions.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/kernel_assertions.h $
+// $Id: kernel_assertions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman, Sven Schoenherr
 //
diff -pruN 5.0.2-3/include/CGAL/kernel_basic.h 5.0.3-1/include/CGAL/kernel_basic.h
--- 5.0.2-3/include/CGAL/kernel_basic.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/kernel_basic.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999,2003  
+// Copyright (c) 1999,2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/kernel_basic.h $
-// $Id: kernel_basic.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/kernel_basic.h $
+// $Id: kernel_basic.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 #ifndef CGAL_KERNEL_BASIC_H
 #define CGAL_KERNEL_BASIC_H
 
diff -pruN 5.0.2-3/include/CGAL/Kernel_checker.h 5.0.3-1/include/CGAL/Kernel_checker.h
--- 5.0.2-3/include/CGAL/Kernel_checker.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_checker.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2001  
+// Copyright (c) 2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel_checker.h $
-// $Id: Kernel_checker.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel_checker.h $
+// $Id: Kernel_checker.h 2e8a59d 2020-07-21T15:25:54+02:00 Laurent Rineau
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 //                 Mael Rouxel-Labbé
@@ -79,6 +79,15 @@ public:
     : p1(pp1), p2(pp2), cmp(c)
   { }
 
+  template <typename F>
+  struct result;
+
+  template <typename F, typename A1>
+  struct result<F(A1)> {
+    typedef typename Pairify<typename CGAL::cpp11::result_of<P1(const A1&)>::type,
+                             typename CGAL::cpp11::result_of<P2(const A1&)>::type>::result_type type;
+  };
+
   template <class A1>
   typename Pairify<typename CGAL::cpp11::result_of<P1(const A1&)>::type,
                    typename CGAL::cpp11::result_of<P2(const A1&)>::type>::result_type
@@ -104,6 +113,12 @@ public:
     return Pairify<result_type_1, result_type_2>()(res1, res2);
   }
 
+  template <typename F, typename A1, typename A2>
+  struct result<F(A1, A2)> {
+    typedef typename Pairify<typename CGAL::cpp11::result_of<P1(const A1&, const A2&)>::type,
+                             typename CGAL::cpp11::result_of<P2(const A1&, const A2&)>::type>::result_type type;
+  };
+
   template <class A1, class A2>
   typename Pairify<typename CGAL::cpp11::result_of<P1(const A1&, const A2&)>::type,
                    typename CGAL::cpp11::result_of<P2(const A1&, const A2&)>::type>::result_type
@@ -131,6 +146,12 @@ public:
     return Pairify<result_type_1, result_type_2>()(res1, res2);
   }
 
+  template <typename F, typename A1, typename A2, typename A3>
+  struct result<F(A1, A2, A3)> {
+    typedef typename Pairify<typename CGAL::cpp11::result_of<P1(const A1&, const A2&, const A3&)>::type,
+                             typename CGAL::cpp11::result_of<P2(const A1&, const A2&, const A3&)>::type>::result_type type;
+  };
+
   template <class A1, class A2, class A3>
   typename Pairify<typename CGAL::cpp11::result_of<P1(
                      const A1&, const A2&, const A3&)>::type,
@@ -162,6 +183,16 @@ public:
     return Pairify<result_type_1, result_type_2>()(res1, res2);
   }
 
+  template <typename F, typename A1, typename A2, typename A3, typename A4>
+  struct result<F(A1, A2, A3, A4)> {
+    typedef
+      typename Pairify<typename CGAL::cpp11::result_of<P1(
+                         const A1&, const A2&, const A3&, const A4&)>::type,
+                       typename CGAL::cpp11::result_of<P2(
+                         const A1&, const A2&, const A3&, const A4&)>::type>::result_type
+    type;
+  };
+
   template <class A1, class A2, class A3, class A4>
   typename Pairify<typename CGAL::cpp11::result_of<P1(
                      const A1&, const A2&, const A3&, const A4&)>::type,
@@ -198,6 +229,16 @@ public:
     return Pairify<result_type_1, result_type_2>()(res1, res2);
   }
 
+  template <typename F, typename A1, typename A2, typename A3, typename A4, typename A5>
+  struct result<F(A1, A2, A3, A4, A5)> {
+    typedef
+      typename Pairify<typename CGAL::cpp11::result_of<P1(
+                         const A1&, const A2&, const A3&, const A4&, const A5&)>::type,
+                       typename CGAL::cpp11::result_of<P2(
+                         const A1&, const A2&, const A3&, const A4&, const A5&)>::type>::result_type
+    type;
+  };
+
   template <class A1, class A2, class A3, class A4, class A5>
   typename Pairify<typename CGAL::cpp11::result_of<P1(
                      const A1&, const A2&, const A3&, const A4&, const A5&)>::type,
diff -pruN 5.0.2-3/include/CGAL/kernel_config.h 5.0.3-1/include/CGAL/kernel_config.h
--- 5.0.2-3/include/CGAL/kernel_config.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/kernel_config.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999,2003  
+// Copyright (c) 1999,2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/kernel_config.h $
-// $Id: kernel_config.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/kernel_config.h $
+// $Id: kernel_config.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 #ifndef CGAL_KERNEL_CONFIG_H
 #define CGAL_KERNEL_CONFIG_H
 
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Aff_transformationCd.h 5.0.3-1/include/CGAL/Kernel_d/Aff_transformationCd.h
--- 5.0.2-3/include/CGAL/Kernel_d/Aff_transformationCd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Aff_transformationCd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Aff_transformationCd.h $
-// $Id: Aff_transformationCd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Aff_transformationCd.h $
+// $Id: Aff_transformationCd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Michael Seel
@@ -27,7 +27,7 @@ template <class FT, class LA > class Aff
 template <class FT, class LA > class Aff_transformationCd_rep;
 
 template <class FT, class LA>
-class Aff_transformationCd_rep 
+class Aff_transformationCd_rep
 {
   friend class Aff_transformationCd<FT,LA>;
   typedef typename LA::Matrix Matrix;
@@ -39,8 +39,8 @@ public:
 };
 
 template <class _FT, class _LA>
-class Aff_transformationCd : 
-  public Handle_for< Aff_transformationCd_rep<_FT,_LA> > { 
+class Aff_transformationCd :
+  public Handle_for< Aff_transformationCd_rep<_FT,_LA> > {
 
   typedef Aff_transformationCd_rep<_FT,_LA> Rep;
   typedef Handle_for<Rep> Base;
@@ -48,7 +48,7 @@ class Aff_transformationCd :
 
   using Base::ptr;
 
-public: 
+public:
 typedef _FT RT;
 typedef _FT FT;
 typedef _LA LA;
@@ -72,8 +72,8 @@ template <typename Forward_iterator>
 Aff_transformationCd(Scaling, Forward_iterator start, Forward_iterator end) :
   Base( Rep(static_cast<int>(std::distance(start,end))-1) )
 /*{\Mcreate introduces the transformation of $d$-space specified by a
-diagonal matrix with entries |set [start,end)| on the diagonal 
-(a scaling of the space). \precond |set [start,end)| is a vector of 
+diagonal matrix with entries |set [start,end)| on the diagonal
+(a scaling of the space). \precond |set [start,end)| is a vector of
 dimension $d+1$.}*/
 { int i=0; while (start != end) { ptr()->M_(i,i) = *start++;++i; } }
 
@@ -88,20 +88,20 @@ Aff_transformationCd(Translation, const
   ptr()->M_(d,d) = FT(1);
 }
 
-Aff_transformationCd(int d, Scaling, const RT& num, const RT& den) 
-  : Base( Rep(d) ) 
+Aff_transformationCd(int d, Scaling, const RT& num, const RT& den)
+  : Base( Rep(d) )
 { Matrix& M = ptr()->M_;
   for (int i = 0; i < d; ++i) M(i,i) = num/den;
   M(d,d) = FT(1);
 }
 
-Aff_transformationCd(int d, Rotation,  
-  const RT& sin_num, const RT& cos_num, const RT& den, 
+Aff_transformationCd(int d, Rotation,
+  const RT& sin_num, const RT& cos_num, const RT& den,
   int e1 = 0, int e2 = 1) : Base( Rep(d) )
 {
   CGAL_assertion_msg((sin_num*sin_num + cos_num*cos_num == den*den),
     "planar_rotation: rotation parameters disobey precondition.");
-  CGAL_assertion_msg((0<=e1 && e1<=e2 && e2<d), 
+  CGAL_assertion_msg((0<=e1 && e1<=e2 && e2<d),
     "planar_rotation: base vector indices wrong.");
   Matrix& M = ptr()->M_;
   for (int i=0; i<d; i++) M(i,i) = 1;
@@ -111,7 +111,7 @@ Aff_transformationCd(int d, Rotation,
 }
 
 Aff_transformationCd(int d, Rotation, const DirectionCd<RT,LA>& dir,
-  const RT& eps_num, const RT& eps_den, int e1 = 0, int e2 = 1) 
+  const RT& eps_num, const RT& eps_den, int e1 = 0, int e2 = 1)
   : Base( Rep(d) )
 {
   CGAL_assertion(dir.dimension()==2);
@@ -127,12 +127,12 @@ Aff_transformationCd(int d, Rotation, co
   M(d,d) = FT(1);
 }
 
-int dimension() const 
+int dimension() const
 { return ptr()->M_.row_dimension()-1; }
 
 const Matrix& matrix() const { return ptr()->M_; }
 
-bool is_odd() const 
+bool is_odd() const
 { return LA::sign_of_determinant(matrix())<0; }
 
 Vector operator()(const Vector& v) const
@@ -141,12 +141,12 @@ Vector operator()(const Vector& v) const
   int i,j,d(v.dimension());
   Vector res(d);
   for (i=0; i<d; ++i) { // all rows
-    FT cres(0); 
+    FT cres(0);
     for (j=0; j<d; ++j) cres+=M(i,j)*v[j]; // per row
     cres += M(i,d);
     res[i]=cres;
   }
-  return res; 
+  return res;
 }
 
 Vector transform_linearly(const Vector& v) const
@@ -155,28 +155,28 @@ Vector transform_linearly(const Vector&
   int i,j,d(v.dimension());
   Vector res(d);
   for (i=0; i<d; ++i) { // all rows
-    FT cres(0); 
+    FT cres(0);
     for (j=0; j<d; ++j) cres+=M(i,j)*v[j]; // per row
     res[i]=cres;
   }
-  return res; 
+  return res;
 }
 
 
 Aff_transformationCd<RT,LA> inverse() const
-{ Aff_transformationCd<RT,LA> Inv; RT D; 
+{ Aff_transformationCd<RT,LA> Inv; RT D;
   Vector dummy;
-  if ( !LA::inverse(matrix(),Inv.ptr()->M_,D,dummy) ) 
-  CGAL_error_msg("Aff_transformationCd::inverse: not invertible."); 
+  if ( !LA::inverse(matrix(),Inv.ptr()->M_,D,dummy) )
+  CGAL_error_msg("Aff_transformationCd::inverse: not invertible.");
   if ( D < FT(0) ) Inv.ptr()->M_ = -Inv.ptr()->M_;
   return Inv;
 }
-  
-Aff_transformationCd<RT,LA>  
+
+Aff_transformationCd<RT,LA>
 operator*(const Aff_transformationCd<RT,LA>& s) const
 { CGAL_assertion_msg((dimension()==s.dimension()),
   "Aff_transformationCd::operator*: dimensions disagree.");
-  return Aff_transformationCd<RT,LA>(matrix()*s.matrix()); 
+  return Aff_transformationCd<RT,LA>(matrix()*s.matrix());
 }
 
 bool operator==(const Aff_transformationCd<RT,LA>& a1) const
@@ -190,14 +190,14 @@ bool operator!=(const Aff_transformation
 
 template <class FT, class LA>
 std::ostream& operator<<(
-  std::ostream& os, const Aff_transformationCd<FT,LA>& t) 
+  std::ostream& os, const Aff_transformationCd<FT,LA>& t)
 { os << t.matrix(); return os; }
 
 template <class FT, class LA>
 std::istream& operator>>(
   std::istream& is, Aff_transformationCd<FT,LA>& t)
 { typename LA::Matrix M(t.dimension());
-  is >> M; t = Aff_transformationCd<FT,LA>(M); 
+  is >> M; t = Aff_transformationCd<FT,LA>(M);
   return is;
 }
 
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Aff_transformation_d.h 5.0.3-1/include/CGAL/Kernel_d/Aff_transformation_d.h
--- 5.0.2-3/include/CGAL/Kernel_d/Aff_transformation_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Aff_transformation_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2000  
+// Copyright (c) 1997-2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Aff_transformation_d.h $
-// $Id: Aff_transformation_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Aff_transformation_d.h $
+// $Id: Aff_transformation_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
 #ifndef CGAL_AFF_TRANSFORMATION_D_H
@@ -40,14 +40,14 @@ class Aff_transformation_d : public pR::
   Aff_transformation_d(int d, Identity_transformation tag) : Base(d,tag) {}
   Aff_transformation_d(const typename LA::Matrix& M) : Base(M) {}
   Aff_transformation_d(Translation tag, const Vector_d<R>& v) : Base(tag,v) {}
-  Aff_transformation_d(int d, Scaling tag, const RT& num, const RT& den) 
+  Aff_transformation_d(int d, Scaling tag, const RT& num, const RT& den)
     : Base(d,tag,num,den) {}
-  Aff_transformation_d(int d, Rotation tag, 
-		       const RT& sin_num, const RT& cos_num, 
+  Aff_transformation_d(int d, Rotation tag,
+                       const RT& sin_num, const RT& cos_num,
                        const RT& den, int e1 = 0, int e2 = 1)
     : Base(d,tag,sin_num,cos_num,den,e1,e2) {}
-  Aff_transformation_d(int d, Rotation tag, const Direction_d<R>& dir, 
-                       const RT& num, const RT& den, 
+  Aff_transformation_d(int d, Rotation tag, const Direction_d<R>& dir,
+                       const RT& num, const RT& den,
                        int e1 = 0, int e2 = 1)
     : Base(d,tag,dir,num,den,e1,e2) {}
   Aff_transformation_d(const Base& a) : Base(a) {}
@@ -64,7 +64,7 @@ class Aff_transformation_d : public pR::
   bool operator==(const Self& a) const
   { return Base::operator==(a); }
   bool operator!=(const Self& a) const
-  { return Base::operator!=(a); } 
+  { return Base::operator!=(a); }
 
 };
 
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Aff_transformationHd.h 5.0.3-1/include/CGAL/Kernel_d/Aff_transformationHd.h
--- 5.0.2-3/include/CGAL/Kernel_d/Aff_transformationHd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Aff_transformationHd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Aff_transformationHd.h $
-// $Id: Aff_transformationHd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Aff_transformationHd.h $
+// $Id: Aff_transformationHd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
@@ -28,7 +28,7 @@ template <class RT, class LA > class Aff
 template <class RT, class LA > class Aff_transformationHd_rep;
 
 template <class RT, class LA>
-class Aff_transformationHd_rep 
+class Aff_transformationHd_rep
 {
   friend class Aff_transformationHd<RT,LA>;
   typedef typename LA::Matrix Matrix;
@@ -37,20 +37,20 @@ public:
   Aff_transformationHd_rep(int d) : M_(d+1) {}
   Aff_transformationHd_rep(const Matrix& M_init) : M_(M_init) {}
   ~Aff_transformationHd_rep() {}
-}; 
+};
 
 
-/*{\Moptions outfile=Aff_transformation_d.man}*/ 
+/*{\Moptions outfile=Aff_transformation_d.man}*/
 /*{\Manpage{Aff_transformation_d}{R}{Affine Transformations}{t}}*/
-/*{\Msubst 
+/*{\Msubst
 Hd<RT,LA>#_d<R>
 Aff_transformationHd#Aff_transformation_d
 Quotient<RT>#FT
 }*/
 
 template <class _RT, class _LA>
-class Aff_transformationHd : 
-  public Handle_for< Aff_transformationHd_rep<_RT,_LA> > { 
+class Aff_transformationHd :
+  public Handle_for< Aff_transformationHd_rep<_RT,_LA> > {
 
   typedef Aff_transformationHd_rep<_RT,_LA> Rep;
   typedef Handle_for<Rep> Base;
@@ -58,7 +58,7 @@ class Aff_transformationHd :
 
   using Base::ptr;
 
-/*{\Mdefinition 
+/*{\Mdefinition
 An instance of the data type |\Mname| is an affine transformation of
 $d$-dimensional space. It is specified by a square matrix
 $M$ of dimension $d + 1$. All entries in the last row of |M| except
@@ -67,7 +67,7 @@ A point $p$ with homogeneous coordinates
 transformed into the point |p.transform(A)|, where |A| is an affine
 transformation created from |M| by the constructors below. }*/
 
-public: 
+public:
 /*{\Mtypes 4}*/
 
 typedef _RT RT;
@@ -86,7 +86,7 @@ Aff_transformationHd(int d = 0) : Base(
 /*{\Mcreate introduces a transformation in $d$-dimensional space.}*/
 
 Aff_transformationHd(int d, Identity_transformation) : Base( Rep(d) )
-/*{\Mcreate introduces the identity transformation in $d$-dimensional 
+/*{\Mcreate introduces the identity transformation in $d$-dimensional
     space.}*/
 { for (int i = 0; i <= d; ++i) ptr()->M_(i,i) = RT(1); }
 
@@ -102,14 +102,14 @@ template <typename Forward_iterator>
 Aff_transformationHd(Scaling, Forward_iterator start, Forward_iterator end) :
   Base( Rep(static_cast<int>(std::distance(start,end))-1) )
 /*{\Mcreate introduces the transformation of $d$-space specified by a
-diagonal matrix with entries |set [start,end)| on the diagonal 
-(a scaling of the space). \precond |set [start,end)| is a vector of 
+diagonal matrix with entries |set [start,end)| on the diagonal
+(a scaling of the space). \precond |set [start,end)| is a vector of
 dimension $d+1$.}*/
 { int i=0; while (start != end) { ptr()->M_(i,i) = *start++;++i; } }
 
 Aff_transformationHd(Translation, const VectorHd<RT,LA>& v) :
   Base( Rep(v.dimension()) )
-/*{\Mcreate introduces the translation by vector $v$.}*/ 
+/*{\Mcreate introduces the translation by vector $v$.}*/
 { int d = v.dimension();
   for (int i = 0; i < d; ++i) {
     ptr()->M_(i,i) = v.homogeneous(d);
@@ -118,17 +118,17 @@ Aff_transformationHd(Translation, const
   ptr()->M_(d,d) = v.homogeneous(d);
 }
 
-Aff_transformationHd(int d, Scaling, const RT& num, const RT& den) 
-  : Base( Rep(d) ) 
+Aff_transformationHd(int d, Scaling, const RT& num, const RT& den)
+  : Base( Rep(d) )
 /*{\Mcreate returns a scaling by a scale factor |num/den|.}*/
 { Matrix& M = ptr()->M_;
   for (int i = 0; i < d; ++i) M(i,i) = num;
   M(d,d) = den;
 }
 
-Aff_transformationHd(int d, Rotation,  
-  const RT& sin_num, const RT& cos_num, const RT& den, 
-  int e1 = 0, int e2 = 1) : Base( Rep(d) ) 
+Aff_transformationHd(int d, Rotation,
+  const RT& sin_num, const RT& cos_num, const RT& den,
+  int e1 = 0, int e2 = 1) : Base( Rep(d) )
 /*{\Mcreate returns a planar rotation with sine and cosine values
 |sin_num/den| and |cos_num/den| in the plane spanned by
 the base vectors $b_{e1}$ and $b_{e2}$ in $d$-space. Thus
@@ -147,7 +147,7 @@ and $0 \leq e_1 < e_2 < d$}*/
   M(d,d) = den;
 }
 
-Aff_transformationHd(int d, Rotation, const DirectionHd<RT,LA>& dir, 
+Aff_transformationHd(int d, Rotation, const DirectionHd<RT,LA>& dir,
   const RT& eps_num, const RT& eps_den, int e1 = 0, int e2 = 1)
 /*{\Mcreate returns a planar rotation within the plane spanned by
 the base vectors $b_{e1}$ and $b_{e2}$ in $d$-space.  The rotation
@@ -156,7 +156,7 @@ the difference between the sines and cos
 |dir| and the approximated rotation are at most |num/den| each.\\
 \precond |dir.dimension()==2|, |!dir.is_degenerate()| and |num < den|
 is positive and $0 \leq e_1 < e_2 < d$ }*/
-  : Base( Rep(d) )  
+  : Base( Rep(d) )
 {
   CGAL_assertion(dir.dimension()==2);
   Matrix& M = ptr()->M_;
@@ -173,7 +173,7 @@ is positive and $0 \leq e_1 < e_2 < d$ }
 
 /*{\Moperations 5 3}*/
 
-int dimension() const 
+int dimension() const
 { return ptr()->M_.row_dimension()-1; }
 /*{\Mop the dimension of the underlying space }*/
 
@@ -191,22 +191,22 @@ bool is_odd() const
 Aff_transformationHd<RT,LA> inverse() const
 /*{\Mop returns the inverse transformation.
 \precond |\Mvar.matrix()| is invertible.}*/
-{ Aff_transformationHd<RT,LA> Inv; RT D; 
+{ Aff_transformationHd<RT,LA> Inv; RT D;
   Vector dummy;
-  if ( !LA::inverse(matrix(),Inv.ptr()->M_,D,dummy) ) 
+  if ( !LA::inverse(matrix(),Inv.ptr()->M_,D,dummy) )
   CGAL_error_msg("Aff_transformationHd::inverse: not invertible.");
   if ( D < 0 ) Inv.ptr()->M_ = -Inv.ptr()->M_;
   return Inv;
 }
-  
-Aff_transformationHd<RT,LA>  
+
+Aff_transformationHd<RT,LA>
 operator*(const Aff_transformationHd<RT,LA>& s) const
 /*{\Mbinop composition of transformations. Note that transformations
 are not necessarily commutative. |t*s| is the transformation
 which transforms first by |t| and then by |s|.}*/
 { CGAL_assertion_msg((dimension()==s.dimension()),
   "Aff_transformationHd::operator*: dimensions disagree.");
-  return Aff_transformationHd<RT,LA>(matrix()*s.matrix()); 
+  return Aff_transformationHd<RT,LA>(matrix()*s.matrix());
 }
 
 bool operator==(const Aff_transformationHd<RT,LA>& a1) const
@@ -220,18 +220,18 @@ bool operator!=(const Aff_transformation
 
 template <class RT, class LA>
 std::ostream& operator<<(
-  std::ostream& os, const Aff_transformationHd<RT,LA>& t) 
+  std::ostream& os, const Aff_transformationHd<RT,LA>& t)
 { os << t.matrix(); return os; }
 
 template <class RT, class LA>
 std::istream& operator>>(
   std::istream& is, Aff_transformationHd<RT,LA>& t)
 { typename LA::Matrix M(t.dimension());
-  is >> M; t = Aff_transformationHd<RT,LA>(M); 
+  is >> M; t = Aff_transformationHd<RT,LA>(M);
   return is;
 }
 
-/*{\Mimplementation 
+/*{\Mimplementation
 Affine Transformations are implemented by matrices of integers as an
 item type.  All operations like creation, initialization, input and
 output on a transformation $t$ take time $O(|t.dimension()|^2)$. |dimension()|
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Cartesian_const_iterator_d.h 5.0.3-1/include/CGAL/Kernel_d/Cartesian_const_iterator_d.h
--- 5.0.2-3/include/CGAL/Kernel_d/Cartesian_const_iterator_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Cartesian_const_iterator_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2000,2001,2008  
+// Copyright (c) 2000,2001,2008
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Cartesian_const_iterator_d.h $
-// $Id: Cartesian_const_iterator_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Cartesian_const_iterator_d.h $
+// $Id: Cartesian_const_iterator_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Michael Seel, Sylvain Pion
@@ -72,7 +72,7 @@ template < typename RT_iterator > inline
 Cartesian_const_iterator_d<RT_iterator>
 operator+(std::ptrdiff_t i, Cartesian_const_iterator_d<RT_iterator> const& it)
 {
-	return it+i;
+        return it+i;
 }
 
 template < typename RT_iterator > inline
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Cartesian_converter_d.h 5.0.3-1/include/CGAL/Kernel_d/Cartesian_converter_d.h
--- 5.0.2-3/include/CGAL/Kernel_d/Cartesian_converter_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Cartesian_converter_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -6,8 +6,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Cartesian_converter_d.h $
-// $Id: Cartesian_converter_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Cartesian_converter_d.h $
+// $Id: Cartesian_converter_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sylvain Pion <Sylvain.Pion@sophia.inria.fr>
@@ -50,7 +50,7 @@ template < class K1, class K2,
 class Cartesian_converter_d : public Enum_converter
 {
     typedef Enum_converter   Base;
-    typedef Cartesian_converter_d<K1, K2, Converter>	Self;
+    typedef Cartesian_converter_d<K1, K2, Converter>        Self;
 
 public:
     typedef K1         Source_kernel;
@@ -79,7 +79,7 @@ public:
 #endif
 
     Cartesian_converter_d() // To shut up a warning with SunPRO.
-	: c(), k(), result_point_(20) {}
+        : c(), k(), result_point_(20) {}
 
     Origin
     operator()(const Origin& o) const
@@ -112,97 +112,97 @@ public:
 
     int operator()(const int &a)
     {
-	return a;
+        return a;
     }
 
     typename K2::Point_d
     operator()(const typename K1::Point_d &a) const
     {
         typedef typename K2::Point_d Point_d;
-	typedef typename K1::Point_d::Cartesian_const_iterator Coord_iter;
-	typedef Iterator_transform<Coord_iter, Converter> It;
-	return Point_d(a.dimension(), It(a.cartesian_begin()), It(a.cartesian_end()));
+        typedef typename K1::Point_d::Cartesian_const_iterator Coord_iter;
+        typedef Iterator_transform<Coord_iter, Converter> It;
+        return Point_d(a.dimension(), It(a.cartesian_begin()), It(a.cartesian_end()));
     }
 
     typename K2::Vector_d
     operator()(const typename K1::Vector_d &a) const
     {
         typedef typename K2::Vector_d  Vector_d;
-	typedef typename K1::Point_d::Cartesian_const_iterator Coord_iter;
-	typedef Iterator_transform<Coord_iter, Converter> It;
-	return Vector_d(a.dimension(), It(a.cartesian_begin()), It(a.cartesian_end()));
+        typedef typename K1::Point_d::Cartesian_const_iterator Coord_iter;
+        typedef Iterator_transform<Coord_iter, Converter> It;
+        return Vector_d(a.dimension(), It(a.cartesian_begin()), It(a.cartesian_end()));
     }
 
     typename K2::Direction_d
     operator()(const typename K1::Direction_d &a) const
     {
         typedef typename K2::Direction_d  Direction_d;
-	return Direction_d(operator()(a.vector()));
+        return Direction_d(operator()(a.vector()));
     }
 
     typename K2::Segment_d
     operator()(const typename K1::Segment_d &a) const
     {
         typedef typename K2::Segment_d  Segment_d;
-	return Segment_d(operator()(a.source()), operator()(a.target()));
+        return Segment_d(operator()(a.source()), operator()(a.target()));
     }
 
     typename K2::Line_d
     operator()(const typename K1::Line_d &a) const
     {
         typedef typename K2::Line_d Line_d;
-	return Line_d(operator()(a.point(0)), operator()(a.direction()));
+        return Line_d(operator()(a.point(0)), operator()(a.direction()));
     }
 
     typename K2::Ray_d
     operator()(const typename K1::Ray_d &a) const
     {
         typedef typename K2::Ray_d  Ray_d;
-	return Ray_d(operator()(a.source()), operator()(a.second_point()));
+        return Ray_d(operator()(a.source()), operator()(a.second_point()));
     }
 
     typename K2::Sphere_d
     operator()(const typename K1::Sphere_d &a) const
     {
-        typedef typename K2::Sphere_d	Sphere_d;
-	typedef typename K1::Sphere_d::point_iterator Coord_iter;
-	// TODO: Check that the use of Iterator_transform is correct
-	typedef Iterator_transform<Coord_iter, Converter> It;
-	return Sphere_d(a.dimension(), It(a.points_begin()), It(a.points_end()));
+        typedef typename K2::Sphere_d        Sphere_d;
+        typedef typename K1::Sphere_d::point_iterator Coord_iter;
+        // TODO: Check that the use of Iterator_transform is correct
+        typedef Iterator_transform<Coord_iter, Converter> It;
+        return Sphere_d(a.dimension(), It(a.points_begin()), It(a.points_end()));
     }
 
     typename K2::Hyperplane_d
     operator()(const typename K1::Hyperplane_d &a) const
     {
-	typedef typename K2::Hyperplane_d	Hyperplane_d;
-	typedef typename K1::Hyperplane_d::Coefficient_const_iterator	Coord_iter;
-	// TODO: Check that the use of Iterator_transform is correct
-	typedef Iterator_transform<Coord_iter, Converter> It;
-	return Hyperplane_d(a.dimension(), It(a.coefficients_begin()), It(a.coefficients_end()));
+        typedef typename K2::Hyperplane_d        Hyperplane_d;
+        typedef typename K1::Hyperplane_d::Coefficient_const_iterator        Coord_iter;
+        // TODO: Check that the use of Iterator_transform is correct
+        typedef Iterator_transform<Coord_iter, Converter> It;
+        return Hyperplane_d(a.dimension(), It(a.coefficients_begin()), It(a.coefficients_end()));
     }
 
     typename K2::Iso_box_d
     operator()(const typename K1::Iso_box_d &a) const
     {
-	typedef typename K2::Iso_box_d  Iso_box_d;
-	return Iso_box_d(operator()((a.min)()), operator()((a.max)()));
+        typedef typename K2::Iso_box_d  Iso_box_d;
+        return Iso_box_d(operator()((a.min)()), operator()((a.max)()));
     }
 
     /*std::vector<int> &
     operator()(const std::vector<int> & a) const
     {
-	return const_cast<std::vector<int> &>(a);
+        return const_cast<std::vector<int> &>(a);
     }*/
     std::vector<int>::iterator
     operator()(const std::vector<int>::iterator & a) const
     {
-	return a;
+        return a;
     }
 
     template<typename T>
     Referenced_argument<T> & operator()(const Referenced_argument<T> & a) const
     {
-	return const_cast<Referenced_argument<T> &> (a);
+        return const_cast<Referenced_argument<T> &> (a);
     }
 
     // ---- The following allows to convert iterators to Point_d, Vector_d,
@@ -214,23 +214,23 @@ public:
     template<typename IterBase>
     struct Specialized_converter : public Self
     {
-	typedef typename IterBase::value_type		argument_type;
-	typedef typename argument_type::
-	    	template WithAnotherKernel<K2>::Type	result_type;
+        typedef typename IterBase::value_type                argument_type;
+        typedef typename argument_type::
+                    template WithAnotherKernel<K2>::Type        result_type;
     };
 
     template<typename IterBase>
     Iterator_transform<IterBase, Specialized_converter<IterBase> >
     operator()(const IterBase & a) const
     {
-	return Iterator_transform<IterBase, Specialized_converter<IterBase> >(a);
+        return Iterator_transform<IterBase, Specialized_converter<IterBase> >(a);
     }
     // ---- ---- ---- ---- ---- ---- //
 
 private:
     Converter c;
     K2 k;
-	typename K2::Point_d result_point_;
+        typename K2::Point_d result_point_;
 };
 
 // Specialization when converting to the same kernel,
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/debug.h 5.0.3-1/include/CGAL/Kernel_d/debug.h
--- 5.0.2-3/include/CGAL/Kernel_d/debug.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/debug.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2000  
+// Copyright (c) 1997-2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/debug.h $
-// $Id: debug.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/debug.h $
+// $Id: debug.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 //
@@ -32,7 +32,7 @@
 namespace CGAL {
 namespace Kernel_d_internal {
 static int debugthread=3141592;
-} // Kernel_d_internal 
+} // Kernel_d_internal
 } // CGAL
 #endif
 
@@ -46,37 +46,37 @@ static int debugthread=3141592;
 #define CGAL_KD_TRACE(t)   if((CGAL::Kernel_d_internal::debugthread%CGAL_KD_DEBUG)==0)\
  std::cerr<<" "<<t;std::cerr.flush()
 #else
-#define CGAL_KD_TRACE(t) 
+#define CGAL_KD_TRACE(t)
 #endif
 
 #if CGAL_KD_DEBUG>0
 #define CGAL_KD_TRACEV(t)  if((CGAL::Kernel_d_internal::debugthread%CGAL_KD_DEBUG)==0)\
  std::cerr<<" "<<#t<<" = "<<(t)<<std::endl;std::cerr.flush()
 #else
-#define CGAL_KD_TRACEV(t) 
+#define CGAL_KD_TRACEV(t)
 #endif
 
 #if CGAL_KD_DEBUG>0
 #define CGAL_KD_TRACEN(t)  if((CGAL::Kernel_d_internal::debugthread%CGAL_KD_DEBUG)==0)\
  std::cerr<<" "<<t<<std::endl;std::cerr.flush()
 #else
-#define CGAL_KD_TRACEN(t) 
+#define CGAL_KD_TRACEN(t)
 #endif
 
 #if CGAL_KD_DEBUG>0
 #define CGAL_KD_CTRACE(b,t)  if(b) std::cerr << " " << t; else std::cerr << " 0"
 #else
-#define CGAL_KD_CTRACE(b,t) 
+#define CGAL_KD_CTRACE(b,t)
 #endif
 
 #if CGAL_KD_DEBUG>0
 #define CGAL_KD_CTRACEN(b,t)  if(b) std::cerr<< " " <<t<<"\n"; else std::cerr<<" 0\n"
 #else
-#define CGAL_KD_CTRACEN(b,t) 
+#define CGAL_KD_CTRACEN(b,t)
 #endif
 
 #ifndef CGAL_KD__ASSERT
-#define  CGAL_KD_ASSERT(cond,fstr) 
+#define  CGAL_KD_ASSERT(cond,fstr)
 #else
 #define CGAL_KD_ASSERT(cond,fstr)   \
   if (!(cond)) {       \
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/DirectionCd.h 5.0.3-1/include/CGAL/Kernel_d/DirectionCd.h
--- 5.0.2-3/include/CGAL/Kernel_d/DirectionCd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/DirectionCd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/DirectionCd.h $
-// $Id: DirectionCd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/DirectionCd.h $
+// $Id: DirectionCd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
@@ -18,7 +18,7 @@
 #define CGAL_DIRECTIONCD_H
 
 #include <CGAL/basic.h>
-#include <CGAL/Kernel_d/Tuple_d.h> 
+#include <CGAL/Kernel_d/Tuple_d.h>
 
 namespace CGAL {
 
@@ -29,7 +29,7 @@ template <class FT, class LA>
 std::ostream& operator<<(std::ostream&, const DirectionCd<FT,LA>&);
 
 template <class _FT, class _LA>
-class DirectionCd : public Handle_for< Tuple_d<_FT,_LA> > { 
+class DirectionCd : public Handle_for< Tuple_d<_FT,_LA> > {
   typedef Tuple_d<_FT,_LA> Tuple;
   typedef Handle_for<Tuple> Base;
   typedef DirectionCd<_FT,_LA> Self;
@@ -40,7 +40,7 @@ const typename _LA::Vector& vector_rep()
 _FT& entry(int i) { return ptr()->v[i]; }
 const _FT& entry(int i) const { return ptr()->v[i]; }
 
-public: 
+public:
 /*{\Mtypes 4}*/
 
 typedef _FT RT;
@@ -50,14 +50,14 @@ typedef typename Tuple::const_iterator D
 
 class Base_direction {};
 
-friend class VectorCd<FT,LA>; 
+friend class VectorCd<FT,LA>;
 
 DirectionCd(int d = 0) : Base( Tuple(d) ) {}
 
 DirectionCd(const VectorCd<FT,LA>& v);
 
 template <class InputIterator>
-DirectionCd(int d, InputIterator first, InputIterator last) : 
+DirectionCd(int d, InputIterator first, InputIterator last) :
   Base( Tuple(d,first,last) ) {}
 
 DirectionCd(int d, Base_direction, int i) : Base( Tuple(d) )
@@ -68,39 +68,39 @@ DirectionCd(int d, Base_direction, int i
 
 DirectionCd(const FT& x, const FT y) : Base( Tuple(x,y) ) {}
 DirectionCd(int a, int b) : Base( Tuple(FT(a),FT(b)) ) {}
-DirectionCd(const FT& x, const FT& y, const FT& z) : 
+DirectionCd(const FT& x, const FT& y, const FT& z) :
   Base( Tuple(x,y,z) ) {}
 DirectionCd(int a, int b, int c) : Base( Tuple(FT(a),FT(b),FT(c), MatchHelper()) ) {}
 
-~DirectionCd() {}     
+~DirectionCd() {}
 
 int dimension() const { return ptr()->size(); }
 
-FT delta(int i) const  
-{ CGAL_assertion_msg((0<=i && i<(dimension())), 
+FT delta(int i) const
+{ CGAL_assertion_msg((0<=i && i<(dimension())),
     "DirectionCd::delta(): index out of range.");
   return entry(i);
 }
 FT D() { return FT(1); }
 
-FT operator[](int i) const  
+FT operator[](int i) const
 { return delta(i); }
 
 Delta_const_iterator deltas_begin() const { return ptr()->begin(); }
 Delta_const_iterator deltas_end() const { return ptr()->end(); }
 
-VectorCd<FT,LA> vector() const; 
+VectorCd<FT,LA> vector() const;
 
-bool is_degenerate() const 
+bool is_degenerate() const
 { return vector_rep().is_zero(); }
 
-DirectionCd<FT,LA> transform(const Aff_transformationCd<FT,LA>& t) const; 
+DirectionCd<FT,LA> transform(const Aff_transformationCd<FT,LA>& t) const;
 
 DirectionCd<FT,LA>  opposite() const
 { DirectionCd<FT,LA> result(*this); // creates a copied object!
   result.copy_on_write(); // creates a copied object!
   result.ptr()->invert();
-  return result; 
+  return result;
 }
 DirectionCd<FT,LA> operator- () const
 { return opposite(); }
@@ -111,7 +111,7 @@ static Comparison_result cmp(
 bool operator==(const DirectionCd<FT,LA>& w) const
 { if ( this->identical(w) ) return true;
   if ( dimension()!=w.dimension() ) return false;
-  return (DirectionCd<RT,LA>::cmp(*this,w) == EQUAL); 
+  return (DirectionCd<RT,LA>::cmp(*this,w) == EQUAL);
 }
 bool operator!=(const DirectionCd<FT,LA>& w) const
 { return !operator==(w); }
@@ -120,9 +120,9 @@ FT dx() const { return delta(0); }
 FT dy() const { return delta(1); }
 FT dz() const { return delta(2); }
 
-friend std::istream& operator>> <> 
+friend std::istream& operator>> <>
   (std::istream& I, DirectionCd<FT,LA>& d);
-friend std::ostream& operator<< <> 
+friend std::ostream& operator<< <>
   (std::ostream& O, const DirectionCd<FT,LA>& d);
 
 }; // end of class DirectionCd
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/DirectionCd_impl.h 5.0.3-1/include/CGAL/Kernel_d/DirectionCd_impl.h
--- 5.0.2-3/include/CGAL/Kernel_d/DirectionCd_impl.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/DirectionCd_impl.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2001  
+// Copyright (c) 2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/DirectionCd_impl.h $
-// $Id: DirectionCd_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/DirectionCd_impl.h $
+// $Id: DirectionCd_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -18,7 +18,7 @@
 #define CGAL_DIRECTIONCD_C
 namespace CGAL {
 
-template <class FT, class LA> 
+template <class FT, class LA>
 DirectionCd<FT,LA>::DirectionCd(const VectorCd<FT,LA>& v) : Base(v) {}
 
 template <class FT, class LA>
@@ -32,23 +32,23 @@ transform(const Aff_transformationCd<FT,
 
 template <class FT, class LA>
 Comparison_result DirectionCd<FT,LA>::
-cmp(const DirectionCd<FT,LA>& h1, 
-    const DirectionCd<FT,LA>& h2) 
-{ 
-  if (h1.identical(h2)) return EQUAL; 
-  int i, d = h1.dimension(); 
-  for (i = 0; i < d && h1.delta(i)==FT(0) && 
+cmp(const DirectionCd<FT,LA>& h1,
+    const DirectionCd<FT,LA>& h2)
+{
+  if (h1.identical(h2)) return EQUAL;
+  int i, d = h1.dimension();
+  for (i = 0; i < d && h1.delta(i)==FT(0) &&
                        h2.delta(i)==FT(0); ++i) {}
   int c1 = CGAL_NTS sign(h1.delta(i));
   int c2 = CGAL_NTS sign(h2.delta(i));
   if (c1 != c2) return CGAL_NTS compare(c1,c2);
- 
+
   FT s1 = (FT) (int) CGAL_NTS sign(h2.delta(i)) * h2.delta(i);
   FT s2 = (FT) (int) CGAL_NTS sign(h1.delta(i)) * h1.delta(i);
 
   i++;
-  Comparison_result c; 
-  while (i < d) { 
+  Comparison_result c;
+  while (i < d) {
     c = CGAL_NTS compare(s1 * h1.delta(i), s2 * h2.delta(i));
     if (c != EQUAL) return c;
     i++;
@@ -59,12 +59,12 @@ cmp(const DirectionCd<FT,LA>& h1,
 template <class FT, class LA>
 std::istream& operator>>(std::istream& I, DirectionCd<FT,LA>& dir)
 { dir.copy_on_write(); dir.ptr()->read(I);
-  return I; 
-} 
+  return I;
+}
 
 template <class FT, class LA>
 std::ostream& operator<<(std::ostream& O, const DirectionCd<FT,LA>& dir)
-{ dir.ptr()->print(O,"DirectionCd"); return O; } 
+{ dir.ptr()->print(O,"DirectionCd"); return O; }
 
 } //namespace CGAL
 #endif // CGAL_DIRECTIONCD_C
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Direction_d.h 5.0.3-1/include/CGAL/Kernel_d/Direction_d.h
--- 5.0.2-3/include/CGAL/Kernel_d/Direction_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Direction_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Direction_d.h $
-// $Id: Direction_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Direction_d.h $
+// $Id: Direction_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
@@ -51,7 +51,7 @@ class Direction_d : public pR::Direction
 
 
   Direction_d(const Vector_d<R> &v) : Base(v) {}
-  Direction_d(int d, Base_direction, int i) : 
+  Direction_d(int d, Base_direction, int i) :
     Base(d,Base_direction(),i) {}
   Direction_d(const Base& p) : Base(p) {}
 
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/DirectionHd.h 5.0.3-1/include/CGAL/Kernel_d/DirectionHd.h
--- 5.0.2-3/include/CGAL/Kernel_d/DirectionHd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/DirectionHd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/DirectionHd.h $
-// $Id: DirectionHd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/DirectionHd.h $
+// $Id: DirectionHd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
@@ -19,7 +19,7 @@
 
 #include <CGAL/basic.h>
 #include <CGAL/Quotient.h>
-#include <CGAL/Kernel_d/Tuple_d.h> 
+#include <CGAL/Kernel_d/Tuple_d.h>
 #include <CGAL/Kernel_d/PointHd.h>
 #include <CGAL/Kernel_d/VectorHd.h>
 #include <CGAL/Kernel_d/Aff_transformationHd.h>
@@ -33,7 +33,7 @@ template <class RT, class LA>
 std::ostream& operator<<(std::ostream&, const DirectionHd<RT,LA>&);
 
 /*{\Manpage{Direction_d}{R}{Directions in d-space}{dir}}*/
-/*{\Msubst 
+/*{\Msubst
 Hd<RT,LA>#_d<R>
 VectorHd#Vector_d
 DirectionHd#Direction_d
@@ -41,14 +41,14 @@ Quotient<RT>#FT
 }*/
 
 template <class _RT, class _LA>
-class DirectionHd : public Handle_for< Tuple_d<_RT,_LA> > { 
+class DirectionHd : public Handle_for< Tuple_d<_RT,_LA> > {
   typedef Tuple_d<_RT,_LA> Tuple;
   typedef Handle_for<Tuple> Base;
   typedef DirectionHd<_RT,_LA> Self;
 
   using Base::ptr;
 
-/*{\Mdefinition 
+/*{\Mdefinition
 A |DirectionHd| is a vector in the $d$-dimensional vector space
 where we forget about its length. We represent directions in
 $d$-dimensional space as a tuple $(h_0,\ldots,h_d)$ of variables of
@@ -64,7 +64,7 @@ _RT& entry(int i) { return ptr()->v[i];
 const _RT& entry(int i) const { return ptr()->v[i]; }
 void invert_rep() { ptr()->invert(); }
 
-public: 
+public:
 /*{\Mtypes 4}*/
 
 typedef _RT RT;
@@ -79,62 +79,62 @@ typedef typename Tuple::const_iterator D
 class Base_direction {};
 /*{\Mtypemember construction tag.}*/
 
-friend class VectorHd<RT,LA>; 
+friend class VectorHd<RT,LA>;
 
 /*{\Mcreation 4}*/
 
-DirectionHd(int d = 0) : Base( Tuple(d+1) )  
-/*{\Mcreate introduces a variable |\Mvar| of type |DirectionHd<RT,LA>| 
+DirectionHd(int d = 0) : Base( Tuple(d+1) )
+/*{\Mcreate introduces a variable |\Mvar| of type |DirectionHd<RT,LA>|
 initialized to some direction in $d$-dimensional space.}*/
 { if (d>0) entry(d) = 1; }
 
 DirectionHd(const VectorHd<RT,LA>& v);
-/*{\Mcreate introduces a variable |\Mvar| of type |DirectionHd<RT,LA>| 
+/*{\Mcreate introduces a variable |\Mvar| of type |DirectionHd<RT,LA>|
 initialized to the direction of |v|.}*/
 
 template <class InputIterator>
-DirectionHd(int d, InputIterator first, InputIterator last) : 
+DirectionHd(int d, InputIterator first, InputIterator last) :
   Base( Tuple(d+1,first,last,1) ) {}
 /*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in dimension |d|
 with representation tuple |set [first,last)|. \precond |d| is
-nonnegative, |[first,last)| has |d| elements and the value type of 
+nonnegative, |[first,last)| has |d| elements and the value type of
 |InputIterator| is |RT|.}*/
 
 DirectionHd(int d, Base_direction, int i) : Base( Tuple(d+1) )
-/*{\Mcreate returns a variable |\Mvar| of type |\Mname| initialized  
+/*{\Mcreate returns a variable |\Mvar| of type |\Mname| initialized
 to the direction of the $i$-th base vector of dimension $d$.
 \precond $0 \leq i < d$.}*/
-{ entry(d) = 1; 
+{ entry(d) = 1;
   if ( d==0 ) return;
   CGAL_assertion_msg((0<=i&&i<d), "DirectionHd::base: index out of range.");
   entry(i) = 1;
 }
 
 DirectionHd(const RT& x, const RT& y) : Base( Tuple(x,y,1) ) {}
-/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in 
+/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in
 $2$-dimensional space. }*/
 
-DirectionHd(int a, int b) : 
+DirectionHd(int a, int b) :
   Base( Tuple(RT(a),RT(b),RT(1),MatchHelper()) ) {}
 
-DirectionHd(const RT& x, const RT& y, const RT& z) : 
+DirectionHd(const RT& x, const RT& y, const RT& z) :
   Base( Tuple(x,y,z,1) ) {}
-/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in 
+/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in
 $3$-dimensional space. }*/
 
-DirectionHd(int a, int b, int c) : 
+DirectionHd(int a, int b, int c) :
   Base( Tuple(RT(a),RT(b),RT(c),RT(1)) ) {}
 
-~DirectionHd() {}     
+~DirectionHd() {}
 
 /*{\Moperations 5 3}*/
 
 int dimension() const { return ptr()->size()-1; }
-/*{\Mop returns the dimension of |\Mvar|. }*/ 
+/*{\Mop returns the dimension of |\Mvar|. }*/
 
-RT delta(int i) const  
+RT delta(int i) const
 
-/*{\Mop returns the $i$-th component of |\Mvar|. 
+/*{\Mop returns the $i$-th component of |\Mvar|.
    \precond $0 \leq i < d$.}*/
 { CGAL_assertion_msg((0<=i && i<(dimension())), "DirectionHd::delta():\
   index out of range.");
@@ -143,8 +143,8 @@ RT delta(int i) const
 
 RT D() { return entry(dimension()); }
 
-RT operator[](int i) const  
-/*{\Marrop returns the $i$-th delta of |\Mvar|. 
+RT operator[](int i) const
+/*{\Marrop returns the $i$-th delta of |\Mvar|.
 \precond $0 \leq i < d$.}*/
 { return delta(i); }
 
@@ -153,23 +153,23 @@ Delta_const_iterator deltas_begin() cons
 Delta_const_iterator deltas_end() const { return ptr()->last(); }
 /*{\Mop  returns an iterator pointing beyond the last delta of |\Mvar|. }*/
 
-VectorHd<RT,LA> vector() const; 
+VectorHd<RT,LA> vector() const;
 /*{\Mop returns a vector pointing in direction |\Mvar|. }*/
 
-bool  is_degenerate() const 
+bool  is_degenerate() const
 /*{\Mop returns true iff |\Mvar.vector()| is the zero vector.}*/
-{ for (int i=0; i<dimension(); ++i) 
+{ for (int i=0; i<dimension(); ++i)
    if ( delta(i) != RT(0) ) return false;
   return true; }
 
-DirectionHd<RT,LA> transform(const Aff_transformationHd<RT,LA>& t) const; 
+DirectionHd<RT,LA> transform(const Aff_transformationHd<RT,LA>& t) const;
 /*{\Mop returns $t(p)$. }*/
 DirectionHd<RT,LA>  opposite() const
 /*{\Mop returns the direction opposite to |\Mvar|. }*/
 { DirectionHd<RT,LA> result(*this); // creates a copied object!
   result.copy_on_write(); // creates a copied object!
-  result.ptr()->invert(dimension()); 
-  return result; 
+  result.ptr()->invert(dimension());
+  return result;
 }
 
 DirectionHd<RT,LA>  operator- () const
@@ -177,11 +177,11 @@ DirectionHd<RT,LA>  operator- () const
 { return opposite(); }
 
 static Comparison_result cmp(
-  const DirectionHd<RT,LA>& h1, const DirectionHd<RT,LA>& h2); 
+  const DirectionHd<RT,LA>& h1, const DirectionHd<RT,LA>& h2);
 bool operator==(const DirectionHd<RT,LA>& w) const
 { if ( this->identical(w) ) return true;
   if ( dimension()!=w.dimension() ) return false;
-  return (DirectionHd<RT,LA>::cmp(*this,w) == EQUAL); 
+  return (DirectionHd<RT,LA>::cmp(*this,w) == EQUAL);
 }
 
 bool operator!=(const DirectionHd<RT,LA>& w) const
@@ -202,7 +202,7 @@ friend std::ostream& operator<< <>
 }; // end of class DirectionHd
 
 
-/*{\Mimplementation 
+/*{\Mimplementation
 Directions are implemented by arrays of integers as an item type.  All
 operations like creation, initialization, tests, inversion, input and
 output on a direction $d$ take time $O(|d.dimension()|)$. |dimension()|,
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/DirectionHd_impl.h 5.0.3-1/include/CGAL/Kernel_d/DirectionHd_impl.h
--- 5.0.2-3/include/CGAL/Kernel_d/DirectionHd_impl.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/DirectionHd_impl.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2001  
+// Copyright (c) 2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/DirectionHd_impl.h $
-// $Id: DirectionHd_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/DirectionHd_impl.h $
+// $Id: DirectionHd_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -18,7 +18,7 @@
 #define CGAL_DIRECTIONHD_C
 namespace CGAL {
 
-template <class RT, class LA> 
+template <class RT, class LA>
 DirectionHd<RT,LA>::DirectionHd(const VectorHd<RT,LA>& v) : Base(v) {}
 
 template <class RT, class LA>
@@ -32,41 +32,41 @@ transform(const Aff_transformationHd<RT,
 
 template <class RT, class LA>
 Comparison_result DirectionHd<RT,LA>::
-cmp(const DirectionHd<RT,LA>& h1, 
-    const DirectionHd<RT,LA>& h2) 
-{ 
-  if (h1.identical(h2)) return EQUAL; 
-  int i, d = h1.dimension(); 
-  for (i = 0; i < d && h1.delta(i)==0 && 
+cmp(const DirectionHd<RT,LA>& h1,
+    const DirectionHd<RT,LA>& h2)
+{
+  if (h1.identical(h2)) return EQUAL;
+  int i, d = h1.dimension();
+  for (i = 0; i < d && h1.delta(i)==0 &&
               h2.delta(i)==0; i++) {}
-  int c1 = CGAL_NTS sign(h1.delta(i)); 
-  int c2 = CGAL_NTS sign(h2.delta(i)); 
-  if (c1 != c2) return CGAL_NTS compare(c1,c2); 
- 
+  int c1 = CGAL_NTS sign(h1.delta(i));
+  int c2 = CGAL_NTS sign(h2.delta(i));
+  if (c1 != c2) return CGAL_NTS compare(c1,c2);
+
   RT s1 = (RT) (int) CGAL_NTS sign(h2.delta(i)) * h2.delta(i);
   RT s2 = (RT) (int) CGAL_NTS sign(h1.delta(i)) * h1.delta(i);
 
-  i++; 
-  Comparison_result c; 
-  while (i < d) { 
-    c = CGAL_NTS compare(s1 * h1.delta(i), s2 * h2.delta(i)); 
+  i++;
+  Comparison_result c;
+  while (i < d) {
+    c = CGAL_NTS compare(s1 * h1.delta(i), s2 * h2.delta(i));
     if (c != EQUAL) return c;
-    i++; 
+    i++;
   }
-  return EQUAL; 
+  return EQUAL;
 }
 
 template <class RT, class LA>
 std::istream& operator>>(std::istream& I, DirectionHd<RT,LA>& dir)
-{ dir.copy_on_write(); dir.ptr()->read(I); 
-  CGAL_assertion_msg((dir.D()>=0), 
-  "operator>>: denominator of direction must be nonnegative."); 
-  return I; 
-} 
+{ dir.copy_on_write(); dir.ptr()->read(I);
+  CGAL_assertion_msg((dir.D()>=0),
+  "operator>>: denominator of direction must be nonnegative.");
+  return I;
+}
 
 template <class RT, class LA>
 std::ostream& operator<<(std::ostream& O, const DirectionHd<RT,LA>& dir)
-{ dir.ptr()->print(O,"DirectionHd"); return O; } 
+{ dir.ptr()->print(O,"DirectionHd"); return O; }
 
 
 //----------------------- end of file ----------------------------------
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/function_objectsCd.h 5.0.3-1/include/CGAL/Kernel_d/function_objectsCd.h
--- 5.0.2-3/include/CGAL/Kernel_d/function_objectsCd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/function_objectsCd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/function_objectsCd.h $
-// $Id: function_objectsCd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/function_objectsCd.h $
+// $Id: function_objectsCd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel, Kurt Mehlhorn
 
@@ -28,7 +28,7 @@
 #define CGAL_KD_TRACE(t)  std::cerr << t
 #define CGAL_KD_TRACEN(t) std::cerr << t << std::endl
 #define CGAL_KD_TRACEV(t) std::cerr << #t << " = " << (t) << std::endl
- 
+
 namespace CGAL {
 
 template <typename K>
@@ -37,7 +37,7 @@ class Compute_coordinateCd {
   typedef typename K::Point_d        Point_d;
   public:
   typedef FT                         result_type;
-  result_type 
+  result_type
     operator()(const Point_d& p, int i) const
   {
     return p.cartesian(i);
@@ -50,7 +50,7 @@ class Point_dimensionCd {
   typedef typename K::Point_d        Point_d;
   public:
   typedef int                       result_type;
-  result_type 
+  result_type
     operator()(const Point_d& p) const
   {
     return p.dimension();
@@ -63,7 +63,7 @@ class Less_coordinateCd {
   typedef typename K::Point_d        Point_d;
   public:
   typedef bool                       result_type;
-  result_type 
+  result_type
   operator()(const Point_d& p, const Point_d& q, int i) const
   {
     return p.cartesian(i)<q.cartesian(i);
@@ -80,7 +80,7 @@ public:
     typedef Point result_type;
 
     result_type operator()(const Point & p) const
-    { 
+    {
         int d = p.dimension();
         typename LA::Vector h(d+1);
         FT sum = 0;
@@ -141,7 +141,7 @@ public:
         Matrix M(d);
         Vector b(d);
         Point_d pd = *start++;
-        for (int i = 0; i < d; ++i) { 
+        for (int i = 0; i < d; ++i) {
             // we set up the equation for p_i
             Point_d pi = *start++;
             b[i] = 0;
@@ -183,28 +183,28 @@ class Position_on_lineCd
 public:
     typedef typename R::Boolean result_type;
 
-    result_type operator()(const Point & p, const Point & s, const Point & t, 
+    result_type operator()(const Point & p, const Point & s, const Point & t,
         FT & l) const
     {
-        int d = p.dimension(); 
-        CGAL_assertion_msg((d==s.dimension())&&(d==t.dimension()&& d>0), 
+        int d = p.dimension();
+        CGAL_assertion_msg((d==s.dimension())&&(d==t.dimension()&& d>0),
                 "position_along_line: argument dimensions disagree.");
-        CGAL_assertion_msg((s!=t), 
+        CGAL_assertion_msg((s!=t),
                 "Position_on_line_d: line defining points are equal.");
-        FT lnum = (p.cartesian(0) - s.cartesian(0)); 
-        FT lden = (t.cartesian(0) - s.cartesian(0)); 
+        FT lnum = (p.cartesian(0) - s.cartesian(0));
+        FT lden = (t.cartesian(0) - s.cartesian(0));
         FT num(lnum), den(lden), lnum_i, lden_i;
-        for (int i = 1; i < d; i++) {  
-            lnum_i = (p.cartesian(i) - s.cartesian(i)); 
-            lden_i = (t.cartesian(i) - s.cartesian(i)); 
+        for (int i = 1; i < d; i++) {
+            lnum_i = (p.cartesian(i) - s.cartesian(i));
+            lden_i = (t.cartesian(i) - s.cartesian(i));
             if (lnum*lden_i != lnum_i*lden)
-                return false; 
+                return false;
             if (lden_i != FT(0)) {
                 den = lden_i;
                 num = lnum_i;
             }
         }
-        l = num / den; return true; 
+        l = num / den; return true;
     }
 };
 
@@ -217,7 +217,7 @@ class Barycentric_coordinatesCd
 public:
 
     template <class ForwardIterator, class OutputIterator>
-    OutputIterator operator()(ForwardIterator first, ForwardIterator last, 
+    OutputIterator operator()(ForwardIterator first, ForwardIterator last,
         const Point & p, OutputIterator result)
     {
         TUPLE_DIM_CHECK(first,last,Barycentric_coordinates_d);
@@ -230,11 +230,11 @@ public:
         typename LA::Vector b(d+1), x;
         int i;
         for (i=0; i<d; ++i) {
-            for (int j=0; j<V.size(); ++j) 
+            for (int j=0; j<V.size(); ++j)
                 M(i,j)=V[j].cartesian(i);
             b[i] = p.cartesian(i);
         }
-        for (int j=0; j<V.size(); ++j) 
+        for (int j=0; j<V.size(); ++j)
             M(d,j) = 1;
         b[d] = 1;
         FT D;
@@ -286,7 +286,7 @@ public:
  */
 template <class R>
 class Coaffine_orientationCd
-{ 
+{
     typedef typename R::Point_d     Point_d;
     typedef typename R::LA          LA;
     typedef typename R::Orientation Orientation;
@@ -294,7 +294,7 @@ public:
     typedef Orientation result_type;
 
     // typedef internal::stateful_predicate_tag predicate_category;
-    typedef std::vector<int>	Axes;
+    typedef std::vector<int>        Axes;
     struct State
     {
         Axes axes_;
@@ -319,8 +319,8 @@ public:
         CGAL_assertion_msg(k <= d, "Coaffine_orientation_d: needs less that (first->dimension() + 1) points.");
         if( false == state_.axes_found_ )
         {
-			state_.axes_.resize(d + 1);
-			// We start by choosing the first |k| axes to define a plane of projection
+                        state_.axes_.resize(d + 1);
+                        // We start by choosing the first |k| axes to define a plane of projection
             int i = 0;
             for(; i < k;     ++i) state_.axes_[i] = i;
             for(; i < d + 1; ++i) state_.axes_[i] = -1;
@@ -371,29 +371,29 @@ class Side_of_oriented_sphereCd
 public:
     typedef Oriented_side result_type;
 
-    template <class ForwardIterator> 
-    result_type operator()(ForwardIterator first, ForwardIterator last, 
+    template <class ForwardIterator>
+    result_type operator()(ForwardIterator first, ForwardIterator last,
          const Point_d& x) const
-    { 
+    {
         TUPLE_DIM_CHECK(first,last,Side_of_oriented_sphere_d);
         int d = static_cast<int>(std::distance(first,last)); // |A| contains |d| points
-        CGAL_assertion_msg((d-1 == first->dimension()), 
+        CGAL_assertion_msg((d-1 == first->dimension()),
                 "Side_of_oriented_sphere_d: needs first->dimension()+1 many input points.");
-        typename LA::Matrix M(d + 1); 
-        for (int i = 0; i < d; ++first, ++i) { 
+        typename LA::Matrix M(d + 1);
+        for (int i = 0; i < d; ++first, ++i) {
             FT Sum = 0;
             M(i,0) = 1;
-            for (int j = 0; j < d-1; j++) { 
+            for (int j = 0; j < d-1; j++) {
                 FT cj = first->cartesian(j);
-                M(i,j + 1) = cj; Sum += cj*cj; 
+                M(i,j + 1) = cj; Sum += cj*cj;
             }
-            M(i,d) = Sum; 
+            M(i,d) = Sum;
         }
-        FT Sum = 0; 
-        M(d,0) = 1; 
-        for (int j = 0; j < d-1; j++) { 
+        FT Sum = 0;
+        M(d,0) = 1;
+        for (int j = 0; j < d-1; j++) {
             FT hj = x.cartesian(j);
-            M(d,j + 1) = hj; Sum += hj*hj; 
+            M(d,j + 1) = hj; Sum += hj*hj;
         }
         M(d,d) = Sum;
         return result_type( - LA::sign_of_determinant(M));
@@ -413,120 +413,120 @@ public:
 template < class R >
 class Side_of_oriented_subsphereCd
 {
-	typedef typename R::Point_d			Point;
-	typedef typename R::LA				LA;
-	typedef typename R::FT				FT;
-	typedef typename R::Orientation     Orientation;
-	typedef typename R::Oriented_side   Oriented_side;
-	typedef typename R::Side_of_oriented_sphere_d	Side_of_oriented_sphere;
-	typedef typename R::Coaffine_orientation_d		Coaffine_orientation;
-	typedef typename LA::Matrix	        Matrix;	
-	typedef typename Coaffine_orientation::Axes		Axes;
-	// DATA MEMBERS
-	mutable Coaffine_orientation ori_;
-	mutable unsigned int adjust_sign_;
-    // a square matrix of size (D+1)x(D+1) where D is the ambient dimension 
-	mutable typename LA::Matrix M;
+        typedef typename R::Point_d                        Point;
+        typedef typename R::LA                                LA;
+        typedef typename R::FT                                FT;
+        typedef typename R::Orientation     Orientation;
+        typedef typename R::Oriented_side   Oriented_side;
+        typedef typename R::Side_of_oriented_sphere_d        Side_of_oriented_sphere;
+        typedef typename R::Coaffine_orientation_d                Coaffine_orientation;
+        typedef typename LA::Matrix                Matrix;
+        typedef typename Coaffine_orientation::Axes                Axes;
+        // DATA MEMBERS
+        mutable Coaffine_orientation ori_;
+        mutable unsigned int adjust_sign_;
+    // a square matrix of size (D+1)x(D+1) where D is the ambient dimension
+        mutable typename LA::Matrix M;
 public:
-	typedef Oriented_side   result_type;
+        typedef Oriented_side   result_type;
     // typedef internal::stateless_predicate_tag predicate_category;
 
     // constructor
-	Side_of_oriented_subsphereCd(const R & r = R())
-	: ori_(r.coaffine_orientation_d_object()), M(), adjust_sign_(0) { }
+        Side_of_oriented_subsphereCd(const R & r = R())
+        : ori_(r.coaffine_orientation_d_object()), M(), adjust_sign_(0) { }
 
-	template < class ForwardIterator >
-	result_type operator()(ForwardIterator first, ForwardIterator last, const Point & q) const
-	{
-		const int d = first->dimension();
-		const int k = std::distance(first, last) - 1; // dimension of affine subspace
-		CGAL_assertion_msg( k <= d, "too much points in range.");
-		if( k == d )
-		{
-			Side_of_oriented_sphere sos;
-			return sos(first, last, q); // perhaps slap user on the back of the head here?
-		}
+        template < class ForwardIterator >
+        result_type operator()(ForwardIterator first, ForwardIterator last, const Point & q) const
+        {
+                const int d = first->dimension();
+                const int k = std::distance(first, last) - 1; // dimension of affine subspace
+                CGAL_assertion_msg( k <= d, "too much points in range.");
+                if( k == d )
+                {
+                        Side_of_oriented_sphere sos;
+                        return sos(first, last, q); // perhaps slap user on the back of the head here?
+                }
         if( M.row_dimension() < d+1 )
             M = Matrix(d+1);
-		if( ! ori_.state().axes_found_ )
-		{
+                if( ! ori_.state().axes_found_ )
+                {
             // the call to ori_(...) will compute a set of axes to complement our base.
-			Orientation o = ori_(first, last);
-			if( COPLANAR == o )
+                        Orientation o = ori_(first, last);
+                        if( COPLANAR == o )
             {
                 std::cerr << "\nAffine base is flat (it should have positive orientation) !!";
                 //return ON_ORIENTED_BOUNDARY;
             }
-			CGAL_assertion( o == POSITIVE );
-			// Now we can setup the fixed part of the matrix:
-			int a(0);
-			int j(k);
-			typename Axes::iterator axis = ori_.state().axes_.begin();
-			while( j < d )
-			{
-				while( a  == *axis )
-				{
-					++a; ++axis;
-				}
-	            adjust_sign_ = ( adjust_sign_ + j + a ) % 2;
-				int i(0);
-				for( ; i < a; ++i )
-					M(i, j) = FT(0);
-				M(i++, j) = FT(1);  // i.e.: M(a, j) = 1
-				for( ; i < d; ++i )
-					M(i, j) = FT(0);
-				++j;
-				++a;
-			}
-		}
-		typename ForwardIterator::value_type p1 = *first;
-		FT SumFirst(0); // squared length of first subsphere point, seen as vector.
-		for( int i = 0; i < d; ++i )
-		{
-			FT ci = p1.cartesian(i);
-			SumFirst += ci * ci;
-		}
-		int j(0); // iterates overs columns/subsphere points
-		++first;
-		while( first != last )
-		{
-			typename ForwardIterator::value_type v = *first;
-			FT Sum = FT(0);
-			for( int i = 0; i < d; ++i )
-			{
-				FT ci = v.cartesian(i);
-				M(i, j) = ci - p1.cartesian(i);
-				Sum += ci * ci;
-			}
-			M(d, j) = Sum - SumFirst;
-			++first;
-			++j;
-		}
-		int a(0);
-		typename Axes::iterator axis = ori_.state().axes_.begin();
-		while( j < d )
-		{
-			while( a  == *axis )
-			{
-				++a; ++axis;
-			}
-			M(d, j) = FT(1) + FT(2) * p1.cartesian(a);
-			++j;
-			++a;
-		}
-		FT Sum = FT(0);
-		for( int i = 0; i < d; ++i )
-		{
-			FT ci = q.cartesian(i);
-			M(i, d) = ci - p1.cartesian(i);
-			Sum += ci * ci;
-		}
-		M(d, d) = Sum - SumFirst;
-		if( 0 == ( adjust_sign_ % 2 ) )
-			return result_type( - LA::sign_of_determinant( M ) );
-		else
-			return result_type(   LA::sign_of_determinant( M ) );
-	}
+                        CGAL_assertion( o == POSITIVE );
+                        // Now we can setup the fixed part of the matrix:
+                        int a(0);
+                        int j(k);
+                        typename Axes::iterator axis = ori_.state().axes_.begin();
+                        while( j < d )
+                        {
+                                while( a  == *axis )
+                                {
+                                        ++a; ++axis;
+                                }
+                    adjust_sign_ = ( adjust_sign_ + j + a ) % 2;
+                                int i(0);
+                                for( ; i < a; ++i )
+                                        M(i, j) = FT(0);
+                                M(i++, j) = FT(1);  // i.e.: M(a, j) = 1
+                                for( ; i < d; ++i )
+                                        M(i, j) = FT(0);
+                                ++j;
+                                ++a;
+                        }
+                }
+                typename ForwardIterator::value_type p1 = *first;
+                FT SumFirst(0); // squared length of first subsphere point, seen as vector.
+                for( int i = 0; i < d; ++i )
+                {
+                        FT ci = p1.cartesian(i);
+                        SumFirst += ci * ci;
+                }
+                int j(0); // iterates overs columns/subsphere points
+                ++first;
+                while( first != last )
+                {
+                        typename ForwardIterator::value_type v = *first;
+                        FT Sum = FT(0);
+                        for( int i = 0; i < d; ++i )
+                        {
+                                FT ci = v.cartesian(i);
+                                M(i, j) = ci - p1.cartesian(i);
+                                Sum += ci * ci;
+                        }
+                        M(d, j) = Sum - SumFirst;
+                        ++first;
+                        ++j;
+                }
+                int a(0);
+                typename Axes::iterator axis = ori_.state().axes_.begin();
+                while( j < d )
+                {
+                        while( a  == *axis )
+                        {
+                                ++a; ++axis;
+                        }
+                        M(d, j) = FT(1) + FT(2) * p1.cartesian(a);
+                        ++j;
+                        ++a;
+                }
+                FT Sum = FT(0);
+                for( int i = 0; i < d; ++i )
+                {
+                        FT ci = q.cartesian(i);
+                        M(i, d) = ci - p1.cartesian(i);
+                        Sum += ci * ci;
+                }
+                M(d, d) = Sum - SumFirst;
+                if( 0 == ( adjust_sign_ % 2 ) )
+                        return result_type( - LA::sign_of_determinant( M ) );
+                else
+                        return result_type(   LA::sign_of_determinant( M ) );
+        }
 };
 
 template <class R>
@@ -541,8 +541,8 @@ class Side_of_bounded_sphereCd
 public:
     typedef Bounded_side    result_type;
 
-    template <class ForwardIterator> 
-    result_type operator()(ForwardIterator first, ForwardIterator last, 
+    template <class ForwardIterator>
+    result_type operator()(ForwardIterator first, ForwardIterator last,
             const Point_d& p) const
     {
         TUPLE_DIM_CHECK(first,last,region_of_sphere);
@@ -557,13 +557,13 @@ public:
                 case ON_POSITIVE_SIDE    :   return ON_BOUNDED_SIDE;
                 case ON_ORIENTED_BOUNDARY:   return ON_BOUNDARY;
                 case ON_NEGATIVE_SIDE    :   return ON_UNBOUNDED_SIDE;
-            }       
+            }
         } else {
             switch (oside) {
                 case ON_POSITIVE_SIDE    :   return ON_UNBOUNDED_SIDE;
                 case ON_ORIENTED_BOUNDARY:   return ON_BOUNDARY;
                 case ON_NEGATIVE_SIDE    :   return ON_BOUNDED_SIDE;
-            }     
+            }
         }
         return ON_BOUNDARY; // never reached
     }
@@ -581,38 +581,38 @@ class Contained_in_simplexCd
 public:
     typedef typename R::Boolean result_type;
 
-    template <class ForwardIterator> 
+    template <class ForwardIterator>
     result_type operator()(ForwardIterator first, ForwardIterator last,
             const Point_d& p) const
     {
         TUPLE_DIM_CHECK(first,last,Contained_in_simplex_d);
         int k = static_cast<int>(std::distance(first,last)); // |A| contains |k| points
-        int d = first->dimension(); 
+        int d = first->dimension();
         CGAL_assertion_code( typename R::Affinely_independent_d check_independence; )
         CGAL_assertion_msg(check_independence(first,last),
                 "Contained_in_simplex_d: A not affinely independent.");
         CGAL_assertion(d==p.dimension());
 
-        Matrix M(d + 1,k); 
+        Matrix M(d + 1,k);
         Vector b(d +1);
         for (int j = 0; j < k; ++first, ++j) {
-            for (int i = 0; i < d; ++i) 
+            for (int i = 0; i < d; ++i)
                 M(i,j) = first->cartesian(i);
             M(d,j) = 1;
         }
-        for (int i = 0; i < d; ++i) 
+        for (int i = 0; i < d; ++i)
             b[i] = p.cartesian(i);
         b[d] = 1;
 
-        FT D; 
-        Vector lambda; 
+        FT D;
+        Vector lambda;
         if ( LA::linear_solver(M,b,lambda,D) ) {
-            for (int j = 0; j < k; j++) { 
+            for (int j = 0; j < k; j++) {
                 if (lambda[j] < FT(0)) return false;
             }
             return true;
         }
-        return false; 
+        return false;
     }
 };
 
@@ -625,17 +625,17 @@ class Contained_in_affine_hullCd
 public:
     typedef Boolean result_type;
 
-    template <class ForwardIterator> 
+    template <class ForwardIterator>
     result_type operator()(ForwardIterator first, ForwardIterator last,
                 const Point_d& p) const
     {
          TUPLE_DIM_CHECK(first,last,Contained_in_affine_hullCd);
          int k = static_cast<int>(std::distance(first,last)); // |A| contains |k| points
-         int d = first->dimension(); 
-         typename LA::Matrix M(d + 1,k); 
-         typename LA::Vector b(d + 1); 
+         int d = first->dimension();
+         typename LA::Matrix M(d + 1,k);
+         typename LA::Vector b(d + 1);
          for (int j = 0; j < k; ++first, ++j) {
-             for (int i = 0; i < d; ++i) 
+             for (int i = 0; i < d; ++i)
                  M(i,j) = first->cartesian(i);
              M(d,j) = 1;
          }
@@ -655,20 +655,20 @@ class Affine_rankCd
     typedef typename R::LA LA;
 public:
     typedef int result_type;
-    template <class ForwardIterator> 
+    template <class ForwardIterator>
     result_type operator()(ForwardIterator first, ForwardIterator last) const
     {
         TUPLE_DIM_CHECK(first,last,Affine_rank_d);
         int k = static_cast<int>(std::distance(first,last)); // |A| contains |k| points
         if (k == 0) return -1;
-        if (k == 1) return 0; 
+        if (k == 1) return 0;
         int d = first->dimension();
         typename LA::Matrix M(d,--k);
         Point_d p0 = *first; ++first; // first points to second
         for (int j = 0; j < k; ++first, ++j) {
             Vector_d v = *first - p0;
-            for (int i = 0; i < d; i++) 
-                M(i,j) = v.cartesian(i); 
+            for (int i = 0; i < d; i++)
+                M(i,j) = v.cartesian(i);
         }
         return LA::rank(M);
     }
@@ -683,7 +683,7 @@ class Affinely_independentCd
 public:
     typedef typename R::Boolean result_type;
 
-    template <class ForwardIterator> 
+    template <class ForwardIterator>
     result_type operator()(ForwardIterator first, ForwardIterator last) const
     {
         Affine_rank_d rank;
@@ -726,13 +726,13 @@ public:
         // |A| contains |k| vectors
         int d = first->dimension();
         typename LA::Matrix M(d,k);
-        typename LA::Vector b(d); 
-        for (int i = 0; i < d; i++) { 
-            b[i] = x.cartesian(i); 
-            for (int j = 0; j < k; j++) 
-                M(i,j) = (first+j)->cartesian(i); 
+        typename LA::Vector b(d);
+        for (int i = 0; i < d; i++) {
+            b[i] = x.cartesian(i);
+            for (int j = 0; j < k; j++)
+                M(i,j) = (first+j)->cartesian(i);
         }
-        return LA::is_solvable(M,b); 
+        return LA::is_solvable(M,b);
     }
 };
 
@@ -748,10 +748,10 @@ public:
     {
         TUPLE_DIM_CHECK(first,last,linear_rank);
         int k = static_cast<int>(std::distance(first,last)); // k vectors
-        int d = first->dimension(); 
+        int d = first->dimension();
         typename LA::Matrix M(d,k);
         for (int i = 0; i < d  ; i++)
-            for (int j = 0; j < k; j++)  
+            for (int j = 0; j < k; j++)
                 M(i,j) = (first + j)->cartesian(i);
         return LA::rank(M);
     }
@@ -786,7 +786,7 @@ public:
         TUPLE_DIM_CHECK(first,last,linear_base);
         int k = static_cast<int>(std::distance(first,last)); // k vectors
         int d = first->dimension();
-        typename LA::Matrix M(d,k); 
+        typename LA::Matrix M(d,k);
         for (int j = 0; j < k; ++first, ++j)
             for (int i = 0; i < d; i++)
                 M(i,j) = first->cartesian(i);
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/function_objects.h 5.0.3-1/include/CGAL/Kernel_d/function_objects.h
--- 5.0.2-3/include/CGAL/Kernel_d/function_objects.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/function_objects.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/function_objects.h $
-// $Id: function_objects.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/function_objects.h $
+// $Id: function_objects.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -36,53 +36,53 @@ class Construct
     operator()() const
     { return ToBeConstructed(); }
 
-    template <class A1> 
+    template <class A1>
     ToBeConstructed
     operator()( const A1& a1) const
     { return ToBeConstructed(a1); }
 
-    template <class A1, class A2> 
+    template <class A1, class A2>
     ToBeConstructed
     operator()( const A1& a1, const A2& a2) const
     { return ToBeConstructed(a1,a2); }
 
-    template <class A1, class A2, class A3> 
+    template <class A1, class A2, class A3>
     ToBeConstructed
     operator()( const A1& a1, const A2& a2, const A3& a3) const
     { return ToBeConstructed(a1,a2,a3); }
 
-    template <class A1, class A2, class A3, class A4> 
+    template <class A1, class A2, class A3, class A4>
     ToBeConstructed
     operator()( const A1& a1, const A2& a2, const A3& a3, const A4& a4) const
     { return ToBeConstructed(a1,a2,a3,a4); }
 
-    template <class A1, class A2, class A3, class A4, class A5> 
+    template <class A1, class A2, class A3, class A4, class A5>
     ToBeConstructed
     operator()( const A1& a1, const A2& a2, const A3& a3, const A4& a4,
-	    const A5& a5) const
+            const A5& a5) const
     { return ToBeConstructed(a1,a2,a3,a4,a5); }
 
-    template <class A> 
+    template <class A>
     ToBeConstructed
     operator()( const A& a1, const A& a2, const A& a3,
                 const A& a4, const A& a5, const A& a6 ) const
     { return ToBeConstructed(a1,a2,a3,a4,a5,a6); }
 
-    template <class A> 
+    template <class A>
     ToBeConstructed
     operator()( const A& a1, const A& a2, const A& a3,
                 const A& a4, const A& a5, const A& a6,
                 const A& a7 ) const
     { return ToBeConstructed(a1,a2,a3,a4,a5,a6,a7); }
 
-    template <class A> 
+    template <class A>
     ToBeConstructed
     operator()( const A& a1, const A& a2, const A& a3,
                 const A& a4, const A& a5, const A& a6,
                 const A& a7, const A& a8, const A& a9) const
     { return ToBeConstructed(a1,a2,a3,a4,a5,a6,a7,a8,a9); }
 
-    template <class A> 
+    template <class A>
     ToBeConstructed
     operator()( const A& a1, const A& a2, const A& a3,
                 const A& a4, const A& a5, const A& a6,
@@ -90,7 +90,7 @@ class Construct
                 const A& a10) const
     { return ToBeConstructed(a1,a2,a3,a4,a5,a6,a7,a8,a9,a10); }
 
-    template <class A> 
+    template <class A>
     ToBeConstructed
     operator()( const A& a1, const A& a2, const A& a3,
                 const A& a4, const A& a5, const A& a6,
@@ -98,7 +98,7 @@ class Construct
                 const A& a10,const A& a11,const A& a12) const
     { return ToBeConstructed(a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12); }
 
-    template <class A> 
+    template <class A>
     ToBeConstructed
     operator()( const A& a1, const A& a2, const A& a3,
                 const A& a4, const A& a5, const A& a6,
@@ -142,29 +142,29 @@ private:
   typedef typename R::Hyperplane_d Hyperplane_d;
 
 public:
-  template <typename> 
+  template <typename>
   struct result;
 
   template <typename F>
-  struct result<F(Line_d, Line_d)> 
+  struct result<F(Line_d, Line_d)>
   { typedef boost::optional< boost::variant< Point_d, Line_d > > type; };
 
   template <typename F>
   struct result<F(Segment_d, Line_d)>
   { typedef boost::optional< boost::variant< Point_d, Segment_d > > type; };
-  template <typename F> 
+  template <typename F>
   struct result<F(Line_d, Segment_d)> : result<F(Segment_d, Line_d)>
   { };
 
   template <typename F>
-  struct result<F(Segment_d, Segment_d)> 
+  struct result<F(Segment_d, Segment_d)>
   { typedef boost::optional< boost::variant< Point_d, Segment_d > > type; };
 
   template <typename F>
   struct result<F(Ray_d, Line_d)>
   { typedef boost::optional< boost::variant< Point_d, Ray_d > > type; };
 
-  template <typename F> 
+  template <typename F>
   struct result<F(Line_d, Ray_d)> : result<F(Ray_d, Line_d)>
   { };
 
@@ -177,25 +177,25 @@ public:
   { };
 
   template <typename F>
-  struct result<F(Ray_d, Ray_d)> 
+  struct result<F(Ray_d, Ray_d)>
   { typedef boost::optional< boost::variant< Point_d, Segment_d, Ray_d > > type; };
 
   template <typename F>
-  struct result<F(Hyperplane_d, Line_d)> 
+  struct result<F(Hyperplane_d, Line_d)>
   { typedef boost::optional< boost::variant< Point_d, Line_d > > type; };
   template <typename F>
   struct result<F(Line_d, Hyperplane_d)> : result<F(Hyperplane_d, Line_d)>
   { };
 
   template <typename F>
-  struct result<F(Hyperplane_d, Ray_d)> 
+  struct result<F(Hyperplane_d, Ray_d)>
   { typedef boost::optional< boost::variant< Point_d, Ray_d > > type; };
   template <typename F>
-  struct result<F(Ray_d, Hyperplane_d)> : result<F(Hyperplane_d, Ray_d)> 
+  struct result<F(Ray_d, Hyperplane_d)> : result<F(Hyperplane_d, Ray_d)>
   { };
 
   template <typename F>
-  struct result<F(Hyperplane_d, Segment_d)> 
+  struct result<F(Hyperplane_d, Segment_d)>
   { typedef boost::optional< boost::variant< Point_d, Segment_d > > type; };
   template <typename F>
   struct result<F(Segment_d, Hyperplane_d)> : result<F(Hyperplane_d, Segment_d)>
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/function_objectsHd.h 5.0.3-1/include/CGAL/Kernel_d/function_objectsHd.h
--- 5.0.2-3/include/CGAL/Kernel_d/function_objectsHd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/function_objectsHd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/function_objectsHd.h $
-// $Id: function_objectsHd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/function_objectsHd.h $
+// $Id: function_objectsHd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
@@ -33,8 +33,8 @@ class Compute_coordinateHd {
   typedef typename K::FT             FT;
   typedef typename K::Point_d        Point_d;
  public:
-  typedef FT                         result_type;  
-  result_type 
+  typedef FT                         result_type;
+  result_type
     operator()(const Point_d& p, int i) const
   {
     return p.cartesian(i);
@@ -47,7 +47,7 @@ class Point_dimensionHd {
   typedef typename K::Point_d        Point_d;
   public:
   typedef int                       result_type;
-  result_type 
+  result_type
     operator()(const Point_d& p) const
   {
     return p.dimension();
@@ -60,7 +60,7 @@ class Less_coordinateHd {
   typedef typename K::Point_d        Point_d;
   public:
   typedef bool                       result_type;
-  result_type 
+  result_type
     operator()(const Point_d& p, const Point_d& q, int i) const
   {
     int d = p.dimension();
@@ -76,7 +76,7 @@ typedef typename R::RT RT;
 typedef typename R::LA LA;
 
 Point_d operator()(const Point_d& p) const
-{ 
+{
   int d = p.dimension();
   typename LA::Vector h(d+2);
   RT D = p.homogeneous(d);
@@ -126,13 +126,13 @@ Point_d operator()(Forward_iterator star
   typename LA::Vector b(d);
   Point_d pd = *start++;
   RT pdd  = pd.homogeneous(d);
-  for (int i = 0; i < d; i++) { 
+  for (int i = 0; i < d; i++) {
     // we set up the equation for p_i
-    Point_d pi = *start++; 
+    Point_d pi = *start++;
     RT pid = pi.homogeneous(d);
     b[i] = 0;
     for (int j = 0; j < d; j++) {
-      M(i,j) = RT(2) * pdd * pid * 
+      M(i,j) = RT(2) * pdd * pid *
                (pi.homogeneous(j)*pdd - pd.homogeneous(j)*pid);
       b[i] += (pi.homogeneous(j)*pdd - pd.homogeneous(j)*pid) *
               (pi.homogeneous(j)*pdd + pd.homogeneous(j)*pid);
@@ -163,28 +163,28 @@ typedef typename R::LA LA;
 typedef typename R::FT FT;
 typedef typename R::RT RT;
 
-bool operator()(const Point_d& p, const Point_d& s, const Point_d& t, 
+bool operator()(const Point_d& p, const Point_d& s, const Point_d& t,
      FT& l) const
-{ int d = p.dimension(); 
-  CGAL_assertion_msg((d==s.dimension())&&(d==t.dimension()&& d>0), 
+{ int d = p.dimension();
+  CGAL_assertion_msg((d==s.dimension())&&(d==t.dimension()&& d>0),
   "position_along_line: argument dimensions disagree.");
-  CGAL_assertion_msg((s!=t), 
+  CGAL_assertion_msg((s!=t),
   "Position_on_line_d: line defining points are equal.");
-  RT lnum = (p.homogeneous(0)*s.homogeneous(d) - 
-             s.homogeneous(0)*p.homogeneous(d)) * t.homogeneous(d); 
-  RT lden = (t.homogeneous(0)*s.homogeneous(d) - 
-             s.homogeneous(0)*t.homogeneous(d)) * p.homogeneous(d); 
-  RT num(lnum), den(lden), lnum_i, lden_i; 
-  for (int i = 1; i < d; i++) {  
-    lnum_i = (p.homogeneous(i)*s.homogeneous(d) - 
-              s.homogeneous(i)*p.homogeneous(d)) * t.homogeneous(d); 
-    lden_i = (t.homogeneous(i)*s.homogeneous(d) - 
-              s.homogeneous(i)*t.homogeneous(d)) * p.homogeneous(d); 
-    if (lnum*lden_i != lnum_i*lden) return false; 
+  RT lnum = (p.homogeneous(0)*s.homogeneous(d) -
+             s.homogeneous(0)*p.homogeneous(d)) * t.homogeneous(d);
+  RT lden = (t.homogeneous(0)*s.homogeneous(d) -
+             s.homogeneous(0)*t.homogeneous(d)) * p.homogeneous(d);
+  RT num(lnum), den(lden), lnum_i, lden_i;
+  for (int i = 1; i < d; i++) {
+    lnum_i = (p.homogeneous(i)*s.homogeneous(d) -
+              s.homogeneous(i)*p.homogeneous(d)) * t.homogeneous(d);
+    lden_i = (t.homogeneous(i)*s.homogeneous(d) -
+              s.homogeneous(i)*t.homogeneous(d)) * p.homogeneous(d);
+    if (lnum*lden_i != lnum_i*lden) return false;
     if (lden_i != 0) { den = lden_i; num = lnum_i; }
   }
   l = R::make_FT(num,den);
-  return true; 
+  return true;
 }
 };
 
@@ -195,7 +195,7 @@ typedef typename R::LA LA;
 typedef typename R::RT RT;
 
 template <class ForwardIterator, class OutputIterator>
-OutputIterator operator()(ForwardIterator first, ForwardIterator last, 
+OutputIterator operator()(ForwardIterator first, ForwardIterator last,
   const Point_d& p, OutputIterator result)
 { TUPLE_DIM_CHECK(first,last,Barycentric_coordinates_d);
   CGAL_assertion_code( int d = p.dimension(); )
@@ -204,9 +204,9 @@ OutputIterator operator()(ForwardIterato
   typename LA::Matrix M(first,last);
   typename LA::Vector b(p.homogeneous_begin(),p.homogeneous_end()), x;
   RT D;
-  LA::linear_solver(M,b,x,D);  
+  LA::linear_solver(M,b,x,D);
   for (int i=0; i< x.dimension(); ++result, ++i) {
-    *result= R::make_FT(x[i],D); 
+    *result= R::make_FT(x[i],D);
   }
   return result;
 }
@@ -214,21 +214,21 @@ OutputIterator operator()(ForwardIterato
 
 
 template <class R>
-struct OrientationHd { 
+struct OrientationHd {
 typedef typename R::Point_d Point_d;
 typedef typename R::LA LA;
 
 template <class ForwardIterator>
 Orientation operator()(ForwardIterator first, ForwardIterator last)
 { TUPLE_DIM_CHECK(first,last,Orientation_d);
-  int d = static_cast<int>(std::distance(first,last)); 
+  int d = static_cast<int>(std::distance(first,last));
   // range contains d points of dimension d-1
   CGAL_assertion_msg(first->dimension() == d-1,
   "Orientation_d: needs first->dimension() + 1 many points.");
   typename LA::Matrix M(d); // quadratic
   for (int i = 0; i < d; ++first,++i) {
-    for (int j = 0; j < d; ++j) 
-      M(i,j) = first->homogeneous(j); 
+    for (int j = 0; j < d; ++j)
+      M(i,j) = first->homogeneous(j);
   }
   int row_correction = ( (d % 2 == 0) ? -1 : +1 );
   // we invert the sign if the row number is even i.e. d is odd
@@ -237,52 +237,52 @@ Orientation operator()(ForwardIterator f
 };
 
 template <class R>
-struct Side_of_oriented_sphereHd { 
+struct Side_of_oriented_sphereHd {
 typedef typename R::Point_d Point_d;
 typedef typename R::LA LA;
 typedef typename R::RT RT;
 
-template <class ForwardIterator> 
-Oriented_side operator()(ForwardIterator first, ForwardIterator last, 
+template <class ForwardIterator>
+Oriented_side operator()(ForwardIterator first, ForwardIterator last,
                          const Point_d& x)
-{ 
+{
   TUPLE_DIM_CHECK(first,last,Side_of_oriented_sphere_d);
   int d = static_cast<int>(std::distance(first,last)); // |A| contains |d| points
-  CGAL_assertion_msg((d-1 == first->dimension()), 
+  CGAL_assertion_msg((d-1 == first->dimension()),
   "Side_of_oriented_sphere_d: needs first->dimension()+1 many input points.");
-  typename LA::Matrix M(d + 1); 
-  for (int i = 0; i < d; ++first, ++i) { 
+  typename LA::Matrix M(d + 1);
+  for (int i = 0; i < d; ++first, ++i) {
     RT Sum = 0;
-    RT hd = first->homogeneous(d-1); 
-    M(i,0) = hd*hd; 
-    for (int j = 0; j < d; j++) { 
-      RT hj = first->homogeneous(j); 
-      M(i,j + 1) = hj * hd; 
-      Sum += hj*hj; 
+    RT hd = first->homogeneous(d-1);
+    M(i,0) = hd*hd;
+    for (int j = 0; j < d; j++) {
+      RT hj = first->homogeneous(j);
+      M(i,j + 1) = hj * hd;
+      Sum += hj*hj;
     }
-    M(i,d) = Sum; 
+    M(i,d) = Sum;
   }
-  RT Sum = 0; 
-  RT hd = x.homogeneous(d-1); 
-  M(d,0) = hd*hd; 
-  for (int j = 0; j < d; j++) { 
-    RT hj = x.homogeneous(j); 
-    M(d,j + 1) = hj * hd; 
-    Sum += hj*hj; 
+  RT Sum = 0;
+  RT hd = x.homogeneous(d-1);
+  M(d,0) = hd*hd;
+  for (int j = 0; j < d; j++) {
+    RT hj = x.homogeneous(j);
+    M(d,j + 1) = hj * hd;
+    Sum += hj*hj;
   }
-  M(d,d) = Sum; 
+  M(d,d) = Sum;
   return CGAL::Sign(- LA::sign_of_determinant(M));
 }
 };
 
 template <class R>
-struct Side_of_bounded_sphereHd { 
+struct Side_of_bounded_sphereHd {
 typedef typename R::Point_d Point_d;
 typedef typename R::LA LA;
 typedef typename R::RT RT;
 
-template <class ForwardIterator> 
-Bounded_side operator()(ForwardIterator first, ForwardIterator last, 
+template <class ForwardIterator>
+Bounded_side operator()(ForwardIterator first, ForwardIterator last,
                         const Point_d& p)
 {
   TUPLE_DIM_CHECK(first,last,region_of_sphere);
@@ -297,13 +297,13 @@ Bounded_side operator()(ForwardIterator
         case ON_POSITIVE_SIDE    :   return ON_BOUNDED_SIDE;
         case ON_ORIENTED_BOUNDARY:   return ON_BOUNDARY;
         case ON_NEGATIVE_SIDE    :   return ON_UNBOUNDED_SIDE;
-    }       
+    }
   } else {
     switch (oside) {
         case ON_POSITIVE_SIDE    :   return ON_UNBOUNDED_SIDE;
         case ON_ORIENTED_BOUNDARY:   return ON_BOUNDARY;
         case ON_NEGATIVE_SIDE    :   return ON_BOUNDED_SIDE;
-    }     
+    }
   }
   return ON_BOUNDARY; // never reached
 }
@@ -311,103 +311,103 @@ Bounded_side operator()(ForwardIterator
 
 
 template <class R>
-struct Contained_in_simplexHd { 
+struct Contained_in_simplexHd {
 typedef typename R::Point_d Point_d;
 typedef typename R::LA LA;
 typedef typename R::RT RT;
 
-template <class ForwardIterator> 
+template <class ForwardIterator>
 bool operator()(ForwardIterator first, ForwardIterator last,
-                const Point_d& p) 
+                const Point_d& p)
 {
   TUPLE_DIM_CHECK(first,last,Contained_in_simplex_d);
   int k = static_cast<int>(std::distance(first,last)); // |A| contains |k| points
-  int d = first->dimension(); 
+  int d = first->dimension();
   CGAL_assertion_code(
     typename R::Affinely_independent_d check_independence; )
   CGAL_assertion_msg(check_independence(first,last),
     "Contained_in_simplex_d: A not affinely independent.");
   CGAL_assertion(d==p.dimension());
 
-  typename LA::Matrix M(d + 1,k); 
-  typename LA::Vector b(p.homogeneous_begin(),p.homogeneous_end()); 
+  typename LA::Matrix M(d + 1,k);
+  typename LA::Vector b(p.homogeneous_begin(),p.homogeneous_end());
   for (int j = 0; j < k; ++first, ++j) {
-    for (int i = 0; i <= d; ++i)  
-      M(i,j) = first->homogeneous(i); 
+    for (int i = 0; i <= d; ++i)
+      M(i,j) = first->homogeneous(i);
   }
 
-  RT D; 
-  typename LA::Vector lambda; 
-  if ( LA::linear_solver(M,b,lambda,D) ) { 
-    int s = CGAL_NTS sign(D); 
-    for (int j = 0; j < k; j++) { 
-      int t = CGAL_NTS sign(lambda[j]); 
-      if (s * t < 0) return false; 
+  RT D;
+  typename LA::Vector lambda;
+  if ( LA::linear_solver(M,b,lambda,D) ) {
+    int s = CGAL_NTS sign(D);
+    for (int j = 0; j < k; j++) {
+      int t = CGAL_NTS sign(lambda[j]);
+      if (s * t < 0) return false;
     }
     return true;
   }
-  return false; 
+  return false;
 }
 };
 
 template <class R>
-struct Contained_in_affine_hullHd { 
+struct Contained_in_affine_hullHd {
 typedef typename R::Point_d Point_d;
 typedef typename R::LA LA;
 typedef typename R::RT RT;
 
-template <class ForwardIterator> 
+template <class ForwardIterator>
 bool operator()(ForwardIterator first, ForwardIterator last,
-                const Point_d& p) 
+                const Point_d& p)
 {
   TUPLE_DIM_CHECK(first,last,Contained_in_affine_hull_d);
   int k = static_cast<int>(std::distance(first,last)); // |A| contains |k| points
-  int d = first->dimension(); 
-  typename LA::Matrix M(d + 1,k); 
-  typename LA::Vector b(p.homogeneous_begin(),p.homogeneous_end()); 
-  for (int j = 0; j < k; ++first, ++j) 
-    for (int i = 0; i <= d; ++i) 
-      M(i,j) = first->homogeneous(i); 
-  return LA::is_solvable(M,b); 
+  int d = first->dimension();
+  typename LA::Matrix M(d + 1,k);
+  typename LA::Vector b(p.homogeneous_begin(),p.homogeneous_end());
+  for (int j = 0; j < k; ++first, ++j)
+    for (int i = 0; i <= d; ++i)
+      M(i,j) = first->homogeneous(i);
+  return LA::is_solvable(M,b);
 }
 };
 
 
 template <class R>
-struct Affine_rankHd { 
+struct Affine_rankHd {
 typedef typename R::Point_d Point_d;
 typedef typename R::Vector_d Vector_d;
 typedef typename R::LA LA;
 typedef typename R::RT RT;
 
-template <class ForwardIterator> 
-int operator()(ForwardIterator first, ForwardIterator last) 
+template <class ForwardIterator>
+int operator()(ForwardIterator first, ForwardIterator last)
 {
   TUPLE_DIM_CHECK(first,last,Affine_rank_d);
   int k = static_cast<int>(std::distance(first,last)); // |A| contains |k| points
-  if (k == 0) return -1; 
-  if (k == 1) return 0; 
-  int d = first->dimension(); 
+  if (k == 0) return -1;
+  if (k == 1) return 0;
+  int d = first->dimension();
   typename LA::Matrix M(d,--k);
   Point_d p0 = *first; ++first; // first points to second
   for (int j = 0; j < k; ++first, ++j) {
     Vector_d v = *first - p0;
-    for (int i = 0; i < d; i++) 
-      M(i,j) = v.homogeneous(i); 
+    for (int i = 0; i < d; i++)
+      M(i,j) = v.homogeneous(i);
   }
-  return LA::rank(M); 
+  return LA::rank(M);
 }
 };
 
 template <class R>
-struct Affinely_independentHd { 
+struct Affinely_independentHd {
 typedef typename R::Point_d Point_d;
 typedef typename R::LA LA;
 typedef typename R::RT RT;
 
-template <class ForwardIterator> 
-bool operator()(ForwardIterator first, ForwardIterator last) 
-{ typename R::Affine_rank_d rank; 
+template <class ForwardIterator>
+bool operator()(ForwardIterator first, ForwardIterator last)
+{ typename R::Affine_rank_d rank;
   int n = static_cast<int>(std::distance(first,last));
   return rank(first,last) == n-1;
 }
@@ -430,18 +430,18 @@ typedef typename R::Vector_d Vector_d;
 
 template<class ForwardIterator>
 bool operator()(
-  ForwardIterator first, ForwardIterator last, const Vector_d& x) 
+  ForwardIterator first, ForwardIterator last, const Vector_d& x)
 { TUPLE_DIM_CHECK(first,last,Contained_in_linear_hull_d);
   int k = static_cast<int>(std::distance(first,last)); // |A| contains |k| vectors
-  int d = first->dimension(); 
-  typename LA::Matrix M(d,k); 
-  typename LA::Vector b(d); 
-  for (int i = 0; i < d; i++) { 
-     b[i] = x.homogeneous(i); 
-     for (int j = 0; j < k; j++) 
-       M(i,j) = (first+j)->homogeneous(i); 
+  int d = first->dimension();
+  typename LA::Matrix M(d,k);
+  typename LA::Vector b(d);
+  for (int i = 0; i < d; i++) {
+     b[i] = x.homogeneous(i);
+     for (int j = 0; j < k; j++)
+       M(i,j) = (first+j)->homogeneous(i);
   }
-  return LA::is_solvable(M,b); 
+  return LA::is_solvable(M,b);
 }
 };
 
@@ -453,12 +453,12 @@ template <class ForwardIterator>
 int operator()(ForwardIterator first, ForwardIterator last)
 { TUPLE_DIM_CHECK(first,last,linear_rank);
   int k = static_cast<int>(std::distance(first,last)); // k vectors
-  int d = first->dimension(); 
-  typename LA::Matrix M(d,k); 
+  int d = first->dimension();
+  typename LA::Matrix M(d,k);
   for (int i = 0; i < d  ; i++)
-     for (int j = 0; j < k; j++)  
-       M(i,j) = (first + j)->homogeneous(i); 
-  return LA::rank(M); 
+     for (int j = 0; j < k; j++)
+       M(i,j) = (first + j)->homogeneous(i);
+  return LA::rank(M);
 }
 };
 
@@ -484,20 +484,20 @@ OutputIterator operator()(ForwardIterato
   OutputIterator result)
 { TUPLE_DIM_CHECK(first,last,linear_base);
   int k = static_cast<int>(std::distance(first,last)); // k vectors
-  int d = first->dimension(); 
-  typename LA::Matrix M(d,k); 
-  for (int j = 0; j < k; j++) 
+  int d = first->dimension();
+  typename LA::Matrix M(d,k);
+  for (int j = 0; j < k; j++)
     for (int i = 0; i < d; i++)
-      M(i,j) = (first+j)->homogeneous(i); 
+      M(i,j) = (first+j)->homogeneous(i);
 
-  std::vector<int> indcols; 
-  int r = LA::independent_columns(M,indcols); 
+  std::vector<int> indcols;
+  int r = LA::independent_columns(M,indcols);
 
   for (int l=0; l < r; l++) {
     typename LA::Vector v = M.column(indcols[l]);
     *result++ = Vector_d(d,v.begin(),v.end(),1);
   }
-  return result; 
+  return result;
 }
 };
 
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/HyperplaneCd.h 5.0.3-1/include/CGAL/Kernel_d/HyperplaneCd.h
--- 5.0.2-3/include/CGAL/Kernel_d/HyperplaneCd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/HyperplaneCd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/HyperplaneCd.h $
-// $Id: HyperplaneCd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/HyperplaneCd.h $
+// $Id: HyperplaneCd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Michael Seel
 
 #ifndef CGAL_HYPERPLANECD_H
@@ -24,10 +24,10 @@ namespace CGAL {
 template <class FT, class LA>
 std::istream& operator>>(std::istream&, HyperplaneCd<FT,LA>&);
 template <class FT, class LA>
-std::ostream& operator<<(std::ostream&, const HyperplaneCd<FT,LA>&); 
+std::ostream& operator<<(std::ostream&, const HyperplaneCd<FT,LA>&);
 
 template <class _FT, class _LA>
-class HyperplaneCd : public Handle_for< Tuple_d<_FT,_LA> > { 
+class HyperplaneCd : public Handle_for< Tuple_d<_FT,_LA> > {
   typedef Tuple_d<_FT,_LA> Tuple;
   typedef Handle_for<Tuple> Base;
   typedef HyperplaneCd<_FT,_LA> Self;
@@ -39,7 +39,7 @@ _FT& entry(int i) { return ptr()->v[i];
 const _FT& entry(int i) const { return ptr()->v[i]; }
 void invert_rep() { ptr()->invert(); }
 
-public: 
+public:
 typedef _FT RT;
 typedef _FT FT;
 typedef _LA LA;
@@ -55,14 +55,14 @@ template <class InputIterator>
 HyperplaneCd(int d, InputIterator first, InputIterator last)
   : Base( Tuple(d+1,first,last) ) {}
 
-template <class ForwardIterator> 
+template <class ForwardIterator>
 void
-construct_from_points(ForwardIterator first, ForwardIterator last, 
-		      const PointCd<FT,LA>& o, Oriented_side side)
-{ 
+construct_from_points(ForwardIterator first, ForwardIterator last,
+                      const PointCd<FT,LA>& o, Oriented_side side)
+{
   // inline due to template parameter
   TUPLE_DIM_CHECK(first,last,hyperplane::construction);
-  CGAL_assertion_msg((first->dimension()==o.dimension()), 
+  CGAL_assertion_msg((first->dimension()==o.dimension()),
   "hyperplane::construction: dimensions disagree.");
 
   int d = first->dimension(); // we are in $d$ - dimensional space
@@ -70,7 +70,7 @@ construct_from_points(ForwardIterator fi
   typename LA::Matrix A(m,d + 1);
 
   for (int i = 0; i < m; i++) {  /* define $i$-th equation */
-    for (int j = 0; j < d; j++)  
+    for (int j = 0; j < d; j++)
       A(i,j) = first->cartesian(j); // $j$ - th coord of $i$-th point
     A(i,d) = 1;
     ++first;
@@ -81,11 +81,11 @@ construct_from_points(ForwardIterator fi
   CGAL_assertion_msg(dim != 0,
    "HyperplaneCd::constructor: set P is full dimensional.");
 
-  if (side == ON_ORIENTED_BOUNDARY) 
+  if (side == ON_ORIENTED_BOUNDARY)
   { ptr()->v = spanning_vecs.column(0); return; }
 
   FT sum = 0; int j;
-  for (j = 0; j < dim; j++) { 
+  for (j = 0; j < dim; j++) {
     for (int i = 0; i < d; i++)
       sum += spanning_vecs(i,j)*o.cartesian(i);
     sum += spanning_vecs(d,j);
@@ -102,46 +102,46 @@ construct_from_points(ForwardIterator fi
 }
 
 template <class ForwardIterator>
-HyperplaneCd(ForwardIterator first, ForwardIterator last, 
+HyperplaneCd(ForwardIterator first, ForwardIterator last,
              const PointCd<FT,LA>& o,
              Oriented_side side = ON_ORIENTED_BOUNDARY)
-  : Base( Tuple(o.dimension()+1) ) 
+  : Base( Tuple(o.dimension()+1) )
 { construct_from_points(first,last,o,side); }
 
-HyperplaneCd(const PointCd<FT,LA>& p, const DirectionCd<FT,LA>& dir) 
-  : Base( Tuple(p.dimension()+1) ) 
-{ 
-  int d = p.dimension(); 
-  CGAL_assertion_msg((dir.dimension() == d), 
+HyperplaneCd(const PointCd<FT,LA>& p, const DirectionCd<FT,LA>& dir)
+  : Base( Tuple(p.dimension()+1) )
+{
+  int d = p.dimension();
+  CGAL_assertion_msg((dir.dimension() == d),
     "HyperplaneCd::constructor: parameter dimensions disagree.");
 
-  FT sum = 0; 
-  for (int i = 0; i < d; i++) { 
+  FT sum = 0;
+  for (int i = 0; i < d; i++) {
     sum += dir.delta(i)*p.cartesian(i);
     entry(i) = dir.delta(i);
   }
   entry(d) = -sum;
 }
 
-HyperplaneCd(const FT& a, const FT& b, const FT& c) : 
-  Base( Tuple(a,b,c,MatchHelper()) ) {} 
+HyperplaneCd(const FT& a, const FT& b, const FT& c) :
+  Base( Tuple(a,b,c,MatchHelper()) ) {}
 
-HyperplaneCd(int a, int b, int c) : 
-  Base( Tuple(FT(a),FT(b),FT(c),MatchHelper()) ) {} 
+HyperplaneCd(int a, int b, int c) :
+  Base( Tuple(FT(a),FT(b),FT(c),MatchHelper()) ) {}
 
 HyperplaneCd(const FT& a, const FT& b, const FT& c, const FT& d) :
-  Base( Tuple(a,b,c,d) ) {} 
+  Base( Tuple(a,b,c,d) ) {}
 
-HyperplaneCd(int a, int b, int c, int d) : 
-  Base( Tuple(FT(a),FT(b),FT(c),FT(d)) ) {} 
+HyperplaneCd(int a, int b, int c, int d) :
+  Base( Tuple(FT(a),FT(b),FT(c),FT(d)) ) {}
 
-~HyperplaneCd()  {}    
+~HyperplaneCd()  {}
 
 int dimension() const { return ptr()->size()-1; }
 
 FT operator[](int i) const
-{ CGAL_assertion_msg((0<=i && i<=(dimension())), 
-  "HyperplaneCd::op[]: index out of range."); 
+{ CGAL_assertion_msg((0<=i && i<=(dimension())),
+  "HyperplaneCd::op[]: index out of range.");
   return entry(i); }
 
 FT coefficient(int i) const { return entry(i); }
@@ -149,43 +149,43 @@ FT coefficient(int i) const { return ent
 const typename LA::Vector& coefficient_vector() const
 { return vector_rep(); }
 
-Coefficient_const_iterator coefficients_begin() const 
+Coefficient_const_iterator coefficients_begin() const
 { return ptr()->begin(); }
 Coefficient_const_iterator coefficients_end() const
 { return ptr()->end(); }
 
-inline VectorCd<FT,LA> orthogonal_vector() const; 
+inline VectorCd<FT,LA> orthogonal_vector() const;
 
-DirectionCd<FT,LA> orthogonal_direction() const 
+DirectionCd<FT,LA> orthogonal_direction() const
 { return orthogonal_vector().direction(); }
 
 FT value_at(const PointCd<FT,LA>& p) const
 { CGAL_assertion_msg((dimension()==p.dimension()),
     "HyperplaneCd::value_at: dimensions disagree.");
   FT res(0);
-  for (int i=0; i<dimension(); ++i) 
+  for (int i=0; i<dimension(); ++i)
     res += coefficient(i)*p.cartesian(i);
   res += coefficient(dimension());
   return res;
 }
 
-Oriented_side oriented_side(const PointCd<FT,LA>& p) const 
-{ 
-  CGAL_assertion_msg(dimension()==p.dimension(), 
-    "HyperplaneCd::oriented_side: dimensions do not agree."); 
+Oriented_side oriented_side(const PointCd<FT,LA>& p) const
+{
+  CGAL_assertion_msg(dimension()==p.dimension(),
+    "HyperplaneCd::oriented_side: dimensions do not agree.");
   return CGAL_NTS sign(value_at(p));
 }
 
-bool has_on(const PointCd<FT,LA>& p) const 
+bool has_on(const PointCd<FT,LA>& p) const
 { return (oriented_side(p) == ON_ORIENTED_BOUNDARY); }
 
-bool has_on_boundary(const PointCd<FT,LA>& p) const 
+bool has_on_boundary(const PointCd<FT,LA>& p) const
 { return (oriented_side(p) == ON_ORIENTED_BOUNDARY); }
 
-bool has_on_positive_side(const PointCd<FT,LA>& p) const 
+bool has_on_positive_side(const PointCd<FT,LA>& p) const
 { return (oriented_side(p) == ON_POSITIVE_SIDE); }
 
-bool has_on_negative_side(const PointCd<FT,LA>& p) const 
+bool has_on_negative_side(const PointCd<FT,LA>& p) const
 { return (oriented_side(p) == ON_NEGATIVE_SIDE); }
 
 HyperplaneCd<FT,LA> transform(const Aff_transformationCd<FT,LA>& t) const
@@ -207,9 +207,9 @@ bool operator==(const HyperplaneCd<FT,LA
 bool operator!=(const HyperplaneCd<FT,LA>& h2) const
 { return !operator==(h2); }
 
-friend std::istream& operator>> <> 
+friend std::istream& operator>> <>
   (std::istream&, HyperplaneCd<FT,LA>&);
-friend std::ostream& operator<< <> 
+friend std::ostream& operator<< <>
   (std::ostream&, const HyperplaneCd<FT,LA>&);
 
 }; // end of class HyperplaneCd
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/HyperplaneCd_impl.h 5.0.3-1/include/CGAL/Kernel_d/HyperplaneCd_impl.h
--- 5.0.2-3/include/CGAL/Kernel_d/HyperplaneCd_impl.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/HyperplaneCd_impl.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2001  
+// Copyright (c) 2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/HyperplaneCd_impl.h $
-// $Id: HyperplaneCd_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/HyperplaneCd_impl.h $
+// $Id: HyperplaneCd_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -22,33 +22,33 @@ template <class FT, class LA>
 VectorCd<FT,LA>  HyperplaneCd<FT,LA>::
 orthogonal_vector() const
 { return VectorCd<FT,LA>(dimension(),coefficients_begin(),
-			             coefficients_end()-1); }
+                                     coefficients_end()-1); }
 
 template <class FT, class LA>
 Comparison_result HyperplaneCd<FT,LA>::
 weak_cmp(const HyperplaneCd<FT,LA>& h1,
          const HyperplaneCd<FT,LA>& h2)
-{ 
-  CGAL_assertion_msg((h1.dimension()==h2.dimension()), 
+{
+  CGAL_assertion_msg((h1.dimension()==h2.dimension()),
     "HyperplaneCd::weak_cmp: dimensions disagree.");
   if(h1.identical(h2)) return EQUAL;
 
   int i, d = h1.dimension();
-  for (i = 0; i <= d && 
-              h1.coefficient(i) == FT(0) && 
+  for (i = 0; i <= d &&
+              h1.coefficient(i) == FT(0) &&
               h2.coefficient(i) == FT(0); i++) {}
   if (h1.coefficient(i) == FT(0)) return SMALLER;
   if (h2.coefficient(i) == FT(0)) return LARGER;
- 
-  int s = CGAL_NTS sign(h1.coefficient(i)) * 
+
+  int s = CGAL_NTS sign(h1.coefficient(i)) *
           CGAL_NTS sign(h2.coefficient(i));
   FT s1 = (FT)s * h2.coefficient(i);
   FT s2 = (FT)s * h1.coefficient(i);
-  // |s1 * h1.coefficient(i)| is 
+  // |s1 * h1.coefficient(i)| is
   // $\Labs{ |h1.coefficient(i)*h2.coefficient(i)| }$
 
   Comparison_result c;
-  while (++i <= d) { 
+  while (++i <= d) {
     c = CGAL_NTS compare(s1 * h1.coefficient(i),
                          s2 * h2.coefficient(i));
     if (c != EQUAL) return c;
@@ -58,17 +58,17 @@ weak_cmp(const HyperplaneCd<FT,LA>& h1,
 
 template <class FT, class LA>
 Comparison_result HyperplaneCd<FT,LA>::
-strong_cmp(const HyperplaneCd<FT,LA>& h1, 
+strong_cmp(const HyperplaneCd<FT,LA>& h1,
            const HyperplaneCd<FT,LA>& h2)
-{ 
-  CGAL_assertion_msg((h1.dimension()==h2.dimension()), 
+{
+  CGAL_assertion_msg((h1.dimension()==h2.dimension()),
   "HyperplaneCd::strong_cmp: dimensions disagree.");
   if (h1.identical(h2))  return EQUAL;
 
   int i;
   int d = h1.dimension();
-  for (i = 0; i <=d && 
-              h1.coefficient(i)==FT(0) && 
+  for (i = 0; i <=d &&
+              h1.coefficient(i)==FT(0) &&
               h2.coefficient(i)==FT(0); i++) {}
   int c1 = CGAL_NTS sign(h1.coefficient(i));
   int c2 = CGAL_NTS sign(h2.coefficient(i));
@@ -77,8 +77,8 @@ strong_cmp(const HyperplaneCd<FT,LA>& h1
   FT s2 = (FT)(int)CGAL_NTS sign(h1.coefficient(i)) * h1.coefficient(i);
 
   Comparison_result c;
-  while (++i <= d) { 
-    c = CGAL_NTS compare(s1 * h1.coefficient(i), 
+  while (++i <= d) {
+    c = CGAL_NTS compare(s1 * h1.coefficient(i),
                          s2 * h2.coefficient(i));
     if (c != EQUAL) return c;
   }
@@ -86,12 +86,12 @@ strong_cmp(const HyperplaneCd<FT,LA>& h1
 }
 
 template <class FT, class LA>
-std::istream& operator>>(std::istream& I, HyperplaneCd<FT,LA>& h) 
+std::istream& operator>>(std::istream& I, HyperplaneCd<FT,LA>& h)
 { h.copy_on_write(); h.ptr()->read(I); return I; }
 
 template <class FT, class LA>
 std::ostream& operator<<(std::ostream& O, const HyperplaneCd<FT,LA>& h)
-{ h.ptr()->print(O,"HyperplaneCd"); return O; } 
+{ h.ptr()->print(O,"HyperplaneCd"); return O; }
 
 } //namespace CGAL
 #endif // CGAL_HYPERPLANECD_C
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Hyperplane_d.h 5.0.3-1/include/CGAL/Kernel_d/Hyperplane_d.h
--- 5.0.2-3/include/CGAL/Kernel_d/Hyperplane_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Hyperplane_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Hyperplane_d.h $
-// $Id: Hyperplane_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Hyperplane_d.h $
+// $Id: Hyperplane_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
@@ -41,10 +41,10 @@ public:
 
   Hyperplane_d(int d=0) : Base(d) {}
   Hyperplane_d(int a, int b, int c) : Base(a,b,c) {}
-  Hyperplane_d(const RT& a, const RT& b, const RT& c) : 
+  Hyperplane_d(const RT& a, const RT& b, const RT& c) :
     Base(a,b,c) {}
   Hyperplane_d(int a, int b, int c, int d) : Base(a,b,c,d) {}
-  Hyperplane_d(const RT& a, const RT& b, const RT& c, const RT& d) : 
+  Hyperplane_d(const RT& a, const RT& b, const RT& c, const RT& d) :
     Base(a,b,c,d) {}
 
   Hyperplane_d(const Point_d<R>& p, const Direction_d<R>& dir) :
@@ -62,13 +62,13 @@ public:
     : Base (d, first, last, D) {}
 
   template <class ForwardIterator>
-  Hyperplane_d(ForwardIterator first, ForwardIterator last, 
+  Hyperplane_d(ForwardIterator first, ForwardIterator last,
                const Point_d<R>& o, Oriented_side side = ON_ORIENTED_BOUNDARY)
     : Base(first,last,o,side) {}
 
-  Vector_d<R> orthogonal_vector() const 
+  Vector_d<R> orthogonal_vector() const
   { return Base::orthogonal_vector(); }
-  Direction_d<R> orthogonal_direction() const 
+  Direction_d<R> orthogonal_direction() const
   { return Base::orthogonal_direction(); }
 
   bool operator==(const Self& w) const
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/HyperplaneHd.h 5.0.3-1/include/CGAL/Kernel_d/HyperplaneHd.h
--- 5.0.2-3/include/CGAL/Kernel_d/HyperplaneHd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/HyperplaneHd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/HyperplaneHd.h $
-// $Id: HyperplaneHd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/HyperplaneHd.h $
+// $Id: HyperplaneHd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Michael Seel
 
 #ifndef CGAL_HYPERPLANEHD_H
@@ -18,8 +18,8 @@
 
 #include <CGAL/basic.h>
 #include <CGAL/Quotient.h>
-#include <CGAL/Kernel_d/PointHd.h> 
-#include <CGAL/Kernel_d/VectorHd.h> 
+#include <CGAL/Kernel_d/PointHd.h>
+#include <CGAL/Kernel_d/VectorHd.h>
 #include <CGAL/Kernel_d/Aff_transformationHd.h>
 
 namespace CGAL {
@@ -28,17 +28,17 @@ namespace CGAL {
 template <class RT, class LA>
 std::istream& operator>>(std::istream&, HyperplaneHd<RT,LA>&);
 template <class RT, class LA>
-std::ostream& operator<<(std::ostream&, const HyperplaneHd<RT,LA>&); 
+std::ostream& operator<<(std::ostream&, const HyperplaneHd<RT,LA>&);
 
 /*{\Manpage{Hyperplane_d}{R}{Hyperplanes in d-space}{h}}*/
-/*{\Msubst 
+/*{\Msubst
 Hd<RT,LA>#_d<R>
 HyperplaneHd#Hyperplane_d
 Quotient<RT>#FT
 }*/
 
 template <class _RT, class _LA>
-class HyperplaneHd : public Handle_for< Tuple_d<_RT,_LA> > { 
+class HyperplaneHd : public Handle_for< Tuple_d<_RT,_LA> > {
   typedef Tuple_d<_RT,_LA> Tuple;
   typedef Handle_for<Tuple> Base;
   typedef HyperplaneHd<_RT,_LA> Self;
@@ -50,7 +50,7 @@ oriented hyperplane in $d$ - dimensional
 represented by coefficients $(c_0,c_1,\ldots,c_d)$ of type |RT|. At
 least one of $c_0$ to $c_{ d - 1 }$ must be non-zero.  The plane
 equation is $\sum_{ 0 \le i < d } c_i x_i + c_d = 0$, where $x_0$ to
-$x_{d-1}$ are Cartesian point coordinates.  
+$x_{d-1}$ are Cartesian point coordinates.
 For a particular $x$ the sign of $\sum_{ 0 \le i < d } c_i x_i +
 c_d$ determines the position of a point $x$ with respect to the
 hyperplane (on the hyperplane, on the negative side, or on the
@@ -70,7 +70,7 @@ _RT& entry(int i) { return ptr()->v[i];
 const _RT& entry(int i) const { return ptr()->v[i]; }
 void invert_rep() { ptr()->invert(); }
 
-public: 
+public:
 /*{\Mtypes 4}*/
 
 typedef _RT RT;
@@ -90,7 +90,7 @@ HyperplaneHd(int d = 0) : Base( Tuple(d+
 initialized to some hyperplane in $d$ - dimensional space. }*/
 
 template <class InputIterator>
-HyperplaneHd(int d, InputIterator first, InputIterator last) 
+HyperplaneHd(int d, InputIterator first, InputIterator last)
   : Base( Tuple(d+1,first,last) ) {}
 /*{\Mcreate introduces a variable |\Mvar| of type |\Mname|
 initialized to the hyperplane with coefficients |set [first,last)|.
@@ -118,59 +118,59 @@ $|side| \neq 0$ and the task at hand is
 such that $o^T \cdot s_j \neq 0$.  We take $s_j$ as the normal vector
 of our hyperplane and use |o| to normalize the hyperplane equation. */
 
-template <class ForwardIterator> 
+template <class ForwardIterator>
 void
-construct_from_points(ForwardIterator first, ForwardIterator last, 
-		      const PointHd<RT,LA>& o, Oriented_side side)
-{ 
+construct_from_points(ForwardIterator first, ForwardIterator last,
+                      const PointHd<RT,LA>& o, Oriented_side side)
+{
   TUPLE_DIM_CHECK(first,last,hyperplane::construction);
-  CGAL_assertion_msg((first->dimension()==o.dimension()), 
+  CGAL_assertion_msg((first->dimension()==o.dimension()),
   "hyperplane::construction: dimensions disagree.");
 
   int d = first->dimension();   // we are in $d$ - dimensional space
   int m = static_cast<int>(std::distance(first,last)); // |P| has $m$ points
-  typename LA::Matrix A(m,d + 1); 
+  typename LA::Matrix A(m,d + 1);
 
   for (int i = 0; i < m; i++) {  /* define $i$-th equation */
-    for (int j = 0; j <= d; j++) 
+    for (int j = 0; j <= d; j++)
       A(i,j) = first->homogeneous(j); // $j$ - th coord of $i$-th point
     ++first;
   }
   typename LA::Matrix  spanning_vecs; // columns span solution
-  int dim = LA::homogeneous_linear_solver(A,spanning_vecs); 
+  int dim = LA::homogeneous_linear_solver(A,spanning_vecs);
 
   if (dim == 0)
     CGAL_error_msg("HyperplaneHd::constructor: \
-    set P is full dimensional."); 
+    set P is full dimensional.");
 
-  if (side == ON_ORIENTED_BOUNDARY) { 
-    ptr()->v = spanning_vecs.column(0); 
-    return; 
+  if (side == ON_ORIENTED_BOUNDARY) {
+    ptr()->v = spanning_vecs.column(0);
+    return;
   }
 
-  RT sum = 0; 
+  RT sum = 0;
   int j;
-  for (j = 0; j < dim; j++) { 
-    for (int i = 0; i <= d; i++) 
-      sum += spanning_vecs(i,j)*o.homogeneous(i); 
-    if (sum != 0) break; 
+  for (j = 0; j < dim; j++) {
+    for (int i = 0; i <= d; i++)
+      sum += spanning_vecs(i,j)*o.homogeneous(i);
+    if (sum != 0) break;
   }
 
-  if (j == dim)  
+  if (j == dim)
     CGAL_error_msg("HyperplaneHd::constructor: \
     cannot use o to determine side.");
 
   ptr()->v = spanning_vecs.column(j);
-  if ( ( CGAL_NTS sign(sum) > 0 && side == ON_NEGATIVE_SIDE ) || 
-       ( CGAL_NTS sign(sum) < 0 && side == ON_POSITIVE_SIDE ) )   
+  if ( ( CGAL_NTS sign(sum) > 0 && side == ON_NEGATIVE_SIDE ) ||
+       ( CGAL_NTS sign(sum) < 0 && side == ON_POSITIVE_SIDE ) )
     invert_rep();
 }
 
 
 template <class ForwardIterator>
-HyperplaneHd(ForwardIterator first, ForwardIterator last, 
-             const PointHd<RT,LA>& o, 
-             Oriented_side side = ON_ORIENTED_BOUNDARY) 
+HyperplaneHd(ForwardIterator first, ForwardIterator last,
+             const PointHd<RT,LA>& o,
+             Oriented_side side = ON_ORIENTED_BOUNDARY)
 /*{\Mcreate constructs some hyperplane that passes through the points
 in |set [first,last)|. If |side| is |ON_POSITIVE_SIDE| or
 |ON_NEGATIVE_SIDE| then |o| is on that side of the constructed
@@ -179,42 +179,42 @@ exist.  The value type of |ForwardIterat
   : Base( Tuple(o.dimension()+1) )
 { construct_from_points(first,last,o,side); }
 
-HyperplaneHd(const PointHd<RT,LA>& p, const DirectionHd<RT,LA>& dir) 
+HyperplaneHd(const PointHd<RT,LA>& p, const DirectionHd<RT,LA>& dir)
 /*{\Mcreate constructs the hyperplane with normal direction |dir|
 that passes through $p$. The direction |dir| points into the positive
 side.  \precond |dir| is not the trivial direction.}*/
-  : Base( Tuple(p.dimension()+1) ) { 
-  int d = p.dimension(); 
+  : Base( Tuple(p.dimension()+1) ) {
+  int d = p.dimension();
   CGAL_assertion_msg((dir.dimension() == d), "HyperplaneHd::constructor: \
   parameter dimensions disagree.");
   CGAL_assertion_msg((dir.dimension() == d), "HyperplaneHd::constructor: \
   parameter dimensions disagree.");
 
-  RT sum = 0; 
-  for (int i = 0; i < d; i++) { 
-    sum += dir.delta(i)*p.homogeneous(i); 
-    entry(i) = dir.delta(i)*p.homogeneous(d); 
+  RT sum = 0;
+  for (int i = 0; i < d; i++) {
+    sum += dir.delta(i)*p.homogeneous(i);
+    entry(i) = dir.delta(i)*p.homogeneous(d);
   }
-  entry(d) = -sum; 
+  entry(d) = -sum;
 }
 
-HyperplaneHd(const RT& a, const RT& b, const RT& c) : 
-  Base( Tuple(a,b,c,MatchHelper()) ) {} 
-/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in 
+HyperplaneHd(const RT& a, const RT& b, const RT& c) :
+  Base( Tuple(a,b,c,MatchHelper()) ) {}
+/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in
 $2$-dimensional space with equation $ax+by+c=0$. }*/
 
-HyperplaneHd(int a, int b, int c) : 
-  Base( Tuple(RT(a),RT(b),RT(c),MatchHelper()) ) {} 
+HyperplaneHd(int a, int b, int c) :
+  Base( Tuple(RT(a),RT(b),RT(c),MatchHelper()) ) {}
 
 HyperplaneHd(const RT& a, const RT& b, const RT& c, const RT& d) :
-  Base( Tuple(a,b,c,d) ) {} 
-/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in 
+  Base( Tuple(a,b,c,d) ) {}
+/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in
 $3$-dimensional space with equation $ax+by+cz+d=0$. }*/
 
-HyperplaneHd(int a, int b, int c, int d) : 
-  Base( Tuple(RT(a),RT(b),RT(c),RT(d)) ) {} 
+HyperplaneHd(int a, int b, int c, int d) :
+  Base( Tuple(RT(a),RT(b),RT(c),RT(d)) ) {}
 
-~HyperplaneHd()  {}    
+~HyperplaneHd()  {}
 
 /*{\Moperations 4 2}*/
 
@@ -222,71 +222,71 @@ int dimension() const { return ptr()->si
 /*{\Mop returns the dimension of |\Mvar|. }*/
 
 RT operator[](int i) const
-/*{\Marrop returns the $i$-th coefficient of |\Mvar|. 
+/*{\Marrop returns the $i$-th coefficient of |\Mvar|.
    \precond $0 \leq i \leq d$.}*/
 { CGAL_assertion_msg((0<=i && i<=(dimension())), "HyperplaneHd::op[]:\
   index out of range."); return entry(i); }
 
 RT coefficient(int i) const { return entry(i); }
-/*{\Mop returns the $i$-th coefficient of |\Mvar|. 
+/*{\Mop returns the $i$-th coefficient of |\Mvar|.
    \precond $0 \leq i \leq d$.}*/
 
 const typename LA::Vector& coefficient_vector() const
 /*{\Xop returns the coefficient vector $(c_0,\ldots,c_d)$ of |\Mvar|. }*/
 { return vector_rep(); }
 
-Coefficient_const_iterator coefficients_begin() const 
+Coefficient_const_iterator coefficients_begin() const
 /*{\Mop returns an iterator pointing to the first coefficient.}*/
 { return ptr()->begin(); }
 
-Coefficient_const_iterator coefficients_end() const 
+Coefficient_const_iterator coefficients_end() const
 /*{\Mop returns an iterator pointing beyond the last coefficient.}*/
 { return ptr()->end(); }
 
-VectorHd<RT,LA> orthogonal_vector() const; 
-/*{\Mop returns the orthogonal vector of |\Mvar|. It points from the 
-negative halfspace into the positive halfspace and its 
+VectorHd<RT,LA> orthogonal_vector() const;
+/*{\Mop returns the orthogonal vector of |\Mvar|. It points from the
+negative halfspace into the positive halfspace and its
 homogeneous coordinates are $(c_0, \ldots, c_{d - 1},1)$. }*/
-DirectionHd<RT,LA> orthogonal_direction() const 
-/*{\Mop returns the orthogonal direction of |\Mvar|. It points from the 
+DirectionHd<RT,LA> orthogonal_direction() const
+/*{\Mop returns the orthogonal direction of |\Mvar|. It points from the
 negative halfspace into the positive halfspace. }*/
 { return orthogonal_vector().direction(); }
 
 RT value_at(const PointHd<RT,LA>& p) const
-/*{\Xop returns the value of |\Mvar| at the point |p|, i.e., 
+/*{\Xop returns the value of |\Mvar| at the point |p|, i.e.,
 $\sum_{ 0 \le i \le d } h_i p_i$.\\
-Warning: this value depends on the particular representation 
+Warning: this value depends on the particular representation
 of |\Mvar| and |p|. }*/
 { CGAL_assertion_msg((dimension()==p.dimension()),"HyperplaneHd::value_at:\
   dimensions disagree.");
   return vector_rep()*p.vector_rep();
 }
 
-Oriented_side  oriented_side(const PointHd<RT,LA>& p) const 
+Oriented_side  oriented_side(const PointHd<RT,LA>& p) const
 /*{\Mop returns the side of the hyperplane |\Mvar| containing $p$. }*/
 /*{\Mtext \setopdims{2cm}{2cm}}*/
-{ 
-  CGAL_assertion_msg((dimension()==p.dimension()), 
-  "HyperplaneHd::oriented_side: dimensions do not agree."); 
+{
+  CGAL_assertion_msg((dimension()==p.dimension()),
+  "HyperplaneHd::oriented_side: dimensions do not agree.");
   return CGAL_NTS sign(value_at(p));
 }
 
-bool has_on(const PointHd<RT,LA>& p) const 
+bool has_on(const PointHd<RT,LA>& p) const
 /*{\Mop returns true iff point |p| lies on the hyperplane |\Mvar|. }*/
 { return (oriented_side(p) == ON_ORIENTED_BOUNDARY); }
 
-bool has_on_boundary(const PointHd<RT,LA>& p) const 
-/*{\Mop returns true iff point |p| lies on the boundary of 
+bool has_on_boundary(const PointHd<RT,LA>& p) const
+/*{\Mop returns true iff point |p| lies on the boundary of
 hyperplane |\Mvar|. }*/
 { return (oriented_side(p) == ON_ORIENTED_BOUNDARY); }
 
-bool has_on_positive_side(const PointHd<RT,LA>& p) const 
-/*{\Mop returns true iff point |p| lies on the positive side of 
+bool has_on_positive_side(const PointHd<RT,LA>& p) const
+/*{\Mop returns true iff point |p| lies on the positive side of
 hyperplane |\Mvar|. }*/
 { return (oriented_side(p) == ON_POSITIVE_SIDE); }
 
-bool has_on_negative_side(const PointHd<RT,LA>& p) const 
-/*{\Mop returns true iff point |p| lies on the negative side of 
+bool has_on_negative_side(const PointHd<RT,LA>& p) const
+/*{\Mop returns true iff point |p| lies on the negative side of
 hyperplane |\Mvar|. }*/
 { return (oriented_side(p) == ON_NEGATIVE_SIDE); }
 
@@ -310,26 +310,26 @@ static Comparison_result strong_cmp(
 bool operator==(const HyperplaneHd<RT,LA>& h2) const
 { if (this->identical(h2)) return true;
   if (dimension()!=h2.dimension()) return false;
-  return HyperplaneHd<RT,LA>::strong_cmp(*this,h2) == EQUAL; 
+  return HyperplaneHd<RT,LA>::strong_cmp(*this,h2) == EQUAL;
 }
 
 bool operator!=(const HyperplaneHd<RT,LA>& h2) const
 { return !operator==(h2); }
 
-friend std::istream& operator>> <> 
+friend std::istream& operator>> <>
   (std::istream&, HyperplaneHd<RT,LA>&);
-friend std::ostream& operator<< <> 
+friend std::ostream& operator<< <>
   (std::ostream&, const HyperplaneHd<RT,LA>&);
 
 }; // end of class HyperplaneHd
 
 template <class RT, class LA>
-bool weak_equality(const HyperplaneHd<RT,LA>& h1, 
+bool weak_equality(const HyperplaneHd<RT,LA>& h1,
                    const HyperplaneHd<RT,LA>& h2)
 /*{\Mfunc test for weak equality. }*/
 { if (h1.identical(h2)) return true;
   if (h1.dimension()!=h2.dimension()) return false;
-  return HyperplaneHd<RT,LA>::weak_cmp(h1,h2) == EQUAL; 
+  return HyperplaneHd<RT,LA>::weak_cmp(h1,h2) == EQUAL;
 }
 
 /*{\Mimplementation
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/HyperplaneHd_impl.h 5.0.3-1/include/CGAL/Kernel_d/HyperplaneHd_impl.h
--- 5.0.2-3/include/CGAL/Kernel_d/HyperplaneHd_impl.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/HyperplaneHd_impl.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2001  
+// Copyright (c) 2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/HyperplaneHd_impl.h $
-// $Id: HyperplaneHd_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/HyperplaneHd_impl.h $
+// $Id: HyperplaneHd_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -21,37 +21,37 @@ namespace CGAL {
 template <class RT, class LA>
 VectorHd<RT,LA>  HyperplaneHd<RT,LA>::
 orthogonal_vector() const
-{ VectorHd<RT,LA> res(*this); 
+{ VectorHd<RT,LA> res(*this);
   res.copy_on_write();
-  res.entry(dimension()) = 1; 
-  return res; 
+  res.entry(dimension()) = 1;
+  return res;
 }
 
 template <class RT, class LA>
 Comparison_result HyperplaneHd<RT,LA>::
-weak_cmp(const HyperplaneHd<RT,LA>& h1, 
+weak_cmp(const HyperplaneHd<RT,LA>& h1,
          const HyperplaneHd<RT,LA>& h2)
-{ 
-  CGAL_assertion_msg((h1.dimension()==h2.dimension()), 
+{
+  CGAL_assertion_msg((h1.dimension()==h2.dimension()),
     "HyperplaneHd::weak_cmp: dimensions disagree.");
   if(h1.identical(h2)) return EQUAL;
 
   int i, d = h1.dimension();
-  for (i = 0; i <= d && 
-              h1.coefficient(i) == 0 && 
+  for (i = 0; i <= d &&
+              h1.coefficient(i) == 0 &&
               h2.coefficient(i) == 0; i++) {}
   if (h1.coefficient(i) == 0) return SMALLER;
   if (h2.coefficient(i) == 0) return LARGER;
- 
-  int s = CGAL_NTS sign(h1.coefficient(i)) * 
+
+  int s = CGAL_NTS sign(h1.coefficient(i)) *
           CGAL_NTS sign(h2.coefficient(i));
-  RT s1 = (RT)s * h2.coefficient(i); 
+  RT s1 = (RT)s * h2.coefficient(i);
   RT s2 = (RT)s * h1.coefficient(i);
-  // |s1 * h1.coefficient(i)| is 
+  // |s1 * h1.coefficient(i)| is
   // $\Labs{ |h1.coefficient(i)*h2.coefficient(i)| }$
 
   Comparison_result c;
-  while (++i <= d) { 
+  while (++i <= d) {
     c = CGAL_NTS compare(s1 * h1.coefficient(i),
                          s2 * h2.coefficient(i));
     if (c != EQUAL) return c;
@@ -61,17 +61,17 @@ weak_cmp(const HyperplaneHd<RT,LA>& h1,
 
 template <class RT, class LA>
 Comparison_result HyperplaneHd<RT,LA>::
-strong_cmp(const HyperplaneHd<RT,LA>& h1, 
+strong_cmp(const HyperplaneHd<RT,LA>& h1,
            const HyperplaneHd<RT,LA>& h2)
-{ 
-  CGAL_assertion_msg((h1.dimension()==h2.dimension()), 
+{
+  CGAL_assertion_msg((h1.dimension()==h2.dimension()),
   "HyperplaneHd::strong_cmp: dimensions disagree.");
   if (h1.identical(h2))  return EQUAL;
 
   int i;
   int d = h1.dimension();
-  for (i = 0; i <=d && 
-              h1.coefficient(i)==0 && 
+  for (i = 0; i <=d &&
+              h1.coefficient(i)==0 &&
               h2.coefficient(i)==0; i++) {}
   int c1 = CGAL_NTS sign(h1.coefficient(i));
   int c2 = CGAL_NTS sign(h2.coefficient(i));
@@ -80,8 +80,8 @@ strong_cmp(const HyperplaneHd<RT,LA>& h1
   RT s2 = (RT)(int)CGAL_NTS sign(h1.coefficient(i)) * h1.coefficient(i);
 
   Comparison_result c;
-  while (++i <= d) { 
-    c = CGAL_NTS compare(s1 * h1.coefficient(i), 
+  while (++i <= d) {
+    c = CGAL_NTS compare(s1 * h1.coefficient(i),
                          s2 * h2.coefficient(i));
     if (c != EQUAL) return c;
   }
@@ -89,12 +89,12 @@ strong_cmp(const HyperplaneHd<RT,LA>& h1
 }
 
 template <class RT, class LA>
-std::istream& operator>>(std::istream& I, HyperplaneHd<RT,LA>& h) 
+std::istream& operator>>(std::istream& I, HyperplaneHd<RT,LA>& h)
 { h.copy_on_write(); h.ptr()->read(I); return I; }
 
 template <class RT, class LA>
 std::ostream& operator<<(std::ostream& O, const HyperplaneHd<RT,LA>& h)
-{ h.ptr()->print(O,"HyperplaneHd"); return O; }  
+{ h.ptr()->print(O,"HyperplaneHd"); return O; }
 
 } //namespace CGAL
 #endif // CGAL_HYPERPLANEHD_C
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Interface_classes.h 5.0.3-1/include/CGAL/Kernel_d/Interface_classes.h
--- 5.0.2-3/include/CGAL/Kernel_d/Interface_classes.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Interface_classes.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2000  
+// Copyright (c) 1997-2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Interface_classes.h $
-// $Id: Interface_classes.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Interface_classes.h $
+// $Id: Interface_classes.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/interface_macros_d.h 5.0.3-1/include/CGAL/Kernel_d/interface_macros_d.h
--- 5.0.2-3/include/CGAL/Kernel_d/interface_macros_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/interface_macros_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -6,7 +6,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/interface_macros_d.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/interface_macros_d.h $
 // $Id: interface_macros_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/intersection_objectsCd.h 5.0.3-1/include/CGAL/Kernel_d/intersection_objectsCd.h
--- 5.0.2-3/include/CGAL/Kernel_d/intersection_objectsCd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/intersection_objectsCd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2002  
+// Copyright (c) 2002
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/intersection_objectsCd.h $
-// $Id: intersection_objectsCd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/intersection_objectsCd.h $
+// $Id: intersection_objectsCd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : ?
 
@@ -24,7 +24,7 @@ namespace CGAL {
 
 /*{\Manpage{Line_line_intersectionCd}{R}{intersecting two lines}}*/
 
-template <class R> 
+template <class R>
 class Line_line_intersectionCd {
 
 typedef typename R::FT FT;
@@ -38,46 +38,46 @@ enum Intersection_result { NO_INTERSECTI
 Intersection_result operator()(
   const Point_d& s1, const Point_d& t1,
   const Point_d& s2, const Point_d& t2,
-  Point_d& p, FT& l1, FT& l2) 
+  Point_d& p, FT& l1, FT& l2)
 /*{\Mfunop returns |NO_INTERSECTION| if the lines which are represented by |s1t1|
 and |s2t2| don't intersect, returns |POINT| if they intersect in a
 unique point, and returns LINE if they are identical. In the |POINT|
 case the point of intersection is assigned to |p|.  Then |p = s1 + l1
 * t1-s1| and |p = s2 + l2 * t2-s2|. \precond none of the point pairs
 is degenerate.}*/
-{ 
-  int d = s1.dimension(),i; 
+{
+  int d = s1.dimension(),i;
   CGAL_assertion_msg(d==s2.dimension(),
-    "intersection: dimensions disagree!"); 
-  typename LA::Matrix M(d,2),S; 
-  typename LA::Vector b(d), lambda(2), c; 
-  FT D; 
+    "intersection: dimensions disagree!");
+  typename LA::Matrix M(d,2),S;
+  typename LA::Vector b(d), lambda(2), c;
+  FT D;
 
   /* init $d \times 2$ - matrix |M| and $d$ - vector |b| */
-  for (i = 0; i < d; i++) { 
-    M(i,0) = t1.cartesian(i) - s1.cartesian(i); 
-    M(i,1) = s2.cartesian(i) - t2.cartesian(i); 
-    b[i]   = s2.cartesian(i) - s1.cartesian(i); 
+  for (i = 0; i < d; i++) {
+    M(i,0) = t1.cartesian(i) - s1.cartesian(i);
+    M(i,1) = s2.cartesian(i) - t2.cartesian(i);
+    b[i]   = s2.cartesian(i) - s1.cartesian(i);
   }
 
   if (LA::linear_solver(M,b,lambda,D,S,c)) {
     if ( S.column_dimension()>0 ) return LINE;
     l1 = lambda[0]; l2 = lambda[1];
-    p = s1 + l1 * (t1 - s1); 
+    p = s1 + l1 * (t1 - s1);
 #ifdef CGAL_CHECK_EXACTNESS
     Line_d L1(s1,t1), L2(s2,t2);
     CGAL_assertion(L1.has_on(p)&&L2.has_on(p));
 #endif
-    return POINT; 
+    return POINT;
   }
-  return NO_INTERSECTION; 
+  return NO_INTERSECTION;
 }
 };
 
-/*{\Manpage {Line_hyperplane_intersectionCd}{R} 
+/*{\Manpage {Line_hyperplane_intersectionCd}{R}
 {intersecting a line and a hyperplane}}*/
 
-template <class R> 
+template <class R>
 class Line_hyperplane_intersectionCd {
 
 typedef typename R::FT FT;
@@ -89,16 +89,16 @@ public:
 enum Intersection_result { NO_INTERSECTION, POINT, LINE };
 
 Intersection_result operator()(const Point_d& s, const Point_d& t,
-  const Hyperplane_d& h, Point_d& p, FT& lambda) 
+  const Hyperplane_d& h, Point_d& p, FT& lambda)
 /*{\Mfunop returns |NO_INTERSECTION| if the line represented by |s1t1| and the
 hyperplane |h| don't intersect, returns |POINT| if they intersect in a
 unique point, and returns LINE if the line is part of the
 hyperplane. In the |POINT| case the point of intersection is assigned
 to |p|.  Then |p = s1 + lambda * t1-s1|.  \precond the point pair is
 not degenerate.}*/
-{ 
-  CGAL_assertion_msg((h.dimension()==s.dimension() && 
-                      h.dimension()==t.dimension()), 
+{
+  CGAL_assertion_msg((h.dimension()==s.dimension() &&
+                      h.dimension()==t.dimension()),
   "Line_hyperplane_intersection_d: dimensions do not agree.");
 
   int d = h.dimension(),i;
@@ -109,7 +109,7 @@ not degenerate.}*/
   if (s_contained && t_contained) { p = s; return LINE; }
   if (s_contained) { p = s; return POINT; }
   if (t_contained) { p = t; return POINT; }
-  // now the simple cases are done 
+  // now the simple cases are done
 
   FT D = S - T;
   if ( CGAL_NTS is_zero(D) ) return NO_INTERSECTION;
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/intersection_objects_d.h 5.0.3-1/include/CGAL/Kernel_d/intersection_objects_d.h
--- 5.0.2-3/include/CGAL/Kernel_d/intersection_objects_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/intersection_objects_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2002  
+// Copyright (c) 2002
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/intersection_objects_d.h $
-// $Id: intersection_objects_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/intersection_objects_d.h $
+// $Id: intersection_objects_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : ?
 
@@ -33,7 +33,7 @@ protected:
   Point_d _ip;
 public:
   Line_d_Line_d_pair() : _known(false) {}
-  Line_d_Line_d_pair(const Line_d& l1, const Line_d& l2) 
+  Line_d_Line_d_pair(const Line_d& l1, const Line_d& l2)
     : _l1(l1), _l2(l2), _known(false) {}
   Intersection_result intersection_type();
   bool intersection(Point_d& result);
@@ -43,22 +43,22 @@ public:
 template <class R>
 typename Line_d_Line_d_pair<R>::Intersection_result
 Line_d_Line_d_pair<R>::intersection_type()
-{ 
+{
   if (_known) return _result;
   _known = true;
 
   //CGAL_assertion(!_l1.is_degenerate()&&!_l2.is_degenerate());
   typedef typename R::Line_line_intersection_d Int_obj_type;
   Int_obj_type Intersect;
-  FT l1,l2; 
-  typename Int_obj_type::Intersection_result res = 
+  FT l1,l2;
+  typename Int_obj_type::Intersection_result res =
     Intersect(_l1.point(0),_l1.point(1),
               _l2.point(0),_l2.point(1),
               _ip,l1,l2);
 
   if (res == Int_obj_type::LINE)  { return _result = LINE; }
   if (res == Int_obj_type::POINT) { return _result = POINT; }
-  return _result = NO_INTERSECTION; 
+  return _result = NO_INTERSECTION;
 }
 
 template <class R>
@@ -87,10 +87,10 @@ protected:
   Line_d _l; Ray_d _r;
   bool _known;
   Intersection_result _result;
-  Point_d _ip; 
+  Point_d _ip;
 public:
   Line_d_Ray_d_pair() : _known(false) {}
-  Line_d_Ray_d_pair(const Line_d& l, const Ray_d& r) 
+  Line_d_Ray_d_pair(const Line_d& l, const Ray_d& r)
     : _l(l), _r(r), _known(false) {}
   Intersection_result intersection_type();
   bool intersection(Point_d& result);
@@ -100,24 +100,24 @@ public:
 template <class R>
 typename Line_d_Ray_d_pair<R>::Intersection_result
 Line_d_Ray_d_pair<R>::intersection_type()
-{ 
+{
   if (_known) return _result;
   _known = true;
 
   //CGAL_assertion(!_l.is_degenerate()&&!_r.is_degenerate());
   typedef typename R::Line_line_intersection_d Int_obj_type;
   Int_obj_type Intersect;
-  FT l1,l2; 
-  typename Int_obj_type::Intersection_result res = 
+  FT l1,l2;
+  typename Int_obj_type::Intersection_result res =
     Intersect(_l.point(0),_l.point(1),
               _r.point(0),_r.point(1),
               _ip,l1,l2);
 
   if ( res == Int_obj_type::LINE )  { return _result = RAY; }
   if ( res == Int_obj_type::POINT &&
-       l2 >= FT(0) ) 
+       l2 >= FT(0) )
   { return _result = POINT; }
-  return _result = NO_INTERSECTION; 
+  return _result = NO_INTERSECTION;
 }
 
 template <class R>
@@ -146,10 +146,10 @@ protected:
   Line_d _l; Segment_d _s;
   bool _known;
   Intersection_result _result;
-  Point_d _ip; 
+  Point_d _ip;
 public:
   Line_d_Segment_d_pair() : _known(false) {}
-  Line_d_Segment_d_pair(const Line_d& l, const Segment_d& s) 
+  Line_d_Segment_d_pair(const Line_d& l, const Segment_d& s)
     : _l(l), _s(s), _known(false) {}
   Intersection_result intersection_type();
   bool intersection(Point_d& result);
@@ -159,7 +159,7 @@ public:
 template <class R>
 typename Line_d_Segment_d_pair<R>::Intersection_result
 Line_d_Segment_d_pair<R>::intersection_type()
-{ 
+{
   if (_known) return _result;
   _known = true;
 
@@ -169,22 +169,22 @@ Line_d_Segment_d_pair<R>::intersection_t
       _ip = _s.point(0);
       return _result = POINT;
     }
-    return _result = NO_INTERSECTION; 
+    return _result = NO_INTERSECTION;
   }
   // _s not degenerate
   typedef typename R::Line_line_intersection_d Int_obj_type;
   Int_obj_type Intersect;
-  FT l1,l2; 
-  typename Int_obj_type::Intersection_result res = 
+  FT l1,l2;
+  typename Int_obj_type::Intersection_result res =
     Intersect(_l.point(0),_l.point(1),
               _s.point(0),_s.point(1),
               _ip,l1,l2);
 
   if ( res == Int_obj_type::LINE )  { return _result = SEGMENT; }
   if ( res == Int_obj_type::POINT &&
-       FT(0) <= l2 && l2 <= FT(1) ) 
+       FT(0) <= l2 && l2 <= FT(1) )
   { return _result = POINT; }
-  return _result = NO_INTERSECTION; 
+  return _result = NO_INTERSECTION;
 }
 
 template <class R>
@@ -229,7 +229,7 @@ public:
 template <class R>
 typename Ray_d_Ray_d_pair<R>::Intersection_result
 Ray_d_Ray_d_pair<R>::intersection_type()
-{ 
+{
   if (_known) return _result;
   _known = true;
 
@@ -238,22 +238,22 @@ Ray_d_Ray_d_pair<R>::intersection_type()
 
   typedef typename R::Line_line_intersection_d Int_obj_type;
   Int_obj_type Intersect;
-  FT l1,l2; 
-  typename Int_obj_type::Intersection_result res = 
+  FT l1,l2;
+  typename Int_obj_type::Intersection_result res =
     Intersect(_r1.point(0),_r1.point(1),
               _r2.point(0),_r2.point(1),_ip,l1,l2);
 
-  if (res == Int_obj_type::LINE)   
+  if (res == Int_obj_type::LINE)
   {
     if ( _r1.direction() == _r2.direction() ) {
       if ( _r1.has_on(_r2.source()) ) _ir = _r2;
-      else _ir = _r1; 
+      else _ir = _r1;
       return _result = RAY;
     }
     // now oppositely directed:
     if ( _r1.has_on(_r2.source()) ) {
-      if ( _r1.source() != _r2.source() ) 
-      { _is = Segment_d(_r1.source(),_r2.source()); 
+      if ( _r1.source() != _r2.source() )
+      { _is = Segment_d(_r1.source(),_r2.source());
         return _result = SEGMENT; }
       else
       { _ip = _r1.source(); return _result = POINT; }
@@ -262,10 +262,10 @@ Ray_d_Ray_d_pair<R>::intersection_type()
   }
 
 
-  if (res == Int_obj_type::POINT && 
-      FT(0) <= l1 && FT(0) <= l2) 
+  if (res == Int_obj_type::POINT &&
+      FT(0) <= l1 && FT(0) <= l2)
   { return _result = POINT; }
-  return _result = NO_INTERSECTION; 
+  return _result = NO_INTERSECTION;
   // now not parallel
 }
 
@@ -306,7 +306,7 @@ protected:
   Ray_d _r; Segment_d _s;
   bool _known;
   Intersection_result _result;
-  Point_d _ip; Segment_d _is;  
+  Point_d _ip; Segment_d _is;
 public:
   Ray_d_Segment_d_pair() : _known(false) {}
   Ray_d_Segment_d_pair(const Ray_d& r, const Segment_d& s)
@@ -319,29 +319,29 @@ public:
 template <class R>
 typename Ray_d_Segment_d_pair<R>::Intersection_result
 Ray_d_Segment_d_pair<R>::intersection_type()
-{ 
+{
   if (_known) return _result;
   _known = true;
 
   //CGAL_assertion(!_r.is_degenerate());
   if ( _s.is_degenerate() ) {
-    if ( _r.has_on(_s.point(0)) ) 
+    if ( _r.has_on(_s.point(0)) )
     { _ip = _s.point(0); return _result = POINT; }
-    return _result = NO_INTERSECTION; 
+    return _result = NO_INTERSECTION;
   }
   // now s is not degenerate
   typedef typename R::Line_line_intersection_d Int_obj_type;
   Int_obj_type Intersect;
-  FT l1,l2; 
-  typename Int_obj_type::Intersection_result res = 
+  FT l1,l2;
+  typename Int_obj_type::Intersection_result res =
     Intersect(_r.point(0),_r.point(1),
               _s.point(0),_s.point(1),_ip,l1,l2);
 
-  if (res == Int_obj_type::LINE)   
+  if (res == Int_obj_type::LINE)
   {
     Point_d p1 = _s.point(0), p2 = _s.point(1);
     if ( _s.direction() != _r.direction() ) std::swap(p1,p2);
-    // now order p2 after p1 on r underlying line 
+    // now order p2 after p1 on r underlying line
     typename R::Position_on_line_d pos;
     pos(p1, _r.point(0),_r.point(1), l1);
     pos(p2, _r.point(0),_r.point(1), l2);
@@ -353,10 +353,10 @@ Ray_d_Segment_d_pair<R>::intersection_ty
   }
 
 
-  if (res == Int_obj_type::POINT && 
-      FT(0) <= l1 && FT(0) <= l2 && l2 <= FT(1)) 
+  if (res == Int_obj_type::POINT &&
+      FT(0) <= l1 && FT(0) <= l2 && l2 <= FT(1))
   { return _result = POINT; }
-  return _result = NO_INTERSECTION; 
+  return _result = NO_INTERSECTION;
   // now not parallel
 }
 
@@ -389,7 +389,7 @@ protected:
   Segment_d _s1,_s2;
   bool _known;
   Intersection_result _result;
-  Point_d _ip; Segment_d _is;  
+  Point_d _ip; Segment_d _is;
 public:
   Segment_d_Segment_d_pair() : _known(false) {}
   Segment_d_Segment_d_pair(const Segment_d& s1, const Segment_d& s2)
@@ -402,37 +402,37 @@ public:
 template <class R>
 typename Segment_d_Segment_d_pair<R>::Intersection_result
 Segment_d_Segment_d_pair<R>::intersection_type()
-{ 
+{
   if (_known) return _result;
   _known = true;
 
   if ( _s1.is_degenerate() ) {
     if ( _s2.is_degenerate() ) {
-      if ( _s1.point(0) == _s2.point(0) ) 
+      if ( _s1.point(0) == _s2.point(0) )
       { _ip = _s1.point(0); return _result = POINT; }
       else { return _result = NO_INTERSECTION; }
     } else {
-      if ( _s2.has_on(_s1.point(0)) ) 
+      if ( _s2.has_on(_s1.point(0)) )
       { _ip = _s1.point(0); return _result = POINT; }
       else { return _result = NO_INTERSECTION; }
     }
   }
-  if ( _s2.is_degenerate() ) { 
+  if ( _s2.is_degenerate() ) {
     CGAL_assertion( !_s1.is_degenerate() );
-    if ( _s1.has_on(_s2.point(0)) ) 
+    if ( _s1.has_on(_s2.point(0)) )
     { _ip = _s2.point(0); return _result = POINT; }
     else { return _result = NO_INTERSECTION; }
-  }  
+  }
 
   // now s1,s2 not degenerate
   typedef typename R::Line_line_intersection_d Int_obj_type;
   Int_obj_type Intersect;
-  FT l1,l2; 
-  typename Int_obj_type::Intersection_result res = 
+  FT l1,l2;
+  typename Int_obj_type::Intersection_result res =
     Intersect(_s1.point(0),_s1.point(1),
               _s2.point(0),_s2.point(1),_ip,l1,l2);
 
-  if (res == Int_obj_type::LINE)   
+  if (res == Int_obj_type::LINE)
   { Point_d p1 = (_s1.min)(), p2 = (_s1.max)();
     Point_d q1 = (_s2.min)(), q2 = (_s2.max)();
     Point_d s,t;
@@ -452,11 +452,11 @@ Segment_d_Segment_d_pair<R>::intersectio
   }
 
 
-  if ( res == Int_obj_type::POINT && 
-       FT(0) <= l1 && l1 <= FT(1) && 
-       FT(0) <= l2 && l2 <= FT(1) ) 
+  if ( res == Int_obj_type::POINT &&
+       FT(0) <= l1 && l1 <= FT(1) &&
+       FT(0) <= l2 && l2 <= FT(1) )
   { return _result = POINT; }
-  return _result = NO_INTERSECTION; 
+  return _result = NO_INTERSECTION;
 }
 
 template <class R>
@@ -492,7 +492,7 @@ protected:
   Point_d _ip;
 public:
   Line_d_Hyperplane_d_pair() : _known(false) {}
-  Line_d_Hyperplane_d_pair(const Line_d& l, const Hyperplane_d& h) 
+  Line_d_Hyperplane_d_pair(const Line_d& l, const Hyperplane_d& h)
    : _l(l), _h(h), _known(false) {}
 
   Intersection_result intersection_type();
@@ -506,16 +506,16 @@ Line_d_Hyperplane_d_pair<R>::intersectio
 { if (_known) return _result;
   _known = true;
 
-  // CGAL_assertion_msg((!_l.is_degenerate())); 
+  // CGAL_assertion_msg((!_l.is_degenerate()));
   typedef typename R::Line_hyperplane_intersection_d Int_obj_type;
   Int_obj_type Intersect;
-  FT lambda; 
-  typename Int_obj_type::Intersection_result res = 
+  FT lambda;
+  typename Int_obj_type::Intersection_result res =
     Intersect(_l.point(0),_l.point(1),_h,_ip,lambda);
 
   if (res == Int_obj_type::LINE)  { return _result = LINE; }
   if (res == Int_obj_type::POINT) { return _result = POINT; }
-  return _result = NO_INTERSECTION; 
+  return _result = NO_INTERSECTION;
 }
 
 template <class R>
@@ -546,10 +546,10 @@ protected:
   Ray_d _r; Hyperplane_d _h;
   bool                    _known;
   Intersection_result     _result;
-  Point_d                 _ip;  
+  Point_d                 _ip;
 public:
   Ray_d_Hyperplane_d_pair() : _known(false) {}
-  Ray_d_Hyperplane_d_pair(const Ray_d& r, const Hyperplane_d& h) 
+  Ray_d_Hyperplane_d_pair(const Ray_d& r, const Hyperplane_d& h)
    : _r(r), _h(h), _known(false) {}
   Intersection_result intersection_type();
   bool intersection(Point_d& result);
@@ -559,7 +559,7 @@ public:
 template <class R>
 typename Ray_d_Hyperplane_d_pair<R>::Intersection_result
 Ray_d_Hyperplane_d_pair<R>::intersection_type()
-{ 
+{
   if (_known) return _result;
   _known = true;
 
@@ -567,14 +567,14 @@ Ray_d_Hyperplane_d_pair<R>::intersection
   typedef typename R::Line_hyperplane_intersection_d Int_obj_type;
   Int_obj_type Intersect;
   FT lambda = 0; // initialize to stop compiler warning
-  typename Int_obj_type::Intersection_result res = 
+  typename Int_obj_type::Intersection_result res =
     Intersect(_r.point(0),_r.point(1),_h,_ip,lambda);
 
-  if ( res == Int_obj_type::POINT && FT(0) <= lambda ) 
+  if ( res == Int_obj_type::POINT && FT(0) <= lambda )
   { return _result = POINT; }
-  if ( res == Int_obj_type::LINE )  
+  if ( res == Int_obj_type::LINE )
   { return _result = RAY; }
-  return _result = NO_INTERSECTION; 
+  return _result = NO_INTERSECTION;
 }
 
 template <class R>
@@ -607,7 +607,7 @@ protected:
   Hyperplane_d _h;
   bool                    _known;
   Intersection_result     _result;
-  Point_d                 _ip;  
+  Point_d                 _ip;
 public:
   /*{\Mcreation 4}*/
   Segment_d_Hyperplane_d_pair() : _known(false) {}
@@ -623,28 +623,28 @@ public:
 template <class R>
 typename Segment_d_Hyperplane_d_pair<R>::Intersection_result
 Segment_d_Hyperplane_d_pair<R>::intersection_type()
-{ 
+{
   if (_known) return _result;
   _known = true;
 
   if ( _s.is_degenerate() ) {
-    if ( _h.has_on(_s.point(0)) ) 
-    { _ip = _s.point(0); return _result = POINT; } 
+    if ( _h.has_on(_s.point(0)) )
+    { _ip = _s.point(0); return _result = POINT; }
     else { return _result = NO_INTERSECTION; }
   }
 
   typedef typename R::Line_hyperplane_intersection_d Int_obj_type;
   Int_obj_type Intersect;
-  FT lambda; 
-  typename Int_obj_type::Intersection_result res = 
+  FT lambda;
+  typename Int_obj_type::Intersection_result res =
     Intersect(_s.point(0),_s.point(1),_h,_ip,lambda);
 
   if ( res == Int_obj_type::LINE )
   { return _result = SEGMENT; }
-  if ( res == Int_obj_type::POINT && 
-       FT(0) <= lambda && lambda <= FT(1) ) 
+  if ( res == Int_obj_type::POINT &&
+       FT(0) <= lambda && lambda <= FT(1) )
   { return _result = POINT; }
-  return _result = NO_INTERSECTION; 
+  return _result = NO_INTERSECTION;
 }
 
 template <class R>
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/intersection_objectsHd.h 5.0.3-1/include/CGAL/Kernel_d/intersection_objectsHd.h
--- 5.0.2-3/include/CGAL/Kernel_d/intersection_objectsHd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/intersection_objectsHd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2002  
+// Copyright (c) 2002
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/intersection_objectsHd.h $
-// $Id: intersection_objectsHd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/intersection_objectsHd.h $
+// $Id: intersection_objectsHd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : ?
 #ifndef CGAL_INTERSECTION_OBJECTSHD_H
@@ -22,7 +22,7 @@ namespace CGAL {
 
 /*{\Manpage{Line_line_intersectionHd}{R}{intersecting two lines}}*/
 
-template <class R> 
+template <class R>
 class Line_line_intersectionHd {
 
 typedef typename R::RT RT;
@@ -36,52 +36,52 @@ enum Intersection_result { NO_INTERSECTI
 Intersection_result operator()(
   const Point_d& s1, const Point_d& t1,
   const Point_d& s2, const Point_d& t2,
-  Point_d& p, FT& l1, FT& l2) 
+  Point_d& p, FT& l1, FT& l2)
 /*{\Mfunop returns |NO_INTERSECTION| if the lines which are represented by |s1t1|
 and |s2t2| don't intersect, returns |POINT| if they intersect in a
 unique point, and returns LINE if they are identical. In the |POINT|
 case the point of intersection is assigned to |p|.  Then |p = s1 + l1
 * t1-s1| and |p = s2 + l2 * t2-s2|. \precond none of the point pairs
 is degenerate.}*/
-{ 
-  int d = s1.dimension(),i; 
+{
+  int d = s1.dimension(),i;
   CGAL_assertion_msg(d==s2.dimension(),
-    "intersection: dimensions disagree!"); 
-  typename LA::Matrix M(d,2),S; 
-  typename LA::Vector b(d), lambda(2), c; 
-  RT D; 
-  
-  RT s1w = s1.homogeneous(d); 
-  RT t1w = t1.homogeneous(d); 
-  RT s2w = s2.homogeneous(d); 
-  RT t2w = t2.homogeneous(d); 
-  RT g1w = s1w*t1w; 
-  RT g2w = s2w*t2w; 
-  RT t12w = t1w*t2w; 
+    "intersection: dimensions disagree!");
+  typename LA::Matrix M(d,2),S;
+  typename LA::Vector b(d), lambda(2), c;
+  RT D;
+
+  RT s1w = s1.homogeneous(d);
+  RT t1w = t1.homogeneous(d);
+  RT s2w = s2.homogeneous(d);
+  RT t2w = t2.homogeneous(d);
+  RT g1w = s1w*t1w;
+  RT g2w = s2w*t2w;
+  RT t12w = t1w*t2w;
 
   /* init $d \times 2$ - matrix |M| and $d$ - vector |b| */
-  for (i = 0; i < d; i++) { 
-    M(i,0) = g2w * (t1.homogeneous(i) * s1w - s1.homogeneous(i) * t1w); 
-    M(i,1) = g1w * (s2.homogeneous(i) * t2w - t2.homogeneous(i) * s2w); 
-    b[i]   = t12w * (s2.homogeneous(i) * s1w - s1.homogeneous(i) * s2w); 
+  for (i = 0; i < d; i++) {
+    M(i,0) = g2w * (t1.homogeneous(i) * s1w - s1.homogeneous(i) * t1w);
+    M(i,1) = g1w * (s2.homogeneous(i) * t2w - t2.homogeneous(i) * s2w);
+    b[i]   = t12w * (s2.homogeneous(i) * s1w - s1.homogeneous(i) * s2w);
   }
 
-  if (LA::linear_solver(M,b,lambda,D,S,c)) { 
+  if (LA::linear_solver(M,b,lambda,D,S,c)) {
     if (S.column_dimension()>0) return LINE;
     l1 = R::make_FT(lambda[0],D);
     l2 = R::make_FT(lambda[1],D);
     p = s1 + l1 * (t1 - s1);
-    return POINT; 
+    return POINT;
   }
-  return NO_INTERSECTION; 
+  return NO_INTERSECTION;
 }
 
 };
 
-/*{\Manpage {Line_hyperplane_intersectionHd}{R} 
+/*{\Manpage {Line_hyperplane_intersectionHd}{R}
 {intersecting a line and a hyperplane}}*/
 
-template <class R> 
+template <class R>
 class Line_hyperplane_intersectionHd {
 typedef typename R::RT RT;
 typedef typename R::FT FT;
@@ -93,16 +93,16 @@ public:
 enum Intersection_result { NO_INTERSECTION, POINT, LINE };
 
 Intersection_result operator()(const Point_d& s, const Point_d& t,
-  const Hyperplane_d& h, Point_d& p, FT& lambda) 
+  const Hyperplane_d& h, Point_d& p, FT& lambda)
 /*{\Mfunop returns |NO_INTERSECTION| if the line represented by |s1t1| and the
 hyperplane |h| don't intersect, returns |POINT| if they intersect in a
 unique point, and returns LINE if the line is part of the
 hyperplane. In the |POINT| case the point of intersection is assigned
 to |p|.  Then |p = s1 + lambda * t1-s1|.  \precond the point pair is
 not degenerate.}*/
-{ 
-  CGAL_assertion_msg((h.dimension()==s.dimension() && 
-                      h.dimension()==t.dimension()), 
+{
+  CGAL_assertion_msg((h.dimension()==s.dimension() &&
+                      h.dimension()==t.dimension()),
   "Line_hyperplane_intersection_d: dimensions do not agree.");
 
   int d = h.dimension(),i;
@@ -111,19 +111,19 @@ not degenerate.}*/
     S += h[i]*s.homogeneous(i);
     T += h[i]*t.homogeneous(i);
   }
-  bool s_contained = CGAL_NTS is_zero(S), 
+  bool s_contained = CGAL_NTS is_zero(S),
        t_contained = CGAL_NTS is_zero(T);
   if (s_contained && t_contained) { p = s; return LINE; }
   if (s_contained) { p = s; return POINT; }
   if (t_contained) { p = t; return POINT; }
-  // now the simple cases are done 
+  // now the simple cases are done
 
   RT D = S * t.homogeneous(d) - T * s.homogeneous(d);
   if (CGAL_NTS is_zero(D)) return NO_INTERSECTION;
 
   typename LA::Vector homog(d + 1);
   for (i = 0; i < d; ++i)
-    homog[i] = S * t.homogeneous(i) - T * s.homogeneous(i); 
+    homog[i] = S * t.homogeneous(i) - T * s.homogeneous(i);
   homog[d] = D;
   p = Point_d(d,homog.begin(),homog.end());
   lambda = R::make_FT(S * t.homogeneous(d), D);
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Interval_linear_algebra.h 5.0.3-1/include/CGAL/Kernel_d/Interval_linear_algebra.h
--- 5.0.2-3/include/CGAL/Kernel_d/Interval_linear_algebra.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Interval_linear_algebra.h	2020-08-01 19:02:28.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Interval_linear_algebra.h $
-// $Id: Interval_linear_algebra.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Interval_linear_algebra.h $
+// $Id: Interval_linear_algebra.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)    : Samuel Hornus, Olivier Devillers
@@ -34,41 +34,41 @@ sign_of_determinantDxD_with_interval_ari
     int curdim = M.dimension().first;
     for(int col = 0; col < curdim; ++col)
     {
-	int pivot_line = -1;
-	NT pivot = 0.0;
-	for(int l = col; l < curdim; ++l)
-	{
-	    NT candidate = CGAL::abs(M[l][col]);
-	    if( CGAL::certainly(0.0 < candidate) )
-		if( pivot.inf() < candidate.inf() )
-		{
-		    pivot_line = l;
-		    pivot = candidate;
-		}
-	}
-	if( -1 == pivot_line )
-	{
-	    throw CGAL::Uncertain_conversion_exception("undecidable interval computation of determinant");
-	}
-	// if the pivot value is negative, invert the sign
-	if( M[pivot_line][col] < 0.0 )
-	    sign = - sign;
-	// put the pivot cell on the diagonal
-	if( pivot_line > col )
-	{
-	    std::swap(M[col], M[pivot_line]); // this takes constant time with std::vector<>
-	    sign = - sign;
-	}
-	// using matrix-line operations, set zero in all cells below the pivot cell.
-	// This costs roughly (curdim-col-1)^2 mults and adds, because we don't actually
-	// compute the  zeros below the pivot cell
-	NT denom = NT(1.0) / M[col][col];
-	for(int line = col + 1; line < curdim; ++line)
-	{
-	    NT numer = M[line][col] * denom;
-	    for (int c = col + 1; c < curdim; ++c)
-		M[line][c] -= numer * M[col][c];
-	}
+        int pivot_line = -1;
+        NT pivot = 0.0;
+        for(int l = col; l < curdim; ++l)
+        {
+            NT candidate = CGAL::abs(M[l][col]);
+            if( CGAL::certainly(0.0 < candidate) )
+                if( pivot.inf() < candidate.inf() )
+                {
+                    pivot_line = l;
+                    pivot = candidate;
+                }
+        }
+        if( -1 == pivot_line )
+        {
+            throw CGAL::Uncertain_conversion_exception("undecidable interval computation of determinant");
+        }
+        // if the pivot value is negative, invert the sign
+        if( M[pivot_line][col] < 0.0 )
+            sign = - sign;
+        // put the pivot cell on the diagonal
+        if( pivot_line > col )
+        {
+            std::swap(M[col], M[pivot_line]); // this takes constant time with std::vector<>
+            sign = - sign;
+        }
+        // using matrix-line operations, set zero in all cells below the pivot cell.
+        // This costs roughly (curdim-col-1)^2 mults and adds, because we don't actually
+        // compute the  zeros below the pivot cell
+        NT denom = NT(1.0) / M[col][col];
+        for(int line = col + 1; line < curdim; ++line)
+        {
+            NT numer = M[line][col] * denom;
+            for (int c = col + 1; c < curdim; ++c)
+                M[line][c] -= numer * M[col][c];
+        }
     }
     return Sign(sign);
 }
@@ -82,24 +82,24 @@ Linear_algebraCd<Interval_nt_advanced>::
 {
     switch( M.dimension().first )
     {
-	case 2:
-	    return CGAL::sign_of_determinant( M(0,0), M(0,1),
-		    M(1,0), M(1,1));
-	    break;
-	case 3:
-	    return CGAL::sign_of_determinant( M(0,0), M(0,1), M(0,2),
-		    M(1,0), M(1,1), M(1,2),
-		    M(2,0), M(2,1), M(2,2));
-	    break;
-	case 4:
-	    return CGAL::sign_of_determinant( M(0,0), M(0,1), M(0,2), M(0,3),
-		    M(1,0), M(1,1), M(1,2), M(1,3),
-		    M(2,0), M(2,1), M(2,2), M(2,3),
-		    M(3,0), M(3,1), M(3,2), M(3,3));
-	    break;
-	default:
-	    return internal::sign_of_determinantDxD_with_interval_arithmetic(const_cast<Matrix &>(M));
-	    break;
+        case 2:
+            return CGAL::sign_of_determinant( M(0,0), M(0,1),
+                    M(1,0), M(1,1));
+            break;
+        case 3:
+            return CGAL::sign_of_determinant( M(0,0), M(0,1), M(0,2),
+                    M(1,0), M(1,1), M(1,2),
+                    M(2,0), M(2,1), M(2,2));
+            break;
+        case 4:
+            return CGAL::sign_of_determinant( M(0,0), M(0,1), M(0,2), M(0,3),
+                    M(1,0), M(1,1), M(1,2), M(1,3),
+                    M(2,0), M(2,1), M(2,2), M(2,3),
+                    M(3,0), M(3,1), M(3,2), M(3,3));
+            break;
+        default:
+            return internal::sign_of_determinantDxD_with_interval_arithmetic(const_cast<Matrix &>(M));
+            break;
     }
 }
 
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Iso_box_d.h 5.0.3-1/include/CGAL/Kernel_d/Iso_box_d.h
--- 5.0.2-3/include/CGAL/Kernel_d/Iso_box_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Iso_box_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2002  
+// Copyright (c) 2002
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Iso_box_d.h $
-// $Id: Iso_box_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Iso_box_d.h $
+// $Id: Iso_box_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Authors       : Hans Tangelder <hanst@cs.uu.nl>, Michael Hoffmann
 
@@ -19,7 +19,7 @@
 
 #include <CGAL/basic.h>
 #include <CGAL/Handle_for.h>
-#include <CGAL/representation_tags.h> 
+#include <CGAL/representation_tags.h>
 #include <CGAL/Dimension.h>
 #include <functional>
 #include <algorithm>
@@ -27,13 +27,13 @@
 #include <cstddef>
 
 namespace CGAL {
-  
+
   namespace Kernel_d {
     struct Begin {};
     struct End {};
     struct Cartesian_end {};
   } // namespace Kernel_d
-  
+
   template < typename Point_, typename Functor_ >
   struct Cartesian_iterator {
     typedef Point_                                    Point;
@@ -46,71 +46,71 @@ namespace CGAL {
     typedef value_type*                    pointer;
     typedef std::ptrdiff_t                 difference_type;
     typedef std::input_iterator_tag        iterator_category;
-      
+
   protected:
-      
+
     Iterator pb, qb;
     Functor f;
-      
+
   public:
-      
+
     Cartesian_iterator(const Point& p, const Point& q, Kernel_d::Begin)
       : pb(p.cartesian_begin()), qb(q.cartesian_begin())
     {}
-    
+
     Cartesian_iterator(const Point& p, const Point& q, Kernel_d::End)
       : pb(p.cartesian_end()), qb(q.cartesian_end())
     {}
-    
+
     Cartesian_iterator(const Point& p, const Point& q, Kernel_d::Cartesian_end)
       : pb(p.cartesian_end()), qb(q.cartesian_end())
     {}
-    
+
     Cartesian_iterator(const Point& p, const Point& q, const Functor& f_,
-		       Kernel_d::Begin) 
-      : pb(p.cartesian_begin()), qb(q.cartesian_begin()), f(f_) 
+                       Kernel_d::Begin)
+      : pb(p.cartesian_begin()), qb(q.cartesian_begin()), f(f_)
     {}
-      
+
     Cartesian_iterator(const Point& p, const Point& q, const Functor& f_,
-		       Kernel_d::End) 
-      : pb(p.cartesian_end()), qb(q.cartesian_end()), f(f_) 
+                       Kernel_d::End)
+      : pb(p.cartesian_end()), qb(q.cartesian_end()), f(f_)
     {}
-      
+
     Cartesian_iterator(const Point& p, const Point& q, const Functor& f_,
-		       Kernel_d::Cartesian_end) 
-      : pb(p.cartesian_end()), qb(q.cartesian_end()), f(f_) 
+                       Kernel_d::Cartesian_end)
+      : pb(p.cartesian_end()), qb(q.cartesian_end()), f(f_)
     {}
-      
+
     Self& operator++() { ++pb; ++qb; return *this; }
-      
+
     Self operator++(int) {
       Self tmp(*this);
       ++(*this);
       return tmp;
     }
-    
+
     value_type operator*()  const { return f(*pb, *qb); }
     pointer    operator->() const { return &(**this); }
-      
+
     const Functor& functor() const { return f; }
     Iterator base_p() const { return pb; }
     Iterator base_q() const { return qb; }
   };
-  
+
   template < typename Iterator, typename Functor > inline
-  bool operator==(const Cartesian_iterator<Iterator,Functor>& x, 
-		  const Cartesian_iterator<Iterator,Functor>& y)
+  bool operator==(const Cartesian_iterator<Iterator,Functor>& x,
+                  const Cartesian_iterator<Iterator,Functor>& y)
   {
-    return x.base_p() == y.base_p() && x.base_q() == y.base_q(); 
+    return x.base_p() == y.base_p() && x.base_q() == y.base_q();
   }
-  
+
   template < typename Iterator, typename Functor > inline
-  bool operator!=(const Cartesian_iterator<Iterator,Functor>& x, 
-		  const Cartesian_iterator<Iterator,Functor>& y)
+  bool operator!=(const Cartesian_iterator<Iterator,Functor>& x,
+                  const Cartesian_iterator<Iterator,Functor>& y)
   {
     return ! (x == y);
   }
-  
+
   template < typename Point_, typename Functor_ >
   struct Homogeneous_iterator {
     typedef Point_                                      Point;
@@ -123,109 +123,109 @@ namespace CGAL {
     typedef value_type*                    pointer;
     typedef std::ptrdiff_t                 difference_type;
     typedef std::input_iterator_tag        iterator_category;
-      
+
   protected:
-      
+
     Iterator pb, qb;
     Functor f;
     typedef typename Kernel_traits<Point>::Kernel::RT RT;
     RT hp, hq; // homogenizing coordinates
-    
+
   public:
-      
+
     Homogeneous_iterator(const Point& p, const Point& q, Kernel_d::Begin)
       : pb(p.homogeneous_begin()), qb(q.homogeneous_begin()),
-	hp(p.homogeneous(p.dimension())), hq(q.homogeneous(q.dimension()))
+        hp(p.homogeneous(p.dimension())), hq(q.homogeneous(q.dimension()))
     {}
-    
+
     Homogeneous_iterator(const Point& p, const Point& q, Kernel_d::End)
       : pb(p.homogeneous_end()), qb(q.homogeneous_end()),
-	hp(p.homogeneous(p.dimension())), hq(q.homogeneous(q.dimension()))
+        hp(p.homogeneous(p.dimension())), hq(q.homogeneous(q.dimension()))
     {}
-    
-    Homogeneous_iterator(const Point& p, const Point& q, 
-			 Kernel_d::Cartesian_end)
+
+    Homogeneous_iterator(const Point& p, const Point& q,
+                         Kernel_d::Cartesian_end)
       : pb(p.homogeneous_end()), qb(q.homogeneous_end()),
-	hp(p.homogeneous(p.dimension())), hq(q.homogeneous(q.dimension()))
+        hp(p.homogeneous(p.dimension())), hq(q.homogeneous(q.dimension()))
     {
       --pb; --qb;
     }
-    
+
     Homogeneous_iterator(const Point& p, const Point& q, const Functor& f_,
-			 Kernel_d::Begin) 
+                         Kernel_d::Begin)
       : pb(p.homogeneous_begin()), qb(q.homogeneous_begin()), f(f_),
-	hp(p.homogeneous(p.dimension())), hq(q.homogeneous(q.dimension()))
+        hp(p.homogeneous(p.dimension())), hq(q.homogeneous(q.dimension()))
     {}
-    
+
     Homogeneous_iterator(const Point& p, const Point& q, const Functor& f_,
-			 Kernel_d::End) 
+                         Kernel_d::End)
       : pb(p.homogeneous_end()), qb(q.homogeneous_end()), f(f_),
-	hp(p.homogeneous(p.dimension())), hq(q.homogeneous(q.dimension()))
+        hp(p.homogeneous(p.dimension())), hq(q.homogeneous(q.dimension()))
     {}
-      
+
     Homogeneous_iterator(const Point& p, const Point& q, const Functor& f_,
-			 Kernel_d::Cartesian_end) 
+                         Kernel_d::Cartesian_end)
       : pb(p.homogeneous_end()), qb(q.homogeneous_end()), f(f_),
-	hp(p.homogeneous(p.dimension())), hq(q.homogeneous(q.dimension()))
+        hp(p.homogeneous(p.dimension())), hq(q.homogeneous(q.dimension()))
     {
       --pb; --qb;
     }
-      
+
     Self& operator++() { ++pb; ++qb; return *this; }
-      
+
     Self operator++(int) {
       Self tmp(*this);
       ++(*this);
       return tmp;
     }
-    
+
     value_type operator*()  const { return f(*pb * hq, *qb * hp); }
     pointer    operator->() const { return &(**this); }
-      
+
     const Functor& functor() const { return f; }
     Iterator base_p() const { return pb; }
     Iterator base_q() const { return qb; }
   };
-  
+
   template < typename Iterator, typename Functor > inline
-  bool operator==(const Homogeneous_iterator<Iterator,Functor>& x, 
-		  const Homogeneous_iterator<Iterator,Functor>& y)
+  bool operator==(const Homogeneous_iterator<Iterator,Functor>& x,
+                  const Homogeneous_iterator<Iterator,Functor>& y)
   {
-    return x.base_p() == y.base_p() && x.base_q() == y.base_q(); 
+    return x.base_p() == y.base_p() && x.base_q() == y.base_q();
   }
-  
+
   template < typename Iterator, typename Functor > inline
-  bool operator!=(const Homogeneous_iterator<Iterator,Functor>& x, 
-		  const Homogeneous_iterator<Iterator,Functor>& y)
+  bool operator!=(const Homogeneous_iterator<Iterator,Functor>& x,
+                  const Homogeneous_iterator<Iterator,Functor>& y)
   {
     return ! (x == y);
   }
-  
+
   template < typename Kernel_ > class Iso_box_d;
-  
+
   namespace Kernel_d {
 
     template < typename RepTag > struct Coordinate_iterator;
-    
+
     template <> struct Coordinate_iterator<Cartesian_tag> {
-      template < typename Point, typename Functor > 
+      template < typename Point, typename Functor >
       struct Iterator {
-	typedef Cartesian_iterator<Point,Functor>  type;
+        typedef Cartesian_iterator<Point,Functor>  type;
       };
     };
-    
+
     template <> struct Coordinate_iterator<Homogeneous_tag> {
-      template < typename Point, typename Functor > 
+      template < typename Point, typename Functor >
       struct Iterator {
-	typedef Homogeneous_iterator<Point,Functor>  type;
+        typedef Homogeneous_iterator<Point,Functor>  type;
       };
     };
 
-    template < typename Kernel_ > 
+    template < typename Kernel_ >
     struct Iso_box_d_rep {
       typedef Kernel_                   Kernel;
       friend class Iso_box_d<Kernel>;
-      
+
     protected:
 
       typedef typename Kernel::Point_d  Point_d;
@@ -234,26 +234,26 @@ namespace CGAL {
     public:
 
       Iso_box_d_rep() {}
-      
+
       template < typename InputIteratorI, typename InputIteratorII >
       Iso_box_d_rep(int dim,
-		    InputIteratorI b1, InputIteratorI e1,
-		    InputIteratorII b2, InputIteratorII e2)
-	: lower(dim, b1, e1), upper(dim, b2, e2)
+                    InputIteratorI b1, InputIteratorI e1,
+                    InputIteratorII b2, InputIteratorII e2)
+        : lower(dim, b1, e1), upper(dim, b2, e2)
       {}
-      
+
     };
 
   } // namespace Kernel_d
 
-  template < typename Kernel_ > 
-  class Iso_box_d : public Handle_for< Kernel_d::Iso_box_d_rep<Kernel_> > 
-  { 
+  template < typename Kernel_ >
+  class Iso_box_d : public Handle_for< Kernel_d::Iso_box_d_rep<Kernel_> >
+  {
 
   public:
     typedef Kernel_                   Kernel;
     typedef Kernel_                   R;
-    
+
   protected:
 
     typedef Kernel_d::Iso_box_d_rep<Kernel>  Rep;
@@ -266,99 +266,99 @@ namespace CGAL {
     typedef typename Kernel::FT       FT;
     typedef typename Kernel::Point_d  Point_d;
     typedef typename Kernel::Rep_tag  Rep_tag;
-   
+
     typedef CGAL::Kernel_d::Coordinate_iterator<Rep_tag>           CIRT;
     typedef typename CIRT::template Iterator<Point_d,Min<RT> >::type  MinIter;
     typedef typename CIRT::template Iterator<Point_d,Max<RT> >::type  MaxIter;
 
-    typedef Kernel_d::Begin            Begin; 
-    typedef Kernel_d::End              End; 
-    typedef Kernel_d::Cartesian_end    Cartesian_end; 
+    typedef Kernel_d::Begin            Begin;
+    typedef Kernel_d::End              End;
+    typedef Kernel_d::Cartesian_end    Cartesian_end;
 
     RT volume_nominator() const
     {
       typedef typename CIRT::template Iterator<Point_d,std::minus<RT> >::type
-	      Iter;
+              Iter;
       Iter b(ptr()->upper, ptr()->lower, Begin());
       Iter e(ptr()->upper, ptr()->lower, Cartesian_end());
       return std::accumulate(b, e, RT(1), std::multiplies<RT>());
     }
-    
+
     RT volume_denominator() const
     {
-      RT den = 
-	ptr()->lower.homogeneous(dimension()) * 
-	ptr()->upper.homogeneous(dimension());
+      RT den =
+        ptr()->lower.homogeneous(dimension()) *
+        ptr()->upper.homogeneous(dimension());
       RT prod = den;
       for (int i = 1; i < dimension(); ++i)
-	prod *= den;
+        prod *= den;
       return prod;
     }
-    
+
     FT volume(Homogeneous_tag) const
-    { 
+    {
       return FT(volume_nominator(), volume_denominator());
     }
-    
+
     FT volume(Cartesian_tag) const
-    { 
+    {
       return volume_nominator();
     }
-    
+
 public:
 
     typedef CGAL::Dynamic_dimension_tag Ambient_dimension;
     typedef CGAL::Dynamic_dimension_tag Feature_dimension;
 
     Iso_box_d() {}
-    
+
     Iso_box_d(const Point_d& p, const Point_d& q)
-      : Base(Rep(p.dimension(), 
-		 MinIter(p, q, Begin()), MinIter(p, q, End()),
-		 MaxIter(p, q, Begin()), MaxIter(p, q, End())))
-    { 
+      : Base(Rep(p.dimension(),
+                 MinIter(p, q, Begin()), MinIter(p, q, End()),
+                 MaxIter(p, q, Begin()), MaxIter(p, q, End())))
+    {
       CGAL_precondition(p.dimension() == q.dimension());
     }
-    
+
     Bounded_side bounded_side(const Point_d& p) const
-    { 
+    {
       CGAL_precondition(p.dimension() == dimension());
       typedef typename CIRT::template Iterator<Point_d,Compare<RT> >::type
-	      Iter;
-      
+              Iter;
+
       Iter il(p, ptr()->lower, Begin());
       Iter ilend(p, ptr()->lower, Cartesian_end());
       Iter iu(p, ptr()->upper, Begin());
       CGAL_assertion_code(Iter iuend(p, ptr()->upper, Cartesian_end()));
-      
+
       for (; il != ilend; ++il, ++iu) {
-	CGAL_assertion(iu != iuend);
-	Comparison_result low = *il;
-	Comparison_result upp = *iu;
-	if (low == LARGER && upp == SMALLER) continue;
-	if (low == SMALLER || upp == LARGER) return ON_UNBOUNDED_SIDE;
-	return ON_BOUNDARY;
+        CGAL_assertion(iu != iuend);
+        Comparison_result low = *il;
+        Comparison_result upp = *iu;
+        if (low == LARGER && upp == SMALLER) continue;
+        if (low == SMALLER || upp == LARGER) return ON_UNBOUNDED_SIDE;
+        return ON_BOUNDARY;
       }
       return ON_BOUNDED_SIDE;
     }
 
     bool has_on_bounded_side(const Point_d& p) const
-    { 
+    {
       return (bounded_side(p)==ON_BOUNDED_SIDE);
-    } 
+    }
 
     bool has_on_unbounded_side(const Point_d& p) const
     {
-      return (bounded_side(p)==ON_UNBOUNDED_SIDE); 
-    } 
+      return (bounded_side(p)==ON_UNBOUNDED_SIDE);
+    }
 
     bool has_on_boundary(const Point_d& p) const
     {
-      return (bounded_side(p)==ON_BOUNDARY); 
-    } 
+      return (bounded_side(p)==ON_BOUNDARY);
+    }
 
     int dimension() const { return ptr()->lower.dimension();}
-    
+
     // FIXME!
     FT min_coord(int i) const { return ptr()->lower[i]; }
 
@@ -369,15 +369,15 @@ public:
     const Point_d& max BOOST_PREVENT_MACRO_SUBSTITUTION () const { return ptr()->upper; }
 
     FT volume() const { return volume(Rep_tag()); }
-    
+
     bool is_degenerate() const
     {
       typedef typename CIRT::
-	      template Iterator<Point_d,std::equal_to<RT> >::type Iter;
+              template Iterator<Point_d,std::equal_to<RT> >::type Iter;
       // omit homogenizing coordinates
       Iter e(ptr()->lower, ptr()->upper, Cartesian_end());
-      return 
-	e != std::find(Iter(ptr()->lower, ptr()->upper, Begin()), e, true);
+      return
+        e != std::find(Iter(ptr()->lower, ptr()->upper, Begin()), e, true);
     }
 
 }; // end of class
@@ -394,7 +394,7 @@ template < typename Kernel >
 inline bool
 operator!=(const Iso_box_d<Kernel>& b1, const Iso_box_d<Kernel>& b2)
 {
-  return ! (b1 == b2); 
+  return ! (b1 == b2);
 }
 
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Kernel_classesCd.h 5.0.3-1/include/CGAL/Kernel_d/Kernel_classesCd.h
--- 5.0.2-3/include/CGAL/Kernel_d/Kernel_classesCd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Kernel_classesCd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2000  
+// Copyright (c) 1997-2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Kernel_classesCd.h $
-// $Id: Kernel_classesCd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Kernel_classesCd.h $
+// $Id: Kernel_classesCd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Kernel_classesHd.h 5.0.3-1/include/CGAL/Kernel_d/Kernel_classesHd.h
--- 5.0.2-3/include/CGAL/Kernel_d/Kernel_classesHd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Kernel_classesHd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2000  
+// Copyright (c) 1997-2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Kernel_classesHd.h $
-// $Id: Kernel_classesHd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Kernel_classesHd.h $
+// $Id: Kernel_classesHd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Linear_algebraCd_impl.h 5.0.3-1/include/CGAL/Kernel_d/Linear_algebraCd_impl.h
--- 5.0.2-3/include/CGAL/Kernel_d/Linear_algebraCd_impl.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Linear_algebraCd_impl.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Linear_algebraCd_impl.h $
-// $Id: Linear_algebraCd_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Linear_algebraCd_impl.h $
+// $Id: Linear_algebraCd_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve.Bronnimann@sophia.inria.fr
 //                 Michael.Seel@mpi-sb.mpg.de
@@ -59,7 +59,7 @@ Gaussian_elimination(const Matrix &M,
   // All the parameters are already initialized (as in C++)
   int sign = 1;
   // First create a copy of M into U, and set L and permutations to identity
-  U = M; 
+  U = M;
   typename Matrix::Identity IDENTITY;
   L = Matrix(dim,IDENTITY);
   for (i=0; i<dim; ++i) row_permutation.push_back(i);
@@ -85,7 +85,7 @@ Gaussian_elimination(const Matrix &M,
     }
     if (j!=k) {
       CGAL_KD_TRACEN("swap column j="<<j<<" and k="<<k);
-      U.swap_columns(j,k);  
+      U.swap_columns(j,k);
       std::swap(column_permutation[j],column_permutation[k]);
       sign = -sign;
     }
@@ -118,16 +118,16 @@ Gaussian_elimination(const Matrix &M,
 template < class FT, class AL >
 bool
 Linear_algebraCd<FT,AL>::
-Triangular_system_solver(const Matrix &U, const Matrix& L, const Vector &b, 
+Triangular_system_solver(const Matrix &U, const Matrix& L, const Vector &b,
                          int rank, Vector &x, FT &D)
-{ 
+{
   // METHOD: solve system Ux=b, returning solution (x/D)
   // back substitution of x[rdim], x[rdim-1], etc.
   // depends on "free" variables x[rdim+1], etc. x[cdim]
   CGAL_kernel_assertion( U.row_dimension() == b.dimension());
     CGAL_KD_TRACEN("Triangular_system_solver");CGAL_KD_TRACEV(U);CGAL_KD_TRACEV(b);
   D = FT(1); int i;
-  for (i = rank; i < U.row_dimension(); ++i) 
+  for (i = rank; i < U.row_dimension(); ++i)
       if ( b[i] != FT(0) ) {
           x = L.row(i);
           return false;
@@ -136,7 +136,7 @@ Triangular_system_solver(const Matrix &U
   x = Vector(U.column_dimension());
   for (i = rank-1; i>=0; --i) {
     x[i] = b[i];
-    for (int j = i+1; j<rank; ++j) 
+    for (int j = i+1; j<rank; ++j)
       x[i] -= U[i][j] * x[j];
     x[i] /= U[i][i];
   }
@@ -184,7 +184,7 @@ inverse(const Matrix &M, Matrix &I, FT &
   I = Matrix(M.column_dimension(),M.row_dimension());
   typename Matrix::row_iterator rit, wit;
   for (rank=0; rank<I.column_dimension(); ++rank)
-    for ( wit = I.row_begin(rank), rit = Uinv.row_begin(cq[rank]); 
+    for ( wit = I.row_begin(rank), rit = Uinv.row_begin(cq[rank]);
           rit != Uinv.row_end(cq[rank]); ++wit, ++rit ) *wit = *rit;
   /* does not work with MS:
     std::copy(Uinv.row_begin(cq[rank]), Uinv.row_end(cq[rank]),
@@ -306,15 +306,15 @@ linear_solver(const Matrix &M, const Vec
   CGAL_assertion( (M*x) == b );
 #endif
   int defect = M.column_dimension() - rank;
-  spanning_vectors = Matrix(M.column_dimension(),defect); 
-  if (defect > 0) { 
-    for(int l=0; l < defect; ++l) { 
-      spanning_vectors(var[rank + l],l)=FT(1); 
-      for(int i = rank - 1; i >= 0 ; i--) { 
-        FT h = - U(i,rank+l); 
-        for (int j= i + 1; j<rank; ++j)  
-          h -= U(i,j)*spanning_vectors(var[j],l); 
-        spanning_vectors(var[i],l)= h / U(i,i); 
+  spanning_vectors = Matrix(M.column_dimension(),defect);
+  if (defect > 0) {
+    for(int l=0; l < defect; ++l) {
+      spanning_vectors(var[rank + l],l)=FT(1);
+      for(int i = rank - 1; i >= 0 ; i--) {
+        FT h = - U(i,rank+l);
+        for (int j= i + 1; j<rank; ++j)
+          h -= U(i,j)*spanning_vectors(var[j],l);
+        spanning_vectors(var[i],l)= h / U(i,i);
       }
       CGAL_KD_TRACEV(spanning_vectors.column(l));
 
@@ -365,27 +365,27 @@ homogeneous_linear_solver(const Matrix &
   CGAL_assertion( (M*x).is_zero() );
 #endif
 
-  int defect = M.column_dimension() - rank; 
-  spanning_vectors = Matrix(M.column_dimension(),defect); 
- 
-  if (defect > 0) { 
+  int defect = M.column_dimension() - rank;
+  spanning_vectors = Matrix(M.column_dimension(),defect);
+
+  if (defect > 0) {
     /* In the $l$-th spanning vector, $0 \le l < |defect|$ we set
        variable |var[rank + l]| to $1 = |denom|/|denom|$ and then the
        dependent variables as dictated by the $|rank| + l$ - th column of
        |C|.*/
 
-    for(int l=0; l < defect; ++l) { 
-      spanning_vectors(var[rank + l],l)=FT(1); 
-      for(i = rank - 1; i >= 0 ; i--) { 
-        FT h = - U(i,rank+l); 
-        for (int j= i + 1; j<rank; ++j)  
-          h -= U(i,j)*spanning_vectors(var[j],l); 
-        spanning_vectors(var[i],l)= h / U(i,i); 
+    for(int l=0; l < defect; ++l) {
+      spanning_vectors(var[rank + l],l)=FT(1);
+      for(i = rank - 1; i >= 0 ; i--) {
+        FT h = - U(i,rank+l);
+        for (int j= i + 1; j<rank; ++j)
+          h -= U(i,j)*spanning_vectors(var[j],l);
+        spanning_vectors(var[i],l)= h / U(i,i);
       }
       CGAL_KD_TRACEV(spanning_vectors.column(l));
 
 #ifdef CGAL_LA_SELFTEST
-      /* we check whether the $l$ - th spanning vector is a solution 
+      /* we check whether the $l$ - th spanning vector is a solution
          of the homogeneous system */
       if ( !(M*spanning_vectors.column(l)).is_zero() )
         std::cerr << M*spanning_vectors.column(l) << std::endl;
@@ -404,13 +404,13 @@ homogeneous_linear_solver(const Matrix &
   x = Vector(M.row_dimension());
   Matrix spanning_vectors;
   int defect = homogeneous_linear_solver(M,spanning_vectors);
-  if (defect == 0) return false; 
+  if (defect == 0) return false;
 
   /* return first column of |spanning_vectors| */
   for (int i = 0; i < spanning_vectors.row_dimension(); i++)
     x[i] = spanning_vectors(i,0);
-  return true; 
-  
+  return true;
+
 }
 
 
@@ -418,7 +418,7 @@ template < class FT, class AL >
 int
 Linear_algebraCd<FT,AL>::
 independent_columns(const Matrix &M, std::vector<int> &q)
-{ 
+{
   int rank;
   std::vector<int> dummy;
   Matrix Dummy1,Dummy2; Vector Dummy3; FT null(0);
@@ -430,7 +430,7 @@ template < class FT, class AL >
 int
 Linear_algebraCd<FT,AL>::
 rank(const Matrix &M)
-{ std::vector<int> q; 
+{ std::vector<int> q;
   return independent_columns(M,q);
 }
 
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Linear_algebraHd_impl.h 5.0.3-1/include/CGAL/Kernel_d/Linear_algebraHd_impl.h
--- 5.0.2-3/include/CGAL/Kernel_d/Linear_algebraHd_impl.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Linear_algebraHd_impl.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2000  
+// Copyright (c) 1997-2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Linear_algebraHd_impl.h $
-// $Id: Linear_algebraHd_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Linear_algebraHd_impl.h $
+// $Id: Linear_algebraHd_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 //---------------------------------------------------------------------
@@ -26,35 +26,35 @@ namespace CGAL {
 
 template <class RT_, class AL_>
 bool Linear_algebraHd<RT_,AL_>::
-linear_solver(const Matrix& A, const Vector& b, 
-              Vector& x, RT& D, 
+linear_solver(const Matrix& A, const Vector& b,
+              Vector& x, RT& D,
               Matrix& spanning_vectors, Vector& c)
-{ 
-  bool solvable = true; 
+{
+  bool solvable = true;
   int i,j,k; // indices to step through the matrix
-  int rows = A.row_dimension(); 
-  int cols = A.column_dimension(); 
+  int rows = A.row_dimension();
+  int cols = A.column_dimension();
 
   /* at this point one might want to check whether the computation can
      be carried out with doubles, see section \ref{ optimization }. */
 
-  CGAL_assertion_msg(b.dimension() == rows, 
+  CGAL_assertion_msg(b.dimension() == rows,
     "linear_solver: b has wrong dimension");
 
-  Matrix C(rows,cols + 1); 
+  Matrix C(rows,cols + 1);
   // the matrix in which we will calculate ($C = (A \vert b)$)
-    
+
   /* copy |A| and |b| into |C| and L becomes the identity matrix */
   Matrix L(rows); // zero initialized
-  for(i=0; i<rows; i++) { 
-    for(j=0; j<cols; j++) 
-      C(i,j)=A(i,j); 
-    C(i,cols)=b[i]; 
+  for(i=0; i<rows; i++) {
+    for(j=0; j<cols; j++)
+      C(i,j)=A(i,j);
+    C(i,cols)=b[i];
     L(i,i) = 1; // diagonal elements are 1
   }
 
 
-  std::vector<int> var(cols); 
+  std::vector<int> var(cols);
   // column $j$ of |C| represents the |var[j]| - th variable
   // the array is indexed between |0| and |cols - 1|
 
@@ -66,100 +66,100 @@ linear_solver(const Matrix& A, const Vec
   int rank = 0; // we have not seen any non-zero row yet
 
   /* here comes the main loop */
-  for(k=0; k<rows; k++) {   
-    bool non_zero_found = false; 
+  for(k=0; k<rows; k++) {
+    bool non_zero_found = false;
     for(i = k; i < rows; i++) { // step through rows $k$ to |rows - 1|
       for (j = k ; j < cols && C(i,j) == 0; j++) {}
       // step through columns |k| to |cols - 1|
-      if (j < cols) {  
-        non_zero_found = true; 
-        break; 
+      if (j < cols) {
+        non_zero_found = true;
+        break;
       }
     }
 
 
-    if ( non_zero_found ) { 
+    if ( non_zero_found ) {
       rank++; //increase the rank
-      if (i != k) { 
-        sign = -sign; 
+      if (i != k) {
+        sign = -sign;
         /* we interchange rows |k| and |i| of |L| and |C| */
         L.swap_rows(i,k); C.swap_rows(i,k);
       }
-      if (j != k) { 
+      if (j != k) {
         /* We interchange columns |k| and |j|, and
            store the exchange of variables in |var| */
-        sign = - sign; 
+        sign = - sign;
         C.swap_columns(j,k);
-        std::swap(var[k],var[j]); 
+        std::swap(var[k],var[j]);
       }
-       
-      for(i = k + 1; i < rows; i++)  
+
+      for(i = k + 1; i < rows; i++)
         for (j = 0; j <  rows; j++)  //and all columns of |L|
-          L(i,j) = (L(i,j)*C(k,k) - C(i,k)*L(k,j))/denom; 
+          L(i,j) = (L(i,j)*C(k,k) - C(i,k)*L(k,j))/denom;
 
-      for(i = k + 1; i < rows; i++) {      
+      for(i = k + 1; i < rows; i++) {
         /* the following iteration uses and changes |C(i,k)| */
-        RT temp = C(i,k); 
+        RT temp = C(i,k);
         for (j = k; j <= cols; j++)
-          C(i,j) = (C(i,j)*C(k,k) - temp*C(k,j))/denom; 
+          C(i,j) = (C(i,j)*C(k,k) - temp*C(k,j))/denom;
       }
-      denom = C(k,k); 
+      denom = C(k,k);
       #ifdef CGAL_LA_SELFTEST
-      for(i = 0; i < rows; i++) { 
-        for (j = 0; j < cols; j++) { 
-          RT Sum = 0; 
-          for (int l = 0; l < rows; l++) 
-            Sum += L(i,l)*A(l, var[j]); 
-          CGAL_assertion_msg( Sum  == C(i,j), 
-            "linear_solver: L*A*P different from C"); 
+      for(i = 0; i < rows; i++) {
+        for (j = 0; j < cols; j++) {
+          RT Sum = 0;
+          for (int l = 0; l < rows; l++)
+            Sum += L(i,l)*A(l, var[j]);
+          CGAL_assertion_msg( Sum  == C(i,j),
+            "linear_solver: L*A*P different from C");
         }
-        RT Sum = 0; 
-        for (int l = 0; l < rows; l++) 
+        RT Sum = 0;
+        for (int l = 0; l < rows; l++)
           Sum += L(i,l)*b[l];
-          CGAL_assertion_msg( Sum  == C(i,cols), 
-            "linear_solver: L*A*P different from C"); 
+          CGAL_assertion_msg( Sum  == C(i,cols),
+            "linear_solver: L*A*P different from C");
       }
       #endif
 
 
     }
-    else 
-      break; 
+    else
+      break;
   }
 
 
   for(i = rank; i < rows && C(i,cols) == 0; ++i) {}
-  if (i < rows) 
+  if (i < rows)
   { solvable = false; c = L.row(i); }
 
-  if (solvable) { 
-    x = Vector(cols); 
-    D = denom; 
-    for(i = rank - 1; i >= 0; i--) { 
-      RT_ h = C(i,cols) * D; 
-      for (j = i + 1; j < rank; j++) { 
-        h -= C(i,j)*x[var[j]]; 
+  if (solvable) {
+    x = Vector(cols);
+    D = denom;
+    for(i = rank - 1; i >= 0; i--) {
+      RT_ h = C(i,cols) * D;
+      for (j = i + 1; j < rank; j++) {
+        h -= C(i,j)*x[var[j]];
       }
-      x[var[i]]= h / C(i,i); 
+      x[var[i]]= h / C(i,i);
     }
     #ifdef CGAL_LA_SELFTEST
       CGAL_assertion( (M*x).is_zero() );
     #endif
 
     int defect = cols - rank; // dimension of kernel
-    spanning_vectors = Matrix(cols,defect); 
-     
-    if (defect > 0) { 
-      for(int l=0; l < defect; l++) { 
-        spanning_vectors(var[rank + l],l)=D; 
-        for(i = rank - 1; i >= 0 ; i--) { 
-          RT_ h = - C(i,rank + l)*D; 
-          for ( j= i + 1; j<rank; j++)  
-            h -= C(i,j)*spanning_vectors(var[j],l); 
-          spanning_vectors(var[i],l)= h / C(i,i); 
+    spanning_vectors = Matrix(cols,defect);
+
+    if (defect > 0) {
+      for(int l=0; l < defect; l++) {
+        spanning_vectors(var[rank + l],l)=D;
+        for(i = rank - 1; i >= 0 ; i--) {
+          RT_ h = - C(i,rank + l)*D;
+          for ( j= i + 1; j<rank; j++)
+            h -= C(i,j)*spanning_vectors(var[j],l);
+          spanning_vectors(var[i],l)= h / C(i,i);
         }
     #ifdef CGAL_LA_SELFTEST
-          /* we check whether the $l$ - th spanning vector is a solution 
+          /* we check whether the $l$ - th spanning vector is a solution
              of the homogeneous system */
           CGAL_assertion( (M*spanning_vectors.column(l)).is_zero() );
     #endif
@@ -167,40 +167,40 @@ linear_solver(const Matrix& A, const Vec
     }
 
   }
-  return solvable; 
+  return solvable;
 }
 
 template <class RT_, class AL_>
 RT_ Linear_algebraHd<RT_,AL_>::
 determinant(const Matrix& A)
-{ 
+{
   if (A.row_dimension() != A.column_dimension())
-    CGAL_error_msg(      "determinant(): only square matrices are legal inputs."); 
+    CGAL_error_msg(      "determinant(): only square matrices are legal inputs.");
   Vector b(A.row_dimension()); // zero - vector
   int i,j,k; // indices to step through the matrix
-  int rows = A.row_dimension(); 
-  int cols = A.column_dimension(); 
+  int rows = A.row_dimension();
+  int cols = A.column_dimension();
 
   /* at this point one might want to check whether the computation can
      be carried out with doubles, see section \ref{ optimization }. */
 
-  CGAL_assertion_msg(b.dimension() == rows, 
+  CGAL_assertion_msg(b.dimension() == rows,
     "linear_solver: b has wrong dimension");
 
-  Matrix C(rows,cols + 1); 
+  Matrix C(rows,cols + 1);
   // the matrix in which we will calculate ($C = (A \vert b)$)
-    
+
   /* copy |A| and |b| into |C| and L becomes the identity matrix */
   Matrix L(rows); // zero initialized
-  for(i=0; i<rows; i++) { 
-    for(j=0; j<cols; j++) 
-      C(i,j)=A(i,j); 
-    C(i,cols)=b[i]; 
+  for(i=0; i<rows; i++) {
+    for(j=0; j<cols; j++)
+      C(i,j)=A(i,j);
+    C(i,cols)=b[i];
     L(i,i) = 1; // diagonal elements are 1
   }
 
 
-  std::vector<int> var(cols); 
+  std::vector<int> var(cols);
   // column $j$ of |C| represents the |var[j]| - th variable
   // the array is indexed between |0| and |cols - 1|
 
@@ -212,109 +212,109 @@ determinant(const Matrix& A)
   int rank = 0; // we have not seen any non-zero row yet
 
   /* here comes the main loop */
-  for(k=0; k<rows; k++) {   
-    bool non_zero_found = false; 
+  for(k=0; k<rows; k++) {
+    bool non_zero_found = false;
     for(i = k; i < rows; i++) { // step through rows $k$ to |rows - 1|
       for (j = k ; j < cols && C(i,j) == 0; j++) {}
       // step through columns |k| to |cols - 1|
-      if (j < cols) {  
-        non_zero_found = true; 
-        break; 
+      if (j < cols) {
+        non_zero_found = true;
+        break;
       }
     }
 
 
-    if ( non_zero_found ) { 
+    if ( non_zero_found ) {
       rank++; //increase the rank
-      if (i != k) { 
-        sign = -sign; 
+      if (i != k) {
+        sign = -sign;
         /* we interchange rows |k| and |i| of |L| and |C| */
         L.swap_rows(i,k); C.swap_rows(i,k);
       }
-      if (j != k) { 
+      if (j != k) {
         /* We interchange columns |k| and |j|, and
            store the exchange of variables in |var| */
-        sign = - sign; 
+        sign = - sign;
         C.swap_columns(j,k);
-        std::swap(var[k],var[j]); 
+        std::swap(var[k],var[j]);
       }
-       
-      for(i = k + 1; i < rows; i++)  
+
+      for(i = k + 1; i < rows; i++)
         for (j = 0; j <  rows; j++)  //and all columns of |L|
-          L(i,j) = (L(i,j)*C(k,k) - C(i,k)*L(k,j))/denom; 
+          L(i,j) = (L(i,j)*C(k,k) - C(i,k)*L(k,j))/denom;
 
-      for(i = k + 1; i < rows; i++) {      
+      for(i = k + 1; i < rows; i++) {
         /* the following iteration uses and changes |C(i,k)| */
-        RT temp = C(i,k); 
+        RT temp = C(i,k);
         for (j = k; j <= cols; j++)
-          C(i,j) = (C(i,j)*C(k,k) - temp*C(k,j))/denom; 
+          C(i,j) = (C(i,j)*C(k,k) - temp*C(k,j))/denom;
       }
-      denom = C(k,k); 
+      denom = C(k,k);
       #ifdef CGAL_LA_SELFTEST
-      for(i = 0; i < rows; i++) { 
-        for (j = 0; j < cols; j++) { 
-          RT Sum = 0; 
-          for (int l = 0; l < rows; l++) 
-            Sum += L(i,l)*A(l, var[j]); 
-          CGAL_assertion_msg( Sum  == C(i,j), 
-            "linear_solver: L*A*P different from C"); 
+      for(i = 0; i < rows; i++) {
+        for (j = 0; j < cols; j++) {
+          RT Sum = 0;
+          for (int l = 0; l < rows; l++)
+            Sum += L(i,l)*A(l, var[j]);
+          CGAL_assertion_msg( Sum  == C(i,j),
+            "linear_solver: L*A*P different from C");
         }
-        RT Sum = 0; 
-        for (int l = 0; l < rows; l++) 
+        RT Sum = 0;
+        for (int l = 0; l < rows; l++)
           Sum += L(i,l)*b[l];
-          CGAL_assertion_msg( Sum  == C(i,cols), 
-            "linear_solver: L*A*P different from C"); 
+          CGAL_assertion_msg( Sum  == C(i,cols),
+            "linear_solver: L*A*P different from C");
       }
       #endif
 
 
     }
-    else 
-      break; 
+    else
+      break;
   }
 
 
 
-  if (rank < rows) 
-    return 0; 
+  if (rank < rows)
+    return 0;
   else
-    return RT(sign) * denom; 
+    return RT(sign) * denom;
 }
 
 
 template <class RT_, class AL_>
 RT_ Linear_algebraHd<RT_,AL_>::
-determinant(const Matrix& A, 
-            Matrix& Ld, Matrix& Ud, 
-            std::vector<int>& q, Vector& c) 
-{ 
+determinant(const Matrix& A,
+            Matrix& Ld, Matrix& Ud,
+            std::vector<int>& q, Vector& c)
+{
   if (A.row_dimension() != A.column_dimension())
-    CGAL_error_msg(      "determinant(): only square matrices are legal inputs."); 
+    CGAL_error_msg(      "determinant(): only square matrices are legal inputs.");
   Vector b(A.row_dimension()); // zero - vector
   int i,j,k; // indices to step through the matrix
-  int rows = A.row_dimension(); 
-  int cols = A.column_dimension(); 
+  int rows = A.row_dimension();
+  int cols = A.column_dimension();
 
   /* at this point one might want to check whether the computation can
      be carried out with doubles, see section \ref{ optimization }. */
 
-  CGAL_assertion_msg(b.dimension() == rows, 
+  CGAL_assertion_msg(b.dimension() == rows,
     "linear_solver: b has wrong dimension");
 
-  Matrix C(rows,cols + 1); 
+  Matrix C(rows,cols + 1);
   // the matrix in which we will calculate ($C = (A \vert b)$)
-    
+
   /* copy |A| and |b| into |C| and L becomes the identity matrix */
   Matrix L(rows); // zero initialized
-  for(i=0; i<rows; i++) { 
-    for(j=0; j<cols; j++) 
-      C(i,j)=A(i,j); 
-    C(i,cols)=b[i]; 
+  for(i=0; i<rows; i++) {
+    for(j=0; j<cols; j++)
+      C(i,j)=A(i,j);
+    C(i,cols)=b[i];
     L(i,i) = 1; // diagonal elements are 1
   }
 
 
-  std::vector<int> var(cols); 
+  std::vector<int> var(cols);
   // column $j$ of |C| represents the |var[j]| - th variable
   // the array is indexed between |0| and |cols - 1|
 
@@ -326,191 +326,191 @@ determinant(const Matrix& A,
   int rank = 0; // we have not seen any non-zero row yet
 
   /* here comes the main loop */
-  for(k=0; k<rows; k++) {   
-    bool non_zero_found = false; 
+  for(k=0; k<rows; k++) {
+    bool non_zero_found = false;
     for(i = k; i < rows; i++) { // step through rows $k$ to |rows - 1|
       for (j = k ; j < cols && C(i,j) == 0; j++) {}
       // step through columns |k| to |cols - 1|
-      if (j < cols) {  
-        non_zero_found = true; 
-        break; 
+      if (j < cols) {
+        non_zero_found = true;
+        break;
       }
     }
 
 
-    if ( non_zero_found ) { 
+    if ( non_zero_found ) {
       rank++; //increase the rank
-      if (i != k) { 
-        sign = -sign; 
+      if (i != k) {
+        sign = -sign;
         /* we interchange rows |k| and |i| of |L| and |C| */
         L.swap_rows(i,k); C.swap_rows(i,k);
       }
-      if (j != k) { 
+      if (j != k) {
         /* We interchange columns |k| and |j|, and
            store the exchange of variables in |var| */
-        sign = - sign; 
+        sign = - sign;
         C.swap_columns(j,k);
-        std::swap(var[k],var[j]); 
+        std::swap(var[k],var[j]);
       }
-       
-      for(i = k + 1; i < rows; i++)  
+
+      for(i = k + 1; i < rows; i++)
         for (j = 0; j <  rows; j++)  //and all columns of |L|
-          L(i,j) = (L(i,j)*C(k,k) - C(i,k)*L(k,j))/denom; 
+          L(i,j) = (L(i,j)*C(k,k) - C(i,k)*L(k,j))/denom;
 
-      for(i = k + 1; i < rows; i++) {      
+      for(i = k + 1; i < rows; i++) {
         /* the following iteration uses and changes |C(i,k)| */
-        RT temp = C(i,k); 
+        RT temp = C(i,k);
         for (j = k; j <= cols; j++)
-          C(i,j) = (C(i,j)*C(k,k) - temp*C(k,j))/denom; 
+          C(i,j) = (C(i,j)*C(k,k) - temp*C(k,j))/denom;
       }
-      denom = C(k,k); 
+      denom = C(k,k);
       #ifdef CGAL_LA_SELFTEST
-      for(i = 0; i < rows; i++) { 
-        for (j = 0; j < cols; j++) { 
-          RT Sum = 0; 
-          for (int l = 0; l < rows; l++) 
-            Sum += L(i,l)*A(l, var[j]); 
-          CGAL_assertion_msg( Sum  == C(i,j), 
-            "linear_solver: L*A*P different from C"); 
+      for(i = 0; i < rows; i++) {
+        for (j = 0; j < cols; j++) {
+          RT Sum = 0;
+          for (int l = 0; l < rows; l++)
+            Sum += L(i,l)*A(l, var[j]);
+          CGAL_assertion_msg( Sum  == C(i,j),
+            "linear_solver: L*A*P different from C");
         }
-        RT Sum = 0; 
-        for (int l = 0; l < rows; l++) 
+        RT Sum = 0;
+        for (int l = 0; l < rows; l++)
           Sum += L(i,l)*b[l];
-          CGAL_assertion_msg( Sum  == C(i,cols), 
-            "linear_solver: L*A*P different from C"); 
+          CGAL_assertion_msg( Sum  == C(i,cols),
+            "linear_solver: L*A*P different from C");
       }
       #endif
 
 
     }
-    else 
-      break; 
+    else
+      break;
   }
 
 
 
-  if (rank < rows) { 
-    c = L.row(rows - 1); 
-    return 0; 
-  } else { 
-    Ld = L; 
+  if (rank < rows) {
+    c = L.row(rows - 1);
+    return 0;
+  } else {
+    Ld = L;
     Ud = Matrix(rows); // square
-    for (i = 0; i < rows; i++) 
-      for(j = 0; j <rows; j++) 
-        Ud(i,j) = C(i,j); 
-    q = var; 
-    return RT(sign) * denom; 
+    for (i = 0; i < rows; i++)
+      for(j = 0; j <rows; j++)
+        Ud(i,j) = C(i,j);
+    q = var;
+    return RT(sign) * denom;
   }
 }
 
-template <class RT_, class AL_>  
-int  Linear_algebraHd<RT_,AL_>:: 
+template <class RT_, class AL_>
+int  Linear_algebraHd<RT_,AL_>::
 sign_of_determinant(const Matrix& M)
 { return CGAL_NTS sign(determinant(M)); }
 
-template <class RT_, class AL_>  
-bool Linear_algebraHd<RT_,AL_>:: 
-verify_determinant(const Matrix& A, RT_ D, 
-                   Matrix& L, Matrix& U, 
-                   const std::vector<int>& q, Vector& c) 
-{ 
+template <class RT_, class AL_>
+bool Linear_algebraHd<RT_,AL_>::
+verify_determinant(const Matrix& A, RT_ D,
+                   Matrix& L, Matrix& U,
+                   const std::vector<int>& q, Vector& c)
+{
   if ((int)q.size() != A.column_dimension())
     CGAL_error_msg(    "verify_determinant: q should be a permutation array \
-    with index range [0,A.column_dimension() - 1]."); 
-  int n = A.row_dimension(); 
-  int i,j; 
+    with index range [0,A.column_dimension() - 1].");
+  int n = A.row_dimension();
+  int i,j;
   if (D == 0) { /* we have $c^T \cdot A = 0$  */
-    Vector zero(n); 
-    return  (transpose(A) * c == zero); 
-  } else { 
+    Vector zero(n);
+    return  (transpose(A) * c == zero);
+  } else {
     /* we check the conditions on |L| and |U| */
-    if (L(0,0) != 1) return false; 
-    for (i = 0; i<n; i++) { 
-      for (j = 0; j < i; j++) 
-        if (U(i,j) != 0) 
-          return false; 
-
-      if (i > 0 && L(i,i) != U(i - 1,i - 1)) 
-        return false; 
-
-      for (j = i + 1; j < n; j++) 
-        if (L(i,j) != 0) 
-          return false; 
+    if (L(0,0) != 1) return false;
+    for (i = 0; i<n; i++) {
+      for (j = 0; j < i; j++)
+        if (U(i,j) != 0)
+          return false;
+
+      if (i > 0 && L(i,i) != U(i - 1,i - 1))
+        return false;
+
+      for (j = i + 1; j < n; j++)
+        if (L(i,j) != 0)
+          return false;
     }
 
     /* check whether $L \cdot A \cdot Q = U$ */
-   Matrix LA = L * A; 
+   Matrix LA = L * A;
    for (j = 0; j < n; j++)
-     if (LA.column(q[j]) != U.column(j)) 
-       return false; 
+     if (LA.column(q[j]) != U.column(j))
+       return false;
 
     /* compute sign |s| of |Q| */
-    int sign = 1; 
+    int sign = 1;
 
     /* we chase the cycles of |q|. An even length cycle contributes - 1
        and vice versa */
 
-    std::vector<bool> already_considered(n); 
+    std::vector<bool> already_considered(n);
 
-    for (i = 0; i < n; i++)  
-      already_considered[i] = false; 
+    for (i = 0; i < n; i++)
+      already_considered[i] = false;
 
-    for (i = 0; i < n; i++)  
-      already_considered[q[i]] = true; 
+    for (i = 0; i < n; i++)
+      already_considered[q[i]] = true;
 
-    for (i = 0; i < n; i++) 
+    for (i = 0; i < n; i++)
       if (! already_considered[i])
-        CGAL_error_msg("verify_determinant:q is not a permutation."); 
-      else 
-        already_considered[i] = false; 
+        CGAL_error_msg("verify_determinant:q is not a permutation.");
+      else
+        already_considered[i] = false;
 
-    for (i = 0; i < n; i++) { 
-      if (already_considered[i]) continue; 
+    for (i = 0; i < n; i++) {
+      if (already_considered[i]) continue;
 
       /* we have found a new cycle with minimal element $i$. */
-      int k = q[i]; 
-      already_considered[i] =true; 
+      int k = q[i];
+      already_considered[i] =true;
 
-      while (k != i) { 
-        sign = - sign; 
-        already_considered[k]= true; 
-        k = q[k]; 
+      while (k != i) {
+        sign = - sign;
+        already_considered[k]= true;
+        k = q[k];
       }
     }
-    return (D == RT(sign) * U(n - 1,n - 1)); 
+    return (D == RT(sign) * U(n - 1,n - 1));
   }
 }
 
-template <class RT_, class AL_> 
+template <class RT_, class AL_>
 int Linear_algebraHd<RT_,AL_>::
-independent_columns(const Matrix& A, 
-                    std::vector<int>& columns) 
-{ 
+independent_columns(const Matrix& A,
+                    std::vector<int>& columns)
+{
   Vector b(A.row_dimension()); // zero - vector
   int i,j,k; // indices to step through the matrix
-  int rows = A.row_dimension(); 
-  int cols = A.column_dimension(); 
+  int rows = A.row_dimension();
+  int cols = A.column_dimension();
 
   /* at this point one might want to check whether the computation can
      be carried out with doubles, see section \ref{ optimization }. */
 
-  CGAL_assertion_msg(b.dimension() == rows, 
+  CGAL_assertion_msg(b.dimension() == rows,
     "linear_solver: b has wrong dimension");
 
-  Matrix C(rows,cols + 1); 
+  Matrix C(rows,cols + 1);
   // the matrix in which we will calculate ($C = (A \vert b)$)
-    
+
   /* copy |A| and |b| into |C| and L becomes the identity matrix */
   Matrix L(rows); // zero initialized
-  for(i=0; i<rows; i++) { 
-    for(j=0; j<cols; j++) 
-      C(i,j)=A(i,j); 
-    C(i,cols)=b[i]; 
+  for(i=0; i<rows; i++) {
+    for(j=0; j<cols; j++)
+      C(i,j)=A(i,j);
+    C(i,cols)=b[i];
     L(i,i) = 1; // diagonal elements are 1
   }
 
 
-  std::vector<int> var(cols); 
+  std::vector<int> var(cols);
   // column $j$ of |C| represents the |var[j]| - th variable
   // the array is indexed between |0| and |cols - 1|
 
@@ -522,110 +522,110 @@ independent_columns(const Matrix& A,
   int rank = 0; // we have not seen any non-zero row yet
 
   /* here comes the main loop */
-  for(k=0; k<rows; k++) {   
-    bool non_zero_found = false; 
+  for(k=0; k<rows; k++) {
+    bool non_zero_found = false;
     for(i = k; i < rows; i++) { // step through rows $k$ to |rows - 1|
       for (j = k ; j < cols && C(i,j) == 0; j++) {}
       // step through columns |k| to |cols - 1|
-      if (j < cols) {  
-        non_zero_found = true; 
-        break; 
+      if (j < cols) {
+        non_zero_found = true;
+        break;
       }
     }
 
 
-    if ( non_zero_found ) { 
+    if ( non_zero_found ) {
       rank++; //increase the rank
-      if (i != k) { 
-        sign = -sign; 
+      if (i != k) {
+        sign = -sign;
         /* we interchange rows |k| and |i| of |L| and |C| */
         L.swap_rows(i,k); C.swap_rows(i,k);
       }
-      if (j != k) { 
+      if (j != k) {
         /* We interchange columns |k| and |j|, and
            store the exchange of variables in |var| */
-        sign = - sign; 
+        sign = - sign;
         C.swap_columns(j,k);
-        std::swap(var[k],var[j]); 
+        std::swap(var[k],var[j]);
       }
-       
-      for(i = k + 1; i < rows; i++)  
+
+      for(i = k + 1; i < rows; i++)
         for (j = 0; j <  rows; j++)  //and all columns of |L|
-          L(i,j) = (L(i,j)*C(k,k) - C(i,k)*L(k,j))/denom; 
+          L(i,j) = (L(i,j)*C(k,k) - C(i,k)*L(k,j))/denom;
 
-      for(i = k + 1; i < rows; i++) {      
+      for(i = k + 1; i < rows; i++) {
         /* the following iteration uses and changes |C(i,k)| */
-        RT temp = C(i,k); 
+        RT temp = C(i,k);
         for (j = k; j <= cols; j++)
-          C(i,j) = (C(i,j)*C(k,k) - temp*C(k,j))/denom; 
+          C(i,j) = (C(i,j)*C(k,k) - temp*C(k,j))/denom;
       }
-      denom = C(k,k); 
+      denom = C(k,k);
       #ifdef CGAL_LA_SELFTEST
-      for(i = 0; i < rows; i++) { 
-        for (j = 0; j < cols; j++) { 
-          RT Sum = 0; 
-          for (int l = 0; l < rows; l++) 
-            Sum += L(i,l)*A(l, var[j]); 
-          CGAL_assertion_msg( Sum  == C(i,j), 
-            "linear_solver: L*A*P different from C"); 
+      for(i = 0; i < rows; i++) {
+        for (j = 0; j < cols; j++) {
+          RT Sum = 0;
+          for (int l = 0; l < rows; l++)
+            Sum += L(i,l)*A(l, var[j]);
+          CGAL_assertion_msg( Sum  == C(i,j),
+            "linear_solver: L*A*P different from C");
         }
-        RT Sum = 0; 
-        for (int l = 0; l < rows; l++) 
+        RT Sum = 0;
+        for (int l = 0; l < rows; l++)
           Sum += L(i,l)*b[l];
-          CGAL_assertion_msg( Sum  == C(i,cols), 
-            "linear_solver: L*A*P different from C"); 
+          CGAL_assertion_msg( Sum  == C(i,cols),
+            "linear_solver: L*A*P different from C");
       }
       #endif
 
 
     }
-    else 
-      break; 
+    else
+      break;
   }
 
 
   /* at this point we have:
-     |C| has an $rank \times rank$ upper triangular matrix 
-     in its left upper corner; 
+     |C| has an $rank \times rank$ upper triangular matrix
+     in its left upper corner;
      |var| tells us the columns of |A| corresponding to the
      dependent variables; */
-     
-  columns = std::vector<int>(rank); 
-  for(i = 0; i < rank; i++) 
-    columns[i] = var[i]; 
+
+  columns = std::vector<int>(rank);
+  for(i = 0; i < rank; i++)
+    columns[i] = var[i];
   return rank;
 }
 
 
-template <class RT_, class AL_>  
+template <class RT_, class AL_>
 int  Linear_algebraHd<RT_,AL_>::
 rank(const Matrix& A)
-{ 
+{
   Vector b(A.row_dimension()); // zero - vector
   int i,j,k; // indices to step through the matrix
-  int rows = A.row_dimension(); 
-  int cols = A.column_dimension(); 
+  int rows = A.row_dimension();
+  int cols = A.column_dimension();
 
   /* at this point one might want to check whether the computation can
      be carried out with doubles, see section \ref{ optimization }. */
 
-  CGAL_assertion_msg(b.dimension() == rows, 
+  CGAL_assertion_msg(b.dimension() == rows,
     "linear_solver: b has wrong dimension");
 
-  Matrix C(rows,cols + 1); 
+  Matrix C(rows,cols + 1);
   // the matrix in which we will calculate ($C = (A \vert b)$)
-    
+
   /* copy |A| and |b| into |C| and L becomes the identity matrix */
   Matrix L(rows); // zero initialized
-  for(i=0; i<rows; i++) { 
-    for(j=0; j<cols; j++) 
-      C(i,j)=A(i,j); 
-    C(i,cols)=b[i]; 
+  for(i=0; i<rows; i++) {
+    for(j=0; j<cols; j++)
+      C(i,j)=A(i,j);
+    C(i,cols)=b[i];
     L(i,i) = 1; // diagonal elements are 1
   }
 
 
-  std::vector<int> var(cols); 
+  std::vector<int> var(cols);
   // column $j$ of |C| represents the |var[j]| - th variable
   // the array is indexed between |0| and |cols - 1|
 
@@ -637,103 +637,103 @@ rank(const Matrix& A)
   int rank = 0; // we have not seen any non-zero row yet
 
   /* here comes the main loop */
-  for(k=0; k<rows; k++) {   
-    bool non_zero_found = false; 
+  for(k=0; k<rows; k++) {
+    bool non_zero_found = false;
     for(i = k; i < rows; i++) { // step through rows $k$ to |rows - 1|
       for (j = k ; j < cols && C(i,j) == 0; j++) {}
       // step through columns |k| to |cols - 1|
-      if (j < cols) {  
-        non_zero_found = true; 
-        break; 
+      if (j < cols) {
+        non_zero_found = true;
+        break;
       }
     }
 
 
-    if ( non_zero_found ) { 
+    if ( non_zero_found ) {
       rank++; //increase the rank
-      if (i != k) { 
-        sign = -sign; 
+      if (i != k) {
+        sign = -sign;
         /* we interchange rows |k| and |i| of |L| and |C| */
         L.swap_rows(i,k); C.swap_rows(i,k);
       }
-      if (j != k) { 
+      if (j != k) {
         /* We interchange columns |k| and |j|, and
            store the exchange of variables in |var| */
-        sign = - sign; 
+        sign = - sign;
         C.swap_columns(j,k);
-        std::swap(var[k],var[j]); 
+        std::swap(var[k],var[j]);
       }
-       
-      for(i = k + 1; i < rows; i++)  
+
+      for(i = k + 1; i < rows; i++)
         for (j = 0; j <  rows; j++)  //and all columns of |L|
-          L(i,j) = (L(i,j)*C(k,k) - C(i,k)*L(k,j))/denom; 
+          L(i,j) = (L(i,j)*C(k,k) - C(i,k)*L(k,j))/denom;
 
-      for(i = k + 1; i < rows; i++) {      
+      for(i = k + 1; i < rows; i++) {
         /* the following iteration uses and changes |C(i,k)| */
-        RT temp = C(i,k); 
+        RT temp = C(i,k);
         for (j = k; j <= cols; j++)
-          C(i,j) = (C(i,j)*C(k,k) - temp*C(k,j))/denom; 
+          C(i,j) = (C(i,j)*C(k,k) - temp*C(k,j))/denom;
       }
-      denom = C(k,k); 
+      denom = C(k,k);
       #ifdef CGAL_LA_SELFTEST
-      for(i = 0; i < rows; i++) { 
-        for (j = 0; j < cols; j++) { 
-          RT Sum = 0; 
-          for (int l = 0; l < rows; l++) 
-            Sum += L(i,l)*A(l, var[j]); 
-          CGAL_assertion_msg( Sum  == C(i,j), 
-            "linear_solver: L*A*P different from C"); 
+      for(i = 0; i < rows; i++) {
+        for (j = 0; j < cols; j++) {
+          RT Sum = 0;
+          for (int l = 0; l < rows; l++)
+            Sum += L(i,l)*A(l, var[j]);
+          CGAL_assertion_msg( Sum  == C(i,j),
+            "linear_solver: L*A*P different from C");
         }
-        RT Sum = 0; 
-        for (int l = 0; l < rows; l++) 
+        RT Sum = 0;
+        for (int l = 0; l < rows; l++)
           Sum += L(i,l)*b[l];
-          CGAL_assertion_msg( Sum  == C(i,cols), 
-            "linear_solver: L*A*P different from C"); 
+          CGAL_assertion_msg( Sum  == C(i,cols),
+            "linear_solver: L*A*P different from C");
       }
       #endif
 
 
     }
-    else 
-      break; 
+    else
+      break;
   }
 
 
-  return rank; 
+  return rank;
 }
 
-template <class RT_, class AL_>  
+template <class RT_, class AL_>
 bool  Linear_algebraHd<RT_,AL_>::
-inverse(const Matrix& A, Matrix& inverse, 
+inverse(const Matrix& A, Matrix& inverse,
         RT_& D, Vector& c)
-{ 
+{
   if (A.row_dimension() != A.column_dimension())
-    CGAL_error_msg("inverse: only square matrices are legal inputs."); 
+    CGAL_error_msg("inverse: only square matrices are legal inputs.");
   Vector b(A.row_dimension()); // zero - vector
   int i,j,k; // indices to step through the matrix
-  int rows = A.row_dimension(); 
-  int cols = A.column_dimension(); 
+  int rows = A.row_dimension();
+  int cols = A.column_dimension();
 
   /* at this point one might want to check whether the computation can
      be carried out with doubles, see section \ref{ optimization }. */
 
-  CGAL_assertion_msg(b.dimension() == rows, 
+  CGAL_assertion_msg(b.dimension() == rows,
     "linear_solver: b has wrong dimension");
 
-  Matrix C(rows,cols + 1); 
+  Matrix C(rows,cols + 1);
   // the matrix in which we will calculate ($C = (A \vert b)$)
-    
+
   /* copy |A| and |b| into |C| and L becomes the identity matrix */
   Matrix L(rows); // zero initialized
-  for(i=0; i<rows; i++) { 
-    for(j=0; j<cols; j++) 
-      C(i,j)=A(i,j); 
-    C(i,cols)=b[i]; 
+  for(i=0; i<rows; i++) {
+    for(j=0; j<cols; j++)
+      C(i,j)=A(i,j);
+    C(i,cols)=b[i];
     L(i,i) = 1; // diagonal elements are 1
   }
 
 
-  std::vector<int> var(cols); 
+  std::vector<int> var(cols);
   // column $j$ of |C| represents the |var[j]| - th variable
   // the array is indexed between |0| and |cols - 1|
 
@@ -745,129 +745,129 @@ inverse(const Matrix& A, Matrix& inverse
   int rank = 0; // we have not seen any non-zero row yet
 
   /* here comes the main loop */
-  for(k=0; k<rows; k++) {   
-    bool non_zero_found = false; 
+  for(k=0; k<rows; k++) {
+    bool non_zero_found = false;
     for(i = k; i < rows; i++) { // step through rows $k$ to |rows - 1|
       for (j = k ; j < cols && C(i,j) == 0; j++) {}
       // step through columns |k| to |cols - 1|
-      if (j < cols) {  
-        non_zero_found = true; 
-        break; 
+      if (j < cols) {
+        non_zero_found = true;
+        break;
       }
     }
 
 
-    if ( non_zero_found ) { 
+    if ( non_zero_found ) {
       rank++; //increase the rank
-      if (i != k) { 
-        sign = -sign; 
+      if (i != k) {
+        sign = -sign;
         /* we interchange rows |k| and |i| of |L| and |C| */
         L.swap_rows(i,k); C.swap_rows(i,k);
       }
-      if (j != k) { 
+      if (j != k) {
         /* We interchange columns |k| and |j|, and
            store the exchange of variables in |var| */
-        sign = - sign; 
+        sign = - sign;
         C.swap_columns(j,k);
-        std::swap(var[k],var[j]); 
+        std::swap(var[k],var[j]);
       }
-       
-      for(i = k + 1; i < rows; i++)  
+
+      for(i = k + 1; i < rows; i++)
         for (j = 0; j <  rows; j++)  //and all columns of |L|
-          L(i,j) = (L(i,j)*C(k,k) - C(i,k)*L(k,j))/denom; 
+          L(i,j) = (L(i,j)*C(k,k) - C(i,k)*L(k,j))/denom;
 
-      for(i = k + 1; i < rows; i++) {      
+      for(i = k + 1; i < rows; i++) {
         /* the following iteration uses and changes |C(i,k)| */
-        RT temp = C(i,k); 
+        RT temp = C(i,k);
         for (j = k; j <= cols; j++)
-          C(i,j) = (C(i,j)*C(k,k) - temp*C(k,j))/denom; 
+          C(i,j) = (C(i,j)*C(k,k) - temp*C(k,j))/denom;
       }
-      denom = C(k,k); 
+      denom = C(k,k);
       #ifdef CGAL_LA_SELFTEST
-      for(i = 0; i < rows; i++) { 
-        for (j = 0; j < cols; j++) { 
-          RT Sum = 0; 
-          for (int l = 0; l < rows; l++) 
-            Sum += L(i,l)*A(l, var[j]); 
-          CGAL_assertion_msg( Sum  == C(i,j), 
-            "linear_solver: L*A*P different from C"); 
+      for(i = 0; i < rows; i++) {
+        for (j = 0; j < cols; j++) {
+          RT Sum = 0;
+          for (int l = 0; l < rows; l++)
+            Sum += L(i,l)*A(l, var[j]);
+          CGAL_assertion_msg( Sum  == C(i,j),
+            "linear_solver: L*A*P different from C");
         }
-        RT Sum = 0; 
-        for (int l = 0; l < rows; l++) 
+        RT Sum = 0;
+        for (int l = 0; l < rows; l++)
           Sum += L(i,l)*b[l];
-          CGAL_assertion_msg( Sum  == C(i,cols), 
-            "linear_solver: L*A*P different from C"); 
+          CGAL_assertion_msg( Sum  == C(i,cols),
+            "linear_solver: L*A*P different from C");
       }
       #endif
 
 
     }
-    else 
-      break; 
+    else
+      break;
   }
 
 
-  
-  if (rank < rows) { 
+
+  if (rank < rows) {
     // matrix is singular; return a vector $c$ with $c^T \cdot A = 0$.*/
     c = L.row(rows-1);
-    return false; 
+    return false;
   }
-  D = denom; 
+  D = denom;
   inverse = Matrix(rows); //square
-  RT_ h; 
-  for(i = 0; i <rows; i++) 
+  RT_ h;
+  for(i = 0; i <rows; i++)
   {  // $i$-th column of inverse
-    for (j = rows - 1; j >= 0; j--) { 
-      h = L (j,i) * D; 
-      for (int l = j + 1; l<rows; l++)  
-        h -= C(j,l)*inverse(var[l],i); 
-      inverse(var[j],i) = h / C(j,j); 
+    for (j = rows - 1; j >= 0; j--) {
+      h = L (j,i) * D;
+      for (int l = j + 1; l<rows; l++)
+        h -= C(j,l)*inverse(var[l],i);
+      inverse(var[j],i) = h / C(j,j);
     }
-  }  
+  }
 
   #ifdef CGAL_LA_SELFTEST
   if (A*inverse != Matrix(rows,Matrix::RT_val(1))*D)
-    CGAL_error_msg("inverse(): matrix inverse computed incorrectly."); 
-  #endif      
+    CGAL_error_msg("inverse(): matrix inverse computed incorrectly.");
+  #endif
 
-  return true; 
+  return true;
 }
 
 
-template <class RT_, class AL_>  
+template <class RT_, class AL_>
 int  Linear_algebraHd<RT_,AL_>::
-homogeneous_linear_solver(const Matrix &A, 
+homogeneous_linear_solver(const Matrix &A,
                           Matrix& spanning_vectors)
-/* returns the dimension of the solution space of the homogeneous system 
+/* returns the dimension of the solution space of the homogeneous system
    $Ax = 0$. The columns of spanning\_vectors span the solution space. */
-{ 
+{
   Vector b(A.row_dimension()); // zero - vector
-  RT_ D; 
+  RT_ D;
   int i,j,k; // indices to step through the matrix
-  int rows = A.row_dimension(); 
-  int cols = A.column_dimension(); 
+  int rows = A.row_dimension();
+  int cols = A.column_dimension();
 
   /* at this point one might want to check whether the computation can
      be carried out with doubles, see section \ref{ optimization }. */
 
-  CGAL_assertion_msg(b.dimension() == rows, 
+  CGAL_assertion_msg(b.dimension() == rows,
     "linear_solver: b has wrong dimension");
 
-  Matrix C(rows,cols + 1); 
+  Matrix C(rows,cols + 1);
   // the matrix in which we will calculate ($C = (A \vert b)$)
-    
+
   /* copy |A| and |b| into |C| and L becomes the identity matrix */
   Matrix L(rows); // zero initialized
-  for(i=0; i<rows; i++) { 
-    for(j=0; j<cols; j++) 
-      C(i,j)=A(i,j); 
-    C(i,cols)=b[i]; 
+  for(i=0; i<rows; i++) {
+    for(j=0; j<cols; j++)
+      C(i,j)=A(i,j);
+    C(i,cols)=b[i];
     L(i,i) = 1; // diagonal elements are 1
   }
 
 
-  std::vector<int> var(cols); 
+  std::vector<int> var(cols);
   // column $j$ of |C| represents the |var[j]| - th variable
   // the array is indexed between |0| and |cols - 1|
 
@@ -879,134 +879,134 @@ homogeneous_linear_solver(const Matrix &
   int rank = 0; // we have not seen any non-zero row yet
 
   /* here comes the main loop */
-  for(k=0; k<rows; k++) {   
-    bool non_zero_found = false; 
+  for(k=0; k<rows; k++) {
+    bool non_zero_found = false;
     for(i = k; i < rows; i++) { // step through rows $k$ to |rows - 1|
       for (j = k ; j < cols && C(i,j) == 0; j++) {}
       // step through columns |k| to |cols - 1|
-      if (j < cols) {  
-        non_zero_found = true; 
-        break; 
+      if (j < cols) {
+        non_zero_found = true;
+        break;
       }
     }
 
 
-    if ( non_zero_found ) { 
+    if ( non_zero_found ) {
       rank++; //increase the rank
-      if (i != k) { 
-        sign = -sign; 
+      if (i != k) {
+        sign = -sign;
         /* we interchange rows |k| and |i| of |L| and |C| */
         L.swap_rows(i,k); C.swap_rows(i,k);
       }
-      if (j != k) { 
+      if (j != k) {
         /* We interchange columns |k| and |j|, and
            store the exchange of variables in |var| */
-        sign = - sign; 
+        sign = - sign;
         C.swap_columns(j,k);
-        std::swap(var[k],var[j]); 
+        std::swap(var[k],var[j]);
       }
-       
-      for(i = k + 1; i < rows; i++)  
+
+      for(i = k + 1; i < rows; i++)
         for (j = 0; j <  rows; j++)  //and all columns of |L|
-          L(i,j) = (L(i,j)*C(k,k) - C(i,k)*L(k,j))/denom; 
+          L(i,j) = (L(i,j)*C(k,k) - C(i,k)*L(k,j))/denom;
 
-      for(i = k + 1; i < rows; i++) {      
+      for(i = k + 1; i < rows; i++) {
         /* the following iteration uses and changes |C(i,k)| */
-        RT temp = C(i,k); 
+        RT temp = C(i,k);
         for (j = k; j <= cols; j++)
-          C(i,j) = (C(i,j)*C(k,k) - temp*C(k,j))/denom; 
+          C(i,j) = (C(i,j)*C(k,k) - temp*C(k,j))/denom;
       }
-      denom = C(k,k); 
+      denom = C(k,k);
       #ifdef CGAL_LA_SELFTEST
-      for(i = 0; i < rows; i++) { 
-        for (j = 0; j < cols; j++) { 
-          RT Sum = 0; 
-          for (int l = 0; l < rows; l++) 
-            Sum += L(i,l)*A(l, var[j]); 
-          CGAL_assertion_msg( Sum  == C(i,j), 
-            "linear_solver: L*A*P different from C"); 
+      for(i = 0; i < rows; i++) {
+        for (j = 0; j < cols; j++) {
+          RT Sum = 0;
+          for (int l = 0; l < rows; l++)
+            Sum += L(i,l)*A(l, var[j]);
+          CGAL_assertion_msg( Sum  == C(i,j),
+            "linear_solver: L*A*P different from C");
         }
-        RT Sum = 0; 
-        for (int l = 0; l < rows; l++) 
+        RT Sum = 0;
+        for (int l = 0; l < rows; l++)
           Sum += L(i,l)*b[l];
-          CGAL_assertion_msg( Sum  == C(i,cols), 
-            "linear_solver: L*A*P different from C"); 
+          CGAL_assertion_msg( Sum  == C(i,cols),
+            "linear_solver: L*A*P different from C");
       }
       #endif
 
 
     }
-    else 
-      break; 
+    else
+      break;
   }
 
 
-  Vector x; 
-  x = Vector(cols); 
-  D = denom; 
-  for(i = rank - 1; i >= 0; i--) { 
-    RT_ h = C(i,cols) * D; 
-    for (j = i + 1; j < rank; j++) { 
-      h -= C(i,j)*x[var[j]]; 
+  Vector x;
+  x = Vector(cols);
+  D = denom;
+  for(i = rank - 1; i >= 0; i--) {
+    RT_ h = C(i,cols) * D;
+    for (j = i + 1; j < rank; j++) {
+      h -= C(i,j)*x[var[j]];
     }
-    x[var[i]]= h / C(i,i); 
+    x[var[i]]= h / C(i,i);
   }
   #ifdef CGAL_LA_SELFTEST
     CGAL_assertion( (M*x).is_zero() );
   #endif
 
   int defect = cols - rank; // dimension of kernel
-  spanning_vectors = Matrix(cols,defect); 
-   
-  if (defect > 0) { 
-    for(int l=0; l < defect; l++) { 
-      spanning_vectors(var[rank + l],l)=D; 
-      for(i = rank - 1; i >= 0 ; i--) { 
-        RT_ h = - C(i,rank + l)*D; 
-        for ( j= i + 1; j<rank; j++)  
-          h -= C(i,j)*spanning_vectors(var[j],l); 
-        spanning_vectors(var[i],l)= h / C(i,i); 
+  spanning_vectors = Matrix(cols,defect);
+
+  if (defect > 0) {
+    for(int l=0; l < defect; l++) {
+      spanning_vectors(var[rank + l],l)=D;
+      for(i = rank - 1; i >= 0 ; i--) {
+        RT_ h = - C(i,rank + l)*D;
+        for ( j= i + 1; j<rank; j++)
+          h -= C(i,j)*spanning_vectors(var[j],l);
+        spanning_vectors(var[i],l)= h / C(i,i);
       }
   #ifdef CGAL_LA_SELFTEST
-        /* we check whether the $l$ - th spanning vector is a solution 
+        /* we check whether the $l$ - th spanning vector is a solution
            of the homogeneous system */
         CGAL_assertion( (M*spanning_vectors.column(l)).is_zero() );
   #endif
     }
   }
-; 
-  return defect; 
+;
+  return defect;
 }
 
-template <class RT_, class AL_>  
+template <class RT_, class AL_>
 bool  Linear_algebraHd<RT_,AL_>::
 homogeneous_linear_solver(const Matrix& A, Vector& x)
 /* returns true if the homogeneous system $Ax = 0$ has a non - trivial
    solution and false otherwise. */
-{  
+{
   x = Vector(A.row_dimension());
-  Matrix spanning_vectors; 
-  int dimension = homogeneous_linear_solver(A,spanning_vectors); 
-  if (dimension == 0) return false; 
+  Matrix spanning_vectors;
+  int dimension = homogeneous_linear_solver(A,spanning_vectors);
+  if (dimension == 0) return false;
 
   /* return first column of |spanning_vectors| */
-  for (int i = 0; i < spanning_vectors.row_dimension(); i++)  
-    x[i] = spanning_vectors(i,0); 
-  return true; 
+  for (int i = 0; i < spanning_vectors.row_dimension(); i++)
+    x[i] = spanning_vectors(i,0);
+  return true;
 }
 
 
-template <class RT_, class AL_>  
-typename Linear_algebraHd<RT_,AL_>::Matrix 
+template <class RT_, class AL_>
+typename Linear_algebraHd<RT_,AL_>::Matrix
 Linear_algebraHd<RT_,AL_>::transpose(const Matrix& M)
-{ 
-  int d1 = M.row_dimension(); 
-  int d2 = M.column_dimension(); 
-  Matrix result(d2,d1); 
+{
+  int d1 = M.row_dimension();
+  int d2 = M.column_dimension();
+  Matrix result(d2,d1);
   for(int i = 0; i < d2; i++)
     for(int j = 0; j < d1; j++)
-      result(i,j) = M(j,i); 
-  return result; 
+      result(i,j) = M(j,i);
+  return result;
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Line_d.h 5.0.3-1/include/CGAL/Kernel_d/Line_d.h
--- 5.0.2-3/include/CGAL/Kernel_d/Line_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Line_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,26 +1,26 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Line_d.h $
-// $Id: Line_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Line_d.h $
+// $Id: Line_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
 #ifndef CGAL_LINE_D_H
 #define CGAL_LINE_D_H
 
-#include <CGAL/Kernel_d/Pair_d.h> 
-#include <CGAL/Kernel_d/Point_d.h> 
-#include <CGAL/Kernel_d/Direction_d.h> 
-#include <CGAL/Kernel_d/Segment_d.h> 
+#include <CGAL/Kernel_d/Pair_d.h>
+#include <CGAL/Kernel_d/Point_d.h>
+#include <CGAL/Kernel_d/Direction_d.h>
+#include <CGAL/Kernel_d/Segment_d.h>
 #include <CGAL/Kernel_d/Ray_d.h>
 #include <CGAL/Kernel_d/Aff_transformation_d.h>
 #include <CGAL/Dimension.h>
@@ -35,18 +35,18 @@ std::ostream& operator<<(std::ostream&,
 /*{\Manpage {Line_d}{R}{Lines in d-space}{l}}*/
 
 template <class p_R>
-class Line_d : public Handle_for< Pair_d<p_R> > { 
+class Line_d : public Handle_for< Pair_d<p_R> > {
   typedef Pair_d<p_R>      Pair;
   typedef Handle_for<Pair> Base;
   typedef Line_d<p_R>      Self;
 
   using Base::ptr;
 
-/*{\Mdefinition 
+/*{\Mdefinition
 An instance of data type |Line_d| is an oriented line in
 $d$-dimensional Euclidian space.}*/
 
-public: 
+public:
 
   typedef CGAL::Dynamic_dimension_tag Ambient_dimension;
   typedef CGAL::Dimension_tag<1>      Feature_dimension;
@@ -63,26 +63,26 @@ typedef typename p_R::LA LA;
 
 typedef typename Vector_d<R>::Base_vector Base_vector;
 
-friend class Ray_d<R>; 
-friend class Segment_d<R>; 
+friend class Ray_d<R>;
+friend class Segment_d<R>;
 
 private:
 Line_d(const Base& b) : Base(b) {}
-public: 
+public:
 /*{\Mcreation 3}*/
 
 Line_d() : Base( Pair() ) {}
-/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| and 
+/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| and
 initializes it to some line in $d$ - dimensional space }*/
 
 Line_d(const Point_d<R>& p, const Point_d<R>& q)
 /*{\Mcreate introduces a line through |p| and |q| and oriented
-from |p| to |q|. \precond $p$ and $q$ are distinct and have the same 
+from |p| to |q|. \precond $p$ and $q$ are distinct and have the same
 dimension.}*/
  : Base( Pair(p,q) )
-{ CGAL_assertion_msg(!ptr()->is_degenerate(), 
+{ CGAL_assertion_msg(!ptr()->is_degenerate(),
     "Line_d::constructor: the two points must be different." );
-  CGAL_assertion_msg((p.dimension()==q.dimension()), 
+  CGAL_assertion_msg((p.dimension()==q.dimension()),
     "Line_d::constructor: the two points must have the same dimension." );
 }
 
@@ -90,24 +90,24 @@ Line_d(const Point_d<R>& p, const Direct
 /*{\Mcreate introduces a line through |p| with direction |dir|.
 \precond |p| and |dir| have the same dimension, |dir| is not trivial. }*/
   : Base( Pair(p,p+dir.vector()) )
-{ CGAL_assertion_msg((p.dimension()==dir.dimension()), 
+{ CGAL_assertion_msg((p.dimension()==dir.dimension()),
     "Line_d::constructor: the p and dir must have the same dimension." );
-  CGAL_assertion_msg(!dir.is_degenerate(), 
+  CGAL_assertion_msg(!dir.is_degenerate(),
     "Line_d::constructor: dir must be non-degenerate." );
 }
 
-Line_d(const Segment_d<R>& s) 
-/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| and 
+Line_d(const Segment_d<R>& s)
+/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| and
 initializes it to the line through |s.source()| and |s.target()|
 with direction from |s.source()| to |s.target()|.
 \precond $s$ is not degenerate. }*/
-  : Base( s ) 
-{ CGAL_assertion_msg((!s.is_degenerate()), 
+  : Base( s )
+{ CGAL_assertion_msg((!s.is_degenerate()),
     "Line_d::constructor: segment is trivial.");
 }
 
 Line_d(const Ray_d<R>& r) : Base(r) {}
-/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| and 
+/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| and
 initializes it to the line through |r.point(1)| and |r.point(2)|. }*/
 
 
@@ -116,17 +116,17 @@ initializes it to the line through |r.po
 int dimension() const { return (ptr()->_p[0].dimension()); }
 /*{\Mop returns the dimension of the underlying space.}*/
 
-Point_d<R> point(int i) const 
+Point_d<R> point(int i) const
 /*{\Mop returns an arbitrary point on |l|.  It holds that |point(i) ==
 point(j)|, iff |i==j|. Furthermore, |l| is directed from |point(i)| to
 |point(j)|, for all |i < j|.}*/
 { return (ptr()->_p[i%2]); }
 
-Line_d<R> opposite() const 
+Line_d<R> opposite() const
 /*{\Mop returns the line |(point(2),point(1))|. }*/
 { return Line_d<R>(point(1),point(0)); }
 
-Direction_d<R> direction() const 
+Direction_d<R> direction() const
 /*{\Mop  returns the direction of |\Mvar|. }*/
 { return ptr()->direction(); }
 
@@ -135,11 +135,11 @@ Line_d<R> transform(const Aff_transforma
 { return Line_d<R>(point(0).transform(t),point(1).transform(t)); }
 
 Line_d<R> operator+(const Vector_d<R>& v) const
-/*{\Mbinop returns |\Mvar+v|, i.e., |\Mvar| translated by vector $v$.}*/ 
+/*{\Mbinop returns |\Mvar+v|, i.e., |\Mvar| translated by vector $v$.}*/
 { return Line_d<R>(point(0)+v,point(1)+v); }
 
 Point_d<R> projection(const Point_d<R>& p) const
-/*{\Mop returns the point of intersection of |\Mvar| with the hyperplane 
+/*{\Mop returns the point of intersection of |\Mvar| with the hyperplane
 that is orthogonal to |\Mvar| through |p|. }*/
 { Vector_d<R> v = direction().vector();
   Point_d<R> q = point(0);
@@ -148,7 +148,7 @@ that is orthogonal to |\Mvar| through |p
   return res;
 }
 
-bool has_on(const Point_d<R>& p) const 
+bool has_on(const Point_d<R>& p) const
 /*{\Mopl returns true if $p$ lies on |\Mvar| and false otherwise. }*/
 { typename R::Position_on_line_d pos; FT dummy;
   return pos(p,point(0),point(1),dummy); }
@@ -156,16 +156,16 @@ bool has_on(const Point_d<R>& p) const
 bool operator==(const Line_d<R>& l1) const
 { if ( this->identical(l1) ) return true;
   if ( dimension() != l1.dimension() ) return false;
-  return has_on(l1.point(0)) && 
-         direction() == l1.direction(); 
+  return has_on(l1.point(0)) &&
+         direction() == l1.direction();
 }
 
 bool operator!=(const Line_d<R>& l1) const
 { return !operator==(l1); }
 
-friend std::istream& operator>> <> 
+friend std::istream& operator>> <>
 (std::istream&, Line_d<R>&);
-friend std::ostream& operator<< <> 
+friend std::ostream& operator<< <>
 (std::ostream&, const Line_d<R>&);
 
 }; // end of class
@@ -177,8 +177,8 @@ bool weak_equality(const Line_d<R>& l1,
 /*{\Mfunc Test for equality as unoriented lines.}*/
 { if (l1.identical(l2)) return true;
   if (l1.dimension()!=l2.dimension()) return false;
-  return (l1.has_on(l2.point(0)) && 
-          l1.has_on(l2.point(1))); 
+  return (l1.has_on(l2.point(0)) &&
+          l1.has_on(l2.point(1)));
 }
 
 template <class R>
@@ -189,20 +189,20 @@ and false otherwise. }*/
           l1.direction() == -l2.direction()); }
 
 template <class R>
-std::istream& operator>>(std::istream& I, Line_d<R>& l) 
-{ l.copy_on_write(); l.ptr()->read(I); 
+std::istream& operator>>(std::istream& I, Line_d<R>& l)
+{ l.copy_on_write(); l.ptr()->read(I);
   CGAL_assertion_msg(l.point(0)!=l.point(1),
     "Line_d::operator>>: trivial line.");
   CGAL_assertion_msg(l.point(0).dimension()==l.point(1).dimension(),
     "Line_d::operator>>: dimensions disagree.");
-  return I; 
+  return I;
 }
 
 template <class R>
 std::ostream& operator<<(std::ostream& O, const Line_d<R>& l)
 { l.ptr()->print(O,"Line_d"); return O; }
 
-/*{\Mimplementation 
+/*{\Mimplementation
 Lines are implemented by a pair of points as an item type.  All
 operations like creation, initialization, tests, direction
 calculation, input and output on a line $l$ take time
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Line_d_impl.h 5.0.3-1/include/CGAL/Kernel_d/Line_d_impl.h
--- 5.0.2-3/include/CGAL/Kernel_d/Line_d_impl.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Line_d_impl.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Line_d_impl.h $
-// $Id: Line_d_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Line_d_impl.h $
+// $Id: Line_d_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
@@ -18,16 +18,16 @@
 #define CGAL_LINE_D_C
 namespace CGAL {
 
-template <class R> 
+template <class R>
 Line_d<R> Segment_d<R>::supporting_line() const
-{ CGAL_assertion_msg((!is_degenerate()), 
+{ CGAL_assertion_msg((!is_degenerate()),
   "Segment_d::supporting_line(): degenerate segment cannot be converted.");
-  return Line_d<R>(Base(*this)); 
-} 
+  return Line_d<R>(Base(*this));
+}
 
 template <class R>
 Line_d<R> Ray_d<R>::supporting_line() const
-{ return Line_d<R>(Base(*this)); } 
+{ return Line_d<R>(Base(*this)); }
 
 } //namespace CGAL
 #endif //CGAL_LINE_D_C
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Matrix__.h 5.0.3-1/include/CGAL/Kernel_d/Matrix__.h
--- 5.0.2-3/include/CGAL/Kernel_d/Matrix__.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Matrix__.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2000  
+// Copyright (c) 1997-2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Matrix__.h $
-// $Id: Matrix__.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Matrix__.h $
+// $Id: Matrix__.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -26,7 +26,7 @@
 namespace CGAL {
 namespace Linear_Algebra {
 
-template <typename ROW_, typename V_, typename R_, typename P_> 
+template <typename ROW_, typename V_, typename R_, typename P_>
 class column_iterator_ {
   ROW_ row_; unsigned i_;
 public:
@@ -41,20 +41,20 @@ public:
   column_iterator_() : row_(),i_() {}
   column_iterator_(ROW_ row, unsigned i) : row_(row),i_(i) {}
 
-  bool  operator==( const Self& x) const 
+  bool  operator==( const Self& x) const
   { return row_ == x.row_ && i_ == x.i_; }
-  bool  operator!=( const Self& x) const 
+  bool  operator!=( const Self& x) const
   { return !(*this == x); }
 
   R_ operator*()  const { return (**row_)[i_]; }
   P_ operator->() const { return (**row_)+i_; }
 
   Self& operator++() { ++row_; return *this; }
-  Self  operator++(int) 
+  Self  operator++(int)
   { Self tmp = *this; ++*this; return tmp; }
 
   Self& operator--() { --row_; return *this; }
-  Self  operator--(int) 
+  Self  operator--(int)
   { Self tmp = *this; --*this; return tmp; }
 
   Self operator+(difference_type i) const
@@ -63,10 +63,10 @@ public:
   { return Self(row_-i,i_); }
   difference_type operator-(const Self& x) const
   { return (row_ - x.row_); }
-      
+
 };
 
-template <typename ROW_, typename V_, typename R_, typename P_> 
+template <typename ROW_, typename V_, typename R_, typename P_>
 class component_iterator_ {
   ROW_ row_;  // pointer to row
   int i_, n_; // offset and limit
@@ -80,12 +80,12 @@ public:
   typedef std::bidirectional_iterator_tag iterator_category;
 
   component_iterator_() : row_(),i_(),n_() {}
-  component_iterator_(ROW_ row, int i, int n) 
+  component_iterator_(ROW_ row, int i, int n)
     : row_(row),i_(i),n_(n) {}
 
-  bool  operator==( const Self& x) const 
+  bool  operator==( const Self& x) const
   { return row_==x.row_ && i_==x.i_; }
-  bool  operator!=( const Self& x) const   
+  bool  operator!=( const Self& x) const
   { return !(*this == x); }
 
   R_    operator*()  const { return (**row_)[i_]; }
@@ -95,7 +95,7 @@ public:
   Self  operator++(int) { Self tmp = *this; ++*this; return tmp; }
   Self& operator--() { --i_; if (i_<0) { --row_; i_=n_-1; } return *this; }
   Self  operator--(int) { Self tmp = *this; --*this; return tmp; }
-     
+
 };
 
 
@@ -110,8 +110,8 @@ Matrix_#Matrix
 /*{\Manpage {Matrix}{}{Matrices with NT Entries}{M}}*/
 
 template <class NT_, class AL_>
-class Matrix_ 
-{ 
+class Matrix_
+{
 /*{\Mdefinition An instance of data type |\Mname| is a matrix of
 variables of number type |NT|. The types |\Mname| and |Vector_|
 together realize many functions of basic linear algebra.}*/
@@ -124,12 +124,12 @@ typedef Vector_<NT_,AL_>* vector_pointer
 typedef const Vector_<NT_,AL_>* const_vector_pointer;
 
 typedef NT_ NT;
-/*{\Mtypemember the ring type of the components.}*/ 
+/*{\Mtypemember the ring type of the components.}*/
 
 typedef component_iterator_<vector_pointer*,NT,NT&,NT*> iterator;
 /*{\Mtypemember bidirectional iterator for accessing all components
 row-wise.}*/
-typedef component_iterator_<vector_pointer*,NT,const NT&,const NT*> 
+typedef component_iterator_<vector_pointer*,NT,const NT&,const NT*>
   const_iterator;
 
 typedef NT* row_iterator;
@@ -138,8 +138,8 @@ typedef NT* row_iterator;
 typedef const NT* row_const_iterator;
 
 typedef column_iterator_<vector_pointer*,NT,NT&,NT*> column_iterator;
-/*{\Mtypemember random access iterator for accessing column entries.}*/ 
-typedef column_iterator_<vector_pointer*,NT,const NT&, const NT*> 
+/*{\Mtypemember random access iterator for accessing column entries.}*/
+typedef column_iterator_<vector_pointer*,NT,const NT&, const NT*>
   column_const_iterator;
 
 /*{\Mtext There also constant versions of the above iterators:
@@ -149,15 +149,15 @@ class Identity {};
 /*{\Mtypemember a tag class for identity initialization}*/
 
 typedef Vector_<NT_,AL_> Vector;
-/*{\Mtypemember the vector type used.}*/ 
+/*{\Mtypemember the vector type used.}*/
 
 protected:
-vector_pointer* v_; int dm_,dn_; 
+vector_pointer* v_; int dm_,dn_;
 
 NT& elem(int i, int j) const { return v_[i]->v_[j]; }
 
   typedef typename std::allocator_traits<AL_>:: template rebind_alloc<vector_pointer> allocator_type;
-  
+
 allocator_type& allocator()
 {
   CGAL_STATIC_THREAD_LOCAL_VARIABLE_0(allocator_type, MM);
@@ -186,9 +186,9 @@ inline void deallocate_mat_space(vector_
 }
 
 inline void check_dimensions(const Matrix_<NT_,AL_>& mat) const
-{ 
+{
   CGAL_USE(mat);
-  CGAL_assertion_msg((dm_ == mat.dm_ && dn_ == mat.dn_), 
+  CGAL_assertion_msg((dm_ == mat.dm_ && dn_ == mat.dn_),
     "Matrix::check_dimensions: incompatible matrix dimensions.") ;
 }
 
@@ -198,33 +198,33 @@ public:
 
 Matrix_() : dm_(0),dn_(0) { v_ = (Vector**)0; }
 /*{\Mcreate creates an instance |\Mvar| of type |\Mname|.}*/
-Matrix_(int n); 
+Matrix_(int n);
 /*{\Mcreate creates an instance |\Mvar| of type |\Mname| of
 dimension $n \times n$ initialized to the zero matrix.}*/
-Matrix_(int m, int n); 
-/*{\Mcreate creates an instance |\Mvar| of type |\Mname| of 
+Matrix_(int m, int n);
+/*{\Mcreate creates an instance |\Mvar| of type |\Mname| of
 dimension $m \times n$ initialized to the zero matrix.}*/
 Matrix_(std::pair<int,int> p);
 /*{\Mcreate creates an instance |\Mvar| of type |\Mname| of dimension
 |p.first|$\times$|p.second| initialized to the zero matrix.}*/
-Matrix_(int n , const Identity&, const NT& x = NT(1) ); 
+Matrix_(int n , const Identity&, const NT& x = NT(1) );
 /*{\Mcreate creates an instance |\Mvar| of type |\Mname| of
 dimension $n \times n$ initialized to the identity matrix
 (times |x|).}*/
 Matrix_(int m, int n, const NT& x);
-/*{\Mcreate creates an instance |\Mvar| of type |\Mname| of 
+/*{\Mcreate creates an instance |\Mvar| of type |\Mname| of
 dimension $m \times n$ initialized to the matrix with |x|
 entries.}*/
 
 template <class RAIterator>
-void range_initialize(RAIterator first, RAIterator last,  
-                      std::random_access_iterator_tag) 
+void range_initialize(RAIterator first, RAIterator last,
+                      std::random_access_iterator_tag)
 { typedef typename std::iterator_traits<RAIterator>::value_type value_type;
   typedef typename value_type::const_iterator const_iterator;
   dn_ = static_cast<int>(last-first);
   if (dn_ == 0) { dm_=0; v_=0; return; }
-  dm_ = first->dimension(); 
-  if (dm_ > 0) { 
+  dm_ = first->dimension();
+  if (dm_ > 0) {
     int i,j;
     allocate_mat_space(v_,dm_);
     for (i=0; i<dm_; i++) {
@@ -235,14 +235,14 @@ void range_initialize(RAIterator first,
     for (j=0; first != last; ++j, ++first) // column wise
       for (i=0, it=first->begin(); it != first->end(); ++i, ++it) // row wise
         elem(i,j) = *it;
-  } else 
-    v_ = (Vector**)0; 
+  } else
+    v_ = (Vector**)0;
 }
 
 template <class InputIterator>
-void range_initialize(InputIterator first, InputIterator last, 
-                 std::forward_iterator_tag) 
-{ typedef typename std::iterator_traits<InputIterator>::value_type 
+void range_initialize(InputIterator first, InputIterator last,
+                 std::forward_iterator_tag)
+{ typedef typename std::iterator_traits<InputIterator>::value_type
     value_type;
   std::vector<value_type> V(first,last);
   range_initialize(V.begin(),V.end(),std::random_access_iterator_tag());
@@ -258,11 +258,11 @@ by the iterator range |[first,last)|.  |
 provide a iterator type |V::const_iterator|, to have |V::value_type ==
 NT|.\\ Note that |Vector_| or |std::vector<NT>| fulfill these
 requirements.}*/
-{ typedef typename std::iterator_traits<Forward_iterator>::iterator_category 
+{ typedef typename std::iterator_traits<Forward_iterator>::iterator_category
     iterator_category;
   range_initialize(first,last,iterator_category()); }
 
-Matrix_(const std::vector< Vector >& A) 
+Matrix_(const std::vector< Vector >& A)
 /*{\Mcreate creates an instance |\Mvar| of type |\Mname|. Let $A$ be
 an array of $n$ column-vectors of common dimension $m$.  |\Mvar| is
 initialized to an $m \times n$ matrix with the columns as specified by
@@ -270,16 +270,16 @@ $A$. }*/
 { range_initialize(A.begin(),A.end(),
     std::random_access_iterator_tag()); }
 
-Matrix_(const Matrix_<NT_,AL_>&); 
+Matrix_(const Matrix_<NT_,AL_>&);
 
-Matrix_(const Vector&); 
+Matrix_(const Vector&);
 /* creates a $d \times 1$ matrix */
 
-Matrix_(int, int, NT**); 
+Matrix_(int, int, NT**);
 
 Matrix_<NT_,AL_>& operator=(const Matrix_<NT_,AL_>&);
 
-~Matrix_(); 
+~Matrix_();
 
 /*{\Moperations 3 4}*/
 
@@ -289,7 +289,7 @@ int row_dimension()  const {  return dm_
 int column_dimension()  const { return dn_; }
 /*{\Mop returns $m$, the number of columns of |\Mvar|.}*/
 
-std::pair<int,int> dimension() const 
+std::pair<int,int> dimension() const
 /*{\Mop returns $(m,n)$, the dimension pair of |\Mvar|.}*/
 { return std::pair<int,int>(dm_,dn_); }
 
@@ -297,95 +297,95 @@ Vector& row(int i) const
 /*{\Mop returns the $i$-th row of |\Mvar| (an $m$ - vector).\\
 \precond  $0 \le i \le m - 1$. }*/
 { CGAL_assertion_msg((0<=i && i<dm_),"Matrix_: row index out of range.");
-  return *v_[i]; 
+  return *v_[i];
 }
 
-Vector column(int i) const 
+Vector column(int i) const
 /*{\Mop returns the $i$-th column of |\Mvar| (an $n$ - vector).\\
 \precond  $0 \le i \le n - 1$. }*/
 { return Vector(column_begin(i),column_end(i)); }
 
-Vector to_vector() const 
-{ 
-  CGAL_assertion_msg((dn_==1), 
+Vector to_vector() const
+{
+  CGAL_assertion_msg((dn_==1),
     "Matrix_::to_vector: cannot make vector from matrix.");
-  return column(0); 
+  return column(0);
 }
 
-Vector_<NT_,AL_>& operator[](int i) const  
-{ 
-  CGAL_assertion_msg((0<=i && i<dm_), 
+Vector_<NT_,AL_>& operator[](int i) const
+{
+  CGAL_assertion_msg((0<=i && i<dm_),
     "Matrix_::operator[]: index out of range.");
-  return row(i); 
+  return row(i);
 }
 
 NT& operator()(int i, int j)
 /*{\Mfunop returns $M_{ i,j }$. \\
 \precond $0\le i\le m-1$ and $0\le j\le n-1$. }*/
-{ CGAL_assertion_msg((0<=i && i<dm_), 
+{ CGAL_assertion_msg((0<=i && i<dm_),
     "Matrix_::operator(): row index out of range.");
-  CGAL_assertion_msg((0<=j && j<dn_), 
+  CGAL_assertion_msg((0<=j && j<dn_),
     "Matrix_::operator(): column index out of range.");
-  return elem(i,j); 
+  return elem(i,j);
 }
 
 NT operator()(int i, int j) const
-{ 
-  CGAL_assertion_msg((0<=i && i<dm_), 
+{
+  CGAL_assertion_msg((0<=i && i<dm_),
     "Matrix_::operator(): row index out of range.");
-  CGAL_assertion_msg((0<=j && j<dn_), 
+  CGAL_assertion_msg((0<=j && j<dn_),
     "Matrix_::operator(): column index out of range.");
-  return elem(i,j); 
+  return elem(i,j);
 }
 
 void swap_rows(int i, int j)
 /*{\Mop swaps rows $i$ and $j$.
 \precond $0\le i\le m-1$ and $0\le j\le m-1$.}*/
 { CGAL_assertion(0<=i && i<dm_ && 0<=j && j<dm_);
-  std::swap(v_[i],v_[j]); 
+  std::swap(v_[i],v_[j]);
 }
 
-void swap_columns(int i, int j) 
+void swap_columns(int i, int j)
 /*{\Mop swaps columns $i$ and $j$.
 \precond $0\le i\le n-1$ and $0\le j\le n-1$.}*/
 { CGAL_assertion(0<=i && i<dn_ && 0<=j && j<dn_);
-  for(int l = 0; l < dm_; l++) std::swap(elem(l,i),elem(l,j)); 
+  for(int l = 0; l < dm_; l++) std::swap(elem(l,i),elem(l,j));
 }
 
-row_iterator row_begin(int i) 
+row_iterator row_begin(int i)
 /*{\Mop an iterator pointing to the first entry of the $i$th row.
 \precond $0\le i\le m-1$.}*/
 { CGAL_assertion_msg((0<=i&&i<dm_),"Matrix: row index out of range.");
   return v_[i]->begin(); }
 
-row_iterator row_end(int i)   
+row_iterator row_end(int i)
 /*{\Mop an iterator pointing beyond the last entry of the $i$th row.
 \precond $0\le i\le m-1$.}*/
 { CGAL_assertion_msg((0<=i&&i<dm_),"Matrix: row index out of range.");
   return v_[i]->end(); }
 
-row_const_iterator row_begin(int i) const 
+row_const_iterator row_begin(int i) const
 { CGAL_assertion_msg(0<=i&&i<dm_,"Matrix: row index out of range.");
   return v_[i]->begin(); }
-row_const_iterator row_end(int i) const  
+row_const_iterator row_end(int i) const
 { CGAL_assertion_msg(0<=i&&i<dm_,"Matrix: row index out of range.");
   return v_[i]->end(); }
 
-column_iterator column_begin(int i) 
+column_iterator column_begin(int i)
 /*{\Mop an iterator pointing to the first entry of the $i$th column.
 \precond $0\le i\le n-1$.}*/
 { CGAL_assertion_msg(0<=i&&i<dn_,"Matrix: column index out of range.");
   return column_iterator(v_,i); }
 
-column_iterator column_end(int i)   
+column_iterator column_end(int i)
 /*{\Mop an iterator pointing beyond the last entry of the $i$th column.
 \precond $0\le i\le n-1$.}*/
 { return column_begin(i)+dm_; }
 
-column_const_iterator column_begin(int i) const 
+column_const_iterator column_begin(int i) const
 { CGAL_assertion_msg(0<=i&&i<dn_,"Matrix: column index out of range.");
   return column_const_iterator(v_,i); }
-column_const_iterator column_end(int i)   const 
+column_const_iterator column_end(int i)   const
 { return column_begin(i)+dm_; }
 
 iterator begin() { return iterator(v_,0,dn_); }
@@ -399,10 +399,10 @@ const_iterator end() const { return cons
 /*{\Mtext The same operations exist for |row_const_iterator| and
 |column_const_iterator|.}*/
 
-bool  operator==(const Matrix_<NT_,AL_>& M1)  const; 
+bool  operator==(const Matrix_<NT_,AL_>& M1)  const;
 /*{\Mbinop Test for equality. }*/
 
-bool  operator!=(const Matrix_<NT_,AL_>& M1)  const 
+bool  operator!=(const Matrix_<NT_,AL_>& M1)  const
 /*{\Mbinop Test for inequality. }*/
 { return !(*this == M1); }
 
@@ -412,48 +412,48 @@ bool  operator!=(const Matrix_<NT_,AL_>&
 \addtolength{\typewidth}{\colsep}
 \callwidth2cm
 \computewidths
-\newcommand{\dimeq}[2]{ 
+\newcommand{\dimeq}[2]{
 \\|M.row_dimension() == M1.row_dimension()| and
 \\|M.column_dimension() == M1.column_dimension()|
 }
 }*/
 
-Matrix_<NT_,AL_> operator+ (const Matrix_<NT_,AL_>& M1); 
+Matrix_<NT_,AL_> operator+ (const Matrix_<NT_,AL_>& M1);
 /*{\Mbinop Addition. \precond \dimeq.}*/
 
-Matrix_<NT_,AL_> operator- (const Matrix_<NT_,AL_>& M1); 
+Matrix_<NT_,AL_> operator- (const Matrix_<NT_,AL_>& M1);
 /*{\Mbinop Subtraction. \precond \dimeq.}*/
 
 Matrix_<NT_,AL_> operator-(); // unary
 /*{\Munop Negation.}*/
 
-Matrix_<NT_,AL_>& operator-=(const Matrix_<NT_,AL_>&); 
+Matrix_<NT_,AL_>& operator-=(const Matrix_<NT_,AL_>&);
 
-Matrix_<NT_,AL_>& operator+=(const Matrix_<NT_,AL_>&); 
+Matrix_<NT_,AL_>& operator+=(const Matrix_<NT_,AL_>&);
 
-Matrix_<NT_,AL_> operator*(const Matrix_<NT_,AL_>& M1) const; 
+Matrix_<NT_,AL_> operator*(const Matrix_<NT_,AL_>& M1) const;
 /*{\Mbinop Multiplication. \precond \\ |\Mvar.column_dimension() = M1.row_dimension()|. }*/
 
-Vector_<NT_,AL_> 
+Vector_<NT_,AL_>
 operator*(const Vector_<NT_,AL_>& vec) const
 {  return ((*this) * Matrix_<NT_,AL_>(vec)).to_vector(); }
 /*{\Mbinop  Multiplication with vector. \precond \\
 |\Mvar.column_dimension() = vec.dimension()|.}*/
 
-Matrix_<NT_,AL_> compmul(const NT& x) const; 
+Matrix_<NT_,AL_> compmul(const NT& x) const;
 
-static int compare(const Matrix_<NT_,AL_>& M1, 
+static int compare(const Matrix_<NT_,AL_>& M1,
                    const Matrix_<NT_,AL_>& M2);
 
 }; // end of class
 
 /*{\Xtext \headerline{Input and Output}}*/
 
-template <class NT_, class AL_> 
+template <class NT_, class AL_>
 std::ostream&  operator<<(std::ostream& os, const Matrix_<NT_,AL_>& M);
 /*{\Xbinopfunc writes matrix |\Mvar| row by row to the output stream |os|.}*/
 
-template <class NT_, class AL_> 
+template <class NT_, class AL_>
 std::istream&  operator>>(std::istream& is, Matrix_<NT_,AL_>& M);
 /*{\Xbinopfunc reads matrix |\Mvar| row by row from the input stream |is|.}*/
 
@@ -461,44 +461,44 @@ std::istream&  operator>>(std::istream&
 template <class NT_, class AL_>
 Matrix_<NT_,AL_>::
 Matrix_(int dim) : dm_(dim),dn_(dim)
-{ 
-  CGAL_assertion_msg((dim >= 0), 
+{
+  CGAL_assertion_msg((dim >= 0),
     "Matrix_::constructor: negative dimension.");
-  if (dm_ > 0) { 
+  if (dm_ > 0) {
     allocate_mat_space(v_,dm_);
-    for (int i=0; i<dm_; i++) 
+    for (int i=0; i<dm_; i++)
       v_[i] = new Vector(dn_);
-  } else 
-    v_ = (Vector**)0; 
+  } else
+    v_ = (Vector**)0;
 }
 
 template <class NT_, class AL_>
 Matrix_<NT_,AL_>::
 Matrix_(int dim1, int dim2) : dm_(dim1),dn_(dim2)
-{ 
-  CGAL_assertion_msg((dim1>=0 && dim2>=0), 
+{
+  CGAL_assertion_msg((dim1>=0 && dim2>=0),
     "Matrix_::constructor: negative dimension.");
 
-  if (dm_ > 0) { 
+  if (dm_ > 0) {
     allocate_mat_space(v_,dm_);
-    for (int i=0; i<dm_; i++) 
-      v_[i] = new Vector(dn_); 
-  } else 
-    v_ = (Vector**)0; 
+    for (int i=0; i<dm_; i++)
+      v_[i] = new Vector(dn_);
+  } else
+    v_ = (Vector**)0;
 }
 
 template <class NT_, class AL_>
 Matrix_<NT_,AL_>::
 Matrix_(std::pair<int,int> p) : dm_(p.first),dn_(p.second)
-{ 
-  CGAL_assertion_msg((dm_>=0 && dn_>=0), 
+{
+  CGAL_assertion_msg((dm_>=0 && dn_>=0),
     "Matrix_::constructor: negative dimension.");
-  if (dm_ > 0) { 
+  if (dm_ > 0) {
     allocate_mat_space(v_,dm_);
-    for (int i=0; i<dm_; i++) 
-      v_[i] = new Vector(dn_); 
-  } else 
-    v_ = (Vector**)0; 
+    for (int i=0; i<dm_; i++)
+      v_[i] = new Vector(dn_);
+  } else
+    v_ = (Vector**)0;
 }
 
 template <class NT_, class AL_>
@@ -506,47 +506,47 @@ Matrix_<NT_,AL_>::
 Matrix_(int dim, const Identity&, const NT& x) : dm_(dim),dn_(dim)
 { CGAL_assertion_msg((dim >= 0),
     "matrix::constructor: negative dimension.");
-  if (dm_ > 0) { 
+  if (dm_ > 0) {
     allocate_mat_space(v_,dm_);
-    for (int i=0; i<dm_; i++) 
-      v_[i] = new Vector(dn_); 
+    for (int i=0; i<dm_; i++)
+      v_[i] = new Vector(dn_);
     if (x!=NT(0)) for (int i=0; i<dm_; ++i) elem(i,i)=x;
-  } else 
-    v_ = (Vector**)0; 
+  } else
+    v_ = (Vector**)0;
 }
 
 template <class NT_, class AL_>
 Matrix_<NT_,AL_>::
 Matrix_(int dim1, int dim2, const NT& x) : dm_(dim1),dn_(dim2)
-{ CGAL_assertion_msg((dim1>=0 && dim2>=0), 
+{ CGAL_assertion_msg((dim1>=0 && dim2>=0),
     "Matrix_::constructor: negative dimension.");
-  if (dm_ > 0) { 
+  if (dm_ > 0) {
     allocate_mat_space(v_,dm_);
     for (int i=0; i<dm_; ++i) v_[i] = new Vector(dn_,x);
-  } else 
-    v_ = (Vector**)0; 
+  } else
+    v_ = (Vector**)0;
 }
 
 template <class NT_, class AL_>
 Matrix_<NT_,AL_>::
 Matrix_(const Matrix_<NT_,AL_>& p) : dm_(p.dm_),dn_(p.dn_)
-{ if (dm_ > 0) {  
+{ if (dm_ > 0) {
     allocate_mat_space(v_,dm_);
-    for (int i=0; i<dm_; i++) 
-      v_[i] = new Vector(*p.v_[i]); 
+    for (int i=0; i<dm_; i++)
+      v_[i] = new Vector(*p.v_[i]);
   }
-  else 
-    v_ = (Vector_<NT_,AL_>**)0; 
+  else
+    v_ = (Vector_<NT_,AL_>**)0;
 }
 
 template <class NT_, class AL_>
 Matrix_<NT_,AL_>::
 Matrix_(const Vector& v) : dm_(v.d_),dn_(1)
 { if (dm_>0) allocate_mat_space(v_,dm_);
-  else v_ = (Vector_<NT_,AL_>**)0; 
-  for(int i = 0; i < dm_; i++) { 
-    v_[i] = new Vector(1); 
-    elem(i,0) = v[i]; 
+  else v_ = (Vector_<NT_,AL_>**)0;
+  for(int i = 0; i < dm_; i++) {
+    v_[i] = new Vector(1);
+    elem(i,0) = v[i];
   }
 }
 
@@ -554,54 +554,54 @@ Matrix_(const Vector& v) : dm_(v.d_),dn_
 template <class NT_, class AL_>
 Matrix_<NT_,AL_>::
 Matrix_(int dim1, int dim2, NT** p) : dm_(dim1),dn_(dim2)
-{ 
-  CGAL_assertion_msg((dim1 >= 0 && dim2 >= 0), 
+{
+  CGAL_assertion_msg((dim1 >= 0 && dim2 >= 0),
     "Matrix_::constructor: negative dimension.");
   if (dm_ > 0) {
     allocate_mat_space(v_,dm_);
-    for(int i=0; i<dm_; i++) { 
-      v_[i] = new Vector_<NT_,AL_>(dn_); 
-      for(int j=0; j<dn_; j++) 
-        elem(i,j) = p[i][j]; 
+    for(int i=0; i<dm_; i++) {
+      v_[i] = new Vector_<NT_,AL_>(dn_);
+      for(int j=0; j<dn_; j++)
+        elem(i,j) = p[i][j];
     }
-  } else 
-    v_ = (Vector_<NT_,AL_>**)0; 
+  } else
+    v_ = (Vector_<NT_,AL_>**)0;
 }
 
 
 template <class NT_, class AL_>
 Matrix_<NT_,AL_>& Matrix_<NT_,AL_>::
 operator=(const Matrix_<NT_,AL_>& mat)
-{ 
+{
   if (&mat == this)
     return *this;
 
-  int i,j; 
-  if (dm_ != mat.dm_ || dn_ != mat.dn_) { 
-    for(i=0; i<dm_; i++) delete v_[i]; 
+  int i,j;
+  if (dm_ != mat.dm_ || dn_ != mat.dn_) {
+    for(i=0; i<dm_; i++) delete v_[i];
     if (v_) deallocate_mat_space(v_,dm_);
 
-    dm_ = mat.dm_; dn_ = mat.dn_; 
+    dm_ = mat.dm_; dn_ = mat.dn_;
     if (dm_>0)
       allocate_mat_space(v_,dm_);
-    for(i = 0; i < dm_; i++) 
-      v_[i] = new Vector(dn_); 
+    for(i = 0; i < dm_; i++)
+      v_[i] = new Vector(dn_);
   }
 
   for(i = 0; i < dm_; i++)
-    for(j = 0; j < dn_; j++) 
-      elem(i,j) = mat.elem(i,j); 
-  return *this; 
+    for(j = 0; j < dn_; j++)
+      elem(i,j) = mat.elem(i,j);
+  return *this;
 }
 
 
 template <class NT_, class AL_>
 Matrix_<NT_,AL_>::
-~Matrix_()  
-{ 
+~Matrix_()
+{
   if (v_) {
-    for (int i=0; i<dm_; i++) 
-      delete v_[i];  
+    for (int i=0; i<dm_; i++)
+      delete v_[i];
     deallocate_mat_space(v_,dm_);
   }
 }
@@ -610,86 +610,86 @@ Matrix_<NT_,AL_>::
 template <class NT_, class AL_>
 inline bool Matrix_<NT_,AL_>::
 operator==(const Matrix_<NT_,AL_>& x) const
-{ 
-  int i,j; 
-  if (dm_ != x.dm_ || dn_ != x.dn_) 
-    return false; 
+{
+  int i,j;
+  if (dm_ != x.dm_ || dn_ != x.dn_)
+    return false;
 
   for(i = 0; i < dm_; i++)
     for(j = 0; j < dn_; j++)
-      if (elem(i,j) != x.elem(i,j)) 
-        return false; 
-  return true; 
+      if (elem(i,j) != x.elem(i,j))
+        return false;
+  return true;
 }
 
 template <class NT_, class AL_>
 Matrix_<NT_,AL_> Matrix_<NT_,AL_>::
 operator+ (const Matrix_<NT_,AL_>& mat)
-{ 
-  int i,j; 
-  check_dimensions(mat); 
-  Matrix_<NT_,AL_> result(dm_,dn_); 
+{
+  int i,j;
+  check_dimensions(mat);
+  Matrix_<NT_,AL_> result(dm_,dn_);
   for(i=0; i<dm_; i++)
     for(j=0; j<dn_; j++)
-      result.elem(i,j) = elem(i,j) + mat.elem(i,j); 
-  return result; 
+      result.elem(i,j) = elem(i,j) + mat.elem(i,j);
+  return result;
 }
 
 template <class NT_, class AL_>
 Matrix_<NT_,AL_> Matrix_<NT_,AL_>::
 operator- (const Matrix_<NT_,AL_>& mat)
-{ 
-  int i,j; 
-  check_dimensions(mat); 
-  Matrix_<NT_,AL_> result(dm_,dn_); 
+{
+  int i,j;
+  check_dimensions(mat);
+  Matrix_<NT_,AL_> result(dm_,dn_);
   for(i=0; i<dm_; i++)
     for(j=0; j<dn_; j++)
-      result.elem(i,j) = elem(i,j) - mat.elem(i,j); 
-  return result; 
+      result.elem(i,j) = elem(i,j) - mat.elem(i,j);
+  return result;
 }
 
 template <class NT_, class AL_>
 Matrix_<NT_,AL_> Matrix_<NT_,AL_>::
 operator- ()  // unary
-{ 
-  int i,j; 
-  Matrix_<NT_,AL_> result(dm_,dn_); 
+{
+  int i,j;
+  Matrix_<NT_,AL_> result(dm_,dn_);
   for(i=0; i<dm_; i++)
     for(j=0; j<dn_; j++)
-      result.elem(i,j) = -elem(i,j); 
-  return result; 
+      result.elem(i,j) = -elem(i,j);
+  return result;
 }
 
 template <class NT_, class AL_>
 Matrix_<NT_,AL_>& Matrix_<NT_,AL_>::
-operator-= (const Matrix_<NT_,AL_>& mat) 
-{ 
-  int i,j; 
-  check_dimensions(mat); 
+operator-= (const Matrix_<NT_,AL_>& mat)
+{
+  int i,j;
+  check_dimensions(mat);
   for(i=0; i<dm_; i++)
     for(j=0; j<dn_; j++)
-      elem(i,j) -= mat.elem(i,j); 
-  return *this; 
+      elem(i,j) -= mat.elem(i,j);
+  return *this;
 }
 
 template <class NT_, class AL_>
 Matrix_<NT_,AL_>& Matrix_<NT_,AL_>::
-operator+= (const Matrix_<NT_,AL_>& mat) 
-{ 
-  int i,j; 
-  check_dimensions(mat); 
+operator+= (const Matrix_<NT_,AL_>& mat)
+{
+  int i,j;
+  check_dimensions(mat);
   for(i=0; i<dm_; i++)
     for(j=0; j<dn_; j++)
-      elem(i,j) += mat.elem(i,j); 
-  return *this; 
+      elem(i,j) += mat.elem(i,j);
+  return *this;
 }
 
 template <class NT_, class AL_>
 inline Matrix_<NT_,AL_> Matrix_<NT_,AL_>::
 operator*(const Matrix_<NT_,AL_>& M1) const
-{ CGAL_assertion_msg((dn_==M1.dm_), 
-    "Matrix_::operator*: incompatible matrix types."); 
-  Matrix_<NT_,AL_> result(dm_,M1.dn_); 
+{ CGAL_assertion_msg((dn_==M1.dm_),
+    "Matrix_::operator*: incompatible matrix types.");
+  Matrix_<NT_,AL_> result(dm_,M1.dn_);
   int i,j,l;
   for (i=0; i<dm_; ++i)
     for (j=0; j<M1.dn_; ++j)
@@ -701,13 +701,13 @@ operator*(const Matrix_<NT_,AL_>& M1) co
 template <class NT_, class AL_>
 inline Matrix_<NT_,AL_> Matrix_<NT_,AL_>::
 compmul(const NT& f) const
-{ 
-  int i,j; 
-  Matrix_<NT_,AL_> result(dm_,dn_); 
+{
+  int i,j;
+  Matrix_<NT_,AL_> result(dm_,dn_);
   for(i=0; i<dm_; i++)
     for(j=0; j<dn_; j++)
-      result.elem(i,j) = elem(i,j) *f; 
-  return result; 
+      result.elem(i,j) = elem(i,j) *f;
+  return result;
 }
 
 
@@ -725,21 +725,21 @@ Matrix_<NT,AL>  operator*(const Matrix_<
 
 
 
-template <class NT_, class AL_> 
+template <class NT_, class AL_>
 int Matrix_<NT_,AL_>::
-compare(const Matrix_<NT_,AL_>& M1, const Matrix_<NT_,AL_>& M2) 
+compare(const Matrix_<NT_,AL_>& M1, const Matrix_<NT_,AL_>& M2)
 { int i; int res;
   M1.check_dimensions(M2);
-  for(i=0; i < M1.row_dimension() && 
+  for(i=0; i < M1.row_dimension() &&
       (res = compare(M1.row(i),M2.row(i))) != 0; i++) {}
   return res;
 }
 
 
-template <class NT_, class AL_> 
+template <class NT_, class AL_>
 std::ostream&  operator<<(std::ostream& os, const Matrix_<NT_,AL_>& M)
-{ 
-  /* syntax: d1 d2 
+{
+  /* syntax: d1 d2
              x_0,0    ... x_0,d1-1
                   d2-times
              x_d2-1,0 ... x_d2-1,d1-1 */
@@ -781,17 +781,17 @@ std::ostream&  operator<<(std::ostream&
     return os;
 }
 
-template <class NT_, class AL_> 
-std::istream&  operator>>(std::istream& is, Matrix_<NT_,AL_>& M) 
-{ 
-  /* syntax: d1 d2 
+template <class NT_, class AL_>
+std::istream&  operator>>(std::istream& is, Matrix_<NT_,AL_>& M)
+{
+  /* syntax: d1 d2
              x_0,0  ... x_0,d1-1
                   d2-times
              x_d2,0 ... x_d2,d1-1 */
 
   int cdim, rdim, i;
   switch(get_mode(is)) {
-    case CGAL::IO::BINARY : 
+    case CGAL::IO::BINARY :
       CGAL::read(is,rdim);
       CGAL::read(is,cdim);
       for (i=0; i<rdim*cdim; ++i)
@@ -802,7 +802,7 @@ std::istream&  operator>>(std::istream&
       M = Matrix_<NT_,AL_>(rdim,cdim);
       for (i=0; i<rdim*cdim; ++i)
         is >> M(i/rdim,i%cdim);
-      break; 
+      break;
     default:
       std::cerr<<"\nStream must be in ascii or binary mode"<<std::endl;
       break;
@@ -811,7 +811,7 @@ std::istream&  operator>>(std::istream&
 }
 
 
-/*{\Ximplementation 
+/*{\Ximplementation
 The data type |\Mname| is implemented by two-dimensional arrays of
 variables of type |NT|. The memory layout is row oriented. Operation
 |column| takes time $O(n)$, |row|, |dim1|, |dim2| take constant time,
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Pair_d.h 5.0.3-1/include/CGAL/Kernel_d/Pair_d.h
--- 5.0.2-3/include/CGAL/Kernel_d/Pair_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Pair_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2000  
+// Copyright (c) 1997-2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Pair_d.h $
-// $Id: Pair_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Pair_d.h $
+// $Id: Pair_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 #ifndef CGAL_PAIR_D_H
@@ -25,8 +25,8 @@ template <class R> class Segment_d;
 template <class R> class Ray_d;
 template <class R> class Line_d;
 
-template <class R> 
-class Pair_d 
+template <class R>
+class Pair_d
 {
   typedef Pair_d<R> Self;
   typedef typename R::Point_d Point_d;
@@ -34,45 +34,45 @@ class Pair_d
   typedef typename R::Direction_d Direction_d;
   Point_d _p[2];
 
-  friend class Line_d<R>; 
-  friend class Ray_d<R>; 
-  friend class Segment_d<R>; 
-   
+  friend class Line_d<R>;
+  friend class Ray_d<R>;
+  friend class Segment_d<R>;
+
 /* Any line object in $d$ - space is defined by two points |_p1| and |_p2|
 respectively. There exists an orientation from _p1 to _p2. */
 
-public: 
+public:
 Pair_d(int d = 0) { _p[0]=_p[1]=Point_d(d); }
 
 Pair_d(const Point_d& p, const Point_d& q)
-{ CGAL_assertion_msg((p.dimension() == q.dimension()), 
-  "Pair_d::constructor: source and target must have the same dimension."); 
+{ CGAL_assertion_msg((p.dimension() == q.dimension()),
+  "Pair_d::constructor: source and target must have the same dimension.");
   _p[0]=p; _p[1]=q;
 }
 
 bool is_degenerate() const
 { return (_p[0] == _p[1]); }
 
-Vector_d vector() const 
+Vector_d vector() const
 { return (_p[1] - _p[0]); }
 
 Direction_d direction() const
 { return vector().direction(); }
 
 void read(std::istream& is)
-{ 
+{
   switch( get_mode(is) ) {
     case CGAL::IO::ASCII :
       is >> _p[0] >> _p[1]; break;
     case CGAL::IO::BINARY :
       CGAL::read(is, _p[0]); CGAL::read(is, _p[1]); break;
     default:
-    CGAL_error_msg("\nStream must be in ascii or binary mode\n"); 
+    CGAL_error_msg("\nStream must be in ascii or binary mode\n");
   }
 }
 
 void print(std::ostream& os, const char* _name) const
-{ 
+{
   switch( get_mode(os) ) {
     case CGAL::IO::ASCII :
       os << _p[0] << " " <<  _p[1]; break;
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/PointCd.h 5.0.3-1/include/CGAL/Kernel_d/PointCd.h
--- 5.0.2-3/include/CGAL/Kernel_d/PointCd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/PointCd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,20 +1,20 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/PointCd.h $
-// $Id: PointCd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/PointCd.h $
+// $Id: PointCd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 #ifndef CGAL_POINTCDXXX_H
-#define CGAL_POINTCDXXX_H 
+#define CGAL_POINTCDXXX_H
 
 #include <CGAL/basic.h>
 #include <CGAL/Origin.h>
@@ -29,8 +29,8 @@ std::istream& operator>>(std::istream&,
 template <class FT, class LA>
 std::ostream& operator<<(std::ostream&, const PointCd<FT,LA>&);
 
-template <class _FT, class _LA > 
-class PointCd : public Handle_for< Tuple_d<_FT,_LA> > { 
+template <class _FT, class _LA >
+class PointCd : public Handle_for< Tuple_d<_FT,_LA> > {
   typedef Tuple_d<_FT,_LA> Tuple;
   typedef Handle_for<Tuple> Base;
   typedef PointCd<_FT,_LA> Self;
@@ -43,7 +43,7 @@ _FT& entry(int i) { return ptr()->v[i];
 const _FT& entry(int i) const { return ptr()->v[i]; }
 PointCd(const Base& b) : Base(b) {}
 
-public: 
+public:
 /*{\Mtypes 4}*/
 
 typedef _FT RT;
@@ -61,9 +61,9 @@ PointCd(int d = 0) : Base( Tuple(d) ) {}
 PointCd(int d, const Origin&) : Base( Tuple(d) ) {}
 
 template <class InputIterator>
-PointCd(int d, InputIterator first, InputIterator last) 
-  : Base( Tuple(d,first,last) ) 
-{ if ( first == last ) return; 
+PointCd(int d, InputIterator first, InputIterator last)
+  : Base( Tuple(d,first,last) )
+{ if ( first == last ) return;
   // else first specifies common denominator:
   CGAL_assertion_msg(FT(*first)!=FT(0),
     "PointCd::constructor: denominator must be nonzero.");
@@ -71,71 +71,71 @@ PointCd(int d, InputIterator first, Inpu
 }
 
 template <class InputIterator>
-PointCd (int d, InputIterator first, InputIterator last, 
+PointCd (int d, InputIterator first, InputIterator last,
   const FT& D) : Base( Tuple(d,first,last) )
 { CGAL_assertion_msg(D!=FT(0),"PointCd::constructor: D must be nonzero.");
   for (int i=0; i<d; ++i) entry(i)=entry(i)/D;
 }
 
 PointCd(int x, int y, int w = 1) : Base( Tuple((FT)x,(FT)y) )
-{ CGAL_assertion_msg(w!=0,"PointCd::construction: w == 0."); 
+{ CGAL_assertion_msg(w!=0,"PointCd::construction: w == 0.");
   vector_rep()/=w; }
 
-PointCd(const FT& x, const FT& y, const FT& w = 1) 
+PointCd(const FT& x, const FT& y, const FT& w = 1)
   : Base( Tuple(x,y) )
-{ CGAL_assertion_msg(w!=FT(0),"PointCd::construction: w == 0."); 
+{ CGAL_assertion_msg(w!=FT(0),"PointCd::construction: w == 0.");
   vector_rep()/=w; }
 
-PointCd(int x, int y, int z, int w) : 
+PointCd(int x, int y, int z, int w) :
   Base( Tuple(FT(x),FT(y),FT(z), MatchHelper()) )
-{ CGAL_assertion_msg(w!=0,"PointCd::construction: w == 0."); 
+{ CGAL_assertion_msg(w!=0,"PointCd::construction: w == 0.");
   vector_rep()/=w; }
 
-PointCd(const FT& x, const FT& y, const FT& z, const FT& w) 
+PointCd(const FT& x, const FT& y, const FT& z, const FT& w)
   : Base( Tuple(x,y,z,MatchHelper()) )
 { CGAL_assertion_msg(w!=FT(0),"PointCd::construction: w == 0.");
   vector_rep()/=w; }
 
-~PointCd() {}     
+~PointCd() {}
 
 int dimension() const  { return ptr()->size(); }
 
 FT cartesian(int i) const
 { CGAL_assertion_msg((0<=i && i<dimension()),
     "PointCd::cartesian(): index out of range.");
-  return entry(i); 
+  return entry(i);
 }
 FT operator[](int i) const { return cartesian(i); }
-FT homogeneous(int i) const 
-{ CGAL_assertion_msg((0<=i && i<=(dimension())), 
+FT homogeneous(int i) const
+{ CGAL_assertion_msg((0<=i && i<=(dimension())),
     "PointCd::homogeneous(): index out of range.");
   if (i!=dimension()) return entry(i); else return FT(1);
 }
 
-Cartesian_const_iterator cartesian_begin() const 
+Cartesian_const_iterator cartesian_begin() const
 { return ptr()->begin(); }
-Cartesian_const_iterator cartesian_end() const 
+Cartesian_const_iterator cartesian_end() const
 { return ptr()->end(); }
 
-Homogeneous_const_iterator homogeneous_begin() const 
+Homogeneous_const_iterator homogeneous_begin() const
 { return Homogeneous_const_iterator(ptr()->begin(),ptr()->end()); }
-Homogeneous_const_iterator homogeneous_end() const 
+Homogeneous_const_iterator homogeneous_end() const
 { return Homogeneous_const_iterator(ptr()->beyondend()); }
 
 PointCd<FT,LA> transform(const Aff_transformationCd<FT,LA>& t) const;
 
-inline VectorCd<FT,LA> operator-(const Origin& o) const; 
+inline VectorCd<FT,LA> operator-(const Origin& o) const;
 
-VectorCd<FT,LA> operator-(const PointCd<FT,LA>& q) const 
-{ VectorCd<FT,LA> res(dimension()); 
+VectorCd<FT,LA> operator-(const PointCd<FT,LA>& q) const
+{ VectorCd<FT,LA> res(dimension());
   res.ptr()->cartesian_sub(ptr(),q.ptr());
-  return res; 
+  return res;
 }
 
 PointCd<FT,LA> operator+(const VectorCd<FT,LA>& v) const;
 PointCd<FT,LA> operator-(const VectorCd<FT,LA>& v) const;
-PointCd<FT,LA>& operator+=(const VectorCd<FT,LA>& v); 
-PointCd<FT,LA>& operator-=(const VectorCd<FT,LA>& v); 
+PointCd<FT,LA>& operator+=(const VectorCd<FT,LA>& v);
+PointCd<FT,LA>& operator-=(const VectorCd<FT,LA>& v);
 
 static Comparison_result cmp(
   const PointCd<FT,LA>& p1, const PointCd<FT,LA>& p2)
@@ -175,5 +175,5 @@ FT z()  const { return cartesian(2); }
 
 #undef PointCd
 } //namespace CGAL
-#endif // CGAL_POINTCDXXX_H 
+#endif // CGAL_POINTCDXXX_H
 //----------------------- end of file ----------------------------------
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/PointCd_impl.h 5.0.3-1/include/CGAL/Kernel_d/PointCd_impl.h
--- 5.0.2-3/include/CGAL/Kernel_d/PointCd_impl.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/PointCd_impl.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2001  
+// Copyright (c) 2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/PointCd_impl.h $
-// $Id: PointCd_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/PointCd_impl.h $
+// $Id: PointCd_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -26,50 +26,50 @@ transform(const Aff_transformationCd<FT,
   return PointCd<FT,LA>(dimension(),res.begin(),res.end()); }
 
 template <class FT, class LA>
-VectorCd<FT,LA> PointCd<FT,LA>::operator-(const Origin&) const 
+VectorCd<FT,LA> PointCd<FT,LA>::operator-(const Origin&) const
 { return VectorCd<FT,LA>(Base(*this)); }
 
 template <class FT, class LA>
 PointCd<FT,LA> PointCd<FT,LA>::operator+(const VectorCd<FT,LA> &v) const
-{ PointCd<FT,LA> res(dimension()); 
+{ PointCd<FT,LA> res(dimension());
   res.ptr()->cartesian_add(ptr(), v.ptr());
-  return res; 
+  return res;
 }
 
 template <class FT, class LA>
 PointCd<FT,LA> PointCd<FT,LA>::operator-(const VectorCd<FT,LA> &v) const
-{ PointCd<FT,LA> res(dimension()); 
-  res.ptr()->cartesian_sub(ptr(), v.ptr()); 
-  return res; 
+{ PointCd<FT,LA> res(dimension());
+  res.ptr()->cartesian_sub(ptr(), v.ptr());
+  return res;
 }
 
 template <class FT, class LA>
 PointCd<FT,LA>& PointCd<FT,LA>::operator+= (const VectorCd<FT,LA>& v)
-{ int d = dimension(); 
-  PointCd<FT,LA> old(*this); 
-  *this = PointCd<FT,LA>(d); 
-  ptr()->cartesian_add(old.ptr(), v.ptr()); 
-  return *this; 
+{ int d = dimension();
+  PointCd<FT,LA> old(*this);
+  *this = PointCd<FT,LA>(d);
+  ptr()->cartesian_add(old.ptr(), v.ptr());
+  return *this;
 }
 
 template <class FT, class LA>
 PointCd<FT,LA>& PointCd<FT,LA>::operator-= (const VectorCd<FT,LA>& v)
-{ int d = dimension(); 
-  PointCd<FT,LA> old(*this); 
-  *this = PointCd<FT,LA>(d); 
-  ptr()->cartesian_sub(old.ptr(), v.ptr()); 
-  return *this; 
+{ int d = dimension();
+  PointCd<FT,LA> old(*this);
+  *this = PointCd<FT,LA>(d);
+  ptr()->cartesian_sub(old.ptr(), v.ptr());
+  return *this;
 }
 
 template <class FT, class LA>
 std::istream& operator>>(std::istream& I, PointCd<FT,LA>& p)
 { p.copy_on_write(); p.ptr()->read(I);
-  return I; 
+  return I;
 }
 
 template <class FT, class LA>
 std::ostream& operator<<(std::ostream& O, const PointCd<FT,LA>& p)
-{ p.ptr()->print(O,"PointCd"); return O; } 
+{ p.ptr()->print(O,"PointCd"); return O; }
 
 #undef PointCd
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Point_d.h 5.0.3-1/include/CGAL/Kernel_d/Point_d.h
--- 5.0.2-3/include/CGAL/Kernel_d/Point_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Point_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Point_d.h $
-// $Id: Point_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Point_d.h $
+// $Id: Point_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
@@ -45,19 +45,19 @@ public:
   typedef CGAL::Dynamic_dimension_tag Ambient_dimension;
   typedef CGAL::Dimension_tag<0>      Feature_dimension;
     template < typename Kernel2 >
-	struct WithAnotherKernel
-	{
-	    typedef Point_d<Kernel2>  Type;
-	};
+        struct WithAnotherKernel
+        {
+            typedef Point_d<Kernel2>  Type;
+        };
 
   Point_d(int d=0) : Base(d) {}
   Point_d(int d, const Origin &o) : Base(d,o) {}
 
-  Point_d(int a, int b, int c = 1) : 
-    Base(RT(a),RT(b),RT(c)) {} 
+  Point_d(int a, int b, int c = 1) :
+    Base(RT(a),RT(b),RT(c)) {}
   Point_d(const RT& a, const RT& b, const RT& c = 1) :
-    Base(a,b,c) {}  
-  Point_d(int a, int b, int c, int d) : 
+    Base(a,b,c) {}
+  Point_d(int a, int b, int c, int d) :
     Base(RT(a),RT(b),RT(c),RT(d)) {}
   Point_d(const RT& a, const RT& b, const RT& c, const RT& d) :
     Base(a,b,c,d) {}
@@ -70,8 +70,8 @@ public:
     : Base (d, first, last, D) {}
 
   Point_d(const Base& p) : Base(p) {}
-  
-  Vector_d<R> operator-(const Origin& o) const 
+
+  Vector_d<R> operator-(const Origin& o) const
   { return Base::operator-(o); }
   Vector_d<R> operator-(const Self& q) const
   { return Base::operator-(q); }
@@ -79,11 +79,11 @@ public:
   { return Base::operator+(v); }
   Self operator-(const Vector_d<R>& v) const
   { return Base::operator-(v); }
-  Self& operator+=(const Vector_d<R>& v) 
+  Self& operator+=(const Vector_d<R>& v)
   { return static_cast<Self&>(Base::operator+=(v)); }
   Self& operator-=(const Vector_d<R>& v)
   { return static_cast<Self&>(Base::operator-=(v)); }
-  
+
   inline bool operator<(const Self& q) const
   { return R().less_lexicographically_d_object()(*this, q); }
   inline bool operator>(const Self& q) const
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/PointHd.h 5.0.3-1/include/CGAL/Kernel_d/PointHd.h
--- 5.0.2-3/include/CGAL/Kernel_d/PointHd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/PointHd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,26 +1,26 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/PointHd.h $
-// $Id: PointHd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/PointHd.h $
+// $Id: PointHd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Michael Seel
 
 #ifndef CGAL_POINTHDXXX_H
-#define CGAL_POINTHDXXX_H 
+#define CGAL_POINTHDXXX_H
 
 #include <CGAL/basic.h>
 #include <CGAL/Origin.h>
 #include <CGAL/Quotient.h>
 #include <CGAL/Kernel_d/Tuple_d.h>
-#include <CGAL/Kernel_d/VectorHd.h> 
+#include <CGAL/Kernel_d/VectorHd.h>
 #include <CGAL/Kernel_d/Aff_transformationHd.h>
 
 
@@ -36,21 +36,21 @@ std::ostream& operator<<(std::ostream&,
 
 /*{\Moptions outfile=Point_d.man}*/
 /*{\Manpage {Point_d} {R} {Points in d-space} {p}}*/
-/*{\Msubst 
+/*{\Msubst
 Hd<RT,LA>#_d<R>
 PointHd#Point_d
 Quotient<RT>#FT
 }*/
 
-template <class _RT, class _LA > 
-class PointHd : public Handle_for< Tuple_d<_RT,_LA> > { 
+template <class _RT, class _LA >
+class PointHd : public Handle_for< Tuple_d<_RT,_LA> > {
   typedef Tuple_d<_RT,_LA> Tuple;
   typedef Handle_for<Tuple> Base;
   typedef PointHd<_RT,_LA> Self;
 
   using Base::ptr;
 
-/*{\Mdefinition 
+/*{\Mdefinition
 An instance of data type |\Mname| is a point of Euclidean space in
 dimension $d$. A point $p = (p_0,\ldots,p_{ d - 1 })$ in
 $d$-dimensional space can be represented by homogeneous coordinates
@@ -67,7 +67,7 @@ const _RT& entry(int i) const { return p
 void invert_rep() { ptr()->invert(); }
 PointHd(const Base& b) : Base(b) {}
 
-public: 
+public:
 /*{\Mtypes 4}*/
 
 typedef _RT RT;
@@ -86,20 +86,20 @@ friend class HyperplaneHd<RT,LA>;
 
 /*{\Mcreation 4}*/
 
-PointHd(int d = 0) 
-/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in 
+PointHd(int d = 0)
+/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in
 $d$-dimensional space.}*/
-  : Base( Tuple(d+1) ) 
+  : Base( Tuple(d+1) )
 { if ( d > 0 ) entry(d) = 1; }
 
-PointHd(int d, const Origin&) 
-/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in 
+PointHd(int d, const Origin&)
+/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in
 $d$-dimensional space, initialized to the origin.}*/
   : Base( Tuple(d+1) )
 { entry(d) = 1; }
 
 template <class InputIterator>
-PointHd(int d, InputIterator first, InputIterator last) 
+PointHd(int d, InputIterator first, InputIterator last)
 /*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in
 dimension |d|.  If |size [first,last) == d| this creates a point with
 Cartesian coordinates |set [first,last)|. If |size [first,last) ==
@@ -115,8 +115,8 @@ non-zero, and the value type of |InputIt
 }
 
 template <class InputIterator>
-PointHd (int d, InputIterator first, InputIterator last, 
-         const RT& D) 
+PointHd (int d, InputIterator first, InputIterator last,
+         const RT& D)
 /*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in
 dimension |d| initialized to the point with homogeneous coordinates as
 defined by |H = set [first,last)| and |D|: $(\pm |H[0]|, \pm|H[1]|,
@@ -134,28 +134,28 @@ PointHd(int x, int y, int w = 1) : Base(
 }
 
 PointHd(const RT& x, const RT& y, const RT& w = 1)
-/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in 
-$2$-dimensional space.}*/ 
+/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in
+$2$-dimensional space.}*/
   : Base( Tuple(x,y,w,MatchHelper()) )
 { CGAL_assertion_msg((w!=0),"PointHd::construction: w == 0.");
   if (w < 0) invert_rep();
 }
 
-PointHd(int x, int y, int z, int w) : 
+PointHd(int x, int y, int z, int w) :
   Base( Tuple((RT)x,(RT)y,(RT)z,(RT)w) )
 { CGAL_assertion_msg((w!=0),"PointHd::construction: w == 0.");
   if (w < 0) invert_rep();
 }
 
-PointHd(const RT& x, const RT& y, const RT& z, const RT& w) 
-/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in 
+PointHd(const RT& x, const RT& y, const RT& z, const RT& w)
+/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in
 $3$-dimensional space.}*/
   : Base( Tuple(x,y,z,w) )
 { CGAL_assertion_msg((w!=0),"PointHd::construction: w == 0.");
   if (w < 0) invert_rep();
 }
 
-~PointHd() {}     
+~PointHd() {}
 
 /*{\Moperations 4 3}*/
 
@@ -163,71 +163,71 @@ int dimension() const  { return ptr()->s
 /*{\Mop  returns the dimension of |\Mvar|. }*/
 
 Quotient<RT> cartesian(int i) const
-/*{\Mop returns the $i$-th Cartesian coordinate of |\Mvar|. 
+/*{\Mop returns the $i$-th Cartesian coordinate of |\Mvar|.
    \precond $0 \leq i < d$.}*/
 { CGAL_assertion_msg((0<=i && i<dimension()),"PointHd::cartesian():\
   index out of range.");
-  return Quotient<RT>(entry(i), entry(dimension())); 
+  return Quotient<RT>(entry(i), entry(dimension()));
 }
 
 Quotient<RT> operator[](int i) const  { return cartesian(i); }
 /*{\Marrop returns the $i$-th Cartesian coordinate of |\Mvar|.
    \precond $0 \leq i < d$.}*/
 
-RT homogeneous(int i) const 
+RT homogeneous(int i) const
 /*{\Mop  returns the $i$-th homogeneous coordinate of |\Mvar|.
    \precond $0 \leq i \leq d$.}*/
-{ CGAL_assertion_msg((0<=i && i<=(dimension())), 
+{ CGAL_assertion_msg((0<=i && i<=(dimension())),
     "PointHd::homogeneous():index out of range.");
   return entry(i);
 }
 
-Cartesian_const_iterator cartesian_begin() const 
-/*{\Mop returns an iterator pointing to the zeroth Cartesian coordinate 
+Cartesian_const_iterator cartesian_begin() const
+/*{\Mop returns an iterator pointing to the zeroth Cartesian coordinate
 $p_0$ of |\Mvar|. }*/
 { return Cartesian_const_iterator(ptr()->begin(),ptr()->last()); }
 
-Cartesian_const_iterator cartesian_end() const 
-/*{\Mop returns an iterator pointing beyond the last Cartesian coordinate 
+Cartesian_const_iterator cartesian_end() const
+/*{\Mop returns an iterator pointing beyond the last Cartesian coordinate
 of |\Mvar|. }*/
 { return Cartesian_const_iterator(ptr()->last(),ptr()->last()); }
 
-Homogeneous_const_iterator homogeneous_begin() const 
-/*{\Mop returns an iterator pointing to the zeroth homogeneous coordinate 
+Homogeneous_const_iterator homogeneous_begin() const
+/*{\Mop returns an iterator pointing to the zeroth homogeneous coordinate
 $h_0$ of |\Mvar|. }*/
 { return ptr()->begin(); }
 
-Homogeneous_const_iterator homogeneous_end() const 
-/*{\Mop returns an iterator pointing beyond the last homogeneous coordinate 
+Homogeneous_const_iterator homogeneous_end() const
+/*{\Mop returns an iterator pointing beyond the last homogeneous coordinate
 of |\Mvar|. }*/
 { return ptr()->end(); }
 
-PointHd<RT,LA> transform(const Aff_transformationHd<RT,LA>& t) const; 
+PointHd<RT,LA> transform(const Aff_transformationHd<RT,LA>& t) const;
 /*{\Mop returns $t(p)$. }*/
 
 /*{\Mtext \headerline{Arithmetic Operators, Tests and IO}}*/
 
-inline VectorHd<RT,LA> operator-(const Origin& o) const; 
+inline VectorHd<RT,LA> operator-(const Origin& o) const;
 /*{\Mbinop  returns the vector $\vec{0p}$.}*/
 
-VectorHd<RT,LA> operator-(const PointHd<RT,LA>& q) const 
+VectorHd<RT,LA> operator-(const PointHd<RT,LA>& q) const
 /*{\Mbinop  returns $p - q$. \precond |p.dimension() == q.dimension()|.}*/
-{ VectorHd<RT,LA> res(dimension()); 
+{ VectorHd<RT,LA> res(dimension());
   res.ptr()->homogeneous_sub(ptr(),q.ptr());
-  return res; 
+  return res;
 }
 
-PointHd<RT,LA> operator+(const VectorHd<RT,LA>& v) const; 
+PointHd<RT,LA> operator+(const VectorHd<RT,LA>& v) const;
 /*{\Mbinop  returns $p + v$. \precond |p.dimension() == v.dimension()|.}*/
 
-PointHd<RT,LA> operator-(const VectorHd<RT,LA>& v) const; 
+PointHd<RT,LA> operator-(const VectorHd<RT,LA>& v) const;
 /*{\Mbinop  returns $p - v$. \precond |p.dimension() == v.dimension()|.}*/
 
-PointHd<RT,LA>& operator+=(const VectorHd<RT,LA>& v); 
+PointHd<RT,LA>& operator+=(const VectorHd<RT,LA>& v);
 /*{\Mbinop  adds |v| to |p|.\\
 \precond |p.dimension() == v.dimension()|. }*/
 
-PointHd<RT,LA>& operator-=(const VectorHd<RT,LA>& v); 
+PointHd<RT,LA>& operator-=(const VectorHd<RT,LA>& v);
 /*{\Mbinop  subtracts |v| from |p|.\\
 \precond |p.dimension() == v.dimension()|. }*/
 
@@ -240,7 +240,7 @@ static Comparison_result cmp(
 bool operator==(const PointHd<RT,LA>& q) const
 { if (this->identical(q)) return true;
   if (dimension()!=q.dimension()) return false;
-  return cmp(*this,q) == EQUAL; 
+  return cmp(*this,q) == EQUAL;
 }
 
 bool operator!=(const PointHd<RT,LA>& q) const
@@ -255,7 +255,7 @@ bool operator==(const Origin&) const
 
 friend std::istream& operator>> <>
   (std::istream&, PointHd<RT,LA>&);
-friend std::ostream& operator<< <> 
+friend std::ostream& operator<< <>
   (std::ostream&, const PointHd<RT,LA>&);
 /*{\Mtext \headerline{Downward compatibility}
 We provide operations of the lower dimensional interface |x()|, |y()|,
@@ -273,14 +273,14 @@ Quotient<RT> z()  const { return Quotien
 }; // PointHd
 
 
-/*{\Mimplementation 
+/*{\Mimplementation
 Points are implemented by arrays of |RT| items.  All operations like
 creation, initialization, tests, point - vector arithmetic, input and
 output on a point $p$ take time $O(|p.dimension()|)$. |dimension()|,
 coordinate access and conversions take constant time.  The space
 requirement for points is $O(|p.dimension()|)$.}*/
 
-#undef PointHd 
+#undef PointHd
 } //namespace CGAL
-#endif // CGAL_POINTHD_H 
+#endif // CGAL_POINTHD_H
 //----------------------- end of file ----------------------------------
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/PointHd_impl.h 5.0.3-1/include/CGAL/Kernel_d/PointHd_impl.h
--- 5.0.2-3/include/CGAL/Kernel_d/PointHd_impl.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/PointHd_impl.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2001  
+// Copyright (c) 2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/PointHd_impl.h $
-// $Id: PointHd_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/PointHd_impl.h $
+// $Id: PointHd_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -26,53 +26,53 @@ transform(const Aff_transformationHd<RT,
   return PointHd<RT,LA>(dimension(),res.begin(),res.end()); }
 
 template <class RT, class LA>
-VectorHd<RT,LA> PointHd<RT,LA>::operator-(const Origin&) const 
+VectorHd<RT,LA> PointHd<RT,LA>::operator-(const Origin&) const
 { return VectorHd<RT,LA>(Base(*this)); }
 
 template <class RT, class LA>
 PointHd<RT,LA> PointHd<RT,LA>::operator+(const VectorHd<RT,LA> &v) const
-{ PointHd<RT,LA> res(dimension()); 
-  res.ptr()->homogeneous_add(ptr(), v.ptr()); 
-  return res; 
+{ PointHd<RT,LA> res(dimension());
+  res.ptr()->homogeneous_add(ptr(), v.ptr());
+  return res;
 }
 
 template <class RT, class LA>
 PointHd<RT,LA> PointHd<RT,LA>::operator-(const VectorHd<RT,LA> &v) const
-{ PointHd<RT,LA> res(dimension()); 
-  res.ptr()->homogeneous_sub(ptr(), v.ptr()); 
-  return res; 
+{ PointHd<RT,LA> res(dimension());
+  res.ptr()->homogeneous_sub(ptr(), v.ptr());
+  return res;
 }
 
 template <class RT, class LA>
 PointHd<RT,LA>& PointHd<RT,LA>::operator+= (const VectorHd<RT,LA>& v)
-{ int d = dimension(); 
-  PointHd<RT,LA> old(*this); 
-  *this = PointHd<RT,LA>(d); 
-  ptr()->homogeneous_add(old.ptr(), v.ptr()); 
-  return *this; 
+{ int d = dimension();
+  PointHd<RT,LA> old(*this);
+  *this = PointHd<RT,LA>(d);
+  ptr()->homogeneous_add(old.ptr(), v.ptr());
+  return *this;
 }
 
 template <class RT, class LA>
 PointHd<RT,LA>& PointHd<RT,LA>::operator-= (const VectorHd<RT,LA>& v)
-{ int d = dimension(); 
-  PointHd<RT,LA> old(*this); 
-  *this = PointHd<RT,LA>(d); 
-  ptr()->homogeneous_sub(old.ptr(), v.ptr()); 
-  return *this; 
+{ int d = dimension();
+  PointHd<RT,LA> old(*this);
+  *this = PointHd<RT,LA>(d);
+  ptr()->homogeneous_sub(old.ptr(), v.ptr());
+  return *this;
 }
 
 template <class RT, class LA>
 std::istream& operator>>(std::istream& I, PointHd<RT,LA>& p)
-{ p.copy_on_write(); p.ptr()->read(I); 
-  CGAL_assertion_msg((p.homogeneous(p.dimension()) > 0), 
+{ p.copy_on_write(); p.ptr()->read(I);
+  CGAL_assertion_msg((p.homogeneous(p.dimension()) > 0),
   "operator>>: denominator of point must be larger than zero.");
-  return I; 
+  return I;
 }
 
 template <class RT, class LA>
 std::ostream& operator<<(std::ostream& O, const PointHd<RT,LA>& p)
-{ p.ptr()->print(O,"PointHd"); return O; } 
+{ p.ptr()->print(O,"PointHd"); return O; }
 
-#undef PointHd 
+#undef PointHd
 } //namespace CGAL
 #endif // CGAL_POINTHD_C
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Ray_d.h 5.0.3-1/include/CGAL/Kernel_d/Ray_d.h
--- 5.0.2-3/include/CGAL/Kernel_d/Ray_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Ray_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Ray_d.h $
-// $Id: Ray_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Ray_d.h $
+// $Id: Ray_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
@@ -18,9 +18,9 @@
 #define CGAL_RAY_D_H
 
 #include <CGAL/Kernel_d/Pair_d.h>
-#include <CGAL/Kernel_d/Point_d.h> 
-#include <CGAL/Kernel_d/Direction_d.h> 
-#include <CGAL/Kernel_d/Segment_d.h> 
+#include <CGAL/Kernel_d/Point_d.h>
+#include <CGAL/Kernel_d/Direction_d.h>
+#include <CGAL/Kernel_d/Segment_d.h>
 #include <CGAL/Kernel_d/Line_d.h>
 #include <CGAL/Kernel_d/Aff_transformation_d.h>
 #include <CGAL/Dimension.h>
@@ -36,7 +36,7 @@ std::ostream& operator<<(std::ostream&,
 /*{\Manpage {Ray_d}{R}{Rays in d-space}{r}}*/
 
 template <class p_R>
-class Ray_d : public Handle_for< Pair_d<p_R> > { 
+class Ray_d : public Handle_for< Pair_d<p_R> > {
   typedef Pair_d<p_R>       Pair;
   typedef Handle_for<Pair>  Base;
   typedef Ray_d<p_R>        Self;
@@ -48,7 +48,7 @@ An instance of data type |Ray_d| is a ra
 Euclidian space. It starts in a point called the source of |\Mvar| and
 it goes to infinity.}*/
 
-public: 
+public:
 
   typedef CGAL::Dynamic_dimension_tag Ambient_dimension;
   typedef CGAL::Dimension_tag<1>      Feature_dimension;
@@ -65,24 +65,24 @@ typedef typename p_R::LA LA;
 
 typedef typename Vector_d<R>::Base_vector Base_vector;
 
-friend class Line_d<R>; 
-friend class Segment_d<R>; 
+friend class Line_d<R>;
+friend class Segment_d<R>;
 
 private:
 Ray_d(const Base& b) : Base(b) {}
-public: 
+public:
 /*{\Mcreation 3}*/
 
 Ray_d() : Base( Pair() ) {}
 /*{\Mcreate introduces some ray in $d$-dimensional space }*/
- 
+
 Ray_d(const Point_d<R>& p, const Point_d<R>& q)
 /*{\Mcreate introduces a ray through |p| and |q| and starting at |p|.
 \precond $p$ and $q$ are distinct and have the same dimension. }*/
  : Base( Pair(p,q) )
-{ CGAL_assertion_msg(!ptr()->is_degenerate(), 
+{ CGAL_assertion_msg(!ptr()->is_degenerate(),
     "Ray_d::constructor: the two points must be different." );
-  CGAL_assertion_msg((p.dimension()==q.dimension()), 
+  CGAL_assertion_msg((p.dimension()==q.dimension()),
     "Ray_d::constructor: the two points must have the same dimension." );
 }
 
@@ -91,17 +91,17 @@ Ray_d(const Point_d<R>& p, const Directi
 \precond |p| and |dir| have the same dimension and |dir| is not
 trivial.}*/
   : Base( Pair(p,p+dir.vector()) )
-{ CGAL_assertion_msg((p.dimension()==dir.dimension()), 
+{ CGAL_assertion_msg((p.dimension()==dir.dimension()),
     "Ray_d::constructor: the p and dir must have the same dimension." );
-  CGAL_assertion_msg(!dir.is_degenerate(), 
+  CGAL_assertion_msg(!dir.is_degenerate(),
     "Ray_d::constructor: dir must be non-degenerate." );
 }
 
-Ray_d(const Segment_d<R>& s) 
-/*{\Mcreate introduces a ray through |s.source()| and |s.target()| and 
+Ray_d(const Segment_d<R>& s)
+/*{\Mcreate introduces a ray through |s.source()| and |s.target()| and
 starting at |s.source()|. \precond $s$ is not trivial. }*/
-  : Base( s ) 
-{ CGAL_assertion_msg(!s.is_degenerate(), 
+  : Base( s )
+{ CGAL_assertion_msg(!s.is_degenerate(),
     "Ray_d::constructor: segment is trivial.");
 }
 
@@ -114,17 +114,17 @@ int dimension() const { return (ptr()->_
 Point_d<R> source() const { return (ptr()->_p[0]); }
 /*{\Mop returns the source point of |\Mvar|. }*/
 
-Point_d<R> point(int i) const 
+Point_d<R> point(int i) const
 /*{\Mop returns a point on |\Mvar|. |point(0)| is the source.
 |point(i)|, with $i>0$, is different from the source. \precond $i
-\geq 0$.}*/ 
+\geq 0$.}*/
 { return (ptr()->_p[i%2]); }
 
-Direction_d<R> direction() const 
+Direction_d<R> direction() const
 /*{\Mop returns the direction of |\Mvar|. }*/
 { return ptr()->direction(); }
 
-inline Line_d<R> supporting_line() const; 
+inline Line_d<R> supporting_line() const;
 /*{\Mop returns the supporting line of |\Mvar|.}*/
 
 Ray_d<R> opposite() const
@@ -137,10 +137,10 @@ Ray_d<R> transform(const Aff_transformat
 { return Ray_d<R>(point(0).transform(t),point(1).transform(t)); }
 
 Ray_d<R> operator+(const Vector_d<R>& v) const
-/*{\Mbinop returns |\Mvar+v|, i.e., |\Mvar| translated by vector $v$.}*/ 
+/*{\Mbinop returns |\Mvar+v|, i.e., |\Mvar| translated by vector $v$.}*/
 { return Ray_d<R>(point(0)+v, point(1)+v); }
 
-bool has_on(const Point_d<R>& p) const 
+bool has_on(const Point_d<R>& p) const
 /*{\Mop A point is on |r|, iff it is equal to the source of |r|, or if it is
 in the interior of |r|.}*/
 { typename R::Position_on_line_d pos; FT l;
@@ -153,17 +153,17 @@ in the interior of |r|.}*/
 bool operator==(const Ray_d<R>& r1) const
 { if ( this->identical(r1) ) return true;
   if ( dimension() != r1.dimension() ) return false;
-  return source() == r1.source() && 
-         direction() == r1.direction(); 
+  return source() == r1.source() &&
+         direction() == r1.direction();
 }
 
 bool operator!=(const Ray_d<R>& r1)
 { return !operator==(r1); }
 
-friend std::istream& operator>> <> 
+friend std::istream& operator>> <>
 (std::istream&, Ray_d<R>&);
-friend std::ostream& operator<< <> 
-(std::ostream&, const Ray_d<R>&); 
+friend std::ostream& operator<< <>
+(std::ostream&, const Ray_d<R>&);
 
 }; // end of class
 
@@ -171,25 +171,25 @@ template <class R>
 bool parallel(const Ray_d<R>& r1, const Ray_d<R>& r2)
 /*{\Mfunc returns true if the unoriented supporting lines of |r1| and |r2|
 are parallel and false otherwise. }*/
-{ return (r1.direction() == r2.direction()) || 
-         (r1.direction() == -(r2.direction())); 
-} 
+{ return (r1.direction() == r2.direction()) ||
+         (r1.direction() == -(r2.direction()));
+}
 
 template <class R>
-std::istream& operator>>(std::istream& I, Ray_d<R>& r) 
-{ r.copy_on_write(); r.ptr()->read(I); 
+std::istream& operator>>(std::istream& I, Ray_d<R>& r)
+{ r.copy_on_write(); r.ptr()->read(I);
   CGAL_assertion_msg(r.point(0)!=r.point(1),
     "Line_d::operator>>: trivial ray.");
   CGAL_assertion_msg(r.point(0).dimension()==r.point(1).dimension(),
   "Ray_d::operator>>: dimensions disagree.");
-  return I; 
+  return I;
 }
 
 template <class R>
 std::ostream& operator<<(std::ostream& O, const Ray_d<R>& r)
 { r.ptr()->print(O,"Ray_d"); return O; }
 
-/*{\Mimplementation 
+/*{\Mimplementation
 Rays are implemented by a pair of points as an item type.  All
 operations like creation, initialization, tests, direction
 calculation, input and output on a ray $r$ take time
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Segment_d.h 5.0.3-1/include/CGAL/Kernel_d/Segment_d.h
--- 5.0.2-3/include/CGAL/Kernel_d/Segment_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Segment_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,26 +1,26 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Segment_d.h $
-// $Id: Segment_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Segment_d.h $
+// $Id: Segment_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
 #ifndef CGAL_SEGMENT_D_H
-#define CGAL_SEGMENT_D_H 
+#define CGAL_SEGMENT_D_H
 
-#include <CGAL/Kernel_d/Pair_d.h> 
-#include <CGAL/Kernel_d/Point_d.h> 
-#include <CGAL/Kernel_d/Segment_d.h> 
-#include <CGAL/Kernel_d/Line_d.h> 
+#include <CGAL/Kernel_d/Pair_d.h>
+#include <CGAL/Kernel_d/Point_d.h>
+#include <CGAL/Kernel_d/Segment_d.h>
+#include <CGAL/Kernel_d/Line_d.h>
 #include <CGAL/Kernel_d/Ray_d.h>
 #include <CGAL/Kernel_d/Aff_transformation_d.h>
 #include <CGAL/Dimension.h>
@@ -37,20 +37,20 @@ template <class R> std::ostream& operato
 
 template <class p_R>
 class Segment_d : public Handle_for< Pair_d<p_R> > {
-  
+
   typedef Pair_d<p_R>      Pair;
   typedef Handle_for<Pair> Base;
   typedef Segment_d<p_R>   Self;
 
   using Base::ptr;
 
-/*{\Mdefinition 
+/*{\Mdefinition
 An instance $s$ of the data type |Segment_d| is a directed straight
 line segment in $d$-dimensional Euclidian space connecting two points
 $p$ and $q$. $p$ is called the source point and $q$ is called
 the target point of $s$, both points are called endpoints of $s$. A
 segment whose endpoints are equal is called \emph{degenerate}.}*/
-public: 
+public:
 
   typedef CGAL::Dynamic_dimension_tag Ambient_dimension;
   typedef CGAL::Dimension_tag<1>      Feature_dimension;
@@ -65,24 +65,24 @@ typedef typename p_R::FT FT;
 typedef typename p_R::LA LA;
 /*{\Mtypemember the linear algebra layer.}*/
 
-friend class Line_d<R>; 
-friend class Ray_d<R>; 
+friend class Line_d<R>;
+friend class Ray_d<R>;
 
 private:
 Segment_d(const Base& b) : Base(b) {}
-public: 
+public:
 /*{\Mcreation 3}*/
 
 Segment_d() : Base( Pair() ) {}
 /*{\Mcreate introduces a variable |\Mvar| of type |\Mname|.}*/
 
-Segment_d(const Point_d<R>& p, const Point_d<R>& q) 
+Segment_d(const Point_d<R>& p, const Point_d<R>& q)
 /*{\Mcreate introduces a variable |\Mvar| of type |\Mname| which
 is initialized to the segment $(p,q)$. }*/
  : Base( Pair(p,q) ) {}
 
 Segment_d(const Point_d<R>& p, const Vector_d<R>& v)
-/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| which 
+/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| which
 is initialized to the segment |(p,p+v)|. }*/
  : Base( Pair(p,p+v) ) {}
 
@@ -94,13 +94,13 @@ int dimension() const { return (ptr()->_
 /*{\Mop returns the dimension of the underlying space. }*/
 
 Point_d<R>  source() const { return ptr()->_p[0]; }
-/*{\Mop    returns the source point of segment |\Mvar|. }*/ 
+/*{\Mop    returns the source point of segment |\Mvar|. }*/
 
-Point_d<R>  target() const { return ptr()->_p[1]; } 
-/*{\Mop    returns the target point of segment |\Mvar|. }*/ 
+Point_d<R>  target() const { return ptr()->_p[1]; }
+/*{\Mop    returns the target point of segment |\Mvar|. }*/
 
 // defined for historical reasons
-Point_d<R>  vertex(int i) const 
+Point_d<R>  vertex(int i) const
 /*{\Mop returns source or target of |\Mvar|: |vertex(0)| returns the
 source, |vertex(1)| returns the target. The parameter $i$ is taken
 modulo $2$, which gives easy access to the other vertex.
@@ -108,26 +108,26 @@ modulo $2$, which gives easy access to t
 { CGAL_assertion(i>=0); return ptr()->_p[i%2]; }
 
 Point_d<R>  point(int i) const { return vertex(i); }
-/*{\Mop returns |vertex(i)|.}*/ 
+/*{\Mop returns |vertex(i)|.}*/
 
 Point_d<R>  operator[](int i) const { return vertex(i); }
 /*{\Marrop returns |vertex(i)|.}*/
 
-Point_d<R> min BOOST_PREVENT_MACRO_SUBSTITUTION () const 
+Point_d<R> min BOOST_PREVENT_MACRO_SUBSTITUTION () const
 /*{\Mop returns the lexicographically smaller vertex.}*/
-{ typename R::Compare_lexicographically_d cmp; 
+{ typename R::Compare_lexicographically_d cmp;
   if (cmp(source(),target()) == CGAL::SMALLER) return source();
   else return target();
 }
 
-Point_d<R> max BOOST_PREVENT_MACRO_SUBSTITUTION () const 
+Point_d<R> max BOOST_PREVENT_MACRO_SUBSTITUTION () const
 /*{\Mop returns the lexicographically larger vertex.}*/
-{ typename R::Compare_lexicographically_d cmp; 
+{ typename R::Compare_lexicographically_d cmp;
   if (cmp(source(),target()) == SMALLER) return target();
   else return source();
 }
 
-Segment_d<R> opposite() const 
+Segment_d<R> opposite() const
 /*{\Mop returns the segment |(target(),source())|.}*/
 { return Segment_d<R>(target(),source()); }
 
@@ -135,9 +135,9 @@ Segment_d<R> opposite() const
 Direction_d<R> direction() const
 /*{\Mop returns the direction from source to target.\\
 \precond |\Mvar| is non-degenerate. }*/
-{ CGAL_assertion_msg((!is_degenerate()), 
+{ CGAL_assertion_msg((!is_degenerate()),
   "Segment_d::direction(): degenerate segment cannot be converted.");
-  return ptr()->direction(); 
+  return ptr()->direction();
 }
 
 Vector_d<R> vector() const
@@ -146,9 +146,9 @@ Vector_d<R> vector() const
 
 FT squared_length() const
 /*{\Mop returns the square of the length of |\Mvar|.}*/
-{ return (target()-source()).squared_length(); } 
+{ return (target()-source()).squared_length(); }
 
-bool has_on(const Point_d<R>& p) const 
+bool has_on(const Point_d<R>& p) const
 /*{\Mop returns true if $p$ lies on |\Mvar| and false otherwise. }*/
 { if (is_degenerate()) return (source() == p);
   typename R::Position_on_line_d pos; FT l;
@@ -158,34 +158,34 @@ bool has_on(const Point_d<R>& p) const
 
 inline Line_d<R> supporting_line() const;
 /*{\Mop returns the supporting line of |\Mvar|.
-\precond |\Mvar| is non-degenerate. }*/ 
+\precond |\Mvar| is non-degenerate. }*/
 
-Segment_d<R>   
+Segment_d<R>
 transform(const Aff_transformation_d<R>& t) const
-/*{\Mop returns $t(s)$.}*/ 
+/*{\Mop returns $t(s)$.}*/
 { return Segment_d<R>(source().transform(t),
                       target().transform(t)); }
 
 Segment_d<R> operator+(const Vector_d<R>& v) const
-/*{\Mbinop returns $s+v$, i.e., |\Mvar| translated by vector $v$.}*/ 
+/*{\Mbinop returns $s+v$, i.e., |\Mvar| translated by vector $v$.}*/
 { return Segment_d<R>(source()+v,target()+v); }
 
-bool is_degenerate() const 
-/*{\Mop returns true if |\Mvar| is degenerate i.e. 
+bool is_degenerate() const
+/*{\Mop returns true if |\Mvar| is degenerate i.e.
 |\Mvar.source()=\Mvar.target()|. }*/
-{ return ptr()->is_degenerate(); } 
+{ return ptr()->is_degenerate(); }
 
 bool operator==(const Segment_d<R>& t) const
 { if (this->identical(t)) return true;
-  return ((source() == t.source() && 
-           target() == t.target())); } 
+  return ((source() == t.source() &&
+           target() == t.target())); }
 
-bool operator!=(const Segment_d<R>& t) const 
+bool operator!=(const Segment_d<R>& t) const
 { return !operator==(t); }
 
-friend std::istream& operator>> <> 
+friend std::istream& operator>> <>
 (std::istream&, Segment_d<R>&);
-friend std::ostream& operator<< <> 
+friend std::ostream& operator<< <>
 (std::ostream&, const Segment_d<R>&);
 
 };  // end of class
@@ -195,42 +195,42 @@ friend std::ostream& operator<< <>
 template <class R>
 bool weak_equality(const Segment_d<R>& s, const Segment_d<R>& t)
 /*{\Mfunc Test for equality as unoriented segments.}*/
-{ return (s==t || s==t.opposite()); } 
+{ return (s==t || s==t.opposite()); }
 
 template <class R>
 bool parallel(const Segment_d<R>& s1, const Segment_d<R>& s2)
 /*{\Mfunc return true if one of the segments is trivial or
 if the unoriented supporting lines are parallel. }*/
 { return s1.is_degenerate() || s2.is_degenerate() ||
-         s1.direction() == s2.direction() || 
-         s1.direction() == -s2.direction(); } 
+         s1.direction() == s2.direction() ||
+         s1.direction() == -s2.direction(); }
 
 template <class R>
 bool common_endpoint(const Segment_d<R>& s1, const Segment_d<R>& s2,
-  Point_d<R>& common) 
+  Point_d<R>& common)
 /*{\Mfunc if |s1| and |s2| touch in a common end point, this point
-is assigned to |common| and the result is |true|, otherwise the 
+is assigned to |common| and the result is |true|, otherwise the
 result is |false|. }*/
 { if (s1.source() == s2.source()) { common = s1.source(); return true; }
   if (s1.source() == s2.target()) { common = s1.source(); return true; }
   if (s1.target() == s2.source()) { common = s1.target(); return true; }
   if (s1.target() == s2.target()) { common = s1.target(); return true; }
-  return false; 
+  return false;
 }
 
-template <class R> 
+template <class R>
 std::istream& operator>>(std::istream& I, Segment_d<R>& s)
-{ s.copy_on_write(); s.ptr()->read(I); 
+{ s.copy_on_write(); s.ptr()->read(I);
   CGAL_assertion_msg(s.source().dimension()==s.target().dimension(),
   "Segment_d::operator>>: dimensions disagree.");
-  return I; 
+  return I;
 }
 
-template <class R> 
+template <class R>
 std::ostream& operator<<(std::ostream& O, const Segment_d<R>& s)
 { s.ptr()->print(O,"Segment_d"); return O; }
 
-/*{\Mimplementation 
+/*{\Mimplementation
 Segments are implemented by a pair of points as an item type.  All
 operations like creation, initialization, tests, the calculation of
 the direction and source - target vector, input and output on a
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/simple_objects.h 5.0.3-1/include/CGAL/Kernel_d/simple_objects.h
--- 5.0.2-3/include/CGAL/Kernel_d/simple_objects.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/simple_objects.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2000  
+// Copyright (c) 1997-2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/simple_objects.h $
-// $Id: simple_objects.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/simple_objects.h $
+// $Id: simple_objects.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Sphere_d.h 5.0.3-1/include/CGAL/Kernel_d/Sphere_d.h
--- 5.0.2-3/include/CGAL/Kernel_d/Sphere_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Sphere_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Sphere_d.h $
-// $Id: Sphere_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Sphere_d.h $
+// $Id: Sphere_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
@@ -43,13 +43,13 @@ class  Sphere_d_rep  {
   std::vector< Point_d > P; // d+1 defining points, index range 0-d
   Orientation orient;       // orientation(P)
   Point_d* cp;              // pointer to center (lazy calculated)
-  
+
 public:
   Sphere_d_rep() : cp(0) {}
   Sphere_d_rep(int d)  : P(d), cp(0) {}
 
   template <class ForwardIterator>
-  Sphere_d_rep(int d, ForwardIterator first, ForwardIterator last) : 
+  Sphere_d_rep(int d, ForwardIterator first, ForwardIterator last) :
      P(first,last), cp(0)
   { TUPLE_DIM_CHECK(P.begin(),P.end(),Sphere_d);
     CGAL_assertion(d+1==int(P.size()));
@@ -61,12 +61,12 @@ public:
 
 };  // Sphere_d_rep<R>
 
-/*{\Manpage {Sphere_d}{R}{Simple Spheres}{S}}*/ 
+/*{\Manpage {Sphere_d}{R}{Simple Spheres}{S}}*/
 
 template <class R_>
 class Sphere_d : public Handle_for< Sphere_d_rep<R_> > {
 
-/*{\Mdefinition 
+/*{\Mdefinition
 An instance $S$ of the data type |Sphere_d| is an oriented sphere in
 some $d$-dimensional space. A sphere is defined by $d+1$ points with
 rational coordinates (class |Point_d<R>|). We use $A$ to denote the
@@ -77,7 +77,7 @@ the geometric sense and hence many opera
 set of defining points to be legal.  The orientation of $S$ is equal
 to the orientation of the defining points, i.e., |orientation(A)|. }*/
 
-public: 
+public:
   typedef CGAL::Dynamic_dimension_tag Ambient_dimension;
   typedef CGAL::Dynamic_dimension_tag Feature_dimension;
 
@@ -107,38 +107,38 @@ typedef typename R::LA LA;
 typedef typename std::vector< Point_d >::const_iterator point_iterator;
 /*{\Mtypemember a read-only iterator for points defining the sphere.}*/
 
-/*{\Mcreation 4}*/ 
+/*{\Mcreation 4}*/
 
-Sphere_d(int d = 0) : Base( Rep(d+1) ) 
+Sphere_d(int d = 0) : Base( Rep(d+1) )
 /*{\Mcreate introduces a variable |\Mvar| of type |\Mname|. |\Mvar|
 is initialized to the empty sphere centered at the origin of
 $d$-dimensional space. }*/
-{ 
+{
   Point_d p(d);
   for (int i = 0; i <= d; i++) ptr()->P[i] = p;
   ptr()->orient = ZERO;
-  ptr()->cp = new Point_d(p); 
+  ptr()->cp = new Point_d(p);
 }
 
 template <class ForwardIterator>
 Sphere_d(int d, ForwardIterator first, ForwardIterator last) :
 /*{\Mcreate introduces a variable |\Mvar| of type |\Mname|. |\Mvar| is
-initialized to the sphere through the points in |A = set [first,last)|. 
+initialized to the sphere through the points in |A = set [first,last)|.
 \precond $A$ consists of $d+1$ $d$-dimensional points.}*/
   Base( Rep(d,first,last) ) {}
 
 
 /*{\Moperations 4 3}*/
 
-int dimension() const 
+int dimension() const
 /*{\Mop returns the dimension of |\Mvar|.}*/
   { return static_cast<int>(ptr()->P.size()) - 1; }
 
 Point_d point(int i) const
 /*{\Mop returns the $i$-th defining point. \precond $0 \le i \le |dim|$.}*/
-{ CGAL_assertion_msg((0<=i && i<=dimension()), 
+{ CGAL_assertion_msg((0<=i && i<=dimension()),
     "Sphere_d::point(): index out of range.");
-  return ptr()->P[i]; 
+  return ptr()->P[i];
 }
 
 point_iterator points_begin() const { return ptr()->P.begin(); }
@@ -157,27 +157,27 @@ non-zero or if they are all equal.}*/
 { if (ptr()->orient != ZERO ) return true;
   const std::vector< Point_d >& A = ptr()->P;
   Point_d po = A[0];
-  for (int i = 1; i < int(A.size()); ++i) 
+  for (int i = 1; i < int(A.size()); ++i)
     if (A[i] != po) return false;
   return true;
 }
 
 Point_d center() const
-/*{\Mop  returns the center of |\Mvar|. \precond The orientation 
+/*{\Mop  returns the center of |\Mvar|. \precond The orientation
 of |\Mvar| is non-zero. }*/
-{ 
+{
   if (ptr()->cp == 0) {
     if (ptr()->orient == 0) {
       const std::vector< Point_d >& A = ptr()->P;
       Point_d po = A[0];
-      for (int i = 1; i < int(A.size()); ++i) 
+      for (int i = 1; i < int(A.size()); ++i)
         if (A[i] != po)
           CGAL_error_msg("Sphere_d::center(): points are illegal.");
       const_cast<Self&>(*this).ptr()->cp = new Point_d(A[0]);
       return *(ptr()->cp);
     }
     typename R::Center_of_sphere_d center_of_sphere_;
-    const_cast<Self&>(*this).ptr()->cp = 
+    const_cast<Self&>(*this).ptr()->cp =
       new Point_d(center_of_sphere_(points_begin(),points_end()));
   }
   return *(ptr()->cp);
@@ -198,8 +198,8 @@ Oriented_side oriented_side(const Point_
 /*{\Mop returns either the constant |ON_ORIENTED_BOUNDARY|,
 |ON_POSITIVE_SIDE|, or |ON_NEGATIVE_SIDE|, iff p lies on the boundary,
 properly on the positive side, or properly on the negative side of
-circle, resp.}*/ 
-{ typename R::Side_of_oriented_sphere_d side; 
+circle, resp.}*/
+{ typename R::Side_of_oriented_sphere_d side;
   return side(points_begin(),points_end(),p); }
 
 Bounded_side bounded_side(const Point_d& p) const
@@ -241,7 +241,7 @@ Sphere_d<R> opposite() const
 }
 
 Sphere_d<R> transform(const Aff_transformation_d<R>& t) const
-/*{\Mopl returns $t(s)$. }*/ 
+/*{\Mopl returns $t(s)$. }*/
 { std::vector< Point_d > B(points_begin(),points_end());
   typename std::vector< Point_d >::iterator it;
   for (it = B.begin(); it != B.end(); ++it)
@@ -250,7 +250,7 @@ Sphere_d<R> transform(const Aff_transfor
 }
 
 Sphere_d<R> operator+(const Vector_d<R>& v) const
-/*{\Mbinop returns the sphere translated by |v|. }*/ 
+/*{\Mbinop returns the sphere translated by |v|. }*/
 { std::vector< Point_d > B(points_begin(),points_end());
   typename std::vector< Point_d >::iterator it;
   for (it = B.begin(); it != B.end(); ++it) it->operator+=(v);
@@ -265,7 +265,7 @@ bool operator==(const Sphere_d<R>& D) co
           orientation() == D.orientation());
 }
 
-bool operator!=(const Sphere_d<R>& D) const 
+bool operator!=(const Sphere_d<R>& D) const
 { return !operator==(D); }
 
 
@@ -285,26 +285,26 @@ bool weak_equality(const Sphere_d<R>& s1
 an item type.  All operations like creation, initialization, tests,
 input and output of a sphere $s$ take time
 $O(|s.dimension()|)$. |dimension()|, point access take constant time.
-The space requirement for spheres is $O(|s.dimension()|)$ 
+The space requirement for spheres is $O(|s.dimension()|)$
 neglecting the storage room of the points.}*/
 
 template <class R>
-std::ostream& operator<<(std::ostream& os, const CGAL::Sphere_d<R>& s) 
+std::ostream& operator<<(std::ostream& os, const CGAL::Sphere_d<R>& s)
 { typedef typename Sphere_d<R>::point_iterator iterator;
   os << s.dimension()+1 << " ";
   for (iterator it=s.points_begin(); it!=s.points_end(); ++it)
     os << *it << " ";
   return os;
-} 
+}
 
-template <class R> std::istream&  
-operator>>(std::istream& is, CGAL::Sphere_d<R>& s) 
+template <class R> std::istream&
+operator>>(std::istream& is, CGAL::Sphere_d<R>& s)
 { int d; is >> d;
   std::vector< Point_d<R> > V(d);
   Point_d<R> p;
-  while ( d-- ) { 
+  while ( d-- ) {
     if (!(is >> p)) return is;
-    V[d] = p; 
+    V[d] = p;
   }
   s = Sphere_d<R>(static_cast<int>(V.size())-1, V.begin(), V.end() );
   return is;
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Tuple_d.h 5.0.3-1/include/CGAL/Kernel_d/Tuple_d.h
--- 5.0.2-3/include/CGAL/Kernel_d/Tuple_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Tuple_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Tuple_d.h $
-// $Id: Tuple_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Tuple_d.h $
+// $Id: Tuple_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Michael Seel
@@ -59,10 +59,10 @@ public:
     typedef const value_type&               reference;
 
   Homogeneous_const_iterator() : _it(0), _w(0) {}
-  Homogeneous_const_iterator(const_iterator it, const_iterator w = 0) 
+  Homogeneous_const_iterator(const_iterator it, const_iterator w = 0)
     : _it(it), _w(w) {}
-    
-  value_type operator*() const 
+
+  value_type operator*() const
   { if (_it == _w) return value_type(1); else return *_it; }
 
   self& operator++() { ++_it; return *this; }
@@ -72,9 +72,9 @@ public:
 
   self& operator+=(difference_type i) { _it+=i; return *this; }
   self& operator-=(difference_type i) { _it-=i; return *this; }
-  self operator+(difference_type i) const 
+  self operator+(difference_type i) const
   { self tmp=*this; return tmp += i; }
-  self operator-(difference_type i) const 
+  self operator-(difference_type i) const
   { self tmp=*this; return tmp -= i; }
 
   difference_type operator-(self x) const { return _it-x._it; }
@@ -85,7 +85,7 @@ public:
   bool operator<(self x) const { return (x - *this) > 0; }
 
   private:
-    const_iterator _it, _w;  
+    const_iterator _it, _w;
   }; // Homogeneous_const_iterator
 
 
@@ -98,19 +98,19 @@ public:
   { v[0]=a; v[1]=b; v[2]=c; v[3]=d; }
 
   template <typename I>
-  Tuple_d(int d, I& start, I end) : v(d) 
-  { int i(0); 
-    while ( i < d && start != end ) v[i++] = *start++; 
-  } 
-  /* this constructor returns the final position of start 
+  Tuple_d(int d, I& start, I end) : v(d)
+  { int i(0);
+    while ( i < d && start != end ) v[i++] = *start++;
+  }
+  /* this constructor returns the final position of start
      to offer access to a possible common denominator as
      part of the tuple range */
 
   template <typename I>
-  Tuple_d(int d, I start, I end, NT D) : v(d) 
-  { int i(0); 
-    while ( i < d && start != end ) v[i++] = *start++; 
-    v[d-1] = D; 
+  Tuple_d(int d, I start, I end, NT D) : v(d)
+  { int i(0);
+    while ( i < d && start != end ) v[i++] = *start++;
+    v[d-1] = D;
   }
 
   int size() const { return v.dimension(); }
@@ -130,25 +130,25 @@ public:
   void homogeneous_add(const Self* a, const Self* b)
   { int d = a->size()-1;
     if ( d < 0 ) return;
-    CGAL_assertion_msg((d == b->size()-1),"dimensions disagree."); 
-    CGAL_assertion_msg((d == size()-1),"dimensions disagree."); 
-    NT aw = a->v[d], bw = b->v[d]; 
-    for (int i = 0; i < d; ++i) { 
-      v[i] = a->v[i]*bw + b->v[i]*aw; 
+    CGAL_assertion_msg((d == b->size()-1),"dimensions disagree.");
+    CGAL_assertion_msg((d == size()-1),"dimensions disagree.");
+    NT aw = a->v[d], bw = b->v[d];
+    for (int i = 0; i < d; ++i) {
+      v[i] = a->v[i]*bw + b->v[i]*aw;
     }
-    v[d] = aw*bw; 
+    v[d] = aw*bw;
   }
 
   void homogeneous_sub(const Self* a, const Self* b)
-  { int d = a->size()-1; 
+  { int d = a->size()-1;
     if ( d < 0 ) return;
-    CGAL_assertion_msg((d == b->size()-1),"dimensions disagree."); 
-    CGAL_assertion_msg((d == size()-1),"dimensions disagree."); 
-    NT aw = a->v[d], bw = b->v[d]; 
-    for (int i = 0; i < d; ++i) { 
-      v[i] = a->v[i]*bw - b->v[i]*aw; 
+    CGAL_assertion_msg((d == b->size()-1),"dimensions disagree.");
+    CGAL_assertion_msg((d == size()-1),"dimensions disagree.");
+    NT aw = a->v[d], bw = b->v[d];
+    for (int i = 0; i < d; ++i) {
+      v[i] = a->v[i]*bw - b->v[i]*aw;
     }
-    v[d] = aw*bw; 
+    v[d] = aw*bw;
   }
 
   void cartesian_add(const Self* a, const Self* b)
@@ -164,43 +164,43 @@ public:
   friend class VectorCd<NT,LA>;
   friend class DirectionCd<NT,LA>;
   friend class HyperplaneCd<NT,LA>;
-  
+
 }; // Tuple_d
 
 
-template <class NT, class LA> 
+template <class NT, class LA>
 class Compare_homogeneously
-{ 
+{
 public:
 Comparison_result operator()(
   const typename LA::Vector& v1, const typename LA::Vector& v2)
-{ 
+{
   CGAL_assertion_msg((v1.dimension() == v2.dimension()),
     "Compare_homogeneously: dimensions disagree.");
-  NT aw = v1[v1.dimension()-1]; 
-  NT bw = v2[v2.dimension()-1]; 
+  NT aw = v1[v1.dimension()-1];
+  NT bw = v2[v2.dimension()-1];
   CGAL_assertion(aw>0 && bw>0);
-  for (int i = 0; i < v1.dimension()-1; i++ ) { 
-    NT aibw = v1[i]*bw; 
-    NT biaw = v2[i]*aw; 
-    Comparison_result S = (aibw<biaw ? SMALLER : 
+  for (int i = 0; i < v1.dimension()-1; i++ ) {
+    NT aibw = v1[i]*bw;
+    NT biaw = v2[i]*aw;
+    Comparison_result S = (aibw<biaw ? SMALLER :
                           (biaw<aibw ? LARGER : EQUAL));
     if (S != EQUAL) return S;
   }
-  return EQUAL; 
+  return EQUAL;
 }
 }; // Compare_homogeneously
 
-template <class NT, class LA> 
+template <class NT, class LA>
 class Compare_componentwise
 { public:
 Comparison_result operator()(
   const typename LA::Vector& v1, const typename LA::Vector& v2)
-{ 
+{
   CGAL_assertion_msg((v1.dimension() == v2.dimension()),
   "Compare_coefficientwise: dimensions disagree.");
-  for (int i = 0; i < v1.dimension(); i++ ) { 
-    Comparison_result S = (v1[i]<v2[i] ? SMALLER : 
+  for (int i = 0; i < v1.dimension(); i++ ) {
+    Comparison_result S = (v1[i]<v2[i] ? SMALLER :
                           (v2[i]<v1[i] ? LARGER : EQUAL));
     if (S != EQUAL) return S;
   }
@@ -215,12 +215,12 @@ void Tuple_d<NT,LA>::print(std::ostream&
   switch( get_mode(os) ) {
     case CGAL::IO::ASCII :
       os << size() << " ";
-      for (i = 0; i < size(); ++i) 
+      for (i = 0; i < size(); ++i)
         os << v[i] << " ";
       break;
     case CGAL::IO::BINARY :
-      CGAL::write(os, size()); 
-      for (i = 0; i < size(); ++i) 
+      CGAL::write(os, size());
+      for (i = 0; i < size(); ++i)
         CGAL::write(os, v[i]);
       break;
     default :
@@ -238,27 +238,27 @@ void Tuple_d<NT,LA>::read(std::istream&
   switch( get_mode(is) ) {
     case CGAL::IO::ASCII :
       is >> d; v = Vector(d);
-      while (i < d && is >> v[i] ) ++i; 
+      while (i < d && is >> v[i] ) ++i;
       break;
     case CGAL::IO::BINARY :
       CGAL::read(is, d); v = Vector(d);
       while (i < d) { CGAL::read(is, v[i]); ++i; } break;
     default:
-    CGAL_error_msg("\nStream must be in ascii or binary mode\n"); 
+    CGAL_error_msg("\nStream must be in ascii or binary mode\n");
   }
 }
 
 template <class ForwardIterator>
-void tuple_dim_check(ForwardIterator first, ForwardIterator last, 
+void tuple_dim_check(ForwardIterator first, ForwardIterator last,
                      const char* file, int line, const char* op)
 { if (first==last) return;
   int d = first->dimension(); ++first;
-  for (; first!=last; ++first) 
+  for (; first!=last; ++first)
     if (first->dimension() != d) {
       std::ostringstream os;
-      os << "Tuple Dimension Error " << 
+      os << "Tuple Dimension Error " <<
             "File " << file << "Line " << line << "Operation " << op << '\0';
-      CGAL_error_msg(os.str().c_str()); 
+      CGAL_error_msg(os.str().c_str());
     }
 }
 
@@ -266,7 +266,7 @@ void tuple_dim_check(ForwardIterator fir
 
 template <class InputIterator, class OutputIterator>
 int copy_and_count(InputIterator first, InputIterator last,
-                   OutputIterator result) 
+                   OutputIterator result)
 { int n=0;
   while (first != last) { ++n; *result++ = *first++; }
   return n;
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/VectorCd.h 5.0.3-1/include/CGAL/Kernel_d/VectorCd.h
--- 5.0.2-3/include/CGAL/Kernel_d/VectorCd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/VectorCd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,23 +1,23 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/VectorCd.h $
-// $Id: VectorCd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/VectorCd.h $
+// $Id: VectorCd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Michael Seel
 
 #ifndef CGAL_VECTORCD_H
-#define CGAL_VECTORCD_H 
+#define CGAL_VECTORCD_H
 
 #include <CGAL/basic.h>
-#include <CGAL/Kernel_d/Tuple_d.h> 
+#include <CGAL/Kernel_d/Tuple_d.h>
 
 namespace CGAL {
 #define PointCd PointCd2
@@ -29,7 +29,7 @@ template <class FT, class LA>
 std::ostream& operator<<(std::ostream&, const VectorCd<FT,LA>&);
 
 template <class _FT, class _LA>
-class VectorCd : public Handle_for< Tuple_d<_FT,_LA> > { 
+class VectorCd : public Handle_for< Tuple_d<_FT,_LA> > {
   typedef Tuple_d<_FT,_LA>  Tuple;
   typedef Handle_for<Tuple> Base;
   typedef VectorCd<_FT,_LA> Self;
@@ -44,7 +44,7 @@ const _FT& entry(int i) const { return p
 void invert_rep() { ptr()->invert(); }
 VectorCd(const Base& b) : Base(b) {}
 
-public: 
+public:
 
 typedef _FT RT;
 typedef _FT FT;
@@ -56,15 +56,15 @@ class Base_vector {};
 
 friend class PointCd<FT,LA>;
 friend class DirectionCd<FT,LA>;
-friend class HyperplaneCd<FT,LA>; 
+friend class HyperplaneCd<FT,LA>;
 
 VectorCd(int d = 0) : Base( Tuple(d) ) {}
 VectorCd(int d, Null_vector) : Base( Tuple(d) ) {}
 
 template <class InputIterator>
-VectorCd(int d, InputIterator first, InputIterator last) 
-  : Base( Tuple(d,first,last) ) 
-{ if ( first == last ) return; 
+VectorCd(int d, InputIterator first, InputIterator last)
+  : Base( Tuple(d,first,last) )
+{ if ( first == last ) return;
   // else first specifies common denominator:
   CGAL_assertion_msg(*first!=FT(0),
     "VectorCd::constructor: denominator must be nonzero.");
@@ -72,7 +72,7 @@ VectorCd(int d, InputIterator first, Inp
 }
 
 template <class InputIterator>
-VectorCd(int d, InputIterator first, InputIterator last, 
+VectorCd(int d, InputIterator first, InputIterator last,
          const FT& D) : Base( Tuple(d,first,last) )
 { CGAL_assertion_msg(D!=FT(0), "VectorCd::constructor: D must be nonzero.");
   for (int i=0; i<d; ++i) entry(i)/=D;
@@ -84,18 +84,18 @@ VectorCd(int d, Base_vector, int i) : Ba
   entry(i) = 1;
 }
 
-VectorCd(const FT& x, const FT& y, const FT& w = 1) 
-  : Base( Tuple(x,y) ) 
+VectorCd(const FT& x, const FT& y, const FT& w = 1)
+  : Base( Tuple(x,y) )
 { CGAL_assertion_msg((w!= FT(0)), "VectorCd::construction: w == 0.");
   vector_rep()/=w; }
 
-VectorCd(int x, int y, int w = 1) 
-  : Base( Tuple((FT)x,(FT)y) ) 
+VectorCd(int x, int y, int w = 1)
+  : Base( Tuple((FT)x,(FT)y) )
 { CGAL_assertion_msg((w!=0), "VectorCd::construction: w == 0.");
   vector_rep()/=w; }
 
-VectorCd(const FT& x, const FT& y, const FT& z, const FT& w) 
-  : Base( Tuple(x,y,z) ) 
+VectorCd(const FT& x, const FT& y, const FT& z, const FT& w)
+  : Base( Tuple(x,y,z) )
 { CGAL_assertion_msg((w!=FT(0)), "VectorCd::construction: w == 0.");
   vector_rep()/=w; }
 
@@ -104,18 +104,18 @@ VectorCd(int x, int y, int z, int w) :
 { CGAL_assertion_msg((w!=0), "VectorCd::construction: w == 0.");
   vector_rep()/=w; }
 
-~VectorCd() {}     
+~VectorCd() {}
 
-int dimension() const { return ptr()->size(); } 
+int dimension() const { return ptr()->size(); }
 
-FT cartesian(int i) const 
-{ CGAL_assertion_msg((0<=i && i<(dimension())), 
+FT cartesian(int i) const
+{ CGAL_assertion_msg((0<=i && i<(dimension())),
     "VectorCd::cartesian(): index out of range.");
-  return entry(i); 
+  return entry(i);
 }
 FT operator[](int i) const { return cartesian(i); }
-FT homogeneous(int i) const 
-{ CGAL_assertion_msg((0<=i && i<=(dimension())), 
+FT homogeneous(int i) const
+{ CGAL_assertion_msg((0<=i && i<=(dimension())),
     "VectorCd::homogeneous(): index out of range.");
   if (i!=dimension()) return entry(i); else return FT(1);
 }
@@ -123,28 +123,28 @@ FT homogeneous(int i) const
 FT squared_length() const
 { return vector_rep()*vector_rep(); }
 
-Cartesian_const_iterator cartesian_begin() const 
+Cartesian_const_iterator cartesian_begin() const
 { return ptr()->begin(); }
-Cartesian_const_iterator cartesian_end() const 
+Cartesian_const_iterator cartesian_end() const
 { return ptr()->end(); }
 
-Homogeneous_const_iterator homogeneous_begin() const 
+Homogeneous_const_iterator homogeneous_begin() const
 { return Homogeneous_const_iterator(ptr()->begin(),ptr()->end()); }
-Homogeneous_const_iterator homogeneous_end() const 
+Homogeneous_const_iterator homogeneous_end() const
 { return Homogeneous_const_iterator(ptr()->beyondend()); }
 
 inline PointCd<FT,LA> to_point() const;
 
-inline DirectionCd<FT,LA> direction() const; 
+inline DirectionCd<FT,LA> direction() const;
 /*{\Mop returns the direction of |\Mvar|. }*/
 
-VectorCd<FT,LA> transform(const Aff_transformationCd<FT,LA>& t) const; 
+VectorCd<FT,LA> transform(const Aff_transformationCd<FT,LA>& t) const;
 
 VectorCd<FT,LA> scale(const FT& m) const
 { VectorCd<FT,LA> result(*this);
-  result.copy_on_write(); 
+  result.copy_on_write();
   result.vector_rep() *= m;
-  return result; 
+  return result;
 }
 
 void self_scale(const FT& m)
@@ -152,9 +152,9 @@ void self_scale(const FT& m)
   vector_rep() *= m;
 }
 
-VectorCd<FT,LA>& operator*=(const FT& n) 
+VectorCd<FT,LA>& operator*=(const FT& n)
 { self_scale(n); return *this; }
-VectorCd<FT,LA>& operator*=(int n) 
+VectorCd<FT,LA>& operator*=(int n)
 { self_scale(n); return *this; }
 
 VectorCd<FT,LA> operator/(int n) const
@@ -164,39 +164,39 @@ VectorCd<FT,LA> operator/(const FT& n) c
 
 VectorCd<FT,LA>& operator/=(const FT& n)
 { self_scale(FT(1)/n); return *this; }
-VectorCd<FT,LA>& operator/=(int n) 
+VectorCd<FT,LA>& operator/=(int n)
 { self_scale(FT(1)/FT(n)); return *this; }
 
 FT operator* (const VectorCd<FT,LA>& w) const
 { return vector_rep()*w.vector_rep(); }
 
-VectorCd<FT,LA> operator+(const VectorCd<FT,LA>& w) const 
-{ VectorCd<FT,LA> result(w.dimension()); 
+VectorCd<FT,LA> operator+(const VectorCd<FT,LA>& w) const
+{ VectorCd<FT,LA> result(w.dimension());
   result.ptr()->cartesian_add(ptr(),w.ptr());
   return result; }
 
-VectorCd<FT,LA> operator-(const VectorCd<FT,LA>& w) const 
+VectorCd<FT,LA> operator-(const VectorCd<FT,LA>& w) const
 { VectorCd<FT,LA> result(w.dimension());
   result.ptr()->cartesian_sub(ptr(),w.ptr());
   return result; }
 
-VectorCd<FT,LA> operator-() const 
+VectorCd<FT,LA> operator-() const
 { VectorCd<FT,LA> result(*this);
   result.copy_on_write(); // creates a copied object!
   result.ptr()->invert();
-  return result; 
+  return result;
 }
 
-VectorCd<FT,LA>& operator+=(const VectorCd<FT,LA>& w) 
-{ copy_on_write(); vector_rep() += w.vector_rep(); 
+VectorCd<FT,LA>& operator+=(const VectorCd<FT,LA>& w)
+{ copy_on_write(); vector_rep() += w.vector_rep();
   return *this; }
 
-VectorCd<FT,LA>& operator-=(const VectorCd<FT,LA>& w) 
-{ copy_on_write(); vector_rep() -= w.vector_rep(); 
+VectorCd<FT,LA>& operator-=(const VectorCd<FT,LA>& w)
+{ copy_on_write(); vector_rep() -= w.vector_rep();
   return *this; }
 
 static Comparison_result cmp(
-  const VectorCd<FT,LA>& x, const VectorCd<FT,LA>& y) 
+  const VectorCd<FT,LA>& x, const VectorCd<FT,LA>& y)
 { Compare_componentwise<FT,LA> cmpobj;
   return cmpobj(x.vector_rep(),y.vector_rep());
 }
@@ -229,5 +229,5 @@ friend std::ostream& operator<< <>
 
 #undef PointCd
 } //namespace CGAL
-#endif // CGAL_VECTORCD_H 
+#endif // CGAL_VECTORCD_H
 //----------------------- end of file ----------------------------------
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/VectorCd_impl.h 5.0.3-1/include/CGAL/Kernel_d/VectorCd_impl.h
--- 5.0.2-3/include/CGAL/Kernel_d/VectorCd_impl.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/VectorCd_impl.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2001  
+// Copyright (c) 2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/VectorCd_impl.h $
-// $Id: VectorCd_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/VectorCd_impl.h $
+// $Id: VectorCd_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -24,7 +24,7 @@ PointCd<FT,LA> VectorCd<FT,LA>::to_point
 { return PointCd<FT,LA>(Base(*this)); }
 
 template <class FT,class LA>
-PointCd<FT,LA> 
+PointCd<FT,LA>
 operator+ (const Origin&, const VectorCd<FT,LA>& v)
 { return v.to_point(); }
 
@@ -32,7 +32,7 @@ template <class FT, class LA>
 DirectionCd<FT,LA>  VectorCd<FT,LA>::
 direction() const
 { CGAL_assertion_msg(!is_zero(), "VectorCd::direction: \
-  zero vector cannot be a direction."); 
+  zero vector cannot be a direction.");
   return DirectionCd<FT,LA>(*this);
 }
 
@@ -44,22 +44,22 @@ transform(const Aff_transformationCd<FT,
 }
 
 template <class FT, class LA>
-VectorCd<FT,LA> operator*(const int& n, const VectorCd<FT,LA>& v) 
+VectorCd<FT,LA> operator*(const int& n, const VectorCd<FT,LA>& v)
 { return v.scale(n); }
 
 template <class FT, class LA>
-VectorCd<FT,LA> operator*(const FT& n, const VectorCd<FT,LA>& v) 
+VectorCd<FT,LA> operator*(const FT& n, const VectorCd<FT,LA>& v)
 { return v.scale(n); }
 
 template <class FT, class LA>
 std::istream& operator>>(std::istream& I, VectorCd<FT,LA>& v)
 { v.copy_on_write(); v.ptr()->read(I);
-  return I; 
+  return I;
 }
 
 template <class FT, class LA>
 std::ostream& operator<<(std::ostream& O, const VectorCd<FT,LA>& v)
-{ v.ptr()->print(O,"VectorCd"); return O; } 
+{ v.ptr()->print(O,"VectorCd"); return O; }
 
 #undef PointCd
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Vector_d.h 5.0.3-1/include/CGAL/Kernel_d/Vector_d.h
--- 5.0.2-3/include/CGAL/Kernel_d/Vector_d.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Vector_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Vector_d.h $
-// $Id: Vector_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Vector_d.h $
+// $Id: Vector_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Michael Seel
@@ -20,7 +20,7 @@
 #include <CGAL/Origin.h>
 
 namespace CGAL {
- 
+
 template <class pR>
   class Direction_d;
 
@@ -60,8 +60,8 @@ class Vector_d : public pR::Vector_d_bas
   Vector_d (int d, InputIterator first, InputIterator last, const RT& D)
     : Base (d, first, last, D) {}
 
-  Vector_d(const Base& v) : Base(v) {}  
-  
+  Vector_d(const Base& v) : Base(v) {}
+
   Direction_d<R> direction() const { return Base::direction(); }
 
   FT operator* (const Self& w) const
@@ -70,36 +70,36 @@ class Vector_d : public pR::Vector_d_bas
   { return Base::operator+(w); }
   Self operator-(const Self& w) const
   { return Base::operator-(w); }
-  Self operator-() const 
+  Self operator-() const
   { return Base::operator-(); }
 
-  template <class NT> 
+  template <class NT>
   Self operator/(const NT& n) const { return Base::operator/(n); }
 
-  Self& operator+=(const Self& w) 
+  Self& operator+=(const Self& w)
   { return static_cast<Self&>(Base::operator+=(w)); }
-  Self& operator-=(const Self& w) 
+  Self& operator-=(const Self& w)
   { return static_cast<Self&>(Base::operator-=(w)); }
-  template <class NT> 
-  Self& operator*=(const NT& n) 
+  template <class NT>
+  Self& operator*=(const NT& n)
   { return static_cast<Self&>(Base::operator*=(n)); }
-  template <class NT> 
-  Self& operator/=(const NT& n) 
+  template <class NT>
+  Self& operator/=(const NT& n)
   { return static_cast<Self&>(Base::operator/=(n)); }
 
   bool operator==(const Self& w) const
   { return Base::operator==(w); }
   bool operator!=(const Self& w) const
   { return Base::operator!=(w); }
-  
+
 };
 
-template <class R> Point_d<R> 
+template <class R> Point_d<R>
 operator+ (const Origin& o, const Vector_d<R>& v)
 { return Point_d<R>( o + static_cast<const typename Vector_d<R>::Base&>(v) ); }
 
 template <class NT, class R>
-Vector_d<R> operator*(const NT& n, const Vector_d<R>& v) 
+Vector_d<R> operator*(const NT& n, const Vector_d<R>& v)
 { return Vector_d<R>( n * static_cast<const typename Vector_d<R>::Base&>(v) ); }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/Vector__.h 5.0.3-1/include/CGAL/Kernel_d/Vector__.h
--- 5.0.2-3/include/CGAL/Kernel_d/Vector__.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/Vector__.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2000  
+// Copyright (c) 1997-2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/Vector__.h $
-// $Id: Vector__.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/Vector__.h $
+// $Id: Vector__.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -58,7 +58,7 @@ beyond the last element to be accepted).
 
 /*{\Manpage {Vector}{}{Vectors with NT Entries}{v}}*/
 
-template <class NT_, class AL_> 
+template <class NT_, class AL_>
 class Vector_
 {
 /*{\Mdefinition An instance of data type |Vector_| is a vector of
@@ -72,14 +72,14 @@ typedef NT_*       pointer;
 typedef const NT_* const_pointer;
 
 typedef NT_    NT;
-/*{\Mtypemember the ring type of the components.}*/ 
+/*{\Mtypemember the ring type of the components.}*/
 typedef pointer iterator;
-/*{\Mtypemember the iterator type for accessing components.}*/ 
+/*{\Mtypemember the iterator type for accessing components.}*/
 typedef const_pointer const_iterator;
-/*{\Mtypemember the const iterator type for accessing components.}*/ 
+/*{\Mtypemember the const iterator type for accessing components.}*/
 
 typedef AL_ allocator_type;
-/*{\Xtypemember the allocator type.}*/ 
+/*{\Xtypemember the allocator type.}*/
 
 protected:
   friend class Matrix_<NT_,AL_>;
@@ -93,13 +93,13 @@ protected:
 
   inline void allocate_vec_space(NT*& vi, int di)
   {
-  /* We use this procedure to allocate memory. We first get an appropriate 
-     piece of memory from the allocator and then initialize each cell 
+  /* We use this procedure to allocate memory. We first get an appropriate
+     piece of memory from the allocator and then initialize each cell
      by an inplace new. */
 
     vi = allocator().allocate(di);
     NT* p = vi + di - 1;
-    while (p >= vi) { new (p) NT(0);  p--; }   
+    while (p >= vi) { new (p) NT(0);  p--; }
   }
 
   inline void deallocate_vec_space(NT*& vi, int di)
@@ -118,11 +118,11 @@ protected:
     vi = (NT*)0;
   }
 
-inline void 
+inline void
 check_dimensions(const Vector_<NT_,AL_>& vec) const
-{ 
+{
   CGAL_USE(vec);
-  CGAL_assertion_msg((d_ == vec.d_), 
+  CGAL_assertion_msg((d_ == vec.d_),
     "Vector_::check_dimensions: object dimensions disagree.");
 }
 
@@ -131,29 +131,29 @@ public:
 /*{\Mcreation v 3}*/
 
 Vector_() : v_(0),d_(0) {}
-/*{\Mcreate creates an instance |\Mvar| of type |\Mname|.}*/ 
+/*{\Mcreate creates an instance |\Mvar| of type |\Mname|.}*/
 
-Vector_(int d) 
-/*{\Mcreate creates an instance |\Mvar| of type |\Mname|. 
-|\Mvar| is initialized to a vector of dimension $d$.}*/ 
-{ CGAL_assertion_msg( d >= 0 , 
+Vector_(int d)
+/*{\Mcreate creates an instance |\Mvar| of type |\Mname|.
+|\Mvar| is initialized to a vector of dimension $d$.}*/
+{ CGAL_assertion_msg( d >= 0 ,
     "Vector_::constructor: negative dimension.");
-  d_ = d; 
+  d_ = d;
   v_ = (NT*)0;
-  if (d_ > 0){ 
+  if (d_ > 0){
     allocate_vec_space(v_,d_);
     while (d--) v_[d] = NT(0);
   }
 }
 
-Vector_(int d, const NT& x) 
-/*{\Mcreate creates an instance |\Mvar| of type |\Mname|. 
-|\Mvar| is initialized to a vector of dimension $d$ with entries |x|.}*/ 
-{ 
-  CGAL_assertion_msg( d >= 0 , 
+Vector_(int d, const NT& x)
+/*{\Mcreate creates an instance |\Mvar| of type |\Mname|.
+|\Mvar| is initialized to a vector of dimension $d$ with entries |x|.}*/
+{
+  CGAL_assertion_msg( d >= 0 ,
     "Vector_::constructor: negative dimension.");
   d_ = d; v_ = (NT*)0;
-  if (d_ > 0){ 
+  if (d_ > 0){
     allocate_vec_space(v_,d_);
     while (d--) v_[d] = x;
   }
@@ -161,10 +161,10 @@ Vector_(int d, const NT& x)
 
 template <class Forward_iterator>
 Vector_(Forward_iterator first, Forward_iterator last)
-/*{\Mcreate creates an instance |\Mvar| of type |\Mname|; 
+/*{\Mcreate creates an instance |\Mvar| of type |\Mname|;
 |\Mvar| is initialized to the vector with entries
 |set [first,last)|. \require |Forward_iterator| has value type |NT|.}*/
-{ 
+{
 #if defined _MSC_VER && _MSC_VER == 1300
   d_ = 0;
   Forward_iterator fit = first;
@@ -186,7 +186,7 @@ Vector_(const Vector_<NT_,AL_>& p)
 
 
 Vector_<NT_,AL_>& operator=(const Vector_<NT_,AL_>& vec)
-{ 
+{
   if (&vec == this)
     return *this;
 
@@ -202,29 +202,29 @@ Vector_<NT_,AL_>& operator=(const Vector
   return *this;
 }
 
-~Vector_() 
+~Vector_()
 { if (d_ > 0) deallocate_vec_space(v_,d_); }
 
 /*{\Moperations 3 4}*/
 
 int  dimension() const { return d_; }
-/*{\Mop returns the dimension of |\Mvar|.}*/ 
+/*{\Mop returns the dimension of |\Mvar|.}*/
 
-bool is_zero() const 
-/*{\Mop returns true iff |\Mvar| is the zero vector.}*/ 
-{ for(int i=0; i<d_; ++i) if (v_[i]!=NT(0)) return false; 
+bool is_zero() const
+/*{\Mop returns true iff |\Mvar| is the zero vector.}*/
+{ for(int i=0; i<d_; ++i) if (v_[i]!=NT(0)) return false;
   return true; }
-  
+
 NT& operator[](int i)
 /*{\Marrop returns $i$-th component of |\Mvar|.\\
            \precond $0\le i \le |v.dimension()-1|$. }*/
-{ CGAL_assertion_msg((0<=i && i<d_), 
+{ CGAL_assertion_msg((0<=i && i<d_),
     "Vector_::operator[]: index out of range.");
   return v_[i];
 }
-  
+
 const NT& operator[](int i) const
-{ CGAL_assertion_msg((0<=i && i<d_), 
+{ CGAL_assertion_msg((0<=i && i<d_),
     "Vector_::operator[]: index out of range.");
   return v_[i];
 }
@@ -234,7 +234,7 @@ iterator begin() { return v_; }
 iterator end() { return v_+d_; }
 /*{\Mop iterator beyond the last component.}*/
 
-/*{\Mtext The same operations |begin()|, |end()| exist for 
+/*{\Mtext The same operations |begin()|, |end()| exist for
 |const_iterator|.}*/
 
 const_iterator begin() const { return v_; }
@@ -266,51 +266,51 @@ Vector_<NT_,AL_>& operator*=(const NT& s
 
 Vector_<NT_,AL_>& operator/=(const NT& s);
 /*{\Mbinop Scalar division plus assignment.}*/
- 
+
 
 bool     operator==(const Vector_<NT_,AL_>& w) const;
-bool     operator!=(const Vector_<NT_,AL_>& w) const 
+bool     operator!=(const Vector_<NT_,AL_>& w) const
 { return !(*this == w); }
 
-static int  compare(const Vector_<NT_,AL_>&, 
+static int  compare(const Vector_<NT_,AL_>&,
                     const Vector_<NT_,AL_>&);
 
 };
 
 
-template <class NT, class AL> 
+template <class NT, class AL>
 
 inline Vector_<NT,AL> operator*(const NT& r, const Vector_<NT,AL>& v)
 /*{\Mbinopfunc Componentwise multiplication with number $r$.}*/
 { return v.compmul(r); }
 
-template <class NT, class AL> 
+template <class NT, class AL>
 
 inline Vector_<NT,AL> operator*(const Vector_<NT,AL>& v, const NT& r)
 /*{\Mbinopfunc Componentwise multiplication with number $r$.}*/
 { return v.compmul(r); }
 
-template <class NT_, class AL_> 
+template <class NT_, class AL_>
 inline Vector_<NT_,AL_>& Vector_<NT_,AL_>::
 operator+=(const Vector_<NT_,AL_>& vec)
-{ 
+{
   check_dimensions(vec);
   int n = d_;
   while (n--) v_[n] += vec.v_[n];
   return *this;
 }
 
-template <class NT_, class AL_> 
+template <class NT_, class AL_>
 inline Vector_<NT_,AL_>& Vector_<NT_,AL_>::
 operator-=(const Vector_<NT_,AL_>& vec)
-{ 
+{
   check_dimensions(vec);
   int n = d_;
   while (n--) v_[n] -= vec.v_[n];
   return *this;
 }
 
-template <class NT_, class AL_> 
+template <class NT_, class AL_>
 inline Vector_<NT_,AL_>& Vector_<NT_,AL_>::
 operator*=(const NT& s)
 { int n = d_;
@@ -326,10 +326,10 @@ operator/=(const NT& s)
   return *this;
 }
 
-template <class NT_, class AL_> 
+template <class NT_, class AL_>
 inline Vector_<NT_,AL_> Vector_<NT_,AL_>::
 operator+(const Vector_<NT_,AL_>& vec) const
-{ 
+{
   check_dimensions(vec);
   int n = d_;
   Vector_<NT_,AL_> result(n);
@@ -337,10 +337,10 @@ operator+(const Vector_<NT_,AL_>& vec) c
   return result;
 }
 
-template <class NT_, class AL_> 
+template <class NT_, class AL_>
 inline Vector_<NT_,AL_> Vector_<NT_,AL_>::
 operator-(const Vector_<NT_,AL_>& vec) const
-{ 
+{
   check_dimensions(vec);
   int n = d_;
   Vector_<NT_,AL_> result(n);
@@ -348,10 +348,10 @@ operator-(const Vector_<NT_,AL_>& vec) c
   return result;
 }
 
-template <class NT_, class AL_> 
+template <class NT_, class AL_>
 inline Vector_<NT_,AL_> Vector_<NT_,AL_>::
 operator-() const  // unary minus
-{ 
+{
   int n = d_;
   Vector_<NT_,AL_> result(n);
   while (n--) result.v_[n] = -v_[n];
@@ -359,10 +359,10 @@ operator-() const  // unary minus
 }
 
 
-template <class NT_, class AL_> 
+template <class NT_, class AL_>
 inline Vector_<NT_,AL_> Vector_<NT_,AL_>::
 compmul(const NT& x) const
-{ 
+{
   int n = d_;
   Vector_<NT_,AL_> result(n);
   while (n--) result.v_[n] = v_[n] * x;
@@ -370,10 +370,10 @@ compmul(const NT& x) const
 }
 
 
-template <class NT_, class AL_> 
+template <class NT_, class AL_>
 inline NT_ Vector_<NT_,AL_>::
 operator*(const Vector_<NT_,AL_>& vec) const
-{ 
+{
   check_dimensions(vec);
   NT_ result=0;
   int n = d_;
@@ -381,7 +381,7 @@ operator*(const Vector_<NT_,AL_>& vec) c
   return result;
 }
 
-template <class NT_, class AL_> 
+template <class NT_, class AL_>
 inline bool Vector_<NT_,AL_>::
 operator==(const Vector_<NT_,AL_>& vec)  const
 { if (vec.d_ != d_) return false;
@@ -390,7 +390,7 @@ operator==(const Vector_<NT_,AL_>& vec)
   return (i==d_);
 }
 
-template <class NT_, class AL_> 
+template <class NT_, class AL_>
 int Vector_<NT_,AL_>::
 compare(const Vector_<NT_,AL_>& v1, const Vector_<NT_,AL_>& v2)
 { int i;
@@ -400,7 +400,7 @@ compare(const Vector_<NT_,AL_>& v1, cons
   return (v1[i] < v2[i]) ?  -1 : 1;
 }
 
-template <class NT_, class AL_> 
+template <class NT_, class AL_>
 std::ostream& operator<<(std::ostream& os, const Vector_<NT_,AL_>& v)
 /*{\Xbinopfunc  writes |\Mvar| componentwise to the output stream $O$.}*/
 { /* syntax: d x_0 x_1 ... x_d-1 */
@@ -429,7 +429,7 @@ std::ostream& operator<<(std::ostream& o
     return os;
 }
 
-template <class NT_, class AL_> 
+template <class NT_, class AL_>
 std::istream& operator>>(std::istream& is, Vector_<NT_,AL_>& v)
 /*{\Xbinopfunc  reads |\Mvar| componentwise from the input stream $I$.}*/
 { /* syntax: d x_0 x_1 ... x_d-1 */
@@ -437,7 +437,7 @@ std::istream& operator>>(std::istream& i
   switch (get_mode(is)) {
     case CGAL::IO::ASCII :
     case CGAL::IO::BINARY :
-      is >> d; 
+      is >> d;
       v = Vector_<NT_,AL_>(d);
       for ( int i = 0; i < d; ++i) {
           is >> v[i];
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/VectorHd.h 5.0.3-1/include/CGAL/Kernel_d/VectorHd.h
--- 5.0.2-3/include/CGAL/Kernel_d/VectorHd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/VectorHd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,25 +1,25 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/VectorHd.h $
-// $Id: VectorHd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/VectorHd.h $
+// $Id: VectorHd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
 #ifndef CGAL_VECTORHD_H
-#define CGAL_VECTORHD_H 
+#define CGAL_VECTORHD_H
 
 #include <CGAL/basic.h>
 #include <CGAL/Quotient.h>
-#include <CGAL/Kernel_d/Tuple_d.h> 
+#include <CGAL/Kernel_d/Tuple_d.h>
 #include <CGAL/Kernel_d/PointHd.h>
 #include <CGAL/Kernel_d/Aff_transformationHd.h>
 
@@ -33,7 +33,7 @@ template <class RT, class LA>
 std::ostream& operator<<(std::ostream&, const VectorHd<RT,LA>&);
 
 /*{\Manpage {Vector_d}{R}{Vectors in d-space}{v}}*/
-/*{\Msubst 
+/*{\Msubst
 Hd<RT,LA>#_d<R>
 VectorHd#Vector_d
 PointHd#Point_d
@@ -41,7 +41,7 @@ Quotient<RT>#FT
 }*/
 
 template <class _RT, class _LA>
-class VectorHd : public Handle_for< Tuple_d<_RT,_LA> > { 
+class VectorHd : public Handle_for< Tuple_d<_RT,_LA> > {
   typedef Tuple_d<_RT,_LA>  Tuple;
   typedef Handle_for<Tuple> Base;
   typedef VectorHd<_RT,_LA> Self;
@@ -69,7 +69,7 @@ const _RT& entry(int i) const { return p
 void invert_rep() { ptr()->invert(); }
 VectorHd(const Base& b) : Base(b) {}
 
-public: 
+public:
 /*{\Mtypes 4}*/
 
 typedef _RT RT;
@@ -86,19 +86,19 @@ typedef typename Tuple::const_iterator H
 class Base_vector {};
 /*{\Mtypemember construction tag.}*/
 
-friend class PointHd<RT,LA>; 
-friend class DirectionHd<RT,LA>; 
-friend class HyperplaneHd<RT,LA>; 
+friend class PointHd<RT,LA>;
+friend class DirectionHd<RT,LA>;
+friend class HyperplaneHd<RT,LA>;
 
 /*{\Mcreation 4}*/
 
-VectorHd(int d = 0) : Base( Tuple(d+1) )  
-/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in 
+VectorHd(int d = 0) : Base( Tuple(d+1) )
+/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in
 $d$-dimensional space.}*/
 { if ( d > 0 ) entry(d) = 1; }
 
-VectorHd(int d, Null_vector) : Base( Tuple(d+1) )  
-/*{\Mcreate introduces the zero vector |\Mvar| of type |\Mname| in 
+VectorHd(int d, Null_vector) : Base( Tuple(d+1) )
+/*{\Mcreate introduces the zero vector |\Mvar| of type |\Mname| in
 $d$-dimensional space. There is a constant |CGAL::NULL_VECTOR| that
 can be used for the second argument.}*/
 { if ( d > 0 ) entry(d) = 1; }
@@ -107,7 +107,7 @@ template <class InputIterator>
 VectorHd(int d, InputIterator first, InputIterator last) :
   Base( Tuple(d+1,first,last) )
 /*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in dimension |d|.
-If |size [first,last) == d| this creates a vector with Cartesian coordinates 
+If |size [first,last) == d| this creates a vector with Cartesian coordinates
 |set [first,last)|. If |size [first,last) == p+1| the range specifies the
 homogeneous coordinates $|H = set [first,last)| = (\pm h_0, \pm h_1, \ldots,
 \pm h_d)$ where the sign chosen is the sign of $h_d$.
@@ -119,20 +119,20 @@ last has to be non-zero, and the value t
 }
 
 template <class InputIterator>
-VectorHd(int d, InputIterator first, InputIterator last, 
+VectorHd(int d, InputIterator first, InputIterator last,
          const RT& D) : Base( Tuple(d+1,first,last,D) )
 /*{\Mcreate introduces a variable |\Mvar| of type |\Mname|
-in dimension |d| initialized to the vector with homogeneous 
+in dimension |d| initialized to the vector with homogeneous
 coordinates as defined by |H = set [first,last)| and |D|:
-$(\pm |H[0]|, \pm|H[1]|, \ldots, \pm|H[d-1]|, \pm|D|)$. The sign chosen 
-is the sign of $D$. \precond |D| is non-zero, the iterator range defines 
+$(\pm |H[0]|, \pm|H[1]|, \ldots, \pm|H[d-1]|, \pm|D|)$. The sign chosen
+is the sign of $D$. \precond |D| is non-zero, the iterator range defines
 a $d$-tuple of |RT|, and the value type of |InputIterator| is |RT|. }*/
 { CGAL_assertion_msg(D!=RT(0), "VectorHd::constructor: D must be nonzero.");
   if (D < RT(0)) invert_rep();
 }
 
 VectorHd(int d, Base_vector, int i) : Base( Tuple(d+1) )
-/*{\Mcreate returns a variable |\Mvar| of type |\Mname| initialized  
+/*{\Mcreate returns a variable |\Mvar| of type |\Mname| initialized
 to the $i$-th base vector of dimension $d$. }*/
 { entry(d) = 1;
   if ( d == 0 ) return;
@@ -140,22 +140,22 @@ to the $i$-th base vector of dimension $
   entry(i) = 1;
 }
 
-VectorHd(const RT& x, const RT& y, const RT& w = 1) 
-/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in 
+VectorHd(const RT& x, const RT& y, const RT& w = 1)
+/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in
 $2$-dimensional space. }*/
- : Base( Tuple(x,y,w) ) 
+ : Base( Tuple(x,y,w) )
 { CGAL_assertion_msg((w != 0), "VectorHd::construction: w == 0.");
   if (w < 0) invert_rep();
 }
 
-VectorHd(int a, int b, int c = 1) : 
-  Base( Tuple((RT)a,(RT)b,(RT)c, MatchHelper()) ) 
+VectorHd(int a, int b, int c = 1) :
+  Base( Tuple((RT)a,(RT)b,(RT)c, MatchHelper()) )
 { CGAL_assertion_msg((c != 0), "VectorHd::construction: w == 0.");
   if (c < 0) invert_rep();
 }
 
-VectorHd(const RT& x, const RT& y, const RT& z, const RT& w) 
-/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in 
+VectorHd(const RT& x, const RT& y, const RT& z, const RT& w)
+/*{\Mcreate introduces a variable |\Mvar| of type |\Mname| in
 $3$-dimensional space. }*/
   : Base( Tuple((RT)x,(RT)y,(RT)z,(RT)w) )
 { CGAL_assertion_msg((w!=0), "VectorHd::construction: w == 0.");
@@ -168,27 +168,27 @@ VectorHd(int a, int b, int c, int d) :
   if (d < 0) invert_rep();
 }
 
-~VectorHd() {}     
+~VectorHd() {}
 
 /*{\Moperations 5 3 }*/
 
-int dimension() const { return ptr()->size()-1; } 
-/*{\Mop returns the dimension of |\Mvar|. }*/ 
+int dimension() const { return ptr()->size()-1; }
+/*{\Mop returns the dimension of |\Mvar|. }*/
 
-Quotient<RT> cartesian(int i) const 
-/*{\Mop returns the $i$-th Cartesian coordinate of |\Mvar|. 
+Quotient<RT> cartesian(int i) const
+/*{\Mop returns the $i$-th Cartesian coordinate of |\Mvar|.
    \precond $0 \leq i < d$.}*/
 { CGAL_assertion_msg((0<=i && i<(dimension())), "VectorHd::cartesian():\
   index out of range.");
-  return Quotient<RT>(entry(i), entry(dimension())); 
+  return Quotient<RT>(entry(i), entry(dimension()));
 }
 
 Quotient<RT> operator[](int i) const { return cartesian(i); }
 /*{\Marrop returns the $i$-th Cartesian coordinate of |\Mvar|.
    \precond $0 \leq i < d$.}*/
 
-RT homogeneous(int i) const 
-/*{\Mop returns the $i$-th homogeneous coordinate of |\Mvar|. 
+RT homogeneous(int i) const
+/*{\Mop returns the $i$-th homogeneous coordinate of |\Mvar|.
    \precond $0 \leq i \leq d$.}*/
 { CGAL_assertion_msg((0<=i && i<=(dimension())), "VectorHd::homogeneous():\
   index out of range.");
@@ -197,66 +197,66 @@ RT homogeneous(int i) const
 
 Quotient<RT> squared_length() const
 /*{\Mop returns the square of the length of |\Mvar|. }*/
-{ RT nom = 0; 
-  for (int i = 0; i < dimension(); i++) 
+{ RT nom = 0;
+  for (int i = 0; i < dimension(); i++)
     nom += CGAL_NTS square(homogeneous(i));
   RT denom = CGAL_NTS square(homogeneous(dimension()));
-  return Quotient<RT>(nom,denom); 
+  return Quotient<RT>(nom,denom);
 }
 
-Cartesian_const_iterator cartesian_begin() const 
-/*{\Mop returns an iterator pointing to the zeroth Cartesian coordinate 
+Cartesian_const_iterator cartesian_begin() const
+/*{\Mop returns an iterator pointing to the zeroth Cartesian coordinate
 of |\Mvar|. }*/
 { return Cartesian_const_iterator(ptr()->begin(),ptr()->last()); }
 
-Cartesian_const_iterator cartesian_end() const 
-/*{\Mop returns an iterator pointing beyond the last Cartesian coordinate 
+Cartesian_const_iterator cartesian_end() const
+/*{\Mop returns an iterator pointing beyond the last Cartesian coordinate
 of |\Mvar|. }*/
 { return Cartesian_const_iterator(ptr()->last(),ptr()->last()); }
 
-Homogeneous_const_iterator homogeneous_begin() const 
-/*{\Mop returns an iterator pointing to the zeroth homogeneous coordinate 
+Homogeneous_const_iterator homogeneous_begin() const
+/*{\Mop returns an iterator pointing to the zeroth homogeneous coordinate
 of |\Mvar|. }*/
 { return ptr()->begin(); }
 
-Homogeneous_const_iterator homogeneous_end() const 
+Homogeneous_const_iterator homogeneous_end() const
 /*{\Mop returns an iterator pointing beyond the last homogeneous
-coordinate of |\Mvar|. }*/ 
+coordinate of |\Mvar|. }*/
 { return ptr()->end(); }
 
 inline PointHd<RT,LA> to_point() const;
 
-inline DirectionHd<RT,LA> direction() const; 
+inline DirectionHd<RT,LA> direction() const;
 /*{\Mop returns the direction of |\Mvar|. }*/
 
-VectorHd<RT,LA> transform(const Aff_transformationHd<RT,LA>& t) const; 
+VectorHd<RT,LA> transform(const Aff_transformationHd<RT,LA>& t) const;
 /*{\Mop returns $t(v)$. }*/
 /*{\Mtext \headerline{Arithmetic Operators, Tests and IO}}*/
 
-VectorHd<RT,LA> scale(const RT& m, const RT& n) const 
-{ int d = dimension(); 
-  VectorHd<RT,LA> result(d); 
-  result.entry(d) = entry(d) * n; 
-  for (int i = 0; i < d; i++) 
-    result.entry(i) = entry(i) * m; 
-  return result; 
+VectorHd<RT,LA> scale(const RT& m, const RT& n) const
+{ int d = dimension();
+  VectorHd<RT,LA> result(d);
+  result.entry(d) = entry(d) * n;
+  for (int i = 0; i < d; i++)
+    result.entry(i) = entry(i) * m;
+  return result;
 }
 
-void self_scale(const RT& m, const RT& n) 
-{ int d = dimension(); 
+void self_scale(const RT& m, const RT& n)
+{ int d = dimension();
   copy_on_write();
-  entry(d) *= n; 
-  for (int i = 0; i < d; i++) entry(i) *= m; 
+  entry(d) *= n;
+  for (int i = 0; i < d; i++) entry(i) *= m;
 }
 
-VectorHd<RT,LA>& operator*=(const RT& n) 
+VectorHd<RT,LA>& operator*=(const RT& n)
 /*{\Mbinop  multiplies all Cartesian coordinates by |n|.}*/
 { self_scale(n,1); return *this; }
 
-VectorHd<RT,LA>& operator*=(int n) 
+VectorHd<RT,LA>& operator*=(int n)
 { self_scale(n,1); return *this; }
 
-VectorHd<RT,LA>& operator*=(const Quotient<RT>& r) 
+VectorHd<RT,LA>& operator*=(const Quotient<RT>& r)
 /*{\Mbinop  multiplies all Cartesian coordinates by |r|.}*/
 { self_scale(r.numerator(),r.denominator()); return *this; }
 
@@ -264,85 +264,85 @@ VectorHd<RT,LA> operator/(int n) const
 { return scale(1,n); }
 
 VectorHd<RT,LA> operator/(const RT& n) const
-/*{\Mbinop returns the vector with Cartesian coordinates 
+/*{\Mbinop returns the vector with Cartesian coordinates
 $v_i/n, 0 \leq i < d$.}*/
 { return scale(1,n); }
 
 VectorHd<RT,LA> operator/(const Quotient<RT>& r) const
-/*{\Mbinop returns the vector with Cartesian coordinates 
+/*{\Mbinop returns the vector with Cartesian coordinates
 $v_i/r, 0 \leq i < d$.}*/
 { return scale(r.denominator(),r.numerator()); }
 
-VectorHd<RT,LA>& operator/=(const RT& n) 
+VectorHd<RT,LA>& operator/=(const RT& n)
 { self_scale(1,n); return *this; }
 /*{\Mbinop divides all Cartesian coordinates by |n|.}*/
 
-VectorHd<RT,LA>& operator/=(int n) 
+VectorHd<RT,LA>& operator/=(int n)
 { self_scale(1,n); return *this; }
 
-VectorHd<RT,LA>& operator/=(const Quotient<RT>& r) 
+VectorHd<RT,LA>& operator/=(const Quotient<RT>& r)
 { self_scale(r.denominator(),r.numerator()); return *this; }
 /*{\Mbinop divides all Cartesian coordinates by |r|.}*/
 
-Quotient<RT> 
+Quotient<RT>
 operator* (const VectorHd<RT,LA>& w) const
-/*{\Mbinop inner product, i.e., $\sum_{ 0 \le i < d } v_i w_i$, 
-where $v_i$ and $w_i$ are the Cartesian coordinates of $v$ and $w$ 
+/*{\Mbinop inner product, i.e., $\sum_{ 0 \le i < d } v_i w_i$,
+where $v_i$ and $w_i$ are the Cartesian coordinates of $v$ and $w$
 respectively. }*/
-{ int d = dimension(); 
+{ int d = dimension();
   CGAL_assertion_msg((d==w.dimension()),
-    "inner product: dimensions disagree."); 
-  RT nom = 0; 
-  for (int i = 0; i < d; i++) 
-    nom += homogeneous(i) * w.homogeneous(i); 
-  RT denom = homogeneous(d) * w.homogeneous(d); 
-  return Quotient<RT>(nom,denom); 
+    "inner product: dimensions disagree.");
+  RT nom = 0;
+  for (int i = 0; i < d; i++)
+    nom += homogeneous(i) * w.homogeneous(i);
+  RT denom = homogeneous(d) * w.homogeneous(d);
+  return Quotient<RT>(nom,denom);
 }
 
-VectorHd<RT,LA> operator+(const VectorHd<RT,LA>& w) const 
-/*{\Mbinop returns the vector with Cartesian coordinates 
+VectorHd<RT,LA> operator+(const VectorHd<RT,LA>& w) const
+/*{\Mbinop returns the vector with Cartesian coordinates
 $v_i+w_i, 0 \leq i < d$.}*/
-{ VectorHd<RT,LA> res(dimension()); 
-  res.ptr()->homogeneous_add(ptr(), w.ptr()); 
-  return res; 
+{ VectorHd<RT,LA> res(dimension());
+  res.ptr()->homogeneous_add(ptr(), w.ptr());
+  return res;
 }
 
-VectorHd<RT,LA>& operator+=(const VectorHd<RT,LA>& w) 
+VectorHd<RT,LA>& operator+=(const VectorHd<RT,LA>& w)
 /*{\Mbinop addition plus assignment.}*/
-{ int d = dimension(); 
-  VectorHd<RT,LA> old(*this); 
-  *this = VectorHd<RT,LA>(d); 
-  ptr()->homogeneous_add(old.ptr(), w.ptr()); 
-  return *this; 
+{ int d = dimension();
+  VectorHd<RT,LA> old(*this);
+  *this = VectorHd<RT,LA>(d);
+  ptr()->homogeneous_add(old.ptr(), w.ptr());
+  return *this;
 }
 
-VectorHd<RT,LA> operator-(const VectorHd<RT,LA>& w) const 
-/*{\Mbinop returns the vector with Cartesian coordinates 
+VectorHd<RT,LA> operator-(const VectorHd<RT,LA>& w) const
+/*{\Mbinop returns the vector with Cartesian coordinates
 $v_i-w_i, 0 \leq i < d$.}*/
-{ VectorHd<RT,LA> res(dimension()); 
-  res.ptr()->homogeneous_sub(ptr(), w.ptr()); 
-  return res; 
+{ VectorHd<RT,LA> res(dimension());
+  res.ptr()->homogeneous_sub(ptr(), w.ptr());
+  return res;
 }
 
-VectorHd<RT,LA>& operator-=(const VectorHd<RT,LA>& w) 
+VectorHd<RT,LA>& operator-=(const VectorHd<RT,LA>& w)
 /*{\Mbinop subtraction plus assignment.}*/
-{ int d = dimension(); 
-  VectorHd<RT,LA> old(*this); 
-  *this = VectorHd<RT,LA>(d); 
-  ptr()->homogeneous_sub(old.ptr(), w.ptr()); 
-  return *this; 
+{ int d = dimension();
+  VectorHd<RT,LA> old(*this);
+  *this = VectorHd<RT,LA>(d);
+  ptr()->homogeneous_sub(old.ptr(), w.ptr());
+  return *this;
 }
 
-VectorHd<RT,LA> operator-() const 
+VectorHd<RT,LA> operator-() const
 /*{\Munop returns the vector in opposite direction.}*/
-{ VectorHd<RT,LA> result(*this); 
+{ VectorHd<RT,LA> result(*this);
   result.copy_on_write(); // creates a copied object!
-  result.ptr()->invert(dimension()); 
-  return result; 
+  result.ptr()->invert(dimension());
+  return result;
 }
 
 static Comparison_result cmp(
-  const VectorHd<RT,LA>& x, const VectorHd<RT,LA>& y) 
+  const VectorHd<RT,LA>& x, const VectorHd<RT,LA>& y)
 { Compare_homogeneously<RT,LA> cmpobj;
   return cmpobj(x.vector_rep(),y.vector_rep());
 }
@@ -350,7 +350,7 @@ static Comparison_result cmp(
 bool operator==(const VectorHd<RT,LA>& w) const
 { if ( this->identical(w) ) return true;
   if ( dimension() != w.dimension() ) return false;
-  return cmp(*this,w) == EQUAL; 
+  return cmp(*this,w) == EQUAL;
 }
 
 bool operator!=(const VectorHd<RT,LA>& w) const
@@ -374,34 +374,34 @@ Quotient<RT> x()  const { return Quotien
 Quotient<RT> y()  const { return Quotient<RT>(hy(),hw());}
 Quotient<RT> z()  const { return Quotient<RT>(hz(),hw());}
 
-friend std::istream& operator>> <> 
+friend std::istream& operator>> <>
   (std::istream& I, VectorHd<RT,LA>& v);
-friend std::ostream& operator<< <> 
+friend std::ostream& operator<< <>
   (std::ostream& O, const VectorHd<RT,LA>& v);
 
 }; // end of class VectorHd
 
 
 template <class RT, class LA>
-VectorHd<RT,LA> operator*(const int& n, const VectorHd<RT,LA>& v) 
+VectorHd<RT,LA> operator*(const int& n, const VectorHd<RT,LA>& v)
 { return v.scale(n,1); }
 
 template <class RT, class LA>
-VectorHd<RT,LA> operator*(const RT& n, const VectorHd<RT,LA>& v) 
+VectorHd<RT,LA> operator*(const RT& n, const VectorHd<RT,LA>& v)
 /*{\Mbinopfunc returns the vector with Cartesian coordinates $n v_i$.}*/
 { return v.scale(n,1); }
 
 template <class RT, class LA>
 VectorHd<RT,LA> operator*(const Quotient<RT>& r, const VectorHd<RT,LA>& v)
-/*{\Mbinopfunc returns the vector with Cartesian coordinates 
+/*{\Mbinopfunc returns the vector with Cartesian coordinates
 $r v_i, 0 \leq i < d$.}*/
 { return v.scale(r.numerator(),r.denominator()); }
 
 
-/*{\Mimplementation 
+/*{\Mimplementation
 Vectors are implemented by arrays of variables of type |RT|.  All
 operations like creation, initialization, tests, vector arithmetic,
-input and output on a vector $v$ take time $O(|v.dimension()|)$. 
+input and output on a vector $v$ take time $O(|v.dimension()|)$.
 coordinate access, |dimension()| and conversions
 take constant time.  The space requirement of a vector is
 $O(|v.dimension()|)$.}*/
@@ -410,5 +410,5 @@ $O(|v.dimension()|)$.}*/
 
 #undef PointHd
 } //namespace CGAL
-#endif // CGAL_VECTORHD_H 
+#endif // CGAL_VECTORHD_H
 //----------------------- end of file ----------------------------------
diff -pruN 5.0.2-3/include/CGAL/Kernel_d/VectorHd_impl.h 5.0.3-1/include/CGAL/Kernel_d/VectorHd_impl.h
--- 5.0.2-3/include/CGAL/Kernel_d/VectorHd_impl.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_d/VectorHd_impl.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2001  
+// Copyright (c) 2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Kernel_d/VectorHd_impl.h $
-// $Id: VectorHd_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Kernel_d/VectorHd_impl.h $
+// $Id: VectorHd_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -24,7 +24,7 @@ PointHd<RT,LA> VectorHd<RT,LA>::to_point
 { return PointHd<RT,LA>(Base(*this)); }
 
 template <class RT,class LA>
-PointHd<RT,LA> 
+PointHd<RT,LA>
 operator+ (const Origin&, const VectorHd<RT,LA>& v)
 { return v.to_point(); }
 
@@ -32,31 +32,31 @@ template <class RT, class LA>
 DirectionHd<RT,LA>  VectorHd<RT,LA>::
 direction() const
 { CGAL_assertion_msg(!is_zero(), "VectorHd::direction: \
-  zero vector cannot be a direction."); 
-  return DirectionHd<RT,LA>(*this); 
+  zero vector cannot be a direction.");
+  return DirectionHd<RT,LA>(*this);
 }
 
 template <class RT, class LA>
 VectorHd<RT,LA> VectorHd<RT,LA>::
 transform(const Aff_transformationHd<RT,LA>& t) const
-{ typename LA::Matrix m_at = t.matrix(); 
-  int d = t.dimension(); 
+{ typename LA::Matrix m_at = t.matrix();
+  int d = t.dimension();
   for (int i = 0; i < d; i++) m_at(i,d) = 0;
   typename LA::Vector res(m_at*vector_rep());
-  return VectorHd<RT,LA>(dimension(),res.begin(),res.end()); 
+  return VectorHd<RT,LA>(dimension(),res.begin(),res.end());
 }
 
 template <class RT, class LA>
 std::istream& operator>>(std::istream& I, VectorHd<RT,LA>& v)
-{ v.copy_on_write(); v.ptr()->read(I); 
+{ v.copy_on_write(); v.ptr()->read(I);
   CGAL_assertion_msg((v.homogeneous(v.dimension()) > 0),
   "operator>>: denominator of vector must be larger than zero.");
-  return I; 
+  return I;
 }
 
 template <class RT, class LA>
 std::ostream& operator<<(std::ostream& O, const VectorHd<RT,LA>& v)
-{ v.ptr()->print(O,"VectorHd"); return O; } 
+{ v.ptr()->print(O,"VectorHd"); return O; }
 
 #undef PointHd
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Kernel_profiler.h 5.0.3-1/include/CGAL/Kernel_profiler.h
--- 5.0.2-3/include/CGAL/Kernel_profiler.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_profiler.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/Kernel_profiler.h $
-// $Id: Kernel_profiler.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/Kernel_profiler.h $
+// $Id: Kernel_profiler.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
@@ -38,70 +38,70 @@ struct Primitive_profiler
     result_type
     operator()(const A1 &a1) const
     {
-	CGAL_KERNEL_PROFILER;
-	return P::operator()(a1);
+        CGAL_KERNEL_PROFILER;
+        return P::operator()(a1);
     }
 
     template <class A1, class A2>
     result_type
     operator()(const A1 &a1, const A2 &a2) const
     {
-	CGAL_KERNEL_PROFILER;
-	return P::operator()(a1, a2);
+        CGAL_KERNEL_PROFILER;
+        return P::operator()(a1, a2);
     }
 
     template <class A1, class A2, class A3>
     result_type
     operator()(const A1 &a1, const A2 &a2, const A3 &a3) const
     {
-	CGAL_KERNEL_PROFILER;
-	return P::operator()(a1, a2, a3);
+        CGAL_KERNEL_PROFILER;
+        return P::operator()(a1, a2, a3);
     }
 
     template <class A1, class A2, class A3, class A4>
     result_type
     operator()(const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4) const
     {
-	CGAL_KERNEL_PROFILER;
-	return P::operator()(a1, a2, a3, a4);
+        CGAL_KERNEL_PROFILER;
+        return P::operator()(a1, a2, a3, a4);
     }
 
     template <class A1, class A2, class A3, class A4, class A5>
     result_type
     operator()(const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4,
-	       const A5 &a5) const
+               const A5 &a5) const
     {
-	CGAL_KERNEL_PROFILER;
-	return P::operator()(a1, a2, a3, a4, a5);
+        CGAL_KERNEL_PROFILER;
+        return P::operator()(a1, a2, a3, a4, a5);
     }
 
     template <class A1, class A2, class A3, class A4, class A5, class A6>
     result_type
     operator()(const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4,
-	       const A5 &a5, const A6 &a6) const
+               const A5 &a5, const A6 &a6) const
     {
-	CGAL_KERNEL_PROFILER;
-	return P::operator()(a1, a2, a3, a4, a5, a6);
+        CGAL_KERNEL_PROFILER;
+        return P::operator()(a1, a2, a3, a4, a5, a6);
     }
 
     template <class A1, class A2, class A3, class A4,
               class A5, class A6, class A7>
     result_type
     operator()(const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4,
-	       const A5 &a5, const A6 &a6, const A7 &a7) const
+               const A5 &a5, const A6 &a6, const A7 &a7) const
     {
-	CGAL_KERNEL_PROFILER;
-	return P::operator()(a1, a2, a3, a4, a5, a6, a7);
+        CGAL_KERNEL_PROFILER;
+        return P::operator()(a1, a2, a3, a4, a5, a6, a7);
     }
 
     template <class A1, class A2, class A3, class A4,
               class A5, class A6, class A7, class A8>
     result_type
     operator()(const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4,
-	       const A5 &a5, const A6 &a6, const A7 &a7, const A8 &a8) const
+               const A5 &a5, const A6 &a6, const A7 &a7, const A8 &a8) const
     {
-	CGAL_KERNEL_PROFILER;
-	return P::operator()(a1, a2, a3, a4, a5, a6, a7, a8);
+        CGAL_KERNEL_PROFILER;
+        return P::operator()(a1, a2, a3, a4, a5, a6, a7, a8);
     }
 
     // ...
diff -pruN 5.0.2-3/include/CGAL/kernel_to_kernel.h 5.0.3-1/include/CGAL/kernel_to_kernel.h
--- 5.0.2-3/include/CGAL/kernel_to_kernel.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/kernel_to_kernel.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/kernel_to_kernel.h $
-// $Id: kernel_to_kernel.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/kernel_to_kernel.h $
+// $Id: kernel_to_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 #ifndef CGAL_KERNEL_TO_KERNEL_H
 #define CGAL_KERNEL_TO_KERNEL_H
 
diff -pruN 5.0.2-3/include/CGAL/Kernel_traits_fwd.h 5.0.3-1/include/CGAL/Kernel_traits_fwd.h
--- 5.0.2-3/include/CGAL/Kernel_traits_fwd.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_traits_fwd.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/Kernel_traits_fwd.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/Kernel_traits_fwd.h $
 // $Id: Kernel_traits_fwd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Kernel_traits.h 5.0.3-1/include/CGAL/Kernel_traits.h
--- 5.0.2-3/include/CGAL/Kernel_traits.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Kernel_traits.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2001  
+// Copyright (c) 2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Kernel_traits.h $
-// $Id: Kernel_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Kernel_traits.h $
+// $Id: Kernel_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
diff -pruN 5.0.2-3/include/CGAL/K_neighbor_search.h 5.0.3-1/include/CGAL/K_neighbor_search.h
--- 5.0.2-3/include/CGAL/K_neighbor_search.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/K_neighbor_search.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/K_neighbor_search.h $
-// $Id: K_neighbor_search.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/K_neighbor_search.h $
+// $Id: K_neighbor_search.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Hans Tangelder (<hanst@cs.uu.nl>)
 
@@ -24,35 +24,35 @@
 
 
 namespace CGAL {
-	template <class SearchTraits, class Distance,class Splitter,class Tree>
+        template <class SearchTraits, class Distance,class Splitter,class Tree>
 class K_neighbor_search;
 
-template <class SearchTraits, 
+template <class SearchTraits,
           class Distance= typename internal::Spatial_searching_default_distance<SearchTraits>::type,
           class Splitter= Sliding_midpoint<SearchTraits> ,
           class Tree= Kd_tree<SearchTraits, Splitter, Tag_true> >
 class K_neighbor_search: public internal::K_neighbor_search<SearchTraits,Distance,Splitter,Tree> {
   typedef  internal::K_neighbor_search<SearchTraits,Distance,Splitter,Tree> Base;
-  
+
 public:
-  typedef typename Base::FT FT;  
+  typedef typename Base::FT FT;
   typedef typename internal::Get_dimension_tag<SearchTraits>::Dimension D;
 
-  K_neighbor_search(const Tree& tree, const typename Base::Query_item& q,  
+  K_neighbor_search(const Tree& tree, const typename Base::Query_item& q,
     unsigned int k=1, FT Eps=FT(0.0), bool Search_nearest=true, const Distance& d=Distance(),bool sorted=true)
-    : Base(q,k,Eps,Search_nearest,d) 
+    : Base(q,k,Eps,Search_nearest,d)
   {
     if (tree.empty()) return;
     compute_neighbors_general(tree.root(),tree.bounding_box());
-    if (sorted) this->queue.sort();    
+    if (sorted) this->queue.sort();
   };
 
-private:  
-  typedef typename Base::Node_const_handle Node_const_handle; 
+private:
+  typedef typename Base::Node_const_handle Node_const_handle;
   using Base::branch;
 
-  void 
-  compute_neighbors_general(typename Base::Node_const_handle N, const Kd_tree_rectangle<FT,D>& r) 
+  void
+  compute_neighbors_general(typename Base::Node_const_handle N, const Kd_tree_rectangle<FT,D>& r)
   {
     if (!(N->is_leaf())) {
        typename Tree::Internal_node_const_handle node =
@@ -70,46 +70,46 @@ private:
       FT distance_to_lower_half;
       FT distance_to_upper_half;
 
-      if (this->search_nearest) { 
+      if (this->search_nearest) {
 
-        distance_to_lower_half = 
-          this->distance_instance. min_distance_to_rectangle(this->query_object, 
+        distance_to_lower_half =
+          this->distance_instance. min_distance_to_rectangle(this->query_object,
                                                        r_lower);
-                              
-        distance_to_upper_half = 
-          this->distance_instance.min_distance_to_rectangle(this->query_object, 
+
+        distance_to_upper_half =
+          this->distance_instance.min_distance_to_rectangle(this->query_object,
                                                       r_upper);
-                      
 
-      } 
+
+      }
       else
-        { 
+        {
 
-          distance_to_lower_half = 
-            this->distance_instance.max_distance_to_rectangle(this->query_object, 
+          distance_to_lower_half =
+            this->distance_instance.max_distance_to_rectangle(this->query_object,
                                                         r_lower);
 
-          distance_to_upper_half = 
-            this->distance_instance.max_distance_to_rectangle(this->query_object, 
+          distance_to_upper_half =
+            this->distance_instance.max_distance_to_rectangle(this->query_object,
                                                         r_upper);
 
         }
 
-      if ( (( this->search_nearest) && 
-            (distance_to_lower_half < distance_to_upper_half)) 
+      if ( (( this->search_nearest) &&
+            (distance_to_lower_half < distance_to_upper_half))
            ||
-           ((!this->search_nearest) && 
-            (distance_to_lower_half >= 
+           ((!this->search_nearest) &&
+            (distance_to_lower_half >=
              distance_to_upper_half))  )
         {
           compute_neighbors_general(node->lower(), r_lower);
-          if (branch(distance_to_upper_half)) 
+          if (branch(distance_to_upper_half))
             compute_neighbors_general (node->upper(), r_upper);
-        }  
+        }
       else
-        {	compute_neighbors_general(node->upper(), r_upper);
-        if (branch(distance_to_lower_half)) 
-          compute_neighbors_general (node->lower(), 
+        {        compute_neighbors_general(node->upper(), r_upper);
+        if (branch(distance_to_lower_half))
+          compute_neighbors_general (node->lower(),
                                      r_lower);
         }
 
@@ -129,8 +129,8 @@ private:
           }
       }
   }
-  
-}; // class 
+
+}; // class
 
 } // namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/known_bit_size_integers.h 5.0.3-1/include/CGAL/known_bit_size_integers.h
--- 5.0.2-3/include/CGAL/known_bit_size_integers.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/known_bit_size_integers.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999-2005  
+// Copyright (c) 1999-2005
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/known_bit_size_integers.h $
-// $Id: known_bit_size_integers.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/known_bit_size_integers.h $
+// $Id: known_bit_size_integers.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/Labeled_image_mesh_domain_3.h 5.0.3-1/include/CGAL/Labeled_image_mesh_domain_3.h
--- 5.0.2-3/include/CGAL/Labeled_image_mesh_domain_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Labeled_image_mesh_domain_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Labeled_image_mesh_domain_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Labeled_image_mesh_domain_3.h $
 // $Id: Labeled_image_mesh_domain_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Labeled_mesh_domain_3.h 5.0.3-1/include/CGAL/Labeled_mesh_domain_3.h
--- 5.0.2-3/include/CGAL/Labeled_mesh_domain_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Labeled_mesh_domain_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Labeled_mesh_domain_3.h $
-// $Id: Labeled_mesh_domain_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Labeled_mesh_domain_3.h $
+// $Id: Labeled_mesh_domain_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -371,7 +371,7 @@ public:
 #if defined(BOOST_MSVC)
 #  pragma warning(push)
 #  pragma warning(disable: 4003)
-#endif  
+#endif
   BOOST_PARAMETER_MEMBER_FUNCTION(
                                   (Labeled_mesh_domain_3),
                                   static create_gray_image_mesh_domain,
@@ -824,7 +824,7 @@ protected:
                                                       false>           Wrapper;
     return Wrapper(image,
                    transform_fct,
-                   transform_fct(value_outside));
+                   value_outside) ;
   }
 
   template <typename FT, typename FT2, typename Functor>
diff -pruN 5.0.2-3/include/CGAL/Largest_empty_iso_rectangle_2.h 5.0.3-1/include/CGAL/Largest_empty_iso_rectangle_2.h
--- 5.0.2-3/include/CGAL/Largest_empty_iso_rectangle_2.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Largest_empty_iso_rectangle_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Inscribed_areas/include/CGAL/Largest_empty_iso_rectangle_2.h $
-// $Id: Largest_empty_iso_rectangle_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Inscribed_areas/include/CGAL/Largest_empty_iso_rectangle_2.h $
+// $Id: Largest_empty_iso_rectangle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Eli Packer (algorithm), Andreas Fabri (cgal conformance)
 
@@ -92,8 +92,8 @@ public:
       if(c == LARGER) {
         return true;
       } else if (c == EQUAL) {
-        return traits().less_x_2_object()(a->p.x_part, b->p.x_part); 
-      } 
+        return traits().less_x_2_object()(a->p.x_part, b->p.x_part);
+      }
       return false;
     }
   };
@@ -117,8 +117,8 @@ public:
       if(c == LARGER) {
         return true;
       } else if (c == EQUAL) {
-        return traits().less_y_2_object()(a->p.y_part, b->p.y_part); 
-      } 
+        return traits().less_y_2_object()(a->p.y_part, b->p.y_part);
+      }
       return false;
     }
   };
@@ -134,10 +134,10 @@ public:
   typedef std::set<Point_data *,Less_xy> Point_data_set_of_x;
   typedef std::set<Point_data *,Less_yx> Point_data_set_of_y;
 
-  // The following is an iterator adapter that allows us to enumerate 
+  // The following is an iterator adapter that allows us to enumerate
   // the points in a set where they are stored
-  typedef Iterator_project<typename Point_data_set_of_x::const_iterator, 
-                           Proj_point<Point_data*>, 
+  typedef Iterator_project<typename Point_data_set_of_x::const_iterator,
+                           Proj_point<Point_data*>,
                            const Point_2&,
                            const Point_2*> const_iterator;
 
@@ -167,7 +167,7 @@ public:
   {
     insert(_p);
   }
-  
+
   //! Insertion of an iterator range.
   template < class InputIterator >
   int
@@ -176,7 +176,7 @@ public:
     int n = 0;
     while(first != last){
       if(insert(*first)){
-	n++;
+        n++;
       }
       ++first;
     }
@@ -199,7 +199,7 @@ public:
    * inside its interior.
    * \return the largest empty iso rectangle.
    */
-  Iso_rectangle_2 
+  Iso_rectangle_2
   get_largest_empty_iso_rectangle();
 
   //! Retrieve four points from the input that define the largest
@@ -212,16 +212,16 @@ public:
                             tr_p.original, tr_p.original));
     }
     update();
-    return(make_quadruple(left_p.original, bottom_p.original, 
+    return(make_quadruple(left_p.original, bottom_p.original,
                           right_p.original, top_p.original));
   }
 
   //! Clear the data(remove the points).
-  void 
+  void
   clear();
 
   //! Get a begin iterator to points
-  const_iterator 
+  const_iterator
   begin()  const;
 
   //! Get a after-the-end iterator to points
@@ -238,7 +238,7 @@ public:
 
   //! A copy constructor
   Largest_empty_iso_rectangle_2<T>(
-	       const Largest_empty_iso_rectangle_2<T>& ler);
+               const Largest_empty_iso_rectangle_2<T>& ler);
 
   struct Internal_point {
     Point_2 x_part;// the x coordinate of the point
@@ -265,14 +265,14 @@ public:
     */
     std::set<Point_data *,Less_yx> *right_tent;
     std::set<Point_data *,Less_yx> *left_tent;
-    
+
     /* detemine whether the point is a bounding box corner
        (thus not implicitely inserted as a point, or not.
     */
 
     Point_type type;
 
-    Point_data(const Point& _p) 
+    Point_data(const Point& _p)
       :  p(_p),type(REG)
     {
       right_tent = 0;
@@ -280,21 +280,21 @@ public:
     }
 
     Point_data(const Point& _p,
-	       std::set<Point_data *,Less_yx> *r_tent,
-	       std::set<Point_data *,Less_yx> *l_tent)
-      : p(_p),right_tent(r_tent),left_tent(l_tent),type(REG) 
+               std::set<Point_data *,Less_yx> *r_tent,
+               std::set<Point_data *,Less_yx> *l_tent)
+      : p(_p),right_tent(r_tent),left_tent(l_tent),type(REG)
     {}
 
     Point_data(const Point& _p,
-	       std::set<Point_data *,Less_yx> *r_tent,
-	       std::set<Point_data *,Less_yx> *l_tent,
-	       Point_type i_type)
-      : p(_p),right_tent(r_tent),left_tent(l_tent),type(i_type) 
+               std::set<Point_data *,Less_yx> *r_tent,
+               std::set<Point_data *,Less_yx> *l_tent,
+               Point_type i_type)
+      : p(_p),right_tent(r_tent),left_tent(l_tent),type(i_type)
     {}
 
 
-    Point_data (const Point_data &other) : 
-      p(other.p), right_tent(other.right_tent), left_tent(other.left_tent) 
+    Point_data (const Point_data &other) :
+      p(other.p), right_tent(other.right_tent), left_tent(other.left_tent)
     {}
 
     ~Point_data() {
@@ -305,7 +305,7 @@ public:
         delete left_tent;
       }
     }
-  }; 
+  };
 
 
 private:
@@ -338,8 +338,8 @@ private:
       if(c == LARGER) {
         return true;
       } else if (c == EQUAL) {
-        return traits().less_y_2_object()(a.y_part, b.y_part); 
-      } 
+        return traits().less_y_2_object()(a.y_part, b.y_part);
+      }
       return false;
     }
   };
@@ -365,8 +365,8 @@ private:
       if(c == LARGER) {
         return true;
       } else if (c == EQUAL) {
-        return traits().less_x_2_object()(a.x_part, b.x_part); 
-      } 
+        return traits().less_x_2_object()(a.x_part, b.x_part);
+      }
       return false;
     }
   };
@@ -395,8 +395,8 @@ private:
     if(c == LARGER) {
       return true;
     } else if (c == EQUAL) {
-      return traits().less_y_2_object()(b->p.y_part, a->p.y_part); 
-    } 
+      return traits().less_y_2_object()(b->p.y_part, a->p.y_part);
+    }
     return false;
   }
 
@@ -407,8 +407,8 @@ private:
     if(c == LARGER) {
       return true;
     } else if (c == EQUAL) {
-      return traits().less_x_2_object()(b->p.x_part, a->p.x_part); 
-    } 
+      return traits().less_x_2_object()(b->p.x_part, a->p.x_part);
+    }
     return false;
   }
 
@@ -417,7 +417,7 @@ private:
   Point_data_set_of_y y_sorted;
 
   Less_xy_internal_point less_xy_point;
-  Less_yx_internal_point less_yx_point;  
+  Less_yx_internal_point less_yx_point;
 
   // bottom left and top right points of the bounding box
   Point bl_p, tr_p;
@@ -426,7 +426,7 @@ private:
   Iso_rectangle_2 bbox_p;
 
   // the points that define the largest empty iso-rectangle
-  Point left_p, bottom_p, right_p ,top_p; 
+  Point left_p, bottom_p, right_p ,top_p;
 
   // save the largest empty rectangle size found by now
   NT largest_rect_size;
@@ -434,7 +434,7 @@ private:
   // insert points
   bool insert(const Point& _p,Point_type i_type);
   bool insert(const Point_2& _p,Point_type i_type);
-  
+
   /* the phases of the algorithm as described in the paper
   */
 
@@ -451,22 +451,22 @@ private:
   void phase_2();
   void phase_3();
 
-  // the next functions are used by the functions of the three phases 
-  void check_for_larger(const Point& px0, 
-			const Point& py0, 
-			const Point& px1,
-			const Point& py1);
+  // the next functions are used by the functions of the three phases
+  void check_for_larger(const Point& px0,
+                        const Point& py0,
+                        const Point& px1,
+                        const Point& py1);
   void tent(Point_data *first, Point_data *second);
   void tent(Point_data *first, Point_data *second, Point_data *third);
 
   void get_next_for_top(typename std::list<Point_data *>::iterator &iter,
-			typename std::list<Point_data *>::iterator &beyond)
+                        typename std::list<Point_data *>::iterator &beyond)
   {
-    while(iter != beyond && ((*iter)->type == BOT_RIGHT 
-	  		   || (*iter)->type == BOT_LEFT))
+    while(iter != beyond && ((*iter)->type == BOT_RIGHT
+                             || (*iter)->type == BOT_LEFT))
       ++iter;
   }
- 
+
 
   void get_prev_for_top(typename std::list<Point_data *>::iterator &iter)
   {
@@ -475,10 +475,10 @@ private:
   }
 
   void get_next_for_bot(typename std::list<Point_data *>::iterator &iter,
-			typename std::list<Point_data *>::iterator &beyond)
+                        typename std::list<Point_data *>::iterator &beyond)
   {
-    while(iter != beyond && ((*iter)->type == TOP_LEFT 
-			     || (*iter)->type == TOP_RIGHT))
+    while(iter != beyond && ((*iter)->type == TOP_LEFT
+                             || (*iter)->type == TOP_RIGHT))
       ++iter;
   }
 
@@ -493,12 +493,12 @@ private:
     while((*iter)->type == TOP_LEFT || (*iter)->type == TOP_RIGHT)
       ++iter;
   }
- 
+
   void get_next_for_bot(typename Point_data_set_of_y::iterator &iter,
-			typename Point_data_set_of_y::iterator &last)
+                        typename Point_data_set_of_y::iterator &last)
   {
-   while(iter != last && ((*iter)->type == TOP_LEFT 
-			  || (*iter)->type == TOP_RIGHT))
+   while(iter != last && ((*iter)->type == TOP_LEFT
+                          || (*iter)->type == TOP_RIGHT))
      ++iter;
   }
 
@@ -510,10 +510,10 @@ private:
 
 
   void get_next_for_left(typename std::list<Point_data *>::iterator &iter,
-			 typename std::list<Point_data *>::iterator &beyond)
+                         typename std::list<Point_data *>::iterator &beyond)
   {
-    while(iter != beyond && ((*iter)->type == BOT_RIGHT 
-			     || (*iter)->type == TOP_RIGHT))
+    while(iter != beyond && ((*iter)->type == BOT_RIGHT
+                             || (*iter)->type == TOP_RIGHT))
       ++iter;
   }
 
@@ -524,10 +524,10 @@ private:
   }
 
   void get_next_for_right(typename std::list<Point_data *>::iterator &iter,
-			  typename std::list<Point_data *>::iterator &beyond)
+                          typename std::list<Point_data *>::iterator &beyond)
   {
-    while(iter != beyond && ((*iter)->type == BOT_LEFT 
-			   || (*iter)->type == TOP_LEFT))
+    while(iter != beyond && ((*iter)->type == BOT_LEFT
+                           || (*iter)->type == TOP_LEFT))
       ++iter;
   }
 
@@ -539,11 +539,11 @@ private:
   }
 
   void determine_first_two_iters(typename Point_data_set_of_y::iterator& iter1,
-				 typename Point_data_set_of_y::iterator& iter2,
-				 typename Point_data_set_of_y::iterator& iter3,
-				 bool& first_iter_is_right,
-				 bool& second_iter_is_right,
-				 bool& third_iter_is_right)
+                                 typename Point_data_set_of_y::iterator& iter2,
+                                 typename Point_data_set_of_y::iterator& iter3,
+                                 bool& first_iter_is_right,
+                                 bool& second_iter_is_right,
+                                 bool& third_iter_is_right)
   {
     if (first_iter_is_right) {
       if (second_iter_is_right) {
@@ -556,44 +556,44 @@ private:
           iter1 = iter2;
           iter2 = iter3;
           first_iter_is_right = second_iter_is_right;
-          second_iter_is_right = third_iter_is_right;  
+          second_iter_is_right = third_iter_is_right;
         } else {
           iter2 = iter3;
-          second_iter_is_right = third_iter_is_right;  
+          second_iter_is_right = third_iter_is_right;
         }
       }
     } else {
       if (second_iter_is_right) {
         if (third_iter_is_right) {
           iter2 = iter3;
-          second_iter_is_right = third_iter_is_right;  
+          second_iter_is_right = third_iter_is_right;
         } else {
           iter1 = iter2;
           iter2 = iter3;
           first_iter_is_right = second_iter_is_right;
-          second_iter_is_right = third_iter_is_right;  
+          second_iter_is_right = third_iter_is_right;
         }
       } else {
         iter1 = iter2;
         iter2 = iter3;
         first_iter_is_right = second_iter_is_right;
-        second_iter_is_right = third_iter_is_right;  
+        second_iter_is_right = third_iter_is_right;
       }
     }
   }
 
   void determine_next_iter(
-		    typename Point_data_set_of_y::iterator &iter,
-		    typename Point_data_set_of_y::iterator &right_iter,
-		    typename Point_data_set_of_y::iterator &left_iter,
-		    typename Point_data_set_of_y::const_iterator right_iter_end,
-		    typename Point_data_set_of_y::const_iterator left_iter_end,
-		    bool &iter_is_right,
-		    bool &exist)
+                    typename Point_data_set_of_y::iterator &iter,
+                    typename Point_data_set_of_y::iterator &right_iter,
+                    typename Point_data_set_of_y::iterator &left_iter,
+                    typename Point_data_set_of_y::const_iterator right_iter_end,
+                    typename Point_data_set_of_y::const_iterator left_iter_end,
+                    bool &iter_is_right,
+                    bool &exist)
   {
-    if((typename Point_data_set_of_y::const_iterator)right_iter 
+    if((typename Point_data_set_of_y::const_iterator)right_iter
        != right_iter_end) {
-      if((typename Point_data_set_of_y::const_iterator)left_iter 
+      if((typename Point_data_set_of_y::const_iterator)left_iter
          != left_iter_end) {
         if(less_yx(*right_iter, *left_iter)) {
           iter = right_iter;
@@ -609,8 +609,8 @@ private:
         iter_is_right = true;
         ++right_iter;
       }
-    } else { 
-      if((typename Point_data_set_of_y::const_iterator)left_iter 
+    } else {
+      if((typename Point_data_set_of_y::const_iterator)left_iter
          != left_iter_end) {
         iter = left_iter;
         iter_is_right = false;
@@ -621,7 +621,7 @@ private:
   }
 
   void calls_for_tents(typename Point_data_set_of_y::iterator iter1,
-		       typename Point_data_set_of_y::iterator iter2)
+                       typename Point_data_set_of_y::iterator iter2)
   {
     if(less_xy(*iter1, *iter2))
       tent(*iter1,*iter2);
@@ -631,8 +631,8 @@ private:
 
 
   void calls_for_tents(typename Point_data_set_of_y::iterator iter1,
-		       typename Point_data_set_of_y::iterator iter2,
-		       typename Point_data_set_of_y::iterator iter3)
+                       typename Point_data_set_of_y::iterator iter2,
+                       typename Point_data_set_of_y::iterator iter3)
   {
     bool first_is_right_to_second = less_xy(*iter1, *iter2);
     bool second_is_right_to_third = less_xy(*iter2, *iter3);
@@ -657,20 +657,20 @@ private:
 
   void phase_2_update_y_sorted_list();
   void phase_3_check_for_larger(typename Point_data_set_of_y::iterator iter,
-				typename Point_data_set_of_y::iterator iter1,
-				typename Point_data_set_of_y::iterator iter2,
-				typename Point_data_set_of_y::iterator iter3,
-				bool first_iter_is_right,
-				bool second_iter_is_right)
+                                typename Point_data_set_of_y::iterator iter1,
+                                typename Point_data_set_of_y::iterator iter2,
+                                typename Point_data_set_of_y::iterator iter3,
+                                bool first_iter_is_right,
+                                bool second_iter_is_right)
   {
     if(first_iter_is_right) {
       if(!second_iter_is_right)
-	check_for_larger((*iter2)->p, (*iter)->p, (*iter1)->p, (*iter3)->p);
+        check_for_larger((*iter2)->p, (*iter)->p, (*iter1)->p, (*iter3)->p);
     } else
       if(second_iter_is_right)
-	check_for_larger((*iter1)->p,(*iter)->p,(*iter2)->p,(*iter3)->p);
+        check_for_larger((*iter1)->p,(*iter)->p,(*iter2)->p,(*iter3)->p);
   }
-  
+
   void empty_tents();
 
   // call the computation of the largest empty rectangle .
@@ -691,7 +691,7 @@ private:
 template<class Ptr>
 struct Delete {
   void operator()(Ptr ptr)const {
-    
+
     delete(ptr);
   }
 };
@@ -699,9 +699,9 @@ struct Delete {
 template<class T>
 void Largest_empty_iso_rectangle_2<T>::free_memory()
 {
-  std::for_each(x_sorted.begin(), 
-	   x_sorted.end(), 
-	   Delete<Point_data*>());
+  std::for_each(x_sorted.begin(),
+           x_sorted.end(),
+           Delete<Point_data*>());
 
   x_sorted.clear();
   y_sorted.clear();
@@ -724,11 +724,11 @@ void Largest_empty_iso_rectangle_2<T>::
   // copy points
   for(typename Point_data_set_of_x::const_iterator iter = ler.x_sorted.begin();
         iter != ler.x_sorted.end();
-	++iter) {
+        ++iter) {
       if((*iter)->type == REG)
-	insert((*iter)->p);
+        insert((*iter)->p);
       else
-	insert((*iter)->p,(*iter)->type);
+        insert((*iter)->p,(*iter)->type);
   }
 }
 
@@ -762,7 +762,7 @@ template<class T>
 bool
 Largest_empty_iso_rectangle_2<T>::insert(const Point_2& _p)
 {
-  // check that the point is inside the bounding box 
+  // check that the point is inside the bounding box
   if(bbox_p.has_on_unbounded_side(_p)) {
     return(false);
   }
@@ -817,9 +817,9 @@ Largest_empty_iso_rectangle_2<T>::remove
 template<class T>
 bool
 Largest_empty_iso_rectangle_2<T>::insert(const Point_2& _p,
-					 Point_type i_type)
+                                         Point_type i_type)
 {
-  // check that the point is inside the bounding box 
+  // check that the point is inside the bounding box
   if((i_type == REG) && bbox_p.has_on_unbounded_side(_p)) {
     return false;
   }
@@ -831,7 +831,7 @@ Largest_empty_iso_rectangle_2<T>::insert
 template<class T>
 bool
 Largest_empty_iso_rectangle_2<T>::insert(const Point& _p,
-					 Point_type i_type)
+                                         Point_type i_type)
 {
   // check that the point is not already inserted
   Point_data po(_p);
@@ -843,7 +843,7 @@ Largest_empty_iso_rectangle_2<T>::insert
   cache_valid = false;
   Point_data_set_of_y *right_tent =
     new Point_data_set_of_y(Less_yx(traits()));
-  Point_data_set_of_y *left_tent = 
+  Point_data_set_of_y *left_tent =
     new Point_data_set_of_y(Less_yx(traits()));
   Point_data *ppo = new Point_data(_p,right_tent,left_tent,i_type);
 
@@ -853,15 +853,15 @@ Largest_empty_iso_rectangle_2<T>::insert
 }
 
 template<class T>
-void 
+void
 Largest_empty_iso_rectangle_2<T>::check_for_larger(const Point& px0,
-						   const Point& py0,
-						   const Point& px1,
-						   const Point& py1)
+                                                   const Point& py0,
+                                                   const Point& px1,
+                                                   const Point& py1)
 {
   bool do_check = true;
 
-  // check if the rectangle represented by the parameters is larger 
+  // check if the rectangle represented by the parameters is larger
   //than the current one
   Iso_rectangle_2 rec(less_xy_point(px0,px1) ? px0.x_part : px1.x_part,
                       less_xy_point(px0,px1) ? px1.x_part : px0.x_part,
@@ -894,7 +894,7 @@ Largest_empty_iso_rectangle_2<T>::phase_
   }
 
   // traverse over all possibilities for finding a larger empty rectangle
-  // rectangles here touch the top and the buttom of the bounding box  
+  // rectangles here touch the top and the buttom of the bounding box
   while(iter != last_iter) {
     // filter false points
     if((*iter)->type != TOP_RIGHT && (*iter)->type != TOP_LEFT) {
@@ -906,7 +906,7 @@ Largest_empty_iso_rectangle_2<T>::phase_
 }
 
 template<class T>
-void 
+void
 Largest_empty_iso_rectangle_2<T>::phase_1_on_y()
 {
   typename Point_data_set_of_y::const_iterator iter = y_sorted.begin(),
@@ -921,7 +921,7 @@ Largest_empty_iso_rectangle_2<T>::phase_
   }
 
   // traverse over all possibilities for finding a larger empty rectangle
-  // rectangles here touch the left and the right of the bounding box  
+  // rectangles here touch the left and the right of the bounding box
   while(iter != last_iter) {
     // filter false points
     if((*iter)->type != BOT_RIGHT && (*iter)->type != TOP_RIGHT) {
@@ -933,7 +933,7 @@ Largest_empty_iso_rectangle_2<T>::phase_
 }
 
 template<class T>
-void 
+void
 Largest_empty_iso_rectangle_2<T>::phase_1()
 {
   phase_1_on_x();
@@ -942,7 +942,7 @@ Largest_empty_iso_rectangle_2<T>::phase_
 
 
 template<class T>
-void 
+void
 Largest_empty_iso_rectangle_2<T>::tent(Point_data *first, Point_data *second)
 {
   if(less_yx(first, second))
@@ -952,10 +952,10 @@ Largest_empty_iso_rectangle_2<T>::tent(P
 }
 
 template<class T>
-void 
+void
 Largest_empty_iso_rectangle_2<T>::tent(Point_data *first,
-				       Point_data *second,
-				       Point_data *third)
+                                       Point_data *second,
+                                       Point_data *third)
 {
   first->right_tent->insert(second);
   third->left_tent->insert(second);
@@ -967,17 +967,17 @@ Largest_empty_iso_rectangle_2<T>::tent(P
 
 
 template<class T>
-void 
+void
 Largest_empty_iso_rectangle_2<T>::phase_2_on_bot()
 {
   std::list<Point_data *> Point_data_list;
-  std::copy(x_sorted.begin(), 
-	    x_sorted.end(), 
-	    std::back_inserter(Point_data_list));
+  std::copy(x_sorted.begin(),
+            x_sorted.end(),
+            std::back_inserter(Point_data_list));
   typename std::list<Point_data *>::iterator iter1 = Point_data_list.begin(),
     iter2,iter3,first_iter,
     beyond = Point_data_list.end();
-  int points_removed = 0, 
+  int points_removed = 0,
     size = static_cast<int>(Point_data_list.size());
 
   get_next_for_bot(iter1,beyond);
@@ -1015,13 +1015,13 @@ Largest_empty_iso_rectangle_2<T>::phase_
 
 
 template<class T>
-void 
+void
 Largest_empty_iso_rectangle_2<T>::phase_2_on_top()
 {
   std::list<Point_data *> Point_data_list;
    std::copy(x_sorted.begin(),
-	     x_sorted.end(),
-	     std::back_inserter(Point_data_list));
+             x_sorted.end(),
+             std::back_inserter(Point_data_list));
 
   typename std::list<Point_data *>::iterator iter1 = Point_data_list.begin(),
     iter2, iter3, first_iter,
@@ -1062,13 +1062,13 @@ Largest_empty_iso_rectangle_2<T>::phase_
 }
 
 template<class T>
-void 
+void
 Largest_empty_iso_rectangle_2<T>::phase_2_on_left()
 {
   std::list<Point_data *> Point_data_list;
-  std::copy(y_sorted.begin(), 
-	    y_sorted.end(), 
-	    std::back_inserter(Point_data_list));
+  std::copy(y_sorted.begin(),
+            y_sorted.end(),
+            std::back_inserter(Point_data_list));
   typename std::list<Point_data *>::iterator iter1 = Point_data_list.begin(),
     iter2, iter3, first_iter,
     beyond = Point_data_list.end();
@@ -1108,15 +1108,15 @@ Largest_empty_iso_rectangle_2<T>::phase_
 }
 
 template<class T>
-void 
+void
 Largest_empty_iso_rectangle_2<T>::phase_2_on_right()
 {
   std::list<Point_data *> Point_data_list;
-  std::copy(y_sorted.begin(), 
-	    y_sorted.end(), 
-	    std::back_inserter(Point_data_list));
+  std::copy(y_sorted.begin(),
+            y_sorted.end(),
+            std::back_inserter(Point_data_list));
   typename std::list<Point_data *>::iterator iter1 = Point_data_list.begin(),
-    iter2, iter3, first_iter, 
+    iter2, iter3, first_iter,
     beyond = Point_data_list.end();
   int points_removed = 0,size = static_cast<int>(Point_data_list.size());
 
@@ -1153,7 +1153,7 @@ Largest_empty_iso_rectangle_2<T>::phase_
 }
 
 template<class T>
-void 
+void
 Largest_empty_iso_rectangle_2<T>::phase_2()
 {
   phase_2_on_top();
@@ -1166,7 +1166,7 @@ Largest_empty_iso_rectangle_2<T>::phase_
 
 
 template<class T>
-void 
+void
 Largest_empty_iso_rectangle_2<T>::phase_3()
 {
   // init for compiler warning
@@ -1176,9 +1176,9 @@ Largest_empty_iso_rectangle_2<T>::phase_
   bool first_exist(true);
   bool second_exist(true);
   bool third_exist(true);
-  
+
   typename Point_data_set_of_y::iterator iter, last_iter = y_sorted.end();
-  typename Point_data_set_of_y::iterator iter1, iter2, iter3, 
+  typename Point_data_set_of_y::iterator iter1, iter2, iter3,
                                 right_iter, left_iter, last = last_iter;
 
   --last_iter;
@@ -1194,47 +1194,47 @@ Largest_empty_iso_rectangle_2<T>::phase_
     right_iter = (*iter)->right_tent->begin();
     left_iter = (*iter)->left_tent->begin();
     determine_next_iter(iter1,
-			right_iter,
-			left_iter,
-			(*iter)->right_tent->end(),
-			(*iter)->left_tent->end(),
-			first_iter_is_right,
-			first_exist);
+                        right_iter,
+                        left_iter,
+                        (*iter)->right_tent->end(),
+                        (*iter)->left_tent->end(),
+                        first_iter_is_right,
+                        first_exist);
     determine_next_iter(iter2,right_iter,left_iter,
-			(*iter)->right_tent->end(),
-			(*iter)->left_tent->end(),
-			second_iter_is_right,
-			second_exist);
+                        (*iter)->right_tent->end(),
+                        (*iter)->left_tent->end(),
+                        second_iter_is_right,
+                        second_exist);
     determine_next_iter(iter3,
-			right_iter,
-			left_iter,
-			(*iter)->right_tent->end(),
-			(*iter)->left_tent->end(),
-			third_iter_is_right,
-			third_exist);
+                        right_iter,
+                        left_iter,
+                        (*iter)->right_tent->end(),
+                        (*iter)->left_tent->end(),
+                        third_iter_is_right,
+                        third_exist);
     bool had_three = false;
 
     while(third_exist) {
       had_three = true;
       phase_3_check_for_larger(iter,
-			       iter1,
-			       iter2,
-			       iter3,
-			       first_iter_is_right,
-			       second_iter_is_right);
+                               iter1,
+                               iter2,
+                               iter3,
+                               first_iter_is_right,
+                               second_iter_is_right);
       calls_for_tents(iter1, iter2, iter3);
       determine_first_two_iters(iter1,
-				iter2,
-				iter3,
-				first_iter_is_right,
-				second_iter_is_right,
-				third_iter_is_right);
+                                iter2,
+                                iter3,
+                                first_iter_is_right,
+                                second_iter_is_right,
+                                third_iter_is_right);
       determine_next_iter(iter3,
-			  right_iter,left_iter,
-			  (*iter)->right_tent->end(),
-			  (*iter)->left_tent->end(),
-			  third_iter_is_right,
-			  third_exist);
+                          right_iter,left_iter,
+                          (*iter)->right_tent->end(),
+                          (*iter)->left_tent->end(),
+                          third_iter_is_right,
+                          third_exist);
     }
 
     if(!had_three && second_exist)
@@ -1243,7 +1243,7 @@ Largest_empty_iso_rectangle_2<T>::phase_
 }
 
 template<class T>
-void 
+void
 Largest_empty_iso_rectangle_2<T>::empty_tents()
 {
   for(typename Point_data_set_of_x::const_iterator iter = x_sorted.begin();
@@ -1305,7 +1305,7 @@ Largest_empty_iso_rectangle_2<T>::init(c
   // determine extreme values of bounding box
   bbox_p = Iso_rectangle_2(bl,tr);
   // add extreme points
-  
+
   insert(bbox_p.vertex(0), BOT_LEFT);
   insert(bbox_p.vertex(1), BOT_RIGHT);
   insert(bbox_p.vertex(3), TOP_LEFT);
@@ -1361,18 +1361,18 @@ Largest_empty_iso_rectangle_2<T>::Larges
 
 
 template<class T>
-typename Largest_empty_iso_rectangle_2<T>::const_iterator 
+typename Largest_empty_iso_rectangle_2<T>::const_iterator
 Largest_empty_iso_rectangle_2<T>::begin() const
 {
   typename Point_data_set_of_x::const_iterator i = x_sorted.begin();
-  while(i != x_sorted.end() && (*i)->type != REG) 
+  while(i != x_sorted.end() && (*i)->type != REG)
     ++i;
- 
+
   return const_iterator(i);
 }
 
 template<class T>
-typename Largest_empty_iso_rectangle_2<T>::const_iterator 
+typename Largest_empty_iso_rectangle_2<T>::const_iterator
 Largest_empty_iso_rectangle_2<T>::end() const
 {
    typename Point_data_set_of_x::const_iterator i = x_sorted.end();
@@ -1389,7 +1389,7 @@ Largest_empty_iso_rectangle_2<T>::end()
 }
 
 template<class T>
-void 
+void
 Largest_empty_iso_rectangle_2<T>::clear()
 {
   cache_valid = false;
diff -pruN 5.0.2-3/include/CGAL/Lazy_exact_nt.h 5.0.3-1/include/CGAL/Lazy_exact_nt.h
--- 5.0.2-3/include/CGAL/Lazy_exact_nt.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Lazy_exact_nt.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Lazy_exact_nt.h $
-// $Id: Lazy_exact_nt.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Lazy_exact_nt.h $
+// $Id: Lazy_exact_nt.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -226,7 +226,7 @@ struct Lazy_exact_binary : public Lazy_e
   mutable Lazy_exact_nt<ET2> op2;
 
   Lazy_exact_binary (const Interval_nt<false> &i,
-		     const Lazy_exact_nt<ET1> &a, const Lazy_exact_nt<ET2> &b)
+                     const Lazy_exact_nt<ET1> &a, const Lazy_exact_nt<ET2> &b)
       : Lazy_exact_nt_rep<ET>(i), op1(a), op2(b)
   {
     this->set_depth((std::max)(op1.depth(), op2.depth()) + 1);
@@ -284,7 +284,7 @@ CGAL_LAZY_UNARY_OP(CGAL_NTS sqrt,   Lazy
 template <typename ET, typename ET1 = ET, typename ET2 = ET>             \
 struct NAME : public Lazy_exact_binary<ET, ET1, ET2>                     \
 {                                                                        \
-  typedef typename Lazy_exact_binary<ET,ET1,ET2>::AT::Protector P;	 \
+  typedef typename Lazy_exact_binary<ET,ET1,ET2>::AT::Protector P;         \
   NAME (const Lazy_exact_nt<ET1> &a, const Lazy_exact_nt<ET2> &b)        \
     : Lazy_exact_binary<ET, ET1, ET2>((P(), a.approx() OP b.approx()), a, b) {} \
                                                                          \
@@ -312,7 +312,7 @@ struct Lazy_exact_Min : public Lazy_exac
   void update_exact() const
   {
     this->et = new ET((CGAL::min)(this->op1.exact(), this->op2.exact()));
-    if (!this->approx().is_point()) 
+    if (!this->approx().is_point())
       this->at = CGAL_NTS to_interval(*(this->et));
     this->prune_dag();
   }
@@ -328,7 +328,7 @@ struct Lazy_exact_Max : public Lazy_exac
   void update_exact() const
   {
     this->et = new ET((CGAL::max)(this->op1.exact(), this->op2.exact()));
-    if (!this->approx().is_point()) 
+    if (!this->approx().is_point())
       this->at = CGAL_NTS to_interval(*(this->et));
     this->prune_dag();
   }
@@ -1007,9 +1007,9 @@ public:
 
     typedef typename INTERN_LAZY_EXACT_NT::Div_mod_selector
     <Lazy_exact_nt<ET>, typename AST_ET::Div_mod > ::Div_mod Div_mod;
-    
+
     typedef typename INTERN_LAZY_EXACT_NT::Inverse_selector
-    <Lazy_exact_nt<ET>, typename AST_ET::Inverse > ::Inverse Inverse;    
+    <Lazy_exact_nt<ET>, typename AST_ET::Inverse > ::Inverse Inverse;
 };
 
 
@@ -1284,13 +1284,13 @@ struct Max <Lazy_exact_nt<ET> >
     }
 };
 
-template<typename ET> inline 
+template<typename ET> inline
 Lazy_exact_nt<ET> min BOOST_PREVENT_MACRO_SUBSTITUTION(
 const Lazy_exact_nt<ET> & x,
 const Lazy_exact_nt<ET> & y){
   return CGAL::Min<Lazy_exact_nt<ET> > ()(x,y);
 }
-template<typename ET> inline 
+template<typename ET> inline
 Lazy_exact_nt<ET> max BOOST_PREVENT_MACRO_SUBSTITUTION(
 const Lazy_exact_nt<ET> & x,
 const Lazy_exact_nt<ET> & y){
@@ -1383,8 +1383,8 @@ public:
   typedef Lazy_exact_nt<ET> NT;
   typedef ::CGAL::Tag_false Is_modularizable;
   typedef ::CGAL::Null_functor Residue_type;
-  typedef ::CGAL::Null_functor Modular_image;  
-  typedef ::CGAL::Null_functor Modular_image_representative;    
+  typedef ::CGAL::Null_functor Modular_image;
+  typedef ::CGAL::Null_functor Modular_image_representative;
 };
 
 template< typename ET >
@@ -1406,11 +1406,11 @@ public:
       typename MT_ET::Modular_image_representative modular_image_representative;
       return NT(modular_image_representative(x));
     }
-  };    
+  };
 };
 } // namespace INTERN_LAZY_EXACT_NT
 
-template < typename ET > 
+template < typename ET >
 class Modular_traits<Lazy_exact_nt<ET> >
   :public INTERN_LAZY_EXACT_NT::Modular_traits_base
 <ET,typename Modular_traits<ET>::Is_modularizable>{};
diff -pruN 5.0.2-3/include/CGAL/Lazy.h 5.0.3-1/include/CGAL/Lazy.h
--- 5.0.2-3/include/CGAL/Lazy.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Lazy.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/Lazy.h $
-// $Id: Lazy.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/Lazy.h $
+// $Id: Lazy.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -54,7 +54,7 @@ template <class E,
           class E2A,
           class K>
 class Lazy_kernel_base;
-  
+
 template <typename AT, typename ET, typename E2A> class Lazy;
 
 template <typename ET_>
@@ -284,14 +284,14 @@ public:
     os << std::endl;
     if(! is_lazy()){
       for(int i = 0; i < level; i++){
-	os << "    ";
+        os << "    ";
       }
       os << "Exact: ";
       print_at(os, *et);
       os << std::endl;
 #ifdef CGAL_LAZY_KERNEL_DEBUG_SHOW_TYPEID
       for(int i = 0; i < level; i++){
-	os << "    ";
+        os << "    ";
       }
       os << "  (type: " << typeid(*et).name() << ")" << std::endl;
 #endif // CGAL_LAZY_KERNEL_DEBUG_SHOW_TYPEID
@@ -420,11 +420,11 @@ struct Approx_converter
   const Null_vector&
   operator()(const Null_vector& n) const
   { return n; }
-  
+
   const Bbox_2&
   operator()(const Bbox_2& b) const
   { return b; }
-  
+
   const Bbox_3&
   operator()(const Bbox_3& b) const
   { return b; }
@@ -445,11 +445,11 @@ struct Exact_converter
   const Null_vector&
   operator()(const Null_vector& n) const
   { return n; }
-  
+
   const Bbox_2&
   operator()(const Bbox_2& b) const
   { return b; }
-  
+
   const Bbox_3&
   operator()(const Bbox_3& b) const
   { return b; }
@@ -475,7 +475,7 @@ class Lazy_rep_with_vector_1
 public:
 
   void
-  update_exact() const 
+  update_exact() const
   {
 // TODO : This looks really unfinished...
     std::vector<Object> vec;
@@ -671,13 +671,13 @@ class Lazy : public Handle
             class Approximate_kernel_,
             class E2A_>
   friend struct Lazy_kernel;
-  
+
   template <class E_,
             class A_,
             class E2A_,
             class K_>
   friend class Lazy_kernel_base;
-  
+
 public :
 
   typedef Lazy<AT_, ET_, E2A>  Self;
@@ -878,10 +878,10 @@ make_lazy(const Object& eto)
       }
 
 CGAL_Kernel_obj(Point_2)
-CGAL_Kernel_obj(Point_3)  
+CGAL_Kernel_obj(Point_3)
 #undef CGAL_Kernel_obj
 
-  
+
   std::cerr << "object_cast inside Lazy_construction_rep::operator() failed. It needs more else if's (#2)" << std::endl;
   std::cerr << "dynamic type of the Object : " << eto.type().name() << std::endl;
 
@@ -924,7 +924,7 @@ struct Ith {
     typedef std::pair<T2,std::pair<bool,bool> > Pair_type_2;
 
     if(const Pair_type_1 *p1 = object_cast<Pair_type_1>(&v[i]))
-    	return p1->first;
+            return p1->first;
     else if(const Pair_type_2 *p2 = object_cast<Pair_type_2>(&v[i]))
         return p2->first;
 
@@ -1173,11 +1173,11 @@ public:
       for (unsigned int i = 0; i < lv.approx().size(); i++) {
 // FIXME : I'm not sure how this work...
 #define CGAL_Kernel_obj(X) if (object_cast<typename AK::X>(& (lv.approx()[i]))) { \
-	  *it++ = make_object(typename LK::X(new Lazy_rep_n<typename AK::X, typename EK::X, Ith<typename AK::X>, \
+          *it++ = make_object(typename LK::X(new Lazy_rep_n<typename AK::X, typename EK::X, Ith<typename AK::X>, \
                                                                       Ith<typename EK::X>, E2A, Lazy_vector> \
                                                  (Ith<typename AK::X>(i), Ith<typename EK::X>(i), lv))); \
           continue; \
-	}
+        }
 
 #include <CGAL/Kernel/interface_macros.h>
 
@@ -1191,9 +1191,9 @@ public:
       std::vector<Object> exact_objects;
       ec(CGAL::exact(l1), CGAL::exact(l2), std::back_inserter(exact_objects));
       for (std::vector<Object>::const_iterator oit = exact_objects.begin();
-	   oit != exact_objects.end();
-	   ++oit){
-	*it++ = make_lazy<LK>(*oit);
+           oit != exact_objects.end();
+           ++oit){
+        *it++ = make_lazy<LK>(*oit);
       }
     }
     return it;
@@ -1252,9 +1252,9 @@ public:
 
 #define CGAL_Kernel_obj(X) \
       if (object_cast<typename AK::X>(& (lo.approx()))) { \
-	typedef Lazy_rep_n< typename AK::X, typename EK::X, Object_cast<typename AK::X>, Object_cast<typename EK::X>, E2A, Lazy_object> Lcr; \
-	Lcr * lcr = new Lcr(Object_cast<typename AK::X>(), Object_cast<typename EK::X>(), lo); \
-	return make_object(typename LK::X(lcr)); \
+        typedef Lazy_rep_n< typename AK::X, typename EK::X, Object_cast<typename AK::X>, Object_cast<typename EK::X>, E2A, Lazy_object> Lcr; \
+        Lcr * lcr = new Lcr(Object_cast<typename AK::X>(), Object_cast<typename EK::X>(), lo); \
+        return make_object(typename LK::X(lcr)); \
       }
 
 #include <CGAL/Kernel/interface_macros.h>
@@ -1285,15 +1285,15 @@ public:
 
 #define CGAL_Kernel_obj(X) \
       if (object_cast<typename AK::X>(& (lo.approx()))) { \
-	typedef Lazy_rep_n<typename AK::X, typename EK::X, Object_cast<typename AK::X>, Object_cast<typename EK::X>, E2A, Lazy_object> Lcr; \
-	Lcr * lcr = new Lcr(Object_cast<typename AK::X>(), Object_cast<typename EK::X>(), lo); \
-	return make_object(typename LK::X(lcr)); \
+        typedef Lazy_rep_n<typename AK::X, typename EK::X, Object_cast<typename AK::X>, Object_cast<typename EK::X>, E2A, Lazy_object> Lcr; \
+        Lcr * lcr = new Lcr(Object_cast<typename AK::X>(), Object_cast<typename EK::X>(), lo); \
+        return make_object(typename LK::X(lcr)); \
       }
 
 #include <CGAL/Kernel/interface_macros.h>
 
     // We now check vector<X>
-  
+
 #define CGAL_Kernel_obj(X) \
       {  \
         const std::vector<typename AK::X>* v_ptr;\
@@ -1310,7 +1310,7 @@ public:
       }
 
 CGAL_Kernel_obj(Point_2)
-CGAL_Kernel_obj(Point_3)  
+CGAL_Kernel_obj(Point_3)
 #undef CGAL_Kernel_obj
 
       std::cerr << "object_cast inside Lazy_construction_rep::operator() failed. It needs more else if's (#1)" << std::endl;
@@ -1339,9 +1339,9 @@ CGAL_Kernel_obj(Point_3)
 
 #define CGAL_Kernel_obj(X) \
       if (object_cast<typename AK::X>(& (lo.approx()))) { \
-	typedef Lazy_rep_n<typename AK::X, typename EK::X, Object_cast<typename AK::X>, Object_cast<typename EK::X>, E2A, Lazy_object> Lcr; \
-	Lcr * lcr = new Lcr(Object_cast<typename AK::X>(), Object_cast<typename EK::X>(), lo); \
-	return make_object(typename LK::X(lcr)); \
+        typedef Lazy_rep_n<typename AK::X, typename EK::X, Object_cast<typename AK::X>, Object_cast<typename EK::X>, E2A, Lazy_object> Lcr; \
+        Lcr * lcr = new Lcr(Object_cast<typename AK::X>(), Object_cast<typename EK::X>(), lo); \
+        return make_object(typename LK::X(lcr)); \
       }
 
 #include <CGAL/Kernel/interface_macros.h>
@@ -1364,7 +1364,7 @@ CGAL_Kernel_obj(Point_3)
 
 //____________________________________________________________
 // The magic functor that has Lazy<Something> as result type.
-// Two versions are distinguished: one that needs to fiddle 
+// Two versions are distinguished: one that needs to fiddle
 // with result_of and another that can forward the result types.
 
 namespace internal {
@@ -1391,7 +1391,7 @@ struct Variant_cast {
   T&
   operator()(boost::optional< boost::variant< BOOST_VARIANT_ENUM_PARAMS(U) > >& o) const {
     // can throw but should never because we always build it inside
-    // a static visitor with the right type, if it throws bad_get 
+    // a static visitor with the right type, if it throws bad_get
     return boost::get<T>(*o);
   }
 };
@@ -1402,7 +1402,7 @@ struct Fill_lazy_variant_visitor_2 : boo
   Fill_lazy_variant_visitor_2(Result& r, Origin& o) : r(&r), o(&o) {}
   Result* r;
   Origin* o;
-    
+
   template<typename T>
   void operator()(const T&) {
     // the equivalent type we are currently matching in the lazy kernel
@@ -1412,24 +1412,24 @@ struct Fill_lazy_variant_visitor_2 : boo
 
     typedef Lazy_rep_n<AKT, EKT, Variant_cast<AKT>, Variant_cast<EKT>, typename LK::E2A, Origin> Lcr;
     Lcr * lcr = new Lcr(Variant_cast<AKT>(), Variant_cast<EKT>(), *o);
-      
+
     *r = LKT(lcr);
   }
-    
+
   template<typename T>
   void operator()(const std::vector<T>& t) {
     typedef T AKT;
     typedef typename Type_mapper<AKT, AK, EK>::type EKT;
-    typedef typename Type_mapper<AKT, AK, LK>::type LKT; 
+    typedef typename Type_mapper<AKT, AK, LK>::type LKT;
 
     std::vector<LKT> V;
-    V.resize(t.size()); 
+    V.resize(t.size());
     for (unsigned int i = 0; i < t.size(); i++) {
       V[i] = LKT(new Lazy_rep_n<AKT, EKT, Ith_for_intersection<AKT>,
                  Ith_for_intersection<EKT>, typename LK::E2A, Origin>
                  (Ith_for_intersection<AKT>(i), Ith_for_intersection<EKT>(i), *o));
     }
-      
+
     *r = V;
   }
 };
@@ -1438,14 +1438,14 @@ template<typename Result, typename AK, t
 struct Fill_lazy_variant_visitor_0 : boost::static_visitor<> {
   Fill_lazy_variant_visitor_0(Result& r) : r(&r) {}
   Result* r;
-    
+
   template<typename T>
   void operator()(const T& t) {
     // the equivalent type we are currently matching in the lazy kernel
     typedef T EKT;
     typedef typename Type_mapper<EKT, EK, AK>::type AKT;
     typedef typename Type_mapper<EKT, EK, LK>::type LKT;
-      
+
     *r = LKT(new Lazy_rep_0<AKT, EKT, typename LK::E2A>(t));
   }
 
@@ -1456,11 +1456,11 @@ struct Fill_lazy_variant_visitor_0 : boo
     typedef typename Type_mapper<EKT, EK, LK>::type LKT;
 
     std::vector<LKT> V;
-    V.resize(t.size()); 
+    V.resize(t.size());
     for (unsigned int i = 0; i < t.size(); i++) {
       V[i] = LKT(new Lazy_rep_0<AKT, EKT, typename LK::E2A>(t[i]));
     }
-      
+
     *r = V;
   }
 };
@@ -1496,19 +1496,19 @@ struct Lazy_construction_variant {
   typename result<Lazy_construction_variant(L1, L2)>::type
   operator()(const L1& l1, const L2& l2) const {
     typedef typename cpp11::result_of<Lazy_construction_variant(L1, L2)>::type result_type;
-    
-    typedef typename cpp11::result_of<AC(typename Type_mapper<L1, LK, AK>::type, 
+
+    typedef typename cpp11::result_of<AC(typename Type_mapper<L1, LK, AK>::type,
                                          typename Type_mapper<L2, LK, AK>::type)>::type AT;
-    typedef typename cpp11::result_of<EC(typename Type_mapper<L1, LK, EK>::type, 
+    typedef typename cpp11::result_of<EC(typename Type_mapper<L1, LK, EK>::type,
                                          typename Type_mapper<L2, LK, EK>::type)>::type ET;
-    
+
     CGAL_BRANCH_PROFILER(std::string(" failures/calls to   : ") + std::string(CGAL_PRETTY_FUNCTION), tmp);
     Protect_FPU_rounding<Protection> P;
 
     try {
       Lazy<AT, ET, E2A> lazy(new Lazy_rep_n<AT, ET, AC, EC, E2A, L1, L2>(AC(), EC(), l1, l2));
 
-      // the approximate result requires the trait with types from the AK 
+      // the approximate result requires the trait with types from the AK
       AT approx_v = lazy.approx();
       // the result we build
       result_type res;
@@ -1521,7 +1521,7 @@ struct Lazy_construction_variant {
       // the static visitor fills the result_type with the correct unwrapped type
       internal::Fill_lazy_variant_visitor_2< result_type, AK, LK, EK, Lazy<AT, ET, E2A> > visitor(res, lazy);
       boost::apply_visitor(visitor, *approx_v);
-      
+
       return res;
     } catch (Uncertain_conversion_exception&) {
       CGAL_BRANCH_PROFILER_BRANCH(tmp);
@@ -1544,11 +1544,11 @@ struct Lazy_construction_variant {
   typename result<Lazy_construction_variant(L1, L2, L3)>::type
   operator()(const L1& l1, const L2& l2, const L3& l3) const {
     typedef typename result<Lazy_construction_variant(L1, L2, L3)>::type result_type;
-    
-    typedef typename cpp11::result_of<AC(typename Type_mapper<L1, LK, AK>::type, 
+
+    typedef typename cpp11::result_of<AC(typename Type_mapper<L1, LK, AK>::type,
                                          typename Type_mapper<L2, LK, AK>::type,
                                          typename Type_mapper<L3, LK, AK>::type)>::type AT;
-    typedef typename cpp11::result_of<EC(typename Type_mapper<L1, LK, EK>::type, 
+    typedef typename cpp11::result_of<EC(typename Type_mapper<L1, LK, EK>::type,
                                          typename Type_mapper<L2, LK, EK>::type,
                                          typename Type_mapper<L3, LK, EK>::type)>::type ET;
 
@@ -1557,7 +1557,7 @@ struct Lazy_construction_variant {
     try {
       Lazy<AT, ET, E2A> lazy(new Lazy_rep_n<AT, ET, AC, EC, E2A, L1, L2, L3>(AC(), EC(), l1, l2, l3));
 
-      // the approximate result requires the trait with types from the AK 
+      // the approximate result requires the trait with types from the AK
       AT approx_v = lazy.approx();
       // the result we build
       result_type res;
@@ -1570,7 +1570,7 @@ struct Lazy_construction_variant {
       // the static visitor fills the result_type with the correct unwrapped type
       internal::Fill_lazy_variant_visitor_2< result_type, AK, LK, EK, Lazy<AT, ET, E2A> > visitor(res, lazy);
       boost::apply_visitor(visitor, *approx_v);
-      
+
       return res;
     } catch (Uncertain_conversion_exception&) {
       CGAL_BRANCH_PROFILER_BRANCH(tmp);
@@ -1590,7 +1590,7 @@ struct Lazy_construction_variant {
   }
 };
 
-template<typename LK, typename AC, typename EC, typename E2A = Default, 
+template<typename LK, typename AC, typename EC, typename E2A = Default,
          bool has_result_type = internal::has_result_type<AC>::value && internal::has_result_type<EC>::value >
 struct Lazy_construction;
 
@@ -1602,13 +1602,13 @@ struct Lazy_construction<LK, AC, EC, E2A
 
   typedef typename LK::Approximate_kernel AK;
   typedef typename LK::Exact_kernel EK;
-  typedef typename boost::remove_cv< 
+  typedef typename boost::remove_cv<
     typename boost::remove_reference < typename AC::result_type >::type >::type AT;
-  typedef typename boost::remove_cv< 
+  typedef typename boost::remove_cv<
     typename boost::remove_reference < typename EC::result_type >::type >::type  ET;
 
   typedef typename Default::Get<E2A_, typename LK::E2A>::type E2A;
-  
+
   typedef typename Type_mapper<AT, AK, LK>::type result_type;
 
   CGAL_NO_UNIQUE_ADDRESS AC ac;
@@ -1628,9 +1628,9 @@ struct Lazy_construction<LK, AC, EC, E2A
       Protect_FPU_rounding<!Protection> P2(CGAL_FE_TONEAREST);          \
       return result_type( Handle(new Lazy_rep_0<AT,ET,E2A>(ec( BOOST_PP_ENUM(n, CGAL_LEXACT, _) ))) ); \
     }                                                                   \
-  }        
+  }
 
-  // arity 1-8 
+  // arity 1-8
   BOOST_PP_REPEAT_FROM_TO(1, 9, CGAL_CONSTRUCTION_OPERATOR, _)
 
   // nullary
@@ -1642,7 +1642,7 @@ struct Lazy_construction<LK, AC, EC, E2A
   }
 
 #undef CGAL_CONSTRUCTION_OPERATOR
-  
+
 };
 
 
@@ -1695,9 +1695,9 @@ struct result<F( BOOST_PP_ENUM_PARAMS(n,
       Protect_FPU_rounding<!Protection> P2(CGAL_FE_TONEAREST);          \
       return result_type( Handle(new Lazy_rep_0<AT,ET,E2A>(ec( BOOST_PP_ENUM(n, CGAL_LEXACT, _) ))) ); \
     }                                                                   \
-  }        
+  }
 
-  // arity 1-8 
+  // arity 1-8
   BOOST_PP_REPEAT_FROM_TO(1, 9, CGAL_CONSTRUCTION_OPERATOR, _)
 
   // nullary
diff -pruN 5.0.2-3/include/CGAL/Lazy_kernel.h 5.0.3-1/include/CGAL/Lazy_kernel.h
--- 5.0.2-3/include/CGAL/Lazy_kernel.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Lazy_kernel.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/Lazy_kernel.h $
-// $Id: Lazy_kernel.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/Lazy_kernel.h $
+// $Id: Lazy_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -62,8 +62,8 @@ public:
 };
 
 template<typename T>
-struct Has_result_type 
-  : boost::integral_constant< bool, 
+struct Has_result_type
+  : boost::integral_constant< bool,
                               Has_result_type_helper< typename boost::remove_cv<T>::type>::value>
 {};
 
@@ -73,10 +73,10 @@ struct Get_result_type {
 };
 
 template <typename T>
-struct Lazy_result_type 
-  : boost::mpl::eval_if< Has_result_type<T>, 
-                         Get_result_type<T>, 
-                         boost::mpl::identity<void> > 
+struct Lazy_result_type
+  : boost::mpl::eval_if< Has_result_type<T>,
+                         Get_result_type<T>,
+                         boost::mpl::identity<void> >
 {};
 
 class Enum_holder {
@@ -104,7 +104,7 @@ public:
   typedef Kernel_ Kernel;
 
   typedef Lazy_kernel_generic_base<EK_, AK_, E2A_, Kernel_> Self;
-  
+
   // synonym identical to Filtered_kernel
   typedef AK_   FK;
 
@@ -137,19 +137,19 @@ public:
   typedef FT RT;
 
   typedef typename Same_uncertainty_nt<bool, FT>::type
-	                                                              Boolean;
+                                                                      Boolean;
   typedef typename Same_uncertainty_nt<CGAL::Sign, FT>::type
-	                                                              Sign;
+                                                                      Sign;
   typedef typename Same_uncertainty_nt<CGAL::Comparison_result, FT>::type
-	                                                              Comparison_result;
+                                                                      Comparison_result;
   typedef typename Same_uncertainty_nt<CGAL::Orientation, FT>::type
-		                                                      Orientation;
+                                                                      Orientation;
   typedef typename Same_uncertainty_nt<CGAL::Oriented_side, FT>::type
-	                                                              Oriented_side;
+                                                                      Oriented_side;
   typedef typename Same_uncertainty_nt<CGAL::Bounded_side, FT>::type
-	                                                              Bounded_side;
+                                                                      Bounded_side;
   typedef typename Same_uncertainty_nt<CGAL::Angle, FT>::type
-	                                                              Angle;
+                                                                      Angle;
 
   typedef CGAL::Object Object_2;
   typedef CGAL::Object Object_3;
@@ -174,38 +174,38 @@ private:
   // We use a combination of partial and logic to extract the right
   // construction. Constructions without a result_type always have to
   // be done through specializations.
-  // 
-  // The case distinction goes as follows: 
+  //
+  // The case distinction goes as follows:
   // result_type == FT                              => NT
   // result_type == Object                          => Object
   // result_type == Bbox_2 || result_type == Bbox_3 => BBOX
   // default                                        => NONE
   // no result_type                                 => NONE
-  // 
+  //
   //
   // we require a Dummy because we cannot have complete
   // specializations inside a non-namespace scope.
   // The default implementation does some default handling,
   // the special cases are filtered by partial specializations.
   template <typename Construction, typename Dummy = boost::none_t>
-  struct Lazy_wrapper_traits : 
+  struct Lazy_wrapper_traits :
     boost::mpl::eval_if< internal::Has_result_type<Construction>,
-                         boost::mpl::eval_if< boost::is_same< typename boost::remove_cv< 
-                                                                typename boost::remove_reference< 
-                                                                  typename internal::Lazy_result_type<Construction>::type 
+                         boost::mpl::eval_if< boost::is_same< typename boost::remove_cv<
+                                                                typename boost::remove_reference<
+                                                                  typename internal::Lazy_result_type<Construction>::type
                                                                   >::type >::type,
                                                               typename Approximate_kernel::FT>,
                                               boost::mpl::int_<NT>,
                                               boost::mpl::eval_if< boost::is_same< typename internal::Lazy_result_type<Construction>::type,
                                                                                    CGAL::Object >,
                                                                    boost::mpl::int_<OBJECT>,
-                                                                   boost::mpl::eval_if< boost::mpl::or_< 
-                                                                                          boost::is_same< typename internal::Lazy_result_type<Construction>::type, CGAL::Bbox_2 >, 
+                                                                   boost::mpl::eval_if< boost::mpl::or_<
+                                                                                          boost::is_same< typename internal::Lazy_result_type<Construction>::type, CGAL::Bbox_2 >,
                                                                                           boost::is_same< typename internal::Lazy_result_type<Construction>::type, CGAL::Bbox_3 > >,
                                                                                         boost::mpl::int_<BBOX>,
                                                                                         boost::mpl::int_<NONE> > > >,
                          boost::mpl::int_<NONE> >::type {};
-  
+
 #define CGAL_WRAPPER_TRAIT(NAME, WRAPPER)                               \
   template<typename Dummy>                                              \
   struct Lazy_wrapper_traits<typename Approximate_kernel::NAME, Dummy>  \
@@ -252,7 +252,7 @@ private:
     template<typename Kernel, typename AKC, typename EKC>
     struct apply { typedef Lazy_construction_bbox<Kernel, AKC, EKC> type; };
   };
-  
+
   template <typename Construction>
   struct Select_wrapper : Select_wrapper_impl<Construction> {};
 
@@ -279,7 +279,7 @@ public:
 
 
 
-  
+
 template < typename EK_, typename AK_, typename E2A_, typename Kernel_ >
 class Lazy_kernel_base
   : public Lazy_kernel_generic_base<EK_, AK_, E2A_, Kernel_>
@@ -306,7 +306,7 @@ public:
 
   // typedef void Compute_z_3; // to detect where .z() is called
   // typedef void Construct_point_3; // to detect where the ctor is called
-  
+
   struct Compute_weight_2 : public BaseClass::Compute_weight_2
   {
     typedef typename Kernel_::FT FT;
@@ -326,17 +326,17 @@ public:
                          FT
                          > LR;
 
-            
+
       LR * lr = dynamic_cast<LR*>(p.ptr());
       if(lr && (! lr->et)){
         return std::get<2>(lr->l);
       }
       return BaseClass().compute_weight_2_object()(p);
     }
-    
+
   };
-  
-  
+
+
   struct Compute_weight_3 : public BaseClass::Compute_weight_3
   {
     typedef typename Kernel_::FT FT;
@@ -356,42 +356,42 @@ public:
                          FT
                          > LR;
 
-            
+
       LR * lr = dynamic_cast<LR*>(p.ptr());
       if(lr && (! lr->et)){
         return std::get<2>(lr->l);
       }
       return BaseClass().compute_weight_3_object()(p);
     }
-    
+
   };
 
-  
+
   struct Construct_point_2 : public BaseClass::Construct_point_2
   {
     typedef typename Kernel_::FT FT;
     typedef typename Kernel_::Point_2 Point_2;
     typedef typename Kernel_::Weighted_point_2 Weighted_point_2;
-    
+
 #ifndef CGAL_CFG_MATCHING_BUG_6
     using BaseClass::Construct_point_2::operator();
 #else // CGAL_CFG_MATCHING_BUG_6
 
-   
-    template <class ...  T> 
+
+    template <class ...  T>
     Point_2 operator()(const T& ...t) const
     {
       return BaseClass().construct_point_2_object()(t...);
     }
-    
+
 #endif // CGAL_CFG_MATCHING_BUG_6
-    
+
     const Point_2& operator()(const Point_2& p) const
     {
       return p;
     }
 
-    
+
     Point_2 operator()(const Weighted_point_2& p) const
     {
       typedef Lazy_rep_n<typename Approximate_kernel::Weighted_point_2,
@@ -426,34 +426,34 @@ public:
 
       return BaseClass().construct_point_2_object()(p);
     }
-    
+
   };
 
 
-  
+
   struct Construct_point_3 : public BaseClass::Construct_point_3
   {
     typedef typename Kernel_::FT FT;
     typedef typename Kernel_::Point_3 Point_3;
     typedef typename Kernel_::Weighted_point_3 Weighted_point_3;
-    
+
 #ifndef CGAL_CFG_MATCHING_BUG_6
   using BaseClass::Construct_point_3::operator();
 #else // CGAL_CFG_MATCHING_BUG_6
- 
-    template <class ...  T> 
+
+    template <class ...  T>
     Point_3 operator()(const T& ...t) const
     {
       return BaseClass().construct_point_3_object()(t...);
     }
-    
+
 #endif // CGAL_CFG_MATCHING_BUG_6
-    
+
     const Point_3& operator()(const Point_3& p) const
     {
       return p;
     }
-    
+
     Point_3 operator()(const Weighted_point_3& p) const
     {
       typedef Lazy_rep_n<typename Approximate_kernel::Weighted_point_3,
@@ -465,7 +465,7 @@ public:
                          Point_3,
                          FT
                          > LR;
-      
+
       typedef Lazy_rep_n<typename Approximate_kernel::Weighted_point_3,
                          typename Exact_kernel::Weighted_point_3,
                          typename Approximate_kernel::Construct_weighted_point_3,
@@ -476,7 +476,7 @@ public:
                          int
                          > LRint;
 
-      
+
       LR * lr = dynamic_cast<LR*>(p.ptr());
       if(lr && (! lr->et)){
         return std::get<1>(lr->l);
@@ -488,10 +488,10 @@ public:
       }
       return BaseClass().construct_point_3_object()(p);
     }
-    
+
   };
 
-  
+
   Construct_point_2 construct_point_2_object() const
   {
     return Construct_point_2();
@@ -501,18 +501,18 @@ public:
   {
     return Construct_point_3();
   }
-  
-  
+
+
   Compute_weight_2 compute_weight_2_object() const
   {
     return Compute_weight_2();
   }
-  
+
   Compute_weight_3 compute_weight_3_object() const
   {
     return Compute_weight_3();
   }
-  
+
 
   Assign_2
   assign_2_object() const
@@ -554,7 +554,7 @@ struct Lazy_kernel_without_type_equality
 {};
 
 template <class Exact_kernel,
-	  class Approximate_kernel = Simple_cartesian<Interval_nt_advanced>,
+          class Approximate_kernel = Simple_cartesian<Interval_nt_advanced>,
           class E2A = Cartesian_converter<Exact_kernel, Approximate_kernel> >
 struct Lazy_kernel
   : public Type_equality_wrapper<
diff -pruN 5.0.2-3/include/CGAL/LEDA_arithmetic_kernel.h 5.0.3-1/include/CGAL/LEDA_arithmetic_kernel.h
--- 5.0.2-3/include/CGAL/LEDA_arithmetic_kernel.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/LEDA_arithmetic_kernel.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arithmetic_kernel/include/CGAL/LEDA_arithmetic_kernel.h $
-// $Id: LEDA_arithmetic_kernel.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arithmetic_kernel/include/CGAL/LEDA_arithmetic_kernel.h $
+// $Id: LEDA_arithmetic_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Michael Hemmer <mhemmer@uni-mainz.de>
 //
 // ============================================================================
 //
-//    \brief provide class LEDA_arithmetic_kernel, a collection of number types. 
+//    \brief provide class LEDA_arithmetic_kernel, a collection of number types.
 //
 
 
@@ -22,7 +22,7 @@
 
 #ifdef CGAL_USE_LEDA
 
-#define CGAL_HAS_LEDA_ARITHMETIC_KERNEL 
+#define CGAL_HAS_LEDA_ARITHMETIC_KERNEL
 
 #include <CGAL/Arithmetic_kernel/Arithmetic_kernel_base.h>
 #include <CGAL/Get_arithmetic_kernel.h>
diff -pruN 5.0.2-3/include/CGAL/LEDA_basic.h 5.0.3-1/include/CGAL/LEDA_basic.h
--- 5.0.2-3/include/CGAL/LEDA_basic.h	2020-02-21 20:03:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/LEDA_basic.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/LEDA/include/CGAL/LEDA_basic.h $
-// $Id: LEDA_basic.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/LEDA/include/CGAL/LEDA_basic.h $
+// $Id: LEDA_basic.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Matthias Baesken
 
@@ -30,7 +30,7 @@
 #ifdef LEDA_NAMESPACE
 #  define CGAL_LEDA_SCOPE  leda
 #else
-#  define CGAL_LEDA_SCOPE 
+#  define CGAL_LEDA_SCOPE
 #endif
 
 
diff -pruN 5.0.2-3/include/CGAL/leda_bigfloat.h 5.0.3-1/include/CGAL/leda_bigfloat.h
--- 5.0.2-3/include/CGAL/leda_bigfloat.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/leda_bigfloat.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999,2007  
+// Copyright (c) 1999,2007
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/leda_bigfloat.h $
-// $Id: leda_bigfloat.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/leda_bigfloat.h $
+// $Id: leda_bigfloat.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -62,7 +62,7 @@ template <> class Algebraic_structure_tr
 template <> class Real_embeddable_traits< leda_bigfloat >
   : public INTERN_RET::Real_embeddable_traits_base< leda_bigfloat , CGAL::Tag_true > {
 public:
-  
+
     class Abs
       : public CGAL::cpp98::unary_function< Type, Type > {
       public:
@@ -87,8 +87,8 @@ public:
                                             const Type& y ) const {
           return (Comparison_result) CGAL_LEDA_SCOPE::compare( x, y );
         }
-        
-        CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR_WITH_RT( Type, 
+
+        CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR_WITH_RT( Type,
                 Comparison_result )
     };
 
diff -pruN 5.0.2-3/include/CGAL/leda_bigfloat_interval.h 5.0.3-1/include/CGAL/leda_bigfloat_interval.h
--- 5.0.2-3/include/CGAL/leda_bigfloat_interval.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/leda_bigfloat_interval.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/leda_bigfloat_interval.h $
-// $Id: leda_bigfloat_interval.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/leda_bigfloat_interval.h $
+// $Id: leda_bigfloat_interval.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hemmer
 // TODO: add sign to RET
@@ -34,56 +34,56 @@ private:  typedef leda::bigfloat T;
 public:
     Rounding_for_leda_bigfloat(){};
     ~Rounding_for_leda_bigfloat(){};
-    
+
     T conv_down(const T& a){
         return round(a,leda::bigfloat::get_precision(),leda::TO_N_INF);
     };
     T conv_up  (const T& a){
         return round(a,leda::bigfloat::get_precision(),leda::TO_P_INF);
-    };  
+    };
     // mathematical operations
     T add_down(const T& a, const T& b){
         return add(a,b,leda::bigfloat::get_precision(),leda::TO_N_INF);
     };
     T add_up  (const T& a, const T& b){
         return add(a,b,leda::bigfloat::get_precision(),leda::TO_P_INF);
-    };  
+    };
     T sub_down(const T& a, const T& b){
         return sub(a, b, leda::bigfloat::get_precision(),leda::TO_N_INF);
     };
     T sub_up  (const T& a, const T& b){
         return sub(a, b, leda::bigfloat::get_precision(),leda::TO_P_INF);
-    }; 
+    };
     T mul_down(const T& a, const T& b){
         return mul(a, b, leda::bigfloat::get_precision(),leda::TO_N_INF);
     };
     T mul_up  (const T& a, const T& b){
         return mul(a, b, leda::bigfloat::get_precision(),leda::TO_P_INF);
-    }; 
+    };
     T div_down(const T& a, const T& b){
         return div(a, b, leda::bigfloat::get_precision(),leda::TO_N_INF);
     };
     T div_up  (const T& a, const T& b){
         return div(a, b, leda::bigfloat::get_precision(),leda::TO_P_INF);
-    };         
+    };
     T sqrt_down(const T& a){
         return sqrt(a, leda::bigfloat::get_precision(),leda::TO_N_INF);
     };
     T sqrt_up  (const T& a){
         return sqrt(a, leda::bigfloat::get_precision(),leda::TO_P_INF);
-    }; 
+    };
 
-    T median(const T& a, const T& b){ return (a+b)/2;    };   
-    T int_down(const T& a)          { return T(floor(a));};   
+    T median(const T& a, const T& b){ return (a+b)/2;    };
+    T int_down(const T& a)          { return T(floor(a));};
     T int_up  (const T& a)          { return T(ceil(a)); };
 };
 
 class Checking_for_leda_bigfloat {
-        
+
     typedef leda::bigfloat T;
 
 public:
-        
+
     static T pos_inf() {
         T b = T(5) / T(0);
         CGAL_assertion(leda::ispInf(b));
@@ -95,7 +95,7 @@ public:
         CGAL_assertion(leda::isnInf(b));
         return b;
     }
-        
+
     static T nan() {
         T b = T(0)*pos_inf();
         CGAL_assertion(leda::isNaN(b));
@@ -116,7 +116,7 @@ public:
 
     static bool is_empty(const T& a, const T& b) {
       //return a==T(1) && b == T(0);
-      return a > b; 
+      return a > b;
     }
 };
 
@@ -126,11 +126,11 @@ public:
 namespace boost {
 namespace numeric {
 inline
-std::ostream& operator << 
+std::ostream& operator <<
     (std::ostream& os, const boost::numeric::interval<leda::bigfloat>& x)
 {
-    os << "[" 
-       << x.lower().get_significant() << "*2^" << x.lower().get_exponent() 
+    os << "["
+       << x.lower().get_significant() << "*2^" << x.lower().get_exponent()
        << " , "
        << x.upper().get_significant() << "*2^" << x.upper().get_exponent()
        << "]";
@@ -147,7 +147,7 @@ typedef boost::numeric::interval
 < leda::bigfloat,
     boost::numeric::interval_lib::policies
       < internal::Rounding_for_leda_bigfloat,
-        internal::Checking_for_leda_bigfloat > > 
+        internal::Checking_for_leda_bigfloat > >
 leda_bigfloat_interval;
 
 } //end of namespace CGAL
@@ -178,7 +178,7 @@ public:
 template <> class Real_embeddable_traits< leda_bigfloat_interval >
     : public INTERN_RET::Real_embeddable_traits_base< leda_bigfloat_interval , CGAL::Tag_true > {
 public:
-  
+
     class Abs
         : public CGAL::cpp98::unary_function< Type, Type > {
     public:
@@ -198,7 +198,7 @@ public:
     class To_interval
         : public CGAL::cpp98::unary_function< Type, std::pair< double, double > > {
     public:
-        std::pair<double, double> operator()( const Type& x ) const {            
+        std::pair<double, double> operator()( const Type& x ) const {
             std::pair<double, double> lower_I(CGAL::to_interval(x.lower()));
             std::pair<double, double> upper_I(CGAL::to_interval(x.upper()));
             return std::pair< double, double >(
@@ -221,9 +221,9 @@ template <>
 struct Coercion_traits< leda_bigfloat_interval , ::leda::integer >{
     typedef Tag_true  Are_explicit_interoperable;
     typedef Tag_false Are_implicit_interoperable;
-    
+
     typedef leda_bigfloat_interval Type;
-    
+
     struct Cast{
         typedef Type result_type;
         Type operator()(const leda_bigfloat_interval& x)  const { return x;}
@@ -234,7 +234,7 @@ struct Coercion_traits< leda_bigfloat_in
                     round(tmp,leda::bigfloat::get_precision(),leda::TO_P_INF));
             CGAL_postcondition( result.lower() <= x );
             CGAL_postcondition( result.upper() >= x );
-            return result; 
+            return result;
         }
     };
 };
@@ -243,9 +243,9 @@ template <>
 struct Coercion_traits< leda_bigfloat_interval , ::leda::rational >{
     typedef Tag_true  Are_explicit_interoperable;
     typedef Tag_false Are_implicit_interoperable;
-    
+
     typedef leda_bigfloat_interval Type;
-    
+
     struct Cast{
         typedef Type result_type;
         Type operator()(const leda_bigfloat_interval& x)  const { return x;}
@@ -256,7 +256,7 @@ struct Coercion_traits< leda_bigfloat_in
                     leda_bigfloat::from_rational(x,prec,leda::TO_P_INF));
             CGAL_postcondition( result.lower() <= x );
             CGAL_postcondition( result.upper() >= x );
-            return result; 
+            return result;
         }
     };
 };
@@ -265,16 +265,16 @@ template <>
 struct Coercion_traits< leda_bigfloat_interval , ::leda::real >{
     typedef Tag_true  Are_explicit_interoperable;
     typedef Tag_false Are_implicit_interoperable;
-    
+
     typedef leda_bigfloat_interval Type;
-    
+
     struct Cast{
         typedef Type result_type;
         Type operator()(const leda_bigfloat_interval& x)  const { return x;}
         Type operator()(const ::leda::real& x) const {
             long current_prec = ::leda::bigfloat::get_precision();
             x.guarantee_relative_error(current_prec);
-            leda_bigfloat_interval 
+            leda_bigfloat_interval
                 result(x.get_lower_bound(), x.get_upper_bound());
             CGAL_postcondition( result.lower() <= x );
             CGAL_postcondition( result.upper() >= x );
@@ -284,30 +284,30 @@ struct Coercion_traits< leda_bigfloat_in
 };
 
 template <> struct Coercion_traits< ::leda::integer, leda_bigfloat_interval >
-    :public Coercion_traits< leda_bigfloat_interval , ::leda::integer >{}; 
+    :public Coercion_traits< leda_bigfloat_interval , ::leda::integer >{};
 
 template <> struct Coercion_traits< ::leda::rational, leda_bigfloat_interval >
-    :public Coercion_traits< leda_bigfloat_interval , ::leda::rational >{}; 
+    :public Coercion_traits< leda_bigfloat_interval , ::leda::rational >{};
 
 template <> struct Coercion_traits< ::leda::real, leda_bigfloat_interval >
-    :public Coercion_traits< leda_bigfloat_interval , ::leda::real>{};        
-        
+    :public Coercion_traits< leda_bigfloat_interval , ::leda::real>{};
+
 
 
 template<>
 class Interval_traits<leda_bigfloat_interval>
   :public internal::Interval_traits_base<leda_bigfloat_interval>
 {
-public: 
-    typedef Interval_traits<leda_bigfloat_interval> Self; 
-    typedef leda_bigfloat_interval Interval; 
-    typedef leda::bigfloat Bound; 
-    typedef CGAL::Tag_true Is_interval; 
-    typedef CGAL::Tag_true With_empty_interval; 
+public:
+    typedef Interval_traits<leda_bigfloat_interval> Self;
+    typedef leda_bigfloat_interval Interval;
+    typedef leda::bigfloat Bound;
+    typedef CGAL::Tag_true Is_interval;
+    typedef CGAL::Tag_true With_empty_interval;
 
     struct Construct :public CGAL::cpp98::binary_function<Bound,Bound,Interval>{
         Interval operator()( const Bound& l,const Bound& r) const {
-            CGAL_precondition( l < r ); 
+            CGAL_precondition( l < r );
             return Interval(l,r);
         }
     };
@@ -335,7 +335,7 @@ public:
             return ::boost::numeric::median(a);
         }
     };
-    
+
     struct Norm :public CGAL::cpp98::unary_function<Interval,Bound>{
         Bound operator()( const Interval& a ) const {
             return ::boost::numeric::norm(a);
@@ -371,34 +371,34 @@ public:
             return ::boost::numeric::equal(a,b);
         }
     };
-    
+
     struct Overlap :public CGAL::cpp98::binary_function<Interval,Interval,bool>{
         bool operator()( const Interval& a, const Interval& b ) const {
             return ::boost::numeric::overlap(a,b);
         }
     };
-    
+
     struct Subset :public CGAL::cpp98::binary_function<Interval,Interval,bool>{
         bool operator()( const Interval& a, const Interval& b ) const {
             return ::boost::numeric::subset(a,b);
         }
     };
-    
+
     struct Proper_subset :public CGAL::cpp98::binary_function<Interval,Interval,bool>{
         bool operator()( const Interval& a, const Interval& b ) const {
             return ::boost::numeric::proper_subset(a,b);
         }
     };
-    
+
     struct Hull :public CGAL::cpp98::binary_function<Interval,Interval,Interval>{
         Interval operator()( const Interval& a, const Interval& b ) const {
             return ::boost::numeric::hull(a,b);
         }
     };
-    
+
     struct Intersection :public CGAL::cpp98::binary_function<Interval,Interval,Interval>{
         Interval operator()( const Interval& a, const Interval& b ) const {
-            Interval r = ::boost::numeric::intersect(a,b);      
+            Interval r = ::boost::numeric::intersect(a,b);
             return r;
         }
     };
@@ -406,14 +406,14 @@ public:
 
 template<>
 class Bigfloat_interval_traits<leda_bigfloat_interval>
-    :public Interval_traits<leda_bigfloat_interval> 
+    :public Interval_traits<leda_bigfloat_interval>
 {
   typedef leda_bigfloat_interval NT;
-  typedef leda::bigfloat BF; 
+  typedef leda::bigfloat BF;
 public:
   typedef Bigfloat_interval_traits<leda_bigfloat_interval> Self;
-  typedef CGAL::Tag_true Is_bigfloat_interval; 
-  
+  typedef CGAL::Tag_true Is_bigfloat_interval;
+
 
 //   struct Get_significant_bits : public CGAL::cpp98::unary_function<NT,long>{
 //         long operator()( NT x) const {
@@ -428,35 +428,35 @@ public:
 //             if(shift >= 0 ) upper_m = (upper_m <<  shift);
 //             else            lower_m = (lower_m << -shift);
 //             //CGAL_postcondition(lower_m.length() == upper_m.length());
-//             leda::integer err = upper_m - lower_m; 
-//             std::cout <<"LEDA: " << lower_m << " " << err << " " << std::endl; 
+//             leda::integer err = upper_m - lower_m;
+//             std::cout <<"LEDA: " << lower_m << " " << err << " " << std::endl;
 //             return CGAL::abs(lower_m.length()-err.length());
 //         }
 //     };
 
-    
+
   struct Relative_precision: public CGAL::cpp98::unary_function<NT,long>{
     long operator()(const NT& x) const {
       CGAL_precondition(!Singleton()(x));
       CGAL_precondition(!CGAL::zero_in(x));
 
       leda::bigfloat w = Width()(x);
-      w = leda::div(w,Lower()(x),Get_precision()(),leda::TO_P_INF); 
+      w = leda::div(w,Lower()(x),Get_precision()(),leda::TO_P_INF);
       return -leda::ilog2(w).to_long();
     }
   };
-  
+
   struct Set_precision : public CGAL::cpp98::unary_function<long,long> {
     long operator()( long prec ) const {
-      return BF::set_precision(prec); 
+      return BF::set_precision(prec);
     }
   };
-     
+
     struct Get_precision {
         // type for the \c AdaptableGenerator concept.
-        typedef long  result_type;  
+        typedef long  result_type;
         long operator()() const {
-            return BF::get_precision(); 
+            return BF::get_precision();
         }
     };
 };
diff -pruN 5.0.2-3/include/CGAL/leda_coercion_traits.h 5.0.3-1/include/CGAL/leda_coercion_traits.h
--- 5.0.2-3/include/CGAL/leda_coercion_traits.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/leda_coercion_traits.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/leda_coercion_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/leda_coercion_traits.h $
 // $Id: leda_coercion_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/leda_integer.h 5.0.3-1/include/CGAL/leda_integer.h
--- 5.0.2-3/include/CGAL/leda_integer.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/leda_integer.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999,2007  
+// Copyright (c) 1999,2007
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/leda_integer.h $
-// $Id: leda_integer.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/leda_integer.h $
+// $Id: leda_integer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -62,39 +62,39 @@ template <> class Algebraic_structure_tr
 
     // Unfortunately the behaviour of leda has changed here several times
     // The following Div_mod is invariant under these changes
-    // However, the Div and Mod defined below might be more efficient 
+    // However, the Div and Mod defined below might be more efficient
     // TODO: recover Div Mod implementation for all leda versions
     class Div_mod {
-    public: 
+    public:
         typedef Type first_argument_type;
-        typedef Type second_argument_type; 
-        typedef Type& third_argument_type; 
-        typedef Type& fourth_argument_type; 
+        typedef Type second_argument_type;
+        typedef Type& third_argument_type;
+        typedef Type& fourth_argument_type;
         typedef void result_type;
-        
+
         void operator()(const Type& x, const Type& y, Type& q, Type& r) const {
-            
-            q = x / y;             
+
+            q = x / y;
             r = x - q*y;
-            CGAL_postcondition(x == y*q + r);  
-            
-            if (r == 0) return;   
-             
-            // round q towards zero 
+            CGAL_postcondition(x == y*q + r);
+
+            if (r == 0) return;
+
+            // round q towards zero
             if ( r.sign() != x.sign() ){
                 q -= x.sign();
                 r -= x.sign()*y;
             }
 
-            CGAL_postcondition(x == y*q + r);            
+            CGAL_postcondition(x == y*q + r);
             CGAL_postcondition(r.sign() == x.sign());
-        }  
+        }
     };
     // Div defined via base using Div_mod
     // Mod defined via base using Div_mod
 
-    // This code results in an inconsisten div/mod for some leda versions 
-    // TODO: reactivate this code 
+    // This code results in an inconsisten div/mod for some leda versions
+    // TODO: reactivate this code
 
 //     typedef INTERN_AST::Div_per_operator< Type > Div;
 //     class Mod
@@ -120,7 +120,7 @@ template <> class Algebraic_structure_tr
 template <> class Real_embeddable_traits< leda_integer >
   : public INTERN_RET::Real_embeddable_traits_base< leda_integer , CGAL::Tag_true > {
   public:
-  
+
     class Abs
       : public CGAL::cpp98::unary_function< Type, Type > {
       public:
@@ -161,10 +161,10 @@ template <> class Real_embeddable_traits
       public:
       std::pair<double, double> operator()( const Type& x ) const {
         leda::bigfloat h(x);
-	double abs_err = 0;
-	double  low =h.to_double(abs_err, leda::TO_N_INF);
-	double high =h.to_double(abs_err, leda::TO_P_INF);
-	return std::make_pair(low,high);
+        double abs_err = 0;
+        double  low =h.to_double(abs_err, leda::TO_N_INF);
+        double high =h.to_double(abs_err, leda::TO_P_INF);
+        return std::make_pair(low,high);
       }
     };
 };
@@ -186,7 +186,7 @@ class Modular_traits< ::leda::integer >
         NT operator()(const Residue_type& x){
             return NT(x.get_value());
         }
-    };    
+    };
 };
 
 //
@@ -222,7 +222,7 @@ struct Split_double<leda_integer>
   }
 };
 
-// Benchmark_rep specialization 
+// Benchmark_rep specialization
 template<>
 class Benchmark_rep< leda_integer > {
     const leda_integer& t;
@@ -230,11 +230,11 @@ public:
     //! initialize with a const reference to \a t.
     Benchmark_rep( const leda_integer& tt) : t(tt) {}
     //! perform the output, calls \c operator\<\< by default.
-    std::ostream& operator()( std::ostream& out) const { 
+    std::ostream& operator()( std::ostream& out) const {
             out << t;
             return out;
     }
-    
+
     static std::string get_benchmark_name() {
         return "Integer";
     }
diff -pruN 5.0.2-3/include/CGAL/leda_rational.h 5.0.3-1/include/CGAL/leda_rational.h
--- 5.0.2-3/include/CGAL/leda_rational.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/leda_rational.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999,2007  
+// Copyright (c) 1999,2007
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/leda_rational.h $
-// $Id: leda_rational.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/leda_rational.h $
+// $Id: leda_rational.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -67,7 +67,7 @@ template <> class Algebraic_structure_tr
 template <> class Real_embeddable_traits< leda_rational >
   : public INTERN_RET::Real_embeddable_traits_base< leda_rational , CGAL::Tag_true > {
   public:
-  
+
     class Abs
       : public CGAL::cpp98::unary_function< Type, Type > {
       public:
@@ -234,9 +234,9 @@ public:
     //! initialize with a const reference to \a t.
     Benchmark_rep( const leda_rational& tt) : t(tt) {}
     //! perform the output, calls \c operator\<\< by default.
-    std::ostream& operator()( std::ostream& out) const { 
-            return 
-                out << "Rational(" << t.numerator() << "," 
+    std::ostream& operator()( std::ostream& out) const {
+            return
+                out << "Rational(" << t.numerator() << ","
                     << t.denominator() << ")";
     }
 
diff -pruN 5.0.2-3/include/CGAL/leda_real.h 5.0.3-1/include/CGAL/leda_real.h
--- 5.0.2-3/include/CGAL/leda_real.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/leda_real.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999,2007  
+// Copyright (c) 1999,2007
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/leda_real.h $
-// $Id: leda_real.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/leda_real.h $
+// $Id: leda_real.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/Level_interval.h 5.0.3-1/include/CGAL/Level_interval.h
--- 5.0.2-3/include/CGAL/Level_interval.h	2020-02-21 20:03:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Level_interval.h	2020-08-01 19:02:25.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interval_skip_list/include/CGAL/Level_interval.h $
-// $Id: Level_interval.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interval_skip_list/include/CGAL/Level_interval.h $
+// $Id: Level_interval.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
@@ -34,7 +34,7 @@ namespace CGAL {
 
 
   private:
-    FaceHandle fh_; 
+    FaceHandle fh_;
     Value inf_;
     Value sup_;  // left and right boundary values
   public:
@@ -47,15 +47,15 @@ namespace CGAL {
     bool contains(const Value& V) const;
 
     // true iff this contains (l,r)
-    bool contains_interval(const Value& l, const Value& r) const;  
+    bool contains_interval(const Value& l, const Value& r) const;
 
-    bool operator==(const Level_interval& I) const 
+    bool operator==(const Level_interval& I) const
     {
       // there is no need to compare inf and sup, as these are derived from the face
       return face_handle() == I.face_handle();
     }
 
-    bool operator!=(const Level_interval& I) const 
+    bool operator!=(const Level_interval& I) const
     {
       return face_handle() != I.face_handle();
     }
@@ -64,12 +64,12 @@ namespace CGAL {
 
 
   template <class V>
-  std::ostream& operator<<(std::ostream& os, 
-			   const Level_interval<V>& i)
+  std::ostream& operator<<(std::ostream& os,
+                           const Level_interval<V>& i)
   {
-    os << i.face_handle()->vertex(0)->point() << ", " << 
-      i.face_handle()->vertex(1)->point() << ", " << 
-      i.face_handle()->vertex(2)->point() << std::endl; 
+    os << i.face_handle()->vertex(0)->point() << ", " <<
+      i.face_handle()->vertex(1)->point() << ", " <<
+      i.face_handle()->vertex(2)->point() << std::endl;
     return os;
   }
 
@@ -89,8 +89,8 @@ namespace CGAL {
 
   template <class FaceHandle>
   bool
-  Level_interval<FaceHandle>::contains_interval(const Value& i, 
-					       const Value& s) const
+  Level_interval<FaceHandle>::contains_interval(const Value& i,
+                                               const Value& s) const
     // true iff this contains (l,r)
   {
     return( (inf() <= i) && (sup() >= s) );
diff -pruN 5.0.2-3/include/CGAL/license/AABB_tree.h 5.0.3-1/include/CGAL/license/AABB_tree.h
--- 5.0.2-3/include/CGAL/license/AABB_tree.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/AABB_tree.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/AABB_tree.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/AABB_tree.h $
 // $Id: AABB_tree.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Advancing_front_surface_reconstruction.h 5.0.3-1/include/CGAL/license/Advancing_front_surface_reconstruction.h
--- 5.0.2-3/include/CGAL/license/Advancing_front_surface_reconstruction.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Advancing_front_surface_reconstruction.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Advancing_front_surface_reconstruction.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Advancing_front_surface_reconstruction.h $
 // $Id: Advancing_front_surface_reconstruction.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Alpha_shapes_2.h 5.0.3-1/include/CGAL/license/Alpha_shapes_2.h
--- 5.0.2-3/include/CGAL/license/Alpha_shapes_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Alpha_shapes_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Alpha_shapes_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Alpha_shapes_2.h $
 // $Id: Alpha_shapes_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Alpha_shapes_3.h 5.0.3-1/include/CGAL/license/Alpha_shapes_3.h
--- 5.0.2-3/include/CGAL/license/Alpha_shapes_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Alpha_shapes_3.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Alpha_shapes_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Alpha_shapes_3.h $
 // $Id: Alpha_shapes_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Apollonius_graph_2.h 5.0.3-1/include/CGAL/license/Apollonius_graph_2.h
--- 5.0.2-3/include/CGAL/license/Apollonius_graph_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Apollonius_graph_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Apollonius_graph_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Apollonius_graph_2.h $
 // $Id: Apollonius_graph_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Arrangement_on_surface_2.h 5.0.3-1/include/CGAL/license/Arrangement_on_surface_2.h
--- 5.0.2-3/include/CGAL/license/Arrangement_on_surface_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Arrangement_on_surface_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Arrangement_on_surface_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Arrangement_on_surface_2.h $
 // $Id: Arrangement_on_surface_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Barycentric_coordinates_2.h 5.0.3-1/include/CGAL/license/Barycentric_coordinates_2.h
--- 5.0.2-3/include/CGAL/license/Barycentric_coordinates_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Barycentric_coordinates_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Barycentric_coordinates_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Barycentric_coordinates_2.h $
 // $Id: Barycentric_coordinates_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Boolean_set_operations_2.h 5.0.3-1/include/CGAL/license/Boolean_set_operations_2.h
--- 5.0.2-3/include/CGAL/license/Boolean_set_operations_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Boolean_set_operations_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Boolean_set_operations_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Boolean_set_operations_2.h $
 // $Id: Boolean_set_operations_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Bounding_volumes.h 5.0.3-1/include/CGAL/license/Bounding_volumes.h
--- 5.0.2-3/include/CGAL/license/Bounding_volumes.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Bounding_volumes.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Bounding_volumes.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Bounding_volumes.h $
 // $Id: Bounding_volumes.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Box_intersection_d.h 5.0.3-1/include/CGAL/license/Box_intersection_d.h
--- 5.0.2-3/include/CGAL/license/Box_intersection_d.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Box_intersection_d.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Box_intersection_d.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Box_intersection_d.h $
 // $Id: Box_intersection_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Circular_kernel_2.h 5.0.3-1/include/CGAL/license/Circular_kernel_2.h
--- 5.0.2-3/include/CGAL/license/Circular_kernel_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Circular_kernel_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Circular_kernel_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Circular_kernel_2.h $
 // $Id: Circular_kernel_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Circular_kernel_3.h 5.0.3-1/include/CGAL/license/Circular_kernel_3.h
--- 5.0.2-3/include/CGAL/license/Circular_kernel_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Circular_kernel_3.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Circular_kernel_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Circular_kernel_3.h $
 // $Id: Circular_kernel_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Classification.h 5.0.3-1/include/CGAL/license/Classification.h
--- 5.0.2-3/include/CGAL/license/Classification.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Classification.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Classification.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Classification.h $
 // $Id: Classification.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Cone_spanners_2.h 5.0.3-1/include/CGAL/license/Cone_spanners_2.h
--- 5.0.2-3/include/CGAL/license/Cone_spanners_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Cone_spanners_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Cone_spanners_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Cone_spanners_2.h $
 // $Id: Cone_spanners_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Convex_decomposition_3.h 5.0.3-1/include/CGAL/license/Convex_decomposition_3.h
--- 5.0.2-3/include/CGAL/license/Convex_decomposition_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Convex_decomposition_3.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Convex_decomposition_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Convex_decomposition_3.h $
 // $Id: Convex_decomposition_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Convex_hull_2.h 5.0.3-1/include/CGAL/license/Convex_hull_2.h
--- 5.0.2-3/include/CGAL/license/Convex_hull_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Convex_hull_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Convex_hull_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Convex_hull_2.h $
 // $Id: Convex_hull_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Convex_hull_3.h 5.0.3-1/include/CGAL/license/Convex_hull_3.h
--- 5.0.2-3/include/CGAL/license/Convex_hull_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Convex_hull_3.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Convex_hull_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Convex_hull_3.h $
 // $Id: Convex_hull_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Convex_hull_d.h 5.0.3-1/include/CGAL/license/Convex_hull_d.h
--- 5.0.2-3/include/CGAL/license/Convex_hull_d.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Convex_hull_d.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Convex_hull_d.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Convex_hull_d.h $
 // $Id: Convex_hull_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Envelope_2.h 5.0.3-1/include/CGAL/license/Envelope_2.h
--- 5.0.2-3/include/CGAL/license/Envelope_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Envelope_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Envelope_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Envelope_2.h $
 // $Id: Envelope_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Envelope_3.h 5.0.3-1/include/CGAL/license/Envelope_3.h
--- 5.0.2-3/include/CGAL/license/Envelope_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Envelope_3.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Envelope_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Envelope_3.h $
 // $Id: Envelope_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/GraphicsView.h 5.0.3-1/include/CGAL/license/GraphicsView.h
--- 5.0.2-3/include/CGAL/license/GraphicsView.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/GraphicsView.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/GraphicsView.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/GraphicsView.h $
 // $Id: GraphicsView.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Heat_method_3.h 5.0.3-1/include/CGAL/license/Heat_method_3.h
--- 5.0.2-3/include/CGAL/license/Heat_method_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Heat_method_3.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Heat_method_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Heat_method_3.h $
 // $Id: Heat_method_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Hyperbolic_triangulation_2.h 5.0.3-1/include/CGAL/license/Hyperbolic_triangulation_2.h
--- 5.0.2-3/include/CGAL/license/Hyperbolic_triangulation_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Hyperbolic_triangulation_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Hyperbolic_triangulation_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Hyperbolic_triangulation_2.h $
 // $Id: Hyperbolic_triangulation_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Inscribed_areas.h 5.0.3-1/include/CGAL/license/Inscribed_areas.h
--- 5.0.2-3/include/CGAL/license/Inscribed_areas.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Inscribed_areas.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Inscribed_areas.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Inscribed_areas.h $
 // $Id: Inscribed_areas.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Interpolation.h 5.0.3-1/include/CGAL/license/Interpolation.h
--- 5.0.2-3/include/CGAL/license/Interpolation.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Interpolation.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Interpolation.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Interpolation.h $
 // $Id: Interpolation.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Interval_skip_list.h 5.0.3-1/include/CGAL/license/Interval_skip_list.h
--- 5.0.2-3/include/CGAL/license/Interval_skip_list.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Interval_skip_list.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Interval_skip_list.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Interval_skip_list.h $
 // $Id: Interval_skip_list.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Jet_fitting_3.h 5.0.3-1/include/CGAL/license/Jet_fitting_3.h
--- 5.0.2-3/include/CGAL/license/Jet_fitting_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Jet_fitting_3.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Jet_fitting_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Jet_fitting_3.h $
 // $Id: Jet_fitting_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/lgpl.h 5.0.3-1/include/CGAL/license/lgpl.h
--- 5.0.2-3/include/CGAL/license/lgpl.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/lgpl.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/lgpl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/lgpl.h $
 // $Id: lgpl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Matrix_search.h 5.0.3-1/include/CGAL/license/Matrix_search.h
--- 5.0.2-3/include/CGAL/license/Matrix_search.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Matrix_search.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Matrix_search.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Matrix_search.h $
 // $Id: Matrix_search.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Mesh_2.h 5.0.3-1/include/CGAL/license/Mesh_2.h
--- 5.0.2-3/include/CGAL/license/Mesh_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Mesh_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Mesh_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Mesh_2.h $
 // $Id: Mesh_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Mesh_3.h 5.0.3-1/include/CGAL/license/Mesh_3.h
--- 5.0.2-3/include/CGAL/license/Mesh_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Mesh_3.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Mesh_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Mesh_3.h $
 // $Id: Mesh_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Minkowski_sum_2.h 5.0.3-1/include/CGAL/license/Minkowski_sum_2.h
--- 5.0.2-3/include/CGAL/license/Minkowski_sum_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Minkowski_sum_2.h	2020-08-01 19:02:22.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Minkowski_sum_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Minkowski_sum_2.h $
 // $Id: Minkowski_sum_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Minkowski_sum_3.h 5.0.3-1/include/CGAL/license/Minkowski_sum_3.h
--- 5.0.2-3/include/CGAL/license/Minkowski_sum_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Minkowski_sum_3.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Minkowski_sum_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Minkowski_sum_3.h $
 // $Id: Minkowski_sum_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Nef_2.h 5.0.3-1/include/CGAL/license/Nef_2.h
--- 5.0.2-3/include/CGAL/license/Nef_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Nef_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Nef_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Nef_2.h $
 // $Id: Nef_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Nef_3.h 5.0.3-1/include/CGAL/license/Nef_3.h
--- 5.0.2-3/include/CGAL/license/Nef_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Nef_3.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Nef_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Nef_3.h $
 // $Id: Nef_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Nef_S2.h 5.0.3-1/include/CGAL/license/Nef_S2.h
--- 5.0.2-3/include/CGAL/license/Nef_S2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Nef_S2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Nef_S2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Nef_S2.h $
 // $Id: Nef_S2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Optimal_transportation_reconstruction_2.h 5.0.3-1/include/CGAL/license/Optimal_transportation_reconstruction_2.h
--- 5.0.2-3/include/CGAL/license/Optimal_transportation_reconstruction_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Optimal_transportation_reconstruction_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Optimal_transportation_reconstruction_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Optimal_transportation_reconstruction_2.h $
 // $Id: Optimal_transportation_reconstruction_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Partition_2.h 5.0.3-1/include/CGAL/license/Partition_2.h
--- 5.0.2-3/include/CGAL/license/Partition_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Partition_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Partition_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Partition_2.h $
 // $Id: Partition_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Periodic_2_triangulation_2.h 5.0.3-1/include/CGAL/license/Periodic_2_triangulation_2.h
--- 5.0.2-3/include/CGAL/license/Periodic_2_triangulation_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Periodic_2_triangulation_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Periodic_2_triangulation_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Periodic_2_triangulation_2.h $
 // $Id: Periodic_2_triangulation_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Periodic_3_mesh_3.h 5.0.3-1/include/CGAL/license/Periodic_3_mesh_3.h
--- 5.0.2-3/include/CGAL/license/Periodic_3_mesh_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Periodic_3_mesh_3.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Periodic_3_mesh_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Periodic_3_mesh_3.h $
 // $Id: Periodic_3_mesh_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Periodic_3_triangulation_3.h 5.0.3-1/include/CGAL/license/Periodic_3_triangulation_3.h
--- 5.0.2-3/include/CGAL/license/Periodic_3_triangulation_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Periodic_3_triangulation_3.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Periodic_3_triangulation_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Periodic_3_triangulation_3.h $
 // $Id: Periodic_3_triangulation_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Periodic_4_hyperbolic_triangulation_2.h 5.0.3-1/include/CGAL/license/Periodic_4_hyperbolic_triangulation_2.h
--- 5.0.2-3/include/CGAL/license/Periodic_4_hyperbolic_triangulation_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Periodic_4_hyperbolic_triangulation_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Periodic_4_hyperbolic_triangulation_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Periodic_4_hyperbolic_triangulation_2.h $
 // $Id: Periodic_4_hyperbolic_triangulation_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Point_set_2.h 5.0.3-1/include/CGAL/license/Point_set_2.h
--- 5.0.2-3/include/CGAL/license/Point_set_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Point_set_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Point_set_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Point_set_2.h $
 // $Id: Point_set_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Point_set_3.h 5.0.3-1/include/CGAL/license/Point_set_3.h
--- 5.0.2-3/include/CGAL/license/Point_set_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Point_set_3.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Point_set_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Point_set_3.h $
 // $Id: Point_set_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Point_set_processing_3.h 5.0.3-1/include/CGAL/license/Point_set_processing_3.h
--- 5.0.2-3/include/CGAL/license/Point_set_processing_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Point_set_processing_3.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Point_set_processing_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Point_set_processing_3.h $
 // $Id: Point_set_processing_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Poisson_surface_reconstruction_3.h 5.0.3-1/include/CGAL/license/Poisson_surface_reconstruction_3.h
--- 5.0.2-3/include/CGAL/license/Poisson_surface_reconstruction_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Poisson_surface_reconstruction_3.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Poisson_surface_reconstruction_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Poisson_surface_reconstruction_3.h $
 // $Id: Poisson_surface_reconstruction_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polygonal_surface_reconstruction.h 5.0.3-1/include/CGAL/license/Polygonal_surface_reconstruction.h
--- 5.0.2-3/include/CGAL/license/Polygonal_surface_reconstruction.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polygonal_surface_reconstruction.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polygonal_surface_reconstruction.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polygonal_surface_reconstruction.h $
 // $Id: Polygonal_surface_reconstruction.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/collision_detection.h 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/collision_detection.h
--- 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/collision_detection.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/collision_detection.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polygon_mesh_processing/collision_detection.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polygon_mesh_processing/collision_detection.h $
 // $Id: collision_detection.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/Compute_normal.h 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/Compute_normal.h
--- 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/Compute_normal.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/Compute_normal.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polygon_mesh_processing/Compute_normal.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polygon_mesh_processing/Compute_normal.h $
 // $Id: Compute_normal.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/connected_components.h 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/connected_components.h
--- 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/connected_components.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/connected_components.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polygon_mesh_processing/connected_components.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polygon_mesh_processing/connected_components.h $
 // $Id: connected_components.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/corefinement.h 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/corefinement.h
--- 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/corefinement.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/corefinement.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polygon_mesh_processing/corefinement.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polygon_mesh_processing/corefinement.h $
 // $Id: corefinement.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/core.h 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/core.h
--- 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/core.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/core.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polygon_mesh_processing/core.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polygon_mesh_processing/core.h $
 // $Id: core.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/detect_features.h 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/detect_features.h
--- 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/detect_features.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/detect_features.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polygon_mesh_processing/detect_features.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polygon_mesh_processing/detect_features.h $
 // $Id: detect_features.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/distance.h 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/distance.h
--- 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/distance.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/distance.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polygon_mesh_processing/distance.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polygon_mesh_processing/distance.h $
 // $Id: distance.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/locate.h 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/locate.h
--- 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/locate.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/locate.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polygon_mesh_processing/locate.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polygon_mesh_processing/locate.h $
 // $Id: locate.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/measure.h 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/measure.h
--- 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/measure.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/measure.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polygon_mesh_processing/measure.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polygon_mesh_processing/measure.h $
 // $Id: measure.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/meshing_hole_filling.h 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/meshing_hole_filling.h
--- 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/meshing_hole_filling.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/meshing_hole_filling.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polygon_mesh_processing/meshing_hole_filling.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polygon_mesh_processing/meshing_hole_filling.h $
 // $Id: meshing_hole_filling.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/miscellaneous.h 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/miscellaneous.h
--- 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/miscellaneous.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/miscellaneous.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polygon_mesh_processing/miscellaneous.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polygon_mesh_processing/miscellaneous.h $
 // $Id: miscellaneous.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/orientation.h 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/orientation.h
--- 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/orientation.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/orientation.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polygon_mesh_processing/orientation.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polygon_mesh_processing/orientation.h $
 // $Id: orientation.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/predicate.h 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/predicate.h
--- 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/predicate.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/predicate.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polygon_mesh_processing/predicate.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polygon_mesh_processing/predicate.h $
 // $Id: predicate.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/repair.h 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/repair.h
--- 5.0.2-3/include/CGAL/license/Polygon_mesh_processing/repair.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polygon_mesh_processing/repair.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polygon_mesh_processing/repair.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polygon_mesh_processing/repair.h $
 // $Id: repair.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polygon_mesh_processing.h 5.0.3-1/include/CGAL/license/Polygon_mesh_processing.h
--- 5.0.2-3/include/CGAL/license/Polygon_mesh_processing.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polygon_mesh_processing.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polygon_mesh_processing.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polygon_mesh_processing.h $
 // $Id: Polygon_mesh_processing.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polyhedron.h 5.0.3-1/include/CGAL/license/Polyhedron.h
--- 5.0.2-3/include/CGAL/license/Polyhedron.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polyhedron.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polyhedron.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polyhedron.h $
 // $Id: Polyhedron.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polyline_simplification_2.h 5.0.3-1/include/CGAL/license/Polyline_simplification_2.h
--- 5.0.2-3/include/CGAL/license/Polyline_simplification_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polyline_simplification_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polyline_simplification_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polyline_simplification_2.h $
 // $Id: Polyline_simplification_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Polytope_distance_d.h 5.0.3-1/include/CGAL/license/Polytope_distance_d.h
--- 5.0.2-3/include/CGAL/license/Polytope_distance_d.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Polytope_distance_d.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Polytope_distance_d.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Polytope_distance_d.h $
 // $Id: Polytope_distance_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Principal_component_analysis.h 5.0.3-1/include/CGAL/license/Principal_component_analysis.h
--- 5.0.2-3/include/CGAL/license/Principal_component_analysis.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Principal_component_analysis.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Principal_component_analysis.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Principal_component_analysis.h $
 // $Id: Principal_component_analysis.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/QP_solver.h 5.0.3-1/include/CGAL/license/QP_solver.h
--- 5.0.2-3/include/CGAL/license/QP_solver.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/QP_solver.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/QP_solver.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/QP_solver.h $
 // $Id: QP_solver.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Ridges_3.h 5.0.3-1/include/CGAL/license/Ridges_3.h
--- 5.0.2-3/include/CGAL/license/Ridges_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Ridges_3.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Ridges_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Ridges_3.h $
 // $Id: Ridges_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Scale_space_reconstruction_3.h 5.0.3-1/include/CGAL/license/Scale_space_reconstruction_3.h
--- 5.0.2-3/include/CGAL/license/Scale_space_reconstruction_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Scale_space_reconstruction_3.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Scale_space_reconstruction_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Scale_space_reconstruction_3.h $
 // $Id: Scale_space_reconstruction_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/SearchStructures.h 5.0.3-1/include/CGAL/license/SearchStructures.h
--- 5.0.2-3/include/CGAL/license/SearchStructures.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/SearchStructures.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/SearchStructures.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/SearchStructures.h $
 // $Id: SearchStructures.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Segment_Delaunay_graph_2.h 5.0.3-1/include/CGAL/license/Segment_Delaunay_graph_2.h
--- 5.0.2-3/include/CGAL/license/Segment_Delaunay_graph_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Segment_Delaunay_graph_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Segment_Delaunay_graph_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Segment_Delaunay_graph_2.h $
 // $Id: Segment_Delaunay_graph_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Segment_Delaunay_graph_Linf_2.h 5.0.3-1/include/CGAL/license/Segment_Delaunay_graph_Linf_2.h
--- 5.0.2-3/include/CGAL/license/Segment_Delaunay_graph_Linf_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Segment_Delaunay_graph_Linf_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Segment_Delaunay_graph_Linf_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Segment_Delaunay_graph_Linf_2.h $
 // $Id: Segment_Delaunay_graph_Linf_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Set_movable_separability_2.h 5.0.3-1/include/CGAL/license/Set_movable_separability_2.h
--- 5.0.2-3/include/CGAL/license/Set_movable_separability_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Set_movable_separability_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Set_movable_separability_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Set_movable_separability_2.h $
 // $Id: Set_movable_separability_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Shape_detection.h 5.0.3-1/include/CGAL/license/Shape_detection.h
--- 5.0.2-3/include/CGAL/license/Shape_detection.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Shape_detection.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Shape_detection.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Shape_detection.h $
 // $Id: Shape_detection.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Skin_surface_3.h 5.0.3-1/include/CGAL/license/Skin_surface_3.h
--- 5.0.2-3/include/CGAL/license/Skin_surface_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Skin_surface_3.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Skin_surface_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Skin_surface_3.h $
 // $Id: Skin_surface_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Snap_rounding_2.h 5.0.3-1/include/CGAL/license/Snap_rounding_2.h
--- 5.0.2-3/include/CGAL/license/Snap_rounding_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Snap_rounding_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Snap_rounding_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Snap_rounding_2.h $
 // $Id: Snap_rounding_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Spatial_searching.h 5.0.3-1/include/CGAL/license/Spatial_searching.h
--- 5.0.2-3/include/CGAL/license/Spatial_searching.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Spatial_searching.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Spatial_searching.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Spatial_searching.h $
 // $Id: Spatial_searching.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Straight_skeleton_2.h 5.0.3-1/include/CGAL/license/Straight_skeleton_2.h
--- 5.0.2-3/include/CGAL/license/Straight_skeleton_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Straight_skeleton_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Straight_skeleton_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Straight_skeleton_2.h $
 // $Id: Straight_skeleton_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Stream_lines_2.h 5.0.3-1/include/CGAL/license/Stream_lines_2.h
--- 5.0.2-3/include/CGAL/license/Stream_lines_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Stream_lines_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Stream_lines_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Stream_lines_2.h $
 // $Id: Stream_lines_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Surface_mesh_approximation.h 5.0.3-1/include/CGAL/license/Surface_mesh_approximation.h
--- 5.0.2-3/include/CGAL/license/Surface_mesh_approximation.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Surface_mesh_approximation.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Surface_mesh_approximation.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Surface_mesh_approximation.h $
 // $Id: Surface_mesh_approximation.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Surface_mesh_deformation.h 5.0.3-1/include/CGAL/license/Surface_mesh_deformation.h
--- 5.0.2-3/include/CGAL/license/Surface_mesh_deformation.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Surface_mesh_deformation.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Surface_mesh_deformation.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Surface_mesh_deformation.h $
 // $Id: Surface_mesh_deformation.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Surface_mesher.h 5.0.3-1/include/CGAL/license/Surface_mesher.h
--- 5.0.2-3/include/CGAL/license/Surface_mesher.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Surface_mesher.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Surface_mesher.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Surface_mesher.h $
 // $Id: Surface_mesher.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Surface_mesh.h 5.0.3-1/include/CGAL/license/Surface_mesh.h
--- 5.0.2-3/include/CGAL/license/Surface_mesh.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Surface_mesh.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Surface_mesh.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Surface_mesh.h $
 // $Id: Surface_mesh.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Surface_mesh_parameterization.h 5.0.3-1/include/CGAL/license/Surface_mesh_parameterization.h
--- 5.0.2-3/include/CGAL/license/Surface_mesh_parameterization.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Surface_mesh_parameterization.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Surface_mesh_parameterization.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Surface_mesh_parameterization.h $
 // $Id: Surface_mesh_parameterization.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Surface_mesh_segmentation.h 5.0.3-1/include/CGAL/license/Surface_mesh_segmentation.h
--- 5.0.2-3/include/CGAL/license/Surface_mesh_segmentation.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Surface_mesh_segmentation.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Surface_mesh_segmentation.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Surface_mesh_segmentation.h $
 // $Id: Surface_mesh_segmentation.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Surface_mesh_shortest_path.h 5.0.3-1/include/CGAL/license/Surface_mesh_shortest_path.h
--- 5.0.2-3/include/CGAL/license/Surface_mesh_shortest_path.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Surface_mesh_shortest_path.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Surface_mesh_shortest_path.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Surface_mesh_shortest_path.h $
 // $Id: Surface_mesh_shortest_path.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Surface_mesh_simplification.h 5.0.3-1/include/CGAL/license/Surface_mesh_simplification.h
--- 5.0.2-3/include/CGAL/license/Surface_mesh_simplification.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Surface_mesh_simplification.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Surface_mesh_simplification.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Surface_mesh_simplification.h $
 // $Id: Surface_mesh_simplification.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Surface_mesh_skeletonization.h 5.0.3-1/include/CGAL/license/Surface_mesh_skeletonization.h
--- 5.0.2-3/include/CGAL/license/Surface_mesh_skeletonization.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Surface_mesh_skeletonization.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Surface_mesh_skeletonization.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Surface_mesh_skeletonization.h $
 // $Id: Surface_mesh_skeletonization.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Surface_sweep_2.h 5.0.3-1/include/CGAL/license/Surface_sweep_2.h
--- 5.0.2-3/include/CGAL/license/Surface_sweep_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Surface_sweep_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Surface_sweep_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Surface_sweep_2.h $
 // $Id: Surface_sweep_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/TDS_2.h 5.0.3-1/include/CGAL/license/TDS_2.h
--- 5.0.2-3/include/CGAL/license/TDS_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/TDS_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/TDS_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/TDS_2.h $
 // $Id: TDS_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/TDS_3.h 5.0.3-1/include/CGAL/license/TDS_3.h
--- 5.0.2-3/include/CGAL/license/TDS_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/TDS_3.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/TDS_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/TDS_3.h $
 // $Id: TDS_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Three.h 5.0.3-1/include/CGAL/license/Three.h
--- 5.0.2-3/include/CGAL/license/Three.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Three.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Three.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Three.h $
 // $Id: Three.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Triangulation_2.h 5.0.3-1/include/CGAL/license/Triangulation_2.h
--- 5.0.2-3/include/CGAL/license/Triangulation_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Triangulation_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Triangulation_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Triangulation_2.h $
 // $Id: Triangulation_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Triangulation_3.h 5.0.3-1/include/CGAL/license/Triangulation_3.h
--- 5.0.2-3/include/CGAL/license/Triangulation_3.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Triangulation_3.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Triangulation_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Triangulation_3.h $
 // $Id: Triangulation_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Triangulation.h 5.0.3-1/include/CGAL/license/Triangulation.h
--- 5.0.2-3/include/CGAL/license/Triangulation.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Triangulation.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Triangulation.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Triangulation.h $
 // $Id: Triangulation.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Visibility_2.h 5.0.3-1/include/CGAL/license/Visibility_2.h
--- 5.0.2-3/include/CGAL/license/Visibility_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Visibility_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Visibility_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Visibility_2.h $
 // $Id: Visibility_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license/Voronoi_diagram_2.h 5.0.3-1/include/CGAL/license/Voronoi_diagram_2.h
--- 5.0.2-3/include/CGAL/license/Voronoi_diagram_2.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license/Voronoi_diagram_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license/Voronoi_diagram_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license/Voronoi_diagram_2.h $
 // $Id: Voronoi_diagram_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/license.h 5.0.3-1/include/CGAL/license.h
--- 5.0.2-3/include/CGAL/license.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/license.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/license.h $
-// $Id: license.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/license.h $
+// $Id: license.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author     : Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/Lightweight_vector_3.h 5.0.3-1/include/CGAL/Lightweight_vector_3.h
--- 5.0.2-3/include/CGAL/Lightweight_vector_3.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Lightweight_vector_3.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Poisson_surface_reconstruction_3/include/CGAL/Lightweight_vector_3.h $
-// $Id: Lightweight_vector_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Poisson_surface_reconstruction_3/include/CGAL/Lightweight_vector_3.h $
+// $Id: Lightweight_vector_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -24,7 +24,7 @@ namespace CGAL {
 
 /// \internal
 /// The Lightweight_vector_3 class represents a 3D vector (oriented).
-/// The purpose of this class is to save memory as the actual vector 
+/// The purpose of this class is to save memory as the actual vector
 /// is allocated only when needed.
 ///
 /// \cgalModels `Kernel::Vector_3`
@@ -76,7 +76,7 @@ public:
     /// Operator =()
     Lightweight_vector_3& operator=(const Lightweight_vector_3& that)
     {
-      if (m_pVector != nullptr && that.m_pVector != nullptr) 
+      if (m_pVector != nullptr && that.m_pVector != nullptr)
       {
         *m_pVector = *that.m_pVector;
       }
@@ -104,7 +104,7 @@ public:
       return ! (*this == that);
     }
 
-    /// Gets (a copy of) the actual vector. 
+    /// Gets (a copy of) the actual vector.
     operator Vector() const
     {
       if (m_pVector != nullptr)
@@ -120,7 +120,7 @@ public:
     FT x() const { return (m_pVector != nullptr) ? m_pVector->x() : 0; }
     FT y() const { return (m_pVector != nullptr) ? m_pVector->y() : 0; }
     FT z() const { return (m_pVector != nullptr) ? m_pVector->z() : 0; }
-   
+
     RT hx() const { return (m_pVector != nullptr) ? m_pVector->hx() : 0; }
     RT hy() const { return (m_pVector != nullptr) ? m_pVector->hy() : 0; }
     RT hz() const { return (m_pVector != nullptr) ? m_pVector->hz() : 0; }
@@ -191,7 +191,7 @@ public:
     {
       return vector * c;
     }
-    
+
     FT squared_length() const
     {
       if (m_pVector != nullptr)
diff -pruN 5.0.2-3/include/CGAL/Line_2.h 5.0.3-1/include/CGAL/Line_2.h
--- 5.0.2-3/include/CGAL/Line_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Line_2.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Line_2.h $
-// $Id: Line_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Line_2.h $
+// $Id: Line_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -105,7 +105,7 @@ public:
   transform(const Aff_transformation_2 &t) const
   {
     return Line_2(t.transform(point(0)),
-		  t.transform(direction()));
+                  t.transform(direction()));
   }
 
   Line_2
@@ -250,7 +250,7 @@ insert(std::ostream& os, const Line_2<R>
         return os;
     default:
         return os << "Line_2(" << l.a()
-		  << ", " << l.b() << ", " << l.c() <<')';
+                  << ", " << l.b() << ", " << l.c() <<')';
     }
 }
 
@@ -283,7 +283,7 @@ extract(std::istream& is, Line_2<R>& l)
         break;
     }
     if (is)
-	l = Line_2<R>(a, b, c);
+        l = Line_2<R>(a, b, c);
     return is;
 }
 
diff -pruN 5.0.2-3/include/CGAL/Line_3.h 5.0.3-1/include/CGAL/Line_3.h
--- 5.0.2-3/include/CGAL/Line_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Line_3.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Line_3.h $
-// $Id: Line_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Line_3.h $
+// $Id: Line_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 //                 Stefan Schirra
@@ -96,19 +96,19 @@ public:
     return R().construct_direction_3_object()(*this);
   }
 
-  bool has_on(const Point_3 &p) const 
-  { 
+  bool has_on(const Point_3 &p) const
+  {
     return R().has_on_3_object()(*this, p);
-    //return has_on_boundary(p); 
+    //return has_on_boundary(p);
   }
 
   Point_3 point() const
-  { 
+  {
     return R().construct_point_on_3_object()(*this, 0);
   }
 
   Point_3 point(const FT i) const
-  { 
+  {
     return R().construct_point_on_3_object()(*this, i);
   }
 
@@ -131,7 +131,7 @@ public:
   {
     return R().is_degenerate_3_object()(*this);
   }
-  
+
 };
 
 template < class R >
diff -pruN 5.0.2-3/include/CGAL/Linear_algebraCd.h 5.0.3-1/include/CGAL/Linear_algebraCd.h
--- 5.0.2-3/include/CGAL/Linear_algebraCd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Linear_algebraCd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Linear_algebraCd.h $
-// $Id: Linear_algebraCd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Linear_algebraCd.h $
+// $Id: Linear_algebraCd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve.Bronnimann@sophia.inria.fr
 
@@ -40,28 +40,28 @@ public:
   typedef Linear_Algebra::Matrix_<FT,AL>  Matrix;
   typedef const FT*               const_iterator;
   typedef FT*                     iterator;
-  
+
   Linear_algebraCd() {}
 
 protected:
   // Major routines for Linear_algebra_d
-  static 
+  static
   void   Gaussian_elimination(const Matrix &M,
             Matrix &L, Matrix &U,
             std::vector<int> &row_permutation,
             std::vector<int> &column_permutation,
             FT &det, int &rank, Vector &c);
-  static 
-  bool Triangular_system_solver(const Matrix &U, const Matrix &L, 
+  static
+  bool Triangular_system_solver(const Matrix &U, const Matrix &L,
             const Vector &b, int rank, Vector &x, FT &det);
-  static 
+  static
   void   Triangular_left_inverse(const Matrix &U, Matrix &Uinv);
 
 public:
   static
   std::pair<int,int> transpose(std::pair<int,int> dim)
   { std::swap(dim.first,dim.second); return dim; }
-  static 
+  static
   Matrix transpose(const Matrix &M);
 
   static
@@ -81,7 +81,7 @@ public:
 
   static
   bool   verify_determinant(const Matrix &M, const RT &D,
-             const Matrix &L, const Matrix &U, 
+             const Matrix &L, const Matrix &U,
              const std::vector<int> &q, const Vector &c);
   static
   bool   linear_solver(const Matrix &M, const Vector &b,
@@ -103,8 +103,8 @@ public:
   static
   int rank(const Matrix &M);
 
-  static 
-  int independent_columns(const Matrix& M, std::vector<int>& columns); 
+  static
+  int independent_columns(const Matrix& M, std::vector<int>& columns);
 
 };
 
diff -pruN 5.0.2-3/include/CGAL/Linear_algebraHd.h 5.0.3-1/include/CGAL/Linear_algebraHd.h
--- 5.0.2-3/include/CGAL/Linear_algebraHd.h	2020-02-21 20:03:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Linear_algebraHd.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2000  
+// Copyright (c) 1997-2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Linear_algebraHd.h $
-// $Id: Linear_algebraHd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Linear_algebraHd.h $
+// $Id: Linear_algebraHd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -36,7 +36,7 @@ namespace CGAL {
 
 template <class RT_, class AL_ = CGAL_ALLOCATOR(RT_) >
 class Linear_algebraHd
-{ 
+{
 /*{\Mdefinition
 The data type |\Mname| encapsulates two classes |Matrix|, |Vector|
 and many functions of basic linear algebra. It is parametrized by a
@@ -52,129 +52,129 @@ the programs can be asked for a proof th
 correct. For example, if the linear system solver declares a linear
 system $A x = b$ unsolvable it also returns a vector $c$ such that
 $c^T A = 0$ and $c^T b \neq 0$.  All internal correctness checks can
-be switched on by the flag [[CGAL_LA_SELFTEST]].}*/ 
+be switched on by the flag [[CGAL_LA_SELFTEST]].}*/
 
 public:
 
 /*{\Mtypes 5.5}*/
 
 typedef RT_ RT;
-/*{\Mtypemember the ring type of the components.}*/ 
+/*{\Mtypemember the ring type of the components.}*/
 
 typedef Linear_Algebra::Vector_<RT_,AL_> Vector;
-/*{\Mtypemember the vector type.}*/ 
+/*{\Mtypemember the vector type.}*/
 
 typedef Linear_Algebra::Matrix_<RT_,AL_> Matrix;
-/*{\Mtypemember the matrix type.}*/ 
+/*{\Mtypemember the matrix type.}*/
 
 typedef AL_ allocator_type;
 /*{\Mtypemember the allocator used for memory management. |\Mname| is
-an abbreviation for |Linear_algebraHd<RT, ALLOC = allocator<RT,LA> >|. Thus  
-|allocator_type| defaults to the standard allocator offered by the STL.}*/ 
+an abbreviation for |Linear_algebraHd<RT, ALLOC = allocator<RT,LA> >|. Thus
+|allocator_type| defaults to the standard allocator offered by the STL.}*/
 
 /*{\Moperations 2 1}*/
 
-static Matrix  transpose(const Matrix& M); 
+static Matrix  transpose(const Matrix& M);
 /*{\Mstatic  returns  $M^T$ ($m\times n$ - matrix). }*/
 
-static bool inverse(const Matrix& M, Matrix& I, RT& D, Vector& c); 
-/*{\Mstatic determines whether |M| has an inverse. It also computes 
+static bool inverse(const Matrix& M, Matrix& I, RT& D, Vector& c);
+/*{\Mstatic determines whether |M| has an inverse. It also computes
 either the inverse as $(1/D) \cdot |I|$ or when no inverse
 exists, a vector $c$ such that $c^T \cdot M = 0 $.  }*/
 
 static Matrix  inverse(const Matrix& M, RT& D)
-/*{\Mstatic returns the inverse matrix of |M|. More precisely, $1/D$ 
+/*{\Mstatic returns the inverse matrix of |M|. More precisely, $1/D$
             times the matrix returned is the inverse of |M|.\\
             \precond  |determinant(M) != 0|. }*/
-{ 
-  Matrix result; 
+{
+  Matrix result;
   Vector c;
-  if (!inverse(M,result,D,c)) 
-    CGAL_error_msg("inverse(): matrix is singular."); 
+  if (!inverse(M,result,D,c))
+    CGAL_error_msg("inverse(): matrix is singular.");
   return result;
 }
 
-static RT  determinant (const Matrix& M, Matrix& L, Matrix& U, 
+static RT  determinant (const Matrix& M, Matrix& L, Matrix& U,
                         std::vector<int>& q, Vector& c);
-/*{\Mstatic returns the determinant $D$ of |M| and sufficient information 
-            to verify that the value of the determinant is correct. If 
-            the determinant is zero then $c$ is a vector such that 
-            $c^T \cdot M = 0$. If the determinant is non-zero then $L$ 
-            and $U$ are lower and upper diagonal matrices respectively 
-            and $q$ encodes a permutation matrix $Q$ with $Q(i,j) = 1$ 
-            iff $i = q(j)$ such that $L \cdot M \cdot Q = U$, 
-            $L(0,0) = 1$, $L(i,i) = U(i - 1,i - 1)$ for all $i$, 
-            $1 \le i < n$, and $D = s \cdot U(n - 1,n - 1)$ where $s$ is 
+/*{\Mstatic returns the determinant $D$ of |M| and sufficient information
+            to verify that the value of the determinant is correct. If
+            the determinant is zero then $c$ is a vector such that
+            $c^T \cdot M = 0$. If the determinant is non-zero then $L$
+            and $U$ are lower and upper diagonal matrices respectively
+            and $q$ encodes a permutation matrix $Q$ with $Q(i,j) = 1$
+            iff $i = q(j)$ such that $L \cdot M \cdot Q = U$,
+            $L(0,0) = 1$, $L(i,i) = U(i - 1,i - 1)$ for all $i$,
+            $1 \le i < n$, and $D = s \cdot U(n - 1,n - 1)$ where $s$ is
             the determinant of $Q$. \precond  |M| is square. }*/
 
-static bool verify_determinant (const Matrix& M, RT D, Matrix& L, Matrix& U, 
+static bool verify_determinant (const Matrix& M, RT D, Matrix& L, Matrix& U,
                                 const std::vector<int>& q, Vector& c);
 /*{\Mstatic verifies the conditions stated above. }*/
 
-static RT determinant (const Matrix& M); 
+static RT determinant (const Matrix& M);
 /*{\Mstatic  returns the determinant of |M|.
          \precond  |M| is square. }*/
 
-static int sign_of_determinant (const Matrix& M); 
+static int sign_of_determinant (const Matrix& M);
 /*{\Mstatic returns the sign of the determinant of |M|.
         \precond  |M| is square. }*/
 
 static bool linear_solver(const Matrix& M, const Vector& b,
-                          Vector& x, RT& D, 
-                          Matrix& spanning_vectors, 
+                          Vector& x, RT& D,
+                          Matrix& spanning_vectors,
                           Vector& c);
-/*{\Mstatic determines the complete solution space of the linear system 
-            $M\cdot x = b$. If the system is unsolvable then 
-            $c^T \cdot M = 0$ and $c^T \cdot b \not= 0$. 
-            If the system is solvable then $(1/D) x$ is a solution, and 
-            the columns of |spanning_vectors| are a maximal set of linearly 
+/*{\Mstatic determines the complete solution space of the linear system
+            $M\cdot x = b$. If the system is unsolvable then
+            $c^T \cdot M = 0$ and $c^T \cdot b \not= 0$.
+            If the system is solvable then $(1/D) x$ is a solution, and
+            the columns of |spanning_vectors| are a maximal set of linearly
             independent solutions to the corresponding homogeneous system.
             \precond |M.row_dimension() = b.dimension()|. }*/
 
-static bool linear_solver(const Matrix& M, const Vector& b, 
-                          Vector& x, RT& D, 
-                          Vector& c) 
-/*{\Mstatic determines whether the linear system $M\cdot x = b$ is 
-           solvable. If yes, then $(1/D) x$ is a solution, if not then 
+static bool linear_solver(const Matrix& M, const Vector& b,
+                          Vector& x, RT& D,
+                          Vector& c)
+/*{\Mstatic determines whether the linear system $M\cdot x = b$ is
+           solvable. If yes, then $(1/D) x$ is a solution, if not then
            $c^T \cdot M = 0$ and $c^T \cdot b \not= 0$.
            \precond |M.row_dimension() = b.dimension()|. }*/
-{ 
-  Matrix spanning_vectors; 
-  return linear_solver(M,b,x,D,spanning_vectors,c); 
+{
+  Matrix spanning_vectors;
+  return linear_solver(M,b,x,D,spanning_vectors,c);
 }
 
 static bool linear_solver(const Matrix& M, const Vector& b,
-                          Vector& x, RT& D) 
-/*{\Mstatic as above, but without the witness $c$ 
+                          Vector& x, RT& D)
+/*{\Mstatic as above, but without the witness $c$
            \precond |M.row_dimension() = b.dimension()|. }*/
-{ 
-  Matrix spanning_vectors; Vector c; 
-  return linear_solver(M,b,x,D,spanning_vectors,c); 
+{
+  Matrix spanning_vectors; Vector c;
+  return linear_solver(M,b,x,D,spanning_vectors,c);
 }
 
-static bool is_solvable(const Matrix& M, const Vector& b) 
+static bool is_solvable(const Matrix& M, const Vector& b)
 /*{\Mstatic determines whether the system $M \cdot x = b$ is solvable \\
         \precond |M.row_dimension() = b.dimension()|. }*/
-{ 
-  Vector x; RT D; Matrix spanning_vectors; Vector c; 
-  return linear_solver(M,b,x,D,spanning_vectors,c); 
+{
+  Vector x; RT D; Matrix spanning_vectors; Vector c;
+  return linear_solver(M,b,x,D,spanning_vectors,c);
 }
 
-static bool homogeneous_linear_solver (const Matrix& M, Vector& x); 
-/*{\Mstatic determines whether the homogeneous linear system 
+static bool homogeneous_linear_solver (const Matrix& M, Vector& x);
+/*{\Mstatic determines whether the homogeneous linear system
         $M\cdot x = 0$ has a non - trivial solution. If
         yes, then $x$ is such a solution. }*/
 
-static int homogeneous_linear_solver (const Matrix& M, Matrix& spanning_vecs); 
+static int homogeneous_linear_solver (const Matrix& M, Matrix& spanning_vecs);
 /*{\Mstatic determines the solution space of the homogeneous linear
 system $M\cdot x = 0$. It returns the dimension of the solution space.
 Moreover the columns of |spanning_vecs| span the solution space. }*/
 
-static int independent_columns (const Matrix& M, std::vector<int>& columns); 
-/*{\Mstatic returns the indices of a maximal subset of independent 
+static int independent_columns (const Matrix& M, std::vector<int>& columns);
+/*{\Mstatic returns the indices of a maximal subset of independent
 columns of |M|.}*/
 
-static int rank (const Matrix & M); 
+static int rank (const Matrix & M);
 /*{\Mstatic returns the rank of matrix |M| }*/
 
 /*{\Mimplementation The datatype |\Mname| is a wrapper class for the
diff -pruN 5.0.2-3/include/CGAL/Line_arc_2.h 5.0.3-1/include/CGAL/Line_arc_2.h
--- 5.0.2-3/include/CGAL/Line_arc_2.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Line_arc_2.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Line_arc_2.h $
-// $Id: Line_arc_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Line_arc_2.h $
+// $Id: Line_arc_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Julien Hazebrouck, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_LINE_ARC_2_H
@@ -26,8 +26,8 @@
 
 namespace CGAL {
 
-template <class CircularKernel> 
-class Line_arc_2 
+template <class CircularKernel>
+class Line_arc_2
   : public CircularKernel::Kernel_base::Line_arc_2
 {
   typedef typename CircularKernel::FT                        FT;
@@ -42,7 +42,7 @@ class Line_arc_2
   typedef typename CircularKernel::Kernel_base::Line_arc_2 RLine_arc_2;
 public:
   typedef  RLine_arc_2 Rep;
-  typedef  CircularKernel   R; 
+  typedef  CircularKernel   R;
 
  const Rep& rep() const
   {
@@ -60,30 +60,30 @@ public:
 
    // Not Documented
    Line_arc_2(const Line_2 &support,
-	      const Circle_2 &c1,const bool b1,
-	      const Circle_2 &c2,const bool b2)
+              const Circle_2 &c1,const bool b1,
+              const Circle_2 &c2,const bool b2)
      : RLine_arc_2(typename R::Construct_line_arc_2()(support, c1, b1, c2, b2))
    {}
 
    // Not Documented
    Line_arc_2(const Line_2 &support,
-	       const Line_2 &l1,
-	       const Line_2 &l2)
+               const Line_2 &l1,
+               const Line_2 &l2)
      : RLine_arc_2(typename R::Construct_line_arc_2()(support, l1, l2))
    {}
 
    Line_arc_2(const Line_2 &support,
-	       const Circular_arc_point_2 &p1,
-	       const Circular_arc_point_2 &p2)
+               const Circular_arc_point_2 &p1,
+               const Circular_arc_point_2 &p2)
      : RLine_arc_2(typename R::Construct_line_arc_2()(support, p1, p2))
    {}
 
    Line_arc_2(const Segment_2 &s)
      : RLine_arc_2(typename R::Construct_line_arc_2()(s))
    {}
-   
+
     Line_arc_2(const Point_2 &p1,
-	       const Point_2 &p2)
+               const Point_2 &p2)
       : RLine_arc_2(typename R::Construct_line_arc_2()(p1, p2))
    {}
 
@@ -115,18 +115,18 @@ public:
         return typename R::Construct_circular_max_vertex_2()(*this);
   }
 
-  Line_2 
+  Line_2
   supporting_line() const
   {
         return typename R::Construct_line_2()(*this);
   }
-  
+
 
   bool is_vertical() const
   {
       return typename R::Is_vertical_2()(*this);
   }
-    
+
   Bbox_2  bbox() const
   {
         return typename R::Construct_bbox_2()(*this);
@@ -157,10 +157,10 @@ operator!=(const Line_arc_2<CircularKern
     std::ostream &
     operator<<(std::ostream & os, const Line_arc_2<CK> &a)
     {
-      
+
       return os << a.supporting_line() << " "
-		<< a.source() << " "
-		<< a.target() << " ";
+                << a.source() << " "
+                << a.target() << " ";
     }
 
   template < typename CK >
@@ -181,4 +181,4 @@ operator!=(const Line_arc_2<CircularKern
 
 #endif // CGAL_LINE_ARC_2_H
 
-   
+
diff -pruN 5.0.2-3/include/CGAL/Line_arc_3.h 5.0.3-1/include/CGAL/Line_arc_3.h
--- 5.0.2-3/include/CGAL/Line_arc_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Line_arc_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Line_arc_3.h $
-// $Id: Line_arc_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Line_arc_3.h $
+// $Id: Line_arc_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Julien Hazebrouck, Damien Leroy
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_LINE_ARC_3_H
@@ -25,11 +25,11 @@
 
 
 namespace CGAL {
-  template <class SK> 
+  template <class SK>
     class Line_arc_3
     : public SK::Kernel_base::Line_arc_3
   {
-    
+
     typedef typename SK::RT                    RT;
     typedef typename SK::FT                    FT;
     typedef typename SK::Line_3                Line_3;
@@ -38,90 +38,90 @@ namespace CGAL {
     typedef typename SK::Sphere_3              Sphere_3;
     typedef typename SK::Segment_3             Segment_3;
     typedef typename SK::Circular_arc_point_3  Circular_arc_point_3;
-    typedef typename SK::Kernel_base::Line_arc_3 RLine_arc_3; 
-   
-  
+    typedef typename SK::Kernel_base::Line_arc_3 RLine_arc_3;
+
+
   public:
     typedef  RLine_arc_3 Rep;
-    typedef  SK   R; 
-    
+    typedef  SK   R;
+
     const Rep& rep() const
       {
-	return *this;
+        return *this;
       }
-    
+
     Rep& rep()
       {
-	return *this;
+        return *this;
       }
-    
+
     Line_arc_3()
       : RLine_arc_3(typename R::Construct_line_arc_3()())
       {}
 
-    Line_arc_3(const Line_3& l, 
-               const Circular_arc_point_3& s, 
+    Line_arc_3(const Line_3& l,
+               const Circular_arc_point_3& s,
                const Circular_arc_point_3& t)
       : RLine_arc_3(typename R::Construct_line_arc_3()(l,s,t))
       {}
 
-    Line_arc_3(const Point_3& s, 
+    Line_arc_3(const Point_3& s,
                const Point_3& t)
       : RLine_arc_3(typename R::Construct_line_arc_3()(s,t))
       {}
 
-    Line_arc_3(const Segment_3 &s) 
+    Line_arc_3(const Segment_3 &s)
       : RLine_arc_3(typename R::Construct_line_arc_3()(s))
       {}
 
     // Not Documented
     Line_arc_3(const Line_3 &l,
                const Sphere_3 &s,
-               bool less_xyz_first = true) 
+               bool less_xyz_first = true)
       : RLine_arc_3(typename R::Construct_line_arc_3()(l,s,less_xyz_first))
     {}
 
     // Not Documented
     Line_arc_3(const Sphere_3 &s,
                const Line_3 &l,
-               bool less_xyz_first = true) 
+               bool less_xyz_first = true)
       : RLine_arc_3(typename R::Construct_line_arc_3()(s,l,less_xyz_first))
     {}
 
     // Not Documented
-    Line_arc_3(const Line_3 &l, 
+    Line_arc_3(const Line_3 &l,
                const Sphere_3 &s1, bool less_xyz_s1,
-               const Sphere_3 &s2, bool less_xyz_s2) 
+               const Sphere_3 &s2, bool less_xyz_s2)
       : RLine_arc_3(typename R::Construct_line_arc_3()(l,s1,less_xyz_s1,
-                                                         s2,less_xyz_s2)) 
+                                                         s2,less_xyz_s2))
     {}
 
     // Not Documented
     Line_arc_3(const Sphere_3 &s1, bool less_xyz_s1,
                const Sphere_3 &s2, bool less_xyz_s2,
-               const Line_3 &l) 
+               const Line_3 &l)
       : RLine_arc_3(typename R::Construct_line_arc_3()(s1,less_xyz_s1,
-                                                       s2,less_xyz_s2,l)) 
+                                                       s2,less_xyz_s2,l))
     {}
 
     // Not Documented
     Line_arc_3(const Line_3 &l,
-	       const Plane_3 &p1,
-	       const Plane_3 &p2) 
+               const Plane_3 &p1,
+               const Plane_3 &p2)
       : RLine_arc_3(typename R::Construct_line_arc_3()(l,p1,p2))
     {}
 
     // Not Documented
     Line_arc_3(const Plane_3 &p1,
-	       const Plane_3 &p2,
-               const Line_3 &l) 
+               const Plane_3 &p2,
+               const Line_3 &l)
       : RLine_arc_3(typename R::Construct_line_arc_3()(p1,p2,l))
     {}
 
     Line_arc_3(const RLine_arc_3 &a)
      : RLine_arc_3(a)
       {}
-    
+
     typename cpp11::result_of<typename R::Construct_circular_source_vertex_3(Line_arc_3)>::type
     source() const
     {
@@ -161,30 +161,30 @@ namespace CGAL {
   inline
   bool
   operator==(const Line_arc_3<SK> &p,
-	     const Line_arc_3<SK> &q)
+             const Line_arc_3<SK> &q)
   {
     return SK().equal_3_object()(p, q);
   }
-  
+
   template < typename SK >
   inline
   bool
   operator!=(const Line_arc_3<SK> &p,
-	     const Line_arc_3<SK> &q)
+             const Line_arc_3<SK> &q)
   {
     return ! (p == q);
   }
-  
+
   template < typename SK >
   std::ostream &
   operator<<(std::ostream & os, const Line_arc_3<SK> &a)
   {
-    
+
     return os << a.supporting_line() << " "
-	      << a.source() << " "
-	      << a.target() << " ";
+              << a.source() << " "
+              << a.target() << " ";
   }
-  
+
   template < typename SK >
   std::istream &
   operator>>(std::istream & is, Line_arc_3<SK> &a)
diff -pruN 5.0.2-3/include/CGAL/Linear_cell_complex_base.h 5.0.3-1/include/CGAL/Linear_cell_complex_base.h
--- 5.0.2-3/include/CGAL/Linear_cell_complex_base.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Linear_cell_complex_base.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/Linear_cell_complex_base.h $
-// $Id: Linear_cell_complex_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/Linear_cell_complex_base.h $
+// $Id: Linear_cell_complex_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -113,7 +113,7 @@ namespace CGAL {
     using Base::point_of_vertex_attribute;
     using Base::other_extremity;
     using Base::darts;
-    
+
     using Base::are_attributes_automatically_managed;
     using Base::mark;
     using Base::is_marked;
@@ -125,7 +125,7 @@ namespace CGAL {
     using Base::opposite;
     using Base::is_next_exist;
     using Base::is_previous_exist;
-    
+
     using Base::make_segment;
     using Base::make_triangle;
     using Base::make_quadrangle;
diff -pruN 5.0.2-3/include/CGAL/Linear_cell_complex_bgl_min_items.h 5.0.3-1/include/CGAL/Linear_cell_complex_bgl_min_items.h
--- 5.0.2-3/include/CGAL/Linear_cell_complex_bgl_min_items.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Linear_cell_complex_bgl_min_items.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/Linear_cell_complex_bgl_min_items.h $
-// $Id: Linear_cell_complex_bgl_min_items.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/Linear_cell_complex_bgl_min_items.h $
+// $Id: Linear_cell_complex_bgl_min_items.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -30,7 +30,7 @@ namespace CGAL {
       typedef std::tuple<Vertex_attribute, void, Face_attribute> Attributes;
     };
   };
-  
+
 } // namespace CGAL
 
 #endif // CGAL_LINEAR_CELL_COMPLEX_BGL_MIN_ITEMS_H //
diff -pruN 5.0.2-3/include/CGAL/Linear_cell_complex_constructors.h 5.0.3-1/include/CGAL/Linear_cell_complex_constructors.h
--- 5.0.2-3/include/CGAL/Linear_cell_complex_constructors.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Linear_cell_complex_constructors.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/Linear_cell_complex_constructors.h $
-// $Id: Linear_cell_complex_constructors.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/Linear_cell_complex_constructors.h $
+// $Id: Linear_cell_complex_constructors.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -342,7 +342,7 @@ namespace CGAL {
     std::ofstream output(filename);
     if (!output.is_open())
     { return false; }
-    
+
     return write_off(alcc, output);
   }
 
diff -pruN 5.0.2-3/include/CGAL/Linear_cell_complex_for_bgl_combinatorial_map_helper.h 5.0.3-1/include/CGAL/Linear_cell_complex_for_bgl_combinatorial_map_helper.h
--- 5.0.2-3/include/CGAL/Linear_cell_complex_for_bgl_combinatorial_map_helper.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Linear_cell_complex_for_bgl_combinatorial_map_helper.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/Linear_cell_complex_for_bgl_combinatorial_map_helper.h $
-// $Id: Linear_cell_complex_for_bgl_combinatorial_map_helper.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/Linear_cell_complex_for_bgl_combinatorial_map_helper.h $
+// $Id: Linear_cell_complex_for_bgl_combinatorial_map_helper.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -33,7 +33,7 @@ namespace CGAL {
              class CMap = Combinatorial_map_base,
              class Storage_ = CMap_linear_cell_complex_storage_1
              <d_, ambient_dim, Traits_,
-              CGAL::Linear_cell_complex_bgl_min_items, Alloc_> >  
+              CGAL::Linear_cell_complex_bgl_min_items, Alloc_> >
   struct Linear_cell_complex_for_bgl_combinatorial_map_helper
   {
   public:
@@ -41,7 +41,7 @@ namespace CGAL {
     typedef Linear_cell_complex_for_combinatorial_map
             <d_, ambient_dim, Traits_, CGAL::Linear_cell_complex_bgl_min_items,
              Alloc_, CMap, Storage_> type;
-  }; 
+  };
 
 } // namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Linear_cell_complex_for_combinatorial_map.h 5.0.3-1/include/CGAL/Linear_cell_complex_for_combinatorial_map.h
--- 5.0.2-3/include/CGAL/Linear_cell_complex_for_combinatorial_map.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Linear_cell_complex_for_combinatorial_map.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/Linear_cell_complex_for_combinatorial_map.h $
-// $Id: Linear_cell_complex_for_combinatorial_map.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/Linear_cell_complex_for_combinatorial_map.h $
+// $Id: Linear_cell_complex_for_combinatorial_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -104,10 +104,10 @@ namespace CGAL {
       Linear_cell_complex_for_combinatorial_map(const Self& alcc) : Base(alcc)
       {}
 #endif
-      
+
       template < class LCC2 >
       Linear_cell_complex_for_combinatorial_map(const LCC2& alcc) : Base(alcc)
-      {}      
+      {}
 
       template < class LCC2, typename Converters >
       Linear_cell_complex_for_combinatorial_map(const LCC2& alcc,
diff -pruN 5.0.2-3/include/CGAL/Linear_cell_complex_for_generalized_map.h 5.0.3-1/include/CGAL/Linear_cell_complex_for_generalized_map.h
--- 5.0.2-3/include/CGAL/Linear_cell_complex_for_generalized_map.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Linear_cell_complex_for_generalized_map.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/Linear_cell_complex_for_generalized_map.h $
-// $Id: Linear_cell_complex_for_generalized_map.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/Linear_cell_complex_for_generalized_map.h $
+// $Id: Linear_cell_complex_for_generalized_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -96,11 +96,11 @@ namespace CGAL {
        *  @param alcc the linear cell complex to copy.
        *  @post *this is valid.
        */
-#ifdef DOXYGEN_RUNNING      
+#ifdef DOXYGEN_RUNNING
       Linear_cell_complex_for_generalized_map(const Self & alcc) : Base(alcc)
       {}
 #endif
-      
+
       template < class LCC2 >
       Linear_cell_complex_for_generalized_map(const LCC2& alcc) : Base(alcc)
       {}
diff -pruN 5.0.2-3/include/CGAL/Linear_cell_complex.h 5.0.3-1/include/CGAL/Linear_cell_complex.h
--- 5.0.2-3/include/CGAL/Linear_cell_complex.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Linear_cell_complex.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/Linear_cell_complex.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/Linear_cell_complex.h $
 // $Id: Linear_cell_complex.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Linear_cell_complex_incremental_builder.h 5.0.3-1/include/CGAL/Linear_cell_complex_incremental_builder.h
--- 5.0.2-3/include/CGAL/Linear_cell_complex_incremental_builder.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Linear_cell_complex_incremental_builder.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/Linear_cell_complex_incremental_builder.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/Linear_cell_complex_incremental_builder.h $
 // $Id: Linear_cell_complex_incremental_builder.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Linear_cell_complex_min_items.h 5.0.3-1/include/CGAL/Linear_cell_complex_min_items.h
--- 5.0.2-3/include/CGAL/Linear_cell_complex_min_items.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Linear_cell_complex_min_items.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/Linear_cell_complex_min_items.h $
-// $Id: Linear_cell_complex_min_items.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/Linear_cell_complex_min_items.h $
+// $Id: Linear_cell_complex_min_items.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -39,7 +39,7 @@ namespace CGAL {
     struct Dart_wrapper
     {
       typedef CGAL::Dart<d, LCC> Dart;
-      
+
       typedef CGAL::Cell_attribute_with_point<LCC> Vertex_attrib;
       typedef std::tuple<Vertex_attrib>    Attributes;
     };
diff -pruN 5.0.2-3/include/CGAL/Linear_cell_complex_operations.h 5.0.3-1/include/CGAL/Linear_cell_complex_operations.h
--- 5.0.2-3/include/CGAL/Linear_cell_complex_operations.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Linear_cell_complex_operations.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/Linear_cell_complex_operations.h $
-// $Id: Linear_cell_complex_operations.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/Linear_cell_complex_operations.h $
+// $Id: Linear_cell_complex_operations.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -62,7 +62,7 @@ namespace CGAL {
     // Now we advance to process each edge
     unsigned int nb = 0;
     const Point* curr = &amap.point(start);
-    
+
     adart=start;
     do
     {
diff -pruN 5.0.2-3/include/CGAL/Linear_cell_complex_traits.h 5.0.3-1/include/CGAL/Linear_cell_complex_traits.h
--- 5.0.2-3/include/CGAL/Linear_cell_complex_traits.h	2020-02-21 20:03:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Linear_cell_complex_traits.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Linear_cell_complex/include/CGAL/Linear_cell_complex_traits.h $
-// $Id: Linear_cell_complex_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Linear_cell_complex/include/CGAL/Linear_cell_complex_traits.h $
+// $Id: Linear_cell_complex_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -27,7 +27,7 @@ namespace CGAL {
   { typedef Exact_predicates_inexact_constructions_kernel type; };
   template <>
   struct LCC_default_kernel<3>
-  { typedef Exact_predicates_inexact_constructions_kernel type; };  
+  { typedef Exact_predicates_inexact_constructions_kernel type; };
 
   /** Trait class for Linear_cell_complex class.
    *  dD version (for the moment there is only one dD kernel in CGAL).
@@ -37,11 +37,11 @@ namespace CGAL {
   struct Linear_cell_complex_traits : public Kernel
   {
     static const unsigned int ambient_dimension = d_;
-    
+
     typedef typename Kernel::FT          FT;
     typedef typename Kernel::Point_d     Point;
     typedef typename Kernel::Vector_d    Vector;
-    
+
     // Constructions
     struct Construct_translated_point
     {
@@ -58,7 +58,7 @@ namespace CGAL {
       Vector operator() (const CGAL::Origin&, const Point& p)
       { return operator() (Point(ambient_dimension, CGAL::Origin()), p); }
     };
-    
+
     struct Construct_sum_of_vectors
     {
       Vector operator() (const Vector&v1, const Vector& v2)
@@ -85,7 +85,7 @@ namespace CGAL {
   struct Linear_cell_complex_traits<2,Kernel> : public Kernel
   {
     static const unsigned int ambient_dimension = 2;
-    
+
     typedef typename Kernel::FT          FT;
     typedef typename Kernel::Point_2     Point;
     typedef typename Kernel::Vector_2    Vector;
@@ -98,7 +98,7 @@ namespace CGAL {
 
     typedef typename Kernel::Construct_sum_of_vectors_2
     Construct_sum_of_vectors;
-    
+
     typedef typename Kernel::Construct_scaled_vector_2
     Construct_scaled_vector;
 
@@ -117,9 +117,9 @@ namespace CGAL {
     typedef typename Kernel::FT          FT;
     typedef typename Kernel::Point_3     Point;
     typedef typename Kernel::Vector_3    Vector;
-    
+
     // Constructions
-    typedef typename Kernel::Construct_translated_point_3 
+    typedef typename Kernel::Construct_translated_point_3
     Construct_translated_point;
 
     typedef typename Kernel::Construct_vector_3 Construct_vector;
@@ -127,9 +127,9 @@ namespace CGAL {
     typedef typename Kernel::Construct_sum_of_vectors_3
     Construct_sum_of_vectors;
 
-    typedef typename Kernel::Construct_scaled_vector_3 
+    typedef typename Kernel::Construct_scaled_vector_3
     Construct_scaled_vector;
-    
+
     typedef typename Kernel::Construct_midpoint_3
     Construct_midpoint;
   };
diff -pruN 5.0.2-3/include/CGAL/linear_least_squares_fitting_2.h 5.0.3-1/include/CGAL/linear_least_squares_fitting_2.h
--- 5.0.2-3/include/CGAL/linear_least_squares_fitting_2.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/linear_least_squares_fitting_2.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_2.h $
-// $Id: linear_least_squares_fitting_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_2.h $
+// $Id: linear_least_squares_fitting_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Sylvain Pion and Ankit Gupta
@@ -29,39 +29,39 @@
 
 namespace CGAL {
 
-template < typename InputIterator, 
+template < typename InputIterator,
            typename Kernel,
-	   typename Tag,
-	   typename DiagonalizeTraits>
+           typename Tag,
+           typename DiagonalizeTraits>
 inline
 typename Kernel::FT
 linear_least_squares_fitting_2(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename Kernel::Line_2& line,
                                typename Kernel::Point_2& centroid,
                                const Tag& tag,
-			       const Kernel& kernel,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const Kernel& kernel,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename std::iterator_traits<InputIterator>::value_type Value_type;
   return internal::linear_least_squares_fitting_2(first, beyond, line,
-						  centroid,(Value_type*)nullptr,kernel,tag,
-						  diagonalize_traits);
+                                                  centroid,(Value_type*)nullptr,kernel,tag,
+                                                  diagonalize_traits);
 }
 
 // deduces the kernel from the points in container.
 // Use default DiagonalizeTraits
-template < typename InputIterator, 
+template < typename InputIterator,
            typename Line,
            typename Point,
-	   typename Tag>
+           typename Tag>
 inline
 typename Kernel_traits<Line>::Kernel::FT
 linear_least_squares_fitting_2(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                Line& line,
                                Point& centroid,
-			       const Tag& tag)
+                               const Tag& tag)
 {
   typedef typename std::iterator_traits<InputIterator>::value_type Value_type;
   typedef typename Kernel_traits<Value_type>::Kernel Kernel;
@@ -70,13 +70,13 @@ linear_least_squares_fitting_2(InputIter
      Default_diagonalize_traits<typename Kernel::FT, 2>());
 }
 
-template < typename InputIterator, 
+template < typename InputIterator,
            typename Line,
-	   typename Tag>
+           typename Tag>
 inline
 typename Kernel_traits<Line>::Kernel::FT
 linear_least_squares_fitting_2(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                Line& line,
                                const Tag& tag)
 {
@@ -84,7 +84,7 @@ linear_least_squares_fitting_2(InputIter
   typedef typename Kernel_traits<Value_type>::Kernel Kernel;
   typename Kernel::Point_2 centroid; // unused
   return CGAL::linear_least_squares_fitting_2(first,beyond,line,centroid,tag,Kernel(),
-					      Default_diagonalize_traits<typename Kernel::FT, 2>());
+                                              Default_diagonalize_traits<typename Kernel::FT, 2>());
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/linear_least_squares_fitting_3.h 5.0.3-1/include/CGAL/linear_least_squares_fitting_3.h
--- 5.0.2-3/include/CGAL/linear_least_squares_fitting_3.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/linear_least_squares_fitting_3.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_3.h $
-// $Id: linear_least_squares_fitting_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_3.h $
+// $Id: linear_least_squares_fitting_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Pierre Alliez and Sylvain Pion and Ankit Gupta
@@ -34,65 +34,65 @@
 namespace CGAL {
 
 // complete set of parameters
-template < typename InputIterator, 
+template < typename InputIterator,
            typename Object,
            typename Kernel,
            typename Tag,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 inline
 typename Kernel::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                Object& object, // plane or line
-                               typename Kernel::Point_3& centroid, 
+                               typename Kernel::Point_3& centroid,
                                const Tag& tag, // dimension tag, ranges from 0 to 3
-			       const Kernel& kernel,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const Kernel& kernel,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename std::iterator_traits<InputIterator>::value_type Value_type;
   return internal::linear_least_squares_fitting_3(first, beyond, object,
-						  centroid, (Value_type*) nullptr, kernel, tag,
-						  diagonalize_traits);
+                                                  centroid, (Value_type*) nullptr, kernel, tag,
+                                                  diagonalize_traits);
 }
 
 // deduces kernel from value type of input iterator
 // use default DiagonalizeTraits
-template < typename InputIterator, 
+template < typename InputIterator,
            typename Object,
-	   typename Point,
+           typename Point,
            typename Tag >
 inline
 typename Kernel_traits<Object>::Kernel::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                Object& object,  // plane or line
                                Point& centroid,
-			       const Tag& tag) // dimension tag, ranges from 0 to 3
+                               const Tag& tag) // dimension tag, ranges from 0 to 3
 {
   typedef typename std::iterator_traits<InputIterator>::value_type Value_type;
   typedef typename Kernel_traits<Value_type>::Kernel Kernel;
   return CGAL::linear_least_squares_fitting_3(first,beyond,object,centroid,tag,Kernel(),
-					      Default_diagonalize_traits<typename Kernel::FT, 3>());
+                                              Default_diagonalize_traits<typename Kernel::FT, 3>());
 
 }
 
 // deduces kernel and does not write centroid
 // use default DiagonalizeTraits
-template < typename InputIterator, 
+template < typename InputIterator,
            typename Object,
            typename Tag>
 inline
 typename Kernel_traits<Object>::Kernel::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                Object& object, // plane or line
-			       const Tag& tag) // dimension tag, ranges from 0 to 3
+                               const Tag& tag) // dimension tag, ranges from 0 to 3
 {
   typedef typename std::iterator_traits<InputIterator>::value_type Value_type;
   typedef typename Kernel_traits<Value_type>::Kernel Kernel;
   typename Kernel::Point_3 centroid; // not used by caller
   return CGAL::linear_least_squares_fitting_3(first,beyond,object,centroid,tag,Kernel(),
-					      Default_diagonalize_traits<typename Kernel::FT, 3>());
+                                              Default_diagonalize_traits<typename Kernel::FT, 3>());
 
 }
 
diff -pruN 5.0.2-3/include/CGAL/linear_least_squares_fitting_circles_2.h 5.0.3-1/include/CGAL/linear_least_squares_fitting_circles_2.h
--- 5.0.2-3/include/CGAL/linear_least_squares_fitting_circles_2.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/linear_least_squares_fitting_circles_2.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_circles_2.h $
-// $Id: linear_least_squares_fitting_circles_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_circles_2.h $
+// $Id: linear_least_squares_fitting_circles_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Sylvain Pion and Ankit Gupta
@@ -36,13 +36,13 @@ namespace internal {
 template < typename InputIterator, typename K, typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_2(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_2& line,   // best fit line
                                typename K::Point_2& c,     // centroid
                                const typename K::Circle_2*,// used for indirection
                                const K&,                   // kernel
-			       const CGAL::Dimension_tag<2>& tag,
-			       const DiagonalizeTraits&)
+                               const CGAL::Dimension_tag<2>& tag,
+                               const DiagonalizeTraits&)
 {
   // types
   typedef typename K::FT       FT;
@@ -59,7 +59,7 @@ linear_least_squares_fitting_2(InputIter
   // compute centroid
   c = centroid(first,beyond,K(),tag);
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0 1
   //   2
@@ -67,9 +67,9 @@ linear_least_squares_fitting_2(InputIter
   FT mass = 0.0;
   typename DiagonalizeTraits::Covariance_matrix covariance = {{ 0., 0., 0. }};
 
-  // assemble 2nd order moment about the origin.  
+  // assemble 2nd order moment about the origin.
   FT temp[4] = {0.25, 0.0,
-		0.0, 0.25};
+                0.0, 0.25};
   Matrix moment = init_matrix<FT>(2,temp);
   //  Matrix moment = Matrix(2,true,PI);
 
@@ -84,17 +84,17 @@ linear_least_squares_fitting_2(InputIter
     // defined for convenience.
     // FT example = CGAL::to_double(t[0].x());
     FT radius = std::sqrt(t.squared_radius());
-    FT delta[4] = {radius, 0.0, 
-		   0.0, radius};
+    FT delta[4] = {radius, 0.0,
+                   0.0, radius};
     Matrix transformation = init_matrix<FT>(2,delta);
     FT area = t.squared_radius();
     CGAL_assertion(area != 0.0);
 
     // Find the 2nd order moment for the circle wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = area * transformation * moment * LA::transpose(transformation);
-    
+
     // Translate the 2nd order moment to the center of the circle.
     FT x0 = t.center().x();
     FT y0 = t.center().y();
@@ -114,7 +114,7 @@ linear_least_squares_fitting_2(InputIter
   covariance[2] += mass * (-1.0 * c.y() * c.y());
 
   // solve for eigenvalues and eigenvectors.
-  // eigen values are sorted in ascending order, 
+  // eigen values are sorted in ascending order,
   // eigen vectors are sorted in accordance.
   typename DiagonalizeTraits::Vector eigen_values = {{ 0. , 0. }};
   typename DiagonalizeTraits::Matrix eigen_vectors = {{ 0., 0., 0. }};
@@ -127,28 +127,28 @@ linear_least_squares_fitting_2(InputIter
     // regular case
     line = Line(c, Vector (eigen_vectors[2],eigen_vectors[3]));
     return (FT)1.0 - eigen_values[0] / eigen_values[1];
-  } 
+  }
   else
   {
     // isotropic case (infinite number of directions)
-    // by default: assemble a line that goes through 
+    // by default: assemble a line that goes through
     // the centroid and with a default horizontal vector.
     line = Line(c, Vector(1.0, 0.0));
     return (FT)0.0;
-  } 
-  
+  }
+
 } // end linear_least_squares_fitting_2 for circle set with 2D tag
 
 template < typename InputIterator, typename K, typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_2(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_2& line,   // best fit line
                                typename K::Point_2& c,     // centroid
                                const typename K::Circle_2*,// used for indirection
                                const K&,                   // kernel
-			       const CGAL::Dimension_tag<1>& tag,
-			       const DiagonalizeTraits& )
+                               const CGAL::Dimension_tag<1>& tag,
+                               const DiagonalizeTraits& )
 {
   // types
   typedef typename K::FT       FT;
@@ -164,7 +164,7 @@ linear_least_squares_fitting_2(InputIter
   // compute centroid
   c = centroid(first,beyond,K(),tag);
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0 1
   //   2
@@ -172,9 +172,9 @@ linear_least_squares_fitting_2(InputIter
   FT mass = 0.0;
   typename DiagonalizeTraits::Covariance_matrix covariance = {{ 0., 0., 0. }};
 
-  // assemble 2nd order moment about the origin.  
+  // assemble 2nd order moment about the origin.
   FT temp[4] = {1.0, 0.0,
-		0.0, 1.0};
+                0.0, 1.0};
   Matrix moment = init_matrix<FT>(2,temp);
 
   for(InputIterator it = first;
@@ -188,17 +188,17 @@ linear_least_squares_fitting_2(InputIter
     // defined for convenience.
     // FT example = CGAL::to_double(t[0].x());
     FT radius = std::sqrt(t.squared_radius());
-    FT delta[4] = {radius, 0.0, 
-		   0.0, radius};
+    FT delta[4] = {radius, 0.0,
+                   0.0, radius};
     Matrix transformation = init_matrix<FT>(2,delta);
     FT length = 2 * radius;
     CGAL_assertion(length != 0.0);
 
     // Find the 2nd order moment for the circle wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = 0.5 * length * transformation * moment * LA::transpose(transformation);
-    
+
     // Translate the 2nd order moment to the center of the circle.
     FT x0 = t.center().x();
     FT y0 = t.center().y();
@@ -218,28 +218,28 @@ linear_least_squares_fitting_2(InputIter
   covariance[2] += mass * (-1.0 * c.y() * c.y());
 
   // solve for eigenvalues and eigenvectors.
-  // eigen values are sorted in ascending order, 
+  // eigen values are sorted in ascending order,
   // eigen vectors are sorted in accordance.
   typename DiagonalizeTraits::Vector eigen_values = {{ 0. , 0. }};
   typename DiagonalizeTraits::Matrix eigen_vectors = {{ 0., 0., 0. }};
   DiagonalizeTraits::diagonalize_selfadjoint_covariance_matrix
     (covariance, eigen_values, eigen_vectors);
-  
+
   // check unicity and build fitting line accordingly
   if(eigen_values[1] != eigen_values[0])
   {
     // regular case
     line = Line(c, Vector(eigen_vectors[2],eigen_vectors[3]));
     return (FT)1.0 - eigen_values[0] / eigen_values[1];
-  } 
+  }
   else
   {
     // isotropic case (infinite number of directions)
-    // by default: assemble a line that goes through 
+    // by default: assemble a line that goes through
     // the centroid and with a default horizontal vector.
     line = Line(c, Vector(1.0, 0.0));
     return (FT)0.0;
-  } 
+  }
 } // end linear_least_squares_fitting_2 for circle set with 1D tag
 
 } // end namespace internal
diff -pruN 5.0.2-3/include/CGAL/linear_least_squares_fitting_cuboids_3.h 5.0.3-1/include/CGAL/linear_least_squares_fitting_cuboids_3.h
--- 5.0.2-3/include/CGAL/linear_least_squares_fitting_cuboids_3.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/linear_least_squares_fitting_cuboids_3.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_cuboids_3.h $
-// $Id: linear_least_squares_fitting_cuboids_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_cuboids_3.h $
+// $Id: linear_least_squares_fitting_cuboids_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Sylvain Pion and Ankit Gupta
@@ -29,24 +29,24 @@ namespace CGAL {
 namespace internal {
 
 // fits a plane to a 3D cuboid set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Plane_3& plane,   // best fit plane
                                typename K::Point_3& c,       // centroid
                                const typename K::Iso_cuboid_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<3>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<3>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Iso_cuboid_3 Iso_cuboid;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   // compute centroid
   c = centroid(first,beyond,k,tag);
 
@@ -61,24 +61,24 @@ linear_least_squares_fitting_3(InputIter
 } // end linear_least_squares_fitting_cuboids_3
 
 // fits a plane to a 3D cuboid set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Plane_3& plane,   // best fit plane
                                typename K::Point_3& c,       // centroid
                                const typename K::Iso_cuboid_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<2>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<2>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Iso_cuboid_3 Iso_cuboid;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   // compute centroid
   c = centroid(first,beyond,k,tag);
 
@@ -93,25 +93,25 @@ linear_least_squares_fitting_3(InputIter
 } // end linear_least_squares_fitting_cuboids_3
 
 // fits a plane to a 3D cuboid set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Plane_3& plane,   // best fit plane
                                typename K::Point_3& c,       // centroid
                                const typename K::Iso_cuboid_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<1>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<1>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Segment_3 Segment;
   typedef typename K::Iso_cuboid_3 Iso_cuboid;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   std::list<Segment> segments;
   for(InputIterator it = first;
       it != beyond;
@@ -120,7 +120,7 @@ linear_least_squares_fitting_3(InputIter
     const Iso_cuboid& t = *it;
     segments.push_back(Segment(t[0],t[1]));
     segments.push_back(Segment(t[1],t[2]));
-    segments.push_back(Segment(t[2],t[3]));    
+    segments.push_back(Segment(t[2],t[3]));
     segments.push_back(Segment(t[3],t[0]));
     segments.push_back(Segment(t[4],t[5]));
     segments.push_back(Segment(t[5],t[6]));
@@ -134,30 +134,30 @@ linear_least_squares_fitting_3(InputIter
 
   // compute fitting plane
   return linear_least_squares_fitting_3(segments.begin(),segments.end(),plane,c,(Segment*)nullptr,k,tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_cuboids_3
 
 // fits a plane to a 3D cuboid set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Plane_3& plane,   // best fit plane
                                typename K::Point_3& c,       // centroid
                                const typename K::Iso_cuboid_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<0>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<0>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Point_3 Point;
   typedef typename K::Iso_cuboid_3 Iso_cuboid;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   std::list<Point> points;
   for(InputIterator it = first;
       it != beyond;
@@ -166,77 +166,77 @@ linear_least_squares_fitting_3(InputIter
     const Iso_cuboid& t = *it;
     points.push_back(t[0]);
     points.push_back(t[1]);
-    points.push_back(t[2]);    
+    points.push_back(t[2]);
     points.push_back(t[3]);
     points.push_back(t[4]);
     points.push_back(t[5]);
-    points.push_back(t[6]);    
+    points.push_back(t[6]);
     points.push_back(t[7]);
   }
 
   // compute fitting plane
   return linear_least_squares_fitting_3(points.begin(),points.end(),plane,c,(Point*)nullptr,k,tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_cuboids_3
 
 // fits a line to a 3D cuboid set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_3& line,     // best fit line
                                typename K::Point_3& c,       // centroid
                                const typename K::Iso_cuboid_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<3>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<3>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Iso_cuboid_3 Iso_cuboid;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   // compute centroid
   c = centroid(first,beyond,k,tag);
 
   // assemble covariance matrix
   typename DiagonalizeTraits::Covariance_matrix covariance = {{ 0., 0., 0., 0., 0., 0. }};
   assemble_covariance_matrix_3(first,beyond,covariance,c,k,(Iso_cuboid*) nullptr,tag,diagonalize_traits);
-  
+
   // compute fitting line
   return fitting_line_3(covariance,c,line,k,diagonalize_traits);
-  
+
 } // end linear_least_squares_fitting_cuboids_3
 
 // fits a line to a 3D cuboid set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_3& line,   // best fit line
                                typename K::Point_3& c,       // centroid
                                const typename K::Iso_cuboid_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<2>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<2>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Iso_cuboid_3 Iso_cuboid;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   // compute centroid
   c = centroid(first,beyond,k,tag);
 
   // assemble covariance matrix
   typename DiagonalizeTraits::Covariance_matrix covariance = {{ 0., 0., 0., 0., 0., 0. }};
   assemble_covariance_matrix_3(first,beyond,covariance,c,k,(Iso_cuboid*) nullptr,tag, diagonalize_traits);
-  
+
   // compute fitting line
   return fitting_line_3(covariance,c,line,k,diagonalize_traits);
 
@@ -244,25 +244,25 @@ linear_least_squares_fitting_3(InputIter
 } // end linear_least_squares_fitting_cuboids_3
 
 // fits a line to a 3D cuboid set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_3& line,   // best fit line
                                typename K::Point_3& c,       // centroid
                                const typename K::Iso_cuboid_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<1>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<1>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Segment_3 Segment;
   typedef typename K::Iso_cuboid_3 Iso_cuboid;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   std::list<Segment> segments;
   for(InputIterator it = first;
       it != beyond;
@@ -271,7 +271,7 @@ linear_least_squares_fitting_3(InputIter
     const Iso_cuboid& t = *it;
     segments.push_back(Segment(t[0],t[1]));
     segments.push_back(Segment(t[1],t[2]));
-    segments.push_back(Segment(t[2],t[3]));    
+    segments.push_back(Segment(t[2],t[3]));
     segments.push_back(Segment(t[3],t[0]));
     segments.push_back(Segment(t[4],t[5]));
     segments.push_back(Segment(t[5],t[6]));
@@ -285,30 +285,30 @@ linear_least_squares_fitting_3(InputIter
 
   // compute fitting line
   return linear_least_squares_fitting_3(segments.begin(),segments.end(),line,c,(Segment*)nullptr,k,tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_cuboids_3
 
 // fits a line to a 3D cuboid set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_3& line,   // best fit line
                                typename K::Point_3& c,       // centroid
                                const typename K::Iso_cuboid_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<0>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<0>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Point_3 Point;
   typedef typename K::Iso_cuboid_3 Iso_cuboid;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   std::list<Point> points;
   for(InputIterator it = first;
       it != beyond;
@@ -317,17 +317,17 @@ linear_least_squares_fitting_3(InputIter
     const Iso_cuboid& t = *it;
     points.push_back(t[0]);
     points.push_back(t[1]);
-    points.push_back(t[2]);    
+    points.push_back(t[2]);
     points.push_back(t[3]);
     points.push_back(t[4]);
     points.push_back(t[5]);
-    points.push_back(t[6]);    
+    points.push_back(t[6]);
     points.push_back(t[7]);
   }
 
   // compute fitting line
   return linear_least_squares_fitting_3(points.begin(),points.end(),line,c,(Point*)nullptr,k,tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_cuboids_3
 
diff -pruN 5.0.2-3/include/CGAL/linear_least_squares_fitting_points_2.h 5.0.3-1/include/CGAL/linear_least_squares_fitting_points_2.h
--- 5.0.2-3/include/CGAL/linear_least_squares_fitting_points_2.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/linear_least_squares_fitting_points_2.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_points_2.h $
-// $Id: linear_least_squares_fitting_points_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_points_2.h $
+// $Id: linear_least_squares_fitting_points_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Sylvain Pion and Ankit Gupta
@@ -29,18 +29,18 @@ namespace internal {
 //  1 is best  (zero variance orthogonally to the fitting line);
 //  0 is worst (isotropic case, returns a line with horizontal
 //              direction by default).
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits>
+           typename DiagonalizeTraits>
 typename K::FT
 linear_least_squares_fitting_2(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_2& line,   // best fit line
                                typename K::Point_2& c,     // centroid
                                const typename K::Point_2*,// used for indirection
                                const K&,                   // kernel
-			       const CGAL::Dimension_tag<0>& tag,
-			       const DiagonalizeTraits&)
+                               const CGAL::Dimension_tag<0>& tag,
+                               const DiagonalizeTraits&)
 {
   // types
   typedef typename K::FT       FT;
@@ -48,7 +48,7 @@ linear_least_squares_fitting_2(InputIter
   typedef typename K::Point_2  Point;
   typedef typename K::Vector_2 Vector;
 
-	// if internally double, declare a kernel
+        // if internally double, declare a kernel
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
@@ -56,7 +56,7 @@ linear_least_squares_fitting_2(InputIter
   // compute centroid
   c = centroid(first,beyond,K(),tag);
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0 1
   //   2
@@ -75,7 +75,7 @@ linear_least_squares_fitting_2(InputIter
   }
 
   // solve for eigenvalues and eigenvectors.
-  // eigen values are sorted in ascending order, 
+  // eigen values are sorted in ascending order,
   // eigen vectors are sorted in accordance.
   typename DiagonalizeTraits::Vector eigen_values = {{ 0. , 0. }};
   typename DiagonalizeTraits::Matrix eigen_vectors = {{ 0., 0., 0. }};
@@ -88,15 +88,15 @@ linear_least_squares_fitting_2(InputIter
     // regular case
     line = Line(c, Vector (eigen_vectors[2], eigen_vectors[3]));
     return (FT)1.0 - eigen_values[0] / eigen_values[1];
-  } 
+  }
   else
   {
     // isotropic case (infinite number of directions)
-    // by default: assemble a line that goes through 
+    // by default: assemble a line that goes through
     // the centroid and with a default horizontal vector.
     line = Line(c, Vector(FT(1), FT(0)));
     return (FT)0.0;
-  } 
+  }
 } // end linear_least_squares_fitting_2 for point set
 
 } // end namespace internal
diff -pruN 5.0.2-3/include/CGAL/linear_least_squares_fitting_points_3.h 5.0.3-1/include/CGAL/linear_least_squares_fitting_points_3.h
--- 5.0.2-3/include/CGAL/linear_least_squares_fitting_points_3.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/linear_least_squares_fitting_points_3.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_points_3.h $
-// $Id: linear_least_squares_fitting_points_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_points_3.h $
+// $Id: linear_least_squares_fitting_points_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Sylvain Pion and Ankit Gupta
@@ -28,18 +28,18 @@ namespace internal {
 // returns a fitting quality (1 - lambda_min/lambda_max):
 //  1 is best (zero variance orthogonally to the fitting line)
 //  0 is worst (isotropic case, returns a plane with default direction)
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Plane_3& plane, // best fit plane
                                typename K::Point_3& c,     // centroid
                                const typename K::Point_3*, // used for indirection
                                const K& k,                 // kernel
-			       const CGAL::Dimension_tag<0>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<0>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Point_3  Point;
 
@@ -61,18 +61,18 @@ linear_least_squares_fitting_3(InputIter
 // returns a fitting quality (1 - lambda_min/lambda_max):
 //  1 is best (zero variance orthogonally to the fitting line)
 //  0 is worst (isotropic case, returns a line along x axis)
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_3& line,  // best fit line
                                typename K::Point_3& c,    // centroid
                                const typename K::Point_3*, // used for indirection
                                const K& k,                // kernel
-			       const CGAL::Dimension_tag<0>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<0>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Point_3  Point;
 
diff -pruN 5.0.2-3/include/CGAL/linear_least_squares_fitting_rectangles_2.h 5.0.3-1/include/CGAL/linear_least_squares_fitting_rectangles_2.h
--- 5.0.2-3/include/CGAL/linear_least_squares_fitting_rectangles_2.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/linear_least_squares_fitting_rectangles_2.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_rectangles_2.h $
-// $Id: linear_least_squares_fitting_rectangles_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_rectangles_2.h $
+// $Id: linear_least_squares_fitting_rectangles_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Sylvain Pion and Ankit Gupta
@@ -36,13 +36,13 @@ namespace internal {
 template < typename InputIterator, typename K, typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_2(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_2& line,   // best fit line
                                typename K::Point_2& c,     // centroid
                                const typename K::Iso_rectangle_2*,// used for indirection
                                const K&,                   // kernel
-			       const CGAL::Dimension_tag<2>& tag,
-			       const DiagonalizeTraits&)
+                               const CGAL::Dimension_tag<2>& tag,
+                               const DiagonalizeTraits&)
 {
   // types
   typedef typename K::FT       FT;
@@ -58,7 +58,7 @@ linear_least_squares_fitting_2(InputIter
   // compute centroid
   c = centroid(first,beyond,K(),tag);
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0
   // 1 2
@@ -66,9 +66,9 @@ linear_least_squares_fitting_2(InputIter
   FT mass = 0.0;
   typename DiagonalizeTraits::Covariance_matrix covariance = {{ 0., 0., 0. }};
 
-  // assemble 2nd order moment about the origin.  
+  // assemble 2nd order moment about the origin.
   FT temp[4] = {1/3.0, 0.25,
-		0.25,  1/3.0};
+                0.25,  1/3.0};
   Matrix moment = init_matrix<FT>(2,temp);
 
   for(InputIterator it = first;
@@ -86,8 +86,8 @@ linear_least_squares_fitting_2(InputIter
     FT x1 = t.xmax();
     FT y2 = t.ymax();
 
-    FT delta[4] = {x1-x0, 0.0, 
-		   0.0, y2-y0};
+    FT delta[4] = {x1-x0, 0.0,
+                   0.0, y2-y0};
 
     Matrix transformation = init_matrix<FT>(2,delta);
     FT area = (x1-x0)*(y2-y0);
@@ -95,10 +95,10 @@ linear_least_squares_fitting_2(InputIter
     CGAL_assertion(area != 0.0);
 
     // Find the 2nd order moment for the rectangle wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = area * transformation * moment * LA::transpose(transformation);
-    
+
     // Translate the 2nd order moment to the center of the rectangle.
     FT xav0 = (x1-x0)/2.0;
     FT yav0 = (y2-y0)/2.0;
@@ -117,7 +117,7 @@ linear_least_squares_fitting_2(InputIter
   covariance[2] += mass * (-1.0 * c.y() * c.y());
 
   // solve for eigenvalues and eigenvectors.
-  // eigen values are sorted in ascending order, 
+  // eigen values are sorted in ascending order,
   // eigen vectors are sorted in accordance.
   typename DiagonalizeTraits::Vector eigen_values = {{ 0. , 0. }};
   typename DiagonalizeTraits::Matrix eigen_vectors = {{ 0., 0., 0. }};
@@ -130,27 +130,27 @@ linear_least_squares_fitting_2(InputIter
     // regular case
     line = Line(c, Vector(eigen_vectors[2],eigen_vectors[3]));
     return (FT)1.0 - eigen_values[0] / eigen_values[1];
-  } 
+  }
   else
   {
     // isotropic case (infinite number of directions)
-    // by default: assemble a line that goes through 
+    // by default: assemble a line that goes through
     // the centroid and with a default horizontal vector.
     line = Line(c, Vector(1.0, 0.0));
     return (FT)0.0;
-  } 
+  }
 } // end linear_least_squares_fitting_2 for rectangle set with 2D tag
 
 template < typename InputIterator, typename K, typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_2(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_2& line,   // best fit line
                                typename K::Point_2& c,     // centroid
                                const typename K::Iso_rectangle_2*,// used for indirection
                                const K&,                   // kernel
-			       const CGAL::Dimension_tag<1>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<1>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   // types
   typedef typename K::Iso_rectangle_2 Iso_rectangle;
@@ -167,28 +167,28 @@ linear_least_squares_fitting_2(InputIter
     const Iso_rectangle& t = *it;
     segments.push_back(Segment_2(t[0],t[1]));
     segments.push_back(Segment_2(t[1],t[2]));
-    segments.push_back(Segment_2(t[2],t[3]));      
-    segments.push_back(Segment_2(t[3],t[0]));      
-  }    
+    segments.push_back(Segment_2(t[2],t[3]));
+    segments.push_back(Segment_2(t[3],t[0]));
+  }
 
   return linear_least_squares_fitting_2(segments.begin(),segments.end(),line,c,K(),tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_2 for rectangle set with 1D tag
 
 
 template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_2(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_2& line,   // best fit line
                                typename K::Point_2& c,     // centroid
                                const typename K::Iso_rectangle_2*,// used for indirection
                                const K&,                   // kernel
-			       const CGAL::Dimension_tag<0>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<0>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   // types
   typedef typename K::Iso_rectangle_2 Iso_rectangle;
@@ -205,12 +205,12 @@ linear_least_squares_fitting_2(InputIter
     const Iso_rectangle& t = *it;
     points.push_back(Point_2(t[0]));
     points.push_back(Point_2(t[1]));
-    points.push_back(Point_2(t[2]));      
-    points.push_back(Point_2(t[3]));      
-  }    
+    points.push_back(Point_2(t[2]));
+    points.push_back(Point_2(t[3]));
+  }
 
   return linear_least_squares_fitting_2(points.begin(),points.end(),line,c,K(),tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_2 for rectangle set with 0D tag
 
diff -pruN 5.0.2-3/include/CGAL/linear_least_squares_fitting_segments_2.h 5.0.3-1/include/CGAL/linear_least_squares_fitting_segments_2.h
--- 5.0.2-3/include/CGAL/linear_least_squares_fitting_segments_2.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/linear_least_squares_fitting_segments_2.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_segments_2.h $
-// $Id: linear_least_squares_fitting_segments_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_segments_2.h $
+// $Id: linear_least_squares_fitting_segments_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Sylvain Pion and Ankit Gupta
@@ -36,13 +36,13 @@ namespace internal {
 template < typename InputIterator, typename K, typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_2(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_2& line,   // best fit line
                                typename K::Point_2& c,     // centroid
                                const typename K::Segment_2*,// used for indirection
                                const K&,                   // kernel
-			       const CGAL::Dimension_tag<1>& tag,
-			       const DiagonalizeTraits&)
+                               const CGAL::Dimension_tag<1>& tag,
+                               const DiagonalizeTraits&)
 {
   // types
   typedef typename K::FT       FT;
@@ -57,7 +57,7 @@ linear_least_squares_fitting_2(InputIter
 
   // compute centroid
   c = centroid(first,beyond,K(),tag);
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0
   // 1 2
@@ -65,7 +65,7 @@ linear_least_squares_fitting_2(InputIter
   FT mass = 0.0;
   typename DiagonalizeTraits::Covariance_matrix covariance = {{ 0., 0., 0. }};
 
-  // assemble 2nd order moment about the origin.  
+  // assemble 2nd order moment about the origin.
   FT temp[4] = {1.0, 0.5, 0.5, 1.0};
   Matrix moment = (1.0/3.0) * init_matrix<FT>(2,temp);
 
@@ -79,17 +79,18 @@ linear_least_squares_fitting_2(InputIter
 
     // defined for convenience.
     // FT example = CGAL::to_double(t[0].x());
-    FT delta[4] = {t[0].x(), t[1].x(), 
-		   t[0].y(), t[1].y()};
+    FT delta[4] = {t[0].x(), t[1].x(),
+                   t[0].y(), t[1].y()};
     Matrix transformation = init_matrix<FT>(2,delta);
-    FT length = std::sqrt(t.squared_length());
+    using std::sqrt;
+    FT length = sqrt(t.squared_length());
     CGAL_assertion(length != 0.0);
 
     // Find the 2nd order moment for the segment wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = length * transformation * moment * LA::transpose(transformation);
-    
+
     // add to covariance matrix
     covariance[0] += transformation[0][0];
     covariance[1] += transformation[0][1];
@@ -105,7 +106,7 @@ linear_least_squares_fitting_2(InputIter
   covariance[2] += mass * (-1.0 * c.y() * c.y());
 
   // solve for eigenvalues and eigenvectors.
-  // eigen values are sorted in ascending order, 
+  // eigen values are sorted in ascending order,
   // eigen vectors are sorted in accordance.
   typename DiagonalizeTraits::Vector eigen_values = {{ 0. , 0. }};
   typename DiagonalizeTraits::Matrix eigen_vectors = {{ 0., 0., 0. }};
@@ -118,36 +119,36 @@ linear_least_squares_fitting_2(InputIter
     // regular case
     line = Line(c, Vector(eigen_vectors[2],eigen_vectors[3]));
     return (FT)1.0 - eigen_values[0] / eigen_values[1];
-  } 
+  }
   else
   {
     // isotropic case (infinite number of directions)
-    // by default: assemble a line that goes through 
+    // by default: assemble a line that goes through
     // the centroid and with a default horizontal vector.
     line = Line(c, Vector(1.0, 0.0));
     return (FT)0.0;
-  } 
+  }
 } // end linear_least_squares_fitting_2 for segment set with 1D tag
 
 template < typename InputIterator, typename K, typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_2(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_2& line,   // best fit line
                                typename K::Point_2& c,     // centroid
                                const typename K::Segment_2*,// used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<0>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<0>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   // types
   typedef typename K::Point_2  Point;
   typedef typename K::Segment_2 Segment;
- 
+
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
 
-  std::list<Point> points;  
+  std::list<Point> points;
   for(InputIterator it = first;
       it != beyond;
       it++)
@@ -155,9 +156,9 @@ linear_least_squares_fitting_2(InputIter
     const Segment& s = *it;
     points.push_back(s[0]);
     points.push_back(s[1]);
-  } 
+  }
   return linear_least_squares_fitting_2(points.begin(),points.end(),line,c,k,(Point*)nullptr,tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_2 for segment set with 1D tag
 
diff -pruN 5.0.2-3/include/CGAL/linear_least_squares_fitting_segments_3.h 5.0.3-1/include/CGAL/linear_least_squares_fitting_segments_3.h
--- 5.0.2-3/include/CGAL/linear_least_squares_fitting_segments_3.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/linear_least_squares_fitting_segments_3.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_segments_3.h $
-// $Id: linear_least_squares_fitting_segments_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_segments_3.h $
+// $Id: linear_least_squares_fitting_segments_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Sylvain Pion and Ankit Gupta
@@ -28,24 +28,24 @@ namespace CGAL {
 namespace internal {
 
 // fits a plane to a 3D segment set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Plane_3& plane,   // best fit plane
                                typename K::Point_3& c,       // centroid
                                const typename K::Segment_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<1>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<1>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Segment_3  Segment;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   // compute centroid
   c = centroid(first,beyond,k,tag);
 
@@ -59,25 +59,25 @@ linear_least_squares_fitting_3(InputIter
 } // end linear_least_squares_fitting_segments_3
 
 // fits a plane to a 3D segment set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Plane_3& plane,   // best fit plane
                                typename K::Point_3& c,       // centroid
                                const typename K::Segment_3*, // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<0>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<0>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Segment_3  Segment;
   typedef typename K::Point_3  Point;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   std::list<Point> points;
   for(InputIterator it = first;
       it != beyond;
@@ -90,29 +90,29 @@ linear_least_squares_fitting_3(InputIter
 
   // compute fitting plane
   return linear_least_squares_fitting_3(points.begin(),points.end(),plane,c,(Point*)nullptr,k,tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_segments_3
 
 // fits a line to a 3D segment set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_3& line,      // best fit line
                                typename K::Point_3& c,        // centroid
                                const typename K::Segment_3*,  // used for indirection
                                const K& k,                    // kernel
-			       const CGAL::Dimension_tag<1>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<1>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Segment_3  Segment;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   // compute centroid
   c = centroid(first,beyond,k,tag);
 
@@ -122,29 +122,29 @@ linear_least_squares_fitting_3(InputIter
 
   // compute fitting line
   return fitting_line_3(covariance,c,line,k,diagonalize_traits);
-  
+
 } // end linear_least_squares_fitting_segments_3
 
 // fits a plane to a 3D segment set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_3& line,      // best fit line
                                typename K::Point_3& c,        // centroid
                                const typename K::Segment_3*,  // used for indirection
                                const K& k,                    // kernel
-			       const CGAL::Dimension_tag<0>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<0>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Segment_3  Segment;
   typedef typename K::Point_3  Point;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   std::list<Point> points;
   for(InputIterator it = first;
       it != beyond;
@@ -157,7 +157,7 @@ linear_least_squares_fitting_3(InputIter
 
   // compute fitting plane
   return linear_least_squares_fitting_3(points.begin(),points.end(),line,c,(Point*)nullptr,k,tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_segments_3
 
diff -pruN 5.0.2-3/include/CGAL/linear_least_squares_fitting_spheres_3.h 5.0.3-1/include/CGAL/linear_least_squares_fitting_spheres_3.h
--- 5.0.2-3/include/CGAL/linear_least_squares_fitting_spheres_3.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/linear_least_squares_fitting_spheres_3.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_spheres_3.h $
-// $Id: linear_least_squares_fitting_spheres_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_spheres_3.h $
+// $Id: linear_least_squares_fitting_spheres_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Sylvain Pion and Ankit Gupta
@@ -26,62 +26,62 @@ namespace CGAL {
 namespace internal {
 
 // fits a plane to a set of 3D balls (3D)
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Plane_3& plane,   // best fit plane
                                typename K::Point_3& c,       // centroid
                                const typename K::Sphere_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<3>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<3>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Sphere_3    Sphere;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   // compute centroid
   c = centroid(first,beyond,K(),tag);
 
   // assemble covariance matrix
   typename DiagonalizeTraits::Covariance_matrix covariance = {{ 0., 0., 0., 0., 0., 0. }};
   assemble_covariance_matrix_3(first,beyond,covariance,c,k,(Sphere*) nullptr,tag, diagonalize_traits);
-  
+
   // compute fitting plane
   return fitting_plane_3(covariance,c,plane,k,diagonalize_traits);
 
 } // end linear_least_squares_fitting_spheres_3
 
 // fits a plane to a 3D sphere set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Plane_3& plane,   // best fit plane
                                typename K::Point_3& c,       // centroid
                                const typename K::Sphere_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<2>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<2>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Sphere_3    Sphere;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   // compute centroid
   c = centroid(first,beyond,K(),tag);
 
   // assemble covariance matrix
   typename DiagonalizeTraits::Covariance_matrix covariance = {{ 0., 0., 0., 0., 0., 0. }};
   assemble_covariance_matrix_3(first,beyond,covariance,c,k,(Sphere*) nullptr,tag, diagonalize_traits);
-  
+
   // compute fitting plane
   return fitting_plane_3(covariance,c,plane,k,diagonalize_traits);
 
@@ -89,27 +89,27 @@ linear_least_squares_fitting_3(InputIter
 
 
 // fits a line to a 3D ball set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_3& line,     // best fit line
                                typename K::Point_3& c,       // centroid
                                const typename K::Sphere_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<3>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<3>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Sphere_3  Sphere;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   // compute centroid
   c = centroid(first,beyond,K(),tag);
-  
+
   // assemble covariance matrix
   typename DiagonalizeTraits::Covariance_matrix covariance = {{ 0., 0., 0., 0., 0., 0. }};
   assemble_covariance_matrix_3(first,beyond,covariance,c,k,(Sphere*) nullptr,tag, diagonalize_traits);
@@ -117,22 +117,22 @@ linear_least_squares_fitting_3(InputIter
 
   // compute fitting line
   return fitting_line_3(covariance,c,line,k,diagonalize_traits);
-  
+
 } // end linear_least_squares_fitting_spheres_3
 
 // fits a line to a 3D sphere set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_3& line,     // best fit line
                                typename K::Point_3& c,       // centroid
                                const typename K::Sphere_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<2>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<2>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Sphere_3  Sphere;
 
@@ -141,7 +141,7 @@ linear_least_squares_fitting_3(InputIter
 
   // compute centroid
   c = centroid(first,beyond,K(),tag);
-  
+
   // assemble covariance matrix
   typename DiagonalizeTraits::Covariance_matrix covariance = {{ 0., 0., 0., 0., 0., 0. }};
   assemble_covariance_matrix_3(first,beyond,covariance,c,k,(Sphere*) nullptr,tag, diagonalize_traits);
diff -pruN 5.0.2-3/include/CGAL/linear_least_squares_fitting_tetrahedra_3.h 5.0.3-1/include/CGAL/linear_least_squares_fitting_tetrahedra_3.h
--- 5.0.2-3/include/CGAL/linear_least_squares_fitting_tetrahedra_3.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/linear_least_squares_fitting_tetrahedra_3.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_tetrahedra_3.h $
-// $Id: linear_least_squares_fitting_tetrahedra_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_tetrahedra_3.h $
+// $Id: linear_least_squares_fitting_tetrahedra_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Sylvain Pion and Ankit Gupta
@@ -30,48 +30,48 @@ namespace CGAL {
 namespace internal {
 
 // fits a plane to a 3D tetrahedron set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Plane_3& plane,   // best fit plane
                                typename K::Point_3& c,       // centroid
                                const typename K::Tetrahedron_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<3>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<3>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Tetrahedron_3    Tetrahedron;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   // compute centroid
   c = centroid(first,beyond,K(),tag);
 
   // assemble covariance matrix
   typename DiagonalizeTraits::Covariance_matrix covariance = {{ 0., 0., 0., 0., 0., 0. }};
   assemble_covariance_matrix_3(first,beyond,covariance,c,k,(Tetrahedron*) nullptr,tag, diagonalize_traits);
-  
+
   // compute fitting plane
   return fitting_plane_3(covariance,c,plane,k,diagonalize_traits);
 } // end linear_least_squares_fitting_tetrahedrons_3
 
 // fits a plane to a 3D tetrahedron set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Plane_3& plane,   // best fit plane
                                typename K::Point_3& c,       // centroid
                                const typename K::Tetrahedron_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<2>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<2>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Tetrahedron_3    Tetrahedron;
   typedef typename K::Triangle_3 Triangle;
@@ -87,29 +87,29 @@ linear_least_squares_fitting_3(InputIter
     const Tetrahedron& t = *it;
     triangles.push_back(Triangle(t[0],t[1],t[2]));
     triangles.push_back(Triangle(t[0],t[2],t[3]));
-    triangles.push_back(Triangle(t[0],t[3],t[1])); 
+    triangles.push_back(Triangle(t[0],t[3],t[1]));
     triangles.push_back(Triangle(t[3],t[1],t[2]));
  }
 
   // compute fitting plane
   return linear_least_squares_fitting_3(triangles.begin(),triangles.end(),plane,c,(Triangle*)nullptr,k,tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_tetrahedrons_3
 
 // fits a plane to a 3D tetrahedron set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Plane_3& plane,   // best fit plane
                                typename K::Point_3& c,       // centroid
                                const typename K::Tetrahedron_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<1>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<1>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Tetrahedron_3    Tetrahedron;
   typedef typename K::Segment_3 Segment;
@@ -127,30 +127,30 @@ linear_least_squares_fitting_3(InputIter
     segments.push_back(Segment(t[0],t[1]));
     segments.push_back(Segment(t[1],t[2]));
     segments.push_back(Segment(t[1],t[3]));
-    segments.push_back(Segment(t[2],t[3])); 
+    segments.push_back(Segment(t[2],t[3]));
     segments.push_back(Segment(t[0],t[2]));
     segments.push_back(Segment(t[0],t[3]));
  }
 
   // compute fitting plane
   return linear_least_squares_fitting_3(segments.begin(),segments.end(),plane,c,(Segment*)nullptr,k,tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_tetrahedrons_3
 
 // fits a plane to a 3D tetrahedron set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Plane_3& plane,   // best fit plane
                                typename K::Point_3& c,       // centroid
                                const typename K::Tetrahedron_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<0>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<0>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Tetrahedron_3    Tetrahedron;
   typedef typename K::Point_3 Point;
@@ -166,60 +166,60 @@ linear_least_squares_fitting_3(InputIter
     const Tetrahedron& t = *it;
     points.push_back(t[0]);
     points.push_back(t[1]);
-    points.push_back(t[2]); 
+    points.push_back(t[2]);
     points.push_back(t[3]);
  }
 
   // compute fitting plane
   return linear_least_squares_fitting_3(points.begin(),points.end(),plane,c,(Point*)nullptr,k,tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_tetrahedrons_3
 
 // fits a line to a 3D tetrahedron set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_3& line,     // best fit line
                                typename K::Point_3& c,       // centroid
                                const typename K::Tetrahedron_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<3>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<3>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Tetrahedron_3    Tetrahedron;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   // compute centroid
   c = centroid(first,beyond,K(),tag);
 
   // assemble covariance matrix
   typename DiagonalizeTraits::Covariance_matrix covariance = {{ 0., 0., 0., 0., 0., 0. }};
   assemble_covariance_matrix_3(first,beyond,covariance,c,k,(Tetrahedron*) nullptr,tag, diagonalize_traits);
-    
+
   // compute fitting line
   return fitting_line_3(covariance,c,line,k,diagonalize_traits);
-  
+
 } // end linear_least_squares_fitting_tetrahedrons_3
 
 // fits a line to a 3D tetrahedron set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_3& line,   // best fit line
                                typename K::Point_3& c,       // centroid
                                const typename K::Tetrahedron_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<2>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<2>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Tetrahedron_3    Tetrahedron;
   typedef typename K::Triangle_3 Triangle;
@@ -235,29 +235,29 @@ linear_least_squares_fitting_3(InputIter
     const Tetrahedron& t = *it;
     triangles.push_back(Triangle(t[0],t[1],t[2]));
     triangles.push_back(Triangle(t[0],t[2],t[3]));
-    triangles.push_back(Triangle(t[0],t[3],t[1])); 
+    triangles.push_back(Triangle(t[0],t[3],t[1]));
     triangles.push_back(Triangle(t[3],t[1],t[2]));
  }
 
   // compute fitting line
   return linear_least_squares_fitting_3(triangles.begin(),triangles.end(),line,c,(Triangle*)nullptr,k,tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_tetrahedrons_3
 
 // fits a line to a 3D tetrahedron set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_3& line,   // best fit line
                                typename K::Point_3& c,       // centroid
                                const typename K::Tetrahedron_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<1>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<1>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Tetrahedron_3    Tetrahedron;
   typedef typename K::Segment_3 Segment;
@@ -274,30 +274,30 @@ linear_least_squares_fitting_3(InputIter
     segments.push_back(Segment(t[0],t[1]));
     segments.push_back(Segment(t[1],t[2]));
     segments.push_back(Segment(t[1],t[3]));
-    segments.push_back(Segment(t[2],t[3])); 
+    segments.push_back(Segment(t[2],t[3]));
     segments.push_back(Segment(t[0],t[2]));
     segments.push_back(Segment(t[0],t[3]));
  }
 
   // compute fitting line
   return linear_least_squares_fitting_3(segments.begin(),segments.end(),line,c,(Segment*)nullptr,k,tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_tetrahedrons_3
 
 // fits a line to a 3D tetrahedron set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_3& line,   // best fit line
                                typename K::Point_3& c,       // centroid
                                const typename K::Tetrahedron_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<0>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<0>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Tetrahedron_3    Tetrahedron;
   typedef typename K::Point_3 Point;
@@ -313,13 +313,13 @@ linear_least_squares_fitting_3(InputIter
     const Tetrahedron& t = *it;
     points.push_back(t[0]);
     points.push_back(t[1]);
-    points.push_back(t[2]); 
+    points.push_back(t[2]);
     points.push_back(t[3]);
  }
 
   // compute fitting line
   return linear_least_squares_fitting_3(points.begin(),points.end(),line,c,(Point*)nullptr,k,tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_tetrahedra_3
 
diff -pruN 5.0.2-3/include/CGAL/linear_least_squares_fitting_triangles_2.h 5.0.3-1/include/CGAL/linear_least_squares_fitting_triangles_2.h
--- 5.0.2-3/include/CGAL/linear_least_squares_fitting_triangles_2.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/linear_least_squares_fitting_triangles_2.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_triangles_2.h $
-// $Id: linear_least_squares_fitting_triangles_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_triangles_2.h $
+// $Id: linear_least_squares_fitting_triangles_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Sylvain Pion and Ankit Gupta
@@ -37,13 +37,13 @@ template < typename InputIterator,
            typename Kernel, typename DiagonalizeTraits >
 typename Kernel::FT
 linear_least_squares_fitting_2(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename Kernel::Line_2& line,   // best fit line
                                typename Kernel::Point_2& c,     // centroid
                                const typename Kernel::Triangle_2*,// used for indirection
                                const Kernel&,                   // kernel
-			       const CGAL::Dimension_tag<2>& tag,
-			       const DiagonalizeTraits&)
+                               const CGAL::Dimension_tag<2>& tag,
+                               const DiagonalizeTraits&)
 {
   // types
   typedef typename Kernel::FT       FT;
@@ -59,7 +59,7 @@ linear_least_squares_fitting_2(InputIter
   // compute centroid
   c = centroid(first,beyond,Kernel(),tag);
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0
   // 1 2
@@ -67,9 +67,9 @@ linear_least_squares_fitting_2(InputIter
   FT mass = 0.0;
   typename DiagonalizeTraits::Covariance_matrix covariance = {{ 0., 0., 0. }};
 
-  // assemble the 2nd order moment about the origin.  
+  // assemble the 2nd order moment about the origin.
   FT temp[4] = {1/12.0, 1/24.0,
-		1/24.0, 1/12.0};
+                1/24.0, 1/12.0};
 
   Matrix moment = init_matrix<FT>(2,temp);
 
@@ -85,21 +85,21 @@ linear_least_squares_fitting_2(InputIter
     FT x0 = t[0].x();
     FT y0 = t[0].y();
     FT delta[4] = {t[1].x() - x0, t[2].x() - x0,
-		   t[1].y() - y0, t[2].y() - y0};
+                   t[1].y() - y0, t[2].y() - y0};
 
     Matrix transformation = init_matrix<FT>(2,delta);
     FT area = 0.5 * std::abs(LA::determinant(transformation));
     CGAL_assertion(area!=0);
 
     // Find the 2nd order moment for the triangle wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = 2 * area * transformation * moment * LA::transpose(transformation);
-    
+
     // Translate the 2nd order moment to (x0,y0).
     FT xav0 = (delta[0]+delta[1])/3.0;
     FT yav0 = (delta[2]+delta[3])/3.0;
-    
+
     // and add to the covariance matrix
     covariance[0] += transformation[0][0] + area * (x0*xav0*2 + x0*x0);
     covariance[1] += transformation[0][1] + area * (x0*yav0 + xav0*y0 + x0*y0);
@@ -107,8 +107,8 @@ linear_least_squares_fitting_2(InputIter
 
     mass += area;
   }
-  
-  // Translate the 2nd order moment calculated about the origin to 
+
+  // Translate the 2nd order moment calculated about the origin to
   // the center of mass to get the covariance.
   covariance[0] += mass * (-1.0 * c.x() * c.x());
   covariance[1] += mass * (-1.0 * c.x() * c.y());
@@ -117,7 +117,7 @@ linear_least_squares_fitting_2(InputIter
   //  std::cout<<"cov: "<<covariance[0]*covariance[2]<<" =? "<<covariance[1]*covariance[1]<<std::endl;
 
   // solve for eigenvalues and eigenvectors.
-  // eigen values are sorted in ascending order, 
+  // eigen values are sorted in ascending order,
   // eigen vectors are sorted in accordance.
   typename DiagonalizeTraits::Vector eigen_values = {{ 0. , 0. }};
   typename DiagonalizeTraits::Matrix eigen_vectors = {{ 0., 0., 0. }};
@@ -130,29 +130,29 @@ linear_least_squares_fitting_2(InputIter
     // regular case
     line = Line(c, Vector(eigen_vectors[2],eigen_vectors[3]));
     return (FT)1.0 - eigen_values[0] / eigen_values[1];
-  } 
+  }
   else
   {
     // isotropic case (infinite number of directions)
-    // by default: assemble a line that goes through 
+    // by default: assemble a line that goes through
     // the centroid and with a default horizontal vector.
     line = Line(c, Vector(1.0, 0.0));
     return (FT)0.0;
-  } 
+  }
 } // end linear_least_squares_fitting_2 for triangle set with 2D tag
 
 template < typename InputIterator,
            typename Kernel,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename Kernel::FT
 linear_least_squares_fitting_2(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename Kernel::Line_2& line,   // best fit line
                                typename Kernel::Point_2& c,     // centroid
                                const typename Kernel::Triangle_2*,// used for indirection
                                const Kernel&,                   // kernel
-			       const CGAL::Dimension_tag<1>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<1>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   // types
   typedef typename Kernel::Triangle_2 Triangle;
@@ -160,8 +160,8 @@ linear_least_squares_fitting_2(InputIter
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
-  std::list<Segment> segments;  
+
+  std::list<Segment> segments;
   for(InputIterator it = first;
       it != beyond;
       it++)
@@ -169,26 +169,26 @@ linear_least_squares_fitting_2(InputIter
     const Triangle& t = *it;
     segments.push_back(Segment(t[0],t[1]));
     segments.push_back(Segment(t[1],t[2]));
-    segments.push_back(Segment(t[2],t[0]));      
-  }    
-  
+    segments.push_back(Segment(t[2],t[0]));
+  }
+
   return linear_least_squares_fitting_2(segments.begin(),segments.end(),line,c,tag,Kernel(),
-					diagonalize_traits);
-  
+                                        diagonalize_traits);
+
 } // end linear_least_squares_fitting_2 for triangle set with 1D tag
 
 template < typename InputIterator,
            typename Kernel,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename Kernel::FT
 linear_least_squares_fitting_2(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename Kernel::Line_2& line,   // best fit line
                                typename Kernel::Point_2& c,     // centroid
                                const typename Kernel::Triangle_2*,// used for indirection
                                const Kernel&,                   // kernel
-			       const CGAL::Dimension_tag<0>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<0>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   // types
 
@@ -197,8 +197,8 @@ linear_least_squares_fitting_2(InputIter
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
-  std::list<Point> points;  
+
+  std::list<Point> points;
   for(InputIterator it = first;
       it != beyond;
       it++)
@@ -206,12 +206,12 @@ linear_least_squares_fitting_2(InputIter
     const Triangle& t = *it;
     points.push_back(Point(t[0]));
     points.push_back(Point(t[1]));
-    points.push_back(Point(t[2]));      
-  }    
-  
+    points.push_back(Point(t[2]));
+  }
+
   return linear_least_squares_fitting_2(points.begin(),points.end(),line,c,tag,Kernel(),
-					diagonalize_traits);
-  
+                                        diagonalize_traits);
+
 } // end linear_least_squares_fitting_2 for triangle set with 0D tag
 
 } // end namespace internal
diff -pruN 5.0.2-3/include/CGAL/linear_least_squares_fitting_triangles_3.h 5.0.3-1/include/CGAL/linear_least_squares_fitting_triangles_3.h
--- 5.0.2-3/include/CGAL/linear_least_squares_fitting_triangles_3.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/linear_least_squares_fitting_triangles_3.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_triangles_3.h $
-// $Id: linear_least_squares_fitting_triangles_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis/include/CGAL/linear_least_squares_fitting_triangles_3.h $
+// $Id: linear_least_squares_fitting_triangles_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Sylvain Pion and Ankit Gupta
@@ -27,56 +27,56 @@ namespace CGAL {
 namespace internal {
 
 // fits a plane to a 3D triangle set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Plane_3& plane,   // best fit plane
                                typename K::Point_3& c,       // centroid
                                const typename K::Triangle_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<2>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<2>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Triangle_3  Triangle;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   // compute centroid
   c = centroid(first,beyond,K(),tag);
 
   // assemble covariance matrix
   typename DiagonalizeTraits::Covariance_matrix covariance = {{ 0., 0., 0., 0., 0., 0. }};
   assemble_covariance_matrix_3(first,beyond,covariance,c,k,(Triangle*) nullptr,tag, diagonalize_traits);
-  
+
   // compute fitting plane
   return fitting_plane_3(covariance,c,plane,k,diagonalize_traits);
 
 } // end linear_least_squares_fitting_triangles_3
 
 // fits a plane to a 3D triangle set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Plane_3& plane,   // best fit plane
                                typename K::Point_3& c,       // centroid
                                const typename K::Triangle_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<1>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<1>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Triangle_3  Triangle;
   typedef typename K::Segment_3  Segment;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   std::list<Segment> segments;
   for(InputIterator it = first;
       it != beyond;
@@ -85,28 +85,28 @@ linear_least_squares_fitting_3(InputIter
     const Triangle& t = *it;
     segments.push_back(Segment(t[0],t[1]));
     segments.push_back(Segment(t[1],t[2]));
-    segments.push_back(Segment(t[2],t[0]));    
+    segments.push_back(Segment(t[2],t[0]));
   }
 
   // compute fitting plane
   return linear_least_squares_fitting_3(segments.begin(),segments.end(),plane,c,(Segment*)nullptr,k,tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_triangles_3
 
 // fits a plane to a 3D triangle set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Plane_3& plane,   // best fit plane
                                typename K::Point_3& c,       // centroid
                                const typename K::Triangle_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<0>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<0>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Triangle_3  Triangle;
   typedef typename K::Point_3  Point;
@@ -121,34 +121,34 @@ linear_least_squares_fitting_3(InputIter
     const Triangle& t = *it;
     points.push_back(t[0]);
     points.push_back(t[1]);
-    points.push_back(t[2]);    
+    points.push_back(t[2]);
   }
 
   // compute fitting plane
   return linear_least_squares_fitting_3(points.begin(),points.end(),plane,c,(Point*)nullptr,k,tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_triangles_3
 
 // fits a line to a 3D triangle set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_3& line,     // best fit line
                                typename K::Point_3& c,       // centroid
                                const typename K::Triangle_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<2>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<2>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Triangle_3  Triangle;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   // compute centroid
   c = centroid(first,beyond,K(),tag);
 
@@ -158,29 +158,29 @@ linear_least_squares_fitting_3(InputIter
 
   // compute fitting line
   return fitting_line_3(covariance,c,line,k,diagonalize_traits);
-  
+
 } // end linear_least_squares_fitting_triangles_3
 
 // fits a line to a 3D triangle set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_3& line,   // best fit line
                                typename K::Point_3& c,       // centroid
                                const typename K::Triangle_3*,  // used for indirection
                                const K& k,                   // kernel
-			       const CGAL::Dimension_tag<1>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const CGAL::Dimension_tag<1>& tag,
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Triangle_3  Triangle;
   typedef typename K::Segment_3  Segment;
 
   // precondition: at least one element in the container.
   CGAL_precondition(first != beyond);
-  
+
   std::list<Segment> segments;
   for(InputIterator it = first;
       it != beyond;
@@ -189,28 +189,28 @@ linear_least_squares_fitting_3(InputIter
     const Triangle& t = *it;
     segments.push_back(Segment(t[0],t[1]));
     segments.push_back(Segment(t[1],t[2]));
-    segments.push_back(Segment(t[2],t[0]));    
+    segments.push_back(Segment(t[2],t[0]));
   }
 
   // compute fitting line
   return linear_least_squares_fitting_3(segments.begin(),segments.end(),line,c,(Segment*)nullptr,k,tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_triangles_3
 
 // fits a line to a 3D triangle set
-template < typename InputIterator, 
+template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 typename K::FT
 linear_least_squares_fitting_3(InputIterator first,
-                               InputIterator beyond, 
+                               InputIterator beyond,
                                typename K::Line_3& line,   // best fit line
                                typename K::Point_3& c,       // centroid
                                const typename K::Triangle_3*,  // used for indirection
                                const K& k,                   // kernel
                                const CGAL::Dimension_tag<0>& tag,
-			       const DiagonalizeTraits& diagonalize_traits)
+                               const DiagonalizeTraits& diagonalize_traits)
 {
   typedef typename K::Triangle_3  Triangle;
   typedef typename K::Point_3  Point;
@@ -225,12 +225,12 @@ linear_least_squares_fitting_3(InputIter
     const Triangle& t = *it;
     points.push_back(t[0]);
     points.push_back(t[1]);
-    points.push_back(t[2]);    
+    points.push_back(t[2]);
   }
 
   // compute fitting line
   return linear_least_squares_fitting_3(points.begin(),points.end(),line,c,(Point*)nullptr,k,tag,
-					diagonalize_traits);
+                                        diagonalize_traits);
 
 } // end linear_least_squares_fitting_triangles_3
 
diff -pruN 5.0.2-3/include/CGAL/link_to_face_graph.h 5.0.3-1/include/CGAL/link_to_face_graph.h
--- 5.0.2-3/include/CGAL/link_to_face_graph.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/link_to_face_graph.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/link_to_face_graph.h $
-// $Id: link_to_face_graph.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/link_to_face_graph.h $
+// $Id: link_to_face_graph.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 //
@@ -30,7 +30,7 @@ template<class Triangulation_3,class FG>
 typename boost::graph_traits<FG>::vertex_descriptor
 link_to_face_graph(const Triangulation_3& t,
                    typename Triangulation_3::Vertex_handle vh,
-                   FG& fg, 
+                   FG& fg,
                    bool no_infinite_faces = true)
 {
   typedef typename Triangulation_3::Cell_handle Cell_handle;
@@ -59,7 +59,7 @@ link_to_face_graph(const Triangulation_3
       if(no_infinite_faces && t.is_infinite(vhj)){
         infinite_face = true;
       } else {
-        std::pair<typename Vertex_map::iterator,bool> res 
+        std::pair<typename Vertex_map::iterator,bool> res
           = vertex_map.insert(std::make_pair(vhj,nullvertex));
         if(res.second){
           res.first->second = add_vertex(fg);
diff -pruN 5.0.2-3/include/CGAL/lloyd_optimize_mesh_2.h 5.0.3-1/include/CGAL/lloyd_optimize_mesh_2.h
--- 5.0.2-3/include/CGAL/lloyd_optimize_mesh_2.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/lloyd_optimize_mesh_2.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/lloyd_optimize_mesh_2.h $
-// $Id: lloyd_optimize_mesh_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/lloyd_optimize_mesh_2.h $
+// $Id: lloyd_optimize_mesh_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s) : Jane Tournois
 //
 
@@ -76,7 +76,7 @@ namespace CGAL
   * to avoid compilation errors when seeds_begin and seeds_end are
   * not initialized. Indeed, there is no way to have a
   * "default empty iterator" for these named parameters.
-  * Emptyset_iterator implements OutputIterator, 
+  * Emptyset_iterator implements OutputIterator,
   * but stands here for "any empty input iterator"
   * (and any other type could).
   */
diff -pruN 5.0.2-3/include/CGAL/lloyd_optimize_mesh_3.h 5.0.3-1/include/CGAL/lloyd_optimize_mesh_3.h
--- 5.0.2-3/include/CGAL/lloyd_optimize_mesh_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/lloyd_optimize_mesh_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/lloyd_optimize_mesh_3.h $
-// $Id: lloyd_optimize_mesh_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/lloyd_optimize_mesh_3.h $
+// $Id: lloyd_optimize_mesh_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -60,15 +60,15 @@ BOOST_PARAMETER_FUNCTION(
                                     time_limit_, max_iteration_number_,
                                     convergence_, freeze_bound_
                                     , do_freeze_);
-} 
+}
 CGAL_PRAGMA_DIAG_POP
 
 #if defined(BOOST_MSVC)
 #  pragma warning(pop)
 #endif
-  
-  
-template <typename C3T3, typename MeshDomain> 
+
+
+template <typename C3T3, typename MeshDomain>
 Mesh_optimization_return_code
 lloyd_optimize_mesh_3_impl(C3T3& c3t3,
                            const MeshDomain& domain,
@@ -82,32 +82,32 @@ lloyd_optimize_mesh_3_impl(C3T3& c3t3,
     !Mesh_3::internal::has_non_protecting_weights(c3t3.triangulation(), domain));
 
   typedef typename C3T3::Triangulation  Tr;
-  
+
   typedef Mesh_3::Mesh_sizing_field<Tr>               Sizing;
   typedef typename Mesh_3::Lloyd_move<C3T3,Sizing>    Move;
-  
+
   typedef typename
     Mesh_3::Mesh_global_optimizer<C3T3,MeshDomain,Move> Lloyd_optimizer;
-  
+
   // Create optimizer
   Lloyd_optimizer opt (c3t3,
                        domain,
                        freeze_bound,
                        do_freeze,
                        convergence);
-  
+
   // Set max time
   opt.set_time_limit(time_limit);
-  
+
   // 1000 iteration max to avoid infinite loops
   if ( 0 == max_iteration_number )
     max_iteration_number = 1000;
-  
+
   // Launch optimization
   return opt(static_cast<int>(max_iteration_number));
 }
-  
-  
+
+
 }  // end namespace CGAL
 
 #include <CGAL/enable_warnings.h>
diff -pruN 5.0.2-3/include/CGAL/Location_policy.h 5.0.3-1/include/CGAL/Location_policy.h
--- 5.0.2-3/include/CGAL/Location_policy.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Location_policy.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Location_policy.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Location_policy.h $
 // $Id: Location_policy.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/long_double.h 5.0.3-1/include/CGAL/long_double.h
--- 5.0.2-3/include/CGAL/long_double.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/long_double.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2005,2007  
+// Copyright (c) 2005,2007
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/long_double.h $
-// $Id: long_double.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/long_double.h $
+// $Id: long_double.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/long_long.h 5.0.3-1/include/CGAL/long_long.h
--- 5.0.2-3/include/CGAL/long_long.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/long_long.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999,2001,2007  
+// Copyright (c) 1999,2001,2007
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/long_long.h $
-// $Id: long_long.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/long_long.h $
+// $Id: long_long.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -103,7 +103,7 @@ template <> class Real_embeddable_traits
       : public CGAL::cpp98::unary_function< Type, std::pair< double, double > > {
       public:
         std::pair<double, double> operator()( const Type& x ) const {
-	  return (Interval_nt<>((double)x)+Interval_nt<>::smallest()).pair();
+          return (Interval_nt<>((double)x)+Interval_nt<>::smallest()).pair();
         }
     };
 };
@@ -117,7 +117,7 @@ template <> class Real_embeddable_traits
       : public CGAL::cpp98::unary_function< Type, std::pair< double, double > > {
       public:
         std::pair<double, double> operator()( const Type& x ) const {
-	  return (Interval_nt<>((double)x)+Interval_nt<>::smallest()).pair();
+          return (Interval_nt<>((double)x)+Interval_nt<>::smallest()).pair();
         }
     };
 };
diff -pruN 5.0.2-3/include/CGAL/make_mesh_3.h 5.0.3-1/include/CGAL/make_mesh_3.h
--- 5.0.2-3/include/CGAL/make_mesh_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/make_mesh_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/make_mesh_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/make_mesh_3.h $
 // $Id: make_mesh_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/make_periodic_3_mesh_3.h 5.0.3-1/include/CGAL/make_periodic_3_mesh_3.h
--- 5.0.2-3/include/CGAL/make_periodic_3_mesh_3.h	2020-02-21 20:03:52.000000000 +0000
+++ 5.0.3-1/include/CGAL/make_periodic_3_mesh_3.h	2020-08-01 19:02:38.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_mesh_3/include/CGAL/make_periodic_3_mesh_3.h $
-// $Id: make_periodic_3_mesh_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_mesh_3/include/CGAL/make_periodic_3_mesh_3.h $
+// $Id: make_periodic_3_mesh_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Stéphane Tayeb,
@@ -182,7 +182,7 @@ C3T3 make_periodic_3_mesh_3(const MD& md
 #  pragma warning(push)
 #  pragma warning(disable:4003) // not enough actual parameters for macro
 #endif
-  
+
 // see <CGAL/config.h>
 CGAL_PRAGMA_DIAG_PUSH
 // see <CGAL/boost/parameter.h>
diff -pruN 5.0.2-3/include/CGAL/make_piecewise_smooth_surface_mesh.h 5.0.3-1/include/CGAL/make_piecewise_smooth_surface_mesh.h
--- 5.0.2-3/include/CGAL/make_piecewise_smooth_surface_mesh.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/make_piecewise_smooth_surface_mesh.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/make_piecewise_smooth_surface_mesh.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/make_piecewise_smooth_surface_mesh.h $
 // $Id: make_piecewise_smooth_surface_mesh.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/make_skin_surface_mesh_3.h 5.0.3-1/include/CGAL/make_skin_surface_mesh_3.h
--- 5.0.2-3/include/CGAL/make_skin_surface_mesh_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/make_skin_surface_mesh_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/make_skin_surface_mesh_3.h $
-// $Id: make_skin_surface_mesh_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/make_skin_surface_mesh_3.h $
+// $Id: make_skin_surface_mesh_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Nico Kruithof <Nico@cs.rug.nl>
 
@@ -26,8 +26,8 @@
 namespace CGAL {
 
 template <class WP_iterator,
-	  class Polyhedron_3>
-void make_skin_surface_mesh_3(Polyhedron_3 &p, 
+          class Polyhedron_3>
+void make_skin_surface_mesh_3(Polyhedron_3 &p,
                               WP_iterator begin, WP_iterator end,
                               double shrink_factor=.5,
                               int nSubdivisions=0,
@@ -39,10 +39,10 @@ void make_skin_surface_mesh_3(Polyhedron
 
   typedef typename WP_iterator::value_type               Weighted_point;
   typedef typename Kernel_traits<Weighted_point>::Kernel K;
-  
+
   typedef Skin_surface_traits_3<K>                       Traits;
   typedef Skin_surface_3<Traits>                         Skin_surface;
-  
+
   Skin_surface skin_surface(begin, end, shrink_factor, grow_balls);
 
   mesh_skin_surface_3(skin_surface, p);
diff -pruN 5.0.2-3/include/CGAL/make_surface_mesh.h 5.0.3-1/include/CGAL/make_surface_mesh.h
--- 5.0.2-3/include/CGAL/make_surface_mesh.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/make_surface_mesh.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/make_surface_mesh.h $
-// $Id: make_surface_mesh.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/make_surface_mesh.h $
+// $Id: make_surface_mesh.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Rineau
@@ -36,9 +36,9 @@
 
 namespace CGAL {
 template <typename C2T3,
-	  typename Surface,
-	  typename Criteria,
-	  typename Tag>
+          typename Surface,
+          typename Criteria,
+          typename Tag>
 void make_surface_mesh(C2T3& c2t3,
                        const Surface& surface,
                        const Criteria& criteria,
@@ -49,16 +49,16 @@ void make_surface_mesh(C2T3& c2t3,
   typedef typename Surface_mesh_traits_generator_3<Surface>::type Traits;
 
   make_surface_mesh(c2t3, surface, Traits(), criteria, tag,
-                    initial_number_of_points);  
+                    initial_number_of_points);
 }
 
 template <typename C2T3,
-	  typename SurfaceMeshTraits_3,
+          typename SurfaceMeshTraits_3,
           typename Criteria,
           typename Tag>
 void make_surface_mesh(C2T3& c2t3,
                        const typename SurfaceMeshTraits_3::Surface_3& surface,
-		       const SurfaceMeshTraits_3& surface_mesh_traits,
+                       const SurfaceMeshTraits_3& surface_mesh_traits,
                        const Criteria& criteria,
                        Tag,
                        int initial_number_of_points = 20)
@@ -99,39 +99,39 @@ void make_surface_mesh(C2T3& c2t3,
 
 /** For surfaces with curve edges. Implicit SurfaceMeshTraits_3. */
 template <typename C2T3,
-	  typename Surface,
-	  typename FacetsCriteria,
-	  typename EdgesCriteria,
-	  typename Tag>
+          typename Surface,
+          typename FacetsCriteria,
+          typename EdgesCriteria,
+          typename Tag>
 void make_piecewise_smooth_surface_mesh(C2T3& c2t3,
-					const Surface& surface,
-					const FacetsCriteria& facets_criteria,
-					const EdgesCriteria& edges_criteria,
-					Tag tag,
-					int initial_number_of_points = 20)
+                                        const Surface& surface,
+                                        const FacetsCriteria& facets_criteria,
+                                        const EdgesCriteria& edges_criteria,
+                                        Tag tag,
+                                        int initial_number_of_points = 20)
 {
   typedef typename Surface_mesh_traits_generator_3<Surface>::type Traits;
 
-  make_piecewise_smooth_surface_mesh(c2t3, surface, Traits(), 
-				     facets_criteria, edges_criteria,
-				     tag,
-				     initial_number_of_points);  
+  make_piecewise_smooth_surface_mesh(c2t3, surface, Traits(),
+                                     facets_criteria, edges_criteria,
+                                     tag,
+                                     initial_number_of_points);
 }
 
 /** For surfaces with curve edges. Explicit SurfaceMeshTraits_3. */
 template <typename C2T3,
-	  typename SurfaceMeshTraits_3,
-	  typename FacetsCriteria,
-	  typename EdgesCriteria,
+          typename SurfaceMeshTraits_3,
+          typename FacetsCriteria,
+          typename EdgesCriteria,
           typename Tag>
-void 
+void
 make_piecewise_smooth_surface_mesh(C2T3& c2t3,
-				   const typename SurfaceMeshTraits_3::Surface_3& surface,
-				   const SurfaceMeshTraits_3& surface_mesh_traits,
-				   const FacetsCriteria& facets_criteria,
-				   const EdgesCriteria& edges_criteria,
-				   Tag,
-				   int initial_number_of_points = 20)
+                                   const typename SurfaceMeshTraits_3::Surface_3& surface,
+                                   const SurfaceMeshTraits_3& surface_mesh_traits,
+                                   const FacetsCriteria& facets_criteria,
+                                   const EdgesCriteria& edges_criteria,
+                                   Tag,
+                                   int initial_number_of_points = 20)
 {
   typedef typename Make_surface_mesh_helper<
     C2T3,
@@ -174,9 +174,9 @@ make_piecewise_smooth_surface_mesh(C2T3&
   typename SurfaceMeshTraits_3::Construct_initial_points get_initial_points =
     surface_mesh_traits.construct_initial_points_object();
 
-  typedef Surface_mesher::Visitor<typename C2T3::Triangulation, 
+  typedef Surface_mesher::Visitor<typename C2T3::Triangulation,
     Facets_level, Null_mesh_visitor> Edges_level_visitor;
-  typedef Surface_mesher::Edges_level_visitor<typename C2T3::Triangulation, 
+  typedef Surface_mesher::Edges_level_visitor<typename C2T3::Triangulation,
     Edges_level, Edges_level_visitor> Facets_and_edges_visitor;
 
   get_initial_points(surface,
@@ -184,7 +184,7 @@ make_piecewise_smooth_surface_mesh(C2T3&
                      initial_number_of_points);
   Edges_level edges_level(c2t3, surface, surface_mesh_traits, edges_criteria);
   Facets_level facets_level(c2t3, surface, surface_mesh_traits, facets_criteria,
-			    edges_level);
+                            edges_level);
 
   Null_mesh_visitor null_mesh_visitor;
   Edges_level_visitor edges_level_visitor(&facets_level, &null_mesh_visitor);
diff -pruN 5.0.2-3/include/CGAL/make_union_of_balls_3.h 5.0.3-1/include/CGAL/make_union_of_balls_3.h
--- 5.0.2-3/include/CGAL/make_union_of_balls_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/make_union_of_balls_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/make_union_of_balls_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/make_union_of_balls_3.h $
 // $Id: make_union_of_balls_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Manhattan_distance_iso_box_point.h 5.0.3-1/include/CGAL/Manhattan_distance_iso_box_point.h
--- 5.0.2-3/include/CGAL/Manhattan_distance_iso_box_point.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Manhattan_distance_iso_box_point.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Manhattan_distance_iso_box_point.h $
-// $Id: Manhattan_distance_iso_box_point.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Manhattan_distance_iso_box_point.h $
+// $Id: Manhattan_distance_iso_box_point.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Hans Tangelder (<hanst@cs.uu.nl>)
 
@@ -35,78 +35,78 @@ namespace CGAL {
     typedef Iso_box_d                  Query_item;
     typedef typename internal::Get_dimension_tag<SearchTraits>::Dimension Dimension;
     typedef typename CGAL::cpp11::result_of<typename SearchTraits::Construct_max_vertex_d(Query_item)>::type Max_vertex;
-    
+
     Manhattan_distance_iso_box_point(const SearchTraits& traits_=SearchTraits()):traits(traits_) {}
-      
-    
+
+
     // obsolete as we no longer store dimension Manhattan_distance_iso_box_point(const int d) : the_dimension(d) {}
 
     inline FT transformed_distance(const Query_item& q, const Point_d& p) const {
-		FT distance = FT(0);
-		typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=
+                FT distance = FT(0);
+                typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=
                   traits.construct_cartesian_const_iterator_d_object();
-		typename SearchTraits::Construct_min_vertex_d construct_min_vertex;
-		typename SearchTraits::Construct_max_vertex_d construct_max_vertex;
+                typename SearchTraits::Construct_min_vertex_d construct_min_vertex;
+                typename SearchTraits::Construct_max_vertex_d construct_max_vertex;
                 Max_vertex maxv = construct_max_vertex(q);
                 typename SearchTraits::Cartesian_const_iterator_d qmaxit = construct_it(maxv),
-		  qe = construct_it(maxv,1), qminit = construct_it(construct_min_vertex(q)),
-		  pit = construct_it(p);
-		for (; qmaxit != qe; ++pit,++qmaxit,++qminit) {
-			if ((*pit)>(*qmaxit)) distance += 
-			(*pit)-(*qmaxit); 
-			else if ((*pit)<(*qminit)) distance += 
-			(*qminit)-(*pit);	
-		}
-        	return distance;
+                  qe = construct_it(maxv,1), qminit = construct_it(construct_min_vertex(q)),
+                  pit = construct_it(p);
+                for (; qmaxit != qe; ++pit,++qmaxit,++qminit) {
+                        if ((*pit)>(*qmaxit)) distance +=
+                        (*pit)-(*qmaxit);
+                        else if ((*pit)<(*qminit)) distance +=
+                        (*qminit)-(*pit);
+                }
+                return distance;
     }
 
 
     inline FT min_distance_to_rectangle(const Query_item& q,
-					      const Kd_tree_rectangle<FT,Dimension>& r) const {
-		FT distance = FT(0);
-		typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=
+                                              const Kd_tree_rectangle<FT,Dimension>& r) const {
+                FT distance = FT(0);
+                typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=
                   traits.construct_cartesian_const_iterator_d_object();
-		typename SearchTraits::Construct_min_vertex_d construct_min_vertex;
-		typename SearchTraits::Construct_max_vertex_d construct_max_vertex;
+                typename SearchTraits::Construct_min_vertex_d construct_min_vertex;
+                typename SearchTraits::Construct_max_vertex_d construct_max_vertex;
                 Max_vertex maxv = construct_max_vertex(q);
                 typename SearchTraits::Cartesian_const_iterator_d qmaxit = construct_it(maxv),
-		  qe = construct_it(maxv,1), qminit = construct_it(construct_min_vertex(q));
-		for (unsigned int i = 0; qmaxit != qe; ++ qmaxit, ++qminit, ++i)  {
-			if (r.min_coord(i)>(*qmaxit)) 
-			  distance +=(r.min_coord(i)-(*qmaxit)); 
-			if (r.max_coord(i)<(*qminit)) 
-			  distance += ((*qminit)-r.max_coord(i));
-	        }
-		return distance;
-	}
+                  qe = construct_it(maxv,1), qminit = construct_it(construct_min_vertex(q));
+                for (unsigned int i = 0; qmaxit != qe; ++ qmaxit, ++qminit, ++i)  {
+                        if (r.min_coord(i)>(*qmaxit))
+                          distance +=(r.min_coord(i)-(*qmaxit));
+                        if (r.max_coord(i)<(*qminit))
+                          distance += ((*qminit)-r.max_coord(i));
+                }
+                return distance;
+        }
 
      inline FT min_distance_to_rectangle(const Query_item& q,
-					      const Kd_tree_rectangle<FT,Dimension>& r,std::vector<FT>& dists) const {
-		FT distance = FT(0);
-		typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=
+                                              const Kd_tree_rectangle<FT,Dimension>& r,std::vector<FT>& dists) const {
+                FT distance = FT(0);
+                typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=
                   traits.construct_cartesian_const_iterator_d_object();
-		typename SearchTraits::Construct_min_vertex_d construct_min_vertex;
-		typename SearchTraits::Construct_max_vertex_d construct_max_vertex;
+                typename SearchTraits::Construct_min_vertex_d construct_min_vertex;
+                typename SearchTraits::Construct_max_vertex_d construct_max_vertex;
                 Max_vertex maxv = construct_max_vertex(q);
                 typename SearchTraits::Cartesian_const_iterator_d qmaxit = construct_it(maxv),
-		  qe = construct_it(maxv,1), qminit = construct_it(construct_min_vertex(q));
-		for (unsigned int i = 0; qmaxit != qe; ++ qmaxit, ++qminit, ++i)  {
-			if (r.min_coord(i)>(*qmaxit)) {
-                          dists[i]=(r.min_coord(i)-(*qmaxit)); 
-			  distance +=dists[i];
+                  qe = construct_it(maxv,1), qminit = construct_it(construct_min_vertex(q));
+                for (unsigned int i = 0; qmaxit != qe; ++ qmaxit, ++qminit, ++i)  {
+                        if (r.min_coord(i)>(*qmaxit)) {
+                          dists[i]=(r.min_coord(i)-(*qmaxit));
+                          distance +=dists[i];
                         }
-			if (r.max_coord(i)<(*qminit)) {
+                        if (r.max_coord(i)<(*qminit)) {
                           dists[i]=((*qminit)-r.max_coord(i));
-			  distance += dists[i];
+                          distance += dists[i];
                         }
-	        }
-		return distance;
-	}
+                }
+                return distance;
+        }
 
-    inline 
-    FT 
+    inline
+    FT
     max_distance_to_rectangle(const Query_item& q,
-			      const Kd_tree_rectangle<FT,Dimension>& r) const {
+                              const Kd_tree_rectangle<FT,Dimension>& r) const {
       FT distance=FT(0);
       typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=
         traits.construct_cartesian_const_iterator_d_object();
@@ -114,20 +114,20 @@ namespace CGAL {
       typename SearchTraits::Construct_max_vertex_d construct_max_vertex;
       Max_vertex maxv = construct_max_vertex(q);
       typename SearchTraits::Cartesian_const_iterator_d qmaxit = construct_it(maxv),
-	qe = construct_it(maxv,1), qminit = construct_it(construct_min_vertex(q));
+        qe = construct_it(maxv,1), qminit = construct_it(construct_min_vertex(q));
       for (unsigned int i = 0; qmaxit != qe; ++ qmaxit, ++qminit, ++i)  {
-	if ( r.max_coord(i)-(*qminit) >(*qmaxit)-r.min_coord(i) )  
-	  distance += (r.max_coord(i)-(*qminit));
-	else 
-	  distance += ((*qmaxit)-r.min_coord(i));
+        if ( r.max_coord(i)-(*qminit) >(*qmaxit)-r.min_coord(i) )
+          distance += (r.max_coord(i)-(*qminit));
+        else
+          distance += ((*qmaxit)-r.min_coord(i));
       }
       return distance;
     }
 
-     inline 
-    FT 
+     inline
+    FT
     max_distance_to_rectangle(const Query_item& q,
-			      const Kd_tree_rectangle<FT,Dimension>& r,std::vector<FT>& dists) const {
+                              const Kd_tree_rectangle<FT,Dimension>& r,std::vector<FT>& dists) const {
       FT distance=FT(0);
       typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=
         traits.construct_cartesian_const_iterator_d_object();
@@ -135,29 +135,29 @@ namespace CGAL {
       typename SearchTraits::Construct_max_vertex_d construct_max_vertex;
       Max_vertex maxv = construct_max_vertex(q);
       typename SearchTraits::Cartesian_const_iterator_d qmaxit = construct_it(maxv),
-	qe = construct_it(maxv,1), qminit = construct_it(construct_min_vertex(q));
+        qe = construct_it(maxv,1), qminit = construct_it(construct_min_vertex(q));
       for (unsigned int i = 0; qmaxit != qe; ++ qmaxit, ++qminit, ++i)  {
-	if ( r.max_coord(i)-(*qminit) >(*qmaxit)-r.min_coord(i) )  {
+        if ( r.max_coord(i)-(*qminit) >(*qmaxit)-r.min_coord(i) )  {
           dists[i]=(r.max_coord(i)-(*qminit));
-	  distance += dists[i];
+          distance += dists[i];
         }
-	else {
+        else {
           dists[i]=((*qmaxit)-r.min_coord(i));
-	  distance += dists[i];
+          distance += dists[i];
         }
       }
       return distance;
     }
-	
-  inline 
-  FT 
+
+  inline
+  FT
   transformed_distance(FT d) const
   {
     return d;
   }
 
-  inline 
-  FT 
+  inline
+  FT
   inverse_of_transformed_distance(FT d) const
   {
     return d;
diff -pruN 5.0.2-3/include/CGAL/marching_tetrahedra_3.h 5.0.3-1/include/CGAL/marching_tetrahedra_3.h
--- 5.0.2-3/include/CGAL/marching_tetrahedra_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/marching_tetrahedra_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/marching_tetrahedra_3.h $
-// $Id: marching_tetrahedra_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/marching_tetrahedra_3.h $
+// $Id: marching_tetrahedra_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Nico Kruithof <Nico@cs.rug.nl>
 
@@ -21,15 +21,15 @@
 #include <CGAL/Cartesian_converter.h>
 #include <CGAL/Marching_tetrahedra_observer_default_3.h>
 
-namespace CGAL { 
+namespace CGAL {
 
 // If TriangulationDataStructure_3 only gets a Cell_handle range
 // it is not possible to derive the Vertex_handle type.
 template <class Vertex_iterator,
-	  class Cell_iterator,
-	  class HalfedgeDS_3,
-	  class MarchingTetrahedraTraits_3,
-	  class MarchingTetrahedraObserver_3 >
+          class Cell_iterator,
+          class HalfedgeDS_3,
+          class MarchingTetrahedraTraits_3,
+          class MarchingTetrahedraObserver_3 >
 class Marching_tetrahedra_builder : public Modifier_base<HalfedgeDS_3> {
 public:
   typedef HalfedgeDS_3                          HDS;
@@ -61,13 +61,13 @@ private:
 
   typedef Polyhedron_incremental_builder_3<HDS>         Polyh_incr_builder;
 public:
-  
+
   Marching_tetrahedra_builder(
     T_Vertex_iterator vertices_begin,
     T_Vertex_iterator vertices_end,
     T_Cell_iterator cells_begin,
     T_Cell_iterator cells_end,
-    const Traits &traits, 
+    const Traits &traits,
     Observer &observer)
     : vertices_begin(vertices_begin),
       vertices_end(vertices_end),
@@ -107,23 +107,23 @@ public:
       // Construct triangles:
       CGAL_assertion(!B.error());
       if (nIn==1) {
-	process_cell(B, cellV, (sortedV[0]%2)==1, cit);
-	CGAL_assertion(!B.error());
+        process_cell(B, cellV, (sortedV[0]%2)==1, cit);
+        CGAL_assertion(!B.error());
       } else if (nIn==2) {
-	bool change_orientation =
-	  (((sortedV[0] == 0) && (sortedV[1]==1)) || 
-	    ((sortedV[0] == 0) && (sortedV[1]==3)) || 
-	    ((sortedV[0] == 1) && (sortedV[1]==2)) || 
-	    ((sortedV[0] == 2) && (sortedV[1]==3)));
-	
-	process_cell(B, cellV, !change_orientation, cit);
- 	process_cell(B, cellV+1, change_orientation, cit);
-	CGAL_assertion(!B.error());
+        bool change_orientation =
+          (((sortedV[0] == 0) && (sortedV[1]==1)) ||
+            ((sortedV[0] == 0) && (sortedV[1]==3)) ||
+            ((sortedV[0] == 1) && (sortedV[1]==2)) ||
+            ((sortedV[0] == 2) && (sortedV[1]==3)));
+
+        process_cell(B, cellV, !change_orientation, cit);
+         process_cell(B, cellV+1, change_orientation, cit);
+        CGAL_assertion(!B.error());
       } else if (nIn==3) {
-	process_cell(B, cellV, (sortedV[3]%2) == 1, cit);
-	CGAL_assertion(!B.error());
+        process_cell(B, cellV, (sortedV[3]%2) == 1, cit);
+        CGAL_assertion(!B.error());
       }
-      
+
     }
 
     CGAL_assertion(!B.error());
@@ -135,15 +135,15 @@ public:
     CGAL_assertion(ch.operator->() != nullptr);
     //return (traits.sign(ch,i) == POSITIVE);
     T_vertex_map_it it = triang_vertex_signs.find((ch->vertex(i)));
-    
+
     if (it == triang_vertex_signs.end()) {
       bool side = (traits.sign(ch,i) == POSITIVE);
       CGAL_assertion(triang_vertex_signs.find((ch->vertex(i))) ==
-		     triang_vertex_signs.end());
+                     triang_vertex_signs.end());
       CGAL_assertion(ch.operator->() != nullptr);
       triang_vertex_signs[(ch->vertex(i))] = side;
       CGAL_assertion(triang_vertex_signs.find((ch->vertex(i))) !=
-		     triang_vertex_signs.end());
+                     triang_vertex_signs.end());
       CGAL_assertion(triang_vertex_signs[(ch->vertex(i))] == side);
       return side;
     } else {
@@ -154,7 +154,7 @@ public:
     T_Cell_iterator ch, int i, int j) {
     CGAL_assertion(is_inside(ch, i));
     CGAL_assertion(!is_inside(ch, j));
-    
+
     T_edge edge = T_edge(ch->vertex(i),ch->vertex(j));
     T_edge_map_it edge_it = polyh_vert.find(edge);
 
@@ -168,7 +168,7 @@ public:
       return edge_it->second;
     }
   }
-  
+
   // Orientation is right
   void process_cell(
     Polyh_incr_builder &B,
@@ -203,32 +203,32 @@ private:
 
 
 template <class Triangulation_3,
-	  class Polyhedron_3,
-	  class MarchingTetrahedraTraits_3>
+          class Polyhedron_3,
+          class MarchingTetrahedraTraits_3>
 void marching_tetrahedra_3(
   const Triangulation_3 &triangulation,
   Polyhedron_3 &polyhedron,
   const MarchingTetrahedraTraits_3 &traits) {
-  
+
   typedef Marching_tetrahedra_observer_default_3
     <typename Triangulation_3::Finite_vertices_iterator,
-    typename Triangulation_3::Finite_cells_iterator, 
+    typename Triangulation_3::Finite_cells_iterator,
     Polyhedron_3>
-                                                                Observer; 
+                                                                Observer;
 
   marching_tetrahedra_3(triangulation.finite_vertices_begin(),
-			triangulation.finite_vertices_end(),
-			triangulation.finite_cells_begin(),
-			triangulation.finite_cells_end(),
-			polyhedron,
-			traits,
-			Observer());
+                        triangulation.finite_vertices_end(),
+                        triangulation.finite_cells_begin(),
+                        triangulation.finite_cells_end(),
+                        polyhedron,
+                        traits,
+                        Observer());
 }
 
 template <class Triangulation_3,
-	  class Polyhedron_3,
-	  class MarchingTetrahedraTraits_3,
-	  class MarchingTetrahedraObserver_3>
+          class Polyhedron_3,
+          class MarchingTetrahedraTraits_3,
+          class MarchingTetrahedraObserver_3>
 void marching_tetrahedra_3(
   const Triangulation_3 &triangulation,
   Polyhedron_3 &polyhedron,
@@ -236,19 +236,19 @@ void marching_tetrahedra_3(
   MarchingTetrahedraObserver_3 &observer) {
 
   marching_tetrahedra_3(triangulation.finite_vertices_begin(),
-			triangulation.finite_vertices_end(),
-			triangulation.finite_cells_begin(),
-			triangulation.finite_cells_end(),
-			polyhedron,
-			traits,
-			observer);
+                        triangulation.finite_vertices_end(),
+                        triangulation.finite_cells_begin(),
+                        triangulation.finite_cells_end(),
+                        polyhedron,
+                        traits,
+                        observer);
 }
 
 template <class Vertex_iterator,
-	  class Cell_iterator,
-	  class Polyhedron_3,
-	  class MarchingTetrahedraTraits_3,
-	  class MarchingTetrahedraObserver_3>
+          class Cell_iterator,
+          class Polyhedron_3,
+          class MarchingTetrahedraTraits_3,
+          class MarchingTetrahedraObserver_3>
 void marching_tetrahedra_3(
   Vertex_iterator finite_vertices_begin,
   Vertex_iterator finite_vertices_end,
@@ -257,18 +257,18 @@ void marching_tetrahedra_3(
   Polyhedron_3 &polyhedron,
   const MarchingTetrahedraTraits_3 &traits,
   MarchingTetrahedraObserver_3 &observer) {
-  
+
   typedef typename Polyhedron_3::HalfedgeDS                   HDS;
   typedef Marching_tetrahedra_builder<
     Vertex_iterator, Cell_iterator, HDS,
     MarchingTetrahedraTraits_3, MarchingTetrahedraObserver_3> Builder;
-  
+
   Builder builder(finite_vertices_begin, finite_vertices_end,
-		  finite_cells_begin, finite_cells_end,
-		  traits, observer);
+                  finite_cells_begin, finite_cells_end,
+                  traits, observer);
   polyhedron.delegate(builder);
 }
 
-} //namespace CGAL 
+} //namespace CGAL
 
 #endif // CGAL_MARCHING_TETRAHEDRA_H
diff -pruN 5.0.2-3/include/CGAL/Marching_tetrahedra_observer_default_3.h 5.0.3-1/include/CGAL/Marching_tetrahedra_observer_default_3.h
--- 5.0.2-3/include/CGAL/Marching_tetrahedra_observer_default_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Marching_tetrahedra_observer_default_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/Marching_tetrahedra_observer_default_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/Marching_tetrahedra_observer_default_3.h $
 // $Id: Marching_tetrahedra_observer_default_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Marching_tetrahedra_traits_skin_surface_3.h 5.0.3-1/include/CGAL/Marching_tetrahedra_traits_skin_surface_3.h
--- 5.0.2-3/include/CGAL/Marching_tetrahedra_traits_skin_surface_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Marching_tetrahedra_traits_skin_surface_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/Marching_tetrahedra_traits_skin_surface_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/Marching_tetrahedra_traits_skin_surface_3.h $
 // $Id: Marching_tetrahedra_traits_skin_surface_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mean_curvature_flow_skeletonization.h 5.0.3-1/include/CGAL/Mean_curvature_flow_skeletonization.h
--- 5.0.2-3/include/CGAL/Mean_curvature_flow_skeletonization.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mean_curvature_flow_skeletonization.h	2020-08-01 19:02:56.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_skeletonization/include/CGAL/Mean_curvature_flow_skeletonization.h $
-// $Id: Mean_curvature_flow_skeletonization.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_skeletonization/include/CGAL/Mean_curvature_flow_skeletonization.h $
+// $Id: Mean_curvature_flow_skeletonization.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Xiang Gao <gaox@ethz.ch>
@@ -473,7 +473,7 @@ public:
   {
     return m_is_medially_centered;
   }
-  
+
   /// \cgalAdvancedFunction
   /// \cgalAdvancedBegin
   /// Controls the smoothness of the medial approximation:
@@ -839,7 +839,7 @@ private:
   {
     typedef std::pair<Input_vertex_descriptor, vertex_descriptor> Vertex_pair;
     std::vector<Vertex_pair> v2v;
-    copy_face_graph(tmesh, m_tmesh, 
+    copy_face_graph(tmesh, m_tmesh,
                     CGAL::parameters::vertex_to_vertex_output_iterator(std::back_inserter(v2v)));
 
     // copy input vertices to keep correspondence
diff -pruN 5.0.2-3/include/CGAL/memory.h 5.0.3-1/include/CGAL/memory.h
--- 5.0.2-3/include/CGAL/memory.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/memory.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999, 2002, 2003  
+// Copyright (c) 1999, 2002, 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/memory.h $
-// $Id: memory.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/memory.h $
+// $Id: memory.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel, Sylvain Pion
 
diff -pruN 5.0.2-3/include/CGAL/Memory_sizer.h 5.0.3-1/include/CGAL/Memory_sizer.h
--- 5.0.2-3/include/CGAL/Memory_sizer.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Memory_sizer.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Profiling_tools/include/CGAL/Memory_sizer.h $
-// $Id: Memory_sizer.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Profiling_tools/include/CGAL/Memory_sizer.h $
+// $Id: Memory_sizer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Sylvain Pion, Andreas Fabri
 
 #ifndef CGAL_MEMORY_SIZER_H
@@ -42,7 +42,7 @@ struct Memory_sizer
 #  define CGAL_AUTO_LINK_NOMANGLE
 #  include <CGAL/auto_link/auto_link.h>
 
-#elif defined __linux__ 
+#elif defined __linux__
 #  include <fstream>
 #  include <cstddef>
 #  include <unistd.h>
@@ -67,8 +67,8 @@ struct Memory_sizer
 
 private:
 
-  size_type get (bool virtual_size)  const 
-  { 
+  size_type get (bool virtual_size)  const
+  {
 #ifdef _MSC_VER
     DWORD pid = GetCurrentProcessId();
     size_type result=0;
@@ -81,7 +81,7 @@ private:
     {
       // PagefileUsage seems not very precise, thus check it against WorkingSetSize:
       size_t approximate_virtual_size = (std::max)(pmc.PagefileUsage, pmc.WorkingSetSize);
-      
+
       result = (virtual_size)? approximate_virtual_size : pmc.WorkingSetSize;
     }
 
@@ -126,28 +126,28 @@ private:
 #else // __APPLE__ is defined
 
     // http://miknight.blogspot.com/2005/11/resident-set-size-in-mac-os-x.html
-		// This is highly experimental. But still better than returning 0.
-		// It appears that we might need certain 'rights' to get access to the kernel
-		// task... It works if you have admin rights apparently
-		// (though non-root of course!). I haven't tested with non-admin user.
+                // This is highly experimental. But still better than returning 0.
+                // It appears that we might need certain 'rights' to get access to the kernel
+                // task... It works if you have admin rights apparently
+                // (though non-root of course!). I haven't tested with non-admin user.
     // -- Samuel Hornus
 
     task_t task = MACH_PORT_NULL;
-		// The task_for_pid() seems to be time consuming (looking at the source
-		// in xnu-source/bsd/vm/vm_unix.c
-		// TODO: so it may be a good idea to cache the resulting 'task'
+                // The task_for_pid() seems to be time consuming (looking at the source
+                // in xnu-source/bsd/vm/vm_unix.c
+                // TODO: so it may be a good idea to cache the resulting 'task'
     if (task_for_pid(current_task(), getpid(), &task) != KERN_SUCCESS)
         return 0;
-		// It seems to me that after calling :
-		// task_for_pid(current_task(), getpid(), &task)
-		// we should have (task == current_task())
-		// ==> TODO: Check if this is indeed the case
-      
+                // It seems to me that after calling :
+                // task_for_pid(current_task(), getpid(), &task)
+                // we should have (task == current_task())
+                // ==> TODO: Check if this is indeed the case
+
     struct task_basic_info t_info;
     mach_msg_type_number_t t_info_count = TASK_BASIC_INFO_COUNT;
-      
+
     task_info(task, TASK_BASIC_INFO, (task_info_t)&t_info, &t_info_count);
-		// TODO: test if the following line works...
+                // TODO: test if the following line works...
     //task_info(current_task(), TASK_BASIC_INFO, (task_info_t)&t_info, &t_info_count);
 #if 0
     std::cerr << "PAGE SIZE IS " << getpagesize() << std::endl
diff -pruN 5.0.2-3/include/CGAL/Mesh_2/Clusters.h 5.0.3-1/include/CGAL/Mesh_2/Clusters.h
--- 5.0.2-3/include/CGAL/Mesh_2/Clusters.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_2/Clusters.h	2020-08-01 19:02:29.000000000 +0000
@@ -4,10 +4,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Mesh_2/Clusters.h $
-// $Id: Clusters.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Mesh_2/Clusters.h $
+// $Id: Clusters.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent Rineau
 
@@ -25,10 +25,10 @@
 
 namespace CGAL {
 
-namespace Mesh_2 
+namespace Mesh_2
 {
 
-  namespace details 
+  namespace details
   {
     template <class Tr>
     class Is_edge_constrained {
@@ -36,7 +36,7 @@ namespace Mesh_2
     public:
       typedef Is_edge_constrained<Tr> Self;
       typedef typename Tr::Edge_circulator Edge_circulator;
-      
+
       Is_edge_constrained(const Tr& tr) : tr_(&tr)
       {}
 
@@ -57,7 +57,7 @@ class Clusters
   typedef FT      Squared_length; /**<This typedef is used to remind that
                                      the length is squared. */
   typedef typename Tr::Edge_circulator Edge_circulator;
-  
+
   /**
    *  Special type: filtered circulator that returns only constrained
    *  edges.
@@ -78,7 +78,7 @@ public:
   struct Cluster {
     bool reduced ; /**< Is the cluster reduced? */
 
-    /** 
+    /**
      * Smallest_angle gives the two vertices defining the
      * smallest angle in the cluster.
      */
@@ -128,7 +128,7 @@ private:
 
   /**
    * Multimap \c Vertex_handle -> \c Cluster
-   * Each vertex can have several clusters. 
+   * Each vertex can have several clusters.
    */
   Cluster_map cluster_map;
 
@@ -184,7 +184,7 @@ private:
   void create_clusters_of_vertex(const Vertex_handle v);
 
   /**
-   * Adds the sequence [\c begin, \c end] to the cluster \c c and adds it 
+   * Adds the sequence [\c begin, \c end] to the cluster \c c and adds it
    * to the clusters of the vertex \c v.
    */
   void construct_cluster(const Vertex_handle v,
@@ -195,9 +195,9 @@ private:
 public:
   /** \name Functions to manage clusters during the refinement process. */
 
-  /** 
+  /**
    * Update the cluster of [\c va,\c vb], putting \c vm instead of \c vb.
-   * If reduction=false, the edge [va,vm] is not set reduced. 
+   * If reduction=false, the edge [va,vm] is not set reduced.
    */
   void update_cluster(Cluster& c, iterator it,
                       const Vertex_handle va, const Vertex_handle vb,
@@ -276,7 +276,7 @@ public:
     return Cluster_vertices_iterator(cluster_map.end());
   }
 
-  unsigned int number_of_clusters_at_vertex(const Vertex_handle& vh) const 
+  unsigned int number_of_clusters_at_vertex(const Vertex_handle& vh) const
   {
     typedef typename Cluster_map::const_iterator Iterator;
     typedef std::pair<Iterator, Iterator> Range;
@@ -381,7 +381,7 @@ get_cluster(Vertex_handle va, Vertex_han
 template <typename Tr>
 bool Clusters<Tr>::
 get_cluster(Vertex_handle va, Vertex_handle vb, Cluster& c,
-            iterator& it) 
+            iterator& it)
 {
   typedef std::pair<iterator, iterator> Range;
 
@@ -535,7 +535,7 @@ is_small_angle(const Point& pleft,
                const Point& pmiddle,
                const Point& pright) const
 {
-  typename Geom_traits::Angle_2 angle = 
+  typename Geom_traits::Angle_2 angle =
     tr.geom_traits().angle_2_object();
   typename Geom_traits::Orientation_2 orient =
     tr.geom_traits().orientation_2_object();
@@ -576,7 +576,7 @@ squared_cosine_of_angle_times_4(const Po
 
   return (num*num)/(b*c);
 }
-  
+
 } // end namespace Mesh_2
 
 } // end namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Mesh_2/Do_not_refine_edges.h 5.0.3-1/include/CGAL/Mesh_2/Do_not_refine_edges.h
--- 5.0.2-3/include/CGAL/Mesh_2/Do_not_refine_edges.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_2/Do_not_refine_edges.h	2020-08-01 19:02:29.000000000 +0000
@@ -4,10 +4,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Mesh_2/Do_not_refine_edges.h $
-// $Id: Do_not_refine_edges.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Mesh_2/Do_not_refine_edges.h $
+// $Id: Do_not_refine_edges.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent Rineau
 
@@ -27,10 +27,10 @@ namespace Mesh_2 {
 template <
   class Tr,
   class Is_locally_conform = Is_locally_conforming_Gabriel<Tr>,
-  class Container = 
+  class Container =
     typename details::Refine_edges_base_types<Tr>::Default_container
 >
-class Do_not_refine_edges : 
+class Do_not_refine_edges :
     public Refine_edges_base<Tr, Is_locally_conform, Container>
 {
   typedef Refine_edges_base<Tr, Is_locally_conform, Container> Super;
@@ -45,7 +45,7 @@ class Do_not_refine_edges :
 
   typedef typename Tr::Finite_edges_iterator Finite_edges_iterator;
   typedef typename Tr::Face_circulator Face_circulator;
-  
+
   typedef typename Triangulation_mesher_level_traits_2<Tr>::Zone Zone;
 
   using Super::triangulation_ref_impl;
@@ -66,7 +66,7 @@ public:
    */
   Mesher_level_conflict_status
   test_point_conflict_from_superior_impl(const Point& p,
-					 Zone& z)
+                                         Zone& z)
   {
     if(z.locate_type != Tr::FACE || !z.fh->is_in_domain())
       return CONFLICT_AND_ELEMENT_SHOULD_BE_DROPPED;
diff -pruN 5.0.2-3/include/CGAL/Mesh_2/Face_badness.h 5.0.3-1/include/CGAL/Mesh_2/Face_badness.h
--- 5.0.2-3/include/CGAL/Mesh_2/Face_badness.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_2/Face_badness.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Mesh_2/Face_badness.h $
-// $Id: Face_badness.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Mesh_2/Face_badness.h $
+// $Id: Face_badness.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
diff -pruN 5.0.2-3/include/CGAL/Mesh_2/Lipschitz_sizing_field_2.h 5.0.3-1/include/CGAL/Mesh_2/Lipschitz_sizing_field_2.h
--- 5.0.2-3/include/CGAL/Mesh_2/Lipschitz_sizing_field_2.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_2/Lipschitz_sizing_field_2.h	2020-08-01 19:02:29.000000000 +0000
@@ -4,10 +4,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Mesh_2/Lipschitz_sizing_field_2.h $
-// $Id: Lipschitz_sizing_field_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Mesh_2/Lipschitz_sizing_field_2.h $
+// $Id: Lipschitz_sizing_field_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s) : Lakulish Antani, Christophe Delage, Jane Tournois, Pierre Alliez
 //
@@ -41,21 +41,21 @@ class Lipschitz_sizing_field_2
 public:
   typedef typename Tr::Geom_traits      Geom_traits;
   typedef typename Geom_traits::Point_2 Point;
-    
+
   typedef Delaunay_triangulation_2<Geom_traits> Delaunay_triangulation;
   typedef typename Delaunay_triangulation::All_faces_iterator Face_iterator;
   typedef typename Delaunay_triangulation::Finite_vertices_iterator Vertex_iterator;
   typedef typename Delaunay_triangulation::Face_circulator Face_circulator;
-    
+
   typedef Search_traits_2<Geom_traits> Tree_traits;
   typedef Orthogonal_k_neighbor_search<Tree_traits> Neighbor_search;
   typedef typename Neighbor_search::Tree Search_tree;
-    
+
   typedef Apollonius_graph_traits_2<Geom_traits> Apollonius_traits;
   typedef Apollonius_graph_2<Apollonius_traits> Apollonius_graph;
   typedef typename Apollonius_traits::Site_2 Site;
 
-public:    
+public:
   typedef std::list<Site> Site_set_2;
 
 public:
@@ -82,12 +82,12 @@ public:
     generate_sites();
     generate_apollonius();
   }
-    
+
   // constructor with point set and K as parameters
   template <typename InputIterator>
   Lipschitz_sizing_field_2(InputIterator first,
-			   InputIterator beyond,
-			   const double k = 1.0)
+                           InputIterator beyond,
+                           const double k = 1.0)
     : K(k)
   {
 #ifdef CGAL_MESH_2_OPTIMIZER_VERBOSE
@@ -183,10 +183,10 @@ protected:
       return;
 
     for(typename std::list<Point>::iterator ppi = points.begin();
-	ppi != points.end();ppi++)
+        ppi != points.end();ppi++)
       dt.insert(*ppi);
   }
-    
+
 
   // pole extraction
   void extract_poles()
@@ -196,41 +196,41 @@ protected:
     Vertex_iterator vi;
     for (vi = dt.finite_vertices_begin(); vi != dt.finite_vertices_end(); vi++)
       {
-	Face_circulator fc = dt.incident_faces(vi);
-	Face_circulator c = fc;
-	std::list<Point> vv;
-			    
-	if (fc != nullptr)
-	  {
-	    do
-	      {
-		if (!dt.is_infinite(c) && dt.triangle(c).area() != 0)
-		  vv.push_back(dt.dual(c));
-	      } while (++c != fc);
-	  }
-			    
-	// find the farthest voronoi vertex from this point
-	typename std::list<Point>::iterator maxp = vv.begin();
-	for (typename std::list<Point>::iterator pi = vv.begin(); pi != vv.end(); pi++)
-	  {
-	    if (squared_distance(*pi, (*vi).point()) > squared_distance(*maxp, (*vi).point()))
-	      {
-		maxp = pi;
-	      }
-	  }
-	poles.push_back(*maxp);
-			    
-	// find the farthest voronoi vertex from this point in the other half-plane
-	typename std::list<Point>::iterator maxp2 = vv.begin();
-	for (typename std::list<Point>::iterator pi = vv.begin(); pi != vv.end(); pi++)
-	  {
-	    if (angle((Point) *pi, (Point) (*vi).point(), (Point) *maxp) == OBTUSE &&
-		squared_distance(*pi, (*vi).point()) > squared_distance(*maxp2, (*vi).point()))
-	      {
-		maxp2 = pi;
-	      }
-	  }
-	poles.push_back(*maxp2);
+        Face_circulator fc = dt.incident_faces(vi);
+        Face_circulator c = fc;
+        std::list<Point> vv;
+
+        if (fc != nullptr)
+          {
+            do
+              {
+                if (!dt.is_infinite(c) && dt.triangle(c).area() != 0)
+                  vv.push_back(dt.dual(c));
+              } while (++c != fc);
+          }
+
+        // find the farthest voronoi vertex from this point
+        typename std::list<Point>::iterator maxp = vv.begin();
+        for (typename std::list<Point>::iterator pi = vv.begin(); pi != vv.end(); pi++)
+          {
+            if (squared_distance(*pi, (*vi).point()) > squared_distance(*maxp, (*vi).point()))
+              {
+                maxp = pi;
+              }
+          }
+        poles.push_back(*maxp);
+
+        // find the farthest voronoi vertex from this point in the other half-plane
+        typename std::list<Point>::iterator maxp2 = vv.begin();
+        for (typename std::list<Point>::iterator pi = vv.begin(); pi != vv.end(); pi++)
+          {
+            if (angle((Point) *pi, (Point) (*vi).point(), (Point) *maxp) == OBTUSE &&
+                squared_distance(*pi, (*vi).point()) > squared_distance(*maxp2, (*vi).point()))
+              {
+                maxp2 = pi;
+              }
+          }
+        poles.push_back(*maxp2);
       }
   }
 
@@ -243,24 +243,24 @@ protected:
     Search_tree tree_points(points.begin(), points.end());
 
     for(typename std::list<Point>::iterator pi = points.begin();
-	pi != points.end();
-	pi++)
+        pi != points.end();
+        pi++)
       {
 
-	// estimate lfs (distance to medial axis estimate)
-	Neighbor_search search_poles(tree_poles, *pi, 1);
-	double lfs = std::sqrt((search_poles.begin())->second);
-
-	// compute distance to nearest input point
-	Neighbor_search search_points(tree_points, *pi, 2); // notice 2
-	typename Neighbor_search::iterator it = search_points.begin();
-	it++; // the first one is...itself
-	double d = std::sqrt(it->second);
-					
-	// take min(lfs,distance to nearest point) as sizing
-	double sizing = (std::min)(lfs,d);
+        // estimate lfs (distance to medial axis estimate)
+        Neighbor_search search_poles(tree_poles, *pi, 1);
+        double lfs = std::sqrt((search_poles.begin())->second);
+
+        // compute distance to nearest input point
+        Neighbor_search search_points(tree_points, *pi, 2); // notice 2
+        typename Neighbor_search::iterator it = search_points.begin();
+        it++; // the first one is...itself
+        double d = std::sqrt(it->second);
 
-	sites.push_back(Site(*pi, -sizing / K));
+        // take min(lfs,distance to nearest point) as sizing
+        double sizing = (std::min)(lfs,d);
+
+        sites.push_back(Site(*pi, -sizing / K));
       }
   }
 
@@ -273,9 +273,9 @@ protected:
     sites.sort(Compare_site_2());
     ag.insert(sites.begin(),sites.end());
   }
-			    
+
   double weighted_distance(const Point p,
-			   const Site s) const
+                           const Site s) const
   {
     return std::sqrt(squared_distance(p, s.point())) - s.weight();
   }
diff -pruN 5.0.2-3/include/CGAL/Mesh_2/Lloyd_move_2.h 5.0.3-1/include/CGAL/Mesh_2/Lloyd_move_2.h
--- 5.0.2-3/include/CGAL/Mesh_2/Lloyd_move_2.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_2/Lloyd_move_2.h	2020-08-01 19:02:29.000000000 +0000
@@ -4,10 +4,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Mesh_2/Lloyd_move_2.h $
-// $Id: Lloyd_move_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Mesh_2/Lloyd_move_2.h $
+// $Id: Lloyd_move_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s) : Jane Tournois, Raul Gallegos, Pierre Alliez
 //
 
diff -pruN 5.0.2-3/include/CGAL/Mesh_2/Mesh_global_optimizer_2.h 5.0.3-1/include/CGAL/Mesh_2/Mesh_global_optimizer_2.h
--- 5.0.2-3/include/CGAL/Mesh_2/Mesh_global_optimizer_2.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_2/Mesh_global_optimizer_2.h	2020-08-01 19:02:29.000000000 +0000
@@ -4,10 +4,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Mesh_2/Mesh_global_optimizer_2.h $
-// $Id: Mesh_global_optimizer_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Mesh_2/Mesh_global_optimizer_2.h $
+// $Id: Mesh_global_optimizer_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s) : Jane Tournois, Raul Gallegos, Pierre Alliez, Stéphane Tayeb
 //
 
@@ -18,7 +18,7 @@
 
 
 #ifdef CGAL_MESH_2_VERBOSE
-  #define CGAL_MESH_2_OPTIMIZER_VERBOSE 
+  #define CGAL_MESH_2_OPTIMIZER_VERBOSE
 #endif
 
 #include <CGAL/Timer.h>
@@ -45,12 +45,12 @@ namespace Mesh_2 {
 template <typename CDT,
           typename MoveFunction>
 class Mesh_global_optimizer_2
-{  
+{
   // Types
   typedef CDT  Tr;
   typedef MoveFunction Mf;
   typedef typename Tr::Geom_traits      Gt;
-  
+
   typedef typename Tr::Point            Point_2;
   typedef typename Tr::Face_handle      Face_handle;
   typedef typename Tr::Vertex_handle    Vertex_handle;
@@ -60,7 +60,7 @@ class Mesh_global_optimizer_2
 
   typedef typename Gt::FT               FT;
   typedef typename Gt::Vector_2         Vector_2;
-  
+
   typedef typename std::vector<Face_handle>                 Face_vector;
   typedef typename std::set<Vertex_handle>                  Vertex_set;
   typedef typename std::list<FT>                            FT_list;
@@ -87,7 +87,7 @@ public:
     , seeds_mark_(false)
   {
   }
-  
+
   /// Time accessors
   void set_time_limit(double time) { time_limit_ = time; }
   double time_limit() const { return time_limit_; }
@@ -154,8 +154,8 @@ public:
       if(sq_freeze_ratio_ > 0.
         && nb_vertices_moved < 0.01 * initial_vertices_nb
         && nb_vertices_moved == moving_vertices.size())
-      { 
-        // we should stop because we are 
+      {
+        // we should stop because we are
         // probably entering an infinite instable loop
         convergence_stop = true;
         break;
@@ -170,7 +170,7 @@ public:
       nb_vertices_moved = moving_vertices.size();
 
       this->after_move();
- 
+
 #ifdef CGAL_MESH_2_OPTIMIZER_VERBOSE
       double time = running_time_.time();
       double moving_vertices_size = static_cast<double>(moving_vertices.size());
@@ -293,7 +293,7 @@ private:
     Face_circulator face = cdt_.incident_faces(v);
     Face_circulator end = face;
 
-    // Get first face sq_circumradius_length 
+    // Get first face sq_circumradius_length
     // Initialize min
     FT min_sqr = (std::numeric_limits<double>::max)();
     // Find the minimum value
@@ -465,9 +465,9 @@ private:
 
   double time_limit_;
   CGAL::Timer running_time_;
-  
+
   std::list<FT> big_moves_;
-  
+
 #ifdef CGAL_MESH_2_OPTIMIZER_VERBOSE
   mutable FT sum_moves_;
 #endif
diff -pruN 5.0.2-3/include/CGAL/Mesh_2/Mesh_sizing_field.h 5.0.3-1/include/CGAL/Mesh_2/Mesh_sizing_field.h
--- 5.0.2-3/include/CGAL/Mesh_2/Mesh_sizing_field.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_2/Mesh_sizing_field.h	2020-08-01 19:02:29.000000000 +0000
@@ -4,10 +4,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Mesh_2/Mesh_sizing_field.h $
-// $Id: Mesh_sizing_field.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Mesh_2/Mesh_sizing_field.h $
+// $Id: Mesh_sizing_field.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s) : Jane Tournois, Pierre Alliez
 //
@@ -40,11 +40,11 @@ class Mesh_sizing_field
   typedef typename Tr::Vertex_handle      Vertex_handle;
   typedef typename Tr::Face_handle        Face_handle;
   typedef typename Tr::Edge               Edge;
-  
+
 public:
-  // update vertices of mesh triangulation ? 
+  // update vertices of mesh triangulation ?
   static const bool is_vertex_update_needed = Need_vertex_update;
-  
+
 public:
   /**
    * Constructor
@@ -68,7 +68,7 @@ public:
    */
   FT operator()(const Point_2& p, const Vertex_handle& v) const
   { return this->operator()(p, v->face()); }
-  
+
   /**
    * Returns size at point \c p.
    */
@@ -76,7 +76,7 @@ public:
   {
     const Face_handle fh = tr_.locate(p,c);
     last_face_ = fh;
-  
+
     if ( !tr_.is_infinite(fh) )
       return interpolate_on_face_vertices(p,fh);
     else
@@ -123,7 +123,7 @@ private:
 
     return alpha * sa + beta * sb + gamma * sc;
 #else
-    return ((sa + sb + sc) / 3.); 
+    return ((sa + sb + sc) / 3.);
 #endif
   }
 
@@ -199,7 +199,7 @@ private:
     Point_2 p2 = e.first->vertex(Tr::ccw(e.second))->point();
     return CGAL::sqrt(CGAL::squared_distance(p1, p2));
   }
-  
+
 private:
   /// The triangulation
   Tr& tr_;
diff -pruN 5.0.2-3/include/CGAL/Mesh_2/Output_stream.h 5.0.3-1/include/CGAL/Mesh_2/Output_stream.h
--- 5.0.2-3/include/CGAL/Mesh_2/Output_stream.h	2020-02-21 20:03:37.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_2/Output_stream.h	2020-08-01 19:02:32.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesher_level/include/CGAL/Mesh_2/Output_stream.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesher_level/include/CGAL/Mesh_2/Output_stream.h $
 // $Id: Output_stream.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_2/Refine_edges.h 5.0.3-1/include/CGAL/Mesh_2/Refine_edges.h
--- 5.0.2-3/include/CGAL/Mesh_2/Refine_edges.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_2/Refine_edges.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Mesh_2/Refine_edges.h $
-// $Id: Refine_edges.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Mesh_2/Refine_edges.h $
+// $Id: Refine_edges.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -32,7 +32,7 @@ namespace CGAL {
 /**
  * \namespace Mesh_2
  *   Defines classes that are not yet documented.
- * 
+ *
  * \namespace Mesh_2::details
  *   Namespace for internal use.
  */
@@ -109,10 +109,10 @@ namespace Mesh_2 {
       const Vertex_handle& vi = fh->vertex(i);
       const Vertex_handle& mvi = tr.tds().mirror_vertex(fh, i);
 
-      return( ( tr.is_infinite(vi) || 
+      return( ( tr.is_infinite(vi) ||
                 this->operator()(tr, va, vb, vi->point()) )
               &&
-              ( tr.is_infinite(mvi) || 
+              ( tr.is_infinite(mvi) ||
                 this->operator()(tr, va, vb, mvi->point()) )
               );
     }
@@ -127,7 +127,7 @@ namespace Mesh_2 {
       CGAL_assume_code( bool should_be_true = )
       tr.is_edge(va, vb, fh, i);
       CGAL_assume( should_be_true == true );
-      
+
       return this->operator()(tr, fh, i);
     }
 
@@ -220,15 +220,15 @@ namespace Mesh_2 {
 
   private:
     /** Private function that computes the two vertex vi and mvi that are
-	one each side of the edge (fh, i) (vi is in fh and mvi is in
-	fh->neighbor(i)) and return true if one of them is infinite.
+        one each side of the edge (fh, i) (vi is in fh and mvi is in
+        fh->neighbor(i)) and return true if one of them is infinite.
     */
     bool
     aux_get_vi_mvi(const Tr& tr,
-		   const Face_handle& fh,
-		   const int i,
-		   Vertex_handle& vi,
-		   Vertex_handle& mvi) const
+                   const Face_handle& fh,
+                   const int i,
+                   Vertex_handle& vi,
+                   Vertex_handle& mvi) const
     {
       vi = fh->vertex(i);
       mvi = tr.tds().mirror_vertex(fh, i);
@@ -237,21 +237,21 @@ namespace Mesh_2 {
     }
 
     /** Private function that returns true if the vertex vs is outside the
-	oriented circle passing through vp, vq and vr.
+        oriented circle passing through vp, vq and vr.
     */
     bool
     aux_outside_of_circle(const Tr& tr,
-			  const Vertex_handle& vp,
-			  const Vertex_handle& vq,
-			  const Vertex_handle& vr,
-			  const Vertex_handle& vs) const
+                          const Vertex_handle& vp,
+                          const Vertex_handle& vq,
+                          const Vertex_handle& vr,
+                          const Vertex_handle& vs) const
     {
       typedef typename Geom_traits::Side_of_oriented_circle_2
         Side_of_oriented_circle_2;
 
       Side_of_oriented_circle_2 in_circle =
         tr.geom_traits().side_of_oriented_circle_2_object();
-      
+
       const Point& p = vp->point();
       const Point& q = vq->point();
       const Point& r = vr->point();
@@ -274,7 +274,7 @@ namespace Mesh_2 {
 template <
   class Tr,
   class Is_locally_conform = Is_locally_conforming_Gabriel<Tr>,
-  class Container = 
+  class Container =
     typename details::Refine_edges_base_types<Tr>::Default_container
 >
 class Refine_edges_base :
@@ -285,7 +285,7 @@ class Refine_edges_base :
 public:
   typedef typename Tr::Finite_edges_iterator Finite_edges_iterator;
   typedef typename Tr::Face_circulator Face_circulator;
-  
+
   typedef typename Tr::Vertex_handle Vertex_handle;
   typedef typename Tr::Face_handle Face_handle;
   typedef typename Tr::Edge Edge;
@@ -332,7 +332,7 @@ protected:
 
     for(Finite_edges_iterator ei = tr.finite_edges_begin();
         ei != tr.finite_edges_end();
-        ++ei) 
+        ++ei)
     {
       if(ei->first->is_constrained(ei->second) &&
          !is_locally_conform(tr, ei->first, ei->second) )
@@ -347,7 +347,7 @@ protected:
     // with constraint hierarchy
 
     for(typename Tr::Subconstraint_iterator it = tr.subconstraints_begin();
-        it != tr.subconstraints_end(); ++it) 
+        it != tr.subconstraints_end(); ++it)
     {
       const Vertex_handle& v1 = it->first.first;
       const Vertex_handle& v2 = it->first.second;
@@ -432,7 +432,7 @@ public:
     const bool n_does_conflict = (zone.locate_type == Tr::EDGE) ||
       triangulation_ref_impl().test_conflict(p, n);
 
-    CGAL_assertion(f_does_conflict || 
+    CGAL_assertion(f_does_conflict ||
                    n_does_conflict);
 
     const int ni = triangulation_ref_impl().tds().mirror_index(f, i);
@@ -447,7 +447,7 @@ public:
       *edges_out++ = std::make_pair(n, ni);
     }
 
-    std::pair<OutputItFaces,OutputItEdges> pit = 
+    std::pair<OutputItFaces,OutputItEdges> pit =
       std::make_pair(faces_out,edges_out);
 
     if(f_does_conflict) {
@@ -459,17 +459,17 @@ public:
       pit = triangulation_ref_impl().propagate_conflicts(p,n,Tr::ccw(ni),pit);
       pit = triangulation_ref_impl().propagate_conflicts(p,n,Tr:: cw(ni),pit);
     }
-    return zone; 
+    return zone;
   }
 
   Vertex_handle insert_impl(const Point& p, Zone& zone)
   {
     return triangulation_ref_impl().star_hole(p,
-					      zone.boundary_edges.begin(),
-					      zone.boundary_edges.end(),
-					      zone.faces.begin(),
-					      zone.faces.end()
-					      );
+                                              zone.boundary_edges.begin(),
+                                              zone.boundary_edges.end(),
+                                              zone.faces.begin(),
+                                              zone.faces.end()
+                                              );
   }
 
   /** Scans all constrained edges and put them in the queue if they are
@@ -496,7 +496,7 @@ public:
       Saves the handles of the edge that will be splitted.
       This function is overridden in class Refine_edge_with_clusters.
   */
-  Point refinement_point_impl(const Edge& edge) 
+  Point refinement_point_impl(const Edge& edge)
   {
     typename Geom_traits::Construct_midpoint_2
       midpoint = tr.geom_traits().construct_midpoint_2_object();
@@ -518,20 +518,20 @@ public:
    */
   Mesher_level_conflict_status
   test_point_conflict_from_superior_impl(const Point& p,
-					 Zone& zone)
+                                         Zone& zone)
   {
     Mesher_level_conflict_status status = NO_CONFLICT;
-    
+
     for(typename Zone::Edges_iterator eit = zone.boundary_edges.begin();
         eit != zone.boundary_edges.end(); ++eit)
-      { 
+      {
         const Face_handle& fh = eit->first;
         const int& i = eit->second;
 
         if(fh->is_constrained(i) && !is_locally_conform(tr, fh, i, p))
           {
             add_constrained_edge_to_be_conformed(*eit);
-	    status = CONFLICT_BUT_ELEMENT_CAN_BE_RECONSIDERED;
+            status = CONFLICT_BUT_ELEMENT_CAN_BE_RECONSIDERED;
           }
       }
 
@@ -540,7 +540,7 @@ public:
 
   /** Unmark as constrained. */
   void before_insertion_impl(const Edge& e, const Point&,
-			     const Zone&)
+                             const Zone&)
   {
     const Face_handle& f = e.first;
     const int& i = e.second;
@@ -553,7 +553,7 @@ public:
    * Scans the edges of the star boundary, to test if they are both
    * locally conforming. If not, push them in the list of edges to be
    * conformed.
-   * 
+   *
    */
   void after_insertion_impl(const Vertex_handle& v)
   {
@@ -576,7 +576,7 @@ public:
     } while( fc != fcbegin );
 
     Face_handle fh;
-    int index = 0; // Avoids a warning. 
+    int index = 0; // Avoids a warning.
                    // We know that is_edge must return true, and is_edge will assign something to index
                    // but the compiler does not so it will issue a maybe uninitialized warning
 
@@ -599,7 +599,7 @@ public:
 
     if(!is_locally_conform(tr, va, v))
       add_constrained_edge_to_be_conformed(va, v);
-    
+
     if(!is_locally_conform(tr, vb, v))
       add_constrained_edge_to_be_conformed(vb, v);
   } // end after_insertion_impl
@@ -625,7 +625,7 @@ protected:
   }
 
 private: /** \name DEBUGGING TYPES AND DATAS */
-  class From_pair_of_vertex_to_edge 
+  class From_pair_of_vertex_to_edge
     : public CGAL::cpp98::unary_function<Constrained_edge, Edge>
   {
     Tr& tr;
@@ -683,31 +683,31 @@ public:  /** \name DEBUGGING FUNCTIONS *
       typedef Triangulation_mesher_level_traits_2<Tr> Triangulation_traits;
 
       typedef Mesher_level <
-	Tr,
+        Tr,
         Self,
         typename Tr::Edge,
         Null_mesher_level,
-	Triangulation_traits> Edges_mesher_level;
+        Triangulation_traits> Edges_mesher_level;
     }; // end Refine_edges_types
   } // end namespace details
 
 template <typename Tr,
           typename Is_locally_conform = Is_locally_conforming_Gabriel<Tr>,
           typename Base = Refine_edges_base<Tr, Is_locally_conform> >
-struct Refine_edges : 
-  public Base, 
-  public details::Refine_edges_types<Tr, 
+struct Refine_edges :
+  public Base,
+  public details::Refine_edges_types<Tr,
     Refine_edges<Tr, Is_locally_conform, Base> >::Edges_mesher_level
 {
   typedef Refine_edges<Tr, Is_locally_conform, Base> Self;
 
   typedef typename details::Refine_edges_types<Tr,
-					       Self> Types;
+                                               Self> Types;
 
   typedef typename Types::Edges_mesher_level Mesher;
 public:
-  Refine_edges(Tr& t, 
-	       Null_mesher_level& null_level)
+  Refine_edges(Tr& t,
+               Null_mesher_level& null_level)
     : Base(t), Mesher(null_level)
   {
   }
diff -pruN 5.0.2-3/include/CGAL/Mesh_2/Refine_edges_visitor.h 5.0.3-1/include/CGAL/Mesh_2/Refine_edges_visitor.h
--- 5.0.2-3/include/CGAL/Mesh_2/Refine_edges_visitor.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_2/Refine_edges_visitor.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Mesh_2/Refine_edges_visitor.h $
-// $Id: Refine_edges_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Mesh_2/Refine_edges_visitor.h $
+// $Id: Refine_edges_visitor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -22,7 +22,7 @@ namespace CGAL {
 namespace Mesh_2 {
 
 /**
- * This class is the visitor needed when Refine_edges<Tr> if called from 
+ * This class is the visitor needed when Refine_edges<Tr> if called from
  * Refine_faces<Tr>.
  * \param Faces_mesher should be instanciated with Refine_face_base<Tr>.
  */
@@ -50,7 +50,7 @@ private:
 
 public:
   Refine_edges_visitor(Faces_mesher& faces_mesher_,
-		       Edges_mesher& edges_mesher_,
+                       Edges_mesher& edges_mesher_,
                        Null_mesh_visitor& null)
     : faces_mesher(faces_mesher_),
       edges_mesher(edges_mesher_),
@@ -63,8 +63,8 @@ public:
   }
 
   Null_mesh_visitor previous_level() const { return null_mesh_visitor; }
-  
-  /** 
+
+  /**
    * Store vertex handles and markers at left and right of the edge \c e.
    */
   void before_conflicts(const Edge& e, const Point&)
@@ -74,7 +74,7 @@ public:
 
     va = fh->vertex(Tr::cw (edge_index));
     vb = fh->vertex(Tr::ccw(edge_index));
-    
+
     mark_at_right = fh->is_in_domain();
     mark_at_left = fh->neighbor(edge_index)->is_in_domain();
   }
@@ -138,7 +138,7 @@ private:
 public:
 
   Refine_edges_visitor_from_faces(Faces_mesher& faces_mesher,
-				  Edges_mesher& edges_mesher,
+                                  Edges_mesher& edges_mesher,
                                   Null_mesh_visitor& null)
     : previous(faces_mesher, edges_mesher, null)
   {
diff -pruN 5.0.2-3/include/CGAL/Mesh_2/Refine_edges_with_clusters.h 5.0.3-1/include/CGAL/Mesh_2/Refine_edges_with_clusters.h
--- 5.0.2-3/include/CGAL/Mesh_2/Refine_edges_with_clusters.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_2/Refine_edges_with_clusters.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Mesh_2/Refine_edges_with_clusters.h $
-// $Id: Refine_edges_with_clusters.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Mesh_2/Refine_edges_with_clusters.h $
+// $Id: Refine_edges_with_clusters.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -38,10 +38,10 @@ namespace Mesh_2 {
 template <
   class Tr,
   class Is_locally_conform = Is_locally_conforming_Gabriel<Tr>,
-  class Container = 
+  class Container =
     typename details::Refine_edges_base_types<Tr>::Default_container
 >
-class Refine_edges_base_with_clusters : 
+class Refine_edges_base_with_clusters :
     public Refine_edges_base<Tr, Is_locally_conform, Container>
 {
   typedef Refine_edges_base<Tr, Is_locally_conform, Container> Super;
@@ -56,7 +56,7 @@ class Refine_edges_base_with_clusters :
 
   typedef typename Tr::Finite_edges_iterator Finite_edges_iterator;
   typedef typename Tr::Face_circulator Face_circulator;
-  
+
   typedef typename Triangulation_mesher_level_traits_2<Tr>::Zone Zone;
 
   typedef typename Clusters<Tr>::Cluster Cluster;
@@ -76,7 +76,7 @@ class Refine_edges_base_with_clusters :
 public:
   /** \name CONSTRUCTORS */
 
-  Refine_edges_base_with_clusters(Tr& tr_, Clusters<Tr>& c_) 
+  Refine_edges_base_with_clusters(Tr& tr_, Clusters<Tr>& c_)
     : Super(tr_), clusters(c_)
   {
   }
@@ -98,7 +98,7 @@ public:
     va_has_a_cluster = false;
     vb_has_a_cluster = false;
     cluster_splitted = false;
-    
+
     // true bellow to remove ca and cb because they will
     // be restored by update_cluster(...).
     if( clusters.get_cluster(this->va,this->vb,ca,ca_it) ) {
@@ -143,13 +143,13 @@ public:
     std::cerr << "clusters.size()=" << clusters.size() << std::endl;
 #endif // CGAL_MESH_2_DEBUG_CLUSTERS
     Super::after_insertion_impl(v);
-    if( va_has_a_cluster ) 
+    if( va_has_a_cluster )
       clusters.update_cluster(ca,ca_it,this->va,this->vb,v,cluster_splitted);
     if( vb_has_a_cluster )
       clusters.update_cluster(cb,cb_it,this->vb,this->va,v,cluster_splitted);
 #ifdef CGAL_MESH_2_DEBUG_CLUSTERS
-    std::cerr << "clusters.size() after update_cluster=" 
-	      << clusters.size() << std::endl;
+    std::cerr << "clusters.size() after update_cluster="
+              << clusters.size() << std::endl;
 #endif // CGAL_MESH_2_DEBUG_CLUSTERS
   }
 
@@ -159,7 +159,7 @@ public:
    */
   Mesher_level_conflict_status
   test_point_conflict_from_superior_impl(const Point& p,
-					 Zone& z)
+                                         Zone& z)
   {
     Mesher_level_conflict_status status = NO_CONFLICT;
 
@@ -172,13 +172,13 @@ public:
         const Face_handle& fh = eit->first;
         const int& i = eit->second;
 
-        if(fh->is_constrained(i) && 
+        if(fh->is_constrained(i) &&
            !this->is_locally_conform(this->tr, fh, i, p))
           {
-	    const Vertex_handle& v1 = fh->vertex( this->tr.cw (i));
-	    const Vertex_handle& v2 = fh->vertex( this->tr.ccw(i));
+            const Vertex_handle& v1 = fh->vertex( this->tr.cw (i));
+            const Vertex_handle& v2 = fh->vertex( this->tr.ccw(i));
 
-	    status = CONFLICT_BUT_ELEMENT_CAN_BE_RECONSIDERED;
+            status = CONFLICT_BUT_ELEMENT_CAN_BE_RECONSIDERED;
 
             bool v1_has_a_cluster = clusters.get_cluster(v1,v2,ca,ca_it);
             bool v2_has_a_cluster = clusters.get_cluster(v2,v1,cb,cb_it);
@@ -188,7 +188,7 @@ public:
             {
               // two clusters or no cluster
               this->add_constrained_edge_to_be_conformed(v1, v2);
-	      //	      status = CONF//CONFLICT_AND_ELEMENT_SHOULD_BE_DROPPED;
+              //              status = CONF//CONFLICT_AND_ELEMENT_SHOULD_BE_DROPPED;
             }
           else
             {
@@ -205,9 +205,9 @@ public:
 
               if( this->imperatively || !ca.is_reduced() ||
                   ca.rmin >=  sq_r_of_p_parent)
-		this->add_constrained_edge_to_be_conformed(v1,v2);
-	      else
-		status = CONFLICT_AND_ELEMENT_SHOULD_BE_DROPPED;
+                this->add_constrained_edge_to_be_conformed(v1,v2);
+              else
+                status = CONFLICT_AND_ELEMENT_SHOULD_BE_DROPPED;
             }
           }
       }  // after here edges encroached by p are in the list of edges to
@@ -250,7 +250,7 @@ private:
       this->tr.geom_traits().construct_translated_point_2_object();
 
     typedef typename Geom_traits::FT FT;
-    
+
 
     cluster_splitted = true;
 
@@ -299,18 +299,18 @@ protected:
 template <
   typename Tr,
   typename Is_locally_conform = Is_locally_conforming_Gabriel<Tr>,
-  typename Base = Refine_edges_base_with_clusters<Tr, 
+  typename Base = Refine_edges_base_with_clusters<Tr,
                                                   Is_locally_conform>
 >
-struct Refine_edges_with_clusters : 
-  public Base, 
-  public details::Refine_edges_types<Tr, 
+struct Refine_edges_with_clusters :
+  public Base,
+  public details::Refine_edges_types<Tr,
     Refine_edges_with_clusters<Tr, Is_locally_conform, Base>
     >::Edges_mesher_level
 {
   typedef Refine_edges_with_clusters<Tr, Is_locally_conform, Base> Self;
   typedef typename details::Refine_edges_types<Tr,
-					       Self>::Edges_mesher_level
+                                               Self>::Edges_mesher_level
                                  Mesher;
 public:
   Refine_edges_with_clusters(Tr& t,
diff -pruN 5.0.2-3/include/CGAL/Mesh_2/Refine_faces.h 5.0.3-1/include/CGAL/Mesh_2/Refine_faces.h
--- 5.0.2-3/include/CGAL/Mesh_2/Refine_faces.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_2/Refine_faces.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Mesh_2/Refine_faces.h $
-// $Id: Refine_faces.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Mesh_2/Refine_faces.h $
+// $Id: Refine_faces.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -77,7 +77,7 @@ protected: // --- PROTECTED TYPES ---
       return false;
     }
   };
-  
+
   typedef CGAL::Double_map<Face_handle, Quality, Face_compare> Bad_faces;
 
 protected:
@@ -94,7 +94,7 @@ protected:
 public:
   /** \name CONSTRUCTORS */
 
-  Refine_faces_base(Tr& t, Criteria& criteria_, Previous& prev) 
+  Refine_faces_base(Tr& t, Criteria& criteria_, Previous& prev)
     : Triangulation_traits(t), criteria(criteria_), previous(prev)
   {
   }
@@ -111,17 +111,17 @@ public:
 #endif // CGAL_MESH_2_DEBUG_BAD_FACES
 
     for(typename Tr::Finite_faces_iterator fit =
-	  triangulation_ref_impl().finite_faces_begin();
+          triangulation_ref_impl().finite_faces_begin();
         fit != triangulation_ref_impl().finite_faces_end();
         ++fit)
     {
       if( fit->is_in_domain() )
-	{
-	  Quality q;
-	  Mesh_2::Face_badness badness = is_bad(fit, q);
-	  if( badness != Mesh_2::NOT_BAD )
-	    push_in_bad_faces(fit, q);
-	}
+        {
+          Quality q;
+          Mesh_2::Face_badness badness = is_bad(fit, q);
+          if( badness != Mesh_2::NOT_BAD )
+            push_in_bad_faces(fit, q);
+        }
     }
   }
 
@@ -137,7 +137,7 @@ public:
       get_conflicts_and_boundary(p,
                                  std::back_inserter(zone.faces),
                                  std::back_inserter(zone.boundary_edges),
-				 fh
+                                 fh
                                  );
 #ifdef CGAL_MESH_2_DEBUG_CONFLICTS_ZONE
     std::cerr << "get_conflicts_and_boundary(" << p << "):" << std::endl
@@ -184,13 +184,13 @@ public:
   /** \todo ?? */
   void before_conflicts_impl(const Face_handle&, const Point&)
   { /// @todo modularize
-    previous.set_imperative_refinement(current_badness == 
-				       Mesh_2::IMPERATIVELY_BAD);
+    previous.set_imperative_refinement(current_badness ==
+                                       Mesh_2::IMPERATIVELY_BAD);
   }
 
   /** Remove the conflicting faces from the bad faces map. */
   void before_insertion_impl(const Face_handle&, const Point&,
-			     Zone& zone)
+                             Zone& zone)
   {
     /** @todo Perhaps this function is useless. */
     for(typename Zone::Faces_iterator fh_it = zone.faces.begin();
@@ -209,7 +209,7 @@ public:
 #ifdef CGAL_MESH_2_VERBOSE
     std::cerr << "*";
 #endif
-    typename Tr::Face_circulator fc = 
+    typename Tr::Face_circulator fc =
       triangulation_ref_impl().incident_faces(v), fcbegin(fc);
     do {
       fc->set_in_domain(true);
@@ -263,7 +263,7 @@ public:
   }
 
 }; // end class Refine_faces_base
-  
+
 // --- PRIVATE MEMBER FUNCTIONS ---
 
 template <typename Tr, typename Criteria, typename Previous>
@@ -310,12 +310,12 @@ compute_new_bad_faces(Vertex_handle v)
   do {
     if(!triangulation_ref_impl().is_infinite(fc))
       if( fc->is_in_domain() )
-	{
-	  Quality q;
-	  Mesh_2::Face_badness badness = is_bad(fc, q);
-	  if( badness != Mesh_2::NOT_BAD )
-	    push_in_bad_faces(fc, q);
-	}
+        {
+          Quality q;
+          Mesh_2::Face_badness badness = is_bad(fc, q);
+          if( badness != Mesh_2::NOT_BAD )
+            push_in_bad_faces(fc, q);
+        }
     fc++;
   } while(fc!=fcbegin);
 }
@@ -353,12 +353,12 @@ is_bad(Quality q) const
     struct Refine_faces_types
     {
       typedef Mesher_level <
-	Tr,
+        Tr,
         Self,
         typename Tr::Face_handle,
         Previous,
-	Triangulation_mesher_level_traits_2<Tr>
-	>
+        Triangulation_mesher_level_traits_2<Tr>
+        >
       Faces_mesher_level;
     }; // end Refine_faces_types
   } // end namespace details
@@ -367,9 +367,9 @@ template <typename Tr,
           typename Criteria,
           typename Previous,
           typename Base = Refine_faces_base<Tr, Criteria, Previous> >
-class Refine_faces : 
-  public Base, 
-  public details::Refine_faces_types<Tr, 
+class Refine_faces :
+  public Base,
+  public details::Refine_faces_types<Tr,
     Refine_faces<Tr, Criteria, Previous, Base>,
     Previous>::Faces_mesher_level
 {
@@ -423,14 +423,14 @@ public:
     struct Output_bad_face {
       std::string operator()(typename Tr::Face_handle fh)
       {
-	std::stringstream str;
-	
-	str << "("
-	    << fh->vertex(0)->point() << ", "
+        std::stringstream str;
+
+        str << "("
+            << fh->vertex(0)->point() << ", "
             << fh->vertex(1)->point() << ", "
             << fh->vertex(2)->point()
-	    << ")";
-	return str.str();
+            << ")";
+        return str.str();
       }
     };
 
@@ -455,7 +455,7 @@ public:
 
           return false;
         }
-    return true;  
+    return true;
   }
 
 }; // end Refine_faces
diff -pruN 5.0.2-3/include/CGAL/Mesh_2/Sizing_field_2.h 5.0.3-1/include/CGAL/Mesh_2/Sizing_field_2.h
--- 5.0.2-3/include/CGAL/Mesh_2/Sizing_field_2.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_2/Sizing_field_2.h	2020-08-01 19:02:29.000000000 +0000
@@ -4,10 +4,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Mesh_2/Sizing_field_2.h $
-// $Id: Sizing_field_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Mesh_2/Sizing_field_2.h $
+// $Id: Sizing_field_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s) : Jane Tournois, Pierre Alliez
 //
@@ -27,7 +27,7 @@ namespace CGAL
 
 template <typename Tr>
 class Sizing_field_2 // pure virtual class
-{    
+{
 public:
   typedef typename Tr::Geom_traits::Point_2 Point_2;
   typedef typename Tr::Geom_traits::FT      FT;
diff -pruN 5.0.2-3/include/CGAL/Mesh_2/Uniform_sizing_field_2.h 5.0.3-1/include/CGAL/Mesh_2/Uniform_sizing_field_2.h
--- 5.0.2-3/include/CGAL/Mesh_2/Uniform_sizing_field_2.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_2/Uniform_sizing_field_2.h	2020-08-01 19:02:29.000000000 +0000
@@ -4,10 +4,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Mesh_2/Uniform_sizing_field_2.h $
-// $Id: Uniform_sizing_field_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Mesh_2/Uniform_sizing_field_2.h $
+// $Id: Uniform_sizing_field_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s) : Jane Tournois, Pierre Alliez
 //
@@ -23,16 +23,16 @@
 namespace CGAL {
 
 namespace Mesh_2 {
-  
+
 template <typename Tr>
 class Uniform_sizing_field_2
   : public virtual Sizing_field_2<Tr>
 {
   typedef typename Tr::Geom_traits::Point_2       Point_2;
   typedef typename Tr::Geom_traits::FT            FT;
-  
+
 public:
-  // Vertices of mesh triangulation do not need to be updated 
+  // Vertices of mesh triangulation do not need to be updated
   static const bool is_vertex_update_needed = false;
 
 public:
@@ -41,8 +41,8 @@ public:
 public:
   FT operator()(const Point_2&) const { return FT(1); }
 };
-  
-  
+
+
 } // end namespace Mesh_2
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/C3T3_helpers.h 5.0.3-1/include/CGAL/Mesh_3/C3T3_helpers.h
--- 5.0.2-3/include/CGAL/Mesh_3/C3T3_helpers.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/C3T3_helpers.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/C3T3_helpers.h $
-// $Id: C3T3_helpers.h 85712ba 2020-01-14T15:03:20+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/C3T3_helpers.h $
+// $Id: C3T3_helpers.h ad23db2 2020-06-30T16:36:58+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -840,16 +840,6 @@ public:
                            bool *could_lock_zone) const;
 
   /**
-   * Try to lock the incident cells and return them in \c cells
-   * Return value:
-   * - false: everything is unlocked and \c cells is empty
-   * - true: incident cells are locked and \c cells contains all of them
-   */
-  bool
-  try_lock_and_get_incident_cells(const Vertex_handle& v,
-                                  Cell_vector &cells) const;
-
-  /**
    * Try to lock ALL the incident cells and return in \c cells the ones
    * whose \c filter says "true".
    * Return value:
@@ -1267,6 +1257,7 @@ private:
 
   class Facet_updater
   {
+    const Self& m_c3t3_helpers;
     Vertex_set& vertex_to_proj;
     C3T3& c3t3_;
     Update_c3t3& c3t3_updater_;
@@ -1275,8 +1266,10 @@ private:
     typedef Facet& reference;
     typedef const Facet& const_reference;
 
-    Facet_updater(C3T3& c3t3, Vertex_set& vertex_to_proj, Update_c3t3& c3t3_updater_)
-      : vertex_to_proj(vertex_to_proj), c3t3_(c3t3), c3t3_updater_(c3t3_updater_)
+    Facet_updater(const Self& c3t3_helpers,
+      C3T3& c3t3, Vertex_set& vertex_to_proj, Update_c3t3& c3t3_updater_)
+      : m_c3t3_helpers(c3t3_helpers),
+      vertex_to_proj(vertex_to_proj), c3t3_(c3t3), c3t3_updater_(c3t3_updater_)
     {}
 
     void
@@ -1296,9 +1289,9 @@ private:
           const Vertex_handle& v = f.first->vertex((k+i)&3);
           if ( c3t3_.in_dimension(v) > 2 )
           {
-            //lock_vertex_to_proj();
+            m_c3t3_helpers.lock_vertex_to_proj();
             vertex_to_proj.insert(v);
-            //unlock_vertex_to_proj();
+            m_c3t3_helpers.unlock_vertex_to_proj();
           }
         }
       }
@@ -2732,7 +2725,7 @@ rebuild_restricted_delaunay(OutdatedCell
     // Note: ~42% of rebuild_restricted_delaunay time
     //  Facet_vector facets;
     lock_vertex_to_proj();
-    Facet_updater facet_updater(c3t3_,vertex_to_proj, updater);
+    Facet_updater facet_updater(*this, c3t3_,vertex_to_proj, updater);
     unlock_vertex_to_proj();
     update_facets(outdated_cells_vector, facet_updater);
 
@@ -2761,7 +2754,7 @@ rebuild_restricted_delaunay(OutdatedCell
     // Get facets (returns each canonical facet only once)
     // Note: ~42% of rebuild_restricted_delaunay time
     //  Facet_vector facets;
-    Facet_updater facet_updater(c3t3_,vertex_to_proj, updater);
+    Facet_updater facet_updater(*this, c3t3_,vertex_to_proj, updater);
     update_facets(outdated_cells, facet_updater);
 
     // now we can clear
@@ -2949,7 +2942,19 @@ move_point(const Vertex_handle& old_vert
 
   Cell_vector incident_cells_;
   incident_cells_.reserve(64);
-  tr_.incident_cells(old_vertex, std::back_inserter(incident_cells_));
+
+# ifdef CGAL_LINKED_WITH_TBB
+  // Parallel
+  if (boost::is_convertible<Concurrency_tag, Parallel_tag>::value)
+  {
+    tr_.incident_cells_threadsafe(old_vertex, std::back_inserter(incident_cells_));
+  }
+  // Sequential
+  else
+# endif // CGAL_LINKED_WITH_TBB
+  {
+    tr_.incident_cells(old_vertex, std::back_inserter(incident_cells_));
+  }
 
   const Weighted_point& position = tr_.point(old_vertex);
   const Weighted_point& new_position = cwp(translate(cp(position), move));
@@ -3038,9 +3043,10 @@ move_point(const Vertex_handle& old_vert
   //======= Get incident cells ==========
   Cell_vector incident_cells_;
   incident_cells_.reserve(64);
-  if (try_lock_and_get_incident_cells(old_vertex, incident_cells_) == false)
+  if (tr_.try_lock_and_get_incident_cells(old_vertex, incident_cells_) == false)
   {
     *could_lock_zone = false;
+    unlock_all_elements();
     return Vertex_handle();
   }
   //======= /Get incident cells ==========
@@ -3067,11 +3073,12 @@ move_point(const Vertex_handle& old_vert
     lock_outdated_cells();
     std::copy(incident_cells_.begin(),incident_cells_.end(),
       std::inserter(outdated_cells_set, outdated_cells_set.end()));
-    unlock_outdated_cells();
 
     Vertex_handle new_vertex =
       move_point_no_topo_change(old_vertex, move, new_position);
 
+    unlock_outdated_cells();
+
     // Don't "unlock_all_elements" here, the caller may need it to do it himself
     return new_vertex;
   }
@@ -3583,60 +3590,6 @@ get_incident_slivers_without_using_tds_d
   tr_.incident_cells_threadsafe(v, boost::make_function_output_iterator(f));
 }
 
-// CJTODO: call tr_.try_lock_and_get_incident_cells instead?
-template <typename C3T3, typename MD>
-bool
-C3T3_helpers<C3T3,MD>::
-try_lock_and_get_incident_cells(const Vertex_handle& v,
-                                Cell_vector &cells) const
-  {
-    // We need to lock v individually first, to be sure v->cell() is valid
-    if (!try_lock_vertex(v))
-      return false;
-
-    Cell_handle d = v->cell();
-    if (!try_lock_element(d)) // LOCK
-    {
-      unlock_all_elements();
-      return false;
-    }
-    cells.push_back(d);
-    d->tds_data().mark_in_conflict();
-    int head=0;
-    int tail=1;
-    do {
-      Cell_handle c = cells[head];
-
-      for (int i=0; i<4; ++i) {
-        if (c->vertex(i) == v)
-          continue;
-        Cell_handle next = c->neighbor(i);
-
-        if (!try_lock_element(next)) // LOCK
-        {
-          for(Cell_handle ch : cells)
-          {
-            ch->tds_data().clear();
-          }
-          cells.clear();
-          unlock_all_elements();
-          return false;
-        }
-        if (! next->tds_data().is_clear())
-          continue;
-        cells.push_back(next);
-        ++tail;
-        next->tds_data().mark_in_conflict();
-      }
-      ++head;
-    } while(head != tail);
-    for(Cell_handle ch : cells)
-    {
-      ch->tds_data().clear();
-    }
-    return true;
-  }
-
 template <typename C3T3, typename MD>
 template <typename Filter>
 bool
@@ -3647,7 +3600,7 @@ try_lock_and_get_incident_cells(const Ve
 {
   std::vector<Cell_handle> tmp_cells;
   tmp_cells.reserve(64);
-  bool ret = try_lock_and_get_incident_cells(v, tmp_cells);
+  bool ret = tr_.try_lock_and_get_incident_cells(v, tmp_cells);
   if (ret)
   {
     for(Cell_handle ch : tmp_cells)
@@ -3656,6 +3609,8 @@ try_lock_and_get_incident_cells(const Ve
         cells.push_back(ch);
     }
   }
+  else
+    tr_.unlock_all_elements();
   return ret;
 }
 
@@ -3873,7 +3828,19 @@ get_conflict_zone_topo_change(const Vert
   // Get triangulation_vertex incident cells : removal conflict zone
   // TODO: hasn't it already been computed in "perturb_vertex" (when getting the slivers)?
   // We don't try to lock the incident cells since they've already been locked
-  tr_.incident_cells(v, removal_conflict_cells);
+
+# ifdef CGAL_LINKED_WITH_TBB
+// Parallel
+  if (boost::is_convertible<Concurrency_tag, Parallel_tag>::value)
+  {
+    tr_.incident_cells_threadsafe(v, removal_conflict_cells);
+  }
+  // Sequential
+  else
+# endif // CGAL_LINKED_WITH_TBB
+  {
+    tr_.incident_cells(v, removal_conflict_cells);
+  }
 
   // Get conflict_point conflict zone
   int li=0;
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Cell_criteria_visitor_with_balls.h 5.0.3-1/include/CGAL/Mesh_3/Cell_criteria_visitor_with_balls.h
--- 5.0.2-3/include/CGAL/Mesh_3/Cell_criteria_visitor_with_balls.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Cell_criteria_visitor_with_balls.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Cell_criteria_visitor_with_balls.h $
-// $Id: Cell_criteria_visitor_with_balls.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Cell_criteria_visitor_with_balls.h $
+// $Id: Cell_criteria_visitor_with_balls.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -37,7 +37,7 @@ public:
   typedef Abstract_criterion<Tr, Self> Criterion;
   typedef Mesh_3::Cell_radius_criterion<Tr, Self> Cell_radius_criterion;
   typedef Mesh_3::Cell_radius_edge_criterion<Tr, Self> Cell_radius_edge_criterion;
-        
+
   typedef typename Base::Quality Cell_quality;
   typedef typename Base::Is_bad  Is_cell_bad;
   typedef typename Base::Handle  Handle;
@@ -51,7 +51,7 @@ public:
   int nb_weighted_points;
   std::vector<Weighted_point> points;
   double radius_ortho_shpere;
-        
+
   typedef typename Tr::Cell::Surface_patch_index Surface_patch_index;
   typedef typename Tr::Vertex_handle Vertex_handle;
 
@@ -104,7 +104,7 @@ public:
       Base::do_visit(criterion);
     else
       Base::do_visit(criterion);
-                                
+
   }
 
   void visit(const Cell_radius_edge_criterion& criterion)
@@ -123,7 +123,7 @@ public:
 
 };  // end class Cell_criterion_visitor
 
-} // end namespace Mesh_3 
+} // end namespace Mesh_3
 } // end namespace CGAL
 
 #endif // CGAL_MESH_3_CELL_CRITERIA_VISITOR_WITH_BALLS_H
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Concurrent_mesher_config.h 5.0.3-1/include/CGAL/Mesh_3/Concurrent_mesher_config.h
--- 5.0.2-3/include/CGAL/Mesh_3/Concurrent_mesher_config.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Concurrent_mesher_config.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Concurrent_mesher_config.h $
-// $Id: Concurrent_mesher_config.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Concurrent_mesher_config.h $
+// $Id: Concurrent_mesher_config.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -120,7 +120,7 @@ protected:
     }
     catch (std::exception &e)
     {
-      std::cerr << "Concurrency configuration file error: " 
+      std::cerr << "Concurrency configuration file error: "
         << e.what() << std::endl;
       return false;
     }
@@ -164,7 +164,7 @@ protected:
       return OptionType();
   }
 #endif
-  
+
 #ifdef CGAL_USE_BOOST_PROGRAM_OPTIONS
   po::variables_map m_variables_map;
 #endif
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/config.h 5.0.3-1/include/CGAL/Mesh_3/config.h
--- 5.0.2-3/include/CGAL/Mesh_3/config.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/config.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/config.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/config.h $
 // $Id: config.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Detect_polylines_in_polyhedra_fwd.h 5.0.3-1/include/CGAL/Mesh_3/Detect_polylines_in_polyhedra_fwd.h
--- 5.0.2-3/include/CGAL/Mesh_3/Detect_polylines_in_polyhedra_fwd.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Detect_polylines_in_polyhedra_fwd.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Detect_polylines_in_polyhedra_fwd.h $
-// $Id: Detect_polylines_in_polyhedra_fwd.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Detect_polylines_in_polyhedra_fwd.h $
+// $Id: Detect_polylines_in_polyhedra_fwd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -26,7 +26,7 @@ template <typename Polyhedron,
           typename Polyline_and_context,
           typename Polylines_output_iterator>
 Polylines_output_iterator
-detect_polylines(Polyhedron* pMesh, 
+detect_polylines(Polyhedron* pMesh,
                  Polylines_output_iterator out_it);
 
 } // end namespace CGAL::Mesh_3
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Detect_polylines_in_polyhedra.h 5.0.3-1/include/CGAL/Mesh_3/Detect_polylines_in_polyhedra.h
--- 5.0.2-3/include/CGAL/Mesh_3/Detect_polylines_in_polyhedra.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Detect_polylines_in_polyhedra.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Detect_polylines_in_polyhedra.h $
-// $Id: Detect_polylines_in_polyhedra.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Detect_polylines_in_polyhedra.h $
+// $Id: Detect_polylines_in_polyhedra.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -58,20 +58,20 @@ struct Detect_polylines
   typedef typename Polyhedron_vertex::Set_of_indices Set_of_indices;
 
   template <typename T>
-  static 
+  static
   void display_index(std::ostream& stream, const T& x)
   {
     stream << x;
   }
 
   template <typename T, typename U>
-  static 
+  static
   void display_index(std::ostream& stream, const std::pair<T,U>& p)
   {
     stream << p.first << "+" << p.second;
   }
 
-  static 
+  static
   void display_set(std::ostream& stream, Set_of_indices set) {
     stream << "( ";
     for(typename Set_of_indices::value_type i : set) {
@@ -84,9 +84,9 @@ struct Detect_polylines
   static Set_of_indices
   edge_indices(const Halfedge_handle he) {
     Set_of_indices set_of_indices;
-    const Set_of_indices& source_set = 
+    const Set_of_indices& source_set =
       he->opposite()->vertex()->incident_patches_ids_set();
-    const Set_of_indices& target_set = 
+    const Set_of_indices& target_set =
       he->vertex()->incident_patches_ids_set();
     std::set_intersection(source_set.begin(), source_set.end(),
                           target_set.begin(), target_set.end(),
@@ -111,12 +111,12 @@ struct Detect_polylines
     const Halfedge_handle& op = he->opposite();
     if(Compare_handles()(he, op))
       return he;
-    else 
+    else
       return op;
   }
 
   static bool is_feature(const Halfedge_handle he) {
-    return 
+    return
       he->is_feature_edge() || he->opposite()->is_feature_edge();
   }
 
@@ -124,10 +124,10 @@ struct Detect_polylines
   template <typename Polyline_and_context, typename Polylines_output_iterator>
   Polylines_output_iterator
   follow_half_edge(const Halfedge_handle he,
-                   Polylines_output_iterator polylines_out, 
+                   Polylines_output_iterator polylines_out,
                    Polyline_and_context = Polyline_and_context())
   {
-    typename Feature_edges_set::iterator it = 
+    typename Feature_edges_set::iterator it =
       edges_to_consider.find(canonical(he));
     if(it == edges_to_consider.end()) {
       return polylines_out;
@@ -151,7 +151,7 @@ struct Detect_polylines
       polyline.polyline_content.push_back(v->point());
       // std::cerr << v->point() << std::endl;
       if(corner_vertices.count(v) > 0) break;
-      typename Polyhedron::Halfedge_around_vertex_circulator 
+      typename Polyhedron::Halfedge_around_vertex_circulator
         loop_he = v->vertex_begin();
       ++loop_he;
       // CGAL_assertion((&*loop_he) != (&*current_he) );
@@ -161,15 +161,15 @@ struct Detect_polylines
         // CGAL_assertion((&*loop_he) != (&*current_he) );
       }
 
-      Set_of_indices set_of_indices_of_next_edge = 
+      Set_of_indices set_of_indices_of_next_edge =
         edge_indices(loop_he);
 
-      if(! (set_of_indices_of_next_edge.size() == 
-            set_of_indices_of_current_edge.size() 
+      if(! (set_of_indices_of_next_edge.size() ==
+            set_of_indices_of_current_edge.size()
             &&
             std::equal(set_of_indices_of_next_edge.begin(),
                        set_of_indices_of_next_edge.end(),
-                       set_of_indices_of_current_edge.begin())) ) 
+                       set_of_indices_of_current_edge.begin())) )
       {
         // the vertex is a special vertex, a new corner
 #ifdef CGAL_MESH_3_PROTECTION_DEBUG
@@ -206,17 +206,17 @@ struct Detect_polylines
   /** Loop around a corner vertex, and try to follow a polyline of feature
       edges, from each incident edge. */
   template <typename Polyline_and_context, typename Polylines_output_iterator>
-  Polylines_output_iterator 
+  Polylines_output_iterator
   loop_around_corner(const Vertex_handle v,
-                     Polylines_output_iterator polylines_out, 
-                     Polyline_and_context empty_polyline = 
+                     Polylines_output_iterator polylines_out,
+                     Polyline_and_context empty_polyline =
                      Polyline_and_context() )
   {
-    typename Polyhedron::Halfedge_around_vertex_circulator 
+    typename Polyhedron::Halfedge_around_vertex_circulator
       he = v->vertex_begin(), end(he);
     do {
       CGAL_assertion(he->vertex() == v);
-      polylines_out = follow_half_edge(he->opposite(), 
+      polylines_out = follow_half_edge(he->opposite(),
                                        polylines_out,
                                        empty_polyline);
       ++he;
@@ -273,7 +273,7 @@ struct Detect_polylines
     const typename Geom_traits::Vector_3 bv = pv - pb;
     const typename Geom_traits::FT sc_prod = av * bv;
     if( sc_prod >= 0 ||
-        (sc_prod < 0 && 
+        (sc_prod < 0 &&
          CGAL::square(sc_prod) < (av * av) * (bv * bv) / 4 ) )
     {
       // std::cerr << "Corner (" << pa << ", " << pv
@@ -285,11 +285,11 @@ struct Detect_polylines
     }
   }
 
-  template <typename Polyline_and_context, 
+  template <typename Polyline_and_context,
             typename Polylines_output_iterator>
   Polylines_output_iterator
-  operator()(Polyhedron* pMesh, 
-             Polylines_output_iterator out_it, 
+  operator()(Polyhedron* pMesh,
+             Polylines_output_iterator out_it,
              Polyline_and_context empty_polyline)
   {
     // That call orders the set of edges of the polyhedron, so that the
@@ -299,7 +299,7 @@ struct Detect_polylines
 
     // Iterate over all edges, and find out which vertices are corner
     // vertices (more than two incident feature edges).
-    for(typename Polyhedron::Edge_iterator 
+    for(typename Polyhedron::Edge_iterator
           eit = pMesh->edges_begin (),
           end = pMesh->edges_end();
         eit != end; ++eit)
@@ -314,12 +314,12 @@ struct Detect_polylines
       }
     }
 
-    for(typename Polyhedron::Vertex_iterator 
+    for(typename Polyhedron::Vertex_iterator
           vit = pMesh->vertices_begin (),
           end = pMesh->vertices_end();
         vit != end; ++vit)
     {
-      if(feature_vertices.count(vit) !=0 && 
+      if(feature_vertices.count(vit) !=0 &&
          feature_vertices[vit] == 1) {
         corner_vertices.insert(vit);
       }
@@ -329,7 +329,7 @@ struct Detect_polylines
     std::cerr << "Corner vertices: " << corner_vertices.size() << std::endl;
     std::cerr << "Feature vertices: " << feature_vertices.size() << std::endl;
 #endif
-    
+
     // // Iterate over non-corner feature vertices, and measure the angle.
     for(typename Vertices_counter::iterator it = feature_vertices.begin(),
         end = feature_vertices.end(); it != end; ++it)
@@ -365,11 +365,11 @@ struct Detect_polylines
   }
 };
 
-template <typename Polyhedron, 
-          typename Polyline_and_context, 
+template <typename Polyhedron,
+          typename Polyline_and_context,
           typename Polylines_output_iterator>
 Polylines_output_iterator
-detect_polylines(Polyhedron* pMesh, 
+detect_polylines(Polyhedron* pMesh,
                  Polylines_output_iterator out_it) {
 
   Detect_polylines<Polyhedron> go;
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/dihedral_angle_3.h 5.0.3-1/include/CGAL/Mesh_3/dihedral_angle_3.h
--- 5.0.2-3/include/CGAL/Mesh_3/dihedral_angle_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/dihedral_angle_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/dihedral_angle_3.h $
-// $Id: dihedral_angle_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/dihedral_angle_3.h $
+// $Id: dihedral_angle_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -39,10 +39,10 @@ dihedral_angle(const typename K::Point_3
   return k.compute_approximate_dihedral_angle_3_object()(a, b, c, d);
 }
 
-  
+
 /**
  * Computes dihedral angle of planes (a,b,c) and (a,b,d)
- */  
+ */
 template <typename Point_3>
 typename Kernel_traits<Point_3>::Kernel::FT
 dihedral_angle(const Point_3& a, const Point_3& b,
@@ -52,7 +52,7 @@ dihedral_angle(const Point_3& a, const P
     CGAL::Mesh_3::dihedral_angle(a, b, c, d,
                                  typename Kernel_traits<Point_3>::Kernel());
 }
-  
+
 } // end namespace Mesh_3
 } // end namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Dump_c3t3.h 5.0.3-1/include/CGAL/Mesh_3/Dump_c3t3.h
--- 5.0.2-3/include/CGAL/Mesh_3/Dump_c3t3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Dump_c3t3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Dump_c3t3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Dump_c3t3.h $
 // $Id: Dump_c3t3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/experimental/AABB_filtered_projection_traits.h 5.0.3-1/include/CGAL/Mesh_3/experimental/AABB_filtered_projection_traits.h
--- 5.0.2-3/include/CGAL/Mesh_3/experimental/AABB_filtered_projection_traits.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/experimental/AABB_filtered_projection_traits.h	2020-08-01 19:02:31.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/experimental/AABB_filtered_projection_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/experimental/AABB_filtered_projection_traits.h $
 // $Id: AABB_filtered_projection_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/experimental/Facet_topological_criterion_with_adjacency.h 5.0.3-1/include/CGAL/Mesh_3/experimental/Facet_topological_criterion_with_adjacency.h
--- 5.0.2-3/include/CGAL/Mesh_3/experimental/Facet_topological_criterion_with_adjacency.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/experimental/Facet_topological_criterion_with_adjacency.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/experimental/Facet_topological_criterion_with_adjacency.h $
-// $Id: Facet_topological_criterion_with_adjacency.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/experimental/Facet_topological_criterion_with_adjacency.h $
+// $Id: Facet_topological_criterion_with_adjacency.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Rineau
@@ -28,17 +28,17 @@ public Mesh_3::Abstract_criterion<Tr, Vi
 {
 private:
   typedef typename Tr::Facet Facet;
-  
+
   typedef Mesh_3::Abstract_criterion<Tr,Visitor_> Base;
   typedef typename Base::Quality Quality;
   typedef typename Base::Is_bad  Is_bad;
-  
+
   typedef Facet_topological_criterion_with_adjacency<Tr,MeshDomain, Visitor_> Self;
 
   typedef typename Tr::Geom_traits::FT FT;
 
   const MeshDomain* domain;
-  
+
 public:
   /// Constructor
   Facet_topological_criterion_with_adjacency(const MeshDomain* domain)
@@ -47,24 +47,24 @@ public:
 
   /// Destructor
   virtual ~Facet_topological_criterion_with_adjacency() {}
-  
+
 protected:
   virtual void do_accept(Visitor_& v) const
   {
     v.visit(*this);
   }
-  
+
   virtual Self* do_clone() const
   {
     // Call copy ctor on this
     return new Self(*this);
   }
-  
+
   virtual Is_bad do_is_bad (const Tr& /*tr*/, const Facet& f) const
   {
     typedef typename Tr::Vertex_handle  Vertex_handle;
     typedef typename Tr::Cell_handle    Cell_handle;
-    
+
     const Cell_handle& ch = f.first;
     const int& i = f.second;
 
@@ -91,7 +91,7 @@ protected:
             return Is_bad(Quality(1)); // bad!
         }
         break;
-      case 1: 
+      case 1:
         {
           ++nb_vertices_on_curves;
           const typename MeshDomain::Curve_index curve_id =
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/experimental/Get_curve_index.h 5.0.3-1/include/CGAL/Mesh_3/experimental/Get_curve_index.h
--- 5.0.2-3/include/CGAL/Mesh_3/experimental/Get_curve_index.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/experimental/Get_curve_index.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/experimental/Get_curve_index.h $
-// $Id: Get_curve_index.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/experimental/Get_curve_index.h $
+// $Id: Get_curve_index.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -24,7 +24,7 @@ namespace CGAL { namespace Mesh_3 {
 // struct Get_curves_indices {
 //   const Mesh_domain* mesh_domain;
 
-//   Get_curves_indices(const Mesh_domain* mesh_domain) 
+//   Get_curves_indices(const Mesh_domain* mesh_domain)
 //     : mesh_domain(mesh_domain) {}
 
 // }; // end Get_curves_indices
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/experimental/Get_facet_patch_id.h 5.0.3-1/include/CGAL/Mesh_3/experimental/Get_facet_patch_id.h
--- 5.0.2-3/include/CGAL/Mesh_3/experimental/Get_facet_patch_id.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/experimental/Get_facet_patch_id.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/experimental/Get_facet_patch_id.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/experimental/Get_facet_patch_id.h $
 // $Id: Get_facet_patch_id.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_experimental.h 5.0.3-1/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_experimental.h
--- 5.0.2-3/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_experimental.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_experimental.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_experimental.h $
-// $Id: Lipschitz_sizing_experimental.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_experimental.h $
+// $Id: Lipschitz_sizing_experimental.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -201,7 +201,7 @@ public:
       const typename MeshDomain::Curve_index& curve_id =
         m_domain.curve_index(index);
       const Patches_ids& ids = patches_ids_map[curve_id];
-      
+
       if (m_domain_is_a_box && ids.size() == 2)
       {
         //we are on an edge of the box
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_parameters.h 5.0.3-1/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_parameters.h
--- 5.0.2-3/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_parameters.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_parameters.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_parameters.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_parameters.h $
 // $Id: Lipschitz_sizing_parameters.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_polyhedron.h 5.0.3-1/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_polyhedron.h
--- 5.0.2-3/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_polyhedron.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_polyhedron.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_polyhedron.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/experimental/Lipschitz_sizing_polyhedron.h $
 // $Id: Lipschitz_sizing_polyhedron.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/experimental/Sizing_field_minimum.h 5.0.3-1/include/CGAL/Mesh_3/experimental/Sizing_field_minimum.h
--- 5.0.2-3/include/CGAL/Mesh_3/experimental/Sizing_field_minimum.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/experimental/Sizing_field_minimum.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/experimental/Sizing_field_minimum.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/experimental/Sizing_field_minimum.h $
 // $Id: Sizing_field_minimum.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/experimental/Sizing_field_with_aabb_tree.h 5.0.3-1/include/CGAL/Mesh_3/experimental/Sizing_field_with_aabb_tree.h
--- 5.0.2-3/include/CGAL/Mesh_3/experimental/Sizing_field_with_aabb_tree.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/experimental/Sizing_field_with_aabb_tree.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/experimental/Sizing_field_with_aabb_tree.h $
-// $Id: Sizing_field_with_aabb_tree.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/experimental/Sizing_field_with_aabb_tree.h $
+// $Id: Sizing_field_with_aabb_tree.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Rineau
@@ -77,7 +77,7 @@ struct Sizing_field_with_aabb_tree
    Get_curve_index get_curve_index = Get_curve_index(),
    Get_facet_patch_id get_facet_patch_id = Get_facet_patch_id()
    )
-    : d_(d), aabb_tree(aabb_tree), 
+    : d_(d), aabb_tree(aabb_tree),
       domain(domain),
       dt(),
       get_curve_index(get_curve_index),
@@ -165,14 +165,14 @@ struct Sizing_field_with_aabb_tree
     }
   }
 
-  double operator()(const Point_3& p, 
-                    const int dim, 
+  double operator()(const Point_3& p,
+                    const int dim,
                     const Index& id) const
-  { 
+  {
     CGAL_PROFILER("Sizing field");
 #ifdef CGAL_MESH_3_PROTECTION_HIGH_VERBOSITY
     if(dim <= 1) {
-      std::cerr << "Sizing("  << p << ", dim=" << dim 
+      std::cerr << "Sizing("  << p << ", dim=" << dim
                 << ", index=#" << CGAL::oformat(id) << "): ";
     }
 #endif // CGAL_MESH_3_PROTECTION_HIGH_VERBOSITY
@@ -190,28 +190,28 @@ struct Sizing_field_with_aabb_tree
       int li, lj;
       const typename Dt::Cell_handle ch = dt.locate(p, lt, li, lj);
       if(lt == Dt::VERTEX) {
-// 	std::cerr << "lt == Dt::VERTEX\n";
+//         std::cerr << "lt == Dt::VERTEX\n";
         const typename Dt::Vertex_handle vh = ch->vertex(li);
         std::vector<typename Dt::Vertex_handle> vs;
         vs.reserve(32);
         dt.finite_adjacent_vertices(vh, std::back_inserter(vs));
         CGAL_assertion(!vs.empty());
         nearest = dt.point(vs[0]);
-// 	std::cerr << "sq_dist = " << CGAL::squared_distance(p, nearest)
-// 		  << std::endl;
+//         std::cerr << "sq_dist = " << CGAL::squared_distance(p, nearest)
+//                   << std::endl;
         typename Kernel_::Compare_distance_3 compare_dist;
         for (typename std::vector<typename Dt::Vertex_handle>::const_iterator
-               it = vs.begin(); it != vs.end(); ++it) 
+               it = vs.begin(); it != vs.end(); ++it)
         {
-// 	  std::cerr << "sq_dist = " << CGAL::squared_distance(p, dt.point(*it))
-// 		  << std::endl;
+//           std::cerr << "sq_dist = " << CGAL::squared_distance(p, dt.point(*it))
+//                   << std::endl;
           if(compare_dist(p, dt.point(*it), nearest) == CGAL::SMALLER) {
-// 	    std::cerr << "  nearest!\n";
+//             std::cerr << "  nearest!\n";
             nearest = dt.point(*it);
           }
         }
       } else {
-// 	std::cerr << "lt=" << lt << std::endl;
+//         std::cerr << "lt=" << lt << std::endl;
         const typename Dt::Vertex_handle vh = dt.nearest_vertex(p, ch);
         nearest = dt.point(vh);
       }
@@ -230,24 +230,24 @@ struct Sizing_field_with_aabb_tree
 
         CGAL::Mesh_3::Filtered_projection_traits<
           typename Input_facets_AABB_tree_::AABB_traits,
-          Get_facet_patch_id 
+          Get_facet_patch_id
           > projection_traits(ids.begin(), ids.end(),
-                              aabb_tree.traits(), 
+                              aabb_tree.traits(),
                               get_facet_patch_id);
 
         aabb_tree.traversal(p, projection_traits);
 
         if(projection_traits.found()) {
-          result = 
-            (std::min)(0.9 / CGAL::sqrt(CGAL::Mesh_3::internal::weight_modifier) * 
-                       CGAL_NTS 
-                       sqrt(CGAL::squared_distance(p, 
+          result =
+            (std::min)(0.9 / CGAL::sqrt(CGAL::Mesh_3::internal::weight_modifier) *
+                       CGAL_NTS
+                       sqrt(CGAL::squared_distance(p,
                                                    projection_traits.closest_point())),
                        result);
 #ifdef CGAL_MESH_3_PROTECTION_HIGH_VERBOSITY
           {
             std::stringstream s;
-       
+
             using boost::io::group;
             using std::setprecision;
             s << boost::format("\nSizing field is %1% at point (%2%)"
@@ -281,9 +281,9 @@ struct Sizing_field_with_aabb_tree
       std::cerr << result << "\n";
 #endif // CGAL_MESH_3_PROTECTION_HIGH_VERBOSITY
       return result;
-    } 
+    }
     else { // dim == 1
-      const typename MeshDomain::Curve_index& curve_id = 
+      const typename MeshDomain::Curve_index& curve_id =
         domain.curve_index(id);
       const Patches_ids& ids = curves_incident_patches[curve_id];
       if(!aabb_tree.empty()) {
@@ -316,11 +316,11 @@ struct Sizing_field_with_aabb_tree
                      sqrt(CGAL::squared_distance(p,
                                                  projection_traits.closest_point())),
                      result);
-      
+
 #ifdef CGAL_MESH_3_PROTECTION_HIGH_VERBOSITY
         {
           std::stringstream s;
-       
+
           s << boost::format("\nSizing field is %1% at point (%2%)"
                              " on curve #%3% !\n"
                              "Closest face id: %4%\n"
@@ -339,7 +339,7 @@ struct Sizing_field_with_aabb_tree
 #ifndef CGAL_NO_ASSERTIONS
         if(result <= 0) {
           std::stringstream s;
-       
+
           s << boost::format("Sizing field is %1% at point (%2%)"
                              " on curve #%3% !\n"
                              "Closest face id: %4%\n"
@@ -481,8 +481,8 @@ struct Sizing_field_with_aabb_tree
         std::cerr << "  closest_point: " << closest_intersection << "\n"
                   << "  distance = " << CGAL_NTS sqrt(sqd_intersection) << std::endl;
 #endif // CGAL_MESH_3_PROTECTION_HIGH_VERBOSITY
-        double new_result = 
-          (std::min)(0.45 / CGAL::sqrt(CGAL::Mesh_3::internal::weight_modifier) * 
+        double new_result =
+          (std::min)(0.45 / CGAL::sqrt(CGAL::Mesh_3::internal::weight_modifier) *
                      CGAL_NTS sqrt(sqd_intersection),
                      d_);
 
@@ -494,7 +494,7 @@ struct Sizing_field_with_aabb_tree
           result = new_result;
 #ifdef CGAL_MESH_3_PROTECTION_HIGH_VERBOSITY
           std::stringstream s;
-       
+
           s << boost::format("\nSizing field is %1% at point (%2%)"
                              " on curve #%3% !\n"
                              "Closest CURVE id: %4%\n"
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Facet_criteria_visitor_with_balls.h 5.0.3-1/include/CGAL/Mesh_3/Facet_criteria_visitor_with_balls.h
--- 5.0.2-3/include/CGAL/Mesh_3/Facet_criteria_visitor_with_balls.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Facet_criteria_visitor_with_balls.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Facet_criteria_visitor_with_balls.h $
-// $Id: Facet_criteria_visitor_with_balls.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Facet_criteria_visitor_with_balls.h $
+// $Id: Facet_criteria_visitor_with_balls.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -33,7 +33,7 @@ class Facet_criterion_visitor_with_balls
 {
   typedef Mesh_3::Criterion_visitor<Tr, typename Tr::Facet> Base;
   typedef Facet_criterion_visitor_with_balls<Tr> Self;
-   
+
 public:
   typedef Mesh_3::Abstract_criterion<Tr, Self> Criterion;
   typedef Mesh_3::Curvature_size_criterion<Tr, Self> Curvature_size_criterion;
@@ -41,7 +41,7 @@ public:
   typedef Mesh_3::Facet_on_surface_criterion<Tr, Self> Facet_on_surface_criterion;
   typedef Mesh_3::Uniform_size_criterion<Tr, Self> Uniform_size_criterion;
   typedef Mesh_3::Facet_on_same_surface_criterion<Tr, Self> Facet_on_same_surface_criterion;
-  
+
 
   typedef typename Base::Quality Facet_quality;
   typedef typename Base::Is_bad  Is_facet_bad;
@@ -56,11 +56,11 @@ public:
   int wp_nb_;
   double radius_ortho_shpere;
   double ratio;
-  
+
   //typedef typename Tr::Cell::Surface_patch_index Surface_patch_index;
   //typedef typename Tr::Vertex_handle Vertex_handle;
 
-   
+
   // Constructor
   Facet_criterion_visitor_with_balls(const Tr& tr, const Facet& fh)
     : Base(tr, fh)
@@ -110,7 +110,7 @@ public:
                                     : f_size2 / cw(wp2);
       }
       break;
-          
+
     case 1:
       {
         if(compare_sq_radius(wp2, FT(0)) == CGAL::SMALLER) { std::swap(wp1, wp2); }
@@ -122,13 +122,13 @@ public:
         ratio = f_size / cw(wp1);
       }
       break;
-          
+
     default: break;
     }
-      
+
     //std::cerr << "radius: " << radius_ortho_shpere << "  ratio: " << ratio << "  wp_nb:" << wp_nb_ << "\n";
   }
-   
+
   // Destructor
   ~Facet_criterion_visitor_with_balls() { }
 
@@ -139,15 +139,15 @@ public:
     else
       Base::do_visit(criterion);
   }
-   
+
   void visit(const Curvature_size_criterion& criterion)
   {
     if ( wp_nb_ >= 2 && radius_ortho_shpere <= 0.)
       Base::increment_counter();
     else if ( wp_nb_ == 1)
-    { 
+    {
       if ( ratio > 1.21 )
-      { 
+      {
         Base::do_visit(criterion);
         return;
       }
@@ -156,15 +156,15 @@ public:
     }
     else
       Base::do_visit(criterion);
-  
+
   }
-   
+
   void visit(const Aspect_ratio_criterion& criterion)
   {
     if ( wp_nb_ >=2  && radius_ortho_shpere <= 0.)
     {
       if ( ratio > 4 )
-      { 
+      {
         Base::do_visit(criterion);
         return;
       }
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Facet_on_same_surface_criterion.h 5.0.3-1/include/CGAL/Mesh_3/Facet_on_same_surface_criterion.h
--- 5.0.2-3/include/CGAL/Mesh_3/Facet_on_same_surface_criterion.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Facet_on_same_surface_criterion.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Facet_on_same_surface_criterion.h $
-// $Id: Facet_on_same_surface_criterion.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Facet_on_same_surface_criterion.h $
+// $Id: Facet_on_same_surface_criterion.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_MESH_3_FACET_ON_SAME_SURFACE_CRITERION_H
@@ -26,39 +26,39 @@
 namespace CGAL {
 
 namespace Mesh_3 {
-    
-    
+
+
 //template <typename Tr, typename Visitor_>
 //class Facet_on_same_surface_criterion :
 //public Mesh_3::Abstract_criterion<Tr, Visitor_>
 //{
 //private:
 //  typedef typename Tr::Facet Facet;
-//  
+//
 //  typedef Mesh_3::Abstract_criterion<Tr,Visitor_> Base;
 //  typedef typename Base::Quality Quality;
 //  typedef typename Base::Is_bad  Is_bad;
-//  
+//
 //  typedef Facet_on_same_surface_criterion<Tr,Visitor_> Self;
-//  
+//
 //public:
 //  /// Constructor
 //  Facet_on_same_surface_criterion() {};
 //  /// Destructor
 //  virtual ~Facet_on_same_surface_criterion() {};
-//  
+//
 //protected:
 //  virtual void do_accept(Visitor_& v) const
 //  {
 //    v.visit(*this);
 //  }
-//  
+//
 //  virtual Self* do_clone() const
 //  {
 //    // Call copy ctor on this
 //    return new Self(*this);
 //  }
-//  
+//
 //  virtual Is_bad do_is_bad (const Tr& tr, Facet& f) const
 //  {
 //    typedef typename Tr::Vertex_handle  Vertex_handle;
@@ -67,20 +67,20 @@ namespace Mesh_3 {
 //
 //    const Cell_handle& ch = f.first;
 //    const int& i = f.second;
-//    
+//
 //    const Vertex_handle& v1 = ch->vertex((i+1)&3);
 //    const Vertex_handle& v2 = ch->vertex((i+2)&3);
 //    const Vertex_handle& v3 = ch->vertex((i+3)&3);
-//    
+//
 //    Index index = Index();
 //    bool is_index_initialized = false;
-//    
+//
 //    if ( v1->in_dimension() == 2 )
-//    { 
+//    {
 //      index = v1->index();
 //      is_index_initialized = true;
 //    }
-//    
+//
 //    if ( v2->in_dimension() == 2 )
 //    {
 //      if ( is_index_initialized )
@@ -93,23 +93,23 @@ namespace Mesh_3 {
 //      else
 //      {
 //        index = v2->index();
-//        is_index_initialized = true;        
+//        is_index_initialized = true;
 //      }
 //    }
-//    
+//
 //    if ( v3->in_dimension() == 2 )
 //    {
 //      if ( is_index_initialized && !(v3->index() == index) )
 //      {
 //        return Is_bad(Quality(1));
-//      } 
+//      }
 //    }
-//    
+//
 //    return Is_bad();
 //  }
-//  
+//
 //}; // end class Facet_on_same_surface_criterion
-    
+
 } // end namespace Mesh_3
 
 
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Has_features.h 5.0.3-1/include/CGAL/Mesh_3/Has_features.h
--- 5.0.2-3/include/CGAL/Mesh_3/Has_features.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Has_features.h	2020-08-01 19:02:31.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Has_features.h $
-// $Id: Has_features.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Has_features.h $
+// $Id: Has_features.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Stéphane Tayeb, Laurent Rineau
@@ -27,9 +27,9 @@ namespace internal {
   // type of any class
   BOOST_MPL_HAS_XXX_TRAIT_DEF(Has_features)
 
-  template <typename Mesh_domain, 
+  template <typename Mesh_domain,
             bool has_Has_features = has_Has_features<Mesh_domain>::value>
-  struct Has_features : 
+  struct Has_features :
     public CGAL::Boolean_tag<Mesh_domain::Has_features::value>
     // when Mesh_domain has the nested type Has_features
   {};
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Image_to_labeled_function_wrapper.h 5.0.3-1/include/CGAL/Mesh_3/Image_to_labeled_function_wrapper.h
--- 5.0.2-3/include/CGAL/Mesh_3/Image_to_labeled_function_wrapper.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Image_to_labeled_function_wrapper.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Image_to_labeled_function_wrapper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Image_to_labeled_function_wrapper.h $
 // $Id: Image_to_labeled_function_wrapper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Implicit_surface_mesher_visitor.h 5.0.3-1/include/CGAL/Mesh_3/Implicit_surface_mesher_visitor.h
--- 5.0.2-3/include/CGAL/Mesh_3/Implicit_surface_mesher_visitor.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Implicit_surface_mesher_visitor.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Implicit_surface_mesher_visitor.h $
-// $Id: Implicit_surface_mesher_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Implicit_surface_mesher_visitor.h $
+// $Id: Implicit_surface_mesher_visitor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -51,7 +51,7 @@ namespace CGAL {
 //           CGAL_MESHES_OUTPUT_STREAM << "?";
 //           v->point().set_surface_index(1);
 //         }
-// 	CGAL_MESHES_OUTPUT_STREAM << v->point().surface_index();
+//         CGAL_MESHES_OUTPUT_STREAM << v->point().surface_index();
       }
 
       template <typename E, typename P, typename Z>
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/initialize_triangulation_from_labeled_image.h 5.0.3-1/include/CGAL/Mesh_3/initialize_triangulation_from_labeled_image.h
--- 5.0.2-3/include/CGAL/Mesh_3/initialize_triangulation_from_labeled_image.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/initialize_triangulation_from_labeled_image.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/initialize_triangulation_from_labeled_image.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/initialize_triangulation_from_labeled_image.h $
 // $Id: initialize_triangulation_from_labeled_image.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/io_signature.h 5.0.3-1/include/CGAL/Mesh_3/io_signature.h
--- 5.0.2-3/include/CGAL/Mesh_3/io_signature.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/io_signature.h	2020-08-01 19:02:31.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/io_signature.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/io_signature.h $
 // $Id: io_signature.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Is_mesh_domain_field_3.h 5.0.3-1/include/CGAL/Mesh_3/Is_mesh_domain_field_3.h
--- 5.0.2-3/include/CGAL/Mesh_3/Is_mesh_domain_field_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Is_mesh_domain_field_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Is_mesh_domain_field_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Is_mesh_domain_field_3.h $
 // $Id: Is_mesh_domain_field_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Lloyd_move.h 5.0.3-1/include/CGAL/Mesh_3/Lloyd_move.h
--- 5.0.2-3/include/CGAL/Mesh_3/Lloyd_move.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Lloyd_move.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Lloyd_move.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Lloyd_move.h $
 // $Id: Lloyd_move.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Mesh_complex_3_in_triangulation_3_base.h 5.0.3-1/include/CGAL/Mesh_3/Mesh_complex_3_in_triangulation_3_base.h
--- 5.0.2-3/include/CGAL/Mesh_3/Mesh_complex_3_in_triangulation_3_base.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Mesh_complex_3_in_triangulation_3_base.h	2020-08-01 19:02:31.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Mesh_complex_3_in_triangulation_3_base.h $
-// $Id: Mesh_complex_3_in_triangulation_3_base.h 85712ba 2020-01-14T15:03:20+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Mesh_complex_3_in_triangulation_3_base.h $
+// $Id: Mesh_complex_3_in_triangulation_3_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -88,12 +88,12 @@ namespace Mesh_3 {
       // computes and return an ordered pair of Vertex
       Pair_of_vertices
       make_ordered_pair(const Vertex_handle vh1, const Vertex_handle vh2) const {
-	if (vh1 < vh2) {
-	  return std::make_pair(vh1, vh2);
-	}
-	else {
-	  return std::make_pair(vh2, vh1);
-	}
+        if (vh1 < vh2) {
+          return std::make_pair(vh1, vh2);
+        }
+        else {
+          return std::make_pair(vh2, vh1);
+        }
       }
 
       // same from an Edge
@@ -268,7 +268,7 @@ public:
     int number_of_boundary_incident_edges = 0; // could be a bool
     for (typename std::vector<Edge>::iterator
            eit=edges.begin(), end = edges.end();
-	 eit != end; eit++)
+         eit != end; eit++)
     {
       switch( face_status(*eit) )
       {
@@ -318,7 +318,7 @@ public:
 #ifdef CGAL_LINKED_WITH_TBB
     typename Edge_facet_counter::const_accessor accessor;
     if(!edge_facet_counter_.find(accessor,
-				 this->make_ordered_pair(edge)))
+                                 this->make_ordered_pair(edge)))
       return NOT_IN_COMPLEX;
     switch(accessor->second)
 #else // not CGAL_LINKED_WITH_TBB
@@ -443,7 +443,7 @@ public:
     // Call global function
     CGAL::output_to_medit(os,*this,rebind,show_patches);
   }
-  
+
   /// Outputs the mesh to maya
   void output_to_maya(std::ofstream& os,
                       bool surfaceOnly = true) const
@@ -574,12 +574,12 @@ private:
 #ifndef CGAL_LINKED_WITH_TBB
           ++edge_facet_counter_[this->make_ordered_pair(edge_va, edge_vb)];
 #else // CGAL_LINKED_WITH_TBB
-	  {
-	    typename Edge_facet_counter::accessor accessor;
-	    edge_facet_counter_.insert(accessor,
-				       this->make_ordered_pair(edge_va, edge_vb));
-	    ++accessor->second;
-	  }
+          {
+            typename Edge_facet_counter::accessor accessor;
+            edge_facet_counter_.insert(accessor,
+                                       this->make_ordered_pair(edge_va, edge_vb));
+            ++accessor->second;
+          }
 #endif // CGAL_LINKED_WITH_TBB
 
           const std::size_t n = edge_va->cached_number_of_incident_facets();
@@ -604,9 +604,9 @@ private:
     { // fill the union find
       std::vector<Facet> non_filtered_facets;
       if(tr_.is_parallel()) {
-	tr_.incident_facets_threadsafe(v, std::back_inserter(non_filtered_facets));
+        tr_.incident_facets_threadsafe(v, std::back_inserter(non_filtered_facets));
       } else {
-	tr_.incident_facets(v, std::back_inserter(non_filtered_facets));
+        tr_.incident_facets(v, std::back_inserter(non_filtered_facets));
       }
 
       for(typename std::vector<Facet>::iterator
@@ -632,15 +632,15 @@ private:
       const Cell_handle& ch = (*it).first;
       const int& i = (*it).second;
       for(int j=0; j < 3; ++j) {
-	const Vertex_handle w = ch->vertex(tr_.vertex_triple_index(i,j));
-	if(w != v){
-	  Vertex_set_map_iterator vsm_it = vsmap.find(w);
-	  if(vsm_it != vsmap.end()){
-	    facets.unify_sets(vsm_it->second, it);
-	  } else {
-	    vsmap.insert(std::make_pair(w, it));
-	  }
-	}
+        const Vertex_handle w = ch->vertex(tr_.vertex_triple_index(i,j));
+        if(w != v){
+          Vertex_set_map_iterator vsm_it = vsmap.find(w);
+          if(vsm_it != vsmap.end()){
+            facets.unify_sets(vsm_it->second, it);
+          } else {
+            vsmap.insert(std::make_pair(w, it));
+          }
+        }
       }
     }
     const std::size_t nb_components = facets.number_of_sets();
@@ -649,7 +649,7 @@ private:
     v->set_c2t3_cache(n, nb_components);
     return nb_components;
   }
-  
+
   //-------------------------------------------------------
   // Traversal
   //-------------------------------------------------------
@@ -852,7 +852,7 @@ private:
   {
     typedef size_type type;
   };
-  
+
   template<typename Concurrency_tag2, typename dummy = void>
   struct Init_number_of_elements
   {
@@ -862,7 +862,7 @@ private:
       a = b;
     }
   };
-  
+
   template<typename Concurrency_tag2, typename dummy = void>
   struct Swap_elements
   {
@@ -879,7 +879,7 @@ private:
   {
     typedef std::atomic<size_type> type;
   };
-  
+
   template<typename dummy>
   struct Init_number_of_elements<Parallel_tag, dummy>
   {
@@ -889,7 +889,7 @@ private:
       a = b.load();
     }
   };
-  
+
   template<typename dummy>
   struct Swap_elements<Parallel_tag, dummy>
   {
@@ -946,12 +946,12 @@ Mesh_complex_3_in_triangulation_3_base<T
         Vertex_handle edge_va = cell->vertex(edge_index_va);
         Vertex_handle edge_vb = cell->vertex(edge_index_vb);
 #ifdef CGAL_LINKED_WITH_TBB
-	{
-	  typename Edge_facet_counter::accessor accessor;
-	  edge_facet_counter_.insert(accessor,
-				     this->make_ordered_pair(edge_va, edge_vb));
-	  ++accessor->second;
-	}
+        {
+          typename Edge_facet_counter::accessor accessor;
+          edge_facet_counter_.insert(accessor,
+                                     this->make_ordered_pair(edge_va, edge_vb));
+          ++accessor->second;
+        }
 #else // not CGAL_LINKED_WITH_TBB
         ++edge_facet_counter_[this->make_ordered_pair(edge_va, edge_vb)];
 #endif // not CGAL_LINKED_WITH_TBB
@@ -996,12 +996,12 @@ Mesh_complex_3_in_triangulation_3_base<T
         const Vertex_handle edge_va = cell->vertex(edge_index_va);
         const Vertex_handle edge_vb = cell->vertex(edge_index_vb);
 #ifdef CGAL_LINKED_WITH_TBB
-	{
-	  typename Edge_facet_counter::accessor accessor;
-	  edge_facet_counter_.insert(accessor,
-				     this->make_ordered_pair(edge_va, edge_vb));
-	  --accessor->second;
-	}
+        {
+          typename Edge_facet_counter::accessor accessor;
+          edge_facet_counter_.insert(accessor,
+                                     this->make_ordered_pair(edge_va, edge_vb));
+          --accessor->second;
+        }
 #else // not CGAL_LINKED_WITH_TBB
         --edge_facet_counter_[this->make_ordered_pair(edge_va, edge_vb)];
 #endif // not CGAL_LINKED_WITH_TBB
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Mesher_3.h 5.0.3-1/include/CGAL/Mesh_3/Mesher_3.h
--- 5.0.2-3/include/CGAL/Mesh_3/Mesher_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Mesher_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Mesher_3.h $
-// $Id: Mesher_3.h 5fc7b97 2020-01-29T16:34:56+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Mesher_3.h $
+// $Id: Mesher_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -218,7 +218,7 @@ public:
            );
 
   /// Destructor
-  ~Mesher_3() 
+  ~Mesher_3()
   {
     // The lock data structure is going to be destroyed
     r_c3t3_.triangulation().set_lock_data_structure(nullptr);
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Mesher_level_default_implementations.h 5.0.3-1/include/CGAL/Mesh_3/Mesher_level_default_implementations.h
--- 5.0.2-3/include/CGAL/Mesh_3/Mesher_level_default_implementations.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Mesher_level_default_implementations.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Mesher_level_default_implementations.h $
-// $Id: Mesher_level_default_implementations.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Mesher_level_default_implementations.h $
+// $Id: Mesher_level_default_implementations.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU, Clement JAMIN
 
@@ -27,10 +27,10 @@ class Triangulation_ref_impl
 {
   Tr& tr;
 public:
-  Triangulation_ref_impl(Tr& t) : tr(t) 
+  Triangulation_ref_impl(Tr& t) : tr(t)
   {
   }
-  
+
   Tr& triangulation_ref_impl()
   {
     return tr;
@@ -44,11 +44,11 @@ public:
 
 /** This struct implements an empty private_test_point_conflict_impl()
     function. */
-struct No_private_test_point_conflict 
+struct No_private_test_point_conflict
 {
   template <typename Point, typename Zone>
   Mesher_level_conflict_status
-  private_test_point_conflict_impl(const Point&, const Zone&) const 
+  private_test_point_conflict_impl(const Point&, const Zone&) const
   {
     return NO_CONFLICT;
   }
@@ -61,7 +61,7 @@ struct No_test_point_conflict_from_super
   // For sequential
   template <typename Point, typename Zone>
   Mesher_level_conflict_status
-  test_point_conflict_from_superior_impl(const Point&, const Zone&) const 
+  test_point_conflict_from_superior_impl(const Point&, const Zone&) const
   {
     return NO_CONFLICT;
   }
@@ -69,7 +69,7 @@ struct No_test_point_conflict_from_super
   // For parallel
   template <typename Point, typename Zone, typename Mesh_visitor>
   Mesher_level_conflict_status
-  test_point_conflict_from_superior_impl(const Point&, const Zone&, 
+  test_point_conflict_from_superior_impl(const Point&, const Zone&,
                                          Mesh_visitor &) const
   {
     return NO_CONFLICT;
@@ -80,7 +80,7 @@ struct No_test_point_conflict_from_super
       - private_test_point_conflict_impl() and
       - test_point_conflict_from_superior_impl().
 */
-struct No_test_point_conflict : 
+struct No_test_point_conflict :
   public No_private_test_point_conflict,
   public No_test_point_conflict_from_superior
 {
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Mesher_level.h 5.0.3-1/include/CGAL/Mesh_3/Mesher_level.h
--- 5.0.2-3/include/CGAL/Mesh_3/Mesher_level.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Mesher_level.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Mesher_level.h $
-// $Id: Mesher_level.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Mesher_level.h $
+// $Id: Mesher_level.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -701,7 +701,7 @@ class Mesher_level<Tr, Derived, Element,
 {
 private:
   typedef Derived Derived_;
-  template <typename ML, typename Container_element, 
+  template <typename ML, typename Container_element,
             typename Quality, typename Mesh_visitor> class Enqueue_element;
 public:
 
@@ -1196,12 +1196,12 @@ private:
   public:
     // Constructor
     Enqueue_element(ML &ml,
-                    const Container_element &ce, 
-                    const Quality &quality, 
+                    const Container_element &ce,
+                    const Quality &quality,
                     Mesh_visitor visitor)
-    : m_mesher_level(ml), 
-      m_container_element(ce), 
-      m_quality(quality), 
+    : m_mesher_level(ml),
+      m_container_element(ce),
+      m_quality(quality),
       m_visitor(visitor)
     {
     }
@@ -1209,7 +1209,7 @@ private:
     // operator()
     void operator()() const
     {
-      typedef typename ML::Derived_::Container::value_type 
+      typedef typename ML::Derived_::Container::value_type
                                                  Container_quality_and_element;
 
       Mesher_level_conflict_status status;
@@ -1219,7 +1219,7 @@ private:
           return;
         }
 
-        status = m_mesher_level.try_lock_and_refine_element(m_container_element, 
+        status = m_mesher_level.try_lock_and_refine_element(m_container_element,
                                                             m_visitor);
       }
       while (status != NO_CONFLICT
@@ -1237,7 +1237,7 @@ private:
       // Finally we add the new local bad_elements to the feeder
       while (m_mesher_level.no_longer_local_element_to_refine() == false)
       {
-        Container_quality_and_element qe = 
+        Container_quality_and_element qe =
           m_mesher_level.derived().get_next_local_raw_element_impl();
         m_mesher_level.pop_next_local_element();
         m_mesher_level.enqueue_task(qe.second, qe.first, m_visitor);
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Mesh_global_optimizer.h 5.0.3-1/include/CGAL/Mesh_3/Mesh_global_optimizer.h
--- 5.0.2-3/include/CGAL/Mesh_3/Mesh_global_optimizer.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Mesh_global_optimizer.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Mesh_global_optimizer.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Mesh_global_optimizer.h $
 // $Id: Mesh_global_optimizer.h 85712ba 2020-01-14T15:03:20+01:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Mesh_sizing_field.h 5.0.3-1/include/CGAL/Mesh_3/Mesh_sizing_field.h
--- 5.0.2-3/include/CGAL/Mesh_3/Mesh_sizing_field.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Mesh_sizing_field.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Mesh_sizing_field.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Mesh_sizing_field.h $
 // $Id: Mesh_sizing_field.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/mesh_standard_cell_criteria.h 5.0.3-1/include/CGAL/Mesh_3/mesh_standard_cell_criteria.h
--- 5.0.2-3/include/CGAL/Mesh_3/mesh_standard_cell_criteria.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/mesh_standard_cell_criteria.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/mesh_standard_cell_criteria.h $
-// $Id: mesh_standard_cell_criteria.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/mesh_standard_cell_criteria.h $
+// $Id: mesh_standard_cell_criteria.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -50,7 +50,7 @@ class Cell_radius_edge_criterion
 public:
   // Constructor
   Cell_radius_edge_criterion(const FT& radius_edge_bound)
-    : sq_radius_edge_bound_(radius_edge_bound*radius_edge_bound) 
+    : sq_radius_edge_bound_(radius_edge_bound*radius_edge_bound)
   {}
 
   // Destructor
@@ -120,7 +120,7 @@ private:
 };  // end class Cell_radius_edge_criterion
 
 
-  
+
 template <typename Tr, typename Visitor_>
 class Cell_size_criterion
   : public Abstract_criterion<Tr, Visitor_>
@@ -207,34 +207,34 @@ class Cell_variable_size_criterion
   typedef typename Tr::Cell_handle      Cell_handle;
   typedef typename Tr::Geom_traits::FT  FT;
   typedef typename Tr::Vertex::Index    Index;
-  
+
   typedef Abstract_criterion<Tr, Visitor_> Base;
   typedef typename Base::Quality Quality;
   typedef typename Base::Is_bad  Is_bad;
-  
+
   typedef Cell_variable_size_criterion<Tr, Visitor_, SizingField> Self;
   typedef SizingField Sizing_field;
-  
+
 public:
   // Constructor
   Cell_variable_size_criterion(const Sizing_field& s)
     : size_(s)   {}
-  
+
   // Destructor
   ~Cell_variable_size_criterion() {}
-  
+
 protected:
   virtual void do_accept(Visitor_& v) const
   {
     v.visit(*this);
   }
-  
+
   virtual Self* do_clone() const
   {
     // Call copy ctor on this
     return new Self(*this);
   }
-  
+
   virtual Is_bad do_is_bad(const Tr& tr, const Cell_handle& ch) const
   {
     typedef typename Tr::Geom_traits      Geom_traits;
@@ -258,7 +258,7 @@ protected:
     const FT size = sq_radius(p, q, r, s);
     const FT sq_bound = CGAL::square( size_(tr.dual(ch), 3,
                                             Index(ch->subdomain_index())) );
-    
+
     if ( size > sq_bound )
     {
 #ifdef CGAL_MESH_3_DEBUG_CELL_CRITERIA
@@ -270,10 +270,10 @@ protected:
     else
       return Is_bad();
   }
-  
+
 private:
   Sizing_field size_;
-  
+
 };  // end class Cell_variable_size_criterion
 
 /// New cell criterion that disallows a cell to have points on different
@@ -323,9 +323,9 @@ protected:
     const Vertex_handle vr = ch->vertex(2);
     const Vertex_handle vs = ch->vertex(3);
 
-    if(vp->in_dimension() != 2 || 
-       vq->in_dimension() != 2 || 
-       vr->in_dimension() != 2 || 
+    if(vp->in_dimension() != 2 ||
+       vq->in_dimension() != 2 ||
+       vr->in_dimension() != 2 ||
        vs->in_dimension() != 2)
       return Is_bad();
 
@@ -377,7 +377,7 @@ class Cell_criteria_visitor_with_feature
 {
   typedef Criterion_visitor<Tr, typename Tr::Cell_handle> Base;
   typedef Cell_criteria_visitor_with_features<Tr> Self;
-  
+
 
   typedef Abstract_criterion<Tr, Self>                  Criterion;
   typedef Mesh_3::Cell_size_criterion<Tr, Self>         Cell_size_criterion;
@@ -386,14 +386,14 @@ class Cell_criteria_visitor_with_feature
   typedef typename Tr::Geom_traits    Gt;
   typedef typename Gt::FT             FT;
   typedef typename Tr::Weighted_point Weighted_point;
-  
-  
-public:  
+
+
+public:
   typedef typename Base::Quality  Cell_quality;
   typedef typename Base::Is_bad   Is_cell_bad;
   typedef typename Base::Handle   Handle;
   typedef Handle                  Cell_handle;
-  
+
   // Constructor
   Cell_criteria_visitor_with_features(const Tr& tr, const Cell_handle& ch)
     : Base(tr, ch)
@@ -413,7 +413,7 @@ public:
     int k2 = 1;
     int k3 = 2;
     int k4 = 3;
-    
+
     // Get number of weighted points, and ensure that they will be accessible
     // using k1...ki, if i is the number of weighted points.
     const Weighted_point& wpk1 = tr.point(ch, k1);
@@ -445,12 +445,12 @@ public:
       if ( 2 == wp_nb_ ) { std::swap(k3,k4); }
       ++wp_nb_;
     }
-    
+
     const Weighted_point& p1 = tr.point(ch, k1);
     const Weighted_point& p2 = tr.point(ch, k2);
     const Weighted_point& p3 = tr.point(ch, k3);
     const Weighted_point& p4 = tr.point(ch, k4);
-    
+
     switch ( wp_nb_ )
     {
       case 1:
@@ -462,7 +462,7 @@ public:
         ratio_ = r / cw(p1);
         break;
       }
-        
+
       case 2:
       {
         FT r13 = sq_radius(p1,p3);
@@ -472,31 +472,31 @@ public:
         FT r24 = sq_radius(p2,p4);
         FT r2 = (std::max)(r23,r24) / cw(p2);
         ratio_ = (std::max)(r1,r2);
-        
+
         do_spheres_intersect_ = (compare(p1,p2,FT(0)) != CGAL::LARGER);
         break;
       }
-        
+
       case 3:
       {
         FT r14 = sq_radius(p1,p4) / cw(p1);
         FT r24 = sq_radius(p2,p4) / cw(p2);
         FT r34 = sq_radius(p3,p4) / cw(p3);
         ratio_ = (std::max)((std::max)(r14,r24),r34);
-        
+
         do_spheres_intersect_ = (compare(p1,p2,p3,FT(0)) != CGAL::LARGER);
         break;
       }
-        
+
       case 4:
         do_spheres_intersect_ = (compare(p1,p2,p3,p4,FT(0)) != CGAL::LARGER);
         break;
-        
+
       default:
         break;
     }
   }
-  
+
   // Destructor
   ~Cell_criteria_visitor_with_features() {}
 
@@ -509,10 +509,10 @@ public:
       Base::increment_counter();
       return;
     }
-    
+
     Base::do_visit(criterion);
   }
-  
+
   void visit(const Cell_radius_edge_criterion& criterion)
   {
     if (   (wp_nb_ >= 2 && do_spheres_intersect_)
@@ -521,7 +521,7 @@ public:
       Base::increment_counter();
       return;
     }
-    
+
     Base::do_visit(criterion);
   }
 
@@ -536,9 +536,9 @@ private:
   FT ratio_;
   FT size_ratio_;
 };  // end class Cell_criterion_visitor
-  
-  
-  
+
+
+
 }  // end namespace Mesh_3
 
 }  // end namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/mesh_standard_criteria.h 5.0.3-1/include/CGAL/Mesh_3/mesh_standard_criteria.h
--- 5.0.2-3/include/CGAL/Mesh_3/mesh_standard_criteria.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/mesh_standard_criteria.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/mesh_standard_criteria.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/mesh_standard_criteria.h $
 // $Id: mesh_standard_criteria.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/mesh_standard_facet_criteria.h 5.0.3-1/include/CGAL/Mesh_3/mesh_standard_facet_criteria.h
--- 5.0.2-3/include/CGAL/Mesh_3/mesh_standard_facet_criteria.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/mesh_standard_facet_criteria.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/mesh_standard_facet_criteria.h $
-// $Id: mesh_standard_facet_criteria.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/mesh_standard_facet_criteria.h $
+// $Id: mesh_standard_facet_criteria.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -307,7 +307,7 @@ class Facet_size_criterion :
   public Mesh_3::Abstract_criterion<Tr, Visitor_>
 {
 };
-  
+
 // Variable size Criterion class
 template <typename Tr, typename Visitor_, typename SizingField>
 class Variable_size_criterion :
@@ -317,25 +317,25 @@ private:
   typedef typename Tr::Facet            Facet;
   typedef typename Tr::Geom_traits::FT  FT;
   typedef typename Tr::Vertex::Index    Index;
-  
+
   typedef Mesh_3::Abstract_criterion<Tr,Visitor_> Base;
   typedef typename Base::Quality Quality;
   typedef typename Base::Is_bad  Is_bad;
-  
+
   typedef Variable_size_criterion<Tr,Visitor_,SizingField> Self;
   typedef SizingField Sizing_field;
-  
+
 public:
   // Nb: the default bound of the criterion is such that the criterion
   // is always fulfilled
   Variable_size_criterion(const Sizing_field& s) : size_(s) {}
-  
+
 protected:
   virtual void do_accept(Visitor_& v) const
   {
     v.visit(*this);
   }
-  
+
   virtual Self* do_clone() const
   {
     // Call copy ctor on this
@@ -345,7 +345,7 @@ protected:
   virtual Is_bad do_is_bad(const Tr& tr, const Facet& f) const
   {
     CGAL_assertion (f.first->is_facet_on_surface(f.second));
-    
+
     typedef typename Tr::Geom_traits    Gt;
     typedef typename Tr::Bare_point     Bare_point;
     typedef typename Tr::Weighted_point Weighted_point;
@@ -360,7 +360,7 @@ protected:
     const FT sq_radius = tr.min_squared_distance(p1, ball_center);
     const FT sq_bound = CGAL::square(size_(ball_center, 2, index));
     CGAL_assertion(sq_bound > FT(0));
-    
+
     if ( sq_radius > sq_bound )
     {
 #ifdef CGAL_MESH_3_DEBUG_FACET_CRITERIA
@@ -372,14 +372,14 @@ protected:
     else
       return Is_bad();
   }
-  
+
 private:
   Sizing_field size_;
-  
+
 };  // end Variable_size_criterion
-  
-  
-  
+
+
+
 // Uniform size Criterion class
 template <typename Tr, typename Visitor_>
 class Uniform_size_criterion :
@@ -394,7 +394,7 @@ private:
   typedef typename Base::Is_bad  Is_bad;
 
   typedef Uniform_size_criterion<Tr,Visitor_> Self;
-  
+
 public:
   // Nb: the default bound of the criterion is such that the criterion
   // is always fulfilled
@@ -505,20 +505,20 @@ protected:
   }
 }; // end class Facet_on_surface_criterion
 
-  
+
 template <typename Tr, typename Visitor_>
 class Facet_on_same_surface_criterion :
 public Mesh_3::Abstract_criterion<Tr, Visitor_>
 {
 private:
   typedef typename Tr::Facet Facet;
-  
+
   typedef Mesh_3::Abstract_criterion<Tr,Visitor_> Base;
   typedef typename Base::Quality Quality;
   typedef typename Base::Is_bad  Is_bad;
-  
+
   typedef Facet_on_same_surface_criterion<Tr,Visitor_> Self;
-  
+
 public:
   /// Constructor
   Facet_on_same_surface_criterion() {}
@@ -530,7 +530,7 @@ protected:
   {
     v.visit(*this);
   }
-  
+
   virtual Self* do_clone() const
   {
     // Call copy ctor on this
@@ -542,23 +542,23 @@ protected:
     typedef typename Tr::Vertex_handle  Vertex_handle;
     typedef typename Tr::Cell_handle    Cell_handle;
     typedef typename Tr::Vertex::Index  Index;
-    
+
     const Cell_handle& ch = f.first;
     const int& i = f.second;
-    
+
     const Vertex_handle& v1 = ch->vertex((i+1)&3);
     const Vertex_handle& v2 = ch->vertex((i+2)&3);
     const Vertex_handle& v3 = ch->vertex((i+3)&3);
-    
+
     Index index = Index();
     bool is_index_initialized = false;
-    
+
     if ( v1->in_dimension() == 2 )
-    { 
+    {
       index = v1->index();
       is_index_initialized = true;
     }
-    
+
     if ( v2->in_dimension() == 2 )
     {
       if ( is_index_initialized )
@@ -571,21 +571,21 @@ protected:
       else
       {
         index = v2->index();
-        is_index_initialized = true;        
+        is_index_initialized = true;
       }
     }
-    
+
     if ( v3->in_dimension() == 2 )
     {
       if ( is_index_initialized && !(v3->index() == index) )
       {
         return Is_bad(Quality(1));
-      } 
+      }
     }
-    
+
     return Is_bad();
   }
-  
+
 }; // end class Facet_on_same_surface_criterion
 
 
@@ -617,16 +617,16 @@ public:
   }
 
 };  // end class Facet_criterion_visitor
-  
-  
-  
+
+
+
 template <typename Tr>
 class Facet_criterion_visitor_with_features
   : public Mesh_3::Criterion_visitor<Tr, typename Tr::Facet>
 {
   typedef Mesh_3::Criterion_visitor<Tr, typename Tr::Facet> Base;
   typedef Facet_criterion_visitor_with_features<Tr> Self;
-  
+
   typedef Mesh_3::Abstract_criterion<Tr, Self>                Criterion;
   typedef Mesh_3::Curvature_size_criterion<Tr, Self>          Curvature_size_criterion;
   typedef Mesh_3::Aspect_ratio_criterion<Tr, Self>            Aspect_ratio_criterion;
@@ -637,12 +637,12 @@ class Facet_criterion_visitor_with_featu
   typedef typename Tr::Geom_traits  Gt;
   typedef typename Gt::FT           FT;
 
-public:  
+public:
   typedef typename Base::Quality  Facet_quality;
   typedef typename Base::Is_bad   Is_facet_bad;
   typedef typename Base::Handle   Handle;
   typedef Handle                  Facet;
-  
+
   // Constructor
   Facet_criterion_visitor_with_features(const Tr& tr, const Facet& fh)
     : Base(tr, fh)
@@ -666,11 +666,11 @@ public:
 
     const Cell_handle& c = fh.first;
     const int& k = fh.second;
-    
+
     int k1 = (k+1)&3;
     int k2 = (k+2)&3;
     int k3 = (k+3)&3;
-    
+
     // Get number of weighted points, and ensure that they will be accessible
     // using k1...ki, if i is the number of weighted points.
     const Weighted_point& wpk1 = tr.point(c, k1);
@@ -707,13 +707,13 @@ public:
         ratio_ = r / cw(p1);
         break;
       }
-        
+
       case 2:
       {
         FT r13 = sq_radius(p1,p3) / cw(p1);
         FT r23 = sq_radius(p2,p3) / cw(p2);
         ratio_ = (std::max)(r13, r23);
-        
+
         do_spheres_intersect_ = (compare(p1,p2,FT(0)) != CGAL::LARGER);
         break;
       }
@@ -722,12 +722,12 @@ public:
       {
         do_spheres_intersect_ = (compare(p1,p2,p3,FT(0)) != CGAL::LARGER);
         break;
-      }  
-      
+      }
+
       default: break;
     }
   }
-  
+
   // Destructor
   ~Facet_criterion_visitor_with_features() {}
 
@@ -735,14 +735,14 @@ public:
   void visit(const Criterion& criterion)
   {
     if ( 3 == wp_nb_ && do_spheres_intersect_ )
-    { 
+    {
       Base::increment_counter();
       return;
     }
-    
+
     Base::do_visit(criterion);
   }
-  
+
   void visit(const Curvature_size_criterion& criterion)
   {
     if (   ratio_ < approx_ratio_
@@ -751,10 +751,10 @@ public:
       Base::increment_counter();
       return;
     }
-    
+
     Base::do_visit(criterion);
   }
-  
+
   void visit(const Aspect_ratio_criterion& criterion)
   {
     if (   ratio_ < angle_ratio_
@@ -763,10 +763,10 @@ public:
       Base::increment_counter();
       return;
     }
-    
+
     Base::do_visit(criterion);
   }
-  
+
   void visit(const Facet_size_criterion& criterion)
   {
     if (   ratio_ < size_ratio_
@@ -775,10 +775,10 @@ public:
       Base::increment_counter();
       return;
     }
-    
+
     Base::do_visit(criterion);
   }
-  
+
 private:
   int wp_nb_;
   bool do_spheres_intersect_;
@@ -786,9 +786,9 @@ private:
   FT approx_ratio_;
   FT angle_ratio_;
   FT size_ratio_;
-  
+
 };  // end class Facet_criterion_visitor
-  
+
 
 }  // end namespace Mesh_3
 
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Mesh_surface_cell_base_3.h 5.0.3-1/include/CGAL/Mesh_3/Mesh_surface_cell_base_3.h
--- 5.0.2-3/include/CGAL/Mesh_3/Mesh_surface_cell_base_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Mesh_surface_cell_base_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Mesh_surface_cell_base_3.h $
-// $Id: Mesh_surface_cell_base_3.h 85712ba 2020-01-14T15:03:20+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Mesh_surface_cell_base_3.h $
+// $Id: Mesh_surface_cell_base_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -41,7 +41,7 @@ namespace CGAL {
 
 namespace Mesh_3 {
 
-  
+
 /************************************************
 // Class Mesh_surface_cell_base_3_base
 // Two versions: sequential / parallel
@@ -52,9 +52,9 @@ template <typename Concurrency_tag>
 class Mesh_surface_cell_base_3_base
 {
 public:
-  Mesh_surface_cell_base_3_base() 
+  Mesh_surface_cell_base_3_base()
     : bits_(0) {}
-  
+
   /// Marks \c facet as visited
   void set_facet_visited (const int facet)
   {
@@ -87,11 +87,11 @@ template<>
 class Mesh_surface_cell_base_3_base<Parallel_tag>
 {
 public:
-  Mesh_surface_cell_base_3_base() 
+  Mesh_surface_cell_base_3_base()
   {
     bits_ = 0;
   }
-  
+
   /// Marks \c facet as visited
   void set_facet_visited (const int facet)
   {
@@ -149,7 +149,7 @@ public:
   typedef typename Tds::Vertex_handle                 Vertex_handle;
   typedef typename Tds::Cell_handle                   Cell_handle;
   typedef typename GT::Point_3                        Point;
-  
+
   // To get correct cell type in TDS
   template < class TDS3 >
   struct Rebind_TDS
@@ -235,16 +235,16 @@ public:
     CGAL_precondition(facet>=0 && facet<4);
     return ( Surface_patch_index() != surface_index_table_[facet]);
   }
-  
+
   // -----------------------------------
   // Backward Compatibility
   // -----------------------------------
 #ifndef CGAL_MESH_3_NO_DEPRECATED_SURFACE_INDEX
   typedef Surface_patch_index   Surface_index;
-  
+
   void set_surface_index(const int facet, const Surface_index& index)
   { set_surface_patch_index(facet,index); }
-  
+
   /// Returns surface index of facet \c facet
   Surface_index surface_index(const int facet) const
   { return surface_patch_index(facet); }
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/min_dihedral_angle.h 5.0.3-1/include/CGAL/Mesh_3/min_dihedral_angle.h
--- 5.0.2-3/include/CGAL/Mesh_3/min_dihedral_angle.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/min_dihedral_angle.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/min_dihedral_angle.h $
-// $Id: min_dihedral_angle.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/min_dihedral_angle.h $
+// $Id: min_dihedral_angle.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU, Stephane Tayeb
 
@@ -25,7 +25,7 @@ namespace CGAL {
 
 namespace Mesh_3 {
 
-#ifdef CGAL_MESH_3_OLD_MINIMUM_DIHEDRAL_ANGLE 
+#ifdef CGAL_MESH_3_OLD_MINIMUM_DIHEDRAL_ANGLE
 
 template <typename K>
 typename K::FT
@@ -38,11 +38,11 @@ minimum_dihedral_angle(
 {
   typedef typename K::FT FT;
 
-  typename K::Compute_squared_distance_3 sq_distance = 
+  typename K::Compute_squared_distance_3 sq_distance =
     k.compute_squared_distance_3_object();
-  typename K::Compute_volume_3 volume = 
+  typename K::Compute_volume_3 volume =
     k.compute_volume_3_object();
-  typename K::Compute_area_3 area = 
+  typename K::Compute_area_3 area =
     k.compute_area_3_object();
 
   FT a_012 = area(p0,p1,p2);
@@ -50,32 +50,32 @@ minimum_dihedral_angle(
   FT a_123 = area(p1,p2,p3);
   FT a_023 = area(p0,p2,p3);
 
-  FT min_quotient = 
+  FT min_quotient =
     CGAL::sqrt(sq_distance(p0, p1)) / a_012 / a_013;
 
-  min_quotient = 
+  min_quotient =
     (CGAL::min)(min_quotient,
                 CGAL::sqrt(sq_distance(p0, p2)) / a_012 / a_023);
-  min_quotient = 
+  min_quotient =
     (CGAL::min)(min_quotient,
                CGAL::sqrt(sq_distance(p0, p3)) / a_013 / a_023);
-  min_quotient = 
+  min_quotient =
     (CGAL::min)(min_quotient,
                CGAL::sqrt(sq_distance(p1, p2)) / a_012 / a_123);
-  min_quotient = 
+  min_quotient =
     (CGAL::min)(min_quotient,
                CGAL::sqrt(sq_distance(p1, p3)) / a_013 / a_123);
-  min_quotient = 
+  min_quotient =
     (CGAL::min)(min_quotient,
                CGAL::sqrt(sq_distance(p2, p3)) / a_023 / a_123);
 
   const FT result (std::asin( FT(1.5) * volume(p0, p1, p2, p3) * min_quotient )
     * FT(180) / FT(CGAL_PI));
-  
+
   return CGAL::abs(result);
 }
-  
-#else // not CGAL_MESH_3_OLD_MINIMUM_DIHEDRAL_ANGLE 
+
+#else // not CGAL_MESH_3_OLD_MINIMUM_DIHEDRAL_ANGLE
 
 template <typename K>
 typename K::FT
@@ -88,7 +88,7 @@ minimum_dihedral_angle(
 {
   typedef typename K::FT FT;
 
-  typename K::Compute_determinant_3 determinant = 
+  typename K::Compute_determinant_3 determinant =
     k.compute_determinant_3_object();
   typename K::Construct_cross_product_vector_3 cp =
     k.construct_cross_product_vector_3_object();
@@ -135,7 +135,7 @@ minimum_dihedral_angle(
                    * FT(180) / FT(CGAL_PI));
 }
 
-#endif //  CGAL_MESH_3_OLD_MINIMUM_DIHEDRAL_ANGLE 
+#endif //  CGAL_MESH_3_OLD_MINIMUM_DIHEDRAL_ANGLE
 
 template <typename K>
 typename K::FT
@@ -163,12 +163,12 @@ minimum_dihedral_angle_in_c3t3(const C3T
       cit != c3t3.cells_in_complex_end();
       ++cit)
   {
-    min_angle = (std::min)(min_angle, 
+    min_angle = (std::min)(min_angle,
       minimum_dihedral_angle(c3t3.triangulation().tetrahedron(cit)));
   }
   return min_angle;
 }
-  
+
 
 } // end namespace Mesh_3
 } // end namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Null_exuder_visitor.h 5.0.3-1/include/CGAL/Mesh_3/Null_exuder_visitor.h
--- 5.0.2-3/include/CGAL/Mesh_3/Null_exuder_visitor.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Null_exuder_visitor.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Null_exuder_visitor.h $
-// $Id: Null_exuder_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Null_exuder_visitor.h $
+// $Id: Null_exuder_visitor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_MESH_3_NULL_EXUDER_VISITOR_H
@@ -30,7 +30,7 @@ class Null_exuder_visitor
 {
   typedef typename C3T3::Triangulation    Tr;
   typedef typename Tr::Geom_traits::FT    FT;
-  
+
 public:
   void after_cell_pumped(std::size_t) {}
 };
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Null_global_optimizer_visitor.h 5.0.3-1/include/CGAL/Mesh_3/Null_global_optimizer_visitor.h
--- 5.0.2-3/include/CGAL/Mesh_3/Null_global_optimizer_visitor.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Null_global_optimizer_visitor.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Null_global_optimizer_visitor.h $
-// $Id: Null_global_optimizer_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Null_global_optimizer_visitor.h $
+// $Id: Null_global_optimizer_visitor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_MESH_3_NULL_GLOBAL_OPTIMIZER_VISITOR_H
@@ -22,13 +22,13 @@
 
 namespace CGAL {
 namespace Mesh_3 {
-  
+
 template < typename C3T3 >
 class Null_global_optimizer_visitor
 {
   typedef typename C3T3::Triangulation    Tr;
   typedef typename Tr::Geom_traits::FT    FT;
-  
+
 public:
   void after_compute_moves() {}
   void after_move_points() {}
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Null_perturber_visitor.h 5.0.3-1/include/CGAL/Mesh_3/Null_perturber_visitor.h
--- 5.0.2-3/include/CGAL/Mesh_3/Null_perturber_visitor.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Null_perturber_visitor.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Null_perturber_visitor.h $
-// $Id: Null_perturber_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Null_perturber_visitor.h $
+// $Id: Null_perturber_visitor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_MESH_3_NULL_PERTURBER_VISITOR_H
@@ -30,7 +30,7 @@ class Null_perturber_visitor
 {
   typedef typename C3T3::Triangulation    Tr;
   typedef typename Tr::Geom_traits::FT    FT;
-  
+
 public:
   void bound_reached(const FT&) {}
   void end_of_perturbation_iteration(std::size_t) {}
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Odt_move.h 5.0.3-1/include/CGAL/Mesh_3/Odt_move.h
--- 5.0.2-3/include/CGAL/Mesh_3/Odt_move.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Odt_move.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Odt_move.h $
-// $Id: Odt_move.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Odt_move.h $
+// $Id: Odt_move.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_MESH_3_ODT_MOVE_H
@@ -51,7 +51,7 @@ class Odt_move
 
 public:
   typedef SizingField                                         Sizing_field;
-  
+
   Vector_3 operator()(const Vertex_handle& v,
                       const Cell_vector& incident_cells,
                       const C3T3& c3t3,
@@ -62,7 +62,7 @@ public:
     {
       return CGAL::NULL_VECTOR;
     }
-    
+
     // Compute move
     const Tr& tr = c3t3.triangulation();
 
@@ -77,11 +77,11 @@ public:
          ++cit )
     {
       const Cell_handle& cell = *cit;
-      
+
       // Consider only cells of complex
       if ( ! c3t3.is_in_complex(cell) )
         continue;
-      
+
       // Get points
       Bare_point circumcenter = tr.dual(cell);
 
@@ -89,28 +89,28 @@ public:
       const Weighted_point& p = tr.point(cell, cell->index(v));
       Vector_3 p_circum = vector(cp(p), circumcenter);
       FT volume = volume_quadrature(cell, tr, sizing_field);
-      
+
       move = move + p_circum * volume;
       sum_volume += volume;
     }
-    
+
     // Add boundary terms if needed
     if ( c3t3.in_dimension(v) == 2 )
     {
 //      move = move + (1.0 / 12.0) * move_odt_2D(v, c3t3, sizing_field);
     }
-    
+
     if ( FT(0) != sum_volume )
       return move/sum_volume;
     else
       return CGAL::NULL_VECTOR;
   }
-  
+
 #if defined(CGAL_MESH_3_OPTIMIZER_VERBOSE) \
  || defined (CGAL_MESH_3_EXPORT_PERFORMANCE_DATA)
   static std::string name() { return std::string("Odt"); }
 #endif
-  
+
 private:
   // 1-point at cell centroid
   FT volume_quadrature(const Cell_handle& cell,
@@ -119,7 +119,7 @@ private:
   {
     typename Gt::Construct_centroid_3 centroid = tr.geom_traits().construct_centroid_3_object();
     typename Gt::Compute_volume_3 volume = tr.geom_traits().compute_volume_3_object();
-    
+
     Bare_point c = centroid(tr.tetrahedron(cell));
     FT s = sizing_field(c, std::make_pair(cell, true));
     CGAL_assertion(!is_zero(s));
@@ -127,7 +127,7 @@ private:
     // Points of cell are positively oriented
     FT abs_volume = volume(tr.tetrahedron(cell));
     CGAL_assertion(abs_volume >= 0);
-    
+
     return abs_volume / (s*s*s);
   }
 
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/parameters_defaults.h 5.0.3-1/include/CGAL/Mesh_3/parameters_defaults.h
--- 5.0.2-3/include/CGAL/Mesh_3/parameters_defaults.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/parameters_defaults.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/parameters_defaults.h $
-// $Id: parameters_defaults.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/parameters_defaults.h $
+// $Id: parameters_defaults.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -26,14 +26,14 @@
 namespace CGAL {
 namespace parameters { namespace default_values {
 
-// exude_mesh_3  
+// exude_mesh_3
 const double exude_sliver_bound = 0.;
 
 // perturb_mesh_3
 const double perturb_sliver_bound = 0.;
 template<typename C3T3>
 CGAL::Mesh_3::Min_dihedral_angle_criterion
-  <typename C3T3::Triangulation> 
+  <typename C3T3::Triangulation>
   default_sliver_criterion(const C3T3& c3t3, const double& bound)
 {
   typedef typename C3T3::Triangulation Tr;
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Poisson_refine_cells_3.h 5.0.3-1/include/CGAL/Mesh_3/Poisson_refine_cells_3.h
--- 5.0.2-3/include/CGAL/Mesh_3/Poisson_refine_cells_3.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Poisson_refine_cells_3.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Poisson_surface_reconstruction_3/include/CGAL/Mesh_3/Poisson_refine_cells_3.h $
-// $Id: Poisson_refine_cells_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Poisson_surface_reconstruction_3/include/CGAL/Mesh_3/Poisson_refine_cells_3.h $
+// $Id: Poisson_refine_cells_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -66,7 +66,7 @@ public:
 public:
   /** \name CONSTRUCTORS */
 
-  Poisson_refine_tets_base(Tr& t, Criteria crit) 
+  Poisson_refine_tets_base(Tr& t, Criteria crit)
     : Triangulation_mesher_level_traits_3<Tr>(t), criteria(crit) {}
 
 protected:
@@ -93,8 +93,8 @@ protected:
     Cell_quality q;
     if( c->is_in_domain() && should_be_refined(c, q) )
       {
-	this->add_bad_element(c, q);
-	return true;
+        this->add_bad_element(c, q);
+        return true;
       }
     return false;
   }
@@ -104,8 +104,8 @@ public:
 
   void scan_triangulation_impl()
   {
-    for(typename Tr::Finite_cells_iterator cit = 
-	  triangulation_ref_impl().finite_cells_begin(),
+    for(typename Tr::Finite_cells_iterator cit =
+          triangulation_ref_impl().finite_cells_begin(),
         eit = triangulation_ref_impl().finite_cells_end();
         cit != eit;
         ++cit)
@@ -122,8 +122,8 @@ public:
     const Point result = triangulation_ref_impl().dual(c);
 #ifdef CGAL_MESHES_DEBUG_REFINEMENT_POINTS
 #  ifdef CGAL_MESH_3_DIRTY_DEBUG_SPHERES
-    std::cerr << " \t\tdistance: " 
-              << CGAL::sqrt(CGAL::squared_distance(result, 
+    std::cerr << " \t\tdistance: "
+              << CGAL::sqrt(CGAL::squared_distance(result,
                          typename Tr::Geom_traits::Point_3(CGAL::ORIGIN)));
 #  endif
 #endif
@@ -140,16 +140,16 @@ public:
   void before_conflicts_impl(const Cell_handle&, const Point&)
   {
   }
-#endif  
+#endif
 
   void after_no_insertion_impl(const Cell_handle&, const Point&,
-			       const Zone& )
+                               const Zone& )
   {
 #if CGAL_MESH_3_DEBUG_AFTER_NO_INSERTION
     std::cerr << "  REJECTED!" << std::endl;
 #endif
   }
-}; // end Poisson_refine_tets_base  
+}; // end Poisson_refine_tets_base
 
 template <class Tr,
           class Criteria,
@@ -159,27 +159,27 @@ template <class Tr,
             typename Tr::Cell_handle,
             typename Criteria::Cell_quality>
 >
-class Poisson_refine_tets_with_oracle_base 
+class Poisson_refine_tets_with_oracle_base
   : public Poisson_refine_tets_base<Tr,
                             Criteria,
                             Container>
 {
 public:
   typedef Poisson_refine_tets_base<Tr, Criteria, Container> Base;
-  typedef Poisson_refine_tets_with_oracle_base<Tr, 
+  typedef Poisson_refine_tets_with_oracle_base<Tr,
                                        Criteria,
                                        Surface,
                                        Oracle,
                                        Container> Self;
-  
+
   typedef typename Base::Vertex_handle Vertex_handle;
   typedef typename Base::Cell_handle Cell_handle;
   typedef typename Base::Point Point;
   typedef typename Base::Zone Zone;
 
   using Base::triangulation_ref_impl;
-  
-  
+
+
 
   /** \name CONSTRUCTORS */
 
@@ -210,7 +210,7 @@ public:
   }
 
   void before_insertion_impl(const Cell_handle&, const Point& ,
-			     Zone& zone)
+                             Zone& zone)
   {
     remove_star_from_cells_queue(zone); // FIXME: name
   }
@@ -218,9 +218,9 @@ public:
   void remove_star_from_cells_queue(Zone& zone)
   {
     for(typename Zone::Cells_iterator cit = zone.cells.begin();
-	cit != zone.cells.end();
-	++cit)
-	  this->remove_element(*cit);
+        cit != zone.cells.end();
+        ++cit)
+          this->remove_element(*cit);
   }
 
   void after_insertion_impl(const Vertex_handle& v)
@@ -246,13 +246,13 @@ public:
         cit != incident_cells.end();
         ++cit)
       if( ! triangulation_ref_impl().is_infinite(*cit) )
-	{
+        {
           // tr.dual() is optimized when the cell base class has
           // circumcenter().
-	  (*cit)->set_in_domain(oracle.is_in_volume(surface, 
+          (*cit)->set_in_domain(oracle.is_in_volume(surface,
                                                     triangulation_ref_impl().dual(*cit)));
-	  test_if_cell_is_bad(*cit);
-	}
+          test_if_cell_is_bad(*cit);
+        }
   }
 
 protected:
@@ -270,8 +270,8 @@ template <typename Tr,
              Poisson_refine_tets_with_oracle_base<Tr, Criteria, Surface, Oracle>,
           typename Facets_level = Refine_facets<Tr>
  >
-class Poisson_refine_tets : 
-  public BaseP, 
+class Poisson_refine_tets :
+  public BaseP,
   public CGAL::Mesher_level <   // qualified with CGAL:: as CGAL::Mesh_3::Mesher_level also exists
     Tr,
     Poisson_refine_tets<Tr, Criteria, Surface, Oracle, BaseP, Facets_level>,
@@ -292,7 +292,7 @@ public:
     Facets_level,
     Triangulation_mesher_level_traits_3<Tr>
   > Mesher;
-  
+
   Poisson_refine_tets(Tr& t, Criteria crit, Surface& surface, Oracle& oracle, Facets_level& facets_level)
     : Base(t, crit, surface, oracle), Mesher(facets_level), facets_level(facets_level)
   {} // here VC7 complain about default constructor of Base, if the
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/polyhedral_to_labeled_function_wrapper.h 5.0.3-1/include/CGAL/Mesh_3/polyhedral_to_labeled_function_wrapper.h
--- 5.0.2-3/include/CGAL/Mesh_3/polyhedral_to_labeled_function_wrapper.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/polyhedral_to_labeled_function_wrapper.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/polyhedral_to_labeled_function_wrapper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/polyhedral_to_labeled_function_wrapper.h $
 // $Id: polyhedral_to_labeled_function_wrapper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/polylines_to_protect.h 5.0.3-1/include/CGAL/Mesh_3/polylines_to_protect.h
--- 5.0.2-3/include/CGAL/Mesh_3/polylines_to_protect.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/polylines_to_protect.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/polylines_to_protect.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/polylines_to_protect.h $
 // $Id: polylines_to_protect.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Polyline_with_context.h 5.0.3-1/include/CGAL/Mesh_3/Polyline_with_context.h
--- 5.0.2-3/include/CGAL/Mesh_3/Polyline_with_context.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Polyline_with_context.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Polyline_with_context.h $
-// $Id: Polyline_with_context.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Polyline_with_context.h $
+// $Id: Polyline_with_context.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -57,10 +57,10 @@ struct Extract_bare_polyline :
   typedef CGAL::cpp98::unary_function<Pwc_, const typename Pwc_::Bare_polyline&> Base;
   typedef typename Base::result_type                                     result_type;
   typedef typename Base::argument_type                                   argument_type;
-  
+
   result_type operator()(const argument_type& p) const { return p.polyline_content; }
 };
-  
+
 }} // end namespaces
 
 #endif // CGAL_MESH_3_POLYLINE_WITH_CONTEXT_H
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Profile_counter.h 5.0.3-1/include/CGAL/Mesh_3/Profile_counter.h
--- 5.0.2-3/include/CGAL/Mesh_3/Profile_counter.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Profile_counter.h	2020-08-01 19:02:31.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Profile_counter.h $
-// $Id: Profile_counter.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Profile_counter.h $
+// $Id: Profile_counter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sylvain Pion, Laurent Rineau
@@ -40,9 +40,9 @@
 #  define CGAL_MESH_3_HISTOGRAM_PROFILER(Y, Z)
 #  define CGAL_MESH_3_BRANCH_PROFILER(Y, NAME)
 #  define CGAL_MESH_3_BRANCH_PROFILER_BRANCH(NAME)
-#  define CGAL_MESH_3_BRANCH_PROFILER_3(Y, NAME) 
+#  define CGAL_MESH_3_BRANCH_PROFILER_3(Y, NAME)
 #  define CGAL_MESH_3_BRANCH_PROFILER_BRANCH_1(NAME)
-#  define CGAL_MESH_3_BRANCH_PROFILER_BRANCH_2(NAME) 
+#  define CGAL_MESH_3_BRANCH_PROFILER_BRANCH_2(NAME)
 #endif
 
 #endif // CGAL_MESH_3_PROFILE_COUNTER_H
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Profiling_tools.h 5.0.3-1/include/CGAL/Mesh_3/Profiling_tools.h
--- 5.0.2-3/include/CGAL/Mesh_3/Profiling_tools.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Profiling_tools.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Profiling_tools.h $
-// $Id: Profiling_tools.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Profiling_tools.h $
+// $Id: Profiling_tools.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Clement Jamin
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_MESH_3_PROFILING_TOOLS_H
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Protect_edges_sizing_field.h 5.0.3-1/include/CGAL/Mesh_3/Protect_edges_sizing_field.h
--- 5.0.2-3/include/CGAL/Mesh_3/Protect_edges_sizing_field.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Protect_edges_sizing_field.h	2020-08-01 19:02:31.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Protect_edges_sizing_field.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Protect_edges_sizing_field.h $
 // $Id: Protect_edges_sizing_field.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/radius_ratio.h 5.0.3-1/include/CGAL/Mesh_3/radius_ratio.h
--- 5.0.2-3/include/CGAL/Mesh_3/radius_ratio.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/radius_ratio.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/radius_ratio.h $
-// $Id: radius_ratio.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/radius_ratio.h $
+// $Id: radius_ratio.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -19,7 +19,7 @@
 namespace CGAL {
 
 namespace Mesh_3 {
-  
+
 template <typename K>
 typename K::FT
 radius_ratio(const typename K::Point_3& p0,
@@ -31,23 +31,23 @@ radius_ratio(const typename K::Point_3&
   typedef typename K::FT FT;
   typename K::Compute_squared_distance_3 sq_distance =
     k.compute_squared_distance_3_object();
-  typename K::Compute_squared_radius_3 comp_sq_circumradius = 
+  typename K::Compute_squared_radius_3 comp_sq_circumradius =
     k.compute_squared_radius_3_object();
   typename K::Compute_volume_3 volume =
     k.compute_volume_3_object();
-  typename K::Compute_area_3 area = 
+  typename K::Compute_area_3 area =
     k.compute_area_3_object();
 
-  typename K::Coplanar_3 are_coplanar = 
+  typename K::Coplanar_3 are_coplanar =
     k.coplanar_3_object();
 
   if(are_coplanar(p0, p1, p2, p3))
     return FT(0.);
 
   const FT sq_circumradius = comp_sq_circumradius(p0,
-						  p1,
-						  p2,
-						  p3);
+                                                  p1,
+                                                  p2,
+                                                  p3);
   CGAL_assertion(sq_circumradius != FT(0));
 
   const FT triangles_area =
@@ -60,17 +60,17 @@ radius_ratio(const typename K::Point_3&
 
   const FT cell_volume = volume(p0, p1, p2, p3);
 
-  const FT inradius = 
+  const FT inradius =
     3 * CGAL::abs(cell_volume) / triangles_area;
 
   const FT result = FT(3) * inradius / CGAL::sqrt(sq_circumradius);
-  
+
   CGAL_assertion(result >= FT(0));
   CGAL_assertion(result <= FT(1));
 
   return result;
 }
-  
+
 template <typename K>
 typename K::FT
 radius_ratio(const typename K::Tetrahedron_3& t, K k = K())
@@ -81,10 +81,10 @@ radius_ratio(const typename K::Tetrahedr
 template <typename Tetrahedron_3>
 typename Kernel_traits<Tetrahedron_3>::Kernel::FT
 radius_ratio(const Tetrahedron_3& t)
-{  
+{
   return radius_ratio(t, typename Kernel_traits<Tetrahedron_3>::Kernel());
 }
-  
+
 
 
 } // end namespace Mesh_3
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Refine_cells_3.h 5.0.3-1/include/CGAL/Mesh_3/Refine_cells_3.h
--- 5.0.2-3/include/CGAL/Mesh_3/Refine_cells_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Refine_cells_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Refine_cells_3.h $
-// $Id: Refine_cells_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Refine_cells_3.h $
+// $Id: Refine_cells_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Rineau, Stéphane Tayeb
@@ -478,7 +478,7 @@ public:
 
     return sstr.str();
   }
-  
+
   /// Adds \c cell to the refinement queue if needed
   void treat_new_cell(const Cell_handle& cell);
 
@@ -520,7 +520,7 @@ private:
     }
   };
 #endif // CGAL_LINKED_WITH_TBB
-  
+
   // -----------------------------------
   // -----------------------------------
   // -----------------------------------
@@ -668,7 +668,7 @@ scan_triangulation_impl()
     std::cerr << "Scanning triangulation for bad cells (in parallel)";
 # endif
     add_to_TLS_lists(true);
-    
+
     typedef typename Tr::All_cells_iterator All_cells_iterator;
 
     // WITH PARALLEL_FOR
@@ -794,7 +794,7 @@ conflicts_zone_impl(const Weighted_point
 
   facet_is_in_its_cz = true; // Always true
 
-  CGAL_HISTOGRAM_PROFILER("Mesh_3::Refine_cells::conflict zone", 
+  CGAL_HISTOGRAM_PROFILER("Mesh_3::Refine_cells::conflict zone",
                           static_cast<unsigned int>(zone.cells.size()));
   return zone;
 }
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Refine_facets_3.h 5.0.3-1/include/CGAL/Mesh_3/Refine_facets_3.h
--- 5.0.2-3/include/CGAL/Mesh_3/Refine_facets_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Refine_facets_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Refine_facets_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Refine_facets_3.h $
 // $Id: Refine_facets_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Refine_facets_manifold_base.h 5.0.3-1/include/CGAL/Mesh_3/Refine_facets_manifold_base.h
--- 5.0.2-3/include/CGAL/Mesh_3/Refine_facets_manifold_base.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Refine_facets_manifold_base.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Refine_facets_manifold_base.h $
-// $Id: Refine_facets_manifold_base.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Refine_facets_manifold_base.h $
+// $Id: Refine_facets_manifold_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -219,7 +219,7 @@ private:
               << biggest_sq_dist << std::endl;
 #endif // CGAL_MESHES_DEBUG_REFINEMENT_POINTS
 
-    for (++fcirc; *fcirc != first_facet; ++fcirc) 
+    for (++fcirc; *fcirc != first_facet; ++fcirc)
     {
       while(!this->r_c3t3_.is_in_complex(*fcirc)) ++fcirc;
       if(*fcirc == first_facet) break;
@@ -247,7 +247,7 @@ private:
 
   // Actions to perform on a facet inside the conflict zone
   void
-  before_insertion_handle_facet_inside_conflict_zone (const Facet& f) 
+  before_insertion_handle_facet_inside_conflict_zone (const Facet& f)
   {
 #ifdef CGAL_LINKED_WITH_TBB
     // Sequential only
@@ -544,7 +544,7 @@ public:
     // foreach f in star(v)
     for (typename Facets::iterator fit = facets.begin();
          fit != facets.end();
-         ++fit) 
+         ++fit)
     {
       // foreach edge of *fit
       const Cell_handle cell = fit->first;
@@ -564,7 +564,7 @@ public:
           // edges are tried to be inserted several times
           // TODO one day: test if the edge is still singular
           if ( (this->r_c3t3_.face_status(edge) == C3t3::SINGULAR) ||
-               ( (!m_with_boundary) && 
+               ( (!m_with_boundary) &&
                  (this->r_c3t3_.face_status(edge) == C3t3::BOUNDARY) )
                )
           {
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Refine_tets_visitor.h 5.0.3-1/include/CGAL/Mesh_3/Refine_tets_visitor.h
--- 5.0.2-3/include/CGAL/Mesh_3/Refine_tets_visitor.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Refine_tets_visitor.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Refine_tets_visitor.h $
-// $Id: Refine_tets_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Refine_tets_visitor.h $
+// $Id: Refine_tets_visitor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -29,7 +29,7 @@ namespace Mesh_3 {
     class Refine_facets_visitor {
       Refine_tets* refine_tets;
       Previous_level* previous;
-      
+
     public:
       typedef typename Tr::Vertex_handle Vertex_handle;
       typedef typename Tr::Cell_handle Cell_handle;
@@ -41,7 +41,7 @@ namespace Mesh_3 {
       typedef Previous_level Previous_visitor;
 
       Refine_facets_visitor(Refine_tets* refine_tets_,
-			    Previous_visitor* p)
+                            Previous_visitor* p)
         : refine_tets(refine_tets_), previous(p), active_(false)
       {
       }
@@ -52,7 +52,7 @@ namespace Mesh_3 {
       template <typename E, typename P>
       void before_insertion(const E&,
                             const P&,
-                            Zone& zone) 
+                            Zone& zone)
       {
         if ( active_ )
           refine_tets->before_insertion_handle_cells_in_conflict_zone(zone);
@@ -71,20 +71,20 @@ namespace Mesh_3 {
       {
         return *previous;
       }
-      
+
       void activate()
       {
         active_=true;
       }
-      
+
       bool is_active() const
       {
         return active_;
       }
-      
+
     private:
       bool active_;
-      
+
     }; // end class Refine_facets_visitor
 
   } // end namespace Mesh_3::tets
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Robust_intersection_kernel.h 5.0.3-1/include/CGAL/Mesh_3/Robust_intersection_kernel.h
--- 5.0.2-3/include/CGAL/Mesh_3/Robust_intersection_kernel.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Robust_intersection_kernel.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Robust_intersection_kernel.h $
-// $Id: Robust_intersection_kernel.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Robust_intersection_kernel.h $
+// $Id: Robust_intersection_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_MESH_3_ROBUST_INTERSECTION_KERNEL_3_H
@@ -35,7 +35,7 @@ class Robust_intersection_for_kernel_3
 public:
   typedef typename K_::Line_3                         Line_3;
   typedef typename K_::Plane_3                        Plane_3;
-  
+
   typedef Object                                      result_type;
 
   typedef Robust_intersection_for_kernel_3<K_>        Self;
@@ -65,7 +65,7 @@ public:
       return make_object(back_from_exact(*p));
     else if ( const EK::Segment_3* seg = object_cast<EK::Segment_3>(&object) )
       return make_object(back_from_exact(*seg));
-    else 
+    else
       return Object();
   }
 }; // end template Robust_intersection_for_kernel_3
@@ -75,7 +75,7 @@ template <typename K_base, typename Kern
 struct Robust_intersection_kernel_base
   : public K_base::template Base<Kernel>::Type
 {
-  
+
   // template < typename Kernel2 >
   // struct Base {
   //   typedef typename K_base::template Base<Kernel2> K2;
@@ -101,7 +101,7 @@ struct Robust_intersection_kernel
 
 
 } // end namespace Mesh_3
-  
+
 } //namespace CGAL
 
 #endif // CGAL_MESH_3_ROBUST_INTERSECTION_KERNEL_3_H
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Robust_intersection_traits_3.h 5.0.3-1/include/CGAL/Mesh_3/Robust_intersection_traits_3.h
--- 5.0.2-3/include/CGAL/Mesh_3/Robust_intersection_traits_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Robust_intersection_traits_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Robust_intersection_traits_3.h $
-// $Id: Robust_intersection_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Robust_intersection_traits_3.h $
+// $Id: Robust_intersection_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_MESH_3_ROBUST_INTERSECTION_TRAITS_3_H
@@ -38,7 +38,7 @@ struct Vector_plane_orientation_3 {
 
   typedef CGAL::Orientation result_type;
 
-  Orientation 
+  Orientation
   operator()(const Point_3& p, const Point_3& q,
              const Point_3& a, const Point_3& b, const Point_3& c) const
   {
@@ -61,7 +61,7 @@ struct Vector_plane_orientation_3_filter
     Cartesian_converter<K, Simple_cartesian<Interval_nt_advanced> >
   >
 {}; // end struct template Vector_plane_orientation_3_filtered_predicate
-                                                               
+
 template <typename K>
 struct Vector_plane_orientation_3_static_filter :
     public Vector_plane_orientation_3_filtered_predicate<K>
@@ -69,7 +69,7 @@ struct Vector_plane_orientation_3_static
   typedef typename K::Point_3 Point_3;
   typedef Vector_plane_orientation_3_filtered_predicate<K> Base;
 
-  Orientation 
+  Orientation
   operator()(const Point_3& p, const Point_3& q,
              const Point_3& a, const Point_3& b, const Point_3& c) const
   {
@@ -121,7 +121,7 @@ struct Vector_plane_orientation_3_static
     double apsz = CGAL::abs(pqz);
 
 #ifdef CGAL_USE_SSE2_MAX
-    CGAL::Max<double> mmax; 
+    CGAL::Max<double> mmax;
 
     maxx = mmax(maxx, aprx, apsx);
     maxy = mmax(maxy, apry, apsy);
@@ -139,14 +139,14 @@ struct Vector_plane_orientation_3_static
                                    pqx, pqy, pqz);
 
     double eps = 5.1107127829973299e-15 * maxx * maxy * maxz;
-          
+
 #ifdef CGAL_USE_SSE2_MAX
 #if 0
-    CGAL::Min<double> mmin; 
+    CGAL::Min<double> mmin;
     double tmp = mmin(maxx, maxy, maxz);
     maxz = mmax(maxx, maxy, maxz);
     maxx = tmp;
-#else 
+#else
     sse2minmax(maxx,maxy,maxz);
     // maxy can contain ANY element
 #endif
@@ -180,7 +180,7 @@ struct Vector_plane_orientation_3_static
 
 // An exact line-plane intersection that returns always a point.
 // The line it (pq), and the plane is (abc).
-// 
+//
 // Precondition: [pq] and [abc] are not coplanar.
 template <typename K>
 typename K::Point_3
@@ -205,7 +205,7 @@ lp_intersection(const typename K::Point_
     // (intervals as number type).
     Protect_FPU_rounding<true> protect;
     const typename FK::Point_3 fp = to_filtering(p), fq = to_filtering(q);
-    const typename FK::Point_3 
+    const typename FK::Point_3
       fa = to_filtering(a), fb = to_filtering(b), fc = to_filtering(c);
 
     const typename FK::Vector_3 ap = fp - fa;
@@ -224,8 +224,8 @@ lp_intersection(const typename K::Point_
 
       // ...and check that its coordinates intervals are precise enough.
       const double prec = EPEC::FT::get_relative_precision_of_to_double();
-      if(has_smaller_relative_precision(result.x(),prec) && 
-         has_smaller_relative_precision(result.y(),prec) && 
+      if(has_smaller_relative_precision(result.x(),prec) &&
+         has_smaller_relative_precision(result.y(),prec) &&
          has_smaller_relative_precision(result.z(),prec))
       {
         // Then return the intersection point as a K::Point_3.
@@ -270,7 +270,7 @@ ts_intersection(const typename K::Triang
   typedef typename cpp11::result_of<
     typename K::Intersect_3(typename K::Segment_3, typename K::Triangle_3)
   >::type result_type;
-  
+
   CGAL_MESH_3_BRANCH_PROFILER(std::string("coplanar/calls in   : ") +
                               std::string(CGAL_PRETTY_FUNCTION), tmp);
   CGAL_kernel_precondition( ! k.is_degenerate_3_object()(t) ) ;
@@ -413,7 +413,7 @@ tr_intersection(const typename K::Triang
   typedef typename cpp11::result_of<
     typename K::Intersect_3(typename K::Ray_3, typename K::Triangle_3)
   >::type result_type;
-  
+
   typedef typename K::Point_3 Point_3;
 
   typename K::Construct_vertex_3 vertex_on =
@@ -445,7 +445,7 @@ tr_intersection(const typename K::Triang
   if(abcp == COPLANAR) return result_type(); // p belongs to the triangle's
                                         // supporting plane
 
-  if(ray_direction == abcp) return result_type();          
+  if(ray_direction == abcp) return result_type();
   // The ray lies entirely in one of the two open halfspaces defined by the
   // triangle's supporting plane.
 
@@ -466,7 +466,7 @@ class Robust_intersection_3_new
 {
 public:
   typedef typename K_::FT                             FT;
-  
+
   typedef typename K_::Triangle_3                     Triangle_3;
   typedef typename K_::Segment_3                      Segment_3;
   typedef typename K_::Ray_3                          Ray_3;
@@ -478,11 +478,11 @@ public:
   struct result<F(A, B)> {
     typedef typename cpp11::result_of<typename K_::Intersect_3(A, B)>::type type;
   };
-  
+
   typedef Exact_predicates_exact_constructions_kernel     EK;
   typedef Cartesian_converter<typename K_::Kernel, EK>    To_exact;
   typedef Cartesian_converter<EK, typename K_::Kernel>    Back_from_exact;
-  
+
   template<class T1, class T2>
   typename cpp11::result_of<typename K_::Intersect_3(T1, T2)>::type
   operator() (const T1& t, const T2& s) const
@@ -491,35 +491,35 @@ public:
     To_exact to_exact;
     Back_from_exact back_from_exact;
     EK::Intersect_3 exact_intersection = EK().intersect_3_object();
-    
+
     // Cartesian converters have an undocumented, optional< variant > operator
     return typename cpp11::result_of<typename K_::Intersect_3(T1, T2)>::type
       (back_from_exact(exact_intersection(to_exact(t), to_exact(s))));
   }
-  
+
   typename cpp11::result_of<typename K_::Intersect_3(Segment_3, Triangle_3)>::type
   operator()(const Segment_3& s, const Triangle_3& t) const
   {
     return ts_intersection(t, s, K_());
   }
-  
+
   typename cpp11::result_of<typename K_::Intersect_3(Segment_3, Triangle_3)>::type
   operator()(const Triangle_3& t, const Segment_3& s) const
   {
     return ts_intersection(t, s, K_());
   }
-  
+
   typename cpp11::result_of<typename K_::Intersect_3(Ray_3, Triangle_3)>::type
   operator()(const Ray_3& r, const Triangle_3& t) const  {
     return tr_intersection(t, r, K_());
   }
-  
+
   typename cpp11::result_of<typename K_::Intersect_3(Ray_3, Triangle_3)>::type
   operator()(const Triangle_3& t, const Ray_3& r) const
   {
     return tr_intersection(t, r, K_());
   }
-  
+
 };
 
 template < typename K_ >
@@ -527,13 +527,13 @@ class Robust_intersection_3
 {
 public:
   typedef typename K_::FT                             FT;
-  
+
   typedef typename K_::Triangle_3                     Triangle_3;
   typedef typename K_::Segment_3                      Segment_3;
-  
+
   template <typename>
   struct result;
-  
+
   template <typename F, typename A, typename B>
   struct result<F(A, B)> {
     typedef typename cpp11::result_of<typename K_::Intersect_3(A, B)>::type type;
@@ -542,7 +542,7 @@ public:
   typedef Exact_predicates_exact_constructions_kernel   EK;
   typedef Cartesian_converter<typename K_::Kernel, EK>    To_exact;
   typedef Cartesian_converter<EK, typename K_::Kernel>    Back_from_exact;
-  
+
   template<class T1, class T2>
   typename cpp11::result_of<typename K_::Intersect_3(T1, T2)>::type
   operator() (const T1& t, const T2& s) const
@@ -551,7 +551,7 @@ public:
     To_exact to_exact;
     Back_from_exact back_from_exact;
     EK::Intersect_3 exact_intersection = EK().intersect_3_object();
-    
+
     // Cartesian converters have an undocumented, optional< variant > operator
     return typename cpp11::result_of<typename K_::Intersect_3(T1, T2)>::type
       (back_from_exact(exact_intersection(to_exact(t), to_exact(s))));
@@ -574,7 +574,7 @@ struct Robust_intersection_traits_3
   {
     return Intersect_3();
   }
-  
+
 };
 
 template<class K_>
@@ -588,11 +588,11 @@ struct Robust_intersection_traits_3_new
   {
     return Intersect_3();
   }
-  
+
 };
 
 } // end namespace Mesh_3
-  
+
 } //namespace CGAL
 
 #endif // CGAL_MESH_3_ROBUST_INTERSECTION_TRAITS_3_H
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/search_for_connected_components_in_labeled_image.h 5.0.3-1/include/CGAL/Mesh_3/search_for_connected_components_in_labeled_image.h
--- 5.0.2-3/include/CGAL/Mesh_3/search_for_connected_components_in_labeled_image.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/search_for_connected_components_in_labeled_image.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/search_for_connected_components_in_labeled_image.h $
-// $Id: search_for_connected_components_in_labeled_image.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/search_for_connected_components_in_labeled_image.h $
+// $Id: search_for_connected_components_in_labeled_image.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -32,8 +32,8 @@
 #  include <boost/format.hpp>
 #endif // CGAL_MESH_3_SEARCH_FOR_CONNECTED_COMPONENTS_IN_LABELED_IMAGE_VERBOSE
 template <typename PointsOutputIterator,
-	  typename DomainsOutputIterator,
-	  typename TransformOperator,
+          typename DomainsOutputIterator,
+          typename TransformOperator,
           typename Construct_point,
           typename Image_word_type>
 void
@@ -81,7 +81,7 @@ search_for_connected_components_in_label
         const Label current_label =
           transform(static_evaluate<Image_word_type>(image.image(),
                                                      voxel_index));
-	*dom_it++ = current_label;
+        *dom_it++ = current_label;
         if(current_label == Label()) {
           visited[voxel_index] = true;
           second_pass[voxel_index] = true;
@@ -209,18 +209,18 @@ search_for_connected_components_in_label
             }
             else // end of second pass, return the last visited voxel
             {
-// 	      if(nb_voxels >= 100)
-	      {
-		*it++ = std::make_pair(point(i, j, k),
+//               if(nb_voxels >= 100)
+              {
+                *it++ = std::make_pair(point(i, j, k),
                                        depth+1);
 #if CGAL_MESH_3_SEARCH_FOR_CONNECTED_COMPONENTS_IN_LABELED_IMAGE_VERBOSE > 1
-		std::cerr << boost::format("Found seed %5%, which is voxel "
+                std::cerr << boost::format("Found seed %5%, which is voxel "
                                            "(%1%, %2%, %3%), value=%4%\n")
-		  % i % j % k
+                  % i % j % k
                   % (long)static_evaluate<Image_word_type>(image.image(), i, j, k)
                   % point(i, j, k);
 #endif // CGAL_MESH_3_SEARCH_FOR_CONNECTED_COMPONENTS_IN_LABELED_IMAGE_VERBOSE>1
-	      }
+              }
             }
           } // end if queue.empty()
         } // end while !queue.empty() (with local indices i, j, k)
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Sizing_grid.h 5.0.3-1/include/CGAL/Mesh_3/Sizing_grid.h
--- 5.0.2-3/include/CGAL/Mesh_3/Sizing_grid.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Sizing_grid.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Sizing_grid.h $
-// $Id: Sizing_grid.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Sizing_grid.h $
+// $Id: Sizing_grid.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb, Jane Tournois, Camille Wormser, Pierre Alliez
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_MESH_3_SIZING_GRID_H
@@ -37,7 +37,7 @@ class Sizing_grid_node
 public:
   typedef typename Gt::Point_3 Point;
   typedef typename Gt::FT FT;
-  
+
   FT m_init_size;
   FT m_size;
   FT m_distance;
@@ -45,42 +45,42 @@ public:
   Point m_point;
   int m_indices[3];
   Sizing_grid_node* m_pRef_node;
-  
+
 public:
-  Sizing_grid_node() 
+  Sizing_grid_node()
   {
     m_done = false;
     m_size = CGAL_MESH_3_INFINITE_SIZE;
     m_pRef_node = nullptr;
     m_indices[0] = m_indices[1] = m_indices[2] = 0;
   }
-  
+
   ~Sizing_grid_node() {}
-  
+
   const Point& point() const { return m_point; }
   Point& point() { return m_point; }
-  
+
   Sizing_grid_node* ref_node() { return m_pRef_node; }
   void ref_node(Sizing_grid_node* pRef_node) { m_pRef_node = pRef_node; }
-  
+
   bool& done() { return m_done; }
   const bool& done() const { return m_done; }
-  
+
   FT& size() { return m_size; }
   const FT& size() const { return m_size; }
-  
+
   FT& init_size() { return m_init_size; }
   const FT& init_size() const { return m_init_size; }
-  
+
   const int& i() const { return m_indices[0]; }
   const int& j() const { return m_indices[1]; }
   const int& k() const { return m_indices[2]; }
   int& i() { return m_indices[0]; }
   int& j() { return m_indices[1]; }
   int& k() { return m_indices[2]; }
-  
+
   void indices(const int i,
-               const int j, 
+               const int j,
                const int k)
   {
     m_indices[0] = i;
@@ -91,18 +91,18 @@ public:
 
 // functor for priority queue
 template<class c>
-struct less_candidate_size 
-{	
-bool operator()(const c& c1, 
+struct less_candidate_size
+{
+bool operator()(const c& c1,
                 const c& c2) const
-{	
+{
   return c1.size() > c2.size();
 }
 };
 
 
 
-  
+
 
 template <class Tr>
 class Sizing_grid
@@ -117,7 +117,7 @@ public:
   typedef typename Gt::Vector_3 Vector;
   typedef Sizing_grid_node<Gt> Node;
   typedef typename std::pair<Bare_point, FT> Constraint;
-  
+
 private:
   // grid
   Node ***m_pppNodes;
@@ -131,32 +131,32 @@ private:
   FT m_max_size;
   bool m_updated;
   std::list<Constraint> m_constraints;
-  
+
   class Candidate_size
   {
   private:
     FT m_size;
     Node* m_pNode;
     Node* m_pRef_node;
-    
+
   public:
-    
+
     Candidate_size(Node* pNode,
                    Node* pRef_node,
-                   const FT k) 
+                   const FT k)
     {
       m_pNode = pNode;
       m_pRef_node = pRef_node;
-      
+
       // size = K d(node,v) + init_size(v)
       const Bare_point& p1 = pNode->point();
       const Bare_point& p2 = m_pRef_node->point();
       FT distance = (FT)std::sqrt(CGAL_NTS to_double(CGAL::squared_distance(p1,p2)));
       m_size = k * distance + m_pRef_node->init_size();
     }
-    
+
     ~Candidate_size() {}
-    
+
   public:
     Candidate_size(const Candidate_size& c)
     {
@@ -164,22 +164,22 @@ private:
       m_pRef_node = c.ref_node();
       m_size = c.size();
     }
-    
+
     Node* node() const { return m_pNode; }
     Node* ref_node() const { return m_pRef_node; }
-    
+
     FT& size() { return m_size; }
     const FT& size() const { return m_size; }
   };
-  
-  
+
+
   typedef typename std::priority_queue<Candidate_size,
     std::vector<Candidate_size>,
     less_candidate_size<Candidate_size> > PQueue;
-  
-  
+
+
 public:
-  Sizing_grid(const Tr& tr) 
+  Sizing_grid(const Tr& tr)
   {
     m_k = 1.0;
     m_ds = m_dv = 0;
@@ -189,10 +189,10 @@ public:
     m_yrange[0] = m_yrange[1] = m_yrange[2] = 0;
     m_zrange[0] = m_zrange[1] = m_zrange[2] = 0;
     m_updated = false;
-    
+
     // Build grid
     unsigned int nb_nodes = tr.number_of_vertices()*27;
-    
+
     Bbox_3 tr_bbox;
     for ( typename Tr::Finite_cells_iterator cit = tr.finite_cells_begin() ;
          cit != tr.finite_cells_end() ;
@@ -200,18 +200,18 @@ public:
     {
       tr_bbox = tr_bbox + tr.tetrahedron(cit).bbox();
     }
-    
+
     init(tr_bbox.xmin(), tr_bbox.xmax(),
          tr_bbox.ymin(), tr_bbox.ymax(),
          tr_bbox.zmin(), tr_bbox.zmax(),
          nb_nodes);
   }
-  
-  ~Sizing_grid() 
+
+  ~Sizing_grid()
   {
     cleanup();
   }
-  
+
   void fill(const std::map<Weighted_point,FT>& value_map)
   {
     for ( typename std::map<Weighted_point,FT>::const_iterator it = value_map.begin() ;
@@ -220,20 +220,20 @@ public:
     {
       add_constraint(it->first, it->second);
     }
-    
+
     update();
   }
-  
+
   FT operator()(const Point& query) const
   {
     return size_trilinear(query);
   }
-  
+
 private:
-  
+
   FT& k() { return m_k; }
   const FT& k() const { return m_k; }
-  
+
   void cleanup()
   {
     m_constraints.clear();
@@ -249,14 +249,14 @@ private:
     m_nx = m_ny = m_nz = 0;
     m_updated = false;
   }
-  
+
   bool alloc(const unsigned int nx,
              const unsigned int ny,
              const unsigned int nz)
   {
     // cleanup
     cleanup();
-    
+
     // alloc
     m_pppNodes = new Node**[nx];
     if(m_pppNodes == nullptr)
@@ -288,9 +288,9 @@ private:
     m_nz = nz;
     return true;
   }
-  
 
-  
+
+
   // trilinear interpolation of size
   // https://en.wikipedia.org/wiki/Trilinear_interpolation
   FT size_trilinear(const Point& query) const
@@ -300,19 +300,19 @@ private:
       px = m_xrange[0];
     if ( px >= m_xrange[1] )
       px = m_xrange[1]-m_ds;
-    
+
     FT py = query.y();
     if ( py < m_yrange[0] )
       py = m_yrange[0];
     if ( py >= m_yrange[1] )
       py = m_yrange[1]-m_ds;
-    
+
     FT pz = query.z();
     if ( pz < m_zrange[0] )
       pz = m_zrange[0];
     if ( pz >= m_zrange[1] )
       pz = m_zrange[1]-m_ds;
-    
+
     CGAL_assertion(px >= m_xrange[0] && px < m_xrange[1] &&
                    py >= m_yrange[0] && py < m_yrange[1] &&
                    pz >= m_zrange[0] && pz < m_zrange[1]);
@@ -332,15 +332,15 @@ private:
     CGAL_assertion(xd >= 0.0 && xd <= 1.0);
     CGAL_assertion(yd >= 0.0 && yd <= 1.0);
     CGAL_assertion(zd >= 0.0 && zd <= 1.0);
-    FT i1 = node(xl,yl,zl)->size() * (1.0 - zd) + node(xl,yl,zh)->size() * zd; 
-    FT i2 = node(xl,yh,zl)->size() * (1.0 - zd) + node(xl,yh,zh)->size() * zd; 
-    FT j1 = node(xh,yl,zl)->size() * (1.0 - zd) + node(xh,yl,zh)->size() * zd; 
-    FT j2 = node(xh,yh,zl)->size() * (1.0 - zd) + node(xh,yh,zh)->size() * zd; 
+    FT i1 = node(xl,yl,zl)->size() * (1.0 - zd) + node(xl,yl,zh)->size() * zd;
+    FT i2 = node(xl,yh,zl)->size() * (1.0 - zd) + node(xl,yh,zh)->size() * zd;
+    FT j1 = node(xh,yl,zl)->size() * (1.0 - zd) + node(xh,yl,zh)->size() * zd;
+    FT j2 = node(xh,yh,zl)->size() * (1.0 - zd) + node(xh,yh,zh)->size() * zd;
     FT w1 = i1 * (1.0 - yd) + i2 * yd;
     FT w2 = j1 * (1.0 - yd) + j2 * yd;
     return w1 * (1.0 - xd) + w2 * xd;
   }
-  
+
   Node *node(const Point& query) const
   {
     const FT x = query.x();
@@ -357,31 +357,31 @@ private:
     }
     return nullptr;
   }
-  
+
   Node* node(const int i,
              const int j,
-             const int k) const 
+             const int k) const
   {
     if(m_pppNodes == nullptr)
       return nullptr;
-    
-    if(i < 0 || 
-       j < 0 || 
+
+    if(i < 0 ||
+       j < 0 ||
        k < 0 ||
-       i >= (int)m_nx || 
-       j >= (int)m_ny || 
+       i >= (int)m_nx ||
+       j >= (int)m_ny ||
        k >= (int)m_nz)
       return nullptr;
-    
+
     return &m_pppNodes[i][j][k];
   }
-  
+
   Node* neighbor(Node* n,
                  unsigned int index)
   {
     if(n == nullptr)
       return nullptr;
-    
+
     switch(index)
     {
       case 0:
@@ -400,7 +400,7 @@ private:
         return nullptr;
     }
   }
-  
+
   bool init(const FT xmin,
             const FT xmax,
             const FT ymin,
@@ -416,16 +416,16 @@ private:
     init_positions_and_indices();
     return true;
   }
-  
-  static FT len(const Vector &v) 
-  { 
+
+  static FT len(const Vector &v)
+  {
     return (FT)std::sqrt(CGAL_NTS to_double(v*v));
   }
-  static FT sqlen(const Vector &v) 
-  { 
+  static FT sqlen(const Vector &v)
+  {
     return v*v;
   }
-  
+
   void flood(PQueue& priority_queue)
   {
     m_max_size = 0.0;
@@ -435,16 +435,16 @@ private:
       // pop candidate out of the queue
       Candidate_size candidate = priority_queue.top();
       priority_queue.pop();
-      
+
       Node* pNode = candidate.node();
       if(pNode->done() == true)
         continue;
-      
+
       pNode->ref_node(candidate.ref_node());
       pNode->size() = candidate.size();
       pNode->done() = true;
-      m_max_size = std::max(m_max_size,pNode->size());
-      
+      m_max_size = (std::max)(m_max_size,pNode->size());
+
       // explore neighbors
       for(unsigned int index_neighbor = 0;
           index_neighbor < 6;
@@ -452,13 +452,13 @@ private:
       {
         // TODO: change size of seeds
         Node *pNeighbor = neighbor(pNode,index_neighbor);
-        if(pNeighbor != nullptr && 
+        if(pNeighbor != nullptr &&
            pNeighbor->done() == false)
           priority_queue.push(Candidate_size(pNeighbor,pNode->ref_node(),m_k));
       }
     }
   }
-  
+
   void init_pqueue(PQueue& priority_queue)
   {
     // insert sizing constraints and init priority queue
@@ -469,7 +469,7 @@ private:
     {
       const Point& p = (*it).first;
       const FT init_size = (*it).second;
-      
+
       // get node at position p
       Node *pNode = node(p);
       if(pNode != nullptr && pNode->done() == false) // specific
@@ -479,14 +479,14 @@ private:
         pNode->done() = true;
         pNode->size() = init_size;
         pNode->ref_node(pNode);
-        
+
         // insert all valid neighbors to the priority queue
         for(unsigned int index_neighbor = 0;
             index_neighbor < 6;
             index_neighbor++)
         {
           Node *pNeighbor = neighbor(pNode,index_neighbor);
-          if(pNeighbor != nullptr && 
+          if(pNeighbor != nullptr &&
              pNeighbor->done() == false)
           {
             Candidate_size candidate(pNeighbor,pNode->ref_node(),m_k);
@@ -496,7 +496,7 @@ private:
       }
     }
   }
-  
+
   bool init_range_and_alloc(const FT xmin,
                             const FT xmax,
                             const FT ymin,
@@ -509,39 +509,39 @@ private:
     m_xrange[2] = ratio*(xmax - xmin);
     m_yrange[2] = ratio*(ymax - ymin);
     m_zrange[2] = ratio*(zmax - zmin);
-    
+
     FT xmid = 0.5*(xmin+xmax);
     FT ymid = 0.5*(ymin+ymax);
     FT zmid = 0.5*(zmin+zmax);
-    
+
     m_xrange[0] = xmid - 0.5*m_xrange[2];
     m_yrange[0] = ymid - 0.5*m_yrange[2];
     m_zrange[0] = zmid - 0.5*m_zrange[2];
-    
+
     m_xrange[1] = xmid + 0.5*m_xrange[2];
     m_yrange[1] = ymid + 0.5*m_yrange[2];
     m_zrange[1] = zmid + 0.5*m_zrange[2];
-    
+
     if(m_xrange[2] == 0.0 ||
        m_yrange[2] == 0.0 ||
        m_zrange[2] == 0.0)
       return false;
-    
+
     // deduce nx, ny, nz
     FT volume = m_xrange[2] * m_yrange[2] * m_zrange[2];
     m_dv = volume / (FT)nb_samples;
     m_ds = std::pow(m_dv,1.0/3.0);
-    
+
     unsigned nx = (unsigned)(m_xrange[2] / m_ds);
     unsigned ny = (unsigned)(m_yrange[2] / m_ds);
     unsigned nz = (unsigned)(m_zrange[2] / m_ds);
-    
+
     // alloc (and set m_nx.. variables)
     if(!alloc(nx,ny,nz))
       return false;
     return true;
   }
-  
+
   void init_positions_and_indices()
   {
     // init positions and tags
@@ -564,7 +564,7 @@ private:
       x += m_ds;
     }
   }
-  
+
   void tag_done(const bool done)
   {
     for(unsigned int i=0;i<m_nx;i++)
@@ -572,20 +572,20 @@ private:
         for(unsigned int k=0;k<m_nz;k++)
           m_pppNodes[i][j][k].done() = done;
   }
-  
+
   // total reset
   void reset(FT k)
   {
     m_k = k;
     cleanup();
   }
-  
+
   // reset where m_k is kept
   void reset()
   {
     cleanup();
   }
-  
+
   void set_k(const FT k)
   {
     if(k != m_k)
@@ -594,14 +594,14 @@ private:
       update();
     }
   }
-  
+
   void add_constraint(const Point& point,
                       const FT& size)
   {
     Constraint constraint(point,size);
     m_constraints.push_back(constraint);
   }
-  
+
   // update sizing grid
   void update()
   {
@@ -612,7 +612,7 @@ private:
     m_updated = true;
   }
 };
-  
+
 }// end namespace Mesh_3
 
 
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/sliver_criteria.h 5.0.3-1/include/CGAL/Mesh_3/sliver_criteria.h
--- 5.0.2-3/include/CGAL/Mesh_3/sliver_criteria.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/sliver_criteria.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/sliver_criteria.h $
-// $Id: sliver_criteria.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/sliver_criteria.h $
+// $Id: sliver_criteria.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_MESH_3_SLIVER_CRITERIA_H
@@ -56,26 +56,26 @@ public:
       if( ! cell->is_cache_valid() )
       {
         // cell->sliver_value() is stored in a plain 64 bits floating point
-        // number, and the value computed by operator() might be 
+        // number, and the value computed by operator() might be
         // computed using the 80 bits floating point registers of the x87
-        // unit. 
-        // This could cause comparisons between sliver values to be 
+        // unit.
+        // This could cause comparisons between sliver values to be
         // inconsistent when comparing caches and registers values
         // (see also the comment below)
         // IA_force_to_double is available in CGAL/FPU.h
-        double value 
+        double value
           = CGAL::IA_force_to_double(operator()(tr_.tetrahedron(cell)));
         cell->set_sliver_value(value);
       }
       return cell->sliver_value();
-    }  
+    }
     return operator()(tr_.tetrahedron(cell));
   }
 
   virtual double operator()(const Tetrahedron_3& t) const = 0;
 
   virtual void before_move(const Cell_vector& cells) const = 0;
-  virtual bool valid_move(const Cell_vector& cells, 
+  virtual bool valid_move(const Cell_vector& cells,
                           const bool soft = false) const = 0;
 
   // Sliver bound
@@ -101,7 +101,7 @@ class Min_value;
 
 template <typename Tr,
           bool update_sliver_cache = true>
-class Min_dihedral_angle_criterion 
+class Min_dihedral_angle_criterion
   : public Sliver_criterion<Tr, update_sliver_cache>
 {
 protected:
@@ -109,7 +109,7 @@ protected:
   typedef typename Base::Tetrahedron_3  Tetrahedron_3;
   typedef typename Base::Cell_vector    Cell_vector;
   typedef typename Base::Gt             Gt;
-  
+
 public:
   typedef typename Base::Cell_handle    Cell_handle;
 
@@ -141,7 +141,7 @@ public:
   {
     Min_value<Min_dihedral_angle_criterion, Cell_vector> min_value_op(*this);
     double min_val = min_value_op(cells);
-    return (min_val > min_value_before_move_) 
+    return (min_val > min_value_before_move_)
         || (soft && min_val > this->sliver_bound_);
   }
 
@@ -150,7 +150,7 @@ public:
                                const Tr& tr)
     : Base(sliver_bound, tr), min_value_before_move_(0.)
   {}
-  
+
 private:
   mutable double min_value_before_move_;
 };
@@ -158,7 +158,7 @@ private:
 
 template <typename Tr,
           bool update_sliver_cache = true>
-class Radius_ratio_criterion 
+class Radius_ratio_criterion
   : public Sliver_criterion<Tr, update_sliver_cache>
 {
 protected:
@@ -167,7 +167,7 @@ protected:
   typedef typename Base::Tetrahedron_3  Tetrahedron_3;
   typedef typename Base::Cell_vector    Cell_vector;
   typedef Radius_ratio_criterion<Tr, update_sliver_cache> RR_criterion;
-  
+
 public:
 
   virtual double get_default_value() const { return 0.25; }
@@ -191,7 +191,7 @@ public:
   {
     Min_value<RR_criterion, Cell_vector> min_value_op(*this);
     double min_val = min_value_op(cells);
-    return (min_val > min_value_before_move_) 
+    return (min_val > min_value_before_move_)
         || (soft && min_val > this->sliver_bound_);
   }
 
@@ -200,7 +200,7 @@ public:
                const Tr& tr)
     : Base(sliver_bound, tr)
   {}
-  
+
 private:
   mutable double min_value_before_move_;
 };
@@ -229,9 +229,9 @@ public:
 private:
   SliverCriterion criterion_;
 };
-  
+
 } // end namespace Mesh_3
-  
+
 } // end namespace CGAL
 
 #include <CGAL/enable_warnings.h>
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Sliver_perturber.h 5.0.3-1/include/CGAL/Mesh_3/Sliver_perturber.h
--- 5.0.2-3/include/CGAL/Mesh_3/Sliver_perturber.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Sliver_perturber.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Sliver_perturber.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Sliver_perturber.h $
 // $Id: Sliver_perturber.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Slivers_exuder_cell_attributes_traits.h 5.0.3-1/include/CGAL/Mesh_3/Slivers_exuder_cell_attributes_traits.h
--- 5.0.2-3/include/CGAL/Mesh_3/Slivers_exuder_cell_attributes_traits.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Slivers_exuder_cell_attributes_traits.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Slivers_exuder_cell_attributes_traits.h $
-// $Id: Slivers_exuder_cell_attributes_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Slivers_exuder_cell_attributes_traits.h $
+// $Id: Slivers_exuder_cell_attributes_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent Rineau
 
@@ -58,7 +58,7 @@ struct Slivers_ex_att_t_aux<Cell, true>
   void restore_attributes(Cell* c, const Cell_attributes& attr)
   {
     return c->slivers_exuder_restore_attributes(attr);
-  } 
+  }
 }; // end partial specialisation Slivers_ex_att_t_aux<Cell, true>
 
 template <class Cell>
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Slivers_exuder.h 5.0.3-1/include/CGAL/Mesh_3/Slivers_exuder.h
--- 5.0.2-3/include/CGAL/Mesh_3/Slivers_exuder.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Slivers_exuder.h	2020-08-01 19:02:31.000000000 +0000
@@ -5,7 +5,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Slivers_exuder.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Slivers_exuder.h $
 // $Id: Slivers_exuder.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/squared_distance_Point_3_Triangle_3.h 5.0.3-1/include/CGAL/Mesh_3/squared_distance_Point_3_Triangle_3.h
--- 5.0.2-3/include/CGAL/Mesh_3/squared_distance_Point_3_Triangle_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/squared_distance_Point_3_Triangle_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/squared_distance_Point_3_Triangle_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/squared_distance_Point_3_Triangle_3.h $
 // $Id: squared_distance_Point_3_Triangle_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/tet_soup_to_c3t3.h 5.0.3-1/include/CGAL/Mesh_3/tet_soup_to_c3t3.h
--- 5.0.2-3/include/CGAL/Mesh_3/tet_soup_to_c3t3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/tet_soup_to_c3t3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/tet_soup_to_c3t3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/tet_soup_to_c3t3.h $
 // $Id: tet_soup_to_c3t3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Triangle_accessor_primitive.h 5.0.3-1/include/CGAL/Mesh_3/Triangle_accessor_primitive.h
--- 5.0.2-3/include/CGAL/Mesh_3/Triangle_accessor_primitive.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Triangle_accessor_primitive.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Triangle_accessor_primitive.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Triangle_accessor_primitive.h $
 // $Id: Triangle_accessor_primitive.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Triangulation_helpers.h 5.0.3-1/include/CGAL/Mesh_3/Triangulation_helpers.h
--- 5.0.2-3/include/CGAL/Mesh_3/Triangulation_helpers.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Triangulation_helpers.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Triangulation_helpers.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Triangulation_helpers.h $
 // $Id: Triangulation_helpers.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Triangulation_sizing_field.h 5.0.3-1/include/CGAL/Mesh_3/Triangulation_sizing_field.h
--- 5.0.2-3/include/CGAL/Mesh_3/Triangulation_sizing_field.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Triangulation_sizing_field.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Triangulation_sizing_field.h $
-// $Id: Triangulation_sizing_field.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Triangulation_sizing_field.h $
+// $Id: Triangulation_sizing_field.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -12,7 +12,7 @@
 //
 //******************************************************************************
 // File Description : Defines a sizing field which use an internal triangulation
-// to store the sizes 
+// to store the sizes
 //******************************************************************************
 
 #ifndef CGAL_MESH_3_TRIANGULATION_SIZING_FIELD_H
@@ -56,53 +56,53 @@ class Triangulation_sizing_field
   typedef Triangulation_data_structure_3<Vb, Cb>          Tds;
   typedef Regular_triangulation_3<Gt,Tds>                 Compact_triangulation;
   typedef Compact_triangulation                           Ctr;
-  
+
   typedef typename Tr::Vertex_handle                      Vertex_handle;
   typedef typename Tr::Cell_handle                        Cell_handle;
   typedef typename Ctr::Cell_handle                       CCell_handle;
   typedef typename Ctr::Vertex_handle                     CVertex_handle;
-  
+
 public:
-  // Vertices of mesh triangulation do not need to be updated 
+  // Vertices of mesh triangulation do not need to be updated
   static const bool is_vertex_update_needed = false;
-  
+
 public:
   /**
    * Constructor
    */
   Triangulation_sizing_field(const Tr& tr);
-  
+
   /**
    * Fill sizing field, using size associated to point in \c value_map.
    */
   void fill(const std::map<Weighted_point, FT>& value_map);
-  
+
   /**
    * Returns size at point \c p.
    */
   FT operator()(const Weighted_point& p) const;
-  
+
   /**
    * Returns size at point \c p. (needed for compatibility)
    */
   template <typename Handle>
   FT operator()(const Weighted_point& p, const Handle&) const
   { return this->operator()(p); }
-  
+
 private:
   /**
    * Returns size at point \c p, by interpolation into tetrahedron.
    */
   FT interpolate_on_cell_vertices(const Weighted_point& p,
                                   const CCell_handle& cell) const;
-  
+
   /**
    * Returns size at point \c p, by interpolation into facet (\c cell is assumed
    * to be an infinite cell).
    */
   FT interpolate_on_facet_vertices(const Weighted_point& p,
                                    const CCell_handle& cell) const;
-  
+
   /**
    * Returns a hint for \c p location.
    */
@@ -118,63 +118,63 @@ private:
   {
     Weighted_point operator()(const typename Tr::Vertex& v) const { return v.point(); }
   };
-  
+
 private:
   Compact_triangulation ctr_;
   mutable CCell_handle last_cell_;
 };
-  
-  
+
+
 template <typename Tr>
 Triangulation_sizing_field<Tr>::
 Triangulation_sizing_field(const Tr& tr)
-  : ctr_(boost::make_transform_iterator(tr.finite_vertices_begin(), 
+  : ctr_(boost::make_transform_iterator(tr.finite_vertices_begin(),
                                         Extract_point()),
          boost::make_transform_iterator(tr.finite_vertices_end(),
                                         Extract_point()) )
   , last_cell_(CCell_handle())
 {
-}  
-  
-  
-  
+}
+
+
+
 template <typename Tr>
 void
 Triangulation_sizing_field<Tr>::
 fill(const std::map<Weighted_point, FT>& value_map)
 {
   typedef typename Ctr::Finite_vertices_iterator  Fvi;
-  
+
   for ( Fvi vit = ctr_.finite_vertices_begin() ;
         vit != ctr_.finite_vertices_end() ;
         ++ vit )
   {
-    typename std::map<Weighted_point, FT>::const_iterator find_result = 
+    typename std::map<Weighted_point, FT>::const_iterator find_result =
       value_map.find(ctr_.point(vit));
-    
+
     if ( find_result != value_map.end() )
       vit->info() = find_result->second;
     else
       vit->info() = FT(0);
   }
-}  
-  
-  
+}
+
+
 template <typename Tr>
 typename Triangulation_sizing_field<Tr>::FT
 Triangulation_sizing_field<Tr>::
-operator()(const Weighted_point& p) const  
-{  
+operator()(const Weighted_point& p) const
+{
   CCell_handle hint = get_hint(p);
   CCell_handle cell = ctr_.locate(p,hint);
   last_cell_ = cell;
-  
+
   if ( !ctr_.is_infinite(cell) )
     return interpolate_on_cell_vertices(p,cell);
   else
     return interpolate_on_facet_vertices(p,cell);
 }
-  
+
 
 template <typename Tr>
 typename Triangulation_sizing_field<Tr>::FT
@@ -203,15 +203,15 @@ interpolate_on_cell_vertices(const Weigh
   const FT abdp = CGAL::abs(volume(a,b,d,p));
   const FT acdp = CGAL::abs(volume(a,c,d,p));
   const FT bcdp = CGAL::abs(volume(b,c,d,p));
-  
+
   // TODO: improve this (static filter ?)
   // If volume is 0, then compute the average value
   if ( is_zero(abcp+abdp+acdp+bcdp) )
     return (va+vb+vc+vd)/4.;
-  
+
   return ( (abcp*vd + abdp*vc + acdp*vb + bcdp*va) / (abcp+abdp+acdp+bcdp) );
 }
-  
+
 template <typename Tr>
 typename Triangulation_sizing_field<Tr>::FT
 Triangulation_sizing_field<Tr>::
@@ -219,25 +219,25 @@ interpolate_on_facet_vertices(const Weig
 {
   typename Gt::Construct_point_3 cp = ctr_.geom_traits().construct_point_3_object();
   typename Gt::Compute_area_3 area = ctr_.geom_traits().compute_area_3_object();
-  
+
   // Find infinite vertex and put it in k0
   int k0 = 0;
   int k1 = 1;
   int k2 = 2;
   int k3 = 3;
-  
+
   if ( ctr_.is_infinite(cell->vertex(1)) )
     std::swap(k0,k1);
   if ( ctr_.is_infinite(cell->vertex(2)) )
     std::swap(k0,k2);
   if ( ctr_.is_infinite(cell->vertex(3)) )
     std::swap(k0,k3);
-  
+
   // Interpolate value using tet vertices values
   const FT& va = cell->vertex(k1)->info();
   const FT& vb = cell->vertex(k2)->info();
   const FT& vc = cell->vertex(k3)->info();
-  
+
   const Weighted_point& wa = ctr_.point(cell, k1);
   const Weighted_point& wb = ctr_.point(cell, k2);
   const Weighted_point& wc = ctr_.point(cell, k3);
@@ -248,12 +248,12 @@ interpolate_on_facet_vertices(const Weig
   const FT abp = area(a,b,p);
   const FT acp = area(a,c,p);
   const FT bcp = area(b,c,p);
-  
+
   // TODO: improve this (static filter ?)
   // If area is 0, then compute the average value
   if ( is_zero(abp+acp+bcp) )
     return (va+vb+vc)/3.;
-  
+
   return ( (abp*vc + acp*vb + bcp*va ) / (abp+acp+bcp) );
 }
 
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Uniform_sizing_field.h 5.0.3-1/include/CGAL/Mesh_3/Uniform_sizing_field.h
--- 5.0.2-3/include/CGAL/Mesh_3/Uniform_sizing_field.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Uniform_sizing_field.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Uniform_sizing_field.h $
-// $Id: Uniform_sizing_field.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Uniform_sizing_field.h $
+// $Id: Uniform_sizing_field.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_MESH_3_UNIFORM_SIZING_FIELD_H
@@ -23,28 +23,28 @@
 namespace CGAL {
 
 namespace Mesh_3 {
-  
+
 template <typename Tr>
 class Uniform_sizing_field
 {
   typedef typename Tr::Geom_traits    Gt;
   typedef typename Tr::Weighted_point Weighted_point;
   typedef typename Gt::FT             FT;
-  
+
 public:
-  // Vertices of mesh triangulation do not need to be updated 
+  // Vertices of mesh triangulation do not need to be updated
   static const bool is_vertex_update_needed = false;
-  
+
 public:
   Uniform_sizing_field(const Tr&) {}
   void fill(const std::map<Weighted_point,FT>&) {}
-  
+
   FT operator()(const Weighted_point&) const { return FT(1); }
   template <typename Handle>
   FT operator()(const Weighted_point&, const Handle&) const { return FT(1); }
 };
-  
-  
+
+
 } // end namespace Mesh_3
 
 
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/utilities.h 5.0.3-1/include/CGAL/Mesh_3/utilities.h
--- 5.0.2-3/include/CGAL/Mesh_3/utilities.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/utilities.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/utilities.h $
-// $Id: utilities.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/utilities.h $
+// $Id: utilities.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_MESH_3_UTILITIES_H
@@ -27,7 +27,7 @@
 namespace CGAL {
 namespace Mesh_3 {
 namespace internal {
-  
+
 struct Debug_messages_tools {
   template <typename Vertex_handle>
   static std::string disp_vert(Vertex_handle v, Tag_true) {
@@ -65,10 +65,10 @@ struct First_of :
   typedef CGAL::cpp98::unary_function<Pair, const typename Pair::first_type&> Base;
   typedef typename Base::result_type                                  result_type;
   typedef typename Base::argument_type                                argument_type;
-  
+
   result_type operator()(const argument_type& p) const { return p.first; }
 }; // end class First_of
-  
+
 
 /**
  * @class Ordered_pair
@@ -81,18 +81,18 @@ public:
   Ordered_pair(const T& t1, const T& t2)
   : data_(t1,t2)
   {
-    if ( ! (t1 < t2) ) 
+    if ( ! (t1 < t2) )
     {
       data_.second = t1;
       data_.first = t2;
     }
   }
-  
+
   const T& first() const { return data_.first; }
   const T& second() const { return data_.second; }
-  
+
   bool operator<(const Ordered_pair& rhs) const { return data_ < rhs.data_; }
-  
+
 private:
   std::pair<T,T> data_;
 };
@@ -108,13 +108,13 @@ class Iterator_not_in_complex
   const C3T3& c3t3_;
 public:
   Iterator_not_in_complex(const C3T3& c3t3) : c3t3_(c3t3) { }
-  
+
   template <typename Iterator>
   bool operator()(Iterator it) const { return ! c3t3_.is_in_complex(*it); }
 }; // end class Iterator_not_in_complex
 
 
-} // end namespace internal  
+} // end namespace internal
 } // end namespace Mesh_3
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/vertex_perturbation.h 5.0.3-1/include/CGAL/Mesh_3/vertex_perturbation.h
--- 5.0.2-3/include/CGAL/Mesh_3/vertex_perturbation.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/vertex_perturbation.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/vertex_perturbation.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/vertex_perturbation.h $
 // $Id: vertex_perturbation.h 85712ba 2020-01-14T15:03:20+01:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_3/Worksharing_data_structures.h 5.0.3-1/include/CGAL/Mesh_3/Worksharing_data_structures.h
--- 5.0.2-3/include/CGAL/Mesh_3/Worksharing_data_structures.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_3/Worksharing_data_structures.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_3/Worksharing_data_structures.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_3/Worksharing_data_structures.h $
 // $Id: Worksharing_data_structures.h 85712ba 2020-01-14T15:03:20+01:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_cell_base_3.h 5.0.3-1/include/CGAL/Mesh_cell_base_3.h
--- 5.0.2-3/include/CGAL/Mesh_cell_base_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_cell_base_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_cell_base_3.h $
-// $Id: Mesh_cell_base_3.h 85712ba 2020-01-14T15:03:20+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_cell_base_3.h $
+// $Id: Mesh_cell_base_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -37,7 +37,7 @@
 #endif
 
 namespace CGAL {
-    
+
 // Sequential
 template <typename Concurrency_tag>
 class Mesh_cell_base_3_base
@@ -85,7 +85,7 @@ public:
   {
     ++this->m_erase_counter;
   }
-  
+
 protected:
   typedef std::atomic<unsigned int> Erase_counter_type;
   Erase_counter_type                m_erase_counter;
@@ -105,24 +105,24 @@ class Mesh_cell_base_3
     typename Mesh_3::Mesh_surface_cell_base_3<GT, MD, Cb>::Tds::Concurrency_tag>
 {
   typedef typename GT::FT FT;
-  
+
 public:
   // Base
   typedef Mesh_3::Mesh_surface_cell_base_3<GT, MD, Cb> Base;
   // Index Type
   typedef typename MD::Subdomain_index      Subdomain_index;
   typedef typename MD::Surface_patch_index  Surface_patch_index;
-  
+
   // Backward compatibility
 #ifndef CGAL_MESH_3_NO_DEPRECATED_SURFACE_INDEX
   typedef Surface_patch_index               Surface_index;
 #endif // CGAL_MESH_3_NO_DEPRECATED_SURFACE_INDEX
-  
+
   // Triangulation
   typedef typename Base::Tds Tds;
   typedef typename Tds::Vertex_handle Vertex_handle;
   typedef typename Tds::Cell_handle Cell_handle;
-  
+
   // To get correct cell type in TDS
   template < class TDS3 >
   struct Rebind_TDS
@@ -130,7 +130,7 @@ public:
     typedef typename Cb::template Rebind_TDS<TDS3>::Other Cb3;
     typedef Mesh_cell_base_3 <GT, MD, Cb3> Other;
   };
-  
+
   // Constructors
   Mesh_cell_base_3()
     : Base()
@@ -142,13 +142,13 @@ public:
     , previous_intrusive_()
 #endif
   {}
-  
+
   Mesh_cell_base_3 (Vertex_handle v0,
                     Vertex_handle v1,
                     Vertex_handle v2,
                     Vertex_handle v3)
     : Base (v0, v1, v2, v3)
-    , subdomain_index_() 
+    , subdomain_index_()
     , sliver_value_(FT(0.))
     , sliver_cache_validity_(false)
 #ifdef CGAL_INTRUSIVE_LIST
@@ -156,7 +156,7 @@ public:
     , previous_intrusive_()
 #endif
   {}
-  
+
   Mesh_cell_base_3 (Vertex_handle v0,
                     Vertex_handle v1,
                     Vertex_handle v2,
@@ -174,18 +174,18 @@ public:
     , previous_intrusive_()
 #endif
   {}
-  
+
   // Default copy constructor and assignment operator are ok
-  
+
   // Returns the index of the cell of the input complex that contains the cell
   Subdomain_index subdomain_index() const { return subdomain_index_; }
-  
+
   // Sets the index of the cell of the input complex that contains the cell
   void set_subdomain_index(const Subdomain_index& index)
-  { subdomain_index_ = index; }  
-  
+  { subdomain_index_ = index; }
+
   void set_sliver_value(const FT& value)
-  { 
+  {
     sliver_cache_validity_ = true;
     sliver_value_ = value;
   }
@@ -205,14 +205,14 @@ public:
 public:
   Cell_handle next_intrusive() const { return next_intrusive_; }
   void set_next_intrusive(Cell_handle c)
-  { 
-    next_intrusive_ = c; 
+  {
+    next_intrusive_ = c;
   }
-   
+
   Cell_handle previous_intrusive() const { return previous_intrusive_; }
   void set_previous_intrusive(Cell_handle c)
-  { 
-    previous_intrusive_ = c; 
+  {
+    previous_intrusive_ = c;
   }
 #endif // CGAL_INTRUSIVE_LIST
 
@@ -231,7 +231,7 @@ public:
 private:
   // The index of the cell of the input complex that contains me
   Subdomain_index subdomain_index_;
-  
+
   FT sliver_value_;
   mutable bool sliver_cache_validity_;
 
diff -pruN 5.0.2-3/include/CGAL/Mesh_cell_criteria_3.h 5.0.3-1/include/CGAL/Mesh_cell_criteria_3.h
--- 5.0.2-3/include/CGAL/Mesh_cell_criteria_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_cell_criteria_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_cell_criteria_3.h $
-// $Id: Mesh_cell_criteria_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_cell_criteria_3.h $
+// $Id: Mesh_cell_criteria_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU, Stephane Tayeb
 
@@ -28,7 +28,7 @@
 #include <type_traits>
 
 namespace CGAL {
-  
+
 template <typename Tr,
           typename Visitor_ = Mesh_3::Cell_criteria_visitor_with_features<Tr> >
 class Mesh_cell_criteria_3
@@ -41,14 +41,14 @@ public:
   typedef Mesh_3::Abstract_criterion<Tr,Visitor> Abstract_criterion;
 private:
   typedef Mesh_3::Criteria<Tr,Visitor> Criteria;
-  
+
   typedef typename Tr::Cell_handle Cell_handle;
   typedef typename Tr::Geom_traits::FT FT;
-  
+
   typedef Mesh_cell_criteria_3<Tr> Self;
-  
+
 public:
-  
+
   /**
    * @brief Constructor
    * @param radius_edge_bound the radius-edge bound
@@ -63,7 +63,7 @@ public:
     if ( FT(0) != radius_edge_bound )
       init_radius_edge(radius_edge_bound);
   }
-  
+
   // Nb: SFINAE to avoid wrong matches with built-in numerical types
   // as int.
   template <typename Sizing_field>
@@ -79,10 +79,10 @@ public:
     if ( FT(0) != radius_edge_bound )
       init_radius_edge(radius_edge_bound);
   }
-  
+
   /// Destructor
   ~Mesh_cell_criteria_3() { }
-  
+
   /**
    * @brief returns whether the cell \c cell is bad or not.
    * @param tr the triangulation within which \c cell lives
@@ -102,27 +102,27 @@ private:
   void init_radius_edge(const FT& radius_edge_bound)
   {
     typedef Mesh_3::Cell_radius_edge_criterion<Tr,Visitor> Radius_edge_criterion;
-    criteria_.add(new Radius_edge_criterion(radius_edge_bound));    
+    criteria_.add(new Radius_edge_criterion(radius_edge_bound));
   }
-  
+
   void init_radius(const FT& radius_bound)
   {
     typedef Mesh_3::Cell_uniform_size_criterion<Tr,Visitor> Radius_criterion;
     criteria_.add(new Radius_criterion(radius_bound));
   }
-  
+
   template < typename Sizing_field>
   void init_radius(const Sizing_field& radius_bound)
   {
     typedef Mesh_3::Cell_variable_size_criterion<Tr,Visitor,Sizing_field>
       Radius_criterion;
-    
+
     criteria_.add(new Radius_criterion(radius_bound));
   }
-  
+
 private:
   Criteria criteria_;
-  
+
 };  // end class Mesh_cell_criteria_3
 
 }  // end namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Mesh_complex_3_in_triangulation_3.h 5.0.3-1/include/CGAL/Mesh_complex_3_in_triangulation_3.h
--- 5.0.2-3/include/CGAL/Mesh_complex_3_in_triangulation_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_complex_3_in_triangulation_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_complex_3_in_triangulation_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_complex_3_in_triangulation_3.h $
 // $Id: Mesh_complex_3_in_triangulation_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_constant_domain_field_3.h 5.0.3-1/include/CGAL/Mesh_constant_domain_field_3.h
--- 5.0.2-3/include/CGAL/Mesh_constant_domain_field_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_constant_domain_field_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_constant_domain_field_3.h $
-// $Id: Mesh_constant_domain_field_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_constant_domain_field_3.h $
+// $Id: Mesh_constant_domain_field_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_MESH_3_MESH_CONSTANT_DOMAIN_FIELD_3_H
@@ -39,11 +39,11 @@ public:
       boost::mpl::identity<typename Gt::Point_3>
     >::type                       Point_3;
   typedef Index_                  Index;
-  
+
 private:
   // Map to store field values
   typedef std::map<std::pair<int,Index>,FT> Values;
-  
+
 public:
   /// Constructor
   Mesh_constant_domain_field_3(const FT& d) : d_(d) {}
@@ -53,10 +53,10 @@ public:
   {
     typename Values::const_iterator it = values_.find(std::make_pair(dim,index));
     if ( it != values_.end() ) { return it->second; }
-    
+
     return d_;
   }
-  
+
   /// Sets size at any point of dimension \c dim and index \c index
   void set_size(const FT& size, const int dim, const Index& index)
   {
diff -pruN 5.0.2-3/include/CGAL/Mesh_criteria_3.h 5.0.3-1/include/CGAL/Mesh_criteria_3.h
--- 5.0.2-3/include/CGAL/Mesh_criteria_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_criteria_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_criteria_3.h $
-// $Id: Mesh_criteria_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_criteria_3.h $
+// $Id: Mesh_criteria_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -32,7 +32,7 @@
 #include <cfloat> // for the macro DBL_MAX
 #include <boost/type_traits/is_base_of.hpp>
 namespace CGAL {
-  
+
 namespace parameters {
 
 // see <CGAL/config.h>
@@ -56,9 +56,9 @@ CGAL_IGNORE_BOOST_PARAMETER_NAME_WARNING
 CGAL_PRAGMA_DIAG_POP
 
 } // end namespace parameters
-  
+
 namespace internal {
-  
+
 // Class Mesh_criteria_3_impl
 template < typename Tr,
            typename EdgeCriteria,
@@ -67,12 +67,12 @@ template < typename Tr,
 class Mesh_criteria_3_impl
 {
   typedef typename Tr::Geom_traits::FT FT;
-  
+
 public:
   typedef EdgeCriteria      Edge_criteria;
   typedef FacetCriteria     Facet_criteria;
   typedef CellCriteria      Cell_criteria;
-  
+
   // Constructor
   Mesh_criteria_3_impl(Facet_criteria facet_criteria,
                        Cell_criteria cell_criteria)
@@ -80,7 +80,7 @@ public:
     , facet_criteria_(facet_criteria)
     , cell_criteria_(cell_criteria)
   { }
-  
+
   // Constructor
   Mesh_criteria_3_impl(Edge_criteria edge_criteria,
                        Facet_criteria facet_criteria,
@@ -89,7 +89,7 @@ public:
     , facet_criteria_(facet_criteria)
     , cell_criteria_(cell_criteria)
   { }
-  
+
   // This template constructor is not instantiated when named parameters
   // are not used, so Facet_criteria and Cell_criteria construction from FT
   // is not a problem
@@ -111,7 +111,7 @@ public:
                                  | args[parameters::sizing_field | FT(0)] ] ])
   { }
 
-#ifndef CGAL_NO_DEPRECATED_CODE  
+#ifndef CGAL_NO_DEPRECATED_CODE
   const Edge_criteria& edge_criteria() const { return edge_criteria_; }
   const Facet_criteria& facet_criteria() const { return facet_criteria_; }
   const Cell_criteria& cell_criteria() const { return cell_criteria_; }
@@ -143,13 +143,13 @@ private:
   Edge_criteria edge_criteria_;
   Facet_criteria facet_criteria_;
   Cell_criteria cell_criteria_;
-  
-};  // end class Mesh_criteria_3_impl  
+
+};  // end class Mesh_criteria_3_impl
 
 } // end namespace internal
-  
-  
-  
+
+
+
 // Class Mesh_criteria_3
 // Provides default mesh criteria to drive Mesh_3 process
 template <typename Tr,
@@ -166,18 +166,18 @@ class Mesh_criteria_3
                                           EdgeCriteria,
                                           FacetCriteria,
                                           CellCriteria>   Base;
-  
+
 public:
   typedef typename Base::Edge_criteria    Edge_criteria;
   typedef typename Base::Facet_criteria   Facet_criteria;
   typedef typename Base::Cell_criteria    Cell_criteria;
-  
+
   // Constructor
   Mesh_criteria_3(Facet_criteria facet_criteria,
                   Cell_criteria cell_criteria)
     : Base(facet_criteria,
            cell_criteria) {}
-  
+
   // Constructor
   Mesh_criteria_3(Edge_criteria edge_criteria,
                   Facet_criteria facet_criteria,
@@ -185,7 +185,7 @@ public:
     : Base(edge_criteria,
            facet_criteria,
            cell_criteria) {}
-  
+
   // For convenient constructor call (see examples)
   BOOST_PARAMETER_CONSTRUCTOR(Mesh_criteria_3, (Base), parameters::tag,
                               (optional (edge_size_,*)
@@ -200,7 +200,7 @@ public:
                                         (cell_sizing_field_,*)
                                         (sizing_field_,*)
                               ))
-  
+
 };  // end class Mesh_criteria_3
 
 }  // end namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Mesh_domain_with_polyline_features_3.h 5.0.3-1/include/CGAL/Mesh_domain_with_polyline_features_3.h
--- 5.0.2-3/include/CGAL/Mesh_domain_with_polyline_features_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_domain_with_polyline_features_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_domain_with_polyline_features_3.h $
-// $Id: Mesh_domain_with_polyline_features_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_domain_with_polyline_features_3.h $
+// $Id: Mesh_domain_with_polyline_features_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -635,7 +635,7 @@ public:
    PolylinePMap polyline_pmap,
    IncidentPatchesIndicesPMap incident_paches_indices_pmap,
    IndicesOutputIterator out /* = CGAL::Emptyset_iterator() */);
-  
+
   template <typename InputIterator, typename IndicesOutputIterator>
   IndicesOutputIterator
   add_features_with_context(InputIterator first, InputIterator end,
@@ -644,7 +644,7 @@ public:
   /// @}
   /// \endcond
   /*!
-    Add 1-dimensional features in the domain. `InputIterator` value type must 
+    Add 1-dimensional features in the domain. `InputIterator` value type must
     be a model of the concept `MeshPolyline_3`.
   */
   template <typename InputIterator>
@@ -664,9 +664,9 @@ public:
   /*!
     Add 1-dimensional features (curves) from the range `[first, end)` in the domain with their incidences
     with 2-dimensional features (patches) of the domain.
- 
+
     \tparam InputIterator input iterator over curves
-    \tparam PolylinePMap is a model of `ReadablePropertyMap` with key type 
+    \tparam PolylinePMap is a model of `ReadablePropertyMap` with key type
       `std::iterator_traits<InputIterator>::%reference` and a value type
       that is a model of `MeshPolyline_3`.
     \tparam IncidentPatchesIndicesPMap is a model of `ReadablePropertyMap`
@@ -681,7 +681,7 @@ public:
     \param incident_patches_indices_pmap the property map that provides
       access to the set of indices of the surface patches that are incident to
       a given 1D-feature (curve)
-  */ 
+  */
   template <typename InputIterator,
             typename PolylinePMap,
             typename IncidentPatchesIndicesPMap>
@@ -696,7 +696,7 @@ public:
                                 CGAL::Emptyset_iterator());
   }
 /// @}
-  
+
 /// \name Implementation of the concept MeshDomainWithFeatures_3
 /// The following methods implement the requirement of the concept
 /// `MeshDomainWithFeatures_3`.
diff -pruN 5.0.2-3/include/CGAL/Mesh_edge_criteria_3.h 5.0.3-1/include/CGAL/Mesh_edge_criteria_3.h
--- 5.0.2-3/include/CGAL/Mesh_edge_criteria_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_edge_criteria_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_edge_criteria_3.h $
-// $Id: Mesh_edge_criteria_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_edge_criteria_3.h $
+// $Id: Mesh_edge_criteria_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_MESH_EDGE_CRITERIA_3_H
@@ -28,7 +28,7 @@ namespace CGAL {
 namespace Mesh_3 {
 namespace internal {
 
-  // Those two classes are designed to handle dynamic initialization of 
+  // Those two classes are designed to handle dynamic initialization of
   // Sizing_field type (using named parameters of make_mesh_3 for example)
   template < typename FT_, typename Point_, typename Index_ >
   class Sizing_field_interface
@@ -37,16 +37,16 @@ namespace internal {
     typedef FT_     FT;
     typedef Point_  Point_3;
     typedef Index_  Index;
-    
+
     virtual ~Sizing_field_interface() {}
-    
+
     virtual FT operator()(const Point_3& p,
                           const int dim,
                           const Index& index) const = 0;
-    
+
     virtual Sizing_field_interface* clone() const = 0;
   };
-  
+
   template < typename Sizing_field,
              typename FT,
              typename Point_3,
@@ -61,23 +61,23 @@ namespace internal {
                                      Index > Base;
 
     typedef Sizing_field_container<Sizing_field, FT, Point_3, Index> Self;
-    
+
   public:
     Sizing_field_container(const Sizing_field& s) : s_(s) {}
     virtual ~Sizing_field_container() {}
-    
+
     virtual FT operator()(const Point_3& p,
                           const int dim,
                           const Index& index) const
-    { 
+    {
       return s_(p,dim,index);
     }
-    
+
     virtual Base* clone() const
     {
       return new Self(*this);
     }
-    
+
   private:
     Sizing_field s_;
   };
@@ -89,13 +89,13 @@ template < typename Tr >
 class Mesh_edge_criteria_3
 {
   typedef Mesh_edge_criteria_3 Self;
-  
+
 public:
   typedef typename Tr::Vertex::Index  Index;
   typedef typename Tr::Geom_traits    Gt;
   typedef typename Gt::FT             FT;
   typedef typename Tr::Bare_point     Point_3;
-  
+
   /// Constructors
   Mesh_edge_criteria_3(const FT& value)
     : p_size_(new Mesh_3::internal::Sizing_field_container<
@@ -122,26 +122,26 @@ public:
 
   Mesh_edge_criteria_3(const Self& rhs)
     : p_size_(rhs.p_size_->clone()) {}
-  
+
   /// Destructor
   ~Mesh_edge_criteria_3()
   {
     delete p_size_;
   }
-  
+
   /// Returns size of tuple (p,dim,index)
   FT sizing_field(const Point_3& p, const int dim, const Index& index) const
   { return (*p_size_)(p,dim,index); }
-  
+
 private:
   typedef Mesh_3::internal::Sizing_field_interface<FT,Point_3,Index>
     Sizing_field_interface;
-  
+
   // A pointer to Sizing_field_interface to handle dynamic wrapping of
   // real Sizing_field type
   Sizing_field_interface* p_size_;
 };
-  
+
 } // end namespace CGAL
 
 #endif // CGAL_MESH_EDGE_CRITERIA_3_H
diff -pruN 5.0.2-3/include/CGAL/Mesher_level_default_implementations.h 5.0.3-1/include/CGAL/Mesher_level_default_implementations.h
--- 5.0.2-3/include/CGAL/Mesher_level_default_implementations.h	2020-02-21 20:03:37.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesher_level_default_implementations.h	2020-08-01 19:02:32.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesher_level/include/CGAL/Mesher_level_default_implementations.h $
-// $Id: Mesher_level_default_implementations.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesher_level/include/CGAL/Mesher_level_default_implementations.h $
+// $Id: Mesher_level_default_implementations.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -26,10 +26,10 @@ class Triangulation_ref_impl
 {
   Tr& tr;
 public:
-  Triangulation_ref_impl(Tr& t) : tr(t) 
+  Triangulation_ref_impl(Tr& t) : tr(t)
   {
   }
-  
+
   Tr& triangulation_ref_impl()
   {
     return tr;
@@ -43,11 +43,11 @@ public:
 
 /** This struct implements an empty private_test_point_conflict_impl()
     function. */
-struct No_private_test_point_conflict 
+struct No_private_test_point_conflict
 {
   template <typename Point, typename Zone>
   Mesher_level_conflict_status
-  private_test_point_conflict_impl(const Point&, const Zone&) const 
+  private_test_point_conflict_impl(const Point&, const Zone&) const
   {
     return NO_CONFLICT;
   }
@@ -59,7 +59,7 @@ struct No_test_point_conflict_from_super
 {
   template <typename Point, typename Zone>
   Mesher_level_conflict_status
-  test_point_conflict_from_superior_impl(const Point&, const Zone&) const 
+  test_point_conflict_from_superior_impl(const Point&, const Zone&) const
   {
     return NO_CONFLICT;
   }
@@ -69,7 +69,7 @@ struct No_test_point_conflict_from_super
       - private_test_point_conflict_impl() and
       - test_point_conflict_from_superior_impl().
 */
-struct No_test_point_conflict : 
+struct No_test_point_conflict :
   public No_private_test_point_conflict,
   public No_test_point_conflict_from_superior
 {
@@ -81,7 +81,7 @@ struct No_before_insertion
 {
   template <typename Cell_handle, typename Point, typename Zone>
   void before_insertion_impl(const Cell_handle&, const Point&,
-			     Zone& )
+                             Zone& )
   {
   }
 }; // end No_before_insertion
@@ -102,7 +102,7 @@ struct No_after_no_insertion
 {
   template <typename Cell_handle, typename Point, typename Zone>
   void after_no_insertion_impl(const Cell_handle&, const Point&,
-			       const Zone& )
+                               const Zone& )
   {
   }
 }; // end No_after_no_insertion
diff -pruN 5.0.2-3/include/CGAL/Mesher_level.h 5.0.3-1/include/CGAL/Mesher_level.h
--- 5.0.2-3/include/CGAL/Mesher_level.h	2020-02-21 20:03:37.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesher_level.h	2020-08-01 19:02:32.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesher_level/include/CGAL/Mesher_level.h $
-// $Id: Mesher_level.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesher_level/include/CGAL/Mesher_level.h $
+// $Id: Mesher_level.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -20,17 +20,17 @@ namespace CGAL {
 enum Mesher_level_conflict_status {
   NO_CONFLICT = 0,
   CONFLICT_BUT_ELEMENT_CAN_BE_RECONSIDERED,
-  CONFLICT_AND_ELEMENT_SHOULD_BE_DROPPED 
+  CONFLICT_AND_ELEMENT_SHOULD_BE_DROPPED
 };
-  
+
 struct Null_mesher_level {
 
   template <typename Visitor>
   void refine(Visitor) {}
-  
+
   template <typename P, typename Z>
   Mesher_level_conflict_status test_point_conflict_from_superior(P, Z)
-  { 
+  {
     return NO_CONFLICT;
   }
 
@@ -40,7 +40,7 @@ struct Null_mesher_level {
   }
 
   template <typename Visitor>
-  bool try_to_insert_one_point(Visitor) 
+  bool try_to_insert_one_point(Visitor)
   {
     return false;
   }
@@ -71,7 +71,7 @@ template <
      \c Null_mesher_level. */
   class Triangulation_traits /** Traits class that defines types for the
          triangulation. */
-  > 
+  >
 class Mesher_level
 {
 public:
@@ -90,7 +90,7 @@ public:
 
 private:
   /** \name Private member functions */
-  
+
   /** Curiously recurring template pattern. */
   //@{
   Derived& derived()
@@ -219,12 +219,12 @@ public:
     return derived().test_point_conflict_from_superior_impl(p, zone);
   }
 
-  /** 
+  /**
    * Actions before inserting the point \c p in order to refine the
    * element \c e. The zone of conflicts is \c zone.
-   */  
+   */
   template <class Mesh_visitor>
-  void before_insertion(Element& e, const Point& p, Zone& zone, 
+  void before_insertion(Element& e, const Point& p, Zone& zone,
                         Mesh_visitor visitor)
   {
     visitor.before_insertion(e, p, zone);
@@ -242,7 +242,7 @@ public:
     visitor.after_insertion(vh);
   }
 
-  /** Actions after testing conflicts for point \c p and element \c e 
+  /** Actions after testing conflicts for point \c p and element \c e
    *  if no point is inserted. */
   template <class Mesh_visitor>
   void after_no_insertion(const Element& e, const Point& p, Zone& zone,
@@ -252,7 +252,7 @@ public:
     visitor.after_no_insertion(e, p, zone);
   }
 
-  /** \name MESHING PROCESS 
+  /** \name MESHING PROCESS
    *
    * The following functions use the functions that are implemented in the
    * derived classes.
@@ -265,7 +265,7 @@ public:
    */
   bool is_algorithm_done()
   {
-    return ( previous_level.is_algorithm_done() && 
+    return ( previous_level.is_algorithm_done() &&
              no_longer_element_to_refine() );
   }
 
@@ -281,7 +281,7 @@ public:
     }
   }
 
-  /** 
+  /**
    * This function takes one element from the queue, and try to refine
    * it. It returns \c true if one point has been inserted.
    * @todo Merge with try_to_refine_element().
@@ -291,7 +291,7 @@ public:
   {
     Element e = get_next_element();
 
-    const Mesher_level_conflict_status result 
+    const Mesher_level_conflict_status result
       = try_to_refine_element(e, visitor);
 
     if(result == CONFLICT_AND_ELEMENT_SHOULD_BE_DROPPED)
@@ -308,7 +308,7 @@ public:
     before_conflicts(e, p, visitor);
 
     Zone zone = conflicts_zone(p, e);
- 
+
     const Mesher_level_conflict_status result = test_point_conflict(p, zone);
 #ifdef CGAL_MESHES_DEBUG_REFINEMENT_POINTS
     std::cerr << "(" << p << ") ";
@@ -336,7 +336,7 @@ public:
 
       return NO_CONFLICT;
     }
-    else 
+    else
       after_no_insertion(e, p, zone, visitor);
     return result;
   }
@@ -365,7 +365,7 @@ public:
     while(! is_algorithm_done() )
     {
       if( previous_level.try_to_insert_one_point(visitor.previous_level()) )
-        return true;      
+        return true;
       if(! no_longer_element_to_refine() )
         if( process_one_element(visitor) )
           return true;
@@ -375,7 +375,7 @@ public:
 
   /**
    * Applies one step of the algorithm: tries to refine one element of
-   * previous level or one element of this level. Return \c false iff 
+   * previous level or one element of this level. Return \c false iff
    * <tt> is_algorithm_done()==true </tt>.
    */
   template <class Mesh_visitor>
diff -pruN 5.0.2-3/include/CGAL/Mesher_level_visitors.h 5.0.3-1/include/CGAL/Mesher_level_visitors.h
--- 5.0.2-3/include/CGAL/Mesher_level_visitors.h	2020-02-21 20:03:37.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesher_level_visitors.h	2020-08-01 19:02:32.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesher_level/include/CGAL/Mesher_level_visitors.h $
-// $Id: Mesher_level_visitors.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesher_level/include/CGAL/Mesher_level_visitors.h $
+// $Id: Mesher_level_visitors.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -51,7 +51,7 @@ class Null_mesh_visitor
 public:
   typedef Null_mesh_visitor Previous_visitor;
 
-  const Null_mesh_visitor& previous_level() const 
+  const Null_mesh_visitor& previous_level() const
   {
     return *this;
   }
@@ -72,7 +72,7 @@ public:
 template <typename V1, typename V2>
 struct Combine_mesh_visitor {
   typedef Combine_mesh_visitor<typename V1::Previous_visitor,
-			       typename V2::Previous_visitor>
+                               typename V2::Previous_visitor>
                                                        Previous_visitor;
 
   V1 v1;
@@ -84,16 +84,16 @@ struct Combine_mesh_visitor {
   }
 
   Previous_visitor previous_level()
-  { 
+  {
     return Previous_visitor(v1.previous_level(),
-			    v2.previous_level());
+                            v2.previous_level());
   }
 
   template <typename E, typename P>
-  void before_conflicts(E e, P p) 
+  void before_conflicts(E e, P p)
   {
     v1.before_conflicts(e, p);
-    v2.before_conflicts(e, p);    
+    v2.before_conflicts(e, p);
   }
 
   template <typename E, typename P, typename Z>
@@ -108,7 +108,7 @@ struct Combine_mesh_visitor {
   {
     v1.after_insertion(v);
     v2.after_insertion(v);
-  } 
+  }
 
   template <typename E, typename P, typename Z>
   void after_no_insertion(E e, P p, Z z)
diff -pruN 5.0.2-3/include/CGAL/Mesh_error_code.h 5.0.3-1/include/CGAL/Mesh_error_code.h
--- 5.0.2-3/include/CGAL/Mesh_error_code.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_error_code.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_error_code.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_error_code.h $
 // $Id: Mesh_error_code.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Meshes/Double_map_container.h 5.0.3-1/include/CGAL/Meshes/Double_map_container.h
--- 5.0.2-3/include/CGAL/Meshes/Double_map_container.h	2020-02-21 20:03:37.000000000 +0000
+++ 5.0.3-1/include/CGAL/Meshes/Double_map_container.h	2020-08-01 19:02:32.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesher_level/include/CGAL/Meshes/Double_map_container.h $
-// $Id: Double_map_container.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesher_level/include/CGAL/Meshes/Double_map_container.h $
+// $Id: Double_map_container.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -27,7 +27,7 @@ namespace CGAL {
   namespace Meshes {
 
     template <typename Elt, class Quality>
-    class Double_map_container 
+    class Double_map_container
     {
     public:
       typedef Elt Element;
@@ -46,8 +46,8 @@ namespace CGAL {
       {
         CGAL_assertion(!m.empty());
 #if CGAL_MESHES_DEBUG_DOUBLE_MAP
-	std::cerr << "get_next_element_impl(" << &*(m.front()->second)
-		  << ")\n";
+        std::cerr << "get_next_element_impl(" << &*(m.front()->second)
+                  << ")\n";
 #endif
         return m.front()->second;
 
@@ -56,7 +56,7 @@ namespace CGAL {
       void add_bad_element(const Element& e, const Quality& q)
       {
 #if CGAL_MESHES_DEBUG_DOUBLE_MAP
-	std::cerr << "add_bad_element(" << &*e << ")\n";
+        std::cerr << "add_bad_element(" << &*e << ")\n";
 #endif
         m.insert(e, q);
       }
@@ -69,7 +69,7 @@ namespace CGAL {
       void remove_element(const Element& e)
       {
 #if CGAL_MESHES_DEBUG_DOUBLE_MAP
-	std::cerr << "remove_element(" << &*e << ")\n";
+        std::cerr << "remove_element(" << &*e << ")\n";
 #endif
         m.erase(e);
       }
@@ -77,10 +77,10 @@ namespace CGAL {
       typename Double_map<Element, Quality>::size_type
       size() const
       {
-	return m.size();
+        return m.size();
       }
     }; // end Double_map_container
-    
+
   } // end namespace Meshes
 } // end namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Meshes/Filtered_deque_container.h 5.0.3-1/include/CGAL/Meshes/Filtered_deque_container.h
--- 5.0.2-3/include/CGAL/Meshes/Filtered_deque_container.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Meshes/Filtered_deque_container.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Meshes/Filtered_deque_container.h $
-// $Id: Filtered_deque_container.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Meshes/Filtered_deque_container.h $
+// $Id: Filtered_deque_container.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Clement JAMIN
@@ -288,7 +288,7 @@ namespace Meshes {
 
     size_type size() const
     {
-	    return container.size();
+            return container.size();
     }
 
     // Warning: no_longer_element_to_refine_impl must have been called
diff -pruN 5.0.2-3/include/CGAL/Meshes/Filtered_multimap_container.h 5.0.3-1/include/CGAL/Meshes/Filtered_multimap_container.h
--- 5.0.2-3/include/CGAL/Meshes/Filtered_multimap_container.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Meshes/Filtered_multimap_container.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Meshes/Filtered_multimap_container.h $
-// $Id: Filtered_multimap_container.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Meshes/Filtered_multimap_container.h $
+// $Id: Filtered_multimap_container.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Clement JAMIN
@@ -262,7 +262,7 @@ namespace CGAL {
 
     size_type size() const
     {
-	    return container.size();
+            return container.size();
     }
 
     // Clear
diff -pruN 5.0.2-3/include/CGAL/Meshes/Filtered_queue_container.h 5.0.3-1/include/CGAL/Meshes/Filtered_queue_container.h
--- 5.0.2-3/include/CGAL/Meshes/Filtered_queue_container.h	2020-02-21 20:03:37.000000000 +0000
+++ 5.0.3-1/include/CGAL/Meshes/Filtered_queue_container.h	2020-08-01 19:02:32.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesher_level/include/CGAL/Meshes/Filtered_queue_container.h $
-// $Id: Filtered_queue_container.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesher_level/include/CGAL/Meshes/Filtered_queue_container.h $
+// $Id: Filtered_queue_container.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -23,7 +23,7 @@ namespace CGAL {
     /** This container is a filtered queue: front() and empty() use an
         object predicate to test if the element is ok. */
     template <typename Elt, typename Pred>
-    class Filtered_queue_container 
+    class Filtered_queue_container
     {
     public:
       typedef Elt Element;
@@ -92,7 +92,7 @@ namespace CGAL {
       {
         return d.begin();
       }
-      
+
       const_iterator end() const
       {
         return d.end();
diff -pruN 5.0.2-3/include/CGAL/Meshes/Simple_map_container.h 5.0.3-1/include/CGAL/Meshes/Simple_map_container.h
--- 5.0.2-3/include/CGAL/Meshes/Simple_map_container.h	2020-02-21 20:03:37.000000000 +0000
+++ 5.0.3-1/include/CGAL/Meshes/Simple_map_container.h	2020-08-01 19:02:32.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesher_level/include/CGAL/Meshes/Simple_map_container.h $
-// $Id: Simple_map_container.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesher_level/include/CGAL/Meshes/Simple_map_container.h $
+// $Id: Simple_map_container.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -20,7 +20,7 @@ namespace CGAL {
   namespace Meshes {
 
     template <typename Element, typename Info>
-    class Simple_map_container 
+    class Simple_map_container
     {
     public:
       typedef std::map<Element, Info> Map;
@@ -40,7 +40,7 @@ namespace CGAL {
       const value_type& get_next_element_impl()
       {
         CGAL_assertion(!map.empty());
-        
+
         return *(map.begin());
       }
 
@@ -66,10 +66,10 @@ namespace CGAL {
 
       size_type size() const
       {
-	return map.size();
+        return map.size();
       }
     }; // end Simple_map_container
-    
+
   } // end namespace Mesh_3
 } // end namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Meshes/Simple_queue_container.h 5.0.3-1/include/CGAL/Meshes/Simple_queue_container.h
--- 5.0.2-3/include/CGAL/Meshes/Simple_queue_container.h	2020-02-21 20:03:37.000000000 +0000
+++ 5.0.3-1/include/CGAL/Meshes/Simple_queue_container.h	2020-08-01 19:02:32.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesher_level/include/CGAL/Meshes/Simple_queue_container.h $
-// $Id: Simple_queue_container.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesher_level/include/CGAL/Meshes/Simple_queue_container.h $
+// $Id: Simple_queue_container.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -20,7 +20,7 @@ namespace CGAL {
   namespace Mesh_3 {
 
     template <typename Elt>
-    class Simple_queue_container 
+    class Simple_queue_container
     {
     public:
       typedef Elt Element;
@@ -54,10 +54,10 @@ namespace CGAL {
 
       size_type size() const
       {
-	return q.size();
+        return q.size();
       }
     }; // end Simple_queue_container
-    
+
   } // end namespace Mesh_3
 } // end namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Meshes/Simple_set_container.h 5.0.3-1/include/CGAL/Meshes/Simple_set_container.h
--- 5.0.2-3/include/CGAL/Meshes/Simple_set_container.h	2020-02-21 20:03:37.000000000 +0000
+++ 5.0.3-1/include/CGAL/Meshes/Simple_set_container.h	2020-08-01 19:02:32.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesher_level/include/CGAL/Meshes/Simple_set_container.h $
-// $Id: Simple_set_container.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesher_level/include/CGAL/Meshes/Simple_set_container.h $
+// $Id: Simple_set_container.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -20,7 +20,7 @@ namespace CGAL {
   namespace Meshes {
 
     template <typename Element>
-    class Simple_set_container 
+    class Simple_set_container
     {
     public:
       typedef std::set<Element> Set;
@@ -39,7 +39,7 @@ namespace CGAL {
       Element get_next_element_impl()
       {
         CGAL_assertion(!s.empty());
-        
+
         return *(s.begin());
 
       }
@@ -61,10 +61,10 @@ namespace CGAL {
 
       size_type size() const
       {
-	return s.size();
+        return s.size();
       }
     }; // end Simple_set_container
-    
+
   } // end namespace Meshes
 } // end namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Meshes/Triangulation_mesher_level_traits_2.h 5.0.3-1/include/CGAL/Meshes/Triangulation_mesher_level_traits_2.h
--- 5.0.2-3/include/CGAL/Meshes/Triangulation_mesher_level_traits_2.h	2020-02-21 20:03:37.000000000 +0000
+++ 5.0.3-1/include/CGAL/Meshes/Triangulation_mesher_level_traits_2.h	2020-08-01 19:02:32.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesher_level/include/CGAL/Meshes/Triangulation_mesher_level_traits_2.h $
-// $Id: Triangulation_mesher_level_traits_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesher_level/include/CGAL/Meshes/Triangulation_mesher_level_traits_2.h $
+// $Id: Triangulation_mesher_level_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -19,7 +19,7 @@
 namespace CGAL {
 
 template <typename Tr>
-struct Triangulation_mesher_level_traits_2 : 
+struct Triangulation_mesher_level_traits_2 :
     public Triangulation_ref_impl<Tr>
 {
   typedef Tr Triangulation;
@@ -55,17 +55,17 @@ struct Triangulation_mesher_level_traits
   Vertex_handle insert_impl(const Point& p, Zone& zone)
   {
 #ifdef CGAL_MESH_2_DEBUG_INSERTIONS
-    std::cerr << "insert(" << p << "): " 
+    std::cerr << "insert(" << p << "): "
               << zone.boundary_edges.size() << " edges." << std::endl;
 #endif
     if( zone.locate_type == Tr::VERTEX )
       return zone.fh->vertex(zone.i);
     return triangulation_ref_impl().
       star_hole(p,
-		zone.boundary_edges.begin(),
-		zone.boundary_edges.end(),
-		zone.faces.begin(),
-		zone.faces.end());
+                zone.boundary_edges.begin(),
+                zone.boundary_edges.end(),
+                zone.faces.begin(),
+                zone.faces.end());
   }
 }; // end Triangulation_mesher_level_traits_2
 
diff -pruN 5.0.2-3/include/CGAL/Meshes/Triangulation_mesher_level_traits_3.h 5.0.3-1/include/CGAL/Meshes/Triangulation_mesher_level_traits_3.h
--- 5.0.2-3/include/CGAL/Meshes/Triangulation_mesher_level_traits_3.h	2020-02-21 20:03:37.000000000 +0000
+++ 5.0.3-1/include/CGAL/Meshes/Triangulation_mesher_level_traits_3.h	2020-08-01 19:02:32.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesher_level/include/CGAL/Meshes/Triangulation_mesher_level_traits_3.h $
-// $Id: Triangulation_mesher_level_traits_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesher_level/include/CGAL/Meshes/Triangulation_mesher_level_traits_3.h $
+// $Id: Triangulation_mesher_level_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent RINEAU
@@ -87,12 +87,12 @@ struct Triangulation_mesher_level_traits
 
   Vertex_handle insert_impl(const Point& p, Zone& zone)
   {
-    if( zone.locate_type == Tr::VERTEX 
-	) return zone.cell->vertex(zone.i);
+    if( zone.locate_type == Tr::VERTEX
+        ) return zone.cell->vertex(zone.i);
 
     const Facet& f = *(zone.boundary_facets.begin());
 
-    const Vertex_handle v = 
+    const Vertex_handle v =
       triangulation_ref_impl().insert_in_hole(p,
                                               zone.cells.begin(),
                                               zone.cells.end(),
@@ -105,7 +105,7 @@ struct Triangulation_mesher_level_traits
     std::vector<Vertex_handle> vertices;
 
     triangulation_ref_impl().incident_vertices(v, std::back_inserter(vertices));
-    
+
     typedef typename Tr::Geom_traits::FT FT;
 
     FT sq_insertion_radius = std::numeric_limits<FT>::infinity();
@@ -114,13 +114,13 @@ struct Triangulation_mesher_level_traits
           vertices.begin();
         vit != vertices.end();
         ++vit)
-      sq_insertion_radius = (CGAL::min)(sq_insertion_radius, 
-					CGAL::squared_distance(v->point(),
-							       (*vit)->point()) );
+      sq_insertion_radius = (CGAL::min)(sq_insertion_radius,
+                                        CGAL::squared_distance(v->point(),
+                                                               (*vit)->point()) );
     std::cerr << "insertion radius: " << CGAL::sqrt(sq_insertion_radius);
 #ifdef CGAL_MESH_3_DIRTY_DEBUG_SPHERES
-      std::cerr << " \t\tdistance: " 
-                << CGAL::sqrt(CGAL::squared_distance(v->point(), 
+      std::cerr << " \t\tdistance: "
+                << CGAL::sqrt(CGAL::squared_distance(v->point(),
                                       typename Tr::Geom_traits::Point_3(CGAL::ORIGIN)));
 #endif
     std::cerr << std::endl;
diff -pruN 5.0.2-3/include/CGAL/Mesh_facet_criteria_3.h 5.0.3-1/include/CGAL/Mesh_facet_criteria_3.h
--- 5.0.2-3/include/CGAL/Mesh_facet_criteria_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_facet_criteria_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_facet_criteria_3.h $
-// $Id: Mesh_facet_criteria_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_facet_criteria_3.h $
+// $Id: Mesh_facet_criteria_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -26,7 +26,7 @@
 #include <CGAL/Mesh_3/Is_mesh_domain_field_3.h>
 
 namespace CGAL {
-  
+
 template<typename Tr,
          typename Visitor_ = Mesh_3::Facet_criterion_visitor_with_features<Tr> >
 class Mesh_facet_criteria_3
@@ -35,7 +35,7 @@ public:
   typedef Visitor_ Visitor;
   typedef typename Visitor::Facet_quality Facet_quality;
   typedef typename Visitor::Is_facet_bad  Is_facet_bad;
-  
+
   typedef Mesh_3::Abstract_criterion<Tr,Visitor> Abstract_criterion;
 private:
   typedef Mesh_3::Criteria<Tr,Visitor> Criteria;
@@ -82,7 +82,7 @@ public:
   {
     return criteria_(tr, facet);
   }
-  
+
   void add(Abstract_criterion* criterion)
   {
     criteria_.add(criterion);
@@ -98,28 +98,28 @@ private:
     typedef Mesh_3::Aspect_ratio_criterion<Tr,Visitor> Aspect_criterion;
     criteria_.add(new Aspect_criterion(angle_bound));
   }
-  
+
   void init_radius(const FT& radius_bound, Tag_false)
   {
     if(FT(0) == radius_bound) return;
     typedef Mesh_3::Uniform_size_criterion<Tr,Visitor> Uniform_size_criterion;
     criteria_.add(new Uniform_size_criterion(radius_bound));
   }
-  
+
   template <typename Sizing_field>
   void init_radius(const Sizing_field& radius_bound, Tag_true)
   {
     typedef Mesh_3::Variable_size_criterion<Tr,Visitor,Sizing_field> Variable_size_criterion;
     criteria_.add(new Variable_size_criterion(radius_bound));
   }
-  
+
   void init_distance(const FT& distance_bound, Tag_false)
   {
     if(FT(0) == distance_bound) return;
     typedef Mesh_3::Uniform_curvature_size_criterion<Tr,Visitor> Criterion;
     criteria_.add(new Criterion(distance_bound));
   }
-  
+
   template <typename Sizing_field>
   void init_distance(const Sizing_field& distance_bound, Tag_true)
   {
@@ -128,7 +128,7 @@ private:
                                                       Sizing_field> Criterion;
     criteria_.add(new Criterion(distance_bound));
   }
-  
+
   void init_topo(const Mesh_facet_topology topology)
   {
     topology_ = topology;
@@ -140,7 +140,7 @@ private:
         criteria_.add(new On_surface_criterion());
         break;
       }
-        
+
       case FACET_VERTICES_ON_SAME_SURFACE_PATCH:
       case FACET_VERTICES_ON_SAME_SURFACE_PATCH_WITH_ADJACENCY_CHECK:
         // @TODO: Implement adjacency check !
@@ -151,7 +151,7 @@ private:
       }
     }
   }
-  
+
 private:
   Criteria criteria_;
   Mesh_facet_topology topology_;
diff -pruN 5.0.2-3/include/CGAL/Mesh_facet_topology.h 5.0.3-1/include/CGAL/Mesh_facet_topology.h
--- 5.0.2-3/include/CGAL/Mesh_facet_topology.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_facet_topology.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_facet_topology.h $
-// $Id: Mesh_facet_topology.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_facet_topology.h $
+// $Id: Mesh_facet_topology.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_MESH_FACET_TOPOLOGY_H
@@ -30,7 +30,7 @@ enum Mesh_facet_topology {
   NO_BOUNDARY = 16,
   MANIFOLD = 24
 };
-  
+
 } // end namespace CGAL
 
 #endif // CGAL_MESH_FACET_TOPOLOGY_H
diff -pruN 5.0.2-3/include/CGAL/Mesh_optimization_return_code.h 5.0.3-1/include/CGAL/Mesh_optimization_return_code.h
--- 5.0.2-3/include/CGAL/Mesh_optimization_return_code.h	2020-02-21 20:03:37.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_optimization_return_code.h	2020-08-01 19:02:32.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesher_level/include/CGAL/Mesh_optimization_return_code.h $
-// $Id: Mesh_optimization_return_code.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesher_level/include/CGAL/Mesh_optimization_return_code.h $
+// $Id: Mesh_optimization_return_code.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Stephane Tayeb
 //
 //******************************************************************************
-// File Description : 
+// File Description :
 //******************************************************************************
 
 #ifndef CGAL_MESH_OPTIMIZATION_RETURN_CODE_H
diff -pruN 5.0.2-3/include/CGAL/Mesh_polyhedron_3.h 5.0.3-1/include/CGAL/Mesh_polyhedron_3.h
--- 5.0.2-3/include/CGAL/Mesh_polyhedron_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_polyhedron_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_polyhedron_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_polyhedron_3.h $
 // $Id: Mesh_polyhedron_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/mesh_segmentation.h 5.0.3-1/include/CGAL/mesh_segmentation.h
--- 5.0.2-3/include/CGAL/mesh_segmentation.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/mesh_segmentation.h	2020-08-01 19:02:55.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_segmentation/include/CGAL/mesh_segmentation.h $
-// $Id: mesh_segmentation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_segmentation/include/CGAL/mesh_segmentation.h $
+// $Id: mesh_segmentation.h c43d6bd 2020-02-25T14:47:03+01:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Ilker O. Yaz
@@ -63,7 +63,7 @@ sdf_values( const TriangleMesh& triangle
  * \ingroup PkgSurfaceMeshSegmentationRef
  * @brief Function computing the Shape Diameter Function over a surface mesh.
  *
- * This function implements the Shape Diameter Function (SDF) as described in \cgalCite{shapira2008consistent}.
+ * This function implements the Shape Diameter Function (SDF) as described in \cgalCite{Shapira2008Consistent}.
  * It is possible to compute raw SDF values (without post-processing). In such a case,
  * -1 is used to indicate when no SDF value could be computed for a facet.
  *
@@ -151,7 +151,7 @@ sdf_values_postprocessing(const Triangle
  * A segment is a set of connected facets which are placed under the same cluster (see \cgalFigureRef{Cluster_vs_segment}).
  *
  * \note Log-normalization is applied on `sdf_values_map` before segmentation.
- *       As described in the original paper \cgalCite{shapira2008consistent},
+ *       As described in the original paper \cgalCite{Shapira2008Consistent},
  *       this normalization is done to preserve thin parts of the mesh
  *       by increasing the distance between smaller SDF values and reducing
  *       it between larger ones.
diff -pruN 5.0.2-3/include/CGAL/mesh_skin_surface_3.h 5.0.3-1/include/CGAL/mesh_skin_surface_3.h
--- 5.0.2-3/include/CGAL/mesh_skin_surface_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/mesh_skin_surface_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/mesh_skin_surface_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/mesh_skin_surface_3.h $
 // $Id: mesh_skin_surface_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_triangulation_3.h 5.0.3-1/include/CGAL/Mesh_triangulation_3.h
--- 5.0.2-3/include/CGAL/Mesh_triangulation_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_triangulation_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_triangulation_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_triangulation_3.h $
 // $Id: Mesh_triangulation_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/mesh_union_of_balls_3.h 5.0.3-1/include/CGAL/mesh_union_of_balls_3.h
--- 5.0.2-3/include/CGAL/mesh_union_of_balls_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/mesh_union_of_balls_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/mesh_union_of_balls_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/mesh_union_of_balls_3.h $
 // $Id: mesh_union_of_balls_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Mesh_vertex_base_3.h 5.0.3-1/include/CGAL/Mesh_vertex_base_3.h
--- 5.0.2-3/include/CGAL/Mesh_vertex_base_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mesh_vertex_base_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Mesh_vertex_base_3.h $
-// $Id: Mesh_vertex_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Mesh_vertex_base_3.h $
+// $Id: Mesh_vertex_base_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Stéphane Tayeb, Andreas Fabri
@@ -30,7 +30,7 @@
 #include <CGAL/tags.h>
 
 namespace CGAL {
-  
+
 // Without erase counter
 template <typename Concurrency_tag>
 class Mesh_vertex_base_3_base
@@ -52,7 +52,7 @@ public:
   {
     ++this->m_erase_counter;
   }
-  
+
 protected:
   typedef unsigned int              Erase_counter_type;
   Erase_counter_type                m_erase_counter;
@@ -65,7 +65,7 @@ template <>
 class Mesh_vertex_base_3_base<Parallel_tag>
 {
 public:
-  
+
   // Erase counter (cf. Compact_container)
   unsigned int erase_counter() const
   {
@@ -79,7 +79,7 @@ public:
   {
     ++this->m_erase_counter;
   }
-  
+
 protected:
   typedef tbb::atomic<unsigned int> Erase_counter_type;
   Erase_counter_type                m_erase_counter;
@@ -135,7 +135,7 @@ public:
   // complex that contains the vertex
   int in_dimension() const {
     if(dimension_ < -1) return -2-dimension_;
-    else return dimension_; 
+    else return dimension_;
   }
 
   // Sets the dimension of the lowest dimensional face of the input 3D complex
@@ -169,14 +169,14 @@ public:
 #ifdef CGAL_INTRUSIVE_LIST
   Vertex_handle next_intrusive() const { return next_intrusive_; }
   void set_next_intrusive(Vertex_handle v)
-  { 
+  {
     next_intrusive_ = v;
   }
 
   Vertex_handle previous_intrusive() const { return previous_intrusive_; }
   void set_previous_intrusive(Vertex_handle v)
   {
-    previous_intrusive_ = v; 
+    previous_intrusive_ = v;
   }
 #endif
 
@@ -212,7 +212,7 @@ public:
   {
     return number_of_incident_facets_;
   }
-    
+
   std::size_t cached_number_of_components() const
   {
     return number_of_components_;
@@ -221,7 +221,7 @@ public:
   static
   std::string io_signature()
   {
-    return 
+    return
       Get_io_signature<Vb>()() + "+" +
       Get_io_signature<int>()() + "+" +
       Get_io_signature<Index>()();
diff -pruN 5.0.2-3/include/CGAL/Min_annulus_d.h 5.0.3-1/include/CGAL/Min_annulus_d.h
--- 5.0.2-3/include/CGAL/Min_annulus_d.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_annulus_d.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_annulus_d.h $
-// $Id: Min_annulus_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_annulus_d.h $
+// $Id: Min_annulus_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
@@ -35,10 +35,10 @@
 #include <boost/functional.hpp>
 #include <CGAL/NT_converter.h>
 
-// here is how it works. We have d+2 variables: 
+// here is how it works. We have d+2 variables:
 // R (big radius), r (small radius), c (center). The problem is
 //
-// min R^2 - r^2 
+// min R^2 - r^2
 // s.t. ||p - c||^2 >= r^2   for all p
 //      ||p - c||^2 <= R^2   for all p
 //
@@ -49,8 +49,8 @@
 // min u - v
 // s.t. p^Tp - 2p^Tc >= v  for all p
 //      p^Tp - 2p^Tc <= u  for all p
-// 
-// or 
+//
+// or
 //
 // max  v - u
 // s.t. v     + 2p_1c_1 + 2p_2c_2 + ...  + 2p_dc_d <=  p^Tp for all p
@@ -65,18 +65,18 @@
 //    2\sum_p x_p p    - 2\sum_p y_p p     =  0
 //     \sum_p x_p                          =  1  (constraint for v)
 //                     -  \sum_p y_p       = -1  (constraint for u)
-//                                               x_p >= 0  for all p        
-//                                               y_p >= 0  for all p 
+//                                               x_p >= 0  for all p
+//                                               y_p >= 0  for all p
 //
-// in the following functors, the ordering of the constraints is as above; 
-// the indices of the variables are: x_p_j <-> 2 * j, y_p_j <-> 2 * j + 1 
+// in the following functors, the ordering of the constraints is as above;
+// the indices of the variables are: x_p_j <-> 2 * j, y_p_j <-> 2 * j + 1
 // we also make the substitutions x'_p = x_p / h_p^2, y'_p = y_p / h_p^2
 // where h_p is the homogenizing coordinate of p, in order to allow
 // homogeneous points. This, however, means that the computed annulus is
-// not necessarily correct. If P is a set of homogeneous points, 
-//     P = { (p_0,...,p_{d-1}, h_p) }, 
-// then we always get a *feasible* annulus for the point set 
-//     P' = { (p_0*h_p,...,p_{d-1}*h_p, h_p*h_p) }. 
+// not necessarily correct. If P is a set of homogeneous points,
+//     P = { (p_0,...,p_{d-1}, h_p) },
+// then we always get a *feasible* annulus for the point set
+//     P' = { (p_0*h_p,...,p_{d-1}*h_p, h_p*h_p) }.
 // If the type NT is inexact, this annulus might not even be optimal, since
 // the objective function involves terms p^Tp that might not be exactly
 // computed -> document all this!!!
@@ -93,7 +93,7 @@ namespace MA_detail {
     typedef NT result_type;
     A_column()
     {}
-  
+
     A_column (int j, int d, Iterator it)
       : j_ (j), d_ (d), it_ (it), h_p (*(it+d)), nt_0_ (0), nt_2_ (2)
     {}
@@ -101,54 +101,54 @@ namespace MA_detail {
     result_type operator() (int i) const
     {
       if (j_ % 2 == 0) {
-	// column for x_p
-	if (i < d_) return  *(it_ + i) * h_p * nt_2_;  
-	if (i == d_) return h_p * h_p;  
-	return nt_0_;
+        // column for x_p
+        if (i < d_) return  *(it_ + i) * h_p * nt_2_;
+        if (i == d_) return h_p * h_p;
+        return nt_0_;
       } else {
-	// column for y_p
-	if (i < d_) return  -(*(it_ + i)) * h_p * nt_2_;
-	if (i == d_+1) return -h_p * h_p;
-	return nt_0_;
+        // column for y_p
+        if (i < d_) return  -(*(it_ + i)) * h_p * nt_2_;
+        if (i == d_+1) return -h_p * h_p;
+        return nt_0_;
       }
     }
-    
+
   private:
     int j_;                  // column number
     int d_;                  // dimension
     Iterator it_;            // the iterator through the column's point
     NT h_p;                  // the homogenizing coordinate of p
     NT nt_0_;
-    NT nt_2_; 
+    NT nt_2_;
   };
-  
+
   // functor for matrix A
   template <class NT, class Access_coordinate_begin_d,
-	    class Point_iterator >
+            class Point_iterator >
   class A_matrix : public CGAL::cpp98::unary_function
   <int, boost::transform_iterator <A_column
-    <NT, typename Access_coordinate_begin_d::Coordinate_iterator>, 
-				   boost::counting_iterator<int> > >
-  { 
+    <NT, typename Access_coordinate_begin_d::Coordinate_iterator>,
+                                   boost::counting_iterator<int> > >
+  {
     typedef typename MA_detail::A_column
     <NT, typename Access_coordinate_begin_d::Coordinate_iterator> A_column;
   public:
     typedef boost::transform_iterator
     <A_column, boost::counting_iterator<int> > result_type;
-    
+
     A_matrix ()
     {}
 
-    A_matrix (int d, 
-	      const Access_coordinate_begin_d& da_coord,
-	      Point_iterator P) 
+    A_matrix (int d,
+              const Access_coordinate_begin_d& da_coord,
+              Point_iterator P)
       : d_ (d), da_coord_ (da_coord), P_ (P)
     {}
 
     result_type operator () (int j) const
-    { 
+    {
       return result_type
-	(0, A_column (j, d_, da_coord_ (*(P_+j/2)))); 
+        (0, A_column (j, d_, da_coord_ (*(P_+j/2))));
     }
 
   private:
@@ -213,17 +213,17 @@ public:
   typedef  typename Traits::ET        ET;
   typedef  typename Traits::NT        NT;
 
-  // public types 
+  // public types
   typedef  std::vector<Point>         Point_vector;
   typedef  typename Point_vector::const_iterator
   Point_iterator;
 
-private:  
+private:
   // QP solver iterator types
   typedef MA_detail::A_matrix <NT, Access_coordinates_begin_d,
-			       Point_iterator> A_matrix;
+                               Point_iterator> A_matrix;
   typedef boost::transform_iterator
-  <A_matrix,  
+  <A_matrix,
    boost::counting_iterator<int> >   A_iterator;
 
   typedef MA_detail::B_vector <NT> B_vector;
@@ -231,10 +231,10 @@ private:
   <B_vector,
     boost::counting_iterator<int> >  B_iterator;
 
-  typedef CGAL::Const_oneset_iterator<CGAL::Comparison_result> R_iterator;  
- 
-  typedef  std::vector<NT>                                     C_vector; 
-  typedef  typename C_vector::const_iterator                   C_iterator; 
+  typedef CGAL::Const_oneset_iterator<CGAL::Comparison_result> R_iterator;
+
+  typedef  std::vector<NT>                                     C_vector;
+  typedef  typename C_vector::const_iterator                   C_iterator;
 
   // Program type
   typedef CGAL::Nonnegative_linear_program_from_iterators
@@ -251,31 +251,31 @@ private:
   // types from the QP solver
   typedef  typename Solver::Basic_variable_index_iterator
   Basic_variable_index_iterator;
-    
+
   // private types
   typedef  std::vector<ET>            ET_vector;
-    
+
   typedef  QP_access_by_index
   <typename std::vector<Point>::const_iterator, int> Point_by_index;
-    
+
   typedef  boost::binder2nd< std::divides<int> >
   Divide;
-    
+
   typedef  std::vector<int>           Index_vector;
-    
+
   typedef  std::vector<NT>            NT_vector;
   typedef  std::vector<NT_vector>     NT_matrix;
-    
+
 
 public:
   // public types
-    
+
   typedef  CGAL::Join_input_iterator_1<
     Basic_variable_index_iterator,
     CGAL::Unary_compose_1<Point_by_index,Divide> >
   Support_point_iterator;
-    
-    
+
+
   typedef  typename Index_vector::const_iterator IVCI;
   typedef  CGAL::Join_input_iterator_1<
     IVCI, Point_by_index >
@@ -286,21 +286,21 @@ public:
 
   typedef IVCI Inner_support_point_index_iterator;
   typedef IVCI Outer_support_point_index_iterator;
-    
+
   typedef  typename ET_vector::const_iterator
   Coordinate_iterator;
-    
+
 
   // creation
   Min_annulus_d( const Traits&  traits  = Traits())
     : tco( traits), da_coord(tco.access_coordinates_begin_d_object()),
       d( -1), solver(0){}
-    
+
   template < class InputIterator >
   Min_annulus_d( InputIterator  first,
-		 InputIterator  last,
-		 const Traits&  traits = Traits())
-    : tco( traits), da_coord(tco.access_coordinates_begin_d_object()), 
+                 InputIterator  last,
+                 const Traits&  traits = Traits())
+    : tco( traits), da_coord(tco.access_coordinates_begin_d_object()),
       solver(0) {
     set( first, last);
   }
@@ -309,75 +309,75 @@ public:
     if (solver)
       delete solver;
   }
-    
+
   // access to point set
   int  ambient_dimension( ) const { return d; }
-    
+
   int  number_of_points( ) const { return static_cast<int>(points.size()); }
-    
+
   Point_iterator  points_begin( ) const { return points.begin(); }
   Point_iterator  points_end  ( ) const { return points.end  (); }
-    
+
   // access to support points
   int
   number_of_support_points( ) const
   { return number_of_points() < 2 ?
       number_of_points() :
     solver->number_of_basic_variables(); }
-    
+
   Support_point_iterator
   support_points_begin() const {
     CGAL_optimisation_assertion_msg(number_of_points() >= 2,
-				    "support_points_begin: not enough points");
+                                    "support_points_begin: not enough points");
     return Support_point_iterator(
-				  solver->basic_original_variable_indices_begin(),
-				  CGAL::compose1_1(
-						   Point_by_index( points.begin()),
-						   boost::bind2nd( std::divides<int>(), 2)));
+                                  solver->basic_original_variable_indices_begin(),
+                                  CGAL::compose1_1(
+                                                   Point_by_index( points.begin()),
+                                                   boost::bind2nd( std::divides<int>(), 2)));
   }
-    
+
   Support_point_iterator
   support_points_end() const {
     CGAL_optimisation_assertion_msg(number_of_points() >= 2,
-				    "support_points_begin: not enough points");
+                                    "support_points_begin: not enough points");
     return Support_point_iterator(
-				  solver->basic_original_variable_indices_end(),
-				  CGAL::compose1_1(
-						   Point_by_index( points.begin()),
-						   boost::bind2nd( std::divides<int>(), 2)));
+                                  solver->basic_original_variable_indices_end(),
+                                  CGAL::compose1_1(
+                                                   Point_by_index( points.begin()),
+                                                   boost::bind2nd( std::divides<int>(), 2)));
   }
-    
+
   int  number_of_inner_support_points() const { return static_cast<int>(inner_indices.size());}
   int  number_of_outer_support_points() const { return static_cast<int>(outer_indices.size());}
-    
+
   Inner_support_point_iterator
   inner_support_points_begin() const
   { return Inner_support_point_iterator(
-					inner_indices.begin(),
-					Point_by_index( points.begin())); }
-    
+                                        inner_indices.begin(),
+                                        Point_by_index( points.begin())); }
+
   Inner_support_point_iterator
   inner_support_points_end() const
   { return Inner_support_point_iterator(
-					inner_indices.end(),
-					Point_by_index( points.begin())); }
-    
+                                        inner_indices.end(),
+                                        Point_by_index( points.begin())); }
+
   Outer_support_point_iterator
   outer_support_points_begin() const
   { return Outer_support_point_iterator(
-					outer_indices.begin(),
-					Point_by_index( points.begin())); }
-    
+                                        outer_indices.begin(),
+                                        Point_by_index( points.begin())); }
+
   Outer_support_point_iterator
   outer_support_points_end() const
   { return Outer_support_point_iterator(
-					outer_indices.end(),
-					Point_by_index( points.begin())); }
+                                        outer_indices.end(),
+                                        Point_by_index( points.begin())); }
 
   Inner_support_point_index_iterator
   inner_support_points_indices_begin() const
   { return inner_indices.begin(); }
-    
+
   Inner_support_point_index_iterator
   inner_support_points_indices_end() const
   { return inner_indices.end(); }
@@ -394,79 +394,79 @@ public:
   // access to center (rational representation)
   Coordinate_iterator
   center_coordinates_begin( ) const { return center_coords.begin(); }
-    
+
   Coordinate_iterator
   center_coordinates_end  ( ) const { return center_coords.end  (); }
-    
+
   // access to squared radii (rational representation)
   ET  squared_inner_radius_numerator( ) const { return sqr_i_rad_numer; }
   ET  squared_outer_radius_numerator( ) const { return sqr_o_rad_numer; }
   ET  squared_radii_denominator     ( ) const { return sqr_rad_denom; }
-    
+
   // access to center and squared radii
   // NOTE: an implicit conversion from ET to RT must be available!
   Point
   center( ) const
   { CGAL_optimisation_precondition( ! is_empty());
   return tco.construct_point_d_object()( ambient_dimension(),
-					 center_coordinates_begin(),
-					 center_coordinates_end()); }
-    
+                                         center_coordinates_begin(),
+                                         center_coordinates_end()); }
+
   FT
   squared_inner_radius( ) const
   { CGAL_optimisation_precondition( ! is_empty());
   return FT( squared_inner_radius_numerator()) /
     FT( squared_radii_denominator()); }
-    
+
   FT
   squared_outer_radius( ) const
   { CGAL_optimisation_precondition( ! is_empty());
   return FT( squared_outer_radius_numerator()) /
     FT( squared_radii_denominator()); }
-    
+
   // predicates
   CGAL::Bounded_side
   bounded_side( const Point& p) const
   { CGAL_optimisation_precondition(
-				   is_empty() || tco.access_dimension_d_object()( p) == d);
+                                   is_empty() || tco.access_dimension_d_object()( p) == d);
   ET sqr_d = sqr_dist( p);
   ET h_p_sqr = da_coord(p)[d] * da_coord(p)[d];
   return CGAL::Bounded_side
     (CGAL_NTS sign( sqr_d - h_p_sqr * sqr_i_rad_numer)
      * CGAL_NTS sign( h_p_sqr * sqr_o_rad_numer - sqr_d)); }
-    
+
   bool
   has_on_bounded_side( const Point& p) const
   { CGAL_optimisation_precondition(
-				   is_empty() || tco.access_dimension_d_object()( p) == d);
+                                   is_empty() || tco.access_dimension_d_object()( p) == d);
   ET sqr_d = sqr_dist( p);
   ET h_p_sqr = da_coord(p)[d] * da_coord(p)[d];
-  return ( ( h_p_sqr * sqr_i_rad_numer < sqr_d) && 
-	   ( sqr_d < h_p_sqr * sqr_o_rad_numer)); }
-    
+  return ( ( h_p_sqr * sqr_i_rad_numer < sqr_d) &&
+           ( sqr_d < h_p_sqr * sqr_o_rad_numer)); }
+
   bool
   has_on_boundary( const Point& p) const
   { CGAL_optimisation_precondition(
-				   is_empty() || tco.access_dimension_d_object()( p) == d);
+                                   is_empty() || tco.access_dimension_d_object()( p) == d);
   ET sqr_d = sqr_dist( p);
   ET h_p_sqr = da_coord(p)[d] * da_coord(p)[d];
-  return (( sqr_d == h_p_sqr * sqr_i_rad_numer) || 
-	  ( sqr_d == h_p_sqr * sqr_o_rad_numer));}
-    
+  return (( sqr_d == h_p_sqr * sqr_i_rad_numer) ||
+          ( sqr_d == h_p_sqr * sqr_o_rad_numer));}
+
   bool
   has_on_unbounded_side( const Point& p) const
   { CGAL_optimisation_precondition(
-				   is_empty() || tco.access_dimension_d_object()( p) == d);
+                                   is_empty() || tco.access_dimension_d_object()( p) == d);
   ET sqr_d = sqr_dist( p);
   ET h_p_sqr(da_coord(p)[d]);
   h_p_sqr *= h_p_sqr;
-  return ( ( sqr_d < h_p_sqr * sqr_i_rad_numer) || 
-	   ( h_p_sqr * sqr_o_rad_numer < sqr_d)); }
-    
+  return ( ( sqr_d < h_p_sqr * sqr_i_rad_numer) ||
+           ( h_p_sqr * sqr_o_rad_numer < sqr_d)); }
+
   bool  is_empty     ( ) const { return number_of_points() == 0; }
   bool  is_degenerate( ) const
   { return ! CGAL_NTS is_positive( sqr_o_rad_numer); }
-    
+
   // modifiers
   template < class InputIterator >
   void
@@ -475,17 +475,17 @@ public:
   std::copy( first, last, std::back_inserter( points));
   set_dimension();
   CGAL_optimisation_precondition_msg( check_dimension(),
-				      "Not all points have the same dimension.");
+                                      "Not all points have the same dimension.");
   compute_min_annulus(); }
-    
+
   void
   insert( const Point& p)
   { if ( is_empty()) d = tco.access_dimension_d_object()( p);
   CGAL_optimisation_precondition(
-				 tco.access_dimension_d_object()( p) == d);
+                                 tco.access_dimension_d_object()( p) == d);
   points.push_back( p);
   compute_min_annulus(); }
-    
+
   template < class InputIterator >
   void
   insert( InputIterator first, InputIterator last)
@@ -493,110 +493,110 @@ public:
   points.insert( points.end(), first, last);
   set_dimension();
   CGAL_optimisation_precondition_msg( check_dimension( old_n),
-				      "Not all points have the same dimension.");
+                                      "Not all points have the same dimension.");
   compute_min_annulus(); }
-    
+
   void
   clear( )
   { points.erase( points.begin(), points.end());
   compute_min_annulus(); }
-    
+
   // validity check
   bool  is_valid( bool verbose = false, int level = 0) const;
-    
+
   // traits class access
   const Traits&  traits( ) const { return tco; }
-    
+
 
 private:
-    
+
   Traits                   tco;       // traits class object
   Access_coordinates_begin_d da_coord; // data accessor
-    
+
   Point_vector             points;    // input points
   int                      d;         // dimension of input points
-    
+
   ET_vector                center_coords;     // center of small.encl.annulus
-    
+
   ET                       sqr_i_rad_numer;   // squared inner radius of
   ET                       sqr_o_rad_numer;   // ---"--- outer ----"----
   ET                       sqr_rad_denom;     // smallest enclosing annulus
-    
+
   Solver                   *solver;    // linear programming solver
-     
+
   Index_vector             inner_indices;
   Index_vector             outer_indices;
-    
+
   NT_matrix                a_matrix;  // matrix `A' of dual LP
   NT_vector                b_vector;  // vector `b' of dual LP
   NT_vector                c_vector;  // vector `c' of dual LP
-    
+
 private:
-  // squared distance to center * h_p^2 * c_d^2 
+  // squared distance to center * h_p^2 * c_d^2
   ET sqr_dist_exact( const Point& p) const
   {
     ET result(0);
-    typename Access_coordinates_begin_d::Coordinate_iterator 
+    typename Access_coordinates_begin_d::Coordinate_iterator
       p_it (da_coord ( p));     // this is p * h_p
     ET c_d = center_coords[d];
     ET h_p = p_it[d];
     for (int i=0; i<d; ++i) {
-      ET x = 
-	c_d * ET(p_it[i]) -      /* this is c_d *    p_i * h_p */
-	h_p * center_coords[i]   /* this is h_p *    c_i * c_d */ ;
+      ET x =
+        c_d * ET(p_it[i]) -      /* this is c_d *    p_i * h_p */
+        h_p * center_coords[i]   /* this is h_p *    c_i * c_d */ ;
       result += x * x;
     }
     return result;
   }
 
-  // the function above computes sqr_dist as ||p-c||^2 
+  // the function above computes sqr_dist as ||p-c||^2
   // (endowed with a factor of c_d^2 * h_p^2)
   // but we know that c was computed from (possibly slightly wrong)
   // data if NT is inexact; in order to compensate for this, let
   // us instead compute sqr_dist as p^Tp - 2c^Tp + c^Tc, where we use
   // the (potentially wrong) values of p^Tp and p that went into the
-  // linear program; this will give us correct containment / on_boundary 
+  // linear program; this will give us correct containment / on_boundary
   // checks also in the inexact-NT case.
   ET sqr_dist( const Point& p) const
   {
     ET result(0), two(2);
     NT pTp(0); // computed over input type, possibly slightly wrong
-    ET cTc(0); 
+    ET cTc(0);
     ET two_pTc(0);
-    typename Access_coordinates_begin_d::Coordinate_iterator 
+    typename Access_coordinates_begin_d::Coordinate_iterator
       p_it (da_coord ( p));     // this is p * h_p
     NT h_p = p_it[d]; // input type!
     for (int i=0; i<d; ++i) {
       NT p_i (p_it[i]);  // input type!
-      pTp += p_i * p_i;  // p_i^2 * h_p^2 
+      pTp += p_i * p_i;  // p_i^2 * h_p^2
       cTc += center_coords[i] * center_coords[i]; // c_i^2 * c_d^2
-      two_pTc += 
-	// 2 * c_i * c_d * p_i * h_p^2  
-	2 * center_coords[i] * ET(h_p * p_i); 
-    } 
+      two_pTc +=
+        // 2 * c_i * c_d * p_i * h_p^2
+        2 * center_coords[i] * ET(h_p * p_i);
+    }
     ET c_d = center_coords[d];
-    result = 
-      ET(pTp) * c_d * c_d +      
+    result =
+      ET(pTp) * c_d * c_d +
       cTc * ET (h_p * h_p) +
       - two_pTc * c_d;
     return result;
   }
-    
+
   // set dimension of input points
   void
   set_dimension( )
   { d = ( points.size() == 0 ? -1 :
-	  tco.access_dimension_d_object()( points[ 0])); }
-    
+          tco.access_dimension_d_object()( points[ 0])); }
+
   // check dimension of input points
   bool
   check_dimension( std::size_t  offset = 0)
   { return ( std::find_if( points.begin()+offset, points.end(),
-			   CGAL::compose1_1( boost::bind2nd(
-							  std::not_equal_to<int>(), d),
-					     tco.access_dimension_d_object()))
-	     == points.end()); }
-    
+                           CGAL::compose1_1( boost::bind2nd(
+                                                          std::not_equal_to<int>(), d),
+                                             tco.access_dimension_d_object()))
+             == points.end()); }
+
   // compute smallest enclosing annulus
   void
   compute_min_annulus( )
@@ -604,57 +604,57 @@ private:
     // clear inner and outer support points
     inner_indices.erase( inner_indices.begin(), inner_indices.end());
     outer_indices.erase( outer_indices.begin(), outer_indices.end());
-    
+
     if ( is_empty()) {
       center_coords.resize( 1);
       sqr_i_rad_numer = -ET( 1);
       sqr_o_rad_numer = -ET( 1);
       return;
     }
-    
+
     if ( number_of_points() == 1) {
       inner_indices.push_back( 0);
       outer_indices.push_back( 0);
       center_coords.resize( d+1);
       std::transform( da_coord( points[ 0]),
-		      da_coord( points[ 0])+d+1,
-		      center_coords.begin(),
-		      NT_converter<RT,ET>());
+                      da_coord( points[ 0])+d+1,
+                      center_coords.begin(),
+                      NT_converter<RT,ET>());
       sqr_i_rad_numer = ET( 0);
       sqr_o_rad_numer = ET( 0);
       sqr_rad_denom   = ET( 1);
       return;
     }
-    
+
     // set up vector c and solve dual LP
     // the ordering of the constraints is as above; the ordering
-    // of the variables is: z_p_j <-> 2 * j, y_p_j <-> 2 * j + 1 
+    // of the variables is: z_p_j <-> 2 * j, y_p_j <-> 2 * j + 1
     c_vector.resize( 2*points.size());
     for ( int j = 0; j < number_of_points(); ++j) {
       typename Traits::Access_coordinates_begin_d::Coordinate_iterator
-	coord_it = da_coord( points[j]);
+        coord_it = da_coord( points[j]);
       NT  sum = 0;
       for ( int i = 0; i < d; ++i) {
-	sum += NT( coord_it[ i])*NT( coord_it[ i]);
+        sum += NT( coord_it[ i])*NT( coord_it[ i]);
       }
       c_vector[ 2*j  ] =  sum;
       c_vector[ 2*j+1] = -sum;
     }
-        
-    LP lp (2*static_cast<int>(points.size()), d+2, 
-	   A_iterator ( boost::counting_iterator<int>(0), 
-			A_matrix (d, da_coord, points.begin())),
-	   B_iterator ( boost::counting_iterator<int>(0), 
-			B_vector (d)), 
-	   R_iterator (CGAL::EQUAL), 
-	   c_vector.begin());
-    
+
+    LP lp (2*static_cast<int>(points.size()), d+2,
+           A_iterator ( boost::counting_iterator<int>(0),
+                        A_matrix (d, da_coord, points.begin())),
+           B_iterator ( boost::counting_iterator<int>(0),
+                        B_vector (d)),
+           R_iterator (CGAL::EQUAL),
+           c_vector.begin());
+
     Quadratic_program_options options;
     options.set_pricing_strategy(pricing_strategy(NT()));
     delete solver;
     solver = new Solver(lp, options);
     CGAL_optimisation_assertion(solver->status() == QP_OPTIMAL);
- 
+
     // compute center and squared radius
     ET sqr_sum = 0;
     center_coords.resize( ambient_dimension()+1);
@@ -668,28 +668,28 @@ private:
     sqr_o_rad_numer = sqr_sum
       - solver->dual_variable( d+1)*center_coords[ d];
     sqr_rad_denom   = center_coords[ d] * center_coords[ d];
-        
+
     // split up support points
     for ( int i = 0; i < solver->number_of_basic_original_variables(); ++i) {
       int index = solver->basic_original_variable_indices_begin()[ i];
       if ( index % 2 == 0) {
-	inner_indices.push_back( index/2);
+        inner_indices.push_back( index/2);
       } else {
-	outer_indices.push_back( index/2);
+        outer_indices.push_back( index/2);
       }
     }
   }
-  
+
   template < class NT >
   Quadratic_program_pricing_strategy pricing_strategy( NT) {
     return QP_PARTIAL_FILTERED_DANTZIG;
   }
-  
+
   Quadratic_program_pricing_strategy pricing_strategy( ET) {
     return QP_PARTIAL_DANTZIG;
   }
- 
-    
+
+
 };
 
 // Function declarations
@@ -725,20 +725,20 @@ is_valid( bool verbose, int level) const
   // containment check (a)
   // ---------------------
   verr << "  (a) containment check..." << flush;
-    
+
   Point_iterator  point_it = points_begin();
   for ( ; point_it != points_end(); ++point_it) {
     if ( has_on_unbounded_side( *point_it))
       return CGAL::_optimisation_is_valid_fail( verr,
-						"annulus does not contain all points");
+                                                "annulus does not contain all points");
   }
-    
+
   verr << "passed." << endl;
 
   // support set check (b)
   // ---------------------
   verr << "  (b) support set check..." << flush;
-    
+
   // all inner support points on inner boundary?
   Inner_support_point_iterator  i_pt_it = inner_support_points_begin();
   for ( ; i_pt_it != inner_support_points_end(); ++i_pt_it) {
@@ -746,9 +746,9 @@ is_valid( bool verbose, int level) const
     h_p_sqr *= h_p_sqr;
     if ( sqr_dist( *i_pt_it) != h_p_sqr * sqr_i_rad_numer)
       return CGAL::_optimisation_is_valid_fail( verr,
-						"annulus does not have all inner support points on its inner boundary");
+                                                "annulus does not have all inner support points on its inner boundary");
   }
-    
+
   // all outer support points on outer boundary?
   Outer_support_point_iterator  o_pt_it = outer_support_points_begin();
   for ( ; o_pt_it != outer_support_points_end(); ++o_pt_it) {
@@ -756,7 +756,7 @@ is_valid( bool verbose, int level) const
     h_p_sqr *= h_p_sqr;
     if ( sqr_dist( *o_pt_it) != h_p_sqr * sqr_o_rad_numer)
       return CGAL::_optimisation_is_valid_fail( verr,
-						"annulus does not have all outer support points on its outer boundary");
+                                                "annulus does not have all outer support points on its outer boundary");
   }
   /*
   // center strictly in convex hull of support points?
@@ -769,7 +769,7 @@ is_valid( bool verbose, int level) const
   "center does not lie strictly in convex hull of support points");
   }
   */
-    
+
   verr << "passed." << endl;
 
   verr << "  object is valid!" << endl;
@@ -799,24 +799,24 @@ operator << ( std::ostream& os,
     os << "  P = {" << endl;
     os << "    ";
     copy( min_annulus.points_begin(), min_annulus.points_end(),
-	  Os_it( os, ",\n    "));
+          Os_it( os, ",\n    "));
     os << "}" << endl;
     os << "  S_i = {" << endl;
     os << "    ";
     copy( min_annulus.inner_support_points_begin(),
-	  min_annulus.inner_support_points_end(),
-	  Os_it( os, ",\n    "));
+          min_annulus.inner_support_points_end(),
+          Os_it( os, ",\n    "));
     os << "}" << endl;
     os << "  S_o = {" << endl;
     os << "    ";
     copy( min_annulus.outer_support_points_begin(),
-	  min_annulus.outer_support_points_end(),
-	  Os_it( os, ",\n    "));
+          min_annulus.outer_support_points_end(),
+          Os_it( os, ",\n    "));
     os << "}" << endl;
     os << "  center = ( ";
     copy( min_annulus.center_coordinates_begin(),
-	  min_annulus.center_coordinates_end(),
-	  Et_it( os, " "));
+          min_annulus.center_coordinates_end(),
+          Et_it( os, " "));
     os << ")" << endl;
     os << "  squared inner radius = "
        << min_annulus.squared_inner_radius_numerator() << " / "
@@ -828,17 +828,17 @@ operator << ( std::ostream& os,
 
   case CGAL::IO::ASCII:
     copy( min_annulus.points_begin(), min_annulus.points_end(),
-	  Os_it( os, "\n"));
+          Os_it( os, "\n"));
     break;
 
   case CGAL::IO::BINARY:
     copy( min_annulus.points_begin(), min_annulus.points_end(),
-	  Os_it( os));
+          Os_it( os));
     break;
 
   default:
     CGAL_optimisation_assertion_msg( false,
-				     "CGAL::get_mode( os) invalid!");
+                                     "CGAL::get_mode( os) invalid!");
     break; }
 
   return( os);
diff -pruN 5.0.2-3/include/CGAL/Min_circle_2/Min_circle_2_adapterC2.h 5.0.3-1/include/CGAL/Min_circle_2/Min_circle_2_adapterC2.h
--- 5.0.2-3/include/CGAL/Min_circle_2/Min_circle_2_adapterC2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_circle_2/Min_circle_2_adapterC2.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // ETH Zurich (Switzerland).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_circle_2/Min_circle_2_adapterC2.h $
-// $Id: Min_circle_2_adapterC2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_circle_2/Min_circle_2_adapterC2.h $
+// $Id: Min_circle_2_adapterC2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>, Bernd Gaertner
 
@@ -61,18 +61,18 @@ class Min_circle_2_adapterC2 {
     orientation( const Point& p, const Point& q, const Point& r) const
     {
         typedef  typename DA_::FT  FT;
-    
+
         FT  px;
         FT  py;
         FT  qx;
         FT  qy;
         FT  rx;
         FT  ry;
-    
+
         dao.get( p, px, py);
         dao.get( q, qx, qy);
         dao.get( r, rx, ry);
-    
+
         return( static_cast< CGAL::Orientation>(
                   CGAL_NTS sign( ( px-rx) * ( qy-ry) - ( py-ry) * ( qx-rx))));
     }
@@ -308,8 +308,8 @@ operator >> ( std::istream& is,
     switch ( CGAL::get_mode( is)) {
 
       case CGAL::IO::PRETTY:
-	std::cerr << std::endl;
-	std::cerr << "Stream must be in ascii or binary mode" << std::endl;
+        std::cerr << std::endl;
+        std::cerr << "Stream must be in ascii or binary mode" << std::endl;
         break;
 
       case CGAL::IO::ASCII:
diff -pruN 5.0.2-3/include/CGAL/Min_circle_2/Min_circle_2_adapterH2.h 5.0.3-1/include/CGAL/Min_circle_2/Min_circle_2_adapterH2.h
--- 5.0.2-3/include/CGAL/Min_circle_2/Min_circle_2_adapterH2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_circle_2/Min_circle_2_adapterH2.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // ETH Zurich (Switzerland).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_circle_2/Min_circle_2_adapterH2.h $
-// $Id: Min_circle_2_adapterH2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_circle_2/Min_circle_2_adapterH2.h $
+// $Id: Min_circle_2_adapterH2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>, Bernd Gaertner
 
@@ -61,7 +61,7 @@ class Min_circle_2_adapterH2 {
     orientation( const Point& p, const Point& q, const Point& r) const
     {
         typedef  typename DA_::RT  RT;
-    
+
         RT  phx;
         RT  phy;
         RT  phw;
@@ -71,11 +71,11 @@ class Min_circle_2_adapterH2 {
         RT  rhx;
         RT  rhy;
         RT  rhw;
-    
+
         dao.get( p, phx, phy, phw);
         dao.get( q, qhx, qhy, qhw);
         dao.get( r, rhx, rhy, rhw);
-    
+
         return( static_cast< CGAL::Orientation>(
                  CGAL_NTS sign( ( phx*rhw - rhx*phw) * ( qhy*rhw - rhy*qhw)
                               - ( phy*rhw - rhy*phw) * ( qhx*rhw - rhx*qhw))));
@@ -347,8 +347,8 @@ operator >> ( std::istream& is,
     switch ( CGAL::get_mode( is)) {
 
       case CGAL::IO::PRETTY:
-	std::cerr << std::endl;
-	std::cerr << "Stream must be in ascii or binary mode" << std::endl;
+        std::cerr << std::endl;
+        std::cerr << "Stream must be in ascii or binary mode" << std::endl;
         break;
 
       case CGAL::IO::ASCII:
diff -pruN 5.0.2-3/include/CGAL/Min_circle_2/Min_circle_2_impl.h 5.0.3-1/include/CGAL/Min_circle_2/Min_circle_2_impl.h
--- 5.0.2-3/include/CGAL/Min_circle_2/Min_circle_2_impl.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_circle_2/Min_circle_2_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // ETH Zurich (Switzerland).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_circle_2/Min_circle_2_impl.h $
-// $Id: Min_circle_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_circle_2/Min_circle_2_impl.h $
+// $Id: Min_circle_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>, Bernd Gaertner
 
diff -pruN 5.0.2-3/include/CGAL/Min_circle_2/Optimisation_circle_2.h 5.0.3-1/include/CGAL/Min_circle_2/Optimisation_circle_2.h
--- 5.0.2-3/include/CGAL/Min_circle_2/Optimisation_circle_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_circle_2/Optimisation_circle_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // ETH Zurich (Switzerland).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_circle_2/Optimisation_circle_2.h $
-// $Id: Optimisation_circle_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_circle_2/Optimisation_circle_2.h $
+// $Id: Optimisation_circle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>, Bernd Gaertner
 
@@ -37,35 +37,35 @@ class Optimisation_circle_2 {
     typedef           K_                K;
     typedef typename  K::Point_2        Point;
     typedef typename  K_::FT            Distance;
-    
+
     /**************************************************************************
     WORKAROUND: Some compilers are unable to match member functions defined
     outside the class template. Therefore, all member functions are implemented
     in the class interface.
-    
+
     // creation
     Optimisation_circle_2( );
-    
+
     void  set( );
     void  set( const Point& p);
     void  set( const Point& p, const Point& q);
     void  set( const Point& p, const Point& q, const Point& r);
     void  set( const Point& center, const Distance& squared_radius);
-    
+
     // access functions
     const Point&     center        ( ) const;
     const Distance&  squared_radius( ) const
-    
+
     // equality tests
     bool  operator == ( const Optimisation_circle_2<K>& c) const;
     bool  operator != ( const Optimisation_circle_2<K>& c) const;
-    
+
     // predicates
     CGAL::Bounded_side  bounded_side( const Point& p) const;
     bool  has_on_bounded_side      ( const Point& p) const;
     bool  has_on_boundary          ( const Point& p) const;
     bool  has_on_unbounded_side    ( const Point& p) const;
-    
+
     bool  is_empty     ( ) const;
     bool  is_degenerate( ) const;
     **************************************************************************/
@@ -96,7 +96,7 @@ class Optimisation_circle_2 {
         _center         =  Point( CGAL::ORIGIN);
         _squared_radius = -Distance( 1);
     }
-    
+
     inline
     void
     set( const Point& p)
@@ -104,7 +104,7 @@ class Optimisation_circle_2 {
         _center         = p;
         _squared_radius = Distance( 0);
     }
-    
+
     inline
     void
     set( const Point& p, const Point& q)
@@ -112,7 +112,7 @@ class Optimisation_circle_2 {
         _center         = CGAL::midpoint( p, q);
         _squared_radius = CGAL::squared_distance( p, _center);
     }
-    
+
     inline
     void
     set( const Point& p, const Point& q, const Point& r)
@@ -120,7 +120,7 @@ class Optimisation_circle_2 {
         _center         = CGAL::circumcenter( p, q, r);
         _squared_radius = CGAL::squared_distance( p, _center);
     }
-    
+
     inline
     void
     set( const Point& center, const Distance& squared_radius)
@@ -137,7 +137,7 @@ class Optimisation_circle_2 {
     {
         return( _center);
     }
-    
+
     inline
     const Distance&
     squared_radius( ) const
@@ -153,7 +153,7 @@ class Optimisation_circle_2 {
         return( ( _center          == c._center        ) &&
                 ( _squared_radius  == c._squared_radius) );
     }
-    
+
     bool
     operator != ( const Optimisation_circle_2<K>& c) const
     {
@@ -169,35 +169,35 @@ class Optimisation_circle_2 {
         return( CGAL::Bounded_side( CGAL_NTS sign(
             _squared_radius - CGAL::squared_distance( p, _center))));
     }
-    
+
     inline
     bool
     has_on_bounded_side( const Point& p) const
     {
         return( CGAL::squared_distance( p, _center) < _squared_radius);
     }
-    
+
     inline
     bool
     has_on_boundary( const Point& p) const
     {
         return( CGAL::squared_distance( p, _center) == _squared_radius);
     }
-    
+
     inline
     bool
     has_on_unbounded_side( const Point& p) const
     {
         return( _squared_radius < CGAL::squared_distance( p, _center));
     }
-    
+
     inline
     bool
     is_empty( ) const
     {
         return( CGAL::is_negative( _squared_radius));
     }
-    
+
     inline
     bool
     is_degenerate( ) const
diff -pruN 5.0.2-3/include/CGAL/Min_circle_2/Optimisation_circle_2_impl.h 5.0.3-1/include/CGAL/Min_circle_2/Optimisation_circle_2_impl.h
--- 5.0.2-3/include/CGAL/Min_circle_2/Optimisation_circle_2_impl.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_circle_2/Optimisation_circle_2_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // ETH Zurich (Switzerland).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_circle_2/Optimisation_circle_2_impl.h $
-// $Id: Optimisation_circle_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_circle_2/Optimisation_circle_2_impl.h $
+// $Id: Optimisation_circle_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>, Bernd Gaertner
 
diff -pruN 5.0.2-3/include/CGAL/Min_circle_2.h 5.0.3-1/include/CGAL/Min_circle_2.h
--- 5.0.2-3/include/CGAL/Min_circle_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_circle_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // ETH Zurich (Switzerland).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_circle_2.h $
-// $Id: Min_circle_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_circle_2.h $
+// $Id: Min_circle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>, Bernd Gaertner
 
@@ -43,12 +43,12 @@ class Min_circle_2 {
     typedef typename  Traits_::Circle                   Circle;
     typedef typename  std::list<Point>::const_iterator  Point_iterator;
     typedef           const Point *                     Support_point_iterator;
-    
+
     /**************************************************************************
     WORKAROUND: Some compilers are unable to match member functions defined
     outside the class template. Therefore, all member functions are implemented
     in the class interface.
-    
+
     // creation
     template < class InputIterator >
     Min_circle_2( InputIterator first,
@@ -56,7 +56,7 @@ class Min_circle_2 {
                   bool          randomize = false,
                   Random&       random    = get_default_random(),
                   const Traits& traits    = Traits());
-    
+
     Min_circle_2( const Traits& traits = Traits());
     Min_circle_2( const Point&  p,
                   const Traits& traits = Traits());
@@ -65,30 +65,30 @@ class Min_circle_2 {
     Min_circle_2( const Point&  p1, const Point&  p2, const Point&  p3,
                   const Traits& traits = Traits());
     ~Min_circle_2( );
-    
+
     // access functions
     int  number_of_points        ( ) const;
     int  number_of_support_points( ) const;
-    
+
     Point_iterator  points_begin( ) const;
     Point_iterator  points_end  ( ) const;
-    
+
     Support_point_iterator  support_points_begin( ) const;
     Support_point_iterator  support_points_end  ( ) const;
-    
+
     const Point&  support_point( int i) const;
-    
+
     const Circle&  circle( ) const;
-    
+
     // predicates
     Bounded_side  bounded_side( const Point& p) const;
     bool  has_on_bounded_side      ( const Point& p) const;
     bool  has_on_boundary          ( const Point& p) const;
     bool  has_on_unbounded_side    ( const Point& p) const;
-    
+
     bool  is_empty     ( ) const;
     bool  is_degenerate( ) const;
-    
+
     // modifiers
     void  insert( const Point& p);
     void  insert( const Point* first,
@@ -98,10 +98,10 @@ class Min_circle_2 {
     void  insert( std::istream_iterator<Point,std::ptrdiff_t> first,
                   std::istream_iterator<Point,std::ptrdiff_t> last );
     void  clear( );
-    
+
     // validity check
     bool  is_valid( bool verbose = false, int level = 0) const;
-    
+
     // miscellaneous
     const Traits&  traits( ) const;
     **************************************************************************/
@@ -112,7 +112,7 @@ class Min_circle_2 {
     std::list<Point>  points;                   // doubly linked list of points
   std::size_t         n_support_points;              // number of support points
     Point*       support_points;                // array of support points
-    
+
 
     // copying and assignment not allowed!
     Min_circle_2( const Min_circle_2<Traits_>&);
@@ -134,7 +134,7 @@ class Min_circle_2 {
     {
         return( points.size());
     }
-    
+
     inline
     std::size_t
     number_of_support_points( ) const
@@ -149,7 +149,7 @@ class Min_circle_2 {
     {
         return( number_of_support_points() == 0);
     }
-    
+
     inline
     bool
     is_degenerate( ) const
@@ -164,28 +164,28 @@ class Min_circle_2 {
     {
         return( points.begin());
     }
-    
+
     inline
     Point_iterator
     points_end( ) const
     {
         return( points.end());
     }
-    
+
     inline
     Support_point_iterator
     support_points_begin( ) const
     {
         return( support_points);
     }
-    
+
     inline
     Support_point_iterator
     support_points_end( ) const
     {
         return( support_points+n_support_points);
     }
-    
+
     // random access for support points
     inline
     const Point&
@@ -201,7 +201,7 @@ class Min_circle_2 {
     {
         return( tco.circle);
     }
-    
+
 
     // in-circle test predicates
     inline
@@ -210,21 +210,21 @@ class Min_circle_2 {
     {
         return( tco.circle.bounded_side( p));
     }
-    
+
     inline
     bool
     has_on_bounded_side( const Point& p) const
     {
         return( tco.circle.has_on_bounded_side( p));
     }
-    
+
     inline
     bool
     has_on_boundary( const Point& p) const
     {
         return( tco.circle.has_on_boundary( p));
     }
-    
+
     inline
     bool
     has_on_unbounded_side( const Point& p) const
@@ -266,22 +266,22 @@ class Min_circle_2 {
         n_support_points = n_sp;
         compute_circle();
         if ( n_sp == 3) return;
-    
+
         // test first n points
         typename std::list<Point>::iterator  point_iter = points.begin();
         for ( ; last != point_iter; ) {
             const Point& p = *point_iter;
-    
+
             // p not in current circle?
             if ( has_on_unbounded_side( p)) {
-    
+
                 // recursive call with p as additional support point
                 support_points[ n_sp] = p;
                 mc( point_iter, n_sp+1);
-    
+
                 // move current point to front
                 points.splice( points.begin(), points, point_iter++); }
-    
+
             else
                 ++point_iter; }
     }
@@ -304,13 +304,13 @@ class Min_circle_2 {
         {
             // allocate support points' array
             support_points = new Point[ 3];
-    
+
             // range of points not empty?
             if ( first != last) {
-    
+
                 // store points
                 if ( randomize) {
-    
+
                     // shuffle points at random
                     std::vector<Point> v( first, last);
                     CGAL::cpp98::random_shuffle( v.begin(), v.end(), random);
@@ -318,11 +318,11 @@ class Min_circle_2 {
                                std::back_inserter( points)); }
                 else
                     std::copy( first, last, std::back_inserter( points)); }
-    
+
             // compute mc
             mc( points.end(), 0);
         }
-    
+
     // default constructor
     inline
     Min_circle_2( const Traits& traits = Traits())
@@ -330,13 +330,13 @@ class Min_circle_2 {
     {
         // allocate support points' array
         support_points = new Point[ 3];
-    
+
         // initialize circle
         tco.circle.set();
-    
+
         CGAL_optimisation_postcondition( is_empty());
     }
-    
+
     // constructor for one point
     inline
     Min_circle_2( const Point& p, const Traits& traits = Traits())
@@ -344,16 +344,16 @@ class Min_circle_2 {
     {
         // allocate support points' array
         support_points = new Point[ 3];
-    
+
         // initialize circle
         support_points[ 0] = p;
         tco.circle.set( p);
-    
+
         CGAL_optimisation_postcondition( is_degenerate());
     }
-    
+
     // constructor for two points
-    // This was const Point& but then Intel 7.0/.net2003 messes it up 
+    // This was const Point& but then Intel 7.0/.net2003 messes it up
     // with the constructor taking an iterator range
     inline
     Min_circle_2( Point p1, Point p2,
@@ -362,15 +362,15 @@ class Min_circle_2 {
     {
         // allocate support points' array
         support_points = new Point[ 3];
-    
+
         // store points
         points.push_back( p1);
         points.push_back( p2);
-    
+
         // compute mc
         mc( points.end(), 0);
     }
-    
+
     // constructor for three points
     inline
     Min_circle_2( const Point& p1, const Point& p2, const Point& p3,
@@ -379,16 +379,16 @@ class Min_circle_2 {
     {
         // allocate support points' array
         support_points = new Point[ 3];
-    
+
         // store points
         points.push_back( p1);
         points.push_back( p2);
         points.push_back( p3);
-    
+
         // compute mc
         mc( points.end(), 0);
     }
-    
+
 
     // Destructor
     // ----------
@@ -406,21 +406,21 @@ class Min_circle_2 {
     {
         // p not in current circle?
         if ( has_on_unbounded_side( p)) {
-    
+
             // p new support point
             support_points[ 0] = p;
-    
+
             // recompute mc
             mc( points.end(), 1);
-    
+
             // store p as the first point in list
             points.push_front( p); }
         else
-    
+
             // append p to the end of the list
             points.push_back( p);
     }
-    
+
         template < class InputIterator >
         void
         insert( InputIterator first, InputIterator last)
@@ -428,7 +428,7 @@ class Min_circle_2 {
             for ( ; first != last; ++first)
                 insert( *first);
         }
-    
+
     void
     clear( )
     {
@@ -436,7 +436,7 @@ class Min_circle_2 {
         n_support_points = 0;
         tco.circle.set();
     }
-    
+
 
     // Validity check
     // --------------
@@ -444,14 +444,14 @@ class Min_circle_2 {
     is_valid( bool verbose = false, int level = 0) const
     {
         using namespace std;
-    
+
         CGAL::Verbose_ostream verr( verbose);
         verr << endl;
         verr << "CGAL::Min_circle_2<Traits>::" << endl;
         verr << "is_valid( true, " << level << "):" << endl;
         verr << "  |P| = " << number_of_points()
              << ", |S| = " << number_of_support_points() << endl;
-    
+
         // containment check (a)
         verr << "  a) containment check..." << flush;
         Point_iterator point_iter;
@@ -462,18 +462,18 @@ class Min_circle_2 {
                 return( CGAL::_optimisation_is_valid_fail( verr,
                             "circle does not contain all points"));
         verr << "passed." << endl;
-    
+
         // support set checks (b)+(c)
         verr << "  b)+c) support set checks..." << flush;
         switch( number_of_support_points()) {
-        
+
           case 0:
             if ( ! is_empty())
                 return( CGAL::_optimisation_is_valid_fail( verr,
                             "P is nonempty, \
                              but there are no support points."));
             break;
-        
+
           case 1:
             if ( ( circle().center() != support_point( 0)    ) ||
                  ( ! CGAL_NTS is_zero( circle().squared_radius())) )
@@ -481,16 +481,16 @@ class Min_circle_2 {
                             "circle differs from the circle \
                              spanned by its single support point."));
             break;
-        
+
           case 2: {
             const Point& p = support_point( 0),
                          q = support_point( 1);
-            
+
             // p equals q?
             if ( p == q)
                 return( CGAL::_optimisation_is_valid_fail( verr,
                             "the two support points are equal."));
-            
+
             // segment(p,q) is not diameter?
             if ( ( ! has_on_boundary( p)                                ) ||
                  ( ! has_on_boundary( q)                                ) ||
@@ -500,23 +500,23 @@ class Min_circle_2 {
                             "circle does not have its \
                              two support points as diameter.")); }
             break;
-        
+
           case 3: {
             const Point& p = support_point( 0),
                          q = support_point( 1),
                          r = support_point( 2);
-            
+
             // p, q, r not pairwise distinct?
             if ( ( p == q) || ( q == r) || ( r == p))
                 return( CGAL::_optimisation_is_valid_fail( verr,
                             "at least two of the three \
                              support points are equal."));
-            
+
             // p, q, r collinear?
             if ( tco.orientation( p, q, r) == CGAL::COLLINEAR)
                 return( CGAL::_optimisation_is_valid_fail( verr,
                             "the three support points are collinear."));
-            
+
             // current circle not equal the unique circle through p,q,r ?
             Circle c = circle();
             c.set( p, q, r);
@@ -524,7 +524,7 @@ class Min_circle_2 {
                 return( CGAL::_optimisation_is_valid_fail( verr,
                             "circle is not the unique circle \
                              through its three support points."));
-            
+
             // circle's center on boundary of triangle(p,q,r)?
             const Point& center = circle().center();
             CGAL::Orientation o_pqz = tco.orientation( p, q, center);
@@ -535,21 +535,21 @@ class Min_circle_2 {
                  ( o_rpz == CGAL::COLLINEAR) )
                 return( CGAL::_optimisation_is_valid_fail( verr,
                             "one of the three support points is redundant."));
-            
+
             // circle's center not inside triangle(p,q,r)?
             if ( ( o_pqz != o_qrz) || ( o_qrz != o_rpz) || ( o_rpz != o_pqz))
                 return( CGAL::_optimisation_is_valid_fail( verr,
                             "circle's center is not in the \
                              convex hull of its three support points.")); }
             break;
-        
+
           default:
             return( CGAL::_optimisation_is_valid_fail( verr,
                         "illegal number of support points, \
                          not between 0 and 3."));
         };
         verr << "passed." << endl;
-    
+
         verr << "  object is valid!" << endl;
         return( true);
     }
diff -pruN 5.0.2-3/include/CGAL/Min_circle_2_traits_2.h 5.0.3-1/include/CGAL/Min_circle_2_traits_2.h
--- 5.0.2-3/include/CGAL/Min_circle_2_traits_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_circle_2_traits_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // ETH Zurich (Switzerland).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_circle_2_traits_2.h $
-// $Id: Min_circle_2_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_circle_2_traits_2.h $
+// $Id: Min_circle_2_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>, Bernd Gaertner
 
diff -pruN 5.0.2-3/include/CGAL/Min_ellipse_2/Min_ellipse_2_adapterC2.h 5.0.3-1/include/CGAL/Min_ellipse_2/Min_ellipse_2_adapterC2.h
--- 5.0.2-3/include/CGAL/Min_ellipse_2/Min_ellipse_2_adapterC2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_ellipse_2/Min_ellipse_2_adapterC2.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // ETH Zurich (Switzerland).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_ellipse_2/Min_ellipse_2_adapterC2.h $
-// $Id: Min_ellipse_2_adapterC2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_ellipse_2/Min_ellipse_2_adapterC2.h $
+// $Id: Min_ellipse_2_adapterC2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>, Bernd Gaertner
 
@@ -93,18 +93,18 @@ class Min_ellipse_2_adapterC2 {
     orientation( const Point& p, const Point& q, const Point& r) const
     {
         typedef  typename DA_::FT  FT;
-    
+
         FT  px;
         FT  py;
         FT  qx;
         FT  qy;
         FT  rx;
         FT  ry;
-    
+
         dao.get( p, px, py);
         dao.get( q, qx, qy);
         dao.get( r, rx, ry);
-    
+
         return( static_cast< CGAL::Orientation>(
                    CGAL_NTS sign( ( px-rx) * ( qy-ry) - ( py-ry) * ( qx-rx))));
     }
@@ -377,8 +377,8 @@ operator >> ( std::istream& is,
     switch ( CGAL::get_mode( is)) {
 
       case CGAL::IO::PRETTY:
-	std::cerr << std::endl;
-	std::cerr << "Stream must be in ascii or binary mode" << std::endl;
+        std::cerr << std::endl;
+        std::cerr << "Stream must be in ascii or binary mode" << std::endl;
         break;
 
       case CGAL::IO::ASCII:
diff -pruN 5.0.2-3/include/CGAL/Min_ellipse_2/Min_ellipse_2_adapterH2.h 5.0.3-1/include/CGAL/Min_ellipse_2/Min_ellipse_2_adapterH2.h
--- 5.0.2-3/include/CGAL/Min_ellipse_2/Min_ellipse_2_adapterH2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_ellipse_2/Min_ellipse_2_adapterH2.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // ETH Zurich (Switzerland).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_ellipse_2/Min_ellipse_2_adapterH2.h $
-// $Id: Min_ellipse_2_adapterH2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_ellipse_2/Min_ellipse_2_adapterH2.h $
+// $Id: Min_ellipse_2_adapterH2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>, Bernd Gaertner
 
@@ -97,7 +97,7 @@ class Min_ellipse_2_adapterH2 {
     orientation( const Point& p, const Point& q, const Point& r) const
     {
         typedef  typename DA_::RT  RT;
-    
+
         RT  phx;
         RT  phy;
         RT  phw;
@@ -107,11 +107,11 @@ class Min_ellipse_2_adapterH2 {
         RT  rhx;
         RT  rhy;
         RT  rhw;
-    
+
         dao.get( p, phx, phy, phw);
         dao.get( q, qhx, qhy, qhw);
         dao.get( r, rhx, rhy, rhw);
-    
+
         return( static_cast< CGAL::Orientation>(
                  CGAL_NTS sign( ( phx*rhw - rhx*phw) * ( qhy*rhw - rhy*qhw)
                               - ( phy*rhw - rhy*phw) * ( qhx*rhw - rhx*qhw))));
@@ -386,7 +386,7 @@ operator >> ( std::istream& is,
 
       case CGAL::IO::PRETTY:
         std::cerr << std::endl;
-	std::cerr << "Stream must be in ascii or binary mode" << std::endl;
+        std::cerr << "Stream must be in ascii or binary mode" << std::endl;
         break;
 
       case CGAL::IO::ASCII:
diff -pruN 5.0.2-3/include/CGAL/Min_ellipse_2/Min_ellipse_2_impl.h 5.0.3-1/include/CGAL/Min_ellipse_2/Min_ellipse_2_impl.h
--- 5.0.2-3/include/CGAL/Min_ellipse_2/Min_ellipse_2_impl.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_ellipse_2/Min_ellipse_2_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // ETH Zurich (Switzerland).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_ellipse_2/Min_ellipse_2_impl.h $
-// $Id: Min_ellipse_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_ellipse_2/Min_ellipse_2_impl.h $
+// $Id: Min_ellipse_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>, Bernd Gaertner
 
diff -pruN 5.0.2-3/include/CGAL/Min_ellipse_2/Optimisation_ellipse_2.h 5.0.3-1/include/CGAL/Min_ellipse_2/Optimisation_ellipse_2.h
--- 5.0.2-3/include/CGAL/Min_ellipse_2/Optimisation_ellipse_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_ellipse_2/Optimisation_ellipse_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // ETH Zurich (Switzerland).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_ellipse_2/Optimisation_ellipse_2.h $
-// $Id: Optimisation_ellipse_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_ellipse_2/Optimisation_ellipse_2.h $
+// $Id: Optimisation_ellipse_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>, Bernd Gaertner
 
@@ -40,15 +40,15 @@ class Optimisation_ellipse_2 {
     typedef  typename K_::FT            FT;
     typedef  typename K::Point_2        Point;
     typedef  typename K::Conic_2        Conic;
-    
+
     /**************************************************************************
     WORKAROUND: Some compilers are unable to match member functions defined
     outside the class template. Therefore, all member functions are implemented
     in the class interface.
-    
+
     // creation
     Optimisation_ellipse_2( );
-    
+
     void  set( );
     void  set( const Point& p);
     void  set( const Point& p,  const Point& q);
@@ -57,20 +57,20 @@ class Optimisation_ellipse_2 {
                const Point& p3, const Point& p4);
     void  set( const Point& p1, const Point& p2,
                const Point& p3, const Point& p4, const Point& p5);
-    
+
     // access functions
     int  number_of_boundary_points()
-    
+
     // equality tests
     bool  operator == ( const Optimisation_ellipse_2<K>& e) const;
     bool  operator != ( const Optimisation_ellipse_2<K>& e) const;
-    
+
     // predicates
     CGAL::Bounded_side  bounded_side( const Point& p) const;
     bool  has_on_bounded_side      ( const Point& p) const;
     bool  has_on_boundary          ( const Point& p) const;
     bool  has_on_unbounded_side    ( const Point& p) const;
-    
+
     bool  is_empty     ( ) const;
     bool  is_degenerate( ) const;
     **************************************************************************/
@@ -78,25 +78,25 @@ class Optimisation_ellipse_2 {
   /* private: */
     // private data members
     int    n_boundary_points;                   // number of boundary points
-    Point  boundary_point1, 
+    Point  boundary_point1,
            boundary_point2,
            boundary_point3,
            boundary_point4,
-           boundary_point5;                     // <= 5 support point 
-    Conic  conic1, conic2;                      // two conics 
+           boundary_point5;                     // <= 5 support point
+    Conic  conic1, conic2;                      // two conics
 
     // this gradient vector has dr=0 and is used in testing the
     // position of a point relative to an ellipse through 4 points
-    mutable RT     dr, ds, dt, du, dv, dw;  
-    mutable bool   d_values_set; 
-    
+    mutable RT     dr, ds, dt, du, dv, dw;
+    mutable bool   d_values_set;
+
     // this gradient vector is just conic2 - conic1 and is used in
     // obtaining an explicit conic representing an ellipse through 4 poinnts
     mutable RT     er, es, et, eu, ev, ew;
     mutable bool e_values_set;
 
     // needed in bounded-side predicate over ellipse with 4 support points
-    mutable Conic helper_ellipse; // needed in bounded-side predicate over 
+    mutable Conic helper_ellipse; // needed in bounded-side predicate over
     mutable bool helper_ellipse_set;
 
     mutable Conic helper_conic; // also needed in bounded-side test
@@ -119,14 +119,14 @@ class Optimisation_ellipse_2 {
     {
         n_boundary_points = 0;
     }
-    
+
     void
     set( const Point& p)
     {
         n_boundary_points = 1;
         boundary_point1   = p;
     }
-    
+
     void
     set( const Point& p, const Point& q)
     {
@@ -134,31 +134,31 @@ class Optimisation_ellipse_2 {
         CGAL_optimisation_precondition(boundary_point1 == p); CGAL_USE(p);
         boundary_point2 = q;
     }
-    
+
     void
     set( const Point& p1, const Point& p2, const Point& p3)
-    {       
-        n_boundary_points = 3;        
-	CGAL_optimisation_precondition(boundary_point1 == p1);
+    {
+        n_boundary_points = 3;
+        CGAL_optimisation_precondition(boundary_point1 == p1);
         CGAL_optimisation_precondition(boundary_point2 == p2);
-	boundary_point3 = p3;
+        boundary_point3 = p3;
         helper_conic.set_ellipse( p1, p2, p3);
-	CGAL_optimisation_assertion(helper_conic.is_ellipse());
+        CGAL_optimisation_assertion(helper_conic.is_ellipse());
     }
-    
+
     void
     set( const Point& p1, const Point& p2, const Point& p3, const Point& p4)
     {
-        n_boundary_points = 4;	
-	CGAL_optimisation_precondition(boundary_point1 == p1);
+        n_boundary_points = 4;
+        CGAL_optimisation_precondition(boundary_point1 == p1);
         CGAL_optimisation_precondition(boundary_point2 == p2);
-	CGAL_optimisation_precondition(boundary_point3 == p3);
+        CGAL_optimisation_precondition(boundary_point3 == p3);
         boundary_point4 = p4;
         Conic::set_two_linepairs( p1, p2, p3, p4, conic1, conic2);
 
-	d_values_set = false;
-	e_values_set = false;
-	helper_ellipse_set = false;	
+        d_values_set = false;
+        e_values_set = false;
+        helper_ellipse_set = false;
     }
 
     void
@@ -171,7 +171,7 @@ class Optimisation_ellipse_2 {
         du = conic1.r() * conic2.u() - conic2.r() * conic1.u(),
         dv = conic1.r() * conic2.v() - conic2.r() * conic1.v(),
         dw = conic1.r() * conic2.w() - conic2.r() * conic1.w();
-	d_values_set = true;
+        d_values_set = true;
       }
     }
 
@@ -179,13 +179,13 @@ class Optimisation_ellipse_2 {
     set_e_values() const
     {
       if (!e_values_set) {
-       	er = conic2.r() - conic1.r();
-	es = conic2.s() - conic1.s();
-	et = conic2.t() - conic1.t();
-	eu = conic2.u() - conic1.u();
-	ev = conic2.v() - conic1.v();
-	ew = conic2.w() - conic1.w();
-	e_values_set = true;
+               er = conic2.r() - conic1.r();
+        es = conic2.s() - conic1.s();
+        et = conic2.t() - conic1.t();
+        eu = conic2.u() - conic1.u();
+        ev = conic2.v() - conic1.v();
+        ew = conic2.w() - conic1.w();
+        e_values_set = true;
       }
     }
 
@@ -195,32 +195,32 @@ class Optimisation_ellipse_2 {
       if (!helper_ellipse_set) {
         helper_ellipse.set_ellipse( conic1, conic2);
         helper_ellipse.analyse();
-	CGAL_optimisation_assertion (helper_ellipse.is_ellipse());
-	helper_ellipse_set= true;
+        CGAL_optimisation_assertion (helper_ellipse.is_ellipse());
+        helper_ellipse_set= true;
       }
     }
 
     void
     set( const Point& p1, const Point& p2,
          const Point& p3, const Point& p4, const Point& p5)
-    { 
+    {
         helper_conic.set(conic1, conic2, p5);
-	helper_conic.analyse();
-	// an optimization is possible if this set-call arose from
-	// a successful violation test of ME(p1,p2,p3,p4) and p5.
-	// In that case, helper_conic is already correct, 
-	// but in general, this optimization is NOT valid.
-	n_boundary_points = 5;
-	CGAL_optimisation_assertion(helper_conic.is_ellipse());	
-	// the following assertion is too strict if we run under
-	// double (which is sometimes the case, e.g. in demos)
-	// CGAL_optimisation_assertion(helper_conic.has_on_boundary(p5));
-	CGAL_optimisation_precondition(boundary_point1 == p1);
+        helper_conic.analyse();
+        // an optimization is possible if this set-call arose from
+        // a successful violation test of ME(p1,p2,p3,p4) and p5.
+        // In that case, helper_conic is already correct,
+        // but in general, this optimization is NOT valid.
+        n_boundary_points = 5;
+        CGAL_optimisation_assertion(helper_conic.is_ellipse());
+        // the following assertion is too strict if we run under
+        // double (which is sometimes the case, e.g. in demos)
+        // CGAL_optimisation_assertion(helper_conic.has_on_boundary(p5));
+        CGAL_optimisation_precondition(boundary_point1 == p1);
         CGAL_optimisation_precondition(boundary_point2 == p2);
-	CGAL_optimisation_precondition(boundary_point3 == p3);
+        CGAL_optimisation_precondition(boundary_point3 == p3);
         CGAL_optimisation_precondition(boundary_point4 == p4);
-	CGAL_USE(p1); CGAL_USE(p2); CGAL_USE(p3); CGAL_USE(p4);
-	boundary_point5 = p5;
+        CGAL_USE(p1); CGAL_USE(p2); CGAL_USE(p3); CGAL_USE(p4);
+        boundary_point5 = p5;
     }
 
     // Access functions
@@ -231,40 +231,40 @@ class Optimisation_ellipse_2 {
     {
         return( n_boundary_points);
     }
-    
+
     template <typename DoubleConic_2>
     void
     double_conic(DoubleConic_2& e) const
     {
         double r,s,t,u,v,w;
-	double_coefficients(r,s,t,u,v,w);
+        double_coefficients(r,s,t,u,v,w);
         e.set(r,s,t,u,v,w);
-	// NOTE: the set method calls analyze, so the conic is clean
+        // NOTE: the set method calls analyze, so the conic is clean
     }
 
-    void 
+    void
     double_coefficients (double &r, double &s,double &t,
                          double &u, double &v, double &w) const
     {
       // just like double_conic, but we only get the coefficients
       CGAL_optimisation_precondition( ! is_degenerate());
-    
+
       if ( n_boundary_points == 4) {
         set_e_values();
         double tau = conic1.vol_minimum( er, es, et, eu, ev, ew);
-	r = CGAL::to_double( conic1.r()) + tau*CGAL::to_double( er);
-	s = CGAL::to_double( conic1.s()) + tau*CGAL::to_double( es);
-	t = CGAL::to_double( conic1.t()) + tau*CGAL::to_double( et);
-	u = CGAL::to_double( conic1.u()) + tau*CGAL::to_double( eu);
-	v = CGAL::to_double( conic1.v()) + tau*CGAL::to_double( ev);
-	w = CGAL::to_double( conic1.w()) + tau*CGAL::to_double( ew);
+        r = CGAL::to_double( conic1.r()) + tau*CGAL::to_double( er);
+        s = CGAL::to_double( conic1.s()) + tau*CGAL::to_double( es);
+        t = CGAL::to_double( conic1.t()) + tau*CGAL::to_double( et);
+        u = CGAL::to_double( conic1.u()) + tau*CGAL::to_double( eu);
+        v = CGAL::to_double( conic1.v()) + tau*CGAL::to_double( ev);
+        w = CGAL::to_double( conic1.w()) + tau*CGAL::to_double( ew);
       } else {
-	// it's the helper_conic
-	r = CGAL::to_double(helper_conic.r());
-	s = CGAL::to_double(helper_conic.s());
-	t = CGAL::to_double(helper_conic.t());
-	u = CGAL::to_double(helper_conic.u());
-	v = CGAL::to_double(helper_conic.v());
+        // it's the helper_conic
+        r = CGAL::to_double(helper_conic.r());
+        s = CGAL::to_double(helper_conic.s());
+        t = CGAL::to_double(helper_conic.t());
+        u = CGAL::to_double(helper_conic.u());
+        v = CGAL::to_double(helper_conic.v());
         w = CGAL::to_double(helper_conic.w());
       }
     }
@@ -277,7 +277,7 @@ class Optimisation_ellipse_2 {
     {
         if ( n_boundary_points != e.n_boundary_points)
             return( false);
-    
+
         switch ( n_boundary_points) {
           case 0:
             return( true);
@@ -302,7 +302,7 @@ class Optimisation_ellipse_2 {
         // keeps g++ happy
         return( false);
     }
-    
+
     inline
     bool
     operator != ( const Optimisation_ellipse_2<K>& e) const
@@ -335,11 +335,11 @@ class Optimisation_ellipse_2 {
             helper_conic.set( conic1, conic2, p);
             helper_conic.analyse();
             if ( !helper_conic.is_ellipse()) {
-	        set_helper_ellipse();
+                set_helper_ellipse();
                 return( helper_ellipse.convex_side( p)); }
             else {
-	        set_d_values();
-                int tau_star = 
+                set_d_values();
+                int tau_star =
                   helper_conic.vol_derivative( dr, ds, dt, du, dv, dw);
                 return( CGAL::Bounded_side( CGAL_NTS sign( tau_star))); } }
           default:
@@ -348,35 +348,35 @@ class Optimisation_ellipse_2 {
         // keeps g++ happy
         return( CGAL::Bounded_side( 0));
     }
-    
+
     inline
     bool
     has_on_bounded_side( const Point& p) const
     {
         return( bounded_side( p) == CGAL::ON_BOUNDED_SIDE);
     }
-    
+
     inline
     bool
     has_on_boundary( const Point& p) const
     {
         return( bounded_side( p) == CGAL::ON_BOUNDARY);
     }
-    
+
     inline
     bool
     has_on_unbounded_side( const Point& p) const
     {
         return( bounded_side( p) == CGAL::ON_UNBOUNDED_SIDE);
     }
-    
+
     inline
     bool
     is_empty( ) const
     {
         return( n_boundary_points == 0);
     }
-    
+
     inline
     bool
     is_degenerate( ) const
@@ -388,37 +388,37 @@ class Optimisation_ellipse_2 {
     is_circle( ) const
     {
        switch ( n_boundary_points) {
-       case 0: 
-	 return false; // the empty set is not a circle
+       case 0:
+         return false; // the empty set is not a circle
        case 1:
-	 return true;  
+         return true;
        case 2:
-	 return false; // a segment is not a circle
+         return false; // a segment is not a circle
        case 3:
        case 5:
-	 return helper_conic.is_circle();
+         return helper_conic.is_circle();
        case 4:
-	 // the smallest ellipse through four points is
-	 // a circle only if the four points are cocircular;
-	 // if so, compute this circle (as a conic) and check
-	 // its volume derivative
-	 if (CGAL::ON_BOUNDARY !=  CGAL::side_of_bounded_circle
-	           (boundary_point1, 
+         // the smallest ellipse through four points is
+         // a circle only if the four points are cocircular;
+         // if so, compute this circle (as a conic) and check
+         // its volume derivative
+         if (CGAL::ON_BOUNDARY !=  CGAL::side_of_bounded_circle
+                   (boundary_point1,
                     boundary_point2,
                     boundary_point3,
                     boundary_point4)) {
-	   return false;
-	 } else {
-	   // ok, they are cocircular, now get the circle and check it
-	   Conic c;
-	   c.set_circle(boundary_point1, boundary_point2, boundary_point3);
+           return false;
+         } else {
+           // ok, they are cocircular, now get the circle and check it
+           Conic c;
+           c.set_circle(boundary_point1, boundary_point2, boundary_point3);
            set_d_values();
-	   return (CGAL::ZERO ==  (c.vol_derivative(dr, ds, dt, du, dv, dw)));
-	 }
+           return (CGAL::ZERO ==  (c.vol_derivative(dr, ds, dt, du, dv, dw)));
+         }
        default:
-	 CGAL_optimisation_assertion( ( n_boundary_points >= 0) &&
-                                      ( n_boundary_points <= 5) ); 
-	 return false;
+         CGAL_optimisation_assertion( ( n_boundary_points >= 0) &&
+                                      ( n_boundary_points <= 5) );
+         return false;
        }
     }
 };
diff -pruN 5.0.2-3/include/CGAL/Min_ellipse_2/Optimisation_ellipse_2_impl.h 5.0.3-1/include/CGAL/Min_ellipse_2/Optimisation_ellipse_2_impl.h
--- 5.0.2-3/include/CGAL/Min_ellipse_2/Optimisation_ellipse_2_impl.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_ellipse_2/Optimisation_ellipse_2_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // ETH Zurich (Switzerland).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_ellipse_2/Optimisation_ellipse_2_impl.h $
-// $Id: Optimisation_ellipse_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_ellipse_2/Optimisation_ellipse_2_impl.h $
+// $Id: Optimisation_ellipse_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>, Bernd Gaertner
 
diff -pruN 5.0.2-3/include/CGAL/Min_ellipse_2.h 5.0.3-1/include/CGAL/Min_ellipse_2.h
--- 5.0.2-3/include/CGAL/Min_ellipse_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_ellipse_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // ETH Zurich (Switzerland).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_ellipse_2.h $
-// $Id: Min_ellipse_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_ellipse_2.h $
+// $Id: Min_ellipse_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>, Bernd Gaertner
 
@@ -42,12 +42,12 @@ class Min_ellipse_2 {
     typedef typename  Traits_::Ellipse                  Ellipse;
     typedef typename  std::list<Point>::const_iterator  Point_iterator;
     typedef           const Point *                     Support_point_iterator;
-    
+
     /**************************************************************************
     WORKAROUND: Some compilers are unable to match member functions defined
     outside the class template. Therefore, all member functions are implemented
     in the class interface.
-    
+
     // creation
     template < class InputIterator >
     Min_ellipse_2( InputIterator first,
@@ -55,7 +55,7 @@ class Min_ellipse_2 {
                    bool          randomize = false,
                    Random&       random    = get_default_random(),
                    const Traits& traits    = Traits());
-    
+
     Min_ellipse_2( const Traits& traits = Traits());
     Min_ellipse_2( const Point&  p,
                    const Traits& traits = Traits());
@@ -78,30 +78,30 @@ class Min_ellipse_2 {
                    const Point&  p5,
                    const Traits& traits = Traits());
     ~Min_ellipse_2( );
-    
+
     // access functions
     int  number_of_points        ( ) const;
     int  number_of_support_points( ) const;
-    
+
     Point_iterator  points_begin( ) const;
     Point_iterator  points_end  ( ) const;
-    
+
     Support_point_iterator  support_points_begin( ) const;
     Support_point_iterator  support_points_end  ( ) const;
-    
+
     const Point&  support_point( int i) const;
-    
+
     const Ellipse&  ellipse( ) const;
-    
+
     // predicates
     CGAL::Bounded_side  bounded_side( const Point& p) const;
     bool  has_on_bounded_side      ( const Point& p) const;
     bool  has_on_boundary          ( const Point& p) const;
     bool  has_on_unbounded_side    ( const Point& p) const;
-    
+
     bool  is_empty     ( ) const;
     bool  is_degenerate( ) const;
-    
+
     // modifiers
     void  insert( const Point& p);
     void  insert( const Point* first,
@@ -111,10 +111,10 @@ class Min_ellipse_2 {
     void  insert( std::istream_iterator<Point,std::ptrdiff_t> first,
                   std::istream_iterator<Point,std::ptrdiff_t> last );
     void  clear( );
-    
+
     // validity check
     bool  is_valid( bool verbose = false, int level = 0) const;
-    
+
     // miscellaneous
     const Traits&  traits( ) const;
     **************************************************************************/
@@ -125,7 +125,7 @@ class Min_ellipse_2 {
     std::list<Point>  points;                   // doubly linked list of points
     int          n_support_points;              // number of support points
     Point*       support_points;                // array of support points
-    
+
 
     // copying and assignment not allowed!
     Min_ellipse_2( const Min_ellipse_2<Traits_>&);
@@ -146,7 +146,7 @@ class Min_ellipse_2 {
     {
         return( points.size());
     }
-    
+
     inline
     std::size_t
     number_of_support_points( ) const
@@ -161,7 +161,7 @@ class Min_ellipse_2 {
     {
         return( number_of_support_points() == 0);
     }
-    
+
     inline
     bool
     is_degenerate( ) const
@@ -176,28 +176,28 @@ class Min_ellipse_2 {
     {
         return( points.begin());
     }
-    
+
     inline
     Point_iterator
     points_end( ) const
     {
         return( points.end());
     }
-    
+
     inline
     Support_point_iterator
     support_points_begin( ) const
     {
         return( support_points);
     }
-    
+
     inline
     Support_point_iterator
     support_points_end( ) const
     {
         return( support_points+n_support_points);
     }
-    
+
     // random access for support points
     inline
     const Point&
@@ -213,7 +213,7 @@ class Min_ellipse_2 {
     {
         return( tco.ellipse);
     }
-    
+
 
     // in-ellipse test predicates
     inline
@@ -222,21 +222,21 @@ class Min_ellipse_2 {
     {
         return( tco.ellipse.bounded_side( p));
     }
-    
+
     inline
     bool
     has_on_bounded_side( const Point& p) const
     {
         return( tco.ellipse.has_on_bounded_side( p));
     }
-    
+
     inline
     bool
     has_on_boundary( const Point& p) const
     {
         return( tco.ellipse.has_on_boundary( p));
     }
-    
+
     inline
     bool
     has_on_unbounded_side( const Point& p) const
@@ -292,22 +292,22 @@ class Min_ellipse_2 {
         n_support_points = n_sp;
         compute_ellipse();
         if ( n_sp == 5) return;
-    
+
         // test first n points
         typename std::list<Point>::iterator  point_iter = points.begin();
         for ( ; last != point_iter; ) {
             const Point& p = *point_iter;
-    
+
             // p not in current ellipse?
             if ( has_on_unbounded_side( p)) {
-    
+
                 // recursive call with p as additional support point
                 support_points[ n_sp] = p;
                 me( point_iter, n_sp+1);
-    
+
                 // move current point to front
                 points.splice( points.begin(), points, point_iter++); }
-    
+
             else
                 ++point_iter; }
     }
@@ -330,13 +330,13 @@ class Min_ellipse_2 {
         {
             // allocate support points' array
             support_points = new Point[ 5];
-    
+
             // range of points not empty?
             if ( first != last) {
-    
+
                 // store points
                 if ( randomize) {
-    
+
                     // shuffle points at random
                     std::vector<Point> v( first, last);
                     CGAL::cpp98::random_shuffle( v.begin(), v.end(), random);
@@ -344,11 +344,11 @@ class Min_ellipse_2 {
                                std::back_inserter( points)); }
                 else
                     std::copy( first, last, std::back_inserter( points)); }
-    
+
             // compute me
             me( points.end(), 0);
         }
-    
+
     // default constructor
     inline
     Min_ellipse_2()
@@ -356,10 +356,10 @@ class Min_ellipse_2 {
     {
         // allocate support points' array
         support_points = new Point[ 5];
-    
+
         // initialize ellipse
         tco.ellipse.set();
-    
+
         CGAL_optimisation_postcondition( is_empty());
     }
 
@@ -369,13 +369,13 @@ class Min_ellipse_2 {
     {
         // allocate support points' array
         support_points = new Point[ 5];
-    
+
         // initialize ellipse
         tco.ellipse.set();
-    
+
         CGAL_optimisation_postcondition( is_empty());
     }
-    
+
     // constructor for one point
     inline
     Min_ellipse_2( const Point& p, const Traits& traits = Traits())
@@ -383,16 +383,16 @@ class Min_ellipse_2 {
     {
         // allocate support points' array
         support_points = new Point[ 5];
-    
+
         // initialize ellipse
         support_points[ 0] = p;
         tco.ellipse.set( p);
-    
+
         CGAL_optimisation_postcondition( is_degenerate());
     }
-    
+
     // constructor for two points
-    // This was const Point& but then Intel 7.0/.net2003 messes it up 
+    // This was const Point& but then Intel 7.0/.net2003 messes it up
     // with the constructor taking an iterator range
     inline
     Min_ellipse_2( Point p1, Point p2,
@@ -401,17 +401,17 @@ class Min_ellipse_2 {
     {
         // allocate support points' array
         support_points = new Point[ 5];
-    
+
         // store points
         points.push_back( p1);
         points.push_back( p2);
-    
+
         // compute me
         me( points.end(), 0);
-    
+
         CGAL_optimisation_postcondition( is_degenerate());
     }
-    
+
     // constructor for three points
     inline
     Min_ellipse_2( const Point& p1, const Point& p2, const Point& p3,
@@ -420,16 +420,16 @@ class Min_ellipse_2 {
     {
         // allocate support points' array
         support_points = new Point[ 5];
-    
+
         // store points
         points.push_back( p1);
         points.push_back( p2);
         points.push_back( p3);
-    
+
         // compute me
         me( points.end(), 0);
     }
-    
+
     // constructor for four points
     inline
     Min_ellipse_2( const Point& p1, const Point& p2,
@@ -439,17 +439,17 @@ class Min_ellipse_2 {
     {
         // allocate support points' array
         support_points = new Point[ 5];
-    
+
         // store points
         points.push_back( p1);
         points.push_back( p2);
         points.push_back( p3);
         points.push_back( p4);
-    
+
         // compute me
         me( points.end(), 0);
     }
-    
+
     // constructor for five points
     inline
     Min_ellipse_2( const Point& p1, const Point& p2, const Point& p3,
@@ -459,18 +459,18 @@ class Min_ellipse_2 {
     {
         // allocate support points' array
         support_points = new Point[ 5];
-    
+
         // store points
         points.push_back( p1);
         points.push_back( p2);
         points.push_back( p3);
         points.push_back( p4);
         points.push_back( p5);
-    
+
         // compute me
         me( points.end(), 0);
     }
-    
+
 
     // Destructor
     // ----------
@@ -488,17 +488,17 @@ class Min_ellipse_2 {
     {
         // p not in current ellipse?
         if ( has_on_unbounded_side( p)) {
-    
+
             // p new support point
             support_points[ 0] = p;
-    
+
             // recompute me
             me( points.end(), 1);
-    
+
             // store p as the first point in list
             points.push_front( p); }
         else
-    
+
             // append p to the end of the list
             points.push_back( p);
     }
@@ -517,7 +517,7 @@ class Min_ellipse_2 {
         n_support_points = 0;
         tco.ellipse.set();
     }
-    
+
 
     // Validity check
     // --------------
@@ -525,14 +525,14 @@ class Min_ellipse_2 {
     is_valid( bool verbose = false, int level = 0) const
     {
         using namespace std;
-    
+
         CGAL::Verbose_ostream verr( verbose);
         verr << endl;
         verr << "CGAL::Min_ellipse_2<Traits>::" << endl;
         verr << "is_valid( true, " << level << "):" << endl;
         verr << "  |P| = " << number_of_points()
              << ", |S| = " << number_of_support_points() << endl;
-    
+
         // containment check (a)
         verr << "  a) containment check..." << flush;
         Point_iterator point_iter;
@@ -543,9 +543,9 @@ class Min_ellipse_2 {
                 return( CGAL::_optimisation_is_valid_fail( verr,
                             "ellipse does not contain all points"));
         verr << "passed." << endl;
-    
+
         // support set checks (b)+(c) (not yet implemented)
-        
+
         // alternative support set check
         verr << "  +) support set check..." << flush;
         Support_point_iterator support_point_iter;
@@ -557,7 +557,7 @@ class Min_ellipse_2 {
                             "ellipse does not have all \
                              support points on the boundary"));
         verr << "passed." << endl;
-    
+
         verr << "  object is valid!" << endl;
         return( true);
     }
diff -pruN 5.0.2-3/include/CGAL/Min_ellipse_2_traits_2.h 5.0.3-1/include/CGAL/Min_ellipse_2_traits_2.h
--- 5.0.2-3/include/CGAL/Min_ellipse_2_traits_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_ellipse_2_traits_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // ETH Zurich (Switzerland).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_ellipse_2_traits_2.h $
-// $Id: Min_ellipse_2_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_ellipse_2_traits_2.h $
+// $Id: Min_ellipse_2_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>, Bernd Gaertner
 
diff -pruN 5.0.2-3/include/CGAL/minimum_enclosing_quadrilateral_2.h 5.0.3-1/include/CGAL/minimum_enclosing_quadrilateral_2.h
--- 5.0.2-3/include/CGAL/minimum_enclosing_quadrilateral_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/minimum_enclosing_quadrilateral_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/minimum_enclosing_quadrilateral_2.h $
-// $Id: minimum_enclosing_quadrilateral_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/minimum_enclosing_quadrilateral_2.h $
+// $Id: minimum_enclosing_quadrilateral_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch> and
 //                 Emo Welzl <emo@inf.ethz.ch>
diff -pruN 5.0.2-3/include/CGAL/Minimum_enclosing_quadrilateral_traits_2.h 5.0.3-1/include/CGAL/Minimum_enclosing_quadrilateral_traits_2.h
--- 5.0.2-3/include/CGAL/Minimum_enclosing_quadrilateral_traits_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minimum_enclosing_quadrilateral_traits_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Minimum_enclosing_quadrilateral_traits_2.h $
-// $Id: Minimum_enclosing_quadrilateral_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Minimum_enclosing_quadrilateral_traits_2.h $
+// $Id: Minimum_enclosing_quadrilateral_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch> and
 //                 Emo Welzl <emo@inf.ethz.ch>
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/AABB_collision_detector_2.h 5.0.3-1/include/CGAL/Minkowski_sum_2/AABB_collision_detector_2.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/AABB_collision_detector_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/AABB_collision_detector_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/AABB_collision_detector_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/AABB_collision_detector_2.h $
 // $Id: AABB_collision_detector_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/AABB_node_with_join.h 5.0.3-1/include/CGAL/Minkowski_sum_2/AABB_node_with_join.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/AABB_node_with_join.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/AABB_node_with_join.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/AABB_node_with_join.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/AABB_node_with_join.h $
 // $Id: AABB_node_with_join.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/AABB_segment_2_primitive.h 5.0.3-1/include/CGAL/Minkowski_sum_2/AABB_segment_2_primitive.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/AABB_segment_2_primitive.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/AABB_segment_2_primitive.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/AABB_segment_2_primitive.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/AABB_segment_2_primitive.h $
 // $Id: AABB_segment_2_primitive.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/AABB_traits_2.h 5.0.3-1/include/CGAL/Minkowski_sum_2/AABB_traits_2.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/AABB_traits_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/AABB_traits_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/AABB_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/AABB_traits_2.h $
 // $Id: AABB_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/AABB_traversal_traits_with_join.h 5.0.3-1/include/CGAL/Minkowski_sum_2/AABB_traversal_traits_with_join.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/AABB_traversal_traits_with_join.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/AABB_traversal_traits_with_join.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/AABB_traversal_traits_with_join.h $
-// $Id: AABB_traversal_traits_with_join.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/AABB_traversal_traits_with_join.h $
+// $Id: AABB_traversal_traits_with_join.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -19,7 +19,7 @@
 #include <CGAL/Minkowski_sum_2/AABB_node_with_join.h>
 #include <boost/optional.hpp>
 
-namespace CGAL { 
+namespace CGAL {
 
 namespace internal { namespace AABB_tree_with_join {
 
@@ -76,7 +76,7 @@ public:
     : m_result(), m_traits(traits)
   {}
 
-  bool go_further() const { 
+  bool go_further() const {
     return !m_result;
   }
 
@@ -91,7 +91,7 @@ public:
   }
 
   Result result() const { return m_result; }
-  bool is_intersection_found() const { 
+  bool is_intersection_found() const {
     return m_result;
   }
 
@@ -375,7 +375,7 @@ public:
                     const typename Primitive::Id& hint_primitive,
                     const AABBTraits& traits)
     : m_closest_point(hint),
-      m_closest_primitive(hint_primitive), 
+      m_closest_primitive(hint_primitive),
       m_traits(traits)
   {}
 
@@ -388,7 +388,7 @@ public:
     if(new_closest_point != m_closest_point)
     {
       m_closest_primitive = primitive.id();
-      m_closest_point = new_closest_point; // this effectively shrinks the sphere 
+      m_closest_point = new_closest_point; // this effectively shrinks the sphere
     }
   }
 
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/AABB_tree_with_join.h 5.0.3-1/include/CGAL/Minkowski_sum_2/AABB_tree_with_join.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/AABB_tree_with_join.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/AABB_tree_with_join.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/AABB_tree_with_join.h $
-// $Id: AABB_tree_with_join.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/AABB_tree_with_join.h $
+// $Id: AABB_tree_with_join.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -36,7 +36,7 @@ namespace CGAL {
 /// \addtogroup PkgAABBTreeRef
 /// @{
 
-	/**
+  /**
    * Class AABB_tree is a static data structure for efficient
    * intersection and distance computations in 3D. It builds a
    * hierarchy of axis-aligned bounding boxes (an AABB tree) from a set
@@ -49,40 +49,40 @@ namespace CGAL {
    * \sa `AABBPrimitive`
    *
    */
-	template <typename AABBTraits>
-	class AABB_tree_with_join
-	{
-	private:
-		// internal KD-tree used to accelerate the distance queries
-		typedef AABB_search_tree<AABBTraits> Search_tree;
+  template <typename AABBTraits>
+  class AABB_tree_with_join
+  {
+  private:
+    // internal KD-tree used to accelerate the distance queries
+    typedef AABB_search_tree<AABBTraits> Search_tree;
 
-		// type of the primitives container
-		typedef std::vector<typename AABBTraits::Primitive> Primitives;
+    // type of the primitives container
+    typedef std::vector<typename AABBTraits::Primitive> Primitives;
 
-	public:
+  public:
     typedef AABBTraits AABB_traits;
-    
+
     /// \name Types
     ///@{
 
     /// Number type returned by the distance queries.
-		typedef typename AABBTraits::FT FT;
+    typedef typename AABBTraits::FT FT;
 
 
     /// Type of 3D point.
-		typedef typename AABBTraits::Point_3 Point;
+    typedef typename AABBTraits::Point_3 Point;
 
     /// Type of input primitive.
-		typedef typename AABBTraits::Primitive Primitive;
-		/// Identifier for a primitive in the tree.
-		typedef typename Primitive::Id Primitive_id;
-		/// Unsigned integral size type.
-		typedef typename Primitives::size_type size_type; 
+    typedef typename AABBTraits::Primitive Primitive;
+    /// Identifier for a primitive in the tree.
+    typedef typename Primitive::Id Primitive_id;
+    /// Unsigned integral size type.
+    typedef typename Primitives::size_type size_type;
     /// Type of bounding box.
-		typedef typename AABBTraits::Bounding_box Bounding_box;
-    /// 
-		typedef typename AABBTraits::Point_and_primitive_id Point_and_primitive_id;
-		typedef typename AABBTraits::Object_and_primitive_id Object_and_primitive_id;
+    typedef typename AABBTraits::Bounding_box Bounding_box;
+    ///
+    typedef typename AABBTraits::Point_and_primitive_id Point_and_primitive_id;
+    typedef typename AABBTraits::Object_and_primitive_id Object_and_primitive_id;
 
     /*!
     An alias to `AABBTraits::Intersection_and_primitive_id<Query>`
@@ -97,10 +97,10 @@ namespace CGAL {
     };
     #endif
 
-    
+
     ///@}
 
-	public:
+  public:
     /// \name Creation
     ///@{
 
@@ -116,17 +116,17 @@ namespace CGAL {
      * It is equivalent to constructing an empty tree and calling `insert(first,last,t...)`.
      * The tree stays empty if the memory allocation is not successful.
      */
-		template<typename InputIterator,typename ... T>
-		AABB_tree_with_join(InputIterator first, InputIterator beyond,T...);  
+    template<typename InputIterator,typename ... T>
+    AABB_tree_with_join(InputIterator first, InputIterator beyond,T...);
 
     ///@}
 
-		/// \name Operations
-		///@{
+    /// \name Operations
+    ///@{
 
     /// Equivalent to calling `clear()` and then `insert(first,last,t...)`.
-		template<typename ConstPrimitiveIterator,typename ... T>
-		void rebuild(ConstPrimitiveIterator first, ConstPrimitiveIterator beyond,T...);
+    template<typename ConstPrimitiveIterator,typename ... T>
+    void rebuild(ConstPrimitiveIterator first, ConstPrimitiveIterator beyond,T...);
 
     /// Add a sequence of primitives to the set of primitives of the AABB tree.
     /// `%InputIterator` is any iterator and the parameter pack `T` are any types
@@ -134,48 +134,48 @@ namespace CGAL {
     /// `Primitive(%InputIterator, T...)`. If `Primitive` is a model of the concept
     /// `AABBPrimitiveWithSharedData`, a call to `AABBTraits::set_shared_data(t...)`
     /// is made using the internally stored traits.
-		template<typename InputIterator,typename ... T>
-		void insert(InputIterator first, InputIterator beyond,T...);
+    template<typename InputIterator,typename ... T>
+    void insert(InputIterator first, InputIterator beyond,T...);
 
     /// Adds a primitive to the set of primitives of the tree.
     inline void insert(const Primitive& p);
 
-		/// Clears and destroys the tree.
-		~AABB_tree_with_join()
-		{
-			clear();
-		}
+    /// Clears and destroys the tree.
+    ~AABB_tree_with_join()
+    {
+      clear();
+    }
     /// Returns a const reference to the internally stored traits class.
     const AABBTraits& traits() const{
-      return m_traits; 
+      return m_traits;
     }
-    
-		/// Clears the tree.
-		void clear()
-		{
-			// clear AABB tree
+
+    /// Clears the tree.
+    void clear()
+    {
+      // clear AABB tree
       clear_nodes();
-			m_primitives.clear();
-			clear_search_tree();
-		}
-
-		/// Returns the axis-aligned bounding box of the whole tree.
-		/// \pre `!empty()`
-		const Bounding_box bbox() const { 
-			CGAL_precondition(!empty());
-			if(size() > 1)
-				return root_node()->bbox(); 
-			else
-				return AABB_traits().compute_bbox_object()(m_primitives.begin(), 
-																									 m_primitives.end());
-		}
-    
+      m_primitives.clear();
+      clear_search_tree();
+    }
+
+    /// Returns the axis-aligned bounding box of the whole tree.
+    /// \pre `!empty()`
+    const Bounding_box bbox() const {
+      CGAL_precondition(!empty());
+      if(size() > 1)
+        return root_node()->bbox();
+      else
+        return AABB_traits().compute_bbox_object()(m_primitives.begin(),
+                                                   m_primitives.end());
+    }
+
     /// Returns the number of primitives in the tree.
-		size_type size() const { return m_primitives.size(); }
-    
+    size_type size() const { return m_primitives.size(); }
+
     /// Returns \c true, iff the tree contains no primitive.
-		bool empty() const { return m_primitives.empty(); }
-		///@}
+    bool empty() const { return m_primitives.empty(); }
+    ///@}
 
     /// \name Advanced
     ///@{
@@ -204,20 +204,20 @@ private:
       set_primitive_data_impl(CGAL::Boolean_tag<internal::Has_nested_type_Shared_data<Primitive>::value>(),t...);
     }
 
-		template<typename ConstPointIterator>
-		bool accelerate_distance_queries_impl(ConstPointIterator first,
+    template<typename ConstPointIterator>
+    bool accelerate_distance_queries_impl(ConstPointIterator first,
                                           ConstPointIterator beyond) const;
 public:
 
     /// \name Intersection Tests
     ///@{
 
-		/// Returns `true`, iff the query intersects at least one of
-		/// the input primitives. \tparam Query must be a type for
-		/// which `do_intersect` predicates are
-		/// defined in the traits class `AABBTraits`.
-		template<typename Query>
-		bool do_intersect(const Query& query) const;
+    /// Returns `true`, iff the query intersects at least one of
+    /// the input primitives. \tparam Query must be a type for
+    /// which `do_intersect` predicates are
+    /// defined in the traits class `AABBTraits`.
+    template<typename Query>
+    bool do_intersect(const Query& query) const;
 
     /// Returns `true`, iff at least one pair of primitives in the
     /// two trees intersect. The `other` tree is translated by
@@ -230,8 +230,8 @@ public:
     /// query. \tparam Query must be a type for which
     /// `do_intersect` predicates are defined
     /// in the traits class `AABBTraits`.
-		template<typename Query>
-		size_type number_of_intersected_primitives(const Query& query) const;
+    template<typename Query>
+    size_type number_of_intersected_primitives(const Query& query) const;
 
     /// Outputs to the iterator the list of all intersected primitives
     /// ids. This function does not compute the intersection points
@@ -239,8 +239,8 @@ public:
     /// function below. \tparam Query must be a type for which
     /// `do_intersect` predicates are defined
     /// in the traits class `AABBTraits`.
-		template<typename Query, typename OutputIterator>
-		OutputIterator all_intersected_primitives(const Query& query, OutputIterator out) const;
+    template<typename Query, typename OutputIterator>
+    OutputIterator all_intersected_primitives(const Query& query, OutputIterator out) const;
 
 
     /// Returns the first encountered intersected primitive id, iff
@@ -251,9 +251,9 @@ public:
     /// must be a type for which
     /// `do_intersect` predicates are defined
     /// in the traits class `AABBTraits`.
-		template <typename Query>
-		boost::optional<Primitive_id> any_intersected_primitive(const Query& query) const;
-    
+    template <typename Query>
+    boost::optional<Primitive_id> any_intersected_primitive(const Query& query) const;
+
     ///@}
 
     /// \name Intersections
@@ -265,8 +265,8 @@ public:
     /// the iterator. `do_intersect()`
     /// predicates and intersections must be defined for `Query`
     /// in the `AABBTraits` class.
-		template<typename Query, typename OutputIterator>
-		OutputIterator all_intersections(const Query& query, OutputIterator out) const;
+    template<typename Query, typename OutputIterator>
+    OutputIterator all_intersections(const Query& query, OutputIterator out) const;
 
 
     /// Returns the first encountered intersection. No particular
@@ -275,7 +275,7 @@ public:
     /// source point of a ray query. Type `Query` must be a type
     /// for which `do_intersect` predicates
     /// and intersections are defined in the traits class AABBTraits.
-		template <typename Query>
+    template <typename Query>
     boost::optional< typename Intersection_and_primitive_id<Query>::Type >
     any_intersection(const Query& query) const;
 
@@ -289,8 +289,8 @@ public:
     /// `accelerate_distance_queries()` should be called before the
     /// first distance query, so that an internal secondary search
     /// structure is build, for improving performance.
-		/// \pre `!empty()`
-		FT squared_distance(const Point& query) const;
+    /// \pre `!empty()`
+    FT squared_distance(const Point& query) const;
 
     /// Returns the point in the union of all input primitives which
     /// is closest to the query. In case there are several closest
@@ -299,24 +299,24 @@ public:
     /// called before the first distance query, so that an internal
     /// secondary search structure is build, for improving
     /// performance.
-		/// \pre `!empty()`
-		Point closest_point(const Point& query) const;
+    /// \pre `!empty()`
+    Point closest_point(const Point& query) const;
+
 
-    
     /// Returns a `Point_and_primitive_id` which realizes the
     /// smallest distance between the query point and all input
     /// primitives. Method `accelerate_distance_queries()` should be
     /// called before the first distance query, so that an internal
     /// secondary search structure is build, for improving
     /// performance.
-		/// \pre `!empty()`
-		Point_and_primitive_id closest_point_and_primitive(const Point& query) const;
+    /// \pre `!empty()`
+    Point_and_primitive_id closest_point_and_primitive(const Point& query) const;
 
 
     ///@}
 
     /// \name Accelerating the Distance Queries
-    /// 
+    ///
     /// In the following paragraphs, we discuss details of the
     /// implementation of the distance queries. We explain the
     /// internal use of hints, how the user can pass his own hints to
@@ -331,7 +331,7 @@ public:
     /// exact specification of these internal algorithms is that they
     /// minimize the distance to the object composed of the union of
     /// the primitives and the hint.
-    /// It follows that 
+    /// It follows that
     /// - in order to return the exact distance to the set of
     /// primitives, the algorithms need the hint to be exactly on the
     /// primitives;
@@ -370,18 +370,18 @@ public:
     /// relevant in some cases.
     ///@{
 
-		/// Constructs internal search tree from
-		/// a point set taken on the internal primitives
-		/// returns `true` iff successful memory allocation
-		bool accelerate_distance_queries() const;
+    /// Constructs internal search tree from
+    /// a point set taken on the internal primitives
+    /// returns `true` iff successful memory allocation
+    bool accelerate_distance_queries() const;
 
     /// Constructs an internal KD-tree containing the specified point
     /// set, to be used as the set of potential hints for accelerating
-    /// the distance queries. 
-		/// \tparam ConstPointIterator is an iterator with
+    /// the distance queries.
+    /// \tparam ConstPointIterator is an iterator with
     /// value type `Point_and_primitive_id`.
-		template<typename ConstPointIterator>
-		bool accelerate_distance_queries(ConstPointIterator first,
+    template<typename ConstPointIterator>
+    bool accelerate_distance_queries(ConstPointIterator first,
                                      ConstPointIterator beyond) const
     {
       #ifdef CGAL_HAS_THREADS
@@ -390,69 +390,69 @@ public:
       #endif
       clear_search_tree();
       return accelerate_distance_queries_impl(first,beyond);
-      
+
     }
-    
+
     /// Returns the minimum squared distance between the query point
     /// and all input primitives. The internal KD-tree is not used.
-		/// \pre `!empty()`
-		FT squared_distance(const Point& query, const Point& hint) const;
+    /// \pre `!empty()`
+    FT squared_distance(const Point& query, const Point& hint) const;
 
     /// Returns the point in the union of all input primitives which
     /// is closest to the query. In case there are several closest
     /// points, one arbitrarily chosen closest point is returned. The
     /// internal KD-tree is not used.
-		/// \pre `!empty()`
-		Point closest_point(const Point& query, const Point& hint) const;
-    
+    /// \pre `!empty()`
+    Point closest_point(const Point& query, const Point& hint) const;
+
     /// Returns a `Point_and_primitive_id` which realizes the
     /// smallest distance between the query point and all input
     /// primitives. The internal KD-tree is not used.
-		/// \pre `!empty()`
-		Point_and_primitive_id closest_point_and_primitive(const Point& query, const Point_and_primitive_id& hint) const;
+    /// \pre `!empty()`
+    Point_and_primitive_id closest_point_and_primitive(const Point& query, const Point_and_primitive_id& hint) const;
 
     ///@}
 
-	private:
+  private:
     // clear nodes
     void clear_nodes()
     {
-			if( size() > 1 ) {
-				delete [] m_p_root_node;
-			}
-			m_p_root_node = nullptr;
-    }
-
-		// clears internal KD tree
-		void clear_search_tree() const
-		{
-			if ( m_search_tree_constructed )
-			{
-				CGAL_assertion( m_p_search_tree!=nullptr );
-				delete m_p_search_tree;
-				m_p_search_tree = nullptr;
-				m_search_tree_constructed = false;
-				m_default_search_tree_constructed = false;
+      if( size() > 1 ) {
+        delete [] m_p_root_node;
+      }
+      m_p_root_node = nullptr;
+    }
+
+    // clears internal KD tree
+    void clear_search_tree() const
+    {
+      if ( m_search_tree_constructed )
+      {
+        CGAL_assertion( m_p_search_tree!=nullptr );
+        delete m_p_search_tree;
+        m_p_search_tree = nullptr;
+        m_search_tree_constructed = false;
+        m_default_search_tree_constructed = false;
                         }
-		}
+    }
 
-	public:
+  public:
 
     /// \internal
-		template <class Query, class Traversal_traits>
-		void traversal(const Query& query, Traversal_traits& traits) const
-		{
-			switch(size())
-			{
-			case 0:
-				break;
-			case 1:
-				traits.intersection(query, singleton_data());
-				break;
-			default: // if(size() >= 2)
-				root_node()->template traversal<Traversal_traits,Query>(query, traits, m_primitives.size());
-			}
-		}
+    template <class Query, class Traversal_traits>
+    void traversal(const Query& query, Traversal_traits& traits) const
+    {
+      switch(size())
+      {
+      case 0:
+        break;
+      case 1:
+        traits.intersection(query, singleton_data());
+        break;
+      default: // if(size() >= 2)
+        root_node()->template traversal<Traversal_traits,Query>(query, traits, m_primitives.size());
+      }
+    }
 
     /// \internal
     template <class Traversal_traits>
@@ -472,72 +472,72 @@ public:
       }
     }
 
-	private:
-		typedef AABB_node_with_join<AABBTraits> Node;
+  private:
+    typedef AABB_node_with_join<AABBTraits> Node;
 
 
-	public:
-		// returns a point which must be on one primitive
-		Point_and_primitive_id any_reference_point_and_id() const
-		{
-			CGAL_assertion(!empty());
-			return Point_and_primitive_id(
+  public:
+    // returns a point which must be on one primitive
+    Point_and_primitive_id any_reference_point_and_id() const
+    {
+      CGAL_assertion(!empty());
+      return Point_and_primitive_id(
         internal::Primitive_helper<AABB_traits>::get_reference_point(m_primitives[0],m_traits), m_primitives[0].id()
       );
-		}
+    }
 
-	public:
-		Point_and_primitive_id best_hint(const Point& query) const
-		{
-			if(m_search_tree_constructed)
-				return m_p_search_tree->closest_point(query);
-			else
-				return this->any_reference_point_and_id();
-		}
+  public:
+    Point_and_primitive_id best_hint(const Point& query) const
+    {
+      if(m_search_tree_constructed)
+        return m_p_search_tree->closest_point(query);
+      else
+        return this->any_reference_point_and_id();
+    }
 
-	private:
+  private:
     //Traits class
     AABBTraits m_traits;
-		// set of input primitives
-		Primitives m_primitives;
-		// single root node
-		Node* m_p_root_node;
+    // set of input primitives
+    Primitives m_primitives;
+    // single root node
+    Node* m_p_root_node;
     #ifdef CGAL_HAS_THREADS
     mutable CGAL_MUTEX internal_tree_mutex;//mutex used to protect const calls inducing build()
     mutable CGAL_MUTEX kd_tree_mutex;//mutex used to protect calls to accelerate_distance_queries
     #endif
-  
+
     const Node* root_node() const {
-			CGAL_assertion(size() > 1);
+      CGAL_assertion(size() > 1);
       if(m_need_build){
         #ifdef CGAL_HAS_THREADS
         //this ensures that build() will be called once
         CGAL_SCOPED_LOCK(internal_tree_mutex);
         if(m_need_build)
         #endif
-          const_cast< AABB_tree_with_join<AABBTraits>* >(this)->build(); 
+          const_cast< AABB_tree_with_join<AABBTraits>* >(this)->build();
       }
       return m_p_root_node;
     }
 
-		const Primitive& singleton_data() const {
-			CGAL_assertion(size() == 1);
-			return *m_primitives.begin();
-		}
-
-		// search KD-tree
-		mutable const Search_tree* m_p_search_tree;
-		mutable bool m_search_tree_constructed;
+    const Primitive& singleton_data() const {
+      CGAL_assertion(size() == 1);
+      return *m_primitives.begin();
+    }
+
+    // search KD-tree
+    mutable const Search_tree* m_p_search_tree;
+    mutable bool m_search_tree_constructed;
     mutable bool m_default_search_tree_constructed;
     bool m_need_build;
 
-	private:
-		// Disabled copy constructor & assignment operator
-		typedef AABB_tree_with_join<AABBTraits> Self;
-		AABB_tree_with_join(const Self& src);
-		Self& operator=(const Self& src);
+  private:
+    // Disabled copy constructor & assignment operator
+    typedef AABB_tree_with_join<AABBTraits> Self;
+    AABB_tree_with_join(const Self& src);
+    Self& operator=(const Self& src);
 
-	};  // end class AABB_tree_with_join
+  };  // end class AABB_tree_with_join
 
 /// @}
 
@@ -552,83 +552,83 @@ public:
     , m_need_build(false)
   {}
 
- 	template<typename Tr>
-	template<typename ConstPrimitiveIterator, typename ... T>
-	AABB_tree_with_join<Tr>::AABB_tree_with_join(ConstPrimitiveIterator first,
+   template<typename Tr>
+  template<typename ConstPrimitiveIterator, typename ... T>
+  AABB_tree_with_join<Tr>::AABB_tree_with_join(ConstPrimitiveIterator first,
                            ConstPrimitiveIterator beyond,
                            T ... t)
-		: m_traits()
+    : m_traits()
     , m_primitives()
-		, m_p_root_node(nullptr)
-		, m_p_search_tree(nullptr)
-		, m_search_tree_constructed(false)
+    , m_p_root_node(nullptr)
+    , m_p_search_tree(nullptr)
+    , m_search_tree_constructed(false)
     , m_default_search_tree_constructed(false)
     , m_need_build(false)
-	{
-		// Insert each primitive into tree
+  {
+    // Insert each primitive into tree
     insert(first, beyond,t...);
- 	}
-  
-	template<typename Tr>
-	template<typename ConstPrimitiveIterator, typename ... T>
-	void AABB_tree_with_join<Tr>::insert(ConstPrimitiveIterator first,
+   }
+
+  template<typename Tr>
+  template<typename ConstPrimitiveIterator, typename ... T>
+  void AABB_tree_with_join<Tr>::insert(ConstPrimitiveIterator first,
                              ConstPrimitiveIterator beyond,
                              T ... t)
-	{
+  {
     set_shared_data(t...);
-		while(first != beyond)
-		{
-			m_primitives.push_back(Primitive(first,t...));
-			++first;
-		}
+    while(first != beyond)
+    {
+      m_primitives.push_back(Primitive(first,t...));
+      ++first;
+    }
     m_need_build = true;
   }
-  
+
   // Clears tree and insert a set of primitives
-	template<typename Tr>
-	template<typename ConstPrimitiveIterator, typename ... T>
-	void AABB_tree_with_join<Tr>::rebuild(ConstPrimitiveIterator first,
+  template<typename Tr>
+  template<typename ConstPrimitiveIterator, typename ... T>
+  void AABB_tree_with_join<Tr>::rebuild(ConstPrimitiveIterator first,
                               ConstPrimitiveIterator beyond,
                               T ... t)
-	{
-		// cleanup current tree and internal KD tree
-		clear();
+  {
+    // cleanup current tree and internal KD tree
+    clear();
 
-		// inserts primitives
+    // inserts primitives
     insert(first, beyond,t...);
 
     build();
-	}  
+  }
 
-	template<typename Tr>
-	void AABB_tree_with_join<Tr>::insert(const Primitive& p)
-	{
+  template<typename Tr>
+  void AABB_tree_with_join<Tr>::insert(const Primitive& p)
+  {
     m_primitives.push_back(p);
     m_need_build = true;
   }
 
-	// Build the data structure, after calls to insert(..)
-	template<typename Tr>
-	void AABB_tree_with_join<Tr>::build()
-	{
+  // Build the data structure, after calls to insert(..)
+  template<typename Tr>
+  void AABB_tree_with_join<Tr>::build()
+  {
     clear_nodes();
 
     if(m_primitives.size() > 1) {
 
-			// allocates tree nodes
-			m_p_root_node = new Node[m_primitives.size()-1]();
-			if(m_p_root_node == nullptr)
-			{
-				std::cerr << "Unable to allocate memory for AABB tree" << std::endl;
-				CGAL_assertion(m_p_root_node != nullptr);
-				m_primitives.clear();
-				clear();
-			}
-
-			// constructs the tree
-			m_p_root_node->expand(m_primitives.begin(), m_primitives.end(),
-														m_primitives.size(), m_traits);
-		}
+      // allocates tree nodes
+      m_p_root_node = new Node[m_primitives.size()-1]();
+      if(m_p_root_node == nullptr)
+      {
+        std::cerr << "Unable to allocate memory for AABB tree" << std::endl;
+        CGAL_assertion(m_p_root_node != nullptr);
+        m_primitives.clear();
+        clear();
+      }
+
+      // constructs the tree
+      m_p_root_node->expand(m_primitives.begin(), m_primitives.end(),
+                            m_primitives.size(), m_traits);
+    }
 
     // In case the users has switched on the accelerated distance query
     // data structure with the default arguments, then it has to be
@@ -636,50 +636,50 @@ public:
     if(m_default_search_tree_constructed)
       accelerate_distance_queries();
 
-    m_need_build = false;    
-	}
+    m_need_build = false;
+  }
 
 
-	// constructs the search KD tree from given points
-	// to accelerate the distance queries
-	template<typename Tr>
-	template<typename ConstPointIterator>
-	bool AABB_tree_with_join<Tr>::accelerate_distance_queries_impl(ConstPointIterator first,
-		ConstPointIterator beyond) const
-	{
-		m_p_search_tree = new Search_tree(first, beyond);
-		if(m_p_search_tree != nullptr)
-		{
-			m_search_tree_constructed = true;
-			return true;
-		}
-		else
-    {
-			std::cerr << "Unable to allocate memory for accelerating distance queries" << std::endl;
-			return false;
-    }
-	}
-
-	// constructs the search KD tree from internal primitives
-	template<typename Tr>
-	bool AABB_tree_with_join<Tr>::accelerate_distance_queries() const
-	{
-		if(m_primitives.empty()) return true;
+  // constructs the search KD tree from given points
+  // to accelerate the distance queries
+  template<typename Tr>
+  template<typename ConstPointIterator>
+  bool AABB_tree_with_join<Tr>::accelerate_distance_queries_impl(ConstPointIterator first,
+    ConstPointIterator beyond) const
+  {
+    m_p_search_tree = new Search_tree(first, beyond);
+    if(m_p_search_tree != nullptr)
+    {
+      m_search_tree_constructed = true;
+      return true;
+    }
+    else
+    {
+      std::cerr << "Unable to allocate memory for accelerating distance queries" << std::endl;
+      return false;
+    }
+  }
+
+  // constructs the search KD tree from internal primitives
+  template<typename Tr>
+  bool AABB_tree_with_join<Tr>::accelerate_distance_queries() const
+  {
+    if(m_primitives.empty()) return true;
     #ifdef CGAL_HAS_THREADS
     //this ensures that this function will be done once
     CGAL_SCOPED_LOCK(kd_tree_mutex);
     #endif
 
-    //we only redo computation only if needed 
+    //we only redo computation only if needed
     if (!m_need_build && m_default_search_tree_constructed)
       return m_search_tree_constructed;
-    
-		// iterate over primitives to get reference points on them
-		std::vector<Point_and_primitive_id> points;
-		points.reserve(m_primitives.size());
-		typename Primitives::const_iterator it;
-		for(it = m_primitives.begin(); it != m_primitives.end(); ++it)
-			points.push_back(
+
+    // iterate over primitives to get reference points on them
+    std::vector<Point_and_primitive_id> points;
+    points.reserve(m_primitives.size());
+    typename Primitives::const_iterator it;
+    for(it = m_primitives.begin(); it != m_primitives.end(); ++it)
+      points.push_back(
         Point_and_primitive_id(
           internal::Primitive_helper<AABB_traits>::get_reference_point(*it,m_traits), it->id()
         )
@@ -688,20 +688,20 @@ public:
     // clears current KD tree
     clear_search_tree();
     m_default_search_tree_constructed = true;
-		return accelerate_distance_queries_impl(points.begin(), points.end());
-	}
+    return accelerate_distance_queries_impl(points.begin(), points.end());
+  }
 
-	template<typename Tr>
-	template<typename Query>
-	bool
-		AABB_tree_with_join<Tr>::do_intersect(const Query& query) const
-	{
+  template<typename Tr>
+  template<typename Query>
+  bool
+    AABB_tree_with_join<Tr>::do_intersect(const Query& query) const
+  {
     using namespace CGAL::internal::AABB_tree_with_join;
     typedef typename AABB_tree_with_join<Tr>::AABB_traits AABBTraits;
-		Do_intersect_traits<AABBTraits, Query> traversal_traits(m_traits);
-		this->traversal(query, traversal_traits);
-		return traversal_traits.is_intersection_found();
-	}
+    Do_intersect_traits<AABBTraits, Query> traversal_traits(m_traits);
+    this->traversal(query, traversal_traits);
+    return traversal_traits.is_intersection_found();
+  }
 
   template<typename Tr>
   bool AABB_tree_with_join<Tr>::do_intersect(const AABB_tree_with_join &other,
@@ -715,10 +715,10 @@ public:
   }
 
   template<typename Tr>
-	template<typename Query>
-	typename AABB_tree_with_join<Tr>::size_type
-		AABB_tree_with_join<Tr>::number_of_intersected_primitives(const Query& query) const
-	{
+  template<typename Query>
+  typename AABB_tree_with_join<Tr>::size_type
+    AABB_tree_with_join<Tr>::number_of_intersected_primitives(const Query& query) const
+  {
     using namespace CGAL::internal::AABB_tree_with_join;
     using CGAL::internal::AABB_tree_with_join::Counting_output_iterator;
     typedef typename AABB_tree_with_join<Tr>::AABB_traits AABBTraits;
@@ -727,134 +727,134 @@ public:
     size_type counter = 0;
     Counting_iterator out(&counter);
 
-		Listing_primitive_traits<AABBTraits, 
+    Listing_primitive_traits<AABBTraits,
       Query, Counting_iterator> traversal_traits(out,m_traits);
-		this->traversal(query, traversal_traits);
-		return counter;
-	}
-
-	template<typename Tr>
-	template<typename Query, typename OutputIterator>
-	OutputIterator
-		AABB_tree_with_join<Tr>::all_intersected_primitives(const Query& query,
-		OutputIterator out) const
-	{
+    this->traversal(query, traversal_traits);
+    return counter;
+  }
+
+  template<typename Tr>
+  template<typename Query, typename OutputIterator>
+  OutputIterator
+    AABB_tree_with_join<Tr>::all_intersected_primitives(const Query& query,
+    OutputIterator out) const
+  {
     using namespace CGAL::internal::AABB_tree_with_join;
     typedef typename AABB_tree_with_join<Tr>::AABB_traits AABBTraits;
-		Listing_primitive_traits<AABBTraits, 
+    Listing_primitive_traits<AABBTraits,
       Query, OutputIterator> traversal_traits(out,m_traits);
-		this->traversal(query, traversal_traits);
-		return out;
-	}
-
-	template<typename Tr>
-	template<typename Query, typename OutputIterator>
-	OutputIterator
-		AABB_tree_with_join<Tr>::all_intersections(const Query& query,
-		OutputIterator out) const
-	{
+    this->traversal(query, traversal_traits);
+    return out;
+  }
+
+  template<typename Tr>
+  template<typename Query, typename OutputIterator>
+  OutputIterator
+    AABB_tree_with_join<Tr>::all_intersections(const Query& query,
+    OutputIterator out) const
+  {
     using namespace CGAL::internal::AABB_tree_with_join;
     typedef typename AABB_tree_with_join<Tr>::AABB_traits AABBTraits;
-		Listing_intersection_traits<AABBTraits, 
+    Listing_intersection_traits<AABBTraits,
       Query, OutputIterator> traversal_traits(out,m_traits);
-		this->traversal(query, traversal_traits);
-		return out;
-	}
+    this->traversal(query, traversal_traits);
+    return out;
+  }
 
 
-	template <typename Tr>
-	template <typename Query>
+  template <typename Tr>
+  template <typename Query>
   boost::optional< typename AABB_tree_with_join<Tr>::template Intersection_and_primitive_id<Query>::Type >
-		AABB_tree_with_join<Tr>::any_intersection(const Query& query) const
-	{
+    AABB_tree_with_join<Tr>::any_intersection(const Query& query) const
+  {
     using namespace CGAL::internal::AABB_tree_with_join;
     typedef typename AABB_tree_with_join<Tr>::AABB_traits AABBTraits;
-		First_intersection_traits<AABBTraits, Query> traversal_traits(m_traits);
-		this->traversal(query, traversal_traits);
-		return traversal_traits.result();
-	}
-
-	template <typename Tr>
-	template <typename Query>
-	boost::optional<typename AABB_tree_with_join<Tr>::Primitive_id>
-		AABB_tree_with_join<Tr>::any_intersected_primitive(const Query& query) const
-	{
+    First_intersection_traits<AABBTraits, Query> traversal_traits(m_traits);
+    this->traversal(query, traversal_traits);
+    return traversal_traits.result();
+  }
+
+  template <typename Tr>
+  template <typename Query>
+  boost::optional<typename AABB_tree_with_join<Tr>::Primitive_id>
+    AABB_tree_with_join<Tr>::any_intersected_primitive(const Query& query) const
+  {
     using namespace CGAL::internal::AABB_tree_with_join;
     typedef typename AABB_tree_with_join<Tr>::AABB_traits AABBTraits;
-		First_primitive_traits<AABBTraits, Query> traversal_traits(m_traits);
-		this->traversal(query, traversal_traits);
-		return traversal_traits.result();
-	}
-
-	// closest point with user-specified hint
-	template<typename Tr>
-	typename AABB_tree_with_join<Tr>::Point
-		AABB_tree_with_join<Tr>::closest_point(const Point& query,
-		const Point& hint) const
-	{
-		CGAL_precondition(!empty());
-		typename Primitive::Id hint_primitive = m_primitives[0].id();
+    First_primitive_traits<AABBTraits, Query> traversal_traits(m_traits);
+    this->traversal(query, traversal_traits);
+    return traversal_traits.result();
+  }
+
+  // closest point with user-specified hint
+  template<typename Tr>
+  typename AABB_tree_with_join<Tr>::Point
+    AABB_tree_with_join<Tr>::closest_point(const Point& query,
+    const Point& hint) const
+  {
+    CGAL_precondition(!empty());
+    typename Primitive::Id hint_primitive = m_primitives[0].id();
     using namespace CGAL::internal::AABB_tree_with_join;
     typedef typename AABB_tree_with_join<Tr>::AABB_traits AABBTraits;
-		Projection_traits<AABBTraits> projection_traits(hint,hint_primitive,m_traits);
-		this->traversal(query, projection_traits);
-		return projection_traits.closest_point();
-	}
-
-	// closest point without hint, the search KD-tree is queried for the
-	// first closest neighbor point to get a hint
-	template<typename Tr>
-	typename AABB_tree_with_join<Tr>::Point
-		AABB_tree_with_join<Tr>::closest_point(const Point& query) const
-	{
-		CGAL_precondition(!empty());
-		const Point_and_primitive_id hint = best_hint(query);
-		return closest_point(query,hint.first);
-	}
-
-	// squared distance with user-specified hint
-	template<typename Tr>
-	typename AABB_tree_with_join<Tr>::FT
-		AABB_tree_with_join<Tr>::squared_distance(const Point& query,
-		const Point& hint) const
-	{
-		CGAL_precondition(!empty());
-		const Point closest = this->closest_point(query, hint);
-		return Tr().squared_distance_object()(query, closest);
-	}
-
-	// squared distance without user-specified hint
-	template<typename Tr>
-	typename AABB_tree_with_join<Tr>::FT
-		AABB_tree_with_join<Tr>::squared_distance(const Point& query) const
-	{
-		CGAL_precondition(!empty());
-		const Point closest = this->closest_point(query);
-		return Tr().squared_distance_object()(query, closest);
-	}
-
-	// closest point with user-specified hint
-	template<typename Tr>
-	typename AABB_tree_with_join<Tr>::Point_and_primitive_id
-		AABB_tree_with_join<Tr>::closest_point_and_primitive(const Point& query) const
-	{
-		CGAL_precondition(!empty());
-		return closest_point_and_primitive(query,best_hint(query));
-	}
-
-	// closest point with user-specified hint
-	template<typename Tr>
-	typename AABB_tree_with_join<Tr>::Point_and_primitive_id
-		AABB_tree_with_join<Tr>::closest_point_and_primitive(const Point& query,
-		const Point_and_primitive_id& hint) const
-	{
-		CGAL_precondition(!empty());
+    Projection_traits<AABBTraits> projection_traits(hint,hint_primitive,m_traits);
+    this->traversal(query, projection_traits);
+    return projection_traits.closest_point();
+  }
+
+  // closest point without hint, the search KD-tree is queried for the
+  // first closest neighbor point to get a hint
+  template<typename Tr>
+  typename AABB_tree_with_join<Tr>::Point
+    AABB_tree_with_join<Tr>::closest_point(const Point& query) const
+  {
+    CGAL_precondition(!empty());
+    const Point_and_primitive_id hint = best_hint(query);
+    return closest_point(query,hint.first);
+  }
+
+  // squared distance with user-specified hint
+  template<typename Tr>
+  typename AABB_tree_with_join<Tr>::FT
+    AABB_tree_with_join<Tr>::squared_distance(const Point& query,
+    const Point& hint) const
+  {
+    CGAL_precondition(!empty());
+    const Point closest = this->closest_point(query, hint);
+    return Tr().squared_distance_object()(query, closest);
+  }
+
+  // squared distance without user-specified hint
+  template<typename Tr>
+  typename AABB_tree_with_join<Tr>::FT
+    AABB_tree_with_join<Tr>::squared_distance(const Point& query) const
+  {
+    CGAL_precondition(!empty());
+    const Point closest = this->closest_point(query);
+    return Tr().squared_distance_object()(query, closest);
+  }
+
+  // closest point with user-specified hint
+  template<typename Tr>
+  typename AABB_tree_with_join<Tr>::Point_and_primitive_id
+    AABB_tree_with_join<Tr>::closest_point_and_primitive(const Point& query) const
+  {
+    CGAL_precondition(!empty());
+    return closest_point_and_primitive(query,best_hint(query));
+  }
+
+  // closest point with user-specified hint
+  template<typename Tr>
+  typename AABB_tree_with_join<Tr>::Point_and_primitive_id
+    AABB_tree_with_join<Tr>::closest_point_and_primitive(const Point& query,
+    const Point_and_primitive_id& hint) const
+  {
+    CGAL_precondition(!empty());
     using namespace CGAL::internal::AABB_tree_with_join;
     typedef typename AABB_tree_with_join<Tr>::AABB_traits AABBTraits;
-		Projection_traits<AABBTraits> projection_traits(hint.first,hint.second,m_traits);
-		this->traversal(query, projection_traits);
-		return projection_traits.closest_point_and_primitive();
-	}
+    Projection_traits<AABBTraits> projection_traits(hint.first,hint.second,m_traits);
+    this->traversal(query, projection_traits);
+    return projection_traits.closest_point_and_primitive();
+  }
 
 } // end namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/Approx_offset_base_2.h 5.0.3-1/include/CGAL/Minkowski_sum_2/Approx_offset_base_2.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/Approx_offset_base_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/Approx_offset_base_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Approx_offset_base_2.h $
-// $Id: Approx_offset_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Approx_offset_base_2.h $
+// $Id: Approx_offset_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Ron Wein       <wein_r@yahoo.com>
@@ -304,7 +304,7 @@ protected:
               }
               else
               {
-		// In case of overflow of denom
+    // In case of overflow of denom
                 numer = 1;
                 denom = max_int;
               }
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/Arr_labeled_traits_2.h 5.0.3-1/include/CGAL/Minkowski_sum_2/Arr_labeled_traits_2.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/Arr_labeled_traits_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/Arr_labeled_traits_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Arr_labeled_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Arr_labeled_traits_2.h $
 // $Id: Arr_labeled_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/Decomposition_strategy_adapter.h 5.0.3-1/include/CGAL/Minkowski_sum_2/Decomposition_strategy_adapter.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/Decomposition_strategy_adapter.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/Decomposition_strategy_adapter.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Decomposition_strategy_adapter.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Decomposition_strategy_adapter.h $
 // $Id: Decomposition_strategy_adapter.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/Exact_offset_base_2.h 5.0.3-1/include/CGAL/Minkowski_sum_2/Exact_offset_base_2.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/Exact_offset_base_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/Exact_offset_base_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Exact_offset_base_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Exact_offset_base_2.h $
 // $Id: Exact_offset_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/Hole_filter_2.h 5.0.3-1/include/CGAL/Minkowski_sum_2/Hole_filter_2.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/Hole_filter_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/Hole_filter_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Hole_filter_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Hole_filter_2.h $
 // $Id: Hole_filter_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/Labels.h 5.0.3-1/include/CGAL/Minkowski_sum_2/Labels.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/Labels.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/Labels.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Labels.h $
-// $Id: Labels.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Labels.h $
+// $Id: Labels.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Ron Wein   <wein_r@yahoo.com>
@@ -62,7 +62,7 @@ public:
       return (false);
 
     return (_component == label._component &&
-	    _index == label._index);
+      _index == label._index);
   }
 
   /*! Get the component. */
@@ -168,7 +168,7 @@ public:
       return (false);
 
     return (_component == label._component &&
-	    _index == label._index);
+      _index == label._index);
   }
 
   /*! Check whether the given label is the predecessor of this label. */
@@ -178,8 +178,8 @@ public:
       return (false);
 
     return (_component == label._component &&
-	    (label._index + 1 == _index ||
-	     (label._is_last && _index == 0)));
+      (label._index + 1 == _index ||
+       (label._is_last && _index == 0)));
   }
 
   /*! Check whether the given label is the succcessor of this label. */
@@ -189,8 +189,8 @@ public:
       return (false);
 
     return (_component == label._component &&
-	    (_index + 1 == label._index ||
-	     (_is_last && label._index == 0)));
+      (_index + 1 == label._index ||
+       (_is_last && label._index == 0)));
   }
 
   /*!
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/Minkowski_sum_by_reduced_convolution_2.h 5.0.3-1/include/CGAL/Minkowski_sum_2/Minkowski_sum_by_reduced_convolution_2.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/Minkowski_sum_by_reduced_convolution_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/Minkowski_sum_by_reduced_convolution_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Minkowski_sum_by_reduced_convolution_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Minkowski_sum_by_reduced_convolution_2.h $
 // $Id: Minkowski_sum_by_reduced_convolution_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/Minkowski_sum_conv_2.h 5.0.3-1/include/CGAL/Minkowski_sum_2/Minkowski_sum_conv_2.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/Minkowski_sum_conv_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/Minkowski_sum_conv_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Minkowski_sum_conv_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Minkowski_sum_conv_2.h $
 // $Id: Minkowski_sum_conv_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/Minkowski_sum_decomp_2.h 5.0.3-1/include/CGAL/Minkowski_sum_2/Minkowski_sum_decomp_2.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/Minkowski_sum_decomp_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/Minkowski_sum_decomp_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Minkowski_sum_decomp_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Minkowski_sum_decomp_2.h $
 // $Id: Minkowski_sum_decomp_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/Offset_conv_2.h 5.0.3-1/include/CGAL/Minkowski_sum_2/Offset_conv_2.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/Offset_conv_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/Offset_conv_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Offset_conv_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Offset_conv_2.h $
 // $Id: Offset_conv_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/Offset_decomp_2.h 5.0.3-1/include/CGAL/Minkowski_sum_2/Offset_decomp_2.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/Offset_decomp_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/Offset_decomp_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Offset_decomp_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Offset_decomp_2.h $
 // $Id: Offset_decomp_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/Polygon_convex_decomposition.h 5.0.3-1/include/CGAL/Minkowski_sum_2/Polygon_convex_decomposition.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/Polygon_convex_decomposition.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/Polygon_convex_decomposition.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Polygon_convex_decomposition.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Polygon_convex_decomposition.h $
 // $Id: Polygon_convex_decomposition.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/Union_of_curve_cycles_2.h 5.0.3-1/include/CGAL/Minkowski_sum_2/Union_of_curve_cycles_2.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/Union_of_curve_cycles_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/Union_of_curve_cycles_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Union_of_curve_cycles_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Union_of_curve_cycles_2.h $
 // $Id: Union_of_curve_cycles_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/Union_of_cycles_2.h 5.0.3-1/include/CGAL/Minkowski_sum_2/Union_of_cycles_2.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/Union_of_cycles_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/Union_of_cycles_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Union_of_cycles_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Union_of_cycles_2.h $
 // $Id: Union_of_cycles_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_2/Union_of_segment_cycles_2.h 5.0.3-1/include/CGAL/Minkowski_sum_2/Union_of_segment_cycles_2.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_2/Union_of_segment_cycles_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_2/Union_of_segment_cycles_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Union_of_segment_cycles_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Minkowski_sum_2/Union_of_segment_cycles_2.h $
 // $Id: Union_of_segment_cycles_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/minkowski_sum_2.h 5.0.3-1/include/CGAL/minkowski_sum_2.h
--- 5.0.2-3/include/CGAL/minkowski_sum_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/minkowski_sum_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/minkowski_sum_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/minkowski_sum_2.h $
 // $Id: minkowski_sum_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_3/bipartite_nary_union_sorted_combined.h 5.0.3-1/include/CGAL/Minkowski_sum_3/bipartite_nary_union_sorted_combined.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_3/bipartite_nary_union_sorted_combined.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_3/bipartite_nary_union_sorted_combined.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_3/include/CGAL/Minkowski_sum_3/bipartite_nary_union_sorted_combined.h $
-// $Id: bipartite_nary_union_sorted_combined.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_3/include/CGAL/Minkowski_sum_3/bipartite_nary_union_sorted_combined.h $
+// $Id: bipartite_nary_union_sorted_combined.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_MS3_BIPARTITE_NARY_UNION_SORTED_COMBINED_H
@@ -47,7 +47,7 @@ template<typename Point_3>
 struct L2_sort {
   bool operator()(Point_3 p0, Point_3 p1) {
     return
-      p0.x()*p0.x() + p0.y()*p0.y() + p0.z()*p0.z() < 
+      p0.x()*p0.x() + p0.y()*p0.y() + p0.z()*p0.z() <
       p1.x()*p1.x() + p1.y()*p1.y() + p1.z()*p1.z();
   }
 };
@@ -55,11 +55,11 @@ struct L2_sort {
 #endif
 
 template<typename Nef_polyhedron>
-Nef_polyhedron 
-bipartite_nary_union_sorted_combined(Nef_polyhedron& N0,  
-				     Nef_polyhedron& N1) {
+Nef_polyhedron
+bipartite_nary_union_sorted_combined(Nef_polyhedron& N0,
+                                     Nef_polyhedron& N1) {
 
-  typedef typename Nef_polyhedron::SM_const_decorator 
+  typedef typename Nef_polyhedron::SM_const_decorator
     SM_const_decorator;
   typedef typename Nef_polyhedron::Kernel Kernel;
   typedef typename Nef_polyhedron::Point_3 Point_3;
@@ -104,7 +104,7 @@ bipartite_nary_union_sorted_combined(Nef
 
   GM_list GM0;
   Volume_const_iterator c0;
-  for(c0 = ++N0.volumes_begin(); 
+  for(c0 = ++N0.volumes_begin();
       c0 != N0.volumes_end(); ++c0) {
     if(!c0->mark()) continue;
     Point_3 p(SFace_const_handle(c0->shells_begin())->center_vertex()->point());
@@ -113,15 +113,15 @@ bipartite_nary_union_sorted_combined(Nef
 
   GM_list GM1;
   Volume_const_iterator c1;
-  for(c1 = ++N1.volumes_begin(); 
+  for(c1 = ++N1.volumes_begin();
       c1 != N1.volumes_end(); ++c1) {
     if(!c1->mark()) continue;
     Point_3 p(SFace_const_handle(c1->shells_begin())->center_vertex()->point());
     GM1.push_back(std::make_pair(Gaussian_map(N1, c1), p));
   }
 
-  CGAL_assertion_msg(!GM0.empty() || !GM1.empty(), 
-		     "one operand must be full-dimensional");
+  CGAL_assertion_msg(!GM0.empty() || !GM1.empty(),
+                     "one operand must be full-dimensional");
 
   Vertex_const_iterator vci;
   for(vci = N0.vertices_begin();
@@ -138,7 +138,7 @@ bipartite_nary_union_sorted_combined(Nef
        vci->mark() &&
        !vci->sfaces_begin()->mark())
       GM1.push_back(std::make_pair(Gaussian_map(vci), vci->point()));
-  
+
   Halfedge_const_iterator eci;
   for(eci = N0.halfedges_begin();
       eci != N0.halfedges_end(); ++eci) {
@@ -150,7 +150,7 @@ bipartite_nary_union_sorted_combined(Nef
     else
       GM0.push_back(std::make_pair(Gaussian_map(eci), eci->twin()->source()->point()));
   }
-  
+
   for(eci = N1.halfedges_begin();
       eci != N1.halfedges_end(); ++eci) {
     if(eci->is_twin()) continue;
@@ -165,27 +165,27 @@ bipartite_nary_union_sorted_combined(Nef
   Halffacet_const_iterator fci;
   for(fci = N0.halffacets_begin();
       fci != N0.halffacets_end(); ++fci) {
-    if(fci->is_twin()) continue;  
+    if(fci->is_twin()) continue;
     if( fci->incident_volume() != fci->twin()->incident_volume() &&
-        ( fci->incident_volume()->mark() || fci->twin()->incident_volume()->mark() )) 
-	{
-		continue;
-	}
+        ( fci->incident_volume()->mark() || fci->twin()->incident_volume()->mark() ))
+        {
+                continue;
+        }
     SHalfedge_const_handle se(fci->facet_cycles_begin());
-    GM0.push_back(std::make_pair(Gaussian_map(fci), 
-				 se->source()->source()->point()));    
+    GM0.push_back(std::make_pair(Gaussian_map(fci),
+                                 se->source()->source()->point()));
   }
   for(fci = N1.halffacets_begin();
       fci != N1.halffacets_end(); ++fci) {
-    if(fci->is_twin()) continue;  
+    if(fci->is_twin()) continue;
     if( fci->incident_volume() != fci->twin()->incident_volume() &&
-        ( fci->incident_volume()->mark() || fci->twin()->incident_volume()->mark() )) 
-	{
-		continue;
-	}
+        ( fci->incident_volume()->mark() || fci->twin()->incident_volume()->mark() ))
+        {
+                continue;
+        }
     SHalfedge_const_handle se(fci->facet_cycles_begin());
-    GM1.push_back(std::make_pair(Gaussian_map(fci), 
-				 se->source()->source()->point()));    
+    GM1.push_back(std::make_pair(Gaussian_map(fci),
+                                 se->source()->source()->point()));
   }
 
   PQ pq;
@@ -193,21 +193,21 @@ bipartite_nary_union_sorted_combined(Nef
   for(gi0 = GM0.begin(); gi0 != GM0.end(); ++gi0) {
     for(gi1 = GM1.begin(); gi1 != GM1.end(); ++gi1) {
       pq.insert(std::make_pair(gi0->second+(CGAL::ORIGIN-gi1->second),
-			       std::make_pair(gi0, gi1)));
+                               std::make_pair(gi0, gi1)));
 
     }
   }
 
-  CGAL_assertion_msg(!GM0.empty() && !GM1.empty(), 
-		     "one operand must be full-dimensional");
+  CGAL_assertion_msg(!GM0.empty() && !GM1.empty(),
+                     "one operand must be full-dimensional");
 
   Nef_polyhedron empty;
   while(pq.size() > 0) {
     PQ_iterator pqi(pq.begin());
 
     Gaussian_map GcG;
-    GcG.minkowski_sum(pqi->second.first->first, 
-		      pqi->second.second->first);
+    GcG.minkowski_sum(pqi->second.first->first,
+                      pqi->second.second->first);
     pq.erase(pqi);
     Nef_polyhedron Ntmp(empty);
     CGAL::Gaussian_map_to_nef_3<Nef_polyhedron> Convertor(GcG);
@@ -225,7 +225,7 @@ bipartite_nary_union_sorted_combined(Nef
   for(GM_iterator it = GM1.begin(); it != GM1.end(); ++it) {
     delete it->first.sphere_map();
   }
-  
+
   return nary_union.get_union();
 }
 
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_3/Gaussian_map.h 5.0.3-1/include/CGAL/Minkowski_sum_3/Gaussian_map.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_3/Gaussian_map.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_3/Gaussian_map.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_3/include/CGAL/Minkowski_sum_3/Gaussian_map.h $
-// $Id: Gaussian_map.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_3/include/CGAL/Minkowski_sum_3/Gaussian_map.h $
+// $Id: Gaussian_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_MS3_GAUSSIAN_MAP
@@ -34,15 +34,15 @@ namespace CGAL {
 
 template <class K, class Nef, class Mark_ = PointMark<K> >
 class Gaussian_map :
-  public CGAL::SM_decorator<CGAL::Sphere_map<CGAL::Sphere_geometry<K>, 
-					     CGAL::SM_items, Mark_> > {
+  public CGAL::SM_decorator<CGAL::Sphere_map<CGAL::Sphere_geometry<K>,
+                                             CGAL::SM_items, Mark_> > {
 
   typedef K                                               Kernel;
   typedef CGAL::Sphere_geometry<K>                        Sphere_kernel;
   typedef typename Kernel::Point_3                        Point_3;
   typedef typename Kernel::Vector_3                       Vector_3;
   typedef Mark_                                           Mark;
-  typedef CGAL::Sphere_map<Sphere_kernel, 
+  typedef CGAL::Sphere_map<Sphere_kernel,
                            CGAL::SM_items, Mark>          Sphere_map;
   typedef CGAL::SM_decorator<Sphere_map>                  SM_decorator;
   typedef SM_decorator                                    Base;
@@ -79,7 +79,7 @@ class Gaussian_map :
   using Base::has_outdeg_two;
   using Base::first_out_edge;
   using Base::merge_edge_pairs_at_target;
-  
+
   template<typename Nef_polyhedron_3>
   class SVertex_creator2 {
 
@@ -108,7 +108,7 @@ class Gaussian_map :
 
       CGAL_NEF_TRACEN( "SVertex_creator2 " << f->twin()->plane() );
       SVertex_handle sv
-	(SM.new_svertex(normalized(f->twin()->plane().orthogonal_vector())));
+        (SM.new_svertex(normalized(f->twin()->plane().orthogonal_vector())));
       sv->mark() = Mark(Point_3(0,0,0), f->mark());
       Facet2SVertex[f] = sv;
     }
@@ -116,7 +116,7 @@ class Gaussian_map :
   };
 
   template<typename Nef_polyhedron_3>
-  class SVertex_creator {     
+  class SVertex_creator {
 
     typedef typename Nef_polyhedron_3::Vertex_const_handle      Vertex_const_handle;
     typedef typename Nef_polyhedron_3::Halffacet_const_handle   Halffacet_const_handle;
@@ -125,7 +125,7 @@ class Gaussian_map :
     typedef typename Nef_polyhedron_3::SHalfloop_const_handle   SHalfloop_const_handle;
     typedef typename Nef_polyhedron_3::SFace_const_handle       SFace_const_handle;
 
-    typedef typename Nef_polyhedron_3::Halffacet_cycle_const_iterator   
+    typedef typename Nef_polyhedron_3::Halffacet_cycle_const_iterator
       Halffacet_cycle_const_iterator;
     typedef typename Nef_polyhedron_3::SHalfedge_around_facet_const_circulator
       SHalfedge_around_facet_const_circulator;
@@ -157,10 +157,10 @@ class Gaussian_map :
       SVertex_iterator svi;
       sp = normalized(sp);
       CGAL_forall_svertices(svi, SM) {
-	if(svi->point() == sp) {
-	  sv = svi;
-	  return true;
-	}
+        if(svi->point() == sp) {
+          sv = svi;
+          return true;
+        }
       }
       return false;
     }
@@ -171,72 +171,72 @@ class Gaussian_map :
       void visit(SHalfedge_const_handle ) {}
       void visit(SHalfloop_const_handle ) {}
       void visit(SFace_const_handle sf) {
-	
-	typename Nef_polyhedron_3::SHalfedge_const_handle sec = sf->sface_cycles_begin();
-	
-	int circles = 1;
-	Sphere_circle first, current;
-	first = current = sec->circle();
-	CGAL_NEF_TRACEN( "first+current:" << first << "+" << current );
-	typename Nef_polyhedron_3::SHalfedge_around_sface_const_circulator sfc(sec), send(sfc);
-	CGAL_For_all(sfc, send) {
-	  CGAL_NEF_TRACEN( "sedge->cirlce() " << sfc->circle() );
-	  if(sfc->circle() != current) {
-	    if(sfc->circle() != first)
-	      ++circles;
-	    current = sfc->circle();
-	  }
-	}
-	
-	CGAL_NEF_TRACEN( "first+current:" << first << "+" << current );
-	CGAL_NEF_TRACEN( "circles " << circles );
 
-	if(circles < 3)
-	  omit_vertex[sf->center_vertex()] = true;
+        typename Nef_polyhedron_3::SHalfedge_const_handle sec = sf->sface_cycles_begin();
+
+        int circles = 1;
+        Sphere_circle first, current;
+        first = current = sec->circle();
+        CGAL_NEF_TRACEN( "first+current:" << first << "+" << current );
+        typename Nef_polyhedron_3::SHalfedge_around_sface_const_circulator sfc(sec), send(sfc);
+        CGAL_For_all(sfc, send) {
+          CGAL_NEF_TRACEN( "sedge->cirlce() " << sfc->circle() );
+          if(sfc->circle() != current) {
+            if(sfc->circle() != first)
+              ++circles;
+            current = sfc->circle();
+          }
+        }
+
+        CGAL_NEF_TRACEN( "first+current:" << first << "+" << current );
+        CGAL_NEF_TRACEN( "circles " << circles );
+
+        if(circles < 3)
+          omit_vertex[sf->center_vertex()] = true;
       }
-  
+
       void visit(Halffacet_const_handle f) {
 
-	CGAL_NEF_TRACEN( "SVertex_creator " << f->twin()->plane() );
+        CGAL_NEF_TRACEN( "SVertex_creator " << f->twin()->plane() );
 
-	Halffacet_cycle_const_iterator fc = f->twin()->facet_cycles_begin();
-	SHalfedge_const_handle se(fc);
-	SHalfedge_around_facet_const_circulator hc(se), hend(hc);
-
-	bool verge_found(false);
-	CGAL_For_all(hc,hend) {
-	  Point_3 p(hc->source()->source()->point());
-	  CGAL_NEF_TRACEN(" hc " << CGAL::to_double(p.hx()) << 
-			  " " << CGAL::to_double(p.hy()) <<
-			  " " << CGAL::to_double(p.hz()));
-	  CGAL_NEF_TRACEN(" hc->snext()->circle() " << normalized(hc->snext()->circle()));
-	  if(normalized(hc->snext()->circle()) == normalized(hc->circle())) {
-	    next[hc] = hc->snext();
-	    CGAL_NEF_TRACEN( "set next " << hc->source()->source()->point() << ":"
-		      << hc->source()->point() << "->" << hc->twin()->source()->point() << " | " 
-		      << hc->snext()->source()->point() << "->" << hc->snext()->twin()->source()->point() );
- 	    omit_edge[hc->twin()->source()] = omit_edge[hc->twin()->source()->twin()] = true;
-	  } else
-	    verge_found = true;
-	}
-
-	if(!verge_found) {
-	  omit_facet[f] = true;
-	  return;
-	}
-
-	SVertex_handle sv;
-	if(!svertex_exists(f->twin()->plane().orthogonal_vector(), sv)) {
-	  sv = SM.new_svertex(f->twin()->plane().orthogonal_vector());
-	  sv->point() = normalized(sv->point());
-	  sv->mark() = Mark(Point_3(0,0,0), f->mark());
-	} else {
-	  omit_facet[f] = true;
-	  if(sv->mark().boolean() && !f->mark())
-	    sv->mark().set_boolean(false);
+        Halffacet_cycle_const_iterator fc = f->twin()->facet_cycles_begin();
+        SHalfedge_const_handle se(fc);
+        SHalfedge_around_facet_const_circulator hc(se), hend(hc);
+
+        bool verge_found(false);
+        CGAL_For_all(hc,hend) {
+          Point_3 p(hc->source()->source()->point());
+          CGAL_NEF_TRACEN(" hc " << CGAL::to_double(p.hx()) <<
+                          " " << CGAL::to_double(p.hy()) <<
+                          " " << CGAL::to_double(p.hz()));
+          CGAL_NEF_TRACEN(" hc->snext()->circle() " << normalized(hc->snext()->circle()));
+          if(normalized(hc->snext()->circle()) == normalized(hc->circle())) {
+            next[hc] = hc->snext();
+            CGAL_NEF_TRACEN( "set next " << hc->source()->source()->point() << ":"
+                      << hc->source()->point() << "->" << hc->twin()->source()->point() << " | "
+                      << hc->snext()->source()->point() << "->" << hc->snext()->twin()->source()->point() );
+             omit_edge[hc->twin()->source()] = omit_edge[hc->twin()->source()->twin()] = true;
+          } else
+            verge_found = true;
+        }
+
+        if(!verge_found) {
+          omit_facet[f] = true;
+          return;
+        }
+
+        SVertex_handle sv;
+        if(!svertex_exists(f->twin()->plane().orthogonal_vector(), sv)) {
+          sv = SM.new_svertex(f->twin()->plane().orthogonal_vector());
+          sv->point() = normalized(sv->point());
+          sv->mark() = Mark(Point_3(0,0,0), f->mark());
+        } else {
+          omit_facet[f] = true;
+          if(sv->mark().boolean() && !f->mark())
+            sv->mark().set_boolean(false);
           CGAL_NEF_TRACEN("omit facet " << f->plane());
-	}
-	Facet2SVertex[f] = sv;
+        }
+        Facet2SVertex[f] = sv;
       }
   };
 
@@ -253,7 +253,7 @@ class Gaussian_map :
     typedef typename SM_decorator::SHalfedge_around_svertex_circulator
       SHalfedge_around_svertex_circulator;
 
-    typedef typename Nef_polyhedron_3::Halffacet_cycle_const_iterator   
+    typedef typename Nef_polyhedron_3::Halffacet_cycle_const_iterator
       Halffacet_cycle_const_iterator;
     typedef typename Nef_polyhedron_3::SHalfedge_around_facet_const_circulator
       SHalfedge_around_facet_const_circulator;
@@ -268,42 +268,42 @@ class Gaussian_map :
   public:
     SEdge_creator2(Sphere_map* smap, Edge2SEdge_hash& E2SE, Facet2SVertex_hash& F2SV)
       : SM(smap), Edge2SEdge(E2SE), Facet2SVertex(F2SV) {}
-      
+
   public:
     void visit(Vertex_const_handle) {}
     void visit(Halfedge_const_handle) {}
     void visit(SHalfedge_const_handle) {}
     void visit(SHalfloop_const_handle) {}
     void visit(SFace_const_handle) {}
-    
+
     void visit(Halffacet_const_handle f) {
-      
+
       CGAL_NEF_TRACEN( "SEdge_creator2 " << f->twin()->plane() );
       Halffacet_cycle_const_iterator fc = f->twin()->facet_cycles_begin();
       SHalfedge_const_handle sef(fc);
       SHalfedge_around_facet_const_circulator hc(sef), hend(hc);
-      
+
       CGAL_For_all(hc, hend) {
-	if(hc->sprev()->facet()->plane() == 
-	   hc->facet()->plane())
-	  continue;
-	SHalfedge_handle thetwin;
-	Halfedge_const_handle e(hc->source()->twin());
-	SHalfedge_handle set = Edge2SEdge[e];
-	if(set == SHalfedge_handle()) {
-	  thetwin = SM.new_shalfedge_pair_at_source(Facet2SVertex[f],1);
-	  CGAL_NEF_TRACEN("add stub " << Facet2SVertex[f]->point()
-			  << "->" << hc->twin()->snext()->facet()->plane().orthogonal_vector());
-	} else {	
-	  SM.link_as_target_and_append(Facet2SVertex[f], set);
-	  set->mark() = set->twin()->mark() = Mark(Point_3(0,0,0), e->mark());
-	  set->circle() = Sphere_circle(set->source()->point(), set->twin()->source()->point());
-	  set->twin()->circle() = set->circle().opposite();
-	  thetwin = set->twin();
-	  CGAL_NEF_TRACEN("complete edge " << set->source()->point()
-			  << "->" << set->twin()->source()->point());
-	}
-	Edge2SEdge[hc->source()] = thetwin;
+        if(hc->sprev()->facet()->plane() ==
+           hc->facet()->plane())
+          continue;
+        SHalfedge_handle thetwin;
+        Halfedge_const_handle e(hc->source()->twin());
+        SHalfedge_handle set = Edge2SEdge[e];
+        if(set == SHalfedge_handle()) {
+          thetwin = SM.new_shalfedge_pair_at_source(Facet2SVertex[f],1);
+          CGAL_NEF_TRACEN("add stub " << Facet2SVertex[f]->point()
+                          << "->" << hc->twin()->snext()->facet()->plane().orthogonal_vector());
+        } else {
+          SM.link_as_target_and_append(Facet2SVertex[f], set);
+          set->mark() = set->twin()->mark() = Mark(Point_3(0,0,0), e->mark());
+          set->circle() = Sphere_circle(set->source()->point(), set->twin()->source()->point());
+          set->twin()->circle() = set->circle().opposite();
+          thetwin = set->twin();
+          CGAL_NEF_TRACEN("complete edge " << set->source()->point()
+                          << "->" << set->twin()->source()->point());
+        }
+        Edge2SEdge[hc->source()] = thetwin;
       }
     }
   };
@@ -321,7 +321,7 @@ class Gaussian_map :
     typedef typename SM_decorator::SHalfedge_around_svertex_circulator
       SHalfedge_around_svertex_circulator;
 
-    typedef typename Nef_polyhedron_3::Halffacet_cycle_const_iterator   
+    typedef typename Nef_polyhedron_3::Halffacet_cycle_const_iterator
       Halffacet_cycle_const_iterator;
     typedef typename Nef_polyhedron_3::SHalfedge_around_facet_const_circulator
       SHalfedge_around_facet_const_circulator;
@@ -344,122 +344,122 @@ class Gaussian_map :
   public:
     SEdge_creator(Sphere_map* smap, Edge2SEdge_hash& E2SE, Facet2SVertex_hash& F2SV, SEdge2SEdge_hash& SE2SE, Facet2bool_hash&  F2b, Edge2bool_hash& E2b)
       : SM(smap), Edge2SEdge(E2SE), Facet2SVertex(F2SV), next(SE2SE), omit_facet(F2b), omit_edge(E2b) {}
-      
+
   public:
     void visit(Vertex_const_handle ) {}
     void visit(Halfedge_const_handle ) {}
     void visit(SHalfedge_const_handle ) {}
     void visit(SHalfloop_const_handle ) {}
     void visit(SFace_const_handle ) {}
-    
+
     void visit(Halffacet_const_handle f) {
 
       if(omit_facet[f]) {
-	CGAL_NEF_TRACEN( "omit facet " << 
-			 normalized(Sphere_point(f->twin()->plane().orthogonal_vector())));
-	return;
+        CGAL_NEF_TRACEN( "omit facet " <<
+                         normalized(Sphere_point(f->twin()->plane().orthogonal_vector())));
+        return;
       }
 
-      CGAL_NEF_TRACEN( "SEdge_creator " << 
-		       normalized(Sphere_point(f->twin()->plane().orthogonal_vector())));
+      CGAL_NEF_TRACEN( "SEdge_creator " <<
+                       normalized(Sphere_point(f->twin()->plane().orthogonal_vector())));
       Halffacet_cycle_const_iterator fc = f->twin()->facet_cycles_begin();
       SHalfedge_const_handle se(fc);
       SHalfedge_around_facet_const_circulator hc(se), hend(hc);
-      
-      
+
+
       while(hc->snext()->circle() == hc->circle()) ++hc;
-      CGAL_NEF_TRACEN("verge " << hc->circle() << 
-		      " " << hc->snext()->circle());
+      CGAL_NEF_TRACEN("verge " << hc->circle() <<
+                      " " << hc->snext()->circle());
       // Found first edge such that next is not defined
-      Halfedge_const_handle last = hc->twin()->source();      
+      Halfedge_const_handle last = hc->twin()->source();
       do {
-	++hc;
-	while(next[hc]!=SHalfedge_const_handle()) hc = next[hc];
-      } while(normalized(hc->twin()->source()->point()) == 
-	      normalized(last->point()));
+        ++hc;
+        while(next[hc]!=SHalfedge_const_handle()) hc = next[hc];
+      } while(normalized(hc->twin()->source()->point()) ==
+              normalized(last->point()));
       last = hc->twin()->source();
       // now last has a good value
       Halfedge_const_handle etwin;
       do {
-	++hc;
-	etwin = hc->source();
-	while(next[hc]!=SHalfedge_const_handle()) hc = next[hc];
-      } while(normalized(hc->twin()->source()->point()) == 
-	      normalized(last->point()));      
+        ++hc;
+        etwin = hc->source();
+        while(next[hc]!=SHalfedge_const_handle()) hc = next[hc];
+      } while(normalized(hc->twin()->source()->point()) ==
+              normalized(last->point()));
       // hc is now one interesting corner further than last
       hend = hc;
-      
+
 
       SHalfedge_handle thetwin;
       do {
-	Halfedge_const_handle e = hc->twin()->source();
-	CGAL_NEF_TRACEN(" check next " << &*next[hc]);
-	CGAL_NEF_TRACEN(" check plane " << hc->facet()->plane());
-	if(normalized(e->point()) != normalized(last->point())) {
-	  Edge2SEdge[etwin] = thetwin;
-	  SHalfedge_handle set = Edge2SEdge[e];
-	  if(set == SHalfedge_handle()) {
-	    thetwin = SM.new_shalfedge_pair_at_source(Facet2SVertex[f],1);
+        Halfedge_const_handle e = hc->twin()->source();
+        CGAL_NEF_TRACEN(" check next " << &*next[hc]);
+        CGAL_NEF_TRACEN(" check plane " << hc->facet()->plane());
+        if(normalized(e->point()) != normalized(last->point())) {
+          Edge2SEdge[etwin] = thetwin;
+          SHalfedge_handle set = Edge2SEdge[e];
+          if(set == SHalfedge_handle()) {
+            thetwin = SM.new_shalfedge_pair_at_source(Facet2SVertex[f],1);
             CGAL_NEF_TRACEN("add stub " << Facet2SVertex[f]->point()
-                            << "->" << 
-			    normalized(Sphere_point(hc->snext()->facet()->plane().orthogonal_vector())));
-	  } else {	
-	    SM.link_as_target_and_append(Facet2SVertex[f], set);
-	    set->mark() = set->twin()->mark() = Mark(Point_3(0,0,0), e->mark());
-	    set->circle() = Sphere_circle(set->source()->point(), set->twin()->source()->point());
-	    set->twin()->circle() = set->circle().opposite();
-	    thetwin = set->twin();
+                            << "->" <<
+                            normalized(Sphere_point(hc->snext()->facet()->plane().orthogonal_vector())));
+          } else {
+            SM.link_as_target_and_append(Facet2SVertex[f], set);
+            set->mark() = set->twin()->mark() = Mark(Point_3(0,0,0), e->mark());
+            set->circle() = Sphere_circle(set->source()->point(), set->twin()->source()->point());
+            set->twin()->circle() = set->circle().opposite();
+            thetwin = set->twin();
             CGAL_NEF_TRACEN("complete edge " << set->source()->point()
                             << "->" << set->twin()->source()->point());
-	  } 
-	  last = hc->twin()->source();
-	} else { CGAL_NEF_TRACEN( "omit " ); }
-
-	++hc;
-	etwin = hc->source();
-	while(next[hc]!=SHalfedge_const_handle()) hc = next[hc];
+          }
+          last = hc->twin()->source();
+        } else { CGAL_NEF_TRACEN( "omit " ); }
+
+        ++hc;
+        etwin = hc->source();
+        while(next[hc]!=SHalfedge_const_handle()) hc = next[hc];
       } while(hc!=hend);
       Edge2SEdge[etwin] = thetwin;
 
 
       /*
       do {
-	if(!omit_edge[hc->source()]) {
-	  CGAL_NEF_TRACEN( "edge " << hc->source()->source()->point() 
-		    << ":" << hc->source()->point() );
-
-	  Halfedge_const_handle e = hc->source();
-	  SHalfedge_handle set = Edge2SEdge[e->twin()];
-	  if(set == SHalfedge_handle())
-	    Edge2SEdge[e] = SM.new_shalfedge_pair_at_source(Facet2SVertex[f],1);
-	  else {
-	    SM.link_as_target_and_append(Facet2SVertex[f], set);
-	    set->mark() = set->twin()->mark() = Mark(Point_3(0,0,0));
-	    set->circle() = Sphere_circle(set->source()->point(), set->twin()->source()->point());
-	    set->twin()->circle() = set->circle().opposite();
-	    Edge2SEdge[e] = set->twin();
-	  }
-	} else {
-	  CGAL_NEF_TRACEN( "omit edge " << hc->source()->source()->point() 
-		    << ":" << hc->source()->point() );
-	}
-	++hc;
+        if(!omit_edge[hc->source()]) {
+          CGAL_NEF_TRACEN( "edge " << hc->source()->source()->point()
+                    << ":" << hc->source()->point() );
+
+          Halfedge_const_handle e = hc->source();
+          SHalfedge_handle set = Edge2SEdge[e->twin()];
+          if(set == SHalfedge_handle())
+            Edge2SEdge[e] = SM.new_shalfedge_pair_at_source(Facet2SVertex[f],1);
+          else {
+            SM.link_as_target_and_append(Facet2SVertex[f], set);
+            set->mark() = set->twin()->mark() = Mark(Point_3(0,0,0));
+            set->circle() = Sphere_circle(set->source()->point(), set->twin()->source()->point());
+            set->twin()->circle() = set->circle().opposite();
+            Edge2SEdge[e] = set->twin();
+          }
+        } else {
+          CGAL_NEF_TRACEN( "omit edge " << hc->source()->source()->point()
+                    << ":" << hc->source()->point() );
+        }
+        ++hc;
       } while(hc != hend);
       */
 
     }
   };
-  
+
   template<typename Nef_polyhedron_3>
-    class SFace_creator2 {     
-  
+    class SFace_creator2 {
+
     typedef typename Nef_polyhedron_3::Vertex_const_handle      Vertex_const_handle;
     typedef typename Nef_polyhedron_3::Halffacet_const_handle   Halffacet_const_handle;
     typedef typename Nef_polyhedron_3::Halfedge_const_handle    Halfedge_const_handle;
     typedef typename Nef_polyhedron_3::SHalfedge_const_handle   SHalfedge_const_handle;
     typedef typename Nef_polyhedron_3::SHalfloop_const_handle   SHalfloop_const_handle;
     typedef typename Nef_polyhedron_3::SFace_const_handle       SFace_const_handle;
-    
+
     typedef typename Nef_polyhedron_3::SFace_cycle_const_iterator SFace_cycle_const_iterator;
 
     typedef CGAL::Unique_hash_map<Halfedge_const_handle, SHalfedge_handle> Edge2SEdge_hash;
@@ -468,7 +468,7 @@ class Gaussian_map :
     Edge2SEdge_hash& Edge2SEdge;
 
   public:
-    SFace_creator2(Sphere_map* smap, Edge2SEdge_hash& E2SE) : 
+    SFace_creator2(Sphere_map* smap, Edge2SEdge_hash& E2SE) :
       SM(smap), Edge2SEdge(E2SE) {}
 
       void visit(Halfedge_const_handle ) {}
@@ -478,28 +478,28 @@ class Gaussian_map :
       void visit(Vertex_const_handle ) {}
 
       void visit(SFace_const_handle sf) {
-	CGAL_NEF_TRACEN( "SFace_creator2 " << sf->center_vertex()->point() );
+        CGAL_NEF_TRACEN( "SFace_creator2 " << sf->center_vertex()->point() );
 
-	SFace_cycle_const_iterator sfc(sf->sface_cycles_begin());
-	CGAL_assertion(sfc.is_shalfedge());
-   	SHalfedge_const_handle sef(sfc);
-	Halfedge_const_handle e(sef->source());
-	SHalfedge_around_sface_circulator 
-	  sec(Edge2SEdge[e]), send(sec);
-	CGAL_For_all(sec, send)
-	  if(sec->source()->point() == 
-	     sec->twin()->source()->point())
-	    return;
-	SFace_handle sf_new = SM.new_sface();
-	sf_new->mark() = Mark(sf->center_vertex()->point(),
-			      sf->center_vertex()->mark());
-	SM.link_as_face_cycle(sec,sf_new);
+        SFace_cycle_const_iterator sfc(sf->sface_cycles_begin());
+        CGAL_assertion(sfc.is_shalfedge());
+           SHalfedge_const_handle sef(sfc);
+        Halfedge_const_handle e(sef->source());
+        SHalfedge_around_sface_circulator
+          sec(Edge2SEdge[e]), send(sec);
+        CGAL_For_all(sec, send)
+          if(sec->source()->point() ==
+             sec->twin()->source()->point())
+            return;
+        SFace_handle sf_new = SM.new_sface();
+        sf_new->mark() = Mark(sf->center_vertex()->point(),
+                              sf->center_vertex()->mark());
+        SM.link_as_face_cycle(sec,sf_new);
       }
   };
 
   template<typename Nef_polyhedron_3>
-    class SFace_creator {     
-  
+    class SFace_creator {
+
     typedef typename Nef_polyhedron_3::Vertex_const_handle      Vertex_const_handle;
     typedef typename Nef_polyhedron_3::Halffacet_const_handle   Halffacet_const_handle;
     typedef typename Nef_polyhedron_3::Halfedge_const_handle    Halfedge_const_handle;
@@ -518,7 +518,7 @@ class Gaussian_map :
     /* SFace2bool_hash& Shell; */
 
   public:
-    SFace_creator(const Nef_polyhedron_3& N, Sphere_map* smap, Edge2SEdge_hash& E2SE, Vertex2bool_hash& V2b /*, SFace2bool_hash& SHELL*/) : 
+    SFace_creator(const Nef_polyhedron_3& N, Sphere_map* smap, Edge2SEdge_hash& E2SE, Vertex2bool_hash& V2b /*, SFace2bool_hash& SHELL*/) :
       N3(N), SM(smap), Edge2SEdge(E2SE), omit_vertex(V2b)/* , Shell(SHELL)*/ {}
 
       void visit(Halfedge_const_handle ) {}
@@ -529,33 +529,33 @@ class Gaussian_map :
 
       void visit(Vertex_const_handle v) {
 
-	CGAL_NEF_TRACEN( "SFace_creator " << v->point() );
+        CGAL_NEF_TRACEN( "SFace_creator " << v->point() );
 
-	if(omit_vertex[v]) {
-	  CGAL_NEF_TRACEN("omit " << v->point() );
-	  return;
-	}
+        if(omit_vertex[v]) {
+          CGAL_NEF_TRACEN("omit " << v->point() );
+          return;
+        }
 
         typename Nef_polyhedron_3::Nef_polyhedron_S2 SD(N3.get_sphere_map(v));
-   
+
         /*
-	typename Nef_polyhedron_3::SFace_const_iterator sf = SD.sfaces_begin();
-	while(sf != SD.sfaces_end() && !Shell[sf]) ++sf;
+        typename Nef_polyhedron_3::SFace_const_iterator sf = SD.sfaces_begin();
+        while(sf != SD.sfaces_end() && !Shell[sf]) ++sf;
         CGAL_assertion(sf != SD.sfaces_end());
         */
 
-	typename Nef_polyhedron_3::Halfedge_const_iterator ei(SD.svertices_begin());
-	SHalfedge_handle se = Edge2SEdge[ei];
-	while(se == SHalfedge_handle()) {
-	  ++ei;
-	  se = Edge2SEdge[ei];
-	}
-
-	CGAL_assertion(ei != SD.svertices_end());
-
-	SFace_handle sf_new = SM.new_sface();
-	sf_new->mark() = Mark(v->point(), v->mark());
-	SM.link_as_face_cycle(se,sf_new);
+        typename Nef_polyhedron_3::Halfedge_const_iterator ei(SD.svertices_begin());
+        SHalfedge_handle se = Edge2SEdge[ei];
+        while(se == SHalfedge_handle()) {
+          ++ei;
+          se = Edge2SEdge[ei];
+        }
+
+        CGAL_assertion(ei != SD.svertices_end());
+
+        SFace_handle sf_new = SM.new_sface();
+        sf_new->mark() = Mark(v->point(), v->mark());
+        SM.link_as_face_cycle(se,sf_new);
       }
   };
 
@@ -579,16 +579,16 @@ class Gaussian_map :
     for(++sfi;sfi != this->sfaces_end(); ++sfi) {
       cr = compare_z(sfi->mark(), (*topSF.begin())->mark());
       if(cr != CGAL::SMALLER) {
-	if(cr == CGAL::LARGER)
-	  topSF.clear();
-	topSF.push_back(sfi);	
+        if(cr == CGAL::LARGER)
+          topSF.clear();
+        topSF.push_back(sfi);
       }
       cr = compare_z(sfi->mark(), (*bottomSF.begin())->mark());
       if(cr != CGAL::LARGER) {
-	if(cr == CGAL::SMALLER)
-	  bottomSF.clear();
-	bottomSF.push_back(sfi);	
-      }    
+        if(cr == CGAL::SMALLER)
+          bottomSF.clear();
+        bottomSF.push_back(sfi);
+      }
     }
 
     SFace_handle sf(topSF.front());
@@ -596,23 +596,23 @@ class Gaussian_map :
       top = Object_handle(SFace_const_handle(sf));
     else {
       SHalfedge_handle se(sf->sface_cycles_begin());
-      SHalfedge_around_sface_circulator sfc(se), sfend(sfc);       
-      
+      SHalfedge_around_sface_circulator sfc(se), sfend(sfc);
+
       if(topSF.size()==2) {
-	while(sfc->circle().c()!=0) {
-	  ++sfc;
-	  CGAL_assertion(sfc != sfend);
-	}
-	top = Object_handle(SHalfedge_const_handle(sfc));
+        while(sfc->circle().c()!=0) {
+          ++sfc;
+          CGAL_assertion(sfc != sfend);
+        }
+        top = Object_handle(SHalfedge_const_handle(sfc));
       } else {
-	CGAL_assertion(topSF.size() > 0);
-	while(sfc->source()->point().hx()!=0 || 
-	      sfc->source()->point().hy()!=0 ||
-	      sfc->source()->point().hz()<=0) {
-	  ++sfc;
-	  CGAL_assertion(sfc != sfend);
-	}
-	top = Object_handle(SVertex_const_handle(sfc->source()));      
+        CGAL_assertion(topSF.size() > 0);
+        while(sfc->source()->point().hx()!=0 ||
+              sfc->source()->point().hy()!=0 ||
+              sfc->source()->point().hz()<=0) {
+          ++sfc;
+          CGAL_assertion(sfc != sfend);
+        }
+        top = Object_handle(SVertex_const_handle(sfc->source()));
       }
     }
 
@@ -621,23 +621,23 @@ class Gaussian_map :
       bottom = Object_handle(SFace_const_handle(sf));
     else {
       SHalfedge_handle se(sf->sface_cycles_begin());
-      SHalfedge_around_sface_circulator sfc(se), sfend(sfc);       
-      
+      SHalfedge_around_sface_circulator sfc(se), sfend(sfc);
+
       if(bottomSF.size()==2) {
-	while(sfc->circle().c()!=0) {
-	  ++sfc;
-	  CGAL_assertion(sfc != sfend);
-	}
-	bottom = Object_handle(SHalfedge_const_handle(sfc));
+        while(sfc->circle().c()!=0) {
+          ++sfc;
+          CGAL_assertion(sfc != sfend);
+        }
+        bottom = Object_handle(SHalfedge_const_handle(sfc));
       } else {
-	CGAL_assertion(bottomSF.size() > 0);
-	while(sfc->source()->point().hx()!=0 || 
-	      sfc->source()->point().hy()!=0 || 
-	      sfc->source()->point().hz()>=0) {
-	  ++sfc;
-	  CGAL_assertion(sfc != sfend);
-	}
-	bottom = Object_handle(SVertex_const_handle(sfc->source()));      
+        CGAL_assertion(bottomSF.size() > 0);
+        while(sfc->source()->point().hx()!=0 ||
+              sfc->source()->point().hy()!=0 ||
+              sfc->source()->point().hz()>=0) {
+          ++sfc;
+          CGAL_assertion(sfc != sfend);
+        }
+        bottom = Object_handle(SVertex_const_handle(sfc->source()));
       }
     }
   }
@@ -650,21 +650,21 @@ class Gaussian_map :
     SVertex_iterator svi;
     CGAL_forall_svertices(svi, *this) {
       bool erase(true);
-      SHalfedge_around_svertex_circulator 
-	svc(svi->out_sedge()), send(svc);
+      SHalfedge_around_svertex_circulator
+        svc(svi->out_sedge()), send(svc);
       CGAL_For_all(svc, send) {
-	if(svc->incident_sface() != SFace_handle() ||
-	   svc->twin()->incident_sface() != SFace_handle()) {
-	  erase = false;
-	  break;
-	}
+        if(svc->incident_sface() != SFace_handle() ||
+           svc->twin()->incident_sface() != SFace_handle()) {
+          erase = false;
+          break;
+        }
       }
       if(!erase) continue;
       SHalfedge_handle se(svi->out_sedge());
       while(se->twin()->snext() != se) {
-	SHalfedge_handle se_next(se->twin()->snext());
-	delete_edge_pair(se);
-	se = se_next;
+        SHalfedge_handle se_next(se->twin()->snext());
+        delete_edge_pair(se);
+        se = se_next;
       }
       delete_edge_pair(se);
       delete_vertex_only(svi);
@@ -675,8 +675,8 @@ class Gaussian_map :
     SHalfedge_iterator sei;
     CGAL_forall_sedges(sei, *this) {
       if(sei->source()->point() ==
-	 sei->twin()->source()->point()) {
-	redundant.push_back(sei);
+         sei->twin()->source()->point()) {
+        redundant.push_back(sei);
       }
     }
 
@@ -695,73 +695,73 @@ class Gaussian_map :
       SHalfedge_handle next((*ri)->snext());
 
       std::cerr << "prev " << &*prev->source()
-		<< "->" << &*prev->twin()->source() << std::endl;      
+                << "->" << &*prev->twin()->source() << std::endl;
       std::cerr << "next " << &*next->source()
-		<< "->" << &*next->twin()->source() << std::endl;
- 
+                << "->" << &*next->twin()->source() << std::endl;
+
       if(prev->source() ==
-	 next->twin()->source()) {
-	std::cerr << "delete before" << std::endl;
-	SHalfedge_handle sein;
-	SHalfedge_handle se_cas(next->twin()->snext());
-	SFace_handle sf(next->twin()->incident_sface());
-	if(sf != SFace_handle()) {
-	  std::cerr << "not null " << std::endl;
-	  SFace_cycle_iterator sfci(sf->sface_cycles_begin());
-	  CGAL_assertion(sfci.is_shalfedge());
-	  sein = sfci;
-	  undo_sm_boundary_object(sein, sf);
-	  sein = next->twin()->sprev();
-	  std::cerr << "sein " << sein->source()->point()
-		    << "->" << sein->twin()->source()->point()
-		    << std::endl;
-	}
-	erased[next] = erased[next->twin()] = true;
-	delete_edge_pair(next);
-	next = se_cas;
-	if(sf != SFace_handle()) {
-	  link_as_face_cycle(sein, sf);
-	}
+         next->twin()->source()) {
+        std::cerr << "delete before" << std::endl;
+        SHalfedge_handle sein;
+        SHalfedge_handle se_cas(next->twin()->snext());
+        SFace_handle sf(next->twin()->incident_sface());
+        if(sf != SFace_handle()) {
+          std::cerr << "not null " << std::endl;
+          SFace_cycle_iterator sfci(sf->sface_cycles_begin());
+          CGAL_assertion(sfci.is_shalfedge());
+          sein = sfci;
+          undo_sm_boundary_object(sein, sf);
+          sein = next->twin()->sprev();
+          std::cerr << "sein " << sein->source()->point()
+                    << "->" << sein->twin()->source()->point()
+                    << std::endl;
+        }
+        erased[next] = erased[next->twin()] = true;
+        delete_edge_pair(next);
+        next = se_cas;
+        if(sf != SFace_handle()) {
+          link_as_face_cycle(sein, sf);
+        }
       }
- 
+
       prev->snext() = next;
       next->sprev() = prev;
 
       SHalfedge_handle tprev((*ri)->twin()->sprev());
       SHalfedge_handle tnext((*ri)->twin()->snext());
       if(tprev->source() ==
-	 tnext->twin()->source()) {
-	std::cerr << "delete twin" << std::endl;
-	SHalfedge_handle sein;
-	SHalfedge_handle se_cap(tprev->twin()->sprev());
-	SFace_handle sf(tprev->twin()->incident_sface());
-	if(sf != SFace_handle()) {
-	  SFace_cycle_iterator sfci(sf->sface_cycles_begin());
-	  CGAL_assertion(sfci.is_shalfedge());
-	  sein=sfci;
-	  undo_sm_boundary_object(sein, sf);
-	  sein = tprev->twin()->snext();
-	}
-	erased[tprev] = erased[tprev->twin()] = true;
-	delete_edge_pair(tprev);
-	tprev = se_cap;
-	if(sf != SFace_handle())
-	  link_as_face_cycle(sein, sf);
+         tnext->twin()->source()) {
+        std::cerr << "delete twin" << std::endl;
+        SHalfedge_handle sein;
+        SHalfedge_handle se_cap(tprev->twin()->sprev());
+        SFace_handle sf(tprev->twin()->incident_sface());
+        if(sf != SFace_handle()) {
+          SFace_cycle_iterator sfci(sf->sface_cycles_begin());
+          CGAL_assertion(sfci.is_shalfedge());
+          sein=sfci;
+          undo_sm_boundary_object(sein, sf);
+          sein = tprev->twin()->snext();
+        }
+        erased[tprev] = erased[tprev->twin()] = true;
+        delete_edge_pair(tprev);
+        tprev = se_cap;
+        if(sf != SFace_handle())
+          link_as_face_cycle(sein, sf);
       }
       tprev->snext() = tnext;
       tnext->sprev() = tprev;
 
       std::cerr << "tprev " << &*tprev->source()
-		<< "->" << &*tprev->twin()->source() << std::endl;      
+                << "->" << &*tprev->twin()->source() << std::endl;
       std::cerr << "tnext " << &*tnext->source()
-		<< "->" << &*tnext->twin()->source() << std::endl;
+                << "->" << &*tnext->twin()->source() << std::endl;
 
       while(next != tnext) {
       std::cerr << "next " << &*next->source()
-		<< "->" << &*next->twin()->source() << std::endl;
-	SHalfedge_handle se_cas(next->twin()->snext());
-	next->source() = src;
-	next = se_cas;
+                << "->" << &*next->twin()->source() << std::endl;
+        SHalfedge_handle se_cas(next->twin()->snext());
+        next->source() = src;
+        next = se_cas;
       }
       delete_edge_pair_only(*ri);
       delete_vertex_only(tgt);
@@ -771,14 +771,14 @@ class Gaussian_map :
  public:
   Gaussian_map() : Base(new Sphere_map) {}
 
-  template<typename NK, typename Items> 
+  template<typename NK, typename Items>
   Gaussian_map(const CGAL::Nef_polyhedron_3<NK, Items>& N3,
-	      typename CGAL::Nef_polyhedron_3<NK, Items>::Volume_const_iterator c) : Base(new Sphere_map) {
+              typename CGAL::Nef_polyhedron_3<NK, Items>::Volume_const_iterator c) : Base(new Sphere_map) {
 
     typedef CGAL::Nef_polyhedron_3<NK, Items> Nef_polyhedron_3;
 
     typedef typename Nef_polyhedron_3::Vertex_const_handle
-      Vertex_const_handle;   
+      Vertex_const_handle;
     typedef typename Nef_polyhedron_3::Halfedge_const_handle
       Halfedge_const_handle;
     typedef typename Nef_polyhedron_3::Halffacet_const_handle
@@ -807,11 +807,11 @@ class Gaussian_map :
     N3.visit_shell_objects(sf, create_sfaces);
   }
 
-  template<typename NK> 
+  template<typename NK>
     Gaussian_map(const CGAL::Nef_polyhedron_3<NK>& N3) : Base(new Sphere_map) {
 
     typedef CGAL::Nef_polyhedron_3<NK> Nef_polyhedron_3;
-    typedef typename Nef_polyhedron_3::Vertex_const_iterator 
+    typedef typename Nef_polyhedron_3::Vertex_const_iterator
       Vertex_const_iterator;
     typedef typename Nef_polyhedron_3::Halffacet_const_iterator
       Halffacet_const_iterator;
@@ -827,7 +827,7 @@ class Gaussian_map :
       Halffacet_const_handle;
     typedef typename Nef_polyhedron_3::SHalfedge_const_handle
       SHalfedge_const_handle;
-    
+
     Unique_hash_map<Halffacet_const_handle, SVertex_handle> Facet2SVertex;
     Unique_hash_map<Halfedge_const_handle, SHalfedge_handle> Edge2SEdge;
 
@@ -840,28 +840,28 @@ class Gaussian_map :
       sv->mark() = Mark(Point_3(0,0,0), f->mark());
       Facet2SVertex[f] = sv;
     }
-    
+
     CGAL_forall_halffacets(f,N3) {
       if(f->incident_volume() != c) continue;
       Halffacet_cycle_const_iterator fc = f->twin()->facet_cycles_begin();
       SHalfedge_const_handle se(fc);
       SHalfedge_around_facet_const_circulator hc(se), hend(hc);
       do {
-	Halfedge_const_handle e = hc->source();
-	SHalfedge_handle set = Edge2SEdge[e->twin()];
-	if(set == SHalfedge_handle())
-	  Edge2SEdge[e] = new_shalfedge_pair_at_source(Facet2SVertex[f],1);
-	else {
-	  link_as_target_and_append(Facet2SVertex[f], set);
-	  set->mark() = set->twin()->mark() = Mark(Point_3(0,0,0), e->mark());
-	  set->circle() = Sphere_circle(set->source()->point(), set->twin()->source()->point());
-	  set->twin()->circle() = set->circle().opposite();
-	  Edge2SEdge[e] = set->twin();
-	}
-	++hc;
+        Halfedge_const_handle e = hc->source();
+        SHalfedge_handle set = Edge2SEdge[e->twin()];
+        if(set == SHalfedge_handle())
+          Edge2SEdge[e] = new_shalfedge_pair_at_source(Facet2SVertex[f],1);
+        else {
+          link_as_target_and_append(Facet2SVertex[f], set);
+          set->mark() = set->twin()->mark() = Mark(Point_3(0,0,0), e->mark());
+          set->circle() = Sphere_circle(set->source()->point(), set->twin()->source()->point());
+          set->twin()->circle() = set->circle().opposite();
+          Edge2SEdge[e] = set->twin();
+        }
+        ++hc;
       } while(hc != hend);
     }
-    
+
     Vertex_const_iterator v;
     CGAL_forall_vertices(v,N3) {
 
@@ -873,13 +873,13 @@ class Gaussian_map :
       link_as_face_cycle(se,sf);
     }
   }
-  
-  template<typename PK> 
-  Gaussian_map(const CGAL::Polyhedron_3<PK>& P, bool closed = true) 
+
+  template<typename PK>
+  Gaussian_map(const CGAL::Polyhedron_3<PK>& P, bool closed = true)
     : Base(new Sphere_map) {
-    
+
     typedef CGAL::Polyhedron_3<PK> Polyhedron_3;
-    typedef typename Polyhedron_3::Vertex_const_iterator 
+    typedef typename Polyhedron_3::Vertex_const_iterator
       Vertex_const_iterator;
     typedef typename Polyhedron_3::Facet_const_iterator
       Facet_const_iterator;
@@ -889,7 +889,7 @@ class Gaussian_map :
       Halfedge_const_handle;
     typedef typename Polyhedron_3::Facet_const_handle
       Facet_const_handle;
-    
+
     Unique_hash_map<Facet_const_handle, SVertex_handle> Facet2SVertex;
     Unique_hash_map<Halfedge_const_handle, SHalfedge_handle> Edge2SEdge;
 
@@ -903,21 +903,21 @@ class Gaussian_map :
     for(f = P.facets_begin(); f != P.facets_end(); ++f) {
       Halfedge_around_facet_const_circulator hc(f->facet_begin()),hend(hc);
       do {
-	Halfedge_const_handle e = hc;
-	SHalfedge_handle set = Edge2SEdge[e->opposite()];
-	if(set == SHalfedge_handle())
-	  Edge2SEdge[e] = new_shalfedge_pair_at_source(Facet2SVertex[f],1);
-	else {
-	  link_as_target_and_append(Facet2SVertex[f], set,1);
-	  set->mark() = set->twin()->mark() = Mark(Point_3(0,0,0), closed);
-	  set->circle() = Sphere_circle(set->source()->point(), set->twin()->source()->point());
-	  set->twin()->circle() = set->circle().opposite();
-	  Edge2SEdge[e] = set->twin();
-	}
-	++hc;
+        Halfedge_const_handle e = hc;
+        SHalfedge_handle set = Edge2SEdge[e->opposite()];
+        if(set == SHalfedge_handle())
+          Edge2SEdge[e] = new_shalfedge_pair_at_source(Facet2SVertex[f],1);
+        else {
+          link_as_target_and_append(Facet2SVertex[f], set,1);
+          set->mark() = set->twin()->mark() = Mark(Point_3(0,0,0), closed);
+          set->circle() = Sphere_circle(set->source()->point(), set->twin()->source()->point());
+          set->twin()->circle() = set->circle().opposite();
+          Edge2SEdge[e] = set->twin();
+        }
+        ++hc;
       } while(hc != hend);
     }
-   
+
     Vertex_const_iterator v;
     for(v = P.vertices_begin(); v != P.vertices_end(); ++v) {
       Halfedge_const_handle e(v->halfedge());
@@ -928,158 +928,158 @@ class Gaussian_map :
     }
   }
 
-  Gaussian_map(typename Nef::Halffacet_const_handle f) 
-    : Base(new Sphere_map) 
+  Gaussian_map(typename Nef::Halffacet_const_handle f)
+    : Base(new Sphere_map)
   {
-    SVertex_handle 
-      sv1(this->new_svertex(CGAL::ORIGIN + 
-			    f->plane().orthogonal_vector())),
+    SVertex_handle
+      sv1(this->new_svertex(CGAL::ORIGIN +
+                            f->plane().orthogonal_vector())),
       sv2(this->new_svertex(CGAL::ORIGIN-sv1->point()));
-	  
-    sv1->mark() = sv1->mark() = 
+
+    sv1->mark() = sv1->mark() =
       Mark(Point_3(0,0,0), f->mark());
 
-    typename Nef::SHalfedge_around_facet_const_circulator 
+    typename Nef::SHalfedge_around_facet_const_circulator
       sfc(f->facet_cycles_begin()), send(sfc);
 
     SHalfedge_handle se1 = this->new_shalfedge_pair(sv1, sv2);
     Point_3 orth(sfc->twin()->source()->point());
-    se1->circle() = Sphere_circle(orth.hx(), 
-				  orth.hy(),
-				  orth.hz());
+    se1->circle() = Sphere_circle(orth.hx(),
+                                  orth.hy(),
+                                  orth.hz());
     se1->twin()->circle() = se1->circle().opposite();
-    se1->mark() = se1->twin()->mark() = 
+    se1->mark() = se1->twin()->mark() =
       Mark(Point_3(0,0,0), sfc->twin()->source()->mark());
-    
+
     SHalfedge_handle se_prev(se1);
 
     ++sfc;
     CGAL_For_all(sfc, send) {
-      SHalfedge_handle 
-	se(this->new_shalfedge_pair(se_prev, se_prev->twin(),
-				    SM_decorator::AFTER, SM_decorator::BEFORE));
+      SHalfedge_handle
+        se(this->new_shalfedge_pair(se_prev, se_prev->twin(),
+                                    SM_decorator::AFTER, SM_decorator::BEFORE));
       Point_3 orth(sfc->twin()->source()->point());
-      se->circle() = Sphere_circle(orth.hx(), 
-				   orth.hy(),
-				   orth.hz());
+      se->circle() = Sphere_circle(orth.hx(),
+                                   orth.hy(),
+                                   orth.hz());
       se->twin()->circle() = se->circle().opposite();
-      se->mark() = se->twin()->mark() = 
-	Mark(Point_3(0,0,0), sfc->twin()->source()->mark());      
+      se->mark() = se->twin()->mark() =
+        Mark(Point_3(0,0,0), sfc->twin()->source()->mark());
       se_prev = se;
     }
 
-    typename Sphere_map::SHalfedge_around_svertex_circulator 
+    typename Sphere_map::SHalfedge_around_svertex_circulator
       svc(sv1->out_sedge());
     CGAL_For_all(sfc, send) {
       SFace_handle sf = this->new_sface();
-      sf->mark() = 
-	Mark(sfc->source()->source()->point(), sfc->source()->source()->mark());
+      sf->mark() =
+        Mark(sfc->source()->source()->point(), sfc->source()->source()->mark());
       this->link_as_face_cycle(svc->twin(), sf);
       ++svc;
-    } 
+    }
   }
 
-  Gaussian_map(typename Nef::Halfedge_const_handle e) 
-    : Base(new Sphere_map) 
+  Gaussian_map(typename Nef::Halfedge_const_handle e)
+    : Base(new Sphere_map)
   {
     SHalfloop_handle sl = this->new_shalfloop_pair();
     Point_3 p = e->twin()->point();
     sl->circle() = Sphere_circle(p.hx(), p.hy(), p.hz());
     sl->twin()->circle() = sl->circle().opposite();
-    sl->mark() = sl->twin()->mark() = 
+    sl->mark() = sl->twin()->mark() =
       Mark(Point_3(0,0,0), e->mark());
-    
+
     SFace_handle sf1 = this->new_sface();
     SFace_handle sf2 = this->new_sface();
-    sf1->mark() = Mark(e->source()->point(), 
-		       e->source()->mark());
+    sf1->mark() = Mark(e->source()->point(),
+                       e->source()->mark());
     sf2->mark() = Mark(e->twin()->source()->point(),
-		       e->twin()->source()->mark());
+                       e->twin()->source()->mark());
 
     this->link_as_loop(sl, sf1);
     this->link_as_loop(sl->twin(), sf2);
   }
 
-  Gaussian_map(typename Nef::Vertex_const_handle v) 
-    : Base(new Sphere_map) 
+  Gaussian_map(typename Nef::Vertex_const_handle v)
+    : Base(new Sphere_map)
   {
     SFace_handle sf = this->new_sface();
     sf->mark() = Mark(v->point(), v->mark());
   }
 
 
-  void simplify() 
+  void simplify()
   {
-	  CGAL_NEF_TRACEN("simplify");
-    
-	  typedef typename CGAL::Union_find<SFace_handle>::handle Union_find_handle;
-	  CGAL::Unique_hash_map< SFace_handle, Union_find_handle> Pitem(nullptr);
-	  CGAL::Union_find< SFace_handle> UF;
-    
-	  SFace_iterator f;
-	  CGAL_forall_sfaces(f,*this) {
-		  Pitem[f] = UF.make_set(f);
-		  clear_face_cycle_entries(f);
-	  }
-    
-	  SHalfedge_iterator e, en;
-	  for(e = this->shalfedges_begin(); e != this->shalfedges_end(); e = en) 
-	  { 
-		  en = e; ++en; if ( en==e->twin() ) ++en;
-		  CGAL_NEF_TRACEN("can simplify ? " << PH(e));
-		  CGAL_NEF_TRACEN(e->mark() << " " << e->incident_sface()->mark() 
-						  << " " << e->twin()->incident_sface()->mark());
-		  if (e->incident_sface()->mark() == 
-			  e->twin()->incident_sface()->mark()) {
-			  CGAL_NEF_TRACEN("deleting "<<PH(e));
-			  if ( !UF.same_set(Pitem[e->incident_sface()],
-								Pitem[e->twin()->incident_sface()]) ) {
-	  
-				  UF.unify_sets( Pitem[e->incident_sface()],
-								 Pitem[e->twin()->incident_sface()] );
-				  CGAL_NEF_TRACEN("unioning disjoint faces");
-			  }
-	
-			  CGAL_NEF_TRACEN("is_closed_at_source " << is_closed_at_source(e) << 
-							  " " << is_closed_at_source(e->twin()));
-			  delete_edge_pair(e);
-		  }
-	  }
-    
-	  CGAL::Unique_hash_map<SHalfedge_handle,bool> linked(false);
-	  for (e = this->shalfedges_begin(); e != this->shalfedges_end(); ++e) {
-		  if ( linked[e] ) continue;
-		  SHalfedge_around_sface_circulator hfc(e),hend(hfc);
-		  SFace_handle f = *(UF.find( Pitem[e->incident_sface()]));
-		  CGAL_For_all(hfc,hend) {  set_face(hfc,f); linked[hfc]=true; }
-		  store_sm_boundary_object(e,f);
-	  }
-    
-	  SVertex_iterator v,vn;
-	  for(v = this->svertices_begin(); v != this->svertices_end(); v=vn) 
-	  {
-		  vn=v; ++vn;
-		  if ( is_isolated(v) ) {
-			  delete_vertex_only(v);
-			  continue;
-		  }
-		  if ( has_outdeg_two(v)) {
-			  merge_edge_pairs_at_target(first_out_edge(v)->sprev()); 
-		  } 
-	  }
-    
-	  SFace_iterator fn;
-	  for (f = fn = this->sfaces_begin(); f != this->sfaces_end(); f=fn) 
-	  { 
-		  ++fn;
-		  Union_find_handle pit = Pitem[f];
-		  if ( UF.find(pit) != pit ) {
-			  CGAL_NEF_TRACEN("delete face " << &*f);
-			  delete_face_only(f);
-		  }
-	  }
-  }      
-  
+          CGAL_NEF_TRACEN("simplify");
+
+          typedef typename CGAL::Union_find<SFace_handle>::handle Union_find_handle;
+          CGAL::Unique_hash_map< SFace_handle, Union_find_handle> Pitem(nullptr);
+          CGAL::Union_find< SFace_handle> UF;
+
+          SFace_iterator f;
+          CGAL_forall_sfaces(f,*this) {
+                  Pitem[f] = UF.make_set(f);
+                  clear_face_cycle_entries(f);
+          }
+
+          SHalfedge_iterator e, en;
+          for(e = this->shalfedges_begin(); e != this->shalfedges_end(); e = en)
+          {
+                  en = e; ++en; if ( en==e->twin() ) ++en;
+                  CGAL_NEF_TRACEN("can simplify ? " << PH(e));
+                  CGAL_NEF_TRACEN(e->mark() << " " << e->incident_sface()->mark()
+                                                  << " " << e->twin()->incident_sface()->mark());
+                  if (e->incident_sface()->mark() ==
+                          e->twin()->incident_sface()->mark()) {
+                          CGAL_NEF_TRACEN("deleting "<<PH(e));
+                          if ( !UF.same_set(Pitem[e->incident_sface()],
+                                                                Pitem[e->twin()->incident_sface()]) ) {
+
+                                  UF.unify_sets( Pitem[e->incident_sface()],
+                                                                 Pitem[e->twin()->incident_sface()] );
+                                  CGAL_NEF_TRACEN("unioning disjoint faces");
+                          }
+
+                          CGAL_NEF_TRACEN("is_closed_at_source " << is_closed_at_source(e) <<
+                                                          " " << is_closed_at_source(e->twin()));
+                          delete_edge_pair(e);
+                  }
+          }
+
+          CGAL::Unique_hash_map<SHalfedge_handle,bool> linked(false);
+          for (e = this->shalfedges_begin(); e != this->shalfedges_end(); ++e) {
+                  if ( linked[e] ) continue;
+                  SHalfedge_around_sface_circulator hfc(e),hend(hfc);
+                  SFace_handle f = *(UF.find( Pitem[e->incident_sface()]));
+                  CGAL_For_all(hfc,hend) {  set_face(hfc,f); linked[hfc]=true; }
+                  store_sm_boundary_object(e,f);
+          }
+
+          SVertex_iterator v,vn;
+          for(v = this->svertices_begin(); v != this->svertices_end(); v=vn)
+          {
+                  vn=v; ++vn;
+                  if ( is_isolated(v) ) {
+                          delete_vertex_only(v);
+                          continue;
+                  }
+                  if ( has_outdeg_two(v)) {
+                          merge_edge_pairs_at_target(first_out_edge(v)->sprev());
+                  }
+          }
+
+          SFace_iterator fn;
+          for (f = fn = this->sfaces_begin(); f != this->sfaces_end(); f=fn)
+          {
+                  ++fn;
+                  Union_find_handle pit = Pitem[f];
+                  if ( UF.find(pit) != pit ) {
+                          CGAL_NEF_TRACEN("delete face " << &*f);
+                          delete_face_only(f);
+                  }
+          }
+  }
+
   void minkowski_sum(const Gaussian_map& G1, const Gaussian_map& G2) {
     SM_overlayer O(this->sphere_map());
 #ifdef CGAL_NEF3_TIMER_OVERLAY
@@ -1095,123 +1095,123 @@ class Gaussian_map :
     O.select(va);
     simplify();
   }
-  
+
   Object_handle get_top() {
     return top;
   }
   Object_handle get_bottom() {
     return bottom;
   }
-  
+
   Object_handle locate_top() {
     std::vector<SFace_iterator> topSF;
     SFace_iterator sfi = this->sfaces_begin();
     topSF.push_back(sfi);
-    
+
     Comparison_result cr;
     for(++sfi;sfi != this->sfaces_end(); ++sfi) {
       cr = compare_z(sfi->mark(), (*topSF.begin())->mark());
       if(cr != CGAL::SMALLER) {
-	if(cr == CGAL::LARGER)
-	  topSF.clear();
-	topSF.push_back(sfi);	
+        if(cr == CGAL::LARGER)
+          topSF.clear();
+        topSF.push_back(sfi);
       }
     }
-    
+
     SFace_handle sf(topSF.front());
     if(topSF.size()==1)
     return Object_handle(SFace_const_handle(sf));
     else {
       SHalfedge_handle se(sf->sface_cycles_begin());
-      SHalfedge_around_sface_circulator sfc(se), sfend(sfc);       
-      
+      SHalfedge_around_sface_circulator sfc(se), sfend(sfc);
+
       if(topSF.size()==2) {
-	while(sfc->circle().c()!=0) {
-	  ++sfc;
-	  CGAL_assertion(sfc != sfend);
-	}
-	return Object_handle(SHalfedge_const_handle(sfc));
+        while(sfc->circle().c()!=0) {
+          ++sfc;
+          CGAL_assertion(sfc != sfend);
+        }
+        return Object_handle(SHalfedge_const_handle(sfc));
       } else {
-	CGAL_assertion(topSF.size() > 0);
-	while(sfc->source()->point().hx()!=0 || 
-	      sfc->source()->point().hy()!=0 ||
-	      sfc->source()->point().hz()<=0) {
-	  ++sfc;
-	  CGAL_assertion(sfc != sfend);
-	}
-	return Object_handle(SVertex_const_handle(sfc->source()));      
+        CGAL_assertion(topSF.size() > 0);
+        while(sfc->source()->point().hx()!=0 ||
+              sfc->source()->point().hy()!=0 ||
+              sfc->source()->point().hz()<=0) {
+          ++sfc;
+          CGAL_assertion(sfc != sfend);
+        }
+        return Object_handle(SVertex_const_handle(sfc->source()));
       }
     }
     CGAL_error_msg("line should not be executed");
     return Object_handle();
   }
-  
+
   Object_handle locate_bottom() {
     std::vector<SFace_iterator> bottomSF;
     SFace_iterator sfi = this->sfaces_begin();
     bottomSF.push_back(sfi);
-    
+
     Comparison_result cr;
     for(++sfi;sfi != this->sfaces_end(); ++sfi) {
       cr = compare_z(sfi->mark(), (*bottomSF.begin())->mark());
       if(cr != CGAL::LARGER) {
-	if(cr == CGAL::SMALLER)
-	  bottomSF.clear();
-	bottomSF.push_back(sfi);	
+        if(cr == CGAL::SMALLER)
+          bottomSF.clear();
+        bottomSF.push_back(sfi);
       }
     }
-    
+
     SFace_handle sf(bottomSF.front());
     if(bottomSF.size()==1)
     return Object_handle(SFace_const_handle(sf));
     else {
       SHalfedge_handle se(sf->sface_cycles_begin());
-      SHalfedge_around_sface_circulator sfc(se), sfend(sfc);       
-      
-	if(bottomSF.size()==2) {
-	  while(sfc->circle().c()!=0) {
-	    ++sfc;
-	    CGAL_assertion(sfc != sfend);
-	  }
-	  return Object_handle(SHalfedge_const_handle(sfc));
-	} else {
-	  CGAL_assertion(bottomSF.size() > 0);
-	  while(sfc->source()->point().hx()!=0 || 
-		sfc->source()->point().hy()!=0 ||
-		sfc->source()->point().hz()>=0) {
-	    ++sfc;
-	    CGAL_assertion(sfc != sfend);
-	  }
-	  return Object_handle(SVertex_const_handle(sfc->source()));      
-	}
+      SHalfedge_around_sface_circulator sfc(se), sfend(sfc);
+
+        if(bottomSF.size()==2) {
+          while(sfc->circle().c()!=0) {
+            ++sfc;
+            CGAL_assertion(sfc != sfend);
+          }
+          return Object_handle(SHalfedge_const_handle(sfc));
+        } else {
+          CGAL_assertion(bottomSF.size() > 0);
+          while(sfc->source()->point().hx()!=0 ||
+                sfc->source()->point().hy()!=0 ||
+                sfc->source()->point().hz()>=0) {
+            ++sfc;
+            CGAL_assertion(sfc != sfend);
+          }
+          return Object_handle(SVertex_const_handle(sfc->source()));
+        }
     }
     CGAL_error_msg("line should not be executed");
     return Object_handle();
   }
-  
+
 };
 
 template<typename Kernel, typename Nef, typename Mark>
 std::ostream& operator<<(std::ostream& out, const CGAL::Gaussian_map<Kernel, Nef, Mark>& G) {
   out << "OFF" << std::endl;
   out << G.number_of_sfaces() << " " << G.number_of_svertices() << " 0" << std::endl;
-  
-  typedef typename CGAL::Gaussian_map<Kernel, Nef, Mark>::SFace_const_iterator 
+
+  typedef typename CGAL::Gaussian_map<Kernel, Nef, Mark>::SFace_const_iterator
     SFace_const_iterator;
   CGAL::Unique_hash_map<SFace_const_iterator, int> SFace2int;
-  
+
   int i=0;
   SFace_const_iterator sf;
   CGAL_forall_sfaces(sf, G) {
     SFace2int[sf] = i++;
-    out << CGAL::to_double(sf->mark().x()) << " " 
-	<< CGAL::to_double(sf->mark().y()) << " " 
-	<< CGAL::to_double(sf->mark().z()) << std::endl;
+    out << CGAL::to_double(sf->mark().x()) << " "
+        << CGAL::to_double(sf->mark().y()) << " "
+        << CGAL::to_double(sf->mark().z()) << std::endl;
   }
 
   typename CGAL::Gaussian_map<Kernel, Nef, Mark>::SVertex_const_iterator sv;
   CGAL_forall_svertices(sv,G) {
-    typename CGAL::Gaussian_map<Kernel, Nef, Mark>::SHalfedge_around_svertex_const_circulator 
+    typename CGAL::Gaussian_map<Kernel, Nef, Mark>::SHalfedge_around_svertex_const_circulator
       svc(G.first_out_edge(sv)),
       svc1(svc),
       svend(svc);
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_3/Gaussian_map_to_nef_3.h 5.0.3-1/include/CGAL/Minkowski_sum_3/Gaussian_map_to_nef_3.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_3/Gaussian_map_to_nef_3.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_3/Gaussian_map_to_nef_3.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_3/include/CGAL/Minkowski_sum_3/Gaussian_map_to_nef_3.h $
-// $Id: Gaussian_map_to_nef_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_3/include/CGAL/Minkowski_sum_3/Gaussian_map_to_nef_3.h $
+// $Id: Gaussian_map_to_nef_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_MINKOWSKI_GAUSSIAN_MAP_TO_NEF_3_H
@@ -23,7 +23,7 @@ namespace CGAL {
 
 template<typename Nef3>
   class Gaussian_map_to_nef_3 : public Modifier_base<typename Nef3::SNC_structure > {
-    
+
   typedef typename Nef3::Kernel                   Kernel;
   typedef typename Nef3::SNC_structure            SNC_structure;
   typedef typename SNC_structure::Sphere_map      Sphere_map;
@@ -44,7 +44,7 @@ template<typename Nef3>
   typedef typename SNC_structure::SVertex_handle           SVertex_handle;
   typedef typename SNC_structure::SHalfedge_handle         SHalfedge_handle;
   typedef typename SNC_structure::SFace_handle             SFace_handle;
-  
+
   typedef typename SNC_structure::Sphere_circle            Sphere_circle;
   typedef typename SNC_structure::Sphere_point             Sphere_point;
 
@@ -52,29 +52,29 @@ template<typename Nef3>
 
  public:
   Gaussian_map_to_nef_3(const Gaussian_map& Gin) : G(Gin) {}
-    
+
   void create_solid(SNC_structure& snc) {
-  
+
     CGAL::Unique_hash_map<SHalfedge_const_handle, int> SE2i;
     SHalfedge_const_iterator sei;
     CGAL_forall_sedges(sei, G) {
       SE2i[sei] = Index_generator::get_unique_index();
       SE2i[sei->twin()] = SE2i[sei];
     }
-    
+
     CGAL::Unique_hash_map
       <SVertex_const_handle, std::pair<int, int> > SV2i;
     SVertex_const_iterator svi;
     CGAL_forall_svertices(svi, G)
       SV2i[svi] = std::pair<int, int>
-      (Index_generator::get_unique_index(), 
+      (Index_generator::get_unique_index(),
        Index_generator::get_unique_index());
-    
+
     CGAL::Unique_hash_map<SFace_const_handle, Vertex_handle> sface2vertex;
     SFace_const_iterator sfi;
     for(sfi = G.sfaces_begin(); sfi != G.sfaces_end(); ++sfi) {
-      sface2vertex[sfi] = snc.new_vertex(sfi->mark().point(), 
-					 sfi->mark().boolean());
+      sface2vertex[sfi] = snc.new_vertex(sfi->mark().point(),
+                                         sfi->mark().boolean());
     }
 
     for(sfi = G.sfaces_begin(); sfi != G.sfaces_end(); ++sfi) {
@@ -83,16 +83,16 @@ template<typename Nef3>
 
       SHalfedge_const_handle sec = sfi->sface_cycles_begin();
       SHalfedge_around_sface_const_circulator sfc(sec), sfcend(sfc);
-      
+
       SVertex_handle sv, sv_prev, sv_first;
       SHalfedge_handle se, se_prev, se_first;
-      sv_first = 
-	SM.new_svertex(sface2vertex[sfc->twin()->incident_sface()]->point()-v->point());
+      sv_first =
+        SM.new_svertex(sface2vertex[sfc->twin()->incident_sface()]->point()-v->point());
       sv_first->mark() = sfc->mark().boolean();
       sv_first->set_index(SE2i[sfc]);
       ++sfc;
-      sv_prev = sv = 
-	SM.new_svertex(sface2vertex[sfc->twin()->incident_sface()]->point()-v->point());
+      sv_prev = sv =
+        SM.new_svertex(sface2vertex[sfc->twin()->incident_sface()]->point()-v->point());
       sv->mark() = sfc->mark().boolean();
       sv->set_index(SE2i[sfc]);
       se_first = se_prev = SM.new_shalfedge_pair(sv_first, sv_prev);
@@ -105,22 +105,22 @@ template<typename Nef3>
 
       ++sfc;
       CGAL_For_all(sfc,sfcend) {
-	sv = SM.new_svertex(sface2vertex[sfc->twin()->incident_sface()]->point()-v->point());
-	sv->mark() = sfc->mark().boolean();
-	sv->set_index(SE2i[sfc]);	
-	se = SM.new_shalfedge_pair(sv_prev, sv);
-	se->mark() = se->twin()->mark() = sfc->source()->mark().boolean();
-	se->set_index(SV2i[sfc->source()].first);
-	se->twin()->set_index(SV2i[sfc->source()].second);
-	se->circle() = Sphere_circle(sv_prev->point(), sv->point());
-	se->circle() = normalized(se->circle());
-	se->twin()->circle() = se->circle().opposite();
-	se->sprev() = se_prev;
-	se_prev->snext() = se;	
-	sv_prev = sv;
-	se_prev = se;
+        sv = SM.new_svertex(sface2vertex[sfc->twin()->incident_sface()]->point()-v->point());
+        sv->mark() = sfc->mark().boolean();
+        sv->set_index(SE2i[sfc]);
+        se = SM.new_shalfedge_pair(sv_prev, sv);
+        se->mark() = se->twin()->mark() = sfc->source()->mark().boolean();
+        se->set_index(SV2i[sfc->source()].first);
+        se->twin()->set_index(SV2i[sfc->source()].second);
+        se->circle() = Sphere_circle(sv_prev->point(), sv->point());
+        se->circle() = normalized(se->circle());
+        se->twin()->circle() = se->circle().opposite();
+        se->sprev() = se_prev;
+        se_prev->snext() = se;
+        sv_prev = sv;
+        se_prev = se;
       }
-     
+
       se = SM.new_shalfedge_pair(sv_prev, sv_first);
       se->mark() = se->twin()->mark() = sfc->source()->mark().boolean();
       se->set_index(SV2i[sfc->source()].first);
@@ -143,9 +143,9 @@ template<typename Nef3>
   }
 
   void create_single_vertex(SNC_structure& snc) {
-    Vertex_handle v = 
+    Vertex_handle v =
       snc.new_vertex(G.sfaces_begin()->mark().point(),
-		     G.sfaces_begin()->mark().boolean());
+                     G.sfaces_begin()->mark().boolean());
     SM_decorator SM(&*v);
     SFace_handle sf = SM.new_sface();
     sf->mark() = false;
@@ -153,9 +153,9 @@ template<typename Nef3>
 
   void create_single_edge(SNC_structure& snc) {
     SHalfloop_const_handle slc = G.shalfloop();
-    Vertex_handle v0 = 
+    Vertex_handle v0 =
       snc.new_vertex(slc->incident_sface()->mark().point(),
-		     slc->incident_sface()->mark().boolean());
+                     slc->incident_sface()->mark().boolean());
     SM_decorator SM0(&*v0);
     SVertex_handle sv0 = SM0.new_svertex();
     sv0->point() = slc->circle().orthogonal_vector();
@@ -164,9 +164,9 @@ template<typename Nef3>
     sf0->mark() = false;
     SM0.link_as_isolated_vertex(sv0, sf0);
 
-    Vertex_handle v1 = 
+    Vertex_handle v1 =
       snc.new_vertex(slc->twin()->incident_sface()->mark().point(),
-		     slc->twin()->incident_sface()->mark().boolean());
+                     slc->twin()->incident_sface()->mark().boolean());
     SM_decorator SM1(&*v1);
     SVertex_handle sv1 = SM1.new_svertex();
     sv1->point() = sv0->point().antipode();
@@ -183,20 +183,20 @@ template<typename Nef3>
       SE2i[sei] = Index_generator::get_unique_index();
       SE2i[sei->twin()] = SE2i[sei];
     }
-    
+
     CGAL::Unique_hash_map
       <SVertex_const_handle, std::pair<int, int> > SV2i;
     SVertex_const_iterator svi;
     CGAL_forall_svertices(svi, G)
       SV2i[svi] = std::pair<int, int>
-      (Index_generator::get_unique_index(), 
+      (Index_generator::get_unique_index(),
        Index_generator::get_unique_index());
-    
+
     CGAL::Unique_hash_map<SFace_const_handle, Vertex_handle> sface2vertex;
     SFace_const_iterator sfi;
     for(sfi = G.sfaces_begin(); sfi != G.sfaces_end(); ++sfi) {
-      sface2vertex[sfi] = snc.new_vertex(sfi->mark().point(), 
-					 sfi->mark().boolean());
+      sface2vertex[sfi] = snc.new_vertex(sfi->mark().point(),
+                                         sfi->mark().boolean());
     }
 
     for(sfi = G.sfaces_begin(); sfi != G.sfaces_end(); ++sfi) {
@@ -205,14 +205,14 @@ template<typename Nef3>
 
       SHalfedge_const_handle sec = sfi->sface_cycles_begin();
       SHalfedge_around_sface_const_circulator sfc(sec);
-      
-      SVertex_handle sv0 = 
-	SM.new_svertex(sface2vertex[sfc->twin()->incident_sface()]->point()-v->point());
+
+      SVertex_handle sv0 =
+        SM.new_svertex(sface2vertex[sfc->twin()->incident_sface()]->point()-v->point());
       sv0->mark() = sfc->mark().boolean();
       sv0->set_index(SE2i[sfc]);
       ++sfc;
-      SVertex_handle sv1 = 
-	SM.new_svertex(sface2vertex[sfc->twin()->incident_sface()]->point()-v->point());
+      SVertex_handle sv1 =
+        SM.new_svertex(sface2vertex[sfc->twin()->incident_sface()]->point()-v->point());
       sv1->mark() = sfc->mark().boolean();
       sv1->set_index(SE2i[sfc]);
 
@@ -227,7 +227,7 @@ template<typename Nef3>
       SFace_handle sf = SM.new_sface();
       sf->mark() = false;
       SM.link_as_face_cycle(se, sf);
-    } 
+    }
   }
 
   void operator()(SNC_structure& snc) {
diff -pruN 5.0.2-3/include/CGAL/Minkowski_sum_3/PointMark.h 5.0.3-1/include/CGAL/Minkowski_sum_3/PointMark.h
--- 5.0.2-3/include/CGAL/Minkowski_sum_3/PointMark.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Minkowski_sum_3/PointMark.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_3/include/CGAL/Minkowski_sum_3/PointMark.h $
-// $Id: PointMark.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_3/include/CGAL/Minkowski_sum_3/PointMark.h $
+// $Id: PointMark.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_MS3_POINTMARK_H
@@ -57,23 +57,23 @@ class PointMark {
 };
 
 template <typename Kernel>
-std::ostream& operator<<(std::ostream& out, 
-			 const PointMark<Kernel>& pm) {
+std::ostream& operator<<(std::ostream& out,
+                         const PointMark<Kernel>& pm) {
   out << pm.point() << "/" << pm.boolean();
   return out;
 }
 
 template <typename Kernel>
 bool operator==(const PointMark<Kernel>& pm1,
-		const PointMark<Kernel>& pm2) {
-  return 
+                const PointMark<Kernel>& pm2) {
+  return
     pm1.point() == pm2.point() &&
     pm1.boolean() == pm2.boolean();
 }
 
 template <typename Kernel>
 const PointMark<Kernel> operator+(const PointMark<Kernel>& pm1,
-				  const PointMark<Kernel>& pm2) {
+                                  const PointMark<Kernel>& pm2) {
   PointMark<Kernel> ret(pm1);
   ret += pm2;
   return ret;
diff -pruN 5.0.2-3/include/CGAL/minkowski_sum_3.h 5.0.3-1/include/CGAL/minkowski_sum_3.h
--- 5.0.2-3/include/CGAL/minkowski_sum_3.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/minkowski_sum_3.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_3/include/CGAL/minkowski_sum_3.h $
-// $Id: minkowski_sum_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_3/include/CGAL/minkowski_sum_3.h $
+// $Id: minkowski_sum_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :  Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_MINKOWSKI_SUM_3_H
@@ -16,7 +16,7 @@
 
 
 #include <CGAL/convex_decomposition_3.h>
-#include <CGAL/Minkowski_sum_3/bipartite_nary_union_sorted_combined.h> 
+#include <CGAL/Minkowski_sum_3/bipartite_nary_union_sorted_combined.h>
 #include <CGAL/Is_extended_kernel.h>
 
 /// \file minkowski_sum_3.h
@@ -26,43 +26,43 @@ namespace CGAL {
 /*!
 \ingroup PkgMinkowskiSum3Ref
 
-The function `minkowski_sum_3()` computes the Minkowski sum of two 
-given 3D Nef polyhedra \f$ N0\f$ and \f$ N1\f$. Note that the function runs in 
-\f$ O(n^3m^3)\f$ time in the worst case, where \f$ n\f$ and 
-\f$ m\f$ are the complexities of the two input polyhedra (the complexity of 
-a `Nef_polyhedron_3` is the sum of its `Vertices`, 
-`Halfedges` and `SHalfedges`). 
-
-An input polyhedron may consist of: 
-<OL> 
-<LI>singular vertices 
-<LI>singular edges 
-<LI>singular convex facets without holes 
-<LI>surfaces with convex facets that have no holes. 
-<LI>three-dimensional features, whose coplanar facets have 
-common selection marks (this includes open and closed solids) 
-</OL> 
-
-Taking a different viewpoint, the implementation is restricted as 
-follows: 
-<OL> 
-<LI>The input polyhedra must be bounded (selected outer volume is ignored). 
-<LI>All sets of coplanar facets of a full-dimensional 
-feature must have the same selection mark (in case of different 
-selection marks, unselected is assumed). 
-<LI>All facets of lower-dimensional features need to be convex and 
-must not have holes (non-convex facets and holes are ignored). 
-</OL> 
+The function `minkowski_sum_3()` computes the Minkowski sum of two
+given 3D Nef polyhedra \f$ N0\f$ and \f$ N1\f$. Note that the function runs in
+\f$ O(n^3m^3)\f$ time in the worst case, where \f$ n\f$ and
+\f$ m\f$ are the complexities of the two input polyhedra (the complexity of
+a `Nef_polyhedron_3` is the sum of its `Vertices`,
+`Halfedges` and `SHalfedges`).
+
+An input polyhedron may consist of:
+<OL>
+<LI>singular vertices
+<LI>singular edges
+<LI>singular convex facets without holes
+<LI>surfaces with convex facets that have no holes.
+<LI>three-dimensional features, whose coplanar facets have
+common selection marks (this includes open and closed solids)
+</OL>
+
+Taking a different viewpoint, the implementation is restricted as
+follows:
+<OL>
+<LI>The input polyhedra must be bounded (selected outer volume is ignored).
+<LI>All sets of coplanar facets of a full-dimensional
+feature must have the same selection mark (in case of different
+selection marks, unselected is assumed).
+<LI>All facets of lower-dimensional features need to be convex and
+must not have holes (non-convex facets and holes are ignored).
+</OL>
 
-\post If either of the input polyhedra is non-convex, it is modified during the computation, i.e., it is decomposed into convex pieces. 
+\post If either of the input polyhedra is non-convex, it is modified during the computation, i.e., it is decomposed into convex pieces.
 
-\sa `CGAL::Nef_polyhedron_3<Traits>` 
+\sa `CGAL::Nef_polyhedron_3<Traits>`
 \sa \link CGAL::convex_decomposition_3 `CGAL::convex_decomposition_3()`\endlink
 
 */
 template<typename Nef_polyhedron_3>
-Nef_polyhedron_3 
-minkowski_sum_3(Nef_polyhedron_3& N0, Nef_polyhedron_3& N1) 
+Nef_polyhedron_3
+minkowski_sum_3(Nef_polyhedron_3& N0, Nef_polyhedron_3& N1)
 {
   typedef typename Nef_polyhedron_3::Kernel Kernel;
   typedef typename Is_extended_kernel<Kernel>::value_type Is_extended_kernel;
@@ -75,7 +75,7 @@ minkowski_sum_3(Nef_polyhedron_3& N0, Ne
     std::cerr << "first parameter is an infinite point set" << std::endl;
     return N0;
   }
-   
+
   if(N1.volumes_begin()->mark()) {
     std::cerr << "second parameter is an infinite point set" << std::endl;
     return N1;
diff -pruN 5.0.2-3/include/CGAL/min_max_n.h 5.0.3-1/include/CGAL/min_max_n.h
--- 5.0.2-3/include/CGAL/min_max_n.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/min_max_n.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/min_max_n.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/min_max_n.h $
 // $Id: min_max_n.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/min_quadrilateral_2.h 5.0.3-1/include/CGAL/min_quadrilateral_2.h
--- 5.0.2-3/include/CGAL/min_quadrilateral_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/min_quadrilateral_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/min_quadrilateral_2.h $
-// $Id: min_quadrilateral_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/min_quadrilateral_2.h $
+// $Id: min_quadrilateral_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch> and
 //                 Emo Welzl <emo@inf.ethz.ch>
@@ -268,23 +268,23 @@ namespace Optimisation {
     // ---------------------------------------------------------------
     // Right_of_implicit_line_2
     // ---------------------------------------------------------------
-    typedef boost::function3<bool,Point_2,Point_2,Direction_2> 
+    typedef boost::function3<bool,Point_2,Point_2,Direction_2>
       Right_of_implicit_line_2;
-    
+
     Right_of_implicit_line_2 right_of_implicit_line_2_object() const {
       return boost::bind(has_on_negative_side_2_object(),
-			 boost::bind(construct_line_2_object(), _2, _3),
-			 _1);
+                         boost::bind(construct_line_2_object(), _2, _3),
+                         _1);
     }
-    
-    typedef boost::function2<Direction_2,Point_2,Point_2> 
+
+    typedef boost::function2<Direction_2,Point_2,Point_2>
       Construct_direction_2;
-    
+
     Construct_direction_2 construct_direction_2_object() const {
       return boost::bind(Base::construct_direction_2_object(),
-			 boost::bind(construct_vector_2_object(), _1, _2));
+                         boost::bind(construct_vector_2_object(), _1, _2));
     }
-    
+
     template < class Kernel >
     class Rdbmop
     : public CGAL::cpp98::binary_function< Direction_2, int, Direction_2 >
@@ -294,16 +294,16 @@ namespace Optimisation {
       typename Kernel::Construct_direction_2              dir;
       typename Kernel::Construct_opposite_direction_2     oppdir;
     public:
-    
+
       Rdbmop() {}
-    
+
       Rdbmop(const Kernel& k)
       : cperpvec(k.construct_perpendicular_vector_2_object()),
         cvec(k.construct_vector_from_direction_2_object()),
         dir(k.construct_direction_2_object()),
         oppdir(k.construct_opposite_direction_2_object())
       {}
-    
+
       Direction_2
       operator()(const Direction_2& d, int i) const
       {
@@ -317,17 +317,17 @@ namespace Optimisation {
         return dir(cperpvec(cvec(d), COUNTERCLOCKWISE));
       }
     };
-    
+
     typedef Rdbmop<Traits> Rotate_direction_by_multiple_of_pi_2;
-    
+
     Rotate_direction_by_multiple_of_pi_2
     rotate_direction_by_multiple_of_pi_2_object() const
     { return Rotate_direction_by_multiple_of_pi_2(*this); }
-    
+
     typedef boost::function2<bool,Direction_2,Direction_2>
       Less_angle_with_x_axis_2;
     Less_angle_with_x_axis_2 less_angle_with_x_axis_2_object() const {
-      return boost::bind(std::equal_to<Comparison_result>(), 
+      return boost::bind(std::equal_to<Comparison_result>(),
                          boost::bind(compare_angle_with_x_axis_2_object(),
                                      _1, _2),
                          SMALLER);
@@ -469,7 +469,7 @@ min_parallelogram_2(ForwardIterator f,
 
   // check for trivial cases
   if (f == l) return o;
-  
+
   ForwardIterator first;
   do {
     first = f;
@@ -519,14 +519,14 @@ min_parallelogram_2(ForwardIterator f,
         rig = first;
     while (equal(*rig, *right));
     Direction_2 d_right = direction(*right, *rig);
-  
+
     ForwardIterator len = left;
     do
       if (++len == l)
         len = first;
     while (equal(*len, *left));
     Direction_2 d_left = direction(*len, *left);
-  
+
     if (less_angle(d_right, d_left))
       if (right_of_line(*rig, *left, next_dir))
         right = rig;
@@ -584,14 +584,14 @@ min_parallelogram_2(ForwardIterator f,
           rig = first;
       while (equal(*rig, *right));
       Direction_2 d_right = direction(*right, *rig);
-    
+
       ForwardIterator len = left;
       do
         if (++len == l)
           len = first;
       while (equal(*len, *left));
       Direction_2 d_left = direction(*len, *left);
-    
+
       if (less_angle(d_right, d_left))
         if (right_of_line(*rig, *left, next_dir))
           right = rig;
diff -pruN 5.0.2-3/include/CGAL/Min_quadrilateral_traits_2.h 5.0.3-1/include/CGAL/Min_quadrilateral_traits_2.h
--- 5.0.2-3/include/CGAL/Min_quadrilateral_traits_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_quadrilateral_traits_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_quadrilateral_traits_2.h $
-// $Id: Min_quadrilateral_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_quadrilateral_traits_2.h $
+// $Id: Min_quadrilateral_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch> and
 //                 Emo Welzl <emo@inf.ethz.ch>
@@ -77,7 +77,7 @@ namespace Optimisation {
              << p.p3 << ",\n"
              << p.p4 << ")";
   }
-} // namespace Optimisation 
+} // namespace Optimisation
 
 template < class K_ >
 struct Min_quadrilateral_default_traits_2 {
@@ -129,11 +129,11 @@ public:
       (r.d.dx() * (r.p3.y() - r.p1.y()) + r.d.dy() * (r.p1.x() - r.p3.x())) *
       (r.d.dy() * (r.p2.y() - r.p4.y()) + r.d.dx() * (r.p2.x() - r.p4.x()));
     }
-    
+
     RT
     area_denominator(const Rectangle_2& r, Cartesian_tag) const
     { return CGAL_NTS square(r.d.dx()) + CGAL_NTS square(r.d.dy()); }
-    
+
     RT
     area_numerator(const Rectangle_2& r, Homogeneous_tag) const
     {
@@ -143,14 +143,14 @@ public:
       (r.d.dy() * (r.p2.hy() * r.p4.hw() - r.p4.hy() * r.p2.hw()) +
        r.d.dx() * (r.p2.hx() * r.p4.hw() - r.p4.hx() * r.p2.hw()));
     }
-    
+
     RT
     area_denominator(const Rectangle_2& r, Homogeneous_tag) const
     {
       return r.p1.hw() * r.p2.hw() * r.p3.hw() * r.p4.hw() *
         (CGAL_NTS square(r.d.dx()) + CGAL_NTS square(r.d.dy()));
     }
-  
+
     bool
     operator()(const Rectangle_2& p, const Rectangle_2& q) const
     {
@@ -174,11 +174,11 @@ public:
       (r.d2.dx() * (r.p4.y() - r.p2.y()) -
        r.d2.dy() * (r.p4.x() - r.p2.x()));
     }
-    
+
     RT
     area_denominator(const Parallelogram_2& r, Cartesian_tag) const
     { return r.d1.dx() * r.d2.dy() - r.d1.dy() * r.d2.dx(); }
-    
+
     RT
     area_numerator(const Parallelogram_2& r, Homogeneous_tag) const
     {
@@ -188,14 +188,14 @@ public:
       (r.d2.dx() * (r.p4.hy() * r.p2.hw() - r.p2.hy() * r.p4.hw()) -
        r.d2.dy() * (r.p4.hx() * r.p2.hw() - r.p2.hx() * r.p4.hw()));
     }
-    
+
     RT
     area_denominator(const Parallelogram_2& r, Homogeneous_tag) const
     {
       return r.p1.hw() * r.p2.hw() * r.p3.hw() * r.p4.hw() *
         (r.d1.dx() * r.d2.dy() - r.d1.dy() * r.d2.dx());
     }
-  
+
     bool
     operator()(const Parallelogram_2& p, const Parallelogram_2& q) const
     {
@@ -215,11 +215,11 @@ public:
         r.second.dx() * (r.third.y() - r.first.y()) +
         r.second.dy() * (r.first.x() - r.third.x()));
     }
-    
+
     RT
     width_denominator(const Strip_2& r, Cartesian_tag) const
     { return CGAL_NTS square(r.second.dx()) + CGAL_NTS square(r.second.dy()); }
-    
+
     RT
     width_numerator(const Strip_2& r, Homogeneous_tag) const
     {
@@ -229,13 +229,13 @@ public:
         r.second.dy() *
           (r.first.hx() * r.third.hw() - r.third.hx() * r.first.hw()));
     }
-    
+
     RT
     width_denominator(const Strip_2& r, Homogeneous_tag) const {
       return CGAL_NTS square(r.first.hw() * r.third.hw()) *
         (CGAL_NTS square(r.second.dx()) + CGAL_NTS square(r.second.dy()));
     }
-  
+
     bool
     operator()(const Strip_2& p, const Strip_2& q) const
     {
@@ -298,7 +298,7 @@ public:
     Point_2 tmp;
     Line_2  tmpl;
     Object  tmpo;
-  
+
     tmpo = isec(line(r.p1, r.d1), line(r.p2, r.d2));
     if (assign(tmp, tmpo)) {
       *o++ = tmp;
@@ -352,59 +352,59 @@ public:
     *o++ = line(r.first, r.second);
     *o++ = line(r.third, r.second);
     return o;
-  } 
+  }
 
   Equal_2      equal_2_object()   const { return Equal_2(); }
   Less_xy_2    less_xy_2_object() const { return Less_xy_2(); }
   Less_yx_2    less_yx_2_object() const { return Less_yx_2(); }
-  
+
   Has_on_negative_side_2 has_on_negative_side_2_object() const
   { return Has_on_negative_side_2(); }
-  
+
   Compare_angle_with_x_axis_2 compare_angle_with_x_axis_2_object() const
   { return Compare_angle_with_x_axis_2(); }
-  
+
   Area_less_rectangle_2 area_less_rectangle_2_object() const
   { return Area_less_rectangle_2(); }
-  
+
   Area_less_parallelogram_2 area_less_parallelogram_2_object() const
   { return Area_less_parallelogram_2(); }
-  
+
   Width_less_strip_2 width_less_strip_2_object() const
   { return Width_less_strip_2(); }
-  
+
   Construct_vector_2 construct_vector_2_object() const
   { return Construct_vector_2(); }
-  
+
   Construct_vector_from_direction_2
   construct_vector_from_direction_2_object() const
   { return Construct_vector_from_direction_2(); }
-  
+
   Construct_perpendicular_vector_2
   construct_perpendicular_vector_2_object() const
   { return Construct_perpendicular_vector_2(); }
-  
+
   Construct_direction_2 construct_direction_2_object() const
   { return Construct_direction_2(); }
-  
+
   Construct_opposite_direction_2
   construct_opposite_direction_2_object() const
   { return Construct_opposite_direction_2(); }
-  
+
   Construct_line_2 construct_line_2_object() const
   { return Construct_line_2(); }
-  
+
   Construct_rectangle_2 construct_rectangle_2_object() const
   { return Construct_rectangle_2(); }
-  
+
   Construct_parallelogram_2 construct_parallelogram_2_object() const
   { return Construct_parallelogram_2(); }
-  
+
   Construct_strip_2 construct_strip_2_object() const
   { return Construct_strip_2(); }
-  
+
   Orientation_2 orientation_2_object() const { return Orientation_2(); }
-  
+
 
 };
 
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_annulus_d_traits_2.h 5.0.3-1/include/CGAL/Min_sphere_annulus_d_traits_2.h
--- 5.0.2-3/include/CGAL/Min_sphere_annulus_d_traits_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_annulus_d_traits_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_annulus_d_traits_2.h $
-// $Id: Min_sphere_annulus_d_traits_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_annulus_d_traits_2.h $
+// $Id: Min_sphere_annulus_d_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_annulus_d_traits_3.h 5.0.3-1/include/CGAL/Min_sphere_annulus_d_traits_3.h
--- 5.0.2-3/include/CGAL/Min_sphere_annulus_d_traits_3.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_annulus_d_traits_3.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_annulus_d_traits_3.h $
-// $Id: Min_sphere_annulus_d_traits_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_annulus_d_traits_3.h $
+// $Id: Min_sphere_annulus_d_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_annulus_d_traits_d.h 5.0.3-1/include/CGAL/Min_sphere_annulus_d_traits_d.h
--- 5.0.2-3/include/CGAL/Min_sphere_annulus_d_traits_d.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_annulus_d_traits_d.h	2020-08-01 19:02:16.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_annulus_d_traits_d.h $
-// $Id: Min_sphere_annulus_d_traits_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_annulus_d_traits_d.h $
+// $Id: Min_sphere_annulus_d_traits_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_d/Min_sphere_d_impl.h 5.0.3-1/include/CGAL/Min_sphere_d/Min_sphere_d_impl.h
--- 5.0.2-3/include/CGAL/Min_sphere_d/Min_sphere_d_impl.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_d/Min_sphere_d_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_d/Min_sphere_d_impl.h $
-// $Id: Min_sphere_d_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_d/Min_sphere_d_impl.h $
+// $Id: Min_sphere_d_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.fu-berlin.de>
 //                 Bernd Gaertner
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_d/Optimisation_sphere_d.h 5.0.3-1/include/CGAL/Min_sphere_d/Optimisation_sphere_d.h
--- 5.0.2-3/include/CGAL/Min_sphere_d/Optimisation_sphere_d.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_d/Optimisation_sphere_d.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_d/Optimisation_sphere_d.h $
-// $Id: Optimisation_sphere_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_d/Optimisation_sphere_d.h $
+// $Id: Optimisation_sphere_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.fu-berlin.de>
 //                 Bernd Gaertner
@@ -32,7 +32,7 @@ class Optimisation_sphere_d<Homogeneous_
 
 template <class FT, class RT, class PT, class Traits>
 class Optimisation_sphere_d<Cartesian_tag, FT, RT, PT, Traits>;
-    
+
 } //namespace CGAL
 
     // Class interfaces and implementation
@@ -55,27 +55,27 @@ class Optimisation_sphere_d<Cartesian_ta
     private:
         typedef
           typename Traits::Access_coordinates_begin_d::Coordinate_iterator  It;
-        
+
         // hack needed for egcs, see also test programs
         typedef             FT                              FT_;
-        
+
         int                 d;                      // dimension
         int                 m;                      // |B|
         int                 s;                      // |B\cup S|
-        
+
         FT**                q;                      // the q_j's
         FT***               inv;                    // the A^{-1}_{B^j}'s
         FT*                 v_basis;                // the vector v_B
-        
+
         FT*                 x;                      // solution vector
         FT*                 v;                      // auxiliary vector
-        
+
         FT*                 c;                      // center, for internal use
         PT                  ctr;                    // center, for external use
         FT                  sqr_r;                  // squared_radius
-        
+
         Traits              tco;
-        
+
 
     public:
 
@@ -89,47 +89,47 @@ class Optimisation_sphere_d<Cartesian_ta
         Optimisation_sphere_d (const Traits& t = Traits())
             : d(-1), m(0), s(0), tco (t)
         {}
-        
+
         void set_tco (const Traits& tcobj)
         {
             tco = tcobj;
         }
-        
-        
+
+
         void init (int ambient_dimension)
         {
             d = ambient_dimension;
             m = 0;
             s = 0;
             sqr_r = -FT(1);
-        
+
             q =             new FT*[d+1];
             inv =           new FT**[d+1];
             v_basis =       new FT[d+2];
             x =             new FT[d+2];
             v =             new FT[d+2];
             c =             new FT[d];
-        
+
             for (int j=0; j<d+1; ++j) {
                 q[j] =      new FT[d];
                 inv[j] =    new FT*[j+2];
                 for (int row=0; row<j+2; ++row)
                     inv[j][row] = new FT[row+1];
             }
-        
+
             for (int i=0; i<d; ++i)
                 c[i] = FT(0);
             v_basis[0] = FT(1);
         }
-        
-        
+
+
         ~Optimisation_sphere_d ()
         {
             if (d != -1)
                destroy();
         }
-        
-        
+
+
         void destroy ()
         {
             for (int j=0; j<d+1; ++j) {
@@ -145,8 +145,8 @@ class Optimisation_sphere_d<Cartesian_ta
             delete[] inv;
             delete[] q;
         }
-        
-        
+
+
         void set_size (int ambient_dimension)
         {
             if (d != -1)
@@ -159,17 +159,17 @@ class Optimisation_sphere_d<Cartesian_ta
                 s = 0;
             }
         }
-        
-        
+
+
         void push (const PT& p)
         {
             // store q_m = p by copying its cartesian coordinates into q[m]
             It i(tco.access_coordinates_begin_d_object()(p)); FT *o;
             for (o=q[m]; o<q[m]+d; *(o++)=*(i++)) {}
-        
+
             // update v_basis by appending q_m^Tq_m
             v_basis[m+1] = prod(q[m],q[m],d);
-        
+
             if (m==0)
             {
                 // set up A^{-1}_{B^0} directly
@@ -182,25 +182,25 @@ class Optimisation_sphere_d<Cartesian_ta
                 v[0] = FT_(1);
                 for (int j=0; j<m; ++j)
                     v[j+1] = FT_(2)*prod(q[j],q[m],d);
-        
+
                 // compute a_0,...,a_m
                 multiply (m-1, v, x);               // x[j]=a_j, j=0,...,m
-        
+
                 // compute z
                 FT z = FT_(2)*v_basis[m+1] - prod(v,x,m+1);
                 CGAL_optimisation_assertion (!CGAL_NTS is_zero (z));
                 FT inv_z = FT_(1)/z;
-        
+
                 // set up A^{-1}_{B^m}
                 FT** M = inv[m-1];          // A^{-1}_B, old matrix
                 FT** M_new = inv[m];        // A^{-1}_{B'}, new matrix
-        
+
                 // first m rows
                 int row, col;
                 for (row=0; row<m+1; ++row)
                     for (col=0; col<row+1; ++col)
                         M_new [row][col] = M[row][col] + x[row]*x[col]*inv_z;
-        
+
                 // last row
                 for (col=0; col<m+1; ++col)
                     M_new [m+1][col] = -x[col]*inv_z;
@@ -209,14 +209,14 @@ class Optimisation_sphere_d<Cartesian_ta
             s = ++m;
             compute_c_and_sqr_r();  // side effect: sets x
         }
-        
-        
+
+
         void pop ()
         {
             --m;
         }
-        
-        
+
+
         FT excess (const PT& p) const
         {
             // compute (c-p)^2
@@ -227,30 +227,30 @@ class Optimisation_sphere_d<Cartesian_ta
                 sqr_dist += CGAL_NTS square(*i-*j);
             return sqr_dist - sqr_r;
          }
-        
-        
-        
+
+
+
         PT center () const
         {
              return tco.construct_point_d_object()(d, c, c+d);
         }
-        
+
         FT squared_radius () const
         {
              return sqr_r;
         }
-        
+
         int number_of_support_points () const
         {
              return s;
         }
-        
+
         int size_of_basis () const
         {
              return m;
         }
-        
-        
+
+
       bool is_valid (bool verbose = false, int /* level */ = true) const
         {
             Verbose_ostream verr (verbose);
@@ -260,8 +260,8 @@ class Optimisation_sphere_d<Cartesian_ta
                         (verr, "center not in convex hull of support points"));
             return (true);
         }
-        
-        
+
+
     private:
         void multiply (int j, const FT* vec, FT* res)
         {
@@ -272,12 +272,12 @@ class Optimisation_sphere_d<Cartesian_ta
                     res[row] += M[col][row]*vec[col];
             }
         }
-        
-        
+
+
         void compute_c_and_sqr_r ()
         {
             multiply (m-1, v_basis, x);
-        
+
             for (int i=0; i<d; ++i) c[i] = FT(0);
             for (int j=0; j<m; ++j) {
                 FT l = x[j+1], *q_j = q[j];
@@ -286,16 +286,16 @@ class Optimisation_sphere_d<Cartesian_ta
             }
             sqr_r = x[0] + prod(c,c,d);
         }
-        
-        
+
+
         FT prod (const FT* v1, const FT* v2, int k) const
         {
             FT res(FT(0));
             for (const FT *i=v1, *j=v2; i<v1+k; res += (*(i++))*(*(j++))) {}
             return res;
         }
-        
-        
+
+
     };
 
 
@@ -307,29 +307,29 @@ class Optimisation_sphere_d<Cartesian_ta
     private:
         typedef
           typename Traits::Access_coordinates_begin_d::Coordinate_iterator  It;
-        
+
         // hack needed for egcs, see also test programs
         typedef             RT                              RT_;
-        
+
         int                 d;                      // dimension
         int                 m;                      // |B|
         int                 s;                      // |B\cup S|
-        
+
         RT**                q;                      // the q_j's
         RT***               inv;                    // the \tilde{A}^{-1}_{B^j}'s
         RT*                 denom;                  // corresponding denominators
         RT**                v_basis;                // the \tilde{v}_B^j
-        
+
         RT*                 x;                      // solution vector
         mutable RT*         v;                      // auxiliary vector
-        
+
         RT*                 c;                      // center, for internal use
         PT                  ctr;                    // center, for external use
         RT                  sqr_r;                  // numerator of squared_radius
-        
+
         Traits              tco;
-        
-        
+
+
 
     public:
 
@@ -343,20 +343,20 @@ class Optimisation_sphere_d<Cartesian_ta
         Optimisation_sphere_d (const Traits& t = Traits())
             : d(-1), m(0), s(0), tco(t)
         {}
-        
+
         void set_tco (const Traits& tcobj)
         {
             tco = tcobj;
         }
-        
-        
+
+
         void init (int ambient_dimension)
         {
             d = ambient_dimension;
             m = 0;
             s = 0;
             sqr_r = -RT(1);
-        
+
             q =             new RT*[d+1];
             inv =           new RT**[d+1];
             denom =         new RT[d+1];
@@ -364,7 +364,7 @@ class Optimisation_sphere_d<Cartesian_ta
             x =             new RT[d+2];
             v =             new RT[d+2];
             c =             new RT[d+1];
-        
+
             for (int j=0; j<d+1; ++j) {
                 q[j] =      new RT[d];
                 inv[j] =    new RT*[j+2];
@@ -372,20 +372,20 @@ class Optimisation_sphere_d<Cartesian_ta
                 for (int row=0; row<j+2; ++row)
                     inv[j][row] = new RT[row+1];
             }
-        
+
             for (int i=0; i<d; ++i)
                 c[i] = RT(0);
             c[d] = RT(1);
         }
-        
-        
+
+
         ~Optimisation_sphere_d ()
         {
             if (d != -1)
                 destroy();
         }
-        
-        
+
+
         void destroy ()
         {
             for (int j=0; j<d+1; ++j) {
@@ -403,8 +403,8 @@ class Optimisation_sphere_d<Cartesian_ta
             delete[] inv;
             delete[] q;
         }
-        
-        
+
+
         void set_size (int ambient_dimension)
         {
             if (d != -1)
@@ -417,30 +417,30 @@ class Optimisation_sphere_d<Cartesian_ta
                 s = 0;
             }
         }
-        
-        
+
+
         void push (const PT& p)
         {
             // store q_m = p by copying its cartesian part into q[m]
             It i(tco.access_coordinates_begin_d_object()(p)); RT *o;
             for (o=q[m]; o<q[m]+d; *(o++)=*(i++)) {}
-        
+
             // get homogenizing coordinate
             RT hom = *(i++);
-        
+
             if (m==0)
             {
                 // set up v_{B^0} directly
                 v_basis[0][0] = hom;
                 v_basis[0][1] = prod(q[0],q[0],d);
-        
+
                 // set up \tilde{A}^{-1}_{B^0} directly
                 RT** M = inv[0];
                 M[0][0] = RT_(2)*v_basis[0][1];
                 M[1][0] = -hom;
                 M[1][1] = RT_(0);
                 denom[0] = -CGAL_NTS square(hom);  // det(\tilde{A}_{B^0})
-        
+
             } else {
                 // set up v_{B^m}
                 int j;
@@ -448,95 +448,95 @@ class Optimisation_sphere_d<Cartesian_ta
                 v_basis[m][m+1] = v_basis[m-1][0]*sqr_q_m;
                 for (j=0; j<m+1; ++j)
                     v_basis[m][j] = hom*v_basis[m-1][j];
-        
-        
+
+
                 // set up vector v by computing 2q_j^T q_m, j=0,...,m-1
                 v[0] = hom;
                 for (j=0; j<m; ++j)
                     v[j+1] = RT_(2)*prod(q[j],q[m],d);
-        
+
                 // compute \tilde{a}_0,...,\tilde{a}_m
                 multiply (m-1, v, x);               // x[j]=\tilde{a}_j, j=0,...,m
-        
+
                 // compute \tilde{z}
                 RT old_denom = denom[m-1];
                 RT z = old_denom*RT_(2)*sqr_q_m - prod(v,x,m+1);
                 CGAL_optimisation_assertion (!CGAL_NTS is_zero (z));
-        
+
                 // set up \tilde{A}^{-1}_{B^m}
                 RT** M = inv[m-1];          // \tilde{A}^{-1}_B, old matrix
                 RT** M_new = inv[m];        // \tilde{A}^{-1}_{B'}, new matrix
-        
+
                 // first m rows
                 int row, col;
                 for (row=0; row<m+1; ++row)
                     for (col=0; col<row+1; ++col)
                         M_new [row][col]
                             = (z*M[row][col] + x[row]*x[col])/old_denom;
-        
+
                 // last row
                 for (col=0; col<m+1; ++col)
                     M_new [m+1][col] = -x[col];
                 M_new [m+1][m+1] = old_denom;
-        
+
                 // new denominator
                 denom[m] = z;
             }
             s = ++m;
             compute_c_and_sqr_r();
         }
-        
-        
+
+
         void pop ()
         {
             --m;
         }
-        
-        
+
+
         RT excess (const PT& p) const
         {
             // store hD times the cartesian part of p in v
             RT hD = c[d];
             It i(tco.access_coordinates_begin_d_object()(p)); RT *o;
-        
+
                 for ( o=v; o<v+d; *(o++)=hD*(*(i++))) {}
-        
+
                 // get h_p
                 RT h_p = *(i++);
                 CGAL_optimisation_precondition (!CGAL_NTS is_zero (h_p));
-        
+
                 // compute (h_p h D)^2 (c-p)^2
                 RT sqr_dist(RT(0));
                 for (int k=0; k<d; ++k)
                     sqr_dist += CGAL_NTS square(h_p*c[k]-v[k]);
-        
+
                 // compute excess
                 return sqr_dist - CGAL_NTS square(h_p)*sqr_r;
              }
-        
-        
-        
+
+
+
         PT center () const
         {
              return tco.construct_point_d_object()(d,c,c+d+1);
         }
-        
+
         FT squared_radius () const
         {
              return FT(sqr_r)/FT(CGAL_NTS square(c[d]));
         }
-        
+
         int number_of_support_points () const
         {
              return s;
         }
-        
+
         int size_of_basis () const
         {
              return m;
         }
-        
-        
+
+
       bool is_valid (bool verbose = false, int /* level*/ = true) const
         {
             if (d==-1) return true;
@@ -552,8 +552,8 @@ class Optimisation_sphere_d<Cartesian_ta
             }
             return true;
         }
-        
-        
+
+
     private:
         void multiply (int j, const RT* vec, RT* res)
         {
@@ -564,13 +564,13 @@ class Optimisation_sphere_d<Cartesian_ta
                     res[row] += M[col][row]*vec[col];
             }
         }
-        
-        
+
+
         void compute_c_and_sqr_r ()
         {
             // solve
             multiply (m-1, v_basis[m-1], x);
-        
+
             // set cartesian part
             for (int i=0; i<d; ++i) c[i] = RT(0);
                 for (int j=0; j<m; ++j) {
@@ -581,16 +581,16 @@ class Optimisation_sphere_d<Cartesian_ta
             c[d] = v_basis[m-1][0]*denom[m-1];                // hD
             sqr_r = x[0]*c[d] + prod(c,c,d); // \tilde{\alpha}hD+c^Tc
         }
-        
-        
+
+
         RT prod (const RT* v1, const RT* v2, int k) const
         {
             RT res = RT(0);
             for (const RT *i=v1, *j=v2; i<v1+k; res += (*(i++))*(*(j++))) {}
             return res;
         }
-        
-        
+
+
     };
 
      } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_d.h 5.0.3-1/include/CGAL/Min_sphere_d.h
--- 5.0.2-3/include/CGAL/Min_sphere_d.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_d.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_d.h $
-// $Id: Min_sphere_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_d.h $
+// $Id: Min_sphere_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.fu-berlin.de>
 //                 Bernd Gaertner
@@ -43,30 +43,30 @@ namespace CGAL {
 template <class Traits>
 class Min_sphere_d
 {
-    
-    
+
+
     public:
         typedef typename Traits::Rep_tag        Rep_tag;
         typedef typename Traits::RT             RT;
         typedef typename Traits::FT             FT;
         typedef typename Traits::Point_d        Point; // Point type
-    
+
         typedef  typename Traits::Access_dimension_d
           Access_dimension_d;
         typedef  typename Traits::Access_coordinates_begin_d
           Access_coordinates_begin_d;
         typedef  typename Traits::Construct_point_d
           Construct_point_d;
-    
+
         typedef typename std::list<Point>::const_iterator
                 Point_iterator;
         typedef typename std::list<Point>::const_iterator
                 Support_point_iterator;
-    
+
     private:
         typedef typename std::list<Point>::iterator             It;
-    
-    
+
+
     private:
         int                                     d;            // ambient dim
         std::list<Point>                        points;       // keeps P = Q_n
@@ -74,32 +74,32 @@ class Min_sphere_d
         Optimisation_sphere_d<Rep_tag, FT, RT, Point,Traits>
                                                 ms_basis; // keeps  miniball
         It                                      support_end;  // delimites S
-    
+
 public:
     Min_sphere_d ()
     : d(-1), tco( Traits()), ms_basis (tco),
       support_end(points.begin())
         {}
-    
-    
+
+
     Min_sphere_d (const Traits& traits)
     : d(-1), tco( traits), ms_basis (tco),
       support_end(points.begin())
         {}
-    
-    
 
- 
+
+
+
     // STL-like constructor (member template)
     template <class InputIterator>
     Min_sphere_d( InputIterator first,
                        InputIterator last)
-      : d(-1), 
+      : d(-1),
 #if ( _MSC_VER != 1300)
-      points( first, last), 
+      points( first, last),
 #endif
-      tco( Traits()), 
-      ms_basis (tco) 
+      tco( Traits()),
+      ms_basis (tco)
 #if ( _MSC_VER != 1300)
       ,support_end(points.begin())
 #endif
@@ -115,16 +115,16 @@ public:
             pivot_ms();
         }
     }
-    
+
     template <class InputIterator>
     Min_sphere_d( InputIterator first,
                        InputIterator last,
                        const Traits& traits)
       : d(-1),
 #if ( _MSC_VER != 1300)
-      points( first, last), 
+      points( first, last),
 #endif
-      tco( traits), 
+      tco( traits),
       ms_basis (tco)
 #if ( _MSC_VER != 1300)
       ,support_end(points.begin())
@@ -142,19 +142,19 @@ public:
             pivot_ms();
         }
     }
-    
+
     Min_sphere_d (const Min_sphere_d& msph)
     : d(msph.ambient_dimension()),
       points (msph.points_begin(), msph.points_end()), tco (msph.tco),
           ms_basis (tco), support_end (points.begin())
-    
+
     {
         if (d != -1) {
             ms_basis.get_sphere(Rep_tag()).set_size (d);
             pivot_ms();
         }
     }
-    
+
     Min_sphere_d& operator=(const Min_sphere_d& msph)
     {
         if (this != &msph) {
@@ -172,56 +172,56 @@ public:
         }
         return *this;
     }
-    
-    
+
+
     int number_of_points() const
     {
         return static_cast<int>(points.size());
     }
-    
+
     int number_of_support_points() const
     {
         return ms_basis.get_sphere(Rep_tag()).number_of_support_points();
     }
-    
+
     Point_iterator points_begin () const
     {
         return points.begin();
     }
-    
+
     Point_iterator points_end () const
     {
         return points.end();
     }
-    
+
     Support_point_iterator support_points_begin () const
     {
         return points.begin();
     }
-    
+
     Support_point_iterator support_points_end () const
     {
         return support_end;
     }
-    
+
     int ambient_dimension () const
     {
         return d;
     }
-    
+
     Point center () const
     {
         CGAL_optimisation_precondition (!is_empty());
         return ms_basis.get_sphere(Rep_tag()).center();
     }
-    
+
     FT squared_radius () const
     {
         CGAL_optimisation_precondition (!is_empty());
         return ms_basis.get_sphere(Rep_tag()).squared_radius();
     }
-    
-    
+
+
     Bounded_side bounded_side (const Point& p) const
     {
         if (d == -1)
@@ -233,7 +233,7 @@ public:
                (-CGAL::sign (ms_basis.get_sphere(Rep_tag()).excess (p))));
         }
     }
-    
+
     bool has_on_bounded_side (const Point& p) const
     {
         if (d == -1)
@@ -244,7 +244,7 @@ public:
            return (CGAL_NTS is_negative (ms_basis.get_sphere(Rep_tag()).excess (p)));
         }
     }
-    
+
     bool has_on_unbounded_side (const Point& p) const
     {
         if (d == -1)
@@ -255,7 +255,7 @@ public:
            return (CGAL_NTS is_positive (ms_basis.get_sphere(Rep_tag()).excess (p)));
         }
     }
-    
+
     bool has_on_boundary (const Point& p) const
     {
         if (d == -1)
@@ -266,18 +266,18 @@ public:
            return (CGAL_NTS is_zero (ms_basis.get_sphere(Rep_tag()).excess (p)));
         }
     }
-    
+
     bool is_empty () const
     {
         return (d == -1);
     }
-    
+
     bool is_degenerate () const
     {
         return (ms_basis.get_sphere(Rep_tag()).number_of_support_points() < 2);
     }
-    
-    
+
+
     void clear ()
     {
          d = -1;
@@ -285,7 +285,7 @@ public:
          ms_basis.get_sphere(Rep_tag()).set_size (-1);
          support_end = points.begin();
     }
-    
+
     // STL-like set(member template)
     template <class InputIterator>
     void set ( InputIterator first,
@@ -304,7 +304,7 @@ public:
             ms_basis.get_sphere(Rep_tag()).set_size (-1);
         }
     }
-    
+
     void insert (const Point& p)
     {
         if (has_on_unbounded_side (p)) {
@@ -322,54 +322,54 @@ public:
             points.push_back (p);   // just append p
         if (support_end == points.end()) --support_end;
     }
-    
+
     template <class InputIterator>
     void insert (InputIterator first, InputIterator last)
     {
         for (InputIterator i=first; i!=last; ++i)
             insert (*i);
     }
-    
-    
+
+
   bool is_valid (bool verbose = false, int /* level */ = 0) const
     {
         Verbose_ostream verr (verbose);
-    
+
         // sphere verification
         verr << "  (a) sphere verification..." << std::flush;
         if (ms_basis.get_sphere(Rep_tag()).is_valid (verbose))
             verr << "passed." << std::endl;
         else
             return false;
-    
+
         // containment check
         verr << "  (b) containment check..." << std::flush;
-    
+
         // non-support-points
         Point_iterator i;
         for (i=support_end; i!=points.end(); ++i)
             if (has_on_unbounded_side (*i))
                 return (_optimisation_is_valid_fail (verr,
                   "sphere does not contain all points"));
-    
+
         // support points
         for (i=points.begin(); i!=support_end; ++i)
             if (!has_on_boundary (*i))
                 return (_optimisation_is_valid_fail (verr,
                   "sphere does not have all support points on boundary"));
-    
+
         verr << "passed." << std::endl;
         verr << "object is valid!" << std::endl;
         return true;
     }
-    
-    
+
+
     const Traits& traits() const
     {
          return tco;
     }
-    
-    
+
+
 private:
     void mtf_ms (It k)
     {
@@ -385,14 +385,14 @@ private:
             }
         }
     }
-    
-    
+
+
     void pivot_ms ()
     {
         It t = points.begin();
         std::advance (t, (std::min) (d+1, (int)points.size()));
         mtf_ms (t);
-    
+
         RT excess, e;
         do {
             excess = RT(0);
@@ -414,16 +414,16 @@ private:
             }
         } while (CGAL_NTS is_positive (excess));
     }
-    
-    
+
+
     void move_to_front (It j)
     {
         if (support_end == j)
            ++support_end;
         points.splice (points.begin(), points, j);
     }
-    
-    
+
+
     bool all_points_have_dim (int dim) const
     {
         for (Point_iterator i=points.begin(); i!=points.end(); ++i)
@@ -431,8 +431,8 @@ private:
                 return false;
         return true;
     }
-    
-    
+
+
 };
 
 // Function declarations
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_of_points_d_traits_2.h 5.0.3-1/include/CGAL/Min_sphere_of_points_d_traits_2.h
--- 5.0.2-3/include/CGAL/Min_sphere_of_points_d_traits_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_of_points_d_traits_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_of_points_d_traits_2.h $
-// $Id: Min_sphere_of_points_d_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_of_points_d_traits_2.h $
+// $Id: Min_sphere_of_points_d_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer, Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_of_points_d_traits_3.h 5.0.3-1/include/CGAL/Min_sphere_of_points_d_traits_3.h
--- 5.0.2-3/include/CGAL/Min_sphere_of_points_d_traits_3.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_of_points_d_traits_3.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_of_points_d_traits_3.h $
-// $Id: Min_sphere_of_points_d_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_of_points_d_traits_3.h $
+// $Id: Min_sphere_of_points_d_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer, Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_of_points_d_traits_d.h 5.0.3-1/include/CGAL/Min_sphere_of_points_d_traits_d.h
--- 5.0.2-3/include/CGAL/Min_sphere_of_points_d_traits_d.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_of_points_d_traits_d.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_of_points_d_traits_d.h $
-// $Id: Min_sphere_of_points_d_traits_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_of_points_d_traits_d.h $
+// $Id: Min_sphere_of_points_d_traits_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer, Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_configure.h 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_configure.h
--- 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_configure.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_configure.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_configure.h $
-// $Id: Min_sphere_of_spheres_d_configure.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_configure.h $
+// $Id: Min_sphere_of_spheres_d_configure.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer
 
@@ -54,7 +54,7 @@
     struct Tag_true {};
     struct Tag_false {};
   }
-  #define CGAL_MINIBALL_NTS 
+  #define CGAL_MINIBALL_NTS
 #else
   #include <CGAL/basic.h>
   #define CGAL_MINIBALL_NTS CGAL_NTS
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_impl.h 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_impl.h
--- 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_impl.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_impl.h $
-// $Id: Min_sphere_of_spheres_d_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_impl.h $
+// $Id: Min_sphere_of_spheres_d_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer
 
@@ -37,12 +37,12 @@ namespace CGAL_MINIBALL_NAMESPACE {
     if (u >= FT(0)) {
       if (bp <= uu)
         return false;
-  
+
       // here (1) holds
       const FT v = uu-b+bp;
       if (v <= 0)
         return false;
-  
+
       // here (2) holds
       return 4 * uu * bp < sqr(v);
     } else {
@@ -50,7 +50,7 @@ namespace CGAL_MINIBALL_NAMESPACE {
       const FT v = uu-b+bp;
       if (v >= FT(0))
         return true;
-  
+
       // here (3) holds
       return 4 * uu *bp > sqr(v);
     }
@@ -63,11 +63,11 @@ namespace CGAL_MINIBALL_NAMESPACE {
     int i, k = n;
     do {
       CGAL_MINIBALL_ASSERT(k>=e && e>=0);
-  
+
       // permute:
       for (int j=k-1; j>=e; --j) // todo. theory: is this necessary?
         std::swap(l[j],l[e+rng()%(j+1-e)]);
-  
+
       for (i=e; i<n; ++i)
         if (!ss.contains(t.center_cartesian_begin(*l[i]),
                          t.radius(*l[i]),Tol<FT>::result(),Is_exact()) && ss.pivot(l,e,i)) {
@@ -76,17 +76,17 @@ namespace CGAL_MINIBALL_NAMESPACE {
         }
     } while (i < n);
   }
-  
+
   template<class Traits>
   bool Min_sphere_of_spheres_d<Traits>::find_farthest(int from,int to,
-						      int& i,const Tag_true /* use_sqrt */,
-						      const Tag_false /* is_exact */) {
+                                                      int& i,const Tag_true /* use_sqrt */,
+                                                      const Tag_false /* is_exact */) {
     using namespace Min_sphere_of_spheres_d_impl;
-  
+
     // we will compute the excesses w.r.t. to the ball B with
     // center ss.begin() and radius radius:
     const FT radius = ss.radius() * Tol<FT>::result();
-  
+
     // find ball with largest excess:
     FT maximum = radius;
     for (int k=from; k<to; ++k) {
@@ -94,35 +94,35 @@ namespace CGAL_MINIBALL_NAMESPACE {
       const FT dist = inner_product_n<D>(ss.begin(),
                                          t.center_cartesian_begin(*l[k]),FT(0),std::plus<FT>(),
         Subtract_and_square<FT>());
-  
+
       // compute excess:
       using std::sqrt;
       const FT ex = sqrt(dist)+t.radius(*l[k]);
-  
+
       // compare with current maximum:
       if (ex > maximum) { // (*)
         maximum = ex;
         i = k;
       }
     }
-  
+
     // return whether B doesn't contain the ball l[i]:
     return maximum > radius;
   }
-  
+
   template<class Traits>
   bool Min_sphere_of_spheres_d<Traits>::find_farthest(int from, int to,
-						      int& i, const Tag_true /* use_sqrt */,
-						      const Tag_true /* is_exact*/) {
+                                                      int& i, const Tag_true /* use_sqrt */,
+                                                      const Tag_true /* is_exact*/) {
     using namespace Min_sphere_of_spheres_d_impl;
-  
+
     // we will compute the excesses w.r.t. to the ball B with
     // center center and radius radius:
     Pair_to_double<FT> cast(ss.disc());
     const double radius = cast(ss.radius());
     double center[D];
     std::transform(ss.begin(),ss.begin()+D,center,cast);
-  
+
     // find ball with largest excess:
     double maximum = radius;
     for (int k=from; k<to; ++k) {
@@ -130,35 +130,35 @@ namespace CGAL_MINIBALL_NAMESPACE {
       const double dist = inner_product_n<D>(center,
          t.center_cartesian_begin(*l[k]),0.0,std::plus<double>(),
          Subtract_and_square_to_double<FT>());
-  
+
       // compute excess:
       using std::sqrt;
       const double ex = sqrt(dist) +
          CGAL_MINIBALL_NTS to_double(t.radius(*l[k]));
-  
+
       // compare with current maximum:
       if (ex > maximum) { // (*)
         maximum = ex;
         i = k;
       }
     }
-  
+
     // return whether B doesn't contain the ball l[i]:
     return maximum > radius &&
            !ss.contains(t.center_cartesian_begin(*l[i]),
                         t.radius(*l[i]),Tol<FT>::result(),Is_exact());
   }
-  
+
   template<class Traits>
   bool Min_sphere_of_spheres_d<Traits>::find_farthest(int from,int to,
-						      int& i, const Tag_false /* use_sqrt */,
-						      const Tag_false /* is_exact*/ ) {
+                                                      int& i, const Tag_false /* use_sqrt */,
+                                                      const Tag_false /* is_exact*/ ) {
     using namespace Min_sphere_of_spheres_d_impl;
-  
+
     // we will compute the excesses w.r.t. to the ball with
     // center ss.begin() and radius radius:
     const FT radius = ss.radius() * Tol<FT>::result();
-  
+
     // find ball with largest excess:
     bool found = false;
     FT max = radius, maxp = 0;
@@ -167,7 +167,7 @@ namespace CGAL_MINIBALL_NAMESPACE {
       const FT dist = inner_product_n<D>(ss.begin(),
                                          t.center_cartesian_begin(*l[k]),FT(0),std::plus<FT>(),
         Subtract_and_square<FT>());
-  
+
       if (compare(max,maxp,t.radius(*l[k]),dist)) {
         max   = t.radius(*l[k]);
         maxp  = dist;
@@ -175,24 +175,24 @@ namespace CGAL_MINIBALL_NAMESPACE {
         found = true;
       }
     }
-  
+
     // return whether B doesn't contain the ball l[i]:
     return found;
   }
-  
+
   template<class Traits>
   bool Min_sphere_of_spheres_d<Traits>::find_farthest(int from,int to,
-						      int& i,const Tag_false /* use_sqrt */,
-						      const Tag_true /* is_exact */) {
+                                                      int& i,const Tag_false /* use_sqrt */,
+                                                      const Tag_true /* is_exact */) {
     using namespace Min_sphere_of_spheres_d_impl;
-  
+
     // we will compute the excesses w.r.t. to the ball B with
     // center center and radius radius:
     Pair_to_double<FT> cast(ss.disc());
     const double radius = cast(ss.radius());
     double center[D];
     std::transform(ss.begin(),ss.begin()+D,center,cast);
-  
+
     // find ball with largest excess:
     bool found = false;
     double max = radius, maxp = 0;
@@ -201,7 +201,7 @@ namespace CGAL_MINIBALL_NAMESPACE {
       const double dist = inner_product_n<D>(center,
          t.center_cartesian_begin(*l[k]),0.0,std::plus<double>(),
          Subtract_and_square_to_double<FT>());
-  
+
       const double r = CGAL_MINIBALL_NTS to_double(t.radius(*l[k]));
       if (compare(max,maxp,r,dist)) {
         max   = r;
@@ -210,43 +210,43 @@ namespace CGAL_MINIBALL_NAMESPACE {
         found = true;
       }
     }
-  
+
     // return whether B doesn't contain the ball l[i]:
     return found &&
            !ss.contains(t.center_cartesian_begin(*l[i]),
                         t.radius(*l[i]),Tol<FT>::result(),Is_exact());
   }
-  
+
   template<class Traits>
   void Min_sphere_of_spheres_d<Traits>::update(Farthest_first_heuristic) {
     const int n = (int)l.size();
     int i = e;
     CGAL_MINIBALL_ASSERT(e <= n);
-  
+
     bool enclosing = (e == 0)? n == 0 :
       !find_farthest(e,n,i,Use_sqrt(),Is_exact());
-  
+
     while (!enclosing && ss.pivot(l,e,i)) {
       enclosing = !find_farthest(e,n,i,Use_sqrt(),Is_exact());
     }
-  
+
     if (!is_approximate(Is_exact()))
       update(LP_algorithm());
   }
-  
+
   template<class Traits>
   bool Min_sphere_of_spheres_d<Traits>::
   is_valid(const Tag_false /* is_exact */) {
     return true;
   }
-  
+
   template<class Traits>
   bool Min_sphere_of_spheres_d<Traits>::
     is_valid(const Tag_true /* is_exact */) {
     using namespace Min_sphere_of_spheres_d_impl;
     using std::cerr;
     using std::endl;
-  
+
     // check size of support set:
     if (e > static_cast<int>(l.size()) || e > (D+1)) {
       cerr << "BUG: Min_sphere_of_spheres_d: support set too large." << endl
@@ -257,7 +257,7 @@ namespace CGAL_MINIBALL_NAMESPACE {
            << "Refer to the bug-reporting instructions at https://www.cgal.org/bug_report.html" << endl;
       return false;
     }
-  
+
     // check case of no balls:
     if (l.size() <= 0) {
       if (!is_empty()) {
@@ -267,7 +267,7 @@ namespace CGAL_MINIBALL_NAMESPACE {
       } else
         return true;
     }
-  
+
     // check that the miniball is enclosing:
     for (unsigned int i=0; i<l.size(); ++i)
       if (!ss.contains(t.center_cartesian_begin(*l[i]),
@@ -276,7 +276,7 @@ namespace CGAL_MINIBALL_NAMESPACE {
              << "Please contact the author <kf@iaeth.ch>." << endl;
         return false;
       }
-    
+
     // check that all support balls lie on the boundary:
     typedef Pair<FT> P;
     bool isSupporting = true;
@@ -285,16 +285,16 @@ namespace CGAL_MINIBALL_NAMESPACE {
       const P rd = ss.radius()-t.radius(*l[i]);
       if (is_neg(rd,ss.disc()))
         isSupporting = false;
-    
+
       // compute the (squared) distance from ss.begin() to l[i]'s center:
       const P dist = inner_product_n<D>(ss.begin(),
         t.center_cartesian_begin(*l[i]),P(0,0),std::plus<P>(),
         Subtract_and_square_pair<FT>(ss.disc()));
-    
+
       // compute the square of rd:
       const P sqrRd(sqr(rd.first)+sqr(rd.second)*ss.disc(),
                     FT(2)*rd.first*rd.second);
-    
+
       // check containment:
       if (!is_zero(dist-sqrRd,ss.disc()))
         isSupporting = false;
@@ -304,19 +304,19 @@ namespace CGAL_MINIBALL_NAMESPACE {
            << "Refer to the bug-reporting instructions at https://www.cgal.org/bug_report.html" << endl;
       return false;
     }
-    
+
     // set up initial system's coefficient matrix:
     FT (*m)[D+1] = new FT[e][D+1];
     for (int j=0; j<e; ++j)
       copy_n<D>(t.center_cartesian_begin(*l[j]),m[j]);
     for (int j=0; j<e; ++j)
       m[j][D] = FT(1);
-    
+
     // set up initial system's right-hand-side:
     Pair<FT> rhs[D+1];
     copy_n<D>(ss.begin(),rhs);
     rhs[D] = FT(1);
-    
+
     // perform Gaussian elimination:
     for (int j=0; j<e; ++j) {
       // check rank:
@@ -330,32 +330,32 @@ namespace CGAL_MINIBALL_NAMESPACE {
                << "Refer to the bug-reporting instructions at https://www.cgal.org/bug_report.html" << endl;
           return false;
         }
-    
+
         // exchange rows:
         for (int k=0; k<e; ++k)
           std::swap(m[k][j],m[k][i]);
         std::swap(rhs[j],rhs[i]);
       }
       CGAL_MINIBALL_ASSERT(m[j][j] != FT(0));
-    
+
       // eliminate m[j][j+1..D] by subtracting a
       // multiple of row j from row i:
       for (int i=j+1; i<D+1; ++i) {
         // determine factor:
         const FT factor = m[j][i]/m[j][j];
-    
+
         // subtract row j times factor from row i:
         for (int k=0; k<e; ++k)
           m[k][i] -= m[k][j]*factor;
         rhs[i] -= rhs[j]*factor;
       }
     }
-    
+
     // check that we now have an upper triangular matrix:
     for (int j=0; j<e; ++j)
       for(int i=j+1; i<D+1; ++i)
         CGAL_MINIBALL_ASSERT(m[j][i] == FT(0));
-    
+
     // check solvability:
     for (int i=e; i<D+1; ++i)
       if (!is_zero(rhs[i],ss.disc())) {
@@ -364,7 +364,7 @@ namespace CGAL_MINIBALL_NAMESPACE {
              << "Refer to the bug-reporting instructions at https://www.cgal.org/bug_report.html" << endl;
         return false;
       }
-    
+
     // compute coefficients by backsubstitution:
     Pair<FT> lambda[D+1];
     for (int i=e-1; i>=0; --i) {
@@ -373,7 +373,7 @@ namespace CGAL_MINIBALL_NAMESPACE {
         lambda[i] -= lambda[j]*m[j][i];
       lambda[i] = lambda[i]/m[i][i];
     }
-    
+
     // check coefficients:
     for (int i=0; i<e; ++i)
       if (is_neg_or_zero(lambda[i],ss.disc())) {
@@ -382,13 +382,13 @@ namespace CGAL_MINIBALL_NAMESPACE {
              << "Refer to the bug-reporting instructions at https://www.cgal.org/bug_report.html" << endl;
         return false;
       }
-    
+
     // tidy up:
     delete[] m;
-    
+
     return true;
   }
-  
+
 
 } // namespace CGAL_MINIBALL_NAMESPACE
 
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_pair.h 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_pair.h
--- 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_pair.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_pair.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_pair.h $
-// $Id: Min_sphere_of_spheres_d_pair.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_pair.h $
+// $Id: Min_sphere_of_spheres_d_pair.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer
 
@@ -25,11 +25,11 @@ namespace CGAL_MINIBALL_NAMESPACE {
 
     // a bunch of float/double constants that are used as tolerance in the
     // template code of the package.
-    // "The stuff we're talking about only kicks in when floating-point 
-    // arithmetic is being used, and here double is surely a reasonable 
+    // "The stuff we're talking about only kicks in when floating-point
+    // arithmetic is being used, and here double is surely a reasonable
     // default."
-    // An old code contained functions instead of the following types and 
-    // it work for exact type (for example, Gmpq) due to the fact that 
+    // An old code contained functions instead of the following types and
+    // it work for exact type (for example, Gmpq) due to the fact that
     // they are convertible to double.
     // This is indeed the least invasive fix dropint the function that were
     // defined here and cause linkage bug.
@@ -45,7 +45,7 @@ namespace CGAL_MINIBALL_NAMESPACE {
           //   http://gcc.gnu.org/bugzilla/show_bug.cgi?id=36912
           // g++ does not like const floating expression when -frounding-math
           // is used.
-          static double result() { 
+          static double result() {
               return 1.0e-32;
           }
       };
@@ -58,7 +58,7 @@ namespace CGAL_MINIBALL_NAMESPACE {
           //   http://gcc.gnu.org/bugzilla/show_bug.cgi?id=36912
           // g++ does not like const floating expression when -frounding-math
           // is used.
-          static float result() { 
+          static float result() {
               return  1.0e-14f;
           }
       };
@@ -66,27 +66,27 @@ namespace CGAL_MINIBALL_NAMESPACE {
     template <typename FT>
       struct Tol
       {
-	// That constant is embedded in an inline static function, to
-	// workaround a bug of g++>=4.1
-	//   http://gcc.gnu.org/bugzilla/show_bug.cgi?id=36912
-	// g++ does not like const floating expression when -frounding-math
-	// is used.
-        static double result() { 
-	  return 1.0 + 1.0e-16; // 1.0e-16 = Eps_double 
-	}
+        // That constant is embedded in an inline static function, to
+        // workaround a bug of g++>=4.1
+        //   http://gcc.gnu.org/bugzilla/show_bug.cgi?id=36912
+        // g++ does not like const floating expression when -frounding-math
+        // is used.
+        static double result() {
+          return 1.0 + 1.0e-16; // 1.0e-16 = Eps_double
+        }
       };
 
     template <>
       struct Tol<float>
       {
-	// That constant is embedded in an inline static function, to
-	// workaround a bug of g++>=4.1
-	//   http://gcc.gnu.org/bugzilla/show_bug.cgi?id=36912
-	// g++ does not like const floating expression when -frounding-math
-	// is used.
+        // That constant is embedded in an inline static function, to
+        // workaround a bug of g++>=4.1
+        //   http://gcc.gnu.org/bugzilla/show_bug.cgi?id=36912
+        // g++ does not like const floating expression when -frounding-math
+        // is used.
         static float result() {
-	  return 1.0f + 1.0e-7f; // 1.0e-7f = Eps_float;
-	}
+          return 1.0f + 1.0e-7f; // 1.0e-7f = Eps_float;
+        }
       };
   }
 
@@ -127,83 +127,83 @@ namespace CGAL_MINIBALL_NAMESPACE {
   class Pair : public std::pair<FT,FT> {
   private:
     typedef std::pair<FT,FT> Base;
-  
+
   public: // construction:
     Pair() : Base() {}
-  
+
     Pair(const FT& a,const FT& b) : Base(a,b) {}
-  
+
     Pair(int i) : Base(i,0) {}
-  
+
     Pair& operator=(const FT& x) {
       this->first  = x;
       this->second = 0;
       return *this;
     }
-  
+
   public:  // arithmetic and comparision:
     inline Pair operator+(const Pair& a) const {
       return Pair(this->first+a.first,this->second+a.second);
     }
-  
+
     inline Pair operator-(const Pair& a) const {
       return Pair(this->first-a.first,this->second-a.second);
     }
-  
+
     inline Pair operator-(const FT& a) const {
       return Pair(this->first-a,this->second);
     }
-  
+
     inline Pair operator*(const FT& a) const {
       return Pair(this->first*a,this->second*a);
     }
-  
+
     inline Pair operator/(const FT& a) const {
       CGAL_MINIBALL_ASSERT(a != FT(0));
       return Pair(this->first/a,this->second/a);
     }
-  
+
     inline Pair& operator+=(const Pair& p) {
       this->first  += p.first;
       this->second += p.second;
       return *this;
     }
-  
+
     inline Pair& operator-=(const Pair& p) {
       this->first  -= p.first;
       this->second -= p.second;
       return *this;
     }
-  
+
     inline bool operator!=(const Pair& p) const {
       return this->first!=p.first || this->second!=p.second;
     }
   };
-  
+
   template<typename FT>
   inline Pair<FT> operator+(const FT& a,const Pair<FT>& p) {
     return Pair<FT>(a+p.first,p.second);
   }
-  
+
   template<typename FT>
   inline Pair<FT> operator-(const FT& a,const Pair<FT>& p) {
     return Pair<FT>(a-p.first,-p.second);
   }
-  
+
   template<typename FT>
   inline bool is_neg(const FT& p,const FT&) {
     return p < 0;
   }
-  
+
   template<typename FT>
   inline bool is_neg(const Pair<FT> p,const FT& d) {
     const bool aneg = p.first<FT(0), bneg = p.second<FT(0);
-  
+
     if (aneg && bneg)
       return true;
     if (!aneg && !bneg)
       return false;
-  
+
     // So what remains are the cases (i) a<0,b>=0 and (ii) a>=0,b<0:
     //   (i)  We need to test b*sqrt(d)<-a with b,-a>=0.
     //   (ii) We need to test a<(-b)*sqrt(d) with a,-b>=0.
@@ -211,7 +211,7 @@ namespace CGAL_MINIBALL_NAMESPACE {
     const FT x = sqr(p.second)*d, y = sqr(p.first);
     return aneg? x<y : y<x;
   }
-  
+
   template<typename FT>
   inline bool is_zero(const Pair<FT> p,const FT& d) {
     if (d != FT(0))
@@ -219,7 +219,7 @@ namespace CGAL_MINIBALL_NAMESPACE {
       // have different signs:
       if ((p.first>FT(0)) ^ (p.second<FT(0)))
         return false;
-  
+
     // Here we have either:
     //   (i)   d=0, or
     //   (ii)  a>0,b<0,d!=0, or
@@ -227,12 +227,12 @@ namespace CGAL_MINIBALL_NAMESPACE {
     // Hence both sides of (*) are either positive or negative.
     return sqr(p.first) == sqr(p.second)*d;
   }
-  
+
   template<typename FT>
   inline bool is_neg_or_zero(const FT& p, const FT&) {
     return p <= 0;
   }
-  
+
   template<typename FT>
   inline bool is_neg_or_zero(const Pair<FT> p,const FT& d) {
     return is_neg(p,d) || is_zero(p,d);
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_pivot_impl.h 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_pivot_impl.h
--- 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_pivot_impl.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_pivot_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_pivot_impl.h $
-// $Id: Min_sphere_of_spheres_d_pivot_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_pivot_impl.h $
+// $Id: Min_sphere_of_spheres_d_pivot_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer
 
@@ -35,9 +35,9 @@ namespace CGAL_MINIBALL_NAMESPACE {
 
     template<class Traits>
     bool Support_set<Traits>::pivot(std::vector<const typename
-				    Traits::Sphere *>& l,
-				    int& e,
-				    const int d) {
+                                    Traits::Sphere *>& l,
+                                    int& e,
+                                    const int d) {
 
       // remember old radius:
       const Result old = radius();
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_support_set.h 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_support_set.h
--- 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_support_set.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_support_set.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_support_set.h $
-// $Id: Min_sphere_of_spheres_d_support_set.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_support_set.h $
+// $Id: Min_sphere_of_spheres_d_support_set.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer
 
@@ -48,8 +48,8 @@ namespace CGAL_MINIBALL_NAMESPACE {
 
     template<>
       struct Selector<float> {
-	typedef float Result;
-	typedef Tag_false Is_exact;
+        typedef float Result;
+        typedef Tag_false Is_exact;
       };
 
     template<>
@@ -167,7 +167,7 @@ namespace CGAL_MINIBALL_NAMESPACE {
     public: // modification:
       void reset();
       bool pivot(std::vector<const typename Traits::Sphere *>& l,
-  	       int& e,const int d);
+                 int& e,const int d);
 
     private: // modification:
       bool push(const Sphere& ball);
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_support_set_impl.h 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_support_set_impl.h
--- 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_support_set_impl.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_support_set_impl.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_support_set_impl.h $
-// $Id: Min_sphere_of_spheres_d_support_set_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d/Min_sphere_of_spheres_d_support_set_impl.h $
+// $Id: Min_sphere_of_spheres_d_support_set_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer
 
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d.h 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d.h
--- 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d.h $
-// $Id: Min_sphere_of_spheres_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d.h $
+// $Id: Min_sphere_of_spheres_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer
 
@@ -48,30 +48,30 @@ namespace CGAL_MINIBALL_NAMESPACE {
     typedef typename Traits::Algorithm Algorithm;
     static const int D = Traits::D;
     typedef typename Traits::Cartesian_const_iterator CIt;
-  
+
   private: // traits class:
     Traits t; // To allow the traits to not only vary at compile- but
               // also at runtime, we instantiate it here.
-  
+
   private: // for internal consisteny checks:
     // The following variable is true if and only if the miniball
     // has been computed of all inserted balls, i.e. iff every checked-in
     // ball has been respected in the miniball computation.
     bool is_up_to_date;
-  
-    boost::rand48 rng;  
+
+    boost::rand48 rng;
 
   public: // iterators:
     typedef const Result *Cartesian_const_iterator; // coordinate iterator
-  
+
     class Support_iterator {
       typedef typename std::vector<const Sphere*>::const_iterator It;
       It it;
-  
+
     private:
       friend class Min_sphere_of_spheres_d<Traits>;
       Support_iterator(It it) : it(it) {}
-  
+
     public:
       const Sphere& operator*() { return *(*it); }
       Support_iterator& operator++() { ++it; return *this; }
@@ -82,10 +82,10 @@ namespace CGAL_MINIBALL_NAMESPACE {
       }
       bool operator!=(const Support_iterator& i) { return it != i.it; }
     };
-  
+
   public: // construction and destruction:
     inline Min_sphere_of_spheres_d(const Traits& traits = Traits());
-  
+
     template<typename InputIterator>
     inline Min_sphere_of_spheres_d(InputIterator begin,InputIterator end,
                                    const Traits& traits = Traits()) :
@@ -94,59 +94,59 @@ namespace CGAL_MINIBALL_NAMESPACE {
       CGAL_MINIBALL_ASSERT(is_neg(ss.radius(),ss.disc()));
       insert(begin,end);            // todo. better way?
     }
-  
+
 
     inline void insert(const Sphere& b);
-  
+
     template<typename InputIterator>
     inline void insert(InputIterator begin,InputIterator end) {
       S.insert(S.end(), begin, end);
       is_up_to_date = false;
 #ifdef CGAL_MINIBALL_DEBUG
-      for(std::size_t i = 0; i < S.size(); i++){ 
-        CGAL_MINIBALL_ASSERT(t.radius(S[i]) >= FT(0)); 
+      for(std::size_t i = 0; i < S.size(); i++){
+        CGAL_MINIBALL_ASSERT(t.radius(S[i]) >= FT(0));
       }
 #endif
     }
-  
+
     inline void clear();
-  
+
     template<typename InputIterator>
     inline void set(InputIterator begin,InputIterator end) {
       clear();
       insert(begin,end);
     }
-  
+
   public: // predicates and accessors:
     inline bool is_empty();
-  
+
     inline const Result& radius();
-  
+
     inline Cartesian_const_iterator center_cartesian_begin();
     inline Cartesian_const_iterator center_cartesian_end();
-  
+
     inline const FT& discriminant();
-  
+
     inline Support_iterator support_begin();
-  
+
     inline Support_iterator support_end();
-  
+
     inline const Traits& traits() const {
       return t;
     }
-  
+
   public: // validity check:
     bool is_valid();
 
   private:
     bool is_valid(const Tag_true is_exact);
     bool is_valid(const Tag_false is_exact);
-  
+
   private:
     void update();
     void update(LP_algorithm);
     void update(Farthest_first_heuristic);
-  
+
     bool find_farthest(int from,int to,int& i,
                        Tag_true use_sqrt,Tag_false is_exact);
     bool find_farthest(int from,int to,int& i,
@@ -155,14 +155,14 @@ namespace CGAL_MINIBALL_NAMESPACE {
                        Tag_false use_sqrt,Tag_false is_exact);
     bool find_farthest(int from,int to,int& i,
                        Tag_false use_sqrt,Tag_true is_exact);
-  
+
   private:
     std::vector<Sphere> S;         // list of the added bals
     std::vector<const Sphere *> l; // list of pointers to the added bals
     Min_sphere_of_spheres_d_impl::
       Support_set<Traits> ss;      // current support set
     int e;                         // l[0..(e-1)] is a basis
-  
+
   private: // forbid copy constructing and assignment (because our
            // pointers in ss would be wrong then):
     Min_sphere_of_spheres_d(const Min_sphere_of_spheres_d&);
@@ -243,9 +243,9 @@ namespace CGAL_MINIBALL_NAMESPACE {
     // set up the vector l containing pointers to the balls in S:
     CGAL_MINIBALL_ASSERT(l.size() == 0);
     for (typename std::vector<Sphere>::const_iterator it = S.begin();
-	 it != S.end(); ++it)
+         it != S.end(); ++it)
       l.push_back(&(*it));
-    
+
     // compute the miniball:
     update(Algorithm());
     is_up_to_date = true;
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d_traits_2.h 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d_traits_2.h
--- 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d_traits_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d_traits_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d_traits_2.h $
-// $Id: Min_sphere_of_spheres_d_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d_traits_2.h $
+// $Id: Min_sphere_of_spheres_d_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer
 
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d_traits_3.h 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d_traits_3.h
--- 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d_traits_3.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d_traits_3.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d_traits_3.h $
-// $Id: Min_sphere_of_spheres_d_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d_traits_3.h $
+// $Id: Min_sphere_of_spheres_d_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer
 
diff -pruN 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d_traits_d.h 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d_traits_d.h
--- 5.0.2-3/include/CGAL/Min_sphere_of_spheres_d_traits_d.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Min_sphere_of_spheres_d_traits_d.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d_traits_d.h $
-// $Id: Min_sphere_of_spheres_d_traits_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Min_sphere_of_spheres_d_traits_d.h $
+// $Id: Min_sphere_of_spheres_d_traits_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer
 
diff -pruN 5.0.2-3/include/CGAL/Mixed_integer_program_traits.h 5.0.3-1/include/CGAL/Mixed_integer_program_traits.h
--- 5.0.2-3/include/CGAL/Mixed_integer_program_traits.h	2020-02-21 20:04:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mixed_integer_program_traits.h	2020-08-01 19:02:52.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Solver_interface/include/CGAL/Mixed_integer_program_traits.h $
-// $Id: Mixed_integer_program_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Solver_interface/include/CGAL/Mixed_integer_program_traits.h $
+// $Id: Mixed_integer_program_traits.h 202430d 2020-04-20T15:51:48+02:00 Dmitry Anisimov
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Liangliang Nan
@@ -21,687 +21,693 @@
 
 namespace CGAL {
 
-	/// \cond SKIP_IN_MANUAL
-	// forward declaration
-	template <typename FT>
-	class Mixed_integer_program_traits;
-
-	/// The base class of solver element(e.g., Variable, Linear_constraint, and Linear_objective) in
-	/// a mixed integer program
-
-	template <typename FT>
-	class Solver_entry
-	{
-	public:
-                typedef	CGAL::Mixed_integer_program_traits<FT>	Solver;
-
-	private:
-		/// A solver element (e.g., variable, constraint, objective) cannot belong to multiple solvers.
-		/// "solver" owns this entry.
-		Solver_entry(
-			Solver* solver,
-			const std::string& name = "",
-			int idx = 0
-		) : solver_(solver), name_(name), index_(idx) {}
-
-	public:
-		const std::string& name() const { return name_; }
-		void set_name(const std::string& n) { name_ = n; }
-
-		int  index() const { return index_; }
-		void set_index(int idx) { index_ = idx; }
-
-		/// The solver that owns this entry
-		const Solver* solver() const { return solver_; }
-		Solver* solver() { return solver_; }
-
-	private:
-		Solver*		solver_; // The solver that owns this entry
-		std::string	name_;
-		int			index_;
+        /// \cond SKIP_IN_MANUAL
+        // forward declaration
+        template <typename FT>
+        class Mixed_integer_program_traits;
+
+        /// The base class of solver element(e.g., Variable, Linear_constraint, and Linear_objective) in
+        /// a mixed integer program
+
+        template <typename FT>
+        class Solver_entry
+        {
+        public:
+                typedef        CGAL::Mixed_integer_program_traits<FT>        Solver;
+
+        private:
+                /// A solver element (e.g., variable, constraint, objective) cannot belong to multiple solvers.
+                /// "solver" owns this entry.
+                Solver_entry(
+                        Solver* solver,
+                        const std::string& name = "",
+                        int idx = 0
+                ) : solver_(solver), name_(name), index_(idx) {}
+
+        public:
+                const std::string& name() const { return name_; }
+                void set_name(const std::string& n) { name_ = n; }
+
+                int  index() const { return index_; }
+                void set_index(int idx) { index_ = idx; }
+
+                /// The solver that owns this entry
+                const Solver* solver() const { return solver_; }
+                Solver* solver() { return solver_; }
+
+        private:
+                Solver*                solver_; // The solver that owns this entry
+                std::string        name_;
+                int                        index_;
 
                 template <typename T> friend class Variable;
                 template <typename T> friend class Linear_expression;
-		template <typename T> friend class Mixed_integer_program_traits;
-	};
+                template <typename T> friend class Mixed_integer_program_traits;
+        };
 
 
-	/// The base class of solver elements that have bound constraints.
-	template <typename FT>
+        /// The base class of solver elements that have bound constraints.
+        template <typename FT>
         class Bound
-	{
-	private:
+        {
+        private:
                 Bound(FT lb = -infinity(), FT ub = +infinity());
 
-	public:
-		void set_bounds(FT lb, FT ub);
-		void set_lower_bound(FT lb) { lower_bound_ = lb; }
-		void set_upper_bound(FT ub) { upper_bound_ = ub; }
-
-		void get_bounds(FT& lb, FT& ub) const;
-		FT lower_bound() const { return lower_bound_; }
-		FT upper_bound() const { return upper_bound_; }
-
-		static FT infinity();
-
-	private:
-		FT		lower_bound_;
-		FT		upper_bound_;
-
-		static FT infinity_;
-
-		template <typename T> friend class Variable;
-		template <typename T> friend class Linear_constraint;
-		template <typename T> friend class Mixed_integer_program_traits;
-	};
-	/// \endcond
-
-	/// The variables of mixed integer programs.
-	///
-	/// \cgalModels `MixedIntegerProgramVariable`
-	template <typename FT>
+        public:
+                void set_bounds(FT lb, FT ub);
+                void set_lower_bound(FT lb) { lower_bound_ = lb; }
+                void set_upper_bound(FT ub) { upper_bound_ = ub; }
+
+                void get_bounds(FT& lb, FT& ub) const;
+                FT lower_bound() const { return lower_bound_; }
+                FT upper_bound() const { return upper_bound_; }
+
+                static FT infinity();
+
+        private:
+                FT                lower_bound_;
+                FT                upper_bound_;
+
+                static FT infinity_;
+
+                template <typename T> friend class Variable;
+                template <typename T> friend class Linear_constraint;
+                template <typename T> friend class Mixed_integer_program_traits;
+        };
+        /// \endcond
+
+        /// \ingroup PkgSolverInterfaceRef
+        ///
+        /// The variable of a mixed integer program.
+        ///
+        /// \cgalModels `MixedIntegerProgramVariable`
+        template <typename FT>
         class Variable : public Solver_entry<FT>, public Bound<FT>
-	{
-		/// \cond SKIP_IN_MANUAL
-	public:
+        {
+                /// \cond SKIP_IN_MANUAL
+        public:
                 enum Variable_type { CONTINUOUS, INTEGER, BINARY };
 
-                typedef	CGAL::Bound<FT>                             Bound;
-                typedef	CGAL::Solver_entry<FT>                      Solver_entry;
-                typedef	CGAL::Mixed_integer_program_traits<FT>      Solver;
-
-	private:
-		/// A variable cannot belong to several solvers.
-		/// "solver" owns this variable.
-		Variable(
-			Solver* solver,
-			Variable_type type = CONTINUOUS,
-			FT lb = -Bound::infinity(),
-			FT ub = +Bound::infinity(),
-			const std::string& name = "",
-			int idx = 0
-		);
-
-	public:
-		Variable_type variable_type() const { return variable_type_; }
-		void set_variable_type(Variable_type t);
-
-		/// Returns the value of the variable in the current solution.
-		/// \note (1) Valid only if the program was successfully solved.
-		///       (2) If the variable is integer and rounded == true, then the 
-		///           value will be rounded to the nearest integer.
-		FT solution_value(bool rounded = false) const;
-
-		void set_solution_value(FT value) { solution_value_ = value; }
-
-	private:
-		Variable_type	variable_type_;
-                FT		solution_value_;
-
-		template <typename T> friend class Mixed_integer_program_traits;
-		/// \endcond
-	};
-
-
-	/// \cond SKIP_IN_MANUAL
-	/// The base class of Linear_constraint and Linear_objective.
-	template <typename FT>
-	class Linear_expression : public Solver_entry<FT>
-	{
-	public:
+                typedef        CGAL::Bound<FT>                             Bound;
+                typedef        CGAL::Solver_entry<FT>                      Solver_entry;
+                typedef        CGAL::Mixed_integer_program_traits<FT>      Solver;
+
+        private:
+                /// A variable cannot belong to several solvers.
+                /// "solver" owns this variable.
+                Variable(
+                        Solver* solver,
+                        Variable_type type = CONTINUOUS,
+                        FT lb = -Bound::infinity(),
+                        FT ub = +Bound::infinity(),
+                        const std::string& name = "",
+                        int idx = 0
+                );
+
+        public:
+                Variable_type variable_type() const { return variable_type_; }
+                void set_variable_type(Variable_type t);
+
+                /// Returns the value of the variable in the current solution.
+                /// \note (1) Valid only if the program was successfully solved.
+                ///       (2) If the variable is integer and rounded == true, then the
+                ///           value will be rounded to the nearest integer.
+                FT solution_value(bool rounded = false) const;
+
+                void set_solution_value(FT value) { solution_value_ = value; }
+
+        private:
+                Variable_type        variable_type_;
+                FT                solution_value_;
+
+                template <typename T> friend class Mixed_integer_program_traits;
+                /// \endcond
+        };
+
+
+        /// \cond SKIP_IN_MANUAL
+        /// The base class of Linear_constraint and Linear_objective.
+        template <typename FT>
+        class Linear_expression : public Solver_entry<FT>
+        {
+        public:
                 typedef CGAL::Solver_entry<FT>                  Solver_entry;
-                typedef CGAL::Variable<FT>			Variable;
-                typedef	CGAL::Mixed_integer_program_traits<FT>	Solver;
+                typedef CGAL::Variable<FT>                        Variable;
+                typedef        CGAL::Mixed_integer_program_traits<FT>        Solver;
 
-	private:
-		/// An expression cannot belong to several solvers.
-		/// "solver" owns this expression.
-		Linear_expression(
-			Solver* solver,
-			const std::string& name = "",
-			int idx = 0
-		);
-
-	public:
-		/// Adds a coefficient to a variable. 
-		void  add_coefficient(const Variable* var, FT coeff);
-
-		const std::unordered_map<const Variable*, FT>& coefficients() const { return coefficients_; }
-		void  set_coefficients(const std::unordered_map<const Variable*, FT>& coeffs) { coefficients_ = coeffs; }
-
-		FT get_coefficient(const Variable* var) const;
-
-		// The constant term
-		void set_offset(FT value) { offset_ = value; }
-		FT offset() const { return offset_; }
-
-		/// Evaluates the value of this expression at the solution found.
-		/// \note (1) valid only if the problem was successfully solved.
-		///       (2) if a variable is integer and rounded == true, then the 
-		///           variable value will be rounded to the nearest integer.
-		FT solution_value(bool rounded = false) const;
-
-		virtual void clear() { coefficients_.clear(); offset_ = 0.0; }
-
-	private:
-		std::unordered_map<const Variable*, FT>	coefficients_;
-		FT	offset_;
-
-		template <typename T> friend class Linear_constraint;
-		template <typename T> friend class Linear_objective;
-		template <typename T> friend class Mixed_integer_program_traits;
-	};
-	/// \endcond
-
-	/// The linear constraint.
-	/// \cgalModels `MixedIntegerProgramLinearConstraint`
-	template <typename FT>
+        private:
+                /// An expression cannot belong to several solvers.
+                /// "solver" owns this expression.
+                Linear_expression(
+                        Solver* solver,
+                        const std::string& name = "",
+                        int idx = 0
+                );
+
+        public:
+                /// Adds a coefficient to a variable.
+                void  add_coefficient(const Variable* var, FT coeff);
+
+                const std::unordered_map<const Variable*, FT>& coefficients() const { return coefficients_; }
+                void  set_coefficients(const std::unordered_map<const Variable*, FT>& coeffs) { coefficients_ = coeffs; }
+
+                FT get_coefficient(const Variable* var) const;
+
+                // The constant term
+                void set_offset(FT value) { offset_ = value; }
+                FT offset() const { return offset_; }
+
+                /// Evaluates the value of this expression at the solution found.
+                /// \note (1) valid only if the problem was successfully solved.
+                ///       (2) if a variable is integer and rounded == true, then the
+                ///           variable value will be rounded to the nearest integer.
+                FT solution_value(bool rounded = false) const;
+
+                virtual void clear() { coefficients_.clear(); offset_ = 0.0; }
+
+        private:
+                std::unordered_map<const Variable*, FT>        coefficients_;
+                FT        offset_;
+
+                template <typename T> friend class Linear_constraint;
+                template <typename T> friend class Linear_objective;
+                template <typename T> friend class Mixed_integer_program_traits;
+        };
+        /// \endcond
+
+        /// \ingroup PkgSolverInterfaceRef
+        ///
+        /// The linear constraint of a mixed integer program.
+        ///
+        /// \cgalModels `MixedIntegerProgramLinearConstraint`
+        template <typename FT>
         class Linear_constraint : public Linear_expression<FT>, public Bound<FT>
-	{
-		/// \cond SKIP_IN_MANUAL
-	public:
-                typedef	CGAL::Bound<FT>                         Bound;
-                typedef	CGAL::Linear_expression<FT>             Linear_expression;
-                typedef	CGAL::Mixed_integer_program_traits<FT>	Solver;
+        {
+                /// \cond SKIP_IN_MANUAL
+        public:
+                typedef        CGAL::Bound<FT>                         Bound;
+                typedef        CGAL::Linear_expression<FT>             Linear_expression;
+                typedef        CGAL::Mixed_integer_program_traits<FT>        Solver;
 
-	private:
+        private:
                 /// A constraint cannot belong to several solvers.
-		/// The "solver" owns this constraint.
-		Linear_constraint(
-			Solver* solver,
-			FT lb = -Bound::infinity(),
-			FT ub = +Bound::infinity(),
-			const std::string& name = "",
-			int idx = 0
-		);
-
-		virtual ~Linear_constraint() {}
-
-		template <typename T> friend class Mixed_integer_program_traits;
-		/// \endcond
-	};
-
-
-	/// The linear objective.
-	///
-	/// \cgalModels `MixedIntegerProgramLinearObjective`
-	///
-	template <typename FT>
-	class Linear_objective : public Linear_expression<FT>
-	{
-		/// \cond SKIP_IN_MANUAL
-	public:
-                typedef	CGAL::Mixed_integer_program_traits<FT>      Solver;
+                /// The "solver" owns this constraint.
+                Linear_constraint(
+                        Solver* solver,
+                        FT lb = -Bound::infinity(),
+                        FT ub = +Bound::infinity(),
+                        const std::string& name = "",
+                        int idx = 0
+                );
+
+                virtual ~Linear_constraint() {}
+
+                template <typename T> friend class Mixed_integer_program_traits;
+                /// \endcond
+        };
+
+
+        /// \ingroup PkgSolverInterfaceRef
+        ///
+        /// The linear objective of a mixed integer program.
+        ///
+        /// \cgalModels `MixedIntegerProgramLinearObjective`
+        ///
+        template <typename FT>
+        class Linear_objective : public Linear_expression<FT>
+        {
+                /// \cond SKIP_IN_MANUAL
+        public:
+                typedef        CGAL::Mixed_integer_program_traits<FT>      Solver;
                 typedef CGAL::Linear_expression<FT>                 Linear_expression;
-		typedef typename Linear_expression::Solver_entry    Solver_entry;
+                typedef typename Linear_expression::Solver_entry    Solver_entry;
 
-		enum Sense { MINIMIZE, MAXIMIZE, UNDEFINED };
+                enum Sense { MINIMIZE, MAXIMIZE, UNDEFINED };
 
-	private:
-		/// An objective cannot belong to several solvers.
-		/// "solver" owns this objective.
-		Linear_objective(Solver* solver, Sense sense);
-		virtual ~Linear_objective() {}
-
-	public:
-		void  set_sense(Sense sense) { sense_ = sense; }
-		Sense sense() const { return sense_; }
-
-		void clear();
-
-	private:
-		Sense sense_;
-
-		template <typename T> friend class Mixed_integer_program_traits;
-		/// \endcond
-	};
-
-	/// \ingroup PkgSolver
-	///
-	/// The class `Mixed_integer_program_traits` provides an interface for 
-	/// formulating and solving (constrained or unconstrained) mixed integer 
-	/// programs. It can also be used for general linear programs.
-	/// \note The solve() function is virtual and thus this class cannot be
-	///		  instantiated directly. Client code should use the inherited 
-	///       classes, i.e., `GLPK_mixed_integer_program_traits` or
-	///		  `SCIP_mixed_integer_program_traits`. Alternatively, use
-	///       `Mixed_integer_program_traits` as a base to derive a new model
-	///       (using e.g., <a href = "https://projects.coin-or.org/Cbc"> CBC </a>, 
-	///       <a href = "http://www.gurobi.com/"> Gurobi </a> for better 
-	///       performance).
-	///
-	/// \cond SKIP_IN_MANUAL
-	/// \tparam FT Number type
-	/// \endcond
-	///
-	/// \cgalModels `MixedIntegerProgramTraits`
-
-	template <typename FT>
-	class Mixed_integer_program_traits
-	{
-		/// \cond SKIP_IN_MANUAL
-	public:
-                typedef CGAL::Variable<FT>				Variable;
-                typedef CGAL::Linear_constraint<FT>			Linear_constraint;
-                typedef CGAL::Linear_objective<FT>			Linear_objective;
-		typedef typename Linear_objective::Sense		Sense;
-		typedef typename Variable::Variable_type		Variable_type;
-
-	public:
-		Mixed_integer_program_traits();
-		~Mixed_integer_program_traits();
-
-		/// Creates a single variable, add it to the solver, and returns its pointer.
-		/// \note (1) If name is empty or not provided, a default name (e.g., x0, x1...) 
-		///		  will be given.
-		///		  (2) Memory is managed by the solver and will be automatically released 
-		///		  when the solver is destroyed.
-		Variable* create_variable(
-			Variable_type type = Variable::CONTINUOUS,
-			FT lb = -Variable::infinity(),
-			FT ub = +Variable::infinity(),
-			const std::string& name = ""
-		);
-
-		/// Creates a set of variables and add them to the solver.
-		/// \note (1) Variables will be given default names, e.g., x0, x1...
-		///		  (2) Memory is managed by the solver and will be automatically released 
-		///		  when the solver is destroyed.
-		std::vector<Variable*> create_variables(std::size_t n);
-
-		/// Creates a single linear constraint, add it to the solver, and returns the pointer.
-		/// \note (1) If 'name' is empty or not provided, a default name (e.g., c0, c1...) will be given.
-		///		  (2) Memory is managed by the solver and will be automatically released when the
-		///		  solver is destroyed.
-		Linear_constraint* create_constraint(
-			FT lb = -Variable::infinity(),
-			FT ub = +Variable::infinity(),
-			const std::string& name = ""
-		);
-
-		/// Creates a set of linear constraints and add them to the solver.	
-		/// \note (1) Constraints with be given default names, e.g., c0, c1...
-		///		  (2) Memory is managed by the solver and will be automatically released 
-		///		  when the solver is destroyed.
-		std::vector<Linear_constraint*> create_constraints(std::size_t n);
-
-		/// Creates the objective function and returns the pointer.
-		/// \note Memory is managed by the solver and will be automatically released 
-		///		  when the solver is destroyed.
-		Linear_objective* create_objective(Sense sense = Linear_objective::MINIMIZE);
-
-		std::size_t number_of_variables() const { return variables_.size(); }
-		const std::vector<Variable*>& variables() const { return variables_; }
-		std::vector<Variable*>& variables() { return variables_; }
-
-		std::size_t number_of_constraints() const { return constraints_.size(); }
-		const std::vector<Linear_constraint*>& constraints() const { return constraints_; }
-		std::vector<Linear_constraint*>& constraints() { return constraints_; }
-
-		const Linear_objective* objective() const;
-		Linear_objective* objective();
-
-		std::size_t number_of_continuous_variables() const;
-		std::size_t number_of_integer_variables() const;
-		std::size_t number_of_binary_variables() const;
-
-		bool is_continuous() const;				// Returns true if all variables are continuous
-		bool is_mixed_integer_program() const;	// Returns true if mixed integer program
-		bool is_integer_program() const;		// Returns true if integer program
-		bool is_binary_program() const;			// Returns true if binary program
-
-		/// Clears all variables, constraints, and the objective.
-		void clear();
-
-		/// Solves the program. Returns false if fails.
-		virtual bool solve() = 0;
-
-		/// Returns the result. 
-		/// The result can also be retrieved using Variable::solution_value().
-		/// \note (1) Result is valid only if the solver succeeded.
-		///       (2) Each entry in the result corresponds to the variable with the
-		///			 same index in the program.
-		const std::vector<FT>& solution() const { return result_; }
-
-		/// Returns the error message.
-		/// \note This function should be called after call to solve().
-		const std::string& error_message() const { return error_message_; }
-
-	protected:
-		Linear_objective*				objective_;
-		std::vector<Variable*>			variables_;
-		std::vector<Linear_constraint*>	constraints_;
-
-		std::vector<FT>		result_;
-		std::string			error_message_;
-		/// \endcond
-	};
+        private:
+                /// An objective cannot belong to several solvers.
+                /// "solver" owns this objective.
+                Linear_objective(Solver* solver, Sense sense);
+                virtual ~Linear_objective() {}
+
+        public:
+                void  set_sense(Sense sense) { sense_ = sense; }
+                Sense sense() const { return sense_; }
+
+                void clear();
+
+        private:
+                Sense sense_;
+
+                template <typename T> friend class Mixed_integer_program_traits;
+                /// \endcond
+        };
+
+        /// \ingroup PkgSolverInterfaceRef
+        ///
+        /// The class `CGAL::Mixed_integer_program_traits` provides an interface for
+        /// formulating and solving (constrained or unconstrained) mixed integer
+        /// programs. It can also be used for general linear programs.
+        /// \note The solve() function is virtual and thus this class cannot be
+        ///                  instantiated directly. Client code should use the inherited
+        ///       classes, i.e., `CGAL::GLPK_mixed_integer_program_traits` or
+        ///                  `CGAL::SCIP_mixed_integer_program_traits`. Alternatively, use
+        ///       `CGAL::Mixed_integer_program_traits` as a base to derive a new model
+        ///       (using e.g., <a href = "https://projects.coin-or.org/Cbc"> CBC </a>,
+        ///       <a href = "http://www.gurobi.com/"> Gurobi </a> for better
+        ///       performance).
+        ///
+        /// \cond SKIP_IN_MANUAL
+        /// \tparam FT Number type
+        /// \endcond
+        ///
+        /// \cgalModels `MixedIntegerProgramTraits`
+        template <typename FT>
+        class Mixed_integer_program_traits
+        {
+                /// \cond SKIP_IN_MANUAL
+        public:
+                typedef CGAL::Variable<FT>                                Variable;
+                typedef CGAL::Linear_constraint<FT>                        Linear_constraint;
+                typedef CGAL::Linear_objective<FT>                        Linear_objective;
+                typedef typename Linear_objective::Sense                Sense;
+                typedef typename Variable::Variable_type                Variable_type;
+
+        public:
+                Mixed_integer_program_traits();
+                ~Mixed_integer_program_traits();
+
+                /// Creates a single variable, add it to the solver, and returns its pointer.
+                /// \note (1) If name is empty or not provided, a default name (e.g., x0, x1...)
+                ///                  will be given.
+                ///                  (2) Memory is managed by the solver and will be automatically released
+                ///                  when the solver is destroyed.
+                Variable* create_variable(
+                        Variable_type type = Variable::CONTINUOUS,
+                        FT lb = -Variable::infinity(),
+                        FT ub = +Variable::infinity(),
+                        const std::string& name = ""
+                );
+
+                /// Creates a set of variables and add them to the solver.
+                /// \note (1) Variables will be given default names, e.g., x0, x1...
+                ///                  (2) Memory is managed by the solver and will be automatically released
+                ///                  when the solver is destroyed.
+                std::vector<Variable*> create_variables(std::size_t n);
+
+                /// Creates a single linear constraint, add it to the solver, and returns the pointer.
+                /// \note (1) If 'name' is empty or not provided, a default name (e.g., c0, c1...) will be given.
+                ///                  (2) Memory is managed by the solver and will be automatically released when the
+                ///                  solver is destroyed.
+                Linear_constraint* create_constraint(
+                        FT lb = -Variable::infinity(),
+                        FT ub = +Variable::infinity(),
+                        const std::string& name = ""
+                );
+
+                /// Creates a set of linear constraints and add them to the solver.
+                /// \note (1) Constraints with be given default names, e.g., c0, c1...
+                ///                  (2) Memory is managed by the solver and will be automatically released
+                ///                  when the solver is destroyed.
+                std::vector<Linear_constraint*> create_constraints(std::size_t n);
+
+                /// Creates the objective function and returns the pointer.
+                /// \note Memory is managed by the solver and will be automatically released
+                ///                  when the solver is destroyed.
+                Linear_objective* create_objective(Sense sense = Linear_objective::MINIMIZE);
+
+                std::size_t number_of_variables() const { return variables_.size(); }
+                const std::vector<Variable*>& variables() const { return variables_; }
+                std::vector<Variable*>& variables() { return variables_; }
+
+                std::size_t number_of_constraints() const { return constraints_.size(); }
+                const std::vector<Linear_constraint*>& constraints() const { return constraints_; }
+                std::vector<Linear_constraint*>& constraints() { return constraints_; }
+
+                const Linear_objective* objective() const;
+                Linear_objective* objective();
+
+                std::size_t number_of_continuous_variables() const;
+                std::size_t number_of_integer_variables() const;
+                std::size_t number_of_binary_variables() const;
+
+                bool is_continuous() const;                                // Returns true if all variables are continuous
+                bool is_mixed_integer_program() const;        // Returns true if mixed integer program
+                bool is_integer_program() const;                // Returns true if integer program
+                bool is_binary_program() const;                        // Returns true if binary program
+
+                /// Clears all variables, constraints, and the objective.
+                void clear();
+
+                /// Solves the program. Returns false if fails.
+                virtual bool solve() = 0;
+
+                /// Returns the result.
+                /// The result can also be retrieved using Variable::solution_value().
+                /// \note (1) Result is valid only if the solver succeeded.
+                ///       (2) Each entry in the result corresponds to the variable with the
+                ///                         same index in the program.
+                const std::vector<FT>& solution() const { return result_; }
+
+                /// Returns the error message.
+                /// \note This function should be called after call to solve().
+                const std::string& error_message() const { return error_message_; }
+
+        protected:
+                Linear_objective*                                objective_;
+                std::vector<Variable*>                        variables_;
+                std::vector<Linear_constraint*>        constraints_;
+
+                std::vector<FT>                result_;
+                std::string                        error_message_;
+                /// \endcond
+        };
 
-	//////////////////////////////////////////////////////////////////////////
+        //////////////////////////////////////////////////////////////////////////
 
-	// implementation
+        // implementation
 #ifndef DOXYGEN_RUNNING
-	template<typename FT>
-        FT Bound<FT>::infinity_ = 1e20;		// values larger than this value are considered infinity
+        template<typename FT>
+        FT Bound<FT>::infinity_ = 1e20;                // values larger than this value are considered infinity
 
-	template<typename FT>
+        template<typename FT>
         Bound<FT>::Bound(FT lb /* = -infinity() */, FT ub /* = +infinity() */)
-		: lower_bound_(lb)
-		, upper_bound_(ub)
-	{
-	}
+                : lower_bound_(lb)
+                , upper_bound_(ub)
+        {
+        }
 
-	template<typename FT>
+        template<typename FT>
         FT Bound<FT>::infinity() {
-		return infinity_;
-	}
+                return infinity_;
+        }
 
-	template<typename FT>
+        template<typename FT>
         void Bound<FT>::set_bounds(FT lb, FT ub) {
-		lower_bound_ = lb;
-		upper_bound_ = ub;
-	}
+                lower_bound_ = lb;
+                upper_bound_ = ub;
+        }
 
-	template<typename FT>
+        template<typename FT>
         void Bound<FT>::get_bounds(FT& lb, FT& ub) const {
-		lb = lower_bound_;
-		ub = upper_bound_;
-	}
+                lb = lower_bound_;
+                ub = upper_bound_;
+        }
 
 
-	template<typename FT>
-	Variable<FT>::Variable(
-		Solver* solver,
-		Variable_type type /* = CONTINUOUS */,
-		FT lb /* = -infinity() */,
-		FT ub /* = +infinity() */,
-		const std::string& name /* = "" */,
+        template<typename FT>
+        Variable<FT>::Variable(
+                Solver* solver,
+                Variable_type type /* = CONTINUOUS */,
+                FT lb /* = -infinity() */,
+                FT ub /* = +infinity() */,
+                const std::string& name /* = "" */,
                 int idx /* = 0*/
-	)
+        )
                 : Solver_entry(solver, name, idx)
                 , Bound(lb, ub)
-		, variable_type_(type)
-		, solution_value_(0.0)
-	{
-		if (type == BINARY)
+                , variable_type_(type)
+                , solution_value_(0.0)
+        {
+                if (type == BINARY)
+                        Bound::set_bounds(0.0, 1.0);
+        }
+
+
+        template<typename FT>
+        void Variable<FT>::set_variable_type(Variable_type type) {
+                variable_type_ = type;
+                if (type == BINARY)
                         Bound::set_bounds(0.0, 1.0);
-	}
+        }
 
 
-	template<typename FT>
-	void Variable<FT>::set_variable_type(Variable_type type) {
-		variable_type_ = type;
-		if (type == BINARY)
-			Bound::set_bounds(0.0, 1.0);
-	}
-
-
-	template<typename FT>
-	FT Variable<FT>::solution_value(bool rounded /* = false*/) const {
-		if (rounded && variable_type_ != CONTINUOUS)
-			return std::round(solution_value_);
-		else
-			return solution_value_;
-	}
-
-	//////////////////////////////////////////////////////////////////////////
-
-	template<typename FT>
-	Linear_expression<FT>::Linear_expression(Solver* solver, const std::string& name, int idx)
-		: Solver_entry(solver, name, idx)
-		, offset_(0.0)
-	{
-	}
-
-
-	template<typename FT>
-	void Linear_expression<FT>::add_coefficient(const Variable* var, FT coeff) {
-		if (coefficients_.find(var) == coefficients_.end())
-			coefficients_[var] = coeff;
-		else
-			coefficients_[var] += coeff;
-	}
-
-
-	template<typename FT>
-	FT Linear_expression<FT>::get_coefficient(const Variable* var) const {
-		typename std::unordered_map<const Variable*, FT>::const_iterator pos = coefficients_.find(var);
-		if (pos != coefficients_.end())
-			return pos->second;
-		else {
-			std::cerr << "linear expression does not own variable " << var->name() << " (" << var->index() << ")" << std::endl;
-			return 0.0;
-		}
-	}
-
-
-	template<typename FT>
-	FT Linear_expression<FT>::solution_value(bool rounded /* = false*/) const {
-		FT solution = offset_;
-
-		typename std::unordered_map<const Variable*, FT>::const_iterator it = coefficients_.begin();
-		for (; it != coefficients_.end(); ++it) {
-			const Variable* var = it->first;
-			FT coeff = it->second;
-			solution += var->solution_value(rounded) * coeff;
-		}
-		return solution;
-	}
-
-
-	template<typename FT>
-	void Linear_objective<FT>::clear() {
-		Linear_expression::clear();
-		Solver_entry::set_name("");
-		Solver_entry::set_index(0);
-	}
-
-
-	template<typename FT>
-	Linear_constraint<FT>::Linear_constraint(
-		Solver* solver,
-		FT lb /* = -infinity() */,
-		FT ub /* = +infinity() */,
-		const std::string& name/* = "" */,
-		int idx /* = 0*/
-	)
+        template<typename FT>
+        FT Variable<FT>::solution_value(bool rounded /* = false*/) const {
+                if (rounded && variable_type_ != CONTINUOUS)
+                        return std::round(solution_value_);
+                else
+                        return solution_value_;
+        }
+
+        //////////////////////////////////////////////////////////////////////////
+
+        template<typename FT>
+        Linear_expression<FT>::Linear_expression(Solver* solver, const std::string& name, int idx)
+                : Solver_entry(solver, name, idx)
+                , offset_(0.0)
+        {
+        }
+
+
+        template<typename FT>
+        void Linear_expression<FT>::add_coefficient(const Variable* var, FT coeff) {
+                if (coefficients_.find(var) == coefficients_.end())
+                        coefficients_[var] = coeff;
+                else
+                        coefficients_[var] += coeff;
+        }
+
+
+        template<typename FT>
+        FT Linear_expression<FT>::get_coefficient(const Variable* var) const {
+                typename std::unordered_map<const Variable*, FT>::const_iterator pos = coefficients_.find(var);
+                if (pos != coefficients_.end())
+                        return pos->second;
+                else {
+                        std::cerr << "linear expression does not own variable " << var->name() << " (" << var->index() << ")" << std::endl;
+                        return 0.0;
+                }
+        }
+
+
+        template<typename FT>
+        FT Linear_expression<FT>::solution_value(bool rounded /* = false*/) const {
+                FT solution = offset_;
+
+                typename std::unordered_map<const Variable*, FT>::const_iterator it = coefficients_.begin();
+                for (; it != coefficients_.end(); ++it) {
+                        const Variable* var = it->first;
+                        FT coeff = it->second;
+                        solution += var->solution_value(rounded) * coeff;
+                }
+                return solution;
+        }
+
+
+        template<typename FT>
+        void Linear_objective<FT>::clear() {
+                Linear_expression::clear();
+                Solver_entry::set_name("");
+                Solver_entry::set_index(0);
+        }
+
+
+        template<typename FT>
+        Linear_constraint<FT>::Linear_constraint(
+                Solver* solver,
+                FT lb /* = -infinity() */,
+                FT ub /* = +infinity() */,
+                const std::string& name/* = "" */,
+                int idx /* = 0*/
+        )
                 : Linear_expression(solver, name, idx)
-		, Bound(lb, ub)
-	{
-	}
-
-	template<typename FT>
-	Linear_objective<FT>::Linear_objective(Solver* solver, Sense sense)
-		: Linear_expression(solver)
-		, sense_(sense)
-	{
-	}
-
-	template<typename FT>
-	Mixed_integer_program_traits<FT>::Mixed_integer_program_traits() {
-		// Intentionally set the objective to UNDEFINED, so it will allow me to warn
-		// the user if he/she forgot to set the objective sense.
-		objective_ = new Linear_objective(this, Linear_objective::UNDEFINED);
-	}
-
-	template<typename FT>
-	Mixed_integer_program_traits<FT>::~Mixed_integer_program_traits() {
-		clear();
-		delete objective_;
-	}
-
-	template<typename FT>
-	void Mixed_integer_program_traits<FT>::clear() {
-		for (std::size_t i = 0; i < variables_.size(); ++i)
-			delete variables_[i];
-		variables_.clear();
-
-		for (std::size_t i = 0; i < constraints_.size(); ++i)
-			delete constraints_[i];
-		constraints_.clear();
-
-		objective_->clear();
-	}
-
-	namespace internal {
-		/**
-		* Converts an integer v to a string of specified 'width' by
-		* filling with character 'fill'
-		*/
-		template <class Int>
-		inline std::string from_integer(Int v, int width, char fill) {
-			std::ostringstream string_stream;
-			string_stream << std::setfill(fill) << std::setw(width) << v;
-			return string_stream.str();
-		}
-	}
-
-	template<typename FT>
-	typename Mixed_integer_program_traits<FT>::Variable* Mixed_integer_program_traits<FT>::create_variable(
-		Variable_type type /* = Variable::CONTINUOUS */,
-		FT lb /* = -Variable::infinity() */,
-		FT ub /* = +Variable::infinity() */,
-		const std::string& name /* = "" */)
-	{
-		Variable* v = new Variable(this, type, lb, ub);
-
-		std::size_t idx = variables_.size();
-		v->set_index(static_cast<int>(idx));
-
-		const std::string& fixed_name = name.empty() ? "x" + internal::from_integer(idx, 9, '0') : name;
-		v->set_name(fixed_name);
-
-		variables_.push_back(v);
-		return v;
-	}
-
-	template<typename FT>
-	std::vector<typename Mixed_integer_program_traits<FT>::Variable*> Mixed_integer_program_traits<FT>::create_variables(std::size_t n) {
-		std::vector<Variable*> variables;
-		for (std::size_t i = 0; i < n; ++i) {
-			Variable* v = create_variable();
-			variables.push_back(v);
-		}
-		return variables;
-	}
-
-	template<typename FT>
-	typename Mixed_integer_program_traits<FT>::Linear_constraint* Mixed_integer_program_traits<FT>::create_constraint(
-		FT lb /* = -Variable::infinity() */,
-		FT ub /* = +Variable::infinity() */,
-		const std::string& name /* = "" */)
-	{
-		Linear_constraint* c = new Linear_constraint(this, lb, ub);
-
-		std::size_t idx = constraints_.size();
-		c->set_index(static_cast<int>(idx));
-
-		const std::string& fixed_name = name.empty() ? "c" + internal::from_integer(idx, 9, '0') : name;
-		c->set_name(fixed_name);
-
-		constraints_.push_back(c);
-		return c;
-	}
-
-	template<typename FT>
-	std::vector<typename Mixed_integer_program_traits<FT>::Linear_constraint*> Mixed_integer_program_traits<FT>::create_constraints(std::size_t n) {
-		std::vector<Linear_constraint*> constraints;
-		for (std::size_t i = 0; i < n; ++i) {
-			Linear_constraint* v = create_constraint();
-			constraints.push_back(v);
-		}
-		return constraints;
-	}
-
-	template<typename FT>
-	typename Mixed_integer_program_traits<FT>::Linear_objective * Mixed_integer_program_traits<FT>::create_objective(Sense sense /* = Linear_objective ::MINIMIZE*/) {
-		if (objective_)
-			delete objective_;
-
-		objective_ = new Linear_objective(this, sense);
-		return objective_;
-	}
-
-
-	template<typename FT>
-	const typename Mixed_integer_program_traits<FT>::Linear_objective * Mixed_integer_program_traits<FT>::objective() const {
-		if (!objective_)
-			std::cerr << "please call \'create_objective()\' to create an objective first" << std::endl;
-
-		return objective_;
-	}
-
-	template<typename FT>
-	typename Mixed_integer_program_traits<FT>::Linear_objective * Mixed_integer_program_traits<FT>::objective() {
-		if (!objective_)
-			std::cerr << "please call \'create_objective()\' to create an objective first" << std::endl;
-
-		return objective_;
-	}
-
-	template<typename FT>
-	std::size_t Mixed_integer_program_traits<FT>::number_of_continuous_variables() const {
-		std::size_t num_continuous_var = 0;
-		for (std::size_t i = 0; i < variables_.size(); ++i) {
-			const Variable* v = variables_[i];
-			if (v->variable_type() == Variable::CONTINUOUS)
-				++num_continuous_var;
-		}
-		return num_continuous_var;
-	}
-
-	template<typename FT>
-	std::size_t Mixed_integer_program_traits<FT>::number_of_integer_variables() const {
-		std::size_t num_iteger_var = 0;
-		for (std::size_t i = 0; i < variables_.size(); ++i) {
-			const Variable* v = variables_[i];
-			if (v->variable_type() == Variable::INTEGER)
-				++num_iteger_var;
-		}
-		return num_iteger_var;
-	}
-
-	template<typename FT>
-	std::size_t Mixed_integer_program_traits<FT>::number_of_binary_variables() const {
-		std::size_t num_binary_var = 0;
-		for (std::size_t i = 0; i < variables_.size(); ++i) {
-			const Variable* v = variables_[i];
-			if (v->variable_type() == Variable::BINARY)
-				++num_binary_var;
-		}
-		return num_binary_var;
-	}
-
-	// Returns true if all variables are continuous
-	template<typename FT>
-	bool Mixed_integer_program_traits<FT>::is_continuous() const {
-		std::size_t num = number_of_continuous_variables();
-		return (num > 0) && (num == variables_.size());
-	}
-
-
-	// Returns true if this is a mixed integer program
-	template<typename FT>
-	bool Mixed_integer_program_traits<FT>::is_mixed_integer_program() const {
-		std::size_t num = number_of_continuous_variables();
-		return (num > 0) && (num < variables_.size());
-	}
-
-
-	// Returns true if inter program
-	template<typename FT>
-	bool Mixed_integer_program_traits<FT>::is_integer_program() const {
-		std::size_t num = number_of_integer_variables();
-		return (num > 0) && (num == variables_.size());
-	}
-
-
-	// Returns true if binary program
-	template<typename FT>
-	bool Mixed_integer_program_traits<FT>::is_binary_program() const {
-		std::size_t num = number_of_binary_variables();
-		return (num > 0) && (num == variables_.size());
-	}
+                , Bound(lb, ub)
+        {
+        }
+
+        template<typename FT>
+        Linear_objective<FT>::Linear_objective(Solver* solver, Sense sense)
+                : Linear_expression(solver)
+                , sense_(sense)
+        {
+        }
+
+        template<typename FT>
+        Mixed_integer_program_traits<FT>::Mixed_integer_program_traits() {
+                // Intentionally set the objective to UNDEFINED, so it will allow me to warn
+                // the user if he/she forgot to set the objective sense.
+                objective_ = new Linear_objective(this, Linear_objective::UNDEFINED);
+        }
+
+        template<typename FT>
+        Mixed_integer_program_traits<FT>::~Mixed_integer_program_traits() {
+                clear();
+                delete objective_;
+        }
+
+        template<typename FT>
+        void Mixed_integer_program_traits<FT>::clear() {
+                for (std::size_t i = 0; i < variables_.size(); ++i)
+                        delete variables_[i];
+                variables_.clear();
+
+                for (std::size_t i = 0; i < constraints_.size(); ++i)
+                        delete constraints_[i];
+                constraints_.clear();
+
+                objective_->clear();
+        }
+
+        namespace internal {
+                /**
+                * Converts an integer v to a string of specified 'width' by
+                * filling with character 'fill'
+                */
+                template <class Int>
+                inline std::string from_integer(Int v, int width, char fill) {
+                        std::ostringstream string_stream;
+                        string_stream << std::setfill(fill) << std::setw(width) << v;
+                        return string_stream.str();
+                }
+        }
+
+        template<typename FT>
+        typename Mixed_integer_program_traits<FT>::Variable* Mixed_integer_program_traits<FT>::create_variable(
+                Variable_type type /* = Variable::CONTINUOUS */,
+                FT lb /* = -Variable::infinity() */,
+                FT ub /* = +Variable::infinity() */,
+                const std::string& name /* = "" */)
+        {
+                Variable* v = new Variable(this, type, lb, ub);
+
+                std::size_t idx = variables_.size();
+                v->set_index(static_cast<int>(idx));
+
+                const std::string& fixed_name = name.empty() ? "x" + internal::from_integer(idx, 9, '0') : name;
+                v->set_name(fixed_name);
+
+                variables_.push_back(v);
+                return v;
+        }
+
+        template<typename FT>
+        std::vector<typename Mixed_integer_program_traits<FT>::Variable*> Mixed_integer_program_traits<FT>::create_variables(std::size_t n) {
+                std::vector<Variable*> variables;
+                for (std::size_t i = 0; i < n; ++i) {
+                        Variable* v = create_variable();
+                        variables.push_back(v);
+                }
+                return variables;
+        }
+
+        template<typename FT>
+        typename Mixed_integer_program_traits<FT>::Linear_constraint* Mixed_integer_program_traits<FT>::create_constraint(
+                FT lb /* = -Variable::infinity() */,
+                FT ub /* = +Variable::infinity() */,
+                const std::string& name /* = "" */)
+        {
+                Linear_constraint* c = new Linear_constraint(this, lb, ub);
+
+                std::size_t idx = constraints_.size();
+                c->set_index(static_cast<int>(idx));
+
+                const std::string& fixed_name = name.empty() ? "c" + internal::from_integer(idx, 9, '0') : name;
+                c->set_name(fixed_name);
+
+                constraints_.push_back(c);
+                return c;
+        }
+
+        template<typename FT>
+        std::vector<typename Mixed_integer_program_traits<FT>::Linear_constraint*> Mixed_integer_program_traits<FT>::create_constraints(std::size_t n) {
+                std::vector<Linear_constraint*> constraints;
+                for (std::size_t i = 0; i < n; ++i) {
+                        Linear_constraint* v = create_constraint();
+                        constraints.push_back(v);
+                }
+                return constraints;
+        }
+
+        template<typename FT>
+        typename Mixed_integer_program_traits<FT>::Linear_objective * Mixed_integer_program_traits<FT>::create_objective(Sense sense /* = Linear_objective ::MINIMIZE*/) {
+                if (objective_)
+                        delete objective_;
+
+                objective_ = new Linear_objective(this, sense);
+                return objective_;
+        }
+
+
+        template<typename FT>
+        const typename Mixed_integer_program_traits<FT>::Linear_objective * Mixed_integer_program_traits<FT>::objective() const {
+                if (!objective_)
+                        std::cerr << "please call \'create_objective()\' to create an objective first" << std::endl;
+
+                return objective_;
+        }
+
+        template<typename FT>
+        typename Mixed_integer_program_traits<FT>::Linear_objective * Mixed_integer_program_traits<FT>::objective() {
+                if (!objective_)
+                        std::cerr << "please call \'create_objective()\' to create an objective first" << std::endl;
+
+                return objective_;
+        }
+
+        template<typename FT>
+        std::size_t Mixed_integer_program_traits<FT>::number_of_continuous_variables() const {
+                std::size_t num_continuous_var = 0;
+                for (std::size_t i = 0; i < variables_.size(); ++i) {
+                        const Variable* v = variables_[i];
+                        if (v->variable_type() == Variable::CONTINUOUS)
+                                ++num_continuous_var;
+                }
+                return num_continuous_var;
+        }
+
+        template<typename FT>
+        std::size_t Mixed_integer_program_traits<FT>::number_of_integer_variables() const {
+                std::size_t num_iteger_var = 0;
+                for (std::size_t i = 0; i < variables_.size(); ++i) {
+                        const Variable* v = variables_[i];
+                        if (v->variable_type() == Variable::INTEGER)
+                                ++num_iteger_var;
+                }
+                return num_iteger_var;
+        }
+
+        template<typename FT>
+        std::size_t Mixed_integer_program_traits<FT>::number_of_binary_variables() const {
+                std::size_t num_binary_var = 0;
+                for (std::size_t i = 0; i < variables_.size(); ++i) {
+                        const Variable* v = variables_[i];
+                        if (v->variable_type() == Variable::BINARY)
+                                ++num_binary_var;
+                }
+                return num_binary_var;
+        }
+
+        // Returns true if all variables are continuous
+        template<typename FT>
+        bool Mixed_integer_program_traits<FT>::is_continuous() const {
+                std::size_t num = number_of_continuous_variables();
+                return (num > 0) && (num == variables_.size());
+        }
+
+
+        // Returns true if this is a mixed integer program
+        template<typename FT>
+        bool Mixed_integer_program_traits<FT>::is_mixed_integer_program() const {
+                std::size_t num = number_of_continuous_variables();
+                return (num > 0) && (num < variables_.size());
+        }
+
+
+        // Returns true if inter program
+        template<typename FT>
+        bool Mixed_integer_program_traits<FT>::is_integer_program() const {
+                std::size_t num = number_of_integer_variables();
+                return (num > 0) && (num == variables_.size());
+        }
+
+
+        // Returns true if binary program
+        template<typename FT>
+        bool Mixed_integer_program_traits<FT>::is_binary_program() const {
+                std::size_t num = number_of_binary_variables();
+                return (num > 0) && (num == variables_.size());
+        }
 #endif
 } // namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Modifiable_priority_queue.h 5.0.3-1/include/CGAL/Modifiable_priority_queue.h
--- 5.0.2-3/include/CGAL/Modifiable_priority_queue.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Modifiable_priority_queue.h	2020-08-01 19:02:47.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Modifiable_priority_queue.h $
-// $Id: Modifiable_priority_queue.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Modifiable_priority_queue.h $
+// $Id: Modifiable_priority_queue.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -21,8 +21,8 @@
 
 namespace CGAL {
   namespace internal {
-template <class IndexedType, 
-          class RandomAccessContainer = std::vector<IndexedType>, 
+template <class IndexedType,
+          class RandomAccessContainer = std::vector<IndexedType>,
           class Comp = std::less<typename RandomAccessContainer::value_type>,
           class ID = ::boost::identity_property_map >
 class mutable_queue_with_remove : public internal::boost_::mutable_queue<IndexedType,RandomAccessContainer,Comp,ID>
@@ -32,7 +32,7 @@ public:
   typedef typename Base::size_type size_type;
   typedef typename Base::Node Node;
 
-  mutable_queue_with_remove(size_type n, const Comp& x=Comp(), const ID& _id=ID()) : Base(n,x,_id,true) 
+  mutable_queue_with_remove(size_type n, const Comp& x=Comp(), const ID& _id=ID()) : Base(n,x,_id,true)
   {}
 
   void remove(const IndexedType& x){
@@ -46,7 +46,7 @@ public:
     //then pop it
     this->pop();
   }
-  
+
   bool contains(const IndexedType& x) const {
     return this->index_array[ get(this->id, x) ] !=this->index_array.size();
   }
@@ -57,7 +57,7 @@ public:
 
 namespace CGAL {
 
-template <class IndexedType_ 
+template <class IndexedType_
          ,class Compare_ = std::less<IndexedType_>
          ,class ID_      = boost::identity_property_map
          >
@@ -66,11 +66,11 @@ class Modifiable_priority_queue
 public:
 
   typedef Modifiable_priority_queue Self;
-  
+
   typedef IndexedType_ IndexedType ;
   typedef Compare_     Compare;
   typedef ID_          ID ;
-  
+
   #ifdef CGAL_SURFACE_MESH_SIMPLIFICATION_USE_RELAXED_HEAP
   typedef boost::relaxed_heap<IndexedType,Compare,ID> Heap;
   #else
@@ -78,24 +78,24 @@ public:
   #endif //CGAL_SURFACE_MESH_SIMPLIFICATION_USE_RELAXED_HEAP
   typedef typename Heap::value_type value_type;
   typedef typename Heap::size_type  size_type;
-  
+
   typedef bool handle ;
-  
+
 public:
 
   Modifiable_priority_queue( size_type largest_ID, Compare const& c, ID const& id ) : mHeap(largest_ID,c,id) {}
-  
+
   handle push ( value_type const& v ) { mHeap.push(v) ; return handle(true) ; }
-  
+
   handle update ( value_type const& v, handle h ) { mHeap.update(v); return h ; }
-  
+
   handle erase ( value_type const& v, handle  ) { mHeap.remove(v); return null_handle() ; }
   handle erase ( value_type const& v  ) { mHeap.remove(v); return null_handle() ; }
 
   value_type top() const { return mHeap.top() ; }
-  
+
   void pop() { mHeap.pop(); }
-  
+
   bool empty() const { return mHeap.empty() ; }
 
   bool contains ( value_type const& v ) { return mHeap.contains(v) ; }
@@ -108,19 +108,19 @@ public:
       value_type v = top();
       pop();
       r = boost::optional<value_type>(v) ;
-    }  
+    }
     return r ;
   }
-  
+
   static handle null_handle() { return handle(false); }
-  
+
 private:
 
-  Heap mHeap ;  
-    
+  Heap mHeap ;
+
 } ;
 
 } //namespace CGAL
 
 #endif
- 
+
diff -pruN 5.0.2-3/include/CGAL/Modifier_base.h 5.0.3-1/include/CGAL/Modifier_base.h
--- 5.0.2-3/include/CGAL/Modifier_base.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Modifier_base.h	2020-08-01 19:02:33.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Modifier/include/CGAL/Modifier_base.h $
-// $Id: Modifier_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Modifier/include/CGAL/Modifier_base.h $
+// $Id: Modifier_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Modular_arithmetic/Residue_type.h 5.0.3-1/include/CGAL/Modular_arithmetic/Residue_type.h
--- 5.0.2-3/include/CGAL/Modular_arithmetic/Residue_type.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Modular_arithmetic/Residue_type.h	2020-08-01 19:02:33.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Modular_arithmetic/include/CGAL/Modular_arithmetic/Residue_type.h $
-// $Id: Residue_type.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Modular_arithmetic/include/CGAL/Modular_arithmetic/Residue_type.h $
+// $Id: Residue_type.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sylvain Pion, Michael Hemmer, Alexander Kobel
@@ -28,7 +28,7 @@
 namespace CGAL {
 
 class Residue;
-    
+
 Residue operator + (const Residue&);
 Residue operator - (const Residue&);
 
@@ -36,24 +36,24 @@ std::ostream& operator << (std::ostream&
 std::istream& operator >> (std::istream& is, Residue& p);
 
 /*! \ingroup CGAL_Modular_traits
- * \brief This class represents the Field Z mod p. 
- *  
- * This class uses the type double for representation. 
+ * \brief This class represents the Field Z mod p.
+ *
+ * This class uses the type double for representation.
  * Therefore the value of p is restricted to primes less than 2^26.
  * By default p is set to 67108859.
  *
  * It provides the standard operators +,-,*,/ as well as in&output.
- * 
+ *
  * \see Modular_traits
  */
 class Residue:
     boost::ordered_field_operators1< Residue,
     boost::ordered_field_operators2< Residue, int > >{
-    
+
 public:
   typedef Residue Self;
   typedef Residue NT;
-  
+
 private:
 
   static const double& get_static_CST_CUT()
@@ -68,12 +68,12 @@ private:
     CGAL_STATIC_THREAD_LOCAL_VARIABLE(int, prime_int, 67111067);
     return prime_int;
   }
-  
+
   static inline int get_prime_int(){
     return prime_int_internal();
   }
-  
-  
+
+
   static double& prime_internal()
   {
     CGAL_STATIC_THREAD_LOCAL_VARIABLE(double, prime, 67111067.0);
@@ -83,7 +83,7 @@ private:
   static inline double get_prime(){
     return prime_internal();
   }
-  
+
   static double& prime_inv_internal()
   {
     CGAL_STATIC_THREAD_LOCAL_VARIABLE(double, prime_inv, 0.000000014900672045640400859667452463541);
@@ -97,17 +97,17 @@ private:
 
 
 
-    /* Quick integer rounding, valid if a<2^51. for double */ 
-    static inline 
+    /* Quick integer rounding, valid if a<2^51. for double */
+    static inline
     double RES_round (double a){
       // call CGAL::Protect_FPU_rounding<true> pfr(CGAL_FE_TONEAREST)
-      // before using modular arithmetic 
+      // before using modular arithmetic
       CGAL_assertion(FPU_get_cw() == CGAL_FE_TONEAREST);
       return ( (a + get_static_CST_CUT())  - get_static_CST_CUT());
     }
 
     /* Big modular reduction (e.g. after multiplication) */
-    static inline 
+    static inline
     double RES_reduce (double a){
       double result = a - get_prime() * RES_round(a * get_prime_inv());
       CGAL_postcondition(2*result <  get_prime());
@@ -116,7 +116,7 @@ private:
     }
 
     /* Little modular reduction (e.g. after a simple addition). */
-    static inline 
+    static inline
     double RES_soft_reduce (double a){
       double p = get_prime();
         double b = 2*a;
@@ -124,16 +124,16 @@ private:
             ((b<-p) ? a+p : a);
     }
 
-    
+
     /* -a */
-    static inline 
+    static inline
     double RES_negate(double a){
         return RES_soft_reduce(-a);
     }
 
 
     /* a*b */
-    static inline 
+    static inline
     double RES_mul (double a, double b){
         double c = a*b;
         return RES_reduce(c);
@@ -141,15 +141,15 @@ private:
 
 
     /* a+b */
-    static inline 
+    static inline
     double RES_add (double a, double b){
         double c = a+b;
         return RES_soft_reduce(c);
     }
 
-    
+
     /* a^-1, using Bezout (extended Euclidian algorithm). */
-    static inline 
+    static inline
     double RES_inv (double ri1){
         CGAL_precondition (ri1 != 0.0);
 
@@ -157,7 +157,7 @@ private:
         double bi1 = 1.0;
         double ri = get_prime();
         double p, tmp, tmp2;
-    
+
         Real_embeddable_traits<double>::Abs double_abs;
         while (double_abs(ri1) != 1.0)
         {
@@ -170,55 +170,55 @@ private:
             ri1 = tmp2;
         };
 
-        return ri1 * RES_soft_reduce(bi1);	/* Quicker !!!! */
+        return ri1 * RES_soft_reduce(bi1);        /* Quicker !!!! */
     }
-    
+
     /* a/b */
-    static inline 
+    static inline
     double RES_div (double a, double b){
         return RES_mul(a, RES_inv(b));
-    }    
+    }
 
 public:
-    /*! \brief sets the current prime. 
-     *  
+    /*! \brief sets the current prime.
+     *
      *  Note that you are going to change a static member!
      *  \pre p is prime, but we abstained from such a test.
      *  \pre 0 < p < 2^26
-     *  
+     *
      */
-    static int 
-    set_current_prime(int p){   
-      int old_prime = get_prime_int();  
-      prime_int_internal() = p;  
-      prime_internal() = double(p);  
+    static int
+    set_current_prime(int p){
+      int old_prime = get_prime_int();
+      prime_int_internal() = p;
+      prime_internal() = double(p);
       prime_inv_internal() =  1.0 / double(p);
 
-      return old_prime; 
+      return old_prime;
     }
- 
+
   /*! \brief return the current prime.  */
     static int get_current_prime(){
       return get_prime_int();
     }
-  
+
   int  get_value() const{
     CGAL_precondition(2*x_ <  get_prime());
     CGAL_precondition(2*x_ > -get_prime());
     return int(x_);
   }
-    
+
 private:
     double x_;
 
-public: 
+public:
 
-    //! constructor of Residue, from int 
+    //! constructor of Residue, from int
     Residue(int n = 0){
         x_= RES_reduce(n);
     }
 
-    //! constructor of Residue, from long 
+    //! constructor of Residue, from long
 
     Residue (long n) {
         x_= RES_soft_reduce (static_cast< double > (n % get_prime_int()));
@@ -228,76 +228,76 @@ public:
     Residue (long long n) {
         x_= RES_soft_reduce (static_cast< double > (n % get_prime_int()));
     }
-   
-    //! Access operator for x, \c const 
+
+    //! Access operator for x, \c const
     const double& x() const { return x_; }
     //! Access operator for x
-    double&       x()       { return x_; }                     
+    double&       x()       { return x_; }
 
-    Self& operator += (const Self& p2) { 
-        x() = RES_add(x(),p2.x()); 
-        return (*this); 
+    Self& operator += (const Self& p2) {
+        x() = RES_add(x(),p2.x());
+        return (*this);
     }
-    Self& operator -= (const Self& p2){ 
-        x() = RES_add(x(),RES_negate(p2.x())); 
-        return (*this); 
+    Self& operator -= (const Self& p2){
+        x() = RES_add(x(),RES_negate(p2.x()));
+        return (*this);
     }
-    Self& operator *= (const Self& p2){ 
-        x() = RES_mul(x(),p2.x()); 
-        return (*this); 
+    Self& operator *= (const Self& p2){
+        x() = RES_mul(x(),p2.x());
+        return (*this);
     }
-    Self& operator /= (const Self& p2) { 
-        x() = RES_div(x(),p2.x()); 
-        return (*this); 
+    Self& operator /= (const Self& p2) {
+        x() = RES_div(x(),p2.x());
+        return (*this);
     }
-    // 
-    Self& operator += (int p2) { 
-        x() = RES_add(x(),Residue(p2).x()); 
-        return (*this); 
+    //
+    Self& operator += (int p2) {
+        x() = RES_add(x(),Residue(p2).x());
+        return (*this);
     }
-    Self& operator -= (int p2){ 
-        x() = RES_add(x(),Residue(-p2).x()); 
-        return (*this); 
+    Self& operator -= (int p2){
+        x() = RES_add(x(),Residue(-p2).x());
+        return (*this);
     }
 
-    Self& operator *= (int p2){ 
-        x() = RES_mul(x(),Residue(p2).x()); 
-        return (*this); 
+    Self& operator *= (int p2){
+        x() = RES_mul(x(),Residue(p2).x());
+        return (*this);
     }
 
-    Self& operator /= (int p2) { 
-        x() = RES_div(x(),Residue(p2).x()); 
-        return (*this); 
+    Self& operator /= (int p2) {
+        x() = RES_div(x(),Residue(p2).x());
+        return (*this);
     }
-  
+
     friend Self operator + (const Self&);
-    friend Self operator - (const Self&);                
+    friend Self operator - (const Self&);
 };
 
 inline Residue operator + (const Residue& p1)
 { return p1; }
 
-inline Residue operator - (const Residue& p1){ 
+inline Residue operator - (const Residue& p1){
     typedef Residue RES;
-    Residue r; 
+    Residue r;
     r.x() = RES::RES_negate(p1.x());
-    return r; 
+    return r;
 }
 
 inline bool operator == (const Residue& p1, const Residue& p2)
-{ return ( p1.x()==p2.x() ); }   
+{ return ( p1.x()==p2.x() ); }
 inline bool operator == (const Residue& p1, int p2)
-{ return ( p1 == Residue(p2) ); }   
+{ return ( p1 == Residue(p2) ); }
 
 
 inline bool operator < (const Residue& p1, const Residue& p2)
-{ return ( p1.x() < p2.x() ); }   
+{ return ( p1.x() < p2.x() ); }
 inline bool operator < (const Residue& p1, int p2)
-{ return ( p1.x() < Residue(p2).x() ); }   
+{ return ( p1.x() < Residue(p2).x() ); }
 
 
-// I/O 
-inline std::ostream& operator << (std::ostream& os, const Residue& p) {   
+// I/O
+inline std::ostream& operator << (std::ostream& os, const Residue& p) {
     typedef Residue RES;
     os <<"("<< int(p.x())<<"%"<<RES::get_current_prime()<<")";
     return os;
diff -pruN 5.0.2-3/include/CGAL/Modular_traits.h 5.0.3-1/include/CGAL/Modular_traits.h
--- 5.0.2-3/include/CGAL/Modular_traits.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Modular_traits.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Modular_arithmetic/include/CGAL/Modular_traits.h $
-// $Id: Modular_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Modular_arithmetic/include/CGAL/Modular_traits.h $
+// $Id: Modular_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Michael Hemmer
@@ -14,30 +14,30 @@
 
 #include <CGAL/tags.h>
 
-namespace CGAL { 
+namespace CGAL {
 
 
-/*! \ingroup CGAL_Modular_traits_spec 
-    \brief A model of concept ModularTraits. 
-    
-    This is the definition of general class template, 
-    for unsupported types. Note that this support is optional. 
-    \see CGAL_Modular_traits_spec for supported types. 
+/*! \ingroup CGAL_Modular_traits_spec
+    \brief A model of concept ModularTraits.
+
+    This is the definition of general class template,
+    for unsupported types. Note that this support is optional.
+    \see CGAL_Modular_traits_spec for supported types.
  */
- 
+
 template<class NT_>
 class Modular_traits{
-public: 
+public:
     typedef NT_ NT;
     typedef ::CGAL::Tag_false Is_modularizable;
     typedef ::CGAL::Null_functor Residue_type;
-    typedef ::CGAL::Null_functor Modular_image;  
-    typedef ::CGAL::Null_functor Modular_image_representative;    
+    typedef ::CGAL::Null_functor Modular_image;
+    typedef ::CGAL::Null_functor Modular_image_representative;
 };
 
 template <class NT>
 inline
-typename CGAL::Modular_traits<NT>::Residue_type 
+typename CGAL::Modular_traits<NT>::Residue_type
 modular_image(const NT& x){
     typename CGAL::Modular_traits<NT>::Modular_image modular_image;
     return modular_image(x);
@@ -45,4 +45,4 @@ modular_image(const NT& x){
 
 }///namespace CGAL
 #endif //#ifnedef CGAL_MODULAR_TRAITS_H 1
- 
+
diff -pruN 5.0.2-3/include/CGAL/Monge_via_jet_fitting.h 5.0.3-1/include/CGAL/Monge_via_jet_fitting.h
--- 5.0.2-3/include/CGAL/Monge_via_jet_fitting.h	2020-02-21 20:03:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Monge_via_jet_fitting.h	2020-08-01 19:02:25.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Jet_fitting_3/include/CGAL/Monge_via_jet_fitting.h $
-// $Id: Monge_via_jet_fitting.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Jet_fitting_3/include/CGAL/Monge_via_jet_fitting.h $
+// $Id: Monge_via_jet_fitting.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Pouget and Frédéric Cazals
@@ -38,13 +38,13 @@ unsigned int fact(unsigned int n){
 #ifdef CGAL_EIGEN3_ENABLED
 template < class DataKernel, class LocalKernel = Simple_cartesian<double>, class SvdTraits = Eigen_svd >
 #else
-template < class DataKernel, class LocalKernel, class SvdTraits >  
+template < class DataKernel, class LocalKernel, class SvdTraits >
 #endif
   class Monge_via_jet_fitting {
  public:
 //////////////////////begin nested CLASS Monge_form ///////////////////
 class Monge_form {
- public: 
+ public:
   typedef typename DataKernel::FT        FT;
   typedef typename DataKernel::Point_3   Point_3;
   typedef typename DataKernel::Vector_3  Vector_3;
@@ -60,11 +60,11 @@ class Monge_form {
   //         c0, c1, c2, c3, c4) //fourth order
   //     if (degree==1) no coeff needed
   std::vector<FT> m_coefficients;
-  
+
 public:
   //constructor
   Monge_form() {
-    m_origin_pt  = Point_3(0.,0.,0.); 
+    m_origin_pt  = Point_3(0.,0.,0.);
     m_d1 = Vector_3(0.,0.,0.);
     m_d2 = Vector_3(0.,0.,0.);
     m_n = Vector_3(0.,0.,0.);
@@ -92,8 +92,8 @@ public:
   const FT fourth_order_coefficients(size_t i) const {
     CGAL_precondition( i <= 4 && coefficients().size() >=11 );
     return coefficients()[i+6]; }
- 
-  //if d>=2, number of coeffs = (d+1)(d+2)/2 -4. 
+
+  //if d>=2, number of coeffs = (d+1)(d+2)/2 -4.
   //we remove cst, linear and the xy coeff which vanish
   void set_up(std::size_t degree);
   //switch min-max ppal curv/dir wrt a given normal orientation.
@@ -110,12 +110,12 @@ public:
  public:
  typedef  DataKernel   Data_kernel;
  typedef  LocalKernel  Local_kernel;
- 
+
  //used to convert number types, points and vectors back and forth
  typedef NT_converter<typename Local_kernel::FT, typename  Data_kernel::FT> L2D_NTconverter;
- Cartesian_converter<Data_kernel, Local_kernel> D2L_converter; 
- Cartesian_converter<Local_kernel, Data_kernel> L2D_converter; 
-  
+ Cartesian_converter<Data_kernel, Local_kernel> D2L_converter;
+ Cartesian_converter<Local_kernel, Data_kernel> L2D_converter;
+
  typedef typename Local_kernel::FT       FT;
  typedef typename Local_kernel::Point_3  Point_3;
  typedef typename Local_kernel::Vector_3 Vector_3;
@@ -125,18 +125,18 @@ public:
 
  typedef typename SvdTraits::Vector LAVector;
  typedef typename SvdTraits::Matrix LAMatrix;
- 
+
 
  public:
- Monge_via_jet_fitting(); 
+ Monge_via_jet_fitting();
  template <class InputIterator>
- Monge_form operator()(InputIterator begin, InputIterator end,  
-		       size_t d, size_t dprime);
+ Monge_form operator()(InputIterator begin, InputIterator end,
+                       size_t d, size_t dprime);
  const FT condition_number() const {return condition_nb;}
  const std::pair<FT, Vector_3> pca_basis(size_t i) const {
    CGAL_precondition( i<3 );
    return m_pca_basis[i];}
- 
+
  protected:
  int deg;
  int deg_monge;
@@ -145,33 +145,33 @@ public:
   FT preconditionning;
   CGAL::Sqrt<FT> Lsqrt;
   FT condition_nb;
-  
+
   std::vector< std::pair<FT, Vector_3> > m_pca_basis;
 
-  //translate_p0 changes the origin of the world to p0 the first point 
+  //translate_p0 changes the origin of the world to p0 the first point
   //  of the input data points
-  //change_world2fitting (coord of a vector in world) = coord of this 
+  //change_world2fitting (coord of a vector in world) = coord of this
   //  vector in fitting. The matrix tranform has as lines the coord of
-  //  the basis vectors of fitting in the world coord. 
+  //  the basis vectors of fitting in the world coord.
   //idem for change_fitting2monge
   Aff_transformation translate_p0, change_world2fitting,
     change_fitting2monge;
 
   //eigen val and vect stored in m_pca_basis
-  // change_world2fitting is computed 
+  // change_world2fitting is computed
  template <class InputIterator>
-  void compute_PCA(InputIterator begin, InputIterator end); 
+  void compute_PCA(InputIterator begin, InputIterator end);
 
-  //Coordinates of input points are computed in the fitting basis with 
+  //Coordinates of input points are computed in the fitting basis with
   //  p0 as origin.
   //Preconditionning is computed, M and Z are filled
  template <class InputIterator>
   void fill_matrix(InputIterator begin, InputIterator end,
-		   std::size_t d, LAMatrix& M, LAVector& Z);
+                   std::size_t d, LAMatrix& M, LAVector& Z);
   //A is computed, solving MA=Z in the ls sense, the solution A is stored in Z
   //Preconditionning is needed
   void solve_linear_system(LAMatrix &M, LAVector& Z);
-  
+
   //Classical differential geometric calculus
   //change_fitting2monge is computed
   //if deg_monge =1 only 1st order info
@@ -179,17 +179,17 @@ public:
   void compute_Monge_basis(const FT* A, Monge_form& monge_form);
 
   //if deg_monge >=3 then 3rd (and 4th) order info are computed
-  void compute_Monge_coefficients(FT* A, std::size_t dprime, 
-				  Monge_form& monge_form);
+  void compute_Monge_coefficients(FT* A, std::size_t dprime,
+                                  Monge_form& monge_form);
 
   //for a trihedron (v1,v2,v3) switches v1 to -v1 if det(v1,v2,v3) < 0
   void switch_to_direct_orientation(Vector_3& v1, const Vector_3& v2,
-				   const Vector_3& v3);
+                                   const Vector_3& v3);
 
     friend
     std::ostream&
-    operator<<(std::ostream& out_stream, 
-	       const typename Monge_via_jet_fitting<DataKernel, LocalKernel, SvdTraits>::Monge_form& monge){
+    operator<<(std::ostream& out_stream,
+               const typename Monge_via_jet_fitting<DataKernel, LocalKernel, SvdTraits>::Monge_form& monge){
       monge.dump_verbose(out_stream);
       return out_stream;
     }
@@ -201,16 +201,16 @@ public:
 
 // Implementation nested Monge_form //////////////////////////////
 //template <class DataKernel>
-template < class DataKernel, class LocalKernel, class SvdTraits>  
+template < class DataKernel, class LocalKernel, class SvdTraits>
   void Monge_via_jet_fitting<DataKernel, LocalKernel, SvdTraits>::
   Monge_form::
 set_up(std::size_t degree) {
   if ( degree >= 2 ) std::fill_n(back_inserter(m_coefficients),
-				 (degree+1)*(degree+2)/2-4, 0.);
+                                 (degree+1)*(degree+2)/2-4, 0.);
 }
 
 
-template < class DataKernel, class LocalKernel, class SvdTraits>  
+template < class DataKernel, class LocalKernel, class SvdTraits>
 void Monge_via_jet_fitting<DataKernel, LocalKernel, SvdTraits>::Monge_form::
 comply_wrt_given_normal(const Vector_3& given_normal)
 {
@@ -218,77 +218,77 @@ comply_wrt_given_normal(const Vector_3&
     {
       normal_direction() = -normal_direction();
       std::swap(maximal_principal_direction(), minimal_principal_direction());
-      if ( coefficients().size() >= 2) 
-	std::swap(coefficients()[0],coefficients()[1]);
+      if ( coefficients().size() >= 2)
+        std::swap(coefficients()[0],coefficients()[1]);
       if ( coefficients().size() >= 6) {
-	std::swap(coefficients()[2],coefficients()[5]);
-	std::swap(coefficients()[3],coefficients()[4]);}
+        std::swap(coefficients()[2],coefficients()[5]);
+        std::swap(coefficients()[3],coefficients()[4]);}
       if ( coefficients().size() >= 11) {
-	std::swap(coefficients()[6],coefficients()[10]);
-	std::swap(coefficients()[7],coefficients()[9]);}
+        std::swap(coefficients()[6],coefficients()[10]);
+        std::swap(coefficients()[7],coefficients()[9]);}
       typename std::vector<FT>::iterator itb = coefficients().begin(),
-	ite = coefficients().end();
+        ite = coefficients().end();
       for (;itb!=ite;itb++) { *itb = -(*itb); }
     }
 }
 
-template < class DataKernel, class LocalKernel, class SvdTraits>  
+template < class DataKernel, class LocalKernel, class SvdTraits>
 void Monge_via_jet_fitting<DataKernel, LocalKernel, SvdTraits>::Monge_form::
 dump_verbose(std::ostream& out_stream) const
 {
   out_stream << "origin : " << origin() << std::endl
-	     << "n : " << normal_direction() << std::endl;
-  if ( coefficients().size() >= 2) 
-    out_stream << "d1 : " << maximal_principal_direction() << std::endl 
-	       << "d2 : " << minimal_principal_direction() << std::endl
-	       << "k1 : " << coefficients()[0] << std::endl 
-	       << "k2 : " << coefficients()[1] << std::endl;	      
-  if ( coefficients().size() >= 6) 
-    out_stream << "b0 : " << coefficients()[2] << std::endl 
-	       << "b1 : " << coefficients()[3] << std::endl
- 	       << "b2 : " << coefficients()[4] << std::endl
- 	       << "b3 : " << coefficients()[5] << std::endl;
-  if ( coefficients().size() >= 11) 
-    out_stream << "c0 : " << coefficients()[6] << std::endl 
-	       << "c1 : " << coefficients()[7] << std::endl
- 	       << "c2 : " << coefficients()[8] << std::endl
- 	       << "c3 : " << coefficients()[9] << std::endl 
- 	       << "c4 : " << coefficients()[10] << std::endl
-	       << std::endl; 
+             << "n : " << normal_direction() << std::endl;
+  if ( coefficients().size() >= 2)
+    out_stream << "d1 : " << maximal_principal_direction() << std::endl
+               << "d2 : " << minimal_principal_direction() << std::endl
+               << "k1 : " << coefficients()[0] << std::endl
+               << "k2 : " << coefficients()[1] << std::endl;
+  if ( coefficients().size() >= 6)
+    out_stream << "b0 : " << coefficients()[2] << std::endl
+               << "b1 : " << coefficients()[3] << std::endl
+                << "b2 : " << coefficients()[4] << std::endl
+                << "b3 : " << coefficients()[5] << std::endl;
+  if ( coefficients().size() >= 11)
+    out_stream << "c0 : " << coefficients()[6] << std::endl
+               << "c1 : " << coefficients()[7] << std::endl
+                << "c2 : " << coefficients()[8] << std::endl
+                << "c3 : " << coefficients()[9] << std::endl
+                << "c4 : " << coefficients()[10] << std::endl
+               << std::endl;
 }
 
-template < class DataKernel, class LocalKernel, class SvdTraits>  
+template < class DataKernel, class LocalKernel, class SvdTraits>
 void Monge_via_jet_fitting<DataKernel, LocalKernel, SvdTraits>::Monge_form::
 dump_4ogl(std::ostream& out_stream, const FT scale)
 {
   CGAL_precondition( coefficients().size() >= 2 );
   out_stream << origin()  << " "
-	     << maximal_principal_direction() * scale << " "
-	     << minimal_principal_direction() * scale << " "
-	     << coefficients()[0] << " "
-	     << coefficients()[1] << " "
-	     << std::endl;
+             << maximal_principal_direction() * scale << " "
+             << minimal_principal_direction() * scale << " "
+             << coefficients()[0] << " "
+             << coefficients()[1] << " "
+             << std::endl;
 }
 //////////////////////////////////////////////////////////////
 // Implementation main Monge_via_jet_fiting
 
-template < class DataKernel, class LocalKernel, class SvdTraits>  
+template < class DataKernel, class LocalKernel, class SvdTraits>
   Monge_via_jet_fitting<DataKernel, LocalKernel, SvdTraits>::
   Monge_via_jet_fitting()
 {
   m_pca_basis = std::vector< std::pair<FT, Vector_3> >(3);
-} 
+}
 
-template < class DataKernel, class LocalKernel, class SvdTraits> 
+template < class DataKernel, class LocalKernel, class SvdTraits>
 template <class InputIterator>
   typename  Monge_via_jet_fitting<DataKernel, LocalKernel, SvdTraits>::Monge_form
   Monge_via_jet_fitting<DataKernel, LocalKernel, SvdTraits>::
-  operator()(InputIterator begin, InputIterator end, 
-	     size_t d, size_t dprime)
+  operator()(InputIterator begin, InputIterator end,
+             size_t d, size_t dprime)
 {
   // precondition: on the degrees, jet and monge
-  CGAL_precondition( (d >=1) && (dprime >= 1) 
-		     && (dprime <= 4) && (dprime <= d) );
+  CGAL_precondition( (d >=1) && (dprime >= 1)
+                     && (dprime <= 4) && (dprime <= d) );
   this->deg = static_cast<int>(d);
   this->deg_monge = static_cast<int>(dprime);
   this->nb_d_jet_coeff = static_cast<int>((d+1)*(d+2)/2);
@@ -311,7 +311,7 @@ template <class InputIterator>
   return monge_form;
 }
 
-template < class DataKernel, class LocalKernel, class SvdTraits>  
+template < class DataKernel, class LocalKernel, class SvdTraits>
 template <class InputIterator>
 void Monge_via_jet_fitting<DataKernel, LocalKernel, SvdTraits>::
 compute_PCA(InputIterator begin, InputIterator end)
@@ -320,15 +320,15 @@ compute_PCA(InputIterator begin, InputIt
   FT x, y, z,
     sumX = 0., sumY = 0., sumZ = 0.,
     sumX2 = 0., sumY2 = 0., sumZ2 = 0.,
-    sumXY = 0., sumXZ = 0., sumYZ = 0., 
+    sumXY = 0., sumXZ = 0., sumYZ = 0.,
     xx, yy, zz, xy, xz, yz;
-  
+
   for (; begin != end; begin++)
     {
       Point_3 lp = D2L_converter(*begin);
       x = lp.x();
       y = lp.y();
-      z = lp.z();   
+      z = lp.z();
       sumX += x / n;
       sumY += y / n;
       sumZ += z / n;
@@ -347,7 +347,7 @@ compute_PCA(InputIterator begin, InputIt
   yz = sumYZ - sumY * sumZ;
 
   // assemble covariance matrix as a
-  // semi-definite matrix. 
+  // semi-definite matrix.
   // Matrix numbering:
   // 0 1 2
   //   3 4
@@ -357,7 +357,7 @@ compute_PCA(InputIterator begin, InputIt
   std::array<FT, 9> eigen_vectors = {{ 0., 0., 0. }};
 
   // solve for eigenvalues and eigenvectors.
-  // eigen values are sorted in ascending order, 
+  // eigen values are sorted in ascending order,
   // eigen vectors are sorted in accordance.
   CGAL::Default_diagonalize_traits<FT,3>::diagonalize_selfadjoint_covariance_matrix
     (covariance, eigen_values, eigen_vectors);
@@ -375,23 +375,23 @@ compute_PCA(InputIterator begin, InputIt
   Vector_3 v3(eigen_vectors[0],eigen_vectors[1],eigen_vectors[2]);
   m_pca_basis[2].second = v3;
   switch_to_direct_orientation(m_pca_basis[0].second,
-			       m_pca_basis[1].second,
-			       m_pca_basis[2].second);
- 
+                               m_pca_basis[1].second,
+                               m_pca_basis[2].second);
+
   //Store the change of basis W->F
-  Aff_transformation 
-    change_basis (m_pca_basis[0].second[0], m_pca_basis[0].second[1], m_pca_basis[0].second[2], 
-		  m_pca_basis[1].second[0], m_pca_basis[1].second[1], m_pca_basis[1].second[2],
-		  m_pca_basis[2].second[0], m_pca_basis[2].second[1], m_pca_basis[2].second[2]);
+  Aff_transformation
+    change_basis (m_pca_basis[0].second[0], m_pca_basis[0].second[1], m_pca_basis[0].second[2],
+                  m_pca_basis[1].second[0], m_pca_basis[1].second[1], m_pca_basis[1].second[2],
+                  m_pca_basis[2].second[0], m_pca_basis[2].second[1], m_pca_basis[2].second[2]);
 
-   this->change_world2fitting = change_basis; 
+   this->change_world2fitting = change_basis;
 }
 
-template < class DataKernel, class LocalKernel, class SvdTraits>  
+template < class DataKernel, class LocalKernel, class SvdTraits>
 template <class InputIterator>
 void Monge_via_jet_fitting<DataKernel, LocalKernel, SvdTraits>::
 fill_matrix(InputIterator begin, InputIterator end,
-	    std::size_t d, LAMatrix &M, LAVector& Z)
+            std::size_t d, LAMatrix &M, LAVector& Z)
 {
   //origin of fitting coord system = first input data point
   Point_3 point0 = D2L_converter(*begin);
@@ -403,7 +403,7 @@ fill_matrix(InputIterator begin, InputIt
   this->translate_p0 = transl;
   Aff_transformation transf_points = this->change_world2fitting *
     this->translate_p0;
-  
+
   //compute and store transformed points
   std::vector<Point_3> pts_in_fitting_basis;
   pts_in_fitting_basis.reserve(this->nb_input_pts);
@@ -411,7 +411,7 @@ fill_matrix(InputIterator begin, InputIt
     Point_3 cur_pt = transf_points(D2L_converter(*begin));
     pts_in_fitting_basis.push_back(cur_pt);
   }
-  
+
   //Compute preconditionning
   FT precond = 0.;
   typename std::vector<Point_3>::iterator itb = pts_in_fitting_basis.begin(),
@@ -442,28 +442,28 @@ fill_matrix(InputIterator begin, InputIt
   }
 }
 
-template < class DataKernel, class LocalKernel, class SvdTraits>  
+template < class DataKernel, class LocalKernel, class SvdTraits>
 void Monge_via_jet_fitting<DataKernel, LocalKernel, SvdTraits>::
 solve_linear_system(LAMatrix &M, LAVector& Z)
 {
-  condition_nb = SvdTraits::solve(M, Z); 
+  condition_nb = SvdTraits::solve(M, Z);
   for (int k=0; k <= this->deg; k++) for (int i=0; i<=k; i++)
     // Z[k*(k+1)/2+i] /= std::pow(this->preconditionning,k);
     Z.set( k*(k+1)/2+i, Z(k*(k+1)/2+i) / std::pow(this->preconditionning,k) );
 }
 
-template < class DataKernel, class LocalKernel, class SvdTraits>   
+template < class DataKernel, class LocalKernel, class SvdTraits>
 void Monge_via_jet_fitting<DataKernel, LocalKernel, SvdTraits>::
 compute_Monge_basis(const FT* A, Monge_form& monge_form)
 {
   // only 1st order info.
-  if ( this->deg_monge == 1 ) {  
+  if ( this->deg_monge == 1 ) {
     Point_3 orig_monge(0., 0., A[0]);
     Vector_3  normal(-A[1], -A[2], 1.);
     FT norm2 = normal * normal;
     normal = normal / Lsqrt(norm2);
     monge_form.origin() = L2D_converter(
-      (this->translate_p0.inverse() * 
+      (this->translate_p0.inverse() *
        this->change_world2fitting.inverse()) (orig_monge) );
     monge_form.normal_direction() = L2D_converter(this->change_world2fitting.inverse()(normal));
   }
@@ -513,7 +513,7 @@ compute_Monge_basis(const FT* A, Monge_f
   Matrix inv = CGAL::Linear_algebraCd<FT>::inverse ( change_XuXv2YZ, det );
   //in the new orthonormal basis (Y,Z) of the tangent plane :
   weingarten = inv *(1/det) * weingarten * change_XuXv2YZ;
-  
+
   // diagonalization of weingarten
   std::array<FT,3> W = {{ weingarten(0,0), weingarten(1,0), weingarten(1,1) }};
   std::array<FT,2> eval = {{ 0., 0. }};
@@ -527,15 +527,15 @@ compute_Monge_basis(const FT* A, Monge_f
     d_min = evec[0]*Y + evec[1]*Z;
 
   switch_to_direct_orientation(d_max, d_min, normal);
-  Aff_transformation change_basis (d_max[0], d_max[1], d_max[2], 
-				   d_min[0], d_min[1], d_min[2],
-				   normal[0], normal[1], normal[2]);
+  Aff_transformation change_basis (d_max[0], d_max[1], d_max[2],
+                                   d_min[0], d_min[1], d_min[2],
+                                   normal[0], normal[1], normal[2]);
   this->change_fitting2monge = change_basis;
 
   //store the monge basis origin and vectors with their world coord
   //store ppal curv
   monge_form.origin() = L2D_converter(
-    (this->translate_p0.inverse() * 
+    (this->translate_p0.inverse() *
      this->change_world2fitting.inverse()) (orig_monge ));
   monge_form.maximal_principal_direction() = L2D_converter(this->change_world2fitting.inverse()(d_max));
   monge_form.minimal_principal_direction() = L2D_converter(this->change_world2fitting.inverse()(d_min));
@@ -546,12 +546,12 @@ compute_Monge_basis(const FT* A, Monge_f
   //end else
 }
 
-template < class DataKernel, class LocalKernel, class SvdTraits>  
+template < class DataKernel, class LocalKernel, class SvdTraits>
 void Monge_via_jet_fitting<DataKernel, LocalKernel, SvdTraits>::
-compute_Monge_coefficients(FT* A, std::size_t dprime, 
-			   Monge_form& monge_form)
+compute_Monge_coefficients(FT* A, std::size_t dprime,
+                           Monge_form& monge_form)
 {
-  //One has the equation w=J_A(u,v) of the fitted surface S 
+  //One has the equation w=J_A(u,v) of the fitted surface S
   // in the fitting_basis
   //Substituing (u,v,w)=change_fitting2monge^{-1}(x,y,z)
   //One has the equation f(x,y,z)=0 on this surface S in the monge
@@ -560,11 +560,11 @@ compute_Monge_coefficients(FT* A, std::s
   //   g(x,y) s.t. f(x,y,g(x,y))=0
   //voir les calculs Maple dans monge.mws
   //Notations are f123= d^3f/dxdydz
-  //              g(x,y)=sum (gij x^i y^j/ i!j!) with 
+  //              g(x,y)=sum (gij x^i y^j/ i!j!) with
   //              g00=g10=g01=g11=0, g20=kmax, g02=kmin
   //
-  //g(x,y)= 1/2*(k1x^2 +k2y^2) 
-  //       +1/6*(b0x^3 +3b1x^2y +3b2xy^2 +b3y^3) 
+  //g(x,y)= 1/2*(k1x^2 +k2y^2)
+  //       +1/6*(b0x^3 +3b1x^2y +3b2xy^2 +b3y^3)
   //       +1/24*(c0x^4 +4c1x^3y +6c2x^2y^2 +4c3xy^3 +c4y^4)
   //       +...
   // p stores change_fitting2monge^{-1}=change_fitting2monge^{T}
@@ -585,24 +585,24 @@ compute_Monge_coefficients(FT* A, std::s
 
 /*   //debug */
 /*   std::cout << "coeff of A" << std::endl */
-/* 	    << A[0] << " "<< A[1] << " "<< A[2] << std::endl */
-/* 	    << A[3] << " "<< A[4] << " "<< A[5] << std::endl */
-/* 	    << A[6] << " "<< A[7] << " "<< A[8] << " "<< A[9]<< std::endl */
-/* 	    << A[10] << " "<< A[11] << " "<< A[12] << " "<< A[13]<< " " << A[14] << std::endl; */
+/*             << A[0] << " "<< A[1] << " "<< A[2] << std::endl */
+/*             << A[3] << " "<< A[4] << " "<< A[5] << std::endl */
+/*             << A[6] << " "<< A[7] << " "<< A[8] << " "<< A[9]<< std::endl */
+/*             << A[10] << " "<< A[11] << " "<< A[12] << " "<< A[13]<< " " << A[14] << std::endl; */
 
 
 
-  //     note f1 = f2 = f12 = 0 
+  //     note f1 = f2 = f12 = 0
   //     FT f1 = A[1] * p[0][0] + A[2] * p[1][0] - p[2][0];
   //     FT f2 = A[2] * p[1][1] + A[1] * p[0][1] - p[2][1];
-  //     FT f12 = 
+  //     FT f12 =
   //     2 * A[3] * p[0][0] * p[0][1]
   //     + 2 * A[5] * p[1][0] * p[1][1]
-  //     + A[4] * p[0][1] * p[1][0] 
+  //     + A[4] * p[0][1] * p[1][0]
   //     + A[4] * p[0][0] * p[1][1];
   //         -f11 / f3 = kmax
-  //         -f22 / f3 = kmin 
- 
+  //         -f22 / f3 = kmin
+
   FT f3 = A[1] * p[0][2] + A[2] * p[1][2] - p[2][2];
   FT f11 =
     2 * A[4] * p[0][0] * p[1][0]
@@ -650,21 +650,21 @@ compute_Monge_coefficients(FT* A, std::s
     + 2 * A[7] * p[0][1] * p[0][1] * p[1][0]
     + 4 * A[7] * p[0][0] * p[0][1] * p[1][1]
     + 6 * A[9] * p[1][0] * p[1][1] * p[1][1];
-  FT f113 = 
+  FT f113 =
     6*A[6]*p[0][0]*p[0][0]*p[0][2]
     +6*A[9]*p[1][0]*p[1][0]*p[1][2]
     +2*A[7]*p[0][0]*p[0][0]*p[1][2]
     +2*A[8]*p[0][2]*p[1][0]*p[1][0]
     +4*A[7]*p[0][0]*p[0][2]*p[1][0]
     +4*A[8]*p[0][0]*p[1][0]*p[1][2];
-  FT f223 = 
+  FT f223 =
     2*A[8]*p[0][2]*p[1][1]*p[1][1]
     +6*A[6]*p[0][1]*p[0][1]*p[0][2]
     +6*A[9]*p[1][1]*p[1][1]*p[1][2]
     +2*A[7]*p[0][1]*p[0][1]*p[1][2]
     +4*A[7]*p[0][1]*p[0][2]*p[1][1]
     +4*A[8]*p[0][1]*p[1][1]*p[1][2];
-  FT f123 = 
+  FT f123 =
     2*A[8]*p[0][2]*p[1][0]*p[1][1]
     +2*A[7]*p[0][0]*p[0][1]*p[1][2]
     +2*A[7]*p[0][0]*p[0][2]*p[1][1]
@@ -678,7 +678,7 @@ compute_Monge_coefficients(FT* A, std::s
   FT b1 = 1/(f3*f3)*(-f112*f3+f23*f11);
   FT b2 = 1/(f3*f3)*(-f122*f3+f13*f22);
   FT b3 = -1/(f3*f3)*(f222*f3-3*f23*f22);
-  
+
   monge_form.coefficients()[2] = L2D_NTconverter()(b0);
   monge_form.coefficients()[3] = L2D_NTconverter()(b1);
   monge_form.coefficients()[4] = L2D_NTconverter()(b2);
@@ -686,58 +686,58 @@ compute_Monge_coefficients(FT* A, std::s
 
   if ( dprime == 4 )
     {
-      FT f1111 = 
-	24*A[13]*p[0][0]*p[1][0]*p[1][0]*p[1][0]
-	+24*A[12]*p[0][0]*p[0][0]*p[1][0]*p[1][0]
-	+24*A[11]*p[0][0]*p[0][0]*p[0][0]*p[1][0]
-	+24*A[14]*p[1][0]*p[1][0]*p[1][0]*p[1][0]
-	+24*A[10]*p[0][0]*p[0][0]*p[0][0]*p[0][0];
-      FT f1112 = 
-	6*A[13]*p[0][1]*p[1][0]*p[1][0]*p[1][0]
-	+18*A[13]*p[0][0]*p[1][0]*p[1][0]*p[1][1]
-	+24*A[10]*p[0][0]*p[0][0]*p[0][0]*p[0][1]
-	+12*A[12]*p[0][0]*p[0][1]*p[1][0]*p[1][0]
-	+18*A[11]*p[0][0]*p[0][0]*p[0][1]*p[1][0]
-	+24*A[14]*p[1][0]*p[1][0]*p[1][0]*p[1][1]
-	+6*A[11]*p[0][0]*p[0][0]*p[0][0]*p[1][1]
-	+12*A[12]*p[0][0]*p[0][0]*p[1][0]*p[1][1];
-      FT f1122 = 
-	12*A[11]*p[0][0]*p[0][0]*p[0][1]*p[1][1]
-	+12*A[13]*p[0][0]*p[1][0]*p[1][1]*p[1][1]
-	+12*A[13]*p[0][1]*p[1][0]*p[1][0]*p[1][1]
-	+16*A[12]*p[0][0]*p[0][1]*p[1][0]*p[1][1]
-	+12*A[11]*p[0][0]*p[0][1]*p[0][1]*p[1][0]
-	+24*A[10]*p[0][0]*p[0][0]*p[0][1]*p[0][1]
-	+4*A[12]*p[0][1]*p[0][1]*p[1][0]*p[1][0]
-	+4*A[12]*p[0][0]*p[0][0]*p[1][1]*p[1][1]
-	+24*A[14]*p[1][0]*p[1][0]*p[1][1]*p[1][1];
-      FT f1222 = 
-	6*A[13]*p[0][0]*p[1][1]*p[1][1]*p[1][1]
-	+24*A[10]*p[0][0]*p[0][1]*p[0][1]*p[0][1]
-	+24*A[14]*p[1][0]*p[1][1]*p[1][1]*p[1][1]
-	+6*A[11]*p[0][1]*p[0][1]*p[0][1]*p[1][0]
-	+18*A[11]*p[0][0]*p[0][1]*p[0][1]*p[1][1]
-	+12*A[12]*p[0][0]*p[0][1]*p[1][1]*p[1][1]
-	+12*A[12]*p[0][1]*p[0][1]*p[1][0]*p[1][1]
-	+18*A[13]*p[0][1]*p[1][0]*p[1][1]*p[1][1];
+      FT f1111 =
+        24*A[13]*p[0][0]*p[1][0]*p[1][0]*p[1][0]
+        +24*A[12]*p[0][0]*p[0][0]*p[1][0]*p[1][0]
+        +24*A[11]*p[0][0]*p[0][0]*p[0][0]*p[1][0]
+        +24*A[14]*p[1][0]*p[1][0]*p[1][0]*p[1][0]
+        +24*A[10]*p[0][0]*p[0][0]*p[0][0]*p[0][0];
+      FT f1112 =
+        6*A[13]*p[0][1]*p[1][0]*p[1][0]*p[1][0]
+        +18*A[13]*p[0][0]*p[1][0]*p[1][0]*p[1][1]
+        +24*A[10]*p[0][0]*p[0][0]*p[0][0]*p[0][1]
+        +12*A[12]*p[0][0]*p[0][1]*p[1][0]*p[1][0]
+        +18*A[11]*p[0][0]*p[0][0]*p[0][1]*p[1][0]
+        +24*A[14]*p[1][0]*p[1][0]*p[1][0]*p[1][1]
+        +6*A[11]*p[0][0]*p[0][0]*p[0][0]*p[1][1]
+        +12*A[12]*p[0][0]*p[0][0]*p[1][0]*p[1][1];
+      FT f1122 =
+        12*A[11]*p[0][0]*p[0][0]*p[0][1]*p[1][1]
+        +12*A[13]*p[0][0]*p[1][0]*p[1][1]*p[1][1]
+        +12*A[13]*p[0][1]*p[1][0]*p[1][0]*p[1][1]
+        +16*A[12]*p[0][0]*p[0][1]*p[1][0]*p[1][1]
+        +12*A[11]*p[0][0]*p[0][1]*p[0][1]*p[1][0]
+        +24*A[10]*p[0][0]*p[0][0]*p[0][1]*p[0][1]
+        +4*A[12]*p[0][1]*p[0][1]*p[1][0]*p[1][0]
+        +4*A[12]*p[0][0]*p[0][0]*p[1][1]*p[1][1]
+        +24*A[14]*p[1][0]*p[1][0]*p[1][1]*p[1][1];
+      FT f1222 =
+        6*A[13]*p[0][0]*p[1][1]*p[1][1]*p[1][1]
+        +24*A[10]*p[0][0]*p[0][1]*p[0][1]*p[0][1]
+        +24*A[14]*p[1][0]*p[1][1]*p[1][1]*p[1][1]
+        +6*A[11]*p[0][1]*p[0][1]*p[0][1]*p[1][0]
+        +18*A[11]*p[0][0]*p[0][1]*p[0][1]*p[1][1]
+        +12*A[12]*p[0][0]*p[0][1]*p[1][1]*p[1][1]
+        +12*A[12]*p[0][1]*p[0][1]*p[1][0]*p[1][1]
+        +18*A[13]*p[0][1]*p[1][0]*p[1][1]*p[1][1];
       FT f2222 =
-	24*A[13]*p[0][1]*p[1][1]*p[1][1]*p[1][1]
-	+24*A[11]*p[0][1]*p[0][1]*p[0][1]*p[1][1]
-	+24*A[12]*p[0][1]*p[0][1]*p[1][1]*p[1][1]
-	+24*A[10]*p[0][1]*p[0][1]*p[0][1]*p[0][1]
-	+24*A[14]*p[1][1]*p[1][1]*p[1][1]*p[1][1];
+        24*A[13]*p[0][1]*p[1][1]*p[1][1]*p[1][1]
+        +24*A[11]*p[0][1]*p[0][1]*p[0][1]*p[1][1]
+        +24*A[12]*p[0][1]*p[0][1]*p[1][1]*p[1][1]
+        +24*A[10]*p[0][1]*p[0][1]*p[0][1]*p[0][1]
+        +24*A[14]*p[1][1]*p[1][1]*p[1][1]*p[1][1];
 
       FT c0 =
-	-1/(f3*f3*f3)*(f1111*(f3*f3)-4*f13*f3*f111+12*f13*f13*f11-6*f113*f3*f11+3*f33*f11*f11);
+        -1/(f3*f3*f3)*(f1111*(f3*f3)-4*f13*f3*f111+12*f13*f13*f11-6*f113*f3*f11+3*f33*f11*f11);
       FT c1 =
-	1/(f3*f3*f3)*(f23*f3*f111+3*f3*f123*f11+3*f13*f3*f112-f1112*(f3*f3)-6*f13*f23*f11); 
+        1/(f3*f3*f3)*(f23*f3*f111+3*f3*f123*f11+3*f13*f3*f112-f1112*(f3*f3)-6*f13*f23*f11);
       FT c2 =
-	1/(f3*f3*f3)*(-f33*f22*f11+f113*f3*f22+2*f13*f3*f122-2*f13*f13*f22+f223*f3*f11+2*f23*f3*f112-2*f23*f23*f11-f1122*(f3*f3)); 
+        1/(f3*f3*f3)*(-f33*f22*f11+f113*f3*f22+2*f13*f3*f122-2*f13*f13*f22+f223*f3*f11+2*f23*f3*f112-2*f23*f23*f11-f1122*(f3*f3));
       FT c3 =
-	1/(f3*f3*f3)*(-f1222*(f3*f3)-6*f13*f23*f22+3*f123*f3*f22+f13*f3*f222+3*f23*f3*f122); 
+        1/(f3*f3*f3)*(-f1222*(f3*f3)-6*f13*f23*f22+3*f123*f3*f22+f13*f3*f222+3*f23*f3*f122);
       FT c4 =
-	-1/(f3*f3*f3)*(f2222*(f3*f3)+3*f33*f22*f22-6*f223*f3*f22-4*f23*f3*f222+12*f23*f23*f22) ; 
-      
+        -1/(f3*f3*f3)*(f2222*(f3*f3)+3*f33*f22*f22-6*f223*f3*f22-4*f23*f3*f222+12*f23*f23*f22) ;
+
       monge_form.coefficients()[6] = L2D_NTconverter()(c0);
       monge_form.coefficients()[7] = L2D_NTconverter()(c1);
       monge_form.coefficients()[8] = L2D_NTconverter()(c2);
@@ -746,21 +746,21 @@ compute_Monge_coefficients(FT* A, std::s
     }
 }
 
-template < class DataKernel, class LocalKernel, class SvdTraits>  
+template < class DataKernel, class LocalKernel, class SvdTraits>
 void Monge_via_jet_fitting<DataKernel, LocalKernel, SvdTraits>::
 switch_to_direct_orientation(Vector_3& v1, const Vector_3& v2,
-			    const Vector_3& v3) 
+                            const Vector_3& v3)
 {
   if (CGAL::orientation (v1, v2, v3) == CGAL::NEGATIVE)
     v1 = -v1;
 }
 
 
-// template < class DataKernel, class LocalKernel, class SvdTraits>  
+// template < class DataKernel, class LocalKernel, class SvdTraits>
 // inline
 // std::ostream&
-// operator<<(std::ostream& out_stream, 
-// 	  const typename Monge_via_jet_fitting<DataKernel, LocalKernel, SvdTraits>::Monge_form& monge)
+// operator<<(std::ostream& out_stream,
+//           const typename Monge_via_jet_fitting<DataKernel, LocalKernel, SvdTraits>::Monge_form& monge)
 // {
 //   monge.dump_verbose(out_stream);
 //   return out_stream;
diff -pruN 5.0.2-3/include/CGAL/monotone_matrix_search.h 5.0.3-1/include/CGAL/monotone_matrix_search.h
--- 5.0.2-3/include/CGAL/monotone_matrix_search.h	2020-02-21 20:03:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/monotone_matrix_search.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Matrix_search/include/CGAL/monotone_matrix_search.h $
-// $Id: monotone_matrix_search.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Matrix_search/include/CGAL/monotone_matrix_search.h $
+// $Id: monotone_matrix_search.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 
@@ -62,14 +62,14 @@ monotone_matrix_search(
   CGAL_optimisation_assertion(
     M_new->number_of_rows() == 0 ||
       M_new->number_of_rows() == ( M.number_of_rows() + 1) >> 1);
-  
+
 
   // reduce M_new to a quadratic matrix:
-  
+
   // table to store the reduction permutation:
   // (incl. sentinel)
   int* reduction_table = new int[ M_new->number_of_rows() + 1];
-  
+
   if ( M_new->number_of_rows() < M_new->number_of_columns()) {
     // set sentinel:
     reduction_table[M_new->number_of_rows()] =
@@ -77,7 +77,7 @@ monotone_matrix_search(
     _reduce_matrix( *M_new, reduction_table, compare_strictly);
     CGAL_optimisation_assertion(
       M_new->number_of_columns() == M_new->number_of_rows());
-  
+
   } // if ( M_new->number_of_rows() < M_new->number_of_columns())
   else {
     // no reduction -> reduction_table is identity table:
@@ -87,30 +87,30 @@ monotone_matrix_search(
     reduction_table[M_new->number_of_columns()] =
       M_new->number_of_columns() - 1;
   }
-  
-  
+
+
 
   // recursion:
-  
+
   CGAL_optimisation_assertion(
     M_new->number_of_rows() >= M_new->number_of_columns());
-  
+
   // table to store the rmax values of M_new:
   // (incl. sentinel)
   int* t_new = new int[M_new->number_of_rows() + 1];
   t_new[M_new->number_of_rows()] = M_new->number_of_columns();
-  
+
   if ( M_new->number_of_rows() == 1)
     // recursion anchor:
     // we have just one element ==> no choice
     t_new[0] = 0;
   else
     monotone_matrix_search( *M_new, t_new);
-  
+
 
   // and conquer
   // -----------
-  
+
   int j( 0);       // actual index in t
   int j_new( 0);   // actual index in t_new
   do {
@@ -118,7 +118,7 @@ monotone_matrix_search(
     *(t+j) = reduction_table[t_new[j_new++]];
     if ( ++j >= M.number_of_rows())
       break;
-  
+
     // odd row
     // search *(t+j) between *(t+j-1) and t_new[j_new]:
     *(t+j) = reduction_table[t_new[j_new]];
@@ -186,7 +186,7 @@ _reduce_matrix(
     }
   } // while ( j2 - j1 <
     //         M.number_of_columns() - M.number_of_rows() + 1)
-  
+
   // M.number_of_columns() - M.number_of_rows() columns
   // have been deleted, now move columns
   // j2 .. M.number_of_columns()-1 to the first part
@@ -195,7 +195,7 @@ _reduce_matrix(
     M.replace_column( ++j1, j2);
     *(t+j1) = j2++;
   }
-  
+
   M.shrink_to_quadratic_size();
 } // _reduce_matrix( M, t)
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/more_functions_on_signs.h 5.0.3-1/include/CGAL/more_functions_on_signs.h
--- 5.0.2-3/include/CGAL/more_functions_on_signs.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/more_functions_on_signs.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/more_functions_on_signs.h $
-// $Id: more_functions_on_signs.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/more_functions_on_signs.h $
+// $Id: more_functions_on_signs.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/mpfi_coercion_traits.h 5.0.3-1/include/CGAL/mpfi_coercion_traits.h
--- 5.0.2-3/include/CGAL/mpfi_coercion_traits.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/mpfi_coercion_traits.h	2020-08-01 19:02:36.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/mpfi_coercion_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/mpfi_coercion_traits.h $
 // $Id: mpfi_coercion_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/MP_Float_arithmetic_kernel.h 5.0.3-1/include/CGAL/MP_Float_arithmetic_kernel.h
--- 5.0.2-3/include/CGAL/MP_Float_arithmetic_kernel.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/MP_Float_arithmetic_kernel.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arithmetic_kernel/include/CGAL/MP_Float_arithmetic_kernel.h $
-// $Id: MP_Float_arithmetic_kernel.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arithmetic_kernel/include/CGAL/MP_Float_arithmetic_kernel.h $
+// $Id: MP_Float_arithmetic_kernel.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Sebastien Loriot
 //
 // ============================================================================
 //
-//    \brief provide class Arithmetic_kernel, a collection of number types. 
+//    \brief provide class Arithmetic_kernel, a collection of number types.
 //
 
 #ifndef CGAL_MP_FLOAT_ARITHMETIC_KERNEL_H
@@ -21,7 +21,7 @@
 #include <CGAL/Arithmetic_kernel/Arithmetic_kernel_base.h>
 #include <CGAL/Get_arithmetic_kernel.h>
 
-#define CGAL_HAS_MP_FLOAT_ARITHMETIC_KERNEL 
+#define CGAL_HAS_MP_FLOAT_ARITHMETIC_KERNEL
 
 #include <CGAL/MP_Float.h>
 #include <CGAL/Quotient.h>
diff -pruN 5.0.2-3/include/CGAL/MP_Float.h 5.0.3-1/include/CGAL/MP_Float.h
--- 5.0.2-3/include/CGAL/MP_Float.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/MP_Float.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/MP_Float.h $
-// $Id: MP_Float.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/MP_Float.h $
+// $Id: MP_Float.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -77,7 +77,7 @@ std::pair<double,double> to_interval(con
 MP_Float div(const MP_Float& n1, const MP_Float& n2);
 
 MP_Float gcd(const MP_Float& a, const MP_Float& b);
-  
+
 } //namespace INTERN_MP_FLOAT
 
 std::pair<double, int>
@@ -154,12 +154,12 @@ public:
   {
     const unsigned int sizeof_limb=8*sizeof(limb);
     const limb2 mask = 0x0000ffff;
-   
-    //Note: For Integer type, if the destination type is signed, the value is unchanged 
+
+    //Note: For Integer type, if the destination type is signed, the value is unchanged
     //if it can be represented in the destination type)
     low = static_cast<limb>(l & mask); //extract low bits from l
     high= static_cast<limb>((l - low) >> sizeof_limb); //extract high bits from l
-    
+
     CGAL_postcondition ( l == low + ( static_cast<limb2>(high) << sizeof_limb ) );
   }
 
@@ -309,7 +309,7 @@ public:
   }
 
   // Accessory function that finds the least significant bit set (its position).
-  static unsigned short 
+  static unsigned short
   lsb(limb l)
   {
     unsigned short nb = 0;
@@ -401,7 +401,7 @@ approximate_division(const MP_Float &n,
 template <> class Algebraic_structure_traits< MP_Float >
   : public Algebraic_structure_traits_base< MP_Float,
                                             Unique_factorization_domain_tag
-	    // with some work on mod/div it could be Euclidean_ring_tag
+            // with some work on mod/div it could be Euclidean_ring_tag
                                           >  {
   public:
 
@@ -462,19 +462,19 @@ template <> class Algebraic_structure_tr
 
   typedef INTERN_AST::Mod_per_operator< Type > Mod;
 // Default implementation of Divides functor for unique factorization domains
-  // x divides y if gcd(y,x) equals x up to inverses 
-  class Divides 
+  // x divides y if gcd(y,x) equals x up to inverses
+  class Divides
     : public CGAL::cpp98::binary_function<Type,Type,bool>{
   public:
-    bool operator()( const Type& x,  const Type& y) const {  
+    bool operator()( const Type& x,  const Type& y) const {
       return internal::division(y,x).second == 0 ;
     }
-    // second operator computing q = x/y 
-    bool operator()( const Type& x,  const Type& y, Type& q) const {    
+    // second operator computing q = x/y
+    bool operator()( const Type& x,  const Type& y, Type& q) const {
       std::pair<Type,Type> qr = internal::division(y,x);
       q=qr.first;
       return qr.second == 0;
-      
+
     }
     CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR_WITH_RT( Type , bool)
   };
@@ -525,7 +525,7 @@ template <> class Real_embeddable_traits
 namespace INTERN_MP_FLOAT{
 
 //Sqrt_extension internally uses Algebraic_structure_traits
-template <class ACDE_TAG_, class FP_TAG>  
+template <class ACDE_TAG_, class FP_TAG>
 double
 to_double(const Sqrt_extension<MP_Float,MP_Float,ACDE_TAG_,FP_TAG> &x)
 {
@@ -560,7 +560,7 @@ to_double(const Sqrt_extension<MP_Float,
   std::pair<double, int> v3 = to_double_exp(d3);
   double scale3 = std::ldexp(1.0, n3.second - v3.second);
 
-  return ((n1.first / v1.first) * scale1) + 
+  return ((n1.first / v1.first) * scale1) +
          ((n2.first / v2.first) * scale2) *
          std::sqrt((n3.first / v3.first) * scale3);
 }
@@ -805,11 +805,11 @@ simplify_quotient(MP_Float & numerator,
 inline void simplify_root_of_2(MP_Float &/*a*/, MP_Float &/*b*/, MP_Float&/*c*/) {
 #if 0
   if(is_zero(a)) {
-  	simplify_quotient(b,c); return;
+          simplify_quotient(b,c); return;
   } else if(is_zero(b)) {
-  	simplify_quotient(a,c); return;
+          simplify_quotient(a,c); return;
   } else if(is_zero(c)) {
-  	simplify_quotient(a,b); return;
+          simplify_quotient(a,b); return;
   }
   MP_Float::exponent_type va = a.exp +
     (MP_Float::exponent_type) a.v.size();
@@ -860,10 +860,10 @@ public:
 };
 
 inline MP_Float min BOOST_PREVENT_MACRO_SUBSTITUTION(const MP_Float& x,const MP_Float& y){
-  return (x<=y)?x:y; 
+  return (x<=y)?x:y;
 }
 inline MP_Float max BOOST_PREVENT_MACRO_SUBSTITUTION(const MP_Float& x,const MP_Float& y){
-  return (x>=y)?x:y; 
+  return (x>=y)?x:y;
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/MP_Float_impl.h 5.0.3-1/include/CGAL/MP_Float_impl.h
--- 5.0.2-3/include/CGAL/MP_Float_impl.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/MP_Float_impl.h	2020-08-01 19:02:36.000000000 +0000
@@ -4,10 +4,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/MP_Float_impl.h $
-// $Id: MP_Float_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/MP_Float_impl.h $
+// $Id: MP_Float_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 
@@ -34,7 +34,7 @@ const double trunc_min = double(-base)*(
 // We face portability issues with the ISO C99 functions "nearbyint",
 // so I re-implement it for my need.
 template < typename T >
-inline 
+inline
 int my_nearbyint(const T& d)
 {
   int z = int(d);
@@ -280,7 +280,7 @@ INTERN_MP_FLOAT::square(const MP_Float &
       if (tmp > 0 && tmp0 < 0 && tmp1 < 0)
       {
         // If my calculations are correct, this case should never happen.
-	CGAL_error();
+        CGAL_error();
       }
       else if (tmp < 0 && tmp0 > 0 && tmp1 > 0)
         carry2 = 1;
diff -pruN 5.0.2-3/include/CGAL/mpfr_coercion_traits.h 5.0.3-1/include/CGAL/mpfr_coercion_traits.h
--- 5.0.2-3/include/CGAL/mpfr_coercion_traits.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/mpfr_coercion_traits.h	2020-08-01 19:02:36.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/mpfr_coercion_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/mpfr_coercion_traits.h $
 // $Id: mpfr_coercion_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/mpq_class.h 5.0.3-1/include/CGAL/mpq_class.h
--- 5.0.2-3/include/CGAL/mpq_class.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/mpq_class.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2002,2003  
+// Copyright (c) 2002,2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/mpq_class.h $
-// $Id: mpq_class.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/mpq_class.h $
+// $Id: mpq_class.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -203,33 +203,33 @@ class Real_embeddable_traits< mpq_class
         std::pair<double, double>
         operator()( const mpq_class& x ) const {
 #if MPFR_VERSION_MAJOR >= 3
-	  mpfr_exp_t emin = mpfr_get_emin();
-	  mpfr_set_emin(-1073);
-	  MPFR_DECL_INIT (y, 53); /* Assume IEEE-754 */
-	  int r = mpfr_set_q (y, x.get_mpq_t(), MPFR_RNDA);
-	  r = mpfr_subnormalize (y, r, MPFR_RNDA); /* Round subnormals */
-	  double i = mpfr_get_d (y, MPFR_RNDA); /* EXACT but can overflow */
-	  mpfr_set_emin(emin); /* Restore old value, users may care */
-	  // With mpfr_set_emax(1024) we could drop the is_finite test
-	  if (r == 0 && is_finite (i))
-	    return std::pair<double, double>(i, i);
-	  else
-	    {
-	      double s = nextafter (i, 0);
-	      if (i < 0)
-		return std::pair<double, double>(i, s);
-	      else
-		return std::pair<double, double>(s, i);
-	    }
+          mpfr_exp_t emin = mpfr_get_emin();
+          mpfr_set_emin(-1073);
+          MPFR_DECL_INIT (y, 53); /* Assume IEEE-754 */
+          int r = mpfr_set_q (y, x.get_mpq_t(), MPFR_RNDA);
+          r = mpfr_subnormalize (y, r, MPFR_RNDA); /* Round subnormals */
+          double i = mpfr_get_d (y, MPFR_RNDA); /* EXACT but can overflow */
+          mpfr_set_emin(emin); /* Restore old value, users may care */
+          // With mpfr_set_emax(1024) we could drop the is_finite test
+          if (r == 0 && is_finite (i))
+            return std::pair<double, double>(i, i);
+          else
+            {
+              double s = nextafter (i, 0);
+              if (i < 0)
+                return std::pair<double, double>(i, s);
+              else
+                return std::pair<double, double>(s, i);
+            }
 #else
-	  mpfr_t y;
-	  mpfr_init2 (y, 53); /* Assume IEEE-754 */
-	  mpfr_set_q (y, x.get_mpq_t(), GMP_RNDD);
-	  double i = mpfr_get_d (y, GMP_RNDD); /* EXACT but can overflow */
-	  mpfr_set_q (y, x.get_mpq_t(), GMP_RNDU);
-	  double s = mpfr_get_d (y, GMP_RNDU); /* EXACT but can overflow */
-	  mpfr_clear (y);
-	  return std::pair<double, double>(i, s);
+          mpfr_t y;
+          mpfr_init2 (y, 53); /* Assume IEEE-754 */
+          mpfr_set_q (y, x.get_mpq_t(), GMP_RNDD);
+          double i = mpfr_get_d (y, GMP_RNDD); /* EXACT but can overflow */
+          mpfr_set_q (y, x.get_mpq_t(), GMP_RNDU);
+          double s = mpfr_get_d (y, GMP_RNDU); /* EXACT but can overflow */
+          mpfr_clear (y);
+          return std::pair<double, double>(i, s);
 #endif
         }
     };
@@ -242,7 +242,7 @@ class Real_embeddable_traits< mpq_class
 #include <CGAL/Fraction_traits.h>
 
 namespace CGAL {
-  
+
 /*! \ingroup NiX_Fraction_traits_spec
  *  \brief Specialization of Fraction_traits for mpq_class
  */
diff -pruN 5.0.2-3/include/CGAL/mpz_class.h 5.0.3-1/include/CGAL/mpz_class.h
--- 5.0.2-3/include/CGAL/mpz_class.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/mpz_class.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2002,2003,2007  
+// Copyright (c) 2002,2003,2007
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/mpz_class.h $
-// $Id: mpz_class.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/mpz_class.h $
+// $Id: mpz_class.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -275,28 +275,28 @@ public:
         std::pair<double, double>
         operator()( const mpz_class& x ) const {
 #if MPFR_VERSION_MAJOR >= 3
-	  MPFR_DECL_INIT (y, 53); /* Assume IEEE-754 */
-	  int r = mpfr_set_z (y, x.get_mpz_t(), MPFR_RNDA);
-	  double i = mpfr_get_d (y, MPFR_RNDA); /* EXACT but can overflow */
-	  if (r == 0 && is_finite (i))
-	    return std::pair<double, double>(i, i);
-	  else
-	    {
-	      double s = nextafter (i, 0);
-	      if (i < 0)
-		return std::pair<double, double>(i, s);
-	      else
-		return std::pair<double, double>(s, i);
-	    }
+          MPFR_DECL_INIT (y, 53); /* Assume IEEE-754 */
+          int r = mpfr_set_z (y, x.get_mpz_t(), MPFR_RNDA);
+          double i = mpfr_get_d (y, MPFR_RNDA); /* EXACT but can overflow */
+          if (r == 0 && is_finite (i))
+            return std::pair<double, double>(i, i);
+          else
+            {
+              double s = nextafter (i, 0);
+              if (i < 0)
+                return std::pair<double, double>(i, s);
+              else
+                return std::pair<double, double>(s, i);
+            }
 #else
-	  mpfr_t y;
-	  mpfr_init2 (y, 53); /* Assume IEEE-754 */
-	  mpfr_set_z (y, x.get_mpz_t(), GMP_RNDD);
-	  double i = mpfr_get_d (y, GMP_RNDD); /* EXACT but can overflow */
-	  mpfr_set_z (y, x.get_mpz_t(), GMP_RNDU);
-	  double s = mpfr_get_d (y, GMP_RNDU); /* EXACT but can overflow */
-	  mpfr_clear (y);
-	  return std::pair<double, double>(i, s);
+          mpfr_t y;
+          mpfr_init2 (y, 53); /* Assume IEEE-754 */
+          mpfr_set_z (y, x.get_mpz_t(), GMP_RNDD);
+          double i = mpfr_get_d (y, GMP_RNDD); /* EXACT but can overflow */
+          mpfr_set_z (y, x.get_mpz_t(), GMP_RNDU);
+          double s = mpfr_get_d (y, GMP_RNDU); /* EXACT but can overflow */
+          mpfr_clear (y);
+          return std::pair<double, double>(i, s);
 #endif
         }
     };
@@ -312,10 +312,10 @@ public:
 namespace CGAL {
 
 /*! \ingroup NiX_Modular_traits_spec
- *  \brief a model of concept ModularTraits, 
- *  specialization of NiX::Modular_traits. 
+ *  \brief a model of concept ModularTraits,
+ *  specialization of NiX::Modular_traits.
  */
- 
+
 template<>
 class Modular_traits< mpz_class > {
 public:
@@ -333,7 +333,7 @@ public:
     NT operator()(const Residue_type& x){
       return NT(x.get_value());
     }
-  };    
+  };
 };
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Mpzf.h 5.0.3-1/include/CGAL/Mpzf.h
--- 5.0.2-3/include/CGAL/Mpzf.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Mpzf.h	2020-08-01 19:02:36.000000000 +0000
@@ -4,11 +4,11 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Mpzf.h $
-// $Id: Mpzf.h c6d9dd6 2019-10-29T15:23:30+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Mpzf.h $
+// $Id: Mpzf.h c15d630 2020-05-14T10:49:12+02:00 Maxime Gimeno
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s)	:  Marc Glisse
+// Author(s)        :  Marc Glisse
 
 #ifndef CGAL_MPZF_H
 #define CGAL_MPZF_H
@@ -172,7 +172,7 @@ template <class T, class = void> struct
       // Deallocate everything. As an alternative, we could store it in a
       // global location, for re-use by a later thread.
       while (!empty())
-	delete[] (pop() - (extra + 1));
+        delete[] (pop() - (extra + 1));
     }
   };
   static T& data () {
@@ -325,7 +325,7 @@ struct Mpzf {
 #ifdef CGAL_MPZF_USE_CACHE
       if (data() != cache)
 #endif
-	delete[] (data() - pool::extra);
+        delete[] (data() - pool::extra);
       init(asize);
     } else ++data();
     size=x.size;
@@ -340,18 +340,62 @@ struct Mpzf {
     exp=x.exp;
     if(size!=0) mpn_copyi(data(),x.data(),asize);
   }
-#if !defined(CGAL_MPZF_USE_CACHE)
+#if defined(CGAL_MPZF_USE_CACHE)
+  Mpzf(Mpzf&& x)noexcept:size(x.size),exp(x.exp){
+    auto xd = x.data();
+    while(*--xd==0);
+    if (xd != x.cache) {
+      data() = x.data();
+      x.init();
+    } else {
+      init();
+      if(size!=0) mpn_copyi(data(),x.data(),std::abs(size));
+    }
+    x.size = 0;
+  }
+  Mpzf& operator=(Mpzf&& x)noexcept{
+    if (this == &x) return *this; // is this needed?
+    size = x.size;
+    exp = x.exp;
+    auto xd = x.data();
+    auto td = data();
+    while(*--xd==0);
+    while(*--td==0);
+    if (xd != x.cache) {
+      data() = x.data();
+      if (td != cache) {
+        pool::push(td+1);
+        // should we instead give it to x in case x is reused?
+        // x.data() = td + 1;
+      }
+      x.init();
+    } else {
+      // In some cases data points in the middle of the buffer, reset it
+      data() = td + 1;
+      if(size!=0) mpn_copyi(data(),x.data(),std::abs(size));
+    }
+    x.size = 0;
+    return *this;
+  }
+#else
   Mpzf(Mpzf&& x):data_(x.data()),size(x.size),exp(x.exp){
     x.init(); // yes, that's a shame...
     x.size = 0;
     x.exp = 0;
   }
-  Mpzf& operator=(Mpzf&& x){
-    std::swap(size,x.size);
+  Mpzf& operator=(Mpzf&& x)noexcept{
+    size = x.size;
+    // In case something tries to read it, size needs to be smaller than data
+    x.size = 0;
     exp = x.exp;
     std::swap(data(),x.data());
     return *this;
   }
+  friend void swap(Mpzf&a, Mpzf&b)noexcept{
+    std::swap(a.size, b.size);
+    std::swap(a.exp, b.exp);
+    std::swap(a.data(), b.data());
+  }
   friend Mpzf operator-(Mpzf&& x){
     Mpzf ret = std::move(x);
     ret.size = -ret.size;
@@ -405,8 +449,8 @@ struct Mpzf {
     if (dexp == 0) {
       if (d == 0) { size=0; exp=0; return; }
       else { // denormal number
-	m = u.s.man;
-	++dexp;
+        m = u.s.man;
+        ++dexp;
       }
     } else {
       m = (1LL<<52) | u.s.man;
@@ -426,10 +470,10 @@ struct Mpzf {
     }else{
       data()[0] = m << e2;
       if(e2>11){ // Wrong test for denormals
-	data()[1] = m >> (64-e2);
-	size = 2;
+        data()[1] = m >> (64-e2);
+        size = 2;
       } else {
-	size = 1;
+        size = 1;
       }
     }
 #else
@@ -445,11 +489,11 @@ struct Mpzf {
     else {
       data()[0] = d0;
       if (d1 == 0) {
-	size = 1;
+        size = 1;
       }
       else {
-	data()[1] = d1;
-	size = 2;
+        data()[1] = d1;
+        size = 2;
       }
     }
 #endif
@@ -534,6 +578,12 @@ struct Mpzf {
   friend bool operator!=(Mpzf const&a, Mpzf const&b){
     return !(a==b);
   }
+  friend Mpzf const& min BOOST_PREVENT_MACRO_SUBSTITUTION (Mpzf const&a, Mpzf const&b){
+    return (b<a)?b:a;
+  }
+  friend Mpzf const& max BOOST_PREVENT_MACRO_SUBSTITUTION (Mpzf const&a, Mpzf const&b){
+    return (a<b)?b:a;
+  }
   private:
   static Mpzf aors(Mpzf const&a, Mpzf const&b, int bsize){
     Mpzf res=noalloc();
@@ -569,53 +619,53 @@ struct Mpzf {
       res.size=0;
       // TODO: if aexp>0, swap a and b so we don't repeat the code.
       if(0<bexp){
-	if(absasize<=bexp){ // no overlap
-	  mpn_copyi(rdata, adata, absasize);
-	  rdata+=absasize;
-	  rdata=Mpzf_impl::fill_n_ptr(rdata,bexp-absasize,0);
-	  mpn_copyi(rdata, bdata, absbsize);
-	  res.size=absbsize+bexp;
-	  if(bsize<0) res.size=-res.size;
-	  return res;
-	} else {
-	  mpn_copyi(rdata, adata, bexp);
-	  adata+=bexp;
-	  absasize-=bexp;
-	  rdata+=bexp;
-	  res.size=bexp;
-	}
+        if(absasize<=bexp){ // no overlap
+          mpn_copyi(rdata, adata, absasize);
+          rdata+=absasize;
+          rdata=Mpzf_impl::fill_n_ptr(rdata,bexp-absasize,0);
+          mpn_copyi(rdata, bdata, absbsize);
+          res.size=absbsize+bexp;
+          if(bsize<0) res.size=-res.size;
+          return res;
+        } else {
+          mpn_copyi(rdata, adata, bexp);
+          adata+=bexp;
+          absasize-=bexp;
+          rdata+=bexp;
+          res.size=bexp;
+        }
       }
       else if(0<aexp){
-	if(absbsize<=aexp){ // no overlap
-	  mpn_copyi(rdata, bdata, absbsize);
-	  rdata+=absbsize;
-	  rdata=Mpzf_impl::fill_n_ptr(rdata,aexp-absbsize,0);
-	  mpn_copyi(rdata, adata, absasize);
-	  res.size=absasize+aexp;
-	  if(asize<0) res.size=-res.size;
-	  return res;
-	} else {
-	  mpn_copyi(rdata, bdata, aexp);
-	  bdata+=aexp;
-	  absbsize-=aexp;
-	  rdata+=aexp;
-	  res.size=aexp;
-	}
+        if(absbsize<=aexp){ // no overlap
+          mpn_copyi(rdata, bdata, absbsize);
+          rdata+=absbsize;
+          rdata=Mpzf_impl::fill_n_ptr(rdata,aexp-absbsize,0);
+          mpn_copyi(rdata, adata, absasize);
+          res.size=absasize+aexp;
+          if(asize<0) res.size=-res.size;
+          return res;
+        } else {
+          mpn_copyi(rdata, bdata, aexp);
+          bdata+=aexp;
+          absbsize-=aexp;
+          rdata+=aexp;
+          res.size=aexp;
+        }
       }
       if(absasize>=absbsize){
-	mp_limb_t carry=mpn_add(rdata,adata,absasize,bdata,absbsize);
-	res.size+=absasize;
-	if(carry!=0){
-	  res.size++;
-	  rdata[absasize]=carry;
-	}
+        mp_limb_t carry=mpn_add(rdata,adata,absasize,bdata,absbsize);
+        res.size+=absasize;
+        if(carry!=0){
+          res.size++;
+          rdata[absasize]=carry;
+        }
       } else {
-	mp_limb_t carry=mpn_add(rdata,bdata,absbsize,adata,absasize);
-	res.size+=absbsize;
-	if(carry!=0){
-	  res.size++;
-	  rdata[absbsize]=carry;
-	}
+        mp_limb_t carry=mpn_add(rdata,bdata,absbsize,adata,absasize);
+        res.size+=absbsize;
+        if(carry!=0){
+          res.size++;
+          rdata[absbsize]=carry;
+        }
       }
       // unnecessary if a.exp != b.exp
       while(/*res.size>0&&*/res.data()[0]==0){--res.size;++res.data();++res.exp;}
@@ -642,36 +692,36 @@ struct Mpzf {
       res.size=0;
       bool carry1=false;
       if(0<yexp){ // must have overlap since x is larger
-	mpn_copyi(rdata, xdata, yexp);
-	xdata+=yexp;
-	absxsize-=yexp;
-	rdata+=yexp;
-	res.size=yexp;
+        mpn_copyi(rdata, xdata, yexp);
+        xdata+=yexp;
+        absxsize-=yexp;
+        rdata+=yexp;
+        res.size=yexp;
       }
       else if(0<xexp){
-	if(absysize<=xexp){ // no overlap
-	  mpn_neg(rdata, ydata, absysize); // assert that it returns 1
-	  rdata+=absysize;
-	  rdata=Mpzf_impl::fill_n_ptr(rdata,xexp-absysize,-1);
-	  mpn_sub_1(rdata, xdata, absxsize, 1);
-	  res.size=absxsize+xexp;
-	  while(/*res.size>0&&*/res.data()[res.size-1]==0) --res.size;
-	  if(xsize<0) res.size=-res.size;
-	  return res;
-	} else {
-	  mpn_neg(rdata, ydata, xexp); // assert that it returns 1
-	  ydata+=xexp;
-	  absysize-=xexp;
-	  rdata+=xexp;
-	  res.size=xexp;
-	  carry1=true; // assumes no trailing zeros
-	}
+        if(absysize<=xexp){ // no overlap
+          mpn_neg(rdata, ydata, absysize); // assert that it returns 1
+          rdata+=absysize;
+          rdata=Mpzf_impl::fill_n_ptr(rdata,xexp-absysize,-1);
+          mpn_sub_1(rdata, xdata, absxsize, 1);
+          res.size=absxsize+xexp;
+          while(/*res.size>0&&*/res.data()[res.size-1]==0) --res.size;
+          if(xsize<0) res.size=-res.size;
+          return res;
+        } else {
+          mpn_neg(rdata, ydata, xexp); // assert that it returns 1
+          ydata+=xexp;
+          absysize-=xexp;
+          rdata+=xexp;
+          res.size=xexp;
+          carry1=true; // assumes no trailing zeros
+        }
       }
       CGAL_assertion_code( mp_limb_t carry= )
-	mpn_sub(rdata, xdata, absxsize, ydata, absysize);
+        mpn_sub(rdata, xdata, absxsize, ydata, absysize);
       if(carry1)
-	CGAL_assertion_code( carry+= )
-	  mpn_sub_1(rdata, rdata, absxsize, 1);
+        CGAL_assertion_code( carry+= )
+          mpn_sub_1(rdata, rdata, absxsize, 1);
       CGAL_assertion(carry==0);
       res.size+=absxsize;
       while(/*res.size>0&&*/res.data()[res.size-1]==0) --res.size;
@@ -740,16 +790,16 @@ struct Mpzf {
       --res.size;
       mpn_tdiv_qr(qp, rp, 0, adata, asize, bdata, bsize);
       CGAL_assertion_code(
-	  for (int i=0; i<bsize; ++i)
-	    if (rp[i] != 0) throw std::logic_error("non exact Mpzf division");
+          for (int i=0; i<bsize; ++i)
+            if (rp[i] != 0) throw std::logic_error("non exact Mpzf division");
       )
     }
     else if(adata[-1]==0){ // We are lucky
       --adata; ++asize; --res.exp;
       mpn_tdiv_qr(qp, rp, 0, adata, asize, bdata, bsize);
       CGAL_assertion_code(
-	  for (int i=0; i<bsize; ++i)
-	    if (rp[i] != 0) throw std::logic_error("non exact Mpzf division");
+          for (int i=0; i<bsize; ++i)
+            if (rp[i] != 0) throw std::logic_error("non exact Mpzf division");
       )
     }
     else{
@@ -762,8 +812,8 @@ struct Mpzf {
       //a2.exp = a.exp-1;
       mpn_tdiv_qr(qp, rp, 0, a2.data(), asize+1, bdata, bsize);
       CGAL_assertion_code(
-	  for (int i=0; i<bsize; ++i)
-	    if (rp[i] != 0) throw std::logic_error("non exact Mpzf division");
+          for (int i=0; i<bsize; ++i)
+            if (rp[i] != 0) throw std::logic_error("non exact Mpzf division");
       )
     }
     while(/*res.size>0&&*/res.data()[res.size-1]==0) --res.size;
@@ -846,6 +896,9 @@ struct Mpzf {
     }
   }
 
+  friend Mpzf operator+(Mpzf const&x){
+    return x;
+  }
   friend Mpzf operator-(Mpzf const&x){
     Mpzf ret = x;
     ret.size = -ret.size;
@@ -895,8 +948,8 @@ struct Mpzf {
     int lz = Mpzf_impl::clz(x);
     if (lz <= 11) {
       if (lz != 11) {
-	e += (11 - lz);
-	x >>= (11 - lz);
+        e += (11 - lz);
+        x >>= (11 - lz);
       }
       dl = double(x);
       dh = double(x + 1);
@@ -946,19 +999,19 @@ struct Mpzf {
     CGAL_precondition(mpq_cmp_ui(q,0,1)==0);
     if (size != 0) {
       mpz_import (mpq_numref (q),
-		  std::abs(size),
-		  -1, // data()[0] is the least significant part
-		  sizeof(mp_limb_t),
-		  0, // native endianness inside mp_limb_t
-		  GMP_NAIL_BITS, // should be 0
-		  data());
+                  std::abs(size),
+                  -1, // data()[0] is the least significant part
+                  sizeof(mp_limb_t),
+                  0, // native endianness inside mp_limb_t
+                  GMP_NAIL_BITS, // should be 0
+                  data());
       if (exp > 0)
-	mpq_mul_2exp(q, q, (sizeof(mp_limb_t) * CHAR_BIT *  exp));
+        mpq_mul_2exp(q, q, (sizeof(mp_limb_t) * CHAR_BIT *  exp));
       else if (exp < 0)
-	mpq_div_2exp(q, q, (sizeof(mp_limb_t) * CHAR_BIT * -exp));
+        mpq_div_2exp(q, q, (sizeof(mp_limb_t) * CHAR_BIT * -exp));
 
       if (size < 0)
-	mpq_neg(q,q);
+        mpq_neg(q,q);
     }
   }
 #if 0
@@ -1007,96 +1060,96 @@ std::istream& operator>> (std::istream&
       typedef Tag_false            Is_numerical_sensitive;
 
       struct Is_zero
-	: public CGAL::cpp98::unary_function< Type, bool > {
-	  bool operator()( const Type& x ) const {
-	    return x.is_zero();
-	  }
-	};
+        : public CGAL::cpp98::unary_function< Type, bool > {
+          bool operator()( const Type& x ) const {
+            return x.is_zero();
+          }
+        };
 
       struct Is_one
-	: public CGAL::cpp98::unary_function< Type, bool > {
-	  bool operator()( const Type& x ) const {
-	    return x.is_one();
-	  }
-	};
+        : public CGAL::cpp98::unary_function< Type, bool > {
+          bool operator()( const Type& x ) const {
+            return x.is_one();
+          }
+        };
 
       struct Gcd
-	: public CGAL::cpp98::binary_function< Type, Type, Type > {
-	  Type operator()(
-	      const Type& x,
-	      const Type& y ) const {
-	    return Mpzf_gcd(x, y);
-	  }
-	};
+        : public CGAL::cpp98::binary_function< Type, Type, Type > {
+          Type operator()(
+              const Type& x,
+              const Type& y ) const {
+            return Mpzf_gcd(x, y);
+          }
+        };
 
       struct Square
-	: public CGAL::cpp98::unary_function< Type, Type > {
-	  Type operator()( const Type& x ) const {
-	    return Mpzf_square(x);
-	  }
-	};
+        : public CGAL::cpp98::unary_function< Type, Type > {
+          Type operator()( const Type& x ) const {
+            return Mpzf_square(x);
+          }
+        };
 
       struct Integral_division
-	: public CGAL::cpp98::binary_function< Type, Type, Type > {
-	  Type operator()(
-	      const Type& x,
-	      const Type& y ) const {
-	    return x / y;
-	  }
-	};
+        : public CGAL::cpp98::binary_function< Type, Type, Type > {
+          Type operator()(
+              const Type& x,
+              const Type& y ) const {
+            return x / y;
+          }
+        };
 
       struct Sqrt
-	: public CGAL::cpp98::unary_function< Type, Type > {
-	  Type operator()( const Type& x) const {
-	    return Mpzf_sqrt(x);
-	  }
-	};
+        : public CGAL::cpp98::unary_function< Type, Type > {
+          Type operator()( const Type& x) const {
+            return Mpzf_sqrt(x);
+          }
+        };
 
       struct Is_square
-	: public CGAL::cpp98::binary_function< Type, Type&, bool > {
-	  bool operator()( const Type& x, Type& y ) const {
-	    // TODO: avoid doing 2 calls.
-	    if (!Mpzf_is_square(x)) return false;
-	    y = Mpzf_sqrt(x);
-	    return true;
-	  }
-	  bool operator()( const Type& x) const {
-	    return Mpzf_is_square(x);
-	  }
-	};
+        : public CGAL::cpp98::binary_function< Type, Type&, bool > {
+          bool operator()( const Type& x, Type& y ) const {
+            // TODO: avoid doing 2 calls.
+            if (!Mpzf_is_square(x)) return false;
+            y = Mpzf_sqrt(x);
+            return true;
+          }
+          bool operator()( const Type& x) const {
+            return Mpzf_is_square(x);
+          }
+        };
 
     };
   template <> struct Real_embeddable_traits< Mpzf >
     : public INTERN_RET::Real_embeddable_traits_base< Mpzf , CGAL::Tag_true > {
       struct Sgn
-	: public CGAL::cpp98::unary_function< Type, ::CGAL::Sign > {
-	  ::CGAL::Sign operator()( const Type& x ) const {
-	    return x.sign();
-	  }
-	};
+        : public CGAL::cpp98::unary_function< Type, ::CGAL::Sign > {
+          ::CGAL::Sign operator()( const Type& x ) const {
+            return x.sign();
+          }
+        };
 
       struct To_double
-	: public CGAL::cpp98::unary_function< Type, double > {
-	    double operator()( const Type& x ) const {
-	      return x.to_double();
-	    }
-	};
+        : public CGAL::cpp98::unary_function< Type, double > {
+            double operator()( const Type& x ) const {
+              return x.to_double();
+            }
+        };
 
       struct Compare
-	: public CGAL::cpp98::binary_function< Type, Type, Comparison_result > {
-	    Comparison_result operator()(
-		const Type& x,
-		const Type& y ) const {
-	      return CGAL::sign(Mpzf_cmp(x,y));
-	    }
-	};
+        : public CGAL::cpp98::binary_function< Type, Type, Comparison_result > {
+            Comparison_result operator()(
+                const Type& x,
+                const Type& y ) const {
+              return CGAL::sign(Mpzf_cmp(x,y));
+            }
+        };
 
       struct To_interval
-	: public CGAL::cpp98::unary_function< Type, std::pair< double, double > > {
-	    std::pair<double, double> operator()( const Type& x ) const {
-	      return x.to_interval();
-	    }
-	};
+        : public CGAL::cpp98::unary_function< Type, std::pair< double, double > > {
+            std::pair<double, double> operator()( const Type& x ) const {
+              return x.to_interval();
+            }
+        };
 
     };
 
diff -pruN 5.0.2-3/include/CGAL/mst_orient_normals.h 5.0.3-1/include/CGAL/mst_orient_normals.h
--- 5.0.2-3/include/CGAL/mst_orient_normals.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/mst_orient_normals.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/mst_orient_normals.h $
-// $Id: mst_orient_normals.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/mst_orient_normals.h $
+// $Id: mst_orient_normals.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Laurent Saboret and Andreas Fabri
@@ -125,7 +125,7 @@ public:
   typedef value_type                           reference;
 
 private:
-  
+
   ForwardIterator m_source_point;
 
 public:
@@ -188,7 +188,7 @@ struct Propagate_normal_orientation
         // Gets target
         vertex_descriptor target_vertex = target(edge, mst_graph);
         bool& target_normal_is_oriented = ((MST_graph&)mst_graph)[target_vertex].is_oriented;
-        
+
         // special case if vertex is source vertex (and thus has no related point/normal)
         if (source_vertex == m_source)
         {
@@ -202,7 +202,7 @@ struct Propagate_normal_orientation
 
         // Gets target
         Vector_ref target_normal = get( mst_graph.m_normal_map, *(mst_graph[target_vertex].input_point) );
-        
+
         if ( ! target_normal_is_oriented )
         {
           //             ->                        ->
@@ -261,10 +261,10 @@ mst_find_source(
     ForwardIterator top_point = first;
     for (ForwardIterator v = ++first; v != beyond; v++)
     {
-      
+
       double top_z = get(point_map,*top_point).z(); // top_point's Z coordinate
       double z = get(point_map,*v).z();
-      
+
       if (top_z < z)
         top_point = v;
     }
@@ -348,7 +348,7 @@ create_riemannian_graph(
     std::vector<Point_vertex_handle_3> kd_tree_points; kd_tree_points.reserve(num_input_points);
     for (ForwardIterator it = first; it != beyond; it++)
     {
-        
+
         Point_ref point = get(point_map, *it);
         Point_vertex_handle_3 point_wrapper(point.x(), point.y(), point.z(), it);
         kd_tree_points.push_back(point_wrapper);
@@ -387,7 +387,7 @@ create_riemannian_graph(
     {
         std::size_t it_index = get(index_map,it);
         Vector_ref it_normal_vector = get(normal_map,*it);
-        
+
         Point_ref point = get(point_map, *it);
         Point_vertex_handle_3 point_wrapper(point.x(), point.y(), point.z(), it);
         std::vector<Point_vertex_handle_3> neighbor_points;
@@ -411,7 +411,7 @@ create_riemannian_graph(
                 //                               ->        ->
                 // Computes edge weight = 1 - | normal1 * normal2 |
                 // where normal1 and normal2 are the normal at the edge extremities.
-                
+
                 Vector_ref neighbor_normal_vector = get(normal_map,*neighbor);
                 double weight = 1.0 - std::abs(it_normal_vector * neighbor_normal_vector);
                 if (weight < 0)
@@ -432,7 +432,7 @@ create_riemannian_graph(
 
           riemannian_graph_weight_map[e] = 0.;
         }
-            
+
     }
 
     return riemannian_graph;
@@ -496,7 +496,7 @@ create_mst_graph(
 
     // Computes Minimum Spanning Tree.
     std::size_t source_point_index = num_input_points;
-    
+
     Riemannian_graph_weight_map riemannian_graph_weight_map = get(boost::edge_weight, riemannian_graph);
     typedef std::vector<typename Riemannian_graph::vertex_descriptor> PredecessorMap;
     PredecessorMap predecessor(num_input_points + 1);
@@ -524,11 +524,11 @@ create_mst_graph(
         mst_graph[v].input_point = it;
         mst_graph[v].is_oriented = false;
     }
-    
+
     typename MST_graph::vertex_descriptor v = add_vertex(mst_graph);
     CGAL_point_set_processing_assertion(v == source_point_index);
     mst_graph[v].is_oriented = true;
-    
+
     // add edges
     for (std::size_t i=0; i < predecessor.size(); i++) // add edges
     {
@@ -553,7 +553,7 @@ create_mst_graph(
 // Public section
 // ----------------------------------------------------------------------------
 
-/**  
+/**
    \ingroup PkgPointSetProcessing3Algorithms
    Orients the normals of the range of `points` using the propagation
    of a seed orientation through a minimum spanning tree of the Riemannian graph.
@@ -588,7 +588,7 @@ create_mst_graph(
      limit is wanted, use `k=0`.\cgalParamEnd
      \cgalParamBegin{point_is_constrained_map} a model of `ReadablePropertyMap` with value type
      `bool`. Points with a `true` value will be used as seed points: their normal will be considered as already
-     oriented, it won't be altered and it will be propagated to its neighbors. If this parameter is omitted, 
+     oriented, it won't be altered and it will be propagated to its neighbors. If this parameter is omitted,
      the highest point (highest Z coordinate) will be used as the unique seed with an upward oriented
      normal\cgalParamEnd
      \cgalParamBegin{geom_traits} an instance of a geometric traits class, model of `Kernel`\cgalParamEnd
@@ -694,7 +694,7 @@ mst_orient_normals(
 
     const std::size_t num_input_points = distance(points.begin(), points.end());
     std::size_t source_point_index = num_input_points;
-    
+
     // Traverse the point set along the MST to propagate source_point's orientation
     Propagate_normal_orientation<typename PointRange::iterator, NormalMap, Kernel> orienter(source_point_index);
 
diff -pruN 5.0.2-3/include/CGAL/MSVC_compiler_config.h 5.0.3-1/include/CGAL/MSVC_compiler_config.h
--- 5.0.2-3/include/CGAL/MSVC_compiler_config.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/MSVC_compiler_config.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/MSVC_compiler_config.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/MSVC_compiler_config.h $
 // $Id: MSVC_compiler_config.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Multiscale_sort.h 5.0.3-1/include/CGAL/Multiscale_sort.h
--- 5.0.2-3/include/CGAL/Multiscale_sort.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Multiscale_sort.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/Multiscale_sort.h $
-// $Id: Multiscale_sort.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/Multiscale_sort.h $
+// $Id: Multiscale_sort.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Christophe Delage
@@ -36,7 +36,7 @@ public:
     template <class RandomAccessIterator>
     void operator() (RandomAccessIterator begin, RandomAccessIterator end) const
     {
-	typedef typename std::iterator_traits<RandomAccessIterator>::difference_type difference_type;
+        typedef typename std::iterator_traits<RandomAccessIterator>::difference_type difference_type;
         RandomAccessIterator middle = begin;
         if (end - begin >= _threshold) {
             middle = begin + difference_type (double(end - begin) * _ratio);
diff -pruN 5.0.2-3/include/CGAL/multiset_assertions.h 5.0.3-1/include/CGAL/multiset_assertions.h
--- 5.0.2-3/include/CGAL/multiset_assertions.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/multiset_assertions.h	2020-08-01 19:02:47.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/multiset_assertions.h $
-// $Id: multiset_assertions.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/multiset_assertions.h $
+// $Id: multiset_assertions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman, Sven Schoenherr
 //
diff -pruN 5.0.2-3/include/CGAL/Multiset.h 5.0.3-1/include/CGAL/Multiset.h
--- 5.0.2-3/include/CGAL/Multiset.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Multiset.h	2020-08-01 19:02:47.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Multiset.h $
-// $Id: Multiset.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Multiset.h $
+// $Id: Multiset.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ron Wein <wein@post.tau.ac.il>
 
@@ -26,17 +26,17 @@ namespace CGAL {
  * Container class representing a red-black tree, which is a balanced binary
  * tree that has the following invariants:
  * 1. Each node has a color, which is either red or black.
- * 2. Each red node has two red children (if a child is missing, it is 
+ * 2. Each red node has two red children (if a child is missing, it is
  *    considered as a black node).
  * 3. The number of black nodes from every path from the tree root to a leaf
- *    is the same for all tree leaves (it is called the 'black height' of the 
+ *    is the same for all tree leaves (it is called the 'black height' of the
  *    tree).
  * Due to propeties 2-3, the height of a red-black tree containing n nodes
  * is bounded by 2*log_2(n).
  *
  * The Multiset template requires three template parmeters:
  * - The contained Type class represents the objects stored in the tree.
- *   It has to support the default constructor, the copy constructor and 
+ *   It has to support the default constructor, the copy constructor and
  *   the assignment operator (operator=).
  * - Compare is a three-valued functor used to define the order of objects of
  *   class Type: It has to support an operator() that receives two objects from
@@ -48,7 +48,7 @@ namespace CGAL {
  *   allocator.
  */
 
-template <typename Type_, 
+template <typename Type_,
           class Compare_ = CGAL::Compare<Type_>,
           class Allocator_ = CGAL_ALLOCATOR(int)>
 class Multiset
@@ -60,7 +60,7 @@ public:
   typedef Compare_                                  Compare;
   typedef Allocator_                                Allocator;
   typedef Multiset<Type, Compare, Allocator>        Self;
-  
+
   // Type definitions for STL compatibility.
   typedef Type                                      value_type;
   typedef Type                                      key_type;
@@ -221,7 +221,7 @@ protected:
           succP = succP->parentP;
         }
       }
-      
+
       return (succP);
     }
   };
@@ -547,7 +547,7 @@ public:
 
   /// \name Comparison operations.
   //@{
-  
+
   /*!
    * Test two trees for equality. [takes O(n) operations]
    * \param tree The compared tree.
@@ -717,7 +717,7 @@ public:
    * Insert an object to the tree, as the predecessor the given object.
    * [takes O(log n) operations at worst-case, but only O(1) amortized]
    * \param position Points to the object before which the new object should
-   *                 be inserted (or an invalid iterator to insert the object 
+   *                 be inserted (or an invalid iterator to insert the object
    *                 as the tree maximum).
    * \param object The object to be inserted.
    * \pre The operation does not violate the tree properties.
@@ -738,7 +738,7 @@ public:
   size_t erase (const Type& object);
 
   /*!
-   * Remove the object pointed by the given iterator. 
+   * Remove the object pointed by the given iterator.
    * [takes O(log n) operations at worst-case, but only O(1) amortized]
    * \param position An iterator pointing the object to be erased.
    * \pre The iterator must be a valid.
@@ -750,7 +750,7 @@ public:
    * Clear the contents of the tree. [takes O(n) operations]
    */
   void clear ();
-  
+
   //@}
 
   /// \name Search functions.
@@ -885,7 +885,7 @@ public:
 
   template <class Key, class CompareKey>
   std::pair<iterator, bool> find_lower (const Key& key,
-					const CompareKey& comp_key)
+                                        const CompareKey& comp_key)
   {
     bool    is_equal;
     Node   *nodeP = _bound (LOWER_BOUND, key, comp_key, is_equal);
@@ -963,7 +963,7 @@ public:
 
   template <class Key, class CompareKey>
   std::pair<const_iterator, bool> find_lower (const Key& key,
-					      const CompareKey& comp_key) const
+                                              const CompareKey& comp_key) const
   {
     bool          is_equal;
     const Node   *nodeP = _bound (LOWER_BOUND, key, comp_key, is_equal);
@@ -1005,7 +1005,7 @@ public:
    * \param key The query key.
    * \param comp_key A comparison functor for comparing keys and objects.
    * \return A pair of (lower_bound(key), upper_bound(key)).
-   */  
+   */
   std::pair<iterator, iterator> equal_range (const Type& object)
   {
     return (equal_range (object, comp_f));
@@ -1232,7 +1232,7 @@ protected:
   void _shallow_assign (Self& tree);
 
   /*!
-   * Clear the properties of the tree, without actually deallocating its 
+   * Clear the properties of the tree, without actually deallocating its
    * nodes.
    */
   void _shallow_clear ();
@@ -1432,8 +1432,8 @@ protected:
                         typename Node::Node_color color)
 #ifdef CGAL_CFG_OUTOFLINE_MEMBER_DEFINITION_BUG
   {
-      CGAL_multiset_assertion (color != Node::DUMMY_BEGIN && 
-	      color != Node::DUMMY_END);
+      CGAL_multiset_assertion (color != Node::DUMMY_BEGIN &&
+              color != Node::DUMMY_END);
 
       Node* new_node = node_alloc.allocate(1);
       std::allocator_traits<Node_allocator>::construct(node_alloc, new_node, beginNode);
@@ -1539,7 +1539,7 @@ Multiset<Type, Compare, Allocator>::oper
   // Avoid self-assignment.
   if (this == &tree)
     return (*this);
-  
+
   // Free all objects currently stored in the tree.
   clear();
 
@@ -1578,7 +1578,7 @@ void Multiset<Type, Compare, Allocator>:
     return;
 
   // Replace the contents of the trees.
-  Node            *tempP = rootP; 
+  Node            *tempP = rootP;
   rootP = tree.rootP;
   tree.rootP = tempP;
 
@@ -1589,7 +1589,7 @@ void Multiset<Type, Compare, Allocator>:
   iTemp = iBlackHeight;
   iBlackHeight = tree.iBlackHeight;
   tree.iBlackHeight = iTemp;
-  
+
   // Update the fictitious begin and end nodes.
   tempP = beginNode.parentP;
   beginNode.parentP = tree.beginNode.parentP;
@@ -1681,7 +1681,7 @@ bool Multiset<Type,Compare,Allocator>::o
 // Get an iterator for the minimum object in the tree (non-const version).
 //
 template <class Type, class Compare, typename Allocator>
-inline typename Multiset<Type,Compare,Allocator>::iterator 
+inline typename Multiset<Type,Compare,Allocator>::iterator
 Multiset<Type, Compare, Allocator>::begin ()
 {
   if (beginNode.parentP != nullptr)
@@ -1694,7 +1694,7 @@ Multiset<Type, Compare, Allocator>::begi
 // Get a past-the-end iterator for the tree objects (non-const version).
 //
 template <class Type, class Compare, typename Allocator>
-inline typename Multiset<Type, Compare,Allocator>::iterator 
+inline typename Multiset<Type, Compare,Allocator>::iterator
 Multiset<Type, Compare, Allocator>::end ()
 {
   return (iterator (&endNode));
@@ -1807,7 +1807,7 @@ Multiset<Type, Compare, Allocator>::inse
     // In case the tree is empty, assign a new rootP.
     // Notice that the root is always black.
     rootP = _allocate_node (object, Node::BLACK);
-    
+
     iSize = 1;
     iBlackHeight = 1;
 
@@ -1997,7 +1997,7 @@ Multiset<Type, Compare, Allocator>::inse
 
     iSize = 1;
     iBlackHeight = 1;
-    
+
     // As the tree now contains a single node, it is both the tree
     // maximum and minimum:
     beginNode.parentP = rootP;
@@ -2034,7 +2034,7 @@ Multiset<Type, Compare, Allocator>::inse
     CGAL_multiset_precondition (! _succP->is_valid() ||
                                 comp_f(object, _succP->object) != LARGER);
 
-    // In case given node has no right child, place the new node as its 
+    // In case given node has no right child, place the new node as its
     // right child. Otherwise, place it at the leftmost position at the
     // sub-tree rooted at its right side.
     if (! _is_valid (nodeP->rightP))
@@ -2063,7 +2063,7 @@ Multiset<Type, Compare, Allocator>::inse
     iSize++;
 
   // Fix up the tree properties.
-  _insert_fixup (newNodeP);  
+  _insert_fixup (newNodeP);
 
   return (iterator (newNodeP));
 }
@@ -2095,7 +2095,7 @@ Multiset<Type, Compare, Allocator>::inse
 
     iSize = 1;
     iBlackHeight = 1;
-    
+
     // As the tree now contains a single node, it is both the tree
     // maximum and minimum:
     beginNode.parentP = rootP;
@@ -2161,7 +2161,7 @@ Multiset<Type, Compare, Allocator>::inse
     iSize++;
 
   // Fix up the tree properties.
-  _insert_fixup (newNodeP);  
+  _insert_fixup (newNodeP);
 
   return (iterator (newNodeP));
 }
@@ -2181,7 +2181,7 @@ size_t Multiset<Type, Compare, Allocator
 
   if (! is_equal)
     return (n_removed);
-    
+
   while (_is_valid (nodeP) && comp_f (object, nodeP->object) == EQUAL)
   {
     // Keep a pointer to the successor node.
@@ -2229,7 +2229,7 @@ void Multiset<Type, Compare, Allocator>:
   // Mark that there are no more objects in the tree.
   iSize = 0;
   iBlackHeight = 0;
-  
+
   return;
 }
 
@@ -2246,21 +2246,21 @@ void Multiset<Type, Compare, Allocator>:
 
   // Make sure the replacement does not violate the tree order.
   CGAL_multiset_precondition_code (Node *_succP = nodeP->successor());
-  CGAL_multiset_precondition (_succP == nullptr || 
+  CGAL_multiset_precondition (_succP == nullptr ||
                               _succP->color == Node::DUMMY_END ||
                               comp_f(object, _succP->object) != LARGER);
 
   CGAL_multiset_precondition_code (Node *_predP = nodeP->predecessor());
-  CGAL_multiset_precondition (_predP == nullptr || 
+  CGAL_multiset_precondition (_predP == nullptr ||
                               _predP->color == Node::DUMMY_BEGIN ||
                               comp_f(object, _predP->object) != SMALLER);
-  
+
   // Replace the object at nodeP.
   nodeP->object = object;
 
   return;
 }
-     
+
 //---------------------------------------------------------
 // Swap the location two objects in the tree, given by their positions.
 //
@@ -2280,22 +2280,22 @@ void Multiset<Type, Compare, Allocator>:
   // Make sure the swap does not violate the tree order.
   CGAL_multiset_precondition_code (Node *_succ1_P = node1_P->successor());
   CGAL_multiset_precondition (! _is_valid (_succ1_P) ||
-                              comp_f (node2_P->object, 
+                              comp_f (node2_P->object,
                                       _succ1_P->object) != LARGER);
 
   CGAL_multiset_precondition_code (Node *_pred1_P = node1_P->predecessor());
   CGAL_multiset_precondition (! _is_valid (_pred1_P) ||
-                              comp_f (node2_P->object, 
+                              comp_f (node2_P->object,
                                       _pred1_P->object) != SMALLER);
 
   CGAL_multiset_precondition_code (Node *_succ2_P = node2_P->successor());
   CGAL_multiset_precondition (! _is_valid (_succ2_P) ||
-                              comp_f (node1_P->object, 
+                              comp_f (node1_P->object,
                                       _succ2_P->object) != LARGER);
 
   CGAL_multiset_precondition_code (Node *_pred2_P = node2_P->predecessor());
   CGAL_multiset_precondition (! _is_valid (_pred2_P) ||
-                              comp_f (node1_P->object, 
+                              comp_f (node1_P->object,
                                       _pred2_P->object) != SMALLER);
 
   // Perform the swap.
@@ -2400,7 +2400,7 @@ void Multiset<Type, Compare, Allocator>:
 
   // Make sure that the minimal object in the other tree is not less than the
   // maximal object in our tree.
-  CGAL_multiset_precondition (comp_f (max1_P->object, 
+  CGAL_multiset_precondition (comp_f (max1_P->object,
                                       min2_P->object) != LARGER);
 
   // Make sure both tree roots black.
@@ -2718,7 +2718,7 @@ void Multiset<Type, Compare, Allocator>:
       else if (_is_valid (childP))
       {
         // Catenate T_r with the current rightTree.
-        CGAL_multiset_assertion (_is_valid (spineRightP) && 
+        CGAL_multiset_assertion (_is_valid (spineRightP) &&
                                  _is_valid(auxRightP));
 
         // Make sure the root of T_r is black.
@@ -2815,7 +2815,7 @@ void Multiset<Type, Compare, Allocator>:
       // Mark currP as the auxiliary right node.
       auxRightP = currP;
     }
-    
+
     if (path[depth] != SMALLER)
     {
       // We go right, so currP and its entire left sub-tree (T_l) should be
@@ -2853,7 +2853,7 @@ void Multiset<Type, Compare, Allocator>:
       else if (_is_valid (childP))
       {
         // Catenate T_l with the current leftTree.
-        CGAL_multiset_assertion (_is_valid (spineLeftP) && 
+        CGAL_multiset_assertion (_is_valid (spineLeftP) &&
                                  _is_valid(auxLeftP));
 
         // Make sure the root of T_l is black.
@@ -3042,12 +3042,12 @@ void Multiset<Type, Compare, Allocator>:
 
   // Properly mark the minimal and maximal tree nodes.
   beginNode.parentP = tree.beginNode.parentP;
-  
+
   if (beginNode.parentP != nullptr)
     beginNode.parentP->leftP = &beginNode;
-    
+
   endNode.parentP = tree.endNode.parentP;
-  
+
   if (endNode.parentP != nullptr)
     endNode.parentP->rightP = &endNode;
 
@@ -3080,7 +3080,7 @@ void Multiset<Type, Compare, Allocator>:
 {
   CGAL_multiset_precondition (_is_valid (nodeP));
 
-  if (nodeP == rootP && 
+  if (nodeP == rootP &&
       ! _is_valid (rootP->leftP) && ! _is_valid (rootP->rightP))
   {
     // In case of deleting the single object stored in the tree, free the root,
@@ -3092,7 +3092,7 @@ void Multiset<Type, Compare, Allocator>:
     endNode.parentP = nullptr;
     iSize = 0;
     iBlackHeight = 0;
-    
+
     return;
   }
 
@@ -3203,7 +3203,7 @@ void Multiset<Type, Compare, Allocator>:
   Node        *parent1_P = node1_P->parentP;
   Node        *right1_P = node1_P->rightP;
   Node        *left1_P = node1_P->leftP;
-  
+
   // Copy the properties of the second node to the first node.
   node1_P->color = node2_P->color;
 
@@ -3343,7 +3343,7 @@ void Multiset<Type, Compare, Allocator>:
   typename Node::Node_color   color1 = node1_P->color;
   Node        *right1_P = node1_P->rightP;
   Node        *left1_P = node1_P->leftP;
-  
+
   // Copy the properties of the second node to the first node.
   node1_P->color = node2_P->color;
 
@@ -3497,7 +3497,7 @@ bool Multiset<Type, Compare, Allocator>:
 // Get the leftmost node in the sub-tree spanned by the given node.
 //
 template <class Type, class Compare, typename Allocator>
-typename Multiset<Type, Compare, Allocator>::Node* 
+typename Multiset<Type, Compare, Allocator>::Node*
 Multiset<Type, Compare, Allocator>::_sub_minimum (Node* nodeP) const
 {
   CGAL_multiset_assertion (_is_valid (nodeP));
@@ -3549,7 +3549,7 @@ void Multiset<Type, Compare, Allocator>:
   // Link T2 to its new parent x.
   if (_is_valid (yNodeP->leftP))
     yNodeP->leftP->parentP = xNodeP;
-    
+
   // Assign x's parent to be y's parent.
   yNodeP->parentP = xNodeP->parentP;
 
@@ -3558,7 +3558,7 @@ void Multiset<Type, Compare, Allocator>:
     // Make y the new tree root.
     rootP = yNodeP;
   }
-  else 
+  else
   {
     // Assign a pointer to y from x's parent.
     if (xNodeP == xNodeP->parentP->leftP)
@@ -3595,7 +3595,7 @@ void Multiset<Type, Compare, Allocator>:
   // Link T2 to its new parent y.
   if (_is_valid (xNodeP->rightP))
     xNodeP->rightP->parentP = yNodeP;
-    
+
   // Assign y's parent to be x's parent.
   xNodeP->parentP = yNodeP->parentP;
 
@@ -3604,7 +3604,7 @@ void Multiset<Type, Compare, Allocator>:
     // Make x the new tree root.
     rootP = xNodeP;
   }
-  else 
+  else
   {
     // Assign a pointer to x from y's parent.
     if (yNodeP == yNodeP->parentP->leftP)
@@ -3628,14 +3628,14 @@ void Multiset<Type, Compare, Allocator>:
 // Duplicate the entire sub-tree rooted at the given node.
 //
 template <class Type, class Compare, typename Allocator>
-typename Multiset<Type, Compare, Allocator>::Node* 
+typename Multiset<Type, Compare, Allocator>::Node*
 Multiset<Type, Compare, Allocator>::_duplicate (const Node* nodeP)
 {
   CGAL_multiset_assertion (_is_valid (nodeP));
 
   // Create a node of the same color, containing the same object.
   Node   *dupNodeP = _allocate_node(nodeP->object, nodeP->color);
-    
+
   // Duplicate the children recursively.
   if (_is_valid (nodeP->rightP))
   {
@@ -3660,7 +3660,7 @@ template <class Type, class Compare, typ
 void Multiset<Type, Compare, Allocator>::_destroy (Node* nodeP)
 {
   CGAL_multiset_assertion (_is_valid (nodeP));
-  
+
   // Destroy the children recursively.
   if (_is_valid (nodeP->rightP))
     _destroy (nodeP->rightP);
@@ -3683,9 +3683,9 @@ template <class Type, class Compare, typ
 void Multiset<Type, Compare, Allocator>::_insert_fixup (Node* nodeP)
 {
   CGAL_multiset_precondition (_is_red (nodeP));
-  
-  // Fix the red-black propreties: we may have inserted a red leaf as the 
-  // child of a red parent - so we have to fix the coloring of the parent 
+
+  // Fix the red-black propreties: we may have inserted a red leaf as the
+  // child of a red parent - so we have to fix the coloring of the parent
   // recursively.
   Node        *currP = nodeP;
   Node        *grandparentP;
@@ -3693,7 +3693,7 @@ void Multiset<Type, Compare, Allocator>:
 
   while (currP != rootP && _is_red (currP->parentP))
   {
-    // Get a pointer to the current node's grandparent (notice the root is 
+    // Get a pointer to the current node's grandparent (notice the root is
     // always black, so the red parent must have a parent).
     grandparentP = currP->parentP->parentP;
     CGAL_multiset_precondition (grandparentP != nullptr);
@@ -3744,7 +3744,7 @@ void Multiset<Type, Compare, Allocator>:
 
       if (_is_red (uncleP))
       {
-        // If both parent and uncle are red, color them black and color the 
+        // If both parent and uncle are red, color them black and color the
         // grandparent red.
         // In case of a nullptr uncle, we treat it as a black node.
         currP->parentP->color = Node::BLACK;
@@ -3756,8 +3756,8 @@ void Multiset<Type, Compare, Allocator>:
       }
       else
       {
-        // Make sure the current node is a right child. If not, right-rotate 
-        // the parent's sub-tree so the parent becomes the right child of the 
+        // Make sure the current node is a right child. If not, right-rotate
+        // the parent's sub-tree so the parent becomes the right child of the
         // current node.
         if (currP == currP->parentP->leftP)
         {
@@ -3784,7 +3784,7 @@ void Multiset<Type, Compare, Allocator>:
     rootP->color = Node::BLACK;
     iBlackHeight++;
   }
-  
+
   return;
 }
 
@@ -3856,7 +3856,7 @@ void Multiset<Type, Compare, Allocator>:
         }
 
         // Color the parent black (it is now safe to color the sibling with
-	// the same color the parent used to have) and rotate left around it.
+        // the same color the parent used to have) and rotate left around it.
         siblingP->color = currParentP->color;
         currParentP->color = Node::BLACK;
         if (_is_valid (siblingP->rightP))
@@ -3921,7 +3921,7 @@ void Multiset<Type, Compare, Allocator>:
         }
 
         // Color the parent black (it is now safe to color the sibling with
-	// the same color the parent used to have) and rotate right around it.
+        // the same color the parent used to have) and rotate right around it.
         siblingP->color = currParentP->color;
         currParentP->color = Node::BLACK;
         if (_is_valid (siblingP->leftP))
@@ -3939,7 +3939,7 @@ void Multiset<Type, Compare, Allocator>:
   {
     currP->color = Node::BLACK;
 
-    if (currP == rootP)    
+    if (currP == rootP)
     {
       // In case we color a red root black, we should increment the black
       // height of the tree.
@@ -3960,7 +3960,7 @@ Multiset<Type, Compare, Allocator>::_all
         (const Type& object,
          typename Node::Node_color color)
 {
-  CGAL_multiset_assertion (color != Node::DUMMY_BEGIN && 
+  CGAL_multiset_assertion (color != Node::DUMMY_BEGIN &&
                            color != Node::DUMMY_END);
 
   Node* new_node = node_alloc.allocate(1);
diff -pruN 5.0.2-3/include/CGAL/Multi_surface_3.h 5.0.3-1/include/CGAL/Multi_surface_3.h
--- 5.0.2-3/include/CGAL/Multi_surface_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Multi_surface_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Multi_surface_3.h $
-// $Id: Multi_surface_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Multi_surface_3.h $
+// $Id: Multi_surface_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent RINEAU
@@ -22,7 +22,7 @@ namespace CGAL {
     typename Surface_a,
     typename Surface_b
     >
-  class Multi_surface_3 
+  class Multi_surface_3
   {
     const Surface_a& surf_a;
     const Surface_b& surf_b;
@@ -36,8 +36,8 @@ namespace CGAL {
     {
       return surf_a;
     }
-    
-      
+
+
     const Surface_b& surface_b() const
     {
       return surf_b;
@@ -61,7 +61,7 @@ namespace CGAL {
       Oracle_a,
       Oracle_b
       > Type;
-    
+
     typedef Type type; // Boost meta-programming compatibility
   };
 } // end namespace CGAL, second occurrence.
diff -pruN 5.0.2-3/include/CGAL/mutex.h 5.0.3-1/include/CGAL/mutex.h
--- 5.0.2-3/include/CGAL/mutex.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/mutex.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/mutex.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/mutex.h $
 // $Id: mutex.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 
diff -pruN 5.0.2-3/include/CGAL/natural_neighbor_coordinates_2.h 5.0.3-1/include/CGAL/natural_neighbor_coordinates_2.h
--- 5.0.2-3/include/CGAL/natural_neighbor_coordinates_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/natural_neighbor_coordinates_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interpolation/include/CGAL/natural_neighbor_coordinates_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interpolation/include/CGAL/natural_neighbor_coordinates_2.h $
 // $Id: natural_neighbor_coordinates_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/natural_neighbor_coordinates_3.h 5.0.3-1/include/CGAL/natural_neighbor_coordinates_3.h
--- 5.0.2-3/include/CGAL/natural_neighbor_coordinates_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/natural_neighbor_coordinates_3.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interpolation/include/CGAL/natural_neighbor_coordinates_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interpolation/include/CGAL/natural_neighbor_coordinates_3.h $
 // $Id: natural_neighbor_coordinates_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/nearest_neighbor_delaunay_2.h 5.0.3-1/include/CGAL/nearest_neighbor_delaunay_2.h
--- 5.0.2-3/include/CGAL/nearest_neighbor_delaunay_2.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/nearest_neighbor_delaunay_2.h	2020-08-01 19:02:39.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Max-Planck-Institute Saarbruecken (Germany). All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_2/include/CGAL/nearest_neighbor_delaunay_2.h $
-// $Id: nearest_neighbor_delaunay_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_2/include/CGAL/nearest_neighbor_delaunay_2.h $
+// $Id: nearest_neighbor_delaunay_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Matthias Baesken
 
@@ -35,62 +35,62 @@ template<class Dt>
 typename Dt::Vertex_handle  nearest_neighbor(const Dt& delau, typename Dt::Vertex_handle v)
 {
   typedef typename Dt::Geom_traits                    Gt;
-  typedef typename Dt::Point                          Point;  
+  typedef typename Dt::Point                          Point;
   typedef typename Dt::Vertex_circulator              Vertex_circulator;
   typedef typename Dt::Vertex_handle                  Vertex_handle;
   typedef typename Gt::Compare_distance_2             Compare_dist_2;
-  
-  if (delau.number_of_vertices() <= 1) return nullptr;    
+
+  if (delau.number_of_vertices() <= 1) return nullptr;
   Point p = v->point();
-     
-  Vertex_circulator vc = delau.incident_vertices(v);  
+
+  Vertex_circulator vc = delau.incident_vertices(v);
   Vertex_circulator start =vc;
-     
+
   Vertex_handle min_v = vc;
   if (delau.is_infinite(min_v)){
      vc++;
      min_v = vc;
   }
-     
+
   Vertex_handle act;
-     
+
   // go through the vertices ...
   do {
        act = vc;
- 
+
        if (! delau.is_infinite(act)) {
         if ( Compare_dist_2()(p,act->point(), min_v->point()) == SMALLER ) min_v = act;
-       }   
-           
+       }
+
        vc++;
-  } while (vc != start);     
-   
+  } while (vc != start);
+
   return min_v;
 }
 
 
 template<class Dt>
 typename Dt::Vertex_handle lookup(const Dt& delau, const typename Dt::Point& p)
-{ 
+{
  typedef typename Dt::Face                      Face;
  typedef typename Dt::Locate_type               Locate_type;
  typedef typename Dt::Face_handle               Face_handle;
-  
- if (delau.number_of_vertices() == 0) return nullptr;   
-     
+
+ if (delau.number_of_vertices() == 0) return nullptr;
+
  // locate ...
  Locate_type lt;
  int li;
  Face_handle fh = delau.locate(p,lt,li);
-     
+
  if (lt == Dt::VERTEX){
       Face f = *fh;
       return f.vertex(li);
  }
  else return nullptr;
-}   
-   
-   
+}
+
+
 template<class Dt, class OutputIterator>
 OutputIterator   nearest_neighbors(Dt& delau, const typename Dt::Point& p, std::size_t k, OutputIterator res)
 {
@@ -102,18 +102,18 @@ OutputIterator   nearest_neighbors(Dt& d
 
    if ( k <= 0 ) return res;
    if ( n <= k ) { // return all finite vertices ...
-   
+
      Vertex_iterator vit = delau.finite_vertices_begin();
-     for (; vit != delau.finite_vertices_end(); vit++) { *res= vit; res++; }    
-   
+     for (; vit != delau.finite_vertices_end(); vit++) { *res= vit; res++; }
+
      return res;
    }
 
    // insert p, if necessary
-   
+
    Vertex_handle vh = lookup(delau,p);
    bool old_node = true;
-    
+
    // we have to add a new vertex ...
    if (vh == nullptr){
       vh = delau.insert(p);
@@ -123,24 +123,24 @@ OutputIterator   nearest_neighbors(Dt& d
 
    std::list<Vertex_handle> res_list;
    nearest_neighbors_list(delau, vh, k, res_list);
-   
-   if ( !old_node ) 
-   { 
+
+   if ( !old_node )
+   {
      res_list.pop_front();
      delau.remove(vh);
    }
-    
+
    typename std::list<Vertex_handle>::iterator it = res_list.begin();
-    
+
    for (; it != res_list.end(); it++) { *res= *it; res++; }
-   return res;  
+   return res;
 }
 
 
-   
-template<class Dt, class OutputIterator>  
+
+template<class Dt, class OutputIterator>
 OutputIterator  nearest_neighbors(const Dt& delau, typename Dt::Vertex_handle v, std::size_t k, OutputIterator res)
-{  
+{
   typedef typename Dt::size_type                      size_type;
   typedef typename Dt::Vertex_handle                  Vertex_handle;
   typedef typename Dt::Vertex_iterator                Vertex_iterator;
@@ -149,105 +149,105 @@ OutputIterator  nearest_neighbors(const
 
    if ( k <= 0 ) return res;
    if ( n <= k ) { // return all (finite) vertices ...
-   
+
      Vertex_iterator vit = delau.finite_vertices_begin();
-     for (; vit != delau.finite_vertices_end(); vit++) { *res= vit; res++; }    
-   
+     for (; vit != delau.finite_vertices_end(); vit++) { *res= vit; res++; }
+
      return res;
    }
-   
+
    std::list<Vertex_handle> res_list;
-   nearest_neighbors_list(delau, v, k, res_list); 
-   
+   nearest_neighbors_list(delau, v, k, res_list);
+
    typename std::list<Vertex_handle>::iterator it = res_list.begin();
-    
+
    for (; it != res_list.end(); it++) { *res= *it; res++; }
 
-   return res;     
+   return res;
 }
 
 
 template<class Dt, class OutputIterator>
 OutputIterator get_vertices(const Dt& delau, OutputIterator res)
-{    
+{
   typedef typename Dt::Vertex_iterator                Vertex_iterator;
 
   Vertex_iterator vit = delau.finite_vertices_begin();
-  for (; vit != delau.finite_vertices_end(); vit++) { *res= vit; res++; }  
-  return res;   
+  for (; vit != delau.finite_vertices_end(); vit++) { *res= vit; res++; }
+  return res;
 }
 
 
 // second template argument for VC ...
 
 template<class Dt, class T2>
-void nearest_neighbors_list(const Dt& delau, typename Dt::Vertex_handle v, std::size_t k, std::list<T2>& res) 
-{  
+void nearest_neighbors_list(const Dt& delau, typename Dt::Vertex_handle v, std::size_t k, std::list<T2>& res)
+{
   typedef typename Dt::Geom_traits                    Gt;
   typedef typename Dt::size_type                      size_type;
   typedef typename Dt::Vertex_handle                  Vertex_handle;
   typedef typename Dt::Vertex_circulator              Vertex_circulator;
   typedef typename Dt::Point                          Point;
   typedef typename Gt::FT                             Numb_type;  // field number type ...
-  typedef typename Gt::Compute_squared_distance_2     Compute_squared_distance_2;   
+  typedef typename Gt::Compute_squared_distance_2     Compute_squared_distance_2;
   typedef Unique_hash_map<Vertex_handle, Numb_type>         MAP_TYPE;
 
   size_type n = delau.number_of_vertices();
-   
+
   if ( k <= 0 ) return;
-  if ( n <= k ) { 
-      get_vertices(delau, std::back_inserter(res)); 
-      return; 
+  if ( n <= k ) {
+      get_vertices(delau, std::back_inserter(res));
+      return;
   }
-     
+
   Point p = v->point();
-     
+
   Unique_hash_map<Vertex_handle, int>  mark;
   int cur_mark = 1;
 
   MAP_TYPE  priority_number; // here we save the priorities ...
-  
+
   internal::compare_vertices<Vertex_handle,Numb_type,MAP_TYPE> comp(& priority_number);      // comparison object ...
   std::priority_queue<Vertex_handle, std::vector<Vertex_handle>, internal::compare_vertices<Vertex_handle,Numb_type,MAP_TYPE> > PQ(comp);
 
   priority_number[v] = 0;
   PQ.push(v);
-     
+
   // mark vertex v
   mark[v] = cur_mark;
-      
+
   while ( k > 0 )
-  { 
+  {
     // find minimum from PQ ...
-    Vertex_handle w = PQ.top(); 
+    Vertex_handle w = PQ.top();
     PQ.pop();
-   
+
     res.push_back(w);
-    k--; 
+    k--;
 
     // get the incident vertices of w ...
     Vertex_circulator vc = delau.incident_vertices(w);
     Vertex_circulator start =vc;
     Vertex_handle act;
-     
+
     do {
          act = vc;
-	 
-	 // test, if act is marked ...
-	 bool is_marked = mark.is_defined(act);  
-	 
+
+         // test, if act is marked ...
+         bool is_marked = mark.is_defined(act);
+
          if ( (! is_marked) && (! delau.is_infinite(act)) )
-         { 
+         {
              priority_number[act] = Compute_squared_distance_2()(p,act->point());
              PQ.push(act);
              mark[act] = cur_mark;
-         }	   
-	             
+         }
+
          vc++;
-       } while (vc != start);   
-        
+       } while (vc != start);
+
    }
-} 
+}
 
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Needs_parens_as_product.h 5.0.3-1/include/CGAL/Needs_parens_as_product.h
--- 5.0.2-3/include/CGAL/Needs_parens_as_product.h	2020-02-21 20:02:45.000000000 +0000
+++ 5.0.3-1/include/CGAL/Needs_parens_as_product.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_foundations/include/CGAL/Needs_parens_as_product.h $
-// $Id: Needs_parens_as_product.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_foundations/include/CGAL/Needs_parens_as_product.h $
+// $Id: Needs_parens_as_product.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -18,16 +18,16 @@
 #include <CGAL/disable_warnings.h>
 
 #include <CGAL/IO/io.h>
- 
+
 namespace CGAL {
 
-/*! 
+/*!
  * oformat flag for parentheses if needed for a coefficient
  */
 class Parens_as_product_tag {};
 
 /*! \ingroup NiX_io_parens
- *  \brief Decides whether this number requires parentheses 
+ *  \brief Decides whether this number requires parentheses
  *  in case it appears within a produkt.
  */
 template <class NT>
@@ -36,7 +36,7 @@ struct Needs_parens_as_product{
 };
 
 /*! \ingroup NiX_io_parens
- *  \brief Decides whether this number requires parentheses 
+ *  \brief Decides whether this number requires parentheses
  *  in case it appears within a produkt.
  */
 template <class NT>
@@ -54,7 +54,7 @@ class Output_rep<T, Parens_as_product_ta
     const T& t;
 public:
     Output_rep(const T& tt) : t(tt) {}
-    std::ostream& operator () (std::ostream& out) const { 
+    std::ostream& operator () (std::ostream& out) const {
         if ( needs_parens_as_product(t)) {
             return out << "(" << oformat(t) << ")";
         } else {
@@ -66,29 +66,29 @@ public:
 
 // built-in number types:
 template <> struct Needs_parens_as_product<short>{
-    bool operator()(const short& x){return x < short(0);} 
+    bool operator()(const short& x){return x < short(0);}
 };
 template <> struct Needs_parens_as_product<int>{
-    bool operator()(const int& x){return x < int(0);} 
+    bool operator()(const int& x){return x < int(0);}
 };
 template <> struct Needs_parens_as_product<long>{
-    bool operator()(const long& x){return x < long(0);} 
+    bool operator()(const long& x){return x < long(0);}
 };
 
 #ifdef CGAL_USE_LONG_LONG
 template <> struct Needs_parens_as_product<long long>{
-    bool operator()(const long long& x){return x < (long long)(0);} 
+    bool operator()(const long long& x){return x < (long long)(0);}
 };
 #endif
 
 template <> struct Needs_parens_as_product<float>{
-    bool operator()(const float& x){return x < float(0);} 
+    bool operator()(const float& x){return x < float(0);}
 };
 template <> struct Needs_parens_as_product<double>{
-    bool operator()(const double& x){return x < double(0);} 
+    bool operator()(const double& x){return x < double(0);}
 };
 template <> struct Needs_parens_as_product<long double>{
-    bool operator()(const long double& x){return x < (long double)(0);} 
+    bool operator()(const long double& x){return x < (long double)(0);}
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Nef_2/Bounding_box_2.h 5.0.3-1/include/CGAL/Nef_2/Bounding_box_2.h
--- 5.0.2-3/include/CGAL/Nef_2/Bounding_box_2.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/Bounding_box_2.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/Bounding_box_2.h $
-// $Id: Bounding_box_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/Bounding_box_2.h $
+// $Id: Bounding_box_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Peter Hachenberger  <hachenberger@mpi-sb.mpg.de>
 
@@ -35,7 +35,7 @@ class Bounding_box_2 {
     Bounding_box_2(Vertex_iterator , Vertex_iterator ) {
     CGAL_error_msg( "dummy interface");
   }
-  
+
   Point intersection_ray_bbox(const SPoint& , const SDirection& ) {
     CGAL_error_msg( "dummy interface");
     return Point();
@@ -44,9 +44,9 @@ class Bounding_box_2 {
 
 
 template<typename Kernel>
-class Bounding_box_2<Tag_false,Kernel> 
+class Bounding_box_2<Tag_false,Kernel>
   : Box_intersection_d::Box_d<typename Kernel::Standard_FT,2> {
-  
+
   typedef typename Kernel::Standard_FT SFT;
   typedef typename Kernel::Standard_RT SRT;
   typedef typename Box_intersection_d::Box_d<SFT,2> Box;
@@ -62,13 +62,13 @@ class Bounding_box_2<Tag_false,Kernel>
     p[1] = v->point()[1];
     return p;
   }
-  
+
  public:
 
   using Box::extend;
   using Box::min_coord;
   using Box::max_coord;
-  
+
   template<typename Vertex_iterator>
     Bounding_box_2(Vertex_iterator begin, Vertex_iterator end) {
     SFT p[2];
@@ -78,34 +78,34 @@ class Bounding_box_2<Tag_false,Kernel>
     for(++begin;begin != end; ++begin)
       extend(vertex2point(begin,p));
   }
-  
+
   Point intersection_ray_bbox(const SPoint& p, const SDirection& d) {
     int dim = d.delta(0) == 0 ? 1 : 0;
     CGAL_assertion(d.delta(dim) != 0);
     SPoint minmax;
     if(dim == 0)
-      minmax = d.delta(dim) < 0 
-	? SPoint(this->min_coord(0).numerator(),SRT(0),this->min_coord(0).denominator()) 
-	: SPoint(this->max_coord(0).numerator(),SRT(0),this->max_coord(0).denominator());
+      minmax = d.delta(dim) < 0
+        ? SPoint(this->min_coord(0).numerator(),SRT(0),this->min_coord(0).denominator())
+        : SPoint(this->max_coord(0).numerator(),SRT(0),this->max_coord(0).denominator());
     else
-      minmax = d.delta(dim) < 0 
-	? SPoint(SRT(0),this->min_coord(0).numerator(),this->min_coord(0).denominator()) 
-	: SPoint(SRT(0),this->max_coord(0).numerator(),this->max_coord(0).denominator());
+      minmax = d.delta(dim) < 0
+        ? SPoint(SRT(0),this->min_coord(0).numerator(),this->min_coord(0).denominator())
+        : SPoint(SRT(0),this->max_coord(0).numerator(),this->max_coord(0).denominator());
     SLine l1(p,d);
-    SLine l2 = dim == 0 
-      ? SLine(minmax, SDirection(0,1)) 
+    SLine l2 = dim == 0
+      ? SLine(minmax, SDirection(0,1))
       : SLine(minmax, SDirection(1,0));
-    
+
     Object o = intersection(l1,l2);
     if(assign(minmax,o)) {
       Kernel K;
       return K.construct_point(minmax);
     }
     CGAL_error_msg( "code not robust - l2 must be constructed to"
-		       " be non-collinear with l1");
+                       " be non-collinear with l1");
     return Point();
   }
-    
+
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Nef_2/Constrained_triang_traits.h 5.0.3-1/include/CGAL/Nef_2/Constrained_triang_traits.h
--- 5.0.2-3/include/CGAL/Nef_2/Constrained_triang_traits.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/Constrained_triang_traits.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/Constrained_triang_traits.h $
-// $Id: Constrained_triang_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/Constrained_triang_traits.h $
+// $Id: Constrained_triang_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 #ifndef CGAL_PM_CONSTR_TRIANG_TRAITS_H
@@ -41,7 +41,7 @@ void operator()(ARG&) const {}
 };
 
 
-template <typename PMDEC, typename GEOM, 
+template <typename PMDEC, typename GEOM,
           typename NEWEDGE = Do_nothing>
 class Constrained_triang_traits : public PMDEC {
 public:
@@ -50,7 +50,7 @@ public:
 
   // the types interfacing the sweep:
   typedef NEWEDGE                   INPUT;
-  typedef typename PMDEC::Plane_map OUTPUT; 
+  typedef typename PMDEC::Plane_map OUTPUT;
   typedef GEOM                      GEOMETRY;
 
   typedef typename GEOM::Point_2     Point;
@@ -91,12 +91,12 @@ public:
     using PMDEC::source;
     using PMDEC::target;
   public:
-  lt_edges_in_sweepline(const Point& pi, 
-     const Halfedge_handle& e1, const Halfedge_handle& e2, 
-     const PMDEC& D, const GEOMETRY& k) : 
+  lt_edges_in_sweepline(const Point& pi,
+     const Halfedge_handle& e1, const Halfedge_handle& e2,
+     const PMDEC& D, const GEOMETRY& k) :
        PMDEC(D), p(pi), e_bottom(e1), e_top(e2), K(k) {}
 
-  lt_edges_in_sweepline(const lt_edges_in_sweepline& lt) : 
+  lt_edges_in_sweepline(const lt_edges_in_sweepline& lt) :
      PMDEC(lt), p(lt.p), e_bottom(lt.e_bottom), e_top(lt.e_top), K(lt.K) {}
 
   Segment seg(const Halfedge_handle& e) const
@@ -107,7 +107,7 @@ public:
 
   bool operator()(const Halfedge_handle& e1, const Halfedge_handle& e2) const
   { // Precondition:
-    // [[p]] is identical to the source of either [[e1]] or [[e2]]. 
+    // [[p]] is identical to the source of either [[e1]] or [[e2]].
     if (e1 == e_bottom || e2 == e_top) return true;
     if (e2 == e_bottom || e1 == e_top) return false;
     if ( e1 == e2 ) return 0;
@@ -115,7 +115,7 @@ public:
     if ( p == point(source(e1)) )      s =   orientation(e2,p);
     else if ( p == point(source(e2)) ) s = - orientation(e1,p);
     else CGAL_error_msg("compare error in sweep.");
-    if ( s || source(e1) == target(e1) || source(e2) == target(e2) ) 
+    if ( s || source(e1) == target(e1) || source(e2) == target(e2) )
       return ( s < 0 );
     s = orientation(e2,point(target(e1)));
     if (s==0) CGAL_error_msg("parallel edges not allowed.");
@@ -137,8 +137,8 @@ public:
   }; // lt_pnts_xy
 
 
-    typedef std::map<Halfedge_handle, Halfedge_handle, lt_edges_in_sweepline> 
-            Sweep_status_structure; 
+    typedef std::map<Halfedge_handle, Halfedge_handle, lt_edges_in_sweepline>
+            Sweep_status_structure;
     typedef typename Sweep_status_structure::iterator   ss_iterator;
     typedef typename Sweep_status_structure::value_type ss_pair;
     typedef std::set<Vertex_iterator,lt_pnts_xy> Event_Q;
@@ -146,7 +146,7 @@ public:
 
     const GEOMETRY&         K;
     Event_Q                 event_Q;
-    event_iterator          event_it;         
+    event_iterator          event_it;
     Vertex_handle           event;
     Point                   p_sweep;
     Sweep_status_structure  SL;
@@ -155,9 +155,9 @@ public:
     Halfedge_handle         e_low,e_high; // framing edges !
     Halfedge_handle         e_search;
 
-    Constrained_triang_traits(const INPUT& in, OUTPUT& out, const GEOMETRY& k) 
-      : Base(out), K(k), event_Q(lt_pnts_xy(*this,K)), 
-        SL(lt_edges_in_sweepline(p_sweep,e_low,e_high,*this,K)), 
+    Constrained_triang_traits(const INPUT& in, OUTPUT& out, const GEOMETRY& k)
+      : Base(out), K(k), event_Q(lt_pnts_xy(*this,K)),
+        SL(lt_edges_in_sweepline(p_sweep,e_low,e_high,*this,K)),
         SLItem(SL.end()),  Treat_new_edge(in)
     { CGAL_NEF_TRACEN("Constrained Triangulation Sweep"); }
 
@@ -170,7 +170,7 @@ public:
   }
 
   Halfedge_handle new_bi_edge(Halfedge_handle e_bf, Halfedge_handle e_af)
-  { // ccw before e_bf and after e_af 
+  { // ccw before e_bf and after e_af
     Halfedge_handle e = Base::new_halfedge_pair(e_bf,e_af,Halfedge_base(),
       Base::BEFORE, Base::AFTER);
     Treat_new_edge(e);
@@ -211,7 +211,7 @@ public:
     Vertex_handle v_apex = source(e_apex);
     while (true) {
       Halfedge_handle e_vis = previous(twin(e_apex));
-      bool in_sweep_line = (SLItem[e_vis] != SL.end()); 
+      bool in_sweep_line = (SLItem[e_vis] != SL.end());
       bool not_visible = !edge_is_visible_from(v_apex,e_vis);
         CGAL_NEF_TRACEN(" checking "<<in_sweep_line<<not_visible<<" "<<seg(e_vis));
       if ( in_sweep_line || not_visible) {
@@ -259,10 +259,10 @@ public:
       if (en_vis == e_end) return;
       e_upper = twin(new_bi_edge(twin(e_vis),e_upper));
       CGAL_NEF_TRACEN(" produced " << seg(e_upper));
-    } 
+    }
   }
 
-  void process_event() 
+  void process_event()
   {
       CGAL_NEF_TRACEN("\nPROCESS_EVENT " << p_sweep);
     Halfedge_handle e, ep, eb_low, eb_high, e_end;
@@ -290,7 +290,7 @@ public:
 
     bool ending_edges(0), starting_edges(0);
     while ( e != Halfedge_handle() ) { // walk adjacency list clockwise
-      if ( SLItem[e] != SL.end() ) 
+      if ( SLItem[e] != SL.end() )
       {
         CGAL_NEF_TRACEN("ending " << seg(e));
         if (ending_edges) triangulate_between(e,cyclic_adj_succ(e));
@@ -312,15 +312,15 @@ public:
       if (e == e_end) break;
       e = cyclic_adj_pred(e);
     }
-    if (!ending_edges) 
+    if (!ending_edges)
     {
       Halfedge_handle e_vis = sit_pred->second;
       Halfedge_handle e_vis_n = cyclic_adj_succ(e_vis);
-      eb_low = eb_high = new_bi_edge(event,e_vis_n); 
+      eb_low = eb_high = new_bi_edge(event,e_vis_n);
       CGAL_NEF_TRACEN(" producing link "<<seg(eb_low)<<"\n    before "<<seg(e_vis_n));
     }
 
-      
+
 
 
     triangulate_up(eb_high);
@@ -328,36 +328,36 @@ public:
     sit_pred->second = eb_low;
   }
 
-  bool event_exists() 
+  bool event_exists()
   { if ( event_it != event_Q.end() ) {
       // event is set at end of loop and in init
       event = *event_it;
       p_sweep = point(event);
       return true;
     }
-    return false; 
+    return false;
   }
 
-  void procede_to_next_event() 
+  void procede_to_next_event()
   { ++event_it; }
 
   void link_bi_edge_to(Halfedge_handle e, ss_iterator sit) {
-    SLItem[e] = SLItem[twin(e)] = sit; 
+    SLItem[e] = SLItem[twin(e)] = sit;
   }
 
   void initialize_structures()
   {
       CGAL_NEF_TRACEN("initialize_structures ");
-    
+
     for ( event=this->vertices_begin(); event != this->vertices_end(); ++event )
       event_Q.insert(event); // sorted order of vertices
 
     event_it = event_Q.begin();
     if ( event_Q.empty() ) return;
     event = *event_it;
-    p_sweep = point(event); 
+    p_sweep = point(event);
     if ( !is_isolated(event) ) {
-      Halfedge_around_vertex_circulator 
+      Halfedge_around_vertex_circulator
         e(first_out_edge(event)), eend(e);
       CGAL_For_all(e,eend) {
         CGAL_NEF_TRACEN("init with "<<PE(e));
@@ -380,7 +380,7 @@ public:
     // inserting sentinels into SL
     link_bi_edge_to(e_high, sit_high);
     link_bi_edge_to(e_low , sit_low);
-    // we mark them being in the sweepline, which they will never leave 
+    // we mark them being in the sweepline, which they will never leave
 
 
     // we move to the second vertex:
@@ -389,7 +389,7 @@ public:
     CGAL_NEF_TRACEN("EOF initialization");
   }
 
-  void complete_structures() 
+  void complete_structures()
   {
     if (e_low != Halfedge_handle()) {
       delete_vertex(target(e_search));
@@ -398,7 +398,7 @@ public:
 
 
   void check_ccw_local_embedding() const
-  { PM_checker<PMDEC,GEOM> C(*this,K); 
+  { PM_checker<PMDEC,GEOM> C(*this,K);
     C.check_order_preserving_embedding(event);
   }
 
diff -pruN 5.0.2-3/include/CGAL/Nef_2/debug.h 5.0.3-1/include/CGAL/Nef_2/debug.h
--- 5.0.2-3/include/CGAL/Nef_2/debug.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/debug.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/debug.h $
-// $Id: debug.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/debug.h $
+// $Id: debug.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -46,7 +46,7 @@
  std::cerr<<" "<<t; \
  std::cerr.flush()
 #else
-#define CGAL_NEF_TRACE(t) 
+#define CGAL_NEF_TRACE(t)
 #endif
 
 #ifndef NDEBUG
@@ -54,7 +54,7 @@
  std::cerr<<" "<<#t<<" = "<<(t)<<std::endl; \
  std::cerr.flush()
 #else
-#define CGAL_NEF_TRACEV(t) 
+#define CGAL_NEF_TRACEV(t)
 #endif
 
 #ifndef NDEBUG
@@ -68,13 +68,13 @@
 #ifndef NDEBUG
 #define CGAL_NEF_CTRACE(b,t) if(b) std::cerr<<" "<<t; else std::cerr<<" 0"
 #else
-#define CGAL_NEF_CTRACE(b,t) 
+#define CGAL_NEF_CTRACE(b,t)
 #endif
 
 #ifndef NDEBUG
 #define CGAL_NEF_CTRACEN(b,t) if(b) std::cerr<<" "<<t<<"\n"; else std::cerr<<" 0\n"
 #else
-#define CGAL_NEF_CTRACEN(b,t) 
+#define CGAL_NEF_CTRACEN(b,t)
 #endif
 
 #endif // CGAL_NEF_2_DEBUG_H
diff -pruN 5.0.2-3/include/CGAL/Nef_2/geninfo.h 5.0.3-1/include/CGAL/Nef_2/geninfo.h
--- 5.0.2-3/include/CGAL/Nef_2/geninfo.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/geninfo.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/geninfo.h $
-// $Id: geninfo.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/geninfo.h $
+// $Id: geninfo.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -25,7 +25,7 @@
 
 /*{\Moptions outfile=geninfo.man}*/
 /*{\Moptions constref=yes}*/
-/*{\Manpage {geninfo} {T} {Information association via GenPtr} {}}*/    
+/*{\Manpage {geninfo} {T} {Information association via GenPtr} {}}*/
 
 template <typename T>
 struct geninfo {
@@ -43,8 +43,8 @@ misuse memory problems occur.}*/
 /*{\Moperations 2 1}*/
 
   #ifdef CGAL_USE_FORMER_GENINFO
-  static void create(GenPtr& p) 
-  /*{\Mstatic create a slot for an object of type |T| referenced 
+  static void create(GenPtr& p)
+  /*{\Mstatic create a slot for an object of type |T| referenced
     via |p|.}*/
   { if (sizeof(T) <= sizeof(GenPtr)) new((void*)(&p)) T;
     if (sizeof(T) >  sizeof(GenPtr)) p = (GenPtr) new T;
@@ -52,21 +52,21 @@ misuse memory problems occur.}*/
 
   static T& access(GenPtr& p)
   /*{\Mstatic access an object of type |T| via |p|.
-    \precond |p| was initialized via |create| and was not cleared 
+    \precond |p| was initialized via |create| and was not cleared
     via |clear|.}*/
   { if (sizeof(T) <= sizeof(GenPtr)) return *(T*)(&p);
     else                             return *(T*)p;
   }
 
-  static const T& const_access(const GenPtr& p) 
+  static const T& const_access(const GenPtr& p)
   /*{\Mstatic read-only access of an object of type |T| via |p|.
-    \precond |p| was initialized via |create| and was not cleared 
+    \precond |p| was initialized via |create| and was not cleared
     via |clear|.}*/
   { if (sizeof(T) <= sizeof(GenPtr)) return *(const T*)(&p);
-    else                             return *(const T*)p; 
+    else                             return *(const T*)p;
   }
 
-  static void clear(GenPtr& p) 
+  static void clear(GenPtr& p)
   /*{\Mstatic clear the memory used for the object of type |T| via
      |p|. \precond |p| was initialized via |create|.}*/
   { if (sizeof(T) <= sizeof(GenPtr)) ((T*)(&p))->~T();
@@ -76,9 +76,9 @@ misuse memory problems occur.}*/
   #else //CGAL_USE_FORMER_GENINFO
   static void create(GenPtr& p)  { p = (GenPtr) new T; }
   static T& access(GenPtr& p)  { return *(T*)p;  }
-  static const T& const_access(const GenPtr& p) 
+  static const T& const_access(const GenPtr& p)
   { return *(const T*)p;   }
-  static void clear(GenPtr& p){ 
+  static void clear(GenPtr& p){
     delete (T*) p;
     p=0;
   }
diff -pruN 5.0.2-3/include/CGAL/Nef_2/gen_point_location.h 5.0.3-1/include/CGAL/Nef_2/gen_point_location.h
--- 5.0.2-3/include/CGAL/Nef_2/gen_point_location.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/gen_point_location.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/gen_point_location.h $
-// $Id: gen_point_location.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/gen_point_location.h $
+// $Id: gen_point_location.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -39,7 +39,7 @@
 
 // for dictionary
 template <class Node>
-inline std::ostream& operator<<(std::ostream& o, const std::list<Node>& n) 
+inline std::ostream& operator<<(std::ostream& o, const std::list<Node>& n)
 { return o; }
 
 /*{\Manpage {GenericLocation}{Node, Edge}
@@ -48,7 +48,7 @@ inline std::ostream& operator<<(std::ost
 template <class Node, class Edge>
 class GenericLocation {
 /*{\Mdefinition
-  An instance of the data type |\Mtype| is used as return value for planar 
+  An instance of the data type |\Mtype| is used as return value for planar
   point location. It can store a node or an edge of a graph or the special
   value |nil| which is used to signal that no node or edge could be found.
 }*/
@@ -58,12 +58,12 @@ class GenericLocation {
   typedef boost::any GenPtr;
   #endif
 public:
-/*{\Mtypes}*/ 
+/*{\Mtypes}*/
   enum Type { NIL, NODE, EDGE };
-  /*{\Menum This enumeration allows to specify the 3 basic types of the 
+  /*{\Menum This enumeration allows to specify the 3 basic types of the
      values that a |\Mtype| can represent.}*/
 
-  /*{\Mcreation}*/ 
+  /*{\Mcreation}*/
     GenericLocation()       { init(); }
     /*{\Mcreate creates a |\Mtype| and initializes with the value |nil|.}*/
     GenericLocation(Node n) { init(n); }
@@ -82,13 +82,13 @@ public:
     operator const Node&() const
     {
   #if !defined(CHECKING_OFF)
-      if (type != NODE) 
+      if (type != NODE)
         CGAL_LEDA_SCOPE::error_handler(1, "Location: not convertible to node");
   #endif
       #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
       return geninfo<Node>::const_access(value);
       #else
-      return 
+      return
         *boost::any_cast<Node>(&value);
       #endif
     }
@@ -96,15 +96,15 @@ public:
        \precond |\Mvar| represents a node.}*/
 
     operator const Edge&() const
-    { 
+    {
   #if !defined(CHECKING_OFF)
-      if (type != EDGE) 
+      if (type != EDGE)
         CGAL_LEDA_SCOPE::error_handler(1, "Location: not convertible to edge");
   #endif
       #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
       return geninfo<Edge>::const_access(value);
       #else
-      return 
+      return
         *boost::any_cast<Edge>(&value);
       #endif
     }
@@ -133,19 +133,19 @@ public:
 
   private:
     void init() { type = NIL; }
-    void init(Node n) 
-    { type = NODE; 
+    void init(Node n)
+    { type = NODE;
       #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-      geninfo<Node>::create(value); 
+      geninfo<Node>::create(value);
       geninfo<Node>::access(value) = n;
       #else
       value=n;
       #endif
     }
-    void init(Edge e) 
-    { type = EDGE; 
+    void init(Edge e)
+    { type = EDGE;
       #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-      geninfo<Edge>::create(value); 
+      geninfo<Edge>::create(value);
       geninfo<Edge>::access(value) = e;
       #else
       value=e;
@@ -153,7 +153,7 @@ public:
     }
 
     void clear()
-    { 
+    {
       switch(type) {
       #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
        case NODE: geninfo<Node>::clear(value); break;
@@ -167,17 +167,17 @@ public:
     }
 
     void assign(const GenericLocation<Node, Edge>& L)
-    { 
+    {
       type = L.type;
       switch(type) {
-       case NODE: 
+       case NODE:
         #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
          geninfo<Node>::access(value) = geninfo<Node>::const_access(L.value);
         #else
          *boost_any_cast<Node>(&value) = boost::any_cast<Node>(L.value);
         #endif
          break;
-       case EDGE: 
+       case EDGE:
         #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
          geninfo<Edge>::access(value) = geninfo<Edge>::const_access(L.value);
         #else
@@ -198,15 +198,15 @@ private:
 };
 
 /*{\Mimplementation
-  The data type |\Mtype| is implemented as a union of the types |Node| and 
+  The data type |\Mtype| is implemented as a union of the types |Node| and
   |Edge|. There is only constant time and space overhead.
 }*/
 template <class Node, class Edge>
 inline
-bool 
-operator==(const GenericLocation<Node, Edge>& L1, 
+bool
+operator==(const GenericLocation<Node, Edge>& L1,
            const GenericLocation<Node, Edge>& L2)
-{ 
+{
   if (L1.get_type() != L2.get_type()) return false;
   switch (L1.get_type()) {
    case GenericLocation<Node, Edge>::NIL:  return true;
@@ -217,13 +217,13 @@ operator==(const GenericLocation<Node, E
 
 template <class Node, class Edge>
 inline
-bool 
-operator!=(const GenericLocation<Node, Edge>& L1, 
+bool
+operator!=(const GenericLocation<Node, Edge>& L1,
            const GenericLocation<Node, Edge>& L2)
 { return ! (L1==L2); }
 
 template <class Node, class Edge>
-std::ostream& operator<<(std::ostream& o, 
+std::ostream& operator<<(std::ostream& o,
                          const GenericLocation<Node, Edge>& L)
 {
   switch (L.get_type()) {
@@ -256,7 +256,7 @@ public:
   ~GenericXStructure() { clear(); }
 
   void init(int n, const PredLessThanX& cmp)
-  { CGAL_NEF_TRACEN("XSinit "<<n); 
+  { CGAL_NEF_TRACEN("XSinit "<<n);
     LtX = cmp;
     Coordinates = Array_Coordinates(n);
     SweepLines =  Array_Sweeplines(2*n+1);
@@ -269,9 +269,9 @@ public:
     stops = 0;
   }
 
-  void insertLines(const XCoord& X, 
+  void insertLines(const XCoord& X,
                    const Sweepline& atX, const Sweepline& inXplus)
-  { CGAL_NEF_TRACEN("XSinsert "<<X); 
+  { CGAL_NEF_TRACEN("XSinsert "<<X);
     Coordinates[stops]    = X;
     SweepLines[2*stops+1]   = atX;
     SweepLines[2*stops+2] = inXplus;
@@ -287,16 +287,16 @@ public:
     }
     Coord_iterator stopit = std::lower_bound (
         Coordinates.begin(),Coordinates.end(),X,LtX);
-    /* determines stopit maximal such that 
+    /* determines stopit maximal such that
        \forall j \in [begin,stopit) : *j < X
        as a consequence now: *stopit >= X */
     bool found_exact = false;
     if ( LtX(X,*stopit) ) --stopit;  // X <  *stopit
     else found_exact = true;         // X >= *stopit
-      
+
     CGAL_NEF_TRACEN("stopit "<<*stopit);
     int offset = stopit-Coordinates.begin();
-    return found_exact ? 
+    return found_exact ?
       SweepLines.begin() + (2*offset+1) :
       SweepLines.begin() + (2*offset+2);
   }
@@ -312,14 +312,14 @@ class PointLocator {
 /*{\Mdefinition
    An instance |\Mvar| of the parameterized data type |\Mtype| can be used
    to perform point location queries in the two-dimensional plane.
-   Every non-empty instance |\Mvar| is associated with an embedded planar 
+   Every non-empty instance |\Mvar| is associated with an embedded planar
    graph |G|, which has to remain unchanged while it is referenced by |PL|.\\
    A location query for a point |p| returns the first object (node or edge)
    of |G| which is intersected by the straight ray starting in |p| and going
    vertically downwards/upwards.
-   If the ray does not intersect any node or edge of |G|, then |nil| is 
+   If the ray does not intersect any node or edge of |G|, then |nil| is
    returned.\\
-   The class |\Mtype| is generic, it is parameterized with a traits class 
+   The class |\Mtype| is generic, it is parameterized with a traits class
    |PLocTraits| which widely controls its behaviour.
    The traits may even change the return type of a query and its semantics.
    There are predined traits classes for the LEDA graph types, which are
@@ -343,26 +343,26 @@ public:
   typedef typename PLocTraits::QueryResult       QueryResult;
 
 /*{\Mtypes}*/
-  // define additional types 
+  // define additional types
   typedef GenericLocation<Node, Edge> Location;
   /*{\Mtypedef usual return value for the point loaction.}*/
 
   enum Direction { downwards, upwards};
   /*{\Menum used to specify the direction for the point location.}*/
 
-  typedef CGAL_LEDA_SCOPE::pp_dictionary<Curve, Location, PredCompareCurves>   
+  typedef CGAL_LEDA_SCOPE::pp_dictionary<Curve, Location, PredCompareCurves>
                                                               Sweepline;
   typedef GenericXStructure<XCoord, PredLessThanX, Sweepline> XStructure;
   typedef typename Sweepline::item                            SL_item;
   typedef typename XStructure::Sweepline_iterator Sweepline_iterator;
-  /*{\Mcreation}*/ 
+  /*{\Mcreation}*/
   PointLocator() { clear(); }
   /*{\Mcreate creates an empty |\Mtype|.}*/
 
-  PointLocator(const Graph& G, const PLocTraits& PLT = PLocTraits()) : 
+  PointLocator(const Graph& G, const PLocTraits& PLT = PLocTraits()) :
    traits(PLT) { init(G); }
   /*{\Mcreate creates a |\Mtype| for the graph |G| and the traits |PLT|.}*/
-     
+
   /*{\Moperations}*/
   void clear() { X_Structure.clear(); traits.clear(); }
   /*{\Mop makes |\Mvar| empty.}*/
@@ -429,16 +429,16 @@ PointLocator<PLocTraits>::init(const Gra
 
       // explore the nodes on SL
       typename std::list<Node>::iterator cur_node;
-      for(cur_node = NodesOnSL.begin(); 
+      for(cur_node = NodesOnSL.begin();
           cur_node != NodesOnSL.end(); ++cur_node) {
         IncEdgeIterator ei     = traits.IncEdges_begin(G, *cur_node);
         IncEdgeIterator beyond = traits.IncEdges_end(G, *cur_node);
           CGAL_NEF_TRACEN("NODE: "<<(*cur_node)->point());
-        for(; ei != beyond; ++ei) { 
+        for(; ei != beyond; ++ei) {
           switch (traits.ClassifyEdge(G, traits.toEdge(ei), *cur_node)) {
-            case PLocTraits::StartingNonVertical: 
+            case PLocTraits::StartingNonVertical:
               EmergingEdges.push_front(traits.toEdge(ei)); break;
-            case PLocTraits::StartingVertical:    
+            case PLocTraits::StartingVertical:
               VerticalEdges.push_front(traits.toEdge(ei)); break;
             case PLocTraits::EndingNonVertical:
               SL.del(traits.makeCurve(G, traits.toEdge(ei))); break;
@@ -450,8 +450,8 @@ PointLocator<PLocTraits>::init(const Gra
       // compute SL_at_X
 
       typename std::list<Edge>::iterator cur_edge;
-      for(cur_edge=VerticalEdges.begin(); 
-          cur_edge!=VerticalEdges.end(); ++cur_edge) 
+      for(cur_edge=VerticalEdges.begin();
+          cur_edge!=VerticalEdges.end(); ++cur_edge)
         SL.insert(traits.makeCurve(G, *cur_edge), Location(*cur_edge));
       for(cur_node=NodesOnSL.begin();
           cur_node!=NodesOnSL.end(); ++cur_node)
@@ -460,7 +460,7 @@ PointLocator<PLocTraits>::init(const Gra
 
       // compute SL_in_X_plus
 
-      for(cur_edge=VerticalEdges.begin(); 
+      for(cur_edge=VerticalEdges.begin();
           cur_edge!=VerticalEdges.end(); ++cur_edge)
         SL.del(traits.makeCurve(G, *cur_edge));
       for(cur_node=NodesOnSL.begin();
@@ -468,10 +468,10 @@ PointLocator<PLocTraits>::init(const Gra
         SL.del(traits.makeCurve(G, *cur_node));
 
       for(cur_edge=EmergingEdges.begin();
-          cur_edge!=EmergingEdges.end(); ++cur_edge) 
+          cur_edge!=EmergingEdges.end(); ++cur_edge)
         SL.insert(traits.makeCurve(G, *cur_edge), Location(*cur_edge));
 
-    X_Structure.insertLines(traits.getXCoord(G, *NodesOnSL.begin()), 
+    X_Structure.insertLines(traits.getXCoord(G, *NodesOnSL.begin()),
                             SL_at_X, SL);
   }
 
@@ -504,7 +504,7 @@ template <class PLocTraits>
 typename PointLocator<PLocTraits>::QueryResult
 PointLocator<PLocTraits>::locate_up(const typename PLocTraits::Point& p) const
 {
-  Sweepline_iterator line_at_x = 
+  Sweepline_iterator line_at_x =
     X_Structure.getLineAt(traits.getXCoord(p)), line_plus;
   Curve p_curve = traits.makeCurve(p);
   PredCompareCurves cmp = traits.getCompareCurves();
@@ -521,24 +521,24 @@ PointLocator<PLocTraits>::locate_up(cons
 }
 
 /*{\Mimplementation
-  The implementation of the data type |\Mtype| is based on partially 
+  The implementation of the data type |\Mtype| is based on partially
   persistent binary search trees.
-  The expected space requirement is $O(k)$ where $k$ is the sum of the number 
+  The expected space requirement is $O(k)$ where $k$ is the sum of the number
   of nodes and the number of edges in the graph $G$.
-  The expected time needed for construction and the operation |init| is 
+  The expected time needed for construction and the operation |init| is
   $O(k \cdot \log k)$, for the |locate|-operations it is $O(\log k)$. The
   operation |clear| runs in $O(k)$.
 }*/
 /*{\Mtext
   \headerline{\arabic{manctr}. Predefined traits classes}
   \stepcounter{manctr}
-  All predefined traits classes have in common that the return type of a query 
+  All predefined traits classes have in common that the return type of a query
   is the type |Location|.
   The embedding of the given graph |G| is a straight-line embedding, so that
   it is totally determined by the position of the nodes of |G|.
   Such a position is specified by a |Point| which can be one of the LEDA point
-  types |point| or |rat_point|. The positions can be specified implicitly by 
-  the node attribute of a parameterized graph (e.g. |GRAPH<Point,...>|) or 
+  types |point| or |rat_point|. The positions can be specified implicitly by
+  the node attribute of a parameterized graph (e.g. |GRAPH<Point,...>|) or
   explicitly by a |node_array<Point>|. In case of explicit specification a
   |node_array| with the positions of the nodes can be passed to the constructor
   of the traits class.
@@ -550,21 +550,21 @@ PointLocator<PLocTraits>::locate_up(cons
   left of |e|.\\
   Here comes a list of the predefined traits classes:\\[-5.5ex]
   \begin{itemize}
-  \item |PLocTraits<Graph>|: standard traits for implicitly specified node 
+  \item |PLocTraits<Graph>|: standard traits for implicitly specified node
     positions\\
-    |Graph| can be |GRAPH<Point,...>| (standard graph) or 
+    |Graph| can be |GRAPH<Point,...>| (standard graph) or
     |PLANAR_MAP<Point,...,...>| (map).
-  \item |PLocTraits_NodeArray<Graph,Point>|: std. traits for explicitly 
+  \item |PLocTraits_NodeArray<Graph,Point>|: std. traits for explicitly
     specified node positions\\
     |Graph| can be |graph| (standard graph) or |planar_map| (map).
   \item |PLocTraits_Map<Graph>| and |PLocTraits_Map_NodeArray<Graph,Point>|:\\
     The parameter |Graph| can be |GRAPH<Point,...>| and |graph| respectively.
     These traits classes assume that the given graphs are maps.
-  \item |PLocTraits< GRAPH<Circle,Point> >|: traits class for closest-site 
+  \item |PLocTraits< GRAPH<Circle,Point> >|: traits class for closest-site
     voronoi diagrams
   \end{itemize}
-  Note that a traits class instantiated with |Graph| can also handle graph 
-  types which are derived from |Graph|. Thus |PLocTraits< graph<Point,T> >| 
+  Note that a traits class instantiated with |Graph| can also handle graph
+  types which are derived from |Graph|. Thus |PLocTraits< graph<Point,T> >|
   can be used for graphs of type |ugraph<Point,T>| for example.
 }*/
 /*{\Mexample
diff -pruN 5.0.2-3/include/CGAL/Nef_2/HDS_items.h 5.0.3-1/include/CGAL/Nef_2/HDS_items.h
--- 5.0.2-3/include/CGAL/Nef_2/HDS_items.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/HDS_items.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/HDS_items.h $
-// $Id: HDS_items.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/HDS_items.h $
+// $Id: HDS_items.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -32,7 +32,7 @@ struct Halfedge__base {
     typedef typename Refs::Halfedge_handle Halfedge_handle;
     typedef typename Refs::Halfedge_const_handle Halfedge_const_handle;
 protected:
-    Halfedge_handle opp; 
+    Halfedge_handle opp;
 public:
     Halfedge_handle       opposite()                        { return opp; }
     Halfedge_const_handle opposite() const                  { return opp; }
@@ -41,7 +41,7 @@ public:
 
 
 //#ifndef CGAL_USE_LEDA
-//#define LEDA_MEMORY(t) 
+//#define LEDA_MEMORY(t)
 //#endif
 
 template <typename Refs, typename Traits>
@@ -83,10 +83,10 @@ public:
       ,_i((GenPtr)0xABCD)
     #endif
     {}
-    // constructs an uninitialized vertex concerning embedding 
+    // constructs an uninitialized vertex concerning embedding
     // and mark. All links are initialized by their default value.
 
-    Nef_vertex_2( const Point& p) : 
+    Nef_vertex_2( const Point& p) :
         _h(),_f(),_p(p),_ivit(),_m(0)
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
         ,_i((GenPtr)0xABCD)
@@ -96,14 +96,14 @@ public:
     //  All links are initialized by their default value.
 
     bool is_isolated() const  { return _h == Halfedge_handle(); }
-    // returns true iff |\Mvar| is isolated, else false.       
-   
+    // returns true iff |\Mvar| is isolated, else false.
+
     Halfedge_handle halfedge() { return _h; }
     /*{\Mop returns an incident halfedge. \precond |!is_isolated()|.}*/
     Halfedge_const_handle halfedge() const { return _h; }
 
     void set_halfedge(Halfedge_handle h) { _h=h; }
-    /*{\Mop makes |h| the entry point into the adjacency cycle of 
+    /*{\Mop makes |h| the entry point into the adjacency cycle of
       |\Mvar|.}*/
 
     Face_handle face() { return _f; }
@@ -156,25 +156,25 @@ public:
 
     typedef typename std::list<Halfedge_handle>::iterator fc_iterator;
 
-    typedef typename Traits::Mark  Mark;  // information 
+    typedef typename Traits::Mark  Mark;  // information
 
 protected:
     Halfedge_handle              opp, prv, nxt;
     Vertex_handle                _v;
-    Face_handle                  _f;    
+    Face_handle                  _f;
     boost::optional<fc_iterator> _fcit;
     Mark                         _m;
     GenPtr                       _i;
 public:
-       
-    Nef_halfedge_2() : 
+
+    Nef_halfedge_2() :
         opp(),prv(),nxt(),_v(),_f(),_fcit(),_m(0)
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
         ,_i((GenPtr)0xABCD)
     #endif
     {}
-    /*{\Mcreate constructs an uninitialized halfedge concerning embedding 
-      and mark. All links are initialized by their default value.}*/   
+    /*{\Mcreate constructs an uninitialized halfedge concerning embedding
+      and mark. All links are initialized by their default value.}*/
 
     Halfedge_handle       opposite()                        { return opp; }
     /*{\Mop returns the twin of |\Mvar|.}*/
@@ -225,7 +225,7 @@ public:
     void set_fcit(fc_iterator it) { _fcit = it; }
     void reset_fcit()             { _fcit = boost::none; }
 
-    bool is_hole_entry() const 
+    bool is_hole_entry() const
         /*{\Mop returns true iff |\Mvar| is entry point into a hole face
           cycle of |\Mvar.face()|.}*/
         { return !!_fcit; }
@@ -253,10 +253,10 @@ public:
 
     typedef typename Traits::Mark  Mark;  // mark information
 
-    class Hole_iterator 
-    /*{\Mtypemember iterator for face cycles. Fits the concept 
-      |Halfedge_handle|.}*/ 
-        : public std::list<Halfedge_handle>::iterator 
+    class Hole_iterator
+    /*{\Mtypemember iterator for face cycles. Fits the concept
+      |Halfedge_handle|.}*/
+        : public std::list<Halfedge_handle>::iterator
     {
         typedef typename std::list<Halfedge_handle>::iterator Ibase;
     public:
@@ -268,8 +268,8 @@ public:
         Halfedge_handle operator->() { return Ibase::operator*(); }
     };
 
-    class Hole_const_iterator : 
-        public std::list<Halfedge_handle>::const_iterator 
+    class Hole_const_iterator :
+        public std::list<Halfedge_handle>::const_iterator
     {
         typedef typename std::list<Halfedge_handle>::const_iterator Ibase;
     public:
@@ -281,10 +281,10 @@ public:
         Halfedge_const_handle operator->() { return Ibase::operator*(); }
     };
 
-    class Isolated_vertex_iterator 
-    /*{\Mtypemember iterator for isolated vertices. Fits the concept 
-      |Vertex_handle|.}*/ 
-        : public std::list<Vertex_handle>::iterator 
+    class Isolated_vertex_iterator
+    /*{\Mtypemember iterator for isolated vertices. Fits the concept
+      |Vertex_handle|.}*/
+        : public std::list<Vertex_handle>::iterator
     {
         typedef typename std::list<Vertex_handle>::iterator Ibase;
     public:
@@ -296,9 +296,9 @@ public:
         Vertex_handle operator->() { return Ibase::operator*(); }
     };
 
-    class Isolated_vertex_const_iterator  
-        : public std::list<Vertex_handle>::const_iterator 
-    { 
+    class Isolated_vertex_const_iterator
+        : public std::list<Vertex_handle>::const_iterator
+    {
         typedef typename std::list<Vertex_handle>::const_iterator Ibase;
     public:
         Isolated_vertex_const_iterator() : Ibase() {}
@@ -309,7 +309,7 @@ public:
         Vertex_const_handle operator->() { return Ibase::operator*(); }
     };
 
-    /*{\Mtext |Hole_const_iterator| and |Isolated_vertex_const_iterator| 
+    /*{\Mtext |Hole_const_iterator| and |Isolated_vertex_const_iterator|
       are the non mutable versions.}*/
 
 private:
@@ -322,21 +322,21 @@ public:
 
     Nef_face_2() : _e(),_m(0)
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-      ,_i((GenPtr)0xABCD) 
+      ,_i((GenPtr)0xABCD)
     #endif
     {}
     /*{\Mcreate constructs an uninitialized face with undefined mark,
-      empty face cycle list, and empty isolated vertices list.}*/   
+      empty face cycle list, and empty isolated vertices list.}*/
 
     ~Nef_face_2() { FC.clear(); IV.clear(); }
 
-    void store_fc(Halfedge_handle h) 
+    void store_fc(Halfedge_handle h)
         /*{\Mop stores halfedge |h| as an entry into a face cycle of |\Mvar|.
           Postcondition: |h->is_hole_entry()|.}*/
-        { FC.push_back(h); h->set_fcit(--FC.end());  
+        { FC.push_back(h); h->set_fcit(--FC.end());
         CGAL_assertion(h->is_hole_entry()); }
 
-    void remove_fc(Halfedge_handle h) 
+    void remove_fc(Halfedge_handle h)
         /*{\Mop removes halfedge |h| as an entry into a face cycle of |\Mvar|.
           \precond |h->is_hole_entry()| and |h|  is stored in the
           face cycle list of |\Mvar|.
@@ -351,32 +351,32 @@ public:
     void remove_iv(Vertex_handle v)
         /*{\Mop removes vertex |v| as an isolated vertex of |\Mvar|.
           \precond |v->is_isolated()| and |v| is stored in the
-          isolated vertices list of |\Mvar|. 
+          isolated vertices list of |\Mvar|.
           Postcondition: |!v->is_isolated()|.}*/
-        { CGAL_assertion(v->is_isolated()); 
+        { CGAL_assertion(v->is_isolated());
         IV.erase(v->ivit()); v->reset_ivit(); }
-      
+
     /*{\Mtext\setopdims{4cm}{0cm}}*/
 
     Hole_iterator  fc_begin() { return FC.begin(); }
     /*{\Mop}*/
 
     Hole_iterator  fc_end()   { return FC.end(); }
-    /*{\Mop the iterator range |[fc_begin(),fc_end())| spans the set of 
+    /*{\Mop the iterator range |[fc_begin(),fc_end())| spans the set of
       interior face cycles.}*/
 
     Isolated_vertex_iterator  iv_begin() { return IV.begin(); }
     /*{\Mop}*/
 
     Isolated_vertex_iterator  iv_end()   { return IV.end(); }
-    /*{\Mop the iterator range |[iv_begin(),iv_end())| spans the set of 
+    /*{\Mop the iterator range |[iv_begin(),iv_end())| spans the set of
       isolated vertices.}*/
 
     void clear_all_entries()
         {
-        for (Hole_iterator hit = fc_begin(); hit!=fc_end(); ++hit) 
+        for (Hole_iterator hit = fc_begin(); hit!=fc_end(); ++hit)
             hit->reset_fcit();
-        for (Isolated_vertex_iterator vit = iv_begin(); vit!=iv_end(); ++vit) 
+        for (Isolated_vertex_iterator vit = iv_begin(); vit!=iv_end(); ++vit)
             vit->reset_ivit();
         FC.clear(); IV.clear();
         _e=Halfedge_handle();
@@ -391,7 +391,7 @@ public:
     Isolated_vertex_const_iterator iv_begin() const { return IV.begin(); }
     Isolated_vertex_const_iterator iv_end() const   { return IV.end(); }
 
-    void set_halfedge(Halfedge_handle h)   { _e = h; } 
+    void set_halfedge(Halfedge_handle h)   { _e = h; }
     /*{\Mop makes |h| the entry edge into the outer face cycle.}*/
     Halfedge_handle       halfedge()       { return _e; }
     /*{\Mop returns a halfedge in the outer face cycle.}*/
diff -pruN 5.0.2-3/include/CGAL/Nef_2/iterator_tools.h 5.0.3-1/include/CGAL/Nef_2/iterator_tools.h
--- 5.0.2-3/include/CGAL/Nef_2/iterator_tools.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/iterator_tools.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/iterator_tools.h $
-// $Id: iterator_tools.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/iterator_tools.h $
+// $Id: iterator_tools.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 #ifndef CGAL_ITERATORTOOLS_H
@@ -20,7 +20,7 @@
 
 namespace CGAL {
 
-template <typename Iter, typename Move> 
+template <typename Iter, typename Move>
 class CircFromIt : public Iter {
     // Ptr  node;    // The internal node ptr inherited from It.
     typedef CircFromIt<Iter,Move> Self;
@@ -76,7 +76,7 @@ public:
 
 };
 
-template <typename Iter, typename Pnt> 
+template <typename Iter, typename Pnt>
 class PntItFromVertIt : public Iter {
 public:
   typedef PntItFromVertIt<Iter,Pnt> Self;
@@ -89,9 +89,9 @@ public:
   PntItFromVertIt(Iter it) : Base(it) {}
   PntItFromVertIt(const Self& it) : Base(it) {}
 
-  reference operator*() const 
+  reference operator*() const
   { return Base::operator*().point(); }
-  pointer operator->() const 
+  pointer operator->() const
   { return &(operator*()); }
   Self& operator++() { return (Self&)Base::operator++(); }
   Self operator++(int) { Self tmp=*this; ++*this; return tmp; }
diff -pruN 5.0.2-3/include/CGAL/Nef_2/Line_to_epoint.h 5.0.3-1/include/CGAL/Nef_2/Line_to_epoint.h
--- 5.0.2-3/include/CGAL/Nef_2/Line_to_epoint.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/Line_to_epoint.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/Line_to_epoint.h $
-// $Id: Line_to_epoint.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/Line_to_epoint.h $
+// $Id: Line_to_epoint.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -24,7 +24,7 @@ struct Line_to_epoint {
   typedef typename Kernel::RT RT;
   typedef typename Kernel::FT FT;
   typedef typename Kernel::Line_2 Line_2;
-  enum Point_type { SWCORNER=1, LEFTFRAME, NWCORNER, 
+  enum Point_type { SWCORNER=1, LEFTFRAME, NWCORNER,
                     BOTTOMFRAME, STANDARD, TOPFRAME,
                     SECORNER, RIGHTFRAME, NECORNER };
 
@@ -32,7 +32,7 @@ struct Line_to_epoint {
   static RT dx(const Line_2& l) { return l.b(); }
   static RT dy(const Line_2& l) { return -l.a(); }
 
-  static FT ordinate_distance(const Line_2& l) { 
+  static FT ordinate_distance(const Line_2& l) {
     return FT(-l.c()) / l.b();
   }
 
@@ -41,18 +41,18 @@ struct Line_to_epoint {
     RT adx = CGAL_NTS abs(dx(l)), ady = CGAL_NTS abs(dy(l));
     int sdx = CGAL_NTS sign(dx(l)), sdy = CGAL_NTS sign(dy(l));
     int cmp_dx_dy = CGAL_NTS compare(adx,ady), s(1);
-    if ( (sdx < 0) && ( (cmp_dx_dy > 0) || ( (cmp_dx_dy == 0) && 
+    if ( (sdx < 0) && ( (cmp_dx_dy > 0) || ( (cmp_dx_dy == 0) &&
                                              (sdy != (s = CGAL_NTS sign(ordinate_distance(l))))))) {
       if (0 == s) return ( sdy < 0 ? SWCORNER : NWCORNER );
       else        return LEFTFRAME;
-    } else if ( (sdx > 0) && ( (cmp_dx_dy > 0) || ( (cmp_dx_dy == 0) && 
-                                                    (sdy != (s = CGAL_NTS sign(ordinate_distance(l))))))) { 
+    } else if ( (sdx > 0) && ( (cmp_dx_dy > 0) || ( (cmp_dx_dy == 0) &&
+                                                    (sdy != (s = CGAL_NTS sign(ordinate_distance(l))))))) {
       if (0 == s) return ( sdy < 0 ? SECORNER : NECORNER );
       else        return RIGHTFRAME;
-    } else if ( (sdy < 0) && ( (cmp_dx_dy < 0) || ( (cmp_dx_dy == 0) && 
+    } else if ( (sdy < 0) && ( (cmp_dx_dy < 0) || ( (cmp_dx_dy == 0) &&
                                                     (ordinate_distance(l) < FT(0))))) {
       return BOTTOMFRAME;
-    } else if ( (sdy > 0) && ( (cmp_dx_dy < 0) || ( (cmp_dx_dy == 0) && 
+    } else if ( (sdy > 0) && ( (cmp_dx_dy < 0) || ( (cmp_dx_dy == 0) &&
                                                     (ordinate_distance(l) > FT(0))))) {
       return TOPFRAME;
     }
diff -pruN 5.0.2-3/include/CGAL/Nef_2/Object_handle.h 5.0.3-1/include/CGAL/Nef_2/Object_handle.h
--- 5.0.2-3/include/CGAL/Nef_2/Object_handle.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/Object_handle.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/Object_handle.h $
-// $Id: Object_handle.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/Object_handle.h $
+// $Id: Object_handle.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 //                 Andreas Fabri
diff -pruN 5.0.2-3/include/CGAL/Nef_2/Object_index.h 5.0.3-1/include/CGAL/Nef_2/Object_index.h
--- 5.0.2-3/include/CGAL/Nef_2/Object_index.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/Object_index.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/Object_index.h $
-// $Id: Object_index.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/Object_index.h $
+// $Id: Object_index.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -31,8 +31,8 @@ public:
   Object_index() : _prefix('\0'), _index(-1) {}
   Object_index(I first, I beyond, char c=' ') : _prefix(c), _index(-1)
   { for(int i=0 ; first!=beyond; ++i,++first) _index[first]=i; }
-  int operator[](const I& it) const { return _index[it]; } 
-  int& operator[](const I& it) { return _index[it]; } 
+  int operator[](const I& it) const { return _index[it]; }
+  int& operator[](const I& it) { return _index[it]; }
 
   void index(I first, I beyond, char c=' ')
   { _prefix=c;
@@ -41,10 +41,10 @@ public:
   std::string operator()(const I& it, bool verbose=true) const
   { if (verbose && _index[it]==-1) return "nil";
     if (verbose && _index[it]==-2) return "end";
-    std::ostringstream os; 
+    std::ostringstream os;
     if (verbose) os << _prefix;
-    os << _index[it];    
-    return os.str(); 
+    os << _index[it];
+    return os.str();
   }
 };
 
diff -pruN 5.0.2-3/include/CGAL/Nef_2/PM_checker.h 5.0.3-1/include/CGAL/Nef_2/PM_checker.h
--- 5.0.2-3/include/CGAL/Nef_2/PM_checker.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/PM_checker.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/PM_checker.h $
-// $Id: PM_checker.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/PM_checker.h $
+// $Id: PM_checker.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -33,7 +33,7 @@ our geometry kernel concept.}*/
 
 /*{\Mgeneralization PM_const_decorator}*/
 
-template <typename PMCDEC, typename GEOM> 
+template <typename PMCDEC, typename GEOM>
 class PM_checker : public PMCDEC
 { typedef PMCDEC Base;
   const GEOM& K;
@@ -72,16 +72,16 @@ typedef typename Base::Halfedge_around_f
   using Base::number_of_connected_components;
   using Base::check_integrity_and_topological_planarity;
 
-/*{\Mtext Iterators, handles, and circulators are inherited from 
+/*{\Mtext Iterators, handles, and circulators are inherited from
 |PM_const_decorator|.}*/
 
 /*{\Mcreation 3}*/
-PM_checker(Plane_map& P, const Geometry& k = Geometry()) : 
+PM_checker(Plane_map& P, const Geometry& k = Geometry()) :
   Base(P), K(k) {}
 /*{\Mcreate constructs a plane map checker working on |P| with
 geometric predicates used from |k|.}*/
 
-PM_checker(const Base& D, const Geometry& k = Geometry()) : 
+PM_checker(const Base& D, const Geometry& k = Geometry()) :
   Base(D), K(k) {}
 
 
@@ -95,11 +95,11 @@ bool is_forward(Halfedge_const_handle e)
 
 void check_order_preserving_embedding(Vertex_const_handle v) const;
 /*{\Mop checks if the embedding of the targets of the edges in
-the adjacency list |A(v)| is counter-clockwise order-preserving with 
+the adjacency list |A(v)| is counter-clockwise order-preserving with
 respect to the order of the edges in |A(v)|.}*/
 
 void check_order_preserving_embedding() const;
-/*{\Mop checks if the embedding of all vertices of |P| is 
+/*{\Mop checks if the embedding of all vertices of |P| is
 counter-clockwise order-preserving with respect to the adjacency
 list ordering of all vertices.}*/
 
@@ -108,7 +108,7 @@ void check_forward_prefix_condition(Vert
 
 Halfedge_const_iterator
 check_boundary_is_clockwise_weakly_polygon() const;
-/*{\Mop checks if the outer face cycle of |P| is a clockwise weakly polygon 
+/*{\Mop checks if the outer face cycle of |P| is a clockwise weakly polygon
 and returns a halfedge on the boundary. \precond |P| is a connected graph.
 }*/
 
@@ -134,12 +134,12 @@ check_order_preserving_embedding(Vertex_
     enn = cyclic_adj_succ(en);
     if (en == ef) break;
     error_status << "  -> " << point(target(e))
-                 << " " << point(target(en))  
+                 << " " << point(target(en))
                  << " " << point(target(enn)) << std::endl;
     bool ccw1 = K.strictly_ordered_ccw(direction(e),direction(en),
-				       direction(enn));
+                                       direction(enn));
     bool ccw2 = K.strictly_ordered_ccw(direction(e),direction(en),
-				       direction(ef));
+                                       direction(ef));
     if ( !(ccw1 && ccw2) ) {
       error_status << "ccw order violate!" << std::endl << '\0';
       CGAL_error_msg(error_status.str().c_str());
@@ -200,14 +200,14 @@ PM_checker<PMCDEC,GEOM>::
 check_boundary_is_clockwise_weakly_polygon() const
 {
   Vertex_const_iterator vit, v_min;
-  for (vit = v_min = this->vertices_begin() ; vit != this->vertices_end(); ++vit) 
+  for (vit = v_min = this->vertices_begin() ; vit != this->vertices_end(); ++vit)
     if ( K.compare_xy(point(vit), point(v_min))<0 ) v_min = vit;
   CGAL_assertion_msg(!is_isolated(v_min),"Minimal vertex not connected.");
   Point p_min = point(v_min);
-  // determine boundary edge incident to v_min: 
+  // determine boundary edge incident to v_min:
   Halfedge_const_handle e_boundary_at_v_min = first_out_edge(v_min);
   // all out edges are forward oriented due to minimality
-  Halfedge_around_vertex_const_circulator 
+  Halfedge_around_vertex_const_circulator
     hvit(e_boundary_at_v_min), hend(hvit);
   do {
     --hvit;
@@ -261,7 +261,7 @@ check_is_triangulation() const
   Halfedge_const_iterator eit;
   for( eit = this->halfedges_begin(); eit != this->halfedges_end(); ++eit) {
     if (on_boundary[eit]) continue;
-    hit = hend = eit; 
+    hit = hend = eit;
     int edges_in_face_cycle=0;
     CGAL_For_all(hit,hend) {
       error_status << PE(hit);
diff -pruN 5.0.2-3/include/CGAL/Nef_2/PM_const_decorator.h 5.0.3-1/include/CGAL/Nef_2/PM_const_decorator.h
--- 5.0.2-3/include/CGAL/Nef_2/PM_const_decorator.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/PM_const_decorator.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/PM_const_decorator.h $
-// $Id: PM_const_decorator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/PM_const_decorator.h $
+// $Id: PM_const_decorator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -36,7 +36,7 @@
 namespace CGAL {
 
 template <typename Iter, typename Move>
-inline CGAL::Circulator_tag  
+inline CGAL::Circulator_tag
 query_circulator_or_iterator(const CircFromIt<Iter,Move>& )
 { return CGAL::Circulator_tag(); }
 
@@ -55,22 +55,22 @@ struct move_halfedge_around_face {
 };
 
 
-/*{\Moptions print_title=yes}*/ 
-/*{\Moptions constref=yes}*/ 
-/*{\Msubst 
+/*{\Moptions print_title=yes}*/
+/*{\Moptions constref=yes}*/
+/*{\Msubst
 PM_const_decorator#PMConstDecorator
 PM_decorator#PMDecorator
-}*/ 
+}*/
 /*{\Moptions outfile=PMConstDecorator.man }*/
 /*{\Manpage {PMConstDecorator}{}{Topological plane map exploration}{D}}*/
 
 template <typename HDS> class PM_decorator;
 
 template <typename HDS>
-class PM_const_decorator 
+class PM_const_decorator
 { typedef PM_const_decorator<HDS> Self;
-/*{\Mdefinition An instance |\Mvar| of the data type |\Mname| is a 
-decorator for interfacing the topological structure of a plane map |P| 
+/*{\Mdefinition An instance |\Mvar| of the data type |\Mname| is a
+decorator for interfacing the topological structure of a plane map |P|
 (read-only).
 
 A plane map |P| consists of a triple $(V, E, F)$ of vertices, edges, and
@@ -80,7 +80,7 @@ target(e)|. The list of all edges with s
 adjacency list |A(v)|.
 
 Edges are paired into twins. For each edge |e = (v,w)| there's an edge
-|twin(e) = (w,v)| and |twin(twin(e)) == e|\cgalFootnote{The existence of 
+|twin(e) = (w,v)| and |twin(twin(e)) == e|\cgalFootnote{The existence of
 the edge pairs makes |P| a bidirected graph, the |twin| links make
 |P| a map.}.
 
@@ -116,8 +116,8 @@ Plane maps are attributed. To each objec
 we attribute a value |mark(u)| of type |Mark|. |Mark| fits the
 concepts assignable, default-constructible, and equal-comparable.}*/
 
-protected: 
-HDS* phds; 
+protected:
+HDS* phds;
 friend class PM_decorator<HDS>;
 
 public:
@@ -130,7 +130,7 @@ typedef typename HDS::Traits Traits;
 typedef typename Traits::Point  Point;
 /*{\Mtypemember The point type of vertices.}*/
 typedef typename Traits::Mark   Mark;
-/*{\Mtypemember All objects (vertices, edges, faces) are attributed by a 
+/*{\Mtypemember All objects (vertices, edges, faces) are attributed by a
 |Mark| object.}*/
 typedef size_t Size_type;
 #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
@@ -142,14 +142,14 @@ typedef boost::any GenPtr;
 
 
 
-typedef typename HDS::Vertex                  Vertex; 
+typedef typename HDS::Vertex                  Vertex;
 typedef typename HDS::Vertex_base             Vertex_base;
 typedef typename HDS::Vertex_handle           Vertex_handle;
 typedef typename HDS::Vertex_const_handle     Vertex_const_handle;
 typedef typename HDS::Vertex_const_iterator   Vertex_const_iterator;
-typedef typename HDS::Halfedge                Halfedge ; 
+typedef typename HDS::Halfedge                Halfedge ;
 typedef typename HDS::Halfedge_base           Halfedge_base ;
-typedef typename HDS::Halfedge_handle         Halfedge_handle; 
+typedef typename HDS::Halfedge_handle         Halfedge_handle;
 typedef typename HDS::Halfedge_const_handle   Halfedge_const_handle;
 typedef typename HDS::Halfedge_const_iterator Halfedge_const_iterator;
 typedef typename HDS::Face                    Face;
@@ -166,28 +166,28 @@ following kind: |Vertex_const_handle|,
 Additionally the following circulators are defined.}*/
 
 typedef CircFromIt<
-        Halfedge_const_iterator, 
-        move_halfedge_around_vertex<Halfedge_const_iterator> > 
+        Halfedge_const_iterator,
+        move_halfedge_around_vertex<Halfedge_const_iterator> >
         Halfedge_around_vertex_const_circulator;
 /*{\Mtypemember circulating the outgoing halfedges in $A(v)$.}*/
 
 typedef CircFromIt<
-        Halfedge_const_iterator, 
-        move_halfedge_around_face<Halfedge_const_iterator> > 
+        Halfedge_const_iterator,
+        move_halfedge_around_face<Halfedge_const_iterator> >
         Halfedge_around_face_const_circulator;
-/*{\Mtypemember circulating the halfedges in the face cycle of a 
+/*{\Mtypemember circulating the halfedges in the face cycle of a
 face |f|.}*/
 
 typedef typename Face::Hole_const_iterator Hole_const_iterator;
-/*{\Mtypemember iterating all holes of a face |f|. The type is 
+/*{\Mtypemember iterating all holes of a face |f|. The type is
 convertible to |Halfedge_const_handle|.}*/
 
-typedef typename Face::Isolated_vertex_const_iterator 
+typedef typename Face::Isolated_vertex_const_iterator
         Isolated_vertex_const_iterator;
-/*{\Mtypemember iterating all isolated vertices of a face |f|. 
+/*{\Mtypemember iterating all isolated vertices of a face |f|.
 The type generalizes |Vertex_const_handle|.}*/
 
-typedef PntItFromVertIt<Vertex_const_iterator,Point> 
+typedef PntItFromVertIt<Vertex_const_iterator,Point>
   Point_const_iterator;
 
 /*{\Mcreation 3}*/
@@ -199,7 +199,7 @@ PM_const_decorator& operator=(
   const PM_const_decorator<HDS>& D)
 { phds=D.phds; return *this; }
 
-PM_const_decorator(const Plane_map& P) 
+PM_const_decorator(const Plane_map& P)
 /*{\Mcreate constructs a plane map decorator exploring |P|.}*/
  : phds(const_cast<HDS*>(&P)) {}
 
@@ -213,7 +213,7 @@ Vertex_const_handle target(Halfedge_cons
 /*{\Mop returns the target of |e|.}*/
 { return e->vertex(); }
 
-Halfedge_const_handle twin(Halfedge_const_handle e) const 
+Halfedge_const_handle twin(Halfedge_const_handle e) const
 /*{\Mop returns the twin of |e|.}*/
 { return e->opposite(); }
 
@@ -229,7 +229,7 @@ Halfedge_const_handle first_out_edge(Ver
 
 Halfedge_const_handle last_out_edge(Vertex_const_handle v) const
 /*{\Mop returns the halfedge with source |v| that is the last
-  in the circular iteration before encountering |first_out_edge(v)| 
+  in the circular iteration before encountering |first_out_edge(v)|
   again. \precond |!is_isolated(v)|.}*/
 { return v->halfedge()->next(); }
 
@@ -264,13 +264,13 @@ Face_const_handle face(Vertex_const_hand
 { return v->face(); }
 
 Halfedge_const_handle halfedge(Face_const_handle f) const
-/*{\Mop returns a halfedge in the bounding face cycle of |f| 
+/*{\Mop returns a halfedge in the bounding face cycle of |f|
 (|Halfedge_const_handle()| if there is no bounding face cycle).}*/
 { return f->halfedge(); }
 
 
 /*{\Mtext \headerline{Iteration} \setopdims{7.5cm}{0cm}}*/
-  
+
 Vertex_const_iterator   vertices_begin() const
 { return phds->vertices_begin(); }
 Halfedge_const_iterator halfedges_begin() const
@@ -288,19 +288,19 @@ Point_const_iterator points_begin() cons
 Point_const_iterator points_end() const
 { return Point_const_iterator(vertices_end()); }
 
-Halfedge_around_vertex_const_circulator 
+Halfedge_around_vertex_const_circulator
   out_edges(Vertex_const_handle v) const
 /*{\Mop returns a circulator for the cyclic adjacency list of |v|.}*/
 { return Halfedge_around_vertex_const_circulator(first_out_edge(v)); }
 
-Halfedge_around_face_const_circulator 
+Halfedge_around_face_const_circulator
   face_cycle(Face_const_handle f) const
 /*{\Mop returns a circulator for the outer face cycle of |f|.}*/
 { return Halfedge_around_face_const_circulator(f->halfedge()); }
 
 Hole_const_iterator  holes_begin(Face_const_handle f) const
 /*{\Mop returns an iterator for all holes in the interior of |f|.
-   A |Hole_iterator| can be assigned to a 
+   A |Hole_iterator| can be assigned to a
    |Halfedge_around_face_const_circulator|.}*/
 { return f->fc_begin(); }
 
@@ -308,13 +308,13 @@ Hole_const_iterator  holes_end(Face_cons
 /*{\Mop returns the past-the-end iterator of |f|.}*/
 { return f->fc_end(); }
 
-Isolated_vertex_const_iterator 
+Isolated_vertex_const_iterator
   isolated_vertices_begin(Face_const_handle f) const
-/*{\Mop returns an iterator for all isolated vertices in the interior 
+/*{\Mop returns an iterator for all isolated vertices in the interior
    of |f|.}*/
 { return f->iv_begin(); }
 
-Isolated_vertex_const_iterator 
+Isolated_vertex_const_iterator
   isolated_vertices_end(Face_const_handle f) const
 /*{\Mop returns the past the end iterator of |f|.}*/
 { return f->iv_end(); }
@@ -328,11 +328,11 @@ const Point& point(Vertex_const_handle v
 /*{\Mop returns the embedding of |v|.}*/
 { return v->point(); }
 
-const Mark& mark(Vertex_const_handle v) const  
+const Mark& mark(Vertex_const_handle v) const
 /*{\Mop returns the mark of |v|.}*/
 { return v->mark(); }
 
-const Mark& mark(Halfedge_const_handle e) const 
+const Mark& mark(Halfedge_const_handle e) const
 /*{\Mop returns the mark of |e|.}*/
 { if (&*e < &*(e->opposite())) return e->mark();
   else return e->opposite()->mark();
@@ -357,19 +357,19 @@ const GenPtr& info(Face_const_handle f)
 
 /*{\Mtext \headerline{Statistics and Integrity}}*/
 
-Size_type number_of_vertices() const 
+Size_type number_of_vertices() const
 /*{\Mop returns the number of vertices.}*/
 { return phds->size_of_vertices(); }
 
-Size_type number_of_halfedges() const 
+Size_type number_of_halfedges() const
 /*{\Mop returns the number of halfedges.}*/
 { return phds->size_of_halfedges(); }
 
-Size_type number_of_edges() const    
+Size_type number_of_edges() const
 /*{\Mop returns the number of halfedge pairs.}*/
 { return phds->size_of_halfedges()/2; }
 
-Size_type number_of_faces() const    
+Size_type number_of_faces() const
 /*{\Mop returns the number of faces.}*/
 { return phds->size_of_faces(); }
 
@@ -380,17 +380,17 @@ Size_type number_of_connected_components
 /*{\Mop calculates the number of connected components of |P|.}*/
 
 void print_statistics(std::ostream& os = std::cout) const
-/*{\Mop print the statistics of |P|: the number of vertices, edges, and 
+/*{\Mop print the statistics of |P|: the number of vertices, edges, and
    faces.}*/
 {
   os << "Plane Map - Statistics\n";
   os << "|V| = " << number_of_vertices() << std::endl;
-  os << "|E| = " << number_of_edges() 
+  os << "|E| = " << number_of_edges()
   << " (" << 2*number_of_edges() << ")" << std::endl;
   os << "|F| = " << number_of_faces() << std::endl;
   os << "|Fcs| = " << number_of_face_cycles() << std::endl << std::endl;
 }
- 
+
 void check_integrity_and_topological_planarity(bool faces=true) const;
 /*{\Mop checks the link structure and the genus of |P|.}*/
 
@@ -409,7 +409,7 @@ std::string PE(HH e)
 { std::ostringstream os;
   if (e==HH()) return "nil";
   os << "[" << PV(e->opposite()->vertex()) << ","
-            << PV(e->vertex()) << " " 
+            << PV(e->vertex()) << " "
   #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
   << e->info()
   #endif
@@ -423,11 +423,11 @@ check_integrity_and_topological_planarit
 {
   CGAL_NEF_TRACEN("check_integrity_and_topological_planarity:");
   using CGAL::Object_index;
-  Object_index<Vertex_const_iterator>   
+  Object_index<Vertex_const_iterator>
     VI(vertices_begin(),vertices_end(),'v');
-  Object_index<Halfedge_const_iterator> 
+  Object_index<Halfedge_const_iterator>
     EI(halfedges_begin(),halfedges_end(),'e');
-  Object_index<Face_const_iterator> 
+  Object_index<Face_const_iterator>
     FI(faces_begin(),faces_end(),'f');
   Vertex_const_handle vit, vend = phds->vertices_end();
   int iso_vert_num=0;
@@ -474,7 +474,7 @@ check_integrity_and_topological_planarit
       CGAL_assertion( face(fcit)==fit ); ++fc_num;
     }
     Isolated_vertex_const_iterator ivit;
-    for(ivit = isolated_vertices_begin(fit); 
+    for(ivit = isolated_vertices_begin(fit);
         ivit != isolated_vertices_end(fit); ++ivit) {
       CGAL_assertion( face(ivit)==fit ); ++iv_num;
     }
@@ -491,7 +491,7 @@ check_integrity_and_topological_planarit
   CGAL_NEF_TRACEV(fc_num);CGAL_NEF_TRACEV(iv_num);CGAL_NEF_TRACEV(iso_vert_num);
   CGAL_NEF_TRACEV(v_num);CGAL_NEF_TRACEV(e_num);CGAL_NEF_TRACEV(c_num);CGAL_NEF_TRACEV(f_num);
   // CGAL_assertion(fc_num == f_num && iv_num == iso_vert_num);
-  /* this means all face cycles and all isolated vertices are 
+  /* this means all face cycles and all isolated vertices are
      indeed referenced from a face */
   /* every isolated vertex increases the component count
        one face cycle per component is redundent except one
@@ -500,12 +500,12 @@ check_integrity_and_topological_planarit
 }
 
 template <typename HDS>
-typename PM_const_decorator<HDS>::Size_type 
+typename PM_const_decorator<HDS>::Size_type
 PM_const_decorator<HDS>::
 number_of_face_cycles() const
 {
   Size_type fc_num=0;
-  CGAL::Unique_hash_map<Halfedge_const_handle,bool> visited; 
+  CGAL::Unique_hash_map<Halfedge_const_handle,bool> visited;
     // init with bool() == false
   Halfedge_const_iterator eit =  phds->halfedges_begin();
   Halfedge_const_iterator eend = phds->halfedges_end();
@@ -525,12 +525,12 @@ number_of_connected_components() const
   typedef Vertex_const_iterator vc_handle;
   typedef Halfedge_around_vertex_const_circulator hvc_circulator;
   int comp_num=0;
-  CGAL::Unique_hash_map< vc_handle, bool> handled(false); 
+  CGAL::Unique_hash_map< vc_handle, bool> handled(false);
   vc_handle vit = vertices_begin(), vend = vertices_end();
   for ( ; vit != vend; ++vit) {
     if (handled[vit]) continue;
     std::list<vc_handle> L;
-    L.push_back(vit); handled[vit]=true; 
+    L.push_back(vit); handled[vit]=true;
     /* we keep the invariant that all nodes which have been stacked
        are marked handled */
     while (!L.empty()) {
@@ -539,13 +539,13 @@ number_of_connected_components() const
       hvc_circulator havc(first_out_edge(v)), hend(havc);
       CGAL_For_all(havc,hend) {
         if (!handled[target(havc)]) {
-          L.push_back(target(havc)); handled[target(havc)]=true; 
+          L.push_back(target(havc)); handled[target(havc)]=true;
         }
       }
     }
     ++comp_num;
   }
-  return comp_num;   
+  return comp_num;
 }
 
 struct KERNELPNT {
@@ -559,14 +559,14 @@ struct KERNELPNT {
 };
 
 template <typename PMCDEC, typename POINTDA>
-void print_as_leda_graph(std::ostream& os, const PMCDEC& D, 
+void print_as_leda_graph(std::ostream& os, const PMCDEC& D,
   const POINTDA& P)
 {
-  typedef typename PMCDEC::Vertex_const_iterator   
+  typedef typename PMCDEC::Vertex_const_iterator
   Vertex_const_iterator;
-  typedef typename PMCDEC::Halfedge_const_iterator 
+  typedef typename PMCDEC::Halfedge_const_iterator
   Halfedge_const_iterator;
-  int vn(1), en(1);  
+  int vn(1), en(1);
   CGAL::Unique_hash_map<Vertex_const_iterator,int>   v_num;
   CGAL::Unique_hash_map<Halfedge_const_iterator,int> e_num;
   os << "LEDA.GRAPH\n" << "point\n" << "int\n";
diff -pruN 5.0.2-3/include/CGAL/Nef_2/PM_decorator.h 5.0.3-1/include/CGAL/Nef_2/PM_decorator.h
--- 5.0.2-3/include/CGAL/Nef_2/PM_decorator.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/PM_decorator.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/PM_decorator.h $
-// $Id: PM_decorator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/PM_decorator.h $
+// $Id: PM_decorator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -27,7 +27,7 @@
 namespace CGAL {
 
 /*{\Moptions outfile=PMDecorator.man }*/
-/*{\Msubst 
+/*{\Msubst
 PM_decorator#PMDecorator
 PM_const_decorator#PMConstDecorator
 }*/
@@ -35,9 +35,9 @@ PM_const_decorator#PMConstDecorator
 
 template <typename HDS>
 class PM_decorator : public PM_const_decorator<HDS>
-{ 
-/*{\Mdefinition An instance |\Mvar| of the data type |\Mname| is a 
-decorator to examine and modify a plane map. |\Mvar| inherits from 
+{
+/*{\Mdefinition An instance |\Mvar| of the data type |\Mname| is a
+decorator to examine and modify a plane map. |\Mvar| inherits from
 |PM_const_decorator| but provides additional manipulation operations.}*/
 
 /*{\Mgeneralization PM_const_decorator}*/
@@ -47,29 +47,29 @@ public:
   typedef PM_decorator<HDS>        Self;
   typedef PM_const_decorator<HDS>  Base;
   typedef HDS                       Plane_map;
-  typedef typename HDS::Vertex_base Vertex_base; 
-  typedef typename HDS::Halfedge_base Halfedge_base; 
+  typedef typename HDS::Vertex_base Vertex_base;
+  typedef typename HDS::Halfedge_base Halfedge_base;
   typedef typename HDS::Face_base Face_base;
-  typedef typename HDS::Vertex Vertex; 
-  typedef typename HDS::Halfedge Halfedge; 
-  typedef typename HDS::Face Face; 
-  typedef typename HDS::Vertex_handle Vertex_handle;    
+  typedef typename HDS::Vertex Vertex;
+  typedef typename HDS::Halfedge Halfedge;
+  typedef typename HDS::Face Face;
+  typedef typename HDS::Vertex_handle Vertex_handle;
   typedef typename HDS::Vertex_iterator Vertex_iterator;
-  typedef typename HDS::Halfedge_handle Halfedge_handle;  
+  typedef typename HDS::Halfedge_handle Halfedge_handle;
   typedef typename HDS::Halfedge_iterator Halfedge_iterator;
-  typedef typename HDS::Face_handle Face_handle;      
+  typedef typename HDS::Face_handle Face_handle;
   typedef typename HDS::Face_iterator Face_iterator;
   typedef typename HDS::Vertex_const_handle Vertex_const_handle;
-  typedef typename HDS::Halfedge_const_handle Halfedge_const_handle; 
-  typedef typename HDS::Face_const_handle Face_const_handle; 
-  typedef typename HDS::Vertex_const_iterator Vertex_const_iterator; 
-  typedef typename HDS::Halfedge_const_iterator Halfedge_const_iterator; 
-  typedef typename HDS::Face_const_iterator Face_const_iterator; 
-  typedef typename Base::Hole_const_iterator Hole_const_iterator ; 
-  typedef typename Base::Isolated_vertex_const_iterator Isolated_vertex_const_iterator; 
+  typedef typename HDS::Halfedge_const_handle Halfedge_const_handle;
+  typedef typename HDS::Face_const_handle Face_const_handle;
+  typedef typename HDS::Vertex_const_iterator Vertex_const_iterator;
+  typedef typename HDS::Halfedge_const_iterator Halfedge_const_iterator;
+  typedef typename HDS::Face_const_iterator Face_const_iterator;
+  typedef typename Base::Hole_const_iterator Hole_const_iterator ;
+  typedef typename Base::Isolated_vertex_const_iterator Isolated_vertex_const_iterator;
   typedef typename Base::Point_const_iterator Point_const_iterator;
-  typedef typename Base::Mark Mark; 
-typedef typename Base::Point Point; 
+  typedef typename Base::Mark Mark;
+typedef typename Base::Point Point;
 typedef typename Base::GenPtr GenPtr;
 
 /*{\Mtext Local types are handles, iterators and circulators of the following
@@ -79,30 +79,30 @@ following circulators are defined. The |
 the corresponding halfedge handles or iterators.}*/
 
 typedef CircFromIt<
-        Halfedge_iterator, 
-        move_halfedge_around_vertex<Halfedge_iterator> > 
+        Halfedge_iterator,
+        move_halfedge_around_vertex<Halfedge_iterator> >
         Halfedge_around_vertex_circulator;
 /*{\Mtypemember circulating the outgoing halfedges in $A(v)$.}*/
 
 typedef CircFromIt<
-        Halfedge_iterator, 
-        move_halfedge_around_face<Halfedge_iterator> > 
+        Halfedge_iterator,
+        move_halfedge_around_face<Halfedge_iterator> >
         Halfedge_around_face_circulator;
-/*{\Mtypemember circulating the halfedges in the face cycle of a 
+/*{\Mtypemember circulating the halfedges in the face cycle of a
 face |f|.}*/
 
 typedef typename Face::Hole_iterator Hole_iterator;
-/*{\Mtypemember iterating all holes of a face |f|. The type is 
+/*{\Mtypemember iterating all holes of a face |f|. The type is
 convertible to |Halfedge_handle|.}*/
 
 typedef typename Face::Isolated_vertex_iterator Isolated_vertex_iterator;
-/*{\Mtypemember iterating all isolated vertices of a face |f|. 
+/*{\Mtypemember iterating all isolated vertices of a face |f|.
 The type generalizes |Vertex_handle|.}*/
 
 
 /* note: originally I had the mhavs, mhafs hardwired to Halfedge
    in this class scope. egcs 290.60 reacted with an internal compiler
-   error; this recursive instatiation scheme works however! 
+   error; this recursive instatiation scheme works however!
    what a shitty world */
 
 enum { BEFORE = -1, AFTER = 1 };
@@ -116,7 +116,7 @@ enum { BEFORE = -1, AFTER = 1 };
 /*{\Mcreation 3}*/
 
 PM_decorator() : Base() {}
-PM_decorator(const PM_decorator& D) : 
+PM_decorator(const PM_decorator& D) :
   Base((PM_const_decorator<HDS>)D) {}
 PM_decorator& operator=(const PM_decorator& D)
 { Base::phds = ((PM_const_decorator<HDS>)D).phds; return *this; }
@@ -129,17 +129,17 @@ Hole_const_iterator  holes_begin(Face_co
 BASE(holes_begin(f))
 Hole_const_iterator  holes_end(Face_const_handle f) const
 BASE(holes_end(f))
-Isolated_vertex_const_iterator  
+Isolated_vertex_const_iterator
 isolated_vertices_begin(Face_const_handle f) const
 BASE(isolated_vertices_begin(f))
-Isolated_vertex_const_iterator  
+Isolated_vertex_const_iterator
 isolated_vertices_end(Face_const_handle f) const
 BASE(isolated_vertices_end(f))
 Vertex_const_handle source(Halfedge_const_handle e) const
 BASE(source(e))
 Vertex_const_handle target(Halfedge_const_handle e) const
 BASE(target(e))
-Halfedge_const_handle twin(Halfedge_const_handle e) const 
+Halfedge_const_handle twin(Halfedge_const_handle e) const
 BASE(twin(e))
 bool is_isolated(Vertex_const_handle v) const
 BASE(is_isolated(v))
@@ -161,9 +161,9 @@ Face_const_handle face(Halfedge_const_ha
 BASE(face(e))
 Face_const_handle face(Vertex_const_handle v) const
 BASE(face(v))
-const Mark& mark(Vertex_const_handle v) const  
+const Mark& mark(Vertex_const_handle v) const
 BASE(mark(v))
-const Mark& mark(Halfedge_const_handle e) const 
+const Mark& mark(Halfedge_const_handle e) const
 BASE(mark(e))
 const Mark& mark(Face_const_handle f) const
 BASE(mark(f))
@@ -194,7 +194,7 @@ Vertex_handle source(Halfedge_handle e)
 Vertex_handle target(Halfedge_handle e) const
 /*{\Mop returns the target of |e|.}*/
 { return e->vertex(); }
- 
+
 Halfedge_handle twin(Halfedge_handle e) const
 /*{\Mop returns the twin of |e|.}*/
 { return e->opposite(); }
@@ -216,12 +216,12 @@ Halfedge_handle first_out_edge(Vertex_ha
 
 Halfedge_handle last_out_edge(Vertex_handle v) const
 /*{\Mop returns a the halfedge with source |v| that is the last
-  in the circular iteration before encountering |first_out_edge(v)| 
+  in the circular iteration before encountering |first_out_edge(v)|
   again. \precond |!is_isolated(v)|.}*/
 { return v->halfedge()->next(); }
 
-Halfedge_handle cas(Halfedge_handle e) const 
-{ return e->prev()->opposite(); } 
+Halfedge_handle cas(Halfedge_handle e) const
+{ return e->prev()->opposite(); }
 
 Halfedge_handle cap(Halfedge_handle e) const
 { return e->opposite()->next(); }
@@ -237,10 +237,10 @@ Halfedge_handle cyclic_adj_pred(Halfedge
   |source(e)|.}*/
 
 Halfedge_handle adj_succ_at_source(Halfedge_handle e) const
-{ if (e==last_out_edge(source(e))) return Halfedge_handle(); 
+{ if (e==last_out_edge(source(e))) return Halfedge_handle();
   return cas(e); }
 // the edge of source(e) is the first in the adj list
- 
+
 Halfedge_handle adj_pred_at_source(Halfedge_handle e) const
 { if (e==first_out_edge(source(e))) return Halfedge_handle();
   return cap(e); }
@@ -264,7 +264,7 @@ Face_handle face(Vertex_handle v) const
 { return v->face(); }
 
 Halfedge_handle halfedge(Face_handle f) const
-/*{\Mop returns a halfedge in the bounding face cycle of |f| 
+/*{\Mop returns a halfedge in the bounding face cycle of |f|
 (|Halfedge_handle()| if there is no bounding face cycle).}*/
 { return f->halfedge(); }
 
@@ -283,19 +283,19 @@ Face_iterator     faces_end() const
 
 /*{\Mtext \headerline{Iteration} \setopdims{6.5cm}{0cm}}*/
 
-Halfedge_around_vertex_circulator 
+Halfedge_around_vertex_circulator
   out_edges(Vertex_handle v) const
 /*{\Mop returns a circulator for the cyclic adjacency list of |v|.}*/
 { return Halfedge_around_vertex_circulator(first_out_edge(v)); }
 
-Halfedge_around_face_circulator 
+Halfedge_around_face_circulator
   face_cycle(Face_handle f) const
 /*{\Mop returns a circulator for the outer face cycle of |f|.}*/
 { return Halfedge_around_face_circulator(f->halfedge()); }
 
 Hole_iterator  holes_begin(Face_handle f) const
 /*{\Mop returns an iterator for all holes in the interior of |f|.
-   A |Hole_iterator| can be assigned to a 
+   A |Hole_iterator| can be assigned to a
    |Halfedge_around_face_circulator|.}*/
 { return f->fc_begin(); }
 
@@ -304,7 +304,7 @@ Hole_iterator  holes_end(Face_handle f)
 { return f->fc_end(); }
 
 Isolated_vertex_iterator isolated_vertices_begin(Face_handle f) const
-/*{\Mop returns an iterator for all isolated vertices in the interior 
+/*{\Mop returns an iterator for all isolated vertices in the interior
 of |f|.}*/
 { return f->iv_begin(); }
 
@@ -318,7 +318,7 @@ Vertex_handle new_vertex(const Vertex_ba
 /*{\Mop creates a new vertex.}*/
 { Vertex_handle v = this->phds->vertices_push_back(vb);
   v->set_halfedge(Halfedge_handle());
-  return v; 
+  return v;
 }
 
 Face_handle new_face(const Face_base& fb = Face_base()) const
@@ -327,7 +327,7 @@ Face_handle new_face(const Face_base& fb
   return f;
 }
 
- 
+
 void link_as_outer_face_cycle(Face_handle f, Halfedge_handle e) const
 /*{\Mop makes |e| the entry point of the outer face cycle of |f| and
 makes |f| the face of all halfedges in the face cycle of |e|.}*/
@@ -335,7 +335,7 @@ makes |f| the face of all halfedges in t
   Halfedge_around_face_circulator hfc(e), hend(hfc);
   CGAL_For_all(hfc,hend) hfc->set_face(f);
   f->set_halfedge(e);
-} 
+}
 
 void link_as_hole(Face_handle f, Halfedge_handle e) const
 /*{\Mop makes |e| the entry point of a hole face cycle of |f| and
@@ -344,11 +344,11 @@ void link_as_hole(Face_handle f, Halfedg
   Halfedge_around_face_circulator hfc(e), hend(hfc);
   CGAL_For_all(hfc,hend) hfc->set_face(f);
   f->store_fc(e);
-} 
+}
 
 void link_as_isolated_vertex(Face_handle f, Vertex_handle v) const
 /*{\Mop makes |v| an isolated vertex within |f|.}*/
-{  f->store_iv(v); v->set_face(f); } 
+{  f->store_iv(v); v->set_face(f); }
 
 void clear_face_cycle_entries(Face_handle f) const
 /*{\Mop removes all isolated vertices and halfedges that
@@ -358,12 +358,12 @@ are entrie points into face cycles from
 
 Halfedge_handle new_halfedge_pair(Vertex_handle v1, Vertex_handle v2,
                                   Halfedge_base hb = Halfedge_base()) const
-/*{\Mop creates a new pair of edges |(e1,e2)| representing |(v1,v2)| 
+/*{\Mop creates a new pair of edges |(e1,e2)| representing |(v1,v2)|
   by appending the |ei| to |A(vi)| $(i=1,2)$.}*/
 { Halfedge_handle e1 = this->phds->edges_push_back(hb,hb);
-  Halfedge_handle e2 = e1->opposite(); 
+  Halfedge_handle e2 = e1->opposite();
   e1->set_face(Face_handle()); e2->set_face(Face_handle());
-  if ( ! is_isolated(v1) ) 
+  if ( ! is_isolated(v1) )
     set_adjacency_at_source_between(cap(first_out_edge(v1)),e1,
                                     first_out_edge(v1));
   else
@@ -371,24 +371,24 @@ Halfedge_handle new_halfedge_pair(Vertex
   if ( ! is_isolated(v2) )
     set_adjacency_at_source_between(cap(first_out_edge(v2)),e2,
                                     first_out_edge(v2));
-  else 
+  else
     close_tip_at_source(e2,v2);
   return e1;
 }
 
 
-Halfedge_handle new_halfedge_pair(Halfedge_handle e1, 
+Halfedge_handle new_halfedge_pair(Halfedge_handle e1,
                                   Halfedge_handle e2,
                                   Halfedge_base hb = Halfedge_base(),
                                   int pos1 = AFTER, int pos2 = AFTER) const
-/*{\Mop creates a new pair of edges |(h1,h2)| representing 
-  |(source(e1),source(e2))| by inserting the |hi| before or after |ei| 
-  into the cyclic adjacency list of |source(ei)| depending on 
+/*{\Mop creates a new pair of edges |(h1,h2)| representing
+  |(source(e1),source(e2))| by inserting the |hi| before or after |ei|
+  into the cyclic adjacency list of |source(ei)| depending on
   |posi| $(i=1,2)$ from |\Mname::BEFORE, \Mname::AFTER|.}*/
-{ 
+{
   Halfedge_handle er = this->phds->edges_push_back(hb,hb);
   Halfedge_handle ero = er->opposite();
-  er->set_face(Face_handle()); ero->set_face(Face_handle()); 
+  er->set_face(Face_handle()); ero->set_face(Face_handle());
   if (pos1 < 0) { // before e1
     set_adjacency_at_source_between(cap(e1),er,e1);
     if ( e1 == first_out_edge(source(e1)) )
@@ -409,14 +409,14 @@ Halfedge_handle new_halfedge_pair(Halfed
 Halfedge_handle new_halfedge_pair(Halfedge_handle e, Vertex_handle v,
                                   Halfedge_base hb = Halfedge_base(),
                                   int pos = AFTER) const
-/*{\Mop creates a new pair of edges  |(e1,e2)| representing |(source(e),v)| 
+/*{\Mop creates a new pair of edges  |(e1,e2)| representing |(source(e),v)|
   by inserting |e1| before or after |e| into the cyclic adjacency list of
   |source(e)| depending on |pos| from |\Mname::BEFORE, \Mname::AFTER|
   and appending |e2| to |A(v)|.}*/
 {
   Halfedge_handle e_new = this->phds->edges_push_back(hb,hb);
   Halfedge_handle e_opp = e_new->opposite();
-  e_new->set_face(Face_handle()); e_opp->set_face(Face_handle()); 
+  e_new->set_face(Face_handle()); e_opp->set_face(Face_handle());
 
   if (pos < 0) { // before e
     set_adjacency_at_source_between(cap(e),e_new,e);
@@ -424,7 +424,7 @@ Halfedge_handle new_halfedge_pair(Halfed
       make_first_out_edge(e_new);
   } else  // after e
     set_adjacency_at_source_between(e,e_new,cas(e));
-  
+
   if ( ! is_isolated(v) ) {
     Halfedge_handle e_first = first_out_edge(v);
     set_adjacency_at_source_between(cap(e_first),e_opp,e_first);
@@ -445,7 +445,7 @@ Halfedge_handle new_halfedge_pair(Vertex
 
 
 void delete_halfedge_pair(Halfedge_handle e) const
-/*{\Mop deletes |e| and its twin and updates the adjacency at its source 
+/*{\Mop deletes |e| and its twin and updates the adjacency at its source
         and its target.}*/
 { remove_from_adj_list_at_source(e);
   remove_from_adj_list_at_source(e->opposite());
@@ -453,14 +453,14 @@ void delete_halfedge_pair(Halfedge_handl
 }
 
 void delete_vertex(Vertex_handle v) const
-/*{\Mop deletes |v| and all outgoing edges |A(v)| as well as their twins. 
+/*{\Mop deletes |v| and all outgoing edges |A(v)| as well as their twins.
         Updates the adjacency at the targets of the edges in |A(v)|.}*/
-{ 
+{
   if ( ! is_isolated(v) ) {
     Halfedge_handle e = first_out_edge(v);
-    while ( e != cap(e) ) 
-      delete_halfedge_pair(cap(e));  
-    delete_halfedge_pair(e); 
+    while ( e != cap(e) )
+      delete_halfedge_pair(cap(e));
+    delete_halfedge_pair(e);
   }
   this->phds->vertices_erase(v);
 }
@@ -485,7 +485,7 @@ void merge_halfedge_pairs_at_target(Half
   and |target(next(e))| is kept consistent.}*/
 {
   CGAL_NEF_TRACEN("merge_halfedge_pairs_at_target "<<PE(e));
-  Halfedge_handle eo = e->opposite(), 
+  Halfedge_handle eo = e->opposite(),
                   en = e->next(), eno = en->opposite(),
                   enn = en->next(), enno = eno->prev();
   Vertex_handle v = e->vertex(), vn = en->vertex();
@@ -499,11 +499,11 @@ void merge_halfedge_pairs_at_target(Half
     e->set_next(eo); eo->set_prev(e);
   }
   // set vertex of e and deal with vertex-halfedge incidence
-  e->set_vertex(vn); 
+  e->set_vertex(vn);
   if (vn->halfedge()==en) vn->set_halfedge(e);
-  if (en->is_hole_entry()) 
+  if (en->is_hole_entry())
   { f1->remove_fc(en); f1->store_fc(e); }
-  if (eno->is_hole_entry()) 
+  if (eno->is_hole_entry())
   { f2->remove_fc(eno); f2->store_fc(eo); }
   if (f1->halfedge() == en) f1->set_halfedge(e);
   if (f2->halfedge() == eno) f2->set_halfedge(eo);
@@ -526,9 +526,9 @@ void flip_diagonal(Halfedge_handle e) co
 /*{\Mtext \headerline{Incomplete topological update primitives}}*/
 
 Halfedge_handle new_halfedge_pair_at_source
-  (Halfedge_handle e, int pos = AFTER, Halfedge_base hb = 
+  (Halfedge_handle e, int pos = AFTER, Halfedge_base hb =
    Halfedge_base()) const
-/*{\Xop creates a new pair of edges  |(e1,e2)| representing |(source(e),())| 
+/*{\Xop creates a new pair of edges  |(e1,e2)| representing |(source(e),())|
   by inserting |e1| before or after |e| into cyclic adjacency list of
   |source(e)| depending on |pos| from |\Mname::BEFORE, \Mname::AFTER|.}*/
 {
@@ -542,11 +542,11 @@ Halfedge_handle new_halfedge_pair_at_sou
 
 Halfedge_handle new_halfedge_pair_at_source
   (Vertex_handle v, int pos = AFTER, Halfedge_base hb = Halfedge_base()) const
-/*{\Mop creates a new pair of edges  |(e1,e2)| representing |(v,())| 
+/*{\Mop creates a new pair of edges  |(e1,e2)| representing |(v,())|
   by inserting |e1| at the beginning (BEFORE) or end (AFTER)
   of adjacency list of |v|.}*/
 { Halfedge_handle e1 = this->phds->edges_push_back(hb,hb);
-  Halfedge_handle e2 = e1->opposite(); 
+  Halfedge_handle e2 = e1->opposite();
   e1->set_face(Face_handle()); e2->set_face(Face_handle());
   if ( ! is_isolated(v) ) {
     Halfedge_handle ef = first_out_edge(v);
@@ -558,7 +558,7 @@ Halfedge_handle new_halfedge_pair_at_sou
 }
 
 void delete_halfedge_pair_at_source(Halfedge_handle e) const
-/*{\Mop deletes |e| and its twin and updates the adjacency at its 
+/*{\Mop deletes |e| and its twin and updates the adjacency at its
   source.}*/
 { remove_from_adj_list_at_source(e);
   this->phds->edges_erase(e);
@@ -566,7 +566,7 @@ void delete_halfedge_pair_at_source(Half
 
 void link_as_target_and_append(Vertex_handle v, Halfedge_handle e) const
 /*{\Mop makes |v| the target of |e| and appends |twin(e)| to $A(v)$.}*/
-{ if ( ! is_isolated(v) ) 
+{ if ( ! is_isolated(v) )
     set_adjacency_at_source_between(cap(first_out_edge(v)),twin(e),
       first_out_edge(v));
   else
@@ -574,7 +574,7 @@ void link_as_target_and_append(Vertex_ha
 }
 
 Halfedge_handle new_halfedge_pair_without_vertices() const
-/*{\Mop inserts an open edge pair, and inits all link slots to their default 
+/*{\Mop inserts an open edge pair, and inits all link slots to their default
     handles.}*/
 {
   Halfedge_handle e_new = this->phds->edges_push_back(Halfedge(),Halfedge());
@@ -602,38 +602,38 @@ void link_as_source_of(Halfedge_handle e
 
 void make_first_out_edge(Halfedge_handle e) const
 /*{\Mop makes |e| the first outgoing halfedge in the cyclic adjacency
-    list of |source(e)|.}*/ 
+    list of |source(e)|.}*/
 { source(e)->set_halfedge(e->opposite()); }
 
 
-void set_adjacency_at_source_between(Halfedge_handle e, Halfedge_handle en) 
-  const 
-/*{\Mop makes |e| and |en| neigbors in the cyclic ordered adjacency list 
+void set_adjacency_at_source_between(Halfedge_handle e, Halfedge_handle en)
+  const
+/*{\Mop makes |e| and |en| neigbors in the cyclic ordered adjacency list
   around |v=source(e)|. \precond |source(e)==source(en)|.}*/
 { CGAL_assertion(source(e)==source(en));
   link_as_prev_next_pair(en->opposite(),e);
 }
 
-void set_adjacency_at_source_between(Halfedge_handle e1, 
-                                     Halfedge_handle e_between, 
-                                     Halfedge_handle e2) const 
-/*{\Mop inserts |e_between| into the adjacency list around |source(e1)| 
-  between |e1| and |e2| and makes |source(e1)| the source of |e_between|. 
+void set_adjacency_at_source_between(Halfedge_handle e1,
+                                     Halfedge_handle e_between,
+                                     Halfedge_handle e2) const
+/*{\Mop inserts |e_between| into the adjacency list around |source(e1)|
+  between |e1| and |e2| and makes |source(e1)| the source of |e_between|.
   \precond |source(e1)==source(e2)|.}*/
 { e_between->opposite()->set_vertex(source(e1));
   set_adjacency_at_source_between(e1,e_between);
   set_adjacency_at_source_between(e_between,e2);
 }
 
-void close_tip_at_target(Halfedge_handle e, Vertex_handle v) const 
-/*{\Mop sets |v| as target of |e| and closes the tip by setting the 
-  corresponding pointers such that |prev(twin(e)) == e| and 
+void close_tip_at_target(Halfedge_handle e, Vertex_handle v) const
+/*{\Mop sets |v| as target of |e| and closes the tip by setting the
+  corresponding pointers such that |prev(twin(e)) == e| and
   |next(e) == twin(e)|.}*/
 { link_as_target_of(e,v);
   link_as_prev_next_pair(e,e->opposite()); }
 
-void close_tip_at_source(Halfedge_handle e, Vertex_handle v) const 
-/*{\Mop sets |v| as source of |e| and closes the tip by setting the 
+void close_tip_at_source(Halfedge_handle e, Vertex_handle v) const
+/*{\Mop sets |v| as source of |e| and closes the tip by setting the
   corresponding pointers such that |prev(e) == twin(e)| and
   |next(twin(e)) == e|.}*/
 { close_tip_at_target(e->opposite(),v); }
@@ -642,14 +642,14 @@ void close_tip_at_source(Halfedge_handle
 void remove_from_adj_list_at_source(Halfedge_handle e) const
 /*{\Mop removes a halfedge pair |(e,twin(e)| from the adjacency list
         of |source(e)|. Afterwards |next(prev(e))==next(twin(e))|
-        and |first_out_edge(source(e))| is valid if 
+        and |first_out_edge(source(e))| is valid if
         |degree(source(v))>1| before the operation.}*/
 {
   Vertex_handle vs = source(e);
   if ( is_closed_at_source(e) ) { // last outgoing
     vs->set_halfedge(Halfedge_handle());
   } else {
-    if (e == first_out_edge(vs)) 
+    if (e == first_out_edge(vs))
       vs->set_halfedge(e->prev());
     set_adjacency_at_source_between(cap(e),cas(e));
   }
@@ -660,14 +660,14 @@ void unlink_as_hole(Halfedge_handle e) c
 /*{\Mop removes |e|'s existence as an face cycle entry point of |face(e)|.
     Does not update the face links of the corresponding face cycle
     halfedges.}*/
-{ e->face()->remove_fc(e); } 
+{ e->face()->remove_fc(e); }
 
 void unlink_as_isolated_vertex(Vertex_handle v) const
 /*{\Mop removes |v|'s existence as an isolated vertex in |face(v)|.
     Does not update |v|'s face link.}*/
-{ v->face()->remove_iv(v); } 
-    
-void link_as_prev_next_pair(Halfedge_handle e1, Halfedge_handle e2) const 
+{ v->face()->remove_iv(v); }
+
+void link_as_prev_next_pair(Halfedge_handle e1, Halfedge_handle e2) const
 /*{\Mop makes |e1| and |e2| adjacent in the face cycle $\ldots-|e1-e2|-\ldots$.
     Afterwards |e1 = previous(e2)| and |e2 = next(e1)|.}*/
 { e1->set_next(e2); e2->set_prev(e1); }
@@ -697,19 +697,19 @@ void set_isolated_vertex(Face_handle f,
 
 void clone(const Plane_map& H) const;
 /*{\Mop clones |H| into |P|. Afterwards |P| is a copy of |H|.\\
-  \precond |H.check_integrity_and_topological_planarity()| and 
+  \precond |H.check_integrity_and_topological_planarity()| and
   |P| is empty.}*/
 
 template <typename LINKDA>
 void clone_skeleton(const Plane_map& H, const LINKDA& L) const;
-/*{\Mop clones the skeleton of |H| into |P|. Afterwards |P| is a copy 
+/*{\Mop clones the skeleton of |H| into |P|. Afterwards |P| is a copy
 of |H|. The link data accessor allows to transfer information from
 the old to the new objects. It needs the function call operators:\\
 |void operator()(Vertex_handle vn, Ver\-tex_\-const_\-handle vo) const|\\
 |void operator()(Halfedge_handle hn, Half\-edge_\-const_\-handle ho) const|\\
 where |vn,hn| are the cloned objects and |vo,ho| are the original
 objects.\\
-\precond |H.check_integrity_and_topological_planarity()| and 
+\precond |H.check_integrity_and_topological_planarity()| and
 |P| is empty.}*/
 
 
@@ -720,7 +720,7 @@ and one looks at it from the tip of the
 change your view point to a point on the negative z-axis. As a
 consequence faces are right of edges and adjacency list are clockwise
 order-preserving. This operation recreates our embedding invariant
-(faces are left of edges and adjacency lists are counterclockwise 
+(faces are left of edges and adjacency lists are counterclockwise
 order-preserving).}*/
 {
   // swap faces:
@@ -802,7 +802,7 @@ void PM_decorator<HDS>::clone(const HDS&
 
   /* First clone all objects and store correspondance in three maps.*/
   Vertex_const_iterator vit, vend = H.vertices_end();
-  for (vit = H.vertices_begin(); vit!=vend; ++vit) 
+  for (vit = H.vertices_begin(); vit!=vend; ++vit)
     Vnew[vit] = this->phds->vertices_push_back(Vertex_base());
   Halfedge_const_iterator eit, eend = H.halfedges_end();
   for (eit = H.halfedges_begin(); eit!=eend; ++(++eit)) {
@@ -816,7 +816,7 @@ void PM_decorator<HDS>::clone(const HDS&
 
   /* Now copy topology.*/
   Vertex_iterator vit2, vend2 = this->phds->vertices_end();
-  for (vit = H.vertices_begin(), vit2 = vertices_begin(); 
+  for (vit = H.vertices_begin(), vit2 = vertices_begin();
        vit2!=vend2; ++vit, ++vit2) {
     mark(vit2) = DC.mark(vit);
     point(vit2) = DC.point(vit);
@@ -824,7 +824,7 @@ void PM_decorator<HDS>::clone(const HDS&
     else vit2->set_halfedge(Hnew[vit->halfedge()]);
   }
   Halfedge_iterator eit2, eend2 = this->phds->halfedges_end();
-  for (eit = H.halfedges_begin(), eit2 = halfedges_begin(); 
+  for (eit = H.halfedges_begin(), eit2 = halfedges_begin();
        eit2!=eend2; ++eit, ++eit2) {
     eit2->set_prev(Hnew[eit->prev()]);
     eit2->set_next(Hnew[eit->next()]);
@@ -834,7 +834,7 @@ void PM_decorator<HDS>::clone(const HDS&
   }
 
   Face_iterator fit2, fend2 = faces_end();
-  for (fit = H.faces_begin(), fit2 = faces_begin(); 
+  for (fit = H.faces_begin(), fit2 = faces_begin();
        fit2!=fend2; ++fit, ++fit2) {
     fit2->set_halfedge(Hnew[fit->halfedge()]);
       // outer face cycle
@@ -843,7 +843,7 @@ void PM_decorator<HDS>::clone(const HDS&
       fit2->store_fc(Hnew[fcit]);
     } // hole face cycles
     Isolated_vertex_const_iterator ivit;
-    for (ivit = isolated_vertices_begin(fit); 
+    for (ivit = isolated_vertices_begin(fit);
          ivit != isolated_vertices_end(fit); ++ivit)
       fit2->store_iv(Vnew[ivit]);
       // isolated vertices in the interior
@@ -881,22 +881,22 @@ clone_skeleton(const HDS& H, const LINKD
 
   /* Now copy topology.*/
   Vertex_iterator vit2, vend2 = vertices_end();
-  for (vit = H.vertices_begin(), vit2 = vertices_begin(); 
+  for (vit = H.vertices_begin(), vit2 = vertices_begin();
        vit2!=vend2; ++vit, ++vit2) {
     mark(vit2) = DC.mark(vit);
     point(vit2) = DC.point(vit);
-    if ( !DC.is_isolated(vit) ) 
+    if ( !DC.is_isolated(vit) )
       vit2->set_halfedge(Hnew[vit->halfedge()]);
     L(vit2,vit);
   }
   Halfedge_iterator eit2, eend2 = this->phds->halfedges_end();
-  for (eit = H.halfedges_begin(), eit2 = halfedges_begin(); 
+  for (eit = H.halfedges_begin(), eit2 = halfedges_begin();
        eit2!=eend2; ++eit, ++eit2) {
     eit2->set_prev(Hnew[eit->prev()]);
     eit2->set_next(Hnew[eit->next()]);
     eit2->set_vertex(Vnew[eit->vertex()]);
     mark(eit2) = DC.mark(eit);
-    // eit2->set_face(Face_handle((Face*)&*(eit->face()))); 
+    // eit2->set_face(Face_handle((Face*)&*(eit->face())));
     L(eit2,eit);
     // link to face of original
   }
diff -pruN 5.0.2-3/include/CGAL/Nef_2/PM_explorer.h 5.0.3-1/include/CGAL/Nef_2/PM_explorer.h
--- 5.0.2-3/include/CGAL/Nef_2/PM_explorer.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/PM_explorer.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/PM_explorer.h $
-// $Id: PM_explorer.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/PM_explorer.h $
+// $Id: PM_explorer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -21,7 +21,7 @@
 
 namespace CGAL {
 
-/*{\Moptions print_title=yes }*/ 
+/*{\Moptions print_title=yes }*/
 /*{\Moptions outfile=Explorer.man }*/
 /*{\Msubst
 PM_explorer#Explorer
@@ -92,7 +92,7 @@ typedef typename Base::Hole_const_iterat
   using Base::face;
   using Base::twin;
 
-/*{\Mtext Iterators, handles, and circulators are inherited from 
+/*{\Mtext Iterators, handles, and circulators are inherited from
 |Topological_explorer|.}*/
 
 /*{\Mcreation 3}*/
@@ -100,11 +100,11 @@ typedef typename Base::Hole_const_iterat
 can be obtained via the |Nef_polyhedron_2::explorer()| method of
 |Nef_polyhedron_2|.}*/
 
-PM_explorer(const Self& E) : Base(E), pK(E.pK) {}  
-Self& operator=(const Self& E) 
+PM_explorer(const Self& E) : Base(E), pK(E.pK) {}
+Self& operator=(const Self& E)
 { Base::operator=(E); pK=E.pK; return *this; }
 
-PM_explorer(const Plane_map& P, const Geometry& k = Geometry()) : 
+PM_explorer(const Plane_map& P, const Geometry& k = Geometry()) :
   Base(P), pK(&k) {}
 /*{\Xcreate constructs a plane map explorer working on |P| with
 geometric predicates used from |k|.}*/
@@ -121,7 +121,7 @@ Point point(Vertex_const_handle v) const
 { return pK->standard_point(Base::point(v)); }
 
 Ray ray(Vertex_const_handle v) const
-/*{\Mop returns the ray defining the non-standard point on the frame. 
+/*{\Mop returns the ray defining the non-standard point on the frame.
 \precond |!\Mvar.is_standard(v)|.}*/
 { return pK->standard_ray(Base::point(v)); }
 
diff -pruN 5.0.2-3/include/CGAL/Nef_2/PM_io_parser.h 5.0.3-1/include/CGAL/Nef_2/PM_io_parser.h
--- 5.0.2-3/include/CGAL/Nef_2/PM_io_parser.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/PM_io_parser.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/PM_io_parser.h $
-// $Id: PM_io_parser.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/PM_io_parser.h $
+// $Id: PM_io_parser.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -110,12 +110,12 @@ PM_io_parser(std::istream& is, Plane_map
 PM_io_parser(std::ostream& os, const Plane_map& H)
 /*{\Mcreate creates an instance |\Mvar| of type |\Mname|
 to output |H| to |os|.}*/
-: Base(const_cast<Plane_map&>(H)), in(std::cin), out(os), 
+: Base(const_cast<Plane_map&>(H)), in(std::cin), out(os),
   VI(Base::vertices_begin(), Base::vertices_end(),'v'),
   EI(Base::halfedges_begin(),Base::halfedges_end(),'e'),
   FI(Base::faces_begin(),Base::faces_end(),'f'),
-  vn(Base::number_of_vertices()), 
-  en(Base::number_of_halfedges()), 
+  vn(Base::number_of_vertices()),
+  en(Base::number_of_halfedges()),
   fn(Base::number_of_faces())
 { verbose = (get_mode(out) != CGAL::IO::ASCII &&
              get_mode(out) != CGAL::IO::BINARY);
@@ -123,12 +123,12 @@ to output |H| to |os|.}*/
 
 
 PM_io_parser(std::ostream& os, const PMDEC& D)
-: Base(D), in(std::cin), out(os), 
+: Base(D), in(std::cin), out(os),
   VI(Base::vertices_begin(),Base::vertices_end(),'v'),
   EI(Base::halfedges_begin(),Base::halfedges_end(),'e'),
   FI(Base::faces_begin(),Base::faces_end(),'f'),
-  vn(Base::number_of_vertices()), 
-  en(Base::number_of_halfedges()), 
+  vn(Base::number_of_vertices()),
+  en(Base::number_of_halfedges()),
   fn(Base::number_of_faces())
 { verbose = (get_mode(out) != CGAL::IO::ASCII &&
              get_mode(out) != CGAL::IO::BINARY);
@@ -161,9 +161,9 @@ static void dump(const PMDEC& D, std::os
 template <typename PMDEC>
 bool PM_io_parser<PMDEC>::check_sep(const char* sep)
 {
-  char c; 
+  char c;
   do in.get(c); while (isspace(c));
-  while (*sep != '\0') { 
+  while (*sep != '\0') {
     if (*sep != c) {
       in.putback(c);
       return false;
@@ -171,7 +171,7 @@ bool PM_io_parser<PMDEC>::check_sep(cons
     ++sep; in.get(c);
   }
   in.putback(c);
-  return true;  
+  return true;
 }
 
 template <typename PMDEC>
@@ -186,10 +186,10 @@ void PM_io_parser<PMDEC>::print_vertex(V
 
 template <typename PMDEC>
 bool PM_io_parser<PMDEC>::read_vertex(Vertex_handle v)
-{ 
+{
   // precondition: nodes exist
   // syntax: index { mark, point, isolated object }
-  int n; bool iso; int f; Mark m; Point p; 
+  int n; bool iso; int f; Mark m; Point p;
   if ( !(in >> n) ||
        !check_sep("{") ||
        !(in >> iso) ||
@@ -199,18 +199,18 @@ bool PM_io_parser<PMDEC>::read_vertex(Ve
        !check_sep(",") ||
        !(in >> p) ||
        !check_sep("}") ) return false;
- 
+
   if (iso) v->set_face(Face_of[f]);
   else     v->set_halfedge(Halfedge_of[f]);
   mark(v) = m; point(v) = p;
-  return true; 
+  return true;
 }
 
 template <typename PMDEC>
 void PM_io_parser<PMDEC>::print_hedge(Halfedge_handle e) const
 { // syntax: index { opposite, prev, next, vertex, face, mark }
   out << index(e) << " { "
-      << index(twin(e)) << ", " 
+      << index(twin(e)) << ", "
       << index(previous(e)) << ", " << index(next(e)) << ", "
       << index(target(e)) << ", " <<   index(face(e)) << ", "
       << mark(e) << " }\n";
@@ -219,7 +219,7 @@ void PM_io_parser<PMDEC>::print_hedge(Ha
 template <typename PMDEC>
 bool PM_io_parser<PMDEC>::read_hedge(Halfedge_handle e)
 { // syntax: index { opposite, prev, next, vertex, face, mark }
-  int n, eo, epr, ene, v, f; bool m; 
+  int n, eo, epr, ene, v, f; bool m;
   if ( !(in >> n) ||
        !check_sep("{") ||
        !(in >> eo) || !check_sep(",") ||
@@ -229,11 +229,11 @@ bool PM_io_parser<PMDEC>::read_hedge(Hal
        !(in >> f) || !check_sep(",") ||
        !(in >> m) || !check_sep("}") )
     return false;
-  CGAL_assertion_msg 
+  CGAL_assertion_msg
      (eo >= 0 || (std::size_t) eo < en || epr >= 0 || (std::size_t) epr < en || ene >= 0 || (std::size_t) ene < en ||
       v >= 0 || (std::size_t) v < vn || f >= 0 || (std::size_t) f < fn ,
       "wrong index in read_hedge");
-  
+
   // precond: objects exist!
   CGAL_assertion(EI[e->opposite()]);
   e->set_prev(Halfedge_of[epr]);
@@ -251,12 +251,12 @@ void PM_io_parser<PMDEC>::print_face(Fac
   out << index(f) << " { " << index(halfedge(f)) << ", ";
   typedef typename std::list<Halfedge_handle>::iterator lhiterator;
   lhiterator hit, hend = f->fc_end();
-  for(hit = f->fc_begin(); hit!=hend; ++hit) 
+  for(hit = f->fc_begin(); hit!=hend; ++hit)
     out << index(*hit) << ' ';
   out << ", ";
   typedef typename std::list<Vertex_handle>::iterator lviterator;
   lviterator vit, vend = f->iv_end();
-  for(vit = f->iv_begin(); vit!=vend; ++vit) 
+  for(vit = f->iv_begin(); vit!=vend; ++vit)
     out << index(*vit) << ' ';
   out << ", " << mark(f) << " }\n";
 }
@@ -268,16 +268,16 @@ bool PM_io_parser<PMDEC>::read_face(Face
   if ( !(in >> n) || !check_sep("{") ) return false;
   if ( !(in >> ei) || !check_sep(",") ) return false;
   if (ei >= 0) f->set_halfedge(Halfedge_of[ei]);
-  while (in >> ei) { 
+  while (in >> ei) {
     CGAL_assertion_msg(ei >= 0 && (std::size_t) ei < en, "wrong index in face cycle list.");
     f->store_fc(Halfedge_of[ei]);
   } in.clear();
   if (!check_sep(",")) { return false; }
-  while (in >> vi) { 
+  while (in >> vi) {
     CGAL_assertion_msg(vi >= 0 && (std::size_t) vi < vn, "wrong index in iso vertex list.");
     f->store_iv(Vertex_of[vi]);
   } in.clear();
-  if (!check_sep(",") || !(in >> m) || !check_sep("}") ) 
+  if (!check_sep(",") || !(in >> m) || !check_sep("}") )
     return false;
   mark(f) = m;
   return true;
@@ -290,18 +290,18 @@ void PM_io_parser<PMDEC>::print() const
   out << "vertices "  << vn << std::endl;
   out << "halfedges " << en << std::endl;
   out << "faces "     << fn << std::endl;
-  if (verbose) 
-    out << "/* index { isolated ? face : halfedge, mark, point } */" 
+  if (verbose)
+    out << "/* index { isolated ? face : halfedge, mark, point } */"
         << std::endl;
   Vertex_iterator vit, vend = this->vertices_end();
   for(vit = this->vertices_begin(); vit!=vend; ++vit) print_vertex(vit);
-  if (verbose) 
-    out << "/* index { opposite, prev, next, vertex, face, mark } */" 
+  if (verbose)
+    out << "/* index { opposite, prev, next, vertex, face, mark } */"
         << std::endl;
   Halfedge_iterator eit, eend = this->halfedges_end();
   for(eit = this->halfedges_begin(); eit!=eend; ++eit) print_hedge(eit);
-  if (verbose) 
-    out << "/* index { halfedge, fclist, ivlist, mark } */" 
+  if (verbose)
+    out << "/* index { halfedge, fclist, ivlist, mark } */"
         << std::endl;
   Face_iterator fit, fend = this->faces_end();
   for(fit = this->faces_begin(); fit!=fend; ++fit) print_face(fit);
@@ -310,11 +310,11 @@ void PM_io_parser<PMDEC>::print() const
 }
 
 template <typename PMDEC>
-void PM_io_parser<PMDEC>::read() 
+void PM_io_parser<PMDEC>::read()
 {
-  if ( !check_sep("Plane_map_2") )  
+  if ( !check_sep("Plane_map_2") )
     CGAL_error_msg("PM_io_parser::read: no embedded_PM header.");
-  if ( !(check_sep("vertices") && (in >> vn)) ) 
+  if ( !(check_sep("vertices") && (in >> vn)) )
     CGAL_error_msg("PM_io_parser::read: wrong node line.");
   if ( !(check_sep("halfedges") && (in >> en) && (en%2==0)) )
     CGAL_error_msg("PM_io_parser::read: wrong edge line.");
@@ -326,7 +326,7 @@ void PM_io_parser<PMDEC>::read()
   Face_of.resize(fn);
 
   for(i=0; i<vn; i++)  Vertex_of[i] =   this->new_vertex();
-  for(i=0; i<en; i++) 
+  for(i=0; i<en; i++)
     if (i%2==0) Halfedge_of[i] = this->new_halfedge_pair_without_vertices();
     else Halfedge_of[i] = twin(Halfedge_of[i-1]);
   for(i=0; i<fn; i++)  Face_of[i] =     this->new_face();
@@ -354,14 +354,14 @@ void PM_io_parser<PMDEC>::read()
 
 template <typename PMDEC>
 void PM_io_parser<PMDEC>::debug_vertex(Vertex_handle v) const
-{ 
-  out << index(v) << "[" << mark(v) << "," << point(v) << "]" 
-      << std::endl; 
+{
+  out << index(v) << "[" << mark(v) << "," << point(v) << "]"
+      << std::endl;
 }
 
 template <typename PMDEC>
 void PM_io_parser<PMDEC>::debug_hedge(Halfedge_handle e) const
-{ 
+{
   out << index(e)
       << "(" << index(source(e)) << "," << index(target(e)) << ") "
       << index(face(e)) << " " << index(twin(e))
@@ -371,11 +371,11 @@ void PM_io_parser<PMDEC>::debug_hedge(Ha
 
 template <typename PMDEC>
 void PM_io_parser<PMDEC>::debug() const
-{ 
+{
   out << "\nDEBUG Plane_map\n"
       << "Vertices:  " << this->number_of_vertices() << "\n"
       << "Halfedges: " << this->number_of_halfedges() << "\n";
-  Vertex_iterator vit,vend = this->vertices_end(); 
+  Vertex_iterator vit,vend = this->vertices_end();
   for( vit = this->vertices_begin(); vit != vend; ++vit ) {
     if ( is_isolated(vit) ) continue;
     typename Base::Halfedge_around_vertex_circulator
diff -pruN 5.0.2-3/include/CGAL/Nef_2/PM_overlayer.h 5.0.3-1/include/CGAL/Nef_2/PM_overlayer.h
--- 5.0.2-3/include/CGAL/Nef_2/PM_overlayer.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/PM_overlayer.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/PM_overlayer.h $
-// $Id: PM_overlayer.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/PM_overlayer.h $
+// $Id: PM_overlayer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -49,12 +49,12 @@ struct PMO_from_segs {
   typedef typename Decorator::Halfedge_handle Halfedge_handle;
   typedef typename Decorator::Point           Point;
   const Decorator& G;
-  DA& D; 
-  PMO_from_segs(const Decorator& Gi, DA& Di) : 
+  DA& D;
+  PMO_from_segs(const Decorator& Gi, DA& Di) :
     G(Gi),D(Di) {}
 
   Vertex_handle new_vertex(const Point& p)
-  { Vertex_handle v = G.new_vertex(p); 
+  { Vertex_handle v = G.new_vertex(p);
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
     geninfo<Halfedge_handle>::create(G.info(v));
     #else
@@ -63,12 +63,12 @@ struct PMO_from_segs {
     return v;
   }
 
-  void link_as_target_and_append(Vertex_handle v, Halfedge_handle e) 
+  void link_as_target_and_append(Vertex_handle v, Halfedge_handle e)
   { G.link_as_target_and_append(v,e); }
 
   Halfedge_handle new_halfedge_pair_at_source(Vertex_handle v)
-  { Halfedge_handle e = 
-    G.new_halfedge_pair_at_source(v,Decorator::BEFORE); 
+  { Halfedge_handle e =
+    G.new_halfedge_pair_at_source(v,Decorator::BEFORE);
     return e;
   }
 
@@ -88,7 +88,7 @@ struct PMO_from_segs {
   { D.ending_segment(v,it); }
 
   void halfedge_below(Vertex_handle v, Halfedge_handle e) const
-  { 
+  {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
     geninfo<Halfedge_handle>::access(G.info(v)) = e;
     #else
@@ -99,10 +99,10 @@ struct PMO_from_segs {
   Halfedge_handle halfedge_below(Vertex_handle v) const
   {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    return geninfo<Halfedge_handle>::access(G.info(v)); 
+    return geninfo<Halfedge_handle>::access(G.info(v));
     #else
-    return 
-      boost::any_cast<Halfedge_handle>(G.info(v)); 
+    return
+      boost::any_cast<Halfedge_handle>(G.info(v));
     #endif
   }
 
@@ -133,10 +133,10 @@ struct PMO_from_pm {
   const Decorator& G;
   const Const_decorator* pGI[2];
   CGAL::Unique_hash_map<IT,INFO>& M;
-  PMO_from_pm(const Decorator& Gi, 
-              const Const_decorator* pG0, 
+  PMO_from_pm(const Decorator& Gi,
+              const Const_decorator* pG0,
               const Const_decorator* pG1,
-              CGAL::Unique_hash_map<IT,INFO>& Mi) : G(Gi),M(Mi) 
+              CGAL::Unique_hash_map<IT,INFO>& Mi) : G(Gi),M(Mi)
  { pGI[0]=pG0; pGI[1]=pG1; }
 
  Vertex_handle new_vertex(const Point& p) const
@@ -149,8 +149,8 @@ struct PMO_from_pm {
  { G.link_as_target_and_append(v,e); }
 
  Halfedge_handle new_halfedge_pair_at_source(Vertex_handle v) const
- { Halfedge_handle e = 
-   G.new_halfedge_pair_at_source(v,Decorator::BEFORE); 
+ { Halfedge_handle e =
+   G.new_halfedge_pair_at_source(v,Decorator::BEFORE);
    G.assoc_info(e);
    return e;
  }
@@ -169,7 +169,7 @@ struct PMO_from_pm {
  void trivial_segment(Vertex_handle v, IT it) const
  { INFO& si = M[it];
    CGAL_assertion( si.v != Vertex_const_handle() );
-   G.supp_vertex(v,si.i) = si.v; 
+   G.supp_vertex(v,si.i) = si.v;
  }
 
  void starting_segment(Vertex_handle v, IT it) const
@@ -184,7 +184,7 @@ struct PMO_from_pm {
 
  void passing_segment(Vertex_handle v, IT it) const
  { INFO& si = M[it];
-   G.supp_halfedge(v,si.i) = si.e; 
+   G.supp_halfedge(v,si.i) = si.e;
  }
 
  Halfedge_handle halfedge_below(Vertex_handle v) const
@@ -193,8 +193,8 @@ struct PMO_from_pm {
 
 }; // PMO_from_pm
 
-/*{\Moptions print_title=yes }*/ 
-/*{\Msubst 
+/*{\Moptions print_title=yes }*/
+/*{\Msubst
 PM_decorator_#PMD
 Geometry_#GEO
 }*/
@@ -216,7 +216,7 @@ to different scenarios.  The template pa
 be a model conforming to our plane map decorator concept
 |PMDecorator|.  The concept describes the interface how the
 topological information stored in |P| can be extracted.  The geometry
-|Geometry_| has to be a model conforming to the concept 
+|Geometry_| has to be a model conforming to the concept
 |OverlayerGeometry_2|.
 
 The overlay of a set of segments $S$ is stored in a plane map $P =
@@ -271,7 +271,7 @@ public:
   typedef Geometry_                     Geometry;
   /*{\Mtypemember the geometry kernel |Geometry_|.}*/
   typedef typename Geometry::Point_2    Point;
-  /*{\Mtypemember the point type of the geometric kernel, 
+  /*{\Mtypemember the point type of the geometric kernel,
      \precond |Point| equals |Plane_map::Point|.}*/
   typedef typename Geometry::Segment_2  Segment;
   /*{\Mtypemember the segment type of the geometric kernel.}*/
@@ -292,9 +292,9 @@ public:
   typedef typename Decorator::Halfedge_const_iterator Halfedge_const_iterator;
   typedef typename Decorator::Vertex_const_iterator Vertex_const_iterator;
   typedef typename Decorator::Face_const_iterator Face_const_iterator;
-  typedef typename Decorator::Halfedge_around_vertex_circulator 
+  typedef typename Decorator::Halfedge_around_vertex_circulator
     Halfedge_around_vertex_circulator;
-  typedef typename Decorator::Halfedge_around_face_circulator 
+  typedef typename Decorator::Halfedge_around_face_circulator
     Halfedge_around_face_circulator;
   typedef typename Decorator::Hole_iterator Hole_iterator;
   typedef typename Decorator::Isolated_vertex_iterator Isolated_vertex_iterator;
@@ -359,13 +359,13 @@ public:
     int                   i;
 
     Seg_info() : i(-1) {}
-    Seg_info(Halfedge_const_handle e_, int i_) 
+    Seg_info(Halfedge_const_handle e_, int i_)
     { e=e_; i=i_; }
-    Seg_info(Vertex_const_handle v_, int i_) 
+    Seg_info(Vertex_const_handle v_, int i_)
     { v=v_; i=i_; }
-    Seg_info(const Seg_info& si) 
+    Seg_info(const Seg_info& si)
     { e=si.e; v=si.v; i=si.i; }
-    Seg_info& operator=(const Seg_info& si) 
+    Seg_info& operator=(const Seg_info& si)
     { e=si.e; v=si.v; i=si.i; return *this; }
     LEDA_MEMORY(Seg_info)
   };
@@ -376,16 +376,16 @@ public:
 
 
 /*{\Mcreation 6}*/
-PM_overlayer(Plane_map& P, const Geometry& g = Geometry()) : 
+PM_overlayer(Plane_map& P, const Geometry& g = Geometry()) :
 /*{\Mcreate |\Mvar| is a decorator object manipulating |P|.}*/
   Base(P), K(g) {}
 
 
 template <typename Forward_iterator, typename Object_data_accessor>
-void create(Forward_iterator start, Forward_iterator end, 
+void create(Forward_iterator start, Forward_iterator end,
             Object_data_accessor& A, Creation cr = POLYGON) const
 /*{\Mop produces in |P| the plane map consistent with the overlay
-of the segments from the iterator range |[start,end)|. The data accessor 
+of the segments from the iterator range |[start,end)|. The data accessor
 |A| allows to initialize created vertices and edges with respect to the
 segments in the iterator range. |A| requires the following methods:\\
 [[void supporting_segment(Halfedge_handle e, Forward_iterator it)]]\\
@@ -398,12 +398,12 @@ supporting a newly created edge |e|, |tr
 each trivial segment |*it| supporting a newly created vertex |v|, and
 the three last operations are called for each non-trivial segment
 |*it| starting at/passing through/ending at the embedding of a newly
-created vertex |v|. 
+created vertex |v|.
 \precond |Forward_iterator| has value type |Segment|.}*/
 {
   CGAL_NEF_TRACEN("creating from iterator range");
   CGAL_assertion(cr == POLYGON || cr == POLYLINE);
-  typedef PMO_from_segs<Self,Forward_iterator,Object_data_accessor> 
+  typedef PMO_from_segs<Self,Forward_iterator,Object_data_accessor>
     Output_from_segments;
   typedef Segment_overlay_traits<
     Forward_iterator, Output_from_segments, Geometry> seg_overlay;
@@ -469,14 +469,14 @@ and |\Mvar.mark(v,1) = D1.mark(f1)|.}*/
     Mark m_below[2];
     if ( e_below != Halfedge_handle() ) {
       for (int i=0; i<2; ++i) {
-        m_below[i] = incident_mark(e_below,i); 
+        m_below[i] = incident_mark(e_below,i);
       }
     } else { // e_below does not exist
-      for (int i=0; i<2; ++i) 
+      for (int i=0; i<2; ++i)
         m_below[i] = PI[i].mark(PI[i].faces_begin());
     }
 
-    for (i=0; i<2; ++i) 
+    for (i=0; i<2; ++i)
       if ( supp_halfedge(v,i) != Halfedge_const_handle() ) {
         mark(v,i) = PI[i].mark(supp_halfedge(v,i));
       } else if ( supp_vertex(v,i) != Vertex_const_handle() ) {
@@ -486,7 +486,7 @@ and |\Mvar.mark(v,1) = D1.mark(f1)|.}*/
       }
 
     if ( is_isolated(v) ) continue;
-    Halfedge_around_vertex_circulator 
+    Halfedge_around_vertex_circulator
       e(first_out_edge(v)), hend(e);
     CGAL_For_all(e,hend) {
       if ( is_forward(e) ) {
@@ -498,13 +498,13 @@ and |\Mvar.mark(v,1) = D1.mark(f1)|.}*/
           if ( supported ) {
             ei = supp_halfedge(e,i);
             CGAL_NEF_TRACEN("   supp halfedge "<<i<<" "<<PE(ei));
-            incident_mark(twin(e),i) = 
+            incident_mark(twin(e),i) =
               PI[i].mark(PI[i].face(PI[i].twin(ei)));
             mark(e,i) = PI[i].mark(ei);
             incident_mark(e,i) = m_below[i] =
               PI[i].mark(PI[i].face(ei));
           } else { // no support from input PI[i]
-            incident_mark(twin(e),i) = mark(e,i) = incident_mark(e,i) = 
+            incident_mark(twin(e),i) = mark(e,i) = incident_mark(e,i) =
               m_below[i];
           }
         }
@@ -531,12 +531,12 @@ each object |u| of |P| enriched by the m
 according to the previous procedure |subdivide|, after this operation
 |\Mvar.mark(u) = predicate ( \Mvar.mark(u,0),\Mvar.mark(u,1) )|. The
 additional marks are invalidated afterwards. }*/
-{ 
+{
   Vertex_iterator vit = this->vertices_begin(),
                   vend = this->vertices_end();
   for( ; vit != vend; ++vit) {
     mark(vit) = predicate(mark(vit,0),mark(vit,1));
-    discard_info(vit); 
+    discard_info(vit);
   }
   Halfedge_iterator hit = this->halfedges_begin(),
                     hend = this->halfedges_end();
@@ -565,13 +565,13 @@ and the edges are unified. The data acce
 call operator\\[[bool operator()(Halfedge_handle e)]]\\that allows to
 avoid the simplification for edge pairs referenced by |e|.}*/
 {
-  CGAL_NEF_TRACEN("simplifying"); 
+  CGAL_NEF_TRACEN("simplifying");
   typedef typename CGAL::Union_find<Face_handle>::handle Union_find_handle;
   CGAL::Unique_hash_map< Face_iterator, Union_find_handle> Pitem;
   CGAL::Union_find<Face_handle> unify_faces;
 
   Face_iterator f, fend = this->faces_end();
-  for (f = this->faces_begin(); f!= fend; ++f) { 
+  for (f = this->faces_begin(); f!= fend; ++f) {
      Pitem[f] = unify_faces.make_set(f);
      clear_face_cycle_entries(f);
   }
@@ -579,7 +579,7 @@ avoid the simplification for edge pairs
 
   Halfedge_iterator e = this->halfedges_begin(), en,
                     eend = this->halfedges_end();
-  for(; en=e, ++(++en), e != eend; e=en) { 
+  for(; en=e, ++(++en), e != eend; e=en) {
     if ( keep(e) ) continue;
     if ( mark(e) == mark(face(e)) &&
          mark(e) == mark(face(twin(e))) ) {
@@ -595,7 +595,7 @@ avoid the simplification for edge pairs
       delete_halfedge_pair(e);
     }
   }
-  
+
   CGAL::Unique_hash_map<Halfedge_handle,bool> linked(false);
   for (e = this->halfedges_begin(); e != eend; ++e) {
     if ( linked[e] ) continue;
@@ -605,11 +605,11 @@ avoid the simplification for edge pairs
     CGAL_For_all(hfc,hend) {
       set_face(hfc,f);
       if(target(hfc) == target(e_min)) {
-	Point p1 = point(source(hfc)), 
-          p2 = point(target(hfc)), 
+        Point p1 = point(source(hfc)),
+          p2 = point(target(hfc)),
           p3 = point(target(next(hfc)));
-	if (!K.left_turn(p1,p2,p3) )
-	  e_min = hfc;
+        if (!K.left_turn(p1,p2,p3) )
+          e_min = hfc;
       } else if ( K.compare_xy(point(target(hfc)), point(target(e_min))) < 0 )
         e_min = hfc;
       linked[hfc]=true;
@@ -627,15 +627,15 @@ avoid the simplification for edge pairs
     vn=v; ++vn;
     if ( is_isolated(v) ) {
       if ( mark(v) == mark(face(v)) ) delete_vertex_only(v);
-      else set_isolated_vertex(face(v),v); 
+      else set_isolated_vertex(face(v),v);
     } else { // v not isolated
       Halfedge_handle e2 = first_out_edge(v), e1 = previous(e2);
-      Point p1 = point(source(e1)), p2 = point(v), 
+      Point p1 = point(source(e1)), p2 = point(v),
             p3 = point(target(e2));
       if ( has_outdeg_two(v) &&
            mark(v) == mark(e1) && mark(v) == mark(e2) &&
-           (K.orientation(p1,p2,p3) == 0) ) 
-        merge_halfedge_pairs_at_target(e1); 
+           (K.orientation(p1,p2,p3) == 0) )
+        merge_halfedge_pairs_at_target(e1);
     }
   }
 
@@ -654,8 +654,8 @@ struct vertex_info {
   Vertex_const_handle   v_supp[2];
   Halfedge_const_handle e_supp[2];
   Halfedge_handle       e_below;
-  vertex_info() 
-  { v_supp[0]=v_supp[1]=Vertex_const_handle(); 
+  vertex_info()
+  { v_supp[0]=v_supp[1]=Vertex_const_handle();
     e_supp[0]=e_supp[1]=Halfedge_const_handle(); }
   LEDA_MEMORY(vertex_info)
 };
@@ -672,7 +672,7 @@ void assoc_info(Vertex_handle v) const
 void discard_info(Vertex_handle v) const
 {
   #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-  geninfo<vertex_info>::clear(info(v)); 
+  geninfo<vertex_info>::clear(info(v));
   #else
   info(v)=boost::any();
   #endif
@@ -681,10 +681,10 @@ void discard_info(Vertex_handle v) const
 vertex_info& ginfo(Vertex_handle v) const
 {
   #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-  return geninfo<vertex_info>::access(info(v)); 
+  return geninfo<vertex_info>::access(info(v));
   #else
-  return 
-    *boost::any_cast<vertex_info>(&info(v)); 
+  return
+    *boost::any_cast<vertex_info>(&info(v));
   #endif
 }
 
@@ -706,16 +706,16 @@ struct halfedge_info {
   Halfedge_const_handle e_supp[2];
   bool                  forw;
   halfedge_info()
-  { m[0]=m[1]=mf[0]=mf[1]=Mark(); 
-    e_supp[0]=e_supp[1]=Halfedge_const_handle(); 
+  { m[0]=m[1]=mf[0]=mf[1]=Mark();
+    e_supp[0]=e_supp[1]=Halfedge_const_handle();
     forw=false; }
   LEDA_MEMORY(halfedge_info)
 };
 
 void assoc_info(Halfedge_handle e)  const
-{ 
+{
   #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-  geninfo<halfedge_info>::create(info(e)); 
+  geninfo<halfedge_info>::create(info(e));
   geninfo<halfedge_info>::create(info(twin(e)));
   #else
   info(e)=halfedge_info();
@@ -724,9 +724,9 @@ void assoc_info(Halfedge_handle e)  cons
 }
 
 void discard_info(Halfedge_handle e)  const
-{ 
+{
   #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-  geninfo<halfedge_info>::clear(info(e)); 
+  geninfo<halfedge_info>::clear(info(e));
   geninfo<halfedge_info>::clear(info(twin(e)));
   #else
   info(e)=boost::any();
@@ -739,19 +739,19 @@ halfedge_info& ginfo(Halfedge_handle e)
   #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
   return geninfo<halfedge_info>::access(info(e));
   #else
-  return 
+  return
     *boost::any_cast<halfedge_info>(&info(e));
   #endif
 }
 
 Mark& mark(Halfedge_handle e, int i)  const
-// uedge information we store in the smaller one 
-{ if (&*e < &*(twin(e))) return ginfo(e).m[i]; 
+// uedge information we store in the smaller one
+{ if (&*e < &*(twin(e))) return ginfo(e).m[i];
   else                   return ginfo(twin(e)).m[i]; }
 
 Halfedge_const_handle& supp_halfedge(Halfedge_handle e, int i) const
-// uedge information we store in the smaller one 
-{ if (&*e < &*(twin(e))) return ginfo(e).e_supp[i]; 
+// uedge information we store in the smaller one
+{ if (&*e < &*(twin(e))) return ginfo(e).e_supp[i];
   else                   return ginfo(twin(e)).e_supp[i]; }
 
 Mark& incident_mark(Halfedge_handle e, int i)  const
@@ -769,46 +769,46 @@ struct face_info {
 };
 
 void assoc_info(Face_handle f)  const
-{ 
+{
   #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-  geninfo<face_info>::create(info(f)); 
+  geninfo<face_info>::create(info(f));
   #else
   info(f)=face_info();
   #endif
 }
 
 void discard_info(Face_handle f)  const
-{ 
+{
   #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-  geninfo<face_info>::clear(info(f)); 
+  geninfo<face_info>::clear(info(f));
   #else
   info(f)=boost::any();
   #endif
 }
 
 face_info& ginfo(Face_handle f)  const
-{ 
+{
   #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-  return geninfo<face_info>::access(info(f)); 
+  return geninfo<face_info>::access(info(f));
   #else
-  return 
-    *boost::any_cast<face_info>(&info(f)); 
+  return
+    *boost::any_cast<face_info>(&info(f));
   #endif
 }
 
 Mark& mark(Face_handle f, int i)  const
 { return ginfo(f).m[i]; }
 
-void clear_associated_info_of_all_objects() const 
+void clear_associated_info_of_all_objects() const
 {
   Vertex_iterator vit;
   for (vit = this->vertices_begin(); vit != this->vertices_end(); ++vit)
     discard_info(vit);
   Halfedge_iterator hit;
-  for (hit = this->halfedges_begin(); hit != this->halfedges_end(); ++hit) 
+  for (hit = this->halfedges_begin(); hit != this->halfedges_end(); ++hit)
     discard_info(hit);
   Face_iterator fit;
-  for (fit = this->faces_begin(); fit != this->faces_end(); ++fit) 
+  for (fit = this->faces_begin(); fit != this->faces_end(); ++fit)
     discard_info(fit);
 }
 
@@ -828,15 +828,15 @@ void create_face_objects(const Below_inf
     CGAL_For_all(hfc,hend) {
       FaceCycle[hfc]=i; // assign face cycle number
       if(target(hfc) == target(e_min)) {
-	Point p1 = point(source(hfc)), 
-          p2 = point(target(hfc)), 
+        Point p1 = point(source(hfc)),
+          p2 = point(target(hfc)),
           p3 = point(target(next(hfc)));
-	if (!K.left_turn(p1,p2,p3) )
-	  e_min = hfc;
+        if (!K.left_turn(p1,p2,p3) )
+          e_min = hfc;
       } else if ( K.compare_xy(point(target(hfc)), point(target(e_min))) < 0 )
         e_min = hfc;
       CGAL_NEF_TRACE(PE(hfc));
-    } 
+    }
     CGAL_NEF_TRACEN("");
     MinimalHalfedge.push_back(e_min); ++i;
   }
@@ -845,8 +845,8 @@ void create_face_objects(const Below_inf
   for (int j=0; j<i; ++j) {
     Halfedge_handle e = MinimalHalfedge[j];
       CGAL_NEF_TRACEN("  face cycle "<<j);CGAL_NEF_TRACEN("  minimal halfedge "<<PE(e));
-    Point p1 = point(source(e)), 
-          p2 = point(target(e)), 
+    Point p1 = point(source(e)),
+          p2 = point(target(e)),
           p3 = point(target(next(e)));
     if ( K.left_turn(p1,p2,p3) ) { // left_turn => outer face cycle
       CGAL_NEF_TRACEN("  creating new face object");
@@ -865,10 +865,10 @@ void create_face_objects(const Below_inf
   for (v = this->vertices_begin(); v != v_end; ++v) {
     if ( !is_isolated(v) ) continue;
     Halfedge_handle e_below = D.halfedge_below(v);
-    if ( e_below == Halfedge_handle() ) 
+    if ( e_below == Halfedge_handle() )
       link_as_isolated_vertex(f_outer,v);
     else
-      link_as_isolated_vertex(face(e_below),v);    
+      link_as_isolated_vertex(face(e_below),v);
   }
 
 }
@@ -889,15 +889,15 @@ void create_face_objects_pl(const Below_
     CGAL_For_all(hfc,hend) {
       FaceCycle[hfc]=i; // assign face cycle number
       if(target(hfc) == target(e_min)) {
-	Point p1 = point(source(hfc)), 
-          p2 = point(target(hfc)), 
+        Point p1 = point(source(hfc)),
+          p2 = point(target(hfc)),
           p3 = point(target(next(hfc)));
-	if (!K.left_turn(p1,p2,p3) )
-	  e_min = hfc;
+        if (!K.left_turn(p1,p2,p3) )
+          e_min = hfc;
       } else if ( K.compare_xy(point(target(hfc)), point(target(e_min))) < 0 )
         e_min = hfc;
       CGAL_NEF_TRACE(PE(hfc));
-    } 
+    }
     CGAL_NEF_TRACEN("");
     MinimalHalfedge.push_back(e_min); ++i;
   }
@@ -906,8 +906,8 @@ void create_face_objects_pl(const Below_
   for (int j=0; j<i; ++j) {
     Halfedge_handle e = MinimalHalfedge[j];
       CGAL_NEF_TRACEN("  face cycle "<<j);CGAL_NEF_TRACEN("  minimal halfedge "<<PE(e));
-    Point p1 = point(source(e)), 
-          p2 = point(target(e)), 
+    Point p1 = point(source(e)),
+          p2 = point(target(e)),
           p3 = point(target(next(e)));
     if ( K.left_turn(p1,p2,p3) ) { // left_turn => outer face cycle
       CGAL_NEF_TRACEN("  creating new face object");
@@ -925,7 +925,7 @@ void create_face_objects_pl(const Below_
 }
 
 template <typename Below_info>
-Face_handle determine_face(Halfedge_handle e, 
+Face_handle determine_face(Halfedge_handle e,
   const std::vector<Halfedge_handle>& MinimalHalfedge,
   const CGAL::Unique_hash_map<Halfedge_handle,int>& FaceCycle,
   const Below_info& D) const
@@ -941,17 +941,17 @@ Face_handle determine_face(Halfedge_hand
   return f;
 }
 
-Segment segment(const Const_decorator& N, 
+Segment segment(const Const_decorator& N,
                 Halfedge_const_handle e) const
 { return K.construct_segment(
     N.point(N.source(e)),N.point(N.target(e))); }
 
-Segment segment(const Const_decorator& N, 
+Segment segment(const Const_decorator& N,
                 Vertex_const_handle v) const
-{ Point p = N.point(v); 
+{ Point p = N.point(v);
   return K.construct_segment(p,p); }
 
-bool is_forward_edge(const Const_decorator& N, 
+bool is_forward_edge(const Const_decorator& N,
                      Halfedge_const_iterator hit) const
 { Point p1 = N.point(N.source(hit));
   Point p2 = N.point(N.target(hit));
diff -pruN 5.0.2-3/include/CGAL/Nef_2/PM_persistent_PL.h 5.0.3-1/include/CGAL/Nef_2/PM_persistent_PL.h
--- 5.0.2-3/include/CGAL/Nef_2/PM_persistent_PL.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/PM_persistent_PL.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/PM_persistent_PL.h $
-// $Id: PM_persistent_PL.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/PM_persistent_PL.h $
+// $Id: PM_persistent_PL.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -19,7 +19,7 @@
 #include <CGAL/Nef_2/gen_point_location.h>
 
 template <typename PMPL>
-struct PM_persistent_PL_traits 
+struct PM_persistent_PL_traits
 {
   typedef PMPL  Graph;
   typedef typename PMPL::Vertex_const_handle   Node;
@@ -42,14 +42,14 @@ struct PM_persistent_PL_traits
     HAVC _start, _curr;
     bool met;
     IncEdgeIterator() {}
-    IncEdgeIterator(HAVC c) : 
+    IncEdgeIterator(HAVC c) :
       _start(c), _curr(c), met(false) {}
     IncEdgeIterator& operator++()
     { if (_curr==_start)
         if (!met)  { met=true; ++_curr; }
         else       { _curr=HAVC(); }
       else ++_curr;
-      return *this; 
+      return *this;
     }
     bool operator==(const IncEdgeIterator& it2) const
     { return _curr==it2._curr; }
@@ -58,12 +58,12 @@ struct PM_persistent_PL_traits
   };
   Edge toEdge(const IncEdgeIterator& eit) const { return eit._curr; }
 
-  IncEdgeIterator IncEdges_begin(const Graph& G, const Node& n) 
+  IncEdgeIterator IncEdges_begin(const Graph& G, const Node& n)
   { return IncEdgeIterator(HAVC(G.first_out_edge(n))); }
-  IncEdgeIterator IncEdges_end(const Graph& G, const Node& n)   
+  IncEdgeIterator IncEdges_end(const Graph& G, const Node& n)
   { return IncEdgeIterator(); }
 
-  enum EdgeCategory 
+  enum EdgeCategory
   { StartingNonVertical, StartingVertical, EndingNonVertical, EndingVertical };
 
   Node opposite(const Graph& G, const Edge& e, const Node& u)
@@ -79,16 +79,16 @@ struct PM_persistent_PL_traits
     if ( cmpX < 0 ) return StartingNonVertical;
     if ( cmpX > 0 ) return EndingNonVertical;
 
-    int cmpY = pK->compare_y(p_u, p_v); 
+    int cmpY = pK->compare_y(p_u, p_v);
     CGAL_assertion(cmpY != 0);
     if ( cmpY < 0 ) return StartingVertical;
     return EndingVertical;
-  }    
+  }
 
   typedef Point XCoord;
-  const XCoord getXCoord(const Point& p) const 
+  const XCoord getXCoord(const Point& p) const
   { return p; }
-  const XCoord getXCoord(const Graph& G, const Node& n) const 
+  const XCoord getXCoord(const Graph& G, const Node& n) const
   { return G.point(n); }
 
   class PredLessThanX {
@@ -96,7 +96,7 @@ struct PM_persistent_PL_traits
   public:
     PredLessThanX() : pK(0) {}
     PredLessThanX(const Geometry* pKi) : pK(pKi) {}
-    PredLessThanX(const PredLessThanX& P) : pK(P.pK) 
+    PredLessThanX(const PredLessThanX& P) : pK(P.pK)
     { CGAL_NEF_TRACEN("copy PredLessThanX"); }
     int operator() (const XCoord& x1, const XCoord& x2) const
     { return pK->compare_x(x1,x2) < 0; }
@@ -106,7 +106,7 @@ struct PM_persistent_PL_traits
   // Curve connected functionality:
   typedef Segment  Curve;
 
-  Curve makeCurve(const Point& p) const 
+  Curve makeCurve(const Point& p) const
   { return pK->construct_segment(p,p); }
   Curve makeCurve(const Graph& G, const Node& n) const
   { return makeCurve(G.point(n)); }
@@ -115,7 +115,7 @@ struct PM_persistent_PL_traits
     Curve res(G.point(G.source(e)),G.point(G.target(e)));
     if ( pK->compare_xy(ps,pt) < 0 ) res = pK->construct_segment(ps,pt);
     else                             res = pK->construct_segment(pt,ps);
-    return res; 
+    return res;
   }
 
   struct PredCompareCurves {
@@ -125,35 +125,35 @@ struct PM_persistent_PL_traits
    PredCompareCurves(const PredCompareCurves& P) : pK(P.pK) {}
 
    int cmppntseg(const Point& p, const Curve& s) const
-   { 
+   {
      if ( pK->compare_x(pK->source(s),pK->target(s)) != 0 ) // !vertical
-       return pK->orientation(pK->source(s),pK->target(s), p); 
+       return pK->orientation(pK->source(s),pK->target(s), p);
      if ( pK->compare_y(p,pK->source(s)) <= 0 ) return -1;
      if ( pK->compare_y(p,pK->target(s)) >= 0 ) return +1;
      return 0;
    }
 
    int operator()(const Curve& s1, const Curve& s2) const
-   { 
-     Point a = pK->source(s1); 
+   {
+     Point a = pK->source(s1);
      Point b = pK->target(s1);
      Point c = pK->source(s2);
      Point d = pK->target(s2);
-     if ( a==b ) 
+     if ( a==b )
        if ( c==d ) return pK->compare_y(a,c);
        else        return  cmppntseg(a, s2);
      if ( c==d )   return -cmppntseg(c, s1);
      // now both are non-trivial:
      int cmpX = pK->compare_x(a, c);
-     if ( cmpX < 0 ) 
+     if ( cmpX < 0 )
        return - pK->orientation(a,b,c);
-     if ( cmpX > 0 ) 
+     if ( cmpX > 0 )
        return   pK->orientation(c,d,a);
 
      int cmpY = pK->compare_y(a, c);
      if ( cmpY < 0 ) return -1;
      if ( cmpY > 0 )  return +1;
-      
+
      // cmpX == cmpY == 0 => a == c
      return pK->orientation(c,d,b);
    }
@@ -165,15 +165,15 @@ struct PM_persistent_PL_traits
   typedef GenericLocation<Node, Edge> Location;
   typedef Object_handle QueryResult;
 
-  virtual Object_handle 
-  PostProcess(const Location& L, const Location& L_plus, 
-    const Point& p) const 
+  virtual Object_handle
+  PostProcess(const Location& L, const Location& L_plus,
+    const Point& p) const
   { /* we only get an L_plus (non-nil) if L is ABOVE a vertex
        in which case we want to extract the face from the edge
        below (p+epsilon) available via L_plus. */
     if (!L_plus.is_nil()) { CGAL_assertion(L_plus.is_edge());
       return Object_handle(Edge(L_plus));
-    } else { 
+    } else {
       if ( L.is_edge() ) {
         return Object_handle(Edge(L));
       }
diff -pruN 5.0.2-3/include/CGAL/Nef_2/PM_point_locator.h 5.0.3-1/include/CGAL/Nef_2/PM_point_locator.h
--- 5.0.2-3/include/CGAL/Nef_2/PM_point_locator.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/PM_point_locator.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/PM_point_locator.h $
-// $Id: PM_point_locator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/PM_point_locator.h $
+// $Id: PM_point_locator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -444,13 +444,13 @@ public:
   using Base::faces_begin;
   using Base::info;
   using Base::flip_diagonal;
-  using Base::twin; 
-  using Base::next; 
-  using Base::previous; 
-  using Base::source; 
-  using Base::target; 
-  using Base::point; 
-  using Base::segment; 
+  using Base::twin;
+  using Base::next;
+  using Base::previous;
+  using Base::source;
+  using Base::target;
+  using Base::point;
+  using Base::segment;
   using Base::face;
 
   /*{\Mtypes 2}*/
@@ -472,18 +472,18 @@ public:
       geninfo<VF_pair>::create(info(vn));
       geninfo<VF_pair>::access(info(vn)) = VF_pair(vo,f);
       #else
-      info(vn) = VF_pair(vo,f);      
+      info(vn) = VF_pair(vo,f);
       #endif
       CGAL_NEF_TRACEN("linking to org "<<PV(vn));
     }
 
     void operator()(Halfedge_handle hn, Halfedge_const_handle ho) const
-    { 
+    {
       #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
       geninfo<EF_pair>::create(info(hn));
       geninfo<EF_pair>::access(info(hn)) = EF_pair(ho,Po.face(ho));
       #else
-      info(hn) = EF_pair(ho,Po.face(ho));      
+      info(hn) = EF_pair(ho,Po.face(ho));
       #endif
       CGAL_NEF_TRACEN("linking to org "<<PE(hn));
     }
@@ -493,29 +493,29 @@ protected:
   Vertex_const_handle input_vertex(Vertex_const_handle v) const
   {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    return geninfo<VF_pair>::const_access(CT.info(v)).first; 
+    return geninfo<VF_pair>::const_access(CT.info(v)).first;
     #else
-    return 
-      boost::any_cast<VF_pair>(CT.info(v)).first; 
+    return
+      boost::any_cast<VF_pair>(CT.info(v)).first;
     #endif
   }
 
   Halfedge_const_handle input_halfedge(Halfedge_const_handle e) const
   {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    return geninfo<EF_pair>::const_access(CT.info(e)).first; 
+    return geninfo<EF_pair>::const_access(CT.info(e)).first;
     #else
-    return 
-      boost::any_cast<EF_pair>(CT.info(e)).first; 
+    return
+      boost::any_cast<EF_pair>(CT.info(e)).first;
     #endif
   }
 
   Face_const_handle input_face(Halfedge_const_handle e) const
-  { 
+  {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
     return geninfo<EF_pair>::const_access(CT.info(e)).second;
     #else
-    return 
+    return
       boost::any_cast<EF_pair>(CT.info(e)).second;
     #endif
   }
@@ -580,13 +580,13 @@ protected:
         #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
         f = geninfo<VF_pair>::access(info(source(e))).second;
       else
-        f = geninfo<EF_pair>::access(info(e_from)).second;      
+        f = geninfo<EF_pair>::access(info(e_from)).second;
         #else
-        f = 
+        f =
           boost::any_cast<VF_pair>(info(source(e))).second;
       else
-        f = 
-          boost::any_cast<EF_pair>(info(e_from)).second;              
+        f =
+          boost::any_cast<EF_pair>(info(e_from)).second;
         #endif
       mark(e) = _DP.mark(f);
       #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
@@ -718,16 +718,16 @@ public:
   }
 
   bool ray_shoot_from_outer_facet(Segment& , object_kind& ,
-				  Vertex_const_handle &,
-				  Halfedge_const_handle& ,
-				  const Tag_true& ) const {
+                                  Vertex_const_handle &,
+                                  Halfedge_const_handle& ,
+                                  const Tag_true& ) const {
     return false;
   }
 
   bool ray_shoot_from_outer_facet(Segment& s, object_kind& current,
-				  Vertex_const_handle &v,
-				  Halfedge_const_handle& e,
-				  const Tag_false& ) const {
+                                  Vertex_const_handle &v,
+                                  Halfedge_const_handle& e,
+                                  const Tag_false& ) const {
     CGAL_NEF_TRACEN("target on outer facet");
     Point p = this->K.source(s);
     Vertex_const_handle v1 = CT.vertices_begin();
@@ -737,30 +737,30 @@ public:
     Segment seg;
     bool found = false;
     CGAL_For_all(circ, end) {
-      //	std::cerr << s << std::endl;
-      //	std::cerr << point(source(circ)) << "->" << point(target(circ)) << std::endl;
+      //        std::cerr << s << std::endl;
+      //        std::cerr << point(source(circ)) << "->" << point(target(circ)) << std::endl;
       Object o = intersection(s, Segment(point(source(circ)),
-					 point(target(circ))));
+                                         point(target(circ))));
 
       if(assign(i,o)) {
-	CGAL_NEF_TRACEN("intersection in point " << i);
-	found = true;
-	s = Segment(p,i);
-	if(i == point(source(circ))) {
-	  current = VERTEX;
-	  v = source(circ);
-	} else if(i == point(target(circ))) {
-	  current = VERTEX;
-	  v = target(circ);
-	} else {
-	  current = EDGE_CROSSING;
-	  e = circ;
-	}
+        CGAL_NEF_TRACEN("intersection in point " << i);
+        found = true;
+        s = Segment(p,i);
+        if(i == point(source(circ))) {
+          current = VERTEX;
+          v = source(circ);
+        } else if(i == point(target(circ))) {
+          current = VERTEX;
+          v = target(circ);
+        } else {
+          current = EDGE_CROSSING;
+          e = circ;
+        }
       } else if(assign(seg,o)) {
-	found = true;
-	CGAL_NEF_TRACEN("overlap of segments");
-	current = EDGE_COLLINEAR;
-	e = circ;
+        found = true;
+        CGAL_NEF_TRACEN("overlap of segments");
+        current = EDGE_COLLINEAR;
+        e = circ;
       }
     }
     return found;
@@ -835,10 +835,10 @@ public:
     } else {
 
       if(check_tag(typename Is_extended_kernel<Geometry>::value_type())) {
-	CGAL_error_msg( "code is only for Bounded_kernel");
+        CGAL_error_msg( "code is only for Bounded_kernel");
       }
       if(!ray_shoot_from_outer_facet(s,current,v,e,typename Is_extended_kernel<Geometry>::value_type()))
-	return Object_handle();
+        return Object_handle();
     }
 
     CGAL_NEF_TRACEN("current = " << current);
@@ -909,12 +909,12 @@ public:
   }
 
   bool within_outer_cycle(Vertex_const_handle ,
-			  const Point& , const Tag_true& ) const {
+                          const Point& , const Tag_true& ) const {
     return true;
   }
 
   bool within_outer_cycle(Vertex_const_handle v,
-			  const Point& q, const Tag_false& ) const {
+                          const Point& q, const Tag_false& ) const {
     typedef Project_halfedge_point<typename Decorator::Halfedge, Point> Project;
     typedef Circulator_project<Halfedge_around_face_const_circulator,
       Project, const Point&, const Point*> Circulator;
diff -pruN 5.0.2-3/include/CGAL/Nef_2/Polynomial.h 5.0.3-1/include/CGAL/Nef_2/Polynomial.h
--- 5.0.2-3/include/CGAL/Nef_2/Polynomial.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/Polynomial.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/Polynomial.h $
-// $Id: Polynomial.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/Polynomial.h $
+// $Id: Polynomial.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 //                 Andreas Fabri <Andreas.Fabri@geometryfactory.com>
@@ -35,11 +35,11 @@ namespace Nef {
 template <class NT> class Polynomial_rep;
 
 // SPECIALIZE_CLASS(NT,int double) START
-// CLASS TEMPLATE NT: 
+// CLASS TEMPLATE NT:
 template <class NT> class Polynomial;
-// CLASS TEMPLATE int: 
+// CLASS TEMPLATE int:
 template <> class Polynomial<int> ;
-// CLASS TEMPLATE double: 
+// CLASS TEMPLATE double:
 template <> class Polynomial<double> ;
 // SPECIALIZE_CLASS(NT,int double) END
 
@@ -49,43 +49,43 @@ template <> class Polynomial<double> ;
 
 
 template <class Forward_iterator>
-typename std::iterator_traits<Forward_iterator>::value_type 
+typename std::iterator_traits<Forward_iterator>::value_type
 gcd_of_range(Forward_iterator its, Forward_iterator ite, Unique_factorization_domain_tag)
 /*{\Mfunc calculates the greates common divisor of the
 set of numbers $\{ |*its|, |*++its|, \ldots, |*it| \}$ of type |NT|,
-where |++it == ite| and |NT| is the value type of |Forward_iterator|. 
-\precond there exists a pairwise gcd operation |NT gcd(NT,NT)| and 
+where |++it == ite| and |NT| is the value type of |Forward_iterator|.
+\precond there exists a pairwise gcd operation |NT gcd(NT,NT)| and
 |its!=ite|.}*/
 { CGAL_assertion(its!=ite);
   typedef typename std::iterator_traits<Forward_iterator>::value_type NT;
   NT res = *its++;
-  for(; its!=ite; ++its) res = 
+  for(; its!=ite; ++its) res =
     (*its==0 ? res : CGAL_NTS gcd(res, *its));
   if (res==0) res = 1;
   return res;
 }
 
 template <class Forward_iterator>
-typename std::iterator_traits<Forward_iterator>::value_type 
+typename std::iterator_traits<Forward_iterator>::value_type
 gcd_of_range(Forward_iterator its, Forward_iterator ite, Integral_domain_without_division_tag)
 /*{\Mfunc calculates the greates common divisor of the
 set of numbers $\{ |*its|, |*++its|, \ldots, |*it| \}$ of type |NT|,
-where |++it == ite| and |NT| is the value type of |Forward_iterator|. 
+where |++it == ite| and |NT| is the value type of |Forward_iterator|.
 \precond |its!=ite|.}*/
 { CGAL_assertion(its!=ite);
   typedef typename std::iterator_traits<Forward_iterator>::value_type NT;
   NT res = *its++;
-  for(; its!=ite; ++its) res = 
+  for(; its!=ite; ++its) res =
     (*its==0 ? res : 1);
   if (res==0) res = 1;
   return res;
 }
 
 template <class Forward_iterator>
-typename std::iterator_traits<Forward_iterator>::value_type 
+typename std::iterator_traits<Forward_iterator>::value_type
 gcd_of_range(Forward_iterator its, Forward_iterator ite)
 {
-    
+
   typedef typename std::iterator_traits<Forward_iterator>::value_type NT;
   typedef CGAL::Algebraic_structure_traits<NT> AST;
   return gcd_of_range(its,ite,typename AST::Algebraic_category());
@@ -105,59 +105,59 @@ template <class NT> Polynomial<NT>
 template <class NT> Polynomial<NT>
   operator % (const Polynomial<NT>&, const Polynomial<NT>&);
 
-template<class NT> CGAL::Sign 
+template<class NT> CGAL::Sign
   sign(const Polynomial<NT>& p);
 
-template <class NT> double 
+template <class NT> double
   to_double(const Polynomial<NT>& p) ;
-template <class NT> bool 
+template <class NT> bool
   is_valid(const Polynomial<NT>& p) ;
-template <class NT> bool 
+template <class NT> bool
   is_finite(const Polynomial<NT>& p) ;
 
-template<class NT>  
+template<class NT>
   std::ostream& operator << (std::ostream& os, const Polynomial<NT>& p);
-template <class NT>  
+template <class NT>
   std::istream& operator >> (std::istream& is, Polynomial<NT>& p);
 
 
   // lefthand side
-template<class NT> inline Polynomial<NT> operator + 
+template<class NT> inline Polynomial<NT> operator +
   (const NT& num, const Polynomial<NT>& p2);
-template<class NT> inline Polynomial<NT> operator - 
+template<class NT> inline Polynomial<NT> operator -
   (const NT& num, const Polynomial<NT>& p2);
-template<class NT> inline Polynomial<NT> operator * 
+template<class NT> inline Polynomial<NT> operator *
   (const NT& num, const Polynomial<NT>& p2);
-template<class NT> inline Polynomial<NT> operator / 
+template<class NT> inline Polynomial<NT> operator /
   (const NT& num, const Polynomial<NT>& p2);
-template<class NT> inline Polynomial<NT> operator % 
+template<class NT> inline Polynomial<NT> operator %
   (const NT& num, const Polynomial<NT>& p2);
 
   // righthand side
-template<class NT> inline Polynomial<NT> operator + 
+template<class NT> inline Polynomial<NT> operator +
   (const Polynomial<NT>& p1, const NT& num);
-template<class NT> inline Polynomial<NT> operator - 
+template<class NT> inline Polynomial<NT> operator -
   (const Polynomial<NT>& p1, const NT& num);
-template<class NT> inline Polynomial<NT> operator * 
+template<class NT> inline Polynomial<NT> operator *
   (const Polynomial<NT>& p1, const NT& num);
-template<class NT> inline Polynomial<NT> operator / 
+template<class NT> inline Polynomial<NT> operator /
   (const Polynomial<NT>& p1, const NT& num);
-template<class NT> inline Polynomial<NT> operator % 
+template<class NT> inline Polynomial<NT> operator %
   (const Polynomial<NT>& p1, const NT& num);
 
 
   // lefthand side
-template<class NT> inline bool operator ==  
+template<class NT> inline bool operator ==
   (const NT& num, const Polynomial<NT>& p);
-template<class NT> inline bool operator != 
+template<class NT> inline bool operator !=
   (const NT& num, const Polynomial<NT>& p);
-template<class NT> inline bool operator <  
+template<class NT> inline bool operator <
   (const NT& num, const Polynomial<NT>& p);
-template<class NT> inline bool operator <=  
+template<class NT> inline bool operator <=
   (const NT& num, const Polynomial<NT>& p);
-template<class NT> inline bool operator >  
+template<class NT> inline bool operator >
   (const NT& num, const Polynomial<NT>& p);
-template<class NT> inline bool operator >=  
+template<class NT> inline bool operator >=
   (const NT& num, const Polynomial<NT>& p);
 
   // righthand side
@@ -165,18 +165,18 @@ template<class NT> inline bool operator
   (const Polynomial<NT>& p, const NT& num);
 template<class NT> inline bool operator !=
   (const Polynomial<NT>& p, const NT& num);
-template<class NT> inline bool operator < 
+template<class NT> inline bool operator <
   (const Polynomial<NT>& p, const NT& num);
-template<class NT> inline bool operator <= 
+template<class NT> inline bool operator <=
   (const Polynomial<NT>& p, const NT& num);
-template<class NT> inline bool operator > 
+template<class NT> inline bool operator >
   (const Polynomial<NT>& p, const NT& num);
 template<class NT> inline bool operator >=
   (const Polynomial<NT>& p, const NT& num);
 
 
 
-template <class pNT> class Polynomial_rep { 
+template <class pNT> class Polynomial_rep {
   typedef pNT NT;
 
   typedef std::vector<NT> Vector;
@@ -197,11 +197,11 @@ template <class pNT> class Polynomial_re
 
 
   template <class Forward_iterator>
-  Polynomial_rep(std::pair<Forward_iterator,Forward_iterator> poly) 
+  Polynomial_rep(std::pair<Forward_iterator,Forward_iterator> poly)
     : coeff(poly.first,poly.second) {}
 
 
-  void reduce() 
+  void reduce()
   { while ( coeff.size()>1 && coeff.back()==NT(0) ) coeff.pop_back(); }
 
   friend class Polynomial<pNT>;
@@ -212,21 +212,21 @@ template <class pNT> class Polynomial_re
 };
 
 // SPECIALIZE_CLASS(NT,int double) START
-// CLASS TEMPLATE NT: 
-/*{\Msubst 
+// CLASS TEMPLATE NT:
+/*{\Msubst
 typename iterator_traits<Forward_iterator>::value_type#NT
 <>#
 }*/
 
 /*{\Manpage{Polynomial}{NT}{Polynomials in one variable}{p}}*/
 
-template <class pNT> class Polynomial : 
+template <class pNT> class Polynomial :
   public Handle_for< Polynomial_rep<pNT> >
 {
 /*  {\Mdefinition An instance |\Mvar| of the data type |\Mname| represents
-  a polynomial $p = a_0 + a_1 x + \ldots a_d x^d $ from the ring |NT[x]|. 
-  The data type offers standard ring operations and a sign operation which 
-  determines the sign for the limit process $x \rightarrow \infty$. 
+  a polynomial $p = a_0 + a_1 x + \ldots a_d x^d $ from the ring |NT[x]|.
+  The data type offers standard ring operations and a sign operation which
+  determines the sign for the limit process $x \rightarrow \infty$.
 
   |NT[x]| becomes a unique factorization domain, if the number type
   |NT| is either a field type (1) or a unique factorization domain
@@ -236,7 +236,7 @@ template <class pNT> class Polynomial :
   /*{\Mtypes 5}*/
   public:
   typedef pNT NT;
-  
+
   typedef Handle_for< Polynomial_rep<NT> > Base;
   typedef Polynomial_rep<NT> Rep;
   typedef typename Rep::Vector    Vector;
@@ -262,13 +262,13 @@ template <class pNT> class Polynomial :
   /*{\Mcreate introduces a variable |\Mvar| of type |\Mname| of undefined
   value. }*/
     : Base( Polynomial_rep<NT>() ) {}
-   
+
   Polynomial(const NT& a0)
   /*{\Mcreate introduces a variable |\Mvar| of type |\Mname| representing
   the constant polynomial $a_0$.}*/
     : Base(Polynomial_rep<NT>(a0)) { reduce(); }
 
-  Polynomial(NT a0, NT a1) 
+  Polynomial(NT a0, NT a1)
   /*{\Mcreate introduces a variable |\Mvar| of type |\Mname| representing
   the polynomial $a_0 + a_1 x$. }*/
     : Base(Polynomial_rep<NT>(a0,a1)) { reduce(); }
@@ -279,18 +279,18 @@ template <class pNT> class Polynomial :
     : Base(Polynomial_rep<NT>(a0,a1,a2)) { reduce(); }
 
   template <class Forward_iterator>
-  Polynomial(std::pair<Forward_iterator, Forward_iterator> poly) 
+  Polynomial(std::pair<Forward_iterator, Forward_iterator> poly)
   /*{\Mcreate introduces a variable |\Mvar| of type |\Mname| representing
   the polynomial whose coefficients are determined by the iterator range,
-  i.e. let $(a_0 = |*first|, a_1 = |*++first|, \ldots a_d = |*it|)$, 
-  where |++it == last| then |\Mvar| stores the polynomial $a_1 + a_2 x + 
+  i.e. let $(a_0 = |*first|, a_1 = |*++first|, \ldots a_d = |*it|)$,
+  where |++it == last| then |\Mvar| stores the polynomial $a_1 + a_2 x +
   \ldots a_d x^d$.}*/
     : Base(Polynomial_rep<NT>(poly)) { reduce(); }
 
 
   // KILL double START
   Polynomial(double n) : Base(Polynomial_rep<NT>(NT(n))) { reduce(); }
-  Polynomial(double n1, double n2) 
+  Polynomial(double n1, double n2)
     : Base(Polynomial_rep<NT>(NT(n1),NT(n2))) { reduce(); }
   // KILL double END
 
@@ -301,9 +301,9 @@ template <class pNT> class Polynomial :
   // KILL int END
 
   //protected: // accessing coefficients internally:
-  NT& coeff(unsigned int i) 
+  NT& coeff(unsigned int i)
   { CGAL_assertion(!this->is_shared() && i<(this->ptr()->coeff.size()));
-    return this->ptr()->coeff[i]; 
+    return this->ptr()->coeff[i];
   }
   public:
 
@@ -313,17 +313,17 @@ template <class pNT> class Polynomial :
   const_iterator end()   const { return this->ptr()->coeff.end(); }
   /*{\Mop a random access iterator pointing beyond $a_d$.}*/
 
-  int degree() const 
-  { return  static_cast<int>(this->ptr()->coeff.size())-1; } 
+  int degree() const
+  { return  static_cast<int>(this->ptr()->coeff.size())-1; }
   /*{\Mop the degree of the polynomial.}*/
 
-  const NT& operator[](unsigned int i) const 
+  const NT& operator[](unsigned int i) const
   { CGAL_assertion( i<(this->ptr()->coeff.size()) );
     return this->ptr()->coeff[i]; }
   //{\Marrop the coefficient $a_i$ of the polynomial.}
 
   NT operator()(unsigned int i) const
-  { 
+  {
     if(i<(this->ptr()->coeff.size()))
       return this->ptr()->coeff[i];
     return 0;
@@ -333,9 +333,9 @@ template <class pNT> class Polynomial :
   /*{\Mop evaluates the polynomial at |r|.}*/
   { CGAL_assertion( degree()>=0 );
     NT res = this->ptr()->coeff[0], x = r;
-    for(int i=1; i<=degree(); ++i) 
+    for(int i=1; i<=degree(); ++i)
     { res += this->ptr()->coeff[i]*x; x*=r; }
-    return res; 
+    return res;
   }
 
   CGAL::Sign sign() const
@@ -353,7 +353,7 @@ template <class pNT> class Polynomial :
   { return degree()==0 && this->ptr()->coeff[0]==NT(0); }
 
   Polynomial<NT> abs() const
-  /*{\Mop returns |-\Mvar| if |\Mvar.sign()==NEGATIVE| and |\Mvar| 
+  /*{\Mop returns |-\Mvar| if |\Mvar.sign()==NEGATIVE| and |\Mvar|
   otherwise.}*/
   { return ( sign()==CGAL::NEGATIVE ) ? - *this : *this; }
 
@@ -370,10 +370,10 @@ template <class pNT> class Polynomial :
   also offer comparison predicates as $<,>,\leq,\geq$. Where $p_1 < p_2$
   holds iff $|sign|(p_1 - p_2) < 0$. This data type is fully compliant
   to the requirements of CGAL number types. \setopdims{3cm}{2cm}}*/
-  
+
    friend Polynomial<NT>
    operator - <>  (const Polynomial<NT>&);
-                          
+
   friend Polynomial<NT>
     operator + <> (const Polynomial<NT>&, const Polynomial<NT>&);
 
@@ -383,10 +383,10 @@ template <class pNT> class Polynomial :
   friend Polynomial<NT>
     operator * <> (const Polynomial<NT>&, const Polynomial<NT>&);
 
-  friend 
-  Polynomial<NT>  operator / <> 
+  friend
+  Polynomial<NT>  operator / <>
   (const Polynomial<NT>& p1, const Polynomial<NT>& p2);
-  
+
   /*{\Mbinopfunc implements polynomial division of |p1| and |p2|. if
   |p1 = p2 * p3| then |p2| is returned. The result is undefined if |p3|
   does not exist in |NT[x]|.  The correct division algorithm is chosen
@@ -410,17 +410,17 @@ template <class pNT> class Polynomial :
   factorization domain, i.e. to provide a |gcd| operation.}*/
 
   static void pseudo_div
-    (const Polynomial<NT>& f, const Polynomial<NT>& g, 
+    (const Polynomial<NT>& f, const Polynomial<NT>& g,
      Polynomial<NT>& q, Polynomial<NT>& r, NT& D);
-  /*{\Mstatic implements division with remainder on polynomials of 
+  /*{\Mstatic implements division with remainder on polynomials of
   the ring |NT[x]|: $D*f = g*q + r$.  \precond |NT| is a unique
   factorization domain, i.e., there exists a |gcd| operation and an
   integral division operation on |NT|.}*/
 
-  static void euclidean_div 
-    (const Polynomial<NT>& f, const Polynomial<NT>& g, 
+  static void euclidean_div
+    (const Polynomial<NT>& f, const Polynomial<NT>& g,
      Polynomial<NT>& q, Polynomial<NT>& r);
-  /*{\Mstatic implements division with remainder on polynomials of 
+  /*{\Mstatic implements division with remainder on polynomials of
   the ring |NT[x]|: $f = g*q + r$.  \precond |NT| is a field, i.e.,
   there exists a division operation on |NT|.  }*/
 
@@ -453,7 +453,7 @@ template <class pNT> class Polynomial :
 
   //------------------------------------------------------------------
   // SPECIALIZE_MEMBERS(int double) START
-    
+
   Polynomial<NT>& operator += (const NT& num)
   { this->copy_on_write();
     coeff(0) += (NT)num; return *this; }
@@ -464,21 +464,21 @@ template <class pNT> class Polynomial :
 
   Polynomial<NT>& operator *= (const NT& num)
   { this->copy_on_write();
-    for(int i=0; i<=degree(); ++i) coeff(i) *= (NT)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) *= (NT)num;
     reduce(); return *this; }
 
   Polynomial<NT>& operator /= (const NT& num)
   { this->copy_on_write(); CGAL_assertion(num!=0);
-    for(int i=0; i<=degree(); ++i) coeff(i) /= (NT)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) /= (NT)num;
     reduce(); return *this; }
 
   Polynomial<NT>& operator %= (const NT& num)
   { this->copy_on_write(); CGAL_assertion(num!=0);
-    for(int i=0; i<=degree(); ++i) coeff(i) %= (NT)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) %= (NT)num;
     reduce(); return *this; }
 
-// SPECIALIZING_MEMBERS FOR const int& 
-    
+// SPECIALIZING_MEMBERS FOR const int&
+
   Polynomial<NT>& operator += (const int& num)
   { this->copy_on_write();
     coeff(0) += (NT)num; return *this; }
@@ -489,21 +489,21 @@ template <class pNT> class Polynomial :
 
   Polynomial<NT>& operator *= (const int& num)
   { this->copy_on_write();
-    for(int i=0; i<=degree(); ++i) coeff(i) *= (NT)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) *= (NT)num;
     reduce(); return *this; }
 
   Polynomial<NT>& operator /= (const int& num)
   { this->copy_on_write(); CGAL_assertion(num!=0);
-    for(int i=0; i<=degree(); ++i) coeff(i) /= (NT)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) /= (NT)num;
     reduce(); return *this; }
 
   Polynomial<NT>& operator %= (const int& num)
   { this->copy_on_write(); CGAL_assertion(num!=0);
-    for(int i=0; i<=degree(); ++i) coeff(i) %= (NT)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) %= (NT)num;
     reduce(); return *this; }
 
-// SPECIALIZING_MEMBERS FOR const double& 
-    
+// SPECIALIZING_MEMBERS FOR const double&
+
   Polynomial<NT>& operator += (const double& num)
   { this->copy_on_write();
     coeff(0) += (NT)num; return *this; }
@@ -514,17 +514,17 @@ template <class pNT> class Polynomial :
 
   Polynomial<NT>& operator *= (const double& num)
   { this->copy_on_write();
-    for(int i=0; i<=degree(); ++i) coeff(i) *= (NT)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) *= (NT)num;
     reduce(); return *this; }
 
   Polynomial<NT>& operator /= (const double& num)
   { this->copy_on_write(); CGAL_assertion(num!=0);
-    for(int i=0; i<=degree(); ++i) coeff(i) /= (NT)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) /= (NT)num;
     reduce(); return *this; }
 
   Polynomial<NT>& operator %= (const double& num)
   { this->copy_on_write(); CGAL_assertion(num!=0);
-    for(int i=0; i<=degree(); ++i) coeff(i) %= (NT)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) %= (NT)num;
     reduce(); return *this; }
 
   // SPECIALIZE_MEMBERS(int double) END
@@ -547,8 +547,8 @@ arguments times $T(NT)$, where $T(NT)$ i
 operation on two instances of the ring type.}*/
 
 //############ POLYNOMIAL< INT > ###################################
-// CLASS TEMPLATE int: 
-/*{\Xsubst 
+// CLASS TEMPLATE int:
+/*{\Xsubst
  iterator_traits<Forward_iterator>::value_type#int
 <>#
 }*/
@@ -556,13 +556,13 @@ operation on two instances of the ring t
 /*{\Xanpage{Polynomial}{int}{Polynomials in one variable}{p}}*/
 
 template <>
-class Polynomial<int> : 
+class Polynomial<int> :
   public Handle_for< Polynomial_rep<int> >
 {
 /*{\Xdefinition An instance |\Mvar| of the data type |\Mname| represents
- a polynomial $p = a_0 + a_1 x + \ldots a_d x^d $ from the ring |int[x]|. 
- The data type offers standard ring operations and a sign operation which 
- determines the sign for the limit process $x \rightarrow \infty$. 
+ a polynomial $p = a_0 + a_1 x + \ldots a_d x^d $ from the ring |int[x]|.
+ The data type offers standard ring operations and a sign operation which
+ determines the sign for the limit process $x \rightarrow \infty$.
 
  |int[x]| becomes a unique factorization domain, if the number type
  |int| is either a field type (1) or a unique factorization domain
@@ -598,14 +598,14 @@ class Polynomial<int> :
   /*{\Xcreate introduces a variable |\Mvar| of type |\Mname| of undefined
   value. }*/
     : Base( Polynomial_rep<int>() ) {}
-   
+
   Polynomial(const int& a0)
   /*{\Xcreate introduces a variable |\Mvar| of type |\Mname| representing
   the constant polynomial $a_0$.}*/
     : Base(Polynomial_rep<int>(a0)) { reduce(); }
 
 
-  Polynomial(int a0, int a1) 
+  Polynomial(int a0, int a1)
   /*{\Xcreate introduces a variable |\Mvar| of type |\Mname| representing
   the polynomial $a_0 + a_1 x$. }*/
     : Base(Polynomial_rep<int>(a0,a1)) { reduce(); }
@@ -617,11 +617,11 @@ class Polynomial<int> :
 
 
   template <class Forward_iterator>
-  Polynomial(std::pair<Forward_iterator, Forward_iterator> poly) 
+  Polynomial(std::pair<Forward_iterator, Forward_iterator> poly)
   /*{\Xcreate introduces a variable |\Mvar| of type |\Mname| representing
   the polynomial whose coefficients are determined by the iterator range,
-  i.e. let $(a_0 = |*first|, a_1 = |*++first|, \ldots a_d = |*it|)$, 
-  where |++it == last| then |\Mvar| stores the polynomial $a_1 + a_2 x + 
+  i.e. let $(a_0 = |*first|, a_1 = |*++first|, \ldots a_d = |*it|)$,
+  where |++it == last| then |\Mvar| stores the polynomial $a_1 + a_2 x +
   \ldots a_d x^d$.}*/
     : Base(Polynomial_rep<int>(poly)) { reduce(); }
 
@@ -629,14 +629,14 @@ class Polynomial<int> :
 
   // KILL double START
   Polynomial(double n) : Base(Polynomial_rep<int>(int(n))) { reduce(); }
-  Polynomial(double n1, double n2) 
+  Polynomial(double n1, double n2)
     : Base(Polynomial_rep<int>(int(n1),int(n2))) { reduce(); }
   // KILL double END
 
   //protected: // accessing coefficients internally:
-  int& coeff(unsigned int i) 
+  int& coeff(unsigned int i)
   { CGAL_assertion(!this->is_shared() && i<(this->ptr()->coeff.size()));
-    return this->ptr()->coeff[i]; 
+    return this->ptr()->coeff[i];
   }
   public:
 
@@ -646,11 +646,11 @@ class Polynomial<int> :
   const_iterator end()   const { return this->ptr()->coeff.end(); }
   /*{\Xop a random access iterator pointing beyond $a_d$.}*/
 
-  int degree() const 
-  { return static_cast<int>(this->ptr()->coeff.size())-1; } 
+  int degree() const
+  { return static_cast<int>(this->ptr()->coeff.size())-1; }
   /*{\Xop the degree of the polynomial.}*/
 
-  const int& operator[](unsigned int i) const 
+  const int& operator[](unsigned int i) const
   { CGAL_assertion( i<(this->ptr()->coeff.size()) );
     return this->ptr()->coeff[i]; }
   /*{\Xarrop the coefficient $a_i$ of the polynomial.}*/
@@ -659,9 +659,9 @@ class Polynomial<int> :
   /*{\Xop evaluates the polynomial at |r|.}*/
   { CGAL_assertion( degree()>=0 );
     int res = this->ptr()->coeff[0], x = r;
-    for(int i=1; i<=degree(); ++i) 
+    for(int i=1; i<=degree(); ++i)
     { res += this->ptr()->coeff[i]*x; x*=r; }
-    return res; 
+    return res;
   }
 
   CGAL::Sign sign() const
@@ -678,7 +678,7 @@ class Polynomial<int> :
   { return degree()==0 && this->ptr()->coeff[0]==int(0); }
 
   Polynomial<int> abs() const
-  /*{\Xop returns |-\Mvar| if |\Mvar.sign()==NEGATIVE| and |\Mvar| 
+  /*{\Xop returns |-\Mvar| if |\Mvar.sign()==NEGATIVE| and |\Mvar|
   otherwise.}*/
   { return ( sign()==CGAL::NEGATIVE ) ? - *this : *this; }
 
@@ -695,7 +695,7 @@ class Polynomial<int> :
   holds iff $|sign|(p_1 - p_2) < 0$. This data type is fully compliant
   to the requirements of CGAL number types. \setopdims{3cm}{2cm}}*/
 
-                          
+
   friend Polynomial<int>
     operator + <> (const Polynomial<int>&, const Polynomial<int>&);
 
@@ -705,8 +705,8 @@ class Polynomial<int> :
   friend Polynomial<int>
     operator * <> (const Polynomial<int>&, const Polynomial<int>&);
 
-  friend 
-  Polynomial<int>  operator / <> 
+  friend
+  Polynomial<int>  operator / <>
   (const Polynomial<int>& p1, const Polynomial<int>& p2);
   /*{\Xbinopfunc implements polynomial division of |p1| and |p2|. if
   |p1 = p2 * p3| then |p2| is returned. The result is undefined if |p3|
@@ -731,17 +731,17 @@ class Polynomial<int> :
   factorization domain, i.e. to provide a |gcd| operation.}*/
 
   static void pseudo_div
-    (const Polynomial<int>& f, const Polynomial<int>& g, 
+    (const Polynomial<int>& f, const Polynomial<int>& g,
      Polynomial<int>& q, Polynomial<int>& r, int& D);
-  /*{\Xstatic implements division with remainder on polynomials of 
+  /*{\Xstatic implements division with remainder on polynomials of
   the ring |int[x]|: $D*f = g*q + r$.  \precond |int| is a unique
   factorization domain, i.e., there exists a |gcd| operation and an
   integral division operation on |int|.}*/
 
-  static void euclidean_div 
-    (const Polynomial<int>& f, const Polynomial<int>& g, 
+  static void euclidean_div
+    (const Polynomial<int>& f, const Polynomial<int>& g,
      Polynomial<int>& q, Polynomial<int>& r);
-  /*{\Xstatic implements division with remainder on polynomials of 
+  /*{\Xstatic implements division with remainder on polynomials of
   the ring |int[x]|: $f = g*q + r$.  \precond |int| is a field, i.e.,
   there exists a division operation on |int|.  }*/
 
@@ -774,7 +774,7 @@ class Polynomial<int> :
 
   //------------------------------------------------------------------
   // SPECIALIZE_MEMBERS(int double) START
-    
+
   Polynomial<int>& operator += (const int& num)
   { this->copy_on_write();
     coeff(0) += (int)num; return *this; }
@@ -785,21 +785,21 @@ class Polynomial<int> :
 
   Polynomial<int>& operator *= (const int& num)
   { this->copy_on_write();
-    for(int i=0; i<=degree(); ++i) coeff(i) *= (int)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) *= (int)num;
     reduce(); return *this; }
 
   Polynomial<int>& operator /= (const int& num)
   { this->copy_on_write(); CGAL_assertion(num!=0);
-    for(int i=0; i<=degree(); ++i) coeff(i) /= (int)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) /= (int)num;
     reduce(); return *this; }
 
   Polynomial<int>& operator %= (const int& num)
   { this->copy_on_write(); CGAL_assertion(num!=0);
-    for(int i=0; i<=degree(); ++i) coeff(i) %= (int)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) %= (int)num;
     reduce(); return *this; }
 
-// SPECIALIZING_MEMBERS FOR const double& 
-    
+// SPECIALIZING_MEMBERS FOR const double&
+
   Polynomial<int>& operator += (const double& num)
   { this->copy_on_write();
     coeff(0) += (int)num; return *this; }
@@ -810,17 +810,17 @@ class Polynomial<int> :
 
   Polynomial<int>& operator *= (const double& num)
   { this->copy_on_write();
-    for(int i=0; i<=degree(); ++i) coeff(i) *= (int)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) *= (int)num;
     reduce(); return *this; }
 
   Polynomial<int>& operator /= (const double& num)
   { this->copy_on_write(); CGAL_assertion(num!=0);
-    for(int i=0; i<=degree(); ++i) coeff(i) /= (int)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) /= (int)num;
     reduce(); return *this; }
 
   Polynomial<int>& operator %= (const double& num)
   { this->copy_on_write(); CGAL_assertion(num!=0);
-    for(int i=0; i<=degree(); ++i) coeff(i) %= (int)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) %= (int)num;
     reduce(); return *this; }
 
   // SPECIALIZE_MEMBERS(int double) END
@@ -848,8 +848,8 @@ operation on two instances of the ring t
 //############ POLYNOMIAL< DOUBLE > ################################
 
 
-// CLASS TEMPLATE double: 
-/*{\Xsubst 
+// CLASS TEMPLATE double:
+/*{\Xsubst
  iterator_traits<Forward_iterator>::value_type#double
 <>#
 }*/
@@ -857,13 +857,13 @@ operation on two instances of the ring t
 /*{\Xanpage{Polynomial}{double}{Polynomials in one variable}{p}}*/
 
 template <>
-class Polynomial<double> : 
+class Polynomial<double> :
   public Handle_for< Polynomial_rep<double> >
 {
 /*{\Xdefinition An instance |\Mvar| of the data type |\Mname| represents
-a polynomial $p = a_0 + a_1 x + \ldots a_d x^d $ from the ring |double[x]|. 
-The data type offers standard ring operations and a sign operation which 
-determines the sign for the limit process $x \rightarrow \infty$. 
+a polynomial $p = a_0 + a_1 x + \ldots a_d x^d $ from the ring |double[x]|.
+The data type offers standard ring operations and a sign operation which
+determines the sign for the limit process $x \rightarrow \infty$.
 
 |double[x]| becomes a unique factorization domain, if the number type
 |double| is either a field type (1) or a unique factorization domain
@@ -899,7 +899,7 @@ determines the sign for the limit proces
   /*{\Xcreate introduces a variable |\Mvar| of type |\Mname| of undefined
   value. }*/
     : Base( Polynomial_rep<double>() ) {}
-   
+
   Polynomial(const double& a0)
   /*{\Xcreate introduces a variable |\Mvar| of type |\Mname| representing
   the constant polynomial $a_0$.}*/
@@ -916,11 +916,11 @@ determines the sign for the limit proces
     : Base(Polynomial_rep<double>(a0,a1,a2)) { reduce(); }
 
   template <class Forward_iterator>
-  Polynomial(std::pair<Forward_iterator, Forward_iterator> poly) 
+  Polynomial(std::pair<Forward_iterator, Forward_iterator> poly)
   /*{\Xcreate introduces a variable |\Mvar| of type |\Mname| representing
   the polynomial whose coefficients are determined by the iterator range,
-  i.e. let $(a_0 = |*first|, a_1 = |*++first|, \ldots a_d = |*it|)$, 
-  where |++it == last| then |\Mvar| stores the polynomial $a_1 + a_2 x + 
+  i.e. let $(a_0 = |*first|, a_1 = |*++first|, \ldots a_d = |*it|)$,
+  where |++it == last| then |\Mvar| stores the polynomial $a_1 + a_2 x +
   \ldots a_d x^d$.}*/
     : Base(Polynomial_rep<double>(poly)) { reduce(); }
 
@@ -933,9 +933,9 @@ determines the sign for the limit proces
   // KILL int END
 
   //protected: // accessing coefficients internally:
-  double& coeff(unsigned int i) 
+  double& coeff(unsigned int i)
   { CGAL_assertion(!this->is_shared() && i<(this->ptr()->coeff.size()));
-    return this->ptr()->coeff[i]; 
+    return this->ptr()->coeff[i];
   }
   public:
 
@@ -945,11 +945,11 @@ determines the sign for the limit proces
   const_iterator end()   const { return this->ptr()->coeff.end(); }
   /*{\Xop a random access iterator pointing beyond $a_d$.}*/
 
-  int degree() const 
-  { return static_cast<int>(this->ptr()->coeff.size())-1; } 
+  int degree() const
+  { return static_cast<int>(this->ptr()->coeff.size())-1; }
   /*{\Xop the degree of the polynomial.}*/
 
-  const double& operator[](unsigned int i) const 
+  const double& operator[](unsigned int i) const
   { CGAL_assertion( i<(this->ptr()->coeff.size()) );
     return this->ptr()->coeff[i]; }
   /*{\Xarrop the coefficient $a_i$ of the polynomial.}*/
@@ -958,9 +958,9 @@ determines the sign for the limit proces
   /*{\Xop evaluates the polynomial at |r|.}*/
   { CGAL_assertion( degree()>=0 );
     double res = this->ptr()->coeff[0], x = r;
-    for(int i=1; i<=degree(); ++i) 
+    for(int i=1; i<=degree(); ++i)
     { res += this->ptr()->coeff[i]*x; x*=r; }
-    return res; 
+    return res;
   }
 
   CGAL::Sign sign() const
@@ -977,7 +977,7 @@ determines the sign for the limit proces
   { return degree()==0 && this->ptr()->coeff[0]==double(0); }
 
   Polynomial<double> abs() const
-  /*{\Xop returns |-\Mvar| if |\Mvar.sign()==NEGATIVE| and |\Mvar| 
+  /*{\Xop returns |-\Mvar| if |\Mvar.sign()==NEGATIVE| and |\Mvar|
   otherwise.}*/
   { return ( sign()==CGAL::NEGATIVE ) ? - *this : *this; }
 
@@ -988,14 +988,14 @@ determines the sign for the limit proces
   { CGAL_assertion( degree()>=0 );
     return gcd_of_range(this->ptr()->coeff.begin(),this->ptr()->coeff.end());
   }
- 
+
 
   /*{\Xtext Additionally |\Mname| offers standard arithmetic ring
   opertions like |+,-,*,+=,-=,*=|. By means of the sign operation we can
   also offer comparison predicates as $<,>,\leq,\geq$. Where $p_1 < p_2$
   holds iff $|sign|(p_1 - p_2) < 0$. This data type is fully compliant
   to the requirements of CGAL number types. \setopdims{3cm}{2cm}}*/
-                     
+
   friend Polynomial<double>
     operator + <> (const Polynomial<double>&, const Polynomial<double>&);
 
@@ -1005,8 +1005,8 @@ determines the sign for the limit proces
   friend Polynomial<double>
     operator * <> (const Polynomial<double>&, const Polynomial<double>&);
 
-  friend 
-  Polynomial<double>  operator / <> 
+  friend
+  Polynomial<double>  operator / <>
   (const Polynomial<double>& p1, const Polynomial<double>& p2);
   /*{\Xbinopfunc implements polynomial division of |p1| and |p2|. if
   |p1 = p2 * p3| then |p2| is returned. The result is undefined if |p3|
@@ -1031,17 +1031,17 @@ determines the sign for the limit proces
   factorization domain, i.e. to provide a |gdc| operation.}*/
 
   static void pseudo_div
-    (const Polynomial<double>& f, const Polynomial<double>& g, 
+    (const Polynomial<double>& f, const Polynomial<double>& g,
      Polynomial<double>& q, Polynomial<double>& r, double& D);
-  /*{\Xstatic implements division with remainder on polynomials of 
+  /*{\Xstatic implements division with remainder on polynomials of
   the ring |double[x]|: $D*f = g*q + r$.  \precond |double| is a unique
   factorization domain, i.e., there exists a |gcd| operation and an
   integral division operation on |double|.}*/
 
-  static void euclidean_div 
-    (const Polynomial<double>& f, const Polynomial<double>& g, 
+  static void euclidean_div
+    (const Polynomial<double>& f, const Polynomial<double>& g,
      Polynomial<double>& q, Polynomial<double>& r);
-  /*{\Xstatic implements division with remainder on polynomials of 
+  /*{\Xstatic implements division with remainder on polynomials of
   the ring |double[x]|: $f = g*q + r$.  \precond |double| is a field, i.e.,
   there exists a division operation on |double|.  }*/
 
@@ -1074,7 +1074,7 @@ determines the sign for the limit proces
 
   //------------------------------------------------------------------
   // SPECIALIZE_MEMBERS(int double) START
-    
+
   Polynomial<double>& operator += (const double& num)
   { this->copy_on_write();
     coeff(0) += (double)num; return *this; }
@@ -1085,23 +1085,23 @@ determines the sign for the limit proces
 
   Polynomial<double>& operator *= (const double& num)
   { this->copy_on_write();
-    for(int i=0; i<=degree(); ++i) coeff(i) *= (double)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) *= (double)num;
     reduce(); return *this; }
 
   Polynomial<double>& operator /= (const double& num)
   { this->copy_on_write(); CGAL_assertion(num!=0);
-    for(int i=0; i<=degree(); ++i) coeff(i) /= (double)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) /= (double)num;
     reduce(); return *this; }
 
 /*
   Polynomial<double>& operator %= (const double& num)
   { this->copy_on_write(); CGAL_assertion(num!=0);
-    for(int i=0; i<=degree(); ++i) coeff(i) %= (double)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) %= (double)num;
     reduce(); return *this; }
 */
 
-// SPECIALIZING_MEMBERS FOR const int& 
-    
+// SPECIALIZING_MEMBERS FOR const int&
+
   Polynomial<double>& operator += (const int& num)
   { this->copy_on_write();
     coeff(0) += (double)num; return *this; }
@@ -1112,18 +1112,18 @@ determines the sign for the limit proces
 
   Polynomial<double>& operator *= (const int& num)
   { this->copy_on_write();
-    for(int i=0; i<=degree(); ++i) coeff(i) *= (double)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) *= (double)num;
     reduce(); return *this; }
 
   Polynomial<double>& operator /= (const int& num)
   { this->copy_on_write(); CGAL_assertion(num!=0);
-    for(int i=0; i<=degree(); ++i) coeff(i) /= (double)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) /= (double)num;
     reduce(); return *this; }
 
 /*
   Polynomial<double>& operator %= (const int& num)
   { this->copy_on_write(); CGAL_assertion(num!=0);
-    for(int i=0; i<=degree(); ++i) coeff(i) %= (double)num; 
+    for(int i=0; i<=degree(); ++i) coeff(i) %= (double)num;
     reduce(); return *this; }
 */
 
@@ -1153,23 +1153,23 @@ operation on two instances of the ring t
 
 // SPECIALIZE_CLASS(NT,int double) END
 
-template <class NT> double to_double 
-  (const Polynomial<NT>&) 
+template <class NT> double to_double
+  (const Polynomial<NT>&)
   { return 0; }
 
-template <class NT> bool is_valid 
-  (const Polynomial<NT>& p) 
+template <class NT> bool is_valid
+  (const Polynomial<NT>& p)
   { return (CGAL::is_valid(p[0])); }
 
-template <class NT> bool is_finite 
-  (const Polynomial<NT>& p) 
+template <class NT> bool is_finite
+  (const Polynomial<NT>& p)
   { return CGAL::is_finite(p[0]); }
 
-template <class NT> 
+template <class NT>
 Polynomial<NT> operator - (const Polynomial<NT>& p)
 {
   CGAL_assertion(p.degree()>=0);
-  Polynomial<NT> res(std::make_pair(p.coeffs().begin(),p.coeffs().end())); 
+  Polynomial<NT> res(std::make_pair(p.coeffs().begin(),p.coeffs().end()));
   typename Polynomial<NT>::iterator it, ite=res.coeffs().end();
   for(it=res.coeffs().begin(); it!=ite; ++it) *it = -*it;
   return res;
@@ -1177,10 +1177,10 @@ Polynomial<NT> operator - (const Polynom
 
 
 
-template <class NT> 
-Polynomial<NT> operator + (const Polynomial<NT>& p1, 
+template <class NT>
+Polynomial<NT> operator + (const Polynomial<NT>& p1,
                             const Polynomial<NT>& p2)
-{ 
+{
   typedef typename Polynomial<NT>::size_type size_type;
   CGAL_assertion(p1.degree()>=0 && p2.degree()>=0);
   bool p1d_smaller_p2d = p1.degree() < p2.degree();
@@ -1195,10 +1195,10 @@ Polynomial<NT> operator + (const Polynom
   return p;
 }
 
-template <class NT> 
-Polynomial<NT> operator - (const Polynomial<NT>& p1, 
+template <class NT>
+Polynomial<NT> operator - (const Polynomial<NT>& p1,
                             const Polynomial<NT>& p2)
-{ 
+{
   typedef typename Polynomial<NT>::size_type size_type;
   CGAL_assertion(p1.degree()>=0 && p2.degree()>=0);
   bool p1d_smaller_p2d = p1.degree() < p2.degree();
@@ -1213,26 +1213,26 @@ Polynomial<NT> operator - (const Polynom
   return p;
 }
 
-template <class NT> 
-Polynomial<NT> operator * (const Polynomial<NT>& p1, 
+template <class NT>
+Polynomial<NT> operator * (const Polynomial<NT>& p1,
                             const Polynomial<NT>& p2)
 {
   typedef typename Polynomial<NT>::size_type size_type;
   if (p1.degree()<0 || p2.degree()<0) return p1;
   CGAL_assertion(p1.degree()>=0 && p2.degree()>=0);
-  Polynomial<NT>  p( size_type(p1.degree()+p2.degree()+1) ); 
+  Polynomial<NT>  p( size_type(p1.degree()+p2.degree()+1) );
   // initialized with zeros
   for (int i=0; i <= p1.degree(); ++i)
     for (int j=0; j <= p2.degree(); ++j)
-      p.coeff(i+j) += (p1[i]*p2[j]); 
+      p.coeff(i+j) += (p1[i]*p2[j]);
   p.reduce();
   return p;
 }
 
 template <class NT>
-Polynomial<NT> operator / (const Polynomial<NT>& p1, 
+Polynomial<NT> operator / (const Polynomial<NT>& p1,
                            const Polynomial<NT>& p2)
-{ 
+{
     typedef Algebraic_structure_traits<NT> AST;
     return divop(p1,p2, typename AST::Algebraic_category());
 }
@@ -1240,20 +1240,20 @@ Polynomial<NT> operator / (const Polynom
 
 template <class NT> inline
 Polynomial<NT> operator % (const Polynomial<NT>& p1,
-			   const Polynomial<NT>& p2)
-{ 
+                           const Polynomial<NT>& p2)
+{
     typedef Algebraic_structure_traits<NT> AST;
     return modop(p1,p2, typename AST::Algebraic_category());
 }
 
 
-template <class NT> 
-Polynomial<NT> divop (const Polynomial<NT>& p1, 
+template <class NT>
+Polynomial<NT> divop (const Polynomial<NT>& p1,
                       const Polynomial<NT>& p2,
                       Integral_domain_without_division_tag)
 { CGAL_assertion(!p2.is_zero());
   if (p1.is_zero()) {
-	return 0;
+        return 0;
   }
   Polynomial<NT> q;
   Polynomial<NT> r;
@@ -1263,21 +1263,21 @@ Polynomial<NT> divop (const Polynomial<N
 }
 
 
-template <class NT> 
-Polynomial<NT> divop (const Polynomial<NT>& p1, 
+template <class NT>
+Polynomial<NT> divop (const Polynomial<NT>& p1,
                       const Polynomial<NT>& p2,
                       Unique_factorization_domain_tag)
 { CGAL_assertion(!p2.is_zero());
   if (p1.is_zero()) return 0;
-  Polynomial<NT> q,r; NT D; 
-  Polynomial<NT>::pseudo_div(p1,p2,q,r,D); 
+  Polynomial<NT> q,r; NT D;
+  Polynomial<NT>::pseudo_div(p1,p2,q,r,D);
   CGAL_postcondition( (p2*q+r==p1*Polynomial<NT>(D)) );
   return q/=D;
 }
 
 
-template <class NT> 
-Polynomial<NT> modop (const Polynomial<NT>& p1, 
+template <class NT>
+Polynomial<NT> modop (const Polynomial<NT>& p1,
                       const Polynomial<NT>& p2,
                       Integral_domain_without_division_tag)
 { CGAL_assertion(!p2.is_zero());
@@ -1289,50 +1289,50 @@ Polynomial<NT> modop (const Polynomial<N
 }
 
 
-template <class NT> 
-Polynomial<NT> modop (const Polynomial<NT>& p1, 
+template <class NT>
+Polynomial<NT> modop (const Polynomial<NT>& p1,
                       const Polynomial<NT>& p2,
                       Unique_factorization_domain_tag)
 { CGAL_assertion(!p2.is_zero());
   if (p1.is_zero()) return 0;
-  Polynomial<NT> q,r; NT D; 
-  Polynomial<NT>::pseudo_div(p1,p2,q,r,D); 
+  Polynomial<NT> q,r; NT D;
+  Polynomial<NT>::pseudo_div(p1,p2,q,r,D);
   CGAL_postcondition( (p2*q+r==p1*Polynomial<NT>(D)) );
   return q/=D;
 }
 
 
-template <class NT> 
-inline Polynomial<NT> 
+template <class NT>
+inline Polynomial<NT>
 gcd(const Polynomial<NT>& p1, const Polynomial<NT>& p2)
 { return Polynomial<NT>::gcd(p1,p2); }
 
 
-template <class NT> bool operator == 
+template <class NT> bool operator ==
   (const Polynomial<NT>& p1, const Polynomial<NT>& p2)
-  { return ( (p1-p2).sign() == CGAL::ZERO ); }    
+  { return ( (p1-p2).sign() == CGAL::ZERO ); }
 
-template <class NT> bool operator != 
+template <class NT> bool operator !=
   (const Polynomial<NT>& p1, const Polynomial<NT>& p2)
-  { return ( (p1-p2).sign() != CGAL::ZERO ); }    
+  { return ( (p1-p2).sign() != CGAL::ZERO ); }
 
-template <class NT> bool operator <  
+template <class NT> bool operator <
   (const Polynomial<NT>& p1, const Polynomial<NT>& p2)
-  { return ( (p1-p2).sign() == CGAL::NEGATIVE ); }    
+  { return ( (p1-p2).sign() == CGAL::NEGATIVE ); }
 
-template <class NT> bool operator <= 
+template <class NT> bool operator <=
   (const Polynomial<NT>& p1, const Polynomial<NT>& p2)
-  { return ( (p1-p2).sign() != CGAL::POSITIVE ); }    
+  { return ( (p1-p2).sign() != CGAL::POSITIVE ); }
 
-template <class NT> bool operator >  
+template <class NT> bool operator >
   (const Polynomial<NT>& p1, const Polynomial<NT>& p2)
-  { return ( (p1-p2).sign() == CGAL::POSITIVE ); }    
+  { return ( (p1-p2).sign() == CGAL::POSITIVE ); }
 
-template <class NT> bool operator >= 
+template <class NT> bool operator >=
   (const Polynomial<NT>& p1, const Polynomial<NT>& p2)
-  { return ( (p1-p2).sign() != CGAL::NEGATIVE ); }    
+  { return ( (p1-p2).sign() != CGAL::NEGATIVE ); }
 
-template <class NT> CGAL::Sign 
+template <class NT> CGAL::Sign
   sign(const Polynomial<NT>& p)
   { return p.sign(); }
 
@@ -1341,168 +1341,168 @@ template <class NT> CGAL::Sign
 // SPECIALIZING inline to :
 
   // lefthand side
-  inline    Polynomial<int> operator + 
+  inline    Polynomial<int> operator +
   (const int& num, const Polynomial<int>& p2)
   { return (Polynomial<int>(num) + p2); }
-  inline    Polynomial<int> operator - 
+  inline    Polynomial<int> operator -
   (const int& num, const Polynomial<int>& p2)
   { return (Polynomial<int>(num) - p2); }
-  inline    Polynomial<int> operator * 
+  inline    Polynomial<int> operator *
   (const int& num, const Polynomial<int>& p2)
   { return (Polynomial<int>(num) * p2); }
-  inline    Polynomial<int> operator / 
+  inline    Polynomial<int> operator /
   (const int& num, const Polynomial<int>& p2)
   { return (Polynomial<int>(num)/p2); }
-  inline    Polynomial<int> operator % 
+  inline    Polynomial<int> operator %
   (const int& num, const Polynomial<int>& p2)
   { return (Polynomial<int>(num)%p2); }
 
   // righthand side
-  inline    Polynomial<int> operator + 
+  inline    Polynomial<int> operator +
   (const Polynomial<int>& p1, const int& num)
   { return (p1 + Polynomial<int>(num)); }
-  inline    Polynomial<int> operator - 
+  inline    Polynomial<int> operator -
   (const Polynomial<int>& p1, const int& num)
   { return (p1 - Polynomial<int>(num)); }
-  inline    Polynomial<int> operator * 
+  inline    Polynomial<int> operator *
   (const Polynomial<int>& p1, const int& num)
   { return (p1 * Polynomial<int>(num)); }
-  inline    Polynomial<int> operator / 
+  inline    Polynomial<int> operator /
   (const Polynomial<int>& p1, const int& num)
   { return (p1 / Polynomial<int>(num)); }
-  inline    Polynomial<int> operator % 
+  inline    Polynomial<int> operator %
   (const Polynomial<int>& p1, const int& num)
   { return (p1 % Polynomial<int>(num)); }
 
   // lefthand side
-  inline    bool operator ==  
-  (const int& num, const Polynomial<int>& p) 
+  inline    bool operator ==
+  (const int& num, const Polynomial<int>& p)
   { return ( (Polynomial<int>(num)-p).sign() == CGAL::ZERO );}
-  inline    bool operator != 
-  (const int& num, const Polynomial<int>& p) 
+  inline    bool operator !=
+  (const int& num, const Polynomial<int>& p)
   { return ( (Polynomial<int>(num)-p).sign() != CGAL::ZERO );}
-  inline    bool operator <  
-  (const int& num, const Polynomial<int>& p) 
+  inline    bool operator <
+  (const int& num, const Polynomial<int>& p)
   { return ( (Polynomial<int>(num)-p).sign() == CGAL::NEGATIVE );}
-  inline    bool operator <=  
-  (const int& num, const Polynomial<int>& p) 
+  inline    bool operator <=
+  (const int& num, const Polynomial<int>& p)
   { return ( (Polynomial<int>(num)-p).sign() != CGAL::POSITIVE );}
-  inline    bool operator >  
-  (const int& num, const Polynomial<int>& p) 
+  inline    bool operator >
+  (const int& num, const Polynomial<int>& p)
   { return ( (Polynomial<int>(num)-p).sign() == CGAL::POSITIVE );}
-  inline    bool operator >=  
-  (const int& num, const Polynomial<int>& p) 
+  inline    bool operator >=
+  (const int& num, const Polynomial<int>& p)
   { return ( (Polynomial<int>(num)-p).sign() != CGAL::NEGATIVE );}
 
   // righthand side
   inline    bool operator ==
-  (const Polynomial<int>& p, const int& num) 
+  (const Polynomial<int>& p, const int& num)
   { return ( (p-Polynomial<int>(num)).sign() == CGAL::ZERO );}
   inline    bool operator !=
-  (const Polynomial<int>& p, const int& num) 
+  (const Polynomial<int>& p, const int& num)
   { return ( (p-Polynomial<int>(num)).sign() != CGAL::ZERO );}
-  inline    bool operator < 
-  (const Polynomial<int>& p, const int& num) 
+  inline    bool operator <
+  (const Polynomial<int>& p, const int& num)
   { return ( (p-Polynomial<int>(num)).sign() == CGAL::NEGATIVE );}
-  inline    bool operator <= 
-  (const Polynomial<int>& p, const int& num) 
+  inline    bool operator <=
+  (const Polynomial<int>& p, const int& num)
   { return ( (p-Polynomial<int>(num)).sign() != CGAL::POSITIVE );}
-  inline    bool operator > 
-  (const Polynomial<int>& p, const int& num) 
+  inline    bool operator >
+  (const Polynomial<int>& p, const int& num)
   { return ( (p-Polynomial<int>(num)).sign() == CGAL::POSITIVE );}
   inline    bool operator >=
-  (const Polynomial<int>& p, const int& num) 
+  (const Polynomial<int>& p, const int& num)
   { return ( (p-Polynomial<int>(num)).sign() != CGAL::NEGATIVE );}
 
 // SPECIALIZING pure int params:
 
   // lefthand side
-  template <class NT>    Polynomial<NT> operator + 
+  template <class NT>    Polynomial<NT> operator +
   (const int& num, const Polynomial<NT>& p2)
   { return (Polynomial<NT>(num) + p2); }
-  template <class NT>    Polynomial<NT> operator - 
+  template <class NT>    Polynomial<NT> operator -
   (const int& num, const Polynomial<NT>& p2)
   { return (Polynomial<NT>(num) - p2); }
-  template <class NT>    Polynomial<NT> operator * 
+  template <class NT>    Polynomial<NT> operator *
   (const int& num, const Polynomial<NT>& p2)
   { return (Polynomial<NT>(num) * p2); }
-  template <class NT>    Polynomial<NT> operator / 
+  template <class NT>    Polynomial<NT> operator /
   (const int& num, const Polynomial<NT>& p2)
   { return (Polynomial<NT>(num)/p2); }
-  template <class NT>    Polynomial<NT> operator % 
+  template <class NT>    Polynomial<NT> operator %
   (const int& num, const Polynomial<NT>& p2)
   { return (Polynomial<NT>(num)%p2); }
 
   // righthand side
-  template <class NT>    Polynomial<NT> operator + 
+  template <class NT>    Polynomial<NT> operator +
   (const Polynomial<NT>& p1, const int& num)
   { return (p1 + Polynomial<NT>(num)); }
-  template <class NT>    Polynomial<NT> operator - 
+  template <class NT>    Polynomial<NT> operator -
   (const Polynomial<NT>& p1, const int& num)
   { return (p1 - Polynomial<NT>(num)); }
-  template <class NT>    Polynomial<NT> operator * 
+  template <class NT>    Polynomial<NT> operator *
   (const Polynomial<NT>& p1, const int& num)
   { return (p1 * Polynomial<NT>(num)); }
-  template <class NT>    Polynomial<NT> operator / 
+  template <class NT>    Polynomial<NT> operator /
   (const Polynomial<NT>& p1, const int& num)
   { return (p1 / Polynomial<NT>(num)); }
-  template <class NT>    Polynomial<NT> operator % 
+  template <class NT>    Polynomial<NT> operator %
   (const Polynomial<NT>& p1, const int& num)
   { return (p1 % Polynomial<NT>(num)); }
 
   // lefthand side
-  template <class NT>    bool operator ==  
-  (const int& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator ==
+  (const int& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() == CGAL::ZERO );}
-  template <class NT>    bool operator != 
-  (const int& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator !=
+  (const int& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() != CGAL::ZERO );}
-  template <class NT>    bool operator <  
-  (const int& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator <
+  (const int& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() == CGAL::NEGATIVE );}
-  template <class NT>    bool operator <=  
-  (const int& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator <=
+  (const int& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() != CGAL::POSITIVE );}
-  template <class NT>    bool operator >  
-  (const int& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator >
+  (const int& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() == CGAL::POSITIVE );}
-  template <class NT>    bool operator >=  
-  (const int& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator >=
+  (const int& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() != CGAL::NEGATIVE );}
 
   // righthand side
   template <class NT>    bool operator ==
-  (const Polynomial<NT>& p, const int& num) 
+  (const Polynomial<NT>& p, const int& num)
   { return ( (p-Polynomial<NT>(num)).sign() == CGAL::ZERO );}
   template <class NT>    bool operator !=
-  (const Polynomial<NT>& p, const int& num) 
+  (const Polynomial<NT>& p, const int& num)
   { return ( (p-Polynomial<NT>(num)).sign() != CGAL::ZERO );}
-  template <class NT>    bool operator < 
-  (const Polynomial<NT>& p, const int& num) 
+  template <class NT>    bool operator <
+  (const Polynomial<NT>& p, const int& num)
   { return ( (p-Polynomial<NT>(num)).sign() == CGAL::NEGATIVE );}
-  template <class NT>    bool operator <= 
-  (const Polynomial<NT>& p, const int& num) 
+  template <class NT>    bool operator <=
+  (const Polynomial<NT>& p, const int& num)
   { return ( (p-Polynomial<NT>(num)).sign() != CGAL::POSITIVE );}
-  template <class NT>    bool operator > 
-  (const Polynomial<NT>& p, const int& num) 
+  template <class NT>    bool operator >
+  (const Polynomial<NT>& p, const int& num)
   { return ( (p-Polynomial<NT>(num)).sign() == CGAL::POSITIVE );}
   template <class NT>    bool operator >=
-  (const Polynomial<NT>& p, const int& num) 
+  (const Polynomial<NT>& p, const int& num)
   { return ( (p-Polynomial<NT>(num)).sign() != CGAL::NEGATIVE );}
 
 // SPECIALIZING inline to :
 
   // lefthand side
-  inline    Polynomial<double> operator + 
+  inline    Polynomial<double> operator +
   (const double& num, const Polynomial<double>& p2)
   { return (Polynomial<double>(num) + p2); }
-  inline    Polynomial<double> operator - 
+  inline    Polynomial<double> operator -
   (const double& num, const Polynomial<double>& p2)
   { return (Polynomial<double>(num) - p2); }
-  inline    Polynomial<double> operator * 
+  inline    Polynomial<double> operator *
   (const double& num, const Polynomial<double>& p2)
   { return (Polynomial<double>(num) * p2); }
-  inline    Polynomial<double> operator / 
+  inline    Polynomial<double> operator /
   (const double& num, const Polynomial<double>& p2)
   { return (Polynomial<double>(num)/p2); }
   inline    Polynomial<double> operator %
@@ -1510,169 +1510,169 @@ template <class NT> CGAL::Sign
   { return (Polynomial<double>(num)%p2); }
 
   // righthand side
-  inline    Polynomial<double> operator + 
+  inline    Polynomial<double> operator +
   (const Polynomial<double>& p1, const double& num)
   { return (p1 + Polynomial<double>(num)); }
-  inline    Polynomial<double> operator - 
+  inline    Polynomial<double> operator -
   (const Polynomial<double>& p1, const double& num)
   { return (p1 - Polynomial<double>(num)); }
-  inline    Polynomial<double> operator * 
+  inline    Polynomial<double> operator *
   (const Polynomial<double>& p1, const double& num)
   { return (p1 * Polynomial<double>(num)); }
-  inline    Polynomial<double> operator / 
+  inline    Polynomial<double> operator /
   (const Polynomial<double>& p1, const double& num)
   { return (p1 / Polynomial<double>(num)); }
-  inline    Polynomial<double> operator % 
+  inline    Polynomial<double> operator %
   (const Polynomial<double>& p1, const double& num)
   { return (p1 % Polynomial<double>(num)); }
 
   // lefthand side
-  inline    bool operator ==  
-  (const double& num, const Polynomial<double>& p) 
+  inline    bool operator ==
+  (const double& num, const Polynomial<double>& p)
   { return ( (Polynomial<double>(num)-p).sign() == CGAL::ZERO );}
-  inline    bool operator != 
-  (const double& num, const Polynomial<double>& p) 
+  inline    bool operator !=
+  (const double& num, const Polynomial<double>& p)
   { return ( (Polynomial<double>(num)-p).sign() != CGAL::ZERO );}
-  inline    bool operator <  
-  (const double& num, const Polynomial<double>& p) 
+  inline    bool operator <
+  (const double& num, const Polynomial<double>& p)
   { return ( (Polynomial<double>(num)-p).sign() == CGAL::NEGATIVE );}
-  inline    bool operator <=  
-  (const double& num, const Polynomial<double>& p) 
+  inline    bool operator <=
+  (const double& num, const Polynomial<double>& p)
   { return ( (Polynomial<double>(num)-p).sign() != CGAL::POSITIVE );}
-  inline    bool operator >  
-  (const double& num, const Polynomial<double>& p) 
+  inline    bool operator >
+  (const double& num, const Polynomial<double>& p)
   { return ( (Polynomial<double>(num)-p).sign() == CGAL::POSITIVE );}
-  inline    bool operator >=  
-  (const double& num, const Polynomial<double>& p) 
+  inline    bool operator >=
+  (const double& num, const Polynomial<double>& p)
   { return ( (Polynomial<double>(num)-p).sign() != CGAL::NEGATIVE );}
 
   // righthand side
   inline    bool operator ==
-  (const Polynomial<double>& p, const double& num) 
+  (const Polynomial<double>& p, const double& num)
   { return ( (p-Polynomial<double>(num)).sign() == CGAL::ZERO );}
   inline    bool operator !=
-  (const Polynomial<double>& p, const double& num) 
+  (const Polynomial<double>& p, const double& num)
   { return ( (p-Polynomial<double>(num)).sign() != CGAL::ZERO );}
-  inline    bool operator < 
-  (const Polynomial<double>& p, const double& num) 
+  inline    bool operator <
+  (const Polynomial<double>& p, const double& num)
   { return ( (p-Polynomial<double>(num)).sign() == CGAL::NEGATIVE );}
-  inline    bool operator <= 
-  (const Polynomial<double>& p, const double& num) 
+  inline    bool operator <=
+  (const Polynomial<double>& p, const double& num)
   { return ( (p-Polynomial<double>(num)).sign() != CGAL::POSITIVE );}
-  inline    bool operator > 
-  (const Polynomial<double>& p, const double& num) 
+  inline    bool operator >
+  (const Polynomial<double>& p, const double& num)
   { return ( (p-Polynomial<double>(num)).sign() == CGAL::POSITIVE );}
   inline    bool operator >=
-  (const Polynomial<double>& p, const double& num) 
+  (const Polynomial<double>& p, const double& num)
   { return ( (p-Polynomial<double>(num)).sign() != CGAL::NEGATIVE );}
 
 // SPECIALIZING pure double params:
 
   // lefthand side
-  template <class NT>    Polynomial<NT> operator + 
+  template <class NT>    Polynomial<NT> operator +
   (const double& num, const Polynomial<NT>& p2)
   { return (Polynomial<NT>(num) + p2); }
-  template <class NT>    Polynomial<NT> operator - 
+  template <class NT>    Polynomial<NT> operator -
   (const double& num, const Polynomial<NT>& p2)
   { return (Polynomial<NT>(num) - p2); }
-  template <class NT>    Polynomial<NT> operator * 
+  template <class NT>    Polynomial<NT> operator *
   (const double& num, const Polynomial<NT>& p2)
   { return (Polynomial<NT>(num) * p2); }
-  template <class NT>    Polynomial<NT> operator / 
+  template <class NT>    Polynomial<NT> operator /
   (const double& num, const Polynomial<NT>& p2)
   { return (Polynomial<NT>(num)/p2); }
-  template <class NT>    Polynomial<NT> operator % 
+  template <class NT>    Polynomial<NT> operator %
   (const double& num, const Polynomial<NT>& p2)
   { return (Polynomial<NT>(num)%p2); }
 
   // righthand side
-  template <class NT>    Polynomial<NT> operator + 
+  template <class NT>    Polynomial<NT> operator +
   (const Polynomial<NT>& p1, const double& num)
   { return (p1 + Polynomial<NT>(num)); }
-  template <class NT>    Polynomial<NT> operator - 
+  template <class NT>    Polynomial<NT> operator -
   (const Polynomial<NT>& p1, const double& num)
   { return (p1 - Polynomial<NT>(num)); }
-  template <class NT>    Polynomial<NT> operator * 
+  template <class NT>    Polynomial<NT> operator *
   (const Polynomial<NT>& p1, const double& num)
   { return (p1 * Polynomial<NT>(num)); }
-  template <class NT>    Polynomial<NT> operator / 
+  template <class NT>    Polynomial<NT> operator /
   (const Polynomial<NT>& p1, const double& num)
   { return (p1 / Polynomial<NT>(num)); }
-  template <class NT>    Polynomial<NT> operator % 
+  template <class NT>    Polynomial<NT> operator %
   (const Polynomial<NT>& p1, const double& num)
   { return (p1 % Polynomial<NT>(num)); }
 
 
   // lefthand side
-  template <class NT>    bool operator ==  
-  (const double& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator ==
+  (const double& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() == CGAL::ZERO );}
-  template <class NT>    bool operator != 
-  (const double& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator !=
+  (const double& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() != CGAL::ZERO );}
-  template <class NT>    bool operator <  
-  (const double& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator <
+  (const double& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() == CGAL::NEGATIVE );}
-  template <class NT>    bool operator <=  
-  (const double& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator <=
+  (const double& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() != CGAL::POSITIVE );}
-  template <class NT>    bool operator >  
-  (const double& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator >
+  (const double& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() == CGAL::POSITIVE );}
-  template <class NT>    bool operator >=  
-  (const double& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator >=
+  (const double& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() != CGAL::NEGATIVE );}
 
   // righthand side
   template <class NT>    bool operator ==
-  (const Polynomial<NT>& p, const double& num) 
+  (const Polynomial<NT>& p, const double& num)
   { return ( (p-Polynomial<NT>(num)).sign() == CGAL::ZERO );}
   template <class NT>    bool operator !=
-  (const Polynomial<NT>& p, const double& num) 
+  (const Polynomial<NT>& p, const double& num)
   { return ( (p-Polynomial<NT>(num)).sign() != CGAL::ZERO );}
-  template <class NT>    bool operator < 
-  (const Polynomial<NT>& p, const double& num) 
+  template <class NT>    bool operator <
+  (const Polynomial<NT>& p, const double& num)
   { return ( (p-Polynomial<NT>(num)).sign() == CGAL::NEGATIVE );}
-  template <class NT>    bool operator <= 
-  (const Polynomial<NT>& p, const double& num) 
+  template <class NT>    bool operator <=
+  (const Polynomial<NT>& p, const double& num)
   { return ( (p-Polynomial<NT>(num)).sign() != CGAL::POSITIVE );}
-  template <class NT>    bool operator > 
-  (const Polynomial<NT>& p, const double& num) 
+  template <class NT>    bool operator >
+  (const Polynomial<NT>& p, const double& num)
   { return ( (p-Polynomial<NT>(num)).sign() == CGAL::POSITIVE );}
   template <class NT>    bool operator >=
-  (const Polynomial<NT>& p, const double& num) 
+  (const Polynomial<NT>& p, const double& num)
   { return ( (p-Polynomial<NT>(num)).sign() != CGAL::NEGATIVE );}
 
 // SPECIALIZE_FUNCTION ORIGINAL
 
   // lefthand side
-  template <class NT>    Polynomial<NT> operator + 
+  template <class NT>    Polynomial<NT> operator +
   (const NT& num, const Polynomial<NT>& p2)
   { return (Polynomial<NT>(num) + p2); }
-  template <class NT>    Polynomial<NT> operator - 
+  template <class NT>    Polynomial<NT> operator -
   (const NT& num, const Polynomial<NT>& p2)
   { return (Polynomial<NT>(num) - p2); }
-  template <class NT>    Polynomial<NT> operator * 
+  template <class NT>    Polynomial<NT> operator *
   (const NT& num, const Polynomial<NT>& p2)
   { return (Polynomial<NT>(num) * p2); }
-  template <class NT>    Polynomial<NT> operator / 
+  template <class NT>    Polynomial<NT> operator /
   (const NT& num, const Polynomial<NT>& p2)
   { return (Polynomial<NT>(num)/p2); }
-  template <class NT>    Polynomial<NT> operator % 
+  template <class NT>    Polynomial<NT> operator %
   (const NT& num, const Polynomial<NT>& p2)
   { return (Polynomial<NT>(num)%p2); }
 
   // righthand side
-  template <class NT>    Polynomial<NT> operator + 
+  template <class NT>    Polynomial<NT> operator +
   (const Polynomial<NT>& p1, const NT& num)
   { return (p1 + Polynomial<NT>(num)); }
-  template <class NT>    Polynomial<NT> operator - 
+  template <class NT>    Polynomial<NT> operator -
   (const Polynomial<NT>& p1, const NT& num)
   { return (p1 - Polynomial<NT>(num)); }
-  template <class NT>    Polynomial<NT> operator * 
+  template <class NT>    Polynomial<NT> operator *
   (const Polynomial<NT>& p1, const NT& num)
   { return (p1 * Polynomial<NT>(num)); }
-  template <class NT>    Polynomial<NT> operator / 
+  template <class NT>    Polynomial<NT> operator /
   (const Polynomial<NT>& p1, const NT& num)
   { return (p1 / Polynomial<NT>(num)); }
   template <class NT>    Polynomial<NT> operator %
@@ -1681,50 +1681,50 @@ template <class NT> CGAL::Sign
 
 
   // lefthand side
-  template <class NT>    bool operator ==  
-  (const NT& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator ==
+  (const NT& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() == CGAL::ZERO );}
-  template <class NT>    bool operator != 
-  (const NT& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator !=
+  (const NT& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() != CGAL::ZERO );}
-  template <class NT>    bool operator <  
-  (const NT& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator <
+  (const NT& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() == CGAL::NEGATIVE );}
-  template <class NT>    bool operator <=  
-  (const NT& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator <=
+  (const NT& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() != CGAL::POSITIVE );}
-  template <class NT>    bool operator >  
-  (const NT& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator >
+  (const NT& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() == CGAL::POSITIVE );}
-  template <class NT>    bool operator >=  
-  (const NT& num, const Polynomial<NT>& p) 
+  template <class NT>    bool operator >=
+  (const NT& num, const Polynomial<NT>& p)
   { return ( (Polynomial<NT>(num)-p).sign() != CGAL::NEGATIVE );}
 
   // righthand side
   template <class NT>    bool operator ==
-  (const Polynomial<NT>& p, const NT& num) 
+  (const Polynomial<NT>& p, const NT& num)
   { return ( (p-Polynomial<NT>(num)).sign() == CGAL::ZERO );}
   template <class NT>    bool operator !=
-  (const Polynomial<NT>& p, const NT& num) 
+  (const Polynomial<NT>& p, const NT& num)
   { return ( (p-Polynomial<NT>(num)).sign() != CGAL::ZERO );}
-  template <class NT>    bool operator < 
-  (const Polynomial<NT>& p, const NT& num) 
+  template <class NT>    bool operator <
+  (const Polynomial<NT>& p, const NT& num)
   { return ( (p-Polynomial<NT>(num)).sign() == CGAL::NEGATIVE );}
-  template <class NT>    bool operator <= 
-  (const Polynomial<NT>& p, const NT& num) 
+  template <class NT>    bool operator <=
+  (const Polynomial<NT>& p, const NT& num)
   { return ( (p-Polynomial<NT>(num)).sign() != CGAL::POSITIVE );}
-  template <class NT>    bool operator > 
-  (const Polynomial<NT>& p, const NT& num) 
+  template <class NT>    bool operator >
+  (const Polynomial<NT>& p, const NT& num)
   { return ( (p-Polynomial<NT>(num)).sign() == CGAL::POSITIVE );}
   template <class NT>    bool operator >=
-  (const Polynomial<NT>& p, const NT& num) 
+  (const Polynomial<NT>& p, const NT& num)
   { return ( (p-Polynomial<NT>(num)).sign() != CGAL::NEGATIVE );}
 
 // SPECIALIZE_FUNCTION(NT,int double) END
 //------------------------------------------------------------------
 
 
-template <class NT> 
+template <class NT>
 void print_monomial(std::ostream& os, const NT& n, int i)
 {
   if (i==0) os << n;
@@ -1732,7 +1732,7 @@ void print_monomial(std::ostream& os, co
   if (i>1)  os << n << "R^" << i;
 }
 
-// I/O 
+// I/O
 template <class NT>
 std::ostream& operator << (std::ostream& os, const Polynomial<NT>& p)
 {
@@ -1741,12 +1741,12 @@ std::ostream& operator << (std::ostream&
   {
     case CGAL::IO::ASCII :
       os << p.degree() << ' ';
-      for(i=0; i<=p.degree(); ++i) 
+      for(i=0; i<=p.degree(); ++i)
         os << p[i] << ' ';
       break;
     case CGAL::IO::BINARY :
       CGAL::write(os, p.degree());
-      for( i=0; i <= p.degree(); ++i) 
+      for( i=0; i <= p.degree(); ++i)
         CGAL::write(os, p[i]);
       break;
   default: // i.e. PRETTY
@@ -1768,14 +1768,14 @@ std::ostream& operator << (std::ostream&
 }
 
 template <class NT>
-std::istream& operator >> (std::istream& is, Polynomial<NT>& p) { 
+std::istream& operator >> (std::istream& is, Polynomial<NT>& p) {
     int  i,d;
     char ch;
     NT   c;
     bool pretty = false;
     switch( get_mode(is) ) {
-    case CGAL::IO::ASCII : 
-    case CGAL::IO::PRETTY : 
+    case CGAL::IO::ASCII :
+    case CGAL::IO::PRETTY :
         is >> ch;
         if ( ch == 'P') {
             pretty = true;
@@ -1791,9 +1791,9 @@ std::istream& operator >> (std::istream&
                 is.clear( std::ios::badbit);
             if ( ! is)
                 return is;
-	    is.putback(ch);
+            is.putback(ch);
         } else {
-	    is.putback(ch);
+            is.putback(ch);
         }
         is >> d;
         if ( pretty) {
@@ -1855,20 +1855,20 @@ std::istream& operator >> (std::istream&
 }
 
 // SPECIALIZE_FUNCTION ORIGINAL
-template <class NT> 
+template <class NT>
 void Polynomial<NT>::euclidean_div(
   const Polynomial<NT>& f, const Polynomial<NT>& g,
   Polynomial<NT>& q, Polynomial<NT>& r)
 {
-  r = f; 
+  r = f;
   r.copy_on_write();
   int rd = r.degree();
   int gd = g.degree(), qd;
-  if ( rd < gd ) { 
-    q = Polynomial<NT>(NT(0)); 
-  } else { 
+  if ( rd < gd ) {
+    q = Polynomial<NT>(NT(0));
+  } else {
     qd = rd - gd + 1;
-    q = Polynomial<NT>(std::size_t(qd)); 
+    q = Polynomial<NT>(std::size_t(qd));
   }
   while ( rd >= gd && !(r.is_zero())) {
     NT S = r[rd] / g[gd];
@@ -1881,16 +1881,16 @@ void Polynomial<NT>::euclidean_div(
 }
 
 
-template <class NT> 
+template <class NT>
 void Polynomial<NT>::pseudo_div(
-  const Polynomial<NT>& f, const Polynomial<NT>& g, 
+  const Polynomial<NT>& f, const Polynomial<NT>& g,
   Polynomial<NT>& q, Polynomial<NT>& r, NT& D)
 {
   CGAL_NEF_TRACEN("pseudo_div "<<f<<" , "<< g);
   int fd=f.degree(), gd=g.degree();
-  if ( fd<gd ) 
-  { q = Polynomial<NT>(0); r = f; D = 1; 
-    CGAL_postcondition(Polynomial<NT>(D)*f==q*g+r); return; 
+  if ( fd<gd )
+  { q = Polynomial<NT>(0); r = f; D = 1;
+    CGAL_postcondition(Polynomial<NT>(D)*f==q*g+r); return;
   }
   // now we know fd >= gd and f>=g
   int qd=fd-gd, delta=qd+1, rd=fd;
@@ -1903,7 +1903,7 @@ void Polynomial<NT>::pseudo_div(
     NT F = res[rd]; // highest order coeff of res
     NT t = F/G;     // ensured to be integer by multiplication of D
     q.coeff(qd) = t;    // store q coeff
-    res.minus_offsetmult(g,t,qd); 
+    res.minus_offsetmult(g,t,qd);
     if (res.is_zero()) break;
     rd = res.degree();
     qd = rd - gd;
@@ -1914,7 +1914,7 @@ void Polynomial<NT>::pseudo_div(
 }
 
 
-template <class NT> 
+template <class NT>
 Polynomial<NT> Polynomial<NT>::gcd(
   const Polynomial<NT>& p1, const Polynomial<NT>& p2)
 { CGAL_NEF_TRACEN("gcd("<<p1<<" , "<<p2<<")");
@@ -1932,7 +1932,7 @@ Polynomial<NT> Polynomial<NT>::gcd(
   NT F = CGAL_NTS gcd(f1c,f2c);
   Polynomial<NT> q,r; NT M=1,D;
   bool first = true;
-  while ( ! f2.is_zero() ) { 
+  while ( ! f2.is_zero() ) {
     Polynomial<NT>::pseudo_div(f1,f2,q,r,D);
     if (!first) M*=D;
     CGAL_NEF_TRACEV(f1);CGAL_NEF_TRACEV(f2);CGAL_NEF_TRACEV(q);CGAL_NEF_TRACEV(r);CGAL_NEF_TRACEV(M);
diff -pruN 5.0.2-3/include/CGAL/Nef_2/Polynomial_impl.h 5.0.3-1/include/CGAL/Nef_2/Polynomial_impl.h
--- 5.0.2-3/include/CGAL/Nef_2/Polynomial_impl.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/Polynomial_impl.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/Polynomial_impl.h $
-// $Id: Polynomial_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/Polynomial_impl.h $
+// $Id: Polynomial_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 //                 Andreas Fabri
@@ -39,14 +39,14 @@ void Polynomial<int>::euclidean_div(
 
 inline
 void Polynomial<int>::pseudo_div(
-  const Polynomial<int>& f, const Polynomial<int>& g, 
+  const Polynomial<int>& f, const Polynomial<int>& g,
   Polynomial<int>& q, Polynomial<int>& r, int& D)
 {
   CGAL_NEF_TRACEN("pseudo_div "<<f<<" , "<< g);
   int fd=f.degree(), gd=g.degree();
-  if ( fd<gd ) 
-  { q = Polynomial<int>(0); r = f; D = 1; 
-    CGAL_postcondition(Polynomial<int>(D)*f==q*g+r); return; 
+  if ( fd<gd )
+  { q = Polynomial<int>(0); r = f; D = 1;
+    CGAL_postcondition(Polynomial<int>(D)*f==q*g+r); return;
   }
   // now we know fd >= gd and f>=g
   int qd=fd-gd, delta=qd+1, rd=fd;
@@ -59,7 +59,7 @@ void Polynomial<int>::pseudo_div(
     int F = res[rd]; // highest order coeff of res
     int t = F/G;     // ensured to be integer by multiplication of D
     q.coeff(qd) = t;    // store q coeff
-    res.minus_offsetmult(g,t,qd); 
+    res.minus_offsetmult(g,t,qd);
     if (res.is_zero()) break;
     rd = res.degree();
     qd = rd - gd;
@@ -89,7 +89,7 @@ Polynomial<int> Polynomial<int>::gcd(
   int F = CGAL::gcd(f1c,f2c);
   Polynomial<int> q,r; int M=1,D;
   bool first = true;
-  while ( ! f2.is_zero() ) { 
+  while ( ! f2.is_zero() ) {
     Polynomial<int>::pseudo_div(f1,f2,q,r,D);
     if (!first) M*=D;
     CGAL_NEF_TRACEV(f1);CGAL_NEF_TRACEV(f2);CGAL_NEF_TRACEV(q);CGAL_NEF_TRACEV(r);CGAL_NEF_TRACEV(M);
@@ -127,14 +127,14 @@ void Polynomial<double>::euclidean_div(
 
 inline
 void Polynomial<double>::pseudo_div(
-  const Polynomial<double>& f, const Polynomial<double>& g, 
+  const Polynomial<double>& f, const Polynomial<double>& g,
   Polynomial<double>& q, Polynomial<double>& r, double& D)
 {
   CGAL_NEF_TRACEN("pseudo_div "<<f<<" , "<< g);
   int fd=f.degree(), gd=g.degree();
-  if ( fd<gd ) 
-  { q = Polynomial<double>(0); r = f; D = 1; 
-    CGAL_postcondition(Polynomial<double>(D)*f==q*g+r); return; 
+  if ( fd<gd )
+  { q = Polynomial<double>(0); r = f; D = 1;
+    CGAL_postcondition(Polynomial<double>(D)*f==q*g+r); return;
   }
   // now we know fd >= gd and f>=g
   int qd=fd-gd, delta=qd+1, rd=fd;
@@ -147,7 +147,7 @@ void Polynomial<double>::pseudo_div(
     double F = res[rd]; // highest order coeff of res
     double t = F/G;     // ensured to be integer by multiplication of D
     q.coeff(qd) = t;    // store q coeff
-    res.minus_offsetmult(g,t,qd); 
+    res.minus_offsetmult(g,t,qd);
     if (res.is_zero()) break;
     rd = res.degree();
     qd = rd - gd;
@@ -174,7 +174,7 @@ Polynomial<double> Polynomial<double>::g
   f1 /= f1c; f2 /= f2c;
   Polynomial<double> q,r; double M=1,D;
   bool first = true;
-  while ( ! f2.is_zero() ) { 
+  while ( ! f2.is_zero() ) {
     Polynomial<double>::pseudo_div(f1,f2,q,r,D);
     if (!first) M*=D;
     CGAL_NEF_TRACEV(f1);CGAL_NEF_TRACEV(f2);CGAL_NEF_TRACEV(q);CGAL_NEF_TRACEV(r);CGAL_NEF_TRACEV(M);
diff -pruN 5.0.2-3/include/CGAL/Nef_2/Segment_overlay_traits.h 5.0.3-1/include/CGAL/Nef_2/Segment_overlay_traits.h
--- 5.0.2-3/include/CGAL/Nef_2/Segment_overlay_traits.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_2/Segment_overlay_traits.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_2/Segment_overlay_traits.h $
-// $Id: Segment_overlay_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_2/Segment_overlay_traits.h $
+// $Id: Segment_overlay_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 #ifndef CGAL_SEGMENT_OVERLAY_TRAITS_H
@@ -71,12 +71,12 @@ public:
     ISegment s_bottom, s_top; // sentinel segments
     const GEOMETRY& K;
   public:
-   cmp_segs_at_sweepline(const Point_2& pi, 
-     ISegment s1, ISegment s2, const GEOMETRY& k) : 
+   cmp_segs_at_sweepline(const Point_2& pi,
+     ISegment s1, ISegment s2, const GEOMETRY& k) :
      p(pi), s_bottom(s1), s_top(s2), K(k) {}
 
    int operator()(const ISegment& is1, const ISegment& is2) const
-   { // Precondition: p is identical to the left endpoint of s1 or s2. 
+   { // Precondition: p is identical to the left endpoint of s1 or s2.
      if ( is2 == s_top || is1 == s_bottom ) return -1;
      if ( is1 == s_top || is2 == s_bottom ) return 1;
      if ( is1 == is2 ) return 0;
@@ -86,9 +86,9 @@ public:
      if ( p == K.source(s1) )      s =   K.orientation(s2,p);
      else if ( p == K.source(s2) ) s = - K.orientation(s1,p);
      else CGAL_error_msg("compare error in sweep.");
-     if ( s || K.is_degenerate(s1) || K.is_degenerate(s2) ) 
+     if ( s || K.is_degenerate(s1) || K.is_degenerate(s2) )
        return s;
-    
+
      s = K.orientation(s2,K.target(s1));
      if (s==0) return static_cast<int>( is1 - is2 );
      // overlapping segments are not equal
@@ -107,16 +107,16 @@ public:
   //  typedef CGAL_LEDA_SCOPE::skiplist                              SearchTree;
   //  typedef typename SearchTree::item                              ST_item;
   typedef CGAL_LEDA_SCOPE::seq_item                         ST_item;
-  typedef leda_sortseq<Point_2, ST_item>             EventQueue; 
+  typedef leda_sortseq<Point_2, ST_item>             EventQueue;
   typedef leda_sortseq<ISegment, ST_item>            SweepStatus;
-  typedef leda_p_queue<Point_2,ISegment>                         SegQueue; 
+  typedef leda_p_queue<Point_2,ISegment>                         SegQueue;
   typedef leda_map<ST_item,Halfedge_handle>    AssocEdgeMap;
   typedef leda_slist<ITERATOR>                                   IsoList;
   typedef typename IsoList::item                        slist_item;
   typedef leda_map<ST_item, IsoList* >         AssocIsoMap;
   typedef leda_map2<ISegment,ISegment,ST_item> EventHash;
 
-    
+
     ST_item  event;
     Point_2                    p_sweep;
     cmp_pnts_xy                cmp;
@@ -131,32 +131,32 @@ public:
     AssocEdgeMap               Edge_of;
     AssocIsoMap                Isos_of;
 
-    leda_seg_overlay_traits(const INPUT& in, OUTPUT& G, 
-      const GEOMETRY& k) : 
+    leda_seg_overlay_traits(const INPUT& in, OUTPUT& G,
+      const GEOMETRY& k) :
       its(in.first), ite(in.second), GO(G), K(k),
       cmp(K), XS(cmp), SLcmp(p_sweep,&sl,&sh,K), YS(SLcmp), SQ(cmp),
       IEvent(0), Edge_of(0), Isos_of(0) {}
 
 
   leda_string dump_structures() const
-  { 
+  {
     std::ostringstream out;
     out << "SQ= ";
     CGAL_LEDA_SCOPE::pq_item pqit;
     forall_items(pqit,SQ) {
-      if (SQ.prio(pqit)==XS.key(XS.succ(XS.min_item()))) 
+      if (SQ.prio(pqit)==XS.key(XS.succ(XS.min_item())))
       { out << SQ.inf(pqit)->first(); }
       pqit = SQ.next_item(pqit);
     }
     ST_item sit;
     out << "\nXS=\n";
     forall_items(sit,XS)
-      out << "  " << XS.key(sit) << " " << XS.inf(sit) 
+      out << "  " << XS.key(sit) << " " << XS.inf(sit)
           <<std::endl;
     out << "YS=\n";
     for( sit = YS.max_item(); sit; sit=YS.pred(sit) )
       out << "  "<<YS.key(sit)->first()<<" "<<YS.inf(sit)<<std::endl;
-    leda_string res(out.str().c_str()); 
+    leda_string res(out.str().c_str());
     return res;
   }
 
@@ -171,7 +171,7 @@ public:
   int orientation(ST_item sit, const Point_2& p) const
   { return K.orientation(YS.key(sit)->first(),p); }
 
-  bool collinear(ST_item sit1, 
+  bool collinear(ST_item sit1,
                  ST_item sit2) const
   { Point_2 ps = source(YS.key(sit2)), pt = target(YS.key(sit2));
     return ( orientation(sit1,ps)==0 &&
@@ -180,14 +180,14 @@ public:
 
 
   void compute_intersection(ST_item sit0)
-  {    
+  {
     ST_item sit1 = YS.succ(sit0);
     if ( sit0 == YS.min_item() || sit1 == YS.max_item() ) return;
     ISegment s0 = YS.key(sit0);
     ISegment s1 = YS.key(sit1);
     int or0 = K.orientation(s0->first(),target(s1));
     int or1 = K.orientation(s1->first(),target(s0));
-    if ( or0 <= 0 && or1 >= 0  ) { 
+    if ( or0 <= 0 && or1 >= 0  ) {
       ST_item it = IEvent(YS.key(sit0),YS.key(sit1));
       if ( it==0 ) {
         Point_2 q = K.intersection(s0->first(),s1->first());
@@ -195,33 +195,33 @@ public:
       }
       YS.change_inf(sit0, it);
     }
-  } 
+  }
 
   void initialize_structures()
   {
     CGAL_NEF_TRACEN("initialize_structures");
-    ITERATOR it_s;  
+    ITERATOR it_s;
     for ( it_s=its; it_s != ite; ++it_s ) {
       Segment_2 s = *it_s;
-      ST_item it1 = 
+      ST_item it1 =
             XS.insert( K.source(s), ST_item(nil));
-      ST_item it2 = 
+      ST_item it2 =
             XS.insert( K.target(s), ST_item(nil));
       if (it1 == it2) {
         if ( Isos_of[it1] == 0 ) Isos_of[it1] = new IsoList;
         Isos_of[it1]->push(it_s);
         continue;  // ignore zero-length segments in SQ/YS
       }
-          
+
       Point_2 p = XS.key(it1);
       Point_2 q = XS.key(it2);
-          
-      Segment_2 s1; 
-      if ( K.compare_xy(p,q) < 0 ) 
+
+      Segment_2 s1;
+      if ( K.compare_xy(p,q) < 0 )
         s1 = K.construct_segment(p,q);
       else
         s1 = K.construct_segment(q,p);
-          
+
       Internal.append(seg_pair(s1,it_s));
       SQ.insert(K.source(s1),&Internal[Internal.last()]);
     }
@@ -232,35 +232,35 @@ public:
     CGAL_NEF_TRACEN("end of initialization\n"<<YS.size());
   }
 
-  bool event_exists() 
-  { 
-    if (!XS.empty()) { 
+  bool event_exists()
+  {
+    if (!XS.empty()) {
       // event is set at end of loop and in init
       event = (XS.min)();
       p_sweep = XS.key(event);
       return true;
     }
-    return false; 
+    return false;
   }
 
-  void procede_to_next_event() 
+  void procede_to_next_event()
   { XS.del_item(event); }
 
-  void process_event() 
+  void process_event()
   {
     CGAL_NEF_TRACEN("\n\n >>> process_event: "<<p_sweep<<" "<<XS[event]<<" "<<event);
 
     Vertex_handle v = GO.new_vertex(p_sweep);
     ST_item sit = XS.inf(event);
-        
+
       ST_item sit_succ(0), sit_pred(0), sit_pred_succ(0), sit_first(0);
-      if (sit == nil) 
+      if (sit == nil)
         {
           Segment_2 s_sweep = K.construct_segment(p_sweep,p_sweep);
           seg_pair sp(s_sweep, ite);
           sit_succ = YS.locate( &sp );
-          if ( sit_succ != YS.max_item() && 
-               orientation(sit_succ,p_sweep) == 0 ) 
+          if ( sit_succ != YS.max_item() &&
+               orientation(sit_succ,p_sweep) == 0 )
             sit = sit_succ;
           else  {
             sit_pred = YS.pred(sit_succ);
@@ -281,17 +281,17 @@ public:
         while ( YS.inf(sit) == event ||
                 YS.inf(sit) == YS.succ(sit) ) // overlapping
           sit = YS.succ(sit);
-        sit_succ = YS.succ(sit); 
+        sit_succ = YS.succ(sit);
         ST_item sit_last = sit;
 
         ST_item xit = YS.inf(sit_last);
-        if (xit) { 
+        if (xit) {
           ISegment s1 = YS.key(sit_last);
           ISegment s2 = YS.key(sit_succ);
           IEvent(s1,s2) = xit;
             CGAL_NEF_TRACEN("hashing "<<PIS(s1)<<PIS(s2)<<xit);
-        } 
-          
+        }
+
         bool overlapping;
         do {
           ISegment s = YS.key(sit);
@@ -305,21 +305,21 @@ public:
           GO.supporting_segment(e,original(s));
           if ( target(s) == p_sweep ) { // ending segment
               CGAL_NEF_TRACEN("ending segment "<<PIS(s));
-            if ( overlapping ) 
-	      YS.change_inf(sit_next,YS.inf(sit));
+            if ( overlapping )
+              YS.change_inf(sit_next,YS.inf(sit));
             YS.del_item(sit);
             GO.ending_segment(v,original(s));
           } else {  // passing segment
-	    CGAL_NEF_TRACEN("passing segment "<<PIS(s));
-            if ( YS.inf(sit) != YS.succ(sit) ) 
+            CGAL_NEF_TRACEN("passing segment "<<PIS(s));
+            if ( YS.inf(sit) != YS.succ(sit) )
               YS.change_inf(sit, ST_item(0));
             GO.passing_segment(v,original(s));
           }
           sit = sit_next;
-        } 
+        }
         while ( YS.inf(sit) == event || overlapping ||
                 YS.inf(sit) == YS.succ(sit) );
-                  
+
         sit_pred = sit;
         sit_first = sit_pred_succ = YS.succ(sit_pred); // first item of bundle
 
@@ -329,18 +329,18 @@ public:
         while ( sit != sit_succ ) {
           ST_item sub_first = sit;
           ST_item sub_last  = sub_first;
-                            
+
           while (YS.inf(sub_last) == YS.succ(sub_last))
             sub_last = YS.succ(sub_last);
-                            
+
           if (sub_last != sub_first)
             YS.reverse_items(sub_first, sub_last);
-                            
+
           sit = YS.succ(sub_first);
         }
-                        
+
         // reverse the entire bundle
-        if (sit_first != sit_succ) 
+        if (sit_first != sit_succ)
           YS.reverse_items(YS.succ(sit_pred),YS.pred(sit_succ));
 
 
@@ -351,7 +351,7 @@ public:
     if ( Isos_of[event] != 0 ) {
       const IsoList& IL = *(Isos_of[event]);
       slist_item iso_it;
-      for (iso_it = IL.first(); iso_it; iso_it=IL.succ(iso_it) ) 
+      for (iso_it = IL.first(); iso_it; iso_it=IL.succ(iso_it) )
         GO.trivial_segment(v,IL[iso_it] );
       delete (Isos_of[event]); // clean up the list
     }
@@ -359,17 +359,17 @@ public:
 
     ISegment next_seg;
     CGAL_LEDA_SCOPE::pq_item next_it = SQ.find_min();
-    while ( next_it && 
+    while ( next_it &&
             (next_seg = SQ.inf(next_it), p_sweep == source(next_seg)) ) {
       ST_item s_sit = YS.locate_succ(next_seg);
       ST_item p_sit = YS.pred(s_sit);
 
-      CGAL_NEF_TRACEN("inserting "<<PIS(next_seg)<<" at "<<PIS(YS.key(s_sit))); 
+      CGAL_NEF_TRACEN("inserting "<<PIS(next_seg)<<" at "<<PIS(YS.key(s_sit)));
       if ( YS.max_item() != s_sit &&
            orientation(s_sit, source(next_seg) ) == 0 &&
            orientation(s_sit, target(next_seg) ) == 0 )
         sit = YS.insert_at(s_sit, next_seg, s_sit);
-      else 
+      else
         sit = YS.insert_at(s_sit, next_seg, ST_item(nil));
       CGAL_assertion(YS.succ(sit)==s_sit);
 
@@ -378,16 +378,16 @@ public:
            orientation(p_sit, target(next_seg) ) == 0 )
         YS.change_inf(p_sit, sit);
       CGAL_assertion(YS.succ(p_sit)==sit);
-                 
+
       XS.insert(target(next_seg), sit);
       GO.starting_segment(v,original(next_seg));
-                 
+
       // delete minimum and assign new minimum to next_seg
-      SQ.del_min();    
+      SQ.del_min();
       next_it = SQ.find_min();
     }
 
-    for( ST_item sitl = YS.pred(sit_succ); sitl != sit_pred; 
+    for( ST_item sitl = YS.pred(sit_succ); sitl != sit_pred;
          sitl = YS.pred(sitl) ) {
       if ( YS.inf(sitl) != YS.succ(sitl) ) { // non-overlapping
         CGAL_NEF_TRACEN("non-overlapping "<<PIS(YS.key(sitl))<<" "<<sitl);
@@ -402,15 +402,15 @@ public:
 
     CGAL_assertion(sit_pred); CGAL_assertion(sit_pred_succ);
     ST_item xit = YS.inf(sit_pred);
-    if ( xit ) { 
+    if ( xit ) {
       ISegment s1 = YS.key(sit_pred);
       ISegment s2 = YS.key(sit_pred_succ);
       IEvent(s1,s2) = xit;
         CGAL_NEF_TRACEN("hashing "<<PIS(s1)<<PIS(s2)<<xit);
       YS.change_inf(sit_pred, ST_item(0));
     }
-          
-    compute_intersection(sit_pred); 
+
+    compute_intersection(sit_pred);
     sit = YS.pred(sit_succ);
     if (sit != sit_pred)
       compute_intersection(sit);
@@ -461,23 +461,23 @@ public:
   const GEOMETRY& K;
 
 
-  class lt_segs_at_sweepline 
-  { 
+  class lt_segs_at_sweepline
+  {
     const Point_2& p;
     ISegment s_bottom, s_top; // sentinel segments
     const GEOMETRY& K;
 
   public:
-    lt_segs_at_sweepline(const Point_2& pi, 
-			 ISegment s1, ISegment s2, 
-			 const GEOMETRY& k) 
-     : p(pi), s_bottom(s1), s_top(s2), K(k) 
+    lt_segs_at_sweepline(const Point_2& pi,
+                         ISegment s1, ISegment s2,
+                         const GEOMETRY& k)
+     : p(pi), s_bottom(s1), s_top(s2), K(k)
     {}
-    
-    lt_segs_at_sweepline(const lt_segs_at_sweepline& lt) 
-      : p(lt.p), s_bottom(lt.s_bottom), s_top(lt.s_top), K(lt.K) 
+
+    lt_segs_at_sweepline(const lt_segs_at_sweepline& lt)
+      : p(lt.p), s_bottom(lt.s_bottom), s_top(lt.s_top), K(lt.K)
     {}
-    
+
     template <typename ss_pair>
     bool
     operator()(const ISegment& is1, const ss_pair& ss2) const
@@ -485,13 +485,13 @@ public:
       return operator()(is1, ss2.first);
     }
 
-    bool 
+    bool
     operator()(const ISegment& is1, const ISegment& is2) const
-    { 
+    {
       if ( is2 == s_top || is1 == s_bottom ) return true;
       if ( is1 == s_top || is2 == s_bottom ) return false;
       if ( is1 == is2 ) return false;
-      // Precondition: p is contained in s1 or s2. 
+      // Precondition: p is contained in s1 or s2.
       const Segment_2& s1 = is1->first;
       const Segment_2& s2 = is2->first;
 
@@ -499,22 +499,22 @@ public:
 
       int s = 0;
       if( p == K.source(s1) )
-	s = K.orientation(s2,p);
+        s = K.orientation(s2,p);
       else
-	s = - K.orientation(s1,p);
-      if ( s || K.is_degenerate(s1) || K.is_degenerate(s2) ) 
-	return ( s < 0 );
-      
+        s = - K.orientation(s1,p);
+      if ( s || K.is_degenerate(s1) || K.is_degenerate(s2) )
+        return ( s < 0 );
+
       s = K.orientation(s2,K.target(s1));
       if (s==0) return ( is1 - is2 ) < 0;
       // overlapping segments are not equal
       return ( s < 0 );
     }
   };
-  
 
-  class compare_segs_at_sweepline 
-  { 
+
+  class compare_segs_at_sweepline
+  {
     const Point_2& p;
     ISegment s_bottom, s_top; // sentinel segments
     const GEOMETRY& K;
@@ -526,16 +526,16 @@ public:
     }
 
   public:
-    compare_segs_at_sweepline(const Point_2& pi, 
-			 ISegment s1, ISegment s2, 
-			      const GEOMETRY& k) 
-     : p(pi), s_bottom(s1), s_top(s2), K(k) 
+    compare_segs_at_sweepline(const Point_2& pi,
+                         ISegment s1, ISegment s2,
+                              const GEOMETRY& k)
+     : p(pi), s_bottom(s1), s_top(s2), K(k)
     {}
-    
-    compare_segs_at_sweepline(const compare_segs_at_sweepline& lt) 
-      : p(lt.p), s_bottom(lt.s_bottom), s_top(lt.s_top), K(lt.K) 
+
+    compare_segs_at_sweepline(const compare_segs_at_sweepline& lt)
+      : p(lt.p), s_bottom(lt.s_bottom), s_top(lt.s_top), K(lt.K)
     {}
-    
+
     template <typename ss_pair>
     bool
     operator()(const ISegment& is1, const ss_pair& ss2) const
@@ -545,11 +545,11 @@ public:
 
     CGAL::Comparison_result
     operator()(const ISegment& is1, const ISegment& is2) const
-    { 
+    {
       if ( is2 == s_top || is1 == s_bottom ) return CGAL::SMALLER;
       if ( is1 == s_top || is2 == s_bottom ) return CGAL::LARGER;
       if ( is1 == is2 ) return CGAL::EQUAL;
-      // Precondition: p is contained in s1 or s2. 
+      // Precondition: p is contained in s1 or s2.
       const Segment_2& s1 = is1->first;
       const Segment_2& s2 = is2->first;
 
@@ -557,32 +557,32 @@ public:
 
       int s = 0;
       if(K.is_degenerate(s1))
-	return o2c(K.orientation(s2,p));
+        return o2c(K.orientation(s2,p));
       if(K.is_degenerate(s2))
-	return o2c(-K.orientation(s1,p));
-      
+        return o2c(-K.orientation(s1,p));
+
       s = - K.orientation(s1,p);
       if(s!=0)
-	return o2c(s);
+        return o2c(s);
       s = K.orientation(s2,p);
       if(s!=0)
-	return o2c(s);
+        return o2c(s);
       return o2c(K.orientation(s2,K.target(s1)));
       /*
       if( p == K.source(s1) )
-	s = K.orientation(s2,p);
+        s = K.orientation(s2,p);
       else
-	s = - K.orientation(s1,p);
+        s = - K.orientation(s1,p);
       if ( s || K.is_degenerate(s1) || K.is_degenerate(s2) )
-	if(s < 0) return CGAL::SMALLER;
-	else if(s > 0) return CGAL::LARGER;
-	else return CGAL::EQUAL;
-      
+        if(s < 0) return CGAL::SMALLER;
+        else if(s > 0) return CGAL::LARGER;
+        else return CGAL::EQUAL;
+
       s = K.orientation(s2,K.target(s1));
-      //	if (s==0) {
-      //	if(is1 < is2) return CGAL::SMALLER;
-      //	if (is1 > is2) return CGAL::LARGER;
-      //	return CGAL::EQUAL;
+      //        if (s==0) {
+      //        if(is1 < is2) return CGAL::SMALLER;
+      //        if (is1 > is2) return CGAL::LARGER;
+      //        return CGAL::EQUAL;
       //      }
 
       // overlapping segments are not equal
@@ -595,45 +595,45 @@ public:
 
   class compare_pnts_xy {
     const GEOMETRY& K;
-    
+
     public:
-    compare_pnts_xy(const GEOMETRY& k) 
-      : K(k) 
+    compare_pnts_xy(const GEOMETRY& k)
+      : K(k)
     {}
-    
-    compare_pnts_xy(const compare_pnts_xy& lt) 
-      : K(lt.K) 
+
+    compare_pnts_xy(const compare_pnts_xy& lt)
+      : K(lt.K)
     {}
-    
+
     CGAL::Comparison_result
     operator()(const Point_2& p1, const Point_2& p2) const
-    { 
+    {
       int c = K.compare_xy(p1,p2);
       if(c < 0) return CGAL::SMALLER;
       if(c > 0) return CGAL::LARGER;
       return CGAL::EQUAL;
     }
   };
-  
-  struct lt_pnts_xy { 
+
+  struct lt_pnts_xy {
     const GEOMETRY& K;
-    
+
   public:
-    lt_pnts_xy(const GEOMETRY& k) 
-      : K(k) 
+    lt_pnts_xy(const GEOMETRY& k)
+      : K(k)
     {}
-    
-    lt_pnts_xy(const lt_pnts_xy& lt) 
-      : K(lt.K) 
+
+    lt_pnts_xy(const lt_pnts_xy& lt)
+      : K(lt.K)
     {}
-    
-    bool 
+
+    bool
     operator()(const Point_2& p1, const Point_2& p2) const
-    { 
-      return K.compare_xy(p1,p2) < 0; 
+    {
+      return K.compare_xy(p1,p2) < 0;
     }
   };
-  
+
   typedef std::list<ITERATOR>                            IsoList;
   typedef CGAL::Multiset<Point_2, compare_pnts_xy>       EventQueue;
   typedef typename EventQueue::iterator                  event_iterator;
@@ -655,7 +655,7 @@ public:
     lt_ssi_pair() {}
     bool operator()(const is_pair& s0, const is_pair& s1) const {
       if(s0.second == s1.second)
-	return s0.first < s1.first;
+        return s0.first < s1.first;
       return s0.second < s1.second;
     }
   };
@@ -681,24 +681,24 @@ public:
   AssocEdgeMap      Edge_of;
   EventHash         IEvent;
 
-  stl_seg_overlay_traits(const INPUT& in, OUTPUT& G, const GEOMETRY& k) 
-    : its(in.first), ite(in.second), GO(G), K(k), 
-    XS(compare_pnts_xy(K)), SLcmp(p_sweep,&sl,&sh,K), YS(SLcmp), 
+  stl_seg_overlay_traits(const INPUT& in, OUTPUT& G, const GEOMETRY& k)
+    : its(in.first), ite(in.second), GO(G), K(k),
+    XS(compare_pnts_xy(K)), SLcmp(p_sweep,&sl,&sh,K), YS(SLcmp),
     y2x(XS.end()), x2y(YS.end()), x2iso(0), y2y(&sl),
     SQ(lt_pnts_xy(K)), Edge_of(0)
   {}
 
   std::string dump_structures()
-  { 
-    std::ostringstream out; 
+  {
+    std::ostringstream out;
     out << "EventQueue:\n";
     typename EventQueue::const_iterator sit1;
-    for(sit1 = XS.begin(); sit1 != XS.end(); ++sit1) 
+    for(sit1 = XS.begin(); sit1 != XS.end(); ++sit1)
       out << "  " << *sit1 << std::endl;
 
     out << "SegQueue:\n";
     typename SegQueue::const_iterator sit2;
-    for(sit2 = SQ.begin(); sit2 != SQ.end(); ++sit2) 
+    for(sit2 = SQ.begin(); sit2 != SQ.end(); ++sit2)
       out << "  " << sit2->first << " " << sit2->second
           << " " << sit2->first << std::endl;
 
@@ -712,41 +712,41 @@ public:
       else out << b;
       out << " " << *sit3 << ": ";
       //      if(y2x[*sit3] != XS.end())
-      //      	out << *y2x[*sit3];
+      //              out << *y2x[*sit3];
       //      out << " | ";
-      out << (*sit3)->first; 
+      out << (*sit3)->first;
       if(y2y[*sit3] != &sl)
-	out << " y2y: " << y2y[*sit3];
+        out << " y2y: " << y2y[*sit3];
       out << std::endl;
     }
     return out.str();
   }
 
   bool check_bundle(ss_iterator pred,
-		    ss_iterator succ) {
+                    ss_iterator succ) {
     CGAL_NEF_TRACEN("check bundle");
 
     check_invariants();
 
     CGAL_assertion(*pred == &sl ||
-		   orientation(pred, p_sweep) > 0);
+                   orientation(pred, p_sweep) > 0);
     ++pred;
     while(*pred != *succ) {
       CGAL_assertion(orientation(pred, p_sweep) == 0);
       ss_iterator next(pred);
       ++next;
       if(*pred != &sl &&
-	 *next != &sh) {
-	bool b1 = orientation(pred, K.source((*next)->first)) == 0;
-	b1 &= orientation(pred, K.target((*next)->first)) == 0;
-	b1 &= orientation(next, K.source((*pred)->first)) == 0;
-	b1 &= orientation(next, K.target((*pred)->first)) == 0;
-	CGAL_warning(b1 == (y2y[*pred] == *next));
+         *next != &sh) {
+        bool b1 = orientation(pred, K.source((*next)->first)) == 0;
+        b1 &= orientation(pred, K.target((*next)->first)) == 0;
+        b1 &= orientation(next, K.source((*pred)->first)) == 0;
+        b1 &= orientation(next, K.target((*pred)->first)) == 0;
+        CGAL_warning(b1 == (y2y[*pred] == *next));
       }
       ++pred;
     }
     CGAL_assertion(*succ == &sh ||
-		   orientation(succ, p_sweep) < 0);
+                   orientation(succ, p_sweep) < 0);
 
     return true;
   }
@@ -763,10 +763,10 @@ public:
   { return K.orientation((*sit)->first,p); }
 
   bool collinear(ss_iterator sit1, ss_iterator sit2) const
-  { if( *sit1 == &sl || 
-	*sit1 == &sh || 
-	*sit2 == &sl || 
-	*sit2 == &sh) return false;
+  { if( *sit1 == &sl ||
+        *sit1 == &sh ||
+        *sit2 == &sl ||
+        *sit2 == &sh) return false;
     Point_2 ps = source(*sit2), pt = target(*sit2);
     return ( orientation(sit1,ps)==0 &&
              orientation(sit1,pt)==0 );
@@ -783,9 +783,9 @@ public:
   }
 
   void compute_intersection(ss_iterator sit0)
-  {    
-    // Given an item |sit0| in the Y-structure compute the point of 
-    // intersection with its successor and (if existing) insert it into 
+  {
+    // Given an item |sit0| in the Y-structure compute the point of
+    // intersection with its successor and (if existing) insert it into
     // the event queue and do all necessary updates.
     ss_iterator sit1 = sit0; ++sit1;
     CGAL_NEF_TRACEN("compute_intersection "<< *sit0 <<" "<< *sit1);
@@ -794,21 +794,21 @@ public:
     const Segment_2& s1 = (*sit1)->first;
     int or0 = K.orientation(s0,K.target(s1));
     int or1 = K.orientation(s1,K.target(s0));
-    if ( or0 <= 0 && or1 >= 0  ) { 
-      event_iterator it = 
-	IEvent[std::make_pair(*sit0, *sit1)];
+    if ( or0 <= 0 && or1 >= 0  ) {
+      event_iterator it =
+        IEvent[std::make_pair(*sit0, *sit1)];
       if(it == event_iterator()) {
-	Point_2 q = K.intersection(s0,s1);
-	event_iterator  er = insertXS(q); // only done if none existed!!!
-	x2y[&*er] = sit0;
-	y2x[*sit0] = er;
-	CGAL_assertion(sit0 != YS.end());
+        Point_2 q = K.intersection(s0,s1);
+        event_iterator  er = insertXS(q); // only done if none existed!!!
+        x2y[&*er] = sit0;
+        y2x[*sit0] = er;
+        CGAL_assertion(sit0 != YS.end());
       } else {
-	CGAL_NEF_TRACEN("  intersection has been found previously");
-	y2x[*sit0] = it;
+        CGAL_NEF_TRACEN("  intersection has been found previously");
+        y2x[*sit0] = it;
       }
     }
-  } 
+  }
 
   void initialize_structures()
   {
@@ -827,26 +827,26 @@ public:
       event_iterator it1, it2, upper;
 
       if(XS.empty())
-	it1 = XS.insert(K.source(s));
+        it1 = XS.insert(K.source(s));
       else
-	it1 = insertXS(K.source(s));
+        it1 = insertXS(K.source(s));
       it2 = insertXS(K.target(s));
-      
+
       if (it1 == it2) {
         if ( x2iso[&*it1] == 0 ) x2iso[&*it1] = new IsoList;
         x2iso[&*it1]->push_front(it_s);
         continue;  // ignore zero-length segments regarding YS
       }
-          
+
       Point_2 p = *it1;
       Point_2 q = *it2;
-          
-      Segment_2 s1; 
-      if ( K.compare_xy(p,q) < 0 ) 
+
+      Segment_2 s1;
+      if ( K.compare_xy(p,q) < 0 )
         s1 = K.construct_segment(p,q);
       else
         s1 = K.construct_segment(q,p);
-          
+
       Internal.push_back(seg_pair(s1,it_s));
       SQ.insert(ps_pair(K.source(s1),&Internal.back()));
     }
@@ -859,21 +859,21 @@ public:
   }
 
 
-  bool event_exists() 
-  { 
-    if (!XS.empty()) { 
+  bool event_exists()
+  {
+    if (!XS.empty()) {
       // event is set at end of loop and in init
       event = XS.begin();
       p_sweep = *event;
       return true;
     }
-    return false; 
+    return false;
   }
 
-  void procede_to_next_event() 
+  void procede_to_next_event()
   { XS.erase(event); }
 
-  void process_event() 
+  void process_event()
   {
     CGAL_NEF_TRACEN("\n\n >>> process_event: "<<p_sweep);
 
@@ -883,98 +883,98 @@ public:
 
     if(sit == YS.end()) {
       CGAL_NEF_TRACEN("search for upper bound in YS");
-      Segment_2 s_sweep = K.construct_segment(p_sweep,p_sweep);	
+      Segment_2 s_sweep = K.construct_segment(p_sweep,p_sweep);
       seg_pair sp(s_sweep, ite);
       sit_succ = YS.upper_bound(&sp);
       sit = sit_succ;
       --sit;
       CGAL_NEF_TRACEN("upper bound: " << *sit_succ);
       if(*sit == &sl ||
-	 orientation(sit, p_sweep) != 0) {
+         orientation(sit, p_sweep) != 0) {
         sit_pred_succ = sit_succ;
-	sit_pred = sit;
-	sit = YS.end();
+        sit_pred = sit;
+        sit = YS.end();
       }
     }
-      
+
     /* |sit| is determined by upper bounding the search for the
        segment (p_sweep,p_sweep) and taking its predecessor.
        if the segment associated to |sit| contains |p_sweep| then
        there's a bundle of segments containing |p_sweep|.
-       We compute the successor (|sit_succ)|) and 
+       We compute the successor (|sit_succ)|) and
        predecessor (|sit_pred|) items. */
-    
+
 
     /* If no segments contain p_sweep then sit_pred and sit_succ are
        correctly set after the above locate operation, if a segment
        contains p_sweep sit_pred and sit_succ are set below when
        determining the bundle.*/
-    
+
     if (sit != YS.end() ) { // sit->first is ending or passing segment
       CGAL_NEF_TRACEN("ending/passing segs " << *sit);
       sit_succ = sit; ++sit_succ;
 
       while ( y2x[*sit] == event ||
-	      y2y[*sit] == *sit_succ ) { // overlapping
-	sit = sit_succ;
-	++sit_succ;
+              y2y[*sit] == *sit_succ ) { // overlapping
+        sit = sit_succ;
+        ++sit_succ;
       }
       CGAL_NEF_TRACEN("ending/passing segs " << *sit);
 
       ss_iterator sit_last = sit;
-      
+
       event_iterator xit = y2x[*sit_last];
       if (xit != XS.end() &&
-	  *sit_last != &sl &&
-	  *sit_succ != &sh) { 
-	IEvent[std::make_pair(*sit_last, *sit_succ)] = xit;
-      } 
+          *sit_last != &sl &&
+          *sit_succ != &sh) {
+        IEvent[std::make_pair(*sit_last, *sit_succ)] = xit;
+      }
 
       bool overlapping;
       do {
-	ISegment s = *sit;
-	ss_iterator sit_next(sit); --sit_next;
+        ISegment s = *sit;
+        ss_iterator sit_next(sit); --sit_next;
 
-	if(*sit_next == &sl)
-	  overlapping = false;
-	else
-	  overlapping = y2y[*sit_next] == *sit;
-	Halfedge_handle e = Edge_of[*sit];
-	if ( overlapping ) {
-	  CGAL_NEF_TRACEN("overlapping segment "<<s);
-	} else {
-	  CGAL_NEF_TRACEN("connecting edge to node "<<s);
-	  GO.link_as_target_and_append(v,e);
-	  /* in this case we close the output edge |e| associated to
-	     |sit| by linking |v| as its target and by appending the
-	     twin edge to |v|'s adjacency list. */
-	}
-	GO.supporting_segment(e,original(s));
-	if ( target(s) == p_sweep ) {
-	  CGAL_NEF_TRACEN("ending segment "<<s);
-	  if(overlapping)
-	    y2y[*sit_next] = y2y[*sit];
-	  YS.erase(sit);
-	  GO.ending_segment(v,original(s));
-	} else { // passing segment, take care of the node here!
-	  CGAL_NEF_TRACEN("passing segment "<<s);
-	  ss_iterator sst(sit); ++sst;
-	  if(y2y[*sit] != *sst)
-	    y2y[*sit] = &sl;
-	  y2x[*sit] = XS.end();
-	  GO.passing_segment(v,original(s));
-	}
-
-	ss_iterator sss(sit_next); ++sss;
-	if(*sit_next != &sl)
-	  overlapping |= (y2y[*sit_next] == *sss);
+        if(*sit_next == &sl)
+          overlapping = false;
+        else
+          overlapping = y2y[*sit_next] == *sit;
+        Halfedge_handle e = Edge_of[*sit];
+        if ( overlapping ) {
+          CGAL_NEF_TRACEN("overlapping segment "<<s);
+        } else {
+          CGAL_NEF_TRACEN("connecting edge to node "<<s);
+          GO.link_as_target_and_append(v,e);
+          /* in this case we close the output edge |e| associated to
+             |sit| by linking |v| as its target and by appending the
+             twin edge to |v|'s adjacency list. */
+        }
+        GO.supporting_segment(e,original(s));
+        if ( target(s) == p_sweep ) {
+          CGAL_NEF_TRACEN("ending segment "<<s);
+          if(overlapping)
+            y2y[*sit_next] = y2y[*sit];
+          YS.erase(sit);
+          GO.ending_segment(v,original(s));
+        } else { // passing segment, take care of the node here!
+          CGAL_NEF_TRACEN("passing segment "<<s);
+          ss_iterator sst(sit); ++sst;
+          if(y2y[*sit] != *sst)
+            y2y[*sit] = &sl;
+          y2x[*sit] = XS.end();
+          GO.passing_segment(v,original(s));
+        }
+
+        ss_iterator sss(sit_next); ++sss;
+        if(*sit_next != &sl)
+          overlapping |= (y2y[*sit_next] == *sss);
 
-	sit = sit_next;
+        sit = sit_next;
       }
-      while (*sit != &sl && 
-	     (y2x[*sit] == event || overlapping));
-	     
-      
+      while (*sit != &sl &&
+             (y2x[*sit] == event || overlapping));
+
+
       sit_pred = sit;
       sit_first = sit_pred;
       ++sit_first; // first item of the bundle
@@ -986,100 +986,100 @@ public:
       CGAL_assertion(check_bundle(sit_pred, sit_succ));
 
       while( *sit != *sit_succ) {
-	ss_iterator sub_first(sit), 
-	  sub_last(sub_first),
-	  succ_sub_last(sub_last);
-	++succ_sub_last;
-	
-	while(y2y[*sub_last] == *succ_sub_last) {
-	  ++sub_last; ++succ_sub_last;
-	}
-	
-	sit = sub_first;
-	while(*sub_first != *sub_last) {
-	  YS.swap(sub_first, sub_last);
-	  std::swap(sub_first, sub_last);
-	  ++sub_first;
-	  if(*sub_first == *sub_last) break;
-	  --sub_last;
-	}
-	++sit;
+        ss_iterator sub_first(sit),
+          sub_last(sub_first),
+          succ_sub_last(sub_last);
+        ++succ_sub_last;
+
+        while(y2y[*sub_last] == *succ_sub_last) {
+          ++sub_last; ++succ_sub_last;
+        }
+
+        sit = sub_first;
+        while(*sub_first != *sub_last) {
+          YS.swap(sub_first, sub_last);
+          std::swap(sub_first, sub_last);
+          ++sub_first;
+          if(*sub_first == *sub_last) break;
+          --sub_last;
+        }
+        ++sit;
       }
 
-      if(*sit_first != *sit_succ) {	
-	ss_iterator sfirst(sit_pred); ++sfirst;
-	ss_iterator slast(sit_succ); --slast;
-	while(*sfirst != *slast) {
-	  YS.swap(sfirst, slast);
-	  std::swap(sfirst, slast);
-	  ++sfirst;
-	  if(*sfirst == *slast) break;
-	  --slast;
-	}
+      if(*sit_first != *sit_succ) {
+        ss_iterator sfirst(sit_pred); ++sfirst;
+        ss_iterator slast(sit_succ); --slast;
+        while(*sfirst != *slast) {
+          YS.swap(sfirst, slast);
+          std::swap(sfirst, slast);
+          ++sfirst;
+          if(*sfirst == *slast) break;
+          --slast;
+        }
       }
     } // if (sit != ss_iterator() )
-    
+
     //    CGAL_assertion( sit_pred != YS.end() );
     GO.halfedge_below(v,Edge_of[*sit_pred]);
     if ( x2iso[&*event] != 0 ) {
       IsoList* IL = x2iso[&*event];
       typename IsoList::const_iterator iso_it;
-      for (iso_it = IL->begin(); iso_it != IL->end(); ++iso_it) 
-	GO.trivial_segment(v,*iso_it);
+      for (iso_it = IL->begin(); iso_it != IL->end(); ++iso_it)
+        GO.trivial_segment(v,*iso_it);
       delete IL;
       x2iso[&*event] = 0;
     }
-    
+
     ISegment next_seg = ISegment(); // to avoid /W4 warning
     seg_iterator next_it = SQ.begin();
-    while ( next_it != SQ.end() && 
-	    ( next_seg = next_it->second, p_sweep == source(next_seg)) ) {
+    while ( next_it != SQ.end() &&
+            ( next_seg = next_it->second, p_sweep == source(next_seg)) ) {
       CGAL_NEF_TRACEN("inserting "<<next_seg);
 
       ss_iterator s_sit = YS.upper_bound(next_seg);
       ss_iterator p_sit(s_sit); --p_sit;
-      
+
       sit = YS.insert_before(s_sit, next_seg);
-      
+
       ss_iterator ys2_tmp = sit;
       ++ys2_tmp;
       CGAL_assertion(*s_sit == *ys2_tmp);
 
       if(*s_sit != &sh &&
-	 orientation(s_sit, source(next_seg)) == 0 &&
-	 orientation(s_sit, target(next_seg)) == 0) {
-	y2y[*sit] = *s_sit;
+         orientation(s_sit, source(next_seg)) == 0 &&
+         orientation(s_sit, target(next_seg)) == 0) {
+        y2y[*sit] = *s_sit;
       }
 
       if ( &sl != *p_sit &&
-	   orientation(p_sit, source(next_seg) ) == 0 &&
-	   orientation(p_sit, target(next_seg) ) == 0 ) {
-	y2y[*p_sit] = *sit;
+           orientation(p_sit, source(next_seg) ) == 0 &&
+           orientation(p_sit, target(next_seg) ) == 0 ) {
+        y2y[*p_sit] = *sit;
       }
 
       x2y[&*XS.find(target(next_seg))] = sit;
       GO.starting_segment(v,original(next_seg));
-      
+
       // delete minimum and assign new minimum to next_seg
       SQ.erase(SQ.begin());
       next_it = SQ.begin();
     }
-    
+
     // we insert new edge stubs, non-linked at target
     ss_iterator sit_curr = sit_succ, sit_prev = sit_succ;
-    for( --sit_curr; *sit_curr != *sit_pred; 
-	 sit_prev = sit_curr, --sit_curr ) {
+    for( --sit_curr; *sit_curr != *sit_pred;
+         sit_prev = sit_curr, --sit_curr ) {
       CGAL_NEF_TRACEN("checking outedge "<< *sit_curr <<"\n   "<< *sit_prev);
       if (y2y[*sit_curr] == *sit_prev) { // overlapping
-	CGAL_assertion(collinear(sit_curr, sit_prev));
-	Edge_of[*sit_curr] = Edge_of[*sit_prev];
+        CGAL_assertion(collinear(sit_curr, sit_prev));
+        Edge_of[*sit_curr] = Edge_of[*sit_prev];
       } else {
-	CGAL_NEF_TRACEN("creating new edge ");
-	Edge_of[*sit_curr] = GO.new_halfedge_pair_at_source(v);
+        CGAL_NEF_TRACEN("creating new edge ");
+        Edge_of[*sit_curr] = GO.new_halfedge_pair_at_source(v);
       }
     }
     sit_first = sit_prev;
- 
+
    event_iterator xxit = y2x[*sit_pred];
     if(xxit != XS.end() &&
        *sit_pred != &sl &&
@@ -1087,13 +1087,13 @@ public:
       IEvent[std::make_pair(*sit_pred, *sit_pred_succ)] = xxit;
       y2y[*sit_pred] = &sl;
       y2x[*sit_pred] = XS.end();
-    } 
-    
+    }
+
     CGAL_NEF_TRACEN("pred,succ = "<< *sit_pred <<" "<< *sit_succ);
-    compute_intersection(sit_pred); 
+    compute_intersection(sit_pred);
     sit = sit_succ; --sit;
     if (*sit != *sit_pred)
-      compute_intersection(sit); 
+      compute_intersection(sit);
   }
 
   void complete_structures() {}
diff -pruN 5.0.2-3/include/CGAL/Nef_3/Binary_operation.h 5.0.3-1/include/CGAL/Nef_3/Binary_operation.h
--- 5.0.2-3/include/CGAL/Nef_3/Binary_operation.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/Binary_operation.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/Binary_operation.h $
-// $Id: Binary_operation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/Binary_operation.h $
+// $Id: Binary_operation.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel       <seel@mpi-sb.mpg.de>
 //                 Miguel Granados    <granados@mpi-sb.mpg.de>
@@ -48,7 +48,7 @@ int number_of_point_location_queries;
 int number_of_ray_shooting_queries;
 CGAL::Timer timer_point_location;
 CGAL::Timer timer_ray_shooting;
-#endif 
+#endif
 
 #ifdef CGAL_NEF3_TIMER_SPHERE_SWEEPS
 int number_of_edge_facet_overlays=0;
@@ -68,7 +68,7 @@ int number_of_intersection_candidates;
 #endif
 
 template <typename Map>
-class Binary_operation : public CGAL::SNC_decorator<Map> { 
+class Binary_operation : public CGAL::SNC_decorator<Map> {
  public:
   typedef Map SNC_structure;
   typedef typename SNC_structure::Items                Items;
@@ -76,7 +76,7 @@ class Binary_operation : public CGAL::SN
   typedef CGAL::SNC_decorator<SNC_structure>           SNC_decorator;
   typedef SNC_decorator                                Base;
   typedef CGAL::SNC_constructor<Items, SNC_structure>  SNC_constructor;
-  typedef CGAL::SNC_external_structure<Items, SNC_structure> 
+  typedef CGAL::SNC_external_structure<Items, SNC_structure>
     SNC_external_structure;
   typedef CGAL::SM_decorator<Sphere_map>               SM_decorator;
   typedef CGAL::SNC_SM_overlayer<Items, SM_decorator>  SM_overlayer;
@@ -94,17 +94,17 @@ class Binary_operation : public CGAL::SN
 
   typedef typename SNC_structure::Vertex_iterator Vertex_iterator;
   typedef typename SNC_structure::Halfedge_iterator Halfedge_iterator;
-  typedef typename SNC_structure::Halffacet_iterator Halffacet_iterator; 
+  typedef typename SNC_structure::Halffacet_iterator Halffacet_iterator;
   typedef typename SNC_structure::Volume_iterator Volume_iterator;
-  typedef typename SNC_structure::SVertex_iterator SVertex_iterator;  
+  typedef typename SNC_structure::SVertex_iterator SVertex_iterator;
   typedef typename SNC_structure::SHalfedge_iterator SHalfedge_iterator;
   typedef typename SNC_structure::SHalfloop_iterator SHalfloop_iterator;
-  typedef typename SNC_structure::SFace_iterator SFace_iterator;  
+  typedef typename SNC_structure::SFace_iterator SFace_iterator;
 
   typedef typename SNC_structure::SFace_cycle_iterator SFace_cycle_iterator;
   typedef typename SNC_structure::Halffacet_cycle_iterator Halffacet_cycle_iterator;
   typedef typename SNC_structure::Shell_entry_iterator Shell_entry_iterator;
- 
+
   typedef typename SNC_structure::Object_handle Object_handle;
 
   typedef typename Base::Vertex_const_handle Vertex_const_handle;
@@ -123,18 +123,18 @@ class Binary_operation : public CGAL::SN
 
  public:
   Binary_operation(SNC_structure& W) : Base(W) {}
-    
+
   template <typename Selection, typename Association>
   Vertex_handle binop_local_views( Vertex_const_handle v0, Vertex_const_handle v1,
-				   const Selection& BOP, SNC_structure& rsnc
-				   ,Association& A)
+                                   const Selection& BOP, SNC_structure& rsnc
+                                   ,Association& A)
     /*{\opOverlays two spheres maps.}*/ {
     //    CGAL_NEF_SETDTHREAD(19*43*131);
-    
+
     CGAL_assertion( v0->point() == v1->point());
     Vertex_handle v01 = rsnc.new_vertex( v0->point(), BOP( v0->mark(),v1->mark()));
-    //    std::cerr <<"BOP Vertex "<< v0->point() << ":" 
-    //       	      << v0->mark()<<" "<<v1->mark()<<std::endl;
+    //    std::cerr <<"BOP Vertex "<< v0->point() << ":"
+    //                     << v0->mark()<<" "<<v1->mark()<<std::endl;
     CGAL_NEF_TRACEN("  binop result on vertex "<<&*v01<<" on "<<&*(v01->sncp()));
     SM_overlayer O(&*v01);
     O.subdivide( &*v0, &*v1, A);
@@ -148,7 +148,7 @@ class Binary_operation : public CGAL::SN
     SNC_constructor C(*this->sncp());
     return C.create_from_edge( e, p);
   }
-  
+
   Vertex_handle create_local_view_on( const Point_3& p, Halffacet_handle f) {
     SNC_constructor C(*this->sncp());
     return C.create_from_facet( f, p);
@@ -159,101 +159,101 @@ class Binary_operation : public CGAL::SN
     SM_decorator SD(&*v);
     SFace_handle f = SD.new_sface();
     f->mark() = c->mark();
-    CGAL_NEF_TRACEN("volume "<<&*c<<" marked as "<<c->mark()); 
+    CGAL_NEF_TRACEN("volume "<<&*c<<" marked as "<<c->mark());
     return v;
   }
 
-  template <typename SNC_decorator, 
-            typename Selection, 
+  template <typename SNC_decorator,
+            typename Selection,
             typename Association>
-  class Intersection_call_back : 
-    public SNC_point_locator::Intersection_call_back 
+  class Intersection_call_back :
+    public SNC_point_locator::Intersection_call_back
   {
     typedef typename SNC_decorator::Decorator_traits Decorator_traits;
     typedef typename Decorator_traits::Halfedge_handle Halfedge_handle;
     typedef typename Decorator_traits::Halffacet_handle Halffacet_handle;
-    
+
   public:
     Intersection_call_back( SNC_structure& s0, SNC_structure& s1,
-			    const Selection& _bop, SNC_structure& r, 
-			    bool invert_order, Association& Ain) :
+                            const Selection& _bop, SNC_structure& r,
+                            bool invert_order, Association& Ain) :
       snc0(s0), snc1(s1), bop(_bop), result(r),
       inverse_order(invert_order), A(Ain) {}
 
       void operator()(Halfedge_handle e0, Object_handle o1, const Point_3& ip)
       const {
-          
+
 #ifdef CGAL_NEF3_DUMP_STATISTICS
       ++number_of_intersections;
 #endif
 
       Halfedge_handle e;
       Halffacet_handle f;
-      
+
       Point_3 p(normalized(ip));
 
       CGAL_NEF_TRACEN("Intersection_call_back: intersection reported on " << p << " (normalized: " << normalized(p) << " )");
 #ifdef CGAL_NEF_DEBUG
       CGAL_NEF_TRACEN("edge 0 has source " << e0->source()->point() << " and direction " << e0->vector());
       if( CGAL::assign( e, o1)) {
-	CGAL_NEF_TRACEN("edge 1 has source " << e->source()->point() << " and direction " << e->vector());
+        CGAL_NEF_TRACEN("edge 1 has source " << e->source()->point() << " and direction " << e->vector());
       }
       else if( CGAL::assign( f, o1)) {
-	CGAL_NEF_TRACEN("face 1 has plane equation " << f->plane());
+        CGAL_NEF_TRACEN("face 1 has plane equation " << f->plane());
       }
-      else 
-      	CGAL_error_msg( "wrong handle");
-#endif      
+      else
+              CGAL_error_msg( "wrong handle");
+#endif
 
 #if defined (CGAL_NEF3_TIMER_OVERLAY) || (CGAL_NEF3_TIMER_INTERSECTION)
       timer_overlay.start();
 #endif
 
       if( CGAL::assign( e, o1)) {
-	//	std::cerr << "inverse order " << inverse_order << std::endl;
+        //        std::cerr << "inverse order " << inverse_order << std::endl;
 
 #ifdef CGAL_NEF_EXPERIMENTAL_CODE
-	typename CGAL::Edge_edge_overlay<SNC_structure> eeo(result, e0, e);
-	Sphere_map* M0 = eeo.create_edge_edge_overlay(p, bop, inverse_order, A);
-	SM_overlayer O(M0);
-	O.simplify(A);
+        typename CGAL::Edge_edge_overlay<SNC_structure> eeo(result, e0, e);
+        Sphere_map* M0 = eeo.create_edge_edge_overlay(p, bop, inverse_order, A);
+        SM_overlayer O(M0);
+        O.simplify(A);
 #else
-	Binary_operation D(result);
-	Vertex_handle v0, v1;
-	v0 = D.create_local_view_on( p, e0);
-	v1 = D.create_local_view_on( p, e);
-	if( inverse_order)
-	  std::swap( v0, v1);
-	D.binop_local_views( v0, v1, bop, result,A);
-	result.delete_vertex(v0);
-	result.delete_vertex(v1);
+        Binary_operation D(result);
+        Vertex_handle v0, v1;
+        v0 = D.create_local_view_on( p, e0);
+        v1 = D.create_local_view_on( p, e);
+        if( inverse_order)
+          std::swap( v0, v1);
+        D.binop_local_views( v0, v1, bop, result,A);
+        result.delete_vertex(v0);
+        result.delete_vertex(v1);
 #endif
       }
       else if( CGAL::assign( f, o1)) {
 #ifdef CGAL_NEF3_OVERLAY_BY_HAND_OFF
-	Binary_operation D(result);
-	Vertex_handle v0, v1;
-	v0 = D.create_local_view_on( p, e0);
-	v1 = D.create_local_view_on( p, f);
-	if( inverse_order)
-	  std::swap( v0, v1);
-	D.binop_local_views( v0, v1, bop, result,A);
-	result.delete_vertex(v0);
-	result.delete_vertex(v1);	
+        Binary_operation D(result);
+        Vertex_handle v0, v1;
+        v0 = D.create_local_view_on( p, e0);
+        v1 = D.create_local_view_on( p, f);
+        if( inverse_order)
+          std::swap( v0, v1);
+        D.binop_local_views( v0, v1, bop, result,A);
+        result.delete_vertex(v0);
+        result.delete_vertex(v1);
 #else // CGAL_NEF3_OVERLAY_BY_HAND_OFF
-	SNC_constructor C(result);
-	Sphere_map* M0 = C.create_edge_facet_overlay(e0, f, p, bop, inverse_order, A);
-	SM_overlayer O(M0);
-	O.simplify(A);
+        SNC_constructor C(result);
+        Sphere_map* M0 = C.create_edge_facet_overlay(e0, f, p, bop, inverse_order, A);
+        SM_overlayer O(M0);
+        O.simplify(A);
 #endif // CGAL_NEF3_OVERLAY_BY_HAND_OFF
       }
-      else 
-	CGAL_error_msg( "wrong handle");
+      else
+        CGAL_error_msg( "wrong handle");
 
 #if defined (CGAL_NEF3_TIMER_OVERLAY) || (CGAL_NEF3_TIMER_INTERSECTION)
       timer_overlay.stop();
 #endif
- 
+
     }
   private:
     const SNC_structure& snc0;
@@ -266,15 +266,15 @@ class Binary_operation : public CGAL::SN
 
   template <typename Selection>
     void operator()( SNC_point_locator* pl0,
-		     const SNC_structure& snc1,
-		     const SNC_point_locator* pl1,
-		     const SNC_structure& snc2,
-		     const SNC_point_locator* pl2,
-		     const Selection& BOP)
+                     const SNC_structure& snc1,
+                     const SNC_point_locator* pl1,
+                     const SNC_structure& snc2,
+                     const SNC_point_locator* pl2,
+                     const Selection& BOP)
       /*{\opPerforms a binary operation defined on |BOP| between two
       SNC structures.  The input structures are not modified and the
       result of the operation is stored in |result|.
-      \precondition: the structure |result| is empty.}*/ 
+      \precondition: the structure |result| is empty.}*/
   {
     //    CGAL_NEF_SETDTHREAD(23);
     CGAL_assertion( this->sncp()->is_empty());
@@ -284,7 +284,7 @@ class Binary_operation : public CGAL::SN
 #ifdef CGAL_NEF3_TIMER_BINARY_OPERATION
     CGAL::Timer timer_binary_operation;
     timer_binary_operation.start();
-#endif 
+#endif
 
 #ifdef CGAL_NEF3_TIMER_SPHERE_SWEEPS
     timer_sphere_sweeps.reset();
@@ -293,7 +293,7 @@ class Binary_operation : public CGAL::SN
     number_of_clones=0;
 #endif
 
-#ifdef CGAL_NEF3_TIMER_POINT_LOCATION    
+#ifdef CGAL_NEF3_TIMER_POINT_LOCATION
     timer_point_location.reset();
     number_of_point_location_queries=0;
 #endif
@@ -313,7 +313,7 @@ class Binary_operation : public CGAL::SN
     //    CGAL_NEF_SETDTHREAD(19*43*131);
     CGAL_NEF_TRACEN("=> binary operation");
 
-#ifdef CGAL_NEF3_FACET_WITH_BOX 
+#ifdef CGAL_NEF3_FACET_WITH_BOX
     SNC_constructor C1(snc1);
     C1.create_box();
     SNC_constructor C2(snc2);
@@ -321,7 +321,7 @@ class Binary_operation : public CGAL::SN
 #endif
 
     CGAL_NEF_TRACEN("\nnumber of vertices (so far...) = "
-		    << this->sncp()->number_of_vertices());
+                    << this->sncp()->number_of_vertices());
 
     CGAL_NEF_TRACEN("=> for all v0 in snc1, qualify v0 with respect snc2");
     //    int i=2;
@@ -345,70 +345,70 @@ class Binary_operation : public CGAL::SN
       Halffacet_handle f;
       Volume_handle c;
       CGAL_NEF_TRACEN("Locating point " << p0);
-      
+
 #ifdef CGAL_NEF3_TIMER_POINT_LOCATION
       ++number_of_point_location_queries;
       timer_point_location.start();
-#endif 
+#endif
       Object_handle o = pl2->locate(p0);
 #ifdef CGAL_NEF3_TIMER_POINT_LOCATION
       timer_point_location.stop();
-#endif 
-    
+#endif
+
 #if defined(CGAL_NEF3_TIMER_OVERLAY)
       timer_overlay.start();
 #endif
       if( CGAL::assign( v, o)) {
-	CGAL_NEF_TRACEN("p0 found on vertex");
-	binop_local_views( v0, v, BOP, *this->sncp(),A);
-	ignore[v] = true;
+        CGAL_NEF_TRACEN("p0 found on vertex");
+        binop_local_views( v0, v, BOP, *this->sncp(),A);
+        ignore[v] = true;
       }
       else if( CGAL::assign( e, o)) {
-	CGAL_NEF_TRACEN("p0 found on edge");
-	Vertex_handle v1 = create_local_view_on( p0, e);
-	binop_local_views( v0, v1, BOP, *this->sncp(),A);
-	this->sncp()->delete_vertex(v1);
+        CGAL_NEF_TRACEN("p0 found on edge");
+        Vertex_handle v1 = create_local_view_on( p0, e);
+        binop_local_views( v0, v1, BOP, *this->sncp(),A);
+        this->sncp()->delete_vertex(v1);
       }
       else if( CGAL::assign( f, o)) {
-	CGAL_NEF_TRACEN("p0 found on facet" << f->plane());
-	Vertex_handle v1 = create_local_view_on( p0, f);
-	binop_local_views( v0, v1, BOP, *this->sncp(),A);
-	this->sncp()->delete_vertex(v1);
+        CGAL_NEF_TRACEN("p0 found on facet" << f->plane());
+        Vertex_handle v1 = create_local_view_on( p0, f);
+        binop_local_views( v0, v1, BOP, *this->sncp(),A);
+        this->sncp()->delete_vertex(v1);
       }
       else if( CGAL::assign( c, o)) {
-	CGAL_NEF_TRACEN("p0 found on volume with mark " << c->mark());
+        CGAL_NEF_TRACEN("p0 found on volume with mark " << c->mark());
 #ifdef CGAL_NEF3_OVERLAY_IF_NEEDED_OFF
         if(true) {
 #else
-	if( BOP( true, c->mark()) != BOP( false, c->mark())) {
+        if( BOP( true, c->mark()) != BOP( false, c->mark())) {
 #endif
 #ifdef CGAL_NEF3_OVERLAY_BY_HAND_OFF
-	  Vertex_handle v1 = create_local_view_on( p0, c);
-	  binop_local_views( v0, v1, BOP, *this->sncp(),A);
-	  this->sncp()->delete_vertex(v1);
+          Vertex_handle v1 = create_local_view_on( p0, c);
+          binop_local_views( v0, v1, BOP, *this->sncp(),A);
+          this->sncp()->delete_vertex(v1);
 #else
-	  SNC_constructor C(*this->sncp());
-	  Vertex_handle v1 = C.clone_SM(v0);
-	  SM_decorator SM(&*v1);
-	  SM.change_marks(BOP, c->mark());
-	  SM_overlayer O(&*v1);
-	  O.simplify(A);
-#endif
-	} else {
-	  CGAL_NEF_TRACEN("vertex in volume deleted " << std::endl << 
-		 "  vertex: " <<  v0->point() << std::endl << 
-		 "  mark of volume: " << c->mark()); 
-	}
+          SNC_constructor C(*this->sncp());
+          Vertex_handle v1 = C.clone_SM(v0);
+          SM_decorator SM(&*v1);
+          SM.change_marks(BOP, c->mark());
+          SM_overlayer O(&*v1);
+          O.simplify(A);
+#endif
+        } else {
+          CGAL_NEF_TRACEN("vertex in volume deleted " << std::endl <<
+                 "  vertex: " <<  v0->point() << std::endl <<
+                 "  mark of volume: " << c->mark());
+        }
       }
       else CGAL_error_msg( "wrong handle");
-      
+
 #if defined(CGAL_NEF3_TIMER_OVERLAY)
       timer_overlay.stop();
 #endif
       }
     CGAL_NEF_TRACEN("\nnumber of vertices (so far...) = "
-		    << this->sncp()->number_of_vertices());
-    
+                    << this->sncp()->number_of_vertices());
+
     CGAL_NEF_TRACEN("=> for all v1 in snc1, qualify v1 with respect snc0");
     CGAL_forall_vertices( v0, snc2) {
 
@@ -418,71 +418,71 @@ class Binary_operation : public CGAL::SN
       Halffacet_handle f;
       Volume_handle c;
       CGAL_NEF_TRACEN("Locating point " << p1);
-      
+
 #ifdef CGAL_NEF3_TIMER_POINT_LOCATION
       number_of_point_location_queries++;
       timer_point_location.start();
-#endif 
+#endif
       Object_handle o = pl1->locate(p1);
 #ifdef CGAL_NEF3_TIMER_POINT_LOCATION
       timer_point_location.stop();
-#endif 
-      
+#endif
+
       CGAL_assertion_code(Vertex_handle v);
       CGAL_assertion( !CGAL::assign( v, o));
-      
+
 #if defined(CGAL_NEF3_TIMER_OVERLAY)
       timer_overlay.start();
 #endif
       if( CGAL::assign( e, o)) {
-	CGAL_NEF_TRACEN("p1 found on edge");
-	Vertex_handle v1 = create_local_view_on( p1, e);
-	binop_local_views( v1, v0, BOP, *this->sncp(),A);
-	this->sncp()->delete_vertex(v1);
-      } 
+        CGAL_NEF_TRACEN("p1 found on edge");
+        Vertex_handle v1 = create_local_view_on( p1, e);
+        binop_local_views( v1, v0, BOP, *this->sncp(),A);
+        this->sncp()->delete_vertex(v1);
+      }
       else if( CGAL::assign( f, o)) {
-	CGAL_NEF_TRACEN("p1 found on facet");
-	Vertex_handle v1 = create_local_view_on( p1, f);
-	binop_local_views( v1, v0, BOP, *this->sncp(),A);
-	this->sncp()->delete_vertex(v1);
-      } 
+        CGAL_NEF_TRACEN("p1 found on facet");
+        Vertex_handle v1 = create_local_view_on( p1, f);
+        binop_local_views( v1, v0, BOP, *this->sncp(),A);
+        this->sncp()->delete_vertex(v1);
+      }
       else if( CGAL::assign( c, o)) {
-	CGAL_NEF_TRACEN("p1 found on volume with mark " << c->mark());
+        CGAL_NEF_TRACEN("p1 found on volume with mark " << c->mark());
 #ifdef CGAL_NEF3_OVERLAY_IF_NEEDED_OFF
         if(true)
 #else
-	if( BOP( c->mark(), true) != BOP( c->mark(), false))
+        if( BOP( c->mark(), true) != BOP( c->mark(), false))
 #endif
-	{
+        {
 #ifdef CGAL_NEF3_OVERLAY_BY_HAND_OFF
-	  Vertex_handle v1 = create_local_view_on( p1, c);
-	  binop_local_views( v1, v0, BOP, *this->sncp(),A);
-	  this->sncp()->delete_vertex(v1);	  
+          Vertex_handle v1 = create_local_view_on( p1, c);
+          binop_local_views( v1, v0, BOP, *this->sncp(),A);
+          this->sncp()->delete_vertex(v1);
 #else
-	  SNC_constructor C(*this->sncp());
-	  Vertex_handle v1 = C.clone_SM(v0);
-	  SM_decorator SM(&*v1);
-	  SM.change_marks(c->mark(), BOP);
-	  SM_overlayer O(&*v1);
-	  O.simplify(A);
-#endif
-	} else {
-	  CGAL_NEF_TRACEN("vertex in volume deleted " << std::endl << 
-			  "  vertex: " <<  v0->point() << std::endl << 
-			  "  mark of volume: " << c->mark()); 
-	}
+          SNC_constructor C(*this->sncp());
+          Vertex_handle v1 = C.clone_SM(v0);
+          SM_decorator SM(&*v1);
+          SM.change_marks(c->mark(), BOP);
+          SM_overlayer O(&*v1);
+          O.simplify(A);
+#endif
+        } else {
+          CGAL_NEF_TRACEN("vertex in volume deleted " << std::endl <<
+                          "  vertex: " <<  v0->point() << std::endl <<
+                          "  mark of volume: " << c->mark());
+        }
       }
       else CGAL_error_msg( "wrong handle");
-      
+
 #if defined(CGAL_NEF3_TIMER_OVERLAY)
       timer_overlay.stop();
 #endif
     }
-    
-    CGAL_NEF_TRACEN("\nnumber of vertices (so far...) = "<< 
-		    this->sncp()->number_of_vertices());
 
-    // Each time the intersect method of the point locator for the 
+    CGAL_NEF_TRACEN("\nnumber of vertices (so far...) = "<<
+                    this->sncp()->number_of_vertices());
+
+    // Each time the intersect method of the point locator for the
     // SNC structure finds an intersection between the segment defined
     // by an edge on the other SNC structure, the call back method is
     // called with the intersecting objects and the intersection point.
@@ -493,18 +493,18 @@ class Binary_operation : public CGAL::SN
     // CGAL_NEF_SETDTHREAD(19*509*43*131);
 
     Intersection_call_back<SNC_decorator, Selection, Association> call_back0
-      ( const_cast<SNC_structure&>(snc1), const_cast<SNC_structure&>(snc2), 
-	BOP, *this->sncp(), false, A);
-    Intersection_call_back<SNC_decorator, Selection, Association> call_back1 
-      ( const_cast<SNC_structure&>(snc2), const_cast<SNC_structure&>(snc2), 
-	BOP, *this->sncp(), true, A);
+      ( const_cast<SNC_structure&>(snc1), const_cast<SNC_structure&>(snc2),
+        BOP, *this->sncp(), false, A);
+    Intersection_call_back<SNC_decorator, Selection, Association> call_back1
+      ( const_cast<SNC_structure&>(snc2), const_cast<SNC_structure&>(snc2),
+        BOP, *this->sncp(), true, A);
 
 #ifdef CGAL_NEF3_TIMER_INTERSECTION
     double split_intersection = timer_overlay.time();
     CGAL::Timer timer_intersection;
     timer_intersection.start();
 #endif
-    
+
     // choose between intersection algorithms
 #ifdef CGAL_NEF3_INTERSECTION_BY_KDTREE
     Halfedge_iterator e0, e1;
@@ -529,21 +529,21 @@ class Binary_operation : public CGAL::SN
     CGAL_forall_edges(e0,const_cast<SNC_structure&>(snc1))
       pl2->intersect_with_edges_and_facets(e0,call_back0);
 
-    
+
     CGAL_NEF_TRACEN("=> finding edge1-facet0 intersections...");
     CGAL_forall_edges( e1,const_cast<SNC_structure&>(snc2)) {
       //      ef_intersections++;
       pl1->intersect_with_facets( e1, call_back1);
     }
     CGAL_NEF_TRACEN("\nnumber of vertices (so far...) = "
-		    << this->sncp()->number_of_vertices());
+                    << this->sncp()->number_of_vertices());
 #elif defined CGAL_NEF3_INTERSECTION_NAIVE
-    
+
     CGAL::SNC_point_locator_naive<SNC_decorator> pln1;
     CGAL::SNC_point_locator_naive<SNC_decorator> pln2;
     pln1.initialize(const_cast<SNC_structure*>(&snc1));
     pln2.initialize(const_cast<SNC_structure*>(&snc2));
-    Halfedge_iterator e0;   
+    Halfedge_iterator e0;
     CGAL_forall_edges(e0,const_cast<SNC_structure&>(snc1))
       pln2.intersect_with_edges_and_facets(e0,call_back0);
     CGAL_forall_edges(e0,const_cast<SNC_structure&>(snc2))
@@ -552,103 +552,103 @@ class Binary_operation : public CGAL::SN
 #else
     CGAL_NEF_TRACEN("intersection by fast box intersection");
         binop_intersection_test_segment_tree<SNC_decorator> binop_box_intersection;
-        binop_box_intersection(call_back0, call_back1, 
-			       const_cast<SNC_structure&>(snc1), 
-			       const_cast<SNC_structure&>(snc2));
+        binop_box_intersection(call_back0, call_back1,
+                               const_cast<SNC_structure&>(snc1),
+                               const_cast<SNC_structure&>(snc2));
 #endif
 
 #ifdef CGAL_NEF3_TIMER_INTERSECTION
     timer_intersection.stop();
     if(cgal_nef3_timer_on)
       std::cout << "Runtime_intersection: "
-		<< timer_intersection.time()-timer_overlay.time()+split_intersection 
-		<< std::endl;
+                << timer_intersection.time()-timer_overlay.time()+split_intersection
+                << std::endl;
 #endif
 
     CGAL_NEF_TRACEN("=> resultant vertices (before simplification): ");
-    CGAL_assertion_code(CGAL_forall_vertices( v0, *this->sncp()) 
-			  CGAL_NEF_TRACEN(&*v0<<" "<<v0->point()));
+    CGAL_assertion_code(CGAL_forall_vertices( v0, *this->sncp())
+                          CGAL_NEF_TRACEN(&*v0<<" "<<v0->point()));
 
     SNC_external_structure es(*this->sncp(), pl0);
     es.build_after_binary_operation(A);
 
 #ifdef CGAL_NEF3_TIMER_PLANE_SWEEPS
     if(cgal_nef3_timer_on) {
-      std::cout << "Number_of_plane_sweeps: " 
-		<< number_of_plane_sweeps << std::endl;
+      std::cout << "Number_of_plane_sweeps: "
+                << number_of_plane_sweeps << std::endl;
       std::cout << "Runtime_plane_sweeps: "
-		<< timer_plane_sweeps.time() << std::endl;
+                << timer_plane_sweeps.time() << std::endl;
     }
 #endif
-    
+
 #ifdef CGAL_NEF3_DUMP_STATISTICS
     if(cgal_nef3_timer_on) {
       std::cout << "Vertices_in_object_A: "
-		<< snc1.number_of_vertices() << std::endl;
+                << snc1.number_of_vertices() << std::endl;
       std::cout << "Vertices_in_object_B: "
-		<< snc2.number_of_vertices() << std::endl;
+                << snc2.number_of_vertices() << std::endl;
       std::cout << "Number_of_intersections: "
-		<< number_of_intersections << std::endl;
+                << number_of_intersections << std::endl;
       std::cout << "Number_of_intersection_candidates: "
-		<< number_of_intersection_candidates << std::endl;    
+                << number_of_intersection_candidates << std::endl;
       std::cout << "Vertices_in_Result: "
-		<< this->sncp()->number_of_vertices() << std::endl;
+                << this->sncp()->number_of_vertices() << std::endl;
     }
 #endif
 
 #ifdef CGAL_NEF3_TIMER_SPHERE_SWEEPS
     if(cgal_nef3_timer_on) {
-      std::cout << "Number_of_edge_facet_overlays: " 
-		<< number_of_edge_facet_overlays << std::endl;
-      std::cout << "Number_of_clones: " 
-		<< number_of_clones << std::endl;
-      std::cout << "Number_of_sphere_sweeps: " 
-		<< number_of_sphere_sweeps << std::endl;
+      std::cout << "Number_of_edge_facet_overlays: "
+                << number_of_edge_facet_overlays << std::endl;
+      std::cout << "Number_of_clones: "
+                << number_of_clones << std::endl;
+      std::cout << "Number_of_sphere_sweeps: "
+                << number_of_sphere_sweeps << std::endl;
       std::cout << "Runtime_sphere_sweeps: "
-		<< timer_sphere_sweeps.time() << std::endl;
+                << timer_sphere_sweeps.time() << std::endl;
     }
 #endif
 
 #if defined (CGAL_NEF3_TIMER_SPHERE_SWEEPS) && defined (CGAL_NEF3_TIMER_PLANE_SWEEPS)
     if(cgal_nef3_timer_on) {
       std::cout << "Runtime_all_sweeps: "
-		<< timer_sphere_sweeps.time()+timer_plane_sweeps.time() << std::endl;
+                << timer_sphere_sweeps.time()+timer_plane_sweeps.time() << std::endl;
     }
 #endif
 
 #ifdef CGAL_NEF3_TIMER_OVERLAY
     if(cgal_nef3_timer_on) {
-      std::cout << "Runtime_overlay: " 
-		<< timer_overlay.time() << std::endl;
+      std::cout << "Runtime_overlay: "
+                << timer_overlay.time() << std::endl;
     }
 #endif
 
 #ifdef CGAL_NEF3_TIMER_POINT_LOCATION
     if(cgal_nef3_timer_on) {
       std::cout << "Number_of_ray_shooting_queries: "
-		<< number_of_ray_shooting_queries << std::endl;
+                << number_of_ray_shooting_queries << std::endl;
       std::cout << "Runtime_ray_shooting: "
-		<< timer_ray_shooting.time() << std::endl;
+                << timer_ray_shooting.time() << std::endl;
       std::cout << "Number_of_point_location_queries: "
-		<< number_of_point_location_queries << std::endl;
+                << number_of_point_location_queries << std::endl;
       std::cout << "Runtime_point_location: "
-		<< timer_point_location.time() << std::endl;
+                << timer_point_location.time() << std::endl;
       std::cout << "Number_of_kd_tree_queries: "
-		<< number_of_point_location_queries + 
-	           number_of_ray_shooting_queries << std::endl;
+                << number_of_point_location_queries +
+                   number_of_ray_shooting_queries << std::endl;
       std::cout << "Runtime_kd_tree_queries: "
-		<< timer_point_location.time() + 
+                << timer_point_location.time() +
                    timer_ray_shooting.time() << std::endl;
     }
-#endif 
+#endif
 
 #ifdef CGAL_NEF3_TIMER_BINARY_OPERATION
     if(cgal_nef3_timer_on) {
       timer_binary_operation.stop();
-      std::cout << "Runtime_binary_operation: " 
-		<< timer_binary_operation.time() << std::endl;
+      std::cout << "Runtime_binary_operation: "
+                << timer_binary_operation.time() << std::endl;
     }
-#endif 
+#endif
     }
 
   };
diff -pruN 5.0.2-3/include/CGAL/Nef_3/binop_intersection_tests.h 5.0.3-1/include/CGAL/Nef_3/binop_intersection_tests.h
--- 5.0.2-3/include/CGAL/Nef_3/binop_intersection_tests.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/binop_intersection_tests.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/binop_intersection_tests.h $
-// $Id: binop_intersection_tests.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/binop_intersection_tests.h $
+// $Id: binop_intersection_tests.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Meyer  <ameyer@mpi-sb.mpg.de>
 #ifndef CGAL_BINOP_INTERSECTION_TESTS_H
@@ -35,7 +35,7 @@ struct binop_intersection_test_segment_t
   typedef typename SNC_decorator::Point_3                 Point_3;
 
   typedef CGAL::SNC_const_decorator<SNC_structure>        Const_decorator;
-  typedef CGAL::Nef_box<SNC_decorator>                    Nef_box; 
+  typedef CGAL::Nef_box<SNC_decorator>                    Nef_box;
 
   template<class Callback>
   struct Bop_edge0_face1_callback {
@@ -144,7 +144,7 @@ struct binop_intersection_test_segment_t
 #ifdef CGAL_NEF3_BOX_INTERSECTION_CUTOFF
     box_intersection_d( a.begin(), a.end(), b.begin(), b.end(),
                         callback_edge0_edge1,
-			CGAL_NEF3_BOX_INTERSECTION_CUTOFF,);
+                        CGAL_NEF3_BOX_INTERSECTION_CUTOFF,);
 #else
     box_intersection_d( a.begin(), a.end(), b.begin(), b.end(),
                         callback_edge0_edge1);
@@ -159,7 +159,7 @@ struct binop_intersection_test_segment_t
 #ifdef CGAL_NEF3_BOX_INTERSECTION_CUTOFF
     box_intersection_d( a.begin(), a.end(), b.begin(), b.end(),
                         callback_edge0_face1,
-			CGAL_NEF3_BOX_INTERSECTION_CUTOFF);
+                        CGAL_NEF3_BOX_INTERSECTION_CUTOFF);
 #else
     box_intersection_d( a.begin(), a.end(), b.begin(), b.end(),
                         callback_edge0_face1);
@@ -174,7 +174,7 @@ struct binop_intersection_test_segment_t
 #ifdef CGAL_NEF3_BOX_INTERSECTION_CUTOFF
     box_intersection_d( a.begin(), a.end(), b.begin(), b.end(),
                         callback_edge1_face0,
-			CGAL_NEF3_BOX_INTERSECTION_CUTOFF);
+                        CGAL_NEF3_BOX_INTERSECTION_CUTOFF);
 #else
     box_intersection_d( a.begin(), a.end(), b.begin(), b.end(),
                         callback_edge1_face0);
diff -pruN 5.0.2-3/include/CGAL/Nef_3/bounded_side_3.h 5.0.3-1/include/CGAL/Nef_3/bounded_side_3.h
--- 5.0.2-3/include/CGAL/Nef_3/bounded_side_3.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/bounded_side_3.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/bounded_side_3.h $
-// $Id: bounded_side_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/bounded_side_3.h $
+// $Id: bounded_side_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel    <seel@mpi-sb.mpg.de>
 //                 Miguel Granados <granados@mpi-sb.mpg.de>
@@ -29,31 +29,31 @@
 
 namespace CGAL {
 
-template <class Point_2, class Point_3> 
+template <class Point_2, class Point_3>
 Point_2 point_3_get_x_y_point_2(Point_3 p) {
   return( Point_2(p.hx(), p.hy(), p.hw()) );
 }
 
-template <class Point_2, class Point_3> 
+template <class Point_2, class Point_3>
 Point_2 point_3_get_y_z_point_2(Point_3 p) {
   return( Point_2(p.hy(), p.hz(), p.hw()) );
 }
 
-template <class Point_2, class Point_3> 
+template <class Point_2, class Point_3>
 Point_2 point_3_get_z_x_point_2(Point_3 p) {
   return( Point_2(p.hz(), p.hx(), p.hw()) );
 }
 
 template <class IteratorForward, class R>
 Bounded_side bounded_side_3(IteratorForward first,
-			    IteratorForward last,
+                            IteratorForward last,
                             const Point_3<R>& point,
                             typename R::Plane_3 plane = typename R::Plane_3(0,0,0,0)) {
   typedef typename R::Point_2 Point_2;
   typedef typename R::Point_3 Point_3;
   typedef typename R::Vector_3 Vector_3;
   typedef typename R::Plane_3 Plane_3;
-  
+
   if(plane == Plane_3(0,0,0,0)) {
     // TO TEST: code never tested
     IteratorForward p(first);
@@ -96,7 +96,7 @@ Bounded_side bounded_side_3(IteratorForw
   }
   Bounded_side side = bounded_side_2( points.begin(), points.end(), t(point));
   points.clear();
-  return side;  
+  return side;
 }
 
 } //namespace CGAL
@@ -104,47 +104,47 @@ Bounded_side bounded_side_3(IteratorForw
 #ifdef WRONG_IMPLEMENTATION
 /* The following code is wrong since Proyector_.. structures must not return
    references to temporal objects */
-template < class Point_2, class Point_3> 
+template < class Point_2, class Point_3>
 struct Project_XY {
   typedef Point_3                  argument_type;
   typedef Point_2                  result_type;
-  Point_2 operator()( Point_3& p) const { 
+  Point_2 operator()( Point_3& p) const {
     return Point_2(p.hx(), p.hy(), p.hw());
   }
-  const Point_2 operator()( const Point_3& p) const { 
+  const Point_2 operator()( const Point_3& p) const {
     return Point_2(p.hx(), p.hy(), p.hw());
   }
 };
 
-template < class Point_2, class Point_3> 
+template < class Point_2, class Point_3>
 struct Project_YZ {
   typedef Point_3                  argument_type;
   typedef Point_2                  result_type;
-  Point_2 operator()( Point_3& p) const { 
+  Point_2 operator()( Point_3& p) const {
     return Point_2(p.hy(), p.hz(), p.hw());
   }
-  const Point_2 operator()( const Point_3& p) const { 
+  const Point_2 operator()( const Point_3& p) const {
     return Point_2(p.hy(), p.hz(), p.hw());
   }
 };
 
-template < class Point_2, class Point_3> 
+template < class Point_2, class Point_3>
 struct Project_XZ {
   typedef Point_3                  argument_type;
   typedef Point_2                  result_type;
-  Point_2 operator()( Point_3& p) const { 
+  Point_2 operator()( Point_3& p) const {
     return Point_2(p.hx(), p.hz(), p.hw());
   }
-  const Point_2 operator()( const Point_3& p) const { 
+  const Point_2 operator()( const Point_3& p) const {
     return Point_2(p.hx(), p.hz(), p.hw());
   }
 };
 
 template <class IC, class R>
 Bounded_side bounded_side_3(IC first,
-			    IC last,
-			    const Point_3<R>& point,
-			    Plane_3<R> plane = Plane_3<R>(0,0,0,0)) {
+                            IC last,
+                            const Point_3<R>& point,
+                            Plane_3<R> plane = Plane_3<R>(0,0,0,0)) {
 
   typedef typename R::Point_2 Point_2;
   typedef typename R::Point_3 Point_3;
diff -pruN 5.0.2-3/include/CGAL/Nef_3/Bounding_box_3.h 5.0.3-1/include/CGAL/Nef_3/Bounding_box_3.h
--- 5.0.2-3/include/CGAL/Nef_3/Bounding_box_3.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/Bounding_box_3.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/Bounding_box_3.h $
-// $Id: Bounding_box_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/Bounding_box_3.h $
+// $Id: Bounding_box_3.h b1c09a5 2020-07-20T16:52:24+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Miguel Granados <granados@mpi-sb.mpg.de>
 
@@ -26,7 +26,7 @@ namespace CGAL {
 template <typename Extended_tag, typename Kernel> class Bounding_box_3;
 
 template <typename Extended_tag, typename Kernel>
-class Bounding_box_3 : 
+class Bounding_box_3 :
 public Box_intersection_d::Box_d< double, 3> {
 
   typedef Box_intersection_d::Box_d< double, 3>  Base;
@@ -38,20 +38,20 @@ public:
   }
 
   Bounding_box_3(double q[3]) : Base(q,q) {}
-    
+
   void extend( const Point_3& p) {
     std::pair<double, double> q[3];
     q[0] = CGAL::to_interval( p.x() );
     q[1] = CGAL::to_interval( p.y() );
     q[2] = CGAL::to_interval( p.z() );
     Base::extend(q);
-  }	
+  }
 };
 
 template <typename Kernel>
-class Bounding_box_3<Tag_true, Kernel> : 
+class Bounding_box_3<Tag_true, Kernel> :
 public Box_intersection_d::Box_d<typename Kernel::FT, 3> {
-  
+
   typedef typename Kernel::FT               FT;
   typedef Box_intersection_d::Box_d<FT, 3>  Base;
   typedef typename Kernel::Point_3          Point_3;
@@ -62,7 +62,7 @@ public:
   Bounding_box_3() : Base(), initialized(false) {}
 
   Bounding_box_3(FT q[3]) : Base(q,q), initialized(true) {}
-    
+
   void extend(FT q[3]) {
     if(initialized)
       Base::extend(q);
@@ -73,19 +73,15 @@ public:
   }
 
   void extend(const Point_3& p) {
-    FT q[3];
-    q[0] = p.x();
-    q[1] = p.y();
-    q[2] = p.z();
+    FT q[3] = { p.x(), p.y(), p.z() };
 
     if(initialized)
       Base::extend(q);
     else {
       initialized = true;
-      std::copy( q, q + 3, Base::lo );
-      std::copy( q, q + 3, Base::hi );     
+      *this = Bounding_box_3(q);
     }
-  }	  
+  }
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Nef_3/Combine_with_halfspace.h 5.0.3-1/include/CGAL/Nef_3/Combine_with_halfspace.h
--- 5.0.2-3/include/CGAL/Nef_3/Combine_with_halfspace.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/Combine_with_halfspace.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/Combine_with_halfspace.h $
-// $Id: Combine_with_halfspace.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/Combine_with_halfspace.h $
+// $Id: Combine_with_halfspace.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel    <seel@mpi-sb.mpg.de>
 //                 Miguel Granados <granados@mpi-sb.mpg.de>
@@ -35,7 +35,7 @@
 namespace CGAL {
 
 template <typename Map, typename SNC_point_locator>
-class Combine_with_halfspace : public SNC_decorator<Map> { 
+class Combine_with_halfspace : public SNC_decorator<Map> {
  public:
   typedef Map SNC_structure;
   typedef typename SNC_structure::Items                Items;
@@ -45,7 +45,7 @@ class Combine_with_halfspace : public SN
   typedef CGAL::SNC_decorator<SNC_structure>           Base;
   typedef Base                                         SNC_decorator;
   typedef CGAL::SNC_constructor<Items, SNC_structure>  SNC_constructor;
-  typedef CGAL::SNC_external_structure<Items, SNC_structure> 
+  typedef CGAL::SNC_external_structure<Items, SNC_structure>
     SNC_external_structure;
   typedef CGAL::SM_decorator<Sphere_map>               SM_decorator;
   typedef CGAL::SM_const_decorator<Sphere_map>         SM_const_decorator;
@@ -74,15 +74,15 @@ class Combine_with_halfspace : public SN
  public:
   enum Intersection_mode { CLOSED_HALFSPACE=0, OPEN_HALFSPACE=1, PLANE_ONLY=2 };
 
-  Combine_with_halfspace(SNC_structure& W, SNC_point_locator* pl_) 
+  Combine_with_halfspace(SNC_structure& W, SNC_point_locator* pl_)
     : Base(W), pl(pl_) {}
-    
+
   template <typename Selection, typename Intersection_mode>
   void combine_with_halfspace(const SNC_structure& snc,
-			      const Plane_3& plane,
-			      const Selection& BOP,
-			      Intersection_mode im) {
-    
+                              const Plane_3& plane,
+                              const Selection& BOP,
+                              Intersection_mode im) {
+
     Association A;
     SHalfedge_const_iterator sei;
     CGAL_forall_shalfedges(sei, snc)
@@ -90,53 +90,53 @@ class Combine_with_halfspace : public SN
     SHalfloop_const_iterator sli;
     CGAL_forall_shalfloops(sli, snc)
       A.initialize_hash(sli);
-    
+
     int index0(Index_generator::get_unique_index());
     int index1(Index_generator::get_unique_index());
-    Halffacet_handle dummy_facet = 
+    Halffacet_handle dummy_facet =
       this->sncp()->new_halffacet_pair(plane, im != OPEN_HALFSPACE);
-	A.initialize_hash(index0);
-	A.initialize_hash(index1);
+        A.initialize_hash(index0);
+        A.initialize_hash(index1);
 
     Binary_operation bo(*this->sncp());
       Vertex_const_iterator v0;
       CGAL_forall_vertices( v0, snc) {
-	Oriented_side os = plane.oriented_side(v0->point());
-	if(os == ON_ORIENTED_BOUNDARY) {
-	  SNC_constructor C(*this->sncp());
-	  Vertex_handle vp =
-	    C.create_from_plane(plane, v0->point(),
-				im != OPEN_HALFSPACE, 
-				im != PLANE_ONLY, false);
+        Oriented_side os = plane.oriented_side(v0->point());
+        if(os == ON_ORIENTED_BOUNDARY) {
+          SNC_constructor C(*this->sncp());
+          Vertex_handle vp =
+            C.create_from_plane(plane, v0->point(),
+                                im != OPEN_HALFSPACE,
+                                im != PLANE_ONLY, false);
       vp->shalfloop()->set_index_facet(dummy_facet);
       vp->shalfloop()->twin()->set_index_facet(dummy_facet->twin());
       vp->shalfloop()->set_index(index0);
       vp->shalfloop()->twin()->set_index(index1);
-	  Vertex_handle vr = 
-	    bo.binop_local_views(v0, vp, BOP, *this->sncp(), A);
-	  this->sncp()->delete_vertex(vp);
-	} else if(os == ON_NEGATIVE_SIDE && im != PLANE_ONLY) {
-	  SNC_constructor C(*this->sncp());
-	  Vertex_handle v1 = C.clone_SM(v0);	
-	}
+          Vertex_handle vr =
+            bo.binop_local_views(v0, vp, BOP, *this->sncp(), A);
+          this->sncp()->delete_vertex(vp);
+        } else if(os == ON_NEGATIVE_SIDE && im != PLANE_ONLY) {
+          SNC_constructor C(*this->sncp());
+          Vertex_handle v1 = C.clone_SM(v0);
+        }
       }
 
     Halfedge_const_iterator e0;
     CGAL_forall_edges(e0, snc) {
-      Segment_3 seg(e0->source()->point(), 
-		    e0->twin()->source()->point());
+      Segment_3 seg(e0->source()->point(),
+                    e0->twin()->source()->point());
       Object o = intersection(plane, seg);
       Point_3 ip;
       if(!assign(ip,o)) continue;
       // TODO: optimize for filtering
       ip = normalized(ip);
       if(ip == e0->source()->point() ||
-	 ip == e0->twin()->source()->point()) continue;
+         ip == e0->twin()->source()->point()) continue;
       SNC_constructor C(*this->sncp());
-      Vertex_handle vp = 
-	C.create_from_plane(plane, ip,
-			    im != OPEN_HALFSPACE, 
-			    im != PLANE_ONLY, false);
+      Vertex_handle vp =
+        C.create_from_plane(plane, ip,
+                            im != OPEN_HALFSPACE,
+                            im != PLANE_ONLY, false);
 
       vp->shalfloop()->set_index_facet(dummy_facet);
       vp->shalfloop()->twin()->set_index_facet(dummy_facet->twin());
@@ -144,13 +144,13 @@ class Combine_with_halfspace : public SN
       vp->shalfloop()->twin()->set_index(index1);
 
       Vertex_handle ve = C.create_from_edge(e0, ip);
-      
-      Vertex_handle vr = 
-	bo.binop_local_views(ve, vp, BOP, *this->sncp(), A);
+
+      Vertex_handle vr =
+        bo.binop_local_views(ve, vp, BOP, *this->sncp(), A);
       this->sncp()->delete_vertex(vp);
       this->sncp()->delete_vertex(ve);
     }
-    
+
     this->sncp()->delete_halffacet_pair(dummy_facet);
 
     SHalfedge_iterator se;
@@ -160,7 +160,7 @@ class Combine_with_halfspace : public SN
     }
 
     SNC_external_structure es(*this->sncp(), pl);
-    es.build_after_binary_operation(A);	
+    es.build_after_binary_operation(A);
   }
 };
 
diff -pruN 5.0.2-3/include/CGAL/Nef_3/Default_items.h 5.0.3-1/include/CGAL/Nef_3/Default_items.h
--- 5.0.2-3/include/CGAL/Nef_3/Default_items.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/Default_items.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/Default_items.h $
-// $Id: Default_items.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/Default_items.h $
+// $Id: Default_items.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <andreas.fabri@geometryfactory.com>
 
diff -pruN 5.0.2-3/include/CGAL/Nef_3/Edge_edge_overlay.h 5.0.3-1/include/CGAL/Nef_3/Edge_edge_overlay.h
--- 5.0.2-3/include/CGAL/Nef_3/Edge_edge_overlay.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/Edge_edge_overlay.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/Edge_edge_overlay.h $
-// $Id: Edge_edge_overlay.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/Edge_edge_overlay.h $
+// $Id: Edge_edge_overlay.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 
@@ -29,7 +29,7 @@ namespace CGAL {
 
 template <typename SNC_structure_>
 class Edge_edge_overlay
-{ 
+{
 public:
   typedef SNC_structure_ SNC_structure;
   typedef typename SNC_structure::Items                      Items;
@@ -40,7 +40,7 @@ public:
   typedef typename CGAL::SNC_constructor<Items, SNC_structure>  SNC_constructor;
 
   typedef typename SNC_structure::Sphere_map             Sphere_map;
-  typedef CGAL::SM_decorator<Sphere_map>                 SM_decorator;  
+  typedef CGAL::SM_decorator<Sphere_map>                 SM_decorator;
   typedef CGAL::SM_const_decorator<Sphere_map>           SM_const_decorator;
   typedef CGAL::SM_point_locator<SM_decorator>           SM_point_locator;
 
@@ -67,14 +67,14 @@ public:
   typedef typename SNC_structure::SFace_handle SFace_handle;
   typedef typename SNC_structure::SHalfloop_handle SHalfloop_handle;
 
-  typedef typename SNC_structure::SVertex_const_handle SVertex_const_handle; 
-  typedef typename SNC_structure::SHalfedge_const_handle SHalfedge_const_handle; 
-  typedef typename SNC_structure::SHalfloop_const_handle SHalfloop_const_handle; 
-  typedef typename SNC_structure::SFace_const_handle SFace_const_handle; 
+  typedef typename SNC_structure::SVertex_const_handle SVertex_const_handle;
+  typedef typename SNC_structure::SHalfedge_const_handle SHalfedge_const_handle;
+  typedef typename SNC_structure::SHalfloop_const_handle SHalfloop_const_handle;
+  typedef typename SNC_structure::SFace_const_handle SFace_const_handle;
 
-  typedef typename SNC_structure::SHalfedge_around_facet_circulator 
+  typedef typename SNC_structure::SHalfedge_around_facet_circulator
     SHalfedge_around_facet_circulator;
-  typedef typename SNC_structure::SHalfedge_around_facet_const_circulator 
+  typedef typename SNC_structure::SHalfedge_around_facet_const_circulator
     SHalfedge_around_facet_const_circulator;
   typedef typename SNC_structure::SFace_cycle_iterator SFace_cycle_iterator;
   typedef typename SNC_structure::SFace_cycle_const_iterator SFace_cycle_const_iterator;
@@ -93,33 +93,33 @@ public:
 
   typedef typename SNC_structure::Mark Mark;
 
-  typedef typename SM_decorator::SHalfedge_around_svertex_circulator 
+  typedef typename SM_decorator::SHalfedge_around_svertex_circulator
                                  SHalfedge_around_svertex_circulator;
-  typedef typename SM_decorator::SHalfedge_around_sface_circulator 
+  typedef typename SM_decorator::SHalfedge_around_sface_circulator
                                  SHalfedge_around_sface_circulator;
-  typedef typename SM_const_decorator::SHalfedge_around_svertex_const_circulator 
-                                       SHalfedge_around_svertex_const_circulator; 
-  
+  typedef typename SM_const_decorator::SHalfedge_around_svertex_const_circulator
+                                       SHalfedge_around_svertex_const_circulator;
+
   SNC_structure& snc;
   Halfedge_const_handle e0, e1;
   SM_decorator D;
   SM_const_decorator E;
 
   Edge_edge_overlay( SNC_structure& snc_,
-		     Halfedge_const_handle e0_,
-		     Halfedge_const_handle e1_) 
+                     Halfedge_const_handle e0_,
+                     Halfedge_const_handle e1_)
     : snc(snc_), e0(e0_), e1(e1_) {}
 
   template<typename Selection>
   Sphere_map* overlay_isolated_edges(const Point_3& p,
-				     const Selection& BOP, bool inv) {
+                                     const Selection& BOP, bool inv) {
 
     Vertex_handle v = snc.new_vertex(p);
     v->mark() = BOP(e0->mark(), e1->mark(), inv);
     D = SM_decorator(&*v);
     SFace_handle sf = D.new_sface();
     sf->mark() = BOP(e0->incident_sface()->mark(),
-		     e1->incident_sface()->mark(), inv);
+                     e1->incident_sface()->mark(), inv);
     SVertex_handle sv = D.new_svertex(e0->point());
     sv->mark() = BOP(e0->mark(), e1->incident_sface()->mark(), inv);
     D.link_as_isolated_vertex(sv, sf);
@@ -137,8 +137,8 @@ public:
 
   template<typename Selection, typename Association>
   Sphere_map* create_edge_edge_overlay( const Point_3& p,
-					const Selection& BOP, bool inv,
-					Association& ) {
+                                        const Selection& BOP, bool inv,
+                                        Association& ) {
 
     //    CGAL_NEF_SETDTHREAD(43*71);
     CGAL_NEF_TRACEN(std::endl << "edge_edge " << p );
@@ -146,14 +146,14 @@ public:
     E = SM_const_decorator(&*e1->source());
     if(E.is_isolated(e0)) {
       if(E.is_isolated(e1)) {
-	return overlay_isolated_edges(p, BOP, inv);
+        return overlay_isolated_edges(p, BOP, inv);
       } else {
-	std::swap(e0, e1);
-	inv = !inv;
-	E = SM_const_decorator(&*e1->source());
+        std::swap(e0, e1);
+        inv = !inv;
+        E = SM_const_decorator(&*e1->source());
       }
     }
-    
+
     SNC_constructor C(snc);
     Vertex_handle v(C.create_from_edge(e0,p));
     v->mark() = BOP(v->mark(), e1->mark(), inv);
@@ -166,8 +166,8 @@ public:
     Vector_3 vec1 = e1->source()->point() - CGAL::ORIGIN;
     Plane_3 mid_plane(Point_3(0,0,0), cross_product(vec0, vec1));
     Sphere_segment test_seg(sv[0]->point(),
-			    CGAL::ORIGIN + mid_plane.orthogonal_vector());
-    Oriented_side test_os = 
+                            CGAL::ORIGIN + mid_plane.orthogonal_vector());
+    Oriented_side test_os =
       test_seg.sphere_circle().oriented_side(e1->point());
     CGAL_assertion(test_os != ON_ORIENTED_BOUNDARY);
     if(test_os == ON_NEGATIVE_SIDE) {
@@ -180,7 +180,7 @@ public:
     Object_handle o3 = PL.locate(e1->twin()->point());
     sv[2] = D.new_svertex(e1->point());
     sv[3] = D.new_svertex(e1->twin()->point());
-    
+
     for(int i=0; i<4; ++i)
       CGAL_NEF_TRACEN("sv[" << i << "]= " << sv[i]->point());
 
@@ -191,9 +191,9 @@ public:
     SHalfedge_handle se0, se1;
     SHalfedge_handle previous_first, previous_last;
     SFace_handle sf0, sf1;
-    SHalfedge_around_svertex_circulator 
+    SHalfedge_around_svertex_circulator
       seb[2], see[2];
-    SHalfedge_around_svertex_const_circulator 
+    SHalfedge_around_svertex_const_circulator
       scb[2], sce[2];
     bool empty_e[2];
     bool empty_c[2];
@@ -210,29 +210,29 @@ public:
       CGAL_assertion(sfci.is_shalfedge());
       SHalfedge_handle se_tmp(sfci);
       see[1] = se_tmp;
-      if(see[1]->source() != sv[0]) 
-	see[1] = see[1]->snext();
+      if(see[1]->source() != sv[0])
+        see[1] = see[1]->snext();
       see[1] = see[1]->sprev()->twin();
       seb[0] = see[1];
     } else {
       CGAL::assign(se0, o2);
       CGAL_assertion(CGAL::assign(se0, o2));
       CGAL_NEF_TRACEN("found se0 " << se0->source()->point()
-		<< "->" << se0->twin()->source()->point() );
+                << "->" << se0->twin()->source()->point() );
       CGAL_NEF_TRACEN("insert sv " << sv[2]->point() );
       if(se0->source() != sv[0]) se0 = se0->twin();
       CGAL_assertion(se0->source() == sv[0]);
       sv[2]->mark() = BOP(se0->mark(), e1->mark(), inv);
       SHalfedge_handle se_new = D.split_at(se0, sv[2]);
-      se_new->mark() = se_new->twin()->mark() = 
-	se0->mark() = se0->twin()->mark() =
-	BOP(se0->mark(), sv[2]->mark(), inv);
+      se_new->mark() = se_new->twin()->mark() =
+        se0->mark() = se0->twin()->mark() =
+        BOP(se0->mark(), sv[2]->mark(), inv);
       // TODO: test mark of se0
 
       see[1] = seb[0]= se0;
       ++seb[0];
       equator[0] = equator[1] = true;
-    }       
+    }
 
     //    set seb[1] and see[0]
     if(on_sface[1]) {
@@ -242,29 +242,29 @@ public:
       CGAL_assertion(sfci.is_shalfedge());
       SHalfedge_handle se_tmp(sfci);
       see[0] = se_tmp;
-      if(see[0]->source() != sv[0]) 
-	see[0] = see[0]->snext();
+      if(see[0]->source() != sv[0])
+        see[0] = see[0]->snext();
       see[0] = see[0]->sprev()->twin();
       seb[1] = see[0];
     } else {
       CGAL::assign(se1, o3);
       CGAL_assertion(CGAL::assign(se1, o3));
       CGAL_NEF_TRACEN("found se1 " << se1->source()->point()
-		<< "->" << se1->twin()->source()->point() );
+                << "->" << se1->twin()->source()->point() );
       CGAL_NEF_TRACEN("insert sv " << sv[3]->point() );
       if(se1->source() != sv[0]) se1 = se1->twin();
       CGAL_assertion(se1->source() == sv[0]);
       sv[3]->mark() = BOP(se1->mark(), e1->mark(), inv);
       SHalfedge_handle se_new = D.split_at(se1, sv[3]);
-      se_new->mark() = se_new->twin()->mark() = 
-	se1->mark() = se1->twin()->mark() =
-	BOP(se1->mark(), sv[3]->mark(), inv);
+      se_new->mark() = se_new->twin()->mark() =
+        se1->mark() = se1->twin()->mark() =
+        BOP(se1->mark(), sv[3]->mark(), inv);
       // TODO: test mark of se1
 
       see[0] = seb[1] = se1;
       ++seb[1];
       equator[2] = equator[3] = true;
-    } 
+    }
 
     CGAL_assertion(seb[0]->source() == sv[0]);
 
@@ -273,12 +273,12 @@ public:
       CGAL_NEF_TRACEN("both empty intervals");
       Oriented_side osx = seb[0]->circle().oriented_side(sv[3]->point());
       if(osx == ON_NEGATIVE_SIDE) {
-	CGAL_NEF_TRACEN("empty 0 " );
-	empty_e[0] = true;
+        CGAL_NEF_TRACEN("empty 0 " );
+        empty_e[0] = true;
       } else if(osx == ON_POSITIVE_SIDE) {
-	empty_e[1] = true;
+        empty_e[1] = true;
       } else {
-	empty_e[0] = empty_e[1] = true;
+        empty_e[0] = empty_e[1] = true;
       }
     } else if(seb[0] == see[0]) {
       empty_e[0] = true;
@@ -287,31 +287,31 @@ public:
     }
 
     CGAL_NEF_TRACEN("se[01] " << (std::distance(seb[0], see[0]))
-	      << ", " << (std::distance(seb[1], see[1])) );
+              << ", " << (std::distance(seb[1], see[1])) );
 
     // finish overlay if one edge is isolated
     if(E.is_isolated(e1)) {
       Mark sfm = e1->incident_sface()->mark();
       sv[0]->mark() = BOP(sv[0]->mark(), sfm, inv);
       sv[1]->mark() = BOP(sv[1]->mark(), sfm, inv);
-      SHalfedge_around_svertex_circulator 
-	svc(sv[0]->out_sedge()),
-	send(svc);
+      SHalfedge_around_svertex_circulator
+        svc(sv[0]->out_sedge()),
+        send(svc);
       CGAL_For_all(svc, send) {
-	svc->incident_sface()->mark() = 
-	  BOP(svc->incident_sface()->mark(), sfm, inv);
-	if(svc->twin()->source() != sv[1]) continue;
-	svc->mark() = BOP(svc->mark(), sfm, inv);
+        svc->incident_sface()->mark() =
+          BOP(svc->incident_sface()->mark(), sfm, inv);
+        if(svc->twin()->source() != sv[1]) continue;
+        svc->mark() = BOP(svc->mark(), sfm, inv);
       }
       if(on_sface[0])
-	D.link_as_isolated_vertex(sv[2], sf0);
+        D.link_as_isolated_vertex(sv[2], sf0);
       if(on_sface[1])
-	D.link_as_isolated_vertex(sv[3], sf1);
-      
+        D.link_as_isolated_vertex(sv[3], sf1);
+
       return D.sphere_map();
     }
 
-    SHalfedge_around_svertex_const_circulator 
+    SHalfedge_around_svertex_const_circulator
       svc(e1->out_sedge()), send(svc);
 
     // determine scb and sce for one side
@@ -321,192 +321,192 @@ public:
       svc->circle().oriented_side(sv[0]->point());
     Oriented_side os1 = os0;
     while(os0 == os1 &&
-	  os1 != ON_ORIENTED_BOUNDARY &&
-	  ++svc != send) 
+          os1 != ON_ORIENTED_BOUNDARY &&
+          ++svc != send)
       os1 = svc->circle().oriented_side(sv[0]->point());
 
     CGAL_NEF_TRACEN("osi " << os0 << ", " << os1 );
     CGAL_assertion(os1 == svc->circle().oriented_side(sv[0]->point()) ||
-		   svc == send);
-        
+                   svc == send);
+
     if(os1 == ON_ORIENTED_BOUNDARY) {
 
       CGAL_NEF_TRACEN("svc on boundary ");
 
       Sphere_segment seg(sv[2]->point(), sv[3]->point(),
-			 svc->circle());
+                         svc->circle());
       int sv_index =
-	seg.has_on(sv[0]->point()) ? 0 : 1;
+        seg.has_on(sv[0]->point()) ? 0 : 1;
       equator[sv_index] = equator[sv_index+2] = true;
-      
+
       CGAL_NEF_TRACEN("sv " << sv[0]->point() << ", " << sv[1]->point() );
 
-      // svc is the segment from sv[2] to sv[3] that has sv[sv_index] 
+      // svc is the segment from sv[2] to sv[3] that has sv[sv_index]
       // in its interior
 
       if(on_sface[0]) {
-	CGAL_NEF_TRACEN("se[01] " << (std::distance(seb[0], see[0]))
-			<< ", " << (std::distance(seb[1], see[1])) );
+        CGAL_NEF_TRACEN("se[01] " << (std::distance(seb[0], see[0]))
+                        << ", " << (std::distance(seb[1], see[1])) );
 
-	// add shalfedge_pair between sv[2] and sv[sv_index]
-	SFace_cycle_iterator sfci = sf0->sface_cycles_begin();
-	CGAL_assertion(sfci.is_shalfedge());
-	SHalfedge_handle se_tgt(sfci);
-	while(se_tgt->source() != sv[sv_index]) {
-	  se_tgt = se_tgt->snext();
-	  CGAL_NEF_TRACEN(se_tgt->source()->point() << " " << sv[sv_index]->point() );
-	  CGAL_NEF_TRACEN(&(se_tgt->source()) << " " << &sv[sv_index] );
-	}
-
-
-	CGAL_NEF_TRACEN("sv[sv_index] " << sv[sv_index]->point());
-	CGAL_NEF_TRACEN("after " << se_tgt->source()->point() 
-		  << "->" << se_tgt->twin()->source()->point());
-
-	SHalfedge_around_svertex_circulator se_next(se_tgt); 
-	++se_next;
-	CGAL_assertion(se_tgt->source() == sv[sv_index]);
-	CGAL_NEF_TRACEN("new_shalfedge_pair" );
-	SHalfedge_handle se_new = 
-	  D.new_shalfedge_pair(sv[2], se_tgt, 1);
-
-	se_new->mark() = se_new->twin()->mark() = 
-	  BOP(sf0->mark(), svc->mark(), inv);
-	se_new->circle() = normalized(Sphere_circle(se_new->source()->point(), 
-						    se_new->twin()->source()->point()));
-	se_new->twin()->circle() = se_new->circle().opposite();
-	se_new->incident_sface() = se_new->twin()->incident_sface() = sf0;
-
-	CGAL_NEF_TRACEN("seb[0] " << seb[0]->source()->point()
-		  << "->" << seb[0]->twin()->source()->point() );
-	CGAL_NEF_TRACEN("see[0] " << see[0]->source()->point()
-		  << "->" << see[0]->twin()->source()->point() );
-
-	CGAL_assertion(seb[0]->source() == sv[0]);
-
-	CGAL_NEF_TRACEN("se[01] " << (std::distance(seb[0], see[0]))
-			<< ", " << (std::distance(seb[1], see[1])) );
-
-	if(se_next == see[0] && !empty_e[0])
-	  --see[0];
-	else if(se_next == see[1] && !empty_e[1])
-	  --see[1];
+        // add shalfedge_pair between sv[2] and sv[sv_index]
+        SFace_cycle_iterator sfci = sf0->sface_cycles_begin();
+        CGAL_assertion(sfci.is_shalfedge());
+        SHalfedge_handle se_tgt(sfci);
+        while(se_tgt->source() != sv[sv_index]) {
+          se_tgt = se_tgt->snext();
+          CGAL_NEF_TRACEN(se_tgt->source()->point() << " " << sv[sv_index]->point() );
+          CGAL_NEF_TRACEN(&(se_tgt->source()) << " " << &sv[sv_index] );
+        }
+
+
+        CGAL_NEF_TRACEN("sv[sv_index] " << sv[sv_index]->point());
+        CGAL_NEF_TRACEN("after " << se_tgt->source()->point()
+                  << "->" << se_tgt->twin()->source()->point());
+
+        SHalfedge_around_svertex_circulator se_next(se_tgt);
+        ++se_next;
+        CGAL_assertion(se_tgt->source() == sv[sv_index]);
+        CGAL_NEF_TRACEN("new_shalfedge_pair" );
+        SHalfedge_handle se_new =
+          D.new_shalfedge_pair(sv[2], se_tgt, 1);
+
+        se_new->mark() = se_new->twin()->mark() =
+          BOP(sf0->mark(), svc->mark(), inv);
+        se_new->circle() = normalized(Sphere_circle(se_new->source()->point(),
+                                                    se_new->twin()->source()->point()));
+        se_new->twin()->circle() = se_new->circle().opposite();
+        se_new->incident_sface() = se_new->twin()->incident_sface() = sf0;
+
+        CGAL_NEF_TRACEN("seb[0] " << seb[0]->source()->point()
+                  << "->" << seb[0]->twin()->source()->point() );
+        CGAL_NEF_TRACEN("see[0] " << see[0]->source()->point()
+                  << "->" << see[0]->twin()->source()->point() );
+
+        CGAL_assertion(seb[0]->source() == sv[0]);
+
+        CGAL_NEF_TRACEN("se[01] " << (std::distance(seb[0], see[0]))
+                        << ", " << (std::distance(seb[1], see[1])) );
+
+        if(se_next == see[0] && !empty_e[0])
+          --see[0];
+        else if(se_next == see[1] && !empty_e[1])
+          --see[1];
       }
 
       CGAL_NEF_TRACEN("se[01] " << (std::distance(seb[0], see[0]))
-		      << ", " << (std::distance(seb[1], see[1])) );
-   
+                      << ", " << (std::distance(seb[1], see[1])) );
+
 
       if(on_sface[1]) {
-	CGAL_NEF_TRACEN("sf1->mark() " << sf1->mark());
+        CGAL_NEF_TRACEN("sf1->mark() " << sf1->mark());
 
-	// add shalfedge_pair between sv[3] and sv[sv_index]
-	CGAL_NEF_TRACEN("seb[0] " << seb[0]->source()->point()
-		  << "->" << seb[0]->twin()->source()->point() );
-	CGAL_NEF_TRACEN("see[0] " << see[0]->source()->point()
-		  << "->" << see[0]->twin()->source()->point() );
-
-	SFace_cycle_iterator sfci = sf1->sface_cycles_begin();
-	CGAL_assertion(sfci.is_shalfedge());
-	SHalfedge_handle se_tgt(sfci);
-	while(se_tgt->source() != sv[sv_index]) {
-	  se_tgt = se_tgt->snext();
-	  CGAL_NEF_TRACEN(se_tgt->source()->point() << " " << sv[sv_index]->point() );
-	  CGAL_NEF_TRACEN(&(se_tgt->source()) << " " << &sv[sv_index] );
-	}
-
-	SHalfedge_around_svertex_circulator se_next(se_tgt); 
-	++se_next;
-	
-	CGAL_NEF_TRACEN("sv[sv_index] " << sv[sv_index]->point());
-	CGAL_NEF_TRACEN("after " << se_tgt->source()->point() 
-		  << "->" << se_tgt->twin()->source()->point());
-
-	CGAL_assertion(se_tgt->source() == sv[sv_index]);
-	CGAL_NEF_TRACEN("new_shalfedge_pair" );
-	SHalfedge_handle se_new =
-	  D.new_shalfedge_pair(sv[3], se_tgt, 1);
-
-	//	CGAL_assertion(se_new->snext() == se_tgt);
-	CGAL_NEF_TRACEN("se_new " << se_new->source()->point() 
-		  << "->" << se_new->twin()->source()->point() );
-	se_new->mark() = se_new->twin()->mark() = 
-	  BOP(sf1->mark(), svc->mark(), inv);
-	se_new->circle() = normalized(Sphere_circle(se_new->source()->point(), 
-						    se_new->twin()->source()->point()));
-	se_new->twin()->circle() = se_new->circle().opposite();
-	se_new->incident_sface() = 
-	  se_new->twin()->incident_sface() = sf1;
-
-	CGAL_NEF_TRACEN("seb[0] " << seb[0]->source()->point()
-		  << "->" << seb[0]->twin()->source()->point() );
-	CGAL_NEF_TRACEN("see[0] " << see[0]->source()->point()
-		  << "->" << see[0]->twin()->source()->point() );
-
-	CGAL_NEF_TRACEN("se[01] " << (std::distance(seb[0], see[0]))
-		  << ", " << (std::distance(seb[1], see[1])) );
-
-	if(se_next == see[0] && !empty_e[0])
-	  --see[0];
-	else if(se_next == see[1] && !empty_e[1])
-	  --see[1];
+        // add shalfedge_pair between sv[3] and sv[sv_index]
+        CGAL_NEF_TRACEN("seb[0] " << seb[0]->source()->point()
+                  << "->" << seb[0]->twin()->source()->point() );
+        CGAL_NEF_TRACEN("see[0] " << see[0]->source()->point()
+                  << "->" << see[0]->twin()->source()->point() );
+
+        SFace_cycle_iterator sfci = sf1->sface_cycles_begin();
+        CGAL_assertion(sfci.is_shalfedge());
+        SHalfedge_handle se_tgt(sfci);
+        while(se_tgt->source() != sv[sv_index]) {
+          se_tgt = se_tgt->snext();
+          CGAL_NEF_TRACEN(se_tgt->source()->point() << " " << sv[sv_index]->point() );
+          CGAL_NEF_TRACEN(&(se_tgt->source()) << " " << &sv[sv_index] );
+        }
+
+        SHalfedge_around_svertex_circulator se_next(se_tgt);
+        ++se_next;
+
+        CGAL_NEF_TRACEN("sv[sv_index] " << sv[sv_index]->point());
+        CGAL_NEF_TRACEN("after " << se_tgt->source()->point()
+                  << "->" << se_tgt->twin()->source()->point());
+
+        CGAL_assertion(se_tgt->source() == sv[sv_index]);
+        CGAL_NEF_TRACEN("new_shalfedge_pair" );
+        SHalfedge_handle se_new =
+          D.new_shalfedge_pair(sv[3], se_tgt, 1);
+
+        //        CGAL_assertion(se_new->snext() == se_tgt);
+        CGAL_NEF_TRACEN("se_new " << se_new->source()->point()
+                  << "->" << se_new->twin()->source()->point() );
+        se_new->mark() = se_new->twin()->mark() =
+          BOP(sf1->mark(), svc->mark(), inv);
+        se_new->circle() = normalized(Sphere_circle(se_new->source()->point(),
+                                                    se_new->twin()->source()->point()));
+        se_new->twin()->circle() = se_new->circle().opposite();
+        se_new->incident_sface() =
+          se_new->twin()->incident_sface() = sf1;
+
+        CGAL_NEF_TRACEN("seb[0] " << seb[0]->source()->point()
+                  << "->" << seb[0]->twin()->source()->point() );
+        CGAL_NEF_TRACEN("see[0] " << see[0]->source()->point()
+                  << "->" << see[0]->twin()->source()->point() );
+
+        CGAL_NEF_TRACEN("se[01] " << (std::distance(seb[0], see[0]))
+                  << ", " << (std::distance(seb[1], see[1])) );
+
+        if(se_next == see[0] && !empty_e[0])
+          --see[0];
+        else if(se_next == see[1] && !empty_e[1])
+          --see[1];
 
-	CGAL_NEF_TRACEN("se[01] " << (std::distance(seb[0], see[0]))
-		  << ", " << (std::distance(seb[1], see[1])) );
+        CGAL_NEF_TRACEN("se[01] " << (std::distance(seb[0], see[0]))
+                  << ", " << (std::distance(seb[1], see[1])) );
       }
 
       CGAL_NEF_TRACEN("see[0] " << see[0]->source()->point()
-		<< "->" << see[0]->twin()->source()->point() );
-      
+                << "->" << see[0]->twin()->source()->point() );
+
       if(svc == svc->twin()->snext()) {
-	scb[0] = scb[1] = sce[0] = sce[1] = svc;
-	empty_c[0] = empty_c[1] = true;
-	done = true;
+        scb[0] = scb[1] = sce[0] = sce[1] = svc;
+        empty_c[0] = empty_c[1] = true;
+        done = true;
       } else {
-	++svc;
-	os1 = svc->circle().oriented_side(sv[0]->point());
-	
-	CGAL_NEF_TRACEN("++os1 " << os1 );
-	
-	if(os1 == ON_ORIENTED_BOUNDARY) {
-	  CGAL_assertion_msg(false, "not implemented, yet"); // don't forget empty_c
-	  ++svc;
-	  scb[0] = scb[1] = sce[0] = sce[1] = svc;
-	  if(svc != send) {
-	    os1 = svc->circle().oriented_side(sv[0]->point());
-	    i = os1 == ON_POSITIVE_SIDE ? 0 : 1;
-	    --sce[i];
-	  }
-	  equator[1-sv_index] = equator[3-sv_index] = true;
-	  done = true;
-	} else {	
-	  i = os1 == ON_POSITIVE_SIDE ? 0 : 1;
-	  CGAL_NEF_TRACEN("second change found on side " << os1);
-	  scb[i] = svc;
-	  --svc;
-	  sce[1-i] = svc;
-	  --svc;
-	  if(svc->circle().oriented_side(sv[0]->point()) == os1) {
-	    // sedges are only on one side "
-	    sce[i] = scb[1-i] = sce[1-i];
-	    empty_c[1-i] = true;
-	    done = true;
-	  }
-	}
+        ++svc;
+        os1 = svc->circle().oriented_side(sv[0]->point());
+
+        CGAL_NEF_TRACEN("++os1 " << os1 );
+
+        if(os1 == ON_ORIENTED_BOUNDARY) {
+          CGAL_assertion_msg(false, "not implemented, yet"); // don't forget empty_c
+          ++svc;
+          scb[0] = scb[1] = sce[0] = sce[1] = svc;
+          if(svc != send) {
+            os1 = svc->circle().oriented_side(sv[0]->point());
+            i = os1 == ON_POSITIVE_SIDE ? 0 : 1;
+            --sce[i];
+          }
+          equator[1-sv_index] = equator[3-sv_index] = true;
+          done = true;
+        } else {
+          i = os1 == ON_POSITIVE_SIDE ? 0 : 1;
+          CGAL_NEF_TRACEN("second change found on side " << os1);
+          scb[i] = svc;
+          --svc;
+          sce[1-i] = svc;
+          --svc;
+          if(svc->circle().oriented_side(sv[0]->point()) == os1) {
+            // sedges are only on one side "
+            sce[i] = scb[1-i] = sce[1-i];
+            empty_c[1-i] = true;
+            done = true;
+          }
+        }
       }
     } else if(svc == send) {
       // everything is on one side
       CGAL_NEF_TRACEN("svc == send");
-      Vector_3 
-	vec1(svc->source()->point() - CGAL::ORIGIN),
-	vec2(svc->circle().orthogonal_vector());
+      Vector_3
+        vec1(svc->source()->point() - CGAL::ORIGIN),
+        vec2(svc->circle().orthogonal_vector());
       Sphere_point sp1(CGAL::ORIGIN + cross_product(vec2,vec1));
-      while(svc->sprev()->twin()->circle().oriented_side(sp1) 
-	    == ON_POSITIVE_SIDE) {
-	++svc;
-	vec1 = vec2;
-	vec2 = svc->circle().orthogonal_vector();
-	sp1 = CGAL::ORIGIN + cross_product(vec2,vec1);
+      while(svc->sprev()->twin()->circle().oriented_side(sp1)
+            == ON_POSITIVE_SIDE) {
+        ++svc;
+        vec1 = vec2;
+        vec2 = svc->circle().orthogonal_vector();
+        sp1 = CGAL::ORIGIN + cross_product(vec2,vec1);
       }
       i = os1 == ON_POSITIVE_SIDE ? 0 : 1;
       //      ++svc;
@@ -514,7 +514,7 @@ public:
       empty_c[1-i] = true;
       done = true;
 
-    } else {      
+    } else {
       CGAL_NEF_TRACEN("found sedges on both sides ");
       //      CGAL_assertion_msg(false, "not implemented, yet");
       // Code should work, but is not tested
@@ -531,38 +531,38 @@ public:
       os0 = svc->circle().oriented_side(sv[0]->point());
       CGAL_assertion(os0 != ON_ORIENTED_BOUNDARY);
       do {
-	++svc;
-	os1 = svc->circle().oriented_side(sv[0]->point());
+        ++svc;
+        os1 = svc->circle().oriented_side(sv[0]->point());
       } while(os1 == os0);
 
       sce[i] = scb[1-i] = svc;
       if(os1 == ON_ORIENTED_BOUNDARY) {
-	CGAL_assertion_msg(false, "degenerate case not implemented, yet");
-	++scb[1-i];
-	CGAL_assertion(svc->circle().has_on(sv[0]->point()) == i);
-	equator[i] = equator[2+i] == true;
+        CGAL_assertion_msg(false, "degenerate case not implemented, yet");
+        ++scb[1-i];
+        CGAL_assertion(svc->circle().has_on(sv[0]->point()) == i);
+        equator[i] = equator[2+i] == true;
       }
     }
 
     for(int i=0; i<4; ++i)
       CGAL_NEF_TRACEN("equator[" << i << "]= " << equator[i]);
-    
+
     CGAL_NEF_TRACEN("svmark " << sv[0]->mark() << ", " << sv[1]->mark());
-    
+
     // TODO: marks if sv[0] and sv[1] lie on edge
-    sv[0]->mark() = 
+    sv[0]->mark() =
       BOP(sv[0]->mark(), sce[empty_c[0]]->twin()->incident_sface()->mark(), inv);
-    sv[1]->mark() = 
+    sv[1]->mark() =
       BOP(sv[1]->mark(), scb[empty_c[0]]->twin()->incident_sface()->mark(), inv);
 
     CGAL_NEF_TRACEN("empty[0] " << empty_c[0] << ", " << empty_e[0] );
 
     CGAL_assertion(seb[0]->source() == sv[0]);
 
-    CGAL_assertion_msg(!empty_c[0] || !empty_c[1], 
-		       "not implemented, yet");
-    CGAL_assertion_msg(!empty_e[0] || !empty_e[1], 
-		       "not implemented, yet");   
+    CGAL_assertion_msg(!empty_c[0] || !empty_c[1],
+                       "not implemented, yet");
+    CGAL_assertion_msg(!empty_e[0] || !empty_e[1],
+                       "not implemented, yet");
 
     bool first_first = true;
     bool first_last = true;
@@ -570,221 +570,221 @@ public:
       CGAL_NEF_TRACEN("sv[2] " << sv[2]->point());
 
       if(equator[0] || equator[1]) {
-	first_first = false;
-	previous_first = sv[2]->out_sedge();
-	if(equator[0] && previous_first->twin()->source() != sv[0]) 
-	  previous_first = previous_first->twin()->snext();
-	CGAL_assertion(!equator[0] || previous_first->twin()->source() == sv[0]);
+        first_first = false;
+        previous_first = sv[2]->out_sedge();
+        if(equator[0] && previous_first->twin()->source() != sv[0])
+          previous_first = previous_first->twin()->snext();
+        CGAL_assertion(!equator[0] || previous_first->twin()->source() == sv[0]);
       }
 
       if(equator[2] || equator[3]) {
-	first_last = false;
-	previous_last = sv[3]->out_sedge();
-	if(equator[2] && previous_last->twin()->source() != sv[0])
-	  previous_last = previous_last->twin()->snext();
-	CGAL_assertion(!equator[2] || previous_last->twin()->source() == sv[0]);
+        first_last = false;
+        previous_last = sv[3]->out_sedge();
+        if(equator[2] && previous_last->twin()->source() != sv[0])
+          previous_last = previous_last->twin()->snext();
+        CGAL_assertion(!equator[2] || previous_last->twin()->source() == sv[0]);
       }
 
       SHalfedge_around_svertex_const_circulator curr_outer(scb[0]);
       CGAL_For_all(curr_outer, sce[0]) {
-	CGAL_NEF_TRACEN("outer " << curr_outer->incident_sface()->mark() );
+        CGAL_NEF_TRACEN("outer " << curr_outer->incident_sface()->mark() );
 
-	SHalfedge_handle previous_inner;
-	Sphere_segment seg1(sv[2]->point(), sv[3]->point(), 
-			    curr_outer->circle());
-	SHalfedge_around_svertex_circulator curr_inner(seb[0]);
-
-	CGAL_For_all(curr_inner, see[0]) {
-	  CGAL_NEF_TRACEN("inner " << curr_inner->incident_sface()->mark() );
-	  CGAL_assertion(!curr_inner->circle().has_on(sv[2]->point()));
-	  CGAL_assertion(!curr_outer->circle().has_on(sv[0]->point()));
-	  Sphere_segment seg0(sv[0]->point(), sv[1]->point(), curr_inner->circle());
-	  Sphere_segment segX(curr_inner->source()->point(), 
-			      curr_inner->twin()->source()->point(), 
-			      curr_inner->circle());
-	  CGAL_assertion(!seg0.is_long());
-	  CGAL_assertion(!seg1.is_long());
-	  Sphere_point sp = normalized(seg0.intersection(seg1));
-	  CGAL_NEF_TRACEN("intersections oben " << sp );
-	  CGAL_assertion(sp != sv[0]->point());
-	  CGAL_assertion(sp != sv[1]->point());
-	  CGAL_assertion(sp != sv[2]->point());
-	  CGAL_assertion(sp != sv[3]->point());
-	  CGAL_assertion(segX.has_on(sp));
-	  CGAL_assertion(curr_inner == seb[0] || 
-			 Sphere_segment(sv[2]->point(), sp).has_on
-			 (previous_inner->twin()->source()->point()));
-	  CGAL_assertion(seg0.source() == sv[0]->point());
-	  CGAL_assertion(seg0.target() == sv[1]->point());
-	  CGAL_assertion(seg1.source() == sv[2]->point());
-	  CGAL_assertion(seg1.target() == sv[3]->point());
-	  CGAL_assertion(seg0.has_on(sp));
-	  CGAL_assertion(seg1.has_on(sp));
-	  CGAL_NEF_TRACEN("seg 0 " << seg0.source() << "->" << seg0.target());
-	  CGAL_NEF_TRACEN("seg 1 " << seg1.source() << "->" << seg1.target() << ":" << seg1.sphere_circle());
-	  
-	  SHalfedge_handle along = D.split_at(curr_inner, sp);
-	  along->source()->mark() = BOP(curr_inner->mark(), 
-					curr_outer->mark(), inv);
-	  
-	  CGAL_NEF_TRACEN("first_first " << first_first);
-
-	  SHalfedge_handle across;
-	  if(curr_inner == seb[0])
-	    across = first_first ?
-	      D.new_shalfedge_pair(sv[2], along, -1) :
-	      D.new_shalfedge_pair(previous_first, along, -1, -1);
-	  else
-	    across = 
-	      D.new_shalfedge_pair(previous_inner->twin(), 
-				   curr_inner->twin(), -1, 1);
-
-	  across->circle() = curr_outer->circle();
-	  across->twin()->circle() = curr_outer->twin()->circle();
-	  CGAL_NEF_TRACEN("across " << across->source()->point() 
-		    << "->" << across->twin()->source()->point() 
-		    << ":" << across->circle());
-	  CGAL_NEF_TRACEN("across " << normalized(across->circle())
-		    << ", " << normalized(Sphere_circle(across->source()->point(),
-							across->twin()->source()->point())));
-	  CGAL_assertion(normalized(across->circle()) ==
-			 normalized(Sphere_circle(across->source()->point(),
-						  across->twin()->source()->point())));
-	  across->mark() = across->twin()->mark() = 
-	    BOP(curr_inner->twin()->incident_sface()->mark(), curr_outer->mark(), inv);
-	  along->mark() = along->twin()->mark() = 
-	    BOP(curr_inner->mark(), curr_outer->twin()->incident_sface()->mark(), inv);
-	  
-	  CGAL_NEF_TRACEN("across " << across->source()->point() 
-		    << "->" << across->twin()->source()->point() 
-		    << ":" << across->circle() );
-
-	  if(curr_inner == seb[0])
-	    previous_first = across;
-	  
-	  if(!first_first) {
-	    SFace_handle sf_new = D.new_sface();
-	    D.link_as_face_cycle(across->twin(), sf_new);
-	    sf_new->mark() = BOP(curr_inner->twin()->incident_sface()->mark(), 
-				 curr_outer->twin()->incident_sface()->mark(), inv);
-	    CGAL_NEF_TRACEN("new sface " << sf_new->mark());
-	  }
-	  previous_inner = curr_inner;
-	  first_first = false;
-	}
-	
-	previous_last = first_last ?	
-	  D.new_shalfedge_pair(sv[3], previous_inner->twin(), -1) :
-	  D.new_shalfedge_pair(previous_last, previous_inner->twin(), 1, -1);
-	previous_last->circle() = curr_outer->twin()->circle();
-	previous_last->twin()->circle() = curr_outer->circle();
-	CGAL_assertion(previous_last->circle() == 
-		       normalized(Sphere_circle(previous_last->source()->point(), 
-						previous_last->twin()->source()->point())));
-	previous_last->mark() = previous_last->twin()->mark() =
-	  BOP(previous_inner->incident_sface()->mark(), curr_outer->mark(), inv);
-
-	if(!first_last) {
-	  SFace_handle sf_new = D.new_sface();
-	  D.link_as_face_cycle(previous_last, sf_new);
-	  sf_new->mark() = BOP(previous_inner->incident_sface()->mark(),
-			       curr_outer->twin()->incident_sface()->mark(), inv);
-	}
-	first_last = false;
+        SHalfedge_handle previous_inner;
+        Sphere_segment seg1(sv[2]->point(), sv[3]->point(),
+                            curr_outer->circle());
+        SHalfedge_around_svertex_circulator curr_inner(seb[0]);
+
+        CGAL_For_all(curr_inner, see[0]) {
+          CGAL_NEF_TRACEN("inner " << curr_inner->incident_sface()->mark() );
+          CGAL_assertion(!curr_inner->circle().has_on(sv[2]->point()));
+          CGAL_assertion(!curr_outer->circle().has_on(sv[0]->point()));
+          Sphere_segment seg0(sv[0]->point(), sv[1]->point(), curr_inner->circle());
+          Sphere_segment segX(curr_inner->source()->point(),
+                              curr_inner->twin()->source()->point(),
+                              curr_inner->circle());
+          CGAL_assertion(!seg0.is_long());
+          CGAL_assertion(!seg1.is_long());
+          Sphere_point sp = normalized(seg0.intersection(seg1));
+          CGAL_NEF_TRACEN("intersections oben " << sp );
+          CGAL_assertion(sp != sv[0]->point());
+          CGAL_assertion(sp != sv[1]->point());
+          CGAL_assertion(sp != sv[2]->point());
+          CGAL_assertion(sp != sv[3]->point());
+          CGAL_assertion(segX.has_on(sp));
+          CGAL_assertion(curr_inner == seb[0] ||
+                         Sphere_segment(sv[2]->point(), sp).has_on
+                         (previous_inner->twin()->source()->point()));
+          CGAL_assertion(seg0.source() == sv[0]->point());
+          CGAL_assertion(seg0.target() == sv[1]->point());
+          CGAL_assertion(seg1.source() == sv[2]->point());
+          CGAL_assertion(seg1.target() == sv[3]->point());
+          CGAL_assertion(seg0.has_on(sp));
+          CGAL_assertion(seg1.has_on(sp));
+          CGAL_NEF_TRACEN("seg 0 " << seg0.source() << "->" << seg0.target());
+          CGAL_NEF_TRACEN("seg 1 " << seg1.source() << "->" << seg1.target() << ":" << seg1.sphere_circle());
+
+          SHalfedge_handle along = D.split_at(curr_inner, sp);
+          along->source()->mark() = BOP(curr_inner->mark(),
+                                        curr_outer->mark(), inv);
+
+          CGAL_NEF_TRACEN("first_first " << first_first);
+
+          SHalfedge_handle across;
+          if(curr_inner == seb[0])
+            across = first_first ?
+              D.new_shalfedge_pair(sv[2], along, -1) :
+              D.new_shalfedge_pair(previous_first, along, -1, -1);
+          else
+            across =
+              D.new_shalfedge_pair(previous_inner->twin(),
+                                   curr_inner->twin(), -1, 1);
+
+          across->circle() = curr_outer->circle();
+          across->twin()->circle() = curr_outer->twin()->circle();
+          CGAL_NEF_TRACEN("across " << across->source()->point()
+                    << "->" << across->twin()->source()->point()
+                    << ":" << across->circle());
+          CGAL_NEF_TRACEN("across " << normalized(across->circle())
+                    << ", " << normalized(Sphere_circle(across->source()->point(),
+                                                        across->twin()->source()->point())));
+          CGAL_assertion(normalized(across->circle()) ==
+                         normalized(Sphere_circle(across->source()->point(),
+                                                  across->twin()->source()->point())));
+          across->mark() = across->twin()->mark() =
+            BOP(curr_inner->twin()->incident_sface()->mark(), curr_outer->mark(), inv);
+          along->mark() = along->twin()->mark() =
+            BOP(curr_inner->mark(), curr_outer->twin()->incident_sface()->mark(), inv);
+
+          CGAL_NEF_TRACEN("across " << across->source()->point()
+                    << "->" << across->twin()->source()->point()
+                    << ":" << across->circle() );
+
+          if(curr_inner == seb[0])
+            previous_first = across;
+
+          if(!first_first) {
+            SFace_handle sf_new = D.new_sface();
+            D.link_as_face_cycle(across->twin(), sf_new);
+            sf_new->mark() = BOP(curr_inner->twin()->incident_sface()->mark(),
+                                 curr_outer->twin()->incident_sface()->mark(), inv);
+            CGAL_NEF_TRACEN("new sface " << sf_new->mark());
+          }
+          previous_inner = curr_inner;
+          first_first = false;
+        }
+
+        previous_last = first_last ?
+          D.new_shalfedge_pair(sv[3], previous_inner->twin(), -1) :
+          D.new_shalfedge_pair(previous_last, previous_inner->twin(), 1, -1);
+        previous_last->circle() = curr_outer->twin()->circle();
+        previous_last->twin()->circle() = curr_outer->circle();
+        CGAL_assertion(previous_last->circle() ==
+                       normalized(Sphere_circle(previous_last->source()->point(),
+                                                previous_last->twin()->source()->point())));
+        previous_last->mark() = previous_last->twin()->mark() =
+          BOP(previous_inner->incident_sface()->mark(), curr_outer->mark(), inv);
+
+        if(!first_last) {
+          SFace_handle sf_new = D.new_sface();
+          D.link_as_face_cycle(previous_last, sf_new);
+          sf_new->mark() = BOP(previous_inner->incident_sface()->mark(),
+                               curr_outer->twin()->incident_sface()->mark(), inv);
+        }
+        first_last = false;
       }
 
       CGAL_NEF_TRACEN("sce[0]->mark() " << sce[0]->twin()->incident_sface()->mark());
       SHalfedge_around_svertex_circulator curr_inner(seb[0]);
       CGAL_For_all(curr_inner, see[0]) {
-	CGAL_NEF_TRACEN("schleife oben " << curr_inner->source()->point()
-			<< "->" << curr_inner->twin()->source()->point());
-	curr_inner->mark() = curr_inner->twin()->mark() = 
-	  BOP(curr_inner->mark(), sce[0]->twin()->incident_sface()->mark(), inv);
-	if(!equator[0] && curr_inner == seb[0]) continue;
-	SFace_handle sf = curr_inner->twin()->incident_sface();
-	SHalfedge_around_sface_circulator hfc(curr_inner->twin()), hend(hfc);
-	CGAL_For_all(hfc,hend) hfc->incident_sface() = sf;
-	sf->mark() = BOP(curr_inner->twin()->incident_sface()->mark(),
-			 sce[0]->twin()->incident_sface()->mark(), inv);	
+        CGAL_NEF_TRACEN("schleife oben " << curr_inner->source()->point()
+                        << "->" << curr_inner->twin()->source()->point());
+        curr_inner->mark() = curr_inner->twin()->mark() =
+          BOP(curr_inner->mark(), sce[0]->twin()->incident_sface()->mark(), inv);
+        if(!equator[0] && curr_inner == seb[0]) continue;
+        SFace_handle sf = curr_inner->twin()->incident_sface();
+        SHalfedge_around_sface_circulator hfc(curr_inner->twin()), hend(hfc);
+        CGAL_For_all(hfc,hend) hfc->incident_sface() = sf;
+        sf->mark() = BOP(curr_inner->twin()->incident_sface()->mark(),
+                         sce[0]->twin()->incident_sface()->mark(), inv);
       }
       CGAL_assertion(curr_inner == see[0]);
 
       CGAL_NEF_TRACEN("before equator[0] oben " << curr_inner->source()->point()
-		<< "->" << curr_inner->twin()->source()->point());
+                << "->" << curr_inner->twin()->source()->point());
 
       if(equator[2]) {
-	SFace_handle sf = curr_inner->twin()->incident_sface();
-	SHalfedge_around_sface_circulator hfc(curr_inner->twin()), hend(hfc);
-	CGAL_For_all(hfc,hend) hfc->incident_sface() = sf;
-	sf->mark() = BOP(curr_inner->twin()->incident_sface()->mark(),
-			 sce[0]->twin()->incident_sface()->mark(), inv);
+        SFace_handle sf = curr_inner->twin()->incident_sface();
+        SHalfedge_around_sface_circulator hfc(curr_inner->twin()), hend(hfc);
+        CGAL_For_all(hfc,hend) hfc->incident_sface() = sf;
+        sf->mark() = BOP(curr_inner->twin()->incident_sface()->mark(),
+                         sce[0]->twin()->incident_sface()->mark(), inv);
       } else
-	--curr_inner;
+        --curr_inner;
 
       CGAL_NEF_TRACEN("final sface oben " << curr_inner->source()->point()
-		<< "->" << curr_inner->twin()->source()->point());
+                << "->" << curr_inner->twin()->source()->point());
 
       SFace_handle sf = curr_inner->incident_sface();
       SHalfedge_around_sface_circulator hfc(curr_inner), hend(hfc);
       CGAL_For_all(hfc,hend) hfc->incident_sface() = sf;
 
-    } else if(empty_e[0] && !empty_c[0]) {      
+    } else if(empty_e[0] && !empty_c[0]) {
 
       CGAL_assertion_msg(!equator[0] && !equator[1] &&
-			 !equator[2] && !equator[3],
-			 "not implemented, yet" );
+                         !equator[2] && !equator[3],
+                         "not implemented, yet" );
       CGAL_assertion_msg(empty_c[1], "not implemented, yet");
       CGAL_assertion_msg(sv[2]->out_sedge() == SHalfedge_handle(),
-			 "not implemented, yet");
+                         "not implemented, yet");
       CGAL_assertion_msg(sv[3]->out_sedge() == SHalfedge_handle(),
-			 "not implemented, yet");
+                         "not implemented, yet");
       CGAL_assertion_msg(!empty_e[1], "not implemented, yet");
 
-      Mark outer_sf = seb[1]->twin()->incident_sface()->mark();      
-      SHalfedge_handle se_prev = 
-	D.new_shalfedge_pair(sv[2], sv[3]);
+      Mark outer_sf = seb[1]->twin()->incident_sface()->mark();
+      SHalfedge_handle se_prev =
+        D.new_shalfedge_pair(sv[2], sv[3]);
       se_prev->circle() = scb[0]->circle();
       se_prev->twin()->circle() = scb[0]->twin()->circle();
-      se_prev->mark() = se_prev->twin()->mark() = 
-	BOP(outer_sf, scb[0]->mark());
+      se_prev->mark() = se_prev->twin()->mark() =
+        BOP(outer_sf, scb[0]->mark());
       SHalfedge_around_svertex_const_circulator curr(scb[0]);
       ++curr;
       while(curr != scb[0]) {
-	se_prev = D.new_shalfedge_pair(se_prev, se_prev->twin(), 1, -1);
-	//	SM_io_parser<SM_decorator>::dump(D, std::cerr);
-	se_prev->circle() = curr->circle();
-	se_prev->twin()->circle() = curr->twin()->circle();
-	se_prev->mark() = se_prev->twin()->mark() = 
-	  BOP(outer_sf, curr->mark());
-	SFace_handle sf_new = D.new_sface();
-	sf_new->mark() = 
-	  BOP(outer_sf, curr->twin()->incident_sface()->mark(), inv);
-	D.link_as_face_cycle(se_prev->twin(), sf_new);
-	++curr;
+        se_prev = D.new_shalfedge_pair(se_prev, se_prev->twin(), 1, -1);
+        //        SM_io_parser<SM_decorator>::dump(D, std::cerr);
+        se_prev->circle() = curr->circle();
+        se_prev->twin()->circle() = curr->twin()->circle();
+        se_prev->mark() = se_prev->twin()->mark() =
+          BOP(outer_sf, curr->mark());
+        SFace_handle sf_new = D.new_sface();
+        sf_new->mark() =
+          BOP(outer_sf, curr->twin()->incident_sface()->mark(), inv);
+        D.link_as_face_cycle(se_prev->twin(), sf_new);
+        ++curr;
       }
       seb[1]->twin()->incident_sface()->mark() =
-	BOP(outer_sf, scb[0]->twin()->incident_sface()->mark(), inv);
+        BOP(outer_sf, scb[0]->twin()->incident_sface()->mark(), inv);
       D.link_as_face_cycle(se_prev, seb[1]->twin()->incident_sface());
       //      SM_io_parser<SM_decorator>::dump(D, std::cerr);
 
     } else if(empty_c[0] && !empty_e[0]) {
 
       CGAL_assertion_msg(!equator[0] && !equator[1] &&
-			 !equator[2] && !equator[3],
-			 "not implemented, yet" );
+                         !equator[2] && !equator[3],
+                         "not implemented, yet" );
       CGAL_assertion_msg(empty_e[1], "not implemented, yet");
       CGAL_assertion_msg(!empty_c[1], "not implemented, yet");
-      
-      Mark outer_sf = scb[1]->twin()->incident_sface()->mark();      
+
+      Mark outer_sf = scb[1]->twin()->incident_sface()->mark();
       SHalfedge_around_svertex_circulator curr(seb[0]);
       CGAL_For_all(curr, see[0]) {
-	curr->mark() = curr->twin()->mark() =
-	  BOP(curr->mark(), outer_sf, inv);
-	curr->incident_sface()->mark() =
-	  BOP(curr->incident_sface()->mark(), outer_sf, inv);
+        curr->mark() = curr->twin()->mark() =
+          BOP(curr->mark(), outer_sf, inv);
+        curr->incident_sface()->mark() =
+          BOP(curr->incident_sface()->mark(), outer_sf, inv);
       }
     }
-    // else 
+    // else
     //      CGAL_assertion_msg(false, "not implemented, yet");
 
 
@@ -792,231 +792,231 @@ public:
     CGAL_NEF_TRACEN("empty[1] " << empty_c[1] << ", " << empty_e[1] );
 
     CGAL_NEF_TRACEN("[1] " << (std::distance(scb[1], sce[1]))
-	      << ", " << (std::distance(seb[1], see[1])) );
-    
+              << ", " << (std::distance(seb[1], see[1])) );
+
     if(!empty_c[1] && !empty_e[1]) {
       CGAL_assertion(first_first == empty_c[0]);
       if(first_first) { // nothing happend on the other half
-	if(equator[2] || equator[3]) {
-	  first_first = false;
-	  previous_first = sv[3]->out_sedge();
-	  if(equator[3] && previous_first->twin()->source() != sv[1]) 
-	    previous_first = previous_first->twin()->snext();
-	  CGAL_assertion(!equator[3] || previous_first->twin()->source() == sv[1]);
-	}
-
-	if(equator[0] || equator[1]) {
-	  first_last = false;
-	  previous_last = sv[2]->out_sedge();
-	  if(equator[1] && previous_last->twin()->source() != sv[1])
-	    previous_last = previous_last->sprev()->twin();
-	  CGAL_assertion(!equator[1] || previous_last->twin()->source() == sv[1]);
-	}
+        if(equator[2] || equator[3]) {
+          first_first = false;
+          previous_first = sv[3]->out_sedge();
+          if(equator[3] && previous_first->twin()->source() != sv[1])
+            previous_first = previous_first->twin()->snext();
+          CGAL_assertion(!equator[3] || previous_first->twin()->source() == sv[1]);
+        }
+
+        if(equator[0] || equator[1]) {
+          first_last = false;
+          previous_last = sv[2]->out_sedge();
+          if(equator[1] && previous_last->twin()->source() != sv[1])
+            previous_last = previous_last->sprev()->twin();
+          CGAL_assertion(!equator[1] || previous_last->twin()->source() == sv[1]);
+        }
       } else { // rotate over gap on unhandled half
-	CGAL_assertion(!first_first && !first_last);
-	std::swap(previous_last, previous_first);
-	previous_first = previous_first->twin()->snext();
-	if(equator[0])
-	  previous_first = previous_first->twin()->snext();
-	previous_last = previous_last->sprev()->twin();
-	if(equator[2])
-	  previous_last = previous_last->sprev()->twin();
+        CGAL_assertion(!first_first && !first_last);
+        std::swap(previous_last, previous_first);
+        previous_first = previous_first->twin()->snext();
+        if(equator[0])
+          previous_first = previous_first->twin()->snext();
+        previous_last = previous_last->sprev()->twin();
+        if(equator[2])
+          previous_last = previous_last->sprev()->twin();
       }
 
       SHalfedge_around_svertex_const_circulator curr_outer(sce[1]);
       do {
-	--curr_outer;
-	CGAL_NEF_TRACEN("outer " << curr_outer->incident_sface()->mark());
-	CGAL_assertion(curr_outer->source()->point() == sv[2]->point());
-	SHalfedge_handle previous_inner;
-	Sphere_segment seg1(sv[2]->point(), sv[3]->point(), 
-			    curr_outer->circle());
-	SHalfedge_around_svertex_circulator curr_inner(seb[1]);
-	CGAL_For_all(curr_inner, see[1]) {
-	  CGAL_NEF_TRACEN("inner " << curr_inner->incident_sface()->mark());
-
-	  CGAL_assertion(curr_inner->source() == sv[0]);
-	  Sphere_segment seg0(sv[0]->point(), sv[1]->point(), curr_inner->circle());
-	  Sphere_segment segX(curr_inner->source()->point(), 
-			      curr_inner->twin()->source()->point(),
-			      curr_inner->circle());
-	  CGAL_assertion(!seg0.is_long());
-	  CGAL_assertion(!segX.is_long());
-	  Sphere_point sp = normalized(seg0.intersection(seg1));
-
-	  CGAL_NEF_TRACEN("first_first " << first_first);
-	  CGAL_NEF_TRACEN("first_last " << first_last);
-	  CGAL_NEF_TRACEN("intersections unten " << sp );
-	  CGAL_assertion(segX.has_on(sp));
-	  CGAL_assertion(curr_inner == seb[1] || 
-			 Sphere_segment(sv[3]->point(), sp).has_on
-			 (previous_inner->twin()->source()->point()));
-	  CGAL_assertion(seg0.has_on(sp));
-	  CGAL_assertion(seg1.has_on(sp));
-	  CGAL_NEF_TRACEN("seg 0 " << seg0.source() << "->" << seg0.target());
-	  CGAL_NEF_TRACEN("seg 1 " << seg1.source() << "->" << seg1.target() << ":" << seg1.sphere_circle());
-	  
-	  SHalfedge_handle along = D.split_at(curr_inner, sp);
-	  along->source()->mark() = BOP(curr_inner->mark(), curr_outer->mark(), inv);
-	  
-	  SHalfedge_handle across;
-	  if(curr_inner == seb[1])
-	    across = first_first ?
-	      D.new_shalfedge_pair(sv[3], along, -1) :
-	      D.new_shalfedge_pair(previous_first, along, 1, -1);
-	  else
-	    across = 
-	      D.new_shalfedge_pair(previous_inner->twin(), curr_inner->twin(), -1, 1);
-
-	  across->circle() = curr_outer->twin()->circle();
-	  across->twin()->circle() = curr_outer->circle();
-	  CGAL_NEF_TRACEN("across " << across->source()->point() 
-		    << "->" << across->twin()->source()->point() 
-		    << ":" << across->circle());
-	  CGAL_NEF_TRACEN("across " << normalized(across->circle())
-		    << ", " << normalized(Sphere_circle(across->source()->point(),
-							across->twin()->source()->point())));
-	  CGAL_assertion(normalized(across->circle()) ==
-			 normalized(Sphere_circle(across->source()->point(),
-						  across->twin()->source()->point())));
-	  across->mark() = across->twin()->mark() = 
-	    BOP(curr_inner->twin()->incident_sface()->mark(), 
-		curr_outer->mark(), inv);
-	  along->mark() = along->twin()->mark() = 
-	    BOP(curr_inner->mark(), 
-		curr_outer->incident_sface()->mark(), inv);
-
-	  if(curr_inner == seb[1])
-	    previous_first = across;
-
-	  if(!first_first) {
-	    SFace_handle sf_new = D.new_sface();
-	    D.link_as_face_cycle(across->twin(), sf_new);
-	    sf_new->mark() = BOP(curr_inner->twin()->incident_sface()->mark(), 
-				 curr_outer->incident_sface()->mark(), inv);
-	    CGAL_NEF_TRACEN("new sface" << sf_new->mark() );
-	  }
-	  previous_inner = curr_inner;
-	  first_first = false;
-	}
-	
-	previous_last = first_last ?	
-	  D.new_shalfedge_pair(sv[2], previous_inner->twin(), -1) :
-	  D.new_shalfedge_pair(previous_last, previous_inner->twin(), -1, -1);
-	previous_last->circle() = curr_outer->circle();
-	previous_last->twin()->circle() = curr_outer->twin()->circle();
-	CGAL_assertion(normalized(previous_last->circle()) == 
-		       normalized(Sphere_circle(previous_last->source()->point(), 
-						previous_last->twin()->source()->point())));
-	previous_last->mark() = previous_last->twin()->mark() =
-	  BOP(previous_inner->incident_sface()->mark(), curr_outer->mark(), inv);
-
-
-	if(!first_last) {
-	  SFace_handle sf_new = D.new_sface();
-	  D.link_as_face_cycle(previous_last, sf_new);
-	  sf_new->mark() = BOP(previous_inner->incident_sface()->mark(),
-			       curr_outer->incident_sface()->mark(), inv);
-	  CGAL_NEF_TRACEN("new sface" << sf_new->mark() );
-	}
+        --curr_outer;
+        CGAL_NEF_TRACEN("outer " << curr_outer->incident_sface()->mark());
+        CGAL_assertion(curr_outer->source()->point() == sv[2]->point());
+        SHalfedge_handle previous_inner;
+        Sphere_segment seg1(sv[2]->point(), sv[3]->point(),
+                            curr_outer->circle());
+        SHalfedge_around_svertex_circulator curr_inner(seb[1]);
+        CGAL_For_all(curr_inner, see[1]) {
+          CGAL_NEF_TRACEN("inner " << curr_inner->incident_sface()->mark());
+
+          CGAL_assertion(curr_inner->source() == sv[0]);
+          Sphere_segment seg0(sv[0]->point(), sv[1]->point(), curr_inner->circle());
+          Sphere_segment segX(curr_inner->source()->point(),
+                              curr_inner->twin()->source()->point(),
+                              curr_inner->circle());
+          CGAL_assertion(!seg0.is_long());
+          CGAL_assertion(!segX.is_long());
+          Sphere_point sp = normalized(seg0.intersection(seg1));
+
+          CGAL_NEF_TRACEN("first_first " << first_first);
+          CGAL_NEF_TRACEN("first_last " << first_last);
+          CGAL_NEF_TRACEN("intersections unten " << sp );
+          CGAL_assertion(segX.has_on(sp));
+          CGAL_assertion(curr_inner == seb[1] ||
+                         Sphere_segment(sv[3]->point(), sp).has_on
+                         (previous_inner->twin()->source()->point()));
+          CGAL_assertion(seg0.has_on(sp));
+          CGAL_assertion(seg1.has_on(sp));
+          CGAL_NEF_TRACEN("seg 0 " << seg0.source() << "->" << seg0.target());
+          CGAL_NEF_TRACEN("seg 1 " << seg1.source() << "->" << seg1.target() << ":" << seg1.sphere_circle());
+
+          SHalfedge_handle along = D.split_at(curr_inner, sp);
+          along->source()->mark() = BOP(curr_inner->mark(), curr_outer->mark(), inv);
+
+          SHalfedge_handle across;
+          if(curr_inner == seb[1])
+            across = first_first ?
+              D.new_shalfedge_pair(sv[3], along, -1) :
+              D.new_shalfedge_pair(previous_first, along, 1, -1);
+          else
+            across =
+              D.new_shalfedge_pair(previous_inner->twin(), curr_inner->twin(), -1, 1);
+
+          across->circle() = curr_outer->twin()->circle();
+          across->twin()->circle() = curr_outer->circle();
+          CGAL_NEF_TRACEN("across " << across->source()->point()
+                    << "->" << across->twin()->source()->point()
+                    << ":" << across->circle());
+          CGAL_NEF_TRACEN("across " << normalized(across->circle())
+                    << ", " << normalized(Sphere_circle(across->source()->point(),
+                                                        across->twin()->source()->point())));
+          CGAL_assertion(normalized(across->circle()) ==
+                         normalized(Sphere_circle(across->source()->point(),
+                                                  across->twin()->source()->point())));
+          across->mark() = across->twin()->mark() =
+            BOP(curr_inner->twin()->incident_sface()->mark(),
+                curr_outer->mark(), inv);
+          along->mark() = along->twin()->mark() =
+            BOP(curr_inner->mark(),
+                curr_outer->incident_sface()->mark(), inv);
+
+          if(curr_inner == seb[1])
+            previous_first = across;
+
+          if(!first_first) {
+            SFace_handle sf_new = D.new_sface();
+            D.link_as_face_cycle(across->twin(), sf_new);
+            sf_new->mark() = BOP(curr_inner->twin()->incident_sface()->mark(),
+                                 curr_outer->incident_sface()->mark(), inv);
+            CGAL_NEF_TRACEN("new sface" << sf_new->mark() );
+          }
+          previous_inner = curr_inner;
+          first_first = false;
+        }
+
+        previous_last = first_last ?
+          D.new_shalfedge_pair(sv[2], previous_inner->twin(), -1) :
+          D.new_shalfedge_pair(previous_last, previous_inner->twin(), -1, -1);
+        previous_last->circle() = curr_outer->circle();
+        previous_last->twin()->circle() = curr_outer->twin()->circle();
+        CGAL_assertion(normalized(previous_last->circle()) ==
+                       normalized(Sphere_circle(previous_last->source()->point(),
+                                                previous_last->twin()->source()->point())));
+        previous_last->mark() = previous_last->twin()->mark() =
+          BOP(previous_inner->incident_sface()->mark(), curr_outer->mark(), inv);
+
+
+        if(!first_last) {
+          SFace_handle sf_new = D.new_sface();
+          D.link_as_face_cycle(previous_last, sf_new);
+          sf_new->mark() = BOP(previous_inner->incident_sface()->mark(),
+                               curr_outer->incident_sface()->mark(), inv);
+          CGAL_NEF_TRACEN("new sface" << sf_new->mark() );
+        }
 
-	first_last = false;
+        first_last = false;
       } while(curr_outer != scb[1]);
 
       SHalfedge_around_svertex_circulator curr_inner(seb[1]);
       CGAL_For_all(curr_inner, see[1]) {
-	CGAL_NEF_TRACEN("schleife " << curr_inner->source()->point()
-		  << "->" << curr_inner->twin()->source()->point());
-	curr_inner->mark() = curr_inner->twin()->mark() = 
-	  BOP(curr_inner->mark(), scb[1]->twin()->incident_sface()->mark(), inv);
-	if(!equator[0] && curr_inner == seb[1]) continue;
-	SFace_handle sf = curr_inner->twin()->incident_sface();
-	SHalfedge_around_sface_circulator hfc(curr_inner->twin()), hend(hfc);
-	CGAL_For_all(hfc,hend) hfc->incident_sface() = sf;
-	sf->mark() = BOP(curr_inner->twin()->incident_sface()->mark(),
-			 scb[1]->twin()->incident_sface()->mark(), inv);	
+        CGAL_NEF_TRACEN("schleife " << curr_inner->source()->point()
+                  << "->" << curr_inner->twin()->source()->point());
+        curr_inner->mark() = curr_inner->twin()->mark() =
+          BOP(curr_inner->mark(), scb[1]->twin()->incident_sface()->mark(), inv);
+        if(!equator[0] && curr_inner == seb[1]) continue;
+        SFace_handle sf = curr_inner->twin()->incident_sface();
+        SHalfedge_around_sface_circulator hfc(curr_inner->twin()), hend(hfc);
+        CGAL_For_all(hfc,hend) hfc->incident_sface() = sf;
+        sf->mark() = BOP(curr_inner->twin()->incident_sface()->mark(),
+                         scb[1]->twin()->incident_sface()->mark(), inv);
       }
       CGAL_assertion(curr_inner == see[1]);
 
       CGAL_NEF_TRACEN("before equator[2] " << curr_inner->source()->point()
-		<< "->" << curr_inner->twin()->source()->point());
+                << "->" << curr_inner->twin()->source()->point());
 
-      if(equator[2] || 
-	 (!empty_c[0] && !empty_e[0])) { 
-	SFace_handle sf = curr_inner->twin()->incident_sface();
-	SHalfedge_around_sface_circulator hfc(curr_inner->twin()), hend(hfc);
-	CGAL_For_all(hfc,hend) hfc->incident_sface() = sf;
-	sf->mark() = BOP(curr_inner->twin()->incident_sface()->mark(),
-			 scb[1]->twin()->incident_sface()->mark(), inv);
+      if(equator[2] ||
+         (!empty_c[0] && !empty_e[0])) {
+        SFace_handle sf = curr_inner->twin()->incident_sface();
+        SHalfedge_around_sface_circulator hfc(curr_inner->twin()), hend(hfc);
+        CGAL_For_all(hfc,hend) hfc->incident_sface() = sf;
+        sf->mark() = BOP(curr_inner->twin()->incident_sface()->mark(),
+                         scb[1]->twin()->incident_sface()->mark(), inv);
       } else
-	--curr_inner;
+        --curr_inner;
 
       CGAL_NEF_TRACEN("final sface " << curr_inner->source()->point()
-		<< "->" << curr_inner->twin()->source()->point());
+                << "->" << curr_inner->twin()->source()->point());
 
       SFace_handle sf = curr_inner->incident_sface();
       SHalfedge_around_sface_circulator hfc(curr_inner), hend(hfc);
-      CGAL_For_all(hfc,hend) hfc->incident_sface() = sf;     
-    } else if(empty_e[1] && !empty_c[1]) {      
+      CGAL_For_all(hfc,hend) hfc->incident_sface() = sf;
+    } else if(empty_e[1] && !empty_c[1]) {
 
       CGAL_assertion_msg(!equator[0] && !equator[1] &&
-			 !equator[2] && !equator[3],
-			 "not implemented, yet" );
+                         !equator[2] && !equator[3],
+                         "not implemented, yet" );
       CGAL_assertion_msg(empty_c[0], "not implemented, yet");
       CGAL_assertion_msg(sv[2]->out_sedge() == SHalfedge_handle(),
-			 "not implemented, yet");
+                         "not implemented, yet");
       CGAL_assertion_msg(sv[3]->out_sedge() == SHalfedge_handle(),
-			 "not implemented, yet");
+                         "not implemented, yet");
       CGAL_assertion_msg(!empty_e[0], "not implemented, yet");
 
-      Mark outer_sf = seb[0]->twin()->incident_sface()->mark();      
-      SHalfedge_handle se_prev = 
-	D.new_shalfedge_pair(sv[2], sv[3]);
+      Mark outer_sf = seb[0]->twin()->incident_sface()->mark();
+      SHalfedge_handle se_prev =
+        D.new_shalfedge_pair(sv[2], sv[3]);
       se_prev->circle() = scb[1]->circle();
       se_prev->twin()->circle() = scb[1]->twin()->circle();
-      se_prev->mark() = se_prev->twin()->mark() = 
-	BOP(outer_sf, scb[1]->mark());
+      se_prev->mark() = se_prev->twin()->mark() =
+        BOP(outer_sf, scb[1]->mark());
       SHalfedge_around_svertex_const_circulator curr(scb[1]);
       ++curr;
       while(curr != scb[1]) {
-	se_prev = D.new_shalfedge_pair(se_prev, se_prev->twin(), 1, -1);
-	//	SM_io_parser<SM_decorator>::dump(D, std::cerr);
-	se_prev->circle() = curr->circle();
-	se_prev->twin()->circle() = curr->twin()->circle();
-	se_prev->mark() = se_prev->twin()->mark() = 
-	  BOP(outer_sf, curr->mark());
-	SFace_handle sf_new = D.new_sface();
-	sf_new->mark() = 
-	  BOP(outer_sf, curr->twin()->incident_sface()->mark(), inv);
-	D.link_as_face_cycle(se_prev->twin(), sf_new);
-	++curr;
+        se_prev = D.new_shalfedge_pair(se_prev, se_prev->twin(), 1, -1);
+        //        SM_io_parser<SM_decorator>::dump(D, std::cerr);
+        se_prev->circle() = curr->circle();
+        se_prev->twin()->circle() = curr->twin()->circle();
+        se_prev->mark() = se_prev->twin()->mark() =
+          BOP(outer_sf, curr->mark());
+        SFace_handle sf_new = D.new_sface();
+        sf_new->mark() =
+          BOP(outer_sf, curr->twin()->incident_sface()->mark(), inv);
+        D.link_as_face_cycle(se_prev->twin(), sf_new);
+        ++curr;
       }
-      
+
       seb[0]->twin()->incident_sface()->mark() =
-	BOP(outer_sf, scb[1]->twin()->incident_sface()->mark(), inv);
+        BOP(outer_sf, scb[1]->twin()->incident_sface()->mark(), inv);
       D.link_as_face_cycle(se_prev, seb[0]->twin()->incident_sface());
 
     } else if(empty_c[1] && !empty_e[1]) {
 
       CGAL_assertion_msg(!equator[0] && !equator[1] &&
-			 !equator[2] && !equator[3],
-			 "not implemented, yet" );
+                         !equator[2] && !equator[3],
+                         "not implemented, yet" );
       CGAL_assertion_msg(empty_e[0], "not implemented, yet");
       CGAL_assertion_msg(!empty_c[0], "not implemented, yet");
-      
-      Mark outer_sf = scb[0]->twin()->incident_sface()->mark();      
+
+      Mark outer_sf = scb[0]->twin()->incident_sface()->mark();
       SHalfedge_around_svertex_circulator curr(seb[1]);
       CGAL_For_all(curr, see[1]) {
-	curr->mark() = curr->twin()->mark() =
-	  BOP(curr->mark(), outer_sf, inv);
-	curr->incident_sface()->mark() =
-	  BOP(curr->incident_sface()->mark(), outer_sf, inv);
+        curr->mark() = curr->twin()->mark() =
+          BOP(curr->mark(), outer_sf, inv);
+        curr->incident_sface()->mark() =
+          BOP(curr->incident_sface()->mark(), outer_sf, inv);
       }
     }
     //    else
     //      CGAL_assertion_msg(false, "not implemented, yet");
 
-//    SM_io_parser<SM_decorator>::dump(D, std::cerr);    
+//    SM_io_parser<SM_decorator>::dump(D, std::cerr);
 
     return D.sphere_map();
   }
diff -pruN 5.0.2-3/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_xy_3.h 5.0.3-1/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_xy_3.h
--- 5.0.2-3/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_xy_3.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_xy_3.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_xy_3.h $
-// $Id: Exact_triangulation_euclidean_traits_xy_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_xy_3.h $
+// $Id: Exact_triangulation_euclidean_traits_xy_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ralf Osbild <osbild@mpi-sb.mpg.de>
 
@@ -28,11 +28,11 @@ template<class R, class Tag> struct Exac
 template <class R>
 struct Exact_intersect_xy_2 <R,Cartesian_tag>
 {
-   typedef typename R::Point_2     Point_2; 
-   typedef typename R::Segment_2   Segment_2; 
+   typedef typename R::Point_2     Point_2;
+   typedef typename R::Segment_2   Segment_2;
 
-   typedef typename R::Point_3     Point_3; 
-   typedef typename R::Segment_3   Segment_3; 
+   typedef typename R::Point_3     Point_3;
+   typedef typename R::Segment_3   Segment_3;
 
    CGAL::Object operator() (Segment_3 s3, Segment_3 t3)
    {  Point_2 p2, q2;
@@ -56,9 +56,9 @@ struct Exact_intersect_xy_2 <R,Cartesian
       }
       else if ( CGAL::assign(s2, obj) )
       {  p2 = s2.source();
-	 q2 = s2.target();
-	 obj = make_object( Segment_3(
-	       Point_3(p2.x(),p2.y(),0), Point_3(q2.x(),q2.y(),0) ) );
+         q2 = s2.target();
+         obj = make_object( Segment_3(
+               Point_3(p2.x(),p2.y(),0), Point_3(q2.x(),q2.y(),0) ) );
       }
       return obj;
    }
@@ -67,11 +67,11 @@ struct Exact_intersect_xy_2 <R,Cartesian
 template <class R>
 struct Exact_intersect_xy_2 <R,Homogeneous_tag>
 {  // Homogeneous
-   typedef typename R::Point_2     Point_2; 
-   typedef typename R::Segment_2   Segment_2; 
+   typedef typename R::Point_2     Point_2;
+   typedef typename R::Segment_2   Segment_2;
 
-   typedef typename R::Point_3     Point_3; 
-   typedef typename R::Segment_3   Segment_3; 
+   typedef typename R::Point_3     Point_3;
+   typedef typename R::Segment_3   Segment_3;
 
    CGAL::Object operator() (Segment_3 s3, Segment_3 t3)
    {  Point_2 p2, q2;
@@ -97,10 +97,10 @@ struct Exact_intersect_xy_2 <R,Homogeneo
       }
       else if ( CGAL::assign(s2, obj) )
       {  p2 = s2.source();
-	 q2 = s2.target();
-	 obj = make_object( Segment_3(
-	    Point_3 (p2.hx(),p2.hy(),0,p2.hw()),
-	    Point_3 (q2.hx(),q2.hy(),0,q2.hw()) ) );
+         q2 = s2.target();
+         obj = make_object( Segment_3(
+            Point_3 (p2.hx(),p2.hy(),0,p2.hw()),
+            Point_3 (q2.hx(),q2.hy(),0,q2.hw()) ) );
       }
       return obj;
    }
diff -pruN 5.0.2-3/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_xz_3.h 5.0.3-1/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_xz_3.h
--- 5.0.2-3/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_xz_3.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_xz_3.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_xz_3.h $
-// $Id: Exact_triangulation_euclidean_traits_xz_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_xz_3.h $
+// $Id: Exact_triangulation_euclidean_traits_xz_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Ralf Osbild <osbild@mpi-sb.mpg.de>
@@ -27,11 +27,11 @@ template<class R, class Tag> struct Exac
 template <class R>
 struct Exact_intersect_xz_2 <R,Cartesian_tag>
 {
-   typedef typename R::Point_2     Point_2; 
-   typedef typename R::Segment_2   Segment_2; 
+   typedef typename R::Point_2     Point_2;
+   typedef typename R::Segment_2   Segment_2;
 
-   typedef typename R::Point_3     Point_3; 
-   typedef typename R::Segment_3   Segment_3; 
+   typedef typename R::Point_3     Point_3;
+   typedef typename R::Segment_3   Segment_3;
 
    CGAL::Object operator() (Segment_3 s3, Segment_3 t3)
    {  Point_2 p2, q2;
@@ -55,9 +55,9 @@ struct Exact_intersect_xz_2 <R,Cartesian
       }
       else if ( CGAL::assign(s2, obj) )
       {  p2 = s2.source();
-	 q2 = s2.target();
-	 obj = make_object( Segment_3(
-	       Point_3(p2.x(),0,p2.y()), Point_3(q2.x(),0,q2.y()) ) );
+         q2 = s2.target();
+         obj = make_object( Segment_3(
+               Point_3(p2.x(),0,p2.y()), Point_3(q2.x(),0,q2.y()) ) );
       }
       return obj;
    }
@@ -66,11 +66,11 @@ struct Exact_intersect_xz_2 <R,Cartesian
 template <class R>
 struct Exact_intersect_xz_2 <R,Homogeneous_tag>
 {  // Homogeneous
-   typedef typename R::Point_2     Point_2; 
-   typedef typename R::Segment_2   Segment_2; 
+   typedef typename R::Point_2     Point_2;
+   typedef typename R::Segment_2   Segment_2;
 
-   typedef typename R::Point_3     Point_3; 
-   typedef typename R::Segment_3   Segment_3; 
+   typedef typename R::Point_3     Point_3;
+   typedef typename R::Segment_3   Segment_3;
 
    CGAL::Object operator() (Segment_3 s3, Segment_3 t3)
    {  Point_2 p2, q2;
@@ -96,10 +96,10 @@ struct Exact_intersect_xz_2 <R,Homogeneo
       }
       else if ( CGAL::assign(s2, obj) )
       {  p2 = s2.source();
-	 q2 = s2.target();
-	 obj = make_object( Segment_3(
-	    Point_3 (p2.hx(),0,p2.hy(),p2.hw()),
-	    Point_3 (q2.hx(),0,q2.hy(),q2.hw()) ) );
+         q2 = s2.target();
+         obj = make_object( Segment_3(
+            Point_3 (p2.hx(),0,p2.hy(),p2.hw()),
+            Point_3 (q2.hx(),0,q2.hy(),q2.hw()) ) );
       }
       return obj;
    }
diff -pruN 5.0.2-3/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_yz_3.h 5.0.3-1/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_yz_3.h
--- 5.0.2-3/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_yz_3.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_yz_3.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_yz_3.h $
-// $Id: Exact_triangulation_euclidean_traits_yz_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/Exact_triangulation_euclidean_traits_yz_3.h $
+// $Id: Exact_triangulation_euclidean_traits_yz_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ralf Osbild <osbild@mpi-sb.mpg.de>
 
@@ -28,11 +28,11 @@ template<class R, class Tag> struct Exac
 template <class R>
 struct Exact_intersect_yz_2 <R,Cartesian_tag>
 {
-   typedef typename R::Point_2     Point_2; 
-   typedef typename R::Segment_2   Segment_2; 
+   typedef typename R::Point_2     Point_2;
+   typedef typename R::Segment_2   Segment_2;
 
-   typedef typename R::Point_3     Point_3; 
-   typedef typename R::Segment_3   Segment_3; 
+   typedef typename R::Point_3     Point_3;
+   typedef typename R::Segment_3   Segment_3;
 
    CGAL::Object operator() (Segment_3 s3, Segment_3 t3)
    {  Point_2 p2, q2;
@@ -56,9 +56,9 @@ struct Exact_intersect_yz_2 <R,Cartesian
       }
       else if ( CGAL::assign(s2, obj) )
       {  p2 = s2.source();
-	 q2 = s2.target();
-	 obj = make_object( Segment_3(
-	       Point_3(0,p2.x(),p2.y()), Point_3(0,q2.x(),q2.y()) ) );
+         q2 = s2.target();
+         obj = make_object( Segment_3(
+               Point_3(0,p2.x(),p2.y()), Point_3(0,q2.x(),q2.y()) ) );
       }
       return obj;
    }
@@ -67,11 +67,11 @@ struct Exact_intersect_yz_2 <R,Cartesian
 template <class R>
 struct Exact_intersect_yz_2 <R,Homogeneous_tag>
 {  // Homogeneous
-   typedef typename R::Point_2     Point_2; 
-   typedef typename R::Segment_2   Segment_2; 
+   typedef typename R::Point_2     Point_2;
+   typedef typename R::Segment_2   Segment_2;
 
-   typedef typename R::Point_3     Point_3; 
-   typedef typename R::Segment_3   Segment_3; 
+   typedef typename R::Point_3     Point_3;
+   typedef typename R::Segment_3   Segment_3;
 
    CGAL::Object operator() (Segment_3 s3, Segment_3 t3)
    {  Point_2 p2, q2;
@@ -97,10 +97,10 @@ struct Exact_intersect_yz_2 <R,Homogeneo
       }
       else if ( CGAL::assign(s2, obj) )
       {  p2 = s2.source();
-	 q2 = s2.target();
-	 obj = make_object( Segment_3(
-	    Point_3 (0,p2.hx(),p2.hy(),p2.hw()),
-	    Point_3 (0,q2.hx(),q2.hy(),q2.hw()) ) );
+         q2 = s2.target();
+         obj = make_object( Segment_3(
+            Point_3 (0,p2.hx(),p2.hy(),p2.hw()),
+            Point_3 (0,q2.hx(),q2.hy(),q2.hw()) ) );
       }
       return obj;
    }
diff -pruN 5.0.2-3/include/CGAL/Nef_3/Halfedge.h 5.0.3-1/include/CGAL/Nef_3/Halfedge.h
--- 5.0.2-3/include/CGAL/Nef_3/Halfedge.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/Halfedge.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/Halfedge.h $
-// $Id: Halfedge.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/Halfedge.h $
+// $Id: Halfedge.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel        <seel@mpi-sb.mpg.de>
 //                 Miguel Granados     <granados@mpi-sb.mpg.de>
@@ -59,11 +59,11 @@ class Halfedge_base
 
   Vertex_handle      center_vertex_;
   Mark               mark_;
-  SVertex_handle     twin_;              
-  SHalfedge_handle   out_sedge_;           
-  SFace_handle       incident_sface_;    
-  GenPtr             info_;                 
-  Sphere_point       point_;   
+  SVertex_handle     twin_;
+  SHalfedge_handle   out_sedge_;
+  SFace_handle       incident_sface_;
+  GenPtr             info_;
+  Sphere_point       point_;
 
  public:
 
@@ -76,29 +76,29 @@ class Halfedge_base
       info_(), point_() {}
 
       ~Halfedge_base() {
-	CGAL_NEF_TRACEN("  destroying Halfedge item "<<&*this);
+        CGAL_NEF_TRACEN("  destroying Halfedge item "<<&*this);
       }
 
-      Halfedge_base(const Halfedge_base<Refs>& e) 
-	{ center_vertex_ = e.center_vertex_;
-	  point_ = e.point_;
-	  mark_ = e.mark_;
-	  twin_ = e.twin_;
-	  out_sedge_ = e.out_sedge_;
-	  incident_sface_ = e.incident_sface_;
-	  info_ = 0;
-	}
-
-      Halfedge_base<Refs>& operator=(const Halfedge_base<Refs>& e) 
-	{ center_vertex_ = e.center_vertex_;
-	  point_ = e.point_;
-	  mark_ = e.mark_;
-	  twin_ = e.twin_;
-	  out_sedge_ = e.out_sedge_;
-	  incident_sface_ = e.incident_sface_;
-	  info_ = 0;
-	  return *this;
-	}
+      Halfedge_base(const Halfedge_base<Refs>& e)
+        { center_vertex_ = e.center_vertex_;
+          point_ = e.point_;
+          mark_ = e.mark_;
+          twin_ = e.twin_;
+          out_sedge_ = e.out_sedge_;
+          incident_sface_ = e.incident_sface_;
+          info_ = 0;
+        }
+
+      Halfedge_base<Refs>& operator=(const Halfedge_base<Refs>& e)
+        { center_vertex_ = e.center_vertex_;
+          point_ = e.point_;
+          mark_ = e.mark_;
+          twin_ = e.twin_;
+          out_sedge_ = e.out_sedge_;
+          incident_sface_ = e.incident_sface_;
+          info_ = 0;
+          return *this;
+        }
 
       Vertex_handle& center_vertex() { return center_vertex_; }
       Vertex_const_handle center_vertex() const { return center_vertex_; }
@@ -122,8 +122,8 @@ class Halfedge_base
       SHalfedge_handle& out_sedge() { return out_sedge_; }
       SHalfedge_const_handle out_sedge() const { return out_sedge_; }
 
-      SFace_handle& incident_sface() { return incident_sface_; } 
-      SFace_const_handle incident_sface() const { return incident_sface_; } 
+      SFace_handle& incident_sface() { return incident_sface_; }
+      SFace_const_handle incident_sface() const { return incident_sface_; }
 
       bool is_isolated() const { return (out_sedge() == SHalfedge_handle()); }
 
@@ -132,39 +132,39 @@ class Halfedge_base
 
  public:
       std::string debug() const
-	{ std::stringstream os; 
-	  set_pretty_mode(os);
-	  os<<"sv [ "<<point_
+        { std::stringstream os;
+          set_pretty_mode(os);
+          os<<"sv [ "<<point_
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
       <<info_
     #endif
       <<" ] ";
-	  return os.str();
-	}
+          return os.str();
+        }
 
       bool is_twin() const { return (&*twin_ < this); }
 
       bool is_valid( bool verb = false, int level = 0) const {
-      
-	Verbose_ostream verr(verb);
-	verr << "begin CGAL::SNC_items<...>::Halfedge_base::is_valid( verb=true, "
-	  "level = " << level << "):" << std::endl;
-
-	bool valid = (center_vertex_ != nullptr && center_vertex_ != Vertex_handle());
-	valid = valid && (twin_ != nullptr && twin_ != SVertex_handle() &&
-			  twin_ != SVertex_handle());
-	//      valid = valid && (out_sedge_ != nullptr);
-	//      valid = valid && (incident_sface_ != SFace_handle());
-      
-	//      valid = valid &&((out_sedge_ != nullptr && incident_sface_ == nullptr) ||
-	//		       (out_sedge_ == nullptr && incident_sface_ != nullptr));
-      
-	valid = valid && (out_sedge_ != nullptr || incident_sface_ != nullptr);
 
-	verr << "end of CGAL::SNC_items<...>::Halfedge_base::is_valid(): structure is "
-	     << ( valid ? "valid." : "NOT VALID.") << std::endl;
+        Verbose_ostream verr(verb);
+        verr << "begin CGAL::SNC_items<...>::Halfedge_base::is_valid( verb=true, "
+          "level = " << level << "):" << std::endl;
+
+        bool valid = (center_vertex_ != nullptr && center_vertex_ != Vertex_handle());
+        valid = valid && (twin_ != nullptr && twin_ != SVertex_handle() &&
+                          twin_ != SVertex_handle());
+        //      valid = valid && (out_sedge_ != nullptr);
+        //      valid = valid && (incident_sface_ != SFace_handle());
+
+        //      valid = valid &&((out_sedge_ != nullptr && incident_sface_ == nullptr) ||
+        //                       (out_sedge_ == nullptr && incident_sface_ != nullptr));
+
+        valid = valid && (out_sedge_ != nullptr || incident_sface_ != nullptr);
+
+        verr << "end of CGAL::SNC_items<...>::Halfedge_base::is_valid(): structure is "
+             << ( valid ? "valid." : "NOT VALID.") << std::endl;
 
-	return valid;
+        return valid;
       }
 
 }; // Halfedge_base
diff -pruN 5.0.2-3/include/CGAL/Nef_3/Halffacet.h 5.0.3-1/include/CGAL/Nef_3/Halffacet.h
--- 5.0.2-3/include/CGAL/Nef_3/Halffacet.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/Halffacet.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/Halffacet.h $
-// $Id: Halffacet.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/Halffacet.h $
+// $Id: Halffacet.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel        <seel@mpi-sb.mpg.de>
 //                 Miguel Granados     <granados@mpi-sb.mpg.de>
@@ -59,28 +59,28 @@ class Halffacet_base  {
       supporting_plane_(h), mark_(m) {}
 
       ~Halffacet_base() {
-	CGAL_NEF_TRACEN("  destroying Halffacet_base item "<<&*this);
+        CGAL_NEF_TRACEN("  destroying Halffacet_base item "<<&*this);
       }
 
       Halffacet_base(const Halffacet_base<Refs>& f)
-	{ supporting_plane_ = f.supporting_plane_;
-	  mark_ = f.mark_;
-	  twin_ = f.twin_;
-	  CGAL_NEF_TRACEN("VOLUME const");
-	  volume_ = f.volume_;
-	  boundary_entry_objects_ = f.boundary_entry_objects_;
-	}
+        { supporting_plane_ = f.supporting_plane_;
+          mark_ = f.mark_;
+          twin_ = f.twin_;
+          CGAL_NEF_TRACEN("VOLUME const");
+          volume_ = f.volume_;
+          boundary_entry_objects_ = f.boundary_entry_objects_;
+        }
 
       Halffacet_base<Refs>& operator=(const Halffacet_base<Refs>& f)
-	{ if (this == &f) return *this;
-	  supporting_plane_ = f.supporting_plane_;
-	  mark_ = f.mark_;
-	  twin_ = f.twin_;
-	  CGAL_NEF_TRACEN("VOLUME op=");
-	  volume_ = f.volume_;
-	  boundary_entry_objects_ = f.boundary_entry_objects_;
-	  return *this;
-	}
+        { if (this == &f) return *this;
+          supporting_plane_ = f.supporting_plane_;
+          mark_ = f.mark_;
+          twin_ = f.twin_;
+          CGAL_NEF_TRACEN("VOLUME op=");
+          volume_ = f.volume_;
+          boundary_entry_objects_ = f.boundary_entry_objects_;
+          return *this;
+        }
 
       Mark& mark() { return mark_; }
       const Mark& mark() const { return mark_; }
@@ -109,24 +109,24 @@ class Halffacet_base  {
       bool is_twin() const { return (&*twin_ < this); }
 
       bool is_valid( bool verb = false, int level = 0) const {
-      
-	Verbose_ostream verr(verb);
-	verr << "begin CGAL::SNC_items<...>::Halffacet_base::is_valid( verb=true, "
-	  "level = " << level << "):" << std::endl;
-
-	bool valid = (twin_ != nullptr && twin_ != Halffacet_handle());
-	valid = valid && (volume_ != nullptr && volume_ != Volume_handle());
-      
-	valid = valid && (supporting_plane_.a() != 0 || 
-			  supporting_plane_.b() != 0 ||
-			  supporting_plane_.c() != 0);
-      
-	valid = valid && (!boundary_entry_objects_.empty());
 
-	verr << "end of CGAL::SNC_items<...>::Halffacet_base::is_valid(): structure is "
-	     << ( valid ? "valid." : "NOT VALID.") << std::endl;
+        Verbose_ostream verr(verb);
+        verr << "begin CGAL::SNC_items<...>::Halffacet_base::is_valid( verb=true, "
+          "level = " << level << "):" << std::endl;
+
+        bool valid = (twin_ != nullptr && twin_ != Halffacet_handle());
+        valid = valid && (volume_ != nullptr && volume_ != Volume_handle());
+
+        valid = valid && (supporting_plane_.a() != 0 ||
+                          supporting_plane_.b() != 0 ||
+                          supporting_plane_.c() != 0);
+
+        valid = valid && (!boundary_entry_objects_.empty());
+
+        verr << "end of CGAL::SNC_items<...>::Halffacet_base::is_valid(): structure is "
+             << ( valid ? "valid." : "NOT VALID.") << std::endl;
 
-	return valid;
+        return valid;
       }
 
 }; // Halffacet_base
diff -pruN 5.0.2-3/include/CGAL/Nef_3/ID_support_handler.h 5.0.3-1/include/CGAL/Nef_3/ID_support_handler.h
--- 5.0.2-3/include/CGAL/Nef_3/ID_support_handler.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/ID_support_handler.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/ID_support_handler.h $
-// $Id: ID_support_handler.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/ID_support_handler.h $
+// $Id: ID_support_handler.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :     Peter Hachenberger  <hachenberger@mpi-sb.mpg.de>
 
@@ -29,23 +29,23 @@ namespace CGAL {
 
 template<typename Decorator>
 class ID_support_handler<SNC_indexed_items, Decorator> {
-  
+
   typedef typename Decorator::SVertex_handle SVertex_handle;
   typedef typename Decorator::SHalfedge_handle SHalfedge_handle;
-  
+
   typedef typename Decorator::SVertex_const_handle SVertex_const_handle;
   typedef typename Decorator::SHalfedge_const_handle SHalfedge_const_handle;
   typedef typename Decorator::SHalfloop_const_handle SHalfloop_const_handle;
   typedef typename Decorator::Halffacet_const_handle Halffacet_const_handle;
-  
+
   typedef CGAL::Unique_hash_map<Halffacet_const_handle, int> F2E;
   CGAL::Unique_hash_map<Halffacet_const_handle, F2E> f2m;
   std::map<int, int> hash;
 
  public:
   ID_support_handler() {}
-  
-  int get_hash(int i) { 
+
+  int get_hash(int i) {
     int root(i);
     while(hash[root] != root)
       root = hash[root];
@@ -56,8 +56,8 @@ class ID_support_handler<SNC_indexed_ite
     }
     return root;
   }
-  
-  void set_hash(int i, int parent) { 
+
+  void set_hash(int i, int parent) {
     CGAL_assertion(parent <= i);
     hash[get_hash(i)] = parent;
   }
@@ -67,21 +67,21 @@ class ID_support_handler<SNC_indexed_ite
     hash[h->get_index()] = h->get_index();
   }
   void initialize_hash(int i) {
-	hash[i] = i;
+        hash[i] = i;
   }
 
-  void hash_facet_pair(SVertex_handle sv, 
-		       Halffacet_const_handle f1, 
-		       Halffacet_const_handle f2) {
+  void hash_facet_pair(SVertex_handle sv,
+                       Halffacet_const_handle f1,
+                       Halffacet_const_handle f2) {
     CGAL_NEF_TRACEN("hash_facet_pair " << sv->point() << std::endl
-		    << "  " << f1->plane() << &f1 << std::endl
-		    << " "  << f2->plane() << &f2);
-    
+                    << "  " << f1->plane() << &f1 << std::endl
+                    << " "  << f2->plane() << &f2);
+
     if(f2m[f1][f2]==0) {
       sv->set_index();
       f2m[f1][f2] = sv->get_index();
-      CGAL_NEF_TRACEN("insert " << sv->point() << &*sv 
-		      << ": " << f2m[f1][f2]);
+      CGAL_NEF_TRACEN("insert " << sv->point() << &*sv
+                      << ": " << f2m[f1][f2]);
       CGAL_NEF_TRACEN("not defined, yet");
     }
     else {
@@ -89,10 +89,10 @@ class ID_support_handler<SNC_indexed_ite
       sv->set_index(f2m[f1][f2]);
     }
   }
-  
-  void handle_support(SVertex_handle sv, 
-		      SHalfedge_const_handle se1,
-		      SHalfedge_const_handle se2) {
+
+  void handle_support(SVertex_handle sv,
+                      SHalfedge_const_handle se1,
+                      SHalfedge_const_handle se2) {
     CGAL_NEF_TRACEN("handle support ee " << sv->point());
     Halffacet_const_handle f1 = se1->get_index_facet();
     if(f1->is_twin()) f1 = f1->twin();
@@ -100,55 +100,55 @@ class ID_support_handler<SNC_indexed_ite
     if(f2->is_twin()) f2 = f2->twin();
     hash_facet_pair(sv, f1,f2);
   }
-  
+
   void handle_support(SVertex_handle sv,
-		      SHalfloop_const_handle sl1,
-		      SHalfloop_const_handle sl2) {
+                      SHalfloop_const_handle sl1,
+                      SHalfloop_const_handle sl2) {
     Halffacet_const_handle f1 = sl1->get_index_facet();
     if(f1->is_twin()) f1 = f1->twin();
     Halffacet_const_handle f2 = sl2->get_index_facet();
     if(f2->is_twin()) f2 = f2->twin();
     hash_facet_pair(sv, f1,f2);
   }
-  
+
   void handle_support(SVertex_handle sv,
-		      SHalfloop_const_handle sl1,
-		      SHalfedge_const_handle se2, 
-		      bool inverse_order = false) {
+                      SHalfloop_const_handle sl1,
+                      SHalfedge_const_handle se2,
+                      bool inverse_order = false) {
     CGAL_NEF_TRACEN("handle support el " << sv->point());
     Halffacet_const_handle f1 = sl1->get_index_facet();
     if(f1->is_twin()) f1 = f1->twin();
     Halffacet_const_handle f2 = se2->get_index_facet();
     if(f2->is_twin()) f2 = f2->twin();
     if(inverse_order)
-      hash_facet_pair(sv, f2,f1);	
+      hash_facet_pair(sv, f2,f1);
     else
-      hash_facet_pair(sv, f1,f2);	
+      hash_facet_pair(sv, f1,f2);
   }
-  
+
   void handle_support(SVertex_handle sv,
-		      SHalfedge_const_handle se1,
-		      SHalfloop_const_handle sl2) {
+                      SHalfedge_const_handle se1,
+                      SHalfloop_const_handle sl2) {
     handle_support(sv,sl2,se1,true);
   }
-  
+
   void handle_support(SVertex_handle sv,
-		      SHalfedge_const_handle,
-		      SVertex_const_handle sv2) {
+                      SHalfedge_const_handle,
+                      SVertex_const_handle sv2) {
     CGAL_NEF_TRACEN("handle support ev " << sv->point());
     sv->set_index(sv2->get_index());
   }
-  
+
   void handle_support(SVertex_handle sv,
-		      SVertex_const_handle sv1,
-		      SHalfedge_const_handle se2) {
+                      SVertex_const_handle sv1,
+                      SHalfedge_const_handle se2) {
     CGAL_NEF_TRACEN("handle support ve " << sv->point());
     handle_support(sv,se2,sv1);
   }
-  
+
   void handle_support(SVertex_handle sv,
-		      SVertex_const_handle sv1,
-		      SVertex_const_handle sv2) {
+                      SVertex_const_handle sv1,
+                      SVertex_const_handle sv2) {
     CGAL_NEF_TRACEN("handle support vv " << sv->point());
     CGAL_NEF_TRACEN("  supported by " << sv1->point());
     CGAL_NEF_TRACEN("  supported by " << sv2->point());
@@ -157,61 +157,61 @@ class ID_support_handler<SNC_indexed_ite
     else
       sv->set_index(sv2->get_index());
   }
-  
+
   void handle_support(SVertex_handle sv,
-		      SVertex_const_handle sv0) {
+                      SVertex_const_handle sv0) {
     CGAL_NEF_TRACEN("handle support v " << sv->point());
     sv->set_index(sv0->get_index());
   }
-  
+
   void handle_support(SVertex_handle sv,
-		      SVertex_const_handle sv1,
-		      SHalfloop_const_handle) {
+                      SVertex_const_handle sv1,
+                      SHalfloop_const_handle) {
     CGAL_NEF_TRACEN("handle support vl " << sv->point());
     sv->set_index(sv1->get_index());
   }
-  
+
   void handle_support(SVertex_handle sv,
-		      SHalfloop_const_handle sl1,
-		      SVertex_const_handle sv2) {
+                      SHalfloop_const_handle sl1,
+                      SVertex_const_handle sv2) {
     CGAL_NEF_TRACEN("handle support lv " << sv->point());
     handle_support(sv, sv2, sl1);
   }
-  
+
   void handle_support(SHalfedge_handle se,
-		      SHalfedge_const_handle se1) {
+                      SHalfedge_const_handle se1) {
     if(!equal_not_opposite(se->circle(), se1->circle()))
        se1 = se1->twin();
     se->set_index(se1->get_index());
     se->twin()->set_index(se1->twin()->get_index());
     CGAL_NEF_TRACEN("se " << se->source()->point()
-		    << "->" << se->twin()->source()->point() 
-		    << "|" << se->circle());
+                    << "->" << se->twin()->source()->point()
+                    << "|" << se->circle());
     CGAL_NEF_TRACEN("se1 " << se1->get_index());
     CGAL_NEF_TRACEN("se1->twin() " << se1->twin()->get_index());
-    CGAL_NEF_TRACEN("result " << se->get_index() 
-    		<< ", " << se->twin()->get_index());
+    CGAL_NEF_TRACEN("result " << se->get_index()
+                    << ", " << se->twin()->get_index());
   }
-  
+
   void handle_support(SHalfedge_handle se,
-		      SHalfloop_const_handle sl1) {
+                      SHalfloop_const_handle sl1) {
     if(!equal_not_opposite(se->circle(), sl1->circle()))
        sl1 = sl1->twin();
     CGAL_assertion(se->circle() == sl1->circle());
     se->set_index(sl1->get_index());
     se->twin()->set_index(sl1->twin()->get_index());
     CGAL_NEF_TRACEN("se " << se->source()->point()
-		    << "->" << se->twin()->source()->point() 
-		    << "|" << se->circle());
+                    << "->" << se->twin()->source()->point()
+                    << "|" << se->circle());
     CGAL_NEF_TRACEN("sl1 " << sl1->get_index());
     CGAL_NEF_TRACEN("sl1->twin() " << sl1->twin()->get_index());
-    CGAL_NEF_TRACEN("result " << se->get_index() 
-		    << ", " << se->twin()->get_index());
+    CGAL_NEF_TRACEN("result " << se->get_index()
+                    << ", " << se->twin()->get_index());
   }
-  
+
   void handle_support(SHalfedge_handle se,
-		      SHalfedge_const_handle se1,
-		      SHalfedge_const_handle se2) {
+                      SHalfedge_const_handle se1,
+                      SHalfedge_const_handle se2) {
     if(!equal_not_opposite(se->circle(), se1->circle()))
       se1 = se1->twin();
     if(!equal_not_opposite(se->circle(), se2->circle()))
@@ -219,8 +219,8 @@ class ID_support_handler<SNC_indexed_ite
     CGAL_assertion(se->circle() == se1->circle());
     CGAL_assertion(se->circle() == se2->circle());
     CGAL_NEF_TRACEN("se " << se->source()->point()
-		    << "->" << se->twin()->source()->point() 
-		    << "|" << se->circle());
+                    << "->" << se->twin()->source()->point()
+                    << "|" << se->circle());
     CGAL_NEF_TRACEN("se1 " << se1->get_index());
     CGAL_NEF_TRACEN("se2 " << se2->get_index());
     CGAL_NEF_TRACEN("se1->twin() " << se1->twin()->get_index());
@@ -246,14 +246,14 @@ class ID_support_handler<SNC_indexed_ite
       set_hash(se1->twin()->get_index(), index2);
     }
 
-    CGAL_NEF_TRACEN("result " << se->get_index() 
-		    << ", " << se->twin()->get_index());
-  }    
-  
+    CGAL_NEF_TRACEN("result " << se->get_index()
+                    << ", " << se->twin()->get_index());
+  }
+
   void handle_support(SHalfedge_handle se,
-		      SHalfedge_const_handle se1,
-		      SHalfloop_const_handle sl2) {
-   
+                      SHalfedge_const_handle se1,
+                      SHalfloop_const_handle sl2) {
+
     if(!equal_not_opposite(se->circle(), se1->circle()))
       se1 = se1->twin();
     if(!equal_not_opposite(se->circle(), sl2->circle()))
@@ -261,8 +261,8 @@ class ID_support_handler<SNC_indexed_ite
     CGAL_assertion(se->circle() == se1->circle());
     CGAL_assertion(se->circle() == sl2->circle());
     CGAL_NEF_TRACEN("se " << se->source()->point()
-		    << "->" << se->twin()->source()->point() 
-		    << "|" << se->circle());
+                    << "->" << se->twin()->source()->point()
+                    << "|" << se->circle());
     CGAL_NEF_TRACEN("se1 " << se1->get_index());
     CGAL_NEF_TRACEN("sl2 " << sl2->get_index());
     CGAL_NEF_TRACEN("se1->twin() " << se1->twin()->get_index());
@@ -290,19 +290,19 @@ class ID_support_handler<SNC_indexed_ite
       set_hash(se1->twin()->get_index(), index2);
     }
 
-    CGAL_NEF_TRACEN("result " << se->get_index() 
-		    << ", " << se->twin()->get_index());
+    CGAL_NEF_TRACEN("result " << se->get_index()
+                    << ", " << se->twin()->get_index());
   }
-  
+
   void handle_support(SHalfedge_handle se,
-		      SHalfloop_const_handle sl1,
-		      SHalfedge_const_handle se2) {
+                      SHalfloop_const_handle sl1,
+                      SHalfedge_const_handle se2) {
     handle_support(se,se2,sl1);
-  }    
-  
+  }
+
   void handle_support(SHalfedge_handle se,
-		      SHalfloop_const_handle sl1,
-		      SHalfloop_const_handle sl2) {
+                      SHalfloop_const_handle sl1,
+                      SHalfloop_const_handle sl2) {
     if(!equal_not_opposite(se->circle(), sl1->circle()))
       sl1 = sl1->twin();
     if(!equal_not_opposite(se->circle(), sl2->circle()))
@@ -310,8 +310,8 @@ class ID_support_handler<SNC_indexed_ite
     CGAL_assertion(se->circle() == sl1->circle());
     CGAL_assertion(se->circle() == sl2->circle());
     CGAL_NEF_TRACEN("se " << se->source()->point()
-		    << "->" << se->twin()->source()->point() 
-		    << "|" << se->circle());
+                    << "->" << se->twin()->source()->point()
+                    << "|" << se->circle());
     CGAL_NEF_TRACEN("sl1 " << sl1->get_index());
     CGAL_NEF_TRACEN("sl2 " << sl2->get_index());
     CGAL_NEF_TRACEN("sl1->twin() " << sl1->twin()->get_index());
@@ -337,8 +337,8 @@ class ID_support_handler<SNC_indexed_ite
       set_hash(sl1->twin()->get_index(), index2);
     }
 
-    CGAL_NEF_TRACEN("result " << se->get_index() 
-		    << ", " << se->twin()->get_index());
+    CGAL_NEF_TRACEN("result " << se->get_index()
+                    << ", " << se->twin()->get_index());
   }
 
 };
diff -pruN 5.0.2-3/include/CGAL/Nef_3/Infimaximal_box.h 5.0.3-1/include/CGAL/Nef_3/Infimaximal_box.h
--- 5.0.2-3/include/CGAL/Nef_3/Infimaximal_box.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/Infimaximal_box.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/Infimaximal_box.h $
-// $Id: Infimaximal_box.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/Infimaximal_box.h $
+// $Id: Infimaximal_box.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Peter Hachenberger    <hachenberger@mpi-sb.mpg.de>
 
@@ -112,8 +112,8 @@ class Infimaximal_box {
   }
 
   template <typename SNC_structure>
-  static bool is_beyond_Infibox(typename SNC_structure::SFace_handle , 
-				SNC_structure& ) {
+  static bool is_beyond_Infibox(typename SNC_structure::SFace_handle ,
+                                SNC_structure& ) {
     return false;
   }
 
@@ -134,7 +134,7 @@ class Infimaximal_box {
     return NT(1);
   }
 
-  static void compute_min_max(const Plane_3& , NT orth_coords[3], int& /* min */, int& /* max */) { 
+  static void compute_min_max(const Plane_3& , NT orth_coords[3], int& /* min */, int& /* max */) {
     (void)orth_coords;
   }
 
@@ -147,10 +147,10 @@ class Infimaximal_box {
   }
 
   template <typename SNC_constructor, typename Mark>
-  static std::list<typename SNC_constructor::Vertex_handle> 
-    create_vertices_on_infibox(SNC_constructor&, 
-			       const Plane_3&, const std::list<Point_3>&, 
-			       const Mark&, const Mark&, const Mark&) {
+  static std::list<typename SNC_constructor::Vertex_handle>
+    create_vertices_on_infibox(SNC_constructor&,
+                               const Plane_3&, const std::list<Point_3>&,
+                               const Mark&, const Mark&, const Mark&) {
     // TODO: warning oder assertion einbauen
     return std::list<typename SNC_constructor::Vertex_handle>();
   }
@@ -160,8 +160,8 @@ class Infimaximal_box {
     return std::list<Point_3>();
   }
 
-  static typename std::list<Point_3>::const_iterator segment_on_side(int /*side_of_point*/, 
-							      const std::list<Point_3>& segs) {  
+  static typename std::list<Point_3>::const_iterator segment_on_side(int /*side_of_point*/,
+                                                              const std::list<Point_3>& segs) {
     return segs.begin();
   }
 
@@ -198,7 +198,7 @@ class Infimaximal_box {
 
   template <typename Halfedge_handle>
   static bool is_edge_on_infibox(Halfedge_handle ) {
-    return false; 
+    return false;
   }
 
   template <typename Vertex_handle>
@@ -231,7 +231,7 @@ class Infimaximal_box<Tag_true, Kernel>
   typedef typename Kernel::Aff_transformation_3  Aff_transformation_3;
 
   enum Boundary { EXCLUDED=0, INCLUDED=1 };
-  
+
   static const int RADIUS = 10000000;
 
   static bool standard_kernel() {
@@ -266,16 +266,16 @@ class Infimaximal_box<Tag_true, Kernel>
 
   static Point_3 simplify(Point_3& p) {
     CGAL_assertion(p.hw().degree() == 0);
-    int deg = p.hx().degree() > p.hy().degree() 
-      ? p.hx().degree() 
+    int deg = p.hx().degree() > p.hy().degree()
+      ? p.hx().degree()
       : p.hy().degree();
-    deg = p.hz().degree() > deg 
-      ? p.hz().degree() 
+    deg = p.hz().degree() > deg
+      ? p.hz().degree()
       : deg;
     return Point_3(p.hx().degree() == deg ? p.hx()[deg] : 0,
-		   p.hy().degree() == deg ? p.hy()[deg] : 0,
-		   p.hz().degree() == deg ? p.hz()[deg] : 0,
-		   p.hw()[0]);
+                   p.hy().degree() == deg ? p.hy()[deg] : 0,
+                   p.hz().degree() == deg ? p.hz()[deg] : 0,
+                   p.hw()[0]);
   }
 
   static int degree(const RT& p) {
@@ -304,22 +304,22 @@ class Infimaximal_box<Tag_true, Kernel>
 
   static Standard_point standard_point(Point_3 p, NT d=1) {
     return Standard_point(p.hx().eval_at(d),
-			  p.hy().eval_at(d),
-			  p.hz().eval_at(d),
-			  p.hw().eval_at(1));
+                          p.hy().eval_at(d),
+                          p.hz().eval_at(d),
+                          p.hw().eval_at(1));
   }
 
   static Standard_plane standard_plane(Plane_3 p, NT d=1) {
     return Standard_plane(p.a().eval_at(1),
-			  p.b().eval_at(1),
-			  p.c().eval_at(1),
-			  p.d().eval_at(d));
+                          p.b().eval_at(1),
+                          p.c().eval_at(1),
+                          p.d().eval_at(d));
   }
 
   static Standard_vector standard_vector(Vector_3 p) {
     return Standard_vector(p.hx().eval_at(1),
-			   p.hy().eval_at(1),
-			   p.hz().eval_at(1));
+                           p.hy().eval_at(1),
+                           p.hz().eval_at(1));
   }
 
   static void set_size_of_infimaximal_box(NT size) {
@@ -356,17 +356,17 @@ class Infimaximal_box<Tag_true, Kernel>
   }
 
   template <typename SNC_structure>
-  static bool is_beyond_Infibox(typename SNC_structure::SFace_handle sf, 
-				SNC_structure& snc) {
+  static bool is_beyond_Infibox(typename SNC_structure::SFace_handle sf,
+                                SNC_structure& snc) {
     typename SNC_structure::SNC_decorator D(snc);
     return (D.volume(sf) == snc.volumes_begin());
   }
 
   template <typename SNC_constructor, typename Mark>
-  static std::list<typename SNC_constructor::Vertex_handle> 
-    create_vertices_on_infibox(SNC_constructor& C, 
-			       const Plane_3& h, const std::list<Point_3>& points, 
-			       const Mark& bnd, const Mark& inside, const Mark& outside) {
+  static std::list<typename SNC_constructor::Vertex_handle>
+    create_vertices_on_infibox(SNC_constructor& C,
+                               const Plane_3& h, const std::list<Point_3>& points,
+                               const Mark& bnd, const Mark& inside, const Mark& outside) {
     return C.create_vertices_on_infibox(h,points,bnd,inside,outside);
   }
 
@@ -375,24 +375,24 @@ class Infimaximal_box<Tag_true, Kernel>
     C.create_vertices_of_box_with_plane(h, b);
   }
 
-  static void compute_min_max(const Plane_3& h, NT orth_coords[3], int& min, int& max) {
+  static void compute_min_max(const Plane_3& h, NT orth_coords[3], int& cmin, int& cmax) {
     Vector_3 orth = h.orthogonal_vector();
-    
+
     orth_coords[0] = CGAL_NTS abs(orth.hx()[0]);
     orth_coords[1] = CGAL_NTS abs(orth.hy()[0]);
     orth_coords[2] = CGAL_NTS abs(orth.hz()[0]);
-    
-    max = 0;
+
+    cmax = 0;
     if(orth_coords[1] > orth_coords[0])
-      max = 1;
-    if(orth_coords[2] > orth_coords[max])
-      max = 2;   
-    
-    min = 0;
+      cmax = 1;
+    if(orth_coords[2] > orth_coords[cmax])
+      cmax = 2;
+
+    cmin = 0;
     if(orth_coords[1] < orth_coords[0])
-      min = 1;
-    if(orth_coords[2] < orth_coords[min])
-      min = 2;
+      cmin = 1;
+    if(orth_coords[2] < orth_coords[cmin])
+      cmin = 2;
   }
 
   template<typename SNC_structure>
@@ -419,16 +419,16 @@ class Infimaximal_box<Tag_true, Kernel>
     RT hz(pin.hz()-lz);
     RT hw(pin.hw());
     Point_3 p(Point_3(lx,ly,lz,hw).transform(aff));
-    return Point_3(hx+p.hx(),hy+p.hy(),hz+p.hz(),hw);    
+    return Point_3(hx+p.hx(),hy+p.hy(),hz+p.hz(),hw);
   }
 
   static Point_3 normalize_transformed_vertex(const Point_3& p) {
     int i=0;
     if(CGAL_NTS abs(p.hx()) < CGAL_NTS abs(p.hy()))
       if(CGAL_NTS abs(p.hy()) < CGAL_NTS abs(p.hz()))
-	i = 2;
+        i = 2;
       else
-	i = 1;
+        i = 1;
     else if(CGAL_NTS abs(p.hx()) < CGAL_NTS abs(p.hz()))
       i = 2;
 
@@ -436,46 +436,46 @@ class Infimaximal_box<Tag_true, Kernel>
     case 0:
       CGAL_assertion(p.hx().degree() == 1);
       if(p.hx()[1] > 0)
-	return Point_3(RT(0,p.hx()[1]*p.hw()[0]),
-		       RT(p.hy()[0]*p.hx()[1]-p.hx()[0]*p.hy()(1),p.hy()(1)*p.hw()[0]),
-		       RT(p.hz()[0]*p.hx()[1]-p.hx()[0]*p.hz()(1),p.hz()(1)*p.hw()[0]),
-		       RT(p.hw()[0]*p.hx()[1]));
+        return Point_3(RT(0,p.hx()[1]*p.hw()[0]),
+                       RT(p.hy()[0]*p.hx()[1]-p.hx()[0]*p.hy()(1),p.hy()(1)*p.hw()[0]),
+                       RT(p.hz()[0]*p.hx()[1]-p.hx()[0]*p.hz()(1),p.hz()(1)*p.hw()[0]),
+                       RT(p.hw()[0]*p.hx()[1]));
       else
-	return Point_3(RT(0,-p.hx()[1]*p.hw()[0]),
-		       RT(p.hy()[0]*p.hx()[1]-p.hx()[0]*p.hy()(1),-p.hy()(1)*p.hw()[0]),
-		       RT(p.hz()[0]*p.hx()[1]-p.hx()[0]*p.hz()(1),-p.hz()(1)*p.hw()[0]),
-		       RT(p.hw()[0]*p.hx()[1]));
+        return Point_3(RT(0,-p.hx()[1]*p.hw()[0]),
+                       RT(p.hy()[0]*p.hx()[1]-p.hx()[0]*p.hy()(1),-p.hy()(1)*p.hw()[0]),
+                       RT(p.hz()[0]*p.hx()[1]-p.hx()[0]*p.hz()(1),-p.hz()(1)*p.hw()[0]),
+                       RT(p.hw()[0]*p.hx()[1]));
     case 1:
       CGAL_assertion(p.hy().degree() == 1);
       if(p.hy()[1] > 0)
-	return Point_3(RT(p.hx()[0]*p.hy()[1]-p.hy()[0]*p.hx()(1),p.hx()(1)*p.hw()[0]),
-		       RT(0,p.hy()[1]*p.hw()[0]),
-		       RT(p.hz()[0]*p.hy()[1]-p.hy()[0]*p.hz()(1),p.hz()(1)*p.hw()[0]),
-		       RT(p.hw()[0]*p.hy()[1]));
+        return Point_3(RT(p.hx()[0]*p.hy()[1]-p.hy()[0]*p.hx()(1),p.hx()(1)*p.hw()[0]),
+                       RT(0,p.hy()[1]*p.hw()[0]),
+                       RT(p.hz()[0]*p.hy()[1]-p.hy()[0]*p.hz()(1),p.hz()(1)*p.hw()[0]),
+                       RT(p.hw()[0]*p.hy()[1]));
       else
-	return Point_3(RT(p.hx()[0]*p.hy()[1]-p.hy()[0]*p.hx()(1),-p.hx()(1)*p.hw()[0]),
-		       RT(0,-p.hy()[1]*p.hw()[0]),
-		       RT(p.hz()[0]*p.hy()[1]-p.hy()[0]*p.hz()(1),-p.hz()(1)*p.hw()[0]),
-		       RT(p.hw()[0]*p.hy()[1]));
+        return Point_3(RT(p.hx()[0]*p.hy()[1]-p.hy()[0]*p.hx()(1),-p.hx()(1)*p.hw()[0]),
+                       RT(0,-p.hy()[1]*p.hw()[0]),
+                       RT(p.hz()[0]*p.hy()[1]-p.hy()[0]*p.hz()(1),-p.hz()(1)*p.hw()[0]),
+                       RT(p.hw()[0]*p.hy()[1]));
     case 2:
       CGAL_assertion(p.hz().degree() == 1);
       if(p.hz()[1] > 0)
-	return Point_3(RT(p.hx()[0]*p.hz()[1]-p.hz()[0]*p.hx()(1),p.hx()(1)*p.hw()[0]),
-		       RT(p.hy()[0]*p.hz()[1]-p.hz()[0]*p.hy()(1),p.hy()(1)*p.hw()[0]),
-		       RT(0,p.hz()[1]*p.hw()[0]),
-		       RT(p.hw()[0]*p.hz()[1]));
+        return Point_3(RT(p.hx()[0]*p.hz()[1]-p.hz()[0]*p.hx()(1),p.hx()(1)*p.hw()[0]),
+                       RT(p.hy()[0]*p.hz()[1]-p.hz()[0]*p.hy()(1),p.hy()(1)*p.hw()[0]),
+                       RT(0,p.hz()[1]*p.hw()[0]),
+                       RT(p.hw()[0]*p.hz()[1]));
       else
-	return Point_3(RT(p.hx()[0]*p.hz()[1]-p.hz()[0]*p.hx()(1),-p.hx()(1)*p.hw()[0]),
-		       RT(p.hy()[0]*p.hz()[1]-p.hz()[0]*p.hy()(1),-p.hy()(1)*p.hw()[0]),
-		       RT(0,-p.hz()[1]*p.hw()[0]),
-		       RT(p.hw()[0]*p.hz()[1]));
+        return Point_3(RT(p.hx()[0]*p.hz()[1]-p.hz()[0]*p.hx()(1),-p.hx()(1)*p.hw()[0]),
+                       RT(p.hy()[0]*p.hz()[1]-p.hz()[0]*p.hy()(1),-p.hy()(1)*p.hw()[0]),
+                       RT(0,-p.hz()[1]*p.hw()[0]),
+                       RT(p.hw()[0]*p.hz()[1]));
     default: CGAL_error_msg( "wrong value");
     }
     return Point_3();
   }
 
-  static typename std::list<Point_3>::const_iterator segment_on_side(int side_of_point, 
-								     const std::list<Point_3>& segs) {  
+  static typename std::list<Point_3>::const_iterator segment_on_side(int side_of_point,
+                                                                     const std::list<Point_3>& segs) {
 
     typename std::list<Point_3>::const_iterator s1,t1;
     for(s1 = segs.begin(); s1 != segs.end(); ++s1) {
@@ -483,30 +483,30 @@ class Infimaximal_box<Tag_true, Kernel>
       ++t1;
       if(t1 == segs.end()) t1 = segs.begin();
       switch(side_of_point) {
-      case  1: 
-	if( s1->hx()(1) != s1->hw()) continue; 
-	if( t1->hx()(1) != t1->hw()) continue;
-	return s1;
-      case -1: 
-	if(-s1->hx()(1) != s1->hw()) continue;
-	if(-t1->hx()(1) != t1->hw()) continue; 
-	return s1;
-      case  2: 
-	if( s1->hy()(1) != s1->hw()) continue;
-	if( t1->hy()(1) != t1->hw()) continue;
-	return s1;	break;
-      case -2: 
-	if(-s1->hy()(1) != s1->hw()) continue; 
-	if(-t1->hy()(1) != t1->hw()) continue; 
-	return s1;
-      case  3: 
-	if( s1->hz()(1) != s1->hw()) continue; 
-	if( t1->hz()(1) != t1->hw()) continue; 
-	return s1;
-      case -3: 
-	if(-s1->hz()(1) != s1->hw()) continue; 
-	if(-t1->hz()(1) != t1->hw()) continue; 
-	return s1;
+      case  1:
+        if( s1->hx()(1) != s1->hw()) continue;
+        if( t1->hx()(1) != t1->hw()) continue;
+        return s1;
+      case -1:
+        if(-s1->hx()(1) != s1->hw()) continue;
+        if(-t1->hx()(1) != t1->hw()) continue;
+        return s1;
+      case  2:
+        if( s1->hy()(1) != s1->hw()) continue;
+        if( t1->hy()(1) != t1->hw()) continue;
+        return s1;        break;
+      case -2:
+        if(-s1->hy()(1) != s1->hw()) continue;
+        if(-t1->hy()(1) != t1->hw()) continue;
+        return s1;
+      case  3:
+        if( s1->hz()(1) != s1->hw()) continue;
+        if( t1->hz()(1) != t1->hw()) continue;
+        return s1;
+      case -3:
+        if(-s1->hz()(1) != s1->hw()) continue;
+        if(-t1->hz()(1) != t1->hw()) continue;
+        return s1;
       default: CGAL_error_msg( "wrong value");
       }
     }
@@ -525,44 +525,44 @@ class Infimaximal_box<Tag_true, Kernel>
 
     C.create_extended_box_corner( 1, 1, 1, space, true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-				  , base
+                                  , base
 #endif
-				  );
+                                  );
     C.create_extended_box_corner(-1, 1, 1, space, true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-				  , base
+                                  , base
 #endif
-				  );
+                                  );
     C.create_extended_box_corner( 1,-1, 1, space, true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-				  , base
+                                  , base
 #endif
-				  );
+                                  );
     C.create_extended_box_corner(-1,-1, 1, space, true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-				  , base
+                                  , base
 #endif
-				  );
+                                  );
     C.create_extended_box_corner( 1, 1,-1, space, true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-				  , base
+                                  , base
 #endif
-				  );
+                                  );
     C.create_extended_box_corner(-1, 1,-1, space, true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-				  , base
+                                  , base
 #endif
-				  );
+                                  );
     C.create_extended_box_corner( 1,-1,-1, space, true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-				  , base
+                                  , base
 #endif
-				  );
+                                  );
     C.create_extended_box_corner(-1,-1,-1, space, true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-				  , base
+                                  , base
 #endif
-				  ); 
+                                  );
   }
 
   template <typename Halfedge_handle>
@@ -576,18 +576,18 @@ class Infimaximal_box<Tag_true, Kernel>
     RT Outer(0,CGAL_NTS abs(p.hw()[0]));
 
     // TODO: are these lines really redundant??
-    if(CGAL_NTS abs(p.hx()) == Outer && 
+    if(CGAL_NTS abs(p.hx()) == Outer &&
        ((p.hx() > 0 && v.hx() > 0)||(p.hx() < 0 && v.hx() < 0))) return false;
-    if(CGAL_NTS abs(p.hy()) == Outer && 
+    if(CGAL_NTS abs(p.hy()) == Outer &&
        ((p.hy() > 0 && v.hy() > 0)||(p.hy() < 0 && v.hy() < 0))) return false;
-    if(CGAL_NTS abs(p.hz()) == Outer && 
+    if(CGAL_NTS abs(p.hz()) == Outer &&
        ((p.hz() > 0 && v.hz() > 0)||(p.hz() < 0 && v.hz() < 0))) return false;
 
     if(CGAL_NTS abs(p.hx()) == Outer && v.hx() == 0) return true;
     if(CGAL_NTS abs(p.hy()) == Outer && v.hy() == 0) return true;
     if(CGAL_NTS abs(p.hz()) == Outer && v.hz() == 0) return true;
 
-    return false; 
+    return false;
   }
 
 
@@ -598,20 +598,20 @@ class Infimaximal_box<Tag_true, Kernel>
     CGAL_NEF_TRACEN("Point " << p);
     if(is_standard(p)) return false;
 
-    CGAL_NEF_TRACEN("Circle " << sh->circle() << 
-	   " has signum " << sign_of(sh->circle()));
+    CGAL_NEF_TRACEN("Circle " << sh->circle() <<
+           " has signum " << sign_of(sh->circle()));
     CGAL_assertion(p.hw().degree() == 0);
     RT R(0,CGAL_NTS abs(p.hw()[0]));
 
-    if((sh->circle().a() == 0 && sh->circle().b() == 0 
-	&& CGAL_NTS abs(p.hz())== R) || 
-       (sh->circle().a() == 0 && sh->circle().c() == 0 
-	&& CGAL_NTS abs(p.hy())== R) ||
-       (sh->circle().b() == 0 && sh->circle().c() == 0 
-	&& CGAL_NTS abs(p.hx())== R))
-      if(is_edge_on_infibox(sh->source()) && 
-	 is_edge_on_infibox(sh->twin()->source()))
-	return true;
+    if((sh->circle().a() == 0 && sh->circle().b() == 0
+        && CGAL_NTS abs(p.hz())== R) ||
+       (sh->circle().a() == 0 && sh->circle().c() == 0
+        && CGAL_NTS abs(p.hy())== R) ||
+       (sh->circle().b() == 0 && sh->circle().c() == 0
+        && CGAL_NTS abs(p.hx())== R))
+      if(is_edge_on_infibox(sh->source()) &&
+         is_edge_on_infibox(sh->twin()->source()))
+        return true;
 
     return false;
   }
@@ -622,24 +622,24 @@ class Infimaximal_box<Tag_true, Kernel>
     if(is_infibox_corner(sm.point())) return false;
     typename Sphere_map::SVertex_const_iterator svi;
     for(svi = sm.svertices_begin();
-	svi != sm.svertices_end(); ++svi)
+        svi != sm.svertices_end(); ++svi)
       if(!is_edge_on_infibox(svi)) {
-	return false;
+        return false;
       }
     return true;
   }
-  
+
   template <typename Sphere_map>
   static bool is_complex_facet_infibox_intersection(const Sphere_map& sm) {
-    
+
     typename Sphere_map::SHalfedge_const_iterator sei;
     bool found = false;
     CGAL_forall_sedges(sei, sm) {
       if(!is_sedge_on_infibox(sei)) {
-	if(found)
-	  return true;
-	else
-	  found = true;
+        if(found)
+          return true;
+        else
+          found = true;
       }
     }
     return false;
@@ -656,15 +656,15 @@ class Infimaximal_box<Tag_true, Kernel>
     Point_3 p(e->center_vertex()->point());
     Direction_3 d(e->vector());
 
-    if((CGAL_NTS abs(p.hx()) == CGAL_NTS abs(p.hw()) || 
-	d == Direction_3(1,0,0) ||
-	d == Direction_3(-1,0,0)) &&
-       (CGAL_NTS abs(p.hy()) == CGAL_NTS abs(p.hw()) || 
-	d == Direction_3(0,1,0) ||
-	d == Direction_3(0,-1,0)) &&
-       (CGAL_NTS abs(p.hz()) == CGAL_NTS abs(p.hw()) || 
-	d == Direction_3(0,0,1) ||
-	d == Direction_3(0,0,-1)))
+    if((CGAL_NTS abs(p.hx()) == CGAL_NTS abs(p.hw()) ||
+        d == Direction_3(1,0,0) ||
+        d == Direction_3(-1,0,0)) &&
+       (CGAL_NTS abs(p.hy()) == CGAL_NTS abs(p.hw()) ||
+        d == Direction_3(0,1,0) ||
+        d == Direction_3(0,-1,0)) &&
+       (CGAL_NTS abs(p.hz()) == CGAL_NTS abs(p.hw()) ||
+        d == Direction_3(0,0,1) ||
+        d == Direction_3(0,0,-1)))
       return true;
     return false;
   }
@@ -674,20 +674,20 @@ class Infimaximal_box<Tag_true, Kernel>
 
     Point_3 p(e->center_vertex()->point());
     Direction_3 d(e->vector());
-    
+
     if(d == Direction_3(1,0,0) || d == Direction_3(-1,0,0)) {
       if(CGAL_NTS abs(p.hy()) == CGAL_NTS abs(p.hw()))
-	return true;
+        return true;
       return false;
     }
     if(d == Direction_3(0,1,0) || d == Direction_3(0,-1,0)) {
       if(CGAL_NTS abs(p.hx()) == CGAL_NTS abs(p.hw()))
-	return true;
+        return true;
       return false;
     }
     if(d == Direction_3(0,0,1) || d == Direction_3(0,0,-1)) {
       if(CGAL_NTS abs(p.hy()) == CGAL_NTS abs(p.hw()))
-	return true;
+        return true;
       return false;
     }
 
@@ -715,7 +715,7 @@ class Infimaximal_box<Tag_true, CGAL::Ps
   typedef typename Kernel::Aff_transformation_3  Aff_transformation_3;
 
   enum Boundary { EXCLUDED=0, INCLUDED=1 };
-  
+
   static const int RADIUS = 10000000;
 
   static bool standard_kernel() {
@@ -750,16 +750,16 @@ class Infimaximal_box<Tag_true, CGAL::Ps
 
   static Point_3 simplify(Point_3& p) {
     CGAL_assertion(p.hw().degree() == 0);
-    int deg = p.hx().degree() > p.hy().degree() 
-      ? p.hx().degree() 
+    int deg = p.hx().degree() > p.hy().degree()
+      ? p.hx().degree()
       : p.hy().degree();
-    deg = p.hz().degree() > deg 
-      ? p.hz().degree() 
+    deg = p.hz().degree() > deg
+      ? p.hz().degree()
       : deg;
     return Point_3(p.hx().degree() == deg ? p.hx()[deg] : 0,
-		   p.hy().degree() == deg ? p.hy()[deg] : 0,
-		   p.hz().degree() == deg ? p.hz()[deg] : 0,
-		   p.hw()[0]);
+                   p.hy().degree() == deg ? p.hy()[deg] : 0,
+                   p.hz().degree() == deg ? p.hz()[deg] : 0,
+                   p.hw()[0]);
   }
 
   static int degree(const RT& p) {
@@ -790,22 +790,22 @@ class Infimaximal_box<Tag_true, CGAL::Ps
 
   static Standard_point standard_point(Point_3 p, NT d=1) {
     return Standard_point(p.hx().eval_at(d),
-			  p.hy().eval_at(d),
-			  p.hz().eval_at(d),
-			  p.hw().eval_at(1));
+                          p.hy().eval_at(d),
+                          p.hz().eval_at(d),
+                          p.hw().eval_at(1));
   }
 
   static Standard_plane standard_plane(Plane_3 p, NT d=1) {
     return Standard_plane(p.a().eval_at(1),
-			  p.b().eval_at(1),
-			  p.c().eval_at(1),
-			  p.d().eval_at(d));
+                          p.b().eval_at(1),
+                          p.c().eval_at(1),
+                          p.d().eval_at(d));
   }
 
   static Standard_vector standard_vector(Vector_3 p) {
     return Standard_vector(p.hx().eval_at(1),
-			   p.hy().eval_at(1),
-			   p.hz().eval_at(1));
+                           p.hy().eval_at(1),
+                           p.hz().eval_at(1));
   }
 
   static void set_size_of_infimaximal_box(NT size) {
@@ -842,17 +842,17 @@ class Infimaximal_box<Tag_true, CGAL::Ps
   }
 
   template <typename SNC_structure>
-  static bool is_beyond_Infibox(typename SNC_structure::SFace_handle sf, 
-				SNC_structure& snc) {
+  static bool is_beyond_Infibox(typename SNC_structure::SFace_handle sf,
+                                SNC_structure& snc) {
     typename SNC_structure::SNC_decorator D(snc);
     return (D.volume(sf) == snc.volumes_begin());
   }
 
   template <typename SNC_constructor, typename Mark>
-  static std::list<typename SNC_constructor::Vertex_handle> 
-    create_vertices_on_infibox(SNC_constructor& C, 
-			       const Plane_3& h, const std::list<Point_3>& points, 
-			       const Mark& bnd, const Mark& inside, const Mark& outside) {
+  static std::list<typename SNC_constructor::Vertex_handle>
+    create_vertices_on_infibox(SNC_constructor& C,
+                               const Plane_3& h, const std::list<Point_3>& points,
+                               const Mark& bnd, const Mark& inside, const Mark& outside) {
     return C.create_vertices_on_infibox(h,points,bnd,inside,outside);
   }
 
@@ -863,17 +863,17 @@ class Infimaximal_box<Tag_true, CGAL::Ps
 
   static void compute_min_max(const Plane_3& h, NT orth_coords[3], int& min, int& max) {
     Vector_3 orth = h.orthogonal_vector();
-    
+
     orth_coords[0] = CGAL_NTS abs(orth.hx()[0]);
     orth_coords[1] = CGAL_NTS abs(orth.hy()[0]);
     orth_coords[2] = CGAL_NTS abs(orth.hz()[0]);
-    
+
     max = 0;
     if(orth_coords[1] > orth_coords[0])
       max = 1;
     if(orth_coords[2] > orth_coords[max])
-      max = 2;   
-    
+      max = 2;
+
     min = 0;
     if(orth_coords[1] < orth_coords[0])
       min = 1;
@@ -905,16 +905,16 @@ class Infimaximal_box<Tag_true, CGAL::Ps
     RT hz(pin.hz()-lz);
     RT hw(pin.hw());
     Point_3 p(Point_3(lx,ly,lz,hw).transform(aff));
-    return Point_3(hx+p.hx(),hy+p.hy(),hz+p.hz(),hw);    
+    return Point_3(hx+p.hx(),hy+p.hy(),hz+p.hz(),hw);
   }
 
   static Point_3 normalize_transformed_vertex(const Point_3& p) {
     int i=0;
     if(CGAL_NTS abs(p.hx()) < CGAL_NTS abs(p.hy()))
       if(CGAL_NTS abs(p.hy()) < CGAL_NTS abs(p.hz()))
-	i = 2;
+        i = 2;
       else
-	i = 1;
+        i = 1;
     else if(CGAL_NTS abs(p.hx()) < CGAL_NTS abs(p.hz()))
       i = 2;
 
@@ -922,46 +922,46 @@ class Infimaximal_box<Tag_true, CGAL::Ps
     case 0:
       CGAL_assertion(p.hx().degree() == 1);
       if(p.hx()[1] > 0)
-	return Point_3(RT(0,p.hx()[1]*p.hw()[0]),
-		       RT(p.hy()[0]*p.hx()[1]-p.hx()[0]*p.hy()(1),p.hy()(1)*p.hw()[0]),
-		       RT(p.hz()[0]*p.hx()[1]-p.hx()[0]*p.hz()(1),p.hz()(1)*p.hw()[0]),
-		       RT(p.hw()[0]*p.hx()[1]));
+        return Point_3(RT(0,p.hx()[1]*p.hw()[0]),
+                       RT(p.hy()[0]*p.hx()[1]-p.hx()[0]*p.hy()(1),p.hy()(1)*p.hw()[0]),
+                       RT(p.hz()[0]*p.hx()[1]-p.hx()[0]*p.hz()(1),p.hz()(1)*p.hw()[0]),
+                       RT(p.hw()[0]*p.hx()[1]));
       else
-	return Point_3(RT(0,-p.hx()[1]*p.hw()[0]),
-		       RT(p.hy()[0]*p.hx()[1]-p.hx()[0]*p.hy()(1),-p.hy()(1)*p.hw()[0]),
-		       RT(p.hz()[0]*p.hx()[1]-p.hx()[0]*p.hz()(1),-p.hz()(1)*p.hw()[0]),
-		       RT(p.hw()[0]*p.hx()[1]));
+        return Point_3(RT(0,-p.hx()[1]*p.hw()[0]),
+                       RT(p.hy()[0]*p.hx()[1]-p.hx()[0]*p.hy()(1),-p.hy()(1)*p.hw()[0]),
+                       RT(p.hz()[0]*p.hx()[1]-p.hx()[0]*p.hz()(1),-p.hz()(1)*p.hw()[0]),
+                       RT(p.hw()[0]*p.hx()[1]));
     case 1:
       CGAL_assertion(p.hy().degree() == 1);
       if(p.hy()[1] > 0)
-	return Point_3(RT(p.hx()[0]*p.hy()[1]-p.hy()[0]*p.hx()(1),p.hx()(1)*p.hw()[0]),
-		       RT(0,p.hy()[1]*p.hw()[0]),
-		       RT(p.hz()[0]*p.hy()[1]-p.hy()[0]*p.hz()(1),p.hz()(1)*p.hw()[0]),
-		       RT(p.hw()[0]*p.hy()[1]));
+        return Point_3(RT(p.hx()[0]*p.hy()[1]-p.hy()[0]*p.hx()(1),p.hx()(1)*p.hw()[0]),
+                       RT(0,p.hy()[1]*p.hw()[0]),
+                       RT(p.hz()[0]*p.hy()[1]-p.hy()[0]*p.hz()(1),p.hz()(1)*p.hw()[0]),
+                       RT(p.hw()[0]*p.hy()[1]));
       else
-	return Point_3(RT(p.hx()[0]*p.hy()[1]-p.hy()[0]*p.hx()(1),-p.hx()(1)*p.hw()[0]),
-		       RT(0,-p.hy()[1]*p.hw()[0]),
-		       RT(p.hz()[0]*p.hy()[1]-p.hy()[0]*p.hz()(1),-p.hz()(1)*p.hw()[0]),
-		       RT(p.hw()[0]*p.hy()[1]));
+        return Point_3(RT(p.hx()[0]*p.hy()[1]-p.hy()[0]*p.hx()(1),-p.hx()(1)*p.hw()[0]),
+                       RT(0,-p.hy()[1]*p.hw()[0]),
+                       RT(p.hz()[0]*p.hy()[1]-p.hy()[0]*p.hz()(1),-p.hz()(1)*p.hw()[0]),
+                       RT(p.hw()[0]*p.hy()[1]));
     case 2:
       CGAL_assertion(p.hz().degree() == 1);
       if(p.hz()[1] > 0)
-	return Point_3(RT(p.hx()[0]*p.hz()[1]-p.hz()[0]*p.hx()(1),p.hx()(1)*p.hw()[0]),
-		       RT(p.hy()[0]*p.hz()[1]-p.hz()[0]*p.hy()(1),p.hy()(1)*p.hw()[0]),
-		       RT(0,p.hz()[1]*p.hw()[0]),
-		       RT(p.hw()[0]*p.hz()[1]));
+        return Point_3(RT(p.hx()[0]*p.hz()[1]-p.hz()[0]*p.hx()(1),p.hx()(1)*p.hw()[0]),
+                       RT(p.hy()[0]*p.hz()[1]-p.hz()[0]*p.hy()(1),p.hy()(1)*p.hw()[0]),
+                       RT(0,p.hz()[1]*p.hw()[0]),
+                       RT(p.hw()[0]*p.hz()[1]));
       else
-	return Point_3(RT(p.hx()[0]*p.hz()[1]-p.hz()[0]*p.hx()(1),-p.hx()(1)*p.hw()[0]),
-		       RT(p.hy()[0]*p.hz()[1]-p.hz()[0]*p.hy()(1),-p.hy()(1)*p.hw()[0]),
-		       RT(0,-p.hz()[1]*p.hw()[0]),
-		       RT(p.hw()[0]*p.hz()[1]));
+        return Point_3(RT(p.hx()[0]*p.hz()[1]-p.hz()[0]*p.hx()(1),-p.hx()(1)*p.hw()[0]),
+                       RT(p.hy()[0]*p.hz()[1]-p.hz()[0]*p.hy()(1),-p.hy()(1)*p.hw()[0]),
+                       RT(0,-p.hz()[1]*p.hw()[0]),
+                       RT(p.hw()[0]*p.hz()[1]));
     default: CGAL_error_msg( "wrong value");
     }
     return Point_3();
   }
 
-  static typename std::list<Point_3>::const_iterator segment_on_side(int side_of_point, 
-								     const std::list<Point_3>& segs) {  
+  static typename std::list<Point_3>::const_iterator segment_on_side(int side_of_point,
+                                                                     const std::list<Point_3>& segs) {
 
     typename std::list<Point_3>::const_iterator s1,t1;
     for(s1 = segs.begin(); s1 != segs.end(); ++s1) {
@@ -969,30 +969,30 @@ class Infimaximal_box<Tag_true, CGAL::Ps
       ++t1;
       if(t1 == segs.end()) t1 = segs.begin();
       switch(side_of_point) {
-      case  1: 
-	if( s1->hx()(1) != s1->hw()) continue; 
-	if( t1->hx()(1) != t1->hw()) continue;
-	return s1;
-      case -1: 
-	if(-s1->hx()(1) != s1->hw()) continue;
-	if(-t1->hx()(1) != t1->hw()) continue; 
-	return s1;
-      case  2: 
-	if( s1->hy()(1) != s1->hw()) continue;
-	if( t1->hy()(1) != t1->hw()) continue;
-	return s1;	break;
-      case -2: 
-	if(-s1->hy()(1) != s1->hw()) continue; 
-	if(-t1->hy()(1) != t1->hw()) continue; 
-	return s1;
-      case  3: 
-	if( s1->hz()(1) != s1->hw()) continue; 
-	if( t1->hz()(1) != t1->hw()) continue; 
-	return s1;
-      case -3: 
-	if(-s1->hz()(1) != s1->hw()) continue; 
-	if(-t1->hz()(1) != t1->hw()) continue; 
-	return s1;
+      case  1:
+        if( s1->hx()(1) != s1->hw()) continue;
+        if( t1->hx()(1) != t1->hw()) continue;
+        return s1;
+      case -1:
+        if(-s1->hx()(1) != s1->hw()) continue;
+        if(-t1->hx()(1) != t1->hw()) continue;
+        return s1;
+      case  2:
+        if( s1->hy()(1) != s1->hw()) continue;
+        if( t1->hy()(1) != t1->hw()) continue;
+        return s1;        break;
+      case -2:
+        if(-s1->hy()(1) != s1->hw()) continue;
+        if(-t1->hy()(1) != t1->hw()) continue;
+        return s1;
+      case  3:
+        if( s1->hz()(1) != s1->hw()) continue;
+        if( t1->hz()(1) != t1->hw()) continue;
+        return s1;
+      case -3:
+        if(-s1->hz()(1) != s1->hw()) continue;
+        if(-t1->hz()(1) != t1->hw()) continue;
+        return s1;
       default: CGAL_error_msg( "wrong value");
       }
     }
@@ -1011,44 +1011,44 @@ class Infimaximal_box<Tag_true, CGAL::Ps
 
     C.create_extended_box_corner( 1, 1, 1, space, true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-				  , base
+                                  , base
 #endif
-				  );
+                                  );
     C.create_extended_box_corner(-1, 1, 1, space, true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-				  , base
+                                  , base
 #endif
-				  );
+                                  );
     C.create_extended_box_corner( 1,-1, 1, space, true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-				  , base
+                                  , base
 #endif
-				  );
+                                  );
     C.create_extended_box_corner(-1,-1, 1, space, true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-				  , base
+                                  , base
 #endif
-				  );
+                                  );
     C.create_extended_box_corner( 1, 1,-1, space, true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-				  , base
+                                  , base
 #endif
-				  );
+                                  );
     C.create_extended_box_corner(-1, 1,-1, space, true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-				  , base
+                                  , base
 #endif
-				  );
+                                  );
     C.create_extended_box_corner( 1,-1,-1, space, true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-				  , base
+                                  , base
 #endif
-				  );
+                                  );
     C.create_extended_box_corner(-1,-1,-1, space, true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-				  , base
+                                  , base
 #endif
-				  ); 
+                                  );
   }
 
   template <typename Halfedge_handle>
@@ -1062,18 +1062,18 @@ class Infimaximal_box<Tag_true, CGAL::Ps
     RT Outer(0,CGAL_NTS abs(p.hw()[0]));
 
     // TODO: are these lines really redundant??
-    if(CGAL_NTS abs(p.hx()) == Outer && 
+    if(CGAL_NTS abs(p.hx()) == Outer &&
        ((p.hx() > 0 && v.hx() > 0)||(p.hx() < 0 && v.hx() < 0))) return false;
-    if(CGAL_NTS abs(p.hy()) == Outer && 
+    if(CGAL_NTS abs(p.hy()) == Outer &&
        ((p.hy() > 0 && v.hy() > 0)||(p.hy() < 0 && v.hy() < 0))) return false;
-    if(CGAL_NTS abs(p.hz()) == Outer && 
+    if(CGAL_NTS abs(p.hz()) == Outer &&
        ((p.hz() > 0 && v.hz() > 0)||(p.hz() < 0 && v.hz() < 0))) return false;
 
     if(CGAL_NTS abs(p.hx()) == Outer && v.hx() == 0) return true;
     if(CGAL_NTS abs(p.hy()) == Outer && v.hy() == 0) return true;
     if(CGAL_NTS abs(p.hz()) == Outer && v.hz() == 0) return true;
 
-    return false; 
+    return false;
   }
 
 
@@ -1084,20 +1084,20 @@ class Infimaximal_box<Tag_true, CGAL::Ps
     CGAL_NEF_TRACEN("Point " << p);
     if(is_standard(p)) return false;
 
-    CGAL_NEF_TRACEN("Circle " << sh->circle() << 
-	   " has signum " << sign_of(sh->circle()));
+    CGAL_NEF_TRACEN("Circle " << sh->circle() <<
+           " has signum " << sign_of(sh->circle()));
     CGAL_assertion(p.hw().degree() == 0);
     RT R(0,CGAL_NTS abs(p.hw()[0]));
 
-    if((sh->circle().a() == 0 && sh->circle().b() == 0 
-	&& CGAL_NTS abs(p.hz())== R) || 
-       (sh->circle().a() == 0 && sh->circle().c() == 0 
-	&& CGAL_NTS abs(p.hy())== R) ||
-       (sh->circle().b() == 0 && sh->circle().c() == 0 
-	&& CGAL_NTS abs(p.hx())== R))
-      if(is_edge_on_infibox(sh->source()) && 
-	 is_edge_on_infibox(sh->twin()->source()))
-	return true;
+    if((sh->circle().a() == 0 && sh->circle().b() == 0
+        && CGAL_NTS abs(p.hz())== R) ||
+       (sh->circle().a() == 0 && sh->circle().c() == 0
+        && CGAL_NTS abs(p.hy())== R) ||
+       (sh->circle().b() == 0 && sh->circle().c() == 0
+        && CGAL_NTS abs(p.hx())== R))
+      if(is_edge_on_infibox(sh->source()) &&
+         is_edge_on_infibox(sh->twin()->source()))
+        return true;
 
     return false;
   }
@@ -1108,24 +1108,24 @@ class Infimaximal_box<Tag_true, CGAL::Ps
     if(is_infibox_corner(sm.point())) return false;
     typename Sphere_map::SVertex_const_iterator svi;
     for(svi = sm.svertices_begin();
-	svi != sm.svertices_end(); ++svi)
+        svi != sm.svertices_end(); ++svi)
       if(!is_edge_on_infibox(svi)) {
-	return false;
+        return false;
       }
     return true;
   }
-  
+
   template <typename Sphere_map>
   static bool is_complex_facet_infibox_intersection(const Sphere_map& sm) {
-    
+
     typename Sphere_map::SHalfedge_const_iterator sei;
     bool found = false;
     CGAL_forall_sedges(sei, sm) {
       if(!is_sedge_on_infibox(sei)) {
-	if(found)
-	  return true;
-	else
-	  found = true;
+        if(found)
+          return true;
+        else
+          found = true;
       }
     }
     return false;
@@ -1142,15 +1142,15 @@ class Infimaximal_box<Tag_true, CGAL::Ps
     Point_3 p(e->center_vertex()->point());
     Direction_3 d(e->vector());
 
-    if((CGAL_NTS abs(p.hx()) == CGAL_NTS abs(p.hw()) || 
-	d == Direction_3(1,0,0) ||
-	d == Direction_3(-1,0,0)) &&
-       (CGAL_NTS abs(p.hy()) == CGAL_NTS abs(p.hw()) || 
-	d == Direction_3(0,1,0) ||
-	d == Direction_3(0,-1,0)) &&
-       (CGAL_NTS abs(p.hz()) == CGAL_NTS abs(p.hw()) || 
-	d == Direction_3(0,0,1) ||
-	d == Direction_3(0,0,-1)))
+    if((CGAL_NTS abs(p.hx()) == CGAL_NTS abs(p.hw()) ||
+        d == Direction_3(1,0,0) ||
+        d == Direction_3(-1,0,0)) &&
+       (CGAL_NTS abs(p.hy()) == CGAL_NTS abs(p.hw()) ||
+        d == Direction_3(0,1,0) ||
+        d == Direction_3(0,-1,0)) &&
+       (CGAL_NTS abs(p.hz()) == CGAL_NTS abs(p.hw()) ||
+        d == Direction_3(0,0,1) ||
+        d == Direction_3(0,0,-1)))
       return true;
     return false;
   }
@@ -1160,20 +1160,20 @@ class Infimaximal_box<Tag_true, CGAL::Ps
 
     Point_3 p(e->center_vertex()->point());
     Direction_3 d(e->vector());
-    
+
     if(d == Direction_3(1,0,0) || d == Direction_3(-1,0,0)) {
       if(CGAL_NTS abs(p.hy()) == CGAL_NTS abs(p.hw()))
-	return true;
+        return true;
       return false;
     }
     if(d == Direction_3(0,1,0) || d == Direction_3(0,-1,0)) {
       if(CGAL_NTS abs(p.hx()) == CGAL_NTS abs(p.hw()))
-	return true;
+        return true;
       return false;
     }
     if(d == Direction_3(0,0,1) || d == Direction_3(0,0,-1)) {
       if(CGAL_NTS abs(p.hy()) == CGAL_NTS abs(p.hw()))
-	return true;
+        return true;
       return false;
     }
 
diff -pruN 5.0.2-3/include/CGAL/Nef_3/K3_tree.h 5.0.3-1/include/CGAL/Nef_3/K3_tree.h
--- 5.0.2-3/include/CGAL/Nef_3/K3_tree.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/K3_tree.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/K3_tree.h $
-// $Id: K3_tree.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/K3_tree.h $
+// $Id: K3_tree.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Miguel Granados <granados@mpi-sb.mpg.de>
 //                 Peter Hachenberger <hachenb@mpi-sb.mpg.de>
@@ -71,9 +71,9 @@ struct Compare_triangle_3 {
     for( int i = 0; i < 3; ++i) {
       Comparison_result c = compare_xyz<Kernel>( t1[v1[i]], t2[v2[i]]);
       if( c == SMALLER)
-	return true;
+        return true;
       else if( c == LARGER)
-	return false;
+        return false;
     }
     return false; // the two triangles are equivalent
   }
@@ -83,7 +83,7 @@ template <class Traits>
 class K3_tree
 {
 
-template <typename Kernel, typename Object, 
+template <typename Kernel, typename Object,
           typename Vertex, typename Coordinate>
 class Smaller_than
 {
@@ -118,7 +118,7 @@ private:
 };
 
 
-template <typename Object, typename Vertex, 
+template <typename Object, typename Vertex,
           typename Coordinate, typename EK>
   class Smaller_than<CGAL::Lazy_kernel<EK>, Object, Vertex, Coordinate>
 {
@@ -129,11 +129,11 @@ public:
   bool operator()( const Vertex& v1, const Vertex& v2) {
     switch(coord) {
     case 0: return CGAL::to_interval(v1->point().x()).second <
-			   CGAL::to_interval(v2->point().x()).first;
+                           CGAL::to_interval(v2->point().x()).first;
     case 1: return CGAL::to_interval(v1->point().y()).second <
-			   CGAL::to_interval(v2->point().y()).first;
+                           CGAL::to_interval(v2->point().y()).first;
     case 2: return CGAL::to_interval(v1->point().z()).second <
-			   CGAL::to_interval(v2->point().z()).first;
+                           CGAL::to_interval(v2->point().z()).first;
     default: CGAL_error();
     }
     return false;
@@ -145,11 +145,11 @@ public:
     CGAL::assign(v2,o2);
     switch(coord) {
     case 0: return CGAL::to_interval(v1->point().x()).second <
-			   CGAL::to_interval(v2->point().x()).first;
+                           CGAL::to_interval(v2->point().x()).first;
     case 1: return CGAL::to_interval(v1->point().y()).second <
-			   CGAL::to_interval(v2->point().y()).first;
+                           CGAL::to_interval(v2->point().y()).first;
     case 2: return CGAL::to_interval(v1->point().z()).second <
-			   CGAL::to_interval(v2->point().z()).first;
+                           CGAL::to_interval(v2->point().z()).first;
     default: CGAL_error();
     }
     return false;
@@ -172,7 +172,7 @@ private:
     typedef typename CT::Finite_faces_iterator Finite_face_iterator;
     typedef typename CT::Edge                  Edge;
 
-    typedef typename SNC_structure::Halffacet_cycle_iterator 
+    typedef typename SNC_structure::Halffacet_cycle_iterator
                                     Halffacet_cycle_iterator;
     typedef typename SNC_structure::SHalfedge_around_facet_circulator
                                     SHalfedge_around_facet_circulator;
@@ -185,18 +185,18 @@ private:
     template<typename Halffacet_handle>
     Triangulation_handler(Halffacet_handle f) : visited(false) {
 
-      typedef typename SNC_structure::Halffacet_cycle_iterator 
+      typedef typename SNC_structure::Halffacet_cycle_iterator
                                       Halffacet_cycle_iterator;
       typedef typename SNC_structure::SHalfedge_around_facet_circulator
                                       SHalfedge_around_facet_circulator;
 
       Halffacet_cycle_iterator fci;
       for(fci=f->facet_cycles_begin(); fci!=f->facet_cycles_end(); ++fci) {
-	if(fci.is_shalfedge()) {
+        if(fci.is_shalfedge()) {
           SHalfedge_around_facet_circulator sfc(fci), send(sfc);
-	  CGAL_For_all(sfc,send) {
-	    ct.insert_constraint(sfc->source()->source()->point(),
-	                         sfc->source()->twin()->source()->point());
+          CGAL_For_all(sfc,send) {
+            ct.insert_constraint(sfc->source()->source()->point(),
+                                 sfc->source()->twin()->source()->point());
           }
         }
       }
@@ -214,22 +214,22 @@ private:
       typename CT::Face_handle first = vc;
 
       traverse_triangulation(first, first->index(opposite));
-      
+
       fi = ct.finite_faces_begin();
     }
 
     void traverse_triangulation(Face_handle f, int parent) {
       visited[f] = true;
       if(!ct.is_constrained(Edge(f,ct.cw(parent))) && !visited[f->neighbor(ct.cw(parent))]) {
-	Face_handle child(f->neighbor(ct.cw(parent)));
-	traverse_triangulation(child, child->index(f));
-      } 
+        Face_handle child(f->neighbor(ct.cw(parent)));
+        traverse_triangulation(child, child->index(f));
+      }
       if(!ct.is_constrained(Edge(f,ct.cw(parent))) && !visited[f->neighbor(ct.cw(parent))]) {
-	Face_handle child(f->neighbor(ct.cw(parent)));
-	traverse_triangulation(child, child->index(f));
-      } 
-    } 
- 
+        Face_handle child(f->neighbor(ct.cw(parent)));
+        traverse_triangulation(child, child->index(f));
+      }
+    }
+
     template<typename Triangle_3>
     bool get_next_triangle(Triangle_3& tr) {
       if(fi == ct.finite_faces_end()) return false;
@@ -248,7 +248,7 @@ public:
   friend class Objects_around_box;
 
 public:
-  
+
 typedef typename Traits::SNC_decorator SNC_decorator;
 typedef typename Traits::Infimaximal_box Infimaximal_box;
 typedef typename Traits::Vertex_handle Vertex_handle;
@@ -285,15 +285,15 @@ typedef typename Kernel::FT FT;
 typedef Smaller_than<
   Kernel,
   Object_handle,
-  Vertex_handle, 
+  Vertex_handle,
   int> Smaller_;
 
 class Node {
   friend class K3_tree<Traits>;
 public:
-  Node( Node* p, Node* l, Node* r, Plane_3 pl, const Object_list& O) : 
-    parent_node(p), left_node(l), right_node(r), splitting_plane(pl), 
-	object_list(O) {
+  Node( Node* p, Node* l, Node* r, Plane_3 pl, const Object_list& O) :
+    parent_node(p), left_node(l), right_node(r), splitting_plane(pl),
+        object_list(O) {
     if(l == 0)
       point_on_plane = Point_3();
     else
@@ -312,20 +312,20 @@ public:
 
   void transform(const Aff_transformation_3& t) {
     if(left_node != 0) {
-	CGAL_assertion(right_node != 0);
-	left_node->transform(t);
- 	right_node->transform(t);
-  	splitting_plane = splitting_plane.transform(t);
-#ifdef CGAL_NEF3_TRIANGULATE_FACETS 
+        CGAL_assertion(right_node != 0);
+        left_node->transform(t);
+         right_node->transform(t);
+          splitting_plane = splitting_plane.transform(t);
+#ifdef CGAL_NEF3_TRIANGULATE_FACETS
     } else {
       Halffacet_triangle_handle tri;
       typename Object_list::iterator o;
       for(o = object_list.begin(); o != object_list.end(); ++o)
         if(assign(tri,*o)) {
           tri.transform(t);
-	  *o = make_object(tri);
+          *o = make_object(tri);
         }
-#endif // CGAL_NEF3_TRIANGULATE_FACETS 
+#endif // CGAL_NEF3_TRIANGULATE_FACETS
     }
   }
 
@@ -344,33 +344,33 @@ public:
 
   std::size_t leafs(int mask = 255, int lower_limit = 0) {
     std::size_t s = 0;
-    Halffacet_handle f;    
+    Halffacet_handle f;
     Halfedge_handle e;
     Vertex_handle v;
     typename Object_list::iterator o;
-    if(mask == 0) 
+    if(mask == 0)
       s = 1;
     else {
       for(o = object_list.begin(); o != object_list.end(); ++o) {
-	if((mask & 1) && assign(v,*o))
-	  ++s;
-	else if((mask&2) && assign(e,*o))
-	  ++s;
-	else if(((mask&4) || (mask&8)) && assign(f,*o)) {
-	  if(mask&4)
-	    ++s;
-	  else {
-	    int length = 0;	
-	    typename Traits::SHalfedge_around_facet_circulator safc(f->facet_cycles_begin()), 
-	      send(safc);
-	    while(++length < lower_limit && ++safc != send) ; 
-	    if(length >= lower_limit)
-	      ++s;	
-	  }
-	}
+        if((mask & 1) && assign(v,*o))
+          ++s;
+        else if((mask&2) && assign(e,*o))
+          ++s;
+        else if(((mask&4) || (mask&8)) && assign(f,*o)) {
+          if(mask&4)
+            ++s;
+          else {
+            int length = 0;
+            typename Traits::SHalfedge_around_facet_circulator safc(f->facet_cycles_begin()),
+              send(safc);
+            while(++length < lower_limit && ++safc != send) ;
+            if(length >= lower_limit)
+              ++s;
+          }
+        }
       }
     }
-    
+
     if(left_node != 0)
       s += left_node->leafs(mask, lower_limit);
     if(right_node != 0)
@@ -423,7 +423,7 @@ public:
       right_node->add_vertex(v, depth+1);
   }
 
-  
+
 friend std::ostream& operator<<
   (std::ostream& os, const Node* node) {
   CGAL_assertion( node != 0);
@@ -441,7 +441,7 @@ friend std::ostream& operator<<
   return os;
 }
 
-  
+
 ~Node() {
   CGAL_NEF_TRACEN("~Node: deleting node...");
   if( !is_leaf()) {
@@ -462,7 +462,7 @@ private:
 
 
 public:
-  class Objects_around_segment 
+  class Objects_around_segment
   {
    public:
     class Iterator;
@@ -473,7 +473,7 @@ public:
     bool initialized;
   public:
     Objects_around_segment() : initialized(false) {}
-    Objects_around_segment( const K3_tree& k, const Segment_3& s) : 
+    Objects_around_segment( const K3_tree& k, const Segment_3& s) :
       root_node(k.root), segment(s), initialized(true) {
       CGAL_NEF_TRACEN("Objects_around_segment: input segment: "<<segment);
     }
@@ -510,12 +510,12 @@ public:
         ++(*this); // place the interator in the first intersected cell
       }
       Iterator( const Self& i) : S(i.S), node(i.node) {}
-      const Object_list& operator*() const { 
+      const Object_list& operator*() const {
         CGAL_assertion( node != 0);
         return node->objects();
       }
       Self& operator++() {
-        
+
 if( S.empty())
   node = 0; // end of the iterator
 else {
@@ -566,19 +566,19 @@ else {
 
         return *this;
       }
-      bool operator==(const Self& i) const { 
-        return (node == i.node); 
+      bool operator==(const Self& i) const {
+        return (node == i.node);
       }
-      bool operator!=(const Self& i) const { 
-        return !(*this == i); 
+      bool operator!=(const Self& i) const {
+        return !(*this == i);
       }
     private:
-      const Node* get_node() const { 
+      const Node* get_node() const {
         CGAL_assertion( node != 0);
         return node;
       }
-      
-inline 
+
+inline
 const Node* get_child_by_side( const Node* node, Oriented_side side) {
   CGAL_assertion( node != nullptr);
   CGAL_assertion( side != ON_ORIENTED_BOUNDARY);
@@ -589,7 +589,7 @@ const Node* get_child_by_side( const Nod
   return node->right();
 }
 
-void divide_segment_by_plane( Segment_3 s, Plane_3 pl, 
+void divide_segment_by_plane( Segment_3 s, Plane_3 pl,
                               Segment_3& s1, Segment_3& s2) {
   Object o = traits.intersect_object()( pl, s);
   Point_3 ip;
@@ -610,7 +610,7 @@ void divide_segment_by_plane( Segment_3
   {
     typedef Objects_around_segment Base;
   protected:
-    Traits traits;	
+    Traits traits;
   public:
     Objects_along_ray( const K3_tree& k, const Ray_3& r) {
       CGAL_NEF_TRACEN("Objects_along_ray: input ray: "<<r);
@@ -618,28 +618,28 @@ void divide_segment_by_plane( Segment_3
       // First of all, we need to find out wheather we are working over an extended kernel or on a standard kernel. As precondition we have that ray is oriented in the minus x axis direction.  When having an extended kernel, the ray can be subtituted by a segment with the endpoint on the 'intersection' between the ray and the bounding infimaximal box.  In the presence of a standard kernel, the intersection is computed with the bounding box with the vertices of the Nef polyhedron.
       Point_3 p(r.source()), q;
       Bounding_box_3 b = k.bounding_box;
-      int c = (CGAL::abs(vec[0]) > CGAL::abs(vec[1]) ? 0 : 1); 
-      c = (CGAL::abs(vec[2]) > CGAL::abs(vec[c]) ? 2 : c); 
+      int c = (CGAL::abs(vec[0]) > CGAL::abs(vec[1]) ? 0 : 1);
+      c = (CGAL::abs(vec[2]) > CGAL::abs(vec[c]) ? 2 : c);
 
-      Point_3 pt_on_minus_x_plane = vec[c] < 0 ? 
-	Point_3(FT(b.min_coord(0)), FT(b.min_coord(1)),FT(b.min_coord(2))) :
-	Point_3(FT(b.max_coord(0)), FT(b.max_coord(1)),FT(b.max_coord(2)));
-      // We compute the intersection between a plane with normal vector in 
+      Point_3 pt_on_minus_x_plane = vec[c] < 0 ?
+        Point_3(FT(b.min_coord(0)), FT(b.min_coord(1)),FT(b.min_coord(2))) :
+        Point_3(FT(b.max_coord(0)), FT(b.max_coord(1)),FT(b.max_coord(2)));
+      // We compute the intersection between a plane with normal vector in
       // the minus x direction and located at the minimum point of the bounding box, and the input ray.  When the ray does not intersect the bounding volume, there won't be any object hit, so it is safe to construct a segment that simply lay in the unbounded side of the bounding box.  This approach is taken instead of somehow (efficiently) report that there was no hit object, in order to mantain a clear interface with the Iterator class.
-      Plane_3 pl_on_minus_x;      
+      Plane_3 pl_on_minus_x;
       if(c==0)
-	pl_on_minus_x = Plane_3(pt_on_minus_x_plane, Vector_3( 1, 0, 0));
+        pl_on_minus_x = Plane_3(pt_on_minus_x_plane, Vector_3( 1, 0, 0));
       else if(c==1)
-	pl_on_minus_x = Plane_3(pt_on_minus_x_plane, Vector_3( 0, 1, 0));
+        pl_on_minus_x = Plane_3(pt_on_minus_x_plane, Vector_3( 0, 1, 0));
       else {
-	CGAL_assertion_msg(c==2, "wrong value");
- 	pl_on_minus_x = Plane_3(pt_on_minus_x_plane, Vector_3( 0, 0, 1));
+        CGAL_assertion_msg(c==2, "wrong value");
+         pl_on_minus_x = Plane_3(pt_on_minus_x_plane, Vector_3( 0, 0, 1));
       }
       Object o = traits.intersect_object()( pl_on_minus_x, r);
       if( !CGAL::assign( q, o) || pl_on_minus_x.has_on(p))
-	q = r.source() + vec;
+        q = r.source() + vec;
       else
-	q = normalized(q);
+        q = normalized(q);
       Base::initialize( k, Segment_3( p, q));
     }
   };
@@ -655,15 +655,15 @@ class Objects_around_box {
 
  public:
   Objects_around_box() : initialized(false) {}
-  Objects_around_box(const K3_tree& k, const Bounding_box_3& b) : 
+  Objects_around_box(const K3_tree& k, const Bounding_box_3& b) :
     root_node(k.root), box(b), initialized(true) {}
-      
+
   void initialize( const K3_tree& k, const Bounding_box_3& b) {
     root_node = k.root;
     box = b;
     initialized = true;
   }
-  
+
  public:
   Iterator begin() const {
     CGAL_assertion( initialized == true);
@@ -694,63 +694,63 @@ class Objects_around_box {
 
     Iterator( const Self& i) : S(i.S), node(i.node) {}
 
-    const Object_list& operator*() const { 
+    const Object_list& operator*() const {
       CGAL_assertion( node != 0);
       return node->objects();
     }
-    
+
     Self& operator++() {
-        
+
       if(S.empty())
-	node = 0; // end of the iterator
+        node = 0; // end of the iterator
       else {
-	while( !S.empty()) {
-	  const Node* n = S.front().first;
-	  Bounding_box_3 b = S.front().second;
-	  S.pop_front();
-	  if( n->is_leaf()) {
-	    node = n;
-	    break;
-	  } else {
-	    Point_3 pmin(b.min_coord(0), b.min_coord(1), b.min_coord(2));
-	    Point_3 pmax(b.max_coord(0), b.max_coord(1), b.max_coord(2));
-	    Oriented_side src_side = 
-	      n->plane().oriented_side(pmax);
-	    Oriented_side tgt_side = 
-	      n->plane().oriented_side(pmin);
-	    if( src_side == tgt_side &&
-		src_side != ON_ORIENTED_BOUNDARY)
-	      S.push_front( Candidate( get_child_by_side( n, src_side), b));
-	    else {
-	      S.push_front( Candidate( get_child_by_side( n, tgt_side), b));
-	      S.push_front( Candidate( get_child_by_side( n, src_side), b));
-	    }
-	  }
-	}
+        while( !S.empty()) {
+          const Node* n = S.front().first;
+          Bounding_box_3 b = S.front().second;
+          S.pop_front();
+          if( n->is_leaf()) {
+            node = n;
+            break;
+          } else {
+            Point_3 pmin(b.min_coord(0), b.min_coord(1), b.min_coord(2));
+            Point_3 pmax(b.max_coord(0), b.max_coord(1), b.max_coord(2));
+            Oriented_side src_side =
+              n->plane().oriented_side(pmax);
+            Oriented_side tgt_side =
+              n->plane().oriented_side(pmin);
+            if( src_side == tgt_side &&
+                src_side != ON_ORIENTED_BOUNDARY)
+              S.push_front( Candidate( get_child_by_side( n, src_side), b));
+            else {
+              S.push_front( Candidate( get_child_by_side( n, tgt_side), b));
+              S.push_front( Candidate( get_child_by_side( n, src_side), b));
+            }
+          }
+        }
       }
       return *this;
     }
 
-    bool operator==(const Self& i) const { 
-      return (node == i.node); 
+    bool operator==(const Self& i) const {
+      return (node == i.node);
     }
 
-    bool operator!=(const Self& i) const { 
-      return !(*this == i); 
+    bool operator!=(const Self& i) const {
+      return !(*this == i);
     }
 
   private:
-    const Node* get_node() const { 
+    const Node* get_node() const {
       CGAL_assertion( node != 0);
       return node;
     }
-      
-    inline 
+
+    inline
     const Node* get_child_by_side( const Node* node, Oriented_side side) {
       CGAL_assertion( node != nullptr);
       CGAL_assertion( side != ON_ORIENTED_BOUNDARY);
       if( side == ON_NEGATIVE_SIDE) {
-	return node->left();
+        return node->left();
       }
       CGAL_assertion( side == ON_POSITIVE_SIDE);
       return node->right();
@@ -768,9 +768,9 @@ private:
   Bounding_box_3 bounding_box;
 public:
   template<typename SNC_structure>
-  K3_tree(SNC_structure* W) 
+  K3_tree(SNC_structure* W)
 #ifdef CGAL_NEF_EXPLOIT_REFERENCE_COUNTING
-    : reference_counted(false) 
+    : reference_counted(false)
 #endif
     {
 
@@ -813,26 +813,26 @@ public:
       if(c == 0) {
         Triangulation_handler<SNC_structure, YZ> th(f);
         while(th.get_next_triangle(tr)) {
-	  triangles.push_front(tr);
+          triangles.push_front(tr);
           Halffacet_triangle_handle th( f, *triangles.begin());
           objects.push_back(make_object(th));
         }
       } else if(c == 1) {
         Triangulation_handler<SNC_structure, XZ> th(f);
         while(th.get_next_triangle(tr)) {
-	  triangles.push_front(tr);
+          triangles.push_front(tr);
           Halffacet_triangle_handle th( f, *triangles.begin());
           objects.push_back(make_object(th));
         }
       } else if(c == 2) {
         Triangulation_handler<SNC_structure, XY> th(f);
         while(th.get_next_triangle(tr)) {
-	  triangles.push_front(tr);
+          triangles.push_front(tr);
           Halffacet_triangle_handle th( f, *triangles.begin());
           objects.push_back(make_object(th));
         }
-      } else 
-      	CGAL_error_msg( "wrong value");
+      } else
+              CGAL_error_msg( "wrong value");
       } else
         objects.push_back(make_object(Halffacet_handle(f)));
 #else
@@ -844,7 +844,7 @@ public:
   }
 
   K3_tree(Object_list& objects, Object_iterator& v_end) {
-    
+
 typename Object_list::difference_type n_vertices = std::distance(objects.begin(),v_end);
  CGAL_NEF_TRACEN("K3_tree(): n_vertices = " << std::distance(objects.begin(),v_end));
  std::frexp( (double) n_vertices, &max_depth);
@@ -853,8 +853,8 @@ typename Object_list::difference_type n_
  Objects_bbox objects_bbox = traits.objects_bbox_object();
  bounding_box = objects_bbox(objects);
  //CGAL_NEF_TRACEN("bounding box:"<<objects_bbox);
- 
-#ifdef CGAL_NEF_EXPLOIT_REFERENCE_COUNTING    
+
+#ifdef CGAL_NEF_EXPLOIT_REFERENCE_COUNTING
     Point_3 p1(1,2,7), p2(p1);
     reference_counted = (&(p1.hx()) == &(p2.hx()));
     CGAL_NEF_TRACEN("reference counted " << reference_counted);
@@ -869,59 +869,59 @@ typename Object_list::difference_type n_
   }
   Object_list objects_around_segment( const Segment_3& s) const {
     Object_list O;
-    
+
     Objects_around_segment objects( *this, s);
     Unique_hash_map< Vertex_handle, bool> v_mark(false);
     Unique_hash_map< Halfedge_handle, bool> e_mark(false);
     Unique_hash_map< Halffacet_handle, bool> f_mark(false);
     std::map< Triangle_3, bool, Compare_triangle_3<Triangle_3> > t_mark;
-    for( typename Objects_around_segment::Iterator oar = objects.begin(); 
-	 oar != objects.end(); ++oar) {
+    for( typename Objects_around_segment::Iterator oar = objects.begin();
+         oar != objects.end(); ++oar) {
       for( typename Object_list::const_iterator o = (*oar).begin();
-	   o != (*oar).end(); ++o) { // TODO: implement operator->(...)
-	Vertex_handle v;
-	Halfedge_handle e;
-	Halffacet_handle f;
+           o != (*oar).end(); ++o) { // TODO: implement operator->(...)
+        Vertex_handle v;
+        Halfedge_handle e;
+        Halffacet_handle f;
 #ifdef CGAL_NEF3_TRIANGULATE_FACETS
-	Halffacet_triangle_handle t;
+        Halffacet_triangle_handle t;
 #endif
 #ifdef CGAL_NEF3_FACET_WITH_BOX
-	Partial_facet pf;
+        Partial_facet pf;
 #endif
-	if( CGAL::assign( v, *o)) {
-	  if( !v_mark[v]) {
-	    O.push_back(*o);
-	    v_mark[v] = true;
-	  }
-	}
-	else if( CGAL::assign( e, *o)) {
-	  if( !e_mark [e]) {
-	    O.push_back(*o);
-	    e_mark[e] = true;
-	  }
-	}
-	else if( CGAL::assign( f, *o)) {
-	  if( !f_mark[f]) {
-	    O.push_back(*o);
-	    f_mark[f] = true;
-	  }
-	}
+        if( CGAL::assign( v, *o)) {
+          if( !v_mark[v]) {
+            O.push_back(*o);
+            v_mark[v] = true;
+          }
+        }
+        else if( CGAL::assign( e, *o)) {
+          if( !e_mark [e]) {
+            O.push_back(*o);
+            e_mark[e] = true;
+          }
+        }
+        else if( CGAL::assign( f, *o)) {
+          if( !f_mark[f]) {
+            O.push_back(*o);
+            f_mark[f] = true;
+          }
+        }
 #ifdef CGAL_NEF3_TRIANGULATE_FACETS
-	else if(CGAL::assign(t, *o)) {
-	  Triangle_3 tr = t.get_triangle();
-	  if( !t_mark[tr]) {
-	    O.push_back(*o);
-	    t_mark[tr] = true;
-	  }
-	}
+        else if(CGAL::assign(t, *o)) {
+          Triangle_3 tr = t.get_triangle();
+          if( !t_mark[tr]) {
+            O.push_back(*o);
+            t_mark[tr] = true;
+          }
+        }
 #endif
 #ifdef CGAL_NEF3_FACET_WITH_BOX
-	else if(CGAL::assign(pf, *o)) {
-	  CGAL_error_msg( "wrong type");
-	}
+        else if(CGAL::assign(pf, *o)) {
+          CGAL_error_msg( "wrong type");
+        }
 #endif
-	else
-	  CGAL_error_msg( "wrong handle");
+        else
+          CGAL_error_msg( "wrong handle");
       }
     }
     return O;
@@ -936,24 +936,24 @@ typename Object_list::difference_type n_
   }
 
   void add_edge(Halfedge_handle e) {
-    root->add_edge(e,0);	
+    root->add_edge(e,0);
   }
 
   void add_vertex(Vertex_handle v) {
     root->add_vertex(v,0);
   }
 
-  class BBox_updater {  
+  class BBox_updater {
     Bounding_box_3 b;
 
-  public:	
+  public:
     BBox_updater() {}
 
     void pre_visit(const Node*) {}
     void post_visit(const Node* n) {
       typename Object_list::const_iterator o;
-      for( o = n->objects().begin(); 
-	   o != n->objects().end(); ++o) {
+      for( o = n->objects().begin();
+           o != n->objects().end(); ++o) {
         Vertex_handle v;
         if( CGAL::assign( v, *o))
           b.extend(v->point());
@@ -963,7 +963,7 @@ typename Object_list::difference_type n_
     Bounding_box_3 box() const{
       return b;
     }
-    
+
   };
 
   template <typename Visitor>
@@ -989,7 +989,7 @@ typename Object_list::difference_type n_
     bounding_box = bbup.box();
   }
 
-  
+
 #ifdef CODE_DOES_NOT_WORK_WITH_BOTH_KERNELS_AT_THE_SAME_TIME
 template <typename T>
 friend std::ostream& operator<<
@@ -999,7 +999,7 @@ friend std::ostream& operator<<
 }
 #endif
 std::string dump_object_list( const Object_list& O, int level = 0) {
-  std::stringstream os; 
+  std::stringstream os;
   typename Object_list::size_type v_count = 0, e_count = 0, f_count = 0;
   typename Object_list::const_iterator o;
   Vertex_handle v;
@@ -1020,7 +1020,7 @@ std::string dump_object_list( const Obje
     }
     else if( CGAL::assign( e, *o)) {
       if( level) os << e->source()->point() << "->"
-		    << e->twin()->source()->point() << std::endl;
+                    << e->twin()->source()->point() << std::endl;
       ++e_count;
     }
     else if( CGAL::assign( f, *o)) {
@@ -1031,15 +1031,15 @@ std::string dump_object_list( const Obje
     else if( CGAL::assign(t, *o)) {
       if( level) os << "triangle" << std::endl;
       ++t_count;
-    }	
+    }
 #endif
 #ifdef CGAL_NEF3_FACET_WITH_BOX
     else if( CGAL::assign(pf, *o)) {
       if( level) pf.debug();
-      ++p_count;      
+      ++p_count;
     }
 #endif
-    else 
+    else
       CGAL_error_msg( "wrong handle");
   }
   os << v_count << "v " << e_count << "e " << f_count << "f ";
@@ -1052,15 +1052,15 @@ std::string dump_object_list( const Obje
   return os.str();
  }
 
-bool update( Unique_hash_map<Vertex_handle, bool>& V, 
-             Unique_hash_map<Halfedge_handle, bool>& E, 
+bool update( Unique_hash_map<Vertex_handle, bool>& V,
+             Unique_hash_map<Halfedge_handle, bool>& E,
              Unique_hash_map<Halffacet_handle, bool>& F) {
   return update( root, V, E, F);
 }
 
 bool update( Node* node,
-             Unique_hash_map<Vertex_handle, bool>& V, 
-             Unique_hash_map<Halfedge_handle, bool>& E, 
+             Unique_hash_map<Vertex_handle, bool>& V,
+             Unique_hash_map<Halfedge_handle, bool>& E,
              Unique_hash_map<Halffacet_handle, bool>& F) {
   CGAL_assertion( node != 0);
   if( node->is_leaf()) {
@@ -1083,7 +1083,7 @@ bool update( Node* node,
         if( !E[e]) {
           O->erase(o);
           updated = true;
-        }         
+        }
       }
       else if( CGAL::assign( f, *o)) {
         if( !F[f]) {
@@ -1110,10 +1110,10 @@ bool update( Node* node,
 }
 
 private:
-  
+
 template <typename Depth>
-Node* build_kdtree(Object_list& O, Object_iterator v_end, 
-	           Depth depth, Node* parent=0, int non_efective_splits=0) {
+Node* build_kdtree(Object_list& O, Object_iterator v_end,
+                   Depth depth, Node* parent=0, int non_efective_splits=0) {
   CGAL_precondition( depth >= 0);
   CGAL_NEF_TRACEN( "build_kdtree: "<<O.size()<<" objects, "<<"depth "<<depth);
   CGAL_NEF_TRACEN( "build_kdtree: "<<dump_object_list(O,1));
@@ -1121,7 +1121,7 @@ Node* build_kdtree(Object_list& O, Objec
     CGAL_NEF_TRACEN("build_kdtree: set cannot be divided");
     return new Node( parent, 0, 0, Plane_3(), O);
   }
-  Object_iterator median; 
+  Object_iterator median;
   Plane_3 partition_plane = construct_splitting_plane(O.begin(), v_end, median, depth);
   CGAL_NEF_TRACEN("build_kdtree: plane: "<<partition_plane<< " " << partition_plane.point());
 
@@ -1138,7 +1138,7 @@ Node* build_kdtree(Object_list& O, Objec
 
   O1.push_back(*median);
   O2.push_back(*median);
-  
+
   for(Object_iterator oi=median+1;oi!=v_end;++oi) {
     O2.push_back(*oi);
     CGAL::assign(vx,*oi);
@@ -1154,7 +1154,7 @@ Node* build_kdtree(Object_list& O, Objec
   typename Object_list::size_type v_end1 = O1.size();
   typename Object_list::size_type v_end2 = O2.size();
   bool splitted = classify_objects( v_end, O.end(), partition_plane, sop,
-                                    std::back_inserter(O1), 
+                                    std::back_inserter(O1),
                                     std::back_inserter(O2), depth);
 
   bool non_efective_split = false;
@@ -1192,12 +1192,12 @@ bool can_set_be_divided(Object_iterator
 }
 
 template <typename OutputIterator, typename Depth>
-bool classify_objects(Object_iterator start, Object_iterator end, 
+bool classify_objects(Object_iterator start, Object_iterator end,
                       Plane_3 partition_plane, Side_of_plane& sop,
                       OutputIterator o1, OutputIterator o2, Depth depth) {
   typename Object_list::difference_type on_oriented_boundary = 0;
   typename Object_list::const_iterator o;
-  
+
   Point_3 point_on_plane(partition_plane.point());
 
   for( o = start; o != end; ++o) {
@@ -1206,11 +1206,11 @@ bool classify_objects(Object_iterator st
     if(CGAL::assign(pf, *o)) {
       Partial_facet pfn,pfp;
       if(pf.divide(partition_plane, pfn, pfp)) {
-	*o1 = make_object(pfn);
-	++o1;
-	*o2 = make_object(pfp);
-	++o2;
-	continue;
+        *o1 = make_object(pfn);
+        ++o1;
+        *o2 = make_object(pfp);
+        ++o2;
+        continue;
       }
     }
 #endif
@@ -1238,7 +1238,7 @@ Plane_3 construct_splitting_plane(Object
   CGAL_assertion(n>1);
 
   std::nth_element(start, start+n/2, end,
-  	           Smaller_(depth%3));
+                     Smaller_(depth%3));
 
   Vertex_handle v;
   median = start+n/2;
@@ -1261,7 +1261,7 @@ const Node *locate_cell_containing( cons
     Oriented_side side = node->plane().oriented_side(p);
     if( side == ON_NEGATIVE_SIDE || side == ON_ORIENTED_BOUNDARY)
       return locate_cell_containing( p, node->left());
-    else { // side == ON_POSITIVE_SIDE 
+    else { // side == ON_POSITIVE_SIDE
       CGAL_assertion( side == ON_POSITIVE_SIDE);
       return locate_cell_containing( p, node->right());
     }
@@ -1276,7 +1276,7 @@ const Object_list& locate( const Point_3
 bool is_point_on_cell( const Point_3& p, const Node* target, const Node* current) const {
   CGAL_precondition( target != 0 && current != 0);
   if( current->is_leaf())
-    return (current == target); 
+    return (current == target);
   Oriented_side side = current->plane().oriented_side(p);
   if( side == ON_NEGATIVE_SIDE)
     return is_point_on_cell( p, target, current->left());
diff -pruN 5.0.2-3/include/CGAL/Nef_3/Mark_bounded_volumes.h 5.0.3-1/include/CGAL/Nef_3/Mark_bounded_volumes.h
--- 5.0.2-3/include/CGAL/Nef_3/Mark_bounded_volumes.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/Mark_bounded_volumes.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/Mark_bounded_volumes.h $
-// $Id: Mark_bounded_volumes.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/Mark_bounded_volumes.h $
+// $Id: Mark_bounded_volumes.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ralf Osbild <osbild@mpi-sb.mpg.de>
 
@@ -23,30 +23,30 @@ namespace CGAL {
 template<typename Decorator, typename Mark>
 class Volume_setter {
 
-  typedef typename Decorator::Vertex_handle 
+  typedef typename Decorator::Vertex_handle
                                     Vertex_handle;
-  typedef typename Decorator::Halfedge_handle 
+  typedef typename Decorator::Halfedge_handle
                                     Halfedge_handle;
-  typedef typename Decorator::Halffacet_handle 
+  typedef typename Decorator::Halffacet_handle
                                     Halffacet_handle;
-  typedef typename Decorator::SHalfedge_handle 
+  typedef typename Decorator::SHalfedge_handle
                                     SHalfedge_handle;
-  typedef typename Decorator::SHalfloop_handle 
+  typedef typename Decorator::SHalfloop_handle
                                     SHalfloop_handle;
-  typedef typename Decorator::SFace_handle 
+  typedef typename Decorator::SFace_handle
                                     SFace_handle;
   Mark m;
 
 public:
   Volume_setter(Mark m_in = true) : m(m_in) {}
-  
+
   void visit(Vertex_handle ) {}
   void visit(Halfedge_handle ) {}
   void visit(Halffacet_handle ) {}
   void visit(SHalfedge_handle ) {}
   void visit(SHalfloop_handle ) {}
   void visit(SFace_handle sf) {sf->mark() = m;}
-};    
+};
 
 template<typename Nef_3>
 class Mark_bounded_volumes : public Modifier_base<typename Nef_3::SNC_structure>
@@ -55,7 +55,7 @@ class Mark_bounded_volumes : public Modi
    typedef typename SNC_structure::Infi_box      Infi_box;
    typedef typename Nef_3::SFace_handle          SFace_handle;
    typedef typename Nef_3::Volume_iterator       Volume_iterator;
-   typedef typename Nef_3::Shell_entry_iterator 
+   typedef typename Nef_3::Shell_entry_iterator
                            Shell_entry_iterator;
    typedef typename Nef_3::Mark                  Mark;
 
@@ -75,9 +75,9 @@ public:
       SNC_decorator D(snc);
       for (; vol_it != snc.volumes_end(); ++vol_it)
       {  vol_it->mark() = flag; // mark
-	Shell_entry_iterator it;
-	CGAL_forall_shells_of(it,vol_it)
-	D.visit_shell_objects(SFace_handle(it),vs);
+        Shell_entry_iterator it;
+        CGAL_forall_shells_of(it,vol_it)
+        D.visit_shell_objects(SFace_handle(it),vs);
       }
       // simplify(); // in Nef_3.delegate()
    }
diff -pruN 5.0.2-3/include/CGAL/Nef_3/Nef_box.h 5.0.3-1/include/CGAL/Nef_3/Nef_box.h
--- 5.0.2-3/include/CGAL/Nef_3/Nef_box.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/Nef_box.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/Nef_box.h $
-// $Id: Nef_box.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/Nef_box.h $
+// $Id: Nef_box.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Peter Hachenberger    <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_NEF_BOX_H
 #define CGAL_NEF_BOX_H
@@ -21,7 +21,7 @@ namespace CGAL {
 
 template<class SNC_decorator>
 class Nef_box : public Box_intersection_d::Box_d< double, 3 > {
-  
+
   typedef typename SNC_decorator::SNC_structure          SNC_structure;
   typedef typename CGAL::SNC_intersection<SNC_structure> SNC_intersection;
 
@@ -39,17 +39,17 @@ class Nef_box : public Box_intersection_
                                      SHalfedge_around_facet_circulator;
 
   typedef CGAL::SNC_const_decorator<SNC_structure>  Const_decorator;
- 
+
 
   typedef std::pair<double, double> double_pair;
   typedef Box_intersection_d::box_limits<double> box_limits;
-  
+
   Halffacet_handle f;
   Halfedge_handle  e;
   Vertex_handle v;
   enum Type { FACET, EDGE, VERTEX };
   Type type;
-  
+
   void extend( const Point_3& p, const Tag_false& ) {
     std::pair<double, double> q[3];
     q[0] = CGAL::to_interval( p.x() );
@@ -57,34 +57,34 @@ class Nef_box : public Box_intersection_
     q[2] = CGAL::to_interval( p.z() );
     Box_intersection_d::Box_d< double, 3 >::extend(q);
   }
-  
+
   void extend( const Point_3& p, const Tag_true& ) {
     double_pair q[3];
     if(Infi_box::degree(p.hx()) == 0)
       q[0] = CGAL::to_interval(p.x());
     else
       q[0] = p.x() > 0 ? double_pair(box_limits::sup(),box_limits::sup())
-	: double_pair(box_limits::inf(),box_limits::inf());
+        : double_pair(box_limits::inf(),box_limits::inf());
     if(Infi_box::degree(p.hy()) == 0)
       q[1] = CGAL::to_interval(p.y());
     else
       q[1] = p.y() > 0 ? double_pair(box_limits::sup(),box_limits::sup())
-	: double_pair(box_limits::inf(),box_limits::inf());
+        : double_pair(box_limits::inf(),box_limits::inf());
     if(Infi_box::degree(p.hz()) == 0)
       q[2] = CGAL::to_interval(p.z());
     else
       q[2] = p.z() > 0 ? double_pair(box_limits::sup(),box_limits::sup())
-	: double_pair(box_limits::inf(),box_limits::inf());
+        : double_pair(box_limits::inf(),box_limits::inf());
     Box_intersection_d::Box_d< double, 3 >::extend(q);
   }
-  
+
  public:
   Nef_box( Halffacet_handle f ) : f(f), type(FACET) {
     if( !Const_decorator::is_standard( f ) ) {
       init( true );
     } else {
       init( false );
-#ifdef CGAL_NEF3_FACET_WITH_BOX 
+#ifdef CGAL_NEF3_FACET_WITH_BOX
       std::pair<double, double> q[3];
       q[0] = CGAL::to_interval( f->b.min_coord(0) );
       q[1] = CGAL::to_interval( f->b.min_coord(1) );
@@ -93,23 +93,23 @@ class Nef_box : public Box_intersection_
       q[0] = CGAL::to_interval( f->b.max_coord(0) );
       q[1] = CGAL::to_interval( f->b.max_coord(1) );
       q[2] = CGAL::to_interval( f->b.max_coord(2) );
-      Box_intersection_d::Box_d< double, 3 >::extend(q);	
+      Box_intersection_d::Box_d< double, 3 >::extend(q);
 #else
       Halffacet_cycle_iterator cycle_it = f->facet_cycles_begin();
       if( cycle_it.is_shalfedge() ) {
-	SHalfedge_iterator edge_it(cycle_it);
-	SHalfedge_around_facet_circulator
-	  start( edge_it ), end( edge_it );
-	CGAL_For_all( start, end ) {
-	  const Point_3& p = start->prev()->source()->source()->point();
-	  extend( p, typename Is_extended_kernel<Kernel>::value_type());
-	}
+        SHalfedge_iterator edge_it(cycle_it);
+        SHalfedge_around_facet_circulator
+          start( edge_it ), end( edge_it );
+        CGAL_For_all( start, end ) {
+          const Point_3& p = start->prev()->source()->source()->point();
+          extend( p, typename Is_extended_kernel<Kernel>::value_type());
+        }
       } else
-	CGAL_error_msg( "is facet first cycle a SHalfloop?");
+        CGAL_error_msg( "is facet first cycle a SHalfloop?");
 #endif
     }
   }
-  
+
   Nef_box( Halfedge_handle e ) :  e(e), type(EDGE) {
 
     if(!Const_decorator::is_standard(e->source() ) ||
@@ -117,21 +117,21 @@ class Nef_box : public Box_intersection_
       init( true );
     } else {
       init( false );
-      extend( e->source()->point(), 
-	      typename Is_extended_kernel<Kernel>::value_type());
-      extend( e->twin()->source()->point(), 
-	      typename Is_extended_kernel<Kernel>::value_type());
+      extend( e->source()->point(),
+              typename Is_extended_kernel<Kernel>::value_type());
+      extend( e->twin()->source()->point(),
+              typename Is_extended_kernel<Kernel>::value_type());
     }
   }
 
   Nef_box(Vertex_handle vin) : v(vin), type(VERTEX) {
-  
+
     if(!Const_decorator::is_standard(v))
       init(true);
     else {
       init(false);
-      extend(v->point(), 
-	     typename Is_extended_kernel<Kernel>::value_type());
+      extend(v->point(),
+             typename Is_extended_kernel<Kernel>::value_type());
     }
   }
 
@@ -139,7 +139,7 @@ class Nef_box : public Box_intersection_
     CGAL_assertion( type == FACET );
     return f;
   }
-  
+
   Halfedge_handle get_halfedge() {
     CGAL_assertion( type == EDGE );
     return e;
diff -pruN 5.0.2-3/include/CGAL/Nef_3/OGL_helper.h 5.0.3-1/include/CGAL/Nef_3/OGL_helper.h
--- 5.0.2-3/include/CGAL/Nef_3/OGL_helper.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/OGL_helper.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/OGL_helper.h $
-// $Id: OGL_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/OGL_helper.h $
+// $Id: OGL_helper.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 
@@ -34,7 +34,7 @@
 #ifdef _WIN32
 #define CGAL_GLU_TESS_CALLBACK CALLBACK
 #else
-#define CGAL_GLU_TESS_CALLBACK 
+#define CGAL_GLU_TESS_CALLBACK
 #endif
 
 #ifdef __APPLE__
@@ -56,7 +56,7 @@ namespace OGL {
 // Drawable double types:
 // ----------------------------------------------------------------------------
 
-  typedef CGAL::Simple_cartesian<double> DKernel;  
+  typedef CGAL::Simple_cartesian<double> DKernel;
   typedef DKernel::Point_3               Double_point;
   typedef DKernel::Vector_3              Double_vector;
   typedef DKernel::Segment_3             Double_segment;
@@ -94,7 +94,7 @@ namespace OGL {
     typedef const double* const_double_ptr;
     double coords_[3];
   public:
-    Double_triple() 
+    Double_triple()
     { coords_[0]=coords_[1]=coords_[2]=0.0; }
     Double_triple(double x, double y, double z)
     { coords_[0]=x; coords_[1]=y; coords_[2]=z; }
@@ -108,14 +108,14 @@ namespace OGL {
       coords_[1]=t.coords_[1];
       coords_[2]=t.coords_[2];
       return *this; }
-    operator double_ptr() const 
+    operator double_ptr() const
     { return const_cast<Double_triple&>(*this).coords_; }
-    double operator[](unsigned i) 
+    double operator[](unsigned i)
     { CGAL_assertion(i<3); return coords_[i]; }
   }; // Double_triple
 
   static std::ostream& operator << (std::ostream& os,
-				    const Double_triple& t)
+                                    const Double_triple& t)
   { os << "(" << t[0] << "," << t[1] << "," << t[2] << ")";
     return os; }
 
@@ -140,19 +140,19 @@ namespace OGL {
     void push_back_vertex(double x, double y, double z)
     { coords_.push_back(Double_triple(x,y,z)); }
 
-    DFacet(const DFacet& f) 
+    DFacet(const DFacet& f)
     { coords_  = f.coords_;
       fc_ends_ = f.fc_ends_;
       normal_  = f.normal_;
       mark_    = f.mark_;
     }
 
-    DFacet& operator=(const DFacet& f) 
+    DFacet& operator=(const DFacet& f)
     { coords_ =  f.coords_;
       fc_ends_ = f.fc_ends_;
       normal_ =  f.normal_;
       mark_    = f.mark_;
-      return *this; 
+      return *this;
     }
 
     ~DFacet()
@@ -160,7 +160,7 @@ namespace OGL {
 
     void push_back_vertex(const Double_point& p)
     { push_back_vertex(p.x(),p.y(),p.z()); }
-   
+
     void set_normal(double x, double y, double z, bool m)
     { double l = sqrt(x*x + y*y + z*z);
       normal_ = Double_triple(x/l,y/l,z/l); mark_ = m; }
@@ -169,21 +169,21 @@ namespace OGL {
     double dy() const { return normal_[1]; }
     double dz() const { return normal_[2]; }
     bool mark() const { return mark_; }
-    double* normal() const 
+    double* normal() const
     { return static_cast<double*>(normal_); }
 
     void new_facet_cycle()
     { fc_ends_.push_back((unsigned)coords_.size()); }
-    
+
     unsigned number_of_facet_cycles() const
     { return (unsigned)fc_ends_.size(); }
 
-    Coord_iterator facet_cycle_begin(unsigned i) 
+    Coord_iterator facet_cycle_begin(unsigned i)
     { CGAL_assertion(i<number_of_facet_cycles());
       if (i==0) return coords_.begin();
       else return coords_.begin()+fc_ends_[i]; }
 
-    Coord_iterator facet_cycle_end(unsigned i) 
+    Coord_iterator facet_cycle_end(unsigned i)
     { CGAL_assertion(i<number_of_facet_cycles());
       if (i<fc_ends_.size()-1) return coords_.begin()+fc_ends_[i+1];
       else return coords_.end(); }
@@ -201,15 +201,15 @@ namespace OGL {
     void debug(std::ostream& os = std::cerr) const
     { os << "DFacet, normal=" << normal_ << ", mark=" << mark() << std::endl;
       for(unsigned i=0; i<number_of_facet_cycles(); ++i) {
-	os << "  facet cycle ";
-	// put all vertices in facet cycle into contour:
-	Coord_const_iterator cit;
-	for(cit = facet_cycle_begin(i); cit != facet_cycle_end(i); ++cit)
-	  os << *cit;
-	os << std::endl;
+        os << "  facet cycle ";
+        // put all vertices in facet cycle into contour:
+        Coord_const_iterator cit;
+        for(cit = facet_cycle_begin(i); cit != facet_cycle_end(i); ++cit)
+          os << *cit;
+        os << std::endl;
       }
     }
-    
+
   }; // DFacet
 
 
@@ -231,13 +231,13 @@ namespace OGL {
   }
 
   inline void CGAL_GLU_TESS_CALLBACK vertexCallback(GLvoid* vertex,
-			                            GLvoid* user)
+                                                    GLvoid* user)
   { GLdouble* pc(static_cast<GLdouble*>(vertex));
     GLdouble* pu(static_cast<GLdouble*>(user));
     //    CGAL_NEF_TRACEN("vertexCallback coord  "<<pc[0]<<","<<pc[1]<<","<<pc[2]);
     //    CGAL_NEF_TRACEN("vertexCallback normal "<<pu[0]<<","<<pu[1]<<","<<pu[2]);
     glNormal3dv(pu);
-    glVertex3dv(pc); 
+    glVertex3dv(pc);
   }
 
 
@@ -263,11 +263,11 @@ namespace OGL {
     typedef std::list<DFacet>::const_iterator   Halffacet_iterator;
 
   public:
-    Polyhedron() : bbox_(-1,-1,-1,1,1,1), switches(1) { 
+    Polyhedron() : bbox_(-1,-1,-1,1,1,1), switches(1) {
       object_list_ = 0;
       init_ = false;
       style = SNC_BOUNDARY;
-      switches[SNC_AXES] = false; 
+      switches[SNC_AXES] = false;
     }
 
     /*
@@ -277,58 +277,58 @@ namespace OGL {
       bbox_(P.bbox_),
       style(P.style),
       switches(2) {
-      
-      switches[SNC_AXES] = P.switches[SNC_AXES]; 
+
+      switches[SNC_AXES] = P.switches[SNC_AXES];
 
       Vertex_iterator v;
       for(v=P.vertices_.begin();v!=P.vertices_.end();++v)
-	vertices_.push_back(*v);
+        vertices_.push_back(*v);
       Edge_iterator e;
       for(e=P.edges_.begin();e!=P.edges_.end();++e)
-	edges_.push_back(*e);
+        edges_.push_back(*e);
       Halffacet_iterator f;
       for(f=P.halffacets_.begin();f!=P.halffacets_.end();++f)
-	halffacets_.push_back(*f);
+        halffacets_.push_back(*f);
     }
 
-    Polyhedron& operator=(const Polyhedron& P) { 
+    Polyhedron& operator=(const Polyhedron& P) {
       if (object_list_) glDeleteLists(object_list_, 4);
       object_list_ = 0;
       init_ = false;
       style = P.style;
-      switches[SNC_AXES] = P.switches[SNC_AXES]; 
+      switches[SNC_AXES] = P.switches[SNC_AXES];
 
       Vertex_iterator v;
       vertices_.clear();
       for(v=P.vertices_.begin();v!=P.vertices_.end();++v)
-	vertices_.push_back(*v);
+        vertices_.push_back(*v);
       Edge_iterator e;
       edges_.clear();
       for(e=P.edges_.begin();e!=P.edges_.end();++e)
-	edges_.push_back(*e);
+        edges_.push_back(*e);
       Halffacet_iterator f;
       halffacets_.clear();
       for(f=P.halffacets_.begin();f!=P.halffacets_.end();++f)
-	halffacets_.push_back(*f);
-      init();      
+        halffacets_.push_back(*f);
+      init();
       return *this;
     }
     */
-    ~Polyhedron() 
+    ~Polyhedron()
     { if (object_list_) glDeleteLists(object_list_, 4); }
 
     void push_back(const Double_point& p, bool m) {
         vertices_.push_back(DPoint(p,m));
     }
-    void push_back(const Double_segment& s, bool m) 
+    void push_back(const Double_segment& s, bool m)
     { edges_.push_back(DSegment(s,m)); }
-    void push_back(const DFacet& f) 
+    void push_back(const DFacet& f)
     { halffacets_.push_back(f); }
- 
-    void toggle(int index) { 
-      switches[index] = !switches[index]; 
+
+    void toggle(int index) {
+      switches[index] = !switches[index];
     }
-    
+
     void set_style(int index) {
       style = index;
     }
@@ -338,10 +338,10 @@ namespace OGL {
     Bbox_3  bbox() const { return bbox_; }
     Bbox_3& bbox()       { return bbox_; }
 
-    void draw(Vertex_iterator v) const { 
+    void draw(Vertex_iterator v) const {
       //      CGAL_NEF_TRACEN("drawing vertex "<<*v);
-      CGAL::Color cf(CGAL_NEF3_MARKED_VERTEX_COLOR), 
-	ct(CGAL_NEF3_UNMARKED_VERTEX_COLOR); // more blue-ish
+      CGAL::Color cf(CGAL_NEF3_MARKED_VERTEX_COLOR),
+        ct(CGAL_NEF3_UNMARKED_VERTEX_COLOR); // more blue-ish
       CGAL::Color c = v->mark() ? ct : cf;
       glPointSize(10);
       glColor3ub(c.red(), c.green(), c.blue());
@@ -354,11 +354,11 @@ namespace OGL {
       glEnd();
     }
 
-    void draw(Edge_iterator e) const { 
+    void draw(Edge_iterator e) const {
       //      CGAL_NEF_TRACEN("drawing edge "<<*e);
       Double_point p = e->source(), q = e->target();
-      CGAL::Color cf(CGAL_NEF3_MARKED_EDGE_COLOR), 
-	ct(CGAL_NEF3_UNMARKED_EDGE_COLOR); // more blue-ish
+      CGAL::Color cf(CGAL_NEF3_MARKED_EDGE_COLOR),
+        ct(CGAL_NEF3_UNMARKED_EDGE_COLOR); // more blue-ish
       CGAL::Color c = e->mark() ? ct : cf;
       glLineWidth(5);
       glColor3ub(c.red(),c.green(),c.blue());
@@ -368,23 +368,23 @@ namespace OGL {
       glEnd();
     }
 
-    void draw(Halffacet_iterator f) const { 
+    void draw(Halffacet_iterator f) const {
       //      CGAL_NEF_TRACEN("drawing facet "<<(f->debug(),""));
       GLUtesselator* tess_ = gluNewTess();
       gluTessCallback(tess_, GLenum(GLU_TESS_VERTEX_DATA),
-		      (GLvoid (CGAL_GLU_TESS_CALLBACK *)(CGAL_GLU_TESS_DOTS)) &vertexCallback);
+                      (GLvoid (CGAL_GLU_TESS_CALLBACK *)(CGAL_GLU_TESS_DOTS)) &vertexCallback);
       gluTessCallback(tess_, GLenum(GLU_TESS_BEGIN),
-		      (GLvoid (CGAL_GLU_TESS_CALLBACK *)(CGAL_GLU_TESS_DOTS)) &beginCallback);
+                      (GLvoid (CGAL_GLU_TESS_CALLBACK *)(CGAL_GLU_TESS_DOTS)) &beginCallback);
       gluTessCallback(tess_, GLenum(GLU_TESS_END),
-		      (GLvoid (CGAL_GLU_TESS_CALLBACK *)(CGAL_GLU_TESS_DOTS)) &endCallback);
+                      (GLvoid (CGAL_GLU_TESS_CALLBACK *)(CGAL_GLU_TESS_DOTS)) &endCallback);
       gluTessCallback(tess_, GLenum(GLU_TESS_ERROR),
-		      (GLvoid (CGAL_GLU_TESS_CALLBACK *)(CGAL_GLU_TESS_DOTS)) &errorCallback);
+                      (GLvoid (CGAL_GLU_TESS_CALLBACK *)(CGAL_GLU_TESS_DOTS)) &errorCallback);
       gluTessProperty(tess_, GLenum(GLU_TESS_WINDING_RULE),
-		      GLU_TESS_WINDING_POSITIVE);
+                      GLU_TESS_WINDING_POSITIVE);
 
       DFacet::Coord_const_iterator cit;
       CGAL::Color cf(CGAL_NEF3_MARKED_FACET_COLOR),
-	ct(CGAL_NEF3_UNMARKED_FACET_COLOR); // more blue-ish
+        ct(CGAL_NEF3_UNMARKED_FACET_COLOR); // more blue-ish
       CGAL::Color c = (f->mark() ? ct : cf);
       glColor3ub(c.red(),c.green(),c.blue());
       gluTessBeginPolygon(tess_,f->normal());
@@ -394,15 +394,15 @@ namespace OGL {
       // forall facet cycles of f:
       for(unsigned i = 0; i < f->number_of_facet_cycles(); ++i) {
         gluTessBeginContour(tess_);
-	//	CGAL_NEF_TRACEN("  Begin Contour");
-	// put all vertices in facet cycle into contour:
-	for(cit = f->facet_cycle_begin(i); 
-	    cit != f->facet_cycle_end(i); ++cit) {
-	  gluTessVertex(tess_, *cit, *cit);
-	  //	  CGAL_NEF_TRACEN("    add Vertex");
-	}
+        //        CGAL_NEF_TRACEN("  Begin Contour");
+        // put all vertices in facet cycle into contour:
+        for(cit = f->facet_cycle_begin(i);
+            cit != f->facet_cycle_end(i); ++cit) {
+          gluTessVertex(tess_, *cit, *cit);
+          //          CGAL_NEF_TRACEN("    add Vertex");
+        }
         gluTessEndContour(tess_);
-	//	CGAL_NEF_TRACEN("  End Contour");
+        //        CGAL_NEF_TRACEN("  End Contour");
       }
       gluTessEndPolygon(tess_);
       //      CGAL_NEF_TRACEN("End Polygon");
@@ -410,7 +410,7 @@ namespace OGL {
     }
 
     void construct_axes() const
-    { 
+    {
       glLineWidth(2.0);
       // red x-axis
       glColor3f(1.0,0.0,0.0);
@@ -418,7 +418,7 @@ namespace OGL {
       glVertex3f(0.0,0.0,0.0);
       glVertex3f(5000.0,0.0,0.0);
       glEnd();
-       // green y-axis 
+       // green y-axis
       glColor3f(0.0,1.0,0.0);
       glBegin(GL_LINES);
       glVertex3f(0.0,0.0,0.0);
@@ -446,20 +446,20 @@ namespace OGL {
     void fill_display_lists() {
       glNewList(object_list_, GL_COMPILE);
       Vertex_iterator v;
-      for(v=vertices_.begin();v!=vertices_.end();++v) 
-	draw(v);
-      glEndList();     
+      for(v=vertices_.begin();v!=vertices_.end();++v)
+        draw(v);
+      glEndList();
 
       glNewList(object_list_+1, GL_COMPILE);
       Edge_iterator e;
       for(e=edges_.begin();e!=edges_.end();++e)
-	draw(e);
-      glEndList();     
+        draw(e);
+      glEndList();
 
       glNewList(object_list_+2, GL_COMPILE);
       Halffacet_iterator f;
       for(f=halffacets_.begin();f!=halffacets_.end();++f)
-	draw(f);
+        draw(f);
       glEndList();
 
       glNewList(object_list_+3, GL_COMPILE); // axes:
@@ -468,23 +468,23 @@ namespace OGL {
 
     }
 
-    void init() { 
+    void init() {
       if (init_) return;
       init_ = true;
       switches[SNC_AXES] = false;
       style = SNC_BOUNDARY;
-      object_list_ = glGenLists(4); 
-      CGAL_assertion(object_list_); 
+      object_list_ = glGenLists(4);
+      CGAL_assertion(object_list_);
       fill_display_lists();
     }
 
 
     void draw() const
-    { 
+    {
       if (!is_initialized()) const_cast<Polyhedron&>(*this).init();
       double l = (std::max)( (std::max)( bbox().xmax() - bbox().xmin(),
-					 bbox().ymax() - bbox().ymin()),
-			     bbox().zmax() - bbox().zmin());
+                                         bbox().ymax() - bbox().ymin()),
+                             bbox().zmax() - bbox().zmin());
       if ( l < 1) // make sure that a single point doesn't screw up here
           l = 1;
       glScaled( 4.0/l, 4.0/l, 4.0/l);
@@ -492,11 +492,11 @@ namespace OGL {
                     -(bbox().ymax() + bbox().ymin()) / 2.0,
                     -(bbox().zmax() + bbox().zmin()) / 2.0);
       if (style == SNC_BOUNDARY) {
-	//glEnable(GL_LIGHTING); 
-	glCallList(object_list_+2); // facets
-	//glDisable(GL_LIGHTING);
+        //glEnable(GL_LIGHTING);
+        glCallList(object_list_+2); // facets
+        //glDisable(GL_LIGHTING);
       }
-      // move edges and vertices a bit towards the view-point, 
+      // move edges and vertices a bit towards the view-point,
       // i.e., 1/100th of the unit vector in camera space
       //      double f = l / 4.0 / 100.0;
       //      glTranslated( z_vec[0] * f, z_vec[1] * f, z_vec[2] * f);
@@ -510,124 +510,124 @@ namespace OGL {
       os << "OGL::Polyhedron" << std::endl;
       os << "Vertices:" << std::endl;
       Vertex_iterator v;
-      for(v=vertices_.begin();v!=vertices_.end();++v) 
-	os << "  "<<*v<<", mark="<<v->mark()<<std::endl;
+      for(v=vertices_.begin();v!=vertices_.end();++v)
+        os << "  "<<*v<<", mark="<<v->mark()<<std::endl;
       os << "Edges:" << std::endl;
       Edge_iterator e;
       for(e=edges_.begin();e!=edges_.end();++e)
-	os << "  "<<*e<<", mark="<<e->mark()<<std::endl;
+        os << "  "<<*e<<", mark="<<e->mark()<<std::endl;
       os << "Facets:" << std::endl;
       Halffacet_iterator f;
       for(f=halffacets_.begin();f!=halffacets_.end();++f)
-	f->debug(); os << std::endl;
+        f->debug(); os << std::endl;
       os << std::endl;
     }
 
   }; // Polyhedron
 
   template<typename Nef_polyhedron>
-  class Nef3_Converter { 
+  class Nef3_Converter {
     typedef typename Nef_polyhedron::SNC_structure           SNC_structure;
     typedef CGAL::SNC_decorator<SNC_structure>               Base;
     typedef CGAL::SNC_FM_decorator<SNC_structure>            FM_decorator;
-    
+
     public:
-    typedef typename SNC_structure::Vertex_const_iterator Vertex_const_iterator; 
-    typedef typename SNC_structure::Halfedge_const_iterator Halfedge_const_iterator; 
-    typedef typename SNC_structure::Halffacet_const_iterator Halffacet_const_iterator; 
+    typedef typename SNC_structure::Vertex_const_iterator Vertex_const_iterator;
+    typedef typename SNC_structure::Halfedge_const_iterator Halfedge_const_iterator;
+    typedef typename SNC_structure::Halffacet_const_iterator Halffacet_const_iterator;
     typedef typename SNC_structure::Halffacet_cycle_const_iterator Halffacet_cycle_const_iterator;
-    
+
     typedef typename SNC_structure::Object_const_handle Object_const_handle;
-    typedef typename SNC_structure::SHalfedge_const_handle SHalfedge_const_handle; 
-    typedef typename SNC_structure::SHalfloop_const_handle SHalfloop_const_handle; 
-    
-    typedef typename SNC_structure::Vertex_const_handle Vertex_const_handle; 
-    typedef typename SNC_structure::Halfedge_const_handle Halfedge_const_handle; 
+    typedef typename SNC_structure::SHalfedge_const_handle SHalfedge_const_handle;
+    typedef typename SNC_structure::SHalfloop_const_handle SHalfloop_const_handle;
+
+    typedef typename SNC_structure::Vertex_const_handle Vertex_const_handle;
+    typedef typename SNC_structure::Halfedge_const_handle Halfedge_const_handle;
     typedef typename SNC_structure::Halffacet_const_handle Halffacet_const_handle;
-    
+
     typedef typename SNC_structure::Point_3 Point_3;
     typedef typename SNC_structure::Vector_3 Vector_3;
     typedef typename SNC_structure::Segment_3 Segment_3;
     typedef typename SNC_structure::Plane_3 Plane_3;
     typedef typename SNC_structure::Mark Mark;
-    typedef typename SNC_structure::SHalfedge_around_facet_const_circulator 
+    typedef typename SNC_structure::SHalfedge_around_facet_const_circulator
       SHalfedge_around_facet_const_circulator;
-    
+
   private:
     static OGL::Double_point double_point(const Point_3& p)
       { return OGL::Double_point(CGAL::to_double(p.x()),
-				 CGAL::to_double(p.y()),
-				 CGAL::to_double(p.z())); }
-    
+                                 CGAL::to_double(p.y()),
+                                 CGAL::to_double(p.z())); }
+
     static OGL::Double_segment double_segment(const Segment_3& s)
       { return OGL::Double_segment(double_point(s.source()),
-				   double_point(s.target())); }
-    
-    static void draw(Vertex_const_handle v, const Nef_polyhedron& , 
-		     CGAL::OGL::Polyhedron& P) { 
+                                   double_point(s.target())); }
+
+    static void draw(Vertex_const_handle v, const Nef_polyhedron& ,
+                     CGAL::OGL::Polyhedron& P) {
       Point_3 bp = v->point();
       //    CGAL_NEF_TRACEN("vertex " << bp);
-      P.push_back(double_point(bp), v->mark()); 
+      P.push_back(double_point(bp), v->mark());
     }
-    
+
     static void draw(Halfedge_const_handle e, const Nef_polyhedron& ,
-		     CGAL::OGL::Polyhedron& P) { 
+                     CGAL::OGL::Polyhedron& P) {
       Vertex_const_handle s = e->source();
       Vertex_const_handle t = e->twin()->source();
       Segment_3 seg(s->point(),t->point());
       //    CGAL_NEF_TRACEN("edge " << seg);
-      P.push_back(double_segment(seg), e->mark()); 
+      P.push_back(double_segment(seg), e->mark());
     }
-    
+
     static void draw(Halffacet_const_handle f, const Nef_polyhedron& ,
-		     CGAL::OGL::Polyhedron& P) { 
+                     CGAL::OGL::Polyhedron& P) {
       OGL::DFacet g;
       Halffacet_cycle_const_iterator fc; // all facet cycles:
       CGAL_forall_facet_cycles_of(fc,f)
-	if ( fc.is_shalfedge() ) { // non-trivial facet cycle
-	  g.new_facet_cycle();
-	  SHalfedge_const_handle h = fc;
-	  SHalfedge_around_facet_const_circulator hc(h), he(hc);
-	  CGAL_For_all(hc,he){ // all vertex coordinates in facet cycle
-	    Point_3 sp = hc->source()->source()->point();
-	    //	      CGAL_NEF_TRACEN(" ");CGAL_NEF_TRACEN("facet" << sp);
-	    g.push_back_vertex(double_point(sp));
-	  }
-	}
+        if ( fc.is_shalfedge() ) { // non-trivial facet cycle
+          g.new_facet_cycle();
+          SHalfedge_const_handle h = fc;
+          SHalfedge_around_facet_const_circulator hc(h), he(hc);
+          CGAL_For_all(hc,he){ // all vertex coordinates in facet cycle
+            Point_3 sp = hc->source()->source()->point();
+            //              CGAL_NEF_TRACEN(" ");CGAL_NEF_TRACEN("facet" << sp);
+            g.push_back_vertex(double_point(sp));
+          }
+        }
       Vector_3 v = f->plane().orthogonal_vector();
-      g.set_normal(CGAL::to_double(v.x()), 
-		   CGAL::to_double(v.y()), 
-		   CGAL::to_double(v.z()), 
-		   f->mark());
+      g.set_normal(CGAL::to_double(v.x()),
+                   CGAL::to_double(v.y()),
+                   CGAL::to_double(v.z()),
+                   f->mark());
       P.push_back(g);
     }
-    
+
     // Returns the bounding box of the finite vertices of the polyhedron.
     // Returns $[-1,+1]^3$ as bounding box if no finite vertex exists.
-    
+
     static Bbox_3  bounded_bbox(const Nef_polyhedron& N) {
       bool first_vertex = true;
       Bbox_3 bbox( -1.0, -1.0, -1.0, 1.0, 1.0, 1.0);
       Vertex_const_iterator vi;
       CGAL_forall_vertices(vi, N) {
-	Point_3 p = vi->point();
-	double x = CGAL::to_double(p.hx());
-	double y = CGAL::to_double(p.hy());
-	double z = CGAL::to_double(p.hz());
-	double w = CGAL::to_double(p.hw());
-	if (N.is_standard(vi)) {
-	  if(first_vertex) {
-	    bbox = Bbox_3(x/w, y/w, z/w, x/w, y/w, z/w);
-	    first_vertex = false;
-	  } else {
-	    bbox = bbox + Bbox_3(x/w, y/w, z/w, x/w, y/w, z/w);
-	    first_vertex = false;
-	  }
-	}
+        Point_3 p = vi->point();
+        double x = CGAL::to_double(p.hx());
+        double y = CGAL::to_double(p.hy());
+        double z = CGAL::to_double(p.hz());
+        double w = CGAL::to_double(p.hw());
+        if (N.is_standard(vi)) {
+          if(first_vertex) {
+            bbox = Bbox_3(x/w, y/w, z/w, x/w, y/w, z/w);
+            first_vertex = false;
+          } else {
+            bbox = bbox + Bbox_3(x/w, y/w, z/w, x/w, y/w, z/w);
+            first_vertex = false;
+          }
+        }
       }
       return bbox;
-    }  
-    
+    }
+
     static void set_R(Bbox_3& bbox, const Nef_polyhedron& N) {
       if(N.is_standard_kernel()) return;
       double size = abs(bbox.xmin());
@@ -640,16 +640,16 @@ namespace OGL {
       //    CGAL_NEF_TRACEN("set infi box size to " << size);
       Vertex_const_iterator vi;
       CGAL_forall_vertices(vi, N)
-	if(N.is_standard(vi))
-	  return;
+        if(N.is_standard(vi))
+          return;
       bbox = Bbox_3(bbox.xmin()*10,bbox.ymin()*10,bbox.zmin()*10,
-		    bbox.xmax()*10,bbox.ymax()*10,bbox.zmax()*10);
+                    bbox.xmax()*10,bbox.ymax()*10,bbox.zmax()*10);
     }
   public:
-    static void convert_to_OGLPolyhedron(const Nef_polyhedron& N, CGAL::OGL::Polyhedron* P) { 
+    static void convert_to_OGLPolyhedron(const Nef_polyhedron& N, CGAL::OGL::Polyhedron* P) {
       Bbox_3 bbox(bounded_bbox(N));
       set_R(bbox,N);
-      P->bbox() = bbox;    
+      P->bbox() = bbox;
       Vertex_const_iterator v;
       CGAL_forall_vertices(v,*N.sncp()) draw(v,N,*P);
       Halfedge_const_iterator e;
@@ -657,7 +657,7 @@ namespace OGL {
       Halffacet_const_iterator f;
       CGAL_forall_facets(f,*N.sncp()) draw(f,N,*P);
     }
-    
+
   }; // Nef3_Converter
 
 } // namespace OGL
diff -pruN 5.0.2-3/include/CGAL/Nef_3/Pluecker_line_3.h 5.0.3-1/include/CGAL/Nef_3/Pluecker_line_3.h
--- 5.0.2-3/include/CGAL/Nef_3/Pluecker_line_3.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/Pluecker_line_3.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/Pluecker_line_3.h $
-// $Id: Pluecker_line_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/Pluecker_line_3.h $
+// $Id: Pluecker_line_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel    <seel@mpi-sb.mpg.de>
 //                 Miguel Granados <granados@mpi-sb.mpg.de>
@@ -27,7 +27,7 @@
 
 namespace CGAL {
 
-/*{\Manpage{Pluecker_line_3}{R}{Straight lines in 3-space}{pl}}*/  
+/*{\Manpage{Pluecker_line_3}{R}{Straight lines in 3-space}{pl}}*/
 
 /*{\Mdefinition An instance |\Mvar| of the data type |\Mname| is a
 directed straight line in the three-dimensional plane. Its
@@ -57,7 +57,7 @@ typedef const RT* const_iterator;
 RT c_[6];
 
 public:
-/*{\Mcreation 3}*/     
+/*{\Mcreation 3}*/
 Pluecker_line_3() {}
 /*{\Mcreate creates an instance |\Mvar| of type |\Mname| and
 initializes it to some line.}*/
@@ -89,7 +89,7 @@ initializes it to the oriented line thro
 }
 
 template <typename Forward_iterator>
-Pluecker_line_3(Forward_iterator s, Forward_iterator e) 
+Pluecker_line_3(Forward_iterator s, Forward_iterator e)
 /*{\Mcreate creates an instance |\Mvar| of type |\Mname| and
 initializes it to line with the parameters |tuple [s,e)|.}*/
 { int i=0;
@@ -101,48 +101,48 @@ initializes it to line with the paramete
 
 const_iterator begin() const { return c_; }
 /*{\Mop returns an iterator pointing to the first
-Pluecker coefficient.}*/                                                   
+Pluecker coefficient.}*/
 const_iterator end() const { return c_+6; }
 /*{\Mop returns an iterator pointing beyond the last
-Pluecker coefficient.}*/                                                   
+Pluecker coefficient.}*/
 
-Pluecker_line_3(const Self& l) 
+Pluecker_line_3(const Self& l)
 { std::copy(l.begin(),l.end(),c_); }
 
-Self& operator=(const Self& l) 
-{ if (&l!=this) std::copy(l.begin(),l.end(),c_); 
+Self& operator=(const Self& l)
+{ if (&l!=this) std::copy(l.begin(),l.end(),c_);
   return *this; }
 
 const RT& operator[](unsigned i) const
-/*{\Marrop returns constant access to the $i$th Pluecker coefficient.}*/    
+/*{\Marrop returns constant access to the $i$th Pluecker coefficient.}*/
 { CGAL_assertion(i<6); return c_[i]; }
 
 int sign() const
 /*{\Mop returns the sign of the first nonzero Pluecker coefficient
 within the ordered tuple of coefficients.}*/
-{ for (unsigned i=0; i<6; ++i) 
-    if (c_[i]!=RT(0)) return CGAL_NTS sign(c_[i]); 
- CGAL_error_msg("Pluecker line 0 0 0 0 0 0 shouldn't appear!!!"); 
-  return CGAL_NTS sign(c_[5]); 
+{ for (unsigned i=0; i<6; ++i)
+    if (c_[i]!=RT(0)) return CGAL_NTS sign(c_[i]);
+ CGAL_error_msg("Pluecker line 0 0 0 0 0 0 shouldn't appear!!!");
+  return CGAL_NTS sign(c_[5]);
 }
 
 void normalize()
-//{\Mop reduces the Pluecker coefficients to a minimal 
-//representation. This is done by dividing all Pluecker 
+//{\Mop reduces the Pluecker coefficients to a minimal
+//representation. This is done by dividing all Pluecker
 //coefficients by their common gcd.}
-{ 
+{
   CGAL_NEF_TRACEN("normalize");
   int i=0;
   while(i<6 && c_[i]==0)
     i++;
-    
+
   if(i>5)
     return;
 
   RT D = c_[i];
   CGAL_assertion(D!=0);
 
-  for(++i; i<6; ++i) 
+  for(++i; i<6; ++i)
     D = (c_[i]==0 ? D : CGAL_NTS gcd(D, c_[i]));
   if (D==0) return;
   CGAL_NEF_TRACEN("gcd" << D);
@@ -196,7 +196,7 @@ typedef const FT* const_iterator;
 FT c_[6];
 
 public:
-/*{\Mcreation 3}*/     
+/*{\Mcreation 3}*/
 Pluecker_line_3() {}
 /*{\Mcreate creates an instance |\Mvar| of type |\Mname| and
 initializes it to some line.}*/
@@ -228,7 +228,7 @@ Pluecker_line_3(const Point_3& p, const
 }
 
 template <typename Forward_iterator>
-Pluecker_line_3(Forward_iterator s, Forward_iterator e) 
+Pluecker_line_3(Forward_iterator s, Forward_iterator e)
 /*{\Mcreate creates an instance |\Mvar| of type |\Mname| and
 initializes it to line with the parameters |tuple [s,e)|.}*/
 { int i=0;
@@ -240,41 +240,41 @@ initializes it to line with the paramete
 
 const_iterator begin() const { return c_; }
 /*{\Mop returns an iterator pointing to the first
-Pluecker coefficient.}*/                                                   
+Pluecker coefficient.}*/
 const_iterator end() const { return c_+6; }
 /*{\Mop returns an iterator pointing beyond the last
-Pluecker coefficient.}*/                                                   
+Pluecker coefficient.}*/
 
-Pluecker_line_3(const Self& l) 
+Pluecker_line_3(const Self& l)
 { std::copy(l.begin(),l.end(),c_); }
 
-Self& operator=(const Self& l) 
-{ if (&l!=this) std::copy(l.begin(),l.end(),c_); 
+Self& operator=(const Self& l)
+{ if (&l!=this) std::copy(l.begin(),l.end(),c_);
   return *this; }
 
 const FT& operator[](unsigned i) const
-/*{\Marrop returns constant access to the $i$th Pluecker coefficient.}*/    
+/*{\Marrop returns constant access to the $i$th Pluecker coefficient.}*/
 { CGAL_assertion(i<6); return c_[i]; }
 
 int sign() const
 /*{\Mop returns the sign of the first nonzero Pluecker coefficient
 within the ordered tuple of coefficients.}*/
-{ for (unsigned i=0; i<6; ++i) 
-    if (c_[i]!=FT(0)) return CGAL_NTS sign(c_[i]); 
- CGAL_error_msg("Pluecker line 0 0 0 0 0 0 shouldn't appear!!!"); 
-  return CGAL_NTS sign(c_[5]); 
+{ for (unsigned i=0; i<6; ++i)
+    if (c_[i]!=FT(0)) return CGAL_NTS sign(c_[i]);
+ CGAL_error_msg("Pluecker line 0 0 0 0 0 0 shouldn't appear!!!");
+  return CGAL_NTS sign(c_[5]);
 }
 
 void normalize()
-//{\Mop reduces the Pluecker coefficients to a minimal 
-//representation. This is done by dividing all Pluecker 
+//{\Mop reduces the Pluecker coefficients to a minimal
+//representation. This is done by dividing all Pluecker
 //coefficients by their common gcd.}
 {
   CGAL_NEF_TRACEN("normalize");
   int i=0;
   while(i<6 && c_[i]==FT(0))
     ++i;
-    
+
   if(i>5)
     return;
 
@@ -315,17 +315,17 @@ on their Pluecker coefficient tuples.}*/
 
 template <typename Tag, typename R>
 std::ostream& operator<<(std::ostream& os, const Pluecker_line_3<Tag,R>& l)
-{ 
+{
   switch( get_mode(os) ) {
     case CGAL::IO::ASCII :
-      for (unsigned i=0; i<6; ++i) os << l[i] << " "; 
-      return os; 
+      for (unsigned i=0; i<6; ++i) os << l[i] << " ";
+      return os;
     case CGAL::IO::BINARY :
       for (unsigned i=0; i<6; ++i) CGAL::write(os, l[i]);
       return os;
     default:
       os << "Pluecker_line_3(";
-      for (unsigned i=0; i<5; ++i) os << l[i] << ", "; 
+      for (unsigned i=0; i<5; ++i) os << l[i] << ", ";
       os << l[5] << ")";
   } return os;
 }
diff -pruN 5.0.2-3/include/CGAL/Nef_3/polygon_mesh_to_nef_3.h 5.0.3-1/include/CGAL/Nef_3/polygon_mesh_to_nef_3.h
--- 5.0.2-3/include/CGAL/Nef_3/polygon_mesh_to_nef_3.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/polygon_mesh_to_nef_3.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/polygon_mesh_to_nef_3.h $
-// $Id: polygon_mesh_to_nef_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/polygon_mesh_to_nef_3.h $
+// $Id: polygon_mesh_to_nef_3.h 7b601f4 2020-04-19T14:54:19+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel    <seel@mpi-sb.mpg.de>
 //                 Miguel Granados <granados@mpi-sb.mpg.de>
@@ -46,16 +46,16 @@ namespace internal
 {
   template <class T>
   struct Plane_constructor;
-  
+
   template <class K>
   struct Plane_constructor< CGAL::Plane_3<K> >
   {
     template <class Facet>
     static const CGAL::Plane_3<K>& get_plane(Facet,const CGAL::Plane_3<K>& plane){return plane;}
-    static CGAL::Plane_3<K> get_type_plane(const CGAL::Point_3<K>& p,const CGAL::Vector_3<K>& vector){return CGAL::Plane_3<K>(p,vector);} 
+    static CGAL::Plane_3<K> get_type_plane(const CGAL::Point_3<K>& p,const CGAL::Vector_3<K>& vector){return CGAL::Plane_3<K>(p,vector);}
     static CGAL::Vector_3<K> get_opposite_orthogonal_vector(const CGAL::Plane_3<K>& plane){return plane.opposite().orthogonal_vector();}
   };
-  
+
   template <class K>
   struct Plane_constructor< CGAL::Vector_3<K> >
   {
@@ -66,7 +66,7 @@ namespace internal
     static const CGAL::Vector_3<K>& get_type_plane(const CGAL::Point_3<K>&,const CGAL::Vector_3<K>& vector){
       return vector;
     }
-    
+
     static CGAL::Vector_3<K> get_opposite_orthogonal_vector(const CGAL::Vector_3<K>& vector){return -vector;}
   };
 
@@ -100,7 +100,7 @@ struct Facet_plane_3 {
     CGAL_NEF_TRACEN( *point_cir);
     CGAL_NEF_TRACEN(internal::Plane_constructor<Plane>::get_type_plane(*point_cir, Vector( plane_orthogonal_vector)));
     if(plane_orthogonal_vector == Vector(0,0,0))
-      std::cerr << "Error !!!!!!!!!!!!!!!!!!!!!!!" << std::endl;
+      std::cerr << "Error: Normal vector cannot be (0,0,0)" << std::endl;
     return(internal::Plane_constructor<Plane>::get_type_plane( *point_cir, Vector( plane_orthogonal_vector)));
   }
 };
@@ -113,7 +113,7 @@ class Face_graph_index_adder {
  public:
   Face_graph_index_adder(Polyhedron&, HalfedgeIndexMap ) {}
   void set_hash(halfedge_descriptor,
-		SHalfedge_handle) {}
+                SHalfedge_handle) {}
   void resolve_indexes() {}
 };
 
@@ -139,15 +139,15 @@ public:
   }
 
   void set_hash(halfedge_descriptor evc,
-		SHalfedge_handle se) {
+                SHalfedge_handle se) {
     hash[get(him,evc)] = se;
   }
-  
+
   void resolve_indexes()
   {
     for(face_descriptor fi : faces(P)) {
-      Halfedge_around_facet_const_circulator 
-	fc(halfedge(fi,P),P), end(fc);
+      Halfedge_around_facet_const_circulator
+        fc(halfedge(fi,P),P), end(fc);
       typename boost::property_traits<HalfedgeIndexMap>::value_type
         index = get(him,*fc);
       hash[index]->set_index();
@@ -156,15 +156,15 @@ public:
       int se  = hash[index]->get_index();
       int set = hash[index]->twin()->get_index();
       int sv  = hash[index]->twin()->source()->get_index();
-      
+
       ++fc;
       CGAL_For_all(fc, end) {
         index = get(him,*fc);
-	hash[index]->set_index(se);
-	hash[index]->twin()->set_index(set);
-	hash[index]->source()->set_index(sv);
-	hash[index]->twin()->source()->set_index();
-	sv = hash[index]->twin()->source()->get_index();
+        hash[index]->set_index(se);
+        hash[index]->twin()->set_index(set);
+        hash[index]->source()->set_index(sv);
+        hash[index]->twin()->source()->set_index();
+        sv = hash[index]->twin()->source()->get_index();
       }
       hash[get(him,*fc)]->source()->set_index(sv);
     }
@@ -224,7 +224,7 @@ void polygon_mesh_to_nef_3(PolygonMesh&
     Point_3 sp_point_0(CGAL::ORIGIN+(pe_target_0 - get(pmap,pv)));
     Sphere_point sp_0(sp_point_0);
     SVertex_handle sv_0 = SM.new_svertex(sp_0);
-    sv_0->mark() = true; 
+    sv_0->mark() = true;
     pec++;
     pe = *pec;
     //CGAL_assertion(pe != pv->vertex_begin());
@@ -242,25 +242,25 @@ void polygon_mesh_to_nef_3(PolygonMesh&
       Sphere_point sp(sp_point);
       SVertex_handle sv = SM.new_svertex(sp);
       sv->mark() = true;
-      
+
       CGAL_NEF_TRACEN(pe_target);
       CGAL_NEF_TRACEN(get(pmap,target(opposite(pe_prev,P),P)));
 
       if(is_border(pe_prev,P))
-	with_border = true;
+        with_border = true;
       else {
   Plane ss_plane( CGAL::ORIGIN, normals[get(fimap,face(pe_prev,P))] );
-	Sphere_circle ss_circle(ss_plane);
-	
+        Sphere_circle ss_circle(ss_plane);
+
   CGAL_assertion(ss_circle.has_on(sp));
   CGAL_assertion(ss_circle.has_on(sv_prev->point()));
-	
-	SHalfedge_handle e = SM.new_shalfedge_pair(sv_prev, sv);
-	e->circle() = ss_circle;
-	e->twin()->circle() = ss_circle.opposite();
-	e->mark() = e->twin()->mark() = true;
-	
-	index_adder.set_hash(pe_prev, e);
+
+        SHalfedge_handle e = SM.new_shalfedge_pair(sv_prev, sv);
+        e->circle() = ss_circle;
+        e->twin()->circle() = ss_circle.opposite();
+        e->mark() = e->twin()->mark() = true;
+
+        index_adder.set_hash(pe_prev, e);
       }
 
       sv_prev = sv;
@@ -282,16 +282,16 @@ void polygon_mesh_to_nef_3(PolygonMesh&
     } else {
       Plane ss_plane( CGAL::ORIGIN, normals[get(fimap,face(pe_prev,P))] );
       Sphere_circle ss_circle(ss_plane);
-      
+
       CGAL_assertion(ss_plane.has_on(sv_prev->point()));
       CGAL_assertion(ss_circle.has_on(sp_0));
       CGAL_assertion(ss_circle.has_on(sv_prev->point()));
-      
+
       e = SM.new_shalfedge_pair(sv_prev, sv_0);
       e->circle() = ss_circle;
       e->twin()->circle() = ss_circle.opposite();
       e->mark() = e->twin()->mark() = true;
-      
+
       index_adder.set_hash(pe_prev, e);
     }
 
@@ -306,7 +306,7 @@ void polygon_mesh_to_nef_3(PolygonMesh&
       fint->mark() = false;
     }
 
-    SM.check_integrity_and_topological_planarity();   
+    SM.check_integrity_and_topological_planarity();
   }
 
   index_adder.resolve_indexes();
diff -pruN 5.0.2-3/include/CGAL/Nef_3/quotient_coordinates_to_homogeneous_point.h 5.0.3-1/include/CGAL/Nef_3/quotient_coordinates_to_homogeneous_point.h
--- 5.0.2-3/include/CGAL/Nef_3/quotient_coordinates_to_homogeneous_point.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/quotient_coordinates_to_homogeneous_point.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/quotient_coordinates_to_homogeneous_point.h $
-// $Id: quotient_coordinates_to_homogeneous_point.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/quotient_coordinates_to_homogeneous_point.h $
+// $Id: quotient_coordinates_to_homogeneous_point.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Miguel Granados <granados@mpi-sb.mpg.de>
 
@@ -21,23 +21,23 @@ namespace CGAL {
 template <typename Homogeneous>
 typename Homogeneous::Point_3
 quotient_coordinates_to_homogeneous_point(
-				  typename Homogeneous::FT x,
-				  typename Homogeneous::FT y,
-				  typename Homogeneous::FT z) {
+                                  typename Homogeneous::FT x,
+                                  typename Homogeneous::FT y,
+                                  typename Homogeneous::FT z) {
   typedef typename Homogeneous::Point_3 Point_3;
-  if( (x.denominator() == y.denominator()) && 
+  if( (x.denominator() == y.denominator()) &&
       (x.denominator() == z.denominator())) {
     Point_3 p( x.numerator(),
-	       y.numerator(),
-	       z.numerator(),
-	       x.denominator());
+               y.numerator(),
+               z.numerator(),
+               x.denominator());
     return normalized(p);
   }
   else {
     Point_3 p( x.numerator()   * y.denominator() * z.denominator(),
-	       x.denominator() * y.numerator()   * z.denominator(),
-	       x.denominator() * y.denominator() * z.numerator(),
-	       x.denominator() * y.denominator() * z.denominator());
+               x.denominator() * y.numerator()   * z.denominator(),
+               x.denominator() * y.denominator() * z.numerator(),
+               x.denominator() * y.denominator() * z.denominator());
     return normalized(p);
   }
 }
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SFace.h 5.0.3-1/include/CGAL/Nef_3/SFace.h
--- 5.0.2-3/include/CGAL/Nef_3/SFace.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SFace.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SFace.h $
-// $Id: SFace.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SFace.h $
+// $Id: SFace.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel        <seel@mpi-sb.mpg.de>
 //                 Miguel Granados     <granados@mpi-sb.mpg.de>
@@ -35,7 +35,7 @@
 namespace CGAL {
 
 template <typename Refs>
-class SFace_base { 
+class SFace_base {
   #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
   typedef void* GenPtr;
   #else
@@ -50,7 +50,7 @@ class SFace_base {
   typedef typename Refs::Volume_const_handle  Volume_const_handle;
   typedef typename Refs::Object_list          Object_list;
   typedef typename Refs::SFace_cycle_iterator SFace_cycle_iterator;
-  typedef typename Refs::SFace_cycle_const_iterator 
+  typedef typename Refs::SFace_cycle_const_iterator
     SFace_cycle_const_iterator;
   Vertex_handle  center_vertex_;
   Volume_handle  volume_;
@@ -70,23 +70,23 @@ class SFace_base {
 
     SFace_base(const SFace_base<Refs>& f)
       { center_vertex_ = f.center_vertex_;
-	volume_ = f.volume_;
-	boundary_entry_objects_ = f.boundary_entry_objects_;
-	info_ = 0;
-	mark_ = f.mark_;
+        volume_ = f.volume_;
+        boundary_entry_objects_ = f.boundary_entry_objects_;
+        info_ = 0;
+        mark_ = f.mark_;
       }
 
     SFace_base<Refs>& operator=(const SFace_base<Refs>& f)
       { if (this == &f) return *this;
-	center_vertex_ = f.center_vertex_;
-	volume_ = f.volume_;
-	boundary_entry_objects_ = f.boundary_entry_objects_;
-	info_ = 0;
-	mark_ = f.mark_;
-	return *this;
+        center_vertex_ = f.center_vertex_;
+        volume_ = f.volume_;
+        boundary_entry_objects_ = f.boundary_entry_objects_;
+        info_ = 0;
+        mark_ = f.mark_;
+        return *this;
       }
 
-    SFace_cycle_iterator sface_cycles_begin() 
+    SFace_cycle_iterator sface_cycles_begin()
     { return boundary_entry_objects_.begin(); }
     SFace_cycle_iterator sface_cycles_end()
     { return boundary_entry_objects_.end(); }
@@ -111,21 +111,21 @@ class SFace_base {
     const GenPtr& info() const { return info_; }
 
     bool is_valid( bool verb = false, int level = 0) const {
-      
+
       Verbose_ostream verr(verb);
       verr << "begin CGAL::SNC_items<...>::SFace_base::is_valid( verb=true, "
-	"level = " << level << "):" << std::endl;
+        "level = " << level << "):" << std::endl;
 
       bool valid =(center_vertex_ != Vertex_handle() && center_vertex_ != nullptr);
       valid = valid && (volume_ != Volume_handle() &&
-			volume_ != nullptr);
+                        volume_ != nullptr);
 
       if(boundary_entry_objects_.empty()) {
-	valid = valid && 
-	  (center_vertex_->shalfedges_begin() == center_vertex_->shalfedges_end());
+        valid = valid &&
+          (center_vertex_->shalfedges_begin() == center_vertex_->shalfedges_end());
       }
       verr << "end of CGAL::SNC_items<...>::SFace_base::is_valid(): structure is "
-	   << ( valid ? "valid." : "NOT VALID.") << std::endl;
+           << ( valid ? "valid." : "NOT VALID.") << std::endl;
 
       return valid;
     }
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SHalfedge.h 5.0.3-1/include/CGAL/Nef_3/SHalfedge.h
--- 5.0.2-3/include/CGAL/Nef_3/SHalfedge.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SHalfedge.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SHalfedge.h $
-// $Id: SHalfedge.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SHalfedge.h $
+// $Id: SHalfedge.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel        <seel@mpi-sb.mpg.de>
 //                 Miguel Granados     <granados@mpi-sb.mpg.de>
@@ -35,7 +35,7 @@
 namespace CGAL {
 
 template <typename Refs>
-class SHalfedge_base  { 
+class SHalfedge_base  {
   #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
   typedef void* GenPtr;
   #else
@@ -64,7 +64,7 @@ class SHalfedge_base  {
   SHalfedge_handle   sprev_, snext_;
   SFace_handle       incident_sface_;
   SHalfedge_handle   twin_;
-  // Topology within global Nef structure:  
+  // Topology within global Nef structure:
   SHalfedge_handle   prev_, next_;
   Halffacet_handle   facet_;
   GenPtr             info_;
@@ -75,8 +75,8 @@ class SHalfedge_base  {
  public:
 
   SHalfedge_base() : source_(), sprev_(), snext_(),
-    incident_sface_(), twin_(), 
-    prev_(), next_(), facet_(), 
+    incident_sface_(), twin_(),
+    prev_(), next_(), facet_(),
     info_(), mark_(), circle_() {}
 
     ~SHalfedge_base() {
@@ -85,33 +85,33 @@ class SHalfedge_base  {
 
     SHalfedge_base(const SHalfedge_base<Refs>& e)
       {
-	source_ = e.source_;
-	sprev_ = e.sprev_;
-	snext_ = e.snext_;
-	incident_sface_ = e.incident_sface_;
-	twin_ = e.twin_;
-	prev_ = e.prev_;
-	next_ = e.next_;
-	facet_ = e.facet_;
-	info_ = 0;
-	mark_ = e.mark_;
-	circle_ = e.circle_;
+        source_ = e.source_;
+        sprev_ = e.sprev_;
+        snext_ = e.snext_;
+        incident_sface_ = e.incident_sface_;
+        twin_ = e.twin_;
+        prev_ = e.prev_;
+        next_ = e.next_;
+        facet_ = e.facet_;
+        info_ = 0;
+        mark_ = e.mark_;
+        circle_ = e.circle_;
       }
 
     SHalfedge_base<Refs>& operator=(const SHalfedge_base<Refs>& e)
       {
-	source_ = e.source_;
-	sprev_ = e.sprev_;
-	snext_ = e.snext_;
-	incident_sface_ = e.incident_sface_;
-	twin_ = e.twin_;
-	prev_ = e.prev_;
-	next_ = e.next_;
-	facet_ = e.facet_;
-	info_ = 0;
-	mark_ = e.mark_;
-	circle_ = e.circle_;
-	return *this;
+        source_ = e.source_;
+        sprev_ = e.sprev_;
+        snext_ = e.snext_;
+        incident_sface_ = e.incident_sface_;
+        twin_ = e.twin_;
+        prev_ = e.prev_;
+        next_ = e.next_;
+        facet_ = e.facet_;
+        info_ = 0;
+        mark_ = e.mark_;
+        circle_ = e.circle_;
+        return *this;
       }
 
     Mark& mark() { return mark_; }
@@ -150,7 +150,7 @@ class SHalfedge_base  {
 
     Sphere_circle& circle() { return circle_; }
     const Sphere_circle& circle() const { return circle_; }
-    
+
     SFace_handle& incident_sface() { return incident_sface_; }
     SFace_const_handle incident_sface() const { return incident_sface_; }
 
@@ -162,80 +162,80 @@ class SHalfedge_base  {
 
     bool in_outer_facet_cycle() const {
       if(++facet()->facet_cycles_begin() ==
-	 facet()->facet_cycles_end()) return true;
+         facet()->facet_cycles_end()) return true;
       const Refs* sncp = source()->source()->sncp();
       SHalfedge_around_facet_circulator sfc(this), send(sfc);
       do {
-	if(sncp()->is_boundary_item(sfc))
-	  break;
+        if(sncp()->is_boundary_item(sfc))
+          break;
       } while(++sfc != send);
       CGAL_assertion(sncp()->is_boundary_item(sfc));
       if(sfc == facet()->facet_cycles_begin())
-	return true;
+        return true;
       return false;
     }
-    
+
     bool in_inner_facet_cycle() const {
       return !in_outer_facet_cycle();
     }
 
     bool in_outer_sface_cycle() const {
       if(++incident_sface()->sface_cycles_begin() ==
-	 incident_sface()->sface_cycles_end()) return true;
+         incident_sface()->sface_cycles_end()) return true;
       const Refs* sncp = source()->source()->sncp();
       SHalfedge_around_sface_circulator sfc(this), send(sfc);
       do {
-	if(sncp()->is_sm_boundary_item(sfc))
-	  break;
+        if(sncp()->is_sm_boundary_item(sfc))
+          break;
       } while(++sfc != send);
       CGAL_assertion(sncp()->is_sm_boundary_item(sfc));
       if(sfc == incident_sface()->sface_cycles_begin())
-	return true;
+        return true;
       return false;
     }
-    
+
    bool in_inner_sface_cycle() const {
       return !in_outer_sface_cycle();
     }
 
     std::string debug() const
-      { std::stringstream os; 
-	set_pretty_mode(os); 
-	os <<"e[ "<<source_->debug()<<", "
-	   <<twin_->source_->debug()
+      { std::stringstream os;
+        set_pretty_mode(os);
+        os <<"e[ "<<source_->debug()<<", "
+           <<twin_->source_->debug()
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
      <<" "<<info_
     #endif
      <<" ] ";
-	return os.str();
+        return os.str();
       }
 
     bool is_twin() const { return (&*twin_ < this); }
 
     bool is_valid( bool verb = false, int level = 0) const {
-      
+
       Verbose_ostream verr(verb);
       verr << "begin CGAL::SNC_items<...>::SHalfedge_base::is_valid( verb=true, "
-	"level = " << level << "):" << std::endl;
+        "level = " << level << "):" << std::endl;
 
       bool valid = (source_ != SVertex_handle() &&
-		    source_ != nullptr &&
-		    source_ != Halfedge_handle());
+                    source_ != nullptr &&
+                    source_ != Halfedge_handle());
       valid = valid && (twin_  != SHalfedge_handle() && twin_  != nullptr);
       valid = valid && (sprev_ != SHalfedge_handle() && sprev_ != nullptr);
       valid = valid && (snext_ != SHalfedge_handle() && snext_ != nullptr);
       valid = valid && (prev_  != SHalfedge_handle() && prev_  != nullptr);
       valid = valid && (next_  != SHalfedge_handle() && next_  != nullptr);
-      
-      valid = valid && (incident_sface_ != SFace_handle() && 
-			incident_sface_ != nullptr);
+
+      valid = valid && (incident_sface_ != SFace_handle() &&
+                        incident_sface_ != nullptr);
       valid = valid && (facet_ != Halffacet_handle() &&
-			facet_ != nullptr);
+                        facet_ != nullptr);
       valid = valid && (circle_.d() == 0);
       valid = valid && (circle_.a() != 0 || circle_.b() != 0 || circle_.c() !=0);
-      
+
       verr << "end of CGAL::SNC_items<...>::SHalfedge_base::is_valid(): structure is "
-	   << ( valid ? "valid." : "NOT VALID.") << std::endl;
+           << ( valid ? "valid." : "NOT VALID.") << std::endl;
 
       return valid;
     }
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SHalfloop.h 5.0.3-1/include/CGAL/Nef_3/SHalfloop.h
--- 5.0.2-3/include/CGAL/Nef_3/SHalfloop.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SHalfloop.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SHalfloop.h $
-// $Id: SHalfloop.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SHalfloop.h $
+// $Id: SHalfloop.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel        <seel@mpi-sb.mpg.de>
 //                 Miguel Granados     <granados@mpi-sb.mpg.de>
@@ -30,7 +30,7 @@
 
 namespace CGAL {
 
-template <typename Refs> 
+template <typename Refs>
 class SHalfloop_base {
 
   typedef typename Refs::Mark  Mark;
@@ -52,7 +52,7 @@ class SHalfloop_base {
 
  public:
 
-  SHalfloop_base() : twin_(), incident_sface_(), facet_(), 
+  SHalfloop_base() : twin_(), incident_sface_(), facet_(),
     mark_(), circle_() {}
 
     ~SHalfloop_base() {
@@ -60,19 +60,19 @@ class SHalfloop_base {
     }
     SHalfloop_base(const SHalfloop_base<Refs>& l)
       { twin_ = l.twin_;
-	incident_sface_ = l.incident_sface_;
-	facet_ = l.facet_;
-	mark_ = l.mark_;
-	circle_ = l.circle_;
+        incident_sface_ = l.incident_sface_;
+        facet_ = l.facet_;
+        mark_ = l.mark_;
+        circle_ = l.circle_;
       }
 
     SHalfloop_base<Refs>& operator=(const SHalfloop_base<Refs>& l)
       { twin_ = l.twin_;
-	incident_sface_ = l.incident_sface_;
-	facet_ = l.facet_;
-	mark_ = l.mark_;
-	circle_ = l.circle_;
-	return *this;
+        incident_sface_ = l.incident_sface_;
+        facet_ = l.facet_;
+        mark_ = l.mark_;
+        circle_ = l.circle_;
+        return *this;
       }
 
     Mark& mark() { return mark_;}
@@ -92,30 +92,30 @@ class SHalfloop_base {
 
  public:
     std::string debug() const
-      { std::stringstream os; 
-	set_pretty_mode(os); 
-	os<<"sl [ "<<circle_<<" ] ";
-	return os.str();
+      { std::stringstream os;
+        set_pretty_mode(os);
+        os<<"sl [ "<<circle_<<" ] ";
+        return os.str();
       }
 
     bool is_twin() const { return (&*twin_ < this); }
 
     bool is_valid( bool verb = false, int level = 0) const {
-      
+
       Verbose_ostream verr(verb);
       verr << "begin CGAL::SNC_items<...>::SHalfloop_base::is_valid( verb=true, "
-	"level = " << level << "):" << std::endl;
+        "level = " << level << "):" << std::endl;
 
       bool valid = (twin_  != SHalfloop_handle() && twin_  != nullptr);
-      valid = valid && (incident_sface_ != SFace_handle() && 
-			incident_sface_ != nullptr);
+      valid = valid && (incident_sface_ != SFace_handle() &&
+                        incident_sface_ != nullptr);
       valid = valid && (facet_ != Halffacet_handle() &&
-			facet_ != nullptr);
+                        facet_ != nullptr);
       valid = valid && (circle_.d() == 0);
       valid = valid && (circle_.a() != 0 || circle_.b() != 0 || circle_.c() !=0);
-      
+
       verr << "end of CGAL::SNC_items<...>::SHalfloop_base::is_valid(): structure is "
-	   << ( valid ? "valid." : "NOT VALID.") << std::endl;
+           << ( valid ? "valid." : "NOT VALID.") << std::endl;
 
       return valid;
     }
diff -pruN 5.0.2-3/include/CGAL/Nef_3/shell_to_nef_3.h 5.0.3-1/include/CGAL/Nef_3/shell_to_nef_3.h
--- 5.0.2-3/include/CGAL/Nef_3/shell_to_nef_3.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/shell_to_nef_3.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/shell_to_nef_3.h $
-// $Id: shell_to_nef_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/shell_to_nef_3.h $
+// $Id: shell_to_nef_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel    <seel@mpi-sb.mpg.de>
 //                 Miguel Granados <granados@mpi-sb.mpg.de>
@@ -53,7 +53,7 @@ class Shell_to_nef_3
     SHalfedge_const_handle;
   typedef typename SNC_structure::SHalfloop_const_handle
     SHalfloop_const_handle;
-  typedef typename SNC_structure::SFace_const_handle 
+  typedef typename SNC_structure::SFace_const_handle
     SFace_const_handle;
   typedef typename SNC_structure::SFace_cycle_const_iterator
     SFace_cycle_const_iterator;
@@ -65,7 +65,7 @@ class Shell_to_nef_3
  public:
 
   Shell_to_nef_3(SNC_structure& S_) : S(S_) {}
-  
+
   void visit(Vertex_const_handle ) {}
   void visit(Halfedge_const_handle ) {}
   void visit(Halffacet_const_handle ) {}
@@ -84,27 +84,27 @@ class Shell_to_nef_3
     Vertex_handle nv = S.new_vertex();
     nv->point() = pv->point();
     nv->mark() = true;
-      
+
     SM_decorator SM(&*nv);
-    SHalfedge_around_sface_const_circulator 
+    SHalfedge_around_sface_const_circulator
       pe(sfci), pe_prev(pe), pend(pe);
-      
-    SVertex_handle sv_0 = 
+
+    SVertex_handle sv_0 =
       SM.new_svertex(pe->source()->point());
     sv_0->mark() = true;
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
     sv_0->set_index(pe->source()->get_index());
 #endif
-    ++pe;  
+    ++pe;
     SVertex_handle sv_prev = sv_0;
-      
+
     do {
       SVertex_handle sv = SM.new_svertex(pe->source()->point());
       sv->mark() = true;
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
       sv->set_index(pe->source()->get_index());
 #endif
-      
+
       SHalfedge_handle e = SM.new_shalfedge_pair(sv_prev, sv);
       e->circle() = pe_prev->circle();
       e->twin()->circle() = pe_prev->twin()->circle();
@@ -112,13 +112,13 @@ class Shell_to_nef_3
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
       e->set_index(pe_prev->get_index());
       e->twin()->set_index(pe_prev->twin()->get_index());
-#endif	
+#endif
       sv_prev = sv;
       pe_prev = pe;
       ++pe;
     }
     while( pe != pend );
-      
+
     SHalfedge_handle e;
     e = SM.new_shalfedge_pair(sv_prev, sv_0);
     e->circle() = pe_prev->circle();
@@ -126,25 +126,25 @@ class Shell_to_nef_3
     e->mark() = e->twin()->mark() = true;
 #ifndef CGAL_NEF_NO_INDEXED_ITEMS
     e->set_index(pe_prev->get_index());
-    e->twin()->set_index(pe_prev->twin()->get_index());    
+    e->twin()->set_index(pe_prev->twin()->get_index());
 #endif
     // create faces
     SFace_handle fext = SM.new_sface();
     SM.link_as_face_cycle(e->twin(), fext);
     fext->mark() = false;
-    
+
     SFace_handle fint = SM.new_sface();
     SM.link_as_face_cycle(e, fint);
     fint->mark() = false;
-    
-    SM.check_integrity_and_topological_planarity();   
+
+    SM.check_integrity_and_topological_planarity();
   }
 };
 
 template <class Nef_polyhedron>
 void shell_to_nef_3(const Nef_polyhedron& N,
-		    typename Nef_polyhedron::SFace_const_handle sf,
-		    typename Nef_polyhedron::SNC_structure& S) 
+                    typename Nef_polyhedron::SFace_const_handle sf,
+                    typename Nef_polyhedron::SNC_structure& S)
 {
   Shell_to_nef_3<typename Nef_polyhedron::SNC_structure> s2n(S);
   N.visit_shell_objects(sf, s2n);
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SM_visualizor.h 5.0.3-1/include/CGAL/Nef_3/SM_visualizor.h
--- 5.0.2-3/include/CGAL/Nef_3/SM_visualizor.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SM_visualizor.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SM_visualizor.h $
-// $Id: SM_visualizor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SM_visualizor.h $
+// $Id: SM_visualizor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel    <seel@mpi-sb.mpg.de>
 //                 Miguel Granados <granados@mpi-sb.mpg.de>
@@ -30,13 +30,13 @@
 namespace CGAL {
 
 template <typename Refs_>
-class SNC_SM_BooleColor 
+class SNC_SM_BooleColor
 {
-  typedef typename Refs_::SVertex_const_handle   SVertex_const_handle;   
-  typedef typename Refs_::SHalfedge_const_handle SHalfedge_const_handle;   
-  typedef typename Refs_::SHalfloop_const_handle SHalfloop_const_handle;   
-  typedef typename Refs_::SFace_const_handle     SFace_const_handle;   
-  typedef typename Refs_::Mark Mark;   
+  typedef typename Refs_::SVertex_const_handle   SVertex_const_handle;
+  typedef typename Refs_::SHalfedge_const_handle SHalfedge_const_handle;
+  typedef typename Refs_::SHalfloop_const_handle SHalfloop_const_handle;
+  typedef typename Refs_::SFace_const_handle     SFace_const_handle;
+  typedef typename Refs_::Mark Mark;
 public:
   Color color(SVertex_const_handle, Mark m) const
   { return ( m ? CGAL::black() : CGAL::white() ); }
@@ -50,7 +50,7 @@ public:
 
 
 template <typename SM_explorer>
-class SM_visualizor 
+class SM_visualizor
 {
 /*{\Mdefinition An instance |\Mvar| of the data type |\Mname| is a
 decorator to draw the structure of a sphere map into the surface of a
@@ -65,9 +65,9 @@ public:
   typedef SM_decorator<Sphere_map>                 SM_decorator;
   typedef SM_triangulator<SM_decorator>            SM_triangulator;
 
-  typedef typename Sphere_map::SVertex_const_handle     SVertex_const_handle;   
-  typedef typename Sphere_map::SHalfedge_const_handle   SHalfedge_const_handle; 
-  typedef typename Sphere_map::SFace_const_handle       SFace_const_handle;     
+  typedef typename Sphere_map::SVertex_const_handle     SVertex_const_handle;
+  typedef typename Sphere_map::SHalfedge_const_handle   SHalfedge_const_handle;
+  typedef typename Sphere_map::SFace_const_handle       SFace_const_handle;
   typedef typename Sphere_map::SVertex_const_iterator   SVertex_const_iterator;
   typedef typename Sphere_map::SHalfedge_const_iterator SHalfedge_const_iterator;
   typedef typename Sphere_map::SFace_const_iterator     SFace_const_iterator;
@@ -79,15 +79,15 @@ public:
     we stick to the Nef_3 world. All Nef_S2 handles obtain a SM_ prefix.
   */
 
-  typedef typename Sphere_map::SVertex_const_iterator   
+  typedef typename Sphere_map::SVertex_const_iterator
     SM_Vertex_const_iterator;
-  typedef typename Sphere_map::SHalfedge_const_iterator 
+  typedef typename Sphere_map::SHalfedge_const_iterator
     SM_Halfedge_const_iterator;
-  typedef typename Sphere_map::SHalfloop_const_iterator 
+  typedef typename Sphere_map::SHalfloop_const_iterator
     SM_Halfloop_const_iterator;
-  typedef typename Sphere_map::SFace_const_iterator     
+  typedef typename Sphere_map::SFace_const_iterator
     SM_Face_const_iterator;
-  
+
 
   typedef typename Sphere_kernel::Sphere_point    Sphere_point;
   typedef typename Sphere_kernel::Sphere_segment  Sphere_segment;
@@ -123,10 +123,10 @@ void draw_map() const
   bool top=false;
   bool bot=false;
   CGAL_forall_sedges(e,*E_) {
-    top = top || 
+    top = top ||
       E_->point(E_->source(e)).hz() > 0 ||
       E_->point(E_->target(e)).hz() > 0;
-    bot = bot || 
+    bot = bot ||
       E_->point(E_->source(e)).hz() < 0 ||
       E_->point(E_->target(e)).hz() < 0;
   }
@@ -135,24 +135,24 @@ void draw_map() const
 
   CGAL_forall_sedges(e,*E_) {
     if ( E_->source(e) == E_->target(e) ) {
-      S_.push_back(E_->circle(e), CO_.color(e,E_->mark(e))); 
-    } else 
+      S_.push_back(E_->circle(e), CO_.color(e,E_->mark(e)));
+    } else
       /*
       if(E_->point(E_->source(e)) == E_->point(E_->target(e)).antipode()) {
       CGAL_assertion(!top || !bot);
       if(!top)
-	S_.push_back(Sphere_segment(E_->point(E_->source(e)),
-				    E_->point(E_->target(e)),
-				    c),CO_.color(e,E_->mark(e)));
+        S_.push_back(Sphere_segment(E_->point(E_->source(e)),
+                                    E_->point(E_->target(e)),
+                                    c),CO_.color(e,E_->mark(e)));
       else
-     
-	c=Sphere_circle(E_->point(E_->source(e)),Sphere_point(0,0,1));
+
+        c=Sphere_circle(E_->point(E_->source(e)),Sphere_point(0,0,1));
     }
     else
-      */ 
+      */
       S_.push_back(Sphere_segment(E_->point(E_->source(e)),
-				  E_->point(E_->target(e)),
-				  E_->circle(e)),CO_.color(e,E_->mark(e)));
+                                  E_->point(E_->target(e)),
+                                  E_->circle(e)),CO_.color(e,E_->mark(e)));
   }
   // draw sphere circles underlying loops of E_:
 
@@ -184,22 +184,22 @@ void draw_map() const
 
   CGAL_forall_sedges(h,T_) // for all sphere edges
     S_.push_back_triangle_edge(Sphere_segment(T_.point(T_.source(h)),
-					      T_.point(T_.target(h)),
-					      T_.circle(h)));
+                                              T_.point(T_.target(h)),
+                                              T_.circle(h)));
 }
 
 /* |draw_triangulation| draws all object of the underlying triangulation:
    triangles, edges, loops, and vertices taken from MT_ */
 
 void draw_triangulation() const
-{ 
+{
   // draw sphere segments underlying edges of triangulation:
   SHalfedge_const_iterator ed;
   SVertex_const_iterator vd;
   SM_Halfedge_const_iterator e;
   CGAL_forall_sedges(e,T_) {
     S_.push_back(Sphere_segment(T_.point(T_.source(e)),T_.point(T_.target(e)),
-				T_.circle(e)),CO_.color(ed,T_.mark(e)));
+                                T_.circle(e)),CO_.color(ed,T_.mark(e)));
   }
 
   // draw points underlying vertices of triangulation:
@@ -212,7 +212,7 @@ void draw_triangulation() const
     if ( Done[e] ) continue;
     SM_Halfedge_const_iterator en(T_.next(e)),enn(T_.next(en));
     CGAL_assertion(T_.incident_mark(e)==T_.incident_mark(en)&&
-			T_.incident_mark(en)==T_.incident_mark(enn));
+                        T_.incident_mark(en)==T_.incident_mark(enn));
     Mark m = T_.incident_mark(e);
     Sphere_triangle t = T_.incident_triangle(e);
     S_.push_back(t, (m ? CGAL_NEF3_DGREY : CGAL_NEF3_LGREY) );
@@ -221,7 +221,7 @@ void draw_triangulation() const
 
 }
 
-}; // end of SM_Visualizor 
+}; // end of SM_Visualizor
 
 
 
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_const_decorator.h 5.0.3-1/include/CGAL/Nef_3/SNC_const_decorator.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_const_decorator.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_const_decorator.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_const_decorator.h $
-// $Id: SNC_const_decorator.h 2c5826d 2020-01-17T16:29:49+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_const_decorator.h $
+// $Id: SNC_const_decorator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel    <seel@mpi-sb.mpg.de>
 //                 Miguel Granados <granados@mpi-sb.mpg.de>
@@ -40,7 +40,7 @@ namespace CGAL {
 template<typename S> class SM_const_decorator;
 
 template <typename SNC_structure_>
-class SNC_const_decorator { 
+class SNC_const_decorator {
   typedef SNC_structure_                            Base;
  public:
   typedef SNC_structure_                            SNC_structure;
@@ -75,7 +75,7 @@ public:
 
   typedef typename SNC_structure::Vertex_const_iterator Vertex_const_iterator;
   typedef typename SNC_structure::Halfedge_const_iterator Halfedge_const_iterator;
-  typedef typename SNC_structure::Halffacet_const_iterator Halffacet_const_iterator; 
+  typedef typename SNC_structure::Halffacet_const_iterator Halffacet_const_iterator;
   typedef typename SNC_structure::Volume_const_iterator Volume_const_iterator;
   typedef typename SNC_structure::SVertex_const_iterator SVertex_const_iterator;
   typedef typename SNC_structure::SHalfedge_const_iterator SHalfedge_const_iterator;
@@ -109,9 +109,9 @@ public:
   typedef typename SNC_structure::Mark Mark;
   typedef typename SNC_structure::Infi_box Infi_box;
 
-  typedef typename SM_const_decorator::SHalfedge_around_svertex_const_circulator 
+  typedef typename SM_const_decorator::SHalfedge_around_svertex_const_circulator
                                        SHalfedge_around_svertex_const_circulator;
-  typedef typename SM_const_decorator::SHalfedge_around_sface_const_circulator 
+  typedef typename SM_const_decorator::SHalfedge_around_sface_const_circulator
                                        SHalfedge_around_sface_const_circulator;
 
  public:
@@ -127,28 +127,28 @@ public:
     sncp_ = S.sncp_;
   }
 
- protected:  
+ protected:
   void set_snc(const SNC_structure& W) {
     sncp_ = &W;
   }
 
  public:
   const SNC_structure* sncp() const { return sncp_; }
-  
+
   SFace_const_handle adjacent_sface(Halffacet_const_handle f) const {
     Halffacet_cycle_const_iterator fc(f->facet_cycles_begin());
     CGAL_assertion( fc != f->facet_cycles_end());
 
-    if ( fc.is_shalfedge() ) { 
+    if ( fc.is_shalfedge() ) {
       SHalfedge_const_handle se(fc);
       CGAL_assertion( facet(se) == f);
       CGAL_assertion( sface(se) != SFace_const_handle());
       CGAL_assertion( volume(sface(se->twin())) == f->incident_volume());
       return sface(se->twin());
-    } 
-    else 
+    }
+    else
       CGAL_error_msg( "Facet outer cycle entry point"
-			     "is not an SHalfedge? ");
+                             "is not an SHalfedge? ");
     return SFace_const_handle(); // never reached
   }
 
@@ -160,26 +160,26 @@ public:
 
   static Segment_3 segment(Halfedge_const_handle e)
   { return Segment_3(e->source()->point(),
-		     e->twin()->source()->point()); }
+                     e->twin()->source()->point()); }
 
   template <typename Visitor>
   void visit_shell_objects(SFace_const_handle f, Visitor& V) const;
 
-  Vertex_const_iterator   vertices_begin() const { 
+  Vertex_const_iterator   vertices_begin() const {
     return this->sncp()->vertices_begin(); }
-  Vertex_const_iterator   vertices_end()   const { 
+  Vertex_const_iterator   vertices_end()   const {
     return this->sncp()->vertices_end(); }
   Halfedge_const_iterator halfedges_begin()const {
     return this->sncp()->halfedges_begin(); }
-  Halfedge_const_iterator halfedges_end()  const { 
+  Halfedge_const_iterator halfedges_end()  const {
     return this->sncp()->halfedges_end(); }
-  Halffacet_const_iterator halffacets_begin() const { 
+  Halffacet_const_iterator halffacets_begin() const {
     return this->sncp()->halffacets_begin(); }
-  Halffacet_const_iterator halffacets_end() const { 
+  Halffacet_const_iterator halffacets_end() const {
     return this->sncp()->halffacets_end(); }
-  Volume_const_iterator   volumes_begin() const   { 
+  Volume_const_iterator   volumes_begin() const   {
     return this->sncp()->volumes_begin(); }
-  Volume_const_iterator   volumes_end()   const   { 
+  Volume_const_iterator   volumes_end()   const   {
     return this->sncp()->volumes_end(); }
   SHalfedge_const_iterator shalfedges_begin() const {
     return this->sncp()->shalfedges_begin(); }
@@ -201,17 +201,17 @@ public:
     return c->shells_end();
   }
 
-  Size_type number_of_vertices() const  
+  Size_type number_of_vertices() const
   { return this->sncp()->number_of_vertices(); }
-  Size_type number_of_halfedges() const 
+  Size_type number_of_halfedges() const
   { return this->sncp()->number_of_halfedges(); }
-  Size_type number_of_edges() const     
+  Size_type number_of_edges() const
   { return this->sncp()->number_of_edges(); }
-  Size_type number_of_halffacets() const    
+  Size_type number_of_halffacets() const
   { return this->sncp()->number_of_halffacets();}
-  Size_type number_of_facets() const    
+  Size_type number_of_facets() const
   { return this->sncp()->number_of_facets();}
-  Size_type number_of_volumes() const   
+  Size_type number_of_volumes() const
   { return this->sncp()->number_of_volumes();}
   Size_type number_of_shalfedges() const
   { return this->sncp()->number_of_shalfedges();}
@@ -227,7 +227,7 @@ public:
     Halffacet_const_handle hf;
     CGAL_forall_facets(hf, *sncp()) {
       if(!Infi_box::is_standard(hf->plane()))
-	++i;
+        ++i;
     }
     // CGAL_warning("altered code");
     //    CGAL_assertion(i>=6);
@@ -241,7 +241,7 @@ public:
     SHalfedge_around_facet_const_circulator fcc(sh), fend(fcc);
     CGAL_For_all(fcc,fend)
       if(!is_standard(fcc->source()->source()))
-	return false;
+        return false;
     return true;
   }
 
@@ -253,19 +253,19 @@ public:
   }
   static bool is_standard_kernel() { return Infi_box::standard_kernel(); }
   static bool is_extended_kernel() { return Infi_box::extended_kernel(); }
-  static void set_size_of_infimaximal_box(const typename Infi_box::NT& size) { 
-    Infi_box::set_size_of_infimaximal_box(size); 
+  static void set_size_of_infimaximal_box(const typename Infi_box::NT& size) {
+    Infi_box::set_size_of_infimaximal_box(size);
   }
 
   typedef CGAL::SM_point_locator<SM_const_decorator>         SM_point_locator;
 
-  Halffacet_const_handle get_visible_facet( const Vertex_const_handle v, 
-				      const Ray_3& ray) const
+  Halffacet_const_handle get_visible_facet( const Vertex_const_handle v,
+                                      const Ray_3& ray) const
     /*{\Mop when one shoot a ray |ray| in order to find the facet below to
       an object, and vertex |v| is hit, we need to choose one of the facets
       in the adjacency list of |v| such that it could be 'seen' from the
       piercing point of the |ray| on the sphere map on |v|.  We make it just
-      locating the sphere facet |sf| pierced by |ray| and taking the adjacent 
+      locating the sphere facet |sf| pierced by |ray| and taking the adjacent
       facet to one of the sphere segments on the boundary of |sf|.
       \precondition |ray| target is on |v| and the intersection between
       |ray| and the 2-skeleton incident to v is empty. }*/ {
@@ -275,10 +275,10 @@ public:
     CGAL_assertion( ray.has_on(v->point()));
     Sphere_point sp(ray.source() - v->point());
     CGAL_NEF_TRACEN( "Locating "<<sp <<" in "<<v->point());
-    CGAL_assertion(Infi_box::degree(sp.hx()) < 2 && 
-		   Infi_box::degree(sp.hy()) < 2 && 
-		   Infi_box::degree(sp.hz()) < 2 && 
-		   Infi_box::degree(sp.hw()) == 0);
+    CGAL_assertion(Infi_box::degree(sp.hx()) < 2 &&
+                   Infi_box::degree(sp.hy()) < 2 &&
+                   Infi_box::degree(sp.hz()) < 2 &&
+                   Infi_box::degree(sp.hw()) == 0);
     sp = Infi_box::simplify(sp);
     CGAL_NEF_TRACEN( "Locating "<<sp <<" in "<<v->point());
     SM_point_locator L(&*v);
@@ -288,11 +288,11 @@ public:
     if(!CGAL::assign(sf,o)) {
       SHalfedge_const_handle se;
       if(CGAL::assign(se,o))
-	std::cerr << "on sedge " << PH(se) 
-		  << " on facet " << se->facet()->plane() << std::endl;
+        std::cerr << "on sedge " << PH(se)
+                  << " on facet " << se->facet()->plane() << std::endl;
       SVertex_const_handle sv;
       if(CGAL::assign(sv,o))
-	std::cerr << "on svertex " << sv->point() << std::endl; 
+        std::cerr << "on svertex " << sv->point() << std::endl;
       CGAL_error_msg( "it is not possible to decide which one is a visible facet (if any)");
       return Halffacet_const_handle();
     }
@@ -300,39 +300,39 @@ public:
     SFace_cycle_const_iterator fc = sf->sface_cycles_begin(),
       fce = sf->sface_cycles_end();
     if( is_empty_range( fc, fce)) {
-	CGAL_NEF_TRACEN( "no adjacent facet found.");
-	f_visible =  Halffacet_const_handle();
+        CGAL_NEF_TRACEN( "no adjacent facet found.");
+        f_visible =  Halffacet_const_handle();
     }
     else {
       if (fc.is_shalfedge()) {
-	SHalfedge_const_handle se(fc);
-	CGAL_NEF_TRACEN( "adjacent facet found (SEdges cycle).");
-	CGAL_NEF_TRACEN("se"<<PH(se));
-	CGAL_NEF_TRACEN(se->facet()->plane() <<"/"<<
-	       se->snext()->facet()->plane()  <<"/"<< 
-	       se->snext()->snext()->facet()->plane());
-	f_visible = se->twin()->facet();
-	CGAL_NEF_TRACEN("f_visible"<< f_visible->plane());
+        SHalfedge_const_handle se(fc);
+        CGAL_NEF_TRACEN( "adjacent facet found (SEdges cycle).");
+        CGAL_NEF_TRACEN("se"<<PH(se));
+        CGAL_NEF_TRACEN(se->facet()->plane() <<"/"<<
+               se->snext()->facet()->plane()  <<"/"<<
+               se->snext()->snext()->facet()->plane());
+        f_visible = se->twin()->facet();
+        CGAL_NEF_TRACEN("f_visible"<< f_visible->plane());
       }
       else if (fc.is_shalfloop()) {
-	SHalfloop_const_handle sl(fc);
-	SM_const_decorator SD;
-	CGAL_NEF_TRACEN( "adjacent facet found (SHalfloop cycle)."<< sl->circle() 
-			 << " with facet "<< sl->facet()->plane());
-	f_visible = sl->twin()->facet();
-	CGAL_NEF_TRACEN("f_visible"<< f_visible->plane());
+        SHalfloop_const_handle sl(fc);
+        SM_const_decorator SD;
+        CGAL_NEF_TRACEN( "adjacent facet found (SHalfloop cycle)."<< sl->circle()
+                         << " with facet "<< sl->facet()->plane());
+        f_visible = sl->twin()->facet();
+        CGAL_NEF_TRACEN("f_visible"<< f_visible->plane());
       }
       else if(fc.is_svertex()) {
 #ifdef CGAL_NEF_DEBUG
-	// TODO: is there any warranty that the outter facet cycle enty point is always at first
-	// in the cycles list?
-	++fc; while( fc != fce)  { CGAL_assertion( fc.is_svertex()); ++fc; }
+        // TODO: is there any warranty that the outter facet cycle enty point is always at first
+        // in the cycles list?
+        ++fc; while( fc != fce)  { CGAL_assertion( fc.is_svertex()); ++fc; }
 #endif
-	CGAL_NEF_TRACEN( "no adjacent facets were found (but incident edge(s)).");
-	f_visible = Halffacet_const_handle();
+        CGAL_NEF_TRACEN( "no adjacent facets were found (but incident edge(s)).");
+        f_visible = Halffacet_const_handle();
       }
       else
-	CGAL_error_msg("Damn wrong handle");
+        CGAL_error_msg("Damn wrong handle");
     }
     return f_visible;
   }
@@ -340,36 +340,36 @@ public:
   Halffacet_const_handle get_visible_facet( const Halfedge_const_handle e,
                                       const Ray_3& ray) const {
    //{\Mop when one shoot a ray |ray| in order to find the facet below to
-   //  an object, and an edge |e| is hit, we need to choose one of the two 
+   //  an object, and an edge |e| is hit, we need to choose one of the two
    //  facets in the adjacency list of |e| that could be 'seen'  from the
    //  piercing point of the |ray| on the local (virtual) view  of |e|
-   //  \precondition |ray| target belongs to |e|. } 
+   //  \precondition |ray| target belongs to |e|. }
 
     SM_const_decorator SD(&*e->source());
     if( SD.is_isolated(e))
       return Halffacet_const_handle();
-    
+
     // We search for the plane in the adjacency list of e, which is closest
     // to the ray. The cross product of the direction of e and the orthogonal
-    // vector of a plane gives us a vector vec0/vec1 on the plane of the facet 
+    // vector of a plane gives us a vector vec0/vec1 on the plane of the facet
     // and orthogonal to e, pointing inside of the facet.
 
     Vector_3 ev(segment(e).to_vector()), rv(ray.to_vector());
     SHalfedge_around_svertex_const_circulator sh(SD.first_out_edge(e));
-    Halffacet_const_handle res = sh->facet(); 
+    Halffacet_const_handle res = sh->facet();
     Vector_3 vec0(cross_product(ev,res->plane().orthogonal_vector()));
     /* // probably incorrect assertion
     CGAL_assertion_code
-      (Sphere_segment _ess( SD.source(sh)->point(), 
-			    SD.source(next(sh))->point(),
-			    SD.circle(sh)));
+      (Sphere_segment _ess( SD.source(sh)->point(),
+                            SD.source(next(sh))->point(),
+                            SD.circle(sh)));
     CGAL_assertion( _ess.has_on(vec0));
     */
     SHalfedge_around_svertex_const_circulator send(sh);
     CGAL_NEF_TRACEN("initial face candidate "<< res->plane()<<" with vector  "<<vec0);
 
-    // We compare the vectors vec0/vec1 of the facets. The one that is nearest 
-    // to pointing in the opposite direction of the ray, is chosen. The 
+    // We compare the vectors vec0/vec1 of the facets. The one that is nearest
+    // to pointing in the opposite direction of the ray, is chosen. The
     // respective facet is the nearest to the ray.
 
     sh++;
@@ -380,14 +380,14 @@ public:
       if(sk0<=FT(0) && sk1>=FT(0))
         continue;
       if(sk0>=FT(0) && sk1<=FT(0)) {
-        res = sh->facet(); 
-	vec0 = vec1;
-	continue;
+        res = sh->facet();
+        vec0 = vec1;
+        continue;
       }
 
-      // We have to comapare the two skalar products sk0 and sk1. Therefore 
+      // We have to comapare the two skalar products sk0 and sk1. Therefore
       // we have to normalize the input vectors vec0 and vec1, which means
-      // that we have to divide them by their lengths len0 and len1. 
+      // that we have to divide them by their lengths len0 and len1.
       // To cicumvent irrational numbers, we sqaure the whole inequality.
 
       FT len0 = vec0.x()*vec0.x()+vec0.y()*vec0.y()+vec0.z()*vec0.z();
@@ -401,12 +401,12 @@ public:
 
       if((sk0>FT(0) && diff<FT(0)) || (sk0<FT(0) && diff>FT(0))) {
         res = sh->facet();
-	vec0 = vec1;
+        vec0 = vec1;
       }
     }
- 
+
     // We have to check which of the two halffacet is visible from
-    // the ray. 
+    // the ray.
 
     if(rv*res->plane().orthogonal_vector() > FT(0))
       res = res->twin();
@@ -414,9 +414,9 @@ public:
     CGAL_NEF_TRACEN("return "<<res->plane());
     return res; // never reached
   }
-  
+
   Halffacet_const_handle get_visible_facet(Halffacet_const_handle f,
-				      const Ray_3& ray) const 
+                                      const Ray_3& ray) const
     /*{\Mop when one shoot a ray |ray| in order to find the facet below to
       an object, and a facet |f| is hit, we need to choose the right facet
       from the halffacet pair |f| that  could be 'seen'  from the
@@ -431,13 +431,13 @@ public:
     return f_visible;
   }
 
-  Halffacet_const_handle get_visible_facet( const Vertex_const_handle v, 
-				      const Segment_3& ray) const 
+  Halffacet_const_handle get_visible_facet( const Vertex_const_handle v,
+                                      const Segment_3& ray) const
     /*{\Mop when one shoots a ray |ray| in order to find the facet below to
       an object, and vertex |v| is hit, we need to choose one of the facets
       in the adjacency list of |v| such that it could be 'seen' from the
       piercing point of the |ray| on the sphere map on |v|.  We make it just
-      locating the sphere facet |sf| pierced by |ray| and taking the adjacent 
+      locating the sphere facet |sf| pierced by |ray| and taking the adjacent
       facet to one of the sphere segments on the boundary of |sf|.
       \precondition |ray| target is on |v| and the intersection between
       |ray| and the 2-skeleton incident to v is empty. }*/ {
@@ -447,10 +447,10 @@ public:
     CGAL_assertion( ray.has_on(v->point()));
     Sphere_point sp(ray.source() - v->point());
     CGAL_NEF_TRACEN( "Locating "<<sp <<" in "<<v->point());
-    CGAL_assertion(Infi_box::degree(sp.hx()) < 2 && 
-		   Infi_box::degree(sp.hy()) < 2 && 
-		   Infi_box::degree(sp.hz()) < 2 && 
-		   Infi_box::degree(sp.hw()) == 0);
+    CGAL_assertion(Infi_box::degree(sp.hx()) < 2 &&
+                   Infi_box::degree(sp.hy()) < 2 &&
+                   Infi_box::degree(sp.hz()) < 2 &&
+                   Infi_box::degree(sp.hw()) == 0);
     sp = Infi_box::simplify(sp);
     CGAL_NEF_TRACEN( "Locating "<<sp <<" in "<<v->point());
     SM_point_locator L(v);
@@ -463,16 +463,16 @@ public:
     SFace_cycle_const_iterator fc = sf->sface_cycles_begin(),
       fce = sf->sface_cycles_end();
     if( is_empty_range( fc, fce)) {
-	CGAL_NEF_TRACEN( "no adjacent facets were found.");
-	f_visible =  Halffacet_const_handle();
+        CGAL_NEF_TRACEN( "no adjacent facets were found.");
+        f_visible =  Halffacet_const_handle();
     }
     else {
       if (fc.is_shalfedge()) {
-      SHalfedge_const_handle se(fc); 
+      SHalfedge_const_handle se(fc);
       CGAL_NEF_TRACEN( "adjacent facet found (SEdges cycle).");
-	CGAL_NEF_TRACEN("se"<<PH(se));
-	f_visible = se->twin()->facet();
-	CGAL_NEF_TRACEN("f_visible"<<&f_visible);
+        CGAL_NEF_TRACEN("se"<<PH(se));
+        f_visible = se->twin()->facet();
+        CGAL_NEF_TRACEN("f_visible"<<&f_visible);
       }
       else if (fc.is_shalfloop()) {
       SHalfloop_const_handle sl(fc);
@@ -480,11 +480,11 @@ public:
       f_visible = sl->twin()->facet();
       }
       else if(fc.is_svertex()) {
-	CGAL_NEF_TRACEN( "no adjacent facets were found (but incident edge(s)).");
-	f_visible = Halffacet_const_handle();
+        CGAL_NEF_TRACEN( "no adjacent facets were found (but incident edge(s)).");
+        f_visible = Halffacet_const_handle();
       }
       else
-	CGAL_error_msg("Damn wrong handle");
+        CGAL_error_msg("Damn wrong handle");
     }
     return f_visible;
   }
@@ -493,10 +493,10 @@ public:
   Halffacet_const_handle get_visible_facet( const Halfedge_const_handle e,
                                       const Segment_3& ray) const {
     //{\Mop when one shoot a ray |ray| in order to find the facet below to
-    //  an object, and an edge |e| is hit, we need to choose one of the two 
+    //  an object, and an edge |e| is hit, we need to choose one of the two
    //   facets in the adjacency list of |e| that could be 'seen'  from the
    //   piercing point of the |ray| on the local (virtual) view  of |e|
-   //   \precondition |ray| target belongs to |e|. } 
+   //   \precondition |ray| target belongs to |e|. }
 
     CGAL_error();
 
@@ -504,14 +504,14 @@ public:
     if( SD.is_isolated(e))
       return Halffacet_const_handle();
 
-    Halffacet_const_handle res = facet(sh);    
+    Halffacet_const_handle res = facet(sh);
 
     Vector_3 ed(segment(e).to_vector());
     Vector_3 ev(segment(e).to_vector()), rv(ray.to_vector());
     SHalfedge_around_svertex_const_circulator sh(SD.first_out_edge(e)), send(sh);
     Vector_3 vec0(cross_product(ev,res->plane().orthogonal_vector()));
     CGAL_NEF_TRACEN("initial face candidate "<< res->plane());
-   
+
     sh++;
     CGAL_For_all(sh,send) {
     Vector_3 vec1(cross_product(ev,sh->plane().orthogonal_vector()));
@@ -520,13 +520,13 @@ public:
         continue;
       if(sk0>0 && sk1<0) {
         res = facet(sh);
-	continue;
+        continue;
       }
 
       RT len0 = vec0.x()*vec0.x()+vec0.y()*vec0.y()+vec0.z()*vec0.z();
       RT len1 = vec1.x()*vec1.x()+vec1.y()*vec1.y()+vec1.z()*vec1.z();
       RT sq0 = sk0 * sk0;
-      RT sq1 = sk1 * sk1;     
+      RT sq1 = sk1 * sk1;
       RT diff = len0*sq1 - len1*sq0;
 
       if((sk0 > 0 && diff<0) || (sk0 < 0 && diff>0))
@@ -538,18 +538,18 @@ public:
   */
 
   Halffacet_const_handle get_visible_facet( const Halffacet_const_handle f,
-				      const Segment_3& ray) const 
+                                      const Segment_3& ray) const
     //{\Mop when one shoot a ray |ray| in order to find the facet below to
     //  an object, and a facet |f| is hit, we need to choose the right facet
     //  from the halffacet pair |f| that  could be 'seen'  from the
     //  piercing point of the |ray| on the local (virtual) view  of |f|.
     //  \precondition |ray| target belongs to |f| and the intersection between
-    //  |ray| and is not coplanar with |f|. } 
+    //  |ray| and is not coplanar with |f|. }
     {
       Halffacet_const_handle f_visible = f;
       CGAL_assertion( !f_visible->plane().has_on(ray.source()));
       if( f_visible->plane().has_on_negative_side(ray.source()))
-	f_visible = f->twin();
+        f_visible = f->twin();
       CGAL_assertion( f_visible->plane().has_on_positive_side(ray.source()));
       return f_visible;
     }
@@ -559,7 +559,7 @@ template <typename EW>
 template <typename Visitor>
 void SNC_const_decorator<EW>::
 visit_shell_objects(SFace_const_handle f, Visitor& V) const
-{ 
+{
   std::list<SFace_const_handle> SFaceCandidates;
   std::list<Halffacet_const_handle> FacetCandidates;
   CGAL::Unique_hash_map<SFace_const_handle,bool> DoneSF(false);
@@ -576,17 +576,17 @@ visit_shell_objects(SFace_const_handle f
       Halffacet_cycle_const_iterator fc;
       CGAL_forall_facet_cycles_of(fc,f) {
         if (fc.is_shalfedge() ) {
-	  SHalfedge_const_handle e(fc);
-	  SHalfedge_const_handle she;
+          SHalfedge_const_handle e(fc);
+          SHalfedge_const_handle she;
           SHalfedge_around_facet_const_circulator ec(e),ee(e);
           CGAL_For_all(ec,ee) { she = ec->twin();
             if ( DoneSF[she->incident_sface()] ) continue;
             SFaceCandidates.push_back(she->incident_sface());
             DoneSF[she->incident_sface()] = true;
           }
-        } else if (fc.is_shalfloop() ) { 
-	  SHalfloop_const_handle l(fc);
-	  SHalfloop_const_handle ll = l->twin();
+        } else if (fc.is_shalfloop() ) {
+          SHalfloop_const_handle l(fc);
+          SHalfloop_const_handle ll = l->twin();
           if ( DoneSF[ll->incident_sface()] ) continue;
           SFaceCandidates.push_back(ll->incident_sface());
           DoneSF[ll->incident_sface()] = true;
@@ -602,19 +602,19 @@ visit_shell_objects(SFace_const_handle f
       DoneV[sf->center_vertex()] = true;
       //      SVertex_const_handle sv;
       SM_const_decorator SD(&*sf->center_vertex());
-      /*      
+      /*
       CGAL_forall_svertices(sv,SD){
-	if(SD.is_isolated(sv) && !DoneSV[sv])
-	  V.visit(sv);
+        if(SD.is_isolated(sv) && !DoneSV[sv])
+          V.visit(sv);
       }
       */
       SFace_cycle_const_iterator fc;
       CGAL_forall_sface_cycles_of(fc,sf) {
         if (fc.is_shalfedge() ) {
-	  SHalfedge_const_handle e(fc);
-	  SHalfedge_around_sface_const_circulator ec(e),ee(e);
-          CGAL_For_all(ec,ee) { 
-	    V.visit(SHalfedge_const_handle(ec));
+          SHalfedge_const_handle e(fc);
+          SHalfedge_around_sface_const_circulator ec(e),ee(e);
+          CGAL_For_all(ec,ee) {
+            V.visit(SHalfedge_const_handle(ec));
             SVertex_const_handle vv = ec->twin()->source();
             if ( !SD.is_isolated(vv) && !DoneSV[vv] ) {
               V.visit(vv); // report edge
@@ -625,27 +625,27 @@ visit_shell_objects(SFace_const_handle f
             FacetCandidates.push_back(f); DoneF[f] = true;
           }
         } else if (fc.is_svertex() ) {
-	  SVertex_const_handle v(fc);
-          if ( DoneSV[v] ) continue; 
+          SVertex_const_handle v(fc);
+          if ( DoneSV[v] ) continue;
           V.visit(v); // report edge
-	  V.visit(v->twin());
+          V.visit(v->twin());
           DoneSV[v] = DoneSV[v->twin()] = true;
-	  CGAL_assertion(SD.is_isolated(v));
-	  SFaceCandidates.push_back(v->twin()->incident_sface());
-	  DoneSF[v->twin()->incident_sface()]=true;
+          CGAL_assertion(SD.is_isolated(v));
+          SFaceCandidates.push_back(v->twin()->incident_sface());
+          DoneSF[v->twin()->incident_sface()]=true;
           // note that v is isolated, thus twin(v) is isolated too
-	  //	  SM_const_decorator SD;
-	  //	  SFace_const_handle fo;
-	  //	  fo = v->twin()->incident_sface();
-	  /*
-	  if(SD.is_isolated(v)) 
-	    fo = v->source()->sfaces_begin();
-	  else
-	    fo = v->twin()->incident_sface();
-	  */
+          //          SM_const_decorator SD;
+          //          SFace_const_handle fo;
+          //          fo = v->twin()->incident_sface();
+          /*
+          if(SD.is_isolated(v))
+            fo = v->source()->sfaces_begin();
+          else
+            fo = v->twin()->incident_sface();
+          */
         } else if (fc.is_shalfloop() ) {
-	  SHalfloop_const_handle l(fc);
-	  V.visit(l);
+          SHalfloop_const_handle l(fc);
+          V.visit(l);
           Halffacet_const_handle f = l->twin()->facet();
           if ( DoneF[f] ) continue;
           FacetCandidates.push_back(f);  DoneF[f] = true;
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_constructor.h 5.0.3-1/include/CGAL/Nef_3/SNC_constructor.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_constructor.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_constructor.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_constructor.h $
-// $Id: SNC_constructor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_constructor.h $
+// $Id: SNC_constructor.h b1c09a5 2020-07-20T16:52:24+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Michael Seel       <seel@mpi-sb.mpg.de> 
+//
+// Author(s)     : Michael Seel       <seel@mpi-sb.mpg.de>
 //                 Miguel Granados    <granados@mpi-sb.mpg.de>
 //                 Susan Hert         <hert@mpi-sb.mpg.de>
 //                 Lutz Kettner       <kettner@mpi-sb.mpg.de>
@@ -19,7 +19,7 @@
 #include <CGAL/license/Nef_3.h>
 
 
-#include <CGAL/function_objects.h> 
+#include <CGAL/function_objects.h>
 #include <CGAL/Circulator_project.h>
 #include <CGAL/Nef_S2/Normalizing.h>
 #include <CGAL/Nef_3/bounded_side_3.h>
@@ -48,7 +48,7 @@ struct Frame_point_lt {
   bool operator()(Vertex_handle v1, Vertex_handle v2) const {
     if(v1->point() != v2->point())
       return CGAL::lexicographically_xyz_smaller(v1->point(),v2->point());
-    if(!Infi_box::is_complex_facet_infibox_intersection(*v1) && 
+    if(!Infi_box::is_complex_facet_infibox_intersection(*v1) &&
        Infi_box::is_complex_facet_infibox_intersection(*v2))
       return true;
     return false;
@@ -57,39 +57,39 @@ struct Frame_point_lt {
 
 template <typename T>
 struct circle_lt {
-  
+
   int m_max;
   typedef typename T::Point_3                   Point_3;
   typedef typename T::RT                        RT;
 
   circle_lt(int m) :m_max(m) {};
-  bool operator()(const Point_3& p1, const Point_3& p2) const { 
-        
+  bool operator()(const Point_3& p1, const Point_3& p2) const {
+
     const Quotient<RT> zero(RT(0));
     Quotient<RT> x[2];
     Quotient<RT> y[2];
 
     switch(m_max) {
     case 0:
-      x[0] = p1.y(); 
+      x[0] = p1.y();
       y[0] = p1.z();
-      x[1] = p2.y(); 
-      y[1] = p2.z();  
+      x[1] = p2.y();
+      y[1] = p2.z();
       break;
     case 1:
-      x[0] = p1.x(); 
+      x[0] = p1.x();
       y[0] = p1.z();
-      x[1] = p2.x(); 
-      y[1] = p2.z();  
+      x[1] = p2.x();
+      y[1] = p2.z();
       break;
     case 2:
-      x[0] = p1.x(); 
+      x[0] = p1.x();
       y[0] = p1.y();
-      x[1] = p2.x(); 
-      y[1] = p2.y();  
+      x[1] = p2.x();
+      y[1] = p2.y();
       break;
     }
-    
+
     if(y[0] >= zero) {
       if(y[1] < zero) return false;
       if(x[0] != x[1]) return (x[0]<x[1]);
@@ -108,14 +108,14 @@ struct circle_lt {
 };
 
 // ----------------------------------------------------------------------------
-// SNC_constructor 
+// SNC_constructor
 // ----------------------------------------------------------------------------
 
 /*{\Manpage{SNC_constructor}{SNC}{overlay functionality}{O}}*/
 
 template <typename Items, typename SNC_structure_>
 class SNC_constructor_base : public SNC_decorator<SNC_structure_>
-{ 
+{
 public:
   typedef SNC_structure_ SNC_structure;
   typedef typename SNC_structure::Infi_box                   Infi_box;
@@ -131,7 +131,7 @@ public:
   typedef CGAL::SNC_intersection<SNC_structure>              SNC_intersection;
 
   typedef typename SNC_structure::Sphere_map             Sphere_map;
-  typedef CGAL::SM_decorator<Sphere_map>                 SM_decorator;  
+  typedef CGAL::SM_decorator<Sphere_map>                 SM_decorator;
   typedef CGAL::SNC_SM_overlayer<Items, SM_decorator>    SM_overlayer;
   typedef CGAL::SM_const_decorator<Sphere_map>           SM_const_decorator;
   typedef CGAL::SM_point_locator<SM_decorator>           SM_point_locator;
@@ -160,14 +160,14 @@ public:
   typedef typename SNC_structure::SFace_handle SFace_handle;
   typedef typename SNC_structure::SHalfloop_handle SHalfloop_handle;
 
-  typedef typename SNC_structure::SVertex_const_handle SVertex_const_handle; 
-  typedef typename SNC_structure::SHalfedge_const_handle SHalfedge_const_handle; 
-  typedef typename SNC_structure::SHalfloop_const_handle SHalfloop_const_handle; 
-  typedef typename SNC_structure::SFace_const_handle SFace_const_handle; 
+  typedef typename SNC_structure::SVertex_const_handle SVertex_const_handle;
+  typedef typename SNC_structure::SHalfedge_const_handle SHalfedge_const_handle;
+  typedef typename SNC_structure::SHalfloop_const_handle SHalfloop_const_handle;
+  typedef typename SNC_structure::SFace_const_handle SFace_const_handle;
 
-  typedef typename SNC_structure::SHalfedge_around_facet_circulator 
+  typedef typename SNC_structure::SHalfedge_around_facet_circulator
     SHalfedge_around_facet_circulator;
-  typedef typename SNC_structure::SHalfedge_around_facet_const_circulator 
+  typedef typename SNC_structure::SHalfedge_around_facet_const_circulator
     SHalfedge_around_facet_const_circulator;
   typedef typename SNC_structure::SFace_cycle_iterator SFace_cycle_iterator;
   typedef typename SNC_structure::SFace_cycle_const_iterator SFace_cycle_const_iterator;
@@ -186,15 +186,15 @@ public:
 
   typedef typename SNC_structure::Mark Mark;
 
-  typedef typename SM_decorator::SHalfedge_around_svertex_circulator 
+  typedef typename SM_decorator::SHalfedge_around_svertex_circulator
                                  SHalfedge_around_svertex_circulator;
-  typedef typename SM_decorator::SHalfedge_around_sface_circulator 
+  typedef typename SM_decorator::SHalfedge_around_sface_circulator
                                  SHalfedge_around_sface_circulator;
-  typedef typename SM_const_decorator::SHalfedge_around_svertex_const_circulator 
-                                       SHalfedge_around_svertex_const_circulator; 
+  typedef typename SM_const_decorator::SHalfedge_around_svertex_const_circulator
+                                       SHalfedge_around_svertex_const_circulator;
 
   using SNC_decorator::is_standard;
-  
+
   enum{NORMAL, CORNER, DEGENERATE};
 
   SNC_constructor_base( SNC_structure& W) : SNC_decorator(W) {}
@@ -210,29 +210,30 @@ public:
 
  public:
 
-  Vertex_handle 
+  Vertex_handle
   create_extended_box_corner(NT x, NT y, NT z,
-			     bool space, 
-			     bool boundary
+                             bool space,
+                             bool boundary
 #ifdef CGAL_NEF_INDEXED_ITEMS
-			     , int base
+                             , int base
 #endif
-			     ) const { 
+                             ) const {
 
     CGAL_assertion(CGAL_NTS abs(x) == CGAL_NTS abs(y) &&
-		   CGAL_NTS abs(y) == CGAL_NTS abs(z));
-    
+                   CGAL_NTS abs(y) == CGAL_NTS abs(z));
+
     CGAL_assertion(boundary == true);
-    
+
     CGAL_NEF_TRACEN("  constructing box corner on "<<Point_3(x,y,z)<<"...");
-    Point_3 p = Infi_box::create_extended_point(x,y,z); 
+    Point_3 p = Infi_box::create_extended_point(x,y,z);
     Vertex_handle v = this->sncp()->new_vertex(p , boundary);
     CGAL_NEF_TRACEN( v->point());
     SM_decorator SD(&*v);
-    Sphere_point sp[] = { Sphere_point(NT(-x), 0, 0),
-			  Sphere_point(0, NT(-y), 0),
-			  Sphere_point(0, 0, NT(-z)) };
-    
+    const NT zero(0);
+    Sphere_point sp[] = { Sphere_point(NT(-x), zero, zero),
+                          Sphere_point(zero, NT(-y), zero),
+                          Sphere_point(zero, zero, NT(-z)) };
+
   /* create box vertices */
     SVertex_handle sv[3];
     for(int vi=0; vi<3; ++vi) {
@@ -251,9 +252,9 @@ public:
     SHalfedge_handle she[3];
     for(int si=0; si<3; ++si)
       she[si] = SD.new_shalfedge_pair(sv[si], sv[(si+1)%3]);
-    
+
     for(int i=0; i<3;++i) {
-      she[i]->circle() = 
+      she[i]->circle() =
       Sphere_circle(Plane_3(sp[i],sp[(i+1)%3],Point_3(0,0,0)));
       she[i]->twin()->circle() =  she[i]->circle().opposite();
       she[i]->mark() = she[i]->twin()->mark() = boundary;
@@ -273,13 +274,13 @@ public:
     she[2]->set_index(idx+bit);
     she[2]->twin()->set_index(idx+1-bit);
 #endif
-    
+
     /* create facets */
     SFace_handle fi = SD.new_sface();
     SFace_handle fe = SD.new_sface();
     SD.link_as_face_cycle(she[0], fi);
     SD.link_as_face_cycle(she[0]->twin(), fe);
-    
+
     Sphere_point p1 = she[0]->source()->point();
     Sphere_point p2 = she[0]->twin()->source()->point();
     Sphere_point p3 = she[0]->snext()->twin()->source()->point();
@@ -291,28 +292,28 @@ public:
       fi->mark() = 0;
       fe->mark() = space;
     }
-    
+
     return v;
   }
 
   /*{\Mop produces the sphere map representing thp,e box corner in
           direction $(x,y,z)$.}*/
 
-  template<typename Forward_iterator>  
-  SHalfedge_handle add_outer_sedge_cycle(Vertex_handle v, 
-					 Forward_iterator start,
-					 Forward_iterator end, 
-					 bool orient) {
-    
+  template<typename Forward_iterator>
+  SHalfedge_handle add_outer_sedge_cycle(Vertex_handle v,
+                                         Forward_iterator start,
+                                         Forward_iterator end,
+                                         bool orient) {
+
     CGAL_assertion(start!=end);
-    
+
     v->mark() = true;
     SM_decorator SD(&*v);
-    
+
     Forward_iterator si;
     for(si=start; si!=end; ++si)
       SD.new_svertex(*si);
-    
+
     SHalfedge_handle se,se_prev;
     std::list<SHalfedge_handle> se_list;
     SVertex_iterator sv(SD.svertices_begin()), sv_next(sv);
@@ -324,14 +325,14 @@ public:
       se_list.push_back(se);
       se->mark() = se->twin()->mark() = true;
      if(sv!=SD.svertices_begin()) {
-	se->sprev() = se_prev;
-	se_prev->snext() = se;
-	se->twin()->snext() = se_prev->twin();
-	se_prev->twin()->sprev() = se->twin();
+        se->sprev() = se_prev;
+        se_prev->snext() = se;
+        se->twin()->snext() = se_prev->twin();
+        se_prev->twin()->sprev() = se->twin();
       }
      se_prev = se;
     }
-    
+
     se=*se_list.begin();
     se->sprev() = se_prev;
     se_prev->snext() = se;
@@ -343,11 +344,11 @@ public:
       se = *seli;
       se->circle() = Sphere_circle(se->source()->point(), se->snext()->source()->point());
       if(orient && seli==se_list.begin())
-	 se->circle() = Sphere_circle(se->snext()->source()->point(), se->source()->point());
+         se->circle() = Sphere_circle(se->snext()->source()->point(), se->source()->point());
       se->circle() = normalized(se->circle());
       se->twin()->circle() = se->circle().opposite();
     }
-    
+
     SFace_handle sfa = SD.new_sface();
     SFace_handle sfi = SD.new_sface();
 
@@ -361,11 +362,11 @@ public:
     return se;
   }
 
-  template<typename Forward_iterator>  
-  SHalfedge_handle add_inner_sedge_cycle(Vertex_handle v, 
-					 Forward_iterator start,
-					 Forward_iterator end, 
-					 bool orient, bool camera) {
+  template<typename Forward_iterator>
+  SHalfedge_handle add_inner_sedge_cycle(Vertex_handle v,
+                                         Forward_iterator start,
+                                         Forward_iterator end,
+                                         bool orient, bool camera) {
     CGAL_assertion(start!=end);
 
     v->mark() = true;
@@ -375,12 +376,12 @@ public:
     std::list<SVertex_handle> sv_list;
     for(si=start; si!=end; ++si)
       sv_list.push_back(SD.new_svertex(*si));
-    
+
     SHalfedge_handle se, se_prev;
-    typename std::list<SVertex_handle>::iterator 
+    typename std::list<SVertex_handle>::iterator
       sv(sv_list.begin()), sv_next(sv);
     std::list<SHalfedge_handle> se_list;
-    
+
     for(;sv!=sv_list.end();++sv) {
       ++sv_next;
       (*sv)->mark()=true;
@@ -389,10 +390,10 @@ public:
       se_list.push_back(se);
       se->mark() = se->twin()->mark() = true;
       if(sv!=sv_list.begin()) {
-	se->prev() = se_prev;
-	se_prev->next() = se;
-	se->twin()->next() = se_prev->twin();
-	se_prev->twin()->prev() = se->twin();
+        se->prev() = se_prev;
+        se_prev->next() = se;
+        se->twin()->next() = se_prev->twin();
+        se_prev->twin()->prev() = se->twin();
       }
       se_prev = se;
     }
@@ -408,10 +409,10 @@ public:
       se = *seli;
       se->circle() = Sphere_circle(se->source()->point(), se->snext()->source()->point());
       if(orient && seli==se_list.begin())
-	 se->circle() = Sphere_circle(se->snext()->source()->point(), se->source()->point());
+         se->circle() = Sphere_circle(se->snext()->source()->point(), se->source()->point());
       se->circle() = normalized(se->circle());
       se->twin()->circle() = se->circle().opposite();
-    }  
+    }
 
     SFace_handle sfa,sfi;
     if(camera) {
@@ -435,16 +436,16 @@ public:
   Vertex_handle create_for_infibox_overlay(Vertex_const_handle vin) const {
 
     Unique_hash_map<SHalfedge_handle, Mark> mark_of_right_sface;
-    
+
     Vertex_handle v = this->sncp()->new_vertex(vin->point(), vin->mark());
     SM_decorator D(&*v);
     SM_const_decorator E(&*vin);
-    
+
     SVertex_const_handle e;
     CGAL_forall_svertices(e, E)
       if(!Infi_box::is_edge_on_infibox(e))
-	break;
-    
+        break;
+
     Sphere_point ps = e->point();
     ps = normalized(ps);
     SVertex_handle v1 = D.new_svertex(ps);
@@ -454,11 +455,11 @@ public:
     v1->mark() = v2->mark() = e->mark();
     CGAL_NEF_TRACEN("svertex 1 " << ps << " has mark " << v1->mark());
     CGAL_NEF_TRACEN("svertex 2 " << ps.antipode() << " has mark " << v2->mark());
-    
+
     if(E.is_isolated(e)) {
       CGAL_NEF_TRACEN("edge is isolated");
       SFace_handle f = D.new_sface();
-      f->mark() = e->incident_sface()->mark();    
+      f->mark() = e->incident_sface()->mark();
       D.link_as_isolated_vertex(v1, f);
       D.link_as_isolated_vertex(v2, f);
     }
@@ -466,33 +467,33 @@ public:
       CGAL_NEF_TRACEN("edge is not isolated");
       SHalfedge_handle se;
       SFace_handle sf;
-      
+
       SHalfedge_around_svertex_const_circulator ec(E.out_edges(e)), ee(ec);
       CGAL_For_all(ec,ee) {
-	Sphere_segment seg(ec->source()->point(), 
-			   ec->source()->point().antipode(), 
-			   ec->circle());
-	se = D.new_shalfedge_pair(v1, v2);
-	se->mark() = se->twin()->mark() = ec->mark();
-	mark_of_right_sface[se] = ec->incident_sface()->mark();
-	se->circle() = ec->circle();
-	se->twin()->circle() = se->circle().opposite();
+        Sphere_segment seg(ec->source()->point(),
+                           ec->source()->point().antipode(),
+                           ec->circle());
+        se = D.new_shalfedge_pair(v1, v2);
+        se->mark() = se->twin()->mark() = ec->mark();
+        mark_of_right_sface[se] = ec->incident_sface()->mark();
+        se->circle() = ec->circle();
+        se->twin()->circle() = se->circle().opposite();
       }
-      
+
       SHalfedge_around_svertex_circulator ec2(D.out_edges(v1)), ee2(ec2);
       CGAL_For_all(ec2,ee2) {
-	sf = D.new_sface();
-	sf->mark() = mark_of_right_sface[ec2];
-	D.link_as_face_cycle(SHalfedge_handle(ec2),sf);
-      }   
+        sf = D.new_sface();
+        sf->mark() = mark_of_right_sface[ec2];
+        D.link_as_face_cycle(SHalfedge_handle(ec2),sf);
+      }
     }
-    
+
     return v;
   }
 
-  Vertex_handle create_from_plane(const Plane_3& pl, const Point_3& p, 
-				  const Mark& bnd, 
-				  const Mark& in, const Mark& out) const {
+  Vertex_handle create_from_plane(const Plane_3& pl, const Point_3& p,
+                                  const Mark& bnd,
+                                  const Mark& in, const Mark& out) const {
     Vertex_handle v = this->sncp()->new_vertex( p, bnd);
     v->point() = p;
     Sphere_circle c(pl); // circle through origin parallel to h
@@ -501,8 +502,8 @@ public:
     SFace_handle f1 = D.new_sface(), f2 = D.new_sface();
     D.link_as_loop(l,f1);
     D.link_as_loop(l->twin(),f2);
-    
-    l->circle() = c; 
+
+    l->circle() = c;
     l->twin()->circle() = c.opposite();
     f1->mark() = out;
     f2->mark() = in;
@@ -511,35 +512,35 @@ public:
   }
 
   Vertex_handle create_from_point_on_infibox_facet(const Point_3& p) const {
-    
+
     CGAL_assertion(!Infi_box::is_standard(p));
     if(Infi_box::x_on_box(p)) {
-      if(p.hx() > 0) 
-	return create_from_plane(Plane_3(1,0,0,1), p, 1, 1, 0);
+      if(p.hx() > 0)
+        return create_from_plane(Plane_3(1,0,0,1), p, 1, 1, 0);
       else
-	return create_from_plane(Plane_3(-1,0,0,1), p, 1, 1, 0);
+        return create_from_plane(Plane_3(-1,0,0,1), p, 1, 1, 0);
     }
     if(Infi_box::y_on_box(p)) {
-      if(p.hy() > 0) 
-	return create_from_plane(Plane_3(0,1,0,1), p, 1, 1, 0);
+      if(p.hy() > 0)
+        return create_from_plane(Plane_3(0,1,0,1), p, 1, 1, 0);
       else
-	return create_from_plane(Plane_3(0,-1,0,1), p, 1, 1, 0);
+        return create_from_plane(Plane_3(0,-1,0,1), p, 1, 1, 0);
     }
     if(Infi_box::z_on_box(p)) {
-      if(p.hz() > 0) 
-	return create_from_plane(Plane_3(0,0,1,1), p, 1, 1, 0);
+      if(p.hz() > 0)
+        return create_from_plane(Plane_3(0,0,1,1), p, 1, 1, 0);
       else
-	return create_from_plane(Plane_3(0,0,-1,1), p, 1, 1, 0);
+        return create_from_plane(Plane_3(0,0,-1,1), p, 1, 1, 0);
     }
     CGAL_error_msg( "something is wrong");
     return Vertex_handle();
   }
- 
+
   Vertex_handle create_from_point_on_infibox_edge(const Point_3& p) const {
 
     Sphere_point sp;
     Sphere_circle c1,c2;
-    
+
     if(!Infi_box::x_on_box(p)) {
       sp = Sphere_point(1,0,0);
       c1 = (p.hy() < RT(0)) ? Sphere_circle(0,-1,0) : Sphere_circle(0,1,0);
@@ -554,7 +555,7 @@ public:
       c2 = (p.hy() < RT(0)) ? Sphere_circle(0,-1,0) : Sphere_circle(0,1,0);
     } else
       CGAL_error_msg( "line of code shall not be reached");
-    
+
     Vertex_handle v = this->sncp()->new_vertex( p, true);
     SM_decorator D(&*v);
     SVertex_handle v1 = D.new_svertex(sp);
@@ -563,45 +564,45 @@ public:
     SHalfedge_handle e2 = D.new_shalfedge_pair(v1,v2);
     SFace_handle f1 = D.new_sface();
     SFace_handle f2 = D.new_sface();
-    v1->mark() = v2->mark() = 
+    v1->mark() = v2->mark() =
       e1->mark() = e1->twin()->mark() =
       e2->mark() = e2->twin()->mark() = true;
     f1->mark() = false;
     f2->mark() = true;
-    D.link_as_face_cycle(e1,f1);  
+    D.link_as_face_cycle(e1,f1);
     D.link_as_face_cycle(e2,f2);
     e1->circle() = c1;
     e1->twin()->circle() = c1.opposite();
     e1->snext()->circle() = c2;
     e1->snext()->twin()->circle() = c2.opposite();
-    
+
     return v;
   }
- 
+
   Vertex_handle create_from_point_on_infibox_vertex(const Point_3& p) const {
 
     typedef typename Infi_box::Standard_point Standard_point;
     Standard_point ps(Infi_box::standard_point(p,1));
     return create_extended_box_corner(ps.hx(),
-				      ps.hy(),
-				      ps.hz(),true,true);
+                                      ps.hy(),
+                                      ps.hz(),true,true);
   }
 
   Vertex_handle create_from_facet(Halffacet_const_handle f,
-				  const Point_3& p) {
-    return create_from_plane(f->plane(), p, 
-			     f->mark(), 
-			     f->twin()->incident_volume()->mark(), 
-			     f->incident_volume()->mark());
+                                  const Point_3& p) {
+    return create_from_plane(f->plane(), p,
+                             f->mark(),
+                             f->twin()->incident_volume()->mark(),
+                             f->incident_volume()->mark());
   }
 
   /*{\Mop produces the sphere map at point $p$ representing the local
      view of $f$. \precond $p$ is part of $f$.}*/
 
   Vertex_handle create_from_edge(Halfedge_const_handle e,
-				 const Point_3& p) {
+                                 const Point_3& p) {
     //    typedef typename CGAL::SNC_const_decorator<SNC_structure> SNC_const_decorator;
-    
+
     //    CGAL_assertion(SNC_const_decorator::segment(e).has_on(p));
     Vertex_handle v = this->sncp()->new_vertex( p, e->mark());
     SM_decorator D(&*v);
@@ -612,46 +613,46 @@ public:
     v1->mark() = v2->mark() = e->mark();
 
     bool first = true;
-    
+
     // CGAL_NEF_SETDTHREAD(19*43*131);
-    
+
     SHalfedge_const_handle ceee;
     CGAL_NEF_TRACEN("---------------------" << e->center_vertex()->point());
     CGAL_forall_shalfedges(ceee,E)
       CGAL_NEF_TRACEN("|" << ceee->circle() <<
-	     "|" << ceee->mark() << 
-	     " " << ceee->incident_sface()->mark());
+             "|" << ceee->mark() <<
+             " " << ceee->incident_sface()->mark());
     CGAL_NEF_TRACEN(" ");
-    
+
     if(E.is_isolated(e)) {
       SFace_handle f = D.new_sface();
       D.link_as_isolated_vertex(v1,f);
       D.link_as_isolated_vertex(v2,f);
       f->mark() = e->incident_sface()->mark();
     }
-    
-    SHalfedge_around_svertex_const_circulator 
+
+    SHalfedge_around_svertex_const_circulator
       ec1(e->out_sedge()), ee(ec1);
     SHalfedge_handle e1,e2;
     CGAL_For_all(ec1,ee) {
       if (first) e1 = D.new_shalfedge_pair(v1,v2);
-      else       e1 = D.new_shalfedge_pair(e1, e2, SM_decorator::AFTER, 
-					   SM_decorator::BEFORE);
-      e2 = e1->twin(); 
+      else       e1 = D.new_shalfedge_pair(e1, e2, SM_decorator::AFTER,
+                                           SM_decorator::BEFORE);
+      e2 = e1->twin();
       first = false;
     }
-    
+
     SHalfedge_handle eee;
     CGAL_forall_shalfedges(eee,D)
       CGAL_NEF_TRACEN("|" << eee->circle());
     CGAL_NEF_TRACEN(" ");
-       
+
     ec1 = e->out_sedge();
     SHalfedge_around_svertex_circulator ec2(v1->out_sedge());
     CGAL_For_all(ec1,ee) {
       CGAL_NEF_TRACEN("|" << ec1->circle() <<
-	     "|" << ec1->mark() << 
-	     " " << ec1->incident_sface()->mark());
+             "|" << ec1->mark() <<
+             " " << ec1->incident_sface()->mark());
       ec2->mark() = ec2->twin()->mark() = ec1->mark();
       ec2->circle() = ec1->circle();
       ec2->twin()->circle() = ec1->twin()->circle();
@@ -660,10 +661,10 @@ public:
       f->mark() = ec1->incident_sface()->mark();
       ++ec2;
     }
-    
+
     CGAL_NEF_TRACEN(" ");
     CGAL_NEF_TRACEN("new vertex ");
-    
+
     CGAL_forall_svertices(v1, D) {
       CGAL_NEF_TRACE("|" << v1->point() << "|" << v1->mark());
       CGAL_NEF_TRACEN(" ");
@@ -672,10 +673,10 @@ public:
 
     CGAL_forall_shalfedges(eee,D)
       CGAL_NEF_TRACEN("|" << eee->circle() <<
-	     "|" << eee->mark() << 
-	     " " << eee->incident_sface()->mark());
+             "|" << eee->mark() <<
+             " " << eee->incident_sface()->mark());
     CGAL_NEF_TRACEN("---------------------");
-    
+
     return v;
   }
 
@@ -683,7 +684,7 @@ public:
      view of $e$. \precond $p$ is part of $e$.}*/
 
   Vertex_handle clone_SM( Vertex_const_handle vin) {
-    
+
 #ifdef CGAL_NEF3_TIMER_SPHERE_SWEEPS
     ++number_of_clones;
 #endif
@@ -692,26 +693,26 @@ public:
     CGAL::Unique_hash_map<SHalfedge_const_handle, SHalfedge_handle>     EM;
     CGAL::Unique_hash_map<SHalfloop_const_handle, SHalfloop_handle>     LM;
     CGAL::Unique_hash_map<SFace_const_handle, SFace_handle>             FM;
-    
+
     SM_const_decorator E(&*vin);
     Vertex_handle vout = this->sncp()->new_vertex(vin->point(), vin->mark());
     SM_decorator D(&*vout);
-    
+
     SVertex_const_handle sv;
     CGAL_forall_svertices(sv, E) {
       VM[sv] = D.new_svertex(sv->point());
     }
-    
+
     SHalfedge_const_handle se;
     CGAL_forall_sedges(se, E) {
       EM[se] = D.new_shalfedge_pair();
       EM[se->twin()] = EM[se]->twin();
     }
-    
+
     SFace_const_handle sf;
     CGAL_forall_sfaces(sf, E)
       FM[sf] = D.new_sface();
-    
+
     SHalfloop_handle sl;
     if(E.has_shalfloop()) {
       sl = LM[E.shalfloop()] = D.new_shalfloop_pair();
@@ -722,45 +723,45 @@ public:
       sl->twin()->circle() = E.shalfloop()->twin()->circle();
       sl->mark() = sl->twin()->mark() = E.shalfloop()->mark();
     }
-    
+
     CGAL_forall_svertices(sv, E) {
       D.set_first_out_edge(VM[sv], EM[E.first_out_edge(sv)]);
       D.set_face(VM[sv], FM[sv->incident_sface()]);
       VM[sv]->mark() = sv->mark();
     }
-    
+
     CGAL_forall_shalfedges(se, E) {
       EM[se]->mark() = EM[se]->twin()->mark() = se->mark();
       D.set_source(EM[se], VM[se->source()]);
-      D.set_prev(EM[se], EM[se->sprev()]); 
+      D.set_prev(EM[se], EM[se->sprev()]);
       D.set_next(EM[se], EM[se->snext()]);
       D.set_face(EM[se], FM[se->incident_sface()]);
       EM[se]->circle() = se->circle();
     }
-    
+
     CGAL_forall_sfaces(sf, E) {
       FM[sf]->mark() = sf->mark();
       SFace_cycle_const_iterator sfc;
       for(sfc = sf->sface_cycles_begin(); sfc != sf->sface_cycles_end(); ++sfc) {
-	if(sfc.is_svertex())
-	  D.store_sm_boundary_object(VM[SVertex_const_handle(sfc)], FM[sf]);
-	else if(sfc.is_shalfedge())
-	  D.store_sm_boundary_object(EM[SHalfedge_const_handle(sfc)], FM[sf]);
-	else if(sfc.is_shalfloop())
-	  D.store_sm_boundary_object(LM[SHalfloop_const_handle(sfc)], FM[sf]);
-	else CGAL_error_msg("damn wrong handle.");
+        if(sfc.is_svertex())
+          D.store_sm_boundary_object(VM[SVertex_const_handle(sfc)], FM[sf]);
+        else if(sfc.is_shalfedge())
+          D.store_sm_boundary_object(EM[SHalfedge_const_handle(sfc)], FM[sf]);
+        else if(sfc.is_shalfloop())
+          D.store_sm_boundary_object(LM[SHalfloop_const_handle(sfc)], FM[sf]);
+        else CGAL_error_msg("damn wrong handle.");
       }
     }
-    
+
     return vout;
   }
 
   template<typename Selection, typename Association>
-  Sphere_map* create_edge_facet_overlay( Halfedge_const_handle e, 
-					 Halffacet_const_handle f,
-					 const Point_3& p,
-					 const Selection& BOP, bool inv,
-					 Association& ) {
+  Sphere_map* create_edge_facet_overlay( Halfedge_const_handle e,
+                                         Halffacet_const_handle f,
+                                         const Point_3& p,
+                                         const Selection& BOP, bool inv,
+                                         Association& ) {
 
 #ifdef CGAL_NEF3_TIMER_SPHERE_SWEEPS
     ++number_of_edge_facet_overlays;
@@ -769,7 +770,7 @@ public:
     CGAL_NEF_TRACEN("edge facet overlay " << p);
 
     Unique_hash_map<SHalfedge_handle, Mark> mark_of_right_sface;
-    
+
     SM_decorator D(&*this->sncp()->new_vertex(p, BOP(e->mark(), f->mark())));
     SM_const_decorator E(&*e->source());
 
@@ -794,24 +795,24 @@ public:
       Mark mf1 = BOP(e->incident_sface()->mark(), faces_p->incident_volume()->mark(), inv);
       Mark mf2 = BOP(e->incident_sface()->mark(), faces_p->twin()->incident_volume()->mark(), inv);
       Mark ml = BOP(e->incident_sface()->mark(), faces_p->mark(), inv);
-      
+
       SFace_handle f1 = D.new_sface();
       D.link_as_isolated_vertex(v1, f1);
       f1->mark() = mf1;
-      
+
       if(mf1 == mf2 && mf1 == ml) {
-	D.link_as_isolated_vertex(v2, f1);
+        D.link_as_isolated_vertex(v2, f1);
       }
       else {
-	SHalfloop_handle l = D.new_shalfloop_pair();
-	SFace_handle f2 = D.new_sface();    
-	D.link_as_isolated_vertex(v2, f2);
-	D.link_as_loop(l,f1);
-	D.link_as_loop(l->twin(),f2);
-	l->circle() = Sphere_circle(faces_p->plane()); 
-	l->twin()->circle() = l->circle().opposite();
-	f2->mark() = mf2;
-	l->mark() = l->twin()->mark() = ml;
+        SHalfloop_handle l = D.new_shalfloop_pair();
+        SFace_handle f2 = D.new_sface();
+        D.link_as_isolated_vertex(v2, f2);
+        D.link_as_loop(l,f1);
+        D.link_as_loop(l->twin(),f2);
+        l->circle() = Sphere_circle(faces_p->plane());
+        l->twin()->circle() = l->circle().opposite();
+        f2->mark() = mf2;
+        l->mark() = l->twin()->mark() = ml;
       }
     }
     else {
@@ -821,62 +822,62 @@ public:
       SHalfedge_handle se2;
       SFace_handle sf;
       Sphere_circle c(f->plane());
-      
+
       SHalfedge_handle next_edge;
       SHalfedge_around_svertex_const_circulator ec(E.out_edges(e)), ee(ec);
       CGAL_For_all(ec,ee) {
-	Sphere_segment seg(ec->source()->point(), 
-			   ec->source()->point().antipode(), 
-			   ec->circle());
-	Sphere_point sp(intersection(c, seg.sphere_circle()));
-	CGAL_NEF_TRACEN(seg <<" has_on " << sp);
-	if(!seg.has_on(sp))
-	  sp = sp.antipode();
-	sv = D.new_svertex(sp);
-	CGAL_NEF_TRACEN("new svertex 3 " << normalized(sp));
-	sv->mark() = BOP(ec->mark(), f->mark(), inv);
-	se1 = D.new_shalfedge_pair(v1, sv);
-	if(next_edge == SHalfedge_handle())
-	  se2 = D.new_shalfedge_pair(sv, v2); 
-	else
-	  se2 = D.new_shalfedge_pair(sv, next_edge, -1);
-	next_edge = se2->twin();
-	se1->mark() = se1->twin()->mark() = BOP(ec->mark(), faces_p->incident_volume()->mark(), inv);
-	se2->mark() = se2->twin()->mark() = BOP(ec->mark(), faces_p->twin()->incident_volume()->mark(), inv);
-	mark_of_right_sface[se1] = ec->incident_sface()->mark();
-	se1->circle() = se2->circle() = ec->circle();
-	se1->twin()->circle() = se2->twin()->circle() = se1->circle().opposite();
+        Sphere_segment seg(ec->source()->point(),
+                           ec->source()->point().antipode(),
+                           ec->circle());
+        Sphere_point sp(intersection(c, seg.sphere_circle()));
+        CGAL_NEF_TRACEN(seg <<" has_on " << sp);
+        if(!seg.has_on(sp))
+          sp = sp.antipode();
+        sv = D.new_svertex(sp);
+        CGAL_NEF_TRACEN("new svertex 3 " << normalized(sp));
+        sv->mark() = BOP(ec->mark(), f->mark(), inv);
+        se1 = D.new_shalfedge_pair(v1, sv);
+        if(next_edge == SHalfedge_handle())
+          se2 = D.new_shalfedge_pair(sv, v2);
+        else
+          se2 = D.new_shalfedge_pair(sv, next_edge, -1);
+        next_edge = se2->twin();
+        se1->mark() = se1->twin()->mark() = BOP(ec->mark(), faces_p->incident_volume()->mark(), inv);
+        se2->mark() = se2->twin()->mark() = BOP(ec->mark(), faces_p->twin()->incident_volume()->mark(), inv);
+        mark_of_right_sface[se1] = ec->incident_sface()->mark();
+        se1->circle() = se2->circle() = ec->circle();
+        se1->twin()->circle() = se2->twin()->circle() = se1->circle().opposite();
       }
-      
+
       SHalfedge_around_svertex_circulator ec2(D.out_edges(v1)), ee2(ec2);
       CGAL_For_all(ec2,ee2) {
-	SHalfedge_around_svertex_circulator en(ec2);
-	++en;
-	se1 = D.new_shalfedge_pair(ec2->twin(), en->twin(), -1, 1);
-	CGAL_NEF_TRACEN("new edge pair " << ec2->twin()->source()->vector() << 
-			" -> " << en->twin()->source()->vector());
-	se1->circle() = Sphere_circle(faces_p->plane());
-	se1->twin()->circle() = se1->circle().opposite();
+        SHalfedge_around_svertex_circulator en(ec2);
+        ++en;
+        se1 = D.new_shalfedge_pair(ec2->twin(), en->twin(), -1, 1);
+        CGAL_NEF_TRACEN("new edge pair " << ec2->twin()->source()->vector() <<
+                        " -> " << en->twin()->source()->vector());
+        se1->circle() = Sphere_circle(faces_p->plane());
+        se1->twin()->circle() = se1->circle().opposite();
         se1->mark() = se1->twin()->mark() = BOP(mark_of_right_sface[ec2], faces_p->mark(), inv);
 
-	sf = D.new_sface();
-	sf->mark() = BOP(mark_of_right_sface[ec2], faces_p->incident_volume()->mark(), inv);
-	D.link_as_face_cycle(se1,sf);
-	sf = D.new_sface();
-	sf->mark() = BOP(mark_of_right_sface[ec2], faces_p->twin()->incident_volume()->mark(), inv);
-	D.link_as_face_cycle(se1->twin(),sf);
-      }   
+        sf = D.new_sface();
+        sf->mark() = BOP(mark_of_right_sface[ec2], faces_p->incident_volume()->mark(), inv);
+        D.link_as_face_cycle(se1,sf);
+        sf = D.new_sface();
+        sf->mark() = BOP(mark_of_right_sface[ec2], faces_p->twin()->incident_volume()->mark(), inv);
+        D.link_as_face_cycle(se1->twin(),sf);
+      }
     }
-    
+
     return D.sphere_map();
   }
 
  public:
   Point_3 get_transformed_coords_of_vertex(const Point_3& p,
-					   const std::list<Point_3>& segs1,
-  					   const std::list<Point_3>& segs2) {
+                                           const std::list<Point_3>& segs1,
+                                             const std::list<Point_3>& segs2) {
     CGAL_assertion(!segs1.empty() && !segs2.empty());
-    
+
     int side_of_point=1;
     RT max = p.hx();
     if(CGAL_NTS abs(p.hy()) > CGAL_NTS abs(max)) {
@@ -887,9 +888,9 @@ public:
       max = p.hz();
       side_of_point=3;
     }
-    if(max < RT(0)) 
+    if(max < RT(0))
       side_of_point = -side_of_point;
-    
+
     typename std::list<Point_3>::const_iterator s1,s2,t1,t2;
     s1 = Infi_box::segment_on_side(side_of_point, segs1);
     t1 = s1;
@@ -899,7 +900,7 @@ public:
     t2 = s2;
     ++t2;
     if(t2 == segs2.end()) t2=segs2.begin();
-    
+
     SNC_intersection is;
     Point_3 ip;
     bool flag=is.does_intersect_internally(Segment_3(*s1,*t1),Segment_3(*s2,*t2),ip);
@@ -912,8 +913,8 @@ public:
     return normalized(ip);
   }
 
-  Point_3 transform_point_on_infibox(const Point_3& p, 
-				     const Aff_transformation_3& aff) {
+  Point_3 transform_point_on_infibox(const Point_3& p,
+                                     const Aff_transformation_3& aff) {
 
     Point_3 res(p.transform(aff));
     res = normalized(p);
@@ -926,187 +927,187 @@ public:
   }
 
   bool erase_redundant_vertices() {
-    
+
     std::list<Vertex_handle> redundant_points;
     Vertex_iterator v;
-    CGAL_forall_vertices(v, *this->sncp()) 
+    CGAL_forall_vertices(v, *this->sncp())
       if(!is_standard(v))
-	redundant_points.push_back(v);
-    
+        redundant_points.push_back(v);
+
     redundant_points.sort(Frame_point_lt<Infi_box,Vertex_handle>());
-    
+
     typename std::list<Vertex_handle>::iterator vi, vinext;
     for(vi = redundant_points.begin(); vi != redundant_points.end(); ++vi) {
       vinext = vi;
       ++vinext;
       if(vinext == redundant_points.end()) break;
       if((*vi)->point() == (*vinext)->point()) {
-	CGAL_assertion(!Infi_box::is_complex_facet_infibox_intersection(**vi));
-	this->sncp()->delete_vertex(*vi);
+        CGAL_assertion(!Infi_box::is_complex_facet_infibox_intersection(**vi));
+        this->sncp()->delete_vertex(*vi);
       }
     }
-    
+
     NT eval(Infi_box::compute_evaluation_constant_for_halfedge_pairup(*this->sncp()));
     CGAL_NEF_TRACEN("eval at " << eval);
 
     bool res;
     do {
-    
+
       res = false;
       typedef Halfedge_key< Point_3, Halfedge_handle>
-	Halfedge_key;
-      typedef Halfedge_key_lt< Point_3, Halfedge_handle, SNC_decorator> 
-	Halfedge_key_lt;
+        Halfedge_key;
+      typedef Halfedge_key_lt< Point_3, Halfedge_handle, SNC_decorator>
+        Halfedge_key_lt;
       typedef std::list<Halfedge_key>  Halfedge_list;
-      
+
       typedef typename Standard_kernel::Kernel_tag Kernel_tag;
       typedef CGAL::Pluecker_line_3<Kernel_tag,Standard_kernel> Pluecker_line_3;
       typedef CGAL::Pluecker_line_lt        Pluecker_line_lt;
-      typedef std::map< Pluecker_line_3, Halfedge_list, Pluecker_line_lt> 
-	Pluecker_line_map;
-      
+      typedef std::map< Pluecker_line_3, Halfedge_list, Pluecker_line_lt>
+        Pluecker_line_map;
+
       Unique_hash_map<Vertex_handle, bool> erase_vertex(false);
       std::list<Point_3> recreate;
-      
+
       SNC_decorator D(*this);
       Pluecker_line_map M2;
       Pluecker_line_map M3;
       Pluecker_line_map M4;
-      
+
       Halfedge_iterator e;
       CGAL_forall_halfedges(e,*this->sncp()) {
-	Point_3 p = e->source()->point();
-	Point_3 q = p + e->vector();
-	Standard_point_3 sp = Infi_box::standard_point(p,eval);
-	Standard_point_3 sq = Infi_box::standard_point(q,eval);
-	Pluecker_line_3 l( sp, sq);
-	
-	int inverted;
-	l = categorize( l, inverted);
-	
-	CGAL_NEF_TRACEN(" segment("<<p<<", "<<q<<")"<<
-	       " direction("<<e->vector()<<")"<<
-	       " line("<<l<<")"<<" inverted="<<inverted);
-	
-	if(Infi_box::is_edge_on_infibox(e)) {
-	  if(Infi_box::is_type4(e))
-	    M4[l].push_back(Halfedge_key(p,inverted,e));
-	  else
-	    if(Infi_box::is_type3(e))
-	      M3[l].push_back(Halfedge_key(p,inverted,e));
-	    else
-	      M2[l].push_back(Halfedge_key(p,inverted,e));
-	}
+        Point_3 p = e->source()->point();
+        Point_3 q = p + e->vector();
+        Standard_point_3 sp = Infi_box::standard_point(p,eval);
+        Standard_point_3 sq = Infi_box::standard_point(q,eval);
+        Pluecker_line_3 l( sp, sq);
+
+        int inverted;
+        l = categorize( l, inverted);
+
+        CGAL_NEF_TRACEN(" segment("<<p<<", "<<q<<")"<<
+               " direction("<<e->vector()<<")"<<
+               " line("<<l<<")"<<" inverted="<<inverted);
+
+        if(Infi_box::is_edge_on_infibox(e)) {
+          if(Infi_box::is_type4(e))
+            M4[l].push_back(Halfedge_key(p,inverted,e));
+          else
+            if(Infi_box::is_type3(e))
+              M3[l].push_back(Halfedge_key(p,inverted,e));
+            else
+              M2[l].push_back(Halfedge_key(p,inverted,e));
+        }
       }
-      
+
       typename Pluecker_line_map::iterator it;
-      
+
       CGAL_forall_iterators(it,M4) {
-	CGAL_NEF_TRACEN("search opposite4  "<<it->first);
-	it->second.sort(Halfedge_key_lt());
-	typename Halfedge_list::iterator itl;
-	CGAL_forall_iterators(itl,it->second) {
-	  Halfedge_handle e1 = itl->e;
-	  CGAL_NEF_TRACE("    " << e1->source()->point() << " -> ");
-	  ++itl; 
-	  if(itl == it->second.end()) {
-	    erase_vertex[e1->source()] = true;
-	    break;
-	  }
-	  Halfedge_handle e2 = itl->e;
-	  CGAL_NEF_TRACE(e2->source()->point());
-	  if(normalized(e1->point())!=normalized(e2->point().antipode())) {
-	    erase_vertex[e1->source()] = true;
-	    --itl;
-	    CGAL_NEF_TRACE("   failed ");
-	  }
-	  CGAL_NEF_TRACEN("");
-	}
-	CGAL_NEF_TRACEN("");
-	CGAL_NEF_TRACEN("");
+        CGAL_NEF_TRACEN("search opposite4  "<<it->first);
+        it->second.sort(Halfedge_key_lt());
+        typename Halfedge_list::iterator itl;
+        CGAL_forall_iterators(itl,it->second) {
+          Halfedge_handle e1 = itl->e;
+          CGAL_NEF_TRACE("    " << e1->source()->point() << " -> ");
+          ++itl;
+          if(itl == it->second.end()) {
+            erase_vertex[e1->source()] = true;
+            break;
+          }
+          Halfedge_handle e2 = itl->e;
+          CGAL_NEF_TRACE(e2->source()->point());
+          if(normalized(e1->point())!=normalized(e2->point().antipode())) {
+            erase_vertex[e1->source()] = true;
+            --itl;
+            CGAL_NEF_TRACE("   failed ");
+          }
+          CGAL_NEF_TRACEN("");
+        }
+        CGAL_NEF_TRACEN("");
+        CGAL_NEF_TRACEN("");
       }
-      
+
       CGAL_forall_iterators(it,M3) {
-	CGAL_NEF_TRACEN("search opposite3  "<<it->first); 
-	it->second.sort(Halfedge_key_lt());
-	typename Halfedge_list::iterator itl;
-	CGAL_forall_iterators(itl,it->second) {
-	  Halfedge_handle e1 = itl->e;
-	  CGAL_NEF_TRACE("    " << e1->source()->point() << " -> ");
-	  ++itl; 
-	  if(itl == it->second.end()) {
-	    erase_vertex[e1->source()] = true;
-	    break;
-	  }
-	  Halfedge_handle e2 = itl->e;
-	  CGAL_NEF_TRACE(e2->source()->point());
-	  if(normalized(e1->point())!=normalized(e2->point().antipode())) {
-	    erase_vertex[e1->source()] = true;
-	    --itl;
-	    CGAL_NEF_TRACE("   failed ");
-	  }
-	  CGAL_NEF_TRACEN("");
-	}
-	CGAL_NEF_TRACEN("");
-	CGAL_NEF_TRACEN("");
+        CGAL_NEF_TRACEN("search opposite3  "<<it->first);
+        it->second.sort(Halfedge_key_lt());
+        typename Halfedge_list::iterator itl;
+        CGAL_forall_iterators(itl,it->second) {
+          Halfedge_handle e1 = itl->e;
+          CGAL_NEF_TRACE("    " << e1->source()->point() << " -> ");
+          ++itl;
+          if(itl == it->second.end()) {
+            erase_vertex[e1->source()] = true;
+            break;
+          }
+          Halfedge_handle e2 = itl->e;
+          CGAL_NEF_TRACE(e2->source()->point());
+          if(normalized(e1->point())!=normalized(e2->point().antipode())) {
+            erase_vertex[e1->source()] = true;
+            --itl;
+            CGAL_NEF_TRACE("   failed ");
+          }
+          CGAL_NEF_TRACEN("");
+        }
+        CGAL_NEF_TRACEN("");
+        CGAL_NEF_TRACEN("");
       }
-      
+
       CGAL_forall_iterators(it,M2) {
-	CGAL_NEF_TRACEN("search opposite2  "<<it->first); 
-	it->second.sort(Halfedge_key_lt());
-	typename Halfedge_list::iterator itl;
-	CGAL_forall_iterators(itl,it->second) {
-	  Halfedge_handle e1 = itl->e;
-	  CGAL_NEF_TRACE("    " << e1->source()->point() << " -> ");
-	  ++itl; 
-	  if(itl == it->second.end()) {
-	    erase_vertex[e1->source()] = true;
-	    break;
-	  }
-	  Halfedge_handle e2 = itl->e;
-	  CGAL_NEF_TRACE(e2->source()->point());
-	  if(normalized(e1->point())!=normalized(e2->point().antipode())) {
-	    erase_vertex[e1->source()] = true;
-	    --itl;	    
-	    CGAL_NEF_TRACE("   failed ");
-	  }
-	  CGAL_NEF_TRACEN("");
-	}
-	CGAL_NEF_TRACEN("");
-	CGAL_NEF_TRACEN("");
+        CGAL_NEF_TRACEN("search opposite2  "<<it->first);
+        it->second.sort(Halfedge_key_lt());
+        typename Halfedge_list::iterator itl;
+        CGAL_forall_iterators(itl,it->second) {
+          Halfedge_handle e1 = itl->e;
+          CGAL_NEF_TRACE("    " << e1->source()->point() << " -> ");
+          ++itl;
+          if(itl == it->second.end()) {
+            erase_vertex[e1->source()] = true;
+            break;
+          }
+          Halfedge_handle e2 = itl->e;
+          CGAL_NEF_TRACE(e2->source()->point());
+          if(normalized(e1->point())!=normalized(e2->point().antipode())) {
+            erase_vertex[e1->source()] = true;
+            --itl;
+            CGAL_NEF_TRACE("   failed ");
+          }
+          CGAL_NEF_TRACEN("");
+        }
+        CGAL_NEF_TRACEN("");
+        CGAL_NEF_TRACEN("");
       }
-      
+
       std::vector<Vertex_iterator> vertices_to_delete ;
       Vertex_iterator v;
       CGAL_forall_vertices(v, *this->sncp()) {
-	if(erase_vertex[v]) {
-	  CGAL_NEF_TRACEN("erase " << v->point());
-	  if(Infi_box::is_infibox_corner(v->point()))
-	    recreate.push_back(v->point());
-	  vertices_to_delete.push_back(v);
-	  res = true;
-	}
+        if(erase_vertex[v]) {
+          CGAL_NEF_TRACEN("erase " << v->point());
+          if(Infi_box::is_infibox_corner(v->point()))
+            recreate.push_back(v->point());
+          vertices_to_delete.push_back(v);
+          res = true;
+        }
       }
 
       for( typename std::vector<Vertex_iterator>::iterator vit = vertices_to_delete.begin()
          ; vit != vertices_to_delete.end()
-         ; ++ vit 
+         ; ++ vit
          )
         this->sncp()->delete_vertex(*vit);
-         
-      
+
+
       typename std::list<Point_3>::const_iterator pi;
       for(pi = recreate.begin(); pi != recreate.end(); ++pi)
-	create_from_point_on_infibox_vertex(*pi);
-      
+        create_from_point_on_infibox_vertex(*pi);
+
     } while(res);
-    
+
     return res;
   }
 
   std::list<Point_3> find_points_of_box_with_plane(const Plane_3& h) {
     Vector_3 orth = h.orthogonal_vector();
-    
+
     NT orth_coords[3];
     orth_coords[0] = orth.hx()[0];
     orth_coords[1] = orth.hy()[0];
@@ -1117,39 +1118,39 @@ public:
       CGAL_assertion(add_corners < 2);
       ++add_corners;
     }
-    
+
     std::list<Point_3> points;
     for(int dir=0; dir<3;++dir) {
 
       NT cnst[3] = { 0, 0, 0 };
       cnst[dir] = -h.d()[0];
-      
+
       NT cross[4][4];
       cross[0][dir] = -orth_coords[(dir+1)%3]-orth_coords[(dir+2)%3];
       cross[1][dir] =  orth_coords[(dir+1)%3]-orth_coords[(dir+2)%3];
-      cross[2][dir] =  orth_coords[(dir+1)%3]+orth_coords[(dir+2)%3];  
+      cross[2][dir] =  orth_coords[(dir+1)%3]+orth_coords[(dir+2)%3];
       cross[3][dir] = -orth_coords[(dir+1)%3]+orth_coords[(dir+2)%3];
-  
+
       for(int i=0;i<4;++i)
-	cross[i][3] = orth_coords[dir];
+        cross[i][3] = orth_coords[dir];
 
       cross[0][(dir+1)%3] = cross[3][(dir+1)%3] =  orth_coords[dir];
       cross[1][(dir+1)%3] = cross[2][(dir+1)%3] = -orth_coords[dir];
-      
+
       cross[0][(dir+2)%3] = cross[1][(dir+2)%3] =  orth_coords[dir];
       cross[2][(dir+2)%3] = cross[3][(dir+2)%3] = -orth_coords[dir];
 
       for(int i=0; i<4; ++i)
-	if(CGAL_NTS abs(RT(cnst[dir],cross[i][dir])) < 
-	   CGAL_NTS abs(RT(0,orth_coords[dir])) ||
-	   (CGAL_NTS abs(RT(cnst[dir],cross[i][dir])) == 
-	    CGAL_NTS abs(RT(0,orth_coords[dir])) && 
-	    dir == add_corners))
-
-	  points.push_back(Point_3(RT(cnst[0], cross[i][0]),
-				   RT(cnst[1], cross[i][1]),
-				   RT(cnst[2], cross[i][2]),
-				   RT(cross[i][3])));
+        if(CGAL_NTS abs(RT(cnst[dir],cross[i][dir])) <
+           CGAL_NTS abs(RT(0,orth_coords[dir])) ||
+           (CGAL_NTS abs(RT(cnst[dir],cross[i][dir])) ==
+            CGAL_NTS abs(RT(0,orth_coords[dir])) &&
+            dir == add_corners))
+
+          points.push_back(Point_3(RT(cnst[0], cross[i][0]),
+                                   RT(cnst[1], cross[i][1]),
+                                   RT(cnst[2], cross[i][2]),
+                                   RT(cross[i][3])));
     }
 
     for(int i=0;i<3;++i)
@@ -1159,25 +1160,25 @@ public:
     if(orth_coords[1] > orth_coords[0])
       max = 1;
     if(orth_coords[2] > orth_coords[max])
-      max = 2;   
+      max = 2;
 
     int min = 0;
     if(orth_coords[1] < orth_coords[0])
       min = 1;
     if(orth_coords[2] < orth_coords[min])
-      min = 2;   
+      min = 2;
 
     points.sort(circle_lt<Kernel>(max));
 
     typename std::list<Point_3>::const_iterator p;
     for(p=points.begin();p!=points.end();++p)
       CGAL_NEF_TRACEN(*p);
-    
+
     return points;
-  }  
+  }
 
   std::list<Point_3> find_facet_infibox_intersections(Halffacet_handle fi,
-						      std::list<Point_3> points) {
+                                                      std::list<Point_3> points) {
 
     // points is a list of the required points, but with the inverse transformation applied
 
@@ -1192,32 +1193,32 @@ public:
       typename std::list<Point_3>::iterator pi,pprev;
       pi = points.begin();
       while(pi != points.end()) {
-	*pi = normalized(*pi);
-	CGAL_NEF_TRACEN(src << "->" << trg << " has on " << *pi << src.x() << " : " );
-	CGAL_NEF_TRACEN((src.x()-pi->x() <= 0) << "|" << (src.y()-pi->y() <= 0) << "|" << (src.z()-pi->z() <= 0) );
-	CGAL_NEF_TRACEN((pi->x()-trg.x() <= 0) << "|" << (pi->y()-trg.y() <= 0) << "|" << (pi->z()-trg.z() <= 0) );
-	if(( (src.x()-pi->x() <= 0 && pi->x()-trg.x() <= 0) || 
+        *pi = normalized(*pi);
+        CGAL_NEF_TRACEN(src << "->" << trg << " has on " << *pi << src.x() << " : " );
+        CGAL_NEF_TRACEN((src.x()-pi->x() <= 0) << "|" << (src.y()-pi->y() <= 0) << "|" << (src.z()-pi->z() <= 0) );
+        CGAL_NEF_TRACEN((pi->x()-trg.x() <= 0) << "|" << (pi->y()-trg.y() <= 0) << "|" << (pi->z()-trg.z() <= 0) );
+        if(( (src.x()-pi->x() <= 0 && pi->x()-trg.x() <= 0) ||
              (src.x()-pi->x() >= 0 && pi->x()-trg.x() >= 0)) &&
-	   ((src.y()-pi->y() <= 0 && pi->y()-trg.y() <= 0) || 
-	    (src.y()-pi->y() >= 0 && pi->y()-trg.y() >= 0)) &&
-	   ((src.z()-pi->z() <= 0 && pi->z()-trg.z() <= 0) ||
-	    (src.z()-pi->z() >= 0 && pi->z()-trg.z() >= 0))) {
-	  pprev = pi;
-	  ++pi;
-	  res.push_back(*pprev);
-	  points.erase(pprev);
-	}
-	else {
-	  ++pi;
-	}
+           ((src.y()-pi->y() <= 0 && pi->y()-trg.y() <= 0) ||
+            (src.y()-pi->y() >= 0 && pi->y()-trg.y() >= 0)) &&
+           ((src.z()-pi->z() <= 0 && pi->z()-trg.z() <= 0) ||
+            (src.z()-pi->z() >= 0 && pi->z()-trg.z() >= 0))) {
+          pprev = pi;
+          ++pi;
+          res.push_back(*pprev);
+          points.erase(pprev);
+        }
+        else {
+          ++pi;
+        }
       }
     }
     return res;
   }
 
-  std::list<Vertex_handle> 
-  create_vertices_on_infibox(const Plane_3& h, const std::list<Point_3> points, 
-			     const Mark& bnd, const Mark& inside, const Mark& outside) {
+  std::list<Vertex_handle>
+  create_vertices_on_infibox(const Plane_3& h, const std::list<Point_3> points,
+                             const Mark& bnd, const Mark& inside, const Mark& outside) {
     std::list<Vertex_handle> res;
     NT orth_coords[3];
     int min,max;
@@ -1225,7 +1226,7 @@ public:
 
     typename std::list<Point_3>::const_iterator p,prev,next;
     for(p=points.begin();p!=points.end();++p){
-      
+
       if(p==points.begin()) prev = --points.end();
       else { prev = p; prev--;}
       if(p==--points.end()) next=points.begin();
@@ -1239,7 +1240,7 @@ public:
       CGAL_assertion(Infi_box::degree(sp1.hy()) == 0);
       CGAL_assertion(Infi_box::degree(sp1.hz()) == 0);
       CGAL_assertion(Infi_box::degree(sp1.hw()) == 0);
-      
+
       v= *next - *p;
       Sphere_point sp2(v);
       sp2 = normalized(sp2);
@@ -1247,26 +1248,26 @@ public:
       CGAL_assertion(Infi_box::degree(sp2.hy()) == 0);
       CGAL_assertion(Infi_box::degree(sp2.hz()) == 0);
       CGAL_assertion(Infi_box::degree(sp2.hw()) == 0);
-      
+
       CGAL_NEF_TRACEN("sps " << sp1 << "     " << sp2);
-      CGAL_NEF_TRACEN(orth_coords[min] << "|" << 
-	     orth_coords[(min+1)%3] << "|" << 
-	     orth_coords[(min+2)%3]);
-      
-      if(orth_coords[min]==0 && orth_coords[(min+1)%3] == 
-	 orth_coords[(min+2)%3] && h.d() == 0) 
-	res.push_back(create_degenerate_corner_frame_point(*p,sp1,sp2,min,max,h,bnd,inside,outside));
-      else if(CGAL_NTS abs(p->hx()) == CGAL_NTS abs(p->hy()) && 
-	      CGAL_NTS abs(p->hz()) == CGAL_NTS abs(p->hy()))
-	res.push_back(create_corner_frame_point(*p,sp1,sp2,max,h,bnd,inside,outside));
+      CGAL_NEF_TRACEN(orth_coords[min] << "|" <<
+             orth_coords[(min+1)%3] << "|" <<
+             orth_coords[(min+2)%3]);
+
+      if(orth_coords[min]==0 && orth_coords[(min+1)%3] ==
+         orth_coords[(min+2)%3] && h.d() == 0)
+        res.push_back(create_degenerate_corner_frame_point(*p,sp1,sp2,min,max,h,bnd,inside,outside));
+      else if(CGAL_NTS abs(p->hx()) == CGAL_NTS abs(p->hy()) &&
+              CGAL_NTS abs(p->hz()) == CGAL_NTS abs(p->hy()))
+        res.push_back(create_corner_frame_point(*p,sp1,sp2,max,h,bnd,inside,outside));
       else
-	res.push_back(create_frame_point(*p,sp1,sp2,h,bnd,inside,outside));
+        res.push_back(create_frame_point(*p,sp1,sp2,h,bnd,inside,outside));
     }
     return res;
   }
-    
+
   void create_vertices_for_halfspace
-    (const Plane_3& h, const Mark& boundary) 
+    (const Plane_3& h, const Mark& boundary)
   {
     std::list<Point_3> points(find_points_of_box_with_plane(h));
 
@@ -1284,7 +1285,7 @@ public:
 
     typename std::list<Point_3>::const_iterator p,prev,next;
     for(p=points.begin();p!=points.end();++p){
-      
+
       if(p==points.begin()) prev = --points.end();
       else { prev = p; prev--;}
       if(p==--points.end()) next=points.begin();
@@ -1298,7 +1299,7 @@ public:
       CGAL_assertion(Infi_box::degree(sp1.hy()) == 0);
       CGAL_assertion(Infi_box::degree(sp1.hz()) == 0);
       CGAL_assertion(Infi_box::degree(sp1.hw()) == 0);
-      
+
       v= *next - *p;
       Sphere_point sp2(v);
       sp2 = normalized(sp2);
@@ -1306,14 +1307,14 @@ public:
       CGAL_assertion(Infi_box::degree(sp2.hy()) == 0);
       CGAL_assertion(Infi_box::degree(sp2.hz()) == 0);
       CGAL_assertion(Infi_box::degree(sp2.hw()) == 0);
-      
+
 #ifdef CGAL_NEF_INDEXED_ITEMS
       create_halfspace_vertex(*p,sp1,sp2,h,boundary,
-			      inside, !inside,
-			      base, plus);
+                              inside, !inside,
+                              base, plus);
 #else
       create_halfspace_vertex(*p,sp1,sp2,h,boundary,
-			      inside, !inside);
+                              inside, !inside);
 #endif
 
     }
@@ -1321,7 +1322,7 @@ public:
 
   void create_vertices_of_box_with_plane(const Plane_3& h, bool b) {
     // CGAL_NEF_SETDTHREAD(19*43*11);
-  
+
     std::list<Point_3> points(find_points_of_box_with_plane(h));
     create_vertices_on_infibox(h,points,b,true,false);
 
@@ -1331,91 +1332,91 @@ public:
       Index_generator::get_unique_index();
 #endif
 
-    RT sum= h.a()+h.b()+h.c(); 
-    if(h.d()!=0 || sum!= 0) { 
-      CGAL_NEF_TRACEN(sum); 
+    RT sum= h.a()+h.b()+h.c();
+    if(h.d()!=0 || sum!= 0) {
+      CGAL_NEF_TRACEN(sum);
       create_extended_box_corner
-	( 1, 1, 1, (sum<0 || (sum == 0 && h.d()<0)), true
+        ( 1, 1, 1, (sum<0 || (sum == 0 && h.d()<0)), true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-	  , base
+          , base
 #endif
-	  );
+          );
     }
-    sum=-h.a()+h.b()+h.c(); 
-    if(h.d()!=0 || sum!= 0) { 
-      CGAL_NEF_TRACEN(sum); 
+    sum=-h.a()+h.b()+h.c();
+    if(h.d()!=0 || sum!= 0) {
+      CGAL_NEF_TRACEN(sum);
       create_extended_box_corner
-	(-1, 1, 1, (sum<0 || (sum == 0 && h.d()<0)), true
+        (-1, 1, 1, (sum<0 || (sum == 0 && h.d()<0)), true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-	  , base
+          , base
 #endif
-	  );
+          );
     }
-    sum= h.a()-h.b()+h.c(); 
-    if(h.d()!=0 || sum!= 0) { 
-      CGAL_NEF_TRACEN(sum); 
+    sum= h.a()-h.b()+h.c();
+    if(h.d()!=0 || sum!= 0) {
+      CGAL_NEF_TRACEN(sum);
       create_extended_box_corner
-	( 1,-1, 1, (sum<0 || (sum == 0 && h.d()<0)), true
+        ( 1,-1, 1, (sum<0 || (sum == 0 && h.d()<0)), true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-	  , base
+          , base
 #endif
-	  );
+          );
     }
-    sum=-h.a()-h.b()+h.c(); 
-    if(h.d()!=0 || sum!= 0) { 
-      CGAL_NEF_TRACEN(sum); 
+    sum=-h.a()-h.b()+h.c();
+    if(h.d()!=0 || sum!= 0) {
+      CGAL_NEF_TRACEN(sum);
       create_extended_box_corner
-	(-1,-1, 1, (sum<0 || (sum == 0 && h.d()<0)), true
+        (-1,-1, 1, (sum<0 || (sum == 0 && h.d()<0)), true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-	  , base
+          , base
 #endif
-	  );
+          );
     }
-    sum= h.a()+h.b()-h.c(); 
-    if(h.d()!=0 || sum!= 0) { 
-      CGAL_NEF_TRACEN(sum); 
+    sum= h.a()+h.b()-h.c();
+    if(h.d()!=0 || sum!= 0) {
+      CGAL_NEF_TRACEN(sum);
       create_extended_box_corner
-	( 1, 1,-1, (sum<0 || (sum == 0 && h.d()<0)), true
+        ( 1, 1,-1, (sum<0 || (sum == 0 && h.d()<0)), true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-	  , base
+          , base
 #endif
-	  );
+          );
     }
-    sum=-h.a()+h.b()-h.c(); 
-    if(h.d()!=0 || sum!= 0) { 
-      CGAL_NEF_TRACEN(sum); 
+    sum=-h.a()+h.b()-h.c();
+    if(h.d()!=0 || sum!= 0) {
+      CGAL_NEF_TRACEN(sum);
       create_extended_box_corner
-	(-1, 1,-1, (sum<0 || (sum == 0 && h.d()<0)), true
+        (-1, 1,-1, (sum<0 || (sum == 0 && h.d()<0)), true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-	  , base
+          , base
 #endif
-	  );
+          );
     }
-    sum= h.a()-h.b()-h.c(); 
-    if(h.d()!=0 || sum!= 0) { 
-      CGAL_NEF_TRACEN(sum); 
+    sum= h.a()-h.b()-h.c();
+    if(h.d()!=0 || sum!= 0) {
+      CGAL_NEF_TRACEN(sum);
       create_extended_box_corner
-	( 1,-1,-1, (sum<0 || (sum == 0 && h.d()<0)), true
+        ( 1,-1,-1, (sum<0 || (sum == 0 && h.d()<0)), true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-	  , base
+          , base
 #endif
-	  );
+          );
     }
-    sum=-h.a()-h.b()-h.c(); 
-    if(h.d()!=0 || sum!= 0) { 
-      CGAL_NEF_TRACEN(sum); 
+    sum=-h.a()-h.b()-h.c();
+    if(h.d()!=0 || sum!= 0) {
+      CGAL_NEF_TRACEN(sum);
       create_extended_box_corner
-	(-1,-1,-1, (sum<0 || (sum == 0 && h.d()<0)), true
+        (-1,-1,-1, (sum<0 || (sum == 0 && h.d()<0)), true
 #ifdef CGAL_NEF_INDEXED_ITEMS
-	  , base
+          , base
 #endif
-	  );
+          );
     }
   }
 
   Vertex_handle create_halfspace_vertex
     (const Point_3& p, const Point_3& sp0, const Point_3& sp1,
-     const Plane_3& h, const Mark& boundary, 
+     const Plane_3& h, const Mark& boundary,
      const Mark& inside, const Mark& outside
 #ifdef CGAL_NEF_INDEXED_ITEMS
      , int base, int& plus
@@ -1425,28 +1426,28 @@ public:
     // Question: why can this be a const fucnction??
 
     if(h.d() == 0) {
-      CGAL_assertion(CGAL_NTS abs(p.hy()) != 
-		     CGAL_NTS abs(p.hx()) ||
-		     CGAL_NTS abs(p.hz()) != 
-		     CGAL_NTS abs(p.hx()));
+      CGAL_assertion(CGAL_NTS abs(p.hy()) !=
+                     CGAL_NTS abs(p.hx()) ||
+                     CGAL_NTS abs(p.hz()) !=
+                     CGAL_NTS abs(p.hx()));
     }
-    
+
     Vertex_handle v=
       this->sncp()->new_vertex(normalized(p), boundary);
-    SM_decorator SD(&*v); 
+    SM_decorator SD(&*v);
 
     std::vector<SVertex_handle> sv(2);
     sv[0] = SD.new_svertex(sp0);
     sv[1] = SD.new_svertex(sp1);
     sv[0]->mark() = sv[1]->mark() = boundary;
-    
+
     SHalfedge_handle se =
       SD.new_shalfedge_pair(sv[0], sv[1]);
-    se->circle() = 
+    se->circle() =
       Sphere_circle(Plane_3(sp0, sp1, Point_3(0,0,0)));
     se->twin()->circle() = se->circle().opposite();
     se->mark() = se->twin()->mark() = boundary;
-    
+
     SHalfedge_handle se2 =
       SD.new_shalfedge_pair(sv[0], sv[1]);
     se2->circle() = se->twin()->circle();
@@ -1458,37 +1459,37 @@ public:
     plus = (plus+1) % 4;
     sv[1]->set_index(base+plus);
     se->set_index(base);
-    se->twin()->set_index(base+1);    
+    se->twin()->set_index(base+1);
 #endif
 
     SFace_handle sf0 = SD.new_sface();
     SFace_handle sf1 = SD.new_sface();
     sf0->mark()= inside;
     sf1->mark()= outside;
-    
+
     SD.link_as_face_cycle(se,sf0);
     SD.link_as_face_cycle(se->twin(),sf1);
-    
+
     return v;
   }
 
-  Vertex_handle 
-    create_frame_point(Point_3 p, Point_3 sp1, Point_3 sp2, Plane_3 h, 
-		       const Mark& boundary, const Mark& inside, const Mark& outside) const 
+  Vertex_handle
+    create_frame_point(Point_3 p, Point_3 sp1, Point_3 sp2, Plane_3 h,
+                       const Mark& boundary, const Mark& inside, const Mark& outside) const
   {
     if(h.d() == 0) {
       CGAL_assertion(CGAL_NTS abs(p.hy()) != CGAL_NTS abs(p.hx()) ||
-		     CGAL_NTS abs(p.hz()) != CGAL_NTS abs(p.hx()));
+                     CGAL_NTS abs(p.hz()) != CGAL_NTS abs(p.hx()));
     }
-    
+
     int max = 0;
     if(CGAL_NTS abs(p.hx()) > CGAL_NTS abs(p.hy()))
       max = 1;
     if(CGAL_NTS abs(p.hx()) > CGAL_NTS abs(p.hz()))
       max = 2;
-    
+
     CGAL_NEF_TRACEN("create frame point ");
-    
+
     CGAL_NEF_TRACEN("create spoints");
     Sphere_point SP[4];
     switch(max) {
@@ -1497,70 +1498,70 @@ public:
     case 2: SP[2] = Sphere_point(0,0,1); break;
     default: CGAL_error_msg("wrong value");
     }
-    
+
     SP[1]=sp1;
     SP[0]=sp2;
-    
+
     if (spherical_orientation(SP[0],SP[1],SP[2]) < 0) {
       SP[3] = SP[2];
       SP[2] = CGAL::ORIGIN-SP[3];
     }
     else
       SP[3] = CGAL::ORIGIN-SP[2];
-    
+
     RT delta = h.a()*SP[2].hx()+h.b()*SP[2].hy()+h.c()*SP[2].hz();
     CGAL_assertion(delta !=0);
     Mark swtch = (delta <  0);
     Mark fmark0 = (swtch && inside)  || (!swtch && !inside);
     Mark fmark1 = (swtch && outside) || (!swtch && !outside);
-    
+
     return create_SM_on_infibox(p, SP, 4, boundary, fmark0, fmark1);
-  }    
-  
-  Vertex_handle 
-    create_corner_frame_point(Point_3 p, Point_3 sp1, Point_3 sp2, 
-			      int max, Plane_3 h, 
-			      const Mark& boundary, const Mark& inside, const Mark& outside) const {
+  }
+
+  Vertex_handle
+    create_corner_frame_point(Point_3 p, Point_3 sp1, Point_3 sp2,
+                              int max, Plane_3 h,
+                              const Mark& boundary, const Mark& inside, const Mark& outside) const {
     CGAL_assertion(h.d() == 0);
-    
+
     Vector_3 vec = h.orthogonal_vector();
-    
+
     CGAL_assertion(CGAL_NTS abs(vec.hx()) != CGAL_NTS abs(vec.hy()) &&
-		   CGAL_NTS abs(vec.hy()) != CGAL_NTS abs(vec.hz()) && 
-		   CGAL_NTS abs(vec.hx()) != CGAL_NTS abs(vec.hz()));
-    
+                   CGAL_NTS abs(vec.hy()) != CGAL_NTS abs(vec.hz()) &&
+                   CGAL_NTS abs(vec.hx()) != CGAL_NTS abs(vec.hz()));
+
     CGAL_assertion(vec.hx() + vec.hy() == vec.hz() ||
-		   vec.hx() + vec.hz() == vec.hy() ||
-		   vec.hy() + vec.hz() == vec.hx());
-    
+                   vec.hx() + vec.hz() == vec.hy() ||
+                   vec.hy() + vec.hz() == vec.hx());
+
     CGAL_NEF_TRACEN("create corner frame point ");
-    
+
     RT vp[3] = {
       static_cast<RT>(-p.hx()[1]),
       static_cast<RT>(-p.hy()[1]),
       static_cast<RT>(-p.hz()[1]) };
-    
+
     CGAL_NEF_TRACEN("create spoints");
     Sphere_point SP[5];
     switch(max) {
-    case 0: 
-      SP[3] = Sphere_point(0,vp[1],0); 
-      SP[2]= Sphere_point(0,0,vp[2]); 
-      SP[4] = Sphere_point(vp[0],0,0); 
+    case 0:
+      SP[3] = Sphere_point(0,vp[1],0);
+      SP[2]= Sphere_point(0,0,vp[2]);
+      SP[4] = Sphere_point(vp[0],0,0);
       break;
-    case 1: 
-      SP[3] = Sphere_point(vp[0],0,0); 
-      SP[2]= Sphere_point(0,0,vp[2]); 
-      SP[4] = Sphere_point(0,vp[1],0); 
+    case 1:
+      SP[3] = Sphere_point(vp[0],0,0);
+      SP[2]= Sphere_point(0,0,vp[2]);
+      SP[4] = Sphere_point(0,vp[1],0);
       break;
-    case 2: 
-      SP[3] = Sphere_point(vp[0],0,0); 
-      SP[2]= Sphere_point(0,vp[1],0); 
-      SP[4] = Sphere_point(0,0,vp[2]); 
+    case 2:
+      SP[3] = Sphere_point(vp[0],0,0);
+      SP[2]= Sphere_point(0,vp[1],0);
+      SP[4] = Sphere_point(0,0,vp[2]);
       break;
     default: CGAL_error_msg("wrong value");
     }
-    
+
     if (spherical_orientation(SP[3],Sphere_point(sp1),Sphere_point(sp2)) > 0) {
       SP[0] = sp1;
       SP[1] = sp2;
@@ -1569,59 +1570,59 @@ public:
       SP[0] = sp2;
       SP[1] = sp1;
     }
-    
+
     if (spherical_orientation(SP[2],SP[3],SP[0]) < 0) {
       Sphere_point sx = SP[2];
       SP[2] = SP[3];
       SP[3] = sx;
     }
-    
+
     RT delta = h.a()*SP[4].hx()+h.b()*SP[4].hy()+h.c()*SP[4].hz();
     CGAL_assertion(delta !=0);
     Mark swtch = (delta >  0);
     Mark fmark0 = (swtch && inside)  || (!swtch && !inside);
     Mark fmark1 = (swtch && outside) || (!swtch && !outside);
-    
+
     return create_SM_on_infibox(p, SP, 5, boundary, fmark0, fmark1);
   }
 
 
-  Vertex_handle 
-    create_degenerate_corner_frame_point(Point_3 p, Point_3 sp1,Point_3 sp2, 
-					 int min,int max, Plane_3 h,
-					 const Mark& boundary, 
-					 const Mark& inside, const Mark& outside)const {
+  Vertex_handle
+    create_degenerate_corner_frame_point(Point_3 p, Point_3 sp1,Point_3 sp2,
+                                         int min,int max, Plane_3 h,
+                                         const Mark& boundary,
+                                         const Mark& inside, const Mark& outside)const {
     CGAL_assertion(h.d() == 0);
-    
+
     Vector_3 vec = h.orthogonal_vector();
-    
+
     CGAL_assertion(
        (CGAL_NTS abs(vec.hx()) == CGAL_NTS abs(vec.hy()) && vec.hz() == 0) ||
-       (CGAL_NTS abs(vec.hy()) == CGAL_NTS abs(vec.hz()) && vec.hx() == 0) || 
+       (CGAL_NTS abs(vec.hy()) == CGAL_NTS abs(vec.hz()) && vec.hx() == 0) ||
        (CGAL_NTS abs(vec.hx()) == CGAL_NTS abs(vec.hz()) && vec.hy() == 0));
-    
+
     RT vp[3] = {
       static_cast<RT>(-p.hx()[1]),
       static_cast<RT>(-p.hy()[1]),
       static_cast<RT>(-p.hz()[1]) };
-    
+
     CGAL_NEF_TRACEN("create degenerate corner frame point ");
-    
+
     CGAL_NEF_TRACEN("create spoints");
     Sphere_point SP[4];
-    
-    switch(max) { 
+
+    switch(max) {
     case 0: SP[2] = Sphere_point(vp[0],0,0); break; // plane(x,x,0), plane(x,0,x)
     case 1: SP[2] = Sphere_point(0,vp[1],0); break; // plane(0,x,x)
     default: CGAL_error_msg("wrong value \"max\"");
     }
-    
+
     switch(min+max) {
     case 1: SP[3] = Sphere_point(0,0,vp[2]); break; // plane(0,x,x), plane(x,0,x)
     case 2: SP[3] = Sphere_point(0,vp[1],0); break; // plane(x,x,0)
     default: CGAL_error_msg("wrong value \"min+max\"");
     }
-    
+
     if (spherical_orientation(SP[2],Sphere_point(sp1),Sphere_point(sp2)) > 0) {
       SP[0] = sp1;
       SP[1] = sp2;
@@ -1630,7 +1631,7 @@ public:
       SP[0] = sp2;
       SP[1] = sp1;
     }
-    
+
     RT delta = h.a()*SP[2].hx()+h.b()*SP[2].hy()+h.c()*SP[2].hz();
     CGAL_assertion(delta !=0);
     Mark swtch = (delta <  0);
@@ -1638,19 +1639,19 @@ public:
     Mark fmark1 = (swtch && outside) || (!swtch && !outside);
 
     return create_SM_on_infibox(p, SP, 4, boundary, fmark0, fmark1);
-  }   
+  }
 
 
 
-  Vertex_handle 
-    create_SM_on_infibox(const Point_3& center, Sphere_point* SP, 
-			 int size, const Mark& boundary, 
-			 const Mark& fmark0, const Mark& fmark1) const {
+  Vertex_handle
+    create_SM_on_infibox(const Point_3& center, Sphere_point* SP,
+                         int size, const Mark& boundary,
+                         const Mark& fmark0, const Mark& fmark1) const {
     Vertex_handle v=this->sncp()->new_vertex(normalized(center), boundary);
-    SM_decorator SD(&*v); 
-    
+    SM_decorator SD(&*v);
+
     CGAL_NEF_TRACEN("create_SM_on_infibox: center = " << center);
-    
+
     CGAL_NEF_TRACEN("create svertices");
     std::vector<SVertex_handle> sv(size);
     CGAL_NEF_TRACEN("create_SM_on_infibox: size = " << size);
@@ -1659,37 +1660,37 @@ public:
       sv[i] = SD.new_svertex(SP[i]);
       sv[i]->mark() = (i < 2 ? boundary : 1);
     }
-    
+
     CGAL_NEF_TRACEN("create sedges");
     std::vector<SHalfedge_handle> she(size+1);
     for(int si=0; si<size-1;++si) {
       she[si]=SD.new_shalfedge_pair(sv[si], sv[(si+1)%(size-1)]);
-      she[si]->circle()= 
-	Sphere_circle(Plane_3(SP[si],SP[(si+1)%(size-1)],Point_3(0,0,0)));
+      she[si]->circle()=
+        Sphere_circle(Plane_3(SP[si],SP[(si+1)%(size-1)],Point_3(0,0,0)));
       she[si]->twin()->circle() = she[si]->circle().opposite();
       she[si]->mark() = she[si]->twin()->mark() = (si == 0 ? boundary : 1);
     }
-    
+
     she[size-1] = SD.new_shalfedge_pair(she[0], sv[size-1], -1);
     CGAL_assertion(she[size-1]->snext() == she[size-1]->twin());
     CGAL_assertion(she[size-1]->twin()->sprev() == she[size-1]);
     CGAL_assertion(she[size-1]->twin()->sprev()->twin() == she[size-1]->twin());
-    
+
     she[size]   = SD.new_shalfedge_pair(she[size-1]->twin(), she[0]->twin(), 1, 1);
-    
+
     CGAL_assertion(she[0]->snext() == she[1]);
     CGAL_assertion(she[1]->snext() == she[2]);
     if(size == 4)
-      CGAL_assertion(she[2]->snext() == she[0]);  
+      CGAL_assertion(she[2]->snext() == she[0]);
     else {
       CGAL_assertion(she[2]->snext() == she[3]);
       CGAL_assertion(she[3]->snext() == she[0]);
     }
-    
+
     CGAL_assertion(she[0]->twin()->snext() == she[size-1]);
     CGAL_assertion(she[size-1]->snext() == she[size]);
     CGAL_assertion(she[size]->snext() == she[0]->twin());
-    
+
     CGAL_assertion(she[4]->twin()->snext() == she[3]->twin());
     CGAL_assertion(she[3]->twin()->snext() == she[2]->twin());
     CGAL_assertion(she[2]->twin()->snext() == she[1]->twin());
@@ -1699,15 +1700,15 @@ public:
       CGAL_assertion(she[5]->twin()->snext() == she[4]->twin());
       CGAL_assertion(she[1]->twin()->snext() == she[5]->twin());
     }
-    
+
     she[size-1]->circle()= Sphere_circle(Plane_3(SP[0],SP[size-1],Point_3(0,0,0)));
-    she[size-1]->twin()->circle() =  she[size-1]->circle().opposite();	  
+    she[size-1]->twin()->circle() =  she[size-1]->circle().opposite();
     she[size-1]->mark() = she[size-1]->twin()->mark() = 1;
-    
+
     she[size]->circle()= Sphere_circle(Plane_3(SP[size-1],SP[1],Point_3(0,0,0)));
     she[size]->twin()->circle() =  she[size]->circle().opposite();
     she[size]->mark() = she[size]->twin()->mark() = 1;
-    
+
     CGAL_NEF_TRACEN("create sfaces");
     SFace_handle sf[3];
     for(int i=0; i<3; ++i)
@@ -1715,11 +1716,11 @@ public:
     sf[0]->mark()= fmark0;
     sf[1]->mark()= fmark1;
     sf[2]->mark()=0;
-    
+
     SD.link_as_face_cycle(she[0],sf[0]);
     SD.link_as_face_cycle(she[0]->twin(),sf[1]);
     SD.link_as_face_cycle(she[1]->twin(),sf[2]);
-    
+
     return v;
   }
 
@@ -1730,15 +1731,15 @@ public:
       SM_decorator SD(&*v);
       SFace_iterator sf;
       CGAL_forall_sfaces(sf, SD)
-	sf->volume()->mark() = sf->mark();
+        sf->volume()->mark() = sf->mark();
     }
     CGAL_forall_vertices(v,*this->sncp()) {
       if(is_standard(v) || !Infi_box::is_infibox_corner(v->point())) continue;
       SM_decorator SD(&*v);
       SFace_iterator sf;
       CGAL_forall_sfaces(sf, SD)
-	sf->mark() = sf->volume()->mark();
-    }    
+        sf->mark() = sf->volume()->mark();
+    }
   }
 
   void create_facets_and_volumes_of_halfspace(const Plane_3& h) {
@@ -1746,9 +1747,9 @@ public:
       this->sncp()->vertices_begin()->shalfedges_begin();
     Halffacet_handle f =
       this->sncp()->new_halffacet_pair(h);
-    Volume_handle c0 = 
+    Volume_handle c0 =
       this->sncp()->new_volume();
-    Volume_handle c1 = 
+    Volume_handle c1 =
       this->sncp()->new_volume();
 
     link_as_facet_cycle(se, f->twin());
@@ -1778,10 +1779,10 @@ public:
       if(is_standard(v)) continue;
       SM_decorator SD(&*v);
       CGAL_forall_shalfedges(se,SD)
-	if(Infi_box::is_sedge_on_infibox(se)) {
-	  se->mark() = true;
-	  se->source()->mark() = true;
-	}
+        if(Infi_box::is_sedge_on_infibox(se)) {
+          se->mark() = true;
+          se->source()->mark() = true;
+        }
     }
   }
 
@@ -1799,7 +1800,7 @@ public:
 
 };
 
-  
+
 
 template<typename SNC_structure_>
 class SNC_constructor<SNC_indexed_items, SNC_structure_>
@@ -1811,7 +1812,7 @@ class SNC_constructor<SNC_indexed_items,
   typedef CGAL::SM_const_decorator<Sphere_map>           SM_const_decorator;
   typedef CGAL::SM_decorator<Sphere_map>                 SM_decorator;
 
-  public:  
+  public:
   typedef typename SNC_structure::SVertex_iterator SVertex_iterator;
   typedef typename SNC_structure::Halfedge_iterator Halfedge_iterator;
   typedef typename SNC_structure::Halffacet_iterator Halffacet_iterator;
@@ -1823,23 +1824,23 @@ class SNC_constructor<SNC_indexed_items,
   typedef typename SNC_structure::Vertex_const_handle Vertex_const_handle;
   typedef typename SNC_structure::Halfedge_const_handle Halfedge_const_handle;
   typedef typename SNC_structure::Halffacet_const_handle Halffacet_const_handle;
-  typedef typename SNC_structure::SVertex_const_handle SVertex_const_handle; 
-  typedef typename SNC_structure::SHalfedge_const_handle SHalfedge_const_handle; 
-  typedef typename SNC_structure::SHalfloop_const_handle SHalfloop_const_handle; 
-  typedef typename SNC_structure::SFace_const_handle SFace_const_handle; 
+  typedef typename SNC_structure::SVertex_const_handle SVertex_const_handle;
+  typedef typename SNC_structure::SHalfedge_const_handle SHalfedge_const_handle;
+  typedef typename SNC_structure::SHalfloop_const_handle SHalfloop_const_handle;
+  typedef typename SNC_structure::SFace_const_handle SFace_const_handle;
 
   typedef typename SNC_structure::SVertex_handle SVertex_handle;
   typedef typename SNC_structure::SHalfedge_handle SHalfedge_handle;
   typedef typename SNC_structure::SFace_handle SFace_handle;
   typedef typename SNC_structure::SHalfloop_handle SHalfloop_handle;
 
-  typedef typename SNC_structure::SHalfedge_around_facet_circulator 
+  typedef typename SNC_structure::SHalfedge_around_facet_circulator
     SHalfedge_around_facet_circulator;
-  typedef typename SNC_structure::SHalfedge_around_facet_const_circulator 
+  typedef typename SNC_structure::SHalfedge_around_facet_const_circulator
     SHalfedge_around_facet_const_circulator;
-  typedef typename SNC_structure::SHalfedge_around_svertex_circulator 
+  typedef typename SNC_structure::SHalfedge_around_svertex_circulator
     SHalfedge_around_svertex_circulator;
-  typedef typename SNC_structure::SHalfedge_around_svertex_const_circulator 
+  typedef typename SNC_structure::SHalfedge_around_svertex_const_circulator
     SHalfedge_around_svertex_const_circulator;
   typedef typename SNC_structure::SFace_cycle_const_iterator SFace_cycle_const_iterator;
   typedef typename SNC_structure::Halffacet_cycle_iterator Halffacet_cycle_iterator;
@@ -1860,16 +1861,16 @@ class SNC_constructor<SNC_indexed_items,
   SNC_constructor( SNC_structure& W) : Base(W) {}
 
   Vertex_handle create_from_facet(Halffacet_const_handle f,
-				  const Point_3& p) {
+                                  const Point_3& p) {
+
+    Vertex_handle v = create_from_plane(f->plane(), p,
+                                        f->mark(),
+                                        f->twin()->incident_volume()->mark(),
+                                        f->incident_volume()->mark());
 
-    Vertex_handle v = create_from_plane(f->plane(), p, 
-					f->mark(), 
-					f->twin()->incident_volume()->mark(), 
-					f->incident_volume()->mark());
-    
     v->shalfloop()->set_index_facet(f->twin());
     v->shalfloop()->twin()->set_index_facet(f);
-    
+
     SHalfedge_const_handle se = f->twin()->facet_cycles_begin();
     CGAL_assertion(v->shalfloop()->circle() == se->circle());
     v->shalfloop()->set_index(se->get_index());
@@ -1879,7 +1880,7 @@ class SNC_constructor<SNC_indexed_items,
 
 
   Vertex_handle create_from_edge(Halfedge_const_handle e,
-				 const Point_3& p) {
+                                 const Point_3& p) {
 
     Vertex_handle v = Base::create_from_edge(e,p);
     SVertex_iterator sv = v->svertices_begin();
@@ -1899,12 +1900,12 @@ class SNC_constructor<SNC_indexed_items,
     sv->set_index(e->get_index());
     ++sv;
     sv->set_index(e->get_index());
-    
+
     return v;
   }
 
   Vertex_handle clone_SM( Vertex_const_handle vin) {
-    
+
 #ifdef CGAL_NEF3_TIMER_SPHERE_SWEEPS
     ++number_of_clones;
 #endif
@@ -1913,17 +1914,17 @@ class SNC_constructor<SNC_indexed_items,
     CGAL::Unique_hash_map<SHalfedge_const_handle, SHalfedge_handle>     EM;
     CGAL::Unique_hash_map<SHalfloop_const_handle, SHalfloop_handle>     LM;
     CGAL::Unique_hash_map<SFace_const_handle, SFace_handle>             FM;
-    
+
     SM_const_decorator E(&*vin);
     Vertex_handle vout = this->sncp()->new_vertex(vin->point(), vin->mark());
     SM_decorator D(&*vout);
-    
+
     SVertex_const_handle sv;
     CGAL_forall_svertices(sv, E) {
       VM[sv] = D.new_svertex(sv->point());
       VM[sv]->set_index(sv->get_index());
     }
-    
+
     SHalfedge_const_handle se;
     CGAL_forall_sedges(se, E) {
       EM[se] = D.new_shalfedge_pair();
@@ -1931,11 +1932,11 @@ class SNC_constructor<SNC_indexed_items,
       EM[se]->set_index(se->get_index());
       EM[se->twin()]->set_index(se->twin()->get_index());
     }
-    
+
     SFace_const_handle sf;
     CGAL_forall_sfaces(sf, E)
       FM[sf] = D.new_sface();
-    
+
     SHalfloop_handle sl;
     if(E.has_shalfloop()) {
       sl = LM[E.shalfloop()] = D.new_shalfloop_pair();
@@ -1948,45 +1949,45 @@ class SNC_constructor<SNC_indexed_items,
       sl->set_index(E.shalfloop()->get_index());
       sl->twin()->set_index(E.shalfloop()->twin()->get_index());
     }
-    
+
     CGAL_forall_svertices(sv, E) {
       D.set_first_out_edge(VM[sv], EM[E.first_out_edge(sv)]);
       D.set_face(VM[sv], FM[sv->incident_sface()]);
       VM[sv]->mark() = sv->mark();
     }
-    
+
     CGAL_forall_shalfedges(se, E) {
       EM[se]->mark() = EM[se]->twin()->mark() = se->mark();
       D.set_source(EM[se], VM[se->source()]);
-      D.set_prev(EM[se], EM[se->sprev()]); 
+      D.set_prev(EM[se], EM[se->sprev()]);
       D.set_next(EM[se], EM[se->snext()]);
       D.set_face(EM[se], FM[se->incident_sface()]);
       EM[se]->circle() = se->circle();
     }
-    
+
     CGAL_forall_sfaces(sf, E) {
       FM[sf]->mark() = sf->mark();
       SFace_cycle_const_iterator sfc;
       for(sfc = sf->sface_cycles_begin(); sfc != sf->sface_cycles_end(); ++sfc) {
-	if(sfc.is_svertex())
-	  D.store_sm_boundary_object(VM[SVertex_const_handle(sfc)], FM[sf]);
-	else if(sfc.is_shalfedge())
-	  D.store_sm_boundary_object(EM[SHalfedge_const_handle(sfc)], FM[sf]);
-	else if(sfc.is_shalfloop())
-	  D.store_sm_boundary_object(LM[SHalfloop_const_handle(sfc)], FM[sf]);
-	else CGAL_error_msg("damn wrong handle.");
+        if(sfc.is_svertex())
+          D.store_sm_boundary_object(VM[SVertex_const_handle(sfc)], FM[sf]);
+        else if(sfc.is_shalfedge())
+          D.store_sm_boundary_object(EM[SHalfedge_const_handle(sfc)], FM[sf]);
+        else if(sfc.is_shalfloop())
+          D.store_sm_boundary_object(LM[SHalfloop_const_handle(sfc)], FM[sf]);
+        else CGAL_error_msg("damn wrong handle.");
       }
     }
-    
+
     return vout;
   }
 
   template<typename Selection, typename Association>
-  Sphere_map* create_edge_facet_overlay( Halfedge_const_handle e, 
-					 Halffacet_const_handle f,
-					 const Point_3& p,
-					 const Selection& BOP, bool inv,
-					 Association& A) {
+  Sphere_map* create_edge_facet_overlay( Halfedge_const_handle e,
+                                         Halffacet_const_handle f,
+                                         const Point_3& p,
+                                         const Selection& BOP, bool inv,
+                                         Association& A) {
 
 #ifdef CGAL_NEF3_TIMER_SPHERE_SWEEPS
     ++number_of_edge_facet_overlays;
@@ -1995,7 +1996,7 @@ class SNC_constructor<SNC_indexed_items,
     CGAL_NEF_TRACEN("edge facet overlay " << p);
 
     Unique_hash_map<SHalfedge_handle, Mark> mark_of_right_sface;
-    
+
     SM_decorator D(&*this->sncp()->new_vertex(p, BOP(e->mark(), f->mark())));
     SM_const_decorator E(&*e->source());
 
@@ -2022,28 +2023,28 @@ class SNC_constructor<SNC_indexed_items,
       Mark mf1 = BOP(e->incident_sface()->mark(), faces_p->incident_volume()->mark(), inv);
       Mark mf2 = BOP(e->incident_sface()->mark(), faces_p->twin()->incident_volume()->mark(), inv);
       Mark ml = BOP(e->incident_sface()->mark(), faces_p->mark(), inv);
-      
+
       SFace_handle f1 = D.new_sface();
       D.link_as_isolated_vertex(v1, f1);
       f1->mark() = mf1;
-      
+
       if(mf1 == mf2 && mf1 == ml) {
-	D.link_as_isolated_vertex(v2, f1);
+        D.link_as_isolated_vertex(v2, f1);
       }
       else {
-	SHalfloop_handle l = D.new_shalfloop_pair();
-	SFace_handle f2 = D.new_sface();    
-	D.link_as_isolated_vertex(v2, f2);
-	D.link_as_loop(l,f1);
-	D.link_as_loop(l->twin(),f2);
-	l->circle() = Sphere_circle(faces_p->plane()); 
-	l->twin()->circle() = l->circle().opposite();
-	f2->mark() = mf2;
-	l->mark() = l->twin()->mark() = ml;
-	Halffacet_cycle_const_iterator fci = faces_p->facet_cycles_begin();
-	SHalfedge_around_facet_const_circulator sea(fci);
-	l->set_index(sea->twin()->get_index());
-	l->twin()->set_index(sea->get_index());
+        SHalfloop_handle l = D.new_shalfloop_pair();
+        SFace_handle f2 = D.new_sface();
+        D.link_as_isolated_vertex(v2, f2);
+        D.link_as_loop(l,f1);
+        D.link_as_loop(l->twin(),f2);
+        l->circle() = Sphere_circle(faces_p->plane());
+        l->twin()->circle() = l->circle().opposite();
+        f2->mark() = mf2;
+        l->mark() = l->twin()->mark() = ml;
+        Halffacet_cycle_const_iterator fci = faces_p->facet_cycles_begin();
+        SHalfedge_around_facet_const_circulator sea(fci);
+        l->set_index(sea->twin()->get_index());
+        l->twin()->set_index(sea->get_index());
       }
     }
     else {
@@ -2053,74 +2054,74 @@ class SNC_constructor<SNC_indexed_items,
       SHalfedge_handle se2;
       SFace_handle sf;
       Sphere_circle c(f->plane());
-      
+
       SHalfedge_handle next_edge;
       SHalfedge_around_svertex_const_circulator ec(E.out_edges(e)), ee(ec);
       CGAL_For_all(ec,ee) {
-	Sphere_segment seg(ec->source()->point(), 
-			   ec->source()->point().antipode(), 
-			   ec->circle());
-	Sphere_point sp(intersection(c, seg.sphere_circle()));
-	CGAL_NEF_TRACEN(seg <<" has_on " << sp);
-	if(!seg.has_on(sp))
-	  sp = sp.antipode();
-	sv = D.new_svertex(sp);
-	CGAL_NEF_TRACEN("new svertex 3 " << normalized(sp));
-	sv->mark() = BOP(ec->mark(), f->mark(), inv);
-	Halffacet_const_handle f1, f2;
-	if(inv) {
-	  f1 = f;
-	  f2 = ec->facet();
-	} else {
-	  f1 = ec->facet();
-	  f2 = f;
-	}
-	if(f1->is_twin()) f1 = f1->twin();
-	if(f2->is_twin()) f2 = f2->twin();
-	A.hash_facet_pair(sv, f1, f2);
-
-	se1 = D.new_shalfedge_pair(v1, sv);
-	if(next_edge == SHalfedge_handle())
-	  se2 = D.new_shalfedge_pair(sv, v2); 
-	else
-	  se2 = D.new_shalfedge_pair(sv, next_edge, -1);
-	next_edge = se2->twin();
-	se1->mark() = se1->twin()->mark() = BOP(ec->mark(), faces_p->incident_volume()->mark(), inv);
-	se2->mark() = se2->twin()->mark() = BOP(ec->mark(), faces_p->twin()->incident_volume()->mark(), inv);
-	mark_of_right_sface[se1] = ec->incident_sface()->mark();
-	se1->circle() = se2->circle() = ec->circle();
-	se1->twin()->circle() = se2->twin()->circle() = se1->circle().opposite();
-	se1->set_index(ec->get_index());
-	se2->set_index(ec->get_index());
-	se1->twin()->set_index(ec->twin()->get_index());
-	se2->twin()->set_index(ec->twin()->get_index());
+        Sphere_segment seg(ec->source()->point(),
+                           ec->source()->point().antipode(),
+                           ec->circle());
+        Sphere_point sp(intersection(c, seg.sphere_circle()));
+        CGAL_NEF_TRACEN(seg <<" has_on " << sp);
+        if(!seg.has_on(sp))
+          sp = sp.antipode();
+        sv = D.new_svertex(sp);
+        CGAL_NEF_TRACEN("new svertex 3 " << normalized(sp));
+        sv->mark() = BOP(ec->mark(), f->mark(), inv);
+        Halffacet_const_handle f1, f2;
+        if(inv) {
+          f1 = f;
+          f2 = ec->facet();
+        } else {
+          f1 = ec->facet();
+          f2 = f;
+        }
+        if(f1->is_twin()) f1 = f1->twin();
+        if(f2->is_twin()) f2 = f2->twin();
+        A.hash_facet_pair(sv, f1, f2);
+
+        se1 = D.new_shalfedge_pair(v1, sv);
+        if(next_edge == SHalfedge_handle())
+          se2 = D.new_shalfedge_pair(sv, v2);
+        else
+          se2 = D.new_shalfedge_pair(sv, next_edge, -1);
+        next_edge = se2->twin();
+        se1->mark() = se1->twin()->mark() = BOP(ec->mark(), faces_p->incident_volume()->mark(), inv);
+        se2->mark() = se2->twin()->mark() = BOP(ec->mark(), faces_p->twin()->incident_volume()->mark(), inv);
+        mark_of_right_sface[se1] = ec->incident_sface()->mark();
+        se1->circle() = se2->circle() = ec->circle();
+        se1->twin()->circle() = se2->twin()->circle() = se1->circle().opposite();
+        se1->set_index(ec->get_index());
+        se2->set_index(ec->get_index());
+        se1->twin()->set_index(ec->twin()->get_index());
+        se2->twin()->set_index(ec->twin()->get_index());
       }
-      
+
       SHalfedge_around_svertex_circulator ec2(D.out_edges(v1)), ee2(ec2);
       CGAL_For_all(ec2,ee2) {
-	SHalfedge_around_svertex_circulator en(ec2);
-	++en;
-	se1 = D.new_shalfedge_pair(ec2->twin(), en->twin(), -1, 1);
-	CGAL_NEF_TRACEN("new edge pair " << ec2->twin()->source()->vector() << 
-			" -> " << en->twin()->source()->vector());
-	se1->circle() = Sphere_circle(faces_p->plane());
-	se1->twin()->circle() = se1->circle().opposite();
+        SHalfedge_around_svertex_circulator en(ec2);
+        ++en;
+        se1 = D.new_shalfedge_pair(ec2->twin(), en->twin(), -1, 1);
+        CGAL_NEF_TRACEN("new edge pair " << ec2->twin()->source()->vector() <<
+                        " -> " << en->twin()->source()->vector());
+        se1->circle() = Sphere_circle(faces_p->plane());
+        se1->twin()->circle() = se1->circle().opposite();
         se1->mark() = se1->twin()->mark() = BOP(mark_of_right_sface[ec2], faces_p->mark(), inv);
 
-	Halffacet_cycle_const_iterator fci = faces_p->facet_cycles_begin();
-	SHalfedge_around_facet_const_circulator sea(fci);
-	se1->set_index(sea->twin()->get_index());
-	se1->twin()->set_index(sea->get_index());
-	
-	sf = D.new_sface();
-	sf->mark() = BOP(mark_of_right_sface[ec2], faces_p->incident_volume()->mark(), inv);
-	D.link_as_face_cycle(se1,sf);
-	sf = D.new_sface();
-	sf->mark() = BOP(mark_of_right_sface[ec2], faces_p->twin()->incident_volume()->mark(), inv);
-	D.link_as_face_cycle(se1->twin(),sf);
-      }   
+        Halffacet_cycle_const_iterator fci = faces_p->facet_cycles_begin();
+        SHalfedge_around_facet_const_circulator sea(fci);
+        se1->set_index(sea->twin()->get_index());
+        se1->twin()->set_index(sea->get_index());
+
+        sf = D.new_sface();
+        sf->mark() = BOP(mark_of_right_sface[ec2], faces_p->incident_volume()->mark(), inv);
+        D.link_as_face_cycle(se1,sf);
+        sf = D.new_sface();
+        sf->mark() = BOP(mark_of_right_sface[ec2], faces_p->twin()->incident_volume()->mark(), inv);
+        D.link_as_face_cycle(se1->twin(),sf);
+      }
     }
-    
+
     return D.sphere_map();
   }
 
@@ -2139,15 +2140,15 @@ class SNC_constructor<SNC_indexed_items,
       se->set_index();
       int index(se->get_index());
       for(; fci != f->facet_cycles_end(); ++fci) {
-	if(fci.is_shalfedge()) {
-	  SHalfedge_around_facet_circulator c1(fci), c2(c1);
-	  CGAL_For_all(c1,c2) {
-	    c1->set_index(index);
-	  }
-	} else if(fci.is_shalfloop()) {
-	  SHalfloop_handle sl(fci);
-	  sl->set_index(index);
-	}
+        if(fci.is_shalfedge()) {
+          SHalfedge_around_facet_circulator c1(fci), c2(c1);
+          CGAL_For_all(c1,c2) {
+            c1->set_index(index);
+          }
+        } else if(fci.is_shalfloop()) {
+          SHalfloop_handle sl(fci);
+          sl->set_index(index);
+        }
       }
     }
   }
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_decorator.h 5.0.3-1/include/CGAL/Nef_3/SNC_decorator.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_decorator.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_decorator.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_decorator.h $
-// $Id: SNC_decorator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_decorator.h $
+// $Id: SNC_decorator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel    <seel@mpi-sb.mpg.de>
 //                 Miguel Granados <granados@mpi-sb.mpg.de>
@@ -42,7 +42,7 @@
 namespace CGAL {
 
 template <typename Map>
-class SNC_decorator : public SNC_const_decorator<Map> { 
+class SNC_decorator : public SNC_const_decorator<Map> {
  public:
   typedef Map SNC_structure;
   typedef typename SNC_structure::Items                Items;
@@ -69,18 +69,18 @@ class SNC_decorator : public SNC_const_d
 
   typedef typename SNC_structure::Vertex_iterator Vertex_iterator;
   typedef typename SNC_structure::Halfedge_iterator Halfedge_iterator;
-  typedef typename SNC_structure::Halffacet_iterator Halffacet_iterator; 
+  typedef typename SNC_structure::Halffacet_iterator Halffacet_iterator;
   typedef typename SNC_structure::Volume_iterator Volume_iterator;
-  typedef typename SNC_structure::SVertex_iterator SVertex_iterator;  
+  typedef typename SNC_structure::SVertex_iterator SVertex_iterator;
   typedef typename SNC_structure::SHalfedge_iterator SHalfedge_iterator;
   typedef typename SNC_structure::SHalfloop_iterator SHalfloop_iterator;
-  typedef typename SNC_structure::SFace_iterator SFace_iterator;  
+  typedef typename SNC_structure::SFace_iterator SFace_iterator;
 
   typedef typename SNC_structure::SHalfedge_around_facet_circulator SHalfedge_around_facet_circulator;
   typedef typename SNC_structure::SFace_cycle_iterator SFace_cycle_iterator;
   typedef typename SNC_structure::Halffacet_cycle_iterator Halffacet_cycle_iterator;
   typedef typename SNC_structure::Shell_entry_iterator Shell_entry_iterator;
- 
+
   typedef typename SNC_structure::Vertex Vertex;
   typedef typename SNC_structure::Halfedge Halfedge;
   typedef typename SNC_structure::Halffacet Halffacet;
@@ -138,9 +138,9 @@ class SNC_decorator : public SNC_const_d
   typedef typename Base::Infi_box Infi_box;
   typedef typename Base::Aff_transformation_3 Aff_transformation_3;
 
-  typedef typename SM_decorator::SHalfedge_around_svertex_circulator 
+  typedef typename SM_decorator::SHalfedge_around_svertex_circulator
                                  SHalfedge_around_svertex_circulator;
-  typedef typename SM_decorator::SHalfedge_around_sface_circulator 
+  typedef typename SM_decorator::SHalfedge_around_sface_circulator
                                  SHalfedge_around_sface_circulator;
 
   typedef CGAL::ID_support_handler<Items, SNC_decorator> Association;
@@ -161,14 +161,14 @@ class SNC_decorator : public SNC_const_d
   #endif
 
   SNC_decorator() : Base(), sncp_() {}
-  SNC_decorator(SNC_structure& W) 
+  SNC_decorator(SNC_structure& W)
     : Base(W), sncp_(&W) {}
-  SNC_decorator(const Self& S) 
+  SNC_decorator(const Self& S)
     : Base(*(S.sncp_)), sncp_(S.sncp_) {}
 
-  SNC_structure* sncp() const { 
+  SNC_structure* sncp() const {
     CGAL_assertion( sncp_ != nullptr);
-    return sncp_; 
+    return sncp_;
   }
 
   void set_snc(SNC_structure& W) {
@@ -177,7 +177,7 @@ class SNC_decorator : public SNC_const_d
 
   std::string debug(SHalfedge_handle e) const
   { std::stringstream os; set_pretty_mode(os);
-    os << "sedge-use " << e->source()->source()->point() 
+    os << "sedge-use " << e->source()->source()->point()
        << e->twin()->source()->twin()->source()->point() <<'\0';
     return os.str();
   }
@@ -191,10 +191,10 @@ class SNC_decorator : public SNC_const_d
       CGAL_assertion( se->incident_sface() != SFace_handle());
       CGAL_assertion( se->twin()->incident_sface()->volume() == f->incident_volume());
       return se->twin()->incident_sface();
-    } 
-    else 
+    }
+    else
       CGAL_error_msg( "Facet outer cycle entry point"
-			     "is not an SHalfedge? ");
+                             "is not an SHalfedge? ");
     return SFace_handle(); // never reached
   }
 
@@ -204,7 +204,7 @@ class SNC_decorator : public SNC_const_d
 
   static Segment_3 segment(Halfedge_handle e)
     { return Segment_3(e->source()->point(),
-		       e->twin()->source()->point()); }
+                       e->twin()->source()->point()); }
 
   GenPtr& info(Vertex_handle v) const
   { return v->info(); }
@@ -237,19 +237,19 @@ class SNC_decorator : public SNC_const_d
   { SHalfedge_around_facet_circulator hfc(e), hend(hfc);
     CGAL_For_all(hfc,hend) hfc->facet() = f;
     store_boundary_object(e,f);
-  } 
+  }
 
   void link_as_interior_loop(SHalfloop_handle l, Halffacet_handle f) const
   { l->facet() = f;
     store_boundary_object(l,f);
-  } 
+  }
 
   template <typename H>
   void make_twins(H h1, H h2) const
   { h1->twin() = h2; h2->twin() = h1; }
 
   void link_as_prev_next_pair(SHalfedge_handle e1, SHalfedge_handle e2) const
-  { e1->next() = e2; e2->prev() = e1; } 
+  { e1->next() = e2; e2->prev() = e1; }
 
   template <typename H>
   void undo_boundary_object(H h, Volume_handle c) const
@@ -261,7 +261,7 @@ class SNC_decorator : public SNC_const_d
 
   template <typename H>
     void store_boundary_object(H h, Volume_handle c, bool at_front = false) const
-  { 
+  {
     if(at_front) {
       c->shell_entry_objects().push_front(make_object(h));
       sncp()->store_boundary_item(h, c->shells_begin());
@@ -280,9 +280,9 @@ class SNC_decorator : public SNC_const_d
     SFace_map linked;
     Shell_volume_setter(const SNCD_& Di)
       : D(Di), linked(false) {}
-    void visit(SFace_handle h) { 
-      CGAL_NEF_TRACEN(h->center_vertex()->point()); 
-      D.set_volume(h, c); 
+    void visit(SFace_handle h) {
+      CGAL_NEF_TRACEN(h->center_vertex()->point());
+      D.set_volume(h, c);
       linked[h] = true;
     }
     void visit(Vertex_handle ) { /* empty */ }
@@ -312,11 +312,11 @@ class SNC_decorator : public SNC_const_d
     store_boundary_object( f, c);
   }
 
-  template <class H> void set_facet(H h, Halffacet_handle f) const 
+  template <class H> void set_facet(H h, Halffacet_handle f) const
     { h->facet() = f; }
   void set_volume(Halffacet_handle h, Volume_handle c) const
     { h->incident_volume() = c; }
-  void set_volume(SFace_handle h, Volume_handle c) const 
+  void set_volume(SFace_handle h, Volume_handle c) const
     { h->volume() = c; }
 
   void add_sloop_to_facet(SHalfloop_handle l, Halffacet_handle f) const {
@@ -342,13 +342,13 @@ class SNC_decorator : public SNC_const_d
     return( e1!=e2 && SD.cyclic_adj_succ(e2)==e1);
   }
 
-  Halffacet_handle get_visible_facet( const Vertex_handle v, 
-				      const Ray_3& ray) const
+  Halffacet_handle get_visible_facet( const Vertex_handle v,
+                                      const Ray_3& ray) const
     /*{\Mop when one shoot a ray |ray| in order to find the facet below to
       an object, and vertex |v| is hit, we need to choose one of the facets
       in the adjacency list of |v| such that it could be 'seen' from the
       piercing point of the |ray| on the sphere map on |v|.  We make it just
-      locating the sphere facet |sf| pierced by |ray| and taking the adjacent 
+      locating the sphere facet |sf| pierced by |ray| and taking the adjacent
       facet to one of the sphere segments on the boundary of |sf|.
       \precondition |ray| target is on |v| and the intersection between
       |ray| and the 2-skeleton incident to v is empty. }*/ {
@@ -358,10 +358,10 @@ class SNC_decorator : public SNC_const_d
     CGAL_assertion( ray.has_on(v->point()));
     Sphere_point sp(ray.source() - v->point());
     CGAL_NEF_TRACEN( "Locating "<<sp <<" in "<< v->point());
-    CGAL_assertion(Infi_box::degree(sp.hx()) < 2 && 
-		   Infi_box::degree(sp.hy()) < 2 && 
-		   Infi_box::degree(sp.hz()) < 2 && 
-		   Infi_box::degree(sp.hw()) == 0);
+    CGAL_assertion(Infi_box::degree(sp.hx()) < 2 &&
+                   Infi_box::degree(sp.hy()) < 2 &&
+                   Infi_box::degree(sp.hz()) < 2 &&
+                   Infi_box::degree(sp.hw()) == 0);
     sp = Infi_box::simplify(sp);
     CGAL_NEF_TRACEN( "Locating "<<sp <<" in "<< v->point());
     SM_point_locator L(&*v);
@@ -372,42 +372,42 @@ class SNC_decorator : public SNC_const_d
       CGAL_error_msg( "it is not possible to decide which one is a visible facet (if any)");
       return Halffacet_handle();
     }
-    
+
     SFace_cycle_iterator fc = sf->sface_cycles_begin(),
       fce = sf->sface_cycles_end();
     if( is_empty_range( fc, fce)) {
-	CGAL_NEF_TRACEN( "no adjacent facet found.");
-	f_visible =  Halffacet_handle();
+        CGAL_NEF_TRACEN( "no adjacent facet found.");
+        f_visible =  Halffacet_handle();
     }
     else {
       if ( fc.is_shalfedge()) {
-	SHalfedge_handle se(fc);
-	CGAL_NEF_TRACEN( "adjacent facet found (SEdges cycle).");
-	CGAL_NEF_TRACEN("se"<<PH(se));
-	CGAL_NEF_TRACEN(se->facet()->plane() <<"/"<<
-	       se->snext()->facet()->plane()  <<"/"<< 
-	       se->snext()->snext()->facet()->plane());
-	f_visible = se->twin()->facet();
-	CGAL_NEF_TRACEN("f_visible"<<f_visible->plane());
+        SHalfedge_handle se(fc);
+        CGAL_NEF_TRACEN( "adjacent facet found (SEdges cycle).");
+        CGAL_NEF_TRACEN("se"<<PH(se));
+        CGAL_NEF_TRACEN(se->facet()->plane() <<"/"<<
+               se->snext()->facet()->plane()  <<"/"<<
+               se->snext()->snext()->facet()->plane());
+        f_visible = se->twin()->facet();
+        CGAL_NEF_TRACEN("f_visible"<<f_visible->plane());
       }
       else if ( fc.is_shalfloop()) {
-	SHalfloop_handle sl(fc);
-	CGAL_NEF_TRACEN( "adjacent facet found (SHalfloop cycle)."<< sl->circle() 
-			 << " with facet "<<sl->facet()->plane());
-	f_visible = sl->twin()->facet();
-	CGAL_NEF_TRACEN("f_visible"<<f_visible->plane());
+        SHalfloop_handle sl(fc);
+        CGAL_NEF_TRACEN( "adjacent facet found (SHalfloop cycle)."<< sl->circle()
+                         << " with facet "<<sl->facet()->plane());
+        f_visible = sl->twin()->facet();
+        CGAL_NEF_TRACEN("f_visible"<<f_visible->plane());
       }
       else if(fc.is_svertex()) {
 #ifdef CGAL_NEF_DEBUG
-	// TODO: is there any warranty that the outter facet cycle enty point is always at first
-	// in the cycles list?
-	++fc; while( fc != fce)  { CGAL_assertion( fc.is_svertex()); ++fc; }
+        // TODO: is there any warranty that the outter facet cycle enty point is always at first
+        // in the cycles list?
+        ++fc; while( fc != fce)  { CGAL_assertion( fc.is_svertex()); ++fc; }
 #endif
-	CGAL_NEF_TRACEN( "no adjacent facets were found (but incident edge(s)).");
-	f_visible = Halffacet_handle();
+        CGAL_NEF_TRACEN( "no adjacent facets were found (but incident edge(s)).");
+        f_visible = Halffacet_handle();
       }
       else
-	CGAL_error_msg("Damn wrong handle");
+        CGAL_error_msg("Damn wrong handle");
     }
     return f_visible;
   }
@@ -415,36 +415,36 @@ class SNC_decorator : public SNC_const_d
   Halffacet_handle get_visible_facet( const Halfedge_handle e,
                                       const Ray_3& ray) const {
    //{\Mop when one shoot a ray |ray| in order to find the facet below to
-   //  an object, and an edge |e| is hit, we need to choose one of the two 
+   //  an object, and an edge |e| is hit, we need to choose one of the two
    //  facets in the adjacency list of |e| that could be 'seen'  from the
    //  piercing point of the |ray| on the local (virtual) view  of |e|
-   //  \precondition |ray| target belongs to |e|. } 
+   //  \precondition |ray| target belongs to |e|. }
 
     SM_decorator SD(&*e->source());
     if( SD.is_isolated(e))
       return Halffacet_handle();
-    
+
     // We search for the plane in the adjacency list of e, which is closest
     // to the ray. The cross product of the direction of e and the orthogonal
-    // vector of a plane gives us a vector vec0/vec1 on the plane of the facet 
+    // vector of a plane gives us a vector vec0/vec1 on the plane of the facet
     // and orthogonal to e, pointing inside of the facet.
 
     Vector_3 ev(segment(e).to_vector()), rv(ray.to_vector());
     SHalfedge_around_svertex_circulator sh(SD.first_out_edge(e));
-    Halffacet_handle res = sh->facet(); 
+    Halffacet_handle res = sh->facet();
     Vector_3 vec0(cross_product(ev,res->plane().orthogonal_vector()));
     /* // probably incorrect assertion
     CGAL_assertion_code
       (Sphere_segment _ess( sh->source()->source()->point(),
-			    sh->next()->source()->source()->point(),
-			    sh->circle());
+                            sh->next()->source()->source()->point(),
+                            sh->circle());
     CGAL_assertion( _ess.has_on(vec0));
     */
     SHalfedge_around_svertex_circulator send(sh);
     CGAL_NEF_TRACEN("initial face candidate "<< res->plane()<<" with vector  "<<vec0);
 
-    // We compare the vectors vec0/vec1 of the facets. The one that is nearest 
-    // to pointing in the opposite direction of the ray, is chosen. The 
+    // We compare the vectors vec0/vec1 of the facets. The one that is nearest
+    // to pointing in the opposite direction of the ray, is chosen. The
     // respective facet is the nearest to the ray.
 
     sh++;
@@ -453,16 +453,16 @@ class SNC_decorator : public SNC_const_d
       CGAL_NEF_TRACEN("test face candidate "<< sh->facet()->plane()<<" with vector  "<<vec1);
       FT sk0(rv*vec0),  sk1(rv*vec1);
       if(sk0<=FT(0) && sk1>=FT(0))
-	continue;
+        continue;
       if(sk0>=FT(0) && sk1<=FT(0)) {
-        res = sh->facet(); 
-	vec0 = vec1;
-	continue;
+        res = sh->facet();
+        vec0 = vec1;
+        continue;
       }
 
-      // We have to comapare the two skalar products sk0 and sk1. Therefore 
+      // We have to comapare the two skalar products sk0 and sk1. Therefore
       // we have to normalize the input vectors vec0 and vec1, which means
-      // that we have to divide them by their lengths len0 and len1. 
+      // that we have to divide them by their lengths len0 and len1.
       // To cicumvent irrational numbers, we sqaure the whole inequality.
 
       FT len0 = vec0.x()*vec0.x()+vec0.y()*vec0.y()+vec0.z()*vec0.z();
@@ -476,12 +476,12 @@ class SNC_decorator : public SNC_const_d
 
       if((sk0>FT(0) && diff<FT(0)) || (sk0<FT(0) && diff>FT(0))) {
         res = sh->facet();
-	vec0 = vec1;
+        vec0 = vec1;
       }
     }
- 
+
     // We have to check which of the two halffacet is visible from
-    // the ray. 
+    // the ray.
 
     if(rv*res->plane().orthogonal_vector() > FT(0))
       res = res->twin();
@@ -491,16 +491,16 @@ class SNC_decorator : public SNC_const_d
   }
 
   Halffacet_handle get_visible_facet( const Halffacet_handle f,
-				      const Ray_3& ray) const 
+                                      const Ray_3& ray) const
     /*{\Mop when one shoot a ray |ray| in order to find the facet below to
       an object, and a facet |f| is hit, we need to choose the right facet
       from the halffacet pair |f| that  could be 'seen'  from the
       piercing point of the |ray| on the local (virtual) view  of |f|.
       \precondition |ray| target belongs to |f| and the intersection between
       |ray| and is not coplanar with |f|. }*/ {
-    
-    CGAL_NEF_TRACEN("get visible facet " << ray << ", " << f->plane() 
-		    << " has on source " << f->plane().has_on(ray.source()));
+
+    CGAL_NEF_TRACEN("get visible facet " << ray << ", " << f->plane()
+                    << " has on source " << f->plane().has_on(ray.source()));
     Halffacet_handle f_visible = f;
     // CGAL_assertion( !f_visible->plane().has_on(ray.source()));
     if( f_visible->plane().has_on_negative_side(ray.source()))
@@ -509,13 +509,13 @@ class SNC_decorator : public SNC_const_d
     return f_visible;
   }
 
-  Halffacet_handle get_visible_facet( const Vertex_handle v, 
-				      const Segment_3& ray) const 
+  Halffacet_handle get_visible_facet( const Vertex_handle v,
+                                      const Segment_3& ray) const
     /*{\Mop when one shoots a ray |ray| in order to find the facet below to
       an object, and vertex |v| is hit, we need to choose one of the facets
       in the adjacency list of |v| such that it could be 'seen' from the
       piercing point of the |ray| on the sphere map on |v|.  We make it just
-      locating the sphere facet |sf| pierced by |ray| and taking the adjacent 
+      locating the sphere facet |sf| pierced by |ray| and taking the adjacent
       facet to one of the sphere segments on the boundary of |sf|.
       \precondition |ray| target is on |v| and the intersection between
       |ray| and the 2-skeleton incident to v is empty. }*/ {
@@ -525,10 +525,10 @@ class SNC_decorator : public SNC_const_d
     CGAL_assertion( ray.has_on(v->point()));
     Sphere_point sp(ray.source() - v->point());
     CGAL_NEF_TRACEN( "Locating "<<sp <<" in "<<v->point());
-    CGAL_assertion(Infi_box::degree(sp.hx()) < 2 && 
-		   Infi_box::degree(sp.hy()) < 2 && 
-		   Infi_box::degree(sp.hz()) < 2 && 
-		   Infi_box::degree(sp.hw()) == 0);
+    CGAL_assertion(Infi_box::degree(sp.hx()) < 2 &&
+                   Infi_box::degree(sp.hy()) < 2 &&
+                   Infi_box::degree(sp.hz()) < 2 &&
+                   Infi_box::degree(sp.hw()) == 0);
     sp = Infi_box::simplify(sp);
     CGAL_NEF_TRACEN( "Locating "<<sp <<" in "<< v->point());
     SM_point_locator L(v);
@@ -541,28 +541,28 @@ class SNC_decorator : public SNC_const_d
     SFace_cycle_iterator fc = sf->sface_cycles_begin(),
       fce = sf->sface_cycles_end();
     if( is_empty_range( fc, fce)) {
-	CGAL_NEF_TRACEN( "no adjacent facets were found.");
-	f_visible =  Halffacet_handle();
+        CGAL_NEF_TRACEN( "no adjacent facets were found.");
+        f_visible =  Halffacet_handle();
     }
     else {
       if (fc.is_shalfege()) {
-	SHalfedge_handle se(fc);
-	CGAL_NEF_TRACEN( "adjacent facet found (SEdges cycle).");
-	CGAL_NEF_TRACEN("se"<<PH(se));
-	f_visible = se->twin()->facet();
-	CGAL_NEF_TRACEN("f_visible"<<&f_visible);
+        SHalfedge_handle se(fc);
+        CGAL_NEF_TRACEN( "adjacent facet found (SEdges cycle).");
+        CGAL_NEF_TRACEN("se"<<PH(se));
+        f_visible = se->twin()->facet();
+        CGAL_NEF_TRACEN("f_visible"<<&f_visible);
       }
       else if (fc.is_shalfloop()) {
-	SHalfloop_handle sl(fc);
-	CGAL_NEF_TRACEN( "adjacent facet found (SHalfloop cycle).");
-	f_visible = sl->twin()->facet();
+        SHalfloop_handle sl(fc);
+        CGAL_NEF_TRACEN( "adjacent facet found (SHalfloop cycle).");
+        f_visible = sl->twin()->facet();
       }
       else if(fc.is_svertex()) {
-	CGAL_NEF_TRACEN( "no adjacent facets were found (but incident edge(s)).");
-	f_visible = Halffacet_handle();
+        CGAL_NEF_TRACEN( "no adjacent facets were found (but incident edge(s)).");
+        f_visible = Halffacet_handle();
       }
       else
-	CGAL_error_msg("Damn wrong handle");
+        CGAL_error_msg("Damn wrong handle");
     }
     return f_visible;
   }
@@ -571,10 +571,10 @@ class SNC_decorator : public SNC_const_d
   Halffacet_handle get_visible_facet( const Halfedge_handle e,
                                       const Segment_3& ray) const {
     //{\Mop when one shoot a ray |ray| in order to find the facet below to
-    //  an object, and an edge |e| is hit, we need to choose one of the two 
+    //  an object, and an edge |e| is hit, we need to choose one of the two
    //   facets in the adjacency list of |e| that could be 'seen'  from the
    //   piercing point of the |ray| on the local (virtual) view  of |e|
-   //   \precondition |ray| target belongs to |e|. } 
+   //   \precondition |ray| target belongs to |e|. }
 
     CGAL_error();
 
@@ -582,14 +582,14 @@ class SNC_decorator : public SNC_const_d
     if( SD.is_isolated(e))
       return Halffacet_handle();
 
-    Halffacet_handle res = sh->facet();    
+    Halffacet_handle res = sh->facet();
 
     Vector_3 ed(segment(e).to_vector());
     Vector_3 ev(segment(e).to_vector()), rv(ray.to_vector());
     SHalfedge_around_svertex_circulator sh(SD.first_out_edge(e)), send(sh);
     Vector_3 vec0(cross_product(ev,res->plane().orthogonal_vector()));
     CGAL_NEF_TRACEN("initial face candidate "<< res->plane());
-   
+
     sh++;
     CGAL_For_all(sh,send) {
     Vector_3 vec1(cross_product(ev,sh->plane().orthogonal_vector()));
@@ -598,13 +598,13 @@ class SNC_decorator : public SNC_const_d
         continue;
       if(sk0>0 && sk1<0) {
         res = sh->facet();
-	continue;
+        continue;
       }
 
       RT len0 = vec0.x()*vec0.x()+vec0.y()*vec0.y()+vec0.z()*vec0.z();
       RT len1 = vec1.x()*vec1.x()+vec1.y()*vec1.y()+vec1.z()*vec1.z();
       RT sq0 = sk0 * sk0;
-      RT sq1 = sk1 * sk1;     
+      RT sq1 = sk1 * sk1;
       RT diff = len0*sq1 - len1*sq0;
 
       if((sk0 > 0 && diff<0) || (sk0 < 0 && diff>0))
@@ -616,31 +616,31 @@ class SNC_decorator : public SNC_const_d
   */
 
   Halffacet_handle get_visible_facet( const Halffacet_handle f,
-				      const Segment_3& ray) const 
+                                      const Segment_3& ray) const
     //{\Mop when one shoot a ray |ray| in order to find the facet below to
     //  an object, and a facet |f| is hit, we need to choose the right facet
     //  from the halffacet pair |f| that  could be 'seen'  from the
     //  piercing point of the |ray| on the local (virtual) view  of |f|.
     //  \precondition |ray| target belongs to |f| and the intersection between
-    //  |ray| and is not coplanar with |f|. } 
+    //  |ray| and is not coplanar with |f|. }
     {
       Halffacet_handle f_visible = f;
       CGAL_assertion( !f_visible()->plane().has_on(ray.source()));
       if( f_visible()->plane().has_on_negative_side(ray.source()))
-	f_visible = f->twin();
+        f_visible = f->twin();
       CGAL_assertion( f_visible()->plane().has_on_positive_side(ray.source()));
       return f_visible;
     }
 
   bool is_valid( bool verb = false, int level = 0) {
-    
+
     Verbose_ostream verr(verb);
     verr << "begin CGAL::SNC_decorator<...>::is_valid( verb=true, "
       "level = " << level << "):" << std::endl;
-    
-    std::size_t max = number_of_vertices() 
-      + number_of_halfedges() 
-      + number_of_halffacets() 
+
+    std::size_t max = number_of_vertices()
+      + number_of_halfedges()
+      + number_of_halffacets()
       + number_of_volumes()
       + 2 * sncp()->number_of_shalfedges()
       + sncp()->number_of_shalfloops()
@@ -649,7 +649,7 @@ class SNC_decorator : public SNC_const_d
 
     bool valid = true;
     Vertex_iterator vi;
-    std::list<Point_3> Points(false);   // durch hashmap ersetzen    
+    std::list<Point_3> Points(false);   // durch hashmap ersetzen
     CGAL_forall_vertices(vi,*this) {
       if(!valid) break;
 
@@ -669,7 +669,7 @@ class SNC_decorator : public SNC_const_d
     }
 
    verr << "CGAL::SNC_decorator<...>::is_valid(): structure is "
-	 << ( valid ? "valid." : "NOT VALID.") << std::endl;
+         << ( valid ? "valid." : "NOT VALID.") << std::endl;
 
     Points.sort(points_lt());
     typename std::list<Point_3>::const_iterator li1, li2;
@@ -677,13 +677,13 @@ class SNC_decorator : public SNC_const_d
     if(!Points.empty()) {
       li2++;
       while(valid && li2 != Points.end()) {
-	valid = valid && (*li1++ != *li2++);
+        valid = valid && (*li1++ != *li2++);
       }
     }
 
     verr << "CGAL::SNC_decorator<...>::is_valid(): structure is "
-	 << ( valid ? "valid." : "NOT VALID.") << std::endl;
-    
+         << ( valid ? "valid." : "NOT VALID.") << std::endl;
+
     Halfedge_iterator he;
     CGAL_forall_halfedges(he,*this) {
 
@@ -692,33 +692,33 @@ class SNC_decorator : public SNC_const_d
       valid = valid && (he->twin()->twin()==he);
 
       if(he->is_twin()) {
-	SM_decorator S1(&*he->source());
-	SM_decorator S2(&*he->twin()->source());
-	SHalfedge_handle se1(S1.first_out_edge(he));
-	SHalfedge_handle se2(S2.first_out_edge(he->twin()));
-	if(se1 != nullptr && se2 != nullptr) {
-	  SHalfedge_handle start1(se1);
-	  SHalfedge_handle start2(se2->twin()->snext());
-	  while(se1->facet() != se2->twin()->facet() && se2 != start2)
-	    se2 = se2->sprev()->twin();
-
-	  start2 = se2;
-	  do {
-	    se1 = se1->twin()->snext();
-	    se2 = se2->sprev()->twin();
-	    valid = valid && (se1->facet() == se2->facet()->twin());
-	  } while(se1 != start1);
-	  valid = valid && (se2 == start2);
-	}
+        SM_decorator S1(&*he->source());
+        SM_decorator S2(&*he->twin()->source());
+        SHalfedge_handle se1(S1.first_out_edge(he));
+        SHalfedge_handle se2(S2.first_out_edge(he->twin()));
+        if(se1 != nullptr && se2 != nullptr) {
+          SHalfedge_handle start1(se1);
+          SHalfedge_handle start2(se2->twin()->snext());
+          while(se1->facet() != se2->twin()->facet() && se2 != start2)
+            se2 = se2->sprev()->twin();
+
+          start2 = se2;
+          do {
+            se1 = se1->twin()->snext();
+            se2 = se2->sprev()->twin();
+            valid = valid && (se1->facet() == se2->facet()->twin());
+          } while(se1 != start1);
+          valid = valid && (se2 == start2);
+        }
 
-	//	Line_3 supporting_line(he->source()->point(), he->point());
-	//	valid = valid && supporting_line.has_on(he->twin()->source()->point());
+        //        Line_3 supporting_line(he->source()->point(), he->point());
+        //        valid = valid && supporting_line.has_on(he->twin()->source()->point());
       }
       valid = valid && (++count <= max);
     }
 
     verr << "CGAL::SNC_decorator<...>::is_valid(): structure is "
-	 << ( valid ? "valid." : "NOT VALID.") << std::endl;
+         << ( valid ? "valid." : "NOT VALID.") << std::endl;
 
     Unique_hash_map<SHalfedge_handle, bool> SEinUniqueFC(false);
     Halffacet_iterator hfi;
@@ -726,56 +726,56 @@ class SNC_decorator : public SNC_const_d
       valid = valid && hfi->is_valid(verb, level);
       valid = valid && (hfi->twin()!=hfi);
       valid = valid && (hfi->twin()->twin()==hfi);
-      valid = valid && (hfi->plane().opposite() == hfi->twin()->plane()); 
+      valid = valid && (hfi->plane().opposite() == hfi->twin()->plane());
 
       Halffacet_cycle_iterator hfci;
-      CGAL_forall_facet_cycles_of(hfci,hfi) { 
-	if(hfci.is_shalfedge()) {
-	  SHalfedge_handle sheh(hfci);
-	  valid = valid && (sheh != SHalfedge_handle());
-// TODO	  valid = valid && ( is_boundary_object(sheh) );
-	  SHalfedge_around_facet_circulator shec1(sheh), shec2(shec1);
-       	  CGAL_For_all(shec1, shec2) {
-	    CGAL_assertion(!SEinUniqueFC[shec1]);
-	    SEinUniqueFC[shec1] = true;
-	    Plane_3 p_ref(shec1->source()->source()->point(),shec1->circle().opposite().orthogonal_vector());
-	    valid = valid && Infi_box::check_point_on_plane(shec1->source()->source()->point(), hfi->plane());
-	    valid = valid && (normalized(hfi->plane()) == normalized(p_ref));
-	    valid = valid && (sheh->incident_sface()->volume() == 
-			      hfi->twin()->incident_volume());
-	  }
-	}
-	else if(hfci.is_shalfloop())
-	  valid = valid && (SHalfloop_handle(hfci) != SHalfloop_handle()); 
-	else
-	  valid = false;
-	valid = valid && (++count <= max);	
+      CGAL_forall_facet_cycles_of(hfci,hfi) {
+        if(hfci.is_shalfedge()) {
+          SHalfedge_handle sheh(hfci);
+          valid = valid && (sheh != SHalfedge_handle());
+// TODO          valid = valid && ( is_boundary_object(sheh) );
+          SHalfedge_around_facet_circulator shec1(sheh), shec2(shec1);
+                 CGAL_For_all(shec1, shec2) {
+            CGAL_assertion(!SEinUniqueFC[shec1]);
+            SEinUniqueFC[shec1] = true;
+            Plane_3 p_ref(shec1->source()->source()->point(),shec1->circle().opposite().orthogonal_vector());
+            valid = valid && Infi_box::check_point_on_plane(shec1->source()->source()->point(), hfi->plane());
+            valid = valid && (normalized(hfi->plane()) == normalized(p_ref));
+            valid = valid && (sheh->incident_sface()->volume() ==
+                              hfi->twin()->incident_volume());
+          }
+        }
+        else if(hfci.is_shalfloop())
+          valid = valid && (SHalfloop_handle(hfci) != SHalfloop_handle());
+        else
+          valid = false;
+        valid = valid && (++count <= max);
       }
-     
+
       valid = valid && (++count <= max);
     }
 
     verr << "CGAL::SNC_decorator<...>::is_valid(): structure is "
-	 << ( valid ? "valid." : "NOT VALID.") << std::endl;
+         << ( valid ? "valid." : "NOT VALID.") << std::endl;
 
     Volume_iterator voli;
     CGAL_forall_volumes(voli,*this) {
-      
+
       if(number_of_vertices() > 0)
-	valid = valid && (voli->is_valid(verb, level));
+        valid = valid && (voli->is_valid(verb, level));
 
       Shell_entry_iterator si;
       CGAL_forall_shells_of(si,voli) {
-	//	valid = valid && (si != Shell_entry_iterator() &&
-	valid = valid && (SFace_handle(si) != SFace_handle() && 
-			  SFace_handle(si) != nullptr);
-	valid = valid && (++count <= max);
+        //        valid = valid && (si != Shell_entry_iterator() &&
+        valid = valid && (SFace_handle(si) != SFace_handle() &&
+                          SFace_handle(si) != nullptr);
+        valid = valid && (++count <= max);
       }
       valid = valid && (++count <= max);
     }
 
    verr << "CGAL::SNC_decorator<...>::is_valid(): structure is "
-	 << ( valid ? "valid." : "NOT VALID.") << std::endl;
+         << ( valid ? "valid." : "NOT VALID.") << std::endl;
 
     SHalfedge_iterator she;
     CGAL_forall_shalfedges(she,*sncp()) {
@@ -787,39 +787,39 @@ class SNC_decorator : public SNC_const_d
       valid = valid && (she->prev()->twin()->prev() == she->twin());
       valid = valid && (she->facet()->twin() == she->twin()->facet());
       valid = valid && (she->facet()->mark() == she->mark());
-      valid = valid && (she->twin()->facet()->incident_volume() == 
-			she->incident_sface()->volume());
+      valid = valid && (she->twin()->facet()->incident_volume() ==
+                        she->incident_sface()->volume());
       valid = valid && (++count <= max);
     }
 
    verr << "CGAL::SNC_decorator<...>::is_valid(): structure is "
-	 << ( valid ? "valid." : "NOT VALID.") << std::endl;
+         << ( valid ? "valid." : "NOT VALID.") << std::endl;
 
     SHalfloop_iterator shl;
     CGAL_forall_shalfloops(shl,*sncp()){
       SM_decorator SD;
       valid = valid && (shl->facet()->mark() == shl->mark());
-      //      valid = valid && (sh1->twin()->facet()->plane() == sh1->circle()); 
+      //      valid = valid && (sh1->twin()->facet()->plane() == sh1->circle());
       //      valid = valid && (sh1->twin()->facet()->volume() == sh1->sface()->volume());
     }
 
     verr << "CGAL::SNC_decorator<...>::is_valid(): structure is "
-	 << ( valid ? "valid." : "NOT VALID.") << std::endl;
+         << ( valid ? "valid." : "NOT VALID.") << std::endl;
 
     SFace_iterator sf;
     CGAL_forall_sfaces(sf,*sncp()) {
-		SM_decorator SD(&*sf->center_vertex());
+                SM_decorator SD(&*sf->center_vertex());
       valid = valid && (sf->volume()->mark() == sf->mark());
       SFace_cycle_iterator sfc;
       for(sfc=sf->sface_cycles_begin();sfc!=sf->sface_cycles_end();++sfc)
-		  if(sfc.is_shalfedge()) {
-			  valid = valid && (SD.is_sm_boundary_object(SHalfedge_handle(sfc)));
-			  valid = valid && (sf==SHalfedge_handle(sfc)->incident_sface());
-		  }
+                  if(sfc.is_shalfedge()) {
+                          valid = valid && (SD.is_sm_boundary_object(SHalfedge_handle(sfc)));
+                          valid = valid && (sf==SHalfedge_handle(sfc)->incident_sface());
+                  }
     }
 
     verr << "end of CGAL::SNC_decorator<...>::is_valid(): structure is "
-	 << ( valid ? "valid." : "NOT VALID.") << std::endl;
+         << ( valid ? "valid." : "NOT VALID.") << std::endl;
 
     return valid;
   }
@@ -851,17 +851,17 @@ class SNC_decorator : public SNC_const_d
     return c->shells_end();
   }
 
-  Size_type number_of_vertices() const  
+  Size_type number_of_vertices() const
   { return sncp()->number_of_vertices(); }
-  Size_type number_of_halfedges() const 
+  Size_type number_of_halfedges() const
   { return sncp()->number_of_halfedges(); }
-  Size_type number_of_edges() const     
+  Size_type number_of_edges() const
   { return sncp()->number_of_edges(); }
-  Size_type number_of_halffacets() const    
+  Size_type number_of_halffacets() const
   { return sncp()->number_of_halffacets();}
-  Size_type number_of_facets() const    
+  Size_type number_of_facets() const
   { return sncp()->number_of_facets();}
-  Size_type number_of_volumes() const   
+  Size_type number_of_volumes() const
   { return sncp()->number_of_volumes();}
 
 };
@@ -880,7 +880,7 @@ this also just once.
 
 The facets and sfaces are marked |done| when they are put into their
 corresponding queues thus each such object is visited exactly once
-when taken out of the queue. 
+when taken out of the queue.
 
 When an sface |sf| is taken out of the queue |SFaceCandiates| its
 boundary structure is examined and all 2-skeleton objects (vertices
@@ -894,8 +894,8 @@ template <typename EW>
 template <typename Visitor>
 void SNC_decorator<EW>::
 visit_shell_objects(SFace_handle f, Visitor& V) const
-{ 
-  typedef typename SM_decorator::SHalfedge_around_sface_circulator 
+{
+  typedef typename SM_decorator::SHalfedge_around_sface_circulator
     SHalfedge_around_sface_circulator;
   std::list<SFace_handle> SFaceCandidates;
   std::list<Halffacet_handle> FacetCandidates;
@@ -910,7 +910,7 @@ visit_shell_objects(SFace_handle f, Visi
       Halffacet_cycle_iterator fc;
       CGAL_forall_facet_cycles_of(fc,f) {
         if (fc.is_shalfedge() ) {
-	  SHalfedge_handle e(fc);
+          SHalfedge_handle e(fc);
           SHalfedge_around_facet_circulator ec(e),ee(e);
           CGAL_For_all(ec,ee) { e = ec->twin();
             if ( Done[e->incident_sface()] ) continue;
@@ -918,8 +918,8 @@ visit_shell_objects(SFace_handle f, Visi
             Done[e->incident_sface()] = true;
           }
         } else if (fc.is_shalfloop()) {
-	  SHalfloop_handle l(fc);
-	  l = l->twin();
+          SHalfloop_handle l(fc);
+          l = l->twin();
           if ( Done[l->incident_sface()] ) continue;
           SFaceCandidates.push_back(l->incident_sface());
           Done[l->incident_sface()] = true;
@@ -935,19 +935,19 @@ visit_shell_objects(SFace_handle f, Visi
       Done[sf->center_vertex()] = true;
       //      SVertex_handle sv;
       SM_decorator SD(&*sf->center_vertex());
-      /*      
+      /*
       CGAL_forall_svertices(sv,SD){
-	if(SD.is_isolated(sv) && !Done[sv])
-	  V.visit(sv);
+        if(SD.is_isolated(sv) && !Done[sv])
+          V.visit(sv);
       }
       */
       SFace_cycle_iterator fc;
       CGAL_forall_sface_cycles_of(fc,sf) {
         if ( fc.is_shalfedge() ) {
-	  SHalfedge_handle e(fc);
-	  SHalfedge_around_sface_circulator ec(e),ee(e);
+          SHalfedge_handle e(fc);
+          SHalfedge_around_sface_circulator ec(e),ee(e);
           CGAL_For_all(ec,ee) {
-	    V.visit(SHalfedge_handle(ec));
+            V.visit(SHalfedge_handle(ec));
             SVertex_handle v = ec->twin()->source();
             if ( !SD.is_isolated(v) && !Done[v] ) {
               V.visit(v); // report edge
@@ -958,29 +958,29 @@ visit_shell_objects(SFace_handle f, Visi
             FacetCandidates.push_back(f); Done[f] = true;
           }
         } else if ( fc.is_svertex() ) {
-	  SVertex_handle v(fc);
-          if ( Done[v] ) continue; 
+          SVertex_handle v(fc);
+          if ( Done[v] ) continue;
           V.visit(v); // report edge
-	  V.visit(v->twin());
+          V.visit(v->twin());
           Done[v] = Done[v->twin()] = true;
-	  CGAL_assertion(SD.is_isolated(v));
-	  SFaceCandidates.push_back(v->twin()->incident_sface());
-	  Done[v->twin()->incident_sface()]=true;
+          CGAL_assertion(SD.is_isolated(v));
+          SFaceCandidates.push_back(v->twin()->incident_sface());
+          Done[v->twin()->incident_sface()]=true;
           // note that v is isolated, thus v->twin() is isolated too
-	  //	  SM_decorator SD;
-	  //	  SFace_handle fo;
-	  //	  fo = v->twin()->incident_sface();
-	  /*
-	  if(SD.is_isolated(v)) 
-	    fo = v->source()->sfaces_begin();
-	  else
-	    fo = v->twin()->incident_sface();
-	  */
-	  //	  if ( Done[fo] ) continue;
-	  //	  SFaceCandidates.push_back(fo); Done[fo] = true;
+          //          SM_decorator SD;
+          //          SFace_handle fo;
+          //          fo = v->twin()->incident_sface();
+          /*
+          if(SD.is_isolated(v))
+            fo = v->source()->sfaces_begin();
+          else
+            fo = v->twin()->incident_sface();
+          */
+          //          if ( Done[fo] ) continue;
+          //          SFaceCandidates.push_back(fo); Done[fo] = true;
         } else if (fc.is_shalfloop()) {
-	  SHalfloop_handle l(fc);
-	  V.visit(l);
+          SHalfloop_handle l(fc);
+          V.visit(l);
           Halffacet_handle f = l->twin()->facet();
           if ( Done[f] ) continue;
           FacetCandidates.push_back(f);  Done[f] = true;
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_decorator_traits.h 5.0.3-1/include/CGAL/Nef_3/SNC_decorator_traits.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_decorator_traits.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_decorator_traits.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_decorator_traits.h $
-// $Id: SNC_decorator_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_decorator_traits.h $
+// $Id: SNC_decorator_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 
@@ -37,24 +37,24 @@ class SNC_decorator_traits : public CGAL
   typedef typename Refs::SHalfloop_handle SHalfloop_handle;
   typedef typename Refs::SFace_handle SFace_handle;
 
-  typedef typename Refs::Halffacet_triangle_handle 
+  typedef typename Refs::Halffacet_triangle_handle
     Halffacet_triangle_handle;
 
   typedef typename Refs::Vertex_iterator Vertex_iterator;
   typedef typename Refs::Halfedge_iterator Halfedge_iterator;
-  typedef typename Refs::Halffacet_iterator Halffacet_iterator; 
+  typedef typename Refs::Halffacet_iterator Halffacet_iterator;
   typedef typename Refs::Volume_iterator Volume_iterator;
-  typedef typename Refs::SVertex_iterator SVertex_iterator;  
+  typedef typename Refs::SVertex_iterator SVertex_iterator;
   typedef typename Refs::SHalfedge_iterator SHalfedge_iterator;
   typedef typename Refs::SHalfloop_iterator SHalfloop_iterator;
-  typedef typename Refs::SFace_iterator SFace_iterator;  
+  typedef typename Refs::SFace_iterator SFace_iterator;
 
-  typedef typename Refs::SHalfedge_around_svertex_circulator 
+  typedef typename Refs::SHalfedge_around_svertex_circulator
     SHalfedge_around_svertex_circulator;
-  typedef typename Refs::SHalfedge_around_sface_circulator 
+  typedef typename Refs::SHalfedge_around_sface_circulator
     SHalfedge_around_sface_circulator;
   typedef typename Refs::SFace_cycle_iterator SFace_cycle_iterator;
-  typedef typename Refs::SHalfedge_around_facet_circulator 
+  typedef typename Refs::SHalfedge_around_facet_circulator
     SHalfedge_around_facet_circulator;
   typedef typename Refs::Halffacet_cycle_iterator Halffacet_cycle_iterator;
   typedef typename Refs::Shell_entry_iterator Shell_entry_iterator;
@@ -76,24 +76,24 @@ class SNC_decorator_const_traits {
   typedef typename Refs::SHalfloop_const_handle SHalfloop_handle;
   typedef typename Refs::SFace_const_handle SFace_handle;
 
-  typedef typename Refs::Halffacet_triangle_const_handle 
+  typedef typename Refs::Halffacet_triangle_const_handle
     Halffacet_triangle_handle;
 
   typedef typename Refs::Vertex_const_iterator Vertex_iterator;
   typedef typename Refs::Halfedge_const_iterator Halfedge_iterator;
-  typedef typename Refs::Halffacet_const_iterator Halffacet_iterator; 
+  typedef typename Refs::Halffacet_const_iterator Halffacet_iterator;
   typedef typename Refs::Volume_const_iterator Volume_iterator;
-  typedef typename Refs::SVertex_const_iterator SVertex_iterator;  
+  typedef typename Refs::SVertex_const_iterator SVertex_iterator;
   typedef typename Refs::SHalfedge_const_iterator SHalfedge_iterator;
   typedef typename Refs::SHalfloop_const_iterator SHalfloop_iterator;
-  typedef typename Refs::SFace_const_iterator SFace_iterator;  
+  typedef typename Refs::SFace_const_iterator SFace_iterator;
 
-  typedef typename Refs::SHalfedge_around_svertex_const_circulator 
+  typedef typename Refs::SHalfedge_around_svertex_const_circulator
     SHalfedge_around_svertex_circulator;
-  typedef typename Refs::SHalfedge_around_sface_const_circulator 
+  typedef typename Refs::SHalfedge_around_sface_const_circulator
     SHalfedge_around_sface_circulator;
   typedef typename Refs::SFace_cycle_const_iterator SFace_cycle_iterator;
-  typedef typename Refs::SHalfedge_around_facet_const_circulator 
+  typedef typename Refs::SHalfedge_around_facet_const_circulator
     SHalfedge_around_facet_circulator;
   typedef typename Refs::Halffacet_cycle_const_iterator Halffacet_cycle_iterator;
   typedef typename Refs::Shell_entry_const_iterator Shell_entry_iterator;
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_external_structure.h 5.0.3-1/include/CGAL/Nef_3/SNC_external_structure.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_external_structure.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_external_structure.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_external_structure.h $
-// $Id: SNC_external_structure.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_external_structure.h $
+// $Id: SNC_external_structure.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Michael Seel       <seel@mpi-sb.mpg.de> 
+//
+// Author(s)     : Michael Seel       <seel@mpi-sb.mpg.de>
 //                 Miguel Granados    <granados@mpi-sb.mpg.de>
 //                 Susan Hert         <hert@mpi-sb.mpg.de>
 //                 Lutz Kettner       <kettner@mpi-sb.mpg.de>
@@ -48,18 +48,18 @@ struct Halfedge_key_lt4 {
   bool operator()(const Edge_handle& e1, const Edge_handle& e2) const {
     if(CGAL::sign(e1->point().x()) != 0) {
       if(e1->source() != e2->source())
-	return CGAL::compare_x(e1->source()->point(), e2->source()->point()) < 0; 
-      else 
-	return e1->point().x() < 0;
+        return CGAL::compare_x(e1->source()->point(), e2->source()->point()) < 0;
+      else
+        return e1->point().x() < 0;
     }
     if(CGAL::sign(e1->point().y()) != 0) {
       if(e1->source() != e2->source())
-	return CGAL::compare_y(e1->source()->point(), e2->source()->point()) < 0; 
-      else 
-	return e1->point().y() < 0;
+        return CGAL::compare_y(e1->source()->point(), e2->source()->point()) < 0;
+      else
+        return e1->point().y() < 0;
     }
     if(e1->source() != e2->source())
-      return CGAL::compare_z(e1->source()->point(), e2->source()->point()) < 0; 
+      return CGAL::compare_z(e1->source()->point(), e2->source()->point()) < 0;
     return e1->point().z() < 0;
   }
 };
@@ -69,7 +69,7 @@ struct Halfedge_key_lt3 {
 
   bool operator()(const Edge_handle& e1, const Edge_handle& e2) const {
     if(e1->source() != e2->source())
-      return CGAL::lexicographically_xyz_smaller(e1->source()->point(), e2->source()->point()); 
+      return CGAL::lexicographically_xyz_smaller(e1->source()->point(), e2->source()->point());
     if(CGAL::sign(e1->point().x()) != 0)
       return e1->point().x() < 0;
     if(CGAL::sign(e1->point().y()) != 0)
@@ -82,7 +82,7 @@ template <typename Point, typename Edge>
 struct Halfedge_key {
   typedef Halfedge_key<Point,Edge> Self;
   Point p; int i; Edge e;
-  Halfedge_key(Point pi, int ii, Edge ei) : 
+  Halfedge_key(Point pi, int ii, Edge ei) :
     p(pi), i(ii), e(ei) {}
   Halfedge_key(const Self& k) : p(k.p), i(k.i), e(k.e) {}
   Self& operator=(const Self& k) { p=k.p; i=k.i; e=k.e; return *this; }
@@ -96,17 +96,17 @@ struct Halfedge_key_lt {
   typedef typename Point::R R;
   typedef typename R::Vector_3 Vector;
   typedef typename R::Direction_3 Direction;
-  bool operator()( const Key& k1, const Key& k2) const { 
+  bool operator()( const Key& k1, const Key& k2) const {
     if( k1.e->source() == k2.e->source())
       return (k1.i < k2.i);
     Direction l(k1.e->vector());
     if( k1.i < 0) l = -l;
-    return (Direction( k2.p - k1.p) == l); 
+    return (Direction( k2.p - k1.p) == l);
   }
 };
 
 template <typename Point, typename Edge>
-std::ostream& operator<<(std::ostream& os, 
+std::ostream& operator<<(std::ostream& os,
                          const Halfedge_key<Point,Edge>& k )
 { os << k.p << " " << k.i; return os; }
 
@@ -184,12 +184,12 @@ struct Plane_RT_lt {
 };
 
 // ----------------------------------------------------------------------------
-// SNC_external_structure 
+// SNC_external_structure
 // ----------------------------------------------------------------------------
 
 template <typename Items_, typename SNC_structure_>
 class SNC_external_structure_base : public SNC_decorator<SNC_structure_>
-{ 
+{
 public:
   typedef SNC_structure_ SNC_structure;
 
@@ -204,7 +204,7 @@ public:
   typedef CGAL::SNC_simplify<Items_, SNC_structure>          SNC_simplify;
 
   typedef typename SNC_structure::Sphere_map                 Sphere_map;
-  typedef CGAL::SM_decorator<Sphere_map>                     SM_decorator;  
+  typedef CGAL::SM_decorator<Sphere_map>                     SM_decorator;
   typedef CGAL::SM_const_decorator<Sphere_map>               SM_const_decorator;
   typedef CGAL::SM_point_locator<SM_const_decorator>         SM_point_locator;
 
@@ -218,7 +218,7 @@ public:
   typedef typename SNC_structure::Volume_handle Volume_handle;
 
   typedef typename SNC_structure::Halffacet_const_handle Halffacet_const_handle;
-  typedef typename SNC_structure::SFace_const_handle SFace_const_handle; 
+  typedef typename SNC_structure::SFace_const_handle SFace_const_handle;
 
   typedef typename SNC_structure::SHalfedge_iterator SHalfedge_iterator;
   typedef typename SNC_structure::SFace_iterator SFace_iterator;
@@ -231,7 +231,7 @@ public:
 
   typedef typename SNC_structure::Object_handle Object_handle;
 
-  typedef typename SNC_structure::SHalfedge_around_facet_circulator 
+  typedef typename SNC_structure::SHalfedge_around_facet_circulator
     SHalfedge_around_facet_circulator;
 
   typedef typename SNC_structure::Point_3 Point_3;
@@ -242,14 +242,14 @@ public:
   typedef typename SNC_structure::Sphere_point Sphere_point;
   typedef typename SNC_structure::Sphere_circle Sphere_circle;
 
-  typedef typename SM_decorator::SHalfedge_around_svertex_circulator 
+  typedef typename SM_decorator::SHalfedge_around_svertex_circulator
     SHalfedge_around_svertex_circulator;
 
   SNC_point_locator* pl;
 
-  typedef CGAL::Unique_hash_map<SFace_const_handle,unsigned int>  
+  typedef CGAL::Unique_hash_map<SFace_const_handle,unsigned int>
                                                          Sface_shell_hash;
-  typedef CGAL::Unique_hash_map<Halffacet_const_handle,unsigned int>  
+  typedef CGAL::Unique_hash_map<Halffacet_const_handle,unsigned int>
                                                          Face_shell_hash;
   typedef CGAL::Unique_hash_map<SFace_const_handle,bool> SFace_visited_hash;
   typedef CGAL::Unique_hash_map<SFace_const_handle,bool> Shell_closed_hash;
@@ -271,32 +271,32 @@ public:
     SFace_handle sf_min;
     int n;
 
-    Shell_explorer(const SNC_decorator& Di, Sface_shell_hash& SSf, 
-                   Face_shell_hash& SF, SFace_visited_hash& Vi) 
+    Shell_explorer(const SNC_decorator& Di, Sface_shell_hash& SSf,
+                   Face_shell_hash& SF, SFace_visited_hash& Vi)
       : D(Di), ShellSf(SSf), ShellF(SF), Done(Vi), n(0) {}
 
-    void visit(SFace_handle h) { 
+    void visit(SFace_handle h) {
       CGAL_NEF_TRACEN("visit sf "<<h->center_vertex()->point());
       ShellSf[h]=n;
       Done[h]=true;
       if ( CGAL::lexicographically_xyz_smaller(h->center_vertex()->point(),
-					       sf_min->center_vertex()->point())) 
-	sf_min = h; 
+                                               sf_min->center_vertex()->point()))
+        sf_min = h;
     }
 
-    void visit(Vertex_handle h) { 
+    void visit(Vertex_handle h) {
       CGAL_USE(h);
       CGAL_NEF_TRACEN("visit v  "<<h->point());
     }
 
-    void visit(Halfedge_handle h) { 
+    void visit(Halfedge_handle h) {
       CGAL_USE(h);
       CGAL_NEF_TRACEN("visit he "<< h->source()->point());
     }
 
-    void visit(Halffacet_handle h) { 
-      CGAL_NEF_TRACEN(h->plane()); 
-      ShellF[h]=n; 
+    void visit(Halffacet_handle h) {
+      CGAL_NEF_TRACEN(h->plane());
+      ShellF[h]=n;
     }
 
     void visit(SHalfedge_handle ) {}
@@ -304,13 +304,13 @@ public:
 
     SFace_handle& minimal_sface() { return sf_min; }
 
-    void increment_shell_number() { 
+    void increment_shell_number() {
       CGAL_NEF_TRACEN("leaving shell "<<n);
-      ++n; 
+      ++n;
     }
   };
 
-  SNC_external_structure_base( SNC_structure& W, SNC_point_locator* spl = nullptr) 
+  SNC_external_structure_base( SNC_structure& W, SNC_point_locator* spl = nullptr)
     : SNC_decorator(W), pl(spl) {}
   /*{\Mcreate makes |\Mvar| a decorator of |W|.}*/
 
@@ -322,161 +322,161 @@ public:
 
   //  CGAL_NEF_SETDTHREAD(43*61);
     CGAL_NEF_TRACEN(">>>>>pair_up_halfedges");
-    typedef Halfedge_key_lt3<Halfedge_handle> 
+    typedef Halfedge_key_lt3<Halfedge_handle>
       Halfedge_key_lt;
     typedef std::list<Halfedge_handle>  Halfedge_list;
-    
+
     typedef typename Standard_kernel::Kernel_tag   Kernel_tag;
     typedef CGAL::Pluecker_line_3<Kernel_tag,Standard_kernel> Pluecker_line_3;
     typedef CGAL::Pluecker_line_lt        Pluecker_line_lt;
-    typedef std::map< Pluecker_line_3, Halfedge_list, Pluecker_line_lt> 
+    typedef std::map< Pluecker_line_3, Halfedge_list, Pluecker_line_lt>
       Pluecker_line_map;
-    
+
     Pluecker_line_map M;
     Pluecker_line_map M2;
     Pluecker_line_map M3;
     Pluecker_line_map M4;
-    
+
     NT eval(Infi_box::compute_evaluation_constant_for_halfedge_pairup(*this->sncp()));
-    
+
     Halfedge_iterator e;
     CGAL_forall_halfedges(e,*this->sncp()) {
       //    progress++;
       Point_3 p = e->source()->point();
       Point_3 q = p + e->vector();
       CGAL_NEF_TRACE(" segment("<<p<<", "<<q<<")"<<
-	    " direction("<<e->vector()<<")");
+            " direction("<<e->vector()<<")");
       Standard_point_3 sp = Infi_box::standard_point(p,eval);
       Standard_point_3 sq = Infi_box::standard_point(q,eval);
       Pluecker_line_3  l( sp, sq);
-      
+
       int inverted;
       l = categorize( l, inverted);
-      
+
       if(Infi_box::is_edge_on_infibox(e))
-	if(Infi_box::is_type4(e))
-	  M4[l].push_back(e);
-	else
-	  if(Infi_box::is_type3(e))
-	    M3[l].push_back(e);
-	  else
-	    M2[l].push_back(e);
+        if(Infi_box::is_type4(e))
+          M4[l].push_back(e);
+        else
+          if(Infi_box::is_type3(e))
+            M3[l].push_back(e);
+          else
+            M2[l].push_back(e);
       else
-	M[l].push_back(e);
-      
+        M[l].push_back(e);
+
       // the following trace crashes when compiling with optimizations (-O{n})
       //CGAL_NEF_TRACEN(Infi_box::standard_point(point(vertex(e)))+
-      
+
       CGAL_NEF_TRACEN(" line("<<l<<")"<<" inverted="<<inverted);
     }
-    
+
     typename Pluecker_line_map::iterator it;
-    
+
     CGAL_forall_iterators(it,M4) {
       //    progress++;
       it->second.sort(Halfedge_key_lt());
-      CGAL_NEF_TRACEN("search opposite  "<<it->first); 
+      CGAL_NEF_TRACEN("search opposite  "<<it->first);
       typename Halfedge_list::iterator itl;
       CGAL_forall_iterators(itl,it->second) {
-	Halfedge_handle e1 = *itl;
-	++itl; 
-	CGAL_assertion(itl != it->second.end());
-	Halfedge_handle e2 = *itl;
-	while(normalized(e1->vector()) != normalized(-e2->vector())) {
-	  ++itl;
-	  make_twins(e1,*itl);
-	  e1 = e2;
-	  ++itl;
-	  e2 = *itl;
-	}
-	CGAL_NEF_TRACEN("    " << e1->source()->point() 
-			<< " -> " << e2->source()->point());
-	CGAL_NEF_TRACEN(e1->vector()<<" -> "<<-e2->vector());
-	make_twins(e1,e2);
-	CGAL_assertion(e1->mark()==e2->mark());
-	
-	// discard temporary sphere_point ?
+        Halfedge_handle e1 = *itl;
+        ++itl;
+        CGAL_assertion(itl != it->second.end());
+        Halfedge_handle e2 = *itl;
+        while(normalized(e1->vector()) != normalized(-e2->vector())) {
+          ++itl;
+          make_twins(e1,*itl);
+          e1 = e2;
+          ++itl;
+          e2 = *itl;
+        }
+        CGAL_NEF_TRACEN("    " << e1->source()->point()
+                        << " -> " << e2->source()->point());
+        CGAL_NEF_TRACEN(e1->vector()<<" -> "<<-e2->vector());
+        make_twins(e1,e2);
+        CGAL_assertion(e1->mark()==e2->mark());
+
+        // discard temporary sphere_point ?
       }
     }
 
     CGAL_forall_iterators(it,M3) {
       //    progress++;
       it->second.sort(Halfedge_key_lt());
-      CGAL_NEF_TRACEN("search opposite  "<<it->first); 
+      CGAL_NEF_TRACEN("search opposite  "<<it->first);
       typename Halfedge_list::iterator itl;
       CGAL_forall_iterators(itl,it->second) {
-	Halfedge_handle e1 = *itl;
-	++itl; 
-	CGAL_assertion(itl != it->second.end());
-	Halfedge_handle e2 = *itl;
-	while(normalized(e1->vector()) != normalized(-e2->vector())) {
-	  ++itl;
-	  make_twins(e1,*itl);
-	  e1 = e2;
-	  ++itl;
-	  e2 = *itl;
-	}
-	CGAL_NEF_TRACEN("    " << e1->source()->point() 
-			<< " -> " << e2->source()->point());
-	CGAL_NEF_TRACEN(e1->vector()<<" -> "<<-e2->vector());
-	make_twins(e1,e2);
-	CGAL_assertion(e1->mark()==e2->mark());
-	
-	// discard temporary sphere_point ?
+        Halfedge_handle e1 = *itl;
+        ++itl;
+        CGAL_assertion(itl != it->second.end());
+        Halfedge_handle e2 = *itl;
+        while(normalized(e1->vector()) != normalized(-e2->vector())) {
+          ++itl;
+          make_twins(e1,*itl);
+          e1 = e2;
+          ++itl;
+          e2 = *itl;
+        }
+        CGAL_NEF_TRACEN("    " << e1->source()->point()
+                        << " -> " << e2->source()->point());
+        CGAL_NEF_TRACEN(e1->vector()<<" -> "<<-e2->vector());
+        make_twins(e1,e2);
+        CGAL_assertion(e1->mark()==e2->mark());
+
+        // discard temporary sphere_point ?
       }
-    }    
+    }
 
     CGAL_forall_iterators(it,M2) {
       //    progress++;
       it->second.sort(Halfedge_key_lt());
-      CGAL_NEF_TRACEN("search opposite  "<<it->first); 
+      CGAL_NEF_TRACEN("search opposite  "<<it->first);
       typename Halfedge_list::iterator itl;
       CGAL_forall_iterators(itl,it->second) {
-	Halfedge_handle e1 = *itl;
-	++itl; 
-	CGAL_assertion(itl != it->second.end());
-	Halfedge_handle e2 = *itl;
-	while(normalized(e1->vector()) != normalized(-e2->vector())) {
-	  ++itl;
-	  this->make_twins(e1,*itl);
-	  e1 = e2;
-	  ++itl;
-	  e2 = *itl;
-	}
-	CGAL_NEF_TRACEN("    " << e1->source()->point() 
-			<< " -> " << e2->source()->point());
-	CGAL_NEF_TRACEN(e1->vector()<<" -> "<<-e2->vector());
-	this->make_twins(e1,e2);
-	CGAL_assertion(e1->mark()==e2->mark());
-	
-	// discard temporary sphere_point ?
+        Halfedge_handle e1 = *itl;
+        ++itl;
+        CGAL_assertion(itl != it->second.end());
+        Halfedge_handle e2 = *itl;
+        while(normalized(e1->vector()) != normalized(-e2->vector())) {
+          ++itl;
+          this->make_twins(e1,*itl);
+          e1 = e2;
+          ++itl;
+          e2 = *itl;
+        }
+        CGAL_NEF_TRACEN("    " << e1->source()->point()
+                        << " -> " << e2->source()->point());
+        CGAL_NEF_TRACEN(e1->vector()<<" -> "<<-e2->vector());
+        this->make_twins(e1,e2);
+        CGAL_assertion(e1->mark()==e2->mark());
+
+        // discard temporary sphere_point ?
       }
     }
-    
+
     CGAL_forall_iterators(it,M) {
       //    progress++;
       it->second.sort(Halfedge_key_lt());
-      CGAL_NEF_TRACEN("search opposite  "<<it->first); 
+      CGAL_NEF_TRACEN("search opposite  "<<it->first);
       typename Halfedge_list::iterator itl;
       CGAL_forall_iterators(itl,it->second) {
-	Halfedge_handle e1 = *itl;
-	++itl; 
-	CGAL_assertion(itl != it->second.end());
-	Halfedge_handle e2 = *itl;
-	while(normalized(e1->vector()) != normalized(-e2->vector())) {
-	  ++itl;
-	  this->make_twins(e1,*itl);
-	  e1 = e2;
-	  ++itl;
-	  e2 = *itl;
-	}
-	CGAL_NEF_TRACEN("    " << e1->source()->point() 
-			<< " -> " << e2->source()->point());
-	CGAL_NEF_TRACEN(e1->vector()<<" -> "<<-e2->vector());
-	this->make_twins(e1,e2);
-	CGAL_assertion(e1->mark()==e2->mark());
-	
-	// discard temporary sphere_point ?
+        Halfedge_handle e1 = *itl;
+        ++itl;
+        CGAL_assertion(itl != it->second.end());
+        Halfedge_handle e2 = *itl;
+        while(normalized(e1->vector()) != normalized(-e2->vector())) {
+          ++itl;
+          this->make_twins(e1,*itl);
+          e1 = e2;
+          ++itl;
+          e2 = *itl;
+        }
+        CGAL_NEF_TRACEN("    " << e1->source()->point()
+                        << " -> " << e2->source()->point());
+        CGAL_NEF_TRACEN(e1->vector()<<" -> "<<-e2->vector());
+        this->make_twins(e1,e2);
+        CGAL_assertion(e1->mark()==e2->mark());
+
+        // discard temporary sphere_point ?
       }
     }
 
@@ -489,149 +489,149 @@ public:
     CGAL_NEF_TRACEN(">>>>>pair_up_halfedges");
     typedef Halfedge_key< Point_3, Halfedge_handle>
       Halfedge_key;
-    typedef Halfedge_key_lt< Point_3, Halfedge_handle, SNC_decorator> 
+    typedef Halfedge_key_lt< Point_3, Halfedge_handle, SNC_decorator>
       Halfedge_key_lt;
     typedef std::list<Halfedge_key>  Halfedge_list;
-    
+
     typedef typename Standard_kernel::Kernel_tag   Kernel_tag;
     typedef CGAL::Pluecker_line_3<Kernel_tag,Standard_kernel> Pluecker_line_3;
     typedef CGAL::Pluecker_line_lt        Pluecker_line_lt;
-    typedef std::map< Pluecker_line_3, Halfedge_list, Pluecker_line_lt> 
+    typedef std::map< Pluecker_line_3, Halfedge_list, Pluecker_line_lt>
       Pluecker_line_map;
-    
+
     SNC_decorator D(*this);
     Pluecker_line_map M;
     Pluecker_line_map M2;
     Pluecker_line_map M3;
     Pluecker_line_map M4;
-    
+
     NT eval(Infi_box::compute_evaluation_constant_for_halfedge_pairup(*this->sncp()));;
-    
+
     Halfedge_iterator e;
     CGAL_forall_halfedges(e,*this->sncp()) {
       //    progress++;
       Point_3 p = e->source()->point();
       Point_3 q = p + e->vector();
       CGAL_NEF_TRACE(" segment("<<p<<", "<<q<<")"<<
-	    " direction("<<e->vector()<<")");
+            " direction("<<e->vector()<<")");
       Standard_point_3 sp = Infi_box::standard_point(p,eval);
       Standard_point_3 sq = Infi_box::standard_point(q,eval);
       Pluecker_line_3  l( sp, sq);
-      
+
       int inverted;
       l = categorize( l, inverted);
-      
+
       if(Infi_box::is_edge_on_infibox(e))
-	if(Infi_box::is_type4(e))
-	  M4[l].push_back(Halfedge_key(p,inverted,e));
-	else
-	  if(Infi_box::is_type3(e))
-	    M3[l].push_back(Halfedge_key(p,inverted,e));
-	  else
-	    M2[l].push_back(Halfedge_key(p,inverted,e));
+        if(Infi_box::is_type4(e))
+          M4[l].push_back(Halfedge_key(p,inverted,e));
+        else
+          if(Infi_box::is_type3(e))
+            M3[l].push_back(Halfedge_key(p,inverted,e));
+          else
+            M2[l].push_back(Halfedge_key(p,inverted,e));
       else
-	M[l].push_back(Halfedge_key(p,inverted,e));
-      
+        M[l].push_back(Halfedge_key(p,inverted,e));
+
       // the following trace crashes when compiling with optimizations (-O{n})
       //CGAL_NEF_TRACEN(Infi_box::standard_point(point(vertex(e)))+
-      
+
       CGAL_NEF_TRACEN(" line("<<l<<")"<<" inverted="<<inverted);
     }
-    
+
     typename Pluecker_line_map::iterator it;
-    
+
     CGAL_forall_iterators(it,M4) {
       //    progress++;
       it->second.sort(Halfedge_key_lt());
-      CGAL_NEF_TRACEN("search opposite  "<<it->first); 
+      CGAL_NEF_TRACEN("search opposite  "<<it->first);
       typename Halfedge_list::iterator itl;
       CGAL_forall_iterators(itl,it->second) {
-	Halfedge_handle e1 = itl->e;
-	++itl; 
-	CGAL_assertion(itl != it->second.end());
-	Halfedge_handle e2 = itl->e;
-	CGAL_NEF_TRACEN("    " << e1->source()->point() 
-			<< " -> " << e2->source()->point());
-	CGAL_NEF_TRACEN(e1->vector()<<" -> "<<-e2->vector());
-	make_twins(e1,e2);
-	CGAL_assertion(e1->mark()==e2->mark());
-	
-	// discard temporary sphere_point ?
+        Halfedge_handle e1 = itl->e;
+        ++itl;
+        CGAL_assertion(itl != it->second.end());
+        Halfedge_handle e2 = itl->e;
+        CGAL_NEF_TRACEN("    " << e1->source()->point()
+                        << " -> " << e2->source()->point());
+        CGAL_NEF_TRACEN(e1->vector()<<" -> "<<-e2->vector());
+        make_twins(e1,e2);
+        CGAL_assertion(e1->mark()==e2->mark());
+
+        // discard temporary sphere_point ?
       }
     }
-    
+
     CGAL_forall_iterators(it,M3) {
       //    progress++;
       it->second.sort(Halfedge_key_lt());
-      CGAL_NEF_TRACEN("search opposite  "<<it->first); 
+      CGAL_NEF_TRACEN("search opposite  "<<it->first);
       typename Halfedge_list::iterator itl;
       CGAL_forall_iterators(itl,it->second) {
-	Halfedge_handle e1 = itl->e;
-	++itl; 
-	CGAL_assertion(itl != it->second.end());
-	Halfedge_handle e2 = itl->e;
-	CGAL_NEF_TRACEN("    " << e1->source()->point() 
-			<< " -> " << e2->source()->point());
-	CGAL_NEF_TRACEN(e1->vector()<<" -> "<<-e2->vector());
-	make_twins(e1,e2);
-	CGAL_assertion(e1->mark()==e2->mark());
-	
-	// discard temporary sphere_point ?
+        Halfedge_handle e1 = itl->e;
+        ++itl;
+        CGAL_assertion(itl != it->second.end());
+        Halfedge_handle e2 = itl->e;
+        CGAL_NEF_TRACEN("    " << e1->source()->point()
+                        << " -> " << e2->source()->point());
+        CGAL_NEF_TRACEN(e1->vector()<<" -> "<<-e2->vector());
+        make_twins(e1,e2);
+        CGAL_assertion(e1->mark()==e2->mark());
+
+        // discard temporary sphere_point ?
       }
     }
-    
+
     CGAL_forall_iterators(it,M2) {
       //    progress++;
       it->second.sort(Halfedge_key_lt());
-      CGAL_NEF_TRACEN("search opposite  "<<it->first); 
+      CGAL_NEF_TRACEN("search opposite  "<<it->first);
       typename Halfedge_list::iterator itl;
       CGAL_forall_iterators(itl,it->second) {
-	Halfedge_handle e1 = itl->e;
-	++itl; 
-	CGAL_assertion(itl != it->second.end());
-	Halfedge_handle e2 = itl->e;
-	CGAL_NEF_TRACEN("    " << e1->source()->point() 
-			<< " -> " << e2->source()->point());
-	CGAL_NEF_TRACEN(e1->vector()<<" -> "<<-e2->vector());
-	make_twins(e1,e2);
-	CGAL_assertion(e1->mark()==e2->mark());
-	
-	// discard temporary sphere_point ?
+        Halfedge_handle e1 = itl->e;
+        ++itl;
+        CGAL_assertion(itl != it->second.end());
+        Halfedge_handle e2 = itl->e;
+        CGAL_NEF_TRACEN("    " << e1->source()->point()
+                        << " -> " << e2->source()->point());
+        CGAL_NEF_TRACEN(e1->vector()<<" -> "<<-e2->vector());
+        make_twins(e1,e2);
+        CGAL_assertion(e1->mark()==e2->mark());
+
+        // discard temporary sphere_point ?
       }
     }
-    
+
     CGAL_forall_iterators(it,M) {
       //    progress++;
       it->second.sort(Halfedge_key_lt());
-      CGAL_NEF_TRACEN("search opposite  "<<it->first); 
+      CGAL_NEF_TRACEN("search opposite  "<<it->first);
       typename Halfedge_list::iterator itl;
       CGAL_forall_iterators(itl,it->second) {
-	Halfedge_handle e1 = itl->e;
-	++itl; 
-	CGAL_assertion(itl != it->second.end());
-	Halfedge_handle e2 = itl->e;
-	CGAL_NEF_TRACEN("    " << e1->source()->point() 
-			<< " -> " << e2->source()->point());
-	CGAL_NEF_TRACEN(e1->vector()<<" -> "<< -e2->vector());
-	CGAL_assertion(e1->source()->point() != e2->source()->point());
-	CGAL_assertion(e1->mark()==e2->mark());
-	make_twins(e1,e2);
-	
-	// discard temporary sphere_point ?
+        Halfedge_handle e1 = itl->e;
+        ++itl;
+        CGAL_assertion(itl != it->second.end());
+        Halfedge_handle e2 = itl->e;
+        CGAL_NEF_TRACEN("    " << e1->source()->point()
+                        << " -> " << e2->source()->point());
+        CGAL_NEF_TRACEN(e1->vector()<<" -> "<< -e2->vector());
+        CGAL_assertion(e1->source()->point() != e2->source()->point());
+        CGAL_assertion(e1->mark()==e2->mark());
+        make_twins(e1,e2);
+
+        // discard temporary sphere_point ?
       }
     }
   }
 #endif
 
   void link_shalfedges_to_facet_cycles() const {
-  /*{\Mop creates all non-trivial facet cycles from sedges. 
+  /*{\Mop creates all non-trivial facet cycles from sedges.
   \precond |pair_up_halfedges()| was called before.}*/
-    
+
   //  CGAL_NEF_SETDTHREAD(43*31);
     CGAL_NEF_TRACEN(">>>>>link_shalfedges_to_facet_cycles");
 
 #ifdef CGAL_NEF_EXPLOIT_REFERENCE_COUNTING
-    Point_3 p1(1,2,7), p2(p1);     
+    Point_3 p1(1,2,7), p2(p1);
     bool reference_counted = (&(p1.hx()) == &(p2.hx()));
 #endif
 
@@ -646,59 +646,59 @@ public:
       if ( D.is_isolated(e) ) continue;
       SHalfedge_around_svertex_circulator ce(D.first_out_edge(e)),cee(ce);
       SHalfedge_around_svertex_circulator cet(Dt.first_out_edge(et)),cete(cet);
-      
+
 #ifdef CGAL_NEF_EXPLOIT_REFERENCE_COUNTING
       if(reference_counted) {
-	CGAL_For_all(cet,cete)
-	  if ( &(cet->circle().a()) == &(ce->circle().opposite().a()) && 
-	       cet->source()->twin() == ce->source() )
-	    break;
+        CGAL_For_all(cet,cete)
+          if ( &(cet->circle().a()) == &(ce->circle().opposite().a()) &&
+               cet->source()->twin() == ce->source() )
+            break;
       } else
 #endif
         CGAL_For_all(cet,cete)
-	  if ( cet->circle() == ce->circle().opposite() && 
-	       cet->source()->twin() == ce->source() ) 
+          if ( cet->circle() == ce->circle().opposite() &&
+               cet->source()->twin() == ce->source() )
             break;
 
 #ifndef NDEBUG
       if( cet->circle() != ce->circle().opposite() )
-	CGAL_NEF_TRACEN("assertion failed!");
-      
-      CGAL_NEF_TRACEN("vertices " << e->source()->point() << 
+        CGAL_NEF_TRACEN("assertion failed!");
+
+      CGAL_NEF_TRACEN("vertices " << e->source()->point() <<
       "    "      << et->source()->point());
-      
-      
+
+
       SHalfedge_around_svertex_circulator sc(D.first_out_edge(e));
       SHalfedge_around_svertex_circulator sct(Dt.first_out_edge(et));
 
       CGAL_NEF_TRACEN("");
       CGAL_For_all(sc,cee)
-	CGAL_NEF_TRACEN("sseg@E addr="<<&*sc<<
-			" src="<< sc->source()->point()<<
-			" tgt="<< sc->target()->point()<<std::endl<<
-			" circle=" << normalized(sc->circle()));
+        CGAL_NEF_TRACEN("sseg@E addr="<<&*sc<<
+                        " src="<< sc->source()->point()<<
+                        " tgt="<< sc->target()->point()<<std::endl<<
+                        " circle=" << normalized(sc->circle()));
       CGAL_NEF_TRACEN("");
 
       CGAL_For_all(sct,cete)
       CGAL_NEF_TRACEN("sseg@ET addr="<<&*sct<<
-		      " src="<< sct->source()->point()<<
-		      " tgt="<<sct->target()->point()<<std::endl<<
-		      " circle=" << normalized(sct->circle()));
+                      " src="<< sct->source()->point()<<
+                      " tgt="<<sct->target()->point()<<std::endl<<
+                      " circle=" << normalized(sct->circle()));
       CGAL_NEF_TRACEN("");
 #endif
 
-      CGAL_assertion( normalized(cet->circle()) == normalized(ce->circle().opposite()) ); 
-      CGAL_assertion( cet->source()->twin() == ce->source()); 
-      CGAL_For_all(ce,cee) { 
-	CGAL_NEF_TRACEN("circles " << normalized(cet->circle()) << "   " << normalized(ce->circle()) << 
-			" sources " << cet->target()->point() << 
-			"   " << ce->target()->point());
-	CGAL_assertion( normalized(cet->circle()) == normalized(ce->circle().opposite())); 
-	CGAL_assertion( cet->source()->twin() == ce->source()); 
-	CGAL_assertion(ce->mark()==cet->mark());
-	link_as_prev_next_pair(cet->twin(),ce);
-	link_as_prev_next_pair(ce->twin(),cet);
-	--cet; // ce moves ccw, cet moves cw
+      CGAL_assertion( normalized(cet->circle()) == normalized(ce->circle().opposite()) );
+      CGAL_assertion( cet->source()->twin() == ce->source());
+      CGAL_For_all(ce,cee) {
+        CGAL_NEF_TRACEN("circles " << normalized(cet->circle()) << "   " << normalized(ce->circle()) <<
+                        " sources " << cet->target()->point() <<
+                        "   " << ce->target()->point());
+        CGAL_assertion( normalized(cet->circle()) == normalized(ce->circle().opposite()));
+        CGAL_assertion( cet->source()->twin() == ce->source());
+        CGAL_assertion(ce->mark()==cet->mark());
+        link_as_prev_next_pair(cet->twin(),ce);
+        link_as_prev_next_pair(ce->twin(),cet);
+        --cet; // ce moves ccw, cet moves cw
       }
     }
   }
@@ -710,71 +710,71 @@ public:
 
     //    CGAL_NEF_SETDTHREAD(43*31);
     CGAL_NEF_TRACEN(">>>>>categorize_facet_cycles_and_create_facets");
-    
+
     typedef std::list<Object_handle> Object_list;
 #ifdef CGAL_NEF_EXPLOIT_REFERENCE_COUNTING
-    typedef std::map<Plane_3, Object_list, Plane_RT_lt> 
+    typedef std::map<Plane_3, Object_list, Plane_RT_lt>
       Map_planes;
 #else
-    typedef std::map<Plane_3, Object_list, Plane_lt> 
+    typedef std::map<Plane_3, Object_list, Plane_lt>
       Map_planes;
-#endif 
-   
+#endif
+
     Map_planes M;
     SHalfedge_iterator e;
     CGAL_forall_shalfedges(e,*this->sncp()) {
       Sphere_circle c(e->circle());
       Plane_3 h = c.plane_through(e->source()->source()->point());
       CGAL_NEF_TRACEN("\n" << e->source()->twin()->source()->point() <<" - "
-		      << e->source()->source()->point() <<" - "<< 
-		      e->twin()->source()->twin()->source()->point() << 
-		      " has plane " << h << " has circle " << e->circle() << 
-		      " has signum " << sign_of(h));
+                      << e->source()->source()->point() <<" - "<<
+                      e->twin()->source()->twin()->source()->point() <<
+                      " has plane " << h << " has circle " << e->circle() <<
+                      " has signum " << sign_of(h));
       if ( sign_of(h)<0 ) continue;
-      M[normalized(h)].push_back(make_object(e->twin())); 
+      M[normalized(h)].push_back(make_object(e->twin()));
       CGAL_NEF_TRACEN(" normalized as " << normalized(h));
       /*
-	Unique_hash_map<SHalfedge_handle, bool> Done(false);
-	SHalfedge_iterator ei;
-	CGAL_forall_sedges(ei,*this->sncp()) {
-	if(Done[ei]) continue;
-	Sphere_circle c(ei->circle());
-	Plane_3 h = c.plane_through(ei->source()->source()->point());
-	CGAL_NEF_TRACEN("\n" << ei->source()->twin()->source()->point() <<" - "
-	<< ei->source()->source()->point() <<" - "<< 
-		      ei->twin()->source()->twin()->source()->point() << 
-		      " has plane " << h << " has circle " << ei->circle() << 
-		      " has signum " << sign_of(h));
+        Unique_hash_map<SHalfedge_handle, bool> Done(false);
+        SHalfedge_iterator ei;
+        CGAL_forall_sedges(ei,*this->sncp()) {
+        if(Done[ei]) continue;
+        Sphere_circle c(ei->circle());
+        Plane_3 h = c.plane_through(ei->source()->source()->point());
+        CGAL_NEF_TRACEN("\n" << ei->source()->twin()->source()->point() <<" - "
+        << ei->source()->source()->point() <<" - "<<
+                      ei->twin()->source()->twin()->source()->point() <<
+                      " has plane " << h << " has circle " << ei->circle() <<
+                      " has signum " << sign_of(h));
       SHalfedge_handle e(ei);
       if ( sign_of(h)<0 ) {
-	h = h.opposite();
-	e = e->twin();
+        h = h.opposite();
+        e = e->twin();
       }
       SHalfedge_around_facet_circulator sfc(e), send(sfc);
       CGAL_For_all(sfc, send) {
-	M[normalized(h)].push_back(make_object(e->twin())); 
-	Done[sfc] = true;
-	Done[sfc->twin()] = true;
-	CGAL_NEF_TRACEN(" normalized as " << normalized(h)); 
+        M[normalized(h)].push_back(make_object(e->twin()));
+        Done[sfc] = true;
+        Done[sfc->twin()] = true;
+        CGAL_NEF_TRACEN(" normalized as " << normalized(h));
       }
       */
     }
     SHalfloop_iterator l;
     CGAL_forall_shalfloops(l,*this->sncp()) {
       Sphere_circle c(l->circle());
-      Plane_3 h = c.plane_through(l->incident_sface()->center_vertex()->point()); 
+      Plane_3 h = c.plane_through(l->incident_sface()->center_vertex()->point());
       if ( sign_of(h)<0 ) continue;
       // CGAL_assertion( h == normalized(h));
       M[normalized(h)].push_back(make_object(l->twin()));
     }
-    
+
 #ifdef CGAL_NEF3_TIMER_PLANE_SWEEPS
   number_of_plane_sweeps=0;
   timer_plane_sweeps.reset();
 #endif
 
     typename Map_planes::iterator it;
-    CGAL_forall_iterators(it,M) { 
+    CGAL_forall_iterators(it,M) {
       //    progress2++;
       //      CGAL_NEF_TRACEN("  plane "<<it->first<<"             "<<(it->first).point());
       FM_decorator D(*this->sncp());
@@ -791,7 +791,7 @@ public:
 #ifdef CGAL_NEF3_TIMER_POINT_LOCATION
     number_of_ray_shooting_queries=0;
     timer_ray_shooting.reset();
-#endif 
+#endif
 
     //    CGAL_NEF_SETDTHREAD(37*43*503*509);
 
@@ -803,19 +803,19 @@ public:
     std::vector<SFace_handle> MinimalSFace;
     std::vector<SFace_handle> EntrySFace;
     std::vector<bool> Closed;
-    
+
     SFace_iterator f;
     // First, we classify all the Shere Faces per Shell.  For each Shell we
     //     determine its minimum lexicographyly vertex and we check wheter the
-    //     Shell encloses a region (closed surface) or not. 
+    //     Shell encloses a region (closed surface) or not.
     CGAL_forall_sfaces(f,*this->sncp()) {
       //    progress++;
       CGAL_NEF_TRACEN("sface in " << ShellSf[f]);
-      if ( Done[f] ) 
-	continue;
+      if ( Done[f] )
+        continue;
       V.minimal_sface() = f;
       visit_shell_objects(f,V);
-      
+
       CGAL_NEF_TRACEN("minimal vertex " << V.minimal_sface()->center_vertex()->point());
 
       MinimalSFace.push_back(V.minimal_sface());
@@ -823,36 +823,36 @@ public:
       V.increment_shell_number();
       CGAL_NEF_TRACEN("sface out " << ShellSf[f]);
     }
-    
+
     for(unsigned int i=0; i<EntrySFace.size(); ++i)
       Closed.push_back(false);
-    
+
     Halffacet_iterator hf;
-    CGAL_forall_facets(hf,*this) 
+    CGAL_forall_facets(hf,*this)
       if(ShellF[hf] != ShellF[hf->twin()]) {
-	Closed[ShellF[hf]] = true;
-	Closed[ShellF[hf->twin()]] = true;
+        Closed[ShellF[hf]] = true;
+        Closed[ShellF[hf->twin()]] = true;
       }
-    
+
     CGAL_assertion( pl != nullptr);
 
 #ifdef CGAL_NEF3_TIMER_INITIALIZE_KDTREE
     CGAL::Timer timer_initialize_kdtree;
     timer_initialize_kdtree.start();
 #endif
-    pl->initialize(this->sncp()); // construct the point locator 
+    pl->initialize(this->sncp()); // construct the point locator
 #ifdef CGAL_NEF3_TIMER_INITIALIZE_KDTREE
     timer_initialize_kdtree.stop();
     if(cgal_nef3_timer_on)
-      std::cout << "Runtime_initialize_kdtree: " 
-		<< timer_initialize_kdtree.time() << std::endl;
+      std::cout << "Runtime_initialize_kdtree: "
+                << timer_initialize_kdtree.time() << std::endl;
 #endif
 
     //   then, we determine the Shells which correspond to Volumes via a ray
-    //   shootting in the direction (-1,0,0) over the Sphere_map of the minimal 
-    //   vertex.  The Shell corresponds to a Volume if the object hit belongs 
-    //   to another Shell. 
-    
+    //   shootting in the direction (-1,0,0) over the Sphere_map of the minimal
+    //   vertex.  The Shell corresponds to a Volume if the object hit belongs
+    //   to another Shell.
+
     this->sncp()->new_volume(); // outermost volume (nirvana)
     if(MinimalSFace.size() == 0) return;
     Vertex_handle v_min = MinimalSFace[0]->center_vertex();
@@ -860,64 +860,64 @@ public:
       //    progress2++;
       Vertex_handle v = MinimalSFace[i]->center_vertex();
       if(CGAL::lexicographically_xyz_smaller(v->point(),v_min->point()))
-	v_min=v;
+        v_min=v;
       CGAL_NEF_TRACEN( "Shell #" << i << " minimal vertex: " << v->point());
       SM_point_locator D((Sphere_map*) &*v);
       Object_handle o = D.locate(Sphere_point(-1,0,0));
       SFace_const_handle sfc;
       if( !CGAL::assign(sfc, o) || ShellSf[sfc] != i) {
-	CGAL_NEF_TRACEN("the shell encloses a volume");
-	CGAL_NEF_TRACEN("sface hit? "<<CGAL::assign(sfc,o));
-	if( CGAL::assign(sfc, o)) { CGAL_NEF_TRACEN("sface on another shell? "<<ShellSf[sfc]); }
-	SFace_handle f = MinimalSFace[i];
-	CGAL_assertion( ShellSf[f] == i );
-	if( Closed[i] ) {
-	  CGAL_NEF_TRACEN("Shell #" << i << " is closed");
-	  SM_decorator SD(&*v);
-	  Volume_handle c = this->sncp()->new_volume();
-	  c->mark() = f->mark(); // TODO test if line is redundant
-	  link_as_inner_shell(f, c );
-	  CGAL_NEF_TRACE( "Shell #" << i <<" linked as inner shell");
-	  CGAL_NEF_TRACEN( "(sface" << (CGAL::assign(sfc,o)?"":" not") << " hit case)");
-	}
+        CGAL_NEF_TRACEN("the shell encloses a volume");
+        CGAL_NEF_TRACEN("sface hit? "<<CGAL::assign(sfc,o));
+        if( CGAL::assign(sfc, o)) { CGAL_NEF_TRACEN("sface on another shell? "<<ShellSf[sfc]); }
+        SFace_handle f = MinimalSFace[i];
+        CGAL_assertion( ShellSf[f] == i );
+        if( Closed[i] ) {
+          CGAL_NEF_TRACEN("Shell #" << i << " is closed");
+          SM_decorator SD(&*v);
+          Volume_handle c = this->sncp()->new_volume();
+          c->mark() = f->mark(); // TODO test if line is redundant
+          link_as_inner_shell(f, c );
+          CGAL_NEF_TRACE( "Shell #" << i <<" linked as inner shell");
+          CGAL_NEF_TRACEN( "(sface" << (CGAL::assign(sfc,o)?"":" not") << " hit case)");
+        }
       }
     }
-    
-    // finaly, we go through all the Shells which do not correspond to a Volume 
+
+    // finaly, we go through all the Shells which do not correspond to a Volume
     //     and we assign them to its enclosing Volume determined via a facet below
-    //     check. 
-    
+    //     check.
+
     CGAL_forall_sfaces(f,*this->sncp()) {
       //    progress3++;
-      if ( f->volume() != Volume_handle() ) 
-	continue;
+      if ( f->volume() != Volume_handle() )
+        continue;
       CGAL_NEF_TRACEN( "Outer shell #" << ShellSf[f] << " volume?");
-      Volume_handle c = determine_volume( MinimalSFace[ShellSf[f]], 
-					  MinimalSFace, ShellSf );
+      Volume_handle c = determine_volume( MinimalSFace[ShellSf[f]],
+                                          MinimalSFace, ShellSf );
       c->mark() = f->mark();
       link_as_outer_shell( f, c );
-    } 
+    }
   }
 
-  Halffacet_handle get_facet_below( Vertex_handle vi, 
-				    const std::vector< SFace_handle>& MinimalSFace, 
-				    const Sface_shell_hash&  Shell) const {
+  Halffacet_handle get_facet_below( Vertex_handle vi,
+                                    const std::vector< SFace_handle>& MinimalSFace,
+                                    const Sface_shell_hash&  Shell) const {
     // {\Mop determines the facet below a vertex |vi| via ray shooting. }
-    
+
     Halffacet_handle f_below;
     Point_3 p = vi->point();
     if(!Infi_box::is_standard(p))
       return Halffacet_handle();
-    
+
     Ray_3 ray = Ray_3(p, Direction_3(-1,0,0));
 #ifdef CGAL_NEF3_TIMER_POINT_LOCATION
     number_of_ray_shooting_queries++;
     timer_ray_shooting.start();
-#endif 
+#endif
     Object_handle o = pl->shoot(ray);
 #ifdef CGAL_NEF3_TIMER_POINT_LOCATION
     timer_ray_shooting.stop();
-#endif 
+#endif
     // The ray here has an special property since it is shooted from the lowest
     // vertex in a shell, so it would be expected that the ray goes along the
     // interior of a volume before it hits a 2-skeleton element.
@@ -935,18 +935,18 @@ public:
       CGAL_NEF_TRACEN("facet below from from vertex...");
       f_below = get_visible_facet(v, ray);
       if( f_below == Halffacet_handle()) {
-	CGAL_assertion(v->sfaces_begin() == v->sfaces_last());
-	f_below = get_facet_below(MinimalSFace[Shell[v->sfaces_begin()]]->center_vertex(), 
-				  MinimalSFace,Shell);
+        CGAL_assertion(v->sfaces_begin() == v->sfaces_last());
+        f_below = get_facet_below(MinimalSFace[Shell[v->sfaces_begin()]]->center_vertex(),
+                                  MinimalSFace,Shell);
       }
     }
     else if( CGAL::assign(e, o)) {
       CGAL_NEF_TRACEN("facet below from from edge...");
       f_below = get_visible_facet(e, ray);
       if( f_below == Halffacet_handle()) {
-	CGAL_assertion(e->source()->sfaces_begin() == e->source()->sfaces_last());
-	f_below = get_facet_below(MinimalSFace[Shell[e->source()->sfaces_begin()]]->center_vertex(), 
-				  MinimalSFace, Shell);
+        CGAL_assertion(e->source()->sfaces_begin() == e->source()->sfaces_last());
+        f_below = get_facet_below(MinimalSFace[Shell[e->source()->sfaces_begin()]]->center_vertex(),
+                                  MinimalSFace, Shell);
       }
     }
     else if( CGAL::assign(f, o)) {
@@ -956,18 +956,18 @@ public:
     }
     else { CGAL_NEF_TRACEN("no facet below found..."); }
     return f_below;
-  }  
+  }
 
-  Volume_handle determine_volume( SFace_handle sf, 
-                const std::vector< SFace_handle>& MinimalSFace, 
-				  const Sface_shell_hash&  Shell ) const {
-    //{\Mop determines the volume |C| that a shell |S| pointed by |sf| 
+  Volume_handle determine_volume( SFace_handle sf,
+                const std::vector< SFace_handle>& MinimalSFace,
+                                  const Sface_shell_hash&  Shell ) const {
+    //{\Mop determines the volume |C| that a shell |S| pointed by |sf|
     //  belongs to.  \precondition |S| separates the volume |C| from an enclosed
     //  volume.}
-    
+
     CGAL_NEF_TRACEN("determine volume");
     Vertex_handle v_min = MinimalSFace[Shell[sf]]->center_vertex();
-    
+
     Halffacet_handle f_below = get_facet_below(v_min, MinimalSFace, Shell);
     if ( f_below == Halffacet_handle())
       return SNC_decorator(*this).volumes_begin();
@@ -984,7 +984,7 @@ public:
     link_as_inner_shell( sf_below, c);
     return c;
   }
-   
+
   void build_external_structure() {
 
 #ifdef CGAL_NEF3_TIMER_EXTERNAL_STRUCTURE
@@ -1002,8 +1002,8 @@ public:
 #ifdef CGAL_NEF3_TIMER_PLUECKER
     timer_pluecker.stop();
      if(cgal_nef3_timer_on)
-      std::cout << "Runtime_pluecker: " 
-		<< timer_pluecker.time() << std::endl;
+      std::cout << "Runtime_pluecker: "
+                << timer_pluecker.time() << std::endl;
 #endif
     link_shalfedges_to_facet_cycles();
     //    SNC_io_parser<SNC_structure> O0(std::cerr,*this->sncp());
@@ -1014,8 +1014,8 @@ public:
 #ifdef CGAL_NEF3_TIMER_EXTERNAL_STRUCTURE
     timer_external_structure.stop();
     if(cgal_nef3_timer_on)
-      std::cout << "Runtime_external_structure: " 
-		<< timer_external_structure.time() << std::endl;
+      std::cout << "Runtime_external_structure: "
+                << timer_external_structure.time() << std::endl;
 #endif
   }
 
@@ -1031,15 +1031,15 @@ public:
 #ifdef CGAL_NEF3_TIMER_SIMPLIFICATION
     timer_simplification.stop();
     if(cgal_nef3_timer_on)
-      std::cout << "Runtime_simplification: " 
-		<< timer_simplification.time() << std::endl;
+      std::cout << "Runtime_simplification: "
+                << timer_simplification.time() << std::endl;
 #endif
-    
+
     CGAL_NEF_TRACEN("\nnumber of vertices (so far...) = "
-		    << this->sncp()->number_of_vertices());
-    
+                    << this->sncp()->number_of_vertices());
+
     CGAL_NEF_TRACEN("=> resultant vertices (after simplification): ");
-    
+
     build_external_structure();
   }
 
@@ -1060,19 +1060,19 @@ public:
     CGAL_forall_sfaces(sf,*this)
       sf->volume() = Volume_handle();
   }
-}; 
+};
 
 
 
 template <typename Items_, typename SNC_structure_>
 class SNC_external_structure : public SNC_external_structure_base<Items_, SNC_structure_>
-{ 
+{
   typedef CGAL::SNC_decorator<SNC_structure_>                 SNC_decorator;
   typedef CGAL::SNC_point_locator<SNC_decorator>             SNC_point_locator;
 public:
 
-  SNC_external_structure( SNC_structure_& W, SNC_point_locator* spl = nullptr) 
-    : SNC_external_structure_base<Items_, SNC_structure_>(W, spl) 
+  SNC_external_structure( SNC_structure_& W, SNC_point_locator* spl = nullptr)
+    : SNC_external_structure_base<Items_, SNC_structure_>(W, spl)
   {}
 };
 
@@ -1080,9 +1080,9 @@ public:
 
 
 template <typename SNC_structure_>
-class SNC_external_structure<SNC_indexed_items, SNC_structure_> 
+class SNC_external_structure<SNC_indexed_items, SNC_structure_>
   : public SNC_external_structure_base<int, SNC_structure_> {
- 
+
 public:
   typedef SNC_structure_                                SNC_structure;
   typedef SNC_external_structure_base<int, SNC_structure>    Base;
@@ -1091,7 +1091,7 @@ public:
   typedef CGAL::SNC_point_locator<SNC_decorator>             SNC_point_locator;
   typedef CGAL::SNC_FM_decorator<SNC_structure>              FM_decorator;
   typedef typename SNC_structure::Sphere_map                 Sphere_map;
-  typedef CGAL::SM_decorator<Sphere_map>                     SM_decorator;  
+  typedef CGAL::SM_decorator<Sphere_map>                     SM_decorator;
   typedef CGAL::SNC_simplify<SNC_indexed_items, SNC_structure> SNC_simplify;
 
   typedef typename SNC_structure::Halfedge_iterator Halfedge_iterator;
@@ -1103,11 +1103,11 @@ public:
 
   typedef typename SNC_structure::Object_handle Object_handle;
 
-  typedef typename SNC_structure::SHalfedge_around_facet_circulator 
+  typedef typename SNC_structure::SHalfedge_around_facet_circulator
     SHalfedge_around_facet_circulator;
-  typedef typename SM_decorator::SHalfedge_around_svertex_circulator 
+  typedef typename SM_decorator::SHalfedge_around_svertex_circulator
     SHalfedge_around_svertex_circulator;
-  
+
   typedef typename SNC_structure::Plane_3 Plane_3;
 
   using Base::make_twins;
@@ -1115,7 +1115,7 @@ public:
   using Base::link_as_inner_shell;
 
 
-  SNC_external_structure( SNC_structure& W, SNC_point_locator* spl = nullptr) 
+  SNC_external_structure( SNC_structure& W, SNC_point_locator* spl = nullptr)
     : Base(W, spl) {}
   /*{\Mcreate makes |\Mvar| a decorator of |W|.}*/
 
@@ -1129,33 +1129,33 @@ public:
 
     index_map i2he;
     Halfedge_iterator ei;
-    CGAL_forall_halfedges(ei, *this->sncp()) 
+    CGAL_forall_halfedges(ei, *this->sncp())
       i2he[ei->get_index()].push_back(ei);
-    
+
     typename index_map::iterator it;
     CGAL_forall_iterators(it,i2he) {
       CGAL_NEF_TRACEN("pair up " << it->first);
       it->second.sort(Halfedge_key_lt());
       typename Halfedge_list::iterator itl;
       CGAL_forall_iterators(itl,it->second) {
-	Halfedge_handle e1 = *itl;
-	CGAL_NEF_TRACEN(e1->source()->point() << ", " << e1->vector());
-	++itl; 
-	CGAL_assertion(itl != it->second.end());
-	Halfedge_handle e2 = *itl;
-	CGAL_NEF_TRACEN(" + " << e2->source()->point() << ", " << e2->vector());
-	make_twins(e1,e2);
-	//	SNC_io_parser<SNC_structure> O0(std::cerr,*this->sncp());
-	//	O0.print();
-	CGAL_assertion(e1->mark()==e2->mark());
+        Halfedge_handle e1 = *itl;
+        CGAL_NEF_TRACEN(e1->source()->point() << ", " << e1->vector());
+        ++itl;
+        CGAL_assertion(itl != it->second.end());
+        Halfedge_handle e2 = *itl;
+        CGAL_NEF_TRACEN(" + " << e2->source()->point() << ", " << e2->vector());
+        make_twins(e1,e2);
+        //        SNC_io_parser<SNC_structure> O0(std::cerr,*this->sncp());
+        //        O0.print();
+        CGAL_assertion(e1->mark()==e2->mark());
       }
     }
   }
 
   void link_shalfedges_to_facet_cycles() const {
-  /*{\Mop creates all non-trivial facet cycles from sedges. 
+  /*{\Mop creates all non-trivial facet cycles from sedges.
   \precond |pair_up_halfedges()| was called before.}*/
-    
+
   //  CGAL_NEF_SETDTHREAD(43*31);
     CGAL_NEF_TRACEN(">>>>>link_shalfedges_to_facet_cycles");
 
@@ -1170,56 +1170,56 @@ public:
       if ( D.is_isolated(e) ) continue;
       SHalfedge_around_svertex_circulator ce(D.first_out_edge(e)),cee(ce);
       SHalfedge_around_svertex_circulator cet(Dt.first_out_edge(et)),cete(cet);
-      
+
       CGAL_For_all(cet,cete) {
-	//	std::cerr << cet->get_index() << ", " << ce->twin()->get_index() << std::endl;
-	if (cet->get_forward_index() == ce->twin()->get_backward_index())
-	    //	    cet->source()->twin() == ce->source())
-	  break;
+        //        std::cerr << cet->get_index() << ", " << ce->twin()->get_index() << std::endl;
+        if (cet->get_forward_index() == ce->twin()->get_backward_index())
+            //            cet->source()->twin() == ce->source())
+          break;
       }
 
-      CGAL_NEF_TRACEN("vertices " << e->source()->point() << 
+      CGAL_NEF_TRACEN("vertices " << e->source()->point() <<
       "    "      << et->source()->point());
-      
+
       SHalfedge_around_svertex_circulator sc(D.first_out_edge(e));
       SHalfedge_around_svertex_circulator sct(Dt.first_out_edge(et));
 
       CGAL_NEF_TRACEN("");
       CGAL_For_all(sc,cee)
-	CGAL_NEF_TRACEN("sseg@E addr="<<&*sc<<
-			" src="<< sc->source()->point()<< 
-			" tgt="<< sc->target()->point()<< std::endl << 
-			" circle=" << sc->circle()<< std::endl <<
-			" indexes=" << sc->get_forward_index() << 
-			"," << sc->get_backward_index() << std::endl <<
-			"         " << sc->twin()->get_forward_index() <<
-			"," << sc->twin()->get_backward_index());
- 
+        CGAL_NEF_TRACEN("sseg@E addr="<<&*sc<<
+                        " src="<< sc->source()->point()<<
+                        " tgt="<< sc->target()->point()<< std::endl <<
+                        " circle=" << sc->circle()<< std::endl <<
+                        " indexes=" << sc->get_forward_index() <<
+                        "," << sc->get_backward_index() << std::endl <<
+                        "         " << sc->twin()->get_forward_index() <<
+                        "," << sc->twin()->get_backward_index());
+
       CGAL_NEF_TRACEN("");
 
       CGAL_For_all(sct,cete)
       CGAL_NEF_TRACEN("sseg@ET addr="<<&*sct<<
-		      " src="<< sct->source()->point()<<
-		      " tgt="<<sct->target()->point() <<std::endl<<
-		      " circle=" << sct->circle() << std::endl<<
-		      " indexes=" << sct->get_forward_index() << 
-		      "," << sct->get_backward_index() << std::endl <<
-		      "         " << sct->twin()->get_forward_index() <<
-	              "," << sct->twin()->get_backward_index());
+                      " src="<< sct->source()->point()<<
+                      " tgt="<<sct->target()->point() <<std::endl<<
+                      " circle=" << sct->circle() << std::endl<<
+                      " indexes=" << sct->get_forward_index() <<
+                      "," << sct->get_backward_index() << std::endl <<
+                      "         " << sct->twin()->get_forward_index() <<
+                      "," << sct->twin()->get_backward_index());
       CGAL_NEF_TRACEN("");
 
       CGAL_assertion( cet->get_index() == ce->twin()->get_index());
       CGAL_assertion( cet->twin()->get_index() == ce->get_index());
-      CGAL_assertion( cet->source()->twin() == ce->source()); 
-      CGAL_For_all(ce,cee) { 
-	CGAL_NEF_TRACEN("circles " << cet->circle() << "   " << ce->circle() << 
-			" sources " << cet->target()->point() << 
-			"   " << ce->target()->point());
-	CGAL_assertion( cet->source()->twin() == ce->source()); 
-	CGAL_assertion(ce->mark()==cet->mark());
-	link_as_prev_next_pair(cet->twin(),ce);
-	link_as_prev_next_pair(ce->twin(),cet);
-	--cet; // ce moves ccw, cet moves cw
+      CGAL_assertion( cet->source()->twin() == ce->source());
+      CGAL_For_all(ce,cee) {
+        CGAL_NEF_TRACEN("circles " << cet->circle() << "   " << ce->circle() <<
+                        " sources " << cet->target()->point() <<
+                        "   " << ce->target()->point());
+        CGAL_assertion( cet->source()->twin() == ce->source());
+        CGAL_assertion(ce->mark()==cet->mark());
+        link_as_prev_next_pair(cet->twin(),ce);
+        link_as_prev_next_pair(ce->twin(),cet);
+        --cet; // ce moves ccw, cet moves cw
       }
     }
   }
@@ -1231,43 +1231,43 @@ public:
 
     //    CGAL_NEF_SETDTHREAD(43*31);
     CGAL_NEF_TRACEN(">>>>>categorize_facet_cycles_and_create_facets");
-    
+
     typedef std::list<Object_handle> Object_list;
-    typedef std::map<int, Object_list> 
+    typedef std::map<int, Object_list>
       Map_planes;
-   
+
     Map_planes M;
     SHalfedge_iterator e;
     CGAL_forall_shalfedges(e,*this->sncp()) {
       if(e->get_index() > e->twin()->get_index())
-	continue;
+        continue;
       M[e->get_index()].push_back(make_object(e));
     }
     SHalfloop_iterator l;
     CGAL_forall_shalfloops(l,*this->sncp()) {
       if(l->get_index() > l->twin()->get_index())
-	continue;
+        continue;
       M[l->get_index()].push_back(make_object(l));
     }
-    
+
 #ifdef CGAL_NEF3_TIMER_PLANE_SWEEPS
   number_of_plane_sweeps=0;
   timer_plane_sweeps.reset();
 #endif
 
     typename Map_planes::iterator it;
-    CGAL_forall_iterators(it,M) { 
+    CGAL_forall_iterators(it,M) {
       CGAL_NEF_TRACEN("  plane "<< it->first);
       CGAL_NEF_TRACEN("  size "<< it->second.size());
       FM_decorator D(*this->sncp());
       Plane_3 h;
       Object_handle o(*it->second.begin());
       if(CGAL::assign(e, o))
-	h = e->circle().opposite().plane_through(e->source()->source()->point());
+        h = e->circle().opposite().plane_through(e->source()->source()->point());
       else if(CGAL::assign(l, o))
-	h = l->circle().opposite().plane_through(l->incident_sface()->center_vertex()->point());
+        h = l->circle().opposite().plane_through(l->incident_sface()->center_vertex()->point());
       else
-	CGAL_error_msg( "wrong handle");
+        CGAL_error_msg( "wrong handle");
 
       D.create_facet_objects(h,it->second.begin(),it->second.end());
     }
@@ -1277,7 +1277,7 @@ public:
   void create_volumes() {
     Base::create_volumes();
   }
-   
+
   void build_external_structure() {
 //    CGAL_NEF_SETDTHREAD(503*509);
 
@@ -1296,8 +1296,8 @@ public:
 #ifdef CGAL_NEF3_TIMER_PLUECKER
     timer_pluecker.stop();
      if(cgal_nef3_timer_on)
-      std::cout << "Runtime_pluecker: " 
-		<< timer_pluecker.time() << std::endl;
+      std::cout << "Runtime_pluecker: "
+                << timer_pluecker.time() << std::endl;
 #endif
      //     SNC_io_parser<SNC_structure> O0(std::cerr,*this->sncp());
      //     O0.print();
@@ -1310,24 +1310,24 @@ public:
     CGAL_forall_shalfedges(sei, *this->sncp()) {
       hash[sei->get_index()] = sei->get_index();
     }
-    
+
     CGAL_forall_shalfedges(sei, *this->sncp()) {
       if(done[sei])
-	continue;
+        continue;
       SHalfedge_around_facet_circulator circ(sei), end(circ);
       int index = circ->get_index();
       ++circ;
       CGAL_For_all(circ, end)
-	if(circ->get_index() < index)
-	  index = circ->get_index();      
+        if(circ->get_index() < index)
+          index = circ->get_index();
       index = hash[index];
       CGAL_For_all(circ, end) {
-	hash[circ->get_index()] = index;
-	circ->set_index(index);
-	done[circ] = true;
+        hash[circ->get_index()] = index;
+        circ->set_index(index);
+        done[circ] = true;
       }
     }
-    
+
     SHalfloop_iterator sli;
     CGAL_forall_shalfloops(sli, *this->sncp())
       sli->set_index(hash[sli->get_index()]);
@@ -1338,29 +1338,29 @@ public:
 #ifdef CGAL_NEF3_TIMER_EXTERNAL_STRUCTURE
     timer_external_structure.stop();
     if(cgal_nef3_timer_on)
-      std::cout << "Runtime_external_structure: " 
-		<< timer_external_structure.time() << std::endl;
+      std::cout << "Runtime_external_structure: "
+                << timer_external_structure.time() << std::endl;
 #endif
   }
 
   void clear_external_structure() {
-    Base::clear_external_structure();    
+    Base::clear_external_structure();
   }
 
   template<typename Association>
   void build_after_binary_operation(Association& A) {
-    
+
     SHalfedge_iterator sei;
     CGAL_forall_shalfedges(sei, *this->sncp()) {
-      CGAL_NEF_TRACEN("hash sedge " << sei->get_index() 
-		      << "->" << A.get_hash(sei->get_index()));
+      CGAL_NEF_TRACEN("hash sedge " << sei->get_index()
+                      << "->" << A.get_hash(sei->get_index()));
       sei->set_index(A.get_hash(sei->get_index()));
     }
 
     SHalfloop_iterator sli;
     CGAL_forall_shalfloops(sli, *this->sncp()) {
-      CGAL_NEF_TRACEN("hash sloop " << sli->get_index() 
-		      << "->" << A.get_hash(sli->get_index()));
+      CGAL_NEF_TRACEN("hash sloop " << sli->get_index()
+                      << "->" << A.get_hash(sli->get_index()));
       sli->set_index(A.get_hash(sli->get_index()));
     }
 
@@ -1373,7 +1373,7 @@ public:
     pair_up_halfedges();
     /*
     {      CGAL::SNC_io_parser<SNC_structure> O
-	(std::cerr, *this->sncp(), false, true);
+        (std::cerr, *this->sncp(), false, true);
       O.print();}
     */
     link_shalfedges_to_facet_cycles();
@@ -1382,7 +1382,7 @@ public:
     simp.vertex_simplificationI();
 
     //    std::map<int, int> hash;
-    CGAL::Unique_hash_map<SHalfedge_handle, bool> 
+    CGAL::Unique_hash_map<SHalfedge_handle, bool>
       done(false);
 
     /*
@@ -1396,7 +1396,7 @@ public:
     categorize_facet_cycles_and_create_facets();
     create_volumes();
   }
-}; 
+};
 
 } //namespace CGAL
 #endif //CGAL_SNC_EXTERNAL_STRUCTURE_H
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_FM_decorator.h 5.0.3-1/include/CGAL/Nef_3/SNC_FM_decorator.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_FM_decorator.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_FM_decorator.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_FM_decorator.h $
-// $Id: SNC_FM_decorator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_FM_decorator.h $
+// $Id: SNC_FM_decorator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -43,9 +43,9 @@ public:
   Vertex_point(const P& p, H v) : H(v), p_(p) {}
   Vertex_point(const Vertex_point& vp) : H(vp) { p_=vp.p_; }
   Vertex_point& operator=(const Vertex_point& vp)
-  { H::operator=(vp); p_=vp.p_; return *this; } 
+  { H::operator=(vp); p_=vp.p_; return *this; }
   H vertex() const { return *this; }
-  P point() const { return p_; } 
+  P point() const { return p_; }
 };
 
 /*
@@ -59,7 +59,7 @@ std::ostream& operator<<(std::ostream& o
 { os << p.point(); return os; }
 
 template <typename P, typename H>
-std::ostream& operator<<(std::ostream& os, 
+std::ostream& operator<<(std::ostream& os,
   const std::pair< Vertex_point<P,H>, Vertex_point<P,H> > & s)
 { os << s.first << s.second; return os; }
 
@@ -100,7 +100,7 @@ struct Sort_sedges2 {
 
 //--------------------------------------------------------------------------
 /* The following type is an output model for our generic segment
-   sweep module |Segment_overlay_traits|. We use that code to 
+   sweep module |Segment_overlay_traits|. We use that code to
    sweep all sedges of a plane to finally associate facet cycles
    to facets. Note that we do not use the segment intersection
    functionality of the code as the sedges only touch in endpoints.
@@ -110,7 +110,7 @@ struct Sort_sedges2 {
 template <typename P, typename V, typename E, typename I>
 struct Halffacet_output {
 
-Halffacet_output(CGAL::Unique_hash_map<I,E>& F, std::vector<E>& S) 
+Halffacet_output(CGAL::Unique_hash_map<I,E>& F, std::vector<E>& S)
   : From(F), Support(S) { edge_number=0; Support[0]=E(); }
 
 typedef P         Point;
@@ -122,7 +122,7 @@ std::vector<E>& Support;
 unsigned edge_number;
 
 Vertex_handle new_vertex(const Point& p) const
-{ 
+{
   #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
   geninfo<unsigned>::create(p.vertex()->info());
   #else
@@ -130,18 +130,18 @@ Vertex_handle new_vertex(const Point& p)
   #endif
   return p.vertex(); }
 
-Halfedge_handle new_halfedge_pair_at_source(Vertex_handle v) 
-{ 
+Halfedge_handle new_halfedge_pair_at_source(Vertex_handle v)
+{
   CGAL_USE(v);
   CGAL_NEF_TRACEN("new_edge "<<&*v<<" "<<edge_number+1);
-  return ++edge_number; 
+  return ++edge_number;
 }
 
 void supporting_segment(Halfedge_handle e, I it)
 { if ( From[it] != E() ) Support[e] = From[it]; }
 
 void halfedge_below(Vertex_handle v, Halfedge_handle e)
-{ CGAL_NEF_TRACEN("halfedge_below point "<< v->point() <<": " << e); 
+{ CGAL_NEF_TRACEN("halfedge_below point "<< v->point() <<": " << e);
   #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
   geninfo<unsigned>::access(v->info()) = e;
   #else
@@ -162,11 +162,11 @@ void ending_segment(Vertex_handle, I) co
 
 //--------------------------------------------------------------------------
 // the following class is the geometry kernel of the generic sweep
-// module |Segment_overlay_traits|. 
+// module |Segment_overlay_traits|.
 //--------------------------------------------------------------------------
 
 template <typename Point, typename Plane, typename Handle>
-class Halffacet_geometry { 
+class Halffacet_geometry {
 
  public:
   typedef Point Point_3;
@@ -188,7 +188,7 @@ Halffacet_geometry(const Plane_3& hi) :
 Point_2 source(const Segment_2& s) const  { return s.first; }
 Point_2 target(const Segment_2& s) const  { return s.second; }
 
-bool is_degenerate(const Segment_2& s) const { 
+bool is_degenerate(const Segment_2& s) const {
   return source(s).vertex()==target(s).vertex();
 }
 
@@ -203,10 +203,10 @@ int orientation(const Segment_2& s, cons
     if(source(s).vertex() == p.vertex() ||
        target(s).vertex() == p.vertex())
         return 0;
-    return orientation(source(s),target(s),p); 
+    return orientation(source(s),target(s),p);
 }
 
-int compare_xy(const Point_2& p1, const Point_2& p2) const { 
+int compare_xy(const Point_2& p1, const Point_2& p2) const {
     if(p1.vertex()==p2.vertex())
         return 0;
     return static_cast<int>(
@@ -216,7 +216,7 @@ int compare_xy(const Point_2& p1, const
 Point_2 intersection(const Segment_2& s1, const Segment_2& s2) const
 {
   CGAL_USE(s2);
-  CGAL_assertion(target(s1).vertex()==target(s2).vertex()); 
+  CGAL_assertion(target(s1).vertex()==target(s2).vertex());
   return target(s1); }
 
 bool left_turn(const Point_3& p1, const Point_3& p2, const Point_3& p3) const
@@ -225,9 +225,9 @@ bool left_turn(const Point_3& p1, const
 }; // Halffacet_geometry
 
 
-template<class Kernel, typename SHalfedge_handle, typename Halffacet_geometry> 
+template<class Kernel, typename SHalfedge_handle, typename Halffacet_geometry>
 class SmallerXYZ {
-  
+
   typedef typename Kernel::Point_3  Point_3;
   Halffacet_geometry& G;
  public:
@@ -235,18 +235,18 @@ class SmallerXYZ {
 
   bool operator()(SHalfedge_handle se, SHalfedge_handle min, bool /*init*/) {
     if(se->twin()->source()->twin()->source() == min->twin()->source()->twin()->source()) {
-      Point_3 p1 = se->source()->source()->point(), 
-	p2 = se->twin()->source()->twin()->source()->point(), 
-	p3 = se->next()->twin()->source()->twin()->source()->point();      
+      Point_3 p1 = se->source()->source()->point(),
+        p2 = se->twin()->source()->twin()->source()->point(),
+        p3 = se->next()->twin()->source()->twin()->source()->point();
       return !G.left_turn(p1,p2,p3);
     }
-    return CGAL::lexicographically_xyz_smaller(se->twin()->source()->twin()->source()->point(), 
-					       min->twin()->source()->twin()->source()->point());
+    return CGAL::lexicographically_xyz_smaller(se->twin()->source()->twin()->source()->point(),
+                                               min->twin()->source()->twin()->source()->point());
   }
 };
 
 /*
-template<typename SHalfedge_handle, typename EK> 
+template<typename SHalfedge_handle, typename EK>
 class SmallerXYZ<CGAL::Lazy_kernel<EK>, SHalfedge_handle> {
 
   typedef CGAL::Lazy_kernel<EK> Kernel;
@@ -260,21 +260,21 @@ class SmallerXYZ<CGAL::Lazy_kernel<EK>,
     if(p.y() < 0) return false;
     if(p.y() > 0) return true;
     return p.z() > 0;
-  }  
+  }
 
   bool operator()(const SHalfedge_handle se, const Point_3 min, bool) {
-    return 
+    return
       //      (point_in_positive_direction_3(se->next()->source()->point()) &&
-      //	    point_in_positive_direction_3(se->next()->twin()->source()->point()) &&
-      //	    (!init || 
-	     CGAL::lexicographically_xyz_smaller(se->twin()->source()->twin()->source()->point(), 
-						 min);
+      //            point_in_positive_direction_3(se->next()->twin()->source()->point()) &&
+      //            (!init ||
+             CGAL::lexicographically_xyz_smaller(se->twin()->source()->twin()->source()->point(),
+                                                 min);
   }
 };
 */
 
 /*
-template<class K2, typename EK, typename SHalfedge_handle> 
+template<class K2, typename EK, typename SHalfedge_handle>
 class SmallerXYZ<CGAL::Lazy_kernel<EK>, K2, SHalfedge_handle> {
 
   typedef typename K2::Point_3  Point_3;
@@ -293,14 +293,14 @@ class SmallerXYZ<CGAL::Lazy_kernel<EK>,
     if(p.y() < 0) return false;
     if(p.y() > 0) return true;
     return p.z() > 0;
-  }  
+  }
 
   bool operator()(const SHalfedge_handle se, const Point_3 min, bool init) {
     return (point_in_positive_direction_3(se->next()->source()->point()) &&
-	    point_in_positive_direction_3(se->next()->twin()->source()->point()) &&
-	    (!init || 
-	     CGAL::lexicographically_xyz_smaller(se->twin()->source()->twin()->source()->point(), 
-						 min)));
+            point_in_positive_direction_3(se->next()->twin()->source()->point()) &&
+            (!init ||
+             CGAL::lexicographically_xyz_smaller(se->twin()->source()->twin()->source()->point(),
+                                                 min)));
   }
 };
 */
@@ -319,21 +319,21 @@ public:
   typedef SNC_structure_ SNC_structure;
   typedef SNC_decorator<SNC_structure> Base;
 
-  typedef typename SNC_structure::Vertex_iterator Vertex_iterator; 
+  typedef typename SNC_structure::Vertex_iterator Vertex_iterator;
   typedef typename SNC_structure::Vertex_handle Vertex_handle;
-  typedef typename SNC_structure::Halfedge_iterator Halfedge_iterator; 
+  typedef typename SNC_structure::Halfedge_iterator Halfedge_iterator;
   typedef typename SNC_structure::Halfedge_handle Halfedge_handle;
-  typedef typename SNC_structure::Halffacet_iterator Halffacet_iterator; 
+  typedef typename SNC_structure::Halffacet_iterator Halffacet_iterator;
   typedef typename SNC_structure::Halffacet_handle Halffacet_handle;
   typedef typename SNC_structure::Volume_iterator Volume_iterator;
   typedef typename SNC_structure::Volume_handle Volume_handle;
-  typedef typename SNC_structure::SVertex_iterator SVertex_iterator; 
+  typedef typename SNC_structure::SVertex_iterator SVertex_iterator;
   typedef typename SNC_structure::SVertex_handle SVertex_handle;
-  typedef typename SNC_structure::SHalfedge_iterator SHalfedge_iterator; 
+  typedef typename SNC_structure::SHalfedge_iterator SHalfedge_iterator;
   typedef typename SNC_structure::SHalfedge_handle SHalfedge_handle;
-  typedef typename SNC_structure::SHalfloop_iterator SHalfloop_iterator; 
+  typedef typename SNC_structure::SHalfloop_iterator SHalfloop_iterator;
   typedef typename SNC_structure::SHalfloop_handle SHalfloop_handle;
-  typedef typename SNC_structure::SFace_iterator SFace_iterator; 
+  typedef typename SNC_structure::SFace_iterator SFace_iterator;
   typedef typename SNC_structure::SFace_handle SFace_handle;
   typedef typename SNC_structure::SFace_cycle_iterator SFace_cycle_iterator;
   typedef typename SNC_structure::Halffacet_cycle_iterator Halffacet_cycle_iterator;
@@ -351,7 +351,7 @@ public:
     SHalfedge_around_facet_const_circulator;
 #endif
 
-  typedef typename std::list<Object_handle>::iterator 
+  typedef typename std::list<Object_handle>::iterator
     Object_list_iterator;
 
   typedef CGAL::Vertex_point<Point_3,Vertex_handle>  Vertex_point;
@@ -359,7 +359,7 @@ public:
   typedef std::list<Vertex_segment>            Segment_list;
   typedef typename Segment_list::iterator      Segment_iterator;
 
-  typedef CGAL::Halffacet_geometry<Point_3,Plane_3,Vertex_handle> 
+  typedef CGAL::Halffacet_geometry<Point_3,Plane_3,Vertex_handle>
     Halffacet_geometry;
   using Base::debug; using Base::link_as_facet_cycle; using Base::info; using Base::link_as_interior_loop;
 protected:
@@ -371,9 +371,9 @@ public:
    : Base(W),f_(f) {}
 
 
-  Halffacet_cycle_iterator facet_cycles_begin() const 
-  { return f_->facet_cycles_begin(); }  
-  Halffacet_cycle_iterator facet_cycles_end()   const 
+  Halffacet_cycle_iterator facet_cycles_begin() const
+  { return f_->facet_cycles_begin(); }
+  Halffacet_cycle_iterator facet_cycles_end()   const
   { return f_->facet_cycles_end(); }
 
   void create_facet_objects(const Plane_3& h,
@@ -402,28 +402,28 @@ protected:
    a facet. */
 //--------------------------------------------------------------------------
 
-  Halffacet_handle determine_facet(SHalfedge_handle e, 
+  Halffacet_handle determine_facet(SHalfedge_handle e,
     const std::vector<SHalfedge_handle>& MinimalEdge,
     const CGAL::Unique_hash_map<SHalfedge_handle,int>& FacetCycle,
     const std::vector<SHalfedge_handle>& Edge_of) const
   { CGAL_NEF_TRACEN("  determine_facet "<<debug(e));
     int fc = FacetCycle[e];
     SHalfedge_handle e_min = MinimalEdge[fc];
-    SHalfedge_handle e_below = 
+    SHalfedge_handle e_below =
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
       Edge_of[geninfo<unsigned>::access(info(e_min->twin()->source()->twin()->source()))];
     #else
       Edge_of[ boost::any_cast<unsigned>(info(e_min->twin()->source()->twin()->source())) ];
     #endif
     CGAL_assertion( e_below != SHalfedge_handle() );
-    CGAL_NEF_TRACEN("  edge below " << debug(e_below));    
+    CGAL_NEF_TRACEN("  edge below " << debug(e_below));
     Halffacet_handle f = e_below->facet();
-    if ( f != Halffacet_handle() ) return f; // has already a facet 
+    if ( f != Halffacet_handle() ) return f; // has already a facet
     // e_below also has no facet
     f = determine_facet(e_below, MinimalEdge, FacetCycle, Edge_of);
     CGAL_NEF_TRACEN("  edge below " << debug(e_below));
-    link_as_facet_cycle(e_below,f); 
-    link_as_facet_cycle(e_below->twin(),f->twin()); 
+    link_as_facet_cycle(e_below,f);
+    link_as_facet_cycle(e_below->twin(),f->twin());
     return f;
   }
 
@@ -437,13 +437,13 @@ protected:
 //--------------------------------------------------------------------------
 
   Vertex_segment segment(SHalfedge_handle e) const
-  { Vertex_handle vs = e->source()->source(), 
-      vt = e->twin()->source()->twin()->source(); 
+  { Vertex_handle vs = e->source()->source(),
+      vt = e->twin()->source()->twin()->source();
     Vertex_point  ps(vs->point(),vs), pt(vt->point(),vt);
     return Vertex_segment(ps,pt); }
 
   Vertex_segment segment(SHalfloop_handle l) const
-  { Vertex_handle v = l->incident_sface()->center_vertex(); 
+  { Vertex_handle v = l->incident_sface()->center_vertex();
     Vertex_point  p(v->point(),v);
     return Vertex_segment(p,p); }
 
@@ -453,7 +453,7 @@ protected:
 
 
 //--------------------------------------------------------------------------
-/* create_facet_objects() 
+/* create_facet_objects()
    In this method we use the visibility along a sweep line in the
    facet plane to create facet objects. |SEdge_below[v]| either
    provides the sedge that is hit first by a vertical ray downwards or
@@ -466,11 +466,11 @@ void SNC_FM_decorator<SNC_>::
 create_facet_objects(const Plane_3& plane_supporting_facet,
   Object_list_iterator start, Object_list_iterator end) const
 { CGAL_NEF_TRACEN(">>>>>create_facet_objects "
-		  << normalized(plane_supporting_facet));
+                  << normalized(plane_supporting_facet));
   CGAL::Unique_hash_map<SHalfedge_handle,int> FacetCycle(-1);
   std::vector<SHalfedge_handle> MinimalEdge;
-  std::list<SHalfedge_handle> SHalfedges; 
-  std::list<SHalfloop_handle> SHalfloops; 
+  std::list<SHalfedge_handle> SHalfedges;
+  std::list<SHalfloop_handle> SHalfloops;
 
   CGAL::Unique_hash_map<Vertex_handle,SHalfedge_handle> SHalfedgeBelow;
   CGAL::Unique_hash_map<Segment_iterator,SHalfedge_handle>  From;
@@ -481,7 +481,7 @@ create_facet_objects(const Plane_3& plan
   typename std::list<SHalfloop_handle>::iterator lit;
 
   // the output decorator for the facet plane sweep
-  typedef CGAL::Halffacet_output<Vertex_point, Vertex_handle, 
+  typedef CGAL::Halffacet_output<Vertex_point, Vertex_handle,
     SHalfedge_handle, Segment_iterator> Halffacet_output;
 
   // the sweep traits class instantiated with the input, output and
@@ -497,10 +497,10 @@ create_facet_objects(const Plane_3& plan
 
   for ( ; start != end; ++start ) {
     if ( CGAL::assign(e,*start) ) {
-      SHalfedges.push_back(e); 
+      SHalfedges.push_back(e);
     } else if ( CGAL::assign(l,*start) ) {
-      SHalfloops.push_back(l); 
-    } else 
+      SHalfloops.push_back(l);
+    } else
       CGAL_error_msg("Damn wrong handle.");
   }
 
@@ -508,10 +508,10 @@ create_facet_objects(const Plane_3& plan
      cycle.  After that iteration for an edge |e| the number of its
      facet cycle is |FacetCycle[e]| and for a facet cycle |c| we know
      |MinimalEdge[c]|. */
-  int i=0; 
+  int i=0;
   //  bool xyplane = plane_supporting_facet.b() != 0 || plane_supporting_facet.c() != 0;
   SmallerXYZ<Kernel, SHalfedge_handle, Halffacet_geometry> smallerXYZ(G);
-  CGAL_forall_iterators(eit,SHalfedges) { 
+  CGAL_forall_iterators(eit,SHalfedges) {
     e = *eit;
     if ( FacetCycle[e] >= 0 ) continue; // already assigned
     SHalfedge_around_facet_circulator hfc(e),hend(hfc);
@@ -522,15 +522,15 @@ create_facet_objects(const Plane_3& plan
     CGAL_For_all(hfc,hend) {
       FacetCycle[hfc]=i; // assign face cycle number
       if(smallerXYZ(hfc, e_min, init)) {
-	init = true;
-	e_min = hfc;
+        init = true;
+        e_min = hfc;
       }
-      
-      CGAL_NEF_TRACEN(hfc->twin()->source()->twin()->source()->point() << " lex xyz smaller " << 
-		      e_min->twin()->source()->twin()->source()->point() << "=" << 
-		      CGAL::lexicographically_xyz_smaller(hfc->twin()->source()->twin()->source()->point(), 
-							  e_min->twin()->source()->twin()->source()->point()));
-      
+
+      CGAL_NEF_TRACEN(hfc->twin()->source()->twin()->source()->point() << " lex xyz smaller " <<
+                      e_min->twin()->source()->twin()->source()->point() << "=" <<
+                      CGAL::lexicographically_xyz_smaller(hfc->twin()->source()->twin()->source()->point(),
+                                                          e_min->twin()->source()->twin()->source()->point()));
+
     } CGAL_NEF_TRACEN("");
     MinimalEdge.push_back(e_min);
     ++i;
@@ -549,17 +549,17 @@ create_facet_objects(const Plane_3& plan
   for (int j=0; j<i; ++j) {
     SHalfedge_handle e = MinimalEdge[j];
     CGAL_NEF_TRACEN("  facet cycle "<<j<<" minimal halfedge "<<debug(e));
-    Point_3 p1 = e->source()->source()->point(), 
-      p2 = e->twin()->source()->twin()->source()->point(), 
+    Point_3 p1 = e->source()->source()->point(),
+      p2 = e->twin()->source()->twin()->source()->point(),
       p3 = e->next()->twin()->source()->twin()->source()->point();
-    
+
     //      std::cerr << "minimal shalfedge " << e->source()->source()->point() << ":"
     //                << e->source()->point() << "->" << e->twin()->source()->point() << std::endl;
 
 
-    if ( G.left_turn(p1,p2,p3) ) { 
+    if ( G.left_turn(p1,p2,p3) ) {
       Halffacet_handle f = this->sncp()->new_halffacet_pair(plane_supporting_facet);
-      link_as_facet_cycle(e,f); link_as_facet_cycle(e->twin(),f->twin()); 
+      link_as_facet_cycle(e,f); link_as_facet_cycle(e->twin(),f->twin());
       f->mark() = f->twin()->mark() = e->mark();
       CGAL_NEF_TRACEN("  creating new facet object "<<&*f<<" bd "<<&*e);
     }
@@ -576,12 +576,12 @@ create_facet_objects(const Plane_3& plan
      part we have all shalfedges and isolated shalfloops linked to
      facet objects, and all facet objects know their bounding facet
      cycles. */
- 
+
   bool do_sweep = false;
   if(SHalfloops.size() > 0)
     do_sweep = true;
 
-  CGAL_forall_iterators(eit,SHalfedges) { 
+  CGAL_forall_iterators(eit,SHalfedges) {
     //    std::cerr << "fc " << FacetCycle[*eit] << std::endl;
     if ( (*eit)->facet() == Halffacet_handle() ) {
       //      std::cerr << "nicht verlinkte shalfedge " << (*eit)->source()->source()->point() << ":"
@@ -594,7 +594,7 @@ create_facet_objects(const Plane_3& plan
 
   //  std::cerr << std::endl;
 #ifndef CGAL_NEF3_PLANE_SWEEP_OPTIMIZATION_OFF
-  if(!do_sweep) return; 
+  if(!do_sweep) return;
 #endif
 
 #ifdef CGAL_NEF3_TIMER_PLANE_SWEEPS
@@ -603,7 +603,7 @@ create_facet_objects(const Plane_3& plan
 #endif
 
   //  Note that we only allow those edges that are
-  //  directed from lexicographically smaller to larger vertices. 
+  //  directed from lexicographically smaller to larger vertices.
   //  Insertion of SHalfedges into Segments is shifted below in order
   //  to guarantee that there are no gaps in the overlay.
 
@@ -612,22 +612,22 @@ create_facet_objects(const Plane_3& plan
   SHalfedges.sort(Sort_sedges<Vertex_handle,SHalfedge_handle>());
   for(eit = SHalfedges.begin();eit != SHalfedges.end();) {
     CGAL_NEF_TRACEN("  appending edge "<< debug(*eit));
-    Segments.push_front(segment(*eit)); 
+    Segments.push_front(segment(*eit));
     From[Segments.begin()] = *eit;
     epred=eit;
     ++eit;
     if(eit != SHalfedges.end()) {
-      CGAL_NEF_TRACEN("test " << std::endl << "  " << debug(*epred) 
-	     << std::endl << "  " << debug(*eit));
+      CGAL_NEF_TRACEN("test " << std::endl << "  " << debug(*epred)
+             << std::endl << "  " << debug(*eit));
     }
-    if(eit != SHalfedges.end() && 
-       (*epred)->source()->source() ==(*eit)->next()->source()->source() &&  
+    if(eit != SHalfedges.end() &&
+       (*epred)->source()->source() ==(*eit)->next()->source()->source() &&
        (*eit)->source()->source() == (*epred)->next()->source()->source())
       ++eit;
   }
 
   CGAL_forall_iterators(lit,SHalfloops) {
-    CGAL_NEF_TRACEN("  appending loop " << (*lit)->incident_sface()->center_vertex()->point()); 
+    CGAL_NEF_TRACEN("  appending loop " << (*lit)->incident_sface()->center_vertex()->point());
     Segments.push_back(segment(*lit));
   }
 
@@ -648,13 +648,13 @@ create_facet_objects(const Plane_3& plan
   }
 
   CGAL_forall_iterators(lit,SHalfloops) { l=*lit;
-    SHalfedge_handle e_below = 
+    SHalfedge_handle e_below =
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-      Edge_of[geninfo<unsigned>::access(info(l->incident_sface()->center_vertex()))];    
+      Edge_of[geninfo<unsigned>::access(info(l->incident_sface()->center_vertex()))];
     #else
       Edge_of[ boost::any_cast<unsigned>(info(l->incident_sface()->center_vertex())) ];
     #endif
-    
+
     CGAL_assertion( e_below != SHalfedge_handle() );
     CGAL_NEF_TRACEN("link sloop at vertex "<< l->incident_sface()->center_vertex()->point());
     CGAL_NEF_TRACEN("e_below "  << debug(e_below));
@@ -665,7 +665,7 @@ create_facet_objects(const Plane_3& plan
     link_as_interior_loop(l,e_below->facet());
     link_as_interior_loop(l->twin(),e_below->facet()->twin());
   }
-  
+
   CGAL_NEF_TRACEN("exit FM");
 }
 
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_indexed_items.h 5.0.3-1/include/CGAL/Nef_3/SNC_indexed_items.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_indexed_items.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_indexed_items.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_indexed_items.h $
-// $Id: SNC_indexed_items.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_indexed_items.h $
+// $Id: SNC_indexed_items.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :     Peter Hachenberger  <hachenberger@mpi-sb.mpg.de>
 
@@ -33,7 +33,7 @@
 namespace CGAL {
 
 class Index_generator {
-  
+
  public:
   static int get_unique_index()
   {
@@ -74,25 +74,25 @@ class SNC_indexed_items {
     bool is_valid( bool verb = false, int level = 0) const {
       bool valid = Base::is_valid(verb, level);
 
-      Halffacet_cycle_const_iterator 
-	fci(this->facet_cycles_begin());
+      Halffacet_cycle_const_iterator
+        fci(this->facet_cycles_begin());
       if(!fci.is_shalfedge()) return false;
       SHalfedge_const_handle set(fci);
       int index = set->get_index();
       for(; fci != this->facet_cycles_end(); ++fci) {
-	if(fci.is_shalfedge()) {
-	  SHalfedge_const_handle se(fci);
-	  SHalfedge_around_facet_const_circulator 
-	    sfc(se), send(sfc);
-	  do {	    
-	    valid = valid && sfc->get_index() == index;
-	    ++sfc;
-	  } while(sfc != send);
-	} else if(fci.is_shalfloop()) {
-	  SHalfloop_const_handle sl(fci);
-	  valid = valid && sl->get_index() == index;
-	} else
-	  return false;
+        if(fci.is_shalfedge()) {
+          SHalfedge_const_handle se(fci);
+          SHalfedge_around_facet_const_circulator
+            sfc(se), send(sfc);
+          do {
+            valid = valid && sfc->get_index() == index;
+            ++sfc;
+          } while(sfc != send);
+        } else if(fci.is_shalfloop()) {
+          SHalfloop_const_handle sl(fci);
+          valid = valid && sl->get_index() == index;
+        } else
+          return false;
       }
       return valid;
     }
@@ -106,8 +106,8 @@ class SNC_indexed_items {
     bool init_ifacet;
   public:
     SHalfloop() : Base(), index(0), init_ifacet(false) {}
-    SHalfloop(const SHalfloop<Refs>& sl) 
-      : Base(sl), index(0), 
+    SHalfloop(const SHalfloop<Refs>& sl)
+      : Base(sl), index(0),
       ifacet(sl.ifacet), init_ifacet(sl.init_ifacet) {}
     SHalfloop<Refs>& operator=(const SHalfloop<Refs>& sl) {
       (Base&) *this = (Base) sl;
@@ -117,15 +117,15 @@ class SNC_indexed_items {
       return *this;
     }
 
-    void set_index(int idx = Index_generator::get_unique_index()) 
+    void set_index(int idx = Index_generator::get_unique_index())
     { index = idx; }
     int get_index() const { return index; }
-    Halffacet_const_handle get_index_facet() const { 
+    Halffacet_const_handle get_index_facet() const {
       if(init_ifacet)
-	return ifacet;
+        return ifacet;
       return this->facet();
     }
-    void set_index_facet(Halffacet_const_handle f) { 
+    void set_index_facet(Halffacet_const_handle f) {
       ifacet = f;
       init_ifacet = true;
     }
@@ -141,9 +141,9 @@ class SNC_indexed_items {
   public:
     SHalfedge() : Base(), index(0), index2(0), init_ifacet(false) {}
     SHalfedge(const SHalfedge<Refs>& se)
-      : Base(se), index(se.index), index2(se.index2), 
+      : Base(se), index(se.index), index2(se.index2),
       ifacet(se.ifacet), init_ifacet(se.init_ifacet) {}
-    SHalfedge<Refs>& operator=(const SHalfedge<Refs>& se) { 
+    SHalfedge<Refs>& operator=(const SHalfedge<Refs>& se) {
       (Base&) *this = (Base) se;
       index = se.index;
       index2 = se.index2;
@@ -152,22 +152,22 @@ class SNC_indexed_items {
       return *this;
     }
 
-    void set_index(int idx = Index_generator::get_unique_index()) 
+    void set_index(int idx = Index_generator::get_unique_index())
     { index = index2 = idx; }
-    int get_index() const { 
-      return index; 
+    int get_index() const {
+      return index;
     }
     void set_forward_index(int idx)  { index  = idx;}
     void set_backward_index(int idx) { index2 = idx;}
     int get_forward_index() { return index;  }
     int get_backward_index() { return index2; }
     int get_smaller_index() { return index < index2 ? index : index2; }
-    Halffacet_const_handle get_index_facet() const { 
-      if(init_ifacet) 
-	return ifacet;
+    Halffacet_const_handle get_index_facet() const {
+      if(init_ifacet)
+        return ifacet;
       return this->facet();
     }
-    void set_index_facet(Halffacet_const_handle f) { 
+    void set_index_facet(Halffacet_const_handle f) {
       ifacet = f;
       init_ifacet = true;
     }
@@ -187,7 +187,7 @@ class SNC_indexed_items {
       return *this;
     }
 
-    void set_index(int idx = Index_generator::get_unique_index()) 
+    void set_index(int idx = Index_generator::get_unique_index())
     { index = idx; }
     int get_index() const { return index; }
   };
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_intersection.h 5.0.3-1/include/CGAL/Nef_3/SNC_intersection.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_intersection.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_intersection.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,13 +3,13 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_intersection.h $
-// $Id: SNC_intersection.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_intersection.h $
+// $Id: SNC_intersection.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel       <seel@mpi-sb.mpg.de>
-//                 Peter Hachenberger <hachenberger@mpi-sb.mpg.de> 
+//                 Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_SNC_INTERSECTION_H
 #define CGAL_SNC_INTERSECTION_H
 
@@ -28,12 +28,12 @@ template < class Node, class Object>
 struct Project_shalfedge_point {
   typedef Node         argument_type;
   typedef Object       result_type;
-  Object& operator()( Node& x) const   { 
+  Object& operator()( Node& x) const   {
     return x.source()->source()->point();
     /* a Point_3& reference must be returned by D.point() */
   }
-  const Object& operator()( const Node& x) const   { 
-    return x.source()->source()->point(); 
+  const Object& operator()( const Node& x) const   {
+    return x.source()->source()->point();
     /* a Point_3& reference must be returned by D.point() */
   }
 };
@@ -49,11 +49,11 @@ class SNC_intersection : public SNC_cons
 
   typedef typename SNC_structure::SHalfedge               SHalfedge;
   typedef typename SNC_structure::Halfedge_handle         Halfedge_handle;
-  typedef typename SNC_structure::Halffacet_const_handle  
+  typedef typename SNC_structure::Halffacet_const_handle
                                   Halffacet_const_handle;
   typedef typename SNC_structure::SHalfedge_const_handle  SHalfedge_const_handle;
   typedef typename SNC_structure::SHalfloop_const_handle  SHalfloop_const_handle;
-  typedef typename SNC_structure::SHalfedge_around_facet_const_circulator 
+  typedef typename SNC_structure::SHalfedge_around_facet_const_circulator
                                   SHalfedge_around_facet_const_circulator;
   typedef typename SNC_structure::Halffacet_cycle_const_iterator
                                   Halffacet_cycle_const_iterator;
@@ -83,22 +83,22 @@ class SNC_intersection : public SNC_cons
     return true;
   }
 
-  bool does_contain_internally( Halffacet_const_handle f, 
-				const Point_3& p,
-				bool check_has_on = true) const {
+  bool does_contain_internally( Halffacet_const_handle f,
+                                const Point_3& p,
+                                bool check_has_on = true) const {
     if(check_has_on && !f->plane().has_on(p))
       return false;
-    return (locate_point_in_halffacet( p, f) == CGAL::ON_BOUNDED_SIDE); 
+    return (locate_point_in_halffacet( p, f) == CGAL::ON_BOUNDED_SIDE);
   }
 
 #ifdef CGAL_NEF3_FACET_WITH_BOX
-  bool does_contain_internally( Partial_facet& pf, 
-				const Point_3& p) const {
+  bool does_contain_internally( Partial_facet& pf,
+                                const Point_3& p) const {
     CGAL_NEF_TRACEN("does point lie in partial facet" << p);
     //    pf.debug();
     if( !pf.f->plane().has_on(p))
       return false;
-    return (locate_point_in_halffacet( p, pf) == CGAL::ON_BOUNDED_SIDE); 
+    return (locate_point_in_halffacet( p, pf) == CGAL::ON_BOUNDED_SIDE);
   }
 #endif
 
@@ -106,7 +106,7 @@ class SNC_intersection : public SNC_cons
     typedef Project_shalfedge_point
       < SHalfedge, const Point_3> Project;
     typedef Circulator_project
-      < SHalfedge_around_facet_const_circulator, Project, 
+      < SHalfedge_around_facet_const_circulator, Project,
       const Point_3&, const Point_3*> Circulator;
     Halffacet_cycle_const_iterator fc = f->facet_cycles_begin();
     CGAL_assertion(fc.is_shalfedge());
@@ -115,58 +115,58 @@ class SNC_intersection : public SNC_cons
       SHalfedge_around_facet_const_circulator hfc(se);
       Circulator c(hfc), cp(c), cend(c);
       do {
-	c++;
-	CGAL_NEF_TRACEN("contained on edge "<<Segment_3( *c, *cp)<<"? "<<
-	       Segment_3( *c, *cp).has_on(p));
-	if( Segment_3( *c, *cp).has_on(p))
-	  return true;
-	cp++;
+        c++;
+        CGAL_NEF_TRACEN("contained on edge "<<Segment_3( *c, *cp)<<"? "<<
+               Segment_3( *c, *cp).has_on(p));
+        if( Segment_3( *c, *cp).has_on(p))
+          return true;
+        cp++;
       }
-      while( c != cend); 
-    } 
+      while( c != cend);
+    }
     Halffacet_cycle_const_iterator fe = f->facet_cycles_end();
     ++fc;
     CGAL_For_all(fc, fe) {
-      if (fc.is_shalfloop() ) { 
-	SHalfloop_const_handle l(fc);
-	CGAL_NEF_TRACEN("isolated point on "<<l->incident_sface()->center_vertex()->point()<<"? ");
-	if( l->incident_sface()->center_vertex()->point() == p)
-	  return true;
-      } 
+      if (fc.is_shalfloop() ) {
+        SHalfloop_const_handle l(fc);
+        CGAL_NEF_TRACEN("isolated point on "<<l->incident_sface()->center_vertex()->point()<<"? ");
+        if( l->incident_sface()->center_vertex()->point() == p)
+          return true;
+      }
       else if (fc.is_shalfedge() ) {
-	SHalfedge_const_handle se(fc);
-	SHalfedge_around_facet_const_circulator hfc(se);
-	Circulator c(hfc), cp(c), cend(c);
-	do {
-	  c++;
-	  CGAL_NEF_TRACEN("contained on edge "<<Segment_3( *c, *cp)<<"? "<<
-		 Segment_3( *c, *cp).has_on(p));
-	  if( Segment_3( *c, *cp).has_on(p))
-	    return true;
-	  cp++;
-	} 
-	while( c != cend);
+        SHalfedge_const_handle se(fc);
+        SHalfedge_around_facet_const_circulator hfc(se);
+        Circulator c(hfc), cp(c), cend(c);
+        do {
+          c++;
+          CGAL_NEF_TRACEN("contained on edge "<<Segment_3( *c, *cp)<<"? "<<
+                 Segment_3( *c, *cp).has_on(p));
+          if( Segment_3( *c, *cp).has_on(p))
+            return true;
+          cp++;
+        }
+        while( c != cend);
       }
-      else 
-	CGAL_error_msg( "Damn wrong handle.");
+      else
+        CGAL_error_msg( "Damn wrong handle.");
     }
     return false;
   }
-  
+
 #ifdef LINE3_LINE3_INTERSECTION
-  
-  bool does_intersect_internally( const Segment_3& s1, 
-				  const Segment_3& s2, 
-				  Point_3& p) const  {
+
+  bool does_intersect_internally( const Segment_3& s1,
+                                  const Segment_3& s2,
+                                  Point_3& p) const  {
     CGAL_NEF_TRACEN("does intersect internally with  LINE3_LINE3_INTERSECTION");
     if ( s1.is_degenerate() || s2.is_degenerate())
       /* the segment is degenerate so there is not internal intersection */
       return false;
     if ( s1.has_on(s2.source()) || s1.has_on(s2.target()) ||
-	 s2.has_on(s1.source()) || s2.has_on(s1.target()))
+         s2.has_on(s1.source()) || s2.has_on(s1.target()))
       /* the segments does intersect at one endpoint */
       return false;
-    Object o = intersection(Line_3(ray), Line_3(s)); 
+    Object o = intersection(Line_3(ray), Line_3(s));
     if ( !CGAL::assign(p, o))
       return false;
     return( does_contain_internally( s, p));
@@ -174,9 +174,9 @@ class SNC_intersection : public SNC_cons
 
 #else // LINE3_LINE3_INTERSECTION
 
-  bool does_intersect_internally( const Segment_3& s1, 
-				  const Segment_3& s2, 
-				  Point_3& p) const {
+  bool does_intersect_internally( const Segment_3& s1,
+                                  const Segment_3& s2,
+                                  Point_3& p) const {
     if(s2.has_on(s1.target()))
       return false;
     Ray_3 r(s1.source(), s1.target());
@@ -186,33 +186,33 @@ class SNC_intersection : public SNC_cons
     return (pl.oriented_side(p) == CGAL::NEGATIVE);
   }
 
-  bool does_intersect_internally( const Ray_3& s1, 
-				  const Segment_3& s2, 
-				  Point_3& p) const {
-    CGAL_NEF_TRACEN("does intersect internally without  LINE3_LINE3_INTERSECTION");    
+  bool does_intersect_internally( const Ray_3& s1,
+                                  const Segment_3& s2,
+                                  Point_3& p) const {
+    CGAL_NEF_TRACEN("does intersect internally without  LINE3_LINE3_INTERSECTION");
     CGAL_assertion(!s1.is_degenerate());
     CGAL_assertion(!s2.is_degenerate());
-    if ( orientation( s1.source(), s1.point(1), s2.source(), s2.target()) 
-	 != COPLANAR)
+    if ( orientation( s1.source(), s1.point(1), s2.source(), s2.target())
+         != COPLANAR)
       // the segments doesn't define a plane
       return false;
     if ( s1.has_on(s2.source()) || s1.has_on(s2.target()) ||
-	 s2.has_on(s1.source()))
-      // the segments does intersect at one endpoint 
+         s2.has_on(s1.source()))
+      // the segments does intersect at one endpoint
       return false;
     Line_3 ls1(s1), ls2(s2);
     if ( ls1.direction() ==  ls2.direction() ||
-	 ls1.direction() == -ls2.direction() )
-      // the segments are parallel 
+         ls1.direction() == -ls2.direction() )
+      // the segments are parallel
       return false;
-    Vector_3 vs1(s1.to_vector()), vs2(s2.to_vector()), 
-      vt(cross_product( vs1, vs2)), 
+    Vector_3 vs1(s1.to_vector()), vs2(s2.to_vector()),
+      vt(cross_product( vs1, vs2)),
       ws1(cross_product( vt, vs1)); // , ws2(cross_product( vt, vs2));
     Plane_3 hs1( s1.source(), ws1);
     Object o = intersection(hs1, ls2);
     CGAL_assertion(CGAL::assign( p, o));
     // since line(s1) and line(s2) are not parallel they intersects in only
-    //   one point 
+    //   one point
     CGAL::assign( p ,o);
     Plane_3 pl(s1.source(), vs1);
     if(pl.oriented_side(p) != CGAL::POSITIVE)
@@ -223,11 +223,11 @@ class SNC_intersection : public SNC_cons
     pl = Plane_3(s2.target(), vs2);
     return (pl.oriented_side(p) == CGAL::NEGATIVE);
   }
-    
+
 #endif // LINE3_LINE3_INTERSECTION
 
   bool does_intersect( const Ray_3& r, const Triangle_3& tr,
-		       Point_3& ip) const {
+                       Point_3& ip) const {
     // Intersection between an open ray and
     // a closed 2d-triangular region in the space
     CGAL_NEF_TRACEN("-> Intersection triangle - ray");
@@ -246,7 +246,7 @@ class SNC_intersection : public SNC_cons
   }
 
   bool does_intersect( const Segment_3& s, const Triangle_3& tr,
-		       Point_3& ip) const {
+                       Point_3& ip) const {
     // Intersection between a open segment and
     // a closed 2d-triangular region in the space
     CGAL_NEF_TRACEN("-> Intersection triangle - segment");
@@ -265,9 +265,9 @@ class SNC_intersection : public SNC_cons
   }
 
   bool does_intersect_internally( const Ray_3& ray,
-				  Halffacet_const_handle f,
-				  Point_3& p,
-				  bool checkHasOn = true) const { 
+                                  Halffacet_const_handle f,
+                                  Point_3& p,
+                                  bool checkHasOn = true) const {
     CGAL_NEF_TRACEN("-> Intersection facet - ray");
     Plane_3 h( f->plane());
     CGAL_NEF_TRACEN("-> facet's plane: " << h);
@@ -276,7 +276,7 @@ class SNC_intersection : public SNC_cons
     CGAL_assertion(!ray.is_degenerate());
     if(checkHasOn) {
       if(h.has_on(ray.source()))
-	return false;
+        return false;
     } else
       CGAL_assertion(!h.has_on(ray.source()));
     Object o = intersection( h, ray);
@@ -289,8 +289,8 @@ class SNC_intersection : public SNC_cons
 
 #ifdef CGAL_NEF3_FACET_WITH_BOX
   bool does_intersect_internally( const Ray_3& ray,
-				  Partial_facet pf,
-				  Point_3& p) const { 
+                                  Partial_facet pf,
+                                  Point_3& p) const {
     CGAL_NEF_TRACEN("-> Intersection facet - ray");
     Plane_3 h( pf.f->plane());
     CGAL_NEF_TRACEN("-> facet's plane: " << h);
@@ -299,7 +299,7 @@ class SNC_intersection : public SNC_cons
     CGAL_assertion(!ray.is_degenerate());
     if( h.has_on( ray.source()))
       /* no possible internal intersection */
-	return false;
+        return false;
     Object o = intersection( h, ray);
     if( !CGAL::assign( p, o))
       return false;
@@ -310,8 +310,8 @@ class SNC_intersection : public SNC_cons
 #endif
 
   bool does_intersect_internally( const Segment_3& seg,
-				  Halffacet_const_handle f,
-				  Point_3& p) const { 
+                                  Halffacet_const_handle f,
+                                  Point_3& p) const {
     CGAL_NEF_TRACEN("-> Intersection facet - segment");
     Plane_3 h( f->plane());
     CGAL_NEF_TRACEN("-> facet's plane: " << h);
@@ -325,8 +325,8 @@ class SNC_intersection : public SNC_cons
   }
 
   bool does_intersect(const Segment_3& seg,
-		      Halffacet_const_handle f,
-		      Point_3& p) const {
+                      Halffacet_const_handle f,
+                      Point_3& p) const {
     Plane_3 h( f->plane());
     Object o = intersection( h, seg);
     if( !CGAL::assign( p, o))
@@ -338,8 +338,8 @@ class SNC_intersection : public SNC_cons
 
 #ifdef CGAL_NEF3_FACET_WITH_BOX
   bool does_intersect_internally( const Segment_3& seg,
-				  Partial_facet pf,
-				  Point_3& p) const { 
+                                  Partial_facet pf,
+                                  Point_3& p) const {
     CGAL_NEF_TRACEN("-> Intersection partial facet - segment");
     Plane_3 h( pf.f->plane());
     CGAL_NEF_TRACEN("-> facet's plane: " << h);
@@ -358,13 +358,13 @@ class SNC_intersection : public SNC_cons
   }
 #endif
 
-  Bounded_side locate_point_in_halffacet( const Point_3& p, 
-					  Halffacet_const_handle f) const {
+  Bounded_side locate_point_in_halffacet( const Point_3& p,
+                                          Halffacet_const_handle f) const {
     CGAL_NEF_TRACEN("locate point in halffacet " << p << ", " << f->plane());
     typedef Project_shalfedge_point
       < SHalfedge, const Point_3> Project;
     typedef Circulator_project
-      < SHalfedge_around_facet_const_circulator, Project, 
+      < SHalfedge_around_facet_const_circulator, Project,
       const Point_3&, const Point_3*> Circulator;
     typedef Container_from_circulator<Circulator> Container;
 
@@ -379,13 +379,13 @@ class SNC_intersection : public SNC_cons
       Container ct(c);
       CGAL_assertion( !is_empty_range(ct.begin(), ct.end()));
       outer_bound_pos = bounded_side_3(ct.begin(), ct.end(), p, h);
-    } 
-    else 
+    }
+    else
       CGAL_error_msg( "is facet first cycle a SHalfloop?");
     if( outer_bound_pos != CGAL::ON_BOUNDED_SIDE )
       return outer_bound_pos;
     /* The point p is not in the relative interior of the outer face cycle
-       so it is not necesary to know the possition of p with respect to the 
+       so it is not necesary to know the possition of p with respect to the
        inner face cycles */
     Halffacet_cycle_const_iterator fe = f->facet_cycles_end();
     ++fc;
@@ -394,45 +394,45 @@ class SNC_intersection : public SNC_cons
     Bounded_side inner_bound_pos(CGAL::ON_BOUNDARY);
     CGAL_For_all(fc, fe) {
       if (fc.is_shalfloop() ) {
-	SHalfloop_const_handle l(fc);
+        SHalfloop_const_handle l(fc);
         if(l->incident_sface()->center_vertex()->point() == p )
-	  inner_bound_pos = CGAL::ON_BOUNDARY;
-	else
-	  inner_bound_pos = CGAL::ON_UNBOUNDED_SIDE;
-      } 
+          inner_bound_pos = CGAL::ON_BOUNDARY;
+        else
+          inner_bound_pos = CGAL::ON_UNBOUNDED_SIDE;
+      }
       else if (fc.is_shalfedge() ) {
-	SHalfedge_const_handle se(fc);
-	SHalfedge_around_facet_const_circulator hfc(se);
-	Circulator c(hfc);
-	Container ct(c);
-	CGAL_assertion( !is_empty_range(ct.begin(), ct.end()));
-        inner_bound_pos = bounded_side_3( ct.begin(), ct.end(), 
-					  p, h.opposite());
-      } 
-      else 
-	CGAL_error_msg( "Damn wrong handle.");
+        SHalfedge_const_handle se(fc);
+        SHalfedge_around_facet_const_circulator hfc(se);
+        Circulator c(hfc);
+        Container ct(c);
+        CGAL_assertion( !is_empty_range(ct.begin(), ct.end()));
+        inner_bound_pos = bounded_side_3( ct.begin(), ct.end(),
+                                          p, h.opposite());
+      }
+      else
+        CGAL_error_msg( "Damn wrong handle.");
       if( inner_bound_pos != CGAL::ON_UNBOUNDED_SIDE )
-	return opposite(inner_bound_pos);
+        return opposite(inner_bound_pos);
       /* At this point the point p belongs to relative interior of the facet's
-	 outer cycle, and its possition is completely known when it belongs
-	 to the clousure of any inner cycle */
+         outer cycle, and its possition is completely known when it belongs
+         to the clousure of any inner cycle */
     }
     return CGAL::ON_BOUNDED_SIDE;
   }
 
 #ifdef CGAL_NEF3_FACET_WITH_BOX
-  Bounded_side locate_point_in_halffacet( const Point_3& p, 
-					 Partial_facet pf) const {
+  Bounded_side locate_point_in_halffacet( const Point_3& p,
+                                         Partial_facet pf) const {
 
     if(p.x() < pf.f->b.min_coord(0) || p.x() > pf.f->b.max_coord(0) ||
        p.y() < pf.f->b.min_coord(1) || p.y() > pf.f->b.max_coord(1) ||
        p.z() < pf.f->b.min_coord(2) || p.z() > pf.f->b.max_coord(2))
       return CGAL::ON_UNBOUNDED_SIDE;
-    
+
     typedef Project_shalfedge_point
       < SHalfedge, Point_3> Project;
     typedef Circulator_project
-      < SHalfedge_around_facet_const_circulator, Project, 
+      < SHalfedge_around_facet_const_circulator, Project,
       const Point_3&, const Point_3*> Circulator;
     typedef Container_from_circulator<Circulator> Container;
 
@@ -442,54 +442,54 @@ class SNC_intersection : public SNC_cons
 
     Plane_3 h(pf.f->plane());
     CGAL_assertion(h.has_on(p));
-    
+
     Bounded_side outer_bound_pos(CGAL::ON_BOUNDED_SIDE);
 
     Outer_cycle_iterator oc = pf.outer_cycles_begin();
-    while(oc != pf.outer_cycles_end() && 
-	  outer_bound_pos == CGAL::ON_BOUNDED_SIDE) {
+    while(oc != pf.outer_cycles_end() &&
+          outer_bound_pos == CGAL::ON_BOUNDED_SIDE) {
       if(oc->first == oc->second) {
-	SHalfedge_around_facet_const_circulator hfc(oc->first);
-	Circulator c(hfc);
-	Container ct(c);
-	CGAL_assertion( !is_empty_range(ct.begin(), ct.end()));
-	outer_bound_pos = bounded_side_3(ct.begin(), ct.end(), p, h);	
+        SHalfedge_around_facet_const_circulator hfc(oc->first);
+        Circulator c(hfc);
+        Container ct(c);
+        CGAL_assertion( !is_empty_range(ct.begin(), ct.end()));
+        outer_bound_pos = bounded_side_3(ct.begin(), ct.end(), p, h);
       } else {
-	outer_bound_pos = bounded_side_3(Circulator(SHalfedge_around_facet_const_circulator(oc->first)), 
-					 Circulator(SHalfedge_around_facet_const_circulator(oc->second)), p, h);
+        outer_bound_pos = bounded_side_3(Circulator(SHalfedge_around_facet_const_circulator(oc->first)),
+                                         Circulator(SHalfedge_around_facet_const_circulator(oc->second)), p, h);
       }
       ++oc;
     }
     if(outer_bound_pos != CGAL::ON_BOUNDED_SIDE )
-      return outer_bound_pos;    
+      return outer_bound_pos;
 
     Bounded_side inner_bound_pos(CGAL::ON_UNBOUNDED_SIDE);
 
     Inner_cycle_iterator ic = pf.inner_cycles_begin();
-    while(ic != pf.inner_cycles_end() && 
-	  inner_bound_pos == CGAL::ON_UNBOUNDED_SIDE) {
+    while(ic != pf.inner_cycles_end() &&
+          inner_bound_pos == CGAL::ON_UNBOUNDED_SIDE) {
       if(ic->first == ic->second) {
-	SHalfedge_around_facet_const_circulator hfc(ic->first);
-	Circulator c(hfc);
-	Container ct(c);
-	CGAL_assertion( !is_empty_range(ct.begin(), ct.end()));
-	inner_bound_pos = bounded_side_3(ct.begin(), ct.end(), p, h);	
+        SHalfedge_around_facet_const_circulator hfc(ic->first);
+        Circulator c(hfc);
+        Container ct(c);
+        CGAL_assertion( !is_empty_range(ct.begin(), ct.end()));
+        inner_bound_pos = bounded_side_3(ct.begin(), ct.end(), p, h);
       } else {
-	inner_bound_pos = bounded_side_3(Circulator(SHalfedge_around_facet_const_circulator(ic->first)), 
-					 Circulator(SHalfedge_around_facet_const_circulator(ic->second)), p, h);
+        inner_bound_pos = bounded_side_3(Circulator(SHalfedge_around_facet_const_circulator(ic->first)),
+                                         Circulator(SHalfedge_around_facet_const_circulator(ic->second)), p, h);
       }
       ++ic;
     }
     if(inner_bound_pos != CGAL::ON_UNBOUNDED_SIDE )
       return opposite(inner_bound_pos);
-    
+
     Isolated_vertex_iterator iv = pf.isolated_vertices_begin();
     while(iv != pf.isolated_vertices_end()) {
       if(*iv == p)
-	return CGAL::ON_BOUNDARY;
+        return CGAL::ON_BOUNDARY;
       ++iv;
     }
-   
+
     return CGAL::ON_BOUNDED_SIDE;
   }
 #endif
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_io_parser.h 5.0.3-1/include/CGAL/Nef_3/SNC_io_parser.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_io_parser.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_io_parser.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_io_parser.h $
-// $Id: SNC_io_parser.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_io_parser.h $
+// $Id: SNC_io_parser.h b1c09a5 2020-07-20T16:52:24+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -56,7 +56,8 @@ namespace Nef_3_internal{
 
 BOOST_MPL_HAS_XXX_TRAIT_NAMED_DEF(Has_nested_Exact_kernel,Exact_kernel,false)
 
-template <class R,bool has_exact_kernel=Has_nested_Exact_kernel<R>::value, class FT = typename R::RT, class Kernel_tag=typename R::Kernel_tag>
+template <class R,bool has_exact_kernel=Has_nested_Exact_kernel<R>::value &&
+                                        !std::is_floating_point<typename R::RT>::value, class FT = typename R::RT, class Kernel_tag=typename R::Kernel_tag>
 struct Type_converter{
   typedef const CGAL::Point_3<R>& Point_3;
   typedef const CGAL::Vector_3<R>& Vector_3;
@@ -143,15 +144,15 @@ class moreLeft : public T {
 
     if(vec1.x() == RT(0) && vec2.x() == RT(0)) {
       if(vec1.y() != vec2.y()) {
-	if(vec1.y() < vec2.y())
-	  return -1;
-	else
-	  return 1;
+        if(vec1.y() < vec2.y())
+          return -1;
+        else
+          return 1;
       }
       if(vec1.z() < vec2.z())
-	return -1;
+        return -1;
       else
-	return 1;
+        return 1;
     }
 
     Vector_3 minus(-1,0,0);
@@ -159,9 +160,9 @@ class moreLeft : public T {
     if((sk1 >= FT(0) && sk2 <= FT(0)) ||
        (sk1 <= FT(0) && sk2 >= FT(0))) {
       if(sk1 > FT(0) || sk2 < FT(0))
-	return -1;
+        return -1;
       else
-	return 1;
+        return 1;
     }
 
     FT len1 = vec1.x()*vec1.x()+vec1.y()*vec1.y()+vec1.z()*vec1.z();
@@ -170,9 +171,9 @@ class moreLeft : public T {
 
     if(diff != FT(0)) {
       if((sk1>FT(0) && diff<FT(0)) || (sk1<FT(0) && diff>FT(0)))
-	return -1;
+        return -1;
       else
-	return 1;
+        return 1;
     }
 
     return 0;
@@ -275,35 +276,35 @@ class sort_sedges : public SNC_decorator
     if(se1 == se2) return false;
     sort_vertices<T> SORT(*this->sncp());
     CGAL_NEF_TRACEN("  center verices: " << se1->source()->source()->point() <<
-		    " , " << se2->source()->source()->point());
+                    " , " << se2->source()->source()->point());
     if(se1->source()->source() != se2->source()->source())
       return SORT(se1->source()->source(),se2->source()->source());
     if(se1 == se2->twin()) {
       if(se1->source() == se2->source()) {
-	Sphere_circle vec1 = se1->circle();
-	Sphere_circle vec2 = se2->circle();
-	if(vec1.a() != vec2.a())
-	  return vec1.a() < vec2.a();
-	else if(vec1.b() != vec2.b())
-	  return vec1.b() < vec2.b();
-	return vec1.c() < vec2.c();
+        Sphere_circle vec1 = se1->circle();
+        Sphere_circle vec2 = se2->circle();
+        if(vec1.a() != vec2.a())
+          return vec1.a() < vec2.a();
+        else if(vec1.b() != vec2.b())
+          return vec1.b() < vec2.b();
+        return vec1.c() < vec2.c();
       }
       else
-	return SORT(se1->source()->twin()->source(), se2->source()->twin()->source());
+        return SORT(se1->source()->twin()->source(), se2->source()->twin()->source());
     }
 
     if(SORT(se1->twin()->source()->twin()->source(),
-	    se1->source()->twin()->source()))
+            se1->source()->twin()->source()))
       se1 = se1->twin();
     if(SORT(se2->twin()->source()->twin()->source(),
-	    se2->source()->twin()->source()))
+            se2->source()->twin()->source()))
       se2 = se2->twin();
     CGAL_NEF_TRACEN("  ssources " << se1->source()->twin()->source()->point()
-		    << " , " << se2->source()->twin()->source()->point());
+                    << " , " << se2->source()->twin()->source()->point());
     if(se1->source() != se2->source())
       return SORT(se1->source()->twin()->source(), se2->source()->twin()->source());
     CGAL_NEF_TRACEN("  starget " << se1->twin()->source()->twin()->source()->point() <<
-		    " , " << se2->twin()->source()->twin()->source()->point());
+                    " , " << se2->twin()->source()->twin()->source()->point());
     if(se1->twin()->source()->twin()->source() != se2->twin()->source()->twin()->source())
       return SORT(se1->twin()->source()->twin()->source(), se2->twin()->source()->twin()->source());
 
@@ -386,11 +387,11 @@ class sort_sface_cycle_entries : public
       sort_sedges<SNC_structure> SORT(*this->sncp());
       return SORT(se1,se2);
       /*
-	sort_vertices<SNC_structure> SORT(*this->sncp());
+        sort_vertices<SNC_structure> SORT(*this->sncp());
       if(ssource(se1) != ssource(se2))
-	return SORT(se1->source()->twin()->source(), se2->source()->twin()->source());
+        return SORT(se1->source()->twin()->source(), se2->source()->twin()->source());
       else
-	return SORT(se1->target(), se2->target());
+        return SORT(se1->target(), se2->target());
       */
     }
 
@@ -399,11 +400,11 @@ class sort_sface_cycle_entries : public
       Vector_3 vec2(sl2->circle().orthogonal_vector());
       //      CGAL_assertion(vec1 == vec2.antipode());
       if(vec1.x() != vec2.x())
-	return vec1.x() < vec2.x();
+        return vec1.x() < vec2.x();
       else if(vec1.y() != vec2.y())
-	return vec1.y() < vec2.y();
+        return vec1.y() < vec2.y();
       else if(vec1.z() != vec2.z())
-	return vec1.z() < vec2.z();
+        return vec1.z() < vec2.z();
     }
 
     CGAL_assertion(sv1 != SVertex_handle() && sv2 != SVertex_handle());
@@ -456,19 +457,19 @@ class sort_sfaces : public SNC_decorator
     SHalfloop_handle sl1;
     CGAL_forall_sface_cycles_of(fc,sf1) {
       if(fc.is_shalfedge()) {
-	SHalfedge_handle se(fc);
-	SHalfedge_around_sface_circulator ec(se),ee(se);
-	CGAL_For_all(ec,ee) {
-	  CGAL_NEF_TRACEN("     " << ec->source()->point() <<
-		 " | " << ec->circle().orthogonal_vector());
-	  if(ml(ec, se1) == -1)
-	    se1 = ec;
-	}
+        SHalfedge_handle se(fc);
+        SHalfedge_around_sface_circulator ec(se),ee(se);
+        CGAL_For_all(ec,ee) {
+          CGAL_NEF_TRACEN("     " << ec->source()->point() <<
+                 " | " << ec->circle().orthogonal_vector());
+          if(ml(ec, se1) == -1)
+            se1 = ec;
+        }
       }
       else if(fc.is_shalfloop())
-	sl1 = SHalfloop_handle(fc);
+        sl1 = SHalfloop_handle(fc);
       else
-	CGAL_assertion(fc.is_svertex());
+        CGAL_assertion(fc.is_svertex());
     }
 
     CGAL_NEF_TRACEN("  sface 2");
@@ -477,23 +478,23 @@ class sort_sfaces : public SNC_decorator
     SHalfloop_handle sl2;
     CGAL_forall_sface_cycles_of(fc,sf2) {
       if(fc.is_shalfedge()) {
-	SHalfedge_handle se(fc);
-	SHalfedge_around_sface_circulator ec(se),ee(se);
-	CGAL_For_all(ec,ee) {
-	  CGAL_NEF_TRACEN("     " << ec->source()->point() <<
-		 " | " << ec->circle().orthogonal_vector());
-	  if(ml(ec, se2) == -1)
-	    se2 = ec;
-	}
+        SHalfedge_handle se(fc);
+        SHalfedge_around_sface_circulator ec(se),ee(se);
+        CGAL_For_all(ec,ee) {
+          CGAL_NEF_TRACEN("     " << ec->source()->point() <<
+                 " | " << ec->circle().orthogonal_vector());
+          if(ml(ec, se2) == -1)
+            se2 = ec;
+        }
       }
       else if(fc.is_shalfloop())
-	sl2 = SHalfloop_handle(fc);
+        sl2 = SHalfloop_handle(fc);
       else
-	CGAL_assertion(fc.is_svertex());
+        CGAL_assertion(fc.is_svertex());
     }
 
     CGAL_NEF_TRACEN("  sedge cycles existing? " << (se1 != SHalfedge_handle())
-	   << " , " << (se2 != SHalfedge_handle()));
+           << " , " << (se2 != SHalfedge_handle()));
 
     if(se1 != SHalfedge_handle() && se2 == SHalfedge_handle())
       return true;
@@ -505,19 +506,19 @@ class sort_sfaces : public SNC_decorator
       Vector_3 vec2 = sl2->circle().orthogonal_vector();
       CGAL_NEF_TRACEN("  sloops " << vec1 << " , " << vec2);
       if(vec1.x() != vec2.x())
-	return vec1.x() < vec2.x();
+        return vec1.x() < vec2.x();
       else if(vec1.y() != vec2.y())
-	return vec1.y() < vec2.y();
+        return vec1.y() < vec2.y();
       else if(vec1.z() != vec2.z())
-	return vec1.z() < vec2.z();
+        return vec1.z() < vec2.z();
     }
 
     CGAL_assertion(se1 != SHalfedge_handle() && se2 != SHalfedge_handle());
 
     CGAL_NEF_TRACEN("  minimal sedge in sface 1:" << se1->source()->point() <<
-	   " , " << se1->circle().orthogonal_vector());
+           " , " << se1->circle().orthogonal_vector());
     CGAL_NEF_TRACEN("  minimal sedge in sface 2:" << se2->source()->point() <<
-	   " , " << se2->circle().orthogonal_vector());
+           " , " << se2->circle().orthogonal_vector());
     CGAL_NEF_TRACEN("result " << ml(se1,se2));
     switch(ml(se1, se2)) {
     case -1: return true;
@@ -586,7 +587,7 @@ class sort_facet_cycle_entries : public
       return false;
 
     CGAL_assertion(sl1 != SHalfloop_handle() &&
-			sl2 != SHalfloop_handle());
+                        sl2 != SHalfloop_handle());
 
     SM_decorator SD(&*sl1->incident_sface()->center_vertex());
     Vector_3 vec1(sl1->circle().orthogonal_vector());
@@ -651,7 +652,7 @@ struct find_minimal_sface_of_shell : pub
       sf_min = h;
     else {
       if(SORT(h,sf_min))
-	sf_min = h;
+        sf_min = h;
     }
   }
 
@@ -670,8 +671,9 @@ template<typename Tag, typename Kernel>
 template<typename Kernel>
 class Geometry_io<Cartesian_tag, Kernel> {
  public:
-  template <typename EK, typename K> static
-  typename EK::Point_3 read_point(std::istream& in) {
+
+  template <typename EK, typename K, typename Compose_> static
+  typename EK::Point_3 read_point_impl(std::istream& in, Compose_) {
     typedef Fraction_traits<typename K::FT> FracTraits;
     typename FracTraits::Type hx, hy, hz, hw;
     typename FracTraits::Numerator_type num;
@@ -688,8 +690,8 @@ class Geometry_io<Cartesian_tag, Kernel>
     return typename EK::Point_3(hx,hy,hz,hw);
   }
 
-  template <typename EK, typename K> static
-  typename EK::Plane_3 read_plane(std::istream& in) {
+  template <typename EK, typename K, typename Compose_> static
+  typename EK::Plane_3 read_plane_impl(std::istream& in, Compose_) {
     typedef Fraction_traits<typename K::FT> FracTraits;
     typename FracTraits::Type a, b, c, d;
     typename FracTraits::Numerator_type num;
@@ -706,8 +708,32 @@ class Geometry_io<Cartesian_tag, Kernel>
     return typename EK::Plane_3(a,b,c,d);
   }
 
-  template <typename R> static
-    void print_point_impl(std::ostream& out, const CGAL::Point_3<R> p) {
+  template <typename EK, typename K> static
+  typename EK::Point_3 read_point_impl(std::istream& in, Null_functor) {
+    typename K::FT hx, hy, hz, hw;
+    in >> hx >> hy >> hz >> hw;
+    return typename EK::Point_3(hx,hy,hz,hw);
+  }
+
+  template <typename EK, typename K> static
+  typename EK::Plane_3 read_plane_impl(std::istream& in, Null_functor) {
+    typename K::FT a, b, c, d;
+    in >> a >> b >> c >> d;
+    return typename EK::Plane_3(a,b,c,d);
+  }
+
+  template <typename EK, typename K> static
+  typename EK::Point_3 read_point(std::istream& in) {
+    return read_point_impl<EK,K>(in, typename Fraction_traits<typename K::FT>::Compose());
+  }
+
+  template <typename EK, typename K> static
+  typename EK::Plane_3 read_plane(std::istream& in) {
+    return read_plane_impl<EK,K>(in, typename Fraction_traits<typename K::FT>::Compose());
+  }
+
+  template <typename R, typename Decompose_> static
+  void print_point_impl(std::ostream& out, const CGAL::Point_3<R> p, Decompose_) {
     typedef Fraction_traits<typename R::FT> FracTraits;
     typedef std::vector<typename FracTraits::Numerator_type> NV;
 
@@ -734,11 +760,11 @@ class Geometry_io<Cartesian_tag, Kernel>
     Normalizing<Homogeneous_tag>::
       normalized(vec.begin(),vec.end());
     out << vec[0] << " " << vec[1] << " "
-	<< vec[2] << " " << vec[3];
+        << vec[2] << " " << vec[3];
   }
 
-  template <typename R> static
-    void print_vector_impl(std::ostream& out, const CGAL::Vector_3<R> p) {
+  template <typename R, typename Decompose_> static
+  void print_vector_impl(std::ostream& out, const CGAL::Vector_3<R> p, Decompose_) {
     typedef Fraction_traits<typename R::FT> FracTraits;
     typedef typename FracTraits::Numerator_type NumType;
     typedef std::vector<NumType> NV;
@@ -763,11 +789,11 @@ class Geometry_io<Cartesian_tag, Kernel>
     Normalizing<Homogeneous_tag>::
       normalized(vec.begin(),vec.end());
     out << vec[0] << " " << vec[1] << " "
-	<< vec[2] << " " << NumType(1);
+        << vec[2] << " " << NumType(1);
   }
 
-  template <typename R> static
-  void print_plane_impl(std::ostream& out, const CGAL::Plane_3<R> p) {
+  template <typename R, typename Decompose_> static
+  void print_plane_impl(std::ostream& out, const CGAL::Plane_3<R> p, Decompose_) {
     typedef Fraction_traits<typename R::FT> FracTraits;
     typedef std::vector<typename FracTraits::Numerator_type> NV;
 
@@ -800,22 +826,40 @@ class Geometry_io<Cartesian_tag, Kernel>
       normalized(vec.begin(),vec.end());
 
     out << vec[0] << " " << vec[1] << " "
-	<< vec[2] << " " << vec[3];
+        << vec[2] << " " << vec[3];
+  }
+
+  template <typename R> static
+  void print_point_impl(std::ostream& out, const CGAL::Point_3<R> p, Null_functor)
+  {
+    out << p.x() << " " << p.y() << " " << p.z() << " " << 1;
+  }
+
+  template <typename R> static
+  void print_vector_impl(std::ostream& out, const CGAL::Vector_3<R> v, Null_functor)
+  {
+    out << v.x() << " " << v.y() << " " << v.z() << " " << 1;
+  }
+
+  template <typename R> static
+  void print_plane_impl(std::ostream& out, const CGAL::Plane_3<R> p, Null_functor)
+  {
+    out << p.a() << " " << p.b() << " " << p.c() << " " << p.d();
   }
 
   template <class R> static
   void print_point(std::ostream& out, const CGAL::Point_3<R>& p) {
-    print_point_impl(out, Nef_3_internal::get_point(p) );
+    print_point_impl(out, Nef_3_internal::get_point(p), typename Fraction_traits<typename R::FT>::Decompose() );
   }
 
   template <class R> static
   void print_vector(std::ostream& out, const CGAL::Vector_3<R>& v) {
-    print_vector_impl(out, Nef_3_internal::get_vector(v) );
+    print_vector_impl(out, Nef_3_internal::get_vector(v), typename Fraction_traits<typename R::FT>::Decompose() );
   }
 
   template <class R> static
   void print_plane(std::ostream& out, const CGAL::Plane_3<R>& p) {
-    print_plane_impl(out, Nef_3_internal::get_plane(p) );
+    print_plane_impl(out, Nef_3_internal::get_plane(p), typename Fraction_traits<typename R::FT>::Decompose() );
   }
 
 };
@@ -961,7 +1005,7 @@ public:
 public:
   SNC_io_parser(std::istream& is, SNC_structure& W);
   SNC_io_parser(std::ostream& os, SNC_structure& W,
-		bool sort=false, bool reduce_ = false);
+                bool sort=false, bool reduce_ = false);
 
   std::string index(Vertex_iterator v) const
   { return VI(v,verbose); }
@@ -1055,7 +1099,7 @@ SNC_io_parser<EW>::SNC_io_parser(std::is
 
 template <typename EW>
 SNC_io_parser<EW>::SNC_io_parser(std::ostream& os, SNC_structure& W,
-				 bool sort, bool reduce_) :
+                                 bool sort, bool reduce_) :
   Base(W), in(std::cin), out(os),
   FI(W.halffacets_begin(),W.halffacets_end(),'F'),
   CI(W.volumes_begin(),W.volumes_end(),'C'),
@@ -1083,9 +1127,9 @@ SNC_io_parser<EW>::SNC_io_parser(std::os
     if(sorted) {
       vi->point() = normalized(vi->point());
       if(vi->has_shalfloop() &&
-	 sort_sloops<SNC_structure>(*this->sncp())(vi->shalfloop()->twin(),
-						   vi->shalfloop()))
-	vi->shalfloop() = vi->shalfloop()->twin();
+         sort_sloops<SNC_structure>(*this->sncp())(vi->shalfloop()->twin(),
+                                                   vi->shalfloop()))
+        vi->shalfloop() = vi->shalfloop()->twin();
     }
   }
   if(sorted) {
@@ -1112,8 +1156,8 @@ SNC_io_parser<EW>::SNC_io_parser(std::os
       SHalfedge_handle new_outedge = ei->out_sedge();
       SHalfedge_around_svertex_circulator cb(new_outedge), ce(cb);
       CGAL_For_all(cb,ce) {
-	if(cb != new_outedge && sortSE(cb,new_outedge))
-	  new_outedge = cb;
+        if(cb != new_outedge && sortSE(cb,new_outedge))
+          new_outedge = cb;
       }
       ei->out_sedge() = new_outedge;
     }
@@ -1134,19 +1178,19 @@ SNC_io_parser<EW>::SNC_io_parser(std::os
       sort_sedges<SNC_structure> sortSE(*this->sncp());
       Halffacet_cycle_iterator fc;
       for(fc = fi->facet_cycles_begin();
-	  fc != fi->facet_cycles_end(); ++fc) {
-	if(fc.is_shalfedge()) {
-	  SHalfedge_handle se(fc);
-	  if(this->sncp()->is_boundary_object(se))
-	    this->sncp()->undef_boundary_item(se);
-	  SHalfedge_around_facet_circulator sfc(fc), send(sfc);
-	  CGAL_For_all(sfc, send) {
-	    if(sortSE(sfc, se))
-	      se = sfc;
-	  }
-	  this->sncp()->store_boundary_item(se,fc);
-	  *fc = make_object(se);
-	}
+          fc != fi->facet_cycles_end(); ++fc) {
+        if(fc.is_shalfedge()) {
+          SHalfedge_handle se(fc);
+          if(this->sncp()->is_boundary_object(se))
+            this->sncp()->undef_boundary_item(se);
+          SHalfedge_around_facet_circulator sfc(fc), send(sfc);
+          CGAL_For_all(sfc, send) {
+            if(sortSE(sfc, se))
+              se = sfc;
+          }
+          this->sncp()->store_boundary_item(se,fc);
+          *fc = make_object(se);
+        }
       }
       fi->plane() = normalized(fi->plane());
       fi->boundary_entry_objects().sort(sort_facet_cycle_entries<Base>((Base) *this));
@@ -1198,25 +1242,25 @@ SNC_io_parser<EW>::SNC_io_parser(std::os
     if(sorted) {
       SFace_cycle_iterator fc;
       CGAL_forall_sface_cycles_of(fc, sfi) {
-	if(fc.is_shalfedge()) {
-	  SHalfedge_handle se(fc);
-	  if(this->sncp()->is_sm_boundary_object(se))
-	    this->sncp()->undef_sm_boundary_item(se);
-	  SHalfedge_around_sface_circulator cb(se), ce(cb);
-	  CGAL_For_all(cb,ce) {
-	    if(cb->source() != se->source()) {
-	      if(lexicographically_xyz_smaller(cb->source()->twin()->source()->point(),
-					       se->source()->twin()->source()->point()))
-		se = cb;
-	    }
-	    else
-	      if(lexicographically_xyz_smaller(cb->twin()->source()->twin()->source()->point(),
-					       se->twin()->source()->twin()->source()->point()))
-		se = cb;
-	  }
-	  this->sncp()->store_sm_boundary_item(se,fc);
-	  *fc = make_object(se);
-	}
+        if(fc.is_shalfedge()) {
+          SHalfedge_handle se(fc);
+          if(this->sncp()->is_sm_boundary_object(se))
+            this->sncp()->undef_sm_boundary_item(se);
+          SHalfedge_around_sface_circulator cb(se), ce(cb);
+          CGAL_For_all(cb,ce) {
+            if(cb->source() != se->source()) {
+              if(lexicographically_xyz_smaller(cb->source()->twin()->source()->point(),
+                                               se->source()->twin()->source()->point()))
+                se = cb;
+            }
+            else
+              if(lexicographically_xyz_smaller(cb->twin()->source()->twin()->source()->point(),
+                                               se->twin()->source()->twin()->source()->point()))
+                se = cb;
+          }
+          this->sncp()->store_sm_boundary_item(se,fc);
+          *fc = make_object(se);
+        }
       }
       sfi->boundary_entry_objects().sort(sort_sface_cycle_entries<Base>((Base) *this));
     }
@@ -1239,9 +1283,9 @@ SNC_io_parser<EW>::SNC_io_parser(std::os
     if(sorted) {
       Shell_entry_iterator it;
       CGAL_forall_shells_of(it,ci) {
-	findMinSF.minimal_sface() = SFace_handle(it);
-	visit_shell_objects(SFace_handle(it),findMinSF);
-	*it = make_object(findMinSF.minimal_sface());
+        findMinSF.minimal_sface() = SFace_handle(it);
+        visit_shell_objects(SFace_handle(it),findMinSF);
+        *it = make_object(findMinSF.minimal_sface());
       }
       ci->shell_entry_objects().sort(sort_shell_entries<Base>((Base)*this));
     }
@@ -1449,11 +1493,11 @@ void SNC_io_parser<EW>::print_vertex(Ver
   if(sorted) {
 
     output_sorted_indexes(v->svertices_begin(),
-			  v->svertices_end(), EI);
+                          v->svertices_end(), EI);
     output_sorted_indexes(v->shalfedges_begin(),
-			  v->shalfedges_end(), SEI);
+                          v->shalfedges_end(), SEI);
     output_sorted_indexes(v->sfaces_begin(),
-			  v->sfaces_end(), SFI);
+                          v->sfaces_end(), SFI);
     out << index(SD.shalfloop()) << " | ";
   }
   else {
@@ -1955,13 +1999,13 @@ void SNC_io_parser<EW>::add_infi_box() {
 
   int seOff[3] = {0, 1, 3};
   int twinIdx[24] = { 3, 7,14,
-		      0,10,17,
-		      9, 1,20,
-		      6, 4,23,
-		      15,19, 2,
-		      12,22, 5,
-		      21,13, 8,
-		      18,16,11};
+                      0,10,17,
+                      9, 1,20,
+                      6, 4,23,
+                      15,19, 2,
+                      12,22, 5,
+                      21,13, 8,
+                      18,16,11};
 
   for(int i = 0; i < 24; ++i) {
     Halfedge_handle eh = Edge_of[en+i];
@@ -1987,7 +2031,7 @@ void SNC_io_parser<EW>::add_infi_box() {
   }
 
   int bnd[12] = {19, 18, 43, 42, 35, 34,
-		 47, 46, 39, 38, 45, 44};
+                 47, 46, 39, 38, 45, 44};
   for(int i = 0; i < 12; ++i) {
     Halffacet_handle fh = Halffacet_of[fn+i];
     fh->twin() = Halffacet_of[fn+(i/2*2)+((i+1)%2)];
@@ -2017,33 +2061,33 @@ void SNC_io_parser<EW>::add_infi_box() {
   int sprevOff[6] = {4,3,0,5,2,1};
   int snextOff[6] = {2,5,4,1,0,3};
   int prevIdx[48] = {7,12,15,26,29,10,
-		     1,18,21,32,35,4,
-		     19,0,3,38,41,22,
-		     13,6,9,44,47,16,
-		     31,36,39,2,5,34,
-		     25,42,45,8,11,28,
-		     43,24,27,14,17,46,
-		     37,30,33,20,23,40};
+                     1,18,21,32,35,4,
+                     19,0,3,38,41,22,
+                     13,6,9,44,47,16,
+                     31,36,39,2,5,34,
+                     25,42,45,8,11,28,
+                     43,24,27,14,17,46,
+                     37,30,33,20,23,40};
   int nextIdx[48] = {13,6,27,14,11,28,
-		     19,0,33,20,5,34,
-		     1,18,39,2,23,40,
-		     7,12,45,8,17,46,
-		     37,30,3,38,35,4,
-		     43,24,9,44,29,10,
-		     25,42,15,26,47,16,
-		     31,36,21,32,41,22};
+                     19,0,33,20,5,34,
+                     1,18,39,2,23,40,
+                     7,12,45,8,17,46,
+                     37,30,3,38,35,4,
+                     43,24,9,44,29,10,
+                     25,42,15,26,47,16,
+                     31,36,21,32,41,22};
   int factIdx[48] = {1,0,9,8,5,4,
-		     0,1,11,10,4,5,
-		     0,1,8,9,7,6,
-		     1,0,10,11,6,7,
-		     3,2,8,9,4,5,
-		     2,3,10,11,5,4,
-		     2,3,9,8,6,7,
-		     3,2,11,10,7,6};
+                     0,1,11,10,4,5,
+                     0,1,8,9,7,6,
+                     1,0,10,11,6,7,
+                     3,2,8,9,4,5,
+                     2,3,10,11,5,4,
+                     2,3,9,8,6,7,
+                     3,2,11,10,7,6};
   int sgn[24] = {1,1,1,-1,1,-1,
-		 -1,-1,1,1,-1,-1,
-		 1,-1,-1,-1,-1,1,
-		 -1,1,-1,1,1,1};
+                 -1,-1,1,1,-1,-1,
+                 1,-1,-1,-1,-1,1,
+                 -1,1,-1,1,1,1};
 
   for(int i = 0; i < 48; ++i) {
     SHalfedge_handle seh = SEdge_of[sen+i];
@@ -2079,7 +2123,7 @@ void SNC_io_parser<EW>::add_infi_box() {
     sfh->center_vertex() = Vertex_of[vn+(i/2)];
     sfh->boundary_entry_objects().push_back(make_object(SEdge_of[sen+(i/2*6)+(i%2)]));
     this->sncp()->store_sm_boundary_item(SEdge_of[sen+(i/2*6)+(i%2)],
-					  --(sfh->sface_cycles_end()));
+                                          --(sfh->sface_cycles_end()));
     int cIdx = i%2 ? 1-volIdx[i/2] : volIdx[i/2];
     sfh->volume() = Volume_of[cIdx];
     sfh->mark() = cIdx ? Volume_of[1]->mark() : 0;
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_items.h 5.0.3-1/include/CGAL/Nef_3/SNC_items.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_items.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_items.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_items.h $
-// $Id: SNC_items.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_items.h $
+// $Id: SNC_items.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel        <seel@mpi-sb.mpg.de>
 //                 Miguel Granados     <granados@mpi-sb.mpg.de>
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_iteration.h 5.0.3-1/include/CGAL/Nef_3/SNC_iteration.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_iteration.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_iteration.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_iteration.h $
-// $Id: SNC_iteration.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_iteration.h $
+// $Id: SNC_iteration.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel    <seel@mpi-sb.mpg.de>
 //                 Miguel Granados <granados@mpi-sb.mpg.de>
@@ -21,7 +21,7 @@
 #include <CGAL/Nef_S2/SM_iteration.h>
 
 #define CGAL_forall_vertices(x,SNC)\
-for(x = (SNC).vertices_begin(); x != (SNC).vertices_end(); ++x) 
+for(x = (SNC).vertices_begin(); x != (SNC).vertices_end(); ++x)
 
 #define CGAL_forall_halfedges(x,SNC)\
 for(x = (SNC).halfedges_begin(); x != (SNC).halfedges_end(); ++x)
@@ -31,20 +31,20 @@ for(x = (SNC).halfedges_begin(); x != (S
 if ( x->is_twin() ) continue; else
 
 #define CGAL_forall_halffacets(x,SNC)\
-for(x = (SNC).halffacets_begin(); x != (SNC).halffacets_end(); ++x) 
- 
+for(x = (SNC).halffacets_begin(); x != (SNC).halffacets_end(); ++x)
+
 #define CGAL_forall_facets(x,SNC)\
 for(x = (SNC).halffacets_begin(); x != (SNC).halffacets_end(); ++x) \
 if ( x->is_twin() ) continue; else
 
 #define CGAL_forall_volumes(x,SNC)\
-for(x = (SNC).volumes_begin(); x != (SNC).volumes_end(); ++x) 
+for(x = (SNC).volumes_begin(); x != (SNC).volumes_end(); ++x)
 
 #define CGAL_forall_facet_cycles_of(x,F)\
-for(x = (F)->facet_cycles_begin(); x != (F)->facet_cycles_end(); ++x) 
+for(x = (F)->facet_cycles_begin(); x != (F)->facet_cycles_end(); ++x)
 
 #define CGAL_forall_shells_of(x,C)\
-for(x = (C)->shells_begin(); x != (C)->shells_end(); ++x) 
+for(x = (C)->shells_begin(); x != (C)->shells_end(); ++x)
 
 #define CGAL_forall_svertices_of(x,V)\
 for(x = (V)->svertices_begin(); x != (V)->svertices_end(); ++x)
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_k3_tree_traits.h 5.0.3-1/include/CGAL/Nef_3/SNC_k3_tree_traits.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_k3_tree_traits.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_k3_tree_traits.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_k3_tree_traits.h $
-// $Id: SNC_k3_tree_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_k3_tree_traits.h $
+// $Id: SNC_k3_tree_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Miguel Granados <granados@mpi-sb.mpg.de>
 
@@ -37,13 +37,13 @@ class ComparePoints {
   }
   CGAL::Comparison_result operator()(const Point_3 p1, const Point_3& p2) {
     switch(coord) {
-    case 0: 
+    case 0:
       CGAL_NEF_TRACEN("compare_x " << p1 << ", " << p2 << "=" << (int) CGAL::compare_x(p1, p2));
       return CGAL::compare_x(p1, p2);
-    case 1: 
+    case 1:
       CGAL_NEF_TRACEN("compare_y " << p1 << ", " << p2 << "=" << (int) CGAL::compare_y(p1, p2));
       return CGAL::compare_y(p1, p2);
-    case 2: 
+    case 2:
       CGAL_NEF_TRACEN("compare_z " << p1 << ", " << p2 << "=" << (int) CGAL::compare_z(p1, p2));
       return CGAL::compare_z(p1, p2);
     default: CGAL_error();
@@ -66,29 +66,29 @@ class ComparePoints<CGAL::Lazy_kernel<EK
   }
   CGAL::Comparison_result operator()( const Point_3 p1, const Point_3 p2) {
     switch(coord) {
-    case 0: 
+    case 0:
       if(CGAL::to_interval(p1.x()).second <
-	 CGAL::to_interval(p2.x()).first)
-	return CGAL::SMALLER;
+         CGAL::to_interval(p2.x()).first)
+        return CGAL::SMALLER;
       else if(CGAL::to_interval(p2.x()).second <
-	      CGAL::to_interval(p1.x()).first)
-	return CGAL::LARGER;
+              CGAL::to_interval(p1.x()).first)
+        return CGAL::LARGER;
       return CGAL::EQUAL;
-    case 1:  
+    case 1:
       if(CGAL::to_interval(p1.y()).second <
-	 CGAL::to_interval(p2.y()).first)
-	return CGAL::SMALLER;
+         CGAL::to_interval(p2.y()).first)
+        return CGAL::SMALLER;
       else if(CGAL::to_interval(p2.y()).second <
-	      CGAL::to_interval(p1.y()).first)
-	return CGAL::LARGER;
+              CGAL::to_interval(p1.y()).first)
+        return CGAL::LARGER;
       return CGAL::EQUAL;
-    case 2: 
+    case 2:
       if(CGAL::to_interval(p1.z()).second <
-	 CGAL::to_interval(p2.z()).first)
-	return CGAL::SMALLER;
+         CGAL::to_interval(p2.z()).first)
+        return CGAL::SMALLER;
       else if(CGAL::to_interval(p2.z()).second <
-	      CGAL::to_interval(p1.z()).first)
-	return CGAL::LARGER;
+              CGAL::to_interval(p1.z()).first)
+        return CGAL::LARGER;
       return CGAL::EQUAL;
     default: CGAL_error();
     }
@@ -101,7 +101,7 @@ private:
 template <class SNC_decorator>
 class Side_of_plane {
 public:
-  typedef typename SNC_decorator::SNC_structure SNC_structure;	
+  typedef typename SNC_decorator::SNC_structure SNC_structure;
   typedef typename SNC_decorator::Decorator_traits Decorator_traits;
 
   typedef typename Decorator_traits::Vertex_handle Vertex_handle;
@@ -109,7 +109,7 @@ public:
   typedef typename Decorator_traits::Halffacet_handle Halffacet_handle;
 
 #ifdef CGAL_NEF3_TRIANGULATE_FACETS
-  typedef typename SNC_structure::Halffacet_triangle_handle 
+  typedef typename SNC_structure::Halffacet_triangle_handle
                                   Halffacet_triangle_handle;
 #endif
 #ifdef CGAL_NEF3_FACET_WITH_BOX
@@ -119,23 +119,23 @@ public:
 
   typedef typename Decorator_traits::Halffacet_cycle_iterator
     Halffacet_cycle_iterator;
-  typedef typename Decorator_traits::SHalfedge_around_facet_circulator 
+  typedef typename Decorator_traits::SHalfedge_around_facet_circulator
     SHalfedge_around_facet_circulator;
   typedef typename Decorator_traits::SHalfedge_handle SHalfedge_handle;
-  
+
   typedef typename SNC_decorator::Kernel Kernel;
   typedef typename Kernel::Point_3 Point_3;
   typedef typename Kernel::Segment_3 Segment_3;
   typedef typename Kernel::Plane_3 Plane_3;
   typedef typename Kernel::Triangle_3 Triangle_3;
-  typedef typename Kernel::Vector_3 Vector_3;  
+  typedef typename Kernel::Vector_3 Vector_3;
   typedef typename Kernel::RT  RT;
 
   typedef ComparePoints<Kernel, int> ComparePoints_;
-  
+
 #ifdef CGAL_NEF_EXPLOIT_REFERENCE_COUNTING
   Side_of_plane(bool rc = false) : reference_counted(rc) {}
-#else    
+#else
     Side_of_plane() {}
 #endif
 
@@ -167,7 +167,7 @@ public:
 template <class SNC_decorator>
 class Objects_bbox {
 public:
-  typedef typename SNC_decorator::SNC_structure SNC_structure;	
+  typedef typename SNC_decorator::SNC_structure SNC_structure;
   typedef typename SNC_decorator::Decorator_traits Decorator_traits;
 
   typedef typename Decorator_traits::Vertex_handle Vertex_handle;
@@ -180,7 +180,7 @@ public:
 
   typedef typename Decorator_traits::Halffacet_cycle_iterator
     Halffacet_cycle_iterator;
-  typedef typename Decorator_traits::SHalfedge_around_facet_circulator 
+  typedef typename Decorator_traits::SHalfedge_around_facet_circulator
     SHalfedge_around_facet_circulator;
   typedef typename Decorator_traits::SHalfedge_handle SHalfedge_handle;
 
@@ -193,12 +193,12 @@ public:
   typedef typename Kernel::RT RT;
   typedef typename Kernel::FT FT;
   typedef typename Kernel::Kernel_tag Kernel_tag;
-  typedef CGAL::Bounding_box_3<Tag_true, Kernel> 
+  typedef CGAL::Bounding_box_3<Tag_true, Kernel>
     Bounding_box_3;
   //  typedef CGAL::Bounding_box_3
-  //    <typename Is_extended_kernel<Kernel>::value_type, Kernel> 
+  //    <typename Is_extended_kernel<Kernel>::value_type, Kernel>
   //    Bounding_box_3;
-  
+
   Bounding_box_3 operator()( const Object_list& O) const {
     Bounding_box_3 b;
     typename Object_list::const_iterator o = O.begin();
@@ -211,9 +211,9 @@ public:
       q[2] = v->point().z();
       Bounding_box_3 b(q);
       for(++o; o != O.end(); ++o) {
-	if( CGAL::assign( v, *o)) {
-	  b.extend(v->point());
-	}
+        if( CGAL::assign( v, *o)) {
+          b.extend(v->point());
+        }
       }
       return b;
     }
@@ -236,14 +236,14 @@ public:
     else {
       Halffacet_triangle_handle t;
       if( CGAL::assign( t, o))
-	return operator()(t);
+        return operator()(t);
       else
-	CGAL_error_msg( "wrong handle");
+        CGAL_error_msg( "wrong handle");
     }
     return Bounding_box_3(); // never reached
   }
 
-  Bounding_box_3 operator()(Vertex_handle v) const {    
+  Bounding_box_3 operator()(Vertex_handle v) const {
     Bounding_box_3 b;
     b.extend(v->point());
     return b;
@@ -265,8 +265,8 @@ public:
   }
 
   Bounding_box_3 operator()(Halffacet_handle f) const {
-    CGAL_assertion( f->facet_cycles_begin() != 
-		    Halffacet_cycle_iterator());
+    CGAL_assertion( f->facet_cycles_begin() !=
+                    Halffacet_cycle_iterator());
     Halffacet_cycle_iterator fc(f->facet_cycles_begin());
     SHalfedge_handle e;
     CGAL_assertion(fc.is_shalfedge());
@@ -295,7 +295,7 @@ public:
   typedef typename Decorator_traits::Halfedge_handle Halfedge_handle;
   typedef typename Decorator_traits::Halffacet_handle Halffacet_handle;
 #ifdef CGAL_NEF3_TRIANGULATE_FACETS
-  typedef typename SNC_structure::Halffacet_triangle_handle 
+  typedef typename SNC_structure::Halffacet_triangle_handle
                                   Halffacet_triangle_handle;
 #endif
 #ifdef CGAL_NEF3_FACET_WITH_BOX
@@ -316,9 +316,9 @@ public:
   typedef typename Kernel::RT RT;
   typedef typename Kernel::Kernel_tag Kernel_tag;
   //  typedef CGAL::Bounding_box_3
-  //    <typename Is_extended_kernel<Kernel>::value_type, Kernel> 
+  //    <typename Is_extended_kernel<Kernel>::value_type, Kernel>
   //    Bounding_box_3;
-  typedef CGAL::Bounding_box_3<Tag_true, Kernel> 
+  typedef CGAL::Bounding_box_3<Tag_true, Kernel>
     Bounding_box_3;
 
   typedef typename Kernel::Intersect_3 Intersect;
@@ -336,7 +336,7 @@ public:
 
 template <class SNC_decorator>
 template <typename Depth>
-Oriented_side 
+Oriented_side
 Side_of_plane<SNC_decorator>::operator()
   (const Point_3& pop, Object_handle o, Depth depth) {
   Vertex_handle v;
@@ -364,13 +364,13 @@ Side_of_plane<SNC_decorator>::operator()
 #endif
   else
     CGAL_error_msg( "wrong handle");
-  
+
   return Oriented_side(); // never reached
 }
 
 template <class SNC_decorator>
 template <typename Depth>
-Oriented_side 
+Oriented_side
 Side_of_plane<SNC_decorator>::operator()
 ( const Point_3& pop, Vertex_handle v, Depth depth) {
   Comparison_result cr;
@@ -378,7 +378,7 @@ Side_of_plane<SNC_decorator>::operator()
   if(reference_counted) {
     if(!OnSideMapRC.is_defined(&(v->point().hw())))
       switch(depth%3) {
-      case 0: 
+      case 0:
         cr = CGAL::compare_x(v->point(), pop);
         OnSideMapRC[&(v->point().hw())] = cr == LARGER ? ON_POSITIVE_SIDE :
                          cr == SMALLER ? ON_NEGATIVE_SIDE : ON_ORIENTED_BOUNDARY;
@@ -402,7 +402,7 @@ Side_of_plane<SNC_decorator>::operator()
     if(!OnSideMap.is_defined(v)) {
       cr = compare(v->point(), pop);
       OnSideMap[v] = cr == LARGER ? ON_POSITIVE_SIDE :
-	cr == SMALLER ? ON_NEGATIVE_SIDE : ON_ORIENTED_BOUNDARY;
+        cr == SMALLER ? ON_NEGATIVE_SIDE : ON_ORIENTED_BOUNDARY;
     }
     return OnSideMap[v];
 #ifdef CGAL_NEF_EXPLOIT_REFERENCE_COUNTING
@@ -410,7 +410,7 @@ Side_of_plane<SNC_decorator>::operator()
 #endif
 }
 
-/* 
+/*
    An edge is considered intersecting a plane if its endpoints lie on the
    plane or if they lie on diferent sides.  Partial tangency is not considered
    as intersection, due the fact that a lower dimensional face (the vertex)
@@ -419,7 +419,7 @@ Side_of_plane<SNC_decorator>::operator()
 
 template <class SNC_decorator>
 template <typename Depth>
-Oriented_side 
+Oriented_side
 Side_of_plane<SNC_decorator>::operator()
 ( const Point_3& pop, Halfedge_handle e, Depth depth) {
   Vertex_handle v = e->source();
@@ -428,7 +428,7 @@ Side_of_plane<SNC_decorator>::operator()
   Comparison_result cr;
   if(!OnSideMap.is_defined(v))
     switch(depth%3) {
-    case 0: 
+    case 0:
       cr = CGAL::compare_x(v->point(), pop);
       OnSideMap[v] = cr == LARGER ? ON_POSITIVE_SIDE :
                        cr == SMALLER ? ON_NEGATIVE_SIDE : ON_ORIENTED_BOUNDARY;
@@ -447,7 +447,7 @@ Side_of_plane<SNC_decorator>::operator()
     }
   if(!OnSideMap.is_defined(vt))
     switch(depth%3) {
-    case 0: 
+    case 0:
       cr = CGAL::compare_x(vt->point(), pop);
       OnSideMap[vt] = cr == LARGER ? ON_POSITIVE_SIDE :
                        cr == SMALLER ? ON_NEGATIVE_SIDE : ON_ORIENTED_BOUNDARY;
@@ -491,11 +491,11 @@ Side_of_plane<SNC_decorator>::operator()
     Comparison_result cr;
     if(
 #ifdef CGAL_NEF_EXPLOIT_REFERENCE_COUNTING
-       !reference_counted || 
+       !reference_counted ||
 #endif
        !OnSideMapRC.is_defined(&(tr[i].hw()))) {
       switch(depth%3) {
-      case 0: 
+      case 0:
         cr = CGAL::compare_x(tr[i], pop);
         side = cr == LARGER ? ON_POSITIVE_SIDE :
                  cr == SMALLER ? ON_NEGATIVE_SIDE : ON_ORIENTED_BOUNDARY;
@@ -513,7 +513,7 @@ Side_of_plane<SNC_decorator>::operator()
       default: CGAL_error_msg( "wrong value");
       }
 #ifdef CGAL_NEF_EXPLOIT_REFERENCE_COUNTING
-      if(reference_counted) 
+      if(reference_counted)
         OnSideMapRC[&(tr[i].hw())] = side;
     } else if(reference_counted)
       side = OnSideMapRC[&(tr[i].hw())];
@@ -536,13 +536,13 @@ Side_of_plane<SNC_decorator>::operator()
 }
 #endif
 
-/* 
+/*
    As for the edges, if a facet is tanget to the plane it is not considered as
    a interesection since lower dimensional faces, like the edges and vertices
-   where the tangency occurrs, should be reported as the objects intersecting 
+   where the tangency occurrs, should be reported as the objects intersecting
    the plane.
    So, an intersection is reported if all vertices of the facet lie on plane,
-   for which it is only necessary to check three vertices, or if the facet 
+   for which it is only necessary to check three vertices, or if the facet
    has vertices on both sides of the plane, so the intersection is known
    as far as two vertices located on different sides of the plane.
 */
@@ -554,14 +554,14 @@ Oriented_side
 Side_of_plane<SNC_decorator>::operator()
   (const Point_3& pop, Partial_facet& pf, Depth depth) {
   CGAL_error_msg( "not implemented yet");
-  
+
   return ON_ORIENTED_BOUNDARY;
 }
 #endif
 
 template <class SNC_decorator>
 template <typename Depth>
-Oriented_side 
+Oriented_side
 Side_of_plane<SNC_decorator>::operator()
   (const Point_3& pop, Halffacet_handle f, Depth depth) {
     CGAL_assertion( std::distance( f->facet_cycles_begin(), f->facet_cycles_end()) > 0);
@@ -570,26 +570,26 @@ Side_of_plane<SNC_decorator>::operator()
     switch(depth%3) {
     case 0:
       if(f->b.min_coord(0) > pop.x())
-	return ON_POSITIVE_SIDE;
+        return ON_POSITIVE_SIDE;
       if(f->b.max_coord(0) < pop.x())
-	return ON_NEGATIVE_SIDE;
+        return ON_NEGATIVE_SIDE;
       break;
     case 1:
       if(f->b.min_coord(1) > pop.y())
-	return ON_POSITIVE_SIDE;
+        return ON_POSITIVE_SIDE;
       if(f->b.max_coord(1) < pop.y())
-	return ON_NEGATIVE_SIDE;
+        return ON_NEGATIVE_SIDE;
       break;
     case 2:
       if(f->b.min_coord(2) > pop.z())
-	return ON_POSITIVE_SIDE;
+        return ON_POSITIVE_SIDE;
       if(f->b.max_coord(2) < pop.z())
-	return ON_NEGATIVE_SIDE;
+        return ON_NEGATIVE_SIDE;
       break;
     default: CGAL_error_msg( "wrong value");
-    }    
+    }
     return ON_ORIENTED_BOUNDARY;
-#else  
+#else
     */
   Halffacet_cycle_iterator fc(f->facet_cycles_begin());
   SHalfedge_handle e;
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_list.h 5.0.3-1/include/CGAL/Nef_3/SNC_list.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_list.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_list.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_list.h $
-// $Id: SNC_list.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_list.h $
+// $Id: SNC_list.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 
@@ -23,7 +23,7 @@ namespace CGAL {
 
 template < class Sphere_map>
 class SNC_in_place_list_sm
-    : public Sphere_map, 
+    : public Sphere_map,
       public In_place_list_base<SNC_in_place_list_sm<Sphere_map> > {
 public:
     typedef SNC_in_place_list_sm<Sphere_map> Self;
@@ -43,7 +43,7 @@ public:
 
 template < class Halffacet>
 class SNC_in_place_list_halffacet
-    : public Halffacet, 
+    : public Halffacet,
       public In_place_list_base<SNC_in_place_list_halffacet<Halffacet> > {
 public:
     typedef SNC_in_place_list_halffacet<Halffacet> Self;
@@ -63,7 +63,7 @@ public:
 
 template < class Volume>
 class SNC_in_place_list_volume
-    : public Volume, 
+    : public Volume,
       public In_place_list_base<SNC_in_place_list_volume<Volume> > {
 public:
     typedef SNC_in_place_list_volume<Volume> Self;
@@ -83,7 +83,7 @@ public:
 
 template < class SHalfloop>
 class SNC_in_place_list_shalfloop
-    : public SHalfloop, 
+    : public SHalfloop,
       public In_place_list_base<SNC_in_place_list_shalfloop<SHalfloop> > {
 public:
     typedef SNC_in_place_list_shalfloop<SHalfloop> Self;
@@ -119,7 +119,7 @@ class SNC_list : public SM_list<CGAL::Sp
 
   typedef typename Base::Mark                   Mark;
   typedef typename Base::Size_type              Size_type;
-  
+
   typedef typename Kernel::Point_3                 Point_3;
   typedef typename Kernel::Plane_3                 Plane_3;
   typedef typename Kernel::Vector_3                Vector_3;
@@ -136,7 +136,7 @@ class SNC_list : public SM_list<CGAL::Sp
   typedef typename Sphere_kernel::Sphere_direction Sphere_direction;
 
   typedef Sphere_map                                        Vertex_base;
-  typedef SNC_in_place_list_sm<Vertex_base>                 Vertex; 
+  typedef SNC_in_place_list_sm<Vertex_base>                 Vertex;
   typedef CGAL::In_place_list<Vertex,false>                 Vertex_list;
   typedef CGAL_ALLOCATOR(Vertex)                            Vertex_alloc;
   typedef typename Vertex_list::iterator                    Vertex_handle;
@@ -247,102 +247,102 @@ class SNC_list : public SM_list<CGAL::Sp
   typedef typename Base::SHalfedge_around_sface_const_circulator
                          SHalfedge_around_sface_const_circulator;
 
-  typedef typename Base::SFace_cycle_iterator      
+  typedef typename Base::SFace_cycle_iterator
                          SFace_cycle_iterator;
-  typedef typename Base::SFace_cycle_const_iterator      
+  typedef typename Base::SFace_cycle_const_iterator
                          SFace_cycle_const_iterator;
 
-  typedef CircFromIt<SHalfedge_const_iterator, 
-          move_shalfedge_around_facet<SHalfedge_const_iterator> > 
+  typedef CircFromIt<SHalfedge_const_iterator,
+          move_shalfedge_around_facet<SHalfedge_const_iterator> >
           SHalfedge_around_facet_const_circulator;
 
-  typedef CircFromIt<SHalfedge_iterator, 
-          move_shalfedge_around_facet<SHalfedge_iterator> > 
+  typedef CircFromIt<SHalfedge_iterator,
+          move_shalfedge_around_facet<SHalfedge_iterator> >
           SHalfedge_around_facet_circulator;
 
-  class Halffacet_cycle_iterator : public Object_iterator 
+  class Halffacet_cycle_iterator : public Object_iterator
   { typedef Object_iterator Ibase;
   public:
     Halffacet_cycle_iterator() : Ibase() {}
     Halffacet_cycle_iterator(const Ibase& b) : Ibase(b) {}
-    Halffacet_cycle_iterator(const Halffacet_cycle_iterator& i) 
-      : Ibase(i) {}  
+    Halffacet_cycle_iterator(const Halffacet_cycle_iterator& i)
+      : Ibase(i) {}
     bool is_shalfedge() const
     { SHalfedge_handle e; return CGAL::assign(e,Ibase::operator*()); }
     bool is_shalfloop() const
     { SHalfloop_handle l; return CGAL::assign(l,Ibase::operator*()); }
- 
-   operator SHalfedge_handle() const 
+
+   operator SHalfedge_handle() const
     { SHalfedge_handle e; CGAL::assign(e,Ibase::operator*()); return e; }
-    operator SHalfloop_handle() const 
+    operator SHalfloop_handle() const
     { SHalfloop_handle l; CGAL::assign(l,Ibase::operator*()); return l; }
 
     operator Object_handle() const { return Ibase::operator*(); }
     Object_handle& operator*() const { return Ibase::operator*(); }
-    Object_handle  operator->() const 
+    Object_handle  operator->() const
     { CGAL_error_msg("not impl."); }
   };
 
-  class Halffacet_cycle_const_iterator : public Object_const_iterator 
+  class Halffacet_cycle_const_iterator : public Object_const_iterator
   { typedef Object_const_iterator Ibase;
   public:
     Halffacet_cycle_const_iterator() : Ibase() {}
     Halffacet_cycle_const_iterator(const Ibase& b) : Ibase(b) {}
-    Halffacet_cycle_const_iterator(const Halffacet_cycle_const_iterator& i) 
-      : Ibase(i) {}  
+    Halffacet_cycle_const_iterator(const Halffacet_cycle_const_iterator& i)
+      : Ibase(i) {}
     bool is_shalfedge() const
     { SHalfedge_handle e; return CGAL::assign(e,Ibase::operator*()); }
     bool is_shalfloop() const
     { SHalfloop_handle l; return CGAL::assign(l,Ibase::operator*()); }
- 
-   operator SHalfedge_const_handle() const 
-    { SHalfedge_handle e; CGAL::assign(e,Ibase::operator*()); 
+
+   operator SHalfedge_const_handle() const
+    { SHalfedge_handle e; CGAL::assign(e,Ibase::operator*());
       return SHalfedge_const_handle(e); }
-    operator SHalfloop_const_handle() const 
-    { SHalfloop_handle l; CGAL::assign(l,Ibase::operator*()); 
+    operator SHalfloop_const_handle() const
+    { SHalfloop_handle l; CGAL::assign(l,Ibase::operator*());
       return SHalfloop_const_handle(l); }
 
     operator Object_handle() const { return Ibase::operator*(); }
     Object_handle& operator*() const { return Ibase::operator*(); }
-    Object_handle  operator->() const 
+    Object_handle  operator->() const
     { CGAL_error_msg("not impl."); }
   };
 
-  class Shell_entry_iterator : public Object_iterator 
-  { typedef Object_iterator Ibase; 
+  class Shell_entry_iterator : public Object_iterator
+  { typedef Object_iterator Ibase;
   public:
     Shell_entry_iterator() : Ibase() {}
     Shell_entry_iterator(const Ibase& b) : Ibase(b) {}
-    Shell_entry_iterator(const Shell_entry_iterator& i) : Ibase(i) {}  
+    Shell_entry_iterator(const Shell_entry_iterator& i) : Ibase(i) {}
 
-    operator SFace_handle() const 
-    { SFace_handle f; 
+    operator SFace_handle() const
+    { SFace_handle f;
       CGAL_assertion( CGAL::assign(f,Ibase::operator*()) );
       CGAL::assign(f,Ibase::operator*()); return f; }
 
     operator Object_handle() const { return Ibase::operator*(); }
     Object_handle& operator*() const { return Ibase::operator*(); }
-    Object_handle  operator->() const 
+    Object_handle  operator->() const
     { CGAL_nef_assertion_msg(0,"not impl."); }
   };
 
-  class Shell_entry_const_iterator : public Object_const_iterator 
-  { typedef Object_const_iterator Ibase; 
+  class Shell_entry_const_iterator : public Object_const_iterator
+  { typedef Object_const_iterator Ibase;
   public:
     Shell_entry_const_iterator() : Ibase() {}
     Shell_entry_const_iterator(const Ibase& b) : Ibase(b) {}
     Shell_entry_const_iterator(const Shell_entry_const_iterator& i) :
-      Ibase(i) {}  
+      Ibase(i) {}
 
-    operator SFace_const_handle() const 
-    { SFace_handle f; 
+    operator SFace_const_handle() const
+    { SFace_handle f;
       CGAL_assertion( CGAL::assign(f,Ibase::operator*()) );
-      CGAL::assign(f,Ibase::operator*()); 
+      CGAL::assign(f,Ibase::operator*());
       return SFace_const_handle(f); }
 
     operator Object_handle() const { return Ibase::operator*(); }
     Object_handle& operator*() const { return Ibase::operator*(); }
-    Object_handle  operator->() const 
+    Object_handle  operator->() const
     { CGAL_nef_assertion_msg(0,"not impl."); }
   };
 
@@ -381,18 +381,18 @@ class SNC_list : public SM_list<CGAL::Sp
   }
 
  public:
-  SNC_list() : 
+  SNC_list() :
     boundary_item_(undef_),
     vertices_(), halffacets_(), volumes_() {}
 
   ~SNC_list() { clear(); }
 
-  SNC_list(const Self& D) : 
+  SNC_list(const Self& D) :
     boundary_item_(undef_),
-    vertices_(D.vertices_), 
+    vertices_(D.vertices_),
     halffacets_(D.halffacets_),
-    volumes_(D.volumes_) { 
-    pointer_update(D); 
+    volumes_(D.volumes_) {
+    pointer_update(D);
   }
 
   Self& operator=(const Self& D) {
@@ -407,7 +407,7 @@ class SNC_list : public SM_list<CGAL::Sp
     return *this;
   }
 
-  void clear() { 
+  void clear() {
     Base::clear();
     boundary_item_.clear();
     vertices_.destroy();
@@ -441,7 +441,7 @@ class SNC_list : public SM_list<CGAL::Sp
   Size_type number_of_volumes() const    { return volumes_.size();}
 
   template <typename H>
-  bool is_boundary_object(H h) 
+  bool is_boundary_object(H h)
   { return boundary_item_[h]!=undef_; }
 
   template <typename H>
@@ -461,20 +461,20 @@ class SNC_list : public SM_list<CGAL::Sp
   { SVertex_handle sv;
     SHalfedge_handle se;
     SHalfloop_handle sl;
-    if ( CGAL::assign(se,*it) ) { 
-      if( is_boundary_object(se)) 
-	undef_boundary_item(se); 
-      return; 
+    if ( CGAL::assign(se,*it) ) {
+      if( is_boundary_object(se))
+        undef_boundary_item(se);
+      return;
     }
-    if ( CGAL::assign(sl,*it) ) { 
-      if( is_boundary_object(sl)) 
-	undef_boundary_item(sl);
-      return; 
+    if ( CGAL::assign(sl,*it) ) {
+      if( is_boundary_object(sl))
+        undef_boundary_item(sl);
+      return;
     }
-    if ( CGAL::assign(sv,*it) ) { 
-      if( is_boundary_object(sv)) 
-	undef_boundary_item(sv); 
-      return; 
+    if ( CGAL::assign(sv,*it) ) {
+      if( is_boundary_object(sv))
+        undef_boundary_item(sv);
+      return;
     }
   }
 
@@ -484,7 +484,7 @@ class SNC_list : public SM_list<CGAL::Sp
     L.clear();
   }
 
-  Vertex_handle new_vertex(const Point_3& p = Point_3(), Mark m = Mark()) { 
+  Vertex_handle new_vertex(const Point_3& p = Point_3(), Mark m = Mark()) {
     Vertex_handle vh = new_vertex_only();
     vh->point() = p;
     vh->mark() = m;
@@ -497,7 +497,7 @@ class SNC_list : public SM_list<CGAL::Sp
   }
 
   Halfedge_handle new_halfedge_pair(Vertex_handle v1, Vertex_handle v2,
-				    Mark m = Mark()) { 
+                                    Mark m = Mark()) {
     SM_decorator D1(&*v1);
     SM_decorator D2(&*v2);
     SVertex_handle e1 = D1.new_vertex();
@@ -507,8 +507,8 @@ class SNC_list : public SM_list<CGAL::Sp
     return e1;
   }
 
-  Halffacet_handle new_halffacet_pair(const Plane_3& h = Plane_3(), 
-				      Mark m = Mark()) {
+  Halffacet_handle new_halffacet_pair(const Plane_3& h = Plane_3(),
+                                      Mark m = Mark()) {
     Halffacet_handle f1 = new_halffacet_only();
     Halffacet_handle f2 = new_halffacet_only();
     f1->supporting_plane_ = h; f2->supporting_plane_ = h.opposite();
@@ -525,14 +525,14 @@ class SNC_list : public SM_list<CGAL::Sp
 
   void delete_vertex(Vertex_handle v)
     CGAL_NEF_TRACEN("~ deleting vertex "<<&*v<<" from "<<&*this);
-    v->clear(true); 
+    v->clear(true);
     delete_vertex_only(v);
     CGAL_NEF_TRACEN("~~ vertex deleted"<<&*v);
   }
 
   void delete_halfedge_pair(Halfedge_handle e)
     CGAL_NEF_TRACEN("~ deleting halfedges pair "<<&*e<<", "<<&*(e->twin())<<
-	   " from "<<&*this);
+           " from "<<&*this);
     Halfedge_handle et = e->twin();
     SM_decorator D1(&*e->center_vertex()), D2(&*et->center_vertex());
     D1.delete_vertex(e);
@@ -541,7 +541,7 @@ class SNC_list : public SM_list<CGAL::Sp
 
   void delete_halffacet_pair(Halffacet_handle f)
     CGAL_NEF_TRACEN("~ deleting halffacets pair "<<&*f<<", "<<&*(f->twin())<<
-	   " from "<<&*this);
+           " from "<<&*this);
     reset_object_list(f->boundary_entry_objects());
     reset_object_list(f->twin()->boundary_entry_objects());
     delete_halffacet_only(f->twin());
@@ -554,30 +554,30 @@ class SNC_list : public SM_list<CGAL::Sp
     delete_volume_only(c);
   }
 
-  Vertex_handle new_vertex_only() { 
+  Vertex_handle new_vertex_only() {
     vertices_.push_back(* get_vertex_node(Vertex()));
     CGAL_NEF_TRACEN("  new vertex only "<<&*(--vertices_end()));
-    return --vertices_end(); 
+    return --vertices_end();
   }
-  Halfedge_handle new_halfedge_only(Halfedge_handle e)  { 
+  Halfedge_handle new_halfedge_only(Halfedge_handle e)  {
     Halfedge_handle ne = halfedges_.insert(e, * get_halfedge_node(Halfedge()));
     CGAL_NEF_TRACEN("  after "<<&*e<<" new halfedge only "<<&*ne);
     return ne;
   }
-  Halfedge_handle new_halfedge_only()  { 
+  Halfedge_handle new_halfedge_only()  {
     CGAL_NEF_TRACEN("  new halfedge only "<<&*(--halfedges_end()));
     halfedges_.push_back( * get_halfedge_node(Halfedge()));
     return --halfedges_end();
   }
-  Halffacet_handle new_halffacet_only()  { 
+  Halffacet_handle new_halffacet_only()  {
     halffacets_.push_back( * get_halffacet_node(Halffacet()));
     CGAL_NEF_TRACEN("  new halffacet only "<<&*(--halffacets_end()));
-    return --halffacets_end(); 
-  } 
-  Volume_handle new_volume_only()  { 
+    return --halffacets_end();
+  }
+  Volume_handle new_volume_only()  {
     volumes_.push_back( * get_volume_node(Volume()));
     CGAL_NEF_TRACEN("  new volume only "<<&*(--volumes_end()));
-    return --volumes_end(); 
+    return --volumes_end();
   }
   SHalfedge_handle new_shalfedge_only()  {
     shalfedges_.push_back( * get_shalfedge_node(SHalfedge()));
@@ -587,12 +587,12 @@ class SNC_list : public SM_list<CGAL::Sp
   SHalfloop_handle new_shalfloop_only()  {
     shalfloops_.push_back( * get_shalfloop_node(SHalfloop()));
     CGAL_NEF_TRACEN("  new shalfloop only "<<&*(--shalfloops_end()));
-    return --shalfloops_end(); 
+    return --shalfloops_end();
   }
   SFace_handle new_sface_only() {
     sfaces_.push_back( * get_sface_node(SFace()));
     CGAL_NEF_TRACEN("  new sface only "<<&*(--sfaces_end()));
-    return --sfaces_end(); 
+    return --sfaces_end();
   }
 
   void delete_vertex_only(Vertex_handle h) {
@@ -600,35 +600,35 @@ class SNC_list : public SM_list<CGAL::Sp
     vertices_.erase(h);
     put_vertex_node(&*h);
   }
-  void delete_halfedge_only(Halfedge_handle h) { 
+  void delete_halfedge_only(Halfedge_handle h) {
     CGAL_NEF_TRACEN("~ deleting halfedge only "<<&*h<<" from "<<&*this);
     CGAL_assertion(!is_sm_boundary_object(h));
     halfedges_.erase(h);
     put_halfedge_node(&*h);
   }
-  void delete_halffacet_only(Halffacet_handle h) { 
+  void delete_halffacet_only(Halffacet_handle h) {
     CGAL_NEF_TRACEN("~ deleting halffacet only "<<&*h<<" from "<<&*this);
-    halffacets_.erase(h);         
+    halffacets_.erase(h);
     put_halffacet_node(&*h);
   }
   void delete_volume_only(Volume_handle h) {
     CGAL_NEF_TRACEN("~ deleting volume only "<<&*h<<" from "<<&*this);
-    volumes_.erase(h); 
+    volumes_.erase(h);
     put_volume_node(&*h);
   }
-  void delete_shalfedge_only(SHalfedge_handle h)  { 
+  void delete_shalfedge_only(SHalfedge_handle h)  {
     CGAL_NEF_TRACEN("~ deleting shalfedge only "<<&*h<<" from "<<&*this);
     CGAL_assertion(!is_sm_boundary_object(h));
     shalfedges_.erase(h);
     put_shalfedge_node(&*h);
   }
-  void delete_shalfloop_only(SHalfloop_handle h)  { 
+  void delete_shalfloop_only(SHalfloop_handle h)  {
     CGAL_NEF_TRACEN("~ deleting shalfloop only "<<&*h<<" from "<<&*this);
     CGAL_assertion(!is_sm_boundary_object(h));
-    shalfloops_.erase(h); 
+    shalfloops_.erase(h);
     put_shalfloop_node(&*h);
   }
-  void delete_sface_only(SFace_handle h)  { 
+  void delete_sface_only(SFace_handle h)  {
     CGAL_NEF_TRACEN("~ deleting sface only "<<&*h<<" from "<<&*this);
     CGAL_assertion(!is_boundary_object(h));
     sfaces_.erase(h);
@@ -708,11 +708,11 @@ pointer_update(const SNC_list<Kernel,Ite
     f->twin() = FM[f->twin()];
     f->volume_ = CM[f->volume_];
     Halffacet_cycle_iterator ftc;
-    for(ftc = f->boundary_entry_objects().begin(); 
+    for(ftc = f->boundary_entry_objects().begin();
         ftc !=  f->boundary_entry_objects().end(); ++ftc) {
-      if ( assign( se, ftc) ) 
+      if ( assign( se, ftc) )
       { *ftc = Object_handle(SEM[se]); store_boundary_item(se,ftc); }
-      else if ( assign( sl, ftc) ) 
+      else if ( assign( sl, ftc) )
       { *ftc = Object_handle(SLM[sl]); store_boundary_item(sl,ftc); }
       else CGAL_error_msg("damn wrong boundary item in facet.");
     }
@@ -723,8 +723,8 @@ pointer_update(const SNC_list<Kernel,Ite
     Shell_entry_iterator sei;
     CGAL_forall_shells_of(sei,c) {
       sf = sei; // conversion from generic iterator to sface const handle
-      *sei = Object_handle(SFM[sf]); 
-      store_boundary_item(sf,sei); 
+      *sei = Object_handle(SFM[sf]);
+      store_boundary_item(sf,sei);
     }
   }
 
@@ -743,9 +743,9 @@ pointer_update(const SNC_list<Kernel,Ite
     sl->incident_facet() = FM[sl->incident_facet()];
   }
   for ( slc = D.shalfloops_begin(), sl = shalfloops_begin();
-	slc != D.shalfloops_end(); ++slc, ++sl) {
+        slc != D.shalfloops_end(); ++slc, ++sl) {
     CGAL_assertion_code( if( slc->is_twin() == sl->is_twin())
-			 CGAL_assertion( slc->mark() == sl->mark()));
+                         CGAL_assertion( slc->mark() == sl->mark()));
     if( !sl->is_twin() && slc->is_twin()) sl->mark() = sl->twin()->mark();
   }
 
@@ -753,14 +753,14 @@ pointer_update(const SNC_list<Kernel,Ite
     sf->center_vertex() = VM[sf->center_vertex()];
     sf->incident_volume() = CM[sf->incident_volume()];
     SFace_cycle_iterator sfc;
-    for(sfc = sf->sface_cycles_begin(); 
+    for(sfc = sf->sface_cycles_begin();
         sfc != sf->sface_cycles_end(); ++sfc) {
       SVertex_handle sv;
-      if ( assign(sv,sfc) ) 
+      if ( assign(sv,sfc) )
       { *sfc = Object_handle(EM[sv]); store_sm_boundary_item(sv,sfc); }
-      else if ( assign(se,sfc) ) 
+      else if ( assign(se,sfc) )
       { *sfc = Object_handle(SEM[se]); store_sm_boundary_item(se,sfc); }
-      else if ( assign(sl,sfc) ) 
+      else if ( assign(sl,sfc) )
       { *sfc = Object_handle(SLM[sl]); store_sm_boundary_item(sl,sfc); }
       else CGAL_error_msg("damn wrong boundary item in sface.");
     }
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_point_locator.h 5.0.3-1/include/CGAL/Nef_3/SNC_point_locator.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_point_locator.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_point_locator.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_point_locator.h $
-// $Id: SNC_point_locator.h 2c5826d 2020-01-17T16:29:49+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_point_locator.h $
+// $Id: SNC_point_locator.h 213221e 2020-07-24T14:02:40+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Miguel Granados <granados@mpi-sb.mpg.de>
 
@@ -63,16 +63,16 @@ class SNC_point_locator
 protected:
   std::string version_;
   // time for construction, point location, ray shooting and intersection test
-  mutable Timer ct_t, pl_t, rs_t, it_t; 
+  mutable Timer ct_t, pl_t, rs_t, it_t;
 
-public: 
+public:
   typedef typename SNC_structure::Object_handle Object_handle;
 
   typedef typename SNC_structure::Point_3 Point_3;
   typedef typename SNC_structure::Segment_3 Segment_3;
   typedef typename SNC_structure::Ray_3 Ray_3;
   typedef typename SNC_structure::Vector_3 Vector_3;
-  typedef typename SNC_structure::Aff_transformation_3 
+  typedef typename SNC_structure::Aff_transformation_3
                                   Aff_transformation_3;
 
   typedef typename Decorator_traits::Vertex_handle Vertex_handle;
@@ -91,7 +91,7 @@ public:
   virtual Object_handle shoot(const Ray_3& s, int mask=255) const = 0;
 
   virtual void intersect_with_edges( Halfedge_handle edge,
-                                     const Intersection_call_back& call_back) 
+                                     const Intersection_call_back& call_back)
     const = 0;
 
   virtual void intersect_with_facets( Halfedge_handle edge,
@@ -99,14 +99,14 @@ public:
     const = 0;
 
   virtual void intersect_with_edges_and_facets( Halfedge_handle edge,
-	const Intersection_call_back& call_back) const = 0;
+        const Intersection_call_back& call_back) const = 0;
 
-  class Intersection_call_back 
+  class Intersection_call_back
   {
   public:
-    virtual void operator()( Halfedge_handle edge, Object_handle object, 
+    virtual void operator()( Halfedge_handle edge, Object_handle object,
                              const Point_3& intersection_point) const = 0;
-    
+
     virtual ~Intersection_call_back() {}
   };
 
@@ -116,8 +116,8 @@ public:
 
   virtual void transform(const Aff_transformation_3& t) = 0;
 
-  //virtual bool update( Unique_hash_map<Vertex_handle, bool>& V, 
-  //                   Unique_hash_map<Halfedge_handle, bool>& E, 
+  //virtual bool update( Unique_hash_map<Vertex_handle, bool>& V,
+  //                   Unique_hash_map<Halfedge_handle, bool>& E,
   //                   Unique_hash_map<Halffacet_handle, bool>& F) = 0;
 
   virtual void add_facet(Halffacet_handle) {}
@@ -134,7 +134,7 @@ public:
     CGAL_NEF_CLOG("intersection_time:  "<<it_t.time());
     // warning: the total time showed here could be actually larger
     // that the real time used by this class, since point location
-    // and intersection test use the ray shooter and so the same time 
+    // and intersection test use the ray shooter and so the same time
     // could be account to more than one timer
     CGAL_NEF_CLOG("pltotal_time:       "<<
       ct_t.time()+pl_t.time()+rs_t.time()+it_t.time());
@@ -142,10 +142,10 @@ public:
 };
 
 template <typename SNC_decorator>
-class SNC_point_locator_by_spatial_subdivision : 
+class SNC_point_locator_by_spatial_subdivision :
   public SNC_point_locator<SNC_decorator>,
   public SNC_decorator
-{ 
+{
   typedef SNC_decorator Base;
   typedef CGAL::SNC_point_locator<SNC_decorator> SNC_point_locator;
   typedef CGAL::SNC_point_locator_by_spatial_subdivision<SNC_decorator> Self;
@@ -161,10 +161,10 @@ public:
 
   typedef typename CGAL::K3_tree<K3_tree_traits> K3_tree;
   typedef K3_tree SNC_candidate_provider;
-  
+
   typedef typename SNC_structure::Object_handle Object_handle;
  #ifdef CGAL_NEF3_TRIANGULATE_FACETS
-  typedef typename Decorator_traits::Halffacet_triangle_handle 
+  typedef typename Decorator_traits::Halffacet_triangle_handle
                                      Halffacet_triangle_handle;
 #endif
 #ifdef CGAL_NEF3_FACET_WITH_BOX
@@ -176,7 +176,7 @@ public:
   typedef typename SNC_structure::Ray_3 Ray_3;
   typedef typename SNC_structure::Vector_3 Vector_3;
   typedef typename SNC_structure::Triangle_3 Triangle_3;
-  typedef typename SNC_structure::Aff_transformation_3 
+  typedef typename SNC_structure::Aff_transformation_3
                                   Aff_transformation_3;
 
   typedef typename SNC_structure::Infi_box Infi_box;
@@ -191,10 +191,10 @@ public:
   typedef typename Decorator_traits::Halffacet_iterator Halffacet_iterator;
   typedef typename Decorator_traits::Volume_handle Volume_handle;
 
-  typedef typename Decorator_traits::Halffacet_cycle_iterator 
+  typedef typename Decorator_traits::Halffacet_cycle_iterator
                                      Halffacet_cycle_iterator;
-  typedef typename Decorator_traits::SHalfedge_around_facet_circulator 
-	                             SHalfedge_around_facet_circulator;
+  typedef typename Decorator_traits::SHalfedge_around_facet_circulator
+                                     SHalfedge_around_facet_circulator;
 
   typedef typename SNC_candidate_provider::Object_list Object_list;
   typedef typename Object_list::iterator Object_list_iterator;
@@ -205,10 +205,10 @@ public:
 
   using Base::get_visible_facet;
 public:
-  SNC_point_locator_by_spatial_subdivision() : 
+  SNC_point_locator_by_spatial_subdivision() :
     initialized(false), candidate_provider(0) {}
 
-#ifdef CGAL_NEF3_TRIANGULATE_FACETS	
+#ifdef CGAL_NEF3_TRIANGULATE_FACETS
   template<typename Kernel>
   class Triangulation_handler {
 
@@ -232,13 +232,13 @@ public:
 
       Halffacet_cycle_iterator fci;
       for(fci=f->facet_cycles_begin(); fci!=f->facet_cycles_end(); ++fci) {
-	if(fci.is_shalfedge()) {
+        if(fci.is_shalfedge()) {
           SHalfedge_around_facet_circulator sfc(fci), send(sfc);
-	  CGAL_For_all(sfc,send) {
+          CGAL_For_all(sfc,send) {
             CGAL_NEF_TRACEN("  insert constraint" << sfc->source()->source()->point()
-	                     << "->" << sfc->source()->twin()->source()->point());
-	    ct.insert_constraint(sfc->source()->source()->point(),
-	                         sfc->source()->twin()->source()->point());
+                             << "->" << sfc->source()->twin()->source()->point());
+            ct.insert_constraint(sfc->source()->source()->point(),
+                                 sfc->source()->twin()->source()->point());
           }
         }
       }
@@ -262,9 +262,9 @@ public:
 
       /*
       for(fi = ct.finite_faces_begin(); fi != ct.finite_faces_end(); ++fi)
-        CGAL_NEF_TRACEN("  finite face " 
-	  << Triangle_3(fi->vertex(0)->point(), fi->vertex(1)->point(), fi->vertex(2)->point())
-	   << "was visited " << visited[fi]);
+        CGAL_NEF_TRACEN("  finite face "
+          << Triangle_3(fi->vertex(0)->point(), fi->vertex(1)->point(), fi->vertex(2)->point())
+           << "was visited " << visited[fi]);
       */
 
       fi = ct.finite_faces_begin();
@@ -273,15 +273,15 @@ public:
     void traverse_triangulation(Face_handle f, int parent) {
       visited[f] = true;
       if(!ct.is_constrained(Edge(f,ct.cw(parent))) && !visited[f->neighbor(ct.cw(parent))]) {
-	Face_handle child(f->neighbor(ct.cw(parent)));
-	traverse_triangulation(child, child->index(f));
-      } 
+        Face_handle child(f->neighbor(ct.cw(parent)));
+        traverse_triangulation(child, child->index(f));
+      }
       if(!ct.is_constrained(Edge(f,ct.ccw(parent))) && !visited[f->neighbor(ct.ccw(parent))]) {
-	Face_handle child(f->neighbor(ct.ccw(parent)));
-	traverse_triangulation(child, child->index(f));
-      } 
-    } 
- 
+        Face_handle child(f->neighbor(ct.ccw(parent)));
+        traverse_triangulation(child, child->index(f));
+      }
+    }
+
     template<typename Triangle_3>
     bool get_next_triangle(Triangle_3& tr) {
       while(fi != ct.finite_faces_end() && visited[fi] == false) ++fi;
@@ -332,41 +332,41 @@ public:
       while(++length < stop && ++safc != send);
       if(length >= stop) {
 
-	CGAL_NEF_TRACEN("triangulate facet " << f->plane());
-      
-	typedef typename CGAL::Projection_traits_xy_3<Kernel>       XY;
-	typedef typename CGAL::Projection_traits_yz_3<Kernel>       YZ;
-	typedef typename CGAL::Projection_traits_xz_3<Kernel>       XZ;
-	
-	Triangle_3 tr;
-	
-	Vector_3 orth = f->plane().orthogonal_vector();
-	int c = CGAL::abs(orth[0]) > CGAL::abs(orth[1]) ? 0 : 1;
-	c = CGAL::abs(orth[2]) > CGAL::abs(orth[c]) ? 2 : c;
-	
-	if(c == 0) {
-	  Triangulation_handler<YZ> th(f);
-	  while(th.get_next_triangle(tr)) {
-	    Halffacet_triangle_handle th( f, tr);
-	    objects.push_back(make_object(th));
-	    CGAL_NEF_TRACEN("add triangle " << tr);
-	  }
-	} else if(c == 1) {
-	  Triangulation_handler<XZ> th(f);
-	  while(th.get_next_triangle(tr)) {
-	    Halffacet_triangle_handle th( f, tr);
-	    objects.push_back(make_object(th));
-	    CGAL_NEF_TRACEN("add triangle " << tr);
-	  }
-	} else if(c == 2) {
-	  Triangulation_handler<XY> th(f);
-	  while(th.get_next_triangle(tr)) {
-	    Halffacet_triangle_handle th( f, tr);
-	    objects.push_back(make_object(th));
-	    CGAL_NEF_TRACEN("add triangle " << tr);
-	  }
-	} else
-	  CGAL_error_msg( "wrong value");
+        CGAL_NEF_TRACEN("triangulate facet " << f->plane());
+
+        typedef typename CGAL::Projection_traits_xy_3<Kernel>       XY;
+        typedef typename CGAL::Projection_traits_yz_3<Kernel>       YZ;
+        typedef typename CGAL::Projection_traits_xz_3<Kernel>       XZ;
+
+        Triangle_3 tr;
+
+        Vector_3 orth = f->plane().orthogonal_vector();
+        int c = CGAL::abs(orth[0]) > CGAL::abs(orth[1]) ? 0 : 1;
+        c = CGAL::abs(orth[2]) > CGAL::abs(orth[c]) ? 2 : c;
+
+        if(c == 0) {
+          Triangulation_handler<YZ> th(f);
+          while(th.get_next_triangle(tr)) {
+            Halffacet_triangle_handle th( f, tr);
+            objects.push_back(make_object(th));
+            CGAL_NEF_TRACEN("add triangle " << tr);
+          }
+        } else if(c == 1) {
+          Triangulation_handler<XZ> th(f);
+          while(th.get_next_triangle(tr)) {
+            Halffacet_triangle_handle th( f, tr);
+            objects.push_back(make_object(th));
+            CGAL_NEF_TRACEN("add triangle " << tr);
+          }
+        } else if(c == 2) {
+          Triangulation_handler<XY> th(f);
+          while(th.get_next_triangle(tr)) {
+            Halffacet_triangle_handle th( f, tr);
+            objects.push_back(make_object(th));
+            CGAL_NEF_TRACEN("add triangle " << tr);
+          }
+        } else
+          CGAL_error_msg( "wrong value");
       } else {
         CGAL_NEF_TRACEN("add facet " << f->plane());
         objects.push_back(make_object(Halffacet_handle(f)));
@@ -382,9 +382,9 @@ public:
       int stop = CGAL_NEF3_PARTITION_MINIMUM;
       while(++length < stop && ++safc != send);
       if(length >= stop) {
-	CGAL_NEF_TRACEN("use Partial facets ");
-	Partial_facet pf(f);
-	objects.push_back(make_object(pf));
+        CGAL_NEF_TRACEN("use Partial facets ");
+        Partial_facet pf(f);
+        objects.push_back(make_object(pf));
       } else {
         objects.push_back(make_object(Halffacet_handle(f)));
       }
@@ -404,16 +404,16 @@ public:
     initialized = true;
   }
 
-  virtual Self* clone() const { 
-    return new Self; 
+  virtual Self* clone() const {
+    return new Self;
   }
 
   virtual void transform(const Aff_transformation_3& t) {
     candidate_provider->transform(t);
   }
 
-  virtual bool update( Unique_hash_map<Vertex_handle, bool>& V, 
-                       Unique_hash_map<Halfedge_handle, bool>& E, 
+  virtual bool update( Unique_hash_map<Vertex_handle, bool>& V,
+                       Unique_hash_map<Halfedge_handle, bool>& E,
                        Unique_hash_map<Halffacet_handle, bool>& F) {
     CGAL_NEF_TIMER(ct_t.start());
     CGAL_assertion( initialized);
@@ -423,8 +423,8 @@ public:
   }
 
   virtual ~SNC_point_locator_by_spatial_subdivision() {
-    CGAL_warning(initialized || 
-		 candidate_provider == 0); // required?
+    CGAL_warning(initialized ||
+                 candidate_provider == 0); // required?
     if(initialized)
       delete candidate_provider;
   }
@@ -448,100 +448,100 @@ public:
     Halffacet_handle f;
 
     Objects_around_box oab;
-    typename Objects_around_box::Iterator 
+    typename Objects_around_box::Iterator
       objects_iterator(oab.begin());
     for( ; objects_iterator != oab.end(); ++objects_iterator) {
       Object_list candidates = *objects_iterator;
       Object_list_iterator o;
       CGAL_for_each( o, candidates) {
-	if(CGAL::assign(v, *o)) {
-	  if(point_in_box(box, v->point()))
-	    return true;
-	} else if(CGAL::assign(e, *o)) {
-	  Point_3 ip;
-	  Point_3 pmin(box.min_coord(0), box.min_coord(1), box.min_coord(2));
-	  Point_3 pmax(box.max_coord(0), box.max_coord(1), box.max_coord(2));
-	  Segment_3 seg(e->source()->point(),
-			e->twin()->source()->point());
-
-	  Plane_3 pl(pmin, Vector_3(1,0,0));
-	  Object o = intersection(pl, seg);
-	  if(CGAL::assign(ip,o) && point_in_box(box, ip))
-	    return true;
-	  pl = Plane_3(pmin, Vector_3(0,1,0));
-	  o = intersection(pl, seg);
-	  if(CGAL::assign(ip,o) && point_in_box(box, ip))
-	    return true;
-	  pl = Plane_3(pmin, Vector_3(0,0,1));
-	  o = intersection(pl, seg);
-	  if(CGAL::assign(ip,o) && point_in_box(box, ip))
-	    return true;
-	  pl = Plane_3(pmax, Vector_3(1,0,0));
-	  o = intersection(pl, seg);
-	  if(CGAL::assign(ip,o) && point_in_box(box, ip))
-	    return true;
-	  pl = Plane_3(pmax, Vector_3(0,1,0));
-	  o = intersection(pl, seg);
-	  if(CGAL::assign(ip,o) && point_in_box(box, ip))
-	    return true;
-	  pl = Plane_3(pmax, Vector_3(0,0,1));
-	  o = intersection(pl, seg);
-	  if(CGAL::assign(ip,o) && point_in_box(box, ip))
-	    return true;
-	} else if(CGAL::assign(f, *o)) {
-	  Segment_3 seg(Point_3(box.min_coord(0), box.min_coord(1), box.min_coord(2)),
-			Point_3(box.min_coord(0), box.min_coord(1), box.max_coord(2)));
-	  if(is.does_intersect_internally(seg, f))
-	    return true;
-	  seg = Segment_3(Point_3(box.max_coord(0), box.min_coord(1), box.min_coord(2)),
-			  Point_3(box.max_coord(0), box.min_coord(1), box.max_coord(2)));
-	  if(is.does_intersect_internally(seg, f))
-	    return true;
-	  seg = Segment_3(Point_3(box.min_coord(0), box.max_coord(1), box.min_coord(2)),
-			  Point_3(box.min_coord(0), box.max_coord(1), box.max_coord(2)));
-	  if(is.does_intersect_internally(seg, f))
-	    return true;
-	  seg = Segment_3(Point_3(box.max_coord(0), box.max_coord(1), box.min_coord(2)),
-			  Point_3(box.max_coord(0), box.max_coord(1), box.max_coord(2)));
-	  if(is.does_intersect_internally(seg, f))
-	    return true;
-
-	  seg = Segment_3(Point_3(box.min_coord(0), box.min_coord(1), box.min_coord(2)),
-			  Point_3(box.min_coord(0), box.max_coord(1), box.min_coord(2)));
-	  if(is.does_intersect_internally(seg, f))
-	    return true;
-	  seg = Segment_3(Point_3(box.max_coord(0), box.min_coord(1), box.min_coord(2)),
-			  Point_3(box.max_coord(0), box.max_coord(1), box.min_coord(2)));
-	  if(is.does_intersect_internally(seg, f))
-	    return true;
-	  seg = Segment_3(Point_3(box.min_coord(0), box.min_coord(1), box.max_coord(2)),
-			  Point_3(box.min_coord(0), box.max_coord(1), box.max_coord(2)));
-	  if(is.does_intersect_internally(seg, f))
-	    return true;
-	  seg = Segment_3(Point_3(box.max_coord(0), box.min_coord(1), box.max_coord(2)),
-			  Point_3(box.max_coord(0), box.max_coord(1), box.max_coord(2)));
-	  if(is.does_intersect_internally(seg, f))
-	    return true;
-
-	  seg = Segment_3(Point_3(box.min_coord(0), box.min_coord(1), box.min_coord(2)),
-			  Point_3(box.max_coord(0), box.min_coord(1), box.min_coord(2)));
-	  if(is.does_intersect_internally(seg, f))
-	    return true;
-	  seg = Segment_3(Point_3(box.min_coord(0), box.max_coord(1), box.min_coord(2)),
-			  Point_3(box.max_coord(0), box.max_coord(1), box.min_coord(2)));
-	  if(is.does_intersect_internally(seg, f))
-	    return true;
-	  seg = Segment_3(Point_3(box.min_coord(0), box.min_coord(1), box.max_coord(2)),
-			  Point_3(box.max_coord(0), box.min_coord(1), box.max_coord(2)));
-	  if(is.does_intersect_internally(seg, f))
-	    return true;
-	  seg = Segment_3(Point_3(box.min_coord(0), box.max_coord(1), box.max_coord(2)),
-			  Point_3(box.max_coord(0), box.max_coord(1), box.max_coord(2)));
-	  if(is.does_intersect_internally(seg, f))
-	    return true;
+        if(CGAL::assign(v, *o)) {
+          if(point_in_box(box, v->point()))
+            return true;
+        } else if(CGAL::assign(e, *o)) {
+          Point_3 ip;
+          Point_3 pmin(box.min_coord(0), box.min_coord(1), box.min_coord(2));
+          Point_3 pmax(box.max_coord(0), box.max_coord(1), box.max_coord(2));
+          Segment_3 seg(e->source()->point(),
+                        e->twin()->source()->point());
+
+          Plane_3 pl(pmin, Vector_3(1,0,0));
+          Object o = intersection(pl, seg);
+          if(CGAL::assign(ip,o) && point_in_box(box, ip))
+            return true;
+          pl = Plane_3(pmin, Vector_3(0,1,0));
+          o = intersection(pl, seg);
+          if(CGAL::assign(ip,o) && point_in_box(box, ip))
+            return true;
+          pl = Plane_3(pmin, Vector_3(0,0,1));
+          o = intersection(pl, seg);
+          if(CGAL::assign(ip,o) && point_in_box(box, ip))
+            return true;
+          pl = Plane_3(pmax, Vector_3(1,0,0));
+          o = intersection(pl, seg);
+          if(CGAL::assign(ip,o) && point_in_box(box, ip))
+            return true;
+          pl = Plane_3(pmax, Vector_3(0,1,0));
+          o = intersection(pl, seg);
+          if(CGAL::assign(ip,o) && point_in_box(box, ip))
+            return true;
+          pl = Plane_3(pmax, Vector_3(0,0,1));
+          o = intersection(pl, seg);
+          if(CGAL::assign(ip,o) && point_in_box(box, ip))
+            return true;
+        } else if(CGAL::assign(f, *o)) {
+          Segment_3 seg(Point_3(box.min_coord(0), box.min_coord(1), box.min_coord(2)),
+                        Point_3(box.min_coord(0), box.min_coord(1), box.max_coord(2)));
+          if(is.does_intersect_internally(seg, f))
+            return true;
+          seg = Segment_3(Point_3(box.max_coord(0), box.min_coord(1), box.min_coord(2)),
+                          Point_3(box.max_coord(0), box.min_coord(1), box.max_coord(2)));
+          if(is.does_intersect_internally(seg, f))
+            return true;
+          seg = Segment_3(Point_3(box.min_coord(0), box.max_coord(1), box.min_coord(2)),
+                          Point_3(box.min_coord(0), box.max_coord(1), box.max_coord(2)));
+          if(is.does_intersect_internally(seg, f))
+            return true;
+          seg = Segment_3(Point_3(box.max_coord(0), box.max_coord(1), box.min_coord(2)),
+                          Point_3(box.max_coord(0), box.max_coord(1), box.max_coord(2)));
+          if(is.does_intersect_internally(seg, f))
+            return true;
+
+          seg = Segment_3(Point_3(box.min_coord(0), box.min_coord(1), box.min_coord(2)),
+                          Point_3(box.min_coord(0), box.max_coord(1), box.min_coord(2)));
+          if(is.does_intersect_internally(seg, f))
+            return true;
+          seg = Segment_3(Point_3(box.max_coord(0), box.min_coord(1), box.min_coord(2)),
+                          Point_3(box.max_coord(0), box.max_coord(1), box.min_coord(2)));
+          if(is.does_intersect_internally(seg, f))
+            return true;
+          seg = Segment_3(Point_3(box.min_coord(0), box.min_coord(1), box.max_coord(2)),
+                          Point_3(box.min_coord(0), box.max_coord(1), box.max_coord(2)));
+          if(is.does_intersect_internally(seg, f))
+            return true;
+          seg = Segment_3(Point_3(box.max_coord(0), box.min_coord(1), box.max_coord(2)),
+                          Point_3(box.max_coord(0), box.max_coord(1), box.max_coord(2)));
+          if(is.does_intersect_internally(seg, f))
+            return true;
+
+          seg = Segment_3(Point_3(box.min_coord(0), box.min_coord(1), box.min_coord(2)),
+                          Point_3(box.max_coord(0), box.min_coord(1), box.min_coord(2)));
+          if(is.does_intersect_internally(seg, f))
+            return true;
+          seg = Segment_3(Point_3(box.min_coord(0), box.max_coord(1), box.min_coord(2)),
+                          Point_3(box.max_coord(0), box.max_coord(1), box.min_coord(2)));
+          if(is.does_intersect_internally(seg, f))
+            return true;
+          seg = Segment_3(Point_3(box.min_coord(0), box.min_coord(1), box.max_coord(2)),
+                          Point_3(box.max_coord(0), box.min_coord(1), box.max_coord(2)));
+          if(is.does_intersect_internally(seg, f))
+            return true;
+          seg = Segment_3(Point_3(box.min_coord(0), box.max_coord(1), box.max_coord(2)),
+                          Point_3(box.max_coord(0), box.max_coord(1), box.max_coord(2)));
+          if(is.does_intersect_internally(seg, f))
+            return true;
 
-	} else
-	  CGAL_assertion_msg(false, "wrong handle");
+        } else
+          CGAL_assertion_msg(false, "wrong handle");
       }
     }
     return false;
@@ -563,7 +563,7 @@ public:
     Partial_facet pf;
 #endif
     bool hit = false;
-    Point_3 eor; // 'end of ray', the latest ray's hit point
+    Point_3 eor = CGAL::ORIGIN; // 'end of ray', the latest ray's hit point
     Objects_along_ray objects = candidate_provider->objects_along_ray(ray);
     Objects_along_ray_iterator objects_iterator = objects.begin();
     while( !hit && objects_iterator != objects.end()) {
@@ -576,7 +576,7 @@ public:
             _CGAL_NEF_TRACEN("the ray intersects the vertex");
             _CGAL_NEF_TRACEN("prev. intersection? "<<hit);
             CGAL_assertion_code
-	      (if( hit)_CGAL_NEF_TRACEN("prev. intersection on "<<eor));
+              (if( hit)_CGAL_NEF_TRACEN("prev. intersection on "<<eor));
             if( hit && !Segment_3( ray.source(), eor).has_on(v->point()))
               continue;
             eor = v->point();
@@ -593,14 +593,14 @@ public:
             _CGAL_NEF_TRACEN("ray intersects edge on "<<q);
             _CGAL_NEF_TRACEN("prev. intersection? "<<hit);
             CGAL_assertion_code
-	      (if( hit) _CGAL_NEF_TRACEN("prev. intersection on "<<eor));
+              (if( hit) _CGAL_NEF_TRACEN("prev. intersection on "<<eor));
             if( hit && !has_smaller_distance_to_point( ray.source(), q, eor))
               continue;
             _CGAL_NEF_TRACEN("is the intersection point on the current cell? "<<
                     candidate_provider->is_point_on_cell( q, objects_iterator));
             if( !candidate_provider->is_point_on_cell( q, objects_iterator))
                 continue;
-            eor = q; 
+            eor = q;
             result = make_object(e);
             hit = true;
             _CGAL_NEF_TRACEN("the edge becomes the new hit object");
@@ -615,31 +615,31 @@ public:
             _CGAL_NEF_TRACEN("prev. intersection? "<<hit);
             if( hit) { _CGAL_NEF_TRACEN("prev. intersection on "<<eor); }
             if( hit && !has_smaller_distance_to_point( ray.source(), q, eor))
-	      continue;
+              continue;
             _CGAL_NEF_TRACEN("is the intersection point on the current cell? "<<
                     candidate_provider->is_point_on_cell( q, objects_iterator));
             if( !candidate_provider->is_point_on_cell( q, objects_iterator))
-	      continue;
+              continue;
             eor = q;
             result = make_object(f);
-            hit = true; 
+            hit = true;
             _CGAL_NEF_TRACEN("the facet becomes the new hit object");
           }
         }
 #ifdef CGAL_NEF3_FACET_WITH_BOX
-	else if( CGAL::assign(pf, *o) && ((mask&4) != 0)) {
-	  CGAL_NEF_TRACEN("new ray shooting");
+        else if( CGAL::assign(pf, *o) && ((mask&4) != 0)) {
+          CGAL_NEF_TRACEN("new ray shooting");
           Point_3 q;
           if( is.does_intersect_internally( ray, pf, q) ) {
             if( hit && !has_smaller_distance_to_point( ray.source(), q, eor))
-	      continue;
+              continue;
             if( !candidate_provider->is_point_on_cell( q, objects_iterator))
-	      continue;
+              continue;
             eor = q;
             result = make_object(pf.f);
-            hit = true; 
+            hit = true;
           }
-	}
+        }
 #endif
 #ifdef CGAL_NEF3_TRIANGULATE_FACETS
         else if( CGAL::assign( t, *o) && ((mask&8) != 0)) {
@@ -662,7 +662,7 @@ public:
                 continue;
             eor = q;
             result = make_object(Halffacet_handle(t));
-            hit = true; 
+            hit = true;
             _CGAL_NEF_TRACEN("the facet becomes the new hit object");
           }
         }
@@ -722,18 +722,18 @@ public:
         Triangle_3 tr = t.get_triangle();
         if( tr.has_on(p)) {
           _CGAL_NEF_TRACEN("found on triangle "<<tr);
-	  if(is.does_contain_on_boundary( t, p)) {
-	    _CGAL_NEF_TRACEN("but located on the facet's boundary");
-	    continue;
-	  }
+          if(is.does_contain_on_boundary( t, p)) {
+            _CGAL_NEF_TRACEN("but located on the facet's boundary");
+            continue;
+          }
           result = make_object(Halffacet_handle(t));
-	  found = true;
+          found = true;
         }
       }
 #endif
-#ifdef CGAL_NEF3_FACET_WITH_BOX 
+#ifdef CGAL_NEF3_FACET_WITH_BOX
       else if( CGAL::assign(pf, *o)) {
-	CGAL_NEF_TRACEN("new locate ");
+        CGAL_NEF_TRACEN("new locate ");
         if ( is.does_contain_internally( pf, p) ) {
           _CGAL_NEF_TRACEN("found on partial facet...");
           result = make_object(pf.f);
@@ -791,11 +791,11 @@ public:
       }
       tmp_distance = CGAL::squared_distance(v->point(),p);
       if(tmp_distance < min_distance) {
-	result = make_object(v);
+        result = make_object(v);
         min_distance = tmp_distance;
       }
       ++o;
-    }     
+    }
 
     CGAL::assign(v, result);
     Segment_3 s(p,v->point());
@@ -806,81 +806,81 @@ public:
     // TODO: das geht effizienter
     Object_list_iterator of(o);
     while(of != candidates.end() && assign(e, *of)) ++of;
-    
+
     typename SNC_structure::SHalfedge_iterator sei;
-    for(sei=v->shalfedges_begin(); sei!=v->shalfedges_end(); ++sei){      
+    for(sei=v->shalfedges_begin(); sei!=v->shalfedges_end(); ++sei){
       if(sei->is_twin()) continue;
       Halffacet_handle fout = sei->facet();
       if(fout->is_twin()) fout = fout->twin();
-      Object_list_iterator ofc(of); 
+      Object_list_iterator ofc(of);
       for(;ofc!=candidates.end();++ofc) {
-	if(CGAL::assign(f,*ofc)) {
-	  if(f == fout->twin())
-	    std::cerr << "shit" << std::endl;
-	  if(f == fout) {
-	    Object_list_iterator oe(ofc);
-	    --ofc;
-	    candidates.erase(oe);
-	  }
-	}
+        if(CGAL::assign(f,*ofc)) {
+          if(f == fout->twin())
+            std::cerr << "shit" << std::endl;
+          if(f == fout) {
+            Object_list_iterator oe(ofc);
+            --ofc;
+            candidates.erase(oe);
+          }
+        }
       }
     }
     */
     for(;o!=candidates.end();++o) {
       if( CGAL::assign( e, *o)) {
-	//	if(first && 
-	//	   (e->source() == v  || e->twin()->source() == v)) continue;
-	Segment_3 ss(e->source()->point(),e->twin()->source()->point());
-	CGAL_NEF_TRACEN("test edge " << e->source()->point() << "->" << e->twin()->source()->point());
-	  if(is.does_contain_internally(ss, p) ) {
-	_CGAL_NEF_TRACEN("found on edge "<< ss);
+        //        if(first &&
+        //           (e->source() == v  || e->twin()->source() == v)) continue;
+        Segment_3 ss(e->source()->point(),e->twin()->source()->point());
+        CGAL_NEF_TRACEN("test edge " << e->source()->point() << "->" << e->twin()->source()->point());
+          if(is.does_contain_internally(ss, p) ) {
+        _CGAL_NEF_TRACEN("found on edge "<< ss);
           return make_object(e);
         }
-	if(is.does_intersect_internally(s, ss, ip)) {
-	  // first = false;
-	  s = Segment_3(p, normalized(ip));
-	  result = make_object(e);
+        if(is.does_intersect_internally(s, ss, ip)) {
+          // first = false;
+          s = Segment_3(p, normalized(ip));
+          result = make_object(e);
         }
 
-      } else 
+      } else
       if( CGAL::assign( f, *o)) {
-	CGAL_NEF_TRACEN("test facet " << f->plane());
+        CGAL_NEF_TRACEN("test facet " << f->plane());
         if (is.does_contain_internally(f,p) ) {
           _CGAL_NEF_TRACEN("found on facet...");
           return make_object(f);
         }
         if( is.does_intersect_internally(s,f,ip)) {
           s = Segment_3(p, normalized(ip));
-	  result = make_object(f);
+          result = make_object(f);
         }
 #ifdef CGAL_NEF3_FACET_WITH_BOX
       } else if( CGAL::assign(pf, *o)) {
-	CGAL_NEF_TRACEN("new locate ");
-	if ( is.does_contain_internally( pf, p) ) {
-	  _CGAL_NEF_TRACEN("found on partial facet...");
-	  return make_object(pf.f);
-	}
-        if( is.does_intersect_internally(s,pf,ip)) {	
+        CGAL_NEF_TRACEN("new locate ");
+        if ( is.does_contain_internally( pf, p) ) {
+          _CGAL_NEF_TRACEN("found on partial facet...");
+          return make_object(pf.f);
+        }
+        if( is.does_intersect_internally(s,pf,ip)) {
           s = Segment_3(p, normalized(ip));
-	  result = make_object(pf.f);
+          result = make_object(pf.f);
         }
 #endif
 #ifdef CGAL_NEF3_TRIANGULATE_FACETS
       } else if( CGAL::assign(t, *o)) {
         CGAL_NEF_TRACEN("test triangle of facet " << t->plane());
         Triangle_3 tr = t.get_triangle();
-        CGAL_NEF_TRACEN("trying triangle "<<tr);	
-	if(tr.has_on(p)) {
-	  f = t;
-	  return make_object(f);
+        CGAL_NEF_TRACEN("trying triangle "<<tr);
+        if(tr.has_on(p)) {
+          f = t;
+          return make_object(f);
         }
         if( is.does_intersect( s, tr, ip)) {
-	  CGAL_assertion(!is.does_contain_on_boundary( t, ip));
+          CGAL_assertion(!is.does_contain_on_boundary( t, ip));
           s = Segment_3(p, normalized(ip));
-	  result = make_object(t);
+          result = make_object(t);
         }
 #endif
-      } 
+      }
       else CGAL_error_msg( "wrong handle type");
     }
 
@@ -888,19 +888,19 @@ public:
     /*
       Halffacet_iterator fc;
       CGAL_forall_facets(fc, *this->sncp()) {
-	CGAL_assertion(!is.does_intersect_internally(s,f,ip));
+        CGAL_assertion(!is.does_intersect_internally(s,f,ip));
       }
-      
+
       Halfedge_iterator ec;
       CGAL_forall_edges(ec, *this->sncp()) {
-	Segment_3 ss(ec->source()->point(), ec->twin()->source()->point());
-	CGAL_assertion(!is.does_intersect_internally(s,ss,ip));
+        Segment_3 ss(ec->source()->point(), ec->twin()->source()->point());
+        CGAL_assertion(!is.does_intersect_internally(s,ss,ip));
       }
 
       Vertex_iterator vc;
       CGAL_forall_vertices(vc, *this->sncp()) {
-	std::cerr << "test vertex " << vc->point() << std::endl;
-	CGAL_assertion(vc->point() == s.target() || !s.has_on(vc->point()));
+        std::cerr << "test vertex " << vc->point() << std::endl;
+        CGAL_assertion(vc->point() == s.target() || !s.has_on(vc->point()));
       }
     */
 
@@ -921,47 +921,47 @@ public:
       CGAL_assertion(CGAL::assign(se,so));
       CGAL_NEF_TRACEN("intersect segment " << s << " with edges");
       for(;ox!=candidates.end();++ox) {
-	if(!CGAL::assign(e,*ox)) continue;
-	CGAL_NEF_TRACEN("test edge " << e->source()->point() << "->" << e->twin()->source()->point());
-	if(is.does_intersect_internally(s,Segment_3(e->source()->point(),e->twin()->source()->point()),ip)) {
-	  s = Segment_3(p, normalized(ip));
-	  result = make_object(e);
+        if(!CGAL::assign(e,*ox)) continue;
+        CGAL_NEF_TRACEN("test edge " << e->source()->point() << "->" << e->twin()->source()->point());
+        if(is.does_intersect_internally(s,Segment_3(e->source()->point(),e->twin()->source()->point()),ip)) {
+          s = Segment_3(p, normalized(ip));
+          result = make_object(e);
         }
       }
       CGAL_assertion(CGAL::assign(e,result));
       CGAL::assign(e,result);
-      f = get_visible_facet(e, Ray_3(p, s.target()));	
+      f = get_visible_facet(e, Ray_3(p, s.target()));
       if( f != Halffacet_handle())
-	return f->incident_volume();
+        return f->incident_volume();
       SM_decorator SD(&*v); // now, the vertex has no incident facets
       CGAL_assertion( SD.number_of_sfaces() == 1);
-      return SD.sfaces_begin()->volume();      
+      return SD.sfaces_begin()->volume();
 */
     } else if( CGAL::assign( f, result)) {
       _CGAL_NEF_TRACEN("facet hit, obtaining volume...");
       if(f->plane().oriented_side(p) == ON_NEGATIVE_SIDE)
-	f = f->twin();
+        f = f->twin();
       return make_object(f->incident_volume());
 #ifdef CGAL_NEF3_FACET_WITH_BOX
     } else if( CGAL::assign(pf, *o)) {
       CGAL_error_msg( "should not be executed");
       Halffacet_handle f = pf.f;
       if(f->plane().oriented_side(p) == ON_NEGATIVE_SIDE)
-	f = f->twin();
-      return make_object(f->incident_volume()); 
+        f = f->twin();
+      return make_object(f->incident_volume());
 #endif
 #ifdef CGAL_NEF3_TRIANGULATE_FACETS
     } else if( CGAL::assign(t, result)) {
       f = t;
       _CGAL_NEF_TRACEN("facet hit, obtaining volume...");
       if(f->plane().oriented_side(p) == ON_NEGATIVE_SIDE)
-	f = f->twin();
+        f = f->twin();
       return make_object(f->incident_volume());
 #endif
     } else if( CGAL::assign(e, result)) {
       SM_decorator SD(&*e->source());
       if( SD.is_isolated(e))
-        return make_object(e->incident_sface()->volume());	
+        return make_object(e->incident_sface()->volume());
       return make_object(get_visible_facet(e,Ray_3(s.source(),s.to_vector()))->incident_volume());
     }
     CGAL_error_msg( "wrong handle type");
@@ -970,7 +970,7 @@ public:
   }
 
   virtual void intersect_with_edges_and_facets( Halfedge_handle e0,
-	const typename SNC_point_locator::Intersection_call_back& call_back) const {
+        const typename SNC_point_locator::Intersection_call_back& call_back) const {
 
     CGAL_NEF_TIMER(it_t.start());
     CGAL_assertion( initialized);
@@ -1005,7 +1005,7 @@ public:
 
         Point_3 q;
         if( is.does_intersect_internally( s, Segment_3(e->source()->point(),
-	                                               e->twin()->source()->point()), q)) {
+                                                       e->twin()->source()->point()), q)) {
           q = normalized(q);
           call_back( e0, make_object(Halfedge_handle(e)), q);
           _CGAL_NEF_TRACEN("edge intersects edge "<<' '<<&*e<< Segment_3(e->source()->point(),
@@ -1025,24 +1025,24 @@ public:
         }
       }
 #ifdef CGAL_NEF3_FACET_WITH_BOX
-	else if( CGAL::assign(pf, *o)) {
-	  CGAL_error_msg( "not implemented yet");
-	}
+        else if( CGAL::assign(pf, *o)) {
+          CGAL_error_msg( "not implemented yet");
+        }
 #endif
 #ifdef CGAL_NEF3_TRIANGULATE_FACETS
       else if( CGAL::assign( t, *o)) {
         Point_3 q;
         Triangle_3 tr = t.get_triangle();
 
-	if( f_mark[t])
-	  continue;
-	_CGAL_NEF_TRACEN("trying with triangle "<<tr);
+        if( f_mark[t])
+          continue;
+        _CGAL_NEF_TRACEN("trying with triangle "<<tr);
         if( is.does_intersect( s, tr, q) &&
             !is.does_contain_on_boundary( t, q)) {
           q = normalized(q);
           call_back( e0, make_object(Halffacet_handle(t)), q);
           _CGAL_NEF_TRACEN("edge intersects facet triangle on plane "<<t->plane()<<" on "<<q);
-	  f_mark[t] = true;
+          f_mark[t] = true;
         }
       }
 #endif // CGAL_NEF3_TRIANGULATE_FACETS
@@ -1082,7 +1082,7 @@ public:
 
         Point_3 q;
         if( is.does_intersect_internally( s, Segment_3(e->source()->point(),
-	                                               e->twin()->source()->point()), q)) {
+                                                       e->twin()->source()->point()), q)) {
           q = normalized(q);
           call_back( e0, make_object(Halfedge_handle(e)), q);
           _CGAL_NEF_TRACEN("edge intersects edge "<<' '<<&*e<< Segment_3(e->source()->point(),
@@ -1093,9 +1093,9 @@ public:
         /* do nothing */
       }
 #ifdef CGAL_NEF3_FACET_WITH_BOX
-	else if( CGAL::assign(pf, *o)) {
-	  CGAL_error_msg( "not implemented yet");
-	}
+        else if( CGAL::assign(pf, *o)) {
+          CGAL_error_msg( "not implemented yet");
+        }
 #endif
 #ifdef CGAL_NEF3_TRIANGULATE_FACETS
       else if( CGAL::assign( t, *o)) {
@@ -1108,7 +1108,7 @@ public:
     CGAL_NEF_TIMER(it_t.stop());
   }
 
-  virtual void intersect_with_facets( Halfedge_handle e0, 
+  virtual void intersect_with_facets( Halfedge_handle e0,
     const typename SNC_point_locator::Intersection_call_back& call_back) const {
     CGAL_NEF_TIMER(it_t.start());
     CGAL_assertion( initialized);
@@ -1151,22 +1151,22 @@ public:
       }
 #ifdef CGAL_NEF3_FACET_WITH_BOX
       else if( CGAL::assign(pf, *o)) {
-	CGAL_error_msg( "not implemented yet");
+        CGAL_error_msg( "not implemented yet");
       }
 #endif
 #ifdef CGAL_NEF3_TRIANGULATE_FACETS
       else if( CGAL::assign( t, *o)) {
         Point_3 q;
         Triangle_3 tr = t.get_triangle();
-	if( f_mark[t])
-	  continue;
-	_CGAL_NEF_TRACEN("trying with triangle "<<tr);
+        if( f_mark[t])
+          continue;
+        _CGAL_NEF_TRACEN("trying with triangle "<<tr);
         if( is.does_intersect( s, tr, q) &&
             !is.does_contain_on_boundary( t, q)) {
           q = normalized(q);
           call_back( e0, make_object(Halffacet_handle(t)), q);
           _CGAL_NEF_TRACEN("edge intersects facet triangle on plane "<<t->plane()<<" on "<<q);
-	  f_mark[t] = true;
+          f_mark[t] = true;
         }
       }
 #endif // CGAL_NEF3_TRIANGULATE_FACETS
@@ -1216,7 +1216,7 @@ public:
   }
 
   void add_edge(Halfedge_handle e) {
-    candidate_provider->add_edge(e);	
+    candidate_provider->add_edge(e);
   }
 
   void add_vertex(Vertex_handle v) {
@@ -1234,8 +1234,8 @@ private:
 
 #ifdef CGAL_NEF3_POINT_LOCATOR_NAIVE
 template <typename SNC_decorator>
-class SNC_point_locator_naive : 
-  public SNC_ray_shooter<SNC_decorator>, 
+class SNC_point_locator_naive :
+  public SNC_ray_shooter<SNC_decorator>,
   public SNC_point_locator<SNC_decorator>
 {
   typedef typename SNC_decorator::SNC_structure SNC_structure;
@@ -1251,7 +1251,7 @@ public:
   typedef typename SNC_decorator::Point_3 Point_3;
   typedef typename SNC_decorator::Segment_3 Segment_3;
   typedef typename SNC_decorator::Ray_3 Ray_3;
-  typedef typename SNC_structure::Aff_transformation_3 
+  typedef typename SNC_structure::Aff_transformation_3
                                   Aff_transformation_3;
 
   typedef typename Decorator_traits::Vertex_handle Vertex_handle;
@@ -1264,22 +1264,22 @@ public:
 
 public:
   SNC_point_locator_naive() : initialized(false) {}
-  virtual void initialize(SNC_structure* W) { 
+  virtual void initialize(SNC_structure* W) {
     CGAL_NEF_TIMER(ct_t.start());
     this->version_ = std::string("Naive Point Locator (tm)");
     CGAL_NEF_CLOG(version());
     CGAL_assertion( W != nullptr);
-    Base::initialize(W); 
+    Base::initialize(W);
     initialized = true;
     CGAL_NEF_TIMER(ct_t.stop());
   }
 
-  virtual Self* clone() const { 
-    return new Self; 
+  virtual Self* clone() const {
+    return new Self;
   }
 
-  virtual bool update( Unique_hash_map<Vertex_handle, bool>& V, 
-                       Unique_hash_map<Halfedge_handle, bool>& E, 
+  virtual bool update( Unique_hash_map<Vertex_handle, bool>& V,
+                       Unique_hash_map<Halfedge_handle, bool>& E,
                        Unique_hash_map<Halffacet_handle, bool>& F) {
     CGAL_NEF_TIMER(ct_t.start());
     CGAL_assertion( initialized);
@@ -1307,11 +1307,11 @@ public:
 
   virtual void intersect_with_edges_and_facets(Halfedge_handle e0,
     const typename SNC_point_locator::Intersection_call_back& call_back) const {
-	intersect_with_edges(e0,call_back);
-	intersect_with_facets(e0,call_back);
+        intersect_with_edges(e0,call_back);
+        intersect_with_facets(e0,call_back);
   }
 
-  virtual void intersect_with_edges( Halfedge_handle e0, 
+  virtual void intersect_with_edges( Halfedge_handle e0,
     const typename SNC_point_locator::Intersection_call_back& call_back) const {
     CGAL_NEF_TIMER(it_t.start());
     CGAL_assertion( initialized);
@@ -1338,7 +1338,7 @@ public:
     CGAL_NEF_TIMER(it_t.stop());
   }
 
-  virtual void intersect_with_facets( Halfedge_handle e0, 
+  virtual void intersect_with_facets( Halfedge_handle e0,
     const typename SNC_point_locator::Intersection_call_back& call_back) const {
     CGAL_NEF_TIMER(it_t.start());
     CGAL_assertion( initialized);
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_simplify.h 5.0.3-1/include/CGAL/Nef_3/SNC_simplify.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_simplify.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_simplify.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_simplify.h $
-// $Id: SNC_simplify.h 2c5826d 2020-01-17T16:29:49+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_simplify.h $
+// $Id: SNC_simplify.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -29,7 +29,7 @@ namespace CGAL {
 
 template<typename SNC_structure>
 class SNC_simplify_base : public SNC_decorator<SNC_structure> {
-  
+
   typedef CGAL::SNC_simplify_base<SNC_structure>        Self;
   typedef CGAL::SNC_decorator<SNC_structure>            SNC_decorator;
   typedef typename SNC_structure::Sphere_map            Sphere_map;
@@ -45,23 +45,23 @@ class SNC_simplify_base : public SNC_dec
 
   typedef typename SNC_structure::Vertex_iterator Vertex_iterator;
   typedef typename SNC_structure::Halfedge_iterator Halfedge_iterator;
-  typedef typename SNC_structure::Halffacet_iterator Halffacet_iterator; 
+  typedef typename SNC_structure::Halffacet_iterator Halffacet_iterator;
   typedef typename SNC_structure::Volume_iterator Volume_iterator;
-  typedef typename SNC_structure::SVertex_iterator SVertex_iterator;  
+  typedef typename SNC_structure::SVertex_iterator SVertex_iterator;
   typedef typename SNC_structure::SHalfedge_iterator SHalfedge_iterator;
   typedef typename SNC_structure::SHalfloop_iterator SHalfloop_iterator;
-  typedef typename SNC_structure::SFace_iterator SFace_iterator; 
+  typedef typename SNC_structure::SFace_iterator SFace_iterator;
 
-  typedef typename SNC_structure::SHalfedge_around_facet_circulator 
+  typedef typename SNC_structure::SHalfedge_around_facet_circulator
                                   SHalfedge_around_facet_circulator;
-  typedef typename SNC_structure::SHalfedge_around_svertex_circulator 
+  typedef typename SNC_structure::SHalfedge_around_svertex_circulator
                                   SHalfedge_around_svertex_circulator;
-  typedef typename SNC_structure::SHalfedge_around_sface_circulator 
+  typedef typename SNC_structure::SHalfedge_around_sface_circulator
                                   SHalfedge_around_sface_circulator;
 
-  typedef typename SNC_structure::Halffacet_cycle_iterator 
+  typedef typename SNC_structure::Halffacet_cycle_iterator
                                   Halffacet_cycle_iterator;
-  typedef typename SNC_structure::SFace_cycle_iterator 
+  typedef typename SNC_structure::SFace_cycle_iterator
                                   SFace_cycle_iterator;
 
   typedef typename SNC_decorator::Sphere_kernel Sphere_kernel;
@@ -91,51 +91,51 @@ class SNC_simplify_base : public SNC_dec
     Halffacet_cycle_iterator fc;
     CGAL_forall_facet_cycles_of(fc, f) {
       if(fc.is_shalfedge() ) {
-	SHalfedge_handle e(fc);
-	SHalfedge_around_facet_circulator u(e), eend(e);
+        SHalfedge_handle e(fc);
+        SHalfedge_around_facet_circulator u(e), eend(e);
 
-	//CGAL_For_all(u, eend) {
-	for ( bool _circ_loop_flag = ! ::CGAL::is_empty_range( u, eend);
-	      _circ_loop_flag;				\
-	      _circ_loop_flag = ( u != eend )
-	      ) {
-
-	  SFace_handle fu = u->incident_sface(), ftu = u->twin()->incident_sface();
-	  //	  CGAL_NEF_TRACEN("sfUNION of "<<IO->index(fu)<<" & "<<IO->index(ftu));
-	  merge_sets( fu, ftu, hash, uf);
-	  SM_decorator SD(&*u->source()->source());
-	  //	  CGAL_NEF_TRACEN("removing "<<IO->index(u)<<" & "<<IO->index(u->twin()));
-	  Halfedge_handle src(u->source()), tgt(u->target());
-	  if ( SD.is_closed_at_source(u) ) 
-	    SD.set_face( src, fu);
-	  if ( SD.is_closed_at_source( u->twin()) ) 
- 	    SD.set_face( tgt, fu);
-	  /* TO VERIFY: does is_closed_at_source(u) imply is_isolated(src)?
-	     if it is true, the svertex face update is not necesary. */
-
-	  SHalfedge_around_facet_circulator next = u;
-	  ++next;
-	  SD.delete_edge_pair(u); 
-	  if( SD.is_isolated(src))
-	    SD.set_face(src,fu);
-	  SM_decorator SD2(&*tgt->source());
-	  if( SD2.is_isolated(tgt))
-	    SD2.set_face(tgt,fu);
-	  u = next;
-	  /* TO VERIFY: can both svertices be isolated at the same time? */
+        //CGAL_For_all(u, eend) {
+        for ( bool _circ_loop_flag = ! ::CGAL::is_empty_range( u, eend);
+              _circ_loop_flag;                                \
+              _circ_loop_flag = ( u != eend )
+              ) {
+
+          SFace_handle fu = u->incident_sface(), ftu = u->twin()->incident_sface();
+          //          CGAL_NEF_TRACEN("sfUNION of "<<IO->index(fu)<<" & "<<IO->index(ftu));
+          merge_sets( fu, ftu, hash, uf);
+          SM_decorator SD(&*u->source()->source());
+          //          CGAL_NEF_TRACEN("removing "<<IO->index(u)<<" & "<<IO->index(u->twin()));
+          Halfedge_handle src(u->source()), tgt(u->target());
+          if ( SD.is_closed_at_source(u) )
+            SD.set_face( src, fu);
+          if ( SD.is_closed_at_source( u->twin()) )
+             SD.set_face( tgt, fu);
+          /* TO VERIFY: does is_closed_at_source(u) imply is_isolated(src)?
+             if it is true, the svertex face update is not necesary. */
+
+          SHalfedge_around_facet_circulator next = u;
+          ++next;
+          SD.delete_edge_pair(u);
+          if( SD.is_isolated(src))
+            SD.set_face(src,fu);
+          SM_decorator SD2(&*tgt->source());
+          if( SD2.is_isolated(tgt))
+            SD2.set_face(tgt,fu);
+          u = next;
+          /* TO VERIFY: can both svertices be isolated at the same time? */
    }
       }
       else if(fc.is_shalfloop()) {
-	SHalfloop_handle l(fc);
-	// this code is currenlty not used, but it is potentially need 
-	// in the future, e.g for complex marks or a relative interior 
-	// function 
-	SFace_handle fu = l->incident_sface(), ftu = l->twin()->incident_sface();
-	//	CGAL_NEF_TRACEN("UNION of "<<IO->index(fu)<<" & "<<IO->index(ftu));
-	merge_sets( fu, ftu, hash, uf);
-	SM_decorator SD(&*l->incident_sface()->center_vertex());
-	//	CGAL_NEF_TRACEN("removing "<<IO->index(l)<<" & "<<IO->index(l->twin()));
-	SD.delete_loop_only();
+        SHalfloop_handle l(fc);
+        // this code is currenlty not used, but it is potentially need
+        // in the future, e.g for complex marks or a relative interior
+        // function
+        SFace_handle fu = l->incident_sface(), ftu = l->twin()->incident_sface();
+        //        CGAL_NEF_TRACEN("UNION of "<<IO->index(fu)<<" & "<<IO->index(ftu));
+        merge_sets( fu, ftu, hash, uf);
+        SM_decorator SD(&*l->incident_sface()->center_vertex());
+        //        CGAL_NEF_TRACEN("removing "<<IO->index(l)<<" & "<<IO->index(l->twin()));
+        SD.delete_loop_only();
       }
     }
     //    CGAL_NEF_TRACEN("removing "<<IO->index(f)<<" & "<<IO->index(f->twin()));
@@ -143,33 +143,33 @@ class SNC_simplify_base : public SNC_dec
     return;
   }
 
-  bool is_part_of_volume(Vertex_handle v) 
+  bool is_part_of_volume(Vertex_handle v)
     /* determines if a vertex v is part of a volume, cheking if its local
        graph is trivial (only one sface with no boundary). */  {
     SM_decorator SD(&*v);
     CGAL_assertion( !is_empty_range( SD.sfaces_begin(), SD.sfaces_end()));
     if( is_empty_range( SD.svertices_begin(), SD.svertices_end()) &&
-	is_empty_range( SD.shalfedges_begin(), SD.shalfedges_end()) &&
-	!SD.has_shalfloop())
+        is_empty_range( SD.shalfedges_begin(), SD.shalfedges_end()) &&
+        !SD.has_shalfloop())
       return true;
     return false;
   }
 
-  bool is_part_of_facet(Vertex_handle v) 
-    /* determines if a vertex v is part of a the relative interior of a 
+  bool is_part_of_facet(Vertex_handle v)
+    /* determines if a vertex v is part of a the relative interior of a
        facet, checking if its local graph consists just of a sloop and
        two incident sfaces. */ {
     SM_decorator SD(&*v);
     CGAL_assertion( !is_empty_range( SD.svertices_begin(),
-					  SD.svertices_end()) ||
-			 is_empty_range( SD.shalfedges_begin(),
-					 SD.shalfedges_end()));
+                                          SD.svertices_end()) ||
+                         is_empty_range( SD.shalfedges_begin(),
+                                         SD.shalfedges_end()));
     return( SD.has_shalfloop() &&
-	    is_empty_range( SD.svertices_begin(), SD.svertices_end()));
+            is_empty_range( SD.svertices_begin(), SD.svertices_end()));
   }
 
   bool is_part_of_edge(Vertex_handle v) {
-    /* determines if a vertex v is part of a edge, checking at its local 
+    /* determines if a vertex v is part of a edge, checking at its local
        graph for exactly two antipodal vertices  */
 
     SM_decorator SD(&*v);
@@ -179,13 +179,13 @@ class SNC_simplify_base : public SNC_dec
       return false;
     if(++(SD.svertices_begin()) == SD.svertices_end())
       return false;
-    
+
     CGAL_NEF_TRACE(v->point()<<" is in edge interior? ");
     SVertex_iterator sv(SD.svertices_begin());
     SVertex_handle p1(sv++), p2(sv++);
     if( sv != SD.svertices_end())
       return false;
-    
+
     CGAL_NEF_TRACE("has two svertices ");
     Sphere_point sp1(p1->point()), sp2(p2->point());
     return (sp1 == sp2.antipode());
@@ -204,12 +204,12 @@ class SNC_simplify_base : public SNC_dec
   bool simplify_redundant_vertex_in_volume(Vertex_handle v) {
     if(is_part_of_volume(v)) {
       //      CGAL_NEF_TRACEN("mark("<<IO->index(v)<<")="<<v->mark()<<", "<<
-      //		      "mark("<<IO->index(v->sfaces_begin()->volume())<<")="<<
-      //		      v->sfaces_begin()->mark());
+      //                      "mark("<<IO->index(v->sfaces_begin()->volume())<<")="<<
+      //                      v->sfaces_begin()->mark());
       if(v->mark() == v->sfaces_begin()->mark()) {
-	//	CGAL_NEF_TRACEN("removing isolated vertex "<<IO->index(v));
-	this->sncp()->delete_vertex(v);
-	simplified = true;
+        //        CGAL_NEF_TRACEN("removing isolated vertex "<<IO->index(v));
+        this->sncp()->delete_vertex(v);
+        simplified = true;
       }
       return true;
     }
@@ -219,10 +219,10 @@ class SNC_simplify_base : public SNC_dec
   bool simplify_redundant_vertex_on_facet(Vertex_handle v) {
     if( is_part_of_facet(v)) {
       if( v->mark() == v->shalfloop()->mark()) {
-	//	CGAL_NEF_TRACEN("removing "<<IO->index(v)<<
-	//			", " << v->point() << " on facet ");
-	this->sncp()->delete_vertex(v);
-	simplified = true;
+        //        CGAL_NEF_TRACEN("removing "<<IO->index(v)<<
+        //                        ", " << v->point() << " on facet ");
+        this->sncp()->delete_vertex(v);
+        simplified = true;
       }
       return true;
     }
@@ -235,13 +235,13 @@ class SNC_simplify_base : public SNC_dec
       Halfedge_handle e1(sv++), e2(sv++);
       CGAL_assertion( sv == v->svertices_end());
       if( e1->mark() == v->mark() && e1->mark() == e2->mark()) {
-	//	CGAL_NEF_TRACEN("merging "<<IO->index(e1)<<" & "<<IO->index(e2)<<
-	//			" in "<<IO->index(v));
-	if(snc_computed)
-	  merge_halfedge_pairs( e1, e2);
-	else
-	    this->sncp()->delete_vertex(v);
-	simplified = true;
+        //        CGAL_NEF_TRACEN("merging "<<IO->index(e1)<<" & "<<IO->index(e2)<<
+        //                        " in "<<IO->index(v));
+        if(snc_computed)
+          merge_halfedge_pairs( e1, e2);
+        else
+            this->sncp()->delete_vertex(v);
+        simplified = true;
       }
       return true;
     }
@@ -254,21 +254,21 @@ class SNC_simplify_base : public SNC_dec
       Halfedge_handle e1(sv++), e2(sv++);
       CGAL_assertion( sv == v->svertices_end());
       if( e1->mark() == v->mark() && e1->mark() == e2->mark()) {
-	SHalfedge_around_svertex_circulator 
-	  sec(e1->out_sedge()), send(sec);
-	CGAL_For_all(sec,send) {
-	  sec->next()->prev() = sec->prev();
-	  sec->prev()->next() = sec->next();
-	  sec->twin()->next()->prev() = sec->twin()->prev();
-	  sec->twin()->prev()->next() = sec->twin()->next();
-	}
-	if(e2->get_index() < e1->get_index())
-	  e1->twin()->set_index(e2->twin()->get_index());
-	else
-	  e2->twin()->set_index(e1->twin()->get_index());	
-	e1->twin()->twin() = e2->twin();
-	e2->twin()->twin() = e1->twin();
-	this->sncp()->delete_vertex(v);
+        SHalfedge_around_svertex_circulator
+          sec(e1->out_sedge()), send(sec);
+        CGAL_For_all(sec,send) {
+          sec->next()->prev() = sec->prev();
+          sec->prev()->next() = sec->next();
+          sec->twin()->next()->prev() = sec->twin()->prev();
+          sec->twin()->prev()->next() = sec->twin()->next();
+        }
+        if(e2->get_index() < e1->get_index())
+          e1->twin()->set_index(e2->twin()->get_index());
+        else
+          e2->twin()->set_index(e1->twin()->get_index());
+        e1->twin()->twin() = e2->twin();
+        e2->twin()->twin() = e1->twin();
+        this->sncp()->delete_vertex(v);
       }
       return true;
     }
@@ -296,9 +296,9 @@ class SNC_simplify_base : public SNC_dec
       Vertex_iterator v_next(v);
       ++v_next;
       if(!simplify_redundant_box_vertex(v, snc_computed))
-	if(!simplify_redundant_vertex_in_volume(v))
-	  if(!simplify_redundant_vertex_on_facet(v))
-	    simplify_redundant_vertex_on_edge(v, snc_computed);
+        if(!simplify_redundant_vertex_in_volume(v))
+          if(!simplify_redundant_vertex_on_facet(v))
+            simplify_redundant_vertex_on_edge(v, snc_computed);
       v = v_next;
     }
     return simplified;
@@ -312,12 +312,12 @@ class SNC_simplify_base : public SNC_dec
       Vertex_iterator v_next(v);
       ++v_next;
       if(!simplify_redundant_vertex_in_volume(v))
-	if(!simplify_redundant_vertex_on_facet(v))
-	  simplify_redundant_vertex_on_edgeI(v);
+        if(!simplify_redundant_vertex_on_facet(v))
+          simplify_redundant_vertex_on_edgeI(v);
       v = v_next;
     }
   }
-  
+
   bool simplify() {
 
     bool update_facets  =  false;
@@ -326,7 +326,7 @@ class SNC_simplify_base : public SNC_dec
 
     CGAL_NEF_TRACEN(">>> simplifying");
     SNC_decorator D(*this->sncp());
-    
+
     Unique_hash_map< Volume_handle, UFH_volume> hash_volume;
     Unique_hash_map< Halffacet_handle, UFH_facet> hash_facet;
     Unique_hash_map< SFace_handle, UFH_sface> hash_sface;
@@ -352,8 +352,8 @@ class SNC_simplify_base : public SNC_dec
       this->sncp()->reset_sm_object_list(sf->boundary_entry_objects());
     }
 
-    /* 
-     * Volumes simplification 
+    /*
+     * Volumes simplification
      */
 
     Halffacet_handle f(D.halffacets_begin());
@@ -363,31 +363,31 @@ class SNC_simplify_base : public SNC_dec
       CGAL_assertion( !f->is_twin());
       Halffacet_iterator f_next(f);
       do
-	++f_next;
+        ++f_next;
       while( f_next != D.halffacets_end() && f_next->is_twin());
       CGAL_assertion( f != f->twin());
       Volume_handle c1 = f->incident_volume(), c2 = f->twin()->incident_volume();
       CGAL_NEF_TRACEN(" mark(c1)="<<c1->mark()<<
-           	      " mark(f)="<<f->mark() <<
-		      " mark(c2)="<<c2->mark()<<
-      	              " is_f->twin()="<<f->is_twin());
+                         " mark(f)="<<f->mark() <<
+                      " mark(c2)="<<c2->mark()<<
+                            " is_f->twin()="<<f->is_twin());
       if( c1->mark() == f->mark() && c1->mark() == c2->mark()
-	  && D.is_standard(f)) {
-	merge_sets( c1, c2, hash_volume, uf_volume);
-	remove_f_including_all_edge_uses_in_its_boundary_cycles
-	  (f, hash_sface, uf_sface);
-	update_sfaces = update_volumes = true;
-	CGAL_NEF_TRACEN("UNION of c1 & c2");
+          && D.is_standard(f)) {
+        merge_sets( c1, c2, hash_volume, uf_volume);
+        remove_f_including_all_edge_uses_in_its_boundary_cycles
+          (f, hash_sface, uf_sface);
+        update_sfaces = update_volumes = true;
+        CGAL_NEF_TRACEN("UNION of c1 & c2");
       }
       f = f_next;
     }
-    
+
     CGAL_forall_halffacets( f, *this->sncp()) {
       hash_facet[f] = uf_facet.make_set(f);
       this->sncp()->reset_object_list(f->boundary_entry_objects());
     }
-    
-    /* 
+
+    /*
      * Edges simplification
      */
 
@@ -397,49 +397,49 @@ class SNC_simplify_base : public SNC_dec
     while( e != (*this->sncp()).halfedges_end()) {
       CGAL_assertion( !e->is_twin());
       Halfedge_iterator e_next(e);
-      do 
-	e_next++;
+      do
+        e_next++;
       while( e_next != D.halfedges_end() && e_next->is_twin());
       SM_decorator SD(&*e->source());
       if( SD.is_isolated(e)) {
-	if(e->mark() == e->incident_sface()->volume()->mark()) {
-	  CGAL_NEF_TRACEN("removing pair ");
-	  this->sncp()->delete_halfedge_pair(e);
-	  update_facets = true;
-	}
-      } 
-      else { 
-	if( D.has_outdeg_two(e)) {
-	  SHalfedge_handle e1(SD.first_out_edge(e)); 
-	  SHalfedge_handle e2(SD.cyclic_adj_succ(e1));
-	  if( e1->circle()==e2->twin()->circle() &&
-	      e1->mark()==e->mark() && e1->mark()==e2->mark()) {
-	    Halffacet_handle f1(e1->facet()); 
-	    Halffacet_handle f2(e2->facet());
-	    CGAL_NEF_TRACEN("UNION of f1 & f2->twin()");
-	    merge_sets( f1, f2->twin(), hash_facet, uf_facet);
-	    merge_sets( f1->twin(), f2, hash_facet, uf_facet);
-	    CGAL_NEF_TRACEN("removing e");
-	    remove_edge_and_merge_facet_cycles(e);
-	    update_facets = true;
-	  }
-	}
+        if(e->mark() == e->incident_sface()->volume()->mark()) {
+          CGAL_NEF_TRACEN("removing pair ");
+          this->sncp()->delete_halfedge_pair(e);
+          update_facets = true;
+        }
+      }
+      else {
+        if( D.has_outdeg_two(e)) {
+          SHalfedge_handle e1(SD.first_out_edge(e));
+          SHalfedge_handle e2(SD.cyclic_adj_succ(e1));
+          if( e1->circle()==e2->twin()->circle() &&
+              e1->mark()==e->mark() && e1->mark()==e2->mark()) {
+            Halffacet_handle f1(e1->facet());
+            Halffacet_handle f2(e2->facet());
+            CGAL_NEF_TRACEN("UNION of f1 & f2->twin()");
+            merge_sets( f1, f2->twin(), hash_facet, uf_facet);
+            merge_sets( f1->twin(), f2, hash_facet, uf_facet);
+            CGAL_NEF_TRACEN("removing e");
+            remove_edge_and_merge_facet_cycles(e);
+            update_facets = true;
+          }
+        }
       }
       e = e_next;
     }
 
     update_facets = vertex_simplification() || update_facets;
-    purge_no_find_objects(hash_volume, hash_facet, hash_sface, uf_volume, 
-			  uf_facet, uf_sface);
+    purge_no_find_objects(hash_volume, hash_facet, hash_sface, uf_volume,
+                          uf_facet, uf_sface);
     create_boundary_links_forall_sfaces( hash_sface, uf_sface);
     create_boundary_links_forall_facets( hash_facet, uf_facet);
     create_boundary_links_forall_volumes( hash_volume, uf_volume);
-    
+
     CGAL_NEF_TRACEN(">>> simplifying done ");
 
     return update_sfaces || update_facets || update_volumes;
   }
-   
+
   void remove_edge_and_merge_facet_cycles( Halfedge_handle e) {
     CGAL_assertion_code(SNC_decorator D(*this->sncp()));
     CGAL_assertion( D.has_outdeg_two(e));
@@ -454,7 +454,7 @@ class SNC_simplify_base : public SNC_dec
   }
 
    void merge_sedges_at_target_and_remove_svertex( SHalfedge_handle s1,
-						   SVertex_handle v) {
+                                                   SVertex_handle v) {
      SNC_decorator D(*this->sncp());
      SM_decorator SD(&*v->source());
      CGAL_assertion( s1->twin()->source() == v);
@@ -477,7 +477,7 @@ class SNC_simplify_base : public SNC_dec
        //       CGAL_NEF_TRACEN(IO->index(s1)<<" "<<IO->index(s2->next())<<" linked.");
        D.link_as_prev_next_pair(s2->next()->twin(), s1->twin());
        //       CGAL_NEF_TRACEN(IO->index(s2->next()->twin())<<" "<<
-       //	      IO->index(s1->twin())<<" linked.");
+       //              IO->index(s1->twin())<<" linked.");
        SD.merge_edge_pairs_at_target( s1); // s2 is removed
        //       CGAL_NEF_TRACEN(IO->index(s2)<<" removed");
      }
@@ -486,7 +486,7 @@ class SNC_simplify_base : public SNC_dec
    virtual void merge_halfedge_pairs( SVertex_handle p, SVertex_handle q) {
      SNC_decorator D(*this->sncp());
      CGAL_assertion( p->source() == q->source());
-     Vertex_handle v(p->source()); 
+     Vertex_handle v(p->source());
      CGAL_assertion( is_part_of_edge(v));
      SM_decorator SD(&*v);
      SHalfedge_around_svertex_circulator s(SD.first_out_edge(p)), se(s);
@@ -500,7 +500,7 @@ class SNC_simplify_base : public SNC_dec
      this->sncp()->delete_vertex(v);
    }
 
-   void purge_no_find_objects( 
+   void purge_no_find_objects(
       Unique_hash_map< Volume_handle, UFH_volume>& hash_volume,
       Unique_hash_map< Halffacet_handle, UFH_facet>& hash_facet,
       Unique_hash_map< SFace_handle, UFH_sface>& hash_sface,
@@ -512,13 +512,13 @@ class SNC_simplify_base : public SNC_dec
      std::list<SFace_handle> sflist;
      CGAL_forall_sfaces( sf, *this->sncp()) {
        if( uf_sface.find(hash_sface[sf]) != hash_sface[sf]) {
-	 //	 CGAL_NEF_TRACEN("no find object "<<IO->index(sf));
-	 sflist.push_back(sf);
+         //         CGAL_NEF_TRACEN("no find object "<<IO->index(sf));
+         sflist.push_back(sf);
        }
      }
 
      typename std::list<SFace_handle>::const_iterator sfli;
-     for(sfli = sflist.begin(); sfli != sflist.end(); sfli++){     
+     for(sfli = sflist.begin(); sfli != sflist.end(); sfli++){
        SM_decorator SD(&*(*sfli)->center_vertex());
        SD.delete_face_only(*sfli);
      }
@@ -528,11 +528,11 @@ class SNC_simplify_base : public SNC_dec
      CGAL_forall_facets( f, *this->sncp()) {
        //       CGAL_NEF_TRACEN("facet "<<IO->index(f));
        if( uf_facet.find(hash_facet[f]) != hash_facet[f]) {
-	 //	 CGAL_NEF_TRACEN("no find object "<<IO->index(f));
-	 flist.push_back(f);
+         //         CGAL_NEF_TRACEN("no find object "<<IO->index(f));
+         flist.push_back(f);
        }
      }
-     
+
      typename std::list<Halffacet_handle>::const_iterator fli;
      for(fli = flist.begin(); fli != flist.end(); fli++)
        this->sncp()->delete_halffacet_pair(*fli);
@@ -541,13 +541,13 @@ class SNC_simplify_base : public SNC_dec
      std::list<Volume_handle> clist;
      CGAL_forall_volumes( c, *this->sncp()) {
        if( uf_volume.find(hash_volume[c]) != hash_volume[c]) {
-	 //	 CGAL_NEF_TRACEN("no find object "<<IO->index(c));
-	 clist.push_back(c);
+         //         CGAL_NEF_TRACEN("no find object "<<IO->index(c));
+         clist.push_back(c);
        }
      }
 
      typename std::list<Volume_handle>::const_iterator cli;
-     for(cli = clist.begin(); cli != clist.end(); cli++){     
+     for(cli = clist.begin(); cli != clist.end(); cli++){
        this->sncp()->delete_volume(*cli);
      }
    }
@@ -560,14 +560,14 @@ class SNC_simplify_base : public SNC_dec
     SHalfedge_iterator e;
     CGAL_forall_shalfedges(e, *this->sncp()) {
       if( linked[e])
-	continue;
+        continue;
       SM_decorator SD(&*e->source()->source());
       SFace_handle sf = *(uf.find(hash[e->incident_sface()]));
       CGAL_assertion( sf != SFace_handle());
       SHalfedge_around_sface_circulator c(e), cend(c);
       CGAL_For_all( c, cend) {
-	SD.set_face(c, sf);
-	linked[c] = true;
+        SD.set_face(c, sf);
+        linked[c] = true;
       }
       SD.store_sm_boundary_object( e, sf);
     }
@@ -576,10 +576,10 @@ class SNC_simplify_base : public SNC_dec
     CGAL_forall_svertices(sv, *this->sncp()) {
       SM_decorator SD(&*sv->source());
       if( SD.is_isolated(sv)) {
-	SFace_handle sf = *(uf.find(hash[sv->incident_sface()])); 
-	CGAL_assertion( sf != SFace_handle());
-	SD.set_face( sv, sf);
-	SD.store_sm_boundary_object( sv, sf);
+        SFace_handle sf = *(uf.find(hash[sv->incident_sface()]));
+        CGAL_assertion( sf != SFace_handle());
+        SD.set_face( sv, sf);
+        SD.store_sm_boundary_object( sv, sf);
       }
     }
 
@@ -589,7 +589,7 @@ class SNC_simplify_base : public SNC_dec
       //I added the following 'if' because even if the map has been cleared, when merging edges
       //if one sloop is created and the vertex not simplified, then the map is updated.
       //In the example below, the edge e is removed and a sloop is create on the sphere map
-      //of a vertex v. But since three edges are still incident to v, v is not simplified. 
+      //of a vertex v. But since three edges are still incident to v, v is not simplified.
       //There is one point where the distance between two non-edge-adjacent facets is 0.
       //
       //      |               |
@@ -599,8 +599,8 @@ class SNC_simplify_base : public SNC_dec
       // |  /      /     |  /
       // | /      / e    | /
       // |/______/_______|/
-      //   
-      if (!SD.map()->is_sm_boundary_object(sl)) 
+      //
+      if (!SD.map()->is_sm_boundary_object(sl))
         SD.store_sm_boundary_object( sl, sl->incident_sface());
     }
   }
@@ -613,36 +613,36 @@ class SNC_simplify_base : public SNC_dec
     SHalfedge_iterator u;
     CGAL_forall_shalfedges(u, *this->sncp()) {
       if( linked[u])
-	continue;
+        continue;
       /* set find(f) as incident facet of every edge use on the cycle of u */
       SHalfedge_handle u_min = u;
       Halffacet_handle f = *(uf.find(hash[u->facet()]));
       SHalfedge_around_facet_circulator c(u), cend(c);
       CGAL_For_all( c, cend) {
-	D.set_facet( c, f);
-	if( lexicographically_xyz_smaller(c->source()->source()->point(), 
-					  u_min->source()->source()->point()))
-	  u_min = c;
-	linked[c] = true;
+        D.set_facet( c, f);
+        if( lexicographically_xyz_smaller(c->source()->source()->point(),
+                                          u_min->source()->source()->point()))
+          u_min = c;
+        linked[c] = true;
       }
       /* store the edge use at the lexicographicaly minimum facet vertex, as
-	 a cycle entry of f.  The outermost cycle is stored at first
-	 on the facet's cycles list. */
+         a cycle entry of f.  The outermost cycle is stored at first
+         on the facet's cycles list. */
       if( is_empty_range( f->boundary_entry_objects().begin(),
-			  f->boundary_entry_objects().end())) {
-	D.store_boundary_object( u_min, f);
-	CGAL_NEF_TRACEN("new outer cycle min. vertex: "<< u_min->source()->source()->point());
+                          f->boundary_entry_objects().end())) {
+        D.store_boundary_object( u_min, f);
+        CGAL_NEF_TRACEN("new outer cycle min. vertex: "<< u_min->source()->source()->point());
       }
       else {
-	SHalfedge_handle f_sedge;
-	CGAL_assertion( CGAL::assign( f_sedge, 
-				     f->boundary_entry_objects().front()));
-	CGAL::assign( f_sedge, f->boundary_entry_objects().front());
-	if( lexicographically_xyz_smaller(u_min->source()->source()->point(), 
-					  f_sedge->source()->source()->point()))
-	  D.store_as_first_boundary_object( u_min, f);
-	else
-	  D.store_boundary_object( u_min, f);
+        SHalfedge_handle f_sedge;
+        CGAL_assertion( CGAL::assign( f_sedge,
+                                     f->boundary_entry_objects().front()));
+        CGAL::assign( f_sedge, f->boundary_entry_objects().front());
+        if( lexicographically_xyz_smaller(u_min->source()->source()->point(),
+                                          f_sedge->source()->source()->point()))
+          D.store_as_first_boundary_object( u_min, f);
+        else
+          D.store_boundary_object( u_min, f);
       }
     }
     SHalfloop_iterator l;
@@ -653,7 +653,7 @@ class SNC_simplify_base : public SNC_dec
     }
   }
 
-  void create_boundary_links_forall_volumes( 
+  void create_boundary_links_forall_volumes(
       Unique_hash_map< Volume_handle, UFH_volume>& hash,
       Union_find< Volume_handle>& uf) {
     typedef typename SNC_decorator::template Shell_volume_setter<SNC_decorator> Volume_setter;
@@ -671,7 +671,7 @@ class SNC_simplify_base : public SNC_dec
       c = *(uf.find(hash[sf->volume()]));
       //      CGAL_NEF_TRACEN("Volume " << IO->index(c));
       setter.set_volume(c);
-      D.visit_shell_objects( sf, setter );      
+      D.visit_shell_objects( sf, setter );
       D.store_boundary_object( sf, c);
     }
   }
@@ -688,24 +688,24 @@ public:
 
 
 template<typename SNC_structure>
-class SNC_simplify<SNC_indexed_items, SNC_structure> 
+class SNC_simplify<SNC_indexed_items, SNC_structure>
  : public SNC_simplify_base<SNC_structure> {
 
   typedef SNC_simplify_base<SNC_structure>              Base;
   typedef CGAL::SNC_decorator<SNC_structure>            SNC_decorator;
   typedef typename SNC_structure::Sphere_map            Sphere_map;
   typedef CGAL::SM_decorator<Sphere_map>                SM_decorator;
-  
+
   typedef typename SNC_structure::Vertex_handle Vertex_handle;
   typedef typename SNC_structure::SVertex_handle SVertex_handle;
   typedef typename SNC_structure::SHalfedge_handle SHalfedge_handle;
   typedef typename SNC_structure::SHalfloop_handle SHalfloop_handle;
-  typedef typename SNC_structure::Halffacet_iterator Halffacet_iterator; 
-  typedef typename SNC_structure::Halffacet_cycle_iterator 
+  typedef typename SNC_structure::Halffacet_iterator Halffacet_iterator;
+  typedef typename SNC_structure::Halffacet_cycle_iterator
                                   Halffacet_cycle_iterator;
-  typedef typename SNC_structure::SHalfedge_around_svertex_circulator 
+  typedef typename SNC_structure::SHalfedge_around_svertex_circulator
                                   SHalfedge_around_svertex_circulator;
-  typedef typename SNC_structure::SHalfedge_around_facet_circulator 
+  typedef typename SNC_structure::SHalfedge_around_facet_circulator
                                   SHalfedge_around_facet_circulator;
 
   using Base::is_part_of_edge;
@@ -723,25 +723,25 @@ class SNC_simplify<SNC_indexed_items, SN
       SHalfedge_handle se_first = fci;
       int index = se_first->get_index();
       for(; fci!=fit->facet_cycles_end(); ++fci) {
-	if(fci.is_shalfedge()) {
-	  SHalfedge_around_facet_circulator sc1(fci), sc2(sc1);
-	  CGAL_For_all(sc1,sc2)
-	    sc1->set_index(index);
-	} else if(fci.is_shalfloop()) {
-	  SHalfloop_handle sl(fci);
-	  sl->set_index(index);
-	} else
-	  CGAL_error_msg( "wrong handle");
+        if(fci.is_shalfedge()) {
+          SHalfedge_around_facet_circulator sc1(fci), sc2(sc1);
+          CGAL_For_all(sc1,sc2)
+            sc1->set_index(index);
+        } else if(fci.is_shalfloop()) {
+          SHalfloop_handle sl(fci);
+          sl->set_index(index);
+        } else
+          CGAL_error_msg( "wrong handle");
       }
     }
-    
+
     return result;
   }
 
   void merge_halfedge_pairs( SVertex_handle p, SVertex_handle q) {
     SNC_decorator D(*this->sncp());
     CGAL_assertion( p->source() == q->source());
-    Vertex_handle v(p->source()); 
+    Vertex_handle v(p->source());
     CGAL_assertion( is_part_of_edge(v));
     SM_decorator SD(&*v);
     SHalfedge_around_svertex_circulator s(SD.first_out_edge(p)), se(s);
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_SM_explorer.h 5.0.3-1/include/CGAL/Nef_3/SNC_SM_explorer.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_SM_explorer.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_SM_explorer.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_SM_explorer.h $
-// $Id: SNC_SM_explorer.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_SM_explorer.h $
+// $Id: SNC_SM_explorer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
 
@@ -31,7 +31,7 @@ class SNC_SM_explorer : public SMCDEC {
  public:
   SNC_SM_explorer(const Base& E) : Base(E) {}
   Self& operator=(const Self& E) {
-    Base::operator=(E); 
+    Base::operator=(E);
     return *this;
   }
 };
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_SM_overlayer.h 5.0.3-1/include/CGAL/Nef_3/SNC_SM_overlayer.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_SM_overlayer.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_SM_overlayer.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_SM_overlayer.h $
-// $Id: SNC_SM_overlayer.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_SM_overlayer.h $
+// $Id: SNC_SM_overlayer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 //                 Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
@@ -37,7 +37,7 @@
 #include <CGAL/Nef_2/debug.h>
 
 #ifndef CGAL_USE_LEDA
-#define LEDA_MEMORY(t) 
+#define LEDA_MEMORY(t)
 #endif
 
 namespace CGAL {
@@ -60,7 +60,7 @@ public:
   typedef typename Base::SVertex_iterator SVertex_iterator;
   typedef typename Base::SHalfedge_iterator SHalfedge_iterator;
   typedef typename Base::SFace_iterator SFace_iterator;
-  typedef typename Base::SHalfedge_around_sface_circulator 
+  typedef typename Base::SHalfedge_around_sface_circulator
                          SHalfedge_around_sface_circulator;
 
   typedef typename Base::Sphere_kernel           Sphere_kernel;
@@ -82,25 +82,25 @@ public:
   using Base::merge_edge_pairs_at_target;
 
  public:
-  SNC_SM_overlayer(Map* M, 
-		   const Sphere_kernel& G = Sphere_kernel()) 
+  SNC_SM_overlayer(Map* M,
+                   const Sphere_kernel& G = Sphere_kernel())
     : Base(M,G) {}
 
   template <typename Association>
   void simplify(Association&) {
-    CGAL_NEF_TRACEN("simplifying"); 
-    
+    CGAL_NEF_TRACEN("simplifying");
+
     typedef typename CGAL::Union_find<SFace_handle>::handle Union_find_handle;
     CGAL::Unique_hash_map< SFace_handle, Union_find_handle> Pitem(nullptr);
     CGAL::Unique_hash_map< SVertex_handle, Union_find_handle> Vitem(nullptr);
     CGAL::Union_find< SFace_handle> UF;
-    
+
     SFace_iterator f;
     CGAL_forall_sfaces(f,*this) {
       Pitem[f] = UF.make_set(f);
       clear_face_cycle_entries(f);
     }
-    
+
     if ( this->has_shalfloop() ) {
       SHalfloop_handle l = this->shalfloop();
       SFace_handle f = *(UF.find(Pitem[l->incident_sface()]));
@@ -108,40 +108,40 @@ public:
       f = *(UF.find(Pitem[l->twin()->incident_sface()]));
       link_as_loop(l->twin(),f);
     }
-    
+
     SHalfedge_iterator e, en;
-    for(e = this->shalfedges_begin(); e != this->shalfedges_end(); e = en) { 
+    for(e = this->shalfedges_begin(); e != this->shalfedges_end(); e = en) {
       en = e; ++en; if ( en==e->twin() ) ++en;
       CGAL_NEF_TRACEN("can simplify ? " << PH(e));
       if(!Infi_box::is_sedge_on_infibox(e)) {
-	CGAL_NEF_TRACEN(e->mark() << " " << 
-			e->incident_sface()->mark() << " " << 
-			e->twin()->incident_sface()->mark());
-	if (( e->mark() == e->incident_sface()->mark() && 
-	      e->incident_sface()->mark() == e->twin()->incident_sface()->mark())){
-	  CGAL_NEF_TRACEN("deleting "<<PH(e));
-	  if ( !UF.same_set(Pitem[e->incident_sface()],
-			    Pitem[e->twin()->incident_sface()]) ) {
-	    
-	    UF.unify_sets( Pitem[e->incident_sface()],
-			   Pitem[e->twin()->incident_sface()] );
-	    CGAL_NEF_TRACEN("unioning disjoint faces");
-	  }
-	  
-	  CGAL_NEF_TRACEN("is_closed_at_source " << is_closed_at_source(e) << 
-			  " " << is_closed_at_source(e->twin()));
-	  
-	  if ( is_closed_at_source(e) )
-	    Vitem[e->source()] = Pitem[e->incident_sface()];
-	  
-	  if ( is_closed_at_source(e->twin()))
-	    Vitem[e->target()] = Pitem[e->incident_sface()];
-	  
-	  delete_edge_pair(e);
-	}
+        CGAL_NEF_TRACEN(e->mark() << " " <<
+                        e->incident_sface()->mark() << " " <<
+                        e->twin()->incident_sface()->mark());
+        if (( e->mark() == e->incident_sface()->mark() &&
+              e->incident_sface()->mark() == e->twin()->incident_sface()->mark())){
+          CGAL_NEF_TRACEN("deleting "<<PH(e));
+          if ( !UF.same_set(Pitem[e->incident_sface()],
+                            Pitem[e->twin()->incident_sface()]) ) {
+
+            UF.unify_sets( Pitem[e->incident_sface()],
+                           Pitem[e->twin()->incident_sface()] );
+            CGAL_NEF_TRACEN("unioning disjoint faces");
+          }
+
+          CGAL_NEF_TRACEN("is_closed_at_source " << is_closed_at_source(e) <<
+                          " " << is_closed_at_source(e->twin()));
+
+          if ( is_closed_at_source(e) )
+            Vitem[e->source()] = Pitem[e->incident_sface()];
+
+          if ( is_closed_at_source(e->twin()))
+            Vitem[e->target()] = Pitem[e->incident_sface()];
+
+          delete_edge_pair(e);
+        }
       }
     }
-    
+
     CGAL::Unique_hash_map<SHalfedge_handle,bool> linked(false);
     for (e = this->shalfedges_begin(); e != this->shalfedges_end(); ++e) {
       if ( linked[e] ) continue;
@@ -150,77 +150,77 @@ public:
       CGAL_For_all(hfc,hend) {  set_face(hfc,f); linked[hfc]=true; }
       store_sm_boundary_object(e,f);
     }
-    
+
     SVertex_iterator v,vn;
     for(v = this->svertices_begin(); v != this->svertices_end(); v=vn) {
       vn=v; ++vn;
       if ( is_isolated(v) ) {
-	if(Vitem[v] != nullptr) {
-	  set_face(v,*(UF.find(Vitem[v])));
-	  CGAL_NEF_TRACEN("incident face of " << PH(v) << " set to " << &*(v->incident_sface()));
-	}
-	else {
-	set_face(v, *(UF.find(Pitem[v->incident_sface()])));
-	CGAL_NEF_TRACEN("isolated svertex " << PH(v) << 
-			" already has incident face " << &*(v->incident_sface()));
-	}
-	if ( v->mark() == v->incident_sface()->mark() ) {
-	  CGAL_NEF_TRACEN("removing isolated vertex"<<PH(v));
-	  delete_vertex_only(v);  
-	} 
-	else 
-	  store_sm_boundary_object(v,v->incident_sface()); // isolated, but should stay
+        if(Vitem[v] != nullptr) {
+          set_face(v,*(UF.find(Vitem[v])));
+          CGAL_NEF_TRACEN("incident face of " << PH(v) << " set to " << &*(v->incident_sface()));
+        }
+        else {
+        set_face(v, *(UF.find(Pitem[v->incident_sface()])));
+        CGAL_NEF_TRACEN("isolated svertex " << PH(v) <<
+                        " already has incident face " << &*(v->incident_sface()));
+        }
+        if ( v->mark() == v->incident_sface()->mark() ) {
+          CGAL_NEF_TRACEN("removing isolated vertex"<<PH(v));
+          delete_vertex_only(v);
+        }
+        else
+          store_sm_boundary_object(v,v->incident_sface()); // isolated, but should stay
       } else { // v not isolated
-	SHalfedge_handle e2 = first_out_edge(v), e1 = e2->sprev();
-	if ( has_outdeg_two(v) &&
-	     v->mark() == e1->mark() && e1->mark() == e2->mark() &&
-	     e1->circle() == e2->circle() ) {
-	  CGAL_NEF_TRACEN("collinear at "<<PH(v)<<PH(e1)<<PH(e2));
-	  if ( e1 == e2 ){ 
-	    CGAL_NEF_TRACEN("edge_to_loop"); 
-	    convert_edge_to_loop(e1);
-	  } else {
-	    CGAL_NEF_TRACEN("merge_edge_pairs"); 
-	    merge_edge_pairs_at_target(e1); 
-	  } 	
-	}
+        SHalfedge_handle e2 = first_out_edge(v), e1 = e2->sprev();
+        if ( has_outdeg_two(v) &&
+             v->mark() == e1->mark() && e1->mark() == e2->mark() &&
+             e1->circle() == e2->circle() ) {
+          CGAL_NEF_TRACEN("collinear at "<<PH(v)<<PH(e1)<<PH(e2));
+          if ( e1 == e2 ){
+            CGAL_NEF_TRACEN("edge_to_loop");
+            convert_edge_to_loop(e1);
+          } else {
+            CGAL_NEF_TRACEN("merge_edge_pairs");
+            merge_edge_pairs_at_target(e1);
+          }
+        }
       }
     }
-    
+
     SFace_iterator fn;
-    for (f = fn = this->sfaces_begin(); f != this->sfaces_end(); f=fn) { 
+    for (f = fn = this->sfaces_begin(); f != this->sfaces_end(); f=fn) {
       ++fn;
       Union_find_handle pit = Pitem[f];
       if ( UF.find(pit) != pit ) {
-	CGAL_NEF_TRACEN("delete face " << &*f);
-	delete_face_only(f);
+        CGAL_NEF_TRACEN("delete face " << &*f);
+        delete_face_only(f);
       }
     }
-    
+
     CGAL_NEF_TRACEN(" ");
     CGAL_NEF_TRACEN("resulting vertex ");
-    
+
     CGAL_forall_svertices(vn, *this)
       CGAL_NEF_TRACEN("|" << vn->point() << "|" << vn->mark());
     CGAL_NEF_TRACEN(" ");
-    
+
     CGAL_forall_shalfedges(en,*this)
       CGAL_NEF_TRACEN("|" << en->circle() <<
-		      "|" << en->mark() << 
-		      " " << en->incident_sface()->mark());
+                      "|" << en->mark() <<
+                      " " << en->incident_sface()->mark());
     CGAL_NEF_TRACEN("---------------------");
   }
 
 };
 
 template <typename SM_decorator_>
-class SNC_SM_overlayer<SNC_indexed_items, SM_decorator_> 
+class SNC_SM_overlayer<SNC_indexed_items, SM_decorator_>
   : public SM_overlayer<SM_decorator_> {
 
   typedef SM_decorator_                          SM_decorator;
   typedef typename SM_decorator::Map             Map;
   typedef SM_overlayer<SM_decorator_>            Base;
-  typedef SNC_SM_overlayer<SNC_indexed_items, 
+  typedef SNC_SM_overlayer<SNC_indexed_items,
     SM_decorator_> Self;
 
   typedef typename Base::SVertex_handle SVertex_handle;
@@ -230,7 +230,7 @@ class SNC_SM_overlayer<SNC_indexed_items
   typedef typename Base::SVertex_iterator SVertex_iterator;
   typedef typename Base::SHalfedge_iterator SHalfedge_iterator;
   typedef typename Base::SFace_iterator SFace_iterator;
-  typedef typename Base::SHalfedge_around_sface_circulator 
+  typedef typename Base::SHalfedge_around_sface_circulator
                          SHalfedge_around_sface_circulator;
 
   typedef typename Base::Sphere_kernel           Sphere_kernel;
@@ -256,8 +256,8 @@ class SNC_SM_overlayer<SNC_indexed_items
   using SM_decorator::delete_edge_pair_only;
 
  public:
-  SNC_SM_overlayer(Map* M, 
-		   const Sphere_kernel& G = Sphere_kernel()) 
+  SNC_SM_overlayer(Map* M,
+                   const Sphere_kernel& G = Sphere_kernel())
     : Base(M,G) {}
 
   void convert_edge_to_loop(SHalfedge_handle e) {
@@ -265,7 +265,7 @@ class SNC_SM_overlayer<SNC_indexed_items
       loop |l| of |\Mvar|. |e|, |e->twin()| and |v| are deleted
       in the conversion. \precond there was no loop in |\Mvar|.
       As |e| was entry point of |e->incident_sface()| then |l| takes this role.}*/
-    
+
     CGAL_NEF_TRACEN("convert_edge_to_loop "<<PH(e));
     CGAL_assertion( e->source()==e->target() );
     CGAL_assertion( !this->has_shalfloop() );
@@ -284,12 +284,12 @@ class SNC_SM_overlayer<SNC_indexed_items
     delete_vertex_only(v);
     delete_edge_pair_only(e);
   }
-  
+
   template <typename Association>
   void merge_edge_pairs_at_target(SHalfedge_handle e, Association& A) {
-    /*{\Mop merges the edge pairs at |v = e->target()|. |e| and |twin(e)| 
+    /*{\Mop merges the edge pairs at |v = e->target()|. |e| and |twin(e)|
       are preserved, |e->snext()|, |twin(e->snext())| and |v| are deleted
-      in the merger. \precond |v| has outdegree two. The adjacency at 
+      in the merger. \precond |v| has outdegree two. The adjacency at
       |e->source()| and |target(e->snext())| is kept consistent.
       If |e->snext()| was entry point of |e->incident_sface()| then |e| takes this role.
       The same holds for |twin(e->snext())| and |face(twin(e))|.}*/
@@ -311,12 +311,12 @@ class SNC_SM_overlayer<SNC_indexed_items
     }
     // set vertex of e and deal with vertex-halfedge incidence
     eo->source() = vn;
-    
+
     CGAL_NEF_TRACEN("rehash " << en->get_index() << " " << e->get_index());
     CGAL_NEF_TRACEN("       " << A.get_hash(en->get_index()) << " " << A.get_hash(e->get_index()));
     CGAL_NEF_TRACEN("rehash " << eno->get_index() << " " << eo->get_index());
     CGAL_NEF_TRACEN("       " << A.get_hash(eno->get_index()) << " " << A.get_hash(eo->get_index()));
-    
+
     int index1 = A.get_hash(e->get_index());
     int index2 = A.get_hash(en->get_index());
     if(index2 < index1) {
@@ -326,21 +326,21 @@ class SNC_SM_overlayer<SNC_indexed_items
       A.set_hash(en->get_index(), index1);
 
     index1 = A.get_hash(eo->get_index());
-    index2 = A.get_hash(eno->get_index());    
+    index2 = A.get_hash(eno->get_index());
     if(index2 < index1) {
       A.set_hash(eo->get_index(), index2);
       eo->set_index(index2);
     } else
       A.set_hash(eno->get_index(), index1);
 
-    CGAL_NEF_TRACEN("hash sedge " << e->get_index() 
-		    << "->" << A.get_hash(e->get_index()));
-    CGAL_NEF_TRACEN("hash sedge " << en->get_index() 
-		    << "->" << A.get_hash(en->get_index()));
-    CGAL_NEF_TRACEN("hash sedge " << eo->get_index() 
-		    << "->" << A.get_hash(eo->get_index()));
-    CGAL_NEF_TRACEN("hash sedge " << eno->get_index() 
-		    << "->" << A.get_hash(eno->get_index()));
+    CGAL_NEF_TRACEN("hash sedge " << e->get_index()
+                    << "->" << A.get_hash(e->get_index()));
+    CGAL_NEF_TRACEN("hash sedge " << en->get_index()
+                    << "->" << A.get_hash(en->get_index()));
+    CGAL_NEF_TRACEN("hash sedge " << eo->get_index()
+                    << "->" << A.get_hash(eo->get_index()));
+    CGAL_NEF_TRACEN("hash sedge " << eno->get_index()
+                    << "->" << A.get_hash(eno->get_index()));
 
 
     if ( first_out_edge(vn) == eno ) set_first_out_edge(vn,eo);
@@ -355,19 +355,19 @@ class SNC_SM_overlayer<SNC_indexed_items
 
   template <typename Association>
   void simplify(Association& A) {
-    CGAL_NEF_TRACEN("simplifying"); 
-    
+    CGAL_NEF_TRACEN("simplifying");
+
     typedef typename CGAL::Union_find<SFace_handle>::handle Union_find_handle;
     CGAL::Unique_hash_map< SFace_handle, Union_find_handle> Pitem(nullptr);
     CGAL::Unique_hash_map< SVertex_handle, Union_find_handle> Vitem(nullptr);
     CGAL::Union_find< SFace_handle> UF;
-    
+
     SFace_iterator f;
     CGAL_forall_sfaces(f,*this) {
       Pitem[f] = UF.make_set(f);
       clear_face_cycle_entries(f);
     }
-    
+
     if ( this->has_shalfloop() ) {
       SHalfloop_handle l = this->shalfloop();
       SFace_handle f = *(UF.find(Pitem[l->incident_sface()]));
@@ -375,40 +375,40 @@ class SNC_SM_overlayer<SNC_indexed_items
       f = *(UF.find(Pitem[l->twin()->incident_sface()]));
       link_as_loop(l->twin(),f);
     }
-    
+
     SHalfedge_iterator e, en;
-    for(e = this->shalfedges_begin(); e != this->shalfedges_end(); e = en) { 
+    for(e = this->shalfedges_begin(); e != this->shalfedges_end(); e = en) {
       en = e; ++en; if ( en==e->twin() ) ++en;
       CGAL_NEF_TRACEN("can simplify ? " << PH(e));
       if(!Infi_box::is_sedge_on_infibox(e)) {
-	CGAL_NEF_TRACEN(e->mark() << " " << 
-			e->incident_sface()->mark() << " " << 
-			e->twin()->incident_sface()->mark());
-	if (( e->mark() == e->incident_sface()->mark() && 
-	      e->incident_sface()->mark() == e->twin()->incident_sface()->mark())){
-	  CGAL_NEF_TRACEN("deleting "<<PH(e));
-	  if ( !UF.same_set(Pitem[e->incident_sface()],
-			    Pitem[e->twin()->incident_sface()]) ) {
-	    
-	    UF.unify_sets( Pitem[e->incident_sface()],
-			   Pitem[e->twin()->incident_sface()] );
-	    CGAL_NEF_TRACEN("unioning disjoint faces");
-	  }
-	  
-	  CGAL_NEF_TRACEN("is_closed_at_source " << is_closed_at_source(e) << 
-			  " " << is_closed_at_source(e->twin()));
-	  
-	  if ( is_closed_at_source(e) )
-	    Vitem[e->source()] = Pitem[e->incident_sface()];
-	  
-	  if ( is_closed_at_source(e->twin()))
-	    Vitem[e->target()] = Pitem[e->incident_sface()];
-	  
-	  delete_edge_pair(e);
-	}
+        CGAL_NEF_TRACEN(e->mark() << " " <<
+                        e->incident_sface()->mark() << " " <<
+                        e->twin()->incident_sface()->mark());
+        if (( e->mark() == e->incident_sface()->mark() &&
+              e->incident_sface()->mark() == e->twin()->incident_sface()->mark())){
+          CGAL_NEF_TRACEN("deleting "<<PH(e));
+          if ( !UF.same_set(Pitem[e->incident_sface()],
+                            Pitem[e->twin()->incident_sface()]) ) {
+
+            UF.unify_sets( Pitem[e->incident_sface()],
+                           Pitem[e->twin()->incident_sface()] );
+            CGAL_NEF_TRACEN("unioning disjoint faces");
+          }
+
+          CGAL_NEF_TRACEN("is_closed_at_source " << is_closed_at_source(e) <<
+                          " " << is_closed_at_source(e->twin()));
+
+          if ( is_closed_at_source(e) )
+            Vitem[e->source()] = Pitem[e->incident_sface()];
+
+          if ( is_closed_at_source(e->twin()))
+            Vitem[e->target()] = Pitem[e->incident_sface()];
+
+          delete_edge_pair(e);
+        }
       }
     }
-    
+
     CGAL::Unique_hash_map<SHalfedge_handle,bool> linked(false);
     for (e = this->shalfedges_begin(); e != this->shalfedges_end(); ++e) {
       if ( linked[e] ) continue;
@@ -417,71 +417,71 @@ class SNC_SM_overlayer<SNC_indexed_items
       CGAL_For_all(hfc,hend) {  set_face(hfc,f); linked[hfc]=true; }
       store_sm_boundary_object(e,f);
     }
-    
+
     SVertex_iterator v,vn;
     for(v = this->svertices_begin(); v != this->svertices_end(); v=vn) {
       vn=v; ++vn;
       if ( is_isolated(v) ) {
-	if(Vitem[v] != nullptr) {
-	  set_face(v,*(UF.find(Vitem[v])));
-	  CGAL_NEF_TRACEN("incident face of " << PH(v) << " set to " << &*(v->incident_sface()));
-	}
-	else {
-	set_face(v, *(UF.find(Pitem[v->incident_sface()])));
-	CGAL_NEF_TRACEN("isolated svertex " << PH(v) << 
-			" already has incident face " << &*(v->incident_sface()));
-	}
-	if ( v->mark() == v->incident_sface()->mark() ) {
-	  CGAL_NEF_TRACEN("removing isolated vertex"<<PH(v));
-	  delete_vertex_only(v);  
-	} 
-	else 
-	  store_sm_boundary_object(v,v->incident_sface()); // isolated, but should stay
+        if(Vitem[v] != nullptr) {
+          set_face(v,*(UF.find(Vitem[v])));
+          CGAL_NEF_TRACEN("incident face of " << PH(v) << " set to " << &*(v->incident_sface()));
+        }
+        else {
+        set_face(v, *(UF.find(Pitem[v->incident_sface()])));
+        CGAL_NEF_TRACEN("isolated svertex " << PH(v) <<
+                        " already has incident face " << &*(v->incident_sface()));
+        }
+        if ( v->mark() == v->incident_sface()->mark() ) {
+          CGAL_NEF_TRACEN("removing isolated vertex"<<PH(v));
+          delete_vertex_only(v);
+        }
+        else
+          store_sm_boundary_object(v,v->incident_sface()); // isolated, but should stay
       } else { // v not isolated
-	SHalfedge_handle e2 = first_out_edge(v), e1 = e2->sprev();
-	if ( has_outdeg_two(v) &&
-	     v->mark() == e1->mark() && e1->mark() == e2->mark() &&
-	     e1->circle() == e2->circle() ) {
-	  CGAL_NEF_TRACEN("collinear at "<<PH(v)<<PH(e1)<<PH(e2));
-	  if ( e1 == e2 ){ 
-	    CGAL_NEF_TRACEN("edge_to_loop"); 
-	    convert_edge_to_loop(e1);
-	  } else {
-	    CGAL_NEF_TRACEN("merge_edge_pairs"); 
-	    merge_edge_pairs_at_target(e1, A); 
-	  } 	
-	}
+        SHalfedge_handle e2 = first_out_edge(v), e1 = e2->sprev();
+        if ( has_outdeg_two(v) &&
+             v->mark() == e1->mark() && e1->mark() == e2->mark() &&
+             e1->circle() == e2->circle() ) {
+          CGAL_NEF_TRACEN("collinear at "<<PH(v)<<PH(e1)<<PH(e2));
+          if ( e1 == e2 ){
+            CGAL_NEF_TRACEN("edge_to_loop");
+            convert_edge_to_loop(e1);
+          } else {
+            CGAL_NEF_TRACEN("merge_edge_pairs");
+            merge_edge_pairs_at_target(e1, A);
+          }
+        }
       }
     }
-    
+
     SFace_iterator fn;
-    for (f = fn = this->sfaces_begin(); f != this->sfaces_end(); f=fn) { 
+    for (f = fn = this->sfaces_begin(); f != this->sfaces_end(); f=fn) {
       ++fn;
       Union_find_handle pit = Pitem[f];
       if ( UF.find(pit) != pit ) {
-	CGAL_NEF_TRACEN("delete face " << &*f);
-	delete_face_only(f);
+        CGAL_NEF_TRACEN("delete face " << &*f);
+        delete_face_only(f);
       }
     }
-    
+
     CGAL_NEF_TRACEN(" ");
     CGAL_NEF_TRACEN("resulting vertex ");
-    
+
     CGAL_forall_svertices(vn, *this)
       CGAL_NEF_TRACEN("|" << vn->point() << "|" << vn->mark());
     CGAL_NEF_TRACEN(" ");
-    
+
     CGAL_assertion_code(CGAL_forall_shalfedges(en,*this)
-			CGAL_NEF_TRACEN("|" << en->circle() <<
-					"|" << en->mark() << 
-					" " << en->incident_sface()->mark()));
+                        CGAL_NEF_TRACEN("|" << en->circle() <<
+                                        "|" << en->mark() <<
+                                        " " << en->incident_sface()->mark()));
 
     CGAL_NEF_TRACEN("check indexes");
     CGAL_assertion_code(CGAL_forall_sedges(en, *this)
-			CGAL_NEF_TRACEN(en->source()->point() << "->"
-					<< en->twin()->source()->point() << " : "
-					<< en->get_index() << " " 
-					<< en->twin()->get_index()));
+                        CGAL_NEF_TRACEN(en->source()->point() << "->"
+                                        << en->twin()->source()->point() << " : "
+                                        << en->get_index() << " "
+                                        << en->twin()->get_index()));
     CGAL_NEF_TRACEN("---------------------");
   }
 
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_SM_visualizor.h 5.0.3-1/include/CGAL/Nef_3/SNC_SM_visualizor.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_SM_visualizor.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_SM_visualizor.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_SM_visualizor.h $
-// $Id: SNC_SM_visualizor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_SM_visualizor.h $
+// $Id: SNC_SM_visualizor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel    <seel@mpi-sb.mpg.de>
 //                 Miguel Granados <granados@mpi-sb.mpg.de>
@@ -30,13 +30,13 @@
 namespace CGAL {
 
 template <typename Map_>
-class SNC_SM_BooleColor 
+class SNC_SM_BooleColor
 {
-  typedef typename Map_::SVertex_const_handle   SVertex_const_handle;   
-  typedef typename Map_::SHalfedge_const_handle SHalfedge_const_handle;   
-  typedef typename Map_::SHalfloop_const_handle SHalfloop_const_handle;   
-  typedef typename Map_::SFace_const_handle     SFace_const_handle;   
-  typedef typename Map_::Mark Mark;   
+  typedef typename Map_::SVertex_const_handle   SVertex_const_handle;
+  typedef typename Map_::SHalfedge_const_handle SHalfedge_const_handle;
+  typedef typename Map_::SHalfloop_const_handle SHalfloop_const_handle;
+  typedef typename Map_::SFace_const_handle     SFace_const_handle;
+  typedef typename Map_::Mark Mark;
 public:
   Color color(SVertex_const_handle, Mark m) const
   { return ( m ? CGAL::black() : CGAL::white() ); }
@@ -53,7 +53,7 @@ public:
 /*{\Manpage {SNC_SM_visualizor}{Map_}{Drawing sphere maps}{V}}*/
 
 template <typename Map_, typename Color_ = SNC_SM_BooleColor<Map_> >
-class SNC_SM_visualizor 
+class SNC_SM_visualizor
 {
 /*{\Mdefinition An instance |\Mvar| of the data type |\Mname| is a
 decorator to draw the structure of a sphere map into the surface of a
@@ -66,34 +66,34 @@ public:
   typedef typename Map_::Sphere_kernel   Sphere_kernel;
   typedef CGAL::Map<Sphere_kernel> Map;
   typedef SM_const_decorator<Map_>   SNC_SM_explorer;
-  typedef SNC_SM_triangulator<Map_,Map,Sphere_kernel> 
+  typedef SNC_SM_triangulator<Map_,Map,Sphere_kernel>
                                           SNC_SM_triangulator;
 
   typedef typename Map_::Vertex_handle Vertex_handle;
-  typedef typename Map_::SVertex_const_handle SVertex_const_handle;   
-  typedef typename Map_::SHalfedge_const_handle SHalfedge_const_handle; 
-  typedef typename Map_::SFace_const_handle SFace_const_handle;     
+  typedef typename Map_::SVertex_const_handle SVertex_const_handle;
+  typedef typename Map_::SHalfedge_const_handle SHalfedge_const_handle;
+  typedef typename Map_::SFace_const_handle SFace_const_handle;
   typedef typename Map_::SVertex_const_iterator SVertex_const_iterator;
   typedef typename Map_::SHalfedge_const_iterator SHalfedge_const_iterator;
   typedef typename Map_::SFace_const_iterator SFace_const_iterator;
   typedef typename Map_::Mark Mark;
 
   // types from the local sphere map type that stores triangulation:
-  typedef typename Map::Vertex_const_iterator   
+  typedef typename Map::Vertex_const_iterator
     SM_Vertex_const_iterator;
-  typedef typename Map::Halfedge_const_iterator 
+  typedef typename Map::Halfedge_const_iterator
     SM_Halfedge_const_iterator;
-  typedef typename Map::Halfloop_const_iterator 
+  typedef typename Map::Halfloop_const_iterator
     SM_Halfloop_const_iterator;
-  typedef typename Map::Face_const_iterator     
+  typedef typename Map::Face_const_iterator
     SM_Face_const_iterator;
-  
+
 
   typedef typename Sphere_kernel::Sphere_point    Sphere_point;
   typedef typename Sphere_kernel::Sphere_segment  Sphere_segment;
   typedef typename Sphere_kernel::Sphere_circle   Sphere_circle;
   typedef typename Sphere_kernel::Sphere_triangle Sphere_triangle;
- 
+
   typedef Color_                                  Color_objects;
 
 protected:
@@ -106,7 +106,7 @@ public:
 
 /*{\Mcreation 4}*/
 SNC_SM_visualizor(Vertex_handle v, CGAL::OGL::Unit_sphere& S,
-		  const Color_objects& C = Color_objects())
+                  const Color_objects& C = Color_objects())
 /*{\Mcreate creates an instance |\Mvar| of type |\Mname| to visualize
     the vertices, edges, and faces of |D| in an open GL window.}*/
   : MT_(), T_(v,MT_), E_(v), CO_(C), S_(S)
@@ -125,11 +125,11 @@ void draw_map() const
   SHalfedge_const_iterator e;
   CGAL_nef3_forall_sedges(e,E_) {
     if ( E_.source(e) == E_.target(e) ) {
-      S_.push_back(E_.circle(e), CO_.color(e,E_.mark(e))); 
+      S_.push_back(E_.circle(e), CO_.color(e,E_.mark(e)));
     } else {
       S_.push_back(Sphere_segment(E_.point(E_.source(e)),
-				  E_.point(E_.target(e)),
-				  E_.circle(e)),CO_.color(e,E_.mark(e)));
+                                  E_.point(E_.target(e)),
+                                  E_.circle(e)),CO_.color(e,E_.mark(e)));
     }
   }
   // draw sphere circles underlying loops of E_:
@@ -162,22 +162,22 @@ void draw_map() const
 
   CGAL_forall_edges(h,T_) // for all sphere edges
     S_.push_back_triangle_edge(Sphere_segment(T_.point(T_.source(h)),
-					      T_.point(T_.target(h)),
-					      T_.circle(h)));
+                                              T_.point(T_.target(h)),
+                                              T_.circle(h)));
 }
 
 /* |draw_triangulation| draws all object of the underlying triangulation:
    triangles, edges, loops, and vertices taken from MT_ */
 
 void draw_triangulation() const
-{ 
+{
   // draw sphere segments underlying edges of triangulation:
   SHalfedge_const_iterator ed;
   SVertex_const_iterator vd;
   SM_Halfedge_const_iterator e;
   CGAL_nef3_forall_edges(e,T_) {
     S_.push_back(Sphere_segment(T_.point(T_.source(e)),T_.point(T_.target(e)),
-				T_.circle(e)),CO_.color(ed,T_.mark(e)));
+                                T_.circle(e)),CO_.color(ed,T_.mark(e)));
   }
 
   // draw points underlying vertices of triangulation:
@@ -190,7 +190,7 @@ void draw_triangulation() const
     if ( Done[e] ) continue;
     SM_Halfedge_const_iterator en(T_.next(e)),enn(T_.next(en));
     CGAL_assertion(T_.incident_mark(e)==T_.incident_mark(en)&&
-			T_.incident_mark(en)==T_.incident_mark(enn));
+                        T_.incident_mark(en)==T_.incident_mark(enn));
     Mark m = T_.incident_mark(e);
     Sphere_triangle t = T_.incident_triangle(e);
     S_.push_back(t, (m ? CGAL_NEF_DGREY : CGAL_NEF_LGREY) );
@@ -199,7 +199,7 @@ void draw_triangulation() const
 
 }
 
-}; // end of SNC_SM_visualizor 
+}; // end of SNC_SM_visualizor
 
 
 
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_sphere_map.h 5.0.3-1/include/CGAL/Nef_3/SNC_sphere_map.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_sphere_map.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_sphere_map.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_sphere_map.h $
-// $Id: SNC_sphere_map.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_sphere_map.h $
+// $Id: SNC_sphere_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 //                 Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
@@ -61,7 +61,7 @@ class SNC_sphere_map : public Items_::te
   typedef typename Items::template Vertex<SNC_structure>  Base;
   //  typedef bool                                        Mark;
   typedef CGAL::Sphere_geometry<Kernel>             Sphere_kernel;
- 
+
   typedef typename Sphere_kernel::Sphere_point     Sphere_point;
   /*{\Mtypemember points on the unit sphere.}*/
   typedef typename Sphere_kernel::Sphere_segment   Sphere_segment;
@@ -78,7 +78,7 @@ class SNC_sphere_map : public Items_::te
   typedef Infimaximal_box<typename Is_extended_kernel<Standard_kernel>::value_type, Standard_kernel> No_box;
 
   typedef Self                                              Vertex_base;
-  typedef SNC_in_place_list_sm<Vertex_base>                 Vertex; 
+  typedef SNC_in_place_list_sm<Vertex_base>                 Vertex;
   typedef CGAL::In_place_list<Vertex,false>                 Vertex_list;
   typedef CGAL_ALLOCATOR(Vertex)                            Vertex_alloc;
   typedef typename Vertex_list::iterator                    Vertex_handle;
@@ -146,7 +146,7 @@ class SNC_sphere_map : public Items_::te
   SNC_sphere_map(const Base& v) : Base(v), destruct(false) {}
 
   SNC_sphere_map(const SNC_sphere_map&)=default;
-  
+
   Self& operator=(const Self& M) {
     destruct = M.destruct;
     Base* b(this);
@@ -155,7 +155,7 @@ class SNC_sphere_map : public Items_::te
   }
 
   void clear(bool clear_base=false) {
-    if(clear_base) Base::clear(); 
+    if(clear_base) Base::clear();
   }
 
   template <typename H>
@@ -178,20 +178,20 @@ class SNC_sphere_map : public Items_::te
   { SVertex_handle sv;
     SHalfedge_handle se;
     SHalfloop_handle sl;
-    if ( CGAL::assign(se,*it) ) { 
-      if( is_sm_boundary_object(se)) 
-	undef_sm_boundary_item(se); 
-      return; 
+    if ( CGAL::assign(se,*it) ) {
+      if( is_sm_boundary_object(se))
+        undef_sm_boundary_item(se);
+      return;
     }
-    if ( CGAL::assign(sl,*it) ) { 
-      if( is_sm_boundary_object(sl)) 
-	undef_sm_boundary_item(sl);
-      return; 
+    if ( CGAL::assign(sl,*it) ) {
+      if( is_sm_boundary_object(sl))
+        undef_sm_boundary_item(sl);
+      return;
     }
-    if ( CGAL::assign(sv,*it) ) { 
-      if( is_sm_boundary_object(sv)) 
-	undef_sm_boundary_item(sv); 
-      return; 
+    if ( CGAL::assign(sv,*it) ) {
+      if( is_sm_boundary_object(sv))
+        undef_sm_boundary_item(sv);
+      return;
     }
   }
 
@@ -201,7 +201,7 @@ class SNC_sphere_map : public Items_::te
     L.clear();
   }
 
-  class SFace_cycle_iterator : public Object_iterator 
+  class SFace_cycle_iterator : public Object_iterator
   /*{\Mtypemember a generic iterator to an object in the boundary
   of a sface. Convertible to |Object_handle|.}*/
   { typedef Object_iterator Ibase;
@@ -209,26 +209,26 @@ class SNC_sphere_map : public Items_::te
     SFace_cycle_iterator() : Ibase() {}
     SFace_cycle_iterator(const Ibase& b) : Ibase(b) {}
 
-    bool is_svertex() const 
+    bool is_svertex() const
     { SVertex_handle v; return CGAL::assign(v,Ibase::operator*()); }
     bool is_shalfedge() const
     { SHalfedge_handle e; return CGAL::assign(e,Ibase::operator*()); }
     bool is_shalfloop() const
     { SHalfloop_handle l; return CGAL::assign(l,Ibase::operator*()); }
-    operator SVertex_handle() const 
+    operator SVertex_handle() const
     { SVertex_handle v; CGAL::assign(v,Ibase::operator*()); return v; }
-    operator SHalfedge_handle() const 
+    operator SHalfedge_handle() const
     { SHalfedge_handle e; CGAL::assign(e,Ibase::operator*()); return e; }
-    operator SHalfloop_handle() const 
+    operator SHalfloop_handle() const
     { SHalfloop_handle l; CGAL::assign(l,Ibase::operator*()); return l; }
 
     operator Object_handle() const { return Ibase::operator*(); }
     Object_handle& operator*() const { return Ibase::operator*(); }
-    Object_handle  operator->() const 
+    Object_handle  operator->() const
     { CGAL_assertion_msg(0,"not impl."); return Object_handle(); }
   };
 
-  class SFace_cycle_const_iterator : public Object_const_iterator 
+  class SFace_cycle_const_iterator : public Object_const_iterator
   /*{\Mtypemember a generic iterator to an object in the boundary
   of a facet. Convertible to |Object_handle|.}*/
   { typedef Object_const_iterator Ibase;
@@ -236,25 +236,25 @@ class SNC_sphere_map : public Items_::te
     SFace_cycle_const_iterator() : Ibase() {}
     SFace_cycle_const_iterator(const Ibase& b) : Ibase(b) {}
 
-    bool is_svertex() const 
+    bool is_svertex() const
     { SVertex_handle v; return CGAL::assign(v,Ibase::operator*()); }
     bool is_shalfedge() const
     { SHalfedge_handle e; return CGAL::assign(e,Ibase::operator*()); }
     bool is_shalfloop() const
     { SHalfloop_handle l; return CGAL::assign(l,Ibase::operator*()); }
-    operator SVertex_const_handle() const 
-    { SVertex_handle v; CGAL::assign(v,Ibase::operator*()); 
+    operator SVertex_const_handle() const
+    { SVertex_handle v; CGAL::assign(v,Ibase::operator*());
       return SVertex_const_handle(v); }
-    operator SHalfedge_const_handle() const 
-    { SHalfedge_handle e; CGAL::assign(e,Ibase::operator*()); 
+    operator SHalfedge_const_handle() const
+    { SHalfedge_handle e; CGAL::assign(e,Ibase::operator*());
       return SHalfedge_const_handle(e); }
-    operator SHalfloop_const_handle() const 
-    { SHalfloop_handle l; CGAL::assign(l,Ibase::operator*()); 
+    operator SHalfloop_const_handle() const
+    { SHalfloop_handle l; CGAL::assign(l,Ibase::operator*());
       return SHalfloop_const_handle(l); }
 
     operator Object_handle() const { return Ibase::operator*(); }
     const Object_handle& operator*() const { return Ibase::operator*(); }
-    Object_handle  operator->() const 
+    Object_handle  operator->() const
     { CGAL_assertion_msg(0,"not impl."); return Object_handle(); }
   };
 
@@ -265,26 +265,26 @@ class SNC_sphere_map : public Items_::te
   SFace_cycle_iterator sface_cycles_begin(SFace_handle f) const
   { return f->sface_cycles_begin(); }
   SFace_cycle_iterator sface_cycles_end(SFace_handle f) const
-  { return f->sface_cycles_end(); }   
+  { return f->sface_cycles_end(); }
 
  typedef CircFromIt<
-        SHalfedge_const_iterator, 
-        move_shalfedge_around_svertex<SHalfedge_const_iterator> > 
+        SHalfedge_const_iterator,
+        move_shalfedge_around_svertex<SHalfedge_const_iterator> >
         SHalfedge_around_svertex_const_circulator;
 
   typedef CircFromIt<
-        SHalfedge_const_iterator, 
-        move_shalfedge_around_sface<SHalfedge_const_iterator> > 
+        SHalfedge_const_iterator,
+        move_shalfedge_around_sface<SHalfedge_const_iterator> >
         SHalfedge_around_sface_const_circulator;
 
   typedef CircFromIt<
-        SHalfedge_iterator, 
-        move_shalfedge_around_svertex<SHalfedge_iterator> > 
+        SHalfedge_iterator,
+        move_shalfedge_around_svertex<SHalfedge_iterator> >
         SHalfedge_around_svertex_circulator;
 
   typedef CircFromIt<
-        SHalfedge_iterator, 
-        move_shalfedge_around_sface<SHalfedge_iterator> > 
+        SHalfedge_iterator,
+        move_shalfedge_around_sface<SHalfedge_iterator> >
         SHalfedge_around_sface_circulator;
 
   bool empty() const {
@@ -299,19 +299,19 @@ class SNC_sphere_map : public Items_::te
     return shalfloop_ != 0;
   }
 
-  SHalfloop_handle shalfloop() const { 
-    return shalfloop_; 
+  SHalfloop_handle shalfloop() const {
+    return shalfloop_;
   }
   */
 
   template <typename H>
-  void make_twins(H h1, H h2) { 
-    h1->twin() = h2; 
-    h2->twin() = h1; 
-  }
-  
-  SVertex_handle new_svertex(const Sphere_point& p, 
-			   Mark m = Mark()) {   
+  void make_twins(H h1, H h2) {
+    h1->twin() = h2;
+    h2->twin() = h1;
+  }
+
+  SVertex_handle new_svertex(const Sphere_point& p,
+                           Mark m = Mark()) {
     SVertex_iterator sv;
     if (this->svertices_begin() == this->sncp()->svertices_end()) {
       sv = this->sncp()->new_halfedge_only();
@@ -322,7 +322,7 @@ class SNC_sphere_map : public Items_::te
       sv =  this->sncp()->new_halfedge_only(svn);
       this->svertices_last() = sv;
     }
-    sv->point() = p; 
+    sv->point() = p;
     sv->mark() = m;
     sv->center_vertex() = Vertex_handle((SNC_in_place_list_sm<Self>*) this);
     CGAL_NEF_TRACEN("new_svertex "<<&*sv);
@@ -334,7 +334,7 @@ class SNC_sphere_map : public Items_::te
     if ( this->sfaces_begin() == this->sncp()->sfaces_end()) init_range(sf);
     else this->sfaces_last() = sf;
     sf->center_vertex() = Vertex_handle((SNC_in_place_list_sm<Self>*) this);
-    return sf; 
+    return sf;
   }
   */
   SFace_handle new_sface() {
@@ -348,18 +348,18 @@ class SNC_sphere_map : public Items_::te
       this->sfaces_last() = sf;
     }
     sf->center_vertex() = Vertex_handle((SNC_in_place_list_sm<Self>*) this);
-    return sf; 
+    return sf;
   }
 
   /*
   SHalfedge_handle new_shalfedge_pair() {
     SHalfedge_iterator se = this->sncp()->new_shalfedge_only();
     SHalfedge_iterator set = this->sncp()->new_shalfedge_only();
-    if(this->shalfedges_begin() == this->sncp()->shalfedges_end()) 
+    if(this->shalfedges_begin() == this->sncp()->shalfedges_end())
       init_range(se);
     this->shalfedges_last() = set;
     make_twins(se,set);
-    return se; 
+    return se;
   }
   */
 
@@ -376,7 +376,7 @@ class SNC_sphere_map : public Items_::te
     }
     this->shalfedges_last() = set;
     make_twins(se,set);
-    return se; 
+    return se;
   }
 
   SHalfloop_handle new_shalfloop_pair() {
@@ -387,12 +387,12 @@ class SNC_sphere_map : public Items_::te
     make_twins(sl,slt);
     //    cv->shalfloop() = sl;
     this->shalfloop() = sl;
-    return sl; 
+    return sl;
   }
 
   void delete_svertex(SVertex_handle v) {
-    if (this->svertices_begin() == this->svertices_last() ) 
-      { CGAL_assertion(v == this->svertices_begin()); 
+    if (this->svertices_begin() == this->svertices_last() )
+      { CGAL_assertion(v == this->svertices_begin());
       init_range(this->sncp()->svertices_end()); }
     else if (this->svertices_begin() == v ) ++(this->svertices_begin());
     else if (this->svertices_last() == v ) --(this->svertices_last());
@@ -400,32 +400,32 @@ class SNC_sphere_map : public Items_::te
   }
 
   void delete_shalfedge(SHalfedge_handle e) {
-    if ( this->shalfedges_begin() == this->shalfedges_last() ) 
-      { CGAL_assertion( e == this->shalfedges_begin() ); 
+    if ( this->shalfedges_begin() == this->shalfedges_last() )
+      { CGAL_assertion( e == this->shalfedges_begin() );
       init_range(this->sncp()->shalfedges_end()); }
     else if (this->shalfedges_begin() == e ) ++(this->shalfedges_begin());
     else if (this->shalfedges_last() == e ) --(this->shalfedges_last());
     this->sncp()->delete_shalfedge_only(e);
   }
 
-  void delete_shalfedge_pair(SHalfedge_handle e) { 
-    delete_shalfedge(e->twin()); 
-    delete_shalfedge(e); 
+  void delete_shalfedge_pair(SHalfedge_handle e) {
+    delete_shalfedge(e->twin());
+    delete_shalfedge(e);
   }
 
   void delete_sface(SFace_handle f) {
-    if (this->sfaces_begin() == this->sfaces_last() ) 
-      { CGAL_assertion( f == this->sfaces_begin() ); 
+    if (this->sfaces_begin() == this->sfaces_last() )
+      { CGAL_assertion( f == this->sfaces_begin() );
       init_range(this->sncp()->sfaces_end()); }
     else if (this->sfaces_begin() == f ) ++(this->sfaces_begin());
     else if (this->sfaces_last() == f )  --(this->sfaces_last());
-    this->sncp()->delete_sface_only(f); 
+    this->sncp()->delete_sface_only(f);
   }
 
   void delete_shalfloop_pair() {
     CGAL_assertion(this->has_shalfloop() );
-    this->sncp()->delete_shalfloop_only(this->shalfloop()->twin());  
-    this->sncp()->delete_shalfloop_only(this->shalfloop());  
+    this->sncp()->delete_shalfloop_only(this->shalfloop()->twin());
+    this->sncp()->delete_shalfloop_only(this->shalfloop());
     this->shalfloop() = this->sncp()->shalfloops_end();
   }
 
diff -pruN 5.0.2-3/include/CGAL/Nef_3/SNC_structure.h 5.0.3-1/include/CGAL/Nef_3/SNC_structure.h
--- 5.0.2-3/include/CGAL/Nef_3/SNC_structure.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/SNC_structure.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/SNC_structure.h $
-// $Id: SNC_structure.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/SNC_structure.h $
+// $Id: SNC_structure.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel    <seel@mpi-sb.mpg.de>
 //                 Miguel Granados <granados@mpi-sb.mpg.de>
@@ -84,7 +84,7 @@ public:
   typedef typename Kernel::FT           FT;
   typedef typename Kernel::RT           RT;
   typedef CGAL::Sphere_geometry<Kernel> Sphere_kernel;
-  
+
   typedef SNC_sphere_map<Kernel, Items, Mark> Sphere_map;
   typedef CGAL::SM_decorator<Sphere_map>  SM_decorator;
 
@@ -124,7 +124,7 @@ public:
 
   /*{\Mtext For all objects |Vertex|, |Halfedge|, |Halffacet|, |Volume|
   there are handle and iterator types |xxx_handle|, |xxx_iterator|.
-  Additionally all objects of the local graph of a vertex 
+  Additionally all objects of the local graph of a vertex
   |SVertex|, |SHalfedge|, |SHalfloop|, |SFace| are accessed via handles
   and iterators. There's no type |SHalfloop_iterator|, as there is
   at most one |SLoop| pair per vertex.}*/
@@ -138,13 +138,13 @@ public:
     typedef typename Box_intersection_d::Box_d<FT,3> Box;
 
     Box b;
-    
-    Facet_with_box() : Halffacet(), b() {}     
+
+    Facet_with_box() : Halffacet(), b() {}
     Facet_with_box(const Plane_3& h, Mark m) : Halffacet(h,m) {}
     Facet_with_box(const Facet_with_box<Refs>& f) : Halffacet(f) {
       b = f.b;
     }
-    
+
     Facet_with_box<Refs>& operator=(const Facet_with_box<Refs>& f) {
       (Halffacet) *this = (Halffacet) f;
       b = f.b;
@@ -155,7 +155,7 @@ public:
 
  public:
   typedef Sphere_map                                        Vertex_base;
-  typedef SNC_in_place_list_sm<Vertex_base>                 Vertex; 
+  typedef SNC_in_place_list_sm<Vertex_base>                 Vertex;
   typedef CGAL::In_place_list<Vertex,false>                 Vertex_list;
   typedef CGAL_ALLOCATOR(Vertex)                            Vertex_alloc;
   typedef typename Vertex_list::iterator                    Vertex_handle;
@@ -262,10 +262,10 @@ public:
     Halffacet_triangle_handle( Halffacet_handle h, Triangle_3& t) :
       Base(h), triangle(&t) {}
     Triangle_3& get_triangle() { return *triangle; }
-    void transform(const Aff_transformation_3& t) { 
+    void transform(const Aff_transformation_3& t) {
       *triangle = Triangle_3((*triangle)[0].transform(t),
-    	 		     (*triangle)[1].transform(t),
-		 	     (*triangle)[2].transform(t)); 
+                                  (*triangle)[1].transform(t),
+                              (*triangle)[2].transform(t));
     }
   };
 #else
@@ -277,10 +277,10 @@ public:
     Halffacet_triangle_const_handle( Halffacet_const_handle h, Triangle_3& t) :
       Base(h), triangle(t) {}
     Triangle_3 get_triangle() { return triangle; }
-    void transform(const Aff_transformation_3& t) { 
+    void transform(const Aff_transformation_3& t) {
       triangle = Triangle_3(triangle[0].transform(t),
-    	 		     triangle[1].transform(t),
-		 	     triangle[2].transform(t)); 
+                                  triangle[1].transform(t),
+                              triangle[2].transform(t));
     }
   };
 
@@ -292,167 +292,167 @@ public:
     Halffacet_triangle_handle( Halffacet_handle h, Triangle_3& t) :
       Base(h), triangle(t) {}
     Triangle_3 get_triangle() { return triangle; }
-    void transform(const Aff_transformation_3& t) { 
+    void transform(const Aff_transformation_3& t) {
       triangle = Triangle_3(triangle[0].transform(t),
-    	 		     triangle[1].transform(t),
-		 	     triangle[2].transform(t)); 
+                                  triangle[1].transform(t),
+                              triangle[2].transform(t));
     }
   };
 #endif
-  
-  class Halffacet_cycle_iterator : public Object_iterator 
+
+  class Halffacet_cycle_iterator : public Object_iterator
   /*{\Mtypemember a generic handle to an object in the boundary
   of a facet. Convertible to |Object_handle|.}*/
   { typedef Object_iterator Ibase;
   public:
     Halffacet_cycle_iterator() : Ibase() {}
     Halffacet_cycle_iterator(const Ibase& b) : Ibase(b) {}
-   
+
     bool is_shalfedge() const
     { SHalfedge_handle e; return CGAL::assign(e,Ibase::operator*()); }
     bool is_shalfloop() const
     { SHalfloop_handle l; return CGAL::assign(l,Ibase::operator*()); }
- 
-   operator SHalfedge_handle() const 
+
+   operator SHalfedge_handle() const
     { SHalfedge_handle e; CGAL::assign(e,Ibase::operator*()); return e; }
-    operator SHalfloop_handle() const 
+    operator SHalfloop_handle() const
     { SHalfloop_handle l; CGAL::assign(l,Ibase::operator*()); return l; }
 
     operator Object_handle() const { return Ibase::operator*(); }
     Object_handle& operator*() const { return Ibase::operator*(); }
-    Object_handle  operator->() const 
+    Object_handle  operator->() const
       { CGAL_error_msg("not impl."); return Object_handle();}
   };
 
-  class Halffacet_cycle_const_iterator : public Object_const_iterator 
+  class Halffacet_cycle_const_iterator : public Object_const_iterator
   /*{\Mtypemember a generic handle to an object in the boundary
   of a facet. Convertible to |Object_handle|.}*/
   { typedef Object_const_iterator Ibase;
   public:
     Halffacet_cycle_const_iterator() : Ibase() {}
     Halffacet_cycle_const_iterator(const Ibase& b) : Ibase(b) {}
-   
+
     bool is_shalfedge() const
     { SHalfedge_handle e; return CGAL::assign(e,Ibase::operator*()); }
     bool is_shalfloop() const
     { SHalfloop_handle l; return CGAL::assign(l,Ibase::operator*()); }
- 
-   operator SHalfedge_const_handle() const 
-    { SHalfedge_handle e; CGAL::assign(e,Ibase::operator*()); 
+
+   operator SHalfedge_const_handle() const
+    { SHalfedge_handle e; CGAL::assign(e,Ibase::operator*());
       return SHalfedge_const_handle(e); }
-    operator SHalfloop_const_handle() const 
-    { SHalfloop_handle l; CGAL::assign(l,Ibase::operator*()); 
+    operator SHalfloop_const_handle() const
+    { SHalfloop_handle l; CGAL::assign(l,Ibase::operator*());
       return SHalfloop_const_handle(l); }
 
     operator Object_handle() const { return Ibase::operator*(); }
     const Object_handle& operator*() const { return Ibase::operator*(); }
-    Object_handle  operator->() const 
+    Object_handle  operator->() const
     { CGAL_error_msg("not impl."); return Object_handle();}
   };
 
-  class SFace_cycle_iterator : public Object_iterator 
+  class SFace_cycle_iterator : public Object_iterator
   /*{\Mtypemember a generic iterator to an object in the boundary
   of a sface. Convertible to |Object_handle|.}*/
   { typedef Object_iterator Ibase;
   public:
     SFace_cycle_iterator() : Ibase() {}
     SFace_cycle_iterator(const Ibase& b) : Ibase(b) {}
-    
-    bool is_svertex() const 
+
+    bool is_svertex() const
     { SVertex_handle v; return CGAL::assign(v,Ibase::operator*()); }
     bool is_shalfedge() const
     { SHalfedge_handle e; return CGAL::assign(e,Ibase::operator*()); }
     bool is_shalfloop() const
     { SHalfloop_handle l; return CGAL::assign(l,Ibase::operator*()); }
-    operator SVertex_handle() const 
+    operator SVertex_handle() const
     { SVertex_handle v; CGAL::assign(v,Ibase::operator*()); return v; }
-    operator SHalfedge_handle() const 
+    operator SHalfedge_handle() const
     { SHalfedge_handle e; CGAL::assign(e,Ibase::operator*()); return e; }
-    operator SHalfloop_handle() const 
+    operator SHalfloop_handle() const
     { SHalfloop_handle l; CGAL::assign(l,Ibase::operator*()); return l; }
 
     operator Object_handle() const { return Ibase::operator*(); }
     Object_handle& operator*() const { return Ibase::operator*(); }
-    Object_handle  operator->() const 
+    Object_handle  operator->() const
     {  return Object_handle(); }
   };
 
-  class SFace_cycle_const_iterator : public Object_const_iterator 
+  class SFace_cycle_const_iterator : public Object_const_iterator
   /*{\Mtypemember a generic iterator to an object in the boundary
   of a facet. Convertible to |Object_handle|.}*/
   { typedef Object_const_iterator Ibase;
   public:
     SFace_cycle_const_iterator() : Ibase() {}
     SFace_cycle_const_iterator(const Ibase& b) : Ibase(b) {}
- 
-    bool is_svertex() const 
+
+    bool is_svertex() const
     { SVertex_handle v; return CGAL::assign(v,Ibase::operator*()); }
     bool is_shalfedge() const
     { SHalfedge_handle e; return CGAL::assign(e,Ibase::operator*()); }
     bool is_shalfloop() const
     { SHalfloop_handle l; return CGAL::assign(l,Ibase::operator*()); }
-    operator SVertex_const_handle() const 
-    { SVertex_handle v; CGAL::assign(v,Ibase::operator*()); 
+    operator SVertex_const_handle() const
+    { SVertex_handle v; CGAL::assign(v,Ibase::operator*());
       return SVertex_const_handle(v); }
-    operator SHalfedge_const_handle() const 
-    { SHalfedge_handle e; CGAL::assign(e,Ibase::operator*()); 
+    operator SHalfedge_const_handle() const
+    { SHalfedge_handle e; CGAL::assign(e,Ibase::operator*());
       return SHalfedge_const_handle(e); }
-    operator SHalfloop_const_handle() const 
-    { SHalfloop_handle l; CGAL::assign(l,Ibase::operator*()); 
+    operator SHalfloop_const_handle() const
+    { SHalfloop_handle l; CGAL::assign(l,Ibase::operator*());
       return SHalfloop_const_handle(l); }
 
     operator Object_handle() const { return Ibase::operator*(); }
     const Object_handle& operator*() const { return Ibase::operator*(); }
-    Object_handle  operator->() const 
+    Object_handle  operator->() const
     { return Object_handle(); }
   };
 
 
-  class Shell_entry_iterator : public Object_iterator 
+  class Shell_entry_iterator : public Object_iterator
   /*{\Mtypemember a generic iterator to an object in the boundary
   of a shell. Convertible to |SFace_handle|.}*/
-  { typedef Object_iterator Ibase; 
+  { typedef Object_iterator Ibase;
   public:
     Shell_entry_iterator() : Ibase() {}
     Shell_entry_iterator(const Ibase& b) : Ibase(b) {}
-   
-    operator SFace_handle() const 
-    { SFace_handle f; 
+
+    operator SFace_handle() const
+    { SFace_handle f;
       CGAL_assertion( CGAL::assign(f,Ibase::operator*()) );
       CGAL::assign(f,Ibase::operator*()); return f; }
 
     operator Object_handle() const { return Ibase::operator*(); }
     Object_handle& operator*() const { return Ibase::operator*(); }
-    Object_handle  operator->() const 
+    Object_handle  operator->() const
     {  return Object_handle(); }
   };
 
-  class Shell_entry_const_iterator : public Object_const_iterator 
-  { typedef Object_const_iterator Ibase; 
+  class Shell_entry_const_iterator : public Object_const_iterator
+  { typedef Object_const_iterator Ibase;
   public:
     Shell_entry_const_iterator() : Ibase() {}
     Shell_entry_const_iterator(const Ibase& b) : Ibase(b) {}
-   
-    operator SFace_const_handle() const 
-    { SFace_handle f; 
+
+    operator SFace_const_handle() const
+    { SFace_handle f;
       CGAL_assertion( CGAL::assign(f,Ibase::operator*()) );
-      CGAL::assign(f,Ibase::operator*()); 
+      CGAL::assign(f,Ibase::operator*());
       return SFace_const_handle(f); }
 
     operator Object_handle() const { return Ibase::operator*(); }
     const Object_handle& operator*() const { return Ibase::operator*(); }
-    Object_handle  operator->() const 
+    Object_handle  operator->() const
     {  return Object_handle(); }
   };
 
-  typedef CircFromIt<SHalfedge_const_iterator, 
-          move_shalfedge_around_facet<SHalfedge_const_iterator> > 
+  typedef CircFromIt<SHalfedge_const_iterator,
+          move_shalfedge_around_facet<SHalfedge_const_iterator> >
           SHalfedge_around_facet_const_circulator;
 
-  // Mutable Circulators: 
+  // Mutable Circulators:
 
-  typedef CircFromIt<SHalfedge_iterator, 
-          move_shalfedge_around_facet<SHalfedge_iterator> > 
+  typedef CircFromIt<SHalfedge_iterator,
+          move_shalfedge_around_facet<SHalfedge_iterator> >
           SHalfedge_around_facet_circulator;
 
 #ifdef CGAL_NEF3_FACET_WITH_BOX
@@ -460,7 +460,7 @@ public:
                     SHalfedge_around_facet_circulator> Outer_cycle;
   typedef std::pair<SHalfedge_around_facet_circulator,
                     SHalfedge_around_facet_circulator> Inner_cycle;
-  
+
   class Partial_facet {
   public:
     Halffacet_handle f;
@@ -493,21 +493,21 @@ public:
     explicit Partial_facet(Halffacet_handle fin) : f(fin) {
       Halffacet_cycle_iterator fc = f->facet_cycles_begin();
       for(;fc != f->facet_cycles_end();++fc) {
-	if(fc.is_shalfedge()) {
-	  SHalfedge_around_facet_circulator se(fc), se_next(se);
-	  ++se_next;
-	  if(fc == f->facet_cycles_begin()) {
-	    outer_cycles.push_back(Outer_cycle(se, se));
-	    //	    outer_cycles.push_back(Outer_cycle(se_next, se));
-	  } else {
-	    inner_cycles.push_back(Inner_cycle(se, se));
-	    //	    inner_cycles.push_back(Inner_cycle(se_next, se));
-	  }
-	} else if(fc.is_shalfloop()) {
-	  SHalfloop_handle l(fc);
-	  isolated_vertices.push_back(l->incident_sface()->center_vertex()->point());
-	} else
-	  CGAL_error_msg( "wrong value");
+        if(fc.is_shalfedge()) {
+          SHalfedge_around_facet_circulator se(fc), se_next(se);
+          ++se_next;
+          if(fc == f->facet_cycles_begin()) {
+            outer_cycles.push_back(Outer_cycle(se, se));
+            //            outer_cycles.push_back(Outer_cycle(se_next, se));
+          } else {
+            inner_cycles.push_back(Inner_cycle(se, se));
+            //            inner_cycles.push_back(Inner_cycle(se_next, se));
+          }
+        } else if(fc.is_shalfloop()) {
+          SHalfloop_handle l(fc);
+          isolated_vertices.push_back(l->incident_sface()->center_vertex()->point());
+        } else
+          CGAL_error_msg( "wrong value");
       }
     }
 
@@ -525,124 +525,124 @@ public:
       pf1.f = pf2.f = f;
       Outer_cycle_iterator oc = outer_cycles.begin();
       for(;oc != outer_cycles.end(); ++oc) {
-	bool next = false;
-	//	CGAL_assertion(oc->first != oc->second);
-	SHalfedge_around_facet_circulator se = oc->first, se_begin(se), se_new(se), se_end;
-	Oriented_side ref = p.oriented_side(se->source()->source()->point()), cur;
-	//	std::cerr << "start " << se->source()->source()->point() << ":" << ref << std::endl;
-	++se;
-	while(ref == ON_ORIENTED_BOUNDARY && se != oc->second) {
-	  ref = p.oriented_side(se->source()->source()->point());
-	  ++se;
-	}
-	if(se == oc->second) 
-	  return false;
-
-	for(;se != oc->second;++se) {
-	  cur = p.oriented_side(se->source()->source()->point());
-	  //	  std::cerr << "current " << se->source()->source()->point() << ":" << cur  << std::endl;
-	  if(cur != ref) {
-	    CGAL_assertion(ref != ON_ORIENTED_BOUNDARY);
-	    if(cur == ON_ORIENTED_BOUNDARY) {
-	      next = true;
-	      continue;
-	    }
-	    se_end = se;
-	    if(next)
-	      --se_end;
-	    if(cur == ON_NEGATIVE_SIDE) {
-	      pf2.outer_cycles.push_back(Outer_cycle(se_begin, se_end));
-	    } else if(cur == ON_POSITIVE_SIDE) {
-	      pf1.outer_cycles.push_back(Outer_cycle(se_begin, se_end));
-	    }
-	    se_begin = se_new;
-	    if(next)
-	      ++se_begin;
-	    ref = cur;
-	  } else
-	      se_new = se;
-	  next = false;
-	}
-	//	std::cerr << "end of cycle " << ref << std::endl;
-	if(next) {
-	  if(ref == ON_POSITIVE_SIDE) {
-	    pf1.outer_cycles.push_back(Outer_cycle(se_new, se));
-	    pf2.outer_cycles.push_back(Outer_cycle(se_begin, --se));
-	  } else {
-	    pf2.outer_cycles.push_back(Outer_cycle(se_new, se));	 
-	    pf1.outer_cycles.push_back(Outer_cycle(se_begin, --se));	 
-	  }
-	} else {
-	  if(ref == ON_POSITIVE_SIDE)
-	    pf2.outer_cycles.push_back(Outer_cycle(se_begin, se));
-	  else if(ref == ON_NEGATIVE_SIDE)
-	    pf1.outer_cycles.push_back(Outer_cycle(se_begin, se));
-	}
+        bool next = false;
+        //        CGAL_assertion(oc->first != oc->second);
+        SHalfedge_around_facet_circulator se = oc->first, se_begin(se), se_new(se), se_end;
+        Oriented_side ref = p.oriented_side(se->source()->source()->point()), cur;
+        //        std::cerr << "start " << se->source()->source()->point() << ":" << ref << std::endl;
+        ++se;
+        while(ref == ON_ORIENTED_BOUNDARY && se != oc->second) {
+          ref = p.oriented_side(se->source()->source()->point());
+          ++se;
+        }
+        if(se == oc->second)
+          return false;
+
+        for(;se != oc->second;++se) {
+          cur = p.oriented_side(se->source()->source()->point());
+          //          std::cerr << "current " << se->source()->source()->point() << ":" << cur  << std::endl;
+          if(cur != ref) {
+            CGAL_assertion(ref != ON_ORIENTED_BOUNDARY);
+            if(cur == ON_ORIENTED_BOUNDARY) {
+              next = true;
+              continue;
+            }
+            se_end = se;
+            if(next)
+              --se_end;
+            if(cur == ON_NEGATIVE_SIDE) {
+              pf2.outer_cycles.push_back(Outer_cycle(se_begin, se_end));
+            } else if(cur == ON_POSITIVE_SIDE) {
+              pf1.outer_cycles.push_back(Outer_cycle(se_begin, se_end));
+            }
+            se_begin = se_new;
+            if(next)
+              ++se_begin;
+            ref = cur;
+          } else
+              se_new = se;
+          next = false;
+        }
+        //        std::cerr << "end of cycle " << ref << std::endl;
+        if(next) {
+          if(ref == ON_POSITIVE_SIDE) {
+            pf1.outer_cycles.push_back(Outer_cycle(se_new, se));
+            pf2.outer_cycles.push_back(Outer_cycle(se_begin, --se));
+          } else {
+            pf2.outer_cycles.push_back(Outer_cycle(se_new, se));
+            pf1.outer_cycles.push_back(Outer_cycle(se_begin, --se));
+          }
+        } else {
+          if(ref == ON_POSITIVE_SIDE)
+            pf2.outer_cycles.push_back(Outer_cycle(se_begin, se));
+          else if(ref == ON_NEGATIVE_SIDE)
+            pf1.outer_cycles.push_back(Outer_cycle(se_begin, se));
+        }
       }
 
       Inner_cycle_iterator ic = inner_cycles.begin();
       for(;ic != inner_cycles.end(); ++ic) {
-	bool next = false;
-	SHalfedge_around_facet_circulator se = ic->first, se_begin(se), se_new(se), se_end;
-	Oriented_side ref = p.oriented_side(se->source()->source()->point()), cur;
-	++se;
-	while(ref == ON_ORIENTED_BOUNDARY && se != ic->second) {
-	  ref = p.oriented_side(se->source()->source()->point());
-	  ++se;
-	}
-	if(se == ic->second) 
-	  return false;
-
-	for(;se != ic->second; ++se) {
-	  cur = p.oriented_side(se->source()->source()->point());
-	  if(cur != ref) {
-	    CGAL_assertion(ref != ON_ORIENTED_BOUNDARY);
-	    if(cur == ON_ORIENTED_BOUNDARY) {
-	      next = true;
-	      continue;
-	    }
-	    se_end = se;
-	    if(next)
-	      --se_end;
-	    if(cur == ON_NEGATIVE_SIDE) {
-	      pf2.inner_cycles.push_back(Inner_cycle(se_begin, se_end));
-	    } else if(cur == ON_POSITIVE_SIDE) {
-	      pf1.inner_cycles.push_back(Inner_cycle(se_begin, se_end));
-	    }
-	    se_begin = se_new;
-	    if(next)
-	      ++se_begin;
-	    ref = cur;
-	  } else
-	      se_new = se;
-	  next = false;
-	}
-	if(next) {
-	  if(ref == ON_POSITIVE_SIDE) {
-	    pf1.inner_cycles.push_back(Inner_cycle(se_new, se));
-	    pf2.inner_cycles.push_back(Inner_cycle(se_begin, --se));
-	  } else {
-	    pf2.inner_cycles.push_back(Inner_cycle(se_new, se));	 
-	    pf1.inner_cycles.push_back(Inner_cycle(se_begin, --se));	 
-	  }
-	} else {
-	  if(ref == ON_POSITIVE_SIDE)
-	    pf2.inner_cycles.push_back(Inner_cycle(se_begin, se));
-	  else if(ref == ON_NEGATIVE_SIDE)
-	    pf1.inner_cycles.push_back(Inner_cycle(se_begin, se));
-	}
+        bool next = false;
+        SHalfedge_around_facet_circulator se = ic->first, se_begin(se), se_new(se), se_end;
+        Oriented_side ref = p.oriented_side(se->source()->source()->point()), cur;
+        ++se;
+        while(ref == ON_ORIENTED_BOUNDARY && se != ic->second) {
+          ref = p.oriented_side(se->source()->source()->point());
+          ++se;
+        }
+        if(se == ic->second)
+          return false;
+
+        for(;se != ic->second; ++se) {
+          cur = p.oriented_side(se->source()->source()->point());
+          if(cur != ref) {
+            CGAL_assertion(ref != ON_ORIENTED_BOUNDARY);
+            if(cur == ON_ORIENTED_BOUNDARY) {
+              next = true;
+              continue;
+            }
+            se_end = se;
+            if(next)
+              --se_end;
+            if(cur == ON_NEGATIVE_SIDE) {
+              pf2.inner_cycles.push_back(Inner_cycle(se_begin, se_end));
+            } else if(cur == ON_POSITIVE_SIDE) {
+              pf1.inner_cycles.push_back(Inner_cycle(se_begin, se_end));
+            }
+            se_begin = se_new;
+            if(next)
+              ++se_begin;
+            ref = cur;
+          } else
+              se_new = se;
+          next = false;
+        }
+        if(next) {
+          if(ref == ON_POSITIVE_SIDE) {
+            pf1.inner_cycles.push_back(Inner_cycle(se_new, se));
+            pf2.inner_cycles.push_back(Inner_cycle(se_begin, --se));
+          } else {
+            pf2.inner_cycles.push_back(Inner_cycle(se_new, se));
+            pf1.inner_cycles.push_back(Inner_cycle(se_begin, --se));
+          }
+        } else {
+          if(ref == ON_POSITIVE_SIDE)
+            pf2.inner_cycles.push_back(Inner_cycle(se_begin, se));
+          else if(ref == ON_NEGATIVE_SIDE)
+            pf1.inner_cycles.push_back(Inner_cycle(se_begin, se));
+        }
       }
 
       Isolated_vertex_iterator iv = isolated_vertices.begin();
       for(;iv != isolated_vertices.end();++iv) {
-	Oriented_side side = p.oriented_side(*iv);
-	if( side == ON_NEGATIVE_SIDE || side == ON_ORIENTED_BOUNDARY)
-	  pf1.isolated_vertices.push_back(*iv);
-	if( side == ON_POSITIVE_SIDE || side == ON_ORIENTED_BOUNDARY)
-	  pf1.isolated_vertices.push_back(*iv);
+        Oriented_side side = p.oriented_side(*iv);
+        if( side == ON_NEGATIVE_SIDE || side == ON_ORIENTED_BOUNDARY)
+          pf1.isolated_vertices.push_back(*iv);
+        if( side == ON_POSITIVE_SIDE || side == ON_ORIENTED_BOUNDARY)
+          pf1.isolated_vertices.push_back(*iv);
       }
       //      std::cerr << "into " << std::endl;
-      //      pf1.debug();      
+      //      pf1.debug();
       //      pf2.debug();
       return true;
     }
@@ -659,22 +659,22 @@ public:
 
       Outer_cycle_iterator oc = outer_cycles_begin();
       for(; oc != outer_cycles_end(); ++oc) {
-	std::cerr << "Outer cycle " << std::endl;
-	SHalfedge_around_facet_circulator sb(oc->first), se(oc->second);
-	CGAL_For_all(sb,se) {
-	  std::cerr << "  " << sb->source()->source()->point() << std::endl;
-	}
+        std::cerr << "Outer cycle " << std::endl;
+        SHalfedge_around_facet_circulator sb(oc->first), se(oc->second);
+        CGAL_For_all(sb,se) {
+          std::cerr << "  " << sb->source()->source()->point() << std::endl;
+        }
       }
 
       Inner_cycle_iterator ic = inner_cycles_begin();
       for(; ic != inner_cycles_end(); ++ic) {
-	std::cerr << "Inner cycle " << std::endl;
-	SHalfedge_around_facet_circulator sb(ic->first), se(ic->second);
-	CGAL_For_all(sb,se) {
-	  std::cerr << "  " << sb->source()->source()->point() << std::endl;
-	}
+        std::cerr << "Inner cycle " << std::endl;
+        SHalfedge_around_facet_circulator sb(ic->first), se(ic->second);
+        CGAL_For_all(sb,se) {
+          std::cerr << "  " << sb->source()->source()->point() << std::endl;
+        }
       }
-    }  
+    }
   };
 
 #endif
@@ -684,22 +684,22 @@ public:
   construction means cloning an isomorphic structure and is thus an
   expensive operation.}*/
 
-  SNC_structure() : 
+  SNC_structure() :
     boundary_item_(boost::none), sm_boundary_item_(boost::none),
     vertices_(), halfedges_(), halffacets_(), volumes_(),
     shalfedges_(), shalfloops_(), sfaces_() {}
   ~SNC_structure() { CGAL_NEF_TRACEN("~SNC_structure: clearing "<<this); clear(); }
 
-  SNC_structure(const Self& D) : 
+  SNC_structure(const Self& D) :
     boundary_item_(boost::none), sm_boundary_item_(boost::none),
-    vertices_(D.vertices_), halfedges_(D.halfedges_), 
+    vertices_(D.vertices_), halfedges_(D.halfedges_),
     halffacets_(D.halffacets_), volumes_(D.volumes_),
-    shalfedges_(D.shalfedges_), shalfloops_(D.shalfloops_), 
+    shalfedges_(D.shalfedges_), shalfloops_(D.shalfloops_),
     sfaces_(D.sfaces_)
   { pointer_update(D); }
 
-  Self& operator=(const Self& D) { 
-    if ( this == &D ) 
+  Self& operator=(const Self& D) {
+    if ( this == &D )
       return *this;
     clear();
     boundary_item_.clear(boost::none);
@@ -724,7 +724,7 @@ public:
     boundary_item_.clear(boost::none);
   }
 
-  void clear() { 
+  void clear() {
     boundary_item_.clear(boost::none);
     sm_boundary_item_.clear(boost::none);
     vertices_.destroy();
@@ -737,10 +737,10 @@ public:
   }
 
   template <typename H>
-  bool is_boundary_object(H h) 
+  bool is_boundary_object(H h)
   { return boundary_item_[h]!=boost::none; }
   template <typename H>
-  bool is_sm_boundary_object(H h) 
+  bool is_sm_boundary_object(H h)
   { return sm_boundary_item_[h]!=boost::none; }
 
   template <typename H>
@@ -770,21 +770,21 @@ public:
   { SVertex_handle sv;
     SHalfedge_handle se;
     SHalfloop_handle sl;
-    if ( CGAL::assign(se,*it) ) { 
-      if( is_boundary_object(se)) 
-	undef_boundary_item(se); 
-      return; 
-    }
-    if ( CGAL::assign(sl,*it) ) { 
-      if( is_boundary_object(sl)) 
-	undef_boundary_item(sl);
-      return; 
-    }
-    if ( CGAL::assign(sv,*it) ) { 
-      if( is_boundary_object(sv)) 
-	undef_boundary_item(sv); 
-      return; 
-    }  
+    if ( CGAL::assign(se,*it) ) {
+      if( is_boundary_object(se))
+        undef_boundary_item(se);
+      return;
+    }
+    if ( CGAL::assign(sl,*it) ) {
+      if( is_boundary_object(sl))
+        undef_boundary_item(sl);
+      return;
+    }
+    if ( CGAL::assign(sv,*it) ) {
+      if( is_boundary_object(sv))
+        undef_boundary_item(sv);
+      return;
+    }
   }
 
   void reset_sm_object_list(Object_list& L)
@@ -797,20 +797,20 @@ public:
   { SVertex_handle sv;
     SHalfedge_handle se;
     SHalfloop_handle sl;
-    if ( CGAL::assign(se,*it) ) { 
-      if( is_sm_boundary_object(se)) 
-	undef_sm_boundary_item(se); 
-      return; 
-    }
-    if ( CGAL::assign(sl,*it) ) { 
-      if( is_sm_boundary_object(sl)) 
-	undef_sm_boundary_item(sl);
-      return; 
-    }
-    if ( CGAL::assign(sv,*it) ) { 
-      if( is_sm_boundary_object(sv)) 
-	undef_sm_boundary_item(sv); 
-      return; 
+    if ( CGAL::assign(se,*it) ) {
+      if( is_sm_boundary_object(se))
+        undef_sm_boundary_item(se);
+      return;
+    }
+    if ( CGAL::assign(sl,*it) ) {
+      if( is_sm_boundary_object(sl))
+        undef_sm_boundary_item(sl);
+      return;
+    }
+    if ( CGAL::assign(sv,*it) ) {
+      if( is_sm_boundary_object(sv))
+        undef_sm_boundary_item(sv);
+      return;
     }
   }
 
@@ -823,38 +823,38 @@ public:
   /*{\Moperations 2.5 3}*/
 
   // The constant iterators and circulators.
-  Vertex_const_iterator vertices_begin() const 
+  Vertex_const_iterator vertices_begin() const
     { return vertices_.begin();}
-  Vertex_const_iterator vertices_end() const 
+  Vertex_const_iterator vertices_end() const
     { return vertices_.end();}
-  Halfedge_const_iterator halfedges_begin() const 
+  Halfedge_const_iterator halfedges_begin() const
     { return halfedges_.begin();}
-  Halfedge_const_iterator halfedges_end() const 
+  Halfedge_const_iterator halfedges_end() const
     { return halfedges_.end();}
-  Halffacet_const_iterator halffacets_begin() const 
+  Halffacet_const_iterator halffacets_begin() const
     { return halffacets_.begin();}
-  Halffacet_const_iterator halffacets_end() const 
+  Halffacet_const_iterator halffacets_end() const
     { return halffacets_.end();}
-  Volume_const_iterator   volumes_begin() const 
+  Volume_const_iterator   volumes_begin() const
     { return volumes_.begin();}
-  Volume_const_iterator   volumes_end() const 
+  Volume_const_iterator   volumes_end() const
     { return volumes_.end();}
 
-  SVertex_const_iterator svertices_begin() const 
+  SVertex_const_iterator svertices_begin() const
     { return halfedges_.begin();}
-  SVertex_const_iterator svertices_end() const 
+  SVertex_const_iterator svertices_end() const
     { return halfedges_.end();}
-  SHalfedge_const_iterator shalfedges_begin() const 
+  SHalfedge_const_iterator shalfedges_begin() const
     { return shalfedges_.begin();}
-  SHalfedge_const_iterator shalfedges_end() const 
+  SHalfedge_const_iterator shalfedges_end() const
     { return shalfedges_.end();}
-  SHalfloop_const_iterator shalfloops_begin() const 
+  SHalfloop_const_iterator shalfloops_begin() const
     { return shalfloops_.begin();}
-  SHalfloop_const_iterator shalfloops_end() const 
+  SHalfloop_const_iterator shalfloops_end() const
     { return shalfloops_.end();}
-  SFace_const_iterator sfaces_begin() const 
+  SFace_const_iterator sfaces_begin() const
     { return sfaces_.begin();}
-  SFace_const_iterator sfaces_end() const 
+  SFace_const_iterator sfaces_end() const
     { return sfaces_.end();}
 
   Vertex_iterator    vertices_begin()   { return vertices_.begin();}
@@ -876,14 +876,14 @@ public:
   SFace_iterator     sfaces_end()       { return sfaces_.end();}
 
   /*{\Mtext The list of all objects can be accessed via iterator ranges.
-  For comfortable iteration we also provide iterations macros. 
+  For comfortable iteration we also provide iterations macros.
   The iterator range access operations are of the following kind:\\
   |Vertex_iterator vertices_begin()/vertices_end()|\\
   |Halfedge_iterator halfedges_begin()/halfedges_end()|\\
   |Halffacet_iterator halffacets_begin()/halffacets_end()|\\
   |Volume_iterator volumes_begin()/volumes_end()|
 
-  The macros are then |CGAL_forall_vertices(v,\Mvar)|, 
+  The macros are then |CGAL_forall_vertices(v,\Mvar)|,
   |CGAL_forall_halfedges(e,\Mvar)|, |CGAL_forall_edges(e,\Mvar)|,
   |CGAL_forall_halffacets(f,\Mvar)|, |CGAL_forall_facets(f,\Mvar)|,
   |CGAL_forall_volumes(w,\Mvar)|.}*/
@@ -910,7 +910,7 @@ public:
   /*{\Mop returns the number of sfaces.}*/
 
   void print_statistics(std::ostream& os = std::cout) const
-  /*{\Mop print the statistics of |P|: the number of vertices, edges, 
+  /*{\Mop print the statistics of |P|: the number of vertices, edges,
       faces, volumes and sobjects.}*/
   {
     os << "Selective Nef Complex - Statistics\n";
@@ -937,17 +937,17 @@ public:
   }
 
   bool has_bbox_only() const  {
-  /*{\Mop returns true if |\Mvar| is only the infimaximal box, 
+  /*{\Mop returns true if |\Mvar| is only the infimaximal box,
     false otherwise.}*/
     return (number_of_vertices() == 8 &&
-	    number_of_edges() == 12 &&
-	    number_of_facets() == 6 &&
-	    number_of_volumes() == 2 &&
-	    (++volumes_begin())->mark() == false);
+            number_of_edges() == 12 &&
+            number_of_facets() == 6 &&
+            number_of_volumes() == 2 &&
+            (++volumes_begin())->mark() == false);
   }
 
   Vertex_handle new_vertex(const Point_3& p = Point_3(), Mark m = Mark())
-  /*{\Mop returns a new vertex at point |p| marked by |m|.}*/ { 
+  /*{\Mop returns a new vertex at point |p| marked by |m|.}*/ {
     Vertex_handle vh = new_vertex_only();
     vh->point() = p;
     vh->mark() = m;
@@ -960,9 +960,9 @@ public:
   }
 
   Halfedge_handle new_halfedge_pair(Vertex_handle v1, Vertex_handle v2,
-				    Mark m = Mark())
+                                    Mark m = Mark())
   /*{\Mop creates a new halfedge pair between the vertices $v_1$
-  and $v_2$. The edge is marked by |m|.}*/ { 
+  and $v_2$. The edge is marked by |m|.}*/ {
     SM_decorator D1(&*v1);
     SM_decorator D2(&*v2);
     SVertex_handle e1 = D1.new_vertex();
@@ -972,8 +972,8 @@ public:
     return e1;
   }
 
-  Halffacet_handle new_halffacet_pair(const Plane_3& h = Plane_3(), 
-				      Mark m = Mark())
+  Halffacet_handle new_halffacet_pair(const Plane_3& h = Plane_3(),
+                                      Mark m = Mark())
   /*{\Mop creates a new facet supported by the plane |h| and
   marked with |m|.}*/ {
     Halffacet_handle f1 = new_halffacet_only();
@@ -985,30 +985,30 @@ public:
   }
 
   Volume_handle new_volume(Mark m = Mark())
-  /*{\Mop creates a new volume marked with |m|.}*/ { 
+  /*{\Mop creates a new volume marked with |m|.}*/ {
     Volume_handle vh = new_volume_only();
     vh->mark() = m;
     return vh;
   }
 
   template <typename H>
-  void make_twins(H h1, H h2) { 
-    h1->twin() = h2; h2->twin() = h1; 
+  void make_twins(H h1, H h2) {
+    h1->twin() = h2; h2->twin() = h1;
   }
 
   void delete_vertex(Vertex_handle v)
-  /*{\Mop deletes the vertex including the objects in its local graph.}*/  { 
+  /*{\Mop deletes the vertex including the objects in its local graph.}*/  {
     CGAL_NEF_TRACEN("~ deleting vertex "<<&*v<<" from "<<&*this);
-    v->clear(true); 
+    v->clear(true);
     delete_vertex_only(v);
     CGAL_NEF_TRACEN("~~ vertex deleted"<<&*v);
   }
 
   void delete_halfedge_pair(Halfedge_handle e)
   /*{\Mop deletes the halfedge pair of |e,twin(e)|.  Does not care about
-  incident objects in the local graph of |source(e)|.}*/ { 
+  incident objects in the local graph of |source(e)|.}*/ {
     CGAL_NEF_TRACEN("~ deleting halfedges pair "<<&*e<<", "<<&*(e->twin())<<
-	   " from "<<&*this);
+           " from "<<&*this);
     Halfedge_handle et = e->twin();
     SM_decorator D1(&*e->center_vertex()), D2(&*et->center_vertex());
     D1.delete_vertex(e);
@@ -1017,9 +1017,9 @@ public:
 
   void delete_halffacet_pair(Halffacet_handle f)
   /*{\Mop deletes the halffacet pair |f,twin(f)|. Does not care about
-  boundary cycle objects.}*/ { 
+  boundary cycle objects.}*/ {
     CGAL_NEF_TRACEN("~ deleting halffacets pair "<<&*f<<", "<<&*(f->twin())<<
-	   " from "<<&*this);
+           " from "<<&*this);
     reset_object_list(f->boundary_entry_objects());
     reset_object_list(f->twin()->boundary_entry_objects());
     delete_halffacet_only(f->twin());
@@ -1027,7 +1027,7 @@ public:
   }
 
   void delete_volume(Volume_handle c)
-  /*{\Mop deletes the volume |c|. Does not care about shell objects.}*/ { 
+  /*{\Mop deletes the volume |c|. Does not care about shell objects.}*/ {
     CGAL_NEF_TRACEN("~ deleting volume "<<&*c<<" from "<<&*this);
     reset_object_list(c->shell_entry_objects());
     delete_volume_only(c);
@@ -1111,30 +1111,30 @@ public:
   }
 
 
-  Vertex_handle new_vertex_only() { 
+  Vertex_handle new_vertex_only() {
     vertices_.push_back(* get_vertex_node(Vertex()));
     CGAL_NEF_TRACEN("  new vertex only "<<&*(--vertices_end()));
-    return --vertices_end(); 
+    return --vertices_end();
   }
-  Halfedge_handle new_halfedge_only(Halfedge_handle e)  { 
+  Halfedge_handle new_halfedge_only(Halfedge_handle e)  {
     Halfedge_handle ne = halfedges_.insert(e, * get_halfedge_node(Halfedge()));
     CGAL_NEF_TRACEN("  after "<<&*e<<" new halfedge only "<<&*ne);
     return ne;
   }
-  Halfedge_handle new_halfedge_only()  { 
+  Halfedge_handle new_halfedge_only()  {
     CGAL_NEF_TRACEN("  new halfedge only "<<&*(--halfedges_end()));
     halfedges_.push_back( * get_halfedge_node(Halfedge()));
     return --halfedges_end();
   }
-  Halffacet_handle new_halffacet_only()  { 
+  Halffacet_handle new_halffacet_only()  {
     halffacets_.push_back( * get_halffacet_node(Halffacet()));
     CGAL_NEF_TRACEN("  new halffacet only "<<&*(--halffacets_end()));
-    return --halffacets_end(); 
-  } 
-  Volume_handle new_volume_only()  { 
+    return --halffacets_end();
+  }
+  Volume_handle new_volume_only()  {
     volumes_.push_back( * get_volume_node(Volume()));
     CGAL_NEF_TRACEN("  new volume only "<<&*(--volumes_end()));
-    return --volumes_end(); 
+    return --volumes_end();
   }
   SHalfedge_handle new_shalfedge_only()  {
     shalfedges_.push_back( * get_shalfedge_node(SHalfedge()));
@@ -1149,12 +1149,12 @@ public:
   SHalfloop_handle new_shalfloop_only()  {
     shalfloops_.push_back( * get_shalfloop_node(SHalfloop()));
     CGAL_NEF_TRACEN("  new shalfloop only "<<&*(--shalfloops_end()));
-    return --shalfloops_end(); 
+    return --shalfloops_end();
   }
   SFace_handle new_sface_only() {
     sfaces_.push_back( * get_sface_node(SFace()));
     CGAL_NEF_TRACEN("  new sface only "<<&*(--sfaces_end()));
-    return --sfaces_end(); 
+    return --sfaces_end();
   }
   SFace_handle new_sface_only(SFace_handle sf) {
     SFace_handle nsf = sfaces_.insert(sf, * get_sface_node(SFace()));
@@ -1167,35 +1167,35 @@ public:
     vertices_.erase(h);
     put_vertex_node(&*h);
   }
-  void delete_halfedge_only(Halfedge_handle h) { 
+  void delete_halfedge_only(Halfedge_handle h) {
     CGAL_NEF_TRACEN("~ deleting halfedge only "<<&*h<<" from "<<&*this);
     CGAL_assertion(!is_sm_boundary_object(h));
     halfedges_.erase(h);
     put_halfedge_node(&*h);
   }
-  void delete_halffacet_only(Halffacet_handle h) { 
+  void delete_halffacet_only(Halffacet_handle h) {
     CGAL_NEF_TRACEN("~ deleting halffacet only "<<&*h<<" from "<<&*this);
-    halffacets_.erase(h);         
+    halffacets_.erase(h);
     put_halffacet_node(&*h);
   }
   void delete_volume_only(Volume_handle h) {
     CGAL_NEF_TRACEN("~ deleting volume only "<<&*h<<" from "<<&*this);
-    volumes_.erase(h); 
+    volumes_.erase(h);
     put_volume_node(&*h);
   }
-  void delete_shalfedge_only(SHalfedge_handle h)  { 
+  void delete_shalfedge_only(SHalfedge_handle h)  {
     CGAL_NEF_TRACEN("~ deleting shalfedge only "<<&*h<<" from "<<&*this);
     CGAL_assertion(!is_sm_boundary_object(h));
     shalfedges_.erase(h);
     put_shalfedge_node(&*h);
   }
-  void delete_shalfloop_only(SHalfloop_handle h)  { 
+  void delete_shalfloop_only(SHalfloop_handle h)  {
     CGAL_NEF_TRACEN("~ deleting shalfloop only "<<&*h<<" from "<<&*this);
     CGAL_assertion(!is_sm_boundary_object(h));
-    shalfloops_.erase(h); 
+    shalfloops_.erase(h);
     put_shalfloop_node(&*h);
   }
-  void delete_sface_only(SFace_handle h)  { 
+  void delete_sface_only(SFace_handle h)  {
     CGAL_NEF_TRACEN("~ deleting sface only "<<&*h<<" from "<<&*this);
     CGAL_assertion(!is_boundary_object(h));
     sfaces_.erase(h);
@@ -1207,37 +1207,37 @@ public:
       // bytes used for the SNC_structure
 
       std::size_t result = sizeof(Self);
-      result += number_of_vertices()   * (sizeof(Vertex) 
-					  - sizeof(Point_3));
-      result += number_of_halfedges()  * (sizeof(Halfedge) 
-					  - sizeof(Sphere_point));
+      result += number_of_vertices()   * (sizeof(Vertex)
+                                          - sizeof(Point_3));
+      result += number_of_halfedges()  * (sizeof(Halfedge)
+                                          - sizeof(Sphere_point));
       result += number_of_halffacets() * (sizeof(Halffacet)
-					  - sizeof(Plane_3));
+                                          - sizeof(Plane_3));
       result += number_of_volumes()    * sizeof(Volume);
       result += number_of_shalfedges() * (sizeof(SHalfedge)
-					  - sizeof(Sphere_circle));
+                                          - sizeof(Sphere_circle));
       result += number_of_shalfloops() * sizeof(SHalfloop);
       result += number_of_sfaces()     * sizeof(SFace);
 
       Halffacet_iterator hf;
       CGAL_forall_halffacets(hf, *this) {
-	Halffacet_cycle_iterator fc;
-	CGAL_forall_facet_cycles_of(fc, hf)
-	  result += sizeof(*fc) + 2 * sizeof(void*);
+        Halffacet_cycle_iterator fc;
+        CGAL_forall_facet_cycles_of(fc, hf)
+          result += sizeof(*fc) + 2 * sizeof(void*);
       }
 
       Volume_iterator c;
       CGAL_forall_volumes(c, *this) {
-	Shell_entry_iterator sei;
-	CGAL_forall_shells_of(sei,c) 
-	  result += sizeof(*sei) + 2 * sizeof(void*);
+        Shell_entry_iterator sei;
+        CGAL_forall_shells_of(sei,c)
+          result += sizeof(*sei) + 2 * sizeof(void*);
       }
 
       SFace_iterator sf;
       CGAL_forall_sfaces(sf, *this) {
-	SFace_cycle_iterator sfc;
-	CGAL_forall_sface_cycles_of(sfc,sf)
-	  result += sizeof(*sfc) + 2 * sizeof(void*);
+        SFace_cycle_iterator sfc;
+        CGAL_forall_sface_cycles_of(sfc,sf)
+          result += sizeof(*sfc) + 2 * sizeof(void*);
       }
 
       return result;
@@ -1249,43 +1249,43 @@ public:
       // bytes used for the SNC_structure
 
       std::size_t result = sizeof(Self);
-      result += number_of_vertices()   * (sizeof(Vertex) 
-					  - sizeof(Point_3)
-					  - sizeof(SHalfloop_iterator)
-					  - 2 * sizeof(Mark)
-					  - sizeof(void*));
-      result += number_of_halfedges()  * (sizeof(Halfedge) 
-					  - sizeof(SHalfedge_handle)
-					  - sizeof(SFace_handle)
-					  - sizeof(void*)
-					  - sizeof(Sphere_point));
+      result += number_of_vertices()   * (sizeof(Vertex)
+                                          - sizeof(Point_3)
+                                          - sizeof(SHalfloop_iterator)
+                                          - 2 * sizeof(Mark)
+                                          - sizeof(void*));
+      result += number_of_halfedges()  * (sizeof(Halfedge)
+                                          - sizeof(SHalfedge_handle)
+                                          - sizeof(SFace_handle)
+                                          - sizeof(void*)
+                                          - sizeof(Sphere_point));
       result += number_of_halffacets() * (sizeof(Halffacet)
-					  - sizeof(Plane_3));
+                                          - sizeof(Plane_3));
       result += number_of_volumes()    * sizeof(Volume);
       result += number_of_shalfedges() * (sizeof(SHalfedge)
-					  - sizeof(SVertex_handle)
-					  - 3 * sizeof(SHalfedge_handle)
-					  - sizeof(SFace_handle)
-					  - sizeof(void*)
-					  - sizeof(Mark)
-					  - sizeof(Sphere_circle));
+                                          - sizeof(SVertex_handle)
+                                          - 3 * sizeof(SHalfedge_handle)
+                                          - sizeof(SFace_handle)
+                                          - sizeof(void*)
+                                          - sizeof(Mark)
+                                          - sizeof(Sphere_circle));
       result += number_of_sfaces()     * (sizeof(SFace)
-					  - sizeof(void*)
-					  - sizeof(Mark)
-					  - sizeof(Object_list));
+                                          - sizeof(void*)
+                                          - sizeof(Mark)
+                                          - sizeof(Object_list));
 
       Halffacet_iterator hf;
       CGAL_forall_halffacets(hf, *this) {
-	Halffacet_cycle_iterator fc;
-	CGAL_forall_facet_cycles_of(fc, hf)
-	  result += sizeof(*fc) + 2 * sizeof(void*);
+        Halffacet_cycle_iterator fc;
+        CGAL_forall_facet_cycles_of(fc, hf)
+          result += sizeof(*fc) + 2 * sizeof(void*);
       }
 
       Volume_iterator c;
       CGAL_forall_volumes(c, *this) {
-	Shell_entry_iterator sei;
-	CGAL_forall_shells_of(sei,c) 
-	  result += sizeof(*sei) + 2 * sizeof(void*);
+        Shell_entry_iterator sei;
+        CGAL_forall_shells_of(sei,c)
+          result += sizeof(*sei) + 2 * sizeof(void*);
       }
 
       return result;
@@ -1295,35 +1295,35 @@ public:
       // bytes used for the SNC_structure
 
       std::size_t result = sizeof(Self);
-      result += number_of_vertices()   * (sizeof(Mark) 
-					  + sizeof(SNC_structure*)
-					  + sizeof(Object_list)
-					  + 2 * sizeof(SFace_handle));
+      result += number_of_vertices()   * (sizeof(Mark)
+                                          + sizeof(SNC_structure*)
+                                          + sizeof(Object_list)
+                                          + 2 * sizeof(SFace_handle));
       result += number_of_halfedges()  * (sizeof(Vertex_handle)
-					  + sizeof(SVertex_handle)
-					  + sizeof(Mark)
-					  + 2 * sizeof(Object_handle));
+                                          + sizeof(SVertex_handle)
+                                          + sizeof(Mark)
+                                          + 2 * sizeof(Object_handle));
       result += number_of_halffacets() * (sizeof(Halffacet)
-					  - sizeof(Plane_3));
+                                          - sizeof(Plane_3));
       result += number_of_volumes()    * sizeof(Volume);
       result += number_of_shalfedges() * (2 * sizeof(SHalfedge_handle)
-					  + sizeof(Halffacet_handle));
+                                          + sizeof(Halffacet_handle));
       result += number_of_shalfloops() * sizeof(SHalfloop);
       result += number_of_sfaces()     * (sizeof(Vertex_handle)
-					  + sizeof(Volume_handle));
+                                          + sizeof(Volume_handle));
 
       Halffacet_iterator hf;
       CGAL_forall_halffacets(hf, *this) {
-	Halffacet_cycle_iterator fc;
-	CGAL_forall_facet_cycles_of(fc, hf)
-	  result += sizeof(*fc) + 2 * sizeof(void*);
+        Halffacet_cycle_iterator fc;
+        CGAL_forall_facet_cycles_of(fc, hf)
+          result += sizeof(*fc) + 2 * sizeof(void*);
       }
 
       Volume_iterator c;
       CGAL_forall_volumes(c, *this) {
-	Shell_entry_iterator sei;
-	CGAL_forall_shells_of(sei,c) 
-	  result += sizeof(*sei) + 2 * sizeof(void*);
+        Shell_entry_iterator sei;
+        CGAL_forall_shells_of(sei,c)
+          result += sizeof(*sei) + 2 * sizeof(void*);
       }
 
       return result;
@@ -1331,7 +1331,7 @@ public:
 
 protected:
   void pointer_update(const Self& D);
-  
+
   typedef boost::optional<Object_iterator> Optional_object_iterator ;
  private:
   Generic_handle_map<Optional_object_iterator> boundary_item_;
@@ -1413,13 +1413,13 @@ pointer_update(const SNC_structure<Kerne
     Halffacet_cycle_iterator ftc;
     for(ftc = f->facet_cycles_begin(); ftc !=  f->facet_cycles_end(); ++ftc) {
       if (ftc.is_shalfedge() ) {
-	se = SHalfedge_handle(ftc);
-	*ftc = make_object(SEM[se]); 
-	store_boundary_item(se,ftc); 
+        se = SHalfedge_handle(ftc);
+        *ftc = make_object(SEM[se]);
+        store_boundary_item(se,ftc);
       } else if (ftc.is_shalfloop() ) {
-	sl = SHalfloop_handle(ftc);
-	*ftc = make_object(SLM[sl]); 
-	store_boundary_item(sl,ftc); 
+        sl = SHalfloop_handle(ftc);
+        *ftc = make_object(SLM[sl]);
+        store_boundary_item(sl,ftc);
       } else CGAL_error_msg("damn wrong boundary item in facet.");
     }
   }
@@ -1429,8 +1429,8 @@ pointer_update(const SNC_structure<Kerne
     Shell_entry_iterator sei;
     CGAL_forall_shells_of(sei,c) {
       sf = sei; // conversion from generic iterator to sface const handle
-      *sei = make_object(SFM[sf]); 
-      store_boundary_item(sf,sei); 
+      *sei = make_object(SFM[sf]);
+      store_boundary_item(sf,sei);
     }
   }
 
@@ -1449,39 +1449,39 @@ pointer_update(const SNC_structure<Kerne
     sl->facet() = FM[sl->facet()];
   }
   for ( slc = D.shalfloops_begin(), sl = shalfloops_begin();
-	slc != D.shalfloops_end(); ++slc, ++sl) {
-    /* It is possible that the is_twin() property differs for equivalent 
+        slc != D.shalfloops_end(); ++slc, ++sl) {
+    /* It is possible that the is_twin() property differs for equivalent
        sloops on both SNC structures.  So, we need to store the correct
        selection mark in the correct (non-twin) facet of a shalfloop pair. */
     CGAL_assertion_code( if( slc->is_twin() == sl->is_twin())
-			 CGAL_assertion( slc->mark() == sl->mark()));
+                         CGAL_assertion( slc->mark() == sl->mark()));
     if( !sl->is_twin() && slc->is_twin()) sl->mark() = sl->twin()->mark();
   }
 
   CGAL_forall_sfaces(sf,*this) {
-	  sf->center_vertex() = VM[sf->center_vertex()];
-	  sf->volume() = CM[sf->volume()];
-	  SFace_cycle_iterator sfc;
-	  for(sfc = sf->sface_cycles_begin(); 
-		  sfc != sf->sface_cycles_end(); ++sfc) 
-	  {
-		  if (sfc.is_svertex()) { 
-			  SVertex_handle sv(sfc);
-			  sv = EM[sv];
-			  *sfc = make_object(sv);
-			  store_sm_boundary_item(sv,sfc);
-		  } else if (sfc.is_shalfedge()) { 
-			  se = SHalfedge_handle(sfc);
-			  se = SEM[se];
-			  *sfc = make_object(se);
-			  store_sm_boundary_item(se,sfc);
-		  } else if (sfc.is_shalfloop()) { 
-			  sl = SHalfloop_handle(sfc);
-			  sl = SLM[sl];
-			  *sfc = make_object(sl);
-			  store_sm_boundary_item(sl,sfc);
-		  } else CGAL_error_msg("damn wrong boundary item in sface.");
-	  }
+          sf->center_vertex() = VM[sf->center_vertex()];
+          sf->volume() = CM[sf->volume()];
+          SFace_cycle_iterator sfc;
+          for(sfc = sf->sface_cycles_begin();
+                  sfc != sf->sface_cycles_end(); ++sfc)
+          {
+                  if (sfc.is_svertex()) {
+                          SVertex_handle sv(sfc);
+                          sv = EM[sv];
+                          *sfc = make_object(sv);
+                          store_sm_boundary_item(sv,sfc);
+                  } else if (sfc.is_shalfedge()) {
+                          se = SHalfedge_handle(sfc);
+                          se = SEM[se];
+                          *sfc = make_object(se);
+                          store_sm_boundary_item(se,sfc);
+                  } else if (sfc.is_shalfloop()) {
+                          sl = SHalfloop_handle(sfc);
+                          sl = SLM[sl];
+                          *sfc = make_object(sl);
+                          store_sm_boundary_item(sl,sfc);
+                  } else CGAL_error_msg("damn wrong boundary item in sface.");
+          }
   }
 }
 
diff -pruN 5.0.2-3/include/CGAL/Nef_3/vertex_cycle_to_nef_3.h 5.0.3-1/include/CGAL/Nef_3/vertex_cycle_to_nef_3.h
--- 5.0.2-3/include/CGAL/Nef_3/vertex_cycle_to_nef_3.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/vertex_cycle_to_nef_3.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/vertex_cycle_to_nef_3.h $
-// $Id: vertex_cycle_to_nef_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/vertex_cycle_to_nef_3.h $
+// $Id: vertex_cycle_to_nef_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ralf Osbild <osbild@mpi-sb.mpg.de>
 
@@ -44,25 +44,25 @@ class Index_assigner {
   template<typename Handle>
     void assign_first_index() const {}
   template<typename Handle>
-    void assign_new_index() {} 
+    void assign_new_index() {}
 };
 
 template<> class Index_assigner<CGAL::SNC_indexed_items> {
   int first;
   int index;
  public:
- Index_assigner() : 
+ Index_assigner() :
   first(Index_generator::get_unique_index()), index(first) {}
-  
+
   template<typename Handle>
-    void assign_index(Handle& h) const 
+    void assign_index(Handle& h) const
     { h->set_index(index); }
   template<typename Handle>
-    void assign_first_index(Handle& h) const 
+    void assign_first_index(Handle& h) const
     { h->set_index(first); }
   template<typename Handle>
     void assign_new_index(Handle& h)
-    { h->set_index(); index = h->get_index(); } 
+    { h->set_index(); index = h->get_index(); }
 };
 */
 
@@ -81,7 +81,7 @@ class Compare_cpte {
       return p0.first < p1.first;
     else
       return p0.second < p1.second;
-  }  
+  }
 };
 
 class Compare_face {
@@ -89,7 +89,7 @@ class Compare_face {
  public:
   Compare_face() {}
 
-  template<typename Face>  
+  template<typename Face>
     bool operator()(const Face* f0, const Face* f1) const {
     return f0 < f1;
   }
@@ -100,12 +100,12 @@ template<typename Items,
   typename Edge, typename CompareEdges> class Index_matcher {
  public:
   Index_matcher() {}
-  template<typename Handle> 
+  template<typename Handle>
   void set_index(Handle /*h*/, Edge /*e*/) {}
 };
 
-template<typename Edge, typename CompareEdges> 
-  class Index_matcher<CGAL::SNC_indexed_items, Edge, CompareEdges> 
+template<typename Edge, typename CompareEdges>
+  class Index_matcher<CGAL::SNC_indexed_items, Edge, CompareEdges>
 {
 
   bool plusTwin;
@@ -125,7 +125,7 @@ template<typename Edge, typename Compare
       edge2int.insert(std::make_pair(e,new_index));
       h->set_index(new_index);
       if(plusTwin)
-	h->twin()->set_index();
+        h->twin()->set_index();
     }
   }
 };
@@ -172,7 +172,7 @@ bool projected_vertex_cycle_to_nef_3 (ty
    for (nov=0, v_it=v_first; v_it!=v_last; ++v_it)
    {  if ( *v_it != (ctp.insert (*v_it))->point() )
       {  ostr << " -> Different vertices are projected to same location!";
-	 return false;
+         return false;
       }
       ++nov;
    }
@@ -224,7 +224,7 @@ bool projected_vertex_cycle_to_nef_3 (ty
 
       t_fc = t_fc_0 = ctp.incident_faces(t_vh, t_fh);
       if(t_fc == CTP_face_circulator())
-	return false;
+        return false;
       do
       {  if ((cond=t_fc->is_constrained(ctp.cw(t_fc->index(t_vh))))) break;
       } while (--t_fc != t_fc_0)
@@ -253,58 +253,58 @@ bool projected_vertex_cycle_to_nef_3 (ty
       SVertex_handle p_svh (p_dec.new_svertex (dir)), p_svh_pred=p_svh;
       p_svh->mark() = true;
       if(&*t_target_vh < &*t_vh)
-	im_edge.set_index(p_svh, std::make_pair(&*t_target_vh, &*t_vh));
+        im_edge.set_index(p_svh, std::make_pair(&*t_target_vh, &*t_vh));
       else
-	im_edge.set_index(p_svh, std::make_pair(&*t_vh, &*t_target_vh));
+        im_edge.set_index(p_svh, std::make_pair(&*t_vh, &*t_target_vh));
 
       // consider triangles (implicit edges) that are incident to *t_vh
       t_fc = t_fc_0 = t_fc_1 = ctp.incident_faces(t_vh, t_fh);
       ++t_fc_1;
       do
       {  idx = t_fc->index(t_vh);
-	 t_target_vh = t_fc->vertex(ctp.ccw(idx));
+         t_target_vh = t_fc->vertex(ctp.ccw(idx));
 
-	 // assertion
-	 if ( ctp.is_infinite(t_target_vh) )
+         // assertion
+         if ( ctp.is_infinite(t_target_vh) )
          {  ostr << " -> Vertex cycle is not simple; edges overlap.";
             return false;
-	 }
+         }
 
-	 // create new svertex in SM
+         // create new svertex in SM
          dir = Sphere_point ( CGAL::ORIGIN+
-	    (t_target_vh->point() - t_vh->point()) );
+            (t_target_vh->point() - t_vh->point()) );
 
-	 // assertion
-	 if ( dir == dir_0 )
+         // assertion
+         if ( dir == dir_0 )
          {  ostr << " -> Vertex cycle is not simple; edges overlap.";
             return false;
-	 }
-	 p_svh = SVertex_handle (p_dec.new_svertex(dir));
-	 p_svh->mark() = true;
-	 if(&*t_target_vh < &*t_vh)
-	   im_edge.set_index(p_svh, std::make_pair(&*t_target_vh, &*t_vh));
-	 else
-	   im_edge.set_index(p_svh, std::make_pair(&*t_vh, &*t_target_vh));
-	 
-	 // create new sphere edges in SM
+         }
+         p_svh = SVertex_handle (p_dec.new_svertex(dir));
+         p_svh->mark() = true;
+         if(&*t_target_vh < &*t_vh)
+           im_edge.set_index(p_svh, std::make_pair(&*t_target_vh, &*t_vh));
+         else
+           im_edge.set_index(p_svh, std::make_pair(&*t_vh, &*t_target_vh));
+
+         // create new sphere edges in SM
          SHalfedge_handle p_seh =
-	    p_dec.new_shalfedge_pair (p_svh_pred, p_svh);
+            p_dec.new_shalfedge_pair (p_svh_pred, p_svh);
          Sphere_circle p_scirc
-	    (p_seh->source()->point(), p_seh->target()->point());
+            (p_seh->source()->point(), p_seh->target()->point());
          p_seh->circle() = p_scirc;
          p_seh->twin()->circle() = p_scirc.opposite();
          p_seh->mark() = p_seh->twin()->mark() = true;
-	 im_sedge.set_index(p_seh, &*t_fc);
+         im_sedge.set_index(p_seh, &*t_fc);
 
-	 // constrained edge detected?
-	 if ((cond = t_fc->is_constrained(ctp.cw(idx))))
-	 {  // create new sface in SM
-	    SFace_handle p_fh = p_dec.new_sface ();
-	    p_fh->mark() = false;
-	    p_dec.link_as_face_cycle(p_seh,p_fh);
-	    break;
-	 }
-	 p_svh_pred = p_svh;
+         // constrained edge detected?
+         if ((cond = t_fc->is_constrained(ctp.cw(idx))))
+         {  // create new sface in SM
+            SFace_handle p_fh = p_dec.new_sface ();
+            p_fh->mark() = false;
+            p_dec.link_as_face_cycle(p_seh,p_fh);
+            break;
+         }
+         p_svh_pred = p_svh;
       } while (--t_fc != t_fc_0)
       ; CGAL_assertion ( cond ); // do-while ends with break
 
@@ -318,7 +318,7 @@ bool projected_vertex_cycle_to_nef_3 (ty
       --t_fc;
       while (--t_fc != t_fc_0)
       {  idx = t_fc->index(t_vh);
-	 if ( t_fc->is_constrained(ctp.ccw(idx)) )
+         if ( t_fc->is_constrained(ctp.ccw(idx)) )
          {  ostr << " -> Vertex cycle is not simple; edge contains vertex.";
             return false;
          }
@@ -376,7 +376,7 @@ typedef CGAL::Constrained_triangulation_
    if ( normal == NULL_VECTOR )
    {  // report it
       ostr << " -> function parameter 'normal' is NULL_VECTOR"
-	   << " (this can be a symptom of an error).";
+           << " (this can be a symptom of an error).";
    }
 
    if ( normal != NULL_VECTOR )
@@ -411,7 +411,7 @@ typedef CGAL::Constrained_triangulation_
    {  // if conversion is unsuccessful so far, try another projection
       if ( !is_nef && direc != 'x' )
       {  ostr << " Now, direction of projection is 'x'.";
-	 is_nef = projected_vertex_cycle_to_nef_3<YZ_tri_plus,Nef_3> (
+         is_nef = projected_vertex_cycle_to_nef_3<YZ_tri_plus,Nef_3> (
                   snc, v_first, v_last, ostr);
       }
       if ( !is_nef && direc != 'y' )
@@ -429,9 +429,9 @@ typedef CGAL::Constrained_triangulation_
    // no successful conversion?
    if ( !is_nef && verb )
    {  std::cerr << "\nConversion from vertex cycle to Nef_polyhedron_3"
-	 << " was not successful. Error history:"
+         << " was not successful. Error history:"
          << ostr.str().c_str()
-	 << " Finally, empty Nef_polyhedron_3 was constructed." << std::endl;
+         << " Finally, empty Nef_polyhedron_3 was constructed." << std::endl;
    }
 
    return is_nef;
diff -pruN 5.0.2-3/include/CGAL/Nef_3/Vertex.h 5.0.3-1/include/CGAL/Nef_3/Vertex.h
--- 5.0.2-3/include/CGAL/Nef_3/Vertex.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/Vertex.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/Vertex.h $
-// $Id: Vertex.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/Vertex.h $
+// $Id: Vertex.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel        <seel@mpi-sb.mpg.de>
 //                 Miguel Granados     <granados@mpi-sb.mpg.de>
@@ -76,66 +76,66 @@ class Vertex_base {
 
  public:
 
-  Vertex_base() : point_at_center_(), mark_(), sncp_(), 
+  Vertex_base() : point_at_center_(), mark_(), sncp_(),
     svertices_begin_(), svertices_last_(),
     shalfedges_begin_(), shalfedges_last_(),
     sfaces_begin_(), sfaces_last_(), shalfloop_(),
-    info_() 
-    // , sm_(Vertex_handle((SNC_in_place_list_vertex<Vertex_base>*) this)) 
+    info_()
+    // , sm_(Vertex_handle((SNC_in_place_list_vertex<Vertex_base>*) this))
       {}
 
-    Vertex_base(const Point_3& p, Mark m) : 
-      point_at_center_(p), mark_(m), sncp_(), 
+    Vertex_base(const Point_3& p, Mark m) :
+      point_at_center_(p), mark_(m), sncp_(),
       svertices_begin_(), svertices_last_(),
       shalfedges_begin_(), shalfedges_last_(),
       sfaces_begin_(), sfaces_last_(), shalfloop_(),
-      info_() 
-      //    , sm_(Vertex_handle((SNC_in_place_list_vertex<Vertex_base>*) this)) 
-	{}
-
-      Vertex_base(const Vertex_base<Refs>& v) 
-      //      : sm_(Vertex_handle((SNC_in_place_list_vertex<Vertex_base>*)this)) 
-	{
-	  point_at_center_ = v.point_at_center_;
-	  mark_ = v.mark_;
-	  sncp_ = v.sncp_;
-	  svertices_begin_ = v.svertices_begin_;
-	  svertices_last_ = v.svertices_last_;
-	  shalfedges_begin_ = v.shalfedges_begin_;
-	  shalfedges_last_ = v.shalfedges_last_;
-	  sfaces_begin_ = v.sfaces_begin_;
-	  sfaces_last_ = v.sfaces_last_;
-	  shalfloop_ = v.shalfloop_;
-	  info_ = 0;
-	}
-      
+      info_()
+      //    , sm_(Vertex_handle((SNC_in_place_list_vertex<Vertex_base>*) this))
+        {}
+
+      Vertex_base(const Vertex_base<Refs>& v)
+      //      : sm_(Vertex_handle((SNC_in_place_list_vertex<Vertex_base>*)this))
+        {
+          point_at_center_ = v.point_at_center_;
+          mark_ = v.mark_;
+          sncp_ = v.sncp_;
+          svertices_begin_ = v.svertices_begin_;
+          svertices_last_ = v.svertices_last_;
+          shalfedges_begin_ = v.shalfedges_begin_;
+          shalfedges_last_ = v.shalfedges_last_;
+          sfaces_begin_ = v.sfaces_begin_;
+          sfaces_last_ = v.sfaces_last_;
+          shalfloop_ = v.shalfloop_;
+          info_ = 0;
+        }
+
       Vertex_base<Refs>& operator=(const Vertex_base<Refs>& v)
-	{ if (this == &v) return *this;
-	  point_at_center_ = v.point_at_center_;
-	  mark_ = v.mark_;
-	  sncp_ = v.sncp_;
-	  svertices_begin_ = v.svertices_begin_;
-	  svertices_last_ = v.svertices_last_;
-	  shalfedges_begin_ = v.shalfedges_begin_;
-	  shalfedges_last_ = v.shalfedges_last_;
-	  sfaces_begin_ = v.sfaces_begin_;
-	  sfaces_last_ = v.sfaces_last_;
-	  shalfloop_ = v.shalfloop_;
-	  return *this;
-	}
+        { if (this == &v) return *this;
+          point_at_center_ = v.point_at_center_;
+          mark_ = v.mark_;
+          sncp_ = v.sncp_;
+          svertices_begin_ = v.svertices_begin_;
+          svertices_last_ = v.svertices_last_;
+          shalfedges_begin_ = v.shalfedges_begin_;
+          shalfedges_last_ = v.shalfedges_last_;
+          sfaces_begin_ = v.sfaces_begin_;
+          sfaces_last_ = v.sfaces_last_;
+          shalfloop_ = v.shalfloop_;
+          return *this;
+        }
 
       Refs* sncp() const { return sncp_; }
       Refs*& sncp() { return sncp_; }
 
       /* all sobjects of the local graph are stored in a global list
-	 where each vertex has a continous range in each list for its
-	 sobjects. All objects of the range [sxxx_begin_,sxxx_last_]
-	 belong to a vertex. This range is empty iff 
-	 sxxx_begin_ == sxxx_last_ == sncp()->sxxx_end()
-	 ( the latter being the standard end iterator of the 
+         where each vertex has a continous range in each list for its
+         sobjects. All objects of the range [sxxx_begin_,sxxx_last_]
+         belong to a vertex. This range is empty iff
+         sxxx_begin_ == sxxx_last_ == sncp()->sxxx_end()
+         ( the latter being the standard end iterator of the
          corresponding list )
-	 for the past the end iterator we have to increment sxxx_last_
-	 once iff the range is non-empty. */
+         for the past the end iterator we have to increment sxxx_last_
+         once iff the range is non-empty. */
 
       void init_range(SVertex_iterator it)
       { svertices_begin_ = svertices_last_ = it; }
@@ -144,150 +144,150 @@ class Vertex_base {
       void init_range(SFace_iterator it)
       { sfaces_begin_ = sfaces_last_ = it; }
 
-      SVertex_iterator& svertices_begin() 
-	{ return svertices_begin_; }
-      SVertex_iterator& svertices_last() 
-	{ return svertices_last_; }
-      SVertex_iterator svertices_end() 
-      { if ( svertices_last_ == sncp()->svertices_end() ) 
-	  return svertices_last_; 
-	else 
-	  return ++SVertex_iterator(svertices_last_); }
-
-      SHalfedge_iterator& shalfedges_begin() 
-	{ return shalfedges_begin_; }
-      SHalfedge_iterator& shalfedges_last() 
-	{ return shalfedges_last_; }
-      SHalfedge_iterator shalfedges_end() 
-      { if ( shalfedges_last_ == sncp()->shalfedges_end() ) 
-	  return shalfedges_last_;
-	else 
-	  return ++SHalfedge_iterator(shalfedges_last_); }
+      SVertex_iterator& svertices_begin()
+        { return svertices_begin_; }
+      SVertex_iterator& svertices_last()
+        { return svertices_last_; }
+      SVertex_iterator svertices_end()
+      { if ( svertices_last_ == sncp()->svertices_end() )
+          return svertices_last_;
+        else
+          return ++SVertex_iterator(svertices_last_); }
+
+      SHalfedge_iterator& shalfedges_begin()
+        { return shalfedges_begin_; }
+      SHalfedge_iterator& shalfedges_last()
+        { return shalfedges_last_; }
+      SHalfedge_iterator shalfedges_end()
+      { if ( shalfedges_last_ == sncp()->shalfedges_end() )
+          return shalfedges_last_;
+        else
+          return ++SHalfedge_iterator(shalfedges_last_); }
 
-      SFace_iterator& sfaces_begin() 
-	{ return sfaces_begin_; }
+      SFace_iterator& sfaces_begin()
+        { return sfaces_begin_; }
       SFace_iterator& sfaces_last()
-	{ return sfaces_last_; }
+        { return sfaces_last_; }
       SFace_iterator sfaces_end()
-      { if ( sfaces_last_ == sncp()->sfaces_end() ) 
-	  return sfaces_last_;
-	else 
-	  return ++SFace_iterator(sfaces_last_); }
+      { if ( sfaces_last_ == sncp()->sfaces_end() )
+          return sfaces_last_;
+        else
+          return ++SFace_iterator(sfaces_last_); }
 
       SVertex_const_iterator svertices_begin() const
       { return svertices_begin_; }
       SVertex_const_iterator svertices_last() const
       { return svertices_last_; }
       SVertex_const_iterator svertices_end() const
-      { if ( svertices_last_ == sncp()->svertices_end() ) 
-	  return svertices_last_; 
-	else 
-	  return ++SVertex_const_iterator(svertices_last_); }
+      { if ( svertices_last_ == sncp()->svertices_end() )
+          return svertices_last_;
+        else
+          return ++SVertex_const_iterator(svertices_last_); }
 
       SHalfedge_const_iterator shalfedges_begin() const
       { return shalfedges_begin_; }
       SHalfedge_const_iterator shalfedges_last() const
       { return shalfedges_last_; }
       SHalfedge_const_iterator shalfedges_end() const
-      { if ( shalfedges_last_ == sncp()->shalfedges_end() ) 
-	  return shalfedges_last_;
-	else 
-	  return ++SHalfedge_const_iterator(shalfedges_last_); }
+      { if ( shalfedges_last_ == sncp()->shalfedges_end() )
+          return shalfedges_last_;
+        else
+          return ++SHalfedge_const_iterator(shalfedges_last_); }
 
       SFace_const_iterator sfaces_begin() const
       { return sfaces_begin_; }
       SFace_const_iterator sfaces_last() const
       { return sfaces_last_; }
       SFace_const_iterator sfaces_end() const
-      { if ( sfaces_last_ == sncp()->sfaces_end() ) 
-	  return sfaces_last_;
-	else 
-	  return ++SFace_const_iterator(sfaces_last_); }
+      { if ( sfaces_last_ == sncp()->sfaces_end() )
+          return sfaces_last_;
+        else
+          return ++SFace_const_iterator(sfaces_last_); }
 
       SHalfloop_handle& shalfloop() { return shalfloop_; }
       SHalfloop_handle shalfloop() const { return shalfloop_; }
 
       bool has_shalfloop() const {
-	return shalfloop_ != sncp()->shalfloops_end();
+        return shalfloop_ != sncp()->shalfloops_end();
       }
 
-      Size_type number_of_svertices() const 
+      Size_type number_of_svertices() const
       /*{\Mop returns the number of vertices.}*/
       { Size_type n(0);
-	SVertex_const_iterator vit;
-	CGAL_forall_svertices(vit, *this) ++n;
-	return n; }
-    
-      Size_type number_of_shalfedges() const 
+        SVertex_const_iterator vit;
+        CGAL_forall_svertices(vit, *this) ++n;
+        return n; }
+
+      Size_type number_of_shalfedges() const
       /*{\Mop returns the number of halfedges.}*/
       { Size_type n(0);
-	SHalfedge_const_iterator eit;
-	CGAL_forall_shalfedges(eit, *this) ++n;
-	return n;}
-    
-      Size_type number_of_sedges() const 
+        SHalfedge_const_iterator eit;
+        CGAL_forall_shalfedges(eit, *this) ++n;
+        return n;}
+
+      Size_type number_of_sedges() const
       /*{\Mop returns the number of edges.}*/
       { return number_of_shalfedges()/2; }
-    
-      Size_type number_of_shalfloops() const 
+
+      Size_type number_of_shalfloops() const
       /*{\Mop returns the number of halfloops.}*/
       { return ( has_shalfloop() ? 2 : 0); }
-    
-      Size_type number_of_sloops() const 
+
+      Size_type number_of_sloops() const
       /*{\Mop returns the number of loops.}*/
       { return number_of_shalfloops()/2; }
-    
-      Size_type number_of_sfaces() const    
+
+      Size_type number_of_sfaces() const
       /*{\Mop returns the number of faces.}*/
       { Size_type n(0);
-	SFace_const_iterator fit;
-	CGAL_forall_sfaces(fit, *this) ++n;
-	return n; }
+        SFace_const_iterator fit;
+        CGAL_forall_sfaces(fit, *this) ++n;
+        return n; }
 
 
       /*{\Xtext Vertices provide access to their local graphs via
-	the iterator ranges:
-	\begin{Mverb}
-	SVertex_iterator     svertices_begin()/svertices_end()
-	SHalfedge_iterator   shalfedges_begin()/shalfedges_end()
-	SFace_iterator       sfaces_begin()/sfaces_end() 
-	SHalfloop_handle     shalfloop()
-	\end{Mverb}
-	}*/
-
-      void clear() 
-	/*{\Xop clears the local graph.}*/ { 
-	SFace_iterator fit = sfaces_begin(),
-	  fend = sfaces_end();
-	while (fit != fend) {
-	  SFace_iterator fdel = fit++;
-	  /* TO VERIFY: next statement needs access to a private attribute */
-	  sncp()->reset_sm_object_list(fdel->boundary_entry_objects_);
-	  sncp()->delete_sface_only(fdel);
-	}
-	sfaces_begin_ = sfaces_last_ = sncp()->sfaces_end();
-
-	if ( shalfloop() != sncp()->shalfloops_end() ) {
-	  sncp()->delete_shalfloop_only(shalfloop_->twin());
-	  sncp()->delete_shalfloop_only(shalfloop_);
-	  shalfloop_ = sncp()->shalfloops_end();
-	}
-
-	SHalfedge_iterator eit = shalfedges_begin(),
-	  eend = shalfedges_end();
-	while (eit != eend) {
-	  SHalfedge_iterator edel = eit++;
-	  sncp()->delete_shalfedge_only(edel);
-	}
-	shalfedges_begin_ = shalfedges_last_ = sncp()->shalfedges_end();
-
-	SVertex_iterator vit = svertices_begin(),
-	  vend = svertices_end();
-	while (vit != vend) {
-	  SVertex_iterator vdel = vit++;
-	  sncp()->delete_halfedge_only(vdel);
-	}
-	svertices_begin_ = svertices_last_ = sncp()->halfedges_end();
+        the iterator ranges:
+        \begin{Mverb}
+        SVertex_iterator     svertices_begin()/svertices_end()
+        SHalfedge_iterator   shalfedges_begin()/shalfedges_end()
+        SFace_iterator       sfaces_begin()/sfaces_end()
+        SHalfloop_handle     shalfloop()
+        \end{Mverb}
+        }*/
+
+      void clear()
+        /*{\Xop clears the local graph.}*/ {
+        SFace_iterator fit = sfaces_begin(),
+          fend = sfaces_end();
+        while (fit != fend) {
+          SFace_iterator fdel = fit++;
+          /* TO VERIFY: next statement needs access to a private attribute */
+          sncp()->reset_sm_object_list(fdel->boundary_entry_objects_);
+          sncp()->delete_sface_only(fdel);
+        }
+        sfaces_begin_ = sfaces_last_ = sncp()->sfaces_end();
+
+        if ( shalfloop() != sncp()->shalfloops_end() ) {
+          sncp()->delete_shalfloop_only(shalfloop_->twin());
+          sncp()->delete_shalfloop_only(shalfloop_);
+          shalfloop_ = sncp()->shalfloops_end();
+        }
+
+        SHalfedge_iterator eit = shalfedges_begin(),
+          eend = shalfedges_end();
+        while (eit != eend) {
+          SHalfedge_iterator edel = eit++;
+          sncp()->delete_shalfedge_only(edel);
+        }
+        shalfedges_begin_ = shalfedges_last_ = sncp()->shalfedges_end();
+
+        SVertex_iterator vit = svertices_begin(),
+          vend = svertices_end();
+        while (vit != vend) {
+          SVertex_iterator vdel = vit++;
+          sncp()->delete_halfedge_only(vdel);
+        }
+        svertices_begin_ = svertices_last_ = sncp()->halfedges_end();
       }
 
       Point_3& point() { return point_at_center_; }
@@ -298,71 +298,71 @@ class Vertex_base {
       const GenPtr& info() const { return info_; }
 
       ~Vertex_base() {
-	CGAL_NEF_TRACEN("  destroying Vertex item "<<&*this);
+        CGAL_NEF_TRACEN("  destroying Vertex item "<<&*this);
       }
 
  public:
       std::string debug() const
-	{ std::stringstream os; 
-	  set_pretty_mode(os); 
-	  os<<"{ addr, point, mark, snc, svb, sve, seb, see, sfb, sfe, sl,"
-	    <<" info }"<<std::endl;
-	  os<<"{ "<<this<<", "<<point_at_center_<<", "<<mark_<<", "<<&*sncp_<<", "
-	    <<&*svertices_begin_ <<", "<<&*svertices_last_ <<", "
-	    <<&*shalfedges_begin_<<", "<<&*shalfedges_last_<<", "
-	    <<&*sfaces_begin_    <<", "<<&*sfaces_last_    <<", "
-	    <<&*shalfloop_       <<", "
-	    <<info_<<" }";
-	  return os.str();
-	}
+        { std::stringstream os;
+          set_pretty_mode(os);
+          os<<"{ addr, point, mark, snc, svb, sve, seb, see, sfb, sfe, sl,"
+            <<" info }"<<std::endl;
+          os<<"{ "<<this<<", "<<point_at_center_<<", "<<mark_<<", "<<&*sncp_<<", "
+            <<&*svertices_begin_ <<", "<<&*svertices_last_ <<", "
+            <<&*shalfedges_begin_<<", "<<&*shalfedges_last_<<", "
+            <<&*sfaces_begin_    <<", "<<&*sfaces_last_    <<", "
+            <<&*shalfloop_       <<", "
+            <<info_<<" }";
+          return os.str();
+        }
 
       bool check_basic_functions() {
-	/*
-	  if(svertices_begin_ == sncp()->svertices_end())
-	  CGAL_assertion(svertices_end() == sncp()->svertices_end());
-	  if(shalfedges_begin_ == sncp()->shalfedges_end())
-	  CGAL_assertion(shalfedges_end() == sncp()->shalfedges_end());
-	  if(sfaces_begin_ == sncp()->sfaces_end())
-	  CGAL_assertion(sfaces_end() == sncp()->sfaces_end());
-	*/
-	return true;
+        /*
+          if(svertices_begin_ == sncp()->svertices_end())
+          CGAL_assertion(svertices_end() == sncp()->svertices_end());
+          if(shalfedges_begin_ == sncp()->shalfedges_end())
+          CGAL_assertion(shalfedges_end() == sncp()->shalfedges_end());
+          if(sfaces_begin_ == sncp()->sfaces_end())
+          CGAL_assertion(sfaces_end() == sncp()->sfaces_end());
+        */
+        return true;
       }
 
       bool is_valid( bool verb = false, int level = 0) const {
-      
-	Verbose_ostream verr(verb);
-	verr << "begin CGAL::SNC_items<...>::Vertex_base::is_valid( verb=true, "
-	  "level = " << level << "):" << std::endl;
-      
-	bool valid = (sncp_ != nullptr);
-	valid = valid && (svertices_begin_ != nullptr && svertices_begin_ != SVertex_iterator());
-	valid = valid && (svertices_last_  != nullptr && svertices_last_  != SVertex_iterator());
-	valid = valid && (shalfedges_begin_ != nullptr && shalfedges_begin_ != SHalfedge_iterator());
-	valid = valid && (shalfedges_last_  != nullptr && shalfedges_last_  != SHalfedge_iterator());
-	valid = valid && (sfaces_begin_ != nullptr && sfaces_begin_ != SFace_iterator());
-	valid = valid && (sfaces_last_  != nullptr && sfaces_last_  != SFace_iterator());
-	valid = valid && (shalfloop_ != nullptr && shalfloop_ != SHalfloop_iterator());
-
-	if(shalfedges_begin_ == sncp()->shalfedges_end()) {         // point in volume or on plane, which is either isolated or has one outgoing edge
-	  if(shalfloop_ != sncp()->shalfloops_end())
-	    valid = valid && (++SFace_const_iterator(sfaces_begin_) == sfaces_last_);
-	  else 
-	    valid = valid && (sfaces_begin_ == sfaces_last_);
-	}
-
-	valid = valid && (sfaces_begin_ != sncp()->sfaces_end());
-	if(sfaces_begin_ == sfaces_last_) {
-	  valid = valid && (shalfloop_ == sncp()->shalfloops_end());
-	}
-	else
-	  valid = valid && (sfaces_begin_->sface_cycles_begin() != 
-			    sfaces_begin_->sface_cycles_end());
-     
-	verr << "end of CGAL::SNC_items<...>::Vertex_base::is_valid(): structure is "
-	     << ( valid ? "valid." : "NOT VALID.") << std::endl;
-	return valid;
+
+        Verbose_ostream verr(verb);
+        verr << "begin CGAL::SNC_items<...>::Vertex_base::is_valid( verb=true, "
+          "level = " << level << "):" << std::endl;
+
+        bool valid = (sncp_ != nullptr);
+        valid = valid && (svertices_begin_ != nullptr && svertices_begin_ != SVertex_iterator());
+        valid = valid && (svertices_last_  != nullptr && svertices_last_  != SVertex_iterator());
+        valid = valid && (shalfedges_begin_ != nullptr && shalfedges_begin_ != SHalfedge_iterator());
+        valid = valid && (shalfedges_last_  != nullptr && shalfedges_last_  != SHalfedge_iterator());
+        valid = valid && (sfaces_begin_ != nullptr && sfaces_begin_ != SFace_iterator());
+        valid = valid && (sfaces_last_  != nullptr && sfaces_last_  != SFace_iterator());
+        valid = valid && (shalfloop_ != nullptr && shalfloop_ != SHalfloop_iterator());
+
+        if(shalfedges_begin_ == sncp()->shalfedges_end()) {         // point in volume or on plane, which is either isolated or has one outgoing edge
+          if(shalfloop_ != sncp()->shalfloops_end())
+            valid = valid && (++SFace_const_iterator(sfaces_begin_) == sfaces_last_);
+          else
+            valid = valid && (sfaces_begin_ == sfaces_last_);
+        }
+
+        valid = valid && (sfaces_begin_ != sncp()->sfaces_end());
+        if(sfaces_begin_ == sfaces_last_) {
+          valid = valid && (shalfloop_ == sncp()->shalfloops_end());
+        }
+        else
+          valid = valid && (sfaces_begin_->sface_cycles_begin() !=
+                            sfaces_begin_->sface_cycles_end());
+
+        verr << "end of CGAL::SNC_items<...>::Vertex_base::is_valid(): structure is "
+             << ( valid ? "valid." : "NOT VALID.") << std::endl;
+        return valid;
       }
-    
+
 }; // Vertex_base
 
 
diff -pruN 5.0.2-3/include/CGAL/Nef_3/Volume.h 5.0.3-1/include/CGAL/Nef_3/Volume.h
--- 5.0.2-3/include/CGAL/Nef_3/Volume.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_3/Volume.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_3/Volume.h $
-// $Id: Volume.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_3/Volume.h $
+// $Id: Volume.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel        <seel@mpi-sb.mpg.de>
 //                 Miguel Granados     <granados@mpi-sb.mpg.de>
@@ -57,22 +57,22 @@ class Volume_base  {
 
     Volume_base(const Volume_base<Refs>& v)
       { mark_ = v.mark_;
-	shell_entry_objects_ = v.shell_entry_objects_;
+        shell_entry_objects_ = v.shell_entry_objects_;
       }
 
     Volume_base<Refs>& operator=(const Volume_base<Refs>& v)
       { if (this == &v) return *this;
-	mark_ = v.mark_;
-	shell_entry_objects_ = v.shell_entry_objects_;
-	return *this;
+        mark_ = v.mark_;
+        shell_entry_objects_ = v.shell_entry_objects_;
+        return *this;
       }
 
     Mark& mark() { return mark_; }
     const Mark& mark() const { return mark_; }
 
     Object_list& shell_entry_objects() { return shell_entry_objects_; }
-    const Object_list& shell_entry_objects() const { 
-      return shell_entry_objects_; 
+    const Object_list& shell_entry_objects() const {
+      return shell_entry_objects_;
     }
 
     Shell_entry_iterator shells_begin()
@@ -85,15 +85,15 @@ class Volume_base  {
     { return shell_entry_objects_.end(); }
 
     bool is_valid( bool verb = false, int level = 0) const {
-      
+
       Verbose_ostream verr(verb);
       verr << "begin CGAL::SNC_items<...>::Volume_base::is_valid( verb=true, "
-	"level = " << level << "):" << std::endl;
+        "level = " << level << "):" << std::endl;
 
       bool valid = (!shell_entry_objects_.empty());
 
       verr << "end of CGAL::SNC_items<...>::Volume_base::is_valid(): structure is "
-	   << ( valid ? "valid." : "NOT VALID.") << std::endl;
+           << ( valid ? "valid." : "NOT VALID.") << std::endl;
 
       return valid;
     }
diff -pruN 5.0.2-3/include/CGAL/Nef_nary_intersection_3.h 5.0.3-1/include/CGAL/Nef_nary_intersection_3.h
--- 5.0.2-3/include/CGAL/Nef_nary_intersection_3.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_nary_intersection_3.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_nary_intersection_3.h $
-// $Id: Nef_nary_intersection_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_nary_intersection_3.h $
+// $Id: Nef_nary_intersection_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s): Peter Hachenberger
 
@@ -31,7 +31,7 @@ class Nef_nary_intersection_3 {
 
  public:
   Nef_nary_intersection_3() : inserted(0) {}
-  
+
   void intersect() {
     pit i1(queue.begin()), i2(i1);
     ++i2;
diff -pruN 5.0.2-3/include/CGAL/Nef_nary_union_3.h 5.0.3-1/include/CGAL/Nef_nary_union_3.h
--- 5.0.2-3/include/CGAL/Nef_nary_union_3.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_nary_union_3.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_nary_union_3.h $
-// $Id: Nef_nary_union_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_nary_union_3.h $
+// $Id: Nef_nary_union_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :     Peter Hachenberger  <hachenberger@mpi-sb.mpg.de>
 
@@ -31,7 +31,7 @@ class Nef_nary_union_3 {
 
  public:
   Nef_nary_union_3() : inserted(0) {}
-  
+
   void unite() {
     pit i1(queue.begin()), i2(i1);
     ++i2;
diff -pruN 5.0.2-3/include/CGAL/Nef_polyhedron_2.h 5.0.3-1/include/CGAL/Nef_polyhedron_2.h
--- 5.0.2-3/include/CGAL/Nef_polyhedron_2.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_polyhedron_2.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_polyhedron_2.h $
-// $Id: Nef_polyhedron_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_polyhedron_2.h $
+// $Id: Nef_polyhedron_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -47,14 +47,14 @@ template <typename T, typename I, typena
 template <typename T, typename I, typename M> class Nef_polyhedron_2_rep;
 
 template <typename T, typename I, typename M>
-std::ostream& operator<<(std::ostream&, const Nef_polyhedron_2<T,I,M>&); 
+std::ostream& operator<<(std::ostream&, const Nef_polyhedron_2<T,I,M>&);
 
 template <typename T, typename I, typename M>
 std::istream& operator>>(std::istream&, Nef_polyhedron_2<T,I,M>&);
 
 template <typename T, typename Items, typename Mark_>
-class Nef_polyhedron_2_rep 
-{ 
+class Nef_polyhedron_2_rep
+{
   typedef Nef_polyhedron_2_rep<T,Items,Mark_> Self;
   friend class Nef_polyhedron_2<T,Items,Mark_>;
 
@@ -73,40 +73,40 @@ public: // gcc-3.3 otherwise claims that
 
 private:
 
-  Plane_map pm_; 
+  Plane_map pm_;
   Locator* pl_;
-  
-  void init_locator() 
-  { 
-    if ( !pl_ ) 
-      pl_ = new Locator(pm_); 
+
+  void init_locator()
+  {
+    if ( !pl_ )
+      pl_ = new Locator(pm_);
   }
 
-  void clear_locator() 
-  { 
-    if ( pl_ ) { 
-      delete pl_; 
-      pl_=0; 
-    } 
+  void clear_locator()
+  {
+    if ( pl_ ) {
+      delete pl_;
+      pl_=0;
+    }
   }
 
 public:
-  Nef_polyhedron_2_rep() 
-    : pm_(), pl_(0) 
+  Nef_polyhedron_2_rep()
+    : pm_(), pl_(0)
   {}
 
-  Nef_polyhedron_2_rep(const Self& ) 
-    : pm_(), pl_(0) 
+  Nef_polyhedron_2_rep(const Self& )
+    : pm_(), pl_(0)
   {}
 
-  ~Nef_polyhedron_2_rep() 
-  { 
-    pm_.clear(); 
-    clear_locator(); 
+  ~Nef_polyhedron_2_rep()
+  {
+    pm_.clear();
+    clear_locator();
   }
 };
 
-/*{\Moptions print_title=yes }*/ 
+/*{\Moptions print_title=yes }*/
 /*{\Manpage {Nef_polyhedron_2}{T}{Nef Polyhedra in the Plane}{N}}*/
 
 /*{\Mdefinition
@@ -122,9 +122,9 @@ concept. |T| must be a model of the conc
 }*/
 
 template <typename T, typename Items_=HDS_items, typename Mark_=bool>
-class Nef_polyhedron_2 
+class Nef_polyhedron_2
   : public Handle_for< Nef_polyhedron_2_rep<T,Items_,Mark_> >
-{ 
+{
 public:
 typedef T Extended_kernel;
 static  T EK; // static extended kernel
@@ -169,7 +169,7 @@ protected:
   struct AND { bool operator()(bool b1, bool b2)  const { return b1&&b2; }  };
   struct OR { bool operator()(bool b1, bool b2)   const { return b1||b2; }  };
   struct DIFF { bool operator()(bool b1, bool b2) const { return b1&&!b2; } };
-  struct XOR { bool operator()(bool b1, bool b2)  const 
+  struct XOR { bool operator()(bool b1, bool b2)  const
                                            { return (b1&&!b2)||(!b1&&b2); } };
 
   typedef Nef_polyhedron_2_rep<T,Items,Mark>           Nef_rep;
@@ -184,8 +184,8 @@ protected:
   using Base::ptr;
   using Base::is_shared;
 
-  Plane_map& pm() { return ptr()->pm_; } 
-  const Plane_map& pm() const { return ptr()->pm_; } 
+  Plane_map& pm() { return ptr()->pm_; }
+  const Plane_map& pm() const { return ptr()->pm_; }
 
   friend std::ostream& operator<< <>
       (std::ostream& os, const Nef_polyhedron_2<T,Items,Mark>& NP);
@@ -202,33 +202,33 @@ protected:
   typedef typename Decorator::Vertex_iterator       Vertex_iterator;
   typedef typename Decorator::Halfedge_iterator     Halfedge_iterator;
   typedef typename Decorator::Face_iterator         Face_iterator;
-  typedef typename Const_decorator::Vertex_const_iterator   
+  typedef typename Const_decorator::Vertex_const_iterator
                                                     Vertex_const_iterator;
-  typedef typename Const_decorator::Halfedge_const_iterator 
+  typedef typename Const_decorator::Halfedge_const_iterator
                                                     Halfedge_const_iterator;
-  typedef typename Const_decorator::Face_const_iterator     
+  typedef typename Const_decorator::Face_const_iterator
                                                     Face_const_iterator;
 
-  typedef Bounding_box_2<typename Is_extended_kernel<Extended_kernel>::value_type, 
+  typedef Bounding_box_2<typename Is_extended_kernel<Extended_kernel>::value_type,
                          Extended_kernel> Box_2;
 
   struct Except_frame_box_edges {
-    Decorator D_; 
+    Decorator D_;
     Face_handle f_;
 
-    Except_frame_box_edges(Plane_map& P) 
-      : D_(P), f_(D_.faces_begin()) 
+    Except_frame_box_edges(Plane_map& P)
+      : D_(P), f_(D_.faces_begin())
     {}
-    
-    bool 
+
+    bool
     operator()(Halfedge_handle e, const Tag_true& ) const
-    { 
-      return D_.face(e)==f_ || D_.face(D_.twin(e))==f_; 
+    {
+      return D_.face(e)==f_ || D_.face(D_.twin(e))==f_;
     }
 
-    bool 
+    bool
     operator()(Halfedge_handle /*e*/, const Tag_false& ) const
-    { 
+    {
       return false;
     }
     bool
@@ -257,7 +257,7 @@ protected:
   {}
 
   void fill_with_frame_segs(ES_list& L) const
-  { 
+  {
 
     fill_with_frame_segs(L, typename Is_extended_kernel<Extended_kernel>::value_type());
   }
@@ -268,26 +268,26 @@ protected:
     Vertex_handle   _v;
     ES_iterator     _it;
     Mark            _m;
-    Link_to_iterator(const Decorator& d, ES_iterator it, Mark m) : 
+    Link_to_iterator(const Decorator& d, ES_iterator it, Mark m) :
       D(d), _e(), _v(), _it(it), _m(m) {}
 
-    void supporting_segment(Halfedge_handle e, ES_iterator it) 
+    void supporting_segment(Halfedge_handle e, ES_iterator it)
     {
       if ( it == _it )
         _e = e;
-      D.mark(e) = _m; 
+      D.mark(e) = _m;
     }
-    void trivial_segment(Vertex_handle v, ES_iterator it) 
+    void trivial_segment(Vertex_handle v, ES_iterator it)
     {
       if ( it == _it )
         _v = v;
       D.mark(v) = _m;
     }
-    void starting_segment(Vertex_handle v, ES_iterator) 
+    void starting_segment(Vertex_handle v, ES_iterator)
     { D.mark(v) = _m; }
-    void passing_segment(Vertex_handle v, ES_iterator) 
+    void passing_segment(Vertex_handle v, ES_iterator)
     { D.mark(v) = _m; }
-    void ending_segment(Vertex_handle v, ES_iterator) 
+    void ending_segment(Vertex_handle v, ES_iterator)
     { D.mark(v) = _m; }
 
   };
@@ -297,30 +297,30 @@ protected:
 
     Unique_hash_map<Halfedge_handle,IT>& halfedge2iterator;
 
-    From_intersecting_polygons(Unique_hash_map<Halfedge_handle,IT>& e2i) 
+    From_intersecting_polygons(Unique_hash_map<Halfedge_handle,IT>& e2i)
       : halfedge2iterator(e2i) {}
 
-    void supporting_segment(Halfedge_handle e, IT it) 
-    { 
-      halfedge2iterator[e->opposite()] = 
-	halfedge2iterator[e] = it; e->mark() = true;}      
+    void supporting_segment(Halfedge_handle e, IT it)
+    {
+      halfedge2iterator[e->opposite()] =
+        halfedge2iterator[e] = it; e->mark() = true;}
 
-    void trivial_segment(Vertex_handle v, IT) 
+    void trivial_segment(Vertex_handle v, IT)
     { v->mark() = true; }
-    void starting_segment(Vertex_handle v, IT) 
+    void starting_segment(Vertex_handle v, IT)
     { v->mark() = true; }
-    void passing_segment(Vertex_handle v, IT) 
+    void passing_segment(Vertex_handle v, IT)
     { v->mark() = true; }
-    void ending_segment(Vertex_handle v, IT) 
+    void ending_segment(Vertex_handle v, IT)
     { v->mark() = true; }
-  };  
+  };
 
   friend struct Link_to_iterator;
 
-  void clear_outer_face_cycle_marks(const Tag_true&) 
+  void clear_outer_face_cycle_marks(const Tag_true&)
   { // unset all frame marks
     Decorator D(pm());
-    Face_iterator f = D.faces_begin(); 
+    Face_iterator f = D.faces_begin();
     D.mark(f) = false;
     Halfedge_handle e = D.holes_begin(f);
     D.set_marks_in_face_cycle(e, false);
@@ -352,8 +352,8 @@ public:
 
   Nef_polyhedron_2(const Line& l, Boundary line = INCLUDED) : Base(Nef_rep())
   /*{\Mcreate creates a Nef polyhedron |\Mvar| containing the half-plane
-  left of |l| including |l| if |line==INCLUDED|, excluding |l| if 
-  |line==EXCLUDED|.}*/  
+  left of |l| including |l| if |line==INCLUDED|, excluding |l| if
+  |line==EXCLUDED|.}*/
   {   CGAL_NEF_TRACEN("Nconstruction from line "<<l);
     ES_list L;
     fill_with_frame_segs(L);
@@ -369,7 +369,7 @@ public:
       CGAL_assertion( I._e != Halfedge_handle() );
       Halfedge_handle el = I._e;
       if ( D.point(D.target(el)) != EK.target(L.back()) )
-	el = D.twin(el);
+        el = D.twin(el);
       D.mark(D.face(el)) = true;
       D.mark(el) = bool(line);
     } else {
@@ -393,11 +393,11 @@ public:
   only one unbounded face adjacent to the degenerate polygon. If |b ==
   INCLUDED| then |\Mvar| is just the boundary. If |b == EXCLUDED| then
   |\Mvar| is the whole plane without the boundary.}*/
-  { 
+  {
     ES_list L;
     fill_with_frame_segs(L);
-    bool empty = false;  
-    if (it != end) 
+    bool empty = false;
+    if (it != end)
       {
         Extended_point ef, ep = ef = EK.construct_point(*it);
         Forward_iterator itl=it; ++itl;
@@ -429,9 +429,9 @@ public:
       // at least one segment
       Halfedge_handle el = I._e;
       if ( D.point(D.target(el)) != EK.target(L.back()) )
-	el = D.twin(el);  
+        el = D.twin(el);
       D.set_marks_in_face_cycle(el,bool(b));
-      unsigned int n = 
+      unsigned int n =
         check_tag(typename Is_extended_kernel<Extended_kernel>::value_type()) ? 2 : 1;
       if ( D.number_of_faces() > n ) D.mark(D.face(el)) = true;
       else                           D.mark(D.face(el)) = !bool(b);
@@ -442,8 +442,8 @@ public:
 
   // The constructor which takes an iterator range of polygons
   template <class Forward_iterator>
-  Nef_polyhedron_2(Forward_iterator pit, Forward_iterator pend,	      
-		   Polygons, Operation op = JOIN) : Base(Nef_rep()) { 
+  Nef_polyhedron_2(Forward_iterator pit, Forward_iterator pend,
+                   Polygons, Operation op = JOIN) : Base(Nef_rep()) {
 
     CGAL_assertion(op==JOIN);
     CGAL_USE(op);
@@ -488,21 +488,21 @@ public:
     Halfedge_handle e;
     for(e=D.halfedges_begin(); e!=D.halfedges_end(); ++e) {
       if(&*e < &*(D.twin(e)) && EK.is_standard(D.source(e)->point())) {
-	ES_iterator eit = e2i[e];
-	if(lexicographically_xy_smaller(EK.standard_point(eit->source()),
-					EK.standard_point(eit->target()))) {
-	  if(lexicographically_xy_smaller(EK.standard_point(D.source(D.twin(e))->point()),
-					  EK.standard_point(D.source(e)->point())))
-	    e = D.twin(e);
-	} else
-	  if(lexicographically_xy_smaller(EK.standard_point(D.source(e)->point()),
-					  EK.standard_point(D.source(D.twin(e))->point())))
-	    e = D.twin(e);
-	if(D.face(e) != outer_face)
-	  D.mark(D.face(e)) = true;
+        ES_iterator eit = e2i[e];
+        if(lexicographically_xy_smaller(EK.standard_point(eit->source()),
+                                        EK.standard_point(eit->target()))) {
+          if(lexicographically_xy_smaller(EK.standard_point(D.source(D.twin(e))->point()),
+                                          EK.standard_point(D.source(e)->point())))
+            e = D.twin(e);
+        } else
+          if(lexicographically_xy_smaller(EK.standard_point(D.source(e)->point()),
+                                          EK.standard_point(D.source(D.twin(e))->point())))
+            e = D.twin(e);
+        if(D.face(e) != outer_face)
+          D.mark(D.face(e)) = true;
       }
     }
-    
+
     D.simplify(Except_frame_box_edges(pm()));
     clear_outer_face_cycle_marks();
   }
@@ -510,10 +510,10 @@ public:
 
   // The constructor which takes an iterator range of polylines
   template <class Forward_iterator>
-  Nef_polyhedron_2(Forward_iterator pit, Forward_iterator pend,	      
-		   Polylines) : Base(Nef_rep()) { 
+  Nef_polyhedron_2(Forward_iterator pit, Forward_iterator pend,
+                   Polylines) : Base(Nef_rep()) {
 
-    typedef typename std::iterator_traits<Forward_iterator>::value_type 
+    typedef typename std::iterator_traits<Forward_iterator>::value_type
       iterator_pair;
     typedef typename iterator_pair::first_type point_iterator;
     point_iterator it, itl, end;
@@ -534,7 +534,7 @@ public:
             Extended_point en = EK.construct_point(*itl);
             L.push_back(EK.construct_segment(ep,en));
             ep = en;
-	    ++itl;
+            ++itl;
           }
         }
       }
@@ -543,7 +543,7 @@ public:
     Overlayer D(pm());
     Link_to_iterator I(D, --L.end(), true);
     D.create(L.begin(),L.end(),I, Overlayer::POLYLINE);
-    
+
     clear_outer_face_cycle_marks();
   }
 
@@ -555,7 +555,7 @@ public:
 
 
   template <class Forward_iterator>
-  Nef_polyhedron_2(Forward_iterator first, Forward_iterator beyond, 
+  Nef_polyhedron_2(Forward_iterator first, Forward_iterator beyond,
     double p) : Base(Nef_rep())
   /*{\Xcreate creates a random Nef polyhedron from the arrangement of
   the set of lines |S = set[first,beyond)|. The cells of the arrangement
@@ -584,13 +584,13 @@ public:
     for (f = D.faces_begin(); f != D.faces_end(); ++f)
       D.mark(f) = ( get_double() < p ? true : false );
     D.simplify(Except_frame_box_edges(pm()));
-    clear_outer_face_cycle_marks(); 
+    clear_outer_face_cycle_marks();
   }
 
 
 
   protected:
-  Nef_polyhedron_2(const Plane_map& H, bool clone=true) : Base(Nef_rep()) 
+  Nef_polyhedron_2(const Plane_map& H, bool clone=true) : Base(Nef_rep())
   /*{\Xcreate makes |\Mvar| a new object.  If |clone==true| then the
   underlying structure of |H| is copied into |\Mvar|.}*/
   { if (clone) {
@@ -613,16 +613,16 @@ public:
   { Const_decorator D(pm());
     Face_const_iterator f = D.faces_begin();
     if(check_tag(typename Is_extended_kernel<Extended_kernel>::
-		 value_type()))
+                 value_type()))
       return (D.number_of_vertices()==4 &&
-	      D.number_of_edges()==4 &&
-	      D.number_of_faces()==2 &&
-	      D.mark(++f) == false);
+              D.number_of_edges()==4 &&
+              D.number_of_faces()==2 &&
+              D.mark(++f) == false);
     else
       return (D.number_of_vertices()==0 &&
-	      D.number_of_edges()==0 &&
-	      D.number_of_faces()==1 &&
-		D.mark(f) == false);    
+              D.number_of_edges()==0 &&
+              D.number_of_faces()==1 &&
+                D.mark(f) == false);
   }
 
   bool is_plane() const
@@ -645,7 +645,7 @@ public:
   void extract_complement()
   { CGAL_NEF_TRACEN("extract complement");
   if ( this->is_shared() ) {
-	  clone_rep();
+          clone_rep();
   }
     Overlayer D(pm());
     Vertex_iterator v, vend = D.vertices_end();
@@ -769,11 +769,11 @@ public:
     res.clear_outer_face_cycle_marks();
     D.simplify(Except_frame_box_edges(res.pm()));
     return res;
-  }    
+  }
 
   Nef_polyhedron_2<T,Items,Mark> symmetric_difference(
     const Nef_polyhedron_2<T,Items,Mark>& N1) const
-  /*{\Mop returns the symmectric difference |\Mvar - T| $\cup$ 
+  /*{\Mop returns the symmectric difference |\Mvar - T| $\cup$
           |T - \Mvar|. }*/
   { Nef_polyhedron_2<T,Items,Mark> res(pm(),false); // empty, no frame
     Overlayer D(res.pm());
@@ -815,7 +815,7 @@ public:
 
   Nef_polyhedron_2<T,Items,Mark>  operator!() const
   { return complement(); }
-   
+
   Nef_polyhedron_2<T,Items,Mark>& operator*=(const Nef_polyhedron_2<T,Items,Mark>& N1)
   { *this = intersection(N1); return *this; }
 
@@ -836,23 +836,23 @@ public:
   { return symmetric_difference(N1).is_empty(); }
 
   bool operator!=(const Nef_polyhedron_2<T,Items,Mark>& N1) const
-  { return !operator==(N1); }  
+  { return !operator==(N1); }
 
   bool operator<=(const Nef_polyhedron_2<T,Items,Mark>& N1) const
-  { return difference(N1).is_empty(); } 
+  { return difference(N1).is_empty(); }
 
   bool operator<(const Nef_polyhedron_2<T,Items,Mark>& N1) const
-  { return difference(N1).is_empty() && !N1.difference(*this).is_empty(); } 
+  { return difference(N1).is_empty() && !N1.difference(*this).is_empty(); }
 
   bool operator>=(const Nef_polyhedron_2<T,Items,Mark>& N1) const
-  { return N1.difference(*this).is_empty(); } 
+  { return N1.difference(*this).is_empty(); }
 
-  bool operator>(const Nef_polyhedron_2<T,Items,Mark>& N1) const   
-  { return N1.difference(*this).is_empty() && !difference(N1).is_empty(); } 
+  bool operator>(const Nef_polyhedron_2<T,Items,Mark>& N1) const
+  { return N1.difference(*this).is_empty() && !difference(N1).is_empty(); }
 
 
   /*{\Mtext \headerline{Exploration - Point location - Ray shooting}
-  As Nef polyhedra are the result of forming complements 
+  As Nef polyhedra are the result of forming complements
   and intersections starting from a set |H| of half-spaces that are
   defined by oriented lines in the plane, they can be represented by
   an attributed plane map $M = (V,E,F)$. For topological queries
@@ -863,12 +863,12 @@ public:
   typedef Const_decorator Topological_explorer;
 
   typedef CGAL::PM_explorer<Const_decorator,T> Explorer;
-  /*{\Mtypemember a decorator to examine the underlying plane map. 
+  /*{\Mtypemember a decorator to examine the underlying plane map.
   See the manual page of |Explorer|.}*/
 
   typedef typename Locator::Object_handle Object_handle;
   /*{\Mtypemember a generic handle to an object of the underlying
-  plane map. The kind of object |(vertex, halfedge, face)| can 
+  plane map. The kind of object |(vertex, halfedge, face)| can
   be determined and the object can be assigned to a corresponding
   handle by the three functions:\\
   |bool assign(Vertex_const_handle& h, Object_handle)|\\
@@ -883,9 +883,9 @@ public:
 
   /*{\Moperations 3 1 }*/
 
-  void init_locator() const 
+  void init_locator() const
   { const_cast<Self*>(this)->ptr()->init_locator(); }
-  const Locator& locator() const 
+  const Locator& locator() const
   { CGAL_assertion(ptr()->pl_); return *(ptr()->pl_); }
 
 
@@ -903,12 +903,12 @@ public:
   }
 
   Object_handle locate(const Point& p, Location_mode m = DEFAULT) const
-  /*{\Mop  returns a generic handle |h| to an object (face, halfedge, vertex) 
-  of the underlying plane map that contains the point |p| in its relative 
-  interior. The point |p| is contained in the set represented by |\Mvar| if 
+  /*{\Mop  returns a generic handle |h| to an object (face, halfedge, vertex)
+  of the underlying plane map that contains the point |p| in its relative
+  interior. The point |p| is contained in the set represented by |\Mvar| if
   |\Mvar.contains(h)| is true. The location mode flag |m| allows one to choose
   between different point location strategies.}*/
-  { 
+  {
     if (m == DEFAULT || m == LMWT) {
       init_locator();
       Extended_point ep = EK.construct_point(p);
@@ -916,8 +916,8 @@ public:
     } else if (m == NAIVE) {
       Slocator PL(pm(),EK);
       Extended_segment s(EK.construct_point(p),
-			 PL.point(PL.vertices_begin()));
-      return PL.locate(s); 
+                         PL.point(PL.vertices_begin()));
+      return PL.locate(s);
     }
     CGAL_error_msg("location mode not implemented.");
     return Object_handle();
@@ -933,7 +933,7 @@ public:
 
   friend struct INSET;
 
-  Object_handle ray_shoot(const Point& p, const Direction& d, 
+  Object_handle ray_shoot(const Point& p, const Direction& d,
                           Location_mode m = DEFAULT) const
   /*{\Mop returns a handle |h| with |\Mvar.contains(h)| that can be
   converted to a |Vertex_/Halfedge_/Face_const_handle| as described
@@ -943,7 +943,7 @@ public:
   any object |h| of |\Mvar| with |\Mvar.contains(h)|. The location mode
   flag |m| allows one to choose between different point location
   strategies.}*/
-  { 
+  {
     Extended_point ep, eq;
     if(!check_tag(typename Is_extended_kernel<Extended_kernel>::value_type())) {
       Const_decorator D(pm());
@@ -952,13 +952,13 @@ public:
       eq = b.intersection_ray_bbox(p,d);
     } else {
       ep = EK.construct_point(p);
-      eq = EK.construct_point(p,d);      
+      eq = EK.construct_point(p,d);
     }
-      
+
     if (m == DEFAULT || m == LMWT) {
       init_locator();
       return locator().ray_shoot(EK.construct_segment(ep,eq),
-                                 INSET(locator())); 
+                                 INSET(locator()));
     } else if (m == NAIVE) {
       Slocator PL(pm(),EK);
       return PL.ray_shoot(EK.construct_segment(ep,eq),INSET(PL));
@@ -973,7 +973,7 @@ public:
     bool operator()(Face_const_handle) const { return false; }
   };
 
-  Object_handle ray_shoot_to_boundary(const Point& p, const Direction& d, 
+  Object_handle ray_shoot_to_boundary(const Point& p, const Direction& d,
                 Location_mode m = DEFAULT) const
   /*{\Mop returns a handle |h| that can be converted to a
   |Vertex_/Halfedge_const_handle| as described above. The object
@@ -983,7 +983,7 @@ public:
   along |d| does not hit any $1$-skeleton object |h| of |\Mvar|. The
   location mode flag |m| allows one to choose between different point
   location strategies.}*/
-  { 
+  {
     Extended_point ep, eq;
     if(!check_tag(typename Is_extended_kernel<Extended_kernel>::value_type())) {
       Const_decorator D(pm());
@@ -992,13 +992,13 @@ public:
       eq = b.intersection_ray_bbox(p,d);
     } else {
       ep = EK.construct_point(p);
-      eq = EK.construct_point(p,d);      
+      eq = EK.construct_point(p,d);
     }
-      
+
     if (m == DEFAULT || m == LMWT) {
       init_locator();
       return locator().ray_shoot(EK.construct_segment(ep,eq),
-                                 INSKEL()); 
+                                 INSKEL());
     } else if (m == NAIVE) {
       Slocator PL(pm(),EK);
       return PL.ray_shoot(EK.construct_segment(ep,eq),INSKEL());
@@ -1010,7 +1010,7 @@ public:
 
   Explorer explorer() const { return Explorer(pm(),EK); }
   /*{\Mop returns a decorator object which allows read-only access of
-  the underlying plane map. See the manual page |Explorer| for its 
+  the underlying plane map. See the manual page |Explorer| for its
   usage.}*/
 
 
@@ -1104,7 +1104,7 @@ std::istream& operator>>
   (std::istream& is, Nef_polyhedron_2<T,Items,Mark>& NP)
 {
   typedef typename Nef_polyhedron_2<T,Items,Mark>::Decorator Decorator;
-  CGAL::PM_io_parser<Decorator> I(is, NP.pm()); 
+  CGAL::PM_io_parser<Decorator> I(is, NP.pm());
   if (I.check_sep("Nef_polyhedron_2<") &&
       I.check_sep(NP.EK.output_identifier()) &&
       I.check_sep(">")) I.read();
diff -pruN 5.0.2-3/include/CGAL/Nef_polyhedron_3.h 5.0.3-1/include/CGAL/Nef_polyhedron_3.h
--- 5.0.2-3/include/CGAL/Nef_polyhedron_3.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_polyhedron_3.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/Nef_polyhedron_3.h $
-// $Id: Nef_polyhedron_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/Nef_polyhedron_3.h $
+// $Id: Nef_polyhedron_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel    <seel@mpi-sb.mpg.de>
 //                 Miguel Granados <granados@mpi-sb.mpg.de>
@@ -91,8 +91,8 @@ std::istream& operator>>(std::istream& o
 
 
 template <typename K, typename I, typename M>
-class Nef_polyhedron_3_rep 
-{ 
+class Nef_polyhedron_3_rep
+{
   typedef Nef_polyhedron_3_rep<K,I,M>                  Self;
   friend class Nef_polyhedron_3<K,I,M>;
  public:
@@ -115,14 +115,14 @@ class Nef_polyhedron_3_rep
  private:
   SNC_structure snc_;
   SNC_point_locator* pl_;
-  
+
  public:
   Nef_polyhedron_3_rep() : snc_(), pl_() {}
-  ~Nef_polyhedron_3_rep() { 
+  ~Nef_polyhedron_3_rep() {
     CGAL_NEF_TRACEN( "Nef_polyhedron_3_rep: destroying SNC structure "<<&snc_<<
-	    ", point locator "<<pl_);
-    snc_.clear(); 
-    delete pl_; 
+            ", point locator "<<pl_);
+    snc_.clear();
+    delete pl_;
   }
 };
 
@@ -136,12 +136,12 @@ halfspaces. |\Mtype| is closed under all
 |boundary|, |closure|, and |interior|.}*/
 
 template <typename Kernel_, typename Items_ = typename CGAL::Default_items<Kernel_>::Items, typename Mark_ = bool>
-class Nef_polyhedron_3 : public CGAL::Handle_for< Nef_polyhedron_3_rep<Kernel_, Items_, Mark_> >, 
-			 public SNC_const_decorator<SNC_structure<Kernel_,Items_,Mark_> >
-{ 
+class Nef_polyhedron_3 : public CGAL::Handle_for< Nef_polyhedron_3_rep<Kernel_, Items_, Mark_> >,
+                         public SNC_const_decorator<SNC_structure<Kernel_,Items_,Mark_> >
+{
  public:
-  /*{\Mtypes 7}*/  
-  
+  /*{\Mtypes 7}*/
+
   typedef Kernel_                                     Kernel;
   typedef Kernel_                                     Traits;
   typedef Items_                                      Items;
@@ -180,25 +180,25 @@ class Nef_polyhedron_3 : public CGAL::Ha
   typedef enum { DEFAULT, NAIVE, WALKING, SPATIAL_SUBDIVISION  } Location_mode;
   /*{\Menum selection flag for the point location mode.}*/
 
-protected: 
+protected:
   struct AND {
-    Mark operator()(const Mark& b1, const Mark& b2, bool /* inverted */ =false)const 
-    { return b1&&b2; } 
+    Mark operator()(const Mark& b1, const Mark& b2, bool /* inverted */ =false)const
+    { return b1&&b2; }
   };
 
   struct OR {
     Mark operator()(const Mark& b1, const Mark& b2, bool /* inverted */ =false) const
-    { return b1||b2; } 
+    { return b1||b2; }
   };
 
   struct DIFF {
-    Mark operator()(const Mark& b1, const Mark& b2, bool inverted=false) const 
+    Mark operator()(const Mark& b1, const Mark& b2, bool inverted=false) const
     { return (inverted) ? !b1&&b2  :  b1&&!b2 ; }
   };
 
   struct XOR {
-    Mark operator()(const Mark& b1, const Mark& b2, bool /* inverted */ =false) const 
-    { return (b1&&!b2)||(!b1&&b2); } 
+    Mark operator()(const Mark& b1, const Mark& b2, bool /* inverted */ =false) const
+    { return (b1&&!b2)||(!b1&&b2); }
   };
 
  public:
@@ -214,15 +214,15 @@ protected:
   typedef typename Nef_rep::SNC_point_locator   SNC_point_locator;
   typedef typename Nef_rep::SNC_point_locator_default
     SNC_point_locator_default;
-  typedef CGAL::Combine_with_halfspace<SNC_structure, SNC_point_locator> 
+  typedef CGAL::Combine_with_halfspace<SNC_structure, SNC_point_locator>
           Combine_with_halfspace;
 public:
- enum Intersection_mode { 
-	 CLOSED_HALFSPACE = Combine_with_halfspace::CLOSED_HALFSPACE, 
-     OPEN_HALFSPACE = Combine_with_halfspace::OPEN_HALFSPACE, 
+ enum Intersection_mode {
+         CLOSED_HALFSPACE = Combine_with_halfspace::CLOSED_HALFSPACE,
+     OPEN_HALFSPACE = Combine_with_halfspace::OPEN_HALFSPACE,
      PLANE_ONLY = Combine_with_halfspace::PLANE_ONLY};
 
-protected: 
+protected:
   typedef typename Nef_rep::SM_overlayer        SM_overlayer;
   typedef typename Nef_rep::SM_point_locator    SM_point_locator;
   typedef typename Nef_rep::SNC_simplify        SNC_simplify;
@@ -232,8 +232,8 @@ protected:
  typedef CGAL::Nef_polyhedron_S2<Kernel,Items,Mark,Sphere_map> Nef_polyhedron_S2;
  protected:
 
-  SNC_structure& snc() { return this->ptr()->snc_; } 
-  const SNC_structure& snc() const { return this->ptr()->snc_; } 
+  SNC_structure& snc() { return this->ptr()->snc_; }
+  const SNC_structure& snc() const { return this->ptr()->snc_; }
 
   SNC_point_locator*& pl() { return this->ptr()->pl_; }
   const SNC_point_locator* pl() const { return this->ptr()->pl_; }
@@ -261,19 +261,19 @@ protected:
   typedef typename SNC_structure::Halfedge_const_handle        Halfedge_const_handle;
   typedef typename SNC_structure::Halffacet_const_handle       Halffacet_const_handle;
   typedef typename SNC_structure::Volume_const_handle          Volume_const_handle;
-  typedef typename SNC_structure::SHalfedge_around_svertex_circulator 
+  typedef typename SNC_structure::SHalfedge_around_svertex_circulator
                                   SHalfedge_around_svertex_circulator;
-  typedef typename SNC_structure::SHalfedge_around_svertex_const_circulator 
+  typedef typename SNC_structure::SHalfedge_around_svertex_const_circulator
                                   SHalfedge_around_svertex_const_circulator;
-  typedef typename SNC_structure::SHalfedge_around_facet_circulator 
+  typedef typename SNC_structure::SHalfedge_around_facet_circulator
                                   SHalfedge_around_facet_circulator;
-  typedef typename SNC_structure::SHalfedge_around_facet_const_circulator 
+  typedef typename SNC_structure::SHalfedge_around_facet_const_circulator
                                   SHalfedge_around_facet_const_circulator;
-  typedef typename SNC_structure::SHalfedge_around_sface_const_circulator 
+  typedef typename SNC_structure::SHalfedge_around_sface_const_circulator
                                   SHalfedge_around_sface_const_circulator;
-  typedef typename SNC_structure::Halffacet_cycle_const_iterator     
+  typedef typename SNC_structure::Halffacet_cycle_const_iterator
                                   Halffacet_cycle_const_iterator;
-  typedef typename SNC_structure::Halffacet_cycle_iterator     
+  typedef typename SNC_structure::Halffacet_cycle_iterator
                                   Halffacet_cycle_iterator;
   typedef typename SNC_structure::Infi_box                     Infi_box;
   typedef typename SNC_structure::Size_type Size_type;
@@ -303,11 +303,11 @@ protected:
   typedef typename SNC_decorator::Volume_iterator  Volume_iterator;
   typedef typename SNC_structure::Vertex_const_iterator
                                                     Vertex_const_iterator;
-  typedef typename SNC_structure::Halfedge_const_iterator 
+  typedef typename SNC_structure::Halfedge_const_iterator
                                                    Halfedge_const_iterator;
-  typedef typename SNC_structure::Halffacet_const_iterator     
+  typedef typename SNC_structure::Halffacet_const_iterator
                                                    Halffacet_const_iterator;
-  typedef typename SNC_structure::Volume_const_iterator     
+  typedef typename SNC_structure::Volume_const_iterator
                                                    Volume_const_iterator;
   typedef typename SNC_structure::Shell_entry_const_iterator
                                                    Shell_entry_const_iterator;
@@ -319,21 +319,21 @@ protected:
   typedef typename SM_decorator::SFace_iterator    SFace_iterator;
   typedef typename SM_decorator::SVertex_const_iterator
                                                    SVertex_const_iterator;
-  typedef typename SM_decorator::SHalfedge_const_iterator 
+  typedef typename SM_decorator::SHalfedge_const_iterator
                                                    SHalfedge_const_iterator;
-  typedef typename SM_decorator::SHalfloop_const_iterator 
+  typedef typename SM_decorator::SHalfloop_const_iterator
                                                    SHalfloop_const_iterator;
-  typedef typename SM_decorator::SFace_const_iterator     
+  typedef typename SM_decorator::SFace_const_iterator
                                                    SFace_const_iterator;
-  typedef typename SNC_decorator::SFace_cycle_const_iterator     
+  typedef typename SNC_decorator::SFace_cycle_const_iterator
                                                    SFace_cycle_const_iterator;
 
   typedef typename SNC_decorator::Association  Association;
 
 
- protected: 
+ protected:
   void initialize_infibox_vertices(Content space) {
-    SNC_constructor C(snc()); 
+    SNC_constructor C(snc());
     Infi_box::initialize_infibox_vertices(C, space == COMPLETE);
   }
 
@@ -342,7 +342,7 @@ protected:
   void create_intersection_vertex_of_h_and_e();
   void init_cube_vertices_depending_on_h(const Plane_3& p);
   void add_h_to_local_view_of_v();
-  
+
  public:
   void build_external_structure() {
     SNC_external_structure es(snc(), pl());
@@ -353,7 +353,7 @@ protected:
   /*{\Mcreation 3}*/
 
   Nef_polyhedron_3( Content space = EMPTY);
-		   
+
   /*{\Mcreate creates an instance |\Mvar| of type |\Mname|
   and initializes it to the empty set if |space == EMPTY|
   and to the whole space if |space == COMPLETE|.}*/
@@ -363,20 +363,20 @@ protected:
   halfspace on the negative side of |p| including |p| if |b==INCLUDED|,
   excluding |p| if |b==EXCLUDED|.}*/
 
-  Nef_polyhedron_3(const Nef_polyhedron_3<Kernel,Items, Mark>& N1) 
+  Nef_polyhedron_3(const Nef_polyhedron_3<Kernel,Items, Mark>& N1)
  : Base(N1) , SNC_const_decorator() {
     set_snc(snc());
-  } 
+  }
 
-  Nef_polyhedron_3& operator=(const Nef_polyhedron_3<Kernel,Items, Mark>& N1) { 
+  Nef_polyhedron_3& operator=(const Nef_polyhedron_3<Kernel,Items, Mark>& N1) {
     Base::operator=(N1);
     set_snc(snc());
-    return (*this); 
+    return (*this);
   }
 
-  ~Nef_polyhedron_3() { 
+  ~Nef_polyhedron_3() {
     CGAL_NEF_TRACEN("~Nef_polyhedron_3: destructor called for snc "<<&snc()<<
-	   ", pl "<<pl());
+           ", pl "<<pl());
   }
 
    // RO: "vertex cycle to Nef" constructor (main part)
@@ -393,9 +393,9 @@ protected:
          v_first, v_last, normal, verb);
       if (is_nef)
       {
-	 // TO DO:
-	 // Wie kann der eigene point_locator pl() eingebunden werden?
-	 // Wie kann der Konstruktor umgangen werden?
+         // TO DO:
+         // Wie kann der eigene point_locator pl() eingebunden werden?
+         // Wie kann der Konstruktor umgangen werden?
          typedef CGAL::SNC_point_locator_by_spatial_subdivision
             <CGAL::SNC_decorator<SNC_structure> >    Point_locator;
 
@@ -425,7 +425,7 @@ protected:
       *this = Nef_polyhedron_3 (v_first, v_last, normal, verb);
       set_snc (snc());
    }
-  
+
  template<typename Items, typename SNC_structure>
  class Sphere_map_creator {
    typedef typename SNC_structure::SM_decorator     SM_decorator;
@@ -433,39 +433,39 @@ protected:
    typedef typename SNC_structure::SVertex_handle   SVertex_handle;
    typedef typename SNC_structure::SFace_handle     SFace_handle;
    typedef typename SNC_structure::Sphere_point     Sphere_point;
-   
+
    public:
    Sphere_map_creator() {}
-   
+
    template<typename point_iterator>
    void create_end_sphere_map(SNC_structure& snc,
-			      point_iterator cur,
-			      point_iterator prev) {
+                              point_iterator cur,
+                              point_iterator prev) {
      Vertex_handle v(snc.new_vertex(*cur, true));
      SM_decorator SM(&*v);
      SVertex_handle sv(v->new_svertex(Sphere_point(ORIGIN+(*prev-*cur)),
-				      true));
+                                      true));
      SFace_handle sf(v->new_sface());
      SM.link_as_isolated_vertex(sv,sf);
    }
-   
+
    template<typename point_iterator>
    void create_sphere_map(SNC_structure& snc,
-			  point_iterator cur,
-			  point_iterator prev,
-			  point_iterator next) {
+                          point_iterator cur,
+                          point_iterator prev,
+                          point_iterator next) {
      Vertex_handle v(snc.new_vertex(*cur, true));
      SM_decorator SM(&*v);
      SVertex_handle sv1(v->new_svertex(Sphere_point(ORIGIN+(*prev-*cur)),
-				       true));
+                                       true));
      SVertex_handle sv2(v->new_svertex(Sphere_point(ORIGIN+(*next-*cur)),
-				       true));      
+                                       true));
      SFace_handle sf(v->new_sface());
      SM.link_as_isolated_vertex(sv1,sf);
      SM.link_as_isolated_vertex(sv2,sf);
    }
  };
- 
+
  template<typename SNC_structure>
  class Sphere_map_creator<CGAL::SNC_indexed_items, SNC_structure> {
    typedef typename SNC_structure::SM_decorator     SM_decorator;
@@ -473,41 +473,41 @@ protected:
    typedef typename SNC_structure::SVertex_handle   SVertex_handle;
    typedef typename SNC_structure::SFace_handle     SFace_handle;
    typedef typename SNC_structure::Sphere_point     Sphere_point;
-   
+
    bool first;
    int index;
  public:
    Sphere_map_creator() : first(true), index(0) {}
-     
+
      template<typename point_iterator>
        void create_end_sphere_map(SNC_structure& snc,
-				  point_iterator cur,
-				  point_iterator prev) {
+                                  point_iterator cur,
+                                  point_iterator prev) {
        Vertex_handle v(snc.new_vertex(*cur, true));
        SM_decorator SM(&*v);
        SVertex_handle sv(v->new_svertex(Sphere_point(ORIGIN+(*prev-*cur)),
-					true));
+                                        true));
        SFace_handle sf(v->new_sface());
        SM.link_as_isolated_vertex(sv,sf);
        if(first) {
-	 sv->set_index();
-	 index = sv->get_index();
-	 first = false;
+         sv->set_index();
+         index = sv->get_index();
+         first = false;
        } else
-	 sv->set_index(index);
+         sv->set_index(index);
      }
-     
+
      template<typename point_iterator>
        void create_sphere_map(SNC_structure& snc,
-			      point_iterator cur,
-			      point_iterator prev,
-			      point_iterator next) {
+                              point_iterator cur,
+                              point_iterator prev,
+                              point_iterator next) {
        Vertex_handle v(snc.new_vertex(*cur, true));
        SM_decorator SM(&*v);
        SVertex_handle sv1(v->new_svertex(Sphere_point(ORIGIN+(*prev-*cur)),
-					 true));
+                                         true));
        SVertex_handle sv2(v->new_svertex(Sphere_point(ORIGIN+(*next-*cur)),
-					 true));      
+                                         true));
        SFace_handle sf(v->new_sface());
        SM.link_as_isolated_vertex(sv1,sf);
        SM.link_as_isolated_vertex(sv2,sf);
@@ -516,7 +516,7 @@ protected:
        index = sv2->get_index();
      }
  };
- 
+
  template <typename InputIterator>
  Nef_polyhedron_3(InputIterator begin, InputIterator end, Polylines_tag) {
    typedef typename std::iterator_traits<InputIterator>::value_type
@@ -642,9 +642,9 @@ protected:
     delegate(mbv);
     set_snc(snc());
   }
-  
- Nef_polyhedron_3(const Nef_polyhedron& N, 
-		  SFace_const_iterator sf) 
+
+ Nef_polyhedron_3(const Nef_polyhedron& N,
+                  SFace_const_iterator sf)
  {
    SNC_structure rsnc;
    *this = Nef_polyhedron_3(rsnc, new SNC_point_locator_default, false);
@@ -658,7 +658,7 @@ protected:
  }
 
 
- protected: 
+ protected:
 
   template<typename Kernel>
   class Triangulation_handler2 {
@@ -680,29 +680,29 @@ protected:
     Plane_3 supporting_plane;
 
   public:
-    Triangulation_handler2(Halffacet_const_handle f) : 
+    Triangulation_handler2(Halffacet_const_handle f) :
       visited(false), supporting_plane(f->plane()) {
 
       Halffacet_cycle_const_iterator fci;
       for(fci=f->facet_cycles_begin(); fci!=f->facet_cycles_end(); ++fci) {
-	if(fci.is_shalfedge()) {
+        if(fci.is_shalfedge()) {
           SHalfedge_around_facet_const_circulator sfc(fci), send(sfc);
-	  CGAL_For_all(sfc,send) {
+          CGAL_For_all(sfc,send) {
             CGAL_NEF_TRACEN("  insert point" << sfc->source()->source()->point());
-	    CTVertex_handle ctv = ct.insert(sfc->source()->source()->point());
-	    ctv2v[ctv] = sfc->source()->source();
+            CTVertex_handle ctv = ct.insert(sfc->source()->source()->point());
+            ctv2v[ctv] = sfc->source()->source();
           }
         }
       }
 
       for(fci=f->facet_cycles_begin(); fci!=f->facet_cycles_end(); ++fci) {
-	if(fci.is_shalfedge()) {
+        if(fci.is_shalfedge()) {
           SHalfedge_around_facet_const_circulator sfc(fci), send(sfc);
-	  CGAL_For_all(sfc,send) {
+          CGAL_For_all(sfc,send) {
             CGAL_NEF_TRACEN("  insert constraint" << sfc->source()->source()->point()
-	                     << "->" << sfc->source()->twin()->source()->point());
-	    ct.insert_constraint(sfc->source()->source()->point(),
-	                         sfc->source()->twin()->source()->point());
+                             << "->" << sfc->source()->twin()->source()->point());
+            ct.insert_constraint(sfc->source()->source()->point(),
+                                 sfc->source()->twin()->source()->point());
           }
         }
       }
@@ -730,15 +730,15 @@ protected:
     void traverse_triangulation(Face_handle f, int parent) {
       visited[f] = true;
       if(!ct.is_constrained(Edge(f,ct.cw(parent))) && !visited[f->neighbor(ct.cw(parent))]) {
-	Face_handle child(f->neighbor(ct.cw(parent)));
-	traverse_triangulation(child, child->index(f));
-      } 
+        Face_handle child(f->neighbor(ct.cw(parent)));
+        traverse_triangulation(child, child->index(f));
+      }
       if(!ct.is_constrained(Edge(f,ct.ccw(parent))) && !visited[f->neighbor(ct.ccw(parent))]) {
-	Face_handle child(f->neighbor(ct.ccw(parent)));
-	traverse_triangulation(child, child->index(f));
-      } 
-    } 
- 
+        Face_handle child(f->neighbor(ct.ccw(parent)));
+        traverse_triangulation(child, child->index(f));
+      }
+    }
+
     template<typename Triangle_3>
     bool get_next_triangle(Triangle_3& tr) {
       while(fi != ct.finite_faces_end() && visited[fi] == false) ++fi;
@@ -750,9 +750,9 @@ protected:
 
     bool same_orientation(Plane_3 p1) const {
       if(p1.a() != 0)
-	return CGAL::sign(p1.a()) == CGAL::sign(supporting_plane.a());
+        return CGAL::sign(p1.a()) == CGAL::sign(supporting_plane.a());
       if(p1.b() != 0)
-	return CGAL::sign(p1.b()) == CGAL::sign(supporting_plane.b());
+        return CGAL::sign(p1.b()) == CGAL::sign(supporting_plane.b());
       return CGAL::sign(p1.c()) == CGAL::sign(supporting_plane.c());
     }
 
@@ -760,30 +760,30 @@ protected:
     void handle_triangles(PIB& pib, Index& VI) {
       while(fi != ct.finite_faces_end() && visited[fi] == false) ++fi;
       while(fi != ct.finite_faces_end()) {
-	Plane_3 plane(fi->vertex(0)->point(),
-		      fi->vertex(1)->point(),
-		      fi->vertex(2)->point());
-	pib.begin_facet();
-	if(same_orientation(plane)) {
-	  pib.add_vertex_to_facet(VI[ctv2v[fi->vertex(0)]]);
-	  pib.add_vertex_to_facet(VI[ctv2v[fi->vertex(1)]]);
-	  pib.add_vertex_to_facet(VI[ctv2v[fi->vertex(2)]]);
-	} else {
-	  pib.add_vertex_to_facet(VI[ctv2v[fi->vertex(0)]]);
-	  pib.add_vertex_to_facet(VI[ctv2v[fi->vertex(2)]]);
-	  pib.add_vertex_to_facet(VI[ctv2v[fi->vertex(1)]]);
-	}
-	pib.end_facet();
-	do {
-	  ++fi;
-	} while(fi != ct.finite_faces_end() && visited[fi] == false);
+        Plane_3 plane(fi->vertex(0)->point(),
+                      fi->vertex(1)->point(),
+                      fi->vertex(2)->point());
+        pib.begin_facet();
+        if(same_orientation(plane)) {
+          pib.add_vertex_to_facet(VI[ctv2v[fi->vertex(0)]]);
+          pib.add_vertex_to_facet(VI[ctv2v[fi->vertex(1)]]);
+          pib.add_vertex_to_facet(VI[ctv2v[fi->vertex(2)]]);
+        } else {
+          pib.add_vertex_to_facet(VI[ctv2v[fi->vertex(0)]]);
+          pib.add_vertex_to_facet(VI[ctv2v[fi->vertex(2)]]);
+          pib.add_vertex_to_facet(VI[ctv2v[fi->vertex(1)]]);
+        }
+        pib.end_facet();
+        do {
+          ++fi;
+        } while(fi != ct.finite_faces_end() && visited[fi] == false);
       }
     }
   };
- 
+
   template <class HDS>
   class Build_polyhedron : public CGAL::Modifier_base<HDS> {
-    
+
     class Visitor {
 
       typedef typename CGAL::Projection_traits_xy_3<Kernel>       XY;
@@ -793,58 +793,58 @@ protected:
       const Object_index<Vertex_const_iterator>& VI;
       Polyhedron_incremental_builder_3<HDS>& B;
       const SNC_const_decorator& D;
-      
+
     public:
       Visitor(Polyhedron_incremental_builder_3<HDS>& BB,
-	      const SNC_const_decorator& sd,
-	      Object_index<Vertex_const_iterator>& vi) : VI(vi), B(BB), D(sd){}
+              const SNC_const_decorator& sd,
+              Object_index<Vertex_const_iterator>& vi) : VI(vi), B(BB), D(sd){}
 
       void visit(Halffacet_const_handle opposite_facet) {
 
-	CGAL_NEF_TRACEN("Build_polyhedron: visit facet " << opposite_facet->plane());
- 
-	CGAL_assertion(Infi_box::is_standard(opposite_facet->plane()));
-	
-	SHalfedge_const_handle se;
-	Halffacet_cycle_const_iterator fc;
-     	
-	Halffacet_const_handle f = opposite_facet->twin();
-
-	SHalfedge_around_facet_const_circulator 
-	  sfc1(f->facet_cycles_begin()), sfc2(sfc1);
-	
-	if(++f->facet_cycles_begin() != f->facet_cycles_end() ||
-	   ++(++(++sfc1)) != sfc2) {
-	  Vector_3 orth = f->plane().orthogonal_vector();
-	  int c = CGAL::abs(orth[0]) > CGAL::abs(orth[1]) ? 0 : 1;
-	  c = CGAL::abs(orth[2]) > CGAL::abs(orth[c]) ? 2 : c;
-	  
-	  if(c == 0) {
-	    Triangulation_handler2<YZ> th(f);
-	    th.handle_triangles(B, VI);
-	  } else if(c == 1) {
-	    Triangulation_handler2<XZ> th(f);
-	    th.handle_triangles(B, VI);
-	  } else if(c == 2) {
-	    Triangulation_handler2<XY> th(f);
-	    th.handle_triangles(B, VI);
-	  } else
-	    CGAL_error_msg( "wrong value");
-
-	} else {
-
-	  B.begin_facet();
-	  fc = f->facet_cycles_begin();
-	  se = SHalfedge_const_handle(fc);
-	  CGAL_assertion(se!=0);
-	  SHalfedge_around_facet_const_circulator hc_start(se);
-	  SHalfedge_around_facet_const_circulator hc_end(hc_start);
-	  CGAL_For_all(hc_start,hc_end) {
-	    CGAL_NEF_TRACEN("   add vertex " << hc_start->source()->center_vertex()->point());
-	    B.add_vertex_to_facet(VI[hc_start->source()->center_vertex()]);
-	  }
-	  B.end_facet();
-	}
+        CGAL_NEF_TRACEN("Build_polyhedron: visit facet " << opposite_facet->plane());
+
+        CGAL_assertion(Infi_box::is_standard(opposite_facet->plane()));
+
+        SHalfedge_const_handle se;
+        Halffacet_cycle_const_iterator fc;
+
+        Halffacet_const_handle f = opposite_facet->twin();
+
+        SHalfedge_around_facet_const_circulator
+          sfc1(f->facet_cycles_begin()), sfc2(sfc1);
+
+        if(++f->facet_cycles_begin() != f->facet_cycles_end() ||
+           ++(++(++sfc1)) != sfc2) {
+          Vector_3 orth = f->plane().orthogonal_vector();
+          int c = CGAL::abs(orth[0]) > CGAL::abs(orth[1]) ? 0 : 1;
+          c = CGAL::abs(orth[2]) > CGAL::abs(orth[c]) ? 2 : c;
+
+          if(c == 0) {
+            Triangulation_handler2<YZ> th(f);
+            th.handle_triangles(B, VI);
+          } else if(c == 1) {
+            Triangulation_handler2<XZ> th(f);
+            th.handle_triangles(B, VI);
+          } else if(c == 2) {
+            Triangulation_handler2<XY> th(f);
+            th.handle_triangles(B, VI);
+          } else
+            CGAL_error_msg( "wrong value");
+
+        } else {
+
+          B.begin_facet();
+          fc = f->facet_cycles_begin();
+          se = SHalfedge_const_handle(fc);
+          CGAL_assertion(se!=0);
+          SHalfedge_around_facet_const_circulator hc_start(se);
+          SHalfedge_around_facet_const_circulator hc_end(hc_start);
+          CGAL_For_all(hc_start,hc_end) {
+            CGAL_NEF_TRACEN("   add vertex " << hc_start->source()->center_vertex()->point());
+            B.add_vertex_to_facet(VI[hc_start->source()->center_vertex()]);
+          }
+          B.end_facet();
+        }
       }
 
       void visit(SFace_const_handle) {}
@@ -859,41 +859,41 @@ protected:
     const SNC_const_decorator& scd;
     Object_index<Vertex_const_iterator> VI;
 
-    Build_polyhedron(const SNC_const_decorator& s) : 
+    Build_polyhedron(const SNC_const_decorator& s) :
       scd(s), VI(s.vertices_begin(),s.vertices_end(),'V') {}
-    
+
     void operator()( HDS& hds) {
 
       Polyhedron_incremental_builder_3<HDS> B(hds, true);
 
       int skip_volumes;
       if(Infi_box::extended_kernel()) {
-	B.begin_surface(scd.number_of_vertices()-8, 
-			scd.number_of_facets()-6,
-			scd.number_of_edges()-12);
-	skip_volumes = 2;
+        B.begin_surface(scd.number_of_vertices()-8,
+                        scd.number_of_facets()-6,
+                        scd.number_of_edges()-12);
+        skip_volumes = 2;
       }
       else {
-	B.begin_surface(scd.number_of_vertices(), 
-			2*scd.number_of_vertices()-4,
-			3*scd.number_of_vertices()-6);
-	skip_volumes = 1;
+        B.begin_surface(scd.number_of_vertices(),
+                        2*scd.number_of_vertices()-4,
+                        3*scd.number_of_vertices()-6);
+        skip_volumes = 1;
       }
-      
+
       int vertex_index = 0;
       Vertex_const_iterator v;
       CGAL_forall_vertices(v,scd) {
-	if(Infi_box::is_standard(v->point())) {
-	  VI[v]=vertex_index++;
-	  B.add_vertex(v->point());
-	}
-      }     
-      
+        if(Infi_box::is_standard(v->point())) {
+          VI[v]=vertex_index++;
+          B.add_vertex(v->point());
+        }
+      }
+
       Visitor V(B,scd,VI);
       Volume_const_handle c;
       CGAL_forall_volumes(c,scd)
-	if(skip_volumes-- <= 0)
-	  scd.visit_shell_objects(SFace_const_handle(c->shells_begin()),V);
+        if(skip_volumes-- <= 0)
+          scd.visit_shell_objects(SFace_const_handle(c->shells_begin()),V);
       B.end_surface();
       if ( B.error() ) B.rollback();
     }
@@ -902,35 +902,35 @@ protected:
 
   template <class HDS>
   class Build_polyhedron2 : public CGAL::Modifier_base<HDS> {
-    
+
     class Find_holes {
 
       Unique_hash_map<Vertex_const_handle, bool>& omit_vertex;
       int nov, nof;
 
     public:
-      Find_holes(Unique_hash_map<Vertex_const_handle, bool>& omit_vertex_) 
-	: omit_vertex(omit_vertex_), nov(0), nof(0) {}
+      Find_holes(Unique_hash_map<Vertex_const_handle, bool>& omit_vertex_)
+        : omit_vertex(omit_vertex_), nov(0), nof(0) {}
 
       void visit(Halffacet_const_handle f) {
-	++nof;
-	Halffacet_cycle_const_iterator fc = f->facet_cycles_begin();
-	for(++fc; fc != f->facet_cycles_end(); ++fc) {
-	  if(fc.is_shalfedge()) {
-	    --nof;
-	    SHalfedge_around_facet_const_circulator 
-	      sfc(fc), send(sfc);
-	    CGAL_For_all(sfc, send) {
-	      omit_vertex[sfc->source()->source()] = true;
-	      --nov;
-	    }
-	  } else if(fc.is_shalfloop()) {
-	    SHalfloop_const_handle sl(fc);
-	    omit_vertex[sl->incident_sface()->center_vertex()];
-	    --nov;
-	  } else
-	    CGAL_error_msg( "wrong handle type");
-	}
+        ++nof;
+        Halffacet_cycle_const_iterator fc = f->facet_cycles_begin();
+        for(++fc; fc != f->facet_cycles_end(); ++fc) {
+          if(fc.is_shalfedge()) {
+            --nof;
+            SHalfedge_around_facet_const_circulator
+              sfc(fc), send(sfc);
+            CGAL_For_all(sfc, send) {
+              omit_vertex[sfc->source()->source()] = true;
+              --nov;
+            }
+          } else if(fc.is_shalfloop()) {
+            SHalfloop_const_handle sl(fc);
+            omit_vertex[sl->incident_sface()->center_vertex()];
+            --nov;
+          } else
+            CGAL_error_msg( "wrong handle type");
+        }
       }
 
       void visit(Vertex_const_handle) { ++nov; }
@@ -940,31 +940,31 @@ protected:
       void visit(SHalfloop_const_handle) {}
 
       int number_of_vertices() const {
-	return nov;
+        return nov;
       }
 
       int number_of_facets() const {
-	return nof;
+        return nof;
       }
     };
 
     class Add_vertices {
-      
+
       Polyhedron_incremental_builder_3<HDS>& B;
       Unique_hash_map<Vertex_const_handle, bool>& omit_vertex;
-      Object_index<Vertex_const_iterator>& VI;      
+      Object_index<Vertex_const_iterator>& VI;
       int vertex_index;
 
     public:
       Add_vertices(Polyhedron_incremental_builder_3<HDS>& B_,
-		   Unique_hash_map<Vertex_const_handle, bool>& omit_vertex_,
-		   Object_index<Vertex_const_iterator>& VI_) 
-	: B(B_), omit_vertex(omit_vertex_), VI(VI_), vertex_index(0) {}
-	
+                   Unique_hash_map<Vertex_const_handle, bool>& omit_vertex_,
+                   Object_index<Vertex_const_iterator>& VI_)
+        : B(B_), omit_vertex(omit_vertex_), VI(VI_), vertex_index(0) {}
+
       void visit(Vertex_const_handle v) {
-	if(omit_vertex[v]) return;
-	VI[v]=vertex_index++;
-	B.add_vertex(v->point());
+        if(omit_vertex[v]) return;
+        VI[v]=vertex_index++;
+        B.add_vertex(v->point());
       }
 
       void visit(Halffacet_const_handle) {}
@@ -981,37 +981,37 @@ protected:
       Polyhedron_incremental_builder_3<HDS>& B;
       const Unique_hash_map<Vertex_const_handle, bool>& omit_vertex;
       SNC_const_decorator& D;
-      
+
     public:
       Visitor(Polyhedron_incremental_builder_3<HDS>& BB,
-	      const Unique_hash_map<Vertex_const_handle, bool>& omit_vertex_,
-	      SNC_const_decorator& sd,
-	      Object_index<Vertex_const_iterator>& vi) 
-	: VI(vi), B(BB), omit_vertex(omit_vertex_), D(sd){}
+              const Unique_hash_map<Vertex_const_handle, bool>& omit_vertex_,
+              SNC_const_decorator& sd,
+              Object_index<Vertex_const_iterator>& vi)
+        : VI(vi), B(BB), omit_vertex(omit_vertex_), D(sd){}
 
       void visit(Halffacet_const_handle opposite_facet) {
 
-	CGAL_NEF_TRACEN("Build_polyhedron: visit facet " << opposite_facet->plane());
- 
-	CGAL_assertion(Infi_box::is_standard(opposite_facet->plane()));
-	
-	SHalfedge_const_handle se;
-	Halffacet_cycle_const_iterator fc;
-     	
-	Halffacet_const_handle f = opposite_facet->twin();
-
-	fc = f->facet_cycles_begin();
-	se = SHalfedge_const_handle(fc);
-	CGAL_assertion(se!=0);
-	if(omit_vertex[se->source()->source()]) return;
-	B.begin_facet();
-	SHalfedge_around_facet_const_circulator hc_start(se);
-	SHalfedge_around_facet_const_circulator hc_end(hc_start);
-	CGAL_For_all(hc_start,hc_end) {
-	  CGAL_NEF_TRACEN("   add vertex " << hc_start->source()->center_vertex()->point());
-	  B.add_vertex_to_facet(VI[hc_start->source()->center_vertex()]);
-	}
-	B.end_facet();
+        CGAL_NEF_TRACEN("Build_polyhedron: visit facet " << opposite_facet->plane());
+
+        CGAL_assertion(Infi_box::is_standard(opposite_facet->plane()));
+
+        SHalfedge_const_handle se;
+        Halffacet_cycle_const_iterator fc;
+
+        Halffacet_const_handle f = opposite_facet->twin();
+
+        fc = f->facet_cycles_begin();
+        se = SHalfedge_const_handle(fc);
+        CGAL_assertion(se!=0);
+        if(omit_vertex[se->source()->source()]) return;
+        B.begin_facet();
+        SHalfedge_around_facet_const_circulator hc_start(se);
+        SHalfedge_around_facet_const_circulator hc_end(hc_start);
+        CGAL_For_all(hc_start,hc_end) {
+          CGAL_NEF_TRACEN("   add vertex " << hc_start->source()->center_vertex()->point());
+          B.add_vertex_to_facet(VI[hc_start->source()->center_vertex()]);
+        }
+        B.end_facet();
       }
 
       void visit(SFace_const_handle) {}
@@ -1028,20 +1028,20 @@ protected:
     Object_index<Vertex_const_iterator> VI;
     Unique_hash_map<Vertex_const_handle, bool> omit_vertex;
 
-    Build_polyhedron2(SFace_const_handle sf_, SNC_const_decorator& s) : 
-      sf(sf_), scd(s), VI(s.vertices_begin(),s.vertices_end(),'V'), 
+    Build_polyhedron2(SFace_const_handle sf_, SNC_const_decorator& s) :
+      sf(sf_), scd(s), VI(s.vertices_begin(),s.vertices_end(),'V'),
       omit_vertex(false) {}
-    
+
       void operator()(HDS& hds) {
 
       Polyhedron_incremental_builder_3<HDS> B(hds, true);
-      
+
       Find_holes F(omit_vertex);
       scd.visit_shell_objects(sf, F);
 
-      B.begin_surface(F.number_of_vertices(), 
-		      F.number_of_facets(),
-		      F.number_of_vertices()+F.number_of_facets()-2);
+      B.begin_surface(F.number_of_vertices(),
+                      F.number_of_facets(),
+                      F.number_of_vertices()+F.number_of_facets()-2);
 
       Add_vertices A(B,omit_vertex, VI);
       scd.visit_shell_objects(sf, A);
@@ -1056,9 +1056,9 @@ protected:
 
 
  public:
- void delegate( Modifier_base<SNC_structure>& modifier, 
-		bool compute_external = false, 
-		bool do_simplify = true) {
+ void delegate( Modifier_base<SNC_structure>& modifier,
+                bool compute_external = false,
+                bool do_simplify = true) {
 
    // calls the `operator()' of the `modifier'. Precondition: The
    // `modifier' returns a consistent representation.
@@ -1067,7 +1067,7 @@ protected:
    if(compute_external) {
      SNC_external_structure es(snc());
      es.clear_external_structure();
-     
+
      build_external_structure();
    }
    if(do_simplify)
@@ -1082,9 +1082,9 @@ protected:
    SNC_and_PL(SNC_structure* s, SNC_point_locator* p) : sncp(s), pl(p) {}
  };
 
- void delegate( Modifier_base<SNC_and_PL>& modifier, 
-		bool compute_external = false,
-		bool do_simplify = false) {
+ void delegate( Modifier_base<SNC_and_PL>& modifier,
+                bool compute_external = false,
+                bool do_simplify = false) {
    // calls the `operator()' of the `modifier'. Precondition: The
    // `modifier' returns a consistent representation.
    if( this->is_shared()) clone_rep();
@@ -1100,7 +1100,7 @@ protected:
      simplify();
    CGAL_expensive_postcondition( is_valid());
  }
- 
+
  public:
 
  template<typename Polyhedron>
@@ -1113,7 +1113,7 @@ protected:
    typedef typename Polyhedron::HalfedgeDS HalfedgeDS;
    CGAL_precondition(is_simple());
    P.clear();
-   Build_polyhedron<HalfedgeDS> bp(*this);    
+   Build_polyhedron<HalfedgeDS> bp(*this);
    P.delegate(bp);
  }
 
@@ -1134,7 +1134,7 @@ protected:
     SNC_decorator D(snc());
     bool valid = D.is_valid(verb, level);
     verr << "end of CGAL::Nef_polyhedron_3<...>::is_valid(): structure is "
-	 << ( valid ? "valid." : "NOT VALID.") << std::endl;
+         << ( valid ? "valid." : "NOT VALID.") << std::endl;
     return valid;
   }
 
@@ -1143,29 +1143,29 @@ protected:
     Halfedge_const_iterator e;
     CGAL_forall_edges(e,snc())
       if(!is_edge_2manifold(e))
-	return false;
+        return false;
 
     CGAL_NEF_TRACEN("there is no edge with non-manifold situation");
 
     Vertex_const_iterator v;
     CGAL_forall_vertices(v,snc())
       if(!is_vertex_2manifold(v))
-	return false;
+        return false;
 
     CGAL_NEF_TRACEN("there is no vertex with non-manifold situation");
 /*
     Halffacet_iterator f;
     CGAL_forall_halffacets(f,snc())
       if(!is_facet_simple(f))
-	return false;
+        return false;
 
     CGAL_NEF_TRACEN("there are no holes");
 */
     return true;
   }
- 
+
  bool is_convex() const {
-   
+
    Vertex_const_iterator v;
    CGAL_forall_vertices(v, *this) {
 
@@ -1179,25 +1179,25 @@ protected:
      CGAL_forall_sfaces(sf,SD) {
        if(sf->volume() == Infi_box::getNirvana(snc())) continue;
        if(std::distance(sf->sface_cycles_begin(),sf->sface_cycles_end())!=1)
-	 return false;
+         return false;
        SFace_cycle_const_iterator sfi(sf->sface_cycles_begin());
        if(!sfi.is_shalfedge())
-	 return false;
+         return false;
        SHalfedge_const_handle se(sf->sface_cycles_begin());
        SHalfedge_around_sface_const_circulator sec(se),send(sec);
        CGAL_For_all(sec,send)
-	 if(spherical_orientation(sec->source()->point(),
-				  sec->snext()->source()->point(),
-				  sec->snext()->snext()->source()->point())<0) {
-	   std::cerr << "vertex at " << v->point() << " is not convex" << std::endl;
-	   return false;
-	 }
+         if(spherical_orientation(sec->source()->point(),
+                                  sec->snext()->source()->point(),
+                                  sec->snext()->snext()->source()->point())<0) {
+           std::cerr << "vertex at " << v->point() << " is not convex" << std::endl;
+           return false;
+         }
      }
    }
    return true;
  }
 
- private:  
+ private:
   bool is_edge_2manifold(const Halfedge_const_handle& e) const {
 
     SM_decorator SD;
@@ -1213,17 +1213,17 @@ protected:
       return false;
     }
 
-    if(++c != c2) { 
+    if(++c != c2) {
       CGAL_assertion(circulator_size(c) !=2);
       return false;
     }
-    
+
     CGAL_assertion(circulator_size(c) == 2);
     return true;
   }
- 
+
   bool is_vertex_2manifold(const Vertex_const_handle& v) const {
-     
+
     SFace_const_iterator sfi(v->sfaces_begin());
     if (++sfi != v->sfaces_last())
       return false;
@@ -1232,20 +1232,20 @@ protected:
   }
 
   bool is_facet_simple(const Halffacet_const_handle& f) const {
-    
+
     bool found_first = false;
-    Halffacet_cycle_const_iterator it; 
+    Halffacet_cycle_const_iterator it;
     CGAL_forall_facet_cycles_of(it,f)
       if (found_first || !it.is_shalfedge())
-	return false;
+        return false;
       else
-	found_first = true;
-   
+        found_first = true;
+
     return true;
   }
 
  public:
- 
+
   void clear(Content space = EMPTY)
     { *this = Nef_polyhedron_3(space); }
   /*{\Mop makes |\Mvar| the empty set if |space == EMPTY| and the
@@ -1253,14 +1253,14 @@ protected:
 
  bool is_empty() const {
    /*{\Mop returns true if |\Mvar| is empty, false otherwise.}*/
-   if(Infi_box::extended_kernel()) 
+   if(Infi_box::extended_kernel())
      return this->number_of_vertices() == 8 &&
             this->number_of_edges() == 12 &&
             this->number_of_facets() == 6 &&
             this->number_of_volumes() == 2 &&
             (++this->volumes_begin())->mark() == false;
 
-   else 
+   else
      return this->number_of_vertices() == 0 &&
             this->number_of_edges() == 0 &&
             this->number_of_facets() == 0 &&
@@ -1270,14 +1270,14 @@ protected:
 
  bool is_space() const {
   /*{\Mop returns true if |\Mvar| is the whole space, false otherwise.}*/
-   if(Infi_box::extended_kernel()) 
+   if(Infi_box::extended_kernel())
      return this->number_of_vertices() == 8 &&
             this->number_of_edges() == 12 &&
             this->number_of_facets() == 6 &&
             this->number_of_volumes() == 2 &&
             (++this->volumes_begin())->mark() == true;
 
-   else 
+   else
      return this->number_of_vertices() == 0 &&
             this->number_of_edges() == 0 &&
             this->number_of_facets() == 0 &&
@@ -1289,17 +1289,17 @@ protected:
 
  protected:
   void clone_rep() { *this = Nef_polyhedron_3<Kernel,Items, Mark>(snc(), pl()); }
-  void empty_rep() { 
+  void empty_rep() {
     SNC_structure rsnc;
     delete pl();
     *this = Nef_polyhedron_3<Kernel,Items, Mark>(rsnc, new SNC_point_locator_default,false);
   }
 
  public:
-  Nef_polyhedron_3( const SNC_structure& W, 
-		    SNC_point_locator* _pl = new SNC_point_locator_default,
-		    bool clone_pl = true,
-		    bool clone_snc = true);
+  Nef_polyhedron_3( const SNC_structure& W,
+                    SNC_point_locator* _pl = new SNC_point_locator_default,
+                    bool clone_pl = true,
+                    bool clone_snc = true);
 
   /*{\Xcreate makes |\Mvar| a new object.  If |cloneit==true| then the
   underlying structure of |W| is copied into |\Mvar|.}*/
@@ -1311,16 +1311,16 @@ protected:
     SNC_simplify simp(snc());
     bool simplified = simp.simplify();
     CGAL_NEF_TRACEN( "simplify(): structure simplified? "<<simplified);
-    
+
     if( simplified) {
 #ifdef CGAL_NEF3_UPDATE_K3TREE_AFTER_SIMPLIFICATION
       /*debug*/ snc().print_statistics();
-      Unique_hash_map<Vertex_handle, bool> 
-	V(false, snc().number_of_vertices());
-      Unique_hash_map<Halfedge_handle, bool> 
-	E(false, snc().number_of_halfedges());
-      Unique_hash_map<Halffacet_handle, bool> 
-	F(false, snc().number_of_halffacets());
+      Unique_hash_map<Vertex_handle, bool>
+        V(false, snc().number_of_vertices());
+      Unique_hash_map<Halfedge_handle, bool>
+        E(false, snc().number_of_halfedges());
+      Unique_hash_map<Halffacet_handle, bool>
+        F(false, snc().number_of_halffacets());
       Vertex_iterator v;
       Halfedge_iterator e;
       Halffacet_iterator f;
@@ -1398,7 +1398,7 @@ protected:
   }
 
   Nef_polyhedron_3<Kernel,Items, Mark> regularization() const
-  /*{\Mop    returns the regularized polyhedron (closure of 
+  /*{\Mop    returns the regularized polyhedron (closure of
     the interior).}*/
   { Nef_polyhedron_3<Kernel,Items, Mark> res = *this;
     res.extract_regularization();
@@ -1422,20 +1422,20 @@ protected:
   }
 
   Nef_polyhedron_3<Kernel,Items, Mark>
-   intersection(const Plane_3& plane, 
-		Intersection_mode im) const {
+   intersection(const Plane_3& plane,
+                Intersection_mode im) const {
     AND _and;
     SNC_structure rsnc;
     Nef_polyhedron_3<Kernel,Items, Mark> res(rsnc, new SNC_point_locator_default, false);
     Combine_with_halfspace cwh(res.snc(), res.pl());
-    cwh.combine_with_halfspace(snc(), plane, _and, 
-							   static_cast<typename Combine_with_halfspace::Intersection_mode>(im));
+    cwh.combine_with_halfspace(snc(), plane, _and,
+                                                           static_cast<typename Combine_with_halfspace::Intersection_mode>(im));
     return res;
   }
 
-  Nef_polyhedron_3<Kernel,Items, Mark> 
+  Nef_polyhedron_3<Kernel,Items, Mark>
   join(const Nef_polyhedron_3<Kernel,Items, Mark>& N1) const
-  /*{\Mop returns |\Mvar| $\cup$ |N1|. }*/ { 
+  /*{\Mop returns |\Mvar| $\cup$ |N1|. }*/ {
     CGAL_NEF_TRACEN(" join between nef3 "<<&*this<<" and "<<&N1);
     if (is_empty()) return N1;
     if (N1.is_empty()) return *this;
@@ -1450,9 +1450,9 @@ protected:
     return res;
   }
 
-  Nef_polyhedron_3<Kernel,Items, Mark> 
+  Nef_polyhedron_3<Kernel,Items, Mark>
   difference(const Nef_polyhedron_3<Kernel,Items, Mark>& N1) const
-  /*{\Mop returns |\Mvar| $-$ |N1|. }*/ { 
+  /*{\Mop returns |\Mvar| $-$ |N1|. }*/ {
     CGAL_NEF_TRACEN(" difference between nef3 "<<&*this<<" and "<<&N1);
     if (is_empty()) return *this;
     if (N1.is_empty()) return *this;
@@ -1465,11 +1465,11 @@ protected:
     Binary_operation bo(res.snc());
     bo(res.pl(), snc(), pl(), N1.snc(), N1.pl(), _diff);
     return res;
-  }    
+  }
 
-  Nef_polyhedron_3<Kernel,Items, Mark> 
+  Nef_polyhedron_3<Kernel,Items, Mark>
   symmetric_difference(const Nef_polyhedron_3<Kernel,Items, Mark>& N1) const
-  /*{\Mop returns the symmectric difference |\Mvar - T| $\cup$ 
+  /*{\Mop returns the symmectric difference |\Mvar - T| $\cup$
           |T - \Mvar|. }*/ {
     CGAL_NEF_TRACEN(" symmetic difference between nef3 "<<&*this<<" and "<<&N1);
     if (is_empty()) return N1;
@@ -1492,7 +1492,7 @@ protected:
   operation \emph{complement}. There are also the corresponding
   modification operations |*=,+=,-=,^=|.}*/
 
-  Nef_polyhedron_3<Kernel,Items, Mark>  operator*(const Nef_polyhedron_3<Kernel,Items, Mark>& N1) const 
+  Nef_polyhedron_3<Kernel,Items, Mark>  operator*(const Nef_polyhedron_3<Kernel,Items, Mark>& N1) const
   { return intersection(N1); }
 
   Nef_polyhedron_3<Kernel,Items, Mark>  operator+(const Nef_polyhedron_3<Kernel,Items, Mark>& N1) const
@@ -1506,21 +1506,21 @@ protected:
 
   Nef_polyhedron_3<Kernel,Items, Mark>  operator!() const
   { return complement(); }
-   
+
   Nef_polyhedron_3<Kernel,Items, Mark>& operator*=(const Nef_polyhedron_3<Kernel,Items, Mark>& N1)
-  { 
+  {
 #ifdef CGAL_NEF_VISUAL_HULL
     CGAL_NEF_SETDTHREAD(19*43*71);
     std::cerr << "visual hull code " << std::endl;
     std::cerr << *this << std::endl;
     std::cerr << const_cast<Nef_polyhedron&>(N1) << std::endl;
     AND _and;
-    typename CGAL::Modifying_binary_operation<SNC_structure> 
+    typename CGAL::Modifying_binary_operation<SNC_structure>
       mbo(this->snc());
     mbo(const_cast<SNC_structure&>(N1.snc()), N1.pl(), pl(), _and);
     return *this;
 #else
-    *this = intersection(N1); return *this; 
+    *this = intersection(N1); return *this;
 #endif
   }
 
@@ -1543,42 +1543,42 @@ protected:
 
   bool operator!=(const Nef_polyhedron_3<Kernel,Items, Mark>& N1) const
   { CGAL_NEF_TRACEN(" inequality comparision between nef3 "<<&*this<<" and "<<&N1);
-    return !operator==(N1); }  
+    return !operator==(N1); }
 
   bool operator<(const Nef_polyhedron_3<Kernel,Items, Mark>& N1) const
-  { return !N1.difference(*this).is_empty() && difference(N1).is_empty(); } 
+  { return !N1.difference(*this).is_empty() && difference(N1).is_empty(); }
 
   bool operator>(const Nef_polyhedron_3<Kernel,Items, Mark>& N1) const
-  { return difference(*this).is_empty() && !difference(N1).is_empty(); } 
+  { return difference(*this).is_empty() && !difference(N1).is_empty(); }
 
   bool operator<=(const Nef_polyhedron_3<Kernel,Items, Mark>& N1) const
-  { return difference(N1).is_empty(); } 
+  { return difference(N1).is_empty(); }
 
   bool operator>=(const Nef_polyhedron_3<Kernel,Items, Mark>& N1) const
-  { return N1.difference(*this).is_empty(); } 
+  { return N1.difference(*this).is_empty(); }
 
 
  bool is_90degree_rotation(const Aff_transformation_3& aff) const {
    if(aff.hm(0,3) != 0) return false;
    if(aff.hm(1,3) != 0) return false;
    if(aff.hm(2,3) != 0) return false;
-   if(CGAL_NTS abs(aff.hm(0,0)) + 
-      CGAL_NTS abs(aff.hm(0,1)) + 
+   if(CGAL_NTS abs(aff.hm(0,0)) +
+      CGAL_NTS abs(aff.hm(0,1)) +
       CGAL_NTS abs(aff.hm(0,2)) != aff.hm(3,3)) return false;
-   if(CGAL_NTS abs(aff.hm(1,0)) + 
-      CGAL_NTS abs(aff.hm(1,1)) + 
+   if(CGAL_NTS abs(aff.hm(1,0)) +
+      CGAL_NTS abs(aff.hm(1,1)) +
       CGAL_NTS abs(aff.hm(1,2)) != aff.hm(3,3)) return false;
-   if(CGAL_NTS abs(aff.hm(2,0)) + 
-      CGAL_NTS abs(aff.hm(2,1)) + 
+   if(CGAL_NTS abs(aff.hm(2,0)) +
+      CGAL_NTS abs(aff.hm(2,1)) +
       CGAL_NTS abs(aff.hm(2,2)) != aff.hm(3,3)) return false;
-   if(CGAL_NTS abs(aff.hm(0,0)) + 
-      CGAL_NTS abs(aff.hm(1,0)) + 
+   if(CGAL_NTS abs(aff.hm(0,0)) +
+      CGAL_NTS abs(aff.hm(1,0)) +
       CGAL_NTS abs(aff.hm(2,0)) != aff.hm(3,3)) return false;
-   if(CGAL_NTS abs(aff.hm(0,1)) + 
-      CGAL_NTS abs(aff.hm(1,1)) + 
+   if(CGAL_NTS abs(aff.hm(0,1)) +
+      CGAL_NTS abs(aff.hm(1,1)) +
       CGAL_NTS abs(aff.hm(2,1)) != aff.hm(3,3)) return false;
-   if(CGAL_NTS abs(aff.hm(0,2)) + 
-      CGAL_NTS abs(aff.hm(1,2)) + 
+   if(CGAL_NTS abs(aff.hm(0,2)) +
+      CGAL_NTS abs(aff.hm(1,2)) +
       CGAL_NTS abs(aff.hm(2,2)) != aff.hm(3,3)) return false;
    return true;
  }
@@ -1586,10 +1586,10 @@ protected:
  bool is_scaling(const Aff_transformation_3& aff) const {
    if(aff.hm(0,3) != 0) return false;
    if(aff.hm(1,3) != 0) return false;
-   if(aff.hm(2,3) != 0) return false;   
+   if(aff.hm(2,3) != 0) return false;
    if(aff.hm(0,1) != 0) return false;
    if(aff.hm(0,2) != 0) return false;
-   if(aff.hm(1,0) != 0) return false;   
+   if(aff.hm(1,0) != 0) return false;
    if(aff.hm(1,2) != 0) return false;
    if(aff.hm(2,0) != 0) return false;
    if(aff.hm(2,1) != 0) return false;
@@ -1620,15 +1620,15 @@ protected:
        se->twin()->source() = svtemp;
 
        if(full) {
-	 ftemp = se->facet();
-	 se->facet() = se->twin()->facet();
-	 se->twin()->facet() = ftemp;
+         ftemp = se->facet();
+         se->facet() = se->twin()->facet();
+         se->twin()->facet() = ftemp;
        }
        //       sftemp = se->incident_sface();
        //       se->incident_sface() = se->twin()->incident_sface();
        //       se->twin()->incident_sface() = sftemp;
      }
-       
+
      setemp = se->sprev();
      se->sprev() = se->snext();
      se->snext() = setemp;
@@ -1649,51 +1649,51 @@ protected:
        f->incident_volume() = f->twin()->incident_volume();
        f->twin()->incident_volume() = vtemp;
        Halffacet_cycle_iterator fc(f->facet_cycles_begin()),
-	 fct(f->twin()->facet_cycles_begin());
+         fct(f->twin()->facet_cycles_begin());
        while(fc!=f->facet_cycles_end()) {
-	 CGAL_assertion(fct!=f->twin()->facet_cycles_end());
-	 if(fc.is_shalfedge()) {
-	   CGAL_assertion(fct.is_shalfedge());
-	   setemp = fc;
-	   *fc = *fct;
-	   *fct = make_object(setemp);
-	 }
-	 ++fc;
-	 ++fct;
+         CGAL_assertion(fct!=f->twin()->facet_cycles_end());
+         if(fc.is_shalfedge()) {
+           CGAL_assertion(fct.is_shalfedge());
+           setemp = fc;
+           *fc = *fct;
+           *fct = make_object(setemp);
+         }
+         ++fc;
+         ++fct;
        }
      }
-   
+
      CGAL_forall_halffacets(f, snc()) {
        Halffacet_cycle_iterator fc(f->facet_cycles_begin());
        for(;fc!=f->facet_cycles_end();++fc) {
-	 if(fc.is_shalfedge()) {
-	   setemp = fc;
-	   SHalfedge_around_facet_circulator hfc(setemp),hend(hfc);
-	   ++hfc;
-	   CGAL_For_all(hfc,hend) {
-	     if ( CGAL::lexicographically_xyz_smaller(hfc->source()->source()->point(),
-						      setemp->source()->source()->point()))
-	       setemp = hfc;
-	   }
-	   *fc = make_object(setemp);
-	 }
+         if(fc.is_shalfedge()) {
+           setemp = fc;
+           SHalfedge_around_facet_circulator hfc(setemp),hend(hfc);
+           ++hfc;
+           CGAL_For_all(hfc,hend) {
+             if ( CGAL::lexicographically_xyz_smaller(hfc->source()->source()->point(),
+                                                      setemp->source()->source()->point()))
+               setemp = hfc;
+           }
+           *fc = make_object(setemp);
+         }
        }
      }
    }
  }
 
   void transform( const Aff_transformation_3& aff) {
-    
+
     if( this->is_shared())
       clone_rep();
     // only linear transform for the origin-centered sphere maps
     Aff_transformation_3 linear( aff.hm(0,0), aff.hm(0,1), aff.hm(0,2),
-				 aff.hm(1,0), aff.hm(1,1), aff.hm(1,2),
-				 aff.hm(2,0), aff.hm(2,1), aff.hm(2,2),
-				 aff.hm(3,3));
-    
+                                 aff.hm(1,0), aff.hm(1,1), aff.hm(1,2),
+                                 aff.hm(2,0), aff.hm(2,1), aff.hm(2,2),
+                                 aff.hm(3,3));
+
     SNC_constructor cstr(snc());
-    
+
     std::list<Vertex_handle> vertex_list;
     std::list<Vertex_handle> corner_list;
     std::list<Vertex_handle> delete_list;
@@ -1705,123 +1705,123 @@ protected:
 
     Vertex_iterator vi;
     CGAL_forall_vertices( vi, snc()) {
-      
+
       CGAL_NEF_TRACEN("transform vertex ");
       if(scale) {
-	if(is_standard(vi))
-	  vi->point() = vi->point().transform( aff);
-	else if(!Infi_box::is_infibox_corner(vi->point())) {
-	  vi->point() = normalized(Infi_box::normalize_transformed_vertex(vi->point().transform(aff)));
-	}
+        if(is_standard(vi))
+          vi->point() = vi->point().transform( aff);
+        else if(!Infi_box::is_infibox_corner(vi->point())) {
+          vi->point() = normalized(Infi_box::normalize_transformed_vertex(vi->point().transform(aff)));
+        }
       } else if (!is_standard(vi) && !ninety) {
-	if(Infi_box::is_infibox_corner(vi->point()))
-	  corner_list.push_back(vi);
-	vertex_list.push_back(vi);
+        if(Infi_box::is_infibox_corner(vi->point()))
+          corner_list.push_back(vi);
+        vertex_list.push_back(vi);
       } else {
-	vi->point() = vi->point().transform( aff);
-	SM_decorator sdeco(&*vi);
-	sdeco.transform( linear);
+        vi->point() = vi->point().transform( aff);
+        SM_decorator sdeco(&*vi);
+        sdeco.transform( linear);
       }
     }
 
     if(!this->is_bounded() && !ninety && !scale) {
       Halffacet_iterator fi;
       CGAL_forall_facets(fi, snc()) {
-	if(!is_standard(fi) || is_bounded(fi)) continue;
-	Plane_3 pt = fi->plane();
-	pt = pt.transform(aff);
-	std::list<Point_3> points(Infi_box::find_points_of_box_with_plane(cstr,pt));
-	std::list<Vertex_handle> newVertices;
-	newVertices = Infi_box::create_vertices_on_infibox(cstr,
-							   pt, points, fi->mark(), 
-							   fi->twin()->incident_volume()->mark(), 
-							   fi->incident_volume()->mark());
-
-	for(li = newVertices.begin(); li != newVertices.end(); ++li) {
-	  if(Infi_box::is_infibox_corner((*li)->point())) {
-	    li2 = corner_list.begin();
-	    while(li2 != corner_list.end() && (*li2)->point() != (*li)->point()) ++li2;
-	    CGAL_assertion(li2 != corner_list.end());
-	    delete_list.push_back(*li2);
-	    *li2 = *li;
-	  }
-	}
+        if(!is_standard(fi) || is_bounded(fi)) continue;
+        Plane_3 pt = fi->plane();
+        pt = pt.transform(aff);
+        std::list<Point_3> points(Infi_box::find_points_of_box_with_plane(cstr,pt));
+        std::list<Vertex_handle> newVertices;
+        newVertices = Infi_box::create_vertices_on_infibox(cstr,
+                                                           pt, points, fi->mark(),
+                                                           fi->twin()->incident_volume()->mark(),
+                                                           fi->incident_volume()->mark());
+
+        for(li = newVertices.begin(); li != newVertices.end(); ++li) {
+          if(Infi_box::is_infibox_corner((*li)->point())) {
+            li2 = corner_list.begin();
+            while(li2 != corner_list.end() && (*li2)->point() != (*li)->point()) ++li2;
+            CGAL_assertion(li2 != corner_list.end());
+            delete_list.push_back(*li2);
+            *li2 = *li;
+          }
+        }
       }
-      
+
       for(li = vertex_list.begin(); li != vertex_list.end();++li) {
-	SM_decorator SD(&**li);
-	if(Infi_box::is_complex_facet_infibox_intersection(**li)) {
-	  Halffacet_handle hf[2];
-	  int i=0;
-	  SHalfedge_iterator sei;
-	  CGAL_forall_sedges(sei,SD) {
-	    if(!Infi_box::is_sedge_on_infibox(sei)) {
-	      hf[i] = sei->facet();
-	      if(hf[i]->is_twin()) hf[i] = hf[i]->twin();
-	      ++i;
-	    }
-	    if(i>1)
-	      break;
-	  }
-	}
+        SM_decorator SD(&**li);
+        if(Infi_box::is_complex_facet_infibox_intersection(**li)) {
+          Halffacet_handle hf[2];
+          int i=0;
+          SHalfedge_iterator sei;
+          CGAL_forall_sedges(sei,SD) {
+            if(!Infi_box::is_sedge_on_infibox(sei)) {
+              hf[i] = sei->facet();
+              if(hf[i]->is_twin()) hf[i] = hf[i]->twin();
+              ++i;
+            }
+            if(i>1)
+              break;
+          }
+        }
       }
 
       Association A;
       SNC_external_structure es(snc());
       es.clear_external_structure();
       for(li = vertex_list.begin(); li != vertex_list.end();++li){
-	if(Infi_box::is_complex_facet_infibox_intersection(**li)) {
-	  Vertex_handle v2;
-	  Vertex_handle v1 = cstr.create_for_infibox_overlay(*li);
-	  v1->point() = normalized(Infi_box::normalize_transformed_vertex((*li)->point().transform(aff)));
-	  SM_decorator sdeco(&*v1);
-	  sdeco.transform(linear);	    
-	  switch(Infi_box::type_of_infibox_point(v1->point())) {
-	  case 1: 
-	    v2 = cstr.create_from_point_on_infibox_facet(v1->point()); 
-	    break;
-	  case 2: 
-	    v2 = cstr.create_from_point_on_infibox_edge(v1->point());
-	    break;
-	  case 3: 
-	    v2 = cstr.create_from_point_on_infibox_vertex(v1->point());
-	    li2 = corner_list.begin();
-	    while(li2 != corner_list.end() && (*li2)->point() != v2->point()) ++li2;
-	    if(li2 != corner_list.end())
-	      delete_list.push_back(*li2);
-	    break;
-	  default: CGAL_error_msg( "wrong value");
-	  }
-	  Vertex_handle v = snc().new_vertex(v1->point(), (*li)->mark());
-	  SM_overlayer O(&*v);
-	  O.subdivide(&*v1, &*v2, A);
-	  AND _and;
-	  O.select(_and);
-	  O.simplify(A);
-	  snc().delete_vertex(v1);
-	  snc().delete_vertex(v2);
-	}
-	
-	if(Infi_box::is_infibox_corner((*li)->point())) {
-	  SM_decorator SD(&**li);
-	  if(SD.number_of_svertices() < 4)
-	    continue;
-	  li2 = corner_list.begin();
-	  while(li2 != corner_list.end() && (*li2)->point() != (*li)->point()) ++li2;
-	  CGAL_assertion(li2 != corner_list.end());
-	  if(*li == *li2) {
-	    delete_list.push_back(*li2);
-	    *li2 = cstr.create_from_point_on_infibox_vertex((*li)->point());
-	  }
-	} else 
-	  snc().delete_vertex(*li);	  
+        if(Infi_box::is_complex_facet_infibox_intersection(**li)) {
+          Vertex_handle v2;
+          Vertex_handle v1 = cstr.create_for_infibox_overlay(*li);
+          v1->point() = normalized(Infi_box::normalize_transformed_vertex((*li)->point().transform(aff)));
+          SM_decorator sdeco(&*v1);
+          sdeco.transform(linear);
+          switch(Infi_box::type_of_infibox_point(v1->point())) {
+          case 1:
+            v2 = cstr.create_from_point_on_infibox_facet(v1->point());
+            break;
+          case 2:
+            v2 = cstr.create_from_point_on_infibox_edge(v1->point());
+            break;
+          case 3:
+            v2 = cstr.create_from_point_on_infibox_vertex(v1->point());
+            li2 = corner_list.begin();
+            while(li2 != corner_list.end() && (*li2)->point() != v2->point()) ++li2;
+            if(li2 != corner_list.end())
+              delete_list.push_back(*li2);
+            break;
+          default: CGAL_error_msg( "wrong value");
+          }
+          Vertex_handle v = snc().new_vertex(v1->point(), (*li)->mark());
+          SM_overlayer O(&*v);
+          O.subdivide(&*v1, &*v2, A);
+          AND _and;
+          O.select(_and);
+          O.simplify(A);
+          snc().delete_vertex(v1);
+          snc().delete_vertex(v2);
+        }
+
+        if(Infi_box::is_infibox_corner((*li)->point())) {
+          SM_decorator SD(&**li);
+          if(SD.number_of_svertices() < 4)
+            continue;
+          li2 = corner_list.begin();
+          while(li2 != corner_list.end() && (*li2)->point() != (*li)->point()) ++li2;
+          CGAL_assertion(li2 != corner_list.end());
+          if(*li == *li2) {
+            delete_list.push_back(*li2);
+            *li2 = cstr.create_from_point_on_infibox_vertex((*li)->point());
+          }
+        } else
+          snc().delete_vertex(*li);
       }
 
       for(li = delete_list.begin(); li != delete_list.end(); ++li)
-	snc().delete_vertex(*li);
+        snc().delete_vertex(*li);
 
       if(!aff.is_even())
-	change_orientation();
+        change_orientation();
 
       while(cstr.erase_redundant_vertices()) ;
       cstr.correct_infibox_sedge_marks();
@@ -1829,88 +1829,88 @@ protected:
       build_external_structure();
       cstr.correct_infibox_sface_marks();
 
-      // are the upcoming lines necessary? 
+      // are the upcoming lines necessary?
       SNC_point_locator* old_pl = pl();
       pl() = pl()->clone();
       pl()->initialize(&snc());
-      delete old_pl;   
+      delete old_pl;
 
     } else {
       Halffacet_iterator fi;
       CGAL_forall_halffacets(fi,snc()) {
-	if(is_standard(fi) || ninety) {
-	  fi->plane() = fi->plane().transform( aff);
-#ifdef CGAL_NEF3_FACET_WITH_BOX 
-	  typedef typename Halffacet::Box Box;
-	  bool first = true;
-	  Halffacet_cycle_iterator cycle_it = fi->facet_cycles_begin();
-	  if( cycle_it.is_shalfedge() ) {
-	    SHalfedge_iterator edge_it(cycle_it);
-	    SHalfedge_around_facet_circulator
-	      start( edge_it ), end( edge_it );
-	    CGAL_For_all( start, end ) {
-	      const Point_3& p = start->source()->source()->point();
-	      typename Kernel::FT q[3];
-	      q[0] = p.x();
-	      q[1] = p.y();
-	      q[2] = p.z();
-	      if(first) {
-		fi->b = Box(q,q);
-		first = false;
-	      } else
-		fi->b.extend(q);
-	    }
-	  } else
-	    CGAL_error_msg( "is facet first cycle a SHalfloop?"); 
+        if(is_standard(fi) || ninety) {
+          fi->plane() = fi->plane().transform( aff);
+#ifdef CGAL_NEF3_FACET_WITH_BOX
+          typedef typename Halffacet::Box Box;
+          bool first = true;
+          Halffacet_cycle_iterator cycle_it = fi->facet_cycles_begin();
+          if( cycle_it.is_shalfedge() ) {
+            SHalfedge_iterator edge_it(cycle_it);
+            SHalfedge_around_facet_circulator
+              start( edge_it ), end( edge_it );
+            CGAL_For_all( start, end ) {
+              const Point_3& p = start->source()->source()->point();
+              typename Kernel::FT q[3];
+              q[0] = p.x();
+              q[1] = p.y();
+              q[2] = p.z();
+              if(first) {
+                fi->b = Box(q,q);
+                first = false;
+              } else
+                fi->b.extend(q);
+            }
+          } else
+            CGAL_error_msg( "is facet first cycle a SHalfloop?");
 #endif
-	}
-      }    
+        }
+      }
 
       if(!aff.is_even())
-	change_orientation(true);
+        change_orientation(true);
 
       if(aff.homogeneous(0,1) != 0 ||
-	 aff.homogeneous(0,2) != 0 ||
-	 aff.homogeneous(1,0) != 0 ||
-	 aff.homogeneous(1,2) != 0 ||
-	 aff.homogeneous(2,0) != 0 ||
-	 aff.homogeneous(2,1) != 0 ||
-	 aff.homogeneous(0,0) != aff.homogeneous(1,1) ||
-	 aff.homogeneous(0,0) != aff.homogeneous(2,2) ||
-	 !this->is_bounded()) {
-	   SNC_point_locator* old_pl = pl();
-	   pl() = pl()->clone();
-	   pl()->initialize(&snc());
-	   delete old_pl;   
-	 }
-      else pl()->transform(aff); 
+         aff.homogeneous(0,2) != 0 ||
+         aff.homogeneous(1,0) != 0 ||
+         aff.homogeneous(1,2) != 0 ||
+         aff.homogeneous(2,0) != 0 ||
+         aff.homogeneous(2,1) != 0 ||
+         aff.homogeneous(0,0) != aff.homogeneous(1,1) ||
+         aff.homogeneous(0,0) != aff.homogeneous(2,2) ||
+         !this->is_bounded()) {
+           SNC_point_locator* old_pl = pl();
+           pl() = pl()->clone();
+           pl()->initialize(&snc());
+           delete old_pl;
+         }
+      else pl()->transform(aff);
     }
 
     SNC_constructor C(snc());
-    C.assign_indices(); 
+    C.assign_indices();
   }
-  
+
   /*{\Mtext \headerline{Exploration}
-  As Nef polyhedra are the result of forming complements 
+  As Nef polyhedra are the result of forming complements
   and intersections starting from a set |H| of halfspaces which are
-  defined by oriented planes in three space. The corresponding 
-  structure is represented by an extended wuerzburg structure 
-  $W = (V,E,F,C)$. For topological queries within |W| the following 
+  defined by oriented planes in three space. The corresponding
+  structure is represented by an extended wuerzburg structure
+  $W = (V,E,F,C)$. For topological queries within |W| the following
   types and operations allow exploration access to this structure.}*/
 
   /*{\Mtypes 3}*/
-    
+
     typedef CGAL::SNC_SM_explorer<SM_const_decorator>  SM_explorer;
 
-    SM_explorer SMexplorer(Vertex_const_handle v) const { 
+    SM_explorer SMexplorer(Vertex_const_handle v) const {
       SM_const_decorator SMCD(&*v);
-      return SM_explorer(SMCD); 
+      return SM_explorer(SMCD);
     }
 
   typedef typename SNC_structure::Object_list Object_list;
   typedef typename SNC_structure::Object_handle Object_handle;
   /*{\Mtypemember a generic handle to an object of the underlying
-  plane map. The kind of object |(vertex, halfedge, face)| can 
+  plane map. The kind of object |(vertex, halfedge, face)| can
   be determined and the object can be assigned to a corresponding
   handle by the three functions:\\
   |bool assign(Vertex_const_handle& h, Object_handle)|\\
@@ -1925,7 +1925,7 @@ protected:
   bool contains(Object_handle /*h*/) const
   /*{\Mop  returns true iff the object |h| is contained in the set
   represented by |\Mvar|.}*/
-    // { SNC_point_locator PL(snc()); return PL.mark(h);} 
+    // { SNC_point_locator PL(snc()); return PL.mark(h);}
     { CGAL_error_msg( "not implemented."); return false;}
 
   bool contained_in_boundary(Object_handle h) const
@@ -1939,14 +1939,14 @@ protected:
 
   Object_handle locate(const Point_3& p) const
   /*{\Mop  returns a generic handle |h| to an object (vertex, edge, facet,
-  volume) of the underlying SNC which contains the point |p| in its relative 
-  interior. The point |p| is contained in the set represented by |\Mvar| if 
+  volume) of the underlying SNC which contains the point |p| in its relative
+  interior. The point |p| is contained in the set represented by |\Mvar| if
   |\Mvar.contains(h)| is true.}*/ {
     CGAL_NEF_TRACEN( "locating point...");
     CGAL_assertion( pl() != nullptr);
 
     Object_handle o = pl()->locate(p);
-    
+
     Vertex_handle v;
     Halfedge_handle e;
     Halffacet_handle f;
@@ -1968,7 +1968,7 @@ protected:
   $O(N^2)$ where $N$ is the size of the output plus the size of the
   input.
 
-  The point location operations run in linear query time without any 
+  The point location operations run in linear query time without any
   preprocessing.}*/
 
   /*{\Mexample Nef polyhedra are parameterized by a so called extended
@@ -2040,10 +2040,10 @@ Nef_polyhedron_3(const Plane_3& h, Bound
   /*
   if(Infi_box::extended_kernel()) {
     SNC_structure snc1, snc2;
-    SNC_point_locator* pl1 = new SNC_point_locator_default; 
-    SNC_point_locator* pl2 = new SNC_point_locator_default; 
+    SNC_point_locator* pl1 = new SNC_point_locator_default;
+    SNC_point_locator* pl2 = new SNC_point_locator_default;
 
-    SNC_constructor c1(snc1); 
+    SNC_constructor c1(snc1);
     Infi_box::initialize_infibox_vertices(c1, true);
     SNC_external_structure es1(snc1, pl1);
     es1.build_external_structure();
@@ -2059,7 +2059,7 @@ Nef_polyhedron_3(const Plane_3& h, Bound
     AND _and;
     Binary_operation bo(snc());
     bo(pl(), snc1, pl1, snc2, pl2, _and);
-    
+
     delete pl1;
     delete pl2;
   } else
@@ -2067,15 +2067,15 @@ Nef_polyhedron_3(const Plane_3& h, Bound
       ("Constructor is only available with extended kernels");
   */
 }
- 
+
 template <typename Kernel, typename Items, typename Mark>
 Nef_polyhedron_3<Kernel,Items, Mark>::
-Nef_polyhedron_3( const SNC_structure& W, SNC_point_locator* _pl, 
-		  bool clone_pl,
-		  bool clone_snc) {
+Nef_polyhedron_3( const SNC_structure& W, SNC_point_locator* _pl,
+                  bool clone_pl,
+                  bool clone_snc) {
   CGAL_assertion( clone_snc == true || clone_pl == false);
   // TODO: granados: define behavior when clone=false
-  //  CGAL_NEF_TRACEN("construction from an existing SNC structure (clone="<<clone<<")"); 
+  //  CGAL_NEF_TRACEN("construction from an existing SNC structure (clone="<<clone<<")");
 
   this->copy_on_write();
   if(clone_snc) {
@@ -2085,7 +2085,7 @@ Nef_polyhedron_3( const SNC_structure& W
   if(clone_pl) {
     pl() = _pl->clone();
     pl()->initialize(&snc());
-  } 
+  }
   else
     pl() = _pl;
 }
@@ -2099,16 +2099,16 @@ extract_complement() {
   SNC_decorator D(snc());
   Vertex_iterator v;
   CGAL_forall_vertices(v,D){
-    v->mark() = !v->mark(); 
+    v->mark() = !v->mark();
     SM_decorator SM(&*v);
     SM.extract_complement();
   }
 
   Halffacet_iterator f;
-  CGAL_forall_halffacets(f,D) f->mark() = !f->mark(); 
- 
+  CGAL_forall_halffacets(f,D) f->mark() = !f->mark();
+
   Volume_iterator c;
-  CGAL_forall_volumes(c,D) 
+  CGAL_forall_volumes(c,D)
     //    if(!(Infi_box::extended_kernel && c==D.volumes_begin()))
       c->mark() = !c->mark();
 }
diff -pruN 5.0.2-3/include/CGAL/Nef_polyhedron_S2.h 5.0.3-1/include/CGAL/Nef_polyhedron_S2.h
--- 5.0.2-3/include/CGAL/Nef_polyhedron_S2.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_polyhedron_S2.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_polyhedron_S2.h $
-// $Id: Nef_polyhedron_S2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_polyhedron_S2.h $
+// $Id: Nef_polyhedron_S2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel       <seel@mpi-sb.mpg.de>
 //                 Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
@@ -47,13 +47,13 @@ template <typename K, typename I, typena
 class SNC_items;
 
 template <typename K, typename I, typename Mk, typename M>
-std::ostream& operator<<(std::ostream&, const Nef_polyhedron_S2<K,I,Mk,M>&); 
+std::ostream& operator<<(std::ostream&, const Nef_polyhedron_S2<K,I,Mk,M>&);
 template <typename K, typename I, typename Mk, typename M>
 std::istream& operator>>(std::istream&, Nef_polyhedron_S2<K,I,Mk,M>&);
 
 
 template <typename K, typename I, typename Mk, typename M>
-class Nef_polyhedron_S2_rep { 
+class Nef_polyhedron_S2_rep {
 
   typedef Nef_polyhedron_S2_rep<K,I,Mk,M>        Self;
   friend class Nef_polyhedron_S2<K,I,Mk,M>;
@@ -68,15 +68,15 @@ class Nef_polyhedron_S2_rep {
   typedef CGAL::SM_point_locator<Const_decorator>      Locator;
 
  private:
-  Sphere_map sm_; 
-  
+  Sphere_map sm_;
+
 public:
   Nef_polyhedron_S2_rep() : sm_() {}
   Nef_polyhedron_S2_rep(const Self&) : sm_() {}
   ~Nef_polyhedron_S2_rep() { sm_.clear(); }
 };
 
-/*{\Moptions print_title=yes }*/ 
+/*{\Moptions print_title=yes }*/
 /*{\Manpage {Nef_polyhedron_S2}{K}
 {Nef Polyhedra in the sphere surface}{N}}*/
 
@@ -87,15 +87,15 @@ binary set operations |intersection|, |u
 |complement| and under the topological operations |boundary|,
 |closure|, and |interior|.
 
-The template parameter |Kernel| is specified via a kernel concept. 
+The template parameter |Kernel| is specified via a kernel concept.
 |Kernel| must be a model of the concept |NefSphereKernelTraits_2|.
 }*/
 
-template <typename Kernel_, typename Items_ = SM_items, typename Mark_ = bool,  
-	  typename Map_ = Sphere_map<Sphere_geometry<Kernel_>,Items_, Mark_> >
-class Nef_polyhedron_S2 : public Handle_for< Nef_polyhedron_S2_rep<Kernel_,Items_,Mark_,Map_> >, 
-			  public Nef_polyhedron_S2_rep<Kernel_,Items_,Mark_,Map_>::Const_decorator { 
-  
+template <typename Kernel_, typename Items_ = SM_items, typename Mark_ = bool,
+          typename Map_ = Sphere_map<Sphere_geometry<Kernel_>,Items_, Mark_> >
+class Nef_polyhedron_S2 : public Handle_for< Nef_polyhedron_S2_rep<Kernel_,Items_,Mark_,Map_> >,
+                          public Nef_polyhedron_S2_rep<Kernel_,Items_,Mark_,Map_>::Const_decorator {
+
   using Nef_polyhedron_S2_rep<Kernel_,Items_,Mark_,Map_>::Const_decorator::set_sm;
 
 public:
@@ -133,13 +133,13 @@ public:
 
   const Sphere_map& sphere_map() const { return this->ptr()->sm_; }
 protected:
-  Sphere_map& sphere_map() { return this->ptr()->sm_; } 
+  Sphere_map& sphere_map() { return this->ptr()->sm_; }
 
   struct AND { bool operator()(const Mark& b1, const Mark& b2)  const { return b1&&b2; }  };
   struct OR { bool operator()(const Mark& b1, const Mark& b2)   const { return b1||b2; }  };
   struct DIFF { bool operator()(const Mark& b1, const Mark& b2) const { return b1&&!b2; } };
-  struct XOR { bool operator()(const Mark& b1, const Mark& b2)  const 
-               { return (b1&&!b2)||(!b1&&b2); } };   
+  struct XOR { bool operator()(const Mark& b1, const Mark& b2)  const
+               { return (b1&&!b2)||(!b1&&b2); } };
 
   typedef Nef_polyhedron_S2_rep<Kernel,Items,Mark,Sphere_map>  Nef_rep;
   typedef typename Nef_rep::Decorator                     Decorator;
@@ -175,17 +175,17 @@ public:
   typedef typename Decorator::SHalfloop_iterator     SHalfloop_iterator;
   typedef typename Decorator::SFace_iterator         SFace_iterator;
 
-  typedef typename Const_decorator::SVertex_const_iterator   
+  typedef typename Const_decorator::SVertex_const_iterator
                                                     SVertex_const_iterator;
-  typedef typename Const_decorator::SHalfedge_const_iterator 
+  typedef typename Const_decorator::SHalfedge_const_iterator
                                                     SHalfedge_const_iterator;
-  typedef typename Const_decorator::SHalfloop_const_iterator 
+  typedef typename Const_decorator::SHalfloop_const_iterator
                                                     SHalfloop_const_iterator;
-  typedef typename Const_decorator::SFace_const_iterator     
+  typedef typename Const_decorator::SFace_const_iterator
                                                     SFace_const_iterator;
   typedef typename Const_decorator::Size_type Size_type;
   typedef Size_type size_type;
-  
+
   typedef std::list<Sphere_segment>  SS_list;
   typedef typename SS_list::const_iterator SS_iterator;
 
@@ -206,16 +206,16 @@ public:
   }
 
 
-  Nef_polyhedron_S2(const Sphere_circle& c, 
-		    Boundary circle = INCLUDED) : Base(Nef_rep()) {
+  Nef_polyhedron_S2(const Sphere_circle& c,
+                    Boundary circle = INCLUDED) : Base(Nef_rep()) {
   /*{\Mcreate creates a Nef polyhedron |\Mvar| containing the half-sphere
-  left of |c| including |c| if |circle==INCLUDED|, excluding |c| if 
-  |circle==EXCLUDED|.}*/  
-    
+  left of |c| including |c| if |circle==INCLUDED|, excluding |c| if
+  |circle==EXCLUDED|.}*/
+
     set_sm(&sphere_map());
     CGAL_NEF_TRACEN("Nef_polyhedron_S2(): construction from circle "<<c);
     Decorator D(&sphere_map());
-    Overlayer O(&sphere_map()); 
+    Overlayer O(&sphere_map());
     O.create(c);
     SHalfloop_handle h = D.shalfloop();
     if ( h->circle() != c ) h = h->twin();
@@ -265,7 +265,7 @@ public:
   ~Nef_polyhedron_S2() {}
 
   template <class Forward_iterator>
-  Nef_polyhedron_S2(Forward_iterator first, Forward_iterator beyond, 
+  Nef_polyhedron_S2(Forward_iterator first, Forward_iterator beyond,
     double p) : Base(Nef_rep())
   /*{\Xcreate creates a random Nef polyhedron from the arrangement of
   the set of circles |S = set[first,beyond)|. The cells of the arrangement
@@ -299,15 +299,15 @@ public:
  }
 
 //protected:
-  Nef_polyhedron_S2(const Sphere_map& H, bool clone=true) : Base(Nef_rep()) 
+  Nef_polyhedron_S2(const Sphere_map& H, bool clone=true) : Base(Nef_rep())
   /*{\Xcreate makes |\Mvar| a new object.  If |clone==true| then the
   underlying structure of |H| is copied into |\Mvar|.}*/
-{ 
+{
     if(clone)
-      this->ptr()->sm_ = H; 
+      this->ptr()->sm_ = H;
     set_sm(&sphere_map());
   }
-  
+
   void clone_rep() { *this = Self(sphere_map()); }
 
   /*{\Moperations 4 3 }*/
@@ -356,11 +356,11 @@ public:
     CGAL_forall_svertices(v,D) v->mark() = !v->mark();
     CGAL_forall_sedges(e,D) e->mark() = !e->mark();
     CGAL_forall_sfaces(f,D) f->mark() = !f->mark();
-    
+
     if ( D.has_shalfloop() )
-      D.shalfloop()->mark() = 
-	D.shalfloop()->twin()->mark() = 
-	!D.shalfloop()->mark();
+      D.shalfloop()->mark() =
+        D.shalfloop()->twin()->mark() =
+        !D.shalfloop()->mark();
   }
 
   void extract_interior()
@@ -470,11 +470,11 @@ public:
     D.subdivide(&sphere_map(),&N1.sphere_map());
     DIFF _diff; D.select(_diff); D.simplify();
     return res;
-  }    
+  }
 
   Self symmetric_difference(
     const Self& N1) const
-  /*{\Mop returns the symmectric difference |\Mvar - T| $\cup$ 
+  /*{\Mop returns the symmectric difference |\Mvar - T| $\cup$
           |T - \Mvar|. }*/
   { Self res(sphere_map(),false); // empty
     Overlayer D(&res.sphere_map());
@@ -503,7 +503,7 @@ public:
 
   Self  operator!() const
   { return complement(); }
-   
+
   Self& operator*=(const Self& N1)
   { *this = intersection(N1); return *this; }
 
@@ -524,23 +524,23 @@ public:
   { return symmetric_difference(N1).is_empty(); }
 
   bool operator!=(const Self& N1) const
-  { return !operator==(N1); }  
+  { return !operator==(N1); }
 
   bool operator<=(const Self& N1) const
-  { return difference(N1).is_empty(); } 
+  { return difference(N1).is_empty(); }
 
   bool operator<(const Self& N1) const
-  { return difference(N1).is_empty() && !N1.difference(*this).is_empty(); } 
+  { return difference(N1).is_empty() && !N1.difference(*this).is_empty(); }
 
   bool operator>=(const Self& N1) const
-  { return N1.difference(*this).is_empty(); } 
+  { return N1.difference(*this).is_empty(); }
 
-  bool operator>(const Self& N1) const   
-  { return N1.difference(*this).is_empty() && !difference(N1).is_empty(); } 
+  bool operator>(const Self& N1) const
+  { return N1.difference(*this).is_empty() && !difference(N1).is_empty(); }
 
 
   /*{\Mtext \headerline{Exploration - Point location - Ray shooting}
-  As Nef polyhedra are the result of forming complements 
+  As Nef polyhedra are the result of forming complements
   and intersections starting from a set |H| of half-spaces that are
   defined by oriented lines in the plane, they can be represented by
   an attributed plane map $M = (V,E,F)$. For topological queries
@@ -551,12 +551,12 @@ public:
   typedef Const_decorator Topological_explorer;
 
   typedef Const_decorator Explorer;
-  /*{\Mtypemember a decorator to examine the underlying plane map. 
+  /*{\Mtypemember a decorator to examine the underlying plane map.
   See the manual page of |Explorer|.}*/
 
   typedef typename Locator::Object_handle Object_handle;
   /*{\Mtypemember a generic handle to an object of the underlying
-  plane map. The kind of object |(vertex, halfedge, face)| can 
+  plane map. The kind of object |(vertex, halfedge, face)| can
   be determined and the object can be assigned to a corresponding
   handle by the three functions:\\
   |bool assign(SVertex_const_handle& h, Object_handle)|\\
@@ -583,14 +583,14 @@ public:
 
 
   Object_handle locate(const Sphere_point& p) const
-  /*{\Mop  returns a generic handle |h| to an object (face, halfedge, vertex) 
-  of the underlying plane map that contains the point |p| in its relative 
-  interior. The point |p| is contained in the set represented by |\Mvar| if 
+  /*{\Mop  returns a generic handle |h| to an object (face, halfedge, vertex)
+  of the underlying plane map that contains the point |p| in its relative
+  interior. The point |p| is contained in the set represented by |\Mvar| if
   |\Mvar.contains(h)| is true. The location mode flag |m| allows one to choose
   between different point location strategies.}*/
-  { 
+  {
     Locator PL(&sphere_map());
-    return PL.locate(p); 
+    return PL.locate(p);
   }
 
   struct INSET {
@@ -602,15 +602,15 @@ public:
     bool operator()(SFace_const_handle f) const { return f->mark(); }
   };
 
-  Object_handle ray_shoot(const Sphere_point& p, 
-			  const Sphere_direction& d) const
+  Object_handle ray_shoot(const Sphere_point& p,
+                          const Sphere_direction& d) const
   /*{\Mop returns a handle |h| with |\Mvar.contains(h)| that can be
   converted to a |SVertex_/SHalfedge_/SFace_const_handle| as described
   above. The object returned is intersected by the ray starting in |p|
   with direction |d| and has minimal distance to |p|.  The operation
   returns the null handle |nullptr| if the ray shoot along |d| does not hit
   any object |h| of |\Mvar| with |\Mvar.contains(h)|.}*/
-  { 
+  {
     Locator PL(&sphere_map());
     return PL.ray_shoot(p,d,INSET(PL));
   }
@@ -622,8 +622,8 @@ public:
     bool operator()(SFace_const_handle) const { return false; }
   };
 
-  Object_handle ray_shoot_to_boundary(const Sphere_point& p, 
-				      const Sphere_direction& d) const
+  Object_handle ray_shoot_to_boundary(const Sphere_point& p,
+                                      const Sphere_direction& d) const
   /*{\Mop returns a handle |h| that can be converted to a
   |SVertex_/SHalfedge_const_handle| as described above. The object
   returned is part of the $1$-skeleton of |\Mvar|, intersected by the
@@ -632,21 +632,21 @@ public:
   along |d| does not hit any $1$-skeleton object |h| of |\Mvar|. The
   location mode flag |m| allows one to choose between different point
   location strategies.}*/
-  { 
+  {
     Locator PL(&sphere_map());
     return PL.ray_shoot(p,d,INSKEL());
   }
 
 
-  //  Explorer explorer() const 
+  //  Explorer explorer() const
   /*{\Mop returns a decorator object which allows read-only access of
-  the underlying plane map. See the manual page |Explorer| for its 
+  the underlying plane map. See the manual page |Explorer| for its
   usage.}*/
   //  { return Explorer(const_cast<Sphere_map*>(&sphere_map())); }
 
   /*{\Mtext\headerline{Input and Output}
-  A Nef polyhedron |\Mvar| can be visualized in an open GL window. The 
-  output operator is defined in the file 
+  A Nef polyhedron |\Mvar| can be visualized in an open GL window. The
+  output operator is defined in the file
   |CGAL/IO/Nef_\-poly\-hedron_2_\-Win\-dow_\-stream.h|.
   }*/
 
@@ -663,7 +663,7 @@ public:
   any preprocessing.}*/
 
   /*{\Mexample Nef polyhedra are parameterized by a standard CGAL
-  kernel. 
+  kernel.
 
   \begin{Mverb}
   #include <CGAL/Homogeneous.h>
@@ -695,7 +695,7 @@ std::ostream& operator<<
 {
   os << "Nef_polyhedron_S2\n";
   typedef typename Nef_polyhedron_S2<Kernel,Items,Mark,Sphere_map>::Explorer Decorator;
-  CGAL::SM_io_parser<Decorator> O(os, Decorator(&NP.sphere_map())); 
+  CGAL::SM_io_parser<Decorator> O(os, Decorator(&NP.sphere_map()));
   O.print();
   return os;
 }
@@ -705,8 +705,8 @@ std::istream& operator>>
   (std::istream& is, Nef_polyhedron_S2<Kernel,Items,Mark,Sphere_map>& NP)
 {
   typedef typename Nef_polyhedron_S2<Kernel,Items,Mark,Sphere_map>::Decorator Decorator;
-  CGAL::SM_io_parser<Decorator> I(is, Decorator(&NP.sphere_map())); 
-  //  if ( I.check_sep("Nef_polyhedron_S2") ) 
+  CGAL::SM_io_parser<Decorator> I(is, Decorator(&NP.sphere_map()));
+  //  if ( I.check_sep("Nef_polyhedron_S2") )
   I.read();
   /*
   else {
diff -pruN 5.0.2-3/include/CGAL/Nef_polynomial_fwd.h 5.0.3-1/include/CGAL/Nef_polynomial_fwd.h
--- 5.0.2-3/include/CGAL/Nef_polynomial_fwd.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_polynomial_fwd.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_polynomial_fwd.h $
-// $Id: Nef_polynomial_fwd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_polynomial_fwd.h $
+// $Id: Nef_polynomial_fwd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Stefan Schirra, Sylvain Pion
 
@@ -19,7 +19,7 @@
 
 namespace CGAL {
 
-namespace Nef { 
+namespace Nef {
 template <typename> class Polynomial;
 
 template <typename ET> double to_double(const Polynomial<ET> &);
diff -pruN 5.0.2-3/include/CGAL/Nef_polynomial.h 5.0.3-1/include/CGAL/Nef_polynomial.h
--- 5.0.2-3/include/CGAL/Nef_polynomial.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_polynomial.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/Nef_polynomial.h $
-// $Id: Nef_polynomial.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/Nef_polynomial.h $
+// $Id: Nef_polynomial.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -33,7 +33,7 @@ namespace CGAL {
 #define CGAL_int(T)    typename First_if_different<int,    T>::Type
 #define CGAL_double(T) typename First_if_different<double, T>::Type
 
-template <class NT> 
+template <class NT>
 class Nef_polynomial
   : boost::ordered_field_operators1< Nef_polynomial<NT>
   , boost::ordered_field_operators2< Nef_polynomial<NT>, int
@@ -71,49 +71,49 @@ class Nef_polynomial
     }
 };
 
-template <class NT> 
+template <class NT>
 inline
 Nef_polynomial<NT> operator+(const Nef_polynomial<NT> &a)
 {
   return a;
 }
 
-template <class NT> 
+template <class NT>
 inline
 Nef_polynomial<NT> operator-(const Nef_polynomial<NT> &a)
 {
   return - a.polynomial();
 }
 
-template <class NT> 
+template <class NT>
 inline
 bool operator<(const Nef_polynomial<NT> &a, const Nef_polynomial<NT> &b)
 {
   return a.polynomial() < b.polynomial();
 }
 
-template <class NT> 
+template <class NT>
 inline
 bool operator==(const Nef_polynomial<NT> &a, const Nef_polynomial<NT> &b)
 {
   return a.polynomial() == b.polynomial();
 }
 
-template <class NT> 
+template <class NT>
 inline
 bool operator==(const Nef_polynomial<NT> &a, int b)
 {
   return a.polynomial() == b;
 }
 
-template <class NT> 
+template <class NT>
 inline
 bool operator<(const Nef_polynomial<NT> &a, int b)
 {
   return a.polynomial() < b;
 }
 
-template <class NT> 
+template <class NT>
 inline
 bool operator>(const Nef_polynomial<NT> &a, int b)
 {
@@ -129,71 +129,71 @@ bool operator>(const Nef_polynomial<NT>
 // TODO: div / mod  for EuclideanRing
 template <class NT> class Algebraic_structure_traits< Nef_polynomial<NT> >
     : public Algebraic_structure_traits_base
-             < Nef_polynomial<NT>, CGAL::Integral_domain_without_division_tag> 
+             < Nef_polynomial<NT>, CGAL::Integral_domain_without_division_tag>
 {
     typedef Algebraic_structure_traits<NT> AST_NT;
 public:
     typedef Nef_polynomial<NT> Type;
     typedef typename AST_NT::Is_exact            Is_exact;
-    typedef Tag_false                            Is_numerical_sensitive;                                                           
+    typedef Tag_false                            Is_numerical_sensitive;
     class Integral_division
         : public CGAL::cpp98::binary_function< Type, Type,
                                 Type > {
     public:
         Type operator()( const Type& x,
                 const Type& y ) const {
-	  Type result = x / y;
-	  CGAL_postcondition_msg(result * y == x, "exact_division failed\n");
-	  return result;
+          Type result = x / y;
+          CGAL_postcondition_msg(result * y == x, "exact_division failed\n");
+          return result;
         }
     };
 
-    class Gcd 
+    class Gcd
       : public CGAL::cpp98::binary_function< Type, Type, Type > {
     public:
         Type operator()( const Type& x, const Type& y ) const {
             // By definition gcd(0,0) == 0
           if( x == Type(0) && y == Type(0) )
             return Type(0);
-            
+
           return CGAL::Nef::gcd( x, y );
         }
         CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR( Type )
     };
 };
 
-template <class NT> class Real_embeddable_traits< Nef_polynomial<NT> > 
+template <class NT> class Real_embeddable_traits< Nef_polynomial<NT> >
   : public INTERN_RET::Real_embeddable_traits_base< Nef_polynomial<NT> , CGAL::Tag_true > {
   public:
     typedef Nef_polynomial<NT> Type;
-    class Abs 
+    class Abs
         : public CGAL::cpp98::unary_function< Type, Type> {
     public:
         Type inline operator()( const Type& x ) const {
             return (CGAL::Nef::sign( x ) == CGAL::NEGATIVE)? -x : x;
-        }        
+        }
     };
 
-    class Sgn 
+    class Sgn
       : public CGAL::cpp98::unary_function< Type, CGAL::Sign > {
       public:
         CGAL::Sign inline operator()( const Type& x ) const {
             return CGAL::Nef::sign( x );
-        }        
+        }
     };
-    
-    class Compare 
+
+    class Compare
       : public CGAL::cpp98::binary_function< Type, Type,
                                 CGAL::Comparison_result > {
       public:
-        CGAL::Comparison_result inline operator()( 
-                const Type& x, 
+        CGAL::Comparison_result inline operator()(
+                const Type& x,
                 const Type& y ) const {
             return (CGAL::Comparison_result) CGAL::Nef::sign( x - y );
         }
     };
-    
-    class To_double 
+
+    class To_double
       : public CGAL::cpp98::unary_function< Type, double > {
       public:
         double inline operator()( const Type& p ) const {
@@ -201,8 +201,8 @@ template <class NT> class Real_embeddabl
                     p.eval_at(Nef_polynomial<NT>::infi_maximal_value()));
         }
     };
-    
-    class To_interval 
+
+    class To_interval
       : public CGAL::cpp98::unary_function< Type, std::pair< double, double > > {
       public:
         std::pair<double, double> operator()( const Type& p ) const {
@@ -214,13 +214,13 @@ template <class NT> class Real_embeddabl
 template <typename NT>
 inline Nef_polynomial<NT> min BOOST_PREVENT_MACRO_SUBSTITUTION
 (const Nef_polynomial<NT>& x,const Nef_polynomial<NT>& y){
-  return (x<=y)?x:y; 
+  return (x<=y)?x:y;
 }
 
 template <typename NT>
 inline Nef_polynomial<NT> max BOOST_PREVENT_MACRO_SUBSTITUTION
 (const Nef_polynomial<NT>& x,const Nef_polynomial<NT>& y){
-  return (x>=y)?x:y; 
+  return (x>=y)?x:y;
 }
 
 template <typename NT>
@@ -238,24 +238,24 @@ public:
         typedef Type first_argument_type;
         typedef Numerator_type second_argument_type;
         typedef Denominator_type third_argument_type;
-        void operator () (const first_argument_type& rat, 
-			  second_argument_type& num,
-			  third_argument_type& den) {
-	  typename Base_traits::Decompose decompose;
-	  third_argument_type num0;
-	  third_argument_type num1;
-	  third_argument_type den1;
-	  third_argument_type den0;
-	  decompose(rat[0], num0, den0);
-	  if(rat.degree() > 0) {
-	    decompose(rat[1], num1, den1);
-	    // TODO	    den = den1/gcd(den0, den1)*den0;
-	    den = den1*den0;
-	    num = Numerator_type(num0*den1, num1*den0);
-	  } else {
-	    den = den0;
-	    num = Numerator_type(num0);
-	  }
+        void operator () (const first_argument_type& rat,
+                          second_argument_type& num,
+                          third_argument_type& den) {
+          typename Base_traits::Decompose decompose;
+          third_argument_type num0;
+          third_argument_type num1;
+          third_argument_type den1;
+          third_argument_type den0;
+          decompose(rat[0], num0, den0);
+          if(rat.degree() > 0) {
+            decompose(rat[1], num1, den1);
+            // TODO            den = den1/gcd(den0, den1)*den0;
+            den = den1*den0;
+            num = Numerator_type(num0*den1, num1*den0);
+          } else {
+            den = den0;
+            num = Numerator_type(num0);
+          }
         }
     };
     class Compose {
@@ -264,13 +264,13 @@ public:
         typedef Denominator_type second_argument_type;
         typedef Type result_type;
         result_type operator () (const first_argument_type& num,
-				 const second_argument_type& den) {
-	  typename Base_traits::Compose compose;
-	  if(num.degree() == 0)
-	    return result_type(compose(num[0],den));
-	  else
-	    return result_type(compose(num[0],den),
-			       compose(num[1],den));
+                                 const second_argument_type& den) {
+          typename Base_traits::Compose compose;
+          if(num.degree() == 0)
+            return result_type(compose(num[0],den));
+          else
+            return result_type(compose(num[0],den),
+                               compose(num[1],den));
         }
     };
 };
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/Generic_handle_map.h 5.0.3-1/include/CGAL/Nef_S2/Generic_handle_map.h
--- 5.0.2-3/include/CGAL/Nef_S2/Generic_handle_map.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/Generic_handle_map.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/Generic_handle_map.h $
-// $Id: Generic_handle_map.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/Generic_handle_map.h $
+// $Id: Generic_handle_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel  <seel@mpi-sb.mpg.de>
 
@@ -21,14 +21,14 @@
 namespace CGAL {
 
 struct Void_handle_hash_function {
-    std::size_t operator() (void* h) const { 
+    std::size_t operator() (void* h) const {
         return std::size_t(h);
     }
 };
 
 
 template <class I>
-class Generic_handle_map : public 
+class Generic_handle_map : public
   Unique_hash_map<void*,I,Void_handle_hash_function>
 { typedef Unique_hash_map<void*,I,Void_handle_hash_function> Base;
 public:
@@ -36,11 +36,11 @@ public:
   Generic_handle_map(I i) : Base(i) {}
 
   template <class H>
-  const I& operator[](H h) const 
+  const I& operator[](H h) const
   { return Base::operator[](&*h); }
 
   template <class H>
-  I& operator[](H h) 
+  I& operator[](H h)
   { return Base::operator[](&*h); }
 
 };
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/ID_support_handler.h 5.0.3-1/include/CGAL/Nef_S2/ID_support_handler.h
--- 5.0.2-3/include/CGAL/Nef_S2/ID_support_handler.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/ID_support_handler.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/ID_support_handler.h $
-// $Id: ID_support_handler.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/ID_support_handler.h $
+// $Id: ID_support_handler.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     :     Peter Hachenberger  <hachenberger@mpi-sb.mpg.de>
 
@@ -30,77 +30,77 @@ class ID_support_handler {
 
   typedef typename Decorator::SVertex_handle SVertex_handle;
   typedef typename Decorator::SHalfedge_handle SHalfedge_handle;
-  
+
   typedef typename Decorator::SVertex_const_handle SVertex_const_handle;
   typedef typename Decorator::SHalfedge_const_handle SHalfedge_const_handle;
   typedef typename Decorator::SHalfloop_const_handle SHalfloop_const_handle;
-  
+
  public:
   ID_support_handler() {}
 
   int get_hash(int) { return 0; }
   template<typename Handle> void initialize_hash(Handle /*h*/) {}
   void initialize_hash(int /*i*/) {}
-  void handle_support(SVertex_handle , 
-		      SHalfedge_const_handle ,
-		      SHalfedge_const_handle ) {} 
-  
   void handle_support(SVertex_handle ,
-		      SHalfloop_const_handle ,
-		      SHalfloop_const_handle ) {}
-  
+                      SHalfedge_const_handle ,
+                      SHalfedge_const_handle ) {}
+
+  void handle_support(SVertex_handle ,
+                      SHalfloop_const_handle ,
+                      SHalfloop_const_handle ) {}
+
   void handle_support(SVertex_handle,
-		      SHalfloop_const_handle,
-		      SHalfedge_const_handle) {} 
-  
+                      SHalfloop_const_handle,
+                      SHalfedge_const_handle) {}
+
   void handle_support(SVertex_handle,
-		      SHalfedge_const_handle,
-		      SHalfloop_const_handle) {}
-  
+                      SHalfedge_const_handle,
+                      SHalfloop_const_handle) {}
+
   void handle_support(SVertex_handle,
-		      SHalfedge_const_handle,
-		      SVertex_const_handle) {}
-  
+                      SHalfedge_const_handle,
+                      SVertex_const_handle) {}
+
   void handle_support(SVertex_handle,
-		      SVertex_const_handle,
-		      SHalfedge_const_handle) {}
-  
+                      SVertex_const_handle,
+                      SHalfedge_const_handle) {}
+
   void handle_support(SVertex_handle,
-		      SVertex_const_handle,
-		      SVertex_const_handle) {}
-  
+                      SVertex_const_handle,
+                      SVertex_const_handle) {}
+
   void handle_support(SVertex_handle,
-		      SVertex_const_handle) {}
-  
+                      SVertex_const_handle) {}
+
   void handle_support(SVertex_handle,
-		      SVertex_const_handle,
-		      SHalfloop_const_handle) {}
-  
+                      SVertex_const_handle,
+                      SHalfloop_const_handle) {}
+
   void handle_support(SVertex_handle,
-		      SHalfloop_const_handle,
-		      SVertex_const_handle) {}
-  
+                      SHalfloop_const_handle,
+                      SVertex_const_handle) {}
+
   void handle_support(SHalfedge_handle,
-		      SHalfedge_const_handle,
-		      SHalfedge_const_handle) {}
-  
+                      SHalfedge_const_handle,
+                      SHalfedge_const_handle) {}
+
   void handle_support(SHalfedge_handle,
-		      SHalfedge_const_handle) {}
-  
+                      SHalfedge_const_handle) {}
+
   void handle_support(SHalfedge_handle,
-		      SHalfloop_const_handle) {}
-  
+                      SHalfloop_const_handle) {}
+
   void handle_support(SHalfedge_handle,
-		      SHalfedge_const_handle,
-		      SHalfloop_const_handle) {}
-  
+                      SHalfedge_const_handle,
+                      SHalfloop_const_handle) {}
+
   void handle_support(SHalfedge_handle,
-		      SHalfloop_const_handle,
-		      SHalfedge_const_handle) {}
-  
+                      SHalfloop_const_handle,
+                      SHalfedge_const_handle) {}
+
   void handle_support(SHalfedge_handle,
-		      SHalfloop_const_handle,
-		      SHalfloop_const_handle) {}
+                      SHalfloop_const_handle,
+                      SHalfloop_const_handle) {}
 };
 
 
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/leda_sphere_map.h 5.0.3-1/include/CGAL/Nef_S2/leda_sphere_map.h
--- 5.0.2-3/include/CGAL/Nef_S2/leda_sphere_map.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/leda_sphere_map.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/leda_sphere_map.h $
-// $Id: leda_sphere_map.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/leda_sphere_map.h $
+// $Id: leda_sphere_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel  <seel@mpi-sb.mpg.de>
 
@@ -27,7 +27,7 @@
 #include <CGAL/Nef_2/debug.h>
 
 template <typename R, typename ITERATOR>
-class leda_graph_decorator { 
+class leda_graph_decorator {
 public:
   typedef leda_node      Vertex_handle;
   typedef leda_edge      Halfedge_handle;
@@ -110,12 +110,12 @@ void subdivide(Iterator start, Iterator
 {
 typedef leda_graph_decorator<R,Iterator> leda_graph_output;
 typedef CGAL::Positive_halfsphere_geometry<R> PH_geometry;
-typedef CGAL::Segment_overlay_traits< 
+typedef CGAL::Segment_overlay_traits<
           Iterator, leda_graph_output, PH_geometry>  PHS_traits;
 typedef CGAL::generic_sweep<PHS_traits> Positive_halfsphere_sweep;
 
 typedef CGAL::Negative_halfsphere_geometry<R> NH_geometry;
-typedef CGAL::Segment_overlay_traits< 
+typedef CGAL::Segment_overlay_traits<
           Iterator, leda_graph_output, NH_geometry> NHS_traits;
 typedef CGAL::generic_sweep<NHS_traits> Negative_halfsphere_sweep;
 
@@ -123,8 +123,8 @@ typedef CGAL::generic_sweep<NHS_traits>
   partition_xy( start, end, Lp , +1);
   partition_xy( start, end, Lm , -1);
   // both lists initialized with four quarter segments
-  // supporting the xy-equator thereby separating the 
-  // two halfspheres 
+  // supporting the xy-equator thereby separating the
+  // two halfspheres
   // all other segments in the range are split into their
   // connected components with respect to the xy-plane.
 
@@ -149,11 +149,11 @@ typedef CGAL::generic_sweep<NHS_traits>
   compute_faces();
 }
 
-void merge_nodes(leda_edge e1, leda_edge e2) 
+void merge_nodes(leda_edge e1, leda_edge e2)
 // e1 and e2 are two edges of the xy equator such that
 // e1 is part of the positive xy-sphere bounding outer face
 // e2 is part of the negative xy-sphere bounding outer face
-// e1 and e2 are oppositely oriented 
+// e1 and e2 are oppositely oriented
 // the outer faces are left of the edges
 // the edges are embedded orderpreserving ccw
 // then the following code merges the edges of A(target(e2))
@@ -179,11 +179,11 @@ void merging_halfspheres(leda_node v1, l
 // the faces are left of edges
 // edges are embedded orderpreserving ccw
 {
-  CGAL_NEF_TRACEN("Merging Halfspheres");  
+  CGAL_NEF_TRACEN("Merging Halfspheres");
   leda_edge e1,e2,e3,e4,e1n,e2n;
-  forall_sadj_edges(e1,v1) 
+  forall_sadj_edges(e1,v1)
     if ( G[target(e1)].hz()==0 && G[target(e1)].hx()<0 ) break;
-  forall_sadj_edges(e2,v2) 
+  forall_sadj_edges(e2,v2)
     if ( G[target(e2)].hz()==0 && G[target(e2)].hx()>0 ) break;
   e3 = G.face_cycle_pred(e1);
   e4 = e2; e2 = G.face_cycle_pred(e2);
@@ -196,7 +196,7 @@ void merging_halfspheres(leda_node v1, l
 }
 
 
-void clean_trivial_sface_cycles() 
+void clean_trivial_sface_cycles()
 // removes trivial face cycles at equator
 // removes isolated vertices stemming from
 // equator unification
@@ -208,7 +208,7 @@ void clean_trivial_sface_cycles()
   forall_sedges(e,G) {
     if (known[e]) continue;
     leda_edge en = G.face_cycle_succ(e);
-    if ( G.face_cycle_succ(en) != e ) 
+    if ( G.face_cycle_succ(en) != e )
       continue;
     // e in trivial face cycle
     L.append(e); L.append(en);
@@ -232,13 +232,13 @@ void compute_faces()
   leda_edge e;
   forall_sfaces(f,G) {
     CGAL_NEF_TRACEN("FACE:");
-    forall_sface_edges(e,f) 
+    forall_sface_edges(e,f)
       CGAL_NEF_TRACEN("  "<<SSegment_2(G[source(e)],G[target(e)]));
   }
 }
 
 void dump(std::ostream& os, leda_node v, bool nl=true) const
-{  os << " ["<< ::index(v)<<"] "<<G[v]; 
+{  os << " ["<< ::index(v)<<"] "<<G[v];
    if (nl) os << std::endl; }
 
 void dump(std::ostream& os) const
@@ -253,7 +253,7 @@ void dump(std::ostream& os) const
       os <<" ["<<G[e]<<" ]\n";
     }
   }
-    
+
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/Normalizing.h 5.0.3-1/include/CGAL/Nef_S2/Normalizing.h
--- 5.0.2-3/include/CGAL/Nef_S2/Normalizing.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/Normalizing.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/Normalizing.h $
-// $Id: Normalizing.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/Normalizing.h $
+// $Id: Normalizing.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Peter Hachenberger  <hachenberger@mpi-sb.mpg.de>
 #ifndef CGAL_NORMALIZING_H
@@ -40,17 +40,17 @@ class Normalizing<Homogeneous_tag> {
  public:
 
   template <typename iterator> static
-  void normalized(iterator begin, iterator end) { 
+  void normalized(iterator begin, iterator end) {
     typedef typename std::iterator_traits<iterator>::value_type RT;
 
     iterator i = begin;
     while(i!=end && *i == RT(0)) ++i;
     if(i==end)
       return;
-    
+
     RT g = *i;
     for(iterator j=i+1; j!=end; ++j)
-      g = (*j == 0 ? g : CGAL_NTS gcd(g,*j)); 
+      g = (*j == 0 ? g : CGAL_NTS gcd(g,*j));
     g=CGAL_NTS abs(g);
 
     for(; i!=end; ++i)
@@ -58,20 +58,20 @@ class Normalizing<Homogeneous_tag> {
   }
 
   template <typename R> static
-  CGAL::Point_3<R> normalized(const CGAL::Point_3<R>& p) { 
-    
+  CGAL::Point_3<R> normalized(const CGAL::Point_3<R>& p) {
+
     typedef typename R::RT     RT;
-    
+
     RT g = p.hw();
     g = (p.hx() == 0 ? g : CGAL_NTS gcd(g,p.hx()));
     g = (p.hy() == 0 ? g : CGAL_NTS gcd(g,p.hy()));
     g = (p.hz() == 0 ? g : CGAL_NTS gcd(g,p.hz()));
-    
+
     RT x = p.hx()/g;
     RT y = p.hy()/g;
     RT z = p.hz()/g;
     RT w = p.hw()/g;
-    
+
     return typename R::Point_3(x,y,z,w);
   }
 
@@ -79,18 +79,18 @@ class Normalizing<Homogeneous_tag> {
   CGAL::Sphere_point<R> normalized(const CGAL::Sphere_point<R>& p) {
 
     typedef typename R::RT     RT;
-    
+
     RT g = (p.x()==0) ? ((p.y()==0) ? ((p.z()==0) ? 1: p.z()): p.y()): p.x();
-    
+
     if(p.y() != 0) g = CGAL_NTS gcd(g,p.y());
     if(p.z() != 0) g = CGAL_NTS gcd(g,p.z());
-    
+
     if(g<0) g = -g;
 
     RT x = p.x()/g;
     RT y = p.y()/g;
     RT z = p.z()/g;
-    
+
     return CGAL::Sphere_point<R>(x,y,z);
   }
 
@@ -98,18 +98,18 @@ class Normalizing<Homogeneous_tag> {
   CGAL::Vector_3<R> normalized(const CGAL::Vector_3<R>& p) {
 
     typedef typename R::RT     RT;
-    
+
     RT g = (p.hx()==0) ? ((p.hy()==0) ? ((p.hz()==0) ? 1: p.hz()): p.hy()): p.hx();
-    
+
     if(p.hy() != 0) g = CGAL_NTS gcd(g,p.hy());
     if(p.hz() != 0) g = CGAL_NTS gcd(g,p.hz());
-    
+
     if(g<0) g = -g;
-    
+
     RT x = p.hx()/g;
     RT y = p.hy()/g;
     RT z = p.hz()/g;
-    
+
     return typename R::Vector_3(x,y,z);
   }
 
@@ -118,47 +118,47 @@ class Normalizing<Homogeneous_tag> {
 
     typename R::Plane_3 h = c.plane();
     CGAL_assertion(!(h.a()==0 && h.b()==0 && h.c()==0 && h.d()==0));
-    
+
     typedef typename R::RT     RT;
-    
-    RT x = (h.a()==0) ? ((h.b()==0) ? ((h.c()==0) ? ((h.d()==0) ? 1 
-						     : h.d())
-				       : h.c())
-			 : h.b())
+
+    RT x = (h.a()==0) ? ((h.b()==0) ? ((h.c()==0) ? ((h.d()==0) ? 1
+                                                     : h.d())
+                                       : h.c())
+                         : h.b())
       : h.a();
-  
+
     if(h.b() != 0)
       x = gcd(x,h.b());
     if(h.c() != 0)
       x = gcd(x,h.c());
     if(h.d() !=0)
     x = gcd(x,h.d());
-    
+
     x = CGAL_NTS abs(x);
-    
+
     RT pa = h.a()/x;
     RT pb = h.b()/x;
     RT pc = h.c()/x;
     RT pd = h.d()/x;
-    
+
     return CGAL::Sphere_direction<R>(typename R::Plane_3(pa,pb,pc,pd));
   }
 
   template <typename R> static
-  CGAL::Plane_3<R> normalized(const CGAL::Plane_3<R>& h) { 
-  
+  CGAL::Plane_3<R> normalized(const CGAL::Plane_3<R>& h) {
+
     CGAL_assertion(!(h.a()==0 && h.b()==0 && h.c()==0 && h.d()==0));
-    
+
     typedef typename R::RT     RT;
-    
-    RT x = (h.a()==0) ? ((h.b()==0) ? ((h.c()==0) ? ((h.d()==0) ? 1 
-						     : h.d())
-				       : h.c())
-			 : h.b())
+
+    RT x = (h.a()==0) ? ((h.b()==0) ? ((h.c()==0) ? ((h.d()==0) ? 1
+                                                     : h.d())
+                                       : h.c())
+                         : h.b())
       : h.a();
-      
+
     CGAL_NEF_TRACE("gcd... i"<<' ');
-    
+
     if(h.b() != 0)
       x = CGAL_NTS gcd(x,h.b());
     CGAL_NEF_TRACE(x<<' ');
@@ -168,46 +168,46 @@ class Normalizing<Homogeneous_tag> {
     if(h.d() !=0)
       x = CGAL_NTS gcd(x,h.d());
     CGAL_NEF_TRACEN(x);
-    
+
     x = CGAL_NTS abs(x);
-    
+
     RT pa = h.a()/x;
     RT pb = h.b()/x;
     RT pc = h.c()/x;
     RT pd = h.d()/x;
-    
+
     CGAL_NEF_TRACEN("  after normalizing "  << typename R::Plane_3(pa,pb,pc,pd));
     return typename R::Plane_3(pa,pb,pc,pd);
   }
 
   template <typename R> static
-  CGAL::Sphere_circle<R> normalized(const CGAL::Sphere_circle<R>& c) { 
+  CGAL::Sphere_circle<R> normalized(const CGAL::Sphere_circle<R>& c) {
 
     typename R::Plane_3 h = c.plane();
     CGAL_assertion(!(h.a()==0 && h.b()==0 && h.c()==0 && h.d()==0));
-    
+
     typedef typename R::RT     RT;
-    
-    RT x = (h.a()==0) ? ((h.b()==0) ? ((h.c()==0) ? ((h.d()==0) ? 1 
-						     : h.d())
-				       : h.c())
-			 : h.b())
+
+    RT x = (h.a()==0) ? ((h.b()==0) ? ((h.c()==0) ? ((h.d()==0) ? 1
+                                                     : h.d())
+                                       : h.c())
+                         : h.b())
       : h.a();
-    
+
     if(h.b() != 0)
       x = CGAL_NTS gcd(x,h.b());
     if(h.c() != 0)
       x = CGAL_NTS gcd(x,h.c());
     if(h.d() !=0)
       x = CGAL_NTS gcd(x,h.d());
-    
+
     x = CGAL_NTS abs(x);
-    
+
     RT pa = h.a()/x;
     RT pb = h.b()/x;
     RT pc = h.c()/x;
     RT pd = h.d()/x;
-    
+
     return CGAL::Sphere_circle<R>(typename R::Plane_3(pa,pb,pc,pd));
   }
 };
@@ -216,27 +216,27 @@ template<>
 class Normalizing<Cartesian_tag> {
  public:
   template <typename R> static
-  CGAL::Point_3<R> normalized(const CGAL::Point_3<R>& p) { 
+  CGAL::Point_3<R> normalized(const CGAL::Point_3<R>& p) {
     return p;
   }
 
   template <typename R> static
-  CGAL::Vector_3<R> normalized(const CGAL::Vector_3<R>& p) { 
+  CGAL::Vector_3<R> normalized(const CGAL::Vector_3<R>& p) {
     return p;
   }
 
   template <typename R> static
-  CGAL::Sphere_point<R> normalized(const CGAL::Sphere_point<R>& p) { 
+  CGAL::Sphere_point<R> normalized(const CGAL::Sphere_point<R>& p) {
 
     typedef typename R::RT     RT;
-    
+
     RT g = (p.hx() != 0 ? p.hx() : (p.hy() != 0 ? p.hy() : p.hz()));
     g = CGAL_NTS abs(g);
 
     RT x = p.hx()/g;
     RT y = p.hy()/g;
     RT z = p.hz()/g;
-    
+
     return CGAL::Sphere_point<R>(x,y,z);
   }
 
@@ -248,21 +248,21 @@ class Normalizing<Cartesian_tag> {
 #ifdef CCGAL_USE_LEDA
 // specialization: Plane_3 < Cartesian < leda_rational > >
 
-  
-  static Plane_3<CGAL::Cartesian<leda_rational> > 
-       normalized(Plane_3<CGAL::Cartesian<leda_rational> >& h) { 
+
+  static Plane_3<CGAL::Cartesian<leda_rational> >
+       normalized(Plane_3<CGAL::Cartesian<leda_rational> >& h) {
 
     CGAL_assertion(!(h.a()==0 && h.b()==0 && h.c()==0 && h.d()==0));
-    
+
     typedef leda_rational     FT;
-    
-    FT x = (h.a()==0) ? ((h.b()==0) ? ((h.c()==0) ? ((h.d()==0) ? 1 
-						     : h.d())
-				       : h.c())
-			 : h.b())
+
+    FT x = (h.a()==0) ? ((h.b()==0) ? ((h.c()==0) ? ((h.d()==0) ? 1
+                                                     : h.d())
+                                       : h.c())
+                         : h.b())
       : h.a();
     x = CGAL_NTS abs(x);
-    
+
     FT pa = h.a()/x;
     FT pb = h.b()/x;
     FT pc = h.c()/x;
@@ -272,13 +272,13 @@ class Normalizing<Cartesian_tag> {
     pb.normalize();
     pc.normalize();
     pd.normalize();
-    
+
     CGAL_NEF_TRACEN("  after normalizing "  << CGAL::Plane_3<CGAL::Cartesian<leda_rational> >(pa,pb,pc,pd));
     return CGAL::Plane_3<CGAL::Cartesian<leda_rational> >(pa,pb,pc,pd);
   }
 
 #endif
-  
+
   template <typename R> static
   CGAL::Plane_3<R> normalized(const CGAL::Plane_3<R>& h,Tag_true) {
     CGAL_assertion(!(h.a()==0 && h.b()==0 && h.c()==0 && h.d()==0));
@@ -289,10 +289,10 @@ class Normalizing<Cartesian_tag> {
 
     typename FracTraits::Numerator_type num;
     typename FracTraits::Denominator_type denom;
-    typename FracTraits::Decompose decomposer; 
-    typename FracTraits::Compose composer; 
+    typename FracTraits::Decompose decomposer;
+    typename FracTraits::Compose composer;
     NV vec;
-    
+
     decomposer(h.a(),num,denom);
     vec.push_back(num);
     vec.push_back(denom);
@@ -313,19 +313,19 @@ class Normalizing<Cartesian_tag> {
     vec[1]*=denom;
     vec[2]*=denom;
     vec[3]*=num;
-    
+
     Normalizing<Homogeneous_tag>::
       normalized(vec.begin(),vec.end());
     return typename R::Plane_3(composer(vec[0],1),
-			       composer(vec[1],1),
-			       composer(vec[2],1),
-			       composer(vec[3],1));
-  }
-  
-  
-  
+                               composer(vec[1],1),
+                               composer(vec[2],1),
+                               composer(vec[3],1));
+  }
+
+
+
   template <typename R> static
-  CGAL::Plane_3<R> normalized(const CGAL::Plane_3<R>& h,Tag_false) {   
+  CGAL::Plane_3<R> normalized(const CGAL::Plane_3<R>& h,Tag_false) {
     CGAL_assertion(!(h.a()==0 && h.b()==0 && h.c()==0 && h.d()==0));
     typedef typename R::FT FT;
     if (h.a()!=0)
@@ -338,12 +338,12 @@ class Normalizing<Cartesian_tag> {
   }
 
   template <typename R> static
-  CGAL::Plane_3<R> normalized(const CGAL::Plane_3<R>& h) {   
+  CGAL::Plane_3<R> normalized(const CGAL::Plane_3<R>& h) {
     return normalized( h,typename Fraction_traits<typename R::FT>::Is_fraction() );
   }
 
   template <typename R> static
-  CGAL::Sphere_circle<R> normalized(CGAL::Sphere_circle<R>& c) { 
+  CGAL::Sphere_circle<R> normalized(CGAL::Sphere_circle<R>& c) {
     return c;
   }
 };
@@ -356,7 +356,7 @@ void normalized(iterator begin, iterator
 */
 
 template <typename R>
-CGAL::Point_3<R> normalized(const CGAL::Point_3<R>& p) { 
+CGAL::Point_3<R> normalized(const CGAL::Point_3<R>& p) {
   return Normalizing<typename R::Kernel_tag>::normalized(p);
 }
 
@@ -376,12 +376,12 @@ CGAL::Sphere_direction<R> normalized(con
 }
 
 template <typename R>
-CGAL::Plane_3<R> normalized(const CGAL::Plane_3<R>& h) { 
+CGAL::Plane_3<R> normalized(const CGAL::Plane_3<R>& h) {
   return Normalizing<typename R::Kernel_tag>::normalized(h);
 }
 
 template <typename R>
-CGAL::Sphere_circle<R> normalized(const CGAL::Sphere_circle<R>& c) { 
+CGAL::Sphere_circle<R> normalized(const CGAL::Sphere_circle<R>& c) {
    return Normalizing<typename R::Kernel_tag>::normalized(c);
 }
 
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/OGL_base_object.h 5.0.3-1/include/CGAL/Nef_S2/OGL_base_object.h
--- 5.0.2-3/include/CGAL/Nef_S2/OGL_base_object.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/OGL_base_object.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/OGL_base_object.h $
-// $Id: OGL_base_object.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/OGL_base_object.h $
+// $Id: OGL_base_object.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Peter Hachenberger  <hachenberger@mpi-sb.mpg.de>
 
@@ -19,10 +19,10 @@ namespace CGAL {
 
 namespace OGL {
 
-  class OGL_base_object {    
+  class OGL_base_object {
   public:
 
-    typedef CGAL::Simple_cartesian<double>       Double_kernel;  
+    typedef CGAL::Simple_cartesian<double>       Double_kernel;
     typedef Double_kernel::Point_3               Double_point;
     typedef Double_kernel::Vector_3              Double_vector;
     typedef Double_kernel::Segment_3             Double_segment;
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/SM_checker.h 5.0.3-1/include/CGAL/Nef_S2/SM_checker.h
--- 5.0.2-3/include/CGAL/Nef_S2/SM_checker.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/SM_checker.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/SM_checker.h $
-// $Id: SM_checker.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/SM_checker.h $
+// $Id: SM_checker.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel  <seel@mpi-sb.mpg.de>
 
@@ -33,7 +33,7 @@ our geometry kernel concept.}*/
 
 /*{\Mgeneralization SM_const_decorator}*/
 
-template <typename PMCDEC, typename GEOM> 
+template <typename PMCDEC, typename GEOM>
 class SM_checker : public PMCDEC
 { typedef PMCDEC Base;
   const GEOM& K;
@@ -56,16 +56,16 @@ CGAL_USING(Vertex_const_iterator);
 CGAL_USING(Halfedge_const_iterator);
 CGAL_USING(Halfedge_around_vertex_const_circulator);
 CGAL_USING(Halfedge_around_face_const_circulator);
-/*{\Mtext Iterators, handles, and circulators are inherited from 
+/*{\Mtext Iterators, handles, and circulators are inherited from
 |SM_const_decorator|.}*/
 
 /*{\Mcreation 3}*/
-SM_checker(Plane_map& P, const Geometry& k = Geometry()) : 
+SM_checker(Plane_map& P, const Geometry& k = Geometry()) :
   Base(P), K(k) {}
 /*{\Mcreate constructs a plane map checker working on |P| with
 geometric predicates used from |k|.}*/
 
-SM_checker(const Base& D, const Geometry& k = Geometry()) : 
+SM_checker(const Base& D, const Geometry& k = Geometry()) :
   Base(D), K(k) {}
 
 
@@ -79,11 +79,11 @@ bool is_forward(Halfedge_const_handle e)
 
 void check_order_preserving_embedding(Vertex_const_handle v) const;
 /*{\Mop checks if the embedding of the targets of the edges in
-the adjacency list |A(v)| is counter-clockwise order-preserving with 
+the adjacency list |A(v)| is counter-clockwise order-preserving with
 respect to the order of the edges in |A(v)|.}*/
 
 void check_order_preserving_embedding() const;
-/*{\Mop checks if the embedding of all vertices of |P| is 
+/*{\Mop checks if the embedding of all vertices of |P| is
 counter-clockwise order-preserving with respect to the adjacency
 list ordering of all vertices.}*/
 
@@ -130,7 +130,7 @@ check_order_preserving_embedding(Vertex_
       e = en;
     }
   }
-  error_status.freeze(0);  
+  error_status.freeze(0);
 }
 
 template <typename PMCDEC, typename GEOM>
@@ -169,15 +169,15 @@ SM_checker<PMCDEC,GEOM>::
 check_boundary_is_clockwise_weakly_polygon() const
 {
   Vertex_const_iterator vit, v_min;
-  for (vit = v_min = vertices_begin() ; vit != vertices_end(); ++vit) 
+  for (vit = v_min = vertices_begin() ; vit != vertices_end(); ++vit)
     if ( K.compare_xy(point(vit), point(v_min))<0 ) v_min = vit;
   CGAL_assertion_msg(!is_isolated(v_min),"Minimal vertex not connected.");
   Sphere_point p_min = point(v_min);
 
-  // determine boundary edge incident to v_min: 
+  // determine boundary edge incident to v_min:
   Halfedge_const_handle e_boundary_at_v_min = first_out_edge(v_min);
   // all out edges are forward oriented due to minimality
-  Halfedge_around_vertex_const_circulator 
+  Halfedge_around_vertex_const_circulator
     hvit(e_boundary_at_v_min), hend(hvit);
   do {
     --hvit;
@@ -229,7 +229,7 @@ check_is_triangulation() const
   Halfedge_const_iterator eit;
   for( eit = halfedges_begin(); eit != halfedges_end(); ++eit) {
     if (on_boundary[eit]) continue;
-    hit = hend = eit; 
+    hit = hend = eit;
     int edges_in_face_cycle=0;
     CGAL_For_all(hit,hend) {
       error_status << PE(hit);
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/SM_const_decorator.h 5.0.3-1/include/CGAL/Nef_S2/SM_const_decorator.h
--- 5.0.2-3/include/CGAL/Nef_S2/SM_const_decorator.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/SM_const_decorator.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,17 +3,17 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/SM_const_decorator.h $
-// $Id: SM_const_decorator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/SM_const_decorator.h $
+// $Id: SM_const_decorator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel       <seel@mpi-sb.mpg.de>
 //                 Miguel Granados    <granados@mpi-sb.mpg.de>
 //                 Susan Hert         <hert@mpi-sb.mpg.de>
 //                 Lutz Kettner       <kettner@mpi-sb.mpg.de>
 //                 Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
-#ifndef CGAL_SM_CONST_DECORATOR_H 
+#ifndef CGAL_SM_CONST_DECORATOR_H
 #define CGAL_SM_CONST_DECORATOR_H
 
 #include <CGAL/license/Nef_S2.h>
@@ -38,7 +38,7 @@
 namespace CGAL {
 
 template <typename Map_>
-class SM_const_decorator { 
+class SM_const_decorator {
 
   typedef SM_const_decorator<Map_> Self;
 public:
@@ -82,7 +82,7 @@ typedef boost::any GenPtr;
 // typedef typename Map::Constructor_const_parameter Constructor_parameter;
 typedef typename Map::SVertex_const_handle SVertex_const_handle;
 typedef typename Map::SVertex_const_iterator SVertex_const_iterator;
-typedef typename Map::SHalfedge_const_handle SHalfedge_const_handle; 
+typedef typename Map::SHalfedge_const_handle SHalfedge_const_handle;
 typedef typename Map::SHalfedge_const_iterator SHalfedge_const_iterator;
 typedef typename Map::SHalfloop_const_handle SHalfloop_const_handle;
 typedef typename Map::SHalfloop_const_iterator SHalfloop_const_iterator;
@@ -103,15 +103,15 @@ typedef typename Map::SHalfedge_around_s
         SHalfedge_around_sface_const_circulator;
 /*{\Mtypemember circulating the face cycle of an face |f|.}*/
 
-typedef typename Map::SFace_cycle_const_iterator 
+typedef typename Map::SFace_cycle_const_iterator
         SFace_cycle_const_iterator;
 /*{\Mtypemember iterating all sface cycles of an sface |f|.
 The iterator has method |bool is_svertex()|, |bool is_shalfedge()|,
 |bool is_shalfloop()|, and can be converted to the corresponding
-handles |SVertex_const_handle|, |SHalfedge_const_handle|, or 
+handles |SVertex_const_handle|, |SHalfedge_const_handle|, or
 |SHalfloop_const_handle|.}*/
 
-protected: 
+protected:
   const Map* psm_;
 
   void set_sm(const Map* W) {
@@ -158,7 +158,7 @@ SHalfedge_const_handle cyclic_adj_pred(S
 
 
 /*{\Mtext \headerline{Iteration} \setopdims{3.3cm}{0cm}}*/
-  
+
 SVertex_const_iterator svertices_begin() const
 { return psm_->svertices_begin(); }
 SVertex_const_iterator svertices_end() const
@@ -184,7 +184,7 @@ bool has_shalfloop() const
 /*{\Mop returns true iff there is a loop.}*/
 { return psm_->has_shalfloop(); }
 
-SHalfedge_around_svertex_const_circulator 
+SHalfedge_around_svertex_const_circulator
   out_edges(SVertex_const_handle v) const
 /*{\Mop returns a circulator for the cyclic adjacency list of |v|.
 \precond the adjacency list is not empty.}*/
@@ -192,7 +192,7 @@ SHalfedge_around_svertex_const_circulato
 
 SFace_cycle_const_iterator sface_cycles_begin(SFace_const_handle f) const
 /*{\Mop returns an iterator for all bounding face cycles of |f|.
-The iterator is is convertable to |SVertex_const_handle|, 
+The iterator is is convertable to |SVertex_const_handle|,
 |SHalfloop_const_handle|, or |SHalfedge_const_handle|.}*/
 { return f->boundary_entry_objects_.begin(); }
 
@@ -202,27 +202,27 @@ SFace_cycle_const_iterator sface_cycles_
 
 /*{\Mtext \headerline{Statistics and Integrity}}*/
 
-Size_type number_of_svertices() const 
+Size_type number_of_svertices() const
 /*{\Mop returns the number of vertices.}*/
 { return psm_->number_of_svertices(); }
 
-Size_type number_of_shalfedges() const 
+Size_type number_of_shalfedges() const
 /*{\Mop returns the number of halfedges.}*/
 { return psm_->number_of_shalfedges(); }
 
-Size_type number_of_sedges() const 
+Size_type number_of_sedges() const
 /*{\Mop returns the number of edges.}*/
 { return number_of_shalfedges()/2; }
 
-Size_type number_of_shalfloops() const 
+Size_type number_of_shalfloops() const
 /*{\Mop returns the number of halfloops.}*/
 { return psm_->number_of_shalfloops(); }
 
-Size_type number_of_sloops() const 
+Size_type number_of_sloops() const
 /*{\Mop returns the number of loops.}*/
 { return psm_->number_of_shalfloops()/2; }
 
-Size_type number_of_sfaces() const    
+Size_type number_of_sfaces() const
 /*{\Mop returns the number of faces.}*/
 { return psm_->number_of_sfaces(); }
 
@@ -233,7 +233,7 @@ Size_type number_of_connected_components
 /*{\Mop calculates the number of connected components of |P|.}*/
 
 void print_statistics(std::ostream& os = std::cout) const
-/*{\Mop print the statistics of |P|: the number of vertices, edges, 
+/*{\Mop print the statistics of |P|: the number of vertices, edges,
 and faces.}*/
 {
   os << "Sphere Map - Statistics\n";
@@ -243,12 +243,12 @@ and faces.}*/
   os << "|F| = " << number_of_sfaces() << std::endl;
   os << "|Fcs| = " << number_of_sface_cycles() << std::endl << std::endl;
 }
- 
+
 void check_integrity_and_topological_planarity(bool faces=true) const;
 /*{\Mop checks the link structure and the genus of |P|.}*/
 
-SHalfedge_const_handle cas(SHalfedge_const_handle e) const 
-{ return cyclic_adj_succ(e); } 
+SHalfedge_const_handle cas(SHalfedge_const_handle e) const
+{ return cyclic_adj_succ(e); }
 
 SHalfedge_const_handle cap(SHalfedge_const_handle e) const
 { return cyclic_adj_pred(e); }
@@ -261,7 +261,7 @@ bool is_sm_boundary_object(H h) const
 
 /*{\Mtext \headerline{Iteration}}*/
 /*{\Mtext The list of all objects can be accessed via iterator ranges.
-For comfortable iteration we also provide iterations macros. 
+For comfortable iteration we also provide iterations macros.
 The iterator range access operations are of the following kind:\\
 |SVertex_iterator   svertices_begin()/svertices_end()|\\
 |SHalfedge_iterator shalfedges_begin()/shalfedges_end()|\\
@@ -283,11 +283,11 @@ check_integrity_and_topological_planarit
 {
   CGAL_NEF_TRACEN("check_integrity_and_topological_planarity:");
   using CGAL::Object_index;
-  Object_index<SVertex_const_iterator>   
+  Object_index<SVertex_const_iterator>
     VI(svertices_begin(),svertices_end(),'v');
-  Object_index<SHalfedge_const_iterator> 
+  Object_index<SHalfedge_const_iterator>
     EI(shalfedges_begin(),shalfedges_end(),'e');
-  Object_index<SFace_const_iterator> 
+  Object_index<SFace_const_iterator>
     FI(sfaces_begin(),sfaces_end(),'f');
   SVertex_const_handle v;
   int iso_vert_num=0;
@@ -302,7 +302,7 @@ check_integrity_and_topological_planarit
       VI(v).c_str());
       CGAL_NEF_TRACEN(v->point()<<" "<<EI(first_out_edge(v)));
       CGAL_assertion_msg(first_out_edge(v)->source() == v,
-			 VI(v).c_str());
+                         VI(v).c_str());
     }
   }
 
@@ -329,26 +329,26 @@ check_integrity_and_topological_planarit
   CGAL_forall_sfaces(f,*this) {
     CGAL_forall_sface_cycles_of(fci,f) {
       if ( fci.is_shalfedge() ) {
-        CGAL_assertion( SHalfedge_const_handle(fci)->incident_sface() == f ); 
-	++fc_num;
+        CGAL_assertion( SHalfedge_const_handle(fci)->incident_sface() == f );
+        ++fc_num;
       } else if ( fci.is_svertex() ) {
-        CGAL_assertion( SVertex_const_handle(fci)->incident_sface() == f ); 
-	++iv_num;
+        CGAL_assertion( SVertex_const_handle(fci)->incident_sface() == f );
+        ++iv_num;
       } else if( fci.is_shalfloop() ) {
         CGAL_assertion( SHalfloop_const_handle(fci)->incident_sface() == f );
-	++fc_num;
+        ++fc_num;
       } else CGAL_error_msg("damn generic handle.");
     }
   }
 
-  CGAL_assertion_code(std::size_t v_num = number_of_svertices() - 
-		      iso_vert_num + 
-		      number_of_shalfloops());
-  CGAL_assertion_code(std::size_t e_num = number_of_sedges() + 
-		      number_of_shalfloops());
-  CGAL_assertion_code(std::size_t c_num = number_of_connected_components() - 
-		      iso_vert_num 
-		      + number_of_sloops());
+  CGAL_assertion_code(std::size_t v_num = number_of_svertices() -
+                      iso_vert_num +
+                      number_of_shalfloops());
+  CGAL_assertion_code(std::size_t e_num = number_of_sedges() +
+                      number_of_shalfloops());
+  CGAL_assertion_code(std::size_t c_num = number_of_connected_components() -
+                      iso_vert_num
+                      + number_of_sloops());
   CGAL_assertion_code(std::size_t f_num = number_of_sface_cycles() - c_num + 1);
   CGAL_assertion_code(CGAL_NEF_TRACEV(fc_num));
   CGAL_assertion_code(CGAL_NEF_TRACEV(iv_num));
@@ -357,7 +357,7 @@ check_integrity_and_topological_planarit
   CGAL_assertion_code(CGAL_NEF_TRACEV(e_num));
   CGAL_assertion_code(CGAL_NEF_TRACEV(c_num));
   CGAL_assertion_code(CGAL_NEF_TRACEV(f_num));
-  /* this means all face cycles and all isolated vertices are 
+  /* this means all face cycles and all isolated vertices are
      indeed referenced from a face */
   /* every isolated vertex increases the component count
        one face cycle per component is redundent except one
@@ -371,7 +371,7 @@ SM_const_decorator<SM_>::
 number_of_sface_cycles() const
 {
   unsigned int fc_num=0;
-  CGAL::Unique_hash_map<SHalfedge_const_handle,bool> visited; 
+  CGAL::Unique_hash_map<SHalfedge_const_handle,bool> visited;
   SHalfedge_const_iterator e;
   CGAL_forall_shalfedges(e,*this) {
     if (visited[e]) continue;
@@ -389,28 +389,28 @@ SM_const_decorator<SM_>::
 number_of_connected_components() const
 {
   int comp_num=0;
-  CGAL::Unique_hash_map<SVertex_const_iterator,bool> visited(false); 
+  CGAL::Unique_hash_map<SVertex_const_iterator,bool> visited(false);
   SVertex_const_iterator v;
   CGAL_forall_svertices(v,*this) {
     if (visited[v]) continue;
     std::list<SVertex_const_iterator> L;
-    L.push_back(v); visited[v]=true; 
+    L.push_back(v); visited[v]=true;
     /* we keep the invariant that all nodes which have been stacked
        are marked visited */
     while (!L.empty()) {
       SVertex_const_iterator vc = L.front(); L.pop_front();
       if ( is_isolated(vc) ) continue;
-      SHalfedge_around_svertex_const_circulator 
-	havc(first_out_edge(vc)), hend(havc);
+      SHalfedge_around_svertex_const_circulator
+        havc(first_out_edge(vc)), hend(havc);
       CGAL_For_all(havc,hend) {
         if (!visited[havc->target()]) {
-          L.push_back(havc->target()); visited[havc->target()]=true; 
+          L.push_back(havc->target()); visited[havc->target()]=true;
         }
       }
     }
     ++comp_num;
   }
-  return comp_num;   
+  return comp_num;
 }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/SM_constrained_triang_traits.h 5.0.3-1/include/CGAL/Nef_S2/SM_constrained_triang_traits.h
--- 5.0.2-3/include/CGAL/Nef_S2/SM_constrained_triang_traits.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/SM_constrained_triang_traits.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/SM_constrained_triang_traits.h $
-// $Id: SM_constrained_triang_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/SM_constrained_triang_traits.h $
+// $Id: SM_constrained_triang_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 #ifndef CGAL_SM_CONSTRAINED_TRIANG_TRAITS_H
@@ -28,7 +28,7 @@
 
 namespace CGAL {
 
-/* For a detailed documentation see the MPI research report 2001-1-003 
+/* For a detailed documentation see the MPI research report 2001-1-003
    which documents the planar flavor of this baby; only minor deviations
    are included in this code */
 
@@ -72,13 +72,13 @@ public:
      const SHalfedge_handle& e_top;
      const Kernel_& K;
   public:
-  lt_edges_in_sweepline(const Point& pi, 
-     const SHalfedge_handle& e1, const SHalfedge_handle& e2, 
-     const Decorator_& D, const Kernel_& k) : 
+  lt_edges_in_sweepline(const Point& pi,
+     const SHalfedge_handle& e1, const SHalfedge_handle& e2,
+     const Decorator_& D, const Kernel_& k) :
        Decorator_(D), p(pi), e_bottom(e1), e_top(e2), K(k) {}
 
-  lt_edges_in_sweepline(const lt_edges_in_sweepline& lt) : 
-     Decorator_(lt), p(lt.p), 
+  lt_edges_in_sweepline(const lt_edges_in_sweepline& lt) :
+     Decorator_(lt), p(lt.p),
      e_bottom(lt.e_bottom), e_top(lt.e_top), K(lt.K) {}
 
   Segment seg(const SHalfedge_handle& e) const
@@ -89,18 +89,18 @@ public:
 
   bool operator()(const SHalfedge_handle& e1, const SHalfedge_handle& e2) const
   { // Precondition:
-    // [[p]] is identical to the source of either [[e1]] or [[e2]]. 
+    // [[p]] is identical to the source of either [[e1]] or [[e2]].
     if (e1 == e_bottom || e2 == e_top) return true;
     if (e2 == e_bottom || e1 == e_top) return false;
     if ( e1 == e2 ) return 0;
     int s = 0;
     if ( p == e1->source()->point() )
       s =   orientation(e2,p);
-    else if ( p == e2->source()->point() ) 
+    else if ( p == e2->source()->point() )
       s = - orientation(e1,p);
     else CGAL_error_msg("compare error in sweep.");
-    if ( s || e1->source() == e1->twin()->source() || 
-	 e2->source() == e2->twin()->source()) 
+    if ( s || e1->source() == e1->twin()->source() ||
+         e2->source() == e2->twin()->source())
       return ( s < 0 );
     s = orientation(e2,e1->twin()->source()->point());
     if (s==0) CGAL_error_msg("parallel edges not allowed.");
@@ -120,8 +120,8 @@ public:
   }; // lt_pnts_xy
 
 
-  typedef std::map<SHalfedge_handle, SHalfedge_handle, lt_edges_in_sweepline> 
-          Sweep_status_structure; 
+  typedef std::map<SHalfedge_handle, SHalfedge_handle, lt_edges_in_sweepline>
+          Sweep_status_structure;
   typedef typename Sweep_status_structure::iterator   ss_iterator;
   typedef typename Sweep_status_structure::value_type ss_pair;
   typedef std::set<SVertex_iterator,lt_pnts_xy> Event_Q;
@@ -129,7 +129,7 @@ public:
 
   const GEOMETRY&         K;
   Event_Q                 event_Q;
-  event_iterator          event_it;         
+  event_iterator          event_it;
   SVertex_handle           event;
   Point                   p_sweep;
   Sweep_status_structure  SL;
@@ -138,9 +138,9 @@ public:
   SHalfedge_handle         e_search;
   SVertex_iterator         v_first, v_beyond;
 
-  SM_constrained_triang_traits(const INPUT& in, OUTPUT& out, 
-			       const GEOMETRY& k) 
-      : Base(out), K(k), event_Q(lt_pnts_xy(*this,K)), 
+  SM_constrained_triang_traits(const INPUT& in, OUTPUT& out,
+                               const GEOMETRY& k)
+      : Base(out), K(k), event_Q(lt_pnts_xy(*this,K)),
         SL(lt_edges_in_sweepline(p_sweep,e_low,e_high,*this,K)),
         SLItem(SL.end()), v_first(in.first), v_beyond(in.second)
     { CGAL_NEF_TRACEN("Constrained Triangulation Sweep"); }
@@ -152,7 +152,7 @@ public:
      |*this| */
   void treat_new_edge(SHalfedge_handle e)
   { assoc_info(e);
-    e->mark() = incident_mark(e) = incident_mark(e->twin()) = 
+    e->mark() = incident_mark(e) = incident_mark(e->twin()) =
       incident_mark(e->snext());
     CGAL_NEF_TRACEN(" treat_new_edge "<<PH(e));
   }
@@ -165,8 +165,8 @@ public:
   }
 
   SHalfedge_handle new_bi_edge(SHalfedge_handle e_bf, SHalfedge_handle e_af)
-  { // ccw before e_bf and after e_af 
-    SHalfedge_handle e = 
+  { // ccw before e_bf and after e_af
+    SHalfedge_handle e =
       Base::new_shalfedge_pair(e_bf,e_af,Base::BEFORE, Base::AFTER);
     treat_new_edge(e);
     return e;
@@ -199,7 +199,7 @@ public:
     SVertex_handle v_apex = e_apex->source();
     while (true) {
       SHalfedge_handle e_vis = e_apex->twin()->sprev();
-      bool in_sweep_line = (SLItem[e_vis] != SL.end()); 
+      bool in_sweep_line = (SLItem[e_vis] != SL.end());
       bool not_visible = !edge_is_visible_from(v_apex,e_vis);
         CGAL_NEF_TRACEN(" checking "<<in_sweep_line<<not_visible<<" "<<segment(e_vis));
       if ( in_sweep_line || not_visible) {
@@ -246,10 +246,10 @@ public:
       if (en_vis == e_end) return;
       e_upper = new_bi_edge(e_vis->twin(),e_upper)->twin();
       CGAL_NEF_TRACEN(" produced " << segment(e_upper));
-    } 
+    }
   }
 
-  void process_event() 
+  void process_event()
   {
       CGAL_NEF_TRACEN("\nPROCESS_EVENT " << p_sweep);
     SHalfedge_handle e, ep, eb_low, eb_high, e_end;
@@ -277,7 +277,7 @@ public:
 
     bool ending_edges(0), starting_edges(0);
     while ( e != SHalfedge_handle() ) { // walk adjacency list clockwise
-      if ( SLItem[e] != SL.end() ) 
+      if ( SLItem[e] != SL.end() )
       {
         CGAL_NEF_TRACEN("ending " << segment(e));
         if (ending_edges) triangulate_between(e,cyclic_adj_succ(e));
@@ -298,13 +298,13 @@ public:
       if (e == e_end) break;
       e = cyclic_adj_pred(e);
     }
-    if (!ending_edges) 
+    if (!ending_edges)
     {
       SHalfedge_handle e_vis = sit_pred->second;
       SHalfedge_handle e_vis_n = cyclic_adj_succ(e_vis);
-      eb_low = eb_high = new_bi_edge(event,e_vis_n); 
+      eb_low = eb_high = new_bi_edge(event,e_vis_n);
       CGAL_NEF_TRACEN(" producing link "<<segment(eb_low)<<
-	     "\n    before "<<segment(e_vis_n));
+             "\n    before "<<segment(e_vis_n));
     }
 
     triangulate_up(eb_high);
@@ -312,36 +312,36 @@ public:
     sit_pred->second = eb_low;
   }
 
-  bool event_exists() 
+  bool event_exists()
   { if ( event_it != event_Q.end() ) {
       // event is set at end of loop and in init
       event = *event_it;
       p_sweep = event->point();
       return true;
     }
-    return false; 
+    return false;
   }
 
-  void procede_to_next_event() 
+  void procede_to_next_event()
   { ++event_it; }
 
   void link_bi_edge_to(SHalfedge_handle e, ss_iterator sit) {
-    SLItem[e] = SLItem[e->twin()] = sit; 
+    SLItem[e] = SLItem[e->twin()] = sit;
   }
 
   void initialize_structures()
   {
       CGAL_NEF_TRACEN("initialize_structures ");
-    
+
     for ( event = v_first; event != v_beyond; ++event )
       event_Q.insert(event); // sorted order of vertices
 
     event_it = event_Q.begin();
     if ( event_Q.empty() ) return;
     event = *event_it;
-    p_sweep = event->point(); 
+    p_sweep = event->point();
     if ( !is_isolated(event) ) {
-      SHalfedge_around_svertex_circulator 
+      SHalfedge_around_svertex_circulator
         e(first_out_edge(event)), eend(e);
       CGAL_For_all(e,eend) {
         CGAL_NEF_TRACEN("init with "<<PH(e));
@@ -364,7 +364,7 @@ public:
     // inserting sentinels into SL
     link_bi_edge_to(e_high, sit_high);
     link_bi_edge_to(e_low , sit_low);
-    // we mark them being in the sweepline, which they will never leave 
+    // we mark them being in the sweepline, which they will never leave
 
 
     // we move to the second vertex:
@@ -373,7 +373,7 @@ public:
     CGAL_NEF_TRACEN("EOF initialization");
   }
 
-  void complete_structures() 
+  void complete_structures()
   {
     if (e_low != SHalfedge_handle()) {
       delete_vertex(e_search->twin()->source());
@@ -382,9 +382,9 @@ public:
 
 
   void check_ccw_local_embedding() const
-  { 
+  {
 #ifdef CGAL_CHECK_EXPENSIVEXXX
-    PM_checker<Decorator_,Kernel_> C(*this,K); 
+    PM_checker<Decorator_,Kernel_> C(*this,K);
     C.check_order_preserving_embedding(event);
 #endif
   }
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/SM_decorator.h 5.0.3-1/include/CGAL/Nef_S2/SM_decorator.h
--- 5.0.2-3/include/CGAL/Nef_S2/SM_decorator.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/SM_decorator.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,17 +3,17 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/SM_decorator.h $
-// $Id: SM_decorator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/SM_decorator.h $
+// $Id: SM_decorator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel       <seel@mpi-sb.mpg.de>
 //                 Miguel Granados    <granados@mpi-sb.mpg.de>
 //                 Susan Hert         <hert@mpi-sb.mpg.de>
 //                 Lutz Kettner       <kettner@mpi-sb.mpg.de>
 //                 Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
-#ifndef CGAL_SM_DECORATOR_H 
+#ifndef CGAL_SM_DECORATOR_H
 #define CGAL_SM_DECORATOR_H
 
 #include <CGAL/license/Nef_S2.h>
@@ -36,14 +36,14 @@
 
 namespace CGAL {
 
-/*{\Moptions print_title=yes }*/ 
+/*{\Moptions print_title=yes }*/
 /*{\Moptions outfile=SM_decorator.man }*/
 /*{\Manpage {SM_decorator}{Sphere_map}
 {Topological sphere map decorator}{D}}*/
 
 template <typename Map_>
 class SM_decorator
-{ 
+{
 public:
 typedef Map_              Map;
 typedef Map_              Sphere_map;
@@ -116,10 +116,10 @@ typedef typename Map::SFace_cycle_iterat
 /*{\Mtypemember iterating all face cycles of an face |f|.
 The iterator has method |bool is_svertex()|, |bool is_shalfedge()|,
 |bool is_shalfloop()|, and can be converted to the corresponding
-handles |SVertex_handle|, |SHalfedge_handle|, or 
+handles |SVertex_handle|, |SHalfedge_handle|, or
 |SHalfloop_handle|.}*/
 
-protected: 
+protected:
   // don't change this into a shared_ptr even if it seems sensible.
   // minkowski_sum_3 already has a fix in place that deletes the
   // object psm_ points to.
@@ -132,7 +132,7 @@ SM_decorator(const Self& D) : psm_(D.psm
 Self& operator=(const Self& D) { psm_=D.psm_; return *this; }
 
 SM_decorator(Map* M) : psm_(M) {}
- 
+
 /*{\Moperations 4 4}*/
 
 Map* sphere_map() const { return psm_; }
@@ -182,7 +182,7 @@ bool has_shalfloop() const
 { return psm_->has_shalfloop(); }
 
 /*{\Mtext \headerline{Iteration} \setopdims{3.3cm}{0cm}}*/
-  
+
 SVertex_iterator svertices_begin() const
 { return psm_->svertices_begin(); }
 SVertex_iterator svertices_end() const
@@ -205,33 +205,33 @@ SHalfloop_handle& shalfloop()
 SHalfloop_const_handle shalfloop() const
 { return psm_->shalfloop(); }
 
-Size_type number_of_svertices() const 
+Size_type number_of_svertices() const
 /*{\Mop returns the number of vertices.}*/
 { return psm_->number_of_svertices(); }
 
-Size_type number_of_shalfedges() const 
+Size_type number_of_shalfedges() const
 /*{\Mop returns the number of halfedges.}*/
 { return psm_->number_of_shalfedges(); }
 
-Size_type number_of_sedges() const 
+Size_type number_of_sedges() const
 /*{\Mop returns the number of edges.}*/
 { return number_of_shalfedges()/2; }
 
-Size_type number_of_shalfloops() const 
+Size_type number_of_shalfloops() const
 /*{\Mop returns the number of halfloops.}*/
 { return psm_->number_of_shalfloops(); }
 
-Size_type number_of_sloops() const 
+Size_type number_of_sloops() const
 /*{\Mop returns the number of loops.}*/
 { return psm_->number_of_shalfloops()/2; }
 
-Size_type number_of_sfaces() const    
+Size_type number_of_sfaces() const
 /*{\Mop returns the number of faces.}*/
 { return psm_->number_of_sfaces(); }
 
 SFace_cycle_iterator sface_cycles_begin(SFace_handle f) const
 /*{\Mop returns an iterator for all bounding face cycles of |f|.
-The iterator is is convertable to |SVertex_handle|, 
+The iterator is is convertable to |SVertex_handle|,
 |SHalfloop_handle|, or |SHalfedge_handle|.}*/
 { return f->boundary_entry_objects().begin(); }
 
@@ -239,7 +239,7 @@ SFace_cycle_iterator sface_cycles_end(SF
 /*{\Mop returns the past the end iterator of |f|.}*/
 { return f->boundary_entry_objects_.end(); }
 
-SHalfedge_around_svertex_circulator 
+SHalfedge_around_svertex_circulator
   out_edges(SVertex_handle v) const
 /*{\Mop returns a circulator for the cyclic adjacency list of |v|.
 \precond the adjacency list is not empty.}*/
@@ -259,8 +259,8 @@ bool is_closed_at_target(SHalfedge_handl
 /*{\Mop returns |true| when |e->snext() == e->twin()|.}*/
 { return e->snext() == e->twin(); }
 
-SHalfedge_handle cas(SHalfedge_handle e) const 
-{ return cyclic_adj_succ(e); } 
+SHalfedge_handle cas(SHalfedge_handle e) const
+{ return cyclic_adj_succ(e); }
 SHalfedge_handle cap(SHalfedge_handle e) const
 { return cyclic_adj_pred(e); }
 
@@ -279,9 +279,9 @@ SHalfedge_handle new_shalfedge_pair() {
 
 SHalfloop_handle new_shalfloop_pair()
 /*{\Mop creates a new loop pair.
-\precond No sloop pair exists in the local graph.}*/ 
+\precond No sloop pair exists in the local graph.}*/
 { CGAL_assertion(!has_shalfloop());
-  return map()->new_shalfloop_pair(); 
+  return map()->new_shalfloop_pair();
 }
 
 SFace_handle new_sface()
@@ -300,12 +300,12 @@ void delete_halfedge_only(SHalfedge_hand
 /*{\Mop deletes |e| without its twin and without any connectivity update.}*/
 { map()->delete_shalfedge(e); }
 
-void delete_face_only(SFace_handle f) 
+void delete_face_only(SFace_handle f)
 /*{\Mop deletes |f| without any connectivity update.}*/
 { map()->delete_sface(f); }
 
 void delete_loop_only()
-/*{\Mop deletes the loop and its twin without any connectivity update.}*/ 
+/*{\Mop deletes the loop and its twin without any connectivity update.}*/
 { map()->delete_shalfloop_pair(); }
 
 template <typename H>
@@ -328,30 +328,30 @@ void undo_sm_boundary_object(H h, SFace_
 }
 
 void link_as_face_cycle(SHalfedge_handle e, SFace_handle f)
-/*{\Mop creates a new face cycle of |f| and 
+/*{\Mop creates a new face cycle of |f| and
    makes |e| the entry point of it.}*/
 {
   SHalfedge_around_sface_circulator hfc(e), hend(hfc);
   CGAL_For_all(hfc,hend) hfc->incident_sface() = f;
   store_sm_boundary_object(e,f);
-} 
+}
 
 void link_as_loop(SHalfloop_handle l, SFace_handle f)
-/*{\Mop creates a new trivial face cycle of |f| and 
+/*{\Mop creates a new trivial face cycle of |f| and
    makes |l| the singular object of it.}*/
-{ store_sm_boundary_object(l,f); l->incident_sface() = f; } 
+{ store_sm_boundary_object(l,f); l->incident_sface() = f; }
 
 void link_as_isolated_vertex(SVertex_handle v, SFace_handle f)
 /*{\Mop creates a new trivial face cycle of |f|.
    (makes |v| an isolated vertex within |f|).}*/
-{ store_sm_boundary_object(v,f); v->incident_sface() = f; } 
+{ store_sm_boundary_object(v,f); v->incident_sface() = f; }
 
 void unlink_as_face_cycle(SHalfedge_handle e)
 /*{\Mop removes the face cycle defined by |e| from |e->incident_sface()|.
     Does not update the face links of the corresponding face cycle
     edges. \precond |e| is the entry object of the face cycle.}*/
 { undo_sm_boundary_object(e,e->incident_sface()); }
-  
+
 void unlink_as_loop(SHalfloop_handle l)
 /*{\Mop removes the trivial face cycle defined by |l| from
    |l->incident_sface()|. Does not update |l|'s face link.}*/
@@ -369,8 +369,8 @@ void clear_face_cycle_entries(SFace_hand
 }
 
 SHalfedge_handle new_shalfedge_pair(SVertex_handle v1,
-			            SVertex_handle v2)
-/*{\Mop creates a new pair of edges |(e1,e2)| representing |(v1,v2)| 
+                                    SVertex_handle v2)
+/*{\Mop creates a new pair of edges |(e1,e2)| representing |(v1,v2)|
   by appending the |ei| to |A(vi)| $(i=1,2)$.}*/
 { SHalfedge_handle e1 = new_shalfedge_pair();
   SHalfedge_handle e2 = e1->twin();
@@ -382,20 +382,20 @@ SHalfedge_handle new_shalfedge_pair(SVer
   if (!is_isolated(v2))
     set_adjacency_at_source_between(cap(first_out_edge(v2)),e2,
                                     first_out_edge(v2));
-  else 
+  else
     close_tip_at_source(e2,v2);
   return e1;
 }
 
 
-SHalfedge_handle new_shalfedge_pair(SHalfedge_handle e1, 
-			            SHalfedge_handle e2,
-			            int pos1 = AFTER, int pos2 = AFTER)
+SHalfedge_handle new_shalfedge_pair(SHalfedge_handle e1,
+                                    SHalfedge_handle e2,
+                                    int pos1 = AFTER, int pos2 = AFTER)
 /*{\Mop creates a new pair of edges |(es1,es2)| representing the uedge
-  |\{e1->source(),e2->source()\}| by inserting the |esi| before or after |ei| 
-  into the cyclic adjacency list of |ei->source()| depending on |posi| 
+  |\{e1->source(),e2->source()\}| by inserting the |esi| before or after |ei|
+  into the cyclic adjacency list of |ei->source()| depending on |posi|
   $(i=1,2)$ from |\Mname::BEFORE|, |\Mname::AFTER|.}*/
-{ 
+{
   SHalfedge_handle er = new_shalfedge_pair();
   SHalfedge_handle ero = er->twin();
   if (pos1 < 0) { // before e1
@@ -418,7 +418,7 @@ SHalfedge_handle new_shalfedge_pair(SHal
 SHalfedge_handle new_shalfedge_pair(SHalfedge_handle e, SVertex_handle v,
                                int pos = AFTER)
 /*{\Mop creates a new pair of edges  |(e1,e2)| representing the uedge
-  |\{e->source(),v\}| by inserting |e1| before or after |e| into cyclic 
+  |\{e->source(),v\}| by inserting |e1| before or after |e| into cyclic
   adjacency list of |e->source()| depending on |pos| from |\Mname::BEFORE|,
   |\Mname::AFTER| and appending |e2| at |A(v)|.}*/
 {
@@ -430,7 +430,7 @@ SHalfedge_handle new_shalfedge_pair(SHal
       set_first_out_edge(e->source(),e_new);
   } else  // after e
     set_adjacency_at_source_between(e,e_new,cas(e));
-  
+
   if (!is_isolated(v)) {
     SHalfedge_handle e_first = first_out_edge(v);
     set_adjacency_at_source_between(cap(e_first),e_opp,e_first);
@@ -446,7 +446,7 @@ SHalfedge_handle new_shalfedge_pair(SVer
 { return new_shalfedge_pair(e,v,pos)->twin(); }
 
 void delete_edge_pair(SHalfedge_handle e)
-/*{\Mop deletes |e| and its twin and maintains the adjacency at its source 
+/*{\Mop deletes |e| and its twin and maintains the adjacency at its source
         and its target.}*/
 { remove_from_adj_list_at_source(e);
   remove_from_adj_list_at_source(e->twin());
@@ -458,20 +458,20 @@ SHalfedge_handle split_at(SHalfedge_hand
   CGAL_assertion(sp != e->source()->point());
   CGAL_assertion(sp != e->twin()->source()->point());
   CGAL_assertion(Sphere_segment(e->source()->point(),
-  				e->twin()->source()->point(),
-  				e->circle()).has_on(sp));
+                                  e->twin()->source()->point(),
+                                  e->circle()).has_on(sp));
   SVertex_handle v_new = new_svertex(sp);
   v_new->mark() = e->mark();
   return split_at(e, v_new);
-}  
+}
 
 SHalfedge_handle split_at(SHalfedge_handle e, SVertex_handle v)
 {
   CGAL_assertion(v->point() != e->source()->point());
   CGAL_assertion(v->point() != e->twin()->source()->point());
   CGAL_assertion(Sphere_segment(e->source()->point(),
-  				e->twin()->source()->point(),
-  				e->circle()).has_on(v->point()));
+                                  e->twin()->source()->point(),
+                                  e->circle()).has_on(v->point()));
 
   SHalfedge_handle e_new = new_shalfedge_pair(v, e->twin());
   e_new->mark() = e_new->twin()->mark() = e->mark();
@@ -492,20 +492,20 @@ SHalfedge_handle split_at(SHalfedge_hand
 }
 
 void delete_vertex(SVertex_handle v)
-/*{\Mop deletes |v| and all outgoing edges |A(v)| as well as their twins. 
+/*{\Mop deletes |v| and all outgoing edges |A(v)| as well as their twins.
    Updates the adjacency at the targets of the edges in |A(v)|.}*/
-{ 
+{
   if (!is_isolated(v)) {
     SHalfedge_handle e = first_out_edge(v);
-    while ( e != cap(e) ) 
-      delete_edge_pair(cap(e));  
-    delete_edge_pair(e); 
+    while ( e != cap(e) )
+      delete_edge_pair(cap(e));
+    delete_edge_pair(e);
   }
   delete_vertex_only(v);
 }
 
 void delete_face(SFace_handle f)
-/*{\Mop deletes the face |f| without consideration of topological 
+/*{\Mop deletes the face |f| without consideration of topological
    linkage.}*/
 { clear_face_cycle_entries(f); delete_face_only(f); }
 
@@ -519,15 +519,15 @@ bool has_outdeg_two(SVertex_handle v) co
 }
 
 void link_as_prev_next_pair(SHalfedge_handle e1, SHalfedge_handle e2)
-/*{\Xop makes |e1| and |e2| adjacent in the face cycle 
+/*{\Xop makes |e1| and |e2| adjacent in the face cycle
    $\ldots-|e1-e2|-\ldots$.
    Afterwards |e1 = e2->sprev()| and |e2 = e1->snext()|.}*/
 { e1->snext() = e2; e2->sprev() = e1; }
 
 void merge_edge_pairs_at_target(SHalfedge_handle e)
-/*{\Mop merges the edge pairs at |v = e->target()|. |e| and |twin(e)| 
+/*{\Mop merges the edge pairs at |v = e->target()|. |e| and |twin(e)|
   are preserved, |e->snext()|, |twin(e->snext())| and |v| are deleted
-  in the merger. \precond |v| has outdegree two. The adjacency at 
+  in the merger. \precond |v| has outdegree two. The adjacency at
   |e->source()| and |target(e->snext())| is kept consistent.
   If |e->snext()| was entry point of |e->incident_sface()| then |e| takes this role.
   The same holds for |twin(e->snext())| and |face(twin(e))|.}*/
@@ -594,13 +594,13 @@ void flip_diagonal(SHalfedge_handle e)
   set_adjacency_at_source_between(enn,e,en->twin());
   set_adjacency_at_source_between(rnn,r,rn->twin());
 }
-     
+
 
 /*{\Mtext \headerline{Incomplete topological update primitives}}*/
 
 SHalfedge_handle new_shalfedge_pair_at_source
   (SHalfedge_handle e, int pos = AFTER) const
-/*{\Xop creates a new pair of edges  |(e1,e2)| representing |(e->source(),())| 
+/*{\Xop creates a new pair of edges  |(e1,e2)| representing |(e->source(),())|
   by inserting |e1| before or after |e| into cyclic adjacency list of
   |e->source()| depending on |pos| from |\Mname::BEFORE, \Mname::AFTER|.}*/
 { SHalfedge_handle e_new = new_shalfedge_pair();
@@ -611,7 +611,7 @@ SHalfedge_handle new_shalfedge_pair_at_s
 
 SHalfedge_handle new_shalfedge_pair_at_source
   (SVertex_handle v, int pos = AFTER)
-/*{\Mop creates a new pair of edges  |(e1,e2)| representing |(v,())| 
+/*{\Mop creates a new pair of edges  |(e1,e2)| representing |(v,())|
   by inserting |e1| at the beginning (BEFORE) or end (AFTER)
   of adjacency list of |v|.}*/
 { SHalfedge_handle e1 = new_shalfedge_pair();
@@ -629,7 +629,7 @@ SHalfedge_handle new_shalfedge_pair_at_s
 }
 
 void delete_edge_pair_at_source(SHalfedge_handle e)
-/*{\Mop deletes |e| and its twin and maintains the adjacency at its 
+/*{\Mop deletes |e| and its twin and maintains the adjacency at its
   source.}*/
 { remove_from_adj_list_at_source(e);
   delete_edge_pair_only(e);
@@ -659,34 +659,34 @@ void link_as_target_of(SHalfedge_handle
 { link_as_source_of(e->twin(),v); }
 
 void set_adjacency_at_source_between(SHalfedge_handle e, SHalfedge_handle en)
-/*{\Mop makes |e| and |en| neigbors in the cyclic ordered adjacency list 
+/*{\Mop makes |e| and |en| neigbors in the cyclic ordered adjacency list
     around |v=e->source()|. \precond |e->source()==en->source()|.}*/
 { CGAL_assertion(e->source()==en->source());
   link_as_prev_next_pair(en->twin(),e);
 }
 
-void set_adjacency_at_source_between(SHalfedge_handle e1, 
-                                     SHalfedge_handle e_between, 
+void set_adjacency_at_source_between(SHalfedge_handle e1,
+                                     SHalfedge_handle e_between,
                                      SHalfedge_handle e2)
-/*{\Mop inserts |e_between| into the adjacency list around |e1->source()| 
-  between |e1| and |e2| and makes |e1->source()| the source of |e_between|. 
+/*{\Mop inserts |e_between| into the adjacency list around |e1->source()|
+  between |e1| and |e2| and makes |e1->source()| the source of |e_between|.
   \precond |e1->source()==e2->source()|.}*/
-{ 
+{
   e_between->source() = e1->source();
   set_adjacency_at_source_between(e1,e_between);
   set_adjacency_at_source_between(e_between,e2);
 }
 
-void close_tip_at_source(SHalfedge_handle e, SVertex_handle v) 
-/*{\Mop sets |v| as source of |e| and closes the tip by setting the 
+void close_tip_at_source(SHalfedge_handle e, SVertex_handle v)
+/*{\Mop sets |v| as source of |e| and closes the tip by setting the
   corresponding pointers such that |prev(e) == e->twin()| and
   |next(e->twin()) == e|.}*/
-{ link_as_source_of(e,v); 
+{ link_as_source_of(e,v);
   link_as_prev_next_pair(e->twin(),e); }
 
-void close_tip_at_target(SHalfedge_handle e, SVertex_handle v) 
-/*{\Mop sets |v| as target of |e| and closes the tip by setting the 
-  corresponding pointers such that |prev(e->twin()) == e| and 
+void close_tip_at_target(SHalfedge_handle e, SVertex_handle v)
+/*{\Mop sets |v| as target of |e| and closes the tip by setting the
+  corresponding pointers such that |prev(e->twin()) == e| and
   |e->snext() == e->twin()|.}*/
 { link_as_target_of(e,v);
   link_as_prev_next_pair(e,e->twin()); }
@@ -743,10 +743,10 @@ const GenPtr& info(SHalfedge_const_handl
 const GenPtr& info(SFace_const_handle f) const
 { return f->info(); }
 
- 
+
 /*{\Mtext \headerline{Iteration}}*/
 /*{\Mtext The list of all objects can be accessed via iterator ranges.
-For comfortable iteration we also provide iterations macros. 
+For comfortable iteration we also provide iterations macros.
 The iterator range access operations are of the following kind:\\
 |SVertex_iterator svertices_begin()/svertices_end()|\\
 |SHalfedge_iterator shalfedges_begin()/shalfedges_end()|\\
@@ -754,14 +754,14 @@ The iterator range access operations are
 |SFace_iterator sfaces_begin()/sfaces_end()|
 
 The macros are then |CGAL_forall_svertices_of(v,V)|,
-|CGAL_forall_shalfedges_of(e,V)|, |CGAL_forall_sedges_of(e,V)|, 
+|CGAL_forall_shalfedges_of(e,V)|, |CGAL_forall_sedges_of(e,V)|,
 |CGAL_forall_sfaces_of(f,V)|, |CGAL_forall_sface_cycles_of(fc,F)|.}*/
 
 void transform( const Aff_transformation_3& linear) {
   //  CGAL_NEF_TRACEN("transform sphere map of vertex" << center_vertex()->point());
     // The affine transformation is linear, i.e., no translation part.
-    CGAL_precondition( linear.hm(0,3) == 0 && 
-                       linear.hm(1,3) == 0 && 
+    CGAL_precondition( linear.hm(0,3) == 0 &&
+                       linear.hm(1,3) == 0 &&
                        linear.hm(2,3) == 0);
 
     //    CGAL_NEF_TRACEN(linear);
@@ -771,9 +771,9 @@ void transform( const Aff_transformation
       i->circle() = Sphere_circle( i->circle().transform( linear));
     if ( has_shalfloop()) {
       shalfloop()->circle() = Sphere_circle(shalfloop()->circle()
-					  .transform( linear));
+                                          .transform( linear));
       shalfloop()->twin()->circle()
-	= Sphere_circle(shalfloop()->twin()->circle().transform( linear));
+        = Sphere_circle(shalfloop()->twin()->circle().transform( linear));
     }
 }
 
@@ -785,11 +785,11 @@ void extract_complement() {
   CGAL_forall_shalfedges(she,*this) she->mark() = !she->mark();
   SHalfloop_handle shl;
   if(has_shalfloop()) {
-    shl = shalfloop(); 
+    shl = shalfloop();
     shl->mark() = shl->twin()->mark() = !shl->mark();
   }
   SFace_handle sf;
-  CGAL_forall_sfaces(sf,*this) 
+  CGAL_forall_sfaces(sf,*this)
     sf->mark() = !sf->mark();
 }
 
@@ -800,8 +800,8 @@ void extract_interior() {
   SHalfedge_handle she;
   CGAL_forall_shalfedges(she,*this) she->mark() = false;
   SHalfloop_handle shl;
-  if(has_shalfloop()) { 
-    shl = shalfloop(); 
+  if(has_shalfloop()) {
+    shl = shalfloop();
     shl->mark() = shl->twin()->mark() = false;
   }
 }
@@ -813,8 +813,8 @@ void extract_boundary() {
   SHalfedge_handle she;
   CGAL_forall_shalfedges(she,*this) she->mark() = true;
   SHalfloop_handle shl;
-  if(has_shalfloop()) { 
-    shl = shalfloop(); 
+  if(has_shalfloop()) {
+    shl = shalfloop();
     shl->mark() = shl->twin()->mark() = true;
   }
   SFace_handle sf;
@@ -822,28 +822,28 @@ void extract_boundary() {
 }
 
 bool is_valid( Unique_hash_map<SVertex_handle,bool>& sv_hash,
-	       Unique_hash_map<SHalfedge_handle,bool>& se_hash,
-	       Unique_hash_map<SFace_handle,bool>& sf_hash,
-	       bool verb = false, int level = 0) {
-    
+               Unique_hash_map<SHalfedge_handle,bool>& se_hash,
+               Unique_hash_map<SFace_handle,bool>& sf_hash,
+               bool verb = false, int level = 0) {
+
   Verbose_ostream verr(verb);
   verr << "begin CGAL::SNC_SM_decorator<...>::is_valid( verb=true, "
     "level = " << level << "):" << std::endl;
-    
+
   bool valid = true;
 
   std::size_t count = 0;
-  std::size_t max = 2 * number_of_svertices() 
+  std::size_t max = 2 * number_of_svertices()
     + 2 * number_of_shalfedges()
     + number_of_sfaces()
     + 2;
-  
+
   SVertex_handle sv;
   int isolated_vertices_found = 0;
   CGAL_forall_svertices(sv,*this) {
     valid = valid && (!sv_hash[sv]);
     sv_hash[sv] = true;
-    if(is_isolated(sv)) 
+    if(is_isolated(sv))
       isolated_vertices_found++;
     valid = valid && (++count <= max);
   }
@@ -855,8 +855,8 @@ bool is_valid( Unique_hash_map<SVertex_h
     valid = valid && (she->twin() != she);
     valid = valid && (she->twin()->twin() == she);
     valid = valid && (she->snext()->sprev() == she);
-    valid = valid && ((she->sprev() != she && she->snext() != she) || 
-		      (she->sprev() == she && she->snext() == she));
+    valid = valid && ((she->sprev() != she && she->snext() != she) ||
+                      (she->sprev() == she && she->snext() == she));
     valid = valid && (she->incident_sface() == she->snext()->incident_sface());
     valid = valid && (she->incident_sface() == she->sprev()->incident_sface());
 
@@ -864,8 +864,8 @@ bool is_valid( Unique_hash_map<SVertex_h
 
     //    Plane_3 pl(point(she->source()),point(she->target()),Point_3(0,0,0));
     //    Sphere_point vct(pl.orthogonal_vector());
-    //    valid = valid && (normalized(Sphere_point(she->circle().orthogonal_vector())) == normalized(vct) || 
-    //	      normalized(Sphere_point(she->circle().opposite().orthogonal_vector())) == normalized(vct));
+    //    valid = valid && (normalized(Sphere_point(she->circle().orthogonal_vector())) == normalized(vct) ||
+    //              normalized(Sphere_point(she->circle().opposite().orthogonal_vector())) == normalized(vct));
 
     se_hash[she] = true;
     valid = valid && (++count <= max);
@@ -876,11 +876,11 @@ bool is_valid( Unique_hash_map<SVertex_h
     valid = valid && shl->is_valid();
     valid = valid && shl->twin()->is_valid();
     valid = valid && (shl->twin() != shl);
-    valid = valid && (shl->twin()->twin() == shl); 
+    valid = valid && (shl->twin()->twin() == shl);
   }
 
   SFace_iterator sf;
-  SFace_cycle_iterator sfc;  
+  SFace_cycle_iterator sfc;
   int loop_entries_found = 0;
   int edge_entries_found = 0;
   int vertex_entries_found = 0;
@@ -888,17 +888,17 @@ bool is_valid( Unique_hash_map<SVertex_h
     valid = valid && sf->is_valid(verb, level);
     valid = valid && (!sf_hash[sf]);
     sf_hash[sf] = true;
-    
+
     CGAL_forall_sface_cycles_of(sfc,sf) {
-      if (sfc.is_shalfloop()) 
-	loop_entries_found++;
+      if (sfc.is_shalfloop())
+        loop_entries_found++;
       else if(sfc.is_shalfedge())
-	edge_entries_found++;
+        edge_entries_found++;
       else if(sfc.is_svertex())
-	vertex_entries_found++;
+        vertex_entries_found++;
       valid = valid && (++count <= max);
     }
-    
+
     valid = valid && (++count <= max);
   }
 
@@ -922,7 +922,7 @@ bool is_valid( Unique_hash_map<SVertex_h
 
   template <typename Selection>
   void change_marks(const Mark& m, const Selection& SP) {
-   
+
     psm_->mark() = SP(m, psm_->mark());
 
     SVertex_iterator v;
@@ -934,13 +934,13 @@ bool is_valid( Unique_hash_map<SVertex_h
       e->mark() = SP(m, e->mark());
 
     SFace_iterator f;
-    CGAL_forall_sfaces(f,*this) 
+    CGAL_forall_sfaces(f,*this)
       f->mark() = SP(m, f->mark());
   }
 
   template <typename Selection>
   void change_marks(const Selection& SP, const Mark& m) {
-   
+
     psm_->mark() = SP(psm_->mark(), m);
 
     SVertex_iterator v;
@@ -952,7 +952,7 @@ bool is_valid( Unique_hash_map<SVertex_h
       e->mark() = SP(e->mark(),m);
 
     SFace_iterator f;
-    CGAL_forall_sfaces(f,*this) 
+    CGAL_forall_sfaces(f,*this)
       f->mark() = SP(f->mark(),m);
   }
 
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/SM_decorator_traits.h 5.0.3-1/include/CGAL/Nef_S2/SM_decorator_traits.h
--- 5.0.2-3/include/CGAL/Nef_S2/SM_decorator_traits.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/SM_decorator_traits.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/SM_decorator_traits.h $
-// $Id: SM_decorator_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/SM_decorator_traits.h $
+// $Id: SM_decorator_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Peter Hachenberger  <hachenberger@mpi-sb.mpg.de>
 
@@ -27,24 +27,24 @@ class SM_decorator_traits {
   typedef typename Refs::SHalfloop_handle SHalfloop_handle;
   typedef typename Refs::SFace_handle SFace_handle;
 
-  typedef typename Refs::SVertex_iterator SVertex_iterator;  
+  typedef typename Refs::SVertex_iterator SVertex_iterator;
   typedef typename Refs::SHalfedge_iterator SHalfedge_iterator;
   typedef typename Refs::SHalfloop_iterator SHalfloop_iterator;
-  typedef typename Refs::SFace_iterator SFace_iterator;  
+  typedef typename Refs::SFace_iterator SFace_iterator;
 
   typedef typename Refs::SVertex_const_handle SVertex_const_handle;
   typedef typename Refs::SHalfedge_const_handle SHalfedge_const_handle;
   typedef typename Refs::SHalfloop_const_handle SHalfloop_const_handle;
   typedef typename Refs::SFace_const_handle SFace_const_handle;
 
-  typedef typename Refs::SVertex_const_iterator SVertex_const_iterator;  
+  typedef typename Refs::SVertex_const_iterator SVertex_const_iterator;
   typedef typename Refs::SHalfedge_const_iterator SHalfedge_const_iterator;
   typedef typename Refs::SHalfloop_const_iterator SHalfloop_const_iterator;
-  typedef typename Refs::SFace_const_iterator SFace_const_iterator;  
+  typedef typename Refs::SFace_const_iterator SFace_const_iterator;
 
-  typedef typename Refs::SHalfedge_around_svertex_circulator 
+  typedef typename Refs::SHalfedge_around_svertex_circulator
     SHalfedge_around_svertex_circulator;
-  typedef typename Refs::SHalfedge_around_sface_circulator 
+  typedef typename Refs::SHalfedge_around_sface_circulator
     SHalfedge_around_sface_circulator;
   typedef typename Refs::SFace_cycle_iterator SFace_cycle_iterator;
 };
@@ -58,14 +58,14 @@ class SM_decorator_const_traits {
   typedef typename Refs::SHalfloop_const_handle SHalfloop_handle;
   typedef typename Refs::SFace_const_handle SFace_handle;
 
-  typedef typename Refs::SVertex_const_iterator SVertex_iterator;  
+  typedef typename Refs::SVertex_const_iterator SVertex_iterator;
   typedef typename Refs::SHalfedge_const_iterator SHalfedge_iterator;
   typedef typename Refs::SHalfloop_const_iterator SHalfloop_iterator;
-  typedef typename Refs::SFace_const_iterator SFace_iterator;  
+  typedef typename Refs::SFace_const_iterator SFace_iterator;
 
-  typedef typename Refs::SHalfedge_around_svertex_const_circulator 
+  typedef typename Refs::SHalfedge_around_svertex_const_circulator
     SHalfedge_around_svertex_circulator;
-  typedef typename Refs::SHalfedge_around_sface_const_circulator 
+  typedef typename Refs::SHalfedge_around_sface_const_circulator
     SHalfedge_around_sface_circulator;
   typedef typename Refs::SFace_cycle_const_iterator SFace_cycle_iterator;
 
@@ -74,14 +74,14 @@ class SM_decorator_const_traits {
   typedef typename Refs::SHalfloop_const_handle SHalfloop_const_handle;
   typedef typename Refs::SFace_const_handle SFace_const_handle;
 
-  typedef typename Refs::SVertex_const_iterator SVertex_const_iterator;  
+  typedef typename Refs::SVertex_const_iterator SVertex_const_iterator;
   typedef typename Refs::SHalfedge_const_iterator SHalfedge_const_iterator;
   typedef typename Refs::SHalfloop_const_iterator SHalfloop_const_iterator;
-  typedef typename Refs::SFace_const_iterator SFace_const_iterator;  
+  typedef typename Refs::SFace_const_iterator SFace_const_iterator;
 
-  typedef typename Refs::SHalfedge_around_svertex_const_circulator 
+  typedef typename Refs::SHalfedge_around_svertex_const_circulator
     SHalfedge_around_svertex_const_circulator;
-  typedef typename Refs::SHalfedge_around_sface_const_circulator 
+  typedef typename Refs::SHalfedge_around_sface_const_circulator
     SHalfedge_around_sface_const_circulator;
   typedef typename Refs::SFace_cycle_const_iterator SFace_cycle_const_iterator;
 };
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/SM_io_parser.h 5.0.3-1/include/CGAL/Nef_S2/SM_io_parser.h
--- 5.0.2-3/include/CGAL/Nef_S2/SM_io_parser.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/SM_io_parser.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/SM_io_parser.h $
-// $Id: SM_io_parser.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/SM_io_parser.h $
+// $Id: SM_io_parser.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel  <seel@mpi-sb.mpg.de>
 //                 Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
@@ -117,15 +117,15 @@ void read();
 void debug() const;
 void print_faces() const;
 
-std::string index(SVertex_const_handle v) const 
+std::string index(SVertex_const_handle v) const
 { return VI(v,verbose); }
-std::string index(SHalfedge_const_handle e) const 
+std::string index(SHalfedge_const_handle e) const
 { return EI(e,verbose); }
-std::string index(SHalfloop_const_handle l) const 
+std::string index(SHalfloop_const_handle l) const
 { if (verbose)  return (l==this->shalfloop()? "l0" : "l1");
   else return (l==this->shalfloop()? "0" : "1");
 }
-std::string index(SFace_const_handle f) const 
+std::string index(SFace_const_handle f) const
 { return FI(f,verbose); }
 
 static void dump(const Decorator_& D, std::ostream& os = std::cerr);
@@ -137,19 +137,19 @@ static void dump(const Decorator_& D, st
 template <typename Decorator_>
 SM_io_parser<Decorator_>::
 SM_io_parser(std::istream& iin, const Base& H) :
-  Base(H), in(iin), out(std::cout), verbose(0), 
+  Base(H), in(iin), out(std::cout), verbose(0),
   vn(0), en(0), ln(0), fn(0)
 { this->clear(); }
 
 template <typename Decorator_>
 SM_io_parser<Decorator_>::
-SM_io_parser(std::ostream& iout, const Base& D) 
-  : Base(D), in(std::cin), out(iout), 
+SM_io_parser(std::ostream& iout, const Base& D)
+  : Base(D), in(std::cin), out(iout),
   VI(this->svertices_begin(),this->svertices_end(),'v'),
   EI(this->shalfedges_begin(),this->shalfedges_end(),'e'),
   FI(this->sfaces_begin(),this->sfaces_end(),'f'),
-  vn(this->number_of_svertices()), 
-  en(this->number_of_shalfedges()), 
+  vn(this->number_of_svertices()),
+  en(this->number_of_shalfedges()),
   ln(this->number_of_shalfloops()),
   fn(this->number_of_sfaces())
 { verbose = (get_mode(out) != CGAL::IO::ASCII &&
@@ -164,9 +164,9 @@ SM_io_parser(std::ostream& iout, const B
 template <typename Decorator_>
 bool SM_io_parser<Decorator_>::check_sep(const char* sep)
 {
-  char c; 
+  char c;
   do in.get(c); while (isspace(c));
-  while (*sep != '\0') { 
+  while (*sep != '\0') {
     if (*sep != c) {
       in.putback(c);
       return false;
@@ -174,7 +174,7 @@ bool SM_io_parser<Decorator_>::check_sep
     ++sep; in.get(c);
   }
   in.putback(c);
-  return true;  
+  return true;
 }
 
 template <typename Decorator_>
@@ -189,10 +189,10 @@ void SM_io_parser<Decorator_>::print_ver
 
 template <typename Decorator_>
 bool SM_io_parser<Decorator_>::read_vertex(SVertex_handle v)
-{ 
+{
   // precondition: nodes exist
   // syntax: index { isolated incident_object, mark, point}
-  int n; bool iso; int f; Mark m; Sphere_point p; 
+  int n; bool iso; int f; Mark m; Sphere_point p;
   if ( !(in >> n) ||
        !check_sep("{") ||
        !(in >> iso) ||
@@ -202,11 +202,11 @@ bool SM_io_parser<Decorator_>::read_vert
        !check_sep(",") ||
        !(in >> p) ||
        !check_sep("}") ) return false;
- 
+
   if (iso) set_face(v,SFace_of[f]);
   else     set_first_out_edge(v,Edge_of[f]);
   v->mark() = m; v->point() = p;
-  return true; 
+  return true;
 }
 
 template <typename Decorator_>
@@ -215,7 +215,7 @@ void SM_io_parser<Decorator_>::print_edg
 
   Decorator_ D;
   out << index(e) << " { "
-      << index(e->twin()) << ", " 
+      << index(e->twin()) << ", "
       << index(e->sprev()) << ", " << index(e->snext()) << ", "
       << index(e->source()) << ", " << index(e->incident_sface()) << ", "
       << e->mark() << ", " << e->circle() << " }\n";
@@ -235,11 +235,11 @@ bool SM_io_parser<Decorator_>::read_edge
        !(in >> m) || !check_sep(",") ||
        !(in >> k) || !check_sep("}") )
     return false;
-  CGAL_assertion_msg 
+  CGAL_assertion_msg
      (eo >= 0 && eo < en && epr >= 0 && epr < en && ene >= 0 && ene < en &&
       v >= 0 && v < vn && f >= 0 && f < fn ,
       "wrong index in read_edge");
-  
+
   // precond: features exist!
   CGAL_assertion(EI[e->twin()]);
   set_prev(e,Edge_of[epr]);
@@ -255,7 +255,7 @@ template <typename Decorator_>
 void SM_io_parser<Decorator_>::print_loop(SHalfloop_const_handle l) const
 { // syntax: index { twin, face, mark, circle }
   out << index(l) << " { "
-      << index(l->twin()) << ", " 
+      << index(l->twin()) << ", "
       << index(l->incident_sface()) << ", "
       << l->mark() << ", " << l->circle() << " }\n";
 }
@@ -273,7 +273,7 @@ bool SM_io_parser<Decorator_>::read_loop
     return false;
   CGAL_assertion_msg(
     (lo >= 0 && lo < 2 && f >= 0 && f < fn),"wrong index in read_edge");
-  
+
   set_face(l,SFace_of[f]);
   l->mark() = m;
   l->circle() = k;
@@ -284,7 +284,7 @@ bool SM_io_parser<Decorator_>::read_loop
 template <typename Decorator_>
 void SM_io_parser<Decorator_>::print_face(SFace_handle f) const
 { // syntax: index { fclist, ivlist, loop, mark }
-  out << index(f) << " { "; 
+  out << index(f) << " { ";
   SFace_cycle_iterator it;
   CGAL_forall_sface_cycles_of(it,f)
     if ( it.is_shalfedge() ) out << index(SHalfedge_handle(it)) << ' ';
@@ -302,24 +302,24 @@ bool SM_io_parser<Decorator_>::read_face
 { // syntax: index { fclist, ivlist, loop, mark }
   int n, ei, vi, li; Mark m;
   if ( !(in >> n) || !check_sep("{") ) return false;
-  while (in >> ei) { 
-    CGAL_assertion_msg(ei >= 0 && ei < en, 
+  while (in >> ei) {
+    CGAL_assertion_msg(ei >= 0 && ei < en,
                            "wrong index in face cycle list.");
     store_sm_boundary_object(Edge_of[ei],f);
   } in.clear();
   if (!check_sep(",")) { return false; }
-  while (in >> vi) { 
-    CGAL_assertion_msg(vi >= 0 && vi < vn, 
+  while (in >> vi) {
+    CGAL_assertion_msg(vi >= 0 && vi < vn,
                            "wrong index in iso vertex list.");
     store_sm_boundary_object(SVertex_of[vi],f);
   } in.clear();
   if (!check_sep(",")) { return false; }
-  while (in >> li) { 
-    CGAL_assertion_msg(li >= 0 && li < 2, 
+  while (in >> li) {
+    CGAL_assertion_msg(li >= 0 && li < 2,
                            "wrong index in iso vertex list.");
     store_sm_boundary_object(Loop_of[li],f);
   } in.clear();
-  if (!check_sep(",") || !(in >> m) || !check_sep("}") ) 
+  if (!check_sep(",") || !(in >> m) || !check_sep("}") )
     return false;
   f->mark() = m;
   return true;
@@ -333,20 +333,20 @@ void SM_io_parser<Decorator_>::print() c
   out << "edges "     << en << std::endl;
   out << "loops "     << ln << std::endl;
   out << "faces "     << fn << std::endl;
-  if (verbose) 
+  if (verbose)
     out << "/* index { isolated ? face : edge, mark, point } */" << std::endl;
   SVertex_iterator vit;
   CGAL_forall_svertices(vit,*this) print_vertex(vit);
-  if (verbose) 
-    out << "/* index { twin, prev, next, source, face, mark, circle } */" 
-	<< std::endl;
+  if (verbose)
+    out << "/* index { twin, prev, next, source, face, mark, circle } */"
+        << std::endl;
   SHalfedge_iterator eit;
   CGAL_forall_shalfedges(eit,*this) print_edge(eit);
-  if (verbose) 
+  if (verbose)
     out << "/* index { twin, face, mark, circle } */" << std::endl;
-  if ( this->has_shalfloop() ) 
+  if ( this->has_shalfloop() )
     { print_loop(this->shalfloop()); print_loop(this->shalfloop()->twin()); }
-  if (verbose) 
+  if (verbose)
     out << "/* index { fclist, ivlist, loop, mark } */" << std::endl;
   SFace_iterator fit;
   CGAL_forall_sfaces(fit,*this) print_face(fit);
@@ -355,11 +355,11 @@ void SM_io_parser<Decorator_>::print() c
 }
 
 template <typename Decorator_>
-void SM_io_parser<Decorator_>::read() 
+void SM_io_parser<Decorator_>::read()
 {
-  if ( !check_sep("Sphere_map_2") )  
+  if ( !check_sep("Sphere_map_2") )
     CGAL_error_msg("SM_io_parser::read: no embedded_PM header.");
-  if ( !(check_sep("vertices") && (in >> vn)) ) 
+  if ( !(check_sep("vertices") && (in >> vn)) )
     CGAL_error_msg("SM_io_parser::read: wrong vertex line.");
   if ( !(check_sep("edges") && (in >> en) && (en%2==0)) )
     CGAL_error_msg("SM_io_parser::read: wrong edge line.");
@@ -372,13 +372,13 @@ void SM_io_parser<Decorator_>::read()
   Edge_of.resize(en);
   SFace_of.resize(fn);
   for(i=0; i<vn; i++)  SVertex_of[i] =   this->new_svertex();
-  for(i=0; i<en; i++) 
+  for(i=0; i<en; i++)
     if (i%2==0) Edge_of[i] = this->new_shalfedge_pair();
     else Edge_of[i] = Edge_of[i-1]->twin();
   for(i=0; i<fn; i++)  SFace_of[i] =     this->new_sface();
-  if ( ln == 2 ) { 
-    Loop_of[0] = this->new_shalfloop_pair(); 
-    Loop_of[1] = this->shalfloop()->twin(); 
+  if ( ln == 2 ) {
+    Loop_of[0] = this->new_shalfloop_pair();
+    Loop_of[1] = this->shalfloop()->twin();
   }
 
   for(i=0; i<vn; i++) {
@@ -406,13 +406,13 @@ void SM_io_parser<Decorator_>::read()
 
 template <typename Decorator_>
 void SM_io_parser<Decorator_>::debug_vertex(SVertex_handle v) const
-{ 
-  out << index(v) << "[" << v->mark() << "," << v->point() << "]" << std::endl; 
+{
+  out << index(v) << "[" << v->mark() << "," << v->point() << "]" << std::endl;
 }
 
 template <typename Decorator_>
 void SM_io_parser<Decorator_>::debug_edge(SHalfedge_handle e) const
-{ 
+{
   out << index(e)
       << "(" << index(e->source()) << "," << index(e->target()) << ") "
       << index(e->twin()) << " " << index(e->incident_sface())
@@ -421,7 +421,7 @@ void SM_io_parser<Decorator_>::debug_edg
 
 template <typename Decorator_>
 void SM_io_parser<Decorator_>::debug_loop(SHalfloop_const_handle l) const
-{ 
+{
   out << index(l) << " "
       << index(l->twin()) << " " << index(l->incident_sface())
       << " ["<< l->mark() << "] " << l->circle() << std::endl;
@@ -430,26 +430,26 @@ void SM_io_parser<Decorator_>::debug_loo
 
 template <typename Decorator_>
 void SM_io_parser<Decorator_>::debug() const
-{ 
+{
   out << "\nDEBUG Plane_map\n";
   out << "Vertices:  " << this->number_of_svertices() << "\n";
   out << "SHalfedges: " << this->number_of_shalfedges() << "\n";
   out << "Loop:      " << this->number_of_shalfloops() << "\n";
-  SVertex_iterator vit; 
+  SVertex_iterator vit;
   CGAL_forall_svertices(vit,*this) {
     if ( is_isolated(vit) ) continue;
     SHalfedge_around_svertex_circulator hcirc(out_edges(vit)), hend(hcirc);
     debug_vertex(vit);
     CGAL_For_all(hcirc,hend) { out << "  "; debug_edge(hcirc); }
   }
-  if ( this->has_shalfloop() ) 
+  if ( this->has_shalfloop() )
     { debug_loop(this->shalfloop()); debug_loop(this->shalfloop()->twin()); }
   out << std::endl;
 }
 
 template <typename Decorator_>
 void SM_io_parser<Decorator_>::print_faces() const
-{ 
+{
   out << "\nFACES\n";
   out << "Vertices:  " << this->number_of_svertices() << "\n";
   out << "SHalfedges: " << this->number_of_shalfedges() << "\n";
@@ -460,10 +460,10 @@ void SM_io_parser<Decorator_>::print_fac
     if ( Done[e] ) continue;
     typename Base::SHalfedge_around_sface_circulator c(e), ce = c;
     out << "face cycle\n";
-    CGAL_For_all(c,ce) 
+    CGAL_For_all(c,ce)
     { Done[c]=true; out << "  "; debug_vertex(c->source()); }
   }
-  if ( this->has_shalfloop() ) 
+  if ( this->has_shalfloop() )
     { debug_loop(this->shalfloop()); debug_loop(this->shalfloop()->twin()); }
   out << std::endl;
 }
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/SM_items.h 5.0.3-1/include/CGAL/Nef_S2/SM_items.h
--- 5.0.2-3/include/CGAL/Nef_S2/SM_items.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/SM_items.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/SM_items.h $
-// $Id: SM_items.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/SM_items.h $
+// $Id: SM_items.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel        <seel@mpi-sb.mpg.de>
 //                 Miguel Granados     <granados@mpi-sb.mpg.de>
@@ -41,7 +41,7 @@ public:
 
   template <typename Refs>
   class SVertex
-  { 
+  {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
     typedef void*  GenPtr;
     #else
@@ -51,12 +51,12 @@ public:
     typedef typename Refs::Sphere_point            Sphere_point;
     typedef typename Refs::SVertex_handle          SVertex_handle;
     typedef typename Refs::SVertex_const_handle    SVertex_const_handle;
-    typedef typename Refs::SHalfedge_handle        SHalfedge_handle;    
+    typedef typename Refs::SHalfedge_handle        SHalfedge_handle;
     typedef typename Refs::SHalfedge_const_handle  SHalfedge_const_handle;
     typedef typename Refs::SFace_handle            SFace_handle;
     typedef typename Refs::SFace_const_handle      SFace_const_handle;
 
-    Sphere_point    point_; 
+    Sphere_point    point_;
     Mark            mark_;
     SHalfedge_handle out_sedge_;
     SFace_handle     incident_sface_;
@@ -64,11 +64,11 @@ public:
     // temporary information:
 
   public:
-    SVertex() : 
+    SVertex() :
       point_(), mark_(), out_sedge_(), incident_sface_(), info_() {}
-    SVertex(const Mark& m) : 
+    SVertex(const Mark& m) :
       point_(), mark_(m), out_sedge_(), incident_sface_(), info_() {}
-    SVertex(const Sphere_point& p) : 
+    SVertex(const Sphere_point& p) :
       point_(p), mark_(), out_sedge_(), incident_sface_(), info_() {}
 
     ~SVertex() {}
@@ -99,14 +99,14 @@ public:
     SHalfedge_handle& out_sedge() { return out_sedge_; }
     SHalfedge_const_handle out_sedge() const { return out_sedge_; }
 
-    SFace_handle& incident_sface() { return incident_sface_; } 
-    SFace_const_handle incident_sface() const { return incident_sface_; } 
+    SFace_handle& incident_sface() { return incident_sface_; }
+    SFace_const_handle incident_sface() const { return incident_sface_; }
 
     bool is_isolated() const { return (out_sedge() == SHalfedge_handle()); }
 
     GenPtr& info() { return info_; }
     const GenPtr& info() const { return info_; }
-                          
+
     public:
     std::string debug() const
     { std::ostringstream os; set_pretty_mode(os);
@@ -117,13 +117,13 @@ public:
       <<'\0';
       std::string res(os.str()); return res;
     }
- 
-  }; // SVertex    
+
+  }; // SVertex
 
 
   template <typename Refs>
   class SHalfedge
-  { 
+  {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
     typedef void*  GenPtr;
     #else
@@ -133,7 +133,7 @@ public:
     typedef typename Refs::Sphere_circle    Sphere_circle;
     typedef typename Refs::SVertex_handle          SVertex_handle;
     typedef typename Refs::SVertex_const_handle    SVertex_const_handle;
-    typedef typename Refs::SHalfedge_handle        SHalfedge_handle;    
+    typedef typename Refs::SHalfedge_handle        SHalfedge_handle;
     typedef typename Refs::SHalfedge_const_handle  SHalfedge_const_handle;
     typedef typename Refs::SFace_handle            SFace_handle;
     typedef typename Refs::SFace_const_handle      SFace_const_handle;
@@ -148,7 +148,7 @@ public:
 
   public:
     SHalfedge() : circle_(), mark_(), twin_(), sprev_(), snext_(),
-		 source_(), incident_sface_(), info_() {}
+                 source_(), incident_sface_(), info_() {}
 
     ~SHalfedge() {}
 
@@ -178,7 +178,7 @@ public:
 
     bool is_twin() const { return (&*twin_ < this); }
 
-    Mark& mark() { 
+    Mark& mark() {
       return mark_;
     }
     const Mark& mark() const {
@@ -202,7 +202,7 @@ public:
 
     Sphere_circle& circle() { return circle_; }
     const Sphere_circle& circle() const { return circle_; }
-    
+
     SFace_handle& incident_sface() { return incident_sface_; }
     SFace_const_handle incident_sface() const { return incident_sface_; }
 
@@ -210,7 +210,7 @@ public:
     const GenPtr& info() const { return info_; }
 
     std::string debug() const
-    { std::ostringstream os; set_pretty_mode(os); 
+    { std::ostringstream os; set_pretty_mode(os);
       os <<"e["<<source_->debug()<<", "
          <<twin_->source_->debug()<<
       #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
@@ -222,7 +222,7 @@ public:
 
   }; // SHalfedge
 
-  template <typename Refs> 
+  template <typename Refs>
   class SHalfloop
   {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
@@ -232,7 +232,7 @@ public:
     #endif
     typedef typename Refs::Mark             Mark;
     typedef typename Refs::Sphere_circle    Sphere_circle;
-    typedef typename Refs::SHalfloop_handle        SHalfloop_handle;    
+    typedef typename Refs::SHalfloop_handle        SHalfloop_handle;
     typedef typename Refs::SHalfloop_const_handle  SHalfloop_const_handle;
     typedef typename Refs::SFace_handle            SFace_handle;
     typedef typename Refs::SFace_const_handle      SFace_const_handle;
@@ -249,7 +249,7 @@ public:
     SHalfloop() : circle_(), mark_(), twin_(), incident_sface_(), info_() {}
     ~SHalfloop() {}
     SHalfloop(const SHalfloop<Refs>& l)
-    { 
+    {
       circle_ = l.circle_;
       mark_ = l.mark_;
       twin_ = l.twin_;
@@ -257,7 +257,7 @@ public:
       info_ = 0;
     }
     SHalfloop<Refs>& operator=(const SHalfloop<Refs>& l)
-    { 
+    {
       circle_ = l.circle_;
       mark_ = l.mark_;
       twin_ = l.twin_;
@@ -268,11 +268,11 @@ public:
 
     bool is_twin() const { return (&*twin_ < this); }
 
-    Mark& mark() { 
+    Mark& mark() {
       return mark_;
     }
 
-    const Mark& mark() const { 
+    const Mark& mark() const {
       return mark_;
     }
 
@@ -289,7 +289,7 @@ public:
     const GenPtr& info() const { return info_; }
 
     std::string debug() const
-    { std::ostringstream os; set_pretty_mode(os); 
+    { std::ostringstream os; set_pretty_mode(os);
       os<<"l"<<circle_
       #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
         <<' '<<info_
@@ -302,7 +302,7 @@ public:
 
   template <typename Refs>
   class SFace
-  { 
+  {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
     typedef void*  GenPtr;
     #else
@@ -312,11 +312,11 @@ public:
     typedef typename Refs::Object_handle         Object_handle;
     typedef typename Refs::Object_list           Object_list;
     typedef typename Refs::SFace_cycle_iterator  SFace_cycle_iterator;
-    typedef typename Refs::SFace_cycle_const_iterator 
+    typedef typename Refs::SFace_cycle_const_iterator
                            SFace_cycle_const_iterator;
 
     Mark             mark_;
-    Object_list      boundary_entry_objects_; 
+    Object_list      boundary_entry_objects_;
     // SHalfedges, SHalfloops, Vertices
     GenPtr           info_;
     // temporary needed:
@@ -338,7 +338,7 @@ public:
       return *this;
     }
 
-    SFace_cycle_iterator sface_cycles_begin() 
+    SFace_cycle_iterator sface_cycles_begin()
     { return boundary_entry_objects_.begin(); }
     SFace_cycle_iterator sface_cycles_end()
     { return boundary_entry_objects_.end(); }
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/SM_iteration.h 5.0.3-1/include/CGAL/Nef_S2/SM_iteration.h
--- 5.0.2-3/include/CGAL/Nef_S2/SM_iteration.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/SM_iteration.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/SM_iteration.h $
-// $Id: SM_iteration.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/SM_iteration.h $
+// $Id: SM_iteration.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel  <seel@mpi-sb.mpg.de>
 //               : Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
@@ -23,11 +23,11 @@ for(x = (S).begin(); x != (S).end(); ++x
 
 #undef CGAL_forall_svertices
 #define CGAL_forall_svertices(x,SM)\
-for(x = (SM).svertices_begin(); x != (SM).svertices_end(); ++x) 
+for(x = (SM).svertices_begin(); x != (SM).svertices_end(); ++x)
 
 #undef CGAL_forall_shalfedges
 #define CGAL_forall_shalfedges(x,SM)\
-for(x = (SM).shalfedges_begin(); x != (SM).shalfedges_end(); ++x) 
+for(x = (SM).shalfedges_begin(); x != (SM).shalfedges_end(); ++x)
 
 #undef CGAL_forall_sedges
 #define CGAL_forall_sedges(x,SM)\
@@ -35,14 +35,14 @@ for(x = (SM).shalfedges_begin(); x != (S
 
 #undef CGAL_forall_shalfloops
 #define CGAL_forall_shalfloops(x,SM)\
-for(x = (SM).shalfloops_begin(); x != (SM).shalfloops_end(); ++x) 
+for(x = (SM).shalfloops_begin(); x != (SM).shalfloops_end(); ++x)
 
 #undef CGAL_forall_sfaces
 #define CGAL_forall_sfaces(x,SM)\
-for(x = (SM).sfaces_begin(); x != (SM).sfaces_end(); ++x) 
+for(x = (SM).sfaces_begin(); x != (SM).sfaces_end(); ++x)
 
 #undef CGAL_forall_sface_cycles_of
 #define CGAL_forall_sface_cycles_of(x,F)\
-for(x = (F)->sface_cycles_begin(); x != (F)->sface_cycles_end(); ++x) 
+for(x = (F)->sface_cycles_begin(); x != (F)->sface_cycles_end(); ++x)
 
 #endif //CGAL_SM_ITERATION_H
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/SM_list.h 5.0.3-1/include/CGAL/Nef_S2/SM_list.h
--- 5.0.2-3/include/CGAL/Nef_S2/SM_list.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/SM_list.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/SM_list.h $
-// $Id: SM_list.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/SM_list.h $
+// $Id: SM_list.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Peter Hachenberger  <hachenberger@mpi-sb.mpg.de>
 
@@ -43,7 +43,7 @@ struct move_edge_around_sface {
 
 template < class SVertex>
 class SNC_in_place_list_svertex
-    : public SVertex, 
+    : public SVertex,
       public In_place_list_base<SNC_in_place_list_svertex<SVertex> > {
 public:
     typedef SNC_in_place_list_svertex<SVertex> Self;
@@ -63,7 +63,7 @@ public:
 
 template < class SHalfedge>
 class SNC_in_place_list_shalfedge
-    : public SHalfedge, 
+    : public SHalfedge,
       public In_place_list_base<SNC_in_place_list_shalfedge<SHalfedge> > {
 public:
     typedef SNC_in_place_list_shalfedge<SHalfedge> Self;
@@ -83,7 +83,7 @@ public:
 
 template < class SFace>
 class SNC_in_place_list_sface
-    : public SFace, 
+    : public SFace,
       public In_place_list_base<SNC_in_place_list_sface<SFace> > {
 public:
     typedef SNC_in_place_list_sface<SFace> Self;
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/SM_overlayer.h 5.0.3-1/include/CGAL/Nef_S2/SM_overlayer.h
--- 5.0.2-3/include/CGAL/Nef_S2/SM_overlayer.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/SM_overlayer.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/SM_overlayer.h $
-// $Id: SM_overlayer.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/SM_overlayer.h $
+// $Id: SM_overlayer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 //                 Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
@@ -58,7 +58,7 @@ struct SMO_from_segs {
   SMO_from_segs(SM_decorator Gi, const Iterator_map& Mi) : G(Gi),M(Mi) {}
 
   Vertex_handle new_vertex(const Point& p)
-  { Vertex_handle v = G.new_svertex(p); 
+  { Vertex_handle v = G.new_svertex(p);
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
     geninfo<Halfedge_handle>::create(G.info(v));
     #else
@@ -67,12 +67,12 @@ struct SMO_from_segs {
     return v;
   }
 
-  void link_as_target_and_append(Vertex_handle v, Halfedge_handle e) 
+  void link_as_target_and_append(Vertex_handle v, Halfedge_handle e)
   { G.link_as_target_and_append(v,e); }
 
   Halfedge_handle new_halfedge_pair_at_source(Vertex_handle v)
-  { Halfedge_handle e = 
-    G.new_shalfedge_pair_at_source(v,SM_decorator::BEFORE); 
+  { Halfedge_handle e =
+    G.new_shalfedge_pair_at_source(v,SM_decorator::BEFORE);
     return e;
   }
 
@@ -92,9 +92,9 @@ struct SMO_from_segs {
   { if ( M[it] ) v->mark() = true; }
 
   void halfedge_below(Vertex_handle v, Halfedge_handle e) const
-  { 
+  {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    geninfo<Halfedge_handle>::access(G.info(v)) = e; 
+    geninfo<Halfedge_handle>::access(G.info(v)) = e;
     #else
     G.info(v)=e;
     #endif
@@ -103,24 +103,24 @@ struct SMO_from_segs {
   Halfedge_handle halfedge_below(Vertex_handle v) const
   {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    return geninfo<Halfedge_handle>::access(G.info(v)); 
+    return geninfo<Halfedge_handle>::access(G.info(v));
     #else
-    return 
+    return
       boost::any_cast<Halfedge_handle>( G.info(v) );
     #endif
   }
 
-  void assert_equal_marks(Vertex_handle v1, Vertex_handle v2) const 
-  { 
+  void assert_equal_marks(Vertex_handle v1, Vertex_handle v2) const
+  {
     CGAL_USE(v1);
     CGAL_USE(v2);
     CGAL_assertion(v1->mark()==v2->mark());
   }
 
-  void discard_info(Vertex_handle v) const 
-  { 
+  void discard_info(Vertex_handle v) const
+  {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    geninfo<Halfedge_handle>::clear(G.info(v)); 
+    geninfo<Halfedge_handle>::clear(G.info(v));
     #else
     G.info(v)=boost::any();
     #endif
@@ -143,7 +143,7 @@ struct SMO_from_segs {
     #else
     G.info(v)=boost::any();
     #endif
-      
+
   }
 
 
@@ -160,9 +160,9 @@ struct SMO_from_sm {
 
   SM_overlayer G;
   CGAL::Unique_hash_map<IT,INFO>& M;
-  SMO_from_sm(SM_overlayer Gi, 
-              SM_const_decorator* /* pGIi */, 
-              CGAL::Unique_hash_map<IT,INFO>& Mi) : 
+  SMO_from_sm(SM_overlayer Gi,
+              SM_const_decorator* /* pGIi */,
+              CGAL::Unique_hash_map<IT,INFO>& Mi) :
     G(Gi), M(Mi) {}
 
 Vertex_handle new_vertex(const Point& p)
@@ -173,24 +173,24 @@ Vertex_handle new_vertex(const Point& p)
 }
 
 void link_as_target_and_append(Vertex_handle v, Halfedge_handle e)
-  { CGAL_NEF_TRACEN(" link as target and append " 
-		    << e->source()->point() << "->"
-		    << v->point());
-		    G.link_as_target_and_append(v,e); }
+  { CGAL_NEF_TRACEN(" link as target and append "
+                    << e->source()->point() << "->"
+                    << v->point());
+                    G.link_as_target_and_append(v,e); }
 
 Halfedge_handle new_halfedge_pair_at_source(Vertex_handle v)
 { CGAL_NEF_TRACEN(" new halfedge pair at source " << v->point());
-  Halfedge_handle e = 
-  G.new_shalfedge_pair_at_source(v,SM_overlayer::BEFORE); 
+  Halfedge_handle e =
+  G.new_shalfedge_pair_at_source(v,SM_overlayer::BEFORE);
   G.assoc_info(e);
   return e;
 }
 
 void halfedge_below(Vertex_handle v, Halfedge_handle e) const
-{ 
+{
   CGAL_NEF_TRACEN("   edge below " << v->point() << ":");
   CGAL_NEF_TRACEN(&*e);
-  G.halfedge_below(v) = e; 
+  G.halfedge_below(v) = e;
 }
 
 void supporting_segment(Halfedge_handle e, IT it) const
@@ -221,8 +221,8 @@ void trivial_segment(Vertex_handle v, IT
     G.supp_object(v,si._from) = si._o;
   } else
     CGAL_error_msg( "wrong handle");
-  
-  CGAL_NEF_TRACEN("trivial_segment " << si._from << ":" << v->point()); 
+
+  CGAL_NEF_TRACEN("trivial_segment " << si._from << ":" << v->point());
   //  debug();
 }
 
@@ -235,13 +235,13 @@ void starting_segment(Vertex_handle v, I
     if(se->source()->point() != v->point()) {
       se = se->twin();
       if(se->source()->point() != v->point()) {
-	G.supp_object(v,si._from) = si._o;
-	return;
+        G.supp_object(v,si._from) = si._o;
+        return;
       }
     }
     G.supp_object(v,si._from) = make_object(se->source());
-    CGAL_NEF_TRACEN("starting_segment " << si._from << ":"<< 
-		    v->point() << " " << se->source()->point()); 
+    CGAL_NEF_TRACEN("starting_segment " << si._from << ":"<<
+                    v->point() << " " << se->source()->point());
   } else if(CGAL::assign(sl, si._o)) {
     G.supp_object(v,si._from) = si._o;
   } else
@@ -258,15 +258,15 @@ void ending_segment(Vertex_handle v, IT
     if(se->source()->point() != v->point()) {
       se = se->twin();
       if(se->source()->point() != v->point()) {
-	G.supp_object(v,si._from) = si._o;
-	return;
+        G.supp_object(v,si._from) = si._o;
+        return;
       }
     }
     G.supp_object(v,si._from) = make_object(se->source());
-    CGAL_NEF_TRACEN("ending_segment " << si._from << ":"<< 
-		    v->point() << ":" << 
-		    se->source()->point() << "->" << 
-		    se->twin()->source()->point()); 
+    CGAL_NEF_TRACEN("ending_segment " << si._from << ":"<<
+                    v->point() << ":" <<
+                    se->source()->point() << "->" <<
+                    se->twin()->source()->point());
   } else if(CGAL::assign(sl, si._o)) {
     G.supp_object(v,si._from) = si._o;
   } else
@@ -277,34 +277,34 @@ void ending_segment(Vertex_handle v, IT
 void passing_segment(Vertex_handle v, IT it) const
 { INFO& si = M[it];
   if ( si._from == -1 ) return;
-  G.supp_object(v,si._from) = si._o; 
-  CGAL_NEF_TRACEN("passing_segment " << si._from << ":"<< v->point()); 
+  G.supp_object(v,si._from) = si._o;
+  CGAL_NEF_TRACEN("passing_segment " << si._from << ":"<< v->point());
   //  debug();
 }
 
 Halfedge_handle halfedge_below(Vertex_handle v) const
 { return G.halfedge_below(v); }
 
-void assert_equal_marks(Vertex_handle v1, Vertex_handle v2) const 
+void assert_equal_marks(Vertex_handle v1, Vertex_handle v2) const
 {
   CGAL_USE(v1);
   CGAL_USE(v2);
   CGAL_NEF_TRACEV(G.mark(v1,0));CGAL_NEF_TRACEV(G.mark(v1,1));
   CGAL_NEF_TRACEV(G.mark(v2,0));CGAL_NEF_TRACEV(G.mark(v2,1));
   CGAL_assertion(G.mark(v1,0)==G.mark(v2,0)&&
-		 G.mark(v1,1)==G.mark(v2,1)); }
-void discard_info(Vertex_handle v) const 
+                 G.mark(v1,1)==G.mark(v2,1)); }
+void discard_info(Vertex_handle v) const
 { G.discard_info(v); }
 
 void assert_equal_marks(Halfedge_handle e1, Halfedge_handle e2) const
-{ 
+{
   CGAL_USE(e1);
   CGAL_USE(e2);
-  CGAL_assertion(G.mark(e1,0)==G.mark(e2,0) && 
-		 G.mark(e1,1)==G.mark(e2,1)); 
+  CGAL_assertion(G.mark(e1,0)==G.mark(e2,0) &&
+                 G.mark(e1,1)==G.mark(e2,1));
 }
 
-void discard_info(Halfedge_handle e) const 
+void discard_info(Halfedge_handle e) const
 { G.discard_info(e); }
 
 void debug() const {
@@ -330,7 +330,7 @@ void debug() const {
 }; // SMO_from_sm
 
 template <typename SM_decorator, typename ITERATOR>
-class SMO_decorator { 
+class SMO_decorator {
 public:
   typedef SM_decorator Graph;
   typedef typename SM_decorator::SVertex_handle  SVertex_handle;
@@ -430,7 +430,7 @@ public:
   typedef CGAL::SM_const_decorator<Map>               SM_const_decorator;
   typedef CGAL::SM_point_locator<SM_const_decorator>  SM_point_locator;
 
-  //  typedef typename SM_const_decorator::Constructor_parameter 
+  //  typedef typename SM_const_decorator::Constructor_parameter
   //                                       Constructor_const_parameter;
   typedef typename SM_const_decorator::SVertex_const_handle SVertex_const_handle;
   typedef typename SM_const_decorator::SHalfedge_const_handle SHalfedge_const_handle;
@@ -450,11 +450,11 @@ public:
   typedef typename Base::SFace_iterator SFace_iterator;
   typedef typename Base::Object_handle Object_handle;
 
-  typedef typename Base::SHalfedge_around_svertex_circulator 
+  typedef typename Base::SHalfedge_around_svertex_circulator
                          SHalfedge_around_svertex_circulator;
-  typedef typename Base::SHalfedge_around_sface_circulator 
+  typedef typename Base::SHalfedge_around_sface_circulator
                          SHalfedge_around_sface_circulator;
-  typedef typename Base::SFace_cycle_iterator 
+  typedef typename Base::SFace_cycle_iterator
                          SFace_cycle_iterator;
 
   typedef std::pair<SHalfedge_handle,SHalfedge_handle> SHalfedge_pair;
@@ -515,15 +515,15 @@ public:
     Object_handle _o; int _from;
 
     Seg_info() : _o(), _from(-1) {}
-    Seg_info(SVertex_const_handle v, int i) 
+    Seg_info(SVertex_const_handle v, int i)
     { _o=make_object(v); _from=i; }
-    Seg_info(SHalfedge_const_handle e, int i) 
+    Seg_info(SHalfedge_const_handle e, int i)
     { _o=make_object(e); _from=i; }
-    Seg_info(SHalfloop_const_handle l, int i) 
+    Seg_info(SHalfloop_const_handle l, int i)
     { _o=make_object(l); _from=i; }
-    Seg_info(const Seg_info& si) 
+    Seg_info(const Seg_info& si)
     { _o=si._o; _from=si._from; }
-    Seg_info& operator=(const Seg_info& si) 
+    Seg_info& operator=(const Seg_info& si)
     { _o=si._o; _from=si._from; return *this; }
     LEDA_MEMORY(Seg_info)
   }; // Seg_info
@@ -540,15 +540,15 @@ public:
     Mark m[2];
     Object_handle o_supp[2];
     SHalfedge_handle e_below;
-    vertex_info() 
+    vertex_info()
     { o_supp[0]=o_supp[1]=Object_handle(); }
     LEDA_MEMORY(vertex_info)
   }; // vertex_info
 
   void assoc_info(SVertex_handle v) const
-  { 
+  {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    geninfo<vertex_info>::create(info(v)); 
+    geninfo<vertex_info>::create(info(v));
     #else
     info(v)=vertex_info();
     #endif
@@ -557,7 +557,7 @@ public:
   void discard_info(SVertex_handle v) const
   {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    geninfo<vertex_info>::clear(info(v)); 
+    geninfo<vertex_info>::clear(info(v));
     #else
     info(v)=boost::any();
     #endif
@@ -566,10 +566,10 @@ public:
   vertex_info& ginfo(SVertex_handle v) const
   {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    return geninfo<vertex_info>::access(info(v)); 
+    return geninfo<vertex_info>::access(info(v));
     #else
-    return 
-      *boost::any_cast<vertex_info>(&info(v)); 
+    return
+      *boost::any_cast<vertex_info>(&info(v));
     #endif
   }
 
@@ -590,8 +590,8 @@ public:
     Object_handle o_supp[2];
     bool forw;
     edge_info()
-    { m[0]=m[1]=mf[0]=mf[1]=Mark(); 
-      o_supp[0]=o_supp[1]=Object_handle(); 
+    { m[0]=m[1]=mf[0]=mf[1]=Mark();
+      o_supp[0]=o_supp[1]=Object_handle();
       forw=false; }
     LEDA_MEMORY(edge_info)
   };
@@ -608,9 +608,9 @@ public:
   }
 
   void discard_info(SHalfedge_handle e)  const
-  { 
+  {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    geninfo<edge_info>::clear(info(e)); 
+    geninfo<edge_info>::clear(info(e));
     geninfo<edge_info>::clear(info(e->twin()));
     #else
     info(e)=boost::any();
@@ -619,11 +619,11 @@ public:
   }
 
   edge_info& ginfo(SHalfedge_handle e)  const
-  { 
+  {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    return geninfo<edge_info>::access(info(e)); 
+    return geninfo<edge_info>::access(info(e));
     #else
-    return 
+    return
       *boost::any_cast<edge_info>(&info(e));
     #endif
   }
@@ -632,8 +632,8 @@ public:
     { return ginfo(e).m[i]; }
 
   Object_handle& supp_object(SHalfedge_handle e, int i) const
-  // uedge information we store in the smaller one 
-  { if (&*e < &*(e->twin())) return ginfo(e).o_supp[i]; 
+  // uedge information we store in the smaller one
+  { if (&*e < &*(e->twin())) return ginfo(e).o_supp[i];
     else                   return ginfo(e->twin()).o_supp[i]; }
 
   Mark& incident_mark(SHalfedge_handle e, int i)  const
@@ -655,7 +655,7 @@ public:
   void assoc_info(SFace_handle f)  const
   {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    geninfo<face_info>::create(info(f)); 
+    geninfo<face_info>::create(info(f));
     #else
     info(f)=face_info();
     #endif
@@ -664,7 +664,7 @@ public:
   void discard_info(SFace_handle f)  const
   {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    geninfo<face_info>::clear(info(f)); 
+    geninfo<face_info>::clear(info(f));
     #else
     info(f)=boost::any();
     #endif
@@ -673,7 +673,7 @@ public:
   face_info& ginfo(SFace_handle f)  const
   {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    return geninfo<face_info>::access(info(f)); 
+    return geninfo<face_info>::access(info(f));
     #else
     return
       *boost::any_cast<face_info>(&info(f));
@@ -686,7 +686,7 @@ public:
   // ---------------------------------------------------------------
 
   template <typename Below_accessor>
-  SFace_handle determine_face(SHalfedge_handle e, 
+  SFace_handle determine_face(SHalfedge_handle e,
     const std::vector<SHalfedge_handle>& MinimalSHalfedge,
     const CGAL::Unique_hash_map<SHalfedge_handle,int>& SFaceCycle,
     const Below_accessor& D)
@@ -697,7 +697,7 @@ public:
     if(e_below == SHalfedge_handle())
       return SFace_handle();
     SFace_handle f = e_below->incident_sface();
-    if ( f != SFace_handle() ) return f; // has already a face 
+    if ( f != SFace_handle() ) return f; // has already a face
     // e_below also has no face
     f = determine_face(e_below, MinimalSHalfedge, SFaceCycle,D);
     if(f != SFace_handle())
@@ -705,34 +705,34 @@ public:
     return f;
   }
 
-  Sphere_segment segment(SM_const_decorator , 
+  Sphere_segment segment(SM_const_decorator ,
                          SHalfedge_const_handle e) const
   { return K.construct_segment(e->source()->point(),
-			       e->target()->point(),
-			       e->circle()); }
+                               e->target()->point(),
+                               e->circle()); }
 
-  Sphere_segment trivial_segment(SM_const_decorator , 
+  Sphere_segment trivial_segment(SM_const_decorator ,
                                  SVertex_const_handle v) const
-  { Sphere_point p = v->point(); 
+  { Sphere_point p = v->point();
     return K.construct_segment(p,p); }
 
-  Seg_pair two_segments(SM_const_decorator , 
+  Seg_pair two_segments(SM_const_decorator ,
                         SHalfedge_const_handle e) const
   // we know that e->source()==e->target()
   { return e->circle().split_at(e->source()->point()); }
 
-  Seg_pair two_segments(SM_const_decorator , 
+  Seg_pair two_segments(SM_const_decorator ,
                         SHalfloop_const_handle l) const
   { return l->circle().split_at_xy_plane(); }
 
 
   // ---------------------------------------------------------------
-  // INTERFACE INTERFACE INTERFACE INTERFACE INTERFACE INTERFACE 
+  // INTERFACE INTERFACE INTERFACE INTERFACE INTERFACE INTERFACE
   // ---------------------------------------------------------------
 
   /*{\Mcreation 6}*/
 
-  SM_overlayer(Map* M, 
+  SM_overlayer(Map* M,
     const Sphere_kernel& G = Sphere_kernel()) : Base(M), K(G) {}
   /*{\Mcreate |\Mvar| is a decorator object manipulating the map
   of |v|.}*/
@@ -741,7 +741,7 @@ public:
 
   template <typename Forward_iterator>
   void create_from_segments(
-    Forward_iterator start, Forward_iterator end); 
+    Forward_iterator start, Forward_iterator end);
   /*{\Mop produces the sphere map which is the overlay of the
   segments from the iterator range |[start,end)|.  \precond
   |Forward_iterator| has value type |Sphere_segment|.}*/
@@ -756,13 +756,13 @@ public:
   /*{\Mop produces the sphere map which consists of one loop
   and the two halfspheres incident to it.}*/
 
-  void subdivide(const Map* M0, const Map* M1, 
-		 bool with_trivial_segments = false); 
-  
+  void subdivide(const Map* M0, const Map* M1,
+                 bool with_trivial_segments = false);
+
   template <typename Association>
-  void subdivide(const Map* M0, const Map* M1, 
-		 Association& A, 
-		 bool with_trivial_segments = false);
+  void subdivide(const Map* M0, const Map* M1,
+                 Association& A,
+                 bool with_trivial_segments = false);
   /*{\Mop constructs the overlay of the sphere maps |M0| and |M1| in
   |M|, where all objects (vertices, halfedges, faces) of |M| are
   \emph{enriched} by the marks of the supporting objects of the two
@@ -771,7 +771,7 @@ public:
   type |SM_decorator| on |M0|,|M1|. Then |\Mvar.mark(v,0) = D0.v0->mark()|
   and |\Mvar.mark(v,1) = D1.f1->mark()|.}*/
 
-  template <typename Selection> 
+  template <typename Selection>
   void select(const Selection& SP) const;
   /*{\Mop sets the marks of all objects according to the selection
   predicate |SP|. |Selection| has to be a function object type with a
@@ -798,7 +798,7 @@ public:
   void subdivide_segments(Iterator start, Iterator end) const;
   template <typename Iterator, typename T>
   void partition_to_halfsphere(Iterator start, Iterator end,
-    Seg_list& L, CGAL::Unique_hash_map<Iterator,T>& M, 
+    Seg_list& L, CGAL::Unique_hash_map<Iterator,T>& M,
     Sphere_circle xycircle, Sphere_circle yzcircle, bool include_equator) const;
 
   template <typename Mark_accessor>
@@ -810,9 +810,9 @@ public:
 
   template <typename Below_accessor, typename Halfsphere_geometry>
   void create_face_objects(SHalfedge_iterator e_start, SHalfedge_iterator e_end,
-			   SVertex_iterator v_start, SVertex_iterator v_end,
-			   const Below_accessor& D, 
-			   const Halfsphere_geometry& SG);
+                           SVertex_iterator v_start, SVertex_iterator v_end,
+                           const Below_accessor& D,
+                           const Halfsphere_geometry& SG);
 
   template <typename Below_accessor>
   void complete_face_support(SVertex_iterator v_start, SVertex_iterator v_end,
@@ -841,25 +841,25 @@ create_from_segments(Forward_iterator st
   Seg_iterator it;
   CGAL_forall_iterators(it,L) From_input[it]=true;
   Seg_list L_pos,L_neg;
-  partition_to_halfsphere(L.begin(), L.end(), L_pos, From_input, 
-			  Sphere_circle(0,0,1), Sphere_circle(1,0,0), true);
-  partition_to_halfsphere(L.begin(), L.end(), L_neg, From_input, 
-			  Sphere_circle(0,0,-1), Sphere_circle(1,0,0), true);
+  partition_to_halfsphere(L.begin(), L.end(), L_pos, From_input,
+                          Sphere_circle(0,0,1), Sphere_circle(1,0,0), true);
+  partition_to_halfsphere(L.begin(), L.end(), L_neg, From_input,
+                          Sphere_circle(0,0,-1), Sphere_circle(1,0,0), true);
 
   typedef SMO_from_segs<Self,Seg_iterator> SM_output;
   typedef typename Sphere_kernel::Positive_halfsphere_geometry PH_geometry;
-  typedef CGAL::Segment_overlay_traits< 
+  typedef CGAL::Segment_overlay_traits<
             Seg_iterator, SM_output, PH_geometry>  PHS_traits;
   typedef CGAL::generic_sweep<PHS_traits> Positive_halfsphere_sweep;
 
   typedef typename Sphere_kernel::Negative_halfsphere_geometry NH_geometry;
-  typedef CGAL::Segment_overlay_traits< 
+  typedef CGAL::Segment_overlay_traits<
             Seg_iterator, SM_output, NH_geometry> NHS_traits;
   typedef CGAL::generic_sweep<NHS_traits> Negative_halfsphere_sweep;
 
   SVertex_iterator v;
   SHalfedge_iterator e;
-  SM_output O(*this,From_input); 
+  SM_output O(*this,From_input);
 
   typedef typename PHS_traits::INPUT Input_range;
   PH_geometry ph_g;
@@ -915,24 +915,24 @@ create_from_circles(Forward_iterator sta
   CGAL_forall_iterators(it,L) From_input[it]=true;
   Seg_list L_pos,L_neg;
   partition_to_halfsphere(L.begin(), L.end(), L_pos, From_input,
-			  Sphere_circle(0,0,1), Sphere_circle(1,0,0), true);
+                          Sphere_circle(0,0,1), Sphere_circle(1,0,0), true);
   partition_to_halfsphere(L.begin(), L.end(), L_neg, From_input,
-			  Sphere_circle(0,0,-1), Sphere_circle(1,0,0), true);
+                          Sphere_circle(0,0,-1), Sphere_circle(1,0,0), true);
 
   typedef SMO_from_segs<Self,Seg_iterator> SM_output;
   typedef typename Sphere_kernel::Positive_halfsphere_geometry PH_geometry;
-  typedef CGAL::Segment_overlay_traits< 
+  typedef CGAL::Segment_overlay_traits<
             Seg_iterator, SM_output, PH_geometry>  PHS_traits;
   typedef CGAL::generic_sweep<PHS_traits> Positive_halfsphere_sweep;
 
   typedef typename Sphere_kernel::Negative_halfsphere_geometry NH_geometry;
-  typedef CGAL::Segment_overlay_traits< 
+  typedef CGAL::Segment_overlay_traits<
             Seg_iterator, SM_output, NH_geometry> NHS_traits;
   typedef CGAL::generic_sweep<NHS_traits> Negative_halfsphere_sweep;
 
   SVertex_iterator v;
   SHalfedge_iterator e;
-  SM_output O(*this,From_input); 
+  SM_output O(*this,From_input);
 
   typedef typename PHS_traits::INPUT Input_range;
   PH_geometry ph_g;
@@ -978,7 +978,7 @@ check_sphere(const Seg_list& L, bool com
 
   int chsp = 0;
   CGAL_NEF_TRACEN("chsp " << chsp);
-  
+
   typename Seg_list::const_iterator it;
   CGAL_forall_iterators(it,L) {
     CGAL_NEF_TRACEN("source " << it->source());
@@ -1023,11 +1023,11 @@ check_sphere(const Seg_list& L, bool com
     CGAL_NEF_TRACEN("not short");
     CGAL_NEF_TRACEN("circle " << it->sphere_circle());
     if(it->is_long()) {
-      if((chsp&60)!=60 && 
+      if((chsp&60)!=60 &&
          it->sphere_circle().orthogonal_vector().x()!=0) chsp|=60;
-      if((chsp&51)!=51 && 
+      if((chsp&51)!=51 &&
          it->sphere_circle().orthogonal_vector().y()!=0) chsp|=51;
-      if((chsp&15)!=15 && 
+      if((chsp&15)!=15 &&
          it->sphere_circle().orthogonal_vector().z()!=0) chsp|=15;
     } else {
 
@@ -1036,15 +1036,15 @@ check_sphere(const Seg_list& L, bool com
       if(it->source().hy()==0) ++n;
       if(it->source().hz()==0) ++n;
       CGAL_assertion(n<3);
-      
+
       CGAL_NEF_TRACEN("n " << n);
       CGAL_NEF_TRACEN("number of coordinats =0:" << n);
       if(n==0) {
-        if((chsp&60)!=60 && 
+        if((chsp&60)!=60 &&
            it->sphere_circle().orthogonal_vector().x()!=0) chsp|=60;
-        if((chsp&51)!=51 && 
+        if((chsp&51)!=51 &&
            it->sphere_circle().orthogonal_vector().y()!=0) chsp|=51;
-        if((chsp&15)!=15 && 
+        if((chsp&15)!=15 &&
            it->sphere_circle().orthogonal_vector().z()!=0) chsp|=15;
       } else if(n==1) {
         if((chsp&48)!=48 && it->source().z()==0) {
@@ -1077,15 +1077,15 @@ check_sphere(const Seg_list& L, bool com
           if((chsp&48)!=48)
             if(i.z() > 0) chsp|=16;
             else if(i.z() < 0) chsp|=32;
-	} else if((chsp&51)!=51 && it->source().y()!=0) {
+        } else if((chsp&51)!=51 && it->source().y()!=0) {
           Sphere_point i = intersection(it->sphere_circle(), Sphere_circle(0,1,0));
           CGAL_NEF_TRACEN("intersection " << i);
           if(!it->has_on_after_intersection(i)) i=i.antipode();
           if((chsp&3)!=3)
             if(i.x() > 0) chsp|=1;
             else if(i.x() < 0) chsp|=2;
-	  if((chsp&48)!=48)
-	    if(i.z() > 0) chsp|=16;
+          if((chsp&48)!=48)
+            if(i.z() > 0) chsp|=16;
             else if(i.z() < 0) chsp|=32;
         } else if((chsp&15)!=15 && it->source().z()!=0) {
           Sphere_point i = intersection(it->sphere_circle(), Sphere_circle(0,0,1));
@@ -1094,10 +1094,10 @@ check_sphere(const Seg_list& L, bool com
           if((chsp&3)!=3)
             if(i.x() > 0) chsp|=1;
             else if(i.x() < 0) chsp|=2;
-	  if((chsp&12)!=12)
+          if((chsp&12)!=12)
             if(i.y() > 0) chsp|=4;
             else if(i.y() < 0) chsp|=8;
-        }          
+        }
       }
     }
   }
@@ -1111,7 +1111,7 @@ check_sphere(const Seg_list& L, bool com
   compute_halfsphere[2][0] = (chsp&16)==16;
   compute_halfsphere[2][1] = (chsp&32)==32;
 
-  if((chsp&1)==0) { 
+  if((chsp&1)==0) {
       compute_halfsphere[0][1]=true;
       return 0;
   }
@@ -1119,7 +1119,7 @@ check_sphere(const Seg_list& L, bool com
       compute_halfsphere[0][0]=true;
       return 1;
   }
-  if((chsp&4)==0) { 
+  if((chsp&4)==0) {
       compute_halfsphere[1][1]=true;
       return 2;
   }
@@ -1127,11 +1127,11 @@ check_sphere(const Seg_list& L, bool com
       compute_halfsphere[1][0]=true;
       return 3;
   }
-  if((chsp&16)==0) { 
-      compute_halfsphere[2][1]=true; 
+  if((chsp&16)==0) {
+      compute_halfsphere[2][1]=true;
       return 4;
   }
-  if((chsp&32)==0) { 
+  if((chsp&32)==0) {
       compute_halfsphere[2][0]=true;
       return 5;
   }
@@ -1144,7 +1144,7 @@ int SM_overlayer<Map>::
 check_sphere(const Seg_list& L, bool compute_halfsphere[3][2]) const {
 
   for(int i=0; i<6; i++)
-    compute_halfsphere[i/2][i%2] = false;  
+    compute_halfsphere[i/2][i%2] = false;
 
   CGAL_NEF_TRACEN("compute_halfsphere (at begin)");
   for(int i=0; i<6; ++i)
@@ -1154,22 +1154,22 @@ check_sphere(const Seg_list& L, bool com
   CGAL_forall_iterators(it,L) {
     if(!compute_halfsphere[0][0])
       if(it->source().hx()>0 || it->target().hx()>0)
-	compute_halfsphere[0][0] = true;
+        compute_halfsphere[0][0] = true;
     if(!compute_halfsphere[0][1])
       if(it->source().hx()<0 || it->target().hx()<0)
-	compute_halfsphere[0][1] = true;    
+        compute_halfsphere[0][1] = true;
     if(!compute_halfsphere[1][0])
       if(it->source().hy()>0 || it->target().hy()>0)
-	compute_halfsphere[1][0] = true;
+        compute_halfsphere[1][0] = true;
     if(!compute_halfsphere[1][1])
       if(it->source().hy()<0 || it->target().hy()<0)
-	compute_halfsphere[1][1] = true;    
+        compute_halfsphere[1][1] = true;
     if(!compute_halfsphere[2][0])
       if(it->source().hz()>0 || it->target().hz()>0)
-	compute_halfsphere[2][0] = true;
+        compute_halfsphere[2][0] = true;
     if(!compute_halfsphere[2][1])
       if(it->source().hz()<0 || it->target().hz()<0)
-	compute_halfsphere[2][1] = true;    
+        compute_halfsphere[2][1] = true;
   }
 
   CGAL_NEF_TRACEN("compute_halfsphere (after vertices)");
@@ -1179,24 +1179,24 @@ check_sphere(const Seg_list& L, bool com
 
   if(!compute_halfsphere[2][0]) {
     CGAL_forall_iterators(it,L) {
-      if((it->source().hz()==0 && it->target().hz()==0) 
-         || it->is_long()) { 
-	compute_halfsphere[2][0] = true;
-	break;
+      if((it->source().hz()==0 && it->target().hz()==0)
+         || it->is_long()) {
+        compute_halfsphere[2][0] = true;
+        break;
       }
     }
   }
-  
+
   if(!compute_halfsphere[2][0]) {
     compute_halfsphere[2][1] = true;
     return 4;
   }
-  
+
   if(!compute_halfsphere[2][1]) {
     CGAL_forall_iterators(it,L) {
-      if(it->is_long() || (it->source().hz()==0 && it->target().hz()==0)) { 
-	compute_halfsphere[2][1] = true;
-	break;
+      if(it->is_long() || (it->source().hz()==0 && it->target().hz()==0)) {
+        compute_halfsphere[2][1] = true;
+        break;
       }
     }
   }
@@ -1206,9 +1206,9 @@ check_sphere(const Seg_list& L, bool com
 
   if(!compute_halfsphere[0][0]) {
     CGAL_forall_iterators(it,L) {
-      if((it->source().hx()==0 && it->target().hx()==0) || it->is_long()) { 
-	compute_halfsphere[0][0] = true;
-	break;
+      if((it->source().hx()==0 && it->target().hx()==0) || it->is_long()) {
+        compute_halfsphere[0][0] = true;
+        break;
       }
     }
   }
@@ -1217,39 +1217,39 @@ check_sphere(const Seg_list& L, bool com
     compute_halfsphere[0][1] = true;
     return 0;
   }
-  
+
   if(!compute_halfsphere[0][1]) {
     CGAL_forall_iterators(it,L) {
-      if((it->source().hx()==0 && it->target().hx()==0) || it->is_long()) { 
-	compute_halfsphere[0][1] = true;
-	break;
+      if((it->source().hx()==0 && it->target().hx()==0) || it->is_long()) {
+        compute_halfsphere[0][1] = true;
+        break;
       }
     }
   }
 
   if(!compute_halfsphere[0][1])
     return 1;
-  
+
 
   if(!compute_halfsphere[1][0]) {
     CGAL_forall_iterators(it,L) {
-      if((it->source().hy()==0 && it->target().hy()==0) || it->is_long()) { 
-	compute_halfsphere[1][0] = true;
-	break;
+      if((it->source().hy()==0 && it->target().hy()==0) || it->is_long()) {
+        compute_halfsphere[1][0] = true;
+        break;
       }
     }
   }
-  
+
   if(!compute_halfsphere[1][0]) {
     compute_halfsphere[1][1] = true;
     return 2;
   }
-  
+
   if(!compute_halfsphere[1][1]) {
     CGAL_forall_iterators(it,L) {
-      if((it->source().hy()==0 && it->target().hy()==0) || it->is_long()) { 
-	compute_halfsphere[1][1] = true;
-	break;
+      if((it->source().hy()==0 && it->target().hy()==0) || it->is_long()) {
+        compute_halfsphere[1][1] = true;
+        break;
       }
     }
   }
@@ -1274,9 +1274,9 @@ create(const Sphere_circle& c)
 
 template <typename Map>
 void SM_overlayer<Map>::
-subdivide(const Map* M0, const Map* M1, 
-	  bool with_trivial_segments) {
-  PI[0] = SM_const_decorator(M0); 
+subdivide(const Map* M0, const Map* M1,
+          bool with_trivial_segments) {
+  PI[0] = SM_const_decorator(M0);
   PI[1] = SM_const_decorator(M1);
   bool compute_halfsphere[3][2];
   int cs=0;
@@ -1295,21 +1295,21 @@ subdivide(const Map* M0, const Map* M1,
     SHalfedge_const_iterator e;
     CGAL_forall_sedges(e,PI[i]) {
       if ( e->source() == e->target() ) {
-       if(with_trivial_segments) {	 
-	  CGAL_NEF_TRACEN("trivial segment " << e->source()->point());
+       if(with_trivial_segments) {
+          CGAL_NEF_TRACEN("trivial segment " << e->source()->point());
           v = e->source();
           L.push_back(trivial_segment(PI[i],v));
           From[--L.end()] = Seg_info(v,i);
         } else {
-	  CGAL_NEF_TRACEN("once around " << e->source()->point());
+          CGAL_NEF_TRACEN("once around " << e->source()->point());
           Seg_pair p = two_segments(PI[i],e);
           L.push_back(p.first);
           L.push_back(p.second);
           From[--L.end()] = From[--(--L.end())] = Seg_info(e,i);
         }
       } else {
-	CGAL_NEF_TRACEN("normal segment " << e->source()->point()
-			<< "->" << e->twin()->source()->point());
+        CGAL_NEF_TRACEN("normal segment " << e->source()->point()
+                        << "->" << e->twin()->source()->point());
         L.push_back(segment(PI[i],e));
         From[--L.end()] = Seg_info(e,i);
       }
@@ -1318,9 +1318,9 @@ subdivide(const Map* M0, const Map* M1,
       CGAL_NEF_TRACEN("loop ");
       SHalfloop_const_handle shl = PI[i].shalfloop();
       Seg_pair p = two_segments(PI[i],shl);
-      L.push_back(p.first); 
+      L.push_back(p.first);
       L.push_back(p.second.opposite());
-      From[--L.end()] = From[--(--L.end())] = 
+      From[--L.end()] = From[--(--L.end())] =
         Seg_info(shl,i);
     }
   }
@@ -1343,41 +1343,41 @@ subdivide(const Map* M0, const Map* M1,
   Seg_list L_pos,L_neg;
 
   switch(cs) {
-  case 1: 
-    partition_to_halfsphere(L.begin(), L.end(), L_pos, From, 
-			    Sphere_circle(1,0,0), Sphere_circle(0,0,-1),
-			    compute_halfsphere[0][1]);
+  case 1:
+    partition_to_halfsphere(L.begin(), L.end(), L_pos, From,
+                            Sphere_circle(1,0,0), Sphere_circle(0,0,-1),
+                            compute_halfsphere[0][1]);
     break;
   case 0:
-    partition_to_halfsphere(L.begin(), L.end(), L_neg, From, 
-			    Sphere_circle(-1,0,0), Sphere_circle(0,0,-1),
-			    compute_halfsphere[0][0]);
+    partition_to_halfsphere(L.begin(), L.end(), L_neg, From,
+                            Sphere_circle(-1,0,0), Sphere_circle(0,0,-1),
+                            compute_halfsphere[0][0]);
     break;
-  case 3: 
-    partition_to_halfsphere(L.begin(), L.end(), L_pos, From, 
-			    Sphere_circle(0,1,0), Sphere_circle(1,0,0),
-			    compute_halfsphere[1][1]);
+  case 3:
+    partition_to_halfsphere(L.begin(), L.end(), L_pos, From,
+                            Sphere_circle(0,1,0), Sphere_circle(1,0,0),
+                            compute_halfsphere[1][1]);
     break;
   case 2:
-    partition_to_halfsphere(L.begin(), L.end(), L_neg, From, 
-			    Sphere_circle(0,-1,0), Sphere_circle(1,0,0), 
-			    compute_halfsphere[1][0]);
+    partition_to_halfsphere(L.begin(), L.end(), L_neg, From,
+                            Sphere_circle(0,-1,0), Sphere_circle(1,0,0),
+                            compute_halfsphere[1][0]);
     break;
-  case 5: 
-    partition_to_halfsphere(L.begin(), L.end(), L_pos, From, 
-			    Sphere_circle(0,0,1), Sphere_circle(1,0,0),
-			    compute_halfsphere[2][1]);
+  case 5:
+    partition_to_halfsphere(L.begin(), L.end(), L_pos, From,
+                            Sphere_circle(0,0,1), Sphere_circle(1,0,0),
+                            compute_halfsphere[2][1]);
     break;
   case 4:
-    partition_to_halfsphere(L.begin(), L.end(), L_neg, From, 
-			    Sphere_circle(0,0,-1), Sphere_circle(1,0,0), 
-			    compute_halfsphere[2][0]);
+    partition_to_halfsphere(L.begin(), L.end(), L_neg, From,
+                            Sphere_circle(0,0,-1), Sphere_circle(1,0,0),
+                            compute_halfsphere[2][0]);
     break;
   case -1:
-    partition_to_halfsphere(L.begin(), L.end(), L_pos, From, 
-			    Sphere_circle(0,0,1), Sphere_circle(1,0,0), true);
-    partition_to_halfsphere(L.begin(), L.end(), L_neg, From, 
-			    Sphere_circle(0,0,-1), Sphere_circle(1,0,0), true);
+    partition_to_halfsphere(L.begin(), L.end(), L_pos, From,
+                            Sphere_circle(0,0,1), Sphere_circle(1,0,0), true);
+    partition_to_halfsphere(L.begin(), L.end(), L_neg, From,
+                            Sphere_circle(0,0,-1), Sphere_circle(1,0,0), true);
     break;
   default: CGAL_error_msg( "wrong value");
   }
@@ -1387,16 +1387,16 @@ subdivide(const Map* M0, const Map* M1,
 #ifdef CGAL_NEF3_TIMER_SPHERE_SWEEPS
   timer_sphere_sweeps.start();
 #endif
-  
+
   typedef SMO_from_sm<Self,Seg_iterator,Seg_info> SM_output;
   typedef typename Sphere_kernel::Positive_halfsphere_geometry PH_geometry;
   typedef typename Sphere_kernel::Negative_halfsphere_geometry NH_geometry;
-  
-  typedef CGAL::Segment_overlay_traits< 
+
+  typedef CGAL::Segment_overlay_traits<
     Seg_iterator, SM_output, PH_geometry>  PHS_traits;
   typedef CGAL::generic_sweep<PHS_traits> Positive_halfsphere_sweep;
-    
-  typedef CGAL::Segment_overlay_traits< 
+
+  typedef CGAL::Segment_overlay_traits<
     Seg_iterator, SM_output, NH_geometry> NHS_traits;
   typedef CGAL::generic_sweep<NHS_traits> Negative_halfsphere_sweep;
 
@@ -1404,12 +1404,12 @@ subdivide(const Map* M0, const Map* M1,
 
   SVertex_handle v;
   SHalfedge_handle e;
-  SM_output O(*this,PI,From); 
+  SM_output O(*this,PI,From);
 
   if(compute_halfsphere[cs][0]) {
     PH_geometry phg(cs);
     Positive_halfsphere_sweep SP(
-	Input_range(L_pos.begin(),L_pos.end()),O,phg);
+        Input_range(L_pos.begin(),L_pos.end()),O,phg);
     SP.sweep();
     v=--this->svertices_end(); e=--this->shalfedges_end();
 #ifdef CGAL_NEF3_TIMER_SPHERE_SWEEPS
@@ -1433,11 +1433,11 @@ subdivide(const Map* M0, const Map* M1,
 #endif
 
   if(compute_halfsphere[cs][0]) {
-    ++v; 
+    ++v;
     ++e;
   }
   else {
-    v = this->svertices_begin(); 
+    v = this->svertices_begin();
     e = this->shalfedges_begin();
   }
 
@@ -1446,10 +1446,10 @@ subdivide(const Map* M0, const Map* M1,
                         PH_geometry(cs));
   if(compute_halfsphere[cs][1])
     create_face_objects(e, this->shalfedges_end(), v, this->svertices_end(), O,
-			NH_geometry(cs));
+                        NH_geometry(cs));
 
   CGAL_forall_sedges(e,*this) {
-    e->circle() = Sphere_circle(e->source()->point(), e->twin()->source()->point()); 
+    e->circle() = Sphere_circle(e->source()->point(), e->twin()->source()->point());
     e->twin()->circle() = e->circle().opposite();
     CGAL_NEF_TRACEN(PH(e) << " with circle " << e->circle());
   }
@@ -1457,7 +1457,7 @@ subdivide(const Map* M0, const Map* M1,
   std::vector<Mark> mohs(4);
   SM_point_locator L0(M0);
   SM_point_locator L1(M1);
-  
+
   L0.marks_of_halfspheres(mohs, 0, cs);
   L1.marks_of_halfspheres(mohs, 2, cs);
 
@@ -1466,9 +1466,9 @@ subdivide(const Map* M0, const Map* M1,
   CGAL_NEF_TRACEN("mohs[2]=" << mohs[2]);
   CGAL_NEF_TRACEN("mohs[3]=" << mohs[3]);
 
-  CGAL_NEF_TRACEN("compute_halfsphrere\n  cs = " << cs << 
-	 "\n  [cs][0] = " << compute_halfsphere[cs][0] <<
-	 "\n  [cs][1] = " << compute_halfsphere[cs][1]);
+  CGAL_NEF_TRACEN("compute_halfsphrere\n  cs = " << cs <<
+         "\n  [cs][0] = " << compute_halfsphere[cs][0] <<
+         "\n  [cs][1] = " << compute_halfsphere[cs][1]);
   /*
   SVertex_iterator svii;
   CGAL_forall_svertices(svii, *this) {
@@ -1489,11 +1489,11 @@ subdivide(const Map* M0, const Map* M1,
   }
   */
   if(compute_halfsphere[cs][0])
-    complete_face_support(this->svertices_begin(), v, O, mohs, 0, 
-			  compute_halfsphere[cs][1]);
+    complete_face_support(this->svertices_begin(), v, O, mohs, 0,
+                          compute_halfsphere[cs][1]);
   if(compute_halfsphere[cs][1])
     complete_face_support(v, this->svertices_end(), O, mohs, 1,
-			  compute_halfsphere[cs][0]);
+                          compute_halfsphere[cs][0]);
 
   complete_sface_marks();
 
@@ -1517,9 +1517,9 @@ subdivide(const Map* M0, const Map* M1,
     merge_halfsphere_maps(this->svertices_begin(),v,O);
   else
     set_outer_face_mark(compute_halfsphere[cs][1], mohs);
-  
+
   CGAL_assertion_code(this->check_integrity_and_topological_planarity());
-  
+
   CGAL_NEF_TRACEN("subdivided");
   CGAL_assertion_code(CGAL_forall_svertices(v,*this) CGAL_NEF_TRACEN(PH(v)));
 }
@@ -1527,13 +1527,13 @@ subdivide(const Map* M0, const Map* M1,
 template <typename Map>
 template <typename Association>
 void SM_overlayer<Map>::
-subdivide(const Map* M0, const Map* M1, 
-	  Association& A, 
-	  bool with_trivial_segments)
+subdivide(const Map* M0, const Map* M1,
+          Association& A,
+          bool with_trivial_segments)
 {
-  PI[0] = SM_const_decorator(M0); 
+  PI[0] = SM_const_decorator(M0);
   PI[1] = SM_const_decorator(M1);
- 
+
   bool compute_halfsphere[3][2];
   int cs=0;
 
@@ -1552,19 +1552,19 @@ subdivide(const Map* M0, const Map* M1,
     CGAL_forall_sedges(e,PI[i]) {
       if ( e->source() == e->target() ) {
        if(with_trivial_segments) {
-	 CGAL_NEF_TRACEN("trivial segment " << e->source()->point());
+         CGAL_NEF_TRACEN("trivial segment " << e->source()->point());
           v = e->source();
           L.push_back(trivial_segment(PI[i],v));
           From[--L.end()] = Seg_info(v,i);
         } else {
-	 CGAL_NEF_TRACEN("once around " << e->source()->point());
+         CGAL_NEF_TRACEN("once around " << e->source()->point());
           Seg_pair p = two_segments(PI[i],e);
           L.push_back(p.first);
           L.push_back(p.second);
           From[--L.end()] = From[--(--L.end())] = Seg_info(e,i);
         }
       } else {
-	CGAL_NEF_TRACEN("normal segment " << e->source()->point());
+        CGAL_NEF_TRACEN("normal segment " << e->source()->point());
         L.push_back(segment(PI[i],e));
         From[--L.end()] = Seg_info(e,i);
       }
@@ -1574,9 +1574,9 @@ subdivide(const Map* M0, const Map* M1,
       CGAL_NEF_TRACEN("loop ");
       SHalfloop_const_handle shl = PI[i].shalfloop();
       Seg_pair p = two_segments(PI[i],shl);
-      L.push_back(p.first); 
+      L.push_back(p.first);
       L.push_back(p.second.opposite());
-      From[--L.end()] = From[--(--L.end())] = 
+      From[--L.end()] = From[--(--L.end())] =
         Seg_info(shl,i);
     }
   }
@@ -1600,41 +1600,41 @@ subdivide(const Map* M0, const Map* M1,
   Seg_list L_pos,L_neg;
 
   switch(cs) {
-  case 1: 
-    partition_to_halfsphere(L.begin(), L.end(), L_pos, From, 
-			    Sphere_circle(1,0,0), Sphere_circle(0,0,-1),
-			    compute_halfsphere[0][1]);
+  case 1:
+    partition_to_halfsphere(L.begin(), L.end(), L_pos, From,
+                            Sphere_circle(1,0,0), Sphere_circle(0,0,-1),
+                            compute_halfsphere[0][1]);
     break;
   case 0:
-    partition_to_halfsphere(L.begin(), L.end(), L_neg, From, 
-			    Sphere_circle(-1,0,0), Sphere_circle(0,0,-1),
-			    compute_halfsphere[0][0]);
+    partition_to_halfsphere(L.begin(), L.end(), L_neg, From,
+                            Sphere_circle(-1,0,0), Sphere_circle(0,0,-1),
+                            compute_halfsphere[0][0]);
     break;
-  case 3: 
-    partition_to_halfsphere(L.begin(), L.end(), L_pos, From, 
-			    Sphere_circle(0,1,0), Sphere_circle(1,0,0),
-			    compute_halfsphere[1][1]);
+  case 3:
+    partition_to_halfsphere(L.begin(), L.end(), L_pos, From,
+                            Sphere_circle(0,1,0), Sphere_circle(1,0,0),
+                            compute_halfsphere[1][1]);
     break;
   case 2:
-    partition_to_halfsphere(L.begin(), L.end(), L_neg, From, 
-			    Sphere_circle(0,-1,0), Sphere_circle(1,0,0), 
-			    compute_halfsphere[1][0]);
+    partition_to_halfsphere(L.begin(), L.end(), L_neg, From,
+                            Sphere_circle(0,-1,0), Sphere_circle(1,0,0),
+                            compute_halfsphere[1][0]);
     break;
-  case 5: 
-    partition_to_halfsphere(L.begin(), L.end(), L_pos, From, 
-			    Sphere_circle(0,0,1), Sphere_circle(1,0,0),
-			    compute_halfsphere[2][1]);
+  case 5:
+    partition_to_halfsphere(L.begin(), L.end(), L_pos, From,
+                            Sphere_circle(0,0,1), Sphere_circle(1,0,0),
+                            compute_halfsphere[2][1]);
     break;
   case 4:
-    partition_to_halfsphere(L.begin(), L.end(), L_neg, From, 
-			    Sphere_circle(0,0,-1), Sphere_circle(1,0,0), 
-			    compute_halfsphere[2][0]);
+    partition_to_halfsphere(L.begin(), L.end(), L_neg, From,
+                            Sphere_circle(0,0,-1), Sphere_circle(1,0,0),
+                            compute_halfsphere[2][0]);
     break;
   case -1:
-    partition_to_halfsphere(L.begin(), L.end(), L_pos, From, 
-			    Sphere_circle(0,0,1), Sphere_circle(1,0,0), true);
-    partition_to_halfsphere(L.begin(), L.end(), L_neg, From, 
-			    Sphere_circle(0,0,-1), Sphere_circle(1,0,0), true);
+    partition_to_halfsphere(L.begin(), L.end(), L_pos, From,
+                            Sphere_circle(0,0,1), Sphere_circle(1,0,0), true);
+    partition_to_halfsphere(L.begin(), L.end(), L_neg, From,
+                            Sphere_circle(0,0,-1), Sphere_circle(1,0,0), true);
     break;
   default: CGAL_error_msg( "wrong value");
   }
@@ -1644,16 +1644,16 @@ subdivide(const Map* M0, const Map* M1,
 #ifdef CGAL_NEF3_TIMER_SPHERE_SWEEPS
   timer_sphere_sweeps.start();
 #endif
-  
+
   typedef SMO_from_sm<Self,Seg_iterator,Seg_info> SM_output;
   typedef typename Sphere_kernel::Positive_halfsphere_geometry PH_geometry;
   typedef typename Sphere_kernel::Negative_halfsphere_geometry NH_geometry;
-  
-  typedef CGAL::Segment_overlay_traits< 
+
+  typedef CGAL::Segment_overlay_traits<
     Seg_iterator, SM_output, PH_geometry>  PHS_traits;
   typedef CGAL::generic_sweep<PHS_traits> Positive_halfsphere_sweep;
-    
-  typedef CGAL::Segment_overlay_traits< 
+
+  typedef CGAL::Segment_overlay_traits<
     Seg_iterator, SM_output, NH_geometry> NHS_traits;
   typedef CGAL::generic_sweep<NHS_traits> Negative_halfsphere_sweep;
 
@@ -1661,32 +1661,32 @@ subdivide(const Map* M0, const Map* M1,
 
   SVertex_handle v;
   SHalfedge_handle e;
-  SM_output O(*this,PI,From); 
+  SM_output O(*this,PI,From);
 
   if(compute_halfsphere[cs][0]) {
     PH_geometry phg(cs);
 
-    /*   
+    /*
     // the following is only needed for indexed items
     SHalfedge_const_handle se;
     SHalfloop_const_handle sl;
     for(Seg_iterator it=L_pos.begin(); it!=L_pos.end();++it) {
       CGAL_NEF_TRACEN("pos " << *it);
       if(phg.compare_xy(it->target(),it->source())<0) {
-	Object_handle o = From[it]._o;
-	if(CGAL::assign(se, o)) {
-	  if(it->sphere_circle() == se->circle())
-	    From[it] = Seg_info(se->twin(), From[it]._from);
-	} else if(CGAL::assign(sl, o)) {
-	  if(it->sphere_circle() == sl->circle())
-	    From[it] = Seg_info(sl->twin(), From[it]._from);
-	}
+        Object_handle o = From[it]._o;
+        if(CGAL::assign(se, o)) {
+          if(it->sphere_circle() == se->circle())
+            From[it] = Seg_info(se->twin(), From[it]._from);
+        } else if(CGAL::assign(sl, o)) {
+          if(it->sphere_circle() == sl->circle())
+            From[it] = Seg_info(sl->twin(), From[it]._from);
+        }
       }
     }
  */
 
     Positive_halfsphere_sweep SP(
-	Input_range(L_pos.begin(),L_pos.end()),O,phg);
+        Input_range(L_pos.begin(),L_pos.end()),O,phg);
     SP.sweep();
     v=--this->svertices_end(); e=--this->shalfedges_end();
 #ifdef CGAL_NEF3_TIMER_SPHERE_SWEEPS
@@ -1703,14 +1703,14 @@ subdivide(const Map* M0, const Map* M1,
     for(Seg_iterator it=L_neg.begin(); it!=L_neg.end();++it) {
       CGAL_NEF_TRACEN("neg " << *it);
       if(nhg.compare_xy(it->target(),it->source())<0) {
-	Object_handle o = From[it]._o;
-	if(CGAL::assign(se, o)) {
-	  if(it->sphere_circle() == se->circle())
-	    From[it] = Seg_info(se->twin(), From[it]._from);
-	} else if(CGAL::assign(sl, o)) {
-	  if(it->sphere_circle() == sl->circle())
-	  From[it] = Seg_info(sl->twin(), From[it]._from);
-	}
+        Object_handle o = From[it]._o;
+        if(CGAL::assign(se, o)) {
+          if(it->sphere_circle() == se->circle())
+            From[it] = Seg_info(se->twin(), From[it]._from);
+        } else if(CGAL::assign(sl, o)) {
+          if(it->sphere_circle() == sl->circle())
+          From[it] = Seg_info(sl->twin(), From[it]._from);
+        }
       }
     }
     */
@@ -1729,11 +1729,11 @@ subdivide(const Map* M0, const Map* M1,
 #endif
 
   if(compute_halfsphere[cs][0]) {
-    ++v; 
+    ++v;
     ++e;
   }
   else {
-    v = this->svertices_begin(); 
+    v = this->svertices_begin();
     e = this->shalfedges_begin();
   }
 
@@ -1742,10 +1742,10 @@ subdivide(const Map* M0, const Map* M1,
                         PH_geometry(cs));
   if(compute_halfsphere[cs][1])
     create_face_objects(e, this->shalfedges_end(), v, this->svertices_end(), O,
-			NH_geometry(cs));
+                        NH_geometry(cs));
 
   CGAL_forall_sedges(e,*this) {
-    e->circle() = Sphere_circle(e->source()->point(), e->twin()->source()->point()); 
+    e->circle() = Sphere_circle(e->source()->point(), e->twin()->source()->point());
     e->twin()->circle() = e->circle().opposite();
     CGAL_NEF_TRACEN(PH(e) << " with circle " << e->circle());
   }
@@ -1753,7 +1753,7 @@ subdivide(const Map* M0, const Map* M1,
   std::vector<Mark> mohs(4);
   SM_point_locator L0(M0);
   SM_point_locator L1(M1);
-  
+
   L0.marks_of_halfspheres(mohs, 0, cs);
   L1.marks_of_halfspheres(mohs, 2, cs);
 
@@ -1762,9 +1762,9 @@ subdivide(const Map* M0, const Map* M1,
   CGAL_NEF_TRACEN("mohs[2]=" << mohs[2]);
   CGAL_NEF_TRACEN("mohs[3]=" << mohs[3]);
 
-  CGAL_NEF_TRACEN("compute_halfsphrere\n  cs = " << cs << 
-	 "\n  [cs][0] = " << compute_halfsphere[cs][0] <<
-	 "\n  [cs][1] = " << compute_halfsphere[cs][1]);
+  CGAL_NEF_TRACEN("compute_halfsphrere\n  cs = " << cs <<
+         "\n  [cs][0] = " << compute_halfsphere[cs][0] <<
+         "\n  [cs][1] = " << compute_halfsphere[cs][1]);
   /*
   SVertex_iterator svii;
   CGAL_forall_svertices(svii, *this) {
@@ -1785,11 +1785,11 @@ subdivide(const Map* M0, const Map* M1,
   }
   */
   if(compute_halfsphere[cs][0])
-    complete_face_support(this->svertices_begin(), v, O, mohs, 0, 
-			  compute_halfsphere[cs][1]);
+    complete_face_support(this->svertices_begin(), v, O, mohs, 0,
+                          compute_halfsphere[cs][1]);
   if(compute_halfsphere[cs][1])
     complete_face_support(v, this->svertices_end(), O, mohs, 1,
-			  compute_halfsphere[cs][0]);
+                          compute_halfsphere[cs][0]);
 
   complete_sface_marks();
 
@@ -1817,9 +1817,9 @@ subdivide(const Map* M0, const Map* M1,
     merge_halfsphere_maps(this->svertices_begin(),v,O);
   else
     set_outer_face_mark(compute_halfsphere[cs][1], mohs);
-  
+
   CGAL_assertion_code(this->check_integrity_and_topological_planarity());
-  
+
   CGAL_NEF_TRACEN("subdivided");
   CGAL_assertion_code(CGAL_forall_svertices(v,*this) CGAL_NEF_TRACEN(PH(v)));
 }
@@ -1840,74 +1840,74 @@ transfer_data(Association& A) {
     Object_handle o0 = supp_object(sv,0), o1 = supp_object(sv,1);
     if(o0.empty()) {
       if(CGAL::assign(sv1, o1))
-	A.handle_support(sv, sv1);
+        A.handle_support(sv, sv1);
       else
-	continue;
+        continue;
     } else if(CGAL::assign(se0, o0)) {
-      if(o1.empty()) 
-	continue;
+      if(o1.empty())
+        continue;
       else if(assign(se1, o1))
-	A.handle_support(sv, se0, se1);
+        A.handle_support(sv, se0, se1);
       else if(CGAL::assign(sv1, o1))
-	A.handle_support(sv, se0, sv1);
+        A.handle_support(sv, se0, sv1);
       else if(CGAL::assign(sl1, o1))
-	A.handle_support(sv, se0, sl1);
+        A.handle_support(sv, se0, sl1);
       else
-	CGAL_error_msg( "wrong handle");
+        CGAL_error_msg( "wrong handle");
     } else if(CGAL::assign(sv0, o0)) {
       if(o1.empty())
-	A.handle_support(sv, sv0);
+        A.handle_support(sv, sv0);
       else if(CGAL::assign(se1, o1))
-	A.handle_support(sv, sv0, se1);
+        A.handle_support(sv, sv0, se1);
       else if(CGAL::assign(sv1, o1))
-	A.handle_support(sv, sv0, sv1);
+        A.handle_support(sv, sv0, sv1);
       else if(CGAL::assign(sl1, o1))
-	A.handle_support(sv, sv0, sl1);
+        A.handle_support(sv, sv0, sl1);
       else
-	CGAL_error_msg( "wrong handle");
+        CGAL_error_msg( "wrong handle");
     } else if(CGAL::assign(sl0, o0)) {
       if(o1.empty())
-	continue;
+        continue;
       else if(CGAL::assign(sv1, o1))
-	A.handle_support(sv, sl0, sv1);
+        A.handle_support(sv, sl0, sv1);
       else if(CGAL::assign(se1, o1))
-	A.handle_support(sv, sl0, se1);
+        A.handle_support(sv, sl0, se1);
       else if(CGAL::assign(sl1, o1))
-	A.handle_support(sv, sl0, sl1);
-    } else 
+        A.handle_support(sv, sl0, sl1);
+    } else
       CGAL_error_msg( "wrong handle");
   }
 
   CGAL_forall_sedges(se, *this) {
     CGAL_assertion(is_forward(se));
-    Object_handle o0 = supp_object(se,0), o1 = supp_object(se,1);   
+    Object_handle o0 = supp_object(se,0), o1 = supp_object(se,1);
     if(o0.empty()) {
       if(assign(se1, o1))
-	A.handle_support(se, se1);
+        A.handle_support(se, se1);
       else if(assign(sl1, o1))
-	A.handle_support(se, sl1);
+        A.handle_support(se, sl1);
       else
-	continue; // CGAL_error_msg( "wrong handle");
+        continue; // CGAL_error_msg( "wrong handle");
     } else if(assign(se0, o0)) {
       if(o1.empty())
-	A.handle_support(se, se0);
+        A.handle_support(se, se0);
       else if(assign(se1, o1))
-	A.handle_support(se, se0, se1);
+        A.handle_support(se, se0, se1);
       else if(assign(sl1, o1))
-	A.handle_support(se, se0, sl1);
+        A.handle_support(se, se0, sl1);
       else
-	CGAL_error_msg( "wrong handle");    
+        CGAL_error_msg( "wrong handle");
     } else if(assign(sl0, o0)) {
       if(o1.empty())
-	A.handle_support(se, sl0);
+        A.handle_support(se, sl0);
       else if(assign(se1, o1))
-	A.handle_support(se, sl0, se1);
+        A.handle_support(se, sl0, se1);
       else if(assign(sl1, o1))
-	A.handle_support(se, sl0, sl1);
+        A.handle_support(se, sl0, sl1);
       else
-	CGAL_error_msg( "wrong handle");
+        CGAL_error_msg( "wrong handle");
     } else
-      CGAL_error_msg( "wrong handle");	      
+      CGAL_error_msg( "wrong handle");
   }
 }
 
@@ -1923,9 +1923,9 @@ set_outer_face_mark(int offset, const st
   SHalfedge_iterator e;
   CGAL_forall_shalfedges(e, *this) {
     if ( e->incident_sface() != SFace_handle() ) continue;
-    link_as_face_cycle(e,sf); 
+    link_as_face_cycle(e,sf);
   }
-  
+
   SVertex_handle v;
   CGAL_forall_svertices(v, *this) {
     if(!is_isolated(v) || v->incident_sface() != SFace_handle()) continue;
@@ -1936,10 +1936,10 @@ set_outer_face_mark(int offset, const st
 template <typename Map>
 template <typename Iterator, typename T>
 void SM_overlayer<Map>::
-partition_to_halfsphere(Iterator start, Iterator beyond, Seg_list& L, 
-			CGAL::Unique_hash_map<Iterator,T>& M, 
-			Sphere_circle xycircle, Sphere_circle yzcircle, 
-			bool include_equator) const
+partition_to_halfsphere(Iterator start, Iterator beyond, Seg_list& L,
+                        CGAL::Unique_hash_map<Iterator,T>& M,
+                        Sphere_circle xycircle, Sphere_circle yzcircle,
+                        bool include_equator) const
 { CGAL_NEF_TRACEN("partition_to_halfsphere ");
 //  CGAL_assertion(pos!=0);
   Sphere_segment s1,s2;
@@ -1948,13 +1948,13 @@ partition_to_halfsphere(Iterator start,
     while ( start != beyond) {
       int i = start->intersection(xycircle,s1,s2);
       CGAL_NEF_TRACEN("segment " << start->source() << " " << start->target());
-      if (i>1) { 
-	L.push_back(s2); M[--L.end()] = M[start];    
-	CGAL_NEF_TRACEN(">1 " << s2.source() << " " << s2.target()); 
-      }
-      if (i>0) { 
-	L.push_back(s1); M[--L.end()] = M[start];    
-	CGAL_NEF_TRACEN(">0 " << s1.source() << " " << s1.target()); 
+      if (i>1) {
+        L.push_back(s2); M[--L.end()] = M[start];
+        CGAL_NEF_TRACEN(">1 " << s2.source() << " " << s2.target());
+      }
+      if (i>0) {
+        L.push_back(s1); M[--L.end()] = M[start];
+        CGAL_NEF_TRACEN(">0 " << s1.source() << " " << s1.target());
       }
       ++start;
     }
@@ -1971,39 +1971,39 @@ partition_to_halfsphere(Iterator start,
   // we still have to:
   // - split segments containing our special poles y^-, y^+
   // - split halfcircles
-  // - add four equator segments 
+  // - add four equator segments
 
   //  Sphere_circle yzcircle(1,0,0);
   typename Seg_list::iterator it, itl;
-  
+
   CGAL_forall_iterators(it,L) { CGAL_NEF_TRACEN("  "<<*it);
     if ( equal_as_sets(it->sphere_circle(),xycircle) ) {
       CGAL_NEF_TRACEN("  splitting xy seg "<<*it);
       bool added=false;
       int n1 =  it->intersection(yzcircle,s1,s2);
-      if (n1 > 1 && !s2.is_degenerate()) { 
-	M[ L.insert(it,s2) ] = M[it]; 
-	added=true; 
-	CGAL_NEF_TRACEN(">1 " << s2.source() << " " << s2.target()); 
-      }
-      if (n1 > 0 && !s1.is_degenerate()) { 
-	M[ L.insert(it,s1) ] = M[it]; 
-	added = true; 
-	CGAL_NEF_TRACEN(">1 " << s1.source() << " " << s1.target()); 
+      if (n1 > 1 && !s2.is_degenerate()) {
+        M[ L.insert(it,s2) ] = M[it];
+        added=true;
+        CGAL_NEF_TRACEN(">1 " << s2.source() << " " << s2.target());
+      }
+      if (n1 > 0 && !s1.is_degenerate()) {
+        M[ L.insert(it,s1) ] = M[it];
+        added = true;
+        CGAL_NEF_TRACEN(">1 " << s1.source() << " " << s1.target());
       }
       int n2 =  it->intersection(yzcircle.opposite(),s1,s2);
-      if (n2 > 1 && !s2.is_degenerate()) { 
-	M[ L.insert(it,s2) ] = M[it]; 
-	added=true; 
-	CGAL_NEF_TRACEN(">1 " << s2.source() << " " << s2.target()); 
-      }
-      if (n2 > 0 && !s1.is_degenerate()) { 
-	M[ L.insert(it,s1) ] = M[it]; 
-	added=true; 
-	CGAL_NEF_TRACEN(">1 " << s1.source() << " " << s1.target()); 
+      if (n2 > 1 && !s2.is_degenerate()) {
+        M[ L.insert(it,s2) ] = M[it];
+        added=true;
+        CGAL_NEF_TRACEN(">1 " << s2.source() << " " << s2.target());
+      }
+      if (n2 > 0 && !s1.is_degenerate()) {
+        M[ L.insert(it,s1) ] = M[it];
+        added=true;
+        CGAL_NEF_TRACEN(">1 " << s1.source() << " " << s1.target());
       }
       if(added) {
-	itl = it; --it; M[itl] = T(); L.erase(itl);
+        itl = it; --it; M[itl] = T(); L.erase(itl);
       }
       // at least one item was appended
     }
@@ -2016,7 +2016,7 @@ partition_to_halfsphere(Iterator start,
       it->split_halfcircle(s1,s2);
       CGAL_NEF_TRACEN("    into " << s1);
       CGAL_NEF_TRACEN("    into " << s2);
-      *it = s2; 
+      *it = s2;
       M[ L.insert(it,s1) ] = M[it];
     }
   }
@@ -2038,7 +2038,7 @@ template <typename Below_accessor, typen
 void SM_overlayer<Map>::
 create_face_objects(SHalfedge_iterator e_start, SHalfedge_iterator e_end,
   SVertex_iterator v_start, SVertex_iterator v_end,
-  const Below_accessor& D, 
+  const Below_accessor& D,
   const Halfsphere_geometry& SG)
 {
   CGAL_NEF_TRACEN("create_face_objects()");
@@ -2049,51 +2049,51 @@ create_face_objects(SHalfedge_iterator e
     CGAL_NEF_TRACEN("equator cycle "<<PH(hfc));
     CGAL_For_all(hfc,hend) SFaceCycle[hfc]=0; // outer face cycle = 0
     MinimalSHalfedge.push_back(first_out_edge(v_start)->twin());
-    int i=1; 
+    int i=1;
     for (SHalfedge_iterator e = e_start; e != e_end; ++e) {
       if ( SFaceCycle[e] >= 0 ) continue; // already assigned
       SHalfedge_around_sface_circulator hfc(e),hend(hfc);
       SHalfedge_handle e_min = e;
-      CGAL_NEF_TRACEN(""); 
+      CGAL_NEF_TRACEN("");
       CGAL_NEF_TRACEN("  face cycle numbering "<<i);
       CGAL_For_all(hfc,hend) {
-	SFaceCycle[hfc]=i; // assign face cycle number
-	if (hfc->twin()->source() == e_min->twin()->source()) {
-	  Sphere_point p1 = hfc->source()->point(), 
-	    p2 = hfc->twin()->source()->point(), 
-	    p3 = hfc->snext()->twin()->source()->point();	  
-	  if ( SG.orientation(p1,p2,p3) <= 0 )
-	    e_min = hfc;
-	} else if ( SG.compare_xy(hfc->twin()->source()->point(), e_min->twin()->source()->point()) < 0 )
-	  e_min = hfc;    
-	CGAL_NEF_TRACEN(PH(hfc));
+        SFaceCycle[hfc]=i; // assign face cycle number
+        if (hfc->twin()->source() == e_min->twin()->source()) {
+          Sphere_point p1 = hfc->source()->point(),
+            p2 = hfc->twin()->source()->point(),
+            p3 = hfc->snext()->twin()->source()->point();
+          if ( SG.orientation(p1,p2,p3) <= 0 )
+            e_min = hfc;
+        } else if ( SG.compare_xy(hfc->twin()->source()->point(), e_min->twin()->source()->point()) < 0 )
+          e_min = hfc;
+        CGAL_NEF_TRACEN(PH(hfc));
       } CGAL_NEF_TRACEN("");
       MinimalSHalfedge.push_back(e_min);
       ++i;
     }
-    
+
     for (int j=1; j<i; ++j) {
       SHalfedge_handle e = MinimalSHalfedge[j];
       CGAL_NEF_TRACEN("  face cycle "<<j<<" minimal halfedge "<<PH(e));
-      Sphere_point p1 = e->source()->point(), 
-	p2 = e->twin()->source()->point(), 
-	p3 = e->snext()->twin()->source()->point();
+      Sphere_point p1 = e->source()->point(),
+        p2 = e->twin()->source()->point(),
+        p3 = e->snext()->twin()->source()->point();
       if ( SG.orientation(p1,p2,p3) > 0 ) { // left_turn => outer face cycle
-	SFace_handle f = this->new_sface();
-	link_as_face_cycle(e,f);
-	CGAL_NEF_TRACEN("  creating new face object "<<&*f<<" bd "<<&*e);
+        SFace_handle f = this->new_sface();
+        link_as_face_cycle(e,f);
+        CGAL_NEF_TRACEN("  creating new face object "<<&*f<<" bd "<<&*e);
       }
     }
-    
+
     for (SHalfedge_iterator e = e_start; e != e_end; ++e) {
       if ( e->incident_sface() != SFace_handle() ) continue;
       if ( SFaceCycle[e] == 0 ) continue;
       CGAL_NEF_TRACEN("linking hole "<<PH(e));
       SFace_handle f = determine_face(e,MinimalSHalfedge,SFaceCycle,D);
       if(f != SFace_handle())
-	link_as_face_cycle(e,f);
+        link_as_face_cycle(e,f);
     }
-  }    
+  }
 
   for (SVertex_iterator v = v_start; v != v_end; ++v) {
     if ( !is_isolated(v) ) continue;
@@ -2111,58 +2111,58 @@ void SM_overlayer<Map>::
 complete_face_support(SVertex_iterator v_start, SVertex_iterator v_end,
   const Below_accessor& , std::vector<Mark>& mohs, int offset, bool both) const
 { CGAL_NEF_TRACEN("complete_face_support");
-  for (SVertex_iterator v = v_start; v != v_end; ++v) { 
+  for (SVertex_iterator v = v_start; v != v_end; ++v) {
     CGAL_NEF_TRACEN("VERTEX = "<<PH(v));
     Mark m_buffer[2];
     SHalfedge_handle e_below = halfedge_below(v);
-    if ( v == v_start ) {     
+    if ( v == v_start ) {
       for (int i=0; i<2; ++i){
-	m_buffer[i] = mohs[offset+2*i];
-      } 
+        m_buffer[i] = mohs[offset+2*i];
+      }
     } else if ( e_below != SHalfedge_handle() ) {
       for (int i=0; i<2; ++i) {
-	CGAL_NEF_TRACEN("edge below "<< PH(e_below) << " " << mark(e_below,i));
-	m_buffer[i] = incident_mark(e_below,i);
+        CGAL_NEF_TRACEN("edge below "<< PH(e_below) << " " << mark(e_below,i));
+        m_buffer[i] = incident_mark(e_below,i);
       }
     } else { // e_below does not exist
-      //      CGAL_assertion( v->point().hz() == 0 && 
-      //		   ( offset == 0 ? (v->point().hx() >= 0) : (v->point().hx()<=0)) );
+      //      CGAL_assertion( v->point().hz() == 0 &&
+      //                   ( offset == 0 ? (v->point().hx() >= 0) : (v->point().hx()<=0)) );
       if(!is_isolated(v)) {
-	if(!both) {
-	  for (int i=0; i<2; ++i)
-	    m_buffer[i] = mohs[offset+2*i];	
-	  CGAL_NEF_TRACEN("no edge below ");
-	} else {
-	  for (int i=0; i<2; ++i) 
-	    m_buffer[i] = incident_mark(first_out_edge(v)->sprev(),i);
-	}
+        if(!both) {
+          for (int i=0; i<2; ++i)
+            m_buffer[i] = mohs[offset+2*i];
+          CGAL_NEF_TRACEN("no edge below ");
+        } else {
+          for (int i=0; i<2; ++i)
+            m_buffer[i] = incident_mark(first_out_edge(v)->sprev(),i);
+        }
       }
     } CGAL_NEF_TRACEN(" faces right-below "<<m_buffer[0]<<" "<<m_buffer[1]);
 
     for (int i=0; i<2; ++i) {
       Object_handle o = supp_object(v,i);
-      if ( o.empty() ) { 
-	CGAL_NEF_TRACEN("no vertex support"); 
-	mark(v,i) = m_buffer[i]; continue; 
+      if ( o.empty() ) {
+        CGAL_NEF_TRACEN("no vertex support");
+        mark(v,i) = m_buffer[i]; continue;
       }
       SVertex_const_handle vs;
       SHalfedge_const_handle es;
       SHalfloop_const_handle ls;
-      if ( CGAL::assign(vs,o) ) { 
-	CGAL_NEF_TRACEN("support by svertex");
-	mark(v,i) = vs->mark(); continue; 
+      if ( CGAL::assign(vs,o) ) {
+        CGAL_NEF_TRACEN("support by svertex");
+        mark(v,i) = vs->mark(); continue;
       }
       if ( CGAL::assign(es,supp_object(v,i)) ) {
-	CGAL_NEF_TRACEN("support by sedge");
-        if ( es->source()->point() == v->point() ) 
-	  { mark(v,i) = es->source()->mark(); continue; }
-        if ( es->target()->point() == v->point() ) 
-	  { mark(v,i) = es->target()->mark(); continue; }
+        CGAL_NEF_TRACEN("support by sedge");
+        if ( es->source()->point() == v->point() )
+          { mark(v,i) = es->source()->mark(); continue; }
+        if ( es->target()->point() == v->point() )
+          { mark(v,i) = es->target()->mark(); continue; }
         mark(v,i) = es->mark(); continue;
       }
-      if ( CGAL::assign(ls,o) ) { 
-	mark(v,i) = ls->mark(); 
-	CGAL_NEF_TRACEN("loop " << ls->circle()); continue; }
+      if ( CGAL::assign(ls,o) ) {
+        mark(v,i) = ls->mark();
+        CGAL_NEF_TRACEN("loop " << ls->circle()); continue; }
       CGAL_error_msg("wrong handle");
     } CGAL_NEF_TRACEN(" vertex marks "<<mark(v,0)<<" "<<mark(v,1));
 
@@ -2173,32 +2173,32 @@ complete_face_support(SVertex_iterator v
       CGAL_NEF_TRACEN("  forward edge "<<PH(e));
       for (int i=0; i<2; ++i) {
         if ( ! supp_object(e,i).empty() ) {
-          SHalfedge_const_handle ei; 
-          if ( CGAL::assign(ei,supp_object(e,i)) ) { 
-            if (!equal_not_opposite(ei->circle(),e->circle())) 
-	      ei = ei->twin();
-            CGAL_assertion( ei->circle() == e->circle() ); 
+          SHalfedge_const_handle ei;
+          if ( CGAL::assign(ei,supp_object(e,i)) ) {
+            if (!equal_not_opposite(ei->circle(),e->circle()))
+              ei = ei->twin();
+            CGAL_assertion( ei->circle() == e->circle() );
             CGAL_NEF_TRACEN("  supporting edge "<<i<<" "<<PH(ei));
             incident_mark(e->twin(),i) =
               ei->twin()->incident_sface()->mark();
             mark(e,i) = mark(e->twin(),i) = ei->mark();
             incident_mark(e,i) = m_buffer[i] =
-              ei->incident_sface()->mark(); 
+              ei->incident_sface()->mark();
           }
           SHalfloop_const_handle li;
-          if ( CGAL::assign(li,supp_object(e,i)) ) { 
-	    if (!equal_not_opposite(li->circle(),e->circle())) 
-	      li = li->twin();
-	    CGAL_assertion( li->circle() == e->circle() ); 
-	    CGAL_NEF_TRACEN("  supporting loop "<<i<<" "<<PH(li));
-	    incident_mark(e->twin(),i) =
-	      li->twin()->incident_sface()->mark();
-	    mark(e,i) = mark(e->twin(),i) = li->mark();
-	    incident_mark(e,i) = m_buffer[i] =
-	      li->incident_sface()->mark(); 
+          if ( CGAL::assign(li,supp_object(e,i)) ) {
+            if (!equal_not_opposite(li->circle(),e->circle()))
+              li = li->twin();
+            CGAL_assertion( li->circle() == e->circle() );
+            CGAL_NEF_TRACEN("  supporting loop "<<i<<" "<<PH(li));
+            incident_mark(e->twin(),i) =
+              li->twin()->incident_sface()->mark();
+            mark(e,i) = mark(e->twin(),i) = li->mark();
+            incident_mark(e,i) = m_buffer[i] =
+              li->incident_sface()->mark();
           }
         } else { CGAL_NEF_TRACEN("  support from face below "<<i);
-	  incident_mark(e->twin(),i) = mark(e,i) = mark(e->twin(),i) =
+          incident_mark(e->twin(),i) = mark(e,i) = mark(e->twin(),i) =
           incident_mark(e,i) = m_buffer[i];
         }
       } CGAL_NEF_TRACEN("  face marks "<<m_buffer[0]<<" "<<m_buffer[1]);
@@ -2214,7 +2214,7 @@ void SM_overlayer<Map>::complete_sface_m
   for (f = this->sfaces_begin(); f != this->sfaces_end(); ++f) {
     assoc_info(f);
     SFace_cycle_iterator boundary_object(f->sface_cycles_begin());
-    if (!boundary_object.is_shalfedge() ) 
+    if (!boundary_object.is_shalfedge() )
       CGAL_error_msg("Outer face cycle should be first.");
     SHalfedge_handle e(boundary_object);
     for (int i=0; i<2; ++i) mark(f,i) = incident_mark(e,i);
@@ -2233,8 +2233,8 @@ merge_nodes(SHalfedge_handle e1, SHalfed
   SHalfedge_handle ep1 = e1->sprev(), en2 = e2->snext();
   SHalfedge_around_svertex_circulator eav(out_edges(v2)),ee(eav);
   CGAL_For_all(eav,ee) { set_source(eav,v1); }
-  link_as_prev_next_pair(e2,e1);  
-  link_as_prev_next_pair(ep1,en2); 
+  link_as_prev_next_pair(e2,e1);
+  link_as_prev_next_pair(ep1,en2);
   D.assert_equal_marks(v1,v2);
   D.discard_info(v2);
   delete_vertex_only(v2);
@@ -2248,15 +2248,15 @@ merge_halfsphere_maps(SVertex_handle v1,
 { CGAL_NEF_TRACEN("merging halfspheres "<<PH(v1)<<PH(v2));
   CGAL_assertion(v1->point()==v2->point());
   std::list<SHalfedge_pair> L_equator;
-  SHalfedge_around_sface_circulator 
+  SHalfedge_around_sface_circulator
     ep(last_out_edge(v1)), en(first_out_edge(v2)->twin());
-  do { 
+  do {
    L_equator.push_back(SHalfedge_pair(ep,en));
-   merge_nodes(ep,en,D); ++ep; --en; 
+   merge_nodes(ep,en,D); ++ep; --en;
   } while ( ep->source() != v1 );
-  
+
   typename std::list<SHalfedge_pair>::iterator it;
-  CGAL_forall_iterators(it,L_equator) { 
+  CGAL_forall_iterators(it,L_equator) {
     SHalfedge_handle e1 = it->first, e2 = it->second;
     SHalfedge_handle e1t = e1->twin(), e2t = e2->twin();
     CGAL_NEF_TRACEV(PH(e1));CGAL_NEF_TRACEV(PH(e2));
@@ -2279,11 +2279,11 @@ template <typename Map>
 template <typename Selection>
 void SM_overlayer<Map>::
 select(const Selection& SP) const
-{ 
+{
   SVertex_iterator v;
   CGAL_forall_svertices(v,*this) {
     v->mark() = SP(mark(v,0),mark(v,1));
-    discard_info(v); 
+    discard_info(v);
   }
   SHalfedge_iterator e;
   CGAL_forall_sedges(e,*this) {
@@ -2303,13 +2303,13 @@ select(const Selection& SP) const
 template <typename Map>
 void SM_overlayer<Map>::simplify()
 {
-  CGAL_NEF_TRACEN("simplifying"); 
+  CGAL_NEF_TRACEN("simplifying");
 
   typedef typename CGAL::Union_find<SFace_handle>::handle Union_find_handle;
   CGAL::Unique_hash_map< SFace_handle, Union_find_handle> Pitem(nullptr);
   CGAL::Unique_hash_map< SVertex_handle, Union_find_handle> Vitem(nullptr);
   CGAL::Union_find< SFace_handle> UF;
-  
+
   SFace_iterator f;
   CGAL_forall_sfaces(f,*this) {
      Pitem[f] = UF.make_set(f);
@@ -2325,32 +2325,32 @@ void SM_overlayer<Map>::simplify()
   }
 
   SHalfedge_iterator e, en;
-  for(e = this->shalfedges_begin(); e != this->shalfedges_end(); e = en) { 
+  for(e = this->shalfedges_begin(); e != this->shalfedges_end(); e = en) {
     en = e; ++en; if ( en==e->twin() ) ++en;
     CGAL_NEF_TRACEN("can simplify ? " << PH(e));
-    CGAL_NEF_TRACEN(e->mark() << " " << 
-		    e->incident_sface()->mark() << " " << 
-		    e->twin()->incident_sface()->mark());
-    if (( e->mark() == e->incident_sface()->mark() && 
-	  e->mark() == e->twin()->incident_sface()->mark())){
+    CGAL_NEF_TRACEN(e->mark() << " " <<
+                    e->incident_sface()->mark() << " " <<
+                    e->twin()->incident_sface()->mark());
+    if (( e->mark() == e->incident_sface()->mark() &&
+          e->mark() == e->twin()->incident_sface()->mark())){
       CGAL_NEF_TRACEN("deleting "<<PH(e));
       if ( !UF.same_set(Pitem[e->incident_sface()],
-			Pitem[e->twin()->incident_sface()]) ) {
-	
-	UF.unify_sets( Pitem[e->incident_sface()],
-		       Pitem[e->twin()->incident_sface()] );
-	CGAL_NEF_TRACEN("unioning disjoint faces");
-      }
-      
-      CGAL_NEF_TRACEN("is_closed_at_source " << is_closed_at_source(e) << 
-	     " " << is_closed_at_source(e->twin()));
-      
+                        Pitem[e->twin()->incident_sface()]) ) {
+
+        UF.unify_sets( Pitem[e->incident_sface()],
+                       Pitem[e->twin()->incident_sface()] );
+        CGAL_NEF_TRACEN("unioning disjoint faces");
+      }
+
+      CGAL_NEF_TRACEN("is_closed_at_source " << is_closed_at_source(e) <<
+             " " << is_closed_at_source(e->twin()));
+
       if ( is_closed_at_source(e) )
-	Vitem[e->source()] = Pitem[e->incident_sface()];
-      
+        Vitem[e->source()] = Pitem[e->incident_sface()];
+
       if ( is_closed_at_source(e->twin()))
-	Vitem[e->target()] = Pitem[e->incident_sface()];
-      
+        Vitem[e->target()] = Pitem[e->incident_sface()];
+
       delete_edge_pair(e);
     }
   }
@@ -2368,22 +2368,22 @@ void SM_overlayer<Map>::simplify()
   for(v = this->svertices_begin(); v != this->svertices_end(); v=vn) {
     vn=v; ++vn;
     if ( is_isolated(v) ) {
-    
+
       if(Vitem[v] != nullptr) {
-	set_face(v,*(UF.find(Vitem[v])));
-	CGAL_NEF_TRACEN("incident face of " << PH(v) << " set to " << &*(v->incident_sface()));
+        set_face(v,*(UF.find(Vitem[v])));
+        CGAL_NEF_TRACEN("incident face of " << PH(v) << " set to " << &*(v->incident_sface()));
       }
       else {
-	set_face(v, *(UF.find(Pitem[v->incident_sface()])));
-	CGAL_NEF_TRACEN("isolated svertex " << PH(v) << 
-	       " already has incident face " << &*(v->incident_sface()));
+        set_face(v, *(UF.find(Pitem[v->incident_sface()])));
+        CGAL_NEF_TRACEN("isolated svertex " << PH(v) <<
+               " already has incident face " << &*(v->incident_sface()));
       }
 
       if ( v->mark() == v->incident_sface()->mark() ) {
         CGAL_NEF_TRACEN("removing isolated vertex"<<PH(v));
-        delete_vertex_only(v);  
-      } 
-      else 
+        delete_vertex_only(v);
+      }
+      else
         store_sm_boundary_object(v,v->incident_sface()); // isolated, but should stay
     } else { // v not isolated
       SHalfedge_handle e2 = first_out_edge(v), e1 = e2->sprev();
@@ -2392,13 +2392,13 @@ void SM_overlayer<Map>::simplify()
            e1->circle() == e2->circle() ) {
         CGAL_NEF_TRACEN("collinear at "<<PH(v)<<PH(e1)<<PH(e2));
         if ( e1 == e2 ){ CGAL_NEF_TRACEN("edge_to_loop"); convert_edge_to_loop(e1);}
-        else {CGAL_NEF_TRACEN("merge_edge_pairs"); merge_edge_pairs_at_target(e1); } 
+        else {CGAL_NEF_TRACEN("merge_edge_pairs"); merge_edge_pairs_at_target(e1); }
       }
     }
   }
 
   SFace_iterator fn;
-  for (f = fn = this->sfaces_begin(); f != this->sfaces_end(); f=fn) { 
+  for (f = fn = this->sfaces_begin(); f != this->sfaces_end(); f=fn) {
     ++fn;
     Union_find_handle pit = Pitem[f];
     if ( UF.find(pit) != pit ) {
@@ -2415,12 +2415,12 @@ subdivide_segments(Iterator start, Itera
 {
 typedef SMO_decorator<SM_decorator,Iterator> SM_output;
 typedef typename Sphere_kernel::Positive_halfsphere_geometry PH_geometry;
-typedef CGAL::Segment_overlay_traits< 
+typedef CGAL::Segment_overlay_traits<
           Iterator, SM_output, PH_geometry>  PHS_traits;
 typedef CGAL::generic_sweep<PHS_traits> Positive_halfsphere_sweep;
 
 typedef typename Sphere_kernel::Negative_halfsphere_geometry NH_geometry;
-typedef CGAL::Segment_overlay_traits< 
+typedef CGAL::Segment_overlay_traits<
           Iterator, SM_output, NH_geometry> NHS_traits;
 typedef CGAL::generic_sweep<NHS_traits> Negative_halfsphere_sweep;
 
@@ -2428,13 +2428,13 @@ typedef CGAL::generic_sweep<NHS_traits>
   partition_xy( start, end, Lp , +1);
   partition_xy( start, end, Lm , -1);
   // both lists initialized with four quarter segments
-  // supporting the xy-equator thereby separating the 
-  // two halfspheres 
+  // supporting the xy-equator thereby separating the
+  // two halfspheres
   // all other segments in the range are split into their
   // connected components with respect to the xy-plane.
 
   SVertex_handle v1,v2;
-  SM_output O(*this); 
+  SM_output O(*this);
   typedef typename PHS_traits::INPUT Input_range;
   Positive_halfsphere_sweep SP(Input_range(Lp.begin(),Lp.end()),O);
   SP.sweep();
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/SM_point_locator.h 5.0.3-1/include/CGAL/Nef_S2/SM_point_locator.h
--- 5.0.2-3/include/CGAL/Nef_S2/SM_point_locator.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/SM_point_locator.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/SM_point_locator.h $
-// $Id: SM_point_locator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/SM_point_locator.h $
+// $Id: SM_point_locator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 #ifndef CGAL_SM_POINT_LOCATOR_H
@@ -32,7 +32,7 @@
 
 namespace CGAL {
 
-/*{\Moptions print_title=yes }*/ 
+/*{\Moptions print_title=yes }*/
 
 /*{\Manpage {SM_point_locator}{Decorator}
 {Naive point location in plane maps}{PL}}*/
@@ -74,25 +74,25 @@ public:
   typedef typename Sphere_kernel::Sphere_direction Sphere_direction;
   /*{\Mtypemember directions.}*/
 
-  /*{\Mtext Local types are handles, iterators and circulators of the 
-  following kind: |SVertex_const_handle|, |SVertex_const_iterator|, 
-  |SHalfedge_const_handle|, |SHalfedge_const_iterator|, 
-  |SHalfloop_const_handle|, |SHalfloop_const_iterator|, 
+  /*{\Mtext Local types are handles, iterators and circulators of the
+  following kind: |SVertex_const_handle|, |SVertex_const_iterator|,
+  |SHalfedge_const_handle|, |SHalfedge_const_iterator|,
+  |SHalfloop_const_handle|, |SHalfloop_const_iterator|,
   |SFace_const_handle|, |SFace_const_iterator|.}*/
 
   typedef CGAL::Object_handle Object_handle;
   /*{\Mtypemember a generic handle to an object of the underlying plane
   map. The kind of the object |(vertex, halfedge,face)| can be determined and
-  the object assigned by the three functions:\\ 
-  |bool assign(SVertex_const_handle& h, Object_handle o)|\\ 
-  |bool assign(SHalfedge_const_handle& h, Object_handle o)|\\ 
-  |bool assign(SFace_const_handle& h, Object_handle o)|\\ where each 
+  the object assigned by the three functions:\\
+  |bool assign(SVertex_const_handle& h, Object_handle o)|\\
+  |bool assign(SHalfedge_const_handle& h, Object_handle o)|\\
+  |bool assign(SFace_const_handle& h, Object_handle o)|\\ where each
   function returns |true| iff the assignment of |o| to |h| was valid.}*/
 
-  typedef typename Decorator_traits::SVertex_handle       SVertex_handle;   
-  typedef typename Decorator_traits::SHalfedge_handle     SHalfedge_handle;   
-  typedef typename Decorator_traits::SHalfloop_handle     SHalfloop_handle;   
-  typedef typename Decorator_traits::SFace_handle         SFace_handle;     
+  typedef typename Decorator_traits::SVertex_handle       SVertex_handle;
+  typedef typename Decorator_traits::SHalfedge_handle     SHalfedge_handle;
+  typedef typename Decorator_traits::SHalfloop_handle     SHalfloop_handle;
+  typedef typename Decorator_traits::SFace_handle         SFace_handle;
 
 
   typedef typename Decorator_traits::SVertex_iterator     SVertex_iterator;
@@ -115,8 +115,8 @@ public:
   Sphere_direction direction(SHalfedge_handle e) const
   { return Sphere_direction(e->circle()); }
 
-  SHalfedge_handle out_wedge(SVertex_handle v, const Sphere_direction& d, 
-			     bool& collinear) const
+  SHalfedge_handle out_wedge(SVertex_handle v, const Sphere_direction& d,
+                             bool& collinear) const
   /*{\Xop returns a halfedge |e| bounding a wedge in between two
   neighbored edges in the adjacency list of |v| which contains |d|.
   If |d| extends along a edge then |e| is this edge. If |d| extends
@@ -136,17 +136,17 @@ public:
     }
     CGAL_For_all(el,ee) {
       if(direction(cyclic_adj_succ(el)) == d) {
-	collinear = true;
-	CGAL_NEF_TRACEN("  equal "<<PH(cyclic_adj_succ(el)) << cyclic_adj_succ(el)->circle());
-	return cyclic_adj_succ(el);
+        collinear = true;
+        CGAL_NEF_TRACEN("  equal "<<PH(cyclic_adj_succ(el)) << cyclic_adj_succ(el)->circle());
+        return cyclic_adj_succ(el);
       }
       else {
-	CGAL_NEF_TRACEN("strictly_ordered_ccw " << direction(el) << " ? " << d << " ? " << direction(cyclic_adj_succ(el)));
-	//	if ( strictly_ordered_ccw_at(p,d_res, direction(el), d) ) {
-	if ( strictly_ordered_ccw_at(p,direction(el), d, direction(cyclic_adj_succ(el))) ) {
-	  CGAL_NEF_TRACEN("strictly_ordered_ccw " << direction(el) << " - " << d << " - " << direction(cyclic_adj_succ(el)));
-	  e_res = el; d_res = direction(e_res); break;
-	}
+        CGAL_NEF_TRACEN("strictly_ordered_ccw " << direction(el) << " ? " << d << " ? " << direction(cyclic_adj_succ(el)));
+        //        if ( strictly_ordered_ccw_at(p,d_res, direction(el), d) ) {
+        if ( strictly_ordered_ccw_at(p,direction(el), d, direction(cyclic_adj_succ(el))) ) {
+          CGAL_NEF_TRACEN("strictly_ordered_ccw " << direction(el) << " - " << d << " - " << direction(cyclic_adj_succ(el)));
+          e_res = el; d_res = direction(e_res); break;
+        }
       }
     }
     CGAL_NEF_TRACEN("  finally determined "<<PH(e_res) << e_res->circle());
@@ -165,15 +165,15 @@ public:
 
   const Mark& mark(Object_handle h) const
   /*{\Mop returns the mark associated to the object |h|.}*/
-  { SVertex_handle v; 
-    SHalfedge_handle e; 
+  { SVertex_handle v;
+    SHalfedge_handle e;
     SHalfloop_handle l;
     SFace_handle f;
     if ( CGAL::assign(v,h) ) return v->mark();
     if ( CGAL::assign(e,h) ) return e->mark();
     if ( CGAL::assign(l,h) ) return l->mark();
     CGAL_assertion_msg(CGAL::assign(f,h),
-	 "PM_point_locator::mark: Object_handle holds no object.");
+         "PM_point_locator::mark: Object_handle holds no object.");
     CGAL::assign(f,h);
     return f->mark();
   }
@@ -192,26 +192,26 @@ public:
 
     if(!skipVEL) {
       CGAL_forall_svertices(v,*this) {
-	if ( p == v->point() ) {
-	  CGAL_NEF_TRACEN( "  on point"); 
-	  return make_object(v);
-	}
+        if ( p == v->point() ) {
+          CGAL_NEF_TRACEN( "  on point");
+          return make_object(v);
+        }
       }
-      
+
       CGAL_forall_sedges(e,*this) {
-	if ( segment(e).has_on(p) || 
-	     (e->source() == e->twin()->source() && e->circle().has_on(p))) {
-	  CGAL_NEF_TRACEN( "  on segment " << segment(e));
-	  return make_object(e);
-	}
+        if ( segment(e).has_on(p) ||
+             (e->source() == e->twin()->source() && e->circle().has_on(p))) {
+          CGAL_NEF_TRACEN( "  on segment " << segment(e));
+          return make_object(e);
+        }
       }
-      
+
       if ( this->has_shalfloop() && this->shalfloop()->circle().has_on(p)) {
-	CGAL_NEF_TRACEN( "  on loop");
-	return make_object(SHalfloop_handle(this->shalfloop()));
+        CGAL_NEF_TRACEN( "  on loop");
+        return make_object(SHalfloop_handle(this->shalfloop()));
       }
     }
-    
+
 
     // now in face:
 
@@ -231,8 +231,8 @@ public:
     if ( this->has_shalfloop() ) {
       Sphere_circle c(this->shalfloop()->circle(),p); // orthogonal through p
       s = Sphere_segment(p,intersection(c,this->shalfloop()->circle()));
-      l_res = this->shalfloop()->circle().has_on_positive_side(p) ? 
-	this->shalfloop() : this->shalfloop()->twin();
+      l_res = this->shalfloop()->circle().has_on_positive_side(p) ?
+        this->shalfloop() : this->shalfloop()->twin();
       solution = is_loop_;
       CGAL_NEF_TRACEN("has loop, initial ray "<<s);
       CGAL_NEF_TRACEN(l_res->circle());
@@ -240,8 +240,8 @@ public:
       CGAL_assertion( this->number_of_svertices()!=0 );
       SVertex_iterator vi = this->svertices_begin();
       if( p == vi->point().antipode()) {
-	++vi;
-	CGAL_assertion( vi != this->svertices_end());
+        ++vi;
+        CGAL_assertion( vi != this->svertices_end());
       }
       CGAL_NEF_TRACEN("initial segment: "<<p<<","<<vi->point());
       CGAL_assertion( p != vi->point().antipode());
@@ -252,7 +252,7 @@ public:
     }
 
     // s now initialized
-    
+
     Sphere_direction dso(s.sphere_circle().opposite());
     Unique_hash_map<SHalfedge_handle,bool> visited(false);
     CGAL_forall_svertices(v,*this) {
@@ -267,14 +267,14 @@ public:
           bool dummy;
           e_res = out_wedge(v,dso,dummy);
           SHalfedge_around_svertex_circulator el(e_res),ee(el);
-          CGAL_For_all(el,ee) 
+          CGAL_For_all(el,ee)
             visited[el] = visited[el->twin()] = true;
           /* e_res is now the counterclockwise maximal halfedge out
              of v just before s */
           if ( e_res->circle().has_on_negative_side(p) )
             e_res = e_res->sprev();
             // correction to make e_res visible from p
-	  solution = is_edge_;
+          solution = is_edge_;
           CGAL_NEF_TRACEN("  determined "<<PH(e_res));
         }
       }
@@ -285,30 +285,30 @@ public:
       Sphere_segment se = segment(e);
       Sphere_point p_res;
       if(e->source() == e->twin()->source()) {
-	Sphere_point p_res = intersection(e->circle(), s.sphere_circle());
-	if(!s.has_in_relative_interior(p_res)) {
-	  p_res = p_res.antipode();
-	  if(!s.has_in_relative_interior(p_res))
-	    continue;
-	}
-        s = Sphere_segment(p,p_res,s.sphere_circle()); 
+        Sphere_point p_res = intersection(e->circle(), s.sphere_circle());
+        if(!s.has_in_relative_interior(p_res)) {
+          p_res = p_res.antipode();
+          if(!s.has_in_relative_interior(p_res))
+            continue;
+        }
+        s = Sphere_segment(p,p_res,s.sphere_circle());
         e_res = ( e->circle().has_on_positive_side(p) ? e : e->twin() );
         visited[e] = visited[e->twin()] = true;
-	solution = is_edge_;
-        CGAL_NEF_TRACEN("  determined "<<PH(e_res)<<" "<< e_res->incident_sface()->mark());	
+        solution = is_edge_;
+        CGAL_NEF_TRACEN("  determined "<<PH(e_res)<<" "<< e_res->incident_sface()->mark());
       }
       else if ( do_intersect_internally(se,s,p_res) ) {
           CGAL_NEF_TRACEN(" location via halfedge "<<se);
-        s = Sphere_segment(p,p_res,s.sphere_circle()); 
+        s = Sphere_segment(p,p_res,s.sphere_circle());
         e_res = ( e->circle().has_on_positive_side(p) ? e : e->twin() );
         visited[e] = visited[e->twin()] = true;
-	solution = is_edge_;
+        solution = is_edge_;
         CGAL_NEF_TRACEN("  determined "<<PH(e_res)<<" "<< e_res->incident_sface()->mark());
       }
     }
 
     switch ( solution ) {
-      case is_edge_: 
+      case is_edge_:
         return make_object(SFace_handle(e_res->incident_sface()));
       case is_loop_:
         return make_object(SFace_handle(l_res->incident_sface()));
@@ -322,9 +322,9 @@ public:
 
 #if 0 //THIS CODE DOES NOT SEEM TO BE USED
   template <typename Object_predicate>
-  Object_handle ray_shoot(const Sphere_point& p, 
-			  const Sphere_direction& d,
-			  const Object_predicate& M) const
+  Object_handle ray_shoot(const Sphere_point& p,
+                          const Sphere_direction& d,
+                          const Object_predicate& M) const
   /*{\Mop returns an |Object_handle o| which can be converted to a
   |SVertex_handle|, |SHalfedge_handle|, |SFace_handle|
   |h| as described above.  The object predicate |M| has to have
@@ -334,28 +334,28 @@ public:
   |p|, and |M(h)| holds on the converted object. The operation returns
   the null handle |nullptr| if the ray shoot along |s| does not hit any
   object |h| of |M| with |M(h)|.}*/
-  { 
+  {
     Sphere_circle c(d.circle());
     Sphere_segment s;
     Object_handle h = locate(p);
-    SVertex_handle v; 
-    SHalfedge_handle e; 
-    SHalfloop_handle l; 
+    SVertex_handle v;
+    SHalfedge_handle e;
+    SHalfloop_handle l;
     SFace_handle f;
     if ( ( CGAL::assign(v,h) && M(v) ) ||
          ( CGAL::assign(e,h) && M(e) ) ||
          ( CGAL::assign(l,h) && M(l) ) ||
          ( CGAL::assign(f,h) && M(f) ) ) return h;
-    h = Object_handle(); 
+    h = Object_handle();
     CGAL_NEF_TRACEN("not contained");
 #if 0
     HASEN: s am anfang circle, ab wann segment ?
-	   wo loop ?
+           wo loop ?
     bool s_init(false);
     CGAL_forall_svertices (v,*this) {
       Point pv = v->point();
       if ( !(s_init && s.has_on(pv) ||
-	    !s_init && c.has_on(pv)) ) continue;
+            !s_init && c.has_on(pv)) ) continue;
       CGAL_NEF_TRACEN("candidate "<<pv);
       if ( M(v) ) {
         h = make_object(v);     // store vertex
@@ -365,7 +365,7 @@ public:
       // now we know that v is not marked but on s
       bool collinear;
       SHalfedge_handle e = out_wedge(v,d,collinear);
-      if ( collinear ) { 
+      if ( collinear ) {
         if ( M(e) ) {
           h = make_object(e);
           s = Sphere_segment(p,pv,c);
@@ -385,15 +385,15 @@ public:
       Sphere_point p_res;
       if ( do_intersect_internally(se,s,p_res) ) {
         // internal intersection
-        CGAL_NEF_TRACEN("candidate "<<se); 
+        CGAL_NEF_TRACEN("candidate "<<se);
         e_res = e;
-        Sphere_segment s_cand = Sphere_segment(p,p_res,c);  
+        Sphere_segment s_cand = Sphere_segment(p,p_res,c);
         if ( s_cand.is_short() && e->circle().has_on_negative_side(p) ||
-	     s_cand.is_long() && e->circle().has_on_positive_side(p) ||
-	     s_cand.is_halfcircle() && 
-	       strictly_ordered_ccw_at(p.antipode(),
-				       direction(e),d,direction(e->twin())) )
-	  e_res = e->twin();
+             s_cand.is_long() && e->circle().has_on_positive_side(p) ||
+             s_cand.is_halfcircle() &&
+               strictly_ordered_ccw_at(p.antipode(),
+                                       direction(e),d,direction(e->twin())) )
+          e_res = e->twin();
         if ( M(e_res) ) {
           h = make_object(e_res); s = s_cand;
         } else if ( M(face(twin(e_res))) ) {
@@ -406,20 +406,20 @@ public:
     return h;
   }
 #endif
-  
-  Object_handle ray_shoot(const Sphere_point& p, 
-			  const Sphere_circle& c,
-			  Sphere_point& ip,
-			  bool start_inclusive = false) { 
+
+  Object_handle ray_shoot(const Sphere_point& p,
+                          const Sphere_circle& c,
+                          Sphere_point& ip,
+                          bool start_inclusive = false) {
     Sphere_segment seg(p, p.antipode(), c);
     return ray_shoot(seg, ip, start_inclusive);
   }
 
-  Object_handle ray_shoot(const Sphere_segment& d, 
-			  Sphere_point& ip,
-			  bool start_inclusive = false,
-			  bool beyond_end = true,
-			  bool end_inclusive = false) { 
+  Object_handle ray_shoot(const Sphere_segment& d,
+                          Sphere_point& ip,
+                          bool start_inclusive = false,
+                          bool beyond_end = true,
+                          bool end_inclusive = false) {
 
     // TODO: end_inclusive=true does not work properly for sedges and sloops
 
@@ -428,7 +428,7 @@ public:
     Sphere_point p(d.source());
     Sphere_segment s;
     bool s_init(false);
-    
+
     if(!beyond_end) {
       s = d;
       s_init = true;
@@ -446,15 +446,15 @@ public:
     CGAL_forall_svertices (vi,*this) {
       Sphere_point pv = vi->point();
       if ((s_init && !s.has_on(pv)) ||
-	  (!s_init && !c.has_on(pv))) continue;
+          (!s_init && !c.has_on(pv))) continue;
       CGAL_NEF_TRACEN("candidate "<<pv);
-      CGAL_NEF_TRACEN("p =?= pv: " << p << ", " << pv); 
-      if ((start_inclusive || p != pv) && 
-	  (end_inclusive || !s_init || s.target() != pv)) {
+      CGAL_NEF_TRACEN("p =?= pv: " << p << ", " << pv);
+      if ((start_inclusive || p != pv) &&
+          (end_inclusive || !s_init || s.target() != pv)) {
         h = make_object(vi);     // store vertex
         s = Sphere_segment(p,pv,c); // shorten
-	ip = pv;
-	s_init = true;
+        ip = pv;
+        s_init = true;
       }
     }
 
@@ -465,7 +465,7 @@ public:
       Sphere_segment se = segment(ei);
       CGAL_NEF_TRACEN("ray_shoot " << s_init);
       if(s_init) {
-	CGAL_NEF_TRACEN("  " << s.source() << "->" << s.target() << " | " << s.sphere_circle() << " is long " << s.is_long());
+        CGAL_NEF_TRACEN("  " << s.source() << "->" << s.target() << " | " << s.sphere_circle() << " is long " << s.is_long());
       }
       CGAL_NEF_TRACEN("  " << se.source() << "->" << se.target() << " | " << se.sphere_circle() << " is long " << se.is_long());
 
@@ -474,68 +474,68 @@ public:
       Sphere_point p_res;
       if(se.source() == se.target()) {
 
-	if(s_init) {
-	  if(s.is_long()) {
-	    Sphere_segment first_half(p,p.antipode(),c);
-	    Sphere_segment second_part(p.antipode(), s.target(), c);
-	    if(!do_intersect_internally(ei->circle(), first_half, p_res) &&
-	       !do_intersect_internally(ei->circle(), second_part, p_res)) {
-	      if(se.has_on(p.antipode())) {
-		p_res = p.antipode();
-	      } else {
-		continue;
+        if(s_init) {
+          if(s.is_long()) {
+            Sphere_segment first_half(p,p.antipode(),c);
+            Sphere_segment second_part(p.antipode(), s.target(), c);
+            if(!do_intersect_internally(ei->circle(), first_half, p_res) &&
+               !do_intersect_internally(ei->circle(), second_part, p_res)) {
+              if(se.has_on(p.antipode())) {
+                p_res = p.antipode();
+              } else {
+                continue;
               }
             }
-	  } else {
-	    if(!do_intersect_internally(ei->circle(), s, p_res)) continue;
-	  }
-	} else {
-	  Sphere_segment first_half(p,p.antipode(),c);
-	  Sphere_segment second_part(p.antipode(),p,c);
-	  if(!do_intersect_internally(ei->circle(), first_half, p_res)) {
-	    do_intersect_internally(ei->circle(), second_part, p_res);
-	  }
-	}
+          } else {
+            if(!do_intersect_internally(ei->circle(), s, p_res)) continue;
+          }
+        } else {
+          Sphere_segment first_half(p,p.antipode(),c);
+          Sphere_segment second_part(p.antipode(),p,c);
+          if(!do_intersect_internally(ei->circle(), first_half, p_res)) {
+            do_intersect_internally(ei->circle(), second_part, p_res);
+          }
+        }
 
       } else {
-	if(s_init) {	  
-	  if(s.is_long() && se.is_long()) {
-	    Sphere_segment first_half(p,p.antipode(),c);
-	    Sphere_segment second_part(p.antipode(), s.target(), c);
-	    if(!do_intersect_internally(se, first_half, p_res) &&
-	       !do_intersect_internally(se, second_part, p_res)) {
-	      if(se.has_on(p.antipode()))
-		p_res = p.antipode();
-	      else
-		continue;
-	    }	    
-	  } else {
-	    if(!do_intersect_internally(se, s, p_res)) continue;
-	  }  
-	} else {
-	  if(se.is_long()) {
-	    Sphere_segment first_half(p,p.antipode(),c);
-	    Sphere_segment second_half(p.antipode(),p,c); 
-	    if(!do_intersect_internally(se, first_half, p_res)) {
-	      if(!do_intersect_internally(se, second_half, p_res)) {
-		if(start_inclusive)
-		  p_res = p;
-		else
-		  p_res = p.antipode();
-	      }
-	    }
-	  } else {
-	    if(!do_intersect_internally(c, se, p_res)) continue;
-	  }
-	}
+        if(s_init) {
+          if(s.is_long() && se.is_long()) {
+            Sphere_segment first_half(p,p.antipode(),c);
+            Sphere_segment second_part(p.antipode(), s.target(), c);
+            if(!do_intersect_internally(se, first_half, p_res) &&
+               !do_intersect_internally(se, second_part, p_res)) {
+              if(se.has_on(p.antipode()))
+                p_res = p.antipode();
+              else
+                continue;
+            }
+          } else {
+            if(!do_intersect_internally(se, s, p_res)) continue;
+          }
+        } else {
+          if(se.is_long()) {
+            Sphere_segment first_half(p,p.antipode(),c);
+            Sphere_segment second_half(p.antipode(),p,c);
+            if(!do_intersect_internally(se, first_half, p_res)) {
+              if(!do_intersect_internally(se, second_half, p_res)) {
+                if(start_inclusive)
+                  p_res = p;
+                else
+                  p_res = p.antipode();
+              }
+            }
+          } else {
+            if(!do_intersect_internally(c, se, p_res)) continue;
+          }
+        }
       }
-      
-      CGAL_NEF_TRACEN("candidate "<<se); 
+
+      CGAL_NEF_TRACEN("candidate "<<se);
       if (start_inclusive || p != p_res) {
-	h = make_object(ei); 
-	s = Sphere_segment(p,p_res,c);
-	ip = p_res;
-	s_init = true;
+        h = make_object(ei);
+        s = Sphere_segment(p,p_res,c);
+        ip = p_res;
+        s_init = true;
       }
     }
 
@@ -544,34 +544,34 @@ public:
     if(this->has_shalfloop()) {
       Sphere_circle cl(this->shalfloop()->circle());
       if(!s_init || s.is_long()) {
-	if(cl.has_on(p)) {
-	  ip = p.antipode();
-	  return make_object(SHalfloop_handle(this->shalfloop()));
-	} else 	  
-	  s = Sphere_segment(p,p.antipode(),c);
+        if(cl.has_on(p)) {
+          ip = p.antipode();
+          return make_object(SHalfloop_handle(this->shalfloop()));
+        } else
+          s = Sphere_segment(p,p.antipode(),c);
       }
       Sphere_point p_res;
       CGAL_NEF_TRACEN("do intersect " << cl << ", " << s);
       if(!do_intersect_internally(cl,s,p_res))
-	return h;
+        return h;
       /*
       if(p_res == p.antipode()) // does this happen ? test has_on for p/p.antipode ?
-	p_res = p;
+        p_res = p;
       */
       CGAL_NEF_TRACEN("found intersection point " << p_res);
       CGAL_assertion_code(Sphere_segment testseg(p,p_res,c));
       CGAL_assertion(!testseg.is_long());
       if (start_inclusive || p != p_res) {
-	ip = p_res;
-	return make_object(SHalfloop_handle(this->shalfloop()));
+        ip = p_res;
+        return make_object(SHalfloop_handle(this->shalfloop()));
       }
     }
 
     return h;
   }
 
-  void marks_of_halfspheres(std::vector<Mark>& mohs, int offset, 
-			    int axis=2);
+  void marks_of_halfspheres(std::vector<Mark>& mohs, int offset,
+                            int axis=2);
   void marks_of_halfspheres(Mark& unten, Mark& oben, int axis=2);
 
   /*{\Mimplementation Naive query operations are realized by checking
@@ -596,20 +596,20 @@ marks_of_halfspheres(Mark& lower, Mark&
   CGAL_NEF_TRACEN("marks_of_halfspheres ");
 
   Sphere_point y_minus;
-  if(axis!=1) 
+  if(axis!=1)
     y_minus = Sphere_point(0,-1,0);
   else
     y_minus = Sphere_point(0,0,1);
   Object_handle h = locate(y_minus);
   SFace_handle f;
-  if ( CGAL::assign(f,h) ) { 
+  if ( CGAL::assign(f,h) ) {
     CGAL_NEF_TRACEN("on face " << mark(make_object(f)));
     lower = upper = mark(make_object(f));
     return;
   }
 
   SHalfedge_handle e;
-  if ( CGAL::assign(e,h) ) { 
+  if ( CGAL::assign(e,h) ) {
     CGAL_assertion(e->circle().has_on(y_minus));
     Sphere_point op(CGAL::ORIGIN+e->circle().orthogonal_vector());
     CGAL_NEF_TRACEN("on edge "<<op);
@@ -648,10 +648,10 @@ marks_of_halfspheres(Mark& lower, Mark&
     if(is_isolated(v))
       upper = lower = mark(make_object(v->incident_sface()));
     else {
-      e = out_wedge(v,left,collinear); 
+      e = out_wedge(v,left,collinear);
       if ( collinear ) upper = e->twin()->incident_sface()->mark();
       else upper = e->incident_sface()->mark();
-      e = out_wedge(v,right,collinear); 
+      e = out_wedge(v,right,collinear);
       if ( collinear ) lower = e->twin()->incident_sface()->mark();
       else lower = e->incident_sface()->mark();
     }
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/SM_triangulator.h 5.0.3-1/include/CGAL/Nef_S2/SM_triangulator.h
--- 5.0.2-3/include/CGAL/Nef_S2/SM_triangulator.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/SM_triangulator.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/SM_triangulator.h $
-// $Id: SM_triangulator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/SM_triangulator.h $
+// $Id: SM_triangulator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 
@@ -36,7 +36,7 @@
 
 #define CGAL_USING(t) typedef typename Base::t t
 #ifndef CGAL_USE_LEDA
-#define LEDA_MEMORY(t) 
+#define LEDA_MEMORY(t)
 #endif
 namespace CGAL {
 
@@ -52,7 +52,7 @@ struct SM_subdivision {
   /* M stores the object that supports the segment that
      is input object of the sweep */
 
-  SM_subdivision(Triangulator Ti, 
+  SM_subdivision(Triangulator Ti,
                  CGAL::Unique_hash_map<IT,INFO>& Mi) : T(Ti), M(Mi) {}
 
 Vertex_handle new_vertex(const Point& p)
@@ -64,26 +64,26 @@ void link_as_target_and_append(Vertex_ha
 { T.link_as_target_and_append(v,e); }
 
 Halfedge_handle new_halfedge_pair_at_source(Vertex_handle v)
-{ Halfedge_handle e = 
-  T.new_shalfedge_pair_at_source(v,Decorator_::BEFORE); 
+{ Halfedge_handle e =
+  T.new_shalfedge_pair_at_source(v,Decorator_::BEFORE);
   T.assoc_info(e);
   return e;
 }
 
-void halfedge_below(Vertex_handle v, Halfedge_handle e) const 
+void halfedge_below(Vertex_handle v, Halfedge_handle e) const
 { T.halfedge_below(v) = e; }
 
 /* the following operation associates segment support with
-   halfedges, we only update if non-nullptr; this prevents 
-   artificial sphere subdivision segments that have nullptr 
+   halfedges, we only update if non-nullptr; this prevents
+   artificial sphere subdivision segments that have nullptr
    support to overwrite non-nullptr support */
 
 void supporting_segment(Halfedge_handle e, IT it) const
-{ T.is_forward(e) = true; 
+{ T.is_forward(e) = true;
   if ( ! M[it].empty() ) T.support(e) = M[it]; }
 
 /* the following operation associate segment support with
-   vertices, we only update if non-nullptr; this prevents 
+   vertices, we only update if non-nullptr; this prevents
    artificial segments that have nullptr support to overwrite
    non-nullptr support */
 
@@ -137,9 +137,9 @@ public:
   typedef typename Base::SFace_iterator SFace_iterator;
   typedef typename Base::Object_handle Object_handle;
 
-  typedef typename Base::SHalfedge_around_svertex_circulator 
+  typedef typename Base::SHalfedge_around_svertex_circulator
                          SHalfedge_around_svertex_circulator;
-  typedef typename Base::SHalfedge_around_sface_circulator 
+  typedef typename Base::SHalfedge_around_sface_circulator
                          SHalfedge_around_sface_circulator;
 
   typedef std::pair<SHalfedge_handle,SHalfedge_handle> SHalfedge_pair;
@@ -200,9 +200,9 @@ public:
   };
 
   void assoc_info(SVertex_handle v) const
-  { 
+  {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    geninfo<vertex_info>::create(info(v)); 
+    geninfo<vertex_info>::create(info(v));
     #else
     info(v)=vertex_info();
     #endif
@@ -211,7 +211,7 @@ public:
   void discard_info(SVertex_handle v) const
   {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    geninfo<vertex_info>::clear(info(v)); 
+    geninfo<vertex_info>::clear(info(v));
     #else
     info(v)=boost::any();
     #endif
@@ -220,7 +220,7 @@ public:
   vertex_info& ginfo(SVertex_handle v) const
   {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    return geninfo<vertex_info>::access(info(v)); 
+    return geninfo<vertex_info>::access(info(v));
     #else
     return
       *boost::any_cast<vertex_info>(&info(v));
@@ -242,9 +242,9 @@ public:
   };
 
   void assoc_info(SHalfedge_handle e)  const
-  { 
+  {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    geninfo<edge_info>::create(info(e)); 
+    geninfo<edge_info>::create(info(e));
     geninfo<edge_info>::create(info(e->twin()));
     #else
     info(e)=edge_info();
@@ -255,7 +255,7 @@ public:
   void discard_info(SHalfedge_handle e)  const
   {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    geninfo<edge_info>::clear(info(e)); 
+    geninfo<edge_info>::clear(info(e));
     geninfo<edge_info>::clear(info(e->twin()));
     #else
     info(e)=boost::any();
@@ -266,7 +266,7 @@ public:
   edge_info& ginfo(SHalfedge_handle e)  const
   {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    return geninfo<edge_info>::access(info(e)); 
+    return geninfo<edge_info>::access(info(e));
     #else
     return
       *boost::any_cast<edge_info>(&info(e));
@@ -274,8 +274,8 @@ public:
   }
 
   Object_handle& support(SHalfedge_handle e) const
-  // uedge information we store in the smaller one 
-  { if (&*e < &*(e->twin())) return ginfo(e).o_; 
+  // uedge information we store in the smaller one
+  { if (&*e < &*(e->twin())) return ginfo(e).o_;
     else                   return ginfo(e->twin()).o_; }
 
   Mark& incident_mark(SHalfedge_handle e)  const
@@ -285,10 +285,10 @@ public:
   const edge_info& ginfo(SHalfedge_const_handle e)  const
   {
     #ifdef CGAL_I_DO_WANT_TO_USE_GENINFO
-    return geninfo<edge_info>::const_access(info(e)); 
+    return geninfo<edge_info>::const_access(info(e));
     #else
-    return 
-      *boost::any_cast<edge_info>(&info(e)); 
+    return
+      *boost::any_cast<edge_info>(&info(e));
     #endif
   }
   const Mark& incident_mark(SHalfedge_const_handle e)  const
@@ -298,34 +298,34 @@ public:
   // biedge information we store in the edge
   { return ginfo(e).forw_; }
 
-  void assert_equal_marks(SVertex_handle v1, SVertex_handle v2) const 
+  void assert_equal_marks(SVertex_handle v1, SVertex_handle v2) const
   { CGAL_assertion(v1->mark()==v2->mark()); CGAL_USE(v1); CGAL_USE(v2); }
 
   void assert_equal_marks(SHalfedge_handle e1, SHalfedge_handle e2) const
   { CGAL_assertion(e1->mark()==e2->mark()); CGAL_USE(e1); CGAL_USE(e2); }
 
-  Sphere_segment segment(const Explorer* , 
+  Sphere_segment segment(const Explorer* ,
                          SHalfedge_const_handle e) const
   { return Sphere_segment(
-	    e->source()->point(),e->twin()->source()->point(),e->circle()); }
+            e->source()->point(),e->twin()->source()->point(),e->circle()); }
 
-  Sphere_segment trivial_segment(const Explorer* , 
+  Sphere_segment trivial_segment(const Explorer* ,
                                  SVertex_const_handle v) const
-  { Sphere_point p = v->point(); 
+  { Sphere_point p = v->point();
     return Sphere_segment(p,p); }
 
-  Seg_pair two_segments(const Explorer* , 
+  Seg_pair two_segments(const Explorer* ,
                         SHalfedge_const_handle e) const
   // we know that source(e)==target(e)
   { return e->circle().split_at(e->source()->point()); }
 
-  Seg_pair two_segments(const Explorer* , 
+  Seg_pair two_segments(const Explorer* ,
                         SHalfloop_const_handle l) const
   { return l->circle().split_at_xy_plane(); }
 
   /*{\Mcreation 6}*/
   SM_triangulator(Sphere_map* M, const Explorer* E,
-		  const Sphere_kernel& G = Sphere_kernel()) : Base(M), E_(E), K(G) {}
+                  const Sphere_kernel& G = Sphere_kernel()) : Base(M), E_(E), K(G) {}
   /*{\Mcreate |\Mvar| is a triangulator object for the map |M|,
      stores the triangulation in |MT|.}*/
 
@@ -342,8 +342,8 @@ public:
 
   void merge_halfsphere_maps(SVertex_handle v1, SVertex_handle v2);
   void merge_nodes(SHalfedge_handle e1, SHalfedge_handle e2);
-  void complete_support(SVertex_iterator v_start, SVertex_iterator v_end, 
-			Mark mohs) const;
+  void complete_support(SVertex_iterator v_start, SVertex_iterator v_end,
+                        Mark mohs) const;
 
   void correct_triangle_at(SVertex_handle v)
   { CGAL_NEF_TRACEN("correct_triangle_at "<<PH(v));
@@ -361,22 +361,22 @@ public:
   { SHalfedge_handle en(e->snext()), enn(en->snext());
     CGAL_assertion(enn->snext()==e);
     return Sphere_triangle(e->source()->point(),
-			   en->source()->point(),
-			   enn->source()->point(),
-			   e->circle(),
-			   en->circle(),
-			   enn->circle());
+                           en->source()->point(),
+                           enn->source()->point(),
+                           e->circle(),
+                           en->circle(),
+                           enn->circle());
   }
 
   Sphere_triangle incident_triangle(SHalfedge_const_handle e) const
   { SHalfedge_const_handle en(e->snext()), enn(en->snext());
     CGAL_assertion(enn->snext()==e);
     return Sphere_triangle(e->source()->point(),
-			   en->source()->point(),
-			   enn->source()->point(),
-			   e->circle(),
-			   en->circle(),
-			   enn->circle());
+                           en->source()->point(),
+                           enn->source()->point(),
+                           e->circle(),
+                           en->circle(),
+                           enn->circle());
   }
 
   void discard_info()
@@ -434,18 +434,18 @@ void SM_triangulator<Decorator_>::triang
   // sweep the hemispheres to create two half sphere maps
   typedef SM_subdivision<Self,Seg_iterator,Object_handle> SM_output;
   typedef typename Sphere_kernel::Positive_halfsphere_geometry PH_geometry;
-  typedef CGAL::Segment_overlay_traits< 
+  typedef CGAL::Segment_overlay_traits<
             Seg_iterator, SM_output, PH_geometry>  PHS_traits;
   typedef CGAL::generic_sweep<PHS_traits> Positive_halfsphere_sweep;
 
   typedef typename Sphere_kernel::Negative_halfsphere_geometry NH_geometry;
-  typedef CGAL::Segment_overlay_traits< 
+  typedef CGAL::Segment_overlay_traits<
             Seg_iterator, SM_output, NH_geometry> NHS_traits;
   typedef CGAL::generic_sweep<NHS_traits> Negative_halfsphere_sweep;
 
   SVertex_handle v_sep;
   SHalfedge_handle e_sep;
-  SM_output O(*this,From); 
+  SM_output O(*this,From);
 
   typedef typename PHS_traits::INPUT Input_range;
   Positive_halfsphere_sweep SP(
@@ -462,11 +462,11 @@ void SM_triangulator<Decorator_>::triang
   // now two CCs of sphere graph are calculated
   // v_sep = first vertex of CC in negative x-sphere
   // e_sep = first edge of CC in negative x-sphere
-   
+
   SHalfedge_iterator u;
   CGAL_forall_sedges(u,*this) {
     Sphere_segment s(u->source()->point(),u->twin()->source()->point());
-    u->circle() = s.sphere_circle(); 
+    u->circle() = s.sphere_circle();
     u->twin()->circle() = s.sphere_circle().opposite();
   }
 
@@ -505,7 +505,7 @@ void SM_triangulator<Decorator_>::triang
   }
   */
 
-  /* Note the we divide the world along the xy equator and 
+  /* Note the we divide the world along the xy equator and
      split the equator at y- and y+. We treat the halfcircle
      at x+ as if perturbed slightly up. This makes triangles
      that have y- or y+ as a vertex degenerate. if such triangles
@@ -533,14 +533,14 @@ void SM_triangulator<Decorator_>::triang
 template <typename Decorator_>
 template <typename Iterator, typename T>
 void SM_triangulator<Decorator_>::
-partition_to_halfsphere(Iterator start, Iterator beyond, Seg_list& L, 
+partition_to_halfsphere(Iterator start, Iterator beyond, Seg_list& L,
   CGAL::Unique_hash_map<Iterator,T>& M, int pos) const
 { CGAL_NEF_TRACEN("partition_to_halfsphere ");
   CGAL_assertion(pos!=0);
   bool add_cross = true;
   Sphere_segment s1,s2;
   Sphere_circle xycircle(0,0,pos);
-  while ( start != beyond ) { 
+  while ( start != beyond ) {
     if(start->source().hz() * pos > 0 || start->target().hz() * pos > 0)
       add_cross = false;
     int i = start->intersection(xycircle,s1,s2);
@@ -552,7 +552,7 @@ partition_to_halfsphere(Iterator start,
   // we still have to:
   // - split segments containing our special poles y^-, y^+
   // - split halfcircles
-  // - add four equator segments 
+  // - add four equator segments
   Sphere_point S(0,-1,0),N(0,1,0);
   Sphere_circle yzcircle(1,0,0);
   typename Seg_list::iterator it, itl;
@@ -562,14 +562,14 @@ partition_to_halfsphere(Iterator start,
     if ( equal_as_sets(it->sphere_circle(),xycircle) ) {
       CGAL_NEF_TRACEN("  splitting xy seg "<<*it);
       int n1 =  it->intersection(yzcircle,s1,s2);
-      if (n1 > 1 && !s2.is_degenerate()) 
+      if (n1 > 1 && !s2.is_degenerate())
       { M[ L.insert(it,s2) ] = M[it]; }
-      if (n1 > 0 && !s1.is_degenerate()) 
+      if (n1 > 0 && !s1.is_degenerate())
       { M[ L.insert(it,s1) ] = M[it]; }
       int n2 =  it->intersection(yzcircle.opposite(),s1,s2);
-      if (n2 > 1 && !s2.is_degenerate()) 
+      if (n2 > 1 && !s2.is_degenerate())
       { M[ L.insert(it,s2) ] = M[it]; }
-      if (n2 > 0 && !s1.is_degenerate()) 
+      if (n2 > 0 && !s1.is_degenerate())
       { M[ L.insert(it,s1) ] = M[it]; }
       itl = it; --it; L.erase(itl); M[itl] = T();
       // at least one item was appended
@@ -582,7 +582,7 @@ partition_to_halfsphere(Iterator start,
       CGAL_NEF_TRACEN("  splitting halfcircle "<<*it);
       Sphere_segment s1,s2;
       it->split_halfcircle(s1,s2);
-      *it = s2; 
+      *it = s2;
       M[ L.insert(it,s1) ] = M[it];
     }
   }
@@ -613,8 +613,8 @@ merge_nodes(SHalfedge_handle e1, SHalfed
   SHalfedge_handle ep1 = e1->sprev(), en2 = e2->snext();
   SHalfedge_around_svertex_circulator eav(out_edges(v2)),ee(eav);
   CGAL_For_all(eav,ee) { set_source(eav,v1); }
-  link_as_prev_next_pair(e2,e1);  
-  link_as_prev_next_pair(ep1,en2); 
+  link_as_prev_next_pair(e2,e1);
+  link_as_prev_next_pair(ep1,en2);
   assert_equal_marks(v1,v2);
   discard_info(v2);
   delete_vertex_only(v2);
@@ -627,15 +627,15 @@ merge_halfsphere_maps(SVertex_handle v1,
 { CGAL_NEF_TRACEN("merging halfspheres "<<PH(v1)<<PH(v2));
   CGAL_assertion(v1->point()==v2->point());
   std::list<SHalfedge_pair> L_equator;
-  SHalfedge_around_sface_circulator 
+  SHalfedge_around_sface_circulator
     ep(last_out_edge(v1)), en(first_out_edge(v2)->twin());
-  do { 
+  do {
    L_equator.push_back(SHalfedge_pair(ep,en));
-   merge_nodes(ep,en); ++ep; --en; 
+   merge_nodes(ep,en); ++ep; --en;
   } while ( ep->source() != v1 );
-  
+
   typename std::list<SHalfedge_pair>::iterator it;
-  CGAL_forall_iterators(it,L_equator) { 
+  CGAL_forall_iterators(it,L_equator) {
     SHalfedge_handle e1 = it->first, e2 = it->second;
     SHalfedge_handle e1t = e1->twin(), e2t = e2->twin();
     CGAL_NEF_TRACEV(PH(e1));CGAL_NEF_TRACEV(PH(e2));
@@ -657,21 +657,21 @@ merge_halfsphere_maps(SVertex_handle v1,
 template <typename Decorator_>
 void SM_triangulator<Decorator_>::
 complete_support(SVertex_iterator v_start, SVertex_iterator v_end,
-		 Mark mohs) const
+                 Mark mohs) const
 { CGAL_NEF_TRACEN("complete_support");
-  Mark m_buffer(mohs); 
-  for (SVertex_iterator v = v_start; v != v_end; ++v) { 
+  Mark m_buffer(mohs);
+  for (SVertex_iterator v = v_start; v != v_end; ++v) {
     CGAL_NEF_TRACEN(" vertex = "<<PH(v));
     SHalfedge_handle e_below = halfedge_below(v);
     if ( v != v_start ) {
       if ( e_below != SHalfedge_handle() ) {
-	m_buffer = incident_mark(e_below); 
+        m_buffer = incident_mark(e_below);
       } else { // e_below does not exist
-	/* this is only the case for a vertex v on the final equatorial
-	   halfcircle; there we take the mark from an inedge edge into v */
-	//	CGAL_assertion( point(v).z() == 0 && 
-	//	  ( pos > 0 ? (point(v).x() >= 0) : (point(v).x()<=0)) );
-	m_buffer = incident_mark(first_out_edge(v)->sprev());
+        /* this is only the case for a vertex v on the final equatorial
+           halfcircle; there we take the mark from an inedge edge into v */
+        //        CGAL_assertion( point(v).z() == 0 &&
+        //          ( pos > 0 ? (point(v).x() >= 0) : (point(v).x()<=0)) );
+        m_buffer = incident_mark(first_out_edge(v)->sprev());
       }
     }
     CGAL_NEF_TRACEN(" face mark below "<<m_buffer);
@@ -683,10 +683,10 @@ complete_support(SVertex_iterator v_star
     if ( o.empty() ) { v->mark() = m_buffer; }
     else if ( CGAL::assign(vs,o) ) { v->mark() = vs->mark(); }
     else if ( CGAL::assign(es,o) ) {
-      if ( es->source()->point() == v->point() ) 
-	{ v->mark() = es->source()->mark(); }
-      else if ( es->twin()->source()->point() == v->point() ) 
-	{ v->mark() = es->twin()->source()->mark(); }
+      if ( es->source()->point() == v->point() )
+        { v->mark() = es->source()->mark(); }
+      else if ( es->twin()->source()->point() == v->point() )
+        { v->mark() = es->twin()->source()->mark(); }
       else { v->mark() = es->mark(); }
     }
     else if ( CGAL::assign(ls,o) ) { v->mark() = ls->mark(); }
@@ -701,25 +701,25 @@ complete_support(SVertex_iterator v_star
       if ( !is_forward(e) ) break;
       if ( ! support(e).empty() ) {
         SHalfedge_const_handle ei;
-        if ( CGAL::assign(ei,support(e)) ) { 
+        if ( CGAL::assign(ei,support(e)) ) {
           if ( ei->circle() != e->circle() ) { ei = ei->twin(); }
-          CGAL_assertion( ei->circle() == e->circle() ); 
+          CGAL_assertion( ei->circle() == e->circle() );
           CGAL_NEF_TRACEN("  supporting edge "<<PH(ei));
           incident_mark(e->twin()) = ei->twin()->incident_sface()->mark();
           e->mark() = ei->mark();
-          incident_mark(e) = m_buffer = ei->incident_sface()->mark(); 
+          incident_mark(e) = m_buffer = ei->incident_sface()->mark();
         }
         SHalfloop_const_handle li;
-        if ( CGAL::assign(li,support(e)) ) { 
+        if ( CGAL::assign(li,support(e)) ) {
           if ( li->circle() != e->circle() ) { li = li->twin(); }
-          CGAL_assertion( li->circle() == e->circle() ); 
+          CGAL_assertion( li->circle() == e->circle() );
           CGAL_NEF_TRACEN("  supporting loop "<<PH(li));
           incident_mark(e->twin()) = li->twin()->incident_sface()->mark();
           e->mark() = li->mark();
           incident_mark(e) = m_buffer = li->incident_sface()->mark();
         }
       } else { CGAL_NEF_TRACEN("  support from face below ");
-        incident_mark(e->twin()) = e->mark() = 
+        incident_mark(e->twin()) = e->mark() =
         incident_mark(e) = m_buffer;
       }
       CGAL_NEF_TRACEN("  new face mark "<<m_buffer);
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/SM_visualizor.h 5.0.3-1/include/CGAL/Nef_S2/SM_visualizor.h
--- 5.0.2-3/include/CGAL/Nef_S2/SM_visualizor.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/SM_visualizor.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/SM_visualizor.h $
-// $Id: SM_visualizor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/SM_visualizor.h $
+// $Id: SM_visualizor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel  <seel@mpi-sb.mpg.de>
 
@@ -26,13 +26,13 @@
 namespace CGAL {
 
 template <typename Map_>
-class SM_BooleColor 
+class SM_BooleColor
 {
-  typedef typename Map_::SVertex_const_handle   SVertex_const_handle;   
-  typedef typename Map_::SHalfedge_const_handle SHalfedge_const_handle;   
-  typedef typename Map_::SHalfloop_const_handle SHalfloop_const_handle;   
-  typedef typename Map_::SFace_const_handle     SFace_const_handle;   
-  typedef typename Map_::Mark Mark;   
+  typedef typename Map_::SVertex_const_handle   SVertex_const_handle;
+  typedef typename Map_::SHalfedge_const_handle SHalfedge_const_handle;
+  typedef typename Map_::SHalfloop_const_handle SHalfloop_const_handle;
+  typedef typename Map_::SFace_const_handle     SFace_const_handle;
+  typedef typename Map_::Mark Mark;
 public:
   Color color(SVertex_const_handle, Mark m) const
   { return ( m ? CGAL::black() : CGAL::white() ); }
@@ -54,7 +54,7 @@ class SM_visualizor : public SM_triangul
 {
 /*{\Mdefinition An instance |\Mvar| of the data type |\Mname| is a
 decorator to draw the structure of a sphere map into the surface
-of a OpenGL sphere. It is generic with respect to the template 
+of a OpenGL sphere. It is generic with respect to the template
 concept.}*/
 
 /*{\Mgeneralization SM_decorator}*/
@@ -67,9 +67,9 @@ public:
   typedef SM_decorator<Sphere_map>                  Decorator;
   typedef SM_triangulator<Decorator>                Base;
 
-  typedef typename Sphere_map::SVertex_const_handle SVertex_const_handle;   
-  typedef typename Sphere_map::SHalfedge_const_handle SHalfedge_const_handle; 
-  typedef typename Sphere_map::SFace_const_handle SFace_const_handle;     
+  typedef typename Sphere_map::SVertex_const_handle SVertex_const_handle;
+  typedef typename Sphere_map::SHalfedge_const_handle SHalfedge_const_handle;
+  typedef typename Sphere_map::SFace_const_handle SFace_const_handle;
   typedef typename Sphere_map::SVertex_const_iterator SVertex_const_iterator;
   typedef typename Sphere_map::SHalfedge_const_iterator SHalfedge_const_iterator;
   typedef typename Sphere_map::SFace_const_iterator SFace_const_iterator;
@@ -91,7 +91,7 @@ public:
 
 /*{\Mcreation 4}*/
 SM_visualizor(const SM_explorer* M, CGAL::OGL::Unit_sphere& S,
-	      const Color_objects& C = Color_objects())
+              const Color_objects& C = Color_objects())
 /*{\Mcreate creates an instance |\Mvar| of type |\Mname| to visualize
     the vertices, edges, and faces of |D| in an open GL window.}*/
   : Base(&MT_,M), E_(M), CO_(C), MT_(true), S_(S)
@@ -110,11 +110,11 @@ void draw_map() const
   SHalfedge_const_iterator e;
   CGAL_forall_sedges(e,*E_) {
     if ( source(e) == target(e) ) {
-      S_.push_back(E_->circle(e), CO_.color(e,E_->mark(e))); 
+      S_.push_back(E_->circle(e), CO_.color(e,E_->mark(e)));
     } else {
       S_.push_back(Sphere_segment(E_->point(E_->source(e)),
-				  E_->point(E_->target(e)),
-				  E_->circle(e)),CO_.color(e,E_->mark(e)));
+                                  E_->point(E_->target(e)),
+                                  E_->circle(e)),CO_.color(e,E_->mark(e)));
     }
   }
   // draw sphere circles underlying loops of E_:
@@ -136,7 +136,7 @@ void draw_map() const
     CGAL_NEF_TRACEV(Base::incident_triangle(e));
     CGAL_NEF_TRACEN(incident_mark(e)<<incident_mark(en)<<incident_mark(enn));
     CGAL_assertion(Base::incident_mark(e)==Base::incident_mark(en) &&
-		   Base::incident_mark(en)==Base::incident_mark(enn));
+                   Base::incident_mark(en)==Base::incident_mark(enn));
     Mark m = Base::incident_mark(e);
     Sphere_triangle t = Base::incident_triangle(e);
     S_.push_back(t, (m ? CGAL_NEF_DGREY : CGAL_NEF_LGREY) );
@@ -147,8 +147,8 @@ void draw_map() const
   CGAL_forall_shalfedges(e,*this) {
     if ( Done[e] ) continue;
     S_.push_back_triangle_edge(Sphere_segment(E_->point(E_->source(e)),
-					      E_->point(E_->target(e)),
-					      E_->circle(e)));
+                                              E_->point(E_->target(e)),
+                                              E_->circle(e)));
     Done[e]=Done[twin(e)]=true;
   }
 
@@ -159,12 +159,12 @@ void draw_map() const
    2) faces are drawn via the calculated triangulation in MT_  */
 
 void draw_triangulation() const
-{ 
+{
   // draw sphere segments underlying edges of triangulation:
   SHalfedge_const_iterator e;
   CGAL_forall_sedges(e,*this) {
     S_.push_back(Sphere_segment(point(source(e)),point(target(e)),
-				circle(e)),CO_.color(e,mark(e)));
+                                circle(e)),CO_.color(e,mark(e)));
   }
 
   // draw points underlying vertices of triangulation:
@@ -177,7 +177,7 @@ void draw_triangulation() const
     if ( Done[e] ) continue;
     SHalfedge_const_handle en(next(e)),enn(next(en));
     CGAL_assertion(incident_mark(e)==incident_mark(en)&&
-		   incident_mark(en)==incident_mark(enn));
+                   incident_mark(en)==incident_mark(enn));
     Mark m = incident_mark(e);
     Sphere_triangle t = incident_triangle(e);
     S_.push_back(t, (m ? CGAL_NEF_DGREY : CGAL_NEF_LGREY) );
@@ -187,7 +187,7 @@ void draw_triangulation() const
 
 }
 
-}; // end of SM_visualizor 
+}; // end of SM_visualizor
 
 
 
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/Sphere_circle.h 5.0.3-1/include/CGAL/Nef_S2/Sphere_circle.h
--- 5.0.2-3/include/CGAL/Nef_S2/Sphere_circle.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/Sphere_circle.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/Sphere_circle.h $
-// $Id: Sphere_circle.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/Sphere_circle.h $
+// $Id: Sphere_circle.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel  <seel@mpi-sb.mpg.de>
 
@@ -40,7 +40,7 @@ typedef R_ R;
 /*{\Mtypemember representation class.}*/
 typedef typename R::RT RT;
 /*{\Mtypemember ring type.}*/
-typedef std::pair< Sphere_segment<R>,Sphere_segment<R> > 
+typedef std::pair< Sphere_segment<R>,Sphere_segment<R> >
   Sphere_segment_pair;
 /*{\Mtypemember sphere segment pair.}*/
 
@@ -54,20 +54,20 @@ typedef typename R_::Plane_3 Base;
 Sphere_circle() : Base() {}
 /*{\Mcreate creates some great circle.}*/
 
-Sphere_circle(const Sphere_point<R>& p, const Sphere_point<R>&q) 
-  : Base(Point_3(0,0,0),p,q) 
+Sphere_circle(const Sphere_point<R>& p, const Sphere_point<R>&q)
+  : Base(Point_3(0,0,0),p,q)
 /*{\Mcreate creates a great circle through $p$ and $q$.  If $p$ and
 $q$ are not antipodal on $S_2$, then this circle is unique and oriented
 such that a walk along |\Mvar| meets $p$ just before the shorter segment
 between $p$ and $q$. If $p$ and $q$ are antipodal of each other then we
-create any great circle that contains $p$ and $q$.}*/ 
+create any great circle that contains $p$ and $q$.}*/
 { Point_3 p1(0,0,0), p4 = CGAL::ORIGIN + ((Base*) this)->orthogonal_vector();
   if ( p != q.antipode() ) {
     if (R_().orientation_3_object()(p1,Point_3(p),
                                     Point_3(q), p4) != CGAL::POSITIVE )
       *this = Self(opposite());
   } else {
-    /* previous method was: *this = Self(Plane_3(p1,q-p)); 
+    /* previous method was: *this = Self(Plane_3(p1,q-p));
        but p, q don't belong to he plane ((0,0,0), q-p) */
 
     if(!Line_3(p,q).has_on(Point_3(1,0,0)))
@@ -78,32 +78,32 @@ create any great circle that contains $p
   }
 }
 
- Sphere_circle(const Plane_3& h) : Base(h) 
+ Sphere_circle(const Plane_3& h) : Base(h)
 /*{\Mcreate creates the circle of $S_2$ corresponding to the plane
 |h|. If |h| does not contain the origin, then |\Mvar| becomes the
 circle parallel to |h| containing the origin.}*/
-{ 
+{
   if(h.d() != 0) *this = Plane_3(h.a(),h.b(),h.c(),RT(0));
-} 
+}
 
 Sphere_circle(const RT& x, const RT& y, const RT& z): Base(x,y,z,0) {}
 
 /*{\Mcreate creates the circle orthogonal to the vector $(x,y,z)$.}*/
 
-Sphere_circle(Sphere_circle<R> c, const Sphere_point<R>& p) 
-/*{\Mcreate creates a great circle orthogonal to $c$ that contains $p$. 
+Sphere_circle(Sphere_circle<R> c, const Sphere_point<R>& p)
+/*{\Mcreate creates a great circle orthogonal to $c$ that contains $p$.
 \precond $p$ is not part of $c$.}*/
 { CGAL_assertion(!c.has_on(p));
   if ( c.has_on_negative_side(p) ) c=c.opposite();
-  if ( p == c.orthogonal_pole() ) 
+  if ( p == c.orthogonal_pole() )
     *this = Sphere_circle<R>(Base(Point_3(0,0,0),p,CGAL::ORIGIN+c.base1()));
-  else 
+  else
     *this = Sphere_circle<R>(Base(Point_3(0,0,0),p,c.orthogonal_pole()));
 }
 
 /*{\Moperations 4 2}*/
 
-Sphere_circle<R> opposite() const 
+Sphere_circle<R> opposite() const
 /*{\Mop returns the opposite of |\Mvar|.}*/
 { return Base::opposite(); }
 
@@ -114,13 +114,13 @@ bool has_on(const Sphere_point<R>& p) co
 Plane_3 plane() const { return Base(*this); }
 /*{\Mop returns the plane supporting |\Mvar|.}*/
 
-Plane_3 plane_through(const Point_3& p) const 
+Plane_3 plane_through(const Point_3& p) const
 /*{\Mop returns the plane parallel to |\Mvar| that
 contains point |p|.}*/
 { return Plane_3(p,((Base*) this)->orthogonal_direction()); }
 
-Sphere_point<R> orthogonal_pole() const 
-/*{\Mop returns the point that is the pole of the 
+Sphere_point<R> orthogonal_pole() const
+/*{\Mop returns the point that is the pole of the
 hemisphere left of |\Mvar|.}*/
 { return CGAL::ORIGIN+((Base*) this)->orthogonal_vector(); }
 
@@ -131,7 +131,7 @@ of splitting |\Mvar| at |p| and |p.antip
 Sphere_segment_pair split_at_xy_plane() const;
 /*{\Mop returns the pair of circle segments that is the result
 of splitting |\Mvar| at the $x$-$y$-coordinate plane if |\Mvar|
-is not part of it. Otherwise |\Mvar| is split at the 
+is not part of it. Otherwise |\Mvar| is split at the
 $x$-$z$-coordinate plane.}*/
 
 }; // Sphere_circle<R>
@@ -139,15 +139,15 @@ $x$-$z$-coordinate plane.}*/
 /*{\Mtext\headerline{Global functions}}*/
 
 template <class R>
-bool equal_as_sets(const CGAL::Sphere_circle<R>& c1, 
+bool equal_as_sets(const CGAL::Sphere_circle<R>& c1,
                    const CGAL::Sphere_circle<R>& c2)
 /*{\Mfunc returns true iff |c1| and |c2| are equal as unoriented
 circles.}*/
 { return c1==c2 || c1==c2.opposite(); }
 
 template <class R>
-bool equal_not_opposite(const CGAL::Sphere_circle<R>& c1, 
-			const CGAL::Sphere_circle<R>& c2) {
+bool equal_not_opposite(const CGAL::Sphere_circle<R>& c1,
+                        const CGAL::Sphere_circle<R>& c2) {
   // function should be called to decide whether two circles
   // are equal or opposites. returns true iff |c1| and |c2| are equal
   if(c1.a() != 0) return CGAL::sign(c1.a()) == CGAL::sign(c2.a());
@@ -156,11 +156,11 @@ bool equal_not_opposite(const CGAL::Sphe
 }
 
 template <typename R>
-Sphere_point<R> intersection(const Sphere_circle<R>& c1, 
+Sphere_point<R> intersection(const Sphere_circle<R>& c1,
                              const Sphere_circle<R>& c2)
-/*{\Mfunc returns one of the two intersection points of 
+/*{\Mfunc returns one of the two intersection points of
 |c1| and |c2|. \precond |c1 != c2| as sets.}*/
-{ 
+{
   CGAL_assertion(!equal_as_sets(c1,c2));
   typename R::Line_3 lres;
   CGAL_NEF_TRACEN("circle_intersection "<<c1<<" "<<c2);
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/Sphere_direction.h 5.0.3-1/include/CGAL/Nef_S2/Sphere_direction.h
--- 5.0.2-3/include/CGAL/Nef_S2/Sphere_direction.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/Sphere_direction.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/Sphere_direction.h $
-// $Id: Sphere_direction.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/Sphere_direction.h $
+// $Id: Sphere_direction.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel  <seel@mpi-sb.mpg.de>
 
@@ -46,30 +46,30 @@ typedef Sphere_direction<R_> Self;
 Sphere_direction() : Base() {}
 /*{\Mcreate creates some direction.}*/
 
-Sphere_direction(const Sphere_circle<R>& c) 
+Sphere_direction(const Sphere_circle<R>& c)
 /*{\Mcreate creates the direction corresponding to the circle |c|.}*/
-  : Base(c) {} 
+  : Base(c) {}
 
-Sphere_direction(const Sphere_point<R>& p, const Sphere_point<R>&q) 
-  : Base(Point_3(0,0,0),p,q) 
+Sphere_direction(const Sphere_point<R>& p, const Sphere_point<R>&q)
+  : Base(Point_3(0,0,0),p,q)
 /*{\Mcreate creates a direction that describes the orientation of
 the great circle through $p$ and $q$ (oriented such that the segment
 $pq$ is the shorter one of the two possible ones. \precond $p$ and $q$
-are not opposite on $S_2$.}*/ 
-{ CGAL_assertion(p!=q.opposite()); 
+are not opposite on $S_2$.}*/
+{ CGAL_assertion(p!=q.opposite());
   Point_3 p1(0,0,0), p4 = CGAL::ORIGIN + ((Base*) this)->orthogonal_vector();
   if ( CGAL::orientation(p1,p,q,p4) != CGAL::POSITIVE )
     *this = Sphere_direction(opposite());
 }
 
-Sphere_direction(const typename R::Plane_3& h) 
+Sphere_direction(const typename R::Plane_3& h)
 /*{\Xcreate creates the direction corresponding to the plane |h|.
 \precond |h| contains the origin.}*/
- : Base(h) { CGAL_assertion(h.d() == 0); } 
+ : Base(h) { CGAL_assertion(h.d() == 0); }
 
 /*{\Moperations 4 2}*/
 
-Sphere_direction<R> opposite() const 
+Sphere_direction<R> opposite() const
 /*{\Mop returns the opposite of |\Mvar|.}*/
 { return Base::opposite(); }
 
@@ -80,12 +80,12 @@ Plane_3 plane() const { return Base(*thi
 
 
 /* We have:
-   1) all directions fixed at p 
+   1) all directions fixed at p
    2) d1==d3 possible
    return true iff d1,d2,d3 are stricly ccw ordered around p
    Note: Sphere_directions are Plane_3
          we therefore compare the normal vectors of the planes
-         that underly the directions d1,d2,d3 in the plane 
+         that underly the directions d1,d2,d3 in the plane
          through 0 and orthogonal to the vector p-0
  */
 
@@ -95,10 +95,10 @@ bool strictly_ordered_ccw_at(const Spher
   const Sphere_direction<R>& d2,
   const Sphere_direction<R>& d3)
 { CGAL_assertion(d1.has_on(p) && d2.has_on(p) && d3.has_on(p));
-  typename R::Point_3 p0(0,0,0); 
-  typename R::Point_3 p1(CGAL::ORIGIN + d1.orthogonal_vector()); 
-  typename R::Point_3 p2(CGAL::ORIGIN + d2.orthogonal_vector()); 
-  typename R::Point_3 p3(CGAL::ORIGIN + d3.orthogonal_vector()); 
+  typename R::Point_3 p0(0,0,0);
+  typename R::Point_3 p1(CGAL::ORIGIN + d1.orthogonal_vector());
+  typename R::Point_3 p2(CGAL::ORIGIN + d2.orthogonal_vector());
+  typename R::Point_3 p3(CGAL::ORIGIN + d3.orthogonal_vector());
 
   if ( d1 == d3 ) return false;
   if ( CGAL::orientation(p0,p,p1,p3) == CGAL::POSITIVE ) {
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/Sphere_geometry.h 5.0.3-1/include/CGAL/Nef_S2/Sphere_geometry.h
--- 5.0.2-3/include/CGAL/Nef_S2/Sphere_geometry.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/Sphere_geometry.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/Sphere_geometry.h $
-// $Id: Sphere_geometry.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/Sphere_geometry.h $
+// $Id: Sphere_geometry.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel       <seel@mpi-inf.mpg.de>
 //                 Peter Hachenberger <hachenberger@mpi-inf.mpg.de>
@@ -73,11 +73,11 @@ void xy_pi_half_rotate(Point_2& p) const
 { p = Point_2(-p.hy(),p.hx(),p.hz()); }
 
 int orientation(const Point_2& p1, const Point_2& p2,
-                const Point_2& p3) const { 
-  
-  int sor = CGAL::spherical_orientation(p1,p2,p3); 
+                const Point_2& p3) const {
+
+  int sor = CGAL::spherical_orientation(p1,p2,p3);
   if (sor) return sor;
-  Point_2 pp1(p1), pp2(p2), pp3(p3); 
+  Point_2 pp1(p1), pp2(p2), pp3(p3);
   switch(axis) {
   case 0:
     if ( !( p1.hx() == 0 && p2.hx() == 0 && p3.hx() == 0) ) return sor;
@@ -85,7 +85,7 @@ int orientation(const Point_2& p1, const
     if ( p2.hz()<0 ) zx_pi_half_rotate(pp2);
     if ( p3.hz()<0 ) zx_pi_half_rotate(pp3);
     return CGAL::spherical_orientation(pp1,pp2,pp3);
-    break;   
+    break;
   case 1:
     if ( !( p1.hy() == 0 && p2.hy() == 0 && p3.hy() == 0) ) return sor;
     if ( p1.hx()>0 ) xy_pi_half_rotate(pp1);
@@ -96,7 +96,7 @@ int orientation(const Point_2& p1, const
   case 2:
     if ( !( p1.hz() == 0 && p2.hz() == 0 && p3.hz() == 0) ) return sor;
     // sor==0 we perturb any point in the xy-plane with x>0
-    // by a negative rotation around the y-axis 
+    // by a negative rotation around the y-axis
     // our perturbation is big :-) we take PI/2 :
     if ( p1.hx()>0 ) xz_pi_half_rotate(pp1);
     if ( p2.hx()>0 ) xz_pi_half_rotate(pp2);
@@ -119,8 +119,8 @@ int compare_xy(const Point_2& p1, const
 }
 
 Point_2 intersection(const Segment_2& s1, const Segment_2& s2) const
-{ if (s1.sphere_circle() != s2.sphere_circle().opposite()) 
-    return s1.intersection(s2); 
+{ if (s1.sphere_circle() != s2.sphere_circle().opposite())
+    return s1.intersection(s2);
   CGAL_assertion(s1.target()==s2.target());
   return s1.target();
 }
@@ -141,13 +141,13 @@ typedef typename Base::Segment_2 Segment
 
 Negative_halfsphere_geometry() : Base() {}
 Negative_halfsphere_geometry(int check_sphere) : Base(check_sphere) {}
-  
+
 int orientation(const Point_2& p1, const Point_2& p2,
-                const Point_2& p3) const { 
+                const Point_2& p3) const {
 
-  int sor = CGAL::spherical_orientation(p1,p2,p3); 
+  int sor = CGAL::spherical_orientation(p1,p2,p3);
   if (sor) return sor;
-  Point_2 pp1(p1), pp2(p2), pp3(p3); 
+  Point_2 pp1(p1), pp2(p2), pp3(p3);
   switch(((Base*) this)->axis) {
   case 0:
     if ( !( p1.hx() == 0 && p2.hx() == 0 && p3.hx() == 0) ) return sor;
@@ -155,7 +155,7 @@ int orientation(const Point_2& p1, const
     if ( p2.hz()>0 ) zx_pi_half_rotate(pp2);
     if ( p3.hz()>0 ) zx_pi_half_rotate(pp3);
     return CGAL::spherical_orientation(pp1,pp2,pp3);
-    break;   
+    break;
   case 1:
     if ( !( p1.hy() == 0 && p2.hy() == 0 && p3.hy() == 0) ) return sor;
     if ( p1.hx()<0 ) xy_pi_half_rotate(pp1);
@@ -166,7 +166,7 @@ int orientation(const Point_2& p1, const
   case 2:
     if ( !( p1.hz() == 0 && p2.hz() == 0 && p3.hz() == 0) ) return sor;
     // sor==0 we perturb any point in the xy-plane with x>0
-    // by a negative rotation around the y-axis 
+    // by a negative rotation around the y-axis
     // our perturbation is big :-) we take PI/2 :
     if ( p1.hx()<0 ) xz_pi_half_rotate(pp1);
     if ( p2.hx()<0 ) xz_pi_half_rotate(pp2);
@@ -208,11 +208,11 @@ Sphere_point source(const Sphere_segment
 Sphere_point target(const Sphere_segment& s) const
 { return s.target(); }
 
-Sphere_segment construct_segment(const Sphere_point& p, 
+Sphere_segment construct_segment(const Sphere_point& p,
                                  const Sphere_point& q) const
 { return Sphere_segment(p,q); }
 
-Sphere_segment construct_segment(const Sphere_point& p, 
+Sphere_segment construct_segment(const Sphere_point& p,
                                  const Sphere_point& q,
                                  const Plane_3& h) const
 { return Sphere_segment(p,q,Sphere_circle(h)); }
@@ -227,22 +227,22 @@ Plane_3 linear_representation(const Plan
 
 /*
 Positive_halfsphere_geometry PHG;
-const Positive_halfsphere_geometry& 
+const Positive_halfsphere_geometry&
 get_positive_halfsphere_geometry() const
 { return PHG; }
 
 Negative_halfsphere_geometry NHG;
-const Negative_halfsphere_geometry& 
+const Negative_halfsphere_geometry&
 get_negative_halfsphere_geometry() const
 { return NHG; }
 */
 
-const Positive_halfsphere_geometry& 
+const Positive_halfsphere_geometry&
 get_positive_halfsphere_geometry(int a) const {
-  return Positive_halfsphere_geometry(a); 
+  return Positive_halfsphere_geometry(a);
 }
 
-const Negative_halfsphere_geometry& 
+const Negative_halfsphere_geometry&
 get_negative_halfsphere_geometry(int a) const {
   return Negative_halfsphere_geometry(a);
 }
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/Sphere_geometry_OGL.h 5.0.3-1/include/CGAL/Nef_S2/Sphere_geometry_OGL.h
--- 5.0.2-3/include/CGAL/Nef_S2/Sphere_geometry_OGL.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/Sphere_geometry_OGL.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/Sphere_geometry_OGL.h $
-// $Id: Sphere_geometry_OGL.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/Sphere_geometry_OGL.h $
+// $Id: Sphere_geometry_OGL.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel  <seel@mpi-sb.mpg.de>
 
@@ -91,9 +91,9 @@ class Approximator {
     VVector v = normalize_and_convert(p-CGAL::ORIGIN);
     return CGAL::ORIGIN+v;
   }
-   
+
   static VSegment approximate(const CGAL::Sphere_segment<R>& s) {
-    
+
     /* we construct the rotation matrix that transfers the x-axis
        into |ps_|, the z-axis into h_.orthogonal_vector() and the
        y-axix into the corresponding crossproduct of the two.*/
@@ -102,7 +102,7 @@ class Approximator {
       S[0] = approximate(s.source());
       return S;
     }
-    
+
     VVector v0 = convert(s.source()-CGAL::ORIGIN);
     VVector v2 = convert(s.sphere_circle().orthogonal_vector());
     VVector v1(-cross_product(v0,v2));
@@ -111,7 +111,7 @@ class Approximator {
     double v1l = CGAL_NTS sqrt(v1*v1);
     double v2l = CGAL_NTS sqrt(v2*v2);
     double v3l = CGAL_NTS sqrt(v3*v3);
-    double cosalpha = v0*v3 / v0l / v3l; 
+    double cosalpha = v0*v3 / v0l / v3l;
     double alpha = std::acos(cosalpha);
     const int units_per_halfcircle = 50;
     int units = int(units_per_halfcircle/CGAL_PI * alpha);
@@ -122,39 +122,39 @@ class Approximator {
     else if ( !seg_is_short ) {
       units = 2*units_per_halfcircle - (units+1);
     } CGAL_NEF_TRACEV(units); CGAL_NEF_TRACEV(cosalpha); CGAL_NEF_TRACEV(alpha);
-    
+
     v0 = v0 / v0l;
     v1 = v1 / v1l;
     v2 = v2 / v2l;
     v3 = v3 / v3l;
     VTrafo T(v0.x(),v1.x(),v2.x(),
-	     v0.y(),v1.y(),v2.y(),
-	     v0.z(),v1.z(),v2.z());
+             v0.y(),v1.y(),v2.y(),
+             v0.z(),v1.z(),v2.z());
     VSegment S(units+1);
-    for (int i=0; i<units; ++i) 
+    for (int i=0; i<units; ++i)
       S[i] = VPoint(std::cos(CGAL_PI*i/double(units_per_halfcircle)),
-		    std::sin(CGAL_PI*i/double(units_per_halfcircle)),
-		    0.0);
+                    std::sin(CGAL_PI*i/double(units_per_halfcircle)),
+                    0.0);
     double sinalpha = 1 - cosalpha*cosalpha;
-    if (sinalpha <0) sinalpha = 0; 
+    if (sinalpha <0) sinalpha = 0;
     else             sinalpha = CGAL_NTS sqrt(sinalpha);
-    if ( seg_is_short ) 
+    if ( seg_is_short )
       S[units] = VPoint(cosalpha, sinalpha, 0);
     else
       S[units] = VPoint(cosalpha, -sinalpha, 0);
     VSegment::iterator it;
     for(it = S.begin(); it != S.end(); ++it) { CGAL_NEF_TRACEN(*it<<" "<<T(*it));
-    *it = T(*it); 
+    *it = T(*it);
     } CGAL_NEF_TRACEN("");
     return S;
   }
 
   static VSegment approximate(const CGAL::Sphere_circle<R>& s) {
-    
+
     /* we construct the rotation matrix that transfers the x-axis
        into |ps_|, the z-axis into h_.orthogonal_vector() and the
        y-axix into the corresponding crossproduct of the two.*/
-    
+
     VVector v0 = convert(s.base1());
     VVector v1 = convert(s.base2());
     VVector v2 = convert(s.orthogonal_vector());
@@ -166,16 +166,16 @@ class Approximator {
     v1 = v1 / v1l;
     v2 = v2 / v2l;
     VTrafo T(v0.x(),v1.x(),v2.x(),
-	     v0.y(),v1.y(),v2.y(),
-	     v0.z(),v1.z(),v2.z());
+             v0.y(),v1.y(),v2.y(),
+             v0.z(),v1.z(),v2.z());
     VSegment S(units);
     for (int i=0; i<units; ++i) {
       S[i] = VPoint(std::cos(2.0*CGAL_PI*i/double(units)),
-		    std::sin(2.0*CGAL_PI*i/double(units)),
-		    0.0);
+                    std::sin(2.0*CGAL_PI*i/double(units)),
+                    0.0);
     }
     VSegment::iterator it;
-    for(it = S.begin(); it != S.end(); ++it) *it = T(*it); 
+    for(it = S.begin(); it != S.end(); ++it) *it = T(*it);
     return S;
   }
 
@@ -223,11 +223,11 @@ class Approximator {
   static VTriangle approximate(const CGAL::Sphere_triangle<R>& t) {
     // we subdivide the triangle into a list of triangles until
     // we reach a fine resolution on the surface.
-    
+
     VTriangle T;
-    DTriangle td(approximate(t.point(0)), 
-		 approximate(t.point(1)),
-		 approximate(t.point(2)));
+    DTriangle td(approximate(t.point(0)),
+                 approximate(t.point(1)),
+                 approximate(t.point(2)));
     CGAL_NEF_TRACEN("approximate " << td);
     refine(td,T);
     return T;
@@ -245,7 +245,7 @@ class Sphere_point : public VPoint, publ
 public:
   Sphere_point() {}
   Sphere_point(const CGAL::Sphere_point<R>& p,
-    CGAL::Color c = CGAL::black(), unsigned w = 10) : 
+    CGAL::Color c = CGAL::black(), unsigned w = 10) :
     VPoint(Approximator<R>::approximate(p)), p_(p), c_(c), w_(w) {}
   Sphere_point(const Sphere_point<R>& p) : VPoint(p), Gen_object()
   { p_ = p.p_; c_ = p.c_; w_ = p.w_; }
@@ -258,10 +258,10 @@ public:
   const CGAL::Sphere_point<R>& original() const
   { return p_; }
 
-  virtual Gen_object* clone() const 
+  virtual Gen_object* clone() const
   { return new Sphere_point<R>(*this); }
- 
-  virtual void draw() const { 
+
+  virtual void draw() const {
     glPointSize(w_);
     glColor3ub(c_.red(),c_.green(),c_.blue());
     glBegin(GL_POINTS);
@@ -270,7 +270,7 @@ public:
     glEnd();
   }
 
-  virtual void print() const 
+  virtual void print() const
   { std::cerr << "point " << p_; }
 
 };
@@ -280,7 +280,7 @@ public:
 
 
 template <class R_>
-class Sphere_segment : public VSegment, public Gen_object { 
+class Sphere_segment : public VSegment, public Gen_object {
   typedef R_ R;
   CGAL::Sphere_segment<R> s_;
   CGAL::Color             c_;
@@ -288,7 +288,7 @@ class Sphere_segment : public VSegment,
 public:
   Sphere_segment() {}
   Sphere_segment(const CGAL::Sphere_segment<R>& s,
-    CGAL::Color c = CGAL::black(), unsigned w = 2) 
+    CGAL::Color c = CGAL::black(), unsigned w = 2)
     : VSegment(Approximator<R>::approximate(s)), s_(s), c_(c), w_(w) {}
   Sphere_segment(const Sphere_segment<R>& s) : VSegment(s), Gen_object()
   { s_ = s.s_; c_ = s.c_; w_ = s.w_; }
@@ -300,7 +300,7 @@ public:
   const CGAL::Sphere_segment<R>& original() const
   { return s_; }
 
-  virtual Gen_object* clone() const 
+  virtual Gen_object* clone() const
   { return new Sphere_segment<R>(*this); }
 
   virtual void draw() const
@@ -314,7 +314,7 @@ public:
       glEnd();
     } else {
       glLineWidth(w_);
-      glColor3ub(c_.red(),c_.green(),c_.blue()); 
+      glColor3ub(c_.red(),c_.green(),c_.blue());
       glBegin(GL_LINE_STRIP);
       VSegment::const_iterator it;
       for(it = begin(); it != end(); ++it) {
@@ -325,7 +325,7 @@ public:
     }
   }
 
-  virtual void print() const 
+  virtual void print() const
   { std::cerr << "segment " << s_; }
 
 };
@@ -333,7 +333,7 @@ public:
 
 
 template <class R_>
-class Sphere_circle : public VSegment, public Gen_object { 
+class Sphere_circle : public VSegment, public Gen_object {
   typedef R_ R;
   CGAL::Sphere_circle<R> s_;
   CGAL::Color            c_;
@@ -341,7 +341,7 @@ class Sphere_circle : public VSegment, p
 public:
   Sphere_circle() {}
   Sphere_circle(const CGAL::Sphere_circle<R>& s,
-    CGAL::Color c = CGAL::black(), unsigned w = 2) 
+    CGAL::Color c = CGAL::black(), unsigned w = 2)
     : VSegment(Approximator<R>::approximate(s)), s_(s), c_(c), w_(w) {}
   Sphere_circle(const Sphere_circle<R>& s) : VSegment(s), Gen_object()
   { s_ = s.s_; c_ = s.c_; w_ = s.w_; }
@@ -353,13 +353,13 @@ public:
   const CGAL::Sphere_circle<R>& original() const
   { return s_; }
 
-  virtual Gen_object* clone() const 
+  virtual Gen_object* clone() const
   { return new Sphere_circle<R>(*this); }
 
   virtual void draw() const
   { CGAL_NEF_TRACEN("draw "<<s_);
     glLineWidth(w_);
-    glColor3ub(c_.red(),c_.green(),c_.blue()); 
+    glColor3ub(c_.red(),c_.green(),c_.blue());
     glBegin(GL_LINE_LOOP);
     VSegment::const_iterator it;
     for(it = begin(); it != end(); ++it) {
@@ -369,7 +369,7 @@ public:
     glEnd();
   }
 
-  virtual void print() const 
+  virtual void print() const
   { std::cerr << "circle " << s_; }
 
 };
@@ -379,7 +379,7 @@ public:
    of flat triangles */
 
 template <class R_>
-class Sphere_triangle : public VTriangle, public Gen_object { 
+class Sphere_triangle : public VTriangle, public Gen_object {
   typedef R_ R;
   CGAL::Sphere_triangle<R> t_;
   CGAL::Color              c_;
@@ -387,7 +387,7 @@ public:
   Sphere_triangle() {}
 
   Sphere_triangle(const CGAL::Sphere_triangle<R>& t,
-    CGAL::Color c = CGAL::Color(100,100,120)) 
+    CGAL::Color c = CGAL::Color(100,100,120))
     : VTriangle(Approximator<R>::approximate(t)), t_(t), c_(c) {}
 
   Sphere_triangle(const Sphere_triangle<R>& t) : VTriangle(t), Gen_object()
@@ -401,10 +401,10 @@ public:
   const CGAL::Sphere_triangle<R>& original() const
   { return t_; }
 
-  virtual Gen_object* clone() const 
+  virtual Gen_object* clone() const
   { return new Sphere_triangle<R>(*this); }
 
-  virtual void draw() const { 
+  virtual void draw() const {
     CGAL_NEF_TRACEN("draw "<<t_ << " in " << c_);
     VTriangle::const_iterator it;
     VPoint p;
@@ -413,21 +413,21 @@ public:
     glColor3ub(c_.red(),c_.green(),c_.blue());
     glBegin(GL_TRIANGLES);
     for(it = begin(); it != end(); ++it) {
-      p = it->vertex(0); 
-      glNormal3d(p.x(),p.y(),p.z()); 	//glVertex3d(p.x(),p.y(),p.z());
+      p = it->vertex(0);
+      glNormal3d(p.x(),p.y(),p.z());         //glVertex3d(p.x(),p.y(),p.z());
       glVertex3d(shrink_fac*p.x(),shrink_fac*p.y(),shrink_fac*p.z());
-      p = it->vertex(1); 
-      glNormal3d(p.x(),p.y(),p.z()); 
+      p = it->vertex(1);
+      glNormal3d(p.x(),p.y(),p.z());
       glVertex3d(shrink_fac*p.x(),shrink_fac*p.y(),shrink_fac*p.z());
-      p = it->vertex(2); 
-      glNormal3d(p.x(),p.y(),p.z()); 
+      p = it->vertex(2);
+      glNormal3d(p.x(),p.y(),p.z());
       glVertex3d(shrink_fac*p.x(),shrink_fac*p.y(),shrink_fac*p.z());
     }
     glEnd();
     glDisable(GL_COLOR_MATERIAL);
   }
 
-  virtual void print() const 
+  virtual void print() const
   { std::cerr << "triangle " << t_; }
 
 };
@@ -443,7 +443,7 @@ class Unit_sphere : public OGL_base_obje
   typedef std::list<Gen_object*> Object_list;
   typedef Object_list::const_iterator  Object_const_iterator;
   typedef Object_list::iterator  Object_iterator;
-  
+
   GLUquadricObj*        sphere_;
   int                   style_;
   bool                  initialized_;
@@ -452,20 +452,20 @@ class Unit_sphere : public OGL_base_obje
   std::vector<bool>     switches;
 
 public:
-void init() { 
-  style_ = SM_FACES; 
+void init() {
+  style_ = SM_FACES;
   switches[0] = true;
   switches[1] = false;
   gluQuadricNormals(sphere_,GLenum(GLU_SMOOTH));
 }
 
-Unit_sphere() : switches(2) { 
-  sphere_ = gluNewQuadric(); 
-  initialized_ = false; 
-  init(); 
+Unit_sphere() : switches(2) {
+  sphere_ = gluNewQuadric();
+  initialized_ = false;
+  init();
 }
 
-void clear_list() 
+void clear_list()
 { while ( objects_.begin() != objects_.end() ) {
     delete (*objects_.begin());
     objects_.pop_front();
@@ -524,8 +524,8 @@ Unit_sphere& operator=(const Unit_sphere
 }
 
 ~Unit_sphere() {
-  clear_list(); 
-  gluDeleteQuadric(sphere_); 
+  clear_list();
+  gluDeleteQuadric(sphere_);
 }
 
 template <typename R>
@@ -553,12 +553,12 @@ void push_back_triangle_edge(const CGAL:
   CGAL::Color c = CGAL::blue(), unsigned w = 1)
 { triangle_edges_.push_back(new Sphere_segment<R>(s,c,w)); }
 
-void set_style(int style) { 
-  style_ = style; 
+void set_style(int style) {
+  style_ = style;
 }
 
-void toggle(int index) { 
-  switches[index] = !switches[index]; 
+void toggle(int index) {
+  switches[index] = !switches[index];
 }
 private:
 
@@ -611,7 +611,7 @@ void construct_axes() const
 }
 
 void construct_cube() const
-{ 
+{
   glNewList(sphere_list_+4, GL_COMPILE);
   glColor3f(1,1,0); // yellow
   glLineWidth(2.0);
@@ -646,18 +646,18 @@ void construct()
   // skeleton:
   glNewList(sphere_list_, GL_COMPILE);
   for (Object_const_iterator it = objects_.begin();
-       it != objects_.end(); ++it) 
+       it != objects_.end(); ++it)
      (*it)->draw();
   glEndList();
   // triangles:
   glNewList(sphere_list_+1, GL_COMPILE);
   for (Object_const_iterator it = triangles_.begin();
-       it != triangles_.end(); ++it) 
+       it != triangles_.end(); ++it)
      (*it)->draw();
   glEndList();
   glNewList(sphere_list_+2, GL_COMPILE);
   for (Object_const_iterator it = triangle_edges_.begin();
-       it != triangle_edges_.end(); ++it) 
+       it != triangle_edges_.end(); ++it)
      (*it)->draw();
   glEndList();
   // orientation features:
@@ -669,7 +669,7 @@ public:
 
 //void draw(GLdouble z_vec[3]) const
 void draw() const
-{ 
+{
   gluQuadricDrawStyle(sphere_,GLenum(GLU_FILL));
   glEnable(GL_LIGHTING);
   if ( style_ == SM_SKELETON ) {
@@ -681,14 +681,14 @@ void draw() const
   glDisable(GL_LIGHTING);
   if ( !initialized_ ) const_cast<Unit_sphere*>(this)->construct();
   if ( style_ == SM_FACES || style_ == SM_TRIANGULATION ) {
-    glEnable(GL_LIGHTING); 
+    glEnable(GL_LIGHTING);
     glCallList(sphere_list_+1); // triangle list
     glDisable(GL_LIGHTING);
   }
   if ( style_ == SM_TRIANGULATION ) {
     glCallList(sphere_list_+2); // triangle edge list
   }
-  
+
   if ( style_ != SM_TRIANGULATION ) {
     glCallList(sphere_list_);
   }
@@ -700,13 +700,13 @@ void draw() const
 };
 
 template <typename Map_>
-class SM_BooleColor 
+class SM_BooleColor
 {
-  typedef typename Map_::SVertex_const_handle   SVertex_const_handle;   
-  typedef typename Map_::SHalfedge_const_handle SHalfedge_const_handle;   
-  typedef typename Map_::SHalfloop_const_handle SHalfloop_const_handle;   
-  typedef typename Map_::SFace_const_handle     SFace_const_handle;   
-  typedef typename Map_::Mark Mark;   
+  typedef typename Map_::SVertex_const_handle   SVertex_const_handle;
+  typedef typename Map_::SHalfedge_const_handle SHalfedge_const_handle;
+  typedef typename Map_::SHalfloop_const_handle SHalfloop_const_handle;
+  typedef typename Map_::SFace_const_handle     SFace_const_handle;
+  typedef typename Map_::Mark Mark;
 public:
   Color color(SVertex_const_handle, Mark m) const
   { return ( m ? CGAL::black() : CGAL::white() ); }
@@ -728,9 +728,9 @@ class NefS2_to_UnitSphere
   typedef SM_decorator<Sphere_map>                  Decorator;
   typedef CGAL::SM_triangulator<Decorator>                Base;
 
-  typedef typename Sphere_map::SVertex_const_handle SVertex_const_handle;   
-  typedef typename Sphere_map::SHalfedge_const_handle SHalfedge_const_handle; 
-  typedef typename Sphere_map::SFace_const_handle SFace_const_handle;     
+  typedef typename Sphere_map::SVertex_const_handle SVertex_const_handle;
+  typedef typename Sphere_map::SHalfedge_const_handle SHalfedge_const_handle;
+  typedef typename Sphere_map::SFace_const_handle SFace_const_handle;
   typedef typename Sphere_map::SVertex_const_iterator SVertex_const_iterator;
   typedef typename Sphere_map::SHalfedge_const_iterator SHalfedge_const_iterator;
   typedef typename Sphere_map::SFace_const_iterator SFace_const_iterator;
@@ -741,11 +741,11 @@ class NefS2_to_UnitSphere
   typedef typename Sphere_kernel::Sphere_circle   Sphere_circle;
   typedef typename Sphere_kernel::Sphere_triangle Sphere_triangle;
 
-  typedef Color_                                  Color_objects;  
+  typedef Color_                                  Color_objects;
 
  public:
   static CGAL::OGL::Unit_sphere convert(const SM_const_decorator& E_,
-					const Color_objects& CO_ = Color_objects()) {
+                                        const Color_objects& CO_ = Color_objects()) {
     Sphere_map MT_(true);
     Base T_(&MT_, &E_);
     CGAL::OGL::Unit_sphere S_;
@@ -755,24 +755,24 @@ class NefS2_to_UnitSphere
     SHalfedge_const_iterator e;
     CGAL_forall_sedges(e,E_) {
       if ( e->source() == e->twin()->source() ) {
-	S_.push_back(e->circle(), CO_.color(e,e->mark()));} else {
-	S_.push_back(Sphere_segment(e->source()->point(),
-				    e->twin()->source()->point(),
-				    e->circle()),CO_.color(e,e->mark()));
+        S_.push_back(e->circle(), CO_.color(e,e->mark()));} else {
+        S_.push_back(Sphere_segment(e->source()->point(),
+                                    e->twin()->source()->point(),
+                                    e->circle()),CO_.color(e,e->mark()));
       }
     }
     // draw sphere circles underlying loops of E_:
-    
+
     if ( E_.has_shalfloop() )
       S_.push_back(
-		   E_.shalfloop()->circle(),
-		   CO_.color(E_.shalfloop(),E_.shalfloop()->mark()));
-    
+                   E_.shalfloop()->circle(),
+                   CO_.color(E_.shalfloop(),E_.shalfloop()->mark()));
+
     // draw points underlying vertices of E_:
     SVertex_const_iterator v;
     CGAL_forall_svertices(v,E_)
       S_.push_back(v->point(),CO_.color(v,v->mark()));
-    
+
     Unique_hash_map<SHalfedge_const_iterator,bool> Done(false);
     CGAL_forall_shalfedges(e,T_) {
       if ( Done[e] ) continue;
@@ -780,21 +780,21 @@ class NefS2_to_UnitSphere
       CGAL_NEF_TRACEV(T_.incident_triangle(e));
       CGAL_NEF_TRACEN(T_.incident_mark(e)<<T_.incident_mark(en)<<T_.incident_mark(enn));
       CGAL_assertion(T_.incident_mark(e)==T_.incident_mark(en) &&
-		     T_.incident_mark(en)==T_.incident_mark(enn));
+                     T_.incident_mark(en)==T_.incident_mark(enn));
       Mark m = T_.incident_mark(e);
       Sphere_triangle t = T_.incident_triangle(e);
       S_.push_back(t, (m ? CGAL_NEF_DGREY : CGAL_NEF_LGREY) );
       Done[e]=Done[en]=Done[enn]=true;
     }
-    
+
     Done.clear(false);
     CGAL_forall_shalfedges(e,T_) {
       if ( Done[e] ) continue;
       S_.push_back_triangle_edge(Sphere_segment(e->source()->point(),
-						e->twin()->source()->point(),
-						e->circle()));
+                                                e->twin()->source()->point(),
+                                                e->circle()));
       Done[e]=Done[e->twin()]=true;
-    }    
+    }
     return S_;
   }
 };
@@ -805,21 +805,21 @@ class NefS2_to_UnitSphere
 
 
 template <class R>
-std::ostream& operator<<(std::ostream& os, 
+std::ostream& operator<<(std::ostream& os,
                          const CGAL::OGL::Sphere_segment<R>& s)
 { CGAL::OGL::VSegment::const_iterator it;
    os << s.original() << " ";
-  for (it = s.begin(); it != s.end(); ++it) 
+  for (it = s.begin(); it != s.end(); ++it)
     os << *it;
   return os;
 }
 
 template <class R>
-std::ostream& operator<<(std::ostream& os, 
+std::ostream& operator<<(std::ostream& os,
                          const CGAL::OGL::Sphere_circle<R>& s)
 { CGAL::OGL::VSegment::const_iterator it;
    os << s.original() << " ";
-  for (it = s.begin(); it != s.end(); ++it) 
+  for (it = s.begin(); it != s.end(); ++it)
     os << *it;
   return os;
 }
@@ -827,7 +827,7 @@ std::ostream& operator<<(std::ostream& o
 
 
 template <class R>
-std::ostream& operator<<(std::ostream& os, 
+std::ostream& operator<<(std::ostream& os,
                          const CGAL::OGL::Sphere_point<R>& p)
 { os << p.original() << CGAL::OGL::VPoint(p); return os; }
 
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/Sphere_map.h 5.0.3-1/include/CGAL/Nef_S2/Sphere_map.h
--- 5.0.2-3/include/CGAL/Nef_S2/Sphere_map.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/Sphere_map.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/Sphere_map.h $
-// $Id: Sphere_map.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/Sphere_map.h $
+// $Id: Sphere_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel       <seel@mpi-sb.mpg.de>
 //                 Peter Hachenberger <hachenberger@mpi-sb.mpg.de>
@@ -118,11 +118,11 @@ public:
   typedef const SHalfloop*                              SHalfloop_const_iterator;
 
   typedef CGAL::Object_handle Object_handle;
-  /*{\Mtypemember a generic handle to an object of |\Mvar|. 
-  The kind of the object can be determined and the object assigned 
-  by the function:\\ 
-  |bool assign(xxx_handle& h, Object_handle o)|\\ 
-  where the function returns |true| iff the assignment of |o| to 
+  /*{\Mtypemember a generic handle to an object of |\Mvar|.
+  The kind of the object can be determined and the object assigned
+  by the function:\\
+  |bool assign(xxx_handle& h, Object_handle o)|\\
+  where the function returns |true| iff the assignment of |o| to
   |h| was valid.}*/
 
   typedef std::list<Object_handle>                     Object_list;
@@ -134,7 +134,7 @@ public:
   typedef Sphere_map*       Constructor_parameter;
   typedef const Sphere_map* Constructor_const_parameter;
 
-  class SFace_cycle_iterator : public Object_iterator 
+  class SFace_cycle_iterator : public Object_iterator
   /*{\Mtypemember a generic iterator to an object in the boundary
   of a facet. Convertible to |Object_handle|.}*/
   { typedef Object_iterator Ibase;
@@ -142,26 +142,26 @@ public:
     SFace_cycle_iterator() : Ibase() {}
     SFace_cycle_iterator(const Ibase& b) : Ibase(b) {}
 
-    bool is_svertex() const 
+    bool is_svertex() const
     { SVertex_handle v; return CGAL::assign(v,Ibase::operator*()); }
     bool is_shalfedge() const
     { SHalfedge_handle e; return CGAL::assign(e,Ibase::operator*()); }
     bool is_shalfloop() const
     { SHalfloop_handle l; return CGAL::assign(l,Ibase::operator*()); }
-    operator SVertex_handle() const 
+    operator SVertex_handle() const
     { SVertex_handle v; CGAL::assign(v,Ibase::operator*()); return v; }
-    operator SHalfedge_handle() const 
+    operator SHalfedge_handle() const
     { SHalfedge_handle e; CGAL::assign(e,Ibase::operator*()); return e; }
-    operator SHalfloop_handle() const 
+    operator SHalfloop_handle() const
     { SHalfloop_handle l=0; CGAL::assign(l,Ibase::operator*()); return l; }
 
     operator Object_handle() const { return Ibase::operator*(); }
     Object_handle& operator*() const { return Ibase::operator*(); }
-    Object_handle  operator->() const 
+    Object_handle  operator->() const
     { CGAL_error_msg("not impl."); return Object_handle(); }
   };
 
-  class SFace_cycle_const_iterator : public Object_const_iterator 
+  class SFace_cycle_const_iterator : public Object_const_iterator
   /*{\Mtypemember a generic iterator to an object in the boundary
   of a facet. Convertible to |Object_handle|.}*/
   { typedef Object_const_iterator Ibase;
@@ -169,25 +169,25 @@ public:
     SFace_cycle_const_iterator() : Ibase() {}
     SFace_cycle_const_iterator(const Ibase& b) : Ibase(b) {}
 
-    bool is_svertex() const 
+    bool is_svertex() const
     { SVertex_handle v; return CGAL::assign(v,Ibase::operator*()); }
     bool is_shalfedge() const
     { SHalfedge_handle e; return CGAL::assign(e,Ibase::operator*()); }
     bool is_shalfloop() const
     { SHalfloop_handle l; return CGAL::assign(l,Ibase::operator*()); }
-    operator SVertex_const_handle() const 
-    { SVertex_handle v; CGAL::assign(v,Ibase::operator*()); 
+    operator SVertex_const_handle() const
+    { SVertex_handle v; CGAL::assign(v,Ibase::operator*());
       return SVertex_const_handle(v); }
-    operator SHalfedge_const_handle() const 
-    { SHalfedge_handle e; CGAL::assign(e,Ibase::operator*()); 
+    operator SHalfedge_const_handle() const
+    { SHalfedge_handle e; CGAL::assign(e,Ibase::operator*());
       return SHalfedge_const_handle(e); }
-    operator SHalfloop_const_handle() const 
-    { SHalfloop_handle l=0; CGAL::assign(l,Ibase::operator*()); 
+    operator SHalfloop_const_handle() const
+    { SHalfloop_handle l=0; CGAL::assign(l,Ibase::operator*());
       return SHalfloop_const_handle(l); }
 
     operator Object_handle() const { return Ibase::operator*(); }
     const Object_handle& operator*() const { return Ibase::operator*(); }
-    Object_handle  operator->() const 
+    Object_handle  operator->() const
     { CGAL_error_msg("not impl."); return Object_handle(); }
   };
 
@@ -198,52 +198,52 @@ public:
     circulators are defined.}*/
 
   typedef CircFromIt<
-    SHalfedge_const_iterator, 
-    move_edge_around_svertex<SHalfedge_const_iterator> > 
+    SHalfedge_const_iterator,
+    move_edge_around_svertex<SHalfedge_const_iterator> >
     SHalfedge_around_svertex_const_circulator;
   /*{\Mtypemember circulating the adjacency list of an vertex |v|.}*/
-  
+
   typedef CircFromIt<
-    SHalfedge_const_iterator, 
-    move_edge_around_sface<SHalfedge_const_iterator> > 
+    SHalfedge_const_iterator,
+    move_edge_around_sface<SHalfedge_const_iterator> >
     SHalfedge_around_sface_const_circulator;
   /*{\Mtypemember circulating the face cycle of an face |f|.}*/
 
   typedef CircFromIt<
-    SHalfedge_iterator, 
-    move_edge_around_svertex<SHalfedge_iterator> > 
+    SHalfedge_iterator,
+    move_edge_around_svertex<SHalfedge_iterator> >
     SHalfedge_around_svertex_circulator;
   /*{\Mtypemember circulating the adjacency list of an vertex |v|.}*/
-  
+
   typedef CircFromIt<
-    SHalfedge_iterator, 
-    move_edge_around_sface<SHalfedge_iterator> > 
+    SHalfedge_iterator,
+    move_edge_around_sface<SHalfedge_iterator> >
     SHalfedge_around_sface_circulator;
   /*{\Mtypemember circulating the face cycle of an face |f|.}*/
-  
+
   /*{\Mcreation 3}*/
   /*{\Mtext |\Mname| is default and copy constructible. Note that copy
   construction means cloning an isomorphic structure and is thus an
   expensive operation.}*/
 
-  Sphere_map(bool = false) : boundary_item_(boost::none), 
+  Sphere_map(bool = false) : boundary_item_(boost::none),
     svertices_(), sedges_(), sfaces_(), shalfloop_() {}
 
   ~Sphere_map() { clear(); }
 
   Sphere_map(const Self& D) : boundary_item_(boost::none),
-    svertices_(D.svertices_), 
-    sedges_(D.sedges_), 
-    sfaces_(D.sfaces_), 
+    svertices_(D.svertices_),
+    sedges_(D.sedges_),
+    sfaces_(D.sfaces_),
     shalfloop_(0)
   { if ( D.shalfloop_ != 0 ) new_shalfloop_pair(*(D.shalfloop_));
-    pointer_update(D); 
+    pointer_update(D);
   }
 
-  Self& operator=(const Self& D) 
-  { if ( this == &D ) return *this; 
+  Self& operator=(const Self& D)
+  { if ( this == &D ) return *this;
     clear();
-    svertices_ = D.svertices_; 
+    svertices_ = D.svertices_;
     sfaces_ = D.sfaces_;
     sedges_ = D.sedges_;
     if ( D.shalfloop_ != 0 ) new_shalfloop_pair(*D.shalfloop_);
@@ -252,9 +252,9 @@ public:
   }
 
   void clear()
-  { 
+  {
     boundary_item_.clear(boost::none);
-    svertices_.destroy(); 
+    svertices_.destroy();
     sfaces_.destroy();
     while ( shalfedges_begin() != shalfedges_end() )
       delete_shalfedge_pair( shalfedges_begin() );
@@ -301,7 +301,7 @@ public:
   SHalfedge_const_iterator shalfedges_begin() const { return sedges_.begin();}
   SHalfedge_const_iterator shalfedges_end()   const { return sedges_.end();}
   SHalfloop_const_iterator shalfloops_begin() const { return shalfloop_; }
-  SHalfloop_const_iterator shalfloops_end()   const 
+  SHalfloop_const_iterator shalfloops_end()   const
     { return shalfloop_ != 0 ? shalfloop_+2 : shalfloop_; }
   SFace_const_iterator     sfaces_begin()     const { return sfaces_.begin();}
   SFace_const_iterator     sfaces_end()       const { return sfaces_.end();}
@@ -311,7 +311,7 @@ public:
   SHalfedge_iterator shalfedges_begin()  { return sedges_.begin();}
   SHalfedge_iterator shalfedges_end()    { return sedges_.end();}
   SHalfloop_iterator shalfloops_begin()  { return shalfloop_; }
-  SHalfloop_iterator shalfloops_end()  
+  SHalfloop_iterator shalfloops_end()
     { return shalfloop_ != 0 ? shalfloop_+2 : shalfloop_; }
   SFace_iterator     sfaces_begin()      { return sfaces_.begin();}
   SFace_iterator     sfaces_end()        { return sfaces_.end();}
@@ -326,7 +326,7 @@ public:
   { return f->sface_cycles_end(); }
 
   /*{\Mtext The list of all objects can be accessed via iterator ranges.
-  For comfortable iteration we also provide iterations macros. 
+  For comfortable iteration we also provide iterations macros.
   The iterator range access operations are of the following kind:\\
   |SVertex_iterator vertices_begin()/vertices_end()|\\
   |SHalfedge_iterator halfedges_begin()/halfedges_end()|\\
@@ -339,11 +339,11 @@ public:
   /*{\Mop returns the number of (directed edges).}*/
   Size_type number_of_sfaces() const     { return sfaces_.size();}
   /*{\Mop returns the number of facets.}*/
-  Size_type number_of_shalfloops() const 
+  Size_type number_of_shalfloops() const
   { return shalfloop_!=SHalfloop_handle() ? 2 : 0; }
   /*{\Mop returns the number of shalfloop.}*/
 
-  bool empty() const 
+  bool empty() const
   { return number_of_svertices() == 0 &&
       number_of_shalfedges() == 0 &&
       number_of_shalfloops() == 0 &&
@@ -354,12 +354,12 @@ public:
     return shalfloop_ != 0;
   }
 
-  SHalfloop_handle& shalfloop() { 
-    return shalfloop_; 
+  SHalfloop_handle& shalfloop() {
+    return shalfloop_;
   }
 
-  SHalfloop_const_handle shalfloop() const { 
-    return shalfloop_; 
+  SHalfloop_const_handle shalfloop() const {
+    return shalfloop_;
   }
 
   SVertex_alloc vertex_allocator;
@@ -395,8 +395,8 @@ public:
     face_allocator.deallocate( p, 1);
   }
 
-  SVertex_handle new_svertex(const Sphere_point& p, 
-			   Mark m = Mark())
+  SVertex_handle new_svertex(const Sphere_point& p,
+                           Mark m = Mark())
   /*{\Mop returns a new vertex at point |p| marked by |m|.}*/
   { SVertex_handle vh = new_svertex(); vh->point() = p; vh->mark() = m;
     CGAL_NEF_TRACEN("new_svertex "<<&*vh);
@@ -406,17 +406,17 @@ public:
   template <typename H>
   void make_twins(H h1, H h2) { h1->twin() = h2; h2->twin() = h1; }
 
-  SVertex_handle new_svertex() { 
-    svertices_.push_back( * get_vertex_node(SVertex())); 
-    return --svertices_end(); 
+  SVertex_handle new_svertex() {
+    svertices_.push_back( * get_vertex_node(SVertex()));
+    return --svertices_end();
   }
 
-  SFace_handle new_sface() { 
-    sfaces_.push_back( * get_face_node(SFace())); 
-    return --sfaces_end(); 
-  } 
+  SFace_handle new_sface() {
+    sfaces_.push_back( * get_face_node(SFace()));
+    return --sfaces_end();
+  }
 
-  SHalfedge_handle new_shalfedge_pair() { 
+  SHalfedge_handle new_shalfedge_pair() {
     SHalfedge* ep2 = get_halfedge_node(SHalfedge());
     SHalfedge* ep1 = get_halfedge_node(SHalfedge());
     sedges_.push_back( *ep1 );
@@ -449,24 +449,24 @@ public:
     *ph=l1; *pt=l2; make_twins(ph,pt);
     shalfloop_=ph; return ph; }
 
-  void delete_svertex(SVertex_handle h) { 
-    svertices_.erase(h); 
-    put_vertex_node(&*h); 
+  void delete_svertex(SVertex_handle h) {
+    svertices_.erase(h);
+    put_vertex_node(&*h);
   }
 
-  void delete_sface(SFace_handle h) { 
-    sfaces_.erase(h); 
+  void delete_sface(SFace_handle h) {
+    sfaces_.erase(h);
     put_face_node(&*h);
   }
 
-  void delete_shalfedge_pair(SHalfedge_handle h) { 
+  void delete_shalfedge_pair(SHalfedge_handle h) {
     SHalfedge_handle t = h->twin();
     sedges_.erase(h); sedges_.erase(t);
     put_halfedge_node(&*h);
     put_halfedge_node(&*t);
   }
 
-  void delete_shalfloop_pair() { 
+  void delete_shalfloop_pair() {
     CGAL_assertion(has_shalfloop());
     SHalfloop* ph = &*shalfloop_;
     SHalfloop* pt = &*shalfloop_->twin();
@@ -502,7 +502,7 @@ pointer_update(const Sphere_map<K, I, M>
 
   SHalfedge_const_iterator ec = D.shalfedges_begin();
   SHalfedge_iterator e = shalfedges_begin();
-  for ( ; ec != D.shalfedges_end(); ++ec,++e) { 
+  for ( ; ec != D.shalfedges_end(); ++ec,++e) {
     EM[ec] = e;
     e->mark() = ec->mark();
   }
@@ -519,7 +519,7 @@ pointer_update(const Sphere_map<K, I, M>
     LM[D.shalfloop_->twin()] = shalfloop_->twin();
     l = shalfloop();
     shalfloop_->mark() = D.shalfloop()->mark();
-    shalfloop_->twin()->mark() = D.shalfloop()->twin()->mark();    
+    shalfloop_->twin()->mark() = D.shalfloop()->twin()->mark();
     if( !l->is_twin() && D.shalfloop()->is_twin()) l->mark() = l->twin()->mark();
   }
 
@@ -537,7 +537,7 @@ pointer_update(const Sphere_map<K, I, M>
     e->incident_sface() = FM[e->incident_sface()];
   }
   for ( ec = D.shalfedges_begin(), e = shalfedges_begin();
-	ec != D.shalfedges_end(); ++ec, ++e) {
+        ec != D.shalfedges_end(); ++ec, ++e) {
     if( !e->is_twin() && ec->is_twin()) e->mark() = e->twin()->mark();
   }
 
@@ -548,18 +548,18 @@ pointer_update(const Sphere_map<K, I, M>
 
 
   for (f = sfaces_begin(); f != sfaces_end(); ++f) {
-    SFace_cycle_iterator fci; 
+    SFace_cycle_iterator fci;
     for(fci = f->boundary_entry_objects().begin();
-	fci != f->boundary_entry_objects().end(); ++fci) {
-      if ( fci.is_svertex() ) 
+        fci != f->boundary_entry_objects().end(); ++fci) {
+      if ( fci.is_svertex() )
       { v = SVertex_handle(fci);
-	*fci = make_object(VM[v]); store_sm_boundary_item(v,fci); }
-      else if ( fci.is_shalfedge() ) 
+        *fci = make_object(VM[v]); store_sm_boundary_item(v,fci); }
+      else if ( fci.is_shalfedge() )
       { e = SHalfedge_handle(fci);
-	*fci = make_object(EM[e]); store_sm_boundary_item(e,fci); }
-      else if ( fci.is_shalfloop() ) 
+        *fci = make_object(EM[e]); store_sm_boundary_item(e,fci); }
+      else if ( fci.is_shalfloop() )
       { l = SHalfloop_handle(fci);
-	*fci = make_object(LM[l]); store_sm_boundary_item(l,fci); }
+        *fci = make_object(LM[l]); store_sm_boundary_item(l,fci); }
       else CGAL_error_msg("damn wrong boundary item in face.");
     }
   }
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/Sphere_point.h 5.0.3-1/include/CGAL/Nef_S2/Sphere_point.h
--- 5.0.2-3/include/CGAL/Nef_S2/Sphere_point.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/Sphere_point.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/Sphere_point.h $
-// $Id: Sphere_point.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/Sphere_point.h $
+// $Id: Sphere_point.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel  <seel@mpi-sb.mpg.de>
 
@@ -39,7 +39,7 @@ the great circle that underlies also the
 Note that we have to consider special geometric properties of the
 objects. For example two points that are part of a great circle define
 two |Sphere_segment|s, and two arbitrary |Sphere_segment|s can
-intersect in two points. 
+intersect in two points.
 
 If we restrict our geometric objects to a so-called perfect hemisphere
 of $S_2$\cgalFootnote{A perfect hemisphere of $S_2$ is an open half-sphere
@@ -50,16 +50,16 @@ two segments intersect in at most one in
 (non-degenerately), or three non-cocircular sphere points can be
 qualified as being positively or negatively oriented.}*/
 
-/*{\Moptions print_title=yes }*/ 
-/*{\Manpage{Sphere_point}{R}{Points on the unit sphere}{p}}*/ 
- 
-template <class R_> 
+/*{\Moptions print_title=yes }*/
+/*{\Manpage{Sphere_point}{R}{Points on the unit sphere}{p}}*/
+
+template <class R_>
 class Sphere_point : public R_::Point_3 {
 
 /*{\Mdefinition An object |\Mvar| of type |\Mname| is a point on the
 surface of a unit sphere. Such points correspond to the nontrivial
 directions in space and similarly to the equivalence classes of all
-nontrivial vectors under normalization.}*/ 
+nontrivial vectors under normalization.}*/
 
 public:
 /*{\Mtypes 5}*/
@@ -87,10 +87,10 @@ intersection of the ray starting at the
 and the surface of $S_2$.}*/
   Base(x,y,z,1) { CGAL_assertion(x!=0 || y!=0 || z!=0); }
 
-Sphere_point(const Base& p) : Base(p) {} 
-Sphere_point(const Vector_3& v) : Base(CGAL::ORIGIN+v) {} 
-Sphere_point(const Direction_3& d) : 
-  Base(CGAL::ORIGIN+d.vector()) {} 
+Sphere_point(const Base& p) : Base(p) {}
+Sphere_point(const Vector_3& v) : Base(CGAL::ORIGIN+v) {}
+Sphere_point(const Direction_3& d) :
+  Base(CGAL::ORIGIN+d.vector()) {}
 
 /*{\Moperations 4 2}*/
 
@@ -104,7 +104,7 @@ RT y() const { return ((Base*) this)->hy
 RT z() const { return ((Base*) this)->hz(); }
 /*{\Mop the $z$-coordinate.}*/
 
-bool operator==(const Sphere_point<R>& q) const 
+bool operator==(const Sphere_point<R>& q) const
 /*{\Mbinop Equality.}*/
 { return Direction_3(Base(*this)-ORIGIN)==
          Direction_3(q-ORIGIN); }
@@ -113,7 +113,7 @@ bool operator!=(const Sphere_point<R>& q
 /*{\Mbinop Inequality.}*/
 { return !operator==(q); }
 
-Sphere_point<R> antipode() const 
+Sphere_point<R> antipode() const
 /*{\Mop returns the antipode of |\Mvar|.}*/
 { return ORIGIN + -(Base(*this)-ORIGIN); }
 
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/sphere_predicates.h 5.0.3-1/include/CGAL/Nef_S2/sphere_predicates.h
--- 5.0.2-3/include/CGAL/Nef_S2/sphere_predicates.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/sphere_predicates.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/sphere_predicates.h $
-// $Id: sphere_predicates.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/sphere_predicates.h $
+// $Id: sphere_predicates.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel  <seel@mpi-sb.mpg.de>
 
@@ -24,7 +24,7 @@
 
 #undef CGAL_forall_iterators
 #define CGAL_forall_iterators(x,L)\
-for(x = (L).begin(); x != (L).end(); ++x) 
+for(x = (L).begin(); x != (L).end(); ++x)
 
 
 namespace CGAL {
@@ -35,13 +35,13 @@ through $p_1$ and $p_2$. We map this to
 of the origin, $p_1$, $p_2$, and $p_3$ */
 
 template <class R>
-int spherical_orientation(const Sphere_point<R>& p1, 
-                          const Sphere_point<R>& p2, 
+int spherical_orientation(const Sphere_point<R>& p1,
+                          const Sphere_point<R>& p2,
                           const Sphere_point<R>& p3)
 { return CGAL::orientation(typename R::Point_3(0,0,0),
-			   (typename R::Point_3)p1,
-			   (typename R::Point_3)p2,
-			   (typename R::Point_3)p3); }
+                           (typename R::Point_3)p1,
+                           (typename R::Point_3)p2,
+                           (typename R::Point_3)p3); }
 
 
 /* |spherical_compare| codes our order of points during the sweep. The
@@ -57,33 +57,33 @@ and the z-axis into the equatorial plane
 
 template <class R>
 bool is_south(const Sphere_point<R>& p, int axis) {
-  if(axis==1)  
+  if(axis==1)
     return (p.hz() >  0 &&
-	    p.hx() == 0 &&
-	    p.hy() == 0);
-  
+            p.hx() == 0 &&
+            p.hy() == 0);
+
   return (p.hy() <  0 &&
-	  p.hx() == 0 &&
-	  p.hz() == 0);
+          p.hx() == 0 &&
+          p.hz() == 0);
 }
 
 template <class R>
 bool is_north(const Sphere_point<R>& p, int axis) {
-  if(axis==1)  
+  if(axis==1)
     return (p.hz() <  0 &&
-	    p.hx() == 0 &&
-	    p.hy() == 0);
-  
+            p.hx() == 0 &&
+            p.hy() == 0);
+
   return (p.hy() >  0 &&
-	  p.hx() == 0 &&
-	  p.hz() == 0);
+          p.hx() == 0 &&
+          p.hz() == 0);
 }
 
 template <class R>
-int spherical_compare(const Sphere_point<R>& p1, 
-		      const Sphere_point<R>& p2,
-		      int axis, int pos) {
-  
+int spherical_compare(const Sphere_point<R>& p1,
+                      const Sphere_point<R>& p2,
+                      int axis, int pos) {
+
   Sphere_point<R> pS, pN;
   CGAL_assertion(axis>=0 && axis<=2);
   switch(axis) {
@@ -95,38 +95,38 @@ int spherical_compare(const Sphere_point
     pS=Sphere_point<R>(0,0,1);
     //    pN=Sphere_point<R>(0,0,-1);
     break;
-  case 2: 
+  case 2:
     pS=Sphere_point<R>(0,-1,0);
     //    pN=Sphere_point<R>(0,1,0);
     break;
   }
-  typename R::Direction_3 
-    d1(p1-CGAL::ORIGIN), 
+  typename R::Direction_3
+    d1(p1-CGAL::ORIGIN),
     d2(p2-CGAL::ORIGIN);
   if (d1 == d2) return 0;
   if(is_south(p1,axis) || is_north(p2,axis)) return -1;
   if(is_south(p2,axis) || is_north(p1,axis)) return 1;
   //  if (d1 == dS || d2 == dN) return -1;
   //  if (d1 == dN || d2 == dS) return  1;
-  // now no more special cases 
-  if (axis==0 && (p1.hx()==static_cast<typename R::RT>(0) && 
-		  p2.hx()==static_cast<typename R::RT>(0))) {
+  // now no more special cases
+  if (axis==0 && (p1.hx()==static_cast<typename R::RT>(0) &&
+                  p2.hx()==static_cast<typename R::RT>(0))) {
       int s1 = CGAL_NTS sign(p1.hz());
       int s2 = CGAL_NTS sign(p2.hz());
       if ( s1 != s2 ) return pos * -s1;
       // now s1 == s2
       return -s1 * CGAL::spherical_orientation(p1,Sphere_point<R>(1,0,0),p2);
-  } else 
-  if (axis==1 && (p1.hy()==static_cast<typename R::RT>(0) && 
-		  p2.hy()==static_cast<typename R::RT>(0))) {
+  } else
+  if (axis==1 && (p1.hy()==static_cast<typename R::RT>(0) &&
+                  p2.hy()==static_cast<typename R::RT>(0))) {
     int s1 = CGAL_NTS sign(p1.hx());
     int s2 = CGAL_NTS sign(p2.hx());
     if ( s1 != s2 ) return pos * s1;
     // now s1 == s2
     return s1 * CGAL::spherical_orientation(p1,Sphere_point<R>(0,1,0),p2);
-  } else 
-  if (axis==2 && (p1.hz()==static_cast<typename R::RT>(0) && 
-		  p2.hz()==static_cast<typename R::RT>(0))) { 
+  } else
+  if (axis==2 && (p1.hz()==static_cast<typename R::RT>(0) &&
+                  p2.hz()==static_cast<typename R::RT>(0))) {
     int s1 = CGAL_NTS sign(p1.hx());
     int s2 = CGAL_NTS sign(p2.hx());
     if ( s1 != s2 ) return pos * s1;
@@ -145,7 +145,7 @@ that carries the segment parts that are
 Halfcircles are again divided into two equally sized pieces. */
 
 template <class R, class I>
-void partition(const Sphere_circle<R>& c, I start, I beyond, 
+void partition(const Sphere_circle<R>& c, I start, I beyond,
                std::list< Sphere_segment<R> >& Lpos)
 { CGAL_NEF_TRACEN("partition ");
   Sphere_segment<R> s1,s2,s3;
@@ -178,7 +178,7 @@ void partition_xy(I start, I beyond,
       int n2 =  it->intersection(yz_circle.opposite(),s1,s2);
       if (n2 > 1 && !s2.is_degenerate()) L.insert(it,s2);
       if (n2 > 0 && !s1.is_degenerate()) L.insert(it,s1);
-      itl = it; --it; L.erase(itl); 
+      itl = it; --it; L.erase(itl);
       // at least one item was appended
     }
   }
@@ -209,14 +209,14 @@ $h^{0+}$ then we return a trivial segmen
 */
 
 /*
-template <typename R> 
+template <typename R>
 int Sphere_segment<R>::
-intersection(const CGAL::Sphere_circle<R>& c, std::vector<Sphere_segment<R> >& s) const {  
+intersection(const CGAL::Sphere_circle<R>& c, std::vector<Sphere_segment<R> >& s) const {
 
   CGAL_NEF_TRACEN("    intersection "<<*this<<" "<<c);
-  if ( is_degenerate() ) { 
+  if ( is_degenerate() ) {
     CGAL_NEF_TRACEN("    degenerate");
-    s.push_back(*this); 
+    s.push_back(*this);
     return 1;
   }
 
@@ -225,19 +225,19 @@ intersection(const CGAL::Sphere_circle<R
 
   CGAL_NEF_TRACEN("    Orientation " << or1 << " " << or2);
 
-  if ( or1 == CGAL::opposite(or2) && or1 != or2 ) { 
+  if ( or1 == CGAL::opposite(or2) && or1 != or2 ) {
     // it is sure that $s$ intersects $h$ in its interior. the
     //   question is which part is in the halfspace $h^+$.
     CGAL_NEF_TRACEN("    opposite");
     Sphere_point<R> i1 = CGAL::intersection(ptr()->c_,c);
-    if ( !has_on(i1) ) 
+    if ( !has_on(i1) )
       i1 = i1.antipode();
     s.push_back(Sphere_segment<R>(source(),i1,sphere_circle()));
     s.push_back(Sphere_segment<R>(i1,target(),sphere_circle()));
     return 2;
   }
-  else if ( or1 == CGAL::ON_ORIENTED_BOUNDARY && 
-            or2 == CGAL::ON_ORIENTED_BOUNDARY ) { 
+  else if ( or1 == CGAL::ON_ORIENTED_BOUNDARY &&
+            or2 == CGAL::ON_ORIENTED_BOUNDARY ) {
     // if both ends of $s$ are part of $h$ then $s$ is a halfcircle or
     //   $s$ is fully part of $h$.  In this case we have to check if the
     //   halfcircle is not part of $h^-$.  This can be formulated by an
@@ -245,23 +245,23 @@ intersection(const CGAL::Sphere_circle<R
     //   |s.sphere_circle()| with respect to the plane through the
     //   endpoints of $s$ and the tip of the normal of $h$.
     CGAL_NEF_TRACEN("    both in plane");
-    s.push_back(*this); 
+    s.push_back(*this);
     return 1;
   }
-  else if ( or1 != CGAL::ON_NEGATIVE_SIDE && 
-            or2 != CGAL::ON_NEGATIVE_SIDE ) { 
+  else if ( or1 != CGAL::ON_NEGATIVE_SIDE &&
+            or2 != CGAL::ON_NEGATIVE_SIDE ) {
     // this case covers the endpoints of $s$ as part of the closed
     //   oriented halfspace $h^{0+}$. At least one is part of
     //   $h^{+}$. If $s$ is not long then the segment must be fully part
     //   of $h^{0+}$. Otherwise if $s$ is long, then we at both ends
     //   there are subsegments as part of $h^{0+}$ (one might be
-    //   degenerate). 
-    if ( is_long() ) { 
+    //   degenerate).
+    if ( is_long() ) {
       Sphere_point<R> i1 = CGAL::intersection(ptr()->c_,c);
       Sphere_point<R> i2 = i1.antipode();
       Sphere_segment<R> so(i1,i2,sphere_circle());
       if ( so.has_on(source()) && so.has_on(target()) )
-	std::swap(i1,i2);
+        std::swap(i1,i2);
       // now source(),i1,i2,target() are circularly ordered
       s.push_back(Sphere_segment(source(),i1,sphere_circle()));
       s.push_back(Sphere_segment(i1,i2,sphere_circle()));
@@ -270,14 +270,14 @@ intersection(const CGAL::Sphere_circle<R
       return 3;
     } // now short:
     CGAL_NEF_TRACEN("    both >= plane, short ");
-    s.push_back(*this); 
-    return 1; 
-  } 
-  else if ( or1 != CGAL::ON_POSITIVE_SIDE && 
-            or2 != CGAL::ON_POSITIVE_SIDE ) { 
+    s.push_back(*this);
+    return 1;
+  }
+  else if ( or1 != CGAL::ON_POSITIVE_SIDE &&
+            or2 != CGAL::ON_POSITIVE_SIDE ) {
     // either both endpoints of $s$ are in $h^-$ or one is in $h^-$
-    //   and one on $h^0$. 
-    if ( is_long() ) { 
+    //   and one on $h^0$.
+    if ( is_long() ) {
       Sphere_point<R> i1 = CGAL::intersection(ptr()->c_,c);
       Sphere_point<R> i2 = i1.antipode();
       Sphere_segment so(i1,i2,sphere_circle());
@@ -300,72 +300,72 @@ intersection(const CGAL::Sphere_circle<R
 }
 */
 
-template <typename R> 
+template <typename R>
 int Sphere_segment<R>::
 intersection(const CGAL::Sphere_circle<R>& c,
              Sphere_segment<R>& s1, Sphere_segment<R>& s2) const
-{  
+{
   CGAL_NEF_TRACEN("    intersection "<<*this<<" "<<c);
   if ( is_degenerate() ) { CGAL_NEF_TRACEN("    degenerate");
-    if ( !c.has_on_negative_side(source()) ) 
+    if ( !c.has_on_negative_side(source()) )
     { s1 = *this; return 1; }
     return 0;
   }
   CGAL::Oriented_side or1 = c.oriented_side(source());
   CGAL::Oriented_side or2 = c.oriented_side(target());
-  if ( or1 == CGAL::opposite(or2) && or1 != or2 ) { 
+  if ( or1 == CGAL::opposite(or2) && or1 != or2 ) {
 // it is sure that $s$ intersects $h$ in its interior. the
 //       question is which part is in the halfspace $h^+$.
     CGAL_NEF_TRACEN("    opposite");
     Sphere_point<R> i1 = CGAL::intersection(this->ptr()->c_,c);
     if ( !has_on(i1) ) i1 = i1.antipode();
-    if ( or1 == CGAL::ON_POSITIVE_SIDE ) 
+    if ( or1 == CGAL::ON_POSITIVE_SIDE )
       s1 = Sphere_segment<R>(source(),i1,sphere_circle());
     else if ( or2 == CGAL::ON_POSITIVE_SIDE )
       s1 = Sphere_segment<R>(i1,target(),sphere_circle());
     else CGAL_error_msg("no intersection.");
     return 1;
   }
-  else if ( or1 == CGAL::ON_ORIENTED_BOUNDARY && 
-            or2 == CGAL::ON_ORIENTED_BOUNDARY ) { 
+  else if ( or1 == CGAL::ON_ORIENTED_BOUNDARY &&
+            or2 == CGAL::ON_ORIENTED_BOUNDARY ) {
 // if both ends of $s$ are part of $h$ then $s$ is a halfcircle or
 //    $s$ is fully part of $h$.  In this case we have to check if the
 //    halfcircle is not part of $h^-$.  This can be formulated by an
 //    orientation test of the point $p$ at the tip of the normal of
 //    |s.sphere_circle()| with respect to the plane through the
-//   endpoints of $s$ and the tip of the normal of $h$. 
+//   endpoints of $s$ and the tip of the normal of $h$.
     CGAL_NEF_TRACEN("    both in plane");
     if ( source() != target().antipode() ) {
       s1 = *this; return 1;
-    } 
+    }
     // now this is a halfcircle
     bool halfcircle_notin_hminus =
       (CGAL::orientation(source(),target(),
-			 CGAL::ORIGIN + c.orthogonal_vector(),
-			 CGAL::ORIGIN + sphere_circle().orthogonal_vector())
+                         CGAL::ORIGIN + c.orthogonal_vector(),
+                         CGAL::ORIGIN + sphere_circle().orthogonal_vector())
        != CGAL::POSITIVE);
     CGAL_NEF_TRACE("    ");CGAL_NEF_TRACEV(halfcircle_notin_hminus);
     if ( halfcircle_notin_hminus ) { s1 = *this; return 1; }
-    else { 
+    else {
       s1 = Sphere_segment(source(),source(),sphere_circle());
       s2 = Sphere_segment(target(),target(),sphere_circle());
       return 2;
     }
   }
-  else if ( or1 != CGAL::ON_NEGATIVE_SIDE && 
-            or2 != CGAL::ON_NEGATIVE_SIDE ) { 
+  else if ( or1 != CGAL::ON_NEGATIVE_SIDE &&
+            or2 != CGAL::ON_NEGATIVE_SIDE ) {
 // this case covers the endpoints of $s$ as part of the closed
 //   oriented halfspace $h^{0+}$. At least one is part of
 //   $h^{+}$. If $s$ is not long then the segment must be fully part
 //   of $h^{0+}$. Otherwise if $s$ is long, then we at both ends
 //   there are subsegments as part of $h^{0+}$ (one might be
 //   degenerate).
-    if ( is_long() ) { 
+    if ( is_long() ) {
       Sphere_point<R> i1 = CGAL::intersection(this->ptr()->c_,c);
       Sphere_point<R> i2 = i1.antipode();
       Sphere_segment<R> so(i1,i2,sphere_circle());
       if ( so.has_on(source()) && so.has_on(target()) )
-	std::swap(i1,i2);
+        std::swap(i1,i2);
       // now source(),i1,i2,target() are circularly ordered
       s1 = Sphere_segment(source(),i1,sphere_circle());
       s2 = Sphere_segment(i2,target(),sphere_circle());
@@ -373,13 +373,13 @@ intersection(const CGAL::Sphere_circle<R
       return 2;
     } // now short:
     CGAL_NEF_TRACEN("    both >= plane, short ");
-    s1=*this; return 1; 
-  } 
-  else if ( or1 != CGAL::ON_POSITIVE_SIDE && 
-            or2 != CGAL::ON_POSITIVE_SIDE ) { 
+    s1=*this; return 1;
+  }
+  else if ( or1 != CGAL::ON_POSITIVE_SIDE &&
+            or2 != CGAL::ON_POSITIVE_SIDE ) {
 // either both endpoints of $s$ are in $h^-$ or one is in $h^-$
 //     and one on $h^0$.
-    if ( is_long() ) { 
+    if ( is_long() ) {
       Sphere_point<R> i1 = CGAL::intersection(this->ptr()->c_,c);
       Sphere_point<R> i2 = i1.antipode();
       Sphere_segment<R> so(i1,i2,sphere_circle());
@@ -390,9 +390,9 @@ intersection(const CGAL::Sphere_circle<R
       s1 = so; return 1;
     } // now short
     CGAL_NEF_TRACEN("    both <= plane, short");
-    if ( or1 == CGAL::ON_ORIENTED_BOUNDARY ) 
+    if ( or1 == CGAL::ON_ORIENTED_BOUNDARY )
     { s1 = Sphere_segment<R>(source(),source(),sphere_circle()); return 1; }
-    if ( or2 == CGAL::ON_ORIENTED_BOUNDARY ) 
+    if ( or2 == CGAL::ON_ORIENTED_BOUNDARY )
     { s1 = Sphere_segment<R>(target(),target(),sphere_circle()); return 1; }
     return 0;
   }
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/Sphere_segment.h 5.0.3-1/include/CGAL/Nef_S2/Sphere_segment.h
--- 5.0.2-3/include/CGAL/Nef_S2/Sphere_segment.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/Sphere_segment.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/Sphere_segment.h $
-// $Id: Sphere_segment.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/Sphere_segment.h $
+// $Id: Sphere_segment.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel  <seel@mpi-sb.mpg.de>
 
@@ -22,8 +22,8 @@
 
 namespace CGAL {
 
-template <class R_> class Sphere_segment_rep 
-{ 
+template <class R_> class Sphere_segment_rep
+{
   typedef typename R_::Point_3 Point_3;
   typedef typename R_::Plane_3 Plane_3;
   typedef Sphere_point<R_>  Point;
@@ -34,27 +34,27 @@ public:
 Sphere_segment_rep() { ps_ = pt_ = Point(); c_ = Circle(); }
 
 Sphere_segment_rep(const Point& p1, const Point& p2,
-		   bool shorter_arc=true) :
-  ps_(p1), pt_(p2), c_(Plane_3(p1,p2,Point_3(0,0,0))) 
+                   bool shorter_arc=true) :
+  ps_(p1), pt_(p2), c_(Plane_3(p1,p2,Point_3(0,0,0)))
 { // warning stays as reminder that one gets an arbitrary plane equation
   // in this degenerate case
   CGAL_warning(p1 != p2.antipode());
   CGAL_assertion(p1 != p2.antipode());
-  if ( p1 == p2 ) { 
+  if ( p1 == p2 ) {
     Plane_3 h(Point_3(0,0,0),(p1-CGAL::ORIGIN));
     c_ = Sphere_circle<R_>(Plane_3(Point_3(0,0,0),h.base1()));
   }
-  if (!shorter_arc) c_ = c_.opposite(); 
+  if (!shorter_arc) c_ = c_.opposite();
   CGAL_exactness_assertion(c_.has_on(p1) && c_.has_on(p2));
 }
 
 Sphere_segment_rep(const Point& p1, const Point& p2, const Circle& c) :
-  ps_(p1), pt_(p2), c_(c) 
+  ps_(p1), pt_(p2), c_(c)
 { CGAL_assertion(c.has_on(p1)&&c.has_on(p2)); }
 
-Sphere_segment_rep(const Circle& c1, 
-                   const Circle& c2) : c_(c1) 
-{ CGAL_assertion(!equal_as_sets(c1,c2)); 
+Sphere_segment_rep(const Circle& c1,
+                   const Circle& c2) : c_(c1)
+{ CGAL_assertion(!equal_as_sets(c1,c2));
   ps_ = intersection(c1,c2);
   pt_ = ps_.antipode();
   if ( R_::orientation(Point_3(0,0,0),ps_,pt_,
@@ -62,10 +62,10 @@ Sphere_segment_rep(const Circle& c1,
        CGAL::POSITIVE ) std::swap(ps_,pt_);
 }
 
-Sphere_segment_rep(const Rep& r) : 
+Sphere_segment_rep(const Rep& r) :
   ps_(r.ps_), pt_(r.pt_), c_(r.c_) {}
 
-Rep& operator=(const Rep& r) 
+Rep& operator=(const Rep& r)
 { ps_=r.ps_; pt_=r.pt_; c_=r.c_; return *this; }
 
 protected:
@@ -74,11 +74,11 @@ protected:
 };
 
 
-/*{\Moptions print_title=yes }*/ 
+/*{\Moptions print_title=yes }*/
 /*{\Manpage{Sphere_segment}{R}{Segments on the unit sphere}{s}}*/
 
-template <class R_> 
-class Sphere_segment : 
+template <class R_>
+class Sphere_segment :
   public Handle_for< Sphere_segment_rep<R_> > {
 
 /*{\Mdefinition An object |\Mvar| of type |\Mname| is a segment in the
@@ -88,7 +88,7 @@ $q$ plus an oriented plane $h$ that cont
 determines the sphere segment. Let $c$ be the circle in the
 intersection of $h$ and $S_2$. Then $s$ is that part of $c$ that is
 swept, when we rotate $p$ into $q$ in counterclockwise rotation around
-the normal vector of $h$ as seen from the positive halfspace.}*/  
+the normal vector of $h$ as seen from the positive halfspace.}*/
 
 public:
 
@@ -122,11 +122,11 @@ arc is created. \precond |p1 != p2| and
 Sphere_segment(const Sphere_point<R>& p1, const Sphere_point<R>& p2,
                const Sphere_circle<R>& c) : Base(Rep(p1,p2,c)) {}
 /*{\Mcreate creates a spherical segment spanning the arc
-from |p1| to |p2| as part of the oriented circle |c| 
+from |p1| to |p2| as part of the oriented circle |c|
 (|p1 == p2| or |p1 == p2.antipode()| are possible.)
 \precond |p1| and |p2| are contained in |c|.}*/
 
-Sphere_segment(const Sphere_circle<R>& c1, 
+Sphere_segment(const Sphere_circle<R>& c1,
                const Sphere_circle<R>& c2) : Base(Rep(c1,c2)) {}
 /*{\Mcreate creates the spherical segment as part of |c1|
 that is part of the halfsphere left of the oriented circle |c2|.
@@ -143,13 +143,13 @@ const Sphere_point<R>& target() const {
 const Sphere_circle<R>& sphere_circle() const { return this->ptr()->c_; }
 /*{\Mop the great circle supporting |\Mvar|.}*/
 
-Sphere_segment<R> opposite() const 
+Sphere_segment<R> opposite() const
 /*{\Mop returns the sperical segment oriented from |target()|
   to |source()| with the same point set as |\Mvar|. }*/
 { return Sphere_segment<R>(
     target(),source(),sphere_circle().opposite()); }
-  
-Sphere_segment<R> complement() const 
+
+Sphere_segment<R> complement() const
 /*{\Mop returns the sperical segment oriented from |target()|
   to |source()| with the point set completing |\Mvar| to a
   full circle. }*/
@@ -169,35 +169,35 @@ Sphere_point<R> intersection(const Spher
 /*{\Mop returns the point of intersection of |\Mvar| and
 |so|. \precond |\Mvar| and |so| do intersect.}*/
 
-void split_halfcircle(Sphere_segment<R>& s1, 
+void split_halfcircle(Sphere_segment<R>& s1,
                       Sphere_segment<R>& s2) const
 /*{\Mop splits a halfcircle into two equally sized segments.
 \precond |\Mvar| is a halfcircle.}*/
 { CGAL_assertion( is_halfcircle() );
   Plane_3 h(Point_3(0,0,0),(target()-CGAL::ORIGIN));
-  Sphere_point<R> p = 
+  Sphere_point<R> p =
     CGAL::intersection(sphere_circle(),Sphere_circle<R>(h));
   if ( !has_on(p) ) p = p.antipode();
   s1 = Sphere_segment<R>(this->ptr()->ps_,p,this->ptr()->c_);
   s2 = Sphere_segment<R>(p,this->ptr()->pt_,this->ptr()->c_);
 }
 
-bool is_short() const 
+bool is_short() const
 /*{\Mop a segment is short iff it is shorter than a halfcircle.}*/
-{ 
+{
   return R().orientation_3_object()(Point_3(0,0,0),
                                     Point_3(source()),
                                     Point_3(target()),
-				    CGAL::ORIGIN +
+                                    CGAL::ORIGIN +
                                     this->ptr()->c_.orthogonal_vector())
     == CGAL::POSITIVE; }
 
-bool is_long() const 
+bool is_long() const
 /*{\Mop a segment is long iff it is longer than a halfcircle.}*/
 { return R().orientation_3_object()(Point_3(0,0,0),
                                     Point_3(source()),
                                     Point_3(target()),
-				    CGAL::ORIGIN + this->ptr()->c_.orthogonal_vector()) 
+                                    CGAL::ORIGIN + this->ptr()->c_.orthogonal_vector())
     == CGAL::NEGATIVE; }
 
 bool is_degenerate() const { return source() == target(); }
@@ -215,9 +215,9 @@ bool has_in_relative_interior(const Sphe
 its relative interior.}*/
 
 bool operator==(const Sphere_segment<R>& so) const
-{ return source() == so.source() && target() == so.target() && 
-         (source() == target() || 
-	  sphere_circle() == so.sphere_circle()); }
+{ return source() == so.source() && target() == so.target() &&
+         (source() == target() ||
+          sphere_circle() == so.sphere_circle()); }
 
 bool operator!=(const Sphere_segment<R>& so) const
 { return !operator==(so); }
@@ -234,18 +234,18 @@ intersection.}*/
 
 
 template <typename R>
-std::ostream& operator<<(std::ostream& os, 
+std::ostream& operator<<(std::ostream& os,
                          const CGAL::Sphere_segment<R>& s)
 { os << s.source()<<" "<<s.target()<<" "<<
   s.sphere_circle().plane()<<" "; return os; }
 
 template <typename R>
-std::istream& operator>>(std::istream& is, 
+std::istream& operator>>(std::istream& is,
                          CGAL::Sphere_segment<R>& s)
 { CGAL::Sphere_point<R>  p1,p2;
   CGAL::Sphere_circle<R> c;
-  if ( !(is >> p1 >> p2 >> c) ) return is; 
-  s = CGAL::Sphere_segment<R>(p1,p2,c); 
+  if ( !(is >> p1 >> p2 >> c) ) return is;
+  s = CGAL::Sphere_segment<R>(p1,p2,c);
   return is; }
 
 
@@ -265,7 +265,7 @@ Sphere_circle<R>::split_at_xy_plane() co
 { Self xycircle(0,0,1), yzcircle(1,0,0);
   if ( !equal_as_sets(xycircle,*this) )
     return split_at(intersection(*this,xycircle));
-  else 
+  else
     return split_at(intersection(*this,yzcircle));
 }
 
@@ -275,32 +275,32 @@ spanned by the source and the target wit
 to the supporting plane of $p$ and $q$. The logic depends on
 the segments length: long or short. */
 
-template <typename R> 
+template <typename R>
 bool Sphere_segment<R>::
-has_on(const CGAL::Sphere_point<R>& p) const 
+has_on(const CGAL::Sphere_point<R>& p) const
 { if ( !sphere_circle().has_on(p) ) return false;
-  if ( !is_long() ) { 
+  if ( !is_long() ) {
     return orientation(Point_3(0,0,0),
                        CGAL::ORIGIN + sphere_circle().orthogonal_vector(),
                        source(),p) !=
            CGAL::NEGATIVE &&
            orientation(Point_3(0,0,0),target(),
-                       CGAL::ORIGIN + 
+                       CGAL::ORIGIN +
                        sphere_circle().orthogonal_vector(),p) !=
            CGAL::NEGATIVE;
-  } else { 
+  } else {
     return orientation(Point_3(0,0,0),
                        CGAL::ORIGIN + sphere_circle().orthogonal_vector(),
                        source(),p) !=
            CGAL::NEGATIVE ||
            orientation(Point_3(0,0,0),target(),
-                       CGAL::ORIGIN + 
+                       CGAL::ORIGIN +
                        sphere_circle().orthogonal_vector(),p) !=
            CGAL::NEGATIVE;
   }
 }
 
-template <typename R> 
+template <typename R>
 bool Sphere_segment<R>::
 has_on_after_intersection(const CGAL::Sphere_point<R>& p) const {
     return orientation(Point_3(0,0,0),
@@ -308,29 +308,29 @@ has_on_after_intersection(const CGAL::Sp
                        source(),p) !=
            CGAL::NEGATIVE &&
            orientation(Point_3(0,0,0),target(),
-                       CGAL::ORIGIN + 
+                       CGAL::ORIGIN +
                        sphere_circle().orthogonal_vector(),p) !=
            CGAL::NEGATIVE;
 }
 
-template <typename R> 
+template <typename R>
 bool Sphere_segment<R>::
-has_in_relative_interior(const CGAL::Sphere_point<R>& p) const 
+has_in_relative_interior(const CGAL::Sphere_point<R>& p) const
 { if ( !sphere_circle().has_on(p) ) return false;
-  if ( !is_long() ) { 
+  if ( !is_long() ) {
     return orientation(Point_3(0,0,0),
                        CGAL::ORIGIN + sphere_circle().orthogonal_vector(),
                        source(),p) == CGAL::POSITIVE &&
            orientation(Point_3(0,0,0),target(),
-                       CGAL::ORIGIN + 
+                       CGAL::ORIGIN +
                        sphere_circle().orthogonal_vector(),p) ==
            CGAL::POSITIVE;
-  } else { 
+  } else {
     return orientation(Point_3(0,0,0),
                        CGAL::ORIGIN + sphere_circle().orthogonal_vector(),
                        source(),p) == CGAL::POSITIVE ||
            orientation(Point_3(0,0,0),target(),
-                       CGAL::ORIGIN + 
+                       CGAL::ORIGIN +
                        sphere_circle().orthogonal_vector(),p) ==
            CGAL::POSITIVE;
   }
@@ -341,18 +341,18 @@ has_in_relative_interior(const CGAL::Sph
 /* Intersection of two sphere segments. It does not work if the two
    involved planes are equal as sets. */
 
-template <typename R> 
+template <typename R>
 Sphere_point<R> Sphere_segment<R>::
 intersection(const Sphere_segment<R>& s) const
 {
   CGAL_assertion(!equal_as_sets(sphere_circle(),s.sphere_circle()));
-  Sphere_point<R> res = 
+  Sphere_point<R> res =
     CGAL::intersection(sphere_circle(),s.sphere_circle());
   if ( has_on(res) && s.has_on(res) ) return res;
   return res.antipode();
 }
 
-template <typename R> 
+template <typename R>
 bool do_intersect_internally(const Sphere_segment<R>& s1,
                              const Sphere_segment<R>& s2,
                              Sphere_point<R>& p)
@@ -360,16 +360,16 @@ bool do_intersect_internally(const Spher
   if ( equal_as_sets(s1.sphere_circle(),s2.sphere_circle()) )
     return false;
   p = CGAL::intersection(s1.sphere_circle(),s2.sphere_circle());
-  if ( s1.has_in_relative_interior(p) && 
+  if ( s1.has_in_relative_interior(p) &&
        s2.has_in_relative_interior(p) ) return true;
   p = p.antipode();
-  if ( s1.has_in_relative_interior(p) && 
+  if ( s1.has_in_relative_interior(p) &&
        s2.has_in_relative_interior(p) ) return true;
   return false;
 }
 
 
-template <typename R> 
+template <typename R>
 bool do_intersect_internally(const Sphere_circle<R>& c1,
                              const Sphere_segment<R>& s2,
                              Sphere_point<R>& p)
diff -pruN 5.0.2-3/include/CGAL/Nef_S2/Sphere_triangle.h 5.0.3-1/include/CGAL/Nef_S2/Sphere_triangle.h
--- 5.0.2-3/include/CGAL/Nef_S2/Sphere_triangle.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nef_S2/Sphere_triangle.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_S2/include/CGAL/Nef_S2/Sphere_triangle.h $
-// $Id: Sphere_triangle.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_S2/include/CGAL/Nef_S2/Sphere_triangle.h $
+// $Id: Sphere_triangle.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel  <seel@mpi-sb.mpg.de>
 
@@ -22,16 +22,16 @@
 
 namespace CGAL {
 
-template <class R_> class Sphere_triangle_rep 
+template <class R_> class Sphere_triangle_rep
 { typedef Sphere_point<R_>  Point;
   typedef Sphere_circle<R_> Circle;
   typedef Sphere_triangle_rep<R_> Rep;
 
-  std::array<Point,3>  points_; 
+  std::array<Point,3>  points_;
   std::array<Circle,3> circles_;
 
   friend class Sphere_triangle<R_>;
- 
+
   Sphere_triangle_rep(const Point& p1, const Point& p2, const Point& p3,
         const Circle& c1, const Circle& c2, const Circle& c3) :
     points_(CGAL::make_array(p1,p2,p3)), circles_(CGAL::make_array(c1,c2,c3)) {}
@@ -41,7 +41,7 @@ public:
 
 
 /*{\Manpage{Sphere_triangle}{R}{Triangles on the unit sphere}{t}}*/
-template <class R_> class Sphere_triangle : 
+template <class R_> class Sphere_triangle :
   public Handle_for< Sphere_triangle_rep<R_> > {
 /*{\Mdefinition An object |\Mvar| of type |\Mname| is a triangle
 on the surface of the unit sphere.}*/
@@ -61,10 +61,10 @@ Sphere_triangle() : Base() {}
 /*{\Mcreate creates some triangle.}*/
 
 Sphere_triangle(
-  const Sphere_point<R>& p0, const Sphere_point<R>& p1, 
+  const Sphere_point<R>& p0, const Sphere_point<R>& p1,
   const Sphere_point<R>& p2,
-  const Sphere_circle<R>& c0, const Sphere_circle<R>& c1, 
-  const Sphere_circle<R>& c2) : Base(Rep(p0,p1,p2,c0,c1,c2)) 
+  const Sphere_circle<R>& c0, const Sphere_circle<R>& c1,
+  const Sphere_circle<R>& c2) : Base(Rep(p0,p1,p2,c0,c1,c2))
 /*{\Mcreate creates a triangle spanned by the three points
 |p0|, |p1|, |p2|, where the triangle is left of the three circles
 |c0|, |c1|, |c2|. \precond $c_i$ contains $p_i$ and $p_{i+1}$ mod 3.}*/
@@ -73,19 +73,19 @@ Sphere_triangle(
   CGAL_assertion( c2.has_on(p2) && c0.has_on(p0) );
 }
 
-Sphere_triangle(const Sphere_triangle<R>& t) : Base(t) {} 
+Sphere_triangle(const Sphere_triangle<R>& t) : Base(t) {}
 
 /*{\Moperations 4 2}*/
 
-const Sphere_point<R>& point(unsigned i) const 
+const Sphere_point<R>& point(unsigned i) const
 /*{\Mop returns the ith point of |\Mvar|.}*/
 { return this->ptr()->points_[i%3]; }
 
-const Sphere_circle<R>& circle(unsigned i) const 
+const Sphere_circle<R>& circle(unsigned i) const
 /*{\Mop returns the ith circle of |\Mvar|.}*/
 { return this->ptr()->circles_[i%3]; }
 
-Sphere_triangle<R> opposite() const 
+Sphere_triangle<R> opposite() const
 /*{\Mop returns the opposite of |\Mvar|.}*/
 { return Sphere_triangle<R>(point(0), point(1), point(2),
     circle(0).opposite(), circle(1).opposite(), circle(2).opposite()); }
@@ -95,18 +95,18 @@ Sphere_triangle<R> opposite() const
 
 
 template <typename R>
-std::ostream& operator<<(std::ostream& os, 
+std::ostream& operator<<(std::ostream& os,
                          const CGAL::Sphere_triangle<R>& t)
 { for (int i=0; i<3; ++i) os << t.point(i);
   for (int i=0; i<3; ++i) os << t.circle(i);
   return os; }
 
 template <typename R>
-std::istream& operator>>(std::istream& is, 
+std::istream& operator>>(std::istream& is,
                          CGAL::Sphere_triangle<R>& t)
 { CGAL::Sphere_point<R> p1,p2,p3;
   CGAL::Sphere_circle<R> c1,c2,c3;
-  if ( !(is >> p1 >> p2 >> p3 >> c1 >> c2 >> c3) ) return is; 
+  if ( !(is >> p1 >> p2 >> p3 >> c1 >> c2 >> c3) ) return is;
   t = CGAL::Sphere_triangle<R>(p1,p2,p3,c1,c2,c3);
   return is; }
 
diff -pruN 5.0.2-3/include/CGAL/Nested_iterator.h 5.0.3-1/include/CGAL/Nested_iterator.h
--- 5.0.2-3/include/CGAL/Nested_iterator.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Nested_iterator.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Nested_iterator.h $
-// $Id: Nested_iterator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Nested_iterator.h $
+// $Id: Nested_iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@cse.nd.edu>
 
@@ -50,7 +50,7 @@ namespace internal {
       return this->begin(base_it) == this->end(base_it);
     }
 
-    
+
   };
 
   template<class F_iterator>
@@ -61,11 +61,11 @@ namespace internal {
     typedef typename Predicate::Traits::Iterator         Iterator;
     typedef typename Predicate::Traits::Base_iterator    Base_iterator;
 
-  public:    
+  public:
     FI_w_begin_end() : F_iterator() {}
 
     FI_w_begin_end(Base_iterator it2,
-		   Base_iterator it3)
+                   Base_iterator it3)
       : F_iterator(it2, Predicate(), it3) {}
 
     Iterator begin(Base_iterator it)
@@ -86,10 +86,10 @@ template<class Base_it, class Tr> class
 
 template<class Base_it, class Tr>
 bool operator==(const Nested_iterator<Base_it,Tr>&,
-		const Nested_iterator<Base_it,Tr>&);
+                const Nested_iterator<Base_it,Tr>&);
 
 template <typename Base_it,
-	  typename Tr = Nested_iterator_traits<Base_it> >
+          typename Tr = Nested_iterator_traits<Base_it> >
 class Nested_iterator
   : private internal::FI_w_begin_end<
   Filter_iterator<Base_it, internal::Emptyness_predicate<Tr> > >
@@ -103,7 +103,7 @@ public:
 protected:
   typedef internal::
   FI_w_begin_end< Filter_iterator<Base_iterator,
-				  internal::Emptyness_predicate<Tr> > >
+                                  internal::Emptyness_predicate<Tr> > >
   Filter_base_iterator;
 
 private:
@@ -119,7 +119,7 @@ public:
 public:
   Nested_iterator() : Filter_base_iterator(), nested_it_() {}
   Nested_iterator(Base_iterator base_it_end,
-		  Base_iterator base_it_cur)
+                  Base_iterator base_it_cur)
     : Filter_base_iterator(base_it_end, base_it_cur), nested_it_()
   {
     if ( !this->is_end() ) {
@@ -145,12 +145,12 @@ public:
     if ( nested_it_ != this->end( this->base() ) ) {
       ++nested_it_;
       if ( nested_it_ == this->end( this->base() ) ) {
-	Filter_base_iterator::operator++();
-	if ( !this->is_end() ) {
-	  nested_it_ = this->begin( this->base() );
-	}
+        Filter_base_iterator::operator++();
+        if ( !this->is_end() ) {
+          nested_it_ = this->begin( this->base() );
+        }
       }
-    } 
+    }
     return *this;
   }
 
@@ -169,11 +169,11 @@ public:
       --nested_it_;
     } else {
       if ( nested_it_ != this->begin( this->base() ) ) {
-	--nested_it_;
+        --nested_it_;
       } else {
-	Filter_base_iterator::operator--();
-	nested_it_ = this->end( this->base() );
-	--nested_it_;
+        Filter_base_iterator::operator--();
+        nested_it_ = this->end( this->base() );
+        --nested_it_;
       }
     }
     return *this;
@@ -181,13 +181,13 @@ public:
 
   Self operator--(int)
   {
-    
+
     Self tmp = *this;
     --(*this);
     return tmp;
   }
 
-  
+
   reference  operator*()  const
   {
     return *nested_it_;
@@ -220,7 +220,7 @@ protected:
 template<class Base_it, class Traits>
 inline
 bool operator==(const Nested_iterator<Base_it,Traits>& it1,
-		const Nested_iterator<Base_it,Traits>& it2)
+                const Nested_iterator<Base_it,Traits>& it2)
 {
   //  CGAL_precondition( it1.b_ == it2.b_ && it1.e_ == it2.e_ );
 
@@ -231,7 +231,7 @@ bool operator==(const Nested_iterator<Ba
 template<class Base_it, class Traits>
 inline
 bool operator!=(const Nested_iterator<Base_it,Traits>& it1,
-		const Nested_iterator<Base_it,Traits>& it2)
+                const Nested_iterator<Base_it,Traits>& it2)
 {
   return !(it1 == it2);
 }
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_base.h 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_base.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_base.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_base.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_base.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_base.h $
 // $Id: Cartesian_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_change_FT.h 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_change_FT.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_change_FT.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_change_FT.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_change_FT.h $
-// $Id: Cartesian_change_FT.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_change_FT.h $
+// $Id: Cartesian_change_FT.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -21,7 +21,7 @@ namespace CGAL {
 
 template < typename Base_, typename FT_, typename LA_=CGAL::LA_eigen<FT_,typename Base_::Default_ambient_dimension> >
 struct Cartesian_change_FT_base : public
-	Base_
+        Base_
 {
     constexpr Cartesian_change_FT_base(){}
     constexpr Cartesian_change_FT_base(int d):Base_(d){}
@@ -48,57 +48,57 @@ struct Cartesian_change_FT_base : public
 
     template<class Tag_,class Type_>
     struct Construct_cartesian_const_iterator_ {
-	    typedef typename Get_functor<Kernel_base, Tag_>::type Functor_base;
-	    Construct_cartesian_const_iterator_(){}
-	    Construct_cartesian_const_iterator_(Self const&r):f(r){}
-	    Functor_base f;
-	    typedef Type_ result_type;
-	    template<class T>
-	    result_type operator()(T const& v, Begin_tag)const{
-		    return make_transforming_iterator(f(v,Begin_tag()),FT_converter());
-	    }
-	    template<class T>
-	    result_type operator()(T const& v, End_tag)const{
-		    return make_transforming_iterator(f(v,End_tag()),FT_converter());
-	    }
+            typedef typename Get_functor<Kernel_base, Tag_>::type Functor_base;
+            Construct_cartesian_const_iterator_(){}
+            Construct_cartesian_const_iterator_(Self const&r):f(r){}
+            Functor_base f;
+            typedef Type_ result_type;
+            template<class T>
+            result_type operator()(T const& v, Begin_tag)const{
+                    return make_transforming_iterator(f(v,Begin_tag()),FT_converter());
+            }
+            template<class T>
+            result_type operator()(T const& v, End_tag)const{
+                    return make_transforming_iterator(f(v,End_tag()),FT_converter());
+            }
     };
     typedef Construct_cartesian_const_iterator_<Construct_ttag<Point_cartesian_const_iterator_tag>,Point_cartesian_const_iterator> Construct_point_cartesian_const_iterator;
     typedef Construct_cartesian_const_iterator_<Construct_ttag<Vector_cartesian_const_iterator_tag>,Vector_cartesian_const_iterator> Construct_vector_cartesian_const_iterator;
 
     template<class Tag_>
     struct Compute_cartesian_coordinate {
-	    typedef typename Get_functor<Kernel_base, Tag_>::type Functor_base;
-	    Compute_cartesian_coordinate(){}
-	    Compute_cartesian_coordinate(Self const&r):f(r){}
-	    Functor_base f;
-	    typedef FT_ result_type;
-	    template<class Obj_>
-	    result_type operator()(Obj_ const& v,int i)const{
-		    return FT_converter()(f(v,i));
-	    }
+            typedef typename Get_functor<Kernel_base, Tag_>::type Functor_base;
+            Compute_cartesian_coordinate(){}
+            Compute_cartesian_coordinate(Self const&r):f(r){}
+            Functor_base f;
+            typedef FT_ result_type;
+            template<class Obj_>
+            result_type operator()(Obj_ const& v,int i)const{
+                    return FT_converter()(f(v,i));
+            }
     };
 
     template<class T,class U=void,class=typename Get_functor_category<Cartesian_change_FT_base,T>::type> struct Functor :
-	    Inherit_functor<Kernel_base,T,U> { };
+            Inherit_functor<Kernel_base,T,U> { };
     template<class T,class U> struct Functor<T,U,Compute_tag> { };
     template<class T,class U> struct Functor<T,U,Predicate_tag> { };
     template<class D> struct Functor<Compute_point_cartesian_coordinate_tag,D,Compute_tag> {
-	    typedef Compute_cartesian_coordinate<Compute_point_cartesian_coordinate_tag> type;
+            typedef Compute_cartesian_coordinate<Compute_point_cartesian_coordinate_tag> type;
     };
     template<class D> struct Functor<Compute_vector_cartesian_coordinate_tag,D,Compute_tag> {
-	    typedef Compute_cartesian_coordinate<Compute_vector_cartesian_coordinate_tag> type;
+            typedef Compute_cartesian_coordinate<Compute_vector_cartesian_coordinate_tag> type;
     };
     template<class D> struct Functor<Construct_ttag<Point_cartesian_const_iterator_tag>,D,Construct_iterator_tag> {
-	    typedef Construct_point_cartesian_const_iterator type;
+            typedef Construct_point_cartesian_const_iterator type;
     };
     template<class D> struct Functor<Construct_ttag<Vector_cartesian_const_iterator_tag>,D,Construct_iterator_tag> {
-	    typedef Construct_vector_cartesian_const_iterator type;
+            typedef Construct_vector_cartesian_const_iterator type;
     };
 };
 
 template < typename Base_, typename FT_>
 struct Cartesian_change_FT : public
-	Cartesian_change_FT_base<Base_,FT_>
+        Cartesian_change_FT_base<Base_,FT_>
 {
     constexpr Cartesian_change_FT(){}
     constexpr Cartesian_change_FT(int d):Cartesian_change_FT_base<Base_,FT_>(d){}
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_complete.h 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_complete.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_complete.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_complete.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_complete.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_complete.h $
 // $Id: Cartesian_complete.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_filter_K.h 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_filter_K.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_filter_K.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_filter_K.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_filter_K.h $
-// $Id: Cartesian_filter_K.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_filter_K.h $
+// $Id: Cartesian_filter_K.h 6aec7dc 2020-04-09T23:50:26+02:00 Marc Glisse
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -20,23 +20,49 @@
 
 namespace CGAL {
 
-template < typename Base_, typename AK_, typename EK_ >
-struct Cartesian_filter_K : public Base_,
-  private Store_kernel<AK_>, private Store_kernel2<EK_>
+  // It would be nicer to write the table in the other direction: Orientation_of_points_tag is good up to 6, Side_of_oriented_sphere_tag up to 5, etc.
+template<class> struct Functors_without_division { typedef typeset<> type; };
+template<> struct Functors_without_division<Dimension_tag<1> > {
+  typedef typeset<Orientation_of_points_tag, Side_of_oriented_sphere_tag> type;
+};
+template<> struct Functors_without_division<Dimension_tag<2> > {
+  typedef typeset<Orientation_of_points_tag, Side_of_oriented_sphere_tag> type;
+};
+template<> struct Functors_without_division<Dimension_tag<3> > {
+  typedef typeset<Orientation_of_points_tag, Side_of_oriented_sphere_tag> type;
+};
+template<> struct Functors_without_division<Dimension_tag<4> > {
+  typedef typeset<Orientation_of_points_tag, Side_of_oriented_sphere_tag> type;
+};
+template<> struct Functors_without_division<Dimension_tag<5> > {
+  typedef typeset<Orientation_of_points_tag, Side_of_oriented_sphere_tag> type;
+};
+template<> struct Functors_without_division<Dimension_tag<6> > {
+  typedef typeset<Orientation_of_points_tag, Side_of_oriented_sphere_tag> type;
+};
+
+// FIXME:
+// - Is_exact (which should be renamed to Uses_no_arithmetic) predicates should not be filtered
+// - Functors_without_division should be defined near/in the actual functors
+
+template < typename Base_, typename AK_, typename EK_, typename Pred_list = typeset_all >
+struct Cartesian_filter_K : public Base_
 {
+    CGAL_NO_UNIQUE_ADDRESS Store_kernel<AK_> sak;
+    CGAL_NO_UNIQUE_ADDRESS Store_kernel<EK_> sek;
     constexpr Cartesian_filter_K(){}
     constexpr Cartesian_filter_K(int d):Base_(d){}
     //FIXME: or do we want an instance of AK and EK belonging to this kernel,
     //instead of a reference to external ones?
-    constexpr Cartesian_filter_K(AK_ const&a,EK_ const&b):Base_(),Store_kernel<AK_>(a),Store_kernel2<EK_>(b){}
-    constexpr Cartesian_filter_K(int d,AK_ const&a,EK_ const&b):Base_(d),Store_kernel<AK_>(a),Store_kernel2<EK_>(b){}
+    constexpr Cartesian_filter_K(AK_ const&a,EK_ const&b):Base_(),sak(a),sek(b){}
+    constexpr Cartesian_filter_K(int d,AK_ const&a,EK_ const&b):Base_(d),sak(a),sek(b){}
     typedef Base_ Kernel_base;
     typedef AK_ AK;
     typedef EK_ EK;
     typedef typename Store_kernel<AK_>::reference_type AK_rt;
-    AK_rt approximate_kernel()const{return this->kernel();}
-    typedef typename Store_kernel2<EK_>::reference2_type EK_rt;
-    EK_rt exact_kernel()const{return this->kernel2();}
+    AK_rt approximate_kernel()const{return sak.kernel();}
+    typedef typename Store_kernel<EK_>::reference_type EK_rt;
+    EK_rt exact_kernel()const{return sek.kernel();}
 
     // MSVC is too dumb to perform the empty base optimization.
     typedef boost::mpl::and_<
@@ -52,16 +78,16 @@ struct Cartesian_filter_K : public Base_
     // TODO: only fix some types, based on some criterion?
     template<class T> struct Type : Get_type<Kernel_base,T> {};
 
-    template<class T,class D=void,class=typename Get_functor_category<Cartesian_filter_K,T>::type> struct Functor :
+    template<class T,class D=void,class=typename Get_functor_category<Cartesian_filter_K,T>::type, bool=Pred_list::template contains<T>::value> struct Functor :
       Inherit_functor<Kernel_base,T,D> {};
-    template<class T,class D> struct Functor<T,D,Predicate_tag> {
+    template<class T,class D> struct Functor<T,D,Predicate_tag,true> {
       typedef typename Get_functor<AK, T>::type AP;
       typedef typename Get_functor<EK, T>::type EP;
-      typedef Filtered_predicate2<EP,AP,C2E,C2A> type;
+      typedef Filtered_predicate2<Cartesian_filter_K,EP,AP,C2E,C2A> type;
     };
 // TODO:
 //    template<class T> struct Functor<T,No_filter_tag,Predicate_tag> :
-//	    Kernel_base::template Functor<T,No_filter_tag> {};
+//            Kernel_base::template Functor<T,No_filter_tag> {};
 // TODO:
 // detect when Less_cartesian_coordinate doesn't need filtering
 };
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_filter_NT.h 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_filter_NT.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_filter_NT.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_filter_NT.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_filter_NT.h $
-// $Id: Cartesian_filter_NT.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_filter_NT.h $
+// $Id: Cartesian_filter_NT.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -31,26 +31,26 @@ struct Cartesian_filter_NT : public Base
     template<class T,class D=void,class=typename Get_functor_category<Cartesian_filter_NT,T>::type> struct Functor :
        Inherit_functor<Kernel_base,T,D> {};
     template<class T,class D> struct Functor<T,D,Predicate_tag> {
-	    struct type {
-		    //TODO: use compression (derive from a compressed_pair?)
-		    typedef typename Get_functor<K1, T>::type P1; P1 p1;
-		    typedef typename Get_functor<K2, T>::type P2; P2 p2;
-		    typedef typename P2::result_type result_type;
-		    type(){}
-		    type(Cartesian_filter_NT const&k):p1(reinterpret_cast<K1 const&>(k)),p2(reinterpret_cast<K2 const&>(k)){}
-		    //FIXME: if predicate's constructor takes a kernel as argument, how do we translate that? reinterpret_cast is really ugly and possibly unsafe.
-
-		    template<class...U> result_type operator()(U&&...u)const{
-			    {
-			          Protect_FPU_rounding<true> p;
-				  try {
-					  typename P1::result_type res=p1(u...); // don't forward as u may be reused
-					  if(is_certain(res)) return get_certain(res);
-				  } catch (Uncertain_conversion_exception&) {}
-			    }
-			    return p2(std::forward<U>(u)...);
-		    }
-	    };
+            struct type {
+                    //TODO: use compression (derive from a compressed_pair?)
+                    typedef typename Get_functor<K1, T>::type P1; P1 p1;
+                    typedef typename Get_functor<K2, T>::type P2; P2 p2;
+                    typedef typename P2::result_type result_type;
+                    type(){}
+                    type(Cartesian_filter_NT const&k):p1(reinterpret_cast<K1 const&>(k)),p2(reinterpret_cast<K2 const&>(k)){}
+                    //FIXME: if predicate's constructor takes a kernel as argument, how do we translate that? reinterpret_cast is really ugly and possibly unsafe.
+
+                    template<class...U> result_type operator()(U&&...u)const{
+                            {
+                                  Protect_FPU_rounding<true> p;
+                                  try {
+                                          typename P1::result_type res=p1(u...); // don't forward as u may be reused
+                                          if(is_certain(res)) return get_certain(res);
+                                  } catch (Uncertain_conversion_exception&) {}
+                            }
+                            return p2(std::forward<U>(u)...);
+                    }
+            };
     };
 };
 
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_LA_base.h 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_LA_base.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_LA_base.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_LA_base.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_LA_base.h $
-// $Id: Cartesian_LA_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_LA_base.h $
+// $Id: Cartesian_LA_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -35,18 +35,18 @@ namespace CGAL {
 
 template < typename FT_, typename Dim_,
 #if 1
-	 typename Vec_=Mix_vector<Array_vector<FT_, Dim_>,
-				  Vector_vector<FT_, Dim_>,
-				  FT_, Dim_>,
+         typename Vec_=Mix_vector<Array_vector<FT_, Dim_>,
+                                  Vector_vector<FT_, Dim_>,
+                                  FT_, Dim_>,
 #elif 0
-	 typename Vec_=Array_vector<FT_, Dim_>,
+         typename Vec_=Array_vector<FT_, Dim_>,
 #elif 0
-	 typename Vec_=Vector_vector<FT_, Dim_>,
+         typename Vec_=Vector_vector<FT_, Dim_>,
 #else
-	 // Dangerous because of alignment. Ok on x86_64 without AVX.
-	 typename Vec_=LA_eigen<FT_, Dim_>,
+         // Dangerous because of alignment. Ok on x86_64 without AVX.
+         typename Vec_=LA_eigen<FT_, Dim_>,
 #endif
-	 typename LA_=LA_eigen<FT_,Dim_> >
+         typename LA_=LA_eigen<FT_,Dim_> >
   /* Default LA to Vec or to LA_eigen? */
 struct Cartesian_LA_base_d : public Dimension_base<Dim_>
 {
@@ -88,78 +88,78 @@ struct Cartesian_LA_base_d : public Dime
       Iterator_list;
 
     template<class, class=void, class=boost::integral_constant<int,0> > struct Functor {
-	    typedef Null_functor type;
+            typedef Null_functor type;
     };
     template<class D> struct Functor<Construct_ttag<Vector_tag>,D> {
-	    typedef CartesianDVectorBase::Construct_LA_vector<Self,Null_vector> type;
+            typedef CartesianDVectorBase::Construct_LA_vector<Self,Null_vector> type;
     };
     template<class D> struct Functor<Construct_ttag<Point_tag>,D> {
-	    typedef CartesianDVectorBase::Construct_LA_vector<Self,Origin> type;
+            typedef CartesianDVectorBase::Construct_LA_vector<Self,Origin> type;
     };
     template<class D> struct Functor<Construct_ttag<Point_cartesian_const_iterator_tag>,D> {
-	    typedef CartesianDVectorBase::Construct_cartesian_const_iterator<Self> type;
+            typedef CartesianDVectorBase::Construct_cartesian_const_iterator<Self> type;
     };
     template<class D> struct Functor<Construct_ttag<Vector_cartesian_const_iterator_tag>,D> {
-	    typedef CartesianDVectorBase::Construct_cartesian_const_iterator<Self> type;
+            typedef CartesianDVectorBase::Construct_cartesian_const_iterator<Self> type;
     };
     template<class D> struct Functor<Sum_of_vectors_tag,D,
       boost::integral_constant<int,!LA_vector::template Property<Has_vector_plus_minus_tag>::value> > {
-	    typedef CartesianDVectorBase::Sum_of_vectors<Self> type;
+            typedef CartesianDVectorBase::Sum_of_vectors<Self> type;
     };
     template<class D> struct Functor<Difference_of_vectors_tag,D,
       boost::integral_constant<int,!LA_vector::template Property<Has_vector_plus_minus_tag>::value> > {
-	    typedef CartesianDVectorBase::Difference_of_vectors<Self> type;
+            typedef CartesianDVectorBase::Difference_of_vectors<Self> type;
     };
     template<class D> struct Functor<Opposite_vector_tag,D,
       boost::integral_constant<int,!LA_vector::template Property<Has_vector_plus_minus_tag>::value> > {
-	    typedef CartesianDVectorBase::Opposite_vector<Self> type;
+            typedef CartesianDVectorBase::Opposite_vector<Self> type;
     };
     template<class D> struct Functor<Midpoint_tag,D,
       boost::integral_constant<int,
-	   !LA_vector::template Property<Has_vector_plus_minus_tag>::value
-	|| !LA_vector::template Property<Has_vector_scalar_ops_tag>::value> > {
-	    typedef CartesianDVectorBase::Midpoint<Self> type;
+           !LA_vector::template Property<Has_vector_plus_minus_tag>::value
+        || !LA_vector::template Property<Has_vector_scalar_ops_tag>::value> > {
+            typedef CartesianDVectorBase::Midpoint<Self> type;
     };
     template<class D> struct Functor<Compute_point_cartesian_coordinate_tag,D> {
-	    typedef CartesianDVectorBase::Compute_cartesian_coordinate<Self> type;
+            typedef CartesianDVectorBase::Compute_cartesian_coordinate<Self> type;
     };
     template<class D> struct Functor<Compute_vector_cartesian_coordinate_tag,D> {
-	    typedef CartesianDVectorBase::Compute_cartesian_coordinate<Self> type;
+            typedef CartesianDVectorBase::Compute_cartesian_coordinate<Self> type;
     };
     template<class D> struct Functor<Point_dimension_tag,D> {
-	    typedef CartesianDVectorBase::PV_dimension<Self> type;
+            typedef CartesianDVectorBase::PV_dimension<Self> type;
     };
     template<class D> struct Functor<Vector_dimension_tag,D> {
-	    typedef CartesianDVectorBase::PV_dimension<Self> type;
+            typedef CartesianDVectorBase::PV_dimension<Self> type;
     };
     template<class D> struct Functor<Orientation_of_vectors_tag,D,
       boost::integral_constant<int,!LA_vector::template Property<Has_determinant_of_iterator_to_vectors_tag>::value> > {
-	    typedef CartesianDVectorBase::Orientation_of_vectors<Self> type;
+            typedef CartesianDVectorBase::Orientation_of_vectors<Self> type;
     };
     template<class D> struct Functor<Orientation_of_points_tag,D,
       boost::integral_constant<int,!LA_vector::template Property<Has_determinant_of_iterator_to_points_tag>::value> > {
-	    typedef CartesianDVectorBase::Orientation_of_points<Self> type;
+            typedef CartesianDVectorBase::Orientation_of_points<Self> type;
     };
     template<class D> struct Functor<Scalar_product_tag,D,
       boost::integral_constant<int,!LA_vector::template Property<Has_dot_product_tag>::value> > {
-	    typedef CartesianDVectorBase::Scalar_product<Self> type;
+            typedef CartesianDVectorBase::Scalar_product<Self> type;
     };
     template<class D> struct Functor<Squared_distance_to_origin_tag,D,
       boost::integral_constant<int,!LA_vector::template Property<Stores_squared_norm_tag>::value> > {
-	    typedef CartesianDVectorBase::Squared_distance_to_origin_stored<Self> type;
+            typedef CartesianDVectorBase::Squared_distance_to_origin_stored<Self> type;
     };
     // Use integral_constant<int,2> in case of failure, to distinguish from the previous one.
     template<class D> struct Functor<Squared_distance_to_origin_tag,D,
       boost::integral_constant<int,
-	(LA_vector::template Property<Stores_squared_norm_tag>::value
-	 || !LA_vector::template Property<Has_dot_product_tag>::value)*2> > {
-	    typedef CartesianDVectorBase::Squared_distance_to_origin_via_dotprod<Self> type;
+        (LA_vector::template Property<Stores_squared_norm_tag>::value
+         || !LA_vector::template Property<Has_dot_product_tag>::value)*2> > {
+            typedef CartesianDVectorBase::Squared_distance_to_origin_via_dotprod<Self> type;
     };
     template<class D> struct Functor<Point_to_vector_tag,D> {
-	    typedef CartesianDVectorBase::Identity_functor<Self> type;
+            typedef CartesianDVectorBase::Identity_functor<Self> type;
     };
     template<class D> struct Functor<Vector_to_point_tag,D> {
-	    typedef CartesianDVectorBase::Identity_functor<Self> type;
+            typedef CartesianDVectorBase::Identity_functor<Self> type;
     };
 
     constexpr Cartesian_LA_base_d(){}
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_LA_functors.h 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_LA_functors.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_LA_functors.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_LA_functors.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_LA_functors.h $
-// $Id: Cartesian_LA_functors.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_LA_functors.h $
+// $Id: Cartesian_LA_functors.h 822bc55 2020-03-27T08:28:48+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -27,266 +27,266 @@ namespace CartesianDVectorBase {
 template<class R_,class Zero_> struct Construct_LA_vector
 : private Store_kernel<R_>
 {
-	//CGAL_FUNCTOR_INIT_IGNORE(Construct_LA_vector)
-	CGAL_FUNCTOR_INIT_STORE(Construct_LA_vector)
-	typedef R_ R;
-	typedef typename R::Constructor Constructor;
-	typedef typename Get_type<R, RT_tag>::type RT;
-	typedef typename Get_type<R, FT_tag>::type FT;
-	typedef typename R::Vector_ result_type;
-	typedef typename R_::Default_ambient_dimension Dimension;
-	result_type operator()(int d)const{
-		CGAL_assertion(check_dimension_eq(d,this->kernel().dimension()));
-		return typename Constructor::Dimension()(d);
-	}
-	result_type operator()()const{
-		return typename Constructor::Dimension()((std::max)(0,this->kernel().dimension()));
-	}
-	result_type operator()(int d, Zero_ const&)const{
-		CGAL_assertion(check_dimension_eq(d,this->kernel().dimension()));
-		return typename Constructor::Dimension()(d);
-	}
-	result_type operator()(Zero_ const&)const{
-	  // Makes no sense for an unknown dimension.
-		return typename Constructor::Dimension()(this->kernel().dimension());
-	}
-	result_type operator()(result_type const& v)const{
-		return v;
-	}
-	result_type operator()(result_type&& v)const{
-		return std::move(v);
-	}
-	template<class...U>
-	typename std::enable_if<Constructible_from_each<RT,U...>::value &&
-		std::is_same<Dimension_tag<sizeof...(U)>, Dimension>::value,
-	  result_type>::type
-	operator()(U&&...u)const{
-		return typename Constructor::Values()(std::forward<U>(u)...);
-	}
-	//template<class...U,class=typename std::enable_if<Constructible_from_each<RT,U...>::value>::type,class=typename std::enable_if<(sizeof...(U)==static_dim+1)>::type,class=void>
-	template<class...U>
-	typename std::enable_if<Constructible_from_each<RT,U...>::value &&
-		std::is_same<Dimension_tag<sizeof...(U)-1>, Dimension>::value,
-	  result_type>::type
-	operator()(U&&...u)const{
-		return Apply_to_last_then_rest()(typename Constructor::Values_divide(),std::forward<U>(u)...);
-	}
-	template<class Iter> inline
-	  typename std::enable_if_t<is_iterator_type<Iter,std::forward_iterator_tag>::value,result_type> operator()
-		(Iter f,Iter g,Cartesian_tag t)const
-	{
-		return this->operator()((int)std::distance(f,g),f,g,t);
-	}
-	template<class Iter> inline
-	  typename std::enable_if_t<is_iterator_type<Iter,std::forward_iterator_tag>::value,result_type> operator()
-		(int d,Iter f,Iter g,Cartesian_tag)const
-	{
-		CGAL_assertion(d==std::distance(f,g));
-		CGAL_assertion(check_dimension_eq(d,this->kernel().dimension()));
-		return typename Constructor::Iterator()(d,f,g);
-	}
-	template<class Iter> inline
-	  typename std::enable_if_t<is_iterator_type<Iter,std::bidirectional_iterator_tag>::value,result_type> operator()
-		(Iter f,Iter g,Homogeneous_tag)const
-	{
-		--g;
-		return this->operator()((int)std::distance(f,g),f,g,*g);
-	}
-	template<class Iter> inline
-	  typename std::enable_if_t<is_iterator_type<Iter,std::bidirectional_iterator_tag>::value,result_type> operator()
-		(int d,Iter f,Iter g,Homogeneous_tag)const
-	{
-		--g;
-		return this->operator()(d,f,g,*g);
-	}
-	template<class Iter> inline
-	  typename std::enable_if_t<is_iterator_type<Iter,std::forward_iterator_tag>::value,result_type> operator()
-		(Iter f,Iter g)const
-	{
-	  // Shouldn't it try comparing dist(f,g) to the dimension if it is known?
-		return this->operator()(f,g,typename R::Rep_tag());
-	}
-	template<class Iter> inline
-	  typename std::enable_if_t<is_iterator_type<Iter,std::forward_iterator_tag>::value,result_type> operator()
-		(int d,Iter f,Iter g)const
-	{
-		return this->operator()(d,f,g,typename R::Rep_tag());
-	}
-
-	// Last homogeneous coordinate given separately
-	template<class Iter,class NT> inline
-	  typename std::enable_if_t<is_iterator_type<Iter,std::forward_iterator_tag>::value,result_type> operator()
-		(int d,Iter f,Iter g,NT const&l)const
-	{
-		CGAL_assertion(d==std::distance(f,g));
-		CGAL_assertion(check_dimension_eq(d,this->kernel().dimension()));
-		// RT? better be safe for now
-		return typename Constructor::Iterator()(d,CGAL::make_transforming_iterator(f,Divide<FT,NT>(l)),CGAL::make_transforming_iterator(g,Divide<FT,NT>(l)));
-	}
-	template<class Iter,class NT> inline
-	  typename std::enable_if_t<is_iterator_type<Iter,std::forward_iterator_tag>::value,result_type> operator()
-		(Iter f,Iter g,NT const&l)const
-	{
-		return this->operator()((int)std::distance(f,g),f,g,l);
-	}
+        //CGAL_FUNCTOR_INIT_IGNORE(Construct_LA_vector)
+        CGAL_FUNCTOR_INIT_STORE(Construct_LA_vector)
+        typedef R_ R;
+        typedef typename R::Constructor Constructor;
+        typedef typename Get_type<R, RT_tag>::type RT;
+        typedef typename Get_type<R, FT_tag>::type FT;
+        typedef typename R::Vector_ result_type;
+        typedef typename R_::Default_ambient_dimension Dimension;
+        result_type operator()(int d)const{
+                CGAL_assertion(check_dimension_eq(d,this->kernel().dimension()));
+                return typename Constructor::Dimension()(d);
+        }
+        result_type operator()()const{
+                return typename Constructor::Dimension()((std::max)(0,this->kernel().dimension()));
+        }
+        result_type operator()(int d, Zero_ const&)const{
+                CGAL_assertion(check_dimension_eq(d,this->kernel().dimension()));
+                return typename Constructor::Dimension()(d);
+        }
+        result_type operator()(Zero_ const&)const{
+          // Makes no sense for an unknown dimension.
+                return typename Constructor::Dimension()(this->kernel().dimension());
+        }
+        result_type operator()(result_type const& v)const{
+                return v;
+        }
+        result_type operator()(result_type&& v)const{
+                return std::move(v);
+        }
+        template<class...U>
+        typename std::enable_if<Constructible_from_each<RT,U...>::value &&
+                std::is_same<Dimension_tag<int(sizeof...(U))>, Dimension>::value,
+          result_type>::type
+        operator()(U&&...u)const{
+                return typename Constructor::Values()(std::forward<U>(u)...);
+        }
+        //template<class...U,class=typename std::enable_if<Constructible_from_each<RT,U...>::value>::type,class=typename std::enable_if<(sizeof...(U)==static_dim+1)>::type,class=void>
+        template<class...U>
+        typename std::enable_if<Constructible_from_each<RT,U...>::value &&
+                std::is_same<Dimension_tag<int(sizeof...(U)-1)>, Dimension>::value,
+          result_type>::type
+        operator()(U&&...u)const{
+                return Apply_to_last_then_rest()(typename Constructor::Values_divide(),std::forward<U>(u)...);
+        }
+        template<class Iter> inline
+          typename std::enable_if_t<is_iterator_type<Iter,std::forward_iterator_tag>::value,result_type> operator()
+                (Iter f,Iter g,Cartesian_tag t)const
+        {
+                return this->operator()((int)std::distance(f,g),f,g,t);
+        }
+        template<class Iter> inline
+          typename std::enable_if_t<is_iterator_type<Iter,std::forward_iterator_tag>::value,result_type> operator()
+                (int d,Iter f,Iter g,Cartesian_tag)const
+        {
+                CGAL_assertion(d==std::distance(f,g));
+                CGAL_assertion(check_dimension_eq(d,this->kernel().dimension()));
+                return typename Constructor::Iterator()(d,f,g);
+        }
+        template<class Iter> inline
+          typename std::enable_if_t<is_iterator_type<Iter,std::bidirectional_iterator_tag>::value,result_type> operator()
+                (Iter f,Iter g,Homogeneous_tag)const
+        {
+                --g;
+                return this->operator()((int)std::distance(f,g),f,g,*g);
+        }
+        template<class Iter> inline
+          typename std::enable_if_t<is_iterator_type<Iter,std::bidirectional_iterator_tag>::value,result_type> operator()
+                (int d,Iter f,Iter g,Homogeneous_tag)const
+        {
+                --g;
+                return this->operator()(d,f,g,*g);
+        }
+        template<class Iter> inline
+          typename std::enable_if_t<is_iterator_type<Iter,std::forward_iterator_tag>::value,result_type> operator()
+                (Iter f,Iter g)const
+        {
+          // Shouldn't it try comparing dist(f,g) to the dimension if it is known?
+                return this->operator()(f,g,typename R::Rep_tag());
+        }
+        template<class Iter> inline
+          typename std::enable_if_t<is_iterator_type<Iter,std::forward_iterator_tag>::value,result_type> operator()
+                (int d,Iter f,Iter g)const
+        {
+                return this->operator()(d,f,g,typename R::Rep_tag());
+        }
+
+        // Last homogeneous coordinate given separately
+        template<class Iter,class NT> inline
+          typename std::enable_if_t<is_iterator_type<Iter,std::forward_iterator_tag>::value,result_type> operator()
+                (int d,Iter f,Iter g,NT const&l)const
+        {
+                CGAL_assertion(d==std::distance(f,g));
+                CGAL_assertion(check_dimension_eq(d,this->kernel().dimension()));
+                // RT? better be safe for now
+                return typename Constructor::Iterator()(d,CGAL::make_transforming_iterator(f,Divide<FT,NT>(l)),CGAL::make_transforming_iterator(g,Divide<FT,NT>(l)));
+        }
+        template<class Iter,class NT> inline
+          typename std::enable_if_t<is_iterator_type<Iter,std::forward_iterator_tag>::value,result_type> operator()
+                (Iter f,Iter g,NT const&l)const
+        {
+                return this->operator()((int)std::distance(f,g),f,g,l);
+        }
 };
 
 template<class R_> struct Compute_cartesian_coordinate {
-	CGAL_FUNCTOR_INIT_IGNORE(Compute_cartesian_coordinate)
-	typedef R_ R;
-	typedef typename Get_type<R, RT_tag>::type RT;
-	typedef typename R::Vector_ first_argument_type;
-	typedef int second_argument_type;
-	typedef Tag_true Is_exact;
-	typedef decltype(std::declval<const first_argument_type>()[0]) result_type;
-
-	template <typename index_type>
-	result_type operator()(first_argument_type const& v,index_type i)const{
-		return v[i];
-	}
+        CGAL_FUNCTOR_INIT_IGNORE(Compute_cartesian_coordinate)
+        typedef R_ R;
+        typedef typename Get_type<R, RT_tag>::type RT;
+        typedef typename R::Vector_ first_argument_type;
+        typedef int second_argument_type;
+        typedef Tag_true Is_exact;
+        typedef decltype(std::declval<const first_argument_type>()[0]) result_type;
+
+        template <typename index_type>
+        result_type operator()(first_argument_type const& v,index_type i)const{
+                return v[i];
+        }
 };
 
 template<class R_> struct Construct_cartesian_const_iterator {
-	CGAL_FUNCTOR_INIT_IGNORE(Construct_cartesian_const_iterator)
-	typedef R_ R;
-	typedef typename R::Vector_ argument_type;
-	typedef typename R::LA_vector S_;
-	typedef typename R::Point_cartesian_const_iterator result_type;
-	// same as Vector
-	typedef Tag_true Is_exact;
-
-	result_type operator()(argument_type const& v,Begin_tag)const{
-		return S_::vector_begin(v);
-	}
-	result_type operator()(argument_type const& v,End_tag)const{
-		return S_::vector_end(v);
-	}
+        CGAL_FUNCTOR_INIT_IGNORE(Construct_cartesian_const_iterator)
+        typedef R_ R;
+        typedef typename R::Vector_ argument_type;
+        typedef typename R::LA_vector S_;
+        typedef typename R::Point_cartesian_const_iterator result_type;
+        // same as Vector
+        typedef Tag_true Is_exact;
+
+        result_type operator()(argument_type const& v,Begin_tag)const{
+                return S_::vector_begin(v);
+        }
+        result_type operator()(argument_type const& v,End_tag)const{
+                return S_::vector_end(v);
+        }
 };
 
 template<class R_> struct Midpoint {
-	CGAL_FUNCTOR_INIT_IGNORE(Midpoint)
-	typedef R_ R;
-	typedef typename Get_type<R, Point_tag>::type first_argument_type;
-	typedef typename Get_type<R, Point_tag>::type second_argument_type;
-	typedef typename Get_type<R, Point_tag>::type result_type;
-
-	result_type operator()(result_type const& a, result_type const& b)const{
-		return (a+b)/2;
-	}
+        CGAL_FUNCTOR_INIT_IGNORE(Midpoint)
+        typedef R_ R;
+        typedef typename Get_type<R, Point_tag>::type first_argument_type;
+        typedef typename Get_type<R, Point_tag>::type second_argument_type;
+        typedef typename Get_type<R, Point_tag>::type result_type;
+
+        result_type operator()(result_type const& a, result_type const& b)const{
+                return (a+b)/2;
+        }
 };
 
 template<class R_> struct Sum_of_vectors {
-	CGAL_FUNCTOR_INIT_IGNORE(Sum_of_vectors)
-	typedef R_ R;
-	typedef typename Get_type<R, Vector_tag>::type first_argument_type;
-	typedef typename Get_type<R, Vector_tag>::type second_argument_type;
-	typedef typename Get_type<R, Vector_tag>::type result_type;
-
-	result_type operator()(result_type const& a, result_type const& b)const{
-		return a+b;
-	}
+        CGAL_FUNCTOR_INIT_IGNORE(Sum_of_vectors)
+        typedef R_ R;
+        typedef typename Get_type<R, Vector_tag>::type first_argument_type;
+        typedef typename Get_type<R, Vector_tag>::type second_argument_type;
+        typedef typename Get_type<R, Vector_tag>::type result_type;
+
+        result_type operator()(result_type const& a, result_type const& b)const{
+                return a+b;
+        }
 };
 
 template<class R_> struct Difference_of_vectors {
-	CGAL_FUNCTOR_INIT_IGNORE(Difference_of_vectors)
-	typedef R_ R;
-	typedef typename Get_type<R, Vector_tag>::type first_argument_type;
-	typedef typename Get_type<R, Vector_tag>::type second_argument_type;
-	typedef typename Get_type<R, Vector_tag>::type result_type;
-
-	result_type operator()(result_type const& a, result_type const& b)const{
-		return a-b;
-	}
+        CGAL_FUNCTOR_INIT_IGNORE(Difference_of_vectors)
+        typedef R_ R;
+        typedef typename Get_type<R, Vector_tag>::type first_argument_type;
+        typedef typename Get_type<R, Vector_tag>::type second_argument_type;
+        typedef typename Get_type<R, Vector_tag>::type result_type;
+
+        result_type operator()(result_type const& a, result_type const& b)const{
+                return a-b;
+        }
 };
 
 template<class R_> struct Opposite_vector {
-	CGAL_FUNCTOR_INIT_IGNORE(Opposite_vector)
-	typedef R_ R;
-	typedef typename Get_type<R, Vector_tag>::type result_type;
-	typedef typename Get_type<R, Vector_tag>::type argument_type;
-
-	result_type operator()(result_type const& v)const{
-		return -v;
-	}
+        CGAL_FUNCTOR_INIT_IGNORE(Opposite_vector)
+        typedef R_ R;
+        typedef typename Get_type<R, Vector_tag>::type result_type;
+        typedef typename Get_type<R, Vector_tag>::type argument_type;
+
+        result_type operator()(result_type const& v)const{
+                return -v;
+        }
 };
 
 template<class R_> struct Scalar_product {
-	CGAL_FUNCTOR_INIT_IGNORE(Scalar_product)
-	typedef R_ R;
-	typedef typename R::LA_vector LA;
-	typedef typename Get_type<R, RT_tag>::type result_type;
-	typedef typename Get_type<R, Vector_tag>::type first_argument_type;
-	typedef typename Get_type<R, Vector_tag>::type second_argument_type;
-
-	result_type operator()(first_argument_type const& a, second_argument_type const& b)const{
-		return LA::dot_product(a,b);
-	}
+        CGAL_FUNCTOR_INIT_IGNORE(Scalar_product)
+        typedef R_ R;
+        typedef typename R::LA_vector LA;
+        typedef typename Get_type<R, RT_tag>::type result_type;
+        typedef typename Get_type<R, Vector_tag>::type first_argument_type;
+        typedef typename Get_type<R, Vector_tag>::type second_argument_type;
+
+        result_type operator()(first_argument_type const& a, second_argument_type const& b)const{
+                return LA::dot_product(a,b);
+        }
 };
 
 template<class R_> struct Squared_distance_to_origin_stored {
-	CGAL_FUNCTOR_INIT_IGNORE(Squared_distance_to_origin_stored)
-	typedef R_ R;
-	typedef typename R::LA_vector LA;
-	typedef typename Get_type<R, RT_tag>::type result_type;
-	typedef typename Get_type<R, Point_tag>::type argument_type;
-
-	result_type operator()(argument_type const& a)const{
-		return LA::squared_norm(a);
-	}
+        CGAL_FUNCTOR_INIT_IGNORE(Squared_distance_to_origin_stored)
+        typedef R_ R;
+        typedef typename R::LA_vector LA;
+        typedef typename Get_type<R, RT_tag>::type result_type;
+        typedef typename Get_type<R, Point_tag>::type argument_type;
+
+        result_type operator()(argument_type const& a)const{
+                return LA::squared_norm(a);
+        }
 };
 
 template<class R_> struct Squared_distance_to_origin_via_dotprod {
-	CGAL_FUNCTOR_INIT_IGNORE(Squared_distance_to_origin_via_dotprod)
-	typedef R_ R;
-	typedef typename R::LA_vector LA;
-	typedef typename Get_type<R, RT_tag>::type result_type;
-	typedef typename Get_type<R, Point_tag>::type argument_type;
-
-	result_type operator()(argument_type const& a)const{
-		return LA::dot_product(a,a);
-	}
+        CGAL_FUNCTOR_INIT_IGNORE(Squared_distance_to_origin_via_dotprod)
+        typedef R_ R;
+        typedef typename R::LA_vector LA;
+        typedef typename Get_type<R, RT_tag>::type result_type;
+        typedef typename Get_type<R, Point_tag>::type argument_type;
+
+        result_type operator()(argument_type const& a)const{
+                return LA::dot_product(a,a);
+        }
 };
 
 template<class R_> struct Orientation_of_vectors {
-	CGAL_FUNCTOR_INIT_IGNORE(Orientation_of_vectors)
-	typedef R_ R;
-	typedef typename R::Vector_cartesian_const_iterator first_argument_type;
-	typedef typename R::Vector_cartesian_const_iterator second_argument_type;
-	typedef typename Get_type<R, Orientation_tag>::type result_type;
-	typedef typename R::LA_vector LA;
-
-	template<class Iter>
-	result_type operator()(Iter const& f, Iter const& e) const {
-		return LA::determinant_of_iterators_to_vectors(f,e);
-	}
+        CGAL_FUNCTOR_INIT_IGNORE(Orientation_of_vectors)
+        typedef R_ R;
+        typedef typename R::Vector_cartesian_const_iterator first_argument_type;
+        typedef typename R::Vector_cartesian_const_iterator second_argument_type;
+        typedef typename Get_type<R, Orientation_tag>::type result_type;
+        typedef typename R::LA_vector LA;
+
+        template<class Iter>
+        result_type operator()(Iter const& f, Iter const& e) const {
+                return LA::determinant_of_iterators_to_vectors(f,e);
+        }
 };
 
 template<class R_> struct Orientation_of_points {
-	CGAL_FUNCTOR_INIT_IGNORE(Orientation_of_points)
-	typedef R_ R;
-	typedef typename R::Point_cartesian_const_iterator first_argument_type;
-	typedef typename R::Point_cartesian_const_iterator second_argument_type;
-	typedef typename Get_type<R, Orientation_tag>::type result_type;
-	typedef typename R::LA_vector LA;
-
-	template<class Iter>
-	result_type operator()(Iter const& f, Iter const& e) const {
-		return LA::determinant_of_iterators_to_points(f,e);
-	}
+        CGAL_FUNCTOR_INIT_IGNORE(Orientation_of_points)
+        typedef R_ R;
+        typedef typename R::Point_cartesian_const_iterator first_argument_type;
+        typedef typename R::Point_cartesian_const_iterator second_argument_type;
+        typedef typename Get_type<R, Orientation_tag>::type result_type;
+        typedef typename R::LA_vector LA;
+
+        template<class Iter>
+        result_type operator()(Iter const& f, Iter const& e) const {
+                return LA::determinant_of_iterators_to_points(f,e);
+        }
 };
 
 template<class R_> struct PV_dimension {
-	CGAL_FUNCTOR_INIT_IGNORE(PV_dimension)
-	typedef R_ R;
-	typedef typename R::Vector_ argument_type;
-	typedef int result_type;
-	typedef typename R::LA_vector LA;
-	typedef Tag_true Is_exact;
-
-	template<class T>
-	result_type operator()(T const& v) const {
-		return LA::size_of_vector(v);
-	}
+        CGAL_FUNCTOR_INIT_IGNORE(PV_dimension)
+        typedef R_ R;
+        typedef typename R::Vector_ argument_type;
+        typedef int result_type;
+        typedef typename R::LA_vector LA;
+        typedef Tag_true Is_exact;
+
+        template<class T>
+        result_type operator()(T const& v) const {
+                return LA::size_of_vector(v);
+        }
 };
 
 template<class R_> struct Identity_functor {
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_per_dimension.h 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_per_dimension.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_per_dimension.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_per_dimension.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_per_dimension.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_per_dimension.h $
 // $Id: Cartesian_per_dimension.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_static_filters.h 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_static_filters.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Cartesian_static_filters.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Cartesian_static_filters.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_static_filters.h $
-// $Id: Cartesian_static_filters.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Cartesian_static_filters.h $
+// $Id: Cartesian_static_filters.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -21,40 +21,40 @@ namespace CGAL {
 namespace SFA { // static filter adapter
 // Note that this would be quite a bit simpler without stateful kernels
 template <class Base_,class R_> struct Orientation_of_points_2 : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Orientation_of_points_2)
-	typedef typename Get_type<R_, Point_tag>::type	Point;
-	typedef typename Get_type<R_, Orientation_tag>::type result_type;
-	typedef typename Get_type<R_, FT_tag>::type FT;
-	typedef typename Get_functor<R_, Compute_point_cartesian_coordinate_tag>::type CC;
-	typedef typename Get_functor<Base_, Orientation_of_points_tag>::type Orientation_base;
-	// TODO: Move this out for easy reuse
-	struct Adapter {
-		struct Point_2 {
-			R_ const&r; CC const&c; Point const& p;
-			Point_2(R_ const&r_, CC const&c_, Point const&p_):r(r_),c(c_),p(p_){}
-			// use result_of instead?
-			typename CC::result_type x()const{return c(p,0);}
-			typename CC::result_type y()const{return c(p,1);}
-		};
-		struct Vector_2 {};
-		struct Circle_2 {};
-		struct Orientation_2 {
-			typedef typename Orientation_of_points_2::result_type result_type;
-			result_type operator()(Point_2 const&A, Point_2 const&B, Point_2 const&C)const{
-				Point const* t[3]={&A.p,&B.p,&C.p};
-				return Orientation_base(A.r)(make_transforming_iterator<Dereference_functor>(t+0),make_transforming_iterator<Dereference_functor>(t+3));
-			}
-		};
-	};
-	template<class Iter> result_type operator()(Iter f, Iter CGAL_assertion_code(e))const{
-		CC c(this->kernel());
-		Point const& A=*f;
-		Point const& B=*++f;
-		Point const& C=*++f;
-		CGAL_assertion(++f==e);
-		typedef typename Adapter::Point_2 P;
-		return typename internal::Static_filters_predicates::Orientation_2<Adapter>()(P(this->kernel(),c,A),P(this->kernel(),c,B),P(this->kernel(),c,C));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Orientation_of_points_2)
+        typedef typename Get_type<R_, Point_tag>::type        Point;
+        typedef typename Get_type<R_, Orientation_tag>::type result_type;
+        typedef typename Get_type<R_, FT_tag>::type FT;
+        typedef typename Get_functor<R_, Compute_point_cartesian_coordinate_tag>::type CC;
+        typedef typename Get_functor<Base_, Orientation_of_points_tag>::type Orientation_base;
+        // TODO: Move this out for easy reuse
+        struct Adapter {
+                struct Point_2 {
+                        R_ const&r; CC const&c; Point const& p;
+                        Point_2(R_ const&r_, CC const&c_, Point const&p_):r(r_),c(c_),p(p_){}
+                        // use result_of instead?
+                        typename CC::result_type x()const{return c(p,0);}
+                        typename CC::result_type y()const{return c(p,1);}
+                };
+                struct Vector_2 {};
+                struct Circle_2 {};
+                struct Orientation_2 {
+                        typedef typename Orientation_of_points_2::result_type result_type;
+                        result_type operator()(Point_2 const&A, Point_2 const&B, Point_2 const&C)const{
+                                Point const* t[3]={&A.p,&B.p,&C.p};
+                                return Orientation_base(A.r)(make_transforming_iterator<Dereference_functor>(t+0),make_transforming_iterator<Dereference_functor>(t+3));
+                        }
+                };
+        };
+        template<class Iter> result_type operator()(Iter f, Iter CGAL_assertion_code(e))const{
+                CC c(this->kernel());
+                Point const& A=*f;
+                Point const& B=*++f;
+                Point const& C=*++f;
+                CGAL_assertion(++f==e);
+                typedef typename Adapter::Point_2 P;
+                return typename internal::Static_filters_predicates::Orientation_2<Adapter>()(P(this->kernel(),c,A),P(this->kernel(),c,B),P(this->kernel(),c,C));
+        }
 };
 }
 
@@ -68,18 +68,18 @@ template <class R_, class Derived_>
 struct Cartesian_static_filters<Dimension_tag<2>, R_, Derived_> : public R_ {
   constexpr Cartesian_static_filters(){}
   constexpr Cartesian_static_filters(int d):R_(d){}
-	typedef Cartesian_static_filters<Dimension_tag<2>, R_, Derived_> Self;
-	typedef typename Default::Get<Derived_,Self>::type Derived;
-	template <class T, class=void> struct Functor : Inherit_functor<R_, T> {};
-	template <class D> struct Functor <Orientation_of_points_tag,D> {
-		typedef
-			//typename boost::mpl::if_ <
-			//boost::is_same<D,No_filter_tag>,
-			//typename Get_functor<R_, Orientation_of_points_tag>::type,
-			SFA::Orientation_of_points_2<R_,Derived>
-			//	>::type
-				type;
-	};
+        typedef Cartesian_static_filters<Dimension_tag<2>, R_, Derived_> Self;
+        typedef typename Default::Get<Derived_,Self>::type Derived;
+        template <class T, class=void> struct Functor : Inherit_functor<R_, T> {};
+        template <class D> struct Functor <Orientation_of_points_tag,D> {
+                typedef
+                        //typename boost::mpl::if_ <
+                        //boost::is_same<D,No_filter_tag>,
+                        //typename Get_functor<R_, Orientation_of_points_tag>::type,
+                        SFA::Orientation_of_points_2<R_,Derived>
+                        //        >::type
+                                type;
+        };
 };
 
 }
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Coaffine.h 5.0.3-1/include/CGAL/NewKernel_d/Coaffine.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Coaffine.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Coaffine.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Coaffine.h $
-// $Id: Coaffine.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Coaffine.h $
+// $Id: Coaffine.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -20,9 +20,9 @@
 namespace CGAL {
 namespace CartesianDKernelFunctors {
 struct Flat_orientation {
-	std::vector<int> proj;
-	std::vector<int> rest;
-	bool reverse;
+        std::vector<int> proj;
+        std::vector<int> rest;
+        bool reverse;
 };
 
 // For debugging purposes
@@ -52,260 +52,260 @@ inline void debug_matrix(std::ostream& o
 }
 
 template<class R_> struct Construct_flat_orientation : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Construct_flat_orientation)
-	typedef R_ R;
-	typedef typename Get_type<R, FT_tag>::type FT;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Increment_dimension<typename R::Max_ambient_dimension>::type Dplusone;
-	typedef typename R::LA::template Rebind_dimension<Dynamic_dimension_tag,Dplusone>::Other LA;
-	typedef typename LA::Square_matrix Matrix;
-	typedef typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type CCC;
-	typedef typename Get_functor<R, Point_dimension_tag>::type PD;
-	typedef Flat_orientation result_type;
-
-	// This implementation is going to suck. Maybe we should push the
-	// functionality into LA. And we should check (in debug mode) that
-	// the points are affinely independent.
-	template<class Iter>
-	result_type operator()(Iter f, Iter e)const{
-		Iter f_save = f;
-		PD pd (this->kernel());
-		CCC ccc (this->kernel());
-		int dim = pd(*f);
-		Matrix coord (dim+1, dim+1); // use distance(f,e)? This matrix doesn't need to be square.
-		int col = 0;
-		Flat_orientation o;
-		std::vector<int>& proj=o.proj;
-		std::vector<int>& rest=o.rest; rest.reserve(dim+1);
-		for(int i=0; i<dim+1; ++i) rest.push_back(i);
-		for( ; f != e ; ++col, ++f ) {
+        CGAL_FUNCTOR_INIT_STORE(Construct_flat_orientation)
+        typedef R_ R;
+        typedef typename Get_type<R, FT_tag>::type FT;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Increment_dimension<typename R::Max_ambient_dimension>::type Dplusone;
+        typedef typename R::LA::template Rebind_dimension<Dynamic_dimension_tag,Dplusone>::Other LA;
+        typedef typename LA::Square_matrix Matrix;
+        typedef typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type CCC;
+        typedef typename Get_functor<R, Point_dimension_tag>::type PD;
+        typedef Flat_orientation result_type;
+
+        // This implementation is going to suck. Maybe we should push the
+        // functionality into LA. And we should check (in debug mode) that
+        // the points are affinely independent.
+        template<class Iter>
+        result_type operator()(Iter f, Iter e)const{
+                Iter f_save = f;
+                PD pd (this->kernel());
+                CCC ccc (this->kernel());
+                int dim = pd(*f);
+                Matrix coord (dim+1, dim+1); // use distance(f,e)? This matrix doesn't need to be square.
+                int col = 0;
+                Flat_orientation o;
+                std::vector<int>& proj=o.proj;
+                std::vector<int>& rest=o.rest; rest.reserve(dim+1);
+                for(int i=0; i<dim+1; ++i) rest.push_back(i);
+                for( ; f != e ; ++col, ++f ) {
       //std::cerr << "(*f)[0]=" << (*f)[0] << std::endl;
-			Point const&p=*f;
-			// use a coordinate iterator instead?
-			for(int i=0; i<dim; ++i) coord(col, i) = ccc(p, i);
-			coord(col,dim)=1;
-			int d = (int)proj.size()+1;
-			Matrix m (d, d);
-			// Fill the matrix with what we already have
-			for(int i=0; i<d; ++i)
-			for(int j=0; j<d-1; ++j)
-				m(i,j) = coord(i, proj[j]);
-			// Try to complete with any other coordinate
-			// TODO: iterate on rest by the end, or use a (forward_)list.
-			for(std::vector<int>::iterator it=rest.begin();;++it) {
-				CGAL_assertion(it!=rest.end());
-				for(int i=0; i<d; ++i) m(i,d-1) = coord(i, *it);
-				if(LA::sign_of_determinant(m)!=0) {
-					proj.push_back(*it);
-					rest.erase(it);
-					break;
-				}
-			}
-		}
-		std::sort(proj.begin(),proj.end());
-		typename Get_functor<R, In_flat_orientation_tag>::type ifo(this->kernel());
-		o.reverse = false;
-		o.reverse = ifo(o, f_save, e) != CGAL::POSITIVE;
-		return o;
-	}
+                        Point const&p=*f;
+                        // use a coordinate iterator instead?
+                        for(int i=0; i<dim; ++i) coord(col, i) = ccc(p, i);
+                        coord(col,dim)=1;
+                        int d = (int)proj.size()+1;
+                        Matrix m (d, d);
+                        // Fill the matrix with what we already have
+                        for(int i=0; i<d; ++i)
+                        for(int j=0; j<d-1; ++j)
+                                m(i,j) = coord(i, proj[j]);
+                        // Try to complete with any other coordinate
+                        // TODO: iterate on rest by the end, or use a (forward_)list.
+                        for(std::vector<int>::iterator it=rest.begin();;++it) {
+                                CGAL_assertion(it!=rest.end());
+                                for(int i=0; i<d; ++i) m(i,d-1) = coord(i, *it);
+                                if(LA::sign_of_determinant(m)!=0) {
+                                        proj.push_back(*it);
+                                        rest.erase(it);
+                                        break;
+                                }
+                        }
+                }
+                std::sort(proj.begin(),proj.end());
+                typename Get_functor<R, In_flat_orientation_tag>::type ifo(this->kernel());
+                o.reverse = false;
+                o.reverse = ifo(o, f_save, e) != CGAL::POSITIVE;
+                return o;
+        }
 };
 
 template<class R_> struct Contained_in_affine_hull : private Store_kernel<R_> {
         CGAL_FUNCTOR_INIT_STORE(Contained_in_affine_hull)
         typedef R_ R;
-	typedef typename Get_type<R, FT_tag>::type FT;
+        typedef typename Get_type<R, FT_tag>::type FT;
         typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_type<R, Bool_tag>::type result_type;
-	typedef typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type CCC;
-	typedef typename Get_functor<R, Point_dimension_tag>::type PD;
-	//typedef typename Increment_dimension<typename R::Default_ambient_dimension>::type D1;
-	//typedef typename Increment_dimension<typename R::Max_ambient_dimension>::type D2;
-	//typedef typename R::LA::template Rebind_dimension<D1,D2>::Other LA;
-	typedef typename Increment_dimension<typename R::Max_ambient_dimension>::type Dplusone;
-	typedef typename R::LA::template Rebind_dimension<Dynamic_dimension_tag,Dplusone>::Other LA;
-	typedef typename LA::Square_matrix Matrix;
+        typedef typename Get_type<R, Bool_tag>::type result_type;
+        typedef typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type CCC;
+        typedef typename Get_functor<R, Point_dimension_tag>::type PD;
+        //typedef typename Increment_dimension<typename R::Default_ambient_dimension>::type D1;
+        //typedef typename Increment_dimension<typename R::Max_ambient_dimension>::type D2;
+        //typedef typename R::LA::template Rebind_dimension<D1,D2>::Other LA;
+        typedef typename Increment_dimension<typename R::Max_ambient_dimension>::type Dplusone;
+        typedef typename R::LA::template Rebind_dimension<Dynamic_dimension_tag,Dplusone>::Other LA;
+        typedef typename LA::Square_matrix Matrix;
 
-	// mostly copied from Construct_flat_orientation. TODO: dedup this code or use LA.
+        // mostly copied from Construct_flat_orientation. TODO: dedup this code or use LA.
         template<class Iter>
         result_type operator()(Iter f, Iter e, Point const&x) const {
-	  // FIXME: are the points in (f,e) required to be affinely independent?
-		PD pd (this->kernel());
-		CCC ccc (this->kernel());
-		int dim=pd(*f);
-		Matrix coord (dim+1, dim+1); // use distance
-		int col = 0;
-		std::vector<int> proj;
-		std::vector<int> rest; rest.reserve(dim+1);
-		for(int i=0; i<dim+1; ++i) rest.push_back(i);
-		for( ; f != e ; ++col, ++f ) {
-			Point const&p=*f;
-			for(int i=0; i<dim; ++i) coord(col, i) = ccc(p, i);
-			coord(col,dim)=1;
-			int d = (int)proj.size()+1;
-			Matrix m (d, d);
-			for(int i=0; i<d; ++i)
-			  for(int j=0; j<d-1; ++j)
-			    m(i,j) = coord(i, proj[j]);
-			for(std::vector<int>::iterator it=rest.begin();it!=rest.end();++it) {
-				for(int i=0; i<d; ++i) m(i,d-1) = coord(i, *it);
-				if(LA::sign_of_determinant(m)!=0) {
-					proj.push_back(*it);
-					rest.erase(it);
-					break;
-				}
-			}
-		}
-			for(int i=0; i<dim; ++i) coord(col, i) = ccc(x, i);
-			coord(col,dim)=1;
-			int d = (int)proj.size()+1;
-			Matrix m (d, d);
-			for(int i=0; i<d; ++i)
-			  for(int j=0; j<d-1; ++j)
-			    m(i,j) = coord(i, proj[j]);
-			for(int j : rest) {
-				for(int i=0; i<d; ++i) m(i,d-1) = coord(i, j);
-				if(LA::sign_of_determinant(m)!=0) return false;
-			}
-			return true;
+          // FIXME: are the points in (f,e) required to be affinely independent?
+                PD pd (this->kernel());
+                CCC ccc (this->kernel());
+                int dim=pd(*f);
+                Matrix coord (dim+1, dim+1); // use distance
+                int col = 0;
+                std::vector<int> proj;
+                std::vector<int> rest; rest.reserve(dim+1);
+                for(int i=0; i<dim+1; ++i) rest.push_back(i);
+                for( ; f != e ; ++col, ++f ) {
+                        Point const&p=*f;
+                        for(int i=0; i<dim; ++i) coord(col, i) = ccc(p, i);
+                        coord(col,dim)=1;
+                        int d = (int)proj.size()+1;
+                        Matrix m (d, d);
+                        for(int i=0; i<d; ++i)
+                          for(int j=0; j<d-1; ++j)
+                            m(i,j) = coord(i, proj[j]);
+                        for(std::vector<int>::iterator it=rest.begin();it!=rest.end();++it) {
+                                for(int i=0; i<d; ++i) m(i,d-1) = coord(i, *it);
+                                if(LA::sign_of_determinant(m)!=0) {
+                                        proj.push_back(*it);
+                                        rest.erase(it);
+                                        break;
+                                }
+                        }
+                }
+                        for(int i=0; i<dim; ++i) coord(col, i) = ccc(x, i);
+                        coord(col,dim)=1;
+                        int d = (int)proj.size()+1;
+                        Matrix m (d, d);
+                        for(int i=0; i<d; ++i)
+                          for(int j=0; j<d-1; ++j)
+                            m(i,j) = coord(i, proj[j]);
+                        for(int j : rest) {
+                                for(int i=0; i<d; ++i) m(i,d-1) = coord(i, j);
+                                if(LA::sign_of_determinant(m)!=0) return false;
+                        }
+                        return true;
         }
 };
 
 template<class R_> struct In_flat_orientation : private Store_kernel<R_> {
         CGAL_FUNCTOR_INIT_STORE(In_flat_orientation)
         typedef R_ R;
-	typedef typename Get_type<R, FT_tag>::type FT;
+        typedef typename Get_type<R, FT_tag>::type FT;
         typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_type<R, Orientation_tag>::type result_type;
-	typedef typename Increment_dimension<typename R::Default_ambient_dimension>::type D1;
-	typedef typename Increment_dimension<typename R::Max_ambient_dimension>::type D2;
-	typedef typename R::LA::template Rebind_dimension<D1,D2>::Other LA;
-	typedef typename LA::Square_matrix Matrix;
+        typedef typename Get_type<R, Orientation_tag>::type result_type;
+        typedef typename Increment_dimension<typename R::Default_ambient_dimension>::type D1;
+        typedef typename Increment_dimension<typename R::Max_ambient_dimension>::type D2;
+        typedef typename R::LA::template Rebind_dimension<D1,D2>::Other LA;
+        typedef typename LA::Square_matrix Matrix;
 
         template<class Iter>
         result_type operator()(Flat_orientation const&o, Iter f, Iter e) const {
-		// TODO: work in the projection instead of the ambient space.
+                // TODO: work in the projection instead of the ambient space.
                 typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
                 typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
                 int d=pd(*f);
                 Matrix m(d+1,d+1);
                 int i=0;
-		for(;f!=e;++f,++i) {
-			Point const& p=*f;
-			m(i,0)=1;
-			for(int j=0;j<d;++j){
-				m(i,j+1)=c(p,j);
-			}
-		}
-		for(std::vector<int>::const_iterator it = o.rest.begin(); it != o.rest.end() /* i<d+1 */; ++i, ++it) {
-			m(i,0)=1;
-			for(int j=0;j<d;++j){
-				m(i,j+1)=0; // unneeded if the matrix is initialized to 0
-			}
-			if(*it != d) m(i,1+*it)=1;
-		}
-
-		result_type ret = LA::sign_of_determinant(std::move(m));
-		if(o.reverse) ret=-ret;
-		return ret;
-	}
+                for(;f!=e;++f,++i) {
+                        Point const& p=*f;
+                        m(i,0)=1;
+                        for(int j=0;j<d;++j){
+                                m(i,j+1)=c(p,j);
+                        }
+                }
+                for(std::vector<int>::const_iterator it = o.rest.begin(); it != o.rest.end() /* i<d+1 */; ++i, ++it) {
+                        m(i,0)=1;
+                        for(int j=0;j<d;++j){
+                                m(i,j+1)=0; // unneeded if the matrix is initialized to 0
+                        }
+                        if(*it != d) m(i,1+*it)=1;
+                }
+
+                result_type ret = LA::sign_of_determinant(std::move(m));
+                if(o.reverse) ret=-ret;
+                return ret;
+        }
 };
 
 template<class R_> struct In_flat_side_of_oriented_sphere : private Store_kernel<R_> {
         CGAL_FUNCTOR_INIT_STORE(In_flat_side_of_oriented_sphere)
         typedef R_ R;
-	typedef typename Get_type<R, FT_tag>::type FT;
+        typedef typename Get_type<R, FT_tag>::type FT;
         typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_type<R, Orientation_tag>::type result_type;
-	typedef typename Increment_dimension<typename R::Default_ambient_dimension,2>::type D1;
-	typedef typename Increment_dimension<typename R::Max_ambient_dimension,2>::type D2;
-	typedef typename R::LA::template Rebind_dimension<D1,D2>::Other LA;
-	typedef typename LA::Square_matrix Matrix;
+        typedef typename Get_type<R, Orientation_tag>::type result_type;
+        typedef typename Increment_dimension<typename R::Default_ambient_dimension,2>::type D1;
+        typedef typename Increment_dimension<typename R::Max_ambient_dimension,2>::type D2;
+        typedef typename R::LA::template Rebind_dimension<D1,D2>::Other LA;
+        typedef typename LA::Square_matrix Matrix;
 
         template<class Iter>
         result_type operator()(Flat_orientation const&o, Iter f, Iter e, Point const&x) const {
-		// TODO: can't work in the projection, but we should at least remove the row of 1s.
+                // TODO: can't work in the projection, but we should at least remove the row of 1s.
                 typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
                 typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
                 int d=pd(*f);
                 Matrix m(d+2,d+2);
                 int i=0;
-		for(;f!=e;++f,++i) {
-			Point const& p=*f;
-			m(i,0)=1;
-			m(i,d+1)=0;
-			for(int j=0;j<d;++j){
-				m(i,j+1)=c(p,j);
-				m(i,d+1)+=CGAL_NTS square(m(i,j+1));
-			}
-		}
-		for(std::vector<int>::const_iterator it = o.rest.begin(); it != o.rest.end() /* i<d+1 */; ++i, ++it) {
-			m(i,0)=1;
-			for(int j=0;j<d;++j){
-				m(i,j+1)=0; // unneeded if the matrix is initialized to 0
-			}
-			if(*it != d) m(i,d+1)=m(i,1+*it)=1;
-			else m(i,d+1)=0;
-		}
-		m(d+1,0)=1;
-		m(d+1,d+1)=0;
-		for(int j=0;j<d;++j){
-			m(d+1,j+1)=c(x,j);
-			m(d+1,d+1)+=CGAL_NTS square(m(d+1,j+1));
-		}
-
-		result_type ret = -LA::sign_of_determinant(std::move(m));
-		if(o.reverse) ret=-ret;
-		return ret;
-	}
+                for(;f!=e;++f,++i) {
+                        Point const& p=*f;
+                        m(i,0)=1;
+                        m(i,d+1)=0;
+                        for(int j=0;j<d;++j){
+                                m(i,j+1)=c(p,j);
+                                m(i,d+1)+=CGAL_NTS square(m(i,j+1));
+                        }
+                }
+                for(std::vector<int>::const_iterator it = o.rest.begin(); it != o.rest.end() /* i<d+1 */; ++i, ++it) {
+                        m(i,0)=1;
+                        for(int j=0;j<d;++j){
+                                m(i,j+1)=0; // unneeded if the matrix is initialized to 0
+                        }
+                        if(*it != d) m(i,d+1)=m(i,1+*it)=1;
+                        else m(i,d+1)=0;
+                }
+                m(d+1,0)=1;
+                m(d+1,d+1)=0;
+                for(int j=0;j<d;++j){
+                        m(d+1,j+1)=c(x,j);
+                        m(d+1,d+1)+=CGAL_NTS square(m(d+1,j+1));
+                }
+
+                result_type ret = -LA::sign_of_determinant(std::move(m));
+                if(o.reverse) ret=-ret;
+                return ret;
+        }
 };
 
 template<class R_> struct In_flat_power_side_of_power_sphere_raw : private Store_kernel<R_> {
         CGAL_FUNCTOR_INIT_STORE(In_flat_power_side_of_power_sphere_raw)
         typedef R_ R;
-	typedef typename Get_type<R, FT_tag>::type FT;
+        typedef typename Get_type<R, FT_tag>::type FT;
         typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_type<R, Orientation_tag>::type result_type;
-	typedef typename Increment_dimension<typename R::Default_ambient_dimension,2>::type D1;
-	typedef typename Increment_dimension<typename R::Max_ambient_dimension,2>::type D2;
-	typedef typename R::LA::template Rebind_dimension<D1,D2>::Other LA;
-	typedef typename LA::Square_matrix Matrix;
+        typedef typename Get_type<R, Orientation_tag>::type result_type;
+        typedef typename Increment_dimension<typename R::Default_ambient_dimension,2>::type D1;
+        typedef typename Increment_dimension<typename R::Max_ambient_dimension,2>::type D2;
+        typedef typename R::LA::template Rebind_dimension<D1,D2>::Other LA;
+        typedef typename LA::Square_matrix Matrix;
 
         template<class Iter, class IterW, class Wt>
         result_type operator()(Flat_orientation const&o, Iter f, Iter const&e, IterW fw, IterW const&/*ew*/, Point const&x, Wt const&w) const {
-		// TODO: can't work in the projection, but we should at least remove the row of 1s.
+                // TODO: can't work in the projection, but we should at least remove the row of 1s.
                 typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
                 typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
                 int d=pd(*f);
                 Matrix m(d+2,d+2);
                 int i=0;
-		for(;f!=e;++f,++fw,++i) {
-			Point const& p=*f;
-			m(i,0)=1;
-			m(i,d+1)=-*fw;
-			for(int j=0;j<d;++j){
-				m(i,j+1)=c(p,j);
-				m(i,d+1)+=CGAL_NTS square(m(i,j+1));
-			}
-		}
-		for(std::vector<int>::const_iterator it = o.rest.begin(); it != o.rest.end() /* i<d+1 */; ++i, ++it) {
-			m(i,0)=1;
-			for(int j=0;j<d;++j){
-				m(i,j+1)=0; // unneeded if the matrix is initialized to 0
-			}
-			if(*it != d) m(i,d+1)=m(i,1+*it)=1;
-			else m(i,d+1)=0;
-		}
-		m(d+1,0)=1;
-		m(d+1,d+1)=-w;
-		for(int j=0;j<d;++j){
-			m(d+1,j+1)=c(x,j);
-			m(d+1,d+1)+=CGAL_NTS square(m(d+1,j+1));
-		}
-
-		result_type ret = -LA::sign_of_determinant(std::move(m));
-		if(o.reverse) ret=-ret;
-		return ret;
-	}
+                for(;f!=e;++f,++fw,++i) {
+                        Point const& p=*f;
+                        m(i,0)=1;
+                        m(i,d+1)=-*fw;
+                        for(int j=0;j<d;++j){
+                                m(i,j+1)=c(p,j);
+                                m(i,d+1)+=CGAL_NTS square(m(i,j+1));
+                        }
+                }
+                for(std::vector<int>::const_iterator it = o.rest.begin(); it != o.rest.end() /* i<d+1 */; ++i, ++it) {
+                        m(i,0)=1;
+                        for(int j=0;j<d;++j){
+                                m(i,j+1)=0; // unneeded if the matrix is initialized to 0
+                        }
+                        if(*it != d) m(i,d+1)=m(i,1+*it)=1;
+                        else m(i,d+1)=0;
+                }
+                m(d+1,0)=1;
+                m(d+1,d+1)=-w;
+                for(int j=0;j<d;++j){
+                        m(d+1,j+1)=c(x,j);
+                        m(d+1,d+1)+=CGAL_NTS square(m(d+1,j+1));
+                }
+
+                result_type ret = -LA::sign_of_determinant(std::move(m));
+                if(o.reverse) ret=-ret;
+                return ret;
+        }
 };
 
 
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Define_kernel_types.h 5.0.3-1/include/CGAL/NewKernel_d/Define_kernel_types.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Define_kernel_types.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Define_kernel_types.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Define_kernel_types.h $
-// $Id: Define_kernel_types.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Define_kernel_types.h $
+// $Id: Define_kernel_types.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -31,7 +31,7 @@ namespace CGAL {
     struct Define_kernel_types :
       Typedef_tag_type<typename List::head,
         typename internal::Type_or_iter<K,typename List::head>::type,
-	Define_kernel_types<K, Base, typename List::tail>
+        Define_kernel_types<K, Base, typename List::tail>
       > {};
 }
 #endif
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Dimension_base.h 5.0.3-1/include/CGAL/NewKernel_d/Dimension_base.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Dimension_base.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Dimension_base.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Dimension_base.h $
-// $Id: Dimension_base.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Dimension_base.h $
+// $Id: Dimension_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -17,28 +17,28 @@
 #include <CGAL/use.h>
 namespace CGAL {
 struct Store_dimension_base {
-	//TODO: add some assertions
-	Store_dimension_base(int dim=UNKNOWN_DIMENSION):dim_(dim){}
-	int dimension()const{return dim_;}
-	void set_dimension(int dim){dim_=dim;}
-	private:
-	int dim_;
+        //TODO: add some assertions
+        Store_dimension_base(int dim=UNKNOWN_DIMENSION):dim_(dim){}
+        int dimension()const{return dim_;}
+        void set_dimension(int dim){dim_=dim;}
+        private:
+        int dim_;
 };
 template<class=Dynamic_dimension_tag>
 struct Dimension_base {
-	Dimension_base(int = UNKNOWN_DIMENSION){}
-	int dimension() const { return UNKNOWN_DIMENSION; }
-	void set_dimension(int) {}
+        Dimension_base(int = UNKNOWN_DIMENSION){}
+        int dimension() const { return UNKNOWN_DIMENSION; }
+        void set_dimension(int) {}
 };
 template<int dim_>
 struct Dimension_base<Dimension_tag<dim_> > {
-	Dimension_base(){}
-	Dimension_base(int CGAL_assertion_code(dim)){CGAL_assertion(dim_==dim);}
-	int dimension()const{return dim_;}
-	void set_dimension(int dim){
-	  CGAL_assertion(dim_==dim);
-	  CGAL_USE(dim);
-	}
+        Dimension_base(){}
+        Dimension_base(int CGAL_assertion_code(dim)){CGAL_assertion(dim_==dim);}
+        int dimension()const{return dim_;}
+        void set_dimension(int dim){
+          CGAL_assertion(dim_==dim);
+          CGAL_USE(dim);
+        }
 };
 }
 #endif
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Filtered_predicate2.h 5.0.3-1/include/CGAL/NewKernel_d/Filtered_predicate2.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Filtered_predicate2.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Filtered_predicate2.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Filtered_predicate2.h $
-// $Id: Filtered_predicate2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Filtered_predicate2.h $
+// $Id: Filtered_predicate2.h 822bc55 2020-03-27T08:28:48+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -40,7 +40,7 @@ namespace CGAL {
 // - Some caching could be done at the Point_2 level.
 
 
-template <class EP, class AP, class C2E, class C2A, bool Protection = true>
+template <class K, class EP, class AP, class C2E, class C2A, bool Protection = true>
 class Filtered_predicate2
 {
 //TODO: pack (at least use a tuple)
@@ -65,7 +65,6 @@ public:
   Filtered_predicate2()
   {}
 
-  template <class K>
   Filtered_predicate2(const K& k)
     : ep(k.exact_kernel()), ap(k.approximate_kernel()), c2e(k,k.exact_kernel()), c2a(k,k.approximate_kernel())
   {}
@@ -79,12 +78,12 @@ public:
     {
       Protect_FPU_rounding<Protection> p;
       try
-	{
-	  // No forward here, the arguments may still be needed
-	  auto res = ap(c2a(args)...);
-	  if (is_certain(res))
-	    return get_certain(res);
-	}
+        {
+          // No forward here, the arguments may still be needed
+          auto res = ap(c2a(args)...);
+          if (is_certain(res))
+            return get_certain(res);
+        }
       catch (Uncertain_conversion_exception&) {}
     }
     CGAL_BRANCH_PROFILER_BRANCH(tmp);
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/function_objects_cartesian.h 5.0.3-1/include/CGAL/NewKernel_d/function_objects_cartesian.h
--- 5.0.2-3/include/CGAL/NewKernel_d/function_objects_cartesian.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/function_objects_cartesian.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/function_objects_cartesian.h $
-// $Id: function_objects_cartesian.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/function_objects_cartesian.h $
+// $Id: function_objects_cartesian.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -33,99 +33,99 @@ namespace CartesianDKernelFunctors {
 namespace internal {
 template<class,int> struct Dimension_at_most { enum { value = false }; };
 template<int a,int b> struct Dimension_at_most<Dimension_tag<a>,b> {
-	enum { value = (a <= b) };
+        enum { value = (a <= b) };
 };
 }
 
 template<class R_,class D_=typename R_::Default_ambient_dimension,bool=internal::Dimension_at_most<D_,6>::value> struct Orientation_of_points : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Orientation_of_points)
-	typedef R_ R;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_type<R, Orientation_tag>::type result_type;
-	typedef typename R::LA::Square_matrix Matrix;
-
-	template<class Iter>
-	result_type operator()(Iter f, Iter e)const{
-		typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
-		typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
-		Point const& p0=*f++;
-		int d=pd(p0);
-		Matrix m(d,d);
-		// FIXME: this writes the vector coordinates in lines ? check all the other uses in this file, this may be wrong for some.
-		for(int i=0;f!=e;++f,++i) {
-		  Point const& p=*f;
-		  for(int j=0;j<d;++j){
-		    m(i,j)=c(p,j)-c(p0,j);
-		    // should we cache the coordinates of p0 in case they are computed?
-		  }
-		}
-		return R::LA::sign_of_determinant(std::move(m));
-	}
-
-	// Since the dimension is at least 2, there are at least 3 points and no ambiguity with iterators.
-	// template <class...U,class=typename std::enable_if<std::is_same<Dimension_tag<sizeof...(U)-1>,typename R::Default_ambient_dimension>::value>::type>
-	template <class...U,class=typename std::enable_if<(sizeof...(U)>=3)>::type>
-	result_type operator()(U&&...u) const {
-		return operator()({std::forward<U>(u)...});
-	}
-
-	template <class P>
-	result_type operator()(std::initializer_list<P> l) const {
-		return operator()(l.begin(),l.end());
-	}
+        CGAL_FUNCTOR_INIT_STORE(Orientation_of_points)
+        typedef R_ R;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Get_type<R, Orientation_tag>::type result_type;
+        typedef typename R::LA::Square_matrix Matrix;
+
+        template<class Iter>
+        result_type operator()(Iter f, Iter e)const{
+                typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
+                typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
+                Point const& p0=*f++;
+                int d=pd(p0);
+                Matrix m(d,d);
+                // FIXME: this writes the vector coordinates in lines ? check all the other uses in this file, this may be wrong for some.
+                for(int i=0;f!=e;++f,++i) {
+                  Point const& p=*f;
+                  for(int j=0;j<d;++j){
+                    m(i,j)=c(p,j)-c(p0,j);
+                    // should we cache the coordinates of p0 in case they are computed?
+                  }
+                }
+                return R::LA::sign_of_determinant(std::move(m));
+        }
+
+        // Since the dimension is at least 2, there are at least 3 points and no ambiguity with iterators.
+        // template <class...U,class=typename std::enable_if<std::is_same<Dimension_tag<sizeof...(U)-1>,typename R::Default_ambient_dimension>::value>::type>
+        template <class...U,class=typename std::enable_if<(sizeof...(U)>=3)>::type>
+        result_type operator()(U&&...u) const {
+                return operator()({std::forward<U>(u)...});
+        }
+
+        template <class P>
+        result_type operator()(std::initializer_list<P> l) const {
+                return operator()(l.begin(),l.end());
+        }
 };
 
 template<class R_,int d> struct Orientation_of_points<R_,Dimension_tag<d>,true> : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Orientation_of_points)
-	typedef R_ R;
-	typedef typename Get_type<R, RT_tag>::type RT;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_type<R, Orientation_tag>::type result_type;
-	template<class>struct Help;
-	template<std::size_t...I>struct Help<std::index_sequence<I...> > {
-		template<class C,class P,class T> result_type operator()(C const&c,P const&x,T&&t)const{
-			return sign_of_determinant<RT>(c(std::get<I/d>(t),I%d)-c(x,I%d)...);
-		}
-	};
-	template<class P0,class...P> result_type operator()(P0 const&x,P&&...p)const{
-		static_assert(d==sizeof...(P),"Wrong number of arguments");
-		typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
-		return Help<std::make_index_sequence<d*d>>()(c,x,std::forward_as_tuple(std::forward<P>(p)...));
-	}
-
-
-	template<int N,class Iter,class...U> result_type help2(Dimension_tag<N>, Iter f, Iter const&e, U&&...u)const{
-		auto const&p=*f;
-		return help2(Dimension_tag<N-1>(),++f,e,std::forward<U>(u)...,p);
-	}
-	template<class Iter,class...U> result_type help2(Dimension_tag<0>, Iter CGAL_assertion_code(f), Iter const& CGAL_assertion_code(e), U&&...u)const{
-		CGAL_assertion(f==e);
-		return operator()(std::forward<U>(u)...);
-	}
-	template<class Iter>
-	result_type operator()(Iter f, Iter e)const{
-		return help2(Dimension_tag<d+1>(),f,e);
-	}
+        CGAL_FUNCTOR_INIT_STORE(Orientation_of_points)
+        typedef R_ R;
+        typedef typename Get_type<R, RT_tag>::type RT;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Get_type<R, Orientation_tag>::type result_type;
+        template<class>struct Help;
+        template<std::size_t...I>struct Help<std::index_sequence<I...> > {
+                template<class C,class P,class T> result_type operator()(C const&c,P const&x,T&&t)const{
+                        return sign_of_determinant<RT>(c(std::get<I/d>(t),I%d)-c(x,I%d)...);
+                }
+        };
+        template<class P0,class...P> result_type operator()(P0 const&x,P&&...p)const{
+                static_assert(d==sizeof...(P),"Wrong number of arguments");
+                typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
+                return Help<std::make_index_sequence<d*d>>()(c,x,std::forward_as_tuple(std::forward<P>(p)...));
+        }
+
+
+        template<int N,class Iter,class...U> result_type help2(Dimension_tag<N>, Iter f, Iter const&e, U&&...u)const{
+                auto const&p=*f;
+                return help2(Dimension_tag<N-1>(),++f,e,std::forward<U>(u)...,p);
+        }
+        template<class Iter,class...U> result_type help2(Dimension_tag<0>, Iter CGAL_assertion_code(f), Iter const& CGAL_assertion_code(e), U&&...u)const{
+                CGAL_assertion(f==e);
+                return operator()(std::forward<U>(u)...);
+        }
+        template<class Iter>
+        result_type operator()(Iter f, Iter e)const{
+                return help2(Dimension_tag<d+1>(),f,e);
+        }
 };
 
 template<class R_> struct Orientation_of_points<R_,Dimension_tag<1>,true> : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Orientation_of_points)
-	typedef R_ R;
-	typedef typename Get_type<R, RT_tag>::type RT;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_type<R, Orientation_tag>::type result_type;
-	result_type operator()(Point const&x, Point const&y) const {
-		typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
-		// No sign_of_determinant(RT) :-(
-		return CGAL::compare(c(y,0),c(x,0));
-	}
-	template<class Iter>
-	result_type operator()(Iter f, Iter CGAL_assertion_code(e))const{
-		Point const&x=*f;
-		Point const&y=*++f;
-		CGAL_assertion(++f==e);
-		return operator()(x,y);
-	}
+        CGAL_FUNCTOR_INIT_STORE(Orientation_of_points)
+        typedef R_ R;
+        typedef typename Get_type<R, RT_tag>::type RT;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Get_type<R, Orientation_tag>::type result_type;
+        result_type operator()(Point const&x, Point const&y) const {
+                typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
+                // No sign_of_determinant(RT) :-(
+                return CGAL::compare(c(y,0),c(x,0));
+        }
+        template<class Iter>
+        result_type operator()(Iter f, Iter CGAL_assertion_code(e))const{
+                Point const&x=*f;
+                Point const&y=*++f;
+                CGAL_assertion(++f==e);
+                return operator()(x,y);
+        }
 };
 }
 
@@ -133,40 +133,40 @@ CGAL_KD_DEFAULT_FUNCTOR(Orientation_of_p
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Orientation_of_vectors : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Orientation_of_vectors)
-	typedef R_ R;
-	typedef typename Get_type<R, Vector_tag>::type Vector;
-	typedef typename Get_type<R, Orientation_tag>::type result_type;
-	typedef typename R::LA::Square_matrix Matrix;
-
-	template<class Iter>
-	result_type operator()(Iter f, Iter e)const{
-		typename Get_functor<R, Compute_vector_cartesian_coordinate_tag>::type c(this->kernel());
-		typename Get_functor<R, Vector_dimension_tag>::type vd(this->kernel());
-		Vector const& v0=*f;
-		int d=vd(v0);
-		Matrix m(d,d);
-		for(int j=0;j<d;++j){
-			m(0,j)=c(v0,j);
-		}
-		for(int i=1;++f!=e;++i) {
-			Vector const& v=*f;
-		for(int j=0;j<d;++j){
-			m(i,j)=c(v,j);
-		}
-		}
-		return R::LA::sign_of_determinant(std::move(m));
-	}
-
-	template <class...U,class=typename std::enable_if<(sizeof...(U)>=3)>::type>
-	result_type operator()(U&&...u) const {
-		return operator()({std::forward<U>(u)...});
-	}
-
-	template <class V>
-	result_type operator()(std::initializer_list<V> l) const {
-		return operator()(l.begin(),l.end());
-	}
+        CGAL_FUNCTOR_INIT_STORE(Orientation_of_vectors)
+        typedef R_ R;
+        typedef typename Get_type<R, Vector_tag>::type Vector;
+        typedef typename Get_type<R, Orientation_tag>::type result_type;
+        typedef typename R::LA::Square_matrix Matrix;
+
+        template<class Iter>
+        result_type operator()(Iter f, Iter e)const{
+                typename Get_functor<R, Compute_vector_cartesian_coordinate_tag>::type c(this->kernel());
+                typename Get_functor<R, Vector_dimension_tag>::type vd(this->kernel());
+                Vector const& v0=*f;
+                int d=vd(v0);
+                Matrix m(d,d);
+                for(int j=0;j<d;++j){
+                        m(0,j)=c(v0,j);
+                }
+                for(int i=1;++f!=e;++i) {
+                        Vector const& v=*f;
+                for(int j=0;j<d;++j){
+                        m(i,j)=c(v,j);
+                }
+                }
+                return R::LA::sign_of_determinant(std::move(m));
+        }
+
+        template <class...U,class=typename std::enable_if<(sizeof...(U)>=3)>::type>
+        result_type operator()(U&&...u) const {
+                return operator()({std::forward<U>(u)...});
+        }
+
+        template <class V>
+        result_type operator()(std::initializer_list<V> l) const {
+                return operator()(l.begin(),l.end());
+        }
 };
 }
 
@@ -174,33 +174,33 @@ CGAL_KD_DEFAULT_FUNCTOR(Orientation_of_v
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Linear_rank : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Linear_rank)
-	typedef R_ R;
-	typedef typename Get_type<R, Vector_tag>::type Vector;
-	// Computing a sensible Uncertain<int> is not worth it
-	typedef int result_type;
-	typedef typename R::LA::Dynamic_matrix Matrix;
-
-	template<class Iter>
-	result_type operator()(Iter f, Iter e)const{
-		typename Get_functor<R, Compute_vector_cartesian_coordinate_tag>::type c(this->kernel());
-		typename Get_functor<R, Vector_dimension_tag>::type vd(this->kernel());
-		std::ptrdiff_t n=std::distance(f,e);
-		if (n==0) return 0;
-		Vector const& v0 = *f;
-		int d=vd(v0);
-		Matrix m(d,n);
-		for(int j=0;j<d;++j){
-		  m(j,0)=c(v0,j);
-		}
-		for(int i=1; ++f!=e; ++i){
-		  Vector const& v = *f;
-		  for(int j=0;j<d;++j){
-		    m(j,i)=c(v,j);
-		  }
-		}
-		return R::LA::rank(std::move(m));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Linear_rank)
+        typedef R_ R;
+        typedef typename Get_type<R, Vector_tag>::type Vector;
+        // Computing a sensible Uncertain<int> is not worth it
+        typedef int result_type;
+        typedef typename R::LA::Dynamic_matrix Matrix;
+
+        template<class Iter>
+        result_type operator()(Iter f, Iter e)const{
+                typename Get_functor<R, Compute_vector_cartesian_coordinate_tag>::type c(this->kernel());
+                typename Get_functor<R, Vector_dimension_tag>::type vd(this->kernel());
+                std::ptrdiff_t n=std::distance(f,e);
+                if (n==0) return 0;
+                Vector const& v0 = *f;
+                int d=vd(v0);
+                Matrix m(d,n);
+                for(int j=0;j<d;++j){
+                  m(j,0)=c(v0,j);
+                }
+                for(int i=1; ++f!=e; ++i){
+                  Vector const& v = *f;
+                  for(int j=0;j<d;++j){
+                    m(j,i)=c(v,j);
+                  }
+                }
+                return R::LA::rank(std::move(m));
+        }
 };
 }
 
@@ -208,19 +208,19 @@ CGAL_KD_DEFAULT_FUNCTOR(Linear_rank_tag,
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Linearly_independent : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Linearly_independent)
-	typedef R_ R;
-	typedef typename Get_type<R, Bool_tag>::type result_type;
-
-	template<class Iter>
-	result_type operator()(Iter f, Iter e)const{
-		typename Get_functor<R, Vector_dimension_tag>::type vd(this->kernel());
-		std::ptrdiff_t n=std::distance(f,e);
-		int d=vd(*f);
-		if (n>d) return false;
-		typename Get_functor<R, Linear_rank_tag>::type lr(this->kernel());
-		return lr(f,e) == n;
-	}
+        CGAL_FUNCTOR_INIT_STORE(Linearly_independent)
+        typedef R_ R;
+        typedef typename Get_type<R, Bool_tag>::type result_type;
+
+        template<class Iter>
+        result_type operator()(Iter f, Iter e)const{
+                typename Get_functor<R, Vector_dimension_tag>::type vd(this->kernel());
+                std::ptrdiff_t n=std::distance(f,e);
+                int d=vd(*f);
+                if (n>d) return false;
+                typename Get_functor<R, Linear_rank_tag>::type lr(this->kernel());
+                return lr(f,e) == n;
+        }
 };
 }
 
@@ -228,37 +228,37 @@ CGAL_KD_DEFAULT_FUNCTOR(Linearly_indepen
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Contained_in_linear_hull : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Contained_in_linear_hull)
-	typedef R_ R;
-	typedef typename Get_type<R, Vector_tag>::type Vector;
-	// Computing a sensible Uncertain<bool> is not worth it
-	typedef bool result_type;
-	typedef typename R::LA::Dynamic_matrix Matrix;
-
-	template<class Iter,class V>
-	result_type operator()(Iter f, Iter e,V const&w)const{
-		typename Get_functor<R, Compute_vector_cartesian_coordinate_tag>::type c(this->kernel());
-		typename Get_functor<R, Vector_dimension_tag>::type vd(this->kernel());
-		std::ptrdiff_t n=std::distance(f,e);
-		if (n==0) return false;
-		int d=vd(w);
-		Matrix m(d,n+1);
-		for(int i=0; f!=e; ++f,++i){
-		  Vector const& v = *f;
-		  for(int j=0;j<d;++j){
-		    m(j,i)=c(v,j);
-		  }
-		}
-		for(int j=0;j<d;++j){
-		  m(j,n)=c(w,j);
-		}
-		int r1 = R::LA::rank(m);
-		// FIXME: Don't use eigen directly, go through an interface in LA...
-		m.conservativeResize(Eigen::NoChange, n);
-		int r2 = R::LA::rank(std::move(m));
-		return r1 == r2;
-		// TODO: This is very very far from optimal...
-	}
+        CGAL_FUNCTOR_INIT_STORE(Contained_in_linear_hull)
+        typedef R_ R;
+        typedef typename Get_type<R, Vector_tag>::type Vector;
+        // Computing a sensible Uncertain<bool> is not worth it
+        typedef bool result_type;
+        typedef typename R::LA::Dynamic_matrix Matrix;
+
+        template<class Iter,class V>
+        result_type operator()(Iter f, Iter e,V const&w)const{
+                typename Get_functor<R, Compute_vector_cartesian_coordinate_tag>::type c(this->kernel());
+                typename Get_functor<R, Vector_dimension_tag>::type vd(this->kernel());
+                std::ptrdiff_t n=std::distance(f,e);
+                if (n==0) return false;
+                int d=vd(w);
+                Matrix m(d,n+1);
+                for(int i=0; f!=e; ++f,++i){
+                  Vector const& v = *f;
+                  for(int j=0;j<d;++j){
+                    m(j,i)=c(v,j);
+                  }
+                }
+                for(int j=0;j<d;++j){
+                  m(j,n)=c(w,j);
+                }
+                int r1 = R::LA::rank(m);
+                // FIXME: Don't use eigen directly, go through an interface in LA...
+                m.conservativeResize(Eigen::NoChange, n);
+                int r2 = R::LA::rank(std::move(m));
+                return r1 == r2;
+                // TODO: This is very very far from optimal...
+        }
 };
 }
 
@@ -266,31 +266,31 @@ CGAL_KD_DEFAULT_FUNCTOR(Contained_in_lin
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Affine_rank : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Affine_rank)
-	typedef R_ R;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	// Computing a sensible Uncertain<int> is not worth it
-	typedef int result_type;
-	typedef typename R::LA::Dynamic_matrix Matrix;
-
-	template<class Iter>
-	result_type operator()(Iter f, Iter e)const{
-		typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
-		typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
-		int n=(int)std::distance(f,e);
-		if (--n<=0) return n;
-		Point const& p0 = *f;
-		int d=pd(p0);
-		Matrix m(d,n);
-		for(int i=0; ++f!=e; ++i){
-		  Point const& p = *f;
-		  for(int j=0;j<d;++j){
-		    m(j,i)=c(p,j)-c(p0,j);
-		    // TODO: cache p0[j] in case it is computed?
-		  }
-		}
-		return R::LA::rank(std::move(m));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Affine_rank)
+        typedef R_ R;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        // Computing a sensible Uncertain<int> is not worth it
+        typedef int result_type;
+        typedef typename R::LA::Dynamic_matrix Matrix;
+
+        template<class Iter>
+        result_type operator()(Iter f, Iter e)const{
+                typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
+                typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
+                int n=(int)std::distance(f,e);
+                if (--n<=0) return n;
+                Point const& p0 = *f;
+                int d=pd(p0);
+                Matrix m(d,n);
+                for(int i=0; ++f!=e; ++i){
+                  Point const& p = *f;
+                  for(int j=0;j<d;++j){
+                    m(j,i)=c(p,j)-c(p0,j);
+                    // TODO: cache p0[j] in case it is computed?
+                  }
+                }
+                return R::LA::rank(std::move(m));
+        }
 };
 }
 
@@ -298,19 +298,19 @@ CGAL_KD_DEFAULT_FUNCTOR(Affine_rank_tag,
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Affinely_independent : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Affinely_independent)
-	typedef R_ R;
-	typedef typename Get_type<R, Bool_tag>::type result_type;
-
-	template<class Iter>
-	result_type operator()(Iter f, Iter e)const{
-		typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
-		std::ptrdiff_t n=std::distance(f,e);
-		int d=pd(*f);
-		if (--n>d) return false;
-		typename Get_functor<R, Affine_rank_tag>::type ar(this->kernel());
-		return ar(f,e) == n;
-	}
+        CGAL_FUNCTOR_INIT_STORE(Affinely_independent)
+        typedef R_ R;
+        typedef typename Get_type<R, Bool_tag>::type result_type;
+
+        template<class Iter>
+        result_type operator()(Iter f, Iter e)const{
+                typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
+                std::ptrdiff_t n=std::distance(f,e);
+                int d=pd(*f);
+                if (--n>d) return false;
+                typename Get_functor<R, Affine_rank_tag>::type ar(this->kernel());
+                return ar(f,e) == n;
+        }
 };
 }
 
@@ -318,50 +318,50 @@ CGAL_KD_DEFAULT_FUNCTOR(Affinely_indepen
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Contained_in_simplex : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Contained_in_simplex)
-	typedef R_ R;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	// Computing a sensible Uncertain<*> is not worth it
-	// typedef typename Get_type<R, Boolean_tag>::type result_type;
-	typedef bool result_type;
-	typedef typename Increment_dimension<typename R::Default_ambient_dimension>::type D1;
-	typedef typename Increment_dimension<typename R::Max_ambient_dimension>::type D2;
-	typedef typename R::LA::template Rebind_dimension<D1,D2>::Other LA;
-	typedef typename LA::Dynamic_matrix Matrix;
-	typedef typename LA::Dynamic_vector DynVec;
-	typedef typename LA::Vector Vec;
-
-	template<class Iter, class P>
-	result_type operator()(Iter f, Iter e, P const&q)const{
-		typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
-		typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
-		std::ptrdiff_t n=std::distance(f,e);
-		if (n==0) return false;
-		int d=pd(q);
-		Matrix m(d+1,n);
-		DynVec a(n);
-		// FIXME: Should use the proper vector constructor (Iterator_and_last)
-		Vec b(d+1);
-		for(int j=0;j<d;++j) b[j]=c(q,j);
-		b[d]=1;
-
-		for(int i=0; f!=e; ++i,++f){
-		  Point const& p = *f;
-		  for(int j=0;j<d;++j){
-		    m(j,i)=c(p,j);
-		  }
-		  m(d,i)=1;
-		}
-		// If the simplex has full dimension, there must be a solution, only the signs need to be checked.
-		if (n == d+1)
-		  LA::solve(a,std::move(m),std::move(b));
-		else if (!LA::solve_and_check(a,std::move(m),std::move(b)))
-		  return false;
-		for(int i=0;i<n;++i){
-		  if (a[i]<0) return false;
-		}
-		return true;
-	}
+        CGAL_FUNCTOR_INIT_STORE(Contained_in_simplex)
+        typedef R_ R;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        // Computing a sensible Uncertain<*> is not worth it
+        // typedef typename Get_type<R, Boolean_tag>::type result_type;
+        typedef bool result_type;
+        typedef typename Increment_dimension<typename R::Default_ambient_dimension>::type D1;
+        typedef typename Increment_dimension<typename R::Max_ambient_dimension>::type D2;
+        typedef typename R::LA::template Rebind_dimension<D1,D2>::Other LA;
+        typedef typename LA::Dynamic_matrix Matrix;
+        typedef typename LA::Dynamic_vector DynVec;
+        typedef typename LA::Vector Vec;
+
+        template<class Iter, class P>
+        result_type operator()(Iter f, Iter e, P const&q)const{
+                typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
+                typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
+                std::ptrdiff_t n=std::distance(f,e);
+                if (n==0) return false;
+                int d=pd(q);
+                Matrix m(d+1,n);
+                DynVec a(n);
+                // FIXME: Should use the proper vector constructor (Iterator_and_last)
+                Vec b(d+1);
+                for(int j=0;j<d;++j) b[j]=c(q,j);
+                b[d]=1;
+
+                for(int i=0; f!=e; ++i,++f){
+                  Point const& p = *f;
+                  for(int j=0;j<d;++j){
+                    m(j,i)=c(p,j);
+                  }
+                  m(d,i)=1;
+                }
+                // If the simplex has full dimension, there must be a solution, only the signs need to be checked.
+                if (n == d+1)
+                  LA::solve(a,std::move(m),std::move(b));
+                else if (!LA::solve_and_check(a,std::move(m),std::move(b)))
+                  return false;
+                for(int i=0;i<n;++i){
+                  if (a[i]<0) return false;
+                }
+                return true;
+        }
 };
 }
 
@@ -375,48 +375,48 @@ namespace CartesianDKernelFunctors {
       int col;
       Matrix_col_access(int r):col(r){}
       template<class Mat> Ref_ operator()(Mat const& m, std::ptrdiff_t row)const{
-	return m(row,col);
+        return m(row,col);
       }
     };
   }
 template<class R_> struct Linear_base : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Linear_base)
-	typedef R_ R;
-	typedef typename Get_type<R, Vector_tag>::type Vector;
-	typedef typename Get_type<R, FT_tag>::type FT;
-	typedef void result_type;
-	typedef typename R::LA::Dynamic_matrix Matrix;
-
-	template<class Iter, class Oter>
-	result_type operator()(Iter f, Iter e, Oter o)const{
-		typename Get_functor<R, Compute_vector_cartesian_coordinate_tag>::type c(this->kernel());
-		typename Get_functor<R, Vector_dimension_tag>::type vd(this->kernel());
-		typename Get_functor<R, Construct_ttag<Vector_tag> >::type cv(this->kernel());
-		std::ptrdiff_t n=std::distance(f,e);
-		if (n==0) return;
-		Vector const& v0 = *f;
-		int d=vd(v0);
-		Matrix m(d,n);
-		for(int j=0;j<d;++j){
-		  m(0,j)=c(v0,j);
-		}
-		for(int i=1; ++f!=e; ++i){
-		  Vector const& v = *f;
-		  for(int j=0;j<d;++j){
-		    m(i,j)=c(v,j);
-		  }
-		}
-		Matrix b = R::LA::basis(std::move(m));
-		for(int i=0; i < R::LA::columns(b); ++i){
-		  //*o++ = Vector(b.col(i));
-		  typedef
-		    decltype(std::declval<const Matrix>()(0,0))
-		    Ref;
-		  typedef Iterator_from_indices<Matrix, FT, Ref,
-			  internal::Matrix_col_access<Ref> > IFI;
-		  *o++ = cv(IFI(b,0,i),IFI(b,d,i));
-		}
-	}
+        CGAL_FUNCTOR_INIT_STORE(Linear_base)
+        typedef R_ R;
+        typedef typename Get_type<R, Vector_tag>::type Vector;
+        typedef typename Get_type<R, FT_tag>::type FT;
+        typedef void result_type;
+        typedef typename R::LA::Dynamic_matrix Matrix;
+
+        template<class Iter, class Oter>
+        result_type operator()(Iter f, Iter e, Oter o)const{
+                typename Get_functor<R, Compute_vector_cartesian_coordinate_tag>::type c(this->kernel());
+                typename Get_functor<R, Vector_dimension_tag>::type vd(this->kernel());
+                typename Get_functor<R, Construct_ttag<Vector_tag> >::type cv(this->kernel());
+                std::ptrdiff_t n=std::distance(f,e);
+                if (n==0) return;
+                Vector const& v0 = *f;
+                int d=vd(v0);
+                Matrix m(d,n);
+                for(int j=0;j<d;++j){
+                  m(0,j)=c(v0,j);
+                }
+                for(int i=1; ++f!=e; ++i){
+                  Vector const& v = *f;
+                  for(int j=0;j<d;++j){
+                    m(i,j)=c(v,j);
+                  }
+                }
+                Matrix b = R::LA::basis(std::move(m));
+                for(int i=0; i < R::LA::columns(b); ++i){
+                  //*o++ = Vector(b.col(i));
+                  typedef
+                    decltype(std::declval<const Matrix>()(0,0))
+                    Ref;
+                  typedef Iterator_from_indices<Matrix, FT, Ref,
+                          internal::Matrix_col_access<Ref> > IFI;
+                  *o++ = cv(IFI(b,0,i),IFI(b,d,i));
+                }
+        }
 };
 }
 
@@ -425,105 +425,105 @@ CGAL_KD_DEFAULT_FUNCTOR(Linear_base_tag,
 #if 0
 namespace CartesianDKernelFunctors {
 template<class R_,bool=boost::is_same<typename R_::Point,typename R_::Vector>::value> struct Orientation : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Orientation)
-	typedef R_ R;
-	typedef typename Get_type<R, Vector_tag>::type Vector;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_type<R, Orientation_tag>::type result_type;
-	typedef typename Get_functor<R, Orientation_of_points_tag>::type OP;
-	typedef typename Get_functor<R, Orientation_of_vectors_tag>::type OV;
-
-	//FIXME!!!
-	//when Point and Vector are distinct types, the dispatch should be made
-	//in a way that doesn't instantiate a conversion from Point to Vector
-	template<class Iter>
-	result_type operator()(Iter const&f, Iter const& e)const{
-		typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
-		typename std::iterator_traits<Iter>::difference_type d=std::distance(f,e);
-		int dim=pd(*f); // BAD
-		if(d==dim) return OV(this->kernel())(f,e);
-		CGAL_assertion(d==dim+1);
-		return OP(this->kernel())(f,e);
-	}
-	//TODO: version that takes objects directly instead of iterators
+        CGAL_FUNCTOR_INIT_STORE(Orientation)
+        typedef R_ R;
+        typedef typename Get_type<R, Vector_tag>::type Vector;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Get_type<R, Orientation_tag>::type result_type;
+        typedef typename Get_functor<R, Orientation_of_points_tag>::type OP;
+        typedef typename Get_functor<R, Orientation_of_vectors_tag>::type OV;
+
+        //FIXME!!!
+        //when Point and Vector are distinct types, the dispatch should be made
+        //in a way that doesn't instantiate a conversion from Point to Vector
+        template<class Iter>
+        result_type operator()(Iter const&f, Iter const& e)const{
+                typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
+                typename std::iterator_traits<Iter>::difference_type d=std::distance(f,e);
+                int dim=pd(*f); // BAD
+                if(d==dim) return OV(this->kernel())(f,e);
+                CGAL_assertion(d==dim+1);
+                return OP(this->kernel())(f,e);
+        }
+        //TODO: version that takes objects directly instead of iterators
 };
 
 template<class R_> struct Orientation<R_,false> : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Orientation)
-	typedef R_ R;
-	typedef typename Get_type<R, Vector_tag>::type Vector;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_type<R, Orientation_tag>::type result_type;
-	typedef typename Get_functor<R, Orientation_of_points_tag>::type OP;
-	typedef typename Get_functor<R, Orientation_of_vectors_tag>::type OV;
-	typedef typename R::LA::Square_matrix Matrix;
-
-	//FIXME!!!
-	//when Point and Vector are distinct types, the dispatch should be made
-	//in a way that doesn't instantiate a conversion from Point to Vector
-	template<class Iter>
-	typename boost::enable_if<is_iterator_to<Iter,Point>,result_type>::type
-	operator()(Iter const&f, Iter const& e)const{
-		return OP(this->kernel())(f,e);
-	}
-	template<class Iter>
-	typename boost::enable_if<is_iterator_to<Iter,Vector>,result_type>::type
-	operator()(Iter const&f, Iter const& e)const{
-		return OV(this->kernel())(f,e);
-	}
-	//TODO: version that takes objects directly instead of iterators
+        CGAL_FUNCTOR_INIT_STORE(Orientation)
+        typedef R_ R;
+        typedef typename Get_type<R, Vector_tag>::type Vector;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Get_type<R, Orientation_tag>::type result_type;
+        typedef typename Get_functor<R, Orientation_of_points_tag>::type OP;
+        typedef typename Get_functor<R, Orientation_of_vectors_tag>::type OV;
+        typedef typename R::LA::Square_matrix Matrix;
+
+        //FIXME!!!
+        //when Point and Vector are distinct types, the dispatch should be made
+        //in a way that doesn't instantiate a conversion from Point to Vector
+        template<class Iter>
+        typename boost::enable_if<is_iterator_to<Iter,Point>,result_type>::type
+        operator()(Iter const&f, Iter const& e)const{
+                return OP(this->kernel())(f,e);
+        }
+        template<class Iter>
+        typename boost::enable_if<is_iterator_to<Iter,Vector>,result_type>::type
+        operator()(Iter const&f, Iter const& e)const{
+                return OV(this->kernel())(f,e);
+        }
+        //TODO: version that takes objects directly instead of iterators
 };
 }
 #endif
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Power_side_of_power_sphere_raw : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Power_side_of_power_sphere_raw)
-	typedef R_ R;
-	typedef typename Get_type<R, RT_tag>::type RT;
-	typedef typename Get_type<R, FT_tag>::type FT;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_type<R, Oriented_side_tag>::type result_type;
-	typedef typename Increment_dimension<typename R::Default_ambient_dimension>::type D1;
-	typedef typename Increment_dimension<typename R::Max_ambient_dimension>::type D2;
-	typedef typename R::LA::template Rebind_dimension<D1,D2>::Other LA;
-	typedef typename LA::Square_matrix Matrix;
-
-	template<class IterP, class IterW, class Pt, class Wt>
-	result_type operator()(IterP f, IterP const& e, IterW fw, IterW const&/*ew*/, Pt const& p0, Wt const& w0) const {
-	  typedef typename Get_functor<R, Squared_distance_to_origin_tag>::type Sqdo;
-	  typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
-	  typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
-
-	  int d=pd(p0);
-	  Matrix m(d+1,d+1);
-	  if(CGAL::Is_stored<Sqdo>::value) {
-	    Sqdo sqdo(this->kernel());
-	    FT const& h0 = sqdo(p0) - w0;
-	    for(int i=0;f!=e;++f,++fw,++i) {
-	      Point const& p=*f;
-	      for(int j=0;j<d;++j){
-		RT const& x=c(p,j);
-		m(i,j)=x-c(p0,j);
-	      }
-	      m(i,d) = sqdo(p) - *fw - h0;
-	    }
-	  } else {
-	    for(int i=0;f!=e;++f,++fw,++i) {
-	      Point const& p=*f;
-	      m(i,d) = w0 - *fw;
-	      for(int j=0;j<d;++j){
-		RT const& x=c(p,j);
-		m(i,j)=x-c(p0,j);
-		m(i,d)+=CGAL::square(m(i,j));
-	      }
-	    }
-	  }
-	  if(d%2)
-	    return -LA::sign_of_determinant(std::move(m));
-	  else
-	    return LA::sign_of_determinant(std::move(m));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Power_side_of_power_sphere_raw)
+        typedef R_ R;
+        typedef typename Get_type<R, RT_tag>::type RT;
+        typedef typename Get_type<R, FT_tag>::type FT;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Get_type<R, Oriented_side_tag>::type result_type;
+        typedef typename Increment_dimension<typename R::Default_ambient_dimension>::type D1;
+        typedef typename Increment_dimension<typename R::Max_ambient_dimension>::type D2;
+        typedef typename R::LA::template Rebind_dimension<D1,D2>::Other LA;
+        typedef typename LA::Square_matrix Matrix;
+
+        template<class IterP, class IterW, class Pt, class Wt>
+        result_type operator()(IterP f, IterP const& e, IterW fw, IterW const&/*ew*/, Pt const& p0, Wt const& w0) const {
+          typedef typename Get_functor<R, Squared_distance_to_origin_tag>::type Sqdo;
+          typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
+          typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
+
+          int d=pd(p0);
+          Matrix m(d+1,d+1);
+          if(CGAL::Is_stored<Sqdo>::value) {
+            Sqdo sqdo(this->kernel());
+            FT const& h0 = sqdo(p0) - w0;
+            for(int i=0;f!=e;++f,++fw,++i) {
+              Point const& p=*f;
+              for(int j=0;j<d;++j){
+                RT const& x=c(p,j);
+                m(i,j)=x-c(p0,j);
+              }
+              m(i,d) = sqdo(p) - *fw - h0;
+            }
+          } else {
+            for(int i=0;f!=e;++f,++fw,++i) {
+              Point const& p=*f;
+              m(i,d) = w0 - *fw;
+              for(int j=0;j<d;++j){
+                RT const& x=c(p,j);
+                m(i,j)=x-c(p0,j);
+                m(i,d)+=CGAL::square(m(i,j));
+              }
+            }
+          }
+          if(d%2)
+            return -LA::sign_of_determinant(std::move(m));
+          else
+            return LA::sign_of_determinant(std::move(m));
+        }
 };
 }
 
@@ -532,68 +532,68 @@ CGAL_KD_DEFAULT_FUNCTOR(Power_side_of_po
 // TODO: make Side_of_oriented_sphere call Power_side_of_power_sphere_raw
 namespace CartesianDKernelFunctors {
 template<class R_> struct Side_of_oriented_sphere : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Side_of_oriented_sphere)
-	typedef R_ R;
-	typedef typename Get_type<R, RT_tag>::type RT;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_type<R, Oriented_side_tag>::type result_type;
-	typedef typename Increment_dimension<typename R::Default_ambient_dimension>::type D1;
-	typedef typename Increment_dimension<typename R::Max_ambient_dimension>::type D2;
-	typedef typename R::LA::template Rebind_dimension<D1,D2>::Other LA;
-	typedef typename LA::Square_matrix Matrix;
-
-	/* Undocumented, removed
-	template<class Iter>
-	result_type operator()(Iter f, Iter const& e)const{
-	  Point const& p0=*f++; // *--e ?
-	  return this->operator()(f,e,p0);
-	}
-	*/
-
-	template<class Iter>
-	result_type operator()(Iter f, Iter const& e, Point const& p0) const {
-	  typedef typename Get_functor<R, Squared_distance_to_origin_tag>::type Sqdo;
-	  typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
-	  typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
-
-	  int d=pd(p0);
-	  Matrix m(d+1,d+1);
-	  if(CGAL::Is_stored<Sqdo>::value) {
-	    Sqdo sqdo(this->kernel());
-	    for(int i=0;f!=e;++f,++i) {
-	      Point const& p=*f;
-	      for(int j=0;j<d;++j){
-		RT const& x=c(p,j);
-		m(i,j)=x-c(p0,j);
-	      }
-	      m(i,d) = sqdo(p) - sqdo(p0);
-	    }
-	  } else {
-	    for(int i=0;f!=e;++f,++i) {
-	      Point const& p=*f;
-	      m(i,d) = 0;
-	      for(int j=0;j<d;++j){
-		RT const& x=c(p,j);
-		m(i,j)=x-c(p0,j);
-		m(i,d)+=CGAL::square(m(i,j));
-	      }
-	    }
-	  }
-	  if(d%2)
-	    return -LA::sign_of_determinant(std::move(m));
-	  else
-	    return LA::sign_of_determinant(std::move(m));
-	}
-
-	template <class...U,class=typename std::enable_if<(sizeof...(U)>=4)>::type>
-	result_type operator()(U&&...u) const {
-		return operator()({std::forward<U>(u)...});
-	}
-
-	template <class P>
-	result_type operator()(std::initializer_list<P> l) const {
-		return operator()(l.begin(),l.end());
-	}
+        CGAL_FUNCTOR_INIT_STORE(Side_of_oriented_sphere)
+        typedef R_ R;
+        typedef typename Get_type<R, RT_tag>::type RT;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Get_type<R, Oriented_side_tag>::type result_type;
+        typedef typename Increment_dimension<typename R::Default_ambient_dimension>::type D1;
+        typedef typename Increment_dimension<typename R::Max_ambient_dimension>::type D2;
+        typedef typename R::LA::template Rebind_dimension<D1,D2>::Other LA;
+        typedef typename LA::Square_matrix Matrix;
+
+        /* Undocumented, removed
+        template<class Iter>
+        result_type operator()(Iter f, Iter const& e)const{
+          Point const& p0=*f++; // *--e ?
+          return this->operator()(f,e,p0);
+        }
+        */
+
+        template<class Iter>
+        result_type operator()(Iter f, Iter const& e, Point const& p0) const {
+          typedef typename Get_functor<R, Squared_distance_to_origin_tag>::type Sqdo;
+          typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
+          typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
+
+          int d=pd(p0);
+          Matrix m(d+1,d+1);
+          if(CGAL::Is_stored<Sqdo>::value) {
+            Sqdo sqdo(this->kernel());
+            for(int i=0;f!=e;++f,++i) {
+              Point const& p=*f;
+              for(int j=0;j<d;++j){
+                RT const& x=c(p,j);
+                m(i,j)=x-c(p0,j);
+              }
+              m(i,d) = sqdo(p) - sqdo(p0);
+            }
+          } else {
+            for(int i=0;f!=e;++f,++i) {
+              Point const& p=*f;
+              m(i,d) = 0;
+              for(int j=0;j<d;++j){
+                RT const& x=c(p,j);
+                m(i,j)=x-c(p0,j);
+                m(i,d)+=CGAL::square(m(i,j));
+              }
+            }
+          }
+          if(d%2)
+            return -LA::sign_of_determinant(std::move(m));
+          else
+            return LA::sign_of_determinant(std::move(m));
+        }
+
+        template <class...U,class=typename std::enable_if<(sizeof...(U)>=4)>::type>
+        result_type operator()(U&&...u) const {
+                return operator()({std::forward<U>(u)...});
+        }
+
+        template <class P>
+        result_type operator()(std::initializer_list<P> l) const {
+                return operator()(l.begin(),l.end());
+        }
 };
 }
 
@@ -628,11 +628,11 @@ template <class R_> struct Construct_cir
       // Write the point coordinates in lines.
       int i;
       for(i=0; ++f!=e; ++i) {
-	Point const& p=*f;
-	for(int j=0;j<d;++j) {
-	  m(i,j)=2*(c(p,j)-c(p0,j));
-	}
-	b[i] = sdo(p) - n0;
+        Point const& p=*f;
+        for(int j=0;j<d;++j) {
+          m(i,j)=2*(c(p,j)-c(p0,j));
+        }
+        b[i] = sdo(p) - n0;
       }
       CGAL_assertion (i == d);
       Vec res = typename CVec::Dimension()(d);;
@@ -666,17 +666,17 @@ template <class R_> struct Construct_cir
       Vec l(k);
       int j,i=0;
       for(Iter f2=f;f2!=e;++f2,++i){
-	b(i)=m(i,i)=sdo(*f2);
-	j=0;
-	for(Iter f3=f;f3!=e;++f3,++j){
-	  m(j,i)=m(i,j)=sp(*f2,*f3);
-	}
+        b(i)=m(i,i)=sdo(*f2);
+        j=0;
+        for(Iter f3=f;f3!=e;++f3,++j){
+          m(j,i)=m(i,j)=sp(*f2,*f3);
+        }
       }
       for(i=1;i<k;++i){
-	b(i)-=b(0);
-	for(j=0;j<k;++j){
-	  m(i,j)=2*(m(i,j)-m(0,j));
-	}
+        b(i)-=b(0);
+        for(j=0;j<k;++j){
+          m(i,j)=2*(m(i,j)-m(0,j));
+        }
       }
       for(j=0;j<k;++j) m(0,j)=1;
       b(0)=1;
@@ -687,9 +687,9 @@ template <class R_> struct Construct_cir
       for(i=0;i<d;++i) center(i)=0;
       j=0;
       for(Iter f2=f;f2!=e;++f2,++j){
-	for(i=0;i<d;++i){
-	  center(i)+=l(j)*c(*f2,i);
-	}
+        for(i=0;i<d;++i){
+          center(i)+=l(j)*c(*f2,i);
+        }
       }
 
       return cp(LA::vector_begin(center),LA::vector_end(center));
@@ -718,37 +718,37 @@ CGAL_KD_DEFAULT_FUNCTOR(Squared_circumra
 namespace CartesianDKernelFunctors {
 // TODO: implement it directly, it should be at least as fast as Side_of_oriented_sphere.
 template<class R_> struct Side_of_bounded_sphere : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Side_of_bounded_sphere)
-	typedef R_ R;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_type<R, Bounded_side_tag>::type result_type;
-
-	template<class Iter>
-	result_type operator()(Iter f, Iter const& e) const {
-	  Point const& p0 = *f++; // *--e ?
-	  typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
-	  //FIXME: Doesn't work for non-full dimension.
-	  CGAL_assertion (std::distance(f,e) == pd(p0)+1);
-	  return operator() (f, e, p0);
-	}
-
-	template<class Iter>
-	result_type operator()(Iter const& f, Iter const& e, Point const& p0) const {
-	  typename Get_functor<R, Side_of_oriented_sphere_tag>::type sos (this->kernel());
-	  typename Get_functor<R, Orientation_of_points_tag>::type op (this->kernel());
-	  // enum_cast is not very generic, but since this function isn't supposed to remain like this...
-	  return enum_cast<Bounded_side> (sos (f, e, p0) * op (f, e));
-	}
-
-	template <class...U,class=typename std::enable_if<(sizeof...(U)>=4)>::type>
-	result_type operator()(U&&...u) const {
-		return operator()({std::forward<U>(u)...});
-	}
-
-	template <class P>
-	result_type operator()(std::initializer_list<P> l) const {
-		return operator()(l.begin(),l.end());
-	}
+        CGAL_FUNCTOR_INIT_STORE(Side_of_bounded_sphere)
+        typedef R_ R;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Get_type<R, Bounded_side_tag>::type result_type;
+
+        template<class Iter>
+        result_type operator()(Iter f, Iter const& e) const {
+          Point const& p0 = *f++; // *--e ?
+          typename Get_functor<R, Point_dimension_tag>::type pd(this->kernel());
+          //FIXME: Doesn't work for non-full dimension.
+          CGAL_assertion (std::distance(f,e) == pd(p0)+1);
+          return operator() (f, e, p0);
+        }
+
+        template<class Iter>
+        result_type operator()(Iter const& f, Iter const& e, Point const& p0) const {
+          typename Get_functor<R, Side_of_oriented_sphere_tag>::type sos (this->kernel());
+          typename Get_functor<R, Orientation_of_points_tag>::type op (this->kernel());
+          // enum_cast is not very generic, but since this function isn't supposed to remain like this...
+          return enum_cast<Bounded_side> (sos (f, e, p0) * op (f, e));
+        }
+
+        template <class...U,class=typename std::enable_if<(sizeof...(U)>=4)>::type>
+        result_type operator()(U&&...u) const {
+                return operator()({std::forward<U>(u)...});
+        }
+
+        template <class P>
+        result_type operator()(std::initializer_list<P> l) const {
+                return operator()(l.begin(),l.end());
+        }
 };
 }
 
@@ -756,17 +756,17 @@ CGAL_KD_DEFAULT_FUNCTOR(Side_of_bounded_
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Side_of_bounded_circumsphere : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Side_of_bounded_circumsphere)
-	typedef typename Get_type<R_, Bounded_side_tag>::type result_type;
+        CGAL_FUNCTOR_INIT_STORE(Side_of_bounded_circumsphere)
+        typedef typename Get_type<R_, Bounded_side_tag>::type result_type;
 
-	template<class Iter, class P>
-	result_type operator()(Iter f, Iter const& e, P const& p0) const {
-	  // TODO: Special case when the dimension is full.
-	  typename Get_functor<R_, Construct_circumcenter_tag>::type cc(this->kernel());
-	  typename Get_functor<R_, Compare_distance_tag>::type cd(this->kernel());
+        template<class Iter, class P>
+        result_type operator()(Iter f, Iter const& e, P const& p0) const {
+          // TODO: Special case when the dimension is full.
+          typename Get_functor<R_, Construct_circumcenter_tag>::type cc(this->kernel());
+          typename Get_functor<R_, Compare_distance_tag>::type cd(this->kernel());
 
-	  return enum_cast<Bounded_side>(cd(cc(f, e), *f, p0));
-	}
+          return enum_cast<Bounded_side>(cd(cc(f, e), *f, p0));
+        }
 };
 }
 
@@ -774,19 +774,19 @@ CGAL_KD_DEFAULT_FUNCTOR(Side_of_bounded_
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Point_to_vector : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Point_to_vector)
-	typedef R_ R;
-	typedef typename Get_type<R, RT_tag>::type RT;
-	typedef typename Get_type<R, Vector_tag>::type Vector;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_functor<R, Construct_ttag<Vector_tag> >::type CV;
-	typedef typename Get_functor<R, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CI;
-	typedef Vector result_type;
-	typedef Point argument_type;
-	result_type operator()(argument_type const&v)const{
-		CI ci(this->kernel());
-		return CV(this->kernel())(ci(v,Begin_tag()),ci(v,End_tag()));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Point_to_vector)
+        typedef R_ R;
+        typedef typename Get_type<R, RT_tag>::type RT;
+        typedef typename Get_type<R, Vector_tag>::type Vector;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Get_functor<R, Construct_ttag<Vector_tag> >::type CV;
+        typedef typename Get_functor<R, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CI;
+        typedef Vector result_type;
+        typedef Point argument_type;
+        result_type operator()(argument_type const&v)const{
+                CI ci(this->kernel());
+                return CV(this->kernel())(ci(v,Begin_tag()),ci(v,End_tag()));
+        }
 };
 }
 
@@ -794,19 +794,19 @@ CGAL_KD_DEFAULT_FUNCTOR(Point_to_vector_
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Vector_to_point : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Vector_to_point)
-	typedef R_ R;
-	typedef typename Get_type<R, RT_tag>::type RT;
-	typedef typename Get_type<R, Vector_tag>::type Vector;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_functor<R, Construct_ttag<Point_tag> >::type CP;
-	typedef typename Get_functor<R, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type CI;
-	typedef Point result_type;
-	typedef Vector argument_type;
-	result_type operator()(argument_type const&v)const{
-		CI ci(this->kernel());
-		return CP(this->kernel())(ci(v,Begin_tag()),ci(v,End_tag()));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Vector_to_point)
+        typedef R_ R;
+        typedef typename Get_type<R, RT_tag>::type RT;
+        typedef typename Get_type<R, Vector_tag>::type Vector;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Get_functor<R, Construct_ttag<Point_tag> >::type CP;
+        typedef typename Get_functor<R, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type CI;
+        typedef Point result_type;
+        typedef Vector argument_type;
+        result_type operator()(argument_type const&v)const{
+                CI ci(this->kernel());
+                return CP(this->kernel())(ci(v,Begin_tag()),ci(v,End_tag()));
+        }
 };
 }
 
@@ -814,18 +814,18 @@ CGAL_KD_DEFAULT_FUNCTOR(Vector_to_point_
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Opposite_vector : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Opposite_vector)
-	typedef R_ R;
-	typedef typename Get_type<R, RT_tag>::type RT;
-	typedef typename Get_type<R, Vector_tag>::type Vector;
-	typedef typename Get_functor<R, Construct_ttag<Vector_tag> >::type CV;
-	typedef typename Get_functor<R, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type CI;
-	typedef Vector result_type;
-	typedef Vector argument_type;
-	result_type operator()(Vector const&v)const{
-		CI ci(this->kernel());
-		return CV(this->kernel())(make_transforming_iterator(ci(v,Begin_tag()),std::negate<RT>()),make_transforming_iterator(ci(v,End_tag()),std::negate<RT>()));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Opposite_vector)
+        typedef R_ R;
+        typedef typename Get_type<R, RT_tag>::type RT;
+        typedef typename Get_type<R, Vector_tag>::type Vector;
+        typedef typename Get_functor<R, Construct_ttag<Vector_tag> >::type CV;
+        typedef typename Get_functor<R, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type CI;
+        typedef Vector result_type;
+        typedef Vector argument_type;
+        result_type operator()(Vector const&v)const{
+                CI ci(this->kernel());
+                return CV(this->kernel())(make_transforming_iterator(ci(v,Begin_tag()),std::negate<RT>()),make_transforming_iterator(ci(v,End_tag()),std::negate<RT>()));
+        }
 };
 }
 
@@ -833,19 +833,19 @@ CGAL_KD_DEFAULT_FUNCTOR(Opposite_vector_
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Scaled_vector : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Scaled_vector)
-	typedef R_ R;
-	typedef typename Get_type<R, FT_tag>::type FT;
-	typedef typename Get_type<R, Vector_tag>::type Vector;
-	typedef typename Get_functor<R, Construct_ttag<Vector_tag> >::type CV;
-	typedef typename Get_functor<R, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type CI;
-	typedef Vector result_type;
-	typedef Vector first_argument_type;
-	typedef FT second_argument_type;
-	result_type operator()(Vector const&v,FT const& s)const{
-		CI ci(this->kernel());
-		return CV(this->kernel())(make_transforming_iterator(ci(v,Begin_tag()),Scale<FT>(s)),make_transforming_iterator(ci(v,End_tag()),Scale<FT>(s)));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Scaled_vector)
+        typedef R_ R;
+        typedef typename Get_type<R, FT_tag>::type FT;
+        typedef typename Get_type<R, Vector_tag>::type Vector;
+        typedef typename Get_functor<R, Construct_ttag<Vector_tag> >::type CV;
+        typedef typename Get_functor<R, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type CI;
+        typedef Vector result_type;
+        typedef Vector first_argument_type;
+        typedef FT second_argument_type;
+        result_type operator()(Vector const&v,FT const& s)const{
+                CI ci(this->kernel());
+                return CV(this->kernel())(make_transforming_iterator(ci(v,Begin_tag()),Scale<FT>(s)),make_transforming_iterator(ci(v,End_tag()),Scale<FT>(s)));
+        }
 };
 }
 
@@ -853,19 +853,19 @@ CGAL_KD_DEFAULT_FUNCTOR(Scaled_vector_ta
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Sum_of_vectors : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Sum_of_vectors)
-	typedef R_ R;
-	typedef typename Get_type<R, RT_tag>::type RT;
-	typedef typename Get_type<R, Vector_tag>::type Vector;
-	typedef typename Get_functor<R, Construct_ttag<Vector_tag> >::type CV;
-	typedef typename Get_functor<R, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type CI;
-	typedef Vector result_type;
-	typedef Vector first_argument_type;
-	typedef Vector second_argument_type;
-	result_type operator()(Vector const&a, Vector const&b)const{
-		CI ci(this->kernel());
-		return CV(this->kernel())(make_transforming_pair_iterator(ci(a,Begin_tag()),ci(b,Begin_tag()),std::plus<RT>()),make_transforming_pair_iterator(ci(a,End_tag()),ci(b,End_tag()),std::plus<RT>()));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Sum_of_vectors)
+        typedef R_ R;
+        typedef typename Get_type<R, RT_tag>::type RT;
+        typedef typename Get_type<R, Vector_tag>::type Vector;
+        typedef typename Get_functor<R, Construct_ttag<Vector_tag> >::type CV;
+        typedef typename Get_functor<R, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type CI;
+        typedef Vector result_type;
+        typedef Vector first_argument_type;
+        typedef Vector second_argument_type;
+        result_type operator()(Vector const&a, Vector const&b)const{
+                CI ci(this->kernel());
+                return CV(this->kernel())(make_transforming_pair_iterator(ci(a,Begin_tag()),ci(b,Begin_tag()),std::plus<RT>()),make_transforming_pair_iterator(ci(a,End_tag()),ci(b,End_tag()),std::plus<RT>()));
+        }
 };
 }
 
@@ -873,19 +873,19 @@ CGAL_KD_DEFAULT_FUNCTOR(Sum_of_vectors_t
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Difference_of_vectors : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Difference_of_vectors)
-	typedef R_ R;
-	typedef typename Get_type<R, RT_tag>::type RT;
-	typedef typename Get_type<R, Vector_tag>::type Vector;
-	typedef typename Get_functor<R, Construct_ttag<Vector_tag> >::type CV;
-	typedef typename Get_functor<R, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type CI;
-	typedef Vector result_type;
-	typedef Vector first_argument_type;
-	typedef Vector second_argument_type;
-	result_type operator()(Vector const&a, Vector const&b)const{
-		CI ci(this->kernel());
-		return CV(this->kernel())(make_transforming_pair_iterator(ci(a,Begin_tag()),ci(b,Begin_tag()),std::minus<RT>()),make_transforming_pair_iterator(ci(a,End_tag()),ci(b,End_tag()),std::minus<RT>()));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Difference_of_vectors)
+        typedef R_ R;
+        typedef typename Get_type<R, RT_tag>::type RT;
+        typedef typename Get_type<R, Vector_tag>::type Vector;
+        typedef typename Get_functor<R, Construct_ttag<Vector_tag> >::type CV;
+        typedef typename Get_functor<R, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type CI;
+        typedef Vector result_type;
+        typedef Vector first_argument_type;
+        typedef Vector second_argument_type;
+        result_type operator()(Vector const&a, Vector const&b)const{
+                CI ci(this->kernel());
+                return CV(this->kernel())(make_transforming_pair_iterator(ci(a,Begin_tag()),ci(b,Begin_tag()),std::minus<RT>()),make_transforming_pair_iterator(ci(a,End_tag()),ci(b,End_tag()),std::minus<RT>()));
+        }
 };
 }
 
@@ -893,22 +893,22 @@ CGAL_KD_DEFAULT_FUNCTOR(Difference_of_ve
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Translated_point : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Translated_point)
-	typedef R_ R;
-	typedef typename Get_type<R, RT_tag>::type RT;
-	typedef typename Get_type<R, Vector_tag>::type Vector;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_functor<R, Construct_ttag<Point_tag> >::type CP;
-	typedef typename Get_functor<R, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type CVI;
-	typedef typename Get_functor<R, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CPI;
-	typedef Point  result_type;
-	typedef Point  first_argument_type;
-	typedef Vector second_argument_type;
-	result_type operator()(Point const&a, Vector const&b)const{
-		CVI cvi(this->kernel());
-		CPI cpi(this->kernel());
-		return CP(this->kernel())(make_transforming_pair_iterator(cpi(a,Begin_tag()),cvi(b,Begin_tag()),std::plus<RT>()),make_transforming_pair_iterator(cpi(a,End_tag()),cvi(b,End_tag()),std::plus<RT>()));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Translated_point)
+        typedef R_ R;
+        typedef typename Get_type<R, RT_tag>::type RT;
+        typedef typename Get_type<R, Vector_tag>::type Vector;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Get_functor<R, Construct_ttag<Point_tag> >::type CP;
+        typedef typename Get_functor<R, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type CVI;
+        typedef typename Get_functor<R, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CPI;
+        typedef Point  result_type;
+        typedef Point  first_argument_type;
+        typedef Vector second_argument_type;
+        result_type operator()(Point const&a, Vector const&b)const{
+                CVI cvi(this->kernel());
+                CPI cpi(this->kernel());
+                return CP(this->kernel())(make_transforming_pair_iterator(cpi(a,Begin_tag()),cvi(b,Begin_tag()),std::plus<RT>()),make_transforming_pair_iterator(cpi(a,End_tag()),cvi(b,End_tag()),std::plus<RT>()));
+        }
 };
 }
 
@@ -916,20 +916,20 @@ CGAL_KD_DEFAULT_FUNCTOR(Translated_point
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Difference_of_points : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Difference_of_points)
-	typedef R_ R;
-	typedef typename Get_type<R, RT_tag>::type RT;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_type<R, Vector_tag>::type Vector;
-	typedef typename Get_functor<R, Construct_ttag<Vector_tag> >::type CV;
-	typedef typename Get_functor<R, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CI;
-	typedef Vector result_type;
-	typedef Point first_argument_type;
-	typedef Point second_argument_type;
-	result_type operator()(Point const&a, Point const&b)const{
-		CI ci(this->kernel());
-		return CV(this->kernel())(make_transforming_pair_iterator(ci(a,Begin_tag()),ci(b,Begin_tag()),std::minus<RT>()),make_transforming_pair_iterator(ci(a,End_tag()),ci(b,End_tag()),std::minus<RT>()));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Difference_of_points)
+        typedef R_ R;
+        typedef typename Get_type<R, RT_tag>::type RT;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Get_type<R, Vector_tag>::type Vector;
+        typedef typename Get_functor<R, Construct_ttag<Vector_tag> >::type CV;
+        typedef typename Get_functor<R, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CI;
+        typedef Vector result_type;
+        typedef Point first_argument_type;
+        typedef Point second_argument_type;
+        result_type operator()(Point const&a, Point const&b)const{
+                CI ci(this->kernel());
+                return CV(this->kernel())(make_transforming_pair_iterator(ci(a,Begin_tag()),ci(b,Begin_tag()),std::minus<RT>()),make_transforming_pair_iterator(ci(a,End_tag()),ci(b,End_tag()),std::minus<RT>()));
+        }
 };
 }
 
@@ -937,28 +937,28 @@ CGAL_KD_DEFAULT_FUNCTOR(Difference_of_po
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Midpoint : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Midpoint)
-	typedef R_ R;
-	typedef typename Get_type<R, FT_tag>::type FT;
-	typedef typename Get_type<R, RT_tag>::type RT;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_functor<R, Construct_ttag<Point_tag> >::type CP;
-	typedef typename Get_functor<R, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CI;
-	typedef Point result_type;
-	typedef Point first_argument_type;
-	typedef Point second_argument_type;
-	// There is a division, but it will be cast to RT afterwards anyway, so maybe we could use RT.
-	struct Average : CGAL::cpp98::binary_function<FT,RT,FT> {
-		FT operator()(FT const&a, RT const&b)const{
-			return (a+b)/2;
-		}
-	};
-	result_type operator()(Point const&a, Point const&b)const{
-		CI ci(this->kernel());
-		//Divide<FT,int> half(2);
-		//return CP(this->kernel())(make_transforming_iterator(make_transforming_pair_iterator(ci.begin(a),ci.begin(b),std::plus<FT>()),half),make_transforming_iterator(make_transforming_pair_iterator(ci.end(a),ci.end(b),std::plus<FT>()),half));
-		return CP(this->kernel())(make_transforming_pair_iterator(ci(a,Begin_tag()),ci(b,Begin_tag()),Average()),make_transforming_pair_iterator(ci(a,End_tag()),ci(b,End_tag()),Average()));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Midpoint)
+        typedef R_ R;
+        typedef typename Get_type<R, FT_tag>::type FT;
+        typedef typename Get_type<R, RT_tag>::type RT;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Get_functor<R, Construct_ttag<Point_tag> >::type CP;
+        typedef typename Get_functor<R, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CI;
+        typedef Point result_type;
+        typedef Point first_argument_type;
+        typedef Point second_argument_type;
+        // There is a division, but it will be cast to RT afterwards anyway, so maybe we could use RT.
+        struct Average : CGAL::cpp98::binary_function<FT,RT,FT> {
+                FT operator()(FT const&a, RT const&b)const{
+                        return (a+b)/2;
+                }
+        };
+        result_type operator()(Point const&a, Point const&b)const{
+                CI ci(this->kernel());
+                //Divide<FT,int> half(2);
+                //return CP(this->kernel())(make_transforming_iterator(make_transforming_pair_iterator(ci.begin(a),ci.begin(b),std::plus<FT>()),half),make_transforming_iterator(make_transforming_pair_iterator(ci.end(a),ci.end(b),std::plus<FT>()),half));
+                return CP(this->kernel())(make_transforming_pair_iterator(ci(a,Begin_tag()),ci(b,Begin_tag()),Average()),make_transforming_pair_iterator(ci(a,End_tag()),ci(b,End_tag()),Average()));
+        }
 };
 }
 
@@ -966,19 +966,19 @@ CGAL_KD_DEFAULT_FUNCTOR(Midpoint_tag,(Ca
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Squared_length : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Squared_length)
-	typedef R_ R;
-	typedef typename Get_type<R, RT_tag>::type RT;
-	typedef typename Get_type<R, Vector_tag>::type Vector;
-	typedef typename Get_functor<R, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type CI;
-	typedef RT result_type;
-	typedef Vector argument_type;
-	result_type operator()(Vector const&a)const{
-		CI ci(this->kernel());
-		typename Algebraic_structure_traits<RT>::Square f;
-		// TODO: avoid this RT(0)+...
-		return std::accumulate(make_transforming_iterator(ci(a,Begin_tag()),f),make_transforming_iterator(ci(a,End_tag()),f),RT(0));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Squared_length)
+        typedef R_ R;
+        typedef typename Get_type<R, RT_tag>::type RT;
+        typedef typename Get_type<R, Vector_tag>::type Vector;
+        typedef typename Get_functor<R, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type CI;
+        typedef RT result_type;
+        typedef Vector argument_type;
+        result_type operator()(Vector const&a)const{
+                CI ci(this->kernel());
+                typename Algebraic_structure_traits<RT>::Square f;
+                // TODO: avoid this RT(0)+...
+                return std::accumulate(make_transforming_iterator(ci(a,Begin_tag()),f),make_transforming_iterator(ci(a,End_tag()),f),RT(0));
+        }
 };
 }
 
@@ -986,19 +986,19 @@ CGAL_KD_DEFAULT_FUNCTOR(Squared_length_t
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Squared_distance_to_origin : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Squared_distance_to_origin)
-	typedef R_ R;
-	typedef typename Get_type<R, RT_tag>::type RT;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_functor<R, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CI;
-	typedef RT result_type;
-	typedef Point argument_type;
-	result_type operator()(Point const&a)const{
-		CI ci(this->kernel());
-		typename Algebraic_structure_traits<RT>::Square f;
-		// TODO: avoid this RT(0)+...
-		return std::accumulate(make_transforming_iterator(ci(a,Begin_tag()),f),make_transforming_iterator(ci(a,End_tag()),f),RT(0));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Squared_distance_to_origin)
+        typedef R_ R;
+        typedef typename Get_type<R, RT_tag>::type RT;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Get_functor<R, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CI;
+        typedef RT result_type;
+        typedef Point argument_type;
+        result_type operator()(Point const&a)const{
+                CI ci(this->kernel());
+                typename Algebraic_structure_traits<RT>::Square f;
+                // TODO: avoid this RT(0)+...
+                return std::accumulate(make_transforming_iterator(ci(a,Begin_tag()),f),make_transforming_iterator(ci(a,End_tag()),f),RT(0));
+        }
 };
 }
 
@@ -1006,25 +1006,25 @@ CGAL_KD_DEFAULT_FUNCTOR(Squared_distance
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Squared_distance : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Squared_distance)
-	typedef R_ R;
-	typedef typename Get_type<R, RT_tag>::type RT;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_functor<R, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CI;
-	typedef RT result_type;
-	typedef Point first_argument_type;
-	typedef Point second_argument_type;
-	struct Sq_diff : CGAL::cpp98::binary_function<RT,RT,RT> {
-		RT operator()(RT const&a, RT const&b)const{
-			return CGAL::square(a-b);
-		}
-	};
-	result_type operator()(Point const&a, Point const&b)const{
-		CI ci(this->kernel());
-		Sq_diff f;
-		// TODO: avoid this RT(0)+...
-		return std::accumulate(make_transforming_pair_iterator(ci(a,Begin_tag()),ci(b,Begin_tag()),f),make_transforming_pair_iterator(ci(a,End_tag()),ci(b,End_tag()),f),RT(0));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Squared_distance)
+        typedef R_ R;
+        typedef typename Get_type<R, RT_tag>::type RT;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Get_functor<R, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CI;
+        typedef RT result_type;
+        typedef Point first_argument_type;
+        typedef Point second_argument_type;
+        struct Sq_diff : CGAL::cpp98::binary_function<RT,RT,RT> {
+                RT operator()(RT const&a, RT const&b)const{
+                        return CGAL::square(a-b);
+                }
+        };
+        result_type operator()(Point const&a, Point const&b)const{
+                CI ci(this->kernel());
+                Sq_diff f;
+                // TODO: avoid this RT(0)+...
+                return std::accumulate(make_transforming_pair_iterator(ci(a,Begin_tag()),ci(b,Begin_tag()),f),make_transforming_pair_iterator(ci(a,End_tag()),ci(b,End_tag()),f),RT(0));
+        }
 };
 }
 
@@ -1045,9 +1045,9 @@ template<class R_> struct Scalar_product
     std::multiplies<RT> f;
     // TODO: avoid this RT(0)+...
     return std::accumulate(
-	make_transforming_pair_iterator(ci(a,Begin_tag()),ci(b,Begin_tag()),f),
-	make_transforming_pair_iterator(ci(a,  End_tag()),ci(b,  End_tag()),f),
-	RT(0));
+        make_transforming_pair_iterator(ci(a,Begin_tag()),ci(b,Begin_tag()),f),
+        make_transforming_pair_iterator(ci(a,  End_tag()),ci(b,  End_tag()),f),
+        RT(0));
   }
 };
 }
@@ -1056,23 +1056,23 @@ CGAL_KD_DEFAULT_FUNCTOR(Scalar_product_t
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Compare_distance : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Compare_distance)
-	typedef R_ R;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_functor<R, Squared_distance_tag>::type CSD;
-	typedef typename Get_type<R, Comparison_result_tag>::type result_type;
-	typedef Point first_argument_type;
-	typedef Point second_argument_type;
-	typedef Point third_argument_type; // why am I doing this already?
-	typedef Point fourth_argument_type;
-	result_type operator()(Point const&a, Point const&b, Point const&c)const{
-		CSD csd(this->kernel());
-		return CGAL_NTS compare(csd(a,b),csd(a,c));
-	}
-	result_type operator()(Point const&a, Point const&b, Point const&c, Point const&d)const{
-		CSD csd(this->kernel());
-		return CGAL_NTS compare(csd(a,b),csd(c,d));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Compare_distance)
+        typedef R_ R;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Get_functor<R, Squared_distance_tag>::type CSD;
+        typedef typename Get_type<R, Comparison_result_tag>::type result_type;
+        typedef Point first_argument_type;
+        typedef Point second_argument_type;
+        typedef Point third_argument_type; // why am I doing this already?
+        typedef Point fourth_argument_type;
+        result_type operator()(Point const&a, Point const&b, Point const&c)const{
+                CSD csd(this->kernel());
+                return CGAL_NTS compare(csd(a,b),csd(a,c));
+        }
+        result_type operator()(Point const&a, Point const&b, Point const&c, Point const&d)const{
+                CSD csd(this->kernel());
+                return CGAL_NTS compare(csd(a,b),csd(c,d));
+        }
 };
 }
 
@@ -1080,19 +1080,19 @@ CGAL_KD_DEFAULT_FUNCTOR(Compare_distance
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Less_point_cartesian_coordinate : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Less_point_cartesian_coordinate)
-	typedef R_ R;
-	typedef typename Get_type<R, Bool_tag>::type result_type;
-	typedef typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type Cc;
-	// TODO: This is_exact thing should be reengineered.
-	// the goal is to have a way to tell: don't filter this
-	typedef typename CGAL::Is_exact<Cc> Is_exact;
-
-	template<class V,class W,class I>
-	result_type operator()(V const&a, W const&b, I i)const{
-		Cc c(this->kernel());
-		return c(a,i)<c(b,i);
-	}
+        CGAL_FUNCTOR_INIT_STORE(Less_point_cartesian_coordinate)
+        typedef R_ R;
+        typedef typename Get_type<R, Bool_tag>::type result_type;
+        typedef typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type Cc;
+        // TODO: This is_exact thing should be reengineered.
+        // the goal is to have a way to tell: don't filter this
+        typedef typename CGAL::Is_exact<Cc> Is_exact;
+
+        template<class V,class W,class I>
+        result_type operator()(V const&a, W const&b, I i)const{
+                Cc c(this->kernel());
+                return c(a,i)<c(b,i);
+        }
 };
 }
 
@@ -1100,19 +1100,19 @@ CGAL_KD_DEFAULT_FUNCTOR(Less_point_carte
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Compare_point_cartesian_coordinate : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Compare_point_cartesian_coordinate)
-	typedef R_ R;
-	typedef typename Get_type<R, Comparison_result_tag>::type result_type;
-	typedef typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type Cc;
-	// TODO: This is_exact thing should be reengineered.
-	// the goal is to have a way to tell: don't filter this
-	typedef typename CGAL::Is_exact<Cc> Is_exact;
-
-	template<class V,class W,class I>
-	result_type operator()(V const&a, W const&b, I i)const{
-		Cc c(this->kernel());
-		return CGAL_NTS compare(c(a,i),c(b,i));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Compare_point_cartesian_coordinate)
+        typedef R_ R;
+        typedef typename Get_type<R, Comparison_result_tag>::type result_type;
+        typedef typename Get_functor<R, Compute_point_cartesian_coordinate_tag>::type Cc;
+        // TODO: This is_exact thing should be reengineered.
+        // the goal is to have a way to tell: don't filter this
+        typedef typename CGAL::Is_exact<Cc> Is_exact;
+
+        template<class V,class W,class I>
+        result_type operator()(V const&a, W const&b, I i)const{
+                Cc c(this->kernel());
+                return CGAL_NTS compare(c(a,i),c(b,i));
+        }
 };
 }
 
@@ -1120,29 +1120,29 @@ CGAL_KD_DEFAULT_FUNCTOR(Compare_point_ca
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Compare_lexicographically : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Compare_lexicographically)
-	typedef R_ R;
-	typedef typename Get_type<R, Comparison_result_tag>::type result_type;
-	typedef typename Get_functor<R, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CI;
-	// TODO: This is_exact thing should be reengineered.
-	// the goal is to have a way to tell: don't filter this
-	typedef typename CGAL::Is_exact<CI> Is_exact;
-
-	template<class V,class W>
-	result_type operator()(V const&a, W const&b)const{
-		CI c(this->kernel());
+        CGAL_FUNCTOR_INIT_STORE(Compare_lexicographically)
+        typedef R_ R;
+        typedef typename Get_type<R, Comparison_result_tag>::type result_type;
+        typedef typename Get_functor<R, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CI;
+        // TODO: This is_exact thing should be reengineered.
+        // the goal is to have a way to tell: don't filter this
+        typedef typename CGAL::Is_exact<CI> Is_exact;
+
+        template<class V,class W>
+        result_type operator()(V const&a, W const&b)const{
+                CI c(this->kernel());
 
 
                 auto a_begin=c(a,Begin_tag());
                 auto b_begin=c(b,Begin_tag());
                 auto a_end=c(a,End_tag());
-		result_type res;
-		// can't we do slightly better for Uncertain<*> ?
-		// after res=...; if(is_uncertain(res))return indeterminate<result_type>();
-		do res=CGAL_NTS compare(*a_begin++,*b_begin++);
-		while(a_begin!=a_end && res==EQUAL);
-		return res;
-	}
+                result_type res;
+                // can't we do slightly better for Uncertain<*> ?
+                // after res=...; if(is_uncertain(res))return indeterminate<result_type>();
+                do res=CGAL_NTS compare(*a_begin++,*b_begin++);
+                while(a_begin!=a_end && res==EQUAL);
+                return res;
+        }
 };
 }
 
@@ -1150,17 +1150,17 @@ CGAL_KD_DEFAULT_FUNCTOR(Compare_lexicogr
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Less_lexicographically : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Less_lexicographically)
-	typedef R_ R;
-	typedef typename Get_type<R, Bool_tag>::type result_type;
-	typedef typename Get_functor<R, Compare_lexicographically_tag>::type CL;
-	typedef typename CGAL::Is_exact<CL> Is_exact;
-
-	template <class V, class W>
-	result_type operator() (V const&a, W const&b) const {
-		CL c (this->kernel());
-		return c(a,b) < 0;
-	}
+        CGAL_FUNCTOR_INIT_STORE(Less_lexicographically)
+        typedef R_ R;
+        typedef typename Get_type<R, Bool_tag>::type result_type;
+        typedef typename Get_functor<R, Compare_lexicographically_tag>::type CL;
+        typedef typename CGAL::Is_exact<CL> Is_exact;
+
+        template <class V, class W>
+        result_type operator() (V const&a, W const&b) const {
+                CL c (this->kernel());
+                return c(a,b) < 0;
+        }
 };
 }
 
@@ -1168,17 +1168,17 @@ CGAL_KD_DEFAULT_FUNCTOR(Less_lexicograph
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Less_or_equal_lexicographically : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Less_or_equal_lexicographically)
-	typedef R_ R;
-	typedef typename Get_type<R, Bool_tag>::type result_type;
-	typedef typename Get_functor<R, Compare_lexicographically_tag>::type CL;
-	typedef typename CGAL::Is_exact<CL> Is_exact;
-
-	template <class V, class W>
-	result_type operator() (V const&a, W const&b) const {
-		CL c (this->kernel());
-		return c(a,b) <= 0;
-	}
+        CGAL_FUNCTOR_INIT_STORE(Less_or_equal_lexicographically)
+        typedef R_ R;
+        typedef typename Get_type<R, Bool_tag>::type result_type;
+        typedef typename Get_functor<R, Compare_lexicographically_tag>::type CL;
+        typedef typename CGAL::Is_exact<CL> Is_exact;
+
+        template <class V, class W>
+        result_type operator() (V const&a, W const&b) const {
+                CL c (this->kernel());
+                return c(a,b) <= 0;
+        }
 };
 }
 
@@ -1186,29 +1186,29 @@ CGAL_KD_DEFAULT_FUNCTOR(Less_or_equal_le
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Equal_points : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Equal_points)
-	typedef R_ R;
-	typedef typename Get_type<R, Bool_tag>::type result_type;
-	typedef typename Get_functor<R, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CI;
-	// TODO: This is_exact thing should be reengineered.
-	// the goal is to have a way to tell: don't filter this
-	typedef typename CGAL::Is_exact<CI> Is_exact;
-
-	template<class V,class W>
-	result_type operator()(V const&a, W const&b)const{
-		CI c(this->kernel());
+        CGAL_FUNCTOR_INIT_STORE(Equal_points)
+        typedef R_ R;
+        typedef typename Get_type<R, Bool_tag>::type result_type;
+        typedef typename Get_functor<R, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CI;
+        // TODO: This is_exact thing should be reengineered.
+        // the goal is to have a way to tell: don't filter this
+        typedef typename CGAL::Is_exact<CI> Is_exact;
+
+        template<class V,class W>
+        result_type operator()(V const&a, W const&b)const{
+                CI c(this->kernel());
 
 
                 auto a_begin=c(a,Begin_tag());
                 auto b_begin=c(b,Begin_tag());
                 auto a_end=c(a,End_tag());
 
-		result_type res = true;
-		// Is using CGAL::possibly for Uncertain really an optimization?
-		do res = res & (*a_begin++ == *b_begin++);
-		while(a_begin!=a_end && possibly(res));
-		return res;
-	}
+                result_type res = true;
+                // Is using CGAL::possibly for Uncertain really an optimization?
+                do res = res & (*a_begin++ == *b_begin++);
+                while(a_begin!=a_end && possibly(res));
+                return res;
+        }
 };
 }
 
@@ -1216,29 +1216,29 @@ CGAL_KD_DEFAULT_FUNCTOR(Equal_points_tag
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Oriented_side : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Oriented_side)
-	typedef R_ R;
-	typedef typename Get_type<R, Oriented_side_tag>::type result_type;
-	typedef typename Get_type<R, Point_tag>::type Point;
-	typedef typename Get_type<R, Hyperplane_tag>::type Hyperplane;
-	typedef typename Get_type<R, Sphere_tag>::type Sphere;
-	typedef typename Get_functor<R, Value_at_tag>::type VA;
-	typedef typename Get_functor<R, Hyperplane_translation_tag>::type HT;
-	typedef typename Get_functor<R, Squared_distance_tag>::type SD;
-	typedef typename Get_functor<R, Squared_radius_tag>::type SR;
-	typedef typename Get_functor<R, Center_of_sphere_tag>::type CS;
-
-	result_type operator()(Hyperplane const&h, Point const&p)const{
-		HT ht(this->kernel());
-		VA va(this->kernel());
-		return CGAL::compare(va(h,p),ht(h));
-	}
-	result_type operator()(Sphere const&s, Point const&p)const{
-		SD sd(this->kernel());
-		SR sr(this->kernel());
-		CS cs(this->kernel());
-		return CGAL::compare(sd(cs(s),p),sr(s));
-	}
+        CGAL_FUNCTOR_INIT_STORE(Oriented_side)
+        typedef R_ R;
+        typedef typename Get_type<R, Oriented_side_tag>::type result_type;
+        typedef typename Get_type<R, Point_tag>::type Point;
+        typedef typename Get_type<R, Hyperplane_tag>::type Hyperplane;
+        typedef typename Get_type<R, Sphere_tag>::type Sphere;
+        typedef typename Get_functor<R, Value_at_tag>::type VA;
+        typedef typename Get_functor<R, Hyperplane_translation_tag>::type HT;
+        typedef typename Get_functor<R, Squared_distance_tag>::type SD;
+        typedef typename Get_functor<R, Squared_radius_tag>::type SR;
+        typedef typename Get_functor<R, Center_of_sphere_tag>::type CS;
+
+        result_type operator()(Hyperplane const&h, Point const&p)const{
+                HT ht(this->kernel());
+                VA va(this->kernel());
+                return CGAL::compare(va(h,p),ht(h));
+        }
+        result_type operator()(Sphere const&s, Point const&p)const{
+                SD sd(this->kernel());
+                SR sr(this->kernel());
+                CS cs(this->kernel());
+                return CGAL::compare(sd(cs(s),p),sr(s));
+        }
 };
 }
 
@@ -1246,16 +1246,16 @@ CGAL_KD_DEFAULT_FUNCTOR(Oriented_side_ta
 
 namespace CartesianDKernelFunctors {
 template<class R_> struct Has_on_positive_side : private Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Has_on_positive_side)
-	typedef R_ R;
-	typedef typename Get_type<R, Bool_tag>::type result_type;
-	typedef typename Get_functor<R, Oriented_side_tag>::type OS;
-
-	template <class Obj, class Pt>
-	result_type operator()(Obj const&o, Pt const&p)const{
-		OS os(this->kernel());
-		return os(o,p) == ON_POSITIVE_SIDE;
-	}
+        CGAL_FUNCTOR_INIT_STORE(Has_on_positive_side)
+        typedef R_ R;
+        typedef typename Get_type<R, Bool_tag>::type result_type;
+        typedef typename Get_functor<R, Oriented_side_tag>::type OS;
+
+        template <class Obj, class Pt>
+        result_type operator()(Obj const&o, Pt const&p)const{
+                OS os(this->kernel());
+                return os(o,p) == ON_POSITIVE_SIDE;
+        }
 };
 }
 
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/functor_properties.h 5.0.3-1/include/CGAL/NewKernel_d/functor_properties.h
--- 5.0.2-3/include/CGAL/NewKernel_d/functor_properties.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/functor_properties.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/functor_properties.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/functor_properties.h $
 // $Id: functor_properties.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/functor_tags.h 5.0.3-1/include/CGAL/NewKernel_d/functor_tags.h
--- 5.0.2-3/include/CGAL/NewKernel_d/functor_tags.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/functor_tags.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/functor_tags.h $
-// $Id: functor_tags.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/functor_tags.h $
+// $Id: functor_tags.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -36,91 +36,91 @@ namespace CGAL {
 
   class Null_type {~Null_type();}; // no such object should be created
 
-	// To construct iterators
-	struct Begin_tag {};
-	struct End_tag {};
-
-	// Functor category
-	struct Predicate_tag {};
-	struct Construct_tag {};
-	struct Construct_iterator_tag {};
-	struct Compute_tag {};
-	struct Misc_tag {};
-
-	struct No_filter_tag {};
-
-	template<class>struct Construct_ttag {};
-	template<class>struct Convert_ttag {};
-
-	template <class K, class F, class=void, class=void> struct Get_functor_category { typedef Misc_tag type; };
-	template<class Tg, class Obj, class Base> struct Typedef_tag_type;
-	//template<class Kernel, class Tg> struct Read_tag_type {};
-
-	template<class Kernel, class Tg>
-	struct Provides_type
-	  : Has_type_different_from<Get_type<Kernel, Tg>, Null_type> {};
-
-	template<class Kernel, class Tg, class O=void>
-	struct Provides_functor
-	  : Has_type_different_from<Get_functor<Kernel, Tg, O>, Null_functor> {};
-
-	template<class K, class List, bool=boost::mpl::empty<List>::type::value>
-	struct Provides_functors : boost::mpl::and_ <
-				   Provides_functor<K, typename boost::mpl::front<List>::type>,
-				   Provides_functors<K, typename boost::mpl::pop_front<List>::type> > {};
-	template<class K, class List>
-	struct Provides_functors<K, List, true> : boost::true_type {};
-
-	template<class K, class List, bool=boost::mpl::empty<List>::type::value>
-	struct Provides_types : boost::mpl::and_ <
-				   Provides_type<K, typename boost::mpl::front<List>::type>,
-				   Provides_types<K, typename boost::mpl::pop_front<List>::type> > {};
-	template<class K, class List>
-	struct Provides_types<K, List, true> : boost::true_type {};
-
-	namespace internal { BOOST_MPL_HAS_XXX_TRAIT_NAMED_DEF(has_Type,template Type<Null_tag>,false) }
-	template<class Kernel, class Tg,
-	  bool = internal::has_Type<Kernel>::value /* false */>
-	struct Provides_type_i : boost::false_type {};
-	template<class Kernel, class Tg>
-	struct Provides_type_i <Kernel, Tg, true>
-	  : Has_type_different_from<typename Kernel::template Type<Tg>, Null_type> {};
-
-	//// This version does not like Functor<T,bool=false>
-	//namespace internal { BOOST_MPL_HAS_XXX_TEMPLATE_NAMED_DEF(has_Functor,Functor,false) }
-	// This version lets us use non-type template parameters, but fails with older EDG-based compilers (Intel 14).
-	namespace internal { BOOST_MPL_HAS_XXX_TRAIT_NAMED_DEF(has_Functor,template Functor<Null_tag>,false) }
-
-	template<class Kernel, class Tg, class O=void,
-	  bool = internal::has_Functor<Kernel>::value /* false */>
-	struct Provides_functor_i : boost::false_type {};
-	template<class Kernel, class Tg, class O>
-	struct Provides_functor_i <Kernel, Tg, O, true>
-	  : Has_type_different_from<typename Kernel::template Functor<Tg, O>, Null_functor> {};
-
-	// TODO: Refine this a bit.
-	template <class K, class T, class D=void,
-		  //bool=Provides_functor<K,T>::value,
-		  //bool=Provides_functor_i<K,T>::value,
-		  bool = internal::has_Functor<K>::value
-		  >
-	struct Inherit_functor : K::template Functor<T> {};
-	template <class K, class T, class D>
-	struct Inherit_functor <K, T, D, false> {};
-
-	template <class K, class T, bool=internal::has_Type<K>::value>
-	struct Inherit_type : K::template Type<T> {};
-	template <class K, class T>
-	struct Inherit_type <K, T, false> {};
-
-	struct Number_tag {};
-	struct Discrete_tag {};
-	struct Object_tag {};
-	template <class K, class T, class=void> struct Get_type_category {
-	  // The lazy kernel uses it too eagerly,
-	  // so it currently needs a default.
-	  typedef Null_tag type;
-	};
+        // To construct iterators
+        struct Begin_tag {};
+        struct End_tag {};
+
+        // Functor category
+        struct Predicate_tag {};
+        struct Construct_tag {};
+        struct Construct_iterator_tag {};
+        struct Compute_tag {};
+        struct Misc_tag {};
+
+        struct No_filter_tag {};
+
+        template<class>struct Construct_ttag {};
+        template<class>struct Convert_ttag {};
+
+        template <class K, class F, class=void, class=void> struct Get_functor_category { typedef Misc_tag type; };
+        template<class Tg, class Obj, class Base> struct Typedef_tag_type;
+        //template<class Kernel, class Tg> struct Read_tag_type {};
+
+        template<class Kernel, class Tg>
+        struct Provides_type
+          : Has_type_different_from<Get_type<Kernel, Tg>, Null_type> {};
+
+        template<class Kernel, class Tg, class O=void>
+        struct Provides_functor
+          : Has_type_different_from<Get_functor<Kernel, Tg, O>, Null_functor> {};
+
+        template<class K, class List, bool=boost::mpl::empty<List>::type::value>
+        struct Provides_functors : boost::mpl::and_ <
+                                   Provides_functor<K, typename boost::mpl::front<List>::type>,
+                                   Provides_functors<K, typename boost::mpl::pop_front<List>::type> > {};
+        template<class K, class List>
+        struct Provides_functors<K, List, true> : boost::true_type {};
+
+        template<class K, class List, bool=boost::mpl::empty<List>::type::value>
+        struct Provides_types : boost::mpl::and_ <
+                                   Provides_type<K, typename boost::mpl::front<List>::type>,
+                                   Provides_types<K, typename boost::mpl::pop_front<List>::type> > {};
+        template<class K, class List>
+        struct Provides_types<K, List, true> : boost::true_type {};
+
+        namespace internal { BOOST_MPL_HAS_XXX_TRAIT_NAMED_DEF(has_Type,template Type<Null_tag>,false) }
+        template<class Kernel, class Tg,
+          bool = internal::has_Type<Kernel>::value /* false */>
+        struct Provides_type_i : boost::false_type {};
+        template<class Kernel, class Tg>
+        struct Provides_type_i <Kernel, Tg, true>
+          : Has_type_different_from<typename Kernel::template Type<Tg>, Null_type> {};
+
+        //// This version does not like Functor<T,bool=false>
+        //namespace internal { BOOST_MPL_HAS_XXX_TEMPLATE_NAMED_DEF(has_Functor,Functor,false) }
+        // This version lets us use non-type template parameters, but fails with older EDG-based compilers (Intel 14).
+        namespace internal { BOOST_MPL_HAS_XXX_TRAIT_NAMED_DEF(has_Functor,template Functor<Null_tag>,false) }
+
+        template<class Kernel, class Tg, class O=void,
+          bool = internal::has_Functor<Kernel>::value /* false */>
+        struct Provides_functor_i : boost::false_type {};
+        template<class Kernel, class Tg, class O>
+        struct Provides_functor_i <Kernel, Tg, O, true>
+          : Has_type_different_from<typename Kernel::template Functor<Tg, O>, Null_functor> {};
+
+        // TODO: Refine this a bit.
+        template <class K, class T, class D=void,
+                  //bool=Provides_functor<K,T>::value,
+                  //bool=Provides_functor_i<K,T>::value,
+                  bool = internal::has_Functor<K>::value
+                  >
+        struct Inherit_functor : K::template Functor<T> {};
+        template <class K, class T, class D>
+        struct Inherit_functor <K, T, D, false> {};
+
+        template <class K, class T, bool=internal::has_Type<K>::value>
+        struct Inherit_type : K::template Type<T> {};
+        template <class K, class T>
+        struct Inherit_type <K, T, false> {};
+
+        struct Number_tag {};
+        struct Discrete_tag {};
+        struct Object_tag {};
+        template <class K, class T, class=void> struct Get_type_category {
+          // The lazy kernel uses it too eagerly,
+          // so it currently needs a default.
+          typedef Null_tag type;
+        };
 
 #define CGAL_DECL_OBJ_(X,Y) \
   template<class Obj,class Base> \
@@ -136,80 +136,80 @@ namespace CGAL {
   //template<class Kernel>
   //struct Read_tag_type<Kernel, X##_tag> { typedef typename Kernel::X type; }
 
-	// Not exactly objects, but the extras can't hurt.
-	CGAL_DECL_OBJ(FT, Number);
-	CGAL_DECL_OBJ(RT, Number);
-
-	CGAL_DECL_OBJ(Bool, Discrete); // Boolean_tag is already taken, and is a template :-(
-	CGAL_DECL_OBJ(Comparison_result, Discrete);
-	CGAL_DECL_OBJ(Sign, Discrete);
-	CGAL_DECL_OBJ(Orientation, Discrete); // Note: duplicate with the functor tag!
-	CGAL_DECL_OBJ(Oriented_side, Discrete);
-	CGAL_DECL_OBJ(Bounded_side, Discrete);
-	CGAL_DECL_OBJ(Angle, Discrete);
-	CGAL_DECL_OBJ(Flat_orientation, Discrete);
-
-	CGAL_DECL_OBJ(Vector, Object);
-	CGAL_DECL_OBJ(Point, Object);
-	CGAL_DECL_OBJ(Segment, Object);
-	CGAL_DECL_OBJ(Sphere, Object);
-	CGAL_DECL_OBJ(Line, Object);
-	CGAL_DECL_OBJ(Direction, Object);
-	CGAL_DECL_OBJ(Hyperplane, Object);
-	CGAL_DECL_OBJ(Ray, Object);
-	CGAL_DECL_OBJ(Iso_box, Object);
-	CGAL_DECL_OBJ(Bbox, Object);
-	CGAL_DECL_OBJ(Aff_transformation, Object);
-	CGAL_DECL_OBJ(Weighted_point, Object);
+        // Not exactly objects, but the extras can't hurt.
+        CGAL_DECL_OBJ(FT, Number);
+        CGAL_DECL_OBJ(RT, Number);
+
+        CGAL_DECL_OBJ(Bool, Discrete); // Boolean_tag is already taken, and is a template :-(
+        CGAL_DECL_OBJ(Comparison_result, Discrete);
+        CGAL_DECL_OBJ(Sign, Discrete);
+        CGAL_DECL_OBJ(Orientation, Discrete); // Note: duplicate with the functor tag!
+        CGAL_DECL_OBJ(Oriented_side, Discrete);
+        CGAL_DECL_OBJ(Bounded_side, Discrete);
+        CGAL_DECL_OBJ(Angle, Discrete);
+        CGAL_DECL_OBJ(Flat_orientation, Discrete);
+
+        CGAL_DECL_OBJ(Vector, Object);
+        CGAL_DECL_OBJ(Point, Object);
+        CGAL_DECL_OBJ(Segment, Object);
+        CGAL_DECL_OBJ(Sphere, Object);
+        CGAL_DECL_OBJ(Line, Object);
+        CGAL_DECL_OBJ(Direction, Object);
+        CGAL_DECL_OBJ(Hyperplane, Object);
+        CGAL_DECL_OBJ(Ray, Object);
+        CGAL_DECL_OBJ(Iso_box, Object);
+        CGAL_DECL_OBJ(Bbox, Object);
+        CGAL_DECL_OBJ(Aff_transformation, Object);
+        CGAL_DECL_OBJ(Weighted_point, Object);
 #undef CGAL_DECL_OBJ_
 #undef CGAL_DECL_OBJ
 
 // Intel fails with those, and they are not so useful.
-//	CGAL_KD_DEFAULT_TYPE(RT_tag,(typename Get_type<K, FT_tag>::type),(),());
-//	CGAL_KD_DEFAULT_TYPE(FT_tag,(CGAL::Quotient<typename Get_type<K, RT_tag>::type>),(),());
+//        CGAL_KD_DEFAULT_TYPE(RT_tag,(typename Get_type<K, FT_tag>::type),(),());
+//        CGAL_KD_DEFAULT_TYPE(FT_tag,(CGAL::Quotient<typename Get_type<K, RT_tag>::type>),(),());
 
 #define CGAL_SMURF2(A,B) CGAL_KD_DEFAULT_TYPE(A##_tag,(typename Same_uncertainty_nt<B, typename Get_type<K,RT_tag>::type>::type),(RT_tag),())
 #define CGAL_SMURF1(A) CGAL_SMURF2(A,CGAL::A)
-	CGAL_SMURF2(Bool, bool);
-	CGAL_SMURF1(Sign);
-	CGAL_SMURF1(Comparison_result);
-	CGAL_SMURF1(Orientation);
-	CGAL_SMURF1(Oriented_side);
-	CGAL_SMURF1(Bounded_side);
-	CGAL_SMURF1(Angle);
+        CGAL_SMURF2(Bool, bool);
+        CGAL_SMURF1(Sign);
+        CGAL_SMURF1(Comparison_result);
+        CGAL_SMURF1(Orientation);
+        CGAL_SMURF1(Oriented_side);
+        CGAL_SMURF1(Bounded_side);
+        CGAL_SMURF1(Angle);
 #undef CGAL_SMURF1
 #undef CGAL_SMURF2
 
-	// TODO: replace with Get_type_category
-	template<class> struct is_NT_tag { enum { value = false }; };
-	template<> struct is_NT_tag<FT_tag> { enum { value = true }; };
-	template<> struct is_NT_tag<RT_tag> { enum { value = true }; };
-
-	template<class> struct iterator_tag_traits {
-	  enum { is_iterator = false, has_nth_element = false };
-	  typedef Null_tag value_tag;
-	};
+        // TODO: replace with Get_type_category
+        template<class> struct is_NT_tag { enum { value = false }; };
+        template<> struct is_NT_tag<FT_tag> { enum { value = true }; };
+        template<> struct is_NT_tag<RT_tag> { enum { value = true }; };
+
+        template<class> struct iterator_tag_traits {
+          enum { is_iterator = false, has_nth_element = false };
+          typedef Null_tag value_tag;
+        };
 
-	template<class>struct map_result_tag{typedef Null_type type;};
-	template<class T>struct map_result_tag<Construct_ttag<T> >{typedef T type;};
+        template<class>struct map_result_tag{typedef Null_type type;};
+        template<class T>struct map_result_tag<Construct_ttag<T> >{typedef T type;};
 
 #define CGAL_DECL_COMPUTE(X) struct X##_tag {}; \
-	template<>struct map_result_tag<X##_tag>{typedef FT_tag type;}; \
-	template<class A,class B,class C>struct Get_functor_category<A,X##_tag,B,C>{typedef Compute_tag type;}
-	CGAL_DECL_COMPUTE(Compute_point_cartesian_coordinate);
-	CGAL_DECL_COMPUTE(Compute_vector_cartesian_coordinate);
-	CGAL_DECL_COMPUTE(Compute_homogeneous_coordinate);
-	CGAL_DECL_COMPUTE(Squared_distance);
-	CGAL_DECL_COMPUTE(Squared_distance_to_origin);
-	CGAL_DECL_COMPUTE(Squared_length);
-	CGAL_DECL_COMPUTE(Squared_radius);
-	CGAL_DECL_COMPUTE(Squared_circumradius);
-	CGAL_DECL_COMPUTE(Scalar_product);
-	CGAL_DECL_COMPUTE(Hyperplane_translation);
-	CGAL_DECL_COMPUTE(Value_at);
-	CGAL_DECL_COMPUTE(Point_weight);
-	CGAL_DECL_COMPUTE(Power_distance);
-	CGAL_DECL_COMPUTE(Power_distance_to_point);
+        template<>struct map_result_tag<X##_tag>{typedef FT_tag type;}; \
+        template<class A,class B,class C>struct Get_functor_category<A,X##_tag,B,C>{typedef Compute_tag type;}
+        CGAL_DECL_COMPUTE(Compute_point_cartesian_coordinate);
+        CGAL_DECL_COMPUTE(Compute_vector_cartesian_coordinate);
+        CGAL_DECL_COMPUTE(Compute_homogeneous_coordinate);
+        CGAL_DECL_COMPUTE(Squared_distance);
+        CGAL_DECL_COMPUTE(Squared_distance_to_origin);
+        CGAL_DECL_COMPUTE(Squared_length);
+        CGAL_DECL_COMPUTE(Squared_radius);
+        CGAL_DECL_COMPUTE(Squared_circumradius);
+        CGAL_DECL_COMPUTE(Scalar_product);
+        CGAL_DECL_COMPUTE(Hyperplane_translation);
+        CGAL_DECL_COMPUTE(Value_at);
+        CGAL_DECL_COMPUTE(Point_weight);
+        CGAL_DECL_COMPUTE(Power_distance);
+        CGAL_DECL_COMPUTE(Power_distance_to_point);
 #undef CGAL_DECL_COMPUTE
 
 #define CGAL_DECL_ITER_OBJ(X,Y,Z,C) struct X##_tag {}; \
@@ -228,125 +228,125 @@ namespace CGAL {
   //template<class Kernel>
   //struct Read_tag_type<Kernel, X##_tag> { typedef typename Kernel::X type; }
 
-	CGAL_DECL_ITER_OBJ(Vector_cartesian_const_iterator, FT, Compute_vector_cartesian_coordinate, Vector);
-	CGAL_DECL_ITER_OBJ(Point_cartesian_const_iterator, FT, Compute_point_cartesian_coordinate, Point);
+        CGAL_DECL_ITER_OBJ(Vector_cartesian_const_iterator, FT, Compute_vector_cartesian_coordinate, Vector);
+        CGAL_DECL_ITER_OBJ(Point_cartesian_const_iterator, FT, Compute_point_cartesian_coordinate, Point);
 #undef CGAL_DECL_ITER_OBJ
 
-	template<class A,class T,class B,class C>struct Get_functor_category<A,Construct_ttag<T>,B,C> :
-	  boost::mpl::if_c<iterator_tag_traits<T>::is_iterator,
-			   Construct_iterator_tag,
-			   Construct_tag> {};
+        template<class A,class T,class B,class C>struct Get_functor_category<A,Construct_ttag<T>,B,C> :
+          boost::mpl::if_c<iterator_tag_traits<T>::is_iterator,
+                           Construct_iterator_tag,
+                           Construct_tag> {};
 
-	// Really?
-	template<class A,class T,class B,class C>struct Get_functor_category<A,Convert_ttag<T>,B,C>{typedef Misc_tag type;};
+        // Really?
+        template<class A,class T,class B,class C>struct Get_functor_category<A,Convert_ttag<T>,B,C>{typedef Misc_tag type;};
 
 #define CGAL_DECL_CONSTRUCT(X,Y) struct X##_tag {}; \
-	template<>struct map_result_tag<X##_tag>{typedef Y##_tag type;}; \
-	template<class A,class B,class C>struct Get_functor_category<A,X##_tag,B,C>{typedef Construct_tag type;}
-	CGAL_DECL_CONSTRUCT(Midpoint,Point);
-	CGAL_DECL_CONSTRUCT(Center_of_sphere,Point);
-	CGAL_DECL_CONSTRUCT(Point_of_sphere,Point);
-	CGAL_DECL_CONSTRUCT(Segment_extremity,Point);
-	CGAL_DECL_CONSTRUCT(Sum_of_vectors,Vector);
-	CGAL_DECL_CONSTRUCT(Difference_of_vectors,Vector);
-	CGAL_DECL_CONSTRUCT(Opposite_vector,Vector);
-	CGAL_DECL_CONSTRUCT(Scaled_vector,Vector);
-	CGAL_DECL_CONSTRUCT(Orthogonal_vector,Vector);
-	CGAL_DECL_CONSTRUCT(Difference_of_points,Vector);
-	CGAL_DECL_CONSTRUCT(Translated_point,Point);
-	CGAL_DECL_CONSTRUCT(Point_to_vector,Vector);
-	CGAL_DECL_CONSTRUCT(Vector_to_point,Point);
-	CGAL_DECL_CONSTRUCT(Construct_min_vertex,Point);
-	CGAL_DECL_CONSTRUCT(Construct_max_vertex,Point);
-	CGAL_DECL_CONSTRUCT(Construct_circumcenter,Point);
-	CGAL_DECL_CONSTRUCT(Point_drop_weight,Point);
-	CGAL_DECL_CONSTRUCT(Power_center,Weighted_point);
+        template<>struct map_result_tag<X##_tag>{typedef Y##_tag type;}; \
+        template<class A,class B,class C>struct Get_functor_category<A,X##_tag,B,C>{typedef Construct_tag type;}
+        CGAL_DECL_CONSTRUCT(Midpoint,Point);
+        CGAL_DECL_CONSTRUCT(Center_of_sphere,Point);
+        CGAL_DECL_CONSTRUCT(Point_of_sphere,Point);
+        CGAL_DECL_CONSTRUCT(Segment_extremity,Point);
+        CGAL_DECL_CONSTRUCT(Sum_of_vectors,Vector);
+        CGAL_DECL_CONSTRUCT(Difference_of_vectors,Vector);
+        CGAL_DECL_CONSTRUCT(Opposite_vector,Vector);
+        CGAL_DECL_CONSTRUCT(Scaled_vector,Vector);
+        CGAL_DECL_CONSTRUCT(Orthogonal_vector,Vector);
+        CGAL_DECL_CONSTRUCT(Difference_of_points,Vector);
+        CGAL_DECL_CONSTRUCT(Translated_point,Point);
+        CGAL_DECL_CONSTRUCT(Point_to_vector,Vector);
+        CGAL_DECL_CONSTRUCT(Vector_to_point,Point);
+        CGAL_DECL_CONSTRUCT(Construct_min_vertex,Point);
+        CGAL_DECL_CONSTRUCT(Construct_max_vertex,Point);
+        CGAL_DECL_CONSTRUCT(Construct_circumcenter,Point);
+        CGAL_DECL_CONSTRUCT(Point_drop_weight,Point);
+        CGAL_DECL_CONSTRUCT(Power_center,Weighted_point);
 #undef CGAL_DECL_CONSTRUCT
 #if 0
 #define CGAL_DECL_ITER_CONSTRUCT(X,Y) struct X##_tag {}; \
-	template<>struct map_result_tag<X##_tag>{typedef Y##_tag type;}; \
-	template<>struct map_functor_type<X##_tag>{typedef Construct_iterator_tag type;}
-	CGAL_DECL_ITER_CONSTRUCT(Construct_point_cartesian_const_iterator,Point_cartesian_const_iterator);
-	CGAL_DECL_ITER_CONSTRUCT(Construct_vector_cartesian_const_iterator,Vector_cartesian_const_iterator);
+        template<>struct map_result_tag<X##_tag>{typedef Y##_tag type;}; \
+        template<>struct map_functor_type<X##_tag>{typedef Construct_iterator_tag type;}
+        CGAL_DECL_ITER_CONSTRUCT(Construct_point_cartesian_const_iterator,Point_cartesian_const_iterator);
+        CGAL_DECL_ITER_CONSTRUCT(Construct_vector_cartesian_const_iterator,Vector_cartesian_const_iterator);
 #undef CGAL_DECL_ITER_CONSTRUCT
 #endif
 
-	//FIXME: choose a convention: prefix with Predicate_ ?
+        //FIXME: choose a convention: prefix with Predicate_ ?
 #define CGAL_DECL_PREDICATE_(X) \
-	template<class A,class B,class C>struct Get_functor_category<A,X##_tag,B,C>{typedef Predicate_tag type;}
+        template<class A,class B,class C>struct Get_functor_category<A,X##_tag,B,C>{typedef Predicate_tag type;}
 #define CGAL_DECL_PREDICATE(X) struct X##_tag {}; \
-	CGAL_DECL_PREDICATE_(X)
-	CGAL_DECL_PREDICATE(Less_point_cartesian_coordinate);
-	CGAL_DECL_PREDICATE(Compare_point_cartesian_coordinate);
-	CGAL_DECL_PREDICATE(Compare_distance);
-	CGAL_DECL_PREDICATE(Compare_lexicographically);
-	CGAL_DECL_PREDICATE(Less_lexicographically);
-	CGAL_DECL_PREDICATE(Less_or_equal_lexicographically);
-	CGAL_DECL_PREDICATE(Equal_points);
-	CGAL_DECL_PREDICATE(Has_on_positive_side);
-	CGAL_DECL_PREDICATE_(Orientation); // duplicate with the type
-	CGAL_DECL_PREDICATE_(Oriented_side); // duplicate with the type
-	CGAL_DECL_PREDICATE(Orientation_of_points);
-	CGAL_DECL_PREDICATE(Orientation_of_vectors);
-	CGAL_DECL_PREDICATE(Side_of_oriented_sphere);
-	CGAL_DECL_PREDICATE(Side_of_bounded_sphere);
-	CGAL_DECL_PREDICATE(Side_of_bounded_circumsphere);
-	CGAL_DECL_PREDICATE(Contained_in_affine_hull);
-	CGAL_DECL_PREDICATE(In_flat_orientation);
-	CGAL_DECL_PREDICATE(In_flat_side_of_oriented_sphere);
-	CGAL_DECL_PREDICATE(Construct_flat_orientation); // Making it a predicate is a questionable choice, it should be possible to let it be a construction for some implementations. Not sure how to do that... TODO
-	CGAL_DECL_PREDICATE(Linear_rank);
-	CGAL_DECL_PREDICATE(Affine_rank);
-	CGAL_DECL_PREDICATE(Linearly_independent);
-	CGAL_DECL_PREDICATE(Affinely_independent);
-	CGAL_DECL_PREDICATE(Contained_in_linear_hull);
-	CGAL_DECL_PREDICATE(Contained_in_simplex);
-	CGAL_DECL_PREDICATE(Power_side_of_power_sphere_raw);
-	CGAL_DECL_PREDICATE(Power_side_of_power_sphere);
-	CGAL_DECL_PREDICATE(In_flat_power_side_of_power_sphere_raw);
-	CGAL_DECL_PREDICATE(In_flat_power_side_of_power_sphere);
+        CGAL_DECL_PREDICATE_(X)
+        CGAL_DECL_PREDICATE(Less_point_cartesian_coordinate);
+        CGAL_DECL_PREDICATE(Compare_point_cartesian_coordinate);
+        CGAL_DECL_PREDICATE(Compare_distance);
+        CGAL_DECL_PREDICATE(Compare_lexicographically);
+        CGAL_DECL_PREDICATE(Less_lexicographically);
+        CGAL_DECL_PREDICATE(Less_or_equal_lexicographically);
+        CGAL_DECL_PREDICATE(Equal_points);
+        CGAL_DECL_PREDICATE(Has_on_positive_side);
+        CGAL_DECL_PREDICATE_(Orientation); // duplicate with the type
+        CGAL_DECL_PREDICATE_(Oriented_side); // duplicate with the type
+        CGAL_DECL_PREDICATE(Orientation_of_points);
+        CGAL_DECL_PREDICATE(Orientation_of_vectors);
+        CGAL_DECL_PREDICATE(Side_of_oriented_sphere);
+        CGAL_DECL_PREDICATE(Side_of_bounded_sphere);
+        CGAL_DECL_PREDICATE(Side_of_bounded_circumsphere);
+        CGAL_DECL_PREDICATE(Contained_in_affine_hull);
+        CGAL_DECL_PREDICATE(In_flat_orientation);
+        CGAL_DECL_PREDICATE(In_flat_side_of_oriented_sphere);
+        CGAL_DECL_PREDICATE(Construct_flat_orientation); // Making it a predicate is a questionable choice, it should be possible to let it be a construction for some implementations. Not sure how to do that... TODO
+        CGAL_DECL_PREDICATE(Linear_rank);
+        CGAL_DECL_PREDICATE(Affine_rank);
+        CGAL_DECL_PREDICATE(Linearly_independent);
+        CGAL_DECL_PREDICATE(Affinely_independent);
+        CGAL_DECL_PREDICATE(Contained_in_linear_hull);
+        CGAL_DECL_PREDICATE(Contained_in_simplex);
+        CGAL_DECL_PREDICATE(Power_side_of_power_sphere_raw);
+        CGAL_DECL_PREDICATE(Power_side_of_power_sphere);
+        CGAL_DECL_PREDICATE(In_flat_power_side_of_power_sphere_raw);
+        CGAL_DECL_PREDICATE(In_flat_power_side_of_power_sphere);
 #undef CGAL_DECL_PREDICATE
 
 #define CGAL_DECL_MISC(X) struct X##_tag {}; \
-	template<class A,class B,class C>struct Get_functor_category<A,X##_tag,B,C>{typedef Misc_tag type;}
-	//TODO: split into _begin and _end ?
-	//CGAL_DECL_MISC(Construct_point_cartesian_const_iterator);
-	//CGAL_DECL_MISC(Construct_vector_cartesian_const_iterator);
-	CGAL_DECL_MISC(Point_dimension);
-	CGAL_DECL_MISC(Vector_dimension);
-	CGAL_DECL_MISC(Linear_base); // Find a more appropriate category?
+        template<class A,class B,class C>struct Get_functor_category<A,X##_tag,B,C>{typedef Misc_tag type;}
+        //TODO: split into _begin and _end ?
+        //CGAL_DECL_MISC(Construct_point_cartesian_const_iterator);
+        //CGAL_DECL_MISC(Construct_vector_cartesian_const_iterator);
+        CGAL_DECL_MISC(Point_dimension);
+        CGAL_DECL_MISC(Vector_dimension);
+        CGAL_DECL_MISC(Linear_base); // Find a more appropriate category?
 #undef CGAL_DECL_MISC
 
 
-	// Properties for LA
-	struct Has_extra_dimension_tag {};
-	struct Has_vector_plus_minus_tag {};
-	struct Has_vector_scalar_ops_tag {};
-	struct Has_dot_product_tag {};
-	struct Has_determinant_of_vectors_tag {};
-	struct Has_determinant_of_points_tag {};
-	struct Has_determinant_of_iterator_to_vectors_tag {};
-	struct Has_determinant_of_iterator_to_points_tag {};
-	struct Has_determinant_of_vectors_omit_last_tag {};
-	struct Stores_squared_norm_tag {};
-
-	template<class> struct Preserved_by_non_linear_extra_coordinate
-	  : boost::false_type {};
-	template<> struct Preserved_by_non_linear_extra_coordinate
-	  <Has_extra_dimension_tag> : boost::true_type {};
-	template<> struct Preserved_by_non_linear_extra_coordinate
-	  <Has_determinant_of_vectors_tag> : boost::true_type {};
-	template<> struct Preserved_by_non_linear_extra_coordinate
-	  <Has_determinant_of_points_tag> : boost::true_type {};
-	template<> struct Preserved_by_non_linear_extra_coordinate
-	  <Has_determinant_of_iterator_to_vectors_tag> : boost::true_type {};
-	template<> struct Preserved_by_non_linear_extra_coordinate
-	  <Has_determinant_of_iterator_to_points_tag> : boost::true_type {};
-	template<> struct Preserved_by_non_linear_extra_coordinate
-	  <Has_determinant_of_vectors_omit_last_tag> : boost::true_type {};
+        // Properties for LA
+        struct Has_extra_dimension_tag {};
+        struct Has_vector_plus_minus_tag {};
+        struct Has_vector_scalar_ops_tag {};
+        struct Has_dot_product_tag {};
+        struct Has_determinant_of_vectors_tag {};
+        struct Has_determinant_of_points_tag {};
+        struct Has_determinant_of_iterator_to_vectors_tag {};
+        struct Has_determinant_of_iterator_to_points_tag {};
+        struct Has_determinant_of_vectors_omit_last_tag {};
+        struct Stores_squared_norm_tag {};
+
+        template<class> struct Preserved_by_non_linear_extra_coordinate
+          : boost::false_type {};
+        template<> struct Preserved_by_non_linear_extra_coordinate
+          <Has_extra_dimension_tag> : boost::true_type {};
+        template<> struct Preserved_by_non_linear_extra_coordinate
+          <Has_determinant_of_vectors_tag> : boost::true_type {};
+        template<> struct Preserved_by_non_linear_extra_coordinate
+          <Has_determinant_of_points_tag> : boost::true_type {};
+        template<> struct Preserved_by_non_linear_extra_coordinate
+          <Has_determinant_of_iterator_to_vectors_tag> : boost::true_type {};
+        template<> struct Preserved_by_non_linear_extra_coordinate
+          <Has_determinant_of_iterator_to_points_tag> : boost::true_type {};
+        template<> struct Preserved_by_non_linear_extra_coordinate
+          <Has_determinant_of_vectors_omit_last_tag> : boost::true_type {};
 
-	// Kernel properties
-	struct Point_stores_squared_distance_to_origin_tag {};
+        // Kernel properties
+        struct Point_stores_squared_distance_to_origin_tag {};
 
 }
 #endif // CGAL_FUNCTOR_TAGS_H
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Kernel_2_interface.h 5.0.3-1/include/CGAL/NewKernel_d/Kernel_2_interface.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Kernel_2_interface.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Kernel_2_interface.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Kernel_2_interface.h $
-// $Id: Kernel_2_interface.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Kernel_2_interface.h $
+// $Id: Kernel_2_interface.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -20,8 +20,8 @@
 
 namespace CGAL {
 template <class Base_> struct Kernel_2_interface : public Base_ {
-	typedef Base_ Base;
-	typedef Kernel_2_interface<Base> Kernel;
+        typedef Base_ Base;
+        typedef Kernel_2_interface<Base> Kernel;
         typedef typename Get_type<Base, RT_tag>::type RT;
         typedef typename Get_type<Base, FT_tag>::type FT;
         typedef typename Get_type<Base, Bool_tag>::type Boolean;
@@ -31,65 +31,65 @@ template <class Base_> struct Kernel_2_i
         typedef typename Get_type<Base, Oriented_side_tag>::type Oriented_side;
         typedef typename Get_type<Base, Bounded_side_tag>::type Bounded_side;
         typedef typename Get_type<Base, Angle_tag>::type Angle;
-	typedef typename Get_type<Base, Point_tag>::type  Point_2;
-	typedef typename Get_type<Base, Vector_tag>::type Vector_2;
-	typedef typename Get_type<Base, Segment_tag>::type Segment_2;
-	typedef std::tuple<Point_2,Point_2,Point_2> Triangle_2; // triangulation insists...
-	template <class T,int i> struct Help_2p_i {
-		typedef typename Get_functor<Base, T>::type LT;
-		typedef typename LT::result_type result_type;
-		LT lt;
-		Help_2p_i(Kernel const&k):lt(k){}
-		result_type operator()(Point_2 const&a, Point_2 const&b) {
-			return lt(a,b,i);
-		}
-	};
-	typedef Help_2p_i<Less_point_cartesian_coordinate_tag,0> Less_x_2;
-	typedef Help_2p_i<Less_point_cartesian_coordinate_tag,1> Less_y_2;
-	typedef Help_2p_i<Compare_point_cartesian_coordinate_tag,0> Compare_x_2;
-	typedef Help_2p_i<Compare_point_cartesian_coordinate_tag,1> Compare_y_2;
-	struct Compare_distance_2 {
-		typedef typename Get_functor<Base, Compare_distance_tag>::type CD;
-		typedef typename CD::result_type result_type;
-		CD cd;
-		Compare_distance_2(Kernel const&k):cd(k){}
-		result_type operator()(Point_2 const&a, Point_2 const&b, Point_2 const&c) {
-			return cd(a,b,c);
-		}
-		result_type operator()(Point_2 const&a, Point_2 const&b, Point_2 const&c, Point_2 const&d) {
-			return cd(a,b,c,d);
-		}
-	};
-	struct Orientation_2 {
-		typedef typename Get_functor<Base, Orientation_of_points_tag>::type O;
-		typedef typename O::result_type result_type;
-		O o;
-		Orientation_2(Kernel const&k):o(k){}
-		result_type operator()(Point_2 const&a, Point_2 const&b, Point_2 const&c) {
-			//return o(a,b,c);
-			Point_2 const* t[3]={&a,&b,&c};
-			return o(make_transforming_iterator<Dereference_functor>(t+0),make_transforming_iterator<Dereference_functor>(t+3));
-
-		}
-	};
-	struct Side_of_oriented_circle_2 {
-		typedef typename Get_functor<Base, Side_of_oriented_sphere_tag>::type SOS;
-		typedef typename SOS::result_type result_type;
-		SOS sos;
-		Side_of_oriented_circle_2(Kernel const&k):sos(k){}
-		result_type operator()(Point_2 const&a, Point_2 const&b, Point_2 const&c, Point_2 const&d) {
-			//return sos(a,b,c,d);
-			Point_2 const* t[4]={&a,&b,&c,&d};
-			return sos(make_transforming_iterator<Dereference_functor>(t+0),make_transforming_iterator<Dereference_functor>(t+4));
-		}
-	};
-	Less_x_2 less_x_2_object()const{ return Less_x_2(*this); }
-	Less_y_2 less_y_2_object()const{ return Less_y_2(*this); }
-	Compare_x_2 compare_x_2_object()const{ return Compare_x_2(*this); }
-	Compare_y_2 compare_y_2_object()const{ return Compare_y_2(*this); }
-	Compare_distance_2 compare_distance_2_object()const{ return Compare_distance_2(*this); }
-	Orientation_2 orientation_2_object()const{ return Orientation_2(*this); }
-	Side_of_oriented_circle_2 side_of_oriented_circle_2_object()const{ return Side_of_oriented_circle_2(*this); }
+        typedef typename Get_type<Base, Point_tag>::type  Point_2;
+        typedef typename Get_type<Base, Vector_tag>::type Vector_2;
+        typedef typename Get_type<Base, Segment_tag>::type Segment_2;
+        typedef std::tuple<Point_2,Point_2,Point_2> Triangle_2; // triangulation insists...
+        template <class T,int i> struct Help_2p_i {
+                typedef typename Get_functor<Base, T>::type LT;
+                typedef typename LT::result_type result_type;
+                LT lt;
+                Help_2p_i(Kernel const&k):lt(k){}
+                result_type operator()(Point_2 const&a, Point_2 const&b) {
+                        return lt(a,b,i);
+                }
+        };
+        typedef Help_2p_i<Less_point_cartesian_coordinate_tag,0> Less_x_2;
+        typedef Help_2p_i<Less_point_cartesian_coordinate_tag,1> Less_y_2;
+        typedef Help_2p_i<Compare_point_cartesian_coordinate_tag,0> Compare_x_2;
+        typedef Help_2p_i<Compare_point_cartesian_coordinate_tag,1> Compare_y_2;
+        struct Compare_distance_2 {
+                typedef typename Get_functor<Base, Compare_distance_tag>::type CD;
+                typedef typename CD::result_type result_type;
+                CD cd;
+                Compare_distance_2(Kernel const&k):cd(k){}
+                result_type operator()(Point_2 const&a, Point_2 const&b, Point_2 const&c) {
+                        return cd(a,b,c);
+                }
+                result_type operator()(Point_2 const&a, Point_2 const&b, Point_2 const&c, Point_2 const&d) {
+                        return cd(a,b,c,d);
+                }
+        };
+        struct Orientation_2 {
+                typedef typename Get_functor<Base, Orientation_of_points_tag>::type O;
+                typedef typename O::result_type result_type;
+                O o;
+                Orientation_2(Kernel const&k):o(k){}
+                result_type operator()(Point_2 const&a, Point_2 const&b, Point_2 const&c) {
+                        //return o(a,b,c);
+                        Point_2 const* t[3]={&a,&b,&c};
+                        return o(make_transforming_iterator<Dereference_functor>(t+0),make_transforming_iterator<Dereference_functor>(t+3));
+
+                }
+        };
+        struct Side_of_oriented_circle_2 {
+                typedef typename Get_functor<Base, Side_of_oriented_sphere_tag>::type SOS;
+                typedef typename SOS::result_type result_type;
+                SOS sos;
+                Side_of_oriented_circle_2(Kernel const&k):sos(k){}
+                result_type operator()(Point_2 const&a, Point_2 const&b, Point_2 const&c, Point_2 const&d) {
+                        //return sos(a,b,c,d);
+                        Point_2 const* t[4]={&a,&b,&c,&d};
+                        return sos(make_transforming_iterator<Dereference_functor>(t+0),make_transforming_iterator<Dereference_functor>(t+4));
+                }
+        };
+        Less_x_2 less_x_2_object()const{ return Less_x_2(*this); }
+        Less_y_2 less_y_2_object()const{ return Less_y_2(*this); }
+        Compare_x_2 compare_x_2_object()const{ return Compare_x_2(*this); }
+        Compare_y_2 compare_y_2_object()const{ return Compare_y_2(*this); }
+        Compare_distance_2 compare_distance_2_object()const{ return Compare_distance_2(*this); }
+        Orientation_2 orientation_2_object()const{ return Orientation_2(*this); }
+        Side_of_oriented_circle_2 side_of_oriented_circle_2_object()const{ return Side_of_oriented_circle_2(*this); }
 };
 }
 
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Kernel_3_interface.h 5.0.3-1/include/CGAL/NewKernel_d/Kernel_3_interface.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Kernel_3_interface.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Kernel_3_interface.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Kernel_3_interface.h $
-// $Id: Kernel_3_interface.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Kernel_3_interface.h $
+// $Id: Kernel_3_interface.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -20,8 +20,8 @@
 
 namespace CGAL {
 template <class Base_> struct Kernel_3_interface : public Base_ {
-	typedef Base_ Base;
-	typedef Kernel_3_interface<Base> Kernel;
+        typedef Base_ Base;
+        typedef Kernel_3_interface<Base> Kernel;
         typedef typename Get_type<Base, RT_tag>::type RT;
         typedef typename Get_type<Base, FT_tag>::type FT;
         typedef typename Get_type<Base, Bool_tag>::type Boolean;
@@ -31,63 +31,63 @@ template <class Base_> struct Kernel_3_i
         typedef typename Get_type<Base, Oriented_side_tag>::type Oriented_side;
         typedef typename Get_type<Base, Bounded_side_tag>::type Bounded_side;
         typedef typename Get_type<Base, Angle_tag>::type Angle;
-	typedef typename Get_type<Base, Point_tag>::type	Point_3;
-	typedef typename Get_type<Base, Vector_tag>::type	Vector_3;
-	typedef typename Get_type<Base, Segment_tag>::type	Segment_3;
-	typedef std::tuple<Point_3,Point_3,Point_3>		Triangle_3; // placeholder
-	typedef std::tuple<Point_3,Point_3,Point_3,Point_3>	Tetrahedron_3; // placeholder
-	struct Compare_xyz_3 {
-		typedef typename Get_functor<Base, Compare_lexicographically_tag>::type CL;
-		typedef typename CL::result_type result_type;
-		CL cl;
-		Compare_xyz_3(Kernel const&k):cl(k){}
-		result_type operator()(Point_3 const&a, Point_3 const&b) {
-			return cl(a,b);
-		}
-	};
-	struct Compare_distance_3 {
-		typedef typename Get_functor<Base, Compare_distance_tag>::type CD;
-		typedef typename CD::result_type result_type;
-		CD cd;
-		Compare_distance_3(Kernel const&k):cd(k){}
-		result_type operator()(Point_3 const&a, Point_3 const&b, Point_3 const&c) {
-			return cd(a,b,c);
-		}
-		result_type operator()(Point_3 const&a, Point_3 const&b, Point_3 const&c, Point_3 const&d) {
-			return cd(a,b,c,d);
-		}
-	};
-	struct Orientation_3 {
-		typedef typename Get_functor<Base, Orientation_of_points_tag>::type O;
-		typedef typename O::result_type result_type;
-		O o;
-		Orientation_3(Kernel const&k):o(k){}
-		result_type operator()(Point_3 const&a, Point_3 const&b, Point_3 const&c, Point_3 const&d) {
-			//return o(a,b,c,d);
-			Point_3 const* t[4]={&a,&b,&c,&d};
-			return o(make_transforming_iterator<Dereference_functor>(t+0),make_transforming_iterator<Dereference_functor>(t+4));
-
-		}
-	};
-	struct Side_of_oriented_sphere_3 {
-		typedef typename Get_functor<Base, Side_of_oriented_sphere_tag>::type SOS;
-		typedef typename SOS::result_type result_type;
-		SOS sos;
-		Side_of_oriented_sphere_3(Kernel const&k):sos(k){}
-		result_type operator()(Point_3 const&a, Point_3 const&b, Point_3 const&c, Point_3 const&d, Point_3 const&e) {
-			//return sos(a,b,c,d);
-			Point_3 const* t[5]={&a,&b,&c,&d,&e};
-			return sos(make_transforming_iterator<Dereference_functor>(t+0),make_transforming_iterator<Dereference_functor>(t+5));
-		}
-	};
-
-	// I don't have the Coplanar predicates (yet)
-
-
-	Compare_xyz_3 compare_xyz_3_object()const{ return Compare_xyz_3(*this); }
-	Compare_distance_3 compare_distance_3_object()const{ return Compare_distance_3(*this); }
-	Orientation_3 orientation_3_object()const{ return Orientation_3(*this); }
-	Side_of_oriented_sphere_3 side_of_oriented_sphere_3_object()const{ return Side_of_oriented_sphere_3(*this); }
+        typedef typename Get_type<Base, Point_tag>::type        Point_3;
+        typedef typename Get_type<Base, Vector_tag>::type        Vector_3;
+        typedef typename Get_type<Base, Segment_tag>::type        Segment_3;
+        typedef std::tuple<Point_3,Point_3,Point_3>                Triangle_3; // placeholder
+        typedef std::tuple<Point_3,Point_3,Point_3,Point_3>        Tetrahedron_3; // placeholder
+        struct Compare_xyz_3 {
+                typedef typename Get_functor<Base, Compare_lexicographically_tag>::type CL;
+                typedef typename CL::result_type result_type;
+                CL cl;
+                Compare_xyz_3(Kernel const&k):cl(k){}
+                result_type operator()(Point_3 const&a, Point_3 const&b) {
+                        return cl(a,b);
+                }
+        };
+        struct Compare_distance_3 {
+                typedef typename Get_functor<Base, Compare_distance_tag>::type CD;
+                typedef typename CD::result_type result_type;
+                CD cd;
+                Compare_distance_3(Kernel const&k):cd(k){}
+                result_type operator()(Point_3 const&a, Point_3 const&b, Point_3 const&c) {
+                        return cd(a,b,c);
+                }
+                result_type operator()(Point_3 const&a, Point_3 const&b, Point_3 const&c, Point_3 const&d) {
+                        return cd(a,b,c,d);
+                }
+        };
+        struct Orientation_3 {
+                typedef typename Get_functor<Base, Orientation_of_points_tag>::type O;
+                typedef typename O::result_type result_type;
+                O o;
+                Orientation_3(Kernel const&k):o(k){}
+                result_type operator()(Point_3 const&a, Point_3 const&b, Point_3 const&c, Point_3 const&d) {
+                        //return o(a,b,c,d);
+                        Point_3 const* t[4]={&a,&b,&c,&d};
+                        return o(make_transforming_iterator<Dereference_functor>(t+0),make_transforming_iterator<Dereference_functor>(t+4));
+
+                }
+        };
+        struct Side_of_oriented_sphere_3 {
+                typedef typename Get_functor<Base, Side_of_oriented_sphere_tag>::type SOS;
+                typedef typename SOS::result_type result_type;
+                SOS sos;
+                Side_of_oriented_sphere_3(Kernel const&k):sos(k){}
+                result_type operator()(Point_3 const&a, Point_3 const&b, Point_3 const&c, Point_3 const&d, Point_3 const&e) {
+                        //return sos(a,b,c,d);
+                        Point_3 const* t[5]={&a,&b,&c,&d,&e};
+                        return sos(make_transforming_iterator<Dereference_functor>(t+0),make_transforming_iterator<Dereference_functor>(t+5));
+                }
+        };
+
+        // I don't have the Coplanar predicates (yet)
+
+
+        Compare_xyz_3 compare_xyz_3_object()const{ return Compare_xyz_3(*this); }
+        Compare_distance_3 compare_distance_3_object()const{ return Compare_distance_3(*this); }
+        Orientation_3 orientation_3_object()const{ return Orientation_3(*this); }
+        Side_of_oriented_sphere_3 side_of_oriented_sphere_3_object()const{ return Side_of_oriented_sphere_3(*this); }
 };
 }
 
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/KernelD_converter.h 5.0.3-1/include/CGAL/NewKernel_d/KernelD_converter.h
--- 5.0.2-3/include/CGAL/NewKernel_d/KernelD_converter.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/KernelD_converter.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/KernelD_converter.h $
-// $Id: KernelD_converter.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/KernelD_converter.h $
+// $Id: KernelD_converter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -39,78 +39,78 @@ template<class K> struct Map_taglist_to_
 
 template<class List = typeset<> >
 struct Object_converter {
-	typedef Object result_type;
-	template<class F>
-	result_type operator()(Object const& o, F const& f) const {
-	  typedef typename List::head H;
-		if (H const* ptr = object_cast<H>(&o))
-			return make_object(f(*ptr));
-		else
-			return Object_converter<typename List::tail>()(o,f);
-	}
+        typedef Object result_type;
+        template<class F>
+        result_type operator()(Object const& o, F const& f) const {
+          typedef typename List::head H;
+                if (H const* ptr = object_cast<H>(&o))
+                        return make_object(f(*ptr));
+                else
+                        return Object_converter<typename List::tail>()(o,f);
+        }
 };
 template<>
 struct Object_converter <typeset<> > {
-	typedef Object result_type;
-	template<class F>
-	result_type operator()(Object const&,F const&)const {
-		CGAL_error_msg("Cartesiand_converter is unable to determine what is wrapped in the Object");
-		return Object();
-	}
+        typedef Object result_type;
+        template<class F>
+        result_type operator()(Object const&,F const&)const {
+                CGAL_error_msg("Cartesiand_converter is unable to determine what is wrapped in the Object");
+                return Object();
+        }
 };
 
 
-	//TODO: special case when K1==K2 (or they are very close?)
+        //TODO: special case when K1==K2 (or they are very close?)
 template<class Final_, class K1, class K2, class List>
 class KernelD_converter_
 : public KernelD_converter_<Final_,K1,K2,typename List::tail>
 {
-	typedef typename List::head Tag_;
-	typedef typename List::tail Rest;
-	typedef KernelD_converter_<Final_,K1,K2,Rest> Base;
-	typedef typename Get_type<K1,Tag_>::type K1_Obj;
-	typedef typename Get_type<K2,Tag_>::type K2_Obj;
-	typedef typename Get_functor<K1, Convert_ttag<Tag_> >::type K1_Conv;
-	typedef KO_converter<Tag_,K1,K2> KOC;
-	typedef std::is_same<K1_Conv, Null_functor> no_converter;
-	typedef typename internal::Map_taglist_to_typelist<K1,Rest>::type::template contains<K1_Obj> duplicate;
+        typedef typename List::head Tag_;
+        typedef typename List::tail Rest;
+        typedef KernelD_converter_<Final_,K1,K2,Rest> Base;
+        typedef typename Get_type<K1,Tag_>::type K1_Obj;
+        typedef typename Get_type<K2,Tag_>::type K2_Obj;
+        typedef typename Get_functor<K1, Convert_ttag<Tag_> >::type K1_Conv;
+        typedef KO_converter<Tag_,K1,K2> KOC;
+        typedef std::is_same<K1_Conv, Null_functor> no_converter;
+        typedef typename internal::Map_taglist_to_typelist<K1,Rest>::type::template contains<K1_Obj> duplicate;
 
-	// Disable the conversion in some cases:
-	struct Do_not_use{};
+        // Disable the conversion in some cases:
+        struct Do_not_use{};
 
         // Explicit calls to boost::mpl functions to avoid parenthesis
         // warning on some versions of GCC
-	typedef typename boost::mpl::if_ <
+        typedef typename boost::mpl::if_ <
                           // If Point==Vector, keep only one conversion
           boost::mpl::or_<boost::mpl::bool_<duplicate::value>,
                           // For iterator objects, the default is make_transforming_iterator
                           boost::mpl::bool_<(iterator_tag_traits<Tag_>::is_iterator && no_converter::value)> >,
-	  Do_not_use,K1_Obj>::type argument_type;
-	//typedef typename KOC::argument_type K1_Obj;
-	//typedef typename KOC::result_type K2_Obj;
-	public:
+          Do_not_use,K1_Obj>::type argument_type;
+        //typedef typename KOC::argument_type K1_Obj;
+        //typedef typename KOC::result_type K2_Obj;
+        public:
   using Base::operator(); // don't use directly, just make it accessible to the next level
-	K2_Obj helper(K1_Obj const& o, std::true_type)const{
-		return KOC()(this->myself().kernel(),this->myself().kernel2(),this->myself(),o);
-	}
-	K2_Obj helper(K1_Obj const& o, std::false_type)const{
-		return K1_Conv(this->myself().kernel())(this->myself().kernel2(),this->myself(),o);
-	}
-	K2_Obj operator()(argument_type const& o)const{
-	  return helper(o,no_converter());
-	}
-	template<class X,int=0> struct result:Base::template result<X>{};
-	template<int i> struct result<Final_(argument_type),i> {typedef K2_Obj type;};
+        K2_Obj helper(K1_Obj const& o, std::true_type)const{
+                return KOC()(this->myself().kernel(),this->myself().kernel2(),this->myself(),o);
+        }
+        K2_Obj helper(K1_Obj const& o, std::false_type)const{
+                return K1_Conv(this->myself().kernel())(this->myself().kernel2(),this->myself(),o);
+        }
+        K2_Obj operator()(argument_type const& o)const{
+          return helper(o,no_converter());
+        }
+        template<class X,int=0> struct result:Base::template result<X>{};
+        template<int i> struct result<Final_(argument_type),i> {typedef K2_Obj type;};
 };
 
 template<class Final_, class K1, class K2>
 class KernelD_converter_<Final_,K1,K2,typeset<> > {
-	public:
-	struct Do_not_use2{};
-	void operator()(Do_not_use2)const{}
-	template<class T> struct result;
-	Final_& myself(){return *static_cast<Final_*>(this);}
-	Final_ const& myself()const{return *static_cast<Final_ const*>(this);}
+        public:
+        struct Do_not_use2{};
+        void operator()(Do_not_use2)const{}
+        template<class T> struct result;
+        Final_& myself(){return *static_cast<Final_*>(this);}
+        Final_ const& myself()const{return *static_cast<Final_ const*>(this);}
 };
 
 
@@ -119,70 +119,70 @@ template<class K1, class K2, class List_
 typename typeset_intersection<typename K1::Object_list, typename K2::Object_list>::type
 //typeset<Point_tag>::add<Vector_tag>::type/*::add<Segment_tag>::type*/
 > class KernelD_converter
-	: public Store_kernel<K1>, public Store_kernel2<K2>,
-	public KernelD_converter_<KernelD_converter<K1,K2,List_>,K1,K2,List_>
+        : public Store_kernel<K1>, public Store_kernel2<K2>,
+        public KernelD_converter_<KernelD_converter<K1,K2,List_>,K1,K2,List_>
 {
-	typedef KernelD_converter Self;
-	typedef Self Final_;
-	typedef KernelD_converter_<Self,K1,K2,List_> Base;
-	typedef typename Get_type<K1, FT_tag>::type FT1;
-	typedef typename Get_type<K2, FT_tag>::type FT2;
-	typedef NT_converter<FT1, FT2> NTc;
-	NTc c; // TODO: compressed storage as this is likely empty and the converter gets passed around (and stored in iterators)
-
-	public:
-	KernelD_converter(){}
-	KernelD_converter(K1 const&a,K2 const&b):Store_kernel<K1>(a),Store_kernel2<K2>(b){}
-
-	// For boost::result_of, used in transforming_iterator
-	template<class T,int i=is_iterator<T>::value?42:0> struct result:Base::template result<T>{};
-	template<class T> struct result<Final_(T),42> {
-		typedef transforming_iterator<Final_,T> type;
-	};
-	template<int i> struct result<Final_(K1),i>{typedef K2 type;};
-	template<int i> struct result<Final_(int),i>{typedef int type;};
-	// Ideally the next 2 would come with Point_tag and Vector_tag, but that's hard...
-	template<int i> struct result<Final_(Origin),i>{typedef Origin type;};
-	template<int i> struct result<Final_(Null_vector),i>{typedef Null_vector type;};
-	template<int i> struct result<Final_(Object),i>{typedef Object type;};
-	template<int i> struct result<Final_(FT1),i>{typedef FT2 type;};
-
-	using Base::operator();
-	typename Store_kernel2<K2>::reference2_type operator()(K1 const&)const{return this->kernel2();}
-	int operator()(int i)const{return i;}
-	Origin operator()(Origin const&o)const{return o;}
-	Null_vector operator()(Null_vector const&v)const{return v;}
-	FT2 operator()(FT1 const&x)const{return c(x);}
-	//RT2 operator()(typename First_if_different<RT1,FT1>::Type const&x)const{return cr(x);}
-
-	typename Get_type<K2, Flat_orientation_tag>::type const&
-	operator()(typename Get_type<K1, Flat_orientation_tag>::type const&o)const
-	{ return o; } // Both kernels should have the same, returning a reference should warn if not.
-
-	template<class It>
-	transforming_iterator<Final_,typename boost::enable_if<is_iterator<It>,It>::type>
-	operator()(It const& it) const {
-		return make_transforming_iterator(it,*this);
-	}
-
-	template<class T>
-	//TODO: use decltype in C++11 instead of result
-	std::vector<typename result<Final_(T)>::type>
-	operator()(const std::vector<T>& v) const {
-		return std::vector<typename result<Final_(T)>::type>(operator()(v.begin()),operator()(v.begin()));
-	}
-
-	//TODO: convert std::list and other containers?
-
-	Object
-	operator()(const Object &obj) const
-	{
-		typedef typename internal::Map_taglist_to_typelist<K1,List_>::type Possibilities;
-		//TODO: add Empty, vector<Point>, etc to the list.
-		return Object_converter<Possibilities>()(obj,*this);
-	}
+        typedef KernelD_converter Self;
+        typedef Self Final_;
+        typedef KernelD_converter_<Self,K1,K2,List_> Base;
+        typedef typename Get_type<K1, FT_tag>::type FT1;
+        typedef typename Get_type<K2, FT_tag>::type FT2;
+        typedef NT_converter<FT1, FT2> NTc;
+        NTc c; // TODO: compressed storage as this is likely empty and the converter gets passed around (and stored in iterators)
+
+        public:
+        KernelD_converter(){}
+        KernelD_converter(K1 const&a,K2 const&b):Store_kernel<K1>(a),Store_kernel2<K2>(b){}
+
+        // For boost::result_of, used in transforming_iterator
+        template<class T,int i=is_iterator<T>::value?42:0> struct result:Base::template result<T>{};
+        template<class T> struct result<Final_(T),42> {
+                typedef transforming_iterator<Final_,T> type;
+        };
+        template<int i> struct result<Final_(K1),i>{typedef K2 type;};
+        template<int i> struct result<Final_(int),i>{typedef int type;};
+        // Ideally the next 2 would come with Point_tag and Vector_tag, but that's hard...
+        template<int i> struct result<Final_(Origin),i>{typedef Origin type;};
+        template<int i> struct result<Final_(Null_vector),i>{typedef Null_vector type;};
+        template<int i> struct result<Final_(Object),i>{typedef Object type;};
+        template<int i> struct result<Final_(FT1),i>{typedef FT2 type;};
+
+        using Base::operator();
+        typename Store_kernel2<K2>::reference2_type operator()(K1 const&)const{return this->kernel2();}
+        int operator()(int i)const{return i;}
+        Origin operator()(Origin const&o)const{return o;}
+        Null_vector operator()(Null_vector const&v)const{return v;}
+        FT2 operator()(FT1 const&x)const{return c(x);}
+        //RT2 operator()(typename First_if_different<RT1,FT1>::Type const&x)const{return cr(x);}
+
+        typename Get_type<K2, Flat_orientation_tag>::type const&
+        operator()(typename Get_type<K1, Flat_orientation_tag>::type const&o)const
+        { return o; } // Both kernels should have the same, returning a reference should warn if not.
+
+        template<class It>
+        transforming_iterator<Final_,typename boost::enable_if<is_iterator<It>,It>::type>
+        operator()(It const& it) const {
+                return make_transforming_iterator(it,*this);
+        }
+
+        template<class T>
+        //TODO: use decltype in C++11 instead of result
+        std::vector<typename result<Final_(T)>::type>
+        operator()(const std::vector<T>& v) const {
+                return std::vector<typename result<Final_(T)>::type>(operator()(v.begin()),operator()(v.begin()));
+        }
+
+        //TODO: convert std::list and other containers?
+
+        Object
+        operator()(const Object &obj) const
+        {
+                typedef typename internal::Map_taglist_to_typelist<K1,List_>::type Possibilities;
+                //TODO: add Empty, vector<Point>, etc to the list.
+                return Object_converter<Possibilities>()(obj,*this);
+        }
 
-	//TODO: convert boost::variant
+        //TODO: convert boost::variant
 
 };
 
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Kernel_d_interface.h 5.0.3-1/include/CGAL/NewKernel_d/Kernel_d_interface.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Kernel_d_interface.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Kernel_d_interface.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Kernel_d_interface.h $
-// $Id: Kernel_d_interface.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Kernel_d_interface.h $
+// $Id: Kernel_d_interface.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -23,253 +23,253 @@ template <class Base_> struct Kernel_d_i
   constexpr Kernel_d_interface(){}
   constexpr Kernel_d_interface(int d):Base_(d){}
 
-	typedef Base_ Base;
-	typedef Kernel_d_interface<Base> Kernel;
-	typedef Base_ R_; // for the macros
-	typedef typename Get_type<Base, RT_tag>::type RT;
-	typedef typename Get_type<Base, FT_tag>::type FT;
-	typedef typename Get_type<Base, Bool_tag>::type Boolean;
-	typedef typename Get_type<Base, Sign_tag>::type Sign;
-	typedef typename Get_type<Base, Comparison_result_tag>::type Comparison_result;
-	typedef typename Get_type<Base, Orientation_tag>::type Orientation;
-	typedef typename Get_type<Base, Oriented_side_tag>::type Oriented_side;
-	typedef typename Get_type<Base, Bounded_side_tag>::type Bounded_side;
-	typedef typename Get_type<Base, Angle_tag>::type Angle;
-	typedef typename Get_type<Base, Flat_orientation_tag>::type Flat_orientation_d;
-	typedef typename Get_type<Base, Point_tag>::type	Point_d;
-	typedef typename Get_type<Base, Vector_tag>::type	Vector_d;
-	typedef typename Get_type<Base, Segment_tag>::type	Segment_d;
-	typedef typename Get_type<Base, Sphere_tag>::type	Sphere_d;
-	typedef typename Get_type<Base, Hyperplane_tag>::type	Hyperplane_d;
-	typedef Vector_d Direction_d;
-	typedef typename Get_type<Base, Line_tag>::type	Line_d;
-	typedef typename Get_type<Base, Ray_tag>::type	Ray_d;
-	typedef typename Get_type<Base, Iso_box_tag>::type	Iso_box_d;
-	typedef typename Get_type<Base, Aff_transformation_tag>::type	Aff_transformation_d;
-	typedef typename Get_type<Base, Weighted_point_tag>::type	Weighted_point_d;
-	typedef typename Get_functor<Base, Compute_point_cartesian_coordinate_tag>::type Compute_coordinate_d;
-	typedef typename Get_functor<Base, Compare_lexicographically_tag>::type Compare_lexicographically_d;
-	typedef typename Get_functor<Base, Equal_points_tag>::type Equal_d;
-	typedef typename Get_functor<Base, Less_lexicographically_tag>::type Less_lexicographically_d;
-	typedef typename Get_functor<Base, Less_or_equal_lexicographically_tag>::type Less_or_equal_lexicographically_d;
-	// FIXME: and vectors?
-	typedef typename Get_functor<Base, Orientation_of_points_tag>::type Orientation_d;
-	typedef typename Get_functor<Base, Less_point_cartesian_coordinate_tag>::type Less_coordinate_d;
-	typedef typename Get_functor<Base, Point_dimension_tag>::type Point_dimension_d;
-	typedef typename Get_functor<Base, Side_of_oriented_sphere_tag>::type Side_of_oriented_sphere_d;
-	typedef typename Get_functor<Base, Power_side_of_power_sphere_tag>::type Power_side_of_power_sphere_d;
-	typedef typename Get_functor<Base, Power_center_tag>::type Power_center_d;
-	typedef typename Get_functor<Base, Power_distance_tag>::type Power_distance_d;
-	typedef typename Get_functor<Base, Contained_in_affine_hull_tag>::type Contained_in_affine_hull_d;
-	typedef typename Get_functor<Base, Construct_flat_orientation_tag>::type Construct_flat_orientation_d;
-	typedef typename Get_functor<Base, In_flat_orientation_tag>::type In_flat_orientation_d;
-	typedef typename Get_functor<Base, In_flat_side_of_oriented_sphere_tag>::type In_flat_side_of_oriented_sphere_d;
-	typedef typename Get_functor<Base, In_flat_power_side_of_power_sphere_tag>::type In_flat_power_side_of_power_sphere_d;
-	typedef typename Get_functor<Base, Point_to_vector_tag>::type Point_to_vector_d;
-	typedef typename Get_functor<Base, Vector_to_point_tag>::type Vector_to_point_d;
-	typedef typename Get_functor<Base, Translated_point_tag>::type Translated_point_d;
-	typedef typename Get_functor<Base, Scaled_vector_tag>::type Scaled_vector_d;
-	typedef typename Get_functor<Base, Difference_of_vectors_tag>::type Difference_of_vectors_d;
-	typedef typename Get_functor<Base, Difference_of_points_tag>::type Difference_of_points_d;
-	//typedef typename Get_functor<Base, Construct_ttag<Point_tag> >::type Construct_point_d;
-	struct Construct_point_d : private Store_kernel<Kernel> {
-	  typedef Kernel R_; // for the macro
-	  CGAL_FUNCTOR_INIT_STORE(Construct_point_d)
-	  typedef typename Get_functor<Base, Construct_ttag<Point_tag> >::type CP;
-	  typedef Point_d result_type;
-	  Point_d operator()(Weighted_point_d const&wp)const{
-	    return typename Get_functor<Base, Point_drop_weight_tag>::type(this->kernel())(wp);
-	  }
-	  Point_d operator()(Weighted_point_d &wp)const{
-	    return typename Get_functor<Base, Point_drop_weight_tag>::type(this->kernel())(wp);
-	  }
-	  Point_d operator()(Weighted_point_d &&wp)const{
-	    return typename Get_functor<Base, Point_drop_weight_tag>::type(this->kernel())(std::move(wp));
-	  }
-	  Point_d operator()(Weighted_point_d const&&wp)const{
-	    return typename Get_functor<Base, Point_drop_weight_tag>::type(this->kernel())(std::move(wp));
-	  }
-	  template<class...T>
-	  decltype(auto)
-	  operator()(T&&...t)const{
-	    return CP(this->kernel())(std::forward<T>(t)...);
-	  }
-	};
-	typedef typename Get_functor<Base, Construct_ttag<Vector_tag> >::type Construct_vector_d;
-	typedef typename Get_functor<Base, Construct_ttag<Segment_tag> >::type Construct_segment_d;
-	typedef typename Get_functor<Base, Construct_ttag<Sphere_tag> >::type Construct_sphere_d;
-	typedef typename Get_functor<Base, Construct_ttag<Hyperplane_tag> >::type Construct_hyperplane_d;
-	typedef Construct_vector_d Construct_direction_d;
-	typedef typename Get_functor<Base, Construct_ttag<Line_tag> >::type Construct_line_d;
-	typedef typename Get_functor<Base, Construct_ttag<Ray_tag> >::type Construct_ray_d;
-	typedef typename Get_functor<Base, Construct_ttag<Iso_box_tag> >::type Construct_iso_box_d;
-	typedef typename Get_functor<Base, Construct_ttag<Aff_transformation_tag> >::type Construct_aff_transformation_d;
-	typedef typename Get_functor<Base, Construct_ttag<Weighted_point_tag> >::type Construct_weighted_point_d;
-	typedef typename Get_functor<Base, Midpoint_tag>::type Midpoint_d;
-	struct Component_accessor_d : private Store_kernel<Kernel> {
-	  typedef Kernel R_; // for the macro
-	  CGAL_FUNCTOR_INIT_STORE(Component_accessor_d)
-	  int dimension(Point_d const&p){
-	    return this->kernel().point_dimension_d_object()(p);
-	  }
-	  FT cartesian(Point_d const&p, int i){
-	    return this->kernel().compute_coordinate_d_object()(p,i);
-	  }
-	  RT homogeneous(Point_d const&p, int i){
-	    if (i == dimension(p))
-	      return 1;
-	    return cartesian(p, i);
-	  }
-	};
-	struct Construct_cartesian_const_iterator_d : private Store_kernel<R_> {
-	  CGAL_FUNCTOR_INIT_STORE(Construct_cartesian_const_iterator_d)
-	  typedef typename Get_functor<Base, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CPI;
-	  typedef typename Get_functor<Base, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type CVI;
-	  // FIXME: The following sometimes breaks compilation. The typedef below forces instantiation of this, which forces Point_d, which itself (in the wrapper) needs the derived kernel to tell it what the base kernel is, and that's a cycle. The exact circumstances are not clear, g++ and clang++ are ok in both C++03 and C++11, it is only clang in C++11 without CGAL_CXX11 that breaks. Relying on CPI::result_type is great for Epick_d but not Epeck_d.
-	  //typedef typename CGAL::decay<typename boost::result_of<CPI(Point_d,CGAL::Begin_tag)>::type>::type result_type;
-	  //typedef typename CGAL::decay<typename CPI::result_type>::type result_type;
-	  //typedef decltype(std::declval<CPI>()(std::declval<Point_d>(),Begin_tag{})) result_type;
-	  // HACK
-	  typedef typename Base::Point_cartesian_const_iterator result_type;
-	  // Kernel_d requires a common iterator type for points and vectors
-	  // TODO: provide this mixed functor in preKernel?
-	  //CGAL_static_assertion((boost::is_same<typename CGAL::decay<typename boost::result_of<CVI(Vector_d,CGAL::Begin_tag)>::type>::type, result_type>::value));
-	  //CGAL_static_assertion((boost::is_same<typename CGAL::decay<typename CVI::result_type>::type, result_type>::value));
-	  template <class Tag_>
-	  auto operator()(Point_d const&p, Tag_ t)const{
-	    return CPI(this->kernel())(p,t);
-	  }
-	  template <class Tag_>
-	  auto operator()(typename First_if_different<Vector_d,Point_d>::Type const&v, Tag_ t)const{
-	    return CVI(this->kernel())(v,t);
-	  }
-
-	  template <class Obj>
-	  auto operator()(Obj const&o)const{
-	    return operator()(o, Begin_tag());
-	  }
-	  auto operator()(Point_d const&p, int)const{
-	    return operator()(p, End_tag());
-	  }
-	  auto operator()(typename First_if_different<Vector_d,Point_d>::Type const&v, int)const{
-	    return operator()(v, End_tag());
-	  }
-	};
-	struct Compute_squared_radius_d : private Store_kernel<Kernel> {
-	  typedef Kernel R_; // for the macro
-	  CGAL_FUNCTOR_INIT_STORE(Compute_squared_radius_d)
-	  typedef FT result_type;
-	  template<class S> FT operator()(S&& s)const{
-	    return typename Get_functor<Base, Squared_radius_tag>::type(this->kernel())(std::forward<S>(s));
-	  }
-	  template<class I> FT operator()(I b, I e)const{
-	    return typename Get_functor<Base, Squared_circumradius_tag>::type(this->kernel())(b,e);
-	  }
-	};
-	typedef typename Construct_cartesian_const_iterator_d::result_type Cartesian_const_iterator_d;
-	typedef typename Get_functor<Base, Squared_distance_tag>::type Squared_distance_d;
-	typedef typename Get_functor<Base, Squared_length_tag>::type Squared_length_d;
-	typedef typename Get_functor<Base, Scalar_product_tag>::type Scalar_product_d;
-	typedef typename Get_functor<Base, Affine_rank_tag>::type Affine_rank_d;
-	typedef typename Get_functor<Base, Affinely_independent_tag>::type Affinely_independent_d;
-	typedef typename Get_functor<Base, Contained_in_linear_hull_tag>::type Contained_in_linear_hull_d;
-	typedef typename Get_functor<Base, Contained_in_simplex_tag>::type Contained_in_simplex_d;
-	typedef typename Get_functor<Base, Has_on_positive_side_tag>::type Has_on_positive_side_d;
-	typedef typename Get_functor<Base, Linear_rank_tag>::type Linear_rank_d;
-	typedef typename Get_functor<Base, Linearly_independent_tag>::type Linearly_independent_d;
-	typedef typename Get_functor<Base, Oriented_side_tag>::type Oriented_side_d;
-	typedef typename Get_functor<Base, Side_of_bounded_circumsphere_tag>::type Side_of_bounded_sphere_d;
-
-	typedef typename Get_functor<Base, Center_of_sphere_tag>::type Center_of_sphere_d;
-	typedef Center_of_sphere_d Construct_center_d; // RangeSearchTraits
-	typedef typename Get_functor<Base, Construct_circumcenter_tag>::type Construct_circumcenter_d;
-	typedef typename Get_functor<Base, Value_at_tag>::type Value_at_d;
-	typedef typename Get_functor<Base, Point_of_sphere_tag>::type Point_of_sphere_d;
-	typedef typename Get_functor<Base, Orthogonal_vector_tag>::type Orthogonal_vector_d;
-	typedef typename Get_functor<Base, Linear_base_tag>::type Linear_base_d;
-	typedef typename Get_functor<Base, Construct_min_vertex_tag>::type Construct_min_vertex_d;
-	typedef typename Get_functor<Base, Construct_max_vertex_tag>::type Construct_max_vertex_d;
-
-	typedef typename Get_functor<Base, Point_weight_tag>::type Compute_weight_d;
-	typedef typename Get_functor<Base, Point_drop_weight_tag>::type Point_drop_weight_d;
-
-	//TODO:
-	//typedef ??? Intersect_d;
-
-
-	Compute_coordinate_d compute_coordinate_d_object()const{ return Compute_coordinate_d(*this); }
-	Has_on_positive_side_d has_on_positive_side_d_object()const{ return Has_on_positive_side_d(*this); }
-	Compare_lexicographically_d compare_lexicographically_d_object()const{ return Compare_lexicographically_d(*this); }
-	Equal_d equal_d_object()const{ return Equal_d(*this); }
-	Less_lexicographically_d less_lexicographically_d_object()const{ return Less_lexicographically_d(*this); }
-	Less_or_equal_lexicographically_d less_or_equal_lexicographically_d_object()const{ return Less_or_equal_lexicographically_d(*this); }
-	Less_coordinate_d less_coordinate_d_object()const{ return Less_coordinate_d(*this); }
-	Orientation_d orientation_d_object()const{ return Orientation_d(*this); }
-	Oriented_side_d oriented_side_d_object()const{ return Oriented_side_d(*this); }
-	Point_dimension_d point_dimension_d_object()const{ return Point_dimension_d(*this); }
-	Point_of_sphere_d point_of_sphere_d_object()const{ return Point_of_sphere_d(*this); }
-	Side_of_oriented_sphere_d side_of_oriented_sphere_d_object()const{ return Side_of_oriented_sphere_d(*this); }
-	Power_side_of_power_sphere_d power_side_of_power_sphere_d_object()const{ return Power_side_of_power_sphere_d(*this); }
-	Power_center_d power_center_d_object()const{ return Power_center_d(*this); }
-	Power_distance_d power_distance_d_object()const{ return Power_distance_d(*this); }
-	Side_of_bounded_sphere_d side_of_bounded_sphere_d_object()const{ return Side_of_bounded_sphere_d(*this); }
-	Contained_in_affine_hull_d contained_in_affine_hull_d_object()const{ return Contained_in_affine_hull_d(*this); }
-	Contained_in_linear_hull_d contained_in_linear_hull_d_object()const{ return Contained_in_linear_hull_d(*this); }
-	Contained_in_simplex_d contained_in_simplex_d_object()const{ return Contained_in_simplex_d(*this); }
-	Construct_flat_orientation_d construct_flat_orientation_d_object()const{ return Construct_flat_orientation_d(*this); }
-	In_flat_orientation_d in_flat_orientation_d_object()const{ return In_flat_orientation_d(*this); }
-	In_flat_side_of_oriented_sphere_d in_flat_side_of_oriented_sphere_d_object()const{ return In_flat_side_of_oriented_sphere_d(*this); }
-	In_flat_power_side_of_power_sphere_d in_flat_power_side_of_power_sphere_d_object()const{ return In_flat_power_side_of_power_sphere_d(*this); }
-	Point_to_vector_d point_to_vector_d_object()const{ return Point_to_vector_d(*this); }
-	Vector_to_point_d vector_to_point_d_object()const{ return Vector_to_point_d(*this); }
-	Translated_point_d translated_point_d_object()const{ return Translated_point_d(*this); }
-	Scaled_vector_d scaled_vector_d_object()const{ return Scaled_vector_d(*this); }
-	Difference_of_vectors_d difference_of_vectors_d_object()const{ return Difference_of_vectors_d(*this); }
-	Difference_of_points_d difference_of_points_d_object()const{ return Difference_of_points_d(*this); }
-	Affine_rank_d affine_rank_d_object()const{ return Affine_rank_d(*this); }
-	Affinely_independent_d affinely_independent_d_object()const{ return Affinely_independent_d(*this); }
-	Linear_base_d linear_base_d_object()const{ return Linear_base_d(*this); }
-	Linear_rank_d linear_rank_d_object()const{ return Linear_rank_d(*this); }
-	Linearly_independent_d linearly_independent_d_object()const{ return Linearly_independent_d(*this); }
-	Midpoint_d midpoint_d_object()const{ return Midpoint_d(*this); }
-	Value_at_d value_at_d_object()const{ return Value_at_d(*this); }
-	/// Intersect_d intersect_d_object()const{ return Intersect_d(*this); }
-	Component_accessor_d component_accessor_d_object()const{ return Component_accessor_d(*this); }
-	Orthogonal_vector_d orthogonal_vector_d_object()const{ return Orthogonal_vector_d(*this); }
-	Construct_cartesian_const_iterator_d construct_cartesian_const_iterator_d_object()const{ return Construct_cartesian_const_iterator_d(*this); }
-	Construct_point_d construct_point_d_object()const{ return Construct_point_d(*this); }
-	Construct_vector_d construct_vector_d_object()const{ return Construct_vector_d(*this); }
-	Construct_segment_d construct_segment_d_object()const{ return Construct_segment_d(*this); }
-	Construct_sphere_d construct_sphere_d_object()const{ return Construct_sphere_d(*this); }
-	Construct_hyperplane_d construct_hyperplane_d_object()const{ return Construct_hyperplane_d(*this); }
-	Compute_squared_radius_d compute_squared_radius_d_object()const{ return Compute_squared_radius_d(*this); }
-	Squared_distance_d squared_distance_d_object()const{ return Squared_distance_d(*this); }
-	Squared_length_d squared_length_d_object()const{ return Squared_length_d(*this); }
-	Scalar_product_d scalar_product_d_object()const{ return Scalar_product_d(*this); }
-	Center_of_sphere_d center_of_sphere_d_object()const{ return Center_of_sphere_d(*this); }
-	Construct_circumcenter_d construct_circumcenter_d_object()const{ return Construct_circumcenter_d(*this); }
-	Construct_direction_d construct_direction_d_object()const{ return Construct_direction_d(*this); }
-	Construct_line_d construct_line_d_object()const{ return Construct_line_d(*this); }
-	Construct_ray_d construct_ray_d_object()const{ return Construct_ray_d(*this); }
-	Construct_iso_box_d construct_iso_box_d_object()const{ return Construct_iso_box_d(*this); }
-	Construct_aff_transformation_d construct_aff_transformation_d_object()const{ return Construct_aff_transformation_d(*this); }
-	Construct_min_vertex_d construct_min_vertex_d_object()const{ return Construct_min_vertex_d(*this); }
-	Construct_max_vertex_d construct_max_vertex_d_object()const{ return Construct_max_vertex_d(*this); }
-	Construct_weighted_point_d construct_weighted_point_d_object()const{ return Construct_weighted_point_d(*this); }
-
-	Compute_weight_d compute_weight_d_object()const{ return Compute_weight_d(*this); }
-	Point_drop_weight_d point_drop_weight_d_object()const{ return Point_drop_weight_d(*this); }
-
-	// Dummies for those required functors missing a concept.
-	typedef Null_functor Position_on_line_d;
-	Position_on_line_d position_on_line_d_object()const{return Null_functor();}
-	typedef Null_functor Barycentric_coordinates_d;
-	Barycentric_coordinates_d barycentric_coordinates_d_object()const{return Null_functor();}
-
-	/* Not provided because they don't make sense here:
-	   Lift_to_paraboloid_d
-	   Project_along_d_axis_d
-	 */
+        typedef Base_ Base;
+        typedef Kernel_d_interface<Base> Kernel;
+        typedef Base_ R_; // for the macros
+        typedef typename Get_type<Base, RT_tag>::type RT;
+        typedef typename Get_type<Base, FT_tag>::type FT;
+        typedef typename Get_type<Base, Bool_tag>::type Boolean;
+        typedef typename Get_type<Base, Sign_tag>::type Sign;
+        typedef typename Get_type<Base, Comparison_result_tag>::type Comparison_result;
+        typedef typename Get_type<Base, Orientation_tag>::type Orientation;
+        typedef typename Get_type<Base, Oriented_side_tag>::type Oriented_side;
+        typedef typename Get_type<Base, Bounded_side_tag>::type Bounded_side;
+        typedef typename Get_type<Base, Angle_tag>::type Angle;
+        typedef typename Get_type<Base, Flat_orientation_tag>::type Flat_orientation_d;
+        typedef typename Get_type<Base, Point_tag>::type        Point_d;
+        typedef typename Get_type<Base, Vector_tag>::type        Vector_d;
+        typedef typename Get_type<Base, Segment_tag>::type        Segment_d;
+        typedef typename Get_type<Base, Sphere_tag>::type        Sphere_d;
+        typedef typename Get_type<Base, Hyperplane_tag>::type        Hyperplane_d;
+        typedef Vector_d Direction_d;
+        typedef typename Get_type<Base, Line_tag>::type        Line_d;
+        typedef typename Get_type<Base, Ray_tag>::type        Ray_d;
+        typedef typename Get_type<Base, Iso_box_tag>::type        Iso_box_d;
+        typedef typename Get_type<Base, Aff_transformation_tag>::type        Aff_transformation_d;
+        typedef typename Get_type<Base, Weighted_point_tag>::type        Weighted_point_d;
+        typedef typename Get_functor<Base, Compute_point_cartesian_coordinate_tag>::type Compute_coordinate_d;
+        typedef typename Get_functor<Base, Compare_lexicographically_tag>::type Compare_lexicographically_d;
+        typedef typename Get_functor<Base, Equal_points_tag>::type Equal_d;
+        typedef typename Get_functor<Base, Less_lexicographically_tag>::type Less_lexicographically_d;
+        typedef typename Get_functor<Base, Less_or_equal_lexicographically_tag>::type Less_or_equal_lexicographically_d;
+        // FIXME: and vectors?
+        typedef typename Get_functor<Base, Orientation_of_points_tag>::type Orientation_d;
+        typedef typename Get_functor<Base, Less_point_cartesian_coordinate_tag>::type Less_coordinate_d;
+        typedef typename Get_functor<Base, Point_dimension_tag>::type Point_dimension_d;
+        typedef typename Get_functor<Base, Side_of_oriented_sphere_tag>::type Side_of_oriented_sphere_d;
+        typedef typename Get_functor<Base, Power_side_of_power_sphere_tag>::type Power_side_of_power_sphere_d;
+        typedef typename Get_functor<Base, Power_center_tag>::type Power_center_d;
+        typedef typename Get_functor<Base, Power_distance_tag>::type Power_distance_d;
+        typedef typename Get_functor<Base, Contained_in_affine_hull_tag>::type Contained_in_affine_hull_d;
+        typedef typename Get_functor<Base, Construct_flat_orientation_tag>::type Construct_flat_orientation_d;
+        typedef typename Get_functor<Base, In_flat_orientation_tag>::type In_flat_orientation_d;
+        typedef typename Get_functor<Base, In_flat_side_of_oriented_sphere_tag>::type In_flat_side_of_oriented_sphere_d;
+        typedef typename Get_functor<Base, In_flat_power_side_of_power_sphere_tag>::type In_flat_power_side_of_power_sphere_d;
+        typedef typename Get_functor<Base, Point_to_vector_tag>::type Point_to_vector_d;
+        typedef typename Get_functor<Base, Vector_to_point_tag>::type Vector_to_point_d;
+        typedef typename Get_functor<Base, Translated_point_tag>::type Translated_point_d;
+        typedef typename Get_functor<Base, Scaled_vector_tag>::type Scaled_vector_d;
+        typedef typename Get_functor<Base, Difference_of_vectors_tag>::type Difference_of_vectors_d;
+        typedef typename Get_functor<Base, Difference_of_points_tag>::type Difference_of_points_d;
+        //typedef typename Get_functor<Base, Construct_ttag<Point_tag> >::type Construct_point_d;
+        struct Construct_point_d : private Store_kernel<Kernel> {
+          typedef Kernel R_; // for the macro
+          CGAL_FUNCTOR_INIT_STORE(Construct_point_d)
+          typedef typename Get_functor<Base, Construct_ttag<Point_tag> >::type CP;
+          typedef Point_d result_type;
+          Point_d operator()(Weighted_point_d const&wp)const{
+            return typename Get_functor<Base, Point_drop_weight_tag>::type(this->kernel())(wp);
+          }
+          Point_d operator()(Weighted_point_d &wp)const{
+            return typename Get_functor<Base, Point_drop_weight_tag>::type(this->kernel())(wp);
+          }
+          Point_d operator()(Weighted_point_d &&wp)const{
+            return typename Get_functor<Base, Point_drop_weight_tag>::type(this->kernel())(std::move(wp));
+          }
+          Point_d operator()(Weighted_point_d const&&wp)const{
+            return typename Get_functor<Base, Point_drop_weight_tag>::type(this->kernel())(std::move(wp));
+          }
+          template<class...T>
+          decltype(auto)
+          operator()(T&&...t)const{
+            return CP(this->kernel())(std::forward<T>(t)...);
+          }
+        };
+        typedef typename Get_functor<Base, Construct_ttag<Vector_tag> >::type Construct_vector_d;
+        typedef typename Get_functor<Base, Construct_ttag<Segment_tag> >::type Construct_segment_d;
+        typedef typename Get_functor<Base, Construct_ttag<Sphere_tag> >::type Construct_sphere_d;
+        typedef typename Get_functor<Base, Construct_ttag<Hyperplane_tag> >::type Construct_hyperplane_d;
+        typedef Construct_vector_d Construct_direction_d;
+        typedef typename Get_functor<Base, Construct_ttag<Line_tag> >::type Construct_line_d;
+        typedef typename Get_functor<Base, Construct_ttag<Ray_tag> >::type Construct_ray_d;
+        typedef typename Get_functor<Base, Construct_ttag<Iso_box_tag> >::type Construct_iso_box_d;
+        typedef typename Get_functor<Base, Construct_ttag<Aff_transformation_tag> >::type Construct_aff_transformation_d;
+        typedef typename Get_functor<Base, Construct_ttag<Weighted_point_tag> >::type Construct_weighted_point_d;
+        typedef typename Get_functor<Base, Midpoint_tag>::type Midpoint_d;
+        struct Component_accessor_d : private Store_kernel<Kernel> {
+          typedef Kernel R_; // for the macro
+          CGAL_FUNCTOR_INIT_STORE(Component_accessor_d)
+          int dimension(Point_d const&p){
+            return this->kernel().point_dimension_d_object()(p);
+          }
+          FT cartesian(Point_d const&p, int i){
+            return this->kernel().compute_coordinate_d_object()(p,i);
+          }
+          RT homogeneous(Point_d const&p, int i){
+            if (i == dimension(p))
+              return 1;
+            return cartesian(p, i);
+          }
+        };
+        struct Construct_cartesian_const_iterator_d : private Store_kernel<R_> {
+          CGAL_FUNCTOR_INIT_STORE(Construct_cartesian_const_iterator_d)
+          typedef typename Get_functor<Base, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CPI;
+          typedef typename Get_functor<Base, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type CVI;
+          // FIXME: The following sometimes breaks compilation. The typedef below forces instantiation of this, which forces Point_d, which itself (in the wrapper) needs the derived kernel to tell it what the base kernel is, and that's a cycle. The exact circumstances are not clear, g++ and clang++ are ok in both C++03 and C++11, it is only clang in C++11 without CGAL_CXX11 that breaks. Relying on CPI::result_type is great for Epick_d but not Epeck_d.
+          //typedef typename CGAL::decay<typename boost::result_of<CPI(Point_d,CGAL::Begin_tag)>::type>::type result_type;
+          //typedef typename CGAL::decay<typename CPI::result_type>::type result_type;
+          //typedef decltype(std::declval<CPI>()(std::declval<Point_d>(),Begin_tag{})) result_type;
+          // HACK
+          typedef typename Base::Point_cartesian_const_iterator result_type;
+          // Kernel_d requires a common iterator type for points and vectors
+          // TODO: provide this mixed functor in preKernel?
+          //CGAL_static_assertion((boost::is_same<typename CGAL::decay<typename boost::result_of<CVI(Vector_d,CGAL::Begin_tag)>::type>::type, result_type>::value));
+          //CGAL_static_assertion((boost::is_same<typename CGAL::decay<typename CVI::result_type>::type, result_type>::value));
+          template <class Tag_>
+          auto operator()(Point_d const&p, Tag_ t)const{
+            return CPI(this->kernel())(p,t);
+          }
+          template <class Tag_>
+          auto operator()(typename First_if_different<Vector_d,Point_d>::Type const&v, Tag_ t)const{
+            return CVI(this->kernel())(v,t);
+          }
+
+          template <class Obj>
+          auto operator()(Obj const&o)const{
+            return operator()(o, Begin_tag());
+          }
+          auto operator()(Point_d const&p, int)const{
+            return operator()(p, End_tag());
+          }
+          auto operator()(typename First_if_different<Vector_d,Point_d>::Type const&v, int)const{
+            return operator()(v, End_tag());
+          }
+        };
+        struct Compute_squared_radius_d : private Store_kernel<Kernel> {
+          typedef Kernel R_; // for the macro
+          CGAL_FUNCTOR_INIT_STORE(Compute_squared_radius_d)
+          typedef FT result_type;
+          template<class S> FT operator()(S&& s)const{
+            return typename Get_functor<Base, Squared_radius_tag>::type(this->kernel())(std::forward<S>(s));
+          }
+          template<class I> FT operator()(I b, I e)const{
+            return typename Get_functor<Base, Squared_circumradius_tag>::type(this->kernel())(b,e);
+          }
+        };
+        typedef typename Construct_cartesian_const_iterator_d::result_type Cartesian_const_iterator_d;
+        typedef typename Get_functor<Base, Squared_distance_tag>::type Squared_distance_d;
+        typedef typename Get_functor<Base, Squared_length_tag>::type Squared_length_d;
+        typedef typename Get_functor<Base, Scalar_product_tag>::type Scalar_product_d;
+        typedef typename Get_functor<Base, Affine_rank_tag>::type Affine_rank_d;
+        typedef typename Get_functor<Base, Affinely_independent_tag>::type Affinely_independent_d;
+        typedef typename Get_functor<Base, Contained_in_linear_hull_tag>::type Contained_in_linear_hull_d;
+        typedef typename Get_functor<Base, Contained_in_simplex_tag>::type Contained_in_simplex_d;
+        typedef typename Get_functor<Base, Has_on_positive_side_tag>::type Has_on_positive_side_d;
+        typedef typename Get_functor<Base, Linear_rank_tag>::type Linear_rank_d;
+        typedef typename Get_functor<Base, Linearly_independent_tag>::type Linearly_independent_d;
+        typedef typename Get_functor<Base, Oriented_side_tag>::type Oriented_side_d;
+        typedef typename Get_functor<Base, Side_of_bounded_circumsphere_tag>::type Side_of_bounded_sphere_d;
+
+        typedef typename Get_functor<Base, Center_of_sphere_tag>::type Center_of_sphere_d;
+        typedef Center_of_sphere_d Construct_center_d; // RangeSearchTraits
+        typedef typename Get_functor<Base, Construct_circumcenter_tag>::type Construct_circumcenter_d;
+        typedef typename Get_functor<Base, Value_at_tag>::type Value_at_d;
+        typedef typename Get_functor<Base, Point_of_sphere_tag>::type Point_of_sphere_d;
+        typedef typename Get_functor<Base, Orthogonal_vector_tag>::type Orthogonal_vector_d;
+        typedef typename Get_functor<Base, Linear_base_tag>::type Linear_base_d;
+        typedef typename Get_functor<Base, Construct_min_vertex_tag>::type Construct_min_vertex_d;
+        typedef typename Get_functor<Base, Construct_max_vertex_tag>::type Construct_max_vertex_d;
+
+        typedef typename Get_functor<Base, Point_weight_tag>::type Compute_weight_d;
+        typedef typename Get_functor<Base, Point_drop_weight_tag>::type Point_drop_weight_d;
+
+        //TODO:
+        //typedef ??? Intersect_d;
+
+
+        Compute_coordinate_d compute_coordinate_d_object()const{ return Compute_coordinate_d(*this); }
+        Has_on_positive_side_d has_on_positive_side_d_object()const{ return Has_on_positive_side_d(*this); }
+        Compare_lexicographically_d compare_lexicographically_d_object()const{ return Compare_lexicographically_d(*this); }
+        Equal_d equal_d_object()const{ return Equal_d(*this); }
+        Less_lexicographically_d less_lexicographically_d_object()const{ return Less_lexicographically_d(*this); }
+        Less_or_equal_lexicographically_d less_or_equal_lexicographically_d_object()const{ return Less_or_equal_lexicographically_d(*this); }
+        Less_coordinate_d less_coordinate_d_object()const{ return Less_coordinate_d(*this); }
+        Orientation_d orientation_d_object()const{ return Orientation_d(*this); }
+        Oriented_side_d oriented_side_d_object()const{ return Oriented_side_d(*this); }
+        Point_dimension_d point_dimension_d_object()const{ return Point_dimension_d(*this); }
+        Point_of_sphere_d point_of_sphere_d_object()const{ return Point_of_sphere_d(*this); }
+        Side_of_oriented_sphere_d side_of_oriented_sphere_d_object()const{ return Side_of_oriented_sphere_d(*this); }
+        Power_side_of_power_sphere_d power_side_of_power_sphere_d_object()const{ return Power_side_of_power_sphere_d(*this); }
+        Power_center_d power_center_d_object()const{ return Power_center_d(*this); }
+        Power_distance_d power_distance_d_object()const{ return Power_distance_d(*this); }
+        Side_of_bounded_sphere_d side_of_bounded_sphere_d_object()const{ return Side_of_bounded_sphere_d(*this); }
+        Contained_in_affine_hull_d contained_in_affine_hull_d_object()const{ return Contained_in_affine_hull_d(*this); }
+        Contained_in_linear_hull_d contained_in_linear_hull_d_object()const{ return Contained_in_linear_hull_d(*this); }
+        Contained_in_simplex_d contained_in_simplex_d_object()const{ return Contained_in_simplex_d(*this); }
+        Construct_flat_orientation_d construct_flat_orientation_d_object()const{ return Construct_flat_orientation_d(*this); }
+        In_flat_orientation_d in_flat_orientation_d_object()const{ return In_flat_orientation_d(*this); }
+        In_flat_side_of_oriented_sphere_d in_flat_side_of_oriented_sphere_d_object()const{ return In_flat_side_of_oriented_sphere_d(*this); }
+        In_flat_power_side_of_power_sphere_d in_flat_power_side_of_power_sphere_d_object()const{ return In_flat_power_side_of_power_sphere_d(*this); }
+        Point_to_vector_d point_to_vector_d_object()const{ return Point_to_vector_d(*this); }
+        Vector_to_point_d vector_to_point_d_object()const{ return Vector_to_point_d(*this); }
+        Translated_point_d translated_point_d_object()const{ return Translated_point_d(*this); }
+        Scaled_vector_d scaled_vector_d_object()const{ return Scaled_vector_d(*this); }
+        Difference_of_vectors_d difference_of_vectors_d_object()const{ return Difference_of_vectors_d(*this); }
+        Difference_of_points_d difference_of_points_d_object()const{ return Difference_of_points_d(*this); }
+        Affine_rank_d affine_rank_d_object()const{ return Affine_rank_d(*this); }
+        Affinely_independent_d affinely_independent_d_object()const{ return Affinely_independent_d(*this); }
+        Linear_base_d linear_base_d_object()const{ return Linear_base_d(*this); }
+        Linear_rank_d linear_rank_d_object()const{ return Linear_rank_d(*this); }
+        Linearly_independent_d linearly_independent_d_object()const{ return Linearly_independent_d(*this); }
+        Midpoint_d midpoint_d_object()const{ return Midpoint_d(*this); }
+        Value_at_d value_at_d_object()const{ return Value_at_d(*this); }
+        /// Intersect_d intersect_d_object()const{ return Intersect_d(*this); }
+        Component_accessor_d component_accessor_d_object()const{ return Component_accessor_d(*this); }
+        Orthogonal_vector_d orthogonal_vector_d_object()const{ return Orthogonal_vector_d(*this); }
+        Construct_cartesian_const_iterator_d construct_cartesian_const_iterator_d_object()const{ return Construct_cartesian_const_iterator_d(*this); }
+        Construct_point_d construct_point_d_object()const{ return Construct_point_d(*this); }
+        Construct_vector_d construct_vector_d_object()const{ return Construct_vector_d(*this); }
+        Construct_segment_d construct_segment_d_object()const{ return Construct_segment_d(*this); }
+        Construct_sphere_d construct_sphere_d_object()const{ return Construct_sphere_d(*this); }
+        Construct_hyperplane_d construct_hyperplane_d_object()const{ return Construct_hyperplane_d(*this); }
+        Compute_squared_radius_d compute_squared_radius_d_object()const{ return Compute_squared_radius_d(*this); }
+        Squared_distance_d squared_distance_d_object()const{ return Squared_distance_d(*this); }
+        Squared_length_d squared_length_d_object()const{ return Squared_length_d(*this); }
+        Scalar_product_d scalar_product_d_object()const{ return Scalar_product_d(*this); }
+        Center_of_sphere_d center_of_sphere_d_object()const{ return Center_of_sphere_d(*this); }
+        Construct_circumcenter_d construct_circumcenter_d_object()const{ return Construct_circumcenter_d(*this); }
+        Construct_direction_d construct_direction_d_object()const{ return Construct_direction_d(*this); }
+        Construct_line_d construct_line_d_object()const{ return Construct_line_d(*this); }
+        Construct_ray_d construct_ray_d_object()const{ return Construct_ray_d(*this); }
+        Construct_iso_box_d construct_iso_box_d_object()const{ return Construct_iso_box_d(*this); }
+        Construct_aff_transformation_d construct_aff_transformation_d_object()const{ return Construct_aff_transformation_d(*this); }
+        Construct_min_vertex_d construct_min_vertex_d_object()const{ return Construct_min_vertex_d(*this); }
+        Construct_max_vertex_d construct_max_vertex_d_object()const{ return Construct_max_vertex_d(*this); }
+        Construct_weighted_point_d construct_weighted_point_d_object()const{ return Construct_weighted_point_d(*this); }
+
+        Compute_weight_d compute_weight_d_object()const{ return Compute_weight_d(*this); }
+        Point_drop_weight_d point_drop_weight_d_object()const{ return Point_drop_weight_d(*this); }
+
+        // Dummies for those required functors missing a concept.
+        typedef Null_functor Position_on_line_d;
+        Position_on_line_d position_on_line_d_object()const{return Null_functor();}
+        typedef Null_functor Barycentric_coordinates_d;
+        Barycentric_coordinates_d barycentric_coordinates_d_object()const{return Null_functor();}
+
+        /* Not provided because they don't make sense here:
+           Lift_to_paraboloid_d
+           Project_along_d_axis_d
+         */
 };
 }
 
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Kernel_object_converter.h 5.0.3-1/include/CGAL/NewKernel_d/Kernel_object_converter.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Kernel_object_converter.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Kernel_object_converter.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Kernel_object_converter.h $
-// $Id: Kernel_object_converter.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Kernel_object_converter.h $
+// $Id: Kernel_object_converter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -24,32 +24,32 @@ template <class Tag_, class K1, class K2
 namespace internal {
 template <class D /*=Dynamic_dimension_tag*/, class K1, class K2>
 struct Point_converter_help {
-	typedef typename Get_type<K1, Point_tag>::type	argument_type;
-	typedef typename Get_type<K2, Point_tag>::type	result_type;
-	template <class C>
-	result_type operator()(K1 const& k1, K2 const& k2, C const& conv, argument_type const& p) const {
-		typename Get_functor<K1, Construct_ttag<Point_cartesian_const_iterator_tag> >::type i(k1);
-		typename Get_functor<K2, Construct_ttag<Point_tag> >::type cp(k2);
-		return cp(conv(i(p,Begin_tag())),conv(i(p,End_tag())));
-	}
+        typedef typename Get_type<K1, Point_tag>::type        argument_type;
+        typedef typename Get_type<K2, Point_tag>::type        result_type;
+        template <class C>
+        result_type operator()(K1 const& k1, K2 const& k2, C const& conv, argument_type const& p) const {
+                typename Get_functor<K1, Construct_ttag<Point_cartesian_const_iterator_tag> >::type i(k1);
+                typename Get_functor<K2, Construct_ttag<Point_tag> >::type cp(k2);
+                return cp(conv(i(p,Begin_tag())),conv(i(p,End_tag())));
+        }
 };
 
 // This doesn't seem so useful, the compiler should be able to handle
 // the iterators just as efficiently.
 template <int d, class K1, class K2>
 struct Point_converter_help<Dimension_tag<d>,K1,K2> {
-	typedef typename Get_type<K1, Point_tag>::type	argument_type;
-	typedef typename Get_type<K2, Point_tag>::type	result_type;
-	template <class C,std::size_t...I>
-	result_type help(std::index_sequence<I...>, K1 const& k1, K2 const& k2, C const& conv, argument_type const& p) const {
-		typename Get_functor<K1, Compute_point_cartesian_coordinate_tag>::type cc(k1);
-		typename Get_functor<K2, Construct_ttag<Point_tag> >::type cp(k2);
-		return cp(conv(cc(p,I))...);
-	}
-	template <class C>
-	result_type operator()(K1 const& k1, K2 const& k2, C const& conv, argument_type const& p) const {
-		return help(std::make_index_sequence<d>(),k1,k2,conv,p);
-	}
+        typedef typename Get_type<K1, Point_tag>::type        argument_type;
+        typedef typename Get_type<K2, Point_tag>::type        result_type;
+        template <class C,std::size_t...I>
+        result_type help(std::index_sequence<I...>, K1 const& k1, K2 const& k2, C const& conv, argument_type const& p) const {
+                typename Get_functor<K1, Compute_point_cartesian_coordinate_tag>::type cc(k1);
+                typename Get_functor<K2, Construct_ttag<Point_tag> >::type cp(k2);
+                return cp(conv(cc(p,I))...);
+        }
+        template <class C>
+        result_type operator()(K1 const& k1, K2 const& k2, C const& conv, argument_type const& p) const {
+                return help(std::make_index_sequence<d>(),k1,k2,conv,p);
+        }
 };
 }
 template <class K1, class K2> struct KO_converter<Point_tag,K1,K2>
@@ -57,49 +57,49 @@ template <class K1, class K2> struct KO_
 {};
 
 template <class K1, class K2> struct KO_converter<Vector_tag,K1,K2>{
-	typedef typename Get_type<K1, Vector_tag>::type	K1_Vector;
-	
-	// Disabling is now done in KernelD_converter
-	// // can't use vector without at least a placeholder point because of this
-	// typedef typename K1:: Point K1_Point;
-	// typedef typename First_if_different<K1_Vector,K1_Point>::Type argument_type;
-
-	typedef K1_Vector argument_type;
-	typedef typename Get_type<K2, Vector_tag>::type	result_type;
-	template <class C>
-	result_type operator()(K1 const& k1, K2 const& k2, C const& conv, argument_type const& v) const {
-		typename Get_functor<K1, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type i(k1);
-		typename Get_functor<K2, Construct_ttag<Vector_tag> >::type cp(k2);
-		return cp(conv(i(v,Begin_tag())),conv(i(v,End_tag())));
-	}
+        typedef typename Get_type<K1, Vector_tag>::type        K1_Vector;
+
+        // Disabling is now done in KernelD_converter
+        // // can't use vector without at least a placeholder point because of this
+        // typedef typename K1:: Point K1_Point;
+        // typedef typename First_if_different<K1_Vector,K1_Point>::Type argument_type;
+
+        typedef K1_Vector argument_type;
+        typedef typename Get_type<K2, Vector_tag>::type        result_type;
+        template <class C>
+        result_type operator()(K1 const& k1, K2 const& k2, C const& conv, argument_type const& v) const {
+                typename Get_functor<K1, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type i(k1);
+                typename Get_functor<K2, Construct_ttag<Vector_tag> >::type cp(k2);
+                return cp(conv(i(v,Begin_tag())),conv(i(v,End_tag())));
+        }
 };
 
 template <class K1, class K2> struct KO_converter<Segment_tag,K1,K2>{
-	typedef typename Get_type<K1, Segment_tag>::type	argument_type;
-	typedef typename Get_type<K2, Segment_tag>::type	result_type;
-	template <class C>
-	result_type operator()(K1 const& k1, K2 const& k2, C const& conv, argument_type const& s) const {
-		typename Get_functor<K1, Segment_extremity_tag>::type f(k1);
-		typename Get_functor<K2, Construct_ttag<Segment_tag> >::type cs(k2);
-		return cs(conv(f(s,0)),conv(f(s,1)));
-	}
+        typedef typename Get_type<K1, Segment_tag>::type        argument_type;
+        typedef typename Get_type<K2, Segment_tag>::type        result_type;
+        template <class C>
+        result_type operator()(K1 const& k1, K2 const& k2, C const& conv, argument_type const& s) const {
+                typename Get_functor<K1, Segment_extremity_tag>::type f(k1);
+                typename Get_functor<K2, Construct_ttag<Segment_tag> >::type cs(k2);
+                return cs(conv(f(s,0)),conv(f(s,1)));
+        }
 };
 
 template <class K1, class K2> struct KO_converter<Iso_box_tag,K1,K2>{
-	typedef typename Get_type<K1, Iso_box_tag>::type	argument_type;
-	typedef typename Get_type<K2, Iso_box_tag>::type	result_type;
-	template <class C>
-	result_type operator()(K1 const& k1, K2 const& k2, C const& conv, argument_type const& s) const {
-		typename Get_functor<K1, Construct_min_vertex_tag>::type f(k1);
-		typename Get_functor<K1, Construct_max_vertex_tag>::type g(k1);
-		typename Get_functor<K2, Construct_ttag<Iso_box_tag> >::type cib(k2);
-		return cib(conv(f(s)),conv(g(s)));
-	}
+        typedef typename Get_type<K1, Iso_box_tag>::type        argument_type;
+        typedef typename Get_type<K2, Iso_box_tag>::type        result_type;
+        template <class C>
+        result_type operator()(K1 const& k1, K2 const& k2, C const& conv, argument_type const& s) const {
+                typename Get_functor<K1, Construct_min_vertex_tag>::type f(k1);
+                typename Get_functor<K1, Construct_max_vertex_tag>::type g(k1);
+                typename Get_functor<K2, Construct_ttag<Iso_box_tag> >::type cib(k2);
+                return cib(conv(f(s)),conv(g(s)));
+        }
 };
 
 template <class K1, class K2> struct KO_converter<Hyperplane_tag,K1,K2>{
-  typedef typename Get_type<K1, Hyperplane_tag>::type	argument_type;
-  typedef typename Get_type<K2, Hyperplane_tag>::type	result_type;
+  typedef typename Get_type<K1, Hyperplane_tag>::type        argument_type;
+  typedef typename Get_type<K2, Hyperplane_tag>::type        result_type;
   template <class C>
     result_type operator()(K1 const& k1, K2 const& k2, C const& conv, argument_type const& h) const {
       typename Get_functor<K1, Orthogonal_vector_tag>::type ov(k1);
@@ -110,8 +110,8 @@ template <class K1, class K2> struct KO_
 };
 
 template <class K1, class K2> struct KO_converter<Sphere_tag,K1,K2>{
-  typedef typename Get_type<K1, Sphere_tag>::type	argument_type;
-  typedef typename Get_type<K2, Sphere_tag>::type	result_type;
+  typedef typename Get_type<K1, Sphere_tag>::type        argument_type;
+  typedef typename Get_type<K2, Sphere_tag>::type        result_type;
   template <class C>
     result_type operator()(K1 const& k1, K2 const& k2, C const& conv, argument_type const& s) const {
       typename Get_functor<K1, Center_of_sphere_tag>::type cos(k1);
@@ -122,8 +122,8 @@ template <class K1, class K2> struct KO_
 };
 
 template <class K1, class K2> struct KO_converter<Weighted_point_tag,K1,K2>{
-  typedef typename Get_type<K1, Weighted_point_tag>::type	argument_type;
-  typedef typename Get_type<K2, Weighted_point_tag>::type	result_type;
+  typedef typename Get_type<K1, Weighted_point_tag>::type        argument_type;
+  typedef typename Get_type<K2, Weighted_point_tag>::type        result_type;
   template <class C>
     result_type operator()(K1 const& k1, K2 const& k2, C const& conv, argument_type const& s) const {
       typename Get_functor<K1, Point_drop_weight_tag>::type pdw(k1);
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/LA_eigen/constructors.h 5.0.3-1/include/CGAL/NewKernel_d/LA_eigen/constructors.h
--- 5.0.2-3/include/CGAL/NewKernel_d/LA_eigen/constructors.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/LA_eigen/constructors.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/LA_eigen/constructors.h $
-// $Id: constructors.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/LA_eigen/constructors.h $
+// $Id: constructors.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -17,7 +17,7 @@
 #  pragma warning(push)
 #  pragma warning(disable:4003) // not enough actual parameters for macro 'BOOST_PP_EXPAND_I'
                                 // https://lists.boost.org/boost-users/2014/11/83291.php
-#endif 
+#endif
 
 #ifndef CGAL_EIGEN3_ENABLED
 #error Requires Eigen
@@ -47,72 +47,72 @@ namespace CGAL {
     struct Dimension {
       // Initialize with NaN if possible?
       result_type operator()(int d) const {
-	check_dim(d);
-	return result_type(d);
+        check_dim(d);
+        return result_type(d);
       }
     };
 
     struct Iterator {
       template<typename Iter>
-	result_type operator()(int d,Iter const& f,Iter const& e) const {
-	  check_dim(d);
-	  CGAL_assertion(d==std::distance(f,e));
-	  result_type a(d);
-	  // TODO: check the right way to do this
-	  std::copy(f,e,&a[0]);
-	  return a;
-	}
+        result_type operator()(int d,Iter const& f,Iter const& e) const {
+          check_dim(d);
+          CGAL_assertion(d==std::distance(f,e));
+          result_type a(d);
+          // TODO: check the right way to do this
+          std::copy(f,e,&a[0]);
+          return a;
+        }
     };
 
 #if 0
     struct Iterator_add_one {
       template<typename Iter>
-	result_type operator()(int d,Iter const& f,Iter const& e) const {
-	  check_dim(d);
-	  CGAL_assertion(d==std::distance(f,e)+1);
-	  result_type a(d);
-	  std::copy(f,e,&a[0]);
-	  a[d-1]=1;
-	  return a;
-	}
+        result_type operator()(int d,Iter const& f,Iter const& e) const {
+          check_dim(d);
+          CGAL_assertion(d==std::distance(f,e)+1);
+          result_type a(d);
+          std::copy(f,e,&a[0]);
+          a[d-1]=1;
+          return a;
+        }
     };
 #endif
 
     struct Iterator_and_last {
       template<typename Iter,typename T>
-	result_type operator()(int d,Iter const& f,Iter const& e,T&& t) const {
-	  check_dim(d);
-	  CGAL_assertion(d==std::distance(f,e)+1);
-	  result_type a(d);
-	  std::copy(f,e,&a[0]);
-	  a[d-1]=std::forward<T>(t);
-	  return a;
-	}
+        result_type operator()(int d,Iter const& f,Iter const& e,T&& t) const {
+          check_dim(d);
+          CGAL_assertion(d==std::distance(f,e)+1);
+          result_type a(d);
+          std::copy(f,e,&a[0]);
+          a[d-1]=std::forward<T>(t);
+          return a;
+        }
     };
 
     struct Initializer_list {
       // Fix T==NT?
       template<class T>
-	result_type operator()(std::initializer_list<T> l) const {
-	  return Iterator()(l.size(),l.begin(),l.end());
-	}
+        result_type operator()(std::initializer_list<T> l) const {
+          return Iterator()(l.size(),l.begin(),l.end());
+        }
     };
 
     struct Values {
       // TODO avoid going through Initializer_list which may cause extra copies. Possibly use forward_as_tuple.
       template<class...U>
-	result_type operator()(U&&...u) const {
-	  check_dim(sizeof...(U)); // TODO: use static_assert
-	  return Initializer_list()({forward_safe<NT,U>(u)...});
-	}
+        result_type operator()(U&&...u) const {
+          check_dim(sizeof...(U)); // TODO: use static_assert
+          return Initializer_list()({forward_safe<NT,U>(u)...});
+        }
     };
 
     struct Values_divide {
       template<class H,class...U>
-	result_type operator()(H const&h,U&&...u) const {
-	  check_dim(sizeof...(U)); // TODO: use static_assert
-	  return Initializer_list()({Rational_traits<NT>().make_rational(std::forward<U>(u),h)...});
-	}
+        result_type operator()(H const&h,U&&...u) const {
+          check_dim(sizeof...(U)); // TODO: use static_assert
+          return Initializer_list()({Rational_traits<NT>().make_rational(std::forward<U>(u),h)...});
+        }
     };
   };
 }
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/LA_eigen/LA.h 5.0.3-1/include/CGAL/NewKernel_d/LA_eigen/LA.h
--- 5.0.2-3/include/CGAL/NewKernel_d/LA_eigen/LA.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/LA_eigen/LA.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/LA_eigen/LA.h $
-// $Id: LA.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/LA_eigen/LA.h $
+// $Id: LA.h 8a52dd3 2020-05-12T11:21:06+02:00 Mael Rouxel-Labbé
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -21,6 +21,8 @@
 #include <Eigen/Dense>
 #include <CGAL/NewKernel_d/LA_eigen/constructors.h>
 #include <CGAL/iterator_from_indices.h>
+#include <CGAL/determinant.h>
+#include <CGAL/assertions.h>
 
 namespace CGAL {
 
@@ -28,135 +30,192 @@ namespace CGAL {
 // Dim_ real dimension
 // Max_dim_ upper bound on the dimension
 template<class NT_,class Dim_,class Max_dim_=Dim_> struct LA_eigen {
-	typedef NT_ NT;
-	typedef Dim_ Dimension;
-	typedef Max_dim_ Max_dimension;
-	enum { dimension = Eigen_dimension<Dimension>::value };
-	enum { max_dimension = Eigen_dimension<Max_dimension>::value };
-	template< class D2, class D3=D2 >
-	struct Rebind_dimension {
-	  typedef LA_eigen< NT, D2, D3 > Other;
-	};
-	template<class,class=void> struct Property : boost::false_type {};
-	template<class D> struct Property<Has_vector_plus_minus_tag,D> : boost::true_type {};
-	template<class D> struct Property<Has_vector_scalar_ops_tag,D> : boost::true_type {};
-	template<class D> struct Property<Has_dot_product_tag,D> : boost::true_type {};
-
-	typedef Eigen::Matrix<NT,Eigen_dimension<Dim_>::value,1,Eigen::ColMajor|Eigen::AutoAlign,Eigen_dimension<Max_dim_>::value,1> Vector;
-	typedef Eigen::Matrix<NT,Eigen::Dynamic,1> Dynamic_vector;
-	typedef Construct_eigen<Vector> Construct_vector;
+        typedef NT_ NT;
+        typedef Dim_ Dimension;
+        typedef Max_dim_ Max_dimension;
+        enum { dimension = Eigen_dimension<Dimension>::value };
+        enum { max_dimension = Eigen_dimension<Max_dimension>::value };
+        template< class D2, class D3=D2 >
+        struct Rebind_dimension {
+          typedef LA_eigen< NT, D2, D3 > Other;
+        };
+        template<class,class=void> struct Property : boost::false_type {};
+        template<class D> struct Property<Has_vector_plus_minus_tag,D> : boost::true_type {};
+        template<class D> struct Property<Has_vector_scalar_ops_tag,D> : boost::true_type {};
+        template<class D> struct Property<Has_dot_product_tag,D> : boost::true_type {};
+
+        typedef Eigen::Matrix<NT,Eigen_dimension<Dim_>::value,1,Eigen::ColMajor|Eigen::AutoAlign,Eigen_dimension<Max_dim_>::value,1> Vector;
+        typedef Eigen::Matrix<NT,Eigen::Dynamic,1> Dynamic_vector;
+        typedef Construct_eigen<Vector> Construct_vector;
 
 #if (EIGEN_WORLD_VERSION>=3)
-	typedef NT const* Vector_const_iterator;
+        typedef NT const* Vector_const_iterator;
 #else
-	typedef Iterator_from_indices<const type,const NT> Vector_const_iterator;
+        typedef Iterator_from_indices<const type,const NT> Vector_const_iterator;
 #endif
 
-	template<class Vec_>static Vector_const_iterator vector_begin(Vec_ const&a){
+        template<class Vec_>static Vector_const_iterator vector_begin(Vec_ const&a){
 #if (EIGEN_WORLD_VERSION>=3)
-	  return &a[0];
+          return &a[0];
 #else
-	  return Vector_const_iterator(a,0);
+          return Vector_const_iterator(a,0);
 #endif
-	}
+        }
 
-	template<class Vec_>static Vector_const_iterator vector_end(Vec_ const&a){
+        template<class Vec_>static Vector_const_iterator vector_end(Vec_ const&a){
 #if (EIGEN_WORLD_VERSION>=3)
-	  // FIXME: Isn't that dangerous if a is an expression and not a concrete vector?
-	  return &a[0]+a.size();
+          // FIXME: Isn't that dangerous if a is an expression and not a concrete vector?
+          return &a[0]+a.size();
 #else
-	  return Vector_const_iterator(a,a.size());
+          return Vector_const_iterator(a,a.size());
 #endif
-	}
+        }
 
-	typedef Eigen::Matrix<NT,dimension,dimension,Eigen::ColMajor|Eigen::AutoAlign,max_dimension,max_dimension> Square_matrix;
-	typedef Eigen::Matrix<NT,dimension,Eigen::Dynamic,Eigen::ColMajor|Eigen::AutoAlign,max_dimension,Eigen::Dynamic> Dynamic_matrix;
-		//TODO: don't pass on the values of Max_* for an expensive NT
+        typedef Eigen::Matrix<NT,dimension,dimension,Eigen::ColMajor|Eigen::AutoAlign,max_dimension,max_dimension> Square_matrix;
+        typedef Eigen::Matrix<NT,dimension,Eigen::Dynamic,Eigen::ColMajor|Eigen::AutoAlign,max_dimension,Eigen::Dynamic> Dynamic_matrix;
+                //TODO: don't pass on the values of Max_* for an expensive NT
                 // typedef ... Constructor
                 // typedef ... Accessor
 #if 0
-	private:
-	template <class T> class Canonicalize_vector {
-		typedef typename Dimension_eigen<T::SizeAtCompileTime>::type S1;
-		typedef typename Dimension_eigen<T::MaxSizeAtCompileTime>::type S2;
-		public:
-		typedef typename Vector<S1,S2>::type type;
-	};
-	public:
+        private:
+        template <class T> class Canonicalize_vector {
+                typedef typename Dimension_eigen<T::SizeAtCompileTime>::type S1;
+                typedef typename Dimension_eigen<T::MaxSizeAtCompileTime>::type S2;
+                public:
+                typedef typename Vector<S1,S2>::type type;
+        };
+        public:
 #endif
 
-	template<class Vec_>static int size_of_vector(Vec_ const&v){
-		return (int)v.size();
-	}
-
-	template<class Vec_>static NT dot_product(Vec_ const&a,Vec_ const&b){
-		return a.dot(b);
-	}
-
-	template<class Vec_> static int rows(Vec_ const&v) {
-		return (int)v.rows();
-	}
-	template<class Vec_> static int columns(Vec_ const&v) {
-		return (int)v.cols();
-	}
-
-	template<class Mat_> static NT determinant(Mat_ const&m,bool=false){
-		return m.determinant();
-	}
-
-	template<class Mat_> static typename
-	Same_uncertainty_nt<CGAL::Sign, NT>::type
-	sign_of_determinant(Mat_ const&m,bool=false)
-	{
-		return CGAL::sign(m.determinant());
-	}
-
-	template<class Mat_> static int rank(Mat_ const&m){
-		// return m.rank();
-		// This one uses sqrt so cannot be used with Gmpq
-		// TODO: use different algo for different NT?
-		// Eigen::ColPivHouseholderQR<Mat_> decomp(m);
-		Eigen::FullPivLU<Mat_> decomp(m);
-		// decomp.setThreshold(0);
-		return static_cast<int>(decomp.rank());
-	}
-
-	// m*a==b
-	template<class DV, class DM, class V>
-	static void solve(DV&a, DM const&m, V const& b){
-		//a = m.colPivHouseholderQr().solve(b);
-		a = m.fullPivLu().solve(b);
-	}
-	template<class DV, class DM, class V>
-	static bool solve_and_check(DV&a, DM const&m, V const& b){
-		//a = m.colPivHouseholderQr().solve(b);
-		a = m.fullPivLu().solve(b);
-		return b.isApprox(m*a);
-	}
-
-	static Dynamic_matrix basis(Dynamic_matrix const&m){
-		return m.fullPivLu().image(m);
-	}
-
-	template<class Vec1,class Vec2> static Vector homogeneous_add(Vec1 const&a,Vec2 const&b){
-		//TODO: use compile-time size when available
-		int d=a.size();
-		Vector v(d);
-		v << b[d-1]*a.topRows(d-1)+a[d-1]*b.topRows(d-1), a[d-1]*b[d-1];
-		return v;
-	}
-
-	template<class Vec1,class Vec2> static Vector homogeneous_sub(Vec1 const&a,Vec2 const&b){
-		int d=a.size();
-		Vector v(d);
-		v << b[d-1]*a.topRows(d-1)-a[d-1]*b.topRows(d-1), a[d-1]*b[d-1];
-		return v;
-	}
-
-	template<class Vec1,class Vec2> static std::pair<NT,NT> homogeneous_dot_product(Vec1 const&a,Vec2 const&b){
-		int d=a.size();
-		return make_pair(a.topRows(d-1).dot(b.topRows(d-1)), a[d-1]*b[d-1]);
-	}
+        template<class Vec_>static int size_of_vector(Vec_ const&v){
+                return (int)v.size();
+        }
+
+        template<class Vec_>static NT dot_product(Vec_ const&a,Vec_ const&b){
+                return a.dot(b);
+        }
+
+        template<class Vec_> static int rows(Vec_ const&v) {
+                return (int)v.rows();
+        }
+        template<class Vec_> static int columns(Vec_ const&v) {
+                return (int)v.cols();
+        }
+
+        template<class Mat_> static NT determinant_aux [[noreturn]] (Mat_ const&, Tag_true) {
+                CGAL_error();
+        }
+        template<class Mat_> static NT determinant_aux(Mat_ const& m, Tag_false) {
+                return m.determinant();
+        }
+
+        // TODO: https://gitlab.com/libeigen/eigen/-/issues/1782
+        // Implement a version of (sign_of_)determinant that works
+        // without (inexact) division in any dimension
+        template<class Mat_> static NT determinant(Mat_ const&m,bool=false){
+          switch(m.rows()){
+            //case 0:
+            //  return 1;
+            case 1:
+              return m(0,0);
+            case 2:
+              return CGAL::determinant(
+                  m(0,0),m(0,1),
+                  m(1,0),m(1,1));
+            case 3:
+              return CGAL::determinant(
+                  m(0,0),m(0,1),m(0,2),
+                  m(1,0),m(1,1),m(1,2),
+                  m(2,0),m(2,1),m(2,2));
+            case 4:
+              return CGAL::determinant(
+                  m(0,0),m(0,1),m(0,2),m(0,3),
+                  m(1,0),m(1,1),m(1,2),m(1,3),
+                  m(2,0),m(2,1),m(2,2),m(2,3),
+                  m(3,0),m(3,1),m(3,2),m(3,3));
+            case 5:
+              return CGAL::determinant(
+                  m(0,0),m(0,1),m(0,2),m(0,3),m(0,4),
+                  m(1,0),m(1,1),m(1,2),m(1,3),m(1,4),
+                  m(2,0),m(2,1),m(2,2),m(2,3),m(2,4),
+                  m(3,0),m(3,1),m(3,2),m(3,3),m(3,4),
+                  m(4,0),m(4,1),m(4,2),m(4,3),m(4,4));
+            case 6:
+              return CGAL::determinant(
+                  m(0,0),m(0,1),m(0,2),m(0,3),m(0,4),m(0,5),
+                  m(1,0),m(1,1),m(1,2),m(1,3),m(1,4),m(1,5),
+                  m(2,0),m(2,1),m(2,2),m(2,3),m(2,4),m(2,5),
+                  m(3,0),m(3,1),m(3,2),m(3,3),m(3,4),m(3,5),
+                  m(4,0),m(4,1),m(4,2),m(4,3),m(4,4),m(4,5),
+                  m(5,0),m(5,1),m(5,2),m(5,3),m(5,4),m(5,5));
+            case 7:
+              return CGAL::determinant(
+                  m(0,0),m(0,1),m(0,2),m(0,3),m(0,4),m(0,5),m(0,6),
+                  m(1,0),m(1,1),m(1,2),m(1,3),m(1,4),m(1,5),m(1,6),
+                  m(2,0),m(2,1),m(2,2),m(2,3),m(2,4),m(2,5),m(2,6),
+                  m(3,0),m(3,1),m(3,2),m(3,3),m(3,4),m(3,5),m(3,6),
+                  m(4,0),m(4,1),m(4,2),m(4,3),m(4,4),m(4,5),m(4,6),
+                  m(5,0),m(5,1),m(5,2),m(5,3),m(5,4),m(5,5),m(5,6),
+                  m(6,0),m(6,1),m(6,2),m(6,3),m(6,4),m(6,5),m(6,6));
+            default:
+              return determinant_aux(m, Boolean_tag<(Mat_::MaxRowsAtCompileTime >= 1 && Mat_::MaxRowsAtCompileTime <= 7)>());
+
+          }
+        }
+
+        template<class Mat_> static typename
+        Same_uncertainty_nt<CGAL::Sign, NT>::type
+        sign_of_determinant(Mat_ const&m,bool=false)
+        {
+                return CGAL::sign(LA_eigen::determinant(m));
+        }
+
+        template<class Mat_> static int rank(Mat_ const&m){
+                // return m.rank();
+                // This one uses sqrt so cannot be used with Gmpq
+                // TODO: use different algo for different NT?
+                // Eigen::ColPivHouseholderQR<Mat_> decomp(m);
+                Eigen::FullPivLU<Mat_> decomp(m);
+                // decomp.setThreshold(0);
+                return static_cast<int>(decomp.rank());
+        }
+
+        // m*a==b
+        template<class DV, class DM, class V>
+        static void solve(DV&a, DM const&m, V const& b){
+                //a = m.colPivHouseholderQr().solve(b);
+                a = m.fullPivLu().solve(b);
+        }
+        template<class DV, class DM, class V>
+        static bool solve_and_check(DV&a, DM const&m, V const& b){
+                //a = m.colPivHouseholderQr().solve(b);
+                a = m.fullPivLu().solve(b);
+                return b.isApprox(m*a);
+        }
+
+        static Dynamic_matrix basis(Dynamic_matrix const&m){
+                return m.fullPivLu().image(m);
+        }
+
+        template<class Vec1,class Vec2> static Vector homogeneous_add(Vec1 const&a,Vec2 const&b){
+                //TODO: use compile-time size when available
+                int d=a.size();
+                Vector v(d);
+                v << b[d-1]*a.topRows(d-1)+a[d-1]*b.topRows(d-1), a[d-1]*b[d-1];
+                return v;
+        }
+
+        template<class Vec1,class Vec2> static Vector homogeneous_sub(Vec1 const&a,Vec2 const&b){
+                int d=a.size();
+                Vector v(d);
+                v << b[d-1]*a.topRows(d-1)-a[d-1]*b.topRows(d-1), a[d-1]*b[d-1];
+                return v;
+        }
+
+        template<class Vec1,class Vec2> static std::pair<NT,NT> homogeneous_dot_product(Vec1 const&a,Vec2 const&b){
+                int d=a.size();
+                return make_pair(a.topRows(d-1).dot(b.topRows(d-1)), a[d-1]*b[d-1]);
+        }
 
 };
 }
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Lazy_cartesian.h 5.0.3-1/include/CGAL/NewKernel_d/Lazy_cartesian.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Lazy_cartesian.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Lazy_cartesian.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Lazy_cartesian.h $
-// $Id: Lazy_cartesian.h 0d1a89a 2020-02-07T17:17:44+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Lazy_cartesian.h $
+// $Id: Lazy_cartesian.h 822bc55 2020-03-27T08:28:48+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -56,10 +56,10 @@ namespace internal {
 // Whenever a construction takes iterator pairs as input, whether they point to double of Lazy objects, copy the ranges inside the lazy result so they are available for update_exact(). We analyze the input to try and guess where iterator pairs are. I would prefer if each functor had a specific signature (no overload in this layer) so we wouldn't have to guess.
 namespace Lazy_internal {
 template<class...>struct typelist{};
-template<int>struct arg_i{};
-template<int>struct arg_i_begin{};
-template<int>struct arg_i_end{};
-template<int>struct arg_i_ip1_range{};
+template<std::size_t>struct arg_i{};
+template<std::size_t>struct arg_i_begin{};
+template<std::size_t>struct arg_i_end{};
+template<std::size_t>struct arg_i_ip1_range{};
 template<class,class,class,class=void>struct analyze_args;
 template<class T,class U>struct analyze_args<T,U,typelist<>> {
   typedef T creator;
@@ -73,24 +73,24 @@ struct analyze_args<typelist<T...>,typel
 analyze_args<typelist<T...,arg_i_ip1_range<sizeof...(U)>>,typelist<U...,arg_i_begin<sizeof...(T)>,arg_i_end<sizeof...(T)>>,typelist<W...>> {};
 template<class...T> using analyze_args_for_lazy = analyze_args<typelist<>,typelist<>,typelist<T...>>;
 template<class,class>struct extract1;
-template<int i,class T>struct extract1<arg_i<i>,T>:std::tuple_element<i,T>{};
-template<int i,class T>struct extract1<arg_i_ip1_range<i>,T>{
+template<std::size_t i,class T>struct extract1<arg_i<i>,T>:std::tuple_element<i,T>{};
+template<std::size_t i,class T>struct extract1<arg_i_ip1_range<i>,T>{
   typedef std::tuple_element_t<i,T> E;
   typedef std::remove_cv_t<std::remove_reference_t<E>> It;
   typedef typename std::iterator_traits<It>::value_type element_type;
   // TODO: find a way to use an array of the right size, at least for the most frequent constructions
   typedef std::vector<element_type> type;
 };
-template<int i,class...T>decltype(auto)
+template<std::size_t i,class...T>decltype(auto)
 do_extract(arg_i<i>,std::tuple<T...>const&t)
 {return std::get<i>(t);}
-template<int i,class...T>decltype(auto)
+template<std::size_t i,class...T>decltype(auto)
 do_extract(arg_i_begin<i>,std::tuple<T...>const&t)
 {return std::begin(std::get<i>(t));}
-template<int i,class...T>decltype(auto)
+template<std::size_t i,class...T>decltype(auto)
 do_extract(arg_i_end<i>,std::tuple<T...>const&t)
 {return std::end(std::get<i>(t));}
-template<int i,class...T>decltype(auto)
+template<std::size_t i,class...T>decltype(auto)
 do_extract(arg_i_ip1_range<i>,std::tuple<T...>const&t)
 {
   typedef std::tuple<T...> L;
@@ -199,19 +199,19 @@ struct Lazy_cartesian_types
     typedef typename typeset_intersection<
       typename AK_::Object_list,
       typename EK_::Object_list
-	>::type Object_list;
+        >::type Object_list;
 
     typedef typename typeset_intersection<
       typename AK_::Iterator_list,
       typename EK_::Iterator_list
-	>::type Iterator_list;
+        >::type Iterator_list;
 
     template <class T,class=typename Get_type_category<Kernel_,T>::type> struct Type {};
     template <class T> struct Type<T,Object_tag> {
-	    typedef Lazy<
-		    typename Get_type<AK_,T>::type,
-		    typename Get_type<EK_,T>::type,
-		    E2A_> type;
+            typedef Lazy<
+                    typename Get_type<AK_,T>::type,
+                    typename Get_type<EK_,T>::type,
+                    E2A_> type;
     };
     template <class T> struct Type<T,Number_tag> {
       typedef CGAL::Lazy_exact_nt<typename Get_type<EK_,T>::type>  type;
@@ -225,12 +225,12 @@ struct Lazy_cartesian_types
 
       // TODO: we should use Lazy_construction2, but this seems ok for now, we never construct iterators from iterators.
       typedef typename internal::Lazy_construction_maybe_nt<
-	Kernel_, AF, EF, is_NT_tag<Vt>::value
-	>::type nth_elem;
+        Kernel_, AF, EF, is_NT_tag<Vt>::value
+        >::type nth_elem;
 
       typedef Iterator_from_indices<
-	const typename Type<typename iterator_tag_traits<T>::container>::type,
-	const V, V, nth_elem
+        const typename Type<typename iterator_tag_traits<T>::container>::type,
+        const V, V, nth_elem
       > type;
     };
 };
@@ -288,39 +288,39 @@ struct Lazy_cartesian :
     // Check that Approximate_kernel agrees with all that...
 
     template<class T,class D=void,class=typename Get_functor_category<Lazy_cartesian,T,D>::type> struct Functor {
-	    typedef Null_functor type;
+            typedef Null_functor type;
     };
-	    //FIXME: what do we do with D here?
+            //FIXME: what do we do with D here?
     template<class T,class D> struct Functor<T,D,Predicate_tag> {
-	    typedef typename Get_functor<Approximate_kernel, T>::type FA;
-	    typedef typename Get_functor<Exact_kernel, T>::type FE;
-	    typedef Filtered_predicate2<FE,FA,C2E,C2A> type;
+            typedef typename Get_functor<Approximate_kernel, T>::type FA;
+            typedef typename Get_functor<Exact_kernel, T>::type FE;
+            typedef Filtered_predicate2<Lazy_cartesian,FE,FA,C2E,C2A> type;
     };
     template<class T,class D> struct Functor<T,D,Compute_tag> {
-	    typedef Lazy_construction2<T,Kernel> type;
+            typedef Lazy_construction2<T,Kernel> type;
     };
     template<class T,class D> struct Functor<T,D,Construct_tag> {
-	    typedef Lazy_construction2<T,Kernel> type;
+            typedef Lazy_construction2<T,Kernel> type;
     };
     template<class D> struct Functor<Point_dimension_tag,D,Misc_tag> {
-	    typedef typename Get_functor<Approximate_kernel, Point_dimension_tag>::type FA;
-	    struct type {
-	      FA fa;
-	      type(){}
-	      type(Kernel const&k):fa(k.approximate_kernel()){}
-	      template<class P>
-	      int operator()(P const&p)const{return fa(CGAL::approx(p));}
-	    };
+            typedef typename Get_functor<Approximate_kernel, Point_dimension_tag>::type FA;
+            struct type {
+              FA fa;
+              type(){}
+              type(Kernel const&k):fa(k.approximate_kernel()){}
+              template<class P>
+              int operator()(P const&p)const{return fa(CGAL::approx(p));}
+            };
     };
     template<class D> struct Functor<Vector_dimension_tag,D,Misc_tag> {
-	    typedef typename Get_functor<Approximate_kernel, Vector_dimension_tag>::type FA;
-	    struct type {
-	      FA fa;
-	      type(){}
-	      type(Kernel const&k):fa(k.approximate_kernel()){}
-	      template<class V>
-	      int operator()(V const&v)const{return fa(CGAL::approx(v));}
-	    };
+            typedef typename Get_functor<Approximate_kernel, Vector_dimension_tag>::type FA;
+            struct type {
+              FA fa;
+              type(){}
+              type(Kernel const&k):fa(k.approximate_kernel()){}
+              template<class V>
+              int operator()(V const&v)const{return fa(CGAL::approx(v));}
+            };
     };
     template<class D> struct Functor<Linear_base_tag,D,Misc_tag> {
       // Don't filter that one, as there is no guarantee that the interval
@@ -332,19 +332,19 @@ struct Lazy_cartesian :
       typedef typename Get_type<Exact_kernel, Vector_tag>::type ET;
       typedef typename Base::template Type<Vector_tag>::type V; // Lazy<AT, ET, E2A>
       struct type {
-	FE fe;
-	type(){}
-	type(Kernel const&k):fe(k.exact_kernel()){}
-	template<class Iter, class Oter>
-	void operator()(Iter i, Iter e, Oter o)const{
-	  fe(CGAL::exact(i), CGAL::exact(e),
-	      boost::make_function_output_iterator(
-		[&o](ET const&v){
-		  *o++ = V(new Lazy_rep_0<AT,ET,E2A>(v));
-		}
-	      )
-	  );
-	}
+        FE fe;
+        type(){}
+        type(Kernel const&k):fe(k.exact_kernel()){}
+        template<class Iter, class Oter>
+        void operator()(Iter i, Iter e, Oter o)const{
+          fe(CGAL::exact(i), CGAL::exact(e),
+              boost::make_function_output_iterator(
+                [&o](ET const&v){
+                  *o++ = V(new Lazy_rep_0<AT,ET,E2A>(v));
+                }
+              )
+          );
+        }
       };
     };
 
@@ -354,22 +354,22 @@ struct Lazy_cartesian :
     // This is really specific to point/vector coordinate iterators
     template<class U>
     struct Construct_iter : private Store_kernel<Kernel> {
-	    Construct_iter(){}
-	    Construct_iter(Kernel const&k):Store_kernel<Kernel>(k){}
-	    //FIXME: pass the kernel to the functor in the iterator
-	    typedef U result_type;
-	    template<class T>
-	    result_type operator()(T const& t,Begin_tag)const{
-		    return result_type(t,0,this->kernel());
-	    }
-	    template<class T>
-	    result_type operator()(T const& t,End_tag)const{
-	            typedef typename Get_functor<Approximate_kernel, Point_dimension_tag>::type PD;
-		    return result_type(t,PD(this->kernel().approximate_kernel())(CGAL::approx(t)),this->kernel());
-	    }
+            Construct_iter(){}
+            Construct_iter(Kernel const&k):Store_kernel<Kernel>(k){}
+            //FIXME: pass the kernel to the functor in the iterator
+            typedef U result_type;
+            template<class T>
+            result_type operator()(T const& t,Begin_tag)const{
+                    return result_type(t,0,this->kernel());
+            }
+            template<class T>
+            result_type operator()(T const& t,End_tag)const{
+                    typedef typename Get_functor<Approximate_kernel, Point_dimension_tag>::type PD;
+                    return result_type(t,PD(this->kernel().approximate_kernel())(CGAL::approx(t)),this->kernel());
+            }
     };
     template<class T,class D> struct Functor<T,D,Construct_iterator_tag> {
-	    typedef Construct_iter<typename Base::template Iterator<typename map_result_tag<T>::type>::type> type;
+            typedef Construct_iter<typename Base::template Iterator<typename map_result_tag<T>::type>::type> type;
     };
 
 
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/static_int.h 5.0.3-1/include/CGAL/NewKernel_d/static_int.h
--- 5.0.2-3/include/CGAL/NewKernel_d/static_int.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/static_int.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/static_int.h $
-// $Id: static_int.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/static_int.h $
+// $Id: static_int.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -15,10 +15,10 @@
 
 namespace CGAL {
 template <class NT> struct static_zero {
-	operator NT() const { return constant<NT,0>(); }
+        operator NT() const { return constant<NT,0>(); }
 };
 template <class NT> struct static_one {
-	operator NT() const { return constant<NT,1>(); }
+        operator NT() const { return constant<NT,1>(); }
 };
 
 template <class NT> static_zero<NT> operator-(static_zero<NT>) { return static_zero<NT>(); }
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/store_kernel.h 5.0.3-1/include/CGAL/NewKernel_d/store_kernel.h
--- 5.0.2-3/include/CGAL/NewKernel_d/store_kernel.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/store_kernel.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/store_kernel.h $
-// $Id: store_kernel.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/store_kernel.h $
+// $Id: store_kernel.h a03eff6 2020-04-08T16:03:18+02:00 Marc Glisse
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -13,84 +13,84 @@
 #define CGAL_STORE_KERNEL_H
 
 #include <CGAL/assertions.h>
-#include <boost/type_traits/is_empty.hpp>
+#include <type_traits>
 
 namespace CGAL {
 namespace internal {
 BOOST_MPL_HAS_XXX_TRAIT_DEF(Do_not_store_kernel)
-template<class T,bool=boost::is_empty<T>::value,bool=has_Do_not_store_kernel<T>::value> struct Do_not_store_kernel {
-	enum { value=false };
-	typedef Tag_false type;
+template<class T,bool=std::is_empty<T>::value,bool=has_Do_not_store_kernel<T>::value> struct Do_not_store_kernel {
+        enum { value=false };
+        typedef Tag_false type;
 };
 template<class T> struct Do_not_store_kernel<T,true,false> {
-	enum { value=true };
-	typedef Tag_true type;
+        enum { value=true };
+        typedef Tag_true type;
 };
 template<class T,bool b> struct Do_not_store_kernel<T,b,true> {
-	typedef typename T::Do_not_store_kernel type;
-	enum { value=type::value };
+        typedef typename T::Do_not_store_kernel type;
+        enum { value=type::value };
 };
 }
 
 template<class R_,bool=internal::Do_not_store_kernel<R_>::value>
 struct Store_kernel {
-	Store_kernel(){}
-	Store_kernel(R_ const&){}
-	enum { kernel_is_stored = false };
-	R_ kernel()const{return R_();}
-	typedef R_ reference_type;
-	void set_kernel(R_ const&){}
+        Store_kernel(){}
+        Store_kernel(R_ const&){}
+        enum { kernel_is_stored = false };
+        R_ kernel()const{return R_();}
+        typedef R_ reference_type;
+        void set_kernel(R_ const&){}
 };
 template<class R_>
 struct Store_kernel<R_,false> {
-	Store_kernel():rp(0){
-		CGAL_warning_msg(true,"I should know my kernel");
-	}
-	Store_kernel(R_ const& r):rp(&r){}
-	enum { kernel_is_stored = true };
-	R_ const& kernel()const{
-		CGAL_warning_msg(rp!=0,"I should know my kernel");
-		return *rp;
-	}
-	typedef R_ const& reference_type;
-	void set_kernel(R_ const&r){rp=&r;}
-	private:
-	R_ const* rp;
+        Store_kernel():rp(0){
+                CGAL_warning_msg(true,"I should know my kernel");
+        }
+        Store_kernel(R_ const& r):rp(&r){}
+        enum { kernel_is_stored = true };
+        R_ const& kernel()const{
+                CGAL_warning_msg(rp!=0,"I should know my kernel");
+                return *rp;
+        }
+        typedef R_ const& reference_type;
+        void set_kernel(R_ const&r){rp=&r;}
+        private:
+        R_ const* rp;
 };
 
 //For a second kernel. TODO: find something more elegant
 template<class R_,bool=internal::Do_not_store_kernel<R_>::value>
 struct Store_kernel2 {
-	Store_kernel2(){}
-	Store_kernel2(R_ const&){}
-	enum { kernel2_is_stored = false };
-	R_ kernel2()const{return R_();}
-	typedef R_ reference2_type;
-	void set_kernel2(R_ const&){}
+        Store_kernel2(){}
+        Store_kernel2(R_ const&){}
+        enum { kernel2_is_stored = false };
+        R_ kernel2()const{return R_();}
+        typedef R_ reference2_type;
+        void set_kernel2(R_ const&){}
 };
 template<class R_>
 struct Store_kernel2<R_,false> {
-	Store_kernel2(){
-		//CGAL_warning_msg(true,"I should know my kernel");
-	}
-	Store_kernel2(R_ const& r):rp(&r){}
-	enum { kernel2_is_stored = true };
-	R_ const& kernel2()const{
-		CGAL_warning_msg(rp==0,"I should know my kernel");
-		return *rp;
-	}
-	typedef R_ const& reference2_type;
-	void set_kernel2(R_ const&r){rp=&r;}
-	private:
-	R_ const* rp;
+        Store_kernel2(){
+                //CGAL_warning_msg(true,"I should know my kernel");
+        }
+        Store_kernel2(R_ const& r):rp(&r){}
+        enum { kernel2_is_stored = true };
+        R_ const& kernel2()const{
+                CGAL_warning_msg(rp==0,"I should know my kernel");
+                return *rp;
+        }
+        typedef R_ const& reference2_type;
+        void set_kernel2(R_ const&r){rp=&r;}
+        private:
+        R_ const* rp;
 };
 }
 #define CGAL_BASE_INIT(X,Y) \
-	X():Y(){} \
-	X(R_ const&r):Y(r){}
+        X():Y(){} \
+        X(R_ const&r):Y(r){}
 #define CGAL_FUNCTOR_INIT_STORE(X) CGAL_BASE_INIT(X,Store_kernel<R_>)
 #define CGAL_FUNCTOR_INIT_IGNORE(X) \
-	X(){} \
-	X(R_ const&){}
+        X(){} \
+        X(R_ const&){}
 
 #endif // CGAL_STORE_KERNEL_H
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Types/Aff_transformation.h 5.0.3-1/include/CGAL/NewKernel_d/Types/Aff_transformation.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Types/Aff_transformation.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Types/Aff_transformation.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Types/Aff_transformation.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Types/Aff_transformation.h $
 // $Id: Aff_transformation.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Types/Hyperplane.h 5.0.3-1/include/CGAL/NewKernel_d/Types/Hyperplane.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Types/Hyperplane.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Types/Hyperplane.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Types/Hyperplane.h $
-// $Id: Hyperplane.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Types/Hyperplane.h $
+// $Id: Hyperplane.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -18,25 +18,25 @@
 #include <CGAL/boost/iterator/counting_iterator.hpp>
 namespace CGAL {
 template <class R_> class Hyperplane {
-	typedef typename Get_type<R_, FT_tag>::type FT_;
-	typedef typename Get_type<R_, Vector_tag>::type	Vector_;
-	Vector_ v_;
-	FT_ s_;
-
-	public:
-	Hyperplane(){}
-	Hyperplane(Vector_ const&v, FT_ const&s): v_(v), s_(s) {}
-	// TODO: Add a piecewise constructor?
+        typedef typename Get_type<R_, FT_tag>::type FT_;
+        typedef typename Get_type<R_, Vector_tag>::type        Vector_;
+        Vector_ v_;
+        FT_ s_;
+
+        public:
+        Hyperplane(){}
+        Hyperplane(Vector_ const&v, FT_ const&s): v_(v), s_(s) {}
+        // TODO: Add a piecewise constructor?
 
-	Vector_ const& orthogonal_vector()const{return v_;}
-	FT_ translation()const{return s_;}
+        Vector_ const& orthogonal_vector()const{return v_;}
+        FT_ translation()const{return s_;}
 };
 namespace CartesianDKernelFunctors {
 template <class R_> struct Construct_hyperplane : Store_kernel<R_> {
   CGAL_FUNCTOR_INIT_STORE(Construct_hyperplane)
-  typedef typename Get_type<R_, Hyperplane_tag>::type	result_type;
-  typedef typename Get_type<R_, Point_tag>::type	Point;
-  typedef typename Get_type<R_, Vector_tag>::type	Vector;
+  typedef typename Get_type<R_, Hyperplane_tag>::type        result_type;
+  typedef typename Get_type<R_, Point_tag>::type        Point;
+  typedef typename Get_type<R_, Vector_tag>::type        Vector;
   typedef typename Get_type<R_, FT_tag>::type FT;
   private:
   struct One {
@@ -58,7 +58,7 @@ template <class R_> struct Construct_hyp
 #if defined(BOOST_MSVC) && (BOOST_MSVC == 1900)
 #  pragma warning(push)
 #  pragma warning(disable: 4309)
-#endif    
+#endif
     return result_type(cv(),0);
 #if defined(BOOST_MSVC) && (BOOST_MSVC == 1900)
 #  pragma warning(pop)
@@ -74,9 +74,9 @@ template <class R_> struct Construct_hyp
     typedef typename Increment_dimension<D2>::type D2i;
 
     typedef Eigen::Matrix<FT, Eigen_dimension<D1>::value, Eigen_dimension<D1i>::value,
-	      Eigen::ColMajor|Eigen::AutoAlign, Eigen_dimension<D2>::value, Eigen_dimension<D2i>::value> Matrix;
+              Eigen::ColMajor|Eigen::AutoAlign, Eigen_dimension<D2>::value, Eigen_dimension<D2i>::value> Matrix;
     typedef Eigen::Matrix<FT, Eigen_dimension<D1i>::value, 1,
-	      Eigen::ColMajor|Eigen::AutoAlign, Eigen_dimension<D2i>::value, 1> Vec;
+              Eigen::ColMajor|Eigen::AutoAlign, Eigen_dimension<D2i>::value, 1> Vec;
     typename Get_functor<R_, Compute_point_cartesian_coordinate_tag>::type c(this->kernel());
     typename Get_functor<R_, Construct_ttag<Vector_tag> >::type cv(this->kernel());
     typename Get_functor<R_, Point_dimension_tag>::type pd(this->kernel());
@@ -91,7 +91,7 @@ template <class R_> struct Construct_hyp
     for (i=1; ++f!=e; ++i) {
       Point const& p=*f;
       for(int j=0;j<d;++j)
-	m(i,j)=c(p,j);
+        m(i,j)=c(p,j);
     }
     CGAL_assertion (i == d);
     for(i=0;i<d;++i)
@@ -117,15 +117,15 @@ template <class R_> struct Construct_hyp
 };
 template <class R_> struct Orthogonal_vector {
   CGAL_FUNCTOR_INIT_IGNORE(Orthogonal_vector)
-  typedef typename Get_type<R_, Hyperplane_tag>::type		Hyperplane;
-  typedef typename Get_type<R_, Vector_tag>::type const&	result_type;
+  typedef typename Get_type<R_, Hyperplane_tag>::type                Hyperplane;
+  typedef typename Get_type<R_, Vector_tag>::type const&        result_type;
   result_type operator()(Hyperplane const&s)const{
     return s.orthogonal_vector();
   }
 };
 template <class R_> struct Hyperplane_translation {
   CGAL_FUNCTOR_INIT_IGNORE(Hyperplane_translation)
-  typedef typename Get_type<R_, Hyperplane_tag>::type	Hyperplane;
+  typedef typename Get_type<R_, Hyperplane_tag>::type        Hyperplane;
   typedef typename Get_type<R_, FT_tag>::type result_type;
   // TODO: Is_exact?
   result_type operator()(Hyperplane const&s)const{
@@ -134,13 +134,13 @@ template <class R_> struct Hyperplane_tr
 };
 template <class R_> struct Value_at : Store_kernel<R_> {
   CGAL_FUNCTOR_INIT_STORE(Value_at)
-  typedef typename Get_type<R_, Hyperplane_tag>::type	Hyperplane;
-  typedef typename Get_type<R_, Vector_tag>::type	Vector;
-  typedef typename Get_type<R_, Point_tag>::type	Point;
-  typedef typename Get_type<R_, FT_tag>::type		FT;
+  typedef typename Get_type<R_, Hyperplane_tag>::type        Hyperplane;
+  typedef typename Get_type<R_, Vector_tag>::type        Vector;
+  typedef typename Get_type<R_, Point_tag>::type        Point;
+  typedef typename Get_type<R_, FT_tag>::type                FT;
   typedef FT result_type;
-  typedef typename Get_functor<R_, Scalar_product_tag>::type	Dot;
-  typedef typename Get_functor<R_, Point_to_vector_tag>::type	P2V;
+  typedef typename Get_functor<R_, Scalar_product_tag>::type        Dot;
+  typedef typename Get_functor<R_, Point_to_vector_tag>::type        P2V;
   result_type operator()(Hyperplane const&h, Point const&p)const{
     Dot dot(this->kernel());
     P2V p2v(this->kernel());
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Types/Iso_box.h 5.0.3-1/include/CGAL/NewKernel_d/Types/Iso_box.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Types/Iso_box.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Types/Iso_box.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Types/Iso_box.h $
-// $Id: Iso_box.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Types/Iso_box.h $
+// $Id: Iso_box.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -18,37 +18,37 @@
 #include <CGAL/transforming_pair_iterator.h>
 namespace CGAL {
 template <class R_> class Iso_box {
-	typedef typename Get_type<R_, FT_tag>::type FT_;
-	typedef typename Get_type<R_, Point_tag>::type	Point_;
-	typedef std::pair<Point_,Point_> Data_;
-	Data_ data;
-	public:
-	Iso_box(){}
-	Iso_box(Point_ const&a, Point_ const&b): data(a,b) {}
-	Point_ min BOOST_PREVENT_MACRO_SUBSTITUTION ()const{
-	  return data.first;
-	}
-	Point_ max BOOST_PREVENT_MACRO_SUBSTITUTION ()const{
-	  return data.second;
-	}
+        typedef typename Get_type<R_, FT_tag>::type FT_;
+        typedef typename Get_type<R_, Point_tag>::type        Point_;
+        typedef std::pair<Point_,Point_> Data_;
+        Data_ data;
+        public:
+        Iso_box(){}
+        Iso_box(Point_ const&a, Point_ const&b): data(a,b) {}
+        Point_ min BOOST_PREVENT_MACRO_SUBSTITUTION ()const{
+          return data.first;
+        }
+        Point_ max BOOST_PREVENT_MACRO_SUBSTITUTION ()const{
+          return data.second;
+        }
 };
 namespace CartesianDKernelFunctors {
   template <class R_> struct Construct_iso_box : Store_kernel<R_> {
     CGAL_FUNCTOR_INIT_STORE(Construct_iso_box)
-    typedef typename Get_type<R_, Iso_box_tag>::type	result_type;
+    typedef typename Get_type<R_, Iso_box_tag>::type        result_type;
     typedef typename Get_type<R_, RT_tag>::type RT;
-    typedef typename Get_type<R_, Point_tag>::type	Point;
+    typedef typename Get_type<R_, Point_tag>::type        Point;
     typedef typename Get_functor<R_, Construct_ttag<Point_tag> >::type Cp_;
     typedef typename Get_functor<R_, Construct_ttag<Point_cartesian_const_iterator_tag> >::type Ci_;
     result_type operator()(Point const&a, Point const&b)const{
       Cp_ cp(this->kernel());
       Ci_ ci(this->kernel());
       return result_type(cp(
-	  make_transforming_pair_iterator(ci(a,Begin_tag()), ci(b,Begin_tag()), Min<RT>()),
-	  make_transforming_pair_iterator(ci(a,End_tag()), ci(b,End_tag()), Min<RT>())),
+          make_transforming_pair_iterator(ci(a,Begin_tag()), ci(b,Begin_tag()), Min<RT>()),
+          make_transforming_pair_iterator(ci(a,End_tag()), ci(b,End_tag()), Min<RT>())),
       cp(
-	  make_transforming_pair_iterator(ci(a,Begin_tag()), ci(b,Begin_tag()), Max<RT>()),
-	  make_transforming_pair_iterator(ci(a,End_tag()), ci(b,End_tag()), Max<RT>())));
+          make_transforming_pair_iterator(ci(a,Begin_tag()), ci(b,Begin_tag()), Max<RT>()),
+          make_transforming_pair_iterator(ci(a,End_tag()), ci(b,End_tag()), Max<RT>())));
     }
   };
 
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Types/Line.h 5.0.3-1/include/CGAL/NewKernel_d/Types/Line.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Types/Line.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Types/Line.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Types/Line.h $
-// $Id: Line.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Types/Line.h $
+// $Id: Line.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -16,28 +16,28 @@
 #include <CGAL/Kernel/mpl.h>
 namespace CGAL {
 template <class R_> class Line {
-	typedef typename Get_type<R_, FT_tag>::type FT_;
-	typedef typename Get_type<R_, Point_tag>::type	Point_;
-	typedef std::pair<Point_,Point_> Data_;
-	Data_ data;
-	public:
-	Line(){}
-	Line(Point_ const&a, Point_ const&b): data(a,b) {}
-	Point_ point(int i)const{
-	  if(i==0) return data.first;
-	  if(i==1) return data.second;
-	  throw "not implemented";
-	}
-	Line opposite()const{
-		return Line(data.second,data.first);
-	}
+        typedef typename Get_type<R_, FT_tag>::type FT_;
+        typedef typename Get_type<R_, Point_tag>::type        Point_;
+        typedef std::pair<Point_,Point_> Data_;
+        Data_ data;
+        public:
+        Line(){}
+        Line(Point_ const&a, Point_ const&b): data(a,b) {}
+        Point_ point(int i)const{
+          if(i==0) return data.first;
+          if(i==1) return data.second;
+          throw "not implemented";
+        }
+        Line opposite()const{
+                return Line(data.second,data.first);
+        }
 };
 namespace CartesianDKernelFunctors {
   template <class R_> struct Construct_line : Store_kernel<R_> {
     CGAL_FUNCTOR_INIT_STORE(Construct_line)
-    typedef typename Get_type<R_, Line_tag>::type	result_type;
-    typedef typename Get_type<R_, Point_tag>::type	Point;
-    typedef typename Get_type<R_, Vector_tag>::type	Vector;
+    typedef typename Get_type<R_, Line_tag>::type        result_type;
+    typedef typename Get_type<R_, Point_tag>::type        Point;
+    typedef typename Get_type<R_, Vector_tag>::type        Vector;
     typedef typename Get_functor<R_, Translated_point_tag>::type Tp_;
     //typedef typename Get_functor<R_, Difference_of_points_tag>::type Dp_;
     //typedef typename Get_functor<R_, Scaled_vector_tag>::type Sv_;
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Types/Ray.h 5.0.3-1/include/CGAL/NewKernel_d/Types/Ray.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Types/Ray.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Types/Ray.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Types/Ray.h $
-// $Id: Ray.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Types/Ray.h $
+// $Id: Ray.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -16,28 +16,28 @@
 #include <CGAL/Kernel/mpl.h>
 namespace CGAL {
 template <class R_> class Ray {
-	typedef typename Get_type<R_, FT_tag>::type FT_;
-	typedef typename Get_type<R_, Point_tag>::type	Point_;
-	typedef typename Get_type<R_, Vector_tag>::type	Vector_;
-	typedef std::pair<Point_,Vector_> Data_;
-	Data_ data;
-	public:
-	Ray(){}
-	Ray(Point_ const&a, Vector_ const&b): data(a,b) {}
-	Point_ source()const{
-	  return data.first;
-	}
-	// FIXME: return a R_::Direction?
-	Vector_ direction()const{
-	  return data.second;
-	}
+        typedef typename Get_type<R_, FT_tag>::type FT_;
+        typedef typename Get_type<R_, Point_tag>::type        Point_;
+        typedef typename Get_type<R_, Vector_tag>::type        Vector_;
+        typedef std::pair<Point_,Vector_> Data_;
+        Data_ data;
+        public:
+        Ray(){}
+        Ray(Point_ const&a, Vector_ const&b): data(a,b) {}
+        Point_ source()const{
+          return data.first;
+        }
+        // FIXME: return a R_::Direction?
+        Vector_ direction()const{
+          return data.second;
+        }
 };
 namespace CartesianDKernelFunctors {
   template <class R_> struct Construct_ray : Store_kernel<R_> {
     CGAL_FUNCTOR_INIT_STORE(Construct_ray)
-    typedef typename Get_type<R_, Ray_tag>::type	result_type;
-    typedef typename Get_type<R_, Point_tag>::type	Point;
-    typedef typename Get_type<R_, Vector_tag>::type	Vector;
+    typedef typename Get_type<R_, Ray_tag>::type        result_type;
+    typedef typename Get_type<R_, Point_tag>::type        Point;
+    typedef typename Get_type<R_, Vector_tag>::type        Vector;
     typedef typename Get_functor<R_, Difference_of_points_tag>::type Dp_;
     //typedef typename Get_functor<R_, Translated_point_tag>::type Tp_;
     //typedef typename Get_functor<R_, Scaled_vector_tag>::type Sv_;
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Types/Segment.h 5.0.3-1/include/CGAL/NewKernel_d/Types/Segment.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Types/Segment.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Types/Segment.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Types/Segment.h $
-// $Id: Segment.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Types/Segment.h $
+// $Id: Segment.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -16,89 +16,89 @@
 #include <CGAL/NewKernel_d/functor_tags.h>
 namespace CGAL {
 template <class R_> class Segment {
-	typedef typename Get_type<R_, FT_tag>::type FT_;
-	typedef typename Get_type<R_, Point_tag>::type	Point_;
-	//typedef typename R_::Vector Vector_;
-	//typedef typename Get_functor<R_, Construct_ttag<Vector_tag> >::type Cv_;
-//	typedef typename R_::Squared_distance Csd_;
-	typedef std::pair<Point_,Point_> Data_;
-	Data_ data;
-	public:
-	//typedef Segmentd<R_> Segment;
-	//FIXME: don't forward directly, piecewise_construct should call the point construction functor (I guess? or is it unnecessary?)
-	template<class...U,class=typename std::enable_if<!std::is_same<std::tuple<typename std::decay<U>::type...>,std::tuple<Segment>>::value>::type>
-	Segment(U&&...u):data(std::forward<U>(u)...){}
-	Point_ source()const{return data.first;}
-	Point_ target()const{return data.second;}
-	Point_ operator[](int i)const{
-		if((i%2)==0)
-			return source();
-		else
-			return target();
-	}
-	Segment opposite()const{
-		return Segment(target(),source());
-	}
-	//Vector_ vector()const{
-	//	return Cv_()(data.first,data.second);
-	//}
-//	FT_ squared_length()const{
-//		return Csd_()(data.first,data.second);
-//	}
+        typedef typename Get_type<R_, FT_tag>::type FT_;
+        typedef typename Get_type<R_, Point_tag>::type        Point_;
+        //typedef typename R_::Vector Vector_;
+        //typedef typename Get_functor<R_, Construct_ttag<Vector_tag> >::type Cv_;
+//        typedef typename R_::Squared_distance Csd_;
+        typedef std::pair<Point_,Point_> Data_;
+        Data_ data;
+        public:
+        //typedef Segmentd<R_> Segment;
+        //FIXME: don't forward directly, piecewise_construct should call the point construction functor (I guess? or is it unnecessary?)
+        template<class...U,class=typename std::enable_if<!std::is_same<std::tuple<typename std::decay<U>::type...>,std::tuple<Segment>>::value>::type>
+        Segment(U&&...u):data(std::forward<U>(u)...){}
+        Point_ source()const{return data.first;}
+        Point_ target()const{return data.second;}
+        Point_ operator[](int i)const{
+                if((i%2)==0)
+                        return source();
+                else
+                        return target();
+        }
+        Segment opposite()const{
+                return Segment(target(),source());
+        }
+        //Vector_ vector()const{
+        //        return Cv_()(data.first,data.second);
+        //}
+//        FT_ squared_length()const{
+//                return Csd_()(data.first,data.second);
+//        }
 };
 
 namespace CartesianDKernelFunctors {
 
 template<class R_> struct Construct_segment : Store_kernel<R_> {
-	CGAL_FUNCTOR_INIT_STORE(Construct_segment)
-	typedef R_ R;
-	typedef typename Get_type<R_, Point_tag>::type	Point;
-	typedef typename Get_type<R_, Segment_tag>::type	Segment;
-	typedef typename Get_functor<R_, Construct_ttag<Point_tag> >::type CP;
-	typedef Segment result_type;
-	result_type operator()(Point const&a, Point const&b)const{
-		return result_type(a,b);
-	}
-	// Not really needed, especially since it forces us to store the kernel
-	result_type operator()()const{
+        CGAL_FUNCTOR_INIT_STORE(Construct_segment)
+        typedef R_ R;
+        typedef typename Get_type<R_, Point_tag>::type        Point;
+        typedef typename Get_type<R_, Segment_tag>::type        Segment;
+        typedef typename Get_functor<R_, Construct_ttag<Point_tag> >::type CP;
+        typedef Segment result_type;
+        result_type operator()(Point const&a, Point const&b)const{
+                return result_type(a,b);
+        }
+        // Not really needed, especially since it forces us to store the kernel
+        result_type operator()()const{
 #if defined(BOOST_MSVC) && (BOOST_MSVC == 1900)
 #  pragma warning(push)
 #  pragma warning(disable: 4309)
 #endif
-		Point p = typename Get_functor<R_, Construct_ttag<Point_tag> >::type (this->kernel()) ();
-		return result_type (p, p);
+                Point p = typename Get_functor<R_, Construct_ttag<Point_tag> >::type (this->kernel()) ();
+                return result_type (p, p);
 #if defined(BOOST_MSVC) && (BOOST_MSVC == 1900)
 #  pragma warning(pop)
 #endif
-	}
-	// T should only be std::piecewise_construct_t, but we shouldn't fail if it doesn't exist.
-	template<class T,class U,class V>
-	result_type operator()(T&&, U&& u, V&& v)const{
-		CP cp(this->kernel());
-		result_type r = {{
-			call_on_tuple_elements(cp, std::forward<U>(u)),
-			call_on_tuple_elements(cp, std::forward<V>(v)) }};
-		return r;
-	}
+        }
+        // T should only be std::piecewise_construct_t, but we shouldn't fail if it doesn't exist.
+        template<class T,class U,class V>
+        result_type operator()(T&&, U&& u, V&& v)const{
+                CP cp(this->kernel());
+                result_type r = {{
+                        call_on_tuple_elements(cp, std::forward<U>(u)),
+                        call_on_tuple_elements(cp, std::forward<V>(v)) }};
+                return r;
+        }
 };
 
 // This should be part of Construct_point, according to Kernel_23 conventions
 template<class R_> struct Segment_extremity {
-	CGAL_FUNCTOR_INIT_IGNORE(Segment_extremity)
-	typedef R_ R;
-	typedef typename Get_type<R_, Point_tag>::type	Point;
-	typedef typename Get_type<R_, Segment_tag>::type	Segment;
-	typedef Point result_type;
-	result_type operator()(Segment const&s, int i)const{
-		if(i==0) return s.source();
-		CGAL_assertion(i==1);
-		return s.target();
-	}
-	result_type operator()(Segment &&s, int i)const{
-		if(i==0) return std::move(s.source());
-		CGAL_assertion(i==1);
-		return std::move(s.target());
-	}
+        CGAL_FUNCTOR_INIT_IGNORE(Segment_extremity)
+        typedef R_ R;
+        typedef typename Get_type<R_, Point_tag>::type        Point;
+        typedef typename Get_type<R_, Segment_tag>::type        Segment;
+        typedef Point result_type;
+        result_type operator()(Segment const&s, int i)const{
+                if(i==0) return s.source();
+                CGAL_assertion(i==1);
+                return s.target();
+        }
+        result_type operator()(Segment &&s, int i)const{
+                if(i==0) return std::move(s.source());
+                CGAL_assertion(i==1);
+                return std::move(s.target());
+        }
 };
 } // CartesianDKernelFunctors
 
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Types/Sphere.h 5.0.3-1/include/CGAL/NewKernel_d/Types/Sphere.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Types/Sphere.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Types/Sphere.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Types/Sphere.h $
-// $Id: Sphere.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Types/Sphere.h $
+// $Id: Sphere.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -15,25 +15,25 @@
 #include <CGAL/boost/iterator/counting_iterator.hpp>
 namespace CGAL {
 template <class R_> class Sphere {
-	typedef typename Get_type<R_, FT_tag>::type FT_;
-	typedef typename Get_type<R_, Point_tag>::type	Point_;
-	Point_ c_;
-	FT_ r2_;
-
-	public:
-	Sphere(){}
-	Sphere(Point_ const&p, FT_ const&r2): c_(p), r2_(r2) {}
-	// TODO: Add a piecewise constructor?
+        typedef typename Get_type<R_, FT_tag>::type FT_;
+        typedef typename Get_type<R_, Point_tag>::type        Point_;
+        Point_ c_;
+        FT_ r2_;
+
+        public:
+        Sphere(){}
+        Sphere(Point_ const&p, FT_ const&r2): c_(p), r2_(r2) {}
+        // TODO: Add a piecewise constructor?
 
-	Point_ const& center()const{return c_;}
-	FT_ const& squared_radius()const{return r2_;}
+        Point_ const& center()const{return c_;}
+        FT_ const& squared_radius()const{return r2_;}
 };
 
 namespace CartesianDKernelFunctors {
 template <class R_> struct Construct_sphere : Store_kernel<R_> {
   CGAL_FUNCTOR_INIT_STORE(Construct_sphere)
-  typedef typename Get_type<R_, Sphere_tag>::type	result_type;
-  typedef typename Get_type<R_, Point_tag>::type	Point;
+  typedef typename Get_type<R_, Sphere_tag>::type        result_type;
+  typedef typename Get_type<R_, Point_tag>::type        Point;
   typedef typename Get_type<R_, FT_tag>::type FT;
   result_type operator()(Point const&a, FT const&b)const{
     return result_type(a,b);
@@ -44,7 +44,7 @@ template <class R_> struct Construct_sph
 #if defined(BOOST_MSVC) && (BOOST_MSVC == 1900)
 #  pragma warning(push)
 #  pragma warning(disable: 4309)
-#endif  
+#endif
     return result_type(cp(),0);
 #if defined(BOOST_MSVC) && (BOOST_MSVC == 1900)
 #  pragma warning(pop)
@@ -64,9 +64,9 @@ template <class R_> struct Construct_sph
 
 template <class R_> struct Center_of_sphere : private Store_kernel<R_> {
   CGAL_FUNCTOR_INIT_STORE(Center_of_sphere)
-  typedef typename Get_type<R_, Sphere_tag>::type	Sphere;
+  typedef typename Get_type<R_, Sphere_tag>::type        Sphere;
   // No reference because of the second overload
-  typedef typename Get_type<R_, Point_tag>::type	result_type;
+  typedef typename Get_type<R_, Point_tag>::type        result_type;
 
   result_type const& operator()(Sphere const&s)const{
     return s.center();
@@ -74,15 +74,15 @@ template <class R_> struct Center_of_sph
 
   template<class Iter>
   result_type operator()(Iter b, Iter e)const{
-    typename Get_functor<R_, Construct_ttag<Sphere_tag> >::type	cs(this->kernel());
+    typename Get_functor<R_, Construct_ttag<Sphere_tag> >::type        cs(this->kernel());
     return operator()(cs(b,e)); // computes the radius needlessly
   }
 };
 
 template <class R_> struct Squared_radius {
   CGAL_FUNCTOR_INIT_IGNORE(Squared_radius)
-  typedef typename Get_type<R_, Sphere_tag>::type	Sphere;
-  typedef typename Get_type<R_, FT_tag>::type const&	result_type;
+  typedef typename Get_type<R_, Sphere_tag>::type        Sphere;
+  typedef typename Get_type<R_, FT_tag>::type const&        result_type;
   // TODO: Is_exact?
   result_type operator()(Sphere const&s)const{
     return s.squared_radius();
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Types/Weighted_point.h 5.0.3-1/include/CGAL/NewKernel_d/Types/Weighted_point.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Types/Weighted_point.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Types/Weighted_point.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Types/Weighted_point.h $
-// $Id: Weighted_point.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Types/Weighted_point.h $
+// $Id: Weighted_point.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -16,26 +16,26 @@
 namespace CGAL {
 namespace KerD {
 template <class R_> class Weighted_point {
-	typedef typename Get_type<R_, FT_tag>::type FT_;
-	typedef typename Get_type<R_, Point_tag>::type	Point_;
-	Point_ c_;
-	FT_ w_;
-
-	public:
-	Weighted_point(){}
-	Weighted_point(Point_ const&p, FT_ const&w): c_(p), w_(w) {}
-	// TODO: Add a piecewise constructor?
+        typedef typename Get_type<R_, FT_tag>::type FT_;
+        typedef typename Get_type<R_, Point_tag>::type        Point_;
+        Point_ c_;
+        FT_ w_;
+
+        public:
+        Weighted_point(){}
+        Weighted_point(Point_ const&p, FT_ const&w): c_(p), w_(w) {}
+        // TODO: Add a piecewise constructor?
 
-	Point_ const& point()const{return c_;}
-	FT_ const& weight()const{return w_;}
+        Point_ const& point()const{return c_;}
+        FT_ const& weight()const{return w_;}
 };
 }
 
 namespace CartesianDKernelFunctors {
 template <class R_> struct Construct_weighted_point : Store_kernel<R_> {
   CGAL_FUNCTOR_INIT_STORE(Construct_weighted_point)
-  typedef typename Get_type<R_, Weighted_point_tag>::type	result_type;
-  typedef typename Get_type<R_, Point_tag>::type	Point;
+  typedef typename Get_type<R_, Weighted_point_tag>::type        result_type;
+  typedef typename Get_type<R_, Point_tag>::type        Point;
   typedef typename Get_type<R_, FT_tag>::type FT;
   result_type operator()(Point const&a, FT const&b)const{
     return result_type(a,b);
@@ -46,7 +46,7 @@ template <class R_> struct Construct_wei
 #if defined(BOOST_MSVC) && (BOOST_MSVC == 1900)
 #  pragma warning(push)
 #  pragma warning(disable: 4309)
-#endif    
+#endif
     return result_type(cp(),0);
 #if defined(BOOST_MSVC) && (BOOST_MSVC == 1900)
 #  pragma warning(pop)
@@ -56,8 +56,8 @@ template <class R_> struct Construct_wei
 
 template <class R_> struct Point_drop_weight {
   CGAL_FUNCTOR_INIT_IGNORE(Point_drop_weight)
-  typedef typename Get_type<R_, Weighted_point_tag>::type	argument_type;
-  typedef typename Get_type<R_, Point_tag>::type const&		result_type;
+  typedef typename Get_type<R_, Weighted_point_tag>::type        argument_type;
+  typedef typename Get_type<R_, Point_tag>::type const&                result_type;
   // Returning a reference is fragile
 
   result_type operator()(argument_type const&s)const{
@@ -67,8 +67,8 @@ template <class R_> struct Point_drop_we
 
 template <class R_> struct Point_weight {
   CGAL_FUNCTOR_INIT_IGNORE(Point_weight)
-  typedef typename Get_type<R_, Weighted_point_tag>::type	argument_type;
-  typedef typename Get_type<R_, FT_tag>::type			result_type;
+  typedef typename Get_type<R_, Weighted_point_tag>::type        argument_type;
+  typedef typename Get_type<R_, FT_tag>::type                        result_type;
 
   result_type operator()(argument_type const&s)const{
     return s.weight();
@@ -77,9 +77,9 @@ template <class R_> struct Point_weight
 
 template <class R_> struct Power_distance : private Store_kernel<R_> {
   CGAL_FUNCTOR_INIT_STORE(Power_distance)
-  typedef typename Get_type<R_, Weighted_point_tag>::type	first_argument_type;
-  typedef first_argument_type					second_argument_type;
-  typedef typename Get_type<R_, FT_tag>::type			result_type;
+  typedef typename Get_type<R_, Weighted_point_tag>::type        first_argument_type;
+  typedef first_argument_type                                        second_argument_type;
+  typedef typename Get_type<R_, FT_tag>::type                        result_type;
 
   result_type operator()(first_argument_type const&a, second_argument_type const&b)const{
     typename Get_functor<R_, Point_drop_weight_tag>::type pdw(this->kernel());
@@ -90,9 +90,9 @@ template <class R_> struct Power_distanc
 };
 template <class R_> struct Power_distance_to_point : private Store_kernel<R_> {
   CGAL_FUNCTOR_INIT_STORE(Power_distance_to_point)
-  typedef typename Get_type<R_, Weighted_point_tag>::type	first_argument_type;
-  typedef typename Get_type<R_, Point_tag>::type		second_argument_type;
-  typedef typename Get_type<R_, FT_tag>::type			result_type;
+  typedef typename Get_type<R_, Weighted_point_tag>::type        first_argument_type;
+  typedef typename Get_type<R_, Point_tag>::type                second_argument_type;
+  typedef typename Get_type<R_, FT_tag>::type                        result_type;
 
   result_type operator()(first_argument_type const&a, second_argument_type const&b)const{
     typename Get_functor<R_, Point_drop_weight_tag>::type pdw(this->kernel());
@@ -113,12 +113,12 @@ template<class R_> struct Power_side_of_
       typename Get_functor<R, Point_drop_weight_tag>::type pdw(this->kernel());
       typename Get_functor<R, Point_weight_tag>::type pw(this->kernel());
       return ptr (
-	  make_transforming_iterator (f, pdw),
-	  make_transforming_iterator (e, pdw),
-	  make_transforming_iterator (f, pw),
-	  make_transforming_iterator (e, pw),
-	  pdw (p0),
-	  pw (p0));
+          make_transforming_iterator (f, pdw),
+          make_transforming_iterator (e, pdw),
+          make_transforming_iterator (f, pw),
+          make_transforming_iterator (e, pw),
+          pdw (p0),
+          pw (p0));
     }
 };
 
@@ -133,22 +133,22 @@ template<class R_> struct In_flat_power_
       typename Get_functor<R, Point_drop_weight_tag>::type pdw(this->kernel());
       typename Get_functor<R, Point_weight_tag>::type pw(this->kernel());
       return ptr (
-	  fo,
-	  make_transforming_iterator (f, pdw),
-	  make_transforming_iterator (e, pdw),
-	  make_transforming_iterator (f, pw),
-	  make_transforming_iterator (e, pw),
-	  pdw (p0),
-	  pw (p0));
+          fo,
+          make_transforming_iterator (f, pdw),
+          make_transforming_iterator (e, pdw),
+          make_transforming_iterator (f, pw),
+          make_transforming_iterator (e, pw),
+          pdw (p0),
+          pw (p0));
     }
 };
 
 // Construct a point at (weighted) distance 0 from all the input
 template <class R_> struct Power_center : Store_kernel<R_> {
   CGAL_FUNCTOR_INIT_STORE(Power_center)
-  typedef typename Get_type<R_, Weighted_point_tag>::type	WPoint;
+  typedef typename Get_type<R_, Weighted_point_tag>::type        WPoint;
   typedef WPoint result_type;
-  typedef typename Get_type<R_, Point_tag>::type	Point;
+  typedef typename Get_type<R_, Point_tag>::type        Point;
   typedef typename Get_type<R_, FT_tag>::type FT;
   template <class Iter>
   result_type operator()(Iter f, Iter e)const{
@@ -178,7 +178,7 @@ template <class R_> struct Power_center
       WPoint const& wp=*f;
       Point const& p=pdw(wp);
       for(int j=0;j<d;++j) {
-	m(i,j)=2*(c(p,j)-c(p0,j));
+        m(i,j)=2*(c(p,j)-c(p0,j));
       }
       b[i] = sdo(p) - pw(wp) - n0;
     }
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/utils.h 5.0.3-1/include/CGAL/NewKernel_d/utils.h
--- 5.0.2-3/include/CGAL/NewKernel_d/utils.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/utils.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/utils.h $
-// $Id: utils.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/utils.h $
+// $Id: utils.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -18,7 +18,7 @@
 #  pragma warning(push)
 #  pragma warning(disable:4003) // not enough actual parameters for macro 'BOOST_PP_EXPAND_I'
                                 // https://lists.boost.org/boost-users/2014/11/83291.php
-#endif                          
+#endif
 
 #include <type_traits>
 #include <utility>
@@ -32,7 +32,7 @@
 
 namespace CGAL {
 namespace internal {
-	BOOST_MPL_HAS_XXX_TRAIT_DEF(type)
+        BOOST_MPL_HAS_XXX_TRAIT_DEF(type)
 }
 
 template <class T, class No, bool=internal::has_type<T>::value /*false*/>
@@ -42,119 +42,119 @@ struct Has_type_different_from <T, No, t
 : boost::mpl::not_<boost::is_same<typename T::type, No> > {};
 
 
-	template <class T> struct Wrap_type { typedef T type; };
+        template <class T> struct Wrap_type { typedef T type; };
 
-	// tell a function f(a,b,c) that its real argument is a(b,c)
-	struct Eval_functor {};
+        // tell a function f(a,b,c) that its real argument is a(b,c)
+        struct Eval_functor {};
 
-	// forget the first argument. Useful to make something dependant
-	// (and thus usable in SFINAE), although that's not a great design.
-	template<class A,class B> struct Second_arg {
-		typedef B type;
-	};
-
-	// like std::forward, except for basic types where it does a cast, to
-	// avoid issues with narrowing conversions
-	template<class T,class U,class V> inline
-		typename std::conditional<std::is_arithmetic<T>::value&&std::is_arithmetic<typename std::remove_reference<U>::type>::value,T,U&&>::type
-	       	forward_safe(V&& u) { return std::forward<U>(u); }
-
-	template<class...> struct Constructible_from_each;
-	template<class To,class From1,class...From> struct Constructible_from_each<To,From1,From...>{
-		enum { value=std::is_convertible<From1,To>::value&&Constructible_from_each<To,From...>::value };
-	};
-	template<class To> struct Constructible_from_each<To>{
-		enum { value=true };
-	};
-
-	template<class T> struct Scale {
-		T const& scale;
-		Scale(T const& t):scale(t){}
-		template<class FT>
-		decltype(auto) operator()(FT&& x)const
-		{
-			return (scale*std::forward<FT>(x));
-		}
-	};
-	template<class NT,class T> struct Divide {
-		T const& scale;
-		Divide(T const& t):scale(t){}
-		template<class FT>
-		//FIXME: gcc complains for Gmpq
-		//decltype(auto) operator()(FT&& x)const
-		NT operator()(FT&& x)const
-		{
-			return Rational_traits<NT>().
-				make_rational(std::forward<FT>(x),scale);
-		}
-	};
-
-	template <class NT> struct has_cheap_constructor : boost::is_arithmetic<NT>{};
-	template <bool p> struct has_cheap_constructor<Interval_nt<p> > {
-		        enum { value=true };
-	};
-
-	// like std::multiplies but allows mixing types
-	// in C++11 in doesn't need to be a template
-	template < class Ret >
-	struct multiplies {
-		template<class A,class B>
-		decltype(auto) operator()(A&&a,B&&b)const
-		{
-			return std::forward<A>(a)*std::forward<B>(b);
-		}
-	};
-	template < class Ret >
-	struct division {
-		template<class A,class B>
-		decltype(auto) operator()(A&&a,B&&b)const
-		{
-			return std::forward<A>(a)/std::forward<B>(b);
-		}
-	};
-
-	using std::decay;
-
-	template<class T,class U> struct Type_copy_ref { typedef U type; };
-	template<class T,class U> struct Type_copy_ref<T&,U> { typedef U& type; };
-	template<class T,class U> struct Type_copy_ref<T&&,U> { typedef U&& type; };
-	template<class T,class U> struct Type_copy_cv { typedef U type; };
-	template<class T,class U> struct Type_copy_cv<T const,U> { typedef U const type; };
-	template<class T,class U> struct Type_copy_cv<T volatile,U> { typedef U volatile type; };
-	template<class T,class U> struct Type_copy_cv<T const volatile,U> { typedef U const volatile type; };
-
-	template<class T,class U> struct Type_copy_cvref :
-		Type_copy_ref<T,typename Type_copy_cv<typename boost::remove_reference<T>::type,U>::type> {};
-
-	struct Dereference_functor {
-		template<class> struct result{};
-		template<class It> struct result<Dereference_functor(It)> {
-			typedef typename std::iterator_traits<It>::reference type;
-		};
-		template<class It> decltype(auto)
-			operator()(It const&i)const{
-				return *i;
-			}
-	};
-
-	namespace internal {
-	template<class F,class...U,std::size_t...I> inline decltype(auto)
-	do_call_on_tuple_elements(F&&f, std::tuple<U...>&&t, std::index_sequence<I...>&&) {
-		return f(std::get<I>(std::move(t))...);
-	}
-	} // internal
-	template<class F,class...U>
-	inline decltype(auto)
-	call_on_tuple_elements(F&&f, std::tuple<U...>&&t) {
-		return internal::do_call_on_tuple_elements(std::forward<F>(f),std::move(t),
-				std::make_index_sequence<sizeof...(U)>());
-	}
-	template<class A> struct Factory {
-	  typedef A result_type;
-	  template<class...U> result_type operator()(U&&...u)const{
-	    return A(std::forward<U>(u)...);
-	  }
-	};
+        // forget the first argument. Useful to make something dependant
+        // (and thus usable in SFINAE), although that's not a great design.
+        template<class A,class B> struct Second_arg {
+                typedef B type;
+        };
+
+        // like std::forward, except for basic types where it does a cast, to
+        // avoid issues with narrowing conversions
+        template<class T,class U,class V> inline
+                typename std::conditional<std::is_arithmetic<T>::value&&std::is_arithmetic<typename std::remove_reference<U>::type>::value,T,U&&>::type
+                       forward_safe(V&& u) { return std::forward<U>(u); }
+
+        template<class...> struct Constructible_from_each;
+        template<class To,class From1,class...From> struct Constructible_from_each<To,From1,From...>{
+                enum { value=std::is_convertible<From1,To>::value&&Constructible_from_each<To,From...>::value };
+        };
+        template<class To> struct Constructible_from_each<To>{
+                enum { value=true };
+        };
+
+        template<class T> struct Scale {
+                T const& scale;
+                Scale(T const& t):scale(t){}
+                template<class FT>
+                decltype(auto) operator()(FT&& x)const
+                {
+                        return (scale*std::forward<FT>(x));
+                }
+        };
+        template<class NT,class T> struct Divide {
+                T const& scale;
+                Divide(T const& t):scale(t){}
+                template<class FT>
+                //FIXME: gcc complains for Gmpq
+                //decltype(auto) operator()(FT&& x)const
+                NT operator()(FT&& x)const
+                {
+                        return Rational_traits<NT>().
+                                make_rational(std::forward<FT>(x),scale);
+                }
+        };
+
+        template <class NT> struct has_cheap_constructor : boost::is_arithmetic<NT>{};
+        template <bool p> struct has_cheap_constructor<Interval_nt<p> > {
+                        enum { value=true };
+        };
+
+        // like std::multiplies but allows mixing types
+        // in C++11 in doesn't need to be a template
+        template < class Ret >
+        struct multiplies {
+                template<class A,class B>
+                decltype(auto) operator()(A&&a,B&&b)const
+                {
+                        return std::forward<A>(a)*std::forward<B>(b);
+                }
+        };
+        template < class Ret >
+        struct division {
+                template<class A,class B>
+                decltype(auto) operator()(A&&a,B&&b)const
+                {
+                        return std::forward<A>(a)/std::forward<B>(b);
+                }
+        };
+
+        using std::decay;
+
+        template<class T,class U> struct Type_copy_ref { typedef U type; };
+        template<class T,class U> struct Type_copy_ref<T&,U> { typedef U& type; };
+        template<class T,class U> struct Type_copy_ref<T&&,U> { typedef U&& type; };
+        template<class T,class U> struct Type_copy_cv { typedef U type; };
+        template<class T,class U> struct Type_copy_cv<T const,U> { typedef U const type; };
+        template<class T,class U> struct Type_copy_cv<T volatile,U> { typedef U volatile type; };
+        template<class T,class U> struct Type_copy_cv<T const volatile,U> { typedef U const volatile type; };
+
+        template<class T,class U> struct Type_copy_cvref :
+                Type_copy_ref<T,typename Type_copy_cv<typename boost::remove_reference<T>::type,U>::type> {};
+
+        struct Dereference_functor {
+                template<class> struct result{};
+                template<class It> struct result<Dereference_functor(It)> {
+                        typedef typename std::iterator_traits<It>::reference type;
+                };
+                template<class It> decltype(auto)
+                        operator()(It const&i)const{
+                                return *i;
+                        }
+        };
+
+        namespace internal {
+        template<class F,class...U,std::size_t...I> inline decltype(auto)
+        do_call_on_tuple_elements(F&&f, std::tuple<U...>&&t, std::index_sequence<I...>&&) {
+                return f(std::get<I>(std::move(t))...);
+        }
+        } // internal
+        template<class F,class...U>
+        inline decltype(auto)
+        call_on_tuple_elements(F&&f, std::tuple<U...>&&t) {
+                return internal::do_call_on_tuple_elements(std::forward<F>(f),std::move(t),
+                                std::make_index_sequence<sizeof...(U)>());
+        }
+        template<class A> struct Factory {
+          typedef A result_type;
+          template<class...U> result_type operator()(U&&...u)const{
+            return A(std::forward<U>(u)...);
+          }
+        };
 }
 
 // TODO: make a Cartesian-only variant
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Vector/array.h 5.0.3-1/include/CGAL/NewKernel_d/Vector/array.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Vector/array.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Vector/array.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Vector/array.h $
-// $Id: array.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Vector/array.h $
+// $Id: array.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -33,97 +33,97 @@ namespace CGAL {
 // In that case, we should store the real dim next to the array.
 template<class NT_,class Dim_,class Max_dim_=Dim_> struct Array_vector {
         typedef NT_ NT;
-	typedef Dim_ Dimension;
-	typedef Max_dim_ Max_dimension;
-	template< class D2, class D3=D2 >
-	struct Rebind_dimension {
-	  typedef Array_vector< NT, D2, D3 > Other;
-	};
-	template<class> struct Property : boost::false_type {};
-
-	static const unsigned d_=Max_dim_::value;
-	CGAL_static_assertion(d_ != (unsigned)UNKNOWN_DIMENSION);
-
-	typedef std::array<NT,d_> Vector;
-	struct Construct_vector {
-		struct Dimension {
-			// Initialize with NaN if possible?
+        typedef Dim_ Dimension;
+        typedef Max_dim_ Max_dimension;
+        template< class D2, class D3=D2 >
+        struct Rebind_dimension {
+          typedef Array_vector< NT, D2, D3 > Other;
+        };
+        template<class> struct Property : boost::false_type {};
+
+        static const unsigned d_=Max_dim_::value;
+        CGAL_static_assertion(d_ != (unsigned)UNKNOWN_DIMENSION);
+
+        typedef std::array<NT,d_> Vector;
+        struct Construct_vector {
+                struct Dimension {
+                        // Initialize with NaN if possible?
                   Vector operator()(unsigned CGAL_assertion_code(d)) const {
-				CGAL_assertion(d<=d_);
-				return Vector();
-			}
-		};
-
-		struct Iterator {
-			template<typename Iter>
-				Vector operator()(unsigned CGAL_assertion_code(d),Iter const& f,Iter const& e) const {
-					CGAL_assertion(d==(unsigned) std::distance(f,e));
-					CGAL_assertion(d<=d_);
-					//TODO: optimize for forward iterators
-					Vector a;
-					CGAL_assume(f!=e);
-					std::copy(f,e,a.begin());
-					return a;
-				}
-		};
+                                CGAL_assertion(d<=d_);
+                                return Vector();
+                        }
+                };
+
+                struct Iterator {
+                        template<typename Iter>
+                                Vector operator()(unsigned CGAL_assertion_code(d),Iter const& f,Iter const& e) const {
+                                        CGAL_assertion(d==(unsigned) std::distance(f,e));
+                                        CGAL_assertion(d<=d_);
+                                        //TODO: optimize for forward iterators
+                                        Vector a;
+                                        CGAL_assume(f!=e);
+                                        std::copy(f,e,a.begin());
+                                        return a;
+                                }
+                };
 
 #if 0
-		struct Iterator_add_one {
-			template<typename Iter>
-				Vector operator()(unsigned d,Iter const& f,Iter const& e) const {
-					CGAL_assertion(d==std::distance(f,e)+1);
-					CGAL_assertion(d<=d_);
-					//TODO: optimize
-					Vector a;
-					std::copy(f,e,a.begin());
-					a.back()=1;
-					return a;
-				}
-		};
+                struct Iterator_add_one {
+                        template<typename Iter>
+                                Vector operator()(unsigned d,Iter const& f,Iter const& e) const {
+                                        CGAL_assertion(d==std::distance(f,e)+1);
+                                        CGAL_assertion(d<=d_);
+                                        //TODO: optimize
+                                        Vector a;
+                                        std::copy(f,e,a.begin());
+                                        a.back()=1;
+                                        return a;
+                                }
+                };
 #endif
 
-		struct Iterator_and_last {
-			template<typename Iter,typename T>
+                struct Iterator_and_last {
+                        template<typename Iter,typename T>
                         Vector operator()(unsigned  CGAL_assertion_code(d),Iter const& f,Iter const& e,T&& t) const {
-					CGAL_assertion(d==std::distance(f,e)+1);
-					CGAL_assertion(d<=d_);
-					//TODO: optimize for forward iterators
-					Vector a;
-					std::copy(f,e,a.begin());
-					a.back()=std::forward<T>(t);
-					return a;
-				}
-		};
-
-		struct Values {
-			template<class...U>
-				Vector operator()(U&&...u) const {
-					static_assert(sizeof...(U)<=d_,"too many arguments");
-					Vector a={{forward_safe<NT,U>(u)...}};
-					return a;
-				}
-		};
-
-		struct Values_divide {
-			template<class H,class...U>
-				Vector operator()(H const& h,U&&...u) const {
-					static_assert(sizeof...(U)<=d_,"too many arguments");
-					Vector a={{Rational_traits<NT>().make_rational(std::forward<U>(u),h)...}};
-					return a;
-				}
-		};
-	};
-
-	typedef NT const* Vector_const_iterator;
-	static Vector_const_iterator vector_begin(Vector const&a){
-		return &a[0];
-	}
-	static Vector_const_iterator vector_end(Vector const&a){
-		return &a[0]+d_; // Don't know the real size
-	}
-	static unsigned size_of_vector(Vector const&){
-		return d_; // Don't know the real size
-	}
+                                        CGAL_assertion(d==std::distance(f,e)+1);
+                                        CGAL_assertion(d<=d_);
+                                        //TODO: optimize for forward iterators
+                                        Vector a;
+                                        std::copy(f,e,a.begin());
+                                        a.back()=std::forward<T>(t);
+                                        return a;
+                                }
+                };
+
+                struct Values {
+                        template<class...U>
+                                Vector operator()(U&&...u) const {
+                                        static_assert(sizeof...(U)<=d_,"too many arguments");
+                                        Vector a={{forward_safe<NT,U>(u)...}};
+                                        return a;
+                                }
+                };
+
+                struct Values_divide {
+                        template<class H,class...U>
+                                Vector operator()(H const& h,U&&...u) const {
+                                        static_assert(sizeof...(U)<=d_,"too many arguments");
+                                        Vector a={{Rational_traits<NT>().make_rational(std::forward<U>(u),h)...}};
+                                        return a;
+                                }
+                };
+        };
+
+        typedef NT const* Vector_const_iterator;
+        static Vector_const_iterator vector_begin(Vector const&a){
+                return &a[0];
+        }
+        static Vector_const_iterator vector_end(Vector const&a){
+                return &a[0]+d_; // Don't know the real size
+        }
+        static unsigned size_of_vector(Vector const&){
+                return d_; // Don't know the real size
+        }
 
 };
 // Do not try to instantiate the above
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Vector/avx4.h 5.0.3-1/include/CGAL/NewKernel_d/Vector/avx4.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Vector/avx4.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Vector/avx4.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Vector/avx4.h $
-// $Id: avx4.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Vector/avx4.h $
+// $Id: avx4.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -48,53 +48,53 @@ namespace CGAL {
     typedef __m256d Vector;
     struct Construct_vector {
       struct Dimension {
-	// Initialize with NaN?
-	Vector operator()(unsigned d) const {
-	  CGAL_assertion(d==4);
-	  return Vector();
-	}
+        // Initialize with NaN?
+        Vector operator()(unsigned d) const {
+          CGAL_assertion(d==4);
+          return Vector();
+        }
       };
 
       struct Iterator {
-	template<typename Iter>
-	  Vector operator()(unsigned d,Iter const& f,Iter const& e) const {
-	    CGAL_assertion(d==4);
-	    double x0 = *f;
-	    double x1 = *++f;
-	    double x2 = *++f;
-	    double x3 = *++f;
-	    CGAL_assertion(++f==e);
-	    Vector a = { x0, x1, x2, x3 };
-	    return a;
-	  }
+        template<typename Iter>
+          Vector operator()(unsigned d,Iter const& f,Iter const& e) const {
+            CGAL_assertion(d==4);
+            double x0 = *f;
+            double x1 = *++f;
+            double x2 = *++f;
+            double x3 = *++f;
+            CGAL_assertion(++f==e);
+            Vector a = { x0, x1, x2, x3 };
+            return a;
+          }
       };
 
       struct Iterator_and_last {
-	template<typename Iter,typename T>
-	  Vector operator()(unsigned d,Iter const& f,Iter const& e,double t) const {
-	    CGAL_assertion(d==4);
-	    double x0 = *f;
-	    double x1 = *++f;
-	    double x2 = *++f;
-	    CGAL_assertion(++f==e);
-	    Vector a = { x0, x1, x2, t };
-	    return a;
-	  }
+        template<typename Iter,typename T>
+          Vector operator()(unsigned d,Iter const& f,Iter const& e,double t) const {
+            CGAL_assertion(d==4);
+            double x0 = *f;
+            double x1 = *++f;
+            double x2 = *++f;
+            CGAL_assertion(++f==e);
+            Vector a = { x0, x1, x2, t };
+            return a;
+          }
       };
 
       struct Values {
-	  Vector operator()(double a,double b,double c,double d) const {
-	    Vector r = { a, b, c, d };
-	    return r;
-	  }
+          Vector operator()(double a,double b,double c,double d) const {
+            Vector r = { a, b, c, d };
+            return r;
+          }
       };
 
       struct Values_divide {
-	Vector operator()(double h,double a,double b,double c,double d) const {
-	  // {a,b,c,d}/{h,h,h,h} should be roughly the same
-	  Vector r = { a/h, b/h, c/h, d/h };
-	  return r;
-	}
+        Vector operator()(double h,double a,double b,double c,double d) const {
+          // {a,b,c,d}/{h,h,h,h} should be roughly the same
+          Vector r = { a/h, b/h, c/h, d/h };
+          return r;
+        }
       };
     };
 
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_points_from_iterator_to_vectors.h 5.0.3-1/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_points_from_iterator_to_vectors.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_points_from_iterator_to_vectors.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_points_from_iterator_to_vectors.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_points_from_iterator_to_vectors.h $
-// $Id: determinant_of_iterator_to_points_from_iterator_to_vectors.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_points_from_iterator_to_vectors.h $
+// $Id: determinant_of_iterator_to_points_from_iterator_to_vectors.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -19,9 +19,9 @@
 namespace CGAL {
 
 template <class LA, class Dim_=typename LA::Dimension,
-	 class Max_dim_=typename LA::Max_dimension,
-	 bool = LA::template Property<Has_determinant_of_iterator_to_points_tag>::value,
-	 bool = LA::template Property<Has_determinant_of_iterator_to_vectors_tag>::value>
+         class Max_dim_=typename LA::Max_dimension,
+         bool = LA::template Property<Has_determinant_of_iterator_to_points_tag>::value,
+         bool = LA::template Property<Has_determinant_of_iterator_to_vectors_tag>::value>
 struct Add_determinant_of_iterator_to_points_from_iterator_to_vectors : LA {
   template< class D2, class D3=D2 >
     struct Rebind_dimension {
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_points_from_points.h 5.0.3-1/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_points_from_points.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_points_from_points.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_points_from_points.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_points_from_points.h $
-// $Id: determinant_of_iterator_to_points_from_points.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_points_from_points.h $
+// $Id: determinant_of_iterator_to_points_from_points.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -18,9 +18,9 @@
 namespace CGAL {
 
 template <class LA, class Dim_=typename LA::Dimension,
-	 class Max_dim_=typename LA::Max_dimension,
-	 bool = LA::template Property<Has_determinant_of_iterator_to_points_tag>::value,
-	 bool = LA::template Property<Has_determinant_of_points_tag>::value>
+         class Max_dim_=typename LA::Max_dimension,
+         bool = LA::template Property<Has_determinant_of_iterator_to_points_tag>::value,
+         bool = LA::template Property<Has_determinant_of_points_tag>::value>
 struct Add_determinant_of_iterator_to_points_from_points : LA {
   template< class D2, class D3=D2 >
     struct Rebind_dimension {
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_vectors_from_vectors.h 5.0.3-1/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_vectors_from_vectors.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_vectors_from_vectors.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_vectors_from_vectors.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_vectors_from_vectors.h $
-// $Id: determinant_of_iterator_to_vectors_from_vectors.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Vector/determinant_of_iterator_to_vectors_from_vectors.h $
+// $Id: determinant_of_iterator_to_vectors_from_vectors.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -18,9 +18,9 @@
 namespace CGAL {
 
 template <class LA, class Dim_=typename LA::Dimension,
-	 class Max_dim_=typename LA::Max_dimension,
-	 bool = LA::template Property<Has_determinant_of_iterator_to_vectors_tag>::value,
-	 bool = LA::template Property<Has_determinant_of_vectors_tag>::value>
+         class Max_dim_=typename LA::Max_dimension,
+         bool = LA::template Property<Has_determinant_of_iterator_to_vectors_tag>::value,
+         bool = LA::template Property<Has_determinant_of_vectors_tag>::value>
 struct Add_determinant_of_iterator_to_vectors_from_vectors : LA {
   template< class D2, class D3=D2 >
     struct Rebind_dimension {
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Vector/determinant_of_points_from_vectors.h 5.0.3-1/include/CGAL/NewKernel_d/Vector/determinant_of_points_from_vectors.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Vector/determinant_of_points_from_vectors.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Vector/determinant_of_points_from_vectors.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Vector/determinant_of_points_from_vectors.h $
-// $Id: determinant_of_points_from_vectors.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Vector/determinant_of_points_from_vectors.h $
+// $Id: determinant_of_points_from_vectors.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -17,10 +17,10 @@
 namespace CGAL {
 
 template <class LA, class Dim_=typename LA::Dimension,
-	 class Max_dim_=typename LA::Max_dimension,
-	 bool = LA::template Property<Has_determinant_of_points_tag>::value,
-	 bool = LA::template Property<Has_determinant_of_vectors_tag>::value
-	   && LA::template Property<Has_vector_plus_minus_tag>::value>
+         class Max_dim_=typename LA::Max_dimension,
+         bool = LA::template Property<Has_determinant_of_points_tag>::value,
+         bool = LA::template Property<Has_determinant_of_vectors_tag>::value
+           && LA::template Property<Has_vector_plus_minus_tag>::value>
 struct Add_determinant_of_points_from_vectors_and_minus : LA {
   template< class D2, class D3=D2 >
     struct Rebind_dimension {
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Vector/determinant_of_vectors_small_dim.h 5.0.3-1/include/CGAL/NewKernel_d/Vector/determinant_of_vectors_small_dim.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Vector/determinant_of_vectors_small_dim.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Vector/determinant_of_vectors_small_dim.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Vector/determinant_of_vectors_small_dim.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Vector/determinant_of_vectors_small_dim.h $
 // $Id: determinant_of_vectors_small_dim.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Vector/determinant_of_vectors_small_dim_internal.h 5.0.3-1/include/CGAL/NewKernel_d/Vector/determinant_of_vectors_small_dim_internal.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Vector/determinant_of_vectors_small_dim_internal.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Vector/determinant_of_vectors_small_dim_internal.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Vector/determinant_of_vectors_small_dim_internal.h $
-// $Id: determinant_of_vectors_small_dim_internal.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Vector/determinant_of_vectors_small_dim_internal.h $
+// $Id: determinant_of_vectors_small_dim_internal.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -24,8 +24,8 @@
 namespace CGAL {
 
 template <class LA, class Dim_=typename LA::Dimension,
-	 class Max_dim_=typename LA::Max_dimension,
-	 bool=LA::template Property<CGAL_TAG>::value>
+         class Max_dim_=typename LA::Max_dimension,
+         bool=LA::template Property<CGAL_TAG>::value>
 struct CGAL_CLASS : LA {
   template< class D2, class D3=D2 >
     struct Rebind_dimension {
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Vector/mix.h 5.0.3-1/include/CGAL/NewKernel_d/Vector/mix.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Vector/mix.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Vector/mix.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Vector/mix.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Vector/mix.h $
 // $Id: mix.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Vector/sse2.h 5.0.3-1/include/CGAL/NewKernel_d/Vector/sse2.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Vector/sse2.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Vector/sse2.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Vector/sse2.h $
-// $Id: sse2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Vector/sse2.h $
+// $Id: sse2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -47,48 +47,48 @@ namespace CGAL {
     typedef __m128d Vector;
     struct Construct_vector {
       struct Dimension {
-	// Initialize with NaN?
-	Vector operator()(unsigned d) const {
-	  CGAL_assertion(d==2);
-	  return Vector();
-	}
+        // Initialize with NaN?
+        Vector operator()(unsigned d) const {
+          CGAL_assertion(d==2);
+          return Vector();
+        }
       };
 
       struct Iterator {
-	template<typename Iter>
-	  Vector operator()(unsigned d,Iter const& f,Iter const& e) const {
-	    CGAL_assertion(d==2);
-	    double x0 = *f;
-	    double x1 = *++f;
-	    CGAL_assertion(++f==e);
-	    Vector a = { x0, x1 };
-	    return a;
-	  }
+        template<typename Iter>
+          Vector operator()(unsigned d,Iter const& f,Iter const& e) const {
+            CGAL_assertion(d==2);
+            double x0 = *f;
+            double x1 = *++f;
+            CGAL_assertion(++f==e);
+            Vector a = { x0, x1 };
+            return a;
+          }
       };
 
       struct Iterator_and_last {
-	template<typename Iter,typename T>
-	  Vector operator()(unsigned d,Iter const& f,Iter const& e,double t) const {
-	    CGAL_assertion(d==2);
-	    Vector a = { *f, t };
-	    CGAL_assertion(++f==e);
-	    return a;
-	  }
+        template<typename Iter,typename T>
+          Vector operator()(unsigned d,Iter const& f,Iter const& e,double t) const {
+            CGAL_assertion(d==2);
+            Vector a = { *f, t };
+            CGAL_assertion(++f==e);
+            return a;
+          }
       };
 
       struct Values {
-	  Vector operator()(double a,double b) const {
-	    Vector r = { a, b };
-	    return r;
-	  }
+          Vector operator()(double a,double b) const {
+            Vector r = { a, b };
+            return r;
+          }
       };
 
       struct Values_divide {
-	Vector operator()(double h,double a,double b) const {
-	  // {a,b}/{h,h} is probably slower
-	  Vector r = { a/h, b/h };
-	  return r;
-	}
+        Vector operator()(double h,double a,double b) const {
+          // {a,b}/{h,h} is probably slower
+          Vector r = { a/h, b/h };
+          return r;
+        }
       };
     };
 
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Vector/v2int.h 5.0.3-1/include/CGAL/NewKernel_d/Vector/v2int.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Vector/v2int.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Vector/v2int.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Vector/v2int.h $
-// $Id: v2int.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Vector/v2int.h $
+// $Id: v2int.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -82,53 +82,53 @@ namespace CGAL {
     typedef std::array<NT1,2> Vector;
     struct Construct_vector {
       struct Dimension {
-	Vector operator()(unsigned d) const {
-	  CGAL_assertion(d==2);
-	  return Vector();
-	}
+        Vector operator()(unsigned d) const {
+          CGAL_assertion(d==2);
+          return Vector();
+        }
       };
 
       // TODO (for all constructors): check that input fits in NT1...
       struct Iterator {
-	template<typename Iter>
-	  Vector operator()(unsigned d,Iter const& f,Iter const& e) const {
-	    CGAL_assertion(d==2);
-	    NT1 x0 = *f;
-	    NT1 x1 = *++f;
-	    CGAL_assertion (++f == e);
-	    CGAL_assertion (check_limits(x0) && check_limits(x1));
-	    Vector a = { x0, x1 };
-	    return a;
-	  }
+        template<typename Iter>
+          Vector operator()(unsigned d,Iter const& f,Iter const& e) const {
+            CGAL_assertion(d==2);
+            NT1 x0 = *f;
+            NT1 x1 = *++f;
+            CGAL_assertion (++f == e);
+            CGAL_assertion (check_limits(x0) && check_limits(x1));
+            Vector a = { x0, x1 };
+            return a;
+          }
       };
 
       struct Iterator_and_last {
-	template<typename Iter,typename T>
-	  Vector operator()(unsigned d,Iter const& f,Iter const& e,double t) const {
-	    CGAL_assertion(d==2);
-	    NT1 x = *f;
-	    CGAL_assertion (++f == e);
-	    CGAL_assertion (check_limits(x) && check_limits(t));
-	    Vector a = { x, t };
-	    return a;
-	  }
+        template<typename Iter,typename T>
+          Vector operator()(unsigned d,Iter const& f,Iter const& e,double t) const {
+            CGAL_assertion(d==2);
+            NT1 x = *f;
+            CGAL_assertion (++f == e);
+            CGAL_assertion (check_limits(x) && check_limits(t));
+            Vector a = { x, t };
+            return a;
+          }
       };
 
       struct Values {
-	  Vector operator()(NT1 a,NT1 b) const {
-	    CGAL_assertion (check_limits(a) && check_limits(b));
-	    Vector r = { a, b };
-	    return r;
-	  }
+          Vector operator()(NT1 a,NT1 b) const {
+            CGAL_assertion (check_limits(a) && check_limits(b));
+            Vector r = { a, b };
+            return r;
+          }
       };
 
       /*
-	 // Maybe safer not to provide it
+         // Maybe safer not to provide it
       struct Values_divide {
-	Vector operator()(double h,double a,double b) const {
-	  Vector r = { a/h, b/h };
-	  return r;
-	}
+        Vector operator()(double h,double a,double b) const {
+          Vector r = { a/h, b/h };
+          return r;
+        }
       };
       */
     };
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Vector/vector.h 5.0.3-1/include/CGAL/NewKernel_d/Vector/vector.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Vector/vector.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Vector/vector.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Vector/vector.h $
-// $Id: vector.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Vector/vector.h $
+// $Id: vector.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -23,103 +23,103 @@ namespace CGAL {
 //Derive from a class that doesn't depend on Dim, or still use Dim for checking?
 template<class NT_,class Dim_,class Max_dim_=Dim_> struct Vector_vector {
         typedef NT_ NT;
-	typedef Dim_ Dimension;
-	typedef Max_dim_ Max_dimension;
-	typedef std::vector<NT> Vector;
+        typedef Dim_ Dimension;
+        typedef Max_dim_ Max_dimension;
+        typedef std::vector<NT> Vector;
         template< class D2, class D3=D2 >
         struct Rebind_dimension {
-	  typedef Vector_vector< NT, D2, D3 > Other;
+          typedef Vector_vector< NT, D2, D3 > Other;
         };
         template<class> struct Property : boost::false_type {};
 
-	struct Construct_vector {
-		struct Dimension {
-			Vector operator()(int d) const {
-				return Vector(d);
-			}
-		};
+        struct Construct_vector {
+                struct Dimension {
+                        Vector operator()(int d) const {
+                                return Vector(d);
+                        }
+                };
 
-		struct Iterator {
-			template<typename Iter>
+                struct Iterator {
+                        template<typename Iter>
                         Vector operator()(int CGAL_assertion_code(d),Iter const& f,Iter const& e) const {
-					CGAL_assertion(d==std::distance(f,e));
-					return Vector(f,e);
-				}
-		};
+                                        CGAL_assertion(d==std::distance(f,e));
+                                        return Vector(f,e);
+                                }
+                };
 
-		// unneeded thanks to Iterator_and_last?
+                // unneeded thanks to Iterator_and_last?
 #if 0
-		struct Iterator_add_one {
-			template<typename Iter>
+                struct Iterator_add_one {
+                        template<typename Iter>
                         Vector operator()(int  CGAL_assertion_code(d),Iter const& f,Iter const& e) const {
-					CGAL_assertion(d==std::distance(f,e)+1);
-					Vector a;
-					a.reserve(d+1);
-					a.insert(a.end(),f,e);
-					a.push_back(1);
-					return a;
-				}
-		};
+                                        CGAL_assertion(d==std::distance(f,e)+1);
+                                        Vector a;
+                                        a.reserve(d+1);
+                                        a.insert(a.end(),f,e);
+                                        a.push_back(1);
+                                        return a;
+                                }
+                };
 #endif
 
-		struct Iterator_and_last {
-			template<typename Iter,typename T>
-				Vector operator()(int d,Iter const& f,Iter const& e,T&& t) const {
-					CGAL_assertion(d==std::distance(f,e)+1);
-					Vector a;
-					a.reserve(d+1);
-					a.insert(a.end(),f,e);
-					a.push_back(std::forward<T>(t));
-					return a;
-				}
-		};
+                struct Iterator_and_last {
+                        template<typename Iter,typename T>
+                                Vector operator()(int d,Iter const& f,Iter const& e,T&& t) const {
+                                        CGAL_assertion(d==std::distance(f,e)+1);
+                                        Vector a;
+                                        a.reserve(d+1);
+                                        a.insert(a.end(),f,e);
+                                        a.push_back(std::forward<T>(t));
+                                        return a;
+                                }
+                };
 
-		// useless, use a transform_iterator?
+                // useless, use a transform_iterator?
 #if 0
-		struct Iterator_and_last_divide {
-			template<typename Iter,typename T>
-				Vector operator()(int d,Iter f,Iter const& e,T const&t) const {
-					CGAL_assertion(d==std::distance(f,e)+1);
-					Vector a;
-					a.reserve(d+1);
-					for(;f!=e;++f){
-						a.push_back(*f/t);
-					}
-					return a;
-				}
-		};
+                struct Iterator_and_last_divide {
+                        template<typename Iter,typename T>
+                                Vector operator()(int d,Iter f,Iter const& e,T const&t) const {
+                                        CGAL_assertion(d==std::distance(f,e)+1);
+                                        Vector a;
+                                        a.reserve(d+1);
+                                        for(;f!=e;++f){
+                                                a.push_back(*f/t);
+                                        }
+                                        return a;
+                                }
+                };
 #endif
 
-		struct Values {
-			template<class...U>
-				Vector operator()(U&&...u) const {
-					//TODO: check the right number of {}, g++ accepts one and two
-					Vector a={forward_safe<NT,U>(u)...};
-					return a;
-				}
-		};
-
-		struct Values_divide {
-			template<class H,class...U>
-				Vector operator()(H const&h,U&&...u) const {
-					//TODO: do we want to cast at some point?
-					//e.g. to avoid 1/2 in integers
-					// ==> use Rational_traits<NT>().make_rational(x,y) ?
-					Vector a={Rational_traits<NT>().make_rational(std::forward<U>(u),h)...};
-					return a;
-				}
-		};
-	};
-	typedef typename Vector::const_iterator Vector_const_iterator;
-	static Vector_const_iterator vector_begin(Vector const&a){
-		return a.begin();
-	}
-	static Vector_const_iterator vector_end(Vector const&a){
-		return a.end();
-	}
-	static int size_of_vector(Vector const&a){
-		return (int)a.size();
-	}
+                struct Values {
+                        template<class...U>
+                                Vector operator()(U&&...u) const {
+                                        //TODO: check the right number of {}, g++ accepts one and two
+                                        Vector a={forward_safe<NT,U>(u)...};
+                                        return a;
+                                }
+                };
+
+                struct Values_divide {
+                        template<class H,class...U>
+                                Vector operator()(H const&h,U&&...u) const {
+                                        //TODO: do we want to cast at some point?
+                                        //e.g. to avoid 1/2 in integers
+                                        // ==> use Rational_traits<NT>().make_rational(x,y) ?
+                                        Vector a={Rational_traits<NT>().make_rational(std::forward<U>(u),h)...};
+                                        return a;
+                                }
+                };
+        };
+        typedef typename Vector::const_iterator Vector_const_iterator;
+        static Vector_const_iterator vector_begin(Vector const&a){
+                return a.begin();
+        }
+        static Vector_const_iterator vector_end(Vector const&a){
+                return a.end();
+        }
+        static int size_of_vector(Vector const&a){
+                return (int)a.size();
+        }
 };
 
 
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Wrapper/Cartesian_wrap.h 5.0.3-1/include/CGAL/NewKernel_d/Wrapper/Cartesian_wrap.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Wrapper/Cartesian_wrap.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Wrapper/Cartesian_wrap.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Wrapper/Cartesian_wrap.h $
-// $Id: Cartesian_wrap.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Wrapper/Cartesian_wrap.h $
+// $Id: Cartesian_wrap.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -19,7 +19,7 @@
 #  pragma warning(push)
 #  pragma warning(disable:4003) // not enough actual parameters for macro 'BOOST_PP_EXPAND_I'
                                 // https://lists.boost.org/boost-users/2014/11/83291.php
-#endif 
+#endif
 #include <CGAL/NewKernel_d/Wrapper/Point_d.h>
 #include <CGAL/NewKernel_d/Wrapper/Vector_d.h>
 #include <CGAL/NewKernel_d/Wrapper/Segment_d.h>
@@ -39,20 +39,20 @@ namespace CGAL {
 namespace internal {
 BOOST_MPL_HAS_XXX_TRAIT_DEF(Is_wrapper)
 template<class T,bool=has_Is_wrapper<T>::value> struct Is_wrapper {
-	enum { value=false };
-	typedef Tag_false type;
+        enum { value=false };
+        typedef Tag_false type;
 };
 template<class T> struct Is_wrapper<T,true> {
-	typedef typename T::Is_wrapper type;
-	enum { value=type::value };
+        typedef typename T::Is_wrapper type;
+        enum { value=type::value };
 };
 
 template<class T,bool=is_iterator_type<T,std::input_iterator_tag>::value> struct Is_wrapper_iterator {
-	enum { value=false };
-	typedef Tag_false type;
+        enum { value=false };
+        typedef Tag_false type;
 };
 template<class T> struct Is_wrapper_iterator<T,true> :
-	Is_wrapper<typename std::iterator_traits<typename CGAL::decay<T>::type>::value_type>
+        Is_wrapper<typename std::iterator_traits<typename CGAL::decay<T>::type>::value_type>
 { };
 
 struct Forward_rep {
@@ -66,13 +66,13 @@ struct Forward_rep {
 //template <class T,class=typename std::enable_if<Is_wrapper<typename std::decay<T>::type>::value>::type>
 //typename Type_copy_cvref<T,typename std::decay<T>::type::Rep>::type&&
 //operator()(T&& t) const {
-//	return static_cast<typename Type_copy_cvref<T,typename std::decay<T>::type::Rep>::type&&>(t.rep());
+//        return static_cast<typename Type_copy_cvref<T,typename std::decay<T>::type::Rep>::type&&>(t.rep());
 //};
 //
 //template <class T,class=typename std::enable_if<Is_wrapper_iterator<typename std::decay<T>::type>::value>::type>
 //transforming_iterator<Forward_rep,typename std::decay<T>::type>
 //operator()(T&& t) const {
-//	return make_transforming_iterator(std::forward<T>(t),Forward_rep());
+//        return make_transforming_iterator(std::forward<T>(t),Forward_rep());
 //};
 //#else
 template <class T,bool=Is_wrapper<T>::value,bool=Is_wrapper_iterator<T>::value> struct result_;
@@ -131,15 +131,15 @@ struct Cartesian_wrap : public Base_
       bool=Provides_functor<Kernel_base, T>::value,
       bool=boost::mpl::contains<Wrapped_list,typename map_result_tag<T>::type>::type::value>
     struct Functor {
-	    typedef typename Get_functor<Kernel_base, T>::type B;
-	    struct type {
-		    B b;
-		    type(){}
-		    type(Self const&k):b(k){}
-		    template<class...U> decltype(auto) operator()(U&&...u)const{
-			    return b(internal::Forward_rep()(u)...);
-		    }
-	    };
+            typedef typename Get_functor<Kernel_base, T>::type B;
+            struct type {
+                    B b;
+                    type(){}
+                    type(Self const&k):b(k){}
+                    template<class...U> decltype(auto) operator()(U&&...u)const{
+                            return b(internal::Forward_rep()(u)...);
+                    }
+            };
     };
 
     // Preserve the difference between Null_functor and nothing.
@@ -150,18 +150,18 @@ struct Cartesian_wrap : public Base_
     //Translate both the arguments and the result
     //TODO: Check Is_wrapper instead of relying on map_result_tag?
     template<class T,class D> struct Functor<T,D,Construct_tag,true,true> {
-	    typedef typename Get_functor<Kernel_base, T>::type B;
-	    struct type {
-		    B b;
-		    type(){}
-		    type(Self const&k):b(k){}
-		    typedef typename map_result_tag<T>::type result_tag;
-		    // FIXME: Self or Derived?
-		    typedef typename Get_type<Self,result_tag>::type result_type;
-		    template<class...U> result_type operator()(U&&...u)const{
-			    return result_type(Eval_functor(),b,internal::Forward_rep()(u)...);
-		    }
-	    };
+            typedef typename Get_functor<Kernel_base, T>::type B;
+            struct type {
+                    B b;
+                    type(){}
+                    type(Self const&k):b(k){}
+                    typedef typename map_result_tag<T>::type result_tag;
+                    // FIXME: Self or Derived?
+                    typedef typename Get_type<Self,result_tag>::type result_type;
+                    template<class...U> result_type operator()(U&&...u)const{
+                            return result_type(Eval_functor(),b,internal::Forward_rep()(u)...);
+                    }
+            };
     };
 
 };
@@ -185,45 +185,45 @@ struct Cartesian_refcount : public Base_
 #undef CGAL_Kernel_obj
 
     template<class T> struct Dispatch {
-	    //typedef typename map_functor_type<T>::type f_t;
-	    typedef typename map_result_tag<T>::type r_t;
-	    enum {
-		    is_nul = boost::is_same<typename Get_functor<Kernel_base, T>::type,Null_functor>::value,
-		    ret_rcobj = boost::is_same<r_t,Point_tag>::value || boost::is_same<r_t,Vector_tag>::value
-	    };
+            //typedef typename map_functor_type<T>::type f_t;
+            typedef typename map_result_tag<T>::type r_t;
+            enum {
+                    is_nul = boost::is_same<typename Get_functor<Kernel_base, T>::type,Null_functor>::value,
+                    ret_rcobj = boost::is_same<r_t,Point_tag>::value || boost::is_same<r_t,Vector_tag>::value
+            };
     };
 
     //Translate the arguments
     template<class T,class D=void,bool=Dispatch<T>::is_nul,bool=Dispatch<T>::ret_rcobj> struct Functor {
-	    typedef typename Get_functor<Kernel_base, T>::type B;
-	    struct type {
-		    B b;
-		    type(){}
-		    type(Self const&k):b(k){}
-		    typedef typename B::result_type result_type;
-		    template<class...U> result_type operator()(U&&...u)const{
-			    return b(internal::Forward_rep()(u)...);
-		    }
-	    };
+            typedef typename Get_functor<Kernel_base, T>::type B;
+            struct type {
+                    B b;
+                    type(){}
+                    type(Self const&k):b(k){}
+                    typedef typename B::result_type result_type;
+                    template<class...U> result_type operator()(U&&...u)const{
+                            return b(internal::Forward_rep()(u)...);
+                    }
+            };
     };
 
     //Translate both the arguments and the result
     template<class T,class D,bool b> struct Functor<T,D,true,b> {
-	    typedef Null_functor type;
+            typedef Null_functor type;
     };
 
     template<class T,class D> struct Functor<T,D,false,true> {
-	    typedef typename Get_functor<Kernel_base, T>::type B;
-	    struct type {
-		    B b;
-		    type(){}
-		    type(Self const&k):b(k){}
-		    typedef typename map_result_tag<T>::type result_tag;
-		    typedef typename Get_type<Self,result_tag>::type result_type;
-		    template<class...U> result_type operator()(U&&...u)const{
-			    return result_type(Eval_functor(),b,internal::Forward_rep()(u)...);
-		    }
-	    };
+            typedef typename Get_functor<Kernel_base, T>::type B;
+            struct type {
+                    B b;
+                    type(){}
+                    type(Self const&k):b(k){}
+                    typedef typename map_result_tag<T>::type result_tag;
+                    typedef typename Get_type<Self,result_tag>::type result_type;
+                    template<class...U> result_type operator()(U&&...u)const{
+                            return result_type(Eval_functor(),b,internal::Forward_rep()(u)...);
+                    }
+            };
     };
 
 };
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Wrapper/Hyperplane_d.h 5.0.3-1/include/CGAL/NewKernel_d/Wrapper/Hyperplane_d.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Wrapper/Hyperplane_d.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Wrapper/Hyperplane_d.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Wrapper/Hyperplane_d.h $
-// $Id: Hyperplane_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Wrapper/Hyperplane_d.h $
+// $Id: Hyperplane_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -24,12 +24,12 @@ namespace Wrap {
 template <class R_>
 class Hyperplane_d : public Get_type<typename R_::Kernel_base, Hyperplane_tag>::type
 {
-  typedef typename Get_type<R_, FT_tag>::type		FT_;
-  typedef typename R_::Kernel_base		Kbase;
-  typedef typename Get_type<R_, Vector_tag>::type	Vector_;
-  typedef typename Get_functor<Kbase, Construct_ttag<Hyperplane_tag> >::type	CHBase;
-  typedef typename Get_functor<Kbase, Orthogonal_vector_tag>::type		OVBase;
-  typedef typename Get_functor<Kbase, Hyperplane_translation_tag>::type			HTBase;
+  typedef typename Get_type<R_, FT_tag>::type                FT_;
+  typedef typename R_::Kernel_base                Kbase;
+  typedef typename Get_type<R_, Vector_tag>::type        Vector_;
+  typedef typename Get_functor<Kbase, Construct_ttag<Hyperplane_tag> >::type        CHBase;
+  typedef typename Get_functor<Kbase, Orthogonal_vector_tag>::type                OVBase;
+  typedef typename Get_functor<Kbase, Hyperplane_translation_tag>::type                        HTBase;
 
   typedef Hyperplane_d                            Self;
   CGAL_static_assertion((boost::is_same<Self, typename Get_type<R_, Hyperplane_tag>::type>::value));
@@ -40,7 +40,7 @@ public:
   typedef typename R_::Default_ambient_dimension Ambient_dimension;
   typedef typename Increment_dimension<Ambient_dimension,-1>::type Feature_dimension;
 
-  typedef typename Get_type<Kbase, Hyperplane_tag>::type	Rep;
+  typedef typename Get_type<Kbase, Hyperplane_tag>::type        Rep;
 
   const Rep& rep() const
   {
@@ -55,13 +55,13 @@ public:
   typedef          R_                       R;
 
   template<class...U,class=typename std::enable_if<!std::is_same<std::tuple<typename std::decay<U>::type...>,std::tuple<Hyperplane_d> >::value>::type> explicit Hyperplane_d(U&&...u)
-	  : Rep(CHBase()(std::forward<U>(u)...)){}
+          : Rep(CHBase()(std::forward<U>(u)...)){}
 
 //  // called from Construct_point_d
 //  template<class...U> explicit Point_d(Eval_functor&&,U&&...u)
-//	  : Rep(Eval_functor(), std::forward<U>(u)...){}
+//          : Rep(Eval_functor(), std::forward<U>(u)...){}
   template<class F,class...U> explicit Hyperplane_d(Eval_functor&&,F&&f,U&&...u)
-	  : Rep(std::forward<F>(f)(std::forward<U>(u)...)){}
+          : Rep(std::forward<F>(f)(std::forward<U>(u)...)){}
 
 #if 0
   // the new standard may make this necessary
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Wrapper/Point_d.h 5.0.3-1/include/CGAL/NewKernel_d/Wrapper/Point_d.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Wrapper/Point_d.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Wrapper/Point_d.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Wrapper/Point_d.h $
-// $Id: Point_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Wrapper/Point_d.h $
+// $Id: Point_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -27,13 +27,13 @@ namespace Wrap {
 
 template <class R_>
 class Point_d : public Get_type<typename R_::Kernel_base, Point_tag>::type
-		// Deriving won't work if the point is just a __m256d.
-		// Test boost/std::is_class for instance
+                // Deriving won't work if the point is just a __m256d.
+                // Test boost/std::is_class for instance
 {
-  typedef typename Get_type<R_, RT_tag>::type		RT_;
-  typedef typename Get_type<R_, FT_tag>::type		FT_;
-  typedef typename R_::Kernel_base		Kbase;
-  typedef typename Get_type<R_, Vector_tag>::type	Vector_;
+  typedef typename Get_type<R_, RT_tag>::type                RT_;
+  typedef typename Get_type<R_, FT_tag>::type                FT_;
+  typedef typename R_::Kernel_base                Kbase;
+  typedef typename Get_type<R_, Vector_tag>::type        Vector_;
   typedef typename Get_functor<Kbase, Construct_ttag<Point_tag> >::type CPBase;
   typedef typename Get_functor<Kbase, Compute_point_cartesian_coordinate_tag>::type CCBase;
   typedef typename Get_functor<Kbase, Construct_ttag<Point_cartesian_const_iterator_tag> >::type CPI;
@@ -67,19 +67,19 @@ public:
 #  pragma warning(push)
 #  pragma warning(disable: 4309)
 #endif
-  
+
   template<class...U,class=typename std::enable_if<!std::is_same<std::tuple<typename std::decay<U>::type...>,std::tuple<Point_d> >::value>::type> explicit Point_d(U&&...u)
-	  : Rep(CPBase()(std::forward<U>(u)...)){}
+          : Rep(CPBase()(std::forward<U>(u)...)){}
 
 #if defined(BOOST_MSVC) && (BOOST_MSVC == 1900)
 #  pragma warning(pop)
 #endif
-  
+
 //  // called from Construct_point_d
 //  template<class...U> explicit Point_d(Eval_functor&&,U&&...u)
-//	  : Rep(Eval_functor(), std::forward<U>(u)...){}
+//          : Rep(Eval_functor(), std::forward<U>(u)...){}
   template<class F,class...U> explicit Point_d(Eval_functor&&,F&&f,U&&...u)
-	  : Rep(std::forward<F>(f)(std::forward<U>(u)...)){}
+          : Rep(std::forward<F>(f)(std::forward<U>(u)...)){}
 
 #if 0
   // the new standard may make this necessary
@@ -103,18 +103,18 @@ public:
 
 
   decltype(auto) cartesian(int i)const{
-	  return CCBase()(rep(),i);
+          return CCBase()(rep(),i);
   }
   decltype(auto) operator[](int i)const{
-	  return CCBase()(rep(),i);
+          return CCBase()(rep(),i);
   }
 
   decltype(auto) cartesian_begin()const{
-	  return CPI()(rep(),Begin_tag());
+          return CPI()(rep(),Begin_tag());
   }
 
   decltype(auto) cartesian_end()const{
-	  return CPI()(rep(),End_tag());
+          return CPI()(rep(),End_tag());
   }
 
   int dimension() const {
@@ -137,14 +137,14 @@ public:
     {
       os << p.dimension();
       for(; b != e; ++b){
-	os << " " << *b;
+        os << " " << *b;
       }
     }
     else
     {
       write(os, p.dimension());
       for(; b != e; ++b){
-	write(os, *b);
+        write(os, *b);
       }
     }
     return os;
@@ -166,12 +166,12 @@ public:
     if(is_ascii(is))
     {
       for(int i=0;i<dim;++i)
-	is >> iformat(coords[i]);
+        is >> iformat(coords[i]);
     }
     else
     {
       for(int i=0;i<dim;++i)
-	read(is, coords[i]);
+        read(is, coords[i]);
     }
 
     // FIXME: with Epeck_d, currently, this stores pointers to coords which will soon be dead.
@@ -188,13 +188,13 @@ template <class R_> Point_d<R_>::Point_d
 //template <class R_>
 //Vector_d<R_> operator+(const Vector_d<R_>& v,const Vector_d<R_>& w) const
 //{
-//	return typename R::template Construct<Sum_of_vectors_tag>::type()(v,w);
+//        return typename R::template Construct<Sum_of_vectors_tag>::type()(v,w);
 //}
 //
 //template <class R_>
 //Vector_d<R_> operator-(const Vector_d<R_>& v,const Vector_d<R_>& w) const
 //{
-//	return typename R::template Construct<Difference_of_vectors_tag>::type()(v,w);
+//        return typename R::template Construct<Difference_of_vectors_tag>::type()(v,w);
 //}
 
 } //namespace Wrap
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Wrapper/Ref_count_obj.h 5.0.3-1/include/CGAL/NewKernel_d/Wrapper/Ref_count_obj.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Wrapper/Ref_count_obj.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Wrapper/Ref_count_obj.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Wrapper/Ref_count_obj.h $
-// $Id: Ref_count_obj.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Wrapper/Ref_count_obj.h $
+// $Id: Ref_count_obj.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -29,10 +29,10 @@ namespace CGAL {
 template <class R_, class Tag_>
 class Ref_count_obj
 {
-  typedef typename R_::Kernel_base	Kbase;
+  typedef typename R_::Kernel_base        Kbase;
   typedef typename Get_functor<Kbase, Construct_ttag<Tag_> >::type CBase;
 
-  typedef Ref_count_obj			Self;
+  typedef Ref_count_obj                        Self;
   CGAL_static_assertion((boost::is_same<Self, typename Get_type<R_, Tag_>::type>::value));
 
 public:
@@ -42,7 +42,7 @@ public:
   typedef typename R_::Default_ambient_dimension Ambient_dimension;
   //typedef Dimension_tag<0>  Feature_dimension;
 
-  typedef typename Get_type<Kbase, Tag_>::type	Rep;
+  typedef typename Get_type<Kbase, Tag_>::type        Rep;
   typedef Handle_for<Rep> Data;
 
 private:
@@ -55,10 +55,10 @@ public:
   }
 
   template<class...U,class=typename std::enable_if<!std::is_same<std::tuple<typename std::decay<U>::type...>,std::tuple<Ref_count_obj> >::value>::type> explicit Ref_count_obj(U&&...u)
-	  : data(Eval_functor(),CBase(),std::forward<U>(u)...){}
+          : data(Eval_functor(),CBase(),std::forward<U>(u)...){}
 
   template<class F,class...U> explicit Ref_count_obj(Eval_functor&&,F&&f,U&&...u)
-	  : data(Eval_functor(),std::forward<F>(f),std::forward<U>(u)...){}
+          : data(Eval_functor(),std::forward<F>(f),std::forward<U>(u)...){}
 
   // try not to use these
   Ref_count_obj(Rep const& v) : data(v) {}
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Wrapper/Segment_d.h 5.0.3-1/include/CGAL/NewKernel_d/Wrapper/Segment_d.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Wrapper/Segment_d.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Wrapper/Segment_d.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Wrapper/Segment_d.h $
-// $Id: Segment_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Wrapper/Segment_d.h $
+// $Id: Segment_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -26,10 +26,10 @@ namespace Wrap {
 template <class R_>
 class Segment_d : public Get_type<typename R_::Kernel_base, Segment_tag>::type
 {
-  typedef typename Get_type<R_, RT_tag>::type		RT_;
-  typedef typename Get_type<R_, FT_tag>::type		FT_;
-  typedef typename R_::Kernel_base			Kbase;
-  typedef typename Get_type<R_, Point_tag>::type	Point_;
+  typedef typename Get_type<R_, RT_tag>::type                RT_;
+  typedef typename Get_type<R_, FT_tag>::type                FT_;
+  typedef typename R_::Kernel_base                        Kbase;
+  typedef typename Get_type<R_, Point_tag>::type        Point_;
   typedef typename Get_functor<Kbase, Construct_ttag<Point_tag> >::type CPBase;
   typedef typename Get_functor<Kbase, Construct_ttag<Segment_tag> >::type CSBase;
   typedef typename Get_functor<Kbase, Segment_extremity_tag>::type CSEBase;
@@ -43,7 +43,7 @@ public:
   typedef typename R_::Default_ambient_dimension Ambient_dimension;
   typedef Dimension_tag<1>  Feature_dimension;
 
-  typedef typename Get_type<Kbase, Segment_tag>::type	Rep;
+  typedef typename Get_type<Kbase, Segment_tag>::type        Rep;
 
   const Rep& rep() const
   {
@@ -58,13 +58,13 @@ public:
   typedef          R_                       R;
 
   template<class...U,class=typename std::enable_if<!std::is_same<std::tuple<typename std::decay<U>::type...>,std::tuple<Segment_d> >::value>::type> explicit Segment_d(U&&...u)
-	  : Rep(CSBase()(std::forward<U>(u)...)){}
+          : Rep(CSBase()(std::forward<U>(u)...)){}
 
 //  // called from Construct_point_d
 //  template<class...U> explicit Point_d(Eval_functor&&,U&&...u)
-//	  : Rep(Eval_functor(), std::forward<U>(u)...){}
+//          : Rep(Eval_functor(), std::forward<U>(u)...){}
   template<class F,class...U> explicit Segment_d(Eval_functor&&,F&&f,U&&...u)
-	  : Rep(std::forward<F>(f)(std::forward<U>(u)...)){}
+          : Rep(std::forward<F>(f)(std::forward<U>(u)...)){}
 
 #if 0
   // the new standard may make this necessary
@@ -79,14 +79,14 @@ public:
   Segment_d(Rep&& v) : Rep(std::move(v)) {}
 
 
-	  //TODO: if CSEBase returns a reference to a base point, cast it to a
-	  //reference to a wrapper point. Ugly but should be safe.
-	  Point_ source()const{
-		  return Point_(Eval_functor(),CSEBase(),rep(),0);
-	  }
-	  Point_ target()const{
-		  return Point_(Eval_functor(),CSEBase(),rep(),1);
-	  }
+          //TODO: if CSEBase returns a reference to a base point, cast it to a
+          //reference to a wrapper point. Ugly but should be safe.
+          Point_ source()const{
+                  return Point_(Eval_functor(),CSEBase(),rep(),0);
+          }
+          Point_ target()const{
+                  return Point_(Eval_functor(),CSEBase(),rep(),1);
+          }
 
 };
 
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Wrapper/Sphere_d.h 5.0.3-1/include/CGAL/NewKernel_d/Wrapper/Sphere_d.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Wrapper/Sphere_d.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Wrapper/Sphere_d.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Wrapper/Sphere_d.h $
-// $Id: Sphere_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Wrapper/Sphere_d.h $
+// $Id: Sphere_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -24,12 +24,12 @@ namespace Wrap {
 template <class R_>
 class Sphere_d : public Get_type<typename R_::Kernel_base, Sphere_tag>::type
 {
-  typedef typename Get_type<R_, FT_tag>::type		FT_;
-  typedef typename R_::Kernel_base		Kbase;
-  typedef typename Get_type<R_, Point_tag>::type	Point_;
-  typedef typename Get_functor<Kbase, Construct_ttag<Sphere_tag> >::type	CSBase;
-  typedef typename Get_functor<Kbase, Center_of_sphere_tag>::type		COSBase;
-  typedef typename Get_functor<Kbase, Squared_radius_tag>::type			SRBase;
+  typedef typename Get_type<R_, FT_tag>::type                FT_;
+  typedef typename R_::Kernel_base                Kbase;
+  typedef typename Get_type<R_, Point_tag>::type        Point_;
+  typedef typename Get_functor<Kbase, Construct_ttag<Sphere_tag> >::type        CSBase;
+  typedef typename Get_functor<Kbase, Center_of_sphere_tag>::type                COSBase;
+  typedef typename Get_functor<Kbase, Squared_radius_tag>::type                        SRBase;
 
   typedef Sphere_d                            Self;
   CGAL_static_assertion((boost::is_same<Self, typename Get_type<R_, Sphere_tag>::type>::value));
@@ -40,7 +40,7 @@ public:
   typedef typename R_::Default_ambient_dimension Ambient_dimension;
   typedef typename Increment_dimension<Ambient_dimension,-1>::type Feature_dimension;
 
-  typedef typename Get_type<Kbase, Sphere_tag>::type	Rep;
+  typedef typename Get_type<Kbase, Sphere_tag>::type        Rep;
 
   const Rep& rep() const
   {
@@ -55,13 +55,13 @@ public:
   typedef          R_                       R;
 
   template<class...U,class=typename std::enable_if<!std::is_same<std::tuple<typename std::decay<U>::type...>,std::tuple<Sphere_d> >::value>::type> explicit Sphere_d(U&&...u)
-	  : Rep(CSBase()(std::forward<U>(u)...)){}
+          : Rep(CSBase()(std::forward<U>(u)...)){}
 
 //  // called from Construct_point_d
 //  template<class...U> explicit Point_d(Eval_functor&&,U&&...u)
-//	  : Rep(Eval_functor(), std::forward<U>(u)...){}
+//          : Rep(Eval_functor(), std::forward<U>(u)...){}
   template<class F,class...U> explicit Sphere_d(Eval_functor&&,F&&f,U&&...u)
-	  : Rep(std::forward<F>(f)(std::forward<U>(u)...)){}
+          : Rep(std::forward<F>(f)(std::forward<U>(u)...)){}
 
 #if 0
   // the new standard may make this necessary
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Wrapper/Vector_d.h 5.0.3-1/include/CGAL/NewKernel_d/Wrapper/Vector_d.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Wrapper/Vector_d.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Wrapper/Vector_d.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Wrapper/Vector_d.h $
-// $Id: Vector_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Wrapper/Vector_d.h $
+// $Id: Vector_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -30,10 +30,10 @@ namespace Wrap {
 template <class R_>
 class Vector_d : public Get_type<typename R_::Kernel_base, Vector_tag>::type
 {
-  typedef typename Get_type<R_, RT_tag>::type		RT_;
-  typedef typename Get_type<R_, FT_tag>::type		FT_;
+  typedef typename Get_type<R_, RT_tag>::type                RT_;
+  typedef typename Get_type<R_, FT_tag>::type                FT_;
   typedef typename R_::Kernel_base           Kbase;
-  typedef typename Get_type<R_, Point_tag>::type	Point_;
+  typedef typename Get_type<R_, Point_tag>::type        Point_;
   typedef typename Get_functor<Kbase, Construct_ttag<Vector_tag> >::type CVBase;
   typedef typename Get_functor<Kbase, Compute_vector_cartesian_coordinate_tag>::type CCBase;
   typedef typename Get_functor<Kbase, Construct_ttag<Vector_cartesian_const_iterator_tag> >::type CVI;
@@ -49,7 +49,7 @@ public:
   typedef Dimension_tag<0>  Feature_dimension;
 
   //typedef typename R_::Vector_cartesian_const_iterator Cartesian_const_iterator;
-  typedef typename Get_type<Kbase, Vector_tag>::type	Rep;
+  typedef typename Get_type<Kbase, Vector_tag>::type        Rep;
 
   const Rep& rep() const
   {
@@ -63,22 +63,22 @@ public:
 
   typedef          R_                       R;
 
-#if defined(BOOST_MSVC) && (BOOST_MSVC == 1900)  
+#if defined(BOOST_MSVC) && (BOOST_MSVC == 1900)
 #  pragma warning(push)
 #  pragma warning(disable: 4309)
 #endif
   template<class...U,class=typename std::enable_if<!std::is_same<std::tuple<typename std::decay<U>::type...>,std::tuple<Vector_d> >::value>::type> explicit Vector_d(U&&...u)
-	  : Rep(CVBase()(std::forward<U>(u)...)){}
+          : Rep(CVBase()(std::forward<U>(u)...)){}
 
 #if defined(BOOST_MSVC) && (BOOST_MSVC == 1900)
 #  pragma warning(pop)
 #endif
-  
+
 //  // called from Construct_vector_d
 //  template<class...U> explicit Vector_d(Eval_functor&&,U&&...u)
-//	  : Rep(Eval_functor(), std::forward<U>(u)...){}
+//          : Rep(Eval_functor(), std::forward<U>(u)...){}
   template<class F,class...U> explicit Vector_d(Eval_functor&&,F&&f,U&&...u)
-	  : Rep(std::forward<F>(f)(std::forward<U>(u)...)){}
+          : Rep(std::forward<F>(f)(std::forward<U>(u)...)){}
 
 #if 0
   // the new standard may make this necessary
@@ -102,19 +102,19 @@ public:
 
 
   decltype(auto) cartesian(int i)const{
-	  return CCBase()(rep(),i);
+          return CCBase()(rep(),i);
   }
 
   decltype(auto) operator[](int i)const{
-	  return CCBase()(rep(),i);
+          return CCBase()(rep(),i);
   }
 
   decltype(auto) cartesian_begin()const{
-	  return CVI()(rep(),Begin_tag());
+          return CVI()(rep(),Begin_tag());
   }
 
   decltype(auto) cartesian_end()const{
-	  return CVI()(rep(),End_tag());
+          return CVI()(rep(),End_tag());
   }
 
   Vector_d operator-() const
@@ -128,7 +128,7 @@ public:
   }
 
   decltype(auto) squared_length()const{
-	  return SLBase()(rep());
+          return SLBase()(rep());
   }
 
   friend std::ostream& operator <<(std::ostream& os, const Vector_d& v)
@@ -139,14 +139,14 @@ public:
     {
       os << v.dimension();
       for(; b != e; ++b){
-	os << " " << *b;
+        os << " " << *b;
       }
     }
     else
     {
       write(os, v.dimension());
       for(; b != e; ++b){
-	write(os, *b);
+        write(os, *b);
       }
     }
 
@@ -168,12 +168,12 @@ public:
     if(is_ascii(is))
     {
       for(int i=0;i<dim;++i)
-	is >> iformat(coords[i]);
+        is >> iformat(coords[i]);
     }
     else
     {
       for(int i=0;i<dim;++i)
-	read(is, coords[i]);
+        read(is, coords[i]);
     }
 
     if(is)
diff -pruN 5.0.2-3/include/CGAL/NewKernel_d/Wrapper/Weighted_point_d.h 5.0.3-1/include/CGAL/NewKernel_d/Wrapper/Weighted_point_d.h
--- 5.0.2-3/include/CGAL/NewKernel_d/Wrapper/Weighted_point_d.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/NewKernel_d/Wrapper/Weighted_point_d.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/NewKernel_d/Wrapper/Weighted_point_d.h $
-// $Id: Weighted_point_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/NewKernel_d/Wrapper/Weighted_point_d.h $
+// $Id: Weighted_point_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -27,12 +27,12 @@ namespace Wrap {
 template <class R_>
 class Weighted_point_d : public Get_type<typename R_::Kernel_base, Weighted_point_tag>::type
 {
-  typedef typename Get_type<R_, FT_tag>::type		FT_;
-  typedef typename R_::Kernel_base		Kbase;
-  typedef typename Get_type<R_, Point_tag>::type	Point_;
-  typedef typename Get_functor<Kbase, Construct_ttag<Weighted_point_tag> >::type	CWPBase;
-  typedef typename Get_functor<Kbase, Point_drop_weight_tag>::type		PDWBase;
-  typedef typename Get_functor<Kbase, Point_weight_tag>::type			PWBase;
+  typedef typename Get_type<R_, FT_tag>::type                FT_;
+  typedef typename R_::Kernel_base                Kbase;
+  typedef typename Get_type<R_, Point_tag>::type        Point_;
+  typedef typename Get_functor<Kbase, Construct_ttag<Weighted_point_tag> >::type        CWPBase;
+  typedef typename Get_functor<Kbase, Point_drop_weight_tag>::type                PDWBase;
+  typedef typename Get_functor<Kbase, Point_weight_tag>::type                        PWBase;
 
   typedef Weighted_point_d                            Self;
   BOOST_STATIC_ASSERT((boost::is_same<Self, typename Get_type<R_, Weighted_point_tag>::type>::value));
@@ -43,7 +43,7 @@ public:
   typedef typename R_::Default_ambient_dimension Ambient_dimension;
   typedef Dimension_tag<0> Feature_dimension;
 
-  typedef typename Get_type<Kbase, Weighted_point_tag>::type	Rep;
+  typedef typename Get_type<Kbase, Weighted_point_tag>::type        Rep;
 
   const Rep& rep() const
   {
@@ -58,13 +58,13 @@ public:
   typedef          R_                       R;
 
   template<class...U,class=typename std::enable_if<!std::is_same<std::tuple<typename std::decay<U>::type...>,std::tuple<Weighted_point_d> >::value>::type> explicit Weighted_point_d(U&&...u)
-	  : Rep(CWPBase()(std::forward<U>(u)...)){}
+          : Rep(CWPBase()(std::forward<U>(u)...)){}
 
 //  // called from Construct_point_d
 //  template<class...U> explicit Point_d(Eval_functor&&,U&&...u)
-//	  : Rep(Eval_functor(), std::forward<U>(u)...){}
+//          : Rep(Eval_functor(), std::forward<U>(u)...){}
   template<class F,class...U> explicit Weighted_point_d(Eval_functor&&,F&&f,U&&...u)
-	  : Rep(std::forward<F>(f)(std::forward<U>(u)...)){}
+          : Rep(std::forward<F>(f)(std::forward<U>(u)...)){}
 
 #if 0
   // the new standard may make this necessary
@@ -107,9 +107,9 @@ std::ostream& operator<<(std::ostream& o
 template <class R_>
 std::istream& operator>>(std::istream& is, Weighted_point_d<R_>& p)
 {
-  typedef typename Get_type<R_, FT_tag>::type		FT_;
-  typedef typename Get_type<R_, Point_tag>::type	Point_;
-  typedef typename Get_functor<R_, Construct_ttag<Weighted_point_tag> >::type	CWP;
+  typedef typename Get_type<R_, FT_tag>::type                FT_;
+  typedef typename Get_type<R_, Point_tag>::type        Point_;
+  typedef typename Get_functor<R_, Construct_ttag<Weighted_point_tag> >::type        CWP;
   Point_ q; FT_ w;
   if(is_ascii(is))
   {
diff -pruN 5.0.2-3/include/CGAL/No_intersection_surface_sweep_2.h 5.0.3-1/include/CGAL/No_intersection_surface_sweep_2.h
--- 5.0.2-3/include/CGAL/No_intersection_surface_sweep_2.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/No_intersection_surface_sweep_2.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/No_intersection_surface_sweep_2.h $
-// $Id: No_intersection_surface_sweep_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/No_intersection_surface_sweep_2.h $
+// $Id: No_intersection_surface_sweep_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Baruch Zukerman <baruchzu@post.tau.ac.il>
@@ -161,7 +161,7 @@ public:
   typedef std::allocator_traits<Allocator> Allocator_traits;
   typedef typename Allocator_traits::template rebind_alloc<Event> Event_alloc;
   typedef typename Allocator_traits::template rebind_alloc<Subcurve> Subcurve_alloc;
-  
+
 protected:
   /*! \struct
    * An auxiliary functor for comparing event pointers.
diff -pruN 5.0.2-3/include/CGAL/normal_vector_newell_3.h 5.0.3-1/include/CGAL/normal_vector_newell_3.h
--- 5.0.2-3/include/CGAL/normal_vector_newell_3.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/normal_vector_newell_3.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/normal_vector_newell_3.h $
-// $Id: normal_vector_newell_3.h 30b02ee 2019-10-25T16:26:13+02:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/normal_vector_newell_3.h $
+// $Id: normal_vector_newell_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel    <seel@mpi-sb.mpg.de>
 //                 Miguel Granados <granados@mpi-sb.mpg.de>
@@ -26,7 +26,7 @@
 
 namespace CGAL {
 
-namespace internal_nef 
+namespace internal_nef
 {
 template <class Handle, class Vector>
 CGAL_MEDIUM_INLINE
diff -pruN 5.0.2-3/include/CGAL/N_step_adaptor_derived.h 5.0.3-1/include/CGAL/N_step_adaptor_derived.h
--- 5.0.2-3/include/CGAL/N_step_adaptor_derived.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/N_step_adaptor_derived.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/N_step_adaptor_derived.h $
-// $Id: N_step_adaptor_derived.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/N_step_adaptor_derived.h $
+// $Id: N_step_adaptor_derived.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
diff -pruN 5.0.2-3/include/CGAL/N_step_adaptor.h 5.0.3-1/include/CGAL/N_step_adaptor.h
--- 5.0.2-3/include/CGAL/N_step_adaptor.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/N_step_adaptor.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/N_step_adaptor.h $
-// $Id: N_step_adaptor.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/N_step_adaptor.h $
+// $Id: N_step_adaptor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
diff -pruN 5.0.2-3/include/CGAL/NT_converter.h 5.0.3-1/include/CGAL/NT_converter.h
--- 5.0.2-3/include/CGAL/NT_converter.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/NT_converter.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/NT_converter.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/NT_converter.h $
 // $Id: NT_converter.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Null_matrix.h 5.0.3-1/include/CGAL/Null_matrix.h
--- 5.0.2-3/include/CGAL/Null_matrix.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Null_matrix.h	2020-08-01 19:02:55.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Null_matrix.h $
-// $Id: Null_matrix.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Null_matrix.h $
+// $Id: Null_matrix.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -25,7 +25,7 @@ static const Null_matrix NULL_MATRIX = N
 #endif // CGAL_NULL_MATRIX_H //
 
 // EOF //
- 
- 
- 
- 
+
+
+
+
diff -pruN 5.0.2-3/include/CGAL/number_type_basic.h 5.0.3-1/include/CGAL/number_type_basic.h
--- 5.0.2-3/include/CGAL/number_type_basic.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/number_type_basic.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999,2007  
+// Copyright (c) 1999,2007
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/number_type_basic.h $
-// $Id: number_type_basic.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/number_type_basic.h $
+// $Id: number_type_basic.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -40,7 +40,7 @@
 #include <CGAL/Rational_traits.h>
 
 #include <CGAL/Scalar_factor_traits.h>       // not part of CGAL 3.3
-#include <CGAL/Algebraic_extension_traits.h> // not part of CGAL 3.3 
+#include <CGAL/Algebraic_extension_traits.h> // not part of CGAL 3.3
 
 #include <CGAL/Needs_parens_as_product.h>
 
diff -pruN 5.0.2-3/include/CGAL/Number_type_checker.h 5.0.3-1/include/CGAL/Number_type_checker.h
--- 5.0.2-3/include/CGAL/Number_type_checker.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Number_type_checker.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2005-2007  
+// Copyright (c) 2005-2007
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Number_type_checker.h $
-// $Id: Number_type_checker.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Number_type_checker.h $
+// $Id: Number_type_checker.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -415,7 +415,7 @@ class NTC_AST_base
 template < typename NT1, typename NT2, typename Cmp >
 class NTC_AST_base
 < Number_type_checker<NT1, NT2, Cmp> , Integral_domain_without_division_tag>
-:public Algebraic_structure_traits_base<Number_type_checker<NT1, NT2, Cmp>, 
+:public Algebraic_structure_traits_base<Number_type_checker<NT1, NT2, Cmp>,
 Integral_domain_without_division_tag>
 {
 private:
@@ -506,8 +506,8 @@ public:
                     typename AST1::Integral_division()(a.n1(),b.n1()),
                     typename AST2::Integral_division()(a.n2(),b.n2()));
         }
-    }; 
-  
+    };
+
   class Divides
     : public CGAL::cpp98::binary_function< Type, Type, bool > {
   public:
@@ -519,9 +519,9 @@ public:
     }
     bool operator()( const Type& a, const Type& b, Type& q) const {
       CGAL_NT_CHECK_DEBUG("AST::Divides");
-      NT1 q1; 
+      NT1 q1;
       bool result1 =  typename AST1::Divides()(a.n1(),b.n1(),q1);
-      NT2 q2; 
+      NT2 q2;
       CGAL_assertion_code( bool result2 = ) // needed for CGAL_assert only
         typename AST2::Divides()(a.n2(),b.n2(),q2);
       q = Type(q1,q2);
@@ -639,14 +639,14 @@ private:
   typedef Algebraic_structure_traits<NT1> AST1;
   typedef Algebraic_structure_traits<NT2> AST2;
   typedef Number_type_checker<NT1, NT2, Cmp> Type;
-public:  
+public:
   class Inverse
     : public CGAL::cpp98::unary_function< Type, Type > {
   public:
     Type operator()( const Type& a ) const {
       NT1 r1 = typename AST1::Inverse()(a.n1());
       NT2 r2 = typename AST2::Inverse()(a.n2());
-      return Type(r1,r2); 
+      return Type(r1,r2);
     }
   };
 
diff -pruN 5.0.2-3/include/CGAL/number_type_config.h 5.0.3-1/include/CGAL/number_type_config.h
--- 5.0.2-3/include/CGAL/number_type_config.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/number_type_config.h	2020-08-01 19:02:36.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/number_type_config.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/number_type_config.h $
 // $Id: number_type_config.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Number_types/internal_functions_comparison_root_of_2.h 5.0.3-1/include/CGAL/Number_types/internal_functions_comparison_root_of_2.h
--- 5.0.2-3/include/CGAL/Number_types/internal_functions_comparison_root_of_2.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Number_types/internal_functions_comparison_root_of_2.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Number_types/internal_functions_comparison_root_of_2.h $
-// $Id: internal_functions_comparison_root_of_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Number_types/internal_functions_comparison_root_of_2.h $
+// $Id: internal_functions_comparison_root_of_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -24,7 +24,7 @@ namespace internal {
 /*1 1*/template <class FT>
 /*1 1*/Comparison_result
 compare_11_11( const FT& A1, const FT& B1,
-	       const FT& A2, const FT& B2 )
+               const FT& A2, const FT& B2 )
 {
   // Compares roots of (A1 X + B1) and (A2 X + B2).
   CGAL_precondition( A1 > 0 & A2 > 0 );
@@ -56,7 +56,7 @@ compare_21_11(const FT& A2, const FT& B2
 /*2 2*/template <class FT>
 /*2 1*/Comparison_result
 compare_22_21( const FT& A1p, const FT& B1p, const FT& C1p,
-	       const FT& A2p, const FT& B2p, const FT& C2p )
+               const FT& A2p, const FT& B2p, const FT& C2p )
 {
     // Compares the larger root of (A1 X^2 + B1 X + C1)
     //      to the smaller root of (A2 X^2 + B2 X + C2)
@@ -98,7 +98,7 @@ compare_22_21( const FT& A1p, const FT&
 /*2 2*/template <class FT> inline
 /*1 2*/Comparison_result
 compare_22_12( const FT& A1, const FT& B1, const FT& C1,
-	       const FT& A2, const FT& B2, const FT& C2 )
+               const FT& A2, const FT& B2, const FT& C2 )
 {
     // _22_12 boils down to _22_21 by :
     // - swapping the two polynomials
@@ -109,7 +109,7 @@ compare_22_12( const FT& A1, const FT& B
 /*2 2*/template <class FT>
 /*1 1*/Comparison_result
 compare_22_11( const FT& A1p, const FT& B1p, const FT& C1p,
-	       const FT& A2p, const FT& B2p, const FT& C2p )
+               const FT& A2p, const FT& B2p, const FT& C2p )
 {
   // Compares the smaller root of (A1 X^2 + B1 X + C1)
   //       to the smaller root of (A2 X^2 + B2 X + C2)
@@ -171,7 +171,7 @@ compare_22_11( const FT& A1p, const FT&
 /*2 2*/template <class FT> inline
 /*2 2*/Comparison_result
 compare_22_22( const FT& A1, const FT& B1, const FT& C1,
-	       const FT& A2, const FT& B2, const FT& C2 )
+               const FT& A2, const FT& B2, const FT& C2 )
 {
   // _22_22 boils down to _22_11 by :
   // - changing the sign of the two roots (X <-> -X in the polynomial)
@@ -189,7 +189,7 @@ inline FT calcJ(const FT& A1, const FT&
 
 template <class FT>
 inline FT calcK(const FT& A1, const FT& B1, const FT& C1,
-		const FT& A2, const FT& B2, const FT& C2)
+                const FT& A2, const FT& B2, const FT& C2)
 { return C1*A2+A1*C2-2*B1*B2; }
 
 template <class FT>
@@ -198,8 +198,8 @@ inline FT calcJp(const FT& B1, const FT&
 
 template <class FT>
 inline FT calcP4(const FT& J,  const FT& Jp,
-		 const FT& A1, const FT& C1,
-		 const FT& A2, const FT& C2)
+                 const FT& A1, const FT& C1,
+                 const FT& A2, const FT& C2)
 { return CGAL_NTS square(A1*C2-C1*A2)-4*J*Jp;}
 
 template <class FT>
diff -pruN 5.0.2-3/include/CGAL/number_utils_classes.h 5.0.3-1/include/CGAL/number_utils_classes.h
--- 5.0.2-3/include/CGAL/number_utils_classes.h	2020-02-21 20:02:45.000000000 +0000
+++ 5.0.3-1/include/CGAL/number_utils_classes.h	2020-08-01 19:02:08.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_foundations/include/CGAL/number_utils_classes.h $
-// $Id: number_utils_classes.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_foundations/include/CGAL/number_utils_classes.h $
+// $Id: number_utils_classes.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //               : Michael Hemmer <hemmer@mpi-inf.mpg.de>
@@ -70,10 +70,10 @@ struct Gcd : Algebraic_structure_traits<
 template < class NT >
 struct Is_one : Algebraic_structure_traits<NT>::Is_one {};
 
-// This is due to the fact that Is_zero may be provided by 
+// This is due to the fact that Is_zero may be provided by
 // Algebraic_structure_traits as well as Real_embeddable_traits
-// Of course it is not possible to derive from both since this 
-// would cause an ambiguity. 
+// Of course it is not possible to derive from both since this
+// would cause an ambiguity.
 namespace internal{
 template <class AST_Is_zero, class RET_Is_zero>
 struct Is_zero_base : AST_Is_zero {} ;
@@ -81,13 +81,13 @@ template <class RET_Is_zero>
 struct Is_zero_base <CGAL::Null_functor, RET_Is_zero >: RET_Is_zero {} ;
 } // namespace internal
 template < class NT >
-struct Is_zero : 
+struct Is_zero :
   internal::Is_zero_base
   <typename Algebraic_structure_traits<NT>::Is_zero,
-   typename Real_embeddable_traits<NT>::Is_zero>{}; 
+   typename Real_embeddable_traits<NT>::Is_zero>{};
 
 
-// This is due to the fact that CGAL::Compare is used for other 
+// This is due to the fact that CGAL::Compare is used for other
 // non-realembeddable types as well.
 // In this case we try to provide a default implementation
 namespace internal {
@@ -99,7 +99,7 @@ template <class NT> struct Compare_base<
     if (x < y) return SMALLER;
     if (x > y) return LARGER;
     CGAL_postcondition(x == y);
-    return EQUAL;   
+    return EQUAL;
   }
 };
 } // namespace internal
diff -pruN 5.0.2-3/include/CGAL/number_utils.h 5.0.3-1/include/CGAL/number_utils.h
--- 5.0.2-3/include/CGAL/number_utils.h	2020-02-21 20:02:45.000000000 +0000
+++ 5.0.3-1/include/CGAL/number_utils.h	2020-08-01 19:02:08.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_foundations/include/CGAL/number_utils.h $
-// $Id: number_utils.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_foundations/include/CGAL/number_utils.h $
+// $Id: number_utils.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 
@@ -25,9 +25,9 @@ namespace CGAL {
 CGAL_NTS_BEGIN_NAMESPACE
 
 
-// AST-Functor adapting functions UNARY 
+// AST-Functor adapting functions UNARY
 template< class AS >
-inline 
+inline
 void
 simplify( AS& x ) {
     typename Algebraic_structure_traits< AS >::Simplify simplify;
@@ -46,8 +46,8 @@ unit_part( const AS& x ) {
 template< class AS >
 inline
 typename Algebraic_structure_traits< AS >::Is_square::result_type
-is_square( const AS& x, 
-           typename Algebraic_structure_traits< AS >::Is_square::second_argument_type y ) 
+is_square( const AS& x,
+           typename Algebraic_structure_traits< AS >::Is_square::second_argument_type y )
 {
     typename Algebraic_structure_traits< AS >::Is_square is_square;
     return is_square( x, y );
@@ -80,7 +80,7 @@ inverse( const AS& x ) {
 }
 
 template< class AS >
-inline 
+inline
 typename Algebraic_structure_traits<AS>::Is_one::result_type
 is_one( const AS& x ) {
     typename Algebraic_structure_traits< AS >::Is_one is_one;
@@ -103,14 +103,14 @@ typename Algebraic_structure_traits< typ
 ::Integral_division::result_type
 integral_division( const A& x, const B& y ) {
     typedef typename Coercion_traits<A,B>::Type Type;
-    typename Algebraic_structure_traits< Type >::Integral_division 
+    typename Algebraic_structure_traits< Type >::Integral_division
         integral_division;
     return integral_division( x, y );
 }
 
 template< class A, class B >
 inline
-typename Algebraic_structure_traits< typename Coercion_traits<A,B>::Type> 
+typename Algebraic_structure_traits< typename Coercion_traits<A,B>::Type>
 ::Divides::result_type
 divides( const A& x, const B& y ) {
   typedef typename Coercion_traits<A,B>::Type Type;
@@ -157,26 +157,26 @@ div( const A& x, const B& y ) {
 }
 
 template< class A, class B >
-inline 
+inline
 void
-div_mod( 
+div_mod(
         const A& x,
         const B& y,
-        typename Coercion_traits<A,B>::Type& q, 
+        typename Coercion_traits<A,B>::Type& q,
         typename Coercion_traits<A,B>::Type& r ) {
     typedef typename Coercion_traits<A,B>::Type Type;
     typename Algebraic_structure_traits< Type >::Div_mod div_mod;
     div_mod( x, y, q, r );
 }
 
-// others 
+// others
 template< class AS >
 inline
 typename Algebraic_structure_traits< AS >::Kth_root::result_type
 kth_root( int k, const AS& x ) {
     typename Algebraic_structure_traits< AS >::Kth_root
         kth_root;
-    return kth_root( k, x );                                                                    
+    return kth_root( k, x );
 }
 
 
@@ -185,15 +185,15 @@ inline
 typename Algebraic_structure_traits< typename std::iterator_traits<Input_iterator>::value_type >
 ::Root_of::result_type
 root_of( int k, Input_iterator begin, Input_iterator end ) {
-    typedef typename std::iterator_traits<Input_iterator>::value_type AS; 
+    typedef typename std::iterator_traits<Input_iterator>::value_type AS;
     return typename Algebraic_structure_traits<AS>::Root_of()( k, begin, end );
 }
 
 // AST- and RET-functor adapting function
 template< class Number_type >
-inline 
+inline
 // select a Is_zero functor
-typename boost::mpl::if_c< 
+typename boost::mpl::if_c<
  ::boost::is_same< typename Algebraic_structure_traits< Number_type >::Is_zero,
  Null_functor  >::value ,
   typename Real_embeddable_traits< Number_type >::Is_zero,
@@ -202,43 +202,43 @@ typename boost::mpl::if_c<
 is_zero( const Number_type& x ) {
     // We take the Algebraic_structure_traits<>::Is_zero functor by default. If it
     //  is not available, we take the Real_embeddable_traits functor
-    typename ::boost::mpl::if_c< 
+    typename ::boost::mpl::if_c<
         ::boost::is_same<
              typename Algebraic_structure_traits< Number_type >::Is_zero,
              Null_functor >::value ,
        typename Real_embeddable_traits< Number_type >::Is_zero,
        typename Algebraic_structure_traits< Number_type >::Is_zero >::type
        is_zero;
-return is_zero( x );                                                                    
+return is_zero( x );
 }
 
 
 template <class A, class B>
 inline
 typename Real_embeddable_traits< typename Coercion_traits<A,B>::Type >
-::Compare::result_type 
+::Compare::result_type
 compare(const A& a, const B& b)
-{ 
+{
     typedef typename Coercion_traits<A,B>::Type Type;
     typename Real_embeddable_traits<Type>::Compare compare;
     return compare (a,b);
-    // return (a < b) ? SMALLER : (b < a) ? LARGER : EQUAL; 
+    // return (a < b) ? SMALLER : (b < a) ? LARGER : EQUAL;
 }
 
 
 // RET-Functor adapting functions
 template< class Real_embeddable >
-inline 
-//Real_embeddable 
-typename Real_embeddable_traits< Real_embeddable >::Abs::result_type 
+inline
+//Real_embeddable
+typename Real_embeddable_traits< Real_embeddable >::Abs::result_type
 abs( const Real_embeddable& x ) {
     typename Real_embeddable_traits< Real_embeddable >::Abs abs;
     return abs( x );
 }
 
 template< class Real_embeddable >
-inline 
-//::Sign 
+inline
+//::Sign
 typename Real_embeddable_traits< Real_embeddable >::Sgn::result_type
 sign( const Real_embeddable& x ) {
     typename Real_embeddable_traits< Real_embeddable >::Sgn sgn;
@@ -246,7 +246,7 @@ sign( const Real_embeddable& x ) {
 }
 
 template< class Real_embeddable >
-inline 
+inline
 //bool
 typename Real_embeddable_traits< Real_embeddable >::Is_finite::result_type
 is_finite( const Real_embeddable& x ) {
@@ -254,10 +254,10 @@ is_finite( const Real_embeddable& x ) {
 }
 
 template< class Real_embeddable >
-inline 
+inline
 typename Real_embeddable_traits< Real_embeddable >::Is_positive::result_type
 is_positive( const Real_embeddable& x ) {
-    typename Real_embeddable_traits< Real_embeddable >::Is_positive 
+    typename Real_embeddable_traits< Real_embeddable >::Is_positive
         is_positive;
     return is_positive( x );
 }
@@ -287,7 +287,7 @@ inline
 typename Real_embeddable_traits< Real_embeddable >::To_double::result_type
 //double
 to_double( const Real_embeddable& x ) {
-    typename Real_embeddable_traits< Real_embeddable >::To_double to_double;  
+    typename Real_embeddable_traits< Real_embeddable >::To_double to_double;
     return to_double( x );
 }
 
@@ -296,7 +296,7 @@ inline
 typename Real_embeddable_traits< Real_embeddable >::To_interval::result_type
 //std::pair< double, double >
 to_interval( const Real_embeddable& x) {
-    typename Real_embeddable_traits< Real_embeddable >::To_interval 
+    typename Real_embeddable_traits< Real_embeddable >::To_interval
         to_interval;
     return to_interval( x );
 }
diff -pruN 5.0.2-3/include/CGAL/Object.h 5.0.3-1/include/CGAL/Object.h
--- 5.0.2-3/include/CGAL/Object.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Object.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Object.h $
-// $Id: Object.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Object.h $
+// $Id: Object.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
 //                 Andreas Fabri
@@ -36,13 +36,13 @@ namespace CGAL {
 class Object
 {
     boost::shared_ptr<boost::any> obj;
-  
+
     // returns an any pointer from a variant
     struct Any_from_variant : public boost::static_visitor<boost::any*> {
       template<typename T>
-      boost::any* operator()(const T& t) const { 
+      boost::any* operator()(const T& t) const {
         return new boost::any(t);
-      }  
+      }
     };
 
     template<class T>
@@ -64,12 +64,12 @@ class Object
 
     // implicit constructor from optionals containing variants
     template<BOOST_VARIANT_ENUM_PARAMS(typename T)>
-    Object(const boost::optional< boost::variant<BOOST_VARIANT_ENUM_PARAMS(T) > >& t) 
+    Object(const boost::optional< boost::variant<BOOST_VARIANT_ENUM_PARAMS(T) > >& t)
       : obj( t ? boost::apply_visitor(Any_from_variant(), *t) : nullptr) { }
-  
+
     // implicit constructor from  variants
     template<BOOST_VARIANT_ENUM_PARAMS(typename T)>
-    Object(const boost::variant<BOOST_VARIANT_ENUM_PARAMS(T) >& v) 
+    Object(const boost::variant<BOOST_VARIANT_ENUM_PARAMS(T) >& v)
       : obj(boost::apply_visitor(Any_from_variant(), v)) { }
 
     template <class T>
@@ -107,7 +107,7 @@ class Object
     bool
     is_empty() const
     {
-	return empty();
+        return empty();
     }
 
     // safe-bool conversion
@@ -185,7 +185,7 @@ T object_cast(const Object & o)
 {
   if(!o.obj)
     throw Bad_object_cast();
-  
+
   const T * result = boost::any_cast<T>((o.obj).get());
   if (!result)
     throw Bad_object_cast();
diff -pruN 5.0.2-3/include/CGAL/odt_optimize_mesh_3.h 5.0.3-1/include/CGAL/odt_optimize_mesh_3.h
--- 5.0.2-3/include/CGAL/odt_optimize_mesh_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/odt_optimize_mesh_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/odt_optimize_mesh_3.h $
-// $Id: odt_optimize_mesh_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/odt_optimize_mesh_3.h $
+// $Id: odt_optimize_mesh_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -37,7 +37,7 @@ namespace CGAL {
 #  pragma warning(push)
 #  pragma warning(disable:4003) // not enough actual parameters for macro
 #endif
-  
+
 // see <CGAL/config.h>
 CGAL_PRAGMA_DIAG_PUSH
 // see <CGAL/boost/parameter.h>
@@ -60,14 +60,14 @@ BOOST_PARAMETER_FUNCTION(
                                   time_limit_, max_iteration_number_,
                                   convergence_, freeze_bound_
                                   , do_freeze_ );
-} 
+}
 CGAL_PRAGMA_DIAG_POP
 
 #if defined(BOOST_MSVC)
 #  pragma warning(pop)
 #endif
 
-template <typename C3T3, typename MeshDomain> 
+template <typename C3T3, typename MeshDomain>
 Mesh_optimization_return_code
 odt_optimize_mesh_3_impl(C3T3& c3t3,
                          const MeshDomain& domain,
@@ -81,10 +81,10 @@ odt_optimize_mesh_3_impl(C3T3& c3t3,
     !Mesh_3::internal::has_non_protecting_weights(c3t3.triangulation(), domain));
 
   typedef typename C3T3::Triangulation  Tr;
-  
+
   typedef Mesh_3::Mesh_sizing_field<Tr>             Sizing;
   typedef typename Mesh_3::Odt_move<C3T3,Sizing>    Move;
-  
+
   typedef typename
     Mesh_3::Mesh_global_optimizer<C3T3,MeshDomain,Move> Odt_optimizer;
 
@@ -94,14 +94,14 @@ odt_optimize_mesh_3_impl(C3T3& c3t3,
                     freeze_ratio,
                     do_freeze,
                     convergence);
-  
+
   // Set max time
   opt.set_time_limit(time_limit);
-  
+
   // 1000 iteration max to avoid infinite loops
   if ( 0 == max_iteration_number )
     max_iteration_number = 1000;
-  
+
   // Launch optimization
   return opt(static_cast<int>(max_iteration_number));
 }
diff -pruN 5.0.2-3/include/CGAL/offset_polygon_2.h 5.0.3-1/include/CGAL/offset_polygon_2.h
--- 5.0.2-3/include/CGAL/offset_polygon_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/offset_polygon_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/offset_polygon_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/offset_polygon_2.h $
 // $Id: offset_polygon_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/OFF_to_nef_3.h 5.0.3-1/include/CGAL/OFF_to_nef_3.h
--- 5.0.2-3/include/CGAL/OFF_to_nef_3.h	2020-02-21 20:03:43.000000000 +0000
+++ 5.0.3-1/include/CGAL/OFF_to_nef_3.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_3/include/CGAL/OFF_to_nef_3.h $
-// $Id: OFF_to_nef_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_3/include/CGAL/OFF_to_nef_3.h $
+// $Id: OFF_to_nef_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ralf Osbild <osbild@mpi-sb.mpg.de>
 
@@ -63,8 +63,8 @@ class number_type_converter_nef_3<Homoge
     decompose(y, yn, yd);
     decompose(z, zn, zd);
       CGAL::Homogeneous<Integer>::Point_3 b =
-	normalized ( CGAL::Homogeneous<Integer>::Point_3 (
-	 xn * yd * zd,
+        normalized ( CGAL::Homogeneous<Integer>::Point_3 (
+         xn * yd * zd,
          xd * yn * zd,
          xd * yd * zn,
          xd * yd * zd ) );
@@ -78,7 +78,7 @@ class number_type_converter_nef_3<Homoge
       RT ry (outy.str().c_str());
       RT rz (outz.str().c_str());
       RT rw (outw.str().c_str());
-      
+
       return Point_3 (rx, ry, rz, rw);
   }
 };
@@ -122,7 +122,7 @@ OFF_to_nef_3 (std::istream &i_st, Nef_3
    typedef typename std::vector<Point_3>   Point_set;
    CGAL::Nef_nary_union_3<Nef_3>            nary_union;
    // input data structure
-   typedef double	                   Scan_NT;
+   typedef double                           Scan_NT;
    typedef CGAL::Cartesian<Scan_NT>        Scan_kernel;
    typedef Scan_kernel::Point_3            Scan_point;
    typedef std::vector<Scan_point>         Scan_point_set;
@@ -197,7 +197,7 @@ OFF_to_nef_3 (std::istream &i_st, Nef_3
          // construct and enqueue Nef_polyhedron_3 <Kernel>
          Nef_3 nef (V_f.begin(), V_f.end(), normal, verb);
          if ( !nef.is_empty() )
-	   {nary_union.add_polyhedron(nef);
+           {nary_union.add_polyhedron(nef);
             is_nef = true;
          }
       }
@@ -205,10 +205,10 @@ OFF_to_nef_3 (std::istream &i_st, Nef_3
       if ( !is_nef )
       {  ++discarded_facets;
          if (verb)
-	 {  std::cerr << "Hence, discard input facet " << (idx+1)
-	       << " (enumerated beginning with 1)."
-	       << " Check semantics!\n" << std::endl;
-	 }
+         {  std::cerr << "Hence, discard input facet " << (idx+1)
+               << " (enumerated beginning with 1)."
+               << " Check semantics!\n" << std::endl;
+         }
       }
    }
 
diff -pruN 5.0.2-3/include/CGAL/OpenNL/bicgstab.h 5.0.3-1/include/CGAL/OpenNL/bicgstab.h
--- 5.0.2-3/include/CGAL/OpenNL/bicgstab.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/OpenNL/bicgstab.h	2020-08-01 19:02:36.000000000 +0000
@@ -2,7 +2,7 @@
 /*
  * author:  Bruno Levy, INRIA, project ALICE
  * website: http://www.loria.fr/~levy/software
- * 
+ *
  * This file is part of CGAL (www.cgal.org)
  *
  * Scientific work that use this software can reference the website and
@@ -23,8 +23,8 @@
  *      - added comments and traces
  *      - copied BICGSTAB algorithm WITH preconditioner from Graphite 1.9 code
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/OpenNL/include/CGAL/OpenNL/bicgstab.h $
- * $Id: bicgstab.h fcd0529 2019-10-20T00:47:56+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/OpenNL/include/CGAL/OpenNL/bicgstab.h $
+ * $Id: bicgstab.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  */
 
@@ -54,7 +54,7 @@ namespace OpenNL {
  *
  * @param A generic square matrix; a function
  *   mult(const MATRIX& M, const double* x, double* y)
- * and a member function 
+ * and a member function
  *   int dimension() const
  * must to be defined.
  * @param b right hand side of the system.
@@ -81,7 +81,7 @@ public:
     void set_max_iter(unsigned int max_iter) { max_iter_ = max_iter ; }
 
     // Solve the sparse linear system "A*x = b". Return true on success.
-    bool solve(const MATRIX &A, const VECTOR& b, VECTOR& x) 
+    bool solve(const MATRIX &A, const VECTOR& b, VECTOR& x)
     {
 #ifdef DEBUG_TRACE
         std::cerr << "  Call BICGSTAB" << std::endl;
@@ -142,17 +142,17 @@ public:
 #ifdef DEBUG_TRACE
                 std::cerr << "  BICGSTAB: omega=0" << std::endl;
 #endif
-                break;                                          
+                break;
             }
             if (rTh == 0.0)                                     // stop if rTh==0 (failure)
             {
 #ifdef DEBUG_TRACE
                 std::cerr << "  BICGSTAB: rTh=0" << std::endl;
 #endif
-                break;                                          
+                break;
             }
             beta=(alpha/omega)/rTh;                             // beta = (rTh/"old rTh") * (alpha/omega)
-            rTh=BLAS<Vector>::dot(rT,h); 
+            rTh=BLAS<Vector>::dot(rT,h);
             beta*=rTh;
             BLAS<Vector>::scal(beta,d);
             BLAS<Vector>::axpy(1,h,d);
@@ -189,7 +189,7 @@ private:
  *
  * @param A generic square matrix; a function
  *   mult(const MATRIX& M, const double* x, double* y)
- * and a member function 
+ * and a member function
  *   int dimension() const
  * must to be defined.
  * @param C preconditioner; a function
@@ -201,8 +201,8 @@ private:
  * @param max_iter maximum number of iterations.
  */
 
-template< class MATRIX, class PC_MATRIX, class VECTOR > 
-class Solver_preconditioned_BICGSTAB 
+template< class MATRIX, class PC_MATRIX, class VECTOR >
+class Solver_preconditioned_BICGSTAB
 {
 public:
     typedef MATRIX Matrix ;
@@ -222,7 +222,7 @@ public:
     void set_max_iter(unsigned int max_iter) { max_iter_ = max_iter ; }
 
     // Solve the sparse linear system "A*x = b". Return true on success.
-    bool solve(const MATRIX &A, const PC_MATRIX &C, const VECTOR& b, VECTOR& x) 
+    bool solve(const MATRIX &A, const PC_MATRIX &C, const VECTOR& b, VECTOR& x)
     {
 #ifdef DEBUG_TRACE
         std::cerr << "  Call BICGSTAB with preconditioner" << std::endl;
@@ -265,7 +265,7 @@ public:
 #ifdef DEBUG_TRACE
                 std::cerr << "  BICGSTAB with preconditioner: rTSd=0" << std::endl;
 #endif
-                break;                                          
+                break;
             }
             alpha=rTh/rTSd;
             BLAS<Vector>::axpy(-alpha,aux,r);
@@ -292,17 +292,17 @@ public:
 #ifdef DEBUG_TRACE
                 std::cerr << "  BICGSTAB with preconditioner: omega=0" << std::endl;
 #endif
-                break;                                          
+                break;
             }
             if (rTh == 0.0)                                     // stop if rTh==0 (failure)
             {
 #ifdef DEBUG_TRACE
                 std::cerr << "  BICGSTAB with preconditioner: rTh=0" << std::endl;
 #endif
-                break;                                          
+                break;
             }
             beta=(alpha/omega)/rTh;                             // beta = (rTh/"old rTh") * (alpha/omega)
-            rTh=BLAS<Vector>::dot(rT,h); 
+            rTh=BLAS<Vector>::dot(rT,h);
             beta*=rTh;
             BLAS<Vector>::scal(beta,d);                         // d = h + beta * (d - omega * Sd);
             BLAS<Vector>::axpy(1,h,d);
diff -pruN 5.0.2-3/include/CGAL/OpenNL/blas.h 5.0.3-1/include/CGAL/OpenNL/blas.h
--- 5.0.2-3/include/CGAL/OpenNL/blas.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/OpenNL/blas.h	2020-08-01 19:02:36.000000000 +0000
@@ -21,7 +21,7 @@
  *  Andreas Meyer 2007 changes for CGAL:
  *      - replaced assert with CGAL_assertion/CGAL_error etc.
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/OpenNL/include/CGAL/OpenNL/blas.h $
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/OpenNL/include/CGAL/OpenNL/blas.h $
  * $Id: blas.h fcd0529 2019-10-20T00:47:56+02:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
 */
diff -pruN 5.0.2-3/include/CGAL/OpenNL/conjugate_gradient.h 5.0.3-1/include/CGAL/OpenNL/conjugate_gradient.h
--- 5.0.2-3/include/CGAL/OpenNL/conjugate_gradient.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/OpenNL/conjugate_gradient.h	2020-08-01 19:02:36.000000000 +0000
@@ -2,7 +2,7 @@
 /*
  * author:  Bruno Levy, INRIA, project ALICE
  * website: http://www.loria.fr/~levy/software
- * 
+ *
  * This file is part of CGAL (www.cgal.org)
  *
  * Scientific work that use this software can reference the website and
@@ -23,8 +23,8 @@
  *      - added comments
  *      - copied Conjugate Gradient algorithm WITH preconditioner from Graphite 1.9 code
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/OpenNL/include/CGAL/OpenNL/conjugate_gradient.h $
- * $Id: conjugate_gradient.h fcd0529 2019-10-20T00:47:56+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/OpenNL/include/CGAL/OpenNL/conjugate_gradient.h $
+ * $Id: conjugate_gradient.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  */
 
@@ -53,7 +53,7 @@ namespace OpenNL {
  *
  * @param A generic square matrix; a function
  *   mult(const MATRIX& M, const double* x, double* y)
- * and a member function 
+ * and a member function
  *   int dimension() const
  * must to be defined.
  * @param b right hand side of the system.
@@ -81,7 +81,7 @@ public:
 
     // Solve the sparse linear system "A*x = b" for A symmetric positive definite
     // Return true on success
-    bool solve(const MATRIX &A, const VECTOR& b, VECTOR& x) 
+    bool solve(const MATRIX &A, const VECTOR& b, VECTOR& x)
     {
 #ifdef DEBUG_TRACE
         std::cerr << "  Call Conjugate Gradient" << std::endl;
@@ -148,7 +148,7 @@ private:
  *
  * @param A generic square matrix; a function
  *   mult(const MATRIX& M, const double* x, double* y)
- * and a member function 
+ * and a member function
  *   int dimension() const
  * must to be defined.
  * @param C preconditioner; a function
@@ -160,8 +160,8 @@ private:
  * @param max_iter maximum number of iterations.
  */
 
-template< class MATRIX, class PC_MATRIX, class VECTOR > 
-class Solver_preconditioned_CG 
+template< class MATRIX, class PC_MATRIX, class VECTOR >
+class Solver_preconditioned_CG
 {
 public:
     typedef MATRIX Matrix ;
@@ -182,7 +182,7 @@ public:
 
     // Solve the sparse linear system "A*x = b" for A symmetric positive definite
     // Return true on success
-    bool solve(const MATRIX &A, const PC_MATRIX &C, const VECTOR& b, VECTOR& x) 
+    bool solve(const MATRIX &A, const PC_MATRIX &C, const VECTOR& b, VECTOR& x)
     {
 #ifdef DEBUG_TRACE
         std::cerr << "  Call Conjugate Gradient with preconditioner" << std::endl;
diff -pruN 5.0.2-3/include/CGAL/OpenNL/full_vector.h 5.0.3-1/include/CGAL/OpenNL/full_vector.h
--- 5.0.2-3/include/CGAL/OpenNL/full_vector.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/OpenNL/full_vector.h	2020-08-01 19:02:36.000000000 +0000
@@ -2,7 +2,7 @@
 /*
  * author:  Bruno Levy, INRIA, project ALICE
  * website: http://www.loria.fr/~levy/software
- * 
+ *
  * This file is part of CGAL (www.cgal.org)
  *
  * Scientific work that use this software can reference the website and
@@ -21,8 +21,8 @@
  *      - FullVector is now a model of the SparseLinearAlgebraTraits_d::Vector concept
  *      - Coefficients are initialized with zeros
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/OpenNL/include/CGAL/OpenNL/full_vector.h $
- * $Id: full_vector.h fcd0529 2019-10-20T00:47:56+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/OpenNL/include/CGAL/OpenNL/full_vector.h $
+ * $Id: full_vector.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  */
 
diff -pruN 5.0.2-3/include/CGAL/OpenNL/linear_solver.h 5.0.3-1/include/CGAL/OpenNL/linear_solver.h
--- 5.0.2-3/include/CGAL/OpenNL/linear_solver.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/OpenNL/linear_solver.h	2020-08-01 19:02:36.000000000 +0000
@@ -22,7 +22,7 @@
  *      - Added SymmetricLinearSolverTraits
  *      - copied Jacobi preconditioner from Graphite 1.9 code
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/OpenNL/include/CGAL/OpenNL/linear_solver.h $
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/OpenNL/include/CGAL/OpenNL/linear_solver.h $
  * $Id: linear_solver.h fcd0529 2019-10-20T00:47:56+02:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  */
diff -pruN 5.0.2-3/include/CGAL/OpenNL/preconditioner.h 5.0.3-1/include/CGAL/OpenNL/preconditioner.h
--- 5.0.2-3/include/CGAL/OpenNL/preconditioner.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/OpenNL/preconditioner.h	2020-08-01 19:02:36.000000000 +0000
@@ -2,7 +2,7 @@
 /*
  * author:  Bruno Levy, INRIA, project ALICE
  * website: http://www.loria.fr/~levy/software
- * 
+ *
  * This file is part of CGAL (www.cgal.org)
  *
  * Scientific work that use this software can reference the website and
@@ -20,8 +20,8 @@
  *      - copied Jacobi preconditioner from Graphite 1.9 code
  *      - Added OpenNL namespace
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/OpenNL/include/CGAL/OpenNL/preconditioner.h $
- * $Id: preconditioner.h fcd0529 2019-10-20T00:47:56+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/OpenNL/include/CGAL/OpenNL/preconditioner.h $
+ * $Id: preconditioner.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
  */
 
@@ -42,7 +42,7 @@ namespace OpenNL {
  * Base class for some preconditioners.
  */
 
-template <class T> 
+template <class T>
 class Preconditioner {
 public:
     typedef T CoeffType ;
@@ -54,7 +54,7 @@ public:
     Preconditioner(
         const SparseMatrix<T>& A, CoeffType omega = 1.0
     ) ;
-    
+
     const SparseMatrix<T>& A() const { return A_ ; }
     CoeffType omega() const { return omega_ ; }
 
@@ -70,20 +70,20 @@ public:
 
     void mult_diagonal(FullVector<T>& xy) const ;
     void mult_diagonal_inverse(FullVector<T>& xy) const ;
-    
+
 private:
     const SparseMatrix<T>& A_ ;
     CoeffType omega_ ;
 } ;
 
-template <class T> 
+template <class T>
 Preconditioner<T>::Preconditioner(
     const SparseMatrix<T>& A, CoeffType omega
 ) : A_(A), omega_(omega) {
     //CGAL_assertion(A.is_square()) ;
 }
 
-template <class T> 
+template <class T>
 void Preconditioner<T>::mult_lower_inverse(
     const FullVector<T>& x, FullVector<T>& y
 ) const {
@@ -101,7 +101,7 @@ void Preconditioner<T>::mult_lower_inver
         y[i] = (x[i] - S) * omega_ / A_.get_coef(i,i) ;
     }
 }
-template <class T> 
+template <class T>
 void Preconditioner<T>::mult_upper_inverse(
     const FullVector<T>& x, FullVector<T>& y
 ) const {
@@ -120,7 +120,7 @@ void Preconditioner<T>::mult_upper_inver
     }
 }
 
-template <class T> 
+template <class T>
 void Preconditioner<T>::mult_diagonal(FullVector<T>& xy) const {
     int n = A_.dimension() ;
     for(int i=0; i<n; i++) {
@@ -128,19 +128,19 @@ void Preconditioner<T>::mult_diagonal(Fu
     }
 }
 
-template <class T> 
+template <class T>
 void Preconditioner<T>::mult_diagonal_inverse(FullVector<T>& xy) const {
     int n = A_.dimension() ;
     for(int i=0; i<n; i++) {
         xy[i] *= ( omega_ / A_.get_coef(i,i) ) ;
     }
 }
-    
+
 /**
  * Jacobi preconditioner
  */
 
-template <class T> 
+template <class T>
 class Jacobi_Preconditioner : public Preconditioner<T> {
 public:
     typedef T CoeffType ;
@@ -151,13 +151,13 @@ public:
     ) ;
 } ;
 
-template <class T> 
+template <class T>
 Jacobi_Preconditioner<T>::Jacobi_Preconditioner(
     const SparseMatrix<T>& A, CoeffType omega
 ) : Preconditioner<T>(A, omega) {
 }
 
-template <class T> 
+template <class T>
 void mult(const Jacobi_Preconditioner<T>& M, const FullVector<T>& x, FullVector<T>& y) {
     BLAS< FullVector<T> >::copy(x, y) ;
     M.mult_diagonal_inverse(y) ;
@@ -167,8 +167,8 @@ void mult(const Jacobi_Preconditioner<T>
 /**
  * The SSOR preconditioner, sharing storage with the matrix.
  */
- 
-template <class T> 
+
+template <class T>
 class SSOR_Preconditioner : public Preconditioner<T> {
 public:
     typedef T CoeffType ;
@@ -182,14 +182,14 @@ public:
     ) ;
 } ;
 
-template <class T> 
+template <class T>
 SSOR_Preconditioner<T>::SSOR_Preconditioner(
     const SparseMatrix<T>& A, CoeffType omega
 ) : Preconditioner<T>(A, omega) {
 }
 
 /** y <- M*x */
-template <class T> 
+template <class T>
 void mult(const SSOR_Preconditioner<T>& M, const FullVector<T>& x, FullVector<T>& y) {
 
     CGAL_STATIC_THREAD_LOCAL_VARIABLE(FullVector<T>, work,0) ;
diff -pruN 5.0.2-3/include/CGAL/OpenNL/sparse_matrix.h 5.0.3-1/include/CGAL/OpenNL/sparse_matrix.h
--- 5.0.2-3/include/CGAL/OpenNL/sparse_matrix.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/OpenNL/sparse_matrix.h	2020-08-01 19:02:36.000000000 +0000
@@ -2,7 +2,7 @@
 /*
  * author:  Bruno Levy, INRIA, project ALICE
  * website: http://www.loria.fr/~levy/software
- * 
+ *
  * This file is part of CGAL (www.cgal.org)
  *
  * Scientific work that use this software can reference the website and
@@ -20,8 +20,8 @@
  *      - Added OpenNL namespace
  *      - SparseMatrix is now a model of the SparseLinearAlgebraTraits_d::Matrix concept
  *
- * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/OpenNL/include/CGAL/OpenNL/sparse_matrix.h $
- * $Id: sparse_matrix.h fcd0529 2019-10-20T00:47:56+02:00 Sébastien Loriot
+ * $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/OpenNL/include/CGAL/OpenNL/sparse_matrix.h $
+ * $Id: sparse_matrix.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
  * SPDX-License-Identifier: LGPL-3.0-or-later
 */
 
@@ -90,7 +90,7 @@ public:
         //
         // Optimization:
         // - Caller can optimize this call by setting 'new_coef' to true
-        //   if the coefficient does not already exists in the matrix. 
+        //   if the coefficient does not already exists in the matrix.
         void set_coef(unsigned int index, T val, bool new_coef)
         {
             if (!new_coef)
@@ -203,7 +203,7 @@ public:
     //
     // Optimization:
     // - Caller can optimize this call by setting 'new_coef' to true
-    //   if the coefficient does not already exists in the matrix. 
+    //   if the coefficient does not already exists in the matrix.
     //
     // Preconditions:
     // - 0 <= i < row_dimension().
@@ -235,7 +235,7 @@ private:
 } ;
 
 /** y <- M*x */
-template <class T> 
+template <class T>
 void mult(const SparseMatrix<T>& M, const FullVector<T>& x, FullVector<T>& y) {
     unsigned int N = M.dimension() ;
     CGAL_assertion(x.dimension() == N) ;
diff -pruN 5.0.2-3/include/CGAL/Optimal_transportation_reconstruction_2.h 5.0.3-1/include/CGAL/Optimal_transportation_reconstruction_2.h
--- 5.0.2-3/include/CGAL/Optimal_transportation_reconstruction_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Optimal_transportation_reconstruction_2.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimal_transportation_reconstruction_2/include/CGAL/Optimal_transportation_reconstruction_2.h $
-// $Id: Optimal_transportation_reconstruction_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimal_transportation_reconstruction_2/include/CGAL/Optimal_transportation_reconstruction_2.h $
+// $Id: Optimal_transportation_reconstruction_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando de Goes, Pierre Alliez, Ivo Vigan, Clément Jamin
@@ -43,7 +43,7 @@ namespace CGAL {
 \ingroup PkgOptimalTransportationReconstruction2Classes
 
 This class provides a means to reconstruct a 1-dimensional shape from a set of 2D points with masses.
-The algorithm computes an initial 2D Delaunay triangulation from the input points, 
+The algorithm computes an initial 2D Delaunay triangulation from the input points,
 and performs a simplification of the triangulation by performing half edge collapses, edge flips and vertex relocations.
 
 The edges are either processed in the order imposed by an priority queue, or
@@ -52,7 +52,7 @@ As the exhaustive priority queue guarant
 The user can switch to the other method, for example for an initial
 simplification round, by calling `set_random_sample_size()`.
 
-By default edge flip operators are applied to ensure that every edge of the 
+By default edge flip operators are applied to ensure that every edge of the
 triangulation are candidate to be collapsed, while preserving a valid embedding
 of the triangulation. This option can be disabled by calling
 \link set_use_flip() `set_use_flip(false)`\endlink to reduce the running times.
@@ -61,7 +61,7 @@ By default the vertices are not relocate
 This option can be changed by setting the number of vertex relocation steps
 performed between two edge collapse operators.
 
-The simplification is performed by calling either 
+The simplification is performed by calling either
 \link run_until() `run_until(n)`\endlink or \link run() `run(steps)`\endlink.
 The former simplifies the triangulation until n points remain, while the latter
 stops after `steps` edge collapse operators have been performed.
@@ -70,11 +70,11 @@ Furthermore, we can relocate the vertice
 \tparam Traits a model of the concept `OptimalTransportationReconstructionTraits_2`.
 
 \tparam PointPMap a model of `ReadablePropertyMap` with value type `Traits::Point_2`.
-        Defaults to <a href="https://www.boost.org/doc/libs/release/libs/property_map/doc/identity_property_map.html">`boost::typed_identity_property_map<Traits::Point_2>`</a> 
+        Defaults to <a href="https://www.boost.org/doc/libs/release/libs/property_map/doc/identity_property_map.html">`boost::typed_identity_property_map<Traits::Point_2>`</a>
         (for the case the input is points without mass).
 
 \tparam MassPMap a model of `ReadablePropertyMap` with value type `Traits::FT`
-        Defaults to <a href="https://www.boost.org/doc/libs/release/libs/property_map/doc/static_property_map.html">`boost::static_property_map<Traits::FT>`</a> 
+        Defaults to <a href="https://www.boost.org/doc/libs/release/libs/property_map/doc/static_property_map.html">`boost::static_property_map<Traits::FT>`</a>
         (for the case the input is points without mass).
 
  */
@@ -181,25 +181,25 @@ public:
   /// @{
 
   /*!
-  Constructor of the optimal transportation reconstruction class. 
-  It builds an initial simplicial complex 
+  Constructor of the optimal transportation reconstruction class.
+  It builds an initial simplicial complex
   for a given range of point-mass pairs.
 
-  \tparam InputRange is a model of `Range` with forward iterators, 
-          providing input points and point masses through the 
+  \tparam InputRange is a model of `Range` with forward iterators,
+          providing input points and point masses through the
           `PointPMap` and `MassPMap` property maps.
 
   \param input_range  Range of input data.
   \param point_map    A `ReadablePropertyMap` used to access the input points.
-  \param mass_map     A `ReadablePropertyMap` used to access the input 
+  \param mass_map     A `ReadablePropertyMap` used to access the input
                       points' masses.
-  \param sample_size  If `sample_size != 0`, the size of the random sample 
+  \param sample_size  If `sample_size != 0`, the size of the random sample
                       which replaces the exhaustive priority queue.
-  \param use_flip     If `true` the edge flipping procedure is used to ensure 
+  \param use_flip     If `true` the edge flipping procedure is used to ensure
                       that every edge can be made collapsible.
-  \param relocation   The number of point relocations that are performed 
+  \param relocation   The number of point relocations that are performed
                       between two edge collapses.
-  \param verbose      Controls how much console output is produced by 
+  \param verbose      Controls how much console output is produced by
                       the algorithm. The values are 0, 1, or > 1.
   \param traits       The traits class.
    */
@@ -215,7 +215,7 @@ public:
     Traits traits = Traits())
   : m_dt(traits),
     m_traits(m_dt.geom_traits()),
-    m_ignore(0), 
+    m_ignore(0),
     m_verbose(verbose),
     m_mchoice(sample_size),
     m_use_flip(use_flip),
@@ -236,7 +236,7 @@ public:
   /*!
           If `sample_size == 0`, the simplification is performed using an exhaustive priority queue.
           If `sample_size` is stricly positive the simplification is performed using a
-          multiple choice approach, ie, a best-choice selection in a random sample of 
+          multiple choice approach, ie, a best-choice selection in a random sample of
           edge collapse operators, of size `sample_size`. A typical value for the sample
           size is 15, but this value must be enlarged when targeting a very coarse simplification.
           \param sample_size If `sample_size != 0`, the size of the random sample replaces the priority queue.
@@ -257,11 +257,11 @@ public:
   }
 
 
-  
+
 
   /*!
         The use_flip parameter determines whether the edge flipping procedure
-        is used for the half-edge collapse. 
+        is used for the half-edge collapse.
    */
   void set_use_flip(const bool use_flip) {
     m_use_flip = use_flip;
@@ -288,8 +288,8 @@ public:
   An edge is relevant from the approximation point of view
   if it is long, covers a large mass (or equivalently the
   number of points when all masses are equal), and has a
-  small transport cost. This notion is defined as 
-  \f$ m(e) * |e|^2 / cost(e) \f$, where \f$ m(e) \f$ 
+  small transport cost. This notion is defined as
+  \f$ m(e) * |e|^2 / cost(e) \f$, where \f$ m(e) \f$
   denotes the mass of the points approximated by the edge,
   \f$ |e| \f$ denotes the edge length and \f$ cost(e) \f$
   its approximation error.
@@ -479,7 +479,7 @@ public:
 
 private:
   Vertex_handle insert_point(
-    const Point& point, const bool pinned, const int id) 
+    const Point& point, const bool pinned, const int id)
   {
     Vertex_handle v = m_dt.insert(point);
     v->pinned() = pinned;
@@ -696,7 +696,7 @@ public:
 
     if (is_above_tolerance (pedge))
       return false;
-    
+
     return true;
   }
 
@@ -721,7 +721,7 @@ public:
 
   template<class Iterator> // value_type = Edge
   void collect_cost_stencil(
-    const Triangulation& mesh, Iterator begin, Iterator end, 
+    const Triangulation& mesh, Iterator begin, Iterator end,
     Edge_vector& edges) const
   {
     Edge_set done;
@@ -859,7 +859,7 @@ public:
   }
 
   template<class Iterator> // value_type = Edge
-  void remove_stencil_from_pqueue(Iterator begin, Iterator end) 
+  void remove_stencil_from_pqueue(Iterator begin, Iterator end)
   {
     if (m_mindex.empty())
       return;
@@ -888,7 +888,7 @@ public:
 
   template<class Iterator> // value_type = Edge
   void collect_pqueue_stencil(
-    const Triangulation& mesh, Iterator begin, Iterator end, 
+    const Triangulation& mesh, Iterator begin, Iterator end,
     Edge_vector& edges) const
   {
     Vertex_handle_set vertex_set;
@@ -998,7 +998,7 @@ public:
   }
 
   Face_handle copy_face(
-    Face_handle f0, Face_handle f1, Vertex_handle_map& vmap) const 
+    Face_handle f0, Face_handle f1, Vertex_handle_map& vmap) const
   {
     for (unsigned int i = 0; i < 3; ++i) {
       Vertex_handle v0i = f0->vertex(i);
@@ -1093,7 +1093,7 @@ public:
   }
 
   Edge get_copy_edge(
-    const Edge& edge, Vertex_handle_map& vmap, Face_handle_map& fmap) const 
+    const Edge& edge, Vertex_handle_map& vmap, Face_handle_map& fmap) const
   {
     Face_handle f = edge.first;
     Vertex_handle v = f->vertex(edge.second);
@@ -1238,7 +1238,7 @@ public:
     if (sample) {
       const FT m = sample->mass();
       const Point& ps = sample->point();
-      rhs = m_traits.construct_sum_of_vectors_2_object()(rhs, 
+      rhs = m_traits.construct_sum_of_vectors_2_object()(rhs,
         m_traits.construct_scaled_vector_2_object()(
           m_traits.construct_vector_2_object()(CGAL::ORIGIN, ps), m));
       coef += m;
@@ -1273,7 +1273,7 @@ public:
   }
 
   void compute_relocation_for_plan0(
-    const Edge& edge, FT& coef, Vector& rhs) const 
+    const Edge& edge, FT& coef, Vector& rhs) const
   {
     Edge twin = m_dt.twin_edge(edge);
     const Point& pa = m_dt.source_vertex(edge)->point();
@@ -1293,7 +1293,7 @@ public:
       FT Db = m_traits.compute_squared_distance_2_object()(ps, pb);
 
       if (Da < Db) {
-        rhs = m_traits.construct_sum_of_vectors_2_object()(rhs, 
+        rhs = m_traits.construct_sum_of_vectors_2_object()(rhs,
           m_traits.construct_scaled_vector_2_object()(
             m_traits.construct_vector_2_object()(CGAL::ORIGIN, ps), m));
         coef += m;
@@ -1324,10 +1324,10 @@ public:
         CGAL::ORIGIN,
         m_traits.construct_sum_of_vectors_2_object()(
           m_traits.construct_scaled_vector_2_object()(
-            m_traits.construct_vector_2_object()(CGAL::ORIGIN, pa), 
+            m_traits.construct_vector_2_object()(CGAL::ORIGIN, pa),
             1.0 - coord),
           m_traits.construct_scaled_vector_2_object()(
-            m_traits.construct_vector_2_object()(CGAL::ORIGIN, pb), 
+            m_traits.construct_vector_2_object()(CGAL::ORIGIN, pb),
             coord)));
       grad = m_traits.construct_sum_of_vectors_2_object()(
         grad,
@@ -1348,7 +1348,7 @@ public:
   }
 
   void compute_relocation_for_plan1(
-    const Edge& edge, FT& coef, Vector& rhs) const 
+    const Edge& edge, FT& coef, Vector& rhs) const
   {
     //FT M = m_dt.get_mass(edge);
     const Point& pb = m_dt.target_vertex(edge)->point();
@@ -1480,13 +1480,13 @@ public:
 
 
   /*!
-    Returns the cost of the (solid) edges present in the 
+    Returns the cost of the (solid) edges present in the
     reconstructed triangulation.
    */
   FT total_edge_cost() const {
     FT total_cost = 0;
     for (Finite_edges_iterator ei = m_dt.finite_edges_begin();
-         ei != m_dt.finite_edges_end(); ++ei) 
+         ei != m_dt.finite_edges_end(); ++ei)
     {
       Edge edge = *ei;
       if (m_dt.is_ghost(edge))
@@ -1500,8 +1500,8 @@ public:
   /// \endcond
 
 
-  /// \name Simplification 
-  /// You can freely mix calls of the following functions. 
+  /// \name Simplification
+  /// You can freely mix calls of the following functions.
   /// @{
   /*!
     Computes a shape consisting of `np` points, reconstructing the input
@@ -1532,7 +1532,7 @@ public:
                 << " iters, " << m_dt.number_of_vertices() - 4 << " V "
                 << timer.time() << " s)"
                 << std::endl;
-    
+
     return (m_dt.number_of_vertices() <= N);
   }
 
@@ -1579,7 +1579,7 @@ public:
     guaranteed to be less than `tolerance`. It means that the square
     root of transport cost per mass (homogeneous to a distance) is at
     most `tolerance`.
-    
+
     \param tolerance Tolerance on the Wasserstein distance.
    */
   void run_under_wasserstein_tolerance (const FT tolerance) {
@@ -1594,7 +1594,7 @@ public:
       performed++;
 
     if (m_verbose > 0)
-      std::cerr << " done" << " (" << performed 
+      std::cerr << " done" << " (" << performed
                 << " iters, " << m_dt.number_of_vertices() - 4
                 << " V, " << timer.time() << " s)"
                 << std::endl;
@@ -1602,7 +1602,7 @@ public:
 
 
   /*!
-    Since noise and missing data may prevent the reconstructed shape to have sharp corners well located, the algorithm offers the possibility to automatically relocate points after each edge collapse. The new location of the points is chosen such that the fitting of the output segments to the input points is improved. 
+    Since noise and missing data may prevent the reconstructed shape to have sharp corners well located, the algorithm offers the possibility to automatically relocate points after each edge collapse. The new location of the points is chosen such that the fitting of the output segments to the input points is improved.
    */
   void relocate_all_points() {
     CGAL::Real_timer timer;
@@ -1654,11 +1654,11 @@ public:
 
   /*!
     Writes the points and segments of the output simplex in an indexed format into output iterators.
-        \tparam PointOutputIterator An output iterator with value type 
+        \tparam PointOutputIterator An output iterator with value type
                 \link Optimal_transportation_reconstruction_2::Point Point \endlink.
-        \tparam IndexOutputIterator An output iterator with value type 
+        \tparam IndexOutputIterator An output iterator with value type
                 `std::size_t`.
-        \tparam IndexPairOutputIterator An output iterator with value type 
+        \tparam IndexPairOutputIterator An output iterator with value type
                 `std::pair<std::size_t, std::size_t>`.
 
         \param points The output iterator for all points.
@@ -1670,7 +1670,7 @@ public:
     typename IndexOutputIterator,
     typename IndexPairOutputIterator>
   std::tuple<
-    PointOutputIterator, 
+    PointOutputIterator,
     IndexOutputIterator,
     IndexPairOutputIterator>
   indexed_output(
@@ -1737,9 +1737,9 @@ public:
     \details It takes two output iterators, one for storing the
     isolated points and one for storing the edges of the reconstructed shape.
 
-    \tparam PointOutputIterator An output iterator with value type 
+    \tparam PointOutputIterator An output iterator with value type
             \link Optimal_transportation_reconstruction_2::Point Point \endlink.
-    \tparam SegmentOutputIterator An output iterator with value type 
+    \tparam SegmentOutputIterator An output iterator with value type
             \link Optimal_transportation_reconstruction_2::Segment Segment \endlink.
    */
   template<class PointOutputIterator, class SegmentOutputIterator>
@@ -1790,7 +1790,7 @@ public:
 
   /// \cond SKIP_IN_MANUAL
   const Triangulation& tds() const { return m_dt; }
-  
+
   void extract_tds_output(Triangulation& rt2) const {
     rt2 = m_dt;
     //mark vertices
diff -pruN 5.0.2-3/include/CGAL/Optimisation/Access_coordinates_begin_2.h 5.0.3-1/include/CGAL/Optimisation/Access_coordinates_begin_2.h
--- 5.0.2-3/include/CGAL/Optimisation/Access_coordinates_begin_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Optimisation/Access_coordinates_begin_2.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimisation_basic/include/CGAL/Optimisation/Access_coordinates_begin_2.h $
-// $Id: Access_coordinates_begin_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimisation_basic/include/CGAL/Optimisation/Access_coordinates_begin_2.h $
+// $Id: Access_coordinates_begin_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Optimisation/Access_coordinates_begin_3.h 5.0.3-1/include/CGAL/Optimisation/Access_coordinates_begin_3.h
--- 5.0.2-3/include/CGAL/Optimisation/Access_coordinates_begin_3.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Optimisation/Access_coordinates_begin_3.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimisation_basic/include/CGAL/Optimisation/Access_coordinates_begin_3.h $
-// $Id: Access_coordinates_begin_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimisation_basic/include/CGAL/Optimisation/Access_coordinates_begin_3.h $
+// $Id: Access_coordinates_begin_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Optimisation/Access_coordinates_begin_d.h 5.0.3-1/include/CGAL/Optimisation/Access_coordinates_begin_d.h
--- 5.0.2-3/include/CGAL/Optimisation/Access_coordinates_begin_d.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Optimisation/Access_coordinates_begin_d.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimisation_basic/include/CGAL/Optimisation/Access_coordinates_begin_d.h $
-// $Id: Access_coordinates_begin_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimisation_basic/include/CGAL/Optimisation/Access_coordinates_begin_d.h $
+// $Id: Access_coordinates_begin_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
@@ -52,17 +52,17 @@ class Access_coordinates_begin_d {
     // operations
 private:
     Coordinate_iterator
-    access( const Point& p, const Cartesian_tag&) const 
+    access( const Point& p, const Cartesian_tag&) const
     { return p.cartesian_begin(); }
-  
+
     Coordinate_iterator
-    access( const Point& p, const Homogeneous_tag&) const 
+    access( const Point& p, const Homogeneous_tag&) const
     { return p.homogeneous_begin(); }
-  
-  
+
+
 public:
     Coordinate_iterator
-    operator() ( const Point& p) const { 
+    operator() ( const Point& p) const {
       return p.homogeneous_begin();
     }
 };
diff -pruN 5.0.2-3/include/CGAL/Optimisation/Access_dimension_2.h 5.0.3-1/include/CGAL/Optimisation/Access_dimension_2.h
--- 5.0.2-3/include/CGAL/Optimisation/Access_dimension_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Optimisation/Access_dimension_2.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimisation_basic/include/CGAL/Optimisation/Access_dimension_2.h $
-// $Id: Access_dimension_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimisation_basic/include/CGAL/Optimisation/Access_dimension_2.h $
+// $Id: Access_dimension_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Optimisation/Access_dimension_3.h 5.0.3-1/include/CGAL/Optimisation/Access_dimension_3.h
--- 5.0.2-3/include/CGAL/Optimisation/Access_dimension_3.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Optimisation/Access_dimension_3.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimisation_basic/include/CGAL/Optimisation/Access_dimension_3.h $
-// $Id: Access_dimension_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimisation_basic/include/CGAL/Optimisation/Access_dimension_3.h $
+// $Id: Access_dimension_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Optimisation/Access_dimension_d.h 5.0.3-1/include/CGAL/Optimisation/Access_dimension_d.h
--- 5.0.2-3/include/CGAL/Optimisation/Access_dimension_d.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Optimisation/Access_dimension_d.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimisation_basic/include/CGAL/Optimisation/Access_dimension_d.h $
-// $Id: Access_dimension_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimisation_basic/include/CGAL/Optimisation/Access_dimension_d.h $
+// $Id: Access_dimension_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Optimisation/assertions.h 5.0.3-1/include/CGAL/Optimisation/assertions.h
--- 5.0.2-3/include/CGAL/Optimisation/assertions.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Optimisation/assertions.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimisation_basic/include/CGAL/Optimisation/assertions.h $
-// $Id: assertions.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimisation_basic/include/CGAL/Optimisation/assertions.h $
+// $Id: assertions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman, Sven Schoenherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Optimisation/basic.h 5.0.3-1/include/CGAL/Optimisation/basic.h
--- 5.0.2-3/include/CGAL/Optimisation/basic.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Optimisation/basic.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimisation_basic/include/CGAL/Optimisation/basic.h $
-// $Id: basic.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimisation_basic/include/CGAL/Optimisation/basic.h $
+// $Id: basic.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Optimisation/Construct_point_2.h 5.0.3-1/include/CGAL/Optimisation/Construct_point_2.h
--- 5.0.2-3/include/CGAL/Optimisation/Construct_point_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Optimisation/Construct_point_2.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimisation_basic/include/CGAL/Optimisation/Construct_point_2.h $
-// $Id: Construct_point_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimisation_basic/include/CGAL/Optimisation/Construct_point_2.h $
+// $Id: Construct_point_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
@@ -50,16 +50,16 @@ class _Construct_point_2 {
     operator() ( int, InputIterator first, InputIterator last) const
     {
         InputIterator i(first);
-	typename K::RT x = *(i++);
-	typename K::RT y = *(i++);
-	typedef typename K::Construct_point_2 Construct_point_2;
-	Construct_point_2 construct_point_2 = K().construct_point_2_object();
-	if (i==last) {
-	    return construct_point_2(x,y);
-	} else {
-	    typename K::RT h = *(i++);
-	    return construct_point_2(x,y,h); 
-	}
+        typename K::RT x = *(i++);
+        typename K::RT y = *(i++);
+        typedef typename K::Construct_point_2 Construct_point_2;
+        Construct_point_2 construct_point_2 = K().construct_point_2_object();
+        if (i==last) {
+            return construct_point_2(x,y);
+        } else {
+            typename K::RT h = *(i++);
+            return construct_point_2(x,y,h);
+        }
     }
 };
 
diff -pruN 5.0.2-3/include/CGAL/Optimisation/Construct_point_3.h 5.0.3-1/include/CGAL/Optimisation/Construct_point_3.h
--- 5.0.2-3/include/CGAL/Optimisation/Construct_point_3.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Optimisation/Construct_point_3.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimisation_basic/include/CGAL/Optimisation/Construct_point_3.h $
-// $Id: Construct_point_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimisation_basic/include/CGAL/Optimisation/Construct_point_3.h $
+// $Id: Construct_point_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
@@ -50,17 +50,17 @@ class _Construct_point_3 {
     operator() ( int, InputIterator first, InputIterator last) const
     {
         InputIterator i(first);
-	typename K::RT x = *(i++);
-	typename K::RT y = *(i++);
-	typename K::RT z = *(i++);
-	typedef typename K::Construct_point_3 Construct_point_3;
-	Construct_point_3 construct_point_3 = K().construct_point_3_object();
-	if (i==last) {
-	    return construct_point_3(x,y,z);
-	} else {
-	    typename K::RT h = *(i++);
-	    return construct_point_3(x,y,z,h); 
-	}
+        typename K::RT x = *(i++);
+        typename K::RT y = *(i++);
+        typename K::RT z = *(i++);
+        typedef typename K::Construct_point_3 Construct_point_3;
+        Construct_point_3 construct_point_3 = K().construct_point_3_object();
+        if (i==last) {
+            return construct_point_3(x,y,z);
+        } else {
+            typename K::RT h = *(i++);
+            return construct_point_3(x,y,z,h);
+        }
     }
 
 };
diff -pruN 5.0.2-3/include/CGAL/Optimisation/Construct_point_d.h 5.0.3-1/include/CGAL/Optimisation/Construct_point_d.h
--- 5.0.2-3/include/CGAL/Optimisation/Construct_point_d.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Optimisation/Construct_point_d.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimisation_basic/include/CGAL/Optimisation/Construct_point_d.h $
-// $Id: Construct_point_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimisation_basic/include/CGAL/Optimisation/Construct_point_d.h $
+// $Id: Construct_point_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
@@ -50,7 +50,7 @@ class _Construct_point_d {
     {
         // d-dim kernel has no functor to construct a point, use point's
         // constructor
-	return Point( d, first, last);
+        return Point( d, first, last);
     }
 };
 
diff -pruN 5.0.2-3/include/CGAL/Optimisation/debug.h 5.0.3-1/include/CGAL/Optimisation/debug.h
--- 5.0.2-3/include/CGAL/Optimisation/debug.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Optimisation/debug.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimisation_basic/include/CGAL/Optimisation/debug.h $
-// $Id: debug.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimisation_basic/include/CGAL/Optimisation/debug.h $
+// $Id: debug.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Optimisation_d_traits_2.h 5.0.3-1/include/CGAL/Optimisation_d_traits_2.h
--- 5.0.2-3/include/CGAL/Optimisation_d_traits_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Optimisation_d_traits_2.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimisation_basic/include/CGAL/Optimisation_d_traits_2.h $
-// $Id: Optimisation_d_traits_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimisation_basic/include/CGAL/Optimisation_d_traits_2.h $
+// $Id: Optimisation_d_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Optimisation_d_traits_3.h 5.0.3-1/include/CGAL/Optimisation_d_traits_3.h
--- 5.0.2-3/include/CGAL/Optimisation_d_traits_3.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Optimisation_d_traits_3.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimisation_basic/include/CGAL/Optimisation_d_traits_3.h $
-// $Id: Optimisation_d_traits_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimisation_basic/include/CGAL/Optimisation_d_traits_3.h $
+// $Id: Optimisation_d_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Optimisation_d_traits_d.h 5.0.3-1/include/CGAL/Optimisation_d_traits_d.h
--- 5.0.2-3/include/CGAL/Optimisation_d_traits_d.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Optimisation_d_traits_d.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimisation_basic/include/CGAL/Optimisation_d_traits_d.h $
-// $Id: Optimisation_d_traits_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimisation_basic/include/CGAL/Optimisation_d_traits_d.h $
+// $Id: Optimisation_d_traits_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/optimize_mesh_3.h 5.0.3-1/include/CGAL/optimize_mesh_3.h
--- 5.0.2-3/include/CGAL/optimize_mesh_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/optimize_mesh_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/optimize_mesh_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/optimize_mesh_3.h $
 // $Id: optimize_mesh_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/optimize_periodic_3_mesh_3.h 5.0.3-1/include/CGAL/optimize_periodic_3_mesh_3.h
--- 5.0.2-3/include/CGAL/optimize_periodic_3_mesh_3.h	2020-02-21 20:03:52.000000000 +0000
+++ 5.0.3-1/include/CGAL/optimize_periodic_3_mesh_3.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_mesh_3/include/CGAL/optimize_periodic_3_mesh_3.h $
-// $Id: optimize_periodic_3_mesh_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_mesh_3/include/CGAL/optimize_periodic_3_mesh_3.h $
+// $Id: optimize_periodic_3_mesh_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     :  Stephane Tayeb,
@@ -28,7 +28,7 @@ namespace CGAL {
 #  pragma warning(push)
 #  pragma warning(disable:4003) // not enough actual parameters for macro
 #endif
-  
+
 // see <CGAL/config.h>
 CGAL_PRAGMA_DIAG_PUSH
 // see <CGAL/boost/parameter.h>
diff -pruN 5.0.2-3/include/CGAL/Orientation_Linf_2.h 5.0.3-1/include/CGAL/Orientation_Linf_2.h
--- 5.0.2-3/include/CGAL/Orientation_Linf_2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Orientation_Linf_2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Orientation_Linf_2.h $
-// $Id: Orientation_Linf_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Orientation_Linf_2.h $
+// $Id: Orientation_Linf_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -39,7 +39,7 @@ private:
 
 
   OrientationLinf predicate(const Point_2& p, const Point_2& q,
-	                    const Point_2& r) const
+                            const Point_2& r) const
   {
     Comparison_result cmpxpq = compare_x_2(p, q);
     Comparison_result cmpypq = compare_y_2(p, q);
@@ -49,34 +49,34 @@ private:
     Comparison_result cmpyqr = compare_y_2(q, r);
 
     //std::cout << "debug Orientation_Linf_2 (p,q,r)= "
-    //          << p << ' ' << q << ' ' << r 
+    //          << p << ' ' << q << ' ' << r
     //          << std::endl;
 
     if ( cmpxpq == EQUAL ) {
       if (cmpypq == EQUAL) {//p and q are same points
         return DEGENERATE;
-      } 
+      }
       else {//pq forms a vertical line
         if (cmpxpr == EQUAL) {//r lies on the vertical line formed by pq
           return DEGENERATE;
-        } 
+        }
         else {
           return (cmpypq == cmpxpr) ? RIGHT_TURN : LEFT_TURN ;
         }
       }
-    } 
-    else if ( cmpypq == EQUAL ) {//p and q forms a horizontal line 
+    }
+    else if ( cmpypq == EQUAL ) {//p and q forms a horizontal line
       // here: cmpxpq != EQUAL
       if (cmpypr == EQUAL) {//r lies on the horizontal line formed by pq
         return DEGENERATE;
-      } 
+      }
       else {
         return (cmpxpq == cmpypr) ? LEFT_TURN : RIGHT_TURN ;
       }
     }
     else {
       // here both cmpxpq != EQUAL and cmpypq != EQUAL
-      bool is_monotone = 
+      bool is_monotone =
           ( ( ( cmpxpr == -cmpxqr ) &&
               ( cmpypr == -cmpyqr )    ) ||
             ( ( cmpxpq == cmpxpr) && ( cmpxpr == cmpxqr ) &&
@@ -84,7 +84,7 @@ private:
             ( (-cmpxpq == cmpxpr) && ( cmpxpr == cmpxqr) &&
               (-cmpypq == cmpypr) && ( cmpypr == cmpyqr)     )    ) ;
 
-      //std::cout << "debug is_monotone=" << is_monotone << std::endl; 
+      //std::cout << "debug is_monotone=" << is_monotone << std::endl;
 
       if (is_monotone) {
         //p, q, r are monotone here
@@ -99,15 +99,15 @@ private:
           if ( cmpypq == SMALLER ) {//CASE-I q lies in the North East of p
             return (cmpyqr == SMALLER ||
                 cmpxpr == LARGER  ||
-                (cmpxqr == LARGER && cmpypr == SMALLER)) ? 
+                (cmpxqr == LARGER && cmpypr == SMALLER)) ?
               LEFT_TURN : RIGHT_TURN;
           }//end of CASE-I
           else {
-            // compare_y_2(p, q) == LARGER -- 
+            // compare_y_2(p, q) == LARGER --
             // CASE-II q lies in the South East of p
             return (cmpxqr == SMALLER ||
                 cmpypr == SMALLER ||
-                (cmpxpr == SMALLER && cmpyqr == SMALLER)) ? 
+                (cmpxpr == SMALLER && cmpyqr == SMALLER)) ?
               LEFT_TURN : RIGHT_TURN;
           }//end of CASE-II
         }
@@ -119,15 +119,15 @@ private:
             //    << std::endl;
             return (cmpxpr == SMALLER ||
                 cmpyqr == SMALLER ||
-                (cmpxqr == SMALLER && cmpypr == SMALLER)) ? 
-              RIGHT_TURN : LEFT_TURN;			
+                (cmpxqr == SMALLER && cmpypr == SMALLER)) ?
+              RIGHT_TURN : LEFT_TURN;
           }//end of CASE-III
           else {//compare_y_2(p, q) == LARGER -- CASE-IV q lies in the South West of p
             //std::cout << "debug Orientation_Linf_2 cmpypq LARGER"
             //    << std::endl;
             return (cmpypr == SMALLER ||
                 cmpxqr == LARGER ||
-                (cmpxpr == LARGER && cmpyqr == SMALLER)) ? 
+                (cmpxpr == LARGER && cmpyqr == SMALLER)) ?
               RIGHT_TURN : LEFT_TURN;
           }//end of CASE-IV
         }
@@ -140,7 +140,7 @@ public:
   typedef Point_2           argument_type;
 
   OrientationLinf operator()(const Point_2& p, const Point_2& q,
-	                     const Point_2& r) const
+                             const Point_2& r) const
   {
     return predicate(p, q, r);
   }
diff -pruN 5.0.2-3/include/CGAL/Origin.h 5.0.3-1/include/CGAL/Origin.h
--- 5.0.2-3/include/CGAL/Origin.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Origin.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Origin.h $
-// $Id: Origin.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Origin.h $
+// $Id: Origin.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 //                 Stefan Schirra
diff -pruN 5.0.2-3/include/CGAL/Origin_impl.h 5.0.3-1/include/CGAL/Origin_impl.h
--- 5.0.2-3/include/CGAL/Origin_impl.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Origin_impl.h	2020-08-01 19:02:26.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Origin_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Origin_impl.h $
 // $Id: Origin_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Orthogonal_incremental_neighbor_search.h 5.0.3-1/include/CGAL/Orthogonal_incremental_neighbor_search.h
--- 5.0.2-3/include/CGAL/Orthogonal_incremental_neighbor_search.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Orthogonal_incremental_neighbor_search.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Orthogonal_incremental_neighbor_search.h $
-// $Id: Orthogonal_incremental_neighbor_search.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Orthogonal_incremental_neighbor_search.h $
+// $Id: Orthogonal_incremental_neighbor_search.h ec1dd74 2020-06-09T18:27:39+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Hans Tangelder (<hanst@cs.uu.nl>)
 
@@ -23,11 +23,11 @@
 #include <memory>
 #include <CGAL/Kd_tree.h>
 #include <CGAL/Euclidean_distance.h>
-#include <CGAL/tuple.h>
+#include <tuple> // std::get for tuple
 
 namespace CGAL {
 
-  template <class SearchTraits, 
+  template <class SearchTraits,
             class Distance_= typename internal::Spatial_searching_default_distance<SearchTraits>::type,
             class Splitter_ = Sliding_midpoint<SearchTraits>,
             class Tree_= Kd_tree<SearchTraits, Splitter_, Tag_true> >
@@ -50,7 +50,7 @@ namespace CGAL {
 
     template<class T>
     struct Object_wrapper
-    {   
+    {
       T object;
       Object_wrapper(const T& t):object(t){}
       const T& operator* () const { return object; }
@@ -69,11 +69,11 @@ namespace CGAL {
     private:
 
       typedef std::vector<FT> Distance_vector;
-    
+
       Distance_vector dists;
 
       Distance Orthogonal_distance_instance;
-    
+
       FT multiplication_factor;
 
       Query_item query_point;
@@ -90,15 +90,15 @@ namespace CGAL {
 
         bool search_nearest;
 
-        Priority_higher(bool search_the_nearest_neighbour) 
-	  : search_nearest(search_the_nearest_neighbour)
-	{} 
+        Priority_higher(bool search_the_nearest_neighbour)
+          : search_nearest(search_the_nearest_neighbour)
+        {}
 
         //highest priority is smallest distance
-        bool 
-	operator() (Node_with_distance* n1, Node_with_distance* n2) const
-	{
-	  return (search_nearest) ? (std::get<1>(*n1) > std::get<1>(*n2)) : (std::get<1>(*n2) > std::get<1>(*n1));
+        bool
+        operator() (Node_with_distance* n1, Node_with_distance* n2) const
+        {
+          return (search_nearest) ? (std::get<1>(*n1) > std::get<1>(*n2)) : (std::get<1>(*n2) > std::get<1>(*n1));
         }
       };
 
@@ -108,43 +108,43 @@ namespace CGAL {
 
         bool search_nearest;
 
-        Distance_smaller(bool search_the_nearest_neighbour) 
-	  : search_nearest(search_the_nearest_neighbour)
-	{}
+        Distance_smaller(bool search_the_nearest_neighbour)
+          : search_nearest(search_the_nearest_neighbour)
+        {}
 
         //highest priority is smallest distance
         bool operator() (Point_with_transformed_distance* p1, Point_with_transformed_distance* p2) const
-	{
-	  return (search_nearest) ? (p1->second > p2->second) : (p2->second > p1->second);
+        {
+          return (search_nearest) ? (p1->second > p2->second) : (p2->second > p1->second);
         }
       };
 
 
       std::priority_queue<Node_with_distance*, Node_with_distance_vector,
-	                  Priority_higher> PriorityQueue;
+                          Priority_higher> PriorityQueue;
 
     public:
       std::priority_queue<Point_with_transformed_distance*, Point_with_transformed_distance_vector,
-	                  Distance_smaller> Item_PriorityQueue;
+                          Distance_smaller> Item_PriorityQueue;
 
 
     public:
 
       int reference_count;
 
-    
+
 
       // constructor
       Iterator_implementation(const Tree& tree,const Query_item& q, const Distance& tr,
-			      FT Eps=FT(0.0), bool search_nearest=true)
-	: traits(tree.traits()),number_of_neighbours_computed(0), number_of_internal_nodes_visited(0), 
-	number_of_leaf_nodes_visited(0), number_of_items_visited(0),
-	Orthogonal_distance_instance(tr), multiplication_factor(Orthogonal_distance_instance.transformed_distance(FT(1.0)+Eps)), 
-	query_point(q), search_nearest_neighbour(search_nearest), 
-	PriorityQueue(Priority_higher(search_nearest)), Item_PriorityQueue(Distance_smaller(search_nearest)),
-	reference_count(1)
-	  
-	  
+                              FT Eps=FT(0.0), bool search_nearest=true)
+        : traits(tree.traits()),number_of_neighbours_computed(0), number_of_internal_nodes_visited(0),
+        number_of_leaf_nodes_visited(0), number_of_items_visited(0),
+        Orthogonal_distance_instance(tr), multiplication_factor(Orthogonal_distance_instance.transformed_distance(FT(1.0)+Eps)),
+        query_point(q), search_nearest_neighbour(search_nearest),
+        PriorityQueue(Priority_higher(search_nearest)), Item_PriorityQueue(Distance_smaller(search_nearest)),
+        reference_count(1)
+
+
       {
         if (tree.empty()) return;
 
@@ -155,12 +155,12 @@ namespace CGAL {
         for(int i=0 ; i<dim ; ++i){
           dists[i] = 0;
         }
-        
-        if (search_nearest){ 
-	  distance_to_root=
-	    Orthogonal_distance_instance.min_distance_to_rectangle(q, tree.bounding_box(),dists);
+
+        if (search_nearest){
+          distance_to_root=
+            Orthogonal_distance_instance.min_distance_to_rectangle(q, tree.bounding_box(),dists);
           Node_with_distance *The_Root = new Node_with_distance(tree.root(),
-							        distance_to_root, dists);
+                                                                distance_to_root, dists);
           PriorityQueue.push(The_Root);
 
           // rd is the distance of the top of the priority queue to q
@@ -169,8 +169,8 @@ namespace CGAL {
         }
          else{
            distance_to_root=
-   	 Orthogonal_distance_instance.max_distance_to_rectangle(q,
-						tree.bounding_box(), dists);
+            Orthogonal_distance_instance.max_distance_to_rectangle(q,
+                                                tree.bounding_box(), dists);
            Node_with_distance *The_Root = new Node_with_distance(tree.root(),
                                                                  distance_to_root, dists);
         PriorityQueue.push(The_Root);
@@ -180,19 +180,19 @@ namespace CGAL {
         Compute_the_next_furthest_neighbour();
          }
 
-        
+
       }
 
       // * operator
-      const Point_with_transformed_distance& 
-      operator* () const 
+      const Point_with_transformed_distance&
+      operator* () const
       {
-	return *(Item_PriorityQueue.top());
+        return *(Item_PriorityQueue.top());
       }
 
       // prefix operator
-      Iterator_implementation& 
-      operator++() 
+      Iterator_implementation&
+      operator++()
       {
         Delete_the_current_item_top();
         if(search_nearest_neighbour)
@@ -204,7 +204,7 @@ namespace CGAL {
 
       // postfix operator
       Object_wrapper<Point_with_transformed_distance>
-      operator++(int) 
+      operator++(int)
       {
         Object_wrapper<Point_with_transformed_distance> result( *(Item_PriorityQueue.top()) );
         ++*this;
@@ -212,251 +212,251 @@ namespace CGAL {
       }
 
       // Print statistics of the general priority search process.
-      std::ostream& 
+      std::ostream&
       statistics (std::ostream& s) const {
-    	s << "Orthogonal priority search statistics:" 
-	  << std::endl;
-    	s << "Number of internal nodes visited:" 
-	  << number_of_internal_nodes_visited << std::endl;
-    	s << "Number of leaf nodes visited:" 
-	  << number_of_leaf_nodes_visited << std::endl;
-    	s << "Number of items visited:" 
-	  << number_of_items_visited << std::endl;
-        s << "Number of neighbours computed:" 
-	  << number_of_neighbours_computed << std::endl;
+            s << "Orthogonal priority search statistics:"
+          << std::endl;
+            s << "Number of internal nodes visited:"
+          << number_of_internal_nodes_visited << std::endl;
+            s << "Number of leaf nodes visited:"
+          << number_of_leaf_nodes_visited << std::endl;
+            s << "Number of items visited:"
+          << number_of_items_visited << std::endl;
+        s << "Number of neighbours computed:"
+          << number_of_neighbours_computed << std::endl;
         return s;
       }
 
 
       //destructor
-      ~Iterator_implementation() 
+      ~Iterator_implementation()
       {
-	while (!PriorityQueue.empty()) {
-	  Node_with_distance* The_top=PriorityQueue.top();
-	  PriorityQueue.pop();
-	  delete The_top;
-	}
-	while (!Item_PriorityQueue.empty()) {
-	  Point_with_transformed_distance* The_top=Item_PriorityQueue.top();
-	  Item_PriorityQueue.pop();
-	  delete The_top;
+        while (!PriorityQueue.empty()) {
+          Node_with_distance* The_top=PriorityQueue.top();
+          PriorityQueue.pop();
+          delete The_top;
+        }
+        while (!Item_PriorityQueue.empty()) {
+          Point_with_transformed_distance* The_top=Item_PriorityQueue.top();
+          Item_PriorityQueue.pop();
+          delete The_top;
         }
       }
 
     private:
 
-      void 
-      Delete_the_current_item_top() 
+      void
+      Delete_the_current_item_top()
       {
         Point_with_transformed_distance* The_item_top=Item_PriorityQueue.top();
         Item_PriorityQueue.pop();
         delete The_item_top;
       }
 
-      void 
-      Compute_the_next_nearest_neighbour() 
+      void
+      Compute_the_next_nearest_neighbour()
       {
         // compute the next item
         bool next_neighbour_found=false;
         if (!(Item_PriorityQueue.empty())) {
-	    next_neighbour_found=
-	      (multiplication_factor*rd > Item_PriorityQueue.top()->second);
+            next_neighbour_found=
+              (multiplication_factor*rd > Item_PriorityQueue.top()->second);
         }
-	typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
-	typename SearchTraits::Cartesian_const_iterator_d query_point_it = construct_it(query_point);
+        typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
+        typename SearchTraits::Cartesian_const_iterator_d query_point_it = construct_it(query_point);
         // otherwise browse the tree further
         while ((!next_neighbour_found) && (!PriorityQueue.empty())) {
-	  Node_with_distance* The_node_top=PriorityQueue.top();
-	  Node_const_handle N= std::get<0>(*The_node_top);
+          Node_with_distance* The_node_top=PriorityQueue.top();
+          Node_const_handle N= std::get<0>(*The_node_top);
           dists = std::get<2>(*The_node_top);
-	  PriorityQueue.pop();
-	  delete The_node_top;
-	  FT copy_rd=rd;
-	  while (!(N->is_leaf())) { // compute new distance
+          PriorityQueue.pop();
+          delete The_node_top;
+          FT copy_rd=rd;
+          while (!(N->is_leaf())) { // compute new distance
             typename Tree::Internal_node_const_handle node =
             static_cast<typename Tree::Internal_node_const_handle>(N);
-	    number_of_internal_nodes_visited++;
-	    int new_cut_dim=node->cutting_dimension();
-	    FT new_rd,dst = dists[new_cut_dim];
-	    FT val = *(query_point_it + new_cut_dim);
+            number_of_internal_nodes_visited++;
+            int new_cut_dim=node->cutting_dimension();
+            FT new_rd,dst = dists[new_cut_dim];
+            FT val = *(query_point_it + new_cut_dim);
             FT diff1 = val - node->upper_low_value();
             FT diff2 = val - node->lower_high_value();
-	    if (diff1 + diff2 < FT(0.0)) {
+            if (diff1 + diff2 < FT(0.0)) {
               new_rd=
-		Orthogonal_distance_instance.new_distance(copy_rd,dst,diff1,new_cut_dim);
-                
-	      CGAL_assertion(new_rd >= copy_rd);
+                Orthogonal_distance_instance.new_distance(copy_rd,dst,diff1,new_cut_dim);
+
+              CGAL_assertion(new_rd >= copy_rd);
                 dists[new_cut_dim] = diff1;
                 Node_with_distance *Upper_Child =
-		  new Node_with_distance(node->upper(), new_rd, dists);
-		PriorityQueue.push(Upper_Child);
+                  new Node_with_distance(node->upper(), new_rd, dists);
+                PriorityQueue.push(Upper_Child);
                 dists[new_cut_dim] = dst;
-		N=node->lower();
+                N=node->lower();
 
-	    }
-	    else { // compute new distance
-	      new_rd=Orthogonal_distance_instance.new_distance(copy_rd,dst,diff2,new_cut_dim);  
-	      CGAL_assertion(new_rd >= copy_rd);
+            }
+            else { // compute new distance
+              new_rd=Orthogonal_distance_instance.new_distance(copy_rd,dst,diff2,new_cut_dim);
+              CGAL_assertion(new_rd >= copy_rd);
                 dists[new_cut_dim] = diff2;
-		Node_with_distance *Lower_Child =
-		  new Node_with_distance(node->lower(), new_rd, dists);
-		PriorityQueue.push(Lower_Child);
+                Node_with_distance *Lower_Child =
+                  new Node_with_distance(node->lower(), new_rd, dists);
+                PriorityQueue.push(Lower_Child);
                 dists[new_cut_dim] = dst;
-		N=node->upper();
-	    }
-	  }
-	  // n is a leaf
+                N=node->upper();
+            }
+          }
+          // n is a leaf
           typename Tree::Leaf_node_const_handle node =
             static_cast<typename Tree::Leaf_node_const_handle>(N);
-	  number_of_leaf_nodes_visited++;
-	  if (node->size() > 0) {
-	    for (typename Tree::iterator it=node->begin(); it != node->end(); it++) {
-	      number_of_items_visited++;
-	      FT distance_to_query_point=
-		Orthogonal_distance_instance.transformed_distance(query_point,*it);
-	      Point_with_transformed_distance *NN_Candidate=
-		new Point_with_transformed_distance(*it,distance_to_query_point);
-	      Item_PriorityQueue.push(NN_Candidate);
-	    }
-	    // old top of PriorityQueue has been processed,
-	    // hence update rd
-                
-	    if (!(PriorityQueue.empty()))  {
-	      rd = std::get<1>(*PriorityQueue.top());
-		next_neighbour_found =
-                  (multiplication_factor*rd > 
-		   Item_PriorityQueue.top()->second);
-	    }
-	    else // priority queue empty => last neighbour found
-	      {
-		next_neighbour_found=true;
-	      }
+          number_of_leaf_nodes_visited++;
+          if (node->size() > 0) {
+            for (typename Tree::iterator it=node->begin(); it != node->end(); it++) {
+              number_of_items_visited++;
+              FT distance_to_query_point=
+                Orthogonal_distance_instance.transformed_distance(query_point,*it);
+              Point_with_transformed_distance *NN_Candidate=
+                new Point_with_transformed_distance(*it,distance_to_query_point);
+              Item_PriorityQueue.push(NN_Candidate);
+            }
+            // old top of PriorityQueue has been processed,
+            // hence update rd
+
+            if (!(PriorityQueue.empty()))  {
+              rd = std::get<1>(*PriorityQueue.top());
+                next_neighbour_found =
+                  (multiplication_factor*rd >
+                   Item_PriorityQueue.top()->second);
+            }
+            else // priority queue empty => last neighbour found
+              {
+                next_neighbour_found=true;
+              }
 
-	    number_of_neighbours_computed++;
-	  }
+            number_of_neighbours_computed++;
+          }
         }   // next_neighbour_found or priority queue is empty
         // in the latter case also the item priority quee is empty
       }
 
 
-      void 
-      Compute_the_next_furthest_neighbour() 
+      void
+      Compute_the_next_furthest_neighbour()
       {
         // compute the next item
         bool next_neighbour_found=false;
         if (!(Item_PriorityQueue.empty())) {
-	    next_neighbour_found=
-	      (rd < multiplication_factor*Item_PriorityQueue.top()->second);
+            next_neighbour_found=
+              (rd < multiplication_factor*Item_PriorityQueue.top()->second);
         }
-	typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
-	typename SearchTraits::Cartesian_const_iterator_d query_point_it = construct_it(query_point);
+        typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
+        typename SearchTraits::Cartesian_const_iterator_d query_point_it = construct_it(query_point);
         // otherwise browse the tree further
         while ((!next_neighbour_found) && (!PriorityQueue.empty())) {
-	  Node_with_distance* The_node_top=PriorityQueue.top();
-	  Node_const_handle N= std::get<0>(*The_node_top);
+          Node_with_distance* The_node_top=PriorityQueue.top();
+          Node_const_handle N= std::get<0>(*The_node_top);
           dists = std::get<2>(*The_node_top);
-	  PriorityQueue.pop();
-	  delete The_node_top;
-	  FT copy_rd=rd;
-	  while (!(N->is_leaf())) { // compute new distance
+          PriorityQueue.pop();
+          delete The_node_top;
+          FT copy_rd=rd;
+          while (!(N->is_leaf())) { // compute new distance
             typename Tree::Internal_node_const_handle node =
               static_cast<typename Tree::Internal_node_const_handle>(N);
-	    number_of_internal_nodes_visited++;
-	    int new_cut_dim=node->cutting_dimension();
-	    FT new_rd,dst = dists[new_cut_dim];
-	    FT val = *(query_point_it + new_cut_dim);
+            number_of_internal_nodes_visited++;
+            int new_cut_dim=node->cutting_dimension();
+            FT new_rd,dst = dists[new_cut_dim];
+            FT val = *(query_point_it + new_cut_dim);
             FT diff1 = val - node->upper_low_value();
             FT diff2 = val - node->lower_high_value();
-	    if (diff1 + diff2 < FT(0.0)) {
+            if (diff1 + diff2 < FT(0.0)) {
               diff1 = val - node->upper_high_value();
               new_rd=
-		Orthogonal_distance_instance.new_distance(copy_rd,dst,diff1,new_cut_dim);
-		Node_with_distance *Lower_Child =
-		  new Node_with_distance(node->lower(), copy_rd, dists);
-		PriorityQueue.push(Lower_Child);
-		N=node->upper();
+                Orthogonal_distance_instance.new_distance(copy_rd,dst,diff1,new_cut_dim);
+                Node_with_distance *Lower_Child =
+                  new Node_with_distance(node->lower(), copy_rd, dists);
+                PriorityQueue.push(Lower_Child);
+                N=node->upper();
                 dists[new_cut_dim] = diff1;
-		copy_rd=new_rd;
+                copy_rd=new_rd;
 
-	    }
-	    else { // compute new distance
+            }
+            else { // compute new distance
               diff2 = val - node->lower_low_value();
-	      new_rd=Orthogonal_distance_instance.new_distance(copy_rd,dst,diff2,new_cut_dim);  
-		Node_with_distance *Upper_Child =
-		  new Node_with_distance(node->upper(), copy_rd, dists);
-		PriorityQueue.push(Upper_Child);
-		N=node->lower();
+              new_rd=Orthogonal_distance_instance.new_distance(copy_rd,dst,diff2,new_cut_dim);
+                Node_with_distance *Upper_Child =
+                  new Node_with_distance(node->upper(), copy_rd, dists);
+                PriorityQueue.push(Upper_Child);
+                N=node->lower();
                 dists[new_cut_dim] = diff2;
-		copy_rd=new_rd;
-	    }
-	  }
-	  // n is a leaf
+                copy_rd=new_rd;
+            }
+          }
+          // n is a leaf
           typename Tree::Leaf_node_const_handle node =
             static_cast<typename Tree::Leaf_node_const_handle>(N);
-	  number_of_leaf_nodes_visited++;
-	  if (node->size() > 0) {
-	    for (typename Tree::iterator it=node->begin(); it != node->end(); it++) {
-	      number_of_items_visited++;
-	      FT distance_to_query_point=
-		Orthogonal_distance_instance.transformed_distance(query_point,*it);
-	      Point_with_transformed_distance *NN_Candidate=
-		new Point_with_transformed_distance(*it,distance_to_query_point);
-	      Item_PriorityQueue.push(NN_Candidate);
-	    }
-	    // old top of PriorityQueue has been processed,
-	    // hence update rd
-                
-	    if (!(PriorityQueue.empty()))  {
-	      rd = std::get<1>(*PriorityQueue.top());
-		next_neighbour_found =
-                  (multiplication_factor*rd < 
-		   Item_PriorityQueue.top()->second);
-	    }
-	    else // priority queue empty => last neighbour found
-	      {
-		next_neighbour_found=true;
-	      }
+          number_of_leaf_nodes_visited++;
+          if (node->size() > 0) {
+            for (typename Tree::iterator it=node->begin(); it != node->end(); it++) {
+              number_of_items_visited++;
+              FT distance_to_query_point=
+                Orthogonal_distance_instance.transformed_distance(query_point,*it);
+              Point_with_transformed_distance *NN_Candidate=
+                new Point_with_transformed_distance(*it,distance_to_query_point);
+              Item_PriorityQueue.push(NN_Candidate);
+            }
+            // old top of PriorityQueue has been processed,
+            // hence update rd
+
+            if (!(PriorityQueue.empty()))  {
+              rd = std::get<1>(*PriorityQueue.top());
+                next_neighbour_found =
+                  (multiplication_factor*rd <
+                   Item_PriorityQueue.top()->second);
+            }
+            else // priority queue empty => last neighbour found
+              {
+                next_neighbour_found=true;
+              }
 
-	    number_of_neighbours_computed++;
-	  }
+            number_of_neighbours_computed++;
+          }
         }   // next_neighbour_found or priority queue is empty
         // in the latter case also the item priority quee is empty
       }
     }; // class Iterator_implementaion
-  
 
 
 
 
 
 
-    
+
+
 
   public:
     class iterator;
     typedef iterator const_iterator;
 
     // constructor
-    Orthogonal_incremental_neighbor_search(const Tree& tree,  
-					   const Query_item& q, FT Eps = FT(0.0), 
-					   bool search_nearest=true, const Distance& tr=Distance())
+    Orthogonal_incremental_neighbor_search(const Tree& tree,
+                                           const Query_item& q, FT Eps = FT(0.0),
+                                           bool search_nearest=true, const Distance& tr=Distance())
       : m_tree(tree),m_query(q),m_dist(tr),m_Eps(Eps),m_search_nearest(search_nearest)
     {}
 
-    iterator 
+    iterator
     begin() const
     {
       return iterator(m_tree,m_query,m_dist,m_Eps,m_search_nearest);
     }
 
-    iterator 
+    iterator
     end() const
     {
       return iterator();
     }
 
-    std::ostream& 
-    statistics(std::ostream& s) 
+    std::ostream&
+    statistics(std::ostream& s)
     {
       begin()->statistics(s);
       return s;
@@ -471,7 +471,7 @@ namespace CGAL {
 
       typedef std::input_iterator_tag iterator_category;
       typedef Point_with_transformed_distance       value_type;
-      typedef Point_with_transformed_distance*      pointer;
+      typedef const Point_with_transformed_distance*      pointer;
       typedef const Point_with_transformed_distance&      reference;
       typedef std::size_t               size_type;
       typedef std::ptrdiff_t            difference_type;
@@ -484,24 +484,24 @@ namespace CGAL {
     public:
 
       // default constructor
-      iterator() 
+      iterator()
       : Ptr_implementation(0)
       {}
 
-      int 
-      the_number_of_items_visited() 
+      int
+      the_number_of_items_visited()
       {
         return Ptr_implementation->number_of_items_visited;
       }
 
       // constructor
-      iterator(const Tree& tree,const Query_item& q, const Distance& tr=Distance(), FT eps=FT(0.0), 
-	       bool search_nearest=true)
-	: Ptr_implementation(new Iterator_implementation(tree, q, tr, eps, search_nearest))
-	{}
+      iterator(const Tree& tree,const Query_item& q, const Distance& tr=Distance(), FT eps=FT(0.0),
+               bool search_nearest=true)
+        : Ptr_implementation(new Iterator_implementation(tree, q, tr, eps, search_nearest))
+        {}
 
       // copy constructor
-      iterator(const iterator& Iter) 
+      iterator(const iterator& Iter)
       {
         Ptr_implementation = Iter.Ptr_implementation;
         if (Ptr_implementation != 0) Ptr_implementation->reference_count++;
@@ -517,25 +517,25 @@ namespace CGAL {
           if (Ptr_implementation != 0) Ptr_implementation->reference_count++;
         }
         return *this;
-      }      
-      
-      
-      const Point_with_transformed_distance& 
-      operator* () const 
+      }
+
+
+      const Point_with_transformed_distance&
+      operator* () const
       {
-	return *(*Ptr_implementation);
+        return *(*Ptr_implementation);
       }
-      
+
       // -> operator
       const Point_with_transformed_distance*
-      operator-> () const 
+      operator-> () const
       {
-	return &*(*Ptr_implementation);
+        return &*(*Ptr_implementation);
       }
 
       // prefix operator
-      iterator& 
-      operator++() 
+      iterator&
+      operator++()
       {
         ++(*Ptr_implementation);
         return *this;
@@ -543,47 +543,47 @@ namespace CGAL {
 
       // postfix operator
       Object_wrapper<Point_with_transformed_distance>
-      operator++(int) 
+      operator++(int)
       {
-	return (*Ptr_implementation)++;
+        return (*Ptr_implementation)++;
       }
 
 
-      bool 
-      operator==(const iterator& It) const 
+      bool
+      operator==(const iterator& It) const
       {
         if (
-	    ((Ptr_implementation == 0) || 
-	     Ptr_implementation->Item_PriorityQueue.empty()) &&
-	    ((It.Ptr_implementation == 0) ||  
-	     It.Ptr_implementation->Item_PriorityQueue.empty())
-	    )
-	  return true;
+            ((Ptr_implementation == 0) ||
+             Ptr_implementation->Item_PriorityQueue.empty()) &&
+            ((It.Ptr_implementation == 0) ||
+             It.Ptr_implementation->Item_PriorityQueue.empty())
+            )
+          return true;
         // else
         return (Ptr_implementation == It.Ptr_implementation);
       }
 
-      bool 
-      operator!=(const iterator& It) const 
+      bool
+      operator!=(const iterator& It) const
       {
         return !(*this == It);
       }
 
-      std::ostream& 
-      statistics (std::ostream& s) 
+      std::ostream&
+      statistics (std::ostream& s)
       {
-    	Ptr_implementation->statistics(s);
+            Ptr_implementation->statistics(s);
         return s;
       }
 
-      ~iterator() 
+      ~iterator()
       {
         if (Ptr_implementation != 0) {
-	  Ptr_implementation->reference_count--;
-	  if (Ptr_implementation->reference_count==0) {
-	    delete Ptr_implementation;
-	    Ptr_implementation = 0;
-	  }
+          Ptr_implementation->reference_count--;
+          if (Ptr_implementation->reference_count==0) {
+            delete Ptr_implementation;
+            Ptr_implementation = 0;
+          }
         }
       }
 
@@ -594,17 +594,17 @@ namespace CGAL {
     const Tree& m_tree;
     Query_item m_query;
     Distance m_dist;
-    FT m_Eps; 
+    FT m_Eps;
     bool m_search_nearest;
-  }; // class 
+  }; // class
 
   template <class Traits, class Query_item, class Distance>
-  void swap (typename Orthogonal_incremental_neighbor_search<Traits, 
-	     Query_item, Distance>::iterator& x,
-	     typename Orthogonal_incremental_neighbor_search<Traits, 
-	     Query_item, Distance>::iterator& y) 
+  void swap (typename Orthogonal_incremental_neighbor_search<Traits,
+             Query_item, Distance>::iterator& x,
+             typename Orthogonal_incremental_neighbor_search<Traits,
+             Query_item, Distance>::iterator& y)
   {
-    typename Orthogonal_incremental_neighbor_search<Traits, 
+    typename Orthogonal_incremental_neighbor_search<Traits,
       Query_item, Distance>::iterator::Iterator_implementation
       *tmp = x.Ptr_implementation;
     x.Ptr_implementation  = y.Ptr_implementation;
diff -pruN 5.0.2-3/include/CGAL/Orthogonal_k_neighbor_search.h 5.0.3-1/include/CGAL/Orthogonal_k_neighbor_search.h
--- 5.0.2-3/include/CGAL/Orthogonal_k_neighbor_search.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Orthogonal_k_neighbor_search.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Orthogonal_k_neighbor_search.h $
-// $Id: Orthogonal_k_neighbor_search.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Orthogonal_k_neighbor_search.h $
+// $Id: Orthogonal_k_neighbor_search.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Gael Guennebaud (gael.guennebaud@inria.fr), Hans Tangelder (<hanst@cs.uu.nl>)
 
@@ -21,7 +21,7 @@
 
 namespace CGAL {
 
-template <class SearchTraits, 
+template <class SearchTraits,
           class Distance= typename internal::Spatial_searching_default_distance<SearchTraits>::type,
           class Splitter= Sliding_midpoint<SearchTraits> ,
           class Tree= Kd_tree<SearchTraits, Splitter, Tag_true> >
@@ -29,15 +29,15 @@ class Orthogonal_k_neighbor_search: publ
   typedef  internal::K_neighbor_search<SearchTraits,Distance,Splitter,Tree> Base;
 
   typename SearchTraits::Cartesian_const_iterator_d query_object_it;
-  
+
   std::vector<typename Base::FT> dists;
 public:
   typedef typename Base::FT FT;
 
 
-  Orthogonal_k_neighbor_search(const Tree& tree, const typename Base::Query_item& q,  
+  Orthogonal_k_neighbor_search(const Tree& tree, const typename Base::Query_item& q,
                                unsigned int k=1, FT Eps=FT(0.0), bool Search_nearest=true, const Distance& d=Distance(),bool sorted=true)
-    : Base(q,k,Eps,Search_nearest,d) 
+    : Base(q,k,Eps,Search_nearest,d)
   {
     if (tree.empty()) return;
 
@@ -51,7 +51,7 @@ public:
         dists[i]=0;
 
     FT distance_to_root;
-    if (this->search_nearest){ 
+    if (this->search_nearest){
       distance_to_root = this->distance_instance.min_distance_to_rectangle(q, tree.bounding_box(),dists);
       compute_nearest_neighbors_orthogonally(tree.root(), distance_to_root);
     }
@@ -60,17 +60,17 @@ public:
       compute_furthest_neighbors_orthogonally(tree.root(), distance_to_root);
     }
 
-    
-      
-          
-      
+
+
+
+
     if (sorted) this->queue.sort();
   }
 private:
 
   void compute_nearest_neighbors_orthogonally(typename Base::Node_const_handle N, FT rd)
   {
-    if (!(N->is_leaf())) 
+    if (!(N->is_leaf()))
     {
       typename Tree::Internal_node_const_handle node =
         static_cast<typename Tree::Internal_node_const_handle>(N);
@@ -81,11 +81,11 @@ private:
       FT val = *(query_object_it + new_cut_dim);
       FT diff1 = val - node->upper_low_value();
       FT diff2 = val - node->lower_high_value();
-      if ( (diff1 + diff2 <  FT(0.0)) ) 
+      if ( (diff1 + diff2 <  FT(0.0)) )
       {
           new_off = diff1;
           bestChild = node->lower();
-          otherChild = node->upper();                      
+          otherChild = node->upper();
       }
       else // compute new distance
       {
@@ -97,7 +97,7 @@ private:
       FT dst=dists[new_cut_dim];
       FT new_rd = this->distance_instance.new_distance(rd,dst,new_off,new_cut_dim);
       dists[new_cut_dim]=new_off;
-        if (this->branch_nearest(new_rd)) 
+        if (this->branch_nearest(new_rd))
         {
           compute_nearest_neighbors_orthogonally(otherChild, new_rd);
         }
@@ -113,24 +113,24 @@ private:
       FT worst_dist = this->queue.top().second;
       if (node->size() > 0)
       {
-        for (typename Tree::iterator it=node->begin(); it != node->end(); it++) 
+        for (typename Tree::iterator it=node->begin(); it != node->end(); it++)
         {
           this->number_of_items_visited++;
           FT distance_to_query_object=
             this->distance_instance.transformed_distance(this->query_object,*it);
-          
+
           if(!full || distance_to_query_object < worst_dist)
             this->queue.insert(std::make_pair(&(*it),distance_to_query_object));
         }
       }
     }
-  }    
+  }
 
    void compute_furthest_neighbors_orthogonally(typename Base::Node_const_handle N, FT rd)
   {
-    if (!(N->is_leaf())) 
+    if (!(N->is_leaf()))
     {
-      typename Tree::Internal_node_const_handle node = 
+      typename Tree::Internal_node_const_handle node =
         static_cast<typename Tree::Internal_node_const_handle>(N);
       this->number_of_internal_nodes_visited++;
       int new_cut_dim=node->cutting_dimension();
@@ -139,7 +139,7 @@ private:
       FT val = *(query_object_it + new_cut_dim);
       FT diff1 = val - node->lower_high_value();
       FT diff2 = val - node->upper_low_value();
-      if ( (diff1 + diff2 >= FT(0.0)) ) 
+      if ( (diff1 + diff2 >= FT(0.0)) )
       {
           new_off = node->upper_low_value()+node->upper_high_value() > val*2?
                     val - node->upper_high_value():
@@ -159,19 +159,19 @@ private:
       FT dst=dists[new_cut_dim];
       FT new_rd = this->distance_instance.new_distance(rd,dst,new_off,new_cut_dim);
       dists[new_cut_dim]=new_off;
-        if (this->branch_furthest(new_rd)) 
+        if (this->branch_furthest(new_rd))
           compute_furthest_neighbors_orthogonally(otherChild, new_rd);
       dists[new_cut_dim]=dst;
     }
     else
     {
       // n is a leaf
-      typename Tree::Leaf_node_const_handle node = 
+      typename Tree::Leaf_node_const_handle node =
         static_cast<typename Tree::Leaf_node_const_handle>(N);
       this->number_of_leaf_nodes_visited++;
       if (node->size() > 0)
       {
-        for (typename Tree::iterator it=node->begin(); it != node->end(); it++) 
+        for (typename Tree::iterator it=node->begin(); it != node->end(); it++)
         {
           this->number_of_items_visited++;
           FT distance_to_query_object=
@@ -180,9 +180,9 @@ private:
         }
       }
     }
-  }    
-  
-}; // class 
+  }
+
+}; // class
 
 } // namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/OTR_2/Cost.h 5.0.3-1/include/CGAL/OTR_2/Cost.h
--- 5.0.2-3/include/CGAL/OTR_2/Cost.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/OTR_2/Cost.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimal_transportation_reconstruction_2/include/CGAL/OTR_2/Cost.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimal_transportation_reconstruction_2/include/CGAL/OTR_2/Cost.h $
 // $Id: Cost.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/OTR_2/Reconstruction_edge_2.h 5.0.3-1/include/CGAL/OTR_2/Reconstruction_edge_2.h
--- 5.0.2-3/include/CGAL/OTR_2/Reconstruction_edge_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/OTR_2/Reconstruction_edge_2.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimal_transportation_reconstruction_2/include/CGAL/OTR_2/Reconstruction_edge_2.h $
-// $Id: Reconstruction_edge_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimal_transportation_reconstruction_2/include/CGAL/OTR_2/Reconstruction_edge_2.h $
+// $Id: Reconstruction_edge_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando de Goes, Pierre Alliez, Ivo Vigan, Clément Jamin
@@ -30,14 +30,14 @@ protected:
   FT m_total_weight;
 
 public:
-  Reconstruction_edge_2() 
+  Reconstruction_edge_2()
   : m_edge(Face_handle(), 0),
     m_before_cost(0),
     m_after_cost(0),
     m_total_weight(0)
   {}
 
-  Reconstruction_edge_2(const Reconstruction_edge_2& pedge) 
+  Reconstruction_edge_2(const Reconstruction_edge_2& pedge)
   : m_edge(pedge.edge()),
     m_source(pedge.source()),
     m_target(pedge.target()),
@@ -61,7 +61,7 @@ public:
     m_after_cost(priority),
     m_total_weight (0)
   {
-    get_vertices(); 
+    get_vertices();
   }
 
   Reconstruction_edge_2(Vertex_handle source, Vertex_handle target)
@@ -91,7 +91,7 @@ public:
       && m_target->id() == pedge.target()->id());
   }
 
-  bool operator< (const Reconstruction_edge_2& pedge) const 
+  bool operator< (const Reconstruction_edge_2& pedge) const
   {
     if (m_source->id() < pedge.source()->id())
       return true;
diff -pruN 5.0.2-3/include/CGAL/OTR_2/Reconstruction_face_base_2.h 5.0.3-1/include/CGAL/OTR_2/Reconstruction_face_base_2.h
--- 5.0.2-3/include/CGAL/OTR_2/Reconstruction_face_base_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/OTR_2/Reconstruction_face_base_2.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimal_transportation_reconstruction_2/include/CGAL/OTR_2/Reconstruction_face_base_2.h $
-// $Id: Reconstruction_face_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimal_transportation_reconstruction_2/include/CGAL/OTR_2/Reconstruction_face_base_2.h $
+// $Id: Reconstruction_face_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando de Goes, Pierre Alliez, Ivo Vigan, Clément Jamin
@@ -42,7 +42,7 @@ public:
   typedef typename Base::Face_handle    Face_handle;
 
   template < typename TDS2 >
-  struct Rebind_TDS 
+  struct Rebind_TDS
   {
     typedef typename Base::template Rebind_TDS<TDS2>::Other   Fb2;
     typedef Reconstruction_face_base_2<Traits_,Fb2>           Other;
@@ -159,7 +159,7 @@ public:
 
   const Cost_& cost(int edge) const
   {
-    if (plan(edge) == 0) 
+    if (plan(edge) == 0)
       return vertex_cost(edge);
     return edge_cost(edge);
   }
diff -pruN 5.0.2-3/include/CGAL/OTR_2/Reconstruction_triangulation_2.h 5.0.3-1/include/CGAL/OTR_2/Reconstruction_triangulation_2.h
--- 5.0.2-3/include/CGAL/OTR_2/Reconstruction_triangulation_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/OTR_2/Reconstruction_triangulation_2.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimal_transportation_reconstruction_2/include/CGAL/OTR_2/Reconstruction_triangulation_2.h $
-// $Id: Reconstruction_triangulation_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimal_transportation_reconstruction_2/include/CGAL/OTR_2/Reconstruction_triangulation_2.h $
+// $Id: Reconstruction_triangulation_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando de Goes, Pierre Alliez, Ivo Vigan, Clément Jamin
@@ -70,7 +70,7 @@ template<
   Reconstruction_vertex_base_2<Traits_>,
   Reconstruction_face_base_2<Traits_> > >
 class Reconstruction_triangulation_2
-  : public Delaunay_triangulation_2<Traits_, Tds_> 
+  : public Delaunay_triangulation_2<Traits_, Tds_>
 {
 public:
 
@@ -99,10 +99,10 @@ public:
 
   typedef std::map<Vertex_handle, Vertex_handle,
       less_Vertex_handle<Vertex_handle> > Vertex_handle_map;
-  typedef std::map<Face_handle, Face_handle, 
+  typedef std::map<Face_handle, Face_handle,
                    less_Face_handle<Face_handle> > Face_handle_map;
 
-  typedef std::set<Vertex_handle, 
+  typedef std::set<Vertex_handle,
                    less_Vertex_handle<Vertex_handle> > Vertex_handle_set;
   typedef std::set<Edge, less_Edge<Edge> > Edge_set;
 
@@ -117,7 +117,7 @@ public:
   typedef std::priority_queue<PSample, boost::container::deque<PSample>,
       OTR_2::greater_priority<PSample> > SQueue;
 
-  typedef Reconstruction_edge_2<FT, Edge, 
+  typedef Reconstruction_edge_2<FT, Edge,
                                 Vertex_handle, Face_handle> Rec_edge_2;
 
   using Base::geom_traits;
@@ -332,14 +332,14 @@ public:
   }
 
   void collect_samples_from_edge(
-    const Edge& edge, Sample_vector& samples) const 
+    const Edge& edge, Sample_vector& samples) const
   {
     const Sample_vector& edge_samples = edge.first->samples(edge.second);
     samples.insert(samples.end(), edge_samples.begin(), edge_samples.end());
   }
 
   void collect_samples_from_vertex(
-    Vertex_handle vertex, Sample_vector& samples, bool cleanup) const 
+    Vertex_handle vertex, Sample_vector& samples, bool cleanup) const
   {
     Face_circulator fcirc = Base::incident_faces(vertex);
     Face_circulator fend = fcirc;
@@ -721,7 +721,7 @@ public:
     const Point& p1 = segment.target();
     Vector p0p1 = geom_traits().construct_vector_2_object()(p0, p1);
     Vector p0q  = geom_traits().construct_vector_2_object()(p0, q);
-    
+
     FT t = geom_traits().compute_scalar_product_2_object()(p0q, p0p1)
          / geom_traits().compute_scalar_product_2_object()(p0p1, p0p1);
     return t; // [0,1]
@@ -925,7 +925,7 @@ public:
         return false;
     }
 
-    return true;  
+    return true;
   }
 
   // COLLAPSE //
@@ -1083,7 +1083,7 @@ public:
       // if ( max(Dac,Dbd)+CGAL_EPS < Dbc )
       if (value + CGAL_EPS < Dbc)
       {
-			/*
+                        /*
         std::cerr.precision(10);
         std::cerr << "--- Flip makes kernel worse ---" << std::endl;
         std::cerr << Dac << " or " << Dbd << " vs " << Dbc << std::endl;
@@ -1093,7 +1093,7 @@ public:
         std::cerr << "d: " << d->point() << std::endl;
         std::cerr << "t: " << target->point() << std::endl;
         std::cerr << "diff = " << Dbc - (std::max)(Dac, Dbd) << std::endl;
-				*/
+                                */
         return false;
       }
 
diff -pruN 5.0.2-3/include/CGAL/OTR_2/Reconstruction_vertex_base_2.h 5.0.3-1/include/CGAL/OTR_2/Reconstruction_vertex_base_2.h
--- 5.0.2-3/include/CGAL/OTR_2/Reconstruction_vertex_base_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/OTR_2/Reconstruction_vertex_base_2.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimal_transportation_reconstruction_2/include/CGAL/OTR_2/Reconstruction_vertex_base_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimal_transportation_reconstruction_2/include/CGAL/OTR_2/Reconstruction_vertex_base_2.h $
 // $Id: Reconstruction_vertex_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/OTR_2/Sample.h 5.0.3-1/include/CGAL/OTR_2/Sample.h
--- 5.0.2-3/include/CGAL/OTR_2/Sample.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/OTR_2/Sample.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Optimal_transportation_reconstruction_2/include/CGAL/OTR_2/Sample.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Optimal_transportation_reconstruction_2/include/CGAL/OTR_2/Sample.h $
 // $Id: Sample.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Parabola_2.h 5.0.3-1/include/CGAL/Parabola_2.h
--- 5.0.2-3/include/CGAL/Parabola_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Parabola_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Parabola_2.h $
-// $Id: Parabola_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Parabola_2.h $
+// $Id: Parabola_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -54,17 +54,17 @@ protected:
   FT divide(const FT& x, const FT& y, Integral_domain_without_division_tag) {
     return FT(CGAL::to_double(x) / CGAL::to_double(y));
   }
-  
+
   inline static
   FT divide(const FT& x, const FT& y, Field_tag) {
     return x / y;
   }
-  
+
   inline static
   FT divide(const FT& x, const FT& y) {
     return divide(x,y, typename AST::Algebraic_category());
   }
-  
+
   inline static
   FT sqrt(const FT& x, Integral_domain_without_division_tag) {
     return CGAL::sqrt(CGAL::to_double(x));
@@ -99,17 +99,17 @@ protected:
   {
     return sqrt( distance2(p1, p2) );
   }
-  
- 
+
+
   inline static
   FT distance(const Point_2& p, const Line_2& l)
   {
     return divide( p.x() * l.a() + p.y() * l.b() + l.c(),
-		   sqrt( CGAL::square(l.a()) + CGAL::square(l.b()) ) );
+                   sqrt( CGAL::square(l.a()) + CGAL::square(l.b()) ) );
   }
 
-  
-  
+
+
   // instance stuff
   Point_2 c;
   Line_2 l;
@@ -128,7 +128,7 @@ protected:
   {
     std::vector< Point_2 > p = compute_points(t);
     if ( right(p[0]) )  return p[0];
-    return p[1]; 
+    return p[1];
   }
 
   std::vector< Point_2 > compute_points(const FT &d) const
@@ -144,8 +144,8 @@ protected:
     if ( l.a() == FT(0) ) {
       FT y = d2 * int(CGAL::sign(l.b())) - divide(l.c(), l.b());
 
-      FT C = CGAL::square(y) - FT(2) * c.y() * y + 
-	CGAL::square(c.x()) + CGAL::square(c.y()) - d1;
+      FT C = CGAL::square(y) - FT(2) * c.y() * y +
+        CGAL::square(c.x()) + CGAL::square(c.y()) - d1;
 
       FT D = CGAL::square(c.x()) - C;
 
@@ -189,8 +189,8 @@ protected:
   {
     return
       CGAL::is_positive( determinant<FT>(c.x(), c.y(), FT(1),
-					       o.x(), o.y(), FT(1),
-					       p.x(), p.y(), FT(1)) );
+                                               o.x(), o.y(), FT(1),
+                                               p.x(), p.y(), FT(1)) );
   }
 
   inline
@@ -220,7 +220,7 @@ protected:
   void compute_origin()
   {
     FT d = divide(l.a() * c.x() + l.b() * c.y() + l.c(),
-		  FT(2) * ( CGAL::square(l.a()) + CGAL::square(l.b()) )  );
+                  FT(2) * ( CGAL::square(l.a()) + CGAL::square(l.b()) )  );
     o = Point_2(c.x() - l.a() * d, c.y() - l.b() * d);
   }
 
@@ -293,13 +293,13 @@ public:
       W << p[1];
 
       if ( p.size() > 0 ) {
-	if ( right(p[0]) ) {
-	  pright.push_back(p[0]);
-	  pleft.push_back(p[1]);
-	} else {
-	  pright.push_back(p[1]);
-	  pleft.push_back(p[0]);
-	}
+        if ( right(p[0]) ) {
+          pright.push_back(p[0]);
+          pleft.push_back(p[1]);
+        } else {
+          pright.push_back(p[1]);
+          pleft.push_back(p[0]);
+        }
       }
     }
 
diff -pruN 5.0.2-3/include/CGAL/Parabola_segment_2.h 5.0.3-1/include/CGAL/Parabola_segment_2.h
--- 5.0.2-3/include/CGAL/Parabola_segment_2.h	2020-02-21 20:02:49.000000000 +0000
+++ 5.0.3-1/include/CGAL/Parabola_segment_2.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Apollonius_graph_2/include/CGAL/Parabola_segment_2.h $
-// $Id: Parabola_segment_2.h 2927175 2020-01-29T16:34:53+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Apollonius_graph_2/include/CGAL/Parabola_segment_2.h $
+// $Id: Parabola_segment_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -47,7 +47,7 @@ public:
 
   template<class ApolloniusSite>
   Parabola_segment_2(const ApolloniusSite &p, const Line_2 &l,
-		     const Point_2 &p1, const Point_2 &p2)
+                     const Point_2 &p1, const Point_2 &p2)
     : Parabola_2< Gt >(p, l)
   {
     this->p1 = p1;
@@ -55,7 +55,7 @@ public:
   }
 
   Parabola_segment_2(const Point_2 &p, const Line_2 &l,
-		     const Point_2 &p1, const Point_2 &p2)
+                     const Point_2 &p1, const Point_2 &p2)
     : Parabola_2< Gt >(p, l)
   {
     this->p1 = p1;
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Circulator_pair.h 5.0.3-1/include/CGAL/Partition_2/Circulator_pair.h
--- 5.0.2-3/include/CGAL/Partition_2/Circulator_pair.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Circulator_pair.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Circulator_pair.h $
-// $Id: Circulator_pair.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Circulator_pair.h $
+// $Id: Circulator_pair.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 #ifndef CGAL_CIRC_PAIR_H
@@ -26,30 +26,30 @@ namespace CGAL {
 // "after" always means a point just beyond the range of [front,back]
 //
 template <class BidirectionalCirculator>
-class Circ_pair 
+class Circ_pair
 {
 
 public:
-    Circ_pair(BidirectionalCirculator back, BidirectionalCirculator front) : 
+    Circ_pair(BidirectionalCirculator back, BidirectionalCirculator front) :
         _front(front), _back(back), _direction(COUNTERCLOCKWISE) {}
 
-    Circ_pair(BidirectionalCirculator back, BidirectionalCirculator front, 
+    Circ_pair(BidirectionalCirculator back, BidirectionalCirculator front,
               Orientation dir) : _front(front), _back(back), _direction(dir) {}
 
-    Circ_pair(BidirectionalCirculator front_and_back, Orientation dir) : 
+    Circ_pair(BidirectionalCirculator front_and_back, Orientation dir) :
           _front(front_and_back), _back(front_and_back), _direction(dir) {}
 
-    void initialize(BidirectionalCirculator new_back_and_front) 
+    void initialize(BidirectionalCirculator new_back_and_front)
     {
        _back = _front = new_back_and_front;
     }
 
-    void push_back(BidirectionalCirculator new_back) 
+    void push_back(BidirectionalCirculator new_back)
     {
        _back = new_back;
     }
 
-    void pop_back() 
+    void pop_back()
     {
        _back = before_back();
     }
@@ -79,7 +79,7 @@ public:
        return _direction;
     }
 
-    void set_direction(Orientation direction) 
+    void set_direction(Orientation direction)
     {
        _direction = direction;
     }
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Indirect_edge_compare.h 5.0.3-1/include/CGAL/Partition_2/Indirect_edge_compare.h
--- 5.0.2-3/include/CGAL/Partition_2/Indirect_edge_compare.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Indirect_edge_compare.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Indirect_edge_compare.h $
-// $Id: Indirect_edge_compare.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Indirect_edge_compare.h $
+// $Id: Indirect_edge_compare.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -20,12 +20,12 @@ namespace CGAL {
 
 //
 // given circulators to endpoints of two edges, sorts the edges that come
-// next (in the direction of circulator) from right to left. This ordering 
-// makes finding the edge directly left of a given edge (needed for the 
-// y-monotone decomposition algorithm) easy. 
+// next (in the direction of circulator) from right to left. This ordering
+// makes finding the edge directly left of a given edge (needed for the
+// y-monotone decomposition algorithm) easy.
 //
 template <class ForwardCirculator, class Traits>
-class Indirect_edge_compare 
+class Indirect_edge_compare
 {
    public:
      typedef typename Traits::Orientation_2       Orientation_2;
@@ -33,35 +33,35 @@ class Indirect_edge_compare
      typedef typename Traits::Compare_x_2        Compare_x_2;
      typedef typename Traits::Point_2            Point_2;
 
-     Indirect_edge_compare(const Traits& traits) : 
+     Indirect_edge_compare(const Traits& traits) :
           _orientation_2(traits.orientation_2_object()),
           _compare_y_2(traits.compare_y_2_object()),
           _compare_x_2(traits.compare_x_2_object())
      { }
-     
+
      // determines if the edge (edge_vtx_1, edge_vtx_1++) has a larger
      // x value than vertex.x at y-value vertex.y
      bool
-     larger_x_at_vertex_y(ForwardCirculator edge_vtx_1, 
+     larger_x_at_vertex_y(ForwardCirculator edge_vtx_1,
                           ForwardCirculator vertex) const
      {
         ForwardCirculator edge_vtx_2 = edge_vtx_1;
         edge_vtx_2++;
         // check for horizontal edge
-        if(_compare_y_2(Point_2(*edge_vtx_1), Point_2(*edge_vtx_2)) == EQUAL)  
-        { 
+        if(_compare_y_2(Point_2(*edge_vtx_1), Point_2(*edge_vtx_2)) == EQUAL)
+        {
             // compare the smaller x and vertex x
           if(_compare_x_2(Point_2(*edge_vtx_1), Point_2(*edge_vtx_2)) == SMALLER)
             return _compare_x_2(Point_2(*edge_vtx_1), Point_2(*vertex)) == LARGER;
            else
              return _compare_x_2(Point_2(*edge_vtx_2), Point_2(*vertex)) == LARGER;
         }
-        else 
-        { 
+        else
+        {
            // construct supporting line for edge
            return compare_x_at_y(Point_2(*vertex), Point_2(*edge_vtx_1), Point_2(*edge_vtx_2)) == SMALLER;
         }
-     }               
+     }
 
      Comparison_result compare_x_at_y(const Point_2& p, const Point_2& a, const Point_2& b) const
      {
@@ -69,15 +69,15 @@ class Indirect_edge_compare
        if(ori == COLLINEAR){
          return EQUAL;
        }
-       
+
        if(_compare_y_2(a, b) == SMALLER){ // a below b
          return (ori == RIGHT_TURN) ? LARGER : SMALLER;
-       }else { // a above b 
+       }else { // a above b
          return (ori == LEFT_TURN) ? LARGER : SMALLER;
        }
      }
-  
-     bool 
+
+     bool
      operator()(ForwardCirculator p, ForwardCirculator q) const
      {
         ForwardCirculator after_p = p;
@@ -87,16 +87,16 @@ class Indirect_edge_compare
 
         if (p == q && after_p == after_q) return false;
 
-        if (p == after_q) 
+        if (p == after_q)
           return larger_x_at_vertex_y(p, q);
 
-        if (after_p == q) 
+        if (after_p == q)
           return !larger_x_at_vertex_y(q, p);
 
-        if (p == q) 
+        if (p == q)
           return larger_x_at_vertex_y(p, after_q);
 
-        if (after_p == after_q) 
+        if (after_p == after_q)
           return larger_x_at_vertex_y(p, q);
 
         // else neither endpoint is shared
@@ -104,7 +104,7 @@ class Indirect_edge_compare
         if(_compare_y_2(Point_2(*p), Point_2(*after_p)) == EQUAL)
         {
           if(_compare_y_2(Point_2(*q), Point_2(*after_q)) == EQUAL)
-            {                         
+            {
                  Point_2 p_max;
                  Point_2 q_max;
                  if (_compare_x_2(Point_2(*p), Point_2(*after_p)) == SMALLER)
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Indirect_less_xy_2.h 5.0.3-1/include/CGAL/Partition_2/Indirect_less_xy_2.h
--- 5.0.2-3/include/CGAL/Partition_2/Indirect_less_xy_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Indirect_less_xy_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Indirect_less_xy_2.h $
-// $Id: Indirect_less_xy_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Indirect_less_xy_2.h $
+// $Id: Indirect_less_xy_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -19,18 +19,18 @@
 namespace CGAL {
 
 template <class Traits>
-class Indirect_less_xy_2 
+class Indirect_less_xy_2
 {
    public:
      typedef typename Traits::Less_xy_2     Less_xy_2;
 
-     Indirect_less_xy_2(const Traits& traits) : _less_xy_2(traits.less_xy_2_object()) 
+     Indirect_less_xy_2(const Traits& traits) : _less_xy_2(traits.less_xy_2_object())
      { }
-     
+
      template <class Iterator>
-     bool 
+     bool
      operator()(Iterator p, Iterator q) const
-     { 
+     {
         return _less_xy_2(*p, *q);
      }
 
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Indirect_not_less_yx_2.h 5.0.3-1/include/CGAL/Partition_2/Indirect_not_less_yx_2.h
--- 5.0.2-3/include/CGAL/Partition_2/Indirect_not_less_yx_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Indirect_not_less_yx_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Indirect_not_less_yx_2.h $
-// $Id: Indirect_not_less_yx_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Indirect_not_less_yx_2.h $
+// $Id: Indirect_not_less_yx_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -19,17 +19,17 @@
 namespace CGAL {
 
 template <class Traits>
-class Indirect_not_less_yx_2 
+class Indirect_not_less_yx_2
 {
 public:
      typedef typename Traits::Point_2 Point_2;
      typedef typename Traits::Less_yx_2     Less_yx_2;
 
-     Indirect_not_less_yx_2(const Traits& traits) : 
+     Indirect_not_less_yx_2(const Traits& traits) :
          less_yx_2(traits.less_yx_2_object()) {}
 
      template <class Iterator>
-     bool 
+     bool
      operator()( const Iterator& p, const Iterator& q) const
      { return less_yx_2( Point_2(*q), Point_2(*p)); }
 
diff -pruN 5.0.2-3/include/CGAL/Partition_2/is_degenerate_polygon_2.h 5.0.3-1/include/CGAL/Partition_2/is_degenerate_polygon_2.h
--- 5.0.2-3/include/CGAL/Partition_2/is_degenerate_polygon_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/is_degenerate_polygon_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/is_degenerate_polygon_2.h $
-// $Id: is_degenerate_polygon_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/is_degenerate_polygon_2.h $
+// $Id: is_degenerate_polygon_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -21,8 +21,8 @@ namespace CGAL {
 // tests if a sequence of points represents a degenerate polygon (i.e.
 // one of zero area)
 template<class BidirectionalIterator, class Traits>
-bool 
-is_degenerate_polygon_2(BidirectionalIterator first, 
+bool
+is_degenerate_polygon_2(BidirectionalIterator first,
                         BidirectionalIterator last,
                         const Traits& traits)
 {
@@ -35,8 +35,8 @@ is_degenerate_polygon_2(BidirectionalIte
    next++;
 
    // fewer than three vertices
-   if (prev == first) return true; 
-   if (next == last) return true; 
+   if (prev == first) return true;
+   if (next == last) return true;
 
    typedef typename Traits::Orientation_2                Orientation_2;
 
@@ -50,7 +50,7 @@ is_degenerate_polygon_2(BidirectionalIte
      prev++;
      if (prev == last)
         prev = first;
-     next++;   
+     next++;
      if (next == last)
        next = first;
      curr++;
@@ -60,7 +60,7 @@ is_degenerate_polygon_2(BidirectionalIte
 }
 
 template<class InputIterator>
-bool 
+bool
 is_degenerate_polygon_2(InputIterator first, InputIterator last)
 {
    if (first == last) return true;
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Iterator_list.h 5.0.3-1/include/CGAL/Partition_2/Iterator_list.h
--- 5.0.2-3/include/CGAL/Partition_2/Iterator_list.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Iterator_list.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Iterator_list.h $
-// $Id: Iterator_list.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Iterator_list.h $
+// $Id: Iterator_list.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -26,14 +26,14 @@ class Iterator_list : public std::list<I
 public:
   Iterator_list() {}
 
-  Iterator_list(Iterator first, Iterator beyond) 
+  Iterator_list(Iterator first, Iterator beyond)
   {
       if (first == beyond) return;
 
       for (Iterator current = first; current != beyond; current++)
       {
          this->push_back(current);
-      } 
+      }
   }
 };
 
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Matrix.h 5.0.3-1/include/CGAL/Partition_2/Matrix.h
--- 5.0.2-3/include/CGAL/Partition_2/Matrix.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Matrix.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Matrix.h $
-// $Id: Matrix.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Matrix.h $
+// $Id: Matrix.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -23,12 +23,12 @@
 namespace CGAL {
 
 template <class T>
-class  Matrix : public std::vector< std::vector<T> > 
+class  Matrix : public std::vector< std::vector<T> >
 {
 public:
-   Matrix(std::size_t x = 0, std::size_t y = 0) : 
-      std::vector< std::vector<T> > (x, std::vector<T>(y)), 
-      _rows(x), _columns(y) 
+   Matrix(std::size_t x = 0, std::size_t y = 0) :
+      std::vector< std::vector<T> > (x, std::vector<T>(y)),
+      _rows(x), _columns(y)
    {}
 
    std::size_t rows() const { return _rows; }
@@ -40,15 +40,15 @@ protected:
    std::size_t _columns;
 };
 
-template <class T> 
+template <class T>
 std::ostream& operator<<(std::ostream& os, const Matrix<T>& m)
 {
    typedef typename Matrix<T>::size_type size_type;
 
-   for (size_type i = 0; i < m.rows(); i++) 
+   for (size_type i = 0; i < m.rows(); i++)
    {
       os << std::endl << i << " : ";
-      for (size_type j = 0; j < m.columns(); j++) 
+      for (size_type j = 0; j < m.columns(); j++)
       {
          os << m[i][j] << " ";
       }
diff -pruN 5.0.2-3/include/CGAL/Partition_2/partition_approx_convex_2.h 5.0.3-1/include/CGAL/Partition_2/partition_approx_convex_2.h
--- 5.0.2-3/include/CGAL/Partition_2/partition_approx_convex_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/partition_approx_convex_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/partition_approx_convex_2.h $
-// $Id: partition_approx_convex_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/partition_approx_convex_2.h $
+// $Id: partition_approx_convex_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -37,9 +37,9 @@ _Pragma("GCC diagnostic ignored \"-Wmayb
 namespace CGAL {
 
 template< class Point_2, class Traits >
-bool partition_appx_cvx_is_edge_through_interior(const Point_2& before_s, 
+bool partition_appx_cvx_is_edge_through_interior(const Point_2& before_s,
                                                  const Point_2& source,
-                                                 const Point_2& after_s, 
+                                                 const Point_2& after_s,
                                                  const Point_2& target,
                                                  const Traits& traits )
 {
@@ -64,11 +64,11 @@ bool partition_appx_cvx_is_edge_through_
 
 // e_circ is a circulator for the edges incident to the point referred to by
 // v_ref, which is a circualtor around the vertices of the original polygon
-template <class Edge_circulator, class Circulator, class Triangulation, 
+template <class Edge_circulator, class Circulator, class Triangulation,
           class Traits>
-bool partition_appx_cvx_cuts_nonconvex_angle( Edge_circulator e_circ, 
+bool partition_appx_cvx_cuts_nonconvex_angle( Edge_circulator e_circ,
                                               Circulator v_ref,
-                                              const Triangulation& triangles, 
+                                              const Triangulation& triangles,
                                               const Traits& traits)
 {
    typedef typename Triangulation::Segment        Segment_2;
@@ -88,13 +88,13 @@ bool partition_appx_cvx_cuts_nonconvex_a
    while (prev_e != e_circ && (triangles.is_infinite(*prev_e) ||
            !(*prev_e).first->is_constrained((*prev_e).second)))
       prev_e--;
- 
+
    Segment_2  next_edge = triangles.segment((*next_e).first,(*next_e).second);
    Segment_2  prev_edge = triangles.segment((*prev_e).first,(*prev_e).second);
 #ifdef CGAL_PARTITION_APPROX_CONVEX_DEBUG
-   std::cout << "next_edge: " << *next_edge.source() << " " 
+   std::cout << "next_edge: " << *next_edge.source() << " "
              << *next_edge.target() <<std::endl;
-   std::cout << "prev_edge: " << *prev_edge.source() << " " 
+   std::cout << "prev_edge: " << *prev_edge.source() << " "
              << *prev_edge.target() <<std::endl;
 #endif
    // find which endpoint is shared by the two edges
@@ -104,8 +104,8 @@ bool partition_appx_cvx_cuts_nonconvex_a
      (prev_edge.source() == v_ref) ? prev_edge.target() : prev_edge.source();
 
 #ifdef CGAL_PARTITION_APPROX_CONVEX_DEBUG
-   std::cout << "partition_appx_cvx_cuts_nonconvex_angle: next_ccw_pt " 
-             << *next_ccw_pt_ref << " v_ref " << *v_ref << " prev_ccw_pt_ref " 
+   std::cout << "partition_appx_cvx_cuts_nonconvex_angle: next_ccw_pt "
+             << *next_ccw_pt_ref << " v_ref " << *v_ref << " prev_ccw_pt_ref "
              << *prev_ccw_pt_ref << std::endl;
 #endif
 
@@ -113,15 +113,15 @@ bool partition_appx_cvx_cuts_nonconvex_a
    typedef typename Traits::Point_2     Point_2;
    Left_turn_2 left_turn = traits.left_turn_2_object();
    Turn_reverser<Point_2, Left_turn_2>  right_turn(left_turn);
-   return right_turn(*next_ccw_pt_ref, *v_ref, *prev_ccw_pt_ref); 
+   return right_turn(*next_ccw_pt_ref, *v_ref, *prev_ccw_pt_ref);
 }
 
 
 template<class InputIterator, class Traits, class OutputIterator>
-OutputIterator partition_approx_convex_2(InputIterator first, 
+OutputIterator partition_approx_convex_2(InputIterator first,
                                          InputIterator beyond,
                                          OutputIterator result,
-                                         const Traits& traits) 
+                                         const Traits& traits)
 {
    if (first == beyond) return result;
 
@@ -147,8 +147,8 @@ OutputIterator partition_approx_convex_2
 
    Gt gt_traits(traits);
    Constrained_tri_2 triangles(gt_traits);
-   
-   do 
+
+   do
    {
        next = c; next++;
        triangles.insert(c, next);
@@ -162,31 +162,31 @@ OutputIterator partition_approx_convex_2
    Tri_vertex_iterator v_it;
 
 
-   for (v_it = triangles.vertices_begin(); v_it != triangles.vertices_end(); 
+   for (v_it = triangles.vertices_begin(); v_it != triangles.vertices_end();
         v_it++)
    {
        first_e = triangles.incident_edges(Vertex_handle(v_it));
        // find the constrained edge attached to this vertex that is first
-       // when going CW from the first edge returned above.  
-       while (triangles.is_infinite(*first_e) ||  
-              !(*first_e).first->is_constrained((*first_e).second)) 
+       // when going CW from the first edge returned above.
+       while (triangles.is_infinite(*first_e) ||
+              !(*first_e).first->is_constrained((*first_e).second))
        {
           first_e--;
        }
        e_circ = first_e;
-       do 
+       do
        {
           if ((*e_circ).first->is_constrained((*e_circ).second))
           {
 #ifdef CGAL_PARTITION_APPROX_CONVEX_DEBUG
              Segment_2 edge = triangles.segment((*e_circ).first, (*e_circ).second);
-             std::cout << "edge " <<  *edge.source() << " " << *edge.target() 
+             std::cout << "edge " <<  *edge.source() << " " << *edge.target()
                        << " is constrained " << std::endl;
 #endif
-          }  
-          else 
+          }
+          else
           {
-             if (!triangles.is_infinite(*e_circ)) 
+             if (!triangles.is_infinite(*e_circ))
              {
                 Segment_2 edge = triangles.segment((*e_circ).first, (*e_circ).second);
                 Circulator source = edge.source();
@@ -194,31 +194,31 @@ OutputIterator partition_approx_convex_2
                 Circulator before_s = edge.source(); before_s--;
                 Circulator after_s = edge.source(); after_s++;
 #ifdef CGAL_PARTITION_APPROX_CONVEX_DEBUG
-                std::cout << "considering " << *source << " " << *target 
+                std::cout << "considering " << *source << " " << *target
                           << "...";
 #endif
-                if (partition_appx_cvx_is_edge_through_interior(*before_s, 
-                                *source, *after_s, *target, traits)) 
+                if (partition_appx_cvx_is_edge_through_interior(*before_s,
+                                *source, *after_s, *target, traits))
                 {
-                   if (partition_appx_cvx_cuts_nonconvex_angle(e_circ, 
-                                 (*v_it).point(), triangles, traits)) 
+                   if (partition_appx_cvx_cuts_nonconvex_angle(e_circ,
+                                 (*v_it).point(), triangles, traits))
                    {
 #ifdef CGAL_PARTITION_APPROX_CONVEX_DEBUG
                       std::cout << "inserting" << std::endl;
 #endif
                       polygon.insert_diagonal(source.unsafe_circulator()
-		                             ,target.unsafe_circulator()
-					     );
+                                             ,target.unsafe_circulator()
+                                             );
                       triangles.insert(source, target);
                    }
 #ifdef CGAL_PARTITION_APPROX_CONVEX_DEBUG
-                   else 
+                   else
                       std::cout << "doesn't cut reflex angle" << std::endl;
 #endif
                 }
 #ifdef CGAL_PARTITION_APPROX_CONVEX_DEBUG
-                else 
-                   std::cout << "not an edge through the interior" 
+                else
+                   std::cout << "not an edge through the interior"
                              << std::endl;
 #endif
              }
@@ -240,7 +240,7 @@ OutputIterator partition_approx_convex_2
    polygon.partition(res, 0);
    CGAL_partition_postcondition(
        convex_partition_is_valid_2(polygon.begin(), polygon.end(),
-                                   res.output_so_far_begin(), 
+                                   res.output_so_far_begin(),
                                    res.output_so_far_end(), traits));
 
 #if defined(CGAL_PARTITION_NO_POSTCONDITIONS) || \
@@ -253,13 +253,13 @@ OutputIterator partition_approx_convex_2
 
 template <class InputIterator, class OutputIterator>
 inline
-OutputIterator partition_approx_convex_2(InputIterator first, 
+OutputIterator partition_approx_convex_2(InputIterator first,
                                          InputIterator beyond,
                                          OutputIterator result)
 {
    typedef typename std::iterator_traits<InputIterator>::value_type Point_2;
    typedef typename Kernel_traits<Point_2>::Kernel K;
-   return partition_approx_convex_2(first, beyond, result,  
+   return partition_approx_convex_2(first, beyond, result,
                                     Partition_traits_2<K>());
 }
 
diff -pruN 5.0.2-3/include/CGAL/Partition_2/partition_assertions.h 5.0.3-1/include/CGAL/Partition_2/partition_assertions.h
--- 5.0.2-3/include/CGAL/Partition_2/partition_assertions.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/partition_assertions.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/partition_assertions.h $
-// $Id: partition_assertions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/partition_assertions.h $
+// $Id: partition_assertions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman, Sven Schoenherr
 //
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Partitioned_polygon_2.h 5.0.3-1/include/CGAL/Partition_2/Partitioned_polygon_2.h
--- 5.0.2-3/include/CGAL/Partition_2/Partitioned_polygon_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Partitioned_polygon_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Partitioned_polygon_2.h $
-// $Id: Partitioned_polygon_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Partitioned_polygon_2.h $
+// $Id: Partitioned_polygon_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -23,34 +23,34 @@
 namespace CGAL {
 
 
-// this will order the diagonals around a vertex from previous to 
+// this will order the diagonals around a vertex from previous to
 // next, which means a CW order if the polygon vertices are in CCW order
 template<class Iterator, class Traits>
-class Indirect_CW_diag_compare  
+class Indirect_CW_diag_compare
 {
 public:
    typedef typename Traits::Point_2        Point_2;
    typedef typename Traits::Orientation_2  Orig_orientation;
-  
+
   Indirect_CW_diag_compare(){}
-   Indirect_CW_diag_compare(Point_2 vertex, Iterator prev_ref, 
+   Indirect_CW_diag_compare(Point_2 vertex, Iterator prev_ref,
                             Iterator next_ref,
-                            const Traits& traits) : 
+                            const Traits& traits) :
                 _orientation(traits.orientation_2_object()),
                 _vertex(vertex),
                 _prev_v_ref(prev_ref)
-   { 
+   {
      _vertex_orientation = _orientation(Point_2(*_prev_v_ref), Point_2(vertex), Point_2(*next_ref));
    }
 
    bool
-   operator()(Iterator d1, Iterator d2) 
+   operator()(Iterator d1, Iterator d2)
    {
      Orientation d1_orientation = _orientation(Point_2(*_prev_v_ref), Point_2(_vertex), Point_2(*d1));
      Orientation d2_orientation = _orientation(Point_2(*_prev_v_ref), Point_2(_vertex), Point_2(*d2));
      Orientation d1_to_d2 = _orientation(Point_2(*d1), Point_2(_vertex), Point_2(*d2));
 
-      // if both diagonals are on the same side of the line from previous 
+      // if both diagonals are on the same side of the line from previous
       // vertex to this vertex then d1 comes before d2 (in CW order from
       // the edge (previous, vertex)) if one makes a left turn from d1 to d2
 
@@ -62,7 +62,7 @@ public:
       // containing the three points, i.e., if it turns in the same
       // direction as the original edges around vertex.
 
-      if (d1_orientation == COLLINEAR) 
+      if (d1_orientation == COLLINEAR)
          return (d2_orientation == _vertex_orientation);
 
       // opposite sides of the line containing the previous edge
@@ -82,8 +82,8 @@ private:
 template <class Traits_>
 class Partition_vertex;
 
-// 
-// requires 
+//
+// requires
 //   Traits::Polygon_2
 //   Traits::Point_2
 //   Traits::Left_turn_2
@@ -111,7 +111,7 @@ public:
    {}
 
    template <class InputIterator>
-   Partitioned_polygon_2(InputIterator first, InputIterator beyond, const Traits& traits) :  
+   Partitioned_polygon_2(InputIterator first, InputIterator beyond, const Traits& traits) :
        _left_turn(traits.left_turn_2_object()), traits(traits)
    {
       for (; first != beyond; first++) {
@@ -119,7 +119,7 @@ public:
       }
    }
 
-   void insert_diagonal(Circulator v1_ref, Circulator v2_ref)  
+   void insert_diagonal(Circulator v1_ref, Circulator v2_ref)
    {
       (*v1_ref).insert_diagonal(v2_ref);
       (*v2_ref).insert_diagonal(v1_ref);
@@ -245,13 +245,13 @@ private:
        //    continue from the last vertex of the new polygon
    }
 
-   
+
 
    bool cuts_reflex_angle(Circulator vertex_ref, Circulator diag_endpoint)
    {
       Circulator prev = vertex_ref; prev--;
       Circulator next = vertex_ref; next++;
-   
+
       // find diag_endpoint in vertex_ref's list of diagonals
       Diagonal_iterator d_it;
       for (d_it = (*vertex_ref).diagonals_begin();
@@ -269,12 +269,12 @@ private:
       }
       else
          next = *next_d_it;
-   
+
 //      return _right_turn(*prev, *vertex_ref, *next);
       return _left_turn(Point_2(*vertex_ref), Point_2(*prev), Point_2(*next));
    }
 
-   bool diagonal_is_necessary(Circulator diag_ref1, Circulator diag_ref2) 
+   bool diagonal_is_necessary(Circulator diag_ref1, Circulator diag_ref2)
    {
        return (cuts_reflex_angle(diag_ref1, diag_ref2) ||
                cuts_reflex_angle(diag_ref2, diag_ref1));
@@ -291,7 +291,7 @@ private:
   public:
     typedef Traits_                                              Traits;
     typedef typename Traits::Point_2                             Base_point;
-    typedef typename Partitioned_polygon_2< Traits >::Circulator Circulator; 
+    typedef typename Partitioned_polygon_2< Traits >::Circulator Circulator;
   typedef Partition_vertex<Traits>                               Self;
 //
 //  It might be better if this were a set that used Indirect_CW_diag_compare
@@ -311,64 +311,64 @@ private:
   }
 
   Partition_vertex(Base_point p)
-    : point(p) 
-  { 
-    current_diag = diag_endpoint_refs.end() ; 
+    : point(p)
+  {
+    current_diag = diag_endpoint_refs.end() ;
   }
 
     Partition_vertex(const Partition_vertex& other)
-      : point(other.point) 
-  { 
+      : point(other.point)
+  {
     // No need to deep copy.
     // We initialize in order to avoid problem with g++ safe STL
-    current_diag = diag_endpoint_refs.end() ; 
+    current_diag = diag_endpoint_refs.end() ;
   }
 
   operator Base_point() const
   {
     return point;
   }
-  
+
 
     Partition_vertex& operator=(const Partition_vertex&)=default;
 
-    void insert_diagonal(Circulator v_ref) 
+    void insert_diagonal(Circulator v_ref)
     {
        diag_endpoint_refs.push_back(v_ref);
     }
 
-    Diagonal_iterator diagonal_erase(Diagonal_iterator d_ref) 
+    Diagonal_iterator diagonal_erase(Diagonal_iterator d_ref)
     {
        return diag_endpoint_refs.erase(d_ref);
     }
 
-    Diagonal_iterator diagonal_erase(Circulator diag_endpoint) 
+    Diagonal_iterator diagonal_erase(Circulator diag_endpoint)
     {
        Diagonal_iterator d_it = diagonals_begin();
-       for (d_it = diagonals_begin(); d_it != diagonals_end() && 
+       for (d_it = diagonals_begin(); d_it != diagonals_end() &&
                                      *d_it != diag_endpoint; d_it++) {}
        if (d_it != diagonals_end()) return diag_endpoint_refs.erase(d_it);
        return d_it;
     }
 
-    Diagonal_iterator diagonals_begin() 
+    Diagonal_iterator diagonals_begin()
     {
        return diag_endpoint_refs.begin();
     }
 
-    Diagonal_iterator diagonals_end() 
+    Diagonal_iterator diagonals_end()
     {
        return diag_endpoint_refs.end();
     }
 
-    bool has_unused_diagonals( )  
+    bool has_unused_diagonals( )
     {
        return current_diag != diag_endpoint_refs.end();
     }
 
     // sort the diagonals ccw around the point they have in common
     // and remove any duplicate diagonals
-  void sort_diagonals(const Circulator& prev, const Circulator& next, const Traits& traits) 
+  void sort_diagonals(const Circulator& prev, const Circulator& next, const Traits& traits)
     {
       diag_endpoint_refs.sort(Indirect_CW_diag_compare<Circulator,Traits>(*this, prev, next, traits));
 
@@ -376,7 +376,7 @@ private:
        current_diag = diag_endpoint_refs.begin();
     }
 
-    void reset_current_diagonal( ) 
+    void reset_current_diagonal( )
     {
        current_diag = diag_endpoint_refs.begin();
     }
@@ -384,12 +384,12 @@ private:
     Circulator current_diagonal( ) const
     {  return *current_diag; }
 
-    void advance_diagonal() 
+    void advance_diagonal()
     {
-       if (current_diag != diag_endpoint_refs.end()) 
+       if (current_diag != diag_endpoint_refs.end())
           current_diag++;
     }
-   
+
     void print_diagonals( ) const
     {
        std::cout << "from " << *this << std::endl;
diff -pruN 5.0.2-3/include/CGAL/Partition_2/partition_greene_approx_convex_2.h 5.0.3-1/include/CGAL/Partition_2/partition_greene_approx_convex_2.h
--- 5.0.2-3/include/CGAL/Partition_2/partition_greene_approx_convex_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/partition_greene_approx_convex_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/partition_greene_approx_convex_2.h $
-// $Id: partition_greene_approx_convex_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/partition_greene_approx_convex_2.h $
+// $Id: partition_greene_approx_convex_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -29,10 +29,10 @@
 #include<CGAL/is_y_monotone_2.h>
 #include<CGAL/Partition_2/is_degenerate_polygon_2.h>
 
-// These things should be constant: 
-//   front is where you add things to a chain 
+// These things should be constant:
+//   front is where you add things to a chain
 //   top chain shares its back with front (top) of stack
-//   bottom chain shares its back with the back (bottom) of the stack 
+//   bottom chain shares its back with the back (bottom) of the stack
 //   bottom of the stack has lower y value than top.
 // ==> chain direction is cw, make ccw polygon from front to back
 // and chain direction is ccw, make ccw polygon from back to front
@@ -40,27 +40,27 @@
 namespace CGAL {
 
 template <class BidirectionalCirculator>
-bool is_adjacent_to(BidirectionalCirculator new_point_ref, 
+bool is_adjacent_to(BidirectionalCirculator new_point_ref,
                     BidirectionalCirculator old_point_ref)
 {
 #ifdef CGAL_GREENE_APPROX_DEBUG
-   std::cout << "is_adjacent_to: new_point " << *new_point_ref 
+   std::cout << "is_adjacent_to: new_point " << *new_point_ref
              <<             " old_point " << *old_point_ref << std::endl;
 #endif
-   // find the old point in original list of points 
+   // find the old point in original list of points
    if (*new_point_ref == *(++old_point_ref)) return true;  // check ccw
 #ifdef CGAL_GREENE_APPROX_DEBUG
-   std::cout << "is_adjacent_to:  next point is " << *old_point_ref 
+   std::cout << "is_adjacent_to:  next point is " << *old_point_ref
              << std::endl;
 #endif
    old_point_ref--;
 #ifdef CGAL_GREENE_APPROX_DEBUG
-   std::cout << "is_adjacent_to:  old_point is " << *old_point_ref 
+   std::cout << "is_adjacent_to:  old_point is " << *old_point_ref
              << std::endl;
 #endif
    if (*new_point_ref == *(--old_point_ref)) return true;  // check cw
 #ifdef CGAL_GREENE_APPROX_DEBUG
-   std::cout << "is_adjacent_to:  previous points is " << *old_point_ref 
+   std::cout << "is_adjacent_to:  previous points is " << *old_point_ref
              << std::endl;
 #endif
    return false;
@@ -69,9 +69,9 @@ bool is_adjacent_to(BidirectionalCircula
 
 // erases vertices in the range [first, last) (counterclockwise)
 template<class BidirectionalCirculator, class Polygon>
-void erase_vertices(BidirectionalCirculator first, 
+void erase_vertices(BidirectionalCirculator first,
                     BidirectionalCirculator last,
-                    Polygon& polygon, 
+                    Polygon& polygon,
                     bool& update_required)
 {
    typedef typename Polygon::iterator  Vertex_iterator;
@@ -92,9 +92,9 @@ void erase_vertices(BidirectionalCircula
 
    CGAL_partition_assertion (it != polygon.end());
 
-   while ( (it != polygon.end()) && (*it != *last) ) 
+   while ( (it != polygon.end()) && (*it != *last) )
    {
-      while ( (it != polygon.end()) && (*it != *last) ) 
+      while ( (it != polygon.end()) && (*it != *last) )
       {
 #ifdef CGAL_GREENE_APPROX_DEBUG
          std::cout << "erase_vertices: erasing " << *it << std::endl;
@@ -110,7 +110,7 @@ void erase_vertices(BidirectionalCircula
             std::cout << "erase_vertices: next vertex is " << *it << std::endl;
 #endif
          polygon.erase(temp_it);
-      } 
+      }
       if (it == polygon.end())
          it = polygon.begin();
    }
@@ -119,20 +119,20 @@ void erase_vertices(BidirectionalCircula
 }
 
 
-template <class Polygon, class BidirectionalCirculator, 
+template <class Polygon, class BidirectionalCirculator,
           class OutputIterator, class Traits>
 void visible(Polygon& polygon,
-             const BidirectionalCirculator& new_point_ref, 
-             Circ_pair< BidirectionalCirculator >& stack, 
-             Circ_pair< BidirectionalCirculator >& bottom_chain, 
-             Circ_pair< BidirectionalCirculator >& top_chain, 
-             OutputIterator&  result, 
+             const BidirectionalCirculator& new_point_ref,
+             Circ_pair< BidirectionalCirculator >& stack,
+             Circ_pair< BidirectionalCirculator >& bottom_chain,
+             Circ_pair< BidirectionalCirculator >& top_chain,
+             OutputIterator&  result,
              const Traits& traits)
 {
 
 #ifdef CGAL_GREENE_APPROX_DEBUG
-   std::cout << "visible: stack.back " << *stack.back() 
-             << " stack.before_back " << *stack.before_back() << 
+   std::cout << "visible: stack.back " << *stack.back()
+             << " stack.before_back " << *stack.before_back() <<
                 " new_point_ref " << *new_point_ref << std::endl;
 #endif
 
@@ -141,7 +141,7 @@ void visible(Polygon& polygon,
     Left_turn_2    left_turn = traits.left_turn_2_object();
     Turn_reverser<Point_2, Left_turn_2> right_turn(left_turn);
 
-    if (((bottom_chain.direction() == CLOCKWISE) && 
+    if (((bottom_chain.direction() == CLOCKWISE) &&
         right_turn(*stack.back(), *stack.before_back(), *new_point_ref)) ||
         ((bottom_chain.direction() == COUNTERCLOCKWISE) &&
         left_turn(*stack.back(), *stack.before_back(), *new_point_ref)))
@@ -155,24 +155,24 @@ void visible(Polygon& polygon,
        bool update_required;
 
 #ifdef CGAL_GREENE_APPROX_DEBUG
-       std::cout << "visible: bottom_chain.front " << *bottom_chain.front() 
+       std::cout << "visible: bottom_chain.front " << *bottom_chain.front()
                  << std::endl;
 #endif
-       do 
+       do
        {
           new_Polygon_2 new_polygon;
           stack.pop_back();
 #ifdef CGAL_GREENE_APPROX_DEBUG
           std::cout << "visible: stack.back " << *stack.back() << std::endl;
 #endif
-          if (bottom_chain.direction() == CLOCKWISE) 
+          if (bottom_chain.direction() == CLOCKWISE)
           {
              std::copy(bottom_chain.front(), stack.before_back(),
                        std::back_inserter(new_polygon));
              erase_vertices(bottom_chain.before_front(), stack.back(), polygon,
                             update_required);
           }
-          else 
+          else
           {
              std::copy(stack.back(), bottom_chain.after_front(),
                        std::back_inserter(new_polygon));
@@ -182,64 +182,64 @@ void visible(Polygon& polygon,
           if (!is_degenerate_polygon_2(new_polygon.vertices_begin(),
                                        new_polygon.vertices_end(), traits))
           {
-             *result = new_polygon; 
+             *result = new_polygon;
              result++;
           }
           bottom_chain.push_back(stack.back());
           if (stack.back() == stack.front())   // form new stack with previous
-          {                                    // point and old stack top 
+          {                                    // point and old stack top
                                                // (still on stack)
-               done = true;                
+               done = true;
                typename Traits::Less_yx_2  less_yx = traits.less_yx_2_object();
-               if (less_yx(*(stack.front()),*bottom_chain.front())) 
+               if (less_yx(*(stack.front()),*bottom_chain.front()))
                {
 #ifdef CGAL_GREENE_APPROX_DEBUG
                   std::cout << "visible:  reversing stack and swapping chains "
                             << std::endl;
 #endif
-                  stack.push_front(bottom_chain.front()); 
+                  stack.push_front(bottom_chain.front());
                                                // reverse stack direction
                   stack.change_dir();
                   bottom_chain = top_chain;         // swap chains
                   top_chain.initialize(stack.front());
                   top_chain.change_dir();
 #ifdef CGAL_GREENE_APPROX_DEBUG
-                  std::cout << "visible:  stack is now " << *stack.back() 
-                            << " " << *stack.front() 
-                            << " dir " << int(stack.direction()) 
+                  std::cout << "visible:  stack is now " << *stack.back()
+                            << " " << *stack.front()
+                            << " dir " << int(stack.direction())
                             << std::endl;
-                  std::cout << "visible:  bottom_chain is now " 
+                  std::cout << "visible:  bottom_chain is now "
                             << *bottom_chain.back() << " "
-                            << *bottom_chain.front() 
-                            << " dir " << int(bottom_chain.direction()) 
+                            << *bottom_chain.front()
+                            << " dir " << int(bottom_chain.direction())
                             << std::endl;
-                  std::cout << "visible:  top_chain is now " 
-                            << *top_chain.back() << " " << *top_chain.front() 
-                            << " dir " << int(top_chain.direction()) 
+                  std::cout << "visible:  top_chain is now "
+                            << *top_chain.back() << " " << *top_chain.front()
+                            << " dir " << int(top_chain.direction())
                             << std::endl;
 #endif
                }
                else
                {
                   stack.push_back(bottom_chain.front());
-                  bottom_chain.push_back(bottom_chain.front()); 
+                  bottom_chain.push_back(bottom_chain.front());
                }
             }
             else // stack size must be >= 2 here
-            {  
+            {
 #ifdef CGAL_GREENE_APPROX_DEBUG
-               std::cout << "visible: stack.before_back " 
+               std::cout << "visible: stack.before_back "
                          << *stack.before_back() << std::endl;
 #endif
                // angle at stack > 180
                if (bottom_chain.direction() == CLOCKWISE)
-                  big_angle_at_stack = right_turn(*bottom_chain.front(), 
+                  big_angle_at_stack = right_turn(*bottom_chain.front(),
                                                  *stack.back(),
-                                                 *stack.before_back()); 
+                                                 *stack.before_back());
                else
-                  big_angle_at_stack = left_turn(*bottom_chain.front(), 
+                  big_angle_at_stack = left_turn(*bottom_chain.front(),
                                                         *stack.back(),
-                                                        *stack.before_back()); 
+                                                        *stack.before_back());
                if (bottom_chain.direction() == CLOCKWISE)
                   is_visible = !right_turn(*stack.back(), *stack.before_back(),
                                           *new_point_ref);
@@ -251,25 +251,25 @@ void visible(Polygon& polygon,
         } while (!done && !big_angle_at_stack && !is_visible);
         if (big_angle_at_stack)  // previous point is placed on bottom of stack
         {
-           stack.push_back(bottom_chain.front()); 
+           stack.push_back(bottom_chain.front());
            bottom_chain.push_back(bottom_chain.front());
         }
     }
 }
 
 
-template <class Polygon, class BidirectionalCirculator, 
+template <class Polygon, class BidirectionalCirculator,
           class OutputIterator, class Traits>
 void stack_extend(Polygon& polygon,
-                  BidirectionalCirculator& point_ref, 
-                  Circ_pair< BidirectionalCirculator >& stack, 
+                  BidirectionalCirculator& point_ref,
+                  Circ_pair< BidirectionalCirculator >& stack,
                   Circ_pair< BidirectionalCirculator >& top_chain,
                   OutputIterator& result, const Traits& traits)
 {
 #ifdef CGAL_GREENE_APPROX_DEBUG
    std::cout << "stack_extend" << std::endl;
    std::cout << "stack_extend:  stack.before_front() " << *stack.before_front()
-    << " stack.front " << *stack.front() << " point_ref " << *point_ref 
+    << " stack.front " << *stack.front() << " point_ref " << *point_ref
     << std::endl;
 #endif
 
@@ -277,16 +277,16 @@ void stack_extend(Polygon& polygon,
    typedef typename Traits::Left_turn_2   Left_turn_2;
    Left_turn_2    left_turn = traits.left_turn_2_object();
    Turn_reverser<Point_2, Left_turn_2> right_turn(left_turn);
-   if (((stack.direction() == COUNTERCLOCKWISE) && 
+   if (((stack.direction() == COUNTERCLOCKWISE) &&
         right_turn(*stack.before_front(), *stack.front(), *point_ref)) ||
-       ((stack.direction() == CLOCKWISE) && 
+       ((stack.direction() == CLOCKWISE) &&
         left_turn(*stack.before_front(), *stack.front(), *point_ref)))
    {
       // new stack top becomes new first (and only) element of top chain
       stack.push_front(point_ref);
       top_chain.initialize(point_ref);
 #ifdef CGAL_GREENE_APPROX_DEBUG
-      std::cout << "stack_extend: top_chain.front " 
+      std::cout << "stack_extend: top_chain.front "
                 << *top_chain.front() << std::endl;
 #endif
    }
@@ -294,12 +294,12 @@ void stack_extend(Polygon& polygon,
       change_top_chain(polygon, point_ref, stack, top_chain, result, traits);
 }
 
-template <class Polygon, class BidirectionalCirculator, 
+template <class Polygon, class BidirectionalCirculator,
           class OutputIterator, class Traits>
-void change_top_chain(Polygon& polygon, 
+void change_top_chain(Polygon& polygon,
                       BidirectionalCirculator new_point_ref,
                       Circ_pair< BidirectionalCirculator >& stack,
-                      Circ_pair< BidirectionalCirculator >& top_chain, 
+                      Circ_pair< BidirectionalCirculator >& top_chain,
                       OutputIterator& result, const Traits& traits)
 {
    BidirectionalCirculator next_point_ref = new_point_ref;
@@ -309,8 +309,8 @@ void change_top_chain(Polygon& polygon,
       next_point_ref--;
 
 #ifdef CGAL_GREENE_APPROX_DEBUG
-   std::cout << "change_top_chain: top_chain.front " << *top_chain.front() 
-             << " new_point_ref " << *new_point_ref 
+   std::cout << "change_top_chain: top_chain.front " << *top_chain.front()
+             << " new_point_ref " << *new_point_ref
              << " next_point_ref " << *next_point_ref << std::endl;
 #endif
    typedef typename Traits::Point_2      Point_2;
@@ -324,7 +324,7 @@ void change_top_chain(Polygon& polygon,
    {
       top_chain.push_front(new_point_ref);
    }
-   else 
+   else
    {
       typedef typename Traits::Polygon_2 new_Polygon_2;
 
@@ -338,23 +338,23 @@ void change_top_chain(Polygon& polygon,
       old_top_ref = stack.front();
       stack.pop_front();
 
-      do 
+      do
       {
          new_Polygon_2 new_polygon;
 #ifdef CGAL_GREENE_APPROX_DEBUG
-         std::cout << "change_top_chain: stack.front " 
+         std::cout << "change_top_chain: stack.front "
                    << *stack.front() << std::endl;
 #endif
-         if (top_chain.direction() == COUNTERCLOCKWISE) 
+         if (top_chain.direction() == COUNTERCLOCKWISE)
          {
-            std::copy(stack.front(), next_point_ref, 
+            std::copy(stack.front(), next_point_ref,
                       std::back_inserter(new_polygon));
             erase_vertices(old_top_ref, new_point_ref, polygon,
                            update_required);
          }
-         else 
+         else
          {
-            std::copy(new_point_ref, stack.before_front(), 
+            std::copy(new_point_ref, stack.before_front(),
                       std::back_inserter(new_polygon));
             erase_vertices(top_chain.front(), stack.front(), polygon,
                            update_required);
@@ -363,7 +363,7 @@ void change_top_chain(Polygon& polygon,
          if (!is_degenerate_polygon_2(new_polygon.vertices_begin(),
                                       new_polygon.vertices_end(), traits))
          {
-            *result = new_polygon; 
+            *result = new_polygon;
             result++;
          }
          if (stack.front() == stack.back())          // the "stack empty" case
@@ -374,32 +374,32 @@ void change_top_chain(Polygon& polygon,
             std::cout << "change_top_chain: stack is empty. New stack top is "
                       << *stack.front() << std::endl;
             std::cout << "stack.back is " << *stack.back() << std::endl;
-            std::cout << "stack.before_back is " << *stack.before_back() 
+            std::cout << "stack.before_back is " << *stack.before_back()
                       << std::endl;
 #endif
-            top_chain.initialize(new_point_ref); 
+            top_chain.initialize(new_point_ref);
             // top chain should share top of stack
          }
          else    // stack size must be >= 2 here
          {
 #ifdef CGAL_GREENE_APPROX_DEBUG
-            std::cout << "change_top_chain: stack.front " 
+            std::cout << "change_top_chain: stack.front "
                       << *stack.front() << std::endl;
 #endif
             if (top_chain.direction() == COUNTERCLOCKWISE)
-               big_angle_at_stack = !left_turn(*stack.before_front(), 
+               big_angle_at_stack = !left_turn(*stack.before_front(),
                                               *stack.front(), *new_point_ref);
             else
-               big_angle_at_stack = !right_turn(*stack.before_front(), 
+               big_angle_at_stack = !right_turn(*stack.before_front(),
                                              *stack.front(), *new_point_ref);
             if (top_chain.direction() == COUNTERCLOCKWISE)
                small_angle_at_point = left_turn(*stack.front(), *new_point_ref,
                                                *next_point_ref);
             else
-               small_angle_at_point = right_turn(*stack.front(), 
+               small_angle_at_point = right_turn(*stack.front(),
                                                  *new_point_ref,
                                                  *next_point_ref);
-            if (!big_angle_at_stack && !small_angle_at_point) 
+            if (!big_angle_at_stack && !small_angle_at_point)
             {
                old_top_ref = stack.front();
                stack.pop_front();
@@ -409,10 +409,10 @@ void change_top_chain(Polygon& polygon,
       if (big_angle_at_stack)  // promote point to stack
       {
          stack.push_front(new_point_ref);
-         top_chain.initialize(new_point_ref); 
+         top_chain.initialize(new_point_ref);
          // top chain shares top of stack
       }
-      else if (small_angle_at_point) 
+      else if (small_angle_at_point)
       {
          top_chain.push_back(stack.front());
          top_chain.push_front(new_point_ref);
@@ -422,11 +422,11 @@ void change_top_chain(Polygon& polygon,
 
 template <class Polygon, class BidirectionalCirculator, class OutputIterator,
           class Traits>
-void change_bottom_chain(Polygon& polygon, 
-                         BidirectionalCirculator new_point_ref, 
+void change_bottom_chain(Polygon& polygon,
+                         BidirectionalCirculator new_point_ref,
                          Circ_pair< BidirectionalCirculator >& stack,
-                         Circ_pair< BidirectionalCirculator >& bottom_chain, 
-                         Circ_pair< BidirectionalCirculator >& top_chain, 
+                         Circ_pair< BidirectionalCirculator >& bottom_chain,
+                         Circ_pair< BidirectionalCirculator >& top_chain,
                          OutputIterator& result, const Traits& traits)
 {
    BidirectionalCirculator next_point_ref = new_point_ref;
@@ -435,8 +435,8 @@ void change_bottom_chain(Polygon& polygo
    else
       next_point_ref--;
 #ifdef CGAL_GREENE_APPROX_DEBUG
-   std::cout << "change_bottom_chain: bottom_chain.front " 
-             << *bottom_chain.front() << " new_point_ref " << *new_point_ref 
+   std::cout << "change_bottom_chain: bottom_chain.front "
+             << *bottom_chain.front() << " new_point_ref " << *new_point_ref
              << " next_point_ref " << *next_point_ref << std::endl;
 #endif
    typedef typename Traits::Point_2      Point_2;
@@ -444,14 +444,14 @@ void change_bottom_chain(Polygon& polygo
    Left_turn_2    left_turn = traits.left_turn_2_object();
    Turn_reverser<Point_2, Left_turn_2> right_turn(left_turn);
    if (((bottom_chain.direction() == CLOCKWISE) &&
-        !left_turn(*bottom_chain.front(), *new_point_ref, 
+        !left_turn(*bottom_chain.front(), *new_point_ref,
                           *next_point_ref)) ||
        ((bottom_chain.direction() == COUNTERCLOCKWISE) &&
         !right_turn(*bottom_chain.front(), *new_point_ref, *next_point_ref)))
    {
       bottom_chain.push_front(new_point_ref);
    }
-   else 
+   else
    {
       typedef typename Traits::Polygon_2 new_Polygon_2;
 
@@ -459,7 +459,7 @@ void change_bottom_chain(Polygon& polygo
       bool small_angle_at_point = false;
       bool update_required;
 
-      do 
+      do
       {
          new_Polygon_2 new_polygon;
          stack.pop_back();  // remove old bottom of stack
@@ -467,16 +467,16 @@ void change_bottom_chain(Polygon& polygo
          std::cout << "change_bottom_chain: stack.front " << *stack.front()
                    << " stack.back " << *stack.back() << std::endl;
 #endif
-         if (bottom_chain.direction() == CLOCKWISE) 
+         if (bottom_chain.direction() == CLOCKWISE)
          {
-            std::copy(new_point_ref, stack.before_back(), 
+            std::copy(new_point_ref, stack.before_back(),
                       std::back_inserter(new_polygon));
             erase_vertices(bottom_chain.front(), stack.back(), polygon,
                            update_required);
          }
-         else 
+         else
          {
-            std::copy(stack.back(), next_point_ref, 
+            std::copy(stack.back(), next_point_ref,
                       std::back_inserter(new_polygon));
             erase_vertices(bottom_chain.back(), new_point_ref, polygon,
                            update_required);
@@ -484,15 +484,15 @@ void change_bottom_chain(Polygon& polygo
          if (!is_degenerate_polygon_2(new_polygon.vertices_begin(),
                                       new_polygon.vertices_end(), traits))
          {
-            *result = new_polygon;  
+            *result = new_polygon;
             result++;
          }
          bottom_chain.initialize(stack.back());
          if (stack.back() == stack.front())   // form new stack with new point
          {                                // and old stack top (still on stack)
-            done = true;                  
+            done = true;
             typename Traits::Less_yx_2  less_yx = traits.less_yx_2_object();
-            if (less_yx(*(stack.front()),*new_point_ref)) 
+            if (less_yx(*(stack.front()),*new_point_ref))
             {
 #ifdef CGAL_GREENE_APPROX_DEBUG
                std::cout << "change_bottom_chain: reversing stack and "
@@ -504,19 +504,19 @@ void change_bottom_chain(Polygon& polygo
                top_chain.initialize(stack.front());
                top_chain.change_dir();
 #ifdef CGAL_GREENE_APPROX_DEBUG
-               std::cout << "change_bottom_chain:  stack is now " 
-                    << *stack.back() << " " << *stack.front() 
+               std::cout << "change_bottom_chain:  stack is now "
+                    << *stack.back() << " " << *stack.front()
                     << " dir " << int(stack.direction()) << std::endl;
-               std::cout << "change_bottom_chain:  bottom_chain is now " 
-                    << *bottom_chain.back() << " " << *bottom_chain.front() 
+               std::cout << "change_bottom_chain:  bottom_chain is now "
+                    << *bottom_chain.back() << " " << *bottom_chain.front()
                     << " dir " << int(bottom_chain.direction()) << std::endl;
-               std::cout << "change_bottom_chain:  top_chain is now " 
-                    << *top_chain.back() << " " << *top_chain.front() 
+               std::cout << "change_bottom_chain:  top_chain is now "
+                    << *top_chain.back() << " " << *top_chain.front()
                     << " dir " << int(top_chain.direction()) << std::endl;
 #endif
             }
             else
-               stack.push_back(new_point_ref); 
+               stack.push_back(new_point_ref);
          }
          else    // stack size must be >= 2 here
          {
@@ -538,20 +538,20 @@ void change_bottom_chain(Polygon& polygo
    }
 }
 
-template <class Polygon, class BidirectionalCirculator, 
+template <class Polygon, class BidirectionalCirculator,
           class OutputIterator, class Traits>
 void make_polygons_from_stack(Polygon& polygon,
-                            const BidirectionalCirculator& high_point_ref, 
+                            const BidirectionalCirculator& high_point_ref,
                             Circ_pair< BidirectionalCirculator >& stack,
                             Circ_pair< BidirectionalCirculator >& bottom_chain,
                             OutputIterator& result, const Traits& traits)
 {
    bool update_required;
    // make polygons by connecting the high point to every point on the stack
-   // except the first and the last. 
+   // except the first and the last.
 #ifdef CGAL_GREENE_APPROX_DEBUG
-   std::cout << "make_polygons_from_stack: high_point_ref " << *high_point_ref 
-        << " stack.back " << *stack.back() 
+   std::cout << "make_polygons_from_stack: high_point_ref " << *high_point_ref
+        << " stack.back " << *stack.back()
         << " stack.before_back " << *stack.before_back() << std::endl;
 #endif
    typedef typename Traits::Polygon_2 new_Polygon_2;
@@ -560,25 +560,25 @@ void make_polygons_from_stack(Polygon& p
    if (bottom_chain.direction() == COUNTERCLOCKWISE)
       next_point_ref++;
 
-   stack.pop_back();  
-   while (stack.front() != stack.back()) 
+   stack.pop_back();
+   while (stack.front() != stack.back())
    {
        new_Polygon_2 new_polygon;
 #ifdef CGAL_GREENE_APPROX_DEBUG
        std::cout << "make_polygons_from_stack: stack.back " << *stack.back()
                  << std::endl;
 #endif
-       if (bottom_chain.direction() == CLOCKWISE) 
+       if (bottom_chain.direction() == CLOCKWISE)
        {
-         std::copy(high_point_ref, stack.before_back(), 
+         std::copy(high_point_ref, stack.before_back(),
                    std::back_inserter(new_polygon));
          erase_vertices(bottom_chain.front(), stack.back(), polygon,
                         update_required);
          bottom_chain.initialize(stack.back());
        }
-       else 
+       else
        {
-         std::copy(stack.back(), next_point_ref, 
+         std::copy(stack.back(), next_point_ref,
                    std::back_inserter(new_polygon));
          erase_vertices(bottom_chain.back(), high_point_ref, polygon,
                         update_required);
@@ -587,10 +587,10 @@ void make_polygons_from_stack(Polygon& p
        if (!is_degenerate_polygon_2(new_polygon.vertices_begin(),
                                     new_polygon.vertices_end(), traits))
        {
-          *result = new_polygon; 
+          *result = new_polygon;
           result++;
        }
-       stack.pop_back();  
+       stack.pop_back();
    }
    // add remaining points from the top chain if there is more than one
    std::copy(polygon.begin(), polygon.end(), std::back_inserter(new_polygon));
@@ -611,19 +611,19 @@ void find_smallest_yx(BidirectionalCircu
    typename Traits::Less_yx_2     less_yx = traits.less_yx_2_object();
    if (less_yx(*current, *first))   // go foward
    {
-      do 
+      do
       {
          first++;
          current++;
       } while (less_yx(*current, *first));
    }
-   else 
+   else
    {
       current = first;
       current--;
       if (less_yx(*current, *first))    // go backward
       {
-        do 
+        do
         {
           first--;
           current--;
@@ -644,8 +644,8 @@ bool second_point_is_next(BidirectionalC
 }
 
 template <class BidirectionalCirculator, class Traits>
-BidirectionalCirculator next_vertex(BidirectionalCirculator& ccw_current, 
-                                    BidirectionalCirculator& cw_current, 
+BidirectionalCirculator next_vertex(BidirectionalCirculator& ccw_current,
+                                    BidirectionalCirculator& cw_current,
                                     const Traits& traits)
 {
   BidirectionalCirculator ccw_next = ccw_current;
@@ -656,14 +656,14 @@ BidirectionalCirculator next_vertex(Bidi
   std::cout << "next_vertex: ccw_next " << *ccw_next << " cw_next " << *cw_next
             << std::endl;
 #endif
-  
-  if (ccw_next == cw_next) 
+
+  if (ccw_next == cw_next)
   {
      cw_current = cw_next;
      ccw_current = ccw_next;
-     return cw_next; 
+     return cw_next;
   }
-  else 
+  else
   {
      typename Traits::Less_yx_2     less_yx = traits.less_yx_2_object();
      if (less_yx(*ccw_next,*cw_next))
@@ -702,7 +702,7 @@ void ga_convex_decomposition(ForwardIter
 
 #ifdef CGAL_GREENE_APPROX_DEBUG
    std::cout << "before find_smallest_yx " << std::endl;
-   do 
+   do
    {
       std::cout << *circ << std::endl;
    } while (++circ != point_ref);
@@ -713,7 +713,7 @@ void ga_convex_decomposition(ForwardIter
    circ = point_ref;
 #ifdef CGAL_GREENE_APPROX_DEBUG
    std::cout << "after find_smallest_yx " << std::endl;
-   do 
+   do
    {
       std::cout << *circ << std::endl;
    } while (++circ != point_ref);
@@ -727,7 +727,7 @@ void ga_convex_decomposition(ForwardIter
    Circ_pair< Vertex_circulator > top_chain(point_ref, COUNTERCLOCKWISE);
 
    // discover which is the direction to the next point
-   if (second_point_is_next(point_ref, traits)) 
+   if (second_point_is_next(point_ref, traits))
    {
      ccw_chain_ref++;
      stack.push_front(ccw_chain_ref);
@@ -736,7 +736,7 @@ void ga_convex_decomposition(ForwardIter
      top_chain.set_direction(COUNTERCLOCKWISE);
      bottom_chain.set_direction(CLOCKWISE);
    }
-   else 
+   else
    {
      cw_chain_ref--;
      stack.push_front(cw_chain_ref);
@@ -746,37 +746,37 @@ void ga_convex_decomposition(ForwardIter
      bottom_chain.set_direction(COUNTERCLOCKWISE);
    }
 #ifdef CGAL_GREENE_APPROX_DEBUG
-   std::cout << "after inserting first two points: ccw_chain_ref " 
-             << *ccw_chain_ref << " cw_chain_ref " << *cw_chain_ref 
+   std::cout << "after inserting first two points: ccw_chain_ref "
+             << *ccw_chain_ref << " cw_chain_ref " << *cw_chain_ref
              << std::endl;
 #endif
-   
+
    while (ccw_chain_ref != cw_chain_ref)
    {
       point_ref = next_vertex(ccw_chain_ref, cw_chain_ref, traits);
 
 #ifdef CGAL_GREENE_APPROX_DEBUG
-      std::cout << "after next_vertex: ccw_chain_ref " << *ccw_chain_ref 
+      std::cout << "after next_vertex: ccw_chain_ref " << *ccw_chain_ref
                 << " cw_chain_ref " << *cw_chain_ref << std::endl;
       std::cout << "current point: " << *point_ref << std::endl;
 #endif
       if (is_adjacent_to(point_ref, bottom_chain.front()))
-         visible(polygon, point_ref, stack, bottom_chain, top_chain, 
+         visible(polygon, point_ref, stack, bottom_chain, top_chain,
                  result, traits);
       if (ccw_chain_ref == cw_chain_ref)
       {
-         make_polygons_from_stack(polygon, point_ref, stack, 
+         make_polygons_from_stack(polygon, point_ref, stack,
                                   bottom_chain, result, traits);
          return;
       }
       if (is_adjacent_to(point_ref, stack.front()))
-         stack_extend(polygon, point_ref, stack, top_chain, 
+         stack_extend(polygon, point_ref, stack, top_chain,
                       result, traits);
       else if (is_adjacent_to(point_ref, top_chain.front()))
-         change_top_chain(polygon, point_ref, stack, top_chain, 
+         change_top_chain(polygon, point_ref, stack, top_chain,
                           result, traits);
       else
-         change_bottom_chain(polygon, point_ref, stack, bottom_chain, 
+         change_bottom_chain(polygon, point_ref, stack, bottom_chain,
                              top_chain, result, traits);
    }
 }
@@ -788,9 +788,9 @@ void ga_convex_decomposition(ForwardIter
 //   have to be able to go over the vertices again in order to check the
 //   result, so they have to be stored somewhere else.
 template <class InputIterator, class OutputIterator, class Traits>
-OutputIterator partition_greene_approx_convex_2(InputIterator first, 
+OutputIterator partition_greene_approx_convex_2(InputIterator first,
                                                 InputIterator beyond,
-                                                OutputIterator result, 
+                                                OutputIterator result,
                                                 const Traits& traits)
 {
    if (first == beyond) return result;
@@ -813,18 +813,18 @@ OutputIterator partition_greene_approx_c
    std::list<Polygon_2> MP_list;
    typename std::list<Polygon_2>::iterator MP_it;
 
-   y_monotone_partition_2(polygon.vertices_begin(), polygon.vertices_end(), 
+   y_monotone_partition_2(polygon.vertices_begin(), polygon.vertices_end(),
                           std::back_inserter(MP_list), traits);
 
    for(MP_it = MP_list.begin(); MP_it != MP_list.end(); MP_it++)
    {
-      ga_convex_decomposition((*MP_it).vertices_begin(), 
+      ga_convex_decomposition((*MP_it).vertices_begin(),
                               (*MP_it).vertices_end(), res, traits);
    }
 
    CGAL_partition_postcondition(
-       convex_partition_is_valid_2(polygon.vertices_begin(), 
-                                   polygon.vertices_end(), 
+       convex_partition_is_valid_2(polygon.vertices_begin(),
+                                   polygon.vertices_end(),
                                    res.output_so_far_begin(),
                                    res.output_so_far_end(), traits));
 
@@ -838,13 +838,13 @@ OutputIterator partition_greene_approx_c
 
 template <class InputIterator, class OutputIterator>
 inline
-OutputIterator partition_greene_approx_convex_2(InputIterator first, 
+OutputIterator partition_greene_approx_convex_2(InputIterator first,
                                                 InputIterator beyond,
                                                 OutputIterator result)
 {
    typedef typename std::iterator_traits<InputIterator>::value_type Point_2;
    typedef typename Kernel_traits<Point_2>::Kernel   K;
-   return partition_greene_approx_convex_2(first, beyond, result,  
+   return partition_greene_approx_convex_2(first, beyond, result,
                                            Partition_traits_2<K>());
 }
 
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Partition_opt_cvx_diagonal_list.h 5.0.3-1/include/CGAL/Partition_2/Partition_opt_cvx_diagonal_list.h
--- 5.0.2-3/include/CGAL/Partition_2/Partition_opt_cvx_diagonal_list.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Partition_opt_cvx_diagonal_list.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Partition_opt_cvx_diagonal_list.h $
-// $Id: Partition_opt_cvx_diagonal_list.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Partition_opt_cvx_diagonal_list.h $
+// $Id: Partition_opt_cvx_diagonal_list.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Partition_opt_cvx_edge.h 5.0.3-1/include/CGAL/Partition_2/Partition_opt_cvx_edge.h
--- 5.0.2-3/include/CGAL/Partition_2/Partition_opt_cvx_edge.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Partition_opt_cvx_edge.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Partition_opt_cvx_edge.h $
-// $Id: Partition_opt_cvx_edge.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Partition_opt_cvx_edge.h $
+// $Id: Partition_opt_cvx_edge.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -21,16 +21,16 @@
 
 namespace CGAL {
 
-enum Partition_opt_cvx_edge_validity {PARTITION_OPT_CVX_NOT_VALID, 
+enum Partition_opt_cvx_edge_validity {PARTITION_OPT_CVX_NOT_VALID,
                                       PARTITION_OPT_CVX_START_VALID,
-                                      PARTITION_OPT_CVX_END_VALID, 
+                                      PARTITION_OPT_CVX_END_VALID,
                                       PARTITION_OPT_CVX_BOTH_VALID};
 
-class Partition_opt_cvx_edge 
+class Partition_opt_cvx_edge
 {
 public:
-   Partition_opt_cvx_edge(): _is_done(false), 
-                             _validity(PARTITION_OPT_CVX_NOT_VALID), 
+   Partition_opt_cvx_edge(): _is_done(false),
+                             _validity(PARTITION_OPT_CVX_NOT_VALID),
                              _is_visible(false), _value(0) {}
 
    bool is_done( ) const { return _is_done; }
@@ -48,12 +48,12 @@ public:
    void set_done(bool val)  { _is_done = val; }
 
    void set_valid(Partition_opt_cvx_edge_validity val) { _validity = val; }
-   
+
    template <class Point_2_, class Traits>
    void set_valid(const Point_2_& p1, const Point_2_& p2, const Point_2_& p3,
                   const Point_2_& p4, const Point_2_& p5, const Point_2_& p6,
                   const Traits& traits)
-   { 
+   {
       typedef typename Traits::Left_turn_2     Left_turn_2;
       Left_turn_2 left_turn = traits.left_turn_2_object();
 
@@ -64,7 +64,7 @@ public:
       if (right_turn(p1, p2, p3))
          _validity = PARTITION_OPT_CVX_START_VALID;
       if (right_turn(p4, p5, p6)) {
-         if (_validity == PARTITION_OPT_CVX_START_VALID) 
+         if (_validity == PARTITION_OPT_CVX_START_VALID)
             _validity = PARTITION_OPT_CVX_BOTH_VALID;
          else _validity = PARTITION_OPT_CVX_END_VALID;
       }
@@ -74,7 +74,7 @@ public:
 
    void set_value(int val) { _value = val; }
 
-   void set_solution(const Partition_opt_cvx_diagonal_list& diag_list) 
+   void set_solution(const Partition_opt_cvx_diagonal_list& diag_list)
    { _solution = diag_list; }
 
 
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Partition_opt_cvx_vertex.h 5.0.3-1/include/CGAL/Partition_2/Partition_opt_cvx_vertex.h
--- 5.0.2-3/include/CGAL/Partition_2/Partition_opt_cvx_vertex.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Partition_opt_cvx_vertex.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Partition_opt_cvx_vertex.h $
-// $Id: Partition_opt_cvx_vertex.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Partition_opt_cvx_vertex.h $
+// $Id: Partition_opt_cvx_vertex.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -21,19 +21,19 @@
 
 namespace CGAL {
 
-class Partition_opt_cvx_stack_record 
+class Partition_opt_cvx_stack_record
 {
 public:
 
    Partition_opt_cvx_stack_record() {}
 
-   Partition_opt_cvx_stack_record(unsigned int old,  int value) : 
-       _old(old), _value(value), _solution(Partition_opt_cvx_diagonal_list()) 
+   Partition_opt_cvx_stack_record(unsigned int old,  int value) :
+       _old(old), _value(value), _solution(Partition_opt_cvx_diagonal_list())
    {}
 
-   Partition_opt_cvx_stack_record(unsigned int old,  int value, 
-                            const Partition_opt_cvx_diagonal_list& solution) : 
-       _old(old), _value(value), _solution(solution) 
+   Partition_opt_cvx_stack_record(unsigned int old,  int value,
+                            const Partition_opt_cvx_diagonal_list& solution) :
+       _old(old), _value(value), _solution(solution)
    {}
 
    unsigned int vertex_num() { return _old; }
@@ -48,21 +48,21 @@ private:
    Partition_opt_cvx_diagonal_list _solution;
 };
 
-class Partition_opt_cvx_vertex 
+class Partition_opt_cvx_vertex
 {
 public:
 
    Partition_opt_cvx_vertex() {}
 
-   Partition_opt_cvx_vertex(unsigned int v_num): _v_num(v_num), 
+   Partition_opt_cvx_vertex(unsigned int v_num): _v_num(v_num),
                       _stack(std::list<Partition_opt_cvx_stack_record>()),
                       _best_so_far(Partition_opt_cvx_stack_record(0, 0))
    {}
 
    unsigned int vertex_num( ) { return _v_num; }
 
-   Partition_opt_cvx_stack_record best_so_far( ) 
-   { 
+   Partition_opt_cvx_stack_record best_so_far( )
+   {
       return _best_so_far;
    }
 
@@ -74,15 +74,15 @@ public:
       return _stack.back();
    }
 
-   void stack_push(unsigned int vertex, int value, 
-                   const Partition_opt_cvx_diagonal_list& diag_list) 
+   void stack_push(unsigned int vertex, int value,
+                   const Partition_opt_cvx_diagonal_list& diag_list)
    {
       _best_so_far = Partition_opt_cvx_stack_record(vertex, value, diag_list);
       _stack.push_back(_best_so_far);
    }
-   
+
    // Pre:  stack is not empty
-   void stack_pop() 
+   void stack_pop()
    {
        _best_so_far = _stack.back();
        _stack.pop_back();
diff -pruN 5.0.2-3/include/CGAL/Partition_2/partition_optimal_convex_2.h 5.0.3-1/include/CGAL/Partition_2/partition_optimal_convex_2.h
--- 5.0.2-3/include/CGAL/Partition_2/partition_optimal_convex_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/partition_optimal_convex_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/partition_optimal_convex_2.h $
-// $Id: partition_optimal_convex_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/partition_optimal_convex_2.h $
+// $Id: partition_optimal_convex_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
 
 // ===========================================================================
-// There is a known bug in this algorithm that causes more than the optimal 
+// There is a known bug in this algorithm that causes more than the optimal
 // number of convex pieces to be reported in cases where there are many
 // collinear vertices (as in a Hilbert polygon, for example).  More precisely,
 // the problem is known to crop up in this situation:
@@ -36,13 +36,13 @@
 // it is believed an edge is necessary to divide the polygon (1 2 5 6 12 13).
 //
 // A hack that partially fixes this problem is implemented as follows:
-// a vertex r is marked as visible from a point q for the purposes of 
-// the decompose function if p is the other endpoint of the edge containing r 
+// a vertex r is marked as visible from a point q for the purposes of
+// the decompose function if p is the other endpoint of the edge containing r
 // and p is visible from q.
 //
-// This causes the problem that decomposition from 8 to 12 indicates that 
+// This causes the problem that decomposition from 8 to 12 indicates that
 // valid vertices are 8 9 and 12. Diagonal (9 12) is valid, but (8 12) is
-// also considered to be valid and necessary since 9 is a reflex vertex. 
+// also considered to be valid and necessary since 9 is a reflex vertex.
 // The result is a polygon split with diagonals (2 5) (12 5) (9 12) and
 // (13 1), which is obviously not optimal.
 //
@@ -79,7 +79,7 @@ namespace CGAL {
 
 
 #ifdef  CGAL_PARTITION_OPTIMAL_CONVEX_DEBUG
-int partition_opt_cvx_debug_list_count = 0;  
+int partition_opt_cvx_debug_list_count = 0;
 #endif
 
 
@@ -90,30 +90,30 @@ int partition_opt_cvx_best_so_far(Partit
                                   Partition_opt_cvx_diagonal_list& diag_list)
 {
 #ifdef CGAL_PARTITION_OPTIMAL_CONVEX_DEBUG
-   std::cout << "best(" << pivot_vertex.vertex_num() << "." 
-             << partition_opt_cvx_debug_list_count 
+   std::cout << "best(" << pivot_vertex.vertex_num() << "."
+             << partition_opt_cvx_debug_list_count
              << ", " << extension << ")" << std::endl;
 #endif
    Partition_opt_cvx_stack_record best_so_far = pivot_vertex.best_so_far();
    while (!pivot_vertex.stack_empty()) {
       Partition_opt_cvx_stack_record old = pivot_vertex.stack_top();
 #ifdef CGAL_PARTITION_OPTIMAL_CONVEX_DEBUG
-      std::cout << "best(" << pivot_vertex.vertex_num() << "." 
-                << partition_opt_cvx_debug_list_count << ", " << extension 
-                << ")" << " old = " << old.vertex_num() 
+      std::cout << "best(" << pivot_vertex.vertex_num() << "."
+                << partition_opt_cvx_debug_list_count << ", " << extension
+                << ")" << " old = " << old.vertex_num()
                 << ", " << old.value() << std::endl;
 #endif
       typedef typename Traits::Left_turn_2    Left_turn_2;
       typedef typename Traits::Point_2       Point_2;
       Left_turn_2 left_turn = traits.left_turn_2_object();
       Turn_reverser<Point_2, Left_turn_2>  right_turn(left_turn);
-      if (right_turn(polygon[old.vertex_num()], 
-                    polygon[pivot_vertex.vertex_num()], polygon[extension])) 
+      if (right_turn(polygon[old.vertex_num()],
+                    polygon[pivot_vertex.vertex_num()], polygon[extension]))
       {
 #ifdef CGAL_PARTITION_OPTIMAL_CONVEX_DEBUG
-         std::cout << "best(" << pivot_vertex.vertex_num() << "." 
-                   << partition_opt_cvx_debug_list_count 
-                   << ", " << extension << ")" << " returning(a) " 
+         std::cout << "best(" << pivot_vertex.vertex_num() << "."
+                   << partition_opt_cvx_debug_list_count
+                   << ", " << extension << ")" << " returning(a) "
                    << best_so_far.value() << std::endl;
 #endif
          diag_list = best_so_far.solution();
@@ -122,31 +122,31 @@ int partition_opt_cvx_best_so_far(Partit
       else if (old.value() < best_so_far.value())
          best_so_far = old;
 #ifdef CGAL_PARTITION_OPTIMAL_CONVEX_DEBUG
-      std::cout << "best(" << pivot_vertex.vertex_num() << "." 
-                << partition_opt_cvx_debug_list_count 
-                << ", " << extension << ") " << "popping off " 
+      std::cout << "best(" << pivot_vertex.vertex_num() << "."
+                << partition_opt_cvx_debug_list_count
+                << ", " << extension << ") " << "popping off "
                 << old.vertex_num() << ", " << old.value() << std::endl;
 #endif
       pivot_vertex.stack_pop();
    }
 #ifdef CGAL_PARTITION_OPTIMAL_CONVEX_DEBUG
-   std::cout << "best(" << pivot_vertex.vertex_num() << "." 
-             << partition_opt_cvx_debug_list_count 
-             << ", " << extension << ") returning(b) " << best_so_far.value() 
+   std::cout << "best(" << pivot_vertex.vertex_num() << "."
+             << partition_opt_cvx_debug_list_count
+             << ", " << extension << ") returning(b) " << best_so_far.value()
              << std::endl;
 #endif
    diag_list = best_so_far.solution();
 #ifdef CGAL_PARTITION_OPTIMAL_CONVEX_DEBUG
-   std::cout << "     diagonal list " << diag_list << std::endl; 
+   std::cout << "     diagonal list " << diag_list << std::endl;
 #endif
    return best_so_far.value();
 }
 
 template <class Polygon, class Traits>
-void partition_opt_cvx_load(int current, 
+void partition_opt_cvx_load(int current,
                             ::std::vector< Partition_opt_cvx_vertex >& v_list,
-                            Polygon& polygon, 
-                            Matrix<Partition_opt_cvx_edge>& edges, 
+                            Polygon& polygon,
+                            Matrix<Partition_opt_cvx_edge>& edges,
                             const Traits& traits)
 {
     int previous;
@@ -158,7 +158,7 @@ void partition_opt_cvx_load(int current,
 #endif
     for (previous = current-1; previous >= 0; previous--) {
 #ifdef CGAL_PARTITION_OPTIMAL_CONVEX_DEBUG
-      std::cout << "load:  previous = " << v_list[previous].vertex_num() 
+      std::cout << "load:  previous = " << v_list[previous].vertex_num()
                 << std::endl;
 #endif
       // must look at all valid edges and at all edges that are visible and
@@ -168,25 +168,25 @@ void partition_opt_cvx_load(int current,
                [v_list[current].vertex_num()].is_valid() ||
           (edges[v_list[previous].vertex_num()]
                 [v_list[current].vertex_num()].is_visible() &&
-           !v_list[previous].stack_empty())) 
+           !v_list[previous].stack_empty()))
       {
          num_polygons = partition_opt_cvx_decompose(
-                                  v_list[previous].vertex_num(), 
-                                  v_list[current].vertex_num(), polygon, 
-                                  edges, traits, diag_list1) + 
-                        partition_opt_cvx_best_so_far(v_list[previous], 
+                                  v_list[previous].vertex_num(),
+                                  v_list[current].vertex_num(), polygon,
+                                  edges, traits, diag_list1) +
+                        partition_opt_cvx_best_so_far(v_list[previous],
                                                   v_list[current].vertex_num(),
                                                   polygon, traits, diag_list2);
          diag_list1.splice(diag_list1.end(), diag_list2);
 #ifdef CGAL_PARTITION_OPTIMAL_CONVEX_DEBUG
-         std::cout << "load:  pushing previous = " 
-                   << v_list[previous].vertex_num() << " num_polygons = " 
-                   << num_polygons << " on stack " 
-                   << v_list[current].vertex_num() << "." 
+         std::cout << "load:  pushing previous = "
+                   << v_list[previous].vertex_num() << " num_polygons = "
+                   << num_polygons << " on stack "
+                   << v_list[current].vertex_num() << "."
                    << partition_opt_cvx_debug_list_count << std::endl;
          std::cout << "     diagonal list = " << diag_list1 << std::endl;
 #endif
-         v_list[current].stack_push(v_list[previous].vertex_num(), 
+         v_list[current].stack_push(v_list[previous].vertex_num(),
                                     num_polygons, diag_list1);
        }
     }
@@ -204,22 +204,22 @@ bool collinearly_visible(unsigned int ed
    typedef typename Traits::Point_2                      Point_2;
    Orientation_2 orientation = traits.orientation_2_object();
 
-   if ((e_num == edge_num1+1 || e_num+1 == edge_num2) && 
+   if ((e_num == edge_num1+1 || e_num+1 == edge_num2) &&
        edges[edge_num1][edge_num2].is_visible() &&
        orientation(Point_2(polygon[edge_num1]), Point_2(polygon[e_num]),
                    Point_2(polygon[edge_num2])) ==
                   COLLINEAR)
      return true;
    else
-     return false;    
+     return false;
 }
-           
+
 
 template <class Polygon, class Traits>
 int partition_opt_cvx_decompose(unsigned int edge_num1, unsigned int edge_num2,
-                                Polygon& polygon, 
-                                Matrix<Partition_opt_cvx_edge>& edges, 
-                                const Traits& traits, 
+                                Polygon& polygon,
+                                Matrix<Partition_opt_cvx_edge>& edges,
+                                const Traits& traits,
                                 Partition_opt_cvx_diagonal_list& diag_list)
 {
 #ifdef CGAL_PARTITION_OPTIMAL_CONVEX_DEBUG
@@ -227,7 +227,7 @@ int partition_opt_cvx_decompose(unsigned
 #endif
    if (edges[edge_num1][edge_num2].is_done())  {
 #ifdef CGAL_PARTITION_OPTIMAL_CONVEX_DEBUG
-      std::cout << " returning " << edges[edge_num1][edge_num2].value() 
+      std::cout << " returning " << edges[edge_num1][edge_num2].value()
                 << std::endl;
 #endif
       diag_list = edges[edge_num1][edge_num2].solution();
@@ -238,23 +238,23 @@ int partition_opt_cvx_decompose(unsigned
 #endif
 
    // temporarily invalidate this edge so we don't try to decompose on this
-   // edge again 
-   Partition_opt_cvx_edge_validity old_validity; 
+   // edge again
+   Partition_opt_cvx_edge_validity old_validity;
    old_validity = edges[edge_num1][edge_num2].validity();
    edges[edge_num1][edge_num2].set_valid(PARTITION_OPT_CVX_NOT_VALID);
 
-   std::vector< Partition_opt_cvx_vertex > v_list; 
+   std::vector< Partition_opt_cvx_vertex > v_list;
 #ifdef CGAL_PARTITION_OPTIMAL_CONVEX_DEBUG
    partition_opt_cvx_debug_list_count++;
 #endif
    typedef typename Polygon::size_type  size_type;
 
-   for (size_type e_num = edge_num1; e_num <= edge_num2; e_num++) 
+   for (size_type e_num = edge_num1; e_num <= edge_num2; e_num++)
    {
-       if ((edges[edge_num1][e_num].is_visible() && 
-            edges[e_num][edge_num2].is_visible() ) || 
+       if ((edges[edge_num1][e_num].is_visible() &&
+            edges[e_num][edge_num2].is_visible() ) ||
            collinearly_visible(edge_num1, static_cast<unsigned int>(e_num), edge_num2, edges, polygon,
-                               traits) ) 
+                               traits) )
        {
          v_list.push_back(Partition_opt_cvx_vertex( static_cast<unsigned int>(e_num)));
        }
@@ -273,7 +273,7 @@ int partition_opt_cvx_decompose(unsigned
        partition_opt_cvx_load(int(v), v_list, polygon, edges, traits);
    }
 
-   int num_pieces = partition_opt_cvx_best_so_far(v_list[v_list.size()-1], 
+   int num_pieces = partition_opt_cvx_best_so_far(v_list[v_list.size()-1],
                                                   edge_num1, polygon, traits,
                                                   diag_list) + 1;
 #ifdef CGAL_PARTITION_OPTIMAL_CONVEX_DEBUG
@@ -285,16 +285,16 @@ int partition_opt_cvx_decompose(unsigned
    edges[edge_num1][edge_num2].set_solution(diag_list);
    edges[edge_num1][edge_num2].set_done(true);
    edges[edge_num1][edge_num2].set_valid(old_validity);
-   // revalidate the edge; next time it will pick up the computed value 
+   // revalidate the edge; next time it will pick up the computed value
    // stored with this edge
 #ifdef CGAL_PARTITION_OPTIMAL_CONVEX_DEBUG
    std::cout << "decompose(" << edge_num1 << ", " << edge_num2 << "): "
-             << " edge[" << edge_num1 << "][" << edge_num2 << "] set to " 
+             << " edge[" << edge_num1 << "][" << edge_num2 << "] set to "
              << edges[edge_num1][edge_num2] << std::endl;
-   std::cout << " with diagonal list " 
+   std::cout << " with diagonal list "
              << edges[edge_num1][edge_num2].solution()
              << std::endl;
-   std::cout << "decompose(" << edge_num1 << ", " << edge_num2 
+   std::cout << "decompose(" << edge_num1 << ", " << edge_num2
              << "): returning " << num_pieces << std::endl;
    partition_opt_cvx_debug_list_count--;
 #endif
@@ -314,7 +314,7 @@ bool partition_opt_cvx_is_visible_n3(con
    typedef typename Traits::Point_2       Point_2;
    typedef typename Traits::Construct_segment_2 Construct_segment_2;
 
-   static Construct_segment_2 construct_segment_2 = 
+   static Construct_segment_2 construct_segment_2 =
                                  traits.construct_segment_2_object();
 
    Segment_2 segment = construct_segment_2(polygon[i], polygon[j]);
@@ -349,11 +349,11 @@ bool partition_opt_cvx_is_visible_n3(con
    return true;
 }
 
-// when consecutive sequence of vertices are collinear, they must all be 
+// when consecutive sequence of vertices are collinear, they must all be
 // visible to each other as if there were no vertices in between.
 template <class Polygon, class Traits>
-void make_collinear_vertices_visible(Polygon& polygon, 
-                                     Matrix<Partition_opt_cvx_edge>& edges, 
+void make_collinear_vertices_visible(Polygon& polygon,
+                                     Matrix<Partition_opt_cvx_edge>& edges,
                                      const Traits& traits)
 {
     typedef typename Polygon::size_type                   size_type;
@@ -361,20 +361,20 @@ void make_collinear_vertices_visible(Pol
     typedef typename Traits::Point_2                      Point_2;
     Orientation_2 orientation = traits.orientation_2_object();
 
-    size_type i; 
+    size_type i;
     size_type prev_j, j;
     size_type k, next_k;
 
     // start at the beginning, move backwards as long as the points are
     // collinear; move forward as long as the points are collinear;
-    // when you find the extremes make the larger one visible to the smaller 
+    // when you find the extremes make the larger one visible to the smaller
     // one loop until you reach the larger one each time starting again at the
     // larger
     i = polygon.size() - 1;
     prev_j = 0;
     j = 1;
     size_type start_i = 0;
-    while (i > 0 && 
+    while (i > 0 &&
            orientation(Point_2(polygon[i]), Point_2(polygon[prev_j]), Point_2(polygon[j])) == COLLINEAR)
     {
        prev_j = i;
@@ -414,7 +414,7 @@ void make_collinear_vertices_visible(Pol
        prev_j = i+1;
        j = i+2;
        while (j < polygon.size() &&
-              orientation(Point_2(polygon[i]), Point_2(polygon[prev_j]), Point_2(polygon[j])) == 
+              orientation(Point_2(polygon[i]), Point_2(polygon[prev_j]), Point_2(polygon[j])) ==
               COLLINEAR)
        {
            j++;
@@ -428,7 +428,7 @@ void make_collinear_vertices_visible(Pol
              next_k = k;
              do
              {
-               next_k++; 
+               next_k++;
                edges[k][next_k].set_visible(true);
              }
              while ( next_k != prev_j );
@@ -438,8 +438,8 @@ void make_collinear_vertices_visible(Pol
 }
 
 template <class Polygon, class Traits>
-void partition_opt_cvx_preprocessing(Polygon& polygon, 
-                                     Matrix<Partition_opt_cvx_edge>& edges, 
+void partition_opt_cvx_preprocessing(Polygon& polygon,
+                                     Matrix<Partition_opt_cvx_edge>& edges,
                                      const Traits& traits)
 {
     typedef typename Polygon::size_type                   size_type;
@@ -453,13 +453,13 @@ void partition_opt_cvx_preprocessing(Pol
     size_type prev_i, i, next_i, next_next_i;
     size_type prev_j, j, next_j;
 
-    for (i = 0; i < polygon.size(); i++) 
+    for (i = 0; i < polygon.size(); i++)
     {
        prev_i = (i == 0)?polygon.size()-1:i-1;
        next_i = (i + 1)% polygon.size();
        next_next_i = (next_i + 1)% polygon.size();
-       edges[i][i].set_visible(true);      
-       if (next_i != 0) 
+       edges[i][i].set_visible(true);
+       if (next_i != 0)
        {                                     // endpoints of edges are visible
           edges[i][next_i].set_visible(true);// and done (value == 0)
           edges[i][next_i].set_done(true);   // except for the last edge used
@@ -478,14 +478,14 @@ void partition_opt_cvx_preprocessing(Pol
              edges[i][j].set_valid(polygon[prev_i],polygon[i],polygon[next_i],
                                    polygon[prev_j],polygon[j],polygon[next_j],
                                    traits);
-             if (j == i+2) 
+             if (j == i+2)
              {
-                 edges[i][j].set_value(1); 
+                 edges[i][j].set_value(1);
                  Partition_opt_cvx_diagonal_list d;
                  d.push_back(Partition_opt_cvx_diagonal(static_cast<unsigned int>(i),
                                                         static_cast<unsigned int>(j)));
-                 edges[i][j].set_solution(d); 
-                 edges[i][j].set_done(true); 
+                 edges[i][j].set_solution(d);
+                 edges[i][j].set_done(true);
              }
              // triangles are a base case.
           }
@@ -496,9 +496,9 @@ void partition_opt_cvx_preprocessing(Pol
 
 
 template <class InputIterator, class OutputIterator, class Traits>
-OutputIterator partition_optimal_convex_2(InputIterator first, 
+OutputIterator partition_optimal_convex_2(InputIterator first,
                                           InputIterator beyond,
-                                          OutputIterator result, 
+                                          OutputIterator result,
                                           const Traits& traits)
 {
    if (first == beyond) return result;
@@ -537,19 +537,19 @@ OutputIterator partition_optimal_convex_
              << std::endl;
    std::cout << edges << std::endl;
 #endif
-   
+
    Partition_opt_cvx_diagonal_list diag_list;
-   if (polygon.size() > 0) 
+   if (polygon.size() > 0)
    {
-     partition_opt_cvx_decompose(0, static_cast<unsigned int>(polygon.size()-1), polygon, edges, 
+     partition_opt_cvx_decompose(0, static_cast<unsigned int>(polygon.size()-1), polygon, edges,
                                   traits, diag_list);
 
-      diag_list.pop_back(); // the last diagonal added is the edge from last 
+      diag_list.pop_back(); // the last diagonal added is the edge from last
                             // to first vertex (i.e., it is not a diagonal)
       Partition_opt_cvx_diagonal_list::const_iterator it;
-      for (it = diag_list.begin(); it != diag_list.end(); it++) 
+      for (it = diag_list.begin(); it != diag_list.end(); it++)
       {
-         Circulator source(polygon.begin(), polygon.end(), 
+         Circulator source(polygon.begin(), polygon.end(),
                            polygon.begin() + (*it).first);
          Circulator target(polygon.begin(), polygon.end(),
                            polygon.begin() + (*it).second);
@@ -561,11 +561,11 @@ OutputIterator partition_optimal_convex_
       polygon.partition(res, 1);
       CGAL_partition_postcondition(
              convex_partition_is_valid_2(polygon.begin(), polygon.end(),
-                                      res.output_so_far_begin(), 
+                                      res.output_so_far_begin(),
                                       res.output_so_far_end(), traits)
       );
    }
-   
+
 #if defined(CGAL_PARTITION_NO_POSTCONDITIONS) || \
     defined(CGAL_NO_POSTCONDITIONS)  || defined(NDEBUG)
    return res;
@@ -577,13 +577,13 @@ OutputIterator partition_optimal_convex_
 
 template <class InputIterator, class OutputIterator>
 inline
-OutputIterator partition_optimal_convex_2(InputIterator first, 
+OutputIterator partition_optimal_convex_2(InputIterator first,
                                           InputIterator beyond,
                                           OutputIterator result)
 {
    typedef typename std::iterator_traits<InputIterator>::value_type Point_2;
    typedef typename Kernel_traits<Point_2>::Kernel  K;
-   return partition_optimal_convex_2(first, beyond, result, 
+   return partition_optimal_convex_2(first, beyond, result,
                                      Partition_traits_2<K>());
 }
 
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Partition_traits_2_base.h 5.0.3-1/include/CGAL/Partition_2/Partition_traits_2_base.h
--- 5.0.2-3/include/CGAL/Partition_2/Partition_traits_2_base.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Partition_traits_2_base.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Partition_traits_2_base.h $
-// $Id: Partition_traits_2_base.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Partition_traits_2_base.h $
+// $Id: Partition_traits_2_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Partition_vertex_map.h 5.0.3-1/include/CGAL/Partition_2/Partition_vertex_map.h
--- 5.0.2-3/include/CGAL/Partition_2/Partition_vertex_map.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Partition_vertex_map.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Partition_vertex_map.h $
-// $Id: Partition_vertex_map.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Partition_vertex_map.h $
+// $Id: Partition_vertex_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -28,12 +28,12 @@ namespace CGAL {
 const int PARTITION_VMAP_UNSHARED_EDGE = -1;
 
 template<class Traits_>
-class Vertex_info 
+class Vertex_info
 {
 public:
 
   typedef Traits_                                       Traits;
-  typedef typename Traits::Polygon_2                    Polygon_2 ; 
+  typedef typename Traits::Polygon_2                    Polygon_2 ;
   typedef typename Traits::Polygon_2::Vertex_const_iterator   Vertex_const_iterator;
   typedef typename Traits::Less_xy_2                    Less_xy_2;
 
@@ -48,7 +48,7 @@ public:
 
   friend bool operator == ( Vertex_info const& a, Vertex_info const& b )
   {
-    return a.poly_ptr() == b.poly_ptr() && a.vertex_it() == b.vertex_it() ;   
+    return a.poly_ptr() == b.poly_ptr() && a.vertex_it() == b.vertex_it() ;
   }
 
   friend bool operator != ( Vertex_info const& a, Vertex_info const& b ) { return !(a==b); }
@@ -73,11 +73,11 @@ public:
   {
     return traits.less_xy_2_object()(*a.vertex_it(), *b.vertex_it());
   }
-  
+
 private:
   const Traits_& traits;
 };
-  
+
 template <class Traits_>
 class Edge_info
 {
@@ -131,10 +131,10 @@ public:
    {
       bool e1_less = less_xy((*e1.endpoint().vertex_it()), *vertex_it);
       bool e2_less = less_xy((*e2.endpoint().vertex_it()), *vertex_it);
-      bool e1_to_e2_left_turn = left_turn((*e1.endpoint().vertex_it()), *vertex_it, 
+      bool e1_to_e2_left_turn = left_turn((*e1.endpoint().vertex_it()), *vertex_it,
                                 (*e2.endpoint().vertex_it()));
 
-      // if both edges are on the same side of the vertical line through 
+      // if both edges are on the same side of the vertical line through
       // _vertex then e1 comes before e2 (in CW order from the vertical line)
       // if one  makes a left turn going from e1 to e2
       if (e1_less == e2_less)
@@ -144,7 +144,7 @@ public:
    }
 
 private:
-   Vertex_const_iterator vertex_it;  
+   Vertex_const_iterator vertex_it;
    Left_turn_2     left_turn;
    Less_xy_2       less_xy;
 };
@@ -155,7 +155,7 @@ private:
 namespace Partition_2 {
 
 template <class Traits_>
-class Edge_list 
+class Edge_list
 {
 public:
 
@@ -163,7 +163,7 @@ public:
   typedef Edge_list<Traits>                             Self;
   typedef typename Traits::Point_2                      Point_2;
   typedef typename Traits::Orientation_2                Orientation_pred;
-  typedef typename Traits::Polygon_2                    Polygon_2 ; 
+  typedef typename Traits::Polygon_2                    Polygon_2 ;
   typedef typename Traits::Polygon_2::Vertex_const_iterator   Vertex_const_iterator;
 
   typedef CGAL::Vertex_info<Traits> Vertex_info;
@@ -194,8 +194,8 @@ public:
   Edge_list(const Traits& traits)
     : traits(traits)
   {}
-  
-  
+
+
   template<class Compare> void sort ( Compare c ) { m_list.sort(c); }
 
   void insert_next(Vertex_info endpoint_ref, int num)
@@ -203,7 +203,7 @@ public:
 
     Self_iterator e_it;
 
-    for (e_it = m_list.begin();  e_it != m_list.end() && e_it->endpoint() != endpoint_ref ; e_it++) 
+    for (e_it = m_list.begin();  e_it != m_list.end() && e_it->endpoint() != endpoint_ref ; e_it++)
     {
     }
 
@@ -222,7 +222,7 @@ public:
 
     Self_iterator e_it;
 
-    for (e_it = m_list.begin(); e_it != m_list.end() &&  e_it->endpoint() != endpoint_ref ; e_it++) 
+    for (e_it = m_list.begin(); e_it != m_list.end() &&  e_it->endpoint() != endpoint_ref ; e_it++)
     {
     }
 
@@ -237,7 +237,7 @@ public:
   }
 
   // PRE: polygons must be simple
-  bool edges_overlap(Vertex_const_iterator vertex_it) 
+  bool edges_overlap(Vertex_const_iterator vertex_it)
   {
 
 #ifdef CGAL_PARTITION_CHECK_DEBUG
@@ -249,7 +249,7 @@ public:
 
     // Don't want to sort the edges for vertices of degree 2 because they
     // are already in CCW order (since the partition polygons were in CCW
-    // order), and this is what you need when you construct the union 
+    // order), and this is what you need when you construct the union
     // polygon.
     if (m_list.size() > 2)
     {
@@ -266,9 +266,9 @@ public:
 
     for (e_it = m_list.begin(); e_it != m_list.end(); e_it++)
     {
-       if ((*e_it).poly_num1() == PARTITION_VMAP_UNSHARED_EDGE) 
+       if ((*e_it).poly_num1() == PARTITION_VMAP_UNSHARED_EDGE)
           num_unshared++;
-       if ((*e_it).poly_num2() == PARTITION_VMAP_UNSHARED_EDGE) 
+       if ((*e_it).poly_num2() == PARTITION_VMAP_UNSHARED_EDGE)
           num_unshared++;
 
        if ((*prev_e_it).poly_num1() != (*e_it).poly_num1() &&
@@ -303,7 +303,7 @@ public:
     {
       if ((*e_circ).endpoint() == v_info)
       {
-        e_circ--; // go to the previous endpoint 
+        e_circ--; // go to the previous endpoint
         return *e_circ;
       }
     }
@@ -318,15 +318,15 @@ private :
 
 
 template <class Traits>
-std::ostream& operator<<(std::ostream& os, const Edge_list<Traits>& edges) 
+std::ostream& operator<<(std::ostream& os, const Edge_list<Traits>& edges)
 {
    typename Edge_list<Traits>::const_iterator  e_it;
 
    for (e_it = edges.begin(); e_it != edges.end(); e_it++)
    {
     os << "edge with endpoint (" << (*(*e_it).endpoint().vertex_it())
-             << ") from poly #" << (*e_it).poly_num1() 
-             << " and poly #" << (*e_it).poly_num2() 
+             << ") from poly #" << (*e_it).poly_num1()
+             << " and poly #" << (*e_it).poly_num2()
              << std::endl;
    }
    return os;
@@ -335,14 +335,14 @@ std::ostream& operator<<(std::ostream& o
 } // namesapce Partition_2
 
 template <class Traits_>
-class Partition_vertex_map  
+class Partition_vertex_map
 {
 public:
 
    typedef Traits_                         Traits;
    typedef CGAL::Vertex_info<Traits>       Vertex_info;
    typedef CGAL::Edge_info<Traits>         Edge_info;
-   typedef Partition_2::Edge_list<Traits>  Edge_list;  
+   typedef Partition_2::Edge_list<Traits>  Edge_list;
 
    typedef Partition_vertex_map<Traits> Self;
 
@@ -364,7 +364,7 @@ public:
      : traits(traits)
      , m_map(traits)
    {  _build(first_poly, last_poly); }
-  
+
    Self_const_iterator begin() const { return m_map.begin() ; }
    Self_iterator       begin()       { return m_map.begin() ; }
    Self_const_iterator end  () const { return m_map.end  () ; }
@@ -375,7 +375,7 @@ public:
       Self_iterator v_info;
       for (v_info = m_map.begin(); v_info != m_map.end(); v_info++)
       {
-         if ((*v_info).second.edges_overlap((*v_info).first.vertex_it())) 
+         if ((*v_info).second.edges_overlap((*v_info).first.vertex_it()))
             return true;
       }
       return false;
@@ -384,11 +384,11 @@ public:
    template <class OutputIterator>
    OutputIterator union_vertices(OutputIterator result)
    {
-       if (m_map.empty()) 
+       if (m_map.empty())
          return result;
-   
+
        Self_iterator m_it = m_map.begin();
-   
+
        // find a vertex with degree 2 (there must be at least one)
        while (m_it != m_map.end() && (*m_it).second.size() != 2)
           m_it++;
@@ -414,11 +414,11 @@ public:
        *result = *next_v_info.vertex_it();
        result++;
 
-       // find the map iterator corresponding to the next vertex 
+       // find the map iterator corresponding to the next vertex
        prev_v_info  = (*m_it).first;
        Vertex_info v_info = next_v_info;
        m_it = m_map.find(v_info);
-       
+
        while (v_info != first_v_info && m_it != m_map.end())
        {
 #ifdef CGAL_PARTITION_CHECK_DEBUG
@@ -428,13 +428,13 @@ public:
 #endif
     // Don't want to sort the edges for vertices of degree 2 because they
     // are already in CCW order (since the partition polygons were in CCW
-    // order), and this is what you need to begin the construction 
+    // order), and this is what you need to begin the construction
     // of the union polygon.
           if ((*m_it).second.size() > 2)
           {
             (*m_it).second.sort(
                                 CW_indirect_edge_info_compare<Traits>((*m_it).first.vertex_it(),traits));
-       	  }
+                 }
 
           // find the previous vertex in this vertex's list
           next_v_info=(*m_it).second.next_ccw_edge_info(prev_v_info).endpoint();
@@ -471,15 +471,15 @@ private :
 
       typedef std::pair<Self_iterator, bool>          Location_pair;
       typedef std::pair<Vertex_info, Edge_list>   P_Vertex;
-   
+
       Location_pair v_loc_pair;
       Location_pair begin_v_loc_pair;
       Location_pair prev_v_loc_pair;
-   
+
       Vertex_const_iterator vtx_begin;
       Vertex_const_iterator vtx_end;
       Vertex_const_iterator v_it;
-   
+
       int poly_num = 0;
       for (; poly_first != poly_last; poly_first++, poly_num++)
       {
@@ -489,7 +489,7 @@ private :
         vtx_begin = (*poly_first).vertices_begin();
         vtx_end   = (*poly_first).vertices_end();
         begin_v_loc_pair = m_map.insert(P_Vertex( Vertex_info(vtx_begin,poly_ptr), Edge_list(traits)));
-  
+
         prev_v_loc_pair = begin_v_loc_pair;
         v_it = vtx_begin;
 
@@ -504,9 +504,9 @@ private :
 
            prev_v_loc_pair = v_loc_pair;
         }
-        insert_next_edge(prev_v_loc_pair.first, begin_v_loc_pair.first, 
+        insert_next_edge(prev_v_loc_pair.first, begin_v_loc_pair.first,
                          poly_num);
-        insert_prev_edge(begin_v_loc_pair.first, prev_v_loc_pair.first, 
+        insert_prev_edge(begin_v_loc_pair.first, prev_v_loc_pair.first,
                          poly_num);
       }
    }
diff -pruN 5.0.2-3/include/CGAL/Partition_2/partition_y_monotone_2.h 5.0.3-1/include/CGAL/Partition_2/partition_y_monotone_2.h
--- 5.0.2-3/include/CGAL/Partition_2/partition_y_monotone_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/partition_y_monotone_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,23 +3,23 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/partition_y_monotone_2.h $
-// $Id: partition_y_monotone_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/partition_y_monotone_2.h $
+// $Id: partition_y_monotone_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
 //
-// Implementaion of the algorithm from pp 49--55 of "Computational Geometry 
-// Algorithms and  Applications" by de Berg, van Kreveld, Overmars, and 
+// Implementaion of the algorithm from pp 49--55 of "Computational Geometry
+// Algorithms and  Applications" by de Berg, van Kreveld, Overmars, and
 // Schwarzkopf for producing a partitioning of a polygon into y-monotone
 // pieces.
 //
 // NOTE:  e_i = (v_i, v_{i+1})
 //
 // TREE:
-//   "Therefore we store the edges of P intersecting the sweep line in the 
+//   "Therefore we store the edges of P intersecting the sweep line in the
 //    leaves of a dynamic binary search tree T.  The left-to-right order of
 //    the leaves of T corresponds to the left-to-right order of the edges.
 //    Because we are only interested in edges to the left of split and merge
@@ -37,7 +37,7 @@
 #include <CGAL/Partition_2/Indirect_not_less_yx_2.h>
 #include <CGAL/Partition_2/Indirect_edge_compare.h>
 #include <CGAL/Partition_2/Partitioned_polygon_2.h>
-#include <CGAL/ch_selected_extreme_points_2.h> 
+#include <CGAL/ch_selected_extreme_points_2.h>
 #include <CGAL/IO/Tee_for_output_iterator.h>
 #include <CGAL/Partition_2/partition_assertions.h>
 #include <CGAL/partition_is_valid_2.h>
@@ -46,11 +46,11 @@
 
 namespace CGAL {
 
-enum Partition_y_mono_vertex_type {PARTITION_Y_MONO_START_VERTEX, 
-                                   PARTITION_Y_MONO_SPLIT_VERTEX, 
-                                   PARTITION_Y_MONO_REGULAR_VERTEX, 
-                                   PARTITION_Y_MONO_COLLINEAR_VERTEX, 
-                                   PARTITION_Y_MONO_MERGE_VERTEX, 
+enum Partition_y_mono_vertex_type {PARTITION_Y_MONO_START_VERTEX,
+                                   PARTITION_Y_MONO_SPLIT_VERTEX,
+                                   PARTITION_Y_MONO_REGULAR_VERTEX,
+                                   PARTITION_Y_MONO_COLLINEAR_VERTEX,
+                                   PARTITION_Y_MONO_MERGE_VERTEX,
                                    PARTITION_Y_MONO_END_VERTEX};
 
 
@@ -59,7 +59,7 @@ enum Partition_y_mono_vertex_type {PARTI
 //
 template <class BidirectionalCirculator, class Traits>
 Partition_y_mono_vertex_type partition_y_mono_vertex_type(
-                                BidirectionalCirculator c, 
+                                BidirectionalCirculator c,
                                 const Traits& traits)
 {
   typedef typename Traits::Point_2 Point_2;
@@ -68,7 +68,7 @@ Partition_y_mono_vertex_type partition_y
    BidirectionalCirculator next = c;
    next++;
 #ifdef CGAL_PARTITION_Y_MONOTONE_DEBUG
-   std::cout << "partition_y_mono__vertex_type: previous " << *previous 
+   std::cout << "partition_y_mono__vertex_type: previous " << *previous
              << " c " << *c << " next " << *next  << std::endl;
 #endif
    typename Traits::Compare_y_2 compare_y_2 = traits.compare_y_2_object();
@@ -80,7 +80,7 @@ Partition_y_mono_vertex_type partition_y
    typename Traits::Less_yx_2   less_yx = traits.less_yx_2_object();
    typename Traits::Left_turn_2  left_turn = traits.left_turn_2_object();
 
-   if(less_yx(Point_2(*previous), Point_2(*c))) 
+   if(less_yx(Point_2(*previous), Point_2(*c)))
    {
      if(less_yx(Point_2(*next), Point_2(*c)))                // previous and next both less_yx
        if(left_turn(Point_2(*previous), Point_2(*c), Point_2(*next))) // interior angle less than pi
@@ -90,11 +90,11 @@ Partition_y_mono_vertex_type partition_y
       else                                   // previous less_yx and next not
          return PARTITION_Y_MONO_REGULAR_VERTEX;
    }
-   else 
+   else
    {
      if(less_yx(Point_2(*c), Point_2(*next)))           // previous and next both not less_yx
        if(left_turn(Point_2(*previous), Point_2(*c), Point_2(*next))) // interior angle less than pi
-           return PARTITION_Y_MONO_END_VERTEX; 
+           return PARTITION_Y_MONO_END_VERTEX;
         else                                // interior angle greater than pi
            return PARTITION_Y_MONO_MERGE_VERTEX;
       else                                 // next less_yx and previous not
@@ -109,14 +109,14 @@ void partition_y_mono_print_tree(Tree tr
 
    iterator it = tree.begin();
    for (; it != tree.end(); it++) {
-    std::cout << "edge node " << *(*it).first << " helper " << *(*it).second 
+    std::cout << "edge node " << *(*it).first << " helper " << *(*it).second
               << std::endl;
    }
    std::cout << std::endl;
 }
 
 template <class BidirectionalCirculator, class Tree>
-void partition_y_mono_handle_start_vertex(BidirectionalCirculator c, 
+void partition_y_mono_handle_start_vertex(BidirectionalCirculator c,
                                           Tree& tree)
 {
    typedef typename Tree::value_type ValuePair;
@@ -126,19 +126,19 @@ void partition_y_mono_handle_start_verte
 #endif
    tree.insert(ValuePair(c, c));
 #ifdef CGAL_PARTITION_Y_MONOTONE_DEBUG
-   std::cout << "partition_handle_start_vertex: after insert tree is " 
+   std::cout << "partition_handle_start_vertex: after insert tree is "
              << std::endl;
    partition_y_mono_print_tree(tree);
 #endif
    // insert e_i (edge from *c to *++c) into "tree" with helper(e_i) = v_i
 }
 
-template <class BidirectionalCirculator, class Tree, 
+template <class BidirectionalCirculator, class Tree,
           class Partition_Poly, class Traits>
-void partition_y_mono_handle_end_vertex(BidirectionalCirculator c, Tree& tree, 
-                                        Partition_Poly& partition_poly, 
+void partition_y_mono_handle_end_vertex(BidirectionalCirculator c, Tree& tree,
+                                        Partition_Poly& partition_poly,
                                         const Traits& traits )
-{ 
+{
 
 #ifdef CGAL_PARTITION_Y_MONOTONE_DEBUG
    std::cout << *c << " is an end vertex " << std::endl;
@@ -150,24 +150,24 @@ void partition_y_mono_handle_end_vertex(
    previous--;
 
 #ifdef CGAL_PARTITION_Y_MONOTONE_DEBUG
-   std::cout << "partition_y_mono_handle_end_vertex: previous " << *previous 
+   std::cout << "partition_y_mono_handle_end_vertex: previous " << *previous
              << std::endl;
 #endif
    it = tree.find(previous);
    CGAL_assertion (it != tree.end());
-   
-   if (partition_y_mono_vertex_type((*it).second, traits) == 
-          PARTITION_Y_MONO_MERGE_VERTEX) 
+
+   if (partition_y_mono_vertex_type((*it).second, traits) ==
+          PARTITION_Y_MONO_MERGE_VERTEX)
    {
 #ifdef CGAL_PARTITION_Y_MONOTONE_DEBUG
-       std::cout << "partition_y_mono_handle_end_vertex: diagonal " 
+       std::cout << "partition_y_mono_handle_end_vertex: diagonal "
                  << *(*it).second << " to " << *c << std::endl;
 #endif
        partition_poly.insert_diagonal(c, (*it).second);
    }
    tree.erase(it);
 #ifdef CGAL_PARTITION_Y_MONOTONE_DEBUG
-   std::cout << "partition_y_mono_handle_end_vertex: after erase tree is " 
+   std::cout << "partition_y_mono_handle_end_vertex: after erase tree is "
              << std::endl;
    partition_y_mono_print_tree(tree);
 #endif
@@ -192,7 +192,7 @@ void partition_y_mono_edge_directly_left
 }
 
 template <class BidirectionalCirculator, class Tree, class Partition_Poly>
-void partition_y_mono_handle_split_vertex(BidirectionalCirculator c, 
+void partition_y_mono_handle_split_vertex(BidirectionalCirculator c,
                                           Tree& tree,
                                           Partition_Poly& partition_poly)
 {
@@ -204,10 +204,10 @@ void partition_y_mono_handle_split_verte
    typedef typename Tree::value_type ValuePair;
    tree_iterator it;
    partition_y_mono_edge_directly_left(c, tree, it);
-   if (it != tree.end()) 
+   if (it != tree.end())
    {
 #ifdef CGAL_PARTITION_Y_MONOTONE_DEBUG
-      std::cout << "partition_y_mono_handle_split_vertex: diagonal " 
+      std::cout << "partition_y_mono_handle_split_vertex: diagonal "
                 << *(*it).second << " to " << *c << std::endl;
 #endif
       partition_poly.insert_diagonal(c, (*it).second);
@@ -222,16 +222,16 @@ void partition_y_mono_handle_split_verte
    partition_y_mono_print_tree(tree);
 #endif
    // 1. find the edge e_j in tree directly to the left of v_i
-   // 2. insert the diagonal connecting v_i to helper(e_j) 
+   // 2. insert the diagonal connecting v_i to helper(e_j)
    // 3. helper(e_j) = v_i
    // 4. Insert e_i in tree and set helper(e_i) to v_i
 }
 
-template <class BidirectionalCirculator, class Tree, 
+template <class BidirectionalCirculator, class Tree,
           class Partition_Poly, class Traits>
-void partition_y_mono_handle_merge_vertex(BidirectionalCirculator c, 
+void partition_y_mono_handle_merge_vertex(BidirectionalCirculator c,
                                           Tree& tree,
-                                          Partition_Poly& partition_poly, 
+                                          Partition_Poly& partition_poly,
                                           const Traits& traits)
 {
 #ifdef CGAL_PARTITION_Y_MONOTONE_DEBUG
@@ -245,25 +245,25 @@ void partition_y_mono_handle_merge_verte
    tree_iterator it = tree.find(prev);
    CGAL_assertion (it != tree.end());
 
-   if (partition_y_mono_vertex_type((*it).second,traits) == 
+   if (partition_y_mono_vertex_type((*it).second,traits) ==
          PARTITION_Y_MONO_MERGE_VERTEX)
    {
 #ifdef CGAL_PARTITION_Y_MONOTONE_DEBUG
-      std::cout << "partition_y_mono_handle_merge_vertex 1: diagonal " 
+      std::cout << "partition_y_mono_handle_merge_vertex 1: diagonal "
                 << *(*it).second << " to " << *c << std::endl;
 #endif
       partition_poly.insert_diagonal(c, (*it).second);
    }
    tree.erase(it);
-   
+
    partition_y_mono_edge_directly_left(c, tree, it);
-   if (it != tree.end()) 
+   if (it != tree.end())
    {
-      if (partition_y_mono_vertex_type((*it).second,traits) == 
-             PARTITION_Y_MONO_MERGE_VERTEX) 
+      if (partition_y_mono_vertex_type((*it).second,traits) ==
+             PARTITION_Y_MONO_MERGE_VERTEX)
       {
 #ifdef CGAL_PARTITION_Y_MONOTONE_DEBUG
-      std::cout << "partition_y_mono_handle_merge_vertex 2: diagonal " 
+      std::cout << "partition_y_mono_handle_merge_vertex 2: diagonal "
                 << *(*it).second << " to " << *c << std::endl;
 #endif
          partition_poly.insert_diagonal(c, (*it).second);
@@ -292,7 +292,7 @@ bool partition_y_mono_interior_to_right(
 {
   typedef typename Traits::Point_2 Point_2;
    typename Traits::Compare_y_2 compare_y_2 = traits.compare_y_2_object();
- 
+
    BidirectionalCirculator previous = c; previous--;
 
    Comparison_result cmp_y = compare_y_2(Point_2(*previous), Point_2(*c));
@@ -307,9 +307,9 @@ bool partition_y_mono_interior_to_right(
 
 template <class BidirectionalCirculator, class Tree, class Partition_Poly,
           class Traits>
-void partition_y_mono_handle_regular_vertex(BidirectionalCirculator c, 
-                                            Tree& tree, 
-                                            Partition_Poly& partition_poly, 
+void partition_y_mono_handle_regular_vertex(BidirectionalCirculator c,
+                                            Tree& tree,
+                                            Partition_Poly& partition_poly,
                                             const Traits& traits )
 {
 #ifdef CGAL_PARTITION_Y_MONOTONE_DEBUG
@@ -322,16 +322,16 @@ void partition_y_mono_handle_regular_ver
    BidirectionalCirculator previous = c;
    previous--;
 
-   if (partition_y_mono_interior_to_right(c, traits))  
+   if (partition_y_mono_interior_to_right(c, traits))
    {
       it = tree.find(previous);
       CGAL_assertion( it != tree.end() );
 
-      if (partition_y_mono_vertex_type((*it).second, traits) == 
+      if (partition_y_mono_vertex_type((*it).second, traits) ==
              PARTITION_Y_MONO_MERGE_VERTEX)
       {
 #ifdef CGAL_PARTITION_Y_MONOTONE_DEBUG
-         std::cout << "partition_y_mono_handle_regular_vertex 1: diagonal " 
+         std::cout << "partition_y_mono_handle_regular_vertex 1: diagonal "
                    << *(*it).second << " to " << *c << std::endl;
 #endif
          partition_poly.insert_diagonal(c, (*it).second);
@@ -339,16 +339,16 @@ void partition_y_mono_handle_regular_ver
       tree.erase(it);
       tree.insert(ValuePair(c,c));
    }
-   else 
+   else
    {
       partition_y_mono_edge_directly_left(c, tree, it);
       CGAL_assertion (it != tree.end());
 
-      if (partition_y_mono_vertex_type((*it).second, traits) == 
+      if (partition_y_mono_vertex_type((*it).second, traits) ==
              PARTITION_Y_MONO_MERGE_VERTEX)
       {
 #ifdef CGAL_PARTITION_Y_MONOTONE_DEBUG
-         std::cout << "partition_y_mono_handle_regular_vertex 2: diagonal " 
+         std::cout << "partition_y_mono_handle_regular_vertex 2: diagonal "
                    << *c << " to " << *(*it).second << std::endl;
 #endif
          partition_poly.insert_diagonal(c, (*it).second);
@@ -375,7 +375,7 @@ void partition_y_mono_handle_regular_ver
 }
 
 template <class BidirectionalCirculator, class Tree>
-void partition_y_mono_handle_collinear_vertex(BidirectionalCirculator c, 
+void partition_y_mono_handle_collinear_vertex(BidirectionalCirculator c,
                                               Tree& tree)
 {
    typedef typename Tree::iterator     tree_iterator;
@@ -396,7 +396,7 @@ void partition_y_mono_handle_collinear_v
    if ( it != tree.end() )
    {
 #ifdef CGAL_PARTITION_Y_MONOTONE_DEBUG
-      std::cout << "partition_y_mono_handle_collinear_vertex : removing " 
+      std::cout << "partition_y_mono_handle_collinear_vertex : removing "
                 << *(*it).first << std::endl;
 #endif
       tree.erase(it);
@@ -406,7 +406,7 @@ void partition_y_mono_handle_collinear_v
 
 
 template <class InputIterator, class OutputIterator, class Traits>
-OutputIterator partition_y_monotone_2(InputIterator first, 
+OutputIterator partition_y_monotone_2(InputIterator first,
                                       InputIterator beyond,
                                       OutputIterator result,
                                       const Traits& traits)
@@ -441,7 +441,7 @@ OutputIterator partition_y_monotone_2(In
    for(std::vector<Circulator>::const_iterator it = circulators.begin();
        it != circulators.end();
        it++){
-     std::cout << **it << " " ; 
+     std::cout << **it << " " ;
    }
    std::cout << std::endl;
 #endif
@@ -453,7 +453,7 @@ OutputIterator partition_y_monotone_2(In
 
    typename std::vector<Circulator>::iterator it = circulators.begin();
    for (; it != circulators.end(); it++) {
-      switch (partition_y_mono_vertex_type(*it, traits)) 
+      switch (partition_y_mono_vertex_type(*it, traits))
       {
          case PARTITION_Y_MONO_START_VERTEX:
             partition_y_mono_handle_start_vertex(*it, tree);
@@ -477,7 +477,7 @@ OutputIterator partition_y_monotone_2(In
    }
 #ifdef CGAL_PARTITION_Y_MONOTONE_DEBUG
    I v_it;
-   for (v_it = polygon.begin(); v_it != polygon.end(); v_it++) 
+   for (v_it = polygon.begin(); v_it != polygon.end(); v_it++)
    {
       (*v_it).print_diagonals();
    }
@@ -499,13 +499,13 @@ OutputIterator partition_y_monotone_2(In
 
 template <class InputIterator, class OutputIterator>
 inline
-OutputIterator partition_y_monotone_2(InputIterator first, 
+OutputIterator partition_y_monotone_2(InputIterator first,
                                       InputIterator beyond,
                                       OutputIterator result)
 {
    typedef typename std::iterator_traits<InputIterator>::value_type Point_2;
    typedef typename Kernel_traits<Point_2>::Kernel   K;
-   return partition_y_monotone_2(first, beyond, result, 
+   return partition_y_monotone_2(first, beyond, result,
                                  Partition_traits_2<K>());
 }
 
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Point_pair_less_xy_2.h 5.0.3-1/include/CGAL/Partition_2/Point_pair_less_xy_2.h
--- 5.0.2-3/include/CGAL/Partition_2/Point_pair_less_xy_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Point_pair_less_xy_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Point_pair_less_xy_2.h $
-// $Id: Point_pair_less_xy_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Point_pair_less_xy_2.h $
+// $Id: Point_pair_less_xy_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -35,11 +35,11 @@ class Point_pair_less_xy_2
    public:
      Point_pair_less_xy_2(const Traits& traits) : _less_xy_2(traits.less_xy_2_object())
      { }
-     
 
-     bool 
+
+     bool
      operator()(const Point_pair& p, const Point_pair& q) const
-     { 
+     {
         if (_less_xy_2(p.first, q.first))
             return true;
         else if (_less_xy_2(q.first, p.first))
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Rotation_tree_2.h 5.0.3-1/include/CGAL/Partition_2/Rotation_tree_2.h
--- 5.0.2-3/include/CGAL/Partition_2/Rotation_tree_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Rotation_tree_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Rotation_tree_2.h $
-// $Id: Rotation_tree_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Rotation_tree_2.h $
+// $Id: Rotation_tree_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -68,7 +68,7 @@ public:
          return p == q;
       }
    };
-   
+
    // constructor
    template<class ForwardIterator>
    Rotation_tree_2(ForwardIterator first, ForwardIterator beyond, const Traits& traits)
@@ -80,7 +80,7 @@ public:
       Equal equal;
       std::sort(this->begin(), this->end(), greater);
       std::unique(this->begin(), this->end(),equal);
-   
+
       // front() is the point with the largest x coordinate
 
       // Add two auxiliary points that have a special role and whose coordinates are not used
@@ -89,15 +89,15 @@ public:
 
       // push the point p_infinity; the coordinates should never be used
       push_back(back());
-   
+
       _p_inf = this->end();  // record the iterators to these extreme points
       _p_inf--;
       _p_minus_inf = _p_inf;
       _p_minus_inf--;
-   
+
       Self_iterator child;
       // make p_minus_inf a child of p_inf
-      set_rightmost_child(_p_minus_inf, _p_inf); 
+      set_rightmost_child(_p_minus_inf, _p_inf);
       child = this->begin();               // now points to p_0
       while (child != _p_minus_inf)  // make all points children of p_minus_inf
       {
@@ -109,41 +109,41 @@ public:
 
    // the point that comes first in the right-to-left ordering is first
    // in the ordering, after the auxilliary points p_minus_inf and p_inf
-   Self_iterator rightmost_point_ref() 
+   Self_iterator rightmost_point_ref()
    {
       return this->begin();
    }
 
-   Self_iterator right_sibling(Self_iterator p) 
+   Self_iterator right_sibling(Self_iterator p)
    {
       if (!(*p).has_right_sibling()) return this->end();
       return (*p).right_sibling();
    }
 
-   Self_iterator left_sibling(Self_iterator p) 
+   Self_iterator left_sibling(Self_iterator p)
    {
       if (!(*p).has_left_sibling()) return this->end();
       return (*p).left_sibling();
    }
 
-   Self_iterator rightmost_child(Self_iterator p) 
+   Self_iterator rightmost_child(Self_iterator p)
    {
       if (!(*p).has_children()) return this->end();
       return (*p).rightmost_child();
    }
 
-   Self_iterator parent(Self_iterator p) 
+   Self_iterator parent(Self_iterator p)
    {
       if (!(*p).has_parent()) return this->end();
       return (*p).parent();
    }
 
-   bool parent_is_p_infinity(Self_iterator p) 
+   bool parent_is_p_infinity(Self_iterator p)
    {
       return parent(p) == _p_inf;
    }
 
-   bool parent_is_p_minus_infinity(Self_iterator p) 
+   bool parent_is_p_minus_infinity(Self_iterator p)
    {
       return parent(p) == _p_minus_inf;
    }
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Rotation_tree_2_impl.h 5.0.3-1/include/CGAL/Partition_2/Rotation_tree_2_impl.h
--- 5.0.2-3/include/CGAL/Partition_2/Rotation_tree_2_impl.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Rotation_tree_2_impl.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Rotation_tree_2_impl.h $
-// $Id: Rotation_tree_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Rotation_tree_2_impl.h $
+// $Id: Rotation_tree_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -17,7 +17,7 @@ namespace CGAL {
 
 // makes *p the rightmost child of *q
 template<class Traits>
-void Rotation_tree_2<Traits>::set_rightmost_child(Self_iterator p, 
+void Rotation_tree_2<Traits>::set_rightmost_child(Self_iterator p,
                                                   Self_iterator q)
 {
    CGAL_assertion(q != this->end());
@@ -43,11 +43,11 @@ void Rotation_tree_2<Traits>::set_rightm
 
 // makes *p the left sibling of *q
 template <class Traits>
-void Rotation_tree_2<Traits>::set_left_sibling(Self_iterator p, 
+void Rotation_tree_2<Traits>::set_left_sibling(Self_iterator p,
                                                Self_iterator q)
 {
    if (q == this->end()) return;
-       
+
    if (p != this->end())
    {
       if (left_sibling(q) != this->end())
@@ -72,11 +72,11 @@ void Rotation_tree_2<Traits>::set_left_s
 
 // makes p the right sibling of q
 template <class Traits>
-void Rotation_tree_2<Traits>::set_right_sibling(Self_iterator p, 
+void Rotation_tree_2<Traits>::set_right_sibling(Self_iterator p,
                                                 Self_iterator q)
 {
    if (q == this->end()) return;
-       
+
    if (p != this->end())
    {
       if (right_sibling(q) != this->end())
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Rotation_tree_node_2.h 5.0.3-1/include/CGAL/Partition_2/Rotation_tree_node_2.h
--- 5.0.2-3/include/CGAL/Partition_2/Rotation_tree_node_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Rotation_tree_node_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Rotation_tree_node_2.h $
-// $Id: Rotation_tree_node_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Rotation_tree_node_2.h $
+// $Id: Rotation_tree_node_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -49,7 +49,7 @@ public:
 
 
    Rotation_tree_node_2(Base_point p) : point(p)
-   { 
+   {
       _parent.second = false;
       _left_sibling.second = false;
       _right_sibling.second = false;
@@ -58,7 +58,7 @@ public:
 
    operator Base_point() const
    { return point;}
-  
+
    bool has_left_sibling() const
    {  return _left_sibling.second; }
 
@@ -146,16 +146,16 @@ std::ostream& operator<<(std::ostream& o
 {
    os << node.x() << " " << node.y() << " ";
    if (node.has_parent())
-      os << "  parent " << (*node.parent()).x() 
+      os << "  parent " << (*node.parent()).x()
          << " " << (*node.parent()).y() << " ";
    if (node.has_left_sibling())
-      os << "  left sibling " << (*node.left_sibling()).x() 
+      os << "  left sibling " << (*node.left_sibling()).x()
          << " " << (*node.left_sibling()).y() << " ";
    if (node.has_right_sibling())
-      os << "  right sibling " << (*node.right_sibling()).x() 
+      os << "  right sibling " << (*node.right_sibling()).x()
          << " " << (*node.right_sibling()).y() << " ";
    if (node.has_children())
-      os << "  rightmost child " << (*node.rightmost_child()).x() 
+      os << "  rightmost child " << (*node.rightmost_child()).x()
          << " " << (*node.rightmost_child()).y();
    return os;
 }
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Segment_less_yx_2.h 5.0.3-1/include/CGAL/Partition_2/Segment_less_yx_2.h
--- 5.0.2-3/include/CGAL/Partition_2/Segment_less_yx_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Segment_less_yx_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Segment_less_yx_2.h $
-// $Id: Segment_less_yx_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Segment_less_yx_2.h $
+// $Id: Segment_less_yx_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -22,8 +22,8 @@
 namespace CGAL {
 
 //
-// Compares two pairs of points representing two segments. The first is 
-// "less than" the second if the second can see some point of the first 
+// Compares two pairs of points representing two segments. The first is
+// "less than" the second if the second can see some point of the first
 // by looking straight down (i.e., in direction -pi/2). If the first can see
 // the second in this way, it is greater than the second.  If neither sees
 // the other when looking in the direction -pi/2, the one that is farther
@@ -41,18 +41,18 @@ class Segment_less_yx_2
    typedef Turn_reverser<Point_2, Left_turn_2>   Right_turn_2;
 
    public:
-     Segment_less_yx_2(const Traits& traits) : 
+     Segment_less_yx_2(const Traits& traits) :
        _less_xy_2(traits.less_xy_2_object()),
        _compare_x_2(traits.compare_x_2_object()),
        _compare_y_2(traits.compare_y_2_object()),
        _left_turn_2(traits.left_turn_2_object()),
        _right_turn_2(Right_turn_2(_left_turn_2))
      { }
-     
 
-     bool 
+
+     bool
      operator()(const Point_pair& p, const Point_pair& q) const
-     { 
+     {
         Point_2 p_smaller_xy, p_larger_xy;
         Point_2 q_smaller_xy, q_larger_xy;
         // order the point pairs by x value
@@ -82,7 +82,7 @@ class Segment_less_yx_2
         if (_compare_x_2(p_larger_xy, q_smaller_xy) == SMALLER)
            return true;
         else if (_compare_x_2(p_larger_xy, q_smaller_xy) == EQUAL)
-        { 
+        {
            // x range of p ends where x range of q starts
            Comparison_result y_comp = _compare_y_2(p_larger_xy, q_smaller_xy);
            if (y_comp == SMALLER)
@@ -96,7 +96,7 @@ class Segment_less_yx_2
         else if (_compare_x_2(q_larger_xy, p_smaller_xy) == SMALLER)
            return false;
         else if (_compare_x_2(q_larger_xy, p_smaller_xy) == EQUAL)
-        { 
+        {
            // x range of p starts where x range of q ends
            Comparison_result y_comp = _compare_y_2(p_smaller_xy, q_larger_xy);
            if (y_comp == SMALLER)
@@ -107,7 +107,7 @@ class Segment_less_yx_2
               return false;
         }
         // see if one of q's endpoints is contained in p's x range
-        else if (_compare_x_2(p_smaller_xy,q_smaller_xy) == SMALLER && 
+        else if (_compare_x_2(p_smaller_xy,q_smaller_xy) == SMALLER &&
                  _compare_x_2(q_smaller_xy,p_larger_xy) == SMALLER)
            return _left_turn_2(p_smaller_xy,p_larger_xy,q_smaller_xy);
         else if (_compare_x_2(p_smaller_xy,q_larger_xy) == SMALLER &&
@@ -115,9 +115,9 @@ class Segment_less_yx_2
            return _left_turn_2(p_smaller_xy,p_larger_xy,q_larger_xy);
         //
         // neither of q's endpoints is in p's x-range so see if one of
-        // p's endpoints is in q's x-range 
+        // p's endpoints is in q's x-range
         //
-        else if (_compare_x_2(q_smaller_xy,p_smaller_xy) == SMALLER && 
+        else if (_compare_x_2(q_smaller_xy,p_smaller_xy) == SMALLER &&
                  _compare_x_2(p_smaller_xy,q_larger_xy) == SMALLER)
            return _right_turn_2(q_smaller_xy,q_larger_xy,p_smaller_xy);
         else if (_compare_x_2(q_smaller_xy,p_larger_xy) == SMALLER &&
@@ -126,14 +126,14 @@ class Segment_less_yx_2
         else // the x ranges are exactly the same
         {
            Comparison_result y_comp = _compare_y_2(p_smaller_xy, q_smaller_xy);
-           if (y_comp == SMALLER) 
+           if (y_comp == SMALLER)
               return true;
            else if (y_comp == LARGER)
               return false;
            else // look at the other endpoint
            {
               y_comp = _compare_y_2(p_larger_xy, q_larger_xy);
-              if (y_comp == SMALLER) 
+              if (y_comp == SMALLER)
                  return true;
               else if (y_comp == LARGER)
                  return false;
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Triangulation_indirect_traits_2.h 5.0.3-1/include/CGAL/Partition_2/Triangulation_indirect_traits_2.h
--- 5.0.2-3/include/CGAL/Partition_2/Triangulation_indirect_traits_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Triangulation_indirect_traits_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Triangulation_indirect_traits_2.h $
-// $Id: Triangulation_indirect_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Triangulation_indirect_traits_2.h $
+// $Id: Triangulation_indirect_traits_2.h 2e8a59d 2020-07-21T15:25:54+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -21,11 +21,11 @@
 namespace CGAL {
 
 template <class Circulator>
-class Indirect_segment 
+class Indirect_segment
 {
 public:
    Indirect_segment() {}
-   Indirect_segment(Circulator s, Circulator t) : _source_ref(s), 
+   Indirect_segment(Circulator s, Circulator t) : _source_ref(s),
                                                   _target_ref(t)
    {}
    Circulator source() {return _source_ref;}
@@ -37,12 +37,12 @@ private:
 };
 
 template <class Circulator>
-class Indirect_triangle 
+class Indirect_triangle
 {
 public:
    Indirect_triangle() {}
-   Indirect_triangle(Circulator p0, Circulator p1, Circulator p2): 
-       _p0(p0), _p1(p1), _p2(p2) 
+   Indirect_triangle(Circulator p0, Circulator p1, Circulator p2):
+       _p0(p0), _p1(p1), _p2(p2)
    {}
 
 private:
@@ -113,6 +113,7 @@ template <class Circulator>
 class Construct_circulator_2
 {
 public:
+   typedef Circulator result_type;
    Circulator operator()(Circulator p1) const { return p1; }
 };
 
@@ -129,7 +130,7 @@ public:
 };
 
 template <class Circulator, class Traits>
-class Triangulation_indirect_traits_2 
+class Triangulation_indirect_traits_2
 {
 public:
 
@@ -151,12 +152,12 @@ public:
    Compare_x_2 compare_x_2_object() const
    {
      return Compare_x_2(_traits.compare_x_2_object());
-   }  
+   }
 
    Compare_y_2 compare_y_2_object() const
    {
      return Compare_y_2(_traits.compare_y_2_object());
-   }  
+   }
 
    Orientation_2 orientation_2_object() const
    {
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Turn_reverser.h 5.0.3-1/include/CGAL/Partition_2/Turn_reverser.h
--- 5.0.2-3/include/CGAL/Partition_2/Turn_reverser.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Turn_reverser.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Turn_reverser.h $
-// $Id: Turn_reverser.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Turn_reverser.h $
+// $Id: Turn_reverser.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -19,14 +19,14 @@
 namespace CGAL {
 
 template <class Point_2, class TurnPredicate>
-class Turn_reverser 
+class Turn_reverser
 {
 public:
    Turn_reverser() {}
    Turn_reverser( const TurnPredicate& t ): turn(t) {}
 
-   bool operator() (const Point_2& p1, 
-                    const Point_2& p2, 
+   bool operator() (const Point_2& p1,
+                    const Point_2& p2,
                     const Point_2& p3) const
    {   return turn(p2, p1, p3); }
 
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Vertex_visibility_graph_2.h 5.0.3-1/include/CGAL/Partition_2/Vertex_visibility_graph_2.h
--- 5.0.2-3/include/CGAL/Partition_2/Vertex_visibility_graph_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Vertex_visibility_graph_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,17 +3,17 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Vertex_visibility_graph_2.h $
-// $Id: Vertex_visibility_graph_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Vertex_visibility_graph_2.h $
+// $Id: Vertex_visibility_graph_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
 /*
     Provides an implementation of the algorithm of Overmars and Welzl
     for computing the visibility graph of a set of non-intersecting
-    line segments in the plane.  
+    line segments in the plane.
 
      @inproceedings{ow-nmcvg-88
      , author =      "M. H. Overmars and Emo Welzl"
@@ -36,10 +36,10 @@
     the updates, it is necessary to keep track of all the leaves that are
     leftmost children of their parents.  In particular, one needs to know the
     rightmost of these leftmost children.
-    
+
     Two data structures are needed for the implementation of the algorithm:
     the sweep data structure $G$, and a stack $S$ that contains all the
-    leaves in $G$ that are the leftmost children of their parents.  
+    leaves in $G$ that are the leftmost children of their parents.
 
     TODO:
       --is_valid function is not complete
@@ -69,7 +69,7 @@
 namespace CGAL {
 
 template <class Traits>
-class Vertex_visibility_graph_2 
+class Vertex_visibility_graph_2
 {
 private:
    typedef Vertex_visibility_graph_2<Traits>  Self;
@@ -77,9 +77,9 @@ private:
    typedef typename Traits::Left_turn_2        Left_turn_2;
    typedef typename Traits::Less_xy_2         Less_xy_2;
    typedef typename Traits::Orientation_2     Orientation_2;
-   typedef typename Traits::Collinear_are_ordered_along_line_2 
+   typedef typename Traits::Collinear_are_ordered_along_line_2
                                             Collinear_are_ordered_along_line_2;
-   typedef typename Traits::Are_strictly_ordered_along_line_2 
+   typedef typename Traits::Are_strictly_ordered_along_line_2
                                             Are_strictly_ordered_along_line_2;
    typedef CGAL::Segment_less_yx_2<Traits>    Segment_less_yx_2;
 
@@ -97,8 +97,8 @@ private:
 
    // this map associates with each point (vertex), the iterator in the
    // original list that it originated from and its current visibility
-   // point iterator. 
-   typedef std::pair<Polygon_const_iterator, Polygon_const_iterator>   
+   // point iterator.
+   typedef std::pair<Polygon_const_iterator, Polygon_const_iterator>
                                                Iterator_pair;
    typedef std::map<Point_2, Iterator_pair, Less_xy_2>     Vertex_map;
    typedef typename Vertex_map::iterator                   Vertex_map_iterator;
@@ -114,8 +114,8 @@ public:
    //
    template <class ForwardIterator>
    Vertex_visibility_graph_2(ForwardIterator first, ForwardIterator beyond, const Traits& traits):
-     left_turn_2(traits.left_turn_2_object()), 
-     orientation_2(traits.orientation_2_object()), 
+     left_turn_2(traits.left_turn_2_object()),
+     orientation_2(traits.orientation_2_object()),
      collinear_ordered_2(traits.collinear_are_ordered_along_line_2_object()),
      are_strictly_ordered_along_line_2(
            traits.are_strictly_ordered_along_line_2_object()),
@@ -134,13 +134,13 @@ public:
 
       Vertex_map  vertex_map(less_xy_2);
       initialize_vertex_map(polygon, vertex_map, traits);
-   
+
       // NOTE:  use the std::list as the basis here because otherwise the basis
       //        is a deque, which is buggy under MSVC++
       std::stack<Tree_iterator, std::list<Tree_iterator> > stack;
       // push on p_0, the rightmost point
-      stack.push(tree.rightmost_point_ref());   
-   
+      stack.push(tree.rightmost_point_ref());
+
       Tree_iterator p, p_r, q;
       Tree_iterator z;
 
@@ -220,7 +220,7 @@ public:
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
          std::cout << " p is now " << *p << std::endl;
 #endif
-         if (tree.left_sibling(p) == tree.end() && 
+         if (tree.left_sibling(p) == tree.end() &&
              !tree.parent_is_p_infinity(p))
          {
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
@@ -271,7 +271,7 @@ public:
    {
       if (less_xy_2(edge.first,edge.second))
          return edges.find(edge) != edges.end();
-      else 
+      else
          return edges.find(Point_pair(edge.second, edge.first)) != edges.end();
    }
 
@@ -282,7 +282,7 @@ public:
    {
       std::vector<Point_2> vertices(first, beyond);
       bool edge_there[vertices.size()];
-   
+
       // for each edge in the graph determine if it is either an edge of the
       // polygon or, if not, if it intersects the polygon in the interior of
       // the edge.
@@ -303,7 +303,7 @@ public:
 
 private:
 
-   void print_vertex_map(const Vertex_map& vertex_map, 
+   void print_vertex_map(const Vertex_map& vertex_map,
                          const Polygon& polygon)
    {
       typedef typename Vertex_map::const_iterator    const_iterator;
@@ -311,7 +311,7 @@ private:
       for (const_iterator it = vertex_map.begin(); it != vertex_map.end();it++)
       {
          if ((*it).second.second != polygon.end())
-         std::cout << (*it).first << " sees " << *((*it).second.second) 
+         std::cout << (*it).first << " sees " << *((*it).second.second)
                    << std::endl;
       }
    }
@@ -329,7 +329,7 @@ private:
    // want to determine, for each vertex p of the polygon, the line segment
    // immediately below it.  For vertical edges, the segment below is not the
    // one that begins at the other endpoint of the edge.
-   void initialize_vertex_map(const Polygon& polygon, 
+   void initialize_vertex_map(const Polygon& polygon,
                               Vertex_map& vertex_map,
                               const Traits& traits);
 
@@ -338,13 +338,13 @@ private:
    // is less than q's x value or the x values are the same and p's y value is
    // less than q's.
    // if p, q, and q's parent are collinear, then one makes a "left turn"
-   // if q is between p and q's parent (since this means that p can't see 
+   // if q is between p and q's parent (since this means that p can't see
    // q's parent and thus should not become a child of that node)
    bool left_turn_to_parent(Tree_iterator p, Tree_iterator q, Tree& tree);
 
 
    // returns true if q is the vertex after p
-   bool is_next_to(const Polygon& polygon, Polygon_const_iterator p, 
+   bool is_next_to(const Polygon& polygon, Polygon_const_iterator p,
                    Polygon_const_iterator q) const
    {
       Polygon_const_iterator next = p; next++;
@@ -353,7 +353,7 @@ private:
    }
 
    // returns true if q is the vertex before or after p
-   bool are_adjacent(const Polygon& polygon, Polygon_const_iterator p, 
+   bool are_adjacent(const Polygon& polygon, Polygon_const_iterator p,
                      Polygon_const_iterator q) const
    {
       Polygon_const_iterator next = p; next++;
@@ -366,22 +366,22 @@ private:
    }
 
    // returns true if the diagonal from p to q cuts the interior angle at p
-   bool diagonal_in_interior(const Polygon& polygon, 
+   bool diagonal_in_interior(const Polygon& polygon,
                              Polygon_const_iterator p,
                              Polygon_const_iterator q);
- 
 
-   // returns true if the looker can see the point_to_see 
-   bool point_is_visible(const Polygon& polygon, 
-                         Polygon_const_iterator point_to_see, 
+
+   // returns true if the looker can see the point_to_see
+   bool point_is_visible(const Polygon& polygon,
+                         Polygon_const_iterator point_to_see,
                          Vertex_map_iterator looker);
-   
+
    void update_visibility(Vertex_map_iterator p_it,
-                          Vertex_map_iterator q_it, 
+                          Vertex_map_iterator q_it,
                           const Polygon& polygon, int are_adjacent);
 
    void update_collinear_visibility(Vertex_map_iterator p_it,
-                                    Vertex_map_iterator q_it, 
+                                    Vertex_map_iterator q_it,
                                     const Polygon& polygon);
 
    // The segment between points p and q is a potential visibility edge
diff -pruN 5.0.2-3/include/CGAL/Partition_2/Vertex_visibility_graph_2_impl.h 5.0.3-1/include/CGAL/Partition_2/Vertex_visibility_graph_2_impl.h
--- 5.0.2-3/include/CGAL/Partition_2/Vertex_visibility_graph_2_impl.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_2/Vertex_visibility_graph_2_impl.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_2/Vertex_visibility_graph_2_impl.h $
-// $Id: Vertex_visibility_graph_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_2/Vertex_visibility_graph_2_impl.h $
+// $Id: Vertex_visibility_graph_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -17,8 +17,8 @@ namespace CGAL {
 // ??? need to finish this ???
 template <class Traits>
 template <class ForwardIterator>
-bool 
-Vertex_visibility_graph_2<Traits>::is_valid(ForwardIterator first, 
+bool
+Vertex_visibility_graph_2<Traits>::is_valid(ForwardIterator first,
                                      ForwardIterator beyond)
 {
    std::vector<Point_2> vertices(first, beyond);
@@ -46,7 +46,7 @@ Vertex_visibility_graph_2<Traits>::is_va
 // immediately below it.  For vertical edges, the segment below is not the
 // one that begins at the other endpoint of the edge.
 template <class Traits>
-void 
+void
 Vertex_visibility_graph_2<Traits>::initialize_vertex_map(const Polygon& polygon,
                                                          Vertex_map& vertex_map,
                                                          const Traits& traits)
@@ -54,10 +54,10 @@ Vertex_visibility_graph_2<Traits>::initi
    typedef typename Vertex_map::value_type           Map_pair;
 
    // Create an event list that is a list of circulators for the polygon
-   Iterator_list<Polygon_const_iterator>     
+   Iterator_list<Polygon_const_iterator>
                            iterator_list(polygon.begin(), polygon.end());
 
-   // Sort the event list (iterators to points) from left to right 
+   // Sort the event list (iterators to points) from left to right
    // (using less_xy)
    iterator_list.sort(Indirect_less_xy_2<Traits>(traits));
    // Create an ordered list of edge endpoints (iterators), initially empty
@@ -73,19 +73,19 @@ Vertex_visibility_graph_2<Traits>::initi
    Polygon_const_iterator next_endpt;
    Polygon_const_iterator prev_endpt;
 
-   // initialize the map by associating iterators and points and indicating 
+   // initialize the map by associating iterators and points and indicating
    // that no points can see anything.
    for (Polygon_const_iterator it = polygon.begin();it != polygon.end();it++)
    {
       vertex_map.insert(Map_pair(*it, Iterator_pair(it, polygon.end())));
    }
-      
-   // now go through the events in sorted order.  
+
+   // now go through the events in sorted order.
    while (!iterator_list.empty())
    {
       event_it = iterator_list.front();
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
-      std::cout << "event = " << *event_it << std::endl;     
+      std::cout << "event = " << *event_it << std::endl;
 #endif
       next_endpt = event_it; next_endpt++;
       if (next_endpt == polygon.end()) next_endpt = polygon.begin();
@@ -106,15 +106,15 @@ Vertex_visibility_graph_2<Traits>::initi
          // Find the entry for the edge's first endpoint in the vertex map.
          vis_it = vertex_map.find((*edge_it).first);
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
-         std::cout << "the potential visibility point is " << (*vis_it).first 
+         std::cout << "the potential visibility point is " << (*vis_it).first
                    << endl;
 #endif
-         // an edge that ends at this event point cannot be below this 
+         // an edge that ends at this event point cannot be below this
          // endpoint
          if (!is_next_to(polygon, (*vis_it).second.first, event_it))
          {
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
-            cout << "the edge beginning at  " << *(*vis_it).second.first 
+            cout << "the edge beginning at  " << *(*vis_it).second.first
                  << " is visible" << endl;
 #endif
             // set the visibility iterator for this point to the iterator
@@ -123,22 +123,22 @@ Vertex_visibility_graph_2<Traits>::initi
             if (less_xy_2((*vis_it).first,  (*vm_it).first))
             {
                Polygon_const_iterator next_vtx = (*vis_it).second.first;
-               next_vtx++; 
+               next_vtx++;
                if (next_vtx == polygon.end()) next_vtx = polygon.begin();
                (*vm_it).second.second = next_vtx;
             }
             else
                (*vm_it).second.second = (*vis_it).second.first;
          }
-         // skip over the edge that ends at this event point. If there 
-         // is another edge above this event's edge then it is visible. 
+         // skip over the edge that ends at this event point. If there
+         // is another edge above this event's edge then it is visible.
          // since it can't also end at the event point.
          else if (edge_it != ordered_edges.begin() &&
                   --edge_it != ordered_edges.begin())
          {
             vis_it = vertex_map.find((*edge_it).first);
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
-            std::cout << "the edge beginning at  " << *(*vis_it).second.first 
+            std::cout << "the edge beginning at  " << *(*vis_it).second.first
                       << " is visible" << endl;
 #endif
             // set the visibility iterator for this point to the iterator
@@ -147,7 +147,7 @@ Vertex_visibility_graph_2<Traits>::initi
             if (less_xy_2((*vis_it).first,  (*vm_it).first))
             {
                 Polygon_const_iterator next_vtx = (*vis_it).second.first;
-                next_vtx++; 
+                next_vtx++;
                 if (next_vtx == polygon.end()) next_vtx = polygon.begin();
                 (*vm_it).second.second = next_vtx;
             }
@@ -163,8 +163,8 @@ Vertex_visibility_graph_2<Traits>::initi
       else
          cout << "nothing is visible " << endl;
 #endif
-      prev_endpt = event_it; 
-      if (prev_endpt == polygon.begin()) 
+      prev_endpt = event_it;
+      if (prev_endpt == polygon.begin())
          prev_endpt = polygon.end();
       prev_endpt--;
       // if the other endpoint of the next edge is to the right of the
@@ -177,7 +177,7 @@ Vertex_visibility_graph_2<Traits>::initi
                   << *event_it << " to " << *next_endpt << endl;
 #endif
       }
-      else // other endpoint not to the right, so erase it 
+      else // other endpoint not to the right, so erase it
       {
          ordered_edges.erase(Point_pair(*event_it,*next_endpt));
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
@@ -211,24 +211,24 @@ Vertex_visibility_graph_2<Traits>::initi
 // is less than q's x value or the x values are the same and p's y value is
 // less than q's.
 // if p, q, and q's parent are collinear, then one makes a "left turn"
-// if q is between p and q's parent (since this means that p can't see 
+// if q is between p and q's parent (since this means that p can't see
 // q's parent and thus should not become a child of that node)
 template <class Traits>
-bool 
+bool
 Vertex_visibility_graph_2<Traits>::left_turn_to_parent(
-                                   Tree_iterator p, 
-                                   Tree_iterator q, 
+                                   Tree_iterator p,
+                                   Tree_iterator q,
                                    Tree& tree)
 {
    typedef typename Traits::Point_2 Point;
-   if (tree.parent_is_p_infinity(q)) 
+   if (tree.parent_is_p_infinity(q))
    {
       return (less_xy_2(Point(*p), Point(*q)));
    }
    else if (orientation_2(Point(*p), Point(*q), Point(*q->parent())) == COLLINEAR &&
             (collinear_ordered_2(Point(*p), Point(*q), Point(*q->parent())) ||
              collinear_ordered_2(Point(*p), Point(*q), Point(*q->parent()))))
-      
+
    {
       return true;
    }
@@ -241,9 +241,9 @@ Vertex_visibility_graph_2<Traits>::left_
 // returns true if the diagonal from p to q cuts the interior angle at p
 
 template <class Traits>
-bool 
+bool
 Vertex_visibility_graph_2<Traits>::diagonal_in_interior(
-                             const Polygon& polygon, 
+                             const Polygon& polygon,
                              Polygon_const_iterator p,
                              Polygon_const_iterator q)
 {
@@ -251,7 +251,7 @@ Vertex_visibility_graph_2<Traits>::diago
    Polygon_const_iterator before_p;
    if (p == polygon.begin())
       before_p = polygon.end();
-   else 
+   else
       before_p = p;
    before_p--;
    Polygon_const_iterator after_p = p; after_p++;
@@ -274,12 +274,12 @@ Vertex_visibility_graph_2<Traits>::diago
    }
    return true;
 }
- 
 
-// returns true if the looker can see the point_to_see 
+
+// returns true if the looker can see the point_to_see
 template <class Traits>
 bool Vertex_visibility_graph_2<Traits>::point_is_visible(
-                                           const Polygon& polygon, 
+                                           const Polygon& polygon,
                                            Polygon_const_iterator point_to_see,
                                            Vertex_map_iterator looker)
 {
@@ -296,30 +296,30 @@ bool Vertex_visibility_graph_2<Traits>::
    prev_vis_endpt--;
 
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
-     cout << "looker is " << (*looker).first << " point to see is " 
+     cout << "looker is " << (*looker).first << " point to see is "
           << *point_to_see;
      cout << " visibility points are prev: " << *prev_vis_endpt
           << " vis: " << *vis_endpt << " next: " << *next_vis_endpt << endl;
 #endif
 
-    // if the point to see is the current visibility point or if the looker 
-    // and the point to see flank the old visibility point, they are visible 
-    // to each other since it is known at this point that the edge from 
+    // if the point to see is the current visibility point or if the looker
+    // and the point to see flank the old visibility point, they are visible
+    // to each other since it is known at this point that the edge from
     // the looker to the point to see goes through the interior of the polygon
     if ((*looker).second.second == point_to_see)
-        
+
     {
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
        std::cout << "looker sees point" << std::endl;
 #endif
        return true;
     }
-    else if (((*looker).second.first == prev_vis_endpt && 
+    else if (((*looker).second.first == prev_vis_endpt &&
               point_to_see == next_vis_endpt) ||
-             ((*looker).second.first == next_vis_endpt && 
+             ((*looker).second.first == next_vis_endpt &&
               point_to_see == prev_vis_endpt))
     {
-       if (orientation_2(*prev_vis_endpt, *vis_endpt, *next_vis_endpt) == 
+       if (orientation_2(*prev_vis_endpt, *vis_endpt, *next_vis_endpt) ==
            COLLINEAR &&
            (collinear_ordered_2((*looker).first, *vis_endpt, *point_to_see) ||
             collinear_ordered_2(*point_to_see, *vis_endpt, (*looker).first)))
@@ -329,7 +329,7 @@ bool Vertex_visibility_graph_2<Traits>::
 #endif
           return false;
        }
-       else                      
+       else
        {
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
           cout << "looker sees point" << endl;
@@ -339,7 +339,7 @@ bool Vertex_visibility_graph_2<Traits>::
     }
     else if ((*looker).second.first == prev_vis_endpt ||
              point_to_see == prev_vis_endpt)
-    // point to see or looker is not adjacent to old visibility, so check 
+    // point to see or looker is not adjacent to old visibility, so check
     // intersection with next visibility segment
     {
        if (orientation_2(*vis_endpt, *next_vis_endpt, (*looker).first) !=
@@ -362,7 +362,7 @@ bool Vertex_visibility_graph_2<Traits>::
     }
     else if ((*looker).second.first == next_vis_endpt ||
              point_to_see == next_vis_endpt)
-    // point to see or looker is not adjacent to old visibility, so check 
+    // point to see or looker is not adjacent to old visibility, so check
     // intersection with previous visibility segment
     {
        if (orientation_2(*vis_endpt, *prev_vis_endpt, (*looker).first) !=
@@ -383,7 +383,7 @@ bool Vertex_visibility_graph_2<Traits>::
          return true;
        }
     }
-    else 
+    else
     // neither is adjacent to the old visibility point so check intersection
     // with both visibility segments
     {
@@ -416,7 +416,7 @@ bool Vertex_visibility_graph_2<Traits>::
        }
    }
 }
-   
+
 template <class Traits>
 void Vertex_visibility_graph_2<Traits>::update_visibility(
                                                       Vertex_map_iterator p_it,
@@ -427,19 +427,19 @@ void Vertex_visibility_graph_2<Traits>::
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
       std::cout << "updating visibility:  " << std::endl;
 #endif
-   Polygon_const_iterator prev_q; 
-   Polygon_const_iterator turn_q; 
-   if ((*q_it).second.first == polygon.begin()) 
+   Polygon_const_iterator prev_q;
+   Polygon_const_iterator turn_q;
+   if ((*q_it).second.first == polygon.begin())
       prev_q = polygon.end();
    else
-      prev_q = (*q_it).second.first; 
+      prev_q = (*q_it).second.first;
    prev_q--;
 
    // determine if the vertex before or after q is the one that will
    // be encountered next when moving in the direction from p to q.
    if (prev_q == (*p_it).second.first)
    {
-      turn_q = (*q_it).second.first; 
+      turn_q = (*q_it).second.first;
       turn_q++;
       if (turn_q == polygon.end()) turn_q = polygon.begin();
    }
@@ -447,7 +447,7 @@ void Vertex_visibility_graph_2<Traits>::
       turn_q = prev_q;
 
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
-   std::cout << "prev_q = " << *prev_q  << " turn_q = " << *turn_q 
+   std::cout << "prev_q = " << *prev_q  << " turn_q = " << *turn_q
              << std::endl;
 #endif
 
@@ -457,7 +457,7 @@ void Vertex_visibility_graph_2<Traits>::
       {
          (*p_it).second.second = (*q_it).second.second; // p sees what q sees
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
-         std::cout << "adjacent with right turn; p now sees what q sees" 
+         std::cout << "adjacent with right turn; p now sees what q sees"
                    << std::endl;
 #endif
       }
@@ -465,7 +465,7 @@ void Vertex_visibility_graph_2<Traits>::
       {
          (*p_it).second.second = (*q_it).second.first;  // p sees q
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
-         std::cout << "adjacent and NOT right turn; p now sees q " 
+         std::cout << "adjacent and NOT right turn; p now sees q "
                    << std::endl;
 #endif
       }
@@ -481,11 +481,11 @@ void Vertex_visibility_graph_2<Traits>::
       if (turn_q == polygon.end()) turn_q = polygon.begin();
 
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
-      std::cout << "prev_q = " << *prev_q  << " turn_q = " << *turn_q 
+      std::cout << "prev_q = " << *prev_q  << " turn_q = " << *turn_q
                 << std::endl;
 #endif
       // q sees nothing or there is not a right turn to the point after q
-      if ((*q_it).second.second == polygon.end() || 
+      if ((*q_it).second.second == polygon.end() ||
           orientation_2((*p_it).first, (*q_it).first, *turn_q) != RIGHT_TURN)
       {
          (*p_it).second.second = (*q_it).second.first; // p sees q
@@ -500,7 +500,7 @@ void Vertex_visibility_graph_2<Traits>::
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
          std::cout << "p sees q's segment, q sees something;"
                    << " p sees what q sees" << std::endl;
-#endif 
+#endif
       }
    }
    // Before(p,q,vis(p)) == true if q lies nearer to p than segment vis(p)
@@ -563,7 +563,7 @@ void Vertex_visibility_graph_2<Traits>::
       (*p_it).second.second = (*q_it).second.first;
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
       std::cout << "p sees nothing; p sees what q sees" << std::endl;
-#endif 
+#endif
    }
 }
 
@@ -576,20 +576,20 @@ void Vertex_visibility_graph_2<Traits>::
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
    std::cout << "updating collinear visibility" << std::endl;
 #endif
-   Polygon_const_iterator prev_q; 
-   if ((*q_it).second.first == polygon.begin()) 
+   Polygon_const_iterator prev_q;
+   if ((*q_it).second.first == polygon.begin())
       prev_q = polygon.end();
    else
       prev_q = (*q_it).second.first;
    prev_q--;
 
-   Polygon_const_iterator next_q = (*q_it).second.first; 
+   Polygon_const_iterator next_q = (*q_it).second.first;
    next_q++;
    if (next_q == polygon.end()) next_q = polygon.begin();
 
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
-   std::cout << "q's neighbors are: prev " << *prev_q 
-             << " q " << (*q_it).first 
+   std::cout << "q's neighbors are: prev " << *prev_q
+             << " q " << (*q_it).first
              << " next " << *next_q << std::endl;
 #endif
 
@@ -615,13 +615,13 @@ void Vertex_visibility_graph_2<Traits>::
    // on p's current visibility point) and updates p's visibility point
    // where appropriate
 template <class Traits>
-void Vertex_visibility_graph_2<Traits>::handle(Tree_iterator p, 
-                                        Tree_iterator q, 
+void Vertex_visibility_graph_2<Traits>::handle(Tree_iterator p,
+                                        Tree_iterator q,
                                         const Polygon& polygon,
                                         Vertex_map& vertex_map)
 {
 #ifdef CGAL_VISIBILITY_GRAPH_DEBUG
-      std::cout << "Handling edge from " << (*p).x() << " " << (*p).y() 
+      std::cout << "Handling edge from " << (*p).x() << " " << (*p).y()
                 << " to " << (*q).x() << " " << (*q).y() << std::endl;
 #endif
    Vertex_map_iterator p_it = vertex_map.find(*p);
@@ -645,7 +645,7 @@ void Vertex_visibility_graph_2<Traits>::
       insert_edge(Point_pair(*p,*q));
       update_visibility(p_it, q_it, polygon, 1);
    }
-   else 
+   else
    {
       bool interior_at_p = diagonal_in_interior(polygon, (*p_it).second.first,
                                                 (*q_it).second.first);
@@ -659,7 +659,7 @@ void Vertex_visibility_graph_2<Traits>::
 #endif
          // if p sees something and q is visible only through collinear
          // points then update p's visibility if one of the points adjacent
-         // to q is above the line unless p's current visibility point 
+         // to q is above the line unless p's current visibility point
          // obscures the view.
          if ((*p_it).second.second != polygon.end() &&
              are_strictly_ordered_along_line_2((*p_it).first,
diff -pruN 5.0.2-3/include/CGAL/partition_2.h 5.0.3-1/include/CGAL/partition_2.h
--- 5.0.2-3/include/CGAL/partition_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/partition_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/partition_2.h $
-// $Id: partition_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/partition_2.h $
+// $Id: partition_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -25,9 +25,9 @@ namespace CGAL {
 
 template <class InputIterator, class OutputIterator, class Traits>
 inline
-OutputIterator greene_approx_convex_partition_2(InputIterator first, 
+OutputIterator greene_approx_convex_partition_2(InputIterator first,
                                                 InputIterator beyond,
-                                                OutputIterator result, 
+                                                OutputIterator result,
                                                 const Traits& traits)
 {
    return partition_greene_approx_convex_2(first, beyond, result, traits);
@@ -35,18 +35,18 @@ OutputIterator greene_approx_convex_part
 
 template <class InputIterator, class OutputIterator>
 inline
-OutputIterator greene_approx_convex_partition_2(InputIterator first, 
+OutputIterator greene_approx_convex_partition_2(InputIterator first,
                                                 InputIterator beyond,
-                                                OutputIterator result) 
+                                                OutputIterator result)
 {
    return partition_greene_approx_convex_2(first, beyond, result);
 }
 
 template <class InputIterator, class OutputIterator, class Traits>
 inline
-OutputIterator optimal_convex_partition_2(InputIterator first, 
+OutputIterator optimal_convex_partition_2(InputIterator first,
                                           InputIterator beyond,
-                                          OutputIterator result, 
+                                          OutputIterator result,
                                           const Traits& traits)
 {
    return partition_optimal_convex_2(first, beyond, result, traits);
@@ -54,18 +54,18 @@ OutputIterator optimal_convex_partition_
 
 template <class InputIterator, class OutputIterator>
 inline
-OutputIterator optimal_convex_partition_2(InputIterator first, 
+OutputIterator optimal_convex_partition_2(InputIterator first,
                                           InputIterator beyond,
-                                          OutputIterator result) 
+                                          OutputIterator result)
 {
    return partition_optimal_convex_2(first, beyond, result);
 }
 
 template <class InputIterator, class OutputIterator, class Traits>
 inline
-OutputIterator approx_convex_partition_2(InputIterator first, 
+OutputIterator approx_convex_partition_2(InputIterator first,
                                          InputIterator beyond,
-                                         OutputIterator result, 
+                                         OutputIterator result,
                                          const Traits& traits)
 {
    return partition_approx_convex_2(first, beyond, result, traits);
@@ -73,18 +73,18 @@ OutputIterator approx_convex_partition_2
 
 template <class InputIterator, class OutputIterator>
 inline
-OutputIterator approx_convex_partition_2(InputIterator first, 
+OutputIterator approx_convex_partition_2(InputIterator first,
                                          InputIterator beyond,
-                                         OutputIterator result) 
+                                         OutputIterator result)
 {
    return partition_approx_convex_2(first, beyond, result);
 }
 
 template <class InputIterator, class OutputIterator, class Traits>
 inline
-OutputIterator y_monotone_partition_2(InputIterator first, 
+OutputIterator y_monotone_partition_2(InputIterator first,
                                       InputIterator beyond,
-                                      OutputIterator result, 
+                                      OutputIterator result,
                                       const Traits& traits)
 {
    return partition_y_monotone_2(first, beyond, result, traits);
@@ -92,7 +92,7 @@ OutputIterator y_monotone_partition_2(In
 
 template <class InputIterator, class OutputIterator>
 inline
-OutputIterator y_monotone_partition_2(InputIterator first, 
+OutputIterator y_monotone_partition_2(InputIterator first,
                                       InputIterator beyond,
                                       OutputIterator result)
 {
diff -pruN 5.0.2-3/include/CGAL/partition_is_valid_2.h 5.0.3-1/include/CGAL/partition_is_valid_2.h
--- 5.0.2-3/include/CGAL/partition_is_valid_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/partition_is_valid_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/partition_is_valid_2.h $
-// $Id: partition_is_valid_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/partition_is_valid_2.h $
+// $Id: partition_is_valid_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -35,7 +35,7 @@
 namespace CGAL {
 
 template <class Circulator1, class Circulator2, class Traits>
-bool 
+bool
 polygons_w_steiner_are_equal(Circulator1 orig_first, Circulator2 new_first,
                              const Traits& traits)
 {
@@ -45,14 +45,14 @@ polygons_w_steiner_are_equal(Circulator1
    Circulator2 new_circ;
 
    // find the first (original) vertex in the list of vertices
-   for (new_circ = new_first; 
-        *new_circ != *orig_first && ++new_circ != new_first;) 
+   for (new_circ = new_first;
+        *new_circ != *orig_first && ++new_circ != new_first;)
    {}
 
-   if (new_circ == new_first) 
+   if (new_circ == new_first)
    {
 #ifdef CGAL_PARTITION_CHECK_DEBUG
-      std::cout << "first vertex " << *orig_first << " not found " 
+      std::cout << "first vertex " << *orig_first << " not found "
                 << std::endl;
 #endif // CGAL_PARTITION_CHECK_DEBUG
       return false;
@@ -62,7 +62,7 @@ polygons_w_steiner_are_equal(Circulator1
    new_first = new_circ;
    orig_circ = orig_first;
    Point_2 prev_pt = *new_first;
-  
+
    // keep going until you find all the original vertices, or come back
    // to the first new vertex
    do
@@ -79,7 +79,7 @@ polygons_w_steiner_are_equal(Circulator1
              COLLINEAR)
          {
 #ifdef CGAL_PARTITION_CHECK_DEBUG
-           std::cout << *new_circ << " is not collinear with " << prev_pt 
+           std::cout << *new_circ << " is not collinear with " << prev_pt
                      << " and " << *orig_circ << std::endl;
 #endif
             return false;
@@ -95,21 +95,21 @@ polygons_w_steiner_are_equal(Circulator1
 }
 
 template <class Circulator1, class Circulator2>
-bool 
+bool
 polygons_are_equal(Circulator1 orig_first, Circulator2 new_first)
 {
    Circulator1 orig_circ = orig_first;
    Circulator2 new_circ;
 
    // find the first (original) vertex in the list of vertices
-   for (new_circ = new_first; 
-        *new_circ != *orig_first && ++new_circ != new_first;) 
+   for (new_circ = new_first;
+        *new_circ != *orig_first && ++new_circ != new_first;)
    {}
 
    new_first = new_circ;
    // now look through both lists until you find a vertex that is not
    // the same or you reach the end of the vertices
-   do 
+   do
    {
 #ifdef CGAL_PARTITION_CHECK_DEBUG
       std::cout << *new_first << " is in the right place " << std::endl;
@@ -125,15 +125,15 @@ polygons_are_equal(Circulator1 orig_firs
 
 namespace internal {
 
-template<class InputIterator, class ForwardIterator, class Traits> 
+template<class InputIterator, class ForwardIterator, class Traits>
 bool
 partition_is_valid_2 (InputIterator point_first, InputIterator point_last,
                       ForwardIterator poly_first, ForwardIterator poly_last,
-                      const Traits& traits) 
+                      const Traits& traits)
 {
    if (poly_first == poly_last)  return (point_first == point_last);
 
-   typedef typename Traits::Polygon_2::Vertex_const_iterator   
+   typedef typename Traits::Polygon_2::Vertex_const_iterator
                                                        Poly_vtx_iterator;
    typedef typename Traits::Point_2                    Point_2;
    typedef Partition_vertex_map<Traits>                P_Vertex_map;
@@ -165,7 +165,7 @@ partition_is_valid_2 (InputIterator poin
 #endif
       CGAL_partition_assertion (
            orientation_2(vtx_begin, vtx_end, traits) == COUNTERCLOCKWISE);
-      if (!is_valid(vtx_begin, vtx_end)) 
+      if (!is_valid(vtx_begin, vtx_end))
       {
 #ifdef CGAL_PARTITION_CHECK_DEBUG
          std::cout << "It does NOT have the tested property." << std::endl;
@@ -180,7 +180,7 @@ partition_is_valid_2 (InputIterator poin
 #ifdef CGAL_PARTITION_CHECK_DEBUG
    typename std::list<Point_2>::iterator  poly_iterator;
    std::cout << "union polygon is " << std::endl;
-   for (poly_iterator = union_polygon.begin(); 
+   for (poly_iterator = union_polygon.begin();
         poly_iterator != union_polygon.end(); poly_iterator++)
    {
       std::cout << *poly_iterator << " ";
@@ -200,7 +200,7 @@ partition_is_valid_2 (InputIterator poin
                                          traits);
 }
 } // namespace internal
-  
+
 template<class InputIterator, class FowardIterator>
 bool
 partition_is_valid_2 (InputIterator point_first, InputIterator point_last,
@@ -217,7 +217,7 @@ partition_is_valid_2 (InputIterator poin
                                          poly_first, poly_last, validity_traits);
 }
 
-  
+
 template<class InputIterator, class FowardIterator, class Traits>
 bool
 partition_is_valid_2 (InputIterator point_first, InputIterator point_last,
@@ -234,11 +234,11 @@ partition_is_valid_2 (InputIterator poin
    return internal::partition_is_valid_2(point_first, point_last,
                                poly_first, poly_last, validity_traits);
 }
-  
+
 
 
 template<class InputIterator, class ForwardIterator, class Traits>
-bool 
+bool
 convex_partition_is_valid_2(InputIterator point_first,
                             InputIterator point_last,
                             ForwardIterator poly_first,
@@ -253,7 +253,7 @@ convex_partition_is_valid_2(InputIterato
 }
 
 template<class InputIterator, class ForwardIterator>
-bool 
+bool
 convex_partition_is_valid_2(InputIterator point_first,
                             InputIterator point_last,
                             ForwardIterator poly_first,
@@ -261,14 +261,14 @@ convex_partition_is_valid_2(InputIterato
 {
    typedef typename std::iterator_traits<InputIterator>::value_type   Point_2;
    typedef typename Kernel_traits<Point_2>::Kernel     K;
-   return convex_partition_is_valid_2(point_first, point_last, 
-                                      poly_first, poly_last,  
+   return convex_partition_is_valid_2(point_first, point_last,
+                                      poly_first, poly_last,
                                       Partition_traits_2<K>());
 }
 
 
 template<class InputIterator, class ForwardIterator, class Traits>
-bool 
+bool
 y_monotone_partition_is_valid_2(InputIterator point_first,
                                 InputIterator point_last,
                                 ForwardIterator poly_first,
@@ -284,7 +284,7 @@ y_monotone_partition_is_valid_2(InputIte
 }
 
 template<class InputIterator, class ForwardIterator>
-bool 
+bool
 y_monotone_partition_is_valid_2(InputIterator point_first,
                                 InputIterator point_last,
                                 ForwardIterator poly_first,
@@ -292,7 +292,7 @@ y_monotone_partition_is_valid_2(InputIte
 {
    typedef typename std::iterator_traits<InputIterator>::value_type   Point_2;
    typedef typename Kernel_traits<Point_2>::Kernel   K;
-   return y_monotone_partition_is_valid_2(point_first, point_last, 
+   return y_monotone_partition_is_valid_2(point_first, point_last,
                                           poly_first, poly_last,
                                           Partition_traits_2<K>());
 }
diff -pruN 5.0.2-3/include/CGAL/Partition_is_valid_traits_2.h 5.0.3-1/include/CGAL/Partition_is_valid_traits_2.h
--- 5.0.2-3/include/CGAL/Partition_is_valid_traits_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_is_valid_traits_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_is_valid_traits_2.h $
-// $Id: Partition_is_valid_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_is_valid_traits_2.h $
+// $Id: Partition_is_valid_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -36,7 +36,7 @@ public:
   Partition_is_valid_traits_2(const Traits& traits)
     : Traits(traits)
   {}
-public:   
+public:
    Is_valid
    is_valid_object(const Traits& traits) const
    {  return Is_valid(traits); }
diff -pruN 5.0.2-3/include/CGAL/Partition_traits_2.h 5.0.3-1/include/CGAL/Partition_traits_2.h
--- 5.0.2-3/include/CGAL/Partition_traits_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_traits_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_traits_2.h $
-// $Id: Partition_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_traits_2.h $
+// $Id: Partition_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -32,32 +32,32 @@ class Partition_traits_2;
   struct Polygon_traits_getter{
     typedef Partition_traits_2<BT,PM> type;
   };
-  
+
   template <typename BT>
   struct Polygon_traits_getter<BT,Identity_property_map<typename BT::Point_2> > {
     typedef BT type;
   };
-  
+
 template <class Base_traits, class PointPropertyMap>
 class Partition_traits_2 : public Base_traits
 {
 private:
   typedef Base_traits                                              Kernel;
   typedef Partition_traits_2<Base_traits,PointPropertyMap> Self;
-  
+
   PointPropertyMap ppmap;
-  
+
 public:
 
   Partition_traits_2(const Base_traits& base=Base_traits())
     : Base_traits(base)
   {}
-  
+
   Partition_traits_2(const PointPropertyMap& ppmap,
                              const Base_traits& base=Base_traits())
   : Base_traits(base),ppmap(ppmap)
   {}
-  
+
   typedef typename Kernel::FT FT;
   typedef typename boost::property_traits<PointPropertyMap>::key_type Point_2;
   typedef typename boost::call_traits<Point_2>::param_type Arg_type;
@@ -65,25 +65,25 @@ public:
   typedef ::std::list<Point_2>                      Container;
   typedef typename Polygon_traits_getter<Base_traits,PointPropertyMap>::type PolygonTraits;
   typedef CGAL::Polygon_2<PolygonTraits, Container>          Polygon_2;
-  
+
   template <typename BaseFct>
   struct Pmap_fct : public BaseFct {
     Pmap_fct(const PointPropertyMap& ppmap, const BaseFct& base)
       : BaseFct(base),ppmap(ppmap)
     {}
-    
+
     const PointPropertyMap& ppmap;
 
     typename BaseFct::result_type operator()(const Arg_type& p, const Arg_type& q) const {
       return static_cast<const BaseFct*>(this)->operator()(get(ppmap,p),get(ppmap,q));
     }
-    
+
     typename BaseFct::result_type operator()(const Arg_type& p, const Arg_type& q, const Arg_type& r) const {
       return static_cast<const BaseFct*>(this)->operator()(get(ppmap,p),get(ppmap,q),get(ppmap,r));
     }
   };
 
- 
+
   typedef Pmap_fct<typename Kernel::Equal_2>                    Equal_2;
   typedef Pmap_fct<typename Kernel::Less_yx_2>                  Less_yx_2;
   typedef Pmap_fct<typename Kernel::Less_xy_2>                  Less_xy_2;
@@ -94,13 +94,13 @@ public:
   typedef CGAL::Is_convex_2<Self>                               Is_convex_2;
   typedef CGAL::Is_y_monotone_2<Self>                           Is_y_monotone_2;
 
- 
+
   // needed by visibility graph and thus by optimal convex
   typedef Pmap_fct<typename Kernel::Collinear_are_ordered_along_line_2>   Collinear_are_ordered_along_line_2;
   typedef Pmap_fct<typename Kernel::Are_strictly_ordered_along_line_2>
                                                                 Are_strictly_ordered_along_line_2;
 
- 
+
   Equal_2
   equal_2_object() const
   { return Equal_2(ppmap,static_cast<const Base_traits*>(this)->equal_2_object()); }
@@ -112,24 +112,24 @@ public:
   Less_yx_2
   less_yx_2_object() const
   { return Less_yx_2(ppmap,static_cast<const Base_traits*>(this)->less_yx_2_object()); }
-  
+
   Less_xy_2
   less_xy_2_object() const
   { return Less_xy_2(ppmap,static_cast<const Base_traits*>(this)->less_xy_2_object()); }
-  
+
   Left_turn_2
   left_turn_2_object() const
   { return Left_turn_2(ppmap,static_cast<const Base_traits*>(this)->left_turn_2_object()); }
-  
+
   Compare_y_2
   compare_y_2_object() const
   {  return Compare_y_2(ppmap,static_cast<const Base_traits*>(this)->compare_y_2_object()); }
-  
+
   Compare_x_2
   compare_x_2_object() const
   {  return Compare_x_2(ppmap,static_cast<const Base_traits*>(this)->compare_x_2_object()); }
-  
-  
+
+
   Collinear_are_ordered_along_line_2
   collinear_are_ordered_along_line_2_object() const
   { return Collinear_are_ordered_along_line_2(ppmap,static_cast<const Base_traits*>(this)->collinear_are_ordered_along_line_2_object()); }
@@ -138,7 +138,7 @@ public:
   are_strictly_ordered_along_line_2_object() const
   { return Are_strictly_ordered_along_line_2(ppmap,static_cast<const Base_traits*>(this)->are_strictly_ordered_along_line_2_object()); }
 
-  
+
   Is_convex_2
   is_convex_2_object(const Self& traits) const
   {  return Is_convex_2(traits); }
diff -pruN 5.0.2-3/include/CGAL/Partition_traits_adapter_2.h 5.0.3-1/include/CGAL/Partition_traits_adapter_2.h
--- 5.0.2-3/include/CGAL/Partition_traits_adapter_2.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Partition_traits_adapter_2.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/Partition_traits_adapter_2.h $
-// $Id: Partition_traits_adapter_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/Partition_traits_adapter_2.h $
+// $Id: Partition_traits_adapter_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/pca_estimate_normals.h 5.0.3-1/include/CGAL/pca_estimate_normals.h
--- 5.0.2-3/include/CGAL/pca_estimate_normals.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/pca_estimate_normals.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/pca_estimate_normals.h $
-// $Id: pca_estimate_normals.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/pca_estimate_normals.h $
+// $Id: pca_estimate_normals.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Laurent Saboret
@@ -37,7 +37,7 @@
 #include <CGAL/Point_set_processing_3/internal/Parallel_callback.h>
 #include <tbb/parallel_for.h>
 #include <tbb/blocked_range.h>
-#include <tbb/scalable_allocator.h>  
+#include <tbb/scalable_allocator.h>
 #endif // CGAL_LINKED_WITH_TBB
 
 namespace CGAL {
@@ -74,7 +74,7 @@ pca_estimate_normal(const typename Kerne
   std::vector<Point> points;
   CGAL::Point_set_processing_3::internal::neighbor_query
     (query, tree, k, neighbor_radius, points);
-  
+
   // performs plane fitting by point-based PCA
   Plane plane;
   linear_least_squares_fitting_3(points.begin(),points.end(),plane,Dimension_tag<0>());
@@ -109,7 +109,7 @@ pca_estimate_normal(const typename Kerne
       , advancement (advancement)
       , interrupted (interrupted)
     { }
-    
+
     void operator()(const tbb::blocked_range<std::size_t>& r) const
     {
       for( std::size_t i = r.begin(); i != r.end(); ++i)
@@ -123,7 +123,7 @@ pca_estimate_normal(const typename Kerne
 
   };
 #endif // CGAL_LINKED_WITH_TBB
-  
+
 
 } /* namespace internal */
 /// \endcond
@@ -177,7 +177,7 @@ pca_estimate_normal(const typename Kerne
      \cgalNamedParamsEnd
 */
 template <typename ConcurrencyTag,
-	  typename PointRange,
+          typename PointRange,
           typename NamedParameters
 >
 void
@@ -232,7 +232,7 @@ pca_estimate_normals(
 
   // Instanciate a KD-tree search.
   // Note: We have to convert each input iterator to Point_3.
-  std::vector<Point> kd_tree_points; 
+  std::vector<Point> kd_tree_points;
   for(it = points.begin(); it != points.end(); it++)
     kd_tree_points.push_back(get(point_map, *it));
   Tree tree(kd_tree_points.begin(), kd_tree_points.end());
@@ -244,13 +244,13 @@ pca_estimate_normals(
   // vectors (already normalized)
 #ifndef CGAL_LINKED_WITH_TBB
   CGAL_static_assertion_msg (!(boost::is_convertible<ConcurrencyTag, Parallel_tag>::value),
-			     "Parallel_tag is enabled but TBB is unavailable.");
+                             "Parallel_tag is enabled but TBB is unavailable.");
 #else
   if (boost::is_convertible<ConcurrencyTag,Parallel_tag>::value)
     {
       Point_set_processing_3::internal::Parallel_callback
         parallel_callback (callback, kd_tree_points.size());
-     
+
       std::vector<Vector> normals (kd_tree_points.size (),
                                    CGAL::NULL_VECTOR);
       CGAL::internal::PCA_estimate_normals<Kernel, Tree>
@@ -270,18 +270,18 @@ pca_estimate_normals(
     {
       std::size_t nb = 0;
       for(it = points.begin(); it != points.end(); it++, ++ nb)
-	{
-	  Vector normal = internal::pca_estimate_normal<Kernel,Tree>(      
-								     get(point_map,*it),
-								     tree,
-								     k, neighbor_radius);
+        {
+          Vector normal = internal::pca_estimate_normal<Kernel,Tree>(
+                                                                     get(point_map,*it),
+                                                                     tree,
+                                                                     k, neighbor_radius);
 
-	  put(normal_map, *it, normal); // normal_map[it] = normal
+          put(normal_map, *it, normal); // normal_map[it] = normal
           if (callback && !callback ((nb+1) / double(kd_tree_points.size())))
             break;
-	}
+        }
     }
-   
+
   memory = CGAL::Memory_sizer().virtual_size(); CGAL_TRACE("  %ld Mb allocated\n", memory>>20);
   CGAL_TRACE("End of pca_estimate_normals()\n");
 }
@@ -289,7 +289,7 @@ pca_estimate_normals(
 /// \cond SKIP_IN_MANUAL
 // variant with default NP
 template <typename ConcurrencyTag,
-	  typename PointRange
+          typename PointRange
 >
 void
 pca_estimate_normals(
diff -pruN 5.0.2-3/include/CGAL/PCA_util_Eigen.h 5.0.3-1/include/CGAL/PCA_util_Eigen.h
--- 5.0.2-3/include/CGAL/PCA_util_Eigen.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/PCA_util_Eigen.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis/include/CGAL/PCA_util_Eigen.h $
-// $Id: PCA_util_Eigen.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis/include/CGAL/PCA_util_Eigen.h $
+// $Id: PCA_util_Eigen.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Sylvain Pion and Ankit Gupta and Simon Giraudot
@@ -22,7 +22,7 @@ namespace CGAL {
 
 namespace internal {
 
-// assemble covariance matrix from a triangle set 
+// assemble covariance matrix from a triangle set
 template < typename InputIterator,
            typename K >
 void
@@ -39,15 +39,15 @@ assemble_covariance_matrix_3(InputIterat
   typedef typename K::Triangle_3  Triangle;
   typedef typename Eigen::Matrix<FT, 3, 3> Matrix;
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0 1 2
   //   3 4
-  //     5          
+  //     5
   //Final combined covariance matrix for all triangles and their combined mass
   FT mass = 0.0;
 
-  // assemble 2nd order moment about the origin.  
+  // assemble 2nd order moment about the origin.
   Matrix moment;
   moment << 1.0/12.0, 1.0/24.0, 1.0/24.0,
             1.0/24.0, 1.0/12.0, 1.0/24.0,
@@ -63,7 +63,7 @@ assemble_covariance_matrix_3(InputIterat
 
     // defined for convenience.
     Matrix transformation;
-    transformation << t[0].x(), t[1].x(), t[2].x(), 
+    transformation << t[0].x(), t[1].x(), t[2].x(),
                       t[0].y(), t[1].y(), t[2].y(),
                       t[0].z(), t[1].z(), t[2].z();
 
@@ -74,10 +74,10 @@ assemble_covariance_matrix_3(InputIterat
       continue;
 
     // Find the 2nd order moment for the triangle wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = 2 * area * transformation * moment * transformation.transpose();
-    
+
     // and add to covariance matrix
     covariance[0] += transformation(0,0);
     covariance[1] += transformation(1,0);
@@ -100,7 +100,7 @@ assemble_covariance_matrix_3(InputIterat
 
 }
 
-// assemble covariance matrix from a cuboid set 
+// assemble covariance matrix from a cuboid set
 template < typename InputIterator,
            typename K >
 void
@@ -117,15 +117,15 @@ assemble_covariance_matrix_3(InputIterat
   typedef typename K::Iso_cuboid_3    Iso_cuboid;
   typedef typename Eigen::Matrix<FT, 3, 3> Matrix;
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0 1 2
   //   3 4
-  //     5          
+  //     5
   // final combined covariance matrix for all cuboids and their combined mass
   FT mass = (FT)0.0;
 
-  // assemble 2nd order moment about the origin.  
+  // assemble 2nd order moment about the origin.
   Matrix moment;
   moment << (FT)(1.0/3.0), (FT)(1.0/4.0), (FT)(1.0/4.0),
             (FT)(1.0/4.0), (FT)(1.0/3.0), (FT)(1.0/4.0),
@@ -144,7 +144,7 @@ assemble_covariance_matrix_3(InputIterat
     FT x0 = t[0].x();
     FT y0 = t[0].y();
     FT z0 = t[0].z();
-    FT delta[9] = {t[0].x(), t[1].x(), t[2].x(), 
+    FT delta[9] = {t[0].x(), t[1].x(), t[2].x(),
                    t[0].y(), t[1].y(), t[2].y(),
                    t[0].z(), t[1].z(), t[2].z()};
     Matrix transformation (delta);
@@ -155,10 +155,10 @@ assemble_covariance_matrix_3(InputIterat
       continue;
 
     // Find the 2nd order moment for the cuboid wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = volume * transformation * moment * transformation.transpose();
-    
+
     // Translate the 2nd order moment to the minimum corner (x0,y0,z0) of the cuboid.
     FT xav0 = (delta[0] + delta[1] + delta[2])/4.0;
     FT yav0 = (delta[3] + delta[4] + delta[5])/4.0;
@@ -185,12 +185,12 @@ assemble_covariance_matrix_3(InputIterat
   covariance[5] += mass * (- c.z() * c.z());
 }
 
-// assemble covariance matrix from a cuboid set 
+// assemble covariance matrix from a cuboid set
 template < typename InputIterator,
            typename K >
 void
 assemble_covariance_matrix_3(InputIterator first,
-                             InputIterator beyond, 
+                             InputIterator beyond,
                              typename Eigen_diagonalize_traits<typename K::FT, 3>::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K& ,                    // kernel
@@ -202,15 +202,15 @@ assemble_covariance_matrix_3(InputIterat
   typedef typename K::Iso_cuboid_3 Iso_cuboid;
   typedef typename Eigen::Matrix<FT, 3, 3> Matrix;
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0 1 2
   //   3 4
-  //     5          
+  //     5
   //Final combined covariance matrix for all cuboids and their combined mass
   FT mass = (FT)0.0;
 
-  // assemble 2nd order moment about the origin.  
+  // assemble 2nd order moment about the origin.
   Matrix moment;
   moment << (FT)(7.0/3.0), (FT)1.5,       (FT)1.5,
             (FT)1.5,       (FT)(7.0/3.0), (FT)1.5,
@@ -228,7 +228,7 @@ assemble_covariance_matrix_3(InputIterat
     FT x0 = t[0].x();
     FT y0 = t[0].y();
     FT z0 = t[0].z();
-    FT delta[9] = {t[1].x()-x0, t[3].x()-x0, t[5].x()-x0, 
+    FT delta[9] = {t[1].x()-x0, t[3].x()-x0, t[5].x()-x0,
                    t[1].y()-y0, t[3].y()-y0, t[5].y()-y0,
                    t[1].z()-z0, t[3].z()-z0, t[5].z()-z0};
     Matrix transformation (delta);
@@ -247,10 +247,10 @@ assemble_covariance_matrix_3(InputIterat
       continue;
 
     // Find the 2nd order moment for the cuboid wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = area * transformation * moment * transformation.transpose();
-    
+
     // Translate the 2nd order moment to the minimum corner (x0,y0,z0) of the cuboid.
     FT xav0 = (delta[0] + delta[1] + delta[2])/4.0;
     FT yav0 = (delta[3] + delta[4] + delta[5])/4.0;
@@ -278,12 +278,12 @@ assemble_covariance_matrix_3(InputIterat
 
 }
 
-// assemble covariance matrix from a sphere set 
+// assemble covariance matrix from a sphere set
 template < typename InputIterator,
            typename K >
 void
 assemble_covariance_matrix_3(InputIterator first,
-                             InputIterator beyond, 
+                             InputIterator beyond,
                              typename Eigen_diagonalize_traits<typename K::FT, 3>::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K&,                     // kernel
@@ -295,15 +295,15 @@ assemble_covariance_matrix_3(InputIterat
   typedef typename K::Sphere_3  Sphere;
   typedef typename Eigen::Matrix<FT, 3, 3> Matrix;
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0 1 2
   //   3 4
-  //     5          
+  //     5
   //Final combined covariance matrix for all spheres and their combined mass
   FT mass = 0.0;
 
-  // assemble 2nd order moment about the origin.  
+  // assemble 2nd order moment about the origin.
   Matrix moment;
   moment << 4.0/15.0, 0.0,      0.0,
             0.0,      4.0/15.0, 0.0,
@@ -320,7 +320,7 @@ assemble_covariance_matrix_3(InputIterat
     // defined for convenience.
     FT radius = std::sqrt(t.squared_radius());
     Matrix transformation;
-    transformation << radius, 0.0, 0.0, 
+    transformation << radius, 0.0, 0.0,
                       0.0, radius, 0.0,
                       0.0, 0.0, radius;
     FT volume = (FT)(4.0/3.0) * radius * t.squared_radius();
@@ -330,10 +330,10 @@ assemble_covariance_matrix_3(InputIterat
       continue;
 
     // Find the 2nd order moment for the sphere wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = (3.0/4.0) * volume * transformation * moment * transformation.transpose();
-    
+
     // Translate the 2nd order moment to the center of the sphere.
     FT x0 = t.center().x();
     FT y0 = t.center().y();
@@ -360,12 +360,12 @@ assemble_covariance_matrix_3(InputIterat
   covariance[5] += mass * (-1.0 * c.z() * c.z());
 
 }
-// assemble covariance matrix from a sphere set 
+// assemble covariance matrix from a sphere set
 template < typename InputIterator,
            typename K >
 void
 assemble_covariance_matrix_3(InputIterator first,
-                             InputIterator beyond, 
+                             InputIterator beyond,
                              typename Eigen_diagonalize_traits<typename K::FT, 3>::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K&,                     // kernel
@@ -377,15 +377,15 @@ assemble_covariance_matrix_3(InputIterat
   typedef typename K::Sphere_3  Sphere;
   typedef typename Eigen::Matrix<FT, 3, 3> Matrix;
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0 1 2
   //   3 4
-  //     5          
+  //     5
   //Final combined covariance matrix for all spheres and their combined mass
   FT mass = 0.0;
 
-  // assemble 2nd order moment about the origin.  
+  // assemble 2nd order moment about the origin.
   Matrix moment;
   moment << 4.0/3.0, 0.0,     0.0,
             0.0,     4.0/3.0, 0.0,
@@ -403,7 +403,7 @@ assemble_covariance_matrix_3(InputIterat
     // FT example = CGAL::to_double(t[0].x());
     FT radius = std::sqrt(t.squared_radius());
     Matrix transformation;
-    transformation << radius, 0.0,    0.0, 
+    transformation << radius, 0.0,    0.0,
                       0.0,    radius, 0.0,
                       0.0,    0.0,    radius;
     FT area = (FT)4.0 * t.squared_radius();
@@ -413,10 +413,10 @@ assemble_covariance_matrix_3(InputIterat
       continue;
 
     // Find the 2nd order moment for the sphere wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = (1.0/4.0) * area * transformation * moment * transformation.transpose();
-    
+
     // Translate the 2nd order moment to the center of the sphere.
     FT x0 = t.center().x();
     FT y0 = t.center().y();
@@ -444,12 +444,12 @@ assemble_covariance_matrix_3(InputIterat
 
 }
 
-// assemble covariance matrix from a tetrahedron set 
+// assemble covariance matrix from a tetrahedron set
 template < typename InputIterator,
            typename K >
 void
 assemble_covariance_matrix_3(InputIterator first,
-                             InputIterator beyond, 
+                             InputIterator beyond,
                              typename Eigen_diagonalize_traits<typename K::FT, 3>::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K& ,                    // kernel
@@ -464,12 +464,12 @@ assemble_covariance_matrix_3(InputIterat
   typedef typename Eigen::Matrix<FT, 3, 3> Matrix;
   typedef typename Eigen::Matrix<FT, 3, 1> Vector;
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0 1 2
   //   3 4
-  //     5          
-  // assemble 2nd order moment about the origin.  
+  //     5
+  // assemble 2nd order moment about the origin.
   Matrix moment;
   moment << 1.0/60.0,  1.0/120.0, 1.0/120.0,
             1.0/120.0, 1.0/60.0,  1.0/120.0,
@@ -487,7 +487,7 @@ assemble_covariance_matrix_3(InputIterat
     FT z0 = t[0].z();
 
     Matrix transformation;
-    transformation << t[1].x()-x0, t[2].x()-x0, t[3].x()-x0, 
+    transformation << t[1].x()-x0, t[2].x()-x0, t[3].x()-x0,
                       t[1].y()-y0, t[2].y()-y0, t[3].y()-y0,
                       t[1].z()-z0, t[2].z()-z0, t[3].z()-z0;
     FT volume = CGAL::abs(t.volume());
@@ -502,31 +502,31 @@ assemble_covariance_matrix_3(InputIterat
     Vector_3 d = t[0] - c; // delta
     Vector vec_d;
     vec_d << d.x(), d.y(), d.z();
-      
+
     Point_3 C = CGAL::centroid(t) - (t[0] - CGAL::ORIGIN); // careful, local centroid
     Vector vec_c;
     vec_c << C.x(), C.y(), C.z();
-    
+
     Matrix M = vec_c * vec_d.transpose() + vec_d * vec_c.transpose() + vec_d * vec_d.transpose();
 
     accum += transformation + volume * M;
   }
-  
+
   covariance[0] = accum(0,0);
   covariance[1] = accum(1,0);
   covariance[2] = accum(2,0);
   covariance[3] = accum(1,1);
   covariance[4] = accum(2,1);
   covariance[5] = accum(2,2);
-  
+
 }
 
-// assemble covariance matrix from a segment set 
+// assemble covariance matrix from a segment set
 template < typename InputIterator,
            typename K >
 void
 assemble_covariance_matrix_3(InputIterator first,
-                             InputIterator beyond, 
+                             InputIterator beyond,
                              typename Eigen_diagonalize_traits<typename K::FT, 3>::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K& ,                    // kernel
@@ -538,15 +538,15 @@ assemble_covariance_matrix_3(InputIterat
   typedef typename K::Segment_3  Segment;
   typedef typename Eigen::Matrix<FT, 3, 3> Matrix;
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0 1 2
   //   3 4
-  //     5          
+  //     5
   //Final combined covariance matrix for all segments and their combined mass
   FT mass = 0.0;
 
-  // assemble 2nd order moment about the origin.  
+  // assemble 2nd order moment about the origin.
   Matrix moment;
   moment << 1.0, 0.5, 0.0,
             0.5, 1.0, 0.0,
@@ -563,17 +563,18 @@ assemble_covariance_matrix_3(InputIterat
     // defined for convenience.
     // FT example = CGAL::to_double(t[0].x());
     Matrix transformation;
-    transformation << t[0].x(), t[1].x(), 0.0, 
+    transformation << t[0].x(), t[1].x(), 0.0,
                       t[0].y(), t[1].y(), 0.0,
                       t[0].z(), t[1].z(), 1.0;
-    FT length = std::sqrt(t.squared_length());
+    using std::sqrt;
+    FT length = sqrt(t.squared_length());
 
     // skip zero measure primitives
     if(length == (FT)0.0)
       continue;
 
     // Find the 2nd order moment for the segment wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = length * transformation * moment * transformation.transpose();
 
@@ -636,7 +637,7 @@ template < typename InputIterator,
            typename K >
 void
 assemble_covariance_matrix_3(InputIterator first,
-                             InputIterator beyond, 
+                             InputIterator beyond,
                              typename Default_diagonalize_traits<typename K::FT, 3>::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K& k,                    // kernel
@@ -652,7 +653,7 @@ template < typename InputIterator,
            typename K >
 void
 assemble_covariance_matrix_3(InputIterator first,
-                             InputIterator beyond, 
+                             InputIterator beyond,
                              typename Default_diagonalize_traits<typename K::FT, 3>::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K& k,                     // kernel
@@ -664,12 +665,12 @@ assemble_covariance_matrix_3(InputIterat
                                 Eigen_diagonalize_traits<typename K::FT, 3>());
 }
 
-  
+
 template < typename InputIterator,
            typename K >
 void
 assemble_covariance_matrix_3(InputIterator first,
-                             InputIterator beyond, 
+                             InputIterator beyond,
                              typename Default_diagonalize_traits<typename K::FT, 3>::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K& k,                     // kernel
@@ -685,7 +686,7 @@ template < typename InputIterator,
            typename K >
 void
 assemble_covariance_matrix_3(InputIterator first,
-                             InputIterator beyond, 
+                             InputIterator beyond,
                              typename Default_diagonalize_traits<typename K::FT, 3>::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K& k,                    // kernel
@@ -701,7 +702,7 @@ template < typename InputIterator,
            typename K >
 void
 assemble_covariance_matrix_3(InputIterator first,
-                             InputIterator beyond, 
+                             InputIterator beyond,
                              typename Default_diagonalize_traits<typename K::FT, 3>::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K& k,                    // kernel
@@ -713,7 +714,7 @@ assemble_covariance_matrix_3(InputIterat
                                 Eigen_diagonalize_traits<typename K::FT, 3>());
 }
 
-  
+
 
 
 } // end namespace internal
diff -pruN 5.0.2-3/include/CGAL/PCA_util.h 5.0.3-1/include/CGAL/PCA_util.h
--- 5.0.2-3/include/CGAL/PCA_util.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/PCA_util.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Principal_component_analysis/include/CGAL/PCA_util.h $
-// $Id: PCA_util.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Principal_component_analysis/include/CGAL/PCA_util.h $
+// $Id: PCA_util.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Sylvain Pion and Ankit Gupta
@@ -33,26 +33,26 @@ init_matrix(const int n,
 
   Matrix m(n);
   int i,j;
-  for(i = 0; i < n; i++) 
+  for(i = 0; i < n; i++)
     for(j = 0; j < n; j++)
       m[i][j] = entries[i*n+j];
 
   return m;
 } // end initialization of matrix
 
-// assemble covariance matrix from a point set 
+// assemble covariance matrix from a point set
 template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 void
 assemble_covariance_matrix_3(InputIterator first,
-                             InputIterator beyond, 
+                             InputIterator beyond,
                              typename DiagonalizeTraits::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K& k,                    // kernel
                              const typename K::Point_3*,   // used for indirection
                              const CGAL::Dimension_tag<0>&,
-			     const DiagonalizeTraits&)
+                             const DiagonalizeTraits&)
 {
   typedef typename K::FT       FT;
   typedef typename K::Point_3  Point;
@@ -61,8 +61,8 @@ assemble_covariance_matrix_3(InputIterat
   // Matrix numbering:
   // 0 1 2
   //   3 4
-  //     5          
-  covariance[0] = covariance[1] = covariance[2] = 
+  //     5
+  covariance[0] = covariance[1] = covariance[2] =
   covariance[3] = covariance[4] = covariance[5] = (FT)0.0;
   for(InputIterator it = first;
       it != beyond;
@@ -79,38 +79,38 @@ assemble_covariance_matrix_3(InputIterat
   }
 }
 
-// assemble covariance matrix from a triangle set 
+// assemble covariance matrix from a triangle set
 template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 void
 assemble_covariance_matrix_3(InputIterator first,
                              InputIterator beyond,
-			     typename DiagonalizeTraits::Covariance_matrix& covariance, // covariance matrix
+                             typename DiagonalizeTraits::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K&,                    // kernel
                              const typename K::Triangle_3*,// used for indirection
                              const CGAL::Dimension_tag<2>&,
-			     const DiagonalizeTraits&)
+                             const DiagonalizeTraits&)
 {
   // Use FT from the DiagonalizeTraits to avoid warnings if the Kernel
   // uses double but the user wants to compute diagonalization using floats
   typedef typename DiagonalizeTraits::Vector::value_type FT;
-  
+
   typedef typename K::Triangle_3  Triangle;
   typedef typename CGAL::Linear_algebraCd<FT> LA;
   typedef typename LA::Matrix Matrix;
-  
 
-  // assemble covariance matrix as a semi-definite matrix. 
+
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0 1 2
   //   3 4
-  //     5          
+  //     5
   //Final combined covariance matrix for all triangles and their combined mass
   FT mass = FT(0.0);
 
-  // assemble 2nd order moment about the origin.  
+  // assemble 2nd order moment about the origin.
   FT temp[9] = {FT(1.0/12.0), FT(1.0/24.0), FT(1.0/24.0),
                 FT(1.0/24.0), FT(1.0/12.0), FT(1.0/24.0),
                 FT(1.0/24.0), FT(1.0/24.0), FT(1.0/12.0)};
@@ -125,21 +125,21 @@ assemble_covariance_matrix_3(InputIterat
     const Triangle& t = *it;
 
     // defined for convenience.
-    FT delta[9] = {FT(t[0].x()), FT(t[1].x()), FT(t[2].x()), 
+    FT delta[9] = {FT(t[0].x()), FT(t[1].x()), FT(t[2].x()),
                    FT(t[0].y()), FT(t[1].y()), FT(t[2].y()),
                    FT(t[0].z()), FT(t[1].z()), FT(t[2].z())};
     Matrix transformation = init_matrix<FT>(3,delta);
     FT area = FT(std::sqrt(t.squared_area()));
 
-		// skip zero measure primitives
+                // skip zero measure primitives
     if(area == (FT)0.0)
-			continue;
+                        continue;
 
     // Find the 2nd order moment for the triangle wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = 2 * area * transformation * moment * LA::transpose(transformation);
-    
+
     // and add to covariance matrix
     covariance[0] += transformation[0][0];
     covariance[1] += transformation[1][0];
@@ -162,36 +162,36 @@ assemble_covariance_matrix_3(InputIterat
 
 }
 
-// assemble covariance matrix from a cuboid set 
+// assemble covariance matrix from a cuboid set
 template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 void
 assemble_covariance_matrix_3(InputIterator first,
                              InputIterator beyond,
-			     typename DiagonalizeTraits::Covariance_matrix& covariance, // covariance matrix
+                             typename DiagonalizeTraits::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K& ,                    // kernel
                              const typename K::Iso_cuboid_3*,// used for indirection
                              const CGAL::Dimension_tag<3>&,
-			     const DiagonalizeTraits&)
+                             const DiagonalizeTraits&)
 {
   typedef typename K::FT          FT;
   typedef typename K::Iso_cuboid_3    Iso_cuboid;
   typedef typename CGAL::Linear_algebraCd<FT> LA;
   typedef typename LA::Matrix Matrix;
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0 1 2
   //   3 4
-  //     5          
+  //     5
   // final combined covariance matrix for all cuboids and their combined mass
   FT mass = (FT)0.0;
 
-  // assemble 2nd order moment about the origin.  
+  // assemble 2nd order moment about the origin.
   FT temp[9] = {(FT)(1.0/3.0), (FT)(1.0/4.0), (FT)(1.0/4.0),
-								(FT)(1.0/4.0), (FT)(1.0/3.0), (FT)(1.0/4.0),
+                                                                (FT)(1.0/4.0), (FT)(1.0/3.0), (FT)(1.0/4.0),
                 (FT)(1.0/4.0), (FT)(1.0/4.0), (FT)(1.0/3.0)};
   Matrix moment = init_matrix<FT>(3,temp);
 
@@ -208,21 +208,21 @@ assemble_covariance_matrix_3(InputIterat
     FT x0 = t[0].x();
     FT y0 = t[0].y();
     FT z0 = t[0].z();
-    FT delta[9] = {t[1].x()-x0, t[3].x()-x0, t[5].x()-x0, 
+    FT delta[9] = {t[1].x()-x0, t[3].x()-x0, t[5].x()-x0,
                    t[1].y()-y0, t[3].y()-y0, t[5].y()-y0,
                    t[1].z()-z0, t[3].z()-z0, t[5].z()-z0};
     Matrix transformation = init_matrix<FT>(3,delta);
     FT volume = t.volume();
 
-		// skip zero measure primitives
+                // skip zero measure primitives
     if(volume == (FT)0.0)
-			continue;
+                        continue;
 
     // Find the 2nd order moment for the cuboid wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = volume * transformation * moment * LA::transpose(transformation);
-    
+
     // Translate the 2nd order moment to the minimum corner (x0,y0,z0) of the cuboid.
     FT xav0 = (delta[0] + delta[1] + delta[2])/4.0;
     FT yav0 = (delta[3] + delta[4] + delta[5])/4.0;
@@ -249,34 +249,34 @@ assemble_covariance_matrix_3(InputIterat
   covariance[5] += mass * (- c.z() * c.z());
 }
 
-// assemble covariance matrix from a cuboid set 
+// assemble covariance matrix from a cuboid set
 template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 void
 assemble_covariance_matrix_3(InputIterator first,
-                             InputIterator beyond, 
-			     typename DiagonalizeTraits::Covariance_matrix& covariance, // covariance matrix
+                             InputIterator beyond,
+                             typename DiagonalizeTraits::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K& ,                    // kernel
                              const typename K::Iso_cuboid_3*,// used for indirection
                              const CGAL::Dimension_tag<2>&,
-			     const DiagonalizeTraits&)
+                             const DiagonalizeTraits&)
 {
   typedef typename K::FT FT;
   typedef typename K::Iso_cuboid_3 Iso_cuboid;
   typedef typename CGAL::Linear_algebraCd<FT> LA;
   typedef typename LA::Matrix Matrix;
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0 1 2
   //   3 4
-  //     5          
+  //     5
   //Final combined covariance matrix for all cuboids and their combined mass
   FT mass = (FT)0.0;
 
-  // assemble 2nd order moment about the origin.  
+  // assemble 2nd order moment about the origin.
   FT temp[9] = {(FT)(7.0/3.0), (FT)1.5,       (FT)1.5,
                 (FT)1.5,       (FT)(7.0/3.0), (FT)1.5,
                 (FT)1.5,       (FT)1.5,       (FT)(7.0/3.0)};
@@ -294,7 +294,7 @@ assemble_covariance_matrix_3(InputIterat
     FT x0 = t[0].x();
     FT y0 = t[0].y();
     FT z0 = t[0].z();
-    FT delta[9] = {t[1].x()-x0, t[3].x()-x0, t[5].x()-x0, 
+    FT delta[9] = {t[1].x()-x0, t[3].x()-x0, t[5].x()-x0,
                    t[1].y()-y0, t[3].y()-y0, t[5].y()-y0,
                    t[1].z()-z0, t[3].z()-z0, t[5].z()-z0};
     Matrix transformation = init_matrix<FT>(3,delta);
@@ -308,15 +308,15 @@ assemble_covariance_matrix_3(InputIterat
                   delta[7]*delta[7],1/3.0)*std::pow(delta[2]*delta[2] +
                   delta[5]*delta[5] + delta[8]*delta[8],1/3.0)*2;
 
-		// skip zero measure primitives
+                // skip zero measure primitives
     if(area == (FT)0.0)
-			continue;
+                        continue;
 
     // Find the 2nd order moment for the cuboid wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = area * transformation * moment * LA::transpose(transformation);
-    
+
     // Translate the 2nd order moment to the minimum corner (x0,y0,z0) of the cuboid.
     FT xav0 = (delta[0] + delta[1] + delta[2])/4.0;
     FT yav0 = (delta[3] + delta[4] + delta[5])/4.0;
@@ -344,34 +344,34 @@ assemble_covariance_matrix_3(InputIterat
 
 }
 
-// assemble covariance matrix from a sphere set 
+// assemble covariance matrix from a sphere set
 template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 void
 assemble_covariance_matrix_3(InputIterator first,
-                             InputIterator beyond, 
-			     typename DiagonalizeTraits::Covariance_matrix& covariance, // covariance matrix
+                             InputIterator beyond,
+                             typename DiagonalizeTraits::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K&,                     // kernel
                              const typename K::Sphere_3*,  // used for indirection
                              const CGAL::Dimension_tag<3>&,
-			     const DiagonalizeTraits&)
+                             const DiagonalizeTraits&)
 {
   typedef typename K::FT          FT;
   typedef typename K::Sphere_3  Sphere;
   typedef typename CGAL::Linear_algebraCd<FT> LA;
   typedef typename LA::Matrix Matrix;
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0 1 2
   //   3 4
-  //     5          
+  //     5
   //Final combined covariance matrix for all spheres and their combined mass
   FT mass = 0.0;
 
-  // assemble 2nd order moment about the origin.  
+  // assemble 2nd order moment about the origin.
   FT temp[9] = {4.0/15.0, 0.0,      0.0,
                 0.0,      4.0/15.0, 0.0,
                 0.0,      0.0,      4.0/15.0};
@@ -387,21 +387,21 @@ assemble_covariance_matrix_3(InputIterat
 
     // defined for convenience.
     FT radius = std::sqrt(t.squared_radius());
-    FT delta[9] = {radius, 0.0, 0.0, 
+    FT delta[9] = {radius, 0.0, 0.0,
                    0.0, radius, 0.0,
                    0.0, 0.0, radius};
     Matrix transformation = init_matrix<FT>(3,delta);
     FT volume = (FT)(4.0/3.0) * radius * t.squared_radius();
 
-		// skip zero measure primitives
+                // skip zero measure primitives
     if(volume == (FT)0.0)
-			continue;
+                        continue;
 
     // Find the 2nd order moment for the sphere wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = (3.0/4.0) * volume * transformation * moment * LA::transpose(transformation);
-    
+
     // Translate the 2nd order moment to the center of the sphere.
     FT x0 = t.center().x();
     FT y0 = t.center().y();
@@ -428,34 +428,34 @@ assemble_covariance_matrix_3(InputIterat
   covariance[5] += mass * (-1.0 * c.z() * c.z());
 
 }
-// assemble covariance matrix from a sphere set 
+// assemble covariance matrix from a sphere set
 template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 void
 assemble_covariance_matrix_3(InputIterator first,
-                             InputIterator beyond, 
-			     typename DiagonalizeTraits::Covariance_matrix& covariance, // covariance matrix
+                             InputIterator beyond,
+                             typename DiagonalizeTraits::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K&,                     // kernel
                              const typename K::Sphere_3*,  // used for indirection
                              const CGAL::Dimension_tag<2>&,
-			     const DiagonalizeTraits&)
+                             const DiagonalizeTraits&)
 {
   typedef typename K::FT          FT;
   typedef typename K::Sphere_3  Sphere;
   typedef typename CGAL::Linear_algebraCd<FT> LA;
   typedef typename LA::Matrix Matrix;
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0 1 2
   //   3 4
-  //     5          
+  //     5
   //Final combined covariance matrix for all spheres and their combined mass
   FT mass = 0.0;
 
-  // assemble 2nd order moment about the origin.  
+  // assemble 2nd order moment about the origin.
   FT temp[9] = {4.0/3.0, 0.0,     0.0,
                 0.0,     4.0/3.0, 0.0,
                 0.0,     0.0,     4.0/3.0};
@@ -472,21 +472,21 @@ assemble_covariance_matrix_3(InputIterat
     // defined for convenience.
     // FT example = CGAL::to_double(t[0].x());
     FT radius = std::sqrt(t.squared_radius());
-    FT delta[9] = {radius, 0.0,    0.0, 
+    FT delta[9] = {radius, 0.0,    0.0,
                    0.0,    radius, 0.0,
                    0.0,    0.0,    radius};
     Matrix transformation = init_matrix<FT>(3,delta);
     FT area = (FT)4.0 * t.squared_radius();
 
-		// skip zero measure primitives
+                // skip zero measure primitives
     if(area == (FT)0.0)
-			continue;
+                        continue;
 
     // Find the 2nd order moment for the sphere wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = (1.0/4.0) * area * transformation * moment * LA::transpose(transformation);
-    
+
     // Translate the 2nd order moment to the center of the sphere.
     FT x0 = t.center().x();
     FT y0 = t.center().y();
@@ -514,34 +514,34 @@ assemble_covariance_matrix_3(InputIterat
 
 }
 
-// assemble covariance matrix from a tetrahedron set 
+// assemble covariance matrix from a tetrahedron set
 template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 void
 assemble_covariance_matrix_3(InputIterator first,
-                             InputIterator beyond, 
-			     typename DiagonalizeTraits::Covariance_matrix& covariance, // covariance matrix
+                             InputIterator beyond,
+                             typename DiagonalizeTraits::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K& ,                    // kernel
                              const typename K::Tetrahedron_3*,// used for indirection
                              const CGAL::Dimension_tag<3>&,
-			     const DiagonalizeTraits&)
+                             const DiagonalizeTraits&)
 {
   typedef typename K::FT          FT;
   typedef typename K::Tetrahedron_3  Tetrahedron;
   typedef typename CGAL::Linear_algebraCd<FT> LA;
   typedef typename LA::Matrix Matrix;
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0 1 2
   //   3 4
-  //     5          
+  //     5
   //Final combined covariance matrix for all tetrahedrons and their combined mass
   FT mass = 0.0;
 
-  // assemble 2nd order moment about the origin.  
+  // assemble 2nd order moment about the origin.
   FT temp[9] = {1.0/60.0,  1.0/120.0, 1.0/120.0,
                 1.0/120.0, 1.0/60.0,  1.0/120.0,
                 1.0/120.0, 1.0/120.0, 1.0/60.0};
@@ -560,21 +560,21 @@ assemble_covariance_matrix_3(InputIterat
     FT y0 = t[0].y();
     FT z0 = t[0].z();
 
-    FT delta[9] = {t[1].x()-x0, t[2].x()-x0, t[3].x()-x0, 
+    FT delta[9] = {t[1].x()-x0, t[2].x()-x0, t[3].x()-x0,
                    t[1].y()-y0, t[2].y()-y0, t[3].y()-y0,
                    t[1].z()-z0, t[2].z()-z0, t[3].z()-z0};
     Matrix transformation = init_matrix<FT>(3,delta);
     FT volume = t.volume();
 
-		// skip zero measure primitives
+                // skip zero measure primitives
     if(volume == (FT)0.0)
-			continue;
+                        continue;
 
     // Find the 2nd order moment for the tetrahedron wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = 6 * volume * transformation * moment * LA::transpose(transformation);
-    
+
     // Translate the 2nd order moment to the center of the tetrahedron.
     FT xav0 = (delta[0]+delta[1]+delta[2])/4.0;
     FT yav0 = (delta[3]+delta[4]+delta[5])/4.0;
@@ -601,34 +601,34 @@ assemble_covariance_matrix_3(InputIterat
   covariance[5] += mass * (-1.0 * c.z() * c.z());
 }
 
-// assemble covariance matrix from a segment set 
+// assemble covariance matrix from a segment set
 template < typename InputIterator,
            typename K,
-	   typename DiagonalizeTraits >
+           typename DiagonalizeTraits >
 void
 assemble_covariance_matrix_3(InputIterator first,
-                             InputIterator beyond, 
-			     typename DiagonalizeTraits::Covariance_matrix& covariance, // covariance matrix
+                             InputIterator beyond,
+                             typename DiagonalizeTraits::Covariance_matrix& covariance, // covariance matrix
                              const typename K::Point_3& c, // centroid
                              const K& ,                    // kernel
                              const typename K::Segment_3*,// used for indirection
                              const CGAL::Dimension_tag<1>&,
-			     const DiagonalizeTraits&)
+                             const DiagonalizeTraits&)
 {
   typedef typename K::FT          FT;
   typedef typename K::Segment_3  Segment;
   typedef typename CGAL::Linear_algebraCd<FT> LA;
   typedef typename LA::Matrix Matrix;
 
-  // assemble covariance matrix as a semi-definite matrix. 
+  // assemble covariance matrix as a semi-definite matrix.
   // Matrix numbering:
   // 0 1 2
   //   3 4
-  //     5          
+  //     5
   //Final combined covariance matrix for all segments and their combined mass
   FT mass = 0.0;
 
-  // assemble 2nd order moment about the origin.  
+  // assemble 2nd order moment about the origin.
   FT temp[9] = {1.0, 0.5, 0.0,
                 0.5, 1.0, 0.0,
                 0.0, 0.0, 0.0};
@@ -644,18 +644,19 @@ assemble_covariance_matrix_3(InputIterat
 
     // defined for convenience.
     // FT example = CGAL::to_double(t[0].x());
-    FT delta[9] = {t[0].x(), t[1].x(), 0.0, 
+    FT delta[9] = {t[0].x(), t[1].x(), 0.0,
        t[0].y(), t[1].y(), 0.0,
                    t[0].z(), t[1].z(), 1.0};
     Matrix transformation = init_matrix<FT>(3,delta);
-    FT length = std::sqrt(t.squared_length());
+    using std::sqrt;
+    FT length = sqrt(t.squared_length());
 
-		// skip zero measure primitives
+                // skip zero measure primitives
     if(length == (FT)0.0)
-			continue;
+                        continue;
 
     // Find the 2nd order moment for the segment wrt to the origin by an affine transformation.
-    
+
     // Transform the standard 2nd order moment using the transformation matrix
     transformation = length * transformation * moment * LA::transpose(transformation);
 
@@ -682,7 +683,7 @@ assemble_covariance_matrix_3(InputIterat
 }
 
 
-// compute the eigen values and vectors of the covariance 
+// compute the eigen values and vectors of the covariance
 // matrix and deduces the best linear fitting plane.
 // returns fitting quality
 template < typename K, typename DiagonalizeTraits >
@@ -691,31 +692,31 @@ fitting_plane_3(typename DiagonalizeTrai
                 const typename K::Point_3& c,       // centroid
                 typename K::Plane_3& plane,         // best fit plane
                 const K&,                           // kernel
-		const DiagonalizeTraits& )                 // Diagonalize traits
+                const DiagonalizeTraits& )                 // Diagonalize traits
 {
   typedef typename K::FT       FT;
   typedef typename K::Plane_3  Plane;
   typedef typename K::Vector_3 Vector;
 
   // solve for eigenvalues and eigenvectors.
-  // eigen values are sorted in ascending order, 
+  // eigen values are sorted in ascending order,
   // eigen vectors are sorted in accordance.
   typename DiagonalizeTraits::Vector eigen_values = {{ 0. , 0., 0. }};
   typename DiagonalizeTraits::Matrix eigen_vectors = {{ 0., 0., 0.,
-							0., 0., 0.,
-							0., 0., 0. }};
+                                                        0., 0., 0.,
+                                                        0., 0., 0. }};
   DiagonalizeTraits::diagonalize_selfadjoint_covariance_matrix
     (covariance, eigen_values, eigen_vectors);
 
-  // degenerate case 
-  if(eigen_values[0] == eigen_values[1] && 
+  // degenerate case
+  if(eigen_values[0] == eigen_values[1] &&
      eigen_values[1] == eigen_values[2])
   {
     // assemble a default horizontal plane that goes
     // through the centroid.
     plane = Plane(c,Vector(FT(0),FT(0),FT(1)));
     return FT(0);
-  } 
+  }
   else // regular and line case
   {
     Vector normal(eigen_vectors[0],
@@ -726,7 +727,7 @@ fitting_plane_3(typename DiagonalizeTrai
   } // end regular case
 }
 
-// compute the eigen values and vectors of the covariance 
+// compute the eigen values and vectors of the covariance
 // matrix and deduces the best linear fitting line
 // (this is an internal function)
 // returns fitting quality
@@ -735,25 +736,25 @@ typename K::FT
 fitting_line_3(typename DiagonalizeTraits::Covariance_matrix& covariance, // covariance matrix
                const typename K::Point_3& c,       // centroid
                typename K::Line_3& line,           // best fit line
-	       const K&,                           // kernel
-	       const DiagonalizeTraits& )                 // Diagonalize traits
+               const K&,                           // kernel
+               const DiagonalizeTraits& )                 // Diagonalize traits
 {
   typedef typename K::FT       FT;
   typedef typename K::Line_3   Line;
   typedef typename K::Vector_3 Vector;
 
   // solve for eigenvalues and eigenvectors.
-  // eigen values are sorted in ascending order, 
+  // eigen values are sorted in ascending order,
   // eigen vectors are sorted in accordance.
   typename DiagonalizeTraits::Vector eigen_values = {{ 0. , 0., 0. }};
   typename DiagonalizeTraits::Matrix eigen_vectors = {{ 0., 0., 0.,
-							0., 0., 0.,
-							0., 0., 0. }};
+                                                        0., 0., 0.,
+                                                        0., 0., 0. }};
   DiagonalizeTraits::diagonalize_selfadjoint_covariance_matrix
     (covariance, eigen_values, eigen_vectors);
 
     // isotropic case (infinite number of directions)
-  if(eigen_values[0] == eigen_values[1] && 
+  if(eigen_values[0] == eigen_values[1] &&
      eigen_values[0] == eigen_values[2])
   {
     // assemble a default line along x axis which goes
@@ -767,7 +768,7 @@ fitting_line_3(typename DiagonalizeTrait
     Vector direction(eigen_vectors[6],eigen_vectors[7],eigen_vectors[8]);
     line = Line(c,direction);
     return (FT)1.0 - eigen_values[1] / eigen_values[2];
-  } 
+  }
 }
 
 } // end namespace internal
diff -pruN 5.0.2-3/include/CGAL/Periodic_2_Delaunay_triangulation_2.h 5.0.3-1/include/CGAL/Periodic_2_Delaunay_triangulation_2.h
--- 5.0.2-3/include/CGAL/Periodic_2_Delaunay_triangulation_2.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_2_Delaunay_triangulation_2.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/Periodic_2_Delaunay_triangulation_2.h $
-// $Id: Periodic_2_Delaunay_triangulation_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/Periodic_2_Delaunay_triangulation_2.h $
+// $Id: Periodic_2_Delaunay_triangulation_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Nico Kruithof <Nico@nghk.nl>
@@ -143,7 +143,7 @@ public:
   {
     insert(first, last);
   }
-  
+
   Periodic_2_Delaunay_triangulation_2& operator=(const Periodic_2_Delaunay_triangulation_2&)=default;
   // \}
 
@@ -216,7 +216,7 @@ public:
   template < class InputIterator >
   std::ptrdiff_t
   insert(InputIterator first, InputIterator last, bool is_large_point_set = true)
-#endif //CGAL_TRIANGULATION_2_DONT_INSERT_RANGE_OF_POINTS_WITH_INFO 
+#endif //CGAL_TRIANGULATION_2_DONT_INSERT_RANGE_OF_POINTS_WITH_INFO
   {
     if (first == last) return 0;
 
diff -pruN 5.0.2-3/include/CGAL/Periodic_2_Delaunay_triangulation_traits_2.h 5.0.3-1/include/CGAL/Periodic_2_Delaunay_triangulation_traits_2.h
--- 5.0.2-3/include/CGAL/Periodic_2_Delaunay_triangulation_traits_2.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_2_Delaunay_triangulation_traits_2.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/Periodic_2_Delaunay_triangulation_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/Periodic_2_Delaunay_triangulation_traits_2.h $
 // $Id: Periodic_2_Delaunay_triangulation_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_2_offset_2.h 5.0.3-1/include/CGAL/Periodic_2_offset_2.h
--- 5.0.2-3/include/CGAL/Periodic_2_offset_2.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_2_offset_2.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/Periodic_2_offset_2.h $
-// $Id: Periodic_2_offset_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/Periodic_2_offset_2.h $
+// $Id: Periodic_2_offset_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Nico Kruithof <Nico@nghk.nl>
@@ -27,7 +27,7 @@ class Periodic_2_offset_2
 {
   //  template <class K2>
   //  friend std::ostream & operator<<(std::ostream &os,
-  //				   const Periodic_2_offset_2 &off);
+  //                                   const Periodic_2_offset_2 &off);
 
 public:
   /// Default constructor.
diff -pruN 5.0.2-3/include/CGAL/Periodic_2_triangulation_2.h 5.0.3-1/include/CGAL/Periodic_2_triangulation_2.h
--- 5.0.2-3/include/CGAL/Periodic_2_triangulation_2.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_2_triangulation_2.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/Periodic_2_triangulation_2.h $
-// $Id: Periodic_2_triangulation_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/Periodic_2_triangulation_2.h $
+// $Id: Periodic_2_triangulation_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Nico Kruithof <Nico@nghk.nl>
@@ -665,7 +665,7 @@ public:
   /// begin iterator over the non-virtual vertices
   Unique_vertex_iterator unique_vertices_begin() const
   {
-    return CGAL::filter_iterator(vertices_end(), 
+    return CGAL::filter_iterator(vertices_end(),
                                  Periodic_2_triangulation_2_internal::Domain_tester<Self>(this),
                                  vertices_begin());
   }
@@ -1960,10 +1960,10 @@ void Periodic_2_triangulation_2<Gt, Tds>
             vh2_copy = v2s[i2 - 1];
 
           bool found = is_edge(vh1_copy, vh2_copy, fh, index);
-	  CGAL_USE(found);
+          CGAL_USE(found);
           CGAL_assertion(found);
-	  if (found)
-	    flip_single_edge(fh, index);
+          if (found)
+            flip_single_edge(fh, index);
         }
     }
 
diff -pruN 5.0.2-3/include/CGAL/Periodic_2_triangulation_dummy_12.h 5.0.3-1/include/CGAL/Periodic_2_triangulation_dummy_12.h
--- 5.0.2-3/include/CGAL/Periodic_2_triangulation_dummy_12.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_2_triangulation_dummy_12.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/Periodic_2_triangulation_dummy_12.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/Periodic_2_triangulation_dummy_12.h $
 // $Id: Periodic_2_triangulation_dummy_12.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_2_triangulation_face_base_2.h 5.0.3-1/include/CGAL/Periodic_2_triangulation_face_base_2.h
--- 5.0.2-3/include/CGAL/Periodic_2_triangulation_face_base_2.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_2_triangulation_face_base_2.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/Periodic_2_triangulation_face_base_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/Periodic_2_triangulation_face_base_2.h $
 // $Id: Periodic_2_triangulation_face_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_2_triangulation_hierarchy_2.h 5.0.3-1/include/CGAL/Periodic_2_triangulation_hierarchy_2.h
--- 5.0.2-3/include/CGAL/Periodic_2_triangulation_hierarchy_2.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_2_triangulation_hierarchy_2.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/Periodic_2_triangulation_hierarchy_2.h $
-// $Id: Periodic_2_triangulation_hierarchy_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/Periodic_2_triangulation_hierarchy_2.h $
+// $Id: Periodic_2_triangulation_hierarchy_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Olivier Devillers <Olivivier.Devillers@sophia.inria.fr>
@@ -288,7 +288,7 @@ void
 Periodic_2_triangulation_hierarchy_2<PTr>::
 clear()
 {
-  for(int i = 0; i < m_maxlevel; ++i) 
+  for(int i = 0; i < m_maxlevel; ++i)
   {
       CGAL_assertion(hierarchy[i] != nullptr);
       hierarchy[i]->clear();
diff -pruN 5.0.2-3/include/CGAL/Periodic_2_triangulation_iterators_2.h 5.0.3-1/include/CGAL/Periodic_2_triangulation_iterators_2.h
--- 5.0.2-3/include/CGAL/Periodic_2_triangulation_iterators_2.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_2_triangulation_iterators_2.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/Periodic_2_triangulation_iterators_2.h $
-// $Id: Periodic_2_triangulation_iterators_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/Periodic_2_triangulation_iterators_2.h $
+// $Id: Periodic_2_triangulation_iterators_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Nico Kruithof <Nico@nghk.nl>
@@ -807,11 +807,11 @@ template <class T>
 class Domain_tester
 {
     const T *t;
-    
+
   public:
     Domain_tester() {}
     Domain_tester(const T *tr) : t(tr) {}
-    
+
     bool operator()(const typename T::Vertex_iterator & v) const
     {
         return (t->get_offset(v) != typename T::Offset(0, 0));
diff -pruN 5.0.2-3/include/CGAL/Periodic_2_triangulation_traits_2.h 5.0.3-1/include/CGAL/Periodic_2_triangulation_traits_2.h
--- 5.0.2-3/include/CGAL/Periodic_2_triangulation_traits_2.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_2_triangulation_traits_2.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/Periodic_2_triangulation_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/Periodic_2_triangulation_traits_2.h $
 // $Id: Periodic_2_triangulation_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_2_triangulation_vertex_base_2.h 5.0.3-1/include/CGAL/Periodic_2_triangulation_vertex_base_2.h
--- 5.0.2-3/include/CGAL/Periodic_2_triangulation_vertex_base_2.h	2020-02-21 20:03:51.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_2_triangulation_vertex_base_2.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_2_triangulation_2/include/CGAL/Periodic_2_triangulation_vertex_base_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_2_triangulation_2/include/CGAL/Periodic_2_triangulation_vertex_base_2.h $
 // $Id: Periodic_2_triangulation_vertex_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_3_Delaunay_triangulation_3.h 5.0.3-1/include/CGAL/Periodic_3_Delaunay_triangulation_3.h
--- 5.0.2-3/include/CGAL/Periodic_3_Delaunay_triangulation_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_3_Delaunay_triangulation_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/Periodic_3_Delaunay_triangulation_3.h $
-// $Id: Periodic_3_Delaunay_triangulation_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/Periodic_3_Delaunay_triangulation_3.h $
+// $Id: Periodic_3_Delaunay_triangulation_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -56,7 +56,7 @@ public:
   typedef Periodic_3_triangulation_3<Gt,Tds>                   Base;
 
 public:
-  /** @name Template parameter types */ 
+  /** @name Template parameter types */
   typedef Gt                                    Geometric_traits;
   typedef Tds                                   Triangulation_data_structure;
 
diff -pruN 5.0.2-3/include/CGAL/Periodic_3_Delaunay_triangulation_traits_3.h 5.0.3-1/include/CGAL/Periodic_3_Delaunay_triangulation_traits_3.h
--- 5.0.2-3/include/CGAL/Periodic_3_Delaunay_triangulation_traits_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_3_Delaunay_triangulation_traits_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/Periodic_3_Delaunay_triangulation_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/Periodic_3_Delaunay_triangulation_traits_3.h $
 // $Id: Periodic_3_Delaunay_triangulation_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_3_function_wrapper.h 5.0.3-1/include/CGAL/Periodic_3_function_wrapper.h
--- 5.0.2-3/include/CGAL/Periodic_3_function_wrapper.h	2020-02-21 20:03:52.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_3_function_wrapper.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_mesh_3/include/CGAL/Periodic_3_function_wrapper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_mesh_3/include/CGAL/Periodic_3_function_wrapper.h $
 // $Id: Periodic_3_function_wrapper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_3_mesh_3/config.h 5.0.3-1/include/CGAL/Periodic_3_mesh_3/config.h
--- 5.0.2-3/include/CGAL/Periodic_3_mesh_3/config.h	2020-02-21 20:03:52.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_3_mesh_3/config.h	2020-08-01 19:02:38.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_mesh_3/include/CGAL/Periodic_3_mesh_3/config.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_mesh_3/include/CGAL/Periodic_3_mesh_3/config.h $
 // $Id: config.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_3_mesh_3/IO/File_medit.h 5.0.3-1/include/CGAL/Periodic_3_mesh_3/IO/File_medit.h
--- 5.0.2-3/include/CGAL/Periodic_3_mesh_3/IO/File_medit.h	2020-02-21 20:03:52.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_3_mesh_3/IO/File_medit.h	2020-08-01 19:02:38.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_mesh_3/include/CGAL/Periodic_3_mesh_3/IO/File_medit.h $
-// $Id: File_medit.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_mesh_3/include/CGAL/Periodic_3_mesh_3/IO/File_medit.h $
+// $Id: File_medit.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Mikhail Bogdanov
@@ -43,9 +43,9 @@ canonicalize_triangle(const typename Tri
   Offset o0 = pt[0].second;
   Offset o1 = pt[1].second;
   Offset o2 = pt[2].second;
-  int diffx = std::min(o0.x(), std::min(o1.x(), o2.x()));
-  int diffy = std::min(o0.y(), std::min(o1.y(), o2.y()));
-  int diffz = std::min(o0.z(), std::min(o1.z(), o2.z()));
+  int diffx = (std::min)(o0.x(), (std::min)(o1.x(), o2.x()));
+  int diffy = (std::min)(o0.y(), (std::min)(o1.y(), o2.y()));
+  int diffz = (std::min)(o0.z(), (std::min)(o1.z(), o2.z()));
   Offset diff_off(diffx, diffy, diffz);
 
   return CGAL::make_array(std::make_pair(pt[0].first, o0 - diff_off),
@@ -64,9 +64,9 @@ canonicalize_tetrahedron(const typename
   Offset o2 = pt[2].second;
   Offset o3 = pt[3].second;
 
-  int diffx = std::min(std::min(o0.x(), o1.x()), std::min(o2.x(), o3.x()));
-  int diffy = std::min(std::min(o0.y(), o1.y()), std::min(o2.y(), o3.y()));
-  int diffz = std::min(std::min(o0.z(), o1.z()), std::min(o2.z(), o3.z()));
+  int diffx = (std::min)((std::min)(o0.x(), o1.x()), (std::min)(o2.x(), o3.x()));
+  int diffy = (std::min)((std::min)(o0.y(), o1.y()), (std::min)(o2.y(), o3.y()));
+  int diffz = (std::min)((std::min)(o0.z(), o1.z()), (std::min)(o2.z(), o3.z()));
   Offset diff_off(diffx, diffy, diffz);
 
   return CGAL::make_array(std::make_pair(pt[0].first, o0 - diff_off),
diff -pruN 5.0.2-3/include/CGAL/Periodic_3_mesh_3/Protect_edges_sizing_field.h 5.0.3-1/include/CGAL/Periodic_3_mesh_3/Protect_edges_sizing_field.h
--- 5.0.2-3/include/CGAL/Periodic_3_mesh_3/Protect_edges_sizing_field.h	2020-02-21 20:03:52.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_3_mesh_3/Protect_edges_sizing_field.h	2020-08-01 19:02:38.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_mesh_3/include/CGAL/Periodic_3_mesh_3/Protect_edges_sizing_field.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_mesh_3/include/CGAL/Periodic_3_mesh_3/Protect_edges_sizing_field.h $
 // $Id: Protect_edges_sizing_field.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_3_mesh_triangulation_3.h 5.0.3-1/include/CGAL/Periodic_3_mesh_triangulation_3.h
--- 5.0.2-3/include/CGAL/Periodic_3_mesh_triangulation_3.h	2020-02-21 20:03:52.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_3_mesh_triangulation_3.h	2020-08-01 19:02:38.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_mesh_3/include/CGAL/Periodic_3_mesh_triangulation_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_mesh_3/include/CGAL/Periodic_3_mesh_triangulation_3.h $
 // $Id: Periodic_3_mesh_triangulation_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_3_offset_3.h 5.0.3-1/include/CGAL/Periodic_3_offset_3.h
--- 5.0.2-3/include/CGAL/Periodic_3_offset_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_3_offset_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/Periodic_3_offset_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/Periodic_3_offset_3.h $
 // $Id: Periodic_3_offset_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_3_regular_triangulation_3.h 5.0.3-1/include/CGAL/Periodic_3_regular_triangulation_3.h
--- 5.0.2-3/include/CGAL/Periodic_3_regular_triangulation_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_3_regular_triangulation_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/Periodic_3_regular_triangulation_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/Periodic_3_regular_triangulation_3.h $
 // $Id: Periodic_3_regular_triangulation_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_3_regular_triangulation_traits_3.h 5.0.3-1/include/CGAL/Periodic_3_regular_triangulation_traits_3.h
--- 5.0.2-3/include/CGAL/Periodic_3_regular_triangulation_traits_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_3_regular_triangulation_traits_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/Periodic_3_regular_triangulation_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/Periodic_3_regular_triangulation_traits_3.h $
 // $Id: Periodic_3_regular_triangulation_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_3_triangulation_3.h 5.0.3-1/include/CGAL/Periodic_3_triangulation_3.h
--- 5.0.2-3/include/CGAL/Periodic_3_triangulation_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_3_triangulation_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/Periodic_3_triangulation_3.h $
-// $Id: Periodic_3_triangulation_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/Periodic_3_triangulation_3.h $
+// $Id: Periodic_3_triangulation_3.h d10359d 2020-03-19T16:27:55+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -21,11 +21,6 @@
 
 #include <CGAL/basic.h>
 
-#include <boost/tuple/tuple.hpp>
-#include <boost/random/linear_congruential.hpp>
-#include <boost/random/uniform_smallint.hpp>
-#include <boost/random/variate_generator.hpp>
-#include <boost/unordered_map.hpp>
 #include <CGAL/internal/Periodic_3_triangulation_iterators_3.h>
 #include <CGAL/Periodic_3_triangulation_ds_cell_base_3.h>
 #include <CGAL/Periodic_3_triangulation_ds_vertex_base_3.h>
@@ -48,6 +43,13 @@
 #include <CGAL/determinant.h>
 #endif // no CGAL_NO_STRUCTURAL_FILTERING
 
+#include <boost/random/linear_congruential.hpp>
+#include <boost/random/uniform_smallint.hpp>
+#include <boost/random/variate_generator.hpp>
+#include <boost/tuple/tuple.hpp>
+#include <boost/utility/result_of.hpp>
+#include <boost/unordered_map.hpp>
+
 #include <iostream>
 #include <algorithm>
 #include <cmath>
@@ -648,7 +650,8 @@ public:
   // but       point()          -like functions have return type Point
 
   template<typename P> // can be Point or Point_3
-  Point_3 construct_point(const P& p) const {
+  typename boost::result_of<const typename GT::Construct_point_3(const P&)>::type
+  construct_point(const P& p) const {
     return geom_traits().construct_point_3_object()(p);
   }
 
diff -pruN 5.0.2-3/include/CGAL/periodic_3_triangulation_3_io.h 5.0.3-1/include/CGAL/periodic_3_triangulation_3_io.h
--- 5.0.2-3/include/CGAL/periodic_3_triangulation_3_io.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/periodic_3_triangulation_3_io.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/periodic_3_triangulation_3_io.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/periodic_3_triangulation_3_io.h $
 // $Id: periodic_3_triangulation_3_io.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_3_triangulation_ds_cell_base_3.h 5.0.3-1/include/CGAL/Periodic_3_triangulation_ds_cell_base_3.h
--- 5.0.2-3/include/CGAL/Periodic_3_triangulation_ds_cell_base_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_3_triangulation_ds_cell_base_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/Periodic_3_triangulation_ds_cell_base_3.h $
-// $Id: Periodic_3_triangulation_ds_cell_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/Periodic_3_triangulation_ds_cell_base_3.h $
+// $Id: Periodic_3_triangulation_ds_cell_base_3.h 627a7b2 2020-04-27T17:08:35+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -180,9 +180,9 @@ public:
     int bit_offset = 3 * vhi;
 
     // first reset the bit to 0 (AND), then assign the value given in input (OR)
-    off = off & ~(1 <<  bit_offset)      | (offo[0] <<  bit_offset);
-    off = off & ~(1 << (bit_offset + 1)) | (offo[1] << (bit_offset + 1));
-    off = off & ~(1 << (bit_offset + 2)) | (offo[2] << (bit_offset + 2));
+    off = (off & ~(1 <<  bit_offset))      | (offo[0] <<  bit_offset);
+    off = (off & ~(1 << (bit_offset + 1))) | (offo[1] << (bit_offset + 1));
+    off = (off & ~(1 << (bit_offset + 2))) | (offo[2] << (bit_offset + 2));
 
     CGAL_postcondition(offset(vhi) == o);
   }
diff -pruN 5.0.2-3/include/CGAL/Periodic_3_triangulation_ds_vertex_base_3.h 5.0.3-1/include/CGAL/Periodic_3_triangulation_ds_vertex_base_3.h
--- 5.0.2-3/include/CGAL/Periodic_3_triangulation_ds_vertex_base_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_3_triangulation_ds_vertex_base_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/Periodic_3_triangulation_ds_vertex_base_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/Periodic_3_triangulation_ds_vertex_base_3.h $
 // $Id: Periodic_3_triangulation_ds_vertex_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_3_triangulation_hierarchy_3.h 5.0.3-1/include/CGAL/Periodic_3_triangulation_hierarchy_3.h
--- 5.0.2-3/include/CGAL/Periodic_3_triangulation_hierarchy_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_3_triangulation_hierarchy_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/Periodic_3_triangulation_hierarchy_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/Periodic_3_triangulation_hierarchy_3.h $
 // $Id: Periodic_3_triangulation_hierarchy_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_3_triangulation_traits_3.h 5.0.3-1/include/CGAL/Periodic_3_triangulation_traits_3.h
--- 5.0.2-3/include/CGAL/Periodic_3_triangulation_traits_3.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_3_triangulation_traits_3.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_triangulation_3/include/CGAL/Periodic_3_triangulation_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_triangulation_3/include/CGAL/Periodic_3_triangulation_traits_3.h $
 // $Id: Periodic_3_triangulation_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_4_hyperbolic_Delaunay_triangulation_2.h 5.0.3-1/include/CGAL/Periodic_4_hyperbolic_Delaunay_triangulation_2.h
--- 5.0.2-3/include/CGAL/Periodic_4_hyperbolic_Delaunay_triangulation_2.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_4_hyperbolic_Delaunay_triangulation_2.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_4_hyperbolic_triangulation_2/include/CGAL/Periodic_4_hyperbolic_Delaunay_triangulation_2.h $
-// $Id: Periodic_4_hyperbolic_Delaunay_triangulation_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_4_hyperbolic_triangulation_2/include/CGAL/Periodic_4_hyperbolic_Delaunay_triangulation_2.h $
+// $Id: Periodic_4_hyperbolic_Delaunay_triangulation_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Iordan Iordanov
@@ -287,7 +287,7 @@ public:
     {
       remove(*vit);
     }
-  }   
+  }
 
   bool is_dummy_vertex(Vertex_handle vh) const
   {
@@ -618,10 +618,10 @@ remove(Vertex_handle v)
 
             Nbr_entry side1(nbf, nbidx);
             Nbr_entry side2(nbf->neighbor(nbidx), nbf->neighbor(nbidx)->index(nbf));
-            
+
             CGAL_triangulation_assertion(side1.first->neighbor(side1.second) == side2.first);
-            CGAL_triangulation_assertion(side2.first->neighbor(side2.second) == side1.first);  
-            
+            CGAL_triangulation_assertion(side2.first->neighbor(side2.second) == side1.first);
+
             Nbr_pair hist(side1, side2);
             failsafe.push_back(hist);
 
@@ -654,9 +654,9 @@ remove(Vertex_handle v)
     }
 
     /*
-      This is a failsafe check: make sure that there are no cycles of length 2 before 
-      deleting the old faces. If everything is OK, then proceed with the actual removal 
-      and keep the new faces. Otherwise the new objects are deleted and the operation 
+      This is a failsafe check: make sure that there are no cycles of length 2 before
+      deleting the old faces. If everything is OK, then proceed with the actual removal
+      and keep the new faces. Otherwise the new objects are deleted and the operation
       is canceled.
     */
     for (Face_iterator fit = this->faces_begin(); fit != this->faces_end(); ++fit) {
@@ -683,7 +683,7 @@ remove(Vertex_handle v)
                 tds().delete_face(new_f[rit]);
               }
 
-              CGAL_triangulation_assertion(this->is_valid(true)); 
+              CGAL_triangulation_assertion(this->is_valid(true));
 
               return false;
             }
diff -pruN 5.0.2-3/include/CGAL/Periodic_4_hyperbolic_Delaunay_triangulation_traits_2.h 5.0.3-1/include/CGAL/Periodic_4_hyperbolic_Delaunay_triangulation_traits_2.h
--- 5.0.2-3/include/CGAL/Periodic_4_hyperbolic_Delaunay_triangulation_traits_2.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_4_hyperbolic_Delaunay_triangulation_traits_2.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_4_hyperbolic_triangulation_2/include/CGAL/Periodic_4_hyperbolic_Delaunay_triangulation_traits_2.h $
-// $Id: Periodic_4_hyperbolic_Delaunay_triangulation_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_4_hyperbolic_triangulation_2/include/CGAL/Periodic_4_hyperbolic_Delaunay_triangulation_traits_2.h $
+// $Id: Periodic_4_hyperbolic_Delaunay_triangulation_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     :   Iordan Iordanov
@@ -55,7 +55,7 @@ public:
 #else
   result_type operator()(const Point& p0, const Point& p1) const
   {
-	  return Predicate()(p0, p1);
+          return Predicate()(p0, p1);
   }
   result_type operator()(const Point& p0, const Point& p1, const Point& p2) const
   {
@@ -126,7 +126,7 @@ private:
 
 public:
   typedef Point                                           result_type;
- 
+
 #ifndef CGAL_CFG_MATCHING_BUG_6
   using Construct_point_base::operator();
 #else
@@ -135,7 +135,7 @@ public:
     return Construct_point_base()(x,y);
   }
 #endif
-  
+
   Periodic_4_construct_hyperbolic_point_2() { }
 
   Point operator()(const Point& pt, const Hyperbolic_translation& tr) const
@@ -618,7 +618,7 @@ class Side_of_original_octagon
   };
 
 
-} // end namespace internal 
+} // end namespace internal
 
 
 template <typename Kernel = Exact_predicates_exact_constructions_kernel_with_sqrt,
diff -pruN 5.0.2-3/include/CGAL/Periodic_4_hyperbolic_triangulation_2.h 5.0.3-1/include/CGAL/Periodic_4_hyperbolic_triangulation_2.h
--- 5.0.2-3/include/CGAL/Periodic_4_hyperbolic_triangulation_2.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_4_hyperbolic_triangulation_2.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_4_hyperbolic_triangulation_2/include/CGAL/Periodic_4_hyperbolic_triangulation_2.h $
-// $Id: Periodic_4_hyperbolic_triangulation_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_4_hyperbolic_triangulation_2/include/CGAL/Periodic_4_hyperbolic_triangulation_2.h $
+// $Id: Periodic_4_hyperbolic_triangulation_2.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Iordan Iordanov  <Iordan.Iordanov@loria.fr>
@@ -608,15 +608,15 @@ protected:
     }
 
     // Now we know that all vertices lie in different regions.
-    Hyperbolic_translation min(7, 2, 5);
+    Hyperbolic_translation vmin(7, 2, 5);
     Hyperbolic_translation trans;
     for(int i=0; i<3; ++i)
     {
       int j = (i + 1) % 3; // the index of the 'next' vertex
       Hyperbolic_translation tmp = fh->translation(i).inverse() * fh->translation(j);
-      if(tmp < min)
+      if(tmp < vmin)
       {
-        min = tmp;
+        vmin = tmp;
         trans = fh->translation(i).inverse();
       }
     }
diff -pruN 5.0.2-3/include/CGAL/Periodic_4_hyperbolic_triangulation_face_base_2.h 5.0.3-1/include/CGAL/Periodic_4_hyperbolic_triangulation_face_base_2.h
--- 5.0.2-3/include/CGAL/Periodic_4_hyperbolic_triangulation_face_base_2.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_4_hyperbolic_triangulation_face_base_2.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_4_hyperbolic_triangulation_2/include/CGAL/Periodic_4_hyperbolic_triangulation_face_base_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_4_hyperbolic_triangulation_2/include/CGAL/Periodic_4_hyperbolic_triangulation_face_base_2.h $
 // $Id: Periodic_4_hyperbolic_triangulation_face_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Periodic_4_hyperbolic_triangulation_vertex_base_2.h 5.0.3-1/include/CGAL/Periodic_4_hyperbolic_triangulation_vertex_base_2.h
--- 5.0.2-3/include/CGAL/Periodic_4_hyperbolic_triangulation_vertex_base_2.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Periodic_4_hyperbolic_triangulation_vertex_base_2.h	2020-08-01 19:02:39.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_4_hyperbolic_triangulation_2/include/CGAL/Periodic_4_hyperbolic_triangulation_vertex_base_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_4_hyperbolic_triangulation_2/include/CGAL/Periodic_4_hyperbolic_triangulation_vertex_base_2.h $
 // $Id: Periodic_4_hyperbolic_triangulation_vertex_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/perturb_mesh_3.h 5.0.3-1/include/CGAL/perturb_mesh_3.h
--- 5.0.2-3/include/CGAL/perturb_mesh_3.h	2020-02-21 20:03:37.000000000 +0000
+++ 5.0.3-1/include/CGAL/perturb_mesh_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/perturb_mesh_3.h $
-// $Id: perturb_mesh_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/perturb_mesh_3.h $
+// $Id: perturb_mesh_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -53,9 +53,9 @@ BOOST_PARAMETER_FUNCTION(
   (optional
     (time_limit_, *, 0 )
     (sliver_bound_, *, parameters::default_values::perturb_sliver_bound )
-    (sliver_criterion_, *, 
+    (sliver_criterion_, *,
        parameters::default_values::default_sliver_criterion(c3t3,sliver_bound_))
-    (perturbation_vector_, *, 
+    (perturbation_vector_, *,
        default_perturbation_vector(c3t3,domain,sliver_criterion_))
   )
 )
@@ -70,8 +70,8 @@ CGAL_PRAGMA_DIAG_POP
 #  pragma warning(pop)
 #endif
 
-template <typename C3T3, 
-          typename MeshDomain, 
+template <typename C3T3,
+          typename MeshDomain,
           typename SliverCriterion>
 std::vector<typename Mesh_3::Sliver_perturber<C3T3,MeshDomain,SliverCriterion>::Perturbation*>
 default_perturbation_vector(const C3T3&,
@@ -87,7 +87,7 @@ default_perturbation_vector(const C3T3&,
   typedef Mesh_3::Volume_perturbation<C3T3,Md,Sc>         Volume;
   typedef Mesh_3::Dihedral_angle_perturbation<C3T3,Md,Sc> Dihedral_angle;
   typedef Mesh_3::Li_random_perturbation<C3T3,Md,Sc>      Li_random;
-  
+
   std::vector<Perturbation*> perturbation_vect;
   perturbation_vect.push_back(new Sq_radius(40,0.05));
   perturbation_vect.push_back(new Volume(40,0.05));
@@ -98,10 +98,10 @@ default_perturbation_vector(const C3T3&,
 }
 
 
-template <typename C3T3, 
-          typename MeshDomain, 
+template <typename C3T3,
+          typename MeshDomain,
           typename SliverCriterion,
-          typename PPerturbationVector> 
+          typename PPerturbationVector>
 Mesh_optimization_return_code
 perturb_mesh_3_impl(C3T3& c3t3,
                     const MeshDomain& domain,
@@ -114,25 +114,25 @@ perturb_mesh_3_impl(C3T3& c3t3,
 
   typedef MeshDomain Md;
   typedef SliverCriterion Sc;
-  
+
   typedef Mesh_3::Sliver_perturber<C3T3,Md,Sc> Perturber;
-  
+
   // Build perturber
   Perturber perturber(c3t3, domain, sliver_criterion);
 
   // Add perturbations
   for(std::size_t i = 0; i < perturbation_vector.size(); ++i)
     perturber.add_perturbation( perturbation_vector[i] );
-  
+
   // Set max time
   perturber.set_time_limit(time_limit);
- 
+
   // Launch perturber
   return perturber();
 }
-  
-  
-  
+
+
+
 } //namespace CGAL
 
 
diff -pruN 5.0.2-3/include/CGAL/pierce_rectangles_2.h 5.0.3-1/include/CGAL/pierce_rectangles_2.h
--- 5.0.2-3/include/CGAL/pierce_rectangles_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/pierce_rectangles_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/pierce_rectangles_2.h $
-// $Id: pierce_rectangles_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/pierce_rectangles_2.h $
+// $Id: pierce_rectangles_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 
@@ -301,15 +301,15 @@ struct Staircases : public Loc_domain< T
         this->pts.begin(), this->pts.end(),
         this->traits.less_x_2_object(),
         boost::bind(std::logical_and< bool >(),
-		    boost::bind(this->traits.less_x_2_object(), p, _1),
-		    boost::bind(this->traits.less_y_2_object(), p, _1)));
+                    boost::bind(this->traits.less_x_2_object(), p, _1),
+                    boost::bind(this->traits.less_y_2_object(), p, _1)));
     Citerator j =
       max_element_if(
         this->pts.begin(), this->pts.end(),
         this->traits.less_x_2_object(),
         boost::bind(std::logical_and< bool >(),
-		    boost::bind(this->traits.less_x_2_object(), _1, q),
-		    boost::bind(this->traits.less_y_2_object(), q, _1)));
+                    boost::bind(this->traits.less_x_2_object(), _1, q),
+                    boost::bind(this->traits.less_y_2_object(), q, _1)));
     return Intervall(i == this->pts.end() ? this->maxx : *i,
                      j == this->pts.end() ? this->minx : *j);
   } // top_intervall()
@@ -327,15 +327,15 @@ struct Staircases : public Loc_domain< T
         this->pts.begin(), this->pts.end(),
         this->traits.less_x_2_object(),
         boost::bind(std::logical_and< bool >(),
-		    boost::bind(this->traits.less_x_2_object(), p, _1),
-		    boost::bind(this->traits.less_y_2_object(), _1, p)));
+                    boost::bind(this->traits.less_x_2_object(), p, _1),
+                    boost::bind(this->traits.less_y_2_object(), _1, p)));
     Citerator j =
       max_element_if(
         this->pts.begin(), this->pts.end(),
         this->traits.less_x_2_object(),
         boost::bind(std::logical_and< bool >(),
-		    boost::bind(this->traits.less_x_2_object(), _1, q),
-		    boost::bind(this->traits.less_y_2_object(), _1, q)));
+                    boost::bind(this->traits.less_x_2_object(), _1, q),
+                    boost::bind(this->traits.less_y_2_object(), _1, q)));
     return Intervall(i == this->pts.end() ? this->maxx : *i,
                      j == this->pts.end() ? this->minx : *j);
   } // bottom_intervall()
@@ -353,15 +353,15 @@ struct Staircases : public Loc_domain< T
         this->pts.begin(), this->pts.end(),
         this->traits.less_y_2_object(),
         boost::bind(std::logical_and< bool >(),
-		    boost::bind(this->traits.less_x_2_object(), _1, p),
-		    boost::bind(this->traits.less_y_2_object(), p, _1)));
+                    boost::bind(this->traits.less_x_2_object(), _1, p),
+                    boost::bind(this->traits.less_y_2_object(), p, _1)));
     Citerator j =
       max_element_if(
         this->pts.begin(), this->pts.end(),
         this->traits.less_y_2_object(),
         boost::bind(std::logical_and< bool >(),
-		    boost::bind(this->traits.less_x_2_object(), _1, q),
-		    boost::bind(this->traits.less_y_2_object(), _1, q)));
+                    boost::bind(this->traits.less_x_2_object(), _1, q),
+                    boost::bind(this->traits.less_y_2_object(), _1, q)));
     return Intervall(i == this->pts.end() ? this->maxy : *i,
                      j == this->pts.end() ? this->miny : *j);
   } // left_intervall()
@@ -379,15 +379,15 @@ struct Staircases : public Loc_domain< T
         this->pts.begin(), this->pts.end(),
         this->traits.less_y_2_object(),
         boost::bind(std::logical_and< bool >(),
-		    boost::bind(this->traits.less_x_2_object(), p, _1),
-		    boost::bind(this->traits.less_y_2_object(), p, _1)));
+                    boost::bind(this->traits.less_x_2_object(), p, _1),
+                    boost::bind(this->traits.less_y_2_object(), p, _1)));
     Citerator j =
       max_element_if(
         this->pts.begin(), this->pts.end(),
         this->traits.less_y_2_object(),
         boost::bind(std::logical_and< bool >(),
-		    boost::bind(this->traits.less_x_2_object(), q, _1),
-		    boost::bind(this->traits.less_y_2_object(), _1, q)));
+                    boost::bind(this->traits.less_x_2_object(), q, _1),
+                    boost::bind(this->traits.less_y_2_object(), _1, q)));
     return Intervall(i == this->pts.end() ? this->maxy : *i,
                      j == this->pts.end() ? this->miny : *j);
   } // right_intervall()
@@ -499,32 +499,32 @@ two_cover_points(
     return o;
   }
 
-  
+
     // check whether {d[0], d[2]} forms a piercing set
     if (d.end() ==
         find_if(d.begin(),
                 d.end(),
-                boost::bind(less<FT>(), 
-		     d.r,
-		     boost::bind(Min<FT>(), 
-			  boost::bind(dist, d[0], _1), 
-			  boost::bind(dist, d[2], _1)))))
+                boost::bind(less<FT>(),
+                     d.r,
+                     boost::bind(Min<FT>(),
+                          boost::bind(dist, d[0], _1),
+                          boost::bind(dist, d[2], _1)))))
       {
         *o++ = d[0];
         *o++ = d[2];
         ok = true;
         return o;
       }
-  
+
     // check whether {d[1], d[3]} forms a piercing set
     if (d.end() ==
         find_if(d.begin(),
                 d.end(),
-                boost::bind(less<FT>(), 
-		     d.r,
-		     boost::bind(Min<FT>(), 
-			  boost::bind(dist, d[1], _1), 
-			  boost::bind(dist, d[3], _1)))))
+                boost::bind(less<FT>(),
+                     d.r,
+                     boost::bind(Min<FT>(),
+                          boost::bind(dist, d[1], _1),
+                          boost::bind(dist, d[3], _1)))))
       {
         *o++ = d[1];
         *o++ = d[3];
@@ -559,14 +559,14 @@ three_cover_points(
 
   // test the four corners:
   for (int k = 0; k < 4; ++k) {
-    
+
     // extract all points which are close enough to d[k]
     Point_2 corner = d[k];
-    
+
     // find first point not covered by the rectangle at d[k]
     Iterator i = find_if(d.begin(), d.end(),
                          boost::bind(less<FT>(), d.r, boost::bind(dist, corner, _1)));
-    
+
     // are all points already covered?
     if (i == d.end()) {
       CGAL_optimisation_assertion(k == 0);
@@ -574,16 +574,16 @@ three_cover_points(
       ok = true;
       return o;
     } // if (i == d.end())
-    
+
     // save changing sides of d:
     Point_2 save_side1 = d.extreme(k);
     Point_2 save_side2 = d.extreme((k+1) % 4);
     Iterator save_end = d.end();
-    
+
     // now run through it:
     // initialize the two (possibly) changing sides of d
     d.extreme(k) = d.extreme((k+1) % 4) = *i;
-    
+
     // is there any point covered?
     if (i == d.begin()) {
       while (++i != d.end() && dist(corner, *i) > d.r)
@@ -594,7 +594,7 @@ three_cover_points(
       iter_swap(i, d.begin());
       d.end() = d.begin() + 1;
     }
-    
+
     // [d.begin(), d.end()) shall be the range of uncovered points
     if (i != save_end)
       while (++i != save_end)
@@ -603,25 +603,25 @@ three_cover_points(
           iter_swap(i, d.end());
           ++d.end();
         } // if (dist(corner, *i) > d.r)
-    
+
     // check disjoint for two-pierceability:
-    
+
     CGAL_optimisation_expensive_assertion(
       save_end == find_if(d.end(), save_end,
                           boost::bind(less<FT>(), d.r, boost::bind(dist, corner, _1))));
     CGAL_optimisation_expensive_assertion(
       d.end() == find_if(d.begin(), d.end(),
-                         boost::bind(std::greater_equal<FT>(), 
-			      d.r,
-			      boost::bind(dist, corner, _1))));
-    
-    
+                         boost::bind(std::greater_equal<FT>(),
+                              d.r,
+                              boost::bind(dist, corner, _1))));
+
+
     two_cover_points(d, o, ok);
-    
+
     // restore saved sides of d:
     d.extreme(k) = save_side1;
     d.extreme((k+1) % 4) = save_side2;
-    
+
     if (ok) {
       // does any rectangle contain the corner?
       if (d.end() != save_end) {
@@ -630,7 +630,7 @@ three_cover_points(
       }
       return o;
     } // if (ok)
-    
+
     d.end() = save_end;
   } // for (int k = 0; k < 4; ++k)
 
@@ -650,7 +650,7 @@ four_cover_points(Staircases< Traits >&
   using std::iter_swap;
   using std::find_if;
   using std::back_inserter;
-  
+
   typedef typename Traits::Point_2                  Point_2;
   typedef typename Traits::FT                       FT;
   typedef typename Traits::Less_x_2                 Less_x_2;
@@ -662,13 +662,13 @@ four_cover_points(Staircases< Traits >&
   typedef typename Staircases< Traits >::Iterator   Iterator;
   typedef typename Staircases< Traits >::Citerator  Citerator;
   typedef typename Staircases< Traits >::Intervall  Intervall;
-  
+
   Infinity_distance_2 dist   = d.traits.infinity_distance_2_object();
   Less_x_2 lessx             = d.traits.less_x_2_object();
   Less_y_2 lessy             = d.traits.less_y_2_object();
   Signed_x_distance_2 sdistx = d.traits.signed_x_distance_2_object();
   Signed_y_distance_2 sdisty = d.traits.signed_y_distance_2_object();
-  
+
   typename Traits::Construct_point_2_above_right_implicit_point_2
   cparip =
     d.traits.construct_point_2_above_right_implicit_point_2_object();
@@ -678,13 +678,13 @@ four_cover_points(Staircases< Traits >&
   typename Traits::Construct_point_2_below_right_implicit_point_2
   cpbrip =
     d.traits.construct_point_2_below_right_implicit_point_2_object();
-  
-  
+
+
 
   // test the four corners:
   for (int j = 0; j < 5; ++j) {
     const int k = j < 4 ? j : 3;
-  
+
     // extract all points which are close enough to this point
     Point_2 corner = d[k];
     if (j >= 3) {
@@ -699,11 +699,11 @@ four_cover_points(Staircases< Traits >&
         corner = cpbrip(*i, d.maxy, d.r);
       }
     }
-  
+
     // find first point not covered by the rectangle at d[k]
     Iterator i = find_if(d.begin(), d.end(),
                          boost::bind(less<FT>(), d.r, boost::bind(dist, corner, _1)));
-    
+
     // are all points already covered?
     if (i == d.end()) {
       CGAL_optimisation_assertion(k == 0);
@@ -711,16 +711,16 @@ four_cover_points(Staircases< Traits >&
       ok = true;
       return o;
     } // if (i == d.end())
-    
+
     // save changing sides of d:
     Point_2 save_side1 = d.extreme(k);
     Point_2 save_side2 = d.extreme((k+1) % 4);
     Iterator save_end = d.end();
-    
+
     // now run through it:
     // initialize the two (possibly) changing sides of d
     d.extreme(k) = d.extreme((k+1) % 4) = *i;
-    
+
     // is there any point covered?
     if (i == d.begin()) {
       while (++i != d.end() && dist(corner, *i) > d.r)
@@ -731,7 +731,7 @@ four_cover_points(Staircases< Traits >&
       iter_swap(i, d.begin());
       d.end() = d.begin() + 1;
     }
-    
+
     // [d.begin(), d.end()) shall be the range of uncovered points
     if (i != save_end)
       while (++i != save_end)
@@ -740,25 +740,25 @@ four_cover_points(Staircases< Traits >&
           iter_swap(i, d.end());
           ++d.end();
         } // if (dist(corner, *i) > d.r)
-    
+
     // check disjoint for two-pierceability:
-    
+
     CGAL_optimisation_expensive_assertion(
       save_end == find_if(d.end(), save_end,
                           boost::bind(less<FT>(), d.r, boost::bind(dist, corner, _1))));
     CGAL_optimisation_expensive_assertion(
       d.end() == find_if(d.begin(), d.end(),
-                         boost::bind(std::greater_equal<FT>(), 
-			      d.r,
-			      boost::bind(dist, corner, _1))));
-    
-    
+                         boost::bind(std::greater_equal<FT>(),
+                              d.r,
+                              boost::bind(dist, corner, _1))));
+
+
     three_cover_points(d, o, ok);
-    
+
     // restore saved sides of d:
     d.extreme(k) = save_side1;
     d.extreme((k+1) % 4) = save_side2;
-    
+
     if (ok) {
       // does any rectangle contain the corner?
       if (d.end() != save_end) {
@@ -767,23 +767,23 @@ four_cover_points(Staircases< Traits >&
       }
       return o;
     } // if (ok)
-    
+
     d.end() = save_end;
   } // for (int k = 0; k < 4; ++k)
 
-  
+
   // test if four covering rectangles can be placed
   // on the boundary of d, one on each side
-  
+
   // if there is any point that cannot be covered in this way, stop here
   if (d.is_middle_empty()) {
-  
+
     // now try to position the bottom piercing point in each
     // of the intervalls formed by S_bt and S_br
     // (no need to consider S_bl, since we move from left
     // to right and leaving a rectangle won't make piercing easier)
-  
-    
+
+
     Intervall top_i    = d.top_intervall();
     Intervall left_i   = d.left_intervall();
     Intervall bottom_i = d.bottom_intervall();
@@ -792,12 +792,12 @@ four_cover_points(Staircases< Traits >&
     d.shared_intervall(back_inserter(share));
     Citerator shf = share.end();
     Citerator shl = share.end();
-    
+
     Citerator tl = d.tlstc_begin();
     Citerator lb = d.lbstc_begin();
     Citerator br = d.brstc_begin();
     Citerator rt = d.rtstc_begin();
-    
+
     // make sure the top intervall is covered (left endpoint)
     // (it might be that top_i.first determines the placement of
     //  the top square)
@@ -806,21 +806,21 @@ four_cover_points(Staircases< Traits >&
       while (++tl != d.tlstc_end() && !lessx(*tl, top)) {}
     else
       top = *tl++;
-    
-    
+
+
     if (tl != d.tlstc_end()) {
       for (;;) {
-    
+
         // make sure the top intervall is covered (right endpoint)
         if (sdistx(top_i.second, top) > FT(2) * d.r)
           break;
-    
+
         // compute position of left square
         Point_2 left = lessy(left_i.second, *tl) ? *tl : left_i.second;
-    
+
         // make sure the left intervall is covered
         if (sdisty(left, left_i.first) <= FT(2) * d.r) {
-    
+
           // compute position of bottom square
           while (lb != d.lbstc_end() && sdisty(left, *lb) <= FT(2) * d.r)
             ++lb;
@@ -828,7 +828,7 @@ four_cover_points(Staircases< Traits >&
           if (lb == d.lbstc_end())
             break;
           Point_2 bottom = lessx(bottom_i.first, *lb) ? bottom_i.first : *lb;
-    
+
           // check the shared x-intervall
           if (!share.empty() && d.is_x_greater_y()) {
             // compute position of top in share
@@ -846,7 +846,7 @@ four_cover_points(Staircases< Traits >&
     #endif
                    sdistx(*(shl - 1), top) > FT(2) * d.r)
               --shl;
-    
+
             // make sure shared intervall is covered (left endpoint)
     #ifndef _MSC_VER
            if ((shf != share.begin() || shl == share.end()) &&
@@ -862,10 +862,10 @@ four_cover_points(Staircases< Traits >&
            else if (shl != Citerator(share.end()) && lessx(*shl, bottom))
              bottom = *shl;
     #endif
-    
+
           }
-    
-    
+
+
           // make sure the bottom and the shared intervall (right endpoint)
           // are covered
     #ifndef _MSC_VER
@@ -891,7 +891,7 @@ four_cover_points(Staircases< Traits >&
               if (br == d.brstc_end())
                 break;
               Point_2 right = lessy(right_i.first, *br) ? right_i.first : *br;
-    
+
               // check the shared y-intervall
               if (!share.empty() && !d.is_x_greater_y()) {
                 // compute position of left in share
@@ -910,7 +910,7 @@ four_cover_points(Staircases< Traits >&
     #endif
                        lessy(left, *(shl - 1)))
                   --shl;
-    
+
                 // make sure shared intervall is covered (bottom endpoint)
     #ifndef _MSC_VER
                 if ((shf != share.begin() || shl == share.end()) &&
@@ -926,10 +926,10 @@ four_cover_points(Staircases< Traits >&
                 else if (shl != Citerator(share.end())  && lessy(*shl, right))
                   right = *shl;
     #endif
-    
+
               }
-    
-    
+
+
               // make sure the right intervall and the shared intervall
               // (top endpoint) are covered
     #ifndef _MSC_VER
@@ -955,7 +955,7 @@ four_cover_points(Staircases< Traits >&
                   // has the right square reached the top-right corner?
                   if (rt == d.rtstc_end())
                     break;
-    
+
                   // Finally: Do we have a covering?
                   if (sdistx(*rt, top) <= FT(2) * d.r) {
                     *o++ = cpbrip(d.minx, left, d.r);
@@ -963,31 +963,31 @@ four_cover_points(Staircases< Traits >&
                     *o++ = cpalip(d.maxx, right, d.r);
                     *o++ = cpbrip(top, d.maxy, d.r);
                     ok = true;
-    
-    
+
+
                     return o;
                   } // if (covering)
-    
+
               } // if (sdisty(right_i.second, right) <= FT(2) * d.r)
-    
+
             } // if (bottom and shared intervall are covered)
-    
+
         } // if (sdisty(left, left_i.first) <= FT(2) * d.r)
-    
+
         top = *tl;
         if (!lessy(left_i.second, *tl) || ++tl == d.tlstc_end() ||
             lessx(bottom_i.first, *lb) || lessy(right_i.first, *br))
           break;
-    
+
       } // for (;;)
     } // if (tl != d.tlstc_end())
-    
-  
+
+
   } // if (!d.is_middle_empty())
 
   ok = false;
   return o;
-  
+
 } // four_cover_points(d, o, ok)
 
 struct Two_covering_algorithm {
diff -pruN 5.0.2-3/include/CGAL/Plane_3.h 5.0.3-1/include/CGAL/Plane_3.h
--- 5.0.2-3/include/CGAL/Plane_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Plane_3.h	2020-08-01 19:02:26.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Plane_3.h $
-// $Id: Plane_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Plane_3.h $
+// $Id: Plane_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Stefan Schirra
- 
+
 #ifndef CGAL_PLANE_3_H
 #define CGAL_PLANE_3_H
 
@@ -139,8 +139,8 @@ public:
   bool has_on(const Circle_3 &c) const
   {
     return R().has_on_3_object()(*this, c);
-  }  
-  
+  }
+
   bool has_on(const Line_3 &l) const
   {
     return R().has_on_3_object()(*this, l);
diff -pruN 5.0.2-3/include/CGAL/Plane_separator.h 5.0.3-1/include/CGAL/Plane_separator.h
--- 5.0.2-3/include/CGAL/Plane_separator.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Plane_separator.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Plane_separator.h $
-// $Id: Plane_separator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Plane_separator.h $
+// $Id: Plane_separator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Hans Tangelder (<hanst@cs.uu.nl>)
 
@@ -30,20 +30,20 @@ template < class FT> class Plane_separat
   inline FT cutting_value() const { return cutting_val;}
 
   void set_cutting_dimension(int d) {
-	  cutting_dim=d;
+          cutting_dim=d;
   }
 
   void set_cutting_value(FT val) {
-	  cutting_val=val;
-  }  
+          cutting_val=val;
+  }
 //commented this is not used
-//  template <class Point>  
+//  template <class Point>
 //  inline bool has_on_negative_side(const Point& i) {
 //    return i[cutting_dimension()] < cutting_value();
 //  }
 
-  Plane_separator(const int d, const FT& v) : 
-		cutting_dim(d), cutting_val(v) {}
+  Plane_separator(const int d, const FT& v) :
+                cutting_dim(d), cutting_val(v) {}
 
   explicit Plane_separator() : cutting_dim(0), cutting_val(0) {}
 
@@ -59,7 +59,7 @@ template < class FT> class Plane_separat
 };
 
 
- template < class FT> 
+ template < class FT>
  std::ostream& operator<< (std::ostream& s, Plane_separator<FT>& x) {
    s << "\n Separator coordinate: " << x.cutting_dimension() <<
      " value: " << x.cutting_value() << "\n";
diff -pruN 5.0.2-3/include/CGAL/Point_2.h 5.0.3-1/include/CGAL/Point_2.h
--- 5.0.2-3/include/CGAL/Point_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Point_2.h	2020-08-01 19:02:26.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Point_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Point_2.h $
 // $Id: Point_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Point_3.h 5.0.3-1/include/CGAL/Point_3.h
--- 5.0.2-3/include/CGAL/Point_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Point_3.h	2020-08-01 19:02:26.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Point_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Point_3.h $
 // $Id: Point_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Point_container.h 5.0.3-1/include/CGAL/Point_container.h
--- 5.0.2-3/include/CGAL/Point_container.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Point_container.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Point_container.h $
-// $Id: Point_container.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Point_container.h $
+// $Id: Point_container.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Hans Tangelder (<hanst@cs.uu.nl>)
 
@@ -29,110 +29,110 @@
 
 namespace CGAL {
 
-template <class Traits> 
+template <class Traits>
 class Point_container {
 
 private:
   typedef typename Traits::Point_d Point_d;
   typedef std::vector<const Point_d*> Point_vector;
-  
+
 public:
   typedef typename Traits::FT FT;
-  
+
   typedef typename Point_vector::iterator iterator;
   typedef typename Point_vector::const_iterator const_iterator;
   typedef typename internal::Get_dimension_tag<Traits>::Dimension D;
 private:
   Traits traits;
-  // the iterator range of the Point_container 
+  // the iterator range of the Point_container
   boost::optional<iterator> m_b ;
   boost::optional<iterator> m_e ;
-  
+
   int built_coord;    // a coordinate for which the pointer list is built
   Kd_tree_rectangle<FT,D> bbox;       // bounding box, i.e. rectangle of node
-  Kd_tree_rectangle<FT,D> tbox;       // tight bounding box, 
+  Kd_tree_rectangle<FT,D> tbox;       // tight bounding box,
   // i.e. minimal enclosing bounding
   // box of points
-	                	    
+
 public:
 
-  inline const Kd_tree_rectangle<FT,D>& 
-  bounding_box() const 
-  { 
-    return bbox; 
+  inline const Kd_tree_rectangle<FT,D>&
+  bounding_box() const
+  {
+    return bbox;
   }
-  
+
   inline const Kd_tree_rectangle<FT,D>&
-  tight_bounding_box() const 
-  { 
-    return tbox; 
-  }
-
-  inline int 
-  dimension() const 
-  { 
-    return bbox.dimension(); 
-  } 
-
-  inline int 
-  built_coordinate() const 
-  { 
-    return built_coord; 
-  } 
+  tight_bounding_box() const
+  {
+    return tbox;
+  }
+
+  inline int
+  dimension() const
+  {
+    return bbox.dimension();
+  }
+
+  inline int
+  built_coordinate() const
+  {
+    return built_coord;
+  }
 
   // coordinate of the maximal span
-  inline int 
-  max_span_coord() const 
+  inline int
+  max_span_coord() const
   {
-    return bbox.max_span_coord(); 
+    return bbox.max_span_coord();
   }
 
   // coordinate of the maximal tight span
-  inline int 
-  max_tight_span_coord() const 
-  { 
-    return tbox.max_span_coord(); 
+  inline int
+  max_tight_span_coord() const
+  {
+    return tbox.max_span_coord();
   }
 
-  inline FT  
-  max_span_lower() const 
-  { 
+  inline FT
+  max_span_lower() const
+  {
     return bbox.min_coord(max_span_coord());
   }
 
-  inline FT  
-  max_tight_span_lower() const 
+  inline FT
+  max_tight_span_lower() const
   {
     return tbox.min_coord(max_tight_span_coord());
   }
-  
-  inline FT  
-  max_span_upper() const 
-  { 
+
+  inline FT
+  max_span_upper() const
+  {
     return bbox.max_coord(max_span_coord());
   }
-  
-  inline FT  
-  max_tight_span_upper() const 
+
+  inline FT
+  max_tight_span_upper() const
   {
     return tbox.max_coord(max_tight_span_coord());
   }
 
-  inline FT 
-  max_spread() const 
-  { 
-    return  max_span_upper() -  max_span_lower(); 
+  inline FT
+  max_spread() const
+  {
+    return  max_span_upper() -  max_span_lower();
   }
 
-  inline FT 
-  max_tight_spread() const 
+  inline FT
+  max_tight_spread() const
   {
-    return  max_tight_span_upper() -  max_tight_span_lower(); 
+    return  max_tight_span_upper() -  max_tight_span_lower();
   }
 
 
-  int 
-  max_tight_span_coord_balanced(FT Aspect_ratio) const 
+  int
+  max_tight_span_coord_balanced(FT Aspect_ratio) const
   {
     int cut_dim(-1);
     FT max_spread_points(FT(-1));
@@ -140,22 +140,22 @@ public:
     int dim = dimension();
     for (int d=0; d<dim; d++) {
       FT length=bbox.max_coord(d)-bbox.min_coord(d);
-      
+
       if (FT(2)*max_length/length <= Aspect_ratio) {
-	FT spread=tbox.max_coord(d)-tbox.min_coord(d);
-	
-	if (spread > max_spread_points) {
-	  max_spread_points = spread;
-	  cut_dim = d;
-	}
+        FT spread=tbox.max_coord(d)-tbox.min_coord(d);
+
+        if (spread > max_spread_points) {
+          max_spread_points = spread;
+          cut_dim = d;
+        }
       }
     }
     // CGAL_assertion(cut_dim >= 0);
     return cut_dim;
   }
 
-  FT 
-  max_span_upper_without_dim(int d) const 
+  FT
+  max_span_upper_without_dim(int d) const
   {
     FT max_span(FT(0));
     int dim=dimension();
@@ -166,8 +166,8 @@ public:
     return max_span;
   }
 
-  FT 
-  balanced_fair(int d, FT Aspect_ratio) 
+  FT
+  balanced_fair(int d, FT Aspect_ratio)
   {
     FT small_piece = max_span_upper_without_dim(d) / Aspect_ratio;
     FT low_cut = bbox.min_coord(d) + small_piece; // lowest legal cut;
@@ -179,8 +179,8 @@ public:
     return split_value;
   }
 
-  FT 
-  balanced_sliding_fair(int d, FT Aspect_ratio) 
+  FT
+  balanced_sliding_fair(int d, FT Aspect_ratio)
   {
     FT small_piece = max_span_upper_without_dim(d) / Aspect_ratio;
     FT low_cut = bbox.min_coord(d) + small_piece; // lowest legal cut;
@@ -189,42 +189,42 @@ public:
     FT split_value = median(d);
     FT max_span_lower = tbox.min_coord(d);
     FT max_span_upper = tbox.max_coord(d);
-    if (split_value < low_cut) split_value= max_span_lower; 
-    if (split_value > high_cut) split_value = max_span_upper; 
+    if (split_value < low_cut) split_value= max_span_lower;
+    if (split_value > high_cut) split_value = max_span_upper;
     return split_value;
   }
 
   //  points
   inline std::size_t
-  size() const 
+  size() const
   {
     return *m_e - *m_b;
   }
-  
-  inline const_iterator 
+
+  inline const_iterator
   begin() const {
     return *m_b;
   }
-  
-  inline const_iterator 
-  end() const 
+
+  inline const_iterator
+  end() const
   {
     return *m_e;
   }
 
-  inline iterator 
+  inline iterator
   begin()
   {
     return *m_b;
   }
-  
-  inline iterator 
+
+  inline iterator
   end()
   {
     return *m_e;
   }
-     
-  inline bool 
+
+  inline bool
   empty() const
   {
     return !m_b || !m_e || (*m_b == *m_e ) ;
@@ -232,12 +232,12 @@ public:
 
   // building the container from a sequence of Point_d*
   Point_container(const int d, iterator begin, iterator end,const Traits& traits_) :
-    traits(traits_),m_b(begin), m_e(end), bbox(d, begin, end,traits.construct_cartesian_const_iterator_d_object()), tbox(bbox)  
+    traits(traits_),m_b(begin), m_e(end), bbox(d, begin, end,traits.construct_cartesian_const_iterator_d_object()), tbox(bbox)
   {
     built_coord = max_span_coord();
   }
 
-  void 
+  void
   set_range(iterator begin, iterator end)
   {
     m_b = begin;
@@ -245,72 +245,72 @@ public:
   }
 
 
-  // building an empty container 
+  // building an empty container
   Point_container(const int d,const Traits& traits_) :
-    traits(traits_),bbox(d), tbox(d)  
+    traits(traits_),bbox(d), tbox(d)
   {}
-  
-  template <class Traits2>   
+
+  template <class Traits2>
   struct Cmp {
     typedef typename Traits2::FT FT;
     typedef typename Traits2::Point_d Point_d;
     typedef std::vector<const Point_d*> Point_vector;
-    
+
     int split_coord;
     FT value;
     const typename Traits2::Construct_cartesian_const_iterator_d& construct_it;
-    
+
     Cmp(int s, FT c,const typename Traits2::Construct_cartesian_const_iterator_d& cst_it)
       : split_coord(s), value(c), construct_it(cst_it)
     {}
-    
-    bool 
+
+    bool
     operator()(const Point_d* pt) const
     {
       typename Traits2::Cartesian_const_iterator_d ptit;
       ptit = construct_it(*pt);
-      return  *(ptit+split_coord) < value; 
+      return  *(ptit+split_coord) < value;
     }
   };
 
 
-  template <class Traits2>   
+  template <class Traits2>
   struct Between {
     typedef typename Traits2::FT FT;
     typedef typename Traits2::Point_d Point_d;
     typedef std::vector<const Point_d*> Point_vector;
-    
+
     int split_coord;
     FT low, high;
     const typename Traits2::Construct_cartesian_const_iterator_d& construct_it;
-    
+
     Between(int s, FT l, FT h,const typename Traits2::Construct_cartesian_const_iterator_d& cst_it)
       : split_coord(s), low(l), high(h), construct_it(cst_it)
     {}
-    
-    bool 
+
+    bool
     operator()(const Point_d* pt) const
     {
       typename Traits2::Cartesian_const_iterator_d ptit;
       ptit = construct_it(*pt);
       if(! ( *(ptit+split_coord) <= high ) ){
-	//	std::cerr << "Point " << *pt << " exceeds " << high << " in dimension " << split_coord << std::endl;
-	return false;
+        //        std::cerr << "Point " << *pt << " exceeds " << high << " in dimension " << split_coord << std::endl;
+        return false;
       }
       if(! ( *(ptit+split_coord) >= low ) ){
-	//std::cerr << "Point " << *pt << " below " << low << " in dimension " << split_coord << std::endl;
-	return false;
+        //std::cerr << "Point " << *pt << " below " << low << " in dimension " << split_coord << std::endl;
+        return false;
       }
       return true;
     }
   };
 
 
-  void recompute_tight_bounding_box() 
+  void recompute_tight_bounding_box()
   {
     tbox.template update_from_point_pointers<typename Traits::Construct_cartesian_const_iterator_d>(begin(), end(),traits.construct_cartesian_const_iterator_d_object());
   }
-  
+
 
   bool
   is_valid() const
@@ -324,7 +324,7 @@ public:
       typename Traits::Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
       Between<Traits> between(i,tbox.min_coord(i), tbox.max_coord(i), construct_it);
       for(const_iterator it = begin(); it != end(); it++){
-	b = (b && between(*it));
+        b = (b && between(*it));
       }
     }
     return b;
@@ -333,44 +333,44 @@ public:
 
   // note that splitting is restricted to the built coordinate
   template <class Separator>
-  void split(Point_container<Traits>& c, Separator& sep,  
-	     bool sliding=false) 
+  void split(Point_container<Traits>& c, Separator& sep,
+             bool sliding=false)
   {
     CGAL_assertion(dimension()==c.dimension());
     CGAL_assertion(is_valid());
     c.bbox=bbox;
-    
+
     const int split_coord = sep.cutting_dimension();
     FT cutting_value = sep.cutting_value();
 
     built_coord=split_coord;
     c.built_coord=split_coord;
-		
-	
+
+
     typename Traits::Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
 
     Cmp<Traits> cmp(split_coord, cutting_value,construct_it);
     iterator it = std::partition(begin(), end(), cmp);
     // now [begin,it) are lower and [it,end) are upper
-    if (sliding) { // avoid empty lists 
+    if (sliding) { // avoid empty lists
 
       if (it == begin()) {
-	iterator minelt = std::min_element(begin(),end(),comp_coord_val<Traits,int>(split_coord,construct_it));
-	if(minelt != it){
-	  std::iter_swap(minelt,it);
-	}
-	cutting_value = *(construct_it(**it)+split_coord);
-	sep.set_cutting_value(cutting_value);
-	it++;
+        iterator minelt = std::min_element(begin(),end(),comp_coord_val<Traits,int>(split_coord,construct_it));
+        if(minelt != it){
+          std::iter_swap(minelt,it);
+        }
+        cutting_value = *(construct_it(**it)+split_coord);
+        sep.set_cutting_value(cutting_value);
+        it++;
       }
       if (it == end()) {
-	iterator maxelt = std::max_element(begin(),end(),comp_coord_val<Traits,int>(split_coord,construct_it));
-	it--;
-	if(maxelt != it){
-	  std::iter_swap(maxelt,it);
-	}
-	cutting_value = *(construct_it(**it)+split_coord);
-	sep.set_cutting_value(cutting_value);
+        iterator maxelt = std::max_element(begin(),end(),comp_coord_val<Traits,int>(split_coord,construct_it));
+        it--;
+        if(maxelt != it){
+          std::iter_swap(maxelt,it);
+        }
+        cutting_value = *(construct_it(**it)+split_coord);
+        sep.set_cutting_value(cutting_value);
       }
     }
 
@@ -389,57 +389,57 @@ public:
 
   template <class Traits2, class Value>
   struct comp_coord_val {
-    
+
   private:
-    Value coord;   
+    Value coord;
     const typename Traits2::Construct_cartesian_const_iterator_d& construct_it;
-    
+
     typedef typename Traits2::Point_d Point_d;
   public:
-    comp_coord_val (const Value& coordinate,const typename Traits2::Construct_cartesian_const_iterator_d& cst_it) 
+    comp_coord_val (const Value& coordinate,const typename Traits2::Construct_cartesian_const_iterator_d& cst_it)
       : coord(coordinate), construct_it(cst_it)
     {}
-    
-    bool 
+
+    bool
     operator()(const Point_d *a, const Point_d *b) const
     {
       typename Traits2::Cartesian_const_iterator_d ait = construct_it(*a),
-	bit = construct_it(*b);
+        bit = construct_it(*b);
       return *(ait+coord) < *(bit+coord);
     }
   };
-  
 
-  FT 
+
+  FT
   median(const int split_coord)
   {
     typename Traits::Construct_cartesian_const_iterator_d construct_it=traits.construct_cartesian_const_iterator_d_object();
     iterator mid = begin() + (end() - begin())/2;
     std::nth_element(begin(), mid, end(),comp_coord_val<Traits,int>(split_coord,construct_it));
-        
+
     typename Traits::Cartesian_const_iterator_d mpit = construct_it((*(*mid)));
     FT val1 = *(mpit+split_coord);
     mid++;
     mpit = construct_it((*(*mid)));
     FT val2 = *(mpit+split_coord);
-    return (val1+val2)/FT(2); 
+    return (val1+val2)/FT(2);
   }
 
 
 
 private:
-  explicit Point_container() 
+  explicit Point_container()
   {} // disable default constructor
-  
+
 };
 
   template <class Point>
-  std::ostream& 
-  operator<< (std::ostream& s, Point_container<Point>& c) 
+  std::ostream&
+  operator<< (std::ostream& s, Point_container<Point>& c)
   {
     s << "Points container of size " << c.size() << "\n cell:";
     s << c.bounding_box();
-    s << "\n minimal box enclosing points:"; s << c.tight_bounding_box(); 
+    s << "\n minimal box enclosing points:"; s << c.tight_bounding_box();
     return s;
   }
 
diff -pruN 5.0.2-3/include/CGAL/point_generators_2.h 5.0.3-1/include/CGAL/point_generators_2.h
--- 5.0.2-3/include/CGAL/point_generators_2.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/include/CGAL/point_generators_2.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,14 +3,14 @@
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generator/include/CGAL/point_generators_2.h $
-// $Id: point_generators_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generator/include/CGAL/point_generators_2.h $
+// $Id: point_generators_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>
 //                 Pedro Machado Manhaes de Castro  <pmmc@cin.ufpe.br>
@@ -32,7 +32,7 @@
 
 namespace CGAL {
 
-template < class P, class Creator = 
+template < class P, class Creator =
                   Creator_uniform_2<typename Kernel_traits<P>::Kernel::RT,P> >
 class Random_points_in_disc_2 : public Random_generator_base<P>{
     void generate_point();
@@ -62,12 +62,12 @@ generate_point() {
     double alpha = this->_rnd.get_double() * 2.0 * CGAL_PI;
     double r = this->d_range * std::sqrt( this->_rnd.get_double());
     Creator creator;
-    this->d_item = creator( T(r * std::cos(alpha)), 
+    this->d_item = creator( T(r * std::cos(alpha)),
                             T(r * std::sin(alpha)));
 }
 
 
-template < class P, class Creator = 
+template < class P, class Creator =
                   Creator_uniform_2<typename Kernel_traits<P>::Kernel::RT, P> >
 class Random_points_on_circle_2 : public Random_generator_base<P> {
     void generate_point();
@@ -96,12 +96,12 @@ generate_point() {
     typedef typename Creator::argument_type T;
     double a = this->_rnd.get_double() * 2.0 * CGAL_PI;
     Creator creator;
-    this->d_item = creator( T(this->d_range * std::cos(a)), 
+    this->d_item = creator( T(this->d_range * std::cos(a)),
                             T(this->d_range * std::sin(a)));
 }
 
 
-template < class P, class Creator = 
+template < class P, class Creator =
                    Creator_uniform_2<typename Kernel_traits<P>::Kernel::RT,P> >
 class Random_points_in_square_2 : public Random_generator_base<P> {
     void generate_point();
@@ -132,12 +132,12 @@ generate_point() {
     typedef typename Creator::argument_type  T;
     Creator creator;
     this->d_item =
-	    creator( T(this->d_range * (2 * this->_rnd.get_double() - 1.0)),
+            creator( T(this->d_range * (2 * this->_rnd.get_double() - 1.0)),
                      T(this->d_range * (2 * this->_rnd.get_double() - 1.0)));
 }
 
 
-template < class P, class Creator = 
+template < class P, class Creator =
                    Creator_uniform_2<typename Kernel_traits<P>::Kernel::RT,P> >
 class Random_points_on_square_2 : public Random_generator_base<P> {
     void generate_point();
@@ -191,7 +191,7 @@ generate_point() {
 }
 
 
-template < class P, class Creator = 
+template < class P, class Creator =
                    Creator_uniform_2<typename Kernel_traits<P>::Kernel::RT,P> >
 class Random_points_in_iso_rectangle_2 : public Random_generator_base<P> {
   double left, right, top, bottom;
@@ -205,7 +205,7 @@ public:
     right = (std::max)(to_double(p.x()), to_double(q.x()));
     top = (std::min)(to_double(p.y()), to_double(q.y()));
     bottom = (std::max)(to_double(p.y()), to_double(q.y()));
-    generate_point(); 
+    generate_point();
   }
 
     This& operator++()    {
@@ -226,13 +226,13 @@ generate_point() {
     typedef typename Creator::argument_type  T;
     Creator creator;
     this->d_item =
-	    creator( T(this->_rnd.get_double(left,right)),
+            creator( T(this->_rnd.get_double(left,right)),
                      T(this->_rnd.get_double(top,bottom)));
 }
 
 
 
-template < class P, class Creator = 
+template < class P, class Creator =
                    Creator_uniform_2<typename Kernel_traits<P>::Kernel::RT,P> >
 class Random_points_on_segment_2 : public Random_generator_base<P> {
     P _p;
@@ -293,7 +293,7 @@ public:
                          std::size_t mx, std::size_t i = 0)
       : Generator_base<P>( (std::max)( (std::max)( to_double(p.x()), to_double(q.x())),
                                        (std::max)( to_double(p.y()), to_double(q.y())))),
-        _p(p), _q(q), d_i(i), d_mx(mx) 
+        _p(p), _q(q), d_i(i), d_mx(mx)
     {
         generate_point();
     }
@@ -354,7 +354,7 @@ points_on_square_grid_2( double a, std::
 {
     typedef std::iterator_traits<OutputIterator> ITraits;
     typedef typename ITraits::value_type         P;
-    return points_on_square_grid_2(a, n, o, 
+    return points_on_square_grid_2(a, n, o,
                 Creator_uniform_2<typename Kernel_traits<P>::Kernel::RT,P>());
 }
 
@@ -496,52 +496,52 @@ OutputIterator random_collinear_points_2
                                        CGAL::get_default_random());
 }
 
-template < class P, class Creator = 
+template < class P, class Creator =
 Creator_uniform_2<typename Kernel_traits<P>::Kernel::RT,P> >
 class Random_points_in_triangle_2 : public Random_generator_base<P> {
-	P _p,_q,_r;
-	void generate_point();
+        P _p,_q,_r;
+        void generate_point();
 public:
-	typedef P result_type;
-	typedef Random_points_in_triangle_2<P, Creator> This;
-	typedef typename Kernel_traits<P>::Kernel::Triangle_2 Triangle_2;
-	Random_points_in_triangle_2() {}
-	Random_points_in_triangle_2( const This& x,Random& rnd)
-	: Random_generator_base<P>( 1, rnd ),_p(x._p),_q(x._q),_r(x._r) {
-		generate_point();
-	}
-	Random_points_in_triangle_2( const P& p, const P& q, const P& r, Random& rnd = get_default_random())
-	: Random_generator_base<P>( 1, rnd ),_p(p),_q(q),_r(r) {
-		generate_point();
-	}
-	Random_points_in_triangle_2( const Triangle_2& triangle,Random& rnd = get_default_random())
-	: Random_generator_base<P>( 1,
-			rnd),_p(triangle[0]),_q(triangle[1]),_r(triangle[2]) {
-		generate_point();
-	}
-	This& operator++() {
-		generate_point();
-		return *this;
-	}
-	This operator++(int) {
-		This tmp = *this;
-		++(*this);
-		return tmp;
-	}
+        typedef P result_type;
+        typedef Random_points_in_triangle_2<P, Creator> This;
+        typedef typename Kernel_traits<P>::Kernel::Triangle_2 Triangle_2;
+        Random_points_in_triangle_2() {}
+        Random_points_in_triangle_2( const This& x,Random& rnd)
+        : Random_generator_base<P>( 1, rnd ),_p(x._p),_q(x._q),_r(x._r) {
+                generate_point();
+        }
+        Random_points_in_triangle_2( const P& p, const P& q, const P& r, Random& rnd = get_default_random())
+        : Random_generator_base<P>( 1, rnd ),_p(p),_q(q),_r(r) {
+                generate_point();
+        }
+        Random_points_in_triangle_2( const Triangle_2& triangle,Random& rnd = get_default_random())
+        : Random_generator_base<P>( 1,
+                        rnd),_p(triangle[0]),_q(triangle[1]),_r(triangle[2]) {
+                generate_point();
+        }
+        This& operator++() {
+                generate_point();
+                return *this;
+        }
+        This operator++(int) {
+                This tmp = *this;
+                ++(*this);
+                return tmp;
+        }
 };
-	
+
 template<class P, class Creator >
 void Random_points_in_triangle_2<P, Creator>::generate_point() {
-	typedef typename Creator::argument_type T;
-	Creator creator;
-	double a1 = this->_rnd.get_double(0,1);
-	double a2 = this->_rnd.get_double(0,1);
-	if(a1>a2) std::swap(a1,a2);
-	double b1 = a1;
-	double b2 = a2-a1;
-	double b3 = 1.0-a2;
-	this->d_item = creator(T(to_double(_p.x())*b1+to_double(_q.x())*b2+to_double(_r.x())*b3),
-							T(to_double(_p.y())*b1+to_double(_q.y())*b2+to_double(_r.y())*b3));
+        typedef typename Creator::argument_type T;
+        Creator creator;
+        double a1 = this->_rnd.get_double(0,1);
+        double a2 = this->_rnd.get_double(0,1);
+        if(a1>a2) std::swap(a1,a2);
+        double b1 = a1;
+        double b2 = a2-a1;
+        double b3 = 1.0-a2;
+        this->d_item = creator(T(to_double(_p.x())*b1+to_double(_q.x())*b2+to_double(_r.x())*b3),
+                                                        T(to_double(_p.y())*b1+to_double(_q.y())*b2+to_double(_r.y())*b3));
 }
 
 namespace internal {
diff -pruN 5.0.2-3/include/CGAL/point_generators_3.h 5.0.3-1/include/CGAL/point_generators_3.h
--- 5.0.2-3/include/CGAL/point_generators_3.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/include/CGAL/point_generators_3.h	2020-08-01 19:02:21.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generator/include/CGAL/point_generators_3.h $
-// $Id: point_generators_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generator/include/CGAL/point_generators_3.h $
+// $Id: point_generators_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>
 //                 Pedro Machado Manhaes de Castro  <pmmc@cin.ufpe.br>
@@ -30,7 +30,7 @@
 
 namespace CGAL {
 
-template < class P, class Creator = 
+template < class P, class Creator =
                    Creator_uniform_3<typename Kernel_traits<P>::Kernel::RT,P> >
 class Random_points_in_sphere_3 : public Random_generator_base<P> {
     void generate_point();
@@ -61,7 +61,7 @@ generate_point() {
     double alpha = this->_rnd.get_double() * 2.0 * CGAL_PI;
     double z     = 2 * this->_rnd.get_double() - 1.0;
     double r     = std::sqrt( 1 - z * z);
-    r *= std::pow( this->_rnd.get_double() , 1.0/3.0 );  
+    r *= std::pow( this->_rnd.get_double() , 1.0/3.0 );
     Creator creator;
     this->d_item = creator( T(this->d_range * r * std::cos(alpha)),
                             T(this->d_range * r * std::sin(alpha)),
@@ -69,7 +69,7 @@ generate_point() {
 }
 
 
-template < class P, class Creator = 
+template < class P, class Creator =
                    Creator_uniform_3<typename Kernel_traits<P>::Kernel::RT,P> >
 class Random_points_on_sphere_3 : public Random_generator_base<P> {
     void generate_point();
@@ -107,7 +107,7 @@ generate_point() {
 }
 
 
-template < class P, class Creator = 
+template < class P, class Creator =
                    Creator_uniform_3<typename Kernel_traits<P>::Kernel::RT,P> >
 class Random_points_in_cube_3 : public Random_generator_base<P>{
     void generate_point();
@@ -133,7 +133,7 @@ generate_point() {
     typedef typename Creator::argument_type T;
     Creator creator;
     this->d_item =
-	     creator( T(this->d_range * ( 2 * this->_rnd.get_double() - 1.0)),
+             creator( T(this->d_range * ( 2 * this->_rnd.get_double() - 1.0)),
                       T(this->d_range * ( 2 * this->_rnd.get_double() - 1.0)),
                       T(this->d_range * ( 2 * this->_rnd.get_double() - 1.0)));
 }
@@ -141,7 +141,7 @@ generate_point() {
 
 template <class OutputIterator, class Creator>
 OutputIterator
-points_on_cube_grid_3( double a, std::size_t n, 
+points_on_cube_grid_3( double a, std::size_t n,
                          OutputIterator o, Creator creator)
 {
     if  (n == 0)
@@ -189,63 +189,63 @@ points_on_cube_grid_3( double a, std::si
 {
     typedef std::iterator_traits<OutputIterator> ITraits;
     typedef typename ITraits::value_type         P;
-    return points_on_square_grid_3(a, n, o, 
+    return points_on_square_grid_3(a, n, o,
                  Creator_uniform_3<typename Kernel_traits<P>::Kernel::RT,P>());
 }
 
-template < class P, class Creator = 
+template < class P, class Creator =
 Creator_uniform_3<typename Kernel_traits<P>::Kernel::RT,P> >
 class Random_points_in_triangle_3 : public Random_generator_base<P> {
-	P _p,_q,_r;
-	void generate_point();
+        P _p,_q,_r;
+        void generate_point();
 public:
-	typedef P result_type;
-	typedef Random_points_in_triangle_3<P, Creator> This;
-	typedef typename Kernel_traits<P>::Kernel::Triangle_3 Triangle_3;
-	Random_points_in_triangle_3() {}
-	Random_points_in_triangle_3( const This& x,Random& rnd)
-	: Random_generator_base<P>( 1, rnd ),_p(x._p),_q(x._q),_r(x._r) {
-		generate_point();
-	}
-	Random_points_in_triangle_3( const P& p, const P& q, const P& r, Random& rnd = get_default_random())
-	: Random_generator_base<P>( 1, rnd ),_p(p),_q(q),_r(r) {
-		generate_point();
-	}
-	Random_points_in_triangle_3( const Triangle_3& triangle,Random& rnd = get_default_random())
-	: Random_generator_base<P>( 1,
-			rnd),_p(triangle[0]),_q(triangle[1]),_r(triangle[2]) {
-		generate_point();
-	}
-	This& operator++() {
-		generate_point();
-		return *this;
-	}
-	This operator++(int) {
-		This tmp = *this;
-		++(*this);
-		return tmp;
-	}
+        typedef P result_type;
+        typedef Random_points_in_triangle_3<P, Creator> This;
+        typedef typename Kernel_traits<P>::Kernel::Triangle_3 Triangle_3;
+        Random_points_in_triangle_3() {}
+        Random_points_in_triangle_3( const This& x,Random& rnd)
+        : Random_generator_base<P>( 1, rnd ),_p(x._p),_q(x._q),_r(x._r) {
+                generate_point();
+        }
+        Random_points_in_triangle_3( const P& p, const P& q, const P& r, Random& rnd = get_default_random())
+        : Random_generator_base<P>( 1, rnd ),_p(p),_q(q),_r(r) {
+                generate_point();
+        }
+        Random_points_in_triangle_3( const Triangle_3& triangle,Random& rnd = get_default_random())
+        : Random_generator_base<P>( 1,
+                        rnd),_p(triangle[0]),_q(triangle[1]),_r(triangle[2]) {
+                generate_point();
+        }
+        This& operator++() {
+                generate_point();
+                return *this;
+        }
+        This operator++(int) {
+                This tmp = *this;
+                ++(*this);
+                return tmp;
+        }
 };
 
 
 template<class P, class Creator >
 void Random_points_in_triangle_3<P, Creator>::generate_point() {
-	typedef typename Creator::argument_type T;
-	Creator creator;
-	double a1 = this->_rnd.get_double(0,1);
-	double a2 = this->_rnd.get_double(0,1);
-	if(a1>a2) std::swap(a1,a2);
-	double b1 = a1;
-	double b2 = a2-a1;
-	double b3 = 1.0-a2;
-	T ret[3];
-	for(int i = 0; i < 3; ++i) {
-	    ret[i] = T(to_double(_p[i])*b1+to_double(_q[i])*b2+to_double(_r[i])*b3);
-	}
-	this->d_item = creator(ret[0],ret[1],ret[2]);
+        typedef typename Creator::argument_type T;
+        Creator creator;
+        double a1 = this->_rnd.get_double(0,1);
+        double a2 = this->_rnd.get_double(0,1);
+        if(a1>a2) std::swap(a1,a2);
+        double b1 = a1;
+        double b2 = a2-a1;
+        double b3 = 1.0-a2;
+        T ret[3];
+        for(int i = 0; i < 3; ++i) {
+            ret[i] = T(to_double(_p[i])*b1+to_double(_q[i])*b2+to_double(_r[i])*b3);
+        }
+        this->d_item = creator(ret[0],ret[1],ret[2]);
 }
 
-template < class P, class Creator = 
+template < class P, class Creator =
                    Creator_uniform_3<typename Kernel_traits<P>::Kernel::RT,P> >
 class Random_points_on_segment_3 : public Random_generator_base<P> {
     P _p;
@@ -313,55 +313,55 @@ generate_point() {
 template < class P, class Creator =
 Creator_uniform_3<typename Kernel_traits<P>::Kernel::RT,P> >
 class Random_points_in_tetrahedron_3 : public Random_generator_base<P> {
-	P _p,_q,_r,_s;
-	void generate_point();
+        P _p,_q,_r,_s;
+        void generate_point();
 public:
-	typedef P result_type;
-	typedef Random_points_in_tetrahedron_3<P, Creator> This;
-	typedef typename Kernel_traits<P>::Kernel::Tetrahedron_3 Tetrahedron_3;
-	Random_points_in_tetrahedron_3() {}
-	Random_points_in_tetrahedron_3( const This& x,Random& rnd)
-	: Random_generator_base<P>( 1, rnd ),_p(x._p),_q(x._q),_r(x._r),_s(x._s) {
-		generate_point();
-	}
-	Random_points_in_tetrahedron_3( const P& p, const P& q, const P& r, const P& s,Random& rnd = get_default_random())
-	: Random_generator_base<P>( 1, rnd ),_p(p),_q(q),_r(r),_s(s) {
-		generate_point();
-	}
-	Random_points_in_tetrahedron_3( const Tetrahedron_3& tetrahedron,Random& rnd = get_default_random())
-	: Random_generator_base<P>( 1, rnd),_p(tetrahedron[0]),_q(tetrahedron[1]),_r(tetrahedron[2]),_s(tetrahedron[3]) {
-		generate_point();
-	}
-	This& operator++() {
-		generate_point();
-		return *this;
-	}
-	This operator++(int) {
-		This tmp = *this;
-		++(*this);
-		return tmp;
-	}
+        typedef P result_type;
+        typedef Random_points_in_tetrahedron_3<P, Creator> This;
+        typedef typename Kernel_traits<P>::Kernel::Tetrahedron_3 Tetrahedron_3;
+        Random_points_in_tetrahedron_3() {}
+        Random_points_in_tetrahedron_3( const This& x,Random& rnd)
+        : Random_generator_base<P>( 1, rnd ),_p(x._p),_q(x._q),_r(x._r),_s(x._s) {
+                generate_point();
+        }
+        Random_points_in_tetrahedron_3( const P& p, const P& q, const P& r, const P& s,Random& rnd = get_default_random())
+        : Random_generator_base<P>( 1, rnd ),_p(p),_q(q),_r(r),_s(s) {
+                generate_point();
+        }
+        Random_points_in_tetrahedron_3( const Tetrahedron_3& tetrahedron,Random& rnd = get_default_random())
+        : Random_generator_base<P>( 1, rnd),_p(tetrahedron[0]),_q(tetrahedron[1]),_r(tetrahedron[2]),_s(tetrahedron[3]) {
+                generate_point();
+        }
+        This& operator++() {
+                generate_point();
+                return *this;
+        }
+        This operator++(int) {
+                This tmp = *this;
+                ++(*this);
+                return tmp;
+        }
 };
 
 template<class P, class Creator >
 void Random_points_in_tetrahedron_3<P, Creator>::generate_point() {
-	typedef typename Creator::argument_type T;
-	Creator creator;
-	double a[3];
-	for(int i = 0; i < 3; ++i) {
-		a[i]=this->_rnd.get_double(0,1);
-	}
-	std::sort(a,a+3);
-	double b[4];
-	b[0]=a[0];
-	b[1]=a[1]-a[0];
-	b[2]=a[2]-a[1];
-	b[3]=1.0-a[2];
-	T ret[3];
-	for(int i = 0; i < 3; ++i) {
-	    ret[i] = T(to_double(_p[i])*b[0]+to_double(_q[i])*b[1]+to_double(_r[i])*b[2]+to_double(_s[i])*b[3]);
-	}
-	this->d_item = creator(ret[0],ret[1],ret[2]);
+        typedef typename Creator::argument_type T;
+        Creator creator;
+        double a[3];
+        for(int i = 0; i < 3; ++i) {
+                a[i]=this->_rnd.get_double(0,1);
+        }
+        std::sort(a,a+3);
+        double b[4];
+        b[0]=a[0];
+        b[1]=a[1]-a[0];
+        b[2]=a[2]-a[1];
+        b[3]=1.0-a[2];
+        T ret[3];
+        for(int i = 0; i < 3; ++i) {
+            ret[i] = T(to_double(_p[i])*b[0]+to_double(_q[i])*b[1]+to_double(_r[i])*b[2]+to_double(_s[i])*b[3]);
+        }
+        this->d_item = creator(ret[0],ret[1],ret[2]);
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/point_generators_d.h 5.0.3-1/include/CGAL/point_generators_d.h
--- 5.0.2-3/include/CGAL/point_generators_d.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/include/CGAL/point_generators_d.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generator/include/CGAL/point_generators_d.h $
-// $Id: point_generators_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generator/include/CGAL/point_generators_d.h $
+// $Id: point_generators_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Olivier Devillers
@@ -30,8 +30,8 @@ class Random_points_in_ball_d : public R
     int dimension;
 public:
     typedef Random_points_in_ball_d<P> This;
- Random_points_in_ball_d( int dim, double a = 1, 
-			       Random& rnd = get_default_random())
+ Random_points_in_ball_d( int dim, double a = 1,
+                               Random& rnd = get_default_random())
         // g is an input iterator creating points of type `P' uniformly
         // distributed in the open sphere with radius r, i.e. |`*g'| < r .
    : Random_generator_base<P>( a, rnd), dimension(dim) { generate_point(); }
@@ -52,9 +52,9 @@ Random_points_in_ball_d<P>::
 generate_point() {
   double norm = 0;
   std::vector< double > coord(dimension);
-  
+
   for(int i=0; i<dimension; ++i) {
-    // normal distribution 
+    // normal distribution
     //( a product of normal distib is a normal distrib in higher dim)
     const double pi = 3.141592653589793238462643;
     double a=this->_rnd.get_double();
@@ -79,8 +79,8 @@ class Random_points_on_sphere_d : public
     int dimension;
 public:
     typedef Random_points_on_sphere_d<P> This;
- Random_points_on_sphere_d( int dim, double a = 1, 
-			       Random& rnd = get_default_random())
+ Random_points_on_sphere_d( int dim, double a = 1,
+                               Random& rnd = get_default_random())
         // g is an input iterator creating points of type `P' uniformly
         // distributed on the sphere with radius r, i.e. |`*g'| == r .
    : Random_generator_base<P>( a, rnd), dimension(dim) { generate_point(); }
@@ -101,7 +101,7 @@ Random_points_on_sphere_d<P>::
 generate_point() {
   double norm = 0;
   std::vector< double > coord(dimension);
-  
+
   for(int i=0; i<dimension; ++i) {
     // normal distribution
     const double pi = 3.141592653589793238462643;
@@ -124,8 +124,8 @@ class Random_points_in_cube_d : public R
     int dimension;
 public:
     typedef Random_points_in_cube_d<P> This;
- Random_points_in_cube_d( int dim, double a = 1, 
-			       Random& rnd = get_default_random())
+ Random_points_in_cube_d( int dim, double a = 1,
+                               Random& rnd = get_default_random())
    : Random_generator_base<P>( a, rnd), dimension(dim) { generate_point(); }
     This& operator++()    {
         generate_point();
@@ -155,17 +155,17 @@ generate_point() {
 
 template <class OutputIterator, class Creator>
 OutputIterator
-points_on_cube_grid_d( int dimension, double a, 
-			    std::size_t n, OutputIterator o, Creator creator)
+points_on_cube_grid_d( int dimension, double a,
+                            std::size_t n, OutputIterator o, Creator creator)
 {
   //  typedef typename OutputIterator::container_type::value_type Point;
 
     if  (n == 0)
         return o;
-    
+
     // take m smallest such that m^dimension > n
     int m=int(std::floor(std::pow(static_cast<double>(n),1/(double)dimension)));
-    while(true) { 
+    while(true) {
       int nn=1;
       for (int i=0; i<dimension; ++i) nn*=m;
       if (std::size_t(nn)>=n) break;
@@ -184,8 +184,8 @@ points_on_cube_grid_d( int dimension, do
     std::size_t i=0;
     while (true) {
       //compute point
-      for(j=0; j< dimension; ++j) { 
-	coord[j]=base+step*indices[j]; 
+      for(j=0; j< dimension; ++j) {
+        coord[j]=base+step*indices[j];
       }
       *o = creator(coord.begin(), coord.end() );
       ++i;
@@ -196,7 +196,7 @@ points_on_cube_grid_d( int dimension, do
       // increment and reset smaller indices
       CGAL_assertion(j<dimension);
       indices[j]++;
-      while(j>0) { --j; indices[j]=0; } 
+      while(j>0) { --j; indices[j]=0; }
     }
     return o;
 }
diff -pruN 5.0.2-3/include/CGAL/Point_set_2.h 5.0.3-1/include/CGAL/Point_set_2.h
--- 5.0.2-3/include/CGAL/Point_set_2.h	2020-02-21 20:03:53.000000000 +0000
+++ 5.0.3-1/include/CGAL/Point_set_2.h	2020-08-01 19:02:39.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Max-Planck-Institute Saarbruecken (Germany). All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_2/include/CGAL/Point_set_2.h $
-// $Id: Point_set_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_2/include/CGAL/Point_set_2.h $
+// $Id: Point_set_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Matthias Baesken
 
@@ -34,21 +34,21 @@ template<class Gt, class Tds = Triangula
 class  Point_set_2 : public  Delaunay_triangulation_2<Gt,Tds>
 {
 
-public:  
+public:
   typedef Gt Geom_traits;
-  
+
   typedef typename Geom_traits::Point_2                     Point;
   typedef typename Geom_traits::Segment_2                   Segment;
-  
+
   typedef typename Geom_traits::Circle_2                    Circle;
-  
+
   typedef typename Geom_traits::Orientation_2               Orientation_2;
   typedef typename Geom_traits::Side_of_oriented_circle_2   Side_of_oriented_circle_2;
-  typedef typename Geom_traits::Construct_circle_2          Construct_circle_2; 
+  typedef typename Geom_traits::Construct_circle_2          Construct_circle_2;
   typedef typename Geom_traits::Compute_squared_distance_2  Compute_squared_distance_2;
   typedef typename Geom_traits::FT                          Numb_type;  // field number type ...
-                        
-  
+
+
   typedef Delaunay_triangulation_2<Gt,Tds>                  Triangulation;
   typedef typename Triangulation::size_type                 size_type;
   typedef typename Triangulation::Locate_type               Locate_type;
@@ -60,14 +60,14 @@ public:
   typedef typename Triangulation::Edge_circulator           Edge_circulator;
   typedef typename Triangulation::Finite_edges_iterator     Finite_edges_iterator;
   typedef typename Triangulation::Vertex_iterator           Vertex_iterator;
-  typedef typename Triangulation::Vertex_circulator         Vertex_circulator;  
+  typedef typename Triangulation::Vertex_circulator         Vertex_circulator;
   typedef typename Triangulation::Edge_iterator             Edge_iterator;
 
-  typedef typename Geom_traits::Bounded_side_2              Circleptori; 
-  typedef typename Geom_traits::Compare_distance_2          Comparedist;         
-  typedef typename Geom_traits::Construct_center_2          Circlecenter;   
-  
-  typedef Unique_hash_map<Vertex_handle, Numb_type>         MAP_TYPE;  
+  typedef typename Geom_traits::Bounded_side_2              Circleptori;
+  typedef typename Geom_traits::Compare_distance_2          Comparedist;
+  typedef typename Geom_traits::Construct_center_2          Circlecenter;
+
+  typedef Unique_hash_map<Vertex_handle, Numb_type>         MAP_TYPE;
   typedef Delaunay_triangulation_2<Gt,Tds>                  Base;
 
   using Base::finite_vertices_begin;
@@ -82,51 +82,51 @@ public:
   using Base::incident_vertices;
 
    Comparedist                   tr_comparedist;
-   Orientation_2                 tr_orientation;  
-   Side_of_oriented_circle_2     tr_so_circle;    
-   Compute_squared_distance_2    tr_sqrdist;      
+   Orientation_2                 tr_orientation;
+   Side_of_oriented_circle_2     tr_so_circle;
+   Compute_squared_distance_2    tr_sqrdist;
    Circleptori                   tr_circleptori;
-   Circlecenter                  tr_circlecenter; 
-   
+   Circlecenter                  tr_circlecenter;
+
    //constructions...
    Construct_circle_2            tr_createcircle_3p;
 
    Point_set_2()
-   { 
+   {
      init_vertex_marks();
    }
-   
+
    template<class InputIterator>
    Point_set_2(InputIterator first, InputIterator last)
-   { 
-     init_vertex_marks();    
+   {
+     init_vertex_marks();
      insert(first,last);
    }
-   
+
    ~Point_set_2() {}
-   
+
    template<class OutputIterator>
    OutputIterator vertices(OutputIterator res)
    // return vertex handles ...
-   {    
+   {
     Vertex_iterator vit = finite_vertices_begin();
-    for (; vit != finite_vertices_end(); vit++) { *res= vit; res++; }  
-    return res;   
-   }   
-   
+    for (; vit != finite_vertices_end(); vit++) { *res= vit; res++; }
+    return res;
+   }
+
 
    Vertex_handle lookup(Point p) const
-   { 
-     if (number_of_vertices() == 0) return nullptr;   
-     
+   {
+     if (number_of_vertices() == 0) return nullptr;
+
      // locate ...
      Locate_type lt;
      int li;
      Face_handle fh = locate(p,lt,li);
-     
+
      if (lt == VERTEX){
         Face f = *fh;
-	return f.vertex(li);
+        return f.vertex(li);
      }
      else return nullptr;
    }
@@ -137,40 +137,40 @@ public:
      if (number_of_vertices() == 0) return nullptr;
      return nearest_vertex(p);
    }
-     
+
 
    Vertex_handle  nearest_neighbor(Vertex_handle v) const
    {
-     if (number_of_vertices() <= 1) return nullptr;    
+     if (number_of_vertices() <= 1) return nullptr;
      Point p = v->point();
-     
+
      Vertex_circulator vc = incident_vertices(v);
      Vertex_circulator start =vc;
-     
+
      Vertex_handle min_v = vc;
      if (is_infinite(min_v)){
        vc++;
        min_v = vc;
      }
-     
+
      Vertex_handle act;
-     
+
      // go through the vertices ...
      do {
        act = vc;
- 
+
        if (! is_infinite(act)) {
         if ( tr_comparedist(p,act->point(), min_v->point()) == SMALLER ) {
-	  min_v = act;
-	}
-       }   
-           
+          min_v = act;
+        }
+       }
+
        vc++;
-     } while (vc != start);     
-   
+     } while (vc != start);
+
      return min_v;
    }
-   
+
   template<class OutputIterator>
   OutputIterator   nearest_neighbors(Point p, size_type k, OutputIterator res)
   {
@@ -182,10 +182,10 @@ public:
    }
 
    // insert p, if nesessary
-   
+
     Vertex_handle vh = lookup(p);
     bool old_node = true;
-    
+
     // we have to add a new vertex ...
     if (vh == nullptr){
       vh = insert(p);
@@ -195,126 +195,126 @@ public:
 
     std::list<Vertex_handle> res_list;
     nearest_neighbors_list(vh, k, res_list);
-   
-    if ( !old_node ) 
-    { 
+
+    if ( !old_node )
+    {
      res_list.pop_front();
      remove(vh);
     }
-    
+
     typename std::list<Vertex_handle>::iterator it = res_list.begin();
-    
+
     for (; it != res_list.end(); it++) { *res= *it; res++; }
 
-    return res;  
+    return res;
   }
-   
-  template<class OutputIterator>  
+
+  template<class OutputIterator>
   OutputIterator  nearest_neighbors(Vertex_handle v, size_type k,OutputIterator res)
-  {  
+  {
    size_type n = number_of_vertices();
 
    if ( k <= 0 ) return res;
    if ( n <= k ) { // return all (finite) vertices ...
      return vertices(res);
    }
-   
+
    std::list<Vertex_handle> res_list;
-   nearest_neighbors_list(v, k, res_list); 
-   
+   nearest_neighbors_list(v, k, res_list);
+
    typename std::list<Vertex_handle>::iterator it = res_list.begin();
-    
+
    for (; it != res_list.end(); it++) { *res= *it; res++; }
 
-   return res;     
+   return res;
   }
 
 
-  void nearest_neighbors_list(Vertex_handle v, 
-			      size_type k, 
-			      std::list<Vertex_handle>& res) 
-  {  
+  void nearest_neighbors_list(Vertex_handle v,
+                              size_type k,
+                              std::list<Vertex_handle>& res)
+  {
      size_type n = number_of_vertices();
-   
+
      if ( k <= 0 ) return;
      if ( n <= k ) { vertices(std::back_inserter(res)); return; }
-     
+
      Point p = v->point();
-     
+
      // "unmark" the vertices ...
      init_search();
 
      MAP_TYPE                                        priority_number;              // here we save the priorities ...
-     internal::compare_vertices<Vertex_handle,Numb_type,MAP_TYPE>    
+     internal::compare_vertices<Vertex_handle,Numb_type,MAP_TYPE>
        comp(& priority_number);      // comparison object ...
      std::priority_queue<Vertex_handle, std::vector<Vertex_handle>, internal::compare_vertices<Vertex_handle,Numb_type,MAP_TYPE> > PQ(comp);
 
      priority_number[v] = 0;
      PQ.push(v);
-     
+
      mark_vertex(v);
-      
+
      while ( k > 0 )
-     { 
+     {
        // find minimum from PQ ...
        Vertex_handle w = PQ.top();
        PQ.pop();
-   
-       res.push_back(w); 
-       k--; 
+
+       res.push_back(w);
+       k--;
 
        // get the incident vertices of w ...
        Vertex_circulator vc = incident_vertices(w);
        Vertex_circulator start =vc;
        Vertex_handle act;
-     
+
        do {
          act = vc;
-	 
+
          if ( (!is_marked(act)) && (! is_infinite(act)) )
-         { 
+         {
              priority_number[act] = tr_sqrdist(p,act->point());
-             PQ.push(act);	      
+             PQ.push(act);
              mark_vertex(act);
-         }	   
-	             
+         }
+
          vc++;
-       } while (vc != start);   
-        
+       } while (vc != start);
+
      }
-  } 
-   
-   
+  }
+
+
   // for marking nodes in search procedures
   size_type cur_mark;
-   
+
   Unique_hash_map<Vertex_handle, size_type>  mark;
-    
+
   void init_vertex_marks()
   {
      cur_mark = 0;
      mark.clear();
   }
-  
+
   void init_search()
   {
-     cur_mark++; 
+     cur_mark++;
      if (cur_mark == (std::numeric_limits<size_type>::max)()) init_vertex_marks();
   }
-  
+
   void mark_vertex(Vertex_handle vh)
   // mark vh as visited ...
   {
     mark[vh] = cur_mark;
   }
-  
+
   bool is_marked(Vertex_handle vh)
   {
     if (! mark.is_defined(vh)) return false;
 
     return (mark[vh] == cur_mark);
   }
-  
+
   void search(Vertex_handle v,const Circle& C, std::list<Vertex_handle>& L)
   {
     std::stack<Vertex_handle> todo;
@@ -327,7 +327,7 @@ public:
 
       if (is_marked(current))
         continue;
-      
+
       L.push_back(current);
       mark_vertex(current);
 
@@ -338,11 +338,11 @@ public:
       // go through the vertices ...
       do {
         act = vc;
-        
+
         if (! is_infinite(act)) {
           if (!is_marked(act) && ! (tr_circleptori(C,act->point())==ON_UNBOUNDED_SIDE) )
             todo.push(act);
-        }             
+        }
         vc++;
       } while (vc != start);
     }
@@ -351,46 +351,46 @@ public:
 
    template<class OutputIterator>
    OutputIterator range_search(const Circle& C, OutputIterator res)
-   { 
+   {
      if (number_of_vertices() == 0) return res;
-     if (number_of_vertices() == 1) 
-     { 
+     if (number_of_vertices() == 1)
+     {
        // get the one vertex ...
        Vertex_iterator vit = finite_vertices_begin();
        Point p = vit->point();
-       
+
        if (! (tr_circleptori(C, p) == ON_UNBOUNDED_SIDE)){
         *res= vit; res++;
        }
        return res;
-     }  
-     
+     }
+
      // normal case ...
      Point p = tr_circlecenter(C);
-     Vertex_handle v = lookup(p);  
-     bool new_v = false;     
+     Vertex_handle v = lookup(p);
+     bool new_v = false;
 
      if ( v == nullptr )
-     { 
+     {
        new_v = true;
-       v = insert(p); 
+       v = insert(p);
      }
-     
+
      init_search();
-     
+
      std::list<Vertex_handle> L;
      search(v,C,L);
-     
+
      if (new_v)
      { L.pop_front();   //first one was inserted in range_search ...
        remove(v);
      }
-     
+
      typename std::list<Vertex_handle>::const_iterator iter = L.begin();
      for(;iter != L.end() ;iter++){ *res= *iter; res++; }
-     return res;        
+     return res;
    }
-   
+
 
    template<class OutputIterator>
    OutputIterator range_search(const Point& a, const Point& b, const Point& c,OutputIterator res)
@@ -398,17 +398,17 @@ public:
      Circle C = tr_createcircle_3p(a,b,c);
      std::list<Vertex_handle> L;
      range_search(C,std::back_inserter(L));
-      
+
      typename std::list<Vertex_handle>::const_iterator it = L.begin();
-      
+
      for(;it != L.end();it++)
      { Point p = (*it)->point();
        if ( ((int)(tr_orientation(a,b,p))) == - orient ||
             ((int)(tr_orientation(b,c,p))) == - orient ||
-            ((int)(tr_orientation(c,a,p))) == - orient ) { }     
+            ((int)(tr_orientation(c,a,p))) == - orient ) { }
         else { *res = *it; res++; }
      }
-     return res;     
+     return res;
    }
 
 
@@ -420,18 +420,18 @@ public:
      //Point b(c.xcoord(),a.ycoord());
      //Point d(a.xcoord(),c.ycoord());
      Point a=a1,b=b1,c=c1,d=d1;
-   
-     if (tr_orientation(a,b,c) == RIGHT_TURN) 
+
+     if (tr_orientation(a,b,c) == RIGHT_TURN)
      { Point tmp = b;
        b = d;
        d = tmp;
       }
-   
+
      Circle C = tr_createcircle_3p(a,b,c);
-     
+
      std::list<Vertex_handle> L;
      range_search(C,std::back_inserter(L));
-     typename std::list<Vertex_handle>::const_iterator it = L.begin();     
+     typename std::list<Vertex_handle>::const_iterator it = L.begin();
 
      for(;it != L.end();it++)
      { Point p = (*it)->point();
@@ -439,9 +439,9 @@ public:
             tr_orientation(c,d,p) == RIGHT_TURN || tr_orientation(d,a,p) == RIGHT_TURN )  { }
         else { *res = *it; res++; }
      }
-     return res;     
+     return res;
    }
- 
+
 };
 
 
diff -pruN 5.0.2-3/include/CGAL/Point_set_3/IO.h 5.0.3-1/include/CGAL/Point_set_3/IO.h
--- 5.0.2-3/include/CGAL/Point_set_3/IO.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Point_set_3/IO.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_3/include/CGAL/Point_set_3/IO.h $
-// $Id: IO.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_3/include/CGAL/Point_set_3/IO.h $
+// $Id: IO.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -32,7 +32,7 @@ namespace CGAL {
 
 namespace internal
 {
-  
+
 namespace PLY
 {
 
@@ -66,7 +66,7 @@ private:
       boost::tie (m_map, boost::tuples::ignore) = ps.add_property_map(name, Type());
       m_pmap = ps.push_property_map (m_map);
     }
-    
+
     virtual void assign (PLY_element& element, typename Point_set::Index index)
     {
       Type t{};
@@ -74,13 +74,13 @@ private:
       put(m_pmap, index, t);
     }
   };
-  
+
   Point_set& m_point_set;
   bool m_use_floats;
   std::vector<Abstract_ply_property_to_point_set_property*> m_properties;
 
 public:
-  
+
   Point_set_3_filler (Point_set& point_set)
     : m_point_set (point_set), m_use_floats (false)
   { }
@@ -94,11 +94,11 @@ public:
   void instantiate_properties  (PLY_element& element)
   {
     bool has_normal[3] = { false, false, false };
-    
+
     for (std::size_t j = 0; j < element.number_of_properties(); ++ j)
     {
       internal::PLY::PLY_read_number* property = element.property(j);
-        
+
       const std::string& name = property->name();
       if (name == "x" ||
           name == "y" ||
@@ -176,11 +176,11 @@ public:
     if (has_normal[0] && has_normal[1] && has_normal[2])
       m_point_set.add_normal_map();
   }
-  
+
   void process_line (PLY_element& element)
   {
     m_point_set.insert();
-    
+
     if (m_use_floats)
       process_line<float>(element);
     else
@@ -244,7 +244,7 @@ read_xyz_point_set(
 
   if (!has_normals)
     point_set.remove_normal_map();
-  
+
   return out;
 }
 
@@ -326,7 +326,7 @@ read_ply_point_set(
 
   internal::PLY::PLY_reader reader;
   internal::PLY::Point_set_3_filler<Point, Vector> filler(point_set);
-  
+
   if (!(reader.init (stream)))
   {
     stream.setstate(std::ios::failbit);
@@ -345,7 +345,7 @@ read_ply_point_set(
       point_set.reserve (element.number_of_items());
       filler.instantiate_properties (element);
     }
-  
+
     for (std::size_t j = 0; j < element.number_of_items(); ++ j)
     {
       for (std::size_t k = 0; k < element.number_of_properties(); ++ k)
@@ -363,7 +363,7 @@ read_ply_point_set(
 
   return !stream.bad();
 }
-  
+
 /*!
   \ingroup PkgPointSet3IO
 
@@ -398,7 +398,7 @@ write_ply_point_set(
   typedef typename Point_set::template Property_map<boost::uint64_t> Uint64_map;
   typedef typename Point_set::template Property_map<float> Float_map;
   typedef typename Point_set::template Property_map<double> Double_map;
-    
+
   stream << "ply" << std::endl
          << ((get_mode(stream) == IO::BINARY) ? "format binary_little_endian 1.0" : "format ascii 1.0") << std::endl
          << "comment Generated by the CGAL library" << std::endl;
@@ -413,12 +413,12 @@ write_ply_point_set(
         stream << "comment " << line << std::endl;
     }
   }
-  
+
   stream << "element vertex " << point_set.number_of_points() << std::endl;
-  
+
   std::vector<std::string> prop = point_set.base().properties();
   std::vector<internal::PLY::Abstract_property_printer<Index>*> printers;
-  
+
   for (std::size_t i = 0; i < prop.size(); ++ i)
     {
       if (prop[i] == "index")
@@ -458,7 +458,7 @@ write_ply_point_set(
           printers.push_back (new internal::PLY::Property_printer<Index,Vector_map>(point_set.normal_map()));
           continue;
         }
-      
+
       bool okay = false;
       {
         Int8_map pmap;
@@ -561,8 +561,8 @@ write_ply_point_set(
           }
       }
     }
-    
-  stream << "end_header" << std::endl;  
+
+  stream << "end_header" << std::endl;
 
   for (typename Point_set::const_iterator it = point_set.begin(); it != point_set.end(); ++ it)
     {
@@ -597,7 +597,7 @@ namespace internal
   }
 
 }
-  
+
 /*!
   \ingroup PkgPointSet3IO
  */
@@ -680,7 +680,7 @@ read_las_point_set(
   internal::check_if_property_is_used (point_set, G);
   internal::check_if_property_is_used (point_set, B);
   internal::check_if_property_is_used (point_set, I);
-  
+
   return okay;
 }
 
@@ -710,62 +710,62 @@ write_las_point_set(
   bool remove_intensity;
   boost::tie(intensity, remove_intensity)
     = point_set.template add_property_map<unsigned short>("intensity", 0);
-  
+
   Uchar_map return_number;
   bool remove_return_number;
   boost::tie (return_number, remove_return_number)
     = point_set.template add_property_map<unsigned char>("return_number", 0);
-  
+
   Uchar_map number_of_returns;
   bool remove_number_of_returns;
   boost::tie (number_of_returns, remove_number_of_returns)
     = point_set.template add_property_map<unsigned char>("number_of_returns", 0);
-    
+
   Uchar_map scan_direction_flag;
   bool remove_scan_direction_flag;
   boost::tie (scan_direction_flag, remove_scan_direction_flag)
     = point_set.template add_property_map<unsigned char>("scan_direction_flag", 0);
-  
+
   Uchar_map edge_of_flight_line;
   bool remove_edge_of_flight_line;
   boost::tie (edge_of_flight_line, remove_edge_of_flight_line)
     = point_set.template add_property_map<unsigned char>("edge_of_flight_line", 0);
-  
+
   Uchar_map classification;
   bool remove_classification;
   boost::tie (classification, remove_classification)
     = point_set.template add_property_map<unsigned char>("classification", 0);
-  
+
   Uchar_map synthetic_flag;
   bool remove_synthetic_flag;
   boost::tie (synthetic_flag, remove_synthetic_flag)
     = point_set.template add_property_map<unsigned char>("synthetic_flag", 0);
-  
+
   Uchar_map keypoint_flag;
   bool remove_keypoint_flag;
   boost::tie (keypoint_flag, remove_keypoint_flag)
     = point_set.template add_property_map<unsigned char>("keypoint_flag", 0);
-  
+
   Uchar_map withheld_flag;
   bool remove_withheld_flag;
   boost::tie (withheld_flag, remove_withheld_flag)
     = point_set.template add_property_map<unsigned char>("withheld_flag", 0);
-  
+
   Float_map scan_angle;
   bool remove_scan_angle;
   boost::tie (scan_angle, remove_scan_angle)
     = point_set.template add_property_map<float>("scan_angle", 0.);
-  
+
   Uchar_map user_data;
   bool remove_user_data;
   boost::tie (user_data, remove_user_data)
     = point_set.template add_property_map<unsigned char>("user_data", 0);
-  
+
   Ushort_map point_source_ID;
   bool remove_point_source_ID;
   boost::tie (point_source_ID, remove_point_source_ID)
     = point_set.template add_property_map<unsigned short>("point_source_ID", 0);
-  
+
   Uint_map deleted_flag;
   bool remove_deleted_flag;
   boost::tie (deleted_flag, remove_deleted_flag)
@@ -813,7 +813,7 @@ write_las_point_set(
             }
         }
     }
-  
+
   bool okay
     = write_las_points_with_properties
     (stream, point_set,
@@ -855,12 +855,12 @@ write_las_point_set(
   if (remove_G) point_set.remove_property_map (G);
   if (remove_B) point_set.remove_property_map (B);
   if (remove_I) point_set.remove_property_map (I);
-  
+
   return okay;
 }
-  
+
 #endif // LAS
-  
+
 /*!
   \ingroup PkgPointSet3IO
  */
@@ -875,7 +875,7 @@ write_xyz_point_set(
       (stream, point_set,
        CGAL::parameters::point_map(point_set.point_map()).
        normal_map(point_set.normal_map()));
-  
+
   return CGAL::write_xyz_points
     (stream, point_set,
      CGAL::parameters::point_map(point_set.point_map()));
@@ -895,15 +895,15 @@ write_off_point_set(
       (stream, point_set,
        CGAL::parameters::point_map(point_set.point_map()).
        normal_map(point_set.normal_map()));
-  
+
   return CGAL::write_off_points
     (stream, point_set,
      CGAL::parameters::point_map(point_set.point_map()));
 }
 
-  
+
 /*!
-  
+
   \ingroup PkgPointSet3IO
 
   \brief Reads the point set from an input stream that can be either:
@@ -938,12 +938,12 @@ std::istream& operator>>(std::istream& i
 #endif // LAS
   else
     CGAL::read_xyz_point_set (is, ps);
-    
+
   return is;
 }
 
 /*!
-  
+
   \ingroup PkgPointSet3IO
 
   \brief Inserts the point set in an output stream in ASCII PLY
@@ -960,7 +960,7 @@ std::ostream& operator<<(std::ostream& o
 }
 
 
-  
+
 } // namespace CGAL
 
 
diff -pruN 5.0.2-3/include/CGAL/Point_set_3.h 5.0.3-1/include/CGAL/Point_set_3.h
--- 5.0.2-3/include/CGAL/Point_set_3.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Point_set_3.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_3/include/CGAL/Point_set_3.h $
-// $Id: Point_set_3.h 57779dd 2020-01-15T17:31:52+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_3/include/CGAL/Point_set_3.h $
+// $Id: Point_set_3.h 157bdbd 2020-04-22T13:26:52+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -52,7 +52,7 @@ namespace CGAL {
   All properties can be accessed as a range using the methods
   `points()`, `normals()`, and `range()` for points coordinates,
   normal vectors, and other properties respectively.
- 
+
   Removing a point with properties is achieved by moving its `Index`
   at the end of the container and keeping track of the number of
   removed elements. A garbage collection method must be called to
@@ -99,7 +99,7 @@ public:
     typedef Property_map<T> type;
   };
   /// \endcond
-  
+
   /*!
     \brief This represents a point with associated properties.
     \cgalModels `::Index`
@@ -122,7 +122,7 @@ public:
     template <class> friend struct Property_map;
     friend class std::vector<Index>;
     size_type value;
-    
+
   public:
     Index (const Index& index) : value (static_cast<size_type>(index)) { }
     Index (const std::size_t& value) : value (static_cast<size_type>(value)) { }
@@ -166,7 +166,7 @@ public:
     const_iterator m_begin;
     const_iterator m_end;
     std::size_t m_size;
-    
+
   public:
     Property_range (const Property_map<Type>& pmap,
                     typename Point_set::const_iterator begin,
@@ -177,7 +177,7 @@ public:
       m_end = boost::make_transform_iterator (end, Unary_function(pmap));
       m_size = size;
     }
-    
+
     const_iterator begin() const { return m_begin; }
     const_iterator end() const { return m_end; }
     std::size_t size() const { return m_size; }
@@ -197,7 +197,7 @@ protected:
   Vector_map m_normals;
   std::size_t m_nb_removed;
   /// \endcond
-  
+
 public:
 
   /// \name Construction, Destruction, Assignment
@@ -303,14 +303,14 @@ public:
     other.collect_garbage();
     resize (number_of_points() + other.number_of_points());
     m_base.transfer (other.m_base);
-    
+
     // Reset indices
     for (std::size_t i = 0; i < this->m_base.size(); ++ i)
       this->m_indices[i] = i;
 
     return true;
   }
-  
+
   /*!
     \brief Clears the point set properties and content.
 
@@ -321,11 +321,11 @@ public:
   void clear()
   {
     m_base.clear();
-    boost::tie (m_indices, boost::tuples::ignore) = this->add_property_map<Index>("index", typename Index::size_type(-1));
-    boost::tie (m_points, boost::tuples::ignore) = this->add_property_map<Point>("point", Point (0., 0., 0.));
+    m_indices = this->add_property_map<Index>("index", typename Index::size_type(-1)).first;
+    m_points = this->add_property_map<Point>("point", CGAL::ORIGIN).first;
     m_nb_removed = 0;
   }
-  
+
   /*!
     \brief Clears all properties created.
 
@@ -336,12 +336,12 @@ public:
   {
     Base other;
     other.template add<Index>("index", typename Index::size_type(-1));
-    other.template add<Point>("point", Point (0., 0., 0.));
+    other.template add<Point>("point", CGAL::ORIGIN);
     other.resize(m_base.size());
     other.transfer(m_base);
     m_base.swap(other);
-    boost::tie (m_indices, boost::tuples::ignore) = this->property_map<Index>("index");
-    boost::tie (m_points, boost::tuples::ignore) = this->property_map<Point>("point");
+    m_indices = this->property_map<Index>("index").first;
+    m_points = this->property_map<Point>("point").first;
   }
 
   /*!
@@ -354,7 +354,7 @@ public:
     is only used for optimization.
    */
   void reserve (std::size_t s) { m_base.reserve (s); }
-  
+
   /*!
     \brief Changes size of the point set.
 
@@ -391,7 +391,7 @@ public:
   }
 
   /// @}
-  
+
   /// \name Adding Points and Normals
   /// @{
 
@@ -476,7 +476,7 @@ public:
     return out;
   }
 
-  /*! 
+  /*!
     \brief Convenience method to copy a point with all its properties
     from another point set.
 
@@ -509,7 +509,7 @@ public:
   }
 
   /// @}
-  
+
   /// \name Accessors and Iterators
   /// @{
 
@@ -597,7 +597,7 @@ public:
     remove (first, end());
   }
   /// \endcond
-  
+
   /*!
     \brief Marks element specified by iterator as removed.
 
@@ -639,7 +639,7 @@ public:
 
   /// \name Garbage Management
   /// @{
-  
+
   /*!
     \brief Returns `true` if the element is marked as removed, `false`
     otherwise.
@@ -687,11 +687,11 @@ public:
   */
   std::size_t garbage_size () const { return number_of_removed_points(); }
   /// \endcond
-  
+
   /*!  \brief Returns `true` if there are elements marked as removed,
     `false` otherwise.
   */
-  bool has_garbage () const { return (m_nb_removed != 0); }  
+  bool has_garbage () const { return (m_nb_removed != 0); }
 
   /*!
     \brief Erases from memory the elements marked as removed.
@@ -717,7 +717,7 @@ public:
 
   /*!
     \brief Restores all removed points.
-    
+
     After removing one or several points, calling this method restores
     the point set to its initial state: points that were removed (and
     their associated properties) are restored.
@@ -755,7 +755,7 @@ public:
   using Property_map = unspecified_type;
 #endif
 
-  
+
   /*!
     \brief Tests whether property `name` of type `T` already exists.
 
@@ -770,7 +770,7 @@ public:
       pm = m_base.template get<T> (name);
     return pm.second;
   }
-  
+
   /*!
     \brief Adds a new property `name` of type `T` with given default value.
 
@@ -790,10 +790,10 @@ public:
   {
     Property_map<T> pm;
     bool added = false;
-    boost::tie (pm, added) = m_base.template add<T> (name, t);
+    std::tie (pm, added) = m_base.template add<T> (name, t);
     return std::make_pair (pm, added);
   }
-  
+
   /*!
     \brief Returns the property `name` of type `T`.
 
@@ -805,13 +805,13 @@ public:
     Boolean set to `true` or an empty property map and a Boolean set
     to `false` (if the property was not found).
   */
-  template <class T> 
+  template <class T>
   std::pair<Property_map<T>,bool>
   property_map (const std::string& name) const
   {
     Property_map<T> pm;
     bool okay = false;
-    boost::tie (pm, okay) = m_base.template get<T>(name);
+    std::tie (pm, okay) = m_base.template get<T>(name);
     return std::make_pair (pm, okay);
   }
 
@@ -825,7 +825,7 @@ public:
     \return Returns `true` if the property was removed and `false` if
     the property was not found.
   */
-  template <class T> 
+  template <class T>
   bool remove_property_map (Property_map<T>& prop)
   {
     return m_base.template remove<T> (prop);
@@ -852,10 +852,10 @@ public:
     that is `true` if the property was added and `false` if it already
     exists (and was therefore not added but only returned).
   */
-  std::pair<Vector_map, bool> add_normal_map (const Vector& default_value = Vector(0., 0., 0.))
+  std::pair<Vector_map, bool> add_normal_map (const Vector& default_value = CGAL::NULL_VECTOR)
   {
     bool out = false;
-    boost::tie (m_normals, out) = this->add_property_map<Vector> ("normal", default_value);
+    std::tie (m_normals, out) = this->add_property_map<Vector> ("normal", default_value);
     return std::make_pair (m_normals, out);
   }
   /*!
@@ -914,7 +914,7 @@ public:
   void copy_properties (const Point_set_3& other)
   {
     m_base.copy_properties (other.base());
-    
+
     m_normals = this->property_map<Vector> ("normal").first; // In case normal was added
   }
 
@@ -938,14 +938,14 @@ public:
     std::vector<std::string> prop = m_base.properties();
     prop.erase (prop.begin()); // remove "index"
     prop.erase (prop.begin()); // remove "point"
-    
+
     std::vector<std::pair<std::string, std::type_info> > out; out.reserve (prop.size());
     for (std::size_t i = 0; i < prop.size(); ++ i)
       out.push_back (std::make_pair (prop[i], m_base.get_type(prop[i])));
     return out;
   }
 
-  
+
   /*!
     \brief Returns a sequence of \ref psp_namedparameters "Named Parameters" for Point Set Processing algorithms.
 
@@ -1015,7 +1015,7 @@ public:
   {
     return Property_range<T> (pmap, begin(), end(), number_of_points());
   }
-  
+
   /*!
     \brief Returns a constant range of points.
   */
@@ -1031,9 +1031,9 @@ public:
   {
     return this->range<Vector> (m_normals);
   }
-  
+
   /// @}
-  
+
   /*!
     \name Push Property Maps and Inserters (Advanced)
 
@@ -1045,26 +1045,26 @@ public:
 
   /// @{
 
-  
+
 #ifdef DOXYGEN_RUNNING
   /// \cgalAdvancedType
-  /// \cgalAdvancedBegin  
+  /// \cgalAdvancedBegin
   /// Model of `OutputIterator` used to insert elements by defining
   /// the value of the property `Property`.
-  /// \cgalAdvancedEnd  
+  /// \cgalAdvancedEnd
   template <class Property>
   using Property_back_inserter = unspecified_type;
 
   /// \cgalAdvancedType
-  /// \cgalAdvancedBegin  
+  /// \cgalAdvancedBegin
   /// Model of `WritablePropertyMap` based on `Property` and that
   /// is allowed to push new items to the point set if needed.
   /// \cgalAdvancedEnd
   template <class Property>
   using Push_property_map = unspecified_type;
 #endif
-  
-  /// \cond SKIP_IN_MANUAL  
+
+  /// \cond SKIP_IN_MANUAL
   template <typename Property>
   class Property_back_inserter {
 
@@ -1080,9 +1080,9 @@ public:
     Point_set* ps;
     Property* prop;
     Index ind;
-  
+
   public:
-    
+
     Property_back_inserter(Point_set* ps, Property* prop, Index ind=Index())
       : ps(ps), prop (prop), ind(ind) {}
     Property_back_inserter& operator++() { return *this; }
@@ -1108,7 +1108,7 @@ public:
     typedef typename Property::value_type value_type;
     typedef value_type& reference;
     typedef boost::lvalue_property_map_tag category;
-    
+
     Point_set* ps;
     Property* prop;
     mutable Index ind;
@@ -1133,13 +1133,13 @@ public:
     }
 
   };
-  /// \endcond      
+  /// \endcond
 
   /// \cgalAdvancedType
   /// \cgalAdvancedBegin
   /// Back inserter on indices
   /// \cgalAdvancedEnd
-  typedef Property_back_inserter<Index_map> Index_back_inserter; 
+  typedef Property_back_inserter<Index_map> Index_back_inserter;
   /// \cgalAdvancedType
   /// \cgalAdvancedBegin
   /// Back inserter on points
@@ -1222,7 +1222,7 @@ public:
 
   /// @}
 
-  
+
 private:
   /// \cond SKIP_IN_MANUAL
   void quick_sort_on_indices (std::ptrdiff_t begin, std::ptrdiff_t end)
@@ -1230,13 +1230,13 @@ private:
     std::stack<std::pair<std::ptrdiff_t, std::ptrdiff_t> >
       todo;
     todo.push (std::make_pair (begin, end));
-    
+
     while (!(todo.empty()))
       {
         std::pair<std::ptrdiff_t, std::ptrdiff_t>
           current = todo.top();
         todo.pop();
-        
+
         if (current.first < current.second)
           {
             std::ptrdiff_t p = current.first + (rand() % (current.second - current.first));
@@ -1262,7 +1262,7 @@ private:
   }
   /// \endcond
 
-  
+
 }; // end of class Point_set_3
 
 
@@ -1273,11 +1273,11 @@ private:
   \brief Append `other` at the end of `ps`.
 
   \relates Point_set_3
-  
+
    Shifts the indices of points of `other` by `ps.number_of_points() +
    other.number_of_points()`.
 
-   Copies entries of all property maps which have the same name in `ps` and `other`. 
+   Copies entries of all property maps which have the same name in `ps` and `other`.
    Property maps which are only in `other` are ignored.
 
    \note Garbage is collected in both point sets when calling this method.
@@ -1302,7 +1302,7 @@ namespace Point_set_processing_3
   public:
     typedef typename Kernel_traits<Point>::Kernel::FT type;
   };
-  
+
   namespace parameters
   {
     template <typename Point, typename Vector>
diff -pruN 5.0.2-3/include/CGAL/Point_set_processing_3/internal/neighbor_query.h 5.0.3-1/include/CGAL/Point_set_processing_3/internal/neighbor_query.h
--- 5.0.2-3/include/CGAL/Point_set_processing_3/internal/neighbor_query.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Point_set_processing_3/internal/neighbor_query.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/Point_set_processing_3/internal/neighbor_query.h $
-// $Id: neighbor_query.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/Point_set_processing_3/internal/neighbor_query.h $
+// $Id: neighbor_query.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -42,7 +42,7 @@ void neighbor_query (const Point& query,
   typedef typename CGAL::Orthogonal_k_neighbor_search<TreeTraits> Neighbor_search;
   typedef typename Neighbor_search::iterator Search_iterator;
   typedef CGAL::Fuzzy_sphere<TreeTraits> Sphere;
-  
+
   if (neighbor_radius != FT(0))
   {
     Sphere fs (query, neighbor_radius, 0, tree.traits());
@@ -50,7 +50,7 @@ void neighbor_query (const Point& query,
     // if k=0, no limit on the number of neighbors returned
     if (k == 0)
       k = (std::numeric_limits<unsigned int>::max)();
-    
+
     try
     {
       std::function<void(const Point&)> back_insert_with_limit
@@ -60,7 +60,7 @@ void neighbor_query (const Point& query,
           if (points.size() == k)
             throw Maximum_points_reached_exception();
         };
-      
+
       auto function_output_iterator
         = boost::make_function_output_iterator (back_insert_with_limit);
 
@@ -77,7 +77,7 @@ void neighbor_query (const Point& query,
     else
       k = 0;
   }
-  
+
   if (k != 0)
   {
     // Gather set of (k+1) neighboring points.
diff -pruN 5.0.2-3/include/CGAL/Point_set_processing_3/internal/Parallel_callback.h 5.0.3-1/include/CGAL/Point_set_processing_3/internal/Parallel_callback.h
--- 5.0.2-3/include/CGAL/Point_set_processing_3/internal/Parallel_callback.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Point_set_processing_3/internal/Parallel_callback.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/Point_set_processing_3/internal/Parallel_callback.h $
-// $Id: Parallel_callback.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/Point_set_processing_3/internal/Parallel_callback.h $
+// $Id: Parallel_callback.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Simon Giraudot
@@ -21,7 +21,7 @@
 namespace CGAL {
 namespace Point_set_processing_3 {
 namespace internal {
-  
+
 class Parallel_callback
 {
   const std::function<bool(double)>& m_callback;
@@ -36,7 +36,7 @@ class Parallel_callback
   {
     return *this;
   }
-  
+
 public:
   Parallel_callback (const std::function<bool(double)>& callback,
                      std::size_t size,
diff -pruN 5.0.2-3/include/CGAL/Point_set_processing_3/internal/Rich_grid.h 5.0.3-1/include/CGAL/Point_set_processing_3/internal/Rich_grid.h
--- 5.0.2-3/include/CGAL/Point_set_processing_3/internal/Rich_grid.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Point_set_processing_3/internal/Rich_grid.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,11 +3,11 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/Point_set_processing_3/internal/Rich_grid.h $
-// $Id: Rich_grid.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/Point_set_processing_3/internal/Rich_grid.h $
+// $Id: Rich_grid.h 67b53fa 2020-04-29T14:06:37+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Shihao Wu, Clement Jamin, Pierre Alliez  
+// Author(s) : Shihao Wu, Clement Jamin, Pierre Alliez
 
 #ifndef CGAL_RICH_GRID_H
 #define CGAL_RICH_GRID_H
@@ -38,7 +38,7 @@ namespace CGAL {
 //namespace rich_grid_internal{
 
 namespace rich_grid_internal{
- 
+
 /// The Rich_point class represents a 3D point with inedxes of neighbor points;
 /// - a position,
 /// - an index.
@@ -59,8 +59,8 @@ public:
   Rich_point(const Point& p = CGAL::ORIGIN,
              int i = 0,
              const Vector& n = CGAL::NULL_VECTOR
-             ):pt(p), index(i), normal(n){} 
-  
+             ):pt(p), index(i), normal(n){}
+
   ~Rich_point()
   {
     neighbors.clear();
@@ -76,7 +76,7 @@ public:
 };
 
 template <typename Kernel>
-class Rich_grid 
+class Rich_grid
 {
   typedef typename Kernel::Point_3 Point;
   typedef typename Kernel::FT FT;
@@ -89,57 +89,57 @@ public:
 
   void init(std::vector<Rich_point<Kernel> > &vert,
             CGAL::Bbox_3 bbox,
-            const FT _radius); 
+            const FT _radius);
 
-  // Travel for the point set itself 
+  // Travel for the point set itself
   void travel_itself(void (*self)(iterator starta, iterator enda, FT radius),
-                    void (*other)(iterator starta, iterator enda, 
+                    void (*other)(iterator starta, iterator enda,
                     iterator startb, iterator endb, FT radius));
 
-  // Travel other self between two point set(original and samples) 
-  void travel_others(Rich_grid &points, 
-                     void (*travel_others)(iterator starta, 
-                                           iterator enda, 
-                                           iterator startb, 
-                                           iterator endb, 
+  // Travel other self between two point set(original and samples)
+  void travel_others(Rich_grid &points,
+                     void (*travel_others)(iterator starta,
+                                           iterator enda,
+                                           iterator startb,
+                                           iterator endb,
                                            FT radius));
 
 
   // functions for neighborhood searching
-  static void find_original_neighbors(iterator starta, 
-                                              iterator enda, 
+  static void find_original_neighbors(iterator starta,
+                                              iterator enda,
                                               iterator startb,
-                                              iterator endb, 
+                                              iterator endb,
                                               FT radius);
 
-  static void find_self_neighbors(iterator start, 
-                                           iterator end, 
+  static void find_self_neighbors(iterator start,
+                                           iterator end,
                                            FT radius);
- 
-  static void find_other_neighbors(iterator starta, 
-                                            iterator enda, 
-                                            iterator startb, 
-                                            iterator endb, 
+
+  static void find_other_neighbors(iterator starta,
+                                            iterator enda,
+                                            iterator startb,
+                                            iterator endb,
                                             FT radius);
 
 private:
-  
-  std::vector<Rich_point<Kernel>*> rich_points;  
-  std::vector<int> indices;   
+
+  std::vector<Rich_point<Kernel>*> rich_points;
+  std::vector<int> indices;
   int x_side, y_side, z_side;
   FT radius;
 
   int cell(int x, int y, int z) { return x + x_side * (y + y_side * z); }
   bool is_empty(int cell) { return indices[cell+1] == indices[cell]; }
 
-  iterator get_start_iter(int origin) 
-  { 
-    return rich_points.begin() + indices[origin]; 
-  }  
-
-  iterator get_end_iter(int origin) 
-  { 
-    return rich_points.begin() + indices[origin+1]; 
+  iterator get_start_iter(int origin)
+  {
+    return rich_points.begin() + indices[origin];
+  }
+
+  iterator get_end_iter(int origin)
+  {
+    return rich_points.begin() + indices[origin+1];
   }
 };
 
@@ -172,9 +172,9 @@ public:
 // divide spoints into some grids
 // and each grid has their points index in the index vector of sample.
 template <typename Kernel>
-void Rich_grid<Kernel>::init(std::vector<Rich_point<Kernel> > &vert, 
+void Rich_grid<Kernel>::init(std::vector<Rich_point<Kernel> > &vert,
                              CGAL::Bbox_3 bbox,
-                             const typename Kernel::FT _radius) 
+                             const typename Kernel::FT _radius)
 {
   typedef typename Kernel::FT FT;
 
@@ -186,45 +186,49 @@ void Rich_grid<Kernel>::init(std::vector
 
   radius = _radius;
 
-  x_side = (unsigned int)ceil((bbox.xmax() - bbox.xmin()) / radius);
-  y_side = (unsigned int)ceil((bbox.ymax() - bbox.ymin()) / radius);
-  z_side = (unsigned int)ceil((bbox.zmax() - bbox.zmin()) / radius);
+  std::size_t x_size = (std::size_t)ceil((bbox.xmax() - bbox.xmin()) / radius);
+  std::size_t y_size = (std::size_t)ceil((bbox.ymax() - bbox.ymin()) / radius);
+  std::size_t z_size = (std::size_t)ceil((bbox.zmax() - bbox.zmin()) / radius);
+
+  x_size = (x_size > 0) ? x_size : 1;
+  y_size = (y_size > 0) ? y_size : 1;
+  z_size = (z_size > 0) ? z_size : 1;
 
-  x_side = (x_side > 0) ? x_side : 1;
-  y_side = (y_side > 0) ? y_side : 1;
-  z_side = (z_side > 0) ? z_side : 1;
+  indices.resize(x_size * y_size * z_size + 1, -1);
 
-  indices.resize(x_side * y_side * z_side + 1, -1);  
+  x_side = int(x_size);
+  y_side = int(y_size);
+  z_side = int(z_size);
 
-  std::sort(rich_points.begin(), rich_points.end(), Z_Sort<Kernel>()); 
+  std::sort(rich_points.begin(), rich_points.end(), Z_Sort<Kernel>());
 
   unsigned int start_z = 0;
-  for(int z = 0; z < z_side; z++) 
+  for(int z = 0; z < z_side; z++)
   {
     unsigned int end_z = start_z;
     FT max_z = static_cast<FT>(bbox.zmin() + FT(z+1)*radius);
     while(end_z < rich_points.size() && rich_points[end_z]->pt.z() < max_z)
-      ++end_z; 
+      ++end_z;
 
-    sort(rich_points.begin() + start_z, 
+    sort(rich_points.begin() + start_z,
          rich_points.begin() + end_z, Y_Sort<Kernel>());
 
     unsigned int start_y = start_z;
-    for(int y = 0; y < y_side; y++) 
+    for(int y = 0; y < y_side; y++)
     {
-      unsigned int end_y = start_y;        
+      unsigned int end_y = start_y;
       FT max_y = static_cast<FT>(bbox.ymin() + FT(y+1) * radius);
       while(end_y < end_z && rich_points[end_y]->pt.y() < max_y)
         ++end_y;
 
-      sort(rich_points.begin() + start_y, 
+      sort(rich_points.begin() + start_y,
            rich_points.begin() + end_y, X_Sort<Kernel>());
 
       unsigned int start_x = start_y;
-      for(int x = 0; x < x_side; x++) 
+      for(int x = 0; x < x_side; x++)
       {
         unsigned int end_x = start_x;
-        indices[x + x_side * y + x_side * y_side * z] = end_x;          
+        indices[x + x_side * y + x_side * y_side * z] = end_x;
         FT max_x = static_cast<FT>(bbox.xmin() + FT(x+1) * radius);
         while(end_x < end_y && rich_points[end_x]->pt.x() < max_x)
           ++end_x;
@@ -240,72 +244,72 @@ void Rich_grid<Kernel>::init(std::vector
   indices[x_side * y_side * z_side] = start_z;
 }
 
-/// define how to travel in the same grid 
+/// define how to travel in the same grid
 template <typename Kernel>
 void Rich_grid<Kernel>::travel_itself(
-  void (*self)(iterator starta, iterator enda, 
+  void (*self)(iterator starta, iterator enda,
                const typename Kernel::FT radius),
-  void (*other)(iterator starta, iterator enda, 
+  void (*other)(iterator starta, iterator enda,
   iterator startb, iterator endb, FT radius)
-) 
+)
 {
   static const int corner[8*3] = { 0, 0, 0,  1, 0, 0,  0, 1, 0,  0, 0, 1,
     0, 1, 1,  1, 0, 1,  1, 1, 0,  1, 1, 1 };
 
   static const int diagonals[14*2] = { 0, 0, //remove this to avoid self intesextion
     0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7,
-    2, 3, 1, 3, 1, 2,                       
+    2, 3, 1, 3, 1, 2,
     1, 4, 2, 5, 3, 6 };
 
   for(int z = 0; z < z_side; z++) {
     for(int y = 0; y < y_side; y++) {
       for(int x = 0; x < x_side; x++) {
         int origin = cell(x, y, z);
-        self(get_start_iter(origin), get_end_iter(origin), radius);   
+        self(get_start_iter(origin), get_end_iter(origin), radius);
         // compute between other girds
         for(int d = 2; d < 28; d += 2) { // skipping self
           const int *cs = corner + 3*diagonals[d];
           const int *ce = corner + 3*diagonals[d+1];
-          if((x + cs[0] < x_side) && (y + cs[1] < y_side) && (z + cs[2] < z_side) 
-          && (x + ce[0] < x_side) && (y + ce[1] < y_side) && (z + ce[2] < z_side)) 
+          if((x + cs[0] < x_side) && (y + cs[1] < y_side) && (z + cs[2] < z_side)
+          && (x + ce[0] < x_side) && (y + ce[1] < y_side) && (z + ce[2] < z_side))
           {
             origin = cell(x+cs[0], y+cs[1], z+cs[2]);
             int dest = cell(x+ce[0], y+ce[1], z+ce[2]);
-            other(get_start_iter(origin), get_end_iter(origin), 
-                  get_start_iter(dest),   get_end_iter(dest), radius);        
+            other(get_start_iter(origin), get_end_iter(origin),
+                  get_start_iter(dest),   get_end_iter(dest), radius);
           }
-        }   
+        }
       }
     }
   }
 }
 
-/// define how to travel in other gird 
+/// define how to travel in other gird
 template <typename Kernel>
 void Rich_grid<Kernel>::travel_others(
-  Rich_grid &points, 
-  void (*travel_others)(iterator starta, iterator enda, 
-                        iterator startb, iterator endb, 
+  Rich_grid &points,
+  void (*travel_others)(iterator starta, iterator enda,
+                        iterator startb, iterator endb,
                         const typename Kernel::FT radius)
-) 
+)
 {
   static const int corner[8*3] = { 0, 0, 0,  1, 0, 0,  0, 1, 0,  0, 0, 1,
     0, 1, 1,  1, 0, 1,  1, 1, 0,  1, 1, 1 };
 
   static const int diagonals[14*2] = { 0, 0, //remove this to avoid self intesextion
     0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7,
-    2, 3, 1, 3, 1, 2,                       
+    2, 3, 1, 3, 1, 2,
     1, 4, 2, 5, 3, 6 };
 
   for(int z = 0; z < z_side; z++) {
     for(int y = 0; y < y_side; y++) {
-      for(int x = 0; x < x_side; x++) {     
-        int origin = cell(x, y, z);  
+      for(int x = 0; x < x_side; x++) {
+        int origin = cell(x, y, z);
 
 
-        if(!is_empty(origin) && !points.is_empty(origin)) 
-          travel_others(get_start_iter(origin), get_end_iter(origin), 
-          points.get_start_iter(origin), points.get_end_iter(origin), radius);  
+        if(!is_empty(origin) && !points.is_empty(origin))
+          travel_others(get_start_iter(origin), get_end_iter(origin),
+          points.get_start_iter(origin), points.get_end_iter(origin), radius);
 
 
         for(int d = 2; d < 28; d += 2) { //skipping self
@@ -318,21 +322,21 @@ void Rich_grid<Kernel>::travel_others(
 
               int dest = cell(x+ce[0], y+ce[1], z+ce[2]);
 
-              if(!is_empty(origin) && !points.is_empty(dest))        
-                  travel_others(get_start_iter(origin), 
-                                get_end_iter(origin), 
-                                points.get_start_iter(dest),   
-                                points.get_end_iter(dest), 
-                                radius); 
-
-              if(!is_empty(dest) && !points.is_empty(origin))  
-                  travel_others(get_start_iter(dest), 
-                                get_end_iter(dest), 
-                                points.get_start_iter(origin),   
-                                points.get_end_iter(origin), 
-                                radius);        
+              if(!is_empty(origin) && !points.is_empty(dest))
+                  travel_others(get_start_iter(origin),
+                                get_end_iter(origin),
+                                points.get_start_iter(dest),
+                                points.get_end_iter(dest),
+                                radius);
+
+              if(!is_empty(dest) && !points.is_empty(origin))
+                  travel_others(get_start_iter(dest),
+                                get_end_iter(dest),
+                                points.get_start_iter(origin),
+                                points.get_end_iter(origin),
+                                radius);
           }
-        }      
+        }
       }
     }
   }
@@ -341,9 +345,9 @@ void Rich_grid<Kernel>::travel_others(
 /// grid travel function to find the neighbors in the original point set
 template <typename Kernel>
 void Rich_grid<Kernel>::find_original_neighbors(
-    iterator starta, 
-    iterator enda, 
-    iterator startb, 
+    iterator starta,
+    iterator enda,
+    iterator startb,
     iterator endb,
     FT radius
 )
@@ -353,7 +357,7 @@ void Rich_grid<Kernel>::find_original_ne
   FT radius2 = radius*radius;
 
   iterator dest;
-  for(dest = starta; dest != enda; dest++) 
+  for(dest = starta; dest != enda; dest++)
   {
     Rich_point<Kernel> &v = *(*dest);
 
@@ -367,8 +371,8 @@ void Rich_grid<Kernel>::find_original_ne
 
       FT dist2 = CGAL::squared_distance(p, q);
 
-      if(dist2 < radius2) 
-      {                          
+      if(dist2 < radius2)
+      {
         v.original_neighbors.push_back((*origin)->index);
       }
     }
@@ -395,8 +399,8 @@ void Rich_grid<Kernel>::find_self_neighb
 
       FT dist2 = CGAL::squared_distance(p, q);
 
-      if(dist2 < radius2) 
-      {   
+      if(dist2 < radius2)
+      {
         v.neighbors.push_back((*origin)->index);
         t.neighbors.push_back((*dest)->index);
       }
@@ -407,7 +411,7 @@ void Rich_grid<Kernel>::find_self_neighb
 /// grid travel function to find the neighbors in the same point set
 template <typename Kernel>
 void Rich_grid<Kernel>::find_other_neighbors(
-  iterator starta, iterator enda, 
+  iterator starta, iterator enda,
   iterator startb, iterator endb, FT radius)
 {
   typedef typename Kernel::Point_3 Point;
@@ -425,8 +429,8 @@ void Rich_grid<Kernel>::find_other_neigh
 
       FT dist2 = CGAL::squared_distance(p, q);
 
-      if(dist2 < radius2) 
-      {   
+      if(dist2 < radius2)
+      {
         v.neighbors.push_back((*origin)->index);
         t.neighbors.push_back((*dest)->index);
       }
@@ -438,12 +442,12 @@ void Rich_grid<Kernel>::find_other_neigh
 
 
 /// Compute ball neighbors for each point in the same point set.
-/// 
+///
 /// \pre `radius > 0`
 ///
 /// @tparam Kernel Geometric traits class.
 ///
-/// @return 
+/// @return
 template <typename Kernel>
 void compute_ball_neighbors_one_self(
   std::vector<Rich_point<Kernel> >& points, ///< sample point set
@@ -459,17 +463,17 @@ void compute_ball_neighbors_one_self(
 
   Rich_grid<Kernel> points_grid;
   points_grid.init(points, bbox, radius);
-  points_grid.travel_itself(Rich_grid<Kernel>::find_self_neighbors, 
+  points_grid.travel_itself(Rich_grid<Kernel>::find_self_neighbors,
                             Rich_grid<Kernel>::find_other_neighbors);
 }
 
 /// Compute ball neighbors for each (sample)points in the other point set
-/// 
+///
 /// \pre `radius > 0`
 ///
 /// @tparam Kernel Geometric traits class.
 ///
-/// @return 
+/// @return
 template <typename Kernel>
 void compute_ball_neighbors_one_to_another(
   std::vector<Rich_point<Kernel> >& samples, ///< sample point set
@@ -496,7 +500,7 @@ void compute_ball_neighbors_one_to_anoth
   Rich_grid<Kernel> original_grid;
   original_grid.init(original, bbox, radius);
 
-  samples_grid.travel_others(original_grid, 
+  samples_grid.travel_others(original_grid,
                              Rich_grid<Kernel>::find_original_neighbors);
 }
 
diff -pruN 5.0.2-3/include/CGAL/Point_set_processing_3/internal/Search_traits_vertex_handle_3.h 5.0.3-1/include/CGAL/Point_set_processing_3/internal/Search_traits_vertex_handle_3.h
--- 5.0.2-3/include/CGAL/Point_set_processing_3/internal/Search_traits_vertex_handle_3.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Point_set_processing_3/internal/Search_traits_vertex_handle_3.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/Point_set_processing_3/internal/Search_traits_vertex_handle_3.h $
-// $Id: Search_traits_vertex_handle_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/Point_set_processing_3/internal/Search_traits_vertex_handle_3.h $
+// $Id: Search_traits_vertex_handle_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Pierre Alliez and Laurent Saboret
@@ -93,7 +93,7 @@ struct Kernel_traits< internal::Point_ve
   };
 };
 
-  namespace internal {  
+  namespace internal {
 
 /// Functor with two function operators, which return the begin and
 /// past the end iterator for the Cartesian coordinates.
@@ -212,7 +212,7 @@ struct Euclidean_distance_vertex_handle_
 
     h=p.z();
     dists[2] = (h >= (b.min_coord(2)+b.max_coord(2))/2.0)? h-b.min_coord(2) : b.max_coord(2)-h;
-    
+
     double d2 = dists[2]*dists[2];
 
     return d0 + d1 + d2;
@@ -246,7 +246,7 @@ class Search_traits_vertex_handle_3
                           >
 {};
 
-  } // namespace internal 
+  } // namespace internal
 /// \endcond
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Point_set_processing_3/internal/Voronoi_covariance_3/voronoi_covariance_3.h 5.0.3-1/include/CGAL/Point_set_processing_3/internal/Voronoi_covariance_3/voronoi_covariance_3.h
--- 5.0.2-3/include/CGAL/Point_set_processing_3/internal/Voronoi_covariance_3/voronoi_covariance_3.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Point_set_processing_3/internal/Voronoi_covariance_3/voronoi_covariance_3.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/Point_set_processing_3/internal/Voronoi_covariance_3/voronoi_covariance_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/Point_set_processing_3/internal/Voronoi_covariance_3/voronoi_covariance_3.h $
 // $Id: voronoi_covariance_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Point_set_processing_3/internal/Voronoi_covariance_3/voronoi_covariance_sphere_3.h 5.0.3-1/include/CGAL/Point_set_processing_3/internal/Voronoi_covariance_3/voronoi_covariance_sphere_3.h
--- 5.0.2-3/include/CGAL/Point_set_processing_3/internal/Voronoi_covariance_3/voronoi_covariance_sphere_3.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Point_set_processing_3/internal/Voronoi_covariance_3/voronoi_covariance_sphere_3.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/Point_set_processing_3/internal/Voronoi_covariance_3/voronoi_covariance_sphere_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/Point_set_processing_3/internal/Voronoi_covariance_3/voronoi_covariance_sphere_3.h $
 // $Id: voronoi_covariance_sphere_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/point_set_processing_assertions.h 5.0.3-1/include/CGAL/point_set_processing_assertions.h
--- 5.0.2-3/include/CGAL/point_set_processing_assertions.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/point_set_processing_assertions.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/point_set_processing_assertions.h $
-// $Id: point_set_processing_assertions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/point_set_processing_assertions.h $
+// $Id: point_set_processing_assertions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman, Sven Schoenherr, Laurent Saboret
 //
diff -pruN 5.0.2-3/include/CGAL/Point_traits.h 5.0.3-1/include/CGAL/Point_traits.h
--- 5.0.2-3/include/CGAL/Point_traits.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Point_traits.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Point_traits.h $
-// $Id: Point_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Point_traits.h $
+// $Id: Point_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -23,15 +23,15 @@ namespace CGAL {
 
   template <class P>
   struct Is_weighted : public Tag_false {} ;
-  
+
   template <typename K>
   struct Is_weighted< ::CGAL::Weighted_point_3<K> > :
     public Tag_true {} ;
-  
+
   namespace details {
 
     template <class P, typename FT, bool>
-    struct Point_traits_aux 
+    struct Point_traits_aux
     {
       // should give errors
     };
@@ -44,7 +44,7 @@ namespace CGAL {
       typedef typename Kernel_traits<P>::type K;
       typedef typename ::CGAL::Weighted_point_3<K> Weighted_point;
       typedef Tag_false Is_weighted;
-     
+
       const Bare_point& bare_point(const Point& bp)
       {
         return bp;
@@ -73,7 +73,7 @@ namespace CGAL {
       typedef P Weighted_point;
       typedef typename Point::Point Bare_point;
       typedef Tag_true Is_weighted;
-     
+
       const Bare_point& bare_point(const Point& wp)
       {
         return wp.point();
@@ -96,7 +96,7 @@ namespace CGAL {
     }; // end class Point_traits_aux<P, FT, true>
 
     template <class Point>
-    struct FT_of_point 
+    struct FT_of_point
     {
       typedef typename CGAL::Kernel_traits<Point>::Kernel::FT type;
     };
diff -pruN 5.0.2-3/include/CGAL/Point_with_normal_3.h 5.0.3-1/include/CGAL/Point_with_normal_3.h
--- 5.0.2-3/include/CGAL/Point_with_normal_3.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Point_with_normal_3.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/Point_with_normal_3.h $
-// $Id: Point_with_normal_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/Point_with_normal_3.h $
+// $Id: Point_with_normal_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -26,7 +26,7 @@
 namespace CGAL {
 
 /// \cond SKIP_IN_MANUAL
-  
+
 /// The Point_with_normal_3 class represents a 3D point with:
 /// - a position,
 /// - a normal (oriented).
diff -pruN 5.0.2-3/include/CGAL/Point_with_psc_localisation.h 5.0.3-1/include/CGAL/Point_with_psc_localisation.h
--- 5.0.2-3/include/CGAL/Point_with_psc_localisation.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Point_with_psc_localisation.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Point_with_psc_localisation.h $
-// $Id: Point_with_psc_localisation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Point_with_psc_localisation.h $
+// $Id: Point_with_psc_localisation.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -37,7 +37,7 @@ public:
   Point_with_psc_localisation() : Point(), index(), dim(-1) {}
 
   Point_with_psc_localisation(const Point& p) : Point(p), index(), dim(-1) {}
-			   
+
 //   Point_with_psc_localisation(const typename Kernel::Point_3& p) : Point(p), index(0) {}
 
   Point_with_psc_localisation(const Point_with_psc_localisation& p)
diff -pruN 5.0.2-3/include/CGAL/Point_with_surface_index_geom_traits.h 5.0.3-1/include/CGAL/Point_with_surface_index_geom_traits.h
--- 5.0.2-3/include/CGAL/Point_with_surface_index_geom_traits.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Point_with_surface_index_geom_traits.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Point_with_surface_index_geom_traits.h $
-// $Id: Point_with_surface_index_geom_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Point_with_surface_index_geom_traits.h $
+// $Id: Point_with_surface_index_geom_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
diff -pruN 5.0.2-3/include/CGAL/Point_with_surface_index.h 5.0.3-1/include/CGAL/Point_with_surface_index.h
--- 5.0.2-3/include/CGAL/Point_with_surface_index.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Point_with_surface_index.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Point_with_surface_index.h $
-// $Id: Point_with_surface_index.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Point_with_surface_index.h $
+// $Id: Point_with_surface_index.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -34,7 +34,7 @@ public:
   Point_with_surface_index() : Point(), index(0) {}
 
   Point_with_surface_index(const Point& p) : Point(p), index(0) {}
-			   
+
   Point_with_surface_index(const FT& x, const FT& y, const FT& z, const FT& w = FT(1))
     : Point(Point_traits().point(Bare_point(x, y, z, w))), index(0) {}
 
diff -pruN 5.0.2-3/include/CGAL/Poisson_implicit_surface_3.h 5.0.3-1/include/CGAL/Poisson_implicit_surface_3.h
--- 5.0.2-3/include/CGAL/Poisson_implicit_surface_3.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Poisson_implicit_surface_3.h	2020-08-01 19:02:40.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Poisson_surface_reconstruction_3/include/CGAL/Poisson_implicit_surface_3.h $
-// $Id: Poisson_implicit_surface_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Poisson_surface_reconstruction_3/include/CGAL/Poisson_implicit_surface_3.h $
+// $Id: Poisson_implicit_surface_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent RINEAU
@@ -27,7 +27,7 @@ namespace CGAL {
     typename GT,
     typename Function_
     >
-  class Poisson_implicit_surface_3 
+  class Poisson_implicit_surface_3
   {
   public:
     typedef GT Geom_traits;
@@ -44,15 +44,15 @@ namespace CGAL {
       Self> Surface_mesher_traits_3;
 
     Poisson_implicit_surface_3(Function f,
-		       const Sphere_3 bounding_sphere,
-		       const FT error_bound = FT(1e-3),
-		       Geom_traits gt = Geom_traits())
+                       const Sphere_3 bounding_sphere,
+                       const FT error_bound = FT(1e-3),
+                       Geom_traits gt = Geom_traits())
       : func(f),
-	sphere(bounding_sphere),
-	gt(gt)
+        sphere(bounding_sphere),
+        gt(gt)
     {
       squared_error = error_bound * error_bound;
-      squared_error = squared_error * 
+      squared_error = squared_error *
         gt.compute_squared_radius_3_object()(bounding_sphere);
     }
 
@@ -102,8 +102,8 @@ namespace CGAL {
   template <typename GT, typename Function>
   Poisson_implicit_surface_3<GT, Function>
   make_implicit_surface_3(GT, Function f,
-			  typename GT::Sphere_3 sphere,
-			  typename GT::FT error_bound)
+                          typename GT::Sphere_3 sphere,
+                          typename GT::FT error_bound)
   {
     typedef Poisson_implicit_surface_3<GT, Function> surface;
     return surface(f, sphere, error_bound);
@@ -114,13 +114,13 @@ namespace CGAL {
 //   {
 //     typedef Poisson_implicit_surface_3<GT, Function> Surface_type;
 //     typedef typename Surface_mesher::Poisson_implicit_surface_oracle_3<GT,
-// 							     Surface_type> Type;
+//                                                              Surface_type> Type;
 //     typedef Type type; // Boost meta-programming compatibility
 //   };
 
   // non documented class
   template <typename FT, typename Point>
-  class Poisson_implicit_function_wrapper : public CGAL::cpp98::unary_function<Point, FT> 
+  class Poisson_implicit_function_wrapper : public CGAL::cpp98::unary_function<Point, FT>
   {
     typedef FT (*Poisson_implicit_function)(FT, FT, FT);
 
diff -pruN 5.0.2-3/include/CGAL/Poisson_mesh_cell_criteria_3.h 5.0.3-1/include/CGAL/Poisson_mesh_cell_criteria_3.h
--- 5.0.2-3/include/CGAL/Poisson_mesh_cell_criteria_3.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Poisson_mesh_cell_criteria_3.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Poisson_surface_reconstruction_3/include/CGAL/Poisson_mesh_cell_criteria_3.h $
-// $Id: Poisson_mesh_cell_criteria_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Poisson_surface_reconstruction_3/include/CGAL/Poisson_mesh_cell_criteria_3.h $
+// $Id: Poisson_mesh_cell_criteria_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -31,7 +31,7 @@ class Constant_sizing_field {
 public:
   double cell_radius_bound() const { return CGAL::sqrt(sq_radius_bound); }
 
-  Constant_sizing_field(double sq_radius_bound = 0.) 
+  Constant_sizing_field(double sq_radius_bound = 0.)
     : sq_radius_bound(sq_radius_bound) {}
 
   template <typename Point>
@@ -42,17 +42,17 @@ public:
 } // end namespace internal
 
 template <
-  class Tr, 
+  class Tr,
   typename Sizing_field = internal::Poisson::Constant_sizing_field<Tr>,
-  typename Second_sizing_field = internal::Poisson::Constant_sizing_field<Tr> 
+  typename Second_sizing_field = internal::Poisson::Constant_sizing_field<Tr>
   >
-class Poisson_mesh_cell_criteria_3 
+class Poisson_mesh_cell_criteria_3
 {
   Sizing_field sizing_field;
   Second_sizing_field second_sizing_field;
   double radius_edge_bound_;
 
-  typedef Poisson_mesh_cell_criteria_3<Tr, 
+  typedef Poisson_mesh_cell_criteria_3<Tr,
                                        Sizing_field,
                                        Second_sizing_field> Self;
 public:
@@ -71,27 +71,27 @@ public:
     bool operator<(const Cell_quality& q) const
     {
       if( sq_size() > 1 )
-	if( q.sq_size() > 1 )
-	  return ( sq_size() > q.sq_size() );
-	else
-	  return true; // *this is big but not q
+        if( q.sq_size() > 1 )
+          return ( sq_size() > q.sq_size() );
+        else
+          return true; // *this is big but not q
       else
-	if( q.sq_size() >  1 )
-	  return false; // q is big but not *this
+        if( q.sq_size() >  1 )
+          return false; // q is big but not *this
       return( aspect() > q.aspect() );
     }
   };
 
   // inline
-  // double squared_radius_bound() const 
+  // double squared_radius_bound() const
   // {
-  //   return squared_radius_bound_; 
+  //   return squared_radius_bound_;
   // }
 
   typedef typename Tr::Cell_handle Cell_handle;
 
   Poisson_mesh_cell_criteria_3(const double radius_edge_bound = 2, //< radius edge ratio bound (ignored if zero)
-		  const double radius_bound = 0) //< cell radius bound (ignored if zero)
+                  const double radius_bound = 0) //< cell radius bound (ignored if zero)
     : sizing_field(radius_bound*radius_bound),
       second_sizing_field(),
       radius_edge_bound_(radius_edge_bound)
@@ -105,21 +105,21 @@ public:
       radius_edge_bound_(radius_edge_bound)
   {}
 
-  // inline 
-  // void set_squared_radius_bound(const double squared_radius_bound) 
-  // { 
+  // inline
+  // void set_squared_radius_bound(const double squared_radius_bound)
+  // {
   //   squared_radius_bound_ = squared_radius_bound;
   // }
 
   inline
-  double radius_edge_bound() const 
+  double radius_edge_bound() const
   {
-    return radius_edge_bound_; 
+    return radius_edge_bound_;
   }
 
-  inline 
-  void set_radius_edge_bound(const double radius_edge_bound) 
-  { 
+  inline
+  void set_radius_edge_bound(const double radius_edge_bound)
+  {
     radius_edge_bound_ = radius_edge_bound;
   }
 
@@ -129,10 +129,10 @@ public:
     const Self* cell_criteria;
   public:
     typedef typename Tr::Point Point_3;
-      
+
     Is_bad(const Self* cell_criteria)
       : cell_criteria(cell_criteria) {}
-      
+
     bool operator()(const Cell_handle& c,
                     Cell_quality& qual) const
     {
@@ -169,10 +169,10 @@ public:
         }
       }
       if( cell_criteria->radius_edge_bound_ == 0 )
-	{
-	  qual = Cell_quality(0,1);
-	  return false;
-	}
+        {
+          qual = Cell_quality(0,1);
+          return false;
+        }
 
       double min_sq_length = CGAL::to_double(distance(p, q));
       min_sq_length = (CGAL::min)(min_sq_length, to_double(distance(p, r)));
@@ -185,9 +185,9 @@ public:
 
       return (qual.first > cell_criteria->radius_edge_bound_);
     }
-    
+
   }; // end Is_bad
-    
+
 
   Is_bad is_bad_object() const
   { return Is_bad(this); }
diff -pruN 5.0.2-3/include/CGAL/Poisson_reconstruction_function.h 5.0.3-1/include/CGAL/Poisson_reconstruction_function.h
--- 5.0.2-3/include/CGAL/Poisson_reconstruction_function.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Poisson_reconstruction_function.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Poisson_surface_reconstruction_3/include/CGAL/Poisson_reconstruction_function.h $
-// $Id: Poisson_reconstruction_function.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Poisson_surface_reconstruction_3/include/CGAL/Poisson_reconstruction_function.h $
+// $Id: Poisson_reconstruction_function.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Saboret, Pierre Alliez
@@ -48,7 +48,7 @@
 #include <boost/type_traits/is_convertible.hpp>
 #include <boost/utility/enable_if.hpp>
 
-/*! 
+/*!
   \file Poisson_reconstruction_function.h
 */
 
@@ -104,7 +104,7 @@ struct Poisson_visitor {
   {}
 };
 
-struct Poisson_skip_vertices { 
+struct Poisson_skip_vertices {
   double ratio;
   Random& m_random;
   Poisson_skip_vertices(const double ratio, Random& random)
@@ -123,7 +123,7 @@ template <typename F1, typename F2>
 struct Special_wrapper_of_two_functions_keep_pointers {
   F1 *f1;
   F2 *f2;
-  Special_wrapper_of_two_functions_keep_pointers(F1* f1, F2* f2) 
+  Special_wrapper_of_two_functions_keep_pointers(F1* f1, F2* f2)
     : f1(f1), f2(f2) {}
 
   template <typename X>
@@ -136,16 +136,16 @@ struct Special_wrapper_of_two_functions_
     return (std::max)((*f1)(x), CGAL::square((*f2)(x)));
   }
 }; // end struct Special_wrapper_of_two_functions_keep_pointers<F1, F2>
-/// \endcond 
+/// \endcond
 
 
 /*!
 \ingroup PkgPoissonSurfaceReconstruction3Ref
 
 \brief Implementation of the Poisson Surface Reconstruction method.
-  
+
 Given a set of 3D points with oriented normals sampled on the boundary
-of a 3D solid, the Poisson Surface Reconstruction method \cgalCite{Kazhdan06} 
+of a 3D solid, the Poisson Surface Reconstruction method \cgalCite{Kazhdan06}
 solves for an approximate indicator function of the inferred
 solid, whose gradient best matches the input normals. The output
 scalar function, represented in an adaptive octree, is then
@@ -155,7 +155,7 @@ iso-contoured using an adaptive marching
 algorithm which solves for a piecewise linear function on a 3D
 Delaunay triangulation instead of an adaptive octree.
 
-\tparam Gt Geometric traits class. 
+\tparam Gt Geometric traits class.
 
 \cgalModels `ImplicitFunction`
 
@@ -166,7 +166,7 @@ class Poisson_reconstruction_function
 // Public types
 public:
 
-  /// \name Types 
+  /// \name Types
   /// @{
 
   typedef Gt Geom_traits; ///< Geometric traits class
@@ -180,7 +180,7 @@ public:
   typedef typename Geom_traits::FT FT; ///< number type.
   typedef typename Geom_traits::Point_3 Point; ///< point type.
   typedef typename Geom_traits::Vector_3 Vector; ///< vector type.
-  typedef typename Geom_traits::Sphere_3 Sphere; 
+  typedef typename Geom_traits::Sphere_3 Sphere;
 
   /// @}
 
@@ -269,22 +269,22 @@ private:
 // Public methods
 public:
 
-  /// \name Creation 
+  /// \name Creation
   /// @{
 
 
-  /*! 
-    Creates a Poisson implicit function from the  range of points `[first, beyond)`. 
+  /*!
+    Creates a Poisson implicit function from the  range of points `[first, beyond)`.
 
-    \tparam InputIterator iterator over input points. 
+    \tparam InputIterator iterator over input points.
 
     \tparam PointPMap is a model of `ReadablePropertyMap` with
       a `value_type = Point`.  It can be omitted if `InputIterator`
-      `value_type` is convertible to `Point`. 
-    
+      `value_type` is convertible to `Point`.
+
     \tparam NormalPMap is a model of `ReadablePropertyMap`
       with a `value_type = Vector`.
-  */ 
+  */
   template <typename InputIterator,
             typename PointPMap,
             typename NormalPMap
@@ -337,7 +337,7 @@ public:
   : m_tr(new Triangulation), m_Bary(new std::vector<boost::array<double,9> > )
   , average_spacing(CGAL::compute_average_spacing<CGAL::Sequential_tag>(CGAL::make_range(first, beyond), 6))
   {
-    forward_constructor(first, beyond, 
+    forward_constructor(first, beyond,
       make_identity_property_map(
       typename std::iterator_traits<InputIterator>::value_type()),
       normal_pmap, Poisson_visitor());
@@ -355,12 +355,12 @@ public:
   {
     return m_tr->bounding_sphere();
   }
-  
+
   /// \cond SKIP_IN_MANUAL
   const Triangulation& tr() const {
     return *m_tr;
   }
-  
+
   // This variant requires all parameters.
   template <class SparseLinearAlgebraTraits_d,
             class Visitor>
@@ -368,7 +368,7 @@ public:
                                  SparseLinearAlgebraTraits_d solver,// = SparseLinearAlgebraTraits_d(),
                                  Visitor visitor,
                                  double approximation_ratio = 0,
-                                 double average_spacing_ratio = 5) 
+                                 double average_spacing_ratio = 5)
   {
     CGAL::Timer task_timer; task_timer.start();
     CGAL_TRACE_STREAM << "Delaunay refinement...\n";
@@ -382,7 +382,7 @@ public:
 
     internal::Poisson::Constant_sizing_field<Triangulation> sizing_field(CGAL::square(cell_radius_bound));
 
-    std::vector<int> NB; 
+    std::vector<int> NB;
 
     NB.push_back( delaunay_refinement(radius_edge_ratio_bound,sizing_field,max_vertices,enlarge_ratio));
 
@@ -391,7 +391,7 @@ public:
       NB.push_back( delaunay_refinement(radius_edge_ratio_bound,sizing_field,max_vertices,enlarge_ratio));
     }
 
-    if(approximation_ratio > 0. && 
+    if(approximation_ratio > 0. &&
        approximation_ratio * std::distance(m_tr->input_points_begin(),
                                            m_tr->input_points_end()) > 20) {
 
@@ -420,13 +420,13 @@ public:
       //make it deterministic
       Random random(0);
       Poisson_skip_vertices skip(1.-approximation_ratio,random);
-      
+
       CGAL_TRACE_STREAM << "SPECIAL PASS that uses an approximation of the result (approximation ratio: "
                 << approximation_ratio << ")" << std::endl;
       CGAL::Timer approximation_timer; approximation_timer.start();
 
       CGAL::Timer sizing_field_timer; sizing_field_timer.start();
-      Poisson_reconstruction_function<Geom_traits> 
+      Poisson_reconstruction_function<Geom_traits>
         coarse_poisson_function(Some_points_iterator(m_tr->input_points_end(),
                                                      skip,
                                                      m_tr->input_points_begin()),
@@ -435,18 +435,18 @@ public:
                                 Normal_of_point_with_normal_map<Geom_traits>() );
       coarse_poisson_function.compute_implicit_function(solver, Poisson_visitor(),
                                                         0.);
-      internal::Poisson::Constant_sizing_field<Triangulation> 
+      internal::Poisson::Constant_sizing_field<Triangulation>
         min_sizing_field(CGAL::square(average_spacing));
-      internal::Poisson::Constant_sizing_field<Triangulation> 
+      internal::Poisson::Constant_sizing_field<Triangulation>
         sizing_field_ok(CGAL::square(average_spacing*average_spacing_ratio));
 
       Special_wrapper_of_two_functions_keep_pointers<
         internal::Poisson::Constant_sizing_field<Triangulation>,
         Poisson_reconstruction_function<Geom_traits> > sizing_field2(&min_sizing_field,
                                                                      &coarse_poisson_function);
-        
+
       sizing_field_timer.stop();
-      std::cerr << "Construction time of the sizing field: " << sizing_field_timer.time() 
+      std::cerr << "Construction time of the sizing field: " << sizing_field_timer.time()
                 << " seconds" << std::endl;
 
       NB.push_back( delaunay_refinement(radius_edge_ratio_bound,
@@ -458,12 +458,12 @@ public:
       CGAL_TRACE_STREAM << "SPECIAL PASS END (" << approximation_timer.time() <<  " seconds)" << std::endl;
     }
 
-    
+
     // Prints status
     CGAL_TRACE_STREAM << "Delaunay refinement: " << "added ";
     for(std::size_t i = 0; i < NB.size()-1; i++){
-      CGAL_TRACE_STREAM << NB[i] << " + "; 
-    } 
+      CGAL_TRACE_STREAM << NB[i] << " + ";
+    }
     CGAL_TRACE_STREAM << NB.back() << " Steiner points, "
                       << task_timer.time() << " seconds, "
                       << std::endl;
@@ -510,12 +510,12 @@ public:
     If \ref thirdpartyEigen "Eigen" 3.1 (or greater) is available and `CGAL_EIGEN3_ENABLED`
     is defined, an overload with \link Eigen_solver_traits <tt>Eigen_solver_traits<Eigen::ConjugateGradient<Eigen_sparse_symmetric_matrix<double>::EigenType> ></tt> \endlink
     as default solver is provided.
-  
+
     \param solver sparse linear solver.
     \param smoother_hole_filling controls if the Delaunay refinement is done for the input points, or for an approximation of the surface obtained from a first pass of the algorithm on a sample of the points.
 
-    \return `false` if the linear solver fails. 
-  */ 
+    \return `false` if the linear solver fails.
+  */
   template <class SparseLinearAlgebraTraits_d>
   bool compute_implicit_function(SparseLinearAlgebraTraits_d solver, bool smoother_hole_filling = false)
   {
@@ -555,14 +555,14 @@ public:
   }
   /// \endcond
 
-  /*! 
-    `ImplicitFunction` interface: evaluates the implicit function at a 
-    given 3D query point. The function `compute_implicit_function()` must be 
-    called before the first call to `operator()`. 
-  */ 
+  /*!
+    `ImplicitFunction` interface: evaluates the implicit function at a
+    given 3D query point. The function `compute_implicit_function()` must be
+    called before the first call to `operator()`.
+  */
   FT operator()(const Point& p) const
   {
-    m_hint = m_tr->locate(p ,m_hint); 
+    m_hint = m_tr->locate(p ,m_hint);
 
     if(m_tr->is_infinite(m_hint)) {
       int i = m_hint->index(m_tr->infinite_vertex());
@@ -576,7 +576,7 @@ public:
            c * m_hint->vertex(2)->f() +
            d * m_hint->vertex(3)->f();
   }
-  
+
   /// \cond SKIP_IN_MANUAL
   void initialize_cell_indices()
   {
@@ -616,7 +616,7 @@ public:
 
   void initialize_duals() const
   {
-    Dual.resize(m_tr->number_of_cells());    
+    Dual.resize(m_tr->number_of_cells());
     int i = 0;
     for(Finite_cells_iterator fcit = m_tr->finite_cells_begin();
         fcit != m_tr->finite_cells_end();
@@ -642,18 +642,18 @@ public:
     const Point& pb = ch->vertex(1)->point();
     const Point& pc = ch->vertex(2)->point();
     const Point& pd = ch->vertex(3)->point();
-    
+
     Vector va = pa - pd;
     Vector vb = pb - pd;
     Vector vc = pc - pd;
-    
+
     internal::invert(va.x(), va.y(), va.z(),
            vb.x(), vb.y(), vb.z(),
            vc.x(), vc.y(), vc.z(),
            entry[0],entry[1],entry[2],entry[3],entry[4],entry[5],entry[6],entry[7],entry[8]);
   }
   /// \endcond
-  
+
   /// Returns a point located inside the inferred surface.
   Point get_inner_point() const
   {
@@ -684,7 +684,7 @@ private:
                                internal::Poisson::Constant_sizing_field<Triangulation>());
   }
 
-  template <typename Sizing_field, 
+  template <typename Sizing_field,
             typename Second_sizing_field>
   unsigned int delaunay_refinement(FT radius_edge_ratio_bound, ///< radius edge ratio bound (ignored if zero)
                                    Sizing_field sizing_field, ///< cell radius bound (ignored if zero)
@@ -794,12 +794,12 @@ private:
     // it is closed using the smallest part of the sphere).
     std::vector<Vertex_handle> convex_hull;
     m_tr->adjacent_vertices (m_tr->infinite_vertex (),
-			     std::back_inserter (convex_hull));
+                             std::back_inserter (convex_hull));
     unsigned int nb_negative = 0;
     for (std::size_t i = 0; i < convex_hull.size (); ++ i)
       if (convex_hull[i]->f() < 0.0)
         ++ nb_negative;
-    
+
     if(nb_negative > convex_hull.size () / 2)
       flip_f();
 
@@ -816,7 +816,7 @@ private:
     Finite_vertices_iterator v, e;
     for(v = m_tr->finite_vertices_begin(),
         e= m_tr->finite_vertices_end();
-        v != e; 
+        v != e;
         v++)
       if(v->type() == Triangulation::INPUT)
         values.push_back(v->f());
@@ -935,14 +935,14 @@ private:
 
   // TODO: Some entities are computed too often
   // - nn and area should not be computed for the face and its opposite face
-  // 
+  //
   // divergent
   FT div_normalized(Vertex_handle v)
   {
     std::vector<Cell_handle> cells;
     cells.reserve(32);
     m_tr->incident_cells(v,std::back_inserter(cells));
-  
+
     FT div = 0;
     typename std::vector<Cell_handle>::iterator it;
     for(it = cells.begin(); it != cells.end(); it++)
@@ -988,7 +988,7 @@ private:
     std::vector<Cell_handle> cells;
     cells.reserve(32);
     m_tr->incident_cells(v,std::back_inserter(cells));
-  
+
     FT div = 0.0;
     typename std::vector<Cell_handle>::iterator it;
     for(it = cells.begin(); it != cells.end(); it++)
@@ -996,14 +996,14 @@ private:
       Cell_handle cell = *it;
       if(m_tr->is_infinite(cell))
         continue;
-      
+
       const int index = cell->index(v);
       const Point& a = cell->vertex(m_tr->vertex_triple_index(index, 0))->point();
       const Point& b = cell->vertex(m_tr->vertex_triple_index(index, 1))->point();
       const Point& c = cell->vertex(m_tr->vertex_triple_index(index, 2))->point();
       const Vector nn = CGAL::cross_product(b-a,c-a);
 
-      div+= nn * (//v->normal() + 
+      div+= nn * (//v->normal() +
                   cell->vertex((index+1)%4)->normal() +
                   cell->vertex((index+2)%4)->normal() +
                   cell->vertex((index+3)%4)->normal());
@@ -1200,7 +1200,7 @@ private:
       A.set_coef(vi->index(),vi->index(), diagonal, true /*new*/);
     }
   }
-  
+
 
   /// Computes enlarged geometric bounding sphere of the embedded triangulation.
   Sphere enlarged_bounding_sphere(FT ratio) const
diff -pruN 5.0.2-3/include/CGAL/poisson_refine_triangulation.h 5.0.3-1/include/CGAL/poisson_refine_triangulation.h
--- 5.0.2-3/include/CGAL/poisson_refine_triangulation.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/poisson_refine_triangulation.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Poisson_surface_reconstruction_3/include/CGAL/poisson_refine_triangulation.h $
-// $Id: poisson_refine_triangulation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Poisson_surface_reconstruction_3/include/CGAL/poisson_refine_triangulation.h $
+// $Id: poisson_refine_triangulation.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent RINEAU, Laurent Saboret
@@ -190,7 +190,7 @@ public:
 /// @param Sizing_field A sizing field functor type
 /// @param Second_sizing_field A sizing field functor type
 ///
-/// @commentheading Sizing fields 
+/// @commentheading Sizing fields
 /// - The first sizing field is the real sizing field that is targeted by
 /// the refinement process. It may be costly to use.
 /// - The second sizing field is supposed to be a sizing field that is less
@@ -227,7 +227,7 @@ unsigned int poisson_refine_triangulatio
   std::size_t nb_vertices = tr.number_of_vertices(); // get former #vertices
 
   // Delaunay refinement
-  Tets_criteria tets_criteria(radius_edge_ratio_bound*radius_edge_ratio_bound, 
+  Tets_criteria tets_criteria(radius_edge_ratio_bound*radius_edge_ratio_bound,
                               sizing_field,
                               second_sizing_field);
   Oracle oracle;
diff -pruN 5.0.2-3/include/CGAL/poisson_surface_reconstruction.h 5.0.3-1/include/CGAL/poisson_surface_reconstruction.h
--- 5.0.2-3/include/CGAL/poisson_surface_reconstruction.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/poisson_surface_reconstruction.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Poisson_surface_reconstruction_3/include/CGAL/poisson_surface_reconstruction.h $
-// $Id: poisson_surface_reconstruction.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Poisson_surface_reconstruction_3/include/CGAL/poisson_surface_reconstruction.h $
+// $Id: poisson_surface_reconstruction.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -23,7 +23,7 @@
 
 namespace CGAL {
 
-  
+
   /*!
     \ingroup PkgPoissonSurfaceReconstruction3Ref
 
@@ -36,7 +36,7 @@ namespace CGAL {
       round of Delaunay refinement: it contours the isosurface
       corresponding to the isovalue of the median of the function
       values at the input points
-    - outputs the result in a polygon mesh 
+    - outputs the result in a polygon mesh
 
     This function relies mainly on the size parameter `spacing`. A
     reasonable solution is to use the average spacing of the input
@@ -59,7 +59,7 @@ namespace CGAL {
     \tparam PolygonMesh a model of `MutableFaceGraph` with an internal
     point property map.
 
-    \tparam Tag is a tag whose type affects the behavior of the 
+    \tparam Tag is a tag whose type affects the behavior of the
     meshing algorithm (see `make_surface_mesh()`).
 
     \param begin iterator on the first point of the sequence.
@@ -94,14 +94,14 @@ namespace CGAL {
     typedef typename boost::property_traits<PointMap>::value_type Point;
     typedef typename Kernel_traits<Point>::Kernel Kernel;
     typedef typename Kernel::Sphere_3 Sphere;
-    
+
     typedef CGAL::Poisson_reconstruction_function<Kernel> Poisson_reconstruction_function;
     typedef CGAL::Surface_mesh_default_triangulation_3 STr;
     typedef CGAL::Surface_mesh_complex_2_in_triangulation_3<STr> C2t3;
     typedef CGAL::Implicit_surface_3<Kernel, Poisson_reconstruction_function> Surface_3;
-    
+
     Poisson_reconstruction_function function(begin, end, point_map, normal_map);
-    if ( ! function.compute_implicit_function() ) 
+    if ( ! function.compute_implicit_function() )
       return false;
 
     Point inner_point = function.get_inner_point();
@@ -110,7 +110,7 @@ namespace CGAL {
 
     double sm_sphere_radius = 5.0 * radius;
     double sm_dichotomy_error = sm_distance * spacing / 1000.0;
-    
+
     Surface_3 surface(function,
                       Sphere (inner_point, sm_sphere_radius * sm_sphere_radius),
                       sm_dichotomy_error / sm_sphere_radius);
@@ -121,7 +121,7 @@ namespace CGAL {
 
     STr tr;
     C2t3 c2t3(tr);
-    
+
     CGAL::make_surface_mesh(c2t3,
                             surface,
                             criteria,
diff -pruN 5.0.2-3/include/CGAL/Polychain_2.h 5.0.3-1/include/CGAL/Polychain_2.h
--- 5.0.2-3/include/CGAL/Polychain_2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polychain_2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Polychain_2.h $
-// $Id: Polychain_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Polychain_2.h $
+// $Id: Polychain_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -197,7 +197,7 @@ public:
 
     template <class InputIterator>
     Polychainray_2(InputIterator first, InputIterator last,
-	           OutgoingDirection d,
+                   OutgoingDirection d,
                    Traits p_traits = Traits())
         : Base(first, last, p_traits), outgoing(d)
     {
@@ -207,7 +207,7 @@ public:
     // get_outgoing
 
     OutgoingDirection get_outgoing() const {
-	return outgoing;
+        return outgoing;
     }
 
 
@@ -218,7 +218,7 @@ public:
       typedef typename K::Segment_2 K_Segment_2;
       typedef typename K::Ray_2 K_Ray_2;
       typedef typename
-	  Polychainray_2<Traits_P,Container_P>::Vertex_const_iterator VI;
+          Polychainray_2<Traits_P,Container_P>::Vertex_const_iterator VI;
 
       CGAL_assertion( this->size() > 0 );
 
@@ -240,7 +240,7 @@ public:
       typedef typename Traits_P::Segment_2 Segment_2;
       typedef typename Traits_P::Ray_2 Ray_2;
       typedef typename
-	  Polychainray_2<Traits_P,Container_P>::Vertex_const_iterator VI;
+          Polychainray_2<Traits_P,Container_P>::Vertex_const_iterator VI;
 
       CGAL_assertion( this->size() > 0 );
 
@@ -360,8 +360,8 @@ public:
 
     template <class InputIterator>
     Polychainline_2(IncomingDirection dinc,
-	            InputIterator first, InputIterator last,
-	            OutgoingDirection dout,
+                    InputIterator first, InputIterator last,
+                    OutgoingDirection dout,
                     Traits p_traits = Traits())
         : Base(first, last, dout, p_traits), incoming(dinc),
           is_line_optimization(false)
@@ -377,7 +377,7 @@ public:
     // get_incoming
 
     IncomingDirection get_incoming() const {
-	return incoming;
+        return incoming;
     }
 
 
@@ -446,7 +446,7 @@ public:
       Line_2 line((*this)[0], this->get_outgoing());
 
       typedef typename
-	  Polychainline_2<Traits_P,Container_P>::
+          Polychainline_2<Traits_P,Container_P>::
                      Vertex_const_iterator
           VI;
 
@@ -501,7 +501,7 @@ public:
           << *this << " pcl=" << pcl << std::endl;);
 
       typedef typename
-	  Polychainline_2<Traits_P,Container_P>::
+          Polychainline_2<Traits_P,Container_P>::
                      Vertex_const_iterator
           VI;
 
@@ -721,7 +721,7 @@ public:
       typedef typename K::Segment_2 K_Segment_2;
       typedef typename K::Ray_2 K_Ray_2;
       typedef typename
-	  Polychainline_2<Traits_P,Container_P>::Vertex_const_iterator VI;
+          Polychainline_2<Traits_P,Container_P>::Vertex_const_iterator VI;
 
       CGAL_assertion( this->size() > 0 );
 
@@ -746,7 +746,7 @@ public:
     template< class Stream >
     void draw(Stream & stream) const {
       typedef typename
-	  Polychainline_2<Traits_P,Container_P>::Vertex_const_iterator VI;
+          Polychainline_2<Traits_P,Container_P>::Vertex_const_iterator VI;
 
       CGAL_assertion( this->size() > 0 );
 
diff -pruN 5.0.2-3/include/CGAL/Polygon_2/Polygon_2_algorithms_impl.h 5.0.3-1/include/CGAL/Polygon_2/Polygon_2_algorithms_impl.h
--- 5.0.2-3/include/CGAL/Polygon_2/Polygon_2_algorithms_impl.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_2/Polygon_2_algorithms_impl.h	2020-08-01 19:02:40.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon/include/CGAL/Polygon_2/Polygon_2_algorithms_impl.h $
-// $Id: Polygon_2_algorithms_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon/include/CGAL/Polygon_2/Polygon_2_algorithms_impl.h $
+// $Id: Polygon_2_algorithms_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Wieger Wesselink <wieger@cs.ruu.nl>
 
@@ -245,7 +245,7 @@ bool is_convex_2(ForwardIterator first,
   if (next == last) return true;
 
   typename Traits::Equal_2 equal = traits.equal_2_object();
-  
+
   while(equal(*previous, *current)) {
     current = next;
     ++next;
@@ -270,16 +270,16 @@ bool is_convex_2(ForwardIterator first,
         HasCounterClockwiseTriples = true;
         break;
       case ZERO:
-	if(equal(*current, *next)) {
-	  if(next == first) {
-	    first = current;
-	  }
-	  ++next;
-	  if (next == last)
-	    next = first;
-	  goto switch_orient;
-	}
-	break;
+        if(equal(*current, *next)) {
+          if(next == first) {
+            first = current;
+          }
+          ++next;
+          if (next == last)
+            next = first;
+          goto switch_orient;
+        }
+        break;
     }
 
     bool NewOrder = less_xy_2(*current, *next);
@@ -375,13 +375,13 @@ int which_side_in_slab(Point const &poin
     Comparison_result high_x_comp_res = compare_x_2(point, high);
     if (low_x_comp_res == SMALLER) {
         if (high_x_comp_res == SMALLER)
-	    return -1;
+            return -1;
     } else {
         switch (high_x_comp_res) {
-	  case LARGER: return 1;
-	  case SMALLER: break;
-	  case EQUAL: return (low_x_comp_res == EQUAL) ? 0 : 1;
-	}
+          case LARGER: return 1;
+          case SMALLER: break;
+          case EQUAL: return (low_x_comp_res == EQUAL) ? 0 : 1;
+        }
     }
     switch (orientation_2(low, point, high)) {
       case LEFT_TURN: return 1;
@@ -398,7 +398,7 @@ Bounded_side bounded_side_2(ForwardItera
                                       const Point& point,
                                       const PolygonTraits& traits)
 {
-  
+
   ForwardIterator current = first;
   if (current == last) return ON_UNBOUNDED_SIDE;
 
@@ -429,11 +429,11 @@ Bounded_side bounded_side_2(ForwardItera
             }
             break;
           case LARGER:
-	    switch (i_polygon::which_side_in_slab(point, *current, *next,
-	                orientation_2, compare_x_2)) {
-	      case -1: IsInside = !IsInside; break;
-	      case  0: return ON_BOUNDARY;
-	    }
+            switch (i_polygon::which_side_in_slab(point, *current, *next,
+                        orientation_2, compare_x_2)) {
+              case -1: IsInside = !IsInside; break;
+              case  0: return ON_BOUNDARY;
+            }
             break;
         }
         break;
@@ -447,17 +447,17 @@ Bounded_side bounded_side_2(ForwardItera
             }
             break;
           case EQUAL:
-	    switch (compare_x_2(point, *current)) {
-	      case SMALLER:
-		if (compare_x_2(point, *next) != SMALLER)
-		    return ON_BOUNDARY;
-	        break;
-	      case EQUAL: return ON_BOUNDARY;
-	      case LARGER:
-		if (compare_x_2(point, *next) != LARGER)
-		    return ON_BOUNDARY;
-	        break;
-	    }
+            switch (compare_x_2(point, *current)) {
+              case SMALLER:
+                if (compare_x_2(point, *next) != SMALLER)
+                    return ON_BOUNDARY;
+                break;
+              case EQUAL: return ON_BOUNDARY;
+              case LARGER:
+                if (compare_x_2(point, *next) != LARGER)
+                    return ON_BOUNDARY;
+                break;
+            }
             break;
           case LARGER:
             if (compare_x_2(point, *current) == EQUAL) {
@@ -469,11 +469,11 @@ Bounded_side bounded_side_2(ForwardItera
       case LARGER:
         switch (next_y_comp_res) {
           case SMALLER:
-	    switch (i_polygon::which_side_in_slab(point, *next, *current,
-	                orientation_2, compare_x_2)) {
-	      case -1: IsInside = !IsInside; break;
-	      case  0: return ON_BOUNDARY;
-	    }
+            switch (i_polygon::which_side_in_slab(point, *next, *current,
+                        orientation_2, compare_x_2)) {
+              case -1: IsInside = !IsInside; break;
+              case  0: return ON_BOUNDARY;
+            }
             break;
           case EQUAL:
             if (compare_x_2(point, *next) == EQUAL) {
@@ -489,7 +489,7 @@ Bounded_side bounded_side_2(ForwardItera
     current = next;
     cur_y_comp_res = next_y_comp_res;
     ++next;
-    if (next == last) next = first;   
+    if (next == last) next = first;
   }
   while (current != first);
 
diff -pruN 5.0.2-3/include/CGAL/Polygon_2/Polygon_2_edge_circulator.h 5.0.3-1/include/CGAL/Polygon_2/Polygon_2_edge_circulator.h
--- 5.0.2-3/include/CGAL/Polygon_2/Polygon_2_edge_circulator.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_2/Polygon_2_edge_circulator.h	2020-08-01 19:02:40.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon/include/CGAL/Polygon_2/Polygon_2_edge_circulator.h $
-// $Id: Polygon_2_edge_circulator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon/include/CGAL/Polygon_2/Polygon_2_edge_circulator.h $
+// $Id: Polygon_2_edge_circulator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Wieger Wesselink <wieger@cs.ruu.nl>
 
@@ -84,14 +84,14 @@ class Polygon_2_const_edge_circulator {
     {
       Vertex_const_circulator second_vertex = first_vertex;
       ++second_vertex;
-      typename Traits::Construct_segment_2 construct_segment_2 = 
+      typename Traits::Construct_segment_2 construct_segment_2 =
             Traits().construct_segment_2_object();
-      const_cast<Polygon_2_const_edge_circulator*>(this)->segment = 
+      const_cast<Polygon_2_const_edge_circulator*>(this)->segment =
           construct_segment_2(*first_vertex, *second_vertex);
       return segment;
     }
 
-    const Segment_2* operator->() const 
+    const Segment_2* operator->() const
     {
       return &(**this);
     }
diff -pruN 5.0.2-3/include/CGAL/Polygon_2/Polygon_2_edge_iterator.h 5.0.3-1/include/CGAL/Polygon_2/Polygon_2_edge_iterator.h
--- 5.0.2-3/include/CGAL/Polygon_2/Polygon_2_edge_iterator.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_2/Polygon_2_edge_iterator.h	2020-08-01 19:02:40.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon/include/CGAL/Polygon_2/Polygon_2_edge_iterator.h $
-// $Id: Polygon_2_edge_iterator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon/include/CGAL/Polygon_2/Polygon_2_edge_iterator.h $
+// $Id: Polygon_2_edge_iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Wieger Wesselink, Geert-Jan Giezeman <geert@cs.uu.nl>
 
@@ -59,7 +59,7 @@ class Polygon_2_edge_iterator {
     {
       return first_vertex == x.first_vertex;
     }
-    
+
     bool operator!=(
       const Polygon_2_edge_iterator<Traits_, Container_>& x) const
     {
@@ -71,11 +71,11 @@ class Polygon_2_edge_iterator {
       ++second_vertex;
       if (second_vertex == container->end())
         second_vertex = container->begin();
-      typename Traits_::Construct_segment_2 construct_segment_2 = 
+      typename Traits_::Construct_segment_2 construct_segment_2 =
             Traits_().construct_segment_2_object();
       return construct_segment_2(*first_vertex, *second_vertex);
     }
-    
+
     Polygon_2__Segment_ptr<Segment_2> operator->() const
         {return Polygon_2__Segment_ptr<Segment_2>(operator*());}
 
diff -pruN 5.0.2-3/include/CGAL/Polygon_2/Polygon_2_impl.h 5.0.3-1/include/CGAL/Polygon_2/Polygon_2_impl.h
--- 5.0.2-3/include/CGAL/Polygon_2/Polygon_2_impl.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_2/Polygon_2_impl.h	2020-08-01 19:02:40.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon/include/CGAL/Polygon_2/Polygon_2_impl.h $
-// $Id: Polygon_2_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon/include/CGAL/Polygon_2/Polygon_2_impl.h $
+// $Id: Polygon_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Wieger Wesselink <wieger@cs.ruu.nl>
 
@@ -86,7 +86,7 @@ operator>>(std::istream &is, Polygon_2<T
   int n = 0; // number of vertices
   is >> n;
   typename Traits_P::Point_2 point;
-  
+
   if (is) {
     p.erase(p.vertices_begin(),p.vertices_end());
     for (int i=0; i<n; i++) {
diff -pruN 5.0.2-3/include/CGAL/Polygon_2/Polygon_2_simplicity.h 5.0.3-1/include/CGAL/Polygon_2/Polygon_2_simplicity.h
--- 5.0.2-3/include/CGAL/Polygon_2/Polygon_2_simplicity.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_2/Polygon_2_simplicity.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,12 +3,12 @@
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon/include/CGAL/Polygon_2/Polygon_2_simplicity.h $
-// $Id: Polygon_2_simplicity.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon/include/CGAL/Polygon_2/Polygon_2_simplicity.h $
+// $Id: Polygon_2_simplicity.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -110,10 +110,10 @@ struct Edge_data {
     Edge_data(typename Tree::iterator it) : tree_it(it), is_in_tree(false) {}
     typename Tree::iterator tree_it; // The iterator of the edge in the tree.
                                      // Needed for cross reference. If edge j
-				     // is in the tree: *edges[j].tree_it == j
+                                     // is in the tree: *edges[j].tree_it == j
     bool is_in_tree :1;              // Must be set -after- inserting the edge
                                      // in the tree. Plays a role in the
-				     // comparison function of the tree.
+                                     // comparison function of the tree.
     bool is_left_to_right :1;        // Direction of edge from vertex v to v+1
 };
 
@@ -136,16 +136,16 @@ public:
 
     bool ordered_left_to_right(Vertex_index v1, Vertex_index v2)
         { return  m_order_of[v1.as_int()].as_int() <
-	m_order_of[v2.as_int()].as_int();}
+        m_order_of[v2.as_int()].as_int();}
     Vertex_index index_at_rank(Vertex_order vo) const
         { return m_idx_at_rank[vo.as_int()];}
     Vertex_index next(Vertex_index k) const
         { ++k; return k.as_int() == m_size ? Vertex_index(0) : k;}
     Vertex_index prev(Vertex_index k) const
         { return k.as_int() == 0
-	       ?  Vertex_index(m_size-1)
-	       : Vertex_index(k.as_int()-1);
-	}
+               ?  Vertex_index(m_size-1)
+               : Vertex_index(k.as_int()-1);
+        }
     Point_2 point(Vertex_index i)
         { return *iterators[i.as_int()];}
 //    { return points_start[i.as_int()];}
@@ -260,12 +260,12 @@ Vertex_data_base(ForwardIterator begin,
     m_order_of.insert(m_order_of.end(), m_size, Vertex_order(0));
     for (Index_t i = 0; i< m_size; ++i, ++begin) {
         m_idx_at_rank.push_back(Vertex_index(i));
-	iterators.push_back(begin);
+        iterators.push_back(begin);
     }
     std::sort(m_idx_at_rank.begin(), m_idx_at_rank.end(),
               Less_vertex_data<Vertex_data_base>(this));
     for (Index_t j = 0; j < m_size; ++j) {
-	Vertex_order vo(j);
+        Vertex_order vo(j);
         m_order_of[index_at_rank(vo).as_int()] = vo;
     }
 }
@@ -308,7 +308,7 @@ insertion_event(Tree *tree, Vertex_index
       case LEFT_TURN: left_turn = true; break;
       case RIGHT_TURN: left_turn = false; break;
       default: return false;
-      
+
     }
     Edge_data<Less_segs>
         &td_prev = edges[prev_vt.as_int()],
@@ -321,21 +321,21 @@ insertion_event(Tree *tree, Vertex_index
     std::pair<typename Tree::iterator, bool> result;
     if (left_turn) {
         result = tree->insert(prev_vt);
-	// CGAL_polygon_assertion(result.second)
-	td_prev.tree_it = result.first;
+        // CGAL_polygon_assertion(result.second)
+        td_prev.tree_it = result.first;
         td_prev.is_in_tree = true;
         result = tree->insert(mid_vt);
-	// CGAL_polygon_assertion(result.second)
-	td_mid.tree_it = result.first;
+        // CGAL_polygon_assertion(result.second)
+        td_mid.tree_it = result.first;
         td_mid.is_in_tree = true;
     } else {
         result = tree->insert(mid_vt);
-	// CGAL_polygon_assertion(result.second)
-	td_mid.tree_it = result.first;
+        // CGAL_polygon_assertion(result.second)
+        td_mid.tree_it = result.first;
         td_mid.is_in_tree = true;
         result = tree->insert(prev_vt);
-	// CGAL_polygon_assertion(result.second)
-	td_prev.tree_it = result.first;
+        // CGAL_polygon_assertion(result.second)
+        td_prev.tree_it = result.first;
         td_prev.is_in_tree = true;
     }
     return true;
@@ -372,16 +372,16 @@ replacement_event(Tree *tree, Vertex_ind
     Vertex_index cur_vt = (td.is_left_to_right) ? next_edge : cur_edge;
     if (cur_seg != tree->begin()) {
         It seg_below = cur_seg;
-	--seg_below;
-	if (!on_right_side(cur_vt, *seg_below, true)) {
-	    return false;
+        --seg_below;
+        if (!on_right_side(cur_vt, *seg_below, true)) {
+            return false;
         }
     }
     It seg_above = cur_seg;
     ++ seg_above;
     if (seg_above != tree->end()) {
         if (!on_right_side(cur_vt, *seg_above, false)) {
-	    return false;
+            return false;
         }
     }
     // replace the segment
@@ -427,12 +427,12 @@ deletion_event(Tree *tree, Vertex_index
     // Check if the vertex that is removed lies between the two tree edges.
     if (seg_above != tree->end()) {
         if (!on_right_side(cur_vt, *seg_above, false))
-	    return false;
+            return false;
     }
     if (seg_above != tree->begin()) {
         --seg_above; // which turns it in seg_below
         if (!on_right_side(cur_vt, *seg_above, true))
-	    return false;
+            return false;
     }
     return true;
 }
@@ -442,27 +442,27 @@ void Vertex_data<ForwardIterator, Polygo
 sweep(Tree *tree)
 {
     if (this->m_size < 3)
-    	return;
+            return;
     bool succes = true;
     for (Index_t i=0; i< this->m_size; ++i) {
         Vertex_index cur = index_at_rank(Vertex_order(i));
-	    Vertex_index prev_vt = prev(cur), next_vt = next(cur);
-	    if (ordered_left_to_right(cur, next_vt)) {
-	        if (ordered_left_to_right(cur, prev_vt))
-	            succes = insertion_event(tree, prev_vt, cur, next_vt);
-	        else
-	            succes = replacement_event(tree, prev_vt, cur);
-	    } else {
-	        if (ordered_left_to_right(cur, prev_vt))
-	            succes = replacement_event(tree, cur, prev_vt);
-	        else
-	            succes = deletion_event(tree, prev_vt, cur);
-	    }
-	    if (!succes)
-	        break;
+            Vertex_index prev_vt = prev(cur), next_vt = next(cur);
+            if (ordered_left_to_right(cur, next_vt)) {
+                if (ordered_left_to_right(cur, prev_vt))
+                    succes = insertion_event(tree, prev_vt, cur, next_vt);
+                else
+                    succes = replacement_event(tree, prev_vt, cur);
+            } else {
+                if (ordered_left_to_right(cur, prev_vt))
+                    succes = replacement_event(tree, cur, prev_vt);
+                else
+                    succes = deletion_event(tree, prev_vt, cur);
+            }
+            if (!succes)
+                break;
     }
     if (!succes)
-    	this->is_simple_result = false;
+            this->is_simple_result = false;
 }
 }
 // ----- End of implementation of i_polygon functions. -----
@@ -482,14 +482,14 @@ bool is_simple_polygon(Iterator points_b
     std::vector<typename PolygonTraits::Point_2> points(points_begin,points_end);
     std::sort(points.begin(), points.end(), polygon_traits.less_xy_2_object());
 
-    typename std::vector<typename PolygonTraits::Point_2>::iterator 
+    typename std::vector<typename PolygonTraits::Point_2>::iterator
                                   succ(points.begin()) , it(succ++);
     for(;succ != points.end(); ++it,++succ){
       if(*it == *succ){
-	return false;
+        return false;
       }
     }
-    // end of fix    
+    // end of fix
     Vertex_data   vertex_data(points_begin, points_end, polygon_traits);
     Tree tree(&vertex_data);
     vertex_data.init(&tree);
diff -pruN 5.0.2-3/include/CGAL/Polygon_2/Polygon_2_vertex_circulator.h 5.0.3-1/include/CGAL/Polygon_2/Polygon_2_vertex_circulator.h
--- 5.0.2-3/include/CGAL/Polygon_2/Polygon_2_vertex_circulator.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_2/Polygon_2_vertex_circulator.h	2020-08-01 19:02:40.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon/include/CGAL/Polygon_2/Polygon_2_vertex_circulator.h $
-// $Id: Polygon_2_vertex_circulator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon/include/CGAL/Polygon_2/Polygon_2_vertex_circulator.h $
+// $Id: Polygon_2_vertex_circulator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman <geert@cs.uu.nl>
 
diff -pruN 5.0.2-3/include/CGAL/Polygon_2/polygon_assertions.h 5.0.3-1/include/CGAL/Polygon_2/polygon_assertions.h
--- 5.0.2-3/include/CGAL/Polygon_2/polygon_assertions.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_2/polygon_assertions.h	2020-08-01 19:02:40.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon/include/CGAL/Polygon_2/polygon_assertions.h $
-// $Id: polygon_assertions.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon/include/CGAL/Polygon_2/polygon_assertions.h $
+// $Id: polygon_assertions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman, Sven Schoenherr
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_2_algorithms.h 5.0.3-1/include/CGAL/Polygon_2_algorithms.h
--- 5.0.2-3/include/CGAL/Polygon_2_algorithms.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_2_algorithms.h	2020-08-01 19:02:40.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon/include/CGAL/Polygon_2_algorithms.h $
-// $Id: Polygon_2_algorithms.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon/include/CGAL/Polygon_2_algorithms.h $
+// $Id: Polygon_2_algorithms.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Wieger Wesselink <wieger@cs.ruu.nl>
 
@@ -26,7 +26,7 @@
 #include <CGAL/Bbox_2.h>
 #include <CGAL/Polygon_2/polygon_assertions.h>
 
-/// 
+///
 namespace CGAL {
 
 //-----------------------------------------------------------------------//
@@ -42,8 +42,8 @@ namespace CGAL {
 /// with the smallest `y`-coordinate is taken.
 ///
 /// \tparam Traits is a model of the concept `PolygonTraits_2`.
-/// 	  Only the members `Less_xy_2` and
-/// 	  `less_xy_2_object()` are used.
+///           Only the members `Less_xy_2` and
+///           `less_xy_2_object()` are used.
 /// \tparam ForwardIterator must have `Traits::Point_2` as value type.
 ///
 ///
@@ -53,58 +53,58 @@ namespace CGAL {
 /// \sa `CGAL::Polygon_2`
 template <class ForwardIterator, class PolygonTraits>
 ForwardIterator left_vertex_2(ForwardIterator first,
-			      ForwardIterator last,
-			      const PolygonTraits& traits);
+                              ForwardIterator last,
+                              const PolygonTraits& traits);
 
 /// Returns an iterator to the rightmost point from the range
 /// `[first,last)`. In case of a tie, the point
 /// with the largest `y`-coordinate is taken.
-/// 
+///
 /// \tparam Traits is a model of the concept
-/// 	  `PolygonTraits_2`.
-/// 	  In fact, only the members `Less_xy_2` and
-/// 	  `less_xy_2_object()` are used.
+///           `PolygonTraits_2`.
+///           In fact, only the members `Less_xy_2` and
+///           `less_xy_2_object()` are used.
 /// \tparam ForwardIterator must have`Traits::Point_2` as value type.
 ///
-/// 
+///
 /// \sa `CGAL::left_vertex_2()`
 /// \sa `CGAL::top_vertex_2()`
 /// \sa `CGAL::bottom_vertex_2()`
 /// \sa `CGAL::Polygon_2`
 template <class ForwardIterator, class PolygonTraits>
 ForwardIterator right_vertex_2(ForwardIterator first,
-			       ForwardIterator last,
-			       const PolygonTraits& traits);
+                               ForwardIterator last,
+                               const PolygonTraits& traits);
 
 /// Returns an iterator to the topmost point from the range
 /// `[first,last)`. In case of a tie, the point
 /// with the largest `x`-coordinate is taken.
 ///
 /// \tparam Traits is a model of the concept
-/// 	  `PolygonTraits_2`.
-/// 	  Only the members `Less_yx_2` and
-/// 	  `less_yx_2_object()` are used.
+///           `PolygonTraits_2`.
+///           Only the members `Less_yx_2` and
+///           `less_yx_2_object()` are used.
 /// \tparam ForwardIterator must have `Traits::Point_2` as value type.
-/// 
+///
 /// \sa `CGAL::left_vertex_2()`
 /// \sa `CGAL::right_vertex_2()`
 /// \sa `CGAL::bottom_vertex_2()`
 /// \sa `CGAL::Polygon_2`
 template <class ForwardIterator, class PolygonTraits>
 ForwardIterator top_vertex_2(ForwardIterator first,
-			     ForwardIterator last,
-			     const PolygonTraits& traits);
+                             ForwardIterator last,
+                             const PolygonTraits& traits);
 
 /// Returns an iterator to the bottommost point from the range
 /// `[first,last)`. In case of a tie, the point
 /// with the smallest `x`-coordinate is taken.
 ///
 /// \tparam Traits is a model of the concept
-/// 	  `PolygonTraits_2`.
-/// 	  Only the members `Less_yx_2` and
-/// 	  `less_yx_2_object()` are used.
+///           `PolygonTraits_2`.
+///           Only the members `Less_yx_2` and
+///           `less_yx_2_object()` are used.
 /// \tparam ForwardIterator must have `Traits::Point_2` as value type.
-/// 
+///
 /// \sa `CGAL::left_vertex_2()`
 /// \sa `CGAL::right_vertex_2()`
 /// \sa `CGAL::top_vertex_2()`
@@ -112,8 +112,8 @@ ForwardIterator top_vertex_2(ForwardIter
 /// \sa `PolygonTraits_2`
 template <class ForwardIterator, class PolygonTraits>
 ForwardIterator bottom_vertex_2(ForwardIterator first,
-				ForwardIterator last,
-				const PolygonTraits& traits);
+                                ForwardIterator last,
+                                const PolygonTraits& traits);
 
 /// Computes the signed area of the polygon defined by the range of points
 /// `[first,last)`. The area is returned in the parameter
@@ -121,24 +121,24 @@ ForwardIterator bottom_vertex_2(ForwardI
 /// clockwise polygons. If the polygon is not simple, the area is not well defined.
 /// The functionality is also available by the `polygon_area_2()` function, which
 /// returns the area instead of taking it as a parameter.
-/// 
+///
 /// \tparam Traits is a model of the concept
-/// 	  `PolygonTraits_2`.
-/// 	  Only the following members of this traits class are used:
+///           `PolygonTraits_2`.
+///           Only the following members of this traits class are used:
 ///   - `Compute_area_2` : Computes the signed area of the
-/// 	    oriented triangle defined by 3 `Point_2` passed as arguments.
+///             oriented triangle defined by 3 `Point_2` passed as arguments.
 ///   - `FT`
 ///   - `compute_area_2_object()`
 /// \tparam ForwardIterator must have `Traits::Point_2` as value type.
-/// 
+///
 /// \sa `CGAL::polygon_area_2()`
 /// \sa `PolygonTraits_2`
 /// \sa `CGAL::orientation_2()`
 /// \sa `CGAL::Polygon_2`
 template <class ForwardIterator, class PolygonTraits>
-void 
+void
 area_2( ForwardIterator first, ForwardIterator last,
-   	typename PolygonTraits::FT &result,
+           typename PolygonTraits::FT &result,
         const PolygonTraits& traits)
 {
   typedef typename PolygonTraits::FT FT;
@@ -152,8 +152,8 @@ area_2( ForwardIterator first, ForwardIt
             traits.compute_area_2_object();
    ForwardIterator third = second;
    while (++third != last) {
-	result = result + compute_area_2(*first, *second, *third);
-	second = third;
+        result = result + compute_area_2(*first, *second, *third);
+        second = third;
    }
 }
 
@@ -161,22 +161,22 @@ area_2( ForwardIterator first, ForwardIt
 /// `[first,last)`.
 /// The sign is positive for counterclockwise polygons, negative for
 /// clockwise polygons. If the polygon is not simple, the area is not well defined.
-/// 
+///
 /// \tparam Traits is a model of the concept `PolygonTraits_2`. Only the following members of this traits class are used:
 ///   - `Compute_area_2` : Computes the signed area of the
-/// 	    oriented triangle defined by 3 `Point_2` passed as arguments.
+///             oriented triangle defined by 3 `Point_2` passed as arguments.
 ///   - `FT`
 ///   - `compute_area_2_object`
 /// \tparam ForwardIterator must have `Traits::Point_2` as value type.
-/// 
-/// 
+///
+///
 /// \sa `PolygonTraits_2 `
 /// \sa `CGAL::orientation_2()`
 /// \sa `CGAL::Polygon_2 `
 template <class ForwardIterator, class PolygonTraits>
-typename PolygonTraits::FT 
+typename PolygonTraits::FT
 polygon_area_2( ForwardIterator first, ForwardIterator last,
-		const PolygonTraits& traits)
+                const PolygonTraits& traits)
 {
    typedef typename PolygonTraits::FT FT;
    FT result = FT(0);
@@ -189,17 +189,17 @@ polygon_area_2( ForwardIterator first, F
             traits.compute_area_2_object();
    ForwardIterator third = second;
    while (++third != last) {
-	result = result + compute_area_2(*first, *second, *third);
-	second = third;
+        result = result + compute_area_2(*first, *second, *third);
+        second = third;
    }
    return result;
 }
 
 /// Checks if the polygon is convex.
-/// 
+///
 /// \tparam Traits is a model of the concept
-/// 	  `PolygonTraits_2`.
-/// 	  Only the following members of this traits class are used:
+///           `PolygonTraits_2`.
+///           Only the following members of this traits class are used:
 ///   - `Less_xy_2`
 ///   - `Orientation_2`
 ///   - `less_xy_2_object`
@@ -210,44 +210,44 @@ polygon_area_2( ForwardIterator first, F
 /// \sa `CGAL::Polygon_2 `
 template <class ForwardIterator, class PolygonTraits>
 bool is_convex_2(ForwardIterator first,
-		 ForwardIterator last,
-		 const PolygonTraits& traits);
+                 ForwardIterator last,
+                 const PolygonTraits& traits);
 
 /// Checks if the polygon defined by the
-/// iterator range `[first,last)` is simple, that is, if the edges 
+/// iterator range `[first,last)` is simple, that is, if the edges
 /// do not intersect, except consecutive edges in their common vertex.
-/// 
+///
 /// \tparam Traits is a model of the concept
-/// 	  `PolygonTraits_2`.
-/// 	  Only the following members of this traits class are used:
+///           `PolygonTraits_2`.
+///           Only the following members of this traits class are used:
 ///   - `Point_2`
 ///   - `Less_xy_2`
 ///   - `Orientation_2`
 ///   - `less_xy_2_object()`
 ///   - `orientation_2_object()`
 /// \tparam ForwardIterator must have `PolygonTraits::Point_2` as value type.
-/// 
+///
 /// \cgalHeading{Implementation}
-/// 
+///
 /// The simplicity test is implemented by means of a plane sweep algorithm.
 /// The algorithm is quite robust when used with inexact number types.
 /// The running time is `O(n log n)`, where n is the number of vertices of the
 /// polygon.
-/// 
+///
 /// \sa `PolygonTraits_2`
 /// \sa `CGAL::Polygon_2`
 template <class ForwardIterator, class PolygonTraits>
 bool is_simple_2(ForwardIterator first,
-		 ForwardIterator last,
-		 const PolygonTraits& traits);
+                 ForwardIterator last,
+                 const PolygonTraits& traits);
 
 // In the following two functions we would like to use Traits::Point_2
 // instead of Point, but this is not allowed by g++ 2.7.2.
 ///
 /// Computes on which side of a polygon a point lies.
 /// \tparam Traits is a model of the concept
-/// 	  `PolygonTraits_2`.
-/// 	  Only the following members of this traits class are used:
+///           `PolygonTraits_2`.
+///           Only the following members of this traits class are used:
 ///   - `Less_xy_2`
 ///   - `Compare_x_2`
 ///   - `Compare_y_2`
@@ -265,9 +265,9 @@ bool is_simple_2(ForwardIterator first,
 /// \sa `Oriented_side`
 template <class ForwardIterator, class Point, class Traits>
 Oriented_side oriented_side_2(ForwardIterator first,
-			      ForwardIterator last,
-			      const Point& point,
-			      const Traits& traits);
+                              ForwardIterator last,
+                              const Point& point,
+                              const Traits& traits);
 
 /// Computes if a point lies inside a polygon.
 /// The polygon is defined by the sequence of points `[first,last)`.
@@ -277,11 +277,11 @@ Oriented_side oriented_side_2(ForwardIte
 /// outside. If the point is on a polygon edge, a special value is returned.  A
 /// simple polygon divides the plane in an unbounded and a bounded region.
 /// According to the definition points in the bounded region are inside the polygon.
-/// 
-/// 
+///
+///
 /// \tparam Traits is a model of the concept
-/// 	  `PolygonTraits_2`.
-/// 	  Only the following members of this traits class are used:
+///           `PolygonTraits_2`.
+///           Only the following members of this traits class are used:
 ///   - `Compare_x_2`
 ///   - `Compare_y_2`
 ///   - `Orientation_2`
@@ -289,46 +289,46 @@ Oriented_side oriented_side_2(ForwardIte
 ///   - `compare_y_2_object()`
 ///   - `orientation_2_object()`
 /// \tparam ForwardIterator must have `Traits::Point_2` as value type.
-/// 
+///
 /// \cgalHeading{Implementation}
-/// 
+///
 /// The running time is linear in the number of vertices of the polygon.
 /// A horizontal ray is taken to count the number of intersections.
 /// Special care is taken that the result is correct even if there are degeneracies
 /// (if the ray passes through a vertex).
 ///
-/// 
+///
 /// \sa `PolygonTraits_2`
 /// \sa `CGAL::oriented_side_2()`
 /// \sa `CGAL::Polygon_2 `
 /// \sa `CGAL::Bounded_side`
 template <class ForwardIterator, class Point, class PolygonTraits>
 Bounded_side bounded_side_2(ForwardIterator first,
-			    ForwardIterator last,
-			    const Point& point,
-			    const PolygonTraits& traits);
+                            ForwardIterator last,
+                            const Point& point,
+                            const PolygonTraits& traits);
 
 /// Computes if a polygon is clockwise or counterclockwise oriented.
 /// \pre `is_simple_2(first, last, traits);`
-/// 
+///
 /// \tparam Traits is a model of the concept
-/// 	  `PolygonTraits_2`.
-/// 	  Only the following members of this traits class are used:
+///           `PolygonTraits_2`.
+///           Only the following members of this traits class are used:
 ///   - `Less_xy_2`
 ///   - `less_xy_2_object()`
 ///   - `orientation_2_object()`
 /// \tparam ForwardIterator must have`Traits::Point_2` as value type.
-/// 
-/// 
-/// 
+///
+///
+///
 /// \sa `PolygonTraits_2`
 /// \sa `CGAL::is_simple_2()`
 /// \sa `CGAL::Polygon_2`
 /// \sa `CGAL::Orientation_2`
 template <class ForwardIterator, class Traits>
 Orientation orientation_2(ForwardIterator first,
-			  ForwardIterator last,
-			  const Traits& traits);
+                          ForwardIterator last,
+                          const Traits& traits);
 
 /// @}
 
@@ -339,10 +339,10 @@ Orientation orientation_2(ForwardIterato
 template <class ForwardIterator>
 inline
 ForwardIterator left_vertex_2(ForwardIterator first,
-			      ForwardIterator last)
-{  
+                              ForwardIterator last)
+{
   typedef typename Kernel_traits<
-    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K; 
+    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K;
   return left_vertex_2(first, last, K());
 }
 
@@ -350,10 +350,10 @@ ForwardIterator left_vertex_2(ForwardIte
 template <class ForwardIterator>
 inline
 ForwardIterator right_vertex_2(ForwardIterator first,
-			       ForwardIterator last)
-{ 
+                               ForwardIterator last)
+{
   typedef typename Kernel_traits<
-    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K; 
+    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K;
   return right_vertex_2(first, last, K());
 }
 
@@ -361,10 +361,10 @@ ForwardIterator right_vertex_2(ForwardIt
 template <class ForwardIterator>
 inline
 ForwardIterator top_vertex_2(ForwardIterator first,
-			     ForwardIterator last)
+                             ForwardIterator last)
 {
   typedef typename Kernel_traits<
-    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K; 
+    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K;
   return top_vertex_2(first, last, K());
 }
 
@@ -372,21 +372,21 @@ ForwardIterator top_vertex_2(ForwardIter
 template <class ForwardIterator>
 inline
 ForwardIterator bottom_vertex_2(ForwardIterator first,
-				ForwardIterator last)
+                                ForwardIterator last)
 {
   typedef typename Kernel_traits<
-    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K; 
+    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K;
   return bottom_vertex_2(first, last, K());
 }
 
 template <class ForwardIterator, class Numbertype>
 inline
 void area_2(ForwardIterator first,
-	    ForwardIterator last,
-	    Numbertype& result)
+            ForwardIterator last,
+            Numbertype& result)
 {
   typedef typename Kernel_traits<
-    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K; 
+    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K;
   area_2(first, last, result, K());
 }
 
@@ -395,10 +395,10 @@ void area_2(ForwardIterator first,
 template <class ForwardIterator>
 inline
 bool is_convex_2(ForwardIterator first,
-		 ForwardIterator last)
+                 ForwardIterator last)
 {
   typedef typename Kernel_traits<
-    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K; 
+    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K;
   return is_convex_2(first, last, K());
 }
 
@@ -407,10 +407,10 @@ bool is_convex_2(ForwardIterator first,
 template <class ForwardIterator>
 inline
 bool is_simple_2(ForwardIterator first,
-		 ForwardIterator last)
+                 ForwardIterator last)
 {
   typedef typename Kernel_traits<
-    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K; 
+    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K;
   return is_simple_2(first, last, K());
 }
 
@@ -422,7 +422,7 @@ Oriented_side oriented_side_2(
   const typename std::iterator_traits<ForwardIterator>::value_type& point)
 {
   typedef typename Kernel_traits<
-    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K; 
+    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K;
   return oriented_side_2(first, last, point, K());
 }
 
@@ -435,7 +435,7 @@ Bounded_side bounded_side_2(
   const typename std::iterator_traits<ForwardIterator>::value_type& point)
 {
   typedef typename Kernel_traits<
-    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K; 
+    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K;
   return bounded_side_2(first, last, point, K());
 }
 
@@ -444,10 +444,10 @@ Bounded_side bounded_side_2(
 template <class ForwardIterator>
 inline
 Orientation orientation_2(ForwardIterator first,
-			  ForwardIterator last)
+                          ForwardIterator last)
 {
   typedef typename Kernel_traits<
-    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K; 
+    typename std::iterator_traits<ForwardIterator>::value_type>::Kernel K;
   return orientation_2(first, last, K());
 }
 
diff -pruN 5.0.2-3/include/CGAL/Polygon_2.h 5.0.3-1/include/CGAL/Polygon_2.h
--- 5.0.2-3/include/CGAL/Polygon_2.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_2.h	2020-08-01 19:02:40.000000000 +0000
@@ -7,8 +7,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon/include/CGAL/Polygon_2.h $
-// $Id: Polygon_2.h b9a079b 2019-11-04T11:34:53+01:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon/include/CGAL/Polygon_2.h $
+// $Id: Polygon_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -132,7 +132,7 @@ class Polygon_2 {
     typedef Polygon_2_edge_iterator<Traits_P,Container_P> Edge_const_iterator;
     typedef Polygon_2_const_edge_circulator<Traits_P,
                                             Container_P> Edge_const_circulator;
-#endif // DOXYGEN_RUNNING    
+#endif // DOXYGEN_RUNNING
     /// @}
 
     /// \name Creation
@@ -140,7 +140,7 @@ class Polygon_2 {
 
     /// Creates an empty polygon.
     Polygon_2() : traits() {}
-  
+
     /// Creates an empty polygon.
     Polygon_2(const Traits & p_traits) : traits(p_traits) {}
 
@@ -159,11 +159,11 @@ class Polygon_2 {
       // Sun STL switches off member templates for binary backward compat.
       std::copy(first, last, std::back_inserter(d_container));
     }
-  
+
 #ifndef DOXYGEN_RUNNING
   Polygon_2& operator=(const Polygon_2&)=default;
 #endif
-  
+
     /// @}
 
     /// \name Modifiers
diff -pruN 5.0.2-3/include/CGAL/Polygonal_surface_reconstruction.h 5.0.3-1/include/CGAL/Polygonal_surface_reconstruction.h
--- 5.0.2-3/include/CGAL/Polygonal_surface_reconstruction.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygonal_surface_reconstruction.h	2020-08-01 19:02:41.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygonal_surface_reconstruction/include/CGAL/Polygonal_surface_reconstruction.h $
-// $Id: Polygonal_surface_reconstruction.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygonal_surface_reconstruction/include/CGAL/Polygonal_surface_reconstruction.h $
+// $Id: Polygonal_surface_reconstruction.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Liangliang Nan
@@ -27,443 +27,443 @@
 
 namespace CGAL {
 
-	/*!
-	\ingroup PkgPolygonalSurfaceReconstruction
+        /*!
+        \ingroup PkgPolygonalSurfaceReconstruction
 
-	\brief
+        \brief
 
-	Implementation of the Polygonal Surface Reconstruction method.
+        Implementation of the Polygonal Surface Reconstruction method.
 
-	Given a set of 3D points with unoriented normals sampled
-	from the outer boundary of a piecewise planar object, the Polygonal Surface
-	Reconstruction method \cgalCite{nan2017polyfit} outputs a simplified and
-	watertight surface mesh interpolating the input point set.
-
-	The method first generates a set of face candidates by intersecting the planar
-	primitives. Then an optimal subset of the candidate faces is selected through
-	optimization under hard constraints that enforce the final model to be manifold
-	and watertight.
-
-	The reconstruction assumes the planar segmentation of the point cloud is
-	provided in the input.
-
-	\tparam GeomTraits a geometric traits class, model of Kernel
-	*/
-	template <class GeomTraits>
-	class Polygonal_surface_reconstruction
-	{
-	public:
-
-		/// \name Types
-
-		typedef typename GeomTraits::FT				FT;			///< number type.
-		typedef typename GeomTraits::Point_3		Point;		///< point type.
-		typedef typename GeomTraits::Vector_3		Vector;		///< vector type.
-		typedef typename GeomTraits::Plane_3		Plane;		///< plane type.
-
-	private:
-
-		// Polygon mesh storing the candidate faces
-		typedef CGAL::Surface_mesh<Point>				Polygon_mesh;
-
-		typedef typename Polygon_mesh::Face_index		Face_descriptor;
-		typedef typename Polygon_mesh::Vertex_index		Vertex_descriptor;
-		typedef typename Polygon_mesh::Edge_index		Edge_descriptor;
-		typedef typename Polygon_mesh::Halfedge_index	Halfedge_descriptor;
-
-		// Public methods
-	public:
-
-		/// \name Creation
-
-		/*!
-		Creates a Polygonal Surface Reconstruction object.
-		After construction, candidate faces are generated and point/face confidence values are
-		computed, allowing to reuse them in the subsequent reconstruction step with different parameters.
-
-		\tparam PointRange is the range of input points, model of `ConstRange`.
-		\tparam PointMap is a model of `ReadablePropertyMap` with value	type `GeomTraits::Point_3`.
-		\tparam NormalMap is a model of `ReadablePropertyMap` with value type `GeomTraits::Vector_3`.
-		\tparam IndexMap is a model of `ReadablePropertyMap` with value	type `int`.
-
-		\param points range of input points.
-		\param point_map property map: value_type of `typename PointRange::const_iterator` -> `Point_3`
-		\param normal_map property map: value_type of `typename PointRange::const_iterator` -> `Vector_3`
-		\param index_map property map: value_type of `typename PointRange::const_iterator` -> `int`,
-		denoting the index of the plane it belongs to (-1 if the point is not assigned to a plane)
-		*/
-		template <
-			typename PointRange,
-			typename PointMap,
-			typename NormalMap,
-			typename IndexMap
-		>
-			Polygonal_surface_reconstruction(
-				const PointRange& points,
-				PointMap point_map,
-				NormalMap normal_map,
-				IndexMap index_map
-			);
-
-
-		/// \name Operations
-
-		/** Reconstructs a watertight polygonal mesh model.
-
-		\tparam MixedIntegerProgramTraits a model of `MixedIntegerProgramTraits`
-
-		\tparam PolygonMesh a model of `MutableFaceGraph`
-
-		\return `true` if the reconstruction succeeded, `false` otherwise.
-		*/
-		template <typename MixedIntegerProgramTraits, typename PolygonMesh>
-		bool reconstruct(
-			PolygonMesh& output_mesh,		///< the final reconstruction result
-			double wt_fitting = 0.43,		///< weight for the data fitting term.
-			double wt_coverage = 0.27,		///< weight for the point coverage term.
-			double wt_complexity = 0.30		///< weight for the model complexity term.
-		);
-
-		/*! Gives the user the possibility to access the intermediate candidate faces
-			(i.e., the faces induced by the intersection of the supporting planes).
-		\tparam PolygonMesh a model of `MutableFaceGraph`.
-		*/
-		template <typename PolygonMesh>
-		void output_candidate_faces(PolygonMesh& candidate_faces) const;
-
-		/// Gets the error message (if reconstruction failed).
-		const std::string& error_message() const { return error_message_; }
-
-		// Data members.
-	private:
-		internal::Hypothesis<GeomTraits> hypothesis_;
-
-		// The generated candidate faces stored as a polygon mesh
-		Polygon_mesh	candidate_faces_;
-
-		std::string		error_message_;
-
-	private: // Copying is not allowed
-		Polygonal_surface_reconstruction(const Polygonal_surface_reconstruction& psr);
-
-	}; // end of Polygonal_surface_reconstruction
-
-
-	//////////////////////////////////////////////////////////////////////////s
-
-	// implementations
-
-	template <class GeomTraits>
-
-	template <
-		typename PointRange,
-		typename PointMap,
-		typename NormalMap,
-		typename IndexMap
-	>
-		Polygonal_surface_reconstruction<GeomTraits>::Polygonal_surface_reconstruction(
-			const PointRange& points,
-			PointMap point_map,
-			NormalMap normal_map,
-			IndexMap index_map
-		) : error_message_("")
-	{
-		if (points.empty()) {
-			error_message_ = "empty input points";
-			return;
-		}
-
-		typedef internal::Planar_segment<GeomTraits>			Planar_segment;
-		typedef internal::Point_set_with_planes<GeomTraits>		Point_set_with_planes;
-
-		Point_set_with_planes point_set(points, point_map, normal_map, index_map);
-
-		const std::vector< Planar_segment* >& planar_segments = point_set.planar_segments();
-		if (planar_segments.size() < 4) {
-			error_message_ = "at least 4 planes required to reconstruct a closed surface mesh (only "
-				+ std::to_string(planar_segments.size()) + " provided)";
-			return;
-		}
-
-		hypothesis_.generate(point_set, candidate_faces_);
-
-		typedef internal::Candidate_confidences<GeomTraits>		Candidate_confidences;
-		Candidate_confidences conf;
-		conf.compute(point_set, candidate_faces_);
-	}
-
-
-	template <class GeomTraits>
-	template <typename PolygonMesh>
-	void Polygonal_surface_reconstruction<GeomTraits>::output_candidate_faces(PolygonMesh& candidate_faces) const {
-		candidate_faces.clear();	// make sure it is empty.
-		CGAL::copy_face_graph(candidate_faces_, candidate_faces);
-	}
-
-
-	template <class GeomTraits>
-	template <typename MixedIntegerProgramTraits, typename PolygonMesh>
-	bool Polygonal_surface_reconstruction<GeomTraits>::reconstruct(
-		PolygonMesh& output_mesh,
-		double wt_fitting /* = 0.43 */,
-		double wt_coverage /* = 0.27 */,
-		double wt_complexity /* = 0.30 */)
-	{
-		if (!error_message_.empty()) { // an error has occurred in the constructor
-			return false;
-		}
-
-		if (candidate_faces_.num_faces() < 4) {
-			error_message_ = "at least 4 candidate faces required to reconstruct a closed surface mesh (only "
-				+ std::to_string(candidate_faces_.num_faces()) + " computed)";
-			return false;
-		}
-
-		typedef typename internal::Hypothesis<GeomTraits>::Adjacency Adjacency;
-		const Adjacency& adjacency = hypothesis_.extract_adjacency(candidate_faces_);
-
-		// Internal data structure
-		Polygon_mesh target_mesh = candidate_faces_;
-
-		// The number of supporting points of each face
-		typename Polygon_mesh::template Property_map<Face_descriptor, std::size_t> face_num_supporting_points =
-			target_mesh.template add_property_map<Face_descriptor, std::size_t>("f:num_supporting_points").first;
-
-		// The area of each face
-		typename Polygon_mesh::template Property_map<Face_descriptor, FT> face_areas =
-			target_mesh.template add_property_map<Face_descriptor, FT>("f:face_area").first;
-
-		// The point covered area of each face
-		typename Polygon_mesh::template Property_map<Face_descriptor, FT> face_covered_areas =
-			target_mesh.template add_property_map<Face_descriptor, FT>("f:covered_area").first;
-
-		// The supporting plane of each face
-		typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes =
-			target_mesh.template add_property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
-
-		// Gives each face an index
-		typename Polygon_mesh::template Property_map<Face_descriptor, std::size_t> face_indices =
-			target_mesh.template add_property_map<Face_descriptor, std::size_t>("f:index").first;
+        Given a set of 3D points with unoriented normals sampled
+        from the outer boundary of a piecewise planar object, the Polygonal Surface
+        Reconstruction method \cgalCite{nan2017polyfit} outputs a simplified and
+        watertight surface mesh interpolating the input point set.
+
+        The method first generates a set of face candidates by intersecting the planar
+        primitives. Then an optimal subset of the candidate faces is selected through
+        optimization under hard constraints that enforce the final model to be manifold
+        and watertight.
+
+        The reconstruction assumes the planar segmentation of the point cloud is
+        provided in the input.
+
+        \tparam GeomTraits a geometric traits class, model of Kernel
+        */
+        template <class GeomTraits>
+        class Polygonal_surface_reconstruction
+        {
+        public:
+
+                /// \name Types
+
+                typedef typename GeomTraits::FT                                FT;                        ///< number type.
+                typedef typename GeomTraits::Point_3                Point;                ///< point type.
+                typedef typename GeomTraits::Vector_3                Vector;                ///< vector type.
+                typedef typename GeomTraits::Plane_3                Plane;                ///< plane type.
+
+        private:
+
+                // Polygon mesh storing the candidate faces
+                typedef CGAL::Surface_mesh<Point>                                Polygon_mesh;
+
+                typedef typename Polygon_mesh::Face_index                Face_descriptor;
+                typedef typename Polygon_mesh::Vertex_index                Vertex_descriptor;
+                typedef typename Polygon_mesh::Edge_index                Edge_descriptor;
+                typedef typename Polygon_mesh::Halfedge_index        Halfedge_descriptor;
+
+                // Public methods
+        public:
+
+                /// \name Creation
+
+                /*!
+                Creates a Polygonal Surface Reconstruction object.
+                After construction, candidate faces are generated and point/face confidence values are
+                computed, allowing to reuse them in the subsequent reconstruction step with different parameters.
+
+                \tparam PointRange is the range of input points, model of `ConstRange`.
+                \tparam PointMap is a model of `ReadablePropertyMap` with value        type `GeomTraits::Point_3`.
+                \tparam NormalMap is a model of `ReadablePropertyMap` with value type `GeomTraits::Vector_3`.
+                \tparam IndexMap is a model of `ReadablePropertyMap` with value        type `int`.
+
+                \param points range of input points.
+                \param point_map property map: value_type of `typename PointRange::const_iterator` -> `Point_3`
+                \param normal_map property map: value_type of `typename PointRange::const_iterator` -> `Vector_3`
+                \param index_map property map: value_type of `typename PointRange::const_iterator` -> `int`,
+                denoting the index of the plane it belongs to (-1 if the point is not assigned to a plane)
+                */
+                template <
+                        typename PointRange,
+                        typename PointMap,
+                        typename NormalMap,
+                        typename IndexMap
+                >
+                        Polygonal_surface_reconstruction(
+                                const PointRange& points,
+                                PointMap point_map,
+                                NormalMap normal_map,
+                                IndexMap index_map
+                        );
+
+
+                /// \name Operations
+
+                /** Reconstructs a watertight polygonal mesh model.
+
+                \tparam MixedIntegerProgramTraits a model of `MixedIntegerProgramTraits`
+
+                \tparam PolygonMesh a model of `MutableFaceGraph`
+
+                \return `true` if the reconstruction succeeded, `false` otherwise.
+                */
+                template <typename MixedIntegerProgramTraits, typename PolygonMesh>
+                bool reconstruct(
+                        PolygonMesh& output_mesh,                ///< the final reconstruction result
+                        double wt_fitting = 0.43,                ///< weight for the data fitting term.
+                        double wt_coverage = 0.27,                ///< weight for the point coverage term.
+                        double wt_complexity = 0.30                ///< weight for the model complexity term.
+                );
+
+                /*! Gives the user the possibility to access the intermediate candidate faces
+                        (i.e., the faces induced by the intersection of the supporting planes).
+                \tparam PolygonMesh a model of `MutableFaceGraph`.
+                */
+                template <typename PolygonMesh>
+                void output_candidate_faces(PolygonMesh& candidate_faces) const;
+
+                /// Gets the error message (if reconstruction failed).
+                const std::string& error_message() const { return error_message_; }
+
+                // Data members.
+        private:
+                internal::Hypothesis<GeomTraits> hypothesis_;
+
+                // The generated candidate faces stored as a polygon mesh
+                Polygon_mesh        candidate_faces_;
+
+                std::string                error_message_;
+
+        private: // Copying is not allowed
+                Polygonal_surface_reconstruction(const Polygonal_surface_reconstruction& psr);
+
+        }; // end of Polygonal_surface_reconstruction
+
+
+        //////////////////////////////////////////////////////////////////////////s
+
+        // implementations
+
+        template <class GeomTraits>
+
+        template <
+                typename PointRange,
+                typename PointMap,
+                typename NormalMap,
+                typename IndexMap
+        >
+                Polygonal_surface_reconstruction<GeomTraits>::Polygonal_surface_reconstruction(
+                        const PointRange& points,
+                        PointMap point_map,
+                        NormalMap normal_map,
+                        IndexMap index_map
+                ) : error_message_("")
+        {
+                if (points.empty()) {
+                        error_message_ = "empty input points";
+                        return;
+                }
+
+                typedef internal::Planar_segment<GeomTraits>                        Planar_segment;
+                typedef internal::Point_set_with_planes<GeomTraits>                Point_set_with_planes;
+
+                Point_set_with_planes point_set(points, point_map, normal_map, index_map);
+
+                const std::vector< Planar_segment* >& planar_segments = point_set.planar_segments();
+                if (planar_segments.size() < 4) {
+                        error_message_ = "at least 4 planes required to reconstruct a closed surface mesh (only "
+                                + std::to_string(planar_segments.size()) + " provided)";
+                        return;
+                }
+
+                hypothesis_.generate(point_set, candidate_faces_);
+
+                typedef internal::Candidate_confidences<GeomTraits>                Candidate_confidences;
+                Candidate_confidences conf;
+                conf.compute(point_set, candidate_faces_);
+        }
+
+
+        template <class GeomTraits>
+        template <typename PolygonMesh>
+        void Polygonal_surface_reconstruction<GeomTraits>::output_candidate_faces(PolygonMesh& candidate_faces) const {
+                candidate_faces.clear();        // make sure it is empty.
+                CGAL::copy_face_graph(candidate_faces_, candidate_faces);
+        }
+
+
+        template <class GeomTraits>
+        template <typename MixedIntegerProgramTraits, typename PolygonMesh>
+        bool Polygonal_surface_reconstruction<GeomTraits>::reconstruct(
+                PolygonMesh& output_mesh,
+                double wt_fitting /* = 0.43 */,
+                double wt_coverage /* = 0.27 */,
+                double wt_complexity /* = 0.30 */)
+        {
+                if (!error_message_.empty()) { // an error has occurred in the constructor
+                        return false;
+                }
+
+                if (candidate_faces_.num_faces() < 4) {
+                        error_message_ = "at least 4 candidate faces required to reconstruct a closed surface mesh (only "
+                                + std::to_string(candidate_faces_.num_faces()) + " computed)";
+                        return false;
+                }
+
+                typedef typename internal::Hypothesis<GeomTraits>::Adjacency Adjacency;
+                const Adjacency& adjacency = hypothesis_.extract_adjacency(candidate_faces_);
+
+                // Internal data structure
+                Polygon_mesh target_mesh = candidate_faces_;
+
+                // The number of supporting points of each face
+                typename Polygon_mesh::template Property_map<Face_descriptor, std::size_t> face_num_supporting_points =
+                        target_mesh.template add_property_map<Face_descriptor, std::size_t>("f:num_supporting_points").first;
+
+                // The area of each face
+                typename Polygon_mesh::template Property_map<Face_descriptor, FT> face_areas =
+                        target_mesh.template add_property_map<Face_descriptor, FT>("f:face_area").first;
+
+                // The point covered area of each face
+                typename Polygon_mesh::template Property_map<Face_descriptor, FT> face_covered_areas =
+                        target_mesh.template add_property_map<Face_descriptor, FT>("f:covered_area").first;
+
+                // The supporting plane of each face
+                typename Polygon_mesh::template Property_map<Face_descriptor, const Plane*> face_supporting_planes =
+                        target_mesh.template add_property_map<Face_descriptor, const Plane*>("f:supp_plane").first;
+
+                // Gives each face an index
+                typename Polygon_mesh::template Property_map<Face_descriptor, std::size_t> face_indices =
+                        target_mesh.template add_property_map<Face_descriptor, std::size_t>("f:index").first;
 
-		double total_points = 0.0;
-		std::size_t idx = 0;
+                double total_points = 0.0;
+                std::size_t idx = 0;
                 for(auto f : target_mesh.faces()) {
-			total_points += face_num_supporting_points[f];
-			face_indices[f] = idx;
-			++idx;
-		}
-
-
-		typedef MixedIntegerProgramTraits								MIP_Solver;
-		typedef typename MixedIntegerProgramTraits::Variable			Variable;
-		typedef typename MixedIntegerProgramTraits::Linear_objective	Linear_objective;
-		typedef typename MixedIntegerProgramTraits::Linear_constraint	Linear_constraint;
-
-		MIP_Solver solver;
-
-		// Adds variables
-
-		// Binary variables:
-		// x[0] ... x[num_faces - 1] : binary labels of all the input faces
-		// x[num_faces] ... x[num_faces + num_edges - 1] : binary labels of all the intersecting edges (remain or not)
-		// x[num_faces + num_edges] ... x[num_faces + num_edges + num_edges] : binary labels of corner edges (sharp edge of not)
-
-		std::size_t num_faces = target_mesh.number_of_faces();
-		std::size_t num_edges(0);
-
-		typedef typename internal::Hypothesis<GeomTraits>::Intersection	Intersection;
-
-		std::unordered_map<const Intersection*, std::size_t> edge_usage_status;	// keep or remove an intersecting edges
-		for (std::size_t i = 0; i < adjacency.size(); ++i) {
-			const Intersection& fan = adjacency[i];
-			if (fan.size() == 4) {
-				std::size_t var_idx = num_faces + num_edges;
-				edge_usage_status[&fan] = var_idx;
-				++num_edges;
-			}
-		}
-
-		std::size_t total_variables = num_faces + num_edges + num_edges;
-
-		const std::vector<Variable*>& variables = solver.create_variables(total_variables);
-		for (std::size_t i = 0; i < total_variables; ++i) {
-			Variable* v = variables[i];
-			v->set_variable_type(Variable::BINARY);
-		}
-
-		// Adds objective
-
-		const typename Polygon_mesh::template Property_map<Vertex_descriptor, Point>& coords = target_mesh.points();
-		std::vector<Point> vertices(target_mesh.number_of_vertices());
-		idx = 0;
+                        total_points += face_num_supporting_points[f];
+                        face_indices[f] = idx;
+                        ++idx;
+                }
+
+
+                typedef MixedIntegerProgramTraits                                                                MIP_Solver;
+                typedef typename MixedIntegerProgramTraits::Variable                        Variable;
+                typedef typename MixedIntegerProgramTraits::Linear_objective        Linear_objective;
+                typedef typename MixedIntegerProgramTraits::Linear_constraint        Linear_constraint;
+
+                MIP_Solver solver;
+
+                // Adds variables
+
+                // Binary variables:
+                // x[0] ... x[num_faces - 1] : binary labels of all the input faces
+                // x[num_faces] ... x[num_faces + num_edges - 1] : binary labels of all the intersecting edges (remain or not)
+                // x[num_faces + num_edges] ... x[num_faces + num_edges + num_edges] : binary labels of corner edges (sharp edge of not)
+
+                std::size_t num_faces = target_mesh.number_of_faces();
+                std::size_t num_edges(0);
+
+                typedef typename internal::Hypothesis<GeomTraits>::Intersection        Intersection;
+
+                std::unordered_map<const Intersection*, std::size_t> edge_usage_status;        // keep or remove an intersecting edges
+                for (std::size_t i = 0; i < adjacency.size(); ++i) {
+                        const Intersection& fan = adjacency[i];
+                        if (fan.size() == 4) {
+                                std::size_t var_idx = num_faces + num_edges;
+                                edge_usage_status[&fan] = var_idx;
+                                ++num_edges;
+                        }
+                }
+
+                std::size_t total_variables = num_faces + num_edges + num_edges;
+
+                const std::vector<Variable*>& variables = solver.create_variables(total_variables);
+                for (std::size_t i = 0; i < total_variables; ++i) {
+                        Variable* v = variables[i];
+                        v->set_variable_type(Variable::BINARY);
+                }
+
+                // Adds objective
+
+                const typename Polygon_mesh::template Property_map<Vertex_descriptor, Point>& coords = target_mesh.points();
+                std::vector<Point> vertices(target_mesh.number_of_vertices());
+                idx = 0;
                 for(auto v : target_mesh.vertices()) {
-			vertices[idx] = coords[v];
-			++idx;
-		}
-
-		typedef typename GeomTraits::Iso_cuboid_3		Box;
-
-		const Box& box = CGAL::bounding_box(vertices.begin(), vertices.end());
-		FT dx = box.xmax() - box.xmin();
-		FT dy = box.ymax() - box.ymin();
-		FT dz = box.zmax() - box.zmin();
-		FT box_area = FT(2.0) * (dx * dy + dy * dz + dz * dx);
-
-		// Chooses a better scale: all actual values multiplied by total number of points
-		double coeff_data_fitting = wt_fitting;
-		double coeff_coverage = total_points * wt_coverage / box_area;
-		double coeff_complexity = total_points * wt_complexity / double(adjacency.size());
-
-		Linear_objective * objective = solver.create_objective(Linear_objective::MINIMIZE);
-
-		std::unordered_map<const Intersection*, std::size_t> edge_sharp_status;	// the edge is sharp or not
-		std::size_t num_sharp_edges = 0;
-		for (std::size_t i = 0; i < adjacency.size(); ++i) {
-			const Intersection& fan = adjacency[i];
-			if (fan.size() == 4) {
-				std::size_t var_idx = num_faces + num_edges + num_sharp_edges;
-				edge_sharp_status[&fan] = var_idx;
-
-				// Accumulates model complexity term
-				objective->add_coefficient(variables[var_idx], coeff_complexity);
-				++num_sharp_edges;
-			}
-		}
-		CGAL_assertion(num_edges == num_sharp_edges);
+                        vertices[idx] = coords[v];
+                        ++idx;
+                }
+
+                typedef typename GeomTraits::Iso_cuboid_3                Box;
+
+                const Box& box = CGAL::bounding_box(vertices.begin(), vertices.end());
+                FT dx = box.xmax() - box.xmin();
+                FT dy = box.ymax() - box.ymin();
+                FT dz = box.zmax() - box.zmin();
+                FT box_area = FT(2.0) * (dx * dy + dy * dz + dz * dx);
+
+                // Chooses a better scale: all actual values multiplied by total number of points
+                double coeff_data_fitting = wt_fitting;
+                double coeff_coverage = total_points * wt_coverage / box_area;
+                double coeff_complexity = total_points * wt_complexity / double(adjacency.size());
+
+                Linear_objective * objective = solver.create_objective(Linear_objective::MINIMIZE);
+
+                std::unordered_map<const Intersection*, std::size_t> edge_sharp_status;        // the edge is sharp or not
+                std::size_t num_sharp_edges = 0;
+                for (std::size_t i = 0; i < adjacency.size(); ++i) {
+                        const Intersection& fan = adjacency[i];
+                        if (fan.size() == 4) {
+                                std::size_t var_idx = num_faces + num_edges + num_sharp_edges;
+                                edge_sharp_status[&fan] = var_idx;
+
+                                // Accumulates model complexity term
+                                objective->add_coefficient(variables[var_idx], coeff_complexity);
+                                ++num_sharp_edges;
+                        }
+                }
+                CGAL_assertion(num_edges == num_sharp_edges);
 
                 for(auto f : target_mesh.faces()) {
-			std::size_t var_idx = face_indices[f];
+                        std::size_t var_idx = face_indices[f];
 
-			// Accumulates data fitting term
-			std::size_t num = face_num_supporting_points[f];
-			objective->add_coefficient(variables[var_idx], -coeff_data_fitting * num);
-
-			// Accumulates model coverage term
-			double uncovered_area = (face_areas[f] - face_covered_areas[f]);
-			objective->add_coefficient(variables[var_idx], coeff_coverage * uncovered_area);
-		}
-
-		// Adds constraints: the number of faces associated with an edge must be either 2 or 0
-		std::size_t var_edge_used_idx = 0;
-		for (std::size_t i = 0; i < adjacency.size(); ++i) {
-			Linear_constraint* c = solver.create_constraint(0.0, 0.0);
-			const Intersection& fan = adjacency[i];
-			for (std::size_t j = 0; j < fan.size(); ++j) {
-				Face_descriptor f = target_mesh.face(fan[j]);
-				std::size_t var_idx = face_indices[f];
-				c->add_coefficient(variables[var_idx], 1.0);
-			}
-
-			if (fan.size() == 4) {
-				std::size_t var_idx = num_faces + var_edge_used_idx;
-				c->add_coefficient(variables[var_idx], -2.0);  //
-				++var_edge_used_idx;
-			}
-			else { // boundary edge
-				   // will be set to 0 (i.e., we don't allow open surface)
-			}
-		}
-
-		// Adds constraints: for the sharp edges. The explanation of posing this constraint can be found here:
-		// https://user-images.githubusercontent.com/15526536/30185644-12085a9c-942b-11e7-831d-290dd2a4d50c.png
-		double M = 1.0;
-		for (std::size_t i = 0; i < adjacency.size(); ++i) {
-			const Intersection& fan = adjacency[i];
-			if (fan.size() != 4)
-				continue;
-
-			// If an edge is sharp, the edge must be selected first:
-			// X[var_edge_usage_idx] >= X[var_edge_sharp_idx]
-			Linear_constraint* c = solver.create_constraint(0.0);
-			std::size_t var_edge_usage_idx = edge_usage_status[&fan];
-			c->add_coefficient(variables[var_edge_usage_idx], 1.0);
-			std::size_t var_edge_sharp_idx = edge_sharp_status[&fan];
-			c->add_coefficient(variables[var_edge_sharp_idx], -1.0);
-
-			for (std::size_t j = 0; j < fan.size(); ++j) {
-				Face_descriptor f1 = target_mesh.face(fan[j]);
-				const Plane* plane1 = face_supporting_planes[f1];
-				std::size_t fid1 = face_indices[f1];
-				for (std::size_t k = j + 1; k < fan.size(); ++k) {
-					Face_descriptor f2 = target_mesh.face(fan[k]);
-					const Plane* plane2 = face_supporting_planes[f2];
-					std::size_t fid2 = face_indices[f2];
-
-					if (plane1 != plane2) {
-						// The constraint is:
-						//X[var_edge_sharp_idx] + M * (3 - (X[fid1] + X[fid2] + X[var_edge_usage_idx])) >= 1
-						// which equals to
-						//X[var_edge_sharp_idx] - M * X[fid1] - M * X[fid2] - M * X[var_edge_usage_idx] >= 1 - 3M
-						c = solver.create_constraint(1.0 - 3.0 * M);
-						c->add_coefficient(variables[var_edge_sharp_idx], 1.0);
-						c->add_coefficient(variables[fid1], -M);
-						c->add_coefficient(variables[fid2], -M);
-						c->add_coefficient(variables[var_edge_usage_idx], -M);
-					}
-				}
-			}
-		}
-
-		// Optimization
+                        // Accumulates data fitting term
+                        std::size_t num = face_num_supporting_points[f];
+                        objective->add_coefficient(variables[var_idx], -coeff_data_fitting * num);
+
+                        // Accumulates model coverage term
+                        double uncovered_area = (face_areas[f] - face_covered_areas[f]);
+                        objective->add_coefficient(variables[var_idx], coeff_coverage * uncovered_area);
+                }
+
+                // Adds constraints: the number of faces associated with an edge must be either 2 or 0
+                std::size_t var_edge_used_idx = 0;
+                for (std::size_t i = 0; i < adjacency.size(); ++i) {
+                        Linear_constraint* c = solver.create_constraint(0.0, 0.0);
+                        const Intersection& fan = adjacency[i];
+                        for (std::size_t j = 0; j < fan.size(); ++j) {
+                                Face_descriptor f = target_mesh.face(fan[j]);
+                                std::size_t var_idx = face_indices[f];
+                                c->add_coefficient(variables[var_idx], 1.0);
+                        }
+
+                        if (fan.size() == 4) {
+                                std::size_t var_idx = num_faces + var_edge_used_idx;
+                                c->add_coefficient(variables[var_idx], -2.0);  //
+                                ++var_edge_used_idx;
+                        }
+                        else { // boundary edge
+                                   // will be set to 0 (i.e., we don't allow open surface)
+                        }
+                }
+
+                // Adds constraints: for the sharp edges. The explanation of posing this constraint can be found here:
+                // https://user-images.githubusercontent.com/15526536/30185644-12085a9c-942b-11e7-831d-290dd2a4d50c.png
+                double M = 1.0;
+                for (std::size_t i = 0; i < adjacency.size(); ++i) {
+                        const Intersection& fan = adjacency[i];
+                        if (fan.size() != 4)
+                                continue;
+
+                        // If an edge is sharp, the edge must be selected first:
+                        // X[var_edge_usage_idx] >= X[var_edge_sharp_idx]
+                        Linear_constraint* c = solver.create_constraint(0.0);
+                        std::size_t var_edge_usage_idx = edge_usage_status[&fan];
+                        c->add_coefficient(variables[var_edge_usage_idx], 1.0);
+                        std::size_t var_edge_sharp_idx = edge_sharp_status[&fan];
+                        c->add_coefficient(variables[var_edge_sharp_idx], -1.0);
+
+                        for (std::size_t j = 0; j < fan.size(); ++j) {
+                                Face_descriptor f1 = target_mesh.face(fan[j]);
+                                const Plane* plane1 = face_supporting_planes[f1];
+                                std::size_t fid1 = face_indices[f1];
+                                for (std::size_t k = j + 1; k < fan.size(); ++k) {
+                                        Face_descriptor f2 = target_mesh.face(fan[k]);
+                                        const Plane* plane2 = face_supporting_planes[f2];
+                                        std::size_t fid2 = face_indices[f2];
+
+                                        if (plane1 != plane2) {
+                                                // The constraint is:
+                                                //X[var_edge_sharp_idx] + M * (3 - (X[fid1] + X[fid2] + X[var_edge_usage_idx])) >= 1
+                                                // which equals to
+                                                //X[var_edge_sharp_idx] - M * X[fid1] - M * X[fid2] - M * X[var_edge_usage_idx] >= 1 - 3M
+                                                c = solver.create_constraint(1.0 - 3.0 * M);
+                                                c->add_coefficient(variables[var_edge_sharp_idx], 1.0);
+                                                c->add_coefficient(variables[fid1], -M);
+                                                c->add_coefficient(variables[fid2], -M);
+                                                c->add_coefficient(variables[var_edge_usage_idx], -M);
+                                        }
+                                }
+                        }
+                }
+
+                // Optimization
 
-		if (solver.solve()) {
+                if (solver.solve()) {
 
-			// Marks results
-			const std::vector<double>& X = solver.solution();
+                        // Marks results
+                        const std::vector<double>& X = solver.solution();
 
-			std::vector<Face_descriptor> to_delete;
-			std::size_t f_idx(0);
+                        std::vector<Face_descriptor> to_delete;
+                        std::size_t f_idx(0);
                         for(auto f : target_mesh.faces()) {
-				if (static_cast<int>(std::round(X[f_idx])) == 0)
-					to_delete.push_back(f);
-				++f_idx;
-			}
-
-			for (std::size_t i = 0; i < to_delete.size(); ++i) {
-				Face_descriptor f = to_delete[i];
-				Halfedge_descriptor h = target_mesh.halfedge(f);
-				Euler::remove_face(h, target_mesh);
-			}
-
-			// Marks the sharp edges
-			typename Polygon_mesh::template Property_map<Edge_descriptor, bool> edge_is_sharp =
-				target_mesh.template add_property_map<Edge_descriptor, bool>("e:sharp_edges").first;
+                                if (static_cast<int>(std::round(X[f_idx])) == 0)
+                                        to_delete.push_back(f);
+                                ++f_idx;
+                        }
+
+                        for (std::size_t i = 0; i < to_delete.size(); ++i) {
+                                Face_descriptor f = to_delete[i];
+                                Halfedge_descriptor h = target_mesh.halfedge(f);
+                                Euler::remove_face(h, target_mesh);
+                        }
+
+                        // Marks the sharp edges
+                        typename Polygon_mesh::template Property_map<Edge_descriptor, bool> edge_is_sharp =
+                                target_mesh.template add_property_map<Edge_descriptor, bool>("e:sharp_edges").first;
                         for (auto e : target_mesh.edges())
-				edge_is_sharp[e] = false;
+                                edge_is_sharp[e] = false;
 
-			for (std::size_t i = 0; i < adjacency.size(); ++i) {
-				const Intersection& fan = adjacency[i];
-				if (fan.size() != 4)
-					continue;
-
-				std::size_t idx_sharp_var = edge_sharp_status[&fan];
-				if (static_cast<int>(X[idx_sharp_var]) == 1) {
-					for (std::size_t j = 0; j < fan.size(); ++j) {
-						Halfedge_descriptor h = fan[j];
-						Face_descriptor f = target_mesh.face(h);
-						if (f != Polygon_mesh::null_face()) { // some faces may be deleted
-							std::size_t fid = face_indices[f];
-							if (static_cast<int>(std::round(X[fid])) == 1) {
-								Edge_descriptor e = target_mesh.edge(h);
-								edge_is_sharp[e] = true;
-								break;
-							}
-						}
-					}
-				}
-			}
-
-			// Converts from internal data structure to the required `PolygonMesh`.
-			output_mesh.clear();	// make sure it is empty.
-			CGAL::copy_face_graph(target_mesh, output_mesh);
-		}
-		else {
-			error_message_ = "solving the binary program failed";
-			return false;
-		}
+                        for (std::size_t i = 0; i < adjacency.size(); ++i) {
+                                const Intersection& fan = adjacency[i];
+                                if (fan.size() != 4)
+                                        continue;
+
+                                std::size_t idx_sharp_var = edge_sharp_status[&fan];
+                                if (static_cast<int>(X[idx_sharp_var]) == 1) {
+                                        for (std::size_t j = 0; j < fan.size(); ++j) {
+                                                Halfedge_descriptor h = fan[j];
+                                                Face_descriptor f = target_mesh.face(h);
+                                                if (f != Polygon_mesh::null_face()) { // some faces may be deleted
+                                                        std::size_t fid = face_indices[f];
+                                                        if (static_cast<int>(std::round(X[fid])) == 1) {
+                                                                Edge_descriptor e = target_mesh.edge(h);
+                                                                edge_is_sharp[e] = true;
+                                                                break;
+                                                        }
+                                                }
+                                        }
+                                }
+                        }
+
+                        // Converts from internal data structure to the required `PolygonMesh`.
+                        output_mesh.clear();        // make sure it is empty.
+                        CGAL::copy_face_graph(target_mesh, output_mesh);
+                }
+                else {
+                        error_message_ = "solving the binary program failed";
+                        return false;
+                }
 
-		return true;
-	}
+                return true;
+        }
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Polygon_convex_decomposition_2.h 5.0.3-1/include/CGAL/Polygon_convex_decomposition_2.h
--- 5.0.2-3/include/CGAL/Polygon_convex_decomposition_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_convex_decomposition_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Polygon_convex_decomposition_2.h $
-// $Id: Polygon_convex_decomposition_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Polygon_convex_decomposition_2.h $
+// $Id: Polygon_convex_decomposition_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Ron Wein   <wein_r@yahoo.com>
@@ -29,7 +29,7 @@ template <typename Kernel_,
           typename Container_ = std::vector<typename Kernel_::Point_2> >
 class Optimal_convex_decomposition_2 :
   public Polygon_decomposition_strategy_adapter<Kernel_, Container_,
-						Tag_optimal_convex_parition>
+            Tag_optimal_convex_parition>
 {
 public:
   typedef Kernel_                                  Kernel;
@@ -46,7 +46,7 @@ template <typename Kernel_,
           typename Container_ = std::vector<typename Kernel_::Point_2> >
 class Hertel_Mehlhorn_convex_decomposition_2 :
   public Polygon_decomposition_strategy_adapter<Kernel_, Container_,
-						Tag_approx_convex_parition>
+            Tag_approx_convex_parition>
 {
 public:
   typedef Kernel_                                  Kernel;
@@ -63,7 +63,7 @@ template <typename Kernel_,
           typename Container_ = std::vector<typename Kernel_::Point_2> >
 class Greene_convex_decomposition_2 :
   public Polygon_decomposition_strategy_adapter<Kernel_, Container_,
-						Tag_Greene_convex_parition>
+            Tag_Greene_convex_parition>
 {
 public:
   typedef Kernel_                                  Kernel;
diff -pruN 5.0.2-3/include/CGAL/polygon_function_objects.h 5.0.3-1/include/CGAL/polygon_function_objects.h
--- 5.0.2-3/include/CGAL/polygon_function_objects.h	2020-02-21 20:03:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/polygon_function_objects.h	2020-08-01 19:02:37.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Partition_2/include/CGAL/polygon_function_objects.h $
-// $Id: polygon_function_objects.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Partition_2/include/CGAL/polygon_function_objects.h $
+// $Id: polygon_function_objects.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -21,7 +21,7 @@
 namespace CGAL {
 
 template <class Traits>
-class Is_vacuously_valid 
+class Is_vacuously_valid
 {
   public:
 
@@ -39,7 +39,7 @@ class Is_convex_2
 {
   public:
      Is_convex_2(const Traits& t): traits(t) {}
-  
+
      template <class ForwardIterator>
      bool operator()(ForwardIterator first, ForwardIterator last)
      {  return is_convex_2(first, last, traits); }
@@ -53,7 +53,7 @@ class Is_y_monotone_2
 {
   public:
      Is_y_monotone_2(const Traits& t): traits(t) {}
-  
+
      template <class ForwardIterator>
      bool operator()(ForwardIterator first, ForwardIterator last)
      {  return is_y_monotone_2(first, last, traits); }
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/bbox.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/bbox.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/bbox.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/bbox.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/bbox.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/bbox.h $
 // $Id: bbox.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/border.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/border.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/border.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/border.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/border.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/border.h $
 // $Id: border.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/clip.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/clip.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/clip.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/clip.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/clip.h $
-// $Id: clip.h 034bc95 2020-02-14T14:46:32+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/clip.h $
+// $Id: clip.h 3d66c59 2020-03-13T05:15:12+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -301,14 +301,14 @@ clip_to_bbox(const Plane_3& plane,
   *   \cgalParamBegin{throw_on_self_intersection} if `true`,
   *      the set of triangles closed to the intersection of `tm` and `clipper` will be
   *      checked for self-intersections and `CGAL::Polygon_mesh_processing::Corefinement::Self_intersection_exception`
-  *      will be thrown if at least one is found.
+  *      will be thrown if at least one is found.  Default value is `false`.
   *   \cgalParamEnd
   *   \cgalParamBegin{clip_volume} if `true` and `tm` is closed, the clipping will be done on
   *      the volume \link coref_def_subsec bounded \endlink by `tm` rather than on its surface
-  *      (i.e. `tm` will be kept closed).
+  *      (i.e. `tm` will be kept closed). Default value is `false`.
   *   \cgalParamEnd
-  *   \cgalParamBegin{use_compact_clipper} if `false`, the parts of `tm` coplanar with `clipper` will not be part of the output.
-  *                                        This option has an effect only if a surface and not a volume is clipped (i.e. if `clip_volume` is `false` or if `tm` is open).
+  *   \cgalParamBegin{use_compact_clipper} if `false`, the parts of `tm` coplanar with `clipper`
+  *      will not be part of the output. Default value is `true`.
   *   \cgalParamEnd
   * \cgalNamedParamsEnd
   *
@@ -382,14 +382,14 @@ bool dispatch_clip_call(TriangleMesh& tm
   *   \cgalParamBegin{throw_on_self_intersection} if `true`,
   *      the set of triangles closed to the intersection of `tm` and `plane` will be
   *      checked for self-intersections and `CGAL::Polygon_mesh_processing::Corefinement::Self_intersection_exception`
-  *      will be thrown if at least one is found.
+  *      will be thrown if at least one is found. Default value is `false`.
   *   \cgalParamEnd
   *   \cgalParamBegin{clip_volume} if `true` and `tm` is closed, the clipping will be done on
   *      the volume \link coref_def_subsec bounded \endlink by `tm` rather than on its surface
-  *      (i.e. `tm` will be kept closed).
+  *      (i.e. `tm` will be kept closed). Default value is `false`.
   *   \cgalParamEnd
-  *   \cgalParamBegin{use_compact_clipper} if `false` and `clip_volume` is `false` and `tm` is open, the parts of `tm` coplanar with `plane`
-  *                                        will not be part of the output.
+  *   \cgalParamBegin{use_compact_clipper} if `false` the parts of `tm` coplanar with `plane`
+  *      will not be part of the output. Default value is `true`.
   * \cgalNamedParamsEnd
   *
   * @return `true` if the output surface mesh is manifold.
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/compute_normal.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/compute_normal.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/compute_normal.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/compute_normal.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/compute_normal.h $
-// $Id: compute_normal.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/compute_normal.h $
+// $Id: compute_normal.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Jane Tournois
 
@@ -40,7 +40,7 @@ namespace internal {
   {
     typename GT::FT norm = CGAL::approximate_sqrt(
         traits.compute_squared_length_3_object()(v));
-    //If the vector is small enough, approx_sqrt might return 0, and then we get nan values. 
+    //If the vector is small enough, approx_sqrt might return 0, and then we get nan values.
     //To avoid that, we check the resulted norm. If it is 0, we don't normalize.
     if(norm != 0)
     {
@@ -58,7 +58,7 @@ namespace internal {
       traits.construct_vector_3_object()(p1, p2),
       traits.construct_vector_3_object()(p1, p0));
 
-    //cross-product(AB, AC)'s norm is the area of the parallelogram 
+    //cross-product(AB, AC)'s norm is the area of the parallelogram
     //formed by these 2 vectors.
     //the triangle's area is half of it
     return traits.construct_scaled_vector_3_object()(n, 0.5);
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/connected_components.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/connected_components.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/connected_components.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/connected_components.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/connected_components.h $
-// $Id: connected_components.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/connected_components.h $
+// $Id: connected_components.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -57,7 +57,7 @@ namespace internal {
     }
   };
 
-    // A property map 
+    // A property map
     template <typename G>
     struct No_constraint {
       friend bool get(No_constraint<G>, typename boost::graph_traits<G>::edge_descriptor)
@@ -173,7 +173,7 @@ connected_component(typename boost::grap
  * \ingroup keep_connected_components_grp
  *  computes for each face the index of the corresponding connected component.
  *
- *  A property map for `CGAL::face_index_t` must be either available as an internal property map 
+ *  A property map for `CGAL::face_index_t` must be either available as an internal property map
  *  to `pmesh` or provided as one of the \ref pmp_namedparameters "Named Parameters".
  *
  *  \tparam PolygonMesh a model of `FaceListGraph`
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/corefinement.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/corefinement.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/corefinement.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/corefinement.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/corefinement.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/corefinement.h $
 // $Id: corefinement.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/detect_features.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/detect_features.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/detect_features.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/detect_features.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/detect_features.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/detect_features.h $
 // $Id: detect_features.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/distance.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/distance.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/distance.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/distance.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/distance.h $
-// $Id: distance.h 85712ba 2020-01-14T15:03:20+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/distance.h $
+// $Id: distance.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -74,7 +74,7 @@ triangle_grid_sampling( const typename K
 template <class AABB_tree, class PointRange>
 struct Distance_computation{
   typedef typename PointRange::const_iterator::value_type Point_3;
-  
+
   const AABB_tree& tree;
   const PointRange& sample_points;
   Point_3 initial_hint;
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/extrude.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/extrude.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/extrude.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/extrude.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/extrude.h $
-// $Id: extrude.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/extrude.h $
+// $Id: extrude.h ed2067f 2020-03-17T17:08:32+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -184,9 +184,10 @@ void extrude_mesh(const InputMesh& input
 
   std::vector<std::pair<input_vertex_descriptor, output_vertex_descriptor> > bottom_v2v;
   std::vector<std::pair<input_halfedge_descriptor, output_halfedge_descriptor> > bottom_h2h;
-  copy_face_graph(input, output, std::back_inserter(bottom_v2v),
-                  std::back_inserter(bottom_h2h), Emptyset_iterator(),
-                  input_vpm, output_vpm);
+  copy_face_graph(input, output, parameters::vertex_point_map(input_vpm)
+                                            .vertex_to_vertex_output_iterator(std::back_inserter(bottom_v2v))
+                                            .halfedge_to_halfedge_output_iterator(std::back_inserter(bottom_h2h)),
+                                 parameters::vertex_point_map(output_vpm));
 
   // create the offset for the other side
   for(std::size_t i = 0; i< bottom_v2v.size(); ++i)
@@ -198,9 +199,11 @@ void extrude_mesh(const InputMesh& input
   // collect border halfedges for the creation of the triangle strip
   std::vector<std::pair<input_vertex_descriptor, output_vertex_descriptor> > top_v2v;
   std::vector<std::pair<input_halfedge_descriptor, output_halfedge_descriptor> > top_h2h;
-  copy_face_graph(input, output, std::inserter(top_v2v, top_v2v.end()),
-                  std::inserter(top_h2h, top_h2h.end()), Emptyset_iterator(),
-                  input_vpm, output_vpm);
+  copy_face_graph(input, output, parameters::vertex_point_map(input_vpm)
+                                            .vertex_to_vertex_output_iterator(std::inserter(top_v2v, top_v2v.end()))
+                                            .halfedge_to_halfedge_output_iterator(std::inserter(top_h2h, top_h2h.end())),
+                                 parameters::vertex_point_map(output_vpm));
+
   for(std::size_t i = 0; i< top_v2v.size(); ++i)
   {
     top(top_v2v[i].first, top_v2v[i].second);
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/fair.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/fair.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/fair.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/fair.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/fair.h $
-// $Id: fair.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/fair.h $
+// $Id: fair.h 86ae4be 2020-05-18T12:22:21+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ilker O. Yaz
 
@@ -91,7 +91,7 @@ namespace internal {
     \cgalParamBegin{fairing_continuity} tangential continuity of the output surface patch. The larger `fairing_continuity` gets, the more fixed vertices are required \cgalParamEnd
     \cgalParamBegin{sparse_linear_solver} an instance of the sparse linear solver used for fairing \cgalParamEnd
   \cgalNamedParamsEnd
-  
+
   @return `true` if fairing is successful, otherwise no vertices are relocated
 
   @pre `is_triangle_mesh(tmesh)`
@@ -137,7 +137,11 @@ namespace internal {
 #endif
 
     typedef typename GetVertexPointMap < TriangleMesh, NamedParameters>::type VPMap;
-    typedef CGAL::internal::Cotangent_weight_with_voronoi_area_fairing<TriangleMesh, VPMap>
+
+    // Cotangent_weight_with_voronoi_area_fairing has been changed to the version:
+    // Cotangent_weight_with_voronoi_area_fairing_secure to avoid imprecisions from
+    // the issue #4706 - https://github.com/CGAL/cgal/issues/4706.
+    typedef CGAL::internal::Cotangent_weight_with_voronoi_area_fairing_secure<TriangleMesh, VPMap>
       Default_Weight_calculator;
 
     VPMap vpmap_ = choose_parameter(get_parameter(np, internal_np::vertex_point),
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/AABB_traversal_traits_with_transformation.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/AABB_traversal_traits_with_transformation.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/AABB_traversal_traits_with_transformation.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/AABB_traversal_traits_with_transformation.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/AABB_traversal_traits_with_transformation.h $
-// $Id: AABB_traversal_traits_with_transformation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/AABB_traversal_traits_with_transformation.h $
+// $Id: AABB_traversal_traits_with_transformation.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -52,9 +52,9 @@ class Traversal_traits_with_transformati
 
     AK::Aff_transformation_3 a_at = c2f(at);
 
-    AK::FT xtrm[6] = { c2f(bbox.min(0)), c2f(bbox.max(0)),
-                       c2f(bbox.min(1)), c2f(bbox.max(1)),
-                       c2f(bbox.min(2)), c2f(bbox.max(2)) };
+    AK::FT xtrm[6] = { c2f((bbox.min)(0)), c2f((bbox.max)(0)),
+                       c2f((bbox.min)(1)), c2f((bbox.max)(1)),
+                       c2f((bbox.min)(2)), c2f((bbox.max)(2)) };
 
     typename AK::Point_3 ps[8];
     ps[0] = a_at( AK::Point_3(xtrm[0], xtrm[2], xtrm[4]) );
@@ -84,9 +84,9 @@ class Traversal_traits_with_transformati
 
     AK::Aff_transformation_3 a_at = c2f(at);
 
-    AK::FT xtrm[6] = { c2f(bbox.min(0)), c2f(bbox.max(0)),
-                       c2f(bbox.min(1)), c2f(bbox.max(1)),
-                       c2f(bbox.min(2)), c2f(bbox.max(2)) };
+    AK::FT xtrm[6] = { c2f((bbox.min)(0)), c2f((bbox.max)(0)),
+                       c2f((bbox.min)(1)), c2f((bbox.max)(1)),
+                       c2f((bbox.min)(2)), c2f((bbox.max)(2)) };
 
     typename AK::Point_3 ps[2];
     ps[0] = a_at( AK::Point_3(xtrm[0], xtrm[2], xtrm[4]) );
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Face_graph_output_builder.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Face_graph_output_builder.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Face_graph_output_builder.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Face_graph_output_builder.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Face_graph_output_builder.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Face_graph_output_builder.h $
 // $Id: Face_graph_output_builder.h b9a079b 2019-11-04T11:34:53+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/face_graph_utils.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/face_graph_utils.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/face_graph_utils.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/face_graph_utils.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/face_graph_utils.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/face_graph_utils.h $
 // $Id: face_graph_utils.h b7c2375 2020-02-14T14:46:19+01:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_callbacks.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_callbacks.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_callbacks.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_callbacks.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_callbacks.h $
-// $Id: intersection_callbacks.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_callbacks.h $
+// $Id: intersection_callbacks.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -296,7 +296,7 @@ public:
     }
 
     if ( abcq==COPLANAR &&
-         is_edge_target_incident_to_face(opposite(eh, tm), fh) ) 
+         is_edge_target_incident_to_face(opposite(eh, tm), fh) )
     {
       return; // no intersection (incident edge)
     }
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_impl.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_impl.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_impl.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_impl.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_impl.h $
 // $Id: intersection_impl.h 2c5826d 2020-01-17T16:29:49+01:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_nodes.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_nodes.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_nodes.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_nodes.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_nodes.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_nodes.h $
 // $Id: intersection_nodes.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_of_coplanar_triangles_3.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_of_coplanar_triangles_3.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_of_coplanar_triangles_3.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_of_coplanar_triangles_3.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_of_coplanar_triangles_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersection_of_coplanar_triangles_3.h $
 // $Id: intersection_of_coplanar_triangles_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Intersection_type.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Intersection_type.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Intersection_type.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Intersection_type.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Intersection_type.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Intersection_type.h $
 // $Id: Intersection_type.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersect_triangle_and_segment_3.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersect_triangle_and_segment_3.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersect_triangle_and_segment_3.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersect_triangle_and_segment_3.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersect_triangle_and_segment_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/intersect_triangle_and_segment_3.h $
 // $Id: intersect_triangle_and_segment_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Output_builder_for_autorefinement.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Output_builder_for_autorefinement.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Output_builder_for_autorefinement.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Output_builder_for_autorefinement.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Output_builder_for_autorefinement.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Output_builder_for_autorefinement.h $
 // $Id: Output_builder_for_autorefinement.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/predicates.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/predicates.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/predicates.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/predicates.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/predicates.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/predicates.h $
 // $Id: predicates.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Visitor.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Visitor.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Visitor.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Visitor.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Visitor.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Corefinement/Visitor.h $
 // $Id: Visitor.h 2c5826d 2020-01-17T16:29:49+01:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/do_no_use_CDT2.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/do_no_use_CDT2.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/do_no_use_CDT2.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/do_no_use_CDT2.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/do_no_use_CDT2.h $
-// $Id: do_no_use_CDT2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/do_no_use_CDT2.h $
+// $Id: do_no_use_CDT2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot
 
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/fair_impl.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/fair_impl.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/fair_impl.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/fair_impl.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/fair_impl.h $
-// $Id: fair_impl.h 2c5826d 2020-01-17T16:29:49+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/fair_impl.h $
+// $Id: fair_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Jane Tournois
 
@@ -59,7 +59,7 @@ public:
     , weight_calculator(weight_calculator)
     , ppmap(vpmap)
   { }
-  
+
 private:
   double sum_weight(vertex_descriptor v) {
   double weight = 0;
@@ -75,7 +75,7 @@ private:
   void compute_row(
     vertex_descriptor v,
     int row_id,                            // which row to insert in [ frees stay left-hand side ]
-    Solver_matrix& matrix, 
+    Solver_matrix& matrix,
     double& x, double& y, double& z,               // constants transfered to right-hand side
     double multiplier,
     const std::map<vertex_descriptor, std::size_t>& vertex_id_map,
@@ -87,7 +87,7 @@ private:
         int col_id = static_cast<int>(vertex_id_it->second);
         matrix.add_coef(row_id, col_id, multiplier);
       }
-      else { 
+      else {
         typename boost::property_traits<VertexPointMap>::reference p = get(ppmap, v);
         x += multiplier * - to_double(p.x());
         y += multiplier * - to_double(p.y());
@@ -119,7 +119,7 @@ public:
     int depth = static_cast<int>(fc) + 1;
     if(depth < 0 || depth > 3) {
       CGAL_warning_msg(false, "Continuity should be between 0 and 2 inclusively!");
-      return false; 
+      return false;
     }
 
     std::set<vertex_descriptor> interior_vertices(boost::begin(vertices),
@@ -170,25 +170,25 @@ public:
     // solve
     bool is_all_solved = solver.linear_solver(Bx, X) && solver.linear_solver(By, Y) && solver.linear_solver(Bz, Z);
     if(!is_all_solved) {
-      CGAL_warning_msg(false, "linear_solver failed!"); 
-      return false; 
+      CGAL_warning_msg(false, "linear_solver failed!");
+      return false;
     }
     #ifdef CGAL_PMP_FAIR_DEBUG
     std::cerr << "**Timer** System solver: " << timer.time() << std::endl; timer.reset();
     #endif
 
-    
-    /* This relative error is to large for cases that the results are not good */ 
+
+    /* This relative error is to large for cases that the results are not good */
     /*
     double rel_err_x = (A.eigen_object()*X - Bx).norm() / Bx.norm();
     double rel_err_y = (A.eigen_object()*Y - By).norm() / By.norm();
     double rel_err_z = (A.eigen_object()*Z - Bz).norm() / Bz.norm();
-    CGAL_TRACE_STREAM << "rel error: " << rel_err_x 
+    CGAL_TRACE_STREAM << "rel error: " << rel_err_x
                                 << " " << rel_err_y
                                 << " " << rel_err_z << std::endl;
                                 */
 
-    // update 
+    // update
     id = 0;
     for(vertex_descriptor vd : interior_vertices)
     {
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/do_not_use_DT3.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/do_not_use_DT3.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/do_not_use_DT3.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/do_not_use_DT3.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/do_not_use_DT3.h $
-// $Id: do_not_use_DT3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/do_not_use_DT3.h $
+// $Id: do_not_use_DT3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Jane Tournois
 
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/experimental/experimental_code.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/experimental/experimental_code.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/experimental/experimental_code.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/experimental/experimental_code.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/experimental/experimental_code.h $
-// $Id: experimental_code.h 2c5826d 2020-01-17T16:29:49+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/experimental/experimental_code.h $
+// $Id: experimental_code.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ilker O. Yaz
 
@@ -17,10 +17,10 @@
 
 // It can produce a patch from both complete and incomplete lambda
 // WARNING: Not working good for all cases
-// For holes, this code first close them then erase them. 
+// For holes, this code first close them then erase them.
 // However the algorithm might produce holes which are invalid to close (closing them breaks edge manifoldness, so erasing doesn't work)
 template<class Polyhedron, class OutputIteratorPatch, class OutputIteratorHole>
-struct Tracer_polyhedron_incomplete 
+struct Tracer_polyhedron_incomplete
 {
   typedef typename Polyhedron::Halfedge_handle Halfedge_handle;
   typedef typename Polyhedron::Facet_handle    Facet_handle;
@@ -33,12 +33,12 @@ struct Tracer_polyhedron_incomplete
   { }
 
   template <class LookupTable>
-  void 
+  void
   operator()(const LookupTable& lambda, int i, int k)
   {
     std::vector<Facet_handle> facets_to_delete;
     (*this)(lambda, i, k, facets_to_delete, true);
-    for(typename std::vector<Facet_handle>::iterator it = facets_to_delete.begin(); 
+    for(typename std::vector<Facet_handle>::iterator it = facets_to_delete.begin();
         it != facets_to_delete.end(); ++it)
     {
       *out_hole++=(*it)->halfedge(); // each deleted facet corresponds to a new hole
@@ -48,8 +48,8 @@ struct Tracer_polyhedron_incomplete
 
 private:
   template <class LookupTable>
-  Halfedge_handle 
-  operator()(const LookupTable& lambda, 
+  Halfedge_handle
+  operator()(const LookupTable& lambda,
              int i, int k,
              std::vector<Facet_handle>& facets_to_delete,
              bool last)
@@ -61,7 +61,7 @@ private:
 
       if(last)
       { h = polyhedron.fill_hole(P[i+1]); }
-      else 
+      else
       { h = polyhedron.add_facet_to_border(P[i+1]->prev(), P[i+2/*k*/]); }
 
       CGAL_assertion(h->facet() != Facet_handle());
@@ -74,14 +74,14 @@ private:
         *out++ = h->facet();
       }
       return h->opposite();
-    } 
-    else 
+    }
+    else
     {
       int la = lambda.get(i, k);
       if(la == -1) {
         if(last)
         { h = polyhedron.fill_hole(P[i+1]); }
-        else 
+        else
         { h = polyhedron.add_facet_to_border(P[i+1]->prev(), P[i+2/*k*/]); }
         facets_to_delete.push_back(h->facet());
         return h->opposite();
@@ -92,7 +92,7 @@ private:
 
         if(last)
         { h = polyhedron.fill_hole(g); }
-        else 
+        else
         { h = polyhedron.add_facet_to_border(h->prev(), g); }
 
         CGAL_assertion(h->facet() != Facet_handle());
@@ -112,11 +112,11 @@ public:
 // Try closing holes by gathering incomplete patches together (an external approach)
 template <typename OutputIteratorValueType, typename InputIterator, typename OutputIterator>
 OutputIterator
-triangulate_hole_polyline_incomplete(InputIterator pbegin, InputIterator pend, 
-                                     InputIterator qbegin, InputIterator qend, 
+triangulate_hole_polyline_incomplete(InputIterator pbegin, InputIterator pend,
+                                     InputIterator qbegin, InputIterator qend,
                                      OutputIterator out)
 {
-  
+
   typedef typename std::iterator_traits<InputIterator>::value_type Point_3;
   typedef Weight_incomplete<Weight_min_max_dihedral_and_area>      Weight;
   typedef Weight_calculator<Weight, Is_valid_degenerate_triangle>  WC;
@@ -125,7 +125,7 @@ triangulate_hole_polyline_incomplete(Inp
   typedef std::back_insert_iterator<Facet_vector>                     OutIt;
   typedef Tracer_polyline_incomplete<Facet_vector::value_type, OutIt> Tracer;
   typedef std::pair<int, int> Range;
-   
+
   std::vector<Point_3> P(pbegin, pend);
   std::vector<Point_3> Q(qbegin, qend);
 
@@ -135,7 +135,7 @@ triangulate_hole_polyline_incomplete(Inp
       Q.push_back(Q.front());
     }
   }
-  
+
   std::vector<OutputIteratorValueType>   patch_facets;
   std::stack<Range>                      remaining_holes;
 
@@ -184,8 +184,8 @@ triangulate_hole_polyline_incomplete(Inp
 // (for Polyhedron_3) Try closing holes by gathering incomplete patches together (an external approach)
 template<class Polyhedron, class OutputIterator>
 std::pair<OutputIterator, Weight_min_max_dihedral_and_area>
-triangulate_hole_Polyhedron_incomplete(Polyhedron& polyhedron, 
-                                       typename Polyhedron::Halfedge_handle border_halfedge, 
+triangulate_hole_Polyhedron_incomplete(Polyhedron& polyhedron,
+                                       typename Polyhedron::Halfedge_handle border_halfedge,
                                        OutputIterator out)
 {
   typedef typename Polyhedron::Halfedge_handle Halfedge_handle;
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/Triangulate_hole_polygon_mesh.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/Triangulate_hole_polygon_mesh.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/Triangulate_hole_polygon_mesh.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/Triangulate_hole_polygon_mesh.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/Triangulate_hole_polygon_mesh.h $
-// $Id: Triangulate_hole_polygon_mesh.h 2c5826d 2020-01-17T16:29:49+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/Triangulate_hole_polygon_mesh.h $
+// $Id: Triangulate_hole_polygon_mesh.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ilker O. Yaz
 
@@ -30,7 +30,7 @@ namespace internal {
 
 
 template<class PolygonMesh, class OutputIterator>
-struct Tracer_polyhedron 
+struct Tracer_polyhedron
 {
   typedef typename boost::graph_traits<PolygonMesh>::halfedge_descriptor halfedge_descriptor;
 
@@ -41,8 +41,8 @@ struct Tracer_polyhedron
   { }
 
   template <class LookupTable>
-  halfedge_descriptor 
-  operator()(const LookupTable& lambda, 
+  halfedge_descriptor
+  operator()(const LookupTable& lambda,
              int i, int k,
              bool last = true)
   {
@@ -54,14 +54,14 @@ struct Tracer_polyhedron
         {
           h = P[i+1];
           Euler::fill_hole(h,pmesh); }
-      else 
+      else
         { h = Euler::add_face_to_border(prev(P[i+1],pmesh), P[i+2/*k*/], pmesh); }
-      
+
       CGAL_assertion(face(h,pmesh) != boost::graph_traits<PolygonMesh>::null_face());
       *out++ = face(h,pmesh);
       return opposite(h,pmesh);
-    } 
-    else 
+    }
+    else
     {
       int la = lambda.get(i, k);
       h = operator()(lambda, i, la, false);
@@ -72,7 +72,7 @@ struct Tracer_polyhedron
           h = g;
           Euler::fill_hole(g,pmesh);
         }
-      else 
+      else
         { h = Euler::add_face_to_border(prev(h,pmesh), g, pmesh); }
 
       CGAL_assertion(face(h,pmesh) != boost::graph_traits<PolygonMesh>::null_face());
@@ -88,8 +88,8 @@ struct Tracer_polyhedron
 
 // This function is used in test cases (since it returns not just OutputIterator but also Weight)
 template<class PolygonMesh, class OutputIterator, class VertexPointMap, class Kernel>
-std::pair<OutputIterator, CGAL::internal::Weight_min_max_dihedral_and_area> 
-triangulate_hole_polygon_mesh(PolygonMesh& pmesh, 
+std::pair<OutputIterator, CGAL::internal::Weight_min_max_dihedral_and_area>
+triangulate_hole_polygon_mesh(PolygonMesh& pmesh,
             typename boost::graph_traits<PolygonMesh>::halfedge_descriptor border_halfedge,
             OutputIterator out,
             VertexPointMap vpmap,
@@ -100,7 +100,7 @@ triangulate_hole_polygon_mesh(PolygonMes
   typedef typename boost::graph_traits<PolygonMesh>::vertex_descriptor vertex_descriptor;
   typedef typename boost::graph_traits<PolygonMesh>::halfedge_descriptor halfedge_descriptor;
   typedef typename Kernel::Point_3 Point_3;
-  
+
   typedef std::map<vertex_descriptor, int>    Vertex_map;
   typedef typename Vertex_map::iterator       Vertex_map_it;
 
@@ -128,7 +128,7 @@ triangulate_hole_polygon_mesh(PolygonMes
                             CGAL::internal::Weight_min_max_dihedral_and_area::NOT_VALID());
     }
   } while (++circ != done);
-  
+
   // existing_edges contains neighborhood information between boundary vertices
   // more precisely if v_i is neighbor to any other vertex than v_(i-1) and v_(i+1),
   // this edge is put into existing_edges
@@ -173,7 +173,7 @@ triangulate_hole_polygon_mesh(PolygonMes
   // fill hole using polyline function, with custom tracer for PolygonMesh
   Tracer_polyhedron<PolygonMesh, OutputIterator>
     tracer(out, pmesh, P_edges);
-  CGAL::internal::Weight_min_max_dihedral_and_area weight = 
+  CGAL::internal::Weight_min_max_dihedral_and_area weight =
     triangulate_hole_polyline(P, Q, tracer, WC(is_valid),
       use_delaunay_triangulation, k)
 #ifdef CGAL_USE_WEIGHT_INCOMPLETE
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/Triangulate_hole_polyline.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/Triangulate_hole_polyline.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/Triangulate_hole_polyline.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/Triangulate_hole_polyline.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/Triangulate_hole_polyline.h $
-// $Id: Triangulate_hole_polyline.h 2c5826d 2020-01-17T16:29:49+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Hole_filling/Triangulate_hole_polyline.h $
+// $Id: Triangulate_hole_polyline.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ilker O. Yaz
 
@@ -61,11 +61,11 @@ private:
   bool bound_check(int i, int j) const {
     CGAL_assertion(i >= 0 && i < n);
     CGAL_assertion(j >= 0 && j < n);
-    CGAL_assertion(i < j); 
+    CGAL_assertion(i < j);
     CGAL_USE(i);
     CGAL_USE(j);
     // previous implementation was based on directly vector and i supposed to be always smaller than j.
-    // this check actually can be removed and i =min(i,j) j = max(i,j) can be used for reflexive access 
+    // this check actually can be removed and i =min(i,j) j = max(i,j) can be used for reflexive access
     return true;
   }
   std::vector<T> table;
@@ -80,12 +80,12 @@ public:
 
   void put(int i, int j, const T& t) {
     CGAL_assertion(bound_check(i,j));
-    
+
     if(t == default_) {
       table.erase(std::make_pair(i,j));
       return;
     }
-    
+
     std::pair<typename Map::iterator, bool> inserted = table.insert(std::make_pair(std::make_pair(i,j), t));
     if(!inserted.second) { inserted.first->second = t;}
   }
@@ -106,14 +106,14 @@ public:
     //                                                                      5-6
     typename Map::iterator it;
     if(b == 0) { it = table.begin(); }
-    else       { 
+    else       {
       it = table.upper_bound(std::make_pair(b-1, n)); // to find first entry where entry.first == b
     }
 
     while(it != table.end() && it->first.first != e) {
-      if(it->first.second <= e) 
+      if(it->first.second <= e)
       { table.erase(it++); }
-      else 
+      else
       { ++it; }
     }
   }
@@ -139,8 +139,8 @@ private:
 struct Is_valid_existing_edges
 {
   typedef std::vector<std::pair<int, int> > Edge_container;
-  
-  Is_valid_existing_edges(Edge_container& existing_edges) 
+
+  Is_valid_existing_edges(Edge_container& existing_edges)
     : existing_edges(existing_edges)
   {
     std::sort(existing_edges.begin(), existing_edges.end());
@@ -154,7 +154,7 @@ struct Is_valid_existing_edges
 
   template<class Point_3>
   bool operator()(const std::vector<Point_3>&,
-                  int v0, int v1, int v2) const 
+                  int v0, int v1, int v2) const
   {
     CGAL_assertion(v0 < v1 && v1 < v2);
 
@@ -165,7 +165,7 @@ struct Is_valid_existing_edges
     if(v1 + 1 != v2 &&
       std::binary_search(existing_edges.begin(), existing_edges.end(), std::make_pair(v1,v2)) )
     { return false; }
-    
+
     if(std::binary_search(existing_edges.begin(), existing_edges.end(), std::make_pair(v2,v0)) )
     { return false; }
 
@@ -179,7 +179,7 @@ struct Is_not_degenerate_triangle
 {
   template<class Point_3>
   bool operator()(const std::vector<Point_3>& P,
-                  int v0, int v1, int v2) const 
+                  int v0, int v1, int v2) const
   {
     return !CGAL::collinear(P[v0], P[v1], P[v2]);
   }
@@ -193,7 +193,7 @@ struct Is_valid_existing_edges_and_degen
 
   template<class Point_3>
   bool operator()(const std::vector<Point_3>& P,
-                  int v0, int v1, int v2) const 
+                  int v0, int v1, int v2) const
   {
     return Is_not_degenerate_triangle()(P,v0,v1,v2)
                       && is_valid_edges(P,v0,v1,v2);
@@ -207,7 +207,7 @@ struct Is_valid_existing_edges_and_degen
  ************************************************************************/
 
 // First minimizes the worst dihedral angle between patch triangles, then the total surface area as a tiebreaker.
-class Weight_min_max_dihedral_and_area 
+class Weight_min_max_dihedral_and_area
 {
   template<class Weight_, class IsValid>
   friend struct Weight_calculator;
@@ -223,22 +223,22 @@ public:
 // below required by Weight concept
 private:
   template<class Point_3, class LookupTable>
-  Weight_min_max_dihedral_and_area(const std::vector<Point_3>& P, 
-                                   const std::vector<Point_3>& Q, 
-                                   int i, int j, int k, 
+  Weight_min_max_dihedral_and_area(const std::vector<Point_3>& P,
+                                   const std::vector<Point_3>& Q,
+                                   int i, int j, int k,
                                    const LookupTable& lambda)
   {
     CGAL_assertion(i < j);
     CGAL_assertion(j < k);
     int n = static_cast<int>(P.size()) -1; // because the first and last point are equal
-    
+
     // The CGAL::dihedral angle is measured between the oriented triangles, that is it goes from [-pi, pi]
     // What we need is the angle between the normals of the triangles between [0, pi]
     double ang_max = 0;
 
     // Test each edge
     int vertices[] = {i, j, k};
-    for(int e = 0; e < 3; ++e) 
+    for(int e = 0; e < 3; ++e)
     {
       int v0      = vertices[e];
       int v1      = vertices[(e+1)%3];
@@ -246,25 +246,25 @@ private:
       double angle = 0;
       // check whether the edge is border
       if( (v0 + 1 == v1 || (v0 == n-1 && v1 == 0) ) && !Q.empty() ) {
-        angle = 180 - CGAL::abs( 
+        angle = 180 - CGAL::abs(
            to_double(CGAL::approximate_dihedral_angle(P[v0],P[v1],P[v_other],Q[v0])) );
       }
       else {
         if(e == 2) { continue; }
         if(lambda.get(v0, v1) != -1){
           const Point_3& p01 = P[lambda.get(v0, v1)];
-          angle = 180 - CGAL::abs( 
+          angle = 180 - CGAL::abs(
             to_double(CGAL::approximate_dihedral_angle(P[v0],P[v1],P[v_other],p01)) );
         }
       }
       ang_max = (std::max)(ang_max, angle);
     }
-   
+
     w = std::make_pair(ang_max, to_double(CGAL::approximate_sqrt(CGAL::squared_area(P[i],P[j],P[k]))));
   }
 
 public:
-  Weight_min_max_dihedral_and_area operator+(const Weight_min_max_dihedral_and_area& w2) const 
+  Weight_min_max_dihedral_and_area operator+(const Weight_min_max_dihedral_and_area& w2) const
   {
     CGAL_assertion((*this) != NOT_VALID());
     CGAL_assertion(w2 != NOT_VALID());
@@ -282,15 +282,15 @@ public:
     return w.first < w2.w.first;
   }
 
-  bool operator==(const Weight_min_max_dihedral_and_area& w2) const 
+  bool operator==(const Weight_min_max_dihedral_and_area& w2) const
   { return w.first == w2.w.first && w.second == w2.w.second; }
 
-  bool operator!=(const Weight_min_max_dihedral_and_area& w2) const 
+  bool operator!=(const Weight_min_max_dihedral_and_area& w2) const
   { return !(*this == w2); }
 
   static const Weight_min_max_dihedral_and_area DEFAULT() // rule: x + DEFAULT() == x
   { return Weight_min_max_dihedral_and_area(0,0); }
-  static const Weight_min_max_dihedral_and_area NOT_VALID() 
+  static const Weight_min_max_dihedral_and_area NOT_VALID()
   { return Weight_min_max_dihedral_and_area(-1,-1); }
 
   friend std::ostream& operator<<(std::ostream& out, const Weight_min_max_dihedral_and_area& w) {
@@ -310,9 +310,9 @@ private:
   Weight_total_edge(double total_length = 0) : total_length(total_length) { }
 
   template<class Point_3, class LookupTable>
-  Weight_total_edge(const std::vector<Point_3>& P, 
-                    const std::vector<Point_3>&, 
-                    int i, int j, int k, 
+  Weight_total_edge(const std::vector<Point_3>& P,
+                    const std::vector<Point_3>&,
+                    int i, int j, int k,
                     const LookupTable&)
     : total_length(0)
   {
@@ -322,11 +322,11 @@ private:
 
     // Test each edge
     int vertices[] = {i, j, k};
-    for(int e = 0; e < 3; ++e) 
+    for(int e = 0; e < 3; ++e)
     {
       int v0      = vertices[e];
       int v1      = vertices[(e+1)%3];
-        
+
       // check whether the edge is border
       bool border = (v0 + 1 == v1) || (v0 == n-1 && v1 == 0);
       if(!border) {
@@ -336,7 +336,7 @@ private:
   }
 
 public:
-  Weight_total_edge operator+(const Weight_total_edge& w2) const 
+  Weight_total_edge operator+(const Weight_total_edge& w2) const
   {
     CGAL_assertion((*this) != NOT_VALID());
     CGAL_assertion(w2 != NOT_VALID());
@@ -344,15 +344,15 @@ public:
   }
 
   bool operator<(const Weight_total_edge& w2) const
-  { 
+  {
     CGAL_assertion((*this) != NOT_VALID());
     CGAL_assertion(w2 != NOT_VALID());
-    return total_length < w2.total_length; 
+    return total_length < w2.total_length;
   }
 
-  bool operator==(const Weight_total_edge& w2) const 
+  bool operator==(const Weight_total_edge& w2) const
   { return total_length == w2.total_length; }
-  bool operator!=(const Weight_total_edge& w2) const 
+  bool operator!=(const Weight_total_edge& w2) const
   { return !(*this == w2); }
 
   static const Weight_total_edge DEFAULT() { return Weight_total_edge(0); } // rule: x + DEFAULT() == x
@@ -372,19 +372,19 @@ class Weight_incomplete
 
 private:
   template<class Point_3, class LookupTable>
-  Weight_incomplete(const std::vector<Point_3>& P, 
-    const std::vector<Point_3>& Q, 
-    int i, int j, int k, 
+  Weight_incomplete(const std::vector<Point_3>& P,
+    const std::vector<Point_3>& Q,
+    int i, int j, int k,
     const LookupTable& lambda)
     : weight(P,Q,i,j,k,lambda), patch_size(1)
   { }
 
-  Weight_incomplete(const ActualWeight& weight, int patch_size) 
+  Weight_incomplete(const ActualWeight& weight, int patch_size)
     : weight(weight), patch_size(patch_size)
   { }
 
 public:
-  Weight_incomplete operator+(const Weight_incomplete& w2) const 
+  Weight_incomplete operator+(const Weight_incomplete& w2) const
   {
     CGAL_assertion((*this) != NOT_VALID());
     CGAL_assertion(w2 != NOT_VALID());
@@ -403,10 +403,10 @@ public:
     return patch_size > w2.patch_size; // if patch size is larger, then the weight is smaller
   }
 
-  bool operator==(const Weight_incomplete& w2) const 
+  bool operator==(const Weight_incomplete& w2) const
   { return weight == w2.weight && patch_size == w2.patch_size; }
 
-  bool operator!=(const Weight_incomplete& w2) const 
+  bool operator!=(const Weight_incomplete& w2) const
   { return !(*this == w2); }
 
   static const Weight_incomplete DEFAULT() // rule: x + DEFAULT() == x
@@ -425,18 +425,18 @@ public:
 
 // Weight calculator class is both responsible from calculating weights, and checking validity of triangle
 template<class Weight_, class IsValid>
-struct Weight_calculator 
+struct Weight_calculator
 {
   typedef Weight_ Weight;
   Weight_calculator(const IsValid& is_valid = IsValid()) : is_valid(is_valid) { }
 
   template<class Point_3, class LookupTable>
-  Weight operator()(const std::vector<Point_3>& P, 
-    const std::vector<Point_3>& Q, 
-    int i, int j, int k, 
-    const LookupTable& lambda) const 
+  Weight operator()(const std::vector<Point_3>& P,
+    const std::vector<Point_3>& Q,
+    int i, int j, int k,
+    const LookupTable& lambda) const
   {
-    if( !is_valid(P,i,j,k) ) 
+    if( !is_valid(P,i,j,k) )
     { return Weight::NOT_VALID(); }
     return Weight(P, Q, i,j,k, lambda);
   }
@@ -449,7 +449,7 @@ struct Weight_calculator
 // It can produce a patch from both complete and incomplete lambda
 template<class OutputIteratorValueType, class OutputIteratorPatch, class OutputIteratorHole>
 struct Tracer_polyline_incomplete {
-  Tracer_polyline_incomplete(OutputIteratorPatch out, OutputIteratorHole out_hole) 
+  Tracer_polyline_incomplete(OutputIteratorPatch out, OutputIteratorHole out_hole)
     : out(out), out_hole(out_hole)
   { }
 
@@ -462,7 +462,7 @@ struct Tracer_polyline_incomplete {
     ranges.push(std::make_pair(v0, v1));
 
     while(!ranges.empty()) {
-      std::pair<int, int> r = ranges.top(); 
+      std::pair<int, int> r = ranges.top();
       ranges.pop();
       CGAL_assertion(r.first >= 0 && r.first < n);
       CGAL_assertion(r.second >= 0 && r.second < n);
@@ -497,7 +497,7 @@ template<unsigned int Dimension, class T
 struct Incident_facet_circulator;
 
 template<class Triangulator>
-struct Incident_facet_circulator_base 
+struct Incident_facet_circulator_base
 {
   typedef typename Triangulator::Facet         Facet;
   typedef typename Triangulator::Edge          Edge;
@@ -510,7 +510,7 @@ struct Incident_facet_circulator_base
     { return (std::min)(e.first->vertex(e.second)->info(), e.first->vertex(e.third)->info()); }
     int vertex_second()
     { return (std::max)(e.first->vertex(e.second)->info(), e.first->vertex(e.third)->info()); }
-    
+
     Edge e;
   };
 
@@ -524,7 +524,7 @@ struct Incident_facet_circulator_base
       if(i == f.second) { continue; } // skip the vertex which is not on `f`
       int f3 = f.first->vertex(i)->info();
       if(f3 != v0_info && f3 != v1_info) {
-        return f3; 
+        return f3;
       }
     }
     CGAL_assertion(false);
@@ -534,8 +534,8 @@ struct Incident_facet_circulator_base
   Edge_wrapper edge_first(Facet f, Edge e) {
     int v0_info = (std::min)(e.first->vertex(e.second)->info(),
                              e.first->vertex(e.third)->info());
-    return Edge(f.first, 
-                get_vertex_index(f.first, v0_info) , 
+    return Edge(f.first,
+                get_vertex_index(f.first, v0_info) ,
                 get_vertex_index(f.first, get_third(f,e)));
   }
 
@@ -586,9 +586,9 @@ struct Incident_facet_circulator<2, Tria
 
   int get_third()
   { return Incident_facet_circulator_base<Triangulator>::get_third(it, e); }
-  Edge_wrapper edge_first() 
+  Edge_wrapper edge_first()
   { return Incident_facet_circulator_base<Triangulator>::edge_first(it, e); }
-  Edge_wrapper edge_second() 
+  Edge_wrapper edge_second()
   { return Incident_facet_circulator_base<Triangulator>::edge_second(it, e); }
 
   Facet f1, f2, it;
@@ -614,12 +614,12 @@ struct Incident_facet_circulator<3, Tria
     return *this;
   }
   operator bool() const { return it != end; }
-  
-  int get_third() 
+
+  int get_third()
   { return Incident_facet_circulator_base<Triangulator>::get_third(*it, e); }
-  Edge_wrapper edge_first() 
+  Edge_wrapper edge_first()
   { return Incident_facet_circulator_base<Triangulator>::edge_first(*it, e); }
-  Edge_wrapper edge_second() 
+  Edge_wrapper edge_second()
   { return Incident_facet_circulator_base<Triangulator>::edge_second(*it, e); }
 
   Facet_circulator it;
@@ -629,7 +629,7 @@ struct Incident_facet_circulator<3, Tria
 
 // Another DS for search space, which can be used in triangulate_DT
 // It is useful for extending the search space of 3D Triangulation by appending new triangles
-struct Edge_graph 
+struct Edge_graph
 {
   struct Edge_comp {
     bool operator()(std::pair<int, int> p0, std::pair<int, int> p1) const {
@@ -682,7 +682,7 @@ struct Edge_graph
     typedef typename Triangulation::Finite_edges_iterator Finite_edges_iterator;
 
     n = static_cast<int>(edge_exist.size());
-    for(Finite_edges_iterator eb = tr.finite_edges_begin(); eb != tr.finite_edges_end(); ++eb) 
+    for(Finite_edges_iterator eb = tr.finite_edges_begin(); eb != tr.finite_edges_end(); ++eb)
     {
       int v0 = eb->first->vertex(eb->second)->info();
       int v1 = eb->first->vertex(eb->third )->info();
@@ -728,14 +728,14 @@ class Triangulate_hole_polyline;
 
 #ifndef CGAL_HOLE_FILLING_DO_NOT_USE_DT3
 // By default Lookup_table_map is used, since Lookup_table requires n*n mem.
-// Performance decrease is nearly 2x (for n = 10,000, for larger n Lookup_table just goes out of mem) 
+// Performance decrease is nearly 2x (for n = 10,000, for larger n Lookup_table just goes out of mem)
 template<
   class Kernel,
   class Tracer,
   class WeightCalculator,
   template <class> class LookupTable = Lookup_table_map
 >
-class Triangulate_hole_polyline_DT 
+class Triangulate_hole_polyline_DT
 {
   struct Auto_count {
     typedef std::pair<typename Kernel::Point_3, int> result_type;
@@ -766,7 +766,7 @@ public:
   typedef Incident_facet_circulator<2, Triangulate_hole_polyline_DT> IFC_2;
   typedef Incident_facet_circulator<3, Triangulate_hole_polyline_DT> IFC_3;
 
-  Weight operator()(const Polyline_3& P, 
+  Weight operator()(const Polyline_3& P,
                     const Polyline_3& Q,
                     Tracer& tracer,
                     const WeightCalculator& WC) const
@@ -795,7 +795,7 @@ public:
       LookupTable<int>    lambda(n,-1);
 
       typename Incident_facet_circulator_base<Triangulate_hole_polyline_DT>::Edge_wrapper
-        e_start(*boost::get<0>(res)); 
+        e_start(*boost::get<0>(res));
       if(tr.dimension() == 3) {
         triangulate_DT<IFC_3>(P, Q, W, lambda, e_start, tr, WC, false);
       }
@@ -816,12 +816,12 @@ public:
       tracer(lambda, 0, n-1);
       return W.get(0,n-1);
     }
-    
+
     // How to handle missing border edges
     #if 1
     return fill_by_extra_triangles(tr, edge_exist, P, Q, tracer, WC);
     #else
-    // This approach produce better patches when used with Weight_incomplete 
+    // This approach produce better patches when used with Weight_incomplete
     // (which should be arranged in internal::triangulate_hole_Polyhedron, triangulate_polyline)
     return fill_by_incomplete_patches(tr, res.get<0>(), edge_exist, P, Q, tracer, WC);
     #endif
@@ -841,10 +841,10 @@ private:
   *   - edge_first() and edge_second() neighbor edges to get_third() vertex
   ************************************************************************/
   template<class IncidentFacetCirculator, class Edge_DT, class Triangulation_DT>
-  void triangulate_DT(const Polyline_3& P, 
-                      const Polyline_3& Q, 
-                      LookupTable<Weight>& W, 
-                      LookupTable<int>& lambda, 
+  void triangulate_DT(const Polyline_3& P,
+                      const Polyline_3& Q,
+                      LookupTable<Weight>& W,
+                      LookupTable<int>& lambda,
                       Edge_DT e,
                       const Triangulation_DT& tr,
                       const WeightCalculator& WC,
@@ -876,7 +876,7 @@ private:
       if(WC(P,Q, v0,v2,v1, lambda) == Weight::NOT_VALID())
       { continue; } // computed weight in here is not correct weight
                     // since max dih angle requires neighbor ranges to be already computed. It is just for checking validity.
-      
+
       Weight w = Weight::DEFAULT();
 
       Edge_DT e0 = fb.edge_first(); // edge v0-v2
@@ -884,7 +884,7 @@ private:
       triangulate_DT<IncidentFacetCirculator>(P, Q, W, lambda, e0, tr, WC, produce_incomplete); // region v0-v2
       const Weight& we0 = W.get(v0, v2);
 
-      if(!produce_incomplete && we0 == Weight::NOT_VALID()) 
+      if(!produce_incomplete && we0 == Weight::NOT_VALID())
       { continue; } // not producing incomplete patches and failed to fill sub-range v0-v2, so no reason to proceed
       if(we0 != Weight::NOT_VALID()) // to not consider we0 if it is NOT_VALID (it is valid when produce_incomplete = true)
       { w = w + we0; }
@@ -894,7 +894,7 @@ private:
       triangulate_DT<IncidentFacetCirculator>(P, Q, W, lambda, e1, tr, WC, produce_incomplete); // region v2-v1
       const Weight& we1 = W.get(v2, v1);
 
-      if(!produce_incomplete && we1 == Weight::NOT_VALID()) 
+      if(!produce_incomplete && we1 == Weight::NOT_VALID())
       { continue; }
       if(we1 != Weight::NOT_VALID()) // to not consider we1 if it is NOT_VALID (it is valid when produce_incomplete = true)
       { w = w + we1; }
@@ -916,7 +916,7 @@ private:
   construct_3D_triangulation(const Polyline_3& P,
                              std::pair<int,int> h,
                              Triangulation& tr,
-                             std::vector<bool>& edge_exist) const 
+                             std::vector<bool>& edge_exist) const
   {
     // construct 3D tr with P[h.first], P[h.second] also assign ids from h.first to h.second
     boost::optional<Edge> e;
@@ -933,7 +933,7 @@ private:
     Finite_edges_iterator v_first_v_second_edge; // range.first - range.second edge
     for(Finite_edges_iterator eb = tr.finite_edges_begin();
         eb != tr.finite_edges_end();
-        ++eb) 
+        ++eb)
     {
       int v0_id = eb->first->vertex(eb->second)->info();
       int v1_id = eb->first->vertex(eb->third )->info();
@@ -963,13 +963,13 @@ private:
   * Try to construct hole part by part.
   *
   * What need to be improved:
-  *  + if 3D triangulation does not contain the start-edge (edge between v0 vn-1) we directly switch to all space. 
+  *  + if 3D triangulation does not contain the start-edge (edge between v0 vn-1) we directly switch to all space.
   *  + when switched to all-space, we use map based lookup tables.
   ************************************************************************/
   Weight fill_by_incomplete_patches(Triangulation& tr,
                                     boost::optional<Edge> start_edge,
                                     std::vector<bool>& edge_exist,
-                                    const Polyline_3& P, 
+                                    const Polyline_3& P,
                                     const Polyline_3& Q,
                                     Tracer& tracer,
                                     const WeightCalculator& WC) const
@@ -977,11 +977,11 @@ private:
     typedef std::pair<int, int> Range;
     typedef std::back_insert_iterator<std::vector<Range> > Output_hole_iterator;
     typedef Tracer_polyline_incomplete<boost::tuple<int, int, int>, Emptyset_iterator, Output_hole_iterator> Remaining_holes_tracer;
-    
+
     std::vector<Range> remaining_holes;
-    
+
     int n_all = P.size()-1;// because the first point and last point are equal
-    remaining_holes.push_back(Range(0, n_all-1)); // corresponds to start_edge 
+    remaining_holes.push_back(Range(0, n_all-1)); // corresponds to start_edge
 
     LookupTable<Weight> W(n_all, Weight::DEFAULT()); // do not forget that these default values are not changed for [i, i+1]
     LookupTable<int>    lambda(n_all,-1);
@@ -989,15 +989,15 @@ private:
     while(true) {
       Range h = remaining_holes.back();
       remaining_holes.pop_back();
-     
+
       if(start_edge) {
         typename IFC_3::Edge_wrapper e(*start_edge);
-        CGAL_assertion(h.first == e.vertex_first() && 
-                       h.second == e.vertex_second()); 
+        CGAL_assertion(h.first == e.vertex_first() &&
+                       h.second == e.vertex_second());
       }
 
       if(!start_edge) {
-        // switch to brute force 
+        // switch to brute force
         Triangulate_hole_polyline<Kernel, Tracer, WeightCalculator, LookupTable> all_space;
         all_space.triangulate_all(P, Q, WC, std::make_pair(h.first, h.second), W, lambda);
         if(W.get(h.first, h.second) == Weight::NOT_VALID()) {
@@ -1008,7 +1008,7 @@ private:
       else {
         // run the algorithm
         typename IFC_3::Edge_wrapper e(*start_edge);
-        if(tr.dimension() == 3) 
+        if(tr.dimension() == 3)
         {
           triangulate_DT<IFC_3>(P, Q, W, lambda, e, tr, WC, true);
         }
@@ -1018,7 +1018,7 @@ private:
         }
         // check whether there is any improvement (at least we should construct one triangle)
         if(W.get(h.first, h.second) == Weight::NOT_VALID()) {
-          // switch to brute force 
+          // switch to brute force
           Triangulate_hole_polyline<Kernel, Tracer, WeightCalculator, LookupTable> all_space;
           all_space.triangulate_all(P, Q, WC, std::make_pair(h.first, h.second), W, lambda);
           if(W.get(h.first, h.second) == Weight::NOT_VALID()) {
@@ -1047,13 +1047,13 @@ private:
     }
     tracer(lambda, 0, n_all-1);
 
-    // W.get(0, n_all -1) is not correct weight (since we do not update weights while we are filling remaining holes), 
+    // W.get(0, n_all -1) is not correct weight (since we do not update weights while we are filling remaining holes),
     // we need to recalculate it
     std::stack<std::pair<int, int> > ranges;
     ranges.push(std::make_pair(0, n_all-1));
     Weight total_weight = Weight::DEFAULT();
     while(!ranges.empty()) {
-      std::pair<int, int> r = ranges.top(); 
+      std::pair<int, int> r = ranges.top();
       ranges.pop();
       if(r.first + 1 == r.second) { continue; }
       int la = lambda.get(r.first, r.second);
@@ -1063,20 +1063,20 @@ private:
     }
     return total_weight;
   }
-  
+
   /************************************************************************
    * This approach extends the search space by adding extra triangles.
    *
    * + Initial search space is 3D Triangulation.
    * + For each border edge which is not inside 3DT, we add all possible triangles containing that edge to the search space.
-   *   Example: say border edge [4-5] is not found in 3DT, then triangles = { [0,4,5] [1,4,5] [2,4,5] ... [ n-1,4,5] } 
+   *   Example: say border edge [4-5] is not found in 3DT, then triangles = { [0,4,5] [1,4,5] [2,4,5] ... [ n-1,4,5] }
    *   are added to the search space.
    *
    * I guess this approach does not make the search space complete, since there are some cases that it still returns no patch.
    ************************************************************************/
-  Weight fill_by_extra_triangles(const Triangulation& tr, 
+  Weight fill_by_extra_triangles(const Triangulation& tr,
                                  const std::vector<bool>& edge_exist,
-                                 const Polyline_3& P, 
+                                 const Polyline_3& P,
                                  const Polyline_3& Q,
                                  Tracer& tracer,
                                  const WeightCalculator& WC) const
@@ -1087,15 +1087,15 @@ private:
 
     Edge_graph edge_graph;
 
-    if(tr.dimension() == 3) 
+    if(tr.dimension() == 3)
     { edge_graph.init<IFC_3>(tr, edge_exist); }
-    else 
+    else
     { edge_graph.init<IFC_2>(tr, edge_exist); }
 
     Edge_graph::Edge_wrapper e_start(std::make_pair(0, n-1));
     triangulate_DT<Edge_graph::Incident_facet_circulator>
       (P, Q, W, lambda, e_start, edge_graph, WC, false);
-    
+
     if(W.get(0, n-1) == Weight::NOT_VALID()) {
       #ifndef CGAL_TEST_SUITE
       CGAL_warning_msg(false, "Returning no output using Delaunay triangulation.\n Falling back to the general Triangulation framework.");
@@ -1135,11 +1135,11 @@ public:
     CGAL_assertion(P.front() == P.back());
     CGAL_assertion(Q.empty() || (Q.front() == Q.back()));
     CGAL_assertion(Q.empty() || (P.size() == Q.size()));
-    
+
     int n = static_cast<int>(P.size()) - 1;                       // because the first and last point are equal
     LookupTable<Weight> W(n,Weight::DEFAULT()); // do not forget that these default values are not changed for [i, i+1]
     LookupTable<int>    lambda(n,-1);
-    
+
     triangulate_all(P, Q, WC, std::make_pair(0,n-1), W, lambda);
 
     if(W.get(0,n-1) == Weight::NOT_VALID() || n <= 2) {
@@ -1159,23 +1159,23 @@ public:
                        const Polyline_3& Q,
                        const WeightCalculator& WC,
                        std::pair<int, int> range,
-                       LookupTable<Weight>& W, 
+                       LookupTable<Weight>& W,
                        LookupTable<int>& lambda) const
   {
     for(int j = 2; j<= range.second; ++j) {              // determines range (2 - 3 - 4 )
-      for(int i=range.first; i<= range.second-j; ++i) {  // iterates over ranges and find min triangulation in those ranges 
+      for(int i=range.first; i<= range.second-j; ++i) {  // iterates over ranges and find min triangulation in those ranges
         int k = i+j;                                     // like [0-2, 1-3, 2-4, ...], [0-3, 1-4, 2-5, ...]
 
         int m_min = -1;
         Weight w_min = Weight::NOT_VALID();
         // i is the range start (e.g. 1) k is the range end (e.g. 5) -> [1-5]. Now subdivide the region [1-5] with m -> 2,3,4
-        for(int m = i+1; m<k; ++m) { 
+        for(int m = i+1; m<k; ++m) {
           // now the regions i-m and m-k might be valid(constructed) patches,
-          if( W.get(i,m) == Weight::NOT_VALID() || W.get(m,k) == Weight::NOT_VALID() ) 
+          if( W.get(i,m) == Weight::NOT_VALID() || W.get(m,k) == Weight::NOT_VALID() )
           { continue; }
 
           const Weight& w_imk = WC(P,Q,i,m,k, lambda);
-          if(w_imk == Weight::NOT_VALID()) 
+          if(w_imk == Weight::NOT_VALID())
           { continue; }
 
           const Weight& w = W.get(i,m) + W.get(m,k) + w_imk;
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Isotropic_remeshing/AABB_filtered_projection_traits.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Isotropic_remeshing/AABB_filtered_projection_traits.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Isotropic_remeshing/AABB_filtered_projection_traits.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Isotropic_remeshing/AABB_filtered_projection_traits.h	2020-08-01 19:02:40.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Isotropic_remeshing/AABB_filtered_projection_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Isotropic_remeshing/AABB_filtered_projection_traits.h $
 // $Id: AABB_filtered_projection_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Isotropic_remeshing/remesh_impl.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Isotropic_remeshing/remesh_impl.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Isotropic_remeshing/remesh_impl.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Isotropic_remeshing/remesh_impl.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Isotropic_remeshing/remesh_impl.h $
-// $Id: remesh_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Isotropic_remeshing/remesh_impl.h $
+// $Id: remesh_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -349,7 +349,7 @@ namespace internal {
         Patch_id pid = get_patch_id(f);
         input_triangles_.push_back(triangle(f));
         input_patch_ids_.push_back(pid);
-        std::pair<typename Patch_id_to_index_map::iterator, bool> 
+        std::pair<typename Patch_id_to_index_map::iterator, bool>
           res = patch_id_to_index_map.insert(std::make_pair(pid,0));
         if(res.second){
           res.first->second =  patch_id_to_index_map.size()-1;
@@ -1362,7 +1362,7 @@ private:
       do
       {
         if (is_on_patch_border(nxt))
-        { 
+        {
           CGAL_assertion(get_patch_id(face(nxt, mesh_)) == pid);
           return nxt;
         }
@@ -1514,7 +1514,9 @@ private:
       // tag patch border halfedges
       for(halfedge_descriptor h : halfedges(mesh_))
       {
-        if (status(h)==PATCH && status(opposite(h, mesh_))!=PATCH)
+        if (status(h) == PATCH
+          && (   status(opposite(h, mesh_)) != PATCH
+              || get_patch_id(face(h, mesh_)) != get_patch_id(face(opposite(h, mesh_), mesh_))))
         {
           set_status(h, PATCH_BORDER);
           has_border_ = true;
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/mesh_to_point_set_hausdorff_distance.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/mesh_to_point_set_hausdorff_distance.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/mesh_to_point_set_hausdorff_distance.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/mesh_to_point_set_hausdorff_distance.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/mesh_to_point_set_hausdorff_distance.h $
-// $Id: mesh_to_point_set_hausdorff_distance.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/mesh_to_point_set_hausdorff_distance.h $
+// $Id: mesh_to_point_set_hausdorff_distance.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -86,7 +86,7 @@ public:
     m_point[2] = c;
 
     m_edge = 0;
-    
+
     typename Kernel::Compute_squared_distance_3 squared_distance;
     FT length_max = squared_distance(m_point[1](), m_point[2]());
     FT length1 = squared_distance(m_point[2](), m_point[0]());
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/named_function_params.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/named_function_params.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/named_function_params.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/named_function_params.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/named_function_params.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/named_function_params.h $
 // $Id: named_function_params.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/named_params_helper.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/named_params_helper.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/named_params_helper.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/named_params_helper.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/named_params_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/named_params_helper.h $
 // $Id: named_params_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Polygon_mesh_slicer/Axis_parallel_plane_traits.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Polygon_mesh_slicer/Axis_parallel_plane_traits.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Polygon_mesh_slicer/Axis_parallel_plane_traits.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Polygon_mesh_slicer/Axis_parallel_plane_traits.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Polygon_mesh_slicer/Axis_parallel_plane_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Polygon_mesh_slicer/Axis_parallel_plane_traits.h $
 // $Id: Axis_parallel_plane_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Polygon_mesh_slicer/Traversal_traits.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Polygon_mesh_slicer/Traversal_traits.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Polygon_mesh_slicer/Traversal_traits.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Polygon_mesh_slicer/Traversal_traits.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Polygon_mesh_slicer/Traversal_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Polygon_mesh_slicer/Traversal_traits.h $
 // $Id: Traversal_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/refine_impl.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/refine_impl.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/refine_impl.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/refine_impl.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/refine_impl.h $
-// $Id: refine_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/refine_impl.h $
+// $Id: refine_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Jane Tournois
 
@@ -52,7 +52,7 @@ class Refine_Polyhedron_3 {
 private:
   PolygonMesh& pmesh;
   VertexPointMap vpmap;
-  
+
   bool flippable(halfedge_descriptor h) {
     // this check is added so that edge flip does not break manifoldness
     // it might happen when there is an edge where flip_edge(h) will be placed (i.e. two edges collide after flip)
@@ -62,7 +62,7 @@ private:
     do {
       if(target(opposite(*v_cir, pmesh),pmesh) == v_tip_1) { return false; }
     } while(++v_cir != v_end);
-    
+
     // also eliminate collinear triangle generation
     if( CGAL::collinear(get(vpmap, v_tip_0), get(vpmap, v_tip_1), get(vpmap, target(h, pmesh))) ||
         CGAL::collinear(get(vpmap, v_tip_0), get(vpmap, v_tip_1), get(vpmap, target(opposite(h, pmesh),pmesh))) ) {
@@ -95,7 +95,7 @@ private:
            class FaceRange>
   bool subdivide(const FaceRange& faces,
                  const std::set<halfedge_descriptor>& border_edges,
-                 std::map<vertex_descriptor, double>& scale_attribute, 
+                 std::map<vertex_descriptor, double>& scale_attribute,
                  VertexOutputIterator& vertex_out,
                  FaceOutputIterator& facet_out,
                  std::vector<face_descriptor>& new_faces,
@@ -125,12 +125,12 @@ private:
           scale_attribute[target(h,pmesh)] = sac;
           *vertex_out++ = target(h,pmesh);
 
-          // collect 2 new facets for next round 
+          // collect 2 new facets for next round
           face_descriptor h1 = face(opposite(next(h,pmesh),pmesh),pmesh);
           face_descriptor h2 = face(opposite(h,pmesh),pmesh);
           new_faces.push_back(h1); new_faces.push_back(h2);
           *facet_out++ = h1;    *facet_out++ = h2;
-          // relax edges of the  patching mesh 
+          // relax edges of the  patching mesh
           halfedge_descriptor e_ij = prev(h,pmesh);
           halfedge_descriptor e_ik = next(opposite(h,pmesh),pmesh);
           halfedge_descriptor e_jk = prev(opposite(next(h,pmesh),pmesh),pmesh);
@@ -156,7 +156,7 @@ private:
   {
     int flips = 0;
     std::list<halfedge_descriptor> interior_edges;
-    std::set<halfedge_descriptor> included_map; 
+    std::set<halfedge_descriptor> included_map;
 
     collect_interior_edges(faces, border_edges, interior_edges, included_map);
     collect_interior_edges(new_faces, border_edges, interior_edges, included_map);
@@ -190,7 +190,7 @@ private:
       do {
         halfedge_descriptor h = *circ;
         if (border_edges.find(h) == border_edges.end()){
-          // do not remove included_map and use if(&*h < &*oh) { interior_edges.push_back(h) } 
+          // do not remove included_map and use if(&*h < &*oh) { interior_edges.push_back(h) }
           // which will change the order of edges from run to run
           halfedge_descriptor oh = opposite(h, pmesh);
           halfedge_descriptor h_rep = (h < oh) ? h : oh; // AF: was &*h < &*oh
@@ -203,7 +203,7 @@ private:
   }
 
   double average_length(vertex_descriptor vh,
-                        const std::set<face_descriptor>& interior_map, 
+                        const std::set<face_descriptor>& interior_map,
                         bool accept_internal_facets)
   {
     const Point_3& vp = get(vpmap, vh);
@@ -231,14 +231,14 @@ private:
   void calculate_scale_attribute(const FaceRange& faces,
                                  const std::set<face_descriptor>& interior_map,
                                  std::map<vertex_descriptor, double>& scale_attribute,
-                                 bool accept_internal_facets) 
+                                 bool accept_internal_facets)
   {
     for(face_descriptor fd : faces)
     {
       Halfedge_around_face_circulator<PolygonMesh> circ(halfedge(fd,pmesh),pmesh), done(circ);
       do {
         vertex_descriptor v = target(*circ,pmesh);
-        std::pair<typename std::map<vertex_descriptor, double>::iterator, bool> v_insert 
+        std::pair<typename std::map<vertex_descriptor, double>::iterator, bool> v_insert
           = scale_attribute.insert(std::make_pair(v, 0));
         if(!v_insert.second) { continue; } // already calculated
         v_insert.first->second = average_length(v, interior_map, accept_internal_facets);
@@ -262,7 +262,7 @@ private:
           if(interior_map.find(f) == interior_map.end() || interior_map.find(f_op) == interior_map.end()) {
             internal_v = false;
             break;
-          } 
+          }
         } while(++circ_v != done_v);
 
         if(internal_v) { return true; }
@@ -287,7 +287,7 @@ public:
       // do not use just std::set, the order effects the output (for the same input we want to get same output)
     std::set<face_descriptor> interior_map(boost::begin(faces), boost::end(faces));
 
-    // store boundary edges - to be used in relax 
+    // store boundary edges - to be used in relax
     std::set<halfedge_descriptor> border_edges;
     for(face_descriptor f : faces)
     {
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/repair_extra.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/repair_extra.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/repair_extra.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/repair_extra.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/repair_extra.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/repair_extra.h $
 // $Id: repair_extra.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Side_of_triangle_mesh/Point_inside_vertical_ray_cast.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Side_of_triangle_mesh/Point_inside_vertical_ray_cast.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Side_of_triangle_mesh/Point_inside_vertical_ray_cast.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Side_of_triangle_mesh/Point_inside_vertical_ray_cast.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Side_of_triangle_mesh/Point_inside_vertical_ray_cast.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Side_of_triangle_mesh/Point_inside_vertical_ray_cast.h $
 // $Id: Point_inside_vertical_ray_cast.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Side_of_triangle_mesh/Ray_3_Triangle_3_traversal_traits.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Side_of_triangle_mesh/Ray_3_Triangle_3_traversal_traits.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Side_of_triangle_mesh/Ray_3_Triangle_3_traversal_traits.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Side_of_triangle_mesh/Ray_3_Triangle_3_traversal_traits.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Side_of_triangle_mesh/Ray_3_Triangle_3_traversal_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Side_of_triangle_mesh/Ray_3_Triangle_3_traversal_traits.h $
 // $Id: Ray_3_Triangle_3_traversal_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Smoothing/ceres_support.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Smoothing/ceres_support.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Smoothing/ceres_support.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Smoothing/ceres_support.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Smoothing/ceres_support.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Smoothing/ceres_support.h $
 // $Id: ceres_support.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Smoothing/curvature_flow_impl.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Smoothing/curvature_flow_impl.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Smoothing/curvature_flow_impl.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Smoothing/curvature_flow_impl.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Smoothing/curvature_flow_impl.h $
-// $Id: curvature_flow_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Smoothing/curvature_flow_impl.h $
+// $Id: curvature_flow_impl.h 1641310 2020-06-15T17:12:04+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -35,6 +35,7 @@
 #include <iostream>
 #include <utility>
 #include <vector>
+#include <unordered_map>
 
 namespace CGAL {
 namespace Polygon_mesh_processing {
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Smoothing/mesh_smoothing_impl.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Smoothing/mesh_smoothing_impl.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Smoothing/mesh_smoothing_impl.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Smoothing/mesh_smoothing_impl.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Smoothing/mesh_smoothing_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Smoothing/mesh_smoothing_impl.h $
 // $Id: mesh_smoothing_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Smoothing/smoothing_evaluation.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Smoothing/smoothing_evaluation.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Smoothing/smoothing_evaluation.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Smoothing/smoothing_evaluation.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Smoothing/smoothing_evaluation.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Smoothing/smoothing_evaluation.h $
 // $Id: smoothing_evaluation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Snapping/snap.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Snapping/snap.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/internal/Snapping/snap.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/internal/Snapping/snap.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Snapping/snap.h $
-// $Id: snap.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/internal/Snapping/snap.h $
+// $Id: snap.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -1044,7 +1044,7 @@ std::size_t snap_border_vertices_non_con
     border_halfedges(pm2, std::back_inserter(border_vertices2));
 
   Tolerance_map tol_pmap = get(Vertex_property_tag(), pm1);
-  const FT tol_mx(std::numeric_limits<double>::max());
+  const FT tol_mx((std::numeric_limits<double>::max)());
   internal::assign_tolerance_with_local_edge_length_bound(border_vertices1, tol_pmap, tol_mx, pm1);
 
   return snap_vertex_range_onto_vertex_range_non_conforming(border_vertices1, pm1,
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/intersection.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/intersection.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/intersection.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/intersection.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/intersection.h $
-// $Id: intersection.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/intersection.h $
+// $Id: intersection.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -402,10 +402,10 @@ compute_face_face_intersection(const Fac
   typedef TriangleMesh TM;
   typedef typename boost::graph_traits<TM>::face_descriptor face_descriptor;
   typedef typename CGAL::Box_intersection_d::Box_with_info_d<double, 3, face_descriptor> Box;
-  
+
   CGAL::Bbox_3 b1 = CGAL::Polygon_mesh_processing::bbox(tm1, np1),
                b2 = CGAL::Polygon_mesh_processing::bbox(tm2, np2);
-  
+
   if(!CGAL::do_overlap(b1, b2))
   {
     return out;
@@ -652,7 +652,7 @@ compute_face_polylines_intersection(cons
   using parameters::get_parameter;
 
   CGAL_precondition(CGAL::is_triangle_mesh(tm));
-  
+
   CGAL::Bbox_3 b1,b2;
   b1 = CGAL::Polygon_mesh_processing::bbox(tm, np);
   for(std::size_t i =0; i< polyline_range.size(); ++i)
@@ -660,10 +660,10 @@ compute_face_polylines_intersection(cons
     b2 += CGAL::bbox_3(polyline_range[i].begin(),
                        polyline_range[i].end());
   }
-  
+
   if(!CGAL::do_overlap(b1,b2))
     return out;
-  
+
   typedef TriangleMesh TM;
   typedef typename boost::graph_traits<TM>::face_descriptor face_descriptor;
   typedef typename GetVertexPointMap<TM, NamedParameters>::const_type VertexPointMap;
@@ -878,7 +878,7 @@ compute_polylines_polylines_intersection
     b2 += CGAL::bbox_3(poly.begin(), poly.end());
   }
   boxes2.reserve(polylines_size);
-  
+
   if(!CGAL::do_overlap(b1,b2))
     return out;
   std::size_t range_size = std::distance( boost::begin(polylines1), boost::end(polylines1) );
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/locate.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/locate.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/locate.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/locate.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/locate.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/locate.h $
 // $Id: locate.h 416cbbc 2019-10-29T15:23:41+01:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/measure.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/measure.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/measure.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/measure.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/measure.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/measure.h $
 // $Id: measure.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/merge_border_vertices.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/merge_border_vertices.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/merge_border_vertices.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/merge_border_vertices.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/merge_border_vertices.h $
-// $Id: merge_border_vertices.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/merge_border_vertices.h $
+// $Id: merge_border_vertices.h 38abfdf 2020-03-18T08:51:09+01:00 Mael
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -22,8 +22,11 @@
 #include <CGAL/Polygon_mesh_processing/internal/named_params_helper.h>
 #include <CGAL/Polygon_mesh_processing/stitch_borders.h>
 
-#include <boost/unordered_set.hpp>
-#include <boost/bind.hpp>
+#include <algorithm>
+#include <iostream>
+#include <iterator>
+#include <vector>
+#include <utility>
 
 namespace CGAL {
 
@@ -58,6 +61,87 @@ struct Less_on_point_of_target
   const VertexPointMap& vpm;
 };
 
+// Given a container of vectors of halfedges whose target are geometrically indentical,
+// check that the intervals described by these pairs are either disjoint or nested.
+// This is done to ensure valid combinatorics when we merge the vertices.
+// If incompatible (overlapping) intervals are found, the pair representating the longest
+// interval (arbitrary choice) is removed from the candidate list.
+template <typename VPM, typename PolygonMesh>
+void sanitize_candidates(const std::vector<std::pair<typename boost::graph_traits<PolygonMesh>::halfedge_descriptor, std::size_t> >& cycle_hedges,
+                         std::vector<std::vector<std::size_t> >& candidate_hedges_with_id,
+                         const VPM vpm,
+                         const PolygonMesh& pm)
+{
+  if(candidate_hedges_with_id.empty())
+    return;
+
+  std::size_t nm_vertices_n = candidate_hedges_with_id.size();
+  for(std::size_t fr_id=0, fr_end=nm_vertices_n-1; fr_id<fr_end; ++fr_id)
+  {
+    std::vector<std::size_t>& first_candidates = candidate_hedges_with_id[fr_id];
+    CGAL_assertion(first_candidates.size() >= 2);
+
+    for(std::size_t i=0, ie=first_candidates.size()-1; i<ie; ++i)
+    {
+      const std::size_t first_left = cycle_hedges[first_candidates[i]].second;
+      const std::size_t first_right = cycle_hedges[first_candidates[i+1]].second;
+      CGAL_assertion(first_left < first_right);
+
+      for(std::size_t sr_id=i+1, sr_end=nm_vertices_n; sr_id<sr_end; ++sr_id)
+      {
+        std::vector<std::size_t>& second_candidates = candidate_hedges_with_id[sr_id];
+        CGAL_assertion(second_candidates.size() >= 2);
+
+        for(std::size_t j=0, je=second_candidates.size()-1; j<je; ++j)
+        {
+          const std::size_t second_left = cycle_hedges[second_candidates[j]].second;
+          const std::size_t second_right = cycle_hedges[second_candidates[j+1]].second;
+          CGAL_assertion(second_left < second_right);
+
+          // The pair of intervals should be either disjoint or nested
+          // so reject:
+          // sl -- fl -- sr -- fr and fl -- sl -- fr -- sr
+          if((second_left < first_left && first_left < second_right && second_right < first_right) ||
+             (first_left < second_left && second_left < first_right && first_right < second_right))
+          {
+            // Remove the candidate with largest range
+            const std::size_t first_candidates_range =
+                cycle_hedges[first_candidates.back()].second - cycle_hedges[first_candidates.front()].second;
+            const std::size_t second_candidates_range =
+                cycle_hedges[second_candidates.back()].second - cycle_hedges[second_candidates.front()].second;
+
+            CGAL_assertion(first_candidates_range <= cycle_hedges.size());
+            CGAL_assertion(second_candidates_range <= cycle_hedges.size());
+
+#ifdef CGAL_PMP_MERGE_BORDER_VERTICES_DEBUG
+            std::cout << "Incompatible ranges:\n";
+            std::cout << "first range: " << first_left << " to " << first_right << std::endl;
+            std::cout << "second range: " << second_left << " to " << second_right << std::endl;
+            std::cout << "Full ranges:" << std::endl;
+            std::cout << cycle_hedges[first_candidates.front()].second << " to " << cycle_hedges[first_candidates.back()].second;
+            std::cout << " (" << first_candidates.size() << " halfedges)";
+            std::cout << " at " << get(vpm, target(cycle_hedges[first_candidates.front()].first, pm)) << std::endl;
+            std::cout << cycle_hedges[second_candidates.front()].second << " to " << cycle_hedges[second_candidates.back()].second;
+            std::cout << " (" << second_candidates.size() << " halfedges)";
+            std::cout << " at " << get(vpm, target(cycle_hedges[second_candidates.front()].first, pm)) << std::endl;
+#endif
+
+            std::vector<std::vector<std::size_t> >::iterator to_remove_iter = candidate_hedges_with_id.begin();
+            if(first_candidates_range > second_candidates_range)
+              std::advance(to_remove_iter, fr_id);
+            else
+              std::advance(to_remove_iter, sr_id);
+
+            candidate_hedges_with_id.erase(to_remove_iter);
+
+            // restart the whole thing
+            return sanitize_candidates(cycle_hedges, candidate_hedges_with_id, vpm, pm);
+          }
+        } // entries of the second range
+      } // second range
+    } // entries of the first range
+  } // first range
+}
 
 // warning: cycle_hedges will be altered (sorted)
 template <class PolygonMesh, class Vpm, class halfedge_descriptor>
@@ -75,26 +159,23 @@ void detect_identical_mergeable_vertices
   std::size_t nbv=cycle_hedges.size();
   std::size_t i=1;
 
-  std::set< std::pair<std::size_t, std::size_t> > intervals;
+  // IDs of cycle_hedges
+  std::vector<std::vector<std::size_t> > candidate_hedges_with_id;
 
-  while(i!=nbv)
+  while(i != nbv)
   {
-    if ( get(vpm, target(cycle_hedges[i].first, pm)) ==
-         get(vpm, target(cycle_hedges[i-1].first, pm)) )
+    if(get(vpm, target(cycle_hedges[i].first, pm)) ==
+       get(vpm, target(cycle_hedges[i-1].first, pm)) )
     {
-      hedges_with_identical_point_target.push_back( std::vector<halfedge_descriptor>() );
-      hedges_with_identical_point_target.back().push_back(cycle_hedges[i-1].first);
-      hedges_with_identical_point_target.back().push_back(cycle_hedges[i].first);
-      intervals.insert( std::make_pair(cycle_hedges[i-1].second, cycle_hedges[i].second) );
-      std::size_t previous = cycle_hedges[i].second;
-      while(++i!=nbv)
+      candidate_hedges_with_id.resize(candidate_hedges_with_id.size() + 1);
+      candidate_hedges_with_id.back().push_back(i-1);
+      candidate_hedges_with_id.back().push_back(i);
+      while(++i != nbv)
       {
-        if ( get(vpm, target(cycle_hedges[i].first, pm)) ==
-             get(vpm, target(cycle_hedges[i-1].first, pm)) )
+        if(get(vpm, target(cycle_hedges[i].first, pm)) ==
+           get(vpm, target(cycle_hedges[i-1].first, pm)))
         {
-          hedges_with_identical_point_target.back().push_back(cycle_hedges[i].first);
-          intervals.insert( std::make_pair(previous, cycle_hedges[i].second) );
-          previous = cycle_hedges[i].second;
+          candidate_hedges_with_id.back().push_back(i);
         }
         else
         {
@@ -104,29 +185,22 @@ void detect_identical_mergeable_vertices
       }
     }
     else
+    {
       ++i;
+    }
   }
 
-  // check that intervals are disjoint or strictly nested
-  // if there is only one issue we drop the whole cycle.
-  /// \todo shall we try to be more conservative?
-  if (hedges_with_identical_point_target.empty()) return;
-  std::set< std::pair<std::size_t, std::size_t> >::iterator it1 = intervals.begin(),
-                                                            end2 = intervals.end(),
-                                                            end1 = std::prev(end2),
-                                                            it2;
-  for (; it1!=end1; ++it1)
-    for(it2=std::next(it1); it2!= end2; ++it2 )
+  // Check that intervals are disjoint or strictly nested
+  sanitize_candidates(cycle_hedges, candidate_hedges_with_id, vpm, pm);
+
+  for(const std::vector<std::size_t>& candidates : candidate_hedges_with_id)
+  {
+    hedges_with_identical_point_target.resize(hedges_with_identical_point_target.size() + 1);
+    for(const std::size_t hid : candidates)
     {
-      CGAL_assertion(it1->first<it2->first);
-      CGAL_assertion(it1->first < it1->second && it2->first < it2->second);
-      if (it1->second > it2->first && it2->second > it1->second)
-      {
-        std::cerr << "Merging is skipt to avoid bad cycle connections\n";
-        hedges_with_identical_point_target.clear();
-        return;
-      }
+      hedges_with_identical_point_target.back().push_back(cycle_hedges[hid].first);
     }
+  }
 }
 
 // \ingroup PMP_repairing_grp
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/orientation.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/orientation.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/orientation.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/orientation.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/orientation.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/orientation.h $
 // $Id: orientation.h 2c5826d 2020-01-17T16:29:49+01:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/orient_polygon_soup.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/orient_polygon_soup.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/orient_polygon_soup.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/orient_polygon_soup.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/orient_polygon_soup.h $
-// $Id: orient_polygon_soup.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/orient_polygon_soup.h $
+// $Id: orient_polygon_soup.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -447,7 +447,7 @@ struct Polygon_soup_orienter
  * amounts to duplicate the polygon to which it belongs.
  *
  * These points are either an endpoint of an edge incident to more
- * than two polygons, an endpoint of an edge between 
+ * than two polygons, an endpoint of an edge between
  * two polygons with incompatible orientations (during the re-orientation process),
  * or more generally a point \a p at which the intersection
  * of an infinitesimally small ball centered at \a p
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/polygon_soup_to_polygon_mesh.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/polygon_soup_to_polygon_mesh.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/polygon_soup_to_polygon_mesh.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/polygon_soup_to_polygon_mesh.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/polygon_soup_to_polygon_mesh.h $
-// $Id: polygon_soup_to_polygon_mesh.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/polygon_soup_to_polygon_mesh.h $
+// $Id: polygon_soup_to_polygon_mesh.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -192,11 +192,11 @@ public:
   * @pre the input polygon soup describes a consistently oriented
   * polygon mesh.
   *
-  * @tparam PolygonMesh a model of `MutableFaceGraph` with an internal point 
+  * @tparam PolygonMesh a model of `MutableFaceGraph` with an internal point
   * property map
-  * @tparam PointRange a model of the concepts `RandomAccessContainer` and 
+  * @tparam PointRange a model of the concepts `RandomAccessContainer` and
   * `BackInsertionSequence` whose value type is the point type
-  * @tparam PolygonRange a model of the concept `RandomAccessContainer` whose 
+  * @tparam PolygonRange a model of the concept `RandomAccessContainer` whose
   * `value_type` is a model of the concept `RandomAccessContainer` whose `value_type` is `std::size_t`.
 
   *
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/random_perturbation.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/random_perturbation.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/random_perturbation.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/random_perturbation.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/random_perturbation.h $
-// $Id: random_perturbation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/random_perturbation.h $
+// $Id: random_perturbation.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -105,7 +105,7 @@ namespace internal {
 *
 * @tparam VertexRange model of `Range`, holding
 *         vertices of type `boost::graph_traits<TriangleMesh>::%vertex_descriptor`.
-*         Its iterator type is `ForwardIterator`. 
+*         Its iterator type is `ForwardIterator`.
 * @tparam TriangleMesh model of `MutableFaceGraph`.
 * @tparam NamedParameters a sequence of \ref pmp_namedparameters "Named Parameters"
 *
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/refine.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/refine.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/refine.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/refine.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/refine.h $
-// $Id: refine.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/refine.h $
+// $Id: refine.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Ilker O. Yaz
 
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/remesh.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/remesh.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/remesh.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/remesh.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/remesh.h $
-// $Id: remesh.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/remesh.h $
+// $Id: remesh.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -349,7 +349,7 @@ void split_long_edges(const EdgeRange& e
       > ::type ECMap;
   ECMap ecmap = choose_parameter(get_parameter(np, internal_np::edge_is_constrained),
                                  Constant_property_map<edge_descriptor, bool>(false));
-  
+
   typename internal::Incremental_remesher<PM, VPMap, GT, ECMap,
     Constant_property_map<vertex_descriptor, bool>, // no constraint pmap
     internal::Connected_components_pmap<PM, FIMap>,
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/repair.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/repair.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/repair.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/repair.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/repair.h $
-// $Id: repair.h 2c5826d 2020-01-17T16:29:49+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/repair.h $
+// $Id: repair.h 71f2474 2020-03-02T09:42:44+01:00 Mael Rouxel-Labbé
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -712,7 +712,7 @@ bool remove_degenerate_edges(const EdgeR
           vertex_descriptor vd = remove_a_border_edge(ed, tmesh, degenerate_edges_to_remove, face_set);
           if (vd == GT::null_vertex())
           {
-            // TODO: if some border edges are later removed, the edge might be processable later
+            // @todo: if some border edges are later removed, the edge might be processable later
             // for example if it belongs to  boundary cycle of edges where the number of non-degenerate
             // edges is 2. That's what happen with fused_vertices.off in the testsuite where the edges
             // are not processed the same way with Polyhedron and Surface_mesh. In the case of Polyhedron
@@ -918,7 +918,7 @@ bool remove_degenerate_edges(const EdgeR
           }
           while(true);
 
-          /// \todo use the area criteria? this means maybe continue exploration of larger cc
+          // @todo use the area criteria? this means maybe continue exploration of larger cc
           // mark faces of completetly explored cc
           for (index=0; index< nb_cc; ++index)
           {
@@ -1089,15 +1089,15 @@ bool remove_degenerate_edges(TriangleMes
 //         - `Compare_distance_3` to compute the distance between 2 points
 //         - `Collinear_3` to check whether 3 points are collinear
 //         - `Less_xyz_3` to compare lexicographically two points
-///        - `Equal_3` to check whether 2 points are identical.
-///       For each functor Foo, a function `Foo foo_object()` must be provided.
+//        - `Equal_3` to check whether 2 points are identical.
+//       For each functor Foo, a function `Foo foo_object()` must be provided.
 //   \cgalParamEnd
 // \cgalNamedParamsEnd
 //
-// \todo the function might not be able to remove all degenerate faces.
+// @todo the function might not be able to remove all degenerate faces.
 //       We should probably do something with the return type.
 //
-/// \return `true` if all degenerate faces were successfully removed, and `false` otherwise.
+// \return `true` if all degenerate faces were successfully removed, and `false` otherwise.
 template <typename FaceRange, typename TriangleMesh, typename NamedParameters>
 bool remove_degenerate_faces(const FaceRange& face_range,
                              TriangleMesh& tmesh,
@@ -1198,7 +1198,7 @@ bool remove_degenerate_faces(const FaceR
   // Then, remove triangles made of 3 collinear points
 
   // start by filtering out border faces
-  // TODO: shall we avoid doing that in case a non-manifold vertex on the boundary or if a whole component disappear?
+  // @todo: shall we avoid doing that in case a non-manifold vertex on the boundary or if a whole component disappear?
   std::set<face_descriptor> border_deg_faces;
   for(face_descriptor f : degenerate_face_set)
   {
@@ -1405,7 +1405,7 @@ bool remove_degenerate_faces(const FaceR
           all_removed=false;
 #ifdef CGAL_PMP_REMOVE_DEGENERATE_FACES_DEBUG
           std::cout << "  WARNING: flip is not possible\n";
-          // \todo Let p and q be the vertices opposite to `edge_to_flip`, and let
+          // @todo Let p and q be the vertices opposite to `edge_to_flip`, and let
           //       r be the vertex of `edge_to_flip` that is the furthest away from
           //       the edge `pq`. In that case I think we should remove all the triangles
           //       so that the triangle pqr is in the mesh.
@@ -1506,7 +1506,7 @@ bool remove_degenerate_faces(const FaceR
           (cc_faces.size()+boundary_hedges.size())/2 != 1)
       {
         //cc_faces does not define a topological disk
-        /// \todo Find to way to handle that case
+        // @todo Find to way to handle that case
 #ifdef CGAL_PMP_REMOVE_DEGENERATE_FACES_DEBUG
         std::cout << "  WARNING: Cannot remove the component of degenerate faces: not a topological disk.\n";
 #endif
@@ -1652,7 +1652,7 @@ bool remove_degenerate_faces(const FaceR
       CGAL_assertion(get(vpmap,source(side_one.front(), tmesh))==side_points.front());
       CGAL_assertion(get(vpmap,target(side_one.back(), tmesh))==side_points.back());
 
-      //\todo the reordering could lead to the apparition of null edges.
+      // @todo the reordering could lead to the apparition of null edges.
       std::sort(side_points.begin(), side_points.end());
 
       CGAL_assertion(std::unique(side_points.begin(), side_points.end())==side_points.end());
@@ -1670,7 +1670,7 @@ bool remove_degenerate_faces(const FaceR
       CGAL_assertion(get(vpmap,source(side_two.front(), tmesh))==side_points.front());
       CGAL_assertion(get(vpmap,target(side_two.back(), tmesh))==side_points.back());
 
-      //\todo the reordering could lead to the apparition of null edges.
+      // @todo the reordering could lead to the apparition of null edges.
       std::sort(side_points.begin(), side_points.end());
 
       CGAL_assertion(std::unique(side_points.begin(), side_points.end())==side_points.end());
@@ -2744,7 +2744,7 @@ remove_self_intersections_one_step(Trian
         vertex_descriptor v = source(h, tm);
         hole_points.push_back( get(vpmap, v) );
         border_vertices.push_back(v);
-        third_points.push_back(get(vpmap, target(next(opposite(h, tm), tm), tm))); // TODO fix me for mesh border edges
+        third_points.push_back(get(vpmap, target(next(opposite(h, tm), tm), tm))); // @todo fix me for mesh border edges
       }
       CGAL_assertion(hole_points.size() >= 3);
 
@@ -2946,7 +2946,7 @@ bool remove_self_intersections(TriangleM
     {
       typedef std::pair<face_descriptor, face_descriptor> Face_pair;
       std::vector<Face_pair> self_inter;
-      // TODO : possible optimization to reduce the range to check with the bbox
+      // @todo : possible optimization to reduce the range to check with the bbox
       // of the previous patches or something.
       self_intersections(tm, std::back_inserter(self_inter));
 
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/repair_polygon_soup.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/repair_polygon_soup.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/repair_polygon_soup.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/repair_polygon_soup.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/repair_polygon_soup.h $
-// $Id: repair_polygon_soup.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/repair_polygon_soup.h $
+// $Id: repair_polygon_soup.h 6411035 2020-07-31T15:52:02+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Mael Rouxel-Labbé
@@ -118,43 +118,21 @@ bool simplify_polygon(PointRange& points
 {
   const std::size_t ini_polygon_size = polygon.size();
 
-  // Start at the last since if two points are identical, the second one gets removed.
-  // By starting at 'last', we ensure that 'to_remove' is ordered from closest to .begin()
-  // to closest to .end()
-  std::size_t last = ini_polygon_size - 1, i = last;
-  bool stop = false;
-  std::vector<std::size_t> to_remove;
-
-  do
+  for(std::size_t i=0; i<polygon.size(); ++i)
   {
-    std::size_t next_i = (i == last) ? 0 : i+1;
-    stop = (next_i == last);
+    const std::size_t s = polygon.size();
+    if(s == 1)
+      break;
 
-    while(polygon[i] == polygon[next_i] || // combinatorial equality
-          traits.equal_3_object()(points[polygon[i]], points[polygon[next_i]])) // geometric equality
+    const std::size_t ni = (i + 1) % s;
+    if(polygon[i] == polygon[ni] ||
+       traits.equal_3_object()(points[polygon[i]], points[polygon[ni]]))
     {
-      to_remove.push_back(next_i);
 #ifdef CGAL_PMP_REPAIR_POLYGON_SOUP_VERBOSE_PP
-      std::cout << "Duplicate point: polygon[" << next_i << "] = " << polygon[next_i] << std::endl;
+      std::cout << "Duplicate point: polygon[" << ni << "] = " << polygon[ni] << std::endl;
 #endif
-      next_i = (next_i == last) ? 0 : next_i+1;
-
-      // Every duplicate in front of 'last' (circularly-speaking) has already been cleared
-      if(next_i == last)
-      {
-        stop = true;
-        break;
-      }
+      polygon.erase(polygon.begin() + i--);
     }
-
-    i = next_i;
-  }
-  while(!stop);
-
-  while(!to_remove.empty())
-  {
-    polygon.erase(polygon.begin() + to_remove.back());
-    to_remove.pop_back();
   }
 
   const std::size_t removed_points_n = ini_polygon_size - polygon.size();
@@ -660,7 +638,7 @@ Polygon construct_canonical_polygon(cons
     reversed = false;
     return polygon;
   }
-  
+
 
 #ifdef CGAL_PMP_REPAIR_POLYGON_SOUP_VERBOSE_PP
   std::cout << "Input polygon:";
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/self_intersections.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/self_intersections.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/self_intersections.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/self_intersections.h	2020-08-01 19:02:41.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/self_intersections.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/self_intersections.h $
 // $Id: self_intersections.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/shape_predicates.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/shape_predicates.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/shape_predicates.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/shape_predicates.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/shape_predicates.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/shape_predicates.h $
 // $Id: shape_predicates.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/smooth_mesh.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/smooth_mesh.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/smooth_mesh.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/smooth_mesh.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/smooth_mesh.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/smooth_mesh.h $
 // $Id: smooth_mesh.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/smooth_shape.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/smooth_shape.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/smooth_shape.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/smooth_shape.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/smooth_shape.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/smooth_shape.h $
 // $Id: smooth_shape.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/stitch_borders.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/stitch_borders.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/stitch_borders.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/stitch_borders.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/stitch_borders.h $
-// $Id: stitch_borders.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/stitch_borders.h $
+// $Id: stitch_borders.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -88,11 +88,11 @@ struct Less_for_halfedge
   const VertexPointMap& vpmap;
 };
 
-//add a pair of border halfedges to be stitched. 
+//add a pair of border halfedges to be stitched.
 //Specifies if they are manifold or not in the map.
 template<typename Halfedge,
-         typename Border_halfedge_map,  
-         typename Halfedge_pair,        
+         typename Border_halfedge_map,
+         typename Halfedge_pair,
          typename Manifold_halfedge_pair,
          typename VPMAP,
          typename Mesh>
@@ -107,7 +107,7 @@ void fill_pairs(const Halfedge& he,
   bool insertion_ok;
   std::tie(set_it, insertion_ok)
       = border_halfedge_map.insert(std::make_pair(he,std::make_pair(1,0)));
-  
+
   if ( !insertion_ok ){ // we found already a halfedge with the points
     ++set_it->second.first; // increase the multiplicity
     if(set_it->second.first == 2)
@@ -133,29 +133,29 @@ void fill_pairs(const Halfedge& he,
 template<typename Mesh,
          typename CCMap,
          typename FIMap>
-std::size_t num_component_wrapper(const Mesh& pmesh, 
-                      CCMap cc, 
+std::size_t num_component_wrapper(const Mesh& pmesh,
+                      CCMap cc,
                       FIMap fim)
 {
-  return CGAL::Polygon_mesh_processing::connected_components(pmesh, cc, 
+  return CGAL::Polygon_mesh_processing::connected_components(pmesh, cc,
                                                              CGAL::Polygon_mesh_processing::parameters::face_index_map(fim));
 }
 
 //specialization if there is no default FIMap, create one
 template<typename Mesh,
          typename CCMap>
-std::size_t num_component_wrapper(Mesh& pmesh, 
-                      CCMap cc, 
+std::size_t num_component_wrapper(Mesh& pmesh,
+                      CCMap cc,
                       boost::cgal_no_property::type)
 {
-  
+
      boost::unordered_map<typename boost::graph_traits<Mesh>::face_descriptor, std::size_t> fim;
- 
+
    //init the map
    std::size_t i=-1;
    for(typename boost::graph_traits<Mesh>::face_descriptor f : faces(pmesh))
      fim[f]=++i;
- 
+
    return CGAL::Polygon_mesh_processing::connected_components(pmesh,
                                                               cc,
                                                               parameters::face_index_map(boost::make_assoc_property_map(fim)));
@@ -165,7 +165,7 @@ template <typename PM, typename OutputIt
           , class CGAL_PMP_NP_TEMPLATE_PARAMETERS>
 OutputIterator
 collect_duplicated_stitchable_boundary_edges
-(PM& pmesh, OutputIterator out, LessHedge less_hedge, 
+(PM& pmesh, OutputIterator out, LessHedge less_hedge,
  const VertexPointMap& vpmap, const CGAL_PMP_NP_CLASS& np)
 {
   typedef typename boost::graph_traits<PM>::halfedge_descriptor halfedge_descriptor;
@@ -191,7 +191,7 @@ collect_duplicated_stitchable_boundary_e
     num_component = num_component_wrapper(pmesh, cc, fim);
     border_edges_per_cc.resize(num_component);
   }
-  
+
   for(halfedge_descriptor he : halfedges(pmesh))
   {
     if ( !CGAL::is_border(he, pmesh) )
@@ -202,7 +202,7 @@ collect_duplicated_stitchable_boundary_e
     }
     else
     {
-      fill_pairs(he, border_halfedge_map, halfedge_pairs, 
+      fill_pairs(he, border_halfedge_map, halfedge_pairs,
                  manifold_halfedge_pairs, vpmap, pmesh);
     }
   }
@@ -216,7 +216,7 @@ collect_duplicated_stitchable_boundary_e
       for(int j = 0; j < static_cast<int>(border_edges_per_cc[i].size()); ++j)
       {
         halfedge_descriptor he = border_edges_per_cc[i][j];
-        fill_pairs(he, border_halfedge_map_in_cc, halfedge_pairs, 
+        fill_pairs(he, border_halfedge_map_in_cc, halfedge_pairs,
                    manifold_halfedge_pairs, vpmap, pmesh);
       }
       // put in `out` only manifold edges from the set of edges to stitch.
@@ -862,8 +862,8 @@ void stitch_borders(PolygonMesh& pmesh,
 /// `CGAL::vertex_point_t` must be available in `PolygonMesh`.\cgalParamEnd
 /// \cgalParamBegin{apply_per_connected_component}
 ///  specifies if the borders should only be stitched inside their own connected component.
-/// In that case, a property map for `CGAL::face_index_t` should be either available as an internal property map 
-/// to `pmesh` or provided as the \ref pmp_namedparameters "Named Parameter" `face_index_map`. If this is not the case, 
+/// In that case, a property map for `CGAL::face_index_t` should be either available as an internal property map
+/// to `pmesh` or provided as the \ref pmp_namedparameters "Named Parameter" `face_index_map`. If this is not the case,
 /// a default map will be created on the fly.
 /// Default value is `false`.\cgalParamEnd
 /// \cgalParamBegin{face_index_map} a property map containing the index of each face of `pmesh` \cgalParamEnd
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/transform.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/transform.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/transform.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/transform.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/transform.h $
-// $Id: transform.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/transform.h $
+// $Id: transform.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -21,33 +21,33 @@ namespace Polygon_mesh_processing{
 /**
  * \ingroup PkgPolygonMeshProcessingRef
  * applies a transformation to every vertex of a `PolygonMesh`.
- * 
+ *
  * @tparam Transformation a functor that has an `operator()(Point_3)`, with `Point_3`
  * the `value_type` of `vertex_point_map` (see below). Such a functor can be
  * `CGAL::Aff_transformation_3` for example.
  * @tparam PolygonMesh a model of `VertexListGraph`
  * @tparam NamedParameters a sequence of \ref pmp_namedparameters "Named Parameters"
- * 
+ *
  * @param transformation the transformation functor to apply to  the points of `mesh`.
  * @param mesh the `PolygonMesh` to transform.
  * @param np optional sequence of \ref pmp_namedparameters for `mesh`, among the ones listed below
- * 
+ *
  * * \cgalNamedParamsBegin
  *    \cgalParamBegin{vertex_point_map} the property map with the points associated to the vertices of `mesh`.
  *   If this parameter is omitted, an internal property map for
  *   `CGAL::vertex_point_t` must be available in `PolygonMesh`\cgalParamEnd
  * \cgalNamedParamsEnd
- * 
+ *
  */
 template<class Transformation, class PolygonMesh,class NamedParameters>
-void transform(const Transformation& transformation, 
+void transform(const Transformation& transformation,
                PolygonMesh& mesh,
                const NamedParameters& np)
 {
   typedef typename GetVertexPointMap<PolygonMesh, NamedParameters>::type VPMap;
   VPMap vpm = parameters::choose_parameter(parameters::get_parameter(np, internal_np::vertex_point),
                                            get_property_map(vertex_point, mesh));
-  
+
   for(typename boost::graph_traits<PolygonMesh>::vertex_descriptor vd : vertices(mesh))
   {
     put(vpm, vd, transformation(get(vpm, vd)));
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/triangulate_faces.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/triangulate_faces.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/triangulate_faces.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/triangulate_faces.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/triangulate_faces.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/triangulate_faces.h $
 // $Id: triangulate_faces.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/triangulate_hole.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/triangulate_hole.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/triangulate_hole.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/triangulate_hole.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/triangulate_hole.h $
-// $Id: triangulate_hole.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/triangulate_hole.h $
+// $Id: triangulate_hole.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Ilker O. Yaz
 
 #ifndef CGAL_POLYGON_MESH_PROCESSING_TRIANGULATE_HOLE_H
@@ -76,7 +76,7 @@ namespace Polygon_mesh_processing {
   @todo Then, insert the holes vertices in the set of possibilities
         for connecting vertices together
   @todo handle the case where an island is reduced to a point
-  */  
+  */
   template<typename PolygonMesh,
            typename OutputIterator,
            typename NamedParameters>
@@ -360,7 +360,7 @@ namespace Polygon_mesh_processing {
     typedef typename value_type_traits<OutputIterator>::type OutputIteratorValueType;
     CGAL::internal::Tracer_polyline_incomplete<OutputIteratorValueType, OutputIterator, Holes_out>
       tracer(out, Holes_out(holes));
-    
+
     typedef typename PointRange1::iterator InIterator;
     typedef typename std::iterator_traits<InIterator>::value_type Point;
 
@@ -388,7 +388,7 @@ namespace Polygon_mesh_processing {
   /*!
   \ingroup  hole_filling_grp
   same as above but the range of third points is omitted. They are not
-  taken into account in the cost computation that leads the hole filling. 
+  taken into account in the cost computation that leads the hole filling.
 */
   template <typename PointRange,
             typename OutputIterator,
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_processing/Weights.h 5.0.3-1/include/CGAL/Polygon_mesh_processing/Weights.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_processing/Weights.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_processing/Weights.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/Weights.h $
-// $Id: Weights.h 2c5826d 2020-01-17T16:29:49+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_processing/Weights.h $
+// $Id: Weights.h 86ae4be 2020-05-18T12:22:21+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Yin Xu, Andreas Fabri and Ilker O. Yaz
 
@@ -39,10 +39,10 @@ struct Cotangent_value_Meyer_impl
   {
     typedef typename Kernel_traits<
       typename boost::property_traits<VertexPointMap>::value_type >::Kernel::Vector_3 Vector;
-    
+
     Vector a = get(ppmap, v0) - get(ppmap, v1);
     Vector b = get(ppmap, v2) - get(ppmap, v1);
-    
+
     double dot_ab = to_double(a*b);
     // rewritten for safer fp arithmetic
     //double dot_aa = a.squared_length();
@@ -52,17 +52,17 @@ struct Cotangent_value_Meyer_impl
     Vector cross_ab = CGAL::cross_product(a, b);
     double divider = to_double(CGAL::approximate_sqrt(cross_ab*cross_ab));
 
-    if(divider == 0 /*|| divider != divider*/) 
+    if(divider == 0 /*|| divider != divider*/)
     {
-      CGAL::collinear(get(ppmap, v0), get(ppmap, v1), get(ppmap, v2)) ? 
+      CGAL::collinear(get(ppmap, v0), get(ppmap, v1), get(ppmap, v2)) ?
         CGAL_warning_msg(false, "Infinite Cotangent value with degenerate triangle!") :
         CGAL_warning_msg(false, "Infinite Cotangent value due to floating point arithmetic!");
-      
+
 
       return dot_ab > 0 ? (std::numeric_limits<double>::max)() :
                          -(std::numeric_limits<double>::max)();
     }
-    
+
     return dot_ab / divider;
   }
 };
@@ -141,9 +141,9 @@ public:
     Vector a = get(ppmap(), v0) - get(ppmap(), v1);
     Vector b = get(ppmap(), v2) - get(ppmap(), v1);
 
-    double dot_ab = a*b;
-    double dot_aa = a.squared_length();
-    double dot_bb = b.squared_length();
+    double dot_ab = CGAL::to_double(a * b);
+    double dot_aa = CGAL::to_double(a.squared_length());
+    double dot_bb = CGAL::to_double(b.squared_length());
     double lb = -0.999, ub = 0.999;
     double cosine = dot_ab / CGAL::sqrt(dot_aa) / CGAL::sqrt(dot_bb);
     cosine = (cosine < lb) ? lb : cosine;
@@ -384,7 +384,7 @@ public:
 /////////////////////////////////////////////////////////////////////////////////////////
 
 ///////////////////////////// Edge Weight Calculators ///////////////////////////////////
-// Cotangent weight calculator 
+// Cotangent weight calculator
 // Cotangent_value:               as suggested by -[Sorkine07] ARAP Surface Modeling-
 // Cotangent_value_area_weighted: as suggested by -[Mullen08] Spectral Conformal Parameterization-
 template< class PolygonMesh,
@@ -404,7 +404,7 @@ struct Cotangent_weight_impl : Cotangent
      // Only one triangle for border edges
     if (is_border_edge(he, pmesh))
      {
-       
+
        halfedge_descriptor he_cw = opposite( next(he, pmesh) , pmesh );
        vertex_descriptor v2 = source(he_cw, pmesh);
        if (is_border_edge(he_cw, pmesh) )
@@ -417,7 +417,7 @@ struct Cotangent_weight_impl : Cotangent
      else
      {
        halfedge_descriptor he_cw = opposite( next(he, pmesh) , pmesh );
-       vertex_descriptor v2 = source(he_cw, pmesh);     
+       vertex_descriptor v2 = source(he_cw, pmesh);
        halfedge_descriptor he_ccw = prev( opposite(he, pmesh) , pmesh );
        vertex_descriptor v3 = source(he_ccw, pmesh);
 
@@ -471,7 +471,7 @@ public:
      // Only one triangle for border edges
     if (is_border_edge(he, pmesh()))
      {
-       
+
        halfedge_descriptor he_cw = opposite( next(he, pmesh()) , pmesh() );
        vertex_descriptor v2 = source(he_cw, pmesh());
        if (is_border_edge(he_cw, pmesh()) )
@@ -484,7 +484,7 @@ public:
      else
      {
        halfedge_descriptor he_cw = opposite( next(he, pmesh()) , pmesh() );
-       vertex_descriptor v2 = source(he_cw, pmesh());     
+       vertex_descriptor v2 = source(he_cw, pmesh());
        halfedge_descriptor he_ccw = prev( opposite(he, pmesh()) , pmesh() );
        vertex_descriptor v3 = source(he_ccw, pmesh());
 
@@ -507,7 +507,7 @@ struct Single_cotangent_weight_impl : Co
   double operator()(halfedge_descriptor he, PolygonMesh& pmesh, const VertexPointMap& ppmap)
   {
     if(is_border(he, pmesh)) { return 0.0;}
-     
+
     vertex_descriptor v0 = target(he, pmesh);
     vertex_descriptor v1 = source(he, pmesh);
 
@@ -550,7 +550,7 @@ public:
   double operator()(halfedge_descriptor he)
   {
     if(is_border(he, pmesh())) { return 0.0;}
-     
+
     vertex_descriptor v0 = target(he, pmesh());
     vertex_descriptor v1 = source(he, pmesh());
 
@@ -688,7 +688,7 @@ public:
     else
     {
       halfedge_descriptor he_cw = opposite( next(he, pmesh()) , pmesh() );
-      vertex_descriptor v2 = source(he_cw, pmesh());     
+      vertex_descriptor v2 = source(he_cw, pmesh());
       halfedge_descriptor he_ccw = prev( opposite(he, pmesh()) , pmesh() );
       vertex_descriptor v3 = source(he_ccw, pmesh());
 
@@ -711,7 +711,7 @@ private:
     double cos_angle = ( e0_square + e2_square - e1_square ) / 2.0 / e0 / e2;
     cos_angle = (std::max)(-1.0, (std::min)(1.0, cos_angle)); // clamp into [-1, 1]
     double angle = acos(cos_angle);
-    
+
     return ( tan(angle/2.0) );
   }
 
@@ -734,7 +734,7 @@ private:
   }
 };
 
-template< class PolygonMesh, 
+template< class PolygonMesh,
           class PrimaryWeight = Cotangent_weight<PolygonMesh>,
           class SecondaryWeight = Mean_value_weight<PolygonMesh> >
 class Hybrid_weight : public PrimaryWeight, SecondaryWeight
@@ -852,6 +852,45 @@ public:
     return cotangent_functor(he) * 2.0;
   }
 };
+
+// Cotangent_value_Meyer has been changed to the version:
+// Cotangent_value_Meyer_secure to avoid imprecisions from
+// the issue #4706 - https://github.com/CGAL/cgal/issues/4706.
+template<
+class PolygonMesh, class VertexPointMap = typename boost::property_map<PolygonMesh, vertex_point_t>::type>
+class Cotangent_weight_with_voronoi_area_fairing_secure {
+
+  typedef PolygonMesh PM;
+  typedef VertexPointMap VPMap;
+  Voronoi_area<PM, VPMap> voronoi_functor;
+  Cotangent_weight<PM, VPMap, Cotangent_value_Meyer_secure<PM, VPMap> > cotangent_functor;
+
+public:
+  Cotangent_weight_with_voronoi_area_fairing_secure(PM& pmesh_) :
+  voronoi_functor(pmesh_, get(CGAL::vertex_point, pmesh_)),
+  cotangent_functor(pmesh_, get(CGAL::vertex_point, pmesh_))
+  { }
+
+  Cotangent_weight_with_voronoi_area_fairing_secure(PM& pmesh_, VPMap vpmap_) :
+  voronoi_functor(pmesh_, vpmap_),
+  cotangent_functor(pmesh_, vpmap_)
+  { }
+
+  PM& pmesh() {
+    return voronoi_functor.pmesh();
+  }
+
+  typedef typename boost::graph_traits<PM>::halfedge_descriptor halfedge_descriptor;
+  typedef typename boost::graph_traits<PM>::vertex_descriptor vertex_descriptor;
+
+  double w_i(vertex_descriptor v_i) {
+    return 0.5 / voronoi_functor(v_i);
+  }
+
+  double w_ij(halfedge_descriptor he) {
+    return cotangent_functor(he) * 2.0;
+  }
+};
 
 template<class PolygonMesh>
 class Uniform_weight_fairing
diff -pruN 5.0.2-3/include/CGAL/polygon_mesh_processing.h 5.0.3-1/include/CGAL/polygon_mesh_processing.h
--- 5.0.2-3/include/CGAL/polygon_mesh_processing.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/polygon_mesh_processing.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/polygon_mesh_processing.h $
-// $Id: polygon_mesh_processing.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/polygon_mesh_processing.h $
+// $Id: polygon_mesh_processing.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Jane Tournois
 
diff -pruN 5.0.2-3/include/CGAL/Polygon_mesh_slicer.h 5.0.3-1/include/CGAL/Polygon_mesh_slicer.h
--- 5.0.2-3/include/CGAL/Polygon_mesh_slicer.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_mesh_slicer.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Polygon_mesh_slicer.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Polygon_mesh_slicer.h $
 // $Id: Polygon_mesh_slicer.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_nop_decomposition_2.h 5.0.3-1/include/CGAL/Polygon_nop_decomposition_2.h
--- 5.0.2-3/include/CGAL/Polygon_nop_decomposition_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_nop_decomposition_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Polygon_nop_decomposition_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Polygon_nop_decomposition_2.h $
 // $Id: Polygon_nop_decomposition_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_offset_builder_2.h 5.0.3-1/include/CGAL/Polygon_offset_builder_2.h
--- 5.0.2-3/include/CGAL/Polygon_offset_builder_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_offset_builder_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Polygon_offset_builder_2.h $
-// $Id: Polygon_offset_builder_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Polygon_offset_builder_2.h $
+// $Id: Polygon_offset_builder_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -35,14 +35,14 @@ struct Default_polygon_offset_builder_2_
 
   typedef typename SSkel::Halfedge_const_handle Halfedge_const_handle ;
   typedef typename SSkel::Vertex_const_handle   Vertex_const_handle ;
-  
+
   typedef typename Traits::FT      FT ;
   typedef typename Traits::Point_2 Point_2 ;
-  
+
   void on_construction_started ( FT ) const {}
-  
+
   void on_offset_contour_started() const {}
-  
+
   void on_offset_point ( Point_2 const& ) const {}
 
   Point_2 on_offset_point_overflowed( Halfedge_const_handle aBisector ) const
@@ -50,11 +50,11 @@ struct Default_polygon_offset_builder_2_
     ::CGAL::warning_fail( "", __FILE__, __LINE__, "! Unable to compute polygon offset point due to overflow !" ) ;
     return aBisector->vertex()->point() ;
   }
-  
+
   void on_offset_contour_finished ( bool /*is_complete*/ ) const {}
-  
+
   void on_construction_finished () const {}
-  
+
   void on_error( char const* ) const {}
 } ;
 
@@ -69,10 +69,10 @@ public :
   typedef Visitor_   Visitor ;
 
   typedef typename Traits::Kernel K ;
-  
+
   typedef typename Traits::FT      FT ;
   typedef typename Traits::Point_2 Point_2 ;
-  
+
   typedef boost::optional<Point_2> OptionalPoint_2 ;
 
   typedef boost::shared_ptr<Container> ContainerPtr ;
@@ -85,18 +85,18 @@ public :
   struct Bisector_data
   {
     Bisector_data() : IsVisited(false), IsUsedSeed(false) {}
-    
+
     bool IsVisited ;
     bool IsUsedSeed ;
   } ;
-  
+
 private:
 
   typedef typename Ss::Vertex                Vertex ;
   typedef typename Ss::Halfedge_handle       Halfedge_handle  ;
   typedef typename Ss::Halfedge_const_handle Halfedge_const_handle  ;
   typedef typename Ss::Vertex_const_handle   Vertex_const_handle  ;
-  
+
   typedef std::vector<Halfedge_const_handle> Halfedge_vector ;
 
   typedef typename Traits::Segment_2        Segment_2 ;
@@ -106,12 +106,12 @@ private:
   typedef CGAL_SS_i::Triedge<Halfedge_handle> Triedge ;
 
   enum Hook_position { SOURCE, TARGET, INSIDE } ;
-  
+
   static char const* Hook_position2Str( Hook_position aPos )
   {
     return aPos == SOURCE ? "source" : ( aPos == TARGET ? "target" : "inside" ) ;
   }
-  
+
   Halfedge_const_handle LocateHook( FT aTime, Halfedge_const_handle aBisector, bool aIncludeLastBisector, Hook_position& rPos ) ;
 
   void AddOffsetVertex( FT aTime, Halfedge_const_handle aHook, ContainerPtr aPoly ) ;
@@ -120,18 +120,18 @@ private:
   OutputIterator TraceOffsetPolygon( FT aTime, Halfedge_const_handle aHook, OutputIterator aOut ) ;
 
   Halfedge_const_handle LocateSeed( FT aTime, Halfedge_const_handle aBorder ) ;
-  
+
   Halfedge_const_handle LocateSeed( FT aTime ) ;
 
   Bisector_data const& GetBisectorData ( Halfedge_const_handle aBisector ) const { return mBisectorData[aBisector->id()] ; }
   Bisector_data&       GetBisectorData ( Halfedge_const_handle aBisector )       { return mBisectorData[aBisector->id()] ; }
-    
+
   bool IsVisited( Halfedge_const_handle aBisector ) { return GetBisectorData(aBisector).IsVisited ; }
 
   bool IsUsedSeed( Halfedge_const_handle aBisector ) { return GetBisectorData(aBisector).IsUsedSeed ; }
-  
+
   void Visit( Halfedge_const_handle aBisector ) { GetBisectorData(aBisector).IsVisited = true ; }
-  
+
   void SetIsUsedSeed( Halfedge_const_handle aBisector ) { GetBisectorData(aBisector).IsUsedSeed = true ; }
 
   inline Segment_2 CreateSegment ( Halfedge_const_handle aH ) const
@@ -144,7 +144,7 @@ private:
   Trisegment_2_ptr CreateTrisegment ( Triedge const& aTriedge ) const
   {
     CGAL_precondition( aTriedge.is_valid() ) ;
-    
+
     if ( aTriedge.is_skeleton() )
     {
       return Construct_ss_trisegment_2(mTraits)(CreateSegment(aTriedge.e0())
@@ -152,33 +152,33 @@ private:
                                                ,CreateSegment(aTriedge.e2())
                                                );
     }
-    else 
+    else
     {
       return Trisegment_2_ptr() ;
     }
   }
-  
+
   Trisegment_2_ptr CreateTrisegment ( Vertex_const_handle aNode ) const ;
-  
+
   Vertex_const_handle GetSeedVertex ( Vertex_const_handle   aNode
                                     , Halfedge_const_handle aBisector
                                     , Halfedge_const_handle aEa
-                                    , Halfedge_const_handle aEb 
+                                    , Halfedge_const_handle aEb
                                     ) const ;
 
-  bool Is_bisector_defined_by ( Halfedge_const_handle aBisector, Halfedge_const_handle aEa, Halfedge_const_handle aEb ) const 
-  { 
-    return    ( aBisector->defining_contour_edge() == aEa && aBisector->opposite()->defining_contour_edge() == aEb ) 
-           || ( aBisector->defining_contour_edge() == aEb && aBisector->opposite()->defining_contour_edge() == aEa ) ;  
+  bool Is_bisector_defined_by ( Halfedge_const_handle aBisector, Halfedge_const_handle aEa, Halfedge_const_handle aEb ) const
+  {
+    return    ( aBisector->defining_contour_edge() == aEa && aBisector->opposite()->defining_contour_edge() == aEb )
+           || ( aBisector->defining_contour_edge() == aEb && aBisector->opposite()->defining_contour_edge() == aEa ) ;
   }
-  
+
   Comparison_result Compare_offset_against_event_time( FT aT, Vertex_const_handle aNode ) const
   {
     CGAL_precondition( aNode->is_skeleton() ) ;
-    
+
     Comparison_result r = aNode->has_infinite_time() ? SMALLER
                                                      : static_cast<Comparison_result>(Compare_offset_against_event_time_2(mTraits)(aT,CreateTrisegment(aNode)));
-    
+
     return r ;
   }
 public:
@@ -190,22 +190,22 @@ public:
 
     Halfedge_const_handle lBorderA = aBisector->defining_contour_edge();
     Halfedge_const_handle lBorderB = aBisector->opposite()->defining_contour_edge();
-    
+
     Vertex_const_handle lNodeS = aBisector->opposite()->vertex();
     Vertex_const_handle lNodeT = aBisector->vertex();
-    
-    
+
+
     // If aBisector is not a border bisector the offset point construction needs to get to seed event
     Trisegment_2_ptr lSeedEvent ;
     if ( aBisector->is_inner_bisector() )
     {
       CGAL_assertion ( lNodeS->is_skeleton() ) ;
       CGAL_assertion ( lNodeT->is_skeleton() ) ;
-      
+
       Vertex_const_handle lSeedNode = aBisector->slope() == POSITIVE ? lNodeS : lNodeT ;
-      
+
       lSeedEvent = CreateTrisegment(lSeedNode) ;
-      
+
       CGAL_POLYOFFSET_TRACE(3,"Seed node for " << e2str(*aBisector) << " is " << v2str(*lSeedNode) << " event=" << lSeedEvent ) ;
     }
 
@@ -215,9 +215,9 @@ public:
                                                          ,lSeedEvent
                                                          );
     CGAL_stskel_intrinsic_test_assertion
-    ( 
-      !p 
-      || 
+    (
+      !p
+      ||
       ( p && !CGAL_SS_i::is_possibly_inexact_distance_clearly_not_zero
               ( CGAL_SS_i::squared_distance_from_point_to_lineC2(p->x()
                                                                 ,p->y()
@@ -229,7 +229,7 @@ public:
               )
       )
     ) ;
-    
+
     return p ;
   }
 private:
@@ -239,7 +239,7 @@ private:
   Visitor const&             mVisitor ;
   Halfedge_vector            mBorders ;
   std::vector<Bisector_data> mBisectorData;
-  OptionalPoint_2            mLastPoint ; 
+  OptionalPoint_2            mLastPoint ;
   CGAL_POLYOFFSET_DEBUG_CODE( int mStepID ; )
 };
 
diff -pruN 5.0.2-3/include/CGAL/Polygon_offset_builder_traits_2.h 5.0.3-1/include/CGAL/Polygon_offset_builder_traits_2.h
--- 5.0.2-3/include/CGAL/Polygon_offset_builder_traits_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_offset_builder_traits_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Polygon_offset_builder_traits_2.h $
-// $Id: Polygon_offset_builder_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Polygon_offset_builder_traits_2.h $
+// $Id: Polygon_offset_builder_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
 #ifndef CGAL_POLYGON_OFFSET_BUILDER_TRAITS_2_H
 #define CGAL_POLYGON_OFFSET_BUILDER_TRAITS_2_H 1
@@ -53,95 +53,95 @@ struct Construct_offset_point_2 : Functo
   typedef typename Base::Trisegment_2_ptr Trisegment_2_ptr ;
 
   typedef boost::optional<Point_2> result_type ;
-  
+
 
   result_type operator() ( FT               const& aT
                          , Segment_2        const& aE0
-                         , Segment_2        const& aE1 
+                         , Segment_2        const& aE1
                          , Trisegment_2_ptr const& aNode
                          ) const
   {
     typename Has_inexact_constructions<K>::type has_inexact_constructions
     CGAL_SUNPRO_INITIALIZE( = typename Has_inexact_constructions<K>::type()) ;
-    
+
     return calc(aT, aE0, aE1, aNode, has_inexact_constructions);
   }
-  
+
   result_type calc ( FT               const& aT
                    , Segment_2        const& aE0
-                   , Segment_2        const& aE1 
+                   , Segment_2        const& aE1
                    , Trisegment_2_ptr const& aNode
                    , Tag_false        // kernel already has exact constructions
                    ) const
   {
     result_type p = construct_offset_pointC2(aT,aE0,aE1,aNode);
-    
+
     CGAL_stskel_intrinsic_test_assertion(!p || (p && !is_point_calculation_clearly_wrong(aT,*p,aE0,aE1)));
-    
+
     return p ;
   }
-  
+
   result_type calc ( FT               const& aT
                    , Segment_2        const& aE0
-                   , Segment_2        const& aE1 
+                   , Segment_2        const& aE1
                    , Trisegment_2_ptr const& aNode
                    , Tag_true         // kernel does not provides exact constructions
                    ) const
   {
     typedef Exact_predicates_exact_constructions_kernel EK ;
-    
+
     typedef Cartesian_converter<K,EK> BaseC2E;
     typedef Cartesian_converter<EK,K> BaseE2C;
-    
-    SS_converter<BaseC2E> C2E ;  
-    SS_converter<BaseE2C> E2C ;  
-    
+
+    SS_converter<BaseC2E> C2E ;
+    SS_converter<BaseE2C> E2C ;
+
     result_type p = E2C(construct_offset_pointC2(C2E(aT),C2E(aE0),C2E(aE1),C2E(aNode)));
-    
+
     CGAL_stskel_intrinsic_test_assertion(!p || (p && !is_point_calculation_clearly_wrong(aT,*p,aE0,aE1)));
-    
+
     return p ;
   }
-  
+
   bool is_point_calculation_clearly_wrong( FT const& t, Point_2 const& p, Segment_2 const& aE0, Segment_2 const& aE1 ) const
-  { 
+  {
     bool rR = false ;
-    
+
     if ( is_possibly_inexact_time_clearly_not_zero(t) )
     {
       Point_2 const& e0s = aE0.source();
       Point_2 const& e0t = aE0.target();
-      
+
       Point_2 const& e1s = aE1.source();
       Point_2 const& e1t = aE1.target();
-    
+
       FT const very_short(0.1);
       FT const very_short_squared = CGAL_NTS square(very_short);
-      
+
       FT l0 = squared_distance(e0s,e0t) ;
       FT l1 = squared_distance(e1s,e1t) ;
-      
+
       bool e0_is_not_very_short = l0 > very_short_squared ;
       bool e1_is_not_very_short = l1 > very_short_squared ;
-      
+
       FT d0 = squared_distance_from_point_to_lineC2(p.x(),p.y(),e0s.x(),e0s.y(),e0t.x(),e0t.y()).to_nt();
       FT d1 = squared_distance_from_point_to_lineC2(p.x(),p.y(),e1s.x(),e1s.y(),e1t.x(),e1t.y()).to_nt();
-    
+
       FT tt = CGAL_NTS square(t) ;
-      
+
       bool e0_is_clearly_wrong = e0_is_not_very_short && is_possibly_inexact_distance_clearly_not_equal_to(d0,tt) ;
       bool e1_is_clearly_wrong = e1_is_not_very_short && is_possibly_inexact_distance_clearly_not_equal_to(d1,tt) ;
-              
-      rR = e0_is_clearly_wrong || e1_is_clearly_wrong ;        
-      
+
+      rR = e0_is_clearly_wrong || e1_is_clearly_wrong ;
+
       CGAL_stskel_intrinsic_test_trace_if(rR
                                         , "\nOffset point calculation is clearly wrong:"
                                           << "\ntime=" << t << " p=" << p2str(p) << " e0=" << s2str(aE0) << " e1=" << s2str(aE1)
                                           << "\nl0=" << inexact_sqrt(l0) << " l1=" << inexact_sqrt(l1)
-                                          << "\nd0=" << d0 << " d1=" << d1 << " tt=" << tt 
+                                          << "\nd0=" << d0 << " d1=" << d1 << " tt=" << tt
                                         ) ;
     }
-    
+
     return rR ;
   }
 };
@@ -163,13 +163,13 @@ template<class K>
 struct Polygon_offset_builder_traits_2_base
 {
   typedef K Kernel ;
-  
+
   typedef typename K::FT        FT ;
   typedef typename K::Point_2   Point_2 ;
   typedef typename K::Segment_2 Segment_2 ;
-  
+
   typedef CGAL_SS_i::Trisegment_2<K> Trisegment_2 ;
-  
+
   typedef typename Trisegment_2::Self_ptr Trisegment_2_ptr ;
 
   template<class F> F get( F const* = 0 ) const { return F(); }
@@ -189,7 +189,7 @@ public:
 
   typedef Unfiltered_predicate_adaptor<typename Unfiltering::Compare_ss_event_times_2>
     Compare_ss_event_times_2 ;
-    
+
   typedef typename Unfiltering::Construct_offset_point_2            Construct_offset_point_2 ;
   typedef typename Unfiltering::Construct_ss_trisegment_2           Construct_ss_trisegment_2 ;
   typedef typename Unfiltering::Construct_ss_event_time_and_point_2 Construct_ss_event_time_and_point_2 ;
@@ -201,7 +201,7 @@ class Polygon_offset_builder_traits_2_im
 {
   typedef typename K::Exact_kernel       EK ;
   typedef typename K::Approximate_kernel FK ;
-  
+
   typedef Polygon_offset_builder_traits_2_functors<EK> Exact ;
   typedef Polygon_offset_builder_traits_2_functors<FK> Filtering ;
   typedef Polygon_offset_builder_traits_2_functors<K>  Unfiltering ;
@@ -211,7 +211,7 @@ class Polygon_offset_builder_traits_2_im
   typedef Cartesian_converter<EK,K> BaseE2C;
   typedef Cartesian_converter<FK,K> BaseF2C;
   typedef Cartesian_converter<K,K>  BaseC2C;
-  
+
   typedef CGAL_SS_i::SS_converter<BaseC2E> C2E ;
   typedef CGAL_SS_i::SS_converter<BaseC2F> C2F ;
   typedef CGAL_SS_i::SS_converter<BaseE2C> E2C ;
@@ -233,7 +233,7 @@ public:
                             , C2F
                             >
                             Compare_ss_event_times_2 ;
-                            
+
   typedef CGAL_SS_i::Exceptionless_filtered_construction< typename Unfiltering::Construct_offset_point_2
                                                         , typename Exact      ::Construct_offset_point_2
                                                         , typename Unfiltering::Construct_offset_point_2
@@ -243,7 +243,7 @@ public:
                                                         , C2C
                                                         >
                                                         Construct_offset_point_2 ;
-                                             
+
   typedef CGAL_SS_i::Exceptionless_filtered_construction< typename Unfiltering::Construct_ss_trisegment_2
                                                         , typename Exact      ::Construct_ss_trisegment_2
                                                         , typename Unfiltering::Construct_ss_trisegment_2
@@ -253,14 +253,14 @@ public:
                                                         , C2C
                                                         >
                                                         Construct_ss_trisegment_2 ;
-                                                        
+
   typedef CGAL_SS_i::Exceptionless_filtered_construction< typename Unfiltering::Construct_ss_event_time_and_point_2
                                                         , typename Exact      ::Construct_ss_event_time_and_point_2
-                                                        , typename Unfiltering::Construct_ss_event_time_and_point_2 
+                                                        , typename Unfiltering::Construct_ss_event_time_and_point_2
                                                         , C2E
-                                                        , C2C 
+                                                        , C2C
                                                         , E2C
-                                                        , C2C 
+                                                        , C2C
                                                         >
                                                         Construct_ss_event_time_and_point_2 ;
 } ;
diff -pruN 5.0.2-3/include/CGAL/Polygon_set_2.h 5.0.3-1/include/CGAL/Polygon_set_2.h
--- 5.0.2-3/include/CGAL/Polygon_set_2.h	2020-02-21 20:02:59.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_set_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Boolean_set_operations_2/include/CGAL/Polygon_set_2.h $
-// $Id: Polygon_set_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Boolean_set_operations_2/include/CGAL/Polygon_set_2.h $
+// $Id: Polygon_set_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Baruch Zukerman <baruchzu@post.tau.ac.il>
 //                 Efi Fogel <efif@post.tau.ac.il>
@@ -33,7 +33,7 @@ template <class Kernel,
             Gps_default_dcel<Gps_segment_traits_2<Kernel, Containter> > >
 class Polygon_set_2 :
   public General_polygon_set_2<Gps_segment_traits_2<Kernel, Containter>, Dcel_>
-{  
+{
 private:
   typedef General_polygon_set_2<Gps_segment_traits_2<Kernel, Containter>, Dcel_>
                                                           Base;
@@ -41,7 +41,7 @@ private:
   typedef Polygon_set_2<Kernel, Containter, Dcel_>        Self;
 
 public:
-  typedef  typename Base::Traits_2                        Traits_2;    
+  typedef  typename Base::Traits_2                        Traits_2;
   typedef  typename Base::Polygon_2                       Polygon_2;
   typedef  typename Base::Polygon_with_holes_2            Polygon_with_holes_2;
   typedef  typename Base::Arrangement_2                   Arrangement_2;
@@ -72,7 +72,7 @@ public:
     Base (pwh)
   {}
 
-  
+
   inline void intersection(const Polygon_2& pgn)
   {
     Base::intersection(pgn);
diff -pruN 5.0.2-3/include/CGAL/Polygon_traits_2.h 5.0.3-1/include/CGAL/Polygon_traits_2.h
--- 5.0.2-3/include/CGAL/Polygon_traits_2.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_traits_2.h	2020-08-01 19:02:40.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon/include/CGAL/Polygon_traits_2.h $
-// $Id: Polygon_traits_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon/include/CGAL/Polygon_traits_2.h $
+// $Id: Polygon_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Wieger Wesselink <wieger@cs.ruu.nl>
 
diff -pruN 5.0.2-3/include/CGAL/Polygon_triangulation_decomposition_2.h 5.0.3-1/include/CGAL/Polygon_triangulation_decomposition_2.h
--- 5.0.2-3/include/CGAL/Polygon_triangulation_decomposition_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_triangulation_decomposition_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Polygon_triangulation_decomposition_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Polygon_triangulation_decomposition_2.h $
 // $Id: Polygon_triangulation_decomposition_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_vertical_decomposition_2.h 5.0.3-1/include/CGAL/Polygon_vertical_decomposition_2.h
--- 5.0.2-3/include/CGAL/Polygon_vertical_decomposition_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_vertical_decomposition_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Polygon_vertical_decomposition_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Polygon_vertical_decomposition_2.h $
 // $Id: Polygon_vertical_decomposition_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polygon_with_holes_2.h 5.0.3-1/include/CGAL/Polygon_with_holes_2.h
--- 5.0.2-3/include/CGAL/Polygon_with_holes_2.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polygon_with_holes_2.h	2020-08-01 19:02:40.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon/include/CGAL/Polygon_with_holes_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon/include/CGAL/Polygon_with_holes_2.h $
 // $Id: Polygon_with_holes_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polyhedral_complex_mesh_domain_3.h 5.0.3-1/include/CGAL/Polyhedral_complex_mesh_domain_3.h
--- 5.0.2-3/include/CGAL/Polyhedral_complex_mesh_domain_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyhedral_complex_mesh_domain_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Polyhedral_complex_mesh_domain_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Polyhedral_complex_mesh_domain_3.h $
 // $Id: Polyhedral_complex_mesh_domain_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polyhedral_mesh_domain_3.h 5.0.3-1/include/CGAL/Polyhedral_mesh_domain_3.h
--- 5.0.2-3/include/CGAL/Polyhedral_mesh_domain_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyhedral_mesh_domain_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Polyhedral_mesh_domain_3.h $
-// $Id: Polyhedral_mesh_domain_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Polyhedral_mesh_domain_3.h $
+// $Id: Polyhedral_mesh_domain_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -204,7 +204,7 @@ public:
 
   template <typename P>
   struct Primitive_type {
-      //setting OneFaceGraphPerTree to false transforms the id type into 
+      //setting OneFaceGraphPerTree to false transforms the id type into
       //std::pair<FD, const FaceGraph*>.
     typedef AABB_face_graph_triangle_primitive<P, typename boost::property_map<P,vertex_point_t>::type, CGAL::Tag_false> type;
 
@@ -221,7 +221,7 @@ public:
     }
   }; // Primitive_type (for non-Polyhedron_3)
 
- 
+
 public:
   typedef typename Primitive_type<Polyhedron>::type       Ins_fctor_primitive;
   typedef CGAL::AABB_traits<IGT, Ins_fctor_primitive>     Ins_fctor_traits;
@@ -693,7 +693,7 @@ public:
     Query_cache &qc = query_cache.local();
     return qc.has_cache && (qc.cached_query == Cached_query(q));
 #else
-    return query_cache.has_cache 
+    return query_cache.has_cache
       && (query_cache.cached_query == Cached_query(q));
 #endif
   }
@@ -801,5 +801,5 @@ Is_in_domain::operator()(const Point_3&
 }  // end namespace CGAL
 
 #include <CGAL/enable_warnings.h>
-  
+
 #endif // POLYHEDRAL_MESH_TRAITS_3_H_
diff -pruN 5.0.2-3/include/CGAL/Polyhedral_mesh_domain_with_features_3.h 5.0.3-1/include/CGAL/Polyhedral_mesh_domain_with_features_3.h
--- 5.0.2-3/include/CGAL/Polyhedral_mesh_domain_with_features_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyhedral_mesh_domain_with_features_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Polyhedral_mesh_domain_with_features_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Polyhedral_mesh_domain_with_features_3.h $
 // $Id: Polyhedral_mesh_domain_with_features_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/PolyhedralSurf_neighbors.h 5.0.3-1/include/CGAL/PolyhedralSurf_neighbors.h
--- 5.0.2-3/include/CGAL/PolyhedralSurf_neighbors.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/PolyhedralSurf_neighbors.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Ridges_3/include/CGAL/PolyhedralSurf_neighbors.h $
-// $Id: PolyhedralSurf_neighbors.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Ridges_3/include/CGAL/PolyhedralSurf_neighbors.h $
+// $Id: PolyhedralSurf_neighbors.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Pouget and Frédéric Cazals
@@ -40,10 +40,10 @@ public:
 
   typedef typename boost::graph_traits<TriangleMesh>::vertex_descriptor    vertex_descriptor;
   typedef typename boost::graph_traits<TriangleMesh>::halfedge_descriptor  halfedge_descriptor;
- 
+
   T_Gate(FT d, const halfedge_descriptor he);
   FT& d() { return m_d;}
-  const FT d() const { return m_d;}            
+  const FT d() const { return m_d;}
   const halfedge_descriptor he() { return m_he;}
 
 private:
@@ -52,9 +52,9 @@ private:
 };
 
 //////////////IMPLEMENTATION//////////////////////////
-template < class TriangleMesh > 
-T_Gate<TriangleMesh>::T_Gate(FT d, 
-					    const halfedge_descriptor he)
+template < class TriangleMesh >
+T_Gate<TriangleMesh>::T_Gate(FT d,
+                                            const halfedge_descriptor he)
   : m_d(d), m_he(he)
 {}
 
@@ -63,11 +63,11 @@ T_Gate<TriangleMesh>::T_Gate(FT d,
 // order so that the top element is the smallest in the queue
 //---------------------------------------------------------------------------
 template<class g>
-struct compare_gates 
-{       
-        bool operator()(const g& g1, 
+struct compare_gates
+{
+        bool operator()(const g& g1,
                         const g& g2) const
-        {       
+        {
                 return g1.d() > g2.d();
         }
 };
@@ -102,18 +102,18 @@ public:
   // OneRingSize is the max distance from v to its OneRing
   // neighbors. (the tag is_visited is not mofified)
   void compute_one_ring(const vertex_descriptor v,
-			std::vector<vertex_descriptor> &vertex_neigh,
-			std::list<halfedge_descriptor> &contour,
-			FT &OneRingSize);
+                        std::vector<vertex_descriptor> &vertex_neigh,
+                        std::list<halfedge_descriptor> &contour,
+                        FT &OneRingSize);
   // call compute_one_ring and expand the contour (circle of halfedges
   // CW), vertex_neigh are vertices on and inside the contour (there
   // tag is_visited is set to true, but reset to false at the end),
   // size is such that gates with distance less than size*OneRingSize
   // are processed
   void compute_neighbors(const vertex_descriptor v,
-			 std::vector<vertex_descriptor> &vertex_neigh,
-			 std::list<halfedge_descriptor> &contour,
-			 const FT size); 
+                         std::vector<vertex_descriptor> &vertex_neigh,
+                         std::list<halfedge_descriptor> &contour,
+                         const FT size);
   //vertex tags is_visited are set to false
   void reset_is_visited_map(std::vector<vertex_descriptor> &vces);
 
@@ -159,22 +159,22 @@ T_PolyhedralSurf_neighbors(const Triangl
   //init the is_visited_map
   Vertex_const_iterator itb, ite;
   boost::tie(itb,ite) = vertices(P);
-  for(;itb!=ite;itb++) is_visited_map[*itb] = false; 
+  for(;itb!=ite;itb++) is_visited_map[*itb] = false;
 }
 
 template < class TriangleMesh >
 void T_PolyhedralSurf_neighbors < TriangleMesh >::
 compute_one_ring(const vertex_descriptor v,
-		 std::vector<vertex_descriptor> &vertex_neigh,
-		 std::list<halfedge_descriptor> &contour,
-		 FT &OneRingSize)
+                 std::vector<vertex_descriptor> &vertex_neigh,
+                 std::list<halfedge_descriptor> &contour,
+                 FT &OneRingSize)
 {
   vertex_neigh.push_back(v);
   Halfedge_around_vertex_const_circulator he_circ(halfedge(v,P),P),
                                     he_end = he_circ;
   do {
     if ( is_border(*he_circ,P) )//then he and he->next follow the contour CW
-	{contour.push_back(*he_circ);
+        {contour.push_back(*he_circ);
           contour.push_back(next(*he_circ,P));}
     else contour.push_back(opposite(prev(*he_circ,P),P));//not border, he->prev->opp on contour CW
     vertex_neigh.push_back(target(opposite(*he_circ,P),P));
@@ -186,7 +186,7 @@ compute_one_ring(const vertex_descriptor
   typename std::vector<vertex_descriptor>::const_iterator itb = vertex_neigh.begin(),
     ite = vertex_neigh.end();
   itb++;//the first vertex v is the center to which distances are
-	//computed from, for other 1ring neighbors
+        //computed from, for other 1ring neighbors
   Point_3 p0 = get(vpm, v), p;
   Vector_3 p0p;
   FT d = OneRingSize;
@@ -202,15 +202,15 @@ compute_one_ring(const vertex_descriptor
 template < class TriangleMesh >
 void T_PolyhedralSurf_neighbors < TriangleMesh >::
 compute_neighbors(const vertex_descriptor v,
-		  std::vector<vertex_descriptor> &vertex_neigh,
-		  std::list<halfedge_descriptor> &contour,
-		  const FT size)  
+                  std::vector<vertex_descriptor> &vertex_neigh,
+                  std::list<halfedge_descriptor> &contour,
+                  const FT size)
 {
   FT OneRingSize;
   compute_one_ring(v, vertex_neigh, contour, OneRingSize);
   const FT d_max = OneRingSize*size;
   std::priority_queue< Gate, std::vector< Gate >, compare_gates< Gate > > GatePQ;
-  // tag neighbors 
+  // tag neighbors
   typename std::vector<vertex_descriptor>::const_iterator itbv = vertex_neigh.begin(),
     itev = vertex_neigh.end();
   for (; itbv != itev; itbv++) is_visited_map.find(*itbv)->second = true;
@@ -233,24 +233,24 @@ compute_neighbors(const vertex_descripto
     vertex_descriptor v1;
     // find the gate on the contour
     typename std::list<halfedge_descriptor>::iterator pos_he, pos_prev, pos_next, iter;
-   
+
     pos_he = find(contour.begin(), contour.end(), he);
     iter = pos_he;
     /**
-       there are different cases to expand the contour : 
+       there are different cases to expand the contour :
        (case 3) he is not on the contour, nothing to do
-       (case 2) he is on the contour and either the previous or the next 
+       (case 2) he is on the contour and either the previous or the next
        following edge in the triangle is also on the contour, then delete
-       these 2 he from the contour and add the third one to the contour 
+       these 2 he from the contour and add the third one to the contour
        and the PQ.
        (case1) the vertex opposite to he is not visited, then the he is removed
-       from the contour, the two others are added to the contour and PQ, the 
+       from the contour, the two others are added to the contour and PQ, the
        vertex is set visited.
     */
 
     // if the gate is not encountered on the contour (case 3)
     if ( pos_he == contour.end() ) continue;
-    // simulate a circulator on the contour: 
+    // simulate a circulator on the contour:
     // find the prev and next pos on coutour
     if ( ite != (++iter) ) pos_next = iter;
     else pos_next = contour.begin();
@@ -260,47 +260,47 @@ compute_neighbors(const vertex_descripto
 
     if ( next(he,P) == *pos_next )
       {  // case 2a
-	//contour
-	he1 = opposite(prev(he,P),P);
-	contour.insert(pos_he, he1);
-	contour.erase(pos_he);
-	contour.erase(pos_next);
-	//GatePQ
-	if ( !is_border(he1,P) ) GatePQ.push(make_gate(v, he1));
-	continue;
+        //contour
+        he1 = opposite(prev(he,P),P);
+        contour.insert(pos_he, he1);
+        contour.erase(pos_he);
+        contour.erase(pos_next);
+        //GatePQ
+        if ( !is_border(he1,P) ) GatePQ.push(make_gate(v, he1));
+        continue;
       }
     else if ( prev(he,P) == *pos_prev )
       {  // case 2b
-	//contour
-	he1 = opposite(next(he,P),P);
-	contour.insert(pos_prev, he1);
-	contour.erase(pos_prev);
-	contour.erase(pos_he);
-	//GatePQ
-	if ( ! is_border(he1,P) ) GatePQ.push(make_gate(v, he1));
-	continue;
+        //contour
+        he1 = opposite(next(he,P),P);
+        contour.insert(pos_prev, he1);
+        contour.erase(pos_prev);
+        contour.erase(pos_he);
+        //GatePQ
+        if ( ! is_border(he1,P) ) GatePQ.push(make_gate(v, he1));
+        continue;
       }
     v1 = target(next(he,P),P);
     if ( !is_visited_map.find(v1)->second )
       {  // case 1
-	//vertex
-	is_visited_map.find(v1)->second = true;
-	vertex_neigh.push_back(v1);
-	//contour
-	he1 = opposite(prev(he,P),P);
-	he2 = opposite(next(he,P),P);
-	contour.insert(pos_he, he1);
-	contour.insert(pos_he, he2);
-	contour.erase(pos_he);
-	//GatePQ
-	if ( ! is_border(he1,P) ) GatePQ.push(make_gate(v, he1));
-	if ( ! is_border(he2,P) ) GatePQ.push(make_gate(v, he2));
-	continue;
+        //vertex
+        is_visited_map.find(v1)->second = true;
+        vertex_neigh.push_back(v1);
+        //contour
+        he1 = opposite(prev(he,P),P);
+        he2 = opposite(next(he,P),P);
+        contour.insert(pos_he, he1);
+        contour.insert(pos_he, he2);
+        contour.erase(pos_he);
+        //GatePQ
+        if ( ! is_border(he1,P) ) GatePQ.push(make_gate(v, he1));
+        if ( ! is_border(he2,P) ) GatePQ.push(make_gate(v, he2));
+        continue;
       }
     //else do nothing (keep the he on the contour, and continue) to
     //prevent a change of the topology.
   }// end while
-  
+
   reset_is_visited_map(vertex_neigh);
 }
 
@@ -308,7 +308,7 @@ template < class TriangleMesh >
 void T_PolyhedralSurf_neighbors < TriangleMesh >::
 reset_is_visited_map(std::vector<vertex_descriptor> &vces)
 {
-  typename std::vector<vertex_descriptor>::const_iterator 
+  typename std::vector<vertex_descriptor>::const_iterator
     itb = vces.begin(), ite = vces.end();
   for (;itb != ite; itb++) is_visited_map[*itb] = false;
 }
diff -pruN 5.0.2-3/include/CGAL/Polyhedron_3_fwd.h 5.0.3-1/include/CGAL/Polyhedron_3_fwd.h
--- 5.0.2-3/include/CGAL/Polyhedron_3_fwd.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyhedron_3_fwd.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/Polyhedron_3_fwd.h $
-// $Id: Polyhedron_3_fwd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/Polyhedron_3_fwd.h $
+// $Id: Polyhedron_3_fwd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 
@@ -26,11 +26,11 @@ namespace CGAL {
   template < class PolyhedronTraits_3,
              class PolyhedronItems_3 = Polyhedron_items_3,
              template < class T, class I, class A>
-             class T_HDS = HalfedgeDS_default, 
+             class T_HDS = HalfedgeDS_default,
              class Alloc = CGAL_ALLOCATOR(int)
              >
   class Polyhedron_3;
-  
+
 } // CGAL
 #endif
 
diff -pruN 5.0.2-3/include/CGAL/Polyhedron_3.h 5.0.3-1/include/CGAL/Polyhedron_3.h
--- 5.0.2-3/include/CGAL/Polyhedron_3.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyhedron_3.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/include/CGAL/Polyhedron_3.h $
-// $Id: Polyhedron_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/include/CGAL/Polyhedron_3.h $
+// $Id: Polyhedron_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -552,7 +552,7 @@ public:
     typedef N_step_adaptor_derived<Halfedge_const_iterator, 2>
                                                   Edge_const_iterator;
   */
-  
+
     // All face related types get a related facet type name.
     typedef Face                                  Facet;
     typedef Face_handle                           Facet_handle;
diff -pruN 5.0.2-3/include/CGAL/Polyhedron_3_to_lcc.h 5.0.3-1/include/CGAL/Polyhedron_3_to_lcc.h
--- 5.0.2-3/include/CGAL/Polyhedron_3_to_lcc.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyhedron_3_to_lcc.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/include/CGAL/Polyhedron_3_to_lcc.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/include/CGAL/Polyhedron_3_to_lcc.h $
 // $Id: Polyhedron_3_to_lcc.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polyhedron_copy_3.h 5.0.3-1/include/CGAL/Polyhedron_copy_3.h
--- 5.0.2-3/include/CGAL/Polyhedron_copy_3.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyhedron_copy_3.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/include/CGAL/Polyhedron_copy_3.h $
-// $Id: Polyhedron_copy_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/include/CGAL/Polyhedron_copy_3.h $
+// $Id: Polyhedron_copy_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>)
 
@@ -46,8 +46,8 @@ Polyhedron_copy_3<Poly,HDS,clear_target_
     typedef typename Poly::Vertex_const_iterator  Vertex_const_iterator;
     typedef typename Poly::Facet_const_iterator   Facet_const_iterator;
     typedef Inverse_index< Vertex_const_iterator> Index;
-  
-    Cartesian_converter< 
+
+    Cartesian_converter<
       typename Kernel_traits<typename Poly::Vertex::Point>::Kernel,
       typename Kernel_traits<typename HDS::Vertex::Point>::Kernel
     > convert;
diff -pruN 5.0.2-3/include/CGAL/polyhedron_cut_plane_3.h 5.0.3-1/include/CGAL/polyhedron_cut_plane_3.h
--- 5.0.2-3/include/CGAL/polyhedron_cut_plane_3.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/polyhedron_cut_plane_3.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/include/CGAL/polyhedron_cut_plane_3.h $
-// $Id: polyhedron_cut_plane_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/include/CGAL/polyhedron_cut_plane_3.h $
+// $Id: polyhedron_cut_plane_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>)
 
@@ -23,7 +23,7 @@
 #include <CGAL/Kernel_traits.h>
 #include <CGAL/Modifier_base.h>
 #include <CGAL/halfedgeDS_cut_component.h>
-#include <CGAL/intersections.h> 
+#include <CGAL/intersections.h>
 
 
 namespace CGAL {
@@ -48,7 +48,7 @@ public:
 };
 
 template < class Poly, class Predicate >
-typename Poly::Halfedge_handle 
+typename Poly::Halfedge_handle
 I_polyhedron_cut_component( Poly&                          poly,
                             typename Poly::Halfedge_handle h,
                             Predicate                      pred) {
@@ -58,7 +58,7 @@ I_polyhedron_cut_component( Poly&
     poly.delegate( modifier);
     return modifier.halfedge();
 }
-    
+
 template < class Poly, class Plane, class Traits>
 class I_Polyhedron_cut_plane_predicate {
     const Plane&  plane;
@@ -78,7 +78,7 @@ struct I_Construct_point_3 {
     typedef typename Kernel::Plane_3 Plane_3;
     typedef typename Kernel::Line_3  Line_3;
     Point_3
-    operator()( const Plane_3& p, const Plane_3& q, const Plane_3& r) const { 
+    operator()( const Plane_3& p, const Plane_3& q, const Plane_3& r) const {
         Object obj = intersection( p, q);
         Line_3 line;
         if ( assign( line, obj)) {
@@ -121,7 +121,7 @@ polyhedron_cut_plane_3( Poly& poly,
     h->facet()->plane() = plane;
     Halfedge_handle start = h;
     do {
-        h->vertex()->point() = 
+        h->vertex()->point() =
             construct_point( plane,
                              h->next()->opposite()->facet()->plane(),
                              h->opposite()->facet()->plane());
@@ -134,7 +134,7 @@ polyhedron_cut_plane_3( Poly& poly,
 
 template < class Poly, class Plane>
 typename Poly::Halfedge_handle
-polyhedron_cut_plane_3( Poly& poly, 
+polyhedron_cut_plane_3( Poly& poly,
                         typename Poly::Halfedge_handle h,
                         const Plane& plane)
 // Same function as above using the kernel that comes with the plane.
diff -pruN 5.0.2-3/include/CGAL/Polyhedron_incremental_builder_3.h 5.0.3-1/include/CGAL/Polyhedron_incremental_builder_3.h
--- 5.0.2-3/include/CGAL/Polyhedron_incremental_builder_3.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyhedron_incremental_builder_3.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/include/CGAL/Polyhedron_incremental_builder_3.h $
-// $Id: Polyhedron_incremental_builder_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/include/CGAL/Polyhedron_incremental_builder_3.h $
+// $Id: Polyhedron_incremental_builder_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>)
 
@@ -212,8 +212,8 @@ public:
         // readable polyhedrons. If the representation does not support
         // insertion the object must fit in the reserved sizes.
         //    If `mode' is set to ABSOLUTE_INDEXING the incremental builder
-        // uses absolute indexing and the vertices of the old polyhedral 
-        // surface can be used in new facets. Otherwise relative indexing is 
+        // uses absolute indexing and the vertices of the old polyhedral
+        // surface can be used in new facets. Otherwise relative indexing is
         // used starting with new indices for the new construction.
 
 
@@ -313,8 +313,8 @@ public:
 
     template <class InputIterator>
     bool test_facet( InputIterator first, InputIterator beyond) {
-        // tests if the facet described by the vertex indices in the 
-        // range [first,beyond) can be inserted without creating a 
+        // tests if the facet described by the vertex indices in the
+        // range [first,beyond) can be inserted without creating a
         // a non-manifold (and therefore invalid) situation.
         // First, create a copy of the indices and close it cyclically
         std::vector< std::size_t> indices( first, beyond);
@@ -394,7 +394,7 @@ protected:
         //     Set the facet of g to the current facet and g->opposite()
         //     to a border halfedge. Assign the vertex references.
         //     Set g->opposite()->next() to g. Return g->opposite().
-        typedef typename HDS::Supports_halfedge_vertex 
+        typedef typename HDS::Supports_halfedge_vertex
             Supports_halfedge_vertex;
         Assert_compile_time_tag( Supports_halfedge_vertex(), Tag_true());
         CGAL_assertion( w < new_vertices);
@@ -742,7 +742,7 @@ Polyhedron_incremental_builder_3<HDS>::
 test_facet_indices( std::vector< std::size_t> indices) {
     typedef typename HDS::Supports_halfedge_vertex Supports_halfedge_vertex;
     Assert_compile_time_tag( Supports_halfedge_vertex(), Tag_true());
-    // tests if the facet described by the vertex indices can be inserted 
+    // tests if the facet described by the vertex indices can be inserted
     // without creating a non-manifold (and therefore invalid) situation.
     // indices are cyclically closed once.
     std::size_t n = indices.size() - 1;
@@ -776,7 +776,7 @@ test_facet_indices( std::vector< std::si
     }
     // test non-manifold vertices
     for ( std::size_t i = 0; i < n; ++i) {
-        // since we don't allow duplicates in indices[..] and we 
+        // since we don't allow duplicates in indices[..] and we
         // tested for non-manifold halfedges already, we just need to check
         // if the vertex indices[i] is not a closed manifold yet.
         Halfedge_handle v = get_vertex_to_edge_map(indices[i]);
@@ -789,8 +789,8 @@ test_facet_indices( std::vector< std::si
                 return false;
         }
     }
-    
-    //Test if all halfedges of the new face 
+
+    //Test if all halfedges of the new face
     //are possibly consecutive border halfedges in the HDS.
     //Possibly because it may be not directly encoded in the HDS
     //(using next() function ). This situation can occur when one or
@@ -803,19 +803,19 @@ test_facet_indices( std::vector< std::si
       std::size_t next_index=indices[ (i+1)%n];
       Vertex_handle   previous_vertex = index_to_vertex_map[ prev_index ];
       Vertex_handle   next_vertex     = index_to_vertex_map[ next_index ];
-      
+
       Halfedge_handle v = get_vertex_to_edge_map(indices[i]);
-      
-      if ( v == Halfedge_handle() || 
+
+      if ( v == Halfedge_handle() ||
            get_vertex_to_edge_map(prev_index) == Halfedge_handle() ||
            get_vertex_to_edge_map(next_index) == Halfedge_handle()
          ) continue;
-      
+
       Halfedge_handle start=v;
       //halfedges pointing to/running out from vertex indices[i]
       //and that need to be possibly consecutive
       Halfedge_handle previous=Halfedge_handle(),next=Halfedge_handle();
-      
+
       //look for a halfedge incident to vertex indices[i]
       //and which opposite is incident to previous_vertex
       do{
@@ -827,12 +827,12 @@ test_facet_indices( std::vector< std::si
         v = v->next()->opposite();
       }
       while (v!=start);
-      
+
       if (previous!=Halfedge_handle()){
         v=v->next()->opposite();
         //previous and next are already consecutive in the HDS
         if (v->opposite()->vertex()==next_vertex) continue;
-        
+
         //look for a border halfedge which opposite is
         //incident to next_vertex: set next halfedge
         do
@@ -845,9 +845,9 @@ test_facet_indices( std::vector< std::si
         }
         while(v!=previous);
         if (next==Halfedge_handle()) continue;
-        
+
         //check if no constraint prevents
-        //previous and next to be adjacent: 
+        //previous and next to be adjacent:
         do{
           v=v->next()->opposite();
           if ( v->opposite()->is_border() ) break;
@@ -857,7 +857,7 @@ test_facet_indices( std::vector< std::si
         start=v;
       }
     }
-    
+
     return true;
 }
 
diff -pruN 5.0.2-3/include/CGAL/Polyhedron_items_3.h 5.0.3-1/include/CGAL/Polyhedron_items_3.h
--- 5.0.2-3/include/CGAL/Polyhedron_items_3.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyhedron_items_3.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/HalfedgeDS/include/CGAL/Polyhedron_items_3.h $
-// $Id: Polyhedron_items_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/HalfedgeDS/include/CGAL/Polyhedron_items_3.h $
+// $Id: Polyhedron_items_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/include/CGAL/Polyhedron_items_with_id_3.h 5.0.3-1/include/CGAL/Polyhedron_items_with_id_3.h
--- 5.0.2-3/include/CGAL/Polyhedron_items_with_id_3.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyhedron_items_with_id_3.h	2020-08-01 19:02:45.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/include/CGAL/Polyhedron_items_with_id_3.h $
-// $Id: Polyhedron_items_with_id_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/include/CGAL/Polyhedron_items_with_id_3.h $
+// $Id: Polyhedron_items_with_id_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
 
@@ -41,24 +41,24 @@ void set_halfedgeds_items_id ( HalfedgeD
   std::size_t vertex_id   = 0 ;
   std::size_t halfedge_id = 0 ;
   std::size_t face_id     = 0 ;
-  
+
   for ( typename HalfedgeDS_with_id::Vertex_iterator vit = hds.vertices_begin(), evit = hds.vertices_end()
       ; vit != evit
       ; ++  vit
       )
-    vit->id() = vertex_id ++ ;    
-    
+    vit->id() = vertex_id ++ ;
+
   for ( typename HalfedgeDS_with_id::Halfedge_iterator hit = hds.halfedges_begin(), ehit = hds.halfedges_end()
       ; hit != ehit
       ; ++  hit
       )
-    hit->id() = halfedge_id ++ ;    
-    
+    hit->id() = halfedge_id ++ ;
+
   for ( typename HalfedgeDS_with_id::Face_iterator fit = hds.facets_begin(), efit = hds.facets_end()
       ; fit != efit
       ; ++  fit
       )
-    fit->id() = face_id ++ ;    
+    fit->id() = face_id ++ ;
 }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Polyhedron_min_items_3.h 5.0.3-1/include/CGAL/Polyhedron_min_items_3.h
--- 5.0.2-3/include/CGAL/Polyhedron_min_items_3.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyhedron_min_items_3.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/include/CGAL/Polyhedron_min_items_3.h $
-// $Id: Polyhedron_min_items_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/include/CGAL/Polyhedron_min_items_3.h $
+// $Id: Polyhedron_min_items_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>)
 
diff -pruN 5.0.2-3/include/CGAL/Polyhedron_traits_3.h 5.0.3-1/include/CGAL/Polyhedron_traits_3.h
--- 5.0.2-3/include/CGAL/Polyhedron_traits_3.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyhedron_traits_3.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/include/CGAL/Polyhedron_traits_3.h $
-// $Id: Polyhedron_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/include/CGAL/Polyhedron_traits_3.h $
+// $Id: Polyhedron_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>)
 
@@ -27,7 +27,7 @@ public:
     typedef typename Kernel::Point_3  Point_3;
     typedef typename Kernel::Plane_3  Plane_3;
 
-    typedef typename Kernel::Construct_opposite_plane_3 
+    typedef typename Kernel::Construct_opposite_plane_3
                                       Construct_opposite_plane_3;
 private:
     Kernel m_kernel;
diff -pruN 5.0.2-3/include/CGAL/Polyhedron_traits_with_normals_3.h 5.0.3-1/include/CGAL/Polyhedron_traits_with_normals_3.h
--- 5.0.2-3/include/CGAL/Polyhedron_traits_with_normals_3.h	2020-02-21 20:04:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyhedron_traits_with_normals_3.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyhedron/include/CGAL/Polyhedron_traits_with_normals_3.h $
-// $Id: Polyhedron_traits_with_normals_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyhedron/include/CGAL/Polyhedron_traits_with_normals_3.h $
+// $Id: Polyhedron_traits_with_normals_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>)
 
@@ -27,7 +27,7 @@ public:
     typedef typename Kernel::Point_3  Point_3;
     typedef typename Kernel::Vector_3 Plane_3;
 
-    typedef typename Kernel::Construct_opposite_vector_3 
+    typedef typename Kernel::Construct_opposite_vector_3
                                       Construct_opposite_plane_3;
 private:
     Kernel m_kernel;
diff -pruN 5.0.2-3/include/CGAL/Polyline_simplification_2/Hybrid_squared_distance_cost.h 5.0.3-1/include/CGAL/Polyline_simplification_2/Hybrid_squared_distance_cost.h
--- 5.0.2-3/include/CGAL/Polyline_simplification_2/Hybrid_squared_distance_cost.h	2020-02-21 20:04:03.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyline_simplification_2/Hybrid_squared_distance_cost.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyline_simplification_2/include/CGAL/Polyline_simplification_2/Hybrid_squared_distance_cost.h $
-// $Id: Hybrid_squared_distance_cost.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyline_simplification_2/include/CGAL/Polyline_simplification_2/Hybrid_squared_distance_cost.h $
+// $Id: Hybrid_squared_distance_cost.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
@@ -38,7 +38,7 @@ public:
   Hybrid_squared_distance_cost( FT ratio ) : mSquaredRatio(ratio*ratio) {}
 
   /// Compute the hybrid squared distance cost.
-  /// 
+  ///
   /// Given a vertex in constraint iterator `vicq` computes `vicp=std::prev(vicq)` and `vicr=std::next(vicq)`,
   /// returns the maximal square distance between each point along the original subpolyline,
   /// between `vicp` and `vicr`,
@@ -59,14 +59,14 @@ public:
     typedef typename Geom_traits::Compute_squared_distance_2 Compute_squared_distance;
     typedef typename Geom_traits::Construct_segment_2        Construct_segment;
     typedef typename Geom_traits::Segment_2                  Segment;
-    typedef typename Geom_traits::Point_2                    Point;                   
+    typedef typename Geom_traits::Point_2                    Point;
 
     Compute_squared_distance compute_squared_distance = pct.geom_traits().compute_squared_distance_2_object() ;
     Construct_segment        construct_segment        = pct.geom_traits().construct_segment_2_object() ;
     typedef typename Constrained_triangulation_plus_2<CDT>::Vertices_in_constraint_iterator Vertices_in_constraint_iterator;
 
-    Vertices_in_constraint_iterator vicp = boost::prior(vicq); 
-    Vertices_in_constraint_iterator vicr = boost::next(vicq); 
+    Vertices_in_constraint_iterator vicp = boost::prior(vicq);
+    Vertices_in_constraint_iterator vicr = boost::next(vicq);
 
     Point const& lP = (*vicp)->point();
     Point const& lR = (*vicr)->point();
@@ -85,7 +85,7 @@ public:
     Vertex_circulator vc = pct.incident_vertices(*vicq), done(vc);
     do {
       if((vc != pct.infinite_vertex()) && (vc != *vicp) && (vc != *vicr)){
-	d2 = (std::min)(d2, compute_squared_distance(vc->point(), (*vicq)->point()));
+        d2 = (std::min)(d2, compute_squared_distance(vc->point(), (*vicq)->point()));
       }
       ++vc;
     }while(vc != done);
diff -pruN 5.0.2-3/include/CGAL/Polyline_simplification_2/Scaled_squared_distance_cost.h 5.0.3-1/include/CGAL/Polyline_simplification_2/Scaled_squared_distance_cost.h
--- 5.0.2-3/include/CGAL/Polyline_simplification_2/Scaled_squared_distance_cost.h	2020-02-21 20:04:03.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyline_simplification_2/Scaled_squared_distance_cost.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyline_simplification_2/include/CGAL/Polyline_simplification_2/Scaled_squared_distance_cost.h $
-// $Id: Scaled_squared_distance_cost.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyline_simplification_2/include/CGAL/Polyline_simplification_2/Scaled_squared_distance_cost.h $
+// $Id: Scaled_squared_distance_cost.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
@@ -55,28 +55,28 @@ public:
     typedef typename Geom_traits::Compute_squared_distance_2 Compute_squared_distance;
     typedef typename Geom_traits::Construct_segment_2        Construct_segment;
     typedef typename Geom_traits::Segment_2                  Segment;
-    typedef typename Geom_traits::Point_2                    Point;                   
+    typedef typename Geom_traits::Point_2                    Point;
 
     Compute_squared_distance compute_squared_distance = pct.geom_traits().compute_squared_distance_2_object() ;
     Construct_segment        construct_segment        = pct.geom_traits().construct_segment_2_object() ;
     typedef typename Constrained_triangulation_plus_2<CDT>::Vertices_in_constraint_iterator Vertices_in_constraint_iterator;
 
-    Vertices_in_constraint_iterator vicp = boost::prior(vicq); 
-    Vertices_in_constraint_iterator vicr = boost::next(vicq); 
+    Vertices_in_constraint_iterator vicp = boost::prior(vicq);
+    Vertices_in_constraint_iterator vicr = boost::next(vicq);
 
     Point const& lP = (*vicp)->point();
     Point const& lR = (*vicr)->point();
-     
+
     Segment lP_R = construct_segment(lP, lR) ;
 
     FT d1(0);
     Points_in_constraint_iterator pp(vicp), rr(vicr);
     ++pp;
-    
+
     for ( ;pp != rr; ++pp )
       d1 = (std::max)(d1, compute_squared_distance( lP_R, *pp ) ) ;
 
-    
+
     FT d2=0;
     bool d2_uninitialized = true;
 
@@ -85,7 +85,7 @@ public:
       if((vc != pct.infinite_vertex()) && (vc != *vicp) && (vc != *vicr)){
         if(d2_uninitialized){
           d2 = compute_squared_distance(vc->point(), (*vicq)->point());
-	  d2_uninitialized = false;
+          d2_uninitialized = false;
         } else {
           d2 = (std::min)(d2, compute_squared_distance(vc->point(), (*vicq)->point()));
         }
@@ -93,7 +93,7 @@ public:
       ++vc;
     }while(vc != done);
 
-    return d2_uninitialized ? 
+    return d2_uninitialized ?
       boost::optional<FT>(boost::none) :
       boost::optional<FT>(d1 / d2);
   }
diff -pruN 5.0.2-3/include/CGAL/Polyline_simplification_2/simplify.h 5.0.3-1/include/CGAL/Polyline_simplification_2/simplify.h
--- 5.0.2-3/include/CGAL/Polyline_simplification_2/simplify.h	2020-02-21 20:04:03.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyline_simplification_2/simplify.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyline_simplification_2/include/CGAL/Polyline_simplification_2/simplify.h $
-// $Id: simplify.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyline_simplification_2/include/CGAL/Polyline_simplification_2/simplify.h $
+// $Id: simplify.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri
@@ -65,34 +65,34 @@ public:
   typedef typename PCT::Vertex_circulator Vertex_circulator;
 
   typedef typename PCT::Geom_traits::FT FT;
-  
+
   PCT& pct;
   CostFunction cost;
   StopFunction stop;
   std::size_t pct_initial_number_of_vertices, number_of_unremovable_vertices;
 
-  
-  struct Compare_cost 
-  { 
-    bool operator() ( Vertices_in_constraint_iterator const& x, 
-                      Vertices_in_constraint_iterator const& y ) const 
-    { 
-      return (*x)->cost() < (*y)->cost(); 
+
+  struct Compare_cost
+  {
+    bool operator() ( Vertices_in_constraint_iterator const& x,
+                      Vertices_in_constraint_iterator const& y ) const
+    {
+      return (*x)->cost() < (*y)->cost();
     }
   } ;
-  
+
   struct Id_map : public boost::put_get_helper<std::size_t, Id_map>
-  { 
+  {
     typedef boost::readable_property_map_tag category;
     typedef std::size_t                      value_type;
     typedef value_type                       reference;
     typedef Vertices_in_constraint_iterator  key_type;
-    
+
     reference operator[] ( key_type const& x ) const { return x.base()->id ; }
   } ;
-  
+
   typedef CGAL::Modifiable_priority_queue<Vertices_in_constraint_iterator,Compare_cost,Id_map> MPQ ;
-  
+
   MPQ* mpq;
 
   Polyline_simplification_2(PCT& pct, CostFunction cost, StopFunction stop)
@@ -160,12 +160,12 @@ public:
           ++n;
         } else {
           // no need to set the costs as this vertex is not in the priority queue
-        } 
+        }
       }
     }
     return n;
-  }  
-  
+  }
+
   void
   initialize_costs()
   {
@@ -183,13 +183,13 @@ public:
     if(! (*it)->is_removable()) {
       return false;
     }
-    
+
     Vertex_handle vh = *it;
     Vertices_in_constraint_iterator u = boost::prior(it);
     Vertex_handle uh = *u;
     Vertices_in_constraint_iterator w = boost::next(it);
     Vertex_handle wh = *w;
-    
+
     typename Geom_traits::Orientation_2 orientation_2 = pct.geom_traits().orientation_2_object();
     CGAL::Orientation o = orientation_2(uh->point(), vh->point(), wh->point());
     if(o == CGAL::COLLINEAR){
@@ -198,8 +198,8 @@ public:
     if(o == CGAL::LEFT_TURN){
       std::swap(uh,wh);
     }
-    
-    // uh, vh, wh perform a right turn 
+
+    // uh, vh, wh perform a right turn
     const Point& up = uh->point();
     const Point& wp = wh->point();
     Vertex_circulator circ = pct.incident_vertices(vh);
@@ -234,7 +234,7 @@ public:
     }
     return id;
   }
-  
+
   int
   initialize_indices()
   {
@@ -245,7 +245,7 @@ public:
     }
     return id;
   }
-  
+
 bool
 operator()()
 {
@@ -260,7 +260,7 @@ operator()()
   if(is_removable(v)){
     Vertices_in_constraint_iterator u = boost::prior(v), w = boost::next(v);
     pct.simplify(v);
-    
+
     if((*u)->is_removable()){
       boost::optional<FT> dist = cost(pct, u);
       if(! dist){
@@ -278,7 +278,7 @@ operator()()
         }
       }
     }
-    
+
     if((*w)->is_removable()){
       boost::optional<FT> dist = cost(pct, w);
       if(! dist){
@@ -430,7 +430,7 @@ simplify(const CGAL::Polygon_with_holes_
   }
   return Polygon_with_holes_2(result, holes.begin(), holes.end()) ;
 }
-  
+
 /*!
 \ingroup  PkgPolylineSimplification2Functions
 
@@ -482,7 +482,7 @@ Simplifies an open or closed polyline gi
 /*!
 \ingroup  PkgPolylineSimplification2Functions
 
-Simplifies a single polyline in a triangulation with polylines as constraints. 
+Simplifies a single polyline in a triangulation with polylines as constraints.
 
 \param ct The underlying constrained Delaunay triangulation which embeds the polyline constraints
 \param cid The constraint identifier of the polyline constraint to simplify
@@ -547,7 +547,7 @@ simplify(CGAL::Constrained_triangulation
 
 
 } // namespace polyline_simplification_2
-} // namespace CGAL 
+} // namespace CGAL
 
 #include <CGAL/enable_warnings.h>
 
diff -pruN 5.0.2-3/include/CGAL/Polyline_simplification_2/Squared_distance_cost.h 5.0.3-1/include/CGAL/Polyline_simplification_2/Squared_distance_cost.h
--- 5.0.2-3/include/CGAL/Polyline_simplification_2/Squared_distance_cost.h	2020-02-21 20:04:03.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyline_simplification_2/Squared_distance_cost.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyline_simplification_2/include/CGAL/Polyline_simplification_2/Squared_distance_cost.h $
-// $Id: Squared_distance_cost.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyline_simplification_2/include/CGAL/Polyline_simplification_2/Squared_distance_cost.h $
+// $Id: Squared_distance_cost.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
@@ -37,7 +37,7 @@ namespace Polyline_simplification_2
 /// \cgalModels `PolylineSimplificationCostFunction`.
 class Squared_distance_cost
 {
- 
+
 public:
 
   /// Initializes the cost function
@@ -60,15 +60,15 @@ public:
     typedef typename Geom_traits::Compute_squared_distance_2 Compute_squared_distance ;
     typedef typename Geom_traits::Construct_segment_2        Construct_segment ;
     typedef typename Geom_traits::Segment_2                  Segment ;
-    typedef typename Geom_traits::Point_2                    Point ;                   
+    typedef typename Geom_traits::Point_2                    Point ;
 
     Compute_squared_distance compute_squared_distance = pct.geom_traits().compute_squared_distance_2_object() ;
     Construct_segment        construct_segment        = pct.geom_traits().construct_segment_2_object() ;
     typedef typename Constrained_triangulation_plus_2<CDT>::Vertices_in_constraint_iterator Vertices_in_constraint_iterator;
 
-    Vertices_in_constraint_iterator vicp = boost::prior(vicq); 
-    Vertices_in_constraint_iterator vicr = boost::next(vicq); 
- 
+    Vertices_in_constraint_iterator vicp = boost::prior(vicq);
+    Vertices_in_constraint_iterator vicr = boost::next(vicq);
+
     Point const& lP = (*vicp)->point();
     Point const& lR = (*vicr)->point();
 
@@ -95,4 +95,4 @@ public:
 
 #endif // CGAL_POLYLINE_SIMPLIFICATION_2_SQUARED_DISTANCE_COST_H
 
- 
+
diff -pruN 5.0.2-3/include/CGAL/Polyline_simplification_2/Stop_above_cost_threshold.h 5.0.3-1/include/CGAL/Polyline_simplification_2/Stop_above_cost_threshold.h
--- 5.0.2-3/include/CGAL/Polyline_simplification_2/Stop_above_cost_threshold.h	2020-02-21 20:04:03.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyline_simplification_2/Stop_above_cost_threshold.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyline_simplification_2/include/CGAL/Polyline_simplification_2/Stop_above_cost_threshold.h $
-// $Id: Stop_above_cost_threshold.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyline_simplification_2/include/CGAL/Polyline_simplification_2/Stop_above_cost_threshold.h $
+// $Id: Stop_above_cost_threshold.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
@@ -25,7 +25,7 @@ namespace Polyline_simplification_2
 /// \ingroup PkgPolylineSimplification2Classes
 
 
-/// This class is a stop predicate returning `true` when the cost for 
+/// This class is a stop predicate returning `true` when the cost for
 /// simplifying a vertex is greater than a certain threshold.
 ///
 /// \cgalModels `PolylineSimplificationStopPredicate`.
diff -pruN 5.0.2-3/include/CGAL/Polyline_simplification_2/Stop_below_count_ratio_threshold.h 5.0.3-1/include/CGAL/Polyline_simplification_2/Stop_below_count_ratio_threshold.h
--- 5.0.2-3/include/CGAL/Polyline_simplification_2/Stop_below_count_ratio_threshold.h	2020-02-21 20:04:03.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyline_simplification_2/Stop_below_count_ratio_threshold.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyline_simplification_2/include/CGAL/Polyline_simplification_2/Stop_below_count_ratio_threshold.h $
-// $Id: Stop_below_count_ratio_threshold.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyline_simplification_2/include/CGAL/Polyline_simplification_2/Stop_below_count_ratio_threshold.h $
+// $Id: Stop_below_count_ratio_threshold.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
@@ -24,14 +24,14 @@ namespace Polyline_simplification_2
 
 /// \ingroup PkgPolylineSimplification2Classes
 
-/// This class is a stop predicate returning `true` when the percentage 
+/// This class is a stop predicate returning `true` when the percentage
 /// of remaning vertices is smaller than a certain threshold.
 ///
 /// \cgalModels `PolylineSimplificationStopPredicate`.
 class Stop_below_count_ratio_threshold
 {
 public :
-  
+
   /// Initializes it with the given threshold value.
   Stop_below_count_ratio_threshold( double threshold ) : mThres(threshold) {}
 
@@ -39,21 +39,21 @@ public :
   /// \tparam CDT  must be `CGAL::Constrained_Delaunay_triangulation_2` with a vertex type that
   /// is model of  `PolylineSimplificationVertexBase_2`.
 
-  template<class CDT>  
-  bool operator()(const Constrained_triangulation_plus_2<CDT> & 
+  template<class CDT>
+  bool operator()(const Constrained_triangulation_plus_2<CDT> &
                   , typename Constrained_triangulation_plus_2<CDT>::Vertex_handle
                   , typename CDT::Geom_traits::FT
                  , std::size_t                             initial_count
                  , std::size_t                             current_count
-                 ) const 
+                 ) const
   {
     return ( (double)current_count / (double)initial_count ) <= mThres ;
   }
-  
+
 private:
-  
+
   double mThres ;
-};    
+};
 
 
 } // namespace Polyline_simplification_2
@@ -61,4 +61,4 @@ private:
 } //namespace CGAL
 
 #endif // CGAL_POLYLINE_SIMPLIFICATION_2_STOP_BELOW_COUNT_RATIO_THRESHOLD_H
- 
+
diff -pruN 5.0.2-3/include/CGAL/Polyline_simplification_2/Stop_below_count_threshold.h 5.0.3-1/include/CGAL/Polyline_simplification_2/Stop_below_count_threshold.h
--- 5.0.2-3/include/CGAL/Polyline_simplification_2/Stop_below_count_threshold.h	2020-02-21 20:04:03.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyline_simplification_2/Stop_below_count_threshold.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyline_simplification_2/include/CGAL/Polyline_simplification_2/Stop_below_count_threshold.h $
-// $Id: Stop_below_count_threshold.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyline_simplification_2/include/CGAL/Polyline_simplification_2/Stop_below_count_threshold.h $
+// $Id: Stop_below_count_threshold.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
@@ -24,39 +24,39 @@ namespace Polyline_simplification_2
 
 /// \ingroup PkgPolylineSimplification2Classes
 
-/// This class is a stop predicate returning `true` when the number of 
+/// This class is a stop predicate returning `true` when the number of
 /// vertices is smaller than a certain threshold.
 ///
 /// \cgalModels `PolylineSimplificationStopPredicate`.
 class Stop_below_count_threshold
 {
 public :
-  
+
   /// Initializes it with the given threshold value.
   Stop_below_count_threshold( std::size_t threshold ) : mThres(threshold) {}
-  
+
   /// Returns `true` when `current_count` is smaller or equal than the threshold.
   /// \tparam CDT  must be `CGAL::Constrained_Delaunay_triangulation_2` with a vertex type that
   /// is model of  `PolylineSimplificationVertexBase_2`.
 
-  template<class CDT>  
+  template<class CDT>
   bool operator()(const Constrained_triangulation_plus_2<CDT>&
                   , typename Constrained_triangulation_plus_2<CDT>::Vertex_handle
                   , typename CDT::Geom_traits::FT          /* cost */
                  , std::size_t                             /* initial_count */
                  , std::size_t                             current_count
-                 ) const 
+                 ) const
   {
     return current_count <= mThres ;
   }
-  
+
 private:
-  
+
   std::size_t mThres ;
-};    
+};
 } // namespace Polyline_simplification_2
 
 } //namespace CGAL
 
 #endif // CGAL_POLYLINE_SIMPLIFICATION_2_STOP_BELOW_COUNT_THRESHOLD_H
- 
+
diff -pruN 5.0.2-3/include/CGAL/Polyline_simplification_2/Vertex_base_2.h 5.0.3-1/include/CGAL/Polyline_simplification_2/Vertex_base_2.h
--- 5.0.2-3/include/CGAL/Polyline_simplification_2/Vertex_base_2.h	2020-02-21 20:04:03.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polyline_simplification_2/Vertex_base_2.h	2020-08-01 19:02:45.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polyline_simplification_2/include/CGAL/Polyline_simplification_2/Vertex_base_2.h $
-// $Id: Vertex_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polyline_simplification_2/include/CGAL/Polyline_simplification_2/Vertex_base_2.h $
+// $Id: Vertex_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Philipp Moeller
@@ -27,7 +27,7 @@ namespace Polyline_simplification_2 {
 /// \tparam Vb must be a model of the concept `TriangulationVertexBase_2`
 /// \cgalModels `PolylineSimplificationVertexBase_2`.
   template<class K, class Vb = CGAL::Triangulation_vertex_base_2<K> >
-class Vertex_base_2 
+class Vertex_base_2
   : public Vb
 {
   typedef typename K::FT FT;
@@ -45,10 +45,10 @@ public:
     typedef Vertex_base_2<K,Vb2>         Other;
   };
 
-  Vertex_base_2() 
-    : Base(), m_removable(true), m_cost(-1.0) 
+  Vertex_base_2()
+    : Base(), m_removable(true), m_cost(-1.0)
   {}
-  
+
 
   bool is_removable() const
   {
diff -pruN 5.0.2-3/include/CGAL/Polynomial/Algebraic_structure_traits.h 5.0.3-1/include/CGAL/Polynomial/Algebraic_structure_traits.h
--- 5.0.2-3/include/CGAL/Polynomial/Algebraic_structure_traits.h	2020-02-21 20:04:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/Algebraic_structure_traits.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,13 +2,13 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/Algebraic_structure_traits.h $
-// $Id: Algebraic_structure_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/Algebraic_structure_traits.h $
+// $Id: Algebraic_structure_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Arno Eigenwillig <arno@mpi-inf.mpg.de>
-//                 Michael Hemmer <hemmer@informatik.uni-mainz.de> 
+//                 Michael Hemmer <hemmer@informatik.uni-mainz.de>
 //
 // ============================================================================
 
@@ -71,29 +71,29 @@ class Polynomial_algebraic_structure_tra
 // The most basic suite of algebraic operations, suitable for the
 // most basic kind of coefficient range, viz. a IntegralDomainWithoutDiv.
 template< class POLY >
-class Polynomial_algebraic_structure_traits_base< POLY, 
+class Polynomial_algebraic_structure_traits_base< POLY,
                                              Integral_domain_without_division_tag >
-  : public Algebraic_structure_traits_base< POLY, 
+  : public Algebraic_structure_traits_base< POLY,
                                             Integral_domain_without_division_tag > {
   public:
     typedef Integral_domain_without_division_tag Algebraic_category;
-    
-    class Simplify 
+
+    class Simplify
       : public CGAL::cpp98::unary_function< POLY&, void > {
       public:
         void operator()( POLY& p ) const {
           p.simplify_coefficients();
-        }        
+        }
     };
-    
-    class Unit_part 
+
+    class Unit_part
       : public CGAL::cpp98::unary_function< POLY, POLY > {
       public:
         POLY operator()( const POLY& x ) const {
           return POLY( x.unit_part() );
         }
     };
-  
+
   class Is_zero
     : public CGAL::cpp98::unary_function< POLY, bool > {
   public:
@@ -101,18 +101,18 @@ class Polynomial_algebraic_structure_tra
       return x.is_zero();
     }
   };
-  
+
 };
 
 // Extend to the case that the coefficient range is a IntegralDomain (with div)
 template< class POLY >
 class Polynomial_algebraic_structure_traits_base< POLY, Integral_domain_tag >
-  : public Polynomial_algebraic_structure_traits_base< POLY, 
+  : public Polynomial_algebraic_structure_traits_base< POLY,
                                             Integral_domain_without_division_tag > {
   public:
     typedef Integral_domain_tag Algebraic_category;
-    
-    class Integral_division 
+
+    class Integral_division
       : public CGAL::cpp98::binary_function< POLY, POLY, POLY > {
       public:
         POLY operator()( const POLY& x, const POLY& y ) const {
@@ -126,25 +126,25 @@ private:
   typedef typename AST_COEFF::Divides Divides_coeff;
   typedef typename Divides_coeff::result_type BOOL;
 public:
-  class Divides 
-    : public CGAL::cpp98::binary_function<POLY,POLY,BOOL>{  
+  class Divides
+    : public CGAL::cpp98::binary_function<POLY,POLY,BOOL>{
   public:
      BOOL operator()( const POLY& p1, const POLY& p2) const {
-       POLY q; 
+       POLY q;
        return (*this)(p1,p2,q);
      }
      BOOL operator()( const POLY& p1, const POLY& p2, POLY& q) const {
-       Divides_coeff divides_coeff;   
-       
+       Divides_coeff divides_coeff;
+
        q=POLY(0);
-      
+
        COEFF q1;
        BOOL result;
        if (p2.is_zero()) {
-         q=POLY(0); 
+         q=POLY(0);
          return true;
        }
-       
+
        int d1 = p1.degree();
        int d2 = p2.degree();
        if ( d2 < d1 ) {
@@ -153,17 +153,17 @@ public:
        }
 
        typedef std::vector<COEFF> Vector;
-       Vector V_R, V_Q;    
+       Vector V_R, V_Q;
        V_Q.reserve(d2);
        if(d1==0){
-         for(int i=d2;i>=0;--i){   
+         for(int i=d2;i>=0;--i){
            result=divides_coeff(p1[0],p2[i],q1);
            if(!result) return false;
            V_Q.push_back(q1);
          }
          V_R.push_back(COEFF(0));
        }
-       else{        
+       else{
          V_R.reserve(d2);
          V_R=Vector(p2.begin(),p2.end());
          Vector tmp1;
@@ -171,17 +171,17 @@ public:
          for(int k=0; k<=d2-d1; ++k){
            result=divides_coeff(p1[d1],V_R[d2-k],q1);
            if(!result) return false;
-           V_Q.push_back(q1);  
-           for(int j=0;j<d1;++j){   
+           V_Q.push_back(q1);
+           for(int j=0;j<d1;++j){
              tmp1.push_back(p1[j]*V_Q[k]);
-           }   
-           V_R[d2-k]=COEFF(0);            
+           }
+           V_R[d2-k]=COEFF(0);
            for(int i=d2-d1-k;i<=d2-k-1;++i){
              V_R[i]=V_R[i]-tmp1[i-(d2-d1-k)];
-           }   
+           }
            tmp1.clear();
          }
-        
+
 
        }
        q = POLY(V_Q.rbegin(),V_Q.rend());
@@ -194,33 +194,33 @@ public:
 };
 
 template< class POLY >
-class Polynomial_algebraic_structure_traits_base< POLY, Unique_factorization_domain_tag > 
-  : public Polynomial_algebraic_structure_traits_base< POLY, 
+class Polynomial_algebraic_structure_traits_base< POLY, Unique_factorization_domain_tag >
+  : public Polynomial_algebraic_structure_traits_base< POLY,
                                             Integral_domain_tag > {
   public:
     typedef Unique_factorization_domain_tag Algebraic_category;
-    
-  class Gcd 
+
+  class Gcd
     : public CGAL::cpp98::binary_function< POLY, POLY, POLY > {
     typedef typename Polynomial_traits_d<POLY>::Multivariate_content Mcontent;
-    typedef typename Mcontent::result_type ICoeff; 
-    
+    typedef typename Mcontent::result_type ICoeff;
+
     ICoeff gcd_help(const ICoeff& , const ICoeff& , Field_tag) const {
       return ICoeff(1);
     }
-    ICoeff gcd_help(const ICoeff& x, const ICoeff& y, 
+    ICoeff gcd_help(const ICoeff& x, const ICoeff& y,
         Unique_factorization_domain_tag) const {
       return CGAL::gcd(x,y);
     }
   public:
     POLY operator()( const POLY& x, const POLY& y ) const {
-      if(x==y) return x; 
-      
+      if(x==y) return x;
+
       typedef Algebraic_structure_traits<POLY> AST;
       typename AST::Integral_division idiv;
-      typename AST::Unit_part upart; 
-      
-      // First: the extreme cases and negative sign corrections.          
+      typename AST::Unit_part upart;
+
+      // First: the extreme cases and negative sign corrections.
       if (CGAL::is_zero(x)) {
         if (CGAL::is_zero(y))
           return POLY(0);
@@ -228,35 +228,35 @@ class Polynomial_algebraic_structure_tra
       }
       if (CGAL::is_zero(y))
         return idiv(x,upart(x));
-      
+
       if (internal::may_have_common_factor(x,y))
         return CGAL::internal::gcd_(x,y);
-      else{        
-        typename Algebraic_structure_traits<ICoeff>::Algebraic_category category;  
+      else{
+        typename Algebraic_structure_traits<ICoeff>::Algebraic_category category;
         return POLY(gcd_help(Mcontent()(x),Mcontent()(y), category));
       }
     }
-    
-    CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR( POLY )  
+
+    CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR( POLY )
   };
 };
 
 // Clone this for a EuclideanRing
 template< class POLY >
-class Polynomial_algebraic_structure_traits_base< POLY, Euclidean_ring_tag > 
-  : public Polynomial_algebraic_structure_traits_base< POLY, 
+class Polynomial_algebraic_structure_traits_base< POLY, Euclidean_ring_tag >
+  : public Polynomial_algebraic_structure_traits_base< POLY,
                                             Unique_factorization_domain_tag > {
   // nothing new
 };
 
 // Extend to a field as coefficient range
 template< class POLY >
-class Polynomial_algebraic_structure_traits_base< POLY, Field_tag > 
-  : public Polynomial_algebraic_structure_traits_base< POLY, 
+class Polynomial_algebraic_structure_traits_base< POLY, Field_tag >
+  : public Polynomial_algebraic_structure_traits_base< POLY,
                                             Unique_factorization_domain_tag > {
   public:
     typedef Euclidean_ring_tag Algebraic_category;
-    
+
     class Div_mod {
       public:
         typedef POLY first_argument_type;
@@ -264,26 +264,26 @@ class Polynomial_algebraic_structure_tra
         typedef POLY& third_argument_type;
         typedef POLY& fourth_argument_type;
         typedef void result_type;
-        
-        void operator()( const POLY& x, const POLY& y, 
+
+        void operator()( const POLY& x, const POLY& y,
                          POLY& q, POLY& r ) const {
           POLY::euclidean_division( x, y, q, r );
         }
-        
+
         template < class NT1, class NT2 >
         void operator()( const NT1& x, const NT2& y,
                          POLY& q, POLY& r ) const {
           CGAL_static_assertion((::boost::is_same<
                   typename Coercion_traits< NT1, NT2 >::Type, POLY
                                                >::value));
-          
+
           typename Coercion_traits< NT1, NT2 >::Cast cast;
-          operator()( cast(x), cast(y), q, r );          
+          operator()( cast(x), cast(y), q, r );
         }
-        
+
     };
-    
-    class Div 
+
+    class Div
       : public CGAL::cpp98::binary_function< POLY, POLY, POLY > {
       public:
         POLY operator()(const POLY& a, const POLY& b) const {
@@ -294,8 +294,8 @@ class Polynomial_algebraic_structure_tra
 
         CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR( POLY )
     };
-    
-    class Mod 
+
+    class Mod
       : public CGAL::cpp98::binary_function< POLY, POLY, POLY > {
       public:
         POLY operator () (const POLY& a, const POLY& b) const {
@@ -305,30 +305,30 @@ class Polynomial_algebraic_structure_tra
         }
         CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR( POLY )
     };
-    
+
 };
 
 // Clone this for a FieldWithSqrt
 template< class POLY >
-class Polynomial_algebraic_structure_traits_base< POLY, Field_with_sqrt_tag > 
+class Polynomial_algebraic_structure_traits_base< POLY, Field_with_sqrt_tag >
   : public Polynomial_algebraic_structure_traits_base< POLY, Field_tag > {
   // nothing new
 };
 
 // Clone this for a FieldWithKthRoot
 template< class POLY >
-class Polynomial_algebraic_structure_traits_base< POLY, 
-                                                  Field_with_kth_root_tag > 
-  : public Polynomial_algebraic_structure_traits_base< POLY, 
+class Polynomial_algebraic_structure_traits_base< POLY,
+                                                  Field_with_kth_root_tag >
+  : public Polynomial_algebraic_structure_traits_base< POLY,
                                                        Field_with_sqrt_tag > {
   // nothing new
 };
 
 // Clone this for a FieldWithRootOf
 template< class POLY >
-class Polynomial_algebraic_structure_traits_base< POLY, 
-                                                  Field_with_root_of_tag > 
-  : public Polynomial_algebraic_structure_traits_base< POLY, 
+class Polynomial_algebraic_structure_traits_base< POLY,
+                                                  Field_with_root_of_tag >
+  : public Polynomial_algebraic_structure_traits_base< POLY,
                                                     Field_with_kth_root_tag > {
   // nothing new
 };
diff -pruN 5.0.2-3/include/CGAL/Polynomial/bezout_matrix.h 5.0.3-1/include/CGAL/Polynomial/bezout_matrix.h
--- 5.0.2-3/include/CGAL/Polynomial/bezout_matrix.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/bezout_matrix.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/bezout_matrix.h $
-// $Id: bezout_matrix.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/bezout_matrix.h $
+// $Id: bezout_matrix.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -33,14 +33,14 @@ namespace internal {
 /*! \ingroup CGAL_resultant_matrix
  *  \brief construct hybrid Bezout matrix of two polynomials
  *
- *  If \c sub=0 ,  this function returns the hybrid Bezout matrix 
+ *  If \c sub=0 ,  this function returns the hybrid Bezout matrix
  *  of \c f and \c g.
  *  The hybrid Bezout matrix of two polynomials \e f and \e g
  *  (seen as polynomials in one variable) is a
  *  square matrix of size max(deg(<I>f</I>), deg(<I>g</I>)) whose entries
  *  are expressions in the polynomials' coefficients.
  *  Its determinant is the resultant of \e f and \e g, maybe up to sign.
- *  The function computes the same matrix as the Maple command 
+ *  The function computes the same matrix as the Maple command
  *  <I>BezoutMatrix</I>.
  *
  *  If \c sub>0 , this function returns the matrix obtained by chopping
@@ -61,8 +61,8 @@ namespace internal {
  */
 template <typename Polynomial_traits_d>
 typename internal::Simple_matrix< typename Polynomial_traits_d::Coefficient_type >
-hybrid_bezout_matrix(typename Polynomial_traits_d::Polynomial_d f, 
-                     typename Polynomial_traits_d::Polynomial_d g, 
+hybrid_bezout_matrix(typename Polynomial_traits_d::Polynomial_d f,
+                     typename Polynomial_traits_d::Polynomial_d g,
                      int sub = 0)
 {
 
@@ -109,8 +109,8 @@ hybrid_bezout_matrix(typename Polynomial
             B[i-sub-1][j-1] = s;
         }
     }
-    for (i = std::max(m+1, 1+sub); i <= n; i++) {
-        for (j = i-m; j <= std::min(i, n-sub); j++) {
+    for (i = (std::max)(m+1, 1+sub); i <= n; i++) {
+        for (j = i-m; j <= (std::min)(i, n-sub); j++) {
             B[i-sub-1][j-1] = coeff(g,i-j);
         }
     }
@@ -132,17 +132,17 @@ hybrid_bezout_matrix(typename Polynomial
 template <typename Polynomial_traits_d>
 typename internal::Simple_matrix<typename Polynomial_traits_d::Coefficient_type>
 symmetric_bezout_matrix
-    (typename Polynomial_traits_d::Polynomial_d f, 
-     typename Polynomial_traits_d::Polynomial_d g, 
+    (typename Polynomial_traits_d::Polynomial_d f,
+     typename Polynomial_traits_d::Polynomial_d g,
      int sub = 0)
 {
 
-    
+
 
   // Note: The algorithm is taken from:
   // Chionh, Zhang, Goldman: Fast Computation of the Bezout and Dixon Resultant
   // Matrices. J.Symbolic Computation 33, 13-29 (2002)
-    
+
     typedef typename Polynomial_traits_d::Polynomial_d Polynomial;
     typedef typename Polynomial_traits_d::Coefficient_type NT;
     typename Polynomial_traits_d::Degree degree;
@@ -176,43 +176,43 @@ symmetric_bezout_matrix
     for(i=0;i<d;i++) {
       for(j=i;j<d;j++) {
         sum1 = ((j+sub)+1>m) ? NT(0) : -coeff(f,i+sub)*coeff(g,(j+sub)+1);
-	sum2 =  ((i+sub)>m)  ? NT(0) :  coeff(g,i+sub)*coeff(f,(j+sub)+1);
-	B[i][j]=sum1+sum2;
+        sum2 =  ((i+sub)>m)  ? NT(0) :  coeff(g,i+sub)*coeff(f,(j+sub)+1);
+        B[i][j]=sum1+sum2;
       }
     }
 
     // 2nd Step: Recursion adding
-    
+
     // First, set up the first line correctly
     for(i=0;i<d-1;i++) {
       stop = (sub<d-1-i) ? sub : d-i-1;
       for(j=1;j<=stop;j++) {
-          sum1 = ((i+sub+j)+1>m) ? NT(0) 
+          sum1 = ((i+sub+j)+1>m) ? NT(0)
                                  : -coeff(f,sub-j)*coeff(g,(i+sub+j)+1);
-          sum2 =  ((sub-j)>m)    ? NT(0) 
+          sum2 =  ((sub-j)>m)    ? NT(0)
                                  : coeff(g,sub-j)*coeff(f,(i+sub+j)+1);
-	
-	B[0][i]+=sum1+sum2;
+
+        B[0][i]+=sum1+sum2;
       }
     }
     // Now, compute the rest
     for(i=1;i<d-1;i++) {
       for(j=i;j<d-1;j++) {
-	B[i][j]+=B[i-1][j+1];
+        B[i][j]+=B[i-1][j+1];
       }
     }
 
-    
+
    //3rd Step: Exploit symmetry
     for(i=1;i<d;i++) {
       for(j=0;j<i;j++) {
-	B[i][j]=B[j][i];
+        B[i][j]=B[j][i];
       }
     }
-    
+
     return B;
 }
-    
+
 
 
 /*! \ingroup CGAL_resultant_matrix
@@ -232,23 +232,23 @@ symmetric_bezout_matrix
  */
 template <class Polynomial_traits_d>
 typename Polynomial_traits_d::Coefficient_type hybrid_bezout_subresultant(
-        typename Polynomial_traits_d::Polynomial_d f, 
-        typename Polynomial_traits_d::Polynomial_d g, 
+        typename Polynomial_traits_d::Polynomial_d f,
+        typename Polynomial_traits_d::Polynomial_d g,
         int sub = 0
-) { 
+) {
 
     typedef typename Polynomial_traits_d::Polynomial_d Polynomial;
     typedef typename Polynomial_traits_d::Coefficient_type NT;
     typename Polynomial_traits_d::Degree degree;
     typename CGAL::Algebraic_structure_traits<Polynomial>::Is_zero is_zero;
-    
+
     typedef internal::Simple_matrix<NT> Matrix;
 
     CGAL_precondition((degree(f) >= 0));
     CGAL_precondition((degree(g) >= 0));
-    
+
     if (is_zero(f) || is_zero(g)) return NT(0);
-    
+
     Matrix S = hybrid_bezout_matrix<Polynomial_traits_d>(f, g, sub);
     CGAL_assertion(S.row_dimension() == S.column_dimension());
     if (S.row_dimension() == 0) {
@@ -268,14 +268,14 @@ void symmetric_minors_to_subresultants(I
                                        int n,
                                        int m,
                                        bool swapped) {
-  
+
     typename CGAL::Algebraic_structure_traits<NT>::Integral_division idiv;
-    
+
     for(int i=0;i<m;i++) {
       bool negate = ((n-m+i+1) & 2)>>1; // (n-m+i+1)==2 or 3 mod 4
-      negate=negate ^ (swapped & ((n-m+i+1)*(i+1)));  
-      //...XOR (swapped AND (n-m+i+1)* (i+1) is odd) 
-      
+      negate=negate ^ (swapped & ((n-m+i+1)*(i+1)));
+      //...XOR (swapped AND (n-m+i+1)* (i+1) is odd)
+
       *out = idiv(*in,  negate ? -divisor : divisor);
       in++;
       out++;
@@ -284,10 +284,10 @@ void symmetric_minors_to_subresultants(I
 
 
 /*! \ingroup CGAL_resultant_matrix
- * \brief compute the principal subresultant coefficients as minors 
+ * \brief compute the principal subresultant coefficients as minors
  * of the symmetric Bezout matrix.
  *
- * Returns the sequence sres<sub>0</sub>,..,sres<sub>m</sub>, where 
+ * Returns the sequence sres<sub>0</sub>,..,sres<sub>m</sub>, where
  * sres<sub>i</sub> denotes the ith principal subresultant coefficient
  *
  * The function uses an extension of the Berkowitz method to compute the
@@ -296,7 +296,7 @@ void symmetric_minors_to_subresultants(I
  */
 template<class Polynomial_traits_d,class OutputIterator>
 OutputIterator symmetric_bezout_subresultants(
-	   typename Polynomial_traits_d::Polynomial_d f, 
+           typename Polynomial_traits_d::Polynomial_d f,
            typename Polynomial_traits_d::Polynomial_d g,
            OutputIterator sres)
 {
@@ -308,34 +308,34 @@ OutputIterator symmetric_bezout_subresul
     typename Polynomial_traits_d::Leading_coefficient lcoeff;
 
     typedef typename internal::Simple_matrix<NT> Matrix;
-    
+
     int n = degree(f);
     int m = degree(g);
-    
+
     bool swapped=false;
 
     if(n < m) {
       std::swap(f,g);
       std::swap(n,m);
       swapped=true;
-      
+
     }
 
     Matrix B = symmetric_bezout_matrix<Polynomial_traits_d>(f,g);
-    
+
     // Compute a_0^{n-m}
 
     NT divisor=ipower(lcoeff(f),n-m);
-    
+
     std::vector<NT> minors;
     minors_berkowitz(B,std::back_inserter(minors),n,m);
     CGAL::internal::symmetric_minors_to_subresultants(minors.begin(),sres,
                                                    divisor,n,m,swapped);
-    
-    return sres; 
+
+    return sres;
   }
 
-/* 
+/*
  * Return a modified version of the hybrid bezout matrix such that the minors
  * from the last k rows and columns give the subresultants
  */
@@ -348,12 +348,12 @@ modified_hybrid_bezout_matrix
     typedef typename Polynomial_traits_d::Coefficient_type NT;
 
     typedef typename internal::Simple_matrix<NT> Matrix;
-    
+
     typename Polynomial_traits_d::Degree degree;
 
     int n = degree(f);
     int m = degree(g);
-    
+
     int i,j;
 
     bool negate, swapped=false;
@@ -363,7 +363,7 @@ modified_hybrid_bezout_matrix
       std::swap(n,m);
       swapped=true;
     }
-    
+
     Matrix B = CGAL::internal::hybrid_bezout_matrix<Polynomial_traits_d>(f,g);
 
 
@@ -373,23 +373,23 @@ modified_hybrid_bezout_matrix
       B.swap_columns(i,n-i-1); // (**)
       i++;
     }
-    for(i=0;i<n;i++) { 
+    for(i=0;i<n;i++) {
       negate=(n-i-1) & 1; // Negate every second column because of (**)
       negate=negate ^ (swapped & (n-m+1)); // XOR negate everything because of(*)
       if(negate) {
-	for(j=0;j<n;j++) {
-	  B[j][i] *= -1;
-	}
+        for(j=0;j<n;j++) {
+          B[j][i] *= -1;
+        }
       }
     }
     return B;
 }
 
 /*! \ingroup CGAL_resultant_matrix
- * \brief compute the principal subresultant coefficients as minors 
+ * \brief compute the principal subresultant coefficients as minors
  * of the hybrid Bezout matrix.
  *
- * Returns the sequence sres<sub>0</sub>,...,sres<sub>m</sub>$, where 
+ * Returns the sequence sres<sub>0</sub>,...,sres<sub>m</sub>$, where
  * sres<sub>i</sub> denotes the ith principal subresultant coefficient
  *
  * The function uses an extension of the Berkowitz method to compute the
@@ -398,16 +398,16 @@ modified_hybrid_bezout_matrix
  */
 template<class Polynomial_traits_d,class OutputIterator>
 OutputIterator hybrid_bezout_subresultants(
-	   typename Polynomial_traits_d::Polynomial_d f, 
+           typename Polynomial_traits_d::Polynomial_d f,
            typename Polynomial_traits_d::Polynomial_d g,
-           OutputIterator sres) 
+           OutputIterator sres)
   {
 
     typedef typename Polynomial_traits_d::Coefficient_type NT;
     typename Polynomial_traits_d::Degree degree;
 
     typedef typename internal::Simple_matrix<NT> Matrix;
-    
+
     int n = degree(f);
     int m = degree(g);
 
@@ -429,46 +429,46 @@ OutputIterator hybrid_bezout_subresultan
     int n = A.row_dimension();
     int i=0;
     while(i<n-i-1) {
-        A.swap_rows(i,n-i-1); 
-        A.swap_columns(i,n-i-1); 
+        A.swap_rows(i,n-i-1);
+        A.swap_columns(i,n-i-1);
         i++;
     }
   }
-  
+
   // Produce S-matrix with the given matrix and integers.
   template<class NT,class InputIterator>
     typename internal::Simple_matrix<NT> s_matrix(
-	      const typename internal::Simple_matrix<NT>& B,
-	      InputIterator num,int size)
+              const typename internal::Simple_matrix<NT>& B,
+              InputIterator num,int size)
     {
       typename internal::Simple_matrix<NT> S(size);
       CGAL_precondition_code(int n = B.row_dimension();)
       CGAL_precondition(n==(int)B.column_dimension());
       int curr_num;
       bool negate;
-      
+
       for(int i=0;i<size;i++) {
-	curr_num=(*num);
-	num++;
-	negate = curr_num<0;
-	if(curr_num<0) {
-	  curr_num=-curr_num;
-	}
-	for(int j=0;j<size;j++) {
-	  
-	  S[j][i]=negate ? -B[j][curr_num-1] : B[j][curr_num-1];
-	  
-	}
+        curr_num=(*num);
+        num++;
+        negate = curr_num<0;
+        if(curr_num<0) {
+          curr_num=-curr_num;
+        }
+        for(int j=0;j<size;j++) {
+
+          S[j][i]=negate ? -B[j][curr_num-1] : B[j][curr_num-1];
+
+        }
       }
       return S;
     }
-  
+
   // Produces the integer sequence for the S-matrix, where c is the first entry
-  // of the sequence, s the number of desired diagonals and n the dimension 
+  // of the sequence, s the number of desired diagonals and n the dimension
   // of the base matrix
   template<class OutputIterator>
     OutputIterator s_matrix_integer_sequence(OutputIterator it,
-					      int c,int s,int n) {
+                                              int c,int s,int n) {
     CGAL_precondition(0<s);
     CGAL_precondition(s<=n);
     // c is interpreted modulo s wrt to the representants {1,..,s}
@@ -476,14 +476,14 @@ OutputIterator hybrid_bezout_subresultan
     if(c==0) {
       c=s;
     }
-    
+
     int i, p=0, q=c;
     while(q<=n) {
       *it = q;
       it++;
       for(i=p+1;i<q;i++) {
-	*it = -i;
-	it++;
+        *it = -i;
+        it++;
       }
       p = q;
       q = q+s;
@@ -492,25 +492,25 @@ OutputIterator hybrid_bezout_subresultan
   }
 
 /*! \ingroup CGAL_resultant_matrix
- * \brief computes the coefficients of the polynomial subresultant sequence 
+ * \brief computes the coefficients of the polynomial subresultant sequence
  *
  * Returns an upper triangular matrix <I>A</I> such that A<sub>i,j</sub> is
  * the coefficient of <I>x<sup>j-1</sup></I> in the <I>i</I>th polynomial
  * subresultant. In particular, the main diagonal contains the scalar
  * subresultants.
- * 
- * If \c d > 0 is specified, only the first \c d diagonals of <I>A</I> are 
+ *
+ * If \c d > 0 is specified, only the first \c d diagonals of <I>A</I> are
  * computed. In particular, setting \c d to one yields exactly the same
  * result as applying \c hybrid_subresultants or \c symmetric_subresultants
- * (except the different output format). 
+ * (except the different output format).
  *
  * These coefficients are computed as special minors of the hybrid Bezout matrix.
  * See also \c CGAL::minors_berkowitz
  */
 template<typename Polynomial_traits_d>
-typename internal::Simple_matrix<typename Polynomial_traits_d::Coefficient_type> 
+typename internal::Simple_matrix<typename Polynomial_traits_d::Coefficient_type>
 polynomial_subresultant_matrix(typename Polynomial_traits_d::Polynomial_d f,
-			       typename Polynomial_traits_d::Polynomial_d g,
+                               typename Polynomial_traits_d::Polynomial_d g,
                                int d=0) {
 
     typedef typename Polynomial_traits_d::Coefficient_type NT;
@@ -525,7 +525,7 @@ polynomial_subresultant_matrix(typename
     CGAL_precondition(d>=0);
 
     typedef internal::Simple_matrix<NT> Matrix;
-   
+
     bool swapped=false;
 
     if(n < m) {
@@ -543,7 +543,7 @@ polynomial_subresultant_matrix(typename
 
     // For easier notation, we swap all entries:
     internal::swap_entries<NT>(B);
-    
+
     // Compute the S-matrices and collect the minors
     std::vector<Matrix> s_mat(m);
     std::vector<std::vector<NT> > coeffs(d);
@@ -555,10 +555,10 @@ polynomial_subresultant_matrix(typename
       internal::swap_entries<NT>(S);
       //std::cout << S << std::endl;
       int Sdim = S.row_dimension();
-      int number_of_minors=(Sdim < m) ? Sdim : Sdim; 
-      
+      int number_of_minors=(Sdim < m) ? Sdim : Sdim;
+
       internal::minors_berkowitz(S,std::back_inserter(coeffs[i-1]),
-			    Sdim,number_of_minors);
+                            Sdim,number_of_minors);
 
     }
 
@@ -568,28 +568,28 @@ polynomial_subresultant_matrix(typename
 
     for(int i = 0; i < d; i++) {
       for(int j = 0;j < m-i ; j++) {
-	int s_index=(n-m+j+i+1)%d;
-	if(s_index==0) {
-	  s_index=d;
-	}
-	s_index--;
-	Ret[j][j+i]=coeffs[s_index][n-m+j];
-	
+        int s_index=(n-m+j+i+1)%d;
+        if(s_index==0) {
+          s_index=d;
+        }
+        s_index--;
+        Ret[j][j+i]=coeffs[s_index][n-m+j];
+
       }
     }
 
     typename CGAL::Algebraic_structure_traits<NT>::Integral_division idiv;
 
-    NT divisor = ipower(lcoeff(f),n-m); 
+    NT divisor = ipower(lcoeff(f),n-m);
 
     int bit_mask = swapped ? 1 : 0;
     // Divide through the divisor and set the correct sign
     for(int i=0;i<m;i++) {
       for(int j = i;j<m;j++) {
-	int negate = ((n-m+i+1) & 2)>>1; // (n-m+i+1)==2 or 3 mod 4
-	negate^=(bit_mask & ((n-m+i+1)*(i+1)));
-	//...XOR (swapped AND (n-m+i+1)* (i+1) is odd) 
-	Ret[i][j] = idiv(Ret[i][j],  negate>0 ? -divisor : divisor);
+        int negate = ((n-m+i+1) & 2)>>1; // (n-m+i+1)==2 or 3 mod 4
+        negate^=(bit_mask & ((n-m+i+1)*(i+1)));
+        //...XOR (swapped AND (n-m+i+1)* (i+1) is odd)
+        Ret[i][j] = idiv(Ret[i][j],  negate>0 ? -divisor : divisor);
       }
     }
 
diff -pruN 5.0.2-3/include/CGAL/Polynomial/Cached_extended_euclidean_algorithm.h 5.0.3-1/include/CGAL/Polynomial/Cached_extended_euclidean_algorithm.h
--- 5.0.2-3/include/CGAL/Polynomial/Cached_extended_euclidean_algorithm.h	2020-02-21 20:04:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/Cached_extended_euclidean_algorithm.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,13 +2,13 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/Cached_extended_euclidean_algorithm.h $
-// $Id: Cached_extended_euclidean_algorithm.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/Cached_extended_euclidean_algorithm.h $
+// $Id: Cached_extended_euclidean_algorithm.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Michael Hemmer <mhemmer@uni-mainz.de>
-//                 
+//
 // ============================================================================
 
 #ifndef CGAL_POLYNOMIAL_CACHED_EXTENDED_EUCLIDEAN_ALGORITHM_H
@@ -21,21 +21,21 @@
 namespace CGAL {
 namespace internal{
 
-template <class UFD, int i = 0 > 
+template <class UFD, int i = 0 >
 struct Cached_extended_euclidean_algorithm{
 
   struct Extended_euclidean_algorithm{
     typedef std::pair<UFD,UFD> result_type;
-    typedef std::pair<UFD,UFD> first_argument_type; 
+    typedef std::pair<UFD,UFD> first_argument_type;
     result_type operator()(const first_argument_type& pq){
-      result_type result; 
+      result_type result;
       CGAL::extended_euclidean_algorithm(
           pq.first, pq.second, result.first, result.second);
       return result;
     }
   };
-  
-  typedef std::pair<UFD,UFD> PAIR; 
+
+  typedef std::pair<UFD,UFD> PAIR;
   typedef Extended_euclidean_algorithm FUNC;
   typedef CGAL::Cache<PAIR,PAIR,FUNC> CACHE;
   static CACHE& get_cache()
diff -pruN 5.0.2-3/include/CGAL/Polynomial/Chinese_remainder_traits.h 5.0.3-1/include/CGAL/Polynomial/Chinese_remainder_traits.h
--- 5.0.2-3/include/CGAL/Polynomial/Chinese_remainder_traits.h	2020-02-21 20:04:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/Chinese_remainder_traits.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/Chinese_remainder_traits.h $
-// $Id: Chinese_remainder_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/Chinese_remainder_traits.h $
+// $Id: Chinese_remainder_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -18,31 +18,31 @@
 
 namespace CGAL {
 
-template <class NT> 
+template <class NT>
 class Chinese_remainder_traits<Polynomial<NT> >{
 public:
     typedef Polynomial<NT> Type;
     typedef Chinese_remainder_traits<NT> CRT_NT;
-   
+
     typedef typename CRT_NT::Scalar_type Scalar_type;
-    
+
     struct Chinese_remainder{
         void operator()(
-                const Scalar_type& m1, const Scalar_type& m2, 
-                const Scalar_type& m, 
-                const Scalar_type& s,  const Scalar_type& t,  
-                const Type& u1, const Type& u2, 
+                const Scalar_type& m1, const Scalar_type& m2,
+                const Scalar_type& m,
+                const Scalar_type& s,  const Scalar_type& t,
+                const Type& u1, const Type& u2,
                 Type& u) const {
-            
+
             typename CRT_NT::Chinese_remainder chinese_remainder_nt;
-            
+
             CGAL_precondition(u1.degree() == u2.degree());
-            
+
             std::vector<NT> coeffs(u1.degree()+1);
             for(int i = 0; i <= u1.degree(); i++){
-                NT c; 
+                NT c;
                 chinese_remainder_nt(m1,m2,m,s,t,u1[i],u2[i],c);
-                coeffs[i] = c;  
+                coeffs[i] = c;
             }
             u = Polynomial<NT>(coeffs.begin(),coeffs.end());
         }
@@ -51,8 +51,8 @@ public:
                 const Scalar_type& m1, const Type& u1,
                 const Scalar_type& m2, const Type& u2,
                 Scalar_type& m, Type& u) const {
-            Scalar_type s,t; 
-            
+            Scalar_type s,t;
+
             CGAL::extended_euclidean_algorithm(m1,m2,s,t);
             m = m1 * m2;
             this->operator()(m1,m2,m,s,t,u1,u2,u);
@@ -61,6 +61,6 @@ public:
 };
 
 
-} // namespace CGAL 
+} // namespace CGAL
 
 #endif // CGAL_POLYNOMIAL_CHINESE_REMAINDER_TRAITS
diff -pruN 5.0.2-3/include/CGAL/Polynomial/Coercion_traits.h 5.0.3-1/include/CGAL/Polynomial/Coercion_traits.h
--- 5.0.2-3/include/CGAL/Polynomial/Coercion_traits.h	2020-02-21 20:04:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/Coercion_traits.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/Coercion_traits.h $
-// $Id: Coercion_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/Coercion_traits.h $
+// $Id: Coercion_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -14,21 +14,21 @@
 #ifndef CGAL_POLYNOMIAL_COERCION_TRAITS_H
 #define CGAL_POLYNOMIAL_COERCION_TRAITS_H
 
-// The coercion type of two polynomials is a polynomial in d=max(d1,d2) 
+// The coercion type of two polynomials is a polynomial in d=max(d1,d2)
 // variables, where d1 and d2 are the number of variables the two
-// polynomials. (This also includes the case of d1 = 0 or d2 = 0.) 
-// Moreover, the new Innermost_coefficient_type is the coercion type of the 
-// two Innermost_coefficient_types of the two involved polynomials. 
-// (Again, this is generalized if one of the involved types is just a scalar 
+// polynomials. (This also includes the case of d1 = 0 or d2 = 0.)
+// Moreover, the new Innermost_coefficient_type is the coercion type of the
+// two Innermost_coefficient_types of the two involved polynomials.
+// (Again, this is generalized if one of the involved types is just a scalar
 // type)
-// Though the coercion type is clear, the problem is how to match the 
-// variables. The recursive definition of Polynomial<Coeff> suggest that 
+// Though the coercion type is clear, the problem is how to match the
+// variables. The recursive definition of Polynomial<Coeff> suggest that
 // the coercion type of two polynomial types Polynomial<A> and Polynomial<B>
-// is defined as Polynomial<C>, where C is the coercion type. 
-// However, this is not in line with the fact that a Polynomial<A> 
-// is interoperable with its coefficient type A, that is, if A is a polynomial 
-// the variables of A should not be moved outward while casting A to 
-// Polynomial<A>. 
+// is defined as Polynomial<C>, where C is the coercion type.
+// However, this is not in line with the fact that a Polynomial<A>
+// is interoperable with its coefficient type A, that is, if A is a polynomial
+// the variables of A should not be moved outward while casting A to
+// Polynomial<A>.
 
 #include <CGAL/Polynomial/misc.h>
 
@@ -41,7 +41,7 @@ template <typename A, typename B, bool l
 struct Coercion_traits_for_polynomial_comp_d
   :public Coercion_traits_for_polynomial_comp_d< B, A , false >{};
 
-// Polynomial<A> has more variables than B 
+// Polynomial<A> has more variables than B
 template <typename A, typename B >
 struct Coercion_traits_for_polynomial_comp_d< Polynomial<A>, B , false>{
   typedef Coercion_traits<A,B> CT;
@@ -50,21 +50,21 @@ struct Coercion_traits_for_polynomial_co
     typedef CGAL::Tag_false Are_implicit_interoperable;
 
     typedef Polynomial<typename CT::Type> Type;
-    struct Cast{                                      
-        typedef Type result_type;                               
+    struct Cast{
+        typedef Type result_type;
         Type operator()(const Polynomial<A>& poly) const {
             typename CT::Cast cast;
             return Type(::boost::make_transform_iterator(poly.begin(),cast),
                        ::boost::make_transform_iterator(poly.end()  ,cast));
-        } 
+        }
         Type operator()(const B& x) const {
             typename CT::Cast cast;
             return Type(cast(x));
-        } 
-    };                          
+        }
+    };
 };
 
-// number of variables is different 
+// number of variables is different
 template <typename A, typename B, int a, int b>
 struct Coercion_traits_for_polynomial_equal_d
   :public Coercion_traits_for_polynomial_comp_d <A,B, a < b >{};
@@ -72,24 +72,24 @@ struct Coercion_traits_for_polynomial_eq
 // number of variables is equal and at least one.
 template <class A,class B, int d>
 struct Coercion_traits_for_polynomial_equal_d<Polynomial<A>, Polynomial<B>, d, d >{
-    typedef Coercion_traits<A,B> CT;            
+    typedef Coercion_traits<A,B> CT;
 
     typedef CGAL::Tag_true  Are_explicit_interoperable;
     typedef CGAL::Tag_false Are_implicit_interoperable;
     typedef Polynomial<typename CT::Type> Type;
-    struct Cast{                                      
-        typedef Type result_type;                               
-        Type operator()(const Polynomial<A>& poly) const { 
-            typename CT::Cast cast; 
+    struct Cast{
+        typedef Type result_type;
+        Type operator()(const Polynomial<A>& poly) const {
+            typename CT::Cast cast;
             return Type(::boost::make_transform_iterator(poly.begin(),cast),
                     ::boost::make_transform_iterator(poly.end()  ,cast));
-        } 
-        Type operator()(const Polynomial<B>& poly) const {  
-            typename CT::Cast cast;  
+        }
+        Type operator()(const Polynomial<B>& poly) const {
+            typename CT::Cast cast;
             return Type(::boost::make_transform_iterator(poly.begin(),cast),
                     ::boost::make_transform_iterator(poly.end()  ,cast));
-        } 
-    }; 
+        }
+    };
 };
 
 // determine number of variables in each polynomial
@@ -98,7 +98,7 @@ struct Coercion_traits_for_polynomial
   : public Coercion_traits_for_polynomial_equal_d
    < A , B , Dimension<A>::value, Dimension<B>::value >{};
 
-}// namespace internal 
+}// namespace internal
 
 template <class A,class B>
 struct Coercion_traits_for_level< Polynomial<A> , Polynomial<B>, CTL_POLYNOMIAL >
@@ -116,35 +116,35 @@ struct Coercion_traits_for_level< A , Po
 
 
 
-#if 0 
-// COERCION_TRAITS BEGIN 
+#if 0
+// COERCION_TRAITS BEGIN
 
 //Coercion_traits_polynomial-----------------------------------
 // If there is a Polynomial_traits, valid for more than one Polynomial
-// class this part should be adapted, using a Polynomial_traits 
-// and the nesting_depth 
+// class this part should be adapted, using a Polynomial_traits
+// and the nesting_depth
 template <class A,class B>
 struct Coercion_traits_for_level<Polynomial<A>, Polynomial<B>, CTL_POLYNOMIAL >{
-    typedef Coercion_traits<A,B> CT;            
+    typedef Coercion_traits<A,B> CT;
 
     typedef CGAL::Tag_true  Are_explicit_interoperable;
     typedef CGAL::Tag_false Are_implicit_interoperable;
     typedef Polynomial<typename CT::Type> Type;
-    struct Cast{                                      
-        typedef Type result_type;                               
-        Type operator()(const Polynomial<A>& poly) const { 
-            typename CT::Cast cast; 
+    struct Cast{
+        typedef Type result_type;
+        Type operator()(const Polynomial<A>& poly) const {
+            typename CT::Cast cast;
             return Type(::boost::make_transform_iterator(poly.begin(),cast),
                     ::boost::make_transform_iterator(poly.end()  ,cast));
-        } 
-        Type operator()(const Polynomial<B>& poly) const {  
-            typename CT::Cast cast;  
+        }
+        Type operator()(const Polynomial<B>& poly) const {
+            typename CT::Cast cast;
             return Type(::boost::make_transform_iterator(poly.begin(),cast),
                     ::boost::make_transform_iterator(poly.end()  ,cast));
-        } 
-    }; 
+        }
+    };
 };
-        
+
 template <class A,class B>
 struct Coercion_traits_for_level<Polynomial<A>,B ,CTL_POLYNOMIAL >{
     typedef Coercion_traits<A,B> CT;
@@ -153,25 +153,25 @@ struct Coercion_traits_for_level<Polynom
     typedef CGAL::Tag_false Are_implicit_interoperable;
 
     typedef Polynomial<typename CT::Type> Type;
-    struct Cast{                                      
-        typedef Type result_type;                               
+    struct Cast{
+        typedef Type result_type;
         Type operator()(const Polynomial<A>& poly) const {
             typename CT::Cast cast;
             return Type(::boost::make_transform_iterator(poly.begin(),cast),
                        ::boost::make_transform_iterator(poly.end()  ,cast));
-        } 
+        }
         Type operator()(const B& x) const {
             typename CT::Cast cast;
             return Type(cast(x));
-        } 
-    };                                                        
-}; 
-template <class A,class B> 
+        }
+    };
+};
+template <class A,class B>
 struct Coercion_traits_for_level<B,Polynomial<A>,CTL_POLYNOMIAL  >
     :public Coercion_traits_for_level<Polynomial<A>,B,CTL_POLYNOMIAL >
 {};
 
-#endif // 0 
+#endif // 0
 
 // COERCION_TRAITS END
 
diff -pruN 5.0.2-3/include/CGAL/Polynomial/Degree.h 5.0.3-1/include/CGAL/Polynomial/Degree.h
--- 5.0.2-3/include/CGAL/Polynomial/Degree.h	2020-02-21 20:04:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/Degree.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/Degree.h $
-// $Id: Degree.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/Degree.h $
+// $Id: Degree.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Michael Hemmer <hemmer@mpi-inf.mpg.de> 
+//
+// Author(s)     : Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //
 // ============================================================================
 
@@ -26,45 +26,45 @@ namespace internal{
 
 template <typename Polynomial > struct Degree;
 
-// Polynomial musst be at least univariate ! 
-template <typename Coeff_ > 
+// Polynomial musst be at least univariate !
+template <typename Coeff_ >
 struct Degree<Polynomial<Coeff_> >
   : public CGAL::cpp98::unary_function< Polynomial<Coeff_> , int  >{
-  
-private: 
+
+private:
   typedef Polynomial<Coeff_> Polynomial_d;
-  
-  // for univariate polynomials 
+
+  // for univariate polynomials
   template <typename Coeff>
   int degree(const Polynomial<Coeff>& p, int i) const {
-    (void) i; 
+    (void) i;
     CGAL_assertion(i == 0);
     return p.degree();
   }
-  
+
   // for multivariate polynomials
   template <typename Coeff>
   int degree(const Polynomial<Polynomial<Coeff> >& p, int i) const {
     typedef Polynomial<Polynomial<Coeff> > Poly;
-    
+
     if(i == (Dimension<Poly>::value-1))
       return p.degree();
-    
+
     int result = 0;
     for(typename Poly::const_iterator it = p.begin(); it != p.end(); it++){
       result = (std::max)(result,degree(*it,i));
     }
-    return result; 
+    return result;
   }
 
 public:
   int operator()(
-      const Polynomial_d& p, 
+      const Polynomial_d& p,
       int i = (Dimension<Polynomial_d>::value-1)) const {
     CGAL_assertion(i < Dimension<Polynomial_d>::value);
     CGAL_assertion(i >= 0);
     return this->degree(p,i);
-  }     
+  }
 
 };
 
diff -pruN 5.0.2-3/include/CGAL/Polynomial/determinant.h 5.0.3-1/include/CGAL/Polynomial/determinant.h
--- 5.0.2-3/include/CGAL/Polynomial/determinant.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/determinant.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,12 +2,12 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/determinant.h $
-// $Id: determinant.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/determinant.h $
+// $Id: determinant.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
-// Author(s)     : Michael Hemmer 
+// Author(s)     : Michael Hemmer
 // ============================================================================
 
 // TODO: The comments are all original EXACUS comments and aren't adapted. So
@@ -21,28 +21,28 @@ namespace CGAL {
 #include <CGAL/basic.h>
 
 namespace internal {
-    
-    // TODO: Own simple matrix and vector to avoid importing the whole matrix stuff 
+
+    // TODO: Own simple matrix and vector to avoid importing the whole matrix stuff
     // from EXACUS.
-    
+
     // This is to be replaced by a corresponding CGAL Matrix and Vector.
     template< class Coeff >
     struct Simple_matrix
         : public std::vector< std::vector< Coeff > > {
-        
-        typedef Coeff NT;    
+
+        typedef Coeff NT;
 
         Simple_matrix() {
         }
-                
+
         Simple_matrix( int m ) {
             initialize( m, m, Coeff(0) );
         }
-                        
+
         Simple_matrix( int m, int n, Coeff x = Coeff(0) ) {
             initialize( m, n, x );
         }
-        
+
         void swap_rows(int i, int j) {
             std::vector< Coeff > swap = this->operator[](i);
             this->operator[](i) = this->operator[](j);
@@ -59,10 +59,10 @@ namespace internal {
         }
 
         int row_dimension() const { return m; }
-        int column_dimension() const { return n; } 
-        
+        int column_dimension() const { return n; }
+
         private:
-        
+
         void initialize( int m, int n, Coeff x ) {
             this->reserve( m );
             this->m = m;
@@ -73,32 +73,32 @@ namespace internal {
                 for( int j = 0; j < n; ++j ) {
                     this->operator[](i).push_back( x );
                 }
-            }            
+            }
         }
-        
+
         int m,n;
     };
-    
+
     template< class Coeff >
     struct Simple_vector
         : public std::vector< Coeff > {
         Simple_vector( int m ) {
-        	this->reserve( m );
+                this->reserve( m );
             for( int i = 0; i < m; ++i )
                 this->push_back( Coeff(0) );
         }
-        
+
         Coeff operator*( const Simple_vector<Coeff>& v2 ) const {
             CGAL_precondition( v2.size() == this->size() );
             Coeff result(0);
-                        
+
             for( unsigned i = 0; i < this->size(); ++i )
                 result += ( this->operator[](i) * v2[i] );
-                
+
             return result;
         }
     };
-    
+
     // call for auto-selection of best routine (exact NT)
     template <class M> inline
     typename M::NT determinant (const M& matrix,
@@ -108,7 +108,7 @@ namespace internal {
     {
         return det_berkowitz(matrix, n);
     }
-    
+
     // call for auto-selection of best routine (inexact NT)
     template <class M> inline
     typename M::NT determinant (const M& matrix,
@@ -118,7 +118,7 @@ namespace internal {
     {
         typedef typename M::NT NT;
         NT type = NT(0);
-        
+
         return inexact_determinant_select(matrix, n, type);
     }
 
@@ -136,13 +136,13 @@ namespace internal {
      *  return the determinant of \a A.
      *  (specialisation for CGAL::Matrix_d)
      */
-    template <class NT > inline 
+    template <class NT > inline
     NT determinant(const internal::Simple_matrix<NT>& A)
     {
         CGAL_assertion(A.row_dimension()==A.column_dimension());
         return determinant(A,A.column_dimension());
     }
-    
+
     /*! \ingroup CGAL_determinant
      *  \brief Will determine and execute a suitable determinant routine and
      *  return the determinant of \a A. Needs the dimension \a n of \a A as
@@ -155,45 +155,45 @@ namespace internal {
         typedef typename M::NT NT;
         typedef typename Algebraic_structure_traits<NT>::Algebraic_category Algebraic_category;
         typedef typename Algebraic_structure_traits<NT>::Is_exact Is_exact;
-    
+
         return internal::determinant (matrix, n, Algebraic_category(), Is_exact());
     }
 
 
     // Part of det_berkowitz
     // Computes sum of all clows of length k
-    template <class M> 
+    template <class M>
     inline
-    std::vector<typename M::NT> 
+    std::vector<typename M::NT>
     clow_lengths (const M& A,int k,int n)
     {
         typedef typename M::NT NT;
-    
+
         int i, j, l;
-    
+
         typename internal::Simple_vector<NT> r(k-1);
         typename internal::Simple_vector<NT> s(k-1);
         typename internal::Simple_vector<NT> t(k-1);
         std::vector<NT> rMks(k);
-    
+
         typename internal::Simple_matrix<NT> MM(k-1);
-    
+
         for (i=n-k+2;i<=n;++i)
             for (j=n-k+2;j<=n;++j)
                 MM[i-n+k-2][j-n+k-2] = A[i-1][j-1];
-    
+
         i = n-k+1;
         l = 1;
-    
+
         for (j=n-k+2;j<=n;++j,++l)
         {
             r[l-1] = A[i-1][j-1];
             s[l-1] = A[j-1][i-1];
         }
-    
+
         rMks[0] = A[i-1][i-1];
         rMks[1] = r*s;
-    
+
         for (i=2;i<k;++i)
         {
             // r = r * M;
@@ -205,9 +205,9 @@ namespace internal {
                 r[j] = t[j];
                 t[j] = NT(0);
             }
-            rMks[i] = r*s; 
+            rMks[i] = r*s;
         }
-    
+
         return rMks;
     }
 
@@ -218,36 +218,36 @@ namespace internal {
      *
      *  Note that this routine is completely free of divisions!
      */
-    template <class NT > inline 
+    template <class NT > inline
     NT det_berkowitz(const internal::Simple_matrix<NT>& A)
     {
         CGAL_assertion(A.row_dimension()==A.column_dimension());
         return det_berkowitz(A,A.column_dimension());
     }
 
-    template <class M, class OutputIterator> inline 
+    template <class M, class OutputIterator> inline
     OutputIterator minors_berkowitz (const M& A,OutputIterator minors,int n,int m=0)
     {
         CGAL_precondition(n>0);
         CGAL_precondition(m<=n);
-        
-       
+
+
         typedef typename M::NT NT;
-        
+
         // If default value is set, reset it to the second parameter
         if(m==0) {
           m=n;
         }
-    
+
         int i, j, k, offset;
         std::vector<NT> rMks;
         NT a;
-    
+
         typename internal::Simple_matrix<NT> B(n+1);  // not square in original
-    
+
         typename internal::Simple_vector<NT> p(n+1);
         typename internal::Simple_vector<NT> q(n+1);
-    
+
         for (k=1;k<=n;++k)
         {
             // compute vector q = B*p;
@@ -273,66 +273,66 @@ namespace internal {
                 // Setup for last row of matrix B
                 i = n+1;
                 B[i-1][n-1] = NT(-1);
-    
+
                 for (j=1;j<=n;++j)
                     B[i-1][i-j-1] = rMks[j-1];
-    
+
                 p[i-1] = NT(0);
-    
+
                 for (j=1;j<=n;++j)
                     p[i-1] = p[i-1] + B[i-1][j-1] * q[j-1];
         }
             else
             {
                 rMks = internal::clow_lengths<M>(A,k,n);
-    
+
                 // Setup for matrix B (diagonal after diagonal)
-    
+
                 for (i=1;i<=k;++i)
                     B[i-1][i-1] = NT(-1);
-    
+
                 for (offset=1;offset<=k;++offset)
                 {
-                    a = rMks[offset-1]; 
-    
+                    a = rMks[offset-1];
+
                     for (i=1;i<=k-offset+1;++i)
                         B[offset+i-1][i-1] = a;
                 }
-    
+
                 // Multiply s.t. p=B*q
-    
+
                 for (i=1;i<=k;++i)
                 {
                     p[i-1] = NT(0);
-    
+
                     for (j=1;j<=i;++j)
                         p[i-1] = p[i-1] + B[i-1][j-1] * q[j-1];
                 }
-    
+
                 p[i-1] = NT(0);
-    
+
                 for (j=1;j<=k;++j)
                     p[i-1] = p[i-1] + B[i-1][j-1] * q[j-1];
-    
+
                 for (i=1;i<=k+1;++i)
                     q[i-1] = p[i-1];
             }
-           
-        if(k > n-m) { 
+
+        if(k > n-m) {
           (*minors)=p[k];
           ++minors;
         }
         }
         return minors;
     }
-    
+
     /*! \ingroup CGAL_determinant
      *  \brief Computes the determinant of \a A according to the method proposed
-     *  by Berkowitz. Needs the dimension \a n of \a A as its second argument. 
+     *  by Berkowitz. Needs the dimension \a n of \a A as its second argument.
      *
      *  Note that this routine is completely free of divisions!
      */
-    template <class M> inline 
+    template <class M> inline
     typename M::NT det_berkowitz (const M& A,
                                   int n)
     {
@@ -345,7 +345,7 @@ namespace internal {
       return det[0];
     }
 
-    
+
 
 } // namespace internal
 
diff -pruN 5.0.2-3/include/CGAL/Polynomial/Fraction_traits.h 5.0.3-1/include/CGAL/Polynomial/Fraction_traits.h
--- 5.0.2-3/include/CGAL/Polynomial/Fraction_traits.h	2020-02-21 20:04:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/Fraction_traits.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,13 +2,13 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/Fraction_traits.h $
-// $Id: Fraction_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/Fraction_traits.h $
+// $Id: Fraction_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Arno Eigenwillig <arno@mpi-inf.mpg.de>
-//                 Michael Hemmer <hemmer@informatik.uni-mainz.de> 
+//                 Michael Hemmer <hemmer@informatik.uni-mainz.de>
 //
 // ============================================================================
 
@@ -63,17 +63,17 @@ public:
                 const Type& p,
                 Numerator_type& num,
                 Denominator_type& den){
-            
+
             typedef Numerator_type INTPOLY;
             typedef Denominator_type DENOM;
-            
+
             typedef Fraction_traits<Coefficient_type> CFTRAITS;
             typedef typename CFTRAITS::Numerator_type INTCOEFF;
 
             const int d = p.degree();
             std::vector<INTCOEFF> integ(d+1);
             std::vector<DENOM> denom(d+1);
-  
+
             int i;
 
             // decompose each coefficient into integral part and denominator
@@ -90,12 +90,12 @@ public:
             for (i = 1; i <= d; i++) {
                 den *= idiv(denom[i], gcd(den, denom[i]));
             }
-            
+
             // expand each (integ, denom) pair to common denominator
             for (i = 0; i <= d; i++) {
                 integ[i] *= INTCOEFF(idiv(den, denom[i]));
             }
-            num =  INTPOLY(integ.begin(), integ.end());    
+            num =  INTPOLY(integ.begin(), integ.end());
         }
     };
 
@@ -106,15 +106,15 @@ public:
         typedef Type result_type;
         inline Type operator () (const Numerator_type& n,
                                  const Denominator_type& d){
-            typename Fraction_traits<NT_>::Compose comp_coeff; 
+            typename Fraction_traits<NT_>::Compose comp_coeff;
             (void)comp_coeff;
-            
+
             std::vector< NT_> coeffs(n.degree()+1);
-            
+
             for (int i = 0; i <= n.degree(); i++) {
                 coeffs[i] = comp_coeff(n[i], d);
             }
-            
+
             return Type(coeffs.begin(), coeffs.end());
         };
     };
diff -pruN 5.0.2-3/include/CGAL/Polynomial/fwd.h 5.0.3-1/include/CGAL/Polynomial/fwd.h
--- 5.0.2-3/include/CGAL/Polynomial/fwd.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/fwd.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,12 +2,12 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/fwd.h $
-// $Id: fwd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/fwd.h $
+// $Id: fwd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
-// Author(s)     : Michael Hemmer 
+// Author(s)     : Michael Hemmer
 // ============================================================================
 
 
@@ -18,7 +18,7 @@
 
 namespace CGAL{
 
-template <class NT> class Polynomial; 
+template <class NT> class Polynomial;
 
 namespace internal{
 template <class NT> inline Polynomial<NT> gcd_(const Polynomial<NT>&, const Polynomial<NT>&);
@@ -30,16 +30,16 @@ template <class NT> inline NT gcd_utcf_(
 template <class NT> inline Polynomial<NT> gcd_utcf_(const Polynomial<NT>&, const Polynomial<NT>&);
 template <class NT> inline Polynomial<NT> gcd_utcf_UFD( Polynomial<NT> , Polynomial<NT>) ;
 template <class NT> inline Polynomial<NT> gcd_utcf_Integral_domain(Polynomial<NT>, Polynomial<NT>);
-template <class NT> inline Polynomial<NT> gcd_Euclidean_ring(Polynomial<NT>, Polynomial<NT>); 
+template <class NT> inline Polynomial<NT> gcd_Euclidean_ring(Polynomial<NT>, Polynomial<NT>);
 
 template <class NT> inline Polynomial<NT> modular_gcd_utcf(const Polynomial<NT>&, const Polynomial<NT>&, Integral_domain_tag);
 template <class NT> inline Polynomial<NT> modular_gcd_utcf(const Polynomial<NT>&, const Polynomial<NT>&, Unique_factorization_domain_tag);
 
-// is fraction ? 
-template <class NT> inline Polynomial<NT> gcd_utcf_is_fraction_( const Polynomial<NT>&, const Polynomial<NT>&, ::CGAL::Tag_true); 
+// is fraction ?
+template <class NT> inline Polynomial<NT> gcd_utcf_is_fraction_( const Polynomial<NT>&, const Polynomial<NT>&, ::CGAL::Tag_true);
 template <class NT> inline Polynomial<NT> gcd_utcf_is_fraction_( const Polynomial<NT>&, const Polynomial<NT>&, ::CGAL::Tag_false);
 
-// is type modularizable 
+// is type modularizable
 template <class NT> inline Polynomial<NT> gcd_utcf_modularizable_algebra_( const Polynomial<NT>&, const Polynomial<NT>&, ::CGAL::Tag_false, Integral_domain_tag);
 template <class NT> inline Polynomial<NT> gcd_utcf_modularizable_algebra_( const Polynomial<NT>&, const Polynomial<NT>&, ::CGAL::Tag_false, Unique_factorization_domain_tag);
 template <class NT> inline Polynomial<NT> gcd_utcf_modularizable_algebra_( const Polynomial<NT>&, const Polynomial<NT>&, ::CGAL::Tag_false, Euclidean_ring_tag);
@@ -52,9 +52,9 @@ template <class NT> inline Polynomial<NT
 // template <class NT> inline NT content_utcf(const Polynomial<NT>&);
 template <class NT> inline NT content_utcf_(const Polynomial<NT>&);
 
-template <class NT, class OutputIterator1, class OutputIterator2> 
+template <class NT, class OutputIterator1, class OutputIterator2>
 inline int filtered_square_free_factorize( Polynomial<NT>, OutputIterator1, OutputIterator2);
-template <class NT,  class OutputIterator1, class OutputIterator2> 
+template <class NT,  class OutputIterator1, class OutputIterator2>
 inline int filtered_square_free_factorize_utcf( const Polynomial<NT>&, OutputIterator1, OutputIterator2);
 
 template <class Coeff,  class OutputIterator1, class OutputIterator2>
@@ -71,14 +71,14 @@ template <class NT> inline bool may_have
 template <class NT> inline bool may_have_common_factor(const Polynomial<NT>&,const Polynomial<NT>&);
 
 // eliminates outermost variable
-template <class Coeff> 
-inline Coeff resultant( 
+template <class Coeff>
+inline Coeff resultant(
     const CGAL::Polynomial<Coeff>&, const CGAL::Polynomial<Coeff>&);
-// eliminates innermost variable 
-template <class Coeff> 
-inline Coeff resultant_( 
+// eliminates innermost variable
+template <class Coeff>
+inline Coeff resultant_(
     const CGAL::Polynomial<Coeff>&, const CGAL::Polynomial<Coeff>&);
-  
+
 
 
 template< class Coeff >
@@ -87,24 +87,24 @@ struct Simple_matrix;
 template<class NT>
 internal::Simple_matrix<NT> polynomial_subresultant_matrix(
                                                CGAL::Polynomial<NT> f,
-					       CGAL::Polynomial<NT> g,
-					       int d=0);
+                                               CGAL::Polynomial<NT> g,
+                                               int d=0);
 
 template <typename Polynomial_traits_d,typename OutputIterator> inline
 OutputIterator polynomial_subresultants
-(typename Polynomial_traits_d::Polynomial_d A, 
+(typename Polynomial_traits_d::Polynomial_d A,
  typename Polynomial_traits_d::Polynomial_d B,
  OutputIterator out);
 
 
 template <typename Polynomial_traits_d,typename OutputIterator> inline
 OutputIterator principal_subresultants
-(typename Polynomial_traits_d::Polynomial_d A, 
+(typename Polynomial_traits_d::Polynomial_d A,
  typename Polynomial_traits_d::Polynomial_d B,
  OutputIterator out);
 
 template<typename Polynomial_traits_d,
-    typename OutputIterator1, 
+    typename OutputIterator1,
     typename OutputIterator2,
     typename OutputIterator3>
 OutputIterator1 polynomial_subresultants_with_cofactors
@@ -118,19 +118,19 @@ OutputIterator1 polynomial_subresultants
 template <typename Polynomial_traits_d,typename OutputIterator> inline
 OutputIterator
 principal_sturm_habicht_sequence
-(typename Polynomial_traits_d::Polynomial_d A, 
+(typename Polynomial_traits_d::Polynomial_d A,
  OutputIterator out);
 
 
 
 template<typename Polynomial_traits_d,typename OutputIterator> OutputIterator
-sturm_habicht_sequence(typename Polynomial_traits_d::Polynomial_d P, 
+sturm_habicht_sequence(typename Polynomial_traits_d::Polynomial_d P,
                        OutputIterator out);
 
 template<typename Polynomial_traits_d,
     typename OutputIterator1,
     typename OutputIterator2,
-    typename OutputIterator3> 
+    typename OutputIterator3>
 OutputIterator1
 sturm_habicht_sequence_with_cofactors
 (typename Polynomial_traits_d::Polynomial_d P,
diff -pruN 5.0.2-3/include/CGAL/Polynomial/Get_arithmetic_kernel.h 5.0.3-1/include/CGAL/Polynomial/Get_arithmetic_kernel.h
--- 5.0.2-3/include/CGAL/Polynomial/Get_arithmetic_kernel.h	2020-02-21 20:04:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/Get_arithmetic_kernel.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/Get_arithmetic_kernel.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/Get_arithmetic_kernel.h $
 // $Id: Get_arithmetic_kernel.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Polynomial/hgdelta_update.h 5.0.3-1/include/CGAL/Polynomial/hgdelta_update.h
--- 5.0.2-3/include/CGAL/Polynomial/hgdelta_update.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/hgdelta_update.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,12 +2,12 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/hgdelta_update.h $
-// $Id: hgdelta_update.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/hgdelta_update.h $
+// $Id: hgdelta_update.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
-// Author(s)     : Michael Hemmer 
+// Author(s)     : Michael Hemmer
 // ============================================================================
 
 // TODO: The comments are all original EXACUS comments and aren't adapted. So
@@ -23,7 +23,7 @@ namespace internal {
     template <class NT> inline
     void hgdelta_update(NT& h, const NT& g, int delta) {
         typename Algebraic_structure_traits<NT>::Integral_division idiv;
-    
+
         // compute h = h^(1-delta) * g^delta
         switch (delta) {
         case 0:
diff -pruN 5.0.2-3/include/CGAL/Polynomial/Interpolator.h 5.0.3-1/include/CGAL/Polynomial/Interpolator.h
--- 5.0.2-3/include/CGAL/Polynomial/Interpolator.h	2020-02-21 20:04:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/Interpolator.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,12 +2,12 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/Interpolator.h $
-// $Id: Interpolator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/Interpolator.h $
+// $Id: Interpolator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
-// Author(s)     : Michael Hemmer <hemmer@informatik.uni-mainz.de> 
+// Author(s)     : Michael Hemmer <hemmer@informatik.uni-mainz.de>
 
 #ifndef CGAL_POLYNOMIAL_INTERPOLATE_H
 #define CGAL_POLYNOMIAL_INTERPOLATE_H
@@ -15,29 +15,29 @@
 namespace CGAL {
 namespace internal {
 
-// Class for interpolation of univariate or multivariate polynomials. 
+// Class for interpolation of univariate or multivariate polynomials.
 // The template argument must be a model of concept Polynomial_d
-// 
+//
 //
 template <class Polynomial_d_>
 class Interpolator{
   typedef CGAL::Polynomial_traits_d<Polynomial_d_> PT;
-    
+
 public:
-  typedef typename PT::Polynomial_d Polynomial_d; 
-  typedef typename PT::Coefficient_type Coeff; 
+  typedef typename PT::Polynomial_d Polynomial_d;
+  typedef typename PT::Coefficient_type Coeff;
   typedef typename PT::Innermost_coefficient_type IC;
 
-private: 
+private:
   typedef typename CGAL::Coercion_traits<Coeff,IC>::Cast IC2Coeff;
   typedef typename PT::Construct_polynomial Construct;
 
-  std::vector<IC> xvals; 
-  std::vector<Coeff> yvals; 
-  std::vector<Coeff> b; 
-    
-  bool valid; 
-  Polynomial_d interpolant; 
+  std::vector<IC> xvals;
+  std::vector<Coeff> yvals;
+  std::vector<Coeff> b;
+
+  bool valid;
+  Polynomial_d interpolant;
 
 
   Coeff eval_newton(int n, IC z)
@@ -52,7 +52,7 @@ private:
 
 
   Polynomial_d eval_newton_poly(int n)
-  {    
+  {
     CGAL_precondition(n >=0);
     Polynomial_d p(Construct()(b[n]));
     for (int i = n-1; i >=0; i--) {
@@ -61,18 +61,18 @@ private:
     }
     return p;
   }
-    
+
 public:
   Interpolator(){};
-  
-  // constructor from an InputIterator range with value type std::pair<IC,Coeff> 
+
+  // constructor from an InputIterator range with value type std::pair<IC,Coeff>
   template<class InputIterator>
   Interpolator(InputIterator begin, InputIterator end){
     for(InputIterator it = begin; it != end; it++){
       add_interpolation_point(*it);
     }
   }
-    
+
   /*
     Interpolator(std::vector<IC> xvals_, std::vector<Coeff> yvals_)
     : valid(false) {
@@ -83,25 +83,25 @@ public:
     }
     }
   */
-    
+
   // void add_interpolation_point(std::pair<IC,Coeff> point){
   //    add_interpolation_point(point.first, point.second);
   // }
-    
+
   // void add_interpolation_point(IC xval, Coeff yval){
   void add_interpolation_point(std::pair<IC,Coeff> point){
     valid = false;
 //        CGAL_precondition(0 == std::count(xval, xvals.begin(), yvals.end()));
     xvals.push_back(point.first);
     yvals.push_back(point.second);
-        
+
     Coeff num, den;
-    int k = static_cast<int>(xvals.size()) - 1; 
+    int k = static_cast<int>(xvals.size()) - 1;
     if(k == 0){
       b.push_back(yvals[0]);
     }else{
-      num = yvals[k] - eval_newton(k-1,xvals[k]);    
-      den = Coeff(1);            
+      num = yvals[k] - eval_newton(k-1,xvals[k]);
+      den = Coeff(1);
       for (int j = 0; j < k; j++) {
         // (k-j) if xvals's are sequential
         den *= (xvals[k] - xvals[j]);
@@ -109,18 +109,18 @@ public:
       b.push_back(num / den);
     }
   }
-    
-  Polynomial_d get_interpolant(){ 
+
+  Polynomial_d get_interpolant(){
     if (xvals.size() == 0) return Polynomial_d(0);
     // TODO: compute new interpolant from old interpolant ?
     if(!valid)
       interpolant = eval_newton_poly(static_cast<int>(xvals.size())-1);
-    return interpolant; 
+    return interpolant;
   }
-    
+
 };
 
 } // namespace internal
 } //namespace CGAL
 
-#endif // CGAL_POLYNOMIAL_INTERPOLATE_H 
+#endif // CGAL_POLYNOMIAL_INTERPOLATE_H
diff -pruN 5.0.2-3/include/CGAL/Polynomial/misc.h 5.0.3-1/include/CGAL/Polynomial/misc.h
--- 5.0.2-3/include/CGAL/Polynomial/misc.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/misc.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,12 +2,12 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/misc.h $
-// $Id: misc.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/misc.h $
+// $Id: misc.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
-// Author(s)     : Michael Hemmer 
+// Author(s)     : Michael Hemmer
 
 #ifndef CGAL_POLYNOMIAL_MISC_H
 #define CGAL_POLYNOMIAL_MISC_H
@@ -19,19 +19,19 @@ namespace CGAL{
 namespace internal{
 
 // template meta function Innermost_coefficient_type
-// returns the tpye of the innermost coefficient 
+// returns the tpye of the innermost coefficient
 template <class T> struct Innermost_coefficient_type{ typedef T Type; };
-template <class Coefficient_type> 
+template <class Coefficient_type>
 struct Innermost_coefficient_type<Polynomial<Coefficient_type> >{
-    typedef typename Innermost_coefficient_type<Coefficient_type>::Type Type; 
+    typedef typename Innermost_coefficient_type<Coefficient_type>::Type Type;
 };
 
 // template meta function Dimension
-// returns the number of variables 
+// returns the number of variables
 template <class T> struct Dimension{ static const int value = 0;};
-template <class Coefficient_type> 
+template <class Coefficient_type>
 struct Dimension<Polynomial<Coefficient_type> > {
-    static const int value = Dimension<Coefficient_type>::value + 1 ; 
+    static const int value = Dimension<Coefficient_type>::value + 1 ;
 };
 
 } // namespace internal
diff -pruN 5.0.2-3/include/CGAL/Polynomial/modular_filter.h 5.0.3-1/include/CGAL/Polynomial/modular_filter.h
--- 5.0.2-3/include/CGAL/Polynomial/modular_filter.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/modular_filter.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,12 +2,12 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/modular_filter.h $
-// $Id: modular_filter.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/modular_filter.h $
+// $Id: modular_filter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
-// Author(s)     : Michael Hemmer 
+// Author(s)     : Michael Hemmer
 //
 // ============================================================================
 
@@ -33,16 +33,16 @@ namespace internal {
         const Polynomial<NT>& p1,
         const Polynomial<NT>& p2,
         ::CGAL::Tag_true){
-      
+
       // Enforce IEEE double precision and to nearest before using modular arithmetic
       CGAL::Protect_FPU_rounding<true> pfr(CGAL_FE_TONEAREST);
-      
+
         CGAL_precondition(p1.degree()!=-1);
         CGAL_precondition(p2.degree()!=-1);
-        
+
         if(CGAL::total_degree(p1) == 0){ return p1.is_zero();}
         if(CGAL::total_degree(p2) == 0){ return p2.is_zero();}
-        
+
         typedef Polynomial<NT>                Polynomial_nt;
         typedef Modular_traits<Polynomial_nt> MT;
         typedef typename MT::Residue_type       Polynomial_mt;
@@ -51,7 +51,7 @@ namespace internal {
 
         typename CGAL::Polynomial_traits_d<Polynomial_nt>::Degree_vector
             degree_vector_nt;
-            
+
         typename CGAL::Polynomial_traits_d<Polynomial_mt>::Degree_vector
             degree_vector_mt;
 
@@ -62,39 +62,39 @@ namespace internal {
         CGAL::Exponent_vector exp_vec_nt_2 = degree_vector_nt( p2 );
         CGAL::Exponent_vector exp_vec_mt_1 = degree_vector_mt( m1 );
         CGAL::Exponent_vector exp_vec_mt_2 = degree_vector_mt( m2 );
-                
+
         // return true if the exponent vector changes (degree loss)
         if( (exp_vec_nt_1 != exp_vec_mt_1) ||
             (exp_vec_nt_2 != exp_vec_mt_2 ) )
             return true;
 
-        typename CGAL::Polynomial_traits_d<Polynomial_mt>::Total_degree 
+        typename CGAL::Polynomial_traits_d<Polynomial_mt>::Total_degree
             tdegree_mt;
 
         if( tdegree_mt( CGAL::gcd( m1, m2 ) ) > 0 )
             return true;
         else
-            return false;                
+            return false;
     }
-   
+
     template <class NT> inline
     bool may_have_common_factor_(const Polynomial<NT>& ,
                                  const Polynomial<NT>& ,
                                  ::CGAL::Tag_false) {return true;}
-    
+
 /*! \ingroup CGAL_polynomial_utils
- *  \brief Test whether \c P and \c Q may have a common factor. 
+ *  \brief Test whether \c P and \c Q may have a common factor.
  *
  *  This function is based on a fast modular arithmetic and serves as a
  *  filter to avoid expensive exact computations to determine whether \c P
- *  and \c Q have a common factor.. 
- *  
+ *  and \c Q have a common factor..
+ *
  *  If the function return false, then \c P and \c Q have no common factor for
- *  sure. 
+ *  sure.
  *  \c P and \c Q have with a high probability a common factor, if it returns
- *  true. 
+ *  true.
  */
-template <class NT> inline 
+template <class NT> inline
 bool may_have_common_factor(const Polynomial<NT>& P,
                             const Polynomial<NT>& Q){
 // TODO: Should this compiler switch be renamed?
@@ -106,7 +106,7 @@ bool may_have_common_factor(const Polyno
     typedef Polynomial<NT> POLY;
     typedef Modular_traits<POLY> Mtr;
     typename Mtr::Is_modularizable is_modularizable;
-    return internal::may_have_common_factor_(P,Q,is_modularizable);   
+    return internal::may_have_common_factor_(P,Q,is_modularizable);
 }
 
 /*! \ingroup CGAL_polynomial_utils
@@ -114,7 +114,7 @@ bool may_have_common_factor(const Polyno
  *
  *  This function is based on a fast modular arithmetic and serves as a
  *  filter to avoid expensive exact computations to determine whether \c P
- *  has a multiple root or not. 
+ *  has a multiple root or not.
  *
  *  If the function return false, then \c P has no multiple root for sure.
  *  \c P has with a high probability a multiple root, if it returns true.
@@ -134,23 +134,23 @@ bool may_have_multiple_factor_(const Pol
 
     typename CGAL::Polynomial_traits_d<Polynomial_nt>::Degree_vector
         degree_vector_nt;
-            
+
     typename CGAL::Polynomial_traits_d<Polynomial_mt>::Degree_vector
         degree_vector_mt;
-            
+
     Polynomial_mt m = modular_image( P );
-    
+
     CGAL::Exponent_vector exp_vec_nt = degree_vector_nt( P );
     CGAL::Exponent_vector exp_vec_mt = degree_vector_mt( m );
-    
+
     if( exp_vec_nt != exp_vec_mt )
         return true;
-    
+
     // Check modular image to be square free
-    typename CGAL::Polynomial_traits_d< Polynomial_mt >::Is_square_free 
+    typename CGAL::Polynomial_traits_d< Polynomial_mt >::Is_square_free
         is_square_free;
 
-    return( !is_square_free( m ) ); 
+    return( !is_square_free( m ) );
 }
 
 template< class NT > inline
@@ -168,7 +168,7 @@ bool may_have_multiple_factor( const Pol
     typedef Polynomial<NT> POLY;
     typedef Modular_traits<POLY> Mtr;
     typename Mtr::Is_modularizable is_modularizable;
-    return internal::may_have_multiple_factor_(P, is_modularizable);       
+    return internal::may_have_multiple_factor_(P, is_modularizable);
 }
 
 } //namespace internal
diff -pruN 5.0.2-3/include/CGAL/Polynomial/modular_gcd.h 5.0.3-1/include/CGAL/Polynomial/modular_gcd.h
--- 5.0.2-3/include/CGAL/Polynomial/modular_gcd.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/modular_gcd.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,15 +2,15 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/modular_gcd.h $
-// $Id: modular_gcd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/modular_gcd.h $
+// $Id: modular_gcd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 //Author(s) : Michael Hemmer <mhemmer@uni-mainz.de>
 
 /*! \file CGAL/Polynomial/modular_gcd.h
-  provides gcd for Polynomials, based on Modular arithmetic. 
+  provides gcd for Polynomials, based on Modular arithmetic.
 */
 
 
@@ -28,14 +28,14 @@
 namespace CGAL {
 namespace internal {
 
-template <class NT> 
+template <class NT>
 Polynomial<NT> modular_gcd_utcf(
         const Polynomial<NT>& FF1 ,
         const Polynomial<NT>& FF2 , Integral_domain_tag){
     return modular_gcd_utcf_dfai(FF1, FF2);
 }
 
-template <class NT> 
+template <class NT>
 Polynomial<NT> modular_gcd_utcf(
         const Polynomial<NT>& FF1 ,
         const Polynomial<NT>& FF2 , Unique_factorization_domain_tag){
@@ -46,4 +46,4 @@ Polynomial<NT> modular_gcd_utcf(
 }///namespace CGAL
 
 #endif //#ifndef CGAL_POLYNOMIAL_MODULAR_GCD_H 1
- 
+
diff -pruN 5.0.2-3/include/CGAL/Polynomial/modular_gcd_utcf_algorithm_M.h 5.0.3-1/include/CGAL/Polynomial/modular_gcd_utcf_algorithm_M.h
--- 5.0.2-3/include/CGAL/Polynomial/modular_gcd_utcf_algorithm_M.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/modular_gcd_utcf_algorithm_M.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,18 +2,18 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/modular_gcd_utcf_algorithm_M.h $
-// $Id: modular_gcd_utcf_algorithm_M.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/modular_gcd_utcf_algorithm_M.h $
+// $Id: modular_gcd_utcf_algorithm_M.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     :  Dominik Huelse <dominik.huelse@gmx.de>
 //                  Michael Hemmer <mhemmer@uni-mainz.de>
-//                 
+//
 // ============================================================================
 
 /*! \file CGAL/Polynomial/modular_gcd_utcf_algorithm_M.h
-  provides gcd for Polynomials, based on Modular arithmetic. 
+  provides gcd for Polynomials, based on Modular arithmetic.
 */
 
 
@@ -38,14 +38,14 @@ namespace internal{
 template <class NT> Polynomial<NT> gcd_utcf_UFD(Polynomial<NT>,Polynomial<NT>);
 
 
-template <class NT> 
+template <class NT>
 Polynomial< Polynomial<NT> > modular_gcd_utcf_algorithm_M(
         const Polynomial< Polynomial<NT> >& FF1 ,
         const Polynomial< Polynomial<NT> >& FF2 ){
     return gcd_utcf_UFD(FF1, FF2);
 }
 
-template <class NT> 
+template <class NT>
 Polynomial<NT> modular_gcd_utcf_algorithm_M(
         const Polynomial<NT>& FF1 ,
         const Polynomial<NT>& FF2 ){
@@ -64,16 +64,16 @@ Polynomial<NT> modular_gcd_utcf_algorith
 
     typedef typename CGAL::Modular_traits<Poly>::Residue_type   MPoly;
     typedef typename CGAL::Modular_traits<Scalar>::Residue_type MScalar;
-    
+
     typedef Chinese_remainder_traits<Poly> CRT;
-    typename CRT::Chinese_remainder chinese_remainder; 
-    
-    CGAL::Real_timer timer; 
-    
- 
+    typename CRT::Chinese_remainder chinese_remainder;
+
+    CGAL::Real_timer timer;
+
+
     if(FF1.is_zero()){
         if(FF2.is_zero()){
-            return Poly(1);// TODO: return 0 for CGAL 
+            return Poly(1);// TODO: return 0 for CGAL
         }
         else{
             //      std::cout<<"\nFF1 is zero"<<std::endl;
@@ -89,19 +89,19 @@ Polynomial<NT> modular_gcd_utcf_algorith
         result = Poly(CGAL::gcd(FF1.content(),FF2.content()));
         return CGAL::canonicalize(result);
     }
-        
+
     Poly F1 = CGAL::canonicalize(FF1);
     Poly F2 = CGAL::canonicalize(FF2);
-       
-    Scalar f1 = scalar_factor(F1.lcoeff());  // ilcoeff(F1) 
-    Scalar f2 = scalar_factor(F2.lcoeff());  // ilcoeff(F2) 
+
+    Scalar f1 = scalar_factor(F1.lcoeff());  // ilcoeff(F1)
+    Scalar f2 = scalar_factor(F2.lcoeff());  // ilcoeff(F2)
     Scalar g_ = scalar_factor(f1,f2);
-    
+
     //std::cout <<" g_   : "<< g_ << std::endl;
-    
+
     bool solved = false;
     int prime_index = -1;
-    int n = 0; // number of lucky primes 
+    int n = 0; // number of lucky primes
     int degree_F1 = F1.degree();
     int degree_F2 = F2.degree();
     int degree_e = (std::min)(degree_F1,degree_F2);
@@ -110,7 +110,7 @@ Polynomial<NT> modular_gcd_utcf_algorith
     MPoly   mF1,mF2,mG_;
 
     typename CRT::Scalar_type p,q,pq,s,t;
-    Poly Gs,H1s,H2s, Gs_old; // s =^ star 
+    Poly Gs,H1s,H2s, Gs_old; // s =^ star
 #ifdef CGAL_MODULAR_GCD_TIMER
     timer_init.stop();
 #endif
@@ -123,7 +123,7 @@ Polynomial<NT> modular_gcd_utcf_algorith
             do{
                 int current_prime = -1;
                 prime_index++;
-		if(prime_index >= 2000){
+                if(prime_index >= 2000){
                     std::cerr<<"primes in the array exhausted"<<std::endl;
                     current_prime = internal::get_next_lower_prime(current_prime);
                 }
@@ -158,53 +158,53 @@ Polynomial<NT> modular_gcd_utcf_algorith
 #ifdef CGAL_MODULAR_GCD_TIMER
             timer_gcd.stop();
 #endif
-            
+
             //mH1 = CGAL::integral_div(mF1,mG_);
             //mH2 = CGAL::integral_div(mF2,mG_);
             //---------------------------------------
-            // return if G is constant 
+            // return if G is constant
             if (mG_ == MPoly(1)) return Poly(1);
             // --------------------------------------
         }// repeat until mG_ degree is less equal the known bound
-         // check prime 
+         // check prime
         while( mG_.degree() > degree_e);
-       
+
         if( mG_.degree() < degree_e ){
-            if( n != 0 ) std::cout << "UNLUCKY PRIME !!"<< std::endl; 
+            if( n != 0 ) std::cout << "UNLUCKY PRIME !!"<< std::endl;
 
-            // restart chinese remainder 
+            // restart chinese remainder
             // ignore previous unlucky primes
-            n=1; 
+            n=1;
             degree_e= mG_.degree();
         }else{
             CGAL_postcondition( mG_.degree() == degree_e);
             n++; // increase number of lucky primes
         }
-     
+
         // --------------------------------------
         // try chinese remainder
-        
-//        std::cout <<" chinese remainder round :" << n << std::endl; 
+
+//        std::cout <<" chinese remainder round :" << n << std::endl;
         typename CGAL::Modular_traits<Poly>::Modular_image_representative inv_map;
-        if(n == 1){ 
+        if(n == 1){
             // init chinese remainder
-            q =  CGAL::Residue::get_current_prime(); // implicit ! 
+            q =  CGAL::Residue::get_current_prime(); // implicit !
             Gs_old  = Gs  = inv_map(mG_);
-            
+
             //H1s_old = H1s = inv_map(mH1);
             //H2s_old = H2s = inv_map(mH2);
         }else{
             // continue chinese remainder
-            
-            p = CGAL::Residue::get_current_prime(); // implicit! 
-             
+
+            p = CGAL::Residue::get_current_prime(); // implicit!
+
             Gs_old  = Gs ;
             //H1s_old = H1s ;
             //H2s_old = H2s ;
 #ifdef CGAL_MODULAR_GCD_TIMER
             timer_CR.start();
 #endif
-//            chinese_remainder(q,Gs ,p,inv_map(mG_),pq,Gs);             
+//            chinese_remainder(q,Gs ,p,inv_map(mG_),pq,Gs);
 //            cached_extended_euclidean_algorithm(q,p,s,t);
             internal::Cached_extended_euclidean_algorithm
               <typename CRT::Scalar_type, 1> ceea;
@@ -219,10 +219,10 @@ Polynomial<NT> modular_gcd_utcf_algorith
 
         try{
             if( n != 1 && Gs == Gs_old ){
-                Poly r1,r2; 
+                Poly r1,r2;
 #ifdef CGAL_MODULAR_GCD_TIMER
                 timer_division.start();
-#endif 
+#endif
 
                 typedef CGAL::Algebraic_structure_traits< Poly > ASTE_Poly;
                 typename ASTE_Poly::Divides divides;
@@ -230,35 +230,35 @@ Polynomial<NT> modular_gcd_utcf_algorith
                 bool div1=divides(Gs,g_*F1,H1s);
                 bool div2=divides(Gs,g_*F2,H2s);
                 if (div1 && div2){
-                    solved = true; 
+                    solved = true;
                 }
                 // this is the old code
-//                 NT dummy; 
+//                 NT dummy;
 //                Poly::euclidean_division(g_*F1,Gs,H1s,r1);
 //                Poly::euclidean_division(g_*F2,Gs,H2s,r2);
 //                if (r1.is_zero() && r2.is_zero())
-//                      solved = true;       
-      
+//                      solved = true;
+
 #ifdef CGAL_MODULAR_GCD_TIMER
                 timer_division.stop();
 #endif
 //                std::cout << "number of primes used : "<< n << std::endl;
             } // end while
-           
+
         }catch(...){}
- 
+
     }
-    
-    
+
+
     //TODO CGAL: change this to multivariat content
 //    Scalar scalar_content_f1 = scalar_factor(FF1);
 //    Scalar scalar_content_f2 = scalar_factor(FF2);
 //    Scalar scalar_content_gcd = CGAL::gcd(scalar_content_f1,scalar_content_f2);
 //    Poly result = CGAL::canonicalize(Gs)*Poly(scalar_content_gcd);
-//    return result; 
+//    return result;
 
     return CGAL::canonicalize(Gs);
-    
+
 }
 
 }  // namespace internal
diff -pruN 5.0.2-3/include/CGAL/Polynomial/modular_gcd_utcf_dfai.h 5.0.3-1/include/CGAL/Polynomial/modular_gcd_utcf_dfai.h
--- 5.0.2-3/include/CGAL/Polynomial/modular_gcd_utcf_dfai.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/modular_gcd_utcf_dfai.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/modular_gcd_utcf_dfai.h $
-// $Id: modular_gcd_utcf_dfai.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/modular_gcd_utcf_dfai.h $
+// $Id: modular_gcd_utcf_dfai.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -13,7 +13,7 @@
 // ============================================================================
 
 /*! \file CGAL/Polynomial/modular_gcd_utcf_dfai.h
-  provides gcd for Polynomials, based on Modular arithmetic. 
+  provides gcd for Polynomials, based on Modular arithmetic.
 */
 #ifndef CGAL_POLYNOMIAL_MODULAR_GCD_UTCF_DFAI_H
 #define CGAL_POLYNOMIAL_MODULAR_GCD_UTCF_DFAI_H 1
@@ -37,11 +37,11 @@ namespace CGAL {
 
 namespace internal{
 
-template <class NT> Polynomial<NT> 
+template <class NT> Polynomial<NT>
 gcd_utcf_Integral_domain(Polynomial<NT>,Polynomial<NT>);
 
 
-template <class NT> 
+template <class NT>
 Polynomial< Polynomial<NT> > modular_gcd_utcf_dfai(
         const Polynomial< Polynomial<NT> >& FF1 ,
         const Polynomial< Polynomial<NT> >& FF2 ){
@@ -49,8 +49,8 @@ Polynomial< Polynomial<NT> > modular_gcd
 }
 
 // algorithm just computes Gs using the denominator for
-// algebraic integers  and checks it using pseudo division.  
-template <class NT> 
+// algebraic integers  and checks it using pseudo division.
+template <class NT>
 Polynomial<NT> modular_gcd_utcf_dfai(
         const Polynomial<NT>& FF1_ ,
         const Polynomial<NT>& FF2_ ){
@@ -66,24 +66,24 @@ Polynomial<NT> modular_gcd_utcf_dfai(
     typedef typename PT::Innermost_coefficient_type IC;
 
     typename Coercion_traits<Poly,IC>::Cast ictp;
-    typename PT::Construct_innermost_coefficient_const_iterator_range range; 
+    typename PT::Construct_innermost_coefficient_const_iterator_range range;
     typename PT::Innermost_leading_coefficient ilcoeff;
-    
-    typedef  Algebraic_extension_traits<IC> ANT; 
+
+    typedef  Algebraic_extension_traits<IC> ANT;
     typename ANT::Denominator_for_algebraic_integers dfai;
     typename ANT::Normalization_factor nfac;
-    
+
     typedef typename CGAL::Scalar_factor_traits<Poly>  SFT;
     typedef typename SFT::Scalar Scalar;
-    
+
     typedef typename CGAL::Modular_traits<Poly>::Residue_type   MPoly;
     typedef typename CGAL::Modular_traits<Scalar>::Residue_type MScalar;
-    
+
     typedef Chinese_remainder_traits<Poly> CRT;
-    typename CRT::Chinese_remainder chinese_remainder; 
-    
-    CGAL::Real_timer timer; 
-    
+    typename CRT::Chinese_remainder chinese_remainder;
+
+    CGAL::Real_timer timer;
+
     if(FF1.is_zero()){
         if(FF2.is_zero()){
             return Poly(1);
@@ -103,42 +103,42 @@ Polynomial<NT> modular_gcd_utcf_dfai(
 #ifdef CGAL_MODULAR_GCD_TIMER
     timer_init.start();
 #endif
-    
+
     Poly F1 = CGAL::canonicalize(FF1);
     Poly F2 = CGAL::canonicalize(FF2);
 
-   
-    // This is the most important part of the (dfai) algorithm, it computes the 
-    // multiplictive denominator bound according to the algebraic extension 
-    // This is needed to guarantee a termination of the Chenese Remainder, 
+
+    // This is the most important part of the (dfai) algorithm, it computes the
+    // multiplictive denominator bound according to the algebraic extension
+    // This is needed to guarantee a termination of the Chenese Remainder,
     // i.e. ensures that Gs  can be expressed in terms of algebraic integers
-    // dfai = denominator for algebraic integers 
-    
+    // dfai = denominator for algebraic integers
+
     IC denom;
     {
         Poly tmp = F1+F2;
-        denom = dfai(range(tmp).first, range(tmp).second); 
+        denom = dfai(range(tmp).first, range(tmp).second);
     }
     denom *= nfac(denom);
-    
+
     Scalar denominator = scalar_factor(denom);
     //std::cout <<" F1*denom*nafc: " << F1 <<std::endl;
     //std::cout <<" F2*denom*nfac: " << F2 <<std::endl;
-    
-    Scalar f1 = scalar_factor(F1.lcoeff());  // ilcoeff(F1) 
-    Scalar f2 = scalar_factor(F2.lcoeff());  // ilcoeff(F2) 
+
+    Scalar f1 = scalar_factor(F1.lcoeff());  // ilcoeff(F1)
+    Scalar f2 = scalar_factor(F2.lcoeff());  // ilcoeff(F2)
     Scalar g_ = scalar_factor(f1,f2) * denominator;
 
     bool solved = false;
     int prime_index = -1;
-    
-    int n = 0; // number of lucky primes 
+
+    int n = 0; // number of lucky primes
 
     MScalar mg_;
     MPoly   mF1,mF2,mG_,mQ,mR;
 
     typename CRT::Scalar_type p,q,pq,s,t;
-    Poly Gs,H1s,H2s,Gs_old; // s =^ star 
+    Poly Gs,H1s,H2s,Gs_old; // s =^ star
 
 #ifdef CGAL_MODULAR_GCD_TIMER
     timer_init.stop();
@@ -153,7 +153,7 @@ Polynomial<NT> modular_gcd_utcf_dfai(
         do{
             //---------------------------------------
             //choose prime not deviding f1 or f2
-            MScalar tmp1, tmp2; 
+            MScalar tmp1, tmp2;
             do{
                 prime_index++;
                 if(prime_index >= 2000){
@@ -172,13 +172,13 @@ Polynomial<NT> modular_gcd_utcf_dfai(
                 tmp1 = modular_image(f1);
                 tmp2 = modular_image(f2);
 #ifdef CGAL_MODULAR_GCD_TIMER
-                timer_image.stop();                
+                timer_image.stop();
 #endif
             }
-            while(!(( tmp1 != 0 ) 
-                            && ( tmp2 != 0 ) 
-                            && (denominator%current_prime) != 0 )); 
-            
+            while(!(( tmp1 != 0 )
+                            && ( tmp2 != 0 )
+                            && (denominator%current_prime) != 0 ));
+
             // --------------------------------------
             // invoke gcd for current prime
 #ifdef CGAL_MODULAR_GCD_TIMER
@@ -188,85 +188,85 @@ Polynomial<NT> modular_gcd_utcf_dfai(
             mF1 = CGAL::modular_image(FF1);
             mF2 = CGAL::modular_image(FF2);
 #ifdef CGAL_MODULAR_GCD_TIMER
-            timer_image.stop();            
+            timer_image.stop();
 #endif
-            
+
 #ifdef CGAL_MODULAR_GCD_TIMER
             timer_gcd.start();
 #endif
-            
+
             // compute gcd over Field[x]
-            
+
             prs_degrees_new.clear();
             CGAL_precondition(mF1 != MPoly(0));
             CGAL_precondition(mF2 != MPoly(0));
-            while (!mF2.is_zero()) {        
+            while (!mF2.is_zero()) {
 //                MPoly::euclidean_division(mF1, mF2, mQ, mR);
-                euclidean_division_obstinate(mF1, mF2, mQ, mR);    
+                euclidean_division_obstinate(mF1, mF2, mQ, mR);
                 mF1 = mF2; mF2 = mR;
                 prs_degrees_new.push_back(mR.degree());
             }
             mF1 /= mF1.lcoeff();
-            mG_ = mF1;  
-            
+            mG_ = mF1;
+
             if(n==0)
                 prs_degrees_old = prs_degrees_new;
 
             mG_ = mG_ * MPoly(mg_);
-            
+
 #ifdef CGAL_MODULAR_GCD_TIMER
             timer_gcd.stop();
 #endif
 
-            // return if G is constant 
+            // return if G is constant
             if (mG_ == MPoly(1)) return Poly(1);
-            // use ordinary algorithm if prs sequence is too short 
-            //  if (prs_degrees_new.size() <= 2) 
+            // use ordinary algorithm if prs sequence is too short
+            //  if (prs_degrees_new.size() <= 2)
             //    return internal::gcd_utcf_Integral_domain(F1, F2);
             // --------------------------------------
         }
         // repeat until mG_ degree is less equal the known bound
         // this is now tested by the prs degree sequence
         while(prs_degrees_old > prs_degrees_new);
-        // check that everything went fine 
+        // check that everything went fine
         if( prs_degrees_old < prs_degrees_new ){
-            if( n != 0 ) std::cout << "UNLUCKY PRIME !!"<< std::endl; 
-       
-            // restart chinese remainder 
+            if( n != 0 ) std::cout << "UNLUCKY PRIME !!"<< std::endl;
+
+            // restart chinese remainder
             // ignore previous unlucky primes
-            n=1; 
+            n=1;
             prs_degrees_old = prs_degrees_new;
         }else{
             CGAL_postcondition( prs_degrees_old == prs_degrees_new);
             n++; // increase number of lucky primes
         }
-     
+
         // --------------------------------------
         // try chinese remainder
         typename CGAL::Modular_traits<Poly>::Modular_image_representative inv_map;
-        if(n == 1){ 
+        if(n == 1){
             // init chinese remainder
-            q =  CGAL::Residue::get_current_prime(); // implicit ! 
+            q =  CGAL::Residue::get_current_prime(); // implicit !
             Gs_old  = Gs  = inv_map(mG_);
         }else{
             // continue chinese remainder
-            p = CGAL::Residue::get_current_prime(); // implicit! 
+            p = CGAL::Residue::get_current_prime(); // implicit!
             Gs_old  = Gs ;
 #ifdef CGAL_MODULAR_GCD_TIMER
             timer_CR.start();
 #endif
             internal::Cached_extended_euclidean_algorithm <Scalar, 2> ceea;
             ceea(q,p,s,t);
-            pq =p*q; 
+            pq =p*q;
             chinese_remainder(q,p,pq,s,t,Gs,inv_map(mG_),Gs);
 #ifdef CGAL_MODULAR_GCD_TIMER
             timer_CR.stop();
 #endif
             q=pq;
         }
-        
-        try{ 
-            // to catch error in case the extension is not correct yet. 
+
+        try{
+            // to catch error in case the extension is not correct yet.
             if( n != 1 && Gs == Gs_old ){
                 Poly r1,r2; NT dummy;
 #ifdef CGAL_MODULAR_GCD_TIMER
@@ -276,30 +276,30 @@ Polynomial<NT> modular_gcd_utcf_dfai(
                     ASTE_Poly;
                 typename ASTE_Poly::Divides divides;
 
-               
+
                 FF1*=ictp(ilcoeff(Gs)*denom);
-                FF2*=ictp(ilcoeff(Gs)*denom);  
+                FF2*=ictp(ilcoeff(Gs)*denom);
                 bool div1=divides(Gs,FF1,H1s);
                 bool div2=divides(Gs,FF2,H2s);
 
 
-                //This is the old code: 
+                //This is the old code:
 //                Poly::pseudo_division(F1,Gs,H1s,r1,dummy);
 //                Poly::pseudo_division(F2,Gs,H2s,r2,dummy);
                 if (div1 && div2){
-                    solved = true; 
+                    solved = true;
 //                    std::cout << "number of primes used : "<< n << std::endl;
                 }
 
 //                if (r1.is_zero() && r2.is_zero()){
-//                    solved = true; 
+//                    solved = true;
 //                    std::cout << "number of primes used : "<< n << std::endl;
 //                }
 
 #ifdef CGAL_MODULAR_GCD_TIMER
                 timer_division.stop();
 #endif
-            }   
+            }
         }
         catch(...){}
     }
diff -pruN 5.0.2-3/include/CGAL/Polynomial/modular_gcd_utils.h 5.0.3-1/include/CGAL/Polynomial/modular_gcd_utils.h
--- 5.0.2-3/include/CGAL/Polynomial/modular_gcd_utils.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/modular_gcd_utils.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,18 +2,18 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/modular_gcd_utils.h $
-// $Id: modular_gcd_utils.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/modular_gcd_utils.h $
+// $Id: modular_gcd_utils.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //                 Dominik Huelse  <dominik.huelse@gmx.de>
-//                 
+//
 // ============================================================================
 
 /*! \file CGAL/Polynomial/modular_gcd_utils.h
- *  \brief Provides additional utils for the modular GCD calculation 
+ *  \brief Provides additional utils for the modular GCD calculation
  */
 
 #ifndef CGAL_POLYNOMIAL_MODULAR_GCD_UTILS_H
@@ -27,22 +27,22 @@
 
 namespace CGAL{
 
-namespace internal { 
+namespace internal {
 
 template <class NT>
-void euclidean_division_obstinate(const NT& F1, const NT& F2, 
+void euclidean_division_obstinate(const NT& F1, const NT& F2,
         NT& Q, NT& R){
 
     CGAL_precondition(F2 != 0);
-    
+
     CGAL::div_mod(F1, F2, Q, R);
     CGAL_postcondition(F1 == F2*Q + R);
 }
 
 
 template <class NT>
-void euclidean_division_obstinate(const Polynomial<NT>& F1, 
-        const Polynomial<NT>& F2, 
+void euclidean_division_obstinate(const Polynomial<NT>& F1,
+        const Polynomial<NT>& F2,
         Polynomial<NT>& Q, Polynomial<NT>& R){
 
 //    std::cout<<" my_modular_gcd_utils "<<std::endl;
@@ -51,36 +51,36 @@ void euclidean_division_obstinate(const
     int d2 = F2.degree();
     if ( d1 < d2 ) {
         Q = Polynomial<NT>(NT(0)); R = F1;
-        CGAL_postcondition( !(boost::is_same< typename Algebraic_structure_traits<NT>::Is_exact, 
+        CGAL_postcondition( !(boost::is_same< typename Algebraic_structure_traits<NT>::Is_exact,
                         CGAL::Tag_true >::value) ||  F1 == Q*F2 + R); return;
     }
-    
+
     typedef std::vector<NT> Vector;
-    Vector V_R, V_Q;    
+    Vector V_R, V_Q;
     V_Q.reserve(d1);
     if(d2==0){
-        for(int i=d1;i>=0;--i){      
+        for(int i=d1;i>=0;--i){
             V_Q.push_back(F1[i]/F2[0]);
         }
         V_R.push_back(NT(0));
     }
-    else{        
+    else{
         V_R.reserve(d1);
         V_R=Vector(F1.begin(),F1.end());
         Vector tmp1;
         tmp1.reserve(d2);
         for(int k=0; k<=d1-d2; ++k){
-            V_Q.push_back(V_R[d1-k]/F2[d2]);  
-            for(int j=0;j<d2;++j){   
+            V_Q.push_back(V_R[d1-k]/F2[d2]);
+            for(int j=0;j<d2;++j){
                 tmp1.push_back(F2[j]*V_Q[k]);
-            }   
-            V_R[d1-k]=0;            
+            }
+            V_R[d1-k]=0;
             for(int i=d1-d2-k;i<=d1-k-1;++i){
                 V_R[i]=V_R[i]-tmp1[i-(d1-d2-k)];
-            }   
+            }
             tmp1.clear();
         }
-        
+
 
     }
     Q = Polynomial<NT>(V_Q.rbegin(),V_Q.rend());
diff -pruN 5.0.2-3/include/CGAL/Polynomial/Modular_traits.h 5.0.3-1/include/CGAL/Polynomial/Modular_traits.h
--- 5.0.2-3/include/CGAL/Polynomial/Modular_traits.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/Modular_traits.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,20 +2,20 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/Modular_traits.h $
-// $Id: Modular_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/Modular_traits.h $
+// $Id: Modular_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Arno Eigenwillig <arno@mpi-inf.mpg.de>
-//                 Michael Hemmer <hemmer@informatik.uni-mainz.de> 
+//                 Michael Hemmer <hemmer@informatik.uni-mainz.de>
 //
 // ============================================================================
 
 // TODO: The comments are all original EXACUS comments and aren't adapted. So
 //         they may be wrong now.
 
-// NOT INTRODUCED YET 
+// NOT INTRODUCED YET
 
 #ifndef CGAL_POLYNOMIAL_MODULAR_TRAITS_TRAITS_H
 #define CGAL_POLYNOMIAL_MODULAR_TRAITS_TRAITS_H
@@ -28,13 +28,13 @@ namespace CGAL {
 /*! \ingroup CGAL_Polynomial
  *  \ingroup CGAL_Modular_traits_spec
  *  \brief Specialization of Modular_traits for CGAL::Polynomial.
- * 
+ *
  *  CGAL::Modular_traits::Modular_image maps the coefficients of a polynomial
- *  to their Modular_image and returns the resulting polynomial.  
+ *  to their Modular_image and returns the resulting polynomial.
  */
 template< class COEFF >
 class Modular_traits< Polynomial<COEFF> > {
-    
+
 private:
     typedef Modular_traits<COEFF> Mtr;
 public:
@@ -42,24 +42,24 @@ public:
     typedef Modular_traits<NT> Self;
     typedef typename Mtr::Is_modularizable Is_modularizable;
     typedef Polynomial<typename Mtr::Residue_type> Residue_type;
-    
+
     struct Modular_image{
-        Residue_type operator()(const NT& p){ 
+        Residue_type operator()(const NT& p){
             std::vector<typename Mtr::Residue_type> V;
             typename Mtr::Modular_image modular_image;
             for(int i=0; i<=p.degree();i++)
                 V.push_back(modular_image(p[i]));
-            return Residue_type(V.begin(),V.end());           
+            return Residue_type(V.begin(),V.end());
         }
     };
 
-    struct Modular_image_representative{ 
-        NT operator()(const Residue_type& p) const {  
+    struct Modular_image_representative{
+        NT operator()(const Residue_type& p) const {
             std::vector<COEFF> V;
             typename Mtr::Modular_image_representative modular_image_representative;
             for(int i=0; i<=p.degree();i++)
                 V.push_back(modular_image_representative(p[i]));
-            return NT(V.begin(),V.end());           
+            return NT(V.begin(),V.end());
         }
     };
 };
diff -pruN 5.0.2-3/include/CGAL/Polynomial/Monomial_representation.h 5.0.3-1/include/CGAL/Polynomial/Monomial_representation.h
--- 5.0.2-3/include/CGAL/Polynomial/Monomial_representation.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/Monomial_representation.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/Monomial_representation.h $
-// $Id: Monomial_representation.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/Monomial_representation.h $
+// $Id: Monomial_representation.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Michael Hemmer <hemmer@mpi-inf.mpg.de> 
+//
+// Author(s)     : Michael Hemmer <hemmer@mpi-inf.mpg.de>
 //
 // ============================================================================
 
@@ -23,60 +23,60 @@
 namespace CGAL {
 
 namespace internal{
-template <typename Polynomial> struct Monomial_representation; 
+template <typename Polynomial> struct Monomial_representation;
 
-// Polynomial muss be at least univariate ! 
-template <typename Coeff_ > 
+// Polynomial muss be at least univariate !
+template <typename Coeff_ >
 struct Monomial_representation<Polynomial<Coeff_> >{
 private:
-  typedef typename Innermost_coefficient_type<Polynomial<Coeff_> >::Type 
+  typedef typename Innermost_coefficient_type<Polynomial<Coeff_> >::Type
   Innermost_coefficient;
-  
-  // Polynomial is univariate 
-  // final creation of pair<Exponent_vector,Innermost_coefficient> 
+
+  // Polynomial is univariate
+  // final creation of pair<Exponent_vector,Innermost_coefficient>
   template <typename Polynomial, typename OutputIterator>
-  OutputIterator 
+  OutputIterator
   create_mrep(const Polynomial& p, OutputIterator oit , Exponent_vector& ivec, Tag_true) const {
-    int degree = 0; 
+    int degree = 0;
     for(typename Polynomial::const_iterator it = p.begin(); it != p.end(); it++){
-      ivec[0] = degree; 
-      if(!CGAL::is_zero(*it)) 
+      ivec[0] = degree;
+      if(!CGAL::is_zero(*it))
         *oit++ = std::make_pair(ivec,*it);
-      degree++; 
+      degree++;
     }
     ivec[0]=0;
-    return oit; 
+    return oit;
   }
-  
-  // polynomial is multivariate 
-  // define correct exponent for dimension and recurse 
+
+  // polynomial is multivariate
+  // define correct exponent for dimension and recurse
   template <typename Polynomial, typename OutputIterator>
-  OutputIterator 
+  OutputIterator
   create_mrep(const Polynomial& p, OutputIterator oit , Exponent_vector& ivec, Tag_false) const {
-    if(CGAL::is_zero(p)) return oit; 
+    if(CGAL::is_zero(p)) return oit;
     static const int dim = Dimension<Polynomial>::value ;
-    int degree = 0; 
+    int degree = 0;
     for(typename Polynomial::const_iterator it = p.begin(); it != p.end(); it++){
-      ivec[dim-1] = degree; 
+      ivec[dim-1] = degree;
       oit = create_mrep(*it,oit,ivec,CGAL::Boolean_tag<1 == dim-1>());
-      degree++; 
+      degree++;
     }
     ivec[dim-1] = 0;
-    return oit; 
+    return oit;
   }
-  
+
 public:
   template <typename OutputIterator>
   OutputIterator operator()(const Polynomial<Coeff_>& p, OutputIterator oit) const {
-    typedef Polynomial<Coeff_> Polynomial; 
+    typedef Polynomial<Coeff_> Polynomial;
     typedef CGAL::Boolean_tag<1 == Dimension<Polynomial>::value> Is_univariate;
     CGAL::Exponent_vector ivec((std::vector<int>)(Dimension<Polynomial>::value));
     if(p.is_zero()){
       *oit++ = std::make_pair(ivec,Innermost_coefficient(0));
-      return oit; 
+      return oit;
     }
     return create_mrep(p, oit, ivec, Is_univariate());
-  }  
+  }
 };
 
 } // namespace internal
diff -pruN 5.0.2-3/include/CGAL/Polynomial/polynomial_gcd.h 5.0.3-1/include/CGAL/Polynomial/polynomial_gcd.h
--- 5.0.2-3/include/CGAL/Polynomial/polynomial_gcd.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/polynomial_gcd.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/polynomial_gcd.h $
-// $Id: polynomial_gcd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/polynomial_gcd.h $
+// $Id: polynomial_gcd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -16,7 +16,7 @@
 // ============================================================================
 
 /*! \file CGAL/Polynomial/polynomial_gcd.h
- *   \brief Greatest common divisors and related operations on polynomials. 
+ *   \brief Greatest common divisors and related operations on polynomials.
  */
 
 #ifndef CGAL_POLYNOMIAL_GCD_H
@@ -27,7 +27,7 @@
 #ifndef CGAL_USE_INTERNAL_MODULAR_GCD
 #define CGAL_USE_INTERNAL_MODULAR_GCD 1
 #endif
- 
+
 #include <CGAL/basic.h>
 #include <CGAL/Residue.h>
 #include <CGAL/Polynomial.h>
@@ -42,7 +42,7 @@
 #include <CGAL/Polynomial/polynomial_gcd_ntl.h>
 #endif
 
-#if CGAL_USE_INTERNAL_MODULAR_GCD 
+#if CGAL_USE_INTERNAL_MODULAR_GCD
 #include <CGAL/Polynomial/modular_gcd.h>
 #endif
 
@@ -57,44 +57,44 @@
 //         over a UFD, use the subresultant algorithm
 //
 // NOTICE: For better performance, especially in AlciX, there exist special
-// modular implementations for the polynmials with coefficient type 
-// leda::integer and the CORE::BigInt type which use, when the 
+// modular implementations for the polynmials with coefficient type
+// leda::integer and the CORE::BigInt type which use, when the
 // NTL library is available.
 // see CGAL/Polynomial/polynomial_gcd_ntl.h
 
-namespace CGAL { 
+namespace CGAL {
 namespace internal {
 
-template <class NT> 
+template <class NT>
 inline
 Polynomial<NT> gcd_(
-        const Polynomial<NT>& p1, 
-        const Polynomial<NT>& p2, 
+        const Polynomial<NT>& p1,
+        const Polynomial<NT>& p2,
         Field_tag)
-{ 
+{
     return CGAL::internal::gcd_utcf_(p1,p2);
 }
 
-template <class NT> 
+template <class NT>
 inline
 Polynomial<NT> gcd_(
-        const Polynomial<NT>& p1, 
-        const Polynomial<NT>& p2, 
+        const Polynomial<NT>& p1,
+        const Polynomial<NT>& p2,
         Unique_factorization_domain_tag)
-{ 
-	typedef Polynomial<NT> POLY;
-    typedef Polynomial_traits_d<POLY> PT;  
-    typedef typename PT::Innermost_coefficient_type IC; 
-        
-    typename PT::Multivariate_content mcont; 
+{
+        typedef Polynomial<NT> POLY;
+    typedef Polynomial_traits_d<POLY> PT;
+    typedef typename PT::Innermost_coefficient_type IC;
+
+    typename PT::Multivariate_content mcont;
     IC mcont_p1 = mcont(p1);
     IC mcont_p2 = mcont(p2);
-    
-    typename CGAL::Coercion_traits<POLY,IC>::Cast ictp; 
+
+    typename CGAL::Coercion_traits<POLY,IC>::Cast ictp;
     POLY p1_ = CGAL::integral_division(p1,ictp(mcont_p1));
     POLY p2_ = CGAL::integral_division(p2,ictp(mcont_p2));
-            
-    return CGAL::internal::gcd_utcf_(p1_, p2_) * ictp(CGAL::gcd(mcont_p1, mcont_p2)); 
+
+    return CGAL::internal::gcd_utcf_(p1_, p2_) * ictp(CGAL::gcd(mcont_p1, mcont_p2));
 }
 
 
@@ -106,18 +106,18 @@ Polynomial<NT> gcd_(
  *
  *  \pre Requires \c Innermost_coefficient_type to be a \c Field or a \c UFDomain.
  */
-template <class NT> 
+template <class NT>
 inline
 Polynomial<NT> gcd_(const Polynomial<NT>& p1, const Polynomial<NT>& p2)
-{ 
+{
     typedef typename internal::Innermost_coefficient_type<Polynomial<NT> >::Type IC;
     typedef typename Algebraic_structure_traits<IC>::Algebraic_category Algebraic_category;
 
     // Filter for zero-polynomials
     if( p1 == Polynomial<NT>(0) )
-    	return p2;
+            return p2;
     if( p2 == Polynomial<NT>(0) )
-    	return p1;
+            return p1;
     return internal::gcd_(p1,p2,Algebraic_category());
 }
 
@@ -137,11 +137,11 @@ gcd_utcf_(const Polynomial<NT>& p1, cons
     return gcd_utcf_is_fraction_(p1, p2, Is_fraction());
 }
 
-// is fraction ? 
+// is fraction ?
 template <class NT> Polynomial<NT> inline
-gcd_utcf_is_fraction_( 
-        const Polynomial<NT>& p1, 
-        const Polynomial<NT>& p2, 
+gcd_utcf_is_fraction_(
+        const Polynomial<NT>& p1,
+        const Polynomial<NT>& p2,
         ::CGAL::Tag_true)
 {
     typedef Polynomial<NT> POLY;
@@ -149,8 +149,8 @@ gcd_utcf_is_fraction_(
     typedef Fraction_traits<POLY> FT;
 
     typename FT::Denominator_type dummy;
-    typename FT::Numerator_type p1i, p2i; 
-    
+    typename FT::Numerator_type p1i, p2i;
+
     typename FT::Decompose()(p1,p1i, dummy);
     typename FT::Decompose()(p2,p2i, dummy);
 
@@ -159,86 +159,86 @@ gcd_utcf_is_fraction_(
 }
 
 template <class NT> Polynomial<NT> inline
-gcd_utcf_is_fraction_( 
-        const Polynomial<NT>& p1, 
-        const Polynomial<NT>& p2, 
+gcd_utcf_is_fraction_(
+        const Polynomial<NT>& p1,
+        const Polynomial<NT>& p2,
         ::CGAL::Tag_false)
 {
     typedef Algebraic_structure_traits< Polynomial<NT> > NTT;
     typedef CGAL::Modular_traits<Polynomial<NT> > MT;
-    
+
     return gcd_utcf_modularizable_algebra_(
             p1,p2,typename MT::Is_modularizable(),typename NTT::Algebraic_category());
 }
 
-// is type modularizable 
+// is type modularizable
 template <class NT> Polynomial<NT> inline
-gcd_utcf_modularizable_algebra_( 
-        const Polynomial<NT>& p1,  
-        const Polynomial<NT>& p2, 
-        ::CGAL::Tag_false, 
+gcd_utcf_modularizable_algebra_(
+        const Polynomial<NT>& p1,
+        const Polynomial<NT>& p2,
+        ::CGAL::Tag_false,
         Integral_domain_tag){
-    return internal::gcd_utcf_Integral_domain(p1, p2);   
+    return internal::gcd_utcf_Integral_domain(p1, p2);
 }
 template <class NT> Polynomial<NT> inline
-gcd_utcf_modularizable_algebra_( 
-        const Polynomial<NT>& p1, 
-        const Polynomial<NT>& p2, 
-        ::CGAL::Tag_false, 
+gcd_utcf_modularizable_algebra_(
+        const Polynomial<NT>& p1,
+        const Polynomial<NT>& p2,
+        ::CGAL::Tag_false,
         Unique_factorization_domain_tag){
-    return internal::gcd_utcf_UFD(p1, p2);   
+    return internal::gcd_utcf_UFD(p1, p2);
 }
 template <class NT> Polynomial<NT> inline
-gcd_utcf_modularizable_algebra_( 
-        const Polynomial<NT>& p1, 
-        const Polynomial<NT>& p2, 
-        ::CGAL::Tag_false, 
+gcd_utcf_modularizable_algebra_(
+        const Polynomial<NT>& p1,
+        const Polynomial<NT>& p2,
+        ::CGAL::Tag_false,
         Euclidean_ring_tag){
     return internal::gcd_Euclidean_ring(p1, p2);
 }
 
-#if CGAL_USE_INTERNAL_MODULAR_GCD 
+#if CGAL_USE_INTERNAL_MODULAR_GCD
 template <class NT> Polynomial<NT> inline
-gcd_utcf_modularizable_algebra_( 
-        const Polynomial<NT>& p1, 
-        const Polynomial<NT>& p2, 
-        ::CGAL::Tag_true, 
+gcd_utcf_modularizable_algebra_(
+        const Polynomial<NT>& p1,
+        const Polynomial<NT>& p2,
+        ::CGAL::Tag_true,
         Integral_domain_tag tag){
     return modular_gcd_utcf(p1, p2, tag);
 }
 template <class NT> Polynomial<NT> inline
-gcd_utcf_modularizable_algebra_( 
-        const Polynomial<NT>& p1, 
-        const Polynomial<NT>& p2, 
-        ::CGAL::Tag_true, 
+gcd_utcf_modularizable_algebra_(
+        const Polynomial<NT>& p1,
+        const Polynomial<NT>& p2,
+        ::CGAL::Tag_true,
         Unique_factorization_domain_tag tag){
     return modular_gcd_utcf(p1, p2, tag);
 //    return modular_gcd_utcf_algorithm_M(p1, p2);
 }
 #else
 template <class NT> Polynomial<NT> inline
-gcd_utcf_modularizable_algebra_( 
-        const Polynomial<NT>& p1, 
-        const Polynomial<NT>& p2, 
-        ::CGAL::Tag_true, 
+gcd_utcf_modularizable_algebra_(
+        const Polynomial<NT>& p1,
+        const Polynomial<NT>& p2,
+        ::CGAL::Tag_true,
         Integral_domain_tag){
     return internal::gcd_utcf_Integral_domain(p1, p2);
 }
 template <class NT> Polynomial<NT> inline
-gcd_utcf_modularizable_algebra_( 
-        const Polynomial<NT>& p1, 
-        const Polynomial<NT>& p2, 
-        ::CGAL::Tag_true, 
+gcd_utcf_modularizable_algebra_(
+        const Polynomial<NT>& p1,
+        const Polynomial<NT>& p2,
+        ::CGAL::Tag_true,
         Unique_factorization_domain_tag){
-    return internal::gcd_utcf_UFD(p1, p2);   
+    return internal::gcd_utcf_UFD(p1, p2);
 }
 #endif
 
 template <class NT> Polynomial<NT> inline
-gcd_utcf_modularizable_algebra_( 
-        const Polynomial<NT>& p1, 
-        const Polynomial<NT>& p2, 
-        ::CGAL::Tag_true, 
+gcd_utcf_modularizable_algebra_(
+        const Polynomial<NT>& p1,
+        const Polynomial<NT>& p2,
+        ::CGAL::Tag_true,
         Euclidean_ring_tag){
     // No modular algorithm available
     return internal::gcd_Euclidean_ring(p1, p2);
@@ -249,7 +249,7 @@ gcd_utcf(const Polynomial<NT>& p1, const
     return internal::gcd_utcf_(p1,p2);
 }
 
-} // namespace internal 
+} // namespace internal
 
 
 // 3) extended gcd computation (with cofactors)
@@ -257,7 +257,7 @@ gcd_utcf(const Polynomial<NT>& p1, const
 
 namespace internal {
 
-template <class NT> 
+template <class NT>
 inline
 Polynomial<NT> gcdex_(
         Polynomial<NT> x, Polynomial<NT> y,
@@ -345,7 +345,7 @@ Polynomial<NT> gcdex_(
     return v;
 }
 
-template <class NT> 
+template <class NT>
 inline
 Polynomial<NT> gcdex_(
         Polynomial<NT> x, Polynomial<NT> y,
@@ -356,16 +356,16 @@ Polynomial<NT> gcdex_(
     typedef typename CGAL::Fraction_traits<POLY>::Numerator_type INTPOLY;
     typedef typename CGAL::Fraction_traits<POLY>::Denominator_type DENOM;
     typedef typename INTPOLY::NT INTNT;
-    
+
     typename CGAL::Fraction_traits<POLY>::Decompose decompose;
     typename CGAL::Fraction_traits<POLY>::Compose   compose;
-    
+
 
     // rewrite  x as xi/xd  and  y as yi/yd  with integral polynomials xi, yi
     DENOM xd, yd;
     x.simplify_coefficients();
     y.simplify_coefficients();
-    INTPOLY xi ,yi; 
+    INTPOLY xi ,yi;
     decompose(x,xi,xd);
     decompose(y,yi,yd);
 
@@ -411,7 +411,7 @@ Polynomial<NT> gcdex_(
  *  i.e. <I>d</I><TT>.lcoeff() == NT(1)</TT>.
  *
  */
-template <class NT> 
+template <class NT>
 inline
 Polynomial<NT> gcdex(
         Polynomial<NT> p1, Polynomial<NT> p2,
diff -pruN 5.0.2-3/include/CGAL/Polynomial/polynomial_gcd_implementations.h 5.0.3-1/include/CGAL/Polynomial/polynomial_gcd_implementations.h
--- 5.0.2-3/include/CGAL/Polynomial/polynomial_gcd_implementations.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/polynomial_gcd_implementations.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/polynomial_gcd_implementations.h $
-// $Id: polynomial_gcd_implementations.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/polynomial_gcd_implementations.h $
+// $Id: polynomial_gcd_implementations.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
-// Author(s)     : Michael Hemmer   <hemmer@informatik.uni-mainz.de>  
+// Author(s)     : Michael Hemmer   <hemmer@informatik.uni-mainz.de>
 
 #ifndef CGAL_POLYNOMIAL_GCD_IMPLEMENTATIONS_H
 #define CGAL_POLYNOMIAL_GCD_IMPLEMENTATIONS_H
@@ -22,7 +22,7 @@
 #include <CGAL/Polynomial/polynomial_gcd.h>
 
 
-namespace CGAL {  
+namespace CGAL {
 namespace internal {
 
 template <class NT>
@@ -57,11 +57,11 @@ Polynomial<NT> gcd_utcf_UFD(
     Polynomial<NT> q, r;
 
     NT g = NT(1), h = NT(1);
-    for (;;) { 
+    for (;;) {
         Polynomial<NT>::pseudo_division(p1, p2, q, r, dummy);
         if (r.is_zero()) { break; }
-        
-        if (r.degree() == 0) { 
+
+        if (r.degree() == 0) {
             return CGAL::canonicalize(Polynomial<NT>(gcdcont));
         }
         int delta = p1.degree() - p2.degree();
@@ -75,7 +75,7 @@ Polynomial<NT> gcd_utcf_UFD(
     p2 /= p2.content() * p2.unit_part();
 
     // combine both parts to proper gcd
-    p2 *= gcdcont; 
+    p2 *= gcdcont;
 
     return CGAL::canonicalize(p2);
 }
@@ -98,7 +98,7 @@ Polynomial<NT> gcd_Euclidean_ring(
     }
 
     Polynomial<NT> q, r;
-    while (!p2.is_zero()) { 
+    while (!p2.is_zero()) {
         Polynomial<NT>::euclidean_division(p1, p2, q, r);
         p1 = p2; p2 = r;
     }
@@ -122,17 +122,17 @@ NT content_utcf_(const Polynomial<NT>& p
         if (cont == NT(1)) break;
         if (*it != NT(0)) cont = internal::gcd_utcf_(cont, *it);
     }
-    
+
     return cont;
 }
 
 
 template <class NT>
-inline 
+inline
 Polynomial<NT> gcd_utcf_Integral_domain( Polynomial<NT> p1, Polynomial<NT> p2){
   // std::cout<<" gcd_utcf_Integral_domain"<<std::endl;
-  typedef Polynomial<NT> POLY; 
-  
+  typedef Polynomial<NT> POLY;
+
   // handle trivial cases
     if (p1.is_zero()){
       if (p2.is_zero()){
@@ -148,37 +148,37 @@ Polynomial<NT> gcd_utcf_Integral_domain(
     if (p2.degree() > p1.degree()) {
         Polynomial<NT> p3 = p1; p1 = p2; p2 = p3;
     }
-    
+
     // remove redundant scalar factors
     p1=CGAL::canonicalize(p1);
-    p2=CGAL::canonicalize(p2); 
+    p2=CGAL::canonicalize(p2);
 
     // compute content of p1 and p2
     NT p1c = internal::content_utcf_(p1);
     NT p2c = internal::content_utcf_(p2);
-    
-   
+
+
     // compute gcd of content
     NT gcdcont = internal::gcd_utcf_(p1c, p2c);
 
     // compute gcd of primitive parts
-    p1 = integral_division_up_to_constant_factor(p1, POLY(p1c)); 
-    p2 = integral_division_up_to_constant_factor(p2, POLY(p2c)); 
+    p1 = integral_division_up_to_constant_factor(p1, POLY(p1c));
+    p2 = integral_division_up_to_constant_factor(p2, POLY(p2c));
+
 
- 
     Polynomial<NT> q, r;
-    
-    // TODO measure preformance of both methodes with respect to 
+
+    // TODO measure preformance of both methodes with respect to
     // univariat polynomials on Integeres
     // univariat polynomials on Sqrt_extension<Integer,Integer>
     // multivariat polynomials
-    // May write specializations for different cases 
+    // May write specializations for different cases
 #if 0
     // implemented using the subresultant algorithm for gcd computation
     // with respect to constant scalar factors
     // see [Cohen, 1993], algorithm 3.3.1
     NT g = NT(1), h = NT(1), dummy;
-    for (;;) { 
+    for (;;) {
         Polynomial<NT>::pseudo_division(p1, p2, q, r, dummy);
         if (r.is_zero()) { break; }
         if (r.degree() == 0) { return Polynomial<NT>(gcdcont); }
@@ -194,13 +194,13 @@ Polynomial<NT> gcd_utcf_Integral_domain(
     // but performed much better as the one by Cohen
     // (for univariat polynomials with Sqrt_extension coeffs )
     NT dummy;
-    for (;;) { 
-        Polynomial<NT>::pseudo_division(p1, p2, q, r, dummy);    
+    for (;;) {
+        Polynomial<NT>::pseudo_division(p1, p2, q, r, dummy);
         if (r.is_zero()) { break; }
         if (r.degree() == 0) { return Polynomial<NT>(gcdcont); }
         p1 = p2;
         p2 = r ;
-        p2=CGAL::canonicalize(p2);   
+        p2=CGAL::canonicalize(p2);
     }
 #endif
 
@@ -209,11 +209,11 @@ Polynomial<NT> gcd_utcf_Integral_domain(
     // combine both parts to proper gcd
     p2 *= gcdcont;
 
-    Polynomial<NT> result; 
-    
+    Polynomial<NT> result;
+
     // make poly unique
     result = CGAL::canonicalize(p2);
-    return result; 
+    return result;
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Polynomial/polynomial_gcd_ntl.h 5.0.3-1/include/CGAL/Polynomial/polynomial_gcd_ntl.h
--- 5.0.2-3/include/CGAL/Polynomial/polynomial_gcd_ntl.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/polynomial_gcd_ntl.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/polynomial_gcd_ntl.h $
-// $Id: polynomial_gcd_ntl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/polynomial_gcd_ntl.h $
+// $Id: polynomial_gcd_ntl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -15,7 +15,7 @@
 // ============================================================================
 
 /*! \file CGAL/Polynomial/polynomial_gcd_ntl.h
- *   \brief special polynomial gcd function via NTL  
+ *   \brief special polynomial gcd function via NTL
  */
 
 #ifndef CGAL_POLYNOMIAL_GCD_NTL_H
@@ -44,25 +44,25 @@
 #include <NTL/ZZX.h>
 
 namespace CGAL{
-template <class A> class Polynomial; // fwd 
+template <class A> class Polynomial; // fwd
 
 template <typename Polynomial_d> class Polynomial_traits_d;
 
 } // namespace CGAL
 
 
-// This part forms the bridge to NTL to use the modular gcd algorithm. If 
-// NTL is not available, the usual strategy is applied. 
+// This part forms the bridge to NTL to use the modular gcd algorithm. If
+// NTL is not available, the usual strategy is applied.
 
 namespace CGAL {
 namespace internal {
 
 // Forward
-template <class NT> 
+template <class NT>
 Polynomial<NT> gcd_utcf(
         const Polynomial<NT>& FF1 ,
         const Polynomial<NT>& FF2 );
- 
+
 template<typename PolyInt>
 inline
 void polynomial_to_ntl(const PolyInt& p, NTL::ZZX& q) {
@@ -74,7 +74,7 @@ void polynomial_to_ntl(const PolyInt& p,
     ss << "]";
     ss >> q;
 }
-      
+
 template<typename PolyInt>
 inline
 void ntl_to_polynomial(const NTL::ZZX& q,PolyInt& p) {
@@ -96,19 +96,19 @@ void ntl_to_polynomial(const NTL::ZZX& q
 template<typename NT> Polynomial<NT>
 inline
 modular_NTL_gcd_for_univariate_integer_polynomials
-  (Polynomial<NT> p1, Polynomial<NT> p2) {     
+  (Polynomial<NT> p1, Polynomial<NT> p2) {
   //    std::cout<<" NTL GCD"<<std::endl;
-    
-    NTL::ZZX q1,q2,h;   
+
+    NTL::ZZX q1,q2,h;
     Polynomial<NT> g;
     internal::polynomial_to_ntl(p1,q1);
     internal::polynomial_to_ntl(p2,q2);
 #ifdef CGAL_MODULAR_GCD_TIMER
-    timer_ntl2.start(); 
+    timer_ntl2.start();
 #endif
     NTL::GCD(h,q1,q2);
 #ifdef CGAL_MODULAR_GCD_TIMER
-    timer_ntl2.stop(); 
+    timer_ntl2.stop();
 #endif
     internal::ntl_to_polynomial(h,g);
     return g;
@@ -117,7 +117,7 @@ modular_NTL_gcd_for_univariate_integer_p
 template<typename NT> Polynomial<NT>
 inline
 canonical_modular_NTL_gcd_for_univariate_integer_polynomials
-  (Polynomial<NT> p1, Polynomial<NT> p2) {     
+  (Polynomial<NT> p1, Polynomial<NT> p2) {
   //    std::cout<<" NTL canonical GCD"<<std::endl;
   return CGAL::canonicalize(modular_NTL_gcd_for_univariate_integer_polynomials(p1,p2));
 }
@@ -125,17 +125,17 @@ canonical_modular_NTL_gcd_for_univariate
 
 #ifdef CGAL_USE_LEDA
 
-template <> 
+template <>
 inline
 CGAL::Polynomial<leda::integer>
 gcd_utcf_(const CGAL::Polynomial<leda::integer>& p1,
           const CGAL::Polynomial<leda::integer>& p2) {
-    CGAL::Polynomial<leda::integer> gcd = 
+    CGAL::Polynomial<leda::integer> gcd =
         internal::canonical_modular_NTL_gcd_for_univariate_integer_polynomials(p1,p2);
     return gcd;
 }
 
-template <> 
+template <>
 inline
 CGAL::Polynomial<leda::integer>
 gcd_(const CGAL::Polynomial<leda::integer>& p1,
@@ -147,7 +147,7 @@ gcd_(const CGAL::Polynomial<leda::intege
 
 #ifdef CGAL_USE_CORE
 
-template <> 
+template <>
 inline
 Polynomial<CORE::BigInt>
 gcd_utcf_(const Polynomial<CORE::BigInt>& p1,
@@ -156,7 +156,7 @@ gcd_utcf_(const Polynomial<CORE::BigInt>
     return gcd;
 }
 
-template <> 
+template <>
 inline
 Polynomial<CORE::BigInt>
 gcd_(const Polynomial<CORE::BigInt>& p1,
diff -pruN 5.0.2-3/include/CGAL/Polynomial/Polynomial_type.h 5.0.3-1/include/CGAL/Polynomial/Polynomial_type.h
--- 5.0.2-3/include/CGAL/Polynomial/Polynomial_type.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/Polynomial_type.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,15 +2,15 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/Polynomial_type.h $
-// $Id: Polynomial_type.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/Polynomial_type.h $
+// $Id: Polynomial_type.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
-// Author(s)     : Michael Hemmer <hemmer@informatik.uni-mainz.de> 
+// Author(s)     : Michael Hemmer <hemmer@informatik.uni-mainz.de>
 //                 Arno Eigenwillig <arno@mpi-inf.mpg.de>
 //                 Michael Seel <seel@mpi-inf.mpg.de>
-//                 
+//
 // ============================================================================
 
 // TODO: The comments are all original EXACUS comments and aren't adapted. So
@@ -18,7 +18,7 @@
 
 /*! \file CGAL/Polynomial.h
  *  \brief Defines class CGAL::Polynomial.
- *  
+ *
  *  Polynomials in one variable (or more, by recursion)
  */
 
@@ -26,10 +26,10 @@
 #define CGAL_POLYNOMIAL_POLYNOMIAL_TYPE_H
 
 #define CGAL_icoeff(T) typename CGAL::First_if_different<       \
-typename CGAL::internal::Innermost_coefficient_type<T>::Type, T, 1>::Type  
+typename CGAL::internal::Innermost_coefficient_type<T>::Type, T, 1>::Type
 
 #define CGAL_int(T) typename CGAL::First_if_different< int,   \
-typename CGAL::internal::Innermost_coefficient_type<T>::Type , 2>::Type 
+typename CGAL::internal::Innermost_coefficient_type<T>::Type , 2>::Type
 
 
 #include <CGAL/ipower.h>
@@ -59,8 +59,8 @@ class Creation_tag {};
 //
 
 // \brief  internal representation class for \c CGAL::Polynomial
-template <class NT_> class Polynomial_rep 
-{ 
+template <class NT_> class Polynomial_rep
+{
   typedef NT_ NT;
   typedef std::vector<NT> Vector;
   typedef typename Vector::size_type      size_type;
@@ -84,7 +84,7 @@ template <class NT_> class Polynomial_re
 #endif // CGAL_USE_LEDA
 
   template <class Forward_iterator>
-  Polynomial_rep(Forward_iterator first, Forward_iterator last) 
+  Polynomial_rep(Forward_iterator first, Forward_iterator last)
     : coeff(first,last)
   {}
 
@@ -183,27 +183,27 @@ Polynomial_rep<NT>::Polynomial_rep(size_
   while leaving their argument unchanged. The former is more efficient
   when the old value is no longer referenced elsewhere whereas the
   latter is more convenient.
-  \b History: This data type has evolved out of \c RPolynomial 
-  from Michael Seel's PhD thesis.  */ 
+  \b History: This data type has evolved out of \c RPolynomial
+  from Michael Seel's PhD thesis.  */
 
 template <class NT_>
-class Polynomial 
+class Polynomial
   : public Handle_with_policy< internal::Polynomial_rep<NT_> >,
-    public boost::ordered_field_operators1< Polynomial<NT_> , 
-           boost::ordered_field_operators2< Polynomial<NT_> , NT_ ,  
+    public boost::ordered_field_operators1< Polynomial<NT_> ,
+           boost::ordered_field_operators2< Polynomial<NT_> , NT_ ,
            boost::ordered_field_operators2< Polynomial<NT_> , CGAL_icoeff(NT_),
-           boost::ordered_field_operators2< Polynomial<NT_> , CGAL_int(NT_)  > > > > 
+           boost::ordered_field_operators2< Polynomial<NT_> , CGAL_int(NT_)  > > > >
 {
-  typedef typename internal::Innermost_coefficient_type<NT_>::Type Innermost_coefficient_type; 
-public: 
+  typedef typename internal::Innermost_coefficient_type<NT_>::Type Innermost_coefficient_type;
+public:
 
-  //! \name Typedefs 
-  //@{ 
-  //! coefficient type of this instance 
-  typedef NT_ NT; 
-  //! representation pointed to by this handle 
+  //! \name Typedefs
+  //@{
+  //! coefficient type of this instance
+  typedef NT_ NT;
+  //! representation pointed to by this handle
   typedef internal::Polynomial_rep<NT> Rep;
-  //! base class  
+  //! base class
   typedef Handle_with_policy< Rep > Base;
   //! container used to store coefficient sequence
   typedef typename Rep::Vector    Vector;
@@ -214,9 +214,9 @@ public:
   //! container's const iterator (random access)
   typedef typename Rep::const_iterator const_iterator;
   //! the Self type
-  typedef Polynomial<NT> Self; 
+  typedef Polynomial<NT> Self;
   //@}
-  
+
 
 protected:
   //! \name Protected methods
@@ -238,7 +238,7 @@ protected:
      */
     NT& coeff(unsigned int i) {
       CGAL_precondition(!this->is_shared() && i<(this->ptr()->coeff.size()));
-      return this->ptr()->coeff[i]; 
+      return this->ptr()->coeff[i];
     }
 
     //! remove leading zero coefficients
@@ -259,7 +259,7 @@ protected:
 private:
     static Self& get_default_instance(){
       CGAL_STATIC_THREAD_LOCAL_VARIABLE(Self, x, 0);
-      return x;      
+      return x;
     }
 public:
 
@@ -270,18 +270,18 @@ public:
 
     //! copy constructor: copy existing polynomial (shares rep)
     Polynomial(const Self& p) : Base(static_cast<const Base&>(p)) {}
-        
+
     //! construct the constant polynomial a0 from any type convertible to NT
     template <class T>
       explicit Polynomial(const T& a0)
       : Base(Rep(internal::Creation_tag(), 1))
-      { coeff(0) = NT(a0); reduce(); simplify_coefficients(); } 
-          
+      { coeff(0) = NT(a0); reduce(); simplify_coefficients(); }
+
     //! construct the constant polynomial a0
     explicit Polynomial(const NT& a0)
       : Base(Rep(1, &a0))
       { reduce(); simplify_coefficients(); }
-      
+
     //! construct the polynomial a0 + a1*x
     Polynomial(const NT& a0, const NT& a1)
       : Base(Rep(2, &a0,&a1))
@@ -291,7 +291,7 @@ public:
     Polynomial(const NT& a0,const NT& a1,const NT& a2)
       : Base(Rep(3, &a0,&a1,&a2))
       { reduce(); simplify_coefficients(); }
-      
+
     //! construct the polynomial a0 + a1*x + ... + a3*x^3
     Polynomial(const NT& a0,const NT& a1,const NT& a2, const NT& a3)
       : Base(Rep(4, &a0,&a1,&a2,&a3))
@@ -302,7 +302,7 @@ public:
         const NT& a4)
       : Base(Rep(5, &a0,&a1,&a2,&a3,&a4))
       { reduce(); simplify_coefficients(); }
-      
+
     //! construct the polynomial a0 + a1*x + ... + a5*x^5
     Polynomial(const NT& a0,const NT& a1,const NT& a2, const NT& a3,
         const NT& a4, const NT& a5)
@@ -320,14 +320,14 @@ public:
         const NT& a4, const NT& a5, const NT& a6, const NT& a7)
       : Base(Rep(8, &a0,&a1,&a2,&a3,&a4,&a5,&a6,&a7))
       { reduce(); simplify_coefficients(); }
-      
+
     //! construct the polynomial a0 + a1*x + ... + a8*x^8
     Polynomial(const NT& a0,const NT& a1,const NT& a2, const NT& a3,
         const NT& a4, const NT& a5, const NT& a6, const NT& a7,
         const NT& a8)
       : Base(Rep(9, &a0,&a1,&a2,&a3,&a4,&a5,&a6,&a7,&a8))
       { reduce(); simplify_coefficients(); }
-      
+
     /*! \brief construct the polynomial whose coefficients are determined
      *  by the iterator range.
      *
@@ -337,9 +337,9 @@ public:
      */
     template <class Forward_iterator>
     Polynomial(Forward_iterator first, Forward_iterator last)
-      : Base(Rep(first,last)) 
+      : Base(Rep(first,last))
       { reduce(); simplify_coefficients(); }
-                              
+
 #if defined(CGAL_USE_LEDA) || defined(DOXYGEN_RUNNING)
     /*! \brief construct a polynomial from a LEDA \c array
      *
@@ -352,10 +352,10 @@ public:
       : Base(Rep(c))
       { reduce(); simplify_coefficients(); }
 #endif // defined(CGAL_USE_LEDA) || defined(DOXYGEN_RUNNING)
-    
+
      Polynomial&
      operator=(const Polynomial& p)=default;
-  
+
 //
 // Public member functions
 //
@@ -373,7 +373,7 @@ public:
     /*! The degree of the zero polynomial is 0.
      *  The degree of an undefined polynomial is -1.
      */
-  int degree() const { return static_cast<int>(this->ptr()->coeff.size())-1; } 
+  int degree() const { return static_cast<int>(this->ptr()->coeff.size())-1; }
 
     //! const access to the coefficient of x^i
     const NT& operator[](unsigned int i) const {
@@ -397,7 +397,7 @@ public:
       CGAL_precondition( this->ptr()->coeff.size() > 0 );
       return this->ptr()->coeff.back();
     }
-    
+
 
     /*! \brief evaluate the polynomial at \c x
      *
@@ -405,14 +405,14 @@ public:
      *  The result type is defined by CGAL::Coercion_traits<>
      */
     // Note that there is no need to provide a special version for intervals.
-    // This was shown by some benchmarks of George Tzoumas, for the 
+    // This was shown by some benchmarks of George Tzoumas, for the
     // Interval Newton method used in the Voronoi Diagram of Ellipses
     template <class NTX>
-      typename Coercion_traits<NTX,NT>::Type 
+      typename Coercion_traits<NTX,NT>::Type
       evaluate(const NTX& x_) const {
       typedef Coercion_traits<NTX,NT> CT;
       typename CT::Cast cast;
-        
+
       CGAL_precondition( degree() >= 0 );
       int d = degree();
       typename CT::Type x = cast(x_);
@@ -422,15 +422,15 @@ public:
         y *= x;
         y += cast(this->ptr()->coeff[d]);
       }
-      return y; 
+      return y;
     }
 public:
     //! evaluates the polynomial as a homogeneous polynomial
     //! in fact returns evaluate(u/v)*v^degree()
-   
+
     template <class NTX>
-      typename Coercion_traits<NTX,NT>::Type 
-      evaluate_homogeneous(const NTX& u_, 
+      typename Coercion_traits<NTX,NT>::Type
+      evaluate_homogeneous(const NTX& u_,
           const NTX& v_,
           int hom_degree = -1) const {
       if(hom_degree == -1 ) hom_degree = degree();
@@ -447,7 +447,7 @@ public:
       for(int i = 0; i <= hom_degree; i++){
         monom = CGAL::ipower(v,hom_degree-i)*CGAL::ipower(u,i);
         if(i <= degree())
-          y += monom * cast(this->ptr()->coeff[i]);  
+          y += monom * cast(this->ptr()->coeff[i]);
       }
       return y;
     }
@@ -460,7 +460,7 @@ private:
       return CGAL::sign(evaluate(x));
     }
     // NTX decomposable
-    
+
     template <class NTX>
       CGAL::Sign sign_at_(const NTX& x, CGAL::Tag_true) const{
       CGAL_precondition(degree()>=0);
@@ -483,21 +483,21 @@ public:
       CGAL::Sign sign_at(const NTX& x) const{
       // the sign with evaluate_homogeneous is called
       // if NTX is decaomposable
-      // and NT would be changed by NTX 
+      // and NT would be changed by NTX
       typedef typename Fraction_traits<NTX>::Is_fraction Is_fraction;
       typedef typename Coercion_traits<NT,NTX>::Type Type;
       typedef typename ::boost::mpl::if_c<
       ::boost::is_same<Type,NT>::value, Is_fraction, CGAL::Tag_false
         >::type If_decomposable_AND_Type_equals_NT;
-            
+
       return sign_at_(x,If_decomposable_AND_Type_equals_NT());
     }
-    
-    
+
+
     // for the benefit of mem_fun1 & friends who don't like const ref args
     template <class NTX>
-      typename CGAL::Coercion_traits<NT,NTX>::Type 
-      evaluate_arg_by_value(NTX x) const { return evaluate(x); } 
+      typename CGAL::Coercion_traits<NT,NTX>::Type
+      evaluate_arg_by_value(NTX x) const { return evaluate(x); }
 
     /*!  \brief evaluate the polynomial with all coefficients replaced by
      *  their absolute values
@@ -507,9 +507,9 @@ public:
      *  As with \c evaluate(), \c x can be of a type other than \c NT.
      *  \pre Requires \c CGAL::Algebraic_structure_traits::Abs for NT.
      */
-   
-    template <class NTX> 
-      typename Coercion_traits<NTX,NT>::Type 
+
+    template <class NTX>
+      typename Coercion_traits<NTX,NT>::Type
       evaluate_absolute(const NTX& x) const {
       typedef typename Coercion_traits<NTX,NT>::Type Type;
       typedef typename Coercion_traits<NTX,NT>::Cast Cast;
@@ -520,7 +520,7 @@ public:
       Type y(abs(Cast()(this->ptr()->coeff[d])));
       while (--d >= 0) y = y*xx + abs(Cast()(this->ptr()->coeff[d]));
       return y;
-    } 
+    }
 
     /*! \brief evaluate the polynomial with all coefficients replaced by
      *  their absolute values
@@ -534,7 +534,7 @@ public:
       typename Algebraic_structure_traits<NT>::To_Interval to_Interval;
       int d = 0;
       Interval y(to_Interval(this->ptr()->coeff[d]));
-      while (++d <= degree()) 
+      while (++d <= degree())
       y+=abs(pow(x,d)*to_Interval(this->ptr()->coeff[d]));
       return y;
       } */
@@ -600,7 +600,7 @@ public:
     NT content() const {
       CGAL_precondition(degree() >= 0);
       if (is_zero()) return NT(0);
-        
+
       return content_( typename Algebraic_structure_traits< NT >::Algebraic_category() );
     }
 
@@ -624,7 +624,7 @@ private:
     }
 
 public:
-    
+
     //! return the unit part of the polynomial
     /*! It is defined as the unit part of the leading coefficient. */
     NT unit_part() const {
@@ -655,7 +655,7 @@ public:
       this->copy_on_write();
       NT a_to_j = a;
       for (int j = 1; j <= degree(); j++) {
-        coeff(j) *= a_to_j; 
+        coeff(j) *= a_to_j;
         a_to_j *= a;
       }
       reduce_warn();
@@ -671,7 +671,7 @@ public:
       this->copy_on_write();
       NT b_to_n_minus_j = b;
       for (int j = degree() - 1; j >= 0; j--) {
-        coeff(j) *= b_to_n_minus_j; 
+        coeff(j) *= b_to_n_minus_j;
         b_to_n_minus_j *= b;
       }
       reduce_warn();
@@ -691,7 +691,7 @@ public:
       this->copy_on_write();
       const int n = degree();
       for (int j = n-1; j >= 0; j--) {
-        for (int i = j; i < n; i++) coeff(i) += coeff(i+1); 
+        for (int i = j; i < n; i++) coeff(i) += coeff(i+1);
       }
     }
 
@@ -711,7 +711,7 @@ public:
     //! replace p by b<SUP>d</SUP> * p(x+a/b)
     /*! Also available as non-member function which returns the result
      *  instead of overwriting the argument. */
-    void translate(const NT& a, const NT& b) 
+    void translate(const NT& a, const NT& b)
     {   // implemented using Mehlhorn's variant of Ruffini-Horner
       CGAL_precondition( degree() >= 0 );
       this->copy_on_write();
@@ -726,7 +726,7 @@ public:
       for (int j = n-1; j >= 0; j--) {
         coeff(j) += a*coeff(j+1);
         for (int i = j+1; i < n; i++) {
-          coeff(i) = b*coeff(i) + a*coeff(i+1); 
+          coeff(i) = b*coeff(i) + a*coeff(i+1);
         }
         coeff(n) *= b;
       }
@@ -815,7 +815,7 @@ public:
      * by \e D makes sure that the division can be performed over any ring.
      */
     static void pseudo_division(const Polynomial<NT>& f,
-        const Polynomial<NT>& g, 
+        const Polynomial<NT>& g,
         Polynomial<NT>& q, Polynomial<NT>& r, NT& D);
 
 
@@ -823,7 +823,7 @@ public:
      *
      * The expected format is:
      * <TT><B>P[</B></TT><I>d</I> <TT><B>(</B></TT><I>i</I><TT><B>,</B></TT>
-     * <I>ai</I><TT><B>)</B></TT> ... <TT><B>]</B></TT> 
+     * <I>ai</I><TT><B>)</B></TT> ... <TT><B>]</B></TT>
      * with coefficients in arbitrary order (but without
      * repetitions). <I>d</I> is the degree and <I>ai</I> is the coefficient
      * of <I>x<SUP>i</SUP></I>. Missing coefficients are set to zero.
@@ -854,7 +854,7 @@ public:
       reduce(); return (*this);
     }
 
-    Polynomial<NT>& operator -= (const Polynomial<NT>& p1) 
+    Polynomial<NT>& operator -= (const Polynomial<NT>& p1)
       {
         this->copy_on_write();
         int d = (std::min)(degree(),p1.degree()), i;
@@ -864,29 +864,29 @@ public:
       }
 
     Polynomial<NT>& operator *= (const Polynomial<NT>& p2)
-      { 
-        // TODO: use copy on write 
+      {
+        // TODO: use copy on write
         Polynomial<NT> p1 = (*this);
         typedef typename Polynomial<NT>::size_type size_type;
         CGAL_precondition(p1.degree()>=0 && p2.degree()>=0);
         internal::Creation_tag TAG;
-        Polynomial<NT>  p(TAG, size_type(p1.degree()+p2.degree()+1) ); 
+        Polynomial<NT>  p(TAG, size_type(p1.degree()+p2.degree()+1) );
         // initialized with zeros
         for (int i=0; i <= p1.degree(); ++i)
           for (int j=0; j <= p2.degree(); ++j)
-            p.coeff(i+j) += (p1[i]*p2[j]); 
+            p.coeff(i+j) += (p1[i]*p2[j]);
         p.reduce();
         return (*this) = p ;
       }
 
     Polynomial<NT>& operator /= (const Polynomial<NT>& p2)
-      { 
-        // TODO: use copy on write 
+      {
+        // TODO: use copy on write
         CGAL_precondition(!p2.is_zero());
         if ((*this).is_zero()) return (*this);
 
         Polynomial<NT> p1 = (*this);
-        typedef Algebraic_structure_traits< Polynomial<NT> > AST; 
+        typedef Algebraic_structure_traits< Polynomial<NT> > AST;
         // Precondition: q with p1 == p2 * q must exist within NT[x].
         // If this holds, we can perform Euclidean division even over a ring NT
         // Proof: The quotients of each division that occurs are precisely
@@ -909,7 +909,7 @@ public:
     Polynomial<NT>& operator *= (const NT& num) {
       CGAL_precondition(degree() >= 0);
       this->copy_on_write();
-      for(int i=0; i<=degree(); ++i) coeff(i) *= (NT)num; 
+      for(int i=0; i<=degree(); ++i) coeff(i) *= (NT)num;
       reduce();
       return *this;
     }
@@ -925,24 +925,24 @@ public:
         reduce_warn();
         return *this;
       }// ...and in mixed-mode arithmetic
-                              
+
     // TODO: avoid  NT(num)
     Polynomial<NT>& operator += (CGAL_int(NT) num)
-      { return *this += NT(num); } 
+      { return *this += NT(num); }
     Polynomial<NT>& operator -= (CGAL_int(NT) num)
-      { return *this -= NT(num); } 
+      { return *this -= NT(num); }
     Polynomial<NT>& operator *= (CGAL_int(NT) num)
-      { return *this *= NT(num); } 
+      { return *this *= NT(num); }
     Polynomial<NT>& operator /= (CGAL_int(NT) num)
-      { return *this /= NT(num); }  
-                              
+      { return *this /= NT(num); }
+
     // TODO: avoid  NT(num)
     Polynomial<NT>& operator += (const CGAL_icoeff(NT)& num)
-      { return *this += NT(num); } 
+      { return *this += NT(num); }
     Polynomial<NT>& operator -= (const CGAL_icoeff(NT)& num)
-      { return *this -= NT(num); } 
+      { return *this -= NT(num); }
     Polynomial<NT>& operator *= (const CGAL_icoeff(NT)& num)
-      { return *this *= NT(num); } 
+      { return *this *= NT(num); }
     Polynomial<NT>& operator /= (const CGAL_icoeff(NT)& num)
       { return *this /= NT(num); }
 
@@ -955,8 +955,8 @@ public:
       for (int i = 0; i <= pd; i++) coeff(i+k) -= b*p[i];
       reduce();
     }
-    
-    friend Polynomial<NT> operator - <> (const Polynomial<NT>&);   
+
+    friend Polynomial<NT> operator - <> (const Polynomial<NT>&);
 }; // class Polynomial<NT_>
 
 // Arithmetic Operators, Part III:
@@ -970,7 +970,7 @@ Polynomial<NT> operator + (const Polynom
   return p;
 }
 
-template <class NT> 
+template <class NT>
 Polynomial<NT> operator - (const Polynomial<NT>& p) {
   CGAL_precondition(p.degree()>=0);
   Polynomial<NT> res(p.coeffs().begin(),p.coeffs().end());
@@ -983,17 +983,17 @@ Polynomial<NT> operator - (const Polynom
 
 
 template <class NT> inline
-Polynomial<NT> operator * (const Polynomial<NT>& p1, 
+Polynomial<NT> operator * (const Polynomial<NT>& p1,
     const Polynomial<NT>& p2)
 {
   typedef typename Polynomial<NT>::size_type size_type;
   CGAL_precondition(p1.degree()>=0 && p2.degree()>=0);
   internal::Creation_tag TAG;
-  Polynomial<NT>  p(TAG, size_type(p1.degree()+p2.degree()+1) ); 
+  Polynomial<NT>  p(TAG, size_type(p1.degree()+p2.degree()+1) );
   // initialized with zeros
   for (int i=0; i <= p1.degree(); ++i)
     for (int j=0; j <= p2.degree(); ++j)
-      p.coeff(i+j) += (p1[i]*p2[j]); 
+      p.coeff(i+j) += (p1[i]*p2[j]);
   p.reduce();
   return p;
 }
@@ -1015,13 +1015,13 @@ bool operator == (const Polynomial<NT>&
 }
 template <class NT> inline
 bool operator < (const Polynomial<NT>& p1, const Polynomial<NT>& p2)
-{ return ( p1.compare(p2) < 0 ); } 
+{ return ( p1.compare(p2) < 0 ); }
 template <class NT> inline
 bool operator > (const Polynomial<NT>& p1, const Polynomial<NT>& p2)
-{ return ( p1.compare(p2) > 0 ); } 
+{ return ( p1.compare(p2) > 0 ); }
 
 // operators NT
-template <class NT> inline 
+template <class NT> inline
 bool operator == (const NT& num, const Polynomial<NT>& p) {
   CGAL_precondition(p.degree() >= 0);
   return p.degree() == 0 && p[0] == num;
@@ -1032,16 +1032,16 @@ bool operator == (const Polynomial<NT>&
   return p.degree() == 0 && p[0] == num;
 }
 template <class NT> inline
-bool operator < (const NT& num, const Polynomial<NT>& p) 
+bool operator < (const NT& num, const Polynomial<NT>& p)
 { return ( p.compare(num) > 0 );}
 template <class NT> inline
-bool operator < (const Polynomial<NT>& p,const NT& num) 
+bool operator < (const Polynomial<NT>& p,const NT& num)
 { return ( p.compare(num) < 0 );}
 template <class NT> inline
-bool operator > (const NT& num, const Polynomial<NT>& p) 
+bool operator > (const NT& num, const Polynomial<NT>& p)
 { return ( p.compare(num) < 0 );}
 template <class NT> inline
-bool operator > (const Polynomial<NT>& p,const NT& num) 
+bool operator > (const Polynomial<NT>& p,const NT& num)
 { return ( p.compare(num) > 0 );}
 
 
@@ -1057,16 +1057,16 @@ bool operator == (const Polynomial<NT>&
   return p.degree() == 0 && p[0] == NT(num);
 }
 template <class NT> inline
-bool operator < (const CGAL_int(NT)& num, const Polynomial<NT>& p) 
+bool operator < (const CGAL_int(NT)& num, const Polynomial<NT>& p)
 { return ( p.compare(NT(num)) > 0 );}
 template <class NT> inline
-bool operator < (const Polynomial<NT>& p, const CGAL_int(NT)& num) 
+bool operator < (const Polynomial<NT>& p, const CGAL_int(NT)& num)
 { return ( p.compare(NT(num)) < 0 );}
 template <class NT> inline
-bool operator > (const CGAL_int(NT)& num, const Polynomial<NT>& p) 
+bool operator > (const CGAL_int(NT)& num, const Polynomial<NT>& p)
 { return ( p.compare(NT(num)) < 0 );}
 template <class NT> inline
-bool operator > (const Polynomial<NT>& p, const CGAL_int(NT)& num) 
+bool operator > (const Polynomial<NT>& p, const CGAL_int(NT)& num)
 { return ( p.compare(NT(num)) > 0 );}
 
 // compare icoeff ###################################
@@ -1081,18 +1081,18 @@ bool operator == (const Polynomial<NT>&
   return p.degree() == 0 && p[0] == NT(num);
 }
 template <class NT> inline
-bool operator < (const CGAL_icoeff(NT)& num, const Polynomial<NT>& p) 
+bool operator < (const CGAL_icoeff(NT)& num, const Polynomial<NT>& p)
 { return ( p.compare(NT(num)) > 0 );}
 template <class NT> inline
-bool operator < (const Polynomial<NT>& p, const CGAL_icoeff(NT)& num) 
+bool operator < (const Polynomial<NT>& p, const CGAL_icoeff(NT)& num)
 { return ( p.compare(NT(num)) < 0 );}
 
 
 template <class NT> inline
-bool operator > (const CGAL_icoeff(NT)& num, const Polynomial<NT>& p) 
+bool operator > (const CGAL_icoeff(NT)& num, const Polynomial<NT>& p)
 { return ( p.compare(NT(num)) < 0 );}
 template <class NT> inline
-bool operator > (const Polynomial<NT>& p, const CGAL_icoeff(NT)& num) 
+bool operator > (const Polynomial<NT>& p, const CGAL_icoeff(NT)& num)
 { return ( p.compare(NT(num)) > 0 );}
 
 //
@@ -1113,14 +1113,14 @@ void Polynomial<NT>::euclidean_division(
   if ( fd < gd ) {
     q = Polynomial<NT>(NT(0)); r = f;
 
-    CGAL_postcondition( !AST::Is_exact::value || f == q*g + r); 
+    CGAL_postcondition( !AST::Is_exact::value || f == q*g + r);
     return;
   }
-  // now we know fd >= gd 
+  // now we know fd >= gd
   int qd = fd-gd, delta = qd+1, rd = fd;
 
-  internal::Creation_tag TAG;    
-  q = Polynomial<NT>(TAG, delta ); 
+  internal::Creation_tag TAG;
+  q = Polynomial<NT>(TAG, delta );
   r = f; r.copy_on_write();
   while ( qd >= 0 ) {
     NT Q = idiv(r[rd], g[gd]);
@@ -1152,7 +1152,7 @@ void Polynomial<NT>::pseudo_division(
 
   if (delta < 0 || A.is_zero()) {
     Q = Polynomial<NT>(NT(0)); R = A; D = NT(1);
-       
+
     CGAL_USE_TYPE(AST);
     CGAL_postcondition( !AST::Is_exact::value || Polynomial<NT>(D)*A == Q*B + R);
     return;
@@ -1188,7 +1188,7 @@ void Polynomial<NT>::pseudo_division(
 
 template <class NT>
 void Polynomial<NT>::pseudo_division(
-    const Polynomial<NT>& f, const Polynomial<NT>& g, 
+    const Polynomial<NT>& f, const Polynomial<NT>& g,
     Polynomial<NT>& q, Polynomial<NT>& r, NT& D)
 {
   typedef Algebraic_structure_traits<NT> AST;
@@ -1197,12 +1197,12 @@ void Polynomial<NT>::pseudo_division(
 
   int fd=f.degree(), gd=g.degree();
   if ( fd < gd ) {
-    q = Polynomial<NT>(NT(0)); r = f; D = NT(1); 
+    q = Polynomial<NT>(NT(0)); r = f; D = NT(1);
 
     CGAL_postcondition( !AST::Is_exact::value  || Polynomial<NT>(D)*f==q*g+r);
     return;
   }
-  // now we know rd >= gd 
+  // now we know rd >= gd
   int qd = fd-gd, delta = qd+1, rd = fd;
   internal::Creation_tag TAG;
   q = Polynomial<NT>(TAG, delta );
@@ -1214,7 +1214,7 @@ void Polynomial<NT>::pseudo_division(
     NT F = res[rd];    // highest order coeff of res
     NT t = idiv(F, G); // sure to be integral by multiplication of D
     q.coeff(qd) = t;   // store q coeff
-    res.minus_offsetmult(g,t,qd); 
+    res.minus_offsetmult(g,t,qd);
     res.simplify_coefficients();
     if (res.is_zero()) break;
     rd = res.degree();
@@ -1227,7 +1227,7 @@ void Polynomial<NT>::pseudo_division(
 }
 
 template <class NT> inline
-Polynomial<NT> division(const Polynomial<NT>& p1, 
+Polynomial<NT> division(const Polynomial<NT>& p1,
     const Polynomial<NT>& p2,
     Integral_domain_tag)
 {
@@ -1243,7 +1243,7 @@ Polynomial<NT> division(const Polynomial
 }
 
 template <class NT> inline
-Polynomial<NT> division(const Polynomial<NT>& p1, 
+Polynomial<NT> division(const Polynomial<NT>& p1,
     const Polynomial<NT>& p2,
     Field_tag)
 {
@@ -1319,7 +1319,7 @@ template <class NT>
 void Polynomial<NT>::output_maple(std::ostream& os) const {
   const Polynomial<NT>& p = *this;
   std::ostringstream oss;
-  
+
   // use variable names x, y, z, w1, w2, w3, ...
   if (Polynomial_traits_d<NT>::d < 3) {
     static const char *varnames[] = { "x", "y", "z" };
@@ -1327,7 +1327,7 @@ void Polynomial<NT>::output_maple(std::o
   } else {
     oss << "w" <<  Polynomial_traits_d<NT>::d - 2;
   }
-    
+
   int i = p.degree();
   CGAL::print_maple_monomial(os, p[i], oss.str(), i);
   while (--i >= 0) {
@@ -1353,30 +1353,30 @@ void Polynomial<NT>::output_ascii(std::o
 
 template <class NT>
 void Polynomial<NT>::output_benchmark(std::ostream &os) const {
-  typedef typename Polynomial_traits_d< Polynomial<NT> >::Innermost_coefficient_type 
+  typedef typename Polynomial_traits_d< Polynomial<NT> >::Innermost_coefficient_type
     Innermost_coefficient_type;
   typedef std::pair< Exponent_vector, Innermost_coefficient_type >
     Exponents_coeff_pair;
   typedef typename Polynomial_traits_d< Polynomial<NT> >::Monomial_representation Gmr;
-    
+
   std::vector< Exponents_coeff_pair > monom_rep;
   Gmr gmr;
   gmr( *this, std::back_inserter( monom_rep ) );
-    
+
   os << Benchmark_rep< Polynomial< NT > >::get_benchmark_name() << "( ";
-    
+
   for( typename std::vector< Exponents_coeff_pair >::iterator it = monom_rep.begin();
        it != monom_rep.end(); ++it ) {
     if( it != monom_rep.begin() )
       os << ", ";
     os << "( " << bmformat( it->second ) << ", ";
     it->first.output_benchmark(os);
-    os << " )";        
+    os << " )";
   }
   os << " )";
 }
 
-// Benchmark_rep specialization 
+// Benchmark_rep specialization
 template < class NT >
 class Benchmark_rep< CGAL::Polynomial< NT > > {
   const CGAL::Polynomial< NT >& t;
@@ -1384,20 +1384,20 @@ public:
   //! initialize with a const reference to \a t.
   Benchmark_rep( const CGAL::Polynomial< NT >& tt) : t(tt) {}
   //! perform the output, calls \c operator\<\< by default.
-  std::ostream& operator()( std::ostream& out) const { 
+  std::ostream& operator()( std::ostream& out) const {
     t.output_benchmark( out );
     return out;
   }
-    
+
   static std::string get_benchmark_name() {
     std::stringstream ss;
     ss << "Polynomial< " << Polynomial_traits_d< Polynomial< NT > >::d;
-        
+
     std::string coeff_name = Benchmark_rep< NT >::get_benchmark_name();
-        
+
     if( coeff_name != "" )
       ss << ", " << coeff_name;
-        
+
     ss << " >";
     return ss.str();
   }
diff -pruN 5.0.2-3/include/CGAL/Polynomial/prs_resultant.h 5.0.3-1/include/CGAL/Polynomial/prs_resultant.h
--- 5.0.2-3/include/CGAL/Polynomial/prs_resultant.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/prs_resultant.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/prs_resultant.h $
-// $Id: prs_resultant.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/prs_resultant.h $
+// $Id: prs_resultant.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Arno Eigenwillig <arno@mpi-inf.mpg.de>
 //
@@ -45,12 +45,12 @@ NT prs_resultant_integral_domain(Polynom
     } else {
         signflip = 0;
     }
-    
+
     typedef CGAL::Scalar_factor_traits<Polynomial<NT> > SFT;
-    typedef typename SFT::Scalar Scalar; 
+    typedef typename SFT::Scalar Scalar;
     typename SFT::Scalar_factor scalar_factor;
-    typename CGAL::Coercion_traits<Scalar, NT>::Cast cast_scalar_nt; 
-    
+    typename CGAL::Coercion_traits<Scalar, NT>::Cast cast_scalar_nt;
+
     Scalar a = scalar_factor(A), b = scalar_factor(B);
     NT g(1), h(1);
     NT t = cast_scalar_nt (CGAL::ipower(a, B.degree()) * CGAL::ipower(b, A.degree()));
@@ -183,7 +183,7 @@ namespace INTERN_PRS_RESULTANT {
     template <class NT> inline
     NT prs_resultant_(Polynomial<NT> A, Polynomial<NT> B, Field_tag) {
         typedef typename Fraction_traits<NT>::Is_fraction Is_decomposable;
-        return prs_resultant_(A, B, Is_decomposable());     
+        return prs_resultant_(A, B, Is_decomposable());
     }
 
     template <class NT> inline
@@ -199,7 +199,7 @@ NT prs_resultant_decompose(Polynomial<NT
     typedef typename Fraction_traits<POLY>::Denominator_type DENOM;
     typename Fraction_traits<POLY>::Decompose decompose;
     typedef typename INTPOLY::NT RES;
-    
+
     DENOM a, b;
     A.simplify_coefficients();
     B.simplify_coefficients();
@@ -248,7 +248,7 @@ template <class NT> inline
 NT prs_resultant(Polynomial<NT> A, Polynomial<NT> B) {
     typedef typename Algebraic_structure_traits<NT>::Algebraic_category
                                                                    Algebraic_category;
-    return INTERN_PRS_RESULTANT::prs_resultant_(A, B, Algebraic_category());     
+    return INTERN_PRS_RESULTANT::prs_resultant_(A, B, Algebraic_category());
 }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Polynomial/Real_embeddable_traits.h 5.0.3-1/include/CGAL/Polynomial/Real_embeddable_traits.h
--- 5.0.2-3/include/CGAL/Polynomial/Real_embeddable_traits.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/Real_embeddable_traits.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,13 +2,13 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/Real_embeddable_traits.h $
-// $Id: Real_embeddable_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/Real_embeddable_traits.h $
+// $Id: Real_embeddable_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Arno Eigenwillig <arno@mpi-inf.mpg.de>
-//                 Michael Hemmer <hemmer@informatik.uni-mainz.de> 
+//                 Michael Hemmer <hemmer@informatik.uni-mainz.de>
 //
 // ============================================================================
 
@@ -26,24 +26,24 @@ namespace CGAL {
 namespace internal {
 template< class Polynomial , class TAG> class Real_embeddable_traits_poly_base;
 
-template< class NT , class TAG> class Real_embeddable_traits_poly_base< Polynomial<NT>, TAG > 
+template< class NT , class TAG> class Real_embeddable_traits_poly_base< Polynomial<NT>, TAG >
   : public INTERN_RET::Real_embeddable_traits_base< Polynomial<NT> , CGAL::Tag_false > {};
-  
+
 // Real embeddable traits
 // TODO: Polynomials aren't Real_embeddable! But for debugging and testing
 //       reasons, the real embeddable functors are provided.
-template< class NT > class Real_embeddable_traits_poly_base< Polynomial<NT>, CGAL::Tag_true > 
+template< class NT > class Real_embeddable_traits_poly_base< Polynomial<NT>, CGAL::Tag_true >
   : public INTERN_RET::Real_embeddable_traits_base< Polynomial<NT> , CGAL::Tag_false > {
 public:
-  
+
     typedef Tag_false Is_real_embeddable;
-    
+
     class Abs {
     public:
         typedef Polynomial<NT> argument_type;
         typedef Polynomial<NT> result_type;
         Polynomial<NT> operator()( const Polynomial<NT>& x ) const {
-            return x.abs(); 
+            return x.abs();
         }
     };
 
@@ -55,19 +55,19 @@ public:
             return x.sign();
         }
     };
-    
+
     class Compare {
     public:
         typedef Polynomial<NT>                    first_argument_type;
         typedef Polynomial<NT>                    second_argument_type;
         typedef CGAL::Comparison_result result_type;
-        
-        CGAL::Comparison_result operator()( 
-                const Polynomial<NT>& x, 
+
+        CGAL::Comparison_result operator()(
+                const Polynomial<NT>& x,
                 const Polynomial<NT>& y ) const {
             return x.compare(y);
         }
-        
+
         CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR_WITH_RT( Polynomial<NT>,
                 CGAL::Comparison_result )
     };
@@ -93,7 +93,7 @@ public:
         typedef Polynomial<NT> argument_type;
         result_type operator()( const Polynomial<NT>& x ) const {
             CGAL_precondition( x.degree() >= 0 );
-            NT_to_interval to_interval;  
+            NT_to_interval to_interval;
             return result_type(
                     ::boost::make_transform_iterator(x.begin(),to_interval),
                     ::boost::make_transform_iterator(x.end()  ,to_interval));
@@ -103,7 +103,7 @@ public:
 } // namespace internal
 
 template <typename NT>
-class Real_embeddable_traits<Polynomial<NT> > 
+class Real_embeddable_traits<Polynomial<NT> >
   :public internal::Real_embeddable_traits_poly_base<
   Polynomial<NT>,
   typename Real_embeddable_traits<typename internal::Innermost_coefficient_type<NT>::Type>::Is_real_embeddable>
diff -pruN 5.0.2-3/include/CGAL/Polynomial/resultant.h 5.0.3-1/include/CGAL/Polynomial/resultant.h
--- 5.0.2-3/include/CGAL/Polynomial/resultant.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/resultant.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/resultant.h $
-// $Id: resultant.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/resultant.h $
+// $Id: resultant.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -21,7 +21,7 @@
 
 #ifndef CGAL_RESULTANT_USE_DECOMPOSE
 #define CGAL_RESULTANT_USE_DECOMPOSE 1
-#endif 
+#endif
 
 
 #include <CGAL/basic.h>
@@ -42,74 +42,74 @@ namespace CGAL {
 
 
 // The main function provided within this file is CGAL::internal::resultant(F,G),
-// all other functions are used for dispatching. 
+// all other functions are used for dispatching.
 // The implementation uses interpolatation for multivariate polynomials
-// Due to the recursive structuture of CGAL::Polynomial<Coeff> it is better 
-// to write the function such that the inner most variabel is eliminated. 
+// Due to the recursive structuture of CGAL::Polynomial<Coeff> it is better
+// to write the function such that the inner most variabel is eliminated.
 // However,  CGAL::internal::resultant(F,G) eliminates the outer most variabel.
-// This is due to backward compatibility issues with code base on EXACUS. 
-// In turn CGAL::internal::resultant_(F,G) eliminates the innermost variable. 
- 
+// This is due to backward compatibility issues with code base on EXACUS.
+// In turn CGAL::internal::resultant_(F,G) eliminates the innermost variable.
+
 // Dispatching
 // CGAL::internal::resultant_decompose applies if Coeff is a Fraction
 // CGAL::internal::resultant_modularize applies if Coeff is Modularizable
 // CGAL::internal::resultant_interpolate applies for multivairate polynomials
-// CGAL::internal::resultant_univariate selects the proper algorithm for IC 
+// CGAL::internal::resultant_univariate selects the proper algorithm for IC
 
 // CGAL_RESULTANT_USE_DECOMPOSE ( default = 1 )
-// CGAL_RESULTANT_USE_MODULAR_ARITHMETIC (default = 0 ) 
+// CGAL_RESULTANT_USE_MODULAR_ARITHMETIC (default = 0 )
 
 namespace internal{
 
-template <class Coeff> 
-inline Coeff resultant_interpolate( 
+template <class Coeff>
+inline Coeff resultant_interpolate(
     const CGAL::Polynomial<Coeff>&, const CGAL::Polynomial<Coeff>& );
-template <class Coeff> 
-inline Coeff resultant_modularize( 
-    const CGAL::Polynomial<Coeff>&, 
+template <class Coeff>
+inline Coeff resultant_modularize(
+    const CGAL::Polynomial<Coeff>&,
     const CGAL::Polynomial<Coeff>&, CGAL::Tag_true);
-template <class Coeff> 
-inline Coeff resultant_modularize( 
-    const CGAL::Polynomial<Coeff>&, 
+template <class Coeff>
+inline Coeff resultant_modularize(
+    const CGAL::Polynomial<Coeff>&,
     const CGAL::Polynomial<Coeff>&, CGAL::Tag_false);
-template <class Coeff> 
-inline Coeff resultant_decompose( 
-    const CGAL::Polynomial<Coeff>&, 
+template <class Coeff>
+inline Coeff resultant_decompose(
+    const CGAL::Polynomial<Coeff>&,
     const CGAL::Polynomial<Coeff>&, CGAL::Tag_true);
-template <class Coeff> 
-inline Coeff resultant_decompose( 
-    const CGAL::Polynomial<Coeff>&, 
+template <class Coeff>
+inline Coeff resultant_decompose(
+    const CGAL::Polynomial<Coeff>&,
     const CGAL::Polynomial<Coeff>&, CGAL::Tag_false);
-template <class Coeff> 
-inline Coeff resultant_( 
+template <class Coeff>
+inline Coeff resultant_(
     const CGAL::Polynomial<Coeff>&, const CGAL::Polynomial<Coeff>&);
 
-template <class Coeff> 
-inline Coeff resultant_univariate( 
-    const CGAL::Polynomial<Coeff>& A, 
-    const CGAL::Polynomial<Coeff>& B, 
-    CGAL::Integral_domain_without_division_tag){ 
+template <class Coeff>
+inline Coeff resultant_univariate(
+    const CGAL::Polynomial<Coeff>& A,
+    const CGAL::Polynomial<Coeff>& B,
+    CGAL::Integral_domain_without_division_tag){
   return hybrid_bezout_subresultant(A,B,0);
 }
-template <class Coeff> 
-inline Coeff resultant_univariate( 
-    const CGAL::Polynomial<Coeff>& A, 
+template <class Coeff>
+inline Coeff resultant_univariate(
+    const CGAL::Polynomial<Coeff>& A,
     const CGAL::Polynomial<Coeff>& B, CGAL::Integral_domain_tag){
-  // this seems to help for for large polynomials 
+  // this seems to help for for large polynomials
   return prs_resultant_integral_domain(A,B);
 }
-template <class Coeff> 
-inline Coeff resultant_univariate( 
-    const CGAL::Polynomial<Coeff>& A, 
+template <class Coeff>
+inline Coeff resultant_univariate(
+    const CGAL::Polynomial<Coeff>& A,
     const CGAL::Polynomial<Coeff>& B, CGAL::Unique_factorization_domain_tag){
   return prs_resultant_ufd(A,B);
 }
 
-template <class Coeff> 
-inline Coeff resultant_univariate( 
-    const CGAL::Polynomial<Coeff>& A, 
+template <class Coeff>
+inline Coeff resultant_univariate(
+    const CGAL::Polynomial<Coeff>& A,
     const CGAL::Polynomial<Coeff>& B, CGAL::Field_tag){
-  return prs_resultant_field(A,B);  
+  return prs_resultant_field(A,B);
 }
 
 } // namespace internal
@@ -117,43 +117,43 @@ inline Coeff resultant_univariate(
 namespace internal{
 
 
-template <class IC> 
-inline IC 
-resultant_interpolate( 
-    const CGAL::Polynomial<IC>& F, 
+template <class IC>
+inline IC
+resultant_interpolate(
+    const CGAL::Polynomial<IC>& F,
     const CGAL::Polynomial<IC>& G){
   CGAL_precondition(CGAL::Polynomial_traits_d<CGAL::Polynomial<IC> >::d == 1);
     typedef CGAL::Algebraic_structure_traits<IC> AST_IC;
     typedef typename AST_IC::Algebraic_category Algebraic_category;
-    return internal::resultant_univariate(F,G,Algebraic_category()); 
+    return internal::resultant_univariate(F,G,Algebraic_category());
 }
 
-template <class Coeff_2> 
+template <class Coeff_2>
 inline
 CGAL::Polynomial<Coeff_2>  resultant_interpolate(
-        const CGAL::Polynomial<CGAL::Polynomial<Coeff_2> >& F, 
+        const CGAL::Polynomial<CGAL::Polynomial<Coeff_2> >& F,
         const CGAL::Polynomial<CGAL::Polynomial<Coeff_2> >& G){
-    
+
     typedef CGAL::Polynomial<Coeff_2> Coeff_1;
     typedef CGAL::Polynomial<Coeff_1> POLY;
     typedef CGAL::Polynomial_traits_d<POLY> PT;
-    typedef typename PT::Innermost_coefficient_type IC; 
+    typedef typename PT::Innermost_coefficient_type IC;
 
     CGAL_precondition(PT::d >= 2);
-    
-    typename PT::Degree degree; 
-    int maxdegree = degree(F,0)*degree(G,PT::d-1) + degree(F,PT::d-1)*degree(G,0); 
-
-    typedef std::pair<IC,Coeff_2> Point; 
-    std::vector<Point> points; // interpolation points  
-    
-   
-    typename CGAL::Polynomial_traits_d<Coeff_1>::Degree  coeff_degree; 
+
+    typename PT::Degree degree;
+    int maxdegree = degree(F,0)*degree(G,PT::d-1) + degree(F,PT::d-1)*degree(G,0);
+
+    typedef std::pair<IC,Coeff_2> Point;
+    std::vector<Point> points; // interpolation points
+
+
+    typename CGAL::Polynomial_traits_d<Coeff_1>::Degree  coeff_degree;
     int i(-maxdegree/2);
     int deg_f(0);
     int deg_g(0);
-    
-   
+
+
     while((int) points.size() <= maxdegree + 1){
         i++;
         // timer1.start();
@@ -161,7 +161,7 @@ CGAL::Polynomial<Coeff_2>  resultant_int
         Coeff_1 Fat_i(typename PT::Evaluate()(F,c_i));
         Coeff_1 Gat_i(typename PT::Evaluate()(G,c_i));
         // timer1.stop();
-        
+
         int deg_f_at_i = coeff_degree(Fat_i,0);
         int deg_g_at_i = coeff_degree(Gat_i,0);
 
@@ -172,24 +172,24 @@ CGAL::Polynomial<Coeff_2>  resultant_int
             points.clear();
             deg_f  = deg_f_at_i;
             CGAL_postcondition(points.size() == 0);
-        } 
+        }
 
         if(deg_g_at_i >  deg_g){
             points.clear();
             deg_g  = deg_g_at_i;
             CGAL_postcondition(points.size() == 0);
         }
-        
+
         if(deg_f_at_i ==  deg_f && deg_g_at_i ==  deg_g){
             // timer2.start();
             Coeff_2 res_at_i = resultant_interpolate(Fat_i, Gat_i);
             // timer2.stop();
             points.push_back(Point(IC(i),res_at_i));
-            
-            // std::cout << typename Polynomial_traits_d<Coeff_2>::Degree()(res_at_i) << std::endl ; 
-        }      
+
+            // std::cout << typename Polynomial_traits_d<Coeff_2>::Degree()(res_at_i) << std::endl ;
+        }
     }
-   
+
     // timer3.start();
     CGAL::internal::Interpolator<Coeff_1> interpolator(points.begin(),points.end());
     Coeff_1 result = interpolator.get_interpolant();
@@ -197,7 +197,7 @@ CGAL::Polynomial<Coeff_2>  resultant_int
 
 #ifndef CGAL_NDEBUG
     while((int) points.size() <= maxdegree + 3){
-        i++;        
+        i++;
 
         Coeff_1 c_i(i);
         Coeff_1 Fat_i(typename PT::Evaluate()(F,c_i));
@@ -205,67 +205,67 @@ CGAL::Polynomial<Coeff_2>  resultant_int
 
         CGAL_assertion(coeff_degree(Fat_i,0) <= deg_f);
         CGAL_assertion(coeff_degree(Gat_i,0) <= deg_g);
-        
+
         if(coeff_degree( Fat_i , 0) ==  deg_f && coeff_degree( Gat_i , 0 ) ==  deg_g){
             Coeff_2 res_at_i = resultant_interpolate(Fat_i, Gat_i);
             points.push_back(Point(IC(i), res_at_i));
         }
     }
-    CGAL::internal::Interpolator<Coeff_1> 
+    CGAL::internal::Interpolator<Coeff_1>
       interpolator_(points.begin(),points.end());
     Coeff_1 result_= interpolator_.get_interpolant();
-    
+
      // the interpolate polynomial has to be stable !
-    CGAL_assertion(result_ == result); 
-#endif 
-    return result; 
+    CGAL_assertion(result_ == result);
+#endif
+    return result;
 }
 
-template <class Coeff> 
+template <class Coeff>
 inline
-Coeff resultant_modularize( 
-        const CGAL::Polynomial<Coeff>& F, 
-        const CGAL::Polynomial<Coeff>& G, 
+Coeff resultant_modularize(
+        const CGAL::Polynomial<Coeff>& F,
+        const CGAL::Polynomial<Coeff>& G,
         CGAL::Tag_false){
     return resultant_interpolate(F,G);
 }
 
-template <class Coeff> 
+template <class Coeff>
 inline
-Coeff resultant_modularize( 
-        const CGAL::Polynomial<Coeff>& F, 
-        const CGAL::Polynomial<Coeff>& G, 
+Coeff resultant_modularize(
+        const CGAL::Polynomial<Coeff>& F,
+        const CGAL::Polynomial<Coeff>& G,
         CGAL::Tag_true){
-    
+
   // Enforce IEEE double precision and to nearest before using modular arithmetic
   CGAL::Protect_FPU_rounding<true> pfr(CGAL_FE_TONEAREST);
-  
+
 
     typedef Polynomial_traits_d<CGAL::Polynomial<Coeff> > PT;
     typedef typename PT::Polynomial_d Polynomial;
-    
+
     typedef Chinese_remainder_traits<Coeff> CRT;
     typedef typename CRT::Scalar_type Scalar;
 
 
-    typedef typename CGAL::Modular_traits<Polynomial>::Residue_type MPolynomial; 
-    typedef typename CGAL::Modular_traits<Coeff>::Residue_type      MCoeff; 
-        
-    typename CRT::Chinese_remainder chinese_remainder; 
+    typedef typename CGAL::Modular_traits<Polynomial>::Residue_type MPolynomial;
+    typedef typename CGAL::Modular_traits<Coeff>::Residue_type      MCoeff;
+
+    typename CRT::Chinese_remainder chinese_remainder;
     typename CGAL::Modular_traits<Coeff>::Modular_image_representative inv_map;
 
 
-    typename PT::Degree_vector                                     degree_vector; 
+    typename PT::Degree_vector                                     degree_vector;
     typename CGAL::Polynomial_traits_d<MPolynomial>::Degree_vector mdegree_vector;
 
-    bool solved = false; 
-    int prime_index = 0; 
+    bool solved = false;
+    int prime_index = 0;
     int n = 0;
-    Scalar p,q,pq,s,t; 
-    Coeff R, R_old; 
-    
-    // CGAL::Timer timer_evaluate, timer_resultant, timer_cr; 
-    
+    Scalar p,q,pq,s,t;
+    Coeff R, R_old;
+
+    // CGAL::Timer timer_evaluate, timer_resultant, timer_cr;
+
     do{
         MPolynomial mF, mG;
         MCoeff mR;
@@ -282,28 +282,28 @@ Coeff resultant_modularize(
                 current_prime = internal::primes[prime_index];
             }
             CGAL::Residue::set_current_prime(current_prime);
-            
+
             mF = CGAL::modular_image(F);
             mG = CGAL::modular_image(G);
-            
-        }while( degree_vector(F) != mdegree_vector(mF) || 
+
+        }while( degree_vector(F) != mdegree_vector(mF) ||
                 degree_vector(G) != mdegree_vector(mG));
         //timer_evaluate.stop();
-        
+
         //timer_resultant.start();
         n++;
         mR = resultant_interpolate(mF,mG);
         //timer_resultant.stop();
         //timer_cr.start();
-        if(n == 1){ 
+        if(n == 1){
             // init chinese remainder
-            q =  CGAL::Residue::get_current_prime(); // implicit ! 
+            q =  CGAL::Residue::get_current_prime(); // implicit !
             R = inv_map(mR);
         }else{
             // continue chinese remainder
-            p = CGAL::Residue::get_current_prime(); // implicit!  
+            p = CGAL::Residue::get_current_prime(); // implicit!
             R_old  = R ;
-//            chinese_remainder(q,Gs ,p,inv_map(mG_),pq,Gs);             
+//            chinese_remainder(q,Gs ,p,inv_map(mG_),pq,Gs);
 //            cached_extended_euclidean_algorithm(q,p,s,t);
             internal::Cached_extended_euclidean_algorithm
                 <typename CRT::Scalar_type> ceea;
@@ -313,49 +313,49 @@ Coeff resultant_modularize(
             q=pq;
         }
         solved = (R==R_old);
-        //timer_cr.stop();       
+        //timer_cr.stop();
     } while(!solved);
-        
-    //std::cout << "Time Evaluate   : " << timer_evaluate.time() << std::endl; 
-    //std::cout << "Time Resultant  : " << timer_resultant.time() << std::endl; 
-    //std::cout << "Time Chinese R  : " << timer_cr.time() << std::endl; 
+
+    //std::cout << "Time Evaluate   : " << timer_evaluate.time() << std::endl;
+    //std::cout << "Time Resultant  : " << timer_resultant.time() << std::endl;
+    //std::cout << "Time Chinese R  : " << timer_cr.time() << std::endl;
     // CGAL_postcondition(R == resultant_interpolate(F,G));
     return R;
     // return resultant_interpolate(F,G);
 }
 
 
-template <class Coeff> 
+template <class Coeff>
 inline
-Coeff resultant_decompose( 
+Coeff resultant_decompose(
     const CGAL::Polynomial<Coeff>& F,
-    const CGAL::Polynomial<Coeff>& G, 
+    const CGAL::Polynomial<Coeff>& G,
     CGAL::Tag_false){
 #if CGAL_RESULTANT_USE_MODULAR_ARITHMETIC
-  typedef CGAL::Polynomial<Coeff> Polynomial; 
-  typedef typename Modular_traits<Polynomial>::Is_modularizable Is_modularizable; 
+  typedef CGAL::Polynomial<Coeff> Polynomial;
+  typedef typename Modular_traits<Polynomial>::Is_modularizable Is_modularizable;
   return resultant_modularize(F,G,Is_modularizable());
 #else
   return  resultant_modularize(F,G,CGAL::Tag_false());
 #endif
 }
 
-template <class Coeff> 
+template <class Coeff>
 inline
-Coeff resultant_decompose( 
-        const CGAL::Polynomial<Coeff>& F, 
-        const CGAL::Polynomial<Coeff>& G, 
-        CGAL::Tag_true){  
-    
+Coeff resultant_decompose(
+        const CGAL::Polynomial<Coeff>& F,
+        const CGAL::Polynomial<Coeff>& G,
+        CGAL::Tag_true){
+
     typedef Polynomial<Coeff> POLY;
     typedef typename Fraction_traits<POLY>::Numerator_type Numerator;
     typedef typename Fraction_traits<POLY>::Denominator_type Denominator;
     typename Fraction_traits<POLY>::Decompose decompose;
     typedef typename Numerator::NT RES;
-    
+
     Denominator a, b;
-    // F.simplify_coefficients(); not const 
-    // G.simplify_coefficients(); not const 
+    // F.simplify_coefficients(); not const
+    // G.simplify_coefficients(); not const
     Numerator F0; decompose(F,F0,a);
     Numerator G0; decompose(G,G0,b);
     Denominator c = CGAL::ipower(a, G.degree()) * CGAL::ipower(b, F.degree());
@@ -369,14 +369,14 @@ Coeff resultant_decompose(
 }
 
 
-template <class Coeff> 
+template <class Coeff>
 inline
-Coeff resultant_( 
-        const CGAL::Polynomial<Coeff>& F, 
+Coeff resultant_(
+        const CGAL::Polynomial<Coeff>& F,
         const CGAL::Polynomial<Coeff>& G){
 #if CGAL_RESULTANT_USE_DECOMPOSE
     typedef CGAL::Fraction_traits<Polynomial<Coeff > > FT;
-    typedef typename FT::Is_fraction Is_fraction; 
+    typedef typename FT::Is_fraction Is_fraction;
     return resultant_decompose(F,G,Is_fraction());
 #else
     return resultant_decompose(F,G,CGAL::Tag_false());
@@ -385,10 +385,10 @@ Coeff resultant_(
 
 
 
-template <class Coeff> 
+template <class Coeff>
 inline
-Coeff  resultant( 
-        const CGAL::Polynomial<Coeff>& F_, 
+Coeff  resultant(
+        const CGAL::Polynomial<Coeff>& F_,
         const CGAL::Polynomial<Coeff>& G_){
   // make the variable to be elimnated the innermost one.
     typedef CGAL::Polynomial_traits_d<CGAL::Polynomial<Coeff> > PT;
@@ -397,7 +397,7 @@ Coeff  resultant(
     return internal::resultant_(F,G);
 }
 
-} // namespace internal    
+} // namespace internal
 } //namespace CGAL
 
 
diff -pruN 5.0.2-3/include/CGAL/Polynomial/Scalar_factor_traits.h 5.0.3-1/include/CGAL/Polynomial/Scalar_factor_traits.h
--- 5.0.2-3/include/CGAL/Polynomial/Scalar_factor_traits.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/Scalar_factor_traits.h	2020-08-01 19:02:46.000000000 +0000
@@ -2,13 +2,13 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/Scalar_factor_traits.h $
-// $Id: Scalar_factor_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/Scalar_factor_traits.h $
+// $Id: Scalar_factor_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Arno Eigenwillig <arno@mpi-inf.mpg.de>
-//                 Michael Hemmer <hemmer@informatik.uni-mainz.de> 
+//                 Michael Hemmer <hemmer@informatik.uni-mainz.de>
 //
 // ============================================================================
 
@@ -54,13 +54,13 @@ public:
         typedef Scalar result_type;
         //! returns the gcd of a polynomials coefficients
         Scalar operator()(const NT& p, const Scalar& d_=Scalar(0)) const {
-            
+
             typename Scalar_factor_traits<Coeff>::Scalar_factor sfac;
             const Scalar unity(1);
-            
+
             Scalar d(d_);
             if (p.is_zero()) return d;
-            
+
             int i = p.degree();
             while((d != unity) && (i >= 0)) {
                 d = sfac(p[i--],d);
@@ -75,9 +75,9 @@ public:
          //! second argument type
         typedef Scalar second_argument_type;
         //! divides a polynomial \c p by a scalar factor \c b
-        void operator () (NT& p, const Scalar& b) const { 
+        void operator () (NT& p, const Scalar& b) const {
             CGAL_precondition(b != Scalar(0));
-            p.scalar_div(b); 
+            p.scalar_div(b);
         }
     };
 };
diff -pruN 5.0.2-3/include/CGAL/Polynomial/square_free_factorize.h 5.0.3-1/include/CGAL/Polynomial/square_free_factorize.h
--- 5.0.2-3/include/CGAL/Polynomial/square_free_factorize.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/square_free_factorize.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/square_free_factorize.h $
-// $Id: square_free_factorize.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/square_free_factorize.h $
+// $Id: square_free_factorize.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -23,7 +23,7 @@ namespace CGAL {
 namespace internal {
 
 // square-free factorization
-// 
+//
 // the implementation uses two dispatches:
 //   a) first look at the coefficient's algebra type
 //   b) if the algebra type is of the concept field, try to decompose
@@ -80,13 +80,13 @@ inline int square_free_factorize
     typedef typename PT::Construct_polynomial Construct_polynomial;
     typedef typename PT::Univariate_content_up_to_constant_factor Ucont_utcf;
     typedef typename PT::Integral_division_up_to_constant_factor  Idiv_utcf;
-    
+
     if (typename PT::Total_degree()(poly) == 0){return 0;}
-   
-    Coeff ucont_utcf = Ucont_utcf()(poly); 
+
+    Coeff ucont_utcf = Ucont_utcf()(poly);
     POLY  regular_poly = Idiv_utcf()(poly,Construct_polynomial()(ucont_utcf));
 
-    int result = square_free_factorize_for_regular_polynomial( 
+    int result = square_free_factorize_for_regular_polynomial(
             regular_poly, factors, multiplicities);
 
     if (CGAL::total_degree(ucont_utcf) > 0){
@@ -97,8 +97,8 @@ inline int square_free_factorize
         result += square_free_factorize( ucont_utcf,
                 std::back_inserter(factors_uc),
                 std::back_inserter(multiplicities_uc) );
-        
-        for( typename Factors_uc::iterator it = factors_uc.begin(); 
+
+        for( typename Factors_uc::iterator it = factors_uc.begin();
              it != factors_uc.end(); ++it ){
           *factors++ = Construct_polynomial()(*it);
         }
@@ -107,7 +107,7 @@ inline int square_free_factorize
             *multiplicities++ = (*it);
         }
     }
-    return result;                                
+    return result;
 }
 
 template <class Coeff,  class OutputIterator1, class OutputIterator2>
@@ -121,26 +121,26 @@ inline int square_free_factorize_for_reg
 template <class Coeff,  class OutputIterator1, class OutputIterator2>
 inline int square_free_factorize_for_regular_polynomial_
 (const Polynomial<Coeff>& p, OutputIterator1 factors, OutputIterator2 multiplicities, CGAL::Tag_true){
-    
+
     typedef Polynomial<Coeff> POLY;
     typedef Polynomial_traits_d< POLY > PT;
-    typedef Fraction_traits<POLY> FT; 
-    
-    typename FT::Numerator_type num; 
-    typename FT::Denominator_type denom; 
+    typedef Fraction_traits<POLY> FT;
+
+    typename FT::Numerator_type num;
+    typename FT::Denominator_type denom;
     typename FT::Decompose()(p,num,denom);
-    
+
     std::vector<typename FT::Numerator_type> ifacs;
     int result =  square_free_factorize_for_regular_polynomial(num,std::back_inserter(ifacs),multiplicities);
-    
+
     typedef typename std::vector<typename FT::Numerator_type>::iterator Iterator;
     denom = typename FT::Denominator_type(1);
     for ( Iterator it = ifacs.begin(); it != ifacs.end(); ++it) {
         POLY q = typename FT::Compose()(*it, denom);
         *factors++ = typename PT::Canonicalize()(q);
     }
-    
-    return result; 
+
+    return result;
 }
 
 template <class Coeff,  class OutputIterator1, class OutputIterator2>
@@ -165,11 +165,11 @@ inline int square_free_factorize_for_reg
     typename PT::Construct_innermost_coefficient_const_iterator_range range;
     typename Algebraic_extension_traits<IC>::Denominator_for_algebraic_integers dfai;
     typename Algebraic_extension_traits<IC>::Normalization_factor nfac;
-    typename Scalar_factor_traits<POLY>::Scalar_factor sfac;  
+    typename Scalar_factor_traits<POLY>::Scalar_factor sfac;
     typename Scalar_factor_traits<POLY>::Scalar_div sdiv;
     typedef typename Scalar_factor_traits<POLY>::Scalar Scalar;
 
-    
+
     if (typename PT::Total_degree()(p) == 0) return 0;
 
     POLY a = CGAL::canonicalize(p);
@@ -184,8 +184,8 @@ inline int square_free_factorize_for_reg
 
     int i = 1, n = 0;
 
-    // extending both polynomials a and b by the denominator for algebraic 
-    // integers, which comes out from c=gcd(a,b), such that a and b are 
+    // extending both polynomials a and b by the denominator for algebraic
+    // integers, which comes out from c=gcd(a,b), such that a and b are
     // divisible by c
     IC lcoeff = ilcoeff(c);
     IC denom = dfai(range(c).first, range(c).second);
@@ -196,7 +196,7 @@ inline int square_free_factorize_for_reg
     // extracting a common scalar factor out of w=a/c and y=b/c simultaneously,
     // such that the parts in z=y-w' are canceled out as they should
     Scalar sfactor = sfac(y,sfac(w));
-    sdiv(w, sfactor); 
+    sdiv(w, sfactor);
     sdiv(y, sfactor);
 
     POLY  z = y - CGAL::differentiate(w);
@@ -211,14 +211,14 @@ inline int square_free_factorize_for_reg
         }
         i++;
         lcoeff = ilcoeff(g); // same as above
-        denom =dfai(range(c).first, range(c).second); 
+        denom =dfai(range(c).first, range(c).second);
         lcoeff *= denom * nfac(denom);
         w = (w * POLY(lcoeff)) / g;
         y = (z * POLY(lcoeff)) / g;
         Scalar sfactor = sfac(y,sfac(w));
-        sdiv(w, sfactor); 
+        sdiv(w, sfactor);
         sdiv(y, sfactor);
-       
+
         z = y - CGAL::differentiate(w);
     }
 
@@ -234,11 +234,11 @@ inline int square_free_factorize_for_reg
 (const Polynomial<Coeff>& p, OutputIterator1 factors, OutputIterator2 multiplicities, Unique_factorization_domain_tag){
     // Yun's Square-Free Factorization
     // see [Geddes et al, 1992], Algorithm 8.2
-    /* 
+    /*
        @inproceedings{y-osfda-76,
        author = {David Y.Y. Yun},
        title = {On square-free decomposition algorithms},
-       booktitle = {SYMSAC '76: Proceedings of the third ACM symposium on Symbolic 
+       booktitle = {SYMSAC '76: Proceedings of the third ACM symposium on Symbolic
                     and algebraic computation},
        year = {1976},
        pages = {26--35},
@@ -248,16 +248,16 @@ inline int square_free_factorize_for_reg
        address = {New York, NY, USA},
        }
     */
-    
+
     typedef Polynomial<Coeff> POLY;
     typedef Polynomial_traits_d<POLY> PT;
 
     if (typename PT::Total_degree()(p) == 0) return 0;
     POLY a = CGAL::canonicalize(p);
 
-    POLY b = CGAL::differentiate(a);  
+    POLY b = CGAL::differentiate(a);
     POLY c = CGAL::gcd(a, b);
-   
+
     if (c == Coeff(1)) {
         *factors = a;
         *multiplicities = 1;
@@ -288,7 +288,7 @@ inline int square_free_factorize_for_reg
 
 
 
-// square-free factorization utcf 
+// square-free factorization utcf
 
 template <class Coeff,  class OutputIterator1, class OutputIterator2>
 inline int square_free_factorize_utcf
@@ -309,14 +309,14 @@ inline int square_free_factorize_utcf_fo
 
 // filtered square-free factorization
 
-// ### filtered versions #### 
+// ### filtered versions ####
 
-/*! \brief As NiX::square_free_factorize, but filtered by  
- *  NiX::may_have_multiple_root 
- *  
- *  Use this function if the polynomial might be square free. 
- */  
-template <class Coeff, class OutputIterator1, class OutputIterator2> 
+/*! \brief As NiX::square_free_factorize, but filtered by
+ *  NiX::may_have_multiple_root
+ *
+ *  Use this function if the polynomial might be square free.
+ */
+template <class Coeff, class OutputIterator1, class OutputIterator2>
 inline
 int filtered_square_free_factorize(
                                        Polynomial<Coeff> p,
@@ -332,14 +332,14 @@ int filtered_square_free_factorize(
   }
 }
 
-/*! \brief As NiX::square_free_factorize_utcf, but filtered by  
- *  NiX::may_have_multiple_root 
- *  
- *  Use this function if the polynomial might be square free. 
- */  
-template <class Coeff,  class OutputIterator1, class OutputIterator2> 
+/*! \brief As NiX::square_free_factorize_utcf, but filtered by
+ *  NiX::may_have_multiple_root
+ *
+ *  Use this function if the polynomial might be square free.
+ */
+template <class Coeff,  class OutputIterator1, class OutputIterator2>
 inline
-int filtered_square_free_factorize_utcf( const Polynomial<Coeff>& p, 
+int filtered_square_free_factorize_utcf( const Polynomial<Coeff>& p,
                                          OutputIterator1 factors,
                                          OutputIterator2 multiplicities)
 {
diff -pruN 5.0.2-3/include/CGAL/Polynomial/sturm_habicht_sequence.h 5.0.3-1/include/CGAL/Polynomial/sturm_habicht_sequence.h
--- 5.0.2-3/include/CGAL/Polynomial/sturm_habicht_sequence.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/sturm_habicht_sequence.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/sturm_habicht_sequence.h $
-// $Id: sturm_habicht_sequence.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/sturm_habicht_sequence.h $
+// $Id: sturm_habicht_sequence.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -34,14 +34,14 @@ namespace internal {
  *
  *  For details, see: Gonzalez-Vega,Lombardi,Recio,Roy: Determinants and Real
  *  Roots of Univariate Polynomials. Texts and Monographs in Symbolic
- *  Computation. Springer (1999) 300-316. 
+ *  Computation. Springer (1999) 300-316.
  *  Only the special case Q=1 is implemented
  */
   template<typename Polynomial_traits_d,typename OutputIterator>
     OutputIterator prs_principal_sturm_habicht_sequence
   (typename Polynomial_traits_d::Polynomial_d P,
      OutputIterator out) {
-      
+
     typedef typename Polynomial_traits_d::Coefficient_type NT;
     typename Polynomial_traits_d::Get_coefficient coeff;
     typename Polynomial_traits_d::Degree degree;
@@ -60,7 +60,7 @@ namespace internal {
     }
     return out;
 
-  } 
+  }
 
   /*!
    *  \brief compute the leading coefficients of the Sturm-Habicht sequence of
@@ -72,7 +72,7 @@ namespace internal {
    *
    *  For details, see: Gonzalez-Vega,Lombardi,Recio,Roy: Determinants and Real
    *  Roots of Univariate Polynomials. Texts and Monographs in Symbolic
-   *  Computation. Springer (1999) 300-316. 
+   *  Computation. Springer (1999) 300-316.
    *  Only the special case Q=1 is implemented
    */
   template<typename Polynomial_traits_d,typename OutputIterator>
@@ -87,7 +87,7 @@ namespace internal {
 
     Polynomial Px = diff(P);
 
-    CGAL::internal::Simple_matrix<NT> M 
+    CGAL::internal::Simple_matrix<NT> M
         = CGAL::internal::polynomial_subresultant_matrix<Polynomial_traits_d>
             (P,Px,1);
     int n = static_cast<int>(M.row_dimension());
@@ -100,23 +100,23 @@ namespace internal {
     }
     *out++=lcoeff(Px);
     *out++=lcoeff(P);
-    
+
     return out;
 
-  } 
+  }
 
 
-  /*! 
+  /*!
    *  \brief compute the principal and coprincipal Sturm-Habicht sequence
    */
   template<typename Polynomial_traits_d,
            typename OutputIterator1,
-           typename OutputIterator2> 
+           typename OutputIterator2>
     void prs_first_two_sturm_habicht_coefficients
       (typename Polynomial_traits_d::Polynomial_d P,
        OutputIterator1 pstha,
        OutputIterator2 copstha) {
-    
+
     typedef typename Polynomial_traits_d::Polynomial_d Polynomial;
     typedef typename Polynomial_traits_d::Coefficient_type NT;
     typename Polynomial_traits_d::Get_coefficient coeff;
@@ -152,7 +152,7 @@ namespace internal {
    */
   template<typename Polynomial_traits_d,
            typename OutputIterator1,
-           typename OutputIterator2> 
+           typename OutputIterator2>
     void bezout_first_two_sturm_habicht_coefficients
       (typename Polynomial_traits_d::Polynomial_d P,
        OutputIterator1 pstha,
@@ -166,7 +166,7 @@ namespace internal {
     typename Polynomial_traits_d::Differentiate diff;
 
     Polynomial Px=diff(P);
-    CGAL::internal::Simple_matrix<NT> M 
+    CGAL::internal::Simple_matrix<NT> M
         = CGAL::internal::polynomial_subresultant_matrix<Polynomial_traits_d>
             (P,Px,2);
     int n = static_cast<int>(M.row_dimension());
@@ -190,43 +190,43 @@ namespace internal {
     *copstha++ = coeff(P,degree(P)-1);
   }
 
-  
+
     // the general function for CGAL::Integral_domain_without_division_tag
   template < typename Polynomial_traits_d,
-             typename OutputIterator1, 
+             typename OutputIterator1,
              typename OutputIterator2 > inline
-      void 
+      void
       first_two_sturm_habicht_coefficients_
-        (typename Polynomial_traits_d::Polynomial_d A, 
+        (typename Polynomial_traits_d::Polynomial_d A,
          OutputIterator1 pstha,
          OutputIterator2 copstha,
          CGAL::Integral_domain_without_division_tag){
 
         bezout_first_two_sturm_habicht_coefficients<Polynomial_traits_d>
             (A,pstha,copstha);
-  
+
     }
 
     // the general function for CGAL::Integral_domain_tag
     template < typename Polynomial_traits_d,
-               typename OutputIterator1, 
+               typename OutputIterator1,
                typename OutputIterator2 > inline
-      void 
+      void
       first_two_sturm_habicht_coefficients_
-        (typename Polynomial_traits_d::Polynomial_d A, 
+        (typename Polynomial_traits_d::Polynomial_d A,
          OutputIterator1 pstha,
          OutputIterator2 copstha,
          CGAL::Integral_domain_tag) {
 
         return prs_first_two_sturm_habicht_coefficients<Polynomial_traits_d>
             (A,pstha,copstha);
-  
+
     }
-    
+
     template < typename Polynomial_traits_d,
-               typename OutputIterator1, 
+               typename OutputIterator1,
                typename OutputIterator2 > inline
-      void 
+      void
       first_two_sturm_habicht_coefficients_
         (typename Polynomial_traits_d::Polynomial_d A,
          OutputIterator1 pstha,
@@ -234,33 +234,33 @@ namespace internal {
 
         typedef typename Polynomial_traits_d::Coefficient_type NT;
 
-        typedef typename 
-            CGAL::Algebraic_structure_traits<NT>::Algebraic_category 
+        typedef typename
+            CGAL::Algebraic_structure_traits<NT>::Algebraic_category
             Algebraic_category;
         first_two_sturm_habicht_coefficients_<Polynomial_traits_d>
             (A,pstha,copstha,Algebraic_category());
     }
 
     // the general function for CGAL::Integral_domain_without_division_tag
-    template <typename Polynomial_traits_d,typename OutputIterator> inline 
-      OutputIterator 
+    template <typename Polynomial_traits_d,typename OutputIterator> inline
+      OutputIterator
       principal_sturm_habicht_sequence_
-        (typename Polynomial_traits_d::Polynomial_d A, 
+        (typename Polynomial_traits_d::Polynomial_d A,
          OutputIterator out,
          CGAL::Integral_domain_without_division_tag) {
-      
+
         return bezout_principal_sturm_habicht_sequence<Polynomial_traits_d>
             (A,out);
     }
-      
+
     // the specialization for CGAL::Integral_domain_tag
     template <typename Polynomial_traits_d,typename OutputIterator> inline
       OutputIterator
       principal_sturm_habicht_sequence_
-        (typename Polynomial_traits_d::Polynomial_d A, 
+        (typename Polynomial_traits_d::Polynomial_d A,
          OutputIterator out,
          CGAL::Integral_domain_tag) {
-    
+
       return prs_principal_sturm_habicht_sequence<Polynomial_traits_d>(A,out);
     }
 
@@ -268,59 +268,59 @@ namespace internal {
       OutputIterator principal_sturm_habicht_sequence_
         (typename Polynomial_traits_d::Polynomial_d A,
          OutputIterator out) {
-        
+
       typedef typename Polynomial_traits_d::Coefficient_type NT;
-        
-      typedef typename 
-          CGAL::Algebraic_structure_traits<NT>::Algebraic_category 
+
+      typedef typename
+          CGAL::Algebraic_structure_traits<NT>::Algebraic_category
           Algebraic_category;
       return principal_sturm_habicht_sequence_<Polynomial_traits_d>
-          (A,out,Algebraic_category());  
+          (A,out,Algebraic_category());
     }
 
 
-  /*! 
+  /*!
    *  \brief computes the first two coefficients of each polynomial of
    *  the Sturm-Habicht sequence.
    *
    * This function is needed in Curve_analysis_2 for certain genericity checks
    */
   template < typename Polynomial_traits_d,
-             typename OutputIterator1, 
+             typename OutputIterator1,
              typename OutputIterator2 > inline
     void first_two_sturm_habicht_coefficients
-      (typename Polynomial_traits_d::Polynomial_d A, 
+      (typename Polynomial_traits_d::Polynomial_d A,
        OutputIterator1 pstha,
        OutputIterator2 copstha){
-      
+
       return CGAL::internal::first_two_sturm_habicht_coefficients_
           <Polynomial_traits_d> (A,pstha,copstha);
   }
 
 
-    
 
-  /*! 
+
+  /*!
    *  \brief compute the sequence of
    *  principal Sturm-Habicht coefficients
    */
   template <typename Polynomial_traits_d,typename OutputIterator> inline
     OutputIterator
     principal_sturm_habicht_sequence
-      (typename Polynomial_traits_d::Polynomial_d A, 
+      (typename Polynomial_traits_d::Polynomial_d A,
        OutputIterator out){
-      
+
       return CGAL::internal::principal_sturm_habicht_sequence_
           <Polynomial_traits_d>(A,out);
   }
-  
 
 
-  /*! 
+
+  /*!
    *  \brief compute the Sturm-Habicht sequence
    */
   template<typename Polynomial_traits_d,typename OutputIterator> OutputIterator
-    sturm_habicht_sequence(typename Polynomial_traits_d::Polynomial_d P, 
+    sturm_habicht_sequence(typename Polynomial_traits_d::Polynomial_d P,
                            OutputIterator out) {
     typedef typename Polynomial_traits_d::Polynomial_d Polynomial;
     typename Polynomial_traits_d::Degree degree;
@@ -331,7 +331,7 @@ namespace internal {
     Polynomial P_x = diff(P);
 
     std::vector<Polynomial> stha;
-    
+
     CGAL::internal::polynomial_subresultants<Polynomial_traits_d>
         (P,P_x,std::back_inserter(stha));
     stha.push_back(P);
@@ -345,17 +345,17 @@ namespace internal {
         *out++ = -stha[i];
       }
     }
-    
+
     return out;
   }
 
-  /*! 
+  /*!
    *  \brief compute the Sturm-Habicht sequence with cofactors
    */
 template<typename Polynomial_traits_d,
     typename OutputIterator1,
     typename OutputIterator2,
-    typename OutputIterator3> 
+    typename OutputIterator3>
     OutputIterator1
     sturm_habicht_sequence_with_cofactors
       (typename Polynomial_traits_d::Polynomial_d P,
@@ -373,7 +373,7 @@ template<typename Polynomial_traits_d,
     Polynomial P_x = diff(P);
 
     std::vector<Polynomial> stha,co_f,co_fx;
-    
+
     CGAL::internal::polynomial_subresultants_with_cofactors<Polynomial_traits_d>
         (P,P_x,
          std::back_inserter(stha),
@@ -397,7 +397,7 @@ template<typename Polynomial_traits_d,
         *cofx_out++ = -co_fx[i];
       }
     }
-    
+
     return stha_out;
   }
 
@@ -405,10 +405,10 @@ template<typename Polynomial_traits_d,
 
 
 
-      
 
-  /*! 
-   *  \brief returns the number of roots of a polynomial with given 
+
+  /*!
+   *  \brief returns the number of roots of a polynomial with given
    *  principal Sturm-Habicht sequence (counted without multiplicity)
    */
   template<typename InputIterator>
@@ -422,7 +422,7 @@ template<typename Polynomial_traits_d,
     CGAL::Sign curr_sign;
     int k;
     InputIterator el=start;
-    
+
     //std::cout << "Sign of." << (*el) << std::endl;
 
     curr_sign=CGAL::sign(*el);
@@ -443,29 +443,29 @@ template<typename Polynomial_traits_d,
       el++;
 
       if(curr_sign==CGAL::ZERO) {
-	k++;
+        k++;
       }
       else {
-	if(k%2==0) { // k is even
-	  k=k/2;
-	  int pm_one = (curr_sign==last_non_zero ? 1 : -1);
-	  pm_one = (k%2==1) ? -pm_one : pm_one;
-	  m+=pm_one;
-	}
-	k=0;
-	last_non_zero=curr_sign;
+        if(k%2==0) { // k is even
+          k=k/2;
+          int pm_one = (curr_sign==last_non_zero ? 1 : -1);
+          pm_one = (k%2==1) ? -pm_one : pm_one;
+          m+=pm_one;
+        }
+        k=0;
+        last_non_zero=curr_sign;
       }
-	  
+
     }
     return m;
   }
 
-  /*! 
-   *  \brief returns the number of roots of a polynomial 
+  /*!
+   *  \brief returns the number of roots of a polynomial
    */
   template<typename Polynomial_d>
     int number_of_real_roots(Polynomial_d f) {
-      
+
       typedef CGAL::Polynomial_traits_d<Polynomial_d> Poly_traits_d;
       typedef typename Poly_traits_d::Coefficient_type Coeff;
       std::vector<Coeff> stha;
diff -pruN 5.0.2-3/include/CGAL/Polynomial/subresultants.h 5.0.3-1/include/CGAL/Polynomial/subresultants.h
--- 5.0.2-3/include/CGAL/Polynomial/subresultants.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial/subresultants.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial/subresultants.h $
-// $Id: subresultants.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial/subresultants.h $
+// $Id: subresultants.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Michael Kerber <mkerber@mpi-inf.mpg.de>
@@ -24,7 +24,7 @@ namespace CGAL {
   namespace internal {
 
     // Intern function needed for Ducos algorithm
-    
+
     template<typename Polynomial_traits_d> void lazard_optimization
         (typename Polynomial_traits_d::Coefficient_type y,
          double n,
@@ -40,24 +40,24 @@ namespace CGAL {
       NT c = x;
       n -= a;
       while(a!=1) {
-	a/=2;
-	c=idiv(c*c,y);
-	if(n>=a) {
-	  c=idiv(c*x,y);
-	  n-=a;
-	}
+        a/=2;
+        c=idiv(c*c,y);
+        if(n>=a) {
+          c=idiv(c*x,y);
+          n-=a;
+        }
       }
       C=c*B/y;
     }
 
-    template<typename Polynomial_traits_d> 
+    template<typename Polynomial_traits_d>
       void lickteig_roy_optimization
         (typename Polynomial_traits_d::Polynomial_d A,
          typename Polynomial_traits_d::Polynomial_d B,
          typename Polynomial_traits_d::Polynomial_d C,
          typename Polynomial_traits_d::Coefficient_type s,
          typename Polynomial_traits_d::Polynomial_d& D) {
-      
+
       typedef typename Polynomial_traits_d::Polynomial_d Poly;
       typedef typename Polynomial_traits_d::Coefficient_type NT;
       typename Polynomial_traits_d::Degree degree;
@@ -71,8 +71,8 @@ namespace CGAL {
       std::list<NT> initial;
       initial.push_front(lcoeff(C));
       for(int i=0;i<e;i++) {
-	H[i] = construct(initial.begin(),initial.end());
-	initial.push_front(NT(0));
+        H[i] = construct(initial.begin(),initial.end());
+        initial.push_front(NT(0));
       }
       H[e]=construct(initial.begin(),initial.end())-C;
       CGAL_assertion(degree(H[e])<e);
@@ -80,33 +80,33 @@ namespace CGAL {
       std::copy(H[e].begin(),H[e].end(),std::back_inserter(initial));
       initial.push_front(NT(0));
       for(int i=e+1;i<d;i++) {
-	H[i]=construct(initial.begin(),initial.end());
-	NT h_i_e=H[i].degree()>=e ? coeff(H[i],e) : NT(0);
-	H[i]-=(h_i_e*B)/lcoeff(B);
-	initial.clear();
-	std::copy(H[i].begin(),H[i].end(),std::back_inserter(initial));
-	initial.push_front(NT(0));
+        H[i]=construct(initial.begin(),initial.end());
+        NT h_i_e=H[i].degree()>=e ? coeff(H[i],e) : NT(0);
+        H[i]-=(h_i_e*B)/lcoeff(B);
+        initial.clear();
+        std::copy(H[i].begin(),H[i].end(),std::back_inserter(initial));
+        initial.push_front(NT(0));
       }
       H[d]=construct(initial.begin(),initial.end());
       D=construct(0);
       for(int i=0;i<d;i++) {
-	D+=A[i]*H[i];
+        D+=A[i]*H[i];
       }
       D/=lcoeff(A);
       NT Hde = degree(H[d])>=e ? coeff(H[d],e) : NT(0);
       D=(lcoeff(B)*(H[d]+D)-Hde*B)/s;
       if((d-e)%2==0) {
-	D=-D;
+        D=-D;
       }
       return;
     }
 
-    template<typename Polynomial_traits_d> 
-    typename Polynomial_traits_d::Coefficient_type 
+    template<typename Polynomial_traits_d>
+    typename Polynomial_traits_d::Coefficient_type
     resultant_for_constant_polynomial
-    (typename Polynomial_traits_d::Polynomial_d P, 
+    (typename Polynomial_traits_d::Polynomial_d P,
      typename Polynomial_traits_d::Polynomial_d Q) {
-      
+
       typedef typename Polynomial_traits_d::Polynomial_d Polynomial;
       typedef typename Polynomial_traits_d::Coefficient_type NT;
       typename Polynomial_traits_d::Leading_coefficient lcoeff;
@@ -128,15 +128,15 @@ namespace CGAL {
      * \brief Compute the sequence of subresultants with pseudo-division
      *
      * This is an implementation of Ducos' algorithm. It improves on the
-     * classical methods for subresultant computation by reducing the 
+     * classical methods for subresultant computation by reducing the
      * swell-up of intermediate results. For all details, see
      * L.Ducos: Optimazations of the Subresultant algorithm. <i>Journal of Pure
      * and Applied Algebra</i> <b>145</b> (2000) 149--163
      */
   template <typename Polynomial_traits_d,typename OutputIterator> inline
     OutputIterator prs_polynomial_subresultants
-      (typename Polynomial_traits_d::Polynomial_d P, 
-       typename Polynomial_traits_d::Polynomial_d Q, 
+      (typename Polynomial_traits_d::Polynomial_d P,
+       typename Polynomial_traits_d::Polynomial_d Q,
        OutputIterator out) {
 
     typedef typename Polynomial_traits_d::Polynomial_d Polynomial;
@@ -151,9 +151,9 @@ namespace CGAL {
           <Polynomial_traits_d> (P,Q));
       return out;
     }
-      
+
     bool poly_swapped = (degree(P) < degree(Q));
-    
+
     if(poly_swapped) {
       std::swap(P,Q);
     }
@@ -168,18 +168,18 @@ namespace CGAL {
     } else {
       sres.push_back(CGAL::ipower(lcoeff(Q),deg_diff-1)*Q);
     }
-    
+
     Polynomial A,B,C,D,dummy_pol;
     NT s,dummy_nt;
     int delta,d,e;
-      
+
     A=Q;
 
     s=CGAL::ipower(lcoeff(Q),deg_diff);
-     
+
     typename Polynomial_traits_d::Pseudo_division()
         (P, -Q, dummy_pol, B, dummy_nt);
-      
+
     while(true) {
       d=degree(A);
       e=degree(B);
@@ -208,7 +208,7 @@ namespace CGAL {
       }
       CGAL::internal::lickteig_roy_optimization<Polynomial_traits_d>(A,B,C,s,D);
       B=D;
-      //typename Polynomial_traits_d::Pseudo_division() 
+      //typename Polynomial_traits_d::Pseudo_division()
       //    (A, -B, dummy_pol, D, dummy_nt);
       //B= D / (CGAL::ipower(s,delta)*lcoeff(A));
       A=C;
@@ -217,7 +217,7 @@ namespace CGAL {
 
     CGAL_assertion(static_cast<int>(sres.size())
                == degree(Q)+1);
-    
+
     // If P and Q were swapped, correct the signs
     if(poly_swapped) {
       int p = degree(P);
@@ -235,12 +235,12 @@ namespace CGAL {
 
 
   /*!
-   * \brief Computes the polynomial subresultants 
+   * \brief Computes the polynomial subresultants
    * as minors of the Bezout matrix
    */
   template <typename Polynomial_traits_d,typename OutputIterator> inline
     OutputIterator bezout_polynomial_subresultants
-      (typename Polynomial_traits_d::Polynomial_d P, 
+      (typename Polynomial_traits_d::Polynomial_d P,
        typename Polynomial_traits_d::Polynomial_d Q,
        OutputIterator out) {
 
@@ -249,13 +249,13 @@ namespace CGAL {
     typename Polynomial_traits_d::Leading_coefficient lcoeff;
     typename Polynomial_traits_d::Degree degree;
     typename Polynomial_traits_d::Construct_polynomial construct;
-   
+
     if(degree(P) < 1 || degree(Q) < 1) {
       *out++ = Polynomial(CGAL::internal::resultant_for_constant_polynomial
           <Polynomial_traits_d> (P,Q));
       return out;
     }
-    
+
     typedef CGAL::internal::Simple_matrix<NT> Matrix;
     Matrix M = CGAL::internal::polynomial_subresultant_matrix
         <Polynomial_traits_d> (P,Q);
@@ -280,11 +280,11 @@ namespace CGAL {
     }
 
     return out;
-    
+
   }
-      
+
   /*!
-     * \brief Compute the sequence of principal subresultants 
+     * \brief Compute the sequence of principal subresultants
      * with pseudo-division
      *
      * Uses Ducos algorithm for the polynomial subresultant, and
@@ -292,7 +292,7 @@ namespace CGAL {
      */
   template <typename Polynomial_traits_d,typename OutputIterator> inline
     OutputIterator prs_principal_subresultants
-      (typename Polynomial_traits_d::Polynomial_d P, 
+      (typename Polynomial_traits_d::Polynomial_d P,
        typename Polynomial_traits_d::Polynomial_d Q,
        OutputIterator out) {
 
@@ -303,7 +303,7 @@ namespace CGAL {
 
     std::vector<Polynomial> sres;
     int q = (std::min)(degree(Q),degree(P));
-    
+
     CGAL::internal::prs_polynomial_subresultants<Polynomial_traits_d>
         (P,Q,std::back_inserter(sres));
     CGAL_assertion(static_cast<int>(sres.size()) == q+1);
@@ -317,10 +317,10 @@ namespace CGAL {
       }
     }
     return out;
-  } 
+  }
 
   /*!
-     * \brief Compute the sequence of principal subresultants 
+     * \brief Compute the sequence of principal subresultants
      * with minors of the Bezout matrix
      *
      */
@@ -329,11 +329,11 @@ namespace CGAL {
     (typename Polynomial_traits_d::Polynomial_d P,
      typename Polynomial_traits_d::Polynomial_d Q,
      OutputIterator out) {
-    
+
     typedef typename Polynomial_traits_d::Coefficient_type NT;
     typename Polynomial_traits_d::Leading_coefficient lcoeff;
     typename Polynomial_traits_d::Degree degree;
-         
+
     if(degree(P) < 1 || degree(Q) < 1) {
         *out++ = CGAL::internal::resultant_for_constant_polynomial
                      <Polynomial_traits_d> (P,Q);
@@ -358,17 +358,17 @@ namespace CGAL {
       *out++=CGAL::ipower(lcoeff(P),-deg_diff);
     }
     return out;
-    
+
   }
-  
+
   /*!
    * \brief Computes the subresultants together with the according cofactors
-   * 
-   * For details, see S.Basu, R.Pollack, M.-F.Roy: Algorithms in Real 
+   *
+   * For details, see S.Basu, R.Pollack, M.-F.Roy: Algorithms in Real
    * Algebraic Geometry, Second edition, Alg.8.22
    */
   template<typename Polynomial_traits_d,
-    typename OutputIterator1, 
+    typename OutputIterator1,
     typename OutputIterator2,
     typename OutputIterator3>
     OutputIterator1 prs_subresultants_with_cofactors
@@ -377,7 +377,7 @@ namespace CGAL {
        OutputIterator1 sres_out,
        OutputIterator2 coP_out,
        OutputIterator3 coQ_out) {
-      
+
       typedef typename Polynomial_traits_d::Polynomial_d Polynomial;
       typedef typename Polynomial_traits_d::Coefficient_type NT;
       typename Polynomial_traits_d::Leading_coefficient lcoeff;
@@ -391,9 +391,9 @@ namespace CGAL {
         *coQ_out++ = Polynomial(lcoeff(P));
         return sres_out;
       }
-      
+
       bool poly_swapped = (degree(P) < degree(Q));
-    
+
       if(poly_swapped) {
         std::swap(P,Q);
       }
@@ -421,27 +421,27 @@ namespace CGAL {
 
       coPA = construct(NT(0));
       if(deg_diff==0) {
-	coQA = construct(NT(1));
+        coQA = construct(NT(1));
       } else {
-	coQA = construct(CGAL::ipower(lcoeff(Q),deg_diff-1));
+        coQA = construct(CGAL::ipower(lcoeff(Q),deg_diff-1));
       }
 
       coP.push_back(coPA);
       coQ.push_back(coQA);
-      
+
       A=Q;
 
       s=CGAL::ipower(lcoeff(Q),deg_diff);
       //s=CGAL::ipower(lcoeff(Q),1);
-     
+
       typename Polynomial_traits_d::Pseudo_division() (P, -Q, Quo, B, m);
 
       coPB = construct(m);
       coQB = Quo;
-      
+
       //CGAL_assertion(m*P+Quo*Q==B);
       //CGAL_assertion(CGAL::degree(B)<CGAL::degree(-Q));
-      
+
       while(true) {
         d=degree(A);
         e=degree(B);
@@ -458,15 +458,15 @@ namespace CGAL {
         coP.push_back(coPB);
         coQ.push_back(coQB);
 
-	//CGAL_assertion(coPB*P+coQB*Q==B);
+        //CGAL_assertion(coPB*P+coQB*Q==B);
 
         delta=d-e;
         if(delta>1) {
           C=CGAL::ipower(lcoeff(B),delta-1)*B / CGAL::ipower(s,delta-1);
 
-          coPC = CGAL::ipower(lcoeff(B),delta-1)*coPB / 
+          coPC = CGAL::ipower(lcoeff(B),delta-1)*coPB /
               CGAL::ipower(s,delta-1);
-          coQC = CGAL::ipower(lcoeff(B),delta-1)*coQB / 
+          coQC = CGAL::ipower(lcoeff(B),delta-1)*coQB /
               CGAL::ipower(s,delta-1);
           for(int i=0;i<delta-2;i++) {
             sres.push_back(zero_pol);
@@ -476,7 +476,7 @@ namespace CGAL {
           sres.push_back(C);
           coP.push_back(coPC);
           coQ.push_back(coQC);
-          
+
         }
         else {
           C=B;
@@ -506,19 +506,19 @@ namespace CGAL {
       bool same_degree = (p==q);
 
       if(same_degree) {
-	p++;
+        p++;
       }
-      
+
       std::vector<Polynomial> sResP,sResU,sResV,C;
       std::vector<NT> s,t;
 
       for(int i=0;i<p+1;i++) {
-	sResP.push_back(construct(NT(0)));
-	sResU.push_back(construct(NT(0)));
-	sResV.push_back(construct(NT(0)));
-	C.push_back(construct(NT(0)));
-	s.push_back(NT(0));
-	t.push_back(NT(0));
+        sResP.push_back(construct(NT(0)));
+        sResU.push_back(construct(NT(0)));
+        sResV.push_back(construct(NT(0)));
+        C.push_back(construct(NT(0)));
+        s.push_back(NT(0));
+        t.push_back(NT(0));
       }
       sResP[p]=P;
       s[p]=t[p]=(CGAL::sign(lcoeff(P))==CGAL::POSITIVE) ? NT(1) : NT(-1);
@@ -527,116 +527,116 @@ namespace CGAL {
       sResU[p]=sResV[p-1]=construct(NT(1));
       sResV[p]=sResU[p-1]=construct(NT(0));
       if(p-q>1) {
-	NT eps_p_minus_1 = ((p-q)%4==0 || (p-q)%4==1) ? NT(1) : NT(-1);
-	sResP[q]=eps_p_minus_1*CGAL::ipower(lcoeff(Q),p-q-1)*Q;
-	s[q]=eps_p_minus_1*CGAL::ipower(lcoeff(Q),p-q);
-	sResU[q]=construct(NT(0));
-	sResV[q]=construct(eps_p_minus_1*CGAL::ipower(lcoeff(Q),p-q-1));
-	for(int i=q+1;i<=p-2;i++) {
-	  sResP[i]=sResU[i]=sResV[i]=construct(NT(0));
-	  s[i]=NT(0);
-	}
+        NT eps_p_minus_1 = ((p-q)%4==0 || (p-q)%4==1) ? NT(1) : NT(-1);
+        sResP[q]=eps_p_minus_1*CGAL::ipower(lcoeff(Q),p-q-1)*Q;
+        s[q]=eps_p_minus_1*CGAL::ipower(lcoeff(Q),p-q);
+        sResU[q]=construct(NT(0));
+        sResV[q]=construct(eps_p_minus_1*CGAL::ipower(lcoeff(Q),p-q-1));
+        for(int i=q+1;i<=p-2;i++) {
+          sResP[i]=sResU[i]=sResV[i]=construct(NT(0));
+          s[i]=NT(0);
+        }
       }
       int i = p+1;
       int j = p;
       int k = 0;
       while(!CGAL::is_zero(sResP[j-1])) {
-	k=degree(sResP[j-1]);
-	if(k>=j-1) {
-	  if(k==0) {
-	    break;
-	  }
-	  s[j-1]=t[j-1];
-	  NT prefac=CGAL::ipower(s[j-1],2);
-	  NT denom=s[j]*t[i-1];
-	  Polynomial Quo,Rem;
-	  NT D;
-	  CGAL::pseudo_division(prefac*sResP[i-1],sResP[j-1],Quo,Rem,D);
-	  C[k-1]=CGAL::integral_division(Quo,D);
-	  sResP[k-1]=CGAL::integral_division
-	    (-prefac*sResP[i-1]+C[k-1]*sResP[j-1],
-	     denom);
-	  sResU[k-1]=CGAL::integral_division
-	    (-prefac*sResU[i-1]+C[k-1]*sResU[j-1],
-	     denom);
-	  sResV[k-1]=CGAL::integral_division
-	    (-prefac*sResV[i-1]+C[k-1]*sResV[j-1],
-	     denom);
-	} else { // k < j-1
-
-	  s[j-1]=NT(0);
-	  for(int delta=1;delta<=j-k-1;delta++) {
-	    t[j-delta-1]=CGAL::ipower(NT(-1),delta)*CGAL::integral_division
-	      (t[j-1]*t[j-delta],s[j]);
-	  }
-	  s[k]=t[k];
-	  sResP[k]=CGAL::integral_division(s[k]*sResP[j-1],t[j-1]);
-	  sResU[k]=CGAL::integral_division(s[k]*sResU[j-1],t[j-1]);
-	  sResV[k]=CGAL::integral_division(s[k]*sResV[j-1],t[j-1]);
-	  for(int ell=k+1;ell<=j-2;ell++) {
-	    sResP[ell]=sResU[ell]=sResV[ell]=construct(NT(0));
-	    s[ell]=NT(0);
-	  }
-	  if(k==0) {
-	    break;
-	  }
-	  Polynomial Quo,Rem;
-	  NT D;
-	  NT prefac=s[k]*t[j-1];
-	  CGAL::pseudo_division(prefac*sResP[i-1],sResP[j-1],Quo,Rem,D);
-	  C[k-1]=CGAL::integral_division(Quo,D);
-	  
-	  NT denom = s[j]*t[i-1];
-	  sResP[k-1]=CGAL::integral_division
-	    (-prefac*sResP[i-1]+C[k-1]*sResP[j-1],denom);
-	  sResU[k-1]=CGAL::integral_division
-	    (-prefac*sResU[i-1]+C[k-1]*sResU[j-1],denom);
-	  sResV[k-1]=CGAL::integral_division
-	    (-prefac*sResV[i-1]+C[k-1]*sResV[j-1],denom);
-	}
-	t[k-1]=lcoeff(sResP[k-1]);
-	i=j;
-	j=k;
+        k=degree(sResP[j-1]);
+        if(k>=j-1) {
+          if(k==0) {
+            break;
+          }
+          s[j-1]=t[j-1];
+          NT prefac=CGAL::ipower(s[j-1],2);
+          NT denom=s[j]*t[i-1];
+          Polynomial Quo,Rem;
+          NT D;
+          CGAL::pseudo_division(prefac*sResP[i-1],sResP[j-1],Quo,Rem,D);
+          C[k-1]=CGAL::integral_division(Quo,D);
+          sResP[k-1]=CGAL::integral_division
+            (-prefac*sResP[i-1]+C[k-1]*sResP[j-1],
+             denom);
+          sResU[k-1]=CGAL::integral_division
+            (-prefac*sResU[i-1]+C[k-1]*sResU[j-1],
+             denom);
+          sResV[k-1]=CGAL::integral_division
+            (-prefac*sResV[i-1]+C[k-1]*sResV[j-1],
+             denom);
+        } else { // k < j-1
+
+          s[j-1]=NT(0);
+          for(int delta=1;delta<=j-k-1;delta++) {
+            t[j-delta-1]=CGAL::ipower(NT(-1),delta)*CGAL::integral_division
+              (t[j-1]*t[j-delta],s[j]);
+          }
+          s[k]=t[k];
+          sResP[k]=CGAL::integral_division(s[k]*sResP[j-1],t[j-1]);
+          sResU[k]=CGAL::integral_division(s[k]*sResU[j-1],t[j-1]);
+          sResV[k]=CGAL::integral_division(s[k]*sResV[j-1],t[j-1]);
+          for(int ell=k+1;ell<=j-2;ell++) {
+            sResP[ell]=sResU[ell]=sResV[ell]=construct(NT(0));
+            s[ell]=NT(0);
+          }
+          if(k==0) {
+            break;
+          }
+          Polynomial Quo,Rem;
+          NT D;
+          NT prefac=s[k]*t[j-1];
+          CGAL::pseudo_division(prefac*sResP[i-1],sResP[j-1],Quo,Rem,D);
+          C[k-1]=CGAL::integral_division(Quo,D);
+
+          NT denom = s[j]*t[i-1];
+          sResP[k-1]=CGAL::integral_division
+            (-prefac*sResP[i-1]+C[k-1]*sResP[j-1],denom);
+          sResU[k-1]=CGAL::integral_division
+            (-prefac*sResU[i-1]+C[k-1]*sResU[j-1],denom);
+          sResV[k-1]=CGAL::integral_division
+            (-prefac*sResV[i-1]+C[k-1]*sResV[j-1],denom);
+        }
+        t[k-1]=lcoeff(sResP[k-1]);
+        i=j;
+        j=k;
       }
       if(k>0) {
-	for(int ell=0;ell<=j-2;ell++) {
-	  sResP[ell]=sResU[ell]=sResV[ell]=construct(NT(0));
-	  s[ell]=NT(0);
-	}
+        for(int ell=0;ell<=j-2;ell++) {
+          sResP[ell]=sResU[ell]=sResV[ell]=construct(NT(0));
+          s[ell]=NT(0);
+        }
       }
 
       // Correct factors for same degree (hack)
-      
+
       if(same_degree) {
-	for(int i = q-1;i>=0;i--) {
-	  NT d = lcoeff(Q);
-	  CGAL_assertion(CGAL::divides(d,sResP[i]));
-	  sResP[i]=CGAL::integral_division(sResP[i],d);
-	  CGAL_assertion(CGAL::divides(d,sResU[i]));
-	  sResU[i]=CGAL::integral_division(sResU[i],d);
-	  CGAL_assertion(CGAL::divides(d,sResV[i]));
-	  sResV[i]=CGAL::integral_division(sResV[i],d);
-	}
+        for(int i = q-1;i>=0;i--) {
+          NT d = lcoeff(Q);
+          CGAL_assertion(CGAL::divides(d,sResP[i]));
+          sResP[i]=CGAL::integral_division(sResP[i],d);
+          CGAL_assertion(CGAL::divides(d,sResU[i]));
+          sResU[i]=CGAL::integral_division(sResU[i],d);
+          CGAL_assertion(CGAL::divides(d,sResV[i]));
+          sResV[i]=CGAL::integral_division(sResV[i],d);
+        }
       }
-      
-      
+
+
       // Correct the signs (the algorithm computes the signed subresultants)
-      
+
       if(degree(P)==degree(Q)) {
-	p--;
-	CGAL_assertion(p==q);
+        p--;
+        CGAL_assertion(p==q);
       }
-      
+
       for(int i = q;i>=0;i--) {
-	if((p-i)%4==0 || (p-i)%4==1) {
-	  sres.push_back(sResP[i]);
-	  coP.push_back(sResU[i]);
-	  coQ.push_back(sResV[i]);
-	} else {
-	  sres.push_back(-sResP[i]);
-	  coP.push_back(-sResU[i]);
-	  coQ.push_back(-sResV[i]);
-	}
+        if((p-i)%4==0 || (p-i)%4==1) {
+          sres.push_back(sResP[i]);
+          coP.push_back(sResU[i]);
+          coQ.push_back(sResV[i]);
+        } else {
+          sres.push_back(-sResP[i]);
+          coP.push_back(-sResU[i]);
+          coQ.push_back(-sResV[i]);
+        }
       }
 
       CGAL_assertion(static_cast<int>(sres.size())
@@ -665,32 +665,32 @@ namespace CGAL {
       std::copy(coP.rbegin(),coP.rend(),coP_out);
       std::copy(coQ.rbegin(),coQ.rend(),coQ_out);
       return std::copy(sres.rbegin(),sres.rend(),sres_out);
-    
+
     }
 
     // the general function for CGAL::Integral_domain_without_division_tag
-    template <typename Polynomial_traits_d,typename OutputIterator> inline 
-      OutputIterator 
-      polynomial_subresultants_(typename Polynomial_traits_d::Polynomial_d A, 
+    template <typename Polynomial_traits_d,typename OutputIterator> inline
+      OutputIterator
+      polynomial_subresultants_(typename Polynomial_traits_d::Polynomial_d A,
                                 typename Polynomial_traits_d::Polynomial_d B,
                                 OutputIterator out,
                                 CGAL::Integral_domain_without_division_tag){
 
         return bezout_polynomial_subresultants<Polynomial_traits_d>(A,B,out);
-  
+
     }
 
-  
+
     // the specialization for CGAL::Integral_domain_tag
     template <typename Polynomial_traits_d,typename OutputIterator> inline
       OutputIterator
-      polynomial_subresultants_(typename Polynomial_traits_d::Polynomial_d A, 
+      polynomial_subresultants_(typename Polynomial_traits_d::Polynomial_d A,
                                 typename Polynomial_traits_d::Polynomial_d B,
                                 OutputIterator out,
                                 CGAL::Integral_domain_tag){
-    
+
       return prs_polynomial_subresultants<Polynomial_traits_d>(A,B,out);
-    
+
     }
 
     template <typename Polynomial_traits_d,typename OutputIterator> inline
@@ -701,54 +701,54 @@ namespace CGAL {
 
       typedef typename Polynomial_traits_d::Coefficient_type NT;
 
-      typedef typename 
-          CGAL::Algebraic_structure_traits<NT>::Algebraic_category 
+      typedef typename
+          CGAL::Algebraic_structure_traits<NT>::Algebraic_category
           Algebraic_category;
       return polynomial_subresultants_<Polynomial_traits_d>
-          (A,B,out,Algebraic_category());     
+          (A,B,out,Algebraic_category());
     }
 
     // the general function for CGAL::Integral_domain_without_division_tag
-    template <typename Polynomial_traits_d,typename OutputIterator> inline 
-      OutputIterator 
-      principal_subresultants_(typename Polynomial_traits_d::Polynomial_d A, 
+    template <typename Polynomial_traits_d,typename OutputIterator> inline
+      OutputIterator
+      principal_subresultants_(typename Polynomial_traits_d::Polynomial_d A,
                                typename Polynomial_traits_d::Polynomial_d B,
                                OutputIterator out,
                                CGAL::Integral_domain_without_division_tag){
-      
+
       return bezout_principal_subresultants<Polynomial_traits_d>(A,B,out);
-  
+
     }
-    
+
     // the specialization for CGAL::Integral_domain_tag
     template <typename Polynomial_traits_d,typename OutputIterator> inline
       OutputIterator
-      principal_subresultants_(typename Polynomial_traits_d::Polynomial_d A, 
+      principal_subresultants_(typename Polynomial_traits_d::Polynomial_d A,
                                typename Polynomial_traits_d::Polynomial_d B,
                                OutputIterator out,
                                CGAL::Integral_domain_tag){
-    
+
       return prs_principal_subresultants<Polynomial_traits_d>(A,B,out);
-    
+
     }
 
     template <typename Polynomial_traits_d,typename OutputIterator> inline
       OutputIterator principal_subresultants_
-        (typename Polynomial_traits_d::Polynomial_d A, 
+        (typename Polynomial_traits_d::Polynomial_d A,
          typename Polynomial_traits_d::Polynomial_d B,
          OutputIterator out) {
 
         typedef typename Polynomial_traits_d::Coefficient_type NT;
 
-        typedef typename 
-            CGAL::Algebraic_structure_traits<NT>::Algebraic_category 
+        typedef typename
+            CGAL::Algebraic_structure_traits<NT>::Algebraic_category
             Algebraic_category;
         return principal_subresultants_<Polynomial_traits_d>
-            (A,B,out,Algebraic_category());     
+            (A,B,out,Algebraic_category());
     }
 
     template<typename Polynomial_traits_d,
-      typename OutputIterator1, 
+      typename OutputIterator1,
       typename OutputIterator2,
       typename OutputIterator3>
       OutputIterator1 polynomial_subresultants_with_cofactors_
@@ -763,7 +763,7 @@ namespace CGAL {
     }
 
     template<typename Polynomial_traits_d,
-      typename OutputIterator1, 
+      typename OutputIterator1,
       typename OutputIterator2,
       typename OutputIterator3>
       OutputIterator1 polynomial_subresultants_with_cofactors_
@@ -773,14 +773,14 @@ namespace CGAL {
        OutputIterator2 /* coP_out */,
        OutputIterator3 /* coQ_out */,
        CGAL::Integral_domain_without_division_tag) {
-        // polynomial_subresultants_with_cofactors requires 
+        // polynomial_subresultants_with_cofactors requires
         // a model of IntegralDomain as coefficient type;
         CGAL_static_assertion(sizeof(Polynomial_traits_d)==0);
         return sres_out;
     }
 
   template<typename Polynomial_traits_d,
-    typename OutputIterator1, 
+    typename OutputIterator1,
     typename OutputIterator2,
     typename OutputIterator3>
     OutputIterator1 polynomial_subresultants_with_cofactors_
@@ -789,65 +789,65 @@ namespace CGAL {
        OutputIterator1 sres_out,
        OutputIterator2 coP_out,
        OutputIterator3 coQ_out) {
-      
+
       typedef typename Polynomial_traits_d::Coefficient_type NT;
-      
-      typedef typename 
-          CGAL::Algebraic_structure_traits<NT>::Algebraic_category 
+
+      typedef typename
+          CGAL::Algebraic_structure_traits<NT>::Algebraic_category
           Algebraic_category;
       return polynomial_subresultants_with_cofactors_<Polynomial_traits_d>
           (P,Q,sres_out,coP_out,coQ_out,Algebraic_category());
   }
 
   /*! \relates CGAL::Polynomial
-   *  \brief compute the polynomial subresultants of the polynomials 
+   *  \brief compute the polynomial subresultants of the polynomials
    *  \c A and \c B
    *
-   *  If \c n and \c m are the degrees of p and q, 
+   *  If \c n and \c m are the degrees of p and q,
    *  the routine returns a sequence
-   *  of length min(n,m)+1, the (polynomial) subresultants of \c p and \c q. 
+   *  of length min(n,m)+1, the (polynomial) subresultants of \c p and \c q.
    *  It starts with the resultant of \c p and \c q.
    *  The <tt>i</tt>th polynomial has degree at most i.
    *
-   *  The way the subresultants are computed depends on the Algebra_type. 
+   *  The way the subresultants are computed depends on the Algebra_type.
    *  In general the subresultant will be computed by the function
    *  CGAL::bezout_polynomial_subresultants, but if possible the function
    *  CGAL::prs_polynomial_subresultants is used.
    */
   template <typename Polynomial_traits_d,typename OutputIterator> inline
     OutputIterator polynomial_subresultants
-    (typename Polynomial_traits_d::Polynomial_d p, 
+    (typename Polynomial_traits_d::Polynomial_d p,
      typename Polynomial_traits_d::Polynomial_d q,
      OutputIterator out) {
       return CGAL::internal::polynomial_subresultants_<Polynomial_traits_d>
           (p, q, out);
-  }   
+  }
 
   /*! \relates CGAL::Polynomial
-   *  \brief compute the principal subresultants of the polynomials 
+   *  \brief compute the principal subresultants of the polynomials
    *  \c p and \c q
    *
-   *  If \c n and \c m are the degrees of A and B, 
+   *  If \c n and \c m are the degrees of A and B,
    *  the routine returns a sequence
-   *  of length min(n,m)+1, the (principal) subresultants of \c p and \c q, 
-   *  which starts with the resultant of \c p and \c q. 
+   *  of length min(n,m)+1, the (principal) subresultants of \c p and \c q,
+   *  which starts with the resultant of \c p and \c q.
    *
-   *  The way the subresultants are computed depends on the Algebra_type. 
+   *  The way the subresultants are computed depends on the Algebra_type.
    *  In general the subresultant will be computed by the function
    *  CGAL::bezout_principal_subresultants, but if possible the function
    *  CGAL::prs_principal_subresultants is used.
    */
   template <typename Polynomial_traits_d,typename OutputIterator> inline
     OutputIterator principal_subresultants
-    (typename Polynomial_traits_d::Polynomial_d p, 
+    (typename Polynomial_traits_d::Polynomial_d p,
      typename Polynomial_traits_d::Polynomial_d q,
      OutputIterator out) {
       return CGAL::internal::principal_subresultants_<Polynomial_traits_d>
           (p, q, out);
-  }   
- 
+  }
+
   template<typename Polynomial_traits_d,
-    typename OutputIterator1, 
+    typename OutputIterator1,
     typename OutputIterator2,
     typename OutputIterator3>
     OutputIterator1 polynomial_subresultants_with_cofactors
diff -pruN 5.0.2-3/include/CGAL/Polynomial.h 5.0.3-1/include/CGAL/Polynomial.h
--- 5.0.2-3/include/CGAL/Polynomial.h	2020-02-21 20:04:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial.h $
-// $Id: Polynomial.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial.h $
+// $Id: Polynomial.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Arno Eigenwillig <arno@mpi-inf.mpg.de>
 //                 Michael Seel <seel@mpi-inf.mpg.de>
-//                 Michael Hemmer <hemmer@informatik.uni-mainz.de> 
+//                 Michael Hemmer <hemmer@informatik.uni-mainz.de>
 // ============================================================================
 
 // TODO: The comments are all original EXACUS comments and aren't adapted. So
@@ -18,7 +18,7 @@
 
 /*! \file CGAL/Polynomial.h
  *  \brief Defines class CGAL::Polynomial.
- *  
+ *
  *  Polynomials in one variable (or more, by recursion)
  */
 
diff -pruN 5.0.2-3/include/CGAL/Polynomials_1_2.h 5.0.3-1/include/CGAL/Polynomials_1_2.h
--- 5.0.2-3/include/CGAL/Polynomials_1_2.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomials_1_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_circles/include/CGAL/Polynomials_1_2.h $
-// $Id: Polynomials_1_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_circles/include/CGAL/Polynomials_1_2.h $
+// $Id: Polynomials_1_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_ALGEBRAIC_KERNEL_FOR_CIRCLES_POLYNOMIALS_1_2_H
@@ -29,15 +29,15 @@ template < typename RT_ >
 class Polynomial_1_2
 {
   RT_ rep[3]; // stores a, b, c for line ax+by+c=0
-  
+
 public:
-  
+
   typedef RT_ RT;
-  
+
   Polynomial_1_2(){}
-  
+
   Polynomial_1_2(const RT & a, const RT & b, const RT & c)
-  { 
+  {
     rep[0]=a;
     rep[1]=b;
     rep[2]=c;
@@ -54,15 +54,15 @@ public:
 };
 
 template < typename RT >
-bool 
+bool
 operator == ( const Polynomial_1_2<RT> & p1,
-	      const Polynomial_1_2<RT> & p2 )
+              const Polynomial_1_2<RT> & p2 )
 {
-  return( (p1.a() == p2.a()) && 
+  return( (p1.a() == p2.a()) &&
               (p1.b() == p2.b()) &&
               (p1.c() == p2.c()) );
 }
-    
+
 } //namespace CGAL
 
 #endif //CGAL_ALGEBRAIC_KERNEL_FOR_CIRCLES_POLYNOMIALS_1_2_H
diff -pruN 5.0.2-3/include/CGAL/Polynomials_1_3.h 5.0.3-1/include/CGAL/Polynomials_1_3.h
--- 5.0.2-3/include/CGAL/Polynomials_1_3.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomials_1_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -4,13 +4,13 @@
 // This file is part of CGAL (www.cgal.org).
 //
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_spheres/include/CGAL/Polynomials_1_3.h $
-// $Id: Polynomials_1_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_spheres/include/CGAL/Polynomials_1_3.h $
+// $Id: Polynomials_1_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -34,15 +34,15 @@ template < typename FT_ >
 class Polynomial_1_3
 {
   FT_ rep[4]; // stores a, b, c, d
-  
+
 public:
-  
+
   typedef FT_ FT;
-  
+
   Polynomial_1_3(){}
-  
+
   Polynomial_1_3(const FT & a, const FT & b, const FT & c, const FT & d)
-  { 
+  {
     rep[0]=a;
     rep[1]=b;
     rep[2]=c;
@@ -54,10 +54,10 @@ public:
 
   const FT & b() const
   { return rep[1]; }
-  
+
   const FT & c() const
   { return rep[2]; }
-  
+
   const FT & d() const
   { return rep[3]; }
 
@@ -78,21 +78,21 @@ public:
 
 template < typename FT >
 inline
-bool 
+bool
 operator == ( const Polynomial_1_3<FT> & p1,
-	      const Polynomial_1_3<FT> & p2 )
+              const Polynomial_1_3<FT> & p2 )
 {
-  return( (p1.a() == p2.a()) && 
-	  (p1.b() == p2.b()) &&
-	  (p1.c() == p2.c()) &&
-	  (p1.d() == p2.d()) );
+  return( (p1.a() == p2.a()) &&
+          (p1.b() == p2.b()) &&
+          (p1.c() == p2.c()) &&
+          (p1.d() == p2.d()) );
 }
 
 template < typename FT >
 inline
-bool 
+bool
 same_solutions ( const Polynomial_1_3<FT> & p1,
-	         const Polynomial_1_3<FT> & p2 )
+                 const Polynomial_1_3<FT> & p2 )
 {
   if(p1.undefined()) return p2.undefined();
   if(p1.empty_space()) return p2.empty_space();
diff -pruN 5.0.2-3/include/CGAL/Polynomials_2_2.h 5.0.3-1/include/CGAL/Polynomials_2_2.h
--- 5.0.2-3/include/CGAL/Polynomials_2_2.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomials_2_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_circles/include/CGAL/Polynomials_2_2.h $
-// $Id: Polynomials_2_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_circles/include/CGAL/Polynomials_2_2.h $
+// $Id: Polynomials_2_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_ALGEBRAIC_KERNEL_FOR_CIRCLES_POLYNOMIALS_2_2_H
@@ -32,15 +32,15 @@ template < typename FT_ >
 class Polynomial_for_circles_2_2
 {
   FT_ rep[3]; // stores a, b, R^2
-  
+
 public:
-  
+
   typedef FT_ FT;
-  
+
   Polynomial_for_circles_2_2(){}
-  
+
   Polynomial_for_circles_2_2(const FT & a, const FT & b, const FT & rsq)
-  { 
+  {
     rep[0]=a;
     rep[1]=b;
     rep[2]=rsq;
@@ -51,17 +51,17 @@ public:
 
   const FT & b() const
   { return rep[1]; }
-  
+
   const FT & r_sq() const
   { return rep[2]; }
 };
 
 template < typename FT >
-bool 
+bool
 operator == ( const Polynomial_for_circles_2_2<FT> & p1,
-	      const Polynomial_for_circles_2_2<FT> & p2 )
+              const Polynomial_for_circles_2_2<FT> & p2 )
 {
-  return( (p1.a() == p2.a()) && 
+  return( (p1.a() == p2.a()) &&
               (p1.b() == p2.b()) &&
               (p1.r_sq() == p2.r_sq()) );
 }
diff -pruN 5.0.2-3/include/CGAL/Polynomials_2_3.h 5.0.3-1/include/CGAL/Polynomials_2_3.h
--- 5.0.2-3/include/CGAL/Polynomials_2_3.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomials_2_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -4,13 +4,13 @@
 // This file is part of CGAL (www.cgal.org).
 //
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_spheres/include/CGAL/Polynomials_2_3.h $
-// $Id: Polynomials_2_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_spheres/include/CGAL/Polynomials_2_3.h $
+// $Id: Polynomials_2_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -34,15 +34,15 @@ template < typename FT_ >
 class Polynomial_for_spheres_2_3
 {
   FT_ rep[4]; // stores a, b, c, R^2
-  
+
 public:
-  
+
   typedef FT_ FT;
-  
+
   Polynomial_for_spheres_2_3(){}
-  
+
   Polynomial_for_spheres_2_3(const FT & a, const FT & b, const FT & c, const FT & rsq)
-  { 
+  {
     rep[0]=a;
     rep[1]=b;
     rep[2]=c;
@@ -54,10 +54,10 @@ public:
 
   const FT & b() const
   { return rep[1]; }
-  
+
   const FT & c() const
   { return rep[2]; }
-  
+
   const FT & r_sq() const
   { return rep[3]; }
 
@@ -73,14 +73,14 @@ public:
 
 template < typename FT >
 inline
-bool 
+bool
 operator == ( const Polynomial_for_spheres_2_3<FT> & p1,
-	      const Polynomial_for_spheres_2_3<FT> & p2 )
+              const Polynomial_for_spheres_2_3<FT> & p2 )
 {
-  return( (p1.a() == p2.a()) && 
-	  (p1.b() == p2.b()) &&
-	  (p1.c() == p2.c()) &&
-	  (p1.r_sq() == p2.r_sq()) );
+  return( (p1.a() == p2.a()) &&
+          (p1.b() == p2.b()) &&
+          (p1.c() == p2.c()) &&
+          (p1.r_sq() == p2.r_sq()) );
 }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Polynomials_for_line_3.h 5.0.3-1/include/CGAL/Polynomials_for_line_3.h
--- 5.0.2-3/include/CGAL/Polynomials_for_line_3.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomials_for_line_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -4,13 +4,13 @@
 // This file is part of CGAL (www.cgal.org).
 //
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_spheres/include/CGAL/Polynomials_for_line_3.h $
-// $Id: Polynomials_for_line_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_spheres/include/CGAL/Polynomials_for_line_3.h $
+// $Id: Polynomials_for_line_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -35,15 +35,15 @@ class Polynomials_for_line_3
               // y = a2 t + b2
               // z = a3 t + b3
 public:
-  
+
   typedef FT_ FT;
-  
+
   Polynomials_for_line_3(){}
-  
-  Polynomials_for_line_3(const FT & a1, const FT & b1, 
+
+  Polynomials_for_line_3(const FT & a1, const FT & b1,
                  const FT & a2, const FT & b2,
                  const FT & a3, const FT & b3)
-  { 
+  {
     rep[0] = a1;
     rep[1] = b1;
     rep[2] = a2;
@@ -57,16 +57,16 @@ public:
 
   const FT & b1() const
   { return rep[1]; }
-  
+
   const FT & a2() const
   { return rep[2]; }
-  
+
   const FT & b2() const
   { return rep[3]; }
 
   const FT & a3() const
   { return rep[4]; }
-  
+
   const FT & b3() const
   { return rep[5]; }
 
@@ -80,16 +80,16 @@ public:
 
 template < typename FT >
 inline
-bool 
+bool
 operator == ( const Polynomials_for_line_3<FT> & p1,
-	      const Polynomials_for_line_3<FT> & p2 )
+              const Polynomials_for_line_3<FT> & p2 )
 {
-  return( (p1.a1() == p2.a1()) && 
-	  (p1.b1() == p2.b1()) &&
-	  (p1.a2() == p2.a2()) &&
-	  (p1.b2() == p2.b2()) &&
+  return( (p1.a1() == p2.a1()) &&
+          (p1.b1() == p2.b1()) &&
+          (p1.a2() == p2.a2()) &&
+          (p1.b2() == p2.b2()) &&
           (p1.a3() == p2.a3()) &&
-	  (p1.b3() == p2.b3()));
+          (p1.b3() == p2.b3()));
 }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Polynomial_traits_d.h 5.0.3-1/include/CGAL/Polynomial_traits_d.h
--- 5.0.2-3/include/CGAL/Polynomial_traits_d.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial_traits_d.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial_traits_d.h $
-// $Id: Polynomial_traits_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial_traits_d.h $
+// $Id: Polynomial_traits_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Michael Hemmer <hemmer@informatik.uni-mainz.de> 
+//
+// Author(s)     : Michael Hemmer <hemmer@informatik.uni-mainz.de>
 //                 Sebastian Limbach <slimbach@mpi-inf.mpg.de>
 //
 // ============================================================================
@@ -36,7 +36,7 @@
 #include <CGAL/Polynomial/subresultants.h>
 #include <CGAL/Polynomial/sturm_habicht_sequence.h>
 
-#include <CGAL/boost/iterator/transform_iterator.hpp> 
+#include <CGAL/boost/iterator/transform_iterator.hpp>
 #include <CGAL/tss.h>
 
 
@@ -76,7 +76,7 @@
                     Coefficient_const_iterator>                         \
   Coefficient_const_iterator_range;                                     \
 
- 
+
 
 namespace CGAL {
 
@@ -85,37 +85,37 @@ namespace internal {
 // Base class for functors depending on the algebraic category of the
 // innermost coefficient
 template< class Coefficient_type_, class ICoeffAlgebraicCategory >
-class Polynomial_traits_d_base_icoeff_algebraic_category {    
-public:    
+class Polynomial_traits_d_base_icoeff_algebraic_category {
+public:
   typedef Null_functor    Multivariate_content;
 };
 
 // Specializations
 template< class Coefficient_type_ >
-class Polynomial_traits_d_base_icoeff_algebraic_category< 
-            Polynomial< Coefficient_type_ >, Integral_domain_without_division_tag > 
-  : public Polynomial_traits_d_base_icoeff_algebraic_category< 
+class Polynomial_traits_d_base_icoeff_algebraic_category<
+            Polynomial< Coefficient_type_ >, Integral_domain_without_division_tag >
+  : public Polynomial_traits_d_base_icoeff_algebraic_category<
                 Polynomial< Coefficient_type_ >, Null_tag > {};
 
 template< class Coefficient_type_ >
-class Polynomial_traits_d_base_icoeff_algebraic_category< 
+class Polynomial_traits_d_base_icoeff_algebraic_category<
        Polynomial< Coefficient_type_ >, Integral_domain_tag >
-  : public Polynomial_traits_d_base_icoeff_algebraic_category< 
-       Polynomial< Coefficient_type_ >, Integral_domain_without_division_tag > {}; 
+  : public Polynomial_traits_d_base_icoeff_algebraic_category<
+       Polynomial< Coefficient_type_ >, Integral_domain_without_division_tag > {};
 
 template< class Coefficient_type_ >
-class Polynomial_traits_d_base_icoeff_algebraic_category< 
+class Polynomial_traits_d_base_icoeff_algebraic_category<
             Polynomial< Coefficient_type_ >, Unique_factorization_domain_tag >
-  : public Polynomial_traits_d_base_icoeff_algebraic_category< 
+  : public Polynomial_traits_d_base_icoeff_algebraic_category<
                 Polynomial< Coefficient_type_ >, Integral_domain_tag > {
   CGAL_POLYNOMIAL_TRAITS_D_BASE_TYPEDEFS
-    
-public:    
 
- 
+public:
+
+
  struct Multivariate_content
     : public CGAL::cpp98::unary_function< Polynomial_d , Innermost_coefficient_type >{
-    Innermost_coefficient_type 
+    Innermost_coefficient_type
     operator()(const Polynomial_d& p) const {
       typedef Innermost_coefficient_const_iterator IT;
       Innermost_coefficient_type content(0);
@@ -127,24 +127,24 @@ public:
       return content;
     }
   };
-}; 
+};
 
 template< class Coefficient_type_ >
-class Polynomial_traits_d_base_icoeff_algebraic_category< 
+class Polynomial_traits_d_base_icoeff_algebraic_category<
             Polynomial< Coefficient_type_ >, Euclidean_ring_tag >
-  : public Polynomial_traits_d_base_icoeff_algebraic_category< 
+  : public Polynomial_traits_d_base_icoeff_algebraic_category<
                 Polynomial< Coefficient_type_ >, Unique_factorization_domain_tag >
-{}; 
+{};
 
 template< class Coefficient_type_ >
-class Polynomial_traits_d_base_icoeff_algebraic_category< 
+class Polynomial_traits_d_base_icoeff_algebraic_category<
             Polynomial< Coefficient_type_ >, Field_tag >
-  : public Polynomial_traits_d_base_icoeff_algebraic_category< 
+  : public Polynomial_traits_d_base_icoeff_algebraic_category<
                 Polynomial< Coefficient_type_ >, Integral_domain_tag > {
   CGAL_POLYNOMIAL_TRAITS_D_BASE_TYPEDEFS
 
 public:
-    
+
   //       Multivariate_content;
   struct Multivariate_content
     : public CGAL::cpp98::unary_function< Polynomial_d , Innermost_coefficient_type >{
@@ -158,27 +158,27 @@ public:
 };
 
 template< class Coefficient_type_ >
-class Polynomial_traits_d_base_icoeff_algebraic_category< 
+class Polynomial_traits_d_base_icoeff_algebraic_category<
             Polynomial< Coefficient_type_ >, Field_with_sqrt_tag >
-  : public Polynomial_traits_d_base_icoeff_algebraic_category< 
-                Polynomial< Coefficient_type_ >, Field_tag > {}; 
+  : public Polynomial_traits_d_base_icoeff_algebraic_category<
+                Polynomial< Coefficient_type_ >, Field_tag > {};
 
 template< class Coefficient_type_ >
-class Polynomial_traits_d_base_icoeff_algebraic_category< 
+class Polynomial_traits_d_base_icoeff_algebraic_category<
             Polynomial< Coefficient_type_ >, Field_with_kth_root_tag >
-  : public Polynomial_traits_d_base_icoeff_algebraic_category< 
-                Polynomial< Coefficient_type_ >, Field_with_sqrt_tag > {}; 
- 
+  : public Polynomial_traits_d_base_icoeff_algebraic_category<
+                Polynomial< Coefficient_type_ >, Field_with_sqrt_tag > {};
+
 template< class Coefficient_type_ >
-class Polynomial_traits_d_base_icoeff_algebraic_category< 
+class Polynomial_traits_d_base_icoeff_algebraic_category<
             Polynomial< Coefficient_type_ >, Field_with_root_of_tag >
-  : public Polynomial_traits_d_base_icoeff_algebraic_category< 
-                Polynomial< Coefficient_type_ >, Field_with_kth_root_tag > {}; 
+  : public Polynomial_traits_d_base_icoeff_algebraic_category<
+                Polynomial< Coefficient_type_ >, Field_with_kth_root_tag > {};
 
 // Base class for functors depending on the algebraic category of the
 // Polynomial type
 template< class Coefficient_type_, class PolynomialAlgebraicCategory >
-class Polynomial_traits_d_base_polynomial_algebraic_category {        
+class Polynomial_traits_d_base_polynomial_algebraic_category {
 public:
   typedef Null_functor    Univariate_content;
   typedef Null_functor    Square_free_factorize;
@@ -205,7 +205,7 @@ class Polynomial_traits_d_base_polynomia
   CGAL_POLYNOMIAL_TRAITS_D_BASE_TYPEDEFS
 
 public:
-    
+
   //       Univariate_content
   struct Univariate_content
     : public CGAL::cpp98::unary_function< Polynomial_d , Coefficient_type>{
@@ -213,32 +213,32 @@ public:
       return p.content();
     }
   };
-    
+
   //       Square_free_factorize;
   struct Square_free_factorize{
-    
+
     template < class OutputIterator >
     OutputIterator operator()( const Polynomial_d& p, OutputIterator oi) const {
       std::vector<Polynomial_d> factors;
-      std::vector<int> mults; 
-      
+      std::vector<int> mults;
+
       square_free_factorize
         ( p, std::back_inserter(factors), std::back_inserter(mults) );
-      
+
       CGAL_postcondition( factors.size() == mults.size() );
       for(unsigned int i = 0; i < factors.size(); i++){
         *oi++=std::make_pair(factors[i],mults[i]);
       }
-      
+
       return oi;
     }
-    
+
     template< class OutputIterator >
-    OutputIterator operator()( 
-        const Polynomial_d&    p , 
-        OutputIterator         oi, 
+    OutputIterator operator()(
+        const Polynomial_d&    p ,
+        OutputIterator         oi,
         Innermost_coefficient_type& a ) const {
-      
+
       if( CGAL::is_zero(p) ) {
         a = Innermost_coefficient_type(0);
         return oi;
@@ -247,11 +247,11 @@ public:
       typedef Polynomial_traits_d< Polynomial_d > PT;
       typename PT::Innermost_leading_coefficient ilcoeff;
       typename PT::Multivariate_content mcontent;
-      a = CGAL::unit_part( ilcoeff( p ) ) * mcontent( p ); 
-      
+      a = CGAL::unit_part( ilcoeff( p ) ) * mcontent( p );
+
       return (*this)( p/Polynomial_d(a), oi);
     }
-  };   
+  };
 };
 
 template< class Coefficient_type_ >
@@ -266,26 +266,26 @@ class Polynomial_traits_d_base_polynomia
 //  nomial type.
 
 // First the general base class for the innermost coefficient
-template< class InnermostCoefficient_type, 
+template< class InnermostCoefficient_type,
           class ICoeffAlgebraicCategory, class PolynomialAlgebraicCategory >
 class Polynomial_traits_d_base {
   typedef InnermostCoefficient_type ICoeff;
 public:
   static const int d = 0;
-    
+
   typedef ICoeff Polynomial_d;
   typedef ICoeff Coefficient_type;
   typedef ICoeff Innermost_coefficient_type;
-    
-  struct Degree 
+
+  struct Degree
     : public CGAL::cpp98::unary_function< ICoeff , int > {
     int operator()(const ICoeff&) const { return 0; }
   };
-  struct Total_degree 
+  struct Total_degree
     : public CGAL::cpp98::unary_function< ICoeff , int > {
     int operator()(const ICoeff&) const { return 0; }
   };
-    
+
   typedef Null_functor  Construct_polynomial;
   typedef Null_functor  Get_coefficient;
   typedef Null_functor  Leading_coefficient;
@@ -298,31 +298,31 @@ public:
   typedef Null_functor  Translate_homogeneous;
   typedef Null_functor  Scale_homogeneous;
   typedef Null_functor  Differentiate;
-    
+
   struct Is_square_free
     : public CGAL::cpp98::unary_function< ICoeff, bool > {
     bool operator()( const ICoeff& ) const {
       return true;
     }
   };
-    
-  struct Make_square_free 
+
+  struct Make_square_free
     : public CGAL::cpp98::unary_function< ICoeff, ICoeff>{
     ICoeff operator()( const ICoeff& x ) const {
       if (CGAL::is_zero(x)) return x ;
       else  return ICoeff(1);
     }
   };
-        
+
   typedef Null_functor  Square_free_factorize;
   typedef Null_functor  Pseudo_division;
   typedef Null_functor  Pseudo_division_remainder;
   typedef Null_functor  Pseudo_division_quotient;
 
-  struct Gcd_up_to_constant_factor 
+  struct Gcd_up_to_constant_factor
     : public CGAL::cpp98::binary_function< ICoeff, ICoeff, ICoeff >{
     ICoeff operator()(const ICoeff& x, const ICoeff& y) const {
-      if (CGAL::is_zero(x) && CGAL::is_zero(y)) 
+      if (CGAL::is_zero(x) && CGAL::is_zero(y))
         return ICoeff(0);
       else
         return ICoeff(1);
@@ -334,7 +334,7 @@ public:
   struct Univariate_content_up_to_constant_factor
     : public CGAL::cpp98::unary_function< ICoeff, ICoeff >{
     ICoeff operator()(const ICoeff& ) const {
-      // TODO: Why not return 0 if argument is 0 ? 
+      // TODO: Why not return 0 if argument is 0 ?
       return ICoeff(1);
     }
   };
@@ -343,70 +343,70 @@ public:
   typedef Null_functor  Resultant;
   typedef Null_functor  Canonicalize;
   typedef Null_functor  Evaluate_homogeneous;
-    
+
   struct Innermost_leading_coefficient
     :public CGAL::cpp98::unary_function <ICoeff, ICoeff>{
     const ICoeff& operator()(const ICoeff& x){return x;}
   };
-    
+
   struct Degree_vector{
     typedef Exponent_vector         result_type;
     typedef Coefficient_type             argument_type;
-    // returns the exponent vector of inner_most_lcoeff. 
+    // returns the exponent vector of inner_most_lcoeff.
     result_type operator()(const Coefficient_type&) const{
       return Exponent_vector();
     }
   };
-  
-  struct Get_innermost_coefficient 
+
+  struct Get_innermost_coefficient
     : public CGAL::cpp98::binary_function< ICoeff, Polynomial_d, Exponent_vector > {
     const ICoeff& operator()( const Polynomial_d& p, Exponent_vector ) {
       return p;
     }
   };
-    
+
   typedef Null_functor Evaluate ;
-    
+
   struct Substitute{
   public:
     template <class Input_iterator>
-    typename 
+    typename
     CGAL::Coercion_traits<
         typename std::iterator_traits<Input_iterator>::value_type,
                                    Innermost_coefficient_type>::Type
     operator()(
-        const Innermost_coefficient_type& p, 
-        Input_iterator CGAL_precondition_code(begin), 
-        Input_iterator CGAL_precondition_code(end) ) const { 
+        const Innermost_coefficient_type& p,
+        Input_iterator CGAL_precondition_code(begin),
+        Input_iterator CGAL_precondition_code(end) ) const {
       CGAL_precondition(end == begin);
-      typedef typename std::iterator_traits<Input_iterator>::value_type 
+      typedef typename std::iterator_traits<Input_iterator>::value_type
         value_type;
       typedef CGAL::Coercion_traits<Innermost_coefficient_type,value_type> CT;
       return typename CT::Cast()(p);
-    } 
+    }
   };
 
   struct Substitute_homogeneous{
   public:
     // this is the end of the recursion
-    // begin contains the homogeneous variabel 
-    // hdegree is the remaining degree 
+    // begin contains the homogeneous variabel
+    // hdegree is the remaining degree
     template <class Input_iterator>
-    typename 
+    typename
     CGAL::Coercion_traits<
         typename std::iterator_traits<Input_iterator>::value_type,
                                    Innermost_coefficient_type>::Type
     operator()(
-        const Innermost_coefficient_type& p, 
-        Input_iterator begin, 
+        const Innermost_coefficient_type& p,
+        Input_iterator begin,
         Input_iterator CGAL_precondition_code(end),
-        int hdegree) const { 
-      
-      typedef typename std::iterator_traits<Input_iterator>::value_type 
+        int hdegree) const {
+
+      typedef typename std::iterator_traits<Input_iterator>::value_type
         value_type;
       typedef CGAL::Coercion_traits<Innermost_coefficient_type,value_type> CT;
-      typename CT::Type result =   
-        typename CT::Cast()(CGAL::ipower(*begin++,hdegree)) 
+      typename CT::Type result =
+        typename CT::Cast()(CGAL::ipower(*begin++,hdegree))
         * typename CT::Cast()(p);
 
       CGAL_precondition(end == begin);
@@ -416,168 +416,168 @@ public:
   };
 };
 
-// Now the version for the polynomials with all functors provided by all 
+// Now the version for the polynomials with all functors provided by all
 // polynomials
 template< class Coefficient_type_,
           class ICoeffAlgebraicCategory, class PolynomialAlgebraicCategory >
 class Polynomial_traits_d_base< Polynomial< Coefficient_type_ >,
           ICoeffAlgebraicCategory, PolynomialAlgebraicCategory >
-  : public Polynomial_traits_d_base_icoeff_algebraic_category< 
+  : public Polynomial_traits_d_base_icoeff_algebraic_category<
         Polynomial< Coefficient_type_ >, ICoeffAlgebraicCategory >,
     public Polynomial_traits_d_base_polynomial_algebraic_category<
-        Polynomial< Coefficient_type_ >, PolynomialAlgebraicCategory > {      
-                 
-  typedef Polynomial_traits_d< Polynomial< Coefficient_type_ > > PT;         
-  typedef Polynomial_traits_d< Coefficient_type_ > PTC;                      
-                                                                        
-  public:                                                               
-  typedef Polynomial<Coefficient_type_>                  Polynomial_d;       
-  typedef Coefficient_type_                              Coefficient_type;        
-          
-  typedef typename internal::Innermost_coefficient_type<Polynomial_d>::Type    
-  Innermost_coefficient_type;              
-  static const int d = Dimension<Polynomial_d>::value; 
-                                                          
-private:                                                              
-  typedef std::pair< Exponent_vector, Innermost_coefficient_type >           
-  Exponents_coeff_pair;                                                 
-  typedef std::vector< Exponents_coeff_pair > Monom_rep;                
-                                                                        
-  typedef CGAL::Recursive_const_flattening< d-1,                        
-    typename CGAL::Polynomial<Coefficient_type>::const_iterator >            
-  Coefficient_const_flattening;                                               
-                                                                        
-  public:                                                               
-  typedef typename Coefficient_const_flattening::Recursive_flattening_iterator 
-  Innermost_coefficient_const_iterator;                                       
-  typedef typename  Polynomial_d::const_iterator Coefficient_const_iterator;       
-  
-  typedef std::pair<Innermost_coefficient_const_iterator,               
-                    Innermost_coefficient_const_iterator>               
+        Polynomial< Coefficient_type_ >, PolynomialAlgebraicCategory > {
+
+  typedef Polynomial_traits_d< Polynomial< Coefficient_type_ > > PT;
+  typedef Polynomial_traits_d< Coefficient_type_ > PTC;
+
+  public:
+  typedef Polynomial<Coefficient_type_>                  Polynomial_d;
+  typedef Coefficient_type_                              Coefficient_type;
+
+  typedef typename internal::Innermost_coefficient_type<Polynomial_d>::Type
+  Innermost_coefficient_type;
+  static const int d = Dimension<Polynomial_d>::value;
+
+private:
+  typedef std::pair< Exponent_vector, Innermost_coefficient_type >
+  Exponents_coeff_pair;
+  typedef std::vector< Exponents_coeff_pair > Monom_rep;
+
+  typedef CGAL::Recursive_const_flattening< d-1,
+    typename CGAL::Polynomial<Coefficient_type>::const_iterator >
+  Coefficient_const_flattening;
+
+  public:
+  typedef typename Coefficient_const_flattening::Recursive_flattening_iterator
+  Innermost_coefficient_const_iterator;
+  typedef typename  Polynomial_d::const_iterator Coefficient_const_iterator;
+
+  typedef std::pair<Innermost_coefficient_const_iterator,
+                    Innermost_coefficient_const_iterator>
                     Innermost_coefficient_const_iterator_range;
-                                                                        
-  typedef std::pair<Coefficient_const_iterator,                         
-                    Coefficient_const_iterator>                         
-                    Coefficient_const_iterator_range;         
+
+  typedef std::pair<Coefficient_const_iterator,
+                    Coefficient_const_iterator>
+                    Coefficient_const_iterator_range;
 
 
   // We use our own Strict Weak Ordering predicate in order to avoid
   // problems when calling sort for a Exponents_coeff_pair where the
   // coeff type has no comparison operators available.
 private:
-  struct Compare_exponents_coeff_pair 
+  struct Compare_exponents_coeff_pair
     : public CGAL::cpp98::binary_function<
        std::pair< Exponent_vector, Innermost_coefficient_type >,
        std::pair< Exponent_vector, Innermost_coefficient_type >,
-       bool > 
+       bool >
   {
-    bool operator()( 
+    bool operator()(
         const std::pair< Exponent_vector, Innermost_coefficient_type >& p1,
         const std::pair< Exponent_vector, Innermost_coefficient_type >& p2 ) const {
-      // TODO: Precondition leads to an error within test_translate in 
+      // TODO: Precondition leads to an error within test_translate in
       // Polynomial_traits_d test
       // CGAL_precondition( p1.first != p2.first );
       return p1.first < p2.first;
-    }            
-  }; 
+    }
+  };
 
 public:
 
   //
-  // Functors as defined in the reference manual 
+  // Functors as defined in the reference manual
   // (with sometimes slightly extended functionality)
 
   // Construct_polynomial;
   struct Construct_polynomial {
-        
+
     typedef Polynomial_d  result_type;
-        
+
     Polynomial_d operator()()  const {
       return Polynomial_d(0);
     }
-        
+
     template <class T>
     Polynomial_d operator()( T a ) const {
       return Polynomial_d(a);
     }
-        
+
     //! construct the constant polynomial a0
     Polynomial_d operator() (const Coefficient_type& a0) const
     {return Polynomial_d(a0);}
-        
+
     //! construct the polynomial a0 + a1*x
     Polynomial_d operator() (
         const Coefficient_type& a0, const Coefficient_type& a1) const
     {return Polynomial_d(a0,a1);}
-        
+
     //! construct the polynomial a0 + a1*x + a2*x^2
     Polynomial_d operator() (
         const Coefficient_type& a0, const Coefficient_type& a1,
         const Coefficient_type& a2) const
     {return Polynomial_d(a0,a1,a2);}
-        
+
     //! construct the polynomial a0 + a1*x + ... + a3*x^3
     Polynomial_d operator() (
         const Coefficient_type& a0, const Coefficient_type& a1,
         const Coefficient_type& a2, const Coefficient_type& a3) const
     {return Polynomial_d(a0,a1,a2,a3);}
-        
+
     //! construct the polynomial a0 + a1*x + ... + a4*x^4
     Polynomial_d operator() (
         const Coefficient_type& a0, const Coefficient_type& a1,
         const Coefficient_type& a2, const Coefficient_type& a3,
         const Coefficient_type& a4) const
     {return Polynomial_d(a0,a1,a2,a3,a4);}
-        
+
     //! construct the polynomial a0 + a1*x + ... + a5*x^5
     Polynomial_d operator() (
         const Coefficient_type& a0, const Coefficient_type& a1,
         const Coefficient_type& a2, const Coefficient_type& a3,
         const Coefficient_type& a4, const Coefficient_type& a5) const
     {return Polynomial_d(a0,a1,a2,a3,a4,a5);}
-        
+
     //! construct the polynomial a0 + a1*x + ... + a6*x^6
     Polynomial_d operator() (
         const Coefficient_type& a0, const Coefficient_type& a1,
         const Coefficient_type& a2, const Coefficient_type& a3,
-        const Coefficient_type& a4, const Coefficient_type& a5, 
+        const Coefficient_type& a4, const Coefficient_type& a5,
         const Coefficient_type& a6) const
     {return Polynomial_d(a0,a1,a2,a3,a4,a5,a6);}
-        
+
     //! construct the polynomial a0 + a1*x + ... + a7*x^7
     Polynomial_d operator() (
         const Coefficient_type& a0, const Coefficient_type& a1,
         const Coefficient_type& a2, const Coefficient_type& a3,
-        const Coefficient_type& a4, const Coefficient_type& a5, 
+        const Coefficient_type& a4, const Coefficient_type& a5,
         const Coefficient_type& a6, const Coefficient_type& a7) const
     {return Polynomial_d(a0,a1,a2,a3,a4,a5,a6,a7);}
-        
+
     //! construct the polynomial a0 + a1*x + ... + a8*x^8
     Polynomial_d operator() (
         const Coefficient_type& a0, const Coefficient_type& a1,
         const Coefficient_type& a2, const Coefficient_type& a3,
-        const Coefficient_type& a4, const Coefficient_type& a5, 
+        const Coefficient_type& a4, const Coefficient_type& a5,
         const Coefficient_type& a6, const Coefficient_type& a7,
-        const Coefficient_type& a8) const 
+        const Coefficient_type& a8) const
     {return Polynomial_d(a0,a1,a2,a3,a4,a5,a6,a7,a8);}
 
 #if 1
   private:
-    template <class Input_iterator, class NT> Polynomial_d 
+    template <class Input_iterator, class NT> Polynomial_d
     construct_value_type(Input_iterator begin, Input_iterator end, NT) const {
       typedef CGAL::Coercion_traits<NT,Coefficient_type> CT;
-      CGAL_static_assertion((boost::is_same<typename CT::Type,Coefficient_type>::value));    
-      typename CT::Cast cast; 
+      CGAL_static_assertion((boost::is_same<typename CT::Type,Coefficient_type>::value));
+      typename CT::Cast cast;
       return Polynomial_d(
           boost::make_transform_iterator(begin,cast),
           boost::make_transform_iterator(end,cast));
     }
-    
-    template <class Input_iterator, class NT> Polynomial_d 
+
+    template <class Input_iterator, class NT> Polynomial_d
     construct_value_type(Input_iterator begin, Input_iterator end, std::pair<Exponent_vector,NT>) const {
-      return (*this)(begin,end,false);// construct from non sorted monom rep 
+      return (*this)(begin,end,false);// construct from non sorted monom rep
     }
-    
+
   public:
     template< class Input_iterator >
     Polynomial_d operator()( Input_iterator begin, Input_iterator end) const {
@@ -585,65 +585,65 @@ public:
       typedef typename std::iterator_traits<Input_iterator>::value_type value_type;
       return construct_value_type(begin,end,value_type());
     }
-    
+
     template< class Input_iterator >
     Polynomial_d operator()( Input_iterator begin, Input_iterator end, bool is_sorted) const {
       // Avoid compiler warning
       (void)is_sorted;
       if(begin == end ) return Polynomial_d(0);
       Monom_rep monom_rep(begin,end);
-      // if(!is_sorted) 
-      std::sort(monom_rep.begin(),monom_rep.end(),Compare_exponents_coeff_pair()); 
+      // if(!is_sorted)
+      std::sort(monom_rep.begin(),monom_rep.end(),Compare_exponents_coeff_pair());
       return Create_polynomial_from_monom_rep<Coefficient_type>()(monom_rep.begin(),monom_rep.end());
     }
 #else
-    
-    // Construct from Coefficient type 
+
+    // Construct from Coefficient type
     template< class Input_iterator >
-    inline Polynomial_d 
+    inline Polynomial_d
     construct( Input_iterator begin, Input_iterator end, Tag_true) const {
       if(begin == end ) return Polynomial_d(0);
       return Polynomial_d(begin,end);
     }
-    // Construct from momom rep     
+    // Construct from momom rep
     template< class Input_iterator >
-    inline Polynomial_d 
+    inline Polynomial_d
     construct( Input_iterator begin, Input_iterator end, Tag_false) const {
-      // construct from non sorted monom rep 
+      // construct from non sorted monom rep
       return (*this)(begin,end,false);
     }
-        
+
     template< class Input_iterator >
-    Polynomial_d 
+    Polynomial_d
     operator()( Input_iterator begin, Input_iterator end ) const {
       if(begin == end ) return Polynomial_d(0);
       typedef typename std::iterator_traits<Input_iterator>::value_type value_type;
-      typedef Boolean_tag<boost::is_same<value_type,Coefficient_type>::value> 
+      typedef Boolean_tag<boost::is_same<value_type,Coefficient_type>::value>
         Is_coeff;
       std::vector<value_type> vec(begin,end);
       return construct(vec.begin(),vec.end(),Is_coeff());
     }
 
-    
+
     template< class Input_iterator >
-    Polynomial_d 
+    Polynomial_d
     operator()(Input_iterator begin, Input_iterator end , bool is_sorted) const{
-      if(!is_sorted) 
-        std::sort(begin,end,Compare_exponents_coeff_pair()); 
-      return Create_polynomial_from_monom_rep< Coefficient_type >()(begin,end); 
+      if(!is_sorted)
+        std::sort(begin,end,Compare_exponents_coeff_pair());
+      return Create_polynomial_from_monom_rep< Coefficient_type >()(begin,end);
     }
 #endif
 
-  public: 
+  public:
 
     template< class T >
     class Create_polynomial_from_monom_rep {
     public:
       template <class Monom_rep_iterator>
-      Polynomial_d operator()( 
+      Polynomial_d operator()(
           Monom_rep_iterator begin,
           Monom_rep_iterator end) const {
-                
+
         Innermost_coefficient_type zero(0);
         std::vector< Innermost_coefficient_type > coefficients;
         for(Monom_rep_iterator it = begin; it != end; it++){
@@ -655,21 +655,21 @@ public:
         return Polynomial_d(coefficients.begin(),coefficients.end());
       }
     };
-    
+
     template< class T >
     class Create_polynomial_from_monom_rep< Polynomial < T > > {
     public:
       template <class Monom_rep_iterator>
-      Polynomial_d operator()( 
+      Polynomial_d operator()(
           Monom_rep_iterator begin,
           Monom_rep_iterator end) const {
-                
+
         typedef Polynomial_traits_d<Coefficient_type> PT;
         typename PT::Construct_polynomial construct;
-                
+
         CGAL_static_assertion(PT::d != 0); // Coefficient_type is a Polynomial
-        std::vector<Coefficient_type> coefficients;         
-                
+        std::vector<Coefficient_type> coefficients;
+
         Coefficient_type zero(0);
         while(begin != end){
           int current_exp = begin->first[PT::d];
@@ -677,13 +677,13 @@ public:
           if((int) coefficients.size() < current_exp)
             coefficients.resize(current_exp,zero);
 
-          // select range for coefficient of current exponent 
-          Monom_rep_iterator coeff_end = begin; 
+          // select range for coefficient of current exponent
+          Monom_rep_iterator coeff_end = begin;
           while(  coeff_end != end && coeff_end->first[PT::d] == current_exp ){
             ++coeff_end;
           }
           coefficients.push_back(construct(begin, coeff_end));
-          begin = coeff_end; 
+          begin = coeff_end;
         }
         return Polynomial_d(coefficients.begin(),coefficients.end());
       }
@@ -691,9 +691,9 @@ public:
   };
 
   // Get_coefficient;
-  struct Get_coefficient 
+  struct Get_coefficient
     : public CGAL::cpp98::binary_function<Polynomial_d, int, Coefficient_type > {
-        
+
     const Coefficient_type& operator()( const Polynomial_d& p, int i) const {
       CGAL_STATIC_THREAD_LOCAL_VARIABLE(Coefficient_type, zero, 0);
       CGAL_precondition( i >= 0 );
@@ -701,36 +701,36 @@ public:
       if( i >  degree(p) )
         return zero;
       return p[i];
-    }       
+    }
   };
-    
+
   //     Get_innermost_coefficient;
   struct Get_innermost_coefficient
     : public CGAL::cpp98::binary_function< Polynomial_d,
                                            Exponent_vector,
                                            Innermost_coefficient_type >
   {
-        
-    const Innermost_coefficient_type& 
+
+    const Innermost_coefficient_type&
     operator()( const Polynomial_d& p, Exponent_vector ev ) const {
       CGAL_precondition( !ev.empty() );
       typename PTC::Get_innermost_coefficient gic;
       typename PT::Get_coefficient gc;
       int exponent = ev.back();
       ev.pop_back();
-      return gic( gc( p, exponent ), ev ); 
-    }; 
+      return gic( gc( p, exponent ), ev );
+    };
   };
 
   typedef CGAL::internal::Monomial_representation<Polynomial_d> Monomial_representation;
 
   // Swap variable x_i with x_j
   struct Swap {
-    typedef Polynomial_d        result_type;  
+    typedef Polynomial_d        result_type;
     typedef Polynomial_d        first_argument_type;
     typedef int                 second_argument_type;
     typedef int                 third_argument_type;
-             
+
   public:
 
     Polynomial_d operator()(const Polynomial_d& p, int i, int j ) const {
@@ -739,53 +739,53 @@ public:
       typedef std::pair< Exponent_vector, Innermost_coefficient_type >
         Exponents_coeff_pair;
       Monomial_representation gmr;
-      Construct_polynomial construct; 
+      Construct_polynomial construct;
       typedef std::vector< Exponents_coeff_pair > Monom_vector;
-      typedef typename Monom_vector::iterator MVIterator; 
-      Monom_vector monoms; 
+      typedef typename Monom_vector::iterator MVIterator;
+      Monom_vector monoms;
       gmr( p, std::back_inserter( monoms ) );
       for( MVIterator it = monoms.begin(); it != monoms.end(); ++it ) {
         std::swap(it->first[i],it->first[j]);
       }
-      // sort only once ! 
+      // sort only once !
       std::sort(monoms.begin(), monoms.end(),Compare_exponents_coeff_pair());
       return construct(monoms.begin(), monoms.end(),true);
     }
   };
-  
-  
-  //       Move;    
+
+
+  //       Move;
   // move variable x_i to position of x_j
-  // order of other variables remains 
+  // order of other variables remains
   // default j = d makes x_i the othermost variable
   struct Move {
-    typedef Polynomial_d        result_type;  
+    typedef Polynomial_d        result_type;
     typedef Polynomial_d        first_argument_type;
     typedef int                 second_argument_type;
     typedef int                 third_argument_type;
-        
-    Polynomial_d 
+
+    Polynomial_d
     operator()(const Polynomial_d& p, int i, int j = (d-1) ) const {
       CGAL_precondition(0 <= i && i < d);
       CGAL_precondition(0 <= j && j < d);
       typedef std::pair< Exponent_vector, Innermost_coefficient_type >
         Exponents_coeff_pair;
-      typedef std::vector< Exponents_coeff_pair > Monom_rep; 
+      typedef std::vector< Exponents_coeff_pair > Monom_rep;
       Monomial_representation gmr;
       Construct_polynomial construct;
       Monom_rep mon_rep;
       gmr( p, std::back_inserter( mon_rep ) );
-      for( typename Monom_rep::iterator it = mon_rep.begin(); 
+      for( typename Monom_rep::iterator it = mon_rep.begin();
            it != mon_rep.end();
            ++it ) {
         // this is as good as std::rotate since it uses swap also
-        if (i < j) 
+        if (i < j)
           for( int k = i; k < j; k++ )
             std::swap(it->first[k],it->first[k+1]);
         else
           for( int k = i; k > j; k-- )
             std::swap(it->first[k],it->first[k-1]);
-                
+
       }
       return construct( mon_rep.begin(), mon_rep.end() );
     }
@@ -794,7 +794,7 @@ public:
 
   struct Permute {
     typedef Polynomial_d        result_type;
-    template <typename Input_iterator> Polynomial_d operator() 
+    template <typename Input_iterator> Polynomial_d operator()
       (const Polynomial_d& p, Input_iterator first, Input_iterator last) const {
       Construct_polynomial construct;
       Monomial_representation gmr;
@@ -823,9 +823,9 @@ public:
       return construct( mon_rep.begin(), mon_rep.end() );
     }
   };
-  
-  //Degree;    
-  typedef CGAL::internal::Degree<Polynomial_d> Degree; 
+
+  //Degree;
+  typedef CGAL::internal::Degree<Polynomial_d> Degree;
 
   //       Total_degree;
   struct Total_degree : public CGAL::cpp98::unary_function< Polynomial_d , int >{
@@ -839,23 +839,23 @@ public:
       for(int i = 0; i <= degree(p) ; i++){
         if( ! CGAL::is_zero( p[i]) )
           result = (std::max)(result , total_degree(p[i]) + i );
-      } 
+      }
       return result;
     }
   };
 
   //       Leading_coefficient;
-  struct Leading_coefficient 
+  struct Leading_coefficient
     : public CGAL::cpp98::unary_function< Polynomial_d , Coefficient_type>{
     const Coefficient_type& operator()(const Polynomial_d& p) const {
       return p.lcoeff();
     }
   };
-    
+
   //       Innermost_leading_coefficient;
-  struct Innermost_leading_coefficient 
+  struct Innermost_leading_coefficient
     : public CGAL::cpp98::unary_function< Polynomial_d , Innermost_coefficient_type>{
-    const Innermost_coefficient_type& 
+    const Innermost_coefficient_type&
     operator()(const Polynomial_d& p) const {
       typename PTC::Innermost_leading_coefficient ilcoeff;
       typename PT::Leading_coefficient lcoeff;
@@ -863,18 +863,18 @@ public:
     }
   };
 
-  
-  //return a canonical representative of all constant multiples. 
+
+  //return a canonical representative of all constant multiples.
   struct Canonicalize
     : public CGAL::cpp98::unary_function<Polynomial_d, Polynomial_d>{
- 
-  private: 
-    inline Polynomial_d canonicalize_(Polynomial_d p, CGAL::Tag_true) const 
+
+  private:
+    inline Polynomial_d canonicalize_(Polynomial_d p, CGAL::Tag_true) const
     {
       typedef typename Polynomial_traits_d<Polynomial_d>::Innermost_coefficient_type IC;
       typename Polynomial_traits_d<Polynomial_d>::Innermost_leading_coefficient ilcoeff;
       typename Algebraic_extension_traits<IC>::Normalization_factor nfac;
-      
+
       IC tmp = nfac(ilcoeff(p));
       if(tmp != IC(1)){
         p *= Polynomial_d(tmp);
@@ -882,13 +882,13 @@ public:
       remove_scalar_factor(p);
       p /= p.unit_part();
       p.simplify_coefficients();
-      
+
       CGAL_postcondition(nfac(ilcoeff(p)) == IC(1));
       return p;
     };
-    
-    inline Polynomial_d canonicalize_(Polynomial_d p, CGAL::Tag_false) const 
-    {  
+
+    inline Polynomial_d canonicalize_(Polynomial_d p, CGAL::Tag_false) const
+    {
       remove_scalar_factor(p);
       p /= p.unit_part();
       p.simplify_coefficients();
@@ -898,16 +898,16 @@ public:
   public:
     Polynomial_d
     operator()( const Polynomial_d& p ) const {
-      if (CGAL::is_zero(p)) return p; 
+      if (CGAL::is_zero(p)) return p;
 
-      typedef Innermost_coefficient_type IC; 
+      typedef Innermost_coefficient_type IC;
       typedef typename Algebraic_extension_traits<IC>::Is_extended Is_extended;
       return canonicalize_(p, Is_extended());
-    }  
+    }
   };
 
   //       Differentiate;
-  struct Differentiate 
+  struct Differentiate
     : public CGAL::cpp98::unary_function<Polynomial_d, Polynomial_d>{
     Polynomial_d
     operator()(Polynomial_d p, int i = (d-1)) const {
@@ -926,42 +926,42 @@ public:
   // Evaluate;
   struct Evaluate
     :public CGAL::cpp98::binary_function<Polynomial_d,Coefficient_type,Coefficient_type>{
-    // Evaluate with respect to one variable 
+    // Evaluate with respect to one variable
     Coefficient_type
     operator()(const Polynomial_d& p, const Coefficient_type& x) const {
       return p.evaluate(x);
     }
-#define ICOEFF typename First_if_different<Innermost_coefficient_type, Coefficient_type>::Type 
+#define ICOEFF typename First_if_different<Innermost_coefficient_type, Coefficient_type>::Type
     Coefficient_type operator()
-      ( const Polynomial_d& p, const ICOEFF& x) const 
+      ( const Polynomial_d& p, const ICOEFF& x) const
     {
       return p.evaluate(x);
     }
-#undef ICOEFF      
+#undef ICOEFF
   };
-  
+
   // Evaluate_homogeneous;
   struct Evaluate_homogeneous{
-    typedef Coefficient_type           result_type;  
+    typedef Coefficient_type           result_type;
     typedef Polynomial_d               first_argument_type;
     typedef Coefficient_type           second_argument_type;
     typedef Coefficient_type           third_argument_type;
-       
+
     Coefficient_type operator()(
-        const Polynomial_d& p, const Coefficient_type& a, const Coefficient_type& b) const 
+        const Polynomial_d& p, const Coefficient_type& a, const Coefficient_type& b) const
     {
       return p.evaluate_homogeneous(a,b);
     }
-#define ICOEFF typename First_if_different<Innermost_coefficient_type, Coefficient_type>::Type 
+#define ICOEFF typename First_if_different<Innermost_coefficient_type, Coefficient_type>::Type
     Coefficient_type operator()
-      ( const Polynomial_d& p, const ICOEFF& a, const ICOEFF& b) const 
+      ( const Polynomial_d& p, const ICOEFF& a, const ICOEFF& b) const
     {
       return p.evaluate_homogeneous(a,b);
     }
-#undef ICOEFF    
+#undef ICOEFF
 
   };
-    
+
   // Is_zero_at;
   struct Is_zero_at {
   private:
@@ -969,17 +969,17 @@ public:
     typedef typename AST::Is_zero::result_type BOOL;
   public:
     typedef BOOL result_type;
-        
+
     template< class Input_iterator >
-    BOOL operator()( 
-        const Polynomial_d& p, 
-        Input_iterator begin, 
+    BOOL operator()(
+        const Polynomial_d& p,
+        Input_iterator begin,
         Input_iterator end ) const {
-      typename PT::Substitute substitute;            
+      typename PT::Substitute substitute;
       return( CGAL::is_zero( substitute( p, begin, end ) ) );
-    } 
+    }
   };
-    
+
   //  Is_zero_at_homogeneous;
   struct Is_zero_at_homogeneous {
  private:
@@ -987,18 +987,18 @@ public:
     typedef typename AST::Is_zero::result_type BOOL;
   public:
     typedef BOOL result_type;
-        
+
     template< class Input_iterator >
     BOOL operator()
-      ( const Polynomial_d& p, Input_iterator begin, Input_iterator end ) const 
+      ( const Polynomial_d& p, Input_iterator begin, Input_iterator end ) const
     {
       typename PT::Substitute_homogeneous substitute_homogeneous;
       return( CGAL::is_zero( substitute_homogeneous( p, begin, end ) ) );
     }
   };
 
-  // Sign_at, Sign_at_homogeneous, Compare 
-  // define XXX_ even though ICoeff may not be Real_embeddable 
+  // Sign_at, Sign_at_homogeneous, Compare
+  // define XXX_ even though ICoeff may not be Real_embeddable
   // select propoer XXX among XXX_ or Null_functor using ::boost::mpl::if_
 private:
   struct Sign_at_ {
@@ -1008,85 +1008,85 @@ private:
     typedef typename RT::Sign result_type;
 
     template< class Input_iterator >
-    result_type operator()( 
-        const Polynomial_d& p, 
-        Input_iterator begin, 
-        Input_iterator end ) const 
+    result_type operator()(
+        const Polynomial_d& p,
+        Input_iterator begin,
+        Input_iterator end ) const
     {
       typename PT::Substitute substitute;
       return CGAL::sign( substitute( p, begin, end ) );
     }
   };
-  
+
   struct Sign_at_homogeneous_ {
     typedef Real_embeddable_traits<Innermost_coefficient_type> RT;
   public:
     typedef typename RT::Sign result_type;
-        
+
     template< class Input_iterator >
-    result_type operator()( 
-        const Polynomial_d& p, 
-        Input_iterator begin, 
+    result_type operator()(
+        const Polynomial_d& p,
+        Input_iterator begin,
         Input_iterator end) const {
       typename PT::Substitute_homogeneous substitute_homogeneous;
       return CGAL::sign( substitute_homogeneous( p, begin, end ) );
     }
   };
-   
+
   typedef Real_embeddable_traits<Innermost_coefficient_type> RET_IC;
   typedef typename RET_IC::Is_real_embeddable IC_is_real_embeddable;
 public:
-  typedef typename ::boost::mpl::if_<IC_is_real_embeddable,Sign_at_,Null_functor>::type Sign_at; 
-  typedef typename ::boost::mpl::if_<IC_is_real_embeddable,Sign_at_homogeneous_,Null_functor>::type Sign_at_homogeneous; 
-  typedef typename Real_embeddable_traits<Polynomial_d>::Compare Compare; 
- 
+  typedef typename ::boost::mpl::if_<IC_is_real_embeddable,Sign_at_,Null_functor>::type Sign_at;
+  typedef typename ::boost::mpl::if_<IC_is_real_embeddable,Sign_at_homogeneous_,Null_functor>::type Sign_at_homogeneous;
+  typedef typename Real_embeddable_traits<Polynomial_d>::Compare Compare;
 
-struct Construct_coefficient_const_iterator_range                                       
-     : public CGAL::cpp98::unary_function< Polynomial_d, 
+
+struct Construct_coefficient_const_iterator_range
+     : public CGAL::cpp98::unary_function< Polynomial_d,
                                   Coefficient_const_iterator_range> {
-    Coefficient_const_iterator_range      
-    operator () (const Polynomial_d& p) const {                                      
+    Coefficient_const_iterator_range
+    operator () (const Polynomial_d& p) const {
       return std::make_pair( p.begin(), p.end() );
-    }                                                                          
-};        
-                                       
-struct Construct_innermost_coefficient_const_iterator_range                                       
-   : public CGAL::cpp98::unary_function< Polynomial_d, 
+    }
+};
+
+struct Construct_innermost_coefficient_const_iterator_range
+   : public CGAL::cpp98::unary_function< Polynomial_d,
                                  Innermost_coefficient_const_iterator_range> {
-   Innermost_coefficient_const_iterator_range      
-   operator () (const Polynomial_d& p) const {                                      
+   Innermost_coefficient_const_iterator_range
+   operator () (const Polynomial_d& p) const {
      return std::make_pair(
          typename Coefficient_const_flattening::Flatten()(p.end(),p.begin()),
          typename Coefficient_const_flattening::Flatten()(p.end(),p.end()));
-   }                                                                          
-};                           
-  
-  struct Is_square_free 
+   }
+};
+
+  struct Is_square_free
     : public CGAL::cpp98::unary_function< Polynomial_d, bool >{
     bool operator()( const Polynomial_d& p ) const {
       if( !internal::may_have_multiple_factor( p ) )
         return true;
-      
+
       Gcd_up_to_constant_factor gcd_utcf;
       Univariate_content_up_to_constant_factor ucontent_utcf;
       Integral_division_up_to_constant_factor  idiv_utcf;
       Differentiate diff;
-            
+
       Coefficient_type content = ucontent_utcf( p );
       typename PTC::Is_square_free isf;
-            
+
       if( !isf( content ) )
         return false;
-            
-      Polynomial_d regular_part = idiv_utcf( p, Polynomial_d( content ) ); 
-            
+
+      Polynomial_d regular_part = idiv_utcf( p, Polynomial_d( content ) );
+
       Polynomial_d g = gcd_utcf(regular_part,diff(regular_part));
       return ( g.degree() == 0 );
     }
   };
 
-                   
-  struct Make_square_free 
+
+  struct Make_square_free
     : public CGAL::cpp98::unary_function< Polynomial_d, Polynomial_d >{
     Polynomial_d
     operator()(const Polynomial_d& p) const {
@@ -1096,23 +1096,23 @@ struct Construct_innermost_coefficient_c
       Integral_division_up_to_constant_factor  idiv_utcf;
       Differentiate diff;
       typename PTC::Make_square_free msf;
-            
+
       Coefficient_type content = ucontent_utcf(p);
       Polynomial_d result = Polynomial_d(msf(content));
-            
+
       Polynomial_d regular_part = idiv_utcf(p,Polynomial_d(content));
       Polynomial_d g = gcd_utcf(regular_part,diff(regular_part));
-            
-            
+
+
       result *= idiv_utcf(regular_part,g);
       return Canonicalize()(result);
-                    
+
     }
   };
 
   //       Pseudo_division;
   struct Pseudo_division {
-    typedef Polynomial_d        result_type;  
+    typedef Polynomial_d        result_type;
     void
     operator()(
         const Polynomial_d& f, const Polynomial_d& g,
@@ -1120,10 +1120,10 @@ struct Construct_innermost_coefficient_c
       Polynomial_d::pseudo_division(f,g,q,r,D);
     }
   };
-    
+
   struct Pseudo_division_quotient
     :public CGAL::cpp98::binary_function<Polynomial_d, Polynomial_d, Polynomial_d> {
-        
+
     Polynomial_d
     operator()(const Polynomial_d& f, const Polynomial_d& g) const {
       Polynomial_d q,r;
@@ -1135,7 +1135,7 @@ struct Construct_innermost_coefficient_c
 
   struct Pseudo_division_remainder
     :public CGAL::cpp98::binary_function<Polynomial_d, Polynomial_d, Polynomial_d> {
-        
+
     Polynomial_d
     operator()(const Polynomial_d& f, const Polynomial_d& g) const {
       Polynomial_d q,r;
@@ -1144,12 +1144,12 @@ struct Construct_innermost_coefficient_c
       return r;
     }
   };
-    
+
   struct Gcd_up_to_constant_factor
     :public CGAL::cpp98::binary_function<Polynomial_d, Polynomial_d, Polynomial_d> {
     Polynomial_d
     operator()(const Polynomial_d& p, const Polynomial_d& q) const {
-      if(p==q) return CGAL::canonicalize(p); 
+      if(p==q) return CGAL::canonicalize(p);
       if (CGAL::is_zero(p) && CGAL::is_zero(q)){
         return Polynomial_d(0);
       }
@@ -1161,16 +1161,16 @@ struct Construct_innermost_coefficient_c
       }
     }
   };
-    
+
   struct Integral_division_up_to_constant_factor
     :public CGAL::cpp98::binary_function<Polynomial_d, Polynomial_d, Polynomial_d> {
-   
-  
-    
+
+
+
     Polynomial_d
     operator()(const Polynomial_d& p, const Polynomial_d& q) const {
       typedef Innermost_coefficient_type IC;
-      
+
       typename PT::Construct_polynomial construct;
       typename PT::Innermost_leading_coefficient ilcoeff;
       typename PT::Construct_innermost_coefficient_const_iterator_range range;
@@ -1178,25 +1178,25 @@ struct Construct_innermost_coefficient_c
       typename AET::Denominator_for_algebraic_integers dfai;
       typename AET::Normalization_factor nfac;
 
-            
+
       IC ilcoeff_q = ilcoeff(q);
       // this factor is needed in case IC is an Algebraic extension
       IC dfai_q = dfai(range(q).first, range(q).second);
       // make dfai_q a 'scalar'
       ilcoeff_q *= dfai_q * nfac(dfai_q);
-            
+
       Polynomial_d result = (p * construct(ilcoeff_q)) / q;
 
       return Canonicalize()(result);
     }
   };
-    
+
   struct Univariate_content_up_to_constant_factor
     :public CGAL::cpp98::unary_function<Polynomial_d, Coefficient_type> {
     Coefficient_type
     operator()(const Polynomial_d& p) const {
       typename PTC::Gcd_up_to_constant_factor gcd_utcf;
-            
+
       if(CGAL::is_zero(p)) return Coefficient_type(0);
       if(PT::d == 1) return Coefficient_type(1);
 
@@ -1215,24 +1215,24 @@ struct Construct_innermost_coefficient_c
   private:
     typedef Coefficient_type Coeff;
     typedef Innermost_coefficient_type ICoeff;
-        
-    // rsqff_utcf computes the sqff recursively for Coeff  
+
+    // rsqff_utcf computes the sqff recursively for Coeff
     // end of recursion: ICoeff
-    
+
     template < class OutputIterator >
-    OutputIterator rsqff_utcf ( ICoeff , OutputIterator oi) const{ 
+    OutputIterator rsqff_utcf ( ICoeff , OutputIterator oi) const{
       return oi;
-    }        
-    
+    }
+
     template < class OutputIterator >
     OutputIterator rsqff_utcf (
         typename First_if_different<Coeff,ICoeff>::Type c,
         OutputIterator                                 oi) const {
-      
+
       typename PTC::Square_free_factorize_up_to_constant_factor sqff;
       std::vector<std::pair<Coefficient_type,int> > fac_mul_pairs;
       sqff(c,std::back_inserter(fac_mul_pairs));
-      
+
       for(unsigned int i = 0; i < fac_mul_pairs.size(); i++){
         Polynomial_d factor(fac_mul_pairs[i].first);
         int mult = fac_mul_pairs[i].second;
@@ -1243,14 +1243,14 @@ struct Construct_innermost_coefficient_c
 
   public:
     template < class OutputIterator>
-    OutputIterator 
-    operator()(Polynomial_d p, OutputIterator oi) const {            
+    OutputIterator
+    operator()(Polynomial_d p, OutputIterator oi) const {
       if (CGAL::is_zero(p)) return oi;
 
       Univariate_content_up_to_constant_factor ucontent_utcf;
       Integral_division_up_to_constant_factor idiv_utcf;
       Coefficient_type c = ucontent_utcf(p);
-      
+
       p = idiv_utcf( p , Polynomial_d(c));
       std::vector<Polynomial_d> factors;
       std::vector<int> mults;
@@ -1268,14 +1268,14 @@ struct Construct_innermost_coefficient_c
 
   struct Shift
     : public CGAL::cpp98::binary_function< Polynomial_d,int,Polynomial_d >{
-    
-    Polynomial_d 
+
+    Polynomial_d
     operator()(const Polynomial_d& p, int e, int i = (d-1)) const {
-      Construct_polynomial construct; 
-      Monomial_representation gmr; 
+      Construct_polynomial construct;
+      Monomial_representation gmr;
       Monom_rep monom_rep;
       gmr(p,std::back_inserter(monom_rep));
-      for(typename Monom_rep::iterator it = monom_rep.begin(); 
+      for(typename Monom_rep::iterator it = monom_rep.begin();
           it != monom_rep.end();
           it++){
         it->first[i]+=e;
@@ -1283,20 +1283,20 @@ struct Construct_innermost_coefficient_c
       return construct(monom_rep.begin(), monom_rep.end());
     }
   };
-    
+
   struct Negate
     : public CGAL::cpp98::unary_function< Polynomial_d, Polynomial_d >{
-        
+
     Polynomial_d operator()(const Polynomial_d& p, int i = (d-1)) const {
-      Construct_polynomial construct; 
-      Monomial_representation gmr; 
+      Construct_polynomial construct;
+      Monomial_representation gmr;
       Monom_rep monom_rep;
       gmr(p,std::back_inserter(monom_rep));
-      for(typename Monom_rep::iterator it = monom_rep.begin(); 
+      for(typename Monom_rep::iterator it = monom_rep.begin();
           it != monom_rep.end();
           it++){
-        if (it->first[i] % 2 != 0) 
-          it->second = - it->second; 
+        if (it->first[i] % 2 != 0)
+          it->second = - it->second;
       }
       return construct(monom_rep.begin(), monom_rep.end());
     }
@@ -1306,11 +1306,11 @@ struct Construct_innermost_coefficient_c
     : public CGAL::cpp98::unary_function< Polynomial_d , Polynomial_d >{
     Polynomial_d operator()(Polynomial_d p, int i = (PT::d-1)) const {
       if (i == (d-1)){
-        p.reversal(); 
+        p.reversal();
       }else{
         p = Swap()(p,i,PT::d-1);
         p.reversal();
-        p = Swap()(p,i,PT::d-1);   
+        p = Swap()(p,i,PT::d-1);
       }
       return p ;
     }
@@ -1321,17 +1321,17 @@ struct Construct_innermost_coefficient_c
                                    Polynomial_d >{
     Polynomial_d
     operator()(
-        Polynomial_d p, 
-        const Innermost_coefficient_type& c, 
-        int i = (d-1)) 
+        Polynomial_d p,
+        const Innermost_coefficient_type& c,
+        int i = (d-1))
       const {
       if (i == (d-1) ){
-        p.translate(Coefficient_type(c)); 
+        p.translate(Coefficient_type(c));
       }else{
         Swap swap;
         p = swap(p,i,d-1);
         p.translate(Coefficient_type(c));
-        p = swap(p,i,d-1); 
+        p = swap(p,i,d-1);
       }
       return p;
     }
@@ -1342,14 +1342,14 @@ struct Construct_innermost_coefficient_c
     typedef Polynomial_d first_argument_type;
     typedef Innermost_coefficient_type second_argument_type;
     typedef Innermost_coefficient_type third_argument_type;
-        
+
     Polynomial_d
-    operator()(Polynomial_d p, 
-        const Innermost_coefficient_type& a, 
+    operator()(Polynomial_d p,
+        const Innermost_coefficient_type& a,
         const Innermost_coefficient_type& b,
         int i = (d-1) ) const {
       if (i == (d-1) ){
-        p.translate(Coefficient_type(a),Coefficient_type(b));  
+        p.translate(Coefficient_type(a),Coefficient_type(b));
       }else{
         Swap swap;
         p = swap(p,i,d-1);
@@ -1369,62 +1369,62 @@ struct Construct_innermost_coefficient_c
         int i = (PT::d-1) ) const  {
       CGAL_precondition( i <= d-1 );
       CGAL_precondition( i >= 0 );
-      typename PT::Scale_homogeneous scale_homogeneous;          
+      typename PT::Scale_homogeneous scale_homogeneous;
       return scale_homogeneous( p, c, Innermost_coefficient_type(1), i );
     }
-        
+
   };
-    
+
   struct Scale_homogeneous{
     typedef Polynomial_d result_type;
     typedef Polynomial_d first_argument_type;
     typedef Innermost_coefficient_type second_argument_type;
     typedef Innermost_coefficient_type third_argument_type;
-        
+
     Polynomial_d
     operator()(
-        Polynomial_d p, 
-        const Innermost_coefficient_type& a, 
+        Polynomial_d p,
+        const Innermost_coefficient_type& a,
         const Innermost_coefficient_type& b,
         int i = (d-1) ) const {
 
       CGAL_precondition( ! CGAL::is_zero(b) );
       CGAL_precondition( i <= d-1 );
       CGAL_precondition( i >= 0 );
-      
+
       if (i != (d-1) ) p = Swap()(p,i,d-1);
-          
-      if(CGAL::is_one(b)) 
+
+      if(CGAL::is_one(b))
         p.scale_up(Coefficient_type(a));
-      else 
-        if(CGAL::is_one(a)) 
+      else
+        if(CGAL::is_one(a))
           p.scale_down(Coefficient_type(b));
-        else 
-          p.scale(Coefficient_type(a),Coefficient_type(b));  
-          
+        else
+          p.scale(Coefficient_type(a),Coefficient_type(b));
+
       if (i != (d-1) ) p = Swap()(p,i,d-1);
-          
+
       return p;
     }
   };
 
   struct Resultant
     : public CGAL::cpp98::binary_function<Polynomial_d, Polynomial_d, Coefficient_type>{
-        
+
     Coefficient_type
     operator()(
-        const Polynomial_d& p, 
+        const Polynomial_d& p,
         const Polynomial_d& q) const {
         return internal::resultant(p,q);
-    }  
+    }
   };
 
   // Polynomial subresultants (aka subresultant polynomials)
   struct Polynomial_subresultants {
-  
+
     template<typename OutputIterator>
     OutputIterator operator()(
-      const Polynomial_d& p, 
+      const Polynomial_d& p,
       const Polynomial_d& q,
       OutputIterator out,
       int i = (d-1) ) const {
@@ -1434,15 +1434,15 @@ struct Construct_innermost_coefficient_c
           return CGAL::internal::polynomial_subresultants<PT>(Move()(p,i),
                                                     Move()(q,i),
                                                     out);
-    }  
+    }
   };
 
   // principal subresultants (aka scalar subresultants)
   struct Principal_subresultants {
-        
+
     template<typename OutputIterator>
     OutputIterator operator()(
-      const Polynomial_d& p, 
+      const Polynomial_d& p,
       const Polynomial_d& q,
       OutputIterator out,
       int i = (d-1) ) const {
@@ -1452,18 +1452,18 @@ struct Construct_innermost_coefficient_c
           return CGAL::internal::principal_subresultants<PT>(Move()(p,i),
                                                           Move()(q,i),
                                                           out);
-    }  
+    }
   };
 
   // Subresultants with cofactors
   struct Polynomial_subresultants_with_cofactors {
-    
+
     template<typename OutputIterator1,
              typename OutputIterator2,
              typename OutputIterator3>
     OutputIterator1 operator()(
-      const Polynomial_d& p, 
-      const Polynomial_d& q, 
+      const Polynomial_d& p,
+      const Polynomial_d& q,
       OutputIterator1 out_sres,
       OutputIterator2 out_co_p,
       OutputIterator3 out_co_q,
@@ -1474,15 +1474,15 @@ struct Construct_innermost_coefficient_c
         else
             return CGAL::internal::polynomial_subresultants_with_cofactors<PT>
                 (Move()(p,i),Move()(q,i),out_sres,out_co_p,out_co_q);
-    }  
+    }
   };
 
   // Sturm-Habicht sequence (aka signed subresultant sequence)
   struct Sturm_habicht_sequence {
-        
+
     template<typename OutputIterator>
     OutputIterator operator()(
-      const Polynomial_d& p, 
+      const Polynomial_d& p,
       OutputIterator out,
       int i = (d-1) ) const {
         if(i == (d-1) )
@@ -1490,17 +1490,17 @@ struct Construct_innermost_coefficient_c
         else
           return CGAL::internal::sturm_habicht_sequence<PT>(Move()(p,i),
                                                          out);
-    }  
+    }
   };
 
   //       Sturm-Habicht sequence with cofactors
   struct Sturm_habicht_sequence_with_cofactors {
-  
+
     template<typename OutputIterator1,
              typename OutputIterator2,
              typename OutputIterator3>
     OutputIterator1 operator()(
-      const Polynomial_d& p, 
+      const Polynomial_d& p,
       OutputIterator1 out_stha,
       OutputIterator2 out_f,
       OutputIterator3 out_fx,
@@ -1511,16 +1511,16 @@ struct Construct_innermost_coefficient_c
         else
           return CGAL::internal::sturm_habicht_sequence_with_cofactors<PT>
               (Move()(p,i),out_stha,out_f,out_fx);
-    }  
+    }
   };
-    
+
   //       Principal Sturm-Habicht sequence (formal leading coefficients
   //       of Sturm-Habicht sequence)
   struct Principal_sturm_habicht_sequence {
-        
+
     template<typename OutputIterator>
     OutputIterator operator()(
-      const Polynomial_d& p, 
+      const Polynomial_d& p,
       OutputIterator out,
       int i = (d-1) ) const {
         if(i == (d-1) )
@@ -1528,16 +1528,16 @@ struct Construct_innermost_coefficient_c
         else
           return CGAL::internal::principal_sturm_habicht_sequence<PT>
               (Move()(p,i),out);
-    }  
+    }
   };
 
 
-  // returns the Exponten_vector of the innermost leading coefficient 
+  // returns the Exponten_vector of the innermost leading coefficient
   struct Degree_vector{
     typedef Exponent_vector           result_type;
     typedef Polynomial_d              argument_type;
-        
-    // returns the exponent vector of inner_most_lcoeff. 
+
+    // returns the exponent vector of inner_most_lcoeff.
     result_type operator()(const Polynomial_d& polynomial) const{
       typename PTC::Degree_vector degree_vector;
       Exponent_vector result = degree_vector(polynomial.lcoeff());
@@ -1552,65 +1552,65 @@ struct Construct_innermost_coefficient_c
   public:
     template <class Input_iterator>
     typename CGAL::Coercion_traits<
-         typename std::iterator_traits<Input_iterator>::value_type, 
+         typename std::iterator_traits<Input_iterator>::value_type,
          Innermost_coefficient_type
     >::Type
     operator()(
-        const Polynomial_d& p, 
-        Input_iterator begin, 
+        const Polynomial_d& p,
+        Input_iterator begin,
         Input_iterator end) const {
       typedef typename std::iterator_traits<Input_iterator> ITT;
-      typedef typename ITT::iterator_category  Category; 
-      return (*this)(p,begin,end,Category()); 
+      typedef typename ITT::iterator_category  Category;
+      return (*this)(p,begin,end,Category());
     }
-        
+
     template <class Input_iterator>
-    typename CGAL::Coercion_traits< 
-         typename std::iterator_traits<Input_iterator>::value_type, 
+    typename CGAL::Coercion_traits<
+         typename std::iterator_traits<Input_iterator>::value_type,
          Innermost_coefficient_type
     >::Type
     operator()(
-        const Polynomial_d& p, 
-        Input_iterator begin, 
+        const Polynomial_d& p,
+        Input_iterator begin,
         Input_iterator end,
         std::forward_iterator_tag) const {
       typedef typename std::iterator_traits<Input_iterator> ITT;
-      std::list<typename ITT::value_type> list(begin,end); 
-      return (*this)(p,list.begin(),list.end()); 
+      std::list<typename ITT::value_type> list(begin,end);
+      return (*this)(p,list.begin(),list.end());
     }
-        
+
     template <class Input_iterator>
-    typename 
+    typename
     CGAL::Coercion_traits
-    <typename std::iterator_traits<Input_iterator>::value_type, 
+    <typename std::iterator_traits<Input_iterator>::value_type,
          Innermost_coefficient_type>::Type
     operator()(
-        const Polynomial_d& p, 
-        Input_iterator begin, 
+        const Polynomial_d& p,
+        Input_iterator begin,
         Input_iterator end,
         std::bidirectional_iterator_tag) const {
-            
-      typedef typename std::iterator_traits<Input_iterator>::value_type 
+
+      typedef typename std::iterator_traits<Input_iterator>::value_type
         value_type;
       typedef CGAL::Coercion_traits<Innermost_coefficient_type,value_type> CT;
-      typename PTC::Substitute subs; 
+      typename PTC::Substitute subs;
+
+      typename CT::Type x = typename CT::Cast()(*(--end));
 
-      typename CT::Type x = typename CT::Cast()(*(--end));  
-            
       int i = Degree()(p);
-      typename CT::Type y = 
+      typename CT::Type y =
         subs(Get_coefficient()(p,i),begin,end);
-            
+
       while (--i >= 0){
         y *= x;
         y += subs(Get_coefficient()(p,i),begin,end);
       }
-      return y;  
-    }        
+      return y;
+    }
   };  // substitute every variable by its new value in the iterator range
 
 
-  
+
   // begin refers to the innermost/first variable
   struct Substitute_homogeneous{
 
@@ -1618,58 +1618,58 @@ struct Construct_innermost_coefficient_c
     struct Result_type{
       typedef std::iterator_traits<Input_iterator> ITT;
       typedef typename ITT::value_type value_type;
-      typedef Coercion_traits<value_type, Innermost_coefficient_type> CT; 
-      typedef typename CT::Type Type; 
+      typedef Coercion_traits<value_type, Innermost_coefficient_type> CT;
+      typedef typename CT::Type Type;
     };
-    
+
   public:
-    
+
     template <class Input_iterator>
     typename Result_type<Input_iterator>::Type
     operator()( const Polynomial_d& p, Input_iterator begin, Input_iterator end) const{
       int hdegree = Total_degree()(p);
 
       typedef std::iterator_traits<Input_iterator> ITT;
-      std::list<typename ITT::value_type> list(begin,end); 
-      
+      std::list<typename ITT::value_type> list(begin,end);
+
       // make the homogeneous variable the first in the list
       list.push_front(list.back());
       list.pop_back();
-      
-      // reverse and begin with the outermost variable 
-      return (*this)(p, list.rbegin(), list.rend(), hdegree); 
+
+      // reverse and begin with the outermost variable
+      return (*this)(p, list.rbegin(), list.rend(), hdegree);
     }
-      
+
     // this operator is undcoumented and for internal use:
-    // the iterator range starts with the outermost variable 
-    // and ends with the homogeneous variable 
+    // the iterator range starts with the outermost variable
+    // and ends with the homogeneous variable
     template <class Input_iterator>
     typename Result_type<Input_iterator>::Type
     operator()(
-        const Polynomial_d& p, 
-        Input_iterator begin, 
+        const Polynomial_d& p,
+        Input_iterator begin,
         Input_iterator end,
         int hdegree) const{
-      
-      
+
+
       typedef std::iterator_traits<Input_iterator> ITT;
       typedef typename ITT::value_type value_type;
-      typedef Coercion_traits<value_type, Innermost_coefficient_type> CT; 
-      
-      typename PTC::Substitute_homogeneous subsh; 
-      
-      typename CT::Type x = typename CT::Cast()(*begin++);  
-            
+      typedef Coercion_traits<value_type, Innermost_coefficient_type> CT;
+
+      typename PTC::Substitute_homogeneous subsh;
+
+      typename CT::Type x = typename CT::Cast()(*begin++);
+
 
       int i = Degree()(p);
       typename CT::Type y = subsh(Get_coefficient()(p,i),begin,end, hdegree-i);
-       
+
       while (--i >= 0){
         y *= x;
         y += subsh(Get_coefficient()(p,i),begin,end,hdegree-i);
       }
-      return y;  
-    }        
+      return y;
+    }
   };
 
 };
@@ -1683,13 +1683,13 @@ struct Construct_innermost_coefficient_c
 
 template< class Polynomial >
 class Polynomial_traits_d
-  : public internal::Polynomial_traits_d_base< Polynomial,  
+  : public internal::Polynomial_traits_d_base< Polynomial,
     typename Algebraic_structure_traits<
 typename internal::Innermost_coefficient_type<Polynomial>::Type >::Algebraic_category,
     typename Algebraic_structure_traits< Polynomial >::Algebraic_category > ,
   public Algebraic_structure_traits<Polynomial>{
 
-//------------ Rebind ----------- 
+//------------ Rebind -----------
 private:
   template <class T, int d>
   struct Gen_polynomial_type{
@@ -1703,7 +1703,7 @@ public:
   struct Rebind{
     typedef Polynomial_traits_d<typename Gen_polynomial_type<T,d>::Type> Other;
   };
-//------------ Rebind ----------- 
+//------------ Rebind -----------
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Polynomial_type_generator.h 5.0.3-1/include/CGAL/Polynomial_type_generator.h
--- 5.0.2-3/include/CGAL/Polynomial_type_generator.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polynomial_type_generator.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/Polynomial_type_generator.h $
-// $Id: Polynomial_type_generator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/Polynomial_type_generator.h $
+// $Id: Polynomial_type_generator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Michael Hemmer <hemmer@informatik.uni-mainz.de> 
+//
+// Author(s)     : Michael Hemmer <hemmer@informatik.uni-mainz.de>
 //
 // ========================================================================
 
@@ -26,7 +26,7 @@ template <class T, int d>
 struct Polynomial_type_generator
 {
 private:
-  typedef typename Polynomial_type_generator<T,d-1>::Type Coeff; 
+  typedef typename Polynomial_type_generator<T,d-1>::Type Coeff;
 public:
   typedef CGAL::Polynomial<Coeff> Type;
 };
diff -pruN 5.0.2-3/include/CGAL/polynomial_utils.h 5.0.3-1/include/CGAL/polynomial_utils.h
--- 5.0.2-3/include/CGAL/polynomial_utils.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/polynomial_utils.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,13 +3,13 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polynomial/include/CGAL/polynomial_utils.h $
-// $Id: polynomial_utils.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polynomial/include/CGAL/polynomial_utils.h $
+// $Id: polynomial_utils.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Michael Hemmer <hemmer@mpi-inf.mpg.de> 
-//              
+//
+// Author(s)     : Michael Hemmer <hemmer@mpi-inf.mpg.de>
+//
 // ============================================================================
 
 #include <CGAL/basic.h>
@@ -24,7 +24,7 @@
   function(const Polynomial_d& p){                                      \
     typedef Polynomial_traits_d<Polynomial_d> PT;                       \
     return typename PT::functor()(p);                                   \
-  }   
+  }
 
 #define CGAL_UNARY_POLY_FUNCTION_INDEX(functor,function)                \
   CGAL_UNARY_POLY_FUNCTION(functor,function)                            \
@@ -34,7 +34,7 @@
     typedef Polynomial_traits_d<Polynomial_d> PT;                       \
     typename PT::functor fo;                                            \
     return fo(p,index);                                                 \
-  }      
+  }
 
 #define CGAL_BINARY_POLY_FUNCTION(functor,function)                     \
   template <typename Polynomial_d>  inline                              \
@@ -45,7 +45,7 @@
   ){                                                                    \
     typedef Polynomial_traits_d<Polynomial_d> PT;                       \
     return typename PT::functor()(p,second);                            \
-  }  
+  }
 
 #define CGAL_BINARY_POLY_FUNCTION_INDEX(functor,function)               \
   CGAL_BINARY_POLY_FUNCTION(functor,function)                           \
@@ -58,19 +58,19 @@
   ){                                                                    \
     typedef Polynomial_traits_d<Polynomial_d> PT;                       \
     return typename PT::functor()(p,second,index);                      \
-  }  
+  }
 
 namespace CGAL {
 
 // GetCoefficient
-template <typename Polynomial_d> inline  
+template <typename Polynomial_d> inline
 typename Polynomial_traits_d<Polynomial_d>::Get_coefficient::result_type
 get_coefficient(const Polynomial_d& p, int i){
   typename Polynomial_traits_d<Polynomial_d>::Get_coefficient get_coefficient;
   return get_coefficient(p,i);
 }
 // GetInnermostCoefficient
-template <typename Polynomial_d> inline  
+template <typename Polynomial_d> inline
 typename Polynomial_traits_d<Polynomial_d>
 ::Get_innermost_coefficient::result_type
 get_innermost_coefficient(const Polynomial_d& p, Exponent_vector ev){
@@ -80,21 +80,21 @@ get_innermost_coefficient(const Polynomi
 // ConstructCoefficientConstIteratorRange
 // ConstructInnermostCoefficientConstIteratorRange
 // Swap
-template <typename Polynomial_d> inline  
+template <typename Polynomial_d> inline
 typename Polynomial_traits_d<Polynomial_d>::Swap::result_type
 swap(const Polynomial_d& p, int i, int j){
   typename Polynomial_traits_d<Polynomial_d>::Swap swap;
   return swap(p,i,j);
 }
 // Move
-template <typename Polynomial_d> inline  
+template <typename Polynomial_d> inline
 typename Polynomial_traits_d<Polynomial_d>::Move::result_type
 move(const Polynomial_d& p, int i, int j){
   typename Polynomial_traits_d<Polynomial_d>::Move move;
   return move(p,i,j);
 }
 // Permute
-template <typename Polynomial_d, typename Input_iterator> inline  
+template <typename Polynomial_d, typename Input_iterator> inline
 typename Polynomial_traits_d<Polynomial_d>::Permute::result_type
 permute(const Polynomial_d& p, Input_iterator begin, Input_iterator end){
   typename Polynomial_traits_d<Polynomial_d>::Permute permute;
@@ -122,67 +122,67 @@ CGAL_UNARY_POLY_FUNCTION_INDEX(Different
 // Evaluate
 CGAL_BINARY_POLY_FUNCTION(Evaluate,evaluate)
 // EvaluateHomogeneous
-template <typename Polynomial_d, typename T>  inline                                 
+template <typename Polynomial_d, typename T>  inline
 typename Polynomial_traits_d<Polynomial_d>::Evaluate_homogeneous::result_type
 evaluate_homogeneous(const Polynomial_d& p,const T& num, const T& den){
-  typedef Polynomial_traits_d<Polynomial_d> PT;                       
-  return typename PT::Evaluate_homogeneous()(p,num,den);                      
-}  
+  typedef Polynomial_traits_d<Polynomial_d> PT;
+  return typename PT::Evaluate_homogeneous()(p,num,den);
+}
 
 // Substitute
-template <typename Polynomial_d, typename Input_iterator>  inline     
+template <typename Polynomial_d, typename Input_iterator>  inline
 typename CGAL::Coercion_traits<
     typename Polynomial_traits_d<Polynomial_d>::Innermost_coefficient_type,
-    typename std::iterator_traits<Input_iterator>::value_type>              
-  ::Type  
+    typename std::iterator_traits<Input_iterator>::value_type>
+  ::Type
 substitute(const Polynomial_d& p,Input_iterator begin, Input_iterator end){
-  typedef Polynomial_traits_d<Polynomial_d> PT;                       
-  return typename PT::Substitute()(p,begin, end);                      
-}  
+  typedef Polynomial_traits_d<Polynomial_d> PT;
+  return typename PT::Substitute()(p,begin, end);
+}
 // IsZeroAt
-template <typename Polynomial_d, typename Input_iterator>  inline     
+template <typename Polynomial_d, typename Input_iterator>  inline
 typename Polynomial_traits_d<Polynomial_d>::Is_zero_at::result_type
 is_zero_at(const Polynomial_d& p, Input_iterator begin, Input_iterator end){
-  typedef Polynomial_traits_d<Polynomial_d> PT;                       
-  return typename PT::Is_zero_at()(p,begin, end);                      
-}  
+  typedef Polynomial_traits_d<Polynomial_d> PT;
+  return typename PT::Is_zero_at()(p,begin, end);
+}
 // SignAt
-template <typename Polynomial_d, typename Input_iterator>  inline     
+template <typename Polynomial_d, typename Input_iterator>  inline
 typename Polynomial_traits_d<Polynomial_d>::Sign_at::result_type
 sign_at(const Polynomial_d& p, Input_iterator begin, Input_iterator end){
-  typedef Polynomial_traits_d<Polynomial_d> PT;                       
-  return typename PT::Sign_at()(p,begin, end);                      
-}  
+  typedef Polynomial_traits_d<Polynomial_d> PT;
+  return typename PT::Sign_at()(p,begin, end);
+}
 
 // SubstituteHomogeneous
-template <typename Polynomial_d, typename Input_iterator>  inline     
+template <typename Polynomial_d, typename Input_iterator>  inline
 typename CGAL::Coercion_traits<
     typename Polynomial_traits_d<Polynomial_d>::Innermost_coefficient_type,
-    typename std::iterator_traits<Input_iterator>::value_type>              
-  ::Type  
+    typename std::iterator_traits<Input_iterator>::value_type>
+  ::Type
 substitute_homogeneous(
     const Polynomial_d& p,Input_iterator begin, Input_iterator end){
-  typedef Polynomial_traits_d<Polynomial_d> PT;                       
+  typedef Polynomial_traits_d<Polynomial_d> PT;
   return typename PT::Substitute_homogeneous()(p,begin, end);
-}  
+}
 // IsZeroAtHomogeneous
-template <typename Polynomial_d, typename Input_iterator>  inline     
+template <typename Polynomial_d, typename Input_iterator>  inline
 typename Polynomial_traits_d<Polynomial_d>::Is_zero_at_homogeneous::result_type
 is_zero_at_homogeneous(
     const Polynomial_d& p, Input_iterator begin, Input_iterator end){
-  typedef Polynomial_traits_d<Polynomial_d> PT;                       
+  typedef Polynomial_traits_d<Polynomial_d> PT;
   return typename PT::Is_zero_at_homogeneous()(p,begin, end);
-}  
+}
 // SignAtHomogeneous
-template <typename Polynomial_d, typename Input_iterator>  inline     
+template <typename Polynomial_d, typename Input_iterator>  inline
 typename Polynomial_traits_d<Polynomial_d>::Sign_at_homogeneous::result_type
 sign_at_homogeneous(
     const Polynomial_d& p, Input_iterator begin, Input_iterator end){
-  typedef Polynomial_traits_d<Polynomial_d> PT;                       
-  return typename PT::Sign_at_homogeneous()(p,begin, end);                      
-}  
+  typedef Polynomial_traits_d<Polynomial_d> PT;
+  return typename PT::Sign_at_homogeneous()(p,begin, end);
+}
 
-// Compare // provided by number_type utils 
+// Compare // provided by number_type utils
 // CGAL_BINARY_POLY_FUNCTION(Compare,compare);
 
 // UnivariateContent
@@ -191,12 +191,12 @@ CGAL_UNARY_POLY_FUNCTION(Univariate_cont
 CGAL_UNARY_POLY_FUNCTION(Multivariate_content, multivariate_content)
 
 // SquareFreeFactorize
-template <typename Polynomial_d, typename OutputIterator>  inline     
+template <typename Polynomial_d, typename OutputIterator>  inline
 OutputIterator
 square_free_factorize(const Polynomial_d& p, OutputIterator oi){
-  typedef Polynomial_traits_d<Polynomial_d> PT;                       
-  return typename PT::Square_free_factorize()(p,oi);                      
-}  
+  typedef Polynomial_traits_d<Polynomial_d> PT;
+  return typename PT::Square_free_factorize()(p,oi);
+}
 // MakeSquareFree
 CGAL_UNARY_POLY_FUNCTION(Make_square_free, make_square_free)
 // IsSquareFree
@@ -205,49 +205,49 @@ CGAL_UNARY_POLY_FUNCTION(Is_square_free,
 // PseudoDivision
 // PseudoDivisionQuotient
 // PseudoDivisionRemainder
-template <typename Polynomial_d>  inline     
-void 
+template <typename Polynomial_d>  inline
+void
 pseudo_division(
-    const Polynomial_d& f, const Polynomial_d& g, 
-    Polynomial_d& q, Polynomial_d& r, 
+    const Polynomial_d& f, const Polynomial_d& g,
+    Polynomial_d& q, Polynomial_d& r,
     typename Polynomial_traits_d<Polynomial_d>::Coefficient_type& D){
-  typedef Polynomial_traits_d<Polynomial_d> PT;                       
-  typename PT::Pseudo_division()(f,g,q,r,D);                      
+  typedef Polynomial_traits_d<Polynomial_d> PT;
+  typename PT::Pseudo_division()(f,g,q,r,D);
   return;
-}  
-template <typename Polynomial_d>  inline     
+}
+template <typename Polynomial_d>  inline
 typename Polynomial_traits_d<Polynomial_d>::Pseudo_division_quotient::result_type
 pseudo_division_quotient(const Polynomial_d& f, const Polynomial_d& g){
-  typedef Polynomial_traits_d<Polynomial_d> PT;                       
-  return typename PT::Pseudo_division_quotient()(f,g);                      
-}  
-template <typename Polynomial_d>  inline     
+  typedef Polynomial_traits_d<Polynomial_d> PT;
+  return typename PT::Pseudo_division_quotient()(f,g);
+}
+template <typename Polynomial_d>  inline
 typename Polynomial_traits_d<Polynomial_d>::Pseudo_division_remainder::result_type
 pseudo_division_remainder(const Polynomial_d& f, const Polynomial_d& g){
-  typedef Polynomial_traits_d<Polynomial_d> PT;                       
-  return typename PT::Pseudo_division_remainder()(f,g);                      
-}  
+  typedef Polynomial_traits_d<Polynomial_d> PT;
+  return typename PT::Pseudo_division_remainder()(f,g);
+}
 
 // GcdUpToConstantFactor
 CGAL_BINARY_POLY_FUNCTION(
-    Gcd_up_to_constant_factor, 
+    Gcd_up_to_constant_factor,
     gcd_up_to_constant_factor)
 // IntegralDivisionUpToConstantFactor
 CGAL_BINARY_POLY_FUNCTION(
-    Integral_division_up_to_constant_factor, 
+    Integral_division_up_to_constant_factor,
     integral_division_up_to_constant_factor)
 // UnivariateContentUpToConstantFactor
 CGAL_UNARY_POLY_FUNCTION(
-    Univariate_content_up_to_constant_factor, 
+    Univariate_content_up_to_constant_factor,
     univariate_content_up_to_constant_factor)
 // SquareFreeFactorizeUpToConstantFactor
-template <typename Polynomial_d, typename OutputIterator>  inline     
+template <typename Polynomial_d, typename OutputIterator>  inline
 OutputIterator
 square_free_factorize_up_to_constant_factor(
     const Polynomial_d& p, OutputIterator oi){
-  typedef Polynomial_traits_d<Polynomial_d> PT;                       
+  typedef Polynomial_traits_d<Polynomial_d> PT;
   return typename PT::Square_free_factorize_up_to_constant_factor()(p,oi);
-}  
+}
 
 // Shift
 CGAL_BINARY_POLY_FUNCTION_INDEX(Shift,shift)
@@ -258,45 +258,45 @@ CGAL_UNARY_POLY_FUNCTION_INDEX(Invert,in
 // Translate
 CGAL_BINARY_POLY_FUNCTION_INDEX(Translate,translate)
 // TranslateHomogeneous
-template <typename Polynomial_d>  inline     
+template <typename Polynomial_d>  inline
 typename Polynomial_traits_d<Polynomial_d>::Translate_homogeneous::result_type
 translate_homogeneous(const Polynomial_d& f,
-    const typename Polynomial_traits_d<Polynomial_d>::Innermost_coefficient_type& num, 
+    const typename Polynomial_traits_d<Polynomial_d>::Innermost_coefficient_type& num,
     const typename Polynomial_traits_d<Polynomial_d>::Innermost_coefficient_type& den){
-      
-  typedef Polynomial_traits_d<Polynomial_d> PT;                       
-  return typename PT::Translate_homogeneous()(f,num,den);                      
-}  
-template <typename Polynomial_d>  inline     
+
+  typedef Polynomial_traits_d<Polynomial_d> PT;
+  return typename PT::Translate_homogeneous()(f,num,den);
+}
+template <typename Polynomial_d>  inline
 typename Polynomial_traits_d<Polynomial_d>::Translate_homogeneous::result_type
 translate_homogeneous(const Polynomial_d& f,
-    const typename Polynomial_traits_d<Polynomial_d>::Innermost_coefficient_type& num, 
+    const typename Polynomial_traits_d<Polynomial_d>::Innermost_coefficient_type& num,
     const typename Polynomial_traits_d<Polynomial_d>::Innermost_coefficient_type& den,
     int index ){
-  typedef Polynomial_traits_d<Polynomial_d> PT;                       
+  typedef Polynomial_traits_d<Polynomial_d> PT;
   return typename PT::Translate_homogeneous()(f,num,den,index);
-}      
+}
 // Scale
 CGAL_BINARY_POLY_FUNCTION_INDEX(Scale,scale)
 // ScaleHomogeneous
-template <typename Polynomial_d>  inline     
+template <typename Polynomial_d>  inline
 typename Polynomial_traits_d<Polynomial_d>::Scale_homogeneous::result_type
 scale_homogeneous(const Polynomial_d& f,
-    const typename Polynomial_traits_d<Polynomial_d>::Innermost_coefficient_type& num, 
+    const typename Polynomial_traits_d<Polynomial_d>::Innermost_coefficient_type& num,
     const typename Polynomial_traits_d<Polynomial_d>::Innermost_coefficient_type& den){
-      
-  typedef Polynomial_traits_d<Polynomial_d> PT;                       
-  return typename PT::Scale_homogeneous()(f,num,den);                      
-}  
-template <typename Polynomial_d>  inline     
+
+  typedef Polynomial_traits_d<Polynomial_d> PT;
+  return typename PT::Scale_homogeneous()(f,num,den);
+}
+template <typename Polynomial_d>  inline
 typename Polynomial_traits_d<Polynomial_d>::Scale_homogeneous::result_type
 scale_homogeneous(const Polynomial_d& f,
-    const typename Polynomial_traits_d<Polynomial_d>::Innermost_coefficient_type& num, 
+    const typename Polynomial_traits_d<Polynomial_d>::Innermost_coefficient_type& num,
     const typename Polynomial_traits_d<Polynomial_d>::Innermost_coefficient_type& den,
     int index ){
-  typedef Polynomial_traits_d<Polynomial_d> PT;                       
+  typedef Polynomial_traits_d<Polynomial_d> PT;
   return typename PT::Scale_homogeneous()(f,num,den,index);
-}  
+}
 // Resultant
 CGAL_BINARY_POLY_FUNCTION(Resultant,resultant)
 
@@ -305,17 +305,17 @@ OutputIterator polynomial_subresultants
 (Polynomial_d p, Polynomial_d q, OutputIterator out) {
     typedef Polynomial_traits_d<Polynomial_d> PT;
     return typename PT::Polynomial_subresultants() (p, q, out);
-}   
+}
 
 template <typename Polynomial_d,typename OutputIterator> inline
 OutputIterator principal_subresultants
 (Polynomial_d p, Polynomial_d q, OutputIterator out) {
     typedef Polynomial_traits_d<Polynomial_d> PT;
     return typename PT::Principal_subresultants() (p, q, out);
-}   
+}
 
 template<typename Polynomial_d,
-    typename OutputIterator1, 
+    typename OutputIterator1,
     typename OutputIterator2,
     typename OutputIterator3> inline
 OutputIterator1 polynomial_subresultants_with_cofactors
@@ -325,7 +325,7 @@ OutputIterator1 polynomial_subresultants
  OutputIterator2 coP_out,
  OutputIterator3 coQ_out) {
     typedef Polynomial_traits_d<Polynomial_d> PT;
-    return typename PT::Polynomial_subresultants_with_cofactors() 
+    return typename PT::Polynomial_subresultants_with_cofactors()
         (p, q, sres_out, coP_out, coQ_out);
 }
 
@@ -337,7 +337,7 @@ principal_sturm_habicht_sequence
     typedef Polynomial_traits_d<Polynomial_d> PT;
     return typename PT::Principal_sturm_habicht_sequence() (f, out);
 }
-  
+
 template<typename Polynomial_d,typename OutputIterator> OutputIterator
 sturm_habicht_sequence(Polynomial_d f,OutputIterator out) {
     typedef Polynomial_traits_d<Polynomial_d> PT;
@@ -347,7 +347,7 @@ sturm_habicht_sequence(Polynomial_d f,Ou
 template<typename Polynomial_d,
     typename OutputIterator1,
     typename OutputIterator2,
-    typename OutputIterator3> 
+    typename OutputIterator3>
 OutputIterator1
 sturm_habicht_sequence_with_cofactors
 (Polynomial_d f,
@@ -355,7 +355,7 @@ sturm_habicht_sequence_with_cofactors
  OutputIterator2 cof_out,
  OutputIterator3 cofx_out) {
     typedef Polynomial_traits_d<Polynomial_d> PT;
-    return typename PT::Sturm_habicht_sequence_with_cofactors() 
+    return typename PT::Sturm_habicht_sequence_with_cofactors()
         (f, stha_out, cof_out, cofx_out);
 }
 
diff -pruN 5.0.2-3/include/CGAL/Polytope_distance_d.h 5.0.3-1/include/CGAL/Polytope_distance_d.h
--- 5.0.2-3/include/CGAL/Polytope_distance_d.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polytope_distance_d.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polytope_distance_d/include/CGAL/Polytope_distance_d.h $
-// $Id: Polytope_distance_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polytope_distance_d/include/CGAL/Polytope_distance_d.h $
+// $Id: Polytope_distance_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
@@ -37,11 +37,11 @@
 namespace CGAL {
 
 // To determine the polytope distance, we set up the following QP:
-// 
+//
 // We let v-w be nonnegative vectors such that
 // v-w = p-q, where p and q are the points that realize the
 // optimal distance. That way, we obtain a nonnegative QP
-// 
+//
 //
 //min (v-w)^T(w-v)
 //     v-w - \sum x_i p_i + \sum y_j q_j    = 0
@@ -51,13 +51,13 @@ namespace CGAL {
 
 namespace PD_detail {
   // The functors necessary to realize access to A
-  // 
+  //
   // A has the form
   //    I  -I    -P    Q
   //    0   0     1    0
   //    0   0     0    1
   // where  I and -I are blocks of size d*d, and the 0's and 1's are
-  // rows vectors of 0's and 1's 
+  // rows vectors of 0's and 1's
   //
   // we have one functor for a fixed column, and one functor for the
   // whole matrix
@@ -70,7 +70,7 @@ namespace PD_detail {
     typedef NT result_type;
     A_column()
     {}
-  
+
     A_column (int j, int d, bool in_p, Iterator it)
       : j_ (j), d_ (d), in_p_ (in_p), it_ (it), nt_0_ (0), nt_1_ (1)
     {}
@@ -78,78 +78,78 @@ namespace PD_detail {
     result_type operator() (int i) const
     {
       if (j_ < d_) {
-	// column for v
-	return (i == j_ ? nt_1_ : nt_0_);
+        // column for v
+        return (i == j_ ? nt_1_ : nt_0_);
       }
       if (j_ < 2*d_) {
-	// column for w
-	return (i == j_-d_ ? -nt_1_ : nt_0_);
+        // column for w
+        return (i == j_-d_ ? -nt_1_ : nt_0_);
       }
       // point column
       if (in_p_) {
-	// column for P
-	if (i < d_) return -(*(it_ + i));
-	if (i == d_) return *(it_ + d_); // homogenizing coordinate
-	return nt_0_;
+        // column for P
+        if (i < d_) return -(*(it_ + i));
+        if (i == d_) return *(it_ + d_); // homogenizing coordinate
+        return nt_0_;
       } else {
-	// column for Q
-	if (i < d_) return (*(it_ + i));
-	if (i == d_+1) return *(it_ + d_); // homogenizing coordinate
-	return nt_0_;
+        // column for Q
+        if (i < d_) return (*(it_ + i));
+        if (i == d_+1) return *(it_ + d_); // homogenizing coordinate
+        return nt_0_;
       }
       // never get here
     }
-    
+
   private:
     int j_;                  // column number
     int d_;                  // dimension
     bool in_p_;              // point in P ?
     Iterator it_;            // the iterator through the column's point
     NT nt_0_;
-    NT nt_1_; 
+    NT nt_1_;
   };
-  
+
   // functor for matrix A
   template <class NT, class Access_coordinate_begin_d,
-	    class Point_iterator >
+            class Point_iterator >
   class A_matrix : public CGAL::cpp98::unary_function
   <int, boost::transform_iterator <A_column
-    <NT, typename Access_coordinate_begin_d::Coordinate_iterator>, 
-				   boost::counting_iterator<int> > >
-  { 
+    <NT, typename Access_coordinate_begin_d::Coordinate_iterator>,
+                                   boost::counting_iterator<int> > >
+  {
     typedef PD_detail::A_column
     <NT, typename Access_coordinate_begin_d::Coordinate_iterator> A_column;
   public:
     typedef  boost::transform_iterator
     <A_column, boost::counting_iterator<int> > result_type;
-    
+
     A_matrix ()
     {}
 
-    A_matrix (int d, 
-	      Access_coordinate_begin_d da_coord,
-	      Point_iterator P, 
-	      int r, 
-	      Point_iterator Q) 
+    A_matrix (int d,
+              Access_coordinate_begin_d da_coord,
+              Point_iterator P,
+              int r,
+              Point_iterator Q)
       : d_ (d), da_coord_ (da_coord), P_ (P), r_ (r), Q_ (Q)
     {}
 
     result_type operator () (int j) const
-    { 
+    {
       if (j < 2*d_) {
-	// column of v or w
-	return result_type
-	  (0, A_column (j, d_, false  /*dummy*/, 
-			da_coord_ (*P_) /*dummy*/));
+        // column of v or w
+        return result_type
+          (0, A_column (j, d_, false  /*dummy*/,
+                        da_coord_ (*P_) /*dummy*/));
       }
       if (j < 2*d_+r_) {
-	// column of P
-	return result_type
-	  (0, A_column (j , d_, true, da_coord_ (*(P_+(j-2*d_)))));
+        // column of P
+        return result_type
+          (0, A_column (j , d_, true, da_coord_ (*(P_+(j-2*d_)))));
       }
       // column of Q
       return result_type
-	(0, A_column (j, d_, false, da_coord_ (*(Q_+(j-2*d_-r_))))); 
+        (0, A_column (j, d_, false, da_coord_ (*(Q_+(j-2*d_-r_)))));
     }
 
   private:
@@ -192,7 +192,7 @@ namespace PD_detail {
 
 
   // The functors necessary to realize access to D
-  // 
+  //
   // D has the form
   //   I  -I    0
   //  -I   I    0
@@ -204,34 +204,34 @@ namespace PD_detail {
 
   // functor for a fixed row of D; note that we have to return 2D in
   // order to please the QP_solver
-  template <class NT> 
-  class D_row : public CGAL::cpp98::unary_function <int, NT> 
+  template <class NT>
+  class D_row : public CGAL::cpp98::unary_function <int, NT>
   {
   public:
     typedef NT result_type;
-    D_row () 
+    D_row ()
     {}
-    D_row (int i, int d) 
+    D_row (int i, int d)
       : i_ (i), d_ (d), nt_0_ (0), nt_2_ (2)
     {}
-    
+
     result_type operator () (int j) const
     {
       if (j < d_) {
-	//  I ( 1 iff i = j)
-	// -I (-1 iff i = j + d)
-	//  0
-	if (i_ == j) return nt_2_;
-	if (i_ == j + d_) return -nt_2_;
-	return nt_0_;
+        //  I ( 1 iff i = j)
+        // -I (-1 iff i = j + d)
+        //  0
+        if (i_ == j) return nt_2_;
+        if (i_ == j + d_) return -nt_2_;
+        return nt_0_;
       }
       if (j < 2*d_) {
-	// -I (-1 iff i = j - d)
-	//  I ( 1 iff i = j)
-	//  0
-	if (i_ == j - d_) return -nt_2_;
-	if (i_ == j) return nt_2_;
-	return nt_0_;
+        // -I (-1 iff i = j - d)
+        //  I ( 1 iff i = j)
+        //  0
+        if (i_ == j - d_) return -nt_2_;
+        if (i_ == j) return nt_2_;
+        return nt_0_;
       }
       // 0
       // 0
@@ -249,18 +249,18 @@ namespace PD_detail {
   template <class NT>
   class D_matrix : public CGAL::cpp98::unary_function
   <int, boost::transform_iterator<D_row<NT>,
-				  boost::counting_iterator<int> > >
-  { 
+                                  boost::counting_iterator<int> > >
+  {
   public:
     typedef boost::transform_iterator<D_row<NT>,
-	    boost::counting_iterator<int> > result_type; 
+            boost::counting_iterator<int> > result_type;
     D_matrix ()
     {}
     D_matrix (int d)
       :  d_ (d)
     {}
 
-    result_type operator()(int i) const 
+    result_type operator()(int i) const
     {
       return result_type (0, D_row<NT>(i, d_));
     }
@@ -297,40 +297,40 @@ public:
   Construct_point_d;
 
   typedef  typename Traits::ET        ET;
-  typedef  typename Traits::NT        NT; 
+  typedef  typename Traits::NT        NT;
 
 private:
   // private types
   typedef  std::vector<Point>         Point_vector;
   typedef  std::vector<ET>            ET_vector;
-    
+
   typedef  QP_access_by_index
   <typename std::vector<Point>::const_iterator, int> Point_by_index;
-    
+
   typedef  std::vector<NT>            NT_vector;
   typedef  std::vector<NT_vector>     NT_matrix;
-  
+
   typedef  std::vector<int>           Index_vector;
-public:    
+public:
   // public types
   typedef  typename Point_vector::const_iterator
   Point_iterator;
-    
+
   typedef typename Index_vector::const_iterator IVCI;
   typedef CGAL::Join_input_iterator_1< IVCI, Point_by_index >
   Support_point_iterator;
 
   typedef typename Index_vector::const_iterator
   Support_point_index_iterator;
-    
+
   typedef  typename ET_vector::const_iterator
   Coordinate_iterator;
 
 private:
-  
+
   // QP solver iterator types
   typedef PD_detail::A_matrix <NT, Access_coordinates_begin_d,
-			       Point_iterator> A_matrix;
+                               Point_iterator> A_matrix;
   typedef boost::transform_iterator<
     A_matrix, boost::counting_iterator<int> > A_iterator;
 
@@ -338,8 +338,8 @@ private:
   typedef boost::transform_iterator<
     B_vector, boost::counting_iterator<int> > B_iterator;
 
-  typedef CGAL::Const_oneset_iterator<CGAL::Comparison_result> R_iterator;  
-  typedef CGAL::Const_oneset_iterator<NT> C_iterator; 
+  typedef CGAL::Const_oneset_iterator<CGAL::Comparison_result> R_iterator;
+  typedef CGAL::Const_oneset_iterator<NT> C_iterator;
 
   typedef PD_detail::D_matrix <NT> D_matrix;
   typedef boost::transform_iterator <
@@ -357,86 +357,86 @@ private:
 
   typedef  typename Solver::Pricing_strategy Pricing_strategy;
 
-public:    
+public:
 
   // creation
   Polytope_distance_d( const Traits&  traits  = Traits())
     : nt_0(0), nt_1(1),
       tco( traits), da_coord (tco.access_coordinates_begin_d_object()),
-      d( -1), solver(0) 
+      d( -1), solver(0)
   {}
-    
+
   template < class InputIterator1, class InputIterator2 >
   Polytope_distance_d( InputIterator1 p_first,
-		       InputIterator1 p_last,
-		       InputIterator2 q_first,
-		       InputIterator2 q_last,
-		       const Traits&  traits = Traits())
-    : nt_0(0), nt_1(1), 
+                       InputIterator1 p_last,
+                       InputIterator2 q_first,
+                       InputIterator2 q_last,
+                       const Traits&  traits = Traits())
+    : nt_0(0), nt_1(1),
       tco( traits), da_coord (tco.access_coordinates_begin_d_object()),
       solver(0)
   {
     set( p_first, p_last, q_first, q_last);
   }
 
-  ~Polytope_distance_d() {    
+  ~Polytope_distance_d() {
     if (solver)
       delete solver;
   }
 
   // access to point sets
   int  ambient_dimension( ) const { return d; }
-    
+
   int  number_of_points( ) const { return static_cast<int>(p_points.size()+q_points.size());}
-    
+
   int  number_of_points_p( ) const { return static_cast<int>(p_points.size()); }
   int  number_of_points_q( ) const { return static_cast<int>(q_points.size()); }
-    
+
   Point_iterator  points_p_begin( ) const { return p_points.begin(); }
   Point_iterator  points_p_end  ( ) const { return p_points.end  (); }
-    
+
   Point_iterator  points_q_begin( ) const { return q_points.begin(); }
   Point_iterator  points_q_end  ( ) const { return q_points.end  (); }
-    
+
   // access to support points
   int
   number_of_support_points( ) const
-  { return is_finite() ? 
+  { return is_finite() ?
       static_cast<int>(p_support_indices.size()+q_support_indices.size()) : 0; }
-    
+
   int  number_of_support_points_p() const { return static_cast<int>(p_support_indices.size());}
   int  number_of_support_points_q() const { return static_cast<int>(q_support_indices.size());}
-    
+
   Support_point_iterator
   support_points_p_begin() const
   { return Support_point_iterator(
-				  p_support_indices.begin(),
-				  Point_by_index( p_points.begin())); }
-    
+                                  p_support_indices.begin(),
+                                  Point_by_index( p_points.begin())); }
+
   Support_point_iterator
   support_points_p_end() const
   { return Support_point_iterator(
-				  is_finite() ? p_support_indices.end()
-				  : p_support_indices.begin(),
-				  Point_by_index( p_points.begin())); }
-    
+                                  is_finite() ? p_support_indices.end()
+                                  : p_support_indices.begin(),
+                                  Point_by_index( p_points.begin())); }
+
   Support_point_iterator
   support_points_q_begin() const
   { return Support_point_iterator(
-				  q_support_indices.begin(),
-				  Point_by_index( q_points.begin())); }
-    
+                                  q_support_indices.begin(),
+                                  Point_by_index( q_points.begin())); }
+
   Support_point_iterator
   support_points_q_end() const
   { return Support_point_iterator(
-				  is_finite() ? q_support_indices.end()
-				  : q_support_indices.begin(),
-				  Point_by_index( q_points.begin())); }
+                                  is_finite() ? q_support_indices.end()
+                                  : q_support_indices.begin(),
+                                  Point_by_index( q_points.begin())); }
 
   Support_point_index_iterator
   support_points_p_indices_begin() const
   { return p_support_indices.begin(); }
-    
+
   Support_point_index_iterator
   support_points_p_indices_end() const
   { return p_support_indices.end(); }
@@ -448,27 +448,27 @@ public:
   Support_point_index_iterator
   support_points_q_indices_end() const
   { return q_support_indices.end(); }
-    
+
   // access to realizing points (rational representation)
   Coordinate_iterator
   realizing_point_p_coordinates_begin( ) const { return p_coords.begin(); }
-    
+
   Coordinate_iterator
   realizing_point_p_coordinates_end  ( ) const { return p_coords.end  (); }
-    
+
   Coordinate_iterator
   realizing_point_q_coordinates_begin( ) const { return q_coords.begin(); }
-    
+
   Coordinate_iterator
   realizing_point_q_coordinates_end  ( ) const { return q_coords.end  (); }
-    
+
   // access to squared distance (rational representation)
   ET  squared_distance_numerator  ( ) const
   { return solver->solution_numerator(); }
-    
+
   ET  squared_distance_denominator( ) const
   { return solver->solution_denominator(); }
-    
+
   // access to realizing points and squared distance
   // NOTE: an implicit conversion from ET to RT must be available!
   Point
@@ -478,7 +478,7 @@ public:
     ( ambient_dimension(),
       realizing_point_p_coordinates_begin(),
       realizing_point_p_coordinates_end  ()); }
-    
+
   Point
   realizing_point_q( ) const
   { CGAL_optimisation_precondition( is_finite());
@@ -486,27 +486,27 @@ public:
     ( ambient_dimension(),
       realizing_point_q_coordinates_begin(),
       realizing_point_q_coordinates_end  ()); }
-    
+
   FT
   squared_distance( ) const
-  { 
+  {
     return FT( squared_distance_numerator  ()) /
       FT( squared_distance_denominator()); }
-    
+
   bool  is_finite( ) const
   { return ( number_of_points_p() > 0) && ( number_of_points_q() > 0); }
-    
+
   bool  is_zero( ) const
   { return CGAL_NTS is_zero( squared_distance_numerator()); }
-    
+
   bool  is_degenerate( ) const { return ( ! is_finite()); }
-    
+
   // modifiers
   template < class InputIterator1, class InputIterator2 >
   void
   set( InputIterator1 p_first, InputIterator1 p_last,
        InputIterator2 q_first, InputIterator2 q_last)
-  { 
+  {
     p_points.clear();
     q_points.clear();
     std::copy( p_first, p_last, std::back_inserter( p_points));
@@ -517,13 +517,13 @@ public:
        && check_dimension( q_points.begin(), q_points.end()),
        "Not all points have the same dimension.");
 
-    compute_distance(); 
+    compute_distance();
   }
-    
+
   template < class InputIterator >
   void
   set_p( InputIterator p_first, InputIterator p_last)
-  { 
+  {
     p_points.clear();
     std::copy( p_first, p_last, std::back_inserter( p_points));
     set_dimension();
@@ -531,9 +531,9 @@ public:
       (check_dimension( p_points.begin(), p_points.end()),
        "Not all points have the same dimension.");
 
-    compute_distance(); 
+    compute_distance();
   }
-    
+
   template < class InputIterator >
   void
   set_q( InputIterator q_first, InputIterator q_last)
@@ -544,37 +544,37 @@ public:
     CGAL_optimisation_precondition_msg
       (check_dimension( q_points.begin(), q_points.end()),
        "Not all points have the same dimension.");
-  
-    compute_distance(); 
+
+    compute_distance();
   }
-    
+
   void
   insert_p( const Point& p)
-  { 
+  {
     CGAL_optimisation_precondition
       ( ( ! is_finite()) ||
-	( tco.access_dimension_d_object()( p) == d));
+        ( tco.access_dimension_d_object()( p) == d));
     p_points.push_back( p);
-    set_dimension(); // it might no longer be -1 
-    compute_distance(); 
+    set_dimension(); // it might no longer be -1
+    compute_distance();
   }
-    
+
   void
   insert_q( const Point& q)
-  { 
+  {
     CGAL_optimisation_precondition
       ( ( ! is_finite()) ||
-	( tco.access_dimension_d_object()( q) == d));
-    q_points.push_back( q); 
-    set_dimension(); // it might no longer be -1 
-    compute_distance(); 
+        ( tco.access_dimension_d_object()( q) == d));
+    q_points.push_back( q);
+    set_dimension(); // it might no longer be -1
+    compute_distance();
   }
-    
+
   template < class InputIterator1, class InputIterator2 >
   void
   insert( InputIterator1 p_first, InputIterator1 p_last,
-	  InputIterator2 q_first, InputIterator2 q_last)
-  { 
+          InputIterator2 q_first, InputIterator2 q_last)
+  {
     CGAL_optimisation_precondition_code(int old_r = static_cast<int>(p_points.size()));
     CGAL_optimisation_precondition_code(int old_s = static_cast<int>(q_points.size()));
     p_points.insert( p_points.end(), p_first, p_last);
@@ -584,49 +584,49 @@ public:
       (check_dimension( p_points.begin()+old_r, p_points.end())
        && check_dimension( q_points.begin()+old_s, q_points.end()),
        "Not all points have the same dimension.");
-    compute_distance(); 
+    compute_distance();
   }
-    
+
   template < class InputIterator >
   void
   insert_p( InputIterator p_first, InputIterator p_last)
-  { 
+  {
     CGAL_optimisation_precondition_code(int old_r = static_cast<int>(p_points.size()));
     p_points.insert( p_points.end(), p_first, p_last);
     set_dimension();
     CGAL_optimisation_precondition_msg
       (check_dimension( p_points.begin()+old_r, p_points.end()),
        "Not all points have the same dimension.");
-    compute_distance(); 
+    compute_distance();
   }
-    
+
   template < class InputIterator >
   void
   insert_q( InputIterator q_first, InputIterator q_last)
-  { 
+  {
     CGAL_optimisation_precondition_code( int old_s = static_cast<int>(q_points.size()));
     q_points.insert( q_points.end(), q_first, q_last);
     set_dimension();
     CGAL_optimisation_precondition_msg
       (check_dimension( q_points.begin()+old_s, q_points.end()),
        "Not all points have the same dimension.");
-    compute_distance(); 
+    compute_distance();
   }
-    
+
   void
   clear( )
-  { 
+  {
     p_points.clear();
     q_points.clear();
-    compute_distance(); 
+    compute_distance();
   }
-    
+
   // validity check
   bool  is_valid( bool verbose = false, int level = 0) const;
-    
+
   // traits class access
   const Traits&  traits( ) const { return tco; }
-    
+
 
 private:
   NT nt_0;
@@ -634,42 +634,42 @@ private:
 
   Traits                     tco;        // traits class object
   Access_coordinates_begin_d da_coord;   // data accessor object
-    
+
   Point_vector             p_points;  // points of P
   Point_vector             q_points;  // points of Q
   int                      d;         // dimension of input points
-    
+
   ET_vector                p_coords;          // realizing point of P
   ET_vector                q_coords;          // realizing point of Q
-    
+
   Solver                   *solver;    // quadratic programming solver
-    
+
   Index_vector             p_support_indices;
   Index_vector             q_support_indices;
-    
-private:    
+
+private:
   // set dimension of input points
   void
   set_dimension( )
-  { 
+  {
     d = ( p_points.size() > 0 ?
-	  tco.access_dimension_d_object()( p_points[ 0]) :
-	  q_points.size() > 0 ?
-	  tco.access_dimension_d_object()( q_points[ 0]) :
-	  -1); 
+          tco.access_dimension_d_object()( p_points[ 0]) :
+          q_points.size() > 0 ?
+          tco.access_dimension_d_object()( q_points[ 0]) :
+          -1);
   }
-    
+
   // check dimension of input points
   template < class InputIterator >
   bool
   check_dimension( InputIterator first, InputIterator last)
   { return ( std::find_if
-	     ( first, last,
-	       CGAL::compose1_1
-	       ( boost::bind2nd(std::not_equal_to<int>(), d),
-		 tco.access_dimension_d_object()))
-	     == last); }
-    
+             ( first, last,
+               CGAL::compose1_1
+               ( boost::bind2nd(std::not_equal_to<int>(), d),
+                 tco.access_dimension_d_object()))
+             == last); }
+
   // compute (squared) distance
   void
   compute_distance( )
@@ -678,20 +678,20 @@ private:
     p_support_indices.clear();
     q_support_indices.clear();
     if ( ( p_points.size() == 0) || ( q_points.size() == 0)) return;
-        
+
     // construct program
     int n = 2 * d + static_cast<int>(p_points.size() + q_points.size());
     int m = d + 2;
     CGAL_optimisation_precondition (p_points.size() > 0);
-    QP qp (n, m, 
-	   A_iterator 
-	   (boost::counting_iterator<int>(0), 
-	    A_matrix (d, da_coord, p_points.begin(), static_cast<int>(p_points.size()), 
-			 q_points.begin())),
-	   B_iterator (boost::counting_iterator<int>(0), B_vector (d)), 
-	   R_iterator (CGAL::EQUAL), 
-	   D_iterator (boost::counting_iterator<int>(0), D_matrix (d)),
-	   C_iterator (nt_0));
+    QP qp (n, m,
+           A_iterator
+           (boost::counting_iterator<int>(0),
+            A_matrix (d, da_coord, p_points.begin(), static_cast<int>(p_points.size()),
+                         q_points.begin())),
+           B_iterator (boost::counting_iterator<int>(0), B_vector (d)),
+           R_iterator (CGAL::EQUAL),
+           D_iterator (boost::counting_iterator<int>(0), D_matrix (d)),
+           C_iterator (nt_0));
 
     delete solver;
     Quadratic_program_options options;
@@ -710,33 +710,33 @@ private:
       int index = solver->basic_original_variable_indices_begin()[ i];
       if (index < 2*d) continue; // v or w variable
       if (index < 2*d + r) {
-	// a point of p
-	for ( int j = 0; j < d; ++j) {
-	  p_coords[ j]
-	    += value * ET(da_coord (p_points[ index-2*d ])[ j]);
-	}
-	p_support_indices.push_back( index-2*d);
+        // a point of p
+        for ( int j = 0; j < d; ++j) {
+          p_coords[ j]
+            += value * ET(da_coord (p_points[ index-2*d ])[ j]);
+        }
+        p_support_indices.push_back( index-2*d);
       } else {
-	// a point of q
-	for ( int j = 0; j < d; ++j) {
-	  q_coords[ j]
-	    += value * ET(da_coord (q_points[ index-2*d-r])[ j]);
-	}
-	q_support_indices.push_back( index-2*d-r);
+        // a point of q
+        for ( int j = 0; j < d; ++j) {
+          q_coords[ j]
+            += value * ET(da_coord (q_points[ index-2*d-r])[ j]);
+        }
+        q_support_indices.push_back( index-2*d-r);
       }
     }
     p_coords[ d] = q_coords[ d] = solver->variables_common_denominator();
   }
-    
+
   template < class NT >
   Quadratic_program_pricing_strategy pricing_strategy( NT) {
     return QP_PARTIAL_FILTERED_DANTZIG;
   }
-  
+
   Quadratic_program_pricing_strategy pricing_strategy( ET) {
     return QP_PARTIAL_DANTZIG;
   }
-    
+
 };
 
 // Function declarations
@@ -784,52 +784,52 @@ is_valid( bool verbose, int level) const
     ET sqr_dist_num (0);
     for ( j = 0; j < d; ++j)
       sqr_dist_num += normal[ j] * normal[ j];
-    ET sqr_dist_den = 
+    ET sqr_dist_den =
       p_coords[ d] * p_coords[ d];
     if (sqr_dist_num * squared_distance_denominator() !=
-	sqr_dist_den * squared_distance_numerator())
+        sqr_dist_den * squared_distance_numerator())
       return CGAL::_optimisation_is_valid_fail
-	( verr, "realizing points don't have correct squared distance");
+        ( verr, "realizing points don't have correct squared distance");
 
 
     // check P
     // -------
     verr << "  checking P..." << flush;
-        
+
     // check point set
     for ( i = 0; i < number_of_points_p(); ++i) {
       for ( j = 0; j < d; ++j) {
-	// compute (a positive multiple of) p^* - p_i
-	diff[ j] = 
-	  ET(da_coord(p_points[ i])[d]) * p_coords[ j] - 
-	  den * ET(da_coord( p_points[ i])[ j]);
+        // compute (a positive multiple of) p^* - p_i
+        diff[ j] =
+          ET(da_coord(p_points[ i])[d]) * p_coords[ j] -
+          den * ET(da_coord( p_points[ i])[ j]);
       }
       if ( std::inner_product( diff.begin(), diff.end(),
-			       normal.begin(), et_0) > et_0)
-	return CGAL::_optimisation_is_valid_fail
-	  ( verr, "polytope P is not separated by its hyperplane");
+                               normal.begin(), et_0) > et_0)
+        return CGAL::_optimisation_is_valid_fail
+          ( verr, "polytope P is not separated by its hyperplane");
     }
-        
+
     verr << "passed." << endl;
 
     // check Q
     // -------
     verr << "  checking Q..." << flush;
-        
+
     // check point set
     for ( i = 0; i < number_of_points_q(); ++i) {
       for ( j = 0; j < d; ++j) {
-	// compute (a positive multiple of) q^* - q_i
-	diff[ j] = 
-	  ET(da_coord(q_points[ i])[d]) * q_coords[ j] - 
-	  den * ET(da_coord( q_points[ i])[ j]);
+        // compute (a positive multiple of) q^* - q_i
+        diff[ j] =
+          ET(da_coord(q_points[ i])[d]) * q_coords[ j] -
+          den * ET(da_coord( q_points[ i])[ j]);
       }
       if ( std::inner_product( diff.begin(), diff.end(),
-			       normal.begin(), et_0) < et_0)
-	return CGAL::_optimisation_is_valid_fail
-	  ( verr, "polytope Q is not separated by its hyperplane");
+                               normal.begin(), et_0) < et_0)
+        return CGAL::_optimisation_is_valid_fail
+          ( verr, "polytope Q is not separated by its hyperplane");
     }
-        
+
     verr << "passed." << endl;
   }
 
@@ -861,34 +861,34 @@ operator << ( std::ostream& os,
     os << "  P = {" << endl;
     os << "    ";
     copy( poly_dist.points_p_begin(), poly_dist.points_p_end(),
-	  Os_it( os, ",\n    "));
+          Os_it( os, ",\n    "));
     os << "}" << endl;
     os << "  Q = {" << endl;
     os << "    ";
     copy( poly_dist.points_q_begin(), poly_dist.points_q_end(),
-	  Os_it( os, ",\n    "));
+          Os_it( os, ",\n    "));
     os << "}" << endl;
     os << "  S_P = {" << endl;
     os << "    ";
     copy( poly_dist.support_points_p_begin(),
-	  poly_dist.support_points_p_end(),
-	  Os_it( os, ",\n    "));
+          poly_dist.support_points_p_end(),
+          Os_it( os, ",\n    "));
     os << "}" << endl;
     os << "  S_Q = {" << endl;
     os << "    ";
     copy( poly_dist.support_points_q_begin(),
-	  poly_dist.support_points_q_end(),
-	  Os_it( os, ",\n    "));
+          poly_dist.support_points_q_end(),
+          Os_it( os, ",\n    "));
     os << "}" << endl;
     os << "  p = ( ";
     copy( poly_dist.realizing_point_p_coordinates_begin(),
-	  poly_dist.realizing_point_p_coordinates_end(),
-	  Et_it( os, " "));
+          poly_dist.realizing_point_p_coordinates_end(),
+          Et_it( os, " "));
     os << ")" << endl;
     os << "  q = ( ";
     copy( poly_dist.realizing_point_q_coordinates_begin(),
-	  poly_dist.realizing_point_q_coordinates_end(),
-	  Et_it( os, " "));
+          poly_dist.realizing_point_q_coordinates_end(),
+          Et_it( os, " "));
     os << ")" << endl;
     os << "  squared distance = "
        << poly_dist.squared_distance_numerator() << " / "
@@ -898,28 +898,28 @@ operator << ( std::ostream& os,
   case CGAL::IO::ASCII:
     os << poly_dist.number_of_points_p() << endl;
     copy( poly_dist.points_p_begin(),
-	  poly_dist.points_p_end(),
-	  Os_it( os, "\n"));
+          poly_dist.points_p_end(),
+          Os_it( os, "\n"));
     os << poly_dist.number_of_points_q() << endl;
     copy( poly_dist.points_q_begin(),
-	  poly_dist.points_q_end(),
-	  Os_it( os, "\n"));
+          poly_dist.points_q_end(),
+          Os_it( os, "\n"));
     break;
 
   case CGAL::IO::BINARY:
     os << poly_dist.number_of_points_p() << endl;
     copy( poly_dist.points_p_begin(),
-	  poly_dist.points_p_end(),
-	  Os_it( os));
+          poly_dist.points_p_end(),
+          Os_it( os));
     os << poly_dist.number_of_points_q() << endl;
     copy( poly_dist.points_q_begin(),
-	  poly_dist.points_q_end(),
-	  Os_it( os));
+          poly_dist.points_q_end(),
+          Os_it( os));
     break;
 
   default:
     CGAL_optimisation_assertion_msg( false,
-				     "CGAL::get_mode( os) invalid!");
+                                     "CGAL::get_mode( os) invalid!");
     break; }
 
   return( os);
diff -pruN 5.0.2-3/include/CGAL/Polytope_distance_d_traits_2.h 5.0.3-1/include/CGAL/Polytope_distance_d_traits_2.h
--- 5.0.2-3/include/CGAL/Polytope_distance_d_traits_2.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polytope_distance_d_traits_2.h	2020-08-01 19:02:46.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polytope_distance_d/include/CGAL/Polytope_distance_d_traits_2.h $
-// $Id: Polytope_distance_d_traits_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polytope_distance_d/include/CGAL/Polytope_distance_d_traits_2.h $
+// $Id: Polytope_distance_d_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Polytope_distance_d_traits_3.h 5.0.3-1/include/CGAL/Polytope_distance_d_traits_3.h
--- 5.0.2-3/include/CGAL/Polytope_distance_d_traits_3.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polytope_distance_d_traits_3.h	2020-08-01 19:02:46.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polytope_distance_d/include/CGAL/Polytope_distance_d_traits_3.h $
-// $Id: Polytope_distance_d_traits_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polytope_distance_d/include/CGAL/Polytope_distance_d_traits_3.h $
+// $Id: Polytope_distance_d_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Polytope_distance_d_traits_d.h 5.0.3-1/include/CGAL/Polytope_distance_d_traits_d.h
--- 5.0.2-3/include/CGAL/Polytope_distance_d_traits_d.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Polytope_distance_d_traits_d.h	2020-08-01 19:02:46.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polytope_distance_d/include/CGAL/Polytope_distance_d_traits_d.h $
-// $Id: Polytope_distance_d_traits_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polytope_distance_d/include/CGAL/Polytope_distance_d_traits_d.h $
+// $Id: Polytope_distance_d_traits_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/predicates/kernel_ftC2.h 5.0.3-1/include/CGAL/predicates/kernel_ftC2.h
--- 5.0.2-3/include/CGAL/predicates/kernel_ftC2.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/predicates/kernel_ftC2.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,17 +3,17 @@
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/predicates/kernel_ftC2.h $
-// $Id: kernel_ftC2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/predicates/kernel_ftC2.h $
+// $Id: kernel_ftC2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann, Sylvain Pion, Olivier Devillers
-//                
+//
 
 #ifndef CGAL_PREDICATES_KERNEL_FTC2_H
 #define CGAL_PREDICATES_KERNEL_FTC2_H
@@ -56,9 +56,9 @@ equal_lineC2(const FT &l1a, const FT &l1
     typename Sgn<FT>::result_type s1a = CGAL_NTS sign(l1a);
     if (s1a != ZERO)
         return s1a == CGAL_NTS sign(l2a)
-	    && sign_of_determinant(l1a, l1c, l2a, l2c) == ZERO;
+            && sign_of_determinant(l1a, l1c, l2a, l2c) == ZERO;
     return CGAL_NTS sign(l1b) == CGAL_NTS sign(l2b)
-	&& sign_of_determinant(l1b, l1c, l2b, l2c) == ZERO;
+        && sign_of_determinant(l1b, l1c, l2b, l2c) == ZERO;
 }
 
 template < class FT >
@@ -200,15 +200,15 @@ compare_y_at_xC2(const FT &px, const FT
     CGAL_kernel_precondition(are_ordered(ssx, px, stx));
 
     if (ssx < stx)
-	return orientationC2(px, py, ssx, ssy, stx, sty);
+        return orientationC2(px, py, ssx, ssy, stx, sty);
     else if (ssx > stx)
-	return orientationC2(px, py, stx, sty, ssx, ssy);
+        return orientationC2(px, py, stx, sty, ssx, ssy);
     else {
-	if (py < (CGAL::min)(sty, ssy))
-	    return SMALLER;
-	if (py > (CGAL::max)(sty, ssy))
-	    return LARGER;
-	return EQUAL;
+        if (py < (CGAL::min)(sty, ssy))
+            return SMALLER;
+        if (py > (CGAL::max)(sty, ssy))
+            return LARGER;
+        return EQUAL;
     }
 }
 
@@ -231,31 +231,31 @@ compare_y_at_x_segment_C2(const FT &px,
     CGAL_kernel_precondition(are_ordered(s2sx, px, s2tx));
 
     if (s1sx != s1tx && s2sx != s2tx) {
-	FT s1stx = s1sx-s1tx;
-	FT s2stx = s2sx-s2tx;
+        FT s1stx = s1sx-s1tx;
+        FT s2stx = s2sx-s2tx;
 
-	return CGAL_NTS compare(s1sx, s1tx) *
-	       CGAL_NTS compare(s2sx, s2tx) *
-	       CGAL_NTS compare(-(s1sx-px)*(s1sy-s1ty)*s2stx,
-		                (s2sy-s1sy)*s2stx*s1stx
-		                -(s2sx-px)*(s2sy-s2ty)*s1stx );
+        return CGAL_NTS compare(s1sx, s1tx) *
+               CGAL_NTS compare(s2sx, s2tx) *
+               CGAL_NTS compare(-(s1sx-px)*(s1sy-s1ty)*s2stx,
+                                (s2sy-s1sy)*s2stx*s1stx
+                                -(s2sx-px)*(s2sy-s2ty)*s1stx );
     }
     else {
-	if (s1sx == s1tx) { // s1 is vertical
-	    typename Compare<FT>::result_type c1, c2;
-	    c1 = compare_y_at_xC2(px, s1sy, s2sx, s2sy, s2tx, s2ty);
-	    c2 = compare_y_at_xC2(px, s1ty, s2sx, s2sy, s2tx, s2ty);
-	    if (c1 == c2)
-		return c1;
-	    return EQUAL;
-	}
-	// s2 is vertical
-	typename Compare<FT>::result_type c3, c4;
-	c3 = compare_y_at_xC2(px, s2sy, s1sx, s1sy, s1tx, s1ty);
-	c4 = compare_y_at_xC2(px, s2ty, s1sx, s1sy, s1tx, s1ty);
-	if (c3 == c4)
-	    return -c3;
-	return EQUAL;
+        if (s1sx == s1tx) { // s1 is vertical
+            typename Compare<FT>::result_type c1, c2;
+            c1 = compare_y_at_xC2(px, s1sy, s2sx, s2sy, s2tx, s2ty);
+            c2 = compare_y_at_xC2(px, s1ty, s2sx, s2sy, s2tx, s2ty);
+            if (c1 == c2)
+                return c1;
+            return EQUAL;
+        }
+        // s2 is vertical
+        typename Compare<FT>::result_type c3, c4;
+        c3 = compare_y_at_xC2(px, s2sy, s1sx, s1sy, s1tx, s1ty);
+        c4 = compare_y_at_xC2(px, s2ty, s1sx, s1sy, s1tx, s1ty);
+        if (c3 == c4)
+            return -c3;
+        return EQUAL;
     }
 }
 
@@ -263,7 +263,7 @@ template < class FT >
 CGAL_KERNEL_MEDIUM_INLINE
 typename Equal_to<FT>::result_type
 equal_directionC2(const FT &dx1, const FT &dy1,
-                  const FT &dx2, const FT &dy2) 
+                  const FT &dx2, const FT &dy2)
 {
   return CGAL_NTS sign(dx1) == CGAL_NTS sign(dx2)
       && CGAL_NTS sign(dy1) == CGAL_NTS sign(dy2)
@@ -274,7 +274,7 @@ template < class FT >
 CGAL_KERNEL_MEDIUM_INLINE
 typename Compare<FT>::result_type
 compare_angle_with_x_axisC2(const FT &dx1, const FT &dy1,
-                            const FT &dx2, const FT &dy2) 
+                            const FT &dx2, const FT &dy2)
 {
   // angles are in [-pi,pi], and the angle between Ox and d1 is compared
   // with the angle between Ox and d2
@@ -294,16 +294,16 @@ compare_angle_with_x_axisC2(const FT &dx
 template < class FT >
 CGAL_KERNEL_MEDIUM_INLINE
 typename Compare<FT>::result_type
-compare_slopesC2(const FT &l1a, const FT &l1b, const FT &l2a, const FT &l2b) 
+compare_slopesC2(const FT &l1a, const FT &l1b, const FT &l2a, const FT &l2b)
 {
    typedef typename Compare<FT>::result_type result_type;
 
    if (CGAL_NTS is_zero(l1a))  // l1 is horizontal
     return CGAL_NTS is_zero(l2b) ? result_type(SMALLER)
-	                         : CGAL_NTS sign(l2a) * CGAL_NTS sign(l2b);
+                                 : CGAL_NTS sign(l2a) * CGAL_NTS sign(l2b);
    if (CGAL_NTS is_zero(l2a)) // l2 is horizontal
     return CGAL_NTS is_zero(l1b) ? result_type(LARGER)
-	                         : - CGAL_NTS sign(l1a) * CGAL_NTS sign(l1b);
+                                 : - CGAL_NTS sign(l1a) * CGAL_NTS sign(l1b);
    if (CGAL_NTS is_zero(l1b)) return CGAL_NTS is_zero(l2b) ? EQUAL : LARGER;
    if (CGAL_NTS is_zero(l2b)) return SMALLER;
    result_type l1_sign = - CGAL_NTS sign(l1a) * CGAL_NTS sign(l1b);
@@ -314,18 +314,18 @@ compare_slopesC2(const FT &l1a, const FT
 
    if (l1_sign > ZERO)
      return CGAL_NTS compare ( CGAL_NTS abs(l1a * l2b),
-			       CGAL_NTS abs(l2a * l1b) );
+                               CGAL_NTS abs(l2a * l1b) );
 
    return CGAL_NTS compare ( CGAL_NTS abs(l2a * l1b),
-			     CGAL_NTS abs(l1a * l2b) );
+                             CGAL_NTS abs(l1a * l2b) );
 }
 
 template < class FT >
 CGAL_KERNEL_MEDIUM_INLINE
 typename Compare<FT>::result_type
-compare_slopesC2(const FT &s1_src_x, const FT &s1_src_y, const FT &s1_tgt_x, 
-                 const FT &s1_tgt_y, const FT &s2_src_x, const FT &s2_src_y, 
-                 const FT &s2_tgt_x, const FT &s2_tgt_y) 
+compare_slopesC2(const FT &s1_src_x, const FT &s1_src_y, const FT &s1_tgt_x,
+                 const FT &s1_tgt_y, const FT &s2_src_x, const FT &s2_src_y,
+                 const FT &s2_tgt_x, const FT &s2_tgt_y)
 {
    typedef typename Compare<FT>::result_type  Cmp;
    typedef typename Sgn<FT>::result_type      Sg;
diff -pruN 5.0.2-3/include/CGAL/predicates/kernel_ftC3.h 5.0.3-1/include/CGAL/predicates/kernel_ftC3.h
--- 5.0.2-3/include/CGAL/predicates/kernel_ftC3.h	2020-02-21 20:03:02.000000000 +0000
+++ 5.0.3-1/include/CGAL/predicates/kernel_ftC3.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000, 2016  
+// Copyright (c) 2000, 2016
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/predicates/kernel_ftC3.h $
-// $Id: kernel_ftC3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/predicates/kernel_ftC3.h $
+// $Id: kernel_ftC3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann, Sylvain Pion, Oliver Devillers, Mariette Yvinec
 
@@ -71,22 +71,22 @@ template < class FT >
 CGAL_KERNEL_MEDIUM_INLINE
 typename Equal_to<FT>::result_type
 strict_dominanceC3(const FT &px, const FT &py, const FT &pz,
-		   const FT &qx, const FT &qy, const FT &qz)
+                   const FT &qx, const FT &qy, const FT &qz)
 {
   return CGAL_AND_3( CGAL_NTS compare(px, qx) == LARGER ,
-	             CGAL_NTS compare(py, qy) == LARGER ,
-	             CGAL_NTS compare(pz, qz) == LARGER );
+                     CGAL_NTS compare(py, qy) == LARGER ,
+                     CGAL_NTS compare(pz, qz) == LARGER );
 }
 
 template < class FT >
 CGAL_KERNEL_MEDIUM_INLINE
 typename Equal_to<FT>::result_type
 dominanceC3(const FT &px, const FT &py, const FT &pz,
-	    const FT &qx, const FT &qy, const FT &qz)
+            const FT &qx, const FT &qy, const FT &qz)
 {
-  return CGAL_AND_3( CGAL_NTS compare(px, qx) != SMALLER , 
-	             CGAL_NTS compare(py, qy) != SMALLER ,
-	             CGAL_NTS compare(pz, qz) != SMALLER );
+  return CGAL_AND_3( CGAL_NTS compare(px, qx) != SMALLER ,
+                     CGAL_NTS compare(py, qy) != SMALLER ,
+                     CGAL_NTS compare(pz, qz) != SMALLER );
 }
 
 template < class FT >
@@ -150,8 +150,8 @@ angleC3(const FT &px, const FT &py, cons
         const FT &rx, const FT &ry, const FT &rz)
 {
   return enum_cast<Angle>(CGAL_NTS sign((px-qx)*(rx-qx)+
-	                                (py-qy)*(ry-qy)+
-				        (pz-qz)*(rz-qz)));
+                                        (py-qy)*(ry-qy)+
+                                        (pz-qz)*(rz-qz)));
 }
 
 template < class FT >
@@ -163,8 +163,8 @@ angleC3(const FT &px, const FT &py, cons
         const FT &sx, const FT &sy, const FT &sz)
 {
   return enum_cast<Angle>(CGAL_NTS sign((px-qx)*(rx-sx)+
-	                                (py-qy)*(ry-sy)+
-				        (pz-qz)*(rz-sz)));
+                                        (py-qy)*(ry-sy)+
+                                        (pz-qz)*(rz-sz)));
 }
 
 template < class FT >
@@ -305,7 +305,7 @@ equal_planeC3(const FT &ha, const FT &hb
     typedef typename Sgn<FT>::result_type  Sg;
 
     if (!equal_directionC3(ha, hb, hc, pa, pb, pc))
-	return false; // Not parallel.
+        return false; // Not parallel.
 
     Sg s1a = CGAL_NTS sign(ha);
     if (s1a != ZERO)
@@ -389,8 +389,8 @@ side_of_bounded_sphereC3(const FT &px, c
 {
   // Returns whether T lies inside or outside the sphere which diameter is PQ.
   return enum_cast<Bounded_side>( CGAL_NTS sign((tx-px)*(qx-tx)
-	                                      + (ty-py)*(qy-ty)
-	                                      + (tz-pz)*(qz-tz)) );
+                                              + (ty-py)*(qy-ty)
+                                              + (tz-pz)*(qz-tz)) );
 }
 
 template < class FT >
@@ -435,11 +435,11 @@ side_of_bounded_sphereC3(const FT &px, c
   FT tsz = tz-sz;
 
   FT num_x = ps2 * determinant(qsy,qsz,rsy,rsz)
-	   - qs2 * determinant(psy,psz,rsy,rsz);
+           - qs2 * determinant(psy,psz,rsy,rsz);
   FT num_y = ps2 * determinant(qsx,qsz,rsx,rsz)
-	   - qs2 * determinant(psx,psz,rsx,rsz);
+           - qs2 * determinant(psx,psz,rsx,rsz);
   FT num_z = ps2 * determinant(qsx,qsy,rsx,rsy)
-	   - qs2 * determinant(psx,psy,rsx,rsy);
+           - qs2 * determinant(psx,psy,rsx,rsy);
 
   FT den2  = 2 * determinant(psx,psy,psz,
                                    qsx,qsy,qsz,
@@ -448,8 +448,8 @@ side_of_bounded_sphereC3(const FT &px, c
   // The following could be simplified a bit.
   return enum_cast<Bounded_side>(
                       cmp_dist_to_pointC3<FT>(num_x,    - num_y,  num_z,
-	                                      psx*den2, psy*den2, psz*den2,
-	                                      tsx*den2, tsy*den2, tsz*den2) );
+                                              psx*den2, psy*den2, psz*den2,
+                                              tsx*den2, tsy*den2, tsz*den2) );
 }
 
 template < class FT >
@@ -516,8 +516,8 @@ cmp_signed_dist_to_planeC3(
      const FT &qx, const FT &qy, const FT &qz)
 {
   return sign_of_determinant<FT>( pqx-ppx, pqy-ppy, pqz-ppz,
-	                             prx-ppx, pry-ppy, prz-ppz,
-	                             px-qx,   py-qy,   pz-qz);
+                                     prx-ppx, pry-ppy, prz-ppz,
+                                     px-qx,   py-qy,   pz-qz);
 }
 
 template < class FT >
@@ -531,7 +531,7 @@ has_larger_signed_dist_to_planeC3(
      const FT &qx, const FT &qy, const FT &qz)
 {
     return cmp_signed_dist_to_planeC3(ppx, ppy, ppz, pqx, pqy, pqz,
-	    prx, pry, prz, px, py, pz, qx, qy, qz) == LARGER;
+            prx, pry, prz, px, py, pz, qx, qy, qz) == LARGER;
 }
 
 template < class FT >
@@ -545,7 +545,7 @@ has_smaller_signed_dist_to_planeC3(
      const FT &qx, const FT &qy, const FT &qz)
 {
     return cmp_signed_dist_to_planeC3(ppx, ppy, ppz, pqx, pqy, pqz,
-	    prx, pry, prz, px, py, pz, qx, qy, qz) == SMALLER;
+            prx, pry, prz, px, py, pz, qx, qy, qz) == SMALLER;
 }
 
 // return minus the sign of the 5x5 determinant [P,Q,R,S,T]
diff -pruN 5.0.2-3/include/CGAL/predicates/Polygon_offset_pred_ftC2.h 5.0.3-1/include/CGAL/predicates/Polygon_offset_pred_ftC2.h
--- 5.0.2-3/include/CGAL/predicates/Polygon_offset_pred_ftC2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/predicates/Polygon_offset_pred_ftC2.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/predicates/Polygon_offset_pred_ftC2.h $
-// $Id: Polygon_offset_pred_ftC2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/predicates/Polygon_offset_pred_ftC2.h $
+// $Id: Polygon_offset_pred_ftC2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
 //
 #ifndef CGAL_POLYGON_OFFSET_PRED_FTC2_H
@@ -29,12 +29,12 @@ template<class K>
 Uncertain<Comparison_result> compare_offset_against_isec_timeC2 ( typename K::FT const& t, intrusive_ptr< Trisegment_2<K> > const& tri )
 {
   typedef typename K::FT FT ;
-  
+
   typedef Rational<FT> Rational ;
   typedef Quotient<FT> Quotient ;
-  
+
   typedef optional<Rational> Optional_rational ;
- 
+
   Uncertain<Comparison_result> rResult = Uncertain<Comparison_result>::indeterminate();
 
   Optional_rational et_ = compute_offset_lines_isec_timeC2(tri);
diff -pruN 5.0.2-3/include/CGAL/predicates/predicates_for_mixed_complex_3.h 5.0.3-1/include/CGAL/predicates/predicates_for_mixed_complex_3.h
--- 5.0.2-3/include/CGAL/predicates/predicates_for_mixed_complex_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/predicates/predicates_for_mixed_complex_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,9 +3,9 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/predicates/predicates_for_mixed_complex_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/predicates/predicates_for_mixed_complex_3.h $
 
-// $Id: predicates_for_mixed_complex_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $Id: predicates_for_mixed_complex_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -31,27 +31,27 @@ namespace CGAL {
 template < class FT>
 Sign
 side_of_mixed_cellC3(const FT &p1x, const FT &p1y, const FT &p1z, const FT &p1w,
-		     const FT &p2x, const FT &p2y, const FT &p2z, const FT &p2w,
-		     const FT &xx, const FT &xy, const FT &xz, 
-		     const FT &s) {
+                     const FT &p2x, const FT &p2y, const FT &p2z, const FT &p2w,
+                     const FT &xx, const FT &xy, const FT &xz,
+                     const FT &s) {
   FT x, y, z, dx, dy, dz;
   weighted_circumcenterC3(p1x, p1y, p1z, p1w,
-			  p2x, p2y, p2z, p2w,
-			  x,y,z);
+                          p2x, p2y, p2z, p2w,
+                          x,y,z);
   dx = p1x - p2x;  dy = p1y - p2y;  dz = p1z - p2z;
 
   return CGAL_NTS sign(((1-s)*p1x+s*x-xx)*(dx) +
-		       ((1-s)*p1y+s*y-xy)*(dy) +
-		       ((1-s)*p1z+s*z-xz)*(dz));
+                       ((1-s)*p1y+s*y-xy)*(dy) +
+                       ((1-s)*p1z+s*z-xz)*(dz));
 }
 
 template < class FT>
 Sign
 side_of_mixed_cellC3(const FT &p1x, const FT &p1y, const FT &p1z, const FT &p1w,
-		     const FT &p2x, const FT &p2y, const FT &p2z, const FT &p2w,
-		     const FT &p3x, const FT &p3y, const FT &p3z, const FT &p3w,
-		     const FT &xx, const FT &xy, const FT &xz, 
-		     const FT &s) {
+                     const FT &p2x, const FT &p2y, const FT &p2z, const FT &p2w,
+                     const FT &p3x, const FT &p3y, const FT &p3z, const FT &p3w,
+                     const FT &xx, const FT &xy, const FT &xz,
+                     const FT &s) {
   // n is perpendicular to (p1,p2) in the plane of the triangle
   // q is the orthocenter of (p1,p2,p3)
   // t are temporary
@@ -69,23 +69,23 @@ side_of_mixed_cellC3(const FT &p1x, cons
 
   // compute q:
   weighted_circumcenterC3(p1x, p1y, p1z, p1w,
-			  p2x, p2y, p2z, p2w,
-			  p3x, p3y, p3z, p3w,
-			  qx,qy,qz);
+                          p2x, p2y, p2z, p2w,
+                          p3x, p3y, p3z, p3w,
+                          qx,qy,qz);
 
   return CGAL_NTS sign(((1-s)*p1x+s*qx-xx)*nx +
-		       ((1-s)*p1y+s*qy-xy)*ny +
-		       ((1-s)*p1z+s*qz-xz)*nz);
+                       ((1-s)*p1y+s*qy-xy)*ny +
+                       ((1-s)*p1z+s*qz-xz)*nz);
 }
 
 template < class FT>
 Sign
 side_of_mixed_cellC3(const FT &p1x, const FT &p1y, const FT &p1z, const FT &p1w,
-		     const FT &p2x, const FT &p2y, const FT &p2z, const FT &p2w,
-		     const FT &p3x, const FT &p3y, const FT &p3z, const FT &p3w,
-		     const FT &p4x, const FT &p4y, const FT &p4z, const FT &p4w,
-		     const FT &xx, const FT &xy, const FT &xz, 
-		     const FT &s) {
+                     const FT &p2x, const FT &p2y, const FT &p2z, const FT &p2w,
+                     const FT &p3x, const FT &p3y, const FT &p3z, const FT &p3w,
+                     const FT &p4x, const FT &p4y, const FT &p4z, const FT &p4w,
+                     const FT &xx, const FT &xy, const FT &xz,
+                     const FT &s) {
   // n is perpendicular to (p1,p2,p3) (outward of the tetrahedron)
   // q is the orthocenter of (p1,p2,p3)
 
@@ -102,18 +102,18 @@ side_of_mixed_cellC3(const FT &p1x, cons
 
   // compute q:
   weighted_circumcenterC3(p1x, p1y, p1z, p1w,
-			  p2x, p2y, p2z, p2w,
-			  p3x, p3y, p3z, p3w,
-			  p4x, p4y, p4z, p4w,
-			  qx,qy,qz);
+                          p2x, p2y, p2z, p2w,
+                          p3x, p3y, p3z, p3w,
+                          p4x, p4y, p4z, p4w,
+                          qx,qy,qz);
 
   // First term makes up for the orientation of (p1,p2,p3,p4)
   // Second term is the actual sign of test.
-  return 
+  return
     CGAL_NTS sign(nx*(p1x-p4x) + ny*(p1y-p4y) + nz*(p1z-p4z)) *
     CGAL_NTS sign(((1-s)*p1x+s*qx-xx)*nx +
-		  ((1-s)*p1y+s*qy-xy)*ny +
-		  ((1-s)*p1z+s*qz-xz)*nz);
+                  ((1-s)*p1y+s*qy-xy)*ny +
+                  ((1-s)*p1z+s*qz-xz)*nz);
 }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/predicates/predicates_for_voronoi_intersection_cartesian_2_3.h 5.0.3-1/include/CGAL/predicates/predicates_for_voronoi_intersection_cartesian_2_3.h
--- 5.0.2-3/include/CGAL/predicates/predicates_for_voronoi_intersection_cartesian_2_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/predicates/predicates_for_voronoi_intersection_cartesian_2_3.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interpolation/include/CGAL/predicates/predicates_for_voronoi_intersection_cartesian_2_3.h $
-// $Id: predicates_for_voronoi_intersection_cartesian_2_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interpolation/include/CGAL/predicates/predicates_for_voronoi_intersection_cartesian_2_3.h $
+// $Id: predicates_for_voronoi_intersection_cartesian_2_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Julia Floetotto
 
diff -pruN 5.0.2-3/include/CGAL/predicates/sign_of_determinant.h 5.0.3-1/include/CGAL/predicates/sign_of_determinant.h
--- 5.0.2-3/include/CGAL/predicates/sign_of_determinant.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/predicates/sign_of_determinant.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/predicates/sign_of_determinant.h $
-// $Id: sign_of_determinant.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/predicates/sign_of_determinant.h $
+// $Id: sign_of_determinant.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
 //                 Stefan Schirra
diff -pruN 5.0.2-3/include/CGAL/predicates/Straight_skeleton_pred_ftC2.h 5.0.3-1/include/CGAL/predicates/Straight_skeleton_pred_ftC2.h
--- 5.0.2-3/include/CGAL/predicates/Straight_skeleton_pred_ftC2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/predicates/Straight_skeleton_pred_ftC2.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,13 +2,13 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/predicates/Straight_skeleton_pred_ftC2.h $
-// $Id: Straight_skeleton_pred_ftC2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/predicates/Straight_skeleton_pred_ftC2.h $
+// $Id: Straight_skeleton_pred_ftC2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
 //
-#ifndef CGAL_STRAIGHT_SKELETON_PREDICATES_FTC2_H 
+#ifndef CGAL_STRAIGHT_SKELETON_PREDICATES_FTC2_H
 #define CGAL_STRAIGHT_SKELETON_PREDICATES_FTC2_H 1
 
 #include <CGAL/license/Straight_skeleton_2.h>
@@ -30,7 +30,7 @@ template<class K>
 inline
 Uncertain<bool> certified_collinearC2( Point_2<K> const& p
                                      , Point_2<K> const& q
-                                     , Point_2<K> const& r 
+                                     , Point_2<K> const& r
                                      )
 {
   return CGAL_NTS certified_is_equal( ( q.x() - p.x() ) * ( r.y() - p.y() )
@@ -45,16 +45,16 @@ template<class K>
 inline
 Uncertain<bool> certified_collinear_are_ordered_along_lineC2( Point_2<K> const& p
                                                             , Point_2<K> const& q
-                                                            , Point_2<K> const& r 
+                                                            , Point_2<K> const& r
                                                             )
 {
   if ( CGAL_NTS certainly(p.x() < q.x()) ) return !(r.x() < q.x());
   if ( CGAL_NTS certainly(q.x() < p.x()) ) return !(q.x() < r.x());
   if ( CGAL_NTS certainly(p.y() < q.y()) ) return !(r.y() < q.y());
   if ( CGAL_NTS certainly(q.y() < p.y()) ) return !(q.y() < r.y());
-  
+
   if ( CGAL_NTS certainly(p.x() == q.x()) && CGAL_NTS certainly(p.y() == q.y())  ) return true;
-  
+
   return Uncertain<bool>::indeterminate();
 }
 
@@ -76,7 +76,7 @@ Uncertain<bool> are_edges_parallelC2( Se
                                                       ,e1.target().x() - e1.source().x()
                                                       ,e1.target().y() - e1.source().y()
                                                      ) ;
-                                                     
+
   return ( s == Uncertain<Sign>(ZERO) ) ;
 }
 
@@ -114,7 +114,7 @@ Uncertain<Sign> certified_side_of_orient
 // Stores also the number of collinear edges. which should be 0 or 2.
 //
 // If the collinearity test is indeterminate for any pair of edges the
-// resulting sorted trisegment is itself indeterminate 
+// resulting sorted trisegment is itself indeterminate
 // (encoded as a collinear count of -1)
 //
 template<class K>
@@ -140,7 +140,7 @@ Uncertain<Trisegment_collinearity> certi
           return TRISEGMENT_COLLINEARITY_12;
         else if ( CGAL_NTS logical_and(!is_01 , !is_02, !is_12  ) )
           return TRISEGMENT_COLLINEARITY_NONE;
-        else 
+        else
           return TRISEGMENT_COLLINEARITY_ALL;
       }
     }
@@ -151,7 +151,7 @@ Uncertain<Trisegment_collinearity> certi
 
 
 
-// Given 3 oriented straight line segments: e0, e1, e2 
+// Given 3 oriented straight line segments: e0, e1, e2
 // returns true if there exist some positive offset distance 't' for which the
 // leftward-offsets of their supporting lines intersect at a single point.
 //
@@ -168,14 +168,14 @@ Uncertain<Trisegment_collinearity> certi
 template<class K, class FT>
 Uncertain<bool> exist_offset_lines_isec2 ( intrusive_ptr< Trisegment_2<K> > const& tri, optional<FT> const& aMaxTime )
 {
-  
+
   typedef Rational<FT>       Rational ;
   typedef optional<Rational> Optional_rational ;
   typedef Quotient<FT>       Quotient ;
-  
+
   Uncertain<bool> rResult = Uncertain<bool>::indeterminate();
 
-  if ( tri->collinearity() != TRISEGMENT_COLLINEARITY_ALL ) 
+  if ( tri->collinearity() != TRISEGMENT_COLLINEARITY_ALL )
   {
     CGAL_STSKEL_TRAITS_TRACE( ( tri->collinearity() == TRISEGMENT_COLLINEARITY_NONE ? " normal edges" : " collinear edges" ) ) ;
 
@@ -188,12 +188,12 @@ Uncertain<bool> exist_offset_lines_isec2
         if ( !d_is_zero )
         {
           Quotient tq = t->to_quotient() ;
-          
+
           rResult = CGAL_NTS certified_is_positive(tq) ;
-          
+
           if ( aMaxTime && CGAL_NTS certainly(rResult) )
             rResult = CGAL_NTS certified_is_smaller_or_equal(tq,Quotient(*aMaxTime));
-          
+
           CGAL_STSKEL_TRAITS_TRACE("\nEvent time: " << *t << ". Event " << ( rResult ? "exist." : "doesn't exist." ) ) ;
         }
         else
@@ -226,7 +226,7 @@ Uncertain<bool> exist_offset_lines_isec2
 // PRECONDITION: There exist distances mt and nt for which each offset triple intersect at a single point.
 template<class K>
 Uncertain<Comparison_result> compare_offset_lines_isec_timesC2 ( intrusive_ptr< Trisegment_2<K> > const& m
-                                                               , intrusive_ptr< Trisegment_2<K> > const& n 
+                                                               , intrusive_ptr< Trisegment_2<K> > const& n
                                                                )
 {
   typedef typename K::FT FT ;
@@ -234,21 +234,21 @@ Uncertain<Comparison_result> compare_off
   typedef Rational<FT>       Rational ;
   typedef Quotient<FT>       Quotient ;
   typedef optional<Rational> Optional_rational ;
-  
+
   Uncertain<Comparison_result> rResult = Uncertain<Comparison_result>::indeterminate();
 
   Optional_rational mt_ = compute_offset_lines_isec_timeC2(m);
   Optional_rational nt_ = compute_offset_lines_isec_timeC2(n);
-  
+
   if ( mt_ && nt_ )
   {
     Quotient mt = mt_->to_quotient();
     Quotient nt = nt_->to_quotient();
-   
-    if ( CGAL_NTS certified_is_positive(mt) && CGAL_NTS certified_is_positive(nt) ) 
+
+    if ( CGAL_NTS certified_is_positive(mt) && CGAL_NTS certified_is_positive(nt) )
       rResult = CGAL_NTS certified_compare(mt,nt);
   }
-  
+
   return rResult ;
 
 }
@@ -260,12 +260,12 @@ template<class K>
 Uncertain<bool> is_edge_facing_pointC2 ( optional< Point_2<K> > const& aP, Segment_2<K> const& aEdge )
 {
   typedef typename K::FT FT ;
-  
+
   Uncertain<bool> rResult = Uncertain<bool>::indeterminate();
   if ( aP )
   {
     FT a,b,c ;
-    line_from_pointsC2(aEdge.source().x(),aEdge.source().y(),aEdge.target().x(),aEdge.target().y(),a,b,c); 
+    line_from_pointsC2(aEdge.source().x(),aEdge.source().y(),aEdge.target().x(),aEdge.target().y(),a,b,c);
     rResult = certified_side_of_oriented_lineC2(a,b,c,aP->x(),aP->y()) == make_uncertain(POSITIVE) ;
   }
   return rResult ;
@@ -280,17 +280,17 @@ inline Uncertain<bool> is_edge_facing_of
   return is_edge_facing_pointC2(construct_offset_lines_isecC2(tri),aEdge);
 }
 
-// Given an event trisegment and two oriented straight line segments e0 and e1, returns the oriented side of the event point 
+// Given an event trisegment and two oriented straight line segments e0 and e1, returns the oriented side of the event point
 // w.r.t the (positive) bisector [e0,e1].
 //
 // The (positive) bisector [e0,e1] is a ray starting at the vertex (e0,e1) (called "v01")
-// 
+//
 // If e0,e1 are consecutive in the input polygon, v01 = e0.target() = e1.source().
 // If they are not consecutive in the input polygon they must had become consecutive at some known previous event. In this
 // case, the point of the "v01_event" trisegment intersection determines v01 which is to the position of the very first
 // vertex shared between e0,e1 (at the time they first become consecutive).
 //
-// A point *exactly on* the bisector is an offset vertex (e0*,e1*) (that is, belongs to both e0* and e1*). 
+// A point *exactly on* the bisector is an offset vertex (e0*,e1*) (that is, belongs to both e0* and e1*).
 // A point to the positive side of the bisector belongs to e0* but not e1*
 // A point to the negative side of the bisector belongs to e1* but not e0*
 //
@@ -298,21 +298,21 @@ inline Uncertain<bool> is_edge_facing_of
 //
 // One of e0 or e1 is considered the primary edge.
 //
-// If e0,e1 are parallel a line perpendicular to the primary edge passing through "v01" is used "as bisector". 
+// If e0,e1 are parallel a line perpendicular to the primary edge passing through "v01" is used "as bisector".
 //
 // If e0,e1 are collinear then this perpendicular line is a perpendicular bisector of the two segments.
-// 
+//
 // If e0,e1 are parallel but not collinear then the actual bisector is an equidistant line parallel to e0 and e1.
 // e0* and e1* overlap and are known to be connected sharing a known vertex v01, which is somewhere along the parallel
-// line which is the bisector of e0 and e1. 
+// line which is the bisector of e0 and e1.
 // Given a line perpendicular to e0 through v01, a point to its positive side belongs to e0* while a point to its negative side does not.
 // Given a line perpendicular to e1 through v01, a point to its negative side belongs to e1* while a point to its positive side does not.
 //
 // This predicate is used to determine the validity of a split or edge event.
-// 
+//
 // A split event is the coallision of a reflex wavefront and some opposite offset egde. Unless the three segments
 // don't actually collide (there is no event), the split point is along the supporting line of the offset edge.
-// Testing its validity amounts to determining if the split point is inside the closed offset segment instead of 
+// Testing its validity amounts to determining if the split point is inside the closed offset segment instead of
 // the two open rays before and after the offset segment endpoints.
 // The offset edge is bounded by its previous and next adjacent edges at the time of the event. Thus, the bisectors
 // of this edge and its previous/next adjacent edges (at the time of the event) detemine the offset vertices that
@@ -322,7 +322,7 @@ inline Uncertain<bool> is_edge_facing_of
 // (so this predicate answer half the question, at one and other side independenty).
 // If the split point is exacty over any of this bisectors then the split point ocurres exactly and one (or both) endpoints
 // of the opposite edge (so it is a pseudo-split event since the opposite edge is not itself split in two halfeves)
-// When this predicate is called to test (prev,e), e is the primary edge but since it is  pass as e1, primary_is_0=false. 
+// When this predicate is called to test (prev,e), e is the primary edge but since it is  pass as e1, primary_is_0=false.
 // This causes the case of parallel but not collinear edges to return positive when the split point is before the source point of e*
 // (a positive result means invalid split).
 // Likewise, primary_is_0 must be true when testing (e,nexte) to return negative if the split point is past the target endpoint of e*.
@@ -332,7 +332,7 @@ inline Uncertain<bool> is_edge_facing_of
 // The coallision causes e2 (the edge in the middle) to collapse and e1,e3 to become consecutive and form a new vertex.
 // In all cases there is an edge before e1, say e0, and after e3, say e4.
 // Testing for the validity of an edge event amounts to determine that (e1,e3) (the new vertex) is not before (e0,e1) nor
-// past (e3,e4). 
+// past (e3,e4).
 // Thus, and edge event is valid if the new vertex NOT to the positive side of [e0,e1] *and* NOT to the negative side o [e3,e4].
 //
 // PRECONDITIONS:
@@ -351,55 +351,55 @@ oriented_side_of_event_point_wrt_bisecto
                                             )
 {
   typedef typename K::FT FT ;
-  
+
   typedef Point_2     <K> Point_2 ;
   typedef Line_2      <K> Line_2 ;
-  
+
   Uncertain<Oriented_side> rResult = Uncertain<Oriented_side>::indeterminate();
-  
+
   try
   {
     Point_2 p = validate(construct_offset_lines_isecC2(event));
-    
+
     Line_2 l0 = validate(compute_normalized_line_ceoffC2(e0)) ;
     Line_2 l1 = validate(compute_normalized_line_ceoffC2(e1)) ;
-  
+
     CGAL_STSKEL_TRAITS_TRACE("Getting oriented side of point " << p2str(p)
                             << " w.r.t bisector ["
                             << s2str(e0) << ( primary_is_0 ? "*" : "" )
-                            << "," 
+                            << ","
                             << s2str(e1) << ( primary_is_0 ? "" : "*" )
                             << "]"
-                            ) ; 
-      
-    // Degenerate bisector?   
+                            ) ;
+
+    // Degenerate bisector?
     if ( certainly( are_edges_parallelC2(e0,e1) ) )
-    { 
+    {
       CGAL_STSKEL_TRAITS_TRACE("Bisector is not angular." ) ;
-      
+
       // b01 is degenerate so we don't have an *angular bisector* but a *perpendicular* bisector.
       // We need to compute the actual bisector line.
       CGAL_assertion( v01_event || ( !v01_event && e0.target() == e1.source() ) ) ;
-      
+
       Point_2 v01 = v01_event ? validate( construct_offset_lines_isecC2(v01_event) ) : e1.source() ;
-      
-      CGAL_STSKEL_TRAITS_TRACE("v01=" << p2str(v01) << ( v01_event ? " (from skelton node)" : "" ) ) ;      
-      
+
+      CGAL_STSKEL_TRAITS_TRACE("v01=" << p2str(v01) << ( v01_event ? " (from skelton node)" : "" ) ) ;
+
       // (a,b,c) is a line perpedincular to the primary edge through v01.
       // If e0 and e1 are collinear this line is the actual perpendicular bisector.
       //
       // If e0 and e1 are parallel but not collinear (then neccesarrily facing each other) this line
       // is NOT the bisector, but the serves to determine the side of the point (projected along the primary ege) w.r.t vertex v01.
-      
+
       FT a, b, c ;
       perpendicular_through_pointC2( primary_is_0 ? l0.a() : l1.a()
                                    , primary_is_0 ? l0.b() : l1.b()
                                    , v01.x(), v01.y()
                                    , a, b, c
                                    );
-      
+
       rResult = certified_side_of_oriented_lineC2(a,b,c,p.x(),p.y());
-      
+
       CGAL_STSKEL_TRAITS_TRACE("Point is at " << rResult << " side of degenerate bisector through v01 " << p2str(v01)) ;
     }
     else // Valid (non-degenerate) angular bisector
@@ -407,17 +407,17 @@ oriented_side_of_event_point_wrt_bisecto
       // Scale distance from to the lines.
       FT sd_p_l0 = validate(l0.a() * p.x() + l0.b() * p.y() + l0.c()) ;
       FT sd_p_l1 = validate(l1.a() * p.x() + l1.b() * p.y() + l1.c()) ;
-      
+
       CGAL_STSKEL_TRAITS_TRACE("sd_p_l1=" << n2str(sd_p_l1) ) ;
       CGAL_STSKEL_TRAITS_TRACE("sd_p_l0=" << n2str(sd_p_l0) ) ;
-        
-      Uncertain<bool> equal = CGAL_NTS certified_is_equal(sd_p_l0,sd_p_l1) ;   
+
+      Uncertain<bool> equal = CGAL_NTS certified_is_equal(sd_p_l0,sd_p_l1) ;
       if ( is_certain(equal) )
       {
         if ( equal )
         {
-          CGAL_STSKEL_TRAITS_TRACE("Point is exactly at bisector"); 
-          
+          CGAL_STSKEL_TRAITS_TRACE("Point is exactly at bisector");
+
           rResult = ON_ORIENTED_BOUNDARY;
         }
         else
@@ -428,16 +428,16 @@ oriented_side_of_event_point_wrt_bisecto
             // Reflex bisector?
             if ( smaller )
             {
-              rResult = CGAL_NTS certified_is_smaller(sd_p_l0,sd_p_l1) ? ON_NEGATIVE_SIDE 
+              rResult = CGAL_NTS certified_is_smaller(sd_p_l0,sd_p_l1) ? ON_NEGATIVE_SIDE
                                                                        : ON_POSITIVE_SIDE ;
-                                                                      
+
               CGAL_STSKEL_TRAITS_TRACE("\nEvent point is at " << rResult << " side of reflex bisector" ) ;
             }
             else
             {
               rResult = CGAL_NTS certified_is_larger (sd_p_l0,sd_p_l1) ? ON_NEGATIVE_SIDE
-                                                                       : ON_POSITIVE_SIDE ; 
-                              
+                                                                       : ON_POSITIVE_SIDE ;
+
               CGAL_STSKEL_TRAITS_TRACE("\nEvent point is at " << rResult << " side of convex bisector" ) ;
             }
           }
@@ -453,16 +453,16 @@ oriented_side_of_event_point_wrt_bisecto
   {
     CGAL_STSKEL_TRAITS_TRACE("Indeterminate boolean expression.");
   }
-  
+
   return rResult ;
 
 }
 
 
-// Given 2 triples of oriented straight line segments (l0,l1,l2) and (r0,r1,r2), such that 
-// the offsets at time 'tl' for triple 'l' intersects in a point (lx,ly) and 
-// the offsets at time 'tr' for triple 'r' intersects in a point (rx,ry) 
-// returns true if "tl==tr" and "(lx,ly)==(rx,ry)" 
+// Given 2 triples of oriented straight line segments (l0,l1,l2) and (r0,r1,r2), such that
+// the offsets at time 'tl' for triple 'l' intersects in a point (lx,ly) and
+// the offsets at time 'tr' for triple 'r' intersects in a point (rx,ry)
+// returns true if "tl==tr" and "(lx,ly)==(rx,ry)"
 // PRECONDITIONS:
 //   There exist single points at which the offset lines for 'l' and 'r' at 'tl', 'tr' intersect.
 //
@@ -470,36 +470,36 @@ template<class K>
 Uncertain<bool> are_events_simultaneousC2 ( intrusive_ptr< Trisegment_2<K> > const& l, intrusive_ptr< Trisegment_2<K> > const& r )
 {
   typedef typename K::FT FT ;
-  
+
   typedef Point_2<K> Point_2 ;
-  
+
   typedef Rational<FT> Rational ;
   typedef Quotient<FT> Quotient ;
-  
+
   typedef optional<Rational> Optional_rational ;
   typedef optional<Point_2>  Optional_point_2 ;
-  
+
   Uncertain<bool> rResult = Uncertain<bool>::indeterminate();
 
   Optional_rational lt_ = compute_offset_lines_isec_timeC2(l);
   Optional_rational rt_ = compute_offset_lines_isec_timeC2(r);
-  
+
   if ( lt_ && rt_ )
   {
     Quotient lt = lt_->to_quotient();
     Quotient rt = rt_->to_quotient();
 
-    if ( CGAL_NTS certified_is_positive(lt) && CGAL_NTS certified_is_positive(rt) ) 
+    if ( CGAL_NTS certified_is_positive(lt) && CGAL_NTS certified_is_positive(rt) )
     {
       Uncertain<bool> equal_times = CGAL_NTS certified_is_equal(lt,rt);
-      
+
       if ( is_certain(equal_times) )
       {
         if ( equal_times )
         {
           Optional_point_2 li = construct_offset_lines_isecC2(l);
           Optional_point_2 ri = construct_offset_lines_isecC2(r);
-  
+
           if ( li && ri )
             rResult = CGAL_NTS logical_and( CGAL_NTS certified_is_equal(li->x(),ri->x())
                                           , CGAL_NTS certified_is_equal(li->y(),ri->y())
diff -pruN 5.0.2-3/include/CGAL/predicates_d.h 5.0.3-1/include/CGAL/predicates_d.h
--- 5.0.2-3/include/CGAL/predicates_d.h	2020-02-21 20:03:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/predicates_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/predicates_d.h $
-// $Id: predicates_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/predicates_d.h $
+// $Id: predicates_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
@@ -28,15 +28,15 @@ namespace CGAL {
 \headerline{Linear and affine predicates}
 
 For an iterator range |[first,last)| we define |T = tuple [first,last)|
-as the ordered tuple $(|T[0]|,|T[1]|, \ldots |T[d-1]|)$ where 
-$|T[i]| = |*| |++|^{(i)}|first|$ (the element obtained by $i$ times 
+as the ordered tuple $(|T[0]|,|T[1]|, \ldots |T[d-1]|)$ where
+$|T[i]| = |*| |++|^{(i)}|first|$ (the element obtained by $i$ times
 forwarding the iterator by operator |++| and then dereferencing it to
 get the value to which it points). We write |d = size [first,last)|.
-This extends the syntax of random access iterators to input iterators. 
-If we index the tuple as above then we require that 
+This extends the syntax of random access iterators to input iterators.
+If we index the tuple as above then we require that
 $|++|^{(d+1)}|first == last|$.
 
-In the following we require the Iterators to be globally 
+In the following we require the Iterators to be globally
 of value type |Point_d<R>|. Also if we are handed over an iterator
 range |[first,last)|, then all points in |T = tuple [first,last)|
 have the same dimension |dim|.
@@ -44,12 +44,12 @@ have the same dimension |dim|.
 
 template <class R, class ForwardIterator, class OutputIterator>
 OutputIterator barycentric_coordinates(
-  ForwardIterator first, ForwardIterator last, const Point_d<R>& p, 
+  ForwardIterator first, ForwardIterator last, const Point_d<R>& p,
   OutputIterator result)
 /*{\Xfunc returns the barycentric coordinates of a point $p \in R^d$ in a
 affine space of dimension $k$ spanned by the points in |tuple [first,last)|.
 \precond value type of |ForwardIterator| is |Point_d<R>|,
-|affinely_independed(first,last)| and 
+|affinely_independed(first,last)| and
 |affine_rank(tuple [first,last),p)==k|.}*/
 { typename R::Barycentric_coordinates_d coords;
   return coords(first,last,p,result);
@@ -58,16 +58,16 @@ affine space of dimension $k$ spanned by
 template <class ForwardIterator>
 Orientation
 orientation(ForwardIterator first, ForwardIterator last)
-/*{\Mfunc determines the orientation of the points in the tuple 
-|A = tuple [first,last)| where $A$ consists of $d + 1$ points in $d$ - space. 
+/*{\Mfunc determines the orientation of the points in the tuple
+|A = tuple [first,last)| where $A$ consists of $d + 1$ points in $d$ - space.
 This is the sign of the determinant
   \[ \left\Lvert \begin{array}{cccc}
   1 & 1 & 1 & 1 \\
   A[0] & A[1] & \dots & A[d]
   \end{array}  \right\Lvert  \]
-  where |A[i]| denotes the cartesian coordinate vector of 
+  where |A[i]| denotes the cartesian coordinate vector of
   the $i$-th point in $A$.
-  \precond |size [first,last) == d+1| and |A[i].dimension() == d| 
+  \precond |size [first,last) == d+1| and |A[i].dimension() == d|
   $\forall 0 \leq i \leq d$
   and the value type of |ForwardIterator| is |Point_d<R>|.}*/
 { typedef typename std::iterator_traits<ForwardIterator>::value_type PointD;
@@ -78,16 +78,16 @@ This is the sign of the determinant
 template <class ForwardIterator>
 Orientation
 coaffine_orientation(ForwardIterator first, ForwardIterator last)
-/*{\Mfunc determines the orientation of the points in the tuple 
-|A = tuple [first,last)| where $A$ consists of $k + 1$ points in $d$ - space. 
+/*{\Mfunc determines the orientation of the points in the tuple
+|A = tuple [first,last)| where $A$ consists of $k + 1$ points in $d$ - space.
 This is the sign of the determinant
   \[ \left\Lvert \begin{array}{cccc}
   1 & 1 & 1 & 1 \\
   A[0] & A[1] & \dots & A[k]
   \end{array}  \right\Lvert  \]
-  where |A[a_i]| denotes the cartesian coordinate vector of 
+  where |A[a_i]| denotes the cartesian coordinate vector of
   the $i$-th point in $A$, after projection on an axis-aligned |k|-affine subspace.
-  \precond |size [first,last) <= d| and |A[i].dimension() == d| 
+  \precond |size [first,last) <= d| and |A[i].dimension() == d|
   $\forall 0 \leq i \leq d$
   and the value type of |ForwardIterator| is |Point_d<R>|.}*/
 {
@@ -100,59 +100,59 @@ This is the sign of the determinant
 
 template <class R, class ForwardIterator>
 Oriented_side side_of_oriented_sphere(
-  ForwardIterator first, ForwardIterator last, 
+  ForwardIterator first, ForwardIterator last,
   const Point_d<R>& x)
 /*{\Mfuncl determines to which side of the sphere $S$ defined by the
-    points in |A = tuple [first,last)| the point $x$ belongs, 
-    where $A$ consists of $d + 1$ points in $d$ - space.  
-    The positive side is determined by the positive sign 
+    points in |A = tuple [first,last)| the point $x$ belongs,
+    where $A$ consists of $d + 1$ points in $d$ - space.
+    The positive side is determined by the positive sign
     of the determinant \[
-    \left\Lvert \begin{array}{ccccc} 
+    \left\Lvert \begin{array}{ccccc}
     1 & 1 & 1 & 1 & 1\\
-    |lift(A[0])| & |lift(A[1])| & \dots & |lift(A[d])| & |lift(x)| 
-    \end{array} \right\Lvert \] 
-    where for a point $p$ with cartesian coordinates $p_i$ we use 
-    |lift(p)| to denote the $d + 1$-dimensional point with cartesian 
+    |lift(A[0])| & |lift(A[1])| & \dots & |lift(A[d])| & |lift(x)|
+    \end{array} \right\Lvert \]
+    where for a point $p$ with cartesian coordinates $p_i$ we use
+    |lift(p)| to denote the $d + 1$-dimensional point with cartesian
     coordinate vector $(p_0, \ldots,p_{d-1},\sum_{0 \le i < d}p_i^2)$. If
     the points in $A$ are positively oriented then the positive
     side is the inside of the sphere and the negative side is
-    the outside of the sphere.  
+    the outside of the sphere.
 \precond value type of |ForwardIterator| is |Point_d<R>|.}*/
-{ typename R::Side_of_oriented_sphere_d side; 
+{ typename R::Side_of_oriented_sphere_d side;
   return side(first,last,x); }
 
 template <class R, class ForwardIterator>
 Bounded_side side_of_bounded_sphere(
   ForwardIterator first, ForwardIterator last,
   const Point_d<R> &p)
-/*{\Mfunc determines whether the point |p| lies |ON_BOUNDED_SIDE|, 
-|ON_BOUNDARY|, or |ON_UNBOUNDED_SIDE| of the sphere defined by 
-the points in |A = tuple [first,last)| where $A$ consists of $d+1$ 
+/*{\Mfunc determines whether the point |p| lies |ON_BOUNDED_SIDE|,
+|ON_BOUNDARY|, or |ON_UNBOUNDED_SIDE| of the sphere defined by
+the points in |A = tuple [first,last)| where $A$ consists of $d+1$
 points in $d$-space.
 \precond value type of |ForwardIterator| is |Point_d<R>| and
 $|orientation(first,last)| \neq |ZERO|$.}*/
-{ typename R::Side_of_bounded_sphere_d side; 
+{ typename R::Side_of_bounded_sphere_d side;
   return side(first,last,p); }
 
 template <class R, class ForwardIterator>
 bool contained_in_simplex(
-  ForwardIterator first, ForwardIterator last, const Point_d<R>& p) 
+  ForwardIterator first, ForwardIterator last, const Point_d<R>& p)
 /*{\Mfunc determines whether |p| is contained in the simplex spanned
-by the points in |A = tuple [first,last)|. |A| may consists of up to 
-$d + 1$ points. 
+by the points in |A = tuple [first,last)|. |A| may consists of up to
+$d + 1$ points.
 \precond value type of |ForwardIterator| is |Point_d<R>| and
 the points in |A| are affinely independent.}*/
-{ typename R::Contained_in_simplex_d contained; 
+{ typename R::Contained_in_simplex_d contained;
   return contained(first,last,p); }
 
 template <class R, class ForwardIterator>
 bool contained_in_affine_hull(
      ForwardIterator first, ForwardIterator last,
-     const Point_d<R>& p) 
+     const Point_d<R>& p)
 /*{\Mfunc determines whether $p$ is contained in the affine hull
 of the points in |A = tuple [first,last)|.
 \precond value type of |ForwardIterator| is |Point_d<R>|.}*/
-{ typename R::Contained_in_affine_hull_d contained; 
+{ typename R::Contained_in_affine_hull_d contained;
   return contained(first,last,p); }
 
 template <class ForwardIterator>
@@ -161,29 +161,29 @@ int affine_rank(ForwardIterator first, F
 \precond value type of |ForwardIterator| is |Point_d<R>|.}*/
 { typedef typename std::iterator_traits<ForwardIterator>::value_type PointD;
   typedef typename PointD::R R;
-  typename R::Affine_rank_d rank; 
+  typename R::Affine_rank_d rank;
   return rank(first,last); }
 
 template <class ForwardIterator>
 bool affinely_independent(ForwardIterator first, ForwardIterator last)
-/*{\Mfunc decides whether the points in |A = tuple [first,last)| are 
-affinely independent. 
+/*{\Mfunc decides whether the points in |A = tuple [first,last)| are
+affinely independent.
 \precond value type of |ForwardIterator| is |Point_d<R>|.}*/
 { typedef typename std::iterator_traits<ForwardIterator>::value_type PointD;
   typedef typename PointD::R R;
-  typename R::Affinely_independent_d ind; 
+  typename R::Affinely_independent_d ind;
   return ind(first,last); }
 
 template <class R>
-Comparison_result compare_lexicographically( 
+Comparison_result compare_lexicographically(
   const Point_d<R>& p1, const Point_d<R>& p2)
 /*{\Mfunc compares the Cartesian coordiantes of points |p1| and |p2|
    lexicographically.}*/
-{ typename R::Compare_lexicographically_d cmp; 
+{ typename R::Compare_lexicographically_d cmp;
   return cmp(p1,p2); }
 
 template <class R>
-bool lexicographically_smaller( 
+bool lexicographically_smaller(
   const Point_d<R>& p1, const Point_d<R>& p2)
 /*{\Mfunc returns true iff $|p1| < |p2|$ in the Cartesian lexicographic
    order of points.}*/
@@ -202,22 +202,22 @@ template <class R, class ForwardIterator
 bool contained_in_linear_hull(
   ForwardIterator first, ForwardIterator last, const Vector_d<R>& x)
 /*{\Mfunc determines whether $x$ is contained in the linear hull
-of the vectors in |A = tuple [first,last)|. 
+of the vectors in |A = tuple [first,last)|.
 \precond value type of |ForwardIterator| is |Vector_d<R>|.}*/
-{ typename R::Contained_in_linear_hull_d contained; 
+{ typename R::Contained_in_linear_hull_d contained;
   return contained(first,last,x); }
 
 template <class ForwardIterator>
 int linear_rank(
   ForwardIterator first, ForwardIterator last)
-/*{\Mfunc computes the linear rank of the vectors in 
-|A = tuple [first,last)|. 
+/*{\Mfunc computes the linear rank of the vectors in
+|A = tuple [first,last)|.
 \precond value type of |ForwardIterator| is |Vector_d<R>|.}*/
 { typedef typename std::iterator_traits<ForwardIterator>::
     value_type value_type;
   typedef typename value_type::R R;
-  typename R::Linear_rank_d rank; 
-  return rank(first,last); 
+  typename R::Linear_rank_d rank;
+  return rank(first,last);
 }
 
 template <class ForwardIterator>
@@ -229,7 +229,7 @@ bool linearly_independent(
   typedef typename std::iterator_traits<ForwardIterator>::
     value_type value_type;
   typedef typename value_type::R R;
-  typename R::Linearly_independent_d independent; 
+  typename R::Linearly_independent_d independent;
   return independent(first,last);
 }
 
diff -pruN 5.0.2-3/include/CGAL/predicates_on_lines_2.h 5.0.3-1/include/CGAL/predicates_on_lines_2.h
--- 5.0.2-3/include/CGAL/predicates_on_lines_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/predicates_on_lines_2.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/predicates_on_lines_2.h $
-// $Id: predicates_on_lines_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/predicates_on_lines_2.h $
+// $Id: predicates_on_lines_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Stefan Schirra
- 
+
 #ifndef CGAL_PREDICATES_ON_LINES_2_H
 #define CGAL_PREDICATES_ON_LINES_2_H
 
diff -pruN 5.0.2-3/include/CGAL/predicates_on_points_2.h 5.0.3-1/include/CGAL/predicates_on_points_2.h
--- 5.0.2-3/include/CGAL/predicates_on_points_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/predicates_on_points_2.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/predicates_on_points_2.h $
-// $Id: predicates_on_points_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/predicates_on_points_2.h $
+// $Id: predicates_on_points_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Stefan Schirra
- 
+
 #ifndef CGAL_PREDICATES_ON_POINTS_2_H
 #define CGAL_PREDICATES_ON_POINTS_2_H
 
diff -pruN 5.0.2-3/include/CGAL/predicates_on_points_3.h 5.0.3-1/include/CGAL/predicates_on_points_3.h
--- 5.0.2-3/include/CGAL/predicates_on_points_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/predicates_on_points_3.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/predicates_on_points_3.h $
-// $Id: predicates_on_points_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/predicates_on_points_3.h $
+// $Id: predicates_on_points_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Stefan Schirra
- 
+
 #ifndef CGAL_PREDICATES_ON_POINTS_3_H
 #define CGAL_PREDICATES_ON_POINTS_3_H
 
diff -pruN 5.0.2-3/include/CGAL/primes.h 5.0.3-1/include/CGAL/primes.h
--- 5.0.2-3/include/CGAL/primes.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/primes.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Modular_arithmetic/include/CGAL/primes.h $
-// $Id: primes.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Modular_arithmetic/include/CGAL/primes.h $
+// $Id: primes.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -17,7 +17,7 @@
 
 #include <CGAL/basic.h>
 
-namespace CGAL { 
+namespace CGAL {
 namespace internal {
 
 const int primes[2000] = {
@@ -287,10 +287,10 @@ const int primes[2000] = {
   67016611, 67016483, 67016437, 67016387, 67016269, 67016197, 67016189, 67016179,
 };
 
-static inline 
+static inline
 int get_next_lower_prime(int current_prime){
     bool is_prime = false;
-    
+
     int i;
     CGAL_precondition_msg(current_prime != 2 ," primes definitely exhausted ");
 
@@ -301,7 +301,7 @@ int get_next_lower_prime(int current_pri
             return 3;
         }
         return 5;
-    }                
+    }
     for(i=current_prime-2;(i>1 && !is_prime);i=i-2){
         int r = 1;
         for(int j=3; (j <= i/2 && (r != 0)); j++){
diff -pruN 5.0.2-3/include/CGAL/Profile_counter.h 5.0.3-1/include/CGAL/Profile_counter.h
--- 5.0.2-3/include/CGAL/Profile_counter.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Profile_counter.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Profiling_tools/include/CGAL/Profile_counter.h $
-// $Id: Profile_counter.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Profiling_tools/include/CGAL/Profile_counter.h $
+// $Id: Profile_counter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -31,7 +31,7 @@
 //   the ratios corresponding to the number of times 2 branches are taken.
 //
 //  If CGAL_CONCURRENT_PROFILE is defined, the counters can be concurrently updated
-//  
+//
 // See also CGAL/Profile_timer.h
 
 // TODO :
@@ -90,17 +90,17 @@ namespace CGAL {
 struct Profile_counter
 {
     Profile_counter(const std::string & ss)
-      : s(ss) 
+      : s(ss)
     {
-      i = 0; // needed here because of tbb::atomic 
+      i = 0; // needed here because of tbb::atomic
     }
 
     void operator++() { ++i; }
 
     ~Profile_counter()
     {
-     
-      
+
+
       std::cerr << "[CGAL::Profile_counter] "
                 << std::setw(10) << internal::dot_it(i) << " " << s << std::endl;
     }
@@ -129,14 +129,14 @@ public:
     Profile_histogram_counter(const std::string & ss)
       : s(ss) {}
 
-    void operator()(unsigned i) 
-    { 
+    void operator()(unsigned i)
+    {
 #ifdef CGAL_CONCURRENT_PROFILE
       Counters::accessor a;
       counters.insert(a, i);
       ++a->second;
 #else
-      ++counters[i]; 
+      ++counters[i];
 #endif
     }
 
@@ -167,7 +167,7 @@ struct Profile_branch_counter
     Profile_branch_counter(const std::string & ss)
       : s(ss)
     {
-      i = j = 0; // needed here because of tbb::atomic 
+      i = j = 0; // needed here because of tbb::atomic
     }
 
     void operator++() { ++i; }
@@ -194,9 +194,9 @@ private:
 struct Profile_branch_counter_3
 {
     Profile_branch_counter_3(const std::string & ss)
-      : s(ss) 
+      : s(ss)
     {
-      i = j = k = 0; // needed here because of tbb::atomic 
+      i = j = k = 0; // needed here because of tbb::atomic
     }
 
     void operator++() { ++i; }
@@ -242,9 +242,9 @@ private:
 #  define CGAL_HISTOGRAM_PROFILER(Y, Z)
 #  define CGAL_BRANCH_PROFILER(Y, NAME)
 #  define CGAL_BRANCH_PROFILER_BRANCH(NAME)
-#  define CGAL_BRANCH_PROFILER_3(Y, NAME) 
+#  define CGAL_BRANCH_PROFILER_3(Y, NAME)
 #  define CGAL_BRANCH_PROFILER_BRANCH_1(NAME)
-#  define CGAL_BRANCH_PROFILER_BRANCH_2(NAME) 
+#  define CGAL_BRANCH_PROFILER_BRANCH_2(NAME)
 #endif
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Profile_timer.h 5.0.3-1/include/CGAL/Profile_timer.h
--- 5.0.2-3/include/CGAL/Profile_timer.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Profile_timer.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Profiling_tools/include/CGAL/Profile_timer.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Profiling_tools/include/CGAL/Profile_timer.h $
 // $Id: Profile_timer.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Projection_traits_xy_3.h 5.0.3-1/include/CGAL/Projection_traits_xy_3.h
--- 5.0.2-3/include/CGAL/Projection_traits_xy_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Projection_traits_xy_3.h	2020-08-01 19:02:26.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Projection_traits_xy_3.h $
-// $Id: Projection_traits_xy_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Projection_traits_xy_3.h $
+// $Id: Projection_traits_xy_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec
 
@@ -15,13 +15,13 @@
 
 #include <CGAL/internal/Projection_traits_3.h>
 
-namespace CGAL { 
+namespace CGAL {
 
 template < class R >
 class Projection_traits_xy_3
   : public internal::Projection_traits_3<R,2>
 {};
-  
-} //namespace CGAL 
+
+} //namespace CGAL
 
 #endif // CGAL_PROJECTION_TRAITS_XY_3_H
diff -pruN 5.0.2-3/include/CGAL/Projection_traits_xz_3.h 5.0.3-1/include/CGAL/Projection_traits_xz_3.h
--- 5.0.2-3/include/CGAL/Projection_traits_xz_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Projection_traits_xz_3.h	2020-08-01 19:02:27.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Projection_traits_xz_3.h $
-// $Id: Projection_traits_xz_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Projection_traits_xz_3.h $
+// $Id: Projection_traits_xz_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec
 
diff -pruN 5.0.2-3/include/CGAL/Projection_traits_yz_3.h 5.0.3-1/include/CGAL/Projection_traits_yz_3.h
--- 5.0.2-3/include/CGAL/Projection_traits_yz_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Projection_traits_yz_3.h	2020-08-01 19:02:27.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Projection_traits_yz_3.h $
-// $Id: Projection_traits_yz_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Projection_traits_yz_3.h $
+// $Id: Projection_traits_yz_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec
 
diff -pruN 5.0.2-3/include/CGAL/property_map.h 5.0.3-1/include/CGAL/property_map.h
--- 5.0.2-3/include/CGAL/property_map.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/property_map.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Property_map/include/CGAL/property_map.h $
-// $Id: property_map.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Property_map/include/CGAL/property_map.h $
+// $Id: property_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri and Laurent Saboret
@@ -184,7 +184,7 @@ struct Dereference_property_map
 
 /// Free function to create a `Dereference_property_map` property map.
 ///
-/// \relates Dereference_property_map 
+/// \relates Dereference_property_map
 template <class Iter> // Type convertible to `key_type`
 Dereference_property_map<typename CGAL::value_type_traits<Iter>::type>
 make_dereference_property_map(Iter)
@@ -218,7 +218,7 @@ struct Identity_property_map
 
 /// Free function to create a `Identity_property_map` property map.
 ///
-/// \relates Identity_property_map 
+/// \relates Identity_property_map
 template <class T> // Key and value type
 Identity_property_map<T>
   make_identity_property_map(T)
@@ -228,8 +228,8 @@ Identity_property_map<T>
 
 
 /// \ingroup PkgPropertyMapRef
-/// Property map that accesses the first item of a `std::pair`. 
-/// \tparam Pair Instance of `std::pair`. 
+/// Property map that accesses the first item of a `std::pair`.
+/// \tparam Pair Instance of `std::pair`.
 /// \cgalModels `LvaluePropertyMap`
 ///
 /// \sa `CGAL::Second_of_pair_property_map<Pair>`
@@ -253,9 +253,9 @@ struct First_of_pair_property_map
   /// @}
 };
 
-/// Free function to create a `First_of_pair_property_map` property map. 
+/// Free function to create a `First_of_pair_property_map` property map.
 ///
-/// \relates First_of_pair_property_map 
+/// \relates First_of_pair_property_map
 template <class Pair> // Pair type
 First_of_pair_property_map<Pair>
   make_first_of_pair_property_map(Pair)
@@ -264,13 +264,13 @@ First_of_pair_property_map<Pair>
 }
 
 /// \ingroup PkgPropertyMapRef
-/// 
-/// Property map that accesses the second item of a `std::pair`. 
-/// 
-/// \tparam Pair Instance of `std::pair`. 
-/// 
+///
+/// Property map that accesses the second item of a `std::pair`.
+///
+/// \tparam Pair Instance of `std::pair`.
+///
 /// \cgalModels `LvaluePropertyMap`
-/// 
+///
 /// \sa `CGAL::First_of_pair_property_map<Pair>`
 template <typename Pair>
 struct Second_of_pair_property_map
@@ -294,7 +294,7 @@ struct Second_of_pair_property_map
 
 /// Free function to create a Second_of_pair_property_map property map.
 ///
-/// \relates Second_of_pair_property_map 
+/// \relates Second_of_pair_property_map
 template <class Pair> // Pair type
 Second_of_pair_property_map<Pair>
   make_second_of_pair_property_map(Pair)
@@ -303,12 +303,12 @@ Second_of_pair_property_map<Pair>
 }
 
 /// \ingroup PkgPropertyMapRef
-/// 
+///
 /// Property map that accesses the Nth item of a `boost::tuple` or a `std::tuple`.
-/// 
+///
 /// \tparam N %Index of the item to access.
 /// \tparam Tuple Instance of `boost::tuple` or `std::tuple`.
-/// 
+///
 /// \cgalModels `LvaluePropertyMap`
 template <int N, typename Tuple>
 struct Nth_of_tuple_property_map
diff -pruN 5.0.2-3/include/CGAL/QP_functions.h 5.0.3-1/include/CGAL/QP_functions.h
--- 5.0.2-3/include/CGAL/QP_functions.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_functions.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_functions.h $
-// $Id: QP_functions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_functions.h $
+// $Id: QP_functions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Bernd Gaertner <gaertner@inf.ethz.ch>
 
@@ -24,130 +24,130 @@
 
 namespace CGAL {
 
-namespace QP_functions_detail { 
+namespace QP_functions_detail {
   // internal routine; writes P to out in MPS format
   // Is_linear == Tag_true / Tag_false:
   //    p is treated as LinearProgram / QuadraticProgram
   // Is_nonnegative == Tag_true / Tag_false
-  //    p is treated as Nonnegative / Arbitrary  
+  //    p is treated as Nonnegative / Arbitrary
   // the dmatrix parameter specificies whether the quadratic matrix (if any)
   // is written in DMATRIX format (no multiplication by two, good for
   // cross-checking output, or in QMATRIX format (good for using other
   // solvers like CPLEX)
   template <typename P, typename Is_linear, typename Is_nonnegative>
   void print_program
-  (std::ostream& out, 
+  (std::ostream& out,
    const P &p,
    const std::string& problem_name,
-   Is_linear is_linear, 
-   Is_nonnegative is_nonnegative); 
+   Is_linear is_linear,
+   Is_nonnegative is_nonnegative);
 
   // internal routine: solves a program, depending on the tags
-  template <typename Program, typename ET, 
-	    typename Is_linear,typename Is_nonnegative >
-  Quadratic_program_solution<ET> solve_program 
-  (const Program &p, const ET&, 
-   Is_linear is_linear, 
+  template <typename Program, typename ET,
+            typename Is_linear,typename Is_nonnegative >
+  Quadratic_program_solution<ET> solve_program
+  (const Program &p, const ET&,
+   Is_linear is_linear,
    Is_nonnegative is_nonnegative,
-   const Quadratic_program_options& options = Quadratic_program_options()); 
+   const Quadratic_program_options& options = Quadratic_program_options());
 
   // internal routines: prints name of solution function
-  inline void print_solution_function 
-  (std::ostream& out, 
+  inline void print_solution_function
+  (std::ostream& out,
    Tag_true /*is_linear*/, Tag_true /*is_nonnegative*/)
   {
-    out << "solve_nonnegative_linear_program"; 
+    out << "solve_nonnegative_linear_program";
   }
-  inline void print_solution_function 
-  (std::ostream& out, 
+  inline void print_solution_function
+  (std::ostream& out,
    Tag_false /*is_linear*/, Tag_true /*is_nonnegative*/)
   {
-    out << "solve_nonnegative_quadratic_program"; 
+    out << "solve_nonnegative_quadratic_program";
   }
-  inline void print_solution_function 
-  (std::ostream& out, 
+  inline void print_solution_function
+  (std::ostream& out,
    Tag_true /*is_linear*/, Tag_false /*is_nonnegative*/)
   {
-    out << "solve_linear_program"; 
+    out << "solve_linear_program";
   }
-  inline void print_solution_function 
-  (std::ostream& out, 
+  inline void print_solution_function
+  (std::ostream& out,
    Tag_false /*is_linear*/, Tag_false /*is_nonnegative*/)
   {
-    out << "solve_quadratic_program"; 
+    out << "solve_quadratic_program";
   }
-				
+
   // internal routine:
   // test whether the system is of the form A x == b (equations only)
   template <typename R>
   bool is_in_equational_form (const R& r);
 
   // internal routine:
-  // test whether the row vectors of A that correpsond to equations 
+  // test whether the row vectors of A that correpsond to equations
   // are linearly independent; this is done using type ET. The value
   // type of LinearInequalitySystem must be convertible to ET
   template <class Ar, class ET>
-  bool has_linearly_independent_equations 
+  bool has_linearly_independent_equations
   (const Ar& ar, const ET& dummy);
 }
 
 template <typename QuadraticProgram>
-void print_quadratic_program 
-(std::ostream& out, const QuadraticProgram &qp, 
+void print_quadratic_program
+(std::ostream& out, const QuadraticProgram &qp,
  const std::string& problem_name = std::string("MY_MPS"))
 // writes qp to out in MPS format
 {
-  QP_functions_detail::print_program 
+  QP_functions_detail::print_program
     (out, qp, problem_name, CGAL::Tag_false(), CGAL::Tag_false());
 }
 
 template <typename LinearProgram>
-void print_linear_program 
-(std::ostream& out, const LinearProgram &lp, 
+void print_linear_program
+(std::ostream& out, const LinearProgram &lp,
  const std::string& problem_name = std::string("MY_MPS"))
 // writes lp to out in MPS format
 {
-  QP_functions_detail::print_program 
+  QP_functions_detail::print_program
     (out, lp, problem_name, CGAL::Tag_true(), CGAL::Tag_false());
 }
 
 template <typename NonnegativeQuadraticProgram>
-void print_nonnegative_quadratic_program 
+void print_nonnegative_quadratic_program
 (std::ostream& out, const NonnegativeQuadraticProgram &qp,
  const std::string& problem_name = std::string("MY_MPS"))
 // writes qp to out in MPS format
 {
-  QP_functions_detail::print_program 
+  QP_functions_detail::print_program
     (out, qp, problem_name, CGAL::Tag_false(), CGAL::Tag_true());
 }
 
 template <typename NonnegativeLinearProgram>
-void print_nonnegative_linear_program 
+void print_nonnegative_linear_program
 (std::ostream& out, const NonnegativeLinearProgram &lp,
  const std::string& problem_name = std::string("MY_MPS"))
 // writes lp to out in MPS format
 {
-  QP_functions_detail::print_program 
+  QP_functions_detail::print_program
     (out, lp, problem_name, CGAL::Tag_true(), CGAL::Tag_true());
 }
 
 template <typename QuadraticProgram, typename ET>
-Quadratic_program_solution<ET> solve_quadratic_program 
+Quadratic_program_solution<ET> solve_quadratic_program
 (const QuadraticProgram &qp, const ET&,
 const Quadratic_program_options& options = Quadratic_program_options());
 
 template <typename NonnegativeQuadraticProgram, typename ET>
-Quadratic_program_solution<ET> solve_nonnegative_quadratic_program 
+Quadratic_program_solution<ET> solve_nonnegative_quadratic_program
 (const NonnegativeQuadraticProgram &qp, const ET&,
 const Quadratic_program_options& options = Quadratic_program_options());
 
 template <typename LinearProgram, typename ET>
-Quadratic_program_solution<ET> solve_linear_program 
-(const LinearProgram &lp, const ET&, 
+Quadratic_program_solution<ET> solve_linear_program
+(const LinearProgram &lp, const ET&,
 const Quadratic_program_options& options = Quadratic_program_options());
 
 template <typename NonnegativeLinearProgram, typename ET>
-Quadratic_program_solution<ET> solve_nonnegative_linear_program 
+Quadratic_program_solution<ET> solve_nonnegative_linear_program
 (const NonnegativeLinearProgram &lp, const ET&,
 const Quadratic_program_options& options = Quadratic_program_options());
 
diff -pruN 5.0.2-3/include/CGAL/QP_models.h 5.0.3-1/include/CGAL/QP_models.h
--- 5.0.2-3/include/CGAL/QP_models.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_models.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_models.h $
-// $Id: QP_models.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_models.h $
+// $Id: QP_models.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Bernd Gaertner <gaertner@inf.ethz.ch>, Kaspar Fischer
 
@@ -23,7 +23,7 @@
 #include <CGAL/QP_solver/basic.h>
 #include <CGAL/QP_solver/functors.h>
 #include <CGAL/IO/io.h>
-#include <vector> 
+#include <vector>
 #include <map>
 #include <iomanip>
 #include <istream>
@@ -62,9 +62,9 @@ class QP_model_default_iterators {
 private:
   typedef typename std::iterator_traits<Iterator>::value_type value_type;
 public:
-  typedef Const_oneset_iterator<value_type> 
+  typedef Const_oneset_iterator<value_type>
   It_1d; // 1-dimensional random access iterator for a constant value
-  typedef Const_oneset_iterator<Const_oneset_iterator<value_type> > 
+  typedef Const_oneset_iterator<Const_oneset_iterator<value_type> >
   It_2d; // 2-dimensional random access iterator for a constant value
 };
 
@@ -73,7 +73,7 @@ public:
 // this is the base class for all non-mps models
 template <
   typename A_it,   // for constraint matrix A (columnwise)
-  typename B_it,   // for right-hand side b 
+  typename B_it,   // for right-hand side b
   typename R_it,   // for relations (value type Comparison)
   typename FL_it,  // for finiteness of lower bounds (value type bool)
   typename L_it,   // for lower bounds
@@ -81,17 +81,17 @@ template <
   typename U_it,   // for upper bounds
   typename D_it,   // for quadratic matrix D (rowwise)
   typename C_it >  // for objective function c
-class Quadratic_program_from_iterators 
+class Quadratic_program_from_iterators
 {
 public:
   // types
   typedef A_it   A_iterator;
-  typedef B_it   B_iterator; 
+  typedef B_it   B_iterator;
   typedef R_it   R_iterator;
   typedef FL_it  FL_iterator;
   typedef L_it   L_iterator;
   typedef FU_it  FU_iterator;
-  typedef U_it   U_iterator;  
+  typedef U_it   U_iterator;
   typedef D_it   D_iterator;
   typedef C_it   C_iterator;
   typedef typename std::iterator_traits<C_it>::value_type C_entry;
@@ -100,12 +100,12 @@ protected:
   int n_;
   int m_;
   A_iterator a_it;
-  B_iterator b_it; 
+  B_iterator b_it;
   R_iterator r_it;
   FL_iterator fl_it;
   L_iterator l_it;
   FU_iterator fu_it;
-  U_iterator u_it; 
+  U_iterator u_it;
   D_iterator d_it;
   C_iterator c_it;
   C_entry c_0; // constant term
@@ -113,7 +113,7 @@ public:
   // construction
   Quadratic_program_from_iterators (
      int n, int m, // number of variables / constraints
-     const A_iterator& a, 
+     const A_iterator& a,
      const B_iterator& b,
      const R_iterator& r,
      const FL_iterator& fl,
@@ -123,8 +123,8 @@ public:
      const D_iterator& d,
      const C_iterator& c,
      const C_entry& c0 = C_entry(0))
-    : n_ (n), m_ (m), a_it (a), b_it (b), r_it (r), fl_it (fl), l_it (l), 
-      fu_it (fu), u_it (u), d_it (d), c_it (c), c_0 (c0)    
+    : n_ (n), m_ (m), a_it (a), b_it (b), r_it (r), fl_it (fl), l_it (l),
+      fu_it (fu), u_it (u), d_it (d), c_it (c), c_0 (c0)
   {}
 
   // access
@@ -132,7 +132,7 @@ public:
   int get_m() const {return m_;}
   A_iterator get_a() const {return a_it;}
   B_iterator get_b() const {return b_it;}
-  R_iterator get_r() const {return r_it;}  
+  R_iterator get_r() const {return r_it;}
   FL_iterator get_fl() const {return fl_it;}
   L_iterator get_l() const {return l_it;}
   FU_iterator get_fu() const {return fu_it;}
@@ -146,7 +146,7 @@ public:
 // -------------------------------------------------------------------
 template <
   typename A_it,   // for constraint matrix A (columnwise)
-  typename B_it,   // for right-hand side b 
+  typename B_it,   // for right-hand side b
   typename R_it,   // for relations (value type Comparison)
   typename FL_it,  // for finiteness of lower bounds (value type bool)
   typename L_it,   // for lower bounds
@@ -156,70 +156,70 @@ template <
   typename C_it >  // for objective function c
 Quadratic_program_from_iterators<A_it, B_it, R_it, FL_it, L_it, FU_it, U_it, D_it, C_it>
 make_quadratic_program_from_iterators (
-   int n, int m, 
-   const A_it& a, 
-   const B_it& b, 
-   const R_it& r, 
-   const FL_it& fl, 
+   int n, int m,
+   const A_it& a,
+   const B_it& b,
+   const R_it& r,
+   const FL_it& fl,
    const L_it& l,
-   const FU_it& fu, 
-   const U_it& u, 
-   const D_it& d, 
-   const C_it& c, 
-   typename std::iterator_traits<C_it>::value_type c0 = 
+   const FU_it& fu,
+   const U_it& u,
+   const D_it& d,
+   const C_it& c,
+   typename std::iterator_traits<C_it>::value_type c0 =
    typename std::iterator_traits<C_it>::value_type(0))
 {
   return Quadratic_program_from_iterators
     <A_it, B_it, R_it, FL_it, L_it, FU_it, U_it, D_it, C_it>
     (n, m, a, b, r, fl, l, fu, u, d, c, c0);
-}	
+}
 
 
 // Linear_program_from_iterators
 // -----------------------------
 template <
   typename A_it,   // for constraint matrix A (columnwise)
-  typename B_it,   // for right-hand side b 
+  typename B_it,   // for right-hand side b
   typename R_it,   // for relations (value type Comparison)
   typename FL_it,  // for finiteness of lower bounds (value type bool)
   typename L_it,   // for lower bounds
   typename FU_it,  // for finiteness of upper bounds (value type bool)
   typename U_it,   // for upper bounds
   typename C_it >  // for objective function c
-class Linear_program_from_iterators : 
-  public Quadratic_program_from_iterators 
+class Linear_program_from_iterators :
+  public Quadratic_program_from_iterators
 <A_it, B_it, R_it, FL_it, L_it, FU_it, U_it,
  typename QP_model_default_iterators<C_it>::It_2d, C_it>
 {
 private:
-  typedef Quadratic_program_from_iterators 
+  typedef Quadratic_program_from_iterators
   <A_it, B_it, R_it, FL_it, L_it, FU_it, U_it,
    typename QP_model_default_iterators<C_it>::It_2d, C_it> Base;
   typedef typename QP_model_default_iterators<C_it>::It_2d Const_D_iterator;
 public:
    QP_MODEL_ITERATOR_TYPES;
    Linear_program_from_iterators (
-		     int n, int m, // number of variables / constraints
-		     const A_iterator& a, 
-		     const B_iterator& b,
-		     const R_iterator& r,
-		     const FL_iterator& fl,
-		     const L_iterator& l,
-		     const FU_iterator& fu,
-		     const U_iterator& u,
-		     const C_iterator& c,
-		     const C_entry& c0 = C_entry(0)
-		     )
-    : Base (n, m, a, b, r, fl, l, fu, u, 
-	    Const_D_iterator(C_entry(0)), c, c0)
-  {}  
-}; 
+                     int n, int m, // number of variables / constraints
+                     const A_iterator& a,
+                     const B_iterator& b,
+                     const R_iterator& r,
+                     const FL_iterator& fl,
+                     const L_iterator& l,
+                     const FU_iterator& fu,
+                     const U_iterator& u,
+                     const C_iterator& c,
+                     const C_entry& c0 = C_entry(0)
+                     )
+    : Base (n, m, a, b, r, fl, l, fu, u,
+            Const_D_iterator(C_entry(0)), c, c0)
+  {}
+};
 
 // corresponding global function make_linear_program_from_iterators
 // ----------------------------------------------------------------
 template <
   typename A_it,   // for constraint matrix A (columnwise)
-  typename B_it,   // for right-hand side b 
+  typename B_it,   // for right-hand side b
   typename R_it,   // for relations (value type Comparison)
   typename FL_it,  // for finiteness of lower bounds (value type bool)
   typename L_it,   // for lower bounds
@@ -228,45 +228,45 @@ template <
   typename C_it >  // for objective function c
 Linear_program_from_iterators<A_it, B_it, R_it, FL_it, L_it, FU_it, U_it, C_it>
 make_linear_program_from_iterators (
-   int n, int m, 
-   const A_it& a, 
-   const B_it& b, 
-   const R_it& r, 
-   const FL_it& fl, 
+   int n, int m,
+   const A_it& a,
+   const B_it& b,
+   const R_it& r,
+   const FL_it& fl,
    const L_it& l,
-   const FU_it& fu, 
-   const U_it& u, 
-   const C_it& c, 
+   const FU_it& fu,
+   const U_it& u,
+   const C_it& c,
    typename std::iterator_traits<C_it>::value_type c0 =
    typename std::iterator_traits<C_it>::value_type(0))
 {
   return Linear_program_from_iterators
     <A_it, B_it, R_it, FL_it, L_it, FU_it, U_it, C_it>
     (n, m, a, b, r, fl, l, fu, u, c, c0);
-}	
+}
 
 
 // Nonnegative_quadratic_program_from_iterators
 // --------------------------------------------
 template <
   typename A_it,   // for constraint matrix A (columnwise)
-  typename B_it,   // for right-hand side b 
+  typename B_it,   // for right-hand side b
   typename R_it,   // for relations (value type Comparison)
   typename D_it,   // for quadratic matrix D (rowwise)
   typename C_it >  // for objective function c
-class Nonnegative_quadratic_program_from_iterators : 
-  public Quadratic_program_from_iterators <A_it, B_it, R_it, 
-     typename QP_model_default_iterators<bool*>::It_1d, 
+class Nonnegative_quadratic_program_from_iterators :
+  public Quadratic_program_from_iterators <A_it, B_it, R_it,
+     typename QP_model_default_iterators<bool*>::It_1d,
      typename QP_model_default_iterators<C_it>::It_1d,
-     typename QP_model_default_iterators<bool*>::It_1d, 
+     typename QP_model_default_iterators<bool*>::It_1d,
      typename QP_model_default_iterators<C_it>::It_1d,
      D_it, C_it>
 {
 private:
-  typedef  Quadratic_program_from_iterators <A_it, B_it, R_it, 
-     typename QP_model_default_iterators<bool*>::It_1d, 
+  typedef  Quadratic_program_from_iterators <A_it, B_it, R_it,
+     typename QP_model_default_iterators<bool*>::It_1d,
      typename QP_model_default_iterators<C_it>::It_1d,
-     typename QP_model_default_iterators<bool*>::It_1d, 
+     typename QP_model_default_iterators<bool*>::It_1d,
      typename QP_model_default_iterators<C_it>::It_1d,
      D_it, C_it> Base;
   typedef typename QP_model_default_iterators<bool*>::It_1d Const_FLU_iterator;
@@ -274,68 +274,68 @@ private:
 public:
    QP_MODEL_ITERATOR_TYPES;
    Nonnegative_quadratic_program_from_iterators (
-		     int n, int m, // number of variables / constraints
-		     const A_iterator& a, 
-		     const B_iterator& b,
-		     const R_iterator& r,		     
-		     const D_iterator& d,
-		     const C_iterator& c,
-		     const C_entry& c0 = C_entry(0)
-		     )
-    : Base (n, m, a, b, r, 
-	    Const_FLU_iterator(true), Const_LU_iterator(C_entry(0)), 
-	    Const_FLU_iterator(false), Const_LU_iterator(C_entry(0)), 
-	    d, c, c0)
-  {}  
+                     int n, int m, // number of variables / constraints
+                     const A_iterator& a,
+                     const B_iterator& b,
+                     const R_iterator& r,
+                     const D_iterator& d,
+                     const C_iterator& c,
+                     const C_entry& c0 = C_entry(0)
+                     )
+    : Base (n, m, a, b, r,
+            Const_FLU_iterator(true), Const_LU_iterator(C_entry(0)),
+            Const_FLU_iterator(false), Const_LU_iterator(C_entry(0)),
+            d, c, c0)
+  {}
 };
 
-// corresponding global function 
+// corresponding global function
 // make_nonnegative_quadratic_program_from_iterators
 // -------------------------------------------------
 template <
   typename A_it,   // for constraint matrix A (columnwise)
-  typename B_it,   // for right-hand side b 
+  typename B_it,   // for right-hand side b
   typename R_it,   // for relations (value type Comparison)
   typename D_it,   // for quadratic matrix D (rowwise)
   typename C_it >  // for objective function c
 Nonnegative_quadratic_program_from_iterators
 <A_it, B_it, R_it, D_it, C_it>
 make_nonnegative_quadratic_program_from_iterators (
-   int n, int m, 
-   const A_it& a, 
-   const B_it& b, 
-   const R_it& r, 
-   const D_it& d, 
-   const C_it& c, 
+   int n, int m,
+   const A_it& a,
+   const B_it& b,
+   const R_it& r,
+   const D_it& d,
+   const C_it& c,
    typename std::iterator_traits<C_it>::value_type c0 =
    typename std::iterator_traits<C_it>::value_type(0))
 {
   return Nonnegative_quadratic_program_from_iterators
     <A_it, B_it, R_it, D_it, C_it>
     (n, m, a, b, r, d, c, c0);
-}	
+}
 
 
 // Nonnegative_linear_program_from_iterators
 // -----------------------------------------
 template <
   typename A_it,   // for constraint matrix A (columnwise)
-  typename B_it,   // for right-hand side b 
+  typename B_it,   // for right-hand side b
   typename R_it,   // for relations (value type Comparison)
   typename C_it >  // for objective function c
-class Nonnegative_linear_program_from_iterators : 
-  public Quadratic_program_from_iterators <A_it, B_it, R_it, 
-     typename QP_model_default_iterators<bool*>::It_1d, 
+class Nonnegative_linear_program_from_iterators :
+  public Quadratic_program_from_iterators <A_it, B_it, R_it,
+     typename QP_model_default_iterators<bool*>::It_1d,
      typename QP_model_default_iterators<C_it>::It_1d,
-     typename QP_model_default_iterators<bool*>::It_1d, 
+     typename QP_model_default_iterators<bool*>::It_1d,
      typename QP_model_default_iterators<C_it>::It_1d,
      typename QP_model_default_iterators<C_it>::It_2d, C_it>
 {
 private:
-  typedef Quadratic_program_from_iterators <A_it, B_it, R_it, 
-     typename QP_model_default_iterators<bool*>::It_1d, 
+  typedef Quadratic_program_from_iterators <A_it, B_it, R_it,
+     typename QP_model_default_iterators<bool*>::It_1d,
      typename QP_model_default_iterators<C_it>::It_1d,
-     typename QP_model_default_iterators<bool*>::It_1d, 
+     typename QP_model_default_iterators<bool*>::It_1d,
      typename QP_model_default_iterators<C_it>::It_1d,
      typename QP_model_default_iterators<C_it>::It_2d, C_it> Base;
   typedef typename QP_model_default_iterators<bool*>::It_1d Const_FLU_iterator;
@@ -344,36 +344,36 @@ private:
 public:
    QP_MODEL_ITERATOR_TYPES;
    Nonnegative_linear_program_from_iterators (
-		     int n, int m, // number of variables / constraints
-		     const A_iterator& a, 
-		     const B_iterator& b,
-		     const R_iterator& r,		     
-		     const C_iterator& c,
-		     const C_entry& c0 = C_entry(0)
-		     )
-    : Base (n, m, a, b, r, 
-	    Const_FLU_iterator(true), Const_LU_iterator(C_entry(0)), 
-	    Const_FLU_iterator(false), Const_LU_iterator(C_entry(0)), 
-	    Const_D_iterator(C_entry(0)), c, c0)
-  {}  
-}; 
+                     int n, int m, // number of variables / constraints
+                     const A_iterator& a,
+                     const B_iterator& b,
+                     const R_iterator& r,
+                     const C_iterator& c,
+                     const C_entry& c0 = C_entry(0)
+                     )
+    : Base (n, m, a, b, r,
+            Const_FLU_iterator(true), Const_LU_iterator(C_entry(0)),
+            Const_FLU_iterator(false), Const_LU_iterator(C_entry(0)),
+            Const_D_iterator(C_entry(0)), c, c0)
+  {}
+};
 
-// corresponding global function 
+// corresponding global function
 // make_nonnegative_linear_program_from_iterators
 // ----------------------------------------------
 template <
   typename A_it,   // for constraint matrix A (columnwise)
-  typename B_it,   // for right-hand side b 
+  typename B_it,   // for right-hand side b
   typename R_it,   // for relations (value type Comparison)
   typename C_it >  // for objective function c
 Nonnegative_linear_program_from_iterators
 <A_it, B_it, R_it, C_it>
 make_nonnegative_linear_program_from_iterators (
-   int n, int m, 
-   const A_it& a, 
-   const B_it& b, 
-   const R_it& r, 
-   const C_it& c, 
+   int n, int m,
+   const A_it& a,
+   const B_it& b,
+   const R_it& r,
+   const C_it& c,
    typename std::iterator_traits<C_it>::value_type c0 =
    typename std::iterator_traits<C_it>::value_type(0))
 {
@@ -381,7 +381,7 @@ make_nonnegative_linear_program_from_ite
     <A_it, B_it, R_it, C_it>
     (n, m, a, b, r, c, c0);
 }
-	
+
 
 namespace QP_model_detail {
   // maps a container to its begin-iterator, as specified by HowToBegin
@@ -390,9 +390,9 @@ namespace QP_model_detail {
     : public CGAL::cpp98::unary_function< Container, Iterator >
   {
     typedef Iterator result_type;
-    result_type operator () ( const Container& v) const 
-    { 
-      return HowToBegin()(v); 
+    result_type operator () ( const Container& v) const
+    {
+      return HowToBegin()(v);
     }
   };
 }
@@ -408,27 +408,27 @@ public:
   typedef NT_ NT;
 private:
   // Sparse_vectors
-  typedef std::map<std::size_t, NT>                   
+  typedef std::map<std::size_t, NT>
   Sparse_vector;
   typedef std::map<std::size_t, CGAL::Comparison_result>
   Sparse_r_vector;
-  typedef std::map<std::size_t, bool>                   
+  typedef std::map<std::size_t, bool>
   Sparse_f_vector;
 
   // Sparse_matrix
-  typedef std::vector<Sparse_vector>                  
-  Sparse_matrix;   
+  typedef std::vector<Sparse_vector>
+  Sparse_matrix;
 
   // Sparse_vector_iterators
-  //typedef CGAL::Fake_random_access_const_iterator<Sparse_vector> 
+  //typedef CGAL::Fake_random_access_const_iterator<Sparse_vector>
   typedef boost::transform_iterator<CGAL::Map_with_default<Sparse_vector>,
-				    boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t> >
-  Sparse_vector_iterator;  
+                                    boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t> >
+  Sparse_vector_iterator;
   typedef boost::transform_iterator<CGAL::Map_with_default<Sparse_r_vector>,
             boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t> >
   Sparse_r_vector_iterator;
   typedef boost::transform_iterator<CGAL::Map_with_default<Sparse_f_vector>,
-				    boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t> >
+                                    boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t> >
   Sparse_f_vector_iterator;
 
   // Sparse_matrix_iterator
@@ -436,8 +436,8 @@ private:
   {
     Sparse_vector_iterator operator() (const Sparse_vector& v) const
     { return Sparse_vector_iterator
-	(boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(0),
-	 CGAL::Map_with_default<Sparse_vector>(&v, NT(0)));}
+        (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(0),
+         CGAL::Map_with_default<Sparse_vector>(&v, NT(0)));}
   };
 
   typedef QP_model_detail::Begin
@@ -445,14 +445,14 @@ private:
   typedef boost::transform_iterator
   <Beginner, typename Sparse_matrix::const_iterator>
   Sparse_matrix_iterator;
-  
-  // program data; we maintain the invariant that only the 
+
+  // program data; we maintain the invariant that only the
   // non-default elements are stored; this means that entries
   // may get removed again, and n_, m_ might be larger than
   // absolutely needed; we also maintain the invariants that
   // a_matrix and d_matrix always have n_ elements
 
-  int                                  n_; 
+  int                                  n_;
   int                                  m_;
   Sparse_matrix                        a_matrix;
   Sparse_vector                        b_vector;
@@ -461,7 +461,7 @@ private:
   Sparse_vector                        l_vector;
   Sparse_f_vector                      fu_vector;
   Sparse_vector                        u_vector;
-  Sparse_vector                        c_vector;  
+  Sparse_vector                        c_vector;
   Sparse_matrix                        d_matrix;
   NT                                   c0_;
 
@@ -471,7 +471,7 @@ private:
   NT                                   default_l;   // from constructor
   bool                                 default_fu;  // from constructor
   NT                                   default_u;   // from constructor
-protected: 
+protected:
   bool                                 is_valid_;
 private:
   std::string                          error_msg;
@@ -479,7 +479,7 @@ private:
   // methods
   // enlarges a_matrix, d_matrix to size s, under the
   // precondition that the previous sizes were smaller
-  void grow_a_d (int s) 
+  void grow_a_d (int s)
   {
     CGAL_qpe_assertion( a_matrix.size() == d_matrix.size() );
     CGAL_qpe_assertion( a_matrix.size() < static_cast<unsigned int>(s));
@@ -490,7 +490,7 @@ private:
   }
 
 public:
-  // interface types  
+  // interface types
   typedef Sparse_matrix_iterator                     A_iterator;
   typedef Sparse_vector_iterator                     B_iterator;
   typedef Sparse_r_vector_iterator                   R_iterator;
@@ -503,77 +503,77 @@ public:
   typedef NT                                         C_entry;
 
   // concept methods
-  int get_n() const 
-  { 
+  int get_n() const
+  {
     CGAL_qpe_assertion(is_valid());
     return n_;
   }
-  int get_m() const  
-  { 
+  int get_m() const
+  {
     CGAL_qpe_assertion(is_valid());
     return m_;
   }
-  A_iterator get_a() const    
-  { 
+  A_iterator get_a() const
+  {
     CGAL_qpe_assertion(is_valid());
     return A_iterator (a_matrix.begin(), Beginner());
   }
-  B_iterator get_b() const    
-  { 
+  B_iterator get_b() const
+  {
     CGAL_qpe_assertion(is_valid());
     return B_iterator (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(0),
-		        CGAL::Map_with_default<Sparse_vector>
-		       (&b_vector, NT(0)));
+                        CGAL::Map_with_default<Sparse_vector>
+                       (&b_vector, NT(0)));
   }
-  R_iterator get_r() const    
-  { 
+  R_iterator get_r() const
+  {
     CGAL_qpe_assertion(is_valid());
     return R_iterator (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(0),
-		        CGAL::Map_with_default<Sparse_r_vector>
-		       (&r_vector, default_r));
+                        CGAL::Map_with_default<Sparse_r_vector>
+                       (&r_vector, default_r));
   }
-  FL_iterator get_fl() const  
-  { 
+  FL_iterator get_fl() const
+  {
     CGAL_qpe_assertion(is_valid());
     return FL_iterator (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(0),
-		        CGAL::Map_with_default<Sparse_f_vector>
-			(&fl_vector, default_fl)); 
+                        CGAL::Map_with_default<Sparse_f_vector>
+                        (&fl_vector, default_fl));
   }
-  L_iterator get_l() const    
-  { 
+  L_iterator get_l() const
+  {
     CGAL_qpe_assertion(is_valid());
     return L_iterator (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(0),
-		        CGAL::Map_with_default<Sparse_vector>
-		       (&l_vector, default_l));
+                        CGAL::Map_with_default<Sparse_vector>
+                       (&l_vector, default_l));
   }
-  FU_iterator get_fu() const  
+  FU_iterator get_fu() const
   {
     CGAL_qpe_assertion(is_valid());
     return FU_iterator (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(0),
-		        CGAL::Map_with_default<Sparse_f_vector>
-			(&fu_vector, default_fu));
+                        CGAL::Map_with_default<Sparse_f_vector>
+                        (&fu_vector, default_fu));
   }
-  U_iterator get_u() const    
-  { 
+  U_iterator get_u() const
+  {
     CGAL_qpe_assertion(is_valid());
     return U_iterator (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(0),
-		        CGAL::Map_with_default<Sparse_vector>
-		       (&u_vector, default_u));
+                        CGAL::Map_with_default<Sparse_vector>
+                       (&u_vector, default_u));
   }
-  C_iterator get_c() const    
-  { 
+  C_iterator get_c() const
+  {
     CGAL_qpe_assertion(is_valid());
     return C_iterator (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(0),
-		        CGAL::Map_with_default<Sparse_vector>
-		       (&c_vector, NT(0)));
+                        CGAL::Map_with_default<Sparse_vector>
+                       (&c_vector, NT(0)));
   }
-  D_iterator get_d() const    
-  { 
+  D_iterator get_d() const
+  {
     CGAL_qpe_assertion(is_valid());
     return D_iterator (d_matrix.begin(), Beginner());
   }
-  C_entry get_c0() const 
-  { 
+  C_entry get_c0() const
+  {
     CGAL_qpe_assertion(is_valid());
     return c0_;
   }
@@ -590,29 +590,29 @@ public:
   }
 
   // default constructor
-  Quadratic_program 
+  Quadratic_program
   (CGAL::Comparison_result relation = CGAL::EQUAL,
    bool finite_lower = true,
    NT lower = 0,
    bool finite_upper = false,
-   NT upper = 0) 
-    : n_(0), m_(0), c0_(0), 
+   NT upper = 0)
+    : n_(0), m_(0), c0_(0),
       default_r(relation), default_fl(finite_lower),
-      default_l(lower), default_fu(finite_upper), 
-      default_u(upper), is_valid_(true) 
+      default_l(lower), default_fu(finite_upper),
+      default_u(upper), is_valid_(true)
   {
     CGAL_qpe_assertion(!finite_lower || !finite_upper || lower <= upper);
   }
 
 
   // constructor from iterators
-  template <typename A_it, typename B_it, typename R_it, typename FL_it, 
-	    typename L_it, typename FU_it, typename U_it, typename D_it, 
-	    typename C_it>
+  template <typename A_it, typename B_it, typename R_it, typename FL_it,
+            typename L_it, typename FU_it, typename U_it, typename D_it,
+            typename C_it>
   Quadratic_program
   (
    int n, int m, // number of variables / constraints
-   const A_it& a, 
+   const A_it& a,
    const B_it& b,
    const R_it& r,
    const FL_it& fl,
@@ -621,15 +621,15 @@ public:
    const U_it& u,
    const D_it& d,
    const C_it& c,
-   const typename std::iterator_traits<C_it>::value_type& c0 = 0) 
-    : n_(0), m_(0), c0_(0), 
+   const typename std::iterator_traits<C_it>::value_type& c0 = 0)
+    : n_(0), m_(0), c0_(0),
       default_r(CGAL::EQUAL), default_fl(true),
       default_l(0), default_fu(false), default_u(0), is_valid_(true)
   {
     // now copy, using the set methods
     for (int j=0; j<n; ++j) {
-      for (int i=0; i<m; ++i) 
-	set_a (j, i, (*(a+j))[i]);
+      for (int i=0; i<m; ++i)
+        set_a (j, i, (*(a+j))[i]);
       set_l (j, *(fl+j), *(l+j));
       set_u (j, *(fu+j), *(u+j));
       set_c (j, *(c+j));
@@ -640,7 +640,7 @@ public:
     }
     for (int i=0; i<n; ++i)
       for (int j=0; j<=i; ++j)
-	set_d (i, j, (*(d+i))[j]);
+        set_d (i, j, (*(d+i))[j]);
     set_c0 (c0);
   }
 
@@ -656,7 +656,7 @@ public:
 private:
   // helpers to determine bound status
   // checks whether all bounds in flu are as given by the parameter "finite"
-  // default_flu is the default-value of the underlying map that is not 
+  // default_flu is the default-value of the underlying map that is not
   // stored
   bool all_bounds_are
   (bool finite, const Sparse_f_vector& flu, bool default_flu) const
@@ -668,8 +668,8 @@ private:
       return flu.size() == (unsigned int)(n_);
   }
 
-  bool all_bounds_are_zero 
-  // checks whether all bounds in lu are 0. default_lu is the default-value 
+  bool all_bounds_are_zero
+  // checks whether all bounds in lu are 0. default_lu is the default-value
   // of the underlying map that is not stored
   (const Sparse_vector& lu, const NT& default_lu) const
   {
@@ -679,18 +679,18 @@ private:
       // are there exactly n non-default values?
       if (lu.size() != (unsigned int)(n_)) return false;
       // ok, we have to test each of the non-default values against zero
-      for (typename Sparse_vector::const_iterator 
-	     j = lu.begin(); j != lu.end(); ++j)
-	if (!CGAL::is_zero(j->second)) return false;
+      for (typename Sparse_vector::const_iterator
+             j = lu.begin(); j != lu.end(); ++j)
+        if (!CGAL::is_zero(j->second)) return false;
       return true;
     }
   }
-  
+
 public:
 
   bool is_nonnegative() const
   {
-    return 
+    return
       all_bounds_are (true, fl_vector, default_fl) &&
       all_bounds_are_zero (l_vector, default_l) &&
       all_bounds_are (false, fu_vector, default_fu);
@@ -698,7 +698,7 @@ public:
 
   bool is_nonpositive() const
   {
-     return 
+     return
       all_bounds_are (false, fl_vector, default_fl) &&
       all_bounds_are_zero (u_vector, default_u) &&
       all_bounds_are (true, fu_vector, default_fu);
@@ -706,18 +706,18 @@ public:
 
   bool is_free() const
   {
-    return 
+    return
       all_bounds_are (false, fl_vector, default_fl) &&
       all_bounds_are (false, fu_vector, default_fu);
   }
 
   // set methods
-  void set_a (int j, int i, const NT& val) 
-  { 
-    CGAL_qpe_assertion (j >= 0); 
-    CGAL_qpe_assertion (i >= 0);    
+  void set_a (int j, int i, const NT& val)
+  {
+    CGAL_qpe_assertion (j >= 0);
+    CGAL_qpe_assertion (i >= 0);
     if (j >= n_) {
-      n_ = j+1;  
+      n_ = j+1;
       grow_a_d(n_);
     }
     if (i >= m_) m_ = i+1;
@@ -730,17 +730,17 @@ public:
   void set_b (int i,  const NT& val)
   {
     CGAL_qpe_assertion (i >= 0);
-    if (i >= m_) m_ = i+1;    
-    if (CGAL::is_zero(val)) 
+    if (i >= m_) m_ = i+1;
+    if (CGAL::is_zero(val))
       b_vector.erase(i);
     else
       b_vector[i] = val;
   }
 
   void set_r (int i, CGAL::Comparison_result val)
-  {    
-    CGAL_qpe_assertion (i >= 0); 
-    if (i >= m_) m_ = i+1;        
+  {
+    CGAL_qpe_assertion (i >= 0);
+    if (i >= m_) m_ = i+1;
     if (val == default_r)
       r_vector.erase(i);
     else
@@ -748,10 +748,10 @@ public:
   }
 
   void set_l (int j, bool is_finite, const NT& val = NT(0))
-  {   
-    CGAL_qpe_assertion (j >= 0);  
+  {
+    CGAL_qpe_assertion (j >= 0);
     if (j >= n_) {
-      n_ = j+1; 
+      n_ = j+1;
       grow_a_d(n_);
     }
     if (is_finite == default_fl)
@@ -763,12 +763,12 @@ public:
     else
       l_vector[j] = val;
   }
-  
+
   void set_u (int j, bool is_finite, const NT& val = NT(0))
-  { 
-    CGAL_qpe_assertion (j >= 0); 
+  {
+    CGAL_qpe_assertion (j >= 0);
     if (j >= n_) {
-      n_ = j+1; 
+      n_ = j+1;
       grow_a_d(n_);
     }
       if (is_finite == default_fu)
@@ -778,17 +778,17 @@ public:
     if (val == default_u)
       u_vector.erase(j);
     else
-      u_vector[j] = val;  
+      u_vector[j] = val;
   }
 
   void set_c (int j, const NT& val)
-  {   
-    CGAL_qpe_assertion (j >= 0);  
+  {
+    CGAL_qpe_assertion (j >= 0);
     if (j >= n_) {
-      n_ = j+1; 
+      n_ = j+1;
       grow_a_d(n_);
     }
-    if (CGAL::is_zero(val)) 
+    if (CGAL::is_zero(val))
       c_vector.erase(j);
     else
       c_vector[j] = val;
@@ -799,16 +799,16 @@ public:
     c0_ = val;
   }
 
-  void set_d (int i, int j, const NT& val) 
-  { 
-    CGAL_qpe_assertion (i >= 0);    
+  void set_d (int i, int j, const NT& val)
+  {
+    CGAL_qpe_assertion (i >= 0);
     CGAL_qpe_assertion (j >= 0);
-    CGAL_qpe_assertion (j <= i); // lower-diagonal entry  
+    CGAL_qpe_assertion (j <= i); // lower-diagonal entry
     if (i >= n_) {
       n_ = i+1;
       grow_a_d(n_);
-    }  
-    if (CGAL::is_zero(val)) 
+    }
+    if (CGAL::is_zero(val))
       d_matrix[i].erase(j);
     else
       d_matrix[i][j] = val;
@@ -833,25 +833,25 @@ protected:
   }
 
   bool err1(const char* msg,
-	    const std::string& parameter1) {
+            const std::string& parameter1) {
     error_msg = replace1(msg,parameter1);
     is_valid_ = false;
     return false;
   }
 
   bool err2(const char* msg,
-	    const std::string& parameter1,
-	    const std::string& parameter2) {
+            const std::string& parameter1,
+            const std::string& parameter2) {
     error_msg = replace1(replace1(msg,parameter1),parameter2);
     is_valid_ = false;
     return false;
   }
 
   bool err3(const char* msg,
-	    const std::string& parameter1,
-	    const std::string& parameter2,
-	    const std::string& parameter3) {
-    error_msg = 
+            const std::string& parameter1,
+            const std::string& parameter2,
+            const std::string& parameter3) {
+    error_msg =
     replace1(replace1(replace1(msg,parameter1),parameter2),parameter3);
     is_valid_ = false;
     return false;
@@ -873,8 +873,8 @@ protected:
 // for reading a QP from a stream in MPS format
 
 template <typename NT_>
-class Quadratic_program_from_mps : 
-  public Quadratic_program<NT_> 
+class Quadratic_program_from_mps :
+  public Quadratic_program<NT_>
 {
 public:
   typedef NT_ NT;
@@ -883,12 +883,12 @@ private:
 public:
   QP_MODEL_ITERATOR_TYPES;
 private:
-  // types 
-  typedef std::map<std::string,unsigned int> Index_map;   
+  // types
+  typedef std::map<std::string,unsigned int> Index_map;
   typedef std::pair<std::string,unsigned int> String_int_pair;
 public:
   // constructor
-  Quadratic_program_from_mps 
+  Quadratic_program_from_mps
   (std::istream& in)
     : Base(), from(in), nt0(0), use_put_back_token(false)
   {
@@ -910,7 +910,7 @@ public:
 
     // check for (optional) RANGES section:
     if (!ranges_section())
-      return; 
+      return;
 
     // read optional BOUNDS section:
     if (!bounds_section())
@@ -933,13 +933,13 @@ public:
   }
 
   // returns the first comment that was read from the MPS stream
-  const std::string& get_comment() const 
+  const std::string& get_comment() const
   {
     return comment_;
   }
 
   // returns name of the problem
-  const std::string& get_problem_name() const 
+  const std::string& get_problem_name() const
   {
     return name;
   }
@@ -949,30 +949,30 @@ public:
     CGAL_qpe_assertion(this->is_valid());
     CGAL_qpe_assertion(0<=j && j<n_after_construction);
     return var_by_index[j];
-  } 
+  }
 
   int variable_index_by_name (const std::string& name) const
   {
     const Index_map::const_iterator var_name = var_names.find(name);
     if (var_name == var_names.end()) // unknown variable
       return -1;
-    else 
+    else
       return var_name->second;
   }
-    
+
   const std::string& constraint_name_by_index(int i) const
   {
     CGAL_qpe_assertion(this->is_valid());
     CGAL_qpe_assertion(0<=i && i<m_after_construction);
     return row_by_index[i];
-  } 
+  }
 
   int constraint_index_by_name (const std::string& name) const
   {
     const Index_map::const_iterator row_name = row_names.find(name);
     if (row_name == row_names.end()) // unknown constraint
       return -1;
-    else 
+    else
       return row_name->second;
   }
 
@@ -992,7 +992,7 @@ private:
   Index_map row_names;
   Index_map duplicated_row_names; // to handle RANGES section
   Index_map var_names;
-  std::vector<std::string> var_by_index; // name of i-th column  
+  std::vector<std::string> var_by_index; // name of i-th column
   std::vector<std::string> row_by_index; // name of i-th row
 
   // variables used in token() (see below):
@@ -1013,27 +1013,27 @@ private:
     const bool remember_comment = comment_.size() == 0;
     while (from.get(c))
       if (in_comment) {
-	if (c!='\r' && c!='\n') {
-	  if (remember_comment)
-	    comment_.push_back(c);
-	} else
-	  in_comment = false;
+        if (c!='\r' && c!='\n') {
+          if (remember_comment)
+            comment_.push_back(c);
+        } else
+          in_comment = false;
       } else { // not in comment?
-	if (!isspace(c)) {
-	  if (c!='$' && c!='*') {
-	    from.putback(c);
-	    break;
-	  }
-	  in_comment = true;
-	  lineBreakFound = true;
-	} else {
-	  if (c=='\r' || c=='\n')
-	    lineBreakFound = true;
-	}
+        if (!isspace(c)) {
+          if (c!='$' && c!='*') {
+            from.putback(c);
+            break;
+          }
+          in_comment = true;
+          lineBreakFound = true;
+        } else {
+          if (c=='\r' || c=='\n')
+            lineBreakFound = true;
+        }
       }
     return lineBreakFound;
   }
-    
+
   std::string token() {
     if (use_put_back_token) {
       use_put_back_token = false;
@@ -1044,8 +1044,8 @@ private:
     char c;
     while (from.get(c)) {
       if (isspace(c)) {
-	from.putback(c);
-	break;
+        from.putback(c);
+        break;
       }
       token.push_back(c);
     }
@@ -1065,7 +1065,7 @@ private:
     return from.good();
   }
 
-  bool name_section() 
+  bool name_section()
   {
     const std::string t = token();
     if (t != "NAME")
@@ -1074,19 +1074,19 @@ private:
     char c;
     std::string token;
     std::string whitespaces;
-    if (whitespace()) 
+    if (whitespace())
       // line break eaten, name is empty
       return true;
     do {
       from.get(c);
       if (c == '\r' || c == '\n') break;
-      if (isspace(c)) 
-	whitespaces.push_back(c); // save whitespace
+      if (isspace(c))
+        whitespaces.push_back(c); // save whitespace
       else {
-	// new actual character found: previous whitespaces belong to name
-	name += whitespaces;
-	whitespaces.clear();
-	name.push_back(c);
+        // new actual character found: previous whitespaces belong to name
+        name += whitespaces;
+        whitespaces.clear();
+        name.push_back(c);
       }
     } while (true);
     return true;
@@ -1107,30 +1107,30 @@ private:
       t = token();
       switch (type) {
       case 'N':
-	// register name of objective row:
-	if (obj.size() == 0) // remember first (and ignore others)
-	  obj = t;
-	break;
+        // register name of objective row:
+        if (obj.size() == 0) // remember first (and ignore others)
+          obj = t;
+        break;
       case 'G':
       case 'L':
       case 'E':
-	{
-	  // register name of >=, <=, or = constraint:
-	  this->set_r (i, 
-		 type == 'G'? CGAL::LARGER :
-		 (type == 'E'? CGAL::EQUAL : CGAL::SMALLER));
-	  if (row_names.find(t) != row_names.end())
-	    return this->err1("duplicate row name '%' in section ROWS",t);
-	  row_names.insert(String_int_pair(t,i));
-	  row_by_index.push_back(t);
-	  ++i;
-	}
-	break;
+        {
+          // register name of >=, <=, or = constraint:
+          this->set_r (i,
+                 type == 'G'? CGAL::LARGER :
+                 (type == 'E'? CGAL::EQUAL : CGAL::SMALLER));
+          if (row_names.find(t) != row_names.end())
+            return this->err1("duplicate row name '%' in section ROWS",t);
+          row_names.insert(String_int_pair(t,i));
+          row_by_index.push_back(t);
+          ++i;
+        }
+        break;
       default:
-	return 
-	  this->err1
-	  ("expected 'N', 'L', 'E', or 'G' in ROWS section but found '%'",
-	   symbol);
+        return
+          this->err1
+          ("expected 'N', 'L', 'E', or 'G' in ROWS section but found '%'",
+           symbol);
       }
       t = token();
     }
@@ -1139,7 +1139,7 @@ private:
     return true;
   }
 
-  bool columns_section() 
+  bool columns_section()
   {
     std::string t = token();
     if (t != "COLUMNS")
@@ -1153,41 +1153,41 @@ private:
       const Index_map::const_iterator var_name = var_names.find(t);
       if (var_name == var_names.end()) { // new variable?
         var_index = static_cast<unsigned int>(var_names.size());
-	col_name = t;
-	var_names.insert(String_int_pair(t,var_index));
-	var_by_index.push_back(t);
+        col_name = t;
+        var_names.insert(String_int_pair(t,var_index));
+        var_by_index.push_back(t);
       } else { // variable that is already known?
-	var_index = var_name->second;
-	col_name = var_name->first;
+        var_index = var_name->second;
+        col_name = var_name->first;
       }
-      
+
       bool doItAgain = true;
       for (int i=0; doItAgain; ++i) {
-	// read row identifier:
-	t = token();
+        // read row identifier:
+        t = token();
 
-	// read number:
-	NT val;
-	if (!number(val))
-	  return this->err2
-	    ("number expected after row identifier '%' in '%' COLUMNS record",
-	     t,col_name);
-
-	// store number:
-	if (t == obj) { // objective row?
-	  this->set_c(var_index, val);
-	} else { // not objective row?
-	  const Index_map::const_iterator row_name = row_names.find(t);
-	  if (row_name == row_names.end())
-	    return this->err1
-	      ("unknown row identifier '%' in section COLUMNS",t);
-	  this->set_a (var_index, row_name->second, val);
-	}
+        // read number:
+        NT val;
+        if (!number(val))
+          return this->err2
+            ("number expected after row identifier '%' in '%' COLUMNS record",
+             t,col_name);
+
+        // store number:
+        if (t == obj) { // objective row?
+          this->set_c(var_index, val);
+        } else { // not objective row?
+          const Index_map::const_iterator row_name = row_names.find(t);
+          if (row_name == row_names.end())
+            return this->err1
+              ("unknown row identifier '%' in section COLUMNS",t);
+          this->set_a (var_index, row_name->second, val);
+        }
 
-	// determine if we need to read another number:
-	doItAgain = i==0 && !whitespace();
+        // determine if we need to read another number:
+        doItAgain = i==0 && !whitespace();
       }
-      
+
       // read next token:
       t = token();
     }
@@ -1206,58 +1206,58 @@ private:
     t = token();
     std::string rhs_id;
     while (t != "RANGES" && t != "BOUNDS" &&
-	   t != "DMATRIX" && t != "QMATRIX" && t != "QUADOBJ" &&
-	   t != "ENDATA") {
+           t != "DMATRIX" && t != "QMATRIX" && t != "QUADOBJ" &&
+           t != "ENDATA") {
       // read rhs identifier and if it is different from the one
       // from the previous iteration, ignore the whole row:
       bool ignore = false;
       std::string ignored;
       if (rhs_id.size() == 0) { // first time we enter the loop?
-	rhs_id = t;
+        rhs_id = t;
       } else {                  // rhs_id already set
-	if (t != rhs_id) { 
-	  ignore = true;        // ignore other rhs identifiers
-	  ignored = t;
-	}
+        if (t != rhs_id) {
+          ignore = true;        // ignore other rhs identifiers
+          ignored = t;
+        }
       }
 
       bool doItAgain = true;
       for (int i=0; doItAgain; ++i) {
-	// read row identifier:
-	t = token();
+        // read row identifier:
+        t = token();
 
-	// read number:
-	NT val;
-	if (!number(val))
-	  return this->err1("number expected after '%' in this RHS record",t);
-
-	// store number:
-	const Index_map::const_iterator row_name = row_names.find(t);
-	if (row_name == row_names.end()) {
-	  // no corresponding constraint; is it the constant term?
-	  if (t == obj) 
-	    this->set_c0(-val);
-	  else 
-	    return this->err1("unknown row identifier '%' in section RHS",t);
-	} else {
-	  // we have an actual constraint
-	  if (!ignore) {
-	    this->set_b(row_name->second, val);
-	  } else {
-	    this->warn1("rhs with identifier '%' ignored", ignored);
-	  }
-	}
+        // read number:
+        NT val;
+        if (!number(val))
+          return this->err1("number expected after '%' in this RHS record",t);
+
+        // store number:
+        const Index_map::const_iterator row_name = row_names.find(t);
+        if (row_name == row_names.end()) {
+          // no corresponding constraint; is it the constant term?
+          if (t == obj)
+            this->set_c0(-val);
+          else
+            return this->err1("unknown row identifier '%' in section RHS",t);
+        } else {
+          // we have an actual constraint
+          if (!ignore) {
+            this->set_b(row_name->second, val);
+          } else {
+            this->warn1("rhs with identifier '%' ignored", ignored);
+          }
+        }
 
-	// determine if we need to read another number:
-	doItAgain = i==0 && !whitespace();
+        // determine if we need to read another number:
+        doItAgain = i==0 && !whitespace();
       }
-      
+
       // read next token:
       t = token();
     }
     put_token_back(t);
 
-    return true;  
+    return true;
   }
 
   bool ranges_section()
@@ -1270,104 +1270,104 @@ private:
 
     t = token();
     std::string range_id;
-    while ((t != "BOUNDS" && t != "QMATRIX" && 
-	    t != "DMATRIX" && t != "QUADOBJ" && t != "ENDATA")) {
+    while ((t != "BOUNDS" && t != "QMATRIX" &&
+            t != "DMATRIX" && t != "QUADOBJ" && t != "ENDATA")) {
       // read rhs identifier and if it is different from the one
       // from the previous iteration, ignore the whole row:
       bool ignore = false;
       std::string ignored;
       if (range_id.size() == 0) { // first time we enter the loop?
-	range_id = t;
+        range_id = t;
       } else {                    // range_id already set
-	if (t != range_id) { 
-	  ignore = true;          // ignore other range identifiers
-	  ignored = t;
-	}
+        if (t != range_id) {
+          ignore = true;          // ignore other range identifiers
+          ignored = t;
+        }
       }
       bool doItAgain = true;
       for (int i=0; doItAgain; ++i) {
-	// read row identifier:
-	t = token();
+        // read row identifier:
+        t = token();
 
-	// read number:
-	NT val;
-	if (!number(val))
-	  return this->err1
-	    ("number expected after '%' in this RANGES record",t);
-
-	// duplicate the constraint, depending on sign of val and type
-	// of constraint
-	const Index_map::const_iterator row_name = row_names.find(t);
-	if (row_name == row_names.end()) {
-	  return this->err1("unknown row identifier '%' in section RANGES",t);
-	} else {
-	  if (!ignore) {
-	    int index = row_name->second;
-	    CGAL::Comparison_result type = *(this->get_r()+index);
-	    // duplicate the row, unless it has already been duplicated
-	    const Index_map::const_iterator duplicated_row_name = 
-	      duplicated_row_names.find(t);
-	    if (duplicated_row_name != duplicated_row_names.end())
-	      return this->err1
-		("duplicate row identifier '%' in section RANGES",t);
-	    duplicated_row_names.insert(*row_name);
-	    std::string dup_name = row_name->first+std::string("_DUPLICATED"); 
-	    int new_index = this->get_m();
-	    row_names.insert(String_int_pair (dup_name, new_index)); 
-	    row_by_index.push_back (dup_name);	    
-	    for (unsigned int j=0; j<var_names.size(); ++j) {
-	      NT val = (*(this->get_a()+j))[index];
-	      this->set_a (j, new_index, val);
-	    }
-	    // determine rhs for this new row. Here are the rules:
-	    // if r is the ranges value and b is the old right-hand 
-	    // side, then we have h <= constraint <= u according to
-	    // this table:
-	    //
-	    // row type       sign of r       h          u
-	    // ----------------------------------------------
-	    // G            + or -         b        b + |r|
-	    // L            + or -       b - |r|      b
-	    // E              +            b        b + |r|
-	    // E              -          b - |r|      b
-	  
-	    switch (type) {
-	    case CGAL::LARGER: // introduce "<= b+|r|" 
-	      this->set_r(new_index, CGAL::SMALLER);
-	      this->set_b(new_index, *(this->get_b()+index) + CGAL::abs(val));
-	      break;
-	    case CGAL::SMALLER:   // introduce ">=  b-|r|" 
-	      this->set_r(new_index, CGAL::LARGER);
-	      this->set_b(new_index, *(this->get_b()+index) - CGAL::abs(val));
-	      break;
-	    case CGAL::EQUAL:   
-	      if (CGAL_NTS is_positive (val)) {
-		// introduce "<= b+|r|"
-		this->set_r(new_index, CGAL::SMALLER);
-	      } else {
-		// introduce ">=  b-|r|"  
-		this->set_r(new_index, CGAL::LARGER);
-	      }
-	      this->set_b(new_index, *(this->get_b()+index) + val);
-	      break;
-	    default:
-	      CGAL_qpe_assertion(false);
-	    }  
-	  } else {
-	    this->warn1("range with identifier '%' ignored", ignored);
-	  }
-	}
+        // read number:
+        NT val;
+        if (!number(val))
+          return this->err1
+            ("number expected after '%' in this RANGES record",t);
+
+        // duplicate the constraint, depending on sign of val and type
+        // of constraint
+        const Index_map::const_iterator row_name = row_names.find(t);
+        if (row_name == row_names.end()) {
+          return this->err1("unknown row identifier '%' in section RANGES",t);
+        } else {
+          if (!ignore) {
+            int index = row_name->second;
+            CGAL::Comparison_result type = *(this->get_r()+index);
+            // duplicate the row, unless it has already been duplicated
+            const Index_map::const_iterator duplicated_row_name =
+              duplicated_row_names.find(t);
+            if (duplicated_row_name != duplicated_row_names.end())
+              return this->err1
+                ("duplicate row identifier '%' in section RANGES",t);
+            duplicated_row_names.insert(*row_name);
+            std::string dup_name = row_name->first+std::string("_DUPLICATED");
+            int new_index = this->get_m();
+            row_names.insert(String_int_pair (dup_name, new_index));
+            row_by_index.push_back (dup_name);
+            for (unsigned int j=0; j<var_names.size(); ++j) {
+              NT val = (*(this->get_a()+j))[index];
+              this->set_a (j, new_index, val);
+            }
+            // determine rhs for this new row. Here are the rules:
+            // if r is the ranges value and b is the old right-hand
+            // side, then we have h <= constraint <= u according to
+            // this table:
+            //
+            // row type       sign of r       h          u
+            // ----------------------------------------------
+            // G            + or -         b        b + |r|
+            // L            + or -       b - |r|      b
+            // E              +            b        b + |r|
+            // E              -          b - |r|      b
+
+            switch (type) {
+            case CGAL::LARGER: // introduce "<= b+|r|"
+              this->set_r(new_index, CGAL::SMALLER);
+              this->set_b(new_index, *(this->get_b()+index) + CGAL::abs(val));
+              break;
+            case CGAL::SMALLER:   // introduce ">=  b-|r|"
+              this->set_r(new_index, CGAL::LARGER);
+              this->set_b(new_index, *(this->get_b()+index) - CGAL::abs(val));
+              break;
+            case CGAL::EQUAL:
+              if (CGAL_NTS is_positive (val)) {
+                // introduce "<= b+|r|"
+                this->set_r(new_index, CGAL::SMALLER);
+              } else {
+                // introduce ">=  b-|r|"
+                this->set_r(new_index, CGAL::LARGER);
+              }
+              this->set_b(new_index, *(this->get_b()+index) + val);
+              break;
+            default:
+              CGAL_qpe_assertion(false);
+            }
+          } else {
+            this->warn1("range with identifier '%' ignored", ignored);
+          }
+        }
 
-	// determine if we need to read another number:
-	doItAgain = i==0 && !whitespace();
+        // determine if we need to read another number:
+        doItAgain = i==0 && !whitespace();
       }
-      
+
       // read next token:
       t = token();
     }
     put_token_back(t);
 
-    return true;   
+    return true;
   }
 
   bool bounds_section()
@@ -1385,91 +1385,91 @@ private:
       enum Bound_type { LO, UP, FX, FR, MI, PL};
       Bound_type type;
       if (t=="LO")
-	type = LO;
+        type = LO;
       else if (t=="UP")
-	type = UP;
+        type = UP;
       else if (t=="FX")
-	type = FX;
+        type = FX;
       else if (t=="FR")
-	type = FR;
+        type = FR;
       else if (t=="MI")
-	type = MI;
+        type = MI;
       else if (t=="PL")
-	type = PL;
-      else    
-	return
-	  this->err1
-	  ("expected 'LO', 'UP', 'FX', 'FR', 'MI', or 'PL' here but found '%'",
-	   t);
-    
+        type = PL;
+      else
+        return
+          this->err1
+          ("expected 'LO', 'UP', 'FX', 'FR', 'MI', or 'PL' here but found '%'",
+           t);
+
       // remember bound:
       const std::string bound = t;
 
       // find bound label; there may be several, but we only process
-      // the bounds having the first bound label that occurs. This 
+      // the bounds having the first bound label that occurs. This
       // label may be empty, though
-      t = token(); // bound label or variable name (case of empty bound label) 
+      t = token(); // bound label or variable name (case of empty bound label)
       if (bound_id.size() == 0) { // first time we see a bound label / variable?
-	const Index_map::const_iterator var_name = var_names.find(t);
-	if (var_name != var_names.end()) { // is the token a variable?
-	  bound_id = " ";    // there is no bound label
-	  put_token_back(t); // the variable name is processed below
-	} else
-	  bound_id = t; // we found a bound label
+        const Index_map::const_iterator var_name = var_names.find(t);
+        if (var_name != var_names.end()) { // is the token a variable?
+          bound_id = " ";    // there is no bound label
+          put_token_back(t); // the variable name is processed below
+        } else
+          bound_id = t; // we found a bound label
       } else {
-	// now we already know the bound label
-	if (bound_id == " ") // empty bound label? 
-	  put_token_back(t); // the variable name is processed below
-	else 
-	  if (t != bound_id) {
-	    this->warn1("ignoring all bounds for bound label '%'",t);
-	    this->warn1("(only bounds for bound label '%' are accepted)",
-			bound_id);
-	  }
+        // now we already know the bound label
+        if (bound_id == " ") // empty bound label?
+          put_token_back(t); // the variable name is processed below
+        else
+          if (t != bound_id) {
+            this->warn1("ignoring all bounds for bound label '%'",t);
+            this->warn1("(only bounds for bound label '%' are accepted)",
+                        bound_id);
+          }
       }
 
       // find variable name;
       t = token();
       const Index_map::const_iterator var_name = var_names.find(t);
       if (var_name == var_names.end()) // unknown variable?
-	return this->err1("unknown variable '%' in BOUNDS section",t);
+        return this->err1("unknown variable '%' in BOUNDS section",t);
       const unsigned int var_index = var_name->second;;
 
       // read value of bound, if appropriate:
       NT val;
       if (type==LO || type==UP || type==FX)
-	if (!number(val))
-	  return this->err2("expected number after '%' in % bound",t,bound);
+        if (!number(val))
+          return this->err2("expected number after '%' in % bound",t,bound);
 
       // store bound:
       switch (type) {
       case FX:
-	this->set_u (var_index, true, val);
-	CGAL_FALLTHROUGH;
+        this->set_u (var_index, true, val);
+        CGAL_FALLTHROUGH;
       case LO:
-	this->set_l (var_index, true, val);
-	break;
+        this->set_l (var_index, true, val);
+        break;
       case UP:
-	this->set_u (var_index, true, val);
-	if (val <= 0 && *(this->get_fl()+var_index) 
-	    && *(this->get_l()+var_index) == 0)
-	  if (val < 0)
-	    this->set_l(var_index, false);
-	break;
+        this->set_u (var_index, true, val);
+        if (val <= 0 && *(this->get_fl()+var_index)
+            && *(this->get_l()+var_index) == 0)
+          if (val < 0)
+            this->set_l(var_index, false);
+        break;
       case FR:
-	this->set_u(var_index, false);
-	this->set_l(var_index, false);
-	break;
+        this->set_u(var_index, false);
+        this->set_l(var_index, false);
+        break;
       case MI:
-	this->set_l(var_index, false);
-	break;
+        this->set_l(var_index, false);
+        break;
       case PL:
-	this->set_u(var_index, false);
-	break;
+        this->set_u(var_index, false);
+        break;
       default:
-	CGAL_qpe_assertion(false);
+        CGAL_qpe_assertion(false);
       }
-      
+
       // read next token:
       t = token();
     }
@@ -1484,7 +1484,7 @@ private:
     if (t!="QMATRIX" && t!="DMATRIX" && t!="QUADOBJ") { // optional
       put_token_back(t);
       return true;
-    }   
+    }
 
     // remember section name:
     D_section = t;
@@ -1496,50 +1496,50 @@ private:
       // find first variable name;
       const Index_map::const_iterator var1_name = var_names.find(t);
       if (var1_name == var_names.end()) // unknown variable?
-	return this->err2("unknown first variable '%' in '%' section", 
-			  t, D_section);
-      const unsigned int var1_index = var1_name->second;    
-      
+        return this->err2("unknown first variable '%' in '%' section",
+                          t, D_section);
+      const unsigned int var1_index = var1_name->second;
+
       // find second variable name;
       t = token();
       const Index_map::const_iterator var2_name = var_names.find(t);
       if (var2_name == var_names.end()) // unknown variable?
-	return this->err2("unknown second variable '%' in '%' section",
-			  t, D_section);
+        return this->err2("unknown second variable '%' in '%' section",
+                          t, D_section);
       const unsigned int var2_index = var2_name->second;;
-      
+
       // read value:
       NT val;
       if (!number(val))
-	return this->err2("expected number after '%' in section '%'",
-			  t, D_section);
+        return this->err2("expected number after '%' in section '%'",
+                          t, D_section);
 
       // multiply by two if approriate:
       if (multiply_by_two)
-	val *= NT(2);
+        val *= NT(2);
 
       // set entry in D:
       int i, j;
       if (var2_index <= var1_index) {
-	i = var1_index; j = var2_index;
+        i = var1_index; j = var2_index;
       } else {
-	i = var2_index; j = var1_index;
+        i = var2_index; j = var1_index;
       }
       // rule out that we previously put a different (nonzero) value at (i,j)
       NT old_val = (*(this->get_d()+i))[j];
       if (!CGAL::is_zero(old_val) && old_val != val)
-	return this->err3("nonsymmetric '%' section at variables '%' and '%'",
-			  D_section, var1_name->first, var2_name->first);
+        return this->err3("nonsymmetric '%' section at variables '%' and '%'",
+                          D_section, var1_name->first, var2_name->first);
       this->set_d(i, j, val);
 
       // read next token:
       t = token();
     }
     put_token_back(t);
- 
+
     return true;
   }
-  
+
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/QP_options.h 5.0.3-1/include/CGAL/QP_options.h
--- 5.0.2-3/include/CGAL/QP_options.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_options.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_options.h $
-// $Id: QP_options.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_options.h $
+// $Id: QP_options.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Bernd Gaertner <gaertner@inf.ethz.ch>
 
@@ -25,17 +25,17 @@
 
 namespace CGAL {
 
-enum Quadratic_program_pricing_strategy 
-{ 
+enum Quadratic_program_pricing_strategy
+{
   QP_CHOOSE_DEFAULT,
-  QP_DANTZIG, 
-  QP_FILTERED_DANTZIG, 
-  QP_PARTIAL_DANTZIG, 
+  QP_DANTZIG,
+  QP_FILTERED_DANTZIG,
+  QP_PARTIAL_DANTZIG,
   QP_PARTIAL_FILTERED_DANTZIG,
   QP_BLAND
 };
 
-class Quadratic_program_options 
+class Quadratic_program_options
 {
 public:
   // default constructor
@@ -47,11 +47,11 @@ public:
 
   // set/get verbosity
   // -----------------
-  int get_verbosity () const 
+  int get_verbosity () const
   {
     return verbosity_;
   }
-  void set_verbosity (int verbosity) 
+  void set_verbosity (int verbosity)
   {
     CGAL_qpe_assertion ( 0 <= verbosity && verbosity <= 5);
     verbosity_ = verbosity;
@@ -87,8 +87,8 @@ private:
   // ---------
   //    0: silent
   //    1: short iteration summary (recommened for the user)
-  // >= 2: output of internal details (not recommend for the user) 
-  int verbosity_;   
+  // >= 2: output of internal details (not recommend for the user)
+  int verbosity_;
 
   // pricing_strategy
   // ----------------
@@ -101,9 +101,9 @@ private:
 
 // output
 // ------
-inline 
-std::ostream& operator<< (std::ostream& o, 
-			  const Quadratic_program_options& options)
+inline
+std::ostream& operator<< (std::ostream& o,
+                          const Quadratic_program_options& options)
 {
   o << "   Verbosity:        " << options.get_verbosity() << "\n";
   o << "   Pricing strategy: ";
@@ -117,7 +117,7 @@ std::ostream& operator<< (std::ostream&
   case QP_FILTERED_DANTZIG:
     o << "QP_FILTERED_DANTZIG";
     break;
-  case QP_PARTIAL_DANTZIG: 
+  case QP_PARTIAL_DANTZIG:
     o << "QP_PARTIAL_FILTERED_DANTZIG";
     break;
   case QP_PARTIAL_FILTERED_DANTZIG:
diff -pruN 5.0.2-3/include/CGAL/QP_solution.h 5.0.3-1/include/CGAL/QP_solution.h
--- 5.0.2-3/include/CGAL/QP_solution.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solution.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solution.h $
-// $Id: QP_solution.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solution.h $
+// $Id: QP_solution.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer
 //               : Bernd Gaertner <gaertner@inf.ethz.ch>
@@ -42,7 +42,7 @@ class QP_solver;
 namespace QP_solution_detail {
   template <typename ET>
   class Quotient_normalizer;
-  
+
   template <typename ET>
   class Value_by_index;
 
@@ -54,12 +54,12 @@ namespace QP_solution_detail {
 }
 
 // global status type
-enum Quadratic_program_status 
-  { 
-    QP_UPDATE, 
-    QP_INFEASIBLE, 
-    QP_UNBOUNDED, 
-    QP_OPTIMAL 
+enum Quadratic_program_status
+  {
+    QP_UPDATE,
+    QP_INFEASIBLE,
+    QP_UNBOUNDED,
+    QP_OPTIMAL
   };
 
 // abstract base class of all QP-solvers
@@ -72,19 +72,19 @@ public:
   typedef  CGAL::Creator_2< ET, ET, Quotient<ET> >
   U_Quotient_creator;  // unnormalized quotient creator ET x ET -> (ET, ET)
 
-  typedef QP_solution_detail::Quotient_normalizer<ET> 
+  typedef QP_solution_detail::Quotient_normalizer<ET>
   Quotient_normalizer; // normalizer (ET, ET) -> (ET, ET)
 
-  typedef boost::function1< Quotient<ET>, ET > 
+  typedef boost::function1< Quotient<ET>, ET >
   Quotient_maker;
 
-  typedef std::vector<int> 
+  typedef std::vector<int>
   Indices;
 
-  typedef Indices::iterator    
+  typedef Indices::iterator
   Index_mutable_iterator;
 
-  typedef Indices::const_iterator    
+  typedef Indices::const_iterator
   Index_const_iterator;
 
   typedef typename QP_solution_detail::Value_by_index<ET> Value_by_index;
@@ -97,16 +97,16 @@ public:
   <Quotient_maker, Variable_numerator_iterator>
   Variable_value_iterator;
 
-  typedef typename QP_solution_detail::Unbounded_direction_by_index<ET> 
+  typedef typename QP_solution_detail::Unbounded_direction_by_index<ET>
   Unbounded_direction_by_index;
 
   typedef boost::transform_iterator
   <Unbounded_direction_by_index, boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t> >
   Unbounded_direction_iterator;
 
-  typedef typename QP_solution_detail::Lambda_by_index<ET> 
+  typedef typename QP_solution_detail::Lambda_by_index<ET>
   Lambda_by_index;
-  
+
   typedef boost::transform_iterator
   <Lambda_by_index, boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t> >
   Lambda_numerator_iterator;
@@ -117,7 +117,7 @@ public:
 
 public:
 
-  // virtual access functions to solution that will 
+  // virtual access functions to solution that will
   // be overridden by QP_solver below
 
   // Solution
@@ -125,12 +125,12 @@ public:
   virtual ET solution_numerator() const = 0;
   virtual ET solution_denominator() const = 0;
   Quotient<ET> solution( ) const
-  { 
-    // workaround to please Boost 1.33.1: 
+  {
+    // workaround to please Boost 1.33.1:
     ET n = solution_numerator();
     ET d = solution_denominator();
-    return 
-      boost::bind 
+    return
+      boost::bind
       (Quotient_normalizer(), boost::bind
        (U_Quotient_creator(), _1, _2))
       (n, d);
@@ -141,55 +141,55 @@ public:
 
   // Variable values
   // ---------------
-  virtual ET variable_numerator_value (int i) const = 0; 
+  virtual ET variable_numerator_value (int i) const = 0;
   virtual const ET& variables_common_denominator( ) const = 0;
   virtual int number_of_variables() const = 0;
 
   // value type ET
   Variable_numerator_iterator
   original_variables_numerator_begin( ) const
-  { return Variable_numerator_iterator 
-      (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(0), 
+  { return Variable_numerator_iterator
+      (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(0),
        Value_by_index(this));}
-				  
-    
+
+
   Variable_numerator_iterator
   original_variables_numerator_end  ( ) const
-  { return Variable_numerator_iterator 
-      (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(number_of_variables()) , 
-       Value_by_index(this));} 
+  { return Variable_numerator_iterator
+      (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(number_of_variables()) ,
+       Value_by_index(this));}
 
-  // value type Quotient<ET>   
+  // value type Quotient<ET>
   Variable_value_iterator
   original_variable_values_begin( ) const
   { return Variable_value_iterator
       (original_variables_numerator_begin(),
-       boost::bind 
-       (boost::bind 
-	(Quotient_normalizer(), boost::bind
-	 (U_Quotient_creator(), _1, _2)), _1, variables_common_denominator()));
+       boost::bind
+       (boost::bind
+        (Quotient_normalizer(), boost::bind
+         (U_Quotient_creator(), _1, _2)), _1, variables_common_denominator()));
   }
-    
+
   Variable_value_iterator
   original_variable_values_end  ( ) const
   { return Variable_value_iterator
       (original_variables_numerator_end(),
-       boost::bind 
-       (boost::bind 
-	(Quotient_normalizer(), boost::bind
-	 (U_Quotient_creator(), _1, _2)), _1, variables_common_denominator()));
+       boost::bind
+       (boost::bind
+        (Quotient_normalizer(), boost::bind
+         (U_Quotient_creator(), _1, _2)), _1, variables_common_denominator()));
   }
-    
+
   // Basic variables and constraints
   // -------------------------------
-  virtual Index_const_iterator 
+  virtual Index_const_iterator
   basic_original_variable_indices_begin() const = 0;
-  virtual Index_const_iterator 
+  virtual Index_const_iterator
   basic_original_variable_indices_end() const = 0;
   virtual int number_of_basic_original_variables() const = 0;
-  virtual Index_const_iterator 
+  virtual Index_const_iterator
   basic_constraint_indices_begin() const = 0;
-  virtual Index_const_iterator 
+  virtual Index_const_iterator
   basic_constraint_indices_end() const = 0;
   virtual int number_of_basic_constraints() const = 0;
 
@@ -197,16 +197,16 @@ public:
   // -------------
   virtual ET unbounded_direction_value(int i) const = 0;
 
-  Unbounded_direction_iterator unbounded_direction_begin() const 
-  { return Unbounded_direction_iterator 
-      (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(0), 
+  Unbounded_direction_iterator unbounded_direction_begin() const
+  { return Unbounded_direction_iterator
+      (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(0),
        Unbounded_direction_by_index(this));}
 
   // Returns the past-the-end iterator corresponding to
   // unbounded_direction_begin().
   Unbounded_direction_iterator unbounded_direction_end() const
-  { return Unbounded_direction_iterator 
-      (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(number_of_variables()), 
+  { return Unbounded_direction_iterator
+      (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(number_of_variables()),
        Unbounded_direction_by_index(this));}
 
 
@@ -216,16 +216,16 @@ public:
   virtual int number_of_constraints() const = 0;
 
   // value type ET
-  Lambda_numerator_iterator 
-  lambda_numerator_begin() const 
-  { return Lambda_numerator_iterator 
-      (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(0), 
+  Lambda_numerator_iterator
+  lambda_numerator_begin() const
+  { return Lambda_numerator_iterator
+      (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(0),
        Lambda_by_index(this));}
 
-  Lambda_numerator_iterator 
+  Lambda_numerator_iterator
   lambda_numerator_end() const
-  { return Lambda_numerator_iterator 
-      (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(number_of_constraints()), 
+  { return Lambda_numerator_iterator
+      (boost::counting_iterator<std::size_t,boost::use_default,std::ptrdiff_t>(number_of_constraints()),
        Lambda_by_index(this));}
 
   // value type Quotient<ET>
@@ -234,10 +234,10 @@ public:
   {
     return Lambda_iterator
      (lambda_numerator_begin(),
-      boost::bind 
-      (boost::bind 
+      boost::bind
+      (boost::bind
        (Quotient_normalizer(), boost::bind
-	(U_Quotient_creator(), _1, _2)), _1, variables_common_denominator()));
+        (U_Quotient_creator(), _1, _2)), _1, variables_common_denominator()));
   }
 
   Lambda_iterator
@@ -245,10 +245,10 @@ public:
   {
     return Lambda_iterator
      (lambda_numerator_end(),
-      boost::bind 
-      (boost::bind 
+      boost::bind
+      (boost::bind
        (Quotient_normalizer(), boost::bind
-	(U_Quotient_creator(), _1, _2)), _1, variables_common_denominator()));
+        (U_Quotient_creator(), _1, _2)), _1, variables_common_denominator()));
   }
 
   // destruction
@@ -258,9 +258,9 @@ public:
 
 
 // Quadratic_program_solution class: a handle for QP_solver_base<ET>
-// ----------------------------------------------------------------- 
+// -----------------------------------------------------------------
 template <class ET_>
-class Quadratic_program_solution: Handle_for<const QP_solver_base<ET_>*> 
+class Quadratic_program_solution: Handle_for<const QP_solver_base<ET_>*>
 {
 public:
   typedef ET_ ET;
@@ -282,11 +282,11 @@ public:
   // ------------
   typedef typename QP_solver_base<ET>::Unbounded_direction_iterator
   Unboundedness_certificate_iterator;
-  
-  typedef 
+
+  typedef
   typename QP_solver_base<ET>::Lambda_numerator_iterator
   Optimality_certificate_numerator_iterator;
-  
+
   typedef typename QP_solver_base<ET>::Lambda_iterator
   Optimality_certificate_iterator;
 
@@ -310,8 +310,8 @@ public:
   {
     *this = rhs;
   }
- 
-  Quadratic_program_solution& 
+
+  Quadratic_program_solution&
   operator= (const Quadratic_program_solution& sol)
   {
     if (this != &sol) {
@@ -328,13 +328,13 @@ public:
   }
 
 private:
-  const QP_solver_base<ET>* solver() const 
+  const QP_solver_base<ET>* solver() const
   {
     return *(this->Ptr());
   }
 
 public:
-  bool is_void() const 
+  bool is_void() const
   {
     return solver() == 0;
   }
@@ -382,7 +382,7 @@ public:
   }
 
   int number_of_iterations() const
-  { 
+  {
     CGAL_qpe_assertion_msg(!is_void(), "Solution not initialized");
     return solver()->iterations();
   }
@@ -453,7 +453,7 @@ public:
     return solver()->number_of_basic_constraints();
   }
 
-  Optimality_certificate_numerator_iterator 
+  Optimality_certificate_numerator_iterator
   optimality_certificate_numerators_begin() const
   {
     CGAL_qpe_assertion_msg(!is_void(), "Solution not initialized");
@@ -461,7 +461,7 @@ public:
     return solver()->lambda_numerator_begin();
   }
 
-  Optimality_certificate_numerator_iterator 
+  Optimality_certificate_numerator_iterator
   optimality_certificate_numerators_end() const
   {
     CGAL_qpe_assertion_msg(!is_void(), "Solution not initialized");
@@ -469,7 +469,7 @@ public:
     return solver()->lambda_numerator_end();
   }
 
-  Optimality_certificate_iterator 
+  Optimality_certificate_iterator
   optimality_certificate_begin() const
   {
     CGAL_qpe_assertion_msg(!is_void(), "Solution not initialized");
@@ -477,7 +477,7 @@ public:
     return solver()->lambda_begin();
   }
 
-  Optimality_certificate_iterator 
+  Optimality_certificate_iterator
   optimality_certificate_end() const
   {
     CGAL_qpe_assertion_msg(!is_void(), "Solution not initialized");
@@ -487,7 +487,7 @@ public:
 
   // infeasibility
   // -------------
-  Infeasibility_certificate_iterator 
+  Infeasibility_certificate_iterator
   infeasibility_certificate_begin() const
   {
     CGAL_qpe_assertion_msg(!is_void(), "Solution not initialized");
@@ -495,14 +495,14 @@ public:
     return solver()->lambda_numerator_begin();
   }
 
-  Infeasibility_certificate_iterator 
+  Infeasibility_certificate_iterator
   infeasibility_certificate_end() const
   {
     CGAL_qpe_assertion_msg(!is_void(), "Solution not initialized");
     CGAL_qpe_assertion(status() == QP_INFEASIBLE);
     return solver()->lambda_numerator_end();
   }
-  
+
   // unboundedness
   // -------------
   Unboundedness_certificate_iterator unboundedness_certificate_begin() const
@@ -524,12 +524,12 @@ private:
 
   // validity
   // --------
-  
+
   // error message returned by failing validation
   std::string err_msg;
 
   // the error message is set by the following function
-  bool error (const std::string& message) 
+  bool error (const std::string& message)
   {
     err_msg = message;
     return false;
@@ -550,86 +550,86 @@ public:
   // of all four program types; in case this fails, the solution becomes
   // invalid (and this explains why the methods are non-const)
   template <class QuadraticProgram>
-  bool solves_quadratic_program 
+  bool solves_quadratic_program
   (const QuadraticProgram& qp)
   { return solves_program(qp, Tag_false(), Tag_false()); }
 
   template <class LinearProgram>
-  bool solves_linear_program 
+  bool solves_linear_program
   (const LinearProgram& lp)
   { return solves_program(lp, Tag_true(), Tag_false()); }
 
   template <class NonnegativeQuadraticProgram>
-  bool solves_nonnegative_quadratic_program 
+  bool solves_nonnegative_quadratic_program
   (const NonnegativeQuadraticProgram& qp)
   { return solves_program(qp, Tag_false(), Tag_true()); }
 
   template <class NonnegativeLinearProgram>
-  bool solves_nonnegative_linear_program 
+  bool solves_nonnegative_linear_program
   (const NonnegativeLinearProgram& lp)
   { return solves_program(lp, Tag_true(), Tag_true()); }
 
   // helper used by all four validation methods above; see
-  // QP_solver/QP_solution_impl.h for its implementation 
+  // QP_solver/QP_solution_impl.h for its implementation
   template <class Program, typename Is_linear, typename Is_nonnegative>
-  bool solves_program (const Program& p, 
-		       Is_linear is_linear, Is_nonnegative is_nonnegative);
+  bool solves_program (const Program& p,
+                       Is_linear is_linear, Is_nonnegative is_nonnegative);
 
 private:
-  // helpers used by the previous method 
+  // helpers used by the previous method
   template <typename Program>
-  bool is_feasible (const Program& p, 
-		    typename std::vector<ET>& ax_minus_b,
-		    Tag_true /*is_nonnegative*/);
-  template <typename Program>
-  bool is_feasible (const Program& p, 
-		    typename std::vector<ET>& ax_minus_b,
-		    Tag_false /*is_nonnegative*/);
+  bool is_feasible (const Program& p,
+                    typename std::vector<ET>& ax_minus_b,
+                    Tag_true /*is_nonnegative*/);
+  template <typename Program>
+  bool is_feasible (const Program& p,
+                    typename std::vector<ET>& ax_minus_b,
+                    Tag_false /*is_nonnegative*/);
 
   template <typename Program>
   bool is_optimal_1 (const Program& p);
 
   template <typename Program>
-  bool is_optimal_2 (const Program& p, 
-		     const typename std::vector<ET>& ax_minus_b);
+  bool is_optimal_2 (const Program& p,
+                     const typename std::vector<ET>& ax_minus_b);
 
   template <typename Program>
   bool is_optimal_3 (const Program& p, typename std::vector<ET>& two_Dx,
-		     Tag_true /*is_linear*/, Tag_true /*is_nonnegative*/);
+                     Tag_true /*is_linear*/, Tag_true /*is_nonnegative*/);
   template <typename Program>
   bool is_optimal_3 (const Program& p, typename std::vector<ET>& two_Dx,
-		     Tag_false /*is_linear*/, Tag_true /*is_nonnegative*/);
+                     Tag_false /*is_linear*/, Tag_true /*is_nonnegative*/);
   template <typename Program>
   bool is_optimal_3 (const Program& p, typename std::vector<ET>& two_Dx,
-		     Tag_true /*is_linear*/, Tag_false /*is_nonnegative*/);
+                     Tag_true /*is_linear*/, Tag_false /*is_nonnegative*/);
   template <typename Program>
   bool is_optimal_3 (const Program& p, typename std::vector<ET>& two_Dx,
-		     Tag_false /*is_linear*/, Tag_false /*is_nonnegative*/);
+                     Tag_false /*is_linear*/, Tag_false /*is_nonnegative*/);
 
   template <typename Program>
   bool is_infeasible_1 (const Program& p);
 
   template <typename Program>
-  bool is_infeasible_2 (const Program& p, 
-			typename std::vector<ET>& lambda_a,
-			Tag_true /*is_nonnegative*/);
-  template <typename Program>
-  bool is_infeasible_2 (const Program& p, 
-			typename std::vector<ET>& lambda_a,
-			Tag_false /*is_nonnegative*/);
-
-  template <typename Program>
-  bool is_infeasible_3 (const Program& p, 
-			const typename std::vector<ET>& /*lambda_a*/,
-			Tag_true /*is_nonnegative*/); 
-  template <typename Program>
-  bool is_infeasible_3 (const Program& p, 
-			const typename std::vector<ET>& lambda_a,
-			Tag_false /*is_nonnegative*/);
- 
+  bool is_infeasible_2 (const Program& p,
+                        typename std::vector<ET>& lambda_a,
+                        Tag_true /*is_nonnegative*/);
+  template <typename Program>
+  bool is_infeasible_2 (const Program& p,
+                        typename std::vector<ET>& lambda_a,
+                        Tag_false /*is_nonnegative*/);
+
+  template <typename Program>
+  bool is_infeasible_3 (const Program& p,
+                        const typename std::vector<ET>& /*lambda_a*/,
+                        Tag_true /*is_nonnegative*/);
+  template <typename Program>
+  bool is_infeasible_3 (const Program& p,
+                        const typename std::vector<ET>& lambda_a,
+                        Tag_false /*is_nonnegative*/);
+
   template <typename Program>
   bool is_unbounded_1 (const Program& p);
- 
+
   template <typename Program>
   bool is_unbounded_2 (const Program& p, Tag_true /*is_nonnegative*/);
   template <typename Program>
@@ -641,41 +641,41 @@ private:
   bool is_unbounded_3 (const Program& p, Tag_false /*is_linear*/);
 
   template <typename Program>
-  bool is_value_correct 
-  (const Program& p, typename std::vector<ET>& /*two_Dx*/, 
-   Tag_true /*is_linear*/); 
-  
+  bool is_value_correct
+  (const Program& p, typename std::vector<ET>& /*two_Dx*/,
+   Tag_true /*is_linear*/);
+
   template <typename Program>
-  bool is_value_correct 
+  bool is_value_correct
   (const Program& p, typename std::vector<ET>& two_Dx,
-   Tag_false /*is_linear*/); 
+   Tag_false /*is_linear*/);
 
   template <typename Program>
-  bool are_constraints_feasible 
+  bool are_constraints_feasible
   (const Program& p, typename std::vector<ET>& ax);
 
   template <typename Program>
   bool are_bounds_feasible (const Program& p,  Tag_true /*is_nonnegative*/);
   template <typename Program>
   bool are_bounds_feasible (const Program& p,  Tag_false /*is_nonnegative*/);
-  
+
   template <typename Program, typename Z_iterator >
-  void add_Az 
+  void add_Az
   (const Program& p, Z_iterator z, typename std::vector<ET>& v);
 
   template <typename Program, typename Z_iterator >
-  void add_two_Dz 
+  void add_two_Dz
   (const Program& p, Z_iterator z, typename std::vector<ET>& v);
-  
+
   template <typename Program, typename Z_iterator >
-  void add_zA 
+  void add_zA
   (const Program& p, Z_iterator z, typename std::vector<ET>& v);
 
   template <typename Program>
   void add_c
   (const Program& p, typename std::vector<ET>& v);
 
-}; 
+};
 
 // output
 template <typename ET>
@@ -697,11 +697,11 @@ std::ostream& operator<<
   o << "objective value: " << s.objective_value() << "\n";
   o << "variable values:\n";
   int j=0;
-  for ( typename Quadratic_program_solution<ET>::Variable_value_iterator 
-	  it = s.variable_values_begin(); 
-	it < s.variable_values_end(); ++it, ++j)
+  for ( typename Quadratic_program_solution<ET>::Variable_value_iterator
+          it = s.variable_values_begin();
+        it < s.variable_values_end(); ++it, ++j)
     o << "  " << j << ": " << *it << "\n";
-  return o; 
+  return o;
 }
 
 // Details
@@ -712,51 +712,51 @@ namespace QP_solution_detail {
   class Quotient_normalizer {
   public:
     typedef CGAL::Quotient<ET> result_type;
-   
+
   private:
       typedef CGAL::Algebraic_structure_traits<ET> AST;
-      typedef typename AST::Algebraic_category Category; 
-    
+      typedef typename AST::Algebraic_category Category;
+
   public:
       typedef CGAL::Boolean_tag<
-      CGAL::is_same_or_derived<CGAL::Unique_factorization_domain_tag,Category>::value> 
+      CGAL::is_same_or_derived<CGAL::Unique_factorization_domain_tag,Category>::value>
       Has_gcd;
-    
+
       typedef CGAL::Boolean_tag<
-      CGAL::is_same_or_derived<CGAL::Integral_domain_tag,Category>::value> 
+      CGAL::is_same_or_derived<CGAL::Integral_domain_tag,Category>::value>
       Has_exact_division;
 
-    CGAL::Quotient<ET> normalize 
-    (const CGAL::Quotient<ET>& q, 
+    CGAL::Quotient<ET> normalize
+    (const CGAL::Quotient<ET>& q,
      Tag_true /*has_gcd*/,
      Tag_true /*has_exact_division*/) const
     {
       if (CGAL::is_zero (q.numerator()))
-	return CGAL::Quotient<ET>(ET(0), ET(1));
+        return CGAL::Quotient<ET>(ET(0), ET(1));
       ET gcd = CGAL::gcd (q.numerator(), q.denominator());
-      return CGAL::Quotient<ET> 
-	(CGAL::integral_division (q.numerator(), gcd),
-	 CGAL::integral_division (q.denominator(), gcd));
-    }  
+      return CGAL::Quotient<ET>
+        (CGAL::integral_division (q.numerator(), gcd),
+         CGAL::integral_division (q.denominator(), gcd));
+    }
 
-    CGAL::Quotient<ET> normalize 
-    (const CGAL::Quotient<ET>& q, 
+    CGAL::Quotient<ET> normalize
+    (const CGAL::Quotient<ET>& q,
      Tag_true /*has_gcd*/,
      Tag_false /*has_exact_division*/) const
     {
       return q;
     }
-  
-    CGAL::Quotient<ET> normalize 
-    (const CGAL::Quotient<ET>& q, 
+
+    CGAL::Quotient<ET> normalize
+    (const CGAL::Quotient<ET>& q,
      Tag_false /*has_gcd*/,
      Tag_true /*has_exact_division*/) const
     {
       return q;
     }
 
-    CGAL::Quotient<ET> normalize 
-    (const CGAL::Quotient<ET>& q, 
+    CGAL::Quotient<ET> normalize
+    (const CGAL::Quotient<ET>& q,
      Tag_false /*has_gcd*/,
      Tag_false /*has_exact_division*/) const
     {
@@ -782,12 +782,12 @@ namespace QP_solution_detail {
       : s (solver)
     {}
 
-    // returns value * denominator 
+    // returns value * denominator
     result_type operator () ( std::size_t i) const
     {
       return s->variable_numerator_value(static_cast<int>(i));
     }
-    
+
     const QP* s;
   };
 
@@ -808,7 +808,7 @@ namespace QP_solution_detail {
     {
       return s->unbounded_direction_value(static_cast<int>(i));
     }
-      
+
     const QP* s;
   };
 
@@ -829,7 +829,7 @@ namespace QP_solution_detail {
     {
       return s->lambda_numerator(static_cast<int>(i));
     }
-      
+
     const QP* s;
   };
 }
diff -pruN 5.0.2-3/include/CGAL/QP_solver/assertions.h 5.0.3-1/include/CGAL/QP_solver/assertions.h
--- 5.0.2-3/include/CGAL/QP_solver/assertions.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/assertions.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/assertions.h $
-// $Id: assertions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/assertions.h $
+// $Id: assertions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
-//                 Franz Wessendorp 
+//                 Franz Wessendorp
 //                 Kaspar Fischer
 
 #ifndef CGAL_QP_ASSERTIONS_H
diff -pruN 5.0.2-3/include/CGAL/QP_solver/basic.h 5.0.3-1/include/CGAL/QP_solver/basic.h
--- 5.0.2-3/include/CGAL/QP_solver/basic.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/basic.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/basic.h $
-// $Id: basic.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/basic.h $
+// $Id: basic.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
diff -pruN 5.0.2-3/include/CGAL/QP_solver/debug.h 5.0.3-1/include/CGAL/QP_solver/debug.h
--- 5.0.2-3/include/CGAL/QP_solver/debug.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/debug.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/debug.h $
-// $Id: debug.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/debug.h $
+// $Id: debug.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
-//                 Franz Wessendorp 
-//                 Kaspar Fischer 
+//                 Franz Wessendorp
+//                 Kaspar Fischer
 
 #ifndef CGAL_QP_DEBUG_H
 #define CGAL_QP_DEBUG_H
diff -pruN 5.0.2-3/include/CGAL/QP_solver/functors.h 5.0.3-1/include/CGAL/QP_solver/functors.h
--- 5.0.2-3/include/CGAL/QP_solver/functors.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/functors.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/functors.h $
-// $Id: functors.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/functors.h $
+// $Id: functors.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Sven Schoenherr 
+//
+// Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
-//                 Franz Wessendorp 
+//                 Franz Wessendorp
 //                 Kaspar Fischer
 
 #ifndef CGAL_QP_SOLVER_FUNCTORS_H
@@ -60,9 +60,9 @@ class QP_vector_accessor : public CGAL::
     int, typename std::iterator_traits<VectorIt>::value_type > {
 
   public:
-    typedef typename 
+    typedef typename
         CGAL::cpp98::unary_function<
-           int, 
+           int,
            typename std::iterator_traits<VectorIt>::value_type >::result_type
     result_type;
     QP_vector_accessor( VectorIt it, int lower = 0, int upper = 0)
@@ -71,9 +71,9 @@ class QP_vector_accessor : public CGAL::
 
     result_type  operator ( ) ( int i) const
     {
-	if ( check_lower && i <  l) return z;
-	if ( check_upper && i >= u) return z;
-	return v[ i];
+        if ( check_lower && i <  l) return z;
+        if ( check_upper && i >= u) return z;
+        return v[ i];
     }
 
   private:
@@ -92,36 +92,36 @@ template < class MatrixIt, bool check_1s
                            bool check_2nd_lower, bool check_2nd_upper >
 class QP_matrix_accessor {
 
-  public:    
+  public:
     typedef int argument1_type;
     typedef int argument2_type;
     typedef typename std::iterator_traits<MatrixIt>::value_type VectorIt;
     typedef typename std::iterator_traits<VectorIt>::value_type result_type;
 
     QP_matrix_accessor( MatrixIt it, int lower_1 = 0, int upper_1 = 0,
-			              int lower_2 = 0, int upper_2 = 0)
-	: z( 0), m( it)
+                                      int lower_2 = 0, int upper_2 = 0)
+        : z( 0), m( it)
     {
-	if ( check_1st_lower) l1 = lower_1;
-	if ( check_1st_upper) u1 = upper_1;
-	if ( check_2nd_lower) l2 = lower_2;
-	if ( check_2nd_upper) u2 = upper_2;
+        if ( check_1st_lower) l1 = lower_1;
+        if ( check_1st_upper) u1 = upper_1;
+        if ( check_2nd_lower) l2 = lower_2;
+        if ( check_2nd_upper) u2 = upper_2;
     }
 
     result_type  operator () ( int r, int c) const
     {
-	if ( check_1st_lower && ( r <  l1)) return z;
-	if ( check_1st_upper && ( r >= u1)) return z;
-	if ( check_2nd_lower && ( c <  l2)) return z;
-	if ( check_2nd_upper && ( c >= u2)) return z;
-	return VectorIt(m[ r])[ c];
+        if ( check_1st_lower && ( r <  l1)) return z;
+        if ( check_1st_upper && ( r >= u1)) return z;
+        if ( check_2nd_lower && ( c <  l2)) return z;
+        if ( check_2nd_upper && ( c >= u2)) return z;
+        return VectorIt(m[ r])[ c];
     }
 
   private:
     const result_type  z;
     MatrixIt           m;
     int   l1, u1, l2, u2;
-};		 		 
+};
 
 // ----------------------------------------------------------------------------
 
@@ -131,32 +131,32 @@ class QP_matrix_accessor {
 template < class MatrixIt, typename ResultType >
 class QP_matrix_pairwise_accessor {
   typedef  typename std::iterator_traits<MatrixIt>::value_type  VectorIt;
-  
+
 public:
   typedef int        argument_type;
   typedef ResultType result_type;
-  
+
   // The following default constructor is needed to make it possible
   // to use QP_matrix_pairwise_accessor with CGAL's Join_input_iterator_1
   // (more precisely: once Join_input_iterator_1 should not use an internal
   // mutable variable 'val' anymore, you can remove the following default
   // constructor).
   //QP_matrix_pairwise_accessor() {}
-  
+
   QP_matrix_pairwise_accessor( MatrixIt it, int row)
-    : m (it), v (*(it + row)), r (row)                                  
+    : m (it), v (*(it + row)), r (row)
   {}
-  
+
   ResultType operator () ( int c) const
   {
     // make sure that only entries on or below the diagonal are
     // accessed
     if (c <= r)
-      return ResultType(v[ c]); 
+      return ResultType(v[ c]);
     else
       return ResultType((*(m + c))[ r]);
   }
-  
+
 private:
   MatrixIt           m;
   VectorIt           v;
@@ -181,24 +181,24 @@ class Value_by_basic_index : public CGAL
     result_type;
 
     Value_by_basic_index( RndAccIt x_B_O_it, int n_original)
-	: o( x_B_O_it), s( x_B_O_it),
-	  l( n_original), u( n_original+0),
-	  z( 0)
-	{ }
+        : o( x_B_O_it), s( x_B_O_it),
+          l( n_original), u( n_original+0),
+          z( 0)
+        { }
 
     Value_by_basic_index( RndAccIt x_B_O_it, int n_original,
-			  RndAccIt x_B_S_it, int n_slack = 0)
-	: o( x_B_O_it), s( x_B_S_it),
-	  l( n_original), u( n_original+n_slack),
-	  z( 0)
-	{ }
+                          RndAccIt x_B_S_it, int n_slack = 0)
+        : o( x_B_O_it), s( x_B_S_it),
+          l( n_original), u( n_original+n_slack),
+          z( 0)
+        { }
 
     result_type  operator () ( int i) const
         {
-	    if ( i < 0) return z;
-	    if ( i >= l && i < u) return s[ i];
-	    return o[ i];
-	}
+            if ( i < 0) return z;
+            if ( i >= l && i < u) return s[ i];
+            return o[ i];
+        }
 
   private:
     RndAccIt     o, s;
@@ -243,7 +243,7 @@ public:
 private:
   const Map* map; // pointer to map
   mapped_type d;  // default value
-  
+
 public:
   // construction
   Map_with_default ()
@@ -262,7 +262,7 @@ public:
     d = other.d;
     return *this;
   }
-  
+
   // operator()
   const mapped_type& operator() (key_type n) const {
     CGAL_qpe_precondition (map != 0);
diff -pruN 5.0.2-3/include/CGAL/QP_solver/Initialization.h 5.0.3-1/include/CGAL/QP_solver/Initialization.h
--- 5.0.2-3/include/CGAL/QP_solver/Initialization.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/Initialization.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/Initialization.h $
-// $Id: Initialization.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/Initialization.h $
+// $Id: Initialization.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
-//                 Franz Wessendorp 
+//                 Franz Wessendorp
 //                 Kaspar Fischer
 
 #include<CGAL/QP_functions.h>
@@ -31,7 +31,7 @@ QP_solver(const Q& qp, const Quadratic_p
     is_RTS_transition(false),
     is_LP(check_tag(Is_linear())), is_QP(!is_LP),
     //no_ineq(check_tag(Has_equalities_only_and_full_rank())),
-    no_ineq(QP_functions_detail::is_in_equational_form(qp)), 
+    no_ineq(QP_functions_detail::is_in_equational_form(qp)),
     // may change after phase I
     has_ineq(!no_ineq),
     is_nonnegative(check_tag(Is_nonnegative()))
@@ -43,7 +43,7 @@ QP_solver(const Q& qp, const Quadratic_p
   set_verbosity(options.get_verbosity());
   // only if C_entry is double, we actually get filtered strategies,
   // otherwise we fall back to the respective non-filtered ones
-  set_pricing_strategy(options.get_pricing_strategy()); 
+  set_pricing_strategy(options.get_pricing_strategy());
 
   // Note: we first set the bounds and then call set() because set()
   // accesses qp_fl, qp_l, etc.
@@ -78,18 +78,18 @@ set(const Q& qp)
 {
   // assertions:
   CGAL_qpe_assertion(qp.get_n() >= 0);
-  CGAL_qpe_assertion(qp.get_m() >= 0); 
+  CGAL_qpe_assertion(qp.get_m() >= 0);
 
   // store QP
   qp_n = qp.get_n(); qp_m = qp.get_m();
-  qp_A = qp.get_a(); qp_b = qp.get_b(); qp_c = qp.get_c(); qp_c0 = qp.get_c0(); 
+  qp_A = qp.get_a(); qp_b = qp.get_b(); qp_c = qp.get_c(); qp_c0 = qp.get_c0();
 
   set_D(qp, Is_linear());
   qp_r = qp.get_r();
-  
+
   // set up slack variables and auxiliary problem
   // --------------------------------------------
-  
+
   // reserve memory for slack and artificial part of `A':
   if (has_ineq) {
     const unsigned int eq = static_cast<unsigned int>(std::count(qp_r, qp_r+qp_m, CGAL::EQUAL));
@@ -104,42 +104,42 @@ set(const Q& qp)
     init_x_O_v_i();
 
   set_up_auxiliary_problem();
-    
+
   e = static_cast<int>(qp_m-slack_A.size()); // number of equalities
   l = (std::min)(qp_n+e+1, qp_m);  // maximal size of basis in phase I
-  
+
   // diagnostic output:
   CGAL_qpe_debug {
     if (vout.verbose()) {
       if (vout2.verbose()) {
-	vout2.out() << "======" << std::endl
-		    << "Set-Up" << std::endl
-		    << "======" << std::endl;
+        vout2.out() << "======" << std::endl
+                    << "Set-Up" << std::endl
+                    << "======" << std::endl;
       }
     }
   }
   vout    << "[ " << (is_LP ? "LP" : "QP")
-	  << ", " << qp_n << " variables, " << qp_m << " constraints"
-	  << " ]" << std::endl;
-  CGAL_qpe_debug {   
+          << ", " << qp_n << " variables, " << qp_m << " constraints"
+          << " ]" << std::endl;
+  CGAL_qpe_debug {
       if (vout2.verbose() && (!slack_A.empty())) {
-	vout2.out() << " (" << slack_A.size() << " inequalities)";
+        vout2.out() << " (" << slack_A.size() << " inequalities)";
       }
       if (vout2.verbose()) {
-	if (has_ineq)
-	  vout2.out() << "flag: has inequalities or rank not full"
-		      << std::endl;
-	if (vout4.verbose()) print_program();
+        if (has_ineq)
+          vout2.out() << "flag: has inequalities or rank not full"
+                      << std::endl;
+        if (vout4.verbose()) print_program();
       }
   }
-  
+
   // set up pricing strategy:
   if (strategyP != static_cast< Pricing_strategy*>(0))
     strategyP->set(*this, vout2);
-  
+
   // set up basis inverse:
   inv_M_B.set(qp_n, qp_m, e);
-  
+
   // set phase:
   m_phase    = 0;
   is_phaseI  = false;
@@ -185,7 +185,7 @@ init_x_O_v_i()
   // constants for comparisions:
   const L_entry l0(0);
   const U_entry u0(0);
-  
+
   // our initial solution will have all original variables nonbasic,
   // and so we initialize them to zero (if the bound on the variable
   // allows it), or to the variable's lower or upper bound:
@@ -194,26 +194,26 @@ init_x_O_v_i()
 
     if (*(qp_fl+i))                    // finite lower bound?
       if (*(qp_fu+i))                  // finite lower and finite upper bound?
-	if (*(qp_l+i) == *(qp_u+i))    // fixed variable?
-	  x_O_v_i[i] = FIXED;
-	else                           // finite lower and finite upper?
-	  if (*(qp_l+i) <= l0 && u0 <= *(qp_u+i))
-	    x_O_v_i[i] = ZERO;
-	  else
-	    x_O_v_i[i] = LOWER;
+        if (*(qp_l+i) == *(qp_u+i))    // fixed variable?
+          x_O_v_i[i] = FIXED;
+        else                           // finite lower and finite upper?
+          if (*(qp_l+i) <= l0 && u0 <= *(qp_u+i))
+            x_O_v_i[i] = ZERO;
+          else
+            x_O_v_i[i] = LOWER;
       else                             // finite lower and infinite upper?
-	if (*(qp_l+i) <= l0)
-	  x_O_v_i[i] = ZERO;
-	else 
-	  x_O_v_i[i] = LOWER;
+        if (*(qp_l+i) <= l0)
+          x_O_v_i[i] = ZERO;
+        else
+          x_O_v_i[i] = LOWER;
     else                               // infinite lower bound?
       if (*(qp_fu+i))                  // infinite lower and finite upper?
-	if (u0 <= *(qp_u+i))
-	  x_O_v_i[i] = ZERO;
-	else
-	  x_O_v_i[i] = UPPER;
+        if (u0 <= *(qp_u+i))
+          x_O_v_i[i] = ZERO;
+        else
+          x_O_v_i[i] = UPPER;
       else                             // infinite lower and infinite upper?
-	x_O_v_i[i] = ZERO;
+        x_O_v_i[i] = ZERO;
   }
 }
 
@@ -228,19 +228,19 @@ set_up_auxiliary_problem()
 
   // TAG: TODO using variable i here, which is also the index of the entering
   // variable.
-  for (int i = 0; i < qp_m; ++i) {    
+  for (int i = 0; i < qp_m; ++i) {
     // Note: For nonstandard form problems, our initial solution is not the
     // zero vector (but the vector with values original_variable_value(i),
     // 0<=i<qp_n), and therefore, rhs=b-Ax is not simply b as in the standard
     // form case, but Ax_init-b:
     const ET rhs = check_tag(Is_nonnegative())?
     ET(*(qp_b+i)) : ET(*(qp_b+i)) - multiply__A_ixO(i);
-    
+
     if (has_ineq && (*(qp_r+i) != CGAL::EQUAL)) { // inequality constraint, so we
       // add a slack variable, and (if
       // needed) a special artificial
       if (*(qp_r+i) == CGAL::SMALLER) {        // '<='
-        
+
         // add special artificial ('< -0') in case the inequality is
         // infeasible for our starting point (which is the origin):
         if (rhs < et0) {
@@ -251,12 +251,12 @@ set_up_auxiliary_problem()
             b_max = -rhs;
           }
         }
-        
-        
+
+
         // slack variable:
         slack_A.push_back(std::make_pair(i, false));
       } else {                                 // '>='
-        
+
         // add special artificial ('> +0') in case the inequality is
         // infeasible for our starting point (which is the origin):
         if (rhs > et0) {
@@ -267,7 +267,7 @@ set_up_auxiliary_problem()
             b_max = rhs;
           }
         }
-        
+
         // store slack column
         slack_A.push_back(std::make_pair(i, true));
       }
@@ -298,9 +298,9 @@ set_up_auxiliary_problem()
   if (i_max >= 0) {
     art_s_i = i_max;                           // Note: the actual
     art_basic = i_max_absolute;                // initialization of art_s_i
-					       // will be done in init_basis()
-					       // below. We misuse art_s_i to
-					       // remember i_max and art_basic
+                                               // will be done in init_basis()
+                                               // below. We misuse art_s_i to
+                                               // remember i_max and art_basic
                                                // to remember i_max_absolute
   } else {                                     // no special art col needed
     art_s_i = -1;
@@ -315,10 +315,10 @@ init()
 {
   CGAL_qpe_debug {
     vout2 << std::endl
-	  << "==============" << std::endl
-	  << "Initialization" << std::endl
-	  << "==============" << std::endl;
-              
+          << "==============" << std::endl
+          << "Initialization" << std::endl
+          << "==============" << std::endl;
+
   }
 
   // set status:
@@ -330,10 +330,10 @@ init()
 
   // initial basis and basis inverse
   init_basis();
-    
+
   // initialize additional data members
   init_additional_data_members();
-        
+
   // initial solution
   init_solution();
 
@@ -347,10 +347,10 @@ init()
     // transition to phase II
     CGAL_qpe_debug {
       if (vout2.verbose()) {
-	vout2.out() << std::endl
-		    << "no artificial variables at all "
-		    << "--> skip phase I"
-		    << std::endl;
+        vout2.out() << std::endl
+                    << "no artificial variables at all "
+                    << "--> skip phase I"
+                    << std::endl;
       }
     }
     transition();
@@ -365,7 +365,7 @@ init_basis()
   int s_i = -1;
   int s_i_absolute = -1;
   const int s = static_cast<int>(slack_A.size());
-  
+
   // has special artificial column?
   if (!art_s.empty()) {
 
@@ -383,23 +383,23 @@ init_basis()
     // s_i conforms with the indexing of slack_A, and the sign of the +-1
     // entry is just the negative of the corresponding slackie; this explains
     // the second parameter of make_pair. But the index passed as the
-    // first parameter must refer to the ABSOLUTE index of the most 
+    // first parameter must refer to the ABSOLUTE index of the most
     // infeasible row. Putting s_i here is therefore a mistake unless
     // we only have equality constraints
-    
-    // art_A.push_back(std::make_pair(s_i, !slack_A[s_i].second)); 
+
+    // art_A.push_back(std::make_pair(s_i, !slack_A[s_i].second));
     CGAL_qpe_assertion(s_i_absolute >= 0);
     CGAL_qpe_assertion(s_i_absolute == slack_A[s_i].first);
     art_A.push_back(std::make_pair(s_i_absolute, !slack_A[s_i].second));
   }
-  
+
   // initialize indices of basic variables:
   if (!in_B.empty()) in_B.clear();
   in_B.reserve(qp_n+s+art_A.size());
   in_B.insert(in_B.end(), qp_n, -1);  // no original variable is basic
-  
+
   init_basis__slack_variables(s_i, no_ineq);
-    
+
   if (!B_O.empty()) B_O.clear();
   B_O.reserve(qp_n);                  // all artificial variables are basic
   for (int i = 0; i < static_cast<int>(art_A.size()); ++i) {
@@ -407,16 +407,16 @@ init_basis()
     in_B.push_back(i);
   }
   art_basic = static_cast<int>(art_A.size());
-  
+
   // initialize indices of 'basic' and 'nonbasic' constraints:
   if (!C.empty()) C.clear();
   init_basis__constraints(s_i, no_ineq);
-  
+
   // diagnostic output:
   CGAL_qpe_debug {
     if (vout.verbose()) print_basis();
   }
-  
+
   // initialize basis inverse (explain: 'art_s' not needed here (todo kf: don't
   // understand this note)):
   // BG: as we only look at the basic constraints, the fake column in art_A
@@ -434,22 +434,22 @@ init_basis__slack_variables( int, Tag_tr
 template < typename Q, typename ET, typename Tags >                                        // has ineq.
 void QP_solver<Q, ET, Tags>::
 init_basis__slack_variables(int s_i, Tag_false)  // Note: s_i-th inequality is
-						 // the most infeasible one,
-						 // see (C1).
+                                                 // the most infeasible one,
+                                                 // see (C1).
 {
   const int s = static_cast<int>(slack_A.size());
-  
+
   // reserve memory:
   if (!B_S.empty()) B_S.clear();
   B_S.reserve(s);
-  
+
   // all slack variables are basic, except the slack variable corresponding to
   // special artificial variable (which is nonbasic): (todo kf: I do not
   // understand this)
   // BG: the s_i-th inequality is the most infeasible one, and the i-th
   // inequality corresponds to the slackie of index qp_n + i
   for (int i = 0; i < s; ++i) // go through all inequalities
-    if (i != s_i) {           
+    if (i != s_i) {
       in_B.push_back(static_cast<typename Indices::value_type>(B_S.size()));
       B_S .push_back(i+qp_n);
     } else
@@ -474,7 +474,7 @@ init_basis__constraints( int, Tag_true)
 template < typename Q, typename ET, typename Tags >                                        // has ineq.
 void QP_solver<Q, ET, Tags>::
 init_basis__constraints(int s_i, Tag_false)  // Note: s_i-th inequality is the
-					     // most infeasible one, see (C1).
+                                             // most infeasible one, see (C1).
 {
   int i, j;
 
@@ -483,7 +483,7 @@ init_basis__constraints(int s_i, Tag_fal
   if (! S_B.empty())  S_B.clear();
   C.reserve(l);
   S_B.reserve(slack_A.size());
-  
+
   // store constraints' indices:
   in_C.insert(in_C.end(), qp_m, -1);
   if (s_i >= 0) s_i = slack_A[s_i].first;    // now s_i is absolute index
@@ -494,8 +494,8 @@ init_basis__constraints(int s_i, Tag_fal
       in_C[i] = j;
       ++j;
     } else {                                  // ineq. constraint nonbasic
-      if (i != s_i)                           // unless it's most infeasible 
-	S_B.push_back(i);
+      if (i != s_i)                           // unless it's most infeasible
+        S_B.push_back(i);
     }
     // now handle most infeasible inequality if any
   if (s_i >= 0) {
@@ -517,7 +517,7 @@ void  QP_solver<Q, ET, Tags>::
 init_r_C(Tag_false)
 {
   r_C.resize(C.size());
-  multiply__A_CxN_O(r_C.begin());  
+  multiply__A_CxN_O(r_C.begin());
 }
 
 // Initialize r_S_B.
@@ -533,7 +533,7 @@ void  QP_solver<Q, ET, Tags>::
 init_r_S_B(Tag_false)
 {
   r_S_B.resize(S_B.size());
-  multiply__A_S_BxN_O(r_S_B.begin()); 
+  multiply__A_S_BxN_O(r_S_B.begin());
 }
 
 template < typename Q, typename ET, typename Tags >  inline                                 // no ineq.
@@ -548,15 +548,15 @@ init_solution__b_C(Tag_true)
 template < typename Q, typename ET, typename Tags >  inline                                 // has ineq.
 void  QP_solver<Q, ET, Tags>::
 init_solution__b_C(Tag_false)
-{ 
+{
   b_C.insert(b_C.end(), l, et0);
   B_by_index_accessor  b_accessor(qp_b); // todo kf: is there some boost
-					 // replacement for this accessor?
+                                         // replacement for this accessor?
   typedef typename std::iterator_traits<B_by_index_iterator>::value_type RT;
   std::transform(B_by_index_iterator(C.begin(), b_accessor),
-		 B_by_index_iterator(C.end  (), b_accessor),
-		 b_C.begin(),
-		 NT_converter<RT,ET>());
+                 B_by_index_iterator(C.end  (), b_accessor),
+                 b_C.begin(),
+                 NT_converter<RT,ET>());
 }
 
 // initial solution
@@ -577,10 +577,10 @@ init_solution()
   CGAL_qpe_assertion(l >= static_cast<int>(art_A.size()));
   if (art_s_i > 0)
     minus_c_B[art_A.size()-1] *= ET(qp_n+qp_m); // Note: the idea here is to
-						// give more weight to the
-						// special artifical variable
-						// so that it gets removed very
-						// early, - todo kf: why?
+                                                // give more weight to the
+                                                // special artifical variable
+                                                // so that it gets removed very
+                                                // early, - todo kf: why?
 
   // ...and now aux_c: as we want to make all artificial variables (including
   // the special one) zero, we weigh these variables with >= 1 in the objective
@@ -615,7 +615,7 @@ init_solution()
   // touched; otherwise, it will be set to the correct value during
   // each pricing step.)
   direction = 1;
-    
+
   // initialization of vectors r_C, r_S_B:
   init_r_C(Is_nonnegative());
   init_r_S_B(Is_nonnegative());
@@ -643,14 +643,14 @@ init_additional_data_members()
   A_Cj.insert(A_Cj.end(), l, et0);
   if (!two_D_Bj.empty()) two_D_Bj.clear();
   two_D_Bj.insert(two_D_Bj.end(), l, et0);
-  
+
   if (!q_lambda.empty()) q_lambda.clear();
   q_lambda.insert(q_lambda.end(), l, et0);
   if (!q_x_O.empty()) q_x_O.clear();
   q_x_O.insert(q_x_O.end(), l, et0);
   if (!q_x_S.empty()) q_x_S.clear();
   q_x_S.insert(q_x_S.end(), slack_A.size(), et0);
-  
+
   if (!tmp_l.empty()) tmp_l.clear();
   tmp_l.insert(tmp_l.end(), l, et0);
   if (!tmp_l_2.empty()) tmp_l_2.clear();
diff -pruN 5.0.2-3/include/CGAL/QP_solver/QP_basis_inverse.h 5.0.3-1/include/CGAL/QP_solver/QP_basis_inverse.h
--- 5.0.2-3/include/CGAL/QP_solver/QP_basis_inverse.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/QP_basis_inverse.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/QP_basis_inverse.h $
-// $Id: QP_basis_inverse.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/QP_basis_inverse.h $
+// $Id: QP_basis_inverse.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
-//                 Franz Wessendorp 
-//                 Kaspar Fischer 
-                                                                               
+//                 Franz Wessendorp
+//                 Kaspar Fischer
+
 #ifndef CGAL_QP_SOLVER_QP_BASIS_INVERSE_H
 #define CGAL_QP_SOLVER_QP_BASIS_INVERSE_H
 
@@ -24,7 +24,7 @@
 #include <vector>
 
 namespace CGAL {
-                    
+
 // =================
 // class declaration
 // =================
@@ -44,7 +44,7 @@ class QP_basis_inverse {
                                         Self;
 
   private:
-    
+
     // private types
     typedef std::vector<ET>             Row;
     typedef std::vector<Row>            Matrix;
@@ -65,7 +65,7 @@ class QP_basis_inverse {
 
     // set-up
     void  set( int n, int m, int nr_equalities);
-    
+
     // init
     template < class InputIterator >                            // phase I
     void  init_( unsigned int art_size, InputIterator art_first);
@@ -95,95 +95,95 @@ class QP_basis_inverse {
     void  multiply( ForwardIterator v_l_it, ForwardIterator v_x_it,
                      OutputIterator y_l_it,  OutputIterator y_x_it) const
         { multiply( v_l_it, v_x_it, y_l_it, y_x_it, Is_LP(), Tag_true()); }
-    
+
     // special matrix-vector multiplication functions for LPs
     template < class ForwardIterator, class OutputIterator >  inline
     void  multiply_l( ForwardIterator v_x_it, OutputIterator y_l_it) const
         { CGAL_qpe_assertion( is_LP || is_phaseI);
           multiply__l( v_x_it, y_l_it); }
-    
+
     template < class ForwardIterator, class OutputIterator >  inline
     void  multiply_x( ForwardIterator v_l_it, OutputIterator y_x_it) const
         { CGAL_qpe_assertion( is_LP || is_phaseI);
-	  multiply__x( v_l_it, y_x_it); }
-    
+          multiply__x( v_l_it, y_x_it); }
+
     // vector-matrix multiplication ( x^T = u^T M )
     template < class ForwardIterator, class OutputIterator >  inline
     void  multiply_transposed( ForwardIterator u_l_it, ForwardIterator u_x_it,
                                 OutputIterator x_l_it,  OutputIterator x_x_it)
                                                                           const
         { multiply( u_l_it, u_x_it, x_l_it, x_x_it); } // M_B^{-1} is symmetric
-    
+
     // special vector-matrix multiplication functions for LPs
     template < class ForwardIterator, class OutputIterator >  inline
     void  multiply_transposed_l( ForwardIterator u_x_it,
                                   OutputIterator x_l_it) const
         { multiply_l( u_x_it, x_l_it); }        // Note: M_B^{-1} is symmetric
-    
+
     template < class ForwardIterator, class OutputIterator >  inline
     void  multiply_transposed_x( ForwardIterator u_l_it,
                                   OutputIterator x_x_it) const
         { multiply_x( u_l_it, x_x_it); }        // Note: M_B^{-1} is symmetric
-    
+
     // vector-vector multiplication ( y = u^T v )
     template < class InputIterator1, class InputIterator2 >  inline
     typename std::iterator_traits<InputIterator1>::value_type
     inner_product( InputIterator1 u_l_it, InputIterator1 u_x_it,
-		   InputIterator2 v_l_it, InputIterator2 v_x_it) const
+                   InputIterator2 v_l_it, InputIterator2 v_x_it) const
         { return inner_product_l( u_l_it, v_l_it)
-	       + inner_product_x( u_x_it, v_x_it); }
-    
+               + inner_product_x( u_x_it, v_x_it); }
+
     template < class InputIterator1, class InputIterator2 >  inline
     typename std::iterator_traits<InputIterator1>::value_type
     inner_product_l( InputIterator1 u_l_it, InputIterator2 v_l_it) const
         { return inner_product( u_l_it, v_l_it, s); }
-    
+
     template < class InputIterator1, class InputIterator2 >  inline
     typename std::iterator_traits<InputIterator1>::value_type
     inner_product_x( InputIterator1 u_x_it, InputIterator2 v_x_it) const
         { return inner_product( u_x_it, v_x_it, b); }
-	
-    
+
+
     // update functions
     // ----------------
     // entering of original variable (update type U1)
     template < class ForwardIterator >
     void  enter_original_( ForwardIterator y_l_it,
-			   ForwardIterator y_x_it, const ET& z);
-    
+                           ForwardIterator y_x_it, const ET& z);
+
     // leaving of original variable (update type U2)
     void  leave_original( );
-    
+
     // entering of slack variable (update type U3)
     void  enter_slack( );
 
     // leaving of slack variable (update type U4)
     template < class ForwardIterator >
     void  leave_slack_( ForwardIterator u_x_it);
-    
+
     // replacing of original by original variable (update type U5)
     template < class ForwardIterator >
     void  enter_original_leave_original_( ForwardIterator y, unsigned int k);
-    
+
     // replacing of slack by slack variable (update type U6)
     template < class ForwardIterator >
     void  enter_slack_leave_slack_( ForwardIterator u, unsigned int k);
-    
+
     // replacing of slack by original variable (update type U7)
     template < class ForwardIterator1, class ForwardIterator2 >
     void  enter_original_leave_slack_( ForwardIterator1 y, ForwardIterator2 u);
-    
+
     // replacing of original by slack variable (update type U8)
     void  enter_slack_leave_original( );
-    
-    
+
+
     // replacing of original by original variable with precondition in QP-case
     // for phaseII                               (update type UZ_1)
     template < class ForwardIterator >
     void  z_replace_original_by_original(ForwardIterator y_l_it,
                                          ForwardIterator y_x_it,
                                          const ET& s_delta, const ET& s_nu,
-					                     unsigned int k_i);
+                                                             unsigned int k_i);
 
 
     // replacing of original by slack variable with precondition in QP-case
@@ -196,20 +196,20 @@ class QP_basis_inverse {
     template < class ForwardIterator >
     void  z_replace_slack_by_original(ForwardIterator y_l_it,
                                       ForwardIterator y_x_it,
-				      ForwardIterator u_x_it, const ET& hat_kappa,
-				      const ET& hat_nu);
+                                      ForwardIterator u_x_it, const ET& hat_kappa,
+                                      const ET& hat_nu);
 
 
     // replacing of slack by slack variable with precondition in QP-case
     // for phaseII                               (update type UZ_4)
     template < class ForwardIterator >
     void  z_replace_slack_by_slack(ForwardIterator u_x_it, unsigned int k_j);
-    
+
 
     // copying of reduced basis inverse row in (upper) C-half
     template < class OutIt >
     void  copy_row_in_C(OutIt y_l_it, OutIt y_x_it, unsigned int k);
-    
+
     // copying of reduced basis inverse row in (lower) B_O-half
     template < class OutIt >
     void  copy_row_in_B_O(OutIt y_l_it, OutIt y_x_it, unsigned int k);
@@ -218,16 +218,16 @@ class QP_basis_inverse {
     // swap functions
     void  swap_variable( unsigned int j)                // ``to the end'' of R
         { CGAL_qpe_assertion( j < b);
-	  swap_variable( j, Is_LP()); }
+          swap_variable( j, Is_LP()); }
     void  swap_constraint( unsigned int i)              // ``to the end'' of P
         { CGAL_qpe_assertion( i < s);
-	  swap_constraint( i, Is_LP()); }
+          swap_constraint( i, Is_LP()); }
 
   private:
-    
+
     // constants
     const ET                 et0, et1, et2;
-                                        
+
     // data members
     Matrix                   M;         // basis inverse, stored row-wise
     ET                       d;         // denominator
@@ -243,7 +243,7 @@ class QP_basis_inverse {
 
     CGAL::Verbose_ostream&   vout;      // used for diagnostic output
 
-    Row                      x_l, tmp_l;  // used in the 
+    Row                      x_l, tmp_l;  // used in the
     Row                      x_x, tmp_x;  // update functions
 
     // private member functions
@@ -260,17 +260,17 @@ class QP_basis_inverse {
 
     // access
     const ET&  entry( unsigned int row,
-		      unsigned int column, Tag_false) const;    // QP case
+                      unsigned int column, Tag_false) const;    // QP case
     const ET&  entry( unsigned int row,
-		      unsigned int column, Tag_true ) const;    // LP case
+                      unsigned int column, Tag_true ) const;    // LP case
 
     // matrix-vector multiplication
     template < class ForIt, class OutIt, class Use1stArg >      // QP case
     void  multiply_( ForIt v_l_it, ForIt v_x_it,
-		     OutIt y_l_it, OutIt y_x_it, Tag_false, Use1stArg) const;
+                     OutIt y_l_it, OutIt y_x_it, Tag_false, Use1stArg) const;
     template < class ForIt, class OutIt, class  DummyArg >      // LP case
     void  multiply_( ForIt v_l_it, ForIt v_x_it,
-		     OutIt y_l_it, OutIt y_x_it, Tag_true,   DummyArg) const;
+                     OutIt y_l_it, OutIt y_x_it, Tag_true,   DummyArg) const;
 
     // special matrix-vector multiplication functions for LPs
     template < class ForIt, class OutIt >
@@ -281,26 +281,26 @@ class QP_basis_inverse {
     // in-place update
     template < class ForIt >                                    // QP case
     void  update_inplace_QP_( ForIt  y_l_it, ForIt  y_x_it,
-			      const ET&  d_new, const ET&  d_old);
+                              const ET&  d_new, const ET&  d_old);
     template < class ForIt1, class ForIt2 >                     // LP case
     void  update_inplace_LP_( ForIt1 x_x_it, ForIt2 y_x_it,
-			      const ET&  d_new, const ET&  d_old);
-			      
+                              const ET&  d_new, const ET&  d_old);
+
     template < class ForIt >                                  // QP case only
     void  z_update_inplace( ForIt psi1_l_it, ForIt psi1_x_it,
                             ForIt psi2_l_it, ForIt psi2_x_it,
-			    const ET& omega0, const ET& omega1,
-			    const ET& omega2, const ET& omega3); 
+                            const ET& omega0, const ET& omega1,
+                            const ET& omega2, const ET& omega3);
 
     void  update_entry( ET& entry,   const ET& d_new,
-			const ET& y, const ET& d_old) const;
+                        const ET& y, const ET& d_old) const;
 
     // swap functions
     void  swap_variable  ( unsigned int, Tag_true );            // LP case
     void  swap_variable  ( unsigned int, Tag_false);            // QP case
     void  swap_constraint( unsigned int, Tag_true );            // LP case
-    void  swap_constraint( unsigned int, Tag_false);            // QP case	
-    
+    void  swap_constraint( unsigned int, Tag_false);            // QP case
+
     // diagnostic output
     void  print( );
 
@@ -319,25 +319,25 @@ class QP_basis_inverse {
     void
     init( unsigned int art_size, InputIterator art_first)
     {
-	CGAL_qpe_assertion_msg( art_size <= l, \
-	    "There are more equality constraints than original variables!");
+        CGAL_qpe_assertion_msg( art_size <= l, \
+            "There are more equality constraints than original variables!");
 
         init( art_size, art_first, Is_LP());
-	d = et1;
+        d = et1;
         CGAL_qpe_assertion( s == art_size);
         CGAL_qpe_assertion( b == art_size);
 
-	is_phaseI  = true;
-	is_phaseII = false;
+        is_phaseI  = true;
+        is_phaseII = false;
 
         if ( x_x.size() < art_size) {
             x_x.insert( x_x.end(), art_size-x_x.size(), et0);
         }
-	
+
         if ( tmp_x.size() < art_size) {
             tmp_x.insert( tmp_x.end(), art_size-tmp_x.size(), et0);
         }
-        
+
         CGAL_qpe_debug {
             if ( vout.verbose()) print();
         }
@@ -347,77 +347,77 @@ class QP_basis_inverse {
     template < class InputIterator >                            // QP case
     void  transition( InputIterator twice_D_it)
     {
-	typename Matrix::iterator  m_it1, m_it2, p_begin, r_begin;
-	typename Row   ::iterator  x_it;
-	unsigned int      row, col;
-
-	// fill missing rows
-	for (row= 0; row< s; ++ row) {
-	    CGAL_qpe_assertion(M[row].size()==0);
-	    M[row].insert(M[row].end(), row+1, et0);
-	}
-
-	// compute new basis inverse [ upper-left part: -(Q^T * 2 D_B * Q) ]
-	// -----------------------------------------------------------------
-	// compute 'Q^T * 2 D_B' ( Q = A_B^-1 )	
-	p_begin = M.begin();
-	r_begin = M.begin();
-	if (b > 0) r_begin += l+s-1;   	// initialize only if for loops 
-					// are entered
-	for ( col = 0; col < b; ++col, ++twice_D_it) {
+        typename Matrix::iterator  m_it1, m_it2, p_begin, r_begin;
+        typename Row   ::iterator  x_it;
+        unsigned int      row, col;
+
+        // fill missing rows
+        for (row= 0; row< s; ++ row) {
+            CGAL_qpe_assertion(M[row].size()==0);
+            M[row].insert(M[row].end(), row+1, et0);
+        }
+
+        // compute new basis inverse [ upper-left part: -(Q^T * 2 D_B * Q) ]
+        // -----------------------------------------------------------------
+        // compute 'Q^T * 2 D_B' ( Q = A_B^-1 )
+        p_begin = M.begin();
+        r_begin = M.begin();
+        if (b > 0) r_begin += l+s-1;           // initialize only if for loops
+                                        // are entered
+        for ( col = 0; col < b; ++col, ++twice_D_it) {
             ++p_begin;
 
-	    // get column of D (D symmetric)
-	    std::copy( *twice_D_it, *twice_D_it+b, x_l.begin());
+            // get column of D (D symmetric)
+            std::copy( *twice_D_it, *twice_D_it+b, x_l.begin());
+
+            // compute 'Q^T * 2 D_Bj'
+            multiply__l( x_l.begin(), x_x.begin());
+
+            // store resulting column in 'P' and 'R'
+            x_it  = x_x.begin();
+            m_it2 = r_begin;
+            for ( row = l+col; row >= l; --row, --m_it2, ++x_it) {
+                (*m_it2)[ row] = *x_it;
+            }
+            m_it1 = p_begin;
+            for ( row = col+1; row <  s; ++row, ++m_it1, ++x_it) {
+                (*m_it1)[ col] = *x_it;
+            }
+        }
+
+        // compute '(Q^T * 2 D_B) * Q' ( Q = A_B^-1 )
+        m_it1 = M.begin();
+        m_it2 = r_begin;
+        for ( row = 0; row < s; ++row, ++m_it1, --m_it2) {
+
+            // get row of '(Q^T * 2 D_B)' (stored in 'P' and 'R')
+            std::copy(m_it1->begin()  ,m_it1->begin()+row,    x_l.begin());
+            std::copy(m_it2->begin()+l,m_it2->begin()+(l+b-row),
+                    x_l.begin()+row);
+
+            // compute '(Q^T * 2 D_B)_i * Q'
+            multiply__l( x_l.begin(), x_x.begin());
+
+            // negate and store result in 'P'
+            std::transform( x_x.begin(), x_x.begin()+row+1,
+                            m_it1->begin(), std::negate<ET>());
 
-	    // compute 'Q^T * 2 D_Bj'
-	    multiply__l( x_l.begin(), x_x.begin());
+            // clean up in 'R'
+            std::fill_n( m_it2->begin()+l, b-row, et0);
+        }
 
-	    // store resulting column in 'P' and 'R'
-	    x_it  = x_x.begin();
-	    m_it2 = r_begin;
-	    for ( row = l+col; row >= l; --row, --m_it2, ++x_it) {
-		(*m_it2)[ row] = *x_it;
-	    }
-	    m_it1 = p_begin;
-	    for ( row = col+1; row <  s; ++row, ++m_it1, ++x_it) {
-		(*m_it1)[ col] = *x_it;
-	    }
-	}
-
-	// compute '(Q^T * 2 D_B) * Q' ( Q = A_B^-1 )
-	m_it1 = M.begin();
-	m_it2 = r_begin;
-	for ( row = 0; row < s; ++row, ++m_it1, --m_it2) {
-
-	    // get row of '(Q^T * 2 D_B)' (stored in 'P' and 'R')
-	    std::copy(m_it1->begin()  ,m_it1->begin()+row,    x_l.begin());
-	    std::copy(m_it2->begin()+l,m_it2->begin()+(l+b-row),
-	    	x_l.begin()+row);
-
-	    // compute '(Q^T * 2 D_B)_i * Q'
-	    multiply__l( x_l.begin(), x_x.begin());
-
-	    // negate and store result in 'P'
-	    std::transform( x_x.begin(), x_x.begin()+row+1,
-			    m_it1->begin(), std::negate<ET>());
-
-	    // clean up in 'R'
-	    std::fill_n( m_it2->begin()+l, b-row, et0);
-	}
-
-	// scale A_B^-1
-	m_it1 = M.begin()+l;
-	for ( row = 0; row < s; ++row, ++m_it1) {
-	    std::transform( m_it1->begin(), m_it1->begin()+s, m_it1->begin(),
-			    boost::bind2nd( std::multiplies<ET>(), d));
-	}
+        // scale A_B^-1
+        m_it1 = M.begin()+l;
+        for ( row = 0; row < s; ++row, ++m_it1) {
+            std::transform( m_it1->begin(), m_it1->begin()+s, m_it1->begin(),
+                            boost::bind2nd( std::multiplies<ET>(), d));
+        }
 
-	// new denominator: |det(A_B)|^2
-	d *= d;
+        // new denominator: |det(A_B)|^2
+        d *= d;
 
-	// update status
-	transition();
+        // update status
+        transition();
     }
 
     // update functions
@@ -430,7 +430,7 @@ class QP_basis_inverse {
     {
         // assert QP case
         Assert_compile_time_tag( Tag_false(), Is_LP());
-    
+
         // update matrix in-place
         // ----------------------
         // handle sign of new denominator
@@ -439,13 +439,13 @@ class QP_basis_inverse {
 
         // update matrix
         update_inplace_QP( y_l_it, y_x_it, z, ( z_neg ? -d : d));
-                                                                      
+
         // append new row and column ("after R")
         // -------------------------------------
         typename Row::iterator  row_it;
-	ForwardIterator           y_it;
+        ForwardIterator           y_it;
         unsigned int            col, k = l+(++b);
-    
+
 //      // allocate new row, if necessary
 //      // BG: replaced this by the ensure_physical_row construct below
 //      if ( k <= M.size()) {
@@ -453,11 +453,11 @@ class QP_basis_inverse {
 //      } else {
 //           row_it = M.insert( M.end(), Row( k, et0))->begin();
 //           x_x.push_back( et0);
-// 	     tmp_x.push_back( et0);
+//              tmp_x.push_back( et0);
 //      }
-	ensure_physical_row(k-1);
-	row_it = M[ k-1].begin();
-    
+        ensure_physical_row(k-1);
+        row_it = M[ k-1].begin();
+
         // store entries in new row
         for (   col = 0,                              y_it = y_l_it;
                 col < s;
@@ -470,17 +470,17 @@ class QP_basis_inverse {
             *row_it = ( z_neg ? *y_it : -( *y_it));
         }
         *row_it = ( z_neg ? -d : d);
-    
+
         // store new denominator
-	// ---------------------
+        // ---------------------
         d = ( z_neg ? -z : z);
         CGAL_qpe_assertion( d > et0);
-    
+
         CGAL_qpe_debug {
             if ( vout.verbose()) print();
         }
     }
-    
+
     // leaving of slack variable (update type U4)
     template < class ForwardIterator >
     void
@@ -488,54 +488,54 @@ class QP_basis_inverse {
     {
         // assert QP case
         Assert_compile_time_tag( Tag_false(), Is_LP());
-    
+
         // update matrix in-place
         // ----------------------
         // compute new row/column of basis inverse
         multiply( u_x_it,                               // dummy (not used)
-		  u_x_it, x_l.begin(), x_x.begin(),
-		  Tag_false(),                          // QP
-		  Tag_false());                         // ignore 1st argument
+                  u_x_it, x_l.begin(), x_x.begin(),
+                  Tag_false(),                          // QP
+                  Tag_false());                         // ignore 1st argument
         ET    z     = -inner_product_x( x_x.begin(), u_x_it);
         bool  z_neg = ( z < et0);
         CGAL_qpe_assertion( z != et0);
-    
+
         // update matrix
         update_inplace_QP( x_l.begin(), x_x.begin(), z, ( z_neg ? -d : d));
-                                                                      
+
         // insert new row and column ("after P")
         // -------------------------------------
         typename Row   ::iterator  row_it, x_it;
         typename Matrix::iterator  col_it;
         unsigned int               col, k = l+b;
-    
+
         // store entries in new row
-	if (M[s].size()==0) {
-	   // row has to be filled first
-	   M[s].insert(M[s].end(), s+1, et0);
-	}
+        if (M[s].size()==0) {
+           // row has to be filled first
+           M[s].insert(M[s].end(), s+1, et0);
+        }
         for (   col = 0,   row_it = M[ s].begin(),        x_it = x_l.begin();
                 col < s;
               ++col,     ++row_it,                      ++x_it              ) {
             *row_it = ( z_neg ? *x_it : -( *x_it));
         }
         *row_it = ( z_neg ? -d : d);
-    
+
         for (   col = l,   col_it = M.begin()+l,          x_it = x_x.begin();
                 col < k;
               ++col,     ++col_it,                      ++x_it              ) {
             (*col_it)[ s] = ( z_neg ? *x_it : -( *x_it));
         }
         ++s;
-    
+
         // store new denominator
-	// ---------------------
+        // ---------------------
         d = ( z_neg ? -z : z);
         CGAL_qpe_assertion( d > et0);
-    
+
         CGAL_qpe_debug {
             if ( vout.verbose()) print();
-	}
+        }
     }
 
     // replacing of original variable (update type U5) [ replace column ]
@@ -544,8 +544,8 @@ class QP_basis_inverse {
     enter_original_leave_original( RandomAccessIterator y_x_it, unsigned int k)
     {
         // assert LP case or phase I
-	CGAL_qpe_assertion( is_LP || is_phaseI);
-	CGAL_qpe_assertion( k < b);
+        CGAL_qpe_assertion( is_LP || is_phaseI);
+        CGAL_qpe_assertion( k < b);
 
         // update matrix in place
         // ----------------------
@@ -557,60 +557,60 @@ class QP_basis_inverse {
         bool  z_neg = ( z < et0);
         if ( z_neg) d = -d;
 
-	// QP (in phase I)?
-	matrix_it = M.begin();
-	if ( is_QP) matrix_it += l;
-	row_k = ( matrix_it+k)->begin();
+        // QP (in phase I)?
+        matrix_it = M.begin();
+        if ( is_QP) matrix_it += l;
+        row_k = ( matrix_it+k)->begin();
 
         // rows: 0..s-1 without k
         unsigned int  row, col;
-	ET            minus_y;
+        ET            minus_y;
         for (   row = 0;
                 row < s;
               ++row,     ++matrix_it, ++y_x_it) {
-	    if ( row != k) {
+            if ( row != k) {
+
+                // columns: 0..b-1
+                minus_y = -( *y_x_it);
+                for (   col = 0, row_it = matrix_it->begin(), row_k_it = row_k;
+                        col < b;
+                      ++col,   ++row_it,                    ++row_k_it       ){
+
+                    // update in place
+                    update_entry( *row_it, z, minus_y * *row_k_it, d);
+                }
+            }
+        }
 
-		// columns: 0..b-1
-		minus_y = -( *y_x_it);
-		for (   col = 0, row_it = matrix_it->begin(), row_k_it = row_k;
-			col < b;
-		      ++col,   ++row_it,                    ++row_k_it       ){
-        
-		    // update in place
-		    update_entry( *row_it, z, minus_y * *row_k_it, d);
-		}
-	    }
-        }
-
-	// rows: k (flip signs, if necessary)
-	if ( z_neg) {
-	    for (   col = 0,   row_it = row_k;
-		    col < b;
-		  ++col,     ++row_it        ) {
-        
-		*row_it = -( *row_it);
-	    }
-	}
+        // rows: k (flip signs, if necessary)
+        if ( z_neg) {
+            for (   col = 0,   row_it = row_k;
+                    col < b;
+                  ++col,     ++row_it        ) {
+
+                *row_it = -( *row_it);
+            }
+        }
 
         // store new denominator
         // ---------------------
         d = ( z_neg ? -z : z);
         CGAL_qpe_assertion( d > et0);
 
-	// diagnostic output
+        // diagnostic output
         CGAL_qpe_debug {
             if ( vout.verbose()) print();
-	}
+        }
     }
-    
+
     // replacing of slack variable (update type U6) [ replace row ]
     template < class ForwardIterator >
     void
     enter_slack_leave_slack( ForwardIterator u_x_it, unsigned int k)
     {
         // assert LP case or phase I
-	CGAL_qpe_assertion( is_LP || is_phaseI);
-	CGAL_qpe_assertion( k < s);
+        CGAL_qpe_assertion( is_LP || is_phaseI);
+        CGAL_qpe_assertion( k < s);
 
         // compute new row of basis inverse
         multiply__l( u_x_it, x_x.begin());
@@ -625,55 +625,55 @@ class QP_basis_inverse {
         bool  z_neg = ( z < et0);
         if ( z_neg) d = -d;
 
-	// QP (in phase I)?
-	matrix_it = M.begin();
-	if ( is_QP) matrix_it += l;
+        // QP (in phase I)?
+        matrix_it = M.begin();
+        if ( is_QP) matrix_it += l;
 
         // rows: 0..s-1
         unsigned int          row, col;
-	ET            minus_m_row;
+        ET            minus_m_row;
         for (   row = 0;
                 row < s;
               ++row,     ++matrix_it) {
 
-	    // columns: 0..b-1
-	    minus_m_row = -( *matrix_it)[ k];
-	    for (   col = 0,   row_it = matrix_it->begin(), x_it = x_x.begin();
-		    col < b;
-		  ++col,     ++row_it,                    ++x_it             ){
+            // columns: 0..b-1
+            minus_m_row = -( *matrix_it)[ k];
+            for (   col = 0,   row_it = matrix_it->begin(), x_it = x_x.begin();
+                    col < b;
+                  ++col,     ++row_it,                    ++x_it             ){
 
-		if ( col != k) {                // all columns but k
+                if ( col != k) {                // all columns but k
 
-		    // update in place
-		    update_entry( *row_it, z, minus_m_row * *x_it, d);
+                    // update in place
+                    update_entry( *row_it, z, minus_m_row * *x_it, d);
 
-		} else {                        // column k
+                } else {                        // column k
 
-		    // flip sign, if necessary
-		    if ( z_neg) *row_it = -( *row_it);
+                    // flip sign, if necessary
+                    if ( z_neg) *row_it = -( *row_it);
 
-		}
-	    }
-	}
+                }
+            }
+        }
 
         // store new denominator
         // ---------------------
         d = ( z_neg ? -z : z);
         CGAL_qpe_assertion( d > et0);
 
-	// diagnostic output
+        // diagnostic output
         CGAL_qpe_debug {
             if ( vout.verbose()) print();
-	}
+        }
     }
-    
+
     // replacing of slack by original variable (update type U7) [ grow ]
     template < class ForwardIterator1, class ForwardIterator2 >
     void  enter_original_leave_slack( ForwardIterator1 y_x_it,
-				      ForwardIterator2 u_x_it)
+                                      ForwardIterator2 u_x_it)
     {
         // assert LP case or phase I
-	CGAL_qpe_assertion( is_LP || is_phaseI);
+        CGAL_qpe_assertion( is_LP || is_phaseI);
 
         // update matrix in-place
         // ----------------------
@@ -682,44 +682,44 @@ class QP_basis_inverse {
         ET    z     = d*u_x_it[ b] - inner_product_x( y_x_it, u_x_it);
         bool  z_neg = ( z < et0);
         CGAL_qpe_assertion( z != et0);
-	
+
         // update matrix
-	update_inplace_LP( x_x.begin(), y_x_it, z, ( z_neg ? -d : d));
-                                                  
+        update_inplace_LP( x_x.begin(), y_x_it, z, ( z_neg ? -d : d));
+
         // append new row and column
         // -------------------------
         typename Matrix::iterator  matrix_it;
         typename Row   ::iterator     row_it, x_it;
         unsigned int                  row, col;
 
-	// QP (in phase I)?
-	if ( is_QP) {
-	    ensure_physical_row(l+b);
-	    row_it = M[l+b].begin();
-	    matrix_it = M.begin() + l;
-	} else {
-	    row_it = M[s].begin();
-	    matrix_it = M.begin();
-	} 	
-	
-	// store 'x_x' in new row 
-	x_it = x_x.begin();
-	for ( col = 0; col < b; ++col, ++row_it, ++x_it) {
-		*row_it = ( z_neg ? *x_it : -( *x_it));
-	}
+        // QP (in phase I)?
+        if ( is_QP) {
+            ensure_physical_row(l+b);
+            row_it = M[l+b].begin();
+            matrix_it = M.begin() + l;
+        } else {
+            row_it = M[s].begin();
+            matrix_it = M.begin();
+        }
+
+        // store 'x_x' in new row
+        x_it = x_x.begin();
+        for ( col = 0; col < b; ++col, ++row_it, ++x_it) {
+                *row_it = ( z_neg ? *x_it : -( *x_it));
+        }
         *row_it = ( z_neg ? -d : d);
-	
-	// store 'y_x' in new col
-	for ( row = 0; row < s; ++row, ++matrix_it, ++y_x_it) {
-		(*matrix_it)[b] = ( z_neg ? *y_x_it : -( *y_x_it));
-	}
-	++s; ++b;
-    
+
+        // store 'y_x' in new col
+        for ( row = 0; row < s; ++row, ++matrix_it, ++y_x_it) {
+                (*matrix_it)[b] = ( z_neg ? *y_x_it : -( *y_x_it));
+        }
+        ++s; ++b;
+
         // store new denominator
-	// ---------------------
+        // ---------------------
         d = ( z_neg ? -z : z);
         CGAL_qpe_assertion( d > et0);
-    
+
         CGAL_qpe_debug {
             if ( vout.verbose()) print();
         }
@@ -734,9 +734,9 @@ class QP_basis_inverse {
     void
     init( unsigned int art_size, InIt art_first, Tag_false)
     {
-	// only Q is used to store A_B^-1 in phase I
+        // only Q is used to store A_B^-1 in phase I
         for ( s = l, b = 0; b < art_size; ++s, ++b, ++art_first) {
-	    ensure_physical_row(s);
+            ensure_physical_row(s);
             M[ s][ b] = ( art_first->second ? -et1 : et1);
         }
 
@@ -749,132 +749,132 @@ class QP_basis_inverse {
     init( unsigned int art_size, InIt art_first, Tag_true)
     {
         for ( s = 0; s < art_size; ++s, ++art_first) {
-	    std::fill_n( M[ s].begin(), art_size, et0);
-	    M[ s][ s] = ( art_first->second ? -et1 : et1);
-	}
-	b = art_size;
+            std::fill_n( M[ s].begin(), art_size, et0);
+            M[ s][ s] = ( art_first->second ? -et1 : et1);
+        }
+        b = art_size;
     }
-    
+
     // append row in Q if no allocated row available
     void ensure_physical_row (unsigned int row) {
-    	unsigned int rows = static_cast<unsigned int>(M.size());
-	CGAL_qpe_assertion(rows >= row);
-	if (rows == row) {
+            unsigned int rows = static_cast<unsigned int>(M.size());
+        CGAL_qpe_assertion(rows >= row);
+        if (rows == row) {
             M.push_back(Row(row+1, et0));
-	    
-	    // do we have to grow x_x?
-	    CGAL_qpe_assertion(x_x.size() >= row-l);
-	    if (x_x.size() == row-l)
-	       x_x.push_back(et0);
-	    
-	    // do we have to grow tmp_x?
-	    CGAL_qpe_assertion(tmp_x.size() >= row-l);
-	    if (tmp_x.size() == row-l)
-	       tmp_x.push_back(et0);
-	    
+
+            // do we have to grow x_x?
+            CGAL_qpe_assertion(x_x.size() >= row-l);
+            if (x_x.size() == row-l)
+               x_x.push_back(et0);
+
+            // do we have to grow tmp_x?
+            CGAL_qpe_assertion(tmp_x.size() >= row-l);
+            if (tmp_x.size() == row-l)
+               tmp_x.push_back(et0);
+
             CGAL_qpe_assertion(M[row].size()==row+1);
-	    CGAL_qpe_debug {
-	      if ( vout.verbose()) {
+            CGAL_qpe_debug {
+              if ( vout.verbose()) {
                     vout << "physical row " << (row) << " appended in Q\n";
-	      }
+              }
             }
-	}
+        }
     }
-    
+
     // matrix-vector multiplication (QP case)
     template < class ForIt, class OutIt, class Use1stArg >
     void
     multiply( ForIt v_l_it, ForIt v_x_it,
               OutIt y_l_it, OutIt y_x_it, Tag_false,
-	      Use1stArg use_1st_arg) const
+              Use1stArg use_1st_arg) const
     {
-	// use 'LP' functions in phase I
-	if ( is_phaseI) {
-	    multiply__l( v_x_it, y_l_it);
-	    multiply__x( v_l_it, y_x_it);
-	    return;
-	}
+        // use 'LP' functions in phase I
+        if ( is_phaseI) {
+            multiply__l( v_x_it, y_l_it);
+            multiply__x( v_l_it, y_x_it);
+            return;
+        }
 
-	// phase II
+        // phase II
         typename Matrix::const_iterator  matrix_it;
         typename Row   ::const_iterator     row_it;     // left  of diagonal
         typename Matrix::const_iterator  column_it;     // right of diagonal
         ForIt                                 v_it;
-    
+
         unsigned int  row, count, k = l+b;
         ET            sum;
-    
-        // compute  P v_l + Q^T v_x	
+
+        // compute  P v_l + Q^T v_x
         for (   row = 0,   matrix_it = M.begin();
                 row < s;
               ++row,                                                ++y_l_it) {
             sum = et0;
 
-	    // P v_l
-	    if ( check_tag( use_1st_arg)) {
+            // P v_l
+            if ( check_tag( use_1st_arg)) {
+
+                // P: left of diagonal (including)
+                for (   row_it =  matrix_it->begin(),            v_it = v_l_it;
+                        row_it != matrix_it->end();
+                      ++row_it,                                ++v_it) {
+                    sum += *row_it * *v_it;
+                }
+
+                // P: right of diagonal (excluding)
+                for (   count = row+1,   column_it  = ++matrix_it;
+                        count < s;
+                      ++count,         ++column_it,                ++v_it) {
+                    sum += (*column_it)[ row] * *v_it;
+                }
+            }
 
-		// P: left of diagonal (including)
-		for (   row_it =  matrix_it->begin(),            v_it = v_l_it;
-			row_it != matrix_it->end();
-		      ++row_it,                                ++v_it) {
-		    sum += *row_it * *v_it;
-		}
-
-		// P: right of diagonal (excluding)
-		for (   count = row+1,   column_it  = ++matrix_it;
-			count < s;
-		      ++count,         ++column_it,                ++v_it) {
-		    sum += (*column_it)[ row] * *v_it;
-		}
-	    }
-    
             // Q^T:
             for (   count = 0,       column_it  = M.begin()+l,   v_it = v_x_it;
                     count < b;
                   ++count,         ++column_it,                ++v_it) {
                 sum += (*column_it)[ row] * *v_it;
             }
-    
+
             // store result
             *y_l_it = sum;
         }
-    
+
         // compute  Q v_l + R v_x
         for (   row = l,   matrix_it = M.begin()+l;
                 row < k;
               ++row,                                                ++y_x_it) {
             sum = et0;
 
-	    // Q v_l
-	    if ( check_tag( use_1st_arg)) {
+            // Q v_l
+            if ( check_tag( use_1st_arg)) {
+
+                // Q:
+                for (   count = 0,  row_it = matrix_it->begin(), v_it = v_l_it;
+                        count < s;
+                      ++count,    ++row_it,                    ++v_it) {
+                    sum += *row_it * *v_it;
+                }
+            }
 
-		// Q:
-		for (   count = 0,  row_it = matrix_it->begin(), v_it = v_l_it;
-			count < s;
-		      ++count,    ++row_it,                    ++v_it) {
-		    sum += *row_it * *v_it;
-		}
-	    }
-    
-	    // R: left of diagonal (including)
+            // R: left of diagonal (including)
             for (                row_it =  matrix_it->begin()+l, v_it = v_x_it;
                                  row_it != matrix_it->end();
                                ++row_it,                       ++v_it) {
                 sum += *row_it * *v_it;
             }
-    
+
             // R: right of diagonal (excluding)
             for (   count = row+1,   column_it = ++matrix_it;
                     count < k;
                   ++count,         ++column_it,                ++v_it) {
                 sum += (*column_it)[ row] * *v_it;
             }
-    
+
             // store result
             *y_x_it = sum;
         }
     }
-    
+
     // matrix-vector multiplication (LP case)
     template < class ForIt, class OutIt, class Dummy > inline
     void
@@ -884,7 +884,7 @@ class QP_basis_inverse {
         multiply__l( v_x_it, y_l_it);
         multiply__x( v_l_it, y_x_it);
     }
-    
+
     // special matrix-vector multiplication functions for LPs
     template < class ForIt, class OutIt > inline
     void
@@ -893,27 +893,27 @@ class QP_basis_inverse {
         typename Matrix::const_iterator  matrix_it = M.begin();
         typename Matrix::const_iterator  column_it;
         ForIt                                 v_it;
-    
+
         unsigned int  row, count;
         ET            sum;
-    
-	// QP?
-	if ( is_QP) matrix_it += l;
+
+        // QP?
+        if ( is_QP) matrix_it += l;
 
         // compute  Q^T v_x
         for ( row = 0; row < s; ++row,                              ++y_l_it) {
             sum = et0;
-    
+
             for (   count = 0,   column_it = matrix_it,   v_it = v_x_it;
                     count < b;
                   ++count,     ++column_it,             ++v_it) {
                 sum += (*column_it)[ row] * *v_it;
             }
-    
+
             *y_l_it = sum;
         }
     }
-    
+
     template < class ForIt, class OutIt > inline
     void
     multiply__x( ForIt v_l_it, OutIt y_x_it) const
@@ -921,125 +921,125 @@ class QP_basis_inverse {
         typename Matrix::const_iterator  matrix_it = M.begin();
         unsigned int  row;
 
-	// QP?
-	if ( is_QP) matrix_it += l;
+        // QP?
+        if ( is_QP) matrix_it += l;
 
         // compute  Q v_l
         for (   row = 0;
                 row < b;
               ++row,     ++matrix_it, ++y_x_it) {
 
-	    *y_x_it = inner_product( matrix_it->begin(), v_l_it, s);
-	}
+            *y_x_it = inner_product( matrix_it->begin(), v_l_it, s);
+        }
     }
-    
-    // vector-vector multiplication  
+
+    // vector-vector multiplication
     template < class InIt1, class InIt2 > inline
-    typename std::iterator_traits<InIt1>::value_type  
+    typename std::iterator_traits<InIt1>::value_type
     inner_product( InIt1 u_it, InIt2 v_it, unsigned int n) const
     {
-	typedef  typename std::iterator_traits<InIt1>::value_type  NT;
-    
+        typedef  typename std::iterator_traits<InIt1>::value_type  NT;
+
         // compute u^T v
-	NT sum = NT( 0);
+        NT sum = NT( 0);
         for ( unsigned int count = 0; count < n; ++count, ++u_it, ++v_it) {
             sum += NT(*u_it) * NT(*v_it);
         }
-    
+
         return sum;
     }
-    
+
     // in-place update
     template < class ForIt >                                    // QP case
     void  update_inplace_QP( ForIt y_l_it, ForIt y_x_it,
-			     const ET& d_new, const ET& d_old)
+                             const ET& d_new, const ET& d_old)
     {
         typename Matrix::      iterator  matrix_it;
         typename Row   ::      iterator     row_it;
         typename Row   ::const_iterator      y_it1, y_it2;
-    
+
         unsigned int  row, col, k = l+b;
-    
+
         // rows: 0..s-1  ( P )
         for (   row = 0,   y_it1 = y_l_it,   matrix_it = M.begin();
                 row < s;
               ++row,     ++y_it1,          ++matrix_it            ) {
-    
+
             // columns: 0..row  ( P )
             for (   row_it =  matrix_it->begin(),   y_it2 = y_l_it;
                     row_it != matrix_it->end();
                   ++row_it,                       ++y_it2         ) {
-    
+
                 update_entry( *row_it, d_new, *y_it1 * *y_it2, d_old);
             }
         }
-    
+
         // rows: l..k-1  ( Q R )
         for (   row = l,   y_it1 = y_x_it,   matrix_it += l-s;
                 row < k;
               ++row,     ++y_it1,          ++matrix_it       ) {
-    
+
             // columns: 0..s-1  ( Q )
             for (   col = 0,   row_it =  matrix_it->begin(),   y_it2 = y_l_it;
                     col < s;
                   ++col,     ++row_it,                       ++y_it2         ){
-    
+
                 update_entry( *row_it, d_new, *y_it1 * *y_it2, d_old);
             }
-    
+
             // columns: l..k-1  ( R )
             for (              row_it += l-s,                  y_it2 = y_x_it;
                                row_it != matrix_it->end();
                              ++row_it,                       ++y_it2         ){
-    
+
                 update_entry( *row_it, d_new, *y_it1 * *y_it2, d_old);
             }
         }
     }
-    
+
     template < class ForIt1, class ForIt2 >                     // LP case
     void  update_inplace_LP( ForIt1 x_x_it, ForIt2 y_x_it,
-			     const ET& d_new, const ET& d_old)
+                             const ET& d_new, const ET& d_old)
     {
         typename Matrix::      iterator  matrix_it;
         typename Row   ::      iterator     row_it;
-	ForIt1                                x_it;
-    
+        ForIt1                                x_it;
+
         unsigned int  row, col;
-	ET            y;
+        ET            y;
 
-	// QP (in phase I)?
-	matrix_it = M.begin();
-	if ( is_QP) matrix_it += l;
+        // QP (in phase I)?
+        matrix_it = M.begin();
+        if ( is_QP) matrix_it += l;
 
         // rows: 0..s-1  ( Q )
         for (   row = 0;
                 row < s;
               ++row,     ++y_x_it, ++matrix_it) {
-    
+
             // columns: 0..b-1  ( Q )
-	    y = *y_x_it;
+            y = *y_x_it;
             for (   col = 0,   row_it =  matrix_it->begin(),   x_it = x_x_it;
-		    col < b;
-		  ++col,     ++row_it,                       ++x_it         ){
-    
+                    col < b;
+                  ++col,     ++row_it,                       ++x_it         ){
+
                 update_entry( *row_it, d_new, y * *x_it, d_old);
             }
         }
     }
-    
-    
+
+
     template < class RandomAccessIterator >
-    typename std::iterator_traits<RandomAccessIterator>::value_type 
+    typename std::iterator_traits<RandomAccessIterator>::value_type
     inv_M_B_row_dot_col( int row, RandomAccessIterator u_l_it) const
     {
-	typename Row::const_iterator row_it;
-	if ( is_QP) {
-	    row_it = M[l + row].begin();
-	} else {
-	    row_it = M[row].begin();
-	}
-	return inner_product(row_it, u_l_it, b);	
+        typename Row::const_iterator row_it;
+        if ( is_QP) {
+            row_it = M[l + row].begin();
+        } else {
+            row_it = M[row].begin();
+        }
+        return inner_product(row_it, u_l_it, b);
     }
 
 };
@@ -1068,7 +1068,7 @@ transition( )
     is_phaseII = true;
 
     CGAL_qpe_debug {
-	if ( vout.verbose()) print();
+        if ( vout.verbose()) print();
     }
 }
 
@@ -1080,9 +1080,9 @@ set( Tag_false)
     M.reserve( l);
     // only allocate empty rows
     for ( unsigned int i = 0; i < l; ++i )
-       M.push_back(Row(0, et0)); 
+       M.push_back(Row(0, et0));
 }
-    
+
 // set-up (LP case)
 template < class ET_, class Is_LP_ >  inline
 void  QP_basis_inverse<ET_,Is_LP_>::
diff -pruN 5.0.2-3/include/CGAL/QP_solver/QP_basis_inverse_impl.h 5.0.3-1/include/CGAL/QP_solver/QP_basis_inverse_impl.h
--- 5.0.2-3/include/CGAL/QP_solver/QP_basis_inverse_impl.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/QP_basis_inverse_impl.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/QP_basis_inverse_impl.h $
-// $Id: QP_basis_inverse_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/QP_basis_inverse_impl.h $
+// $Id: QP_basis_inverse_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Sven Schoenherr 
+//
+// Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
-//                 Franz Wessendorp 
-//                 Kaspar Fischer 
+//                 Franz Wessendorp
+//                 Kaspar Fischer
 
 namespace CGAL {
 
@@ -33,13 +33,13 @@ set( int n, int m, int nr_equalities)
     l = (std::min)( n+nr_equalities+1, m);
     if ( ! M.empty()) M.clear();
     set( Is_LP());
-    
+
     if ( ! x_l.empty()) x_l.clear();
     if ( ! x_x.empty()) x_x.clear();
-       
+
     x_l.insert( x_l.end(), l, et0);
     x_x.insert( x_x.end(), l, et0); // has to grow later QP-case
-    
+
     if ( ! tmp_l.empty()) tmp_l.clear();
     if ( ! tmp_x.empty()) tmp_x.clear();
 
@@ -66,8 +66,8 @@ leave_original( )
 
     // update matrix in place
     update_inplace_QP( M[ l+b].begin(), M[ l+b].begin()+l,
-		       -z, ( z_neg ? d : -d));
-                                                                 
+                       -z, ( z_neg ? d : -d));
+
     // store new denominator
     d = ( z_neg ? -z : z);
     CGAL_qpe_assertion( d > et0);
@@ -132,9 +132,9 @@ enter_slack_leave_original( )
     // get last column of basis inverse (store it in 'x_x')
     --s; --b;
     for (   row = 0,   x_it = x_x.begin();
-	    row < s;
-	  ++row,     ++x_it,               ++matrix_it) {
-	*x_it = (*matrix_it)[ b];
+            row < s;
+          ++row,     ++x_it,               ++matrix_it) {
+        *x_it = (*matrix_it)[ b];
     }
     ET    z     = (*matrix_it)[ b];
     bool  z_neg = ( z < et0);
@@ -173,29 +173,29 @@ z_replace_original_by_original(ForwardIt
 
     // prepare \hat{\rho} -vector in x_l, x_x
     copy_row_in_B_O(x_l.begin(), x_x.begin(), k_i);
-    
+
     // prepare \hat{v} -vector in tmp_l, tmp_x
-    
+
     // tmp_l -part
     std::transform(y_l_it, (y_l_it+s), x_l.begin(), tmp_l.begin(),
         compose2_2(std::plus<ET>(), Identity<ET>(),
         boost::bind1st(std::multiplies<ET>(), s_delta)));
-    
-    // tmp_x -part    
+
+    // tmp_x -part
     std::transform(y_x_it, (y_x_it+b), x_x.begin(), tmp_x.begin(),
         compose2_2(std::plus<ET>(), Identity<ET>(),
         boost::bind1st(std::multiplies<ET>(), s_delta)));
     tmp_x[k_i] -= d;
-    
+
     // prepare \hat{k}_{2} -scalar
     ET  hat_k_2 = s_nu - (et2 * s_delta * hat_k_1);
-    
+
     CGAL_qpe_assertion( d != et0);
-        
+
     // update matrix in place
     z_update_inplace(x_l.begin(), x_x.begin(), tmp_l.begin(), tmp_x.begin(),
                       hat_k_1 * hat_k_1, -hat_k_2, -hat_k_1, d*d);
-    
+
     // store new denominator
     d = CGAL::integral_division(hat_k_1 * hat_k_1, d);
 
@@ -204,7 +204,7 @@ z_replace_original_by_original(ForwardIt
     CGAL_qpe_debug {
         if ( vout.verbose()) print();
     }
-    
+
 }
 
 
@@ -223,22 +223,22 @@ z_replace_original_by_slack( )
 
     // prepare \hat{\rho} -vector in x_l, x_x
     copy_row_in_B_O(x_l.begin(), x_x.begin(), b);
-    
+
     // prepare \hat{\varrho} -vector in tmp_l, tmp_x
     copy_row_in_C(tmp_l.begin(), tmp_x.begin(), s);
-    
+
     // prepare \hat{\kappa} -scalar
     ET  hat_kappa = M[l+b][s];
-    
+
     // prepare \hat{\xi} -scalar
     ET hat_xi = M[s][s];
-        
+
     CGAL_qpe_assertion( d != et0);
-    
+
     // update matrix in place
     z_update_inplace(x_l.begin(), x_x.begin(), tmp_l.begin(), tmp_x.begin(),
                            hat_kappa * hat_kappa, hat_xi, -hat_kappa, d * d);
-		     
+
     // store new denominator
     d = CGAL::integral_division(hat_kappa * hat_kappa, d);
 
@@ -258,86 +258,86 @@ template < class ForwardIterator >
 void  QP_basis_inverse<ET_,Is_LP_>::
 z_replace_slack_by_original(ForwardIterator y_l_it,
                             ForwardIterator y_x_it,
-			                ForwardIterator u_x_it, const ET& hat_kappa,
-		                    const ET& hat_nu)
+                                        ForwardIterator u_x_it, const ET& hat_kappa,
+                                    const ET& hat_nu)
 {
     // assert QP case and phaseII
     CGAL_qpe_assertion(is_QP && is_phaseII);
-    
+
     // get copies of y_l_it and y_x_it for later use
     ForwardIterator y_l_it_copy = y_l_it;
     ForwardIterator y_x_it_copy = y_x_it;
 
     CGAL_qpe_assertion( d != et0);
-    
+
     // prepare \hat{\phi}
-     
+
     // prepare \hat{\varphi} -vector in x_l, x_x
     multiply(u_x_it, u_x_it, x_l.begin(), x_x.begin(), Tag_false(),
              Tag_false());
-	     
+
     // prepare \hat{\kappa} -scalar
-    
+
     // prepare \hat{\nu} -scalar
-   
+
     // update matrix in place
     z_update_inplace(x_l.begin(), x_x.begin(), y_l_it, y_x_it,
-                     hat_kappa * hat_kappa, -hat_nu, hat_kappa, d * d);    
-    
+                     hat_kappa * hat_kappa, -hat_nu, hat_kappa, d * d);
+
     // append new rows and columns
     // ---------------------------
     typename Row   ::iterator  row_it, x_l_it, x_x_it;
     typename Matrix::iterator  matrix_it;
     unsigned int               count;
-    
+
     // insert new row and column at the end of block P
     CGAL_qpe_assertion(M.size()>=s+1);
     if (M[s].size()==0) {
-	// row has to be filled first
+        // row has to be filled first
         M[s].insert(M[s].end(), s+1, et0);
     }
-     
-    
+
+
     // P-block: left of diagonal (including element on diagonal)
     y_l_it = y_l_it_copy;
     for (  row_it = M[s].begin(), x_l_it = x_l.begin();
            row_it != M[s].end() - 1;
-	 ++row_it,  ++x_l_it,  ++y_l_it                ) {
-        *row_it = 
-	  CGAL::integral_division((hat_nu * *x_l_it)-(hat_kappa * *y_l_it), d);  
-    } 
+         ++row_it,  ++x_l_it,  ++y_l_it                ) {
+        *row_it =
+          CGAL::integral_division((hat_nu * *x_l_it)-(hat_kappa * *y_l_it), d);
+    }
     *row_it = -hat_nu;
-     
+
     // Q-block
     y_x_it = y_x_it_copy;
     for (  matrix_it = M.begin()+l, count = 0, x_x_it = x_x.begin();
            count < b;
-	 ++matrix_it,  ++count, ++x_x_it, ++y_x_it                  ) {
-        (*matrix_it)[s] = 
-	  CGAL::integral_division((hat_nu * *x_x_it) - (hat_kappa * *y_x_it), d);
+         ++matrix_it,  ++count, ++x_x_it, ++y_x_it                  ) {
+        (*matrix_it)[s] =
+          CGAL::integral_division((hat_nu * *x_x_it) - (hat_kappa * *y_x_it), d);
     }
-          
+
     // insert new row and column at the end of blocks Q and R
     ensure_physical_row(l+b);
-    
+
     // Q-block
     for (  row_it = M[l+b].begin(), count = 0, x_l_it = x_l.begin();
            count < s;
-	 ++row_it,  ++count,  ++x_l_it                              ) {
+         ++row_it,  ++count,  ++x_l_it                              ) {
         *row_it = CGAL::integral_division(-hat_kappa * *x_l_it, d);
     }
     *row_it = hat_kappa;
-    
+
     // R-block
     for (  row_it = M[l+b].begin()+l, count = 0, x_x_it = x_x.begin();
            count < b;
-	 ++row_it,  ++count,  ++x_x_it                                ) {
+         ++row_it,  ++count,  ++x_x_it                                ) {
         *row_it = CGAL::integral_division(-hat_kappa * *x_x_it, d);
     }
     *row_it = et0;
-    
+
     //adapt s and b
-    ++s; ++b; 
+    ++s; ++b;
 
     // store new denominator
     d = CGAL::integral_division(hat_kappa * hat_kappa, d);
@@ -347,7 +347,7 @@ z_replace_slack_by_original(ForwardItera
     CGAL_qpe_debug {
         if ( vout.verbose()) print();
     }
-		     
+
 }
 
 
@@ -366,22 +366,22 @@ z_replace_slack_by_slack(ForwardIterator
     multiply(u_x_it, u_x_it, x_l.begin(), x_x.begin(),Tag_false(),
              Tag_false());
     x_l[k_j] -= d;
-    
+
     // prepare \hat{\varrho} -vector in tmp_l, tmp_x
     copy_row_in_C(tmp_l.begin(), tmp_x.begin(), k_j);
-    
+
     // prepare \hat{k}_{1} -scalar
     ET  hat_k_1 = inner_product_x(tmp_x.begin(), u_x_it);
-    
+
     // prepare \hat{k}_{3} -scalar
     ET  hat_k_3 = -M[k_j][k_j];
-    
-    CGAL_qpe_assertion( d != et0);    
-    
+
+    CGAL_qpe_assertion( d != et0);
+
     // update matrix in place
     z_update_inplace(x_l.begin(), x_x.begin(), tmp_l.begin(), tmp_x.begin(),
                      hat_k_1 * hat_k_1, -hat_k_3, -hat_k_1, d * d);
-		     
+
     // store new denominator
     d = CGAL::integral_division(hat_k_1 * hat_k_1, d);
 
@@ -390,7 +390,7 @@ z_replace_slack_by_slack(ForwardIterator
     CGAL_qpe_debug {
         if ( vout.verbose()) print();
     }
-      
+
 }
 
 
@@ -403,28 +403,28 @@ copy_row_in_C(OutIt y_l_it, OutIt y_x_it
     typename Matrix::const_iterator  matrix_it;
     typename Row   ::const_iterator     row_it;
     unsigned int  count;
-    
+
     // P-block: left of diagonal (including element on diagonal)
     matrix_it = M.begin()+r;
     for (  row_it = matrix_it->begin();
-           row_it != matrix_it->end(); 
-	 ++row_it, ++y_l_it            ) {
-        *y_l_it = *row_it;    
+           row_it != matrix_it->end();
+         ++row_it, ++y_l_it            ) {
+        *y_l_it = *row_it;
     }
-    
+
     // P-block: right of diagonal (excluding element on diagonal)
     for (  matrix_it = M.begin()+r+1, count = r+1;
-           count < s; 
-	 ++matrix_it,  ++count,  ++y_l_it         ) {
+           count < s;
+         ++matrix_it,  ++count,  ++y_l_it         ) {
         *y_l_it = (*matrix_it)[r];
     }
-    
+
     // Q-block
     for (  matrix_it = M.begin()+l, count = 0;
            count < b;
-	 ++matrix_it,  ++count,  ++y_x_it     ) {
-	*y_x_it = (*matrix_it)[r]; 
-    } 
+         ++matrix_it,  ++count,  ++y_x_it     ) {
+        *y_x_it = (*matrix_it)[r];
+    }
 }
 
 
@@ -437,26 +437,26 @@ copy_row_in_B_O(OutIt y_l_it, OutIt y_x_
     typename Matrix::const_iterator  matrix_it;
     typename Row   ::const_iterator     row_it;
     unsigned int  count;
-    
+
     // Q-block
     matrix_it = M.begin()+l+r;
     for (  row_it = matrix_it->begin(), count = 0;
            count < s;
-	 ++row_it,  ++count,  ++y_l_it           ) {
+         ++row_it,  ++count,  ++y_l_it           ) {
         *y_l_it = *row_it;
     }
-    
+
     // R-block: left of diagonal (including element on diagonal)
-    for (  row_it = matrix_it->begin()+l; 
+    for (  row_it = matrix_it->begin()+l;
            row_it != matrix_it->end();
-	 ++row_it,  ++y_x_it            ) {
+         ++row_it,  ++y_x_it            ) {
         *y_x_it = *row_it;
     }
-    
+
     // R-block: right of diagonal (excluding element on diagonal)
     for (  matrix_it = M.begin()+l+r+1, count = r+1;
            count < b;
-	 ++matrix_it,  ++count,  ++y_x_it           ) {
+         ++matrix_it,  ++count,  ++y_x_it           ) {
         *y_x_it = (*matrix_it)[l+r];
     }
 
@@ -467,68 +467,68 @@ template < class ForIt >
 void  QP_basis_inverse<ET_,Is_LP_>::
 z_update_inplace( ForIt psi1_l_it, ForIt psi1_x_it,
                   ForIt psi2_l_it, ForIt psi2_x_it,
-	             const ET& omega0, const ET& omega1,
-		         const ET& omega2, const ET& omega3)
+                     const ET& omega0, const ET& omega1,
+                         const ET& omega2, const ET& omega3)
 {
     typename Matrix::      iterator  matrix_it;
     typename Row   ::      iterator     row_it;
     typename Row   ::const_iterator      y_it1_r, y_it1_c, y_it2_r, y_it2_c;
-	
+
     unsigned int  row, col, k = l+b;
     ET           u_elem;
 
     // rows: 0..s-1  ( P )
     for (  row = 0, matrix_it = M.begin(),
            y_it1_r = psi1_l_it,  y_it2_r = psi2_l_it;
-	   row < s;
+           row < s;
          ++row, ++matrix_it, ++y_it1_r, ++y_it2_r  ) {
-	      
+
         // columns: 0..row  ( P )
         for (   row_it =  matrix_it->begin(),
-	        y_it1_c = psi1_l_it,  y_it2_c = psi2_l_it;
+                y_it1_c = psi1_l_it,  y_it2_c = psi2_l_it;
                 row_it != matrix_it->end();
               ++row_it,  ++y_it1_c,  ++y_it2_c            ) {
-                
+
             u_elem = (*y_it1_r * *y_it2_c) + (*y_it2_r * *y_it1_c);
-	    u_elem *= omega2;
-	    u_elem += omega1 * *y_it1_r * *y_it1_c;
+            u_elem *= omega2;
+            u_elem += omega1 * *y_it1_r * *y_it1_c;
             update_entry( *row_it, omega0, u_elem, omega3);
-        } 
+        }
     }
-	
+
     // rows: l..k-1  ( Q R )
     for (  row = l, matrix_it = M.begin()+l,
-	   y_it1_r = psi1_x_it,  y_it2_r = psi2_x_it;
-	   row != k;
-	 ++row,  ++matrix_it,  ++y_it1_r,  ++y_it2_r ) {
-	    
+           y_it1_r = psi1_x_it,  y_it2_r = psi2_x_it;
+           row != k;
+         ++row,  ++matrix_it,  ++y_it1_r,  ++y_it2_r ) {
+
         // columns: 0..s-1  ( Q )
         for (   col = 0,   row_it =  matrix_it->begin(),
-	        y_it1_c = psi1_l_it,  y_it2_c = psi2_l_it;
+                y_it1_c = psi1_l_it,  y_it2_c = psi2_l_it;
                 col < s;
               ++col, ++row_it,  ++y_it1_c,  ++y_it2_c     ){
-    
+
             u_elem = (*y_it1_r * *y_it2_c) + (*y_it2_r * *y_it1_c);
-	       u_elem *= omega2;
-	       u_elem += omega1 * *y_it1_r * *y_it1_c; 
-	       update_entry( *row_it, omega0, u_elem, omega3);
+               u_elem *= omega2;
+               u_elem += omega1 * *y_it1_r * *y_it1_c;
+               update_entry( *row_it, omega0, u_elem, omega3);
         }
-    
+
         // columns: l..k-1  ( R )
         for (  row_it = matrix_it->begin()+l,
-	       y_it1_c = psi1_x_it,  y_it2_c = psi2_x_it;
+               y_it1_c = psi1_x_it,  y_it2_c = psi2_x_it;
                row_it != matrix_it->end();
              ++row_it,  ++y_it1_c,  ++y_it2_c            ){
-		 
+
             u_elem = (*y_it1_r * *y_it2_c) + (*y_it2_r * *y_it1_c);
             u_elem *= omega2;
-	        u_elem += omega1 * *y_it1_r * *y_it1_c;     
+                u_elem += omega1 * *y_it1_r * *y_it1_c;
             update_entry( *row_it, omega0, u_elem, omega3);
         }
-	    
-    } 
-	
-} 
+
+    }
+
+}
 
 
 // swap functions
@@ -578,22 +578,22 @@ swap_variable( unsigned int j, Tag_false
 
     if ( is_phaseII) {
 
-	// swap entries l..i-1 (row <-> row) [in R]
-	for (   count = l,   row_i_it += l-s,   row_k_it += l-s;
-		count < i;
-	      ++count,     ++row_i_it,        ++row_k_it       ) {
-	    std::iter_swap( row_i_it, row_k_it);
-	}
-
-	// swap entries i+1..k-1 (column <-> row) [in R]
-	for ( ++count,                        ++row_k_it;
-		count < k;
-	      ++count,     ++matrix_it,       ++row_k_it) {
-	    std::swap( ( *matrix_it)[ i], *row_k_it);
-	}
+        // swap entries l..i-1 (row <-> row) [in R]
+        for (   count = l,   row_i_it += l-s,   row_k_it += l-s;
+                count < i;
+              ++count,     ++row_i_it,        ++row_k_it       ) {
+            std::iter_swap( row_i_it, row_k_it);
+        }
 
-	// swap entries i,i with k,k (entry <-> entry) [in R]
-	std::iter_swap( row_i_it, row_k_it);
+        // swap entries i+1..k-1 (column <-> row) [in R]
+        for ( ++count,                        ++row_k_it;
+                count < k;
+              ++count,     ++matrix_it,       ++row_k_it) {
+            std::swap( ( *matrix_it)[ i], *row_k_it);
+        }
+
+        // swap entries i,i with k,k (entry <-> entry) [in R]
+        std::iter_swap( row_i_it, row_k_it);
     }
 }
 
@@ -622,7 +622,7 @@ template < class ET_, class Is_LP_ >
 void  QP_basis_inverse<ET_,Is_LP_>::
 swap_constraint( unsigned int i, Tag_false)
 {
- 
+
     if ( i == s-1) return;
 
     // swap rows and columns
@@ -634,29 +634,29 @@ swap_constraint( unsigned int i, Tag_fal
 
     if ( is_phaseI) {
 
-	// skip empty P
-	matrix_it =M.begin() + l;
+        // skip empty P
+        matrix_it =M.begin() + l;
 
     } else {
 
-	// swap entries 0..i-1 (row <-> row) [in P]
-	for (   count =  0;
-		count < i;
-	      ++count,      ++row_i_it, ++row_k_it) {
-	    std::iter_swap( row_i_it, row_k_it);
-	}
-
-	// swap entries i+1..s-2 (column <-> row) [in P]
-	for ( count = i + 1, ++matrix_it, ++row_k_it;
-		count < s-1;
-	      ++count,     ++matrix_it, ++row_k_it) {
-	    std::swap( ( *matrix_it)[ i], *row_k_it);
-	}
-	// the remaining two entries to be swapped on the main diagonal
-	std::swap(M[i][i], M[s-1][s-1]);
+        // swap entries 0..i-1 (row <-> row) [in P]
+        for (   count =  0;
+                count < i;
+              ++count,      ++row_i_it, ++row_k_it) {
+            std::iter_swap( row_i_it, row_k_it);
+        }
 
-	// advance to Q
-	matrix_it = M.begin() + l;
+        // swap entries i+1..s-2 (column <-> row) [in P]
+        for ( count = i + 1, ++matrix_it, ++row_k_it;
+                count < s-1;
+              ++count,     ++matrix_it, ++row_k_it) {
+            std::swap( ( *matrix_it)[ i], *row_k_it);
+        }
+        // the remaining two entries to be swapped on the main diagonal
+        std::swap(M[i][i], M[s-1][s-1]);
+
+        // advance to Q
+        matrix_it = M.begin() + l;
     }
 
     // swap entries l..l+b (column <-> column) [in Q]
@@ -675,27 +675,27 @@ print( )
 {
     // P
     if ( is_LP || is_phaseII) {
-	for ( unsigned int row = 0; row < s; ++row) {
-	    std::copy( M[ row].begin(),
-		       M[ row].begin() + ( is_LP ? s : row+1),
-		       std::ostream_iterator<ET>( vout.out(), " "));
-	    vout.out() << std::endl;
-	}
-	if ( is_QP) vout.out() << "= = = = = = = = = =" << std::endl;
+        for ( unsigned int row = 0; row < s; ++row) {
+            std::copy( M[ row].begin(),
+                       M[ row].begin() + ( is_LP ? s : row+1),
+                       std::ostream_iterator<ET>( vout.out(), " "));
+            vout.out() << std::endl;
+        }
+        if ( is_QP) vout.out() << "= = = = = = = = = =" << std::endl;
     }
 
     // Q & R
     if ( is_QP) {
-	for ( unsigned int row = l; row < l+b; ++row) {
-	    std::copy( M[ row].begin(), M[ row].begin()+s,
-		       std::ostream_iterator<ET>( vout.out(), " "));
-	    if ( is_phaseII) {
-		vout.out() << "|| ";
-		std::copy( M[ row].begin()+l, M[ row].end(),
-			   std::ostream_iterator<ET>( vout.out(), " "));
-	    }
-	    vout.out() << std::endl;
-	}
+        for ( unsigned int row = l; row < l+b; ++row) {
+            std::copy( M[ row].begin(), M[ row].begin()+s,
+                       std::ostream_iterator<ET>( vout.out(), " "));
+            if ( is_phaseII) {
+                vout.out() << "|| ";
+                std::copy( M[ row].begin()+l, M[ row].end(),
+                           std::ostream_iterator<ET>( vout.out(), " "));
+            }
+            vout.out() << std::endl;
+        }
     }
     vout.out() << "denominator = " << d << std::endl;
 }
diff -pruN 5.0.2-3/include/CGAL/QP_solver/QP_exact_bland_pricing.h 5.0.3-1/include/CGAL/QP_solver/QP_exact_bland_pricing.h
--- 5.0.2-3/include/CGAL/QP_solver/QP_exact_bland_pricing.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/QP_exact_bland_pricing.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/QP_exact_bland_pricing.h $
-// $Id: QP_exact_bland_pricing.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/QP_exact_bland_pricing.h $
+// $Id: QP_exact_bland_pricing.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Sven Schoenherr 
+//
+// Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
 //                 Franz Wessendorp
 //                 Kaspar Fischer
@@ -51,10 +51,10 @@ class QP_exact_bland_pricing : public QP
 
   // operations
   int  pricing(int& direction );
-    
+
   // cleanup
   ~QP_exact_bland_pricing() { };
-    
+
  private:
   int pricing_helper(int& direction, Tag_true  /*is_in_standard_form*/);
   int pricing_helper(int& direction, Tag_false /*is_in_standard_form*/);
@@ -72,7 +72,7 @@ QP_exact_bland_pricing<Q,ET,Tags>::
 QP_exact_bland_pricing()
   : QP_pricing_strategy<Q,ET,Tags>("full exact")
 { }
-    
+
 // operations
 template < typename Q, typename ET, typename Tags >
 int  QP_exact_bland_pricing<Q,ET,Tags>::
@@ -95,74 +95,74 @@ pricing_helper(int& /*direction*/, Tag_t
 
     // variable non-basic?
     if (!this->solver().is_basic(j)) {
-	
+
       // don't price artificial variables:
       if (this->solver().is_artificial(j)) {
-	CGAL_qpe_debug { 
-	  this->vout() << "mu_" << j << ": artificial [ not priced ]"
-		       << std::endl;
-	}
-	continue;
+        CGAL_qpe_debug {
+          this->vout() << "mu_" << j << ": artificial [ not priced ]"
+                       << std::endl;
+        }
+        continue;
       }
 
       // compute mu_j:
       mu = this->mu_j(j);
 
       CGAL_qpe_debug {
-	this->vout() << "mu_" << j << ": " << mu << std::endl;
+        this->vout() << "mu_" << j << ": " << mu << std::endl;
       }
 
-      // negative? 
+      // negative?
       if (mu < this->et0) return j;
     }
   }
-  CGAL_qpe_debug { 
+  CGAL_qpe_debug {
     this->vout() << std::endl;
   }
 
   // fallback option
   return -1;
-    
+
 }
 
 template < typename Q, typename ET, typename Tags >
 int  QP_exact_bland_pricing<Q,ET,Tags>::
 pricing_helper(int& direction, Tag_false /*is_in_standard_form*/)
 {
-    
+
   // get properties of quadratic program:
   int  w = this->solver().number_of_working_variables();
 
   // loop over all non-basic variables:
   int  j,  min_j  = -1;
   ET min_mu = this->et0;
-  // 
+  //
   for (j = 0; j < w; ++j) {
 
     // variable non-basic?
     if (!this->solver().is_basic(j)) {
-	
+
       // don't price artificial variables:
       if (this->solver().is_artificial(j)) {
-	CGAL_qpe_debug { 
-	  this->vout() << "mu_" << j << ": artificial [ not priced ]"
-		       << std::endl;
-	}
-	continue;
+        CGAL_qpe_debug {
+          this->vout() << "mu_" << j << ": artificial [ not priced ]"
+                       << std::endl;
+        }
+        continue;
       }
 
       const ET mu = this->mu_j(j);
       // from pricing strategy base class
-      this->price_dantzig (j, mu, this->et0, min_j, min_mu, direction); 
+      this->price_dantzig (j, mu, this->et0, min_j, min_mu, direction);
       if (min_j >= 0) return j;
     }
   }
-  CGAL_qpe_debug { 
+  CGAL_qpe_debug {
     this->vout() << std::endl;
   }
   // fallback option
   return -1;
-    
+
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/QP_solver/QP__filtered_base.h 5.0.3-1/include/CGAL/QP_solver/QP__filtered_base.h
--- 5.0.2-3/include/CGAL/QP_solver/QP__filtered_base.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/QP__filtered_base.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/QP__filtered_base.h $
-// $Id: QP__filtered_base.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/QP__filtered_base.h $
+// $Id: QP__filtered_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
 //                 Franz Wessendorp
-//                 Kaspar Fischer 
+//                 Kaspar Fischer
 
 #ifndef CGAL_QP__FILTERED_BASE_H
 #define CGAL_QP__FILTERED_BASE_H
@@ -56,7 +56,7 @@ class QP__filtered_base : virtual public
 
     // construction
     QP__filtered_base( ET2NT et2nt = ET2NT());
-    
+
     // initialization
     virtual  void  set ( );
     virtual  void  init( );
@@ -69,13 +69,13 @@ class QP__filtered_base : virtual public
     NT mu_j_NT( int j) const
     {
       return mu_j_NT(j, Is_nonnegative());
-    } 
+    }
 
     void  update_maxima( );
 
     // this function returns true if j is not a candidate for the
-    // entering variable. This can be deduced if the inexact mu_j 
-    // is sufficiently far away from 0. This test uses the error 
+    // entering variable. This can be deduced if the inexact mu_j
+    // is sufficiently far away from 0. This test uses the error
     // bounds from Sven's thesis (p.99), see also the C-file. Only
     // if these bounds are insufficient, exact arithmetic is used
     bool  certify_mu_j_NT( int j) const {
@@ -106,10 +106,10 @@ class QP__filtered_base : virtual public
     void  update_maxima( Tag_false is_linear);
 
     void  transition( int n, Tag_true  is_linear);
-    void  transition( int n, Tag_false is_linear);    
-    
-    NT    mu_j_NT( int j, Tag_true is_in_standard_form) const; 
-    NT    mu_j_NT( int j, Tag_false is_in_standard_form) const { 
+    void  transition( int n, Tag_false is_linear);
+
+    NT    mu_j_NT( int j, Tag_true is_in_standard_form) const;
+    NT    mu_j_NT( int j, Tag_false is_in_standard_form) const {
       return  mu_j_NT(j, is_in_standard_form, Is_linear());
     }
     NT    mu_j_NT( int j, Tag_false, Tag_true) const; // variable bounds, LP
@@ -126,12 +126,12 @@ class QP__filtered_base : virtual public
 
     // some more types
     typedef  typename Q::A_iterator   A_iterator;
-    typedef  typename Q::C_iterator   C_iterator;   
+    typedef  typename Q::C_iterator   C_iterator;
     typedef  typename std::iterator_traits
         <typename Q::D_iterator>::value_type
                                         D_row_iterator;
     typedef  typename Q::R_iterator R_iterator;
-					
+
     typedef typename Base::QP_solver::C_auxiliary_iterator C_auxiliary_iterator;
 
     typedef  typename Base::QP_solver::Basic_variable_index_iterator
@@ -144,10 +144,10 @@ class QP__filtered_base : virtual public
 
     // data members
     int n;                              // number of solver variables
-    NT q;                               // for the error bounds 
+    NT q;                               // for the error bounds
     mutable
     NT w_j_NT;                          // inexact version of w[j]
-  
+
     ET2NT                    et2nt_obj; // conversion from ET to NT
 
     Values_NT                lambda_NT; // NT version of lambda (from KKT)
@@ -191,7 +191,7 @@ template < typename Q, typename ET, type
 void  QP__filtered_base<Q,ET,Tags,NT_,ET2NT_>::
 set( int l, Tag_true)
 {
-     x_B_O_NT.resize( l, nt0);   
+     x_B_O_NT.resize( l, nt0);
 }
 
 // initialization
@@ -216,11 +216,11 @@ void  QP__filtered_base<Q,ET,Tags,NT_,ET
 init_NT( Tag_false)
 {
     if ( this->solver().number_of_basic_original_variables()
-	 > static_cast< int>( x_B_O_NT.size())) x_B_O_NT.push_back( nt0);
+         > static_cast< int>( x_B_O_NT.size())) x_B_O_NT.push_back( nt0);
 
     std::transform( this->solver().basic_original_variables_numerator_begin(),
-		    this->solver().basic_original_variables_numerator_end(),
-		    x_B_O_NT.begin(), et2nt_obj);
+                    this->solver().basic_original_variables_numerator_end(),
+                    x_B_O_NT.begin(), et2nt_obj);
 }
 
 template < typename Q, typename ET, typename Tags, class NT_, class ET2NT_ >  inline        // LP case
@@ -249,10 +249,10 @@ template < typename Q, typename ET, type
 NT_  QP__filtered_base<Q,ET,Tags,NT_,ET2NT_>::
 mu_j_NT( int j, Tag_false, Tag_false) const // variable bounds, QP case
 {
-  w_j_NT = ( (j < n && this->solver().phase() == 2) ? 
-		et2nt_obj( this->solver().w_j_numerator(j)) : nt0 );
-  return this->solver().mu_j( j, lambda_NT.begin(), 
-				x_B_O_NT.begin(), w_j_NT, d_NT);
+  w_j_NT = ( (j < n && this->solver().phase() == 2) ?
+                et2nt_obj( this->solver().w_j_numerator(j)) : nt0 );
+  return this->solver().mu_j( j, lambda_NT.begin(),
+                                x_B_O_NT.begin(), w_j_NT, d_NT);
 }
 
 
@@ -274,14 +274,14 @@ transition( int, Tag_true)
 
 template < typename Q, typename ET, typename Tags, class NT_, class ET2NT_ >  inline // standard form
 void  QP__filtered_base<Q,ET,Tags,NT_,ET2NT_>::
-set_q(int c, int b, Tag_true) 
+set_q(int c, int b, Tag_true)
 {
    q = std::ldexp( 1.015625 * ( c+b+1) * ( c+b+2), -53);
 }
 
 template < typename Q, typename ET, typename Tags, class NT_, class ET2NT_ >  inline // variable bounds
 void  QP__filtered_base<Q,ET,Tags,NT_,ET2NT_>::
-set_q(int c, int b, Tag_false) 
+set_q(int c, int b, Tag_false)
 {
    q = std::ldexp( 1.015625 * ( c+b+2) * ( c+b+3), -53);
 }
diff -pruN 5.0.2-3/include/CGAL/QP_solver/QP__filtered_base_impl.h 5.0.3-1/include/CGAL/QP_solver/QP__filtered_base_impl.h
--- 5.0.2-3/include/CGAL/QP_solver/QP__filtered_base_impl.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/QP__filtered_base_impl.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/QP__filtered_base_impl.h $
-// $Id: QP__filtered_base_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/QP__filtered_base_impl.h $
+// $Id: QP__filtered_base_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
@@ -26,7 +26,7 @@ set( )
 {
     // reserve memory for NT versions of current solution
     //int  l = (std::min)( this->solver().number_of_variables(),
-    //		           this->solver().number_of_constraints());
+    //                           this->solver().number_of_constraints());
     int l = this->solver().get_l();
     lambda_NT.resize( l, nt0);
     set( l, Is_linear());
@@ -56,16 +56,16 @@ init( )
               v_it != this->solver().c_auxiliary_value_iterator_end(); ++v_it) {
         if (*v_it > row_max_c) row_max_c = (*v_it);
     }
-        
+
     handled_A.insert( handled_A.end(), m, false);
     row_max_A.insert( row_max_A.end(), m, nt0);
 
     col_max.insert( col_max.end(), n,   nt0);               // original
     col_max.insert( col_max.end(), s, nt1);               // slack
-    							  //auxiliary
+                                                              //auxiliary
     for ( v_it = this->solver().c_auxiliary_value_iterator_begin();
           v_it != this->solver().c_auxiliary_value_iterator_end(); ++v_it) {
-	      col_max.insert( col_max.end(), (*v_it));
+              col_max.insert( col_max.end(), (*v_it));
     }
 }
 
@@ -78,8 +78,8 @@ init_NT( )
 
     // get inexact version of 'lambda'
     std::transform( this->solver().get_lambda_begin(),
-		    this->solver().get_lambda_end(),
-		    lambda_NT.begin(), et2nt_obj);
+                    this->solver().get_lambda_end(),
+                    lambda_NT.begin(), et2nt_obj);
 
     // get inexact version of 'x_B_O'
     init_NT( Is_linear());
@@ -96,18 +96,18 @@ init_NT( )
 // C_j   := max_j (|c_j|, max_i |A_ij|, max_i |D_ij|)
 //
 // U := max(
-//          d_NT * R_0, 
+//          d_NT * R_0,
 //          max_{i basic} |lambda_NT[i]| * R_i^A,
 //          max_{j basic} |x_NT[j]| * R_j^D
 //         )
 // W := max(
-//          d_NT, 
+//          d_NT,
 //          max_{i basic} |lambda_NT[i]|,
 //          max_{j basic} |x_NT[j]|
 //         )
 // Note: all max_{j basic} are over basic ORIGINAL variables only
 //
-// q := (1+1/64) * 
+// q := (1+1/64) *
 //      (#basic constraints + #basic original variables + 1) *
 //      (#basic constraints + #basic original variables + 2) * 2^(-53)
 //
@@ -116,7 +116,7 @@ init_NT( )
 // min (U * q, W * q * C_j)
 //
 // the code maintains and manipulates:
-// 
+//
 // row_max_c    = R_0   (set in init() for phase I, transition() for phase II)
 // row_max_A[i] = R_i^A (set in update_maxima())
 // row_max_D[i] = R_i^D (set in update_maxima(Tag_false))
@@ -128,17 +128,17 @@ init_NT( )
 // -------------------------------
 // in the scalar product considered on p.100, we have another term:
 // d * w_j, where w_j is the correction term 2 x_N^T D_Nj that shows
-// up additionally in the pricing and that the QP_solver maintains in 
+// up additionally in the pricing and that the QP_solver maintains in
 // the vector w. The first bound on p.101 yields U, while the second
 // bound yields W. This means that
 // - C_j = max_y|y_i| has an additional term |w_NT[j]| in the maximum,
 // - U has an additional term d_NT * R_w in the maximum, where
-// 
+//
 //     R_w = max_j |w_j|
 //
 // The problem is that R_w is not a static quantity like max_j|c_j|,
 // so it has to be handled per j in certify_mu_j_NT:
-// --> for q: (c+b)*(c+b+1) -> (c+b+1)*(c+b+2) 
+// --> for q: (c+b)*(c+b+1) -> (c+b+1)*(c+b+2)
 // --> for bound1: take d_NT * |w_NT[j]| into account for U
 // --> for bound2: take |w_NT[j]| into account for C_j
 
@@ -164,35 +164,35 @@ update_maxima( )
     Basic_constraint_index_iterator  it;
     Values_NT_iterator v_it = lambda_NT.begin();
     for ( it =  this->solver().basic_constraint_indices_begin();
-	  it != this->solver().basic_constraint_indices_end(); ++it, ++v_it) {
-	row = *it;
+          it != this->solver().basic_constraint_indices_end(); ++it, ++v_it) {
+        row = *it;
 
-	// row not handled yet?
-	if ( ! handled_A[ row]) {
+        // row not handled yet?
+        if ( ! handled_A[ row]) {
 
-	    // slack variable (or artificial in phase I) involved?
-	    row_max = (    ( r_it[ row] != CGAL::EQUAL)
-			|| ( this->solver().phase() == 1) ? nt1 : nt0);
-
-	    // scan row and update maxima
-	    for ( col = 0; col < n; ++col) {
-		z = CGAL::abs( *((*(a_it + col))+row));
-		if ( z > row_max      ) row_max       = z;
-		if ( z > col_max[ col]) col_max[ col] = z;
-	    }
-	    row_max_A[ row] = row_max;
-	    handled_A[ row] = true;
-	}
-	// update bounds
-	z = CGAL::abs( *v_it);
-	if ( z > bound2_wq) bound2_wq = z;
-	z *= row_max_A[ row];
-	if ( z > bound1) bound1 = z;
+            // slack variable (or artificial in phase I) involved?
+            row_max = (    ( r_it[ row] != CGAL::EQUAL)
+                        || ( this->solver().phase() == 1) ? nt1 : nt0);
+
+            // scan row and update maxima
+            for ( col = 0; col < n; ++col) {
+                z = CGAL::abs( *((*(a_it + col))+row));
+                if ( z > row_max      ) row_max       = z;
+                if ( z > col_max[ col]) col_max[ col] = z;
+            }
+            row_max_A[ row] = row_max;
+            handled_A[ row] = true;
+        }
+        // update bounds
+        z = CGAL::abs( *v_it);
+        if ( z > bound2_wq) bound2_wq = z;
+        z *= row_max_A[ row];
+        if ( z > bound1) bound1 = z;
     }
 
     // update row and column maxima of 'D', if necessary
     if (this->solver().phase() == 1) {
-    	update_maxima( Tag_true());
+            update_maxima( Tag_true());
     } else {
         update_maxima( Is_linear());
     }
@@ -205,8 +205,8 @@ update_maxima( )
     bound2_wq *= q;
 
     CGAL_qpe_debug {
-	this->vout() << std::endl
-	       << "first bound for certification: " << bound1 << std::endl;
+        this->vout() << std::endl
+               << "first bound for certification: " << bound1 << std::endl;
     }
 }
 
@@ -222,29 +222,29 @@ update_maxima( Tag_false)
     Basic_variable_index_iterator  it;
     Values_NT_iterator v_it = x_B_O_NT.begin();
     for ( it =  this->solver().basic_original_variable_indices_begin();
-	  it != this->solver().basic_original_variable_indices_end();
-	  ++it, ++v_it) {
-	row = *it;
-
-	// row not handled yet?
-	if ( ! handled_D[ row]) {
-	    d_row_it = this->solver().d_begin()[ row];
-
-	    // scan row and update maxima
-	    row_max = nt0;
-	    for ( col = 0; col < n; ++col, ++d_row_it) {
-		z = CGAL::abs( *d_row_it);
-		if ( z > row_max      ) row_max       = z;
-		if ( z > col_max[ col]) col_max[ col] = z;
-	    }
-	    row_max_D[ row] = row_max;
-	    handled_D[ row] = true;
-	}
-	// update bounds
-	z = CGAL::abs( (*v_it));
-	if ( z > bound2_wq) bound2_wq = z;
-	z *= row_max_D[ row];
-	if ( z > bound1) bound1 = z;
+          it != this->solver().basic_original_variable_indices_end();
+          ++it, ++v_it) {
+        row = *it;
+
+        // row not handled yet?
+        if ( ! handled_D[ row]) {
+            d_row_it = this->solver().d_begin()[ row];
+
+            // scan row and update maxima
+            row_max = nt0;
+            for ( col = 0; col < n; ++col, ++d_row_it) {
+                z = CGAL::abs( *d_row_it);
+                if ( z > row_max      ) row_max       = z;
+                if ( z > col_max[ col]) col_max[ col] = z;
+            }
+            row_max_D[ row] = row_max;
+            handled_D[ row] = true;
+        }
+        // update bounds
+        z = CGAL::abs( (*v_it));
+        if ( z > bound2_wq) bound2_wq = z;
+        z *= row_max_D[ row];
+        if ( z > bound1) bound1 = z;
     }
 }
 
@@ -259,9 +259,9 @@ update_maxima( Tag_true)
     Values_NT_iterator v_it;
     for ( v_it = x_B_O_NT.begin(); v_it != x_B_O_NT.end(); ++v_it) {
 
-	// update bounds
-	z = CGAL::abs( (*v_it));
-	if ( z > bound2_wq) bound2_wq = z;
+        // update bounds
+        z = CGAL::abs( (*v_it));
+        if ( z > bound2_wq) bound2_wq = z;
     }
 }
 
@@ -273,32 +273,32 @@ certify_mu_j_NT( int j, Tag_true) const
     NT  mu = mu_j_NT( j);
 
     CGAL_qpe_debug {
-	this->vout() << "mu_" << j << " [NT]: " << mu;
+        this->vout() << "mu_" << j << " [NT]: " << mu;
     }
 
     // check against first bound
     if ( mu >= bound1) {
-	CGAL_qpe_debug {
-	    this->vout() << "  ok [1]" << std::endl;
-	}
-	return true;
+        CGAL_qpe_debug {
+            this->vout() << "  ok [1]" << std::endl;
+        }
+        return true;
     }
 
     // compute and check against second bound
     NT  bound2 = bound2_wq * col_max[ j];
     if ( mu >= bound2) {
-	CGAL_qpe_debug {
-	    this->vout() << "  ok [2: " << bound2 << "]" << std::endl;
-	}
-	return true;
+        CGAL_qpe_debug {
+            this->vout() << "  ok [2: " << bound2 << "]" << std::endl;
+        }
+        return true;
     }
 
     // compute and check exact 'mu_j'
     ET  mu_et = this->mu_j( j);
 
     CGAL_qpe_debug {
-	this->vout() << "  " << ( mu_et >= this->et0 ? "ok" : "MISSED")
-	       << " [exact: " << mu_et << "]" << std::endl;
+        this->vout() << "  " << ( mu_et >= this->et0 ? "ok" : "MISSED")
+               << " [exact: " << mu_et << "]" << std::endl;
     }
     return ( mu_et >= this->et0);
 }
@@ -318,7 +318,7 @@ certify_mu_j_NT( int j, Tag_false) const
   // check against first bound, taking w_j_NT into account
   // q has been set in previous call to update_maxima()
   // bound1_with_w = (U + d_NT*|w_j|) * q
-  NT bound1_with_w = bound1 + (d_NT * w_j_NT_abs * q); 
+  NT bound1_with_w = bound1 + (d_NT * w_j_NT_abs * q);
   if ( mu >= bound1_with_w) {
     CGAL_qpe_debug {
       this->vout() << "  ok [1]" << std::endl;
@@ -342,7 +342,7 @@ certify_mu_j_NT( int j, Tag_false) const
 
   CGAL_qpe_debug {
     this->vout() << "  " << (!improving ? "ok" : "MISSED")
-		 << " [exact: " << mu_et << "]" << std::endl;
+                 << " [exact: " << mu_et << "]" << std::endl;
   }
   return ( !improving);
 }
@@ -358,9 +358,9 @@ transition( )
     NT  z;
     row_max_c = nt0;
     for ( int i = 0; i < n; ++i, ++c_it) {
-	z = CGAL::abs( *c_it);
-	if ( z > row_max_c  ) row_max_c   = z;
-	if ( z > col_max[ i]) col_max[ i] = z;
+        z = CGAL::abs( *c_it);
+        if ( z > row_max_c  ) row_max_c   = z;
+        if ( z > col_max[ i]) col_max[ i] = z;
     }
 
     // initialize row maxima of 'D', if necessary
diff -pruN 5.0.2-3/include/CGAL/QP_solver/QP_full_exact_pricing.h 5.0.3-1/include/CGAL/QP_solver/QP_full_exact_pricing.h
--- 5.0.2-3/include/CGAL/QP_solver/QP_full_exact_pricing.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/QP_full_exact_pricing.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/QP_full_exact_pricing.h $
-// $Id: QP_full_exact_pricing.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/QP_full_exact_pricing.h $
+// $Id: QP_full_exact_pricing.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
@@ -53,10 +53,10 @@ class QP_full_exact_pricing : public QP_
 
   // operations
   int  pricing(int& direction );
-    
+
   // cleanup
   ~QP_full_exact_pricing() { };
-    
+
  private:
   int pricing_helper(int& direction, Tag_true  /*is_in_standard_form*/);
   int pricing_helper(int& direction, Tag_false /*is_in_standard_form*/);
@@ -74,7 +74,7 @@ QP_full_exact_pricing<Q,ET,Tags>::
 QP_full_exact_pricing()
   : QP_pricing_strategy<Q,ET,Tags>("full exact")
 { }
-    
+
 // operations
 template < typename Q, typename ET, typename Tags >
 int  QP_full_exact_pricing<Q,ET,Tags>::
@@ -97,75 +97,75 @@ pricing_helper(int& /*direction*/, Tag_t
 
     // variable non-basic?
     if (!this->solver().is_basic(j)) {
-	
+
       // don't price artificial variables:
       if (this->solver().is_artificial(j)) {
-	CGAL_qpe_debug { 
-	  this->vout() << "mu_" << j << ": artificial [ not priced ]"
-		       << std::endl;
-	}
-	continue;
+        CGAL_qpe_debug {
+          this->vout() << "mu_" << j << ": artificial [ not priced ]"
+                       << std::endl;
+        }
+        continue;
       }
 
       // compute mu_j:
       mu = this->mu_j(j);
 
       CGAL_qpe_debug {
-	this->vout() << "mu_" << j << ": " << mu << std::endl;
+        this->vout() << "mu_" << j << ": " << mu << std::endl;
       }
 
       // new minimum?
       if (mu < min_mu) { min_j = j; min_mu = mu; }
     }
   }
-  CGAL_qpe_debug { 
+  CGAL_qpe_debug {
     this->vout() << std::endl;
   }
 
   // return index of entering variable:
   return min_j;
-    
+
 }
 
 template < typename Q, typename ET, typename Tags >
 int  QP_full_exact_pricing<Q,ET,Tags>::
 pricing_helper(int& direction, Tag_false /*is_in_standard_form*/)
 {
-    
+
   // get properties of quadratic program:
   int  w = this->solver().number_of_working_variables();
 
   // loop over all non-basic variables:
   int  j,  min_j  = -1;
-  // 
+  //
   ET   min_mu = this->et0;     // Note: for mu_j > 0 we will compare -mu_j and
-			       // min_mu.
+                               // min_mu.
   for (j = 0; j < w; ++j) {
 
     // variable non-basic?
     if (!this->solver().is_basic(j)) {
-	
+
       // don't price artificial variables:
       if (this->solver().is_artificial(j)) {
-	CGAL_qpe_debug { 
-	  this->vout() << "mu_" << j << ": artificial [ not priced ]"
-		       << std::endl;
-	}
-	continue;
+        CGAL_qpe_debug {
+          this->vout() << "mu_" << j << ": artificial [ not priced ]"
+                       << std::endl;
+        }
+        continue;
       }
-      
+
       const ET mu = this->mu_j(j);
       // from pricing strategy base class
-      price_dantzig (j, mu, this->et0, min_j, min_mu, direction);          
+      price_dantzig (j, mu, this->et0, min_j, min_mu, direction);
     }
   }
-  CGAL_qpe_debug { 
+  CGAL_qpe_debug {
     this->vout() << std::endl;
   }
 
   // return index of entering variable
   return min_j;
-    
+
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/QP_solver/QP_full_filtered_pricing.h 5.0.3-1/include/CGAL/QP_solver/QP_full_filtered_pricing.h
--- 5.0.2-3/include/CGAL/QP_solver/QP_full_filtered_pricing.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/QP_full_filtered_pricing.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/QP_full_filtered_pricing.h $
-// $Id: QP_full_filtered_pricing.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/QP_full_filtered_pricing.h $
+// $Id: QP_full_filtered_pricing.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
-//                 Franz Wessendorp 
+//                 Franz Wessendorp
 //                 Kaspar Fischer
 
 #ifndef CGAL_QP_FULL_FILTERED_PRICING_H
@@ -54,7 +54,7 @@ class QP_full_filtered_pricing : public
 
     // operations
     int  pricing(int& direction );
-    
+
     // cleanup
     ~QP_full_filtered_pricing() { };
 
@@ -77,11 +77,11 @@ QP_full_filtered_pricing( ET2NT et2nt)
     : Base( "full filtered"),
       Filtered_base( et2nt)
 { }
-    
+
 // operations
 template < typename Q, typename ET, typename Tags, class NT_, class ET2NT_ >
 int  QP_full_filtered_pricing<Q,ET,Tags,NT_,ET2NT_>::
-pricing (int& direction) 
+pricing (int& direction)
 {
   return (pricing_helper(direction, Is_nonnegative()));
 }
@@ -101,67 +101,67 @@ pricing_helper(int& /*direction*/, Tag_t
     NT   mu, min_mu = this->nt0;
     for ( j = 0; j < w; ++j) {
 
-	// variable non-basic?
-	if ( ! this->solver().is_basic( j)) {
-	
-	    // don't price artificial variables
-	    if (this->solver().is_artificial( j)) continue;
-
-
-	    // compute mu_j
-	    mu = this->mu_j_NT( j);
-
-	    CGAL_qpe_debug {
-		this->vout() << "mu_" << j << " [NT]: " << mu << std::endl;
-	    }
-
-	    // new minimum?
-	    if ( mu < min_mu) { min_j = j; min_mu = mu; }
-	}
+        // variable non-basic?
+        if ( ! this->solver().is_basic( j)) {
+
+            // don't price artificial variables
+            if (this->solver().is_artificial( j)) continue;
+
+
+            // compute mu_j
+            mu = this->mu_j_NT( j);
+
+            CGAL_qpe_debug {
+                this->vout() << "mu_" << j << " [NT]: " << mu << std::endl;
+            }
+
+            // new minimum?
+            if ( mu < min_mu) { min_j = j; min_mu = mu; }
+        }
     }
 
     // exact check of entering variable
     if ( min_j >= 0) {
-	if ( this->mu_j( min_j) >= this->et0) {
+        if ( this->mu_j( min_j) >= this->et0) {
 
-	    // exact check failed!
-	    CGAL_qpe_debug {
-		this->vout() << "--> exact check of entering variable failed!"
-		       << std::endl;
-	    }
-	    
-	    min_j  = -1;
-	    min_mu = this->nt0;
-	}
+            // exact check failed!
+            CGAL_qpe_debug {
+                this->vout() << "--> exact check of entering variable failed!"
+                       << std::endl;
+            }
+
+            min_j  = -1;
+            min_mu = this->nt0;
+        }
     }
 
     // certify non-existence of entering variable, if necessary
     if ( min_j < 0) {
 
-	// update row and column maxima
-	this->update_maxima();
+        // update row and column maxima
+        this->update_maxima();
+
+        // loop over all non-basic variables again
+        for ( j = 0; j < w; ++j) {
 
-	// loop over all non-basic variables again
-	for ( j = 0; j < w; ++j) {
+            // variable non-basic?
+            if ( ! this->solver().is_basic( j)) {
 
-	    // variable non-basic?
-	    if ( ! this->solver().is_basic( j)) {
-	    
-	        // don't price artificial variables
-	        if (this->solver().is_artificial( j)) continue;
-
-
-		// certify 'mu_j >= 0'
-		if ( ! this->certify_mu_j_NT( j)) {
-
-		    // entering variable missed by inexact arithmetic
-		    min_j = j;
-		    break;
-		}
-	    }
-	}
+                // don't price artificial variables
+                if (this->solver().is_artificial( j)) continue;
+
+
+                // certify 'mu_j >= 0'
+                if ( ! this->certify_mu_j_NT( j)) {
+
+                    // entering variable missed by inexact arithmetic
+                    min_j = j;
+                    break;
+                }
+            }
+        }
     }
-    CGAL_qpe_debug { 
+    CGAL_qpe_debug {
       this->vout() << std::endl;
     }
     // return index of entering variable
@@ -183,64 +183,64 @@ pricing_helper(int& direction, Tag_false
     NT   mu, min_mu = this->nt0;
     for ( j = 0; j < w; ++j) {
 
-	// variable non-basic?
-	if ( ! this->solver().is_basic( j)) {
-	
-	    // don't price artificial variables
-	    if (this->solver().is_artificial( j)) continue;
-
-
-	    // compute mu_j
-	    mu = this->mu_j_NT( j);
-
-	    CGAL_qpe_debug {
-		this->vout() << "mu_" << j << " [NT]: " << mu << std::endl;
-	    }
-	    // from pricing strategy base class
-	    this->price_dantzig (j, mu, this->nt0, min_j, min_mu, direction);
-	}
+        // variable non-basic?
+        if ( ! this->solver().is_basic( j)) {
+
+            // don't price artificial variables
+            if (this->solver().is_artificial( j)) continue;
+
+
+            // compute mu_j
+            mu = this->mu_j_NT( j);
+
+            CGAL_qpe_debug {
+                this->vout() << "mu_" << j << " [NT]: " << mu << std::endl;
+            }
+            // from pricing strategy base class
+            this->price_dantzig (j, mu, this->nt0, min_j, min_mu, direction);
+        }
     }
 
     if ( min_j >= 0) {
         // exact check; do we really have an entering variable
-	if (!this->is_improving(min_j, this->mu_j( min_j), this->et0)) {
+        if (!this->is_improving(min_j, this->mu_j( min_j), this->et0)) {
 
-	    // exact check failed!
-	    CGAL_qpe_debug {
-		this->vout() << "--> exact check of entering variable failed!"
-		       << std::endl;
-	    }
-	    
-	    min_j  = -1;
-	    min_mu = this->nt0;
-	}
+            // exact check failed!
+            CGAL_qpe_debug {
+                this->vout() << "--> exact check of entering variable failed!"
+                       << std::endl;
+            }
+
+            min_j  = -1;
+            min_mu = this->nt0;
+        }
     }
 
     if ( min_j == -1) {
         // try to certify non-existence of entering variable, based on
         // error bounds
-	this->update_maxima();
+        this->update_maxima();
+
+        // loop over all non-basic variables again
+        for ( j = 0; j < w; ++j) {
+
+            // variable non-basic?
+            if ( ! this->solver().is_basic( j)) {
+
+                // don't price artificial variables
+                if (this->solver().is_artificial( j)) continue;
 
-	// loop over all non-basic variables again
-	for ( j = 0; j < w; ++j) {
+                // certify that j is not improving
+                if ( ! this->certify_mu_j_NT( j)) {
 
-	    // variable non-basic?
-	    if ( ! this->solver().is_basic( j)) {
-	    
-	        // don't price artificial variables
-	        if (this->solver().is_artificial( j)) continue;
-
-		// certify that j is not improving
-		if ( ! this->certify_mu_j_NT( j)) {
-
-		    // entering variable missed by inexact arithmetic
-		    min_j = j;
-		    break;
-		}
-	    }
-	}
+                    // entering variable missed by inexact arithmetic
+                    min_j = j;
+                    break;
+                }
+            }
+        }
     }
-    CGAL_qpe_debug { 
+    CGAL_qpe_debug {
       this->vout() << std::endl;
     }
 
diff -pruN 5.0.2-3/include/CGAL/QP_solver/QP_functions_impl.h 5.0.3-1/include/CGAL/QP_solver/QP_functions_impl.h
--- 5.0.2-3/include/CGAL/QP_solver/QP_functions_impl.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/QP_functions_impl.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/QP_functions_impl.h $
-// $Id: QP_functions_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/QP_functions_impl.h $
+// $Id: QP_functions_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Bernd Gaertner <gaertner@inf.ethz.ch>
 #ifndef CGAL_QP_FUNCTIONS_IMPL_H
@@ -27,8 +27,8 @@ namespace CGAL {
 namespace QP_functions_detail {
   // test whether the system is of the form A x == b (equations only)
   template <typename R>
-  bool is_in_equational_form (const R& r) 
-  {	     
+  bool is_in_equational_form (const R& r)
+  {
     typename R::R_iterator it = r.get_r();
     typename R::R_iterator end = it + r.get_m();
     for (; it < end; ++it)
@@ -36,11 +36,11 @@ namespace QP_functions_detail {
     return true;
   }
 
-  // test whether the row vectors of A that correpsond to equations 
+  // test whether the row vectors of A that correpsond to equations
   // are linearly independent; this is done using type ET. The value
   // type of LinearInequalitySystem must be convertible to ET
   template <class Ar, class ET>
-  bool has_linearly_independent_equations 
+  bool has_linearly_independent_equations
   (const Ar& ar, const ET& /*dummy*/) {
     // we solve the following auxiliary LP, using exact type ET:
     // --------
@@ -48,19 +48,19 @@ namespace QP_functions_detail {
     // A x r  0
     //   x >= 0
     // --------
-    // Then A has linearly independent equations if and only if all 
-    // artificials have left the basis after phase I; the QP_solver 
+    // Then A has linearly independent equations if and only if all
+    // artificials have left the basis after phase I; the QP_solver
     // diagnostics tells us this
     //
-    // auxiliary LP type	
-    typedef typename 
+    // auxiliary LP type
+    typedef typename
       std::iterator_traits<typename Ar::C_iterator>::value_type C_value;
-    typedef typename 
+    typedef typename
       std::iterator_traits<typename Ar::B_iterator>::value_type B_value;
     typedef Const_oneset_iterator <C_value>  C_iterator;
     typedef Const_oneset_iterator <B_value>  B_iterator;
     typedef Nonnegative_linear_program_from_iterators
-      <typename Ar::A_iterator, B_iterator, 
+      <typename Ar::A_iterator, B_iterator,
       typename Ar::R_iterator, C_iterator> LP;
 
     //  auxiliary LP
@@ -82,7 +82,7 @@ namespace QP_functions_detail {
 
   // helper for MPS output: BOUNDS
   template <typename P>
-  void print_bounds 
+  void print_bounds
   (std::ostream& , const P& ,
    CGAL::Tag_true /*is_nonnegative*/)
   {
@@ -91,8 +91,8 @@ namespace QP_functions_detail {
 
   // helper for MPS output: BOUNDS
   template <typename P>
-  void print_bounds 
-  (std::ostream& out, const P& p, 
+  void print_bounds
+  (std::ostream& out, const P& p,
    CGAL::Tag_false /*is_nonnegative*/)
   {
     typename P::FL_iterator fl = p.get_fl();
@@ -100,23 +100,23 @@ namespace QP_functions_detail {
     typename P::L_iterator l = p.get_l();
     typename P::U_iterator u = p.get_u();
     int n = p.get_n();
-    out << "BOUNDS\n"; 
+    out << "BOUNDS\n";
     for (int j=0; j<n; ++j, ++fl, ++l, ++fu, ++u) {
       if (!*fl || !CGAL::is_zero(*l)) {
-	if (*fl)
-	  out << "  LO  BND  x" << j << "  " << *l << "\n";
-	else
-	  out << "  MI  BND  x" << j << "\n";
+        if (*fl)
+          out << "  LO  BND  x" << j << "  " << *l << "\n";
+        else
+          out << "  MI  BND  x" << j << "\n";
       }
       if (*fu)
-	out << "  UP  BND  x" << j << "  " << *u << "\n";
-    } 
-  } 
+        out << "  UP  BND  x" << j << "  " << *u << "\n";
+    }
+  }
 
   // helper for MPS output: DMATRIX/QMATRIX
   template <typename P>
-  void print_qmatrix 
-  (std::ostream& , const P& , 
+  void print_qmatrix
+  (std::ostream& , const P& ,
    CGAL::Tag_true /*is_linear*/)
   {
     // nop
@@ -124,8 +124,8 @@ namespace QP_functions_detail {
 
   // helper for MPS output: DMATRIX/QMATRIX
   template <typename P>
-  void print_qmatrix 
-  (std::ostream& out, const P& p, 
+  void print_qmatrix
+  (std::ostream& out, const P& p,
    CGAL::Tag_false /*is_linear*/)
   {
     typename P::D_iterator it = p.get_d();
@@ -134,17 +134,17 @@ namespace QP_functions_detail {
     for (int i=0; i<n; ++i, ++it) {
       // handle only entries on/below diagonal
       for (int j=0; j<i+1; ++j)
-	if (!CGAL::is_zero(*(*it + j))) {
-	  if (empty_D) {
-	    // first time we see a nonzero entry
-	    out << "QMATRIX\n";
-	    empty_D = false;
-	  }
-	  out << "  x" << i << "  x" << j << "  " << *(*it + j) << "\n";
-	  // QMATRIX format prescribes symmetric matrix
-	  if (i != j)
-	    out << "  x" << j << "  x" << i << "  " << *(*it + j) << "\n";
-	}
+        if (!CGAL::is_zero(*(*it + j))) {
+          if (empty_D) {
+            // first time we see a nonzero entry
+            out << "QMATRIX\n";
+            empty_D = false;
+          }
+          out << "  x" << i << "  x" << j << "  " << *(*it + j) << "\n";
+          // QMATRIX format prescribes symmetric matrix
+          if (i != j)
+            out << "  x" << j << "  x" << i << "  " << *(*it + j) << "\n";
+        }
     }
   }
 
@@ -152,20 +152,20 @@ namespace QP_functions_detail {
   // they agree in n, m, a, b, r, fl, l, fu, u, d, c, c0
   // PRE: qp1, qp2 have the same internal number type
   template <typename Quadratic_program1, typename Quadratic_program2>
-  bool are_equal_qp 
+  bool are_equal_qp
   (const Quadratic_program1 &qp1, const Quadratic_program2 &qp2)
   {
     bool return_val = true;
     // check n
     if (qp1.get_n() != qp2.get_n()) {
-      std::cerr << "Equality test fails with n: " 
-		<< qp1.get_n() << " vs. " << qp2.get_n() << std::endl;
+      std::cerr << "Equality test fails with n: "
+                << qp1.get_n() << " vs. " << qp2.get_n() << std::endl;
       return false; // wildly wrong, abort now
     }
     // check m
     if (qp1.get_m() != qp2.get_m()) {
-      std::cerr << "Equality test fails with m: " 
-		<< qp1.get_m() << " vs. " << qp2.get_m() << std::endl;
+      std::cerr << "Equality test fails with m: "
+                << qp1.get_m() << " vs. " << qp2.get_m() << std::endl;
       return false; // wildly wrong, abort now
     }
     int n = qp1.get_n();
@@ -174,30 +174,30 @@ namespace QP_functions_detail {
     typename Quadratic_program1::A_iterator a1 = qp1.get_a();
     typename Quadratic_program2::A_iterator a2 = qp2.get_a();
     for (int j=0; j<n; ++j, ++a1, ++a2)
-      for (int i=0; i<m; ++i) 
-	if (*((*a1)+i) != *((*a2)+i)) {
-	  std::cerr << "Equality test fails with A[" 
-		    << j << "][" << i << "]: "
-		    << *((*a1)+i) << " vs. " <<  *((*a2)+i) << std::endl;
-	  return_val = false;
-	}
+      for (int i=0; i<m; ++i)
+        if (*((*a1)+i) != *((*a2)+i)) {
+          std::cerr << "Equality test fails with A["
+                    << j << "][" << i << "]: "
+                    << *((*a1)+i) << " vs. " <<  *((*a2)+i) << std::endl;
+          return_val = false;
+        }
     // check b
     typename Quadratic_program1::B_iterator b1 = qp1.get_b();
     typename Quadratic_program2::B_iterator b2 = qp2.get_b();
     for (int i=0; i<m; ++i, ++b1, ++b2)
       if (*b1 != *b2) {
-	std::cerr << "Equality test fails with b[" << i << "]: "
-		  << *b1 << " vs. " <<  *b2 << std::endl;	
-	return_val = false;
+        std::cerr << "Equality test fails with b[" << i << "]: "
+                  << *b1 << " vs. " <<  *b2 << std::endl;
+        return_val = false;
       }
     // check r
     typename Quadratic_program1::R_iterator r1 = qp1.get_r();
     typename Quadratic_program2::R_iterator r2 = qp2.get_r();
     for (int i=0; i<m; ++i, ++r1, ++r2)
       if (*r1 != *r2) {
-	std::cerr << "Equality test fails with r[" << i << "]: "
-		  << *r1 << " vs. " <<  *r2 << std::endl;	
-	return_val = false;
+        std::cerr << "Equality test fails with r[" << i << "]: "
+                  << *r1 << " vs. " <<  *r2 << std::endl;
+        return_val = false;
       }
     // check fl, l
     typename Quadratic_program1::FL_iterator fl1 = qp1.get_fl();
@@ -206,32 +206,32 @@ namespace QP_functions_detail {
     typename Quadratic_program2::L_iterator l2 = qp2.get_l();
     for (int j=0; j<n; ++j, ++fl1, ++fl2, ++l1, ++l2) {
       if (*fl1 != *fl2) {
-	std::cerr << "Equality test fails with fl[" << j << "]: "
-		  << *fl1 << " vs. " <<  *fl2 << std::endl;	
-	return_val = false;
+        std::cerr << "Equality test fails with fl[" << j << "]: "
+                  << *fl1 << " vs. " <<  *fl2 << std::endl;
+        return_val = false;
       }
       if ((*fl1 == true) && (*l1 != *l2)) {
-	std::cerr << "Equality test fails with l[" << j << "]: "
-		  << *l1 << " vs. " <<  *l2 << std::endl;
-	return_val = false;
+        std::cerr << "Equality test fails with l[" << j << "]: "
+                  << *l1 << " vs. " <<  *l2 << std::endl;
+        return_val = false;
       }
     }
-    
-    // check fu, u 
+
+    // check fu, u
     typename Quadratic_program1::FU_iterator fu1 = qp1.get_fu();
     typename Quadratic_program2::FU_iterator fu2 = qp2.get_fu();
     typename Quadratic_program1::U_iterator u1 = qp1.get_u();
     typename Quadratic_program2::U_iterator u2 = qp2.get_u();
     for (int j=0; j<n; ++j, ++fu1, ++fu2, ++u1, ++u2) {
       if (*fu1 != *fu2) {
-	std::cerr << "Equality test fails with fu[" << j << "]: "
-		  << *fu1 << " vs. " <<  *fu2 << std::endl;
-	return_val = false;
+        std::cerr << "Equality test fails with fu[" << j << "]: "
+                  << *fu1 << " vs. " <<  *fu2 << std::endl;
+        return_val = false;
       }
       if ((*fu1 == true) && (*u1 != *u2)) {
-	std::cerr << "Equality test fails with u[" << j << "]: "
-		  << *u1 << " vs. " <<  *u2 << std::endl;
-	return_val = false;
+        std::cerr << "Equality test fails with u[" << j << "]: "
+                  << *u1 << " vs. " <<  *u2 << std::endl;
+        return_val = false;
       }
     }
     // check d
@@ -239,27 +239,27 @@ namespace QP_functions_detail {
     typename Quadratic_program2::D_iterator d2 = qp2.get_d();
     for (int i=0; i<n; ++i, ++d1, ++d2)
       for (int j=0; j<i+1; ++j)  // only access entries on/below diagonal
-	if (*((*d1)+j) != *((*d2)+j)) {
-	  std::cerr << "Equality test fails with D["
-		    << i << "][" << j << "]: "
-		    << *((*d1)+j) << " vs. " <<  *((*d2)+j) << std::endl; 
-	  return_val = false;
-	}
+        if (*((*d1)+j) != *((*d2)+j)) {
+          std::cerr << "Equality test fails with D["
+                    << i << "][" << j << "]: "
+                    << *((*d1)+j) << " vs. " <<  *((*d2)+j) << std::endl;
+          return_val = false;
+        }
     // check c
     typename Quadratic_program1::C_iterator c1 = qp1.get_c();
     typename Quadratic_program2::C_iterator c2 = qp2.get_c();
     for (int j=0; j<n; ++j, ++c1, ++c2)
       if (*c1 != *c2) {
-	std::cerr << "Equality test fails with c[" << j << "]: "
-		  << *c1 << " vs. " <<  *c2 << std::endl;
-	return_val = false;
+        std::cerr << "Equality test fails with c[" << j << "]: "
+                  << *c1 << " vs. " <<  *c2 << std::endl;
+        return_val = false;
       }
     // check c0
     typename Quadratic_program1::C_entry c01 = qp1.get_c0();
     typename Quadratic_program2::C_entry c02 = qp2.get_c0();
     if (c01 != c02) {
       std::cerr << "Equality test fails with c0: "
-		<< c01 << " vs. " <<  c02 << std::endl;
+                << c01 << " vs. " <<  c02 << std::endl;
       return_val = false;
     }
     return return_val;
@@ -267,9 +267,9 @@ namespace QP_functions_detail {
 
   template <typename P, typename Is_linear, typename Is_nonnegative>
   void print_program
-  (std::ostream& out, const P& p, 
+  (std::ostream& out, const P& p,
    const std::string& problem_name,
-   Is_linear is_linear, 
+   Is_linear is_linear,
    Is_nonnegative is_nonnegative)
   {
     // NAME:
@@ -277,27 +277,27 @@ namespace QP_functions_detail {
 
     int n = p.get_n();
     int m = p.get_m();
- 
-    // ROWS section: 
+
+    // ROWS section:
     typename P::R_iterator r = p.get_r();
     out << "ROWS\n"
-	<< "  N obj\n";                       // for the objective function
+        << "  N obj\n";                       // for the objective function
     for (int i=0; i<m; ++i, ++r) {
       if (*r == CGAL::SMALLER)
-	out << "  L";
+        out << "  L";
       else if (*r == CGAL::EQUAL)
-	out << "  E";
+        out << "  E";
       else if (*r == CGAL::LARGER)
-	out << "  G";
+        out << "  G";
       else
-	CGAL_qpe_assertion_msg(false, "incorrect row-type");
-      out << " c" << i << "\n";               // row name is CI 
+        CGAL_qpe_assertion_msg(false, "incorrect row-type");
+      out << " c" << i << "\n";               // row name is CI
     }
 
     // COLUMNS section:
     typename P::A_iterator a = p.get_a();
     typename P::C_iterator c = p.get_c();
-    typedef 
+    typedef
       typename std::iterator_traits<typename P::C_iterator>::value_type IT;
     out << "COLUMNS\n";
     for (int j=0; j<n; ++j, ++c, ++a) {
@@ -305,48 +305,48 @@ namespace QP_functions_detail {
       // zero coefficients
       bool written = false;
       if (!CGAL_NTS is_zero (*c)) {
-	out << "  x" << j << "  obj  " << *c << "\n";
-	written = true;
+        out << "  x" << j << "  obj  " << *c << "\n";
+        written = true;
       }
-      for (int i=0; i<m; ++i) { 
-	if (!CGAL_NTS is_zero (*((*a)+i))) {
-	  out << "  x" << j << "  c" << i << "  " << *((*a)+i) << "\n";
-	  written = true;
-	}
+      for (int i=0; i<m; ++i) {
+        if (!CGAL_NTS is_zero (*((*a)+i))) {
+          out << "  x" << j << "  c" << i << "  " << *((*a)+i) << "\n";
+          written = true;
+        }
       }
       if (!written)
-	out << "  x" << j << "  obj  " << IT(0) << "\n";
+        out << "  x" << j << "  obj  " << IT(0) << "\n";
     }
- 
+
     // RHS section:
     typename P::B_iterator b = p.get_b();
     out << "RHS\n";
     if (!CGAL_NTS is_zero (p.get_c0()))
       out << "  rhs obj " << -p.get_c0() << "\n";
-    for (int i=0; i<m; ++i, ++b)  
+    for (int i=0; i<m; ++i, ++b)
       if (!CGAL_NTS is_zero (*b))
-	out << "  rhs c" << i << "  " << *b << "\n";
+        out << "  rhs c" << i << "  " << *b << "\n";
 
     // BOUNDS section:
-    QP_functions_detail::print_bounds (out, p, is_nonnegative); 
+    QP_functions_detail::print_bounds (out, p, is_nonnegative);
 
     // QMATRIX section:
     QP_functions_detail::print_qmatrix (out, p, is_linear);
- 
+
     // output end:
     out << "ENDATA\n";
   }
 
-  template <typename Program, typename ET, 
-	    typename Is_linear,typename Is_nonnegative >
-  Quadratic_program_solution<ET> solve_program 
-  (const Program &p, const ET&, 
-   Is_linear, 
+  template <typename Program, typename ET,
+            typename Is_linear,typename Is_nonnegative >
+  Quadratic_program_solution<ET> solve_program
+  (const Program &p, const ET&,
+   Is_linear,
    Is_nonnegative,
    const Quadratic_program_options& options)
-  { 
+  {
     typedef QP_solver<
-      Program, ET, 
+      Program, ET,
       QP_solver_impl::QP_tags<Is_linear, Is_nonnegative> >
       Solver;
     const Solver* s = new Solver(p, options);
@@ -354,39 +354,39 @@ namespace QP_functions_detail {
     if (options.get_auto_validation()) {
       // validate solution
       if (options.get_verbosity() > 0)
-	std::cout << "Validating solution...\n";
+        std::cout << "Validating solution...\n";
       if (!solution.solves_program(p, Is_linear(), Is_nonnegative())) {
-	// write log file
-	std::ofstream out("QP_solver.log");
-	out << "Error: Program solution is invalid\n"
-	    << "  (error message: " << solution.get_error() << ")\n"
-	    << "------------------\n"
-	    << "Solution function:\n"
-	    << "------------------\n";
-	print_solution_function (out, Is_linear(), Is_nonnegative());
-	out << "\n"
-	    << "--------\n"
-	    << "Program:\n" 
-	    << "--------\n";
-	print_program (out, p, "unsolved", Is_linear(), Is_nonnegative());
-	out << "--------\n"
-	    << "Options:\n"
-	    << "--------\n"
-	    << options << std::endl;
-	// print warning
-	std::cerr 
-	  << "Error: Program solution is invalid "
-	  << "(see QP_solver.log for details)" << std::endl;
+        // write log file
+        std::ofstream out("QP_solver.log");
+        out << "Error: Program solution is invalid\n"
+            << "  (error message: " << solution.get_error() << ")\n"
+            << "------------------\n"
+            << "Solution function:\n"
+            << "------------------\n";
+        print_solution_function (out, Is_linear(), Is_nonnegative());
+        out << "\n"
+            << "--------\n"
+            << "Program:\n"
+            << "--------\n";
+        print_program (out, p, "unsolved", Is_linear(), Is_nonnegative());
+        out << "--------\n"
+            << "Options:\n"
+            << "--------\n"
+            << options << std::endl;
+        // print warning
+        std::cerr
+          << "Error: Program solution is invalid "
+          << "(see QP_solver.log for details)" << std::endl;
       }
     }
     return solution;
-      
+
   }
 }
 
 template <typename QuadraticProgram, typename ET>
-Quadratic_program_solution<ET> solve_quadratic_program 
-(const QuadraticProgram &qp, const ET& dummy, 
+Quadratic_program_solution<ET> solve_quadratic_program
+(const QuadraticProgram &qp, const ET& dummy,
  const Quadratic_program_options& options)
 {
   return QP_functions_detail::
@@ -394,7 +394,7 @@ Quadratic_program_solution<ET> solve_qua
 }
 
 template <typename NonnegativeQuadraticProgram, typename ET>
-Quadratic_program_solution<ET> solve_nonnegative_quadratic_program 
+Quadratic_program_solution<ET> solve_nonnegative_quadratic_program
 (const NonnegativeQuadraticProgram &qp, const ET& dummy,
  const Quadratic_program_options& options)
 {
@@ -403,7 +403,7 @@ Quadratic_program_solution<ET> solve_non
 }
 
 template <typename LinearProgram, typename ET>
-Quadratic_program_solution<ET> solve_linear_program 
+Quadratic_program_solution<ET> solve_linear_program
 (const LinearProgram &lp, const ET& dummy,
  const Quadratic_program_options& options)
 {
@@ -412,7 +412,7 @@ Quadratic_program_solution<ET> solve_lin
 }
 
 template <typename NonnegativeLinearProgram, typename ET>
-Quadratic_program_solution<ET> solve_nonnegative_linear_program 
+Quadratic_program_solution<ET> solve_nonnegative_linear_program
 (const NonnegativeLinearProgram &lp, const ET& dummy,
  const Quadratic_program_options& options)
 {
diff -pruN 5.0.2-3/include/CGAL/QP_solver/QP__partial_base.h 5.0.3-1/include/CGAL/QP_solver/QP__partial_base.h
--- 5.0.2-3/include/CGAL/QP_solver/QP__partial_base.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/QP__partial_base.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/QP__partial_base.h $
-// $Id: QP__partial_base.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/QP__partial_base.h $
+// $Id: QP__partial_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Sven Schoenherr 
+//
+// Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
-//                 Franz Wessendorp 
+//                 Franz Wessendorp
 //                 Kaspar Fischer
 
 #ifndef CGAL_QP__PARTIAL_BASE_H
@@ -40,16 +40,16 @@ struct transition_sync_functor {
     // Note that we rely here on working_vars being the number of
     // variables without artificials and the solvers in_B variable
     // being up to date. Furthermore the operator() below relies on short
-    // circuit evaluation   
+    // circuit evaluation
 
     transition_sync_functor( const Solver& s, int w) : amb_solver(s),
-        working_vars(w) { } 
-         
+        working_vars(w) { }
+
     bool operator() (int i) {
         return (i < working_vars) && !amb_solver.is_basic(i);
     }
-    
-private:    
+
+private:
     const Solver& amb_solver;
     int working_vars;
 };
@@ -94,14 +94,14 @@ class QP__partial_base : virtual public
     virtual  void  transition( );
 
   private:
-  
+
     // data members
     Indices                  N;         // non-basis;
     int                      s;         // size of active set
 
     bool                     permute;   // flag: permute initial non-basis
     Random&                  rand_src;  // random source
-    
+
     //basic_functor<QP_solver> is_non_basic;
 };
 
@@ -131,7 +131,7 @@ init( )
     if ( ! N.empty()) N.clear();
     N.reserve( w-b);                                        // use 'w' ???
     for ( int i = 0; i < w; ++i) {
-	if ( ! this->solver().is_basic( i)) N.push_back( i);
+        if ( ! this->solver().is_basic( i)) N.push_back( i);
     }
     if ( permute) CGAL::cpp98::random_shuffle( N.begin(), N.end(), rand_src);
 
@@ -139,10 +139,10 @@ init( )
     int  n = this->solver().number_of_variables();
     int  m = this->solver().number_of_constraints();
     // we also want to cover the high constraints/variable ratio
-    if (n < m) (std::swap)(n,m); 
+    if (n < m) (std::swap)(n,m);
 
     s = (std::min)( static_cast< unsigned int>( m*std::sqrt( n/2.0)),
-		    static_cast< unsigned int>(N.size()));
+                    static_cast< unsigned int>(N.size()));
 
     //is_non_basic.init(this->solver());
 }
@@ -168,7 +168,7 @@ QP__partial_base<Q,ET,Tags>::
 activating( Index_const_iterator& it)
 {
     CGAL_qpe_precondition(
-	it >= inactive_set_begin() && it < inactive_set_end());
+        it >= inactive_set_begin() && it < inactive_set_end());
 
     // 'append' to active set
     std::swap( const_cast< typename Indices::value_type&>( *it), N[ s]);
@@ -184,14 +184,14 @@ leaving_basis( int i)
     // all non-basic variables active?
     if ( s == static_cast< int>( N.size())) {
 
-	// append at the end of all non-basic variables
-	N.push_back( i);
+        // append at the end of all non-basic variables
+        N.push_back( i);
 
     } else {
 
-	// insert at the end of the current active subset
-	N.push_back( N[ s]);
-	N[ s] = i;
+        // insert at the end of the current active subset
+        N.push_back( N[ s]);
+        N[ s] = i;
     }
     ++s;
 }
@@ -209,22 +209,22 @@ transition( )
     // been updated.
     // Remove from N the artificial variables as well.
     // Note that we rely on the number of working variables including only
-    // original and slack variables, the solvers in_B variable must be 
+    // original and slack variables, the solvers in_B variable must be
     // up to date.
     // Furthermore we rely on std::partition not destroying the randomness
     // of the order of the nonbasic variables in N.
-    
-    int  w = this->solver().number_of_working_variables();    
+
+    int  w = this->solver().number_of_working_variables();
     transition_sync_functor<QP_solver> is_non_basic(this->solver(), w);
     N.erase( std::partition( N.begin(), N.end(),
-			     is_non_basic), N.end());
-    
+                             is_non_basic), N.end());
+
     // initialize size of active set
     int  n = this->solver().number_of_variables();
     int  m = this->solver().number_of_constraints();
 
     s = (std::min)( static_cast< unsigned int>( m*std::sqrt( n/2.0)),
-		    static_cast< unsigned int>(N.size()));
+                    static_cast< unsigned int>(N.size()));
 }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/QP_solver/QP_partial_exact_pricing.h 5.0.3-1/include/CGAL/QP_solver/QP_partial_exact_pricing.h
--- 5.0.2-3/include/CGAL/QP_solver/QP_partial_exact_pricing.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/QP_partial_exact_pricing.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/QP_partial_exact_pricing.h $
-// $Id: QP_partial_exact_pricing.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/QP_partial_exact_pricing.h $
+// $Id: QP_partial_exact_pricing.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
-//                 Franz Wessendorp 
+//                 Franz Wessendorp
 //                 Kaspar Fischer
 
 #ifndef CGAL_QP_PARTIAL_EXACT_PRICING_H
@@ -50,11 +50,11 @@ class QP_partial_exact_pricing : public
 
     // creation
     QP_partial_exact_pricing( bool     randomize = false,
-			       Random&  random    = get_default_random());
+                               Random&  random    = get_default_random());
 
     // operations
     int  pricing(int& direction );
-    
+
     // creation
     ~QP_partial_exact_pricing(){ };
 
@@ -76,7 +76,7 @@ QP_partial_exact_pricing( bool  randomiz
     : Base( "partial exact"),
       Partial_base( randomize, random)
 { }
-    
+
 // operations
 template < typename Q, typename ET, typename Tags >
 int  QP_partial_exact_pricing<Q,ET,Tags>::
@@ -94,68 +94,68 @@ pricing_helper(int& /*direction*/, Tag_t
 
     // loop over all active non-basic variables
     CGAL_qpe_debug {
-	this->vout() << "active variables:" << std::endl;
+        this->vout() << "active variables:" << std::endl;
     }
     for ( it = this->active_set_begin(); it != this->active_set_end(); ++it) {
 
         // don't price artificial variables
-	if (this->solver().is_artificial( *it) ||
-	    this->solver().is_basic( *it))  // added by kf
-	  continue;
-
-	// compute mu_j
-	mu = this->mu_j( *it);
-
-	CGAL_qpe_debug {
-	    this->vout() << "  mu_" << *it << ": " << mu << std::endl;
-	}
+        if (this->solver().is_artificial( *it) ||
+            this->solver().is_basic( *it))  // added by kf
+          continue;
+
+        // compute mu_j
+        mu = this->mu_j( *it);
+
+        CGAL_qpe_debug {
+            this->vout() << "  mu_" << *it << ": " << mu << std::endl;
+        }
 
-	// new minimum?
-	if ( mu < min_mu) { min_it = it; min_mu = mu; }
+        // new minimum?
+        if ( mu < min_mu) { min_it = it; min_mu = mu; }
     }
 
     // no entering variable found so far?
     if ( ( min_mu == this->et0) && ( this->inactive_set_begin() <
                                      this->inactive_set_end())) {
 
-	// loop over all inactive non-basic variables
-	CGAL_qpe_debug {
-	    this->vout() << "inactive variables:" << std::endl;
-	}
-	Index_const_iterator  active_it;
-	for ( it = this->inactive_set_begin(); it != this->inactive_set_end(); ++it) {
-
-	    // don't price artificial variables
-	    if (this->solver().is_artificial( *it)) continue;
-	    
-	    // compute mu_j
-	    mu = this->mu_j( *it);
-
-	    CGAL_qpe_debug {
-		this->vout() << "  mu_" << *it << ": " << mu << std::endl;
-	    }
-
-	    // candidate for entering?
-	    if ( mu < this->et0) {
-
-		// make variable active
-		active_it = it;
-		this->activating( active_it);
-
-		// new minimum?
-		if ( mu < min_mu) { min_it = active_it; min_mu = mu; }
-	    }
-	}
+        // loop over all inactive non-basic variables
+        CGAL_qpe_debug {
+            this->vout() << "inactive variables:" << std::endl;
+        }
+        Index_const_iterator  active_it;
+        for ( it = this->inactive_set_begin(); it != this->inactive_set_end(); ++it) {
+
+            // don't price artificial variables
+            if (this->solver().is_artificial( *it)) continue;
+
+            // compute mu_j
+            mu = this->mu_j( *it);
+
+            CGAL_qpe_debug {
+                this->vout() << "  mu_" << *it << ": " << mu << std::endl;
+            }
+
+            // candidate for entering?
+            if ( mu < this->et0) {
+
+                // make variable active
+                active_it = it;
+                this->activating( active_it);
+
+                // new minimum?
+                if ( mu < min_mu) { min_it = active_it; min_mu = mu; }
+            }
+        }
     }
-    CGAL_qpe_debug { 
+    CGAL_qpe_debug {
       this->vout() << std::endl;
     }
 
     // return index of entering variable, if any
     if ( min_mu < this->et0) {
-	int  j = *min_it;
-	this->entering_basis( min_it);
-	return j;
+        int  j = *min_it;
+        this->entering_basis( min_it);
+        return j;
     }
 
     // no entering variable found
@@ -171,61 +171,61 @@ pricing_helper(int& direction, Tag_false
 
     // loop over all active non-basic variables
     CGAL_qpe_debug {
-	this->vout() << "active variables:" << std::endl;
+        this->vout() << "active variables:" << std::endl;
     }
     for ( it = this->active_set_begin(); it != this->active_set_end(); ++it) {
 
         // don't price artificial variables
-	if (this->solver().is_artificial( *it) ||
-	    this->solver().is_basic( *it))  // added by kf
-	  continue;
+        if (this->solver().is_artificial( *it) ||
+            this->solver().is_basic( *it))  // added by kf
+          continue;
 
-	// compute mu_j
-	mu = this->mu_j( *it);
+        // compute mu_j
+        mu = this->mu_j( *it);
 
-	if (this->price_dantzig (*it, mu, this->et0, min_j, min_mu, direction))
-	  min_it = it;
+        if (this->price_dantzig (*it, mu, this->et0, min_j, min_mu, direction))
+          min_it = it;
     }
 
     // no entering variable found so far?
     if ( ( min_j == -1) && ( this->inactive_set_begin() <
-                             this->inactive_set_end())) 
+                             this->inactive_set_end()))
       {
 
-	// loop over all inactive non-basic variables
-	CGAL_qpe_debug {
-	    this->vout() << "inactive variables:" << std::endl;
-	}
-	Index_const_iterator  active_it;
-	for ( it = this->inactive_set_begin(); 
-	      it != this->inactive_set_end(); ++it) {
-
-	  // don't price basics/artificials
-	  CGAL_qpe_assertion (!this->solver().is_basic(*it));
-	  if (this->solver().is_artificial( *it)) continue;
-	    
-	  // compute mu_j
-	  mu = this->mu_j( *it);
-
-	  CGAL_qpe_debug {
-	    this->vout() << "  mu_" << *it << ": " << mu << std::endl;
-	  }
-
-	  // candidate for entering?
-	  if ( this->is_improving(*it, mu, this->et0)) {
-
-	    // make variable active
-	    active_it = it;
-	    this->activating( active_it);
-
-	    // new minimum?
-	    if (this->price_dantzig (*active_it, mu, this->et0, 
-			       min_j, min_mu, direction))
-	      min_it = active_it;
-	  }
-	}
+        // loop over all inactive non-basic variables
+        CGAL_qpe_debug {
+            this->vout() << "inactive variables:" << std::endl;
+        }
+        Index_const_iterator  active_it;
+        for ( it = this->inactive_set_begin();
+              it != this->inactive_set_end(); ++it) {
+
+          // don't price basics/artificials
+          CGAL_qpe_assertion (!this->solver().is_basic(*it));
+          if (this->solver().is_artificial( *it)) continue;
+
+          // compute mu_j
+          mu = this->mu_j( *it);
+
+          CGAL_qpe_debug {
+            this->vout() << "  mu_" << *it << ": " << mu << std::endl;
+          }
+
+          // candidate for entering?
+          if ( this->is_improving(*it, mu, this->et0)) {
+
+            // make variable active
+            active_it = it;
+            this->activating( active_it);
+
+            // new minimum?
+            if (this->price_dantzig (*active_it, mu, this->et0,
+                               min_j, min_mu, direction))
+              min_it = active_it;
+          }
+        }
       }
-    CGAL_qpe_debug { 
+    CGAL_qpe_debug {
       this->vout() << std::endl;
     }
 
diff -pruN 5.0.2-3/include/CGAL/QP_solver/QP_partial_filtered_pricing.h 5.0.3-1/include/CGAL/QP_solver/QP_partial_filtered_pricing.h
--- 5.0.2-3/include/CGAL/QP_solver/QP_partial_filtered_pricing.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/QP_partial_filtered_pricing.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/QP_partial_filtered_pricing.h $
-// $Id: QP_partial_filtered_pricing.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/QP_partial_filtered_pricing.h $
+// $Id: QP_partial_filtered_pricing.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
 //                 Franz Wessendorp
-//                 Kaspar Fischer 
+//                 Kaspar Fischer
 
 #ifndef CGAL_QP_PARTIAL_FILTERED_PRICING_H
 #define CGAL_QP_PARTIAL_FILTERED_PRICING_H
@@ -73,16 +73,16 @@ class QP_partial_filtered_pricing
 
     // creation
     QP_partial_filtered_pricing( bool     randomize = false,
-				  Random&  random    = get_default_random(),
-				  ET2NT    et2nt     = ET2NT());
+                                  Random&  random    = get_default_random(),
+                                  ET2NT    et2nt     = ET2NT());
 
     // operations
     int  pricing(int& direction );
 
     void  init( );
     void  transition( );
-    
-    
+
+
     // cleanup
     ~QP_partial_filtered_pricing() {};
 
@@ -105,7 +105,7 @@ QP_partial_filtered_pricing( bool random
       Partial_base( randomize, random),
       Filtered_base( et2nt)
 { }
-    
+
 // operations
 template < typename Q, typename ET, typename Tags, class NT_, class ET2NT_ >  inline
 void  QP_partial_filtered_pricing<Q,ET,Tags,NT_,ET2NT_>::
@@ -126,7 +126,7 @@ transition( )
 
 template < typename Q, typename ET, typename Tags, class NT_, class ET2NT_ >
 int  QP_partial_filtered_pricing<Q,ET,Tags,NT_,ET2NT_>::
-pricing(int& direction ) 
+pricing(int& direction )
 {
   return (pricing_helper(direction, Is_nonnegative()));
 }
@@ -140,131 +140,131 @@ pricing_helper(int& /*direction*/, Tag_t
 
     // loop over all active non-basic variables
     CGAL_qpe_debug {
-	this->vout() << "active variables:" << std::endl;
+        this->vout() << "active variables:" << std::endl;
     }
 
     Index_const_iterator  it, min_it;
     NT                            mu, min_mu = this->nt0;
     for ( it = this->active_set_begin(); it != this->active_set_end(); ++it) {
 
-	// don't price artificial variables
-	if (this->solver().is_artificial( *it) ||
-	    this->solver().is_basic( *it))  // added by kf
-	  continue;
-
-	// compute mu_j
-	mu = this->mu_j_NT( *it);
-
-	CGAL_qpe_debug {
-	    this->vout() << "  mu_" << *it << " [NT]: " << mu << std::endl;
-	}
+        // don't price artificial variables
+        if (this->solver().is_artificial( *it) ||
+            this->solver().is_basic( *it))  // added by kf
+          continue;
+
+        // compute mu_j
+        mu = this->mu_j_NT( *it);
+
+        CGAL_qpe_debug {
+            this->vout() << "  mu_" << *it << " [NT]: " << mu << std::endl;
+        }
 
-	// new minimum?
-	if ( mu < min_mu) { min_it = it; min_mu = mu; }
+        // new minimum?
+        if ( mu < min_mu) { min_it = it; min_mu = mu; }
     }
 
     // exact check of entering variable
     if ( min_mu < this->nt0) {
-	if ( this->mu_j( *min_it) >= this->et0) {
+        if ( this->mu_j( *min_it) >= this->et0) {
 
-	    // exact check failed!
-	    CGAL_qpe_debug {
-		this->vout() << "--> exact check of entering variable failed!"
-		       << std::endl;
-	    }
-
-	    // reject entering variable
-	    min_mu = this->nt0;
-	}
+            // exact check failed!
+            CGAL_qpe_debug {
+                this->vout() << "--> exact check of entering variable failed!"
+                       << std::endl;
+            }
+
+            // reject entering variable
+            min_mu = this->nt0;
+        }
     } else {
-	CGAL_qpe_debug {
-	    this->vout() << "--> no entering variable found yet" << std::endl;
-	}
+        CGAL_qpe_debug {
+            this->vout() << "--> no entering variable found yet" << std::endl;
+        }
     }
 
     // no entering variable found so far?
     if ( ( min_mu == this->nt0) &&
          ( this->inactive_set_begin() < this->inactive_set_end())) {
 
-	// loop over all inactive non-basic variables
-	CGAL_qpe_debug {
-	    this->vout() << "inactive variables:" << std::endl;
-	}
-	Index_const_iterator  active_it;
-	for ( it = this->inactive_set_begin(); it != this->inactive_set_end(); ++it) {
-
-	    // don't price artificial variables
-	    if (this->solver().is_artificial( *it)) continue;
-
-	    // compute mu_j
-	    mu = this->mu_j_NT( *it);
-
-	    CGAL_qpe_debug {
-		this->vout() << "  mu_" << *it << " [NT]: " << mu << std::endl;
-	    }
-
-	    // candidate for entering?
-	    if ( mu < this->nt0) {
-
-		// make variable active
-		active_it = it;
-		this->activating( active_it);
-
-		// new minimum?
-		if ( mu < min_mu) { min_it = active_it; min_mu = mu; }
-	    }
-	}
-
-	// exact check of entering variable
-	if ( min_mu < this->nt0) {
-	    if ( this->mu_j( *min_it) >= this->et0) {
-
-		// exact check failed!
-		CGAL_qpe_debug {
-		    this->vout() << "--> exact check of entering variable failed!"
-			   << std::endl;
-		}
-
-		// reject entering variable
-		min_mu = this->nt0;
-	    }
-	} else {
-	    CGAL_qpe_debug {
-		this->vout() << "--> still no entering variable found" << std::endl;
-	    }
-	}
+        // loop over all inactive non-basic variables
+        CGAL_qpe_debug {
+            this->vout() << "inactive variables:" << std::endl;
+        }
+        Index_const_iterator  active_it;
+        for ( it = this->inactive_set_begin(); it != this->inactive_set_end(); ++it) {
+
+            // don't price artificial variables
+            if (this->solver().is_artificial( *it)) continue;
+
+            // compute mu_j
+            mu = this->mu_j_NT( *it);
+
+            CGAL_qpe_debug {
+                this->vout() << "  mu_" << *it << " [NT]: " << mu << std::endl;
+            }
+
+            // candidate for entering?
+            if ( mu < this->nt0) {
+
+                // make variable active
+                active_it = it;
+                this->activating( active_it);
+
+                // new minimum?
+                if ( mu < min_mu) { min_it = active_it; min_mu = mu; }
+            }
+        }
+
+        // exact check of entering variable
+        if ( min_mu < this->nt0) {
+            if ( this->mu_j( *min_it) >= this->et0) {
+
+                // exact check failed!
+                CGAL_qpe_debug {
+                    this->vout() << "--> exact check of entering variable failed!"
+                           << std::endl;
+                }
+
+                // reject entering variable
+                min_mu = this->nt0;
+            }
+        } else {
+            CGAL_qpe_debug {
+                this->vout() << "--> still no entering variable found" << std::endl;
+            }
+        }
     }
 
     // certify non-existence of entering variable, if necessary
     if ( min_mu == this->nt0) {
 
-	// update row and column maxima
-	this->update_maxima();
+        // update row and column maxima
+        this->update_maxima();
 
-	// loop over all non-basic variables again
-	for ( it = this->active_set_begin(); it != this->inactive_set_end(); ++it) {
+        // loop over all non-basic variables again
+        for ( it = this->active_set_begin(); it != this->inactive_set_end(); ++it) {
 
-	    // don't price artificial variables
-	    if (this->solver().is_artificial( *it)) continue;
+            // don't price artificial variables
+            if (this->solver().is_artificial( *it)) continue;
 
-	    // certify 'mu_j >= 0'
-	    if ( ! this->certify_mu_j_NT( *it)) {
-
-		// entering variable missed by inexact arithmetic
-		min_it = it;
-		break;
-	    }
-	}
+            // certify 'mu_j >= 0'
+            if ( ! this->certify_mu_j_NT( *it)) {
+
+                // entering variable missed by inexact arithmetic
+                min_it = it;
+                break;
+            }
+        }
     }
-    CGAL_qpe_debug { 
+    CGAL_qpe_debug {
       this->vout() << std::endl;
     }
 
     // return index of entering variable, if any
     if ( min_mu < this->nt0) {
-	int  j = *min_it;
+        int  j = *min_it;
         this->entering_basis( min_it);
-	return j;
+        return j;
     }
 
     // no entering variable found
@@ -279,129 +279,129 @@ pricing_helper(int& direction, Tag_false
 
     // loop over all active non-basic variables
     CGAL_qpe_debug {
-	this->vout() << "active variables:" << std::endl;
+        this->vout() << "active variables:" << std::endl;
     }
 
-    Index_const_iterator  it, min_it;    
+    Index_const_iterator  it, min_it;
     int min_j = -1;
     NT  mu, min_mu = this->nt0;
     for ( it = this->active_set_begin(); it != this->active_set_end(); ++it) {
 
-	// don't price artificial variables
-	if (this->solver().is_artificial( *it) ||
-	    this->solver().is_basic( *it))  // added by kf
-	  continue;
+        // don't price artificial variables
+        if (this->solver().is_artificial( *it) ||
+            this->solver().is_basic( *it))  // added by kf
+          continue;
 
-	// compute mu_j
-	mu = this->mu_j_NT( *it);
+        // compute mu_j
+        mu = this->mu_j_NT( *it);
 
-	if (price_dantzig (*it, mu, this->nt0, min_j, min_mu, direction))
-	  min_it = it;
+        if (price_dantzig (*it, mu, this->nt0, min_j, min_mu, direction))
+          min_it = it;
     }
 
     if ( min_j >= 0 ) {
         // exact check; do we really have an entering variable
-	if ( !this->is_improving(min_j, this->mu_j( min_j), this->et0)) {
+        if ( !this->is_improving(min_j, this->mu_j( min_j), this->et0)) {
 
-	    // exact check failed!
-	    CGAL_qpe_debug {
-		this->vout() << "--> exact check of entering variable failed!"
-		       << std::endl;
-	    }
-
-	    // reject entering variable
-	    min_j = -1;
-	    min_mu = this->nt0;
-	}
+            // exact check failed!
+            CGAL_qpe_debug {
+                this->vout() << "--> exact check of entering variable failed!"
+                       << std::endl;
+            }
+
+            // reject entering variable
+            min_j = -1;
+            min_mu = this->nt0;
+        }
     } else {
-	CGAL_qpe_debug {
-	    this->vout() << "--> no entering variable found yet" << std::endl;
-	}
+        CGAL_qpe_debug {
+            this->vout() << "--> no entering variable found yet" << std::endl;
+        }
     }
 
     // no entering variable found so far?
     if ( ( min_j == -1) &&
          ( this->inactive_set_begin() < this->inactive_set_end())) {
 
-	// loop over all inactive non-basic variables
-	CGAL_qpe_debug {
-	    this->vout() << "inactive variables:" << std::endl;
-	}
-	Index_const_iterator  active_it;
-	for ( it = this->inactive_set_begin(); 
-	      it != this->inactive_set_end(); ++it) {
-
-	    // don't price artificial variables
-	    if (this->solver().is_artificial( *it)) continue;
-
-	    // compute mu_j
-	    mu = this->mu_j_NT( *it);
-
-	    CGAL_qpe_debug {
-		this->vout() << "  mu_" << *it << " [NT]: " << mu << std::endl;
-	    }
-
-	    // candidate for entering?
-	    if (is_improving(*it, mu, this->nt0)) {
-
-		// make variable active
-		active_it = it;
-		this->activating( active_it);
-		
-		// new minimum
-		if (price_dantzig (*active_it, mu, this->nt0, 
-			            min_j, min_mu, direction))
-		  min_it = active_it;
-	    }
-	}
-
-	if ( min_j >= 0) {	
-	    // exact check of entering variable
-	    if (!this->is_improving(min_j, this->mu_j( min_j), this->et0)) {
-
-		// exact check failed!
-		CGAL_qpe_debug {
-		    this->vout() << 
-		      "--> exact check of entering variable failed!"
-		      << std::endl;
-		}
-
-		// reject entering variable
-		min_j = -1;
-		min_mu = this->nt0;
-	    }
-	} else {
-	    CGAL_qpe_debug {
-		this->vout() << 
-		  "--> still no entering variable found" 
-		  << std::endl;
-	    }
-	}
+        // loop over all inactive non-basic variables
+        CGAL_qpe_debug {
+            this->vout() << "inactive variables:" << std::endl;
+        }
+        Index_const_iterator  active_it;
+        for ( it = this->inactive_set_begin();
+              it != this->inactive_set_end(); ++it) {
+
+            // don't price artificial variables
+            if (this->solver().is_artificial( *it)) continue;
+
+            // compute mu_j
+            mu = this->mu_j_NT( *it);
+
+            CGAL_qpe_debug {
+                this->vout() << "  mu_" << *it << " [NT]: " << mu << std::endl;
+            }
+
+            // candidate for entering?
+            if (is_improving(*it, mu, this->nt0)) {
+
+                // make variable active
+                active_it = it;
+                this->activating( active_it);
+
+                // new minimum
+                if (price_dantzig (*active_it, mu, this->nt0,
+                                    min_j, min_mu, direction))
+                  min_it = active_it;
+            }
+        }
+
+        if ( min_j >= 0) {
+            // exact check of entering variable
+            if (!this->is_improving(min_j, this->mu_j( min_j), this->et0)) {
+
+                // exact check failed!
+                CGAL_qpe_debug {
+                    this->vout() <<
+                      "--> exact check of entering variable failed!"
+                      << std::endl;
+                }
+
+                // reject entering variable
+                min_j = -1;
+                min_mu = this->nt0;
+            }
+        } else {
+            CGAL_qpe_debug {
+                this->vout() <<
+                  "--> still no entering variable found"
+                  << std::endl;
+            }
+        }
     }
 
     // certify non-existence of entering variable, if necessary
     if ( min_j == -1) {
 
-	// update row and column maxima
-	this->update_maxima();
+        // update row and column maxima
+        this->update_maxima();
 
-	// loop over all non-basic variables again
-	for ( it = this->active_set_begin(); 
-	      it != this->inactive_set_end(); ++it) {
-
-	    // don't price artificial variables
-	    if (this->solver().is_artificial( *it)) continue;
-
-	    if ( ! this->certify_mu_j_NT( *it)) {
-
-		// entering variable missed by inexact arithmetic
-	      min_j = *it;
-	      min_it = it;
-	      break;
-	    }
-	}
+        // loop over all non-basic variables again
+        for ( it = this->active_set_begin();
+              it != this->inactive_set_end(); ++it) {
+
+            // don't price artificial variables
+            if (this->solver().is_artificial( *it)) continue;
+
+            if ( ! this->certify_mu_j_NT( *it)) {
+
+                // entering variable missed by inexact arithmetic
+              min_j = *it;
+              min_it = it;
+              break;
+            }
+        }
     }
-    CGAL_qpe_debug { 
+    CGAL_qpe_debug {
       this->vout() << std::endl;
     }
 
diff -pruN 5.0.2-3/include/CGAL/QP_solver/QP_pricing_strategy.h 5.0.3-1/include/CGAL/QP_solver/QP_pricing_strategy.h
--- 5.0.2-3/include/CGAL/QP_solver/QP_pricing_strategy.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/QP_pricing_strategy.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/QP_pricing_strategy.h $
-// $Id: QP_pricing_strategy.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/QP_pricing_strategy.h $
+// $Id: QP_pricing_strategy.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
@@ -66,20 +66,20 @@ class QP_pricing_strategy {
 
     virtual  void  leaving_basis( int /*i*/) { }
     virtual  void  transition( ) { }
-    
+
   protected:
-    
+
     // construction & destruction
     QP_pricing_strategy( const std::string& strategy_name);
 public:
     virtual ~QP_pricing_strategy( ) { }
 protected:
     QP_pricing_strategy( );            // detects error in virtual inheritance
-        
+
     // initialization (of derived classes)
     virtual  void  set ( ) { }
     virtual  void  init( ) { }
-    
+
     // operations
     ET  mu_j( int j) const;
 
@@ -96,7 +96,7 @@ protected:
     // return value is true iff j is the new best candidate
     template <typename NT>
     bool price_dantzig (int j, const NT& mu, const NT& nt0,
-		     int& min_j, NT& min_mu, int& direction);
+                     int& min_j, NT& min_mu, int& direction);
 
     // returns whether j satisfying mu_j = mu is a candidate
     // for the entering variable
@@ -132,8 +132,8 @@ QP_pricing_strategy( )
 {
     CGAL_qpe_assertion_msg
       ( false, "call to 'QP_pricing_strategy<Q,ET,Tags>::\n'" \
-	"QP_pricing_strategy( const std::string&  strategy_name)'\n" \
-	"is missing in most derived pricing class!");
+        "QP_pricing_strategy( const std::string&  strategy_name)'\n" \
+        "is missing in most derived pricing class!");
 }
 
 // initialization
@@ -151,7 +151,7 @@ void  QP_pricing_strategy<Q, ET, Tags>::
 init( int)
 {
     CGAL_qpe_debug {
-	vout() << "pricing: " << name << std::endl;
+        vout() << "pricing: " << name << std::endl;
     }
     init();
 }
@@ -165,10 +165,10 @@ mu_j( int j) const
 }
 
 template < typename Q, typename ET, typename Tags >
-template <typename NT> 
+template <typename NT>
 bool  QP_pricing_strategy<Q, ET, Tags>::
 is_improving (int j, const NT& mu, const NT& nt0 ) const
-{  
+{
   CGAL_qpe_assertion(!this->solver().is_basic(j));
   CGAL_qpe_assertion(!this->solver().is_artificial(j));
   if (this->solver().is_original(j)) {
@@ -181,9 +181,9 @@ is_improving (int j, const NT& mu, const
       return mu > nt0;
     case QP_solver::ZERO:
       {
-	const int where =
-	  this->solver().state_of_zero_nonbasic_variable(j);
-	return ((where >= 0 && mu > nt0) || (where <= 0 && mu < nt0));
+        const int where =
+          this->solver().state_of_zero_nonbasic_variable(j);
+        return ((where >= 0 && mu > nt0) || (where <= 0 && mu < nt0));
       }
     case QP_solver::FIXED:
       return false;
@@ -199,10 +199,10 @@ is_improving (int j, const NT& mu, const
 }
 
 template < typename Q, typename ET, typename Tags >
-template <typename NT> 
+template <typename NT>
 bool QP_pricing_strategy<Q, ET, Tags>::
 price_dantzig (int j, const NT& mu, const NT& nt0,
-	 int& min_j, NT& min_mu, int& direction) {
+         int& min_j, NT& min_mu, int& direction) {
   CGAL_qpe_assertion(!this->solver().is_basic(j));
   CGAL_qpe_assertion(!this->solver().is_artificial(j));
   if (this->solver().is_original(j)) {
@@ -212,86 +212,86 @@ price_dantzig (int j, const NT& mu, cons
     switch (bnd_ind) {
     case QP_solver::LOWER:
       {
-	CGAL_qpe_debug { 
-	  this->vout() << "mu_" << j << ": " << mu
-		       << " LOWER" << std::endl;
-	}
-	    
-	if (mu < nt0) {
-	  // new minimum?
-	  if (mu < min_mu) {
-	    min_j = j; min_mu = mu;
-	    direction = 1;
-	  }
-	}
-	break;
+        CGAL_qpe_debug {
+          this->vout() << "mu_" << j << ": " << mu
+                       << " LOWER" << std::endl;
+        }
+
+        if (mu < nt0) {
+          // new minimum?
+          if (mu < min_mu) {
+            min_j = j; min_mu = mu;
+            direction = 1;
+          }
+        }
+        break;
       }
     case QP_solver::ZERO:
       {
-	// determine whether the variable is on lower or upper bound, or
-	// somewhere it the middle:
-	//
-	// Note: it cannot be both on the lower and upper bound (as it is
-	// not FIXED).
-	const int where =
-	  this->solver().state_of_zero_nonbasic_variable(j);
-	    
-	CGAL_qpe_debug { 
-	  this->vout() << "mu_" << j << ": " << mu
-		       << " ZERO " 
-		       << (where == -1? "(LOWER)" : 
-			   (where == 0? "(MIDDLE)" : "(UPPER)"))
-		       << std::endl;
-	}
-	    
-	if (where >= 0 &&       // middle or on upper bound?
-	    mu > nt0) {
-	  // new minimum?
-	  if (-mu < min_mu) {
-	    min_j = j; min_mu = -mu;
-	    direction = -1;
-	  }                                                    
-	}
-	if (where <= 0 &&       // middle or on lower bound?
-	    mu < nt0) {
-	  // new minimum?
-	  if (mu < min_mu) {
-	    min_j = j; min_mu = mu;
-	    direction = 1;
-	  }                            
-	}
-	break;
+        // determine whether the variable is on lower or upper bound, or
+        // somewhere it the middle:
+        //
+        // Note: it cannot be both on the lower and upper bound (as it is
+        // not FIXED).
+        const int where =
+          this->solver().state_of_zero_nonbasic_variable(j);
+
+        CGAL_qpe_debug {
+          this->vout() << "mu_" << j << ": " << mu
+                       << " ZERO "
+                       << (where == -1? "(LOWER)" :
+                           (where == 0? "(MIDDLE)" : "(UPPER)"))
+                       << std::endl;
+        }
+
+        if (where >= 0 &&       // middle or on upper bound?
+            mu > nt0) {
+          // new minimum?
+          if (-mu < min_mu) {
+            min_j = j; min_mu = -mu;
+            direction = -1;
+          }
+        }
+        if (where <= 0 &&       // middle or on lower bound?
+            mu < nt0) {
+          // new minimum?
+          if (mu < min_mu) {
+            min_j = j; min_mu = mu;
+            direction = 1;
+          }
+        }
+        break;
       }
     case QP_solver::UPPER:
       {
-	CGAL_qpe_debug { 
-	  this->vout() << "mu_" << j << ": " << mu
-		       << " UPPER" << std::endl;
-	}
-	    
-	if (mu > nt0) {
-	  // new minimum?
-	  if (-mu < min_mu) {
-	    min_j = j; min_mu = -mu;
-	    direction = -1;
-	  }
-	}                    
-	break;
+        CGAL_qpe_debug {
+          this->vout() << "mu_" << j << ": " << mu
+                       << " UPPER" << std::endl;
+        }
+
+        if (mu > nt0) {
+          // new minimum?
+          if (-mu < min_mu) {
+            min_j = j; min_mu = -mu;
+            direction = -1;
+          }
+        }
+        break;
       }
     case QP_solver::FIXED:
       CGAL_qpe_debug {
-	this->vout() << "Fixed variable " << j << std::endl;
+        this->vout() << "Fixed variable " << j << std::endl;
       }
       break;
     case QP_solver::BASIC:
       CGAL_qpe_assertion(false);
       break;
-    } 
-  } else {                                    
+    }
+  } else {
     // slack variable
     CGAL_qpe_debug {
-      this->vout() << "mu_" << j << ": " << mu 
-		   << " LOWER (slack)" << std::endl;
+      this->vout() << "mu_" << j << ": " << mu
+                   << " LOWER (slack)" << std::endl;
     }
 
     // new minimum?
diff -pruN 5.0.2-3/include/CGAL/QP_solver/QP_solution_impl.h 5.0.3-1/include/CGAL/QP_solver/QP_solution_impl.h
--- 5.0.2-3/include/CGAL/QP_solver/QP_solution_impl.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/QP_solution_impl.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/QP_solution_impl.h $
-// $Id: QP_solution_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/QP_solution_impl.h $
+// $Id: QP_solution_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Bernd Gaertner <gaertner@inf.ethz.ch>
 #ifndef CGAL_QP_SOLUTION_IMPL_H
@@ -18,24 +18,24 @@
 #include<iterator>
 
 namespace CGAL {
-// checks whether the solution actually solves program p  
+// checks whether the solution actually solves program p
 // this performs exactly the checks described in the doc
 // of the class Quadratic_program_solution
 // -----------------------------------------------------
 template <typename ET>
 template <class Program, typename Is_linear, typename Is_nonnegative>
-bool Quadratic_program_solution<ET>::solves_program 
-(const Program& p, 
+bool Quadratic_program_solution<ET>::solves_program
+(const Program& p,
  Is_linear is_linear, Is_nonnegative is_nonnegative)
-{    
+{
   CGAL_qpe_assertion_msg(!is_void(), "Solution not initialized");
 
   // first check whether the dimensions agree
   int n = static_cast<int>(variable_numerators_end() - variable_numerators_begin());
-  if (n != p.get_n()) 
+  if (n != p.get_n())
     return error ("wrong number of variables");
   int m = static_cast<int>(solver()->lambda_end() - solver()->lambda_begin());
-  if (m != p.get_m()) 
+  if (m != p.get_m())
     return error("wrong number of constraints");
 
   // now distinguish between the three possible cases
@@ -43,7 +43,7 @@ bool Quadratic_program_solution<ET>::sol
   case QP_OPTIMAL: {
     std::vector<ET> ax_minus_b (m, et0); // d(Ax-b)
     std::vector<ET> two_Dx (n, et0);     // d(2Dx)
-    return 
+    return
       // the following fills ax_minus_b...
       is_feasible (p, ax_minus_b, is_nonnegative) &&          // feasible?
       // the following fills two_Dx...
@@ -56,7 +56,7 @@ bool Quadratic_program_solution<ET>::sol
   }
   case QP_INFEASIBLE: {
     std::vector<ET> lambda_a (n, et0); // lambda^TA
-    return 
+    return
       is_infeasible_1 (p) &&                                  // condition 1?
       // the following fills lambda_a...
       is_infeasible_2 (p, lambda_a, is_nonnegative) &&        // condition 2?
@@ -65,7 +65,7 @@ bool Quadratic_program_solution<ET>::sol
   }
   case QP_UNBOUNDED: {
     std::vector<ET> ax_minus_b (m, et0);
-    return 
+    return
       is_feasible (p, ax_minus_b, is_nonnegative) &&          // feasible?
       is_unbounded_1 (p) &&                                   // condition 1?
       is_unbounded_2 (p, is_nonnegative) &&                   // condition 2?
@@ -81,8 +81,8 @@ bool Quadratic_program_solution<ET>::sol
 // ------------------------------------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::are_constraints_feasible 
-(const Program& p, 
+bool Quadratic_program_solution<ET>::are_constraints_feasible
+(const Program& p,
  typename std::vector<ET>& ax_minus_b)
 {
   typedef typename Program::B_iterator B_column_iterator;
@@ -95,9 +95,9 @@ bool Quadratic_program_solution<ET>::are
   ET d = variables_common_denominator();
   for (int i=0; i<m; ++i, ++b)
     ax_minus_b[i] -= ET (*b) * d;                          // d(Ax-b)
-  
-  // now validate constraints 
-  if (d <= et0) 
+
+  // now validate constraints
+  if (d <= et0)
     return error ("common variable denominator is negative");
   R_column_iterator r = p.get_r();
   for (int i=0; i<m; ++i, ++r)
@@ -109,7 +109,7 @@ bool Quadratic_program_solution<ET>::are
       if (ax_minus_b[i] != et0) return error("inequality (==) violated");
       break;
     case LARGER:  // >=
-      if (ax_minus_b[i] < et0) return error("inequality (>=) violated"); 
+      if (ax_minus_b[i] < et0) return error("inequality (>=) violated");
       break;
     }
   return true;
@@ -120,15 +120,15 @@ bool Quadratic_program_solution<ET>::are
 // --------------------------------------------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_feasible 
-(const Program& p, 
+bool Quadratic_program_solution<ET>::is_feasible
+(const Program& p,
  typename std::vector<ET>& ax_minus_b,
  Tag_true /*is_nonnegative*/)
 {
   // test Ax ~ b
   if (!are_constraints_feasible (p, ax_minus_b)) return false;
-  // test x >= 0  
-  if (variables_common_denominator() <= et0) 
+  // test x >= 0
+  if (variables_common_denominator() <= et0)
     return error ("common variable denominator is negative");
   for (Variable_numerator_iterator v = variable_numerators_begin();
        v < variable_numerators_end(); ++v)
@@ -141,48 +141,48 @@ bool Quadratic_program_solution<ET>::is_
 // -------------------------------------------------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_feasible 
-(const Program& p, 
+bool Quadratic_program_solution<ET>::is_feasible
+(const Program& p,
  typename std::vector<ET>& ax_minus_b,
  Tag_false /*is_nonnegative*/)
 {
   // test Ax ~ b
   if (!are_constraints_feasible (p, ax_minus_b)) return false; // (*)
-  // test l <= x <= u   
+  // test l <= x <= u
   ET d = variables_common_denominator();
-  if (d <= et0) 
+  if (d <= et0)
     return error ("common variable denominator is negative");
   typedef typename Program::FL_iterator FL_column_iterator;
-  typedef typename Program::L_iterator L_column_iterator;  
+  typedef typename Program::L_iterator L_column_iterator;
   typedef typename Program::FU_iterator FU_column_iterator;
   typedef typename Program::U_iterator U_column_iterator;
   FL_column_iterator fl = p.get_fl();
   FU_column_iterator fu = p.get_fu();
   L_column_iterator l = p.get_l();
-  U_column_iterator u = p.get_u();  
+  U_column_iterator u = p.get_u();
   for (Variable_numerator_iterator v = variable_numerators_begin();
        v < variable_numerators_end(); ++v, ++fl, ++l, ++fu, ++u) {
-    if (*fl && (*v < ET(*l) * d)) 
+    if (*fl && (*v < ET(*l) * d))
       return error("bound (>=l) violated");
-    if (*fu && (*v > ET(*u) * d)) 
+    if (*fu && (*v > ET(*u) * d))
       return error("bound (<=u) violated");
   }
   return true;
 }
 
 // checks whether constraint type <= (>=) implies lambda >= (<=) 0
-// --------------------------------------------------------------- 
+// ---------------------------------------------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_optimal_1 
+bool Quadratic_program_solution<ET>::is_optimal_1
 (const Program& p)
 {
-  if (variables_common_denominator() <= et0) 
+  if (variables_common_denominator() <= et0)
     return error ("wrong sign of optimality certificate");
   typedef typename Program::R_iterator R_column_iterator;
   int m = p.get_m();
   R_column_iterator r = p.get_r();
-  Optimality_certificate_numerator_iterator opt = 
+  Optimality_certificate_numerator_iterator opt =
     optimality_certificate_numerators_begin();
   for (int i=0; i<m; ++i, ++r, ++opt) {
     if (*r == SMALLER &&  *opt < et0)
@@ -194,12 +194,12 @@ bool Quadratic_program_solution<ET>::is_
 }
 
 // checks whether constraint type <= (>=) implies lambda >= (<=) 0
-// --------------------------------------------------------------- 
+// ---------------------------------------------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_infeasible_1 
+bool Quadratic_program_solution<ET>::is_infeasible_1
 (const Program& p)
-{ 
+{
   int m = p.get_m();
   typedef typename Program::R_iterator R_column_iterator;
   R_column_iterator r = p.get_r();
@@ -217,24 +217,24 @@ bool Quadratic_program_solution<ET>::is_
 // ------------------------------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_optimal_2 
-(const Program& p, 
+bool Quadratic_program_solution<ET>::is_optimal_2
+(const Program& p,
  const typename std::vector<ET>& ax_minus_b)
 {
-  int m = p.get_m();  
-  Optimality_certificate_numerator_iterator opt = 
+  int m = p.get_m();
+  Optimality_certificate_numerator_iterator opt =
     optimality_certificate_numerators_begin();
   for (int i=0; i<m; ++i, ++opt)
-    if (*opt != et0 && ax_minus_b[i] != et0) 
+    if (*opt != et0 && ax_minus_b[i] != et0)
       return error("lambda and Ax-b are not complementary");
-  return true;					     
+  return true;
 }
 
 // checks whether (c^T + lambda^TA)_j >= (==) 0 if x_j = (>) 0
 // -----------------------------------------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_optimal_3 
+bool Quadratic_program_solution<ET>::is_optimal_3
 (const Program& p, std::vector<ET>& q,
  Tag_true /*is_linear*/, Tag_true /*is_nonnegative*/)
 {
@@ -243,7 +243,7 @@ bool Quadratic_program_solution<ET>::is_
   add_zA (p, optimality_certificate_numerators_begin(), q);    // d lambda^T A
   Variable_numerator_iterator v = variable_numerators_begin();
   for (int j=0; j<n; ++j, ++v) {
-    if (q[j] < et0) 
+    if (q[j] < et0)
       return error("some (c^T + lambda^TA)_j is negative");
     if (*v > et0 && q[j] > et0)
       return error("(c^T + lambda^TA) and x are not complementary");
@@ -255,7 +255,7 @@ bool Quadratic_program_solution<ET>::is_
 // -------------------------------------------------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_optimal_3 
+bool Quadratic_program_solution<ET>::is_optimal_3
 (const Program& p, std::vector<ET>& q,
  Tag_false /*is_linear*/, Tag_true /*is_nonnegative*/)
 {
@@ -264,7 +264,7 @@ bool Quadratic_program_solution<ET>::is_
   add_zA (p, optimality_certificate_numerators_begin(), q);   // d * lambda^T A
   Variable_numerator_iterator v = variable_numerators_begin();
   for (int j=0; j<n; ++j, ++v) {
-    if (q[j] < et0) 
+    if (q[j] < et0)
       return error("some (c^T + lambda^TA + 2Dx)_j is negative");
     if (*v > et0 && q[j] > et0)
       return error("(c^T + lambda^TA + 2Dx) and x are not complementary");
@@ -272,71 +272,71 @@ bool Quadratic_program_solution<ET>::is_
   return true;
 }
 
-// checks whether (c^T + lambda^TA )_j >= (==, <=) 0 if 
+// checks whether (c^T + lambda^TA )_j >= (==, <=) 0 if
 // x_j = l_j < u_j (l_j < x_j < u_j,  l_j < u_j = x_j)
 // ---------------------------------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_optimal_3 
-(const Program& p, std::vector<ET>& q, 
+bool Quadratic_program_solution<ET>::is_optimal_3
+(const Program& p, std::vector<ET>& q,
  Tag_true /*is_linear*/, Tag_false /*is_nonnegative*/)
 {
   int n = p.get_n();                                          // q = 0
   add_c (p, q);                                               // d * c^T
   add_zA (p, optimality_certificate_numerators_begin(), q);   // d * lambda^T A
   typedef typename Program::FL_iterator FL_column_iterator;
-  typedef typename Program::L_iterator L_column_iterator;  
+  typedef typename Program::L_iterator L_column_iterator;
   typedef typename Program::FU_iterator FU_column_iterator;
   typedef typename Program::U_iterator U_column_iterator;
   FL_column_iterator fl = p.get_fl();
   FU_column_iterator fu = p.get_fu();
   L_column_iterator l = p.get_l();
-  U_column_iterator u = p.get_u();  
-  Variable_numerator_iterator v = variable_numerators_begin();  
+  U_column_iterator u = p.get_u();
+  Variable_numerator_iterator v = variable_numerators_begin();
   ET d = variables_common_denominator();
   if (d <= et0)
     return error ("common variable denominator is negative");
   for (int j=0; j<n; ++j, ++v, ++fl, ++l, ++fu, ++u) {
-    if (*fl && *v == ET(*l) * d && (!*fu || *l < *u) && q[j] < et0) 
+    if (*fl && *v == ET(*l) * d && (!*fu || *l < *u) && q[j] < et0)
       return error("x_j = l_j < u_j but (c^T + lambda^TA )_j < 0");
     if ( (!*fl || *v > ET(*l) * d) && (!*fu || *v < ET(*u) * d) && q[j] != et0)
       return error("l_j < x_j < u_j but (c^T + lambda^TA )_j != 0");
-    if (*fu && *v == ET(*u) * d && (!*fl || *l < *u) && q[j] > et0) 
+    if (*fu && *v == ET(*u) * d && (!*fl || *l < *u) && q[j] > et0)
       return error("x_j = u_j > l_j but (c^T + lambda^TA )_j > 0");
   }
   return true;
 }
 
-// checks whether (c^T + lambda^TA +2x^*D)_j >= (==, <=) 0 if 
+// checks whether (c^T + lambda^TA +2x^*D)_j >= (==, <=) 0 if
 // x_j = l_j < u_j (l_j < x_j < u_j,  l_j < u_j = x_j)
 // ----------------------------------------------------------
 template <typename ET>
 template <typename Program>
-bool  Quadratic_program_solution<ET>::is_optimal_3 
-(const Program& p, std::vector<ET>& q, 
+bool  Quadratic_program_solution<ET>::is_optimal_3
+(const Program& p, std::vector<ET>& q,
  Tag_false /*is_linear*/, Tag_false /*is_nonnegative*/)
 {
   int n = p.get_n();                                         // q = d * 2Dx
   add_c (p, q);                                              // d * c^T
   add_zA (p, optimality_certificate_numerators_begin(), q);  // d * lambda^T A
   typedef typename Program::FL_iterator FL_column_iterator;
-  typedef typename Program::L_iterator L_column_iterator;  
+  typedef typename Program::L_iterator L_column_iterator;
   typedef typename Program::FU_iterator FU_column_iterator;
   typedef typename Program::U_iterator U_column_iterator;
   FL_column_iterator fl = p.get_fl();
   FU_column_iterator fu = p.get_fu();
   L_column_iterator l = p.get_l();
-  U_column_iterator u = p.get_u();  
-  Variable_numerator_iterator v = variable_numerators_begin();  
+  U_column_iterator u = p.get_u();
+  Variable_numerator_iterator v = variable_numerators_begin();
   ET d = variables_common_denominator();
   if (d <= et0)
     return error ("common variable denominator is negative");
   for (int j=0; j<n; ++j, ++v, ++fl, ++l, ++fu, ++u) {
-    if (*fl && *v == ET(*l) * d && (!*fu || *l < *u) && q[j] < et0) 
+    if (*fl && *v == ET(*l) * d && (!*fu || *l < *u) && q[j] < et0)
       return error("x_j = l_j < u_j but (c^T + lambda^TA + 2Dx)_j < 0");
     if ( (!*fl || *v > ET(*l) * d) && (!*fu || *v < ET(*u) * d) && q[j] != et0)
       return error("l_j < x_j < u_j but (c^T + lambda^TA + 2Dx)_j != 0");
-    if (*fu && *v == ET(*u) * d && (!*fl || *l < *u) && q[j] > et0) 
+    if (*fu && *v == ET(*u) * d && (!*fl || *l < *u) && q[j] > et0)
       return error("x_j = u_j > l_j but (c^T + lambda^TA + 2Dx)_j > 0");
   }
   return true;
@@ -344,10 +344,10 @@ bool  Quadratic_program_solution<ET>::is
 
 // checks whether objective function value is c^T x + c_0, but
 // leaves the vector q alone
-// -------------------------------------------------------------- 
+// --------------------------------------------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_value_correct 
+bool Quadratic_program_solution<ET>::is_value_correct
 (const Program& p, std::vector<ET>& /*q*/, Tag_true /*is_linear*/)
 {
   // check objective value c^T x + c_0
@@ -368,26 +368,26 @@ bool Quadratic_program_solution<ET>::is_
 
 // checks whether objective function value is x^TDx + c^T x + c_0
 // and fills the vector q with 2Dx
-// -------------------------------------------------------------- 
+// --------------------------------------------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_value_correct 
+bool Quadratic_program_solution<ET>::is_value_correct
 (const Program& p, std::vector<ET>& q, Tag_false /*is_linear*/)
 {
   ET d = variables_common_denominator();
   if (d <= et0)
     return error ("common variable denominator is negative");
-  Variable_numerator_iterator v = variable_numerators_begin();  
+  Variable_numerator_iterator v = variable_numerators_begin();
   int n = p.get_n();
   add_two_Dz (p, v, q);                                     // 2d * Dx
   ET et2(2);
   ET obj = et2 * d * d * ET(p.get_c0());                    // 2d^2 * c_0
   typedef typename Program::C_iterator C_column_iterator;
-  C_column_iterator c = p.get_c();  
+  C_column_iterator c = p.get_c();
   for (int j=0; j<n; ++j, ++v, ++c) {
     obj += et2 * d * ET(*c) * *v;                           // 2d^2 * c^T x
     obj += q[j] * *v;                                       // 2d^2 * x^TDx
-  }  
+  }
   if (Quotient<ET>(obj, et2*d*d) != objective_value())
     return error ("optimal objective value x^TDx + c^T x + c_0 incorrect");
   return true;
@@ -397,12 +397,12 @@ bool Quadratic_program_solution<ET>::is_
 // -----------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_infeasible_2 
-(const Program& p, typename std::vector<ET>& lambda_a, 
+bool Quadratic_program_solution<ET>::is_infeasible_2
+(const Program& p, typename std::vector<ET>& lambda_a,
  Tag_true /*is_nonnegative*/)
 {
   // fill lambda_a
-  add_zA (p, infeasibility_certificate_begin(), lambda_a); 
+  add_zA (p, infeasibility_certificate_begin(), lambda_a);
   int n = p.get_n();
   for (int j=0; j<n; ++j)
     if (lambda_a[j] < et0)
@@ -414,12 +414,12 @@ bool Quadratic_program_solution<ET>::is_
 // ------------------------------------------------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_infeasible_2 
-(const Program& p, typename std::vector<ET>& lambda_a, 
+bool Quadratic_program_solution<ET>::is_infeasible_2
+(const Program& p, typename std::vector<ET>& lambda_a,
  Tag_false /*is_nonnegative*/)
 {
   // fill lambda_a
-  add_zA (p, infeasibility_certificate_begin(), lambda_a); 
+  add_zA (p, infeasibility_certificate_begin(), lambda_a);
   int n = p.get_n();
   typedef typename Program::FL_iterator FL_column_iterator;
   typedef typename Program::FU_iterator FU_column_iterator;
@@ -435,10 +435,10 @@ bool Quadratic_program_solution<ET>::is_
 }
 
 // checks whether lambda^T b < 0
-// ----------------------------- 
+// -----------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_infeasible_3 
+bool Quadratic_program_solution<ET>::is_infeasible_3
 (const Program& p, const typename std::vector<ET>& /*lambda_a*/,
  Tag_true /*is_nonnegative*/)
 {
@@ -454,29 +454,29 @@ bool Quadratic_program_solution<ET>::is_
   return true;
 }
 
-// checks whether lambda^T b < \sum_{j: lambda^TA_j < 0}lambda^TA_j u_j + 
+// checks whether lambda^T b < \sum_{j: lambda^TA_j < 0}lambda^TA_j u_j +
 //                             \sum_{j: lambda^TA_j > 0}lambda^TA_j l_j
-// ---------------------------------------------------------------------- 
+// ----------------------------------------------------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_infeasible_3 
+bool Quadratic_program_solution<ET>::is_infeasible_3
 (const Program& p, const typename std::vector<ET>& lambda_a,
  Tag_false /*is_nonnegative*/)
 {
   ET lambda_b(0);
-  int m = p.get_m(); 
+  int m = p.get_m();
   typedef typename Program::B_iterator B_column_iterator;
   B_column_iterator b = p.get_b();
   Infeasibility_certificate_iterator inf = infeasibility_certificate_begin();
   for (int i=0; i<m; ++i, ++b, ++inf)
     lambda_b += ET(*b) * *inf;
 
-  ET sum(0); 
-  int n = p.get_n();  
-  typedef typename Program::L_iterator L_column_iterator;  
-  typedef typename Program::U_iterator U_column_iterator;  
+  ET sum(0);
+  int n = p.get_n();
+  typedef typename Program::L_iterator L_column_iterator;
+  typedef typename Program::U_iterator U_column_iterator;
   L_column_iterator l = p.get_l();
-  U_column_iterator u = p.get_u();  
+  U_column_iterator u = p.get_u();
   for (int j=0; j<n; ++j, ++l, ++u) {
     if (lambda_a[j] < et0) sum += lambda_a[j] * ET(*u);
     if (lambda_a[j] > et0) sum += lambda_a[j] * ET(*l);
@@ -486,12 +486,12 @@ bool Quadratic_program_solution<ET>::is_
     return error("lambda^T b >= sum");
   return true;
 }
- 
+
 // checks whether (Aw)_i <= (>=, ==) 0 if i-th constraint is <= (>=, ==)
 // ---------------------------------------------------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_unbounded_1 
+bool Quadratic_program_solution<ET>::is_unbounded_1
 (const Program& p)
 {
   int m = p.get_m();
@@ -503,15 +503,15 @@ bool Quadratic_program_solution<ET>::is_
     switch (*r) {
     case SMALLER:
       if (aw[i] > et0)
-	return error ("i-th constraint <= but (Aw)_i > 0");
+        return error ("i-th constraint <= but (Aw)_i > 0");
       break;
     case EQUAL:
       if (aw[i] != et0)
-	return error ("i-th constraint == but (Aw)_i != 0");
+        return error ("i-th constraint == but (Aw)_i != 0");
       break;
     case LARGER:
       if (aw[i] < et0)
-	return error ("i-th constraint >= but (Aw)_i < 0");
+        return error ("i-th constraint >= but (Aw)_i < 0");
       break;
     }
   return true;
@@ -521,7 +521,7 @@ bool Quadratic_program_solution<ET>::is_
 // ---------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_unbounded_2 
+bool Quadratic_program_solution<ET>::is_unbounded_2
 (const Program& p, Tag_true /*is_nonnegative*/)
 {
   int n = p.get_n();
@@ -533,10 +533,10 @@ bool Quadratic_program_solution<ET>::is_
 }
 
 // checks whether w_j >= (<=) 0 if l_j (u_j) is finite
-// --------------------------------------------------- 
+// ---------------------------------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_unbounded_2 
+bool Quadratic_program_solution<ET>::is_unbounded_2
 (const Program& p, Tag_false /*is_nonnegative*/)
 {
   int n = p.get_n();
@@ -550,7 +550,7 @@ bool Quadratic_program_solution<ET>::is_
       return error ("some l_j is finite but w_j < 0");
     if (*fu && *unb > et0)
       return error ("some u_j is finite but w_j > 0");
-  }  
+  }
   return true;
 }
 
@@ -558,7 +558,7 @@ bool Quadratic_program_solution<ET>::is_
 // -----------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_unbounded_3 
+bool Quadratic_program_solution<ET>::is_unbounded_3
 (const Program& p, Tag_true /*is_linear*/)
 {
   ET cw(0);
@@ -566,18 +566,18 @@ bool Quadratic_program_solution<ET>::is_
   typedef typename Program::C_iterator C_column_iterator;
   C_column_iterator c = p.get_c();
   Unboundedness_certificate_iterator unb = unboundedness_certificate_begin();
-  for (int j=0; j<n; ++j, ++c, ++unb) 
+  for (int j=0; j<n; ++j, ++c, ++unb)
     cw += ET(*c) * *unb;
   if (cw >= et0)
     return error("c^Tw >= 0");
   return true;
-} 
+}
 
 // checks whether w^TDw = 0 and (c^T + 2x^TD)w < 0
 // -----------------------------------------------
 template <typename ET>
 template <typename Program>
-bool Quadratic_program_solution<ET>::is_unbounded_3 
+bool Quadratic_program_solution<ET>::is_unbounded_3
 (const Program& p, Tag_false /*is_linear*/)
 {
   int n = p.get_n();
@@ -586,7 +586,7 @@ bool Quadratic_program_solution<ET>::is_
   // check w^TDw = 0
   Unboundedness_certificate_iterator unb = unboundedness_certificate_begin();
   ET wdw(0);
-  for (int j=0; j<n; ++j, ++unb) 
+  for (int j=0; j<n; ++j, ++unb)
     wdw += two_dw[j] * *unb;
   if (wdw != et0)
     return error("w^TDw != 0");
@@ -596,22 +596,22 @@ bool Quadratic_program_solution<ET>::is_
   unb = unboundedness_certificate_begin();
   Variable_numerator_iterator v = variable_numerators_begin();
   ET d = variables_common_denominator();
-  if (d <= et0) 
+  if (d <= et0)
     return error ("common variable denominator is negative");
   ET res(0);
-  for (int j=0; j<n; ++j, ++c, ++unb, ++v) 
+  for (int j=0; j<n; ++j, ++c, ++unb, ++v)
     res += ET(*c) * *unb * d + two_dw[j] * *v;
   if (res >= 0)
     return error("c^T + 2x^TD)w >= 0");
   return true;
 }
-  
+
 // computes the product of A with the n-vector given by z
 // and adds the result to v; precondition: v has size m
 // ------------------------------------------------------
 template <typename ET>
 template <typename Program, typename Z_iterator >
-void Quadratic_program_solution<ET>::add_Az 
+void Quadratic_program_solution<ET>::add_Az
 (const Program& p, Z_iterator z, typename std::vector<ET>& v)
 {
   // iterator types
@@ -627,7 +627,7 @@ void Quadratic_program_solution<ET>::add
       // add A_j * z_j to az
       A_column_iterator a_j = *a;
       for (int i=0; i<p.get_m(); ++i, ++a_j)
-  	v[i] += *z * ET(*a_j);
+          v[i] += *z * ET(*a_j);
     }
   }
 }
@@ -637,7 +637,7 @@ void Quadratic_program_solution<ET>::add
 // -------------------------------------------------------
 template <typename ET>
 template <typename Program, typename Z_iterator >
-void Quadratic_program_solution<ET>::add_two_Dz 
+void Quadratic_program_solution<ET>::add_two_Dz
 (const Program& p, Z_iterator z, typename std::vector<ET>& v)
 {
   // we compute the contribution from the enries of D on or below
@@ -650,7 +650,7 @@ void Quadratic_program_solution<ET>::add
   // make sure that we only handle the nonzero terms of z
   std::vector<int> z_indices;
   Z_iterator l = z;
-  for (int i=0; i<n; ++i, ++l) 
+  for (int i=0; i<n; ++i, ++l)
     if (*l != 0) z_indices.push_back(i);
 
   // the rowwise contribution: on/below the diagonal
@@ -658,17 +658,17 @@ void Quadratic_program_solution<ET>::add
   for (int i=0; i<n; ++i, ++d) {
     // handle row i
     D_row_iterator d_i = *d;  // row i on/below diagonal
-    for (std::vector<int>::const_iterator 
-	   k = z_indices.begin(); k < z_indices.end(); ++k) {
+    for (std::vector<int>::const_iterator
+           k = z_indices.begin(); k < z_indices.end(); ++k) {
       int j = *k;
       if (j <= i) v[i] += *(z+j) * ET (*(d_i+j));
     }
   }
-  
+
   // the columnwise contribution: above the diagonal
   d = p.get_d();
-  for (std::vector<int>::const_iterator 
-	 k = z_indices.begin(); k < z_indices.end(); ++k) {
+  for (std::vector<int>::const_iterator
+         k = z_indices.begin(); k < z_indices.end(); ++k) {
     int j = *k;
     // handle column j
     D_row_iterator d_j = *(d+j); // column j above diagonal
@@ -679,11 +679,11 @@ void Quadratic_program_solution<ET>::add
 
 
 // computes the product of the m-vector given by z with the matrix
-// A and adds the result to v; precondition: v has size n 
+// A and adds the result to v; precondition: v has size n
 // ----------------------------------------------------------------
 template <typename ET>
 template <typename Program, typename Z_iterator >
-void  Quadratic_program_solution<ET>::add_zA 
+void  Quadratic_program_solution<ET>::add_zA
 (const Program& p, Z_iterator z, typename std::vector<ET>& v)
 {
   typedef typename Program::A_iterator
@@ -696,16 +696,16 @@ void  Quadratic_program_solution<ET>::ad
   // make sure that we only handle the nonzero terms of z
   std::vector<int> z_indices; // indices of nonzero entries
   Z_iterator l = z;
-  for (int i=0; i<m; ++i, ++l) 
+  for (int i=0; i<m; ++i, ++l)
     if (*l != 0) z_indices.push_back(i);
-  // now compute the product columnwise 
+  // now compute the product columnwise
   for (int j=0; j<n; ++j, ++a) {
-    // add z^T * A_j to v[j] 
+    // add z^T * A_j to v[j]
     A_column_iterator a_j = *a;
-    for (std::vector<int>::const_iterator 
-	   k = z_indices.begin(); k < z_indices.end(); ++k)
+    for (std::vector<int>::const_iterator
+           k = z_indices.begin(); k < z_indices.end(); ++k)
       v[j] += *(z+*k) * ET(*(a_j+*k));
-  }  
+  }
 }
 
 // adds d c^T to v; precondition: v has length n
diff -pruN 5.0.2-3/include/CGAL/QP_solver/QP_solver_bounds_impl.h 5.0.3-1/include/CGAL/QP_solver/QP_solver_bounds_impl.h
--- 5.0.2-3/include/CGAL/QP_solver/QP_solver_bounds_impl.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/QP_solver_bounds_impl.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/QP_solver_bounds_impl.h $
-// $Id: QP_solver_bounds_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/QP_solver_bounds_impl.h $
+// $Id: QP_solver_bounds_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
@@ -55,7 +55,7 @@ ET QP_solver<Q, ET, Tags>::upper_bound(i
   // Given an index of an original variable, returns its upper bound.
 {
   CGAL_qpe_assertion(i < qp_n); // Note: slack variables cannot have
-				// finite upper bounds.
+                                // finite upper bounds.
   CGAL_qpe_assertion(has_finite_upper_bound(i));
   return *(qp_u+i);
 }
diff -pruN 5.0.2-3/include/CGAL/QP_solver/QP_solver.h 5.0.3-1/include/CGAL/QP_solver/QP_solver.h
--- 5.0.2-3/include/CGAL/QP_solver/QP_solver.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/QP_solver.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/QP_solver.h $
-// $Id: QP_solver.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/QP_solver.h $
+// $Id: QP_solver.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Kaspar Fischer
 //               : Bernd Gaertner <gaertner@inf.ethz.ch>
-//               : Sven Schoenherr 
-//               : Franz Wessendorp 
+//               : Sven Schoenherr
+//               : Franz Wessendorp
 
 #ifndef CGAL_QP_SOLVER_H
 #define CGAL_QP_SOLVER_H
@@ -56,14 +56,14 @@ template < typename Q, typename ET, type
 class QP_solver;
 
 template <class ET>
-class QP_solution; 
+class QP_solution;
 
 namespace QP_solver_impl {   // namespace for implemenation details
   // --------------
   // Tags generator
   // --------------
-  template < typename Linear, 
-	     typename Nonnegative >
+  template < typename Linear,
+             typename Nonnegative >
   struct QP_tags {
     typedef Linear                Is_linear;
     typedef Nonnegative           Is_nonnegative;
@@ -116,7 +116,7 @@ namespace QP_solver_impl {   // namespac
   };
 
   template <typename Q, typename ET, typename Tags>
-  struct Filtered_pricing_strategy_selector<Q, ET, Tags, double> 
+  struct Filtered_pricing_strategy_selector<Q, ET, Tags, double>
   {
     typedef QP_full_filtered_pricing<Q, ET, Tags> FF;
     typedef QP_partial_filtered_pricing<Q, ET, Tags> PF;
@@ -135,16 +135,16 @@ class QP_solver : public QP_solver_base<
 public: // public types
   typedef  QP_solver<Q, ET, Tags> Self;
   typedef  QP_solver_base<ET> Base;
-  
+
   // types from the QP
   typedef  typename Q::A_iterator   A_iterator;
   typedef  typename Q::B_iterator   B_iterator;
   typedef  typename Q::C_iterator   C_iterator;
   typedef  CGAL::Comparison_result Row_type;
   typedef  typename Q::R_iterator Row_type_iterator;
-  
+
   // the remaining types might not be present in the qp, so the
-  // following selectors generate dummy types for them 
+  // following selectors generate dummy types for them
   typedef  typename QP_solver_impl::
   D_selector<Q, typename Tags::Is_linear>::
   D_iterator D_iterator;
@@ -167,7 +167,7 @@ public: // public types
 
   // friends
   template <class Q_, class ET_>
-  friend bool has_linearly_independent_equations 
+  friend bool has_linearly_independent_equations
   (const Q_& qp, const ET_& dummy);
 
 private: // private types
@@ -175,14 +175,14 @@ private: // private types
   // types of original problem:
   typedef  typename std::iterator_traits<A_iterator>::value_type  A_column;
   typedef  typename std::iterator_traits<D_iterator>::value_type  D_row;
-  
+
   typedef  typename std::iterator_traits<A_column  >::value_type  A_entry;
   typedef  typename std::iterator_traits<B_iterator>::value_type  B_entry;
   typedef  typename std::iterator_traits<C_iterator>::value_type  C_entry;
   typedef  typename std::iterator_traits<D_row     >::value_type  D_entry;
   typedef  typename std::iterator_traits<L_iterator>::value_type  L_entry;
   typedef  typename std::iterator_traits<U_iterator>::value_type  U_entry;
-  
+
   // slack columns:
   //
   // The following two types are used to (conceptually) add to the matrix A
@@ -207,16 +207,16 @@ private: // private types
   // to A. This column contains only +-1's (but it may contain several nonzero
   // entries).
   typedef  std::vector<A_entry>       S_art;
-  
+
   // auxiliary objective vector (i.e., the objective vector for phase I):
   typedef  std::vector<C_entry>       C_aux;
 
 public: // export some additional types:
-  
-  typedef  typename Base::Indices     Indices; 
+
+  typedef  typename Base::Indices     Indices;
   typedef  typename Base::Index_mutable_iterator   Index_iterator;
   typedef  typename Base::Index_const_iterator     Index_const_iterator;
- 
+
   // For problems in nonstandard form we also export the following type, which
   // for an original variable will say whether it sits at is lower, upper, at
   // its lower and upper (fixed) bound, or at zero, or whether the variable is
@@ -229,13 +229,13 @@ private:
   Bound_index_value_iterator;
   typedef  typename Bound_index_values::const_iterator
   Bound_index_value_const_iterator;
-  
+
   // values (variables' numerators):
   typedef  std::vector<ET>            Values;
   typedef  typename Values::iterator  Value_iterator;
   typedef  typename Values::const_iterator
   Value_const_iterator;
-    
+
   // access values by basic index functor:
   typedef  CGAL::Value_by_basic_index<Value_const_iterator>
   Value_by_basic_index;
@@ -264,15 +264,15 @@ private:
   A_accessor;
   typedef  boost::function1<typename A_accessor::result_type, int>
   A_row_by_index_accessor;
-  typedef  boost::transform_iterator 
+  typedef  boost::transform_iterator
   < A_row_by_index_accessor, Index_iterator >
   A_row_by_index_iterator;
 
-  // Access to the matrix D sometimes converts to ET, and 
+  // Access to the matrix D sometimes converts to ET, and
   // sometimes retruns the original input type
   typedef  QP_matrix_pairwise_accessor< D_iterator, ET >
   D_pairwise_accessor;
-  typedef boost::transform_iterator 
+  typedef boost::transform_iterator
   < D_pairwise_accessor, Index_const_iterator>
   D_pairwise_iterator;
   typedef  QP_matrix_pairwise_accessor< D_iterator, D_entry >
@@ -287,15 +287,15 @@ private:
   typedef  boost::transform_iterator
   < S_by_index_accessor, Index_iterator >
   S_by_index_iterator;
-  
+
 public:
-    
+
   typedef  typename A_slack::const_iterator
   A_slack_iterator;
 
   typedef  typename A_art::const_iterator
   A_artificial_iterator;
-    
+
   typedef  typename C_aux::const_iterator
   C_auxiliary_iterator;
 
@@ -305,14 +305,14 @@ public:
   typedef  Index_const_iterator       Basic_variable_index_iterator;
   typedef  Value_const_iterator       Basic_variable_numerator_iterator;
   typedef  Index_const_iterator       Basic_constraint_index_iterator;
-        
+
   typedef  QP_pricing_strategy<Q, ET, Tags>  Pricing_strategy;
 
 private:
   // compile time tag for symbolic perturbation, should be moved into traits
   // class when symbolic perturbation is to be implemented
   Tag_false                is_perturbed;
-    
+
   // some constants
   const ET                 et0, et1, et2;
 
@@ -323,14 +323,14 @@ private:
   mutable Verbose_ostream  vout3;     // used for full diagnostic output
   mutable Verbose_ostream  vout4;     // used for output of basis inverse
   mutable Verbose_ostream  vout5;     // used for output of validity tests
-    
+
   // pricing strategy
   Pricing_strategy*        strategyP;
 
   // given QP
   int                      qp_n;      // number of variables
   int                      qp_m;      // number of constraints
-    
+
   // min x^T D x + c^T x + c0
   A_iterator               qp_A;      // constraint matrix
   B_iterator               qp_b;      // right-hand-side vector
@@ -346,7 +346,7 @@ private:
 
   A_slack                  slack_A;   // slack part of constraint matrix
 
-  // auxiliary problem    
+  // auxiliary problem
   A_art                    art_A;     // artificial part of constraint matrix
   // Note: in phase I there is an
   // additional "fake" column attached
@@ -357,7 +357,7 @@ private:
   //                artificial column
   // art_s_i==-1 -> no sp. art. col
   // art_s_i==-2 -> sp. art. col removed
-  //                after it left basis 
+  //                after it left basis
   int                      art_basic; // number of basic artificial variables
   C_aux                    aux_c;     // objective function for phase I
   // initially has the same size as A_art
@@ -370,7 +370,7 @@ private:
   // artificial variables.
 
   Indices                  B_S;       // basis (   slack variables)
-    
+
   Indices                  C;         // basic constraints ( C = E+S_N )
   // Note: the size of C is always
   // correct, i.e., corresponds to the
@@ -378,12 +378,12 @@ private:
   // $E\cup S_N$.
 
   Indices                  S_B;       // nonbasic constraints ( S_B '=' B_S)
-    
+
   QP_basis_inverse<ET,Is_linear>
   inv_M_B;   // inverse of basis matrix
 
   const ET&                d;         // reference to `inv_M_B.denominator()'
-    
+
   Values                   x_B_O;     // basic variables (original)
   // Note: x_B_O is only enlarged,
   // so its size need not be |B|.
@@ -405,16 +405,16 @@ private:
   // Is_nonnegative is set to Tag_true.
   Values                   r_B_O;     // r_B_O = 2D_{B_O,N_O}x_{N_O}
   Values                   w;         // w = 2D_{O, N_O}x_{N_O}
-    
+
   int                      m_phase;   // phase of the Simplex method
   Quadratic_program_status                   m_status;  // status of last pivot step
   int                      m_pivots;  // number of pivot steps
-    
+
   bool                     is_phaseI; // flag indicating phase I
   bool                     is_phaseII;// flag indicating phase II
   bool                     is_RTS_transition; // flag indicating transition
   // from Ratio Test Step1 to Ratio
-  // Test Step2                                           
+  // Test Step2
   const bool               is_LP;     // flag indicating a linear program
   const bool               is_QP;     // flag indicating a quadratic program
 
@@ -422,9 +422,9 @@ private:
   // AND still has all its equations; this is given in phase I for any
   // program in equational form, but it may change if redundant constraints
   // get removed from the basis. If no_ineq == true, the program is treated
-  // in a more efficient manner, since in that case we need no bookkeeping 
+  // in a more efficient manner, since in that case we need no bookkeeping
   // for basic constraints
-  bool                     no_ineq;   
+  bool                     no_ineq;
   bool                     has_ineq;  // !no_ineq
 
   const bool               is_nonnegative; // standard form, from Tag
@@ -436,14 +436,14 @@ private:
   // phase I (in phase II, the reduced
   // basis size can be arbitrarily
   // large)
-    
-  int 		     e;         // number of equality constraints
-    
+
+  int                      e;         // number of equality constraints
+
   // Given a variable number i, in_B[i] is -1 iff x_i is not in the current
   // basis.  If the number in_B[i] is >=0, it is the basis heading of x_i.
   Indices                  in_B;      // variable   in basis, -1 if non-basic
 
-  // Given a number i in {0,...,qp_m-1} of a constraint, 
+  // Given a number i in {0,...,qp_m-1} of a constraint,
   Indices                  in_C;      // constraint in basis, -1 if non-basic
   // Note: in_C is only maintained if
   // there are inequality constraints.
@@ -461,9 +461,9 @@ private:
   // column of D restricted to B_O
   // Note: tmp_x_2 is only enlarged,
   // so its size need not be |B|.
-    
+
   int                      j;         // index of entering variable `x_j'
-    
+
   int                      i;         // index of leaving variable `x_i'
   ET                       x_i;       // numerator of leaving variable `x_i'
   ET                       q_i;       // corresponding `q_i'
@@ -476,13 +476,13 @@ private:
 
   ET                       mu;        //   numerator of `t_j'
   ET                       nu;        // denominator of `t_j'
-    
+
   Values                   q_lambda;  // length dependent on C
   Values                   q_x_O;     // used in the ratio test & update
   // Note: q_x_O is only enlarged,
   // so its size need not be |B|.
 
-  Values                   q_x_S;     // 
+  Values                   q_x_S;     //
 
   Values                   tmp_l;     // temporary vector of size l
   Values                   tmp_x;     // temporary vector of s. >= B_O.size()
@@ -497,7 +497,7 @@ private:
   struct Diagnostics {
     bool redundant_equations;
   };
-    
+
   Diagnostics              diagnostics;
 
 public:
@@ -513,9 +513,9 @@ public:
   // creation & initialization
   // -------------------------
   // creation
-  QP_solver(const Q& qp, 
-	    const Quadratic_program_options& options = 
-	    Quadratic_program_options());
+  QP_solver(const Q& qp,
+            const Quadratic_program_options& options =
+            Quadratic_program_options());
 
   virtual ~QP_solver()
   {
@@ -523,28 +523,28 @@ public:
       delete strategyP;
   }
 
-	      
+
 private:
   // set-up of QP
-  void set( const Q& qp); 
+  void set( const Q& qp);
   void set_D (const Q& qp, Tag_true is_linear);
   void set_D (const Q& qp, Tag_false is_linear);
-	         
+
   // set-up of explicit bounds
-  void set_explicit_bounds(const Q& qp); 
-  void set_explicit_bounds(const Q& qp, Tag_true /*is_nonnegative*/); 
+  void set_explicit_bounds(const Q& qp);
+  void set_explicit_bounds(const Q& qp, Tag_true /*is_nonnegative*/);
   void set_explicit_bounds(const Q& qp, Tag_false /*is_nonnegative*/);
 
   // initialization (of phase I)
   void  init( );
-    
+
   // initialization (of phase II)
   /*
     template < class InputIterator >
     void  init( InputIterator  basic_variables_first,
     InputIterator  basic_variables_beyond);
   */
-    
+
   // operations
   // ----------
   // pivot step
@@ -567,21 +567,21 @@ public:
   // access to QP
   int  number_of_variables  ( ) const { return qp_n; }
   int  number_of_constraints( ) const { return qp_m; }
-    
+
   A_iterator  a_begin( ) const { return qp_A;      }
   A_iterator  a_end  ( ) const { return qp_A+qp_n; }
-    
+
   B_iterator  b_begin( ) const { return qp_b;      }
   B_iterator  b_end  ( ) const { return qp_b+qp_m; }
-    
+
   C_iterator  c_begin( ) const { return qp_c;      }
   C_iterator  c_end  ( ) const { return qp_c+qp_n; }
 
   C_entry     c_0    ( ) const { return qp_c0;}
-    
+
   D_iterator  d_begin( ) const { return qp_D;      }
   D_iterator  d_end  ( ) const { return qp_D+qp_n; }
-    
+
   Row_type_iterator  row_type_begin( ) const { return qp_r;      }
   Row_type_iterator  row_type_end  ( ) const { return qp_r+qp_m; }
 
@@ -589,12 +589,12 @@ public:
   int     phase     ( ) const { return m_phase;  }
   Quadratic_program_status  status    ( ) const { return m_status; }
   int     iterations( ) const { return m_pivots; }
-    
+
   // access to common denominator
-  const ET& variables_common_denominator( ) const 
-  { 
+  const ET& variables_common_denominator( ) const
+  {
     CGAL_qpe_assertion (d > 0);
-    return d; 
+    return d;
   }
 
   // access to current solution
@@ -602,16 +602,16 @@ public:
 
   // access to current solution
   ET  solution_denominator( ) const { return et2*d*d; }
-    
+
   // access to original variables
   int  number_of_original_variables( ) const { return qp_n; }
-    
+
   // access to slack variables
   int  number_of_slack_variables( ) const { return static_cast<int>(slack_A.size()); }
 
   // access to artificial variables
   int  number_of_artificial_variables( ) const { return static_cast<int>(art_A.size()); }
-    
+
   C_auxiliary_iterator
   c_auxiliary_value_iterator_begin( ) const { return aux_c.begin(); }
   C_auxiliary_iterator
@@ -626,46 +626,46 @@ public:
   basic_original_variable_indices_begin( ) const { return B_O.begin(); }
   Basic_variable_index_iterator
   basic_original_variable_indices_end  ( ) const { return B_O.end(); }
-    
+
   Basic_variable_numerator_iterator
   basic_original_variables_numerator_begin( ) const { return x_B_O.begin(); }
   Basic_variable_numerator_iterator
   basic_original_variables_numerator_end  ( ) const { return x_B_O.begin()
-							+ B_O.size(); }
+                                                        + B_O.size(); }
 
 public: // only the pricing strategies (including user-defined ones
         // need access to this) -- make them friends?
 
   // access to working variables
   int  number_of_working_variables( ) const { return static_cast<int>(in_B.size()); }
-  
+
   bool is_basic( int j) const
-  { 
+  {
     CGAL_qpe_assertion(j >= 0);
     CGAL_qpe_assertion(j < number_of_working_variables());
     return (in_B[ j] >= 0);
   }
-  
+
   bool is_original(int j) const
   {
     CGAL_qpe_assertion(j >= 0);
     CGAL_qpe_assertion(j < number_of_working_variables());
-    return (j < qp_n);    
+    return (j < qp_n);
   }
-    
+
   bool phaseI( ) const {return is_phaseI;}
-  
+
   bool is_artificial(int k) const;
 
   int get_l() const;
 
   // Returns w[j] for an original variable x_j.
   ET w_j_numerator(int j) const
-  { 
+  {
     CGAL_qpe_assertion((0 <= j) && (j < qp_n) && is_phaseII);
     return w[j];
   }
-  
+
   Bound_index nonbasic_original_variable_bound_index(int i) const
     // Returns on which bound the nonbasic variable x_i is currently
     // sitting:
@@ -680,30 +680,30 @@ public: // only the pricing strategies (
     // to find out which bound is active, if any.
   {
     CGAL_assertion(!check_tag(Is_nonnegative()) &&
-		   !is_basic(i) && i < qp_n);
+                   !is_basic(i) && i < qp_n);
     if (x_O_v_i[i] == BASIC) {
       CGAL_qpe_assertion(false);
     }
-    return x_O_v_i[i];  
+    return x_O_v_i[i];
   };
-  
+
   int state_of_zero_nonbasic_variable(int i) const
     // Returns -1 if the original variable x_i equals its lower bound,
     // 0 if it lies strictly between its lower and upper bound, and 1 if
     // it coincides with its upper bound.
-    // 
+    //
     // See also the documentation of nonbasic_original_variable_bound_index()
     // above.
   {
     CGAL_assertion(!check_tag(Is_nonnegative()) &&
-		   !is_basic(i) && i < qp_n && x_O_v_i[i] == ZERO);
+                   !is_basic(i) && i < qp_n && x_O_v_i[i] == ZERO);
     if (*(qp_fl+i) && CGAL::is_zero(*(qp_l+i)))
       return -1;
     if (*(qp_fu+i) && CGAL::is_zero(*(qp_u+i)))
       return 1;
     return 0;
   }
-  
+
 private:
   // miscellaneous
   // -------------
@@ -724,7 +724,7 @@ public:
   basic_constraint_indices_end  ( ) const { return C.end(); }
 
   // helper functions
-  template < class RndAccIt1, class RndAccIt2, class NT >  
+  template < class RndAccIt1, class RndAccIt2, class NT >
   NT  mu_j_( int j, RndAccIt1 lambda_it, RndAccIt2 x_it, const NT& dd) const;
 
   ET  dual_variable( int i)
@@ -733,7 +733,7 @@ public:
       tmp_x[ j] = inv_M_B.entry( j, i);
     }
     return std::inner_product( tmp_x.begin(), tmp_x.begin()+qp_m,
-			       minus_c_B.begin(), et0);
+                               minus_c_B.begin(), et0);
   }
 
 public:
@@ -746,9 +746,9 @@ public:
   {
     return lambda.begin() + C.size();
   }
-  
 
-private:    
+
+private:
 
   // private member functions
   // ------------------------
@@ -759,7 +759,7 @@ private:
   void  init_basis__slack_variables( int s_i, bool has_no_inequalities) {
     if (has_no_inequalities)
       init_basis__slack_variables (s_i, Tag_true());
-    else 
+    else
       init_basis__slack_variables (s_i, Tag_false());
   }
 
@@ -768,7 +768,7 @@ private:
   void  init_basis__constraints    ( int s_i, bool has_no_inequalities) {
     if (has_no_inequalities)
       init_basis__constraints (s_i, Tag_true());
-    else 
+    else
       init_basis__constraints (s_i, Tag_false());
   }
 
@@ -784,7 +784,7 @@ private:
 
   void  init_solution( );
   void  init_solution__b_C( Tag_true  has_no_inequalities);
-  void  init_solution__b_C( Tag_false has_no_inequalities); 
+  void  init_solution__b_C( Tag_false has_no_inequalities);
   void  init_solution__b_C( bool has_no_inequalities) {
     if (has_no_inequalities)
       init_solution__b_C (Tag_true());
@@ -793,7 +793,7 @@ private:
   }
 
   void  init_additional_data_members( );
-    
+
   // function needed for set up of auxiliary problem for symbolic perturbation
   int  signed_leading_exponent( int row);
   // This is a variant of set_up_auxiliary_problem for symbolic perturbation
@@ -806,7 +806,7 @@ private:
   void  transition( );
   void  transition( Tag_true  is_linear);
   void  transition( Tag_false is_linear);
-    
+
   // pivot step
   void  pivot_step( );
 
@@ -815,13 +815,13 @@ private:
 
   template < class NT, class It >
   void  mu_j__linear_part_( NT& mu_j, int j, It lambda_it,
-			    Tag_true  has_no_inequalities) const;
+                            Tag_true  has_no_inequalities) const;
   template < class NT, class It >
   void  mu_j__linear_part_( NT& mu_j, int j, It lambda_it,
-			    Tag_false has_no_inequalities) const;
+                            Tag_false has_no_inequalities) const;
   template < class NT, class It >
   void  mu_j__linear_part_( NT& mu_j, int j, It lambda_it,
-			    bool has_no_inequalities) const {
+                            bool has_no_inequalities) const {
     if (has_no_inequalities)
       mu_j__linear_part_ (mu_j, j, lambda_it, Tag_true());
     else
@@ -831,32 +831,32 @@ private:
 
 //   template < class NT, class It >
 //   void  mu_j__quadratic_part_( NT& mu_j, int j, It x_it,
-// 			       Tag_true  is_linear) const;
+//                                Tag_true  is_linear) const;
 //   template < class NT, class It >
 //   void  mu_j__quadratic_part_( NT& mu_j, int j, It x_it,
-// 			       Tag_false is_linear) const;
+//                                Tag_false is_linear) const;
 //   template < class NT, class It >
 //   void  mu_j__quadratic_part_( NT& mu_j, int j, It x_it,
-// 			       Tag_false is_linear,
-// 			       Tag_true  is_symmetric) const;
+//                                Tag_false is_linear,
+//                                Tag_true  is_symmetric) const;
 //   template < class NT, class It >
 //   void  mu_j__quadratic_part_( NT& mu_j, int j, It x_it,
-// 			       Tag_false is_linear,
-// 			       Tag_false is_symmetric) const;
+//                                Tag_false is_linear,
+//                                Tag_false is_symmetric) const;
 
   template < class NT, class It >
-  void  mu_j__slack_or_artificial_( NT& mu_j, int j, It lambda_it, 
-				    const NT& dd,
-				    Tag_true  has_no_inequalities) const;
+  void  mu_j__slack_or_artificial_( NT& mu_j, int j, It lambda_it,
+                                    const NT& dd,
+                                    Tag_true  has_no_inequalities) const;
   template < class NT, class It >
-  void  mu_j__slack_or_artificial_( NT& mu_j, int j, It lambda_it, 
-				    const NT& dd,
-				    Tag_false has_no_inequalities) const;
+  void  mu_j__slack_or_artificial_( NT& mu_j, int j, It lambda_it,
+                                    const NT& dd,
+                                    Tag_false has_no_inequalities) const;
 
   template < class NT, class It >
   void  mu_j__slack_or_artificial_( NT& mu_j, int j, It lambda_it,
-				    const NT& dd,
-				    bool has_no_inequalities) const {
+                                    const NT& dd,
+                                    bool has_no_inequalities) const {
     if (has_no_inequalities)
       mu_j__slack_or_artificial_ (mu_j, j, lambda_it, dd, Tag_true());
     else
@@ -866,30 +866,30 @@ private:
   // ratio test
   void  ratio_test_init( );
   void  ratio_test_init__A_Cj( Value_iterator A_Cj_it, int j,
-			       Tag_true  has_no_inequalities);
+                               Tag_true  has_no_inequalities);
   void  ratio_test_init__A_Cj( Value_iterator A_Cj_it, int j,
-			       Tag_false has_no_inequalities);
+                               Tag_false has_no_inequalities);
   void  ratio_test_init__A_Cj( Value_iterator A_Cj_it, int j,
-			       bool has_no_inequalities) {
-    if (has_no_inequalities) 
+                               bool has_no_inequalities) {
+    if (has_no_inequalities)
       ratio_test_init__A_Cj (A_Cj_it, j, Tag_true());
     else
       ratio_test_init__A_Cj (A_Cj_it, j, Tag_false());
   }
 
   void  ratio_test_init__2_D_Bj( Value_iterator two_D_Bj_it, int j,
-				 Tag_true  is_linear);
+                                 Tag_true  is_linear);
   void  ratio_test_init__2_D_Bj( Value_iterator two_D_Bj_it, int j,
-				 Tag_false is_linear);
+                                 Tag_false is_linear);
   void  ratio_test_init__2_D_Bj( Value_iterator two_D_Bj_it, int j,
-				 Tag_false is_linear,
-				 Tag_true  has_no_inequalities);
+                                 Tag_false is_linear,
+                                 Tag_true  has_no_inequalities);
   void  ratio_test_init__2_D_Bj( Value_iterator two_D_Bj_it, int j,
-				 Tag_false is_linear,
-				 Tag_false has_no_inequalities);
+                                 Tag_false is_linear,
+                                 Tag_false has_no_inequalities);
   void  ratio_test_init__2_D_Bj( Value_iterator two_D_Bj_it, int j,
-				 Tag_false is_linear,
-				 bool has_no_inequalities) {
+                                 Tag_false is_linear,
+                                 bool has_no_inequalities) {
     if (has_no_inequalities)
       ratio_test_init__2_D_Bj( two_D_Bj_it, j, is_linear, Tag_true());
     else
@@ -909,59 +909,59 @@ private:
       ratio_test_1__q_x_S (Tag_false());
   }
 
-  void  ratio_test_1__t_min_j(Tag_true  /*is_nonnegative*/);  
+  void  ratio_test_1__t_min_j(Tag_true  /*is_nonnegative*/);
   void  ratio_test_1__t_min_j(Tag_false /*is_nonnegative*/);
-    
+
   void  ratio_test_1__t_i( Index_iterator i_it, Index_iterator end_it,
-			   Value_iterator x_it, Value_iterator   q_it,
-			   Tag_true  no_check);
+                           Value_iterator x_it, Value_iterator   q_it,
+                           Tag_true  no_check);
   void  ratio_test_1__t_i( Index_iterator i_it, Index_iterator end_it,
-			   Value_iterator x_it, Value_iterator   q_it,
-			   Tag_false  no_check);
-    
+                           Value_iterator x_it, Value_iterator   q_it,
+                           Tag_false  no_check);
+
   // replaces the above two functions
   void  ratio_test_1__t_min_B(Tag_true has_no_inequalities );
-  void  ratio_test_1__t_min_B(Tag_false has_no_inequalities ); 
+  void  ratio_test_1__t_min_B(Tag_false has_no_inequalities );
   void  ratio_test_1__t_min_B(bool has_no_inequalities ) {
     if (has_no_inequalities)
       ratio_test_1__t_min_B (Tag_true());
     else
       ratio_test_1__t_min_B (Tag_false());
   }
-   
+
   void  ratio_test_1_B_O__t_i(Index_iterator i_it, Index_iterator end_it,
-			      Value_iterator x_it, Value_iterator q_it,
-			      Tag_true  /*is_nonnegative*/);
+                              Value_iterator x_it, Value_iterator q_it,
+                              Tag_true  /*is_nonnegative*/);
   void  ratio_test_1_B_O__t_i(Index_iterator i_it, Index_iterator end_it,
-			      Value_iterator x_it, Value_iterator q_it,
-			      Tag_false /*is_nonnegative*/);
+                              Value_iterator x_it, Value_iterator q_it,
+                              Tag_false /*is_nonnegative*/);
   void  ratio_test_1_B_S__t_i(Index_iterator i_it, Index_iterator end_it,
-			      Value_iterator x_it, Value_iterator q_it,
-			      Tag_true  /*is_nonnegative*/);
+                              Value_iterator x_it, Value_iterator q_it,
+                              Tag_true  /*is_nonnegative*/);
   void  ratio_test_1_B_S__t_i(Index_iterator i_it, Index_iterator end_it,
-			      Value_iterator x_it, Value_iterator q_it,
-			      Tag_false /*is_nonnegative*/);
-			     
-  void  test_implicit_bounds_dir_pos(int k, const ET& x_k, const ET& q_k, 
-				     int& i_min, ET& d_min, ET& q_min);
-  void  test_implicit_bounds_dir_neg(int k, const ET& x_k, const ET& q_k, 
-				     int& i_min, ET& d_min, ET& q_min);
-  void  test_explicit_bounds_dir_pos(int k, const ET& x_k, const ET& q_k, 
-				     int& i_min, ET& d_min, ET& q_min);
-  void  test_explicit_bounds_dir_neg(int k, const ET& x_k, const ET& q_k, 
-				     int& i_min, ET& d_min, ET& q_min);
-  void  test_mixed_bounds_dir_pos(int k, const ET& x_k, const ET& q_k, 
-				  int& i_min, ET& d_min, ET& q_min);
-  void  test_mixed_bounds_dir_neg(int k, const ET& x_k, const ET& q_k, 
-				  int& i_min, ET& d_min, ET& q_min);    
-                                    
+                              Value_iterator x_it, Value_iterator q_it,
+                              Tag_false /*is_nonnegative*/);
+
+  void  test_implicit_bounds_dir_pos(int k, const ET& x_k, const ET& q_k,
+                                     int& i_min, ET& d_min, ET& q_min);
+  void  test_implicit_bounds_dir_neg(int k, const ET& x_k, const ET& q_k,
+                                     int& i_min, ET& d_min, ET& q_min);
+  void  test_explicit_bounds_dir_pos(int k, const ET& x_k, const ET& q_k,
+                                     int& i_min, ET& d_min, ET& q_min);
+  void  test_explicit_bounds_dir_neg(int k, const ET& x_k, const ET& q_k,
+                                     int& i_min, ET& d_min, ET& q_min);
+  void  test_mixed_bounds_dir_pos(int k, const ET& x_k, const ET& q_k,
+                                  int& i_min, ET& d_min, ET& q_min);
+  void  test_mixed_bounds_dir_neg(int k, const ET& x_k, const ET& q_k,
+                                  int& i_min, ET& d_min, ET& q_min);
+
   void  ratio_test_1__t_j( Tag_true  is_linear);
   void  ratio_test_1__t_j( Tag_false is_linear);
 
   void  ratio_test_2( Tag_true  is_linear);
   void  ratio_test_2( Tag_false is_linear);
   void  ratio_test_2__p( Tag_true  has_no_inequalities);
-  void  ratio_test_2__p( Tag_false has_no_inequalities);   
+  void  ratio_test_2__p( Tag_false has_no_inequalities);
   void  ratio_test_2__p( bool has_no_inequalities) {
     if (has_no_inequalities)
       ratio_test_2__p (Tag_true());
@@ -990,9 +990,9 @@ private:
   void  replace_variable_original_original( );
   // update of the vector r
   void  replace_variable_original_original_upd_r(Tag_true
-						 /*is_nonnegative*/);
+                                                 /*is_nonnegative*/);
   void  replace_variable_original_original_upd_r(Tag_false
-						 /*is_nonnegative*/);
+                                                 /*is_nonnegative*/);
 
   void  replace_variable_original_slack( );
   // update of the vector r
@@ -1003,21 +1003,21 @@ private:
   // update of the vector r
   void  replace_variable_slack_original_upd_r(Tag_true /*is_nonnegative*/);
   void  replace_variable_slack_original_upd_r(Tag_false /*is_nonnegative*/);
-    
+
   void  replace_variable_slack_slack( );
   // update of the vector r
   void  replace_variable_slack_slack_upd_r(Tag_true /*is_nonnegative*/);
   void  replace_variable_slack_slack_upd_r(Tag_false /*is_nonnegative*/);
-    
+
   void  remove_artificial_variable_and_constraint( );
   // update of the vector r
   void  remove_artificial_variable_and_constraint_upd_r(Tag_true
-							/*is_nonnegative*/);
+                                                        /*is_nonnegative*/);
   void  remove_artificial_variable_and_constraint_upd_r(Tag_false
-							/*is_nonnegative*/);    
-    
+                                                        /*is_nonnegative*/);
+
   void  expel_artificial_variables_from_basis( );
-    
+
   // update that occurs only with upper bounding in ratio test step 1
   void  enter_and_leave_variable( );
 
@@ -1027,63 +1027,63 @@ private:
   void  enter_variable_original_upd_w_r(Tag_false /*is_nonnegative*/);
   void  enter_variable_slack_upd_w_r(Tag_true /*is_nonnegative*/);
   void  enter_variable_slack_upd_w_r(Tag_false /*is_nonnegative*/);
-    
+
   void  leave_variable( );
   // update of the vectors w and r
-  void  leave_variable_original_upd_w_r(Tag_true /*is_nonnegative*/);    
+  void  leave_variable_original_upd_w_r(Tag_true /*is_nonnegative*/);
   void  leave_variable_original_upd_w_r(Tag_false /*is_nonnegative*/);
   void  leave_variable_slack_upd_w_r(Tag_true /*is_nonnegative*/);
   void  leave_variable_slack_upd_w_r(Tag_false /*is_nonnegative*/);
-    
+
   void  z_replace_variable( );
   void  z_replace_variable( Tag_true has_no_inequalities);
   void  z_replace_variable( Tag_false has_no_inequalities);
   void  z_replace_variable( bool has_no_inequalities) {
-    if (has_no_inequalities) 
+    if (has_no_inequalities)
       z_replace_variable (Tag_true());
     else
       z_replace_variable (Tag_false());
   }
-    
+
   void  z_replace_variable_original_by_original( );
   // update of the vectors w and r
-  void  z_replace_variable_original_by_original_upd_w_r(Tag_true 
-							/*is_nonnegative*/);
-  void  z_replace_variable_original_by_original_upd_w_r(Tag_false 
-							/*is_nonnegative*/);
-    
+  void  z_replace_variable_original_by_original_upd_w_r(Tag_true
+                                                        /*is_nonnegative*/);
+  void  z_replace_variable_original_by_original_upd_w_r(Tag_false
+                                                        /*is_nonnegative*/);
+
   void  z_replace_variable_original_by_slack( );
-  // update of the vectors w and r    
-  void  z_replace_variable_original_by_slack_upd_w_r(Tag_true 
-						     /*is_nonnegative*/);
+  // update of the vectors w and r
+  void  z_replace_variable_original_by_slack_upd_w_r(Tag_true
+                                                     /*is_nonnegative*/);
   void  z_replace_variable_original_by_slack_upd_w_r(Tag_false
-						     /*is_nonnegative*/);
-    
+                                                     /*is_nonnegative*/);
+
   void  z_replace_variable_slack_by_original( );
   // update of the vectors w and r
   void  z_replace_variable_slack_by_original_upd_w_r(Tag_true
-						     /*is_nonnegative*/);
+                                                     /*is_nonnegative*/);
   void  z_replace_variable_slack_by_original_upd_w_r(Tag_false
-						     /*is_nonnegative*/);
-    
+                                                     /*is_nonnegative*/);
+
   void  z_replace_variable_slack_by_slack( );
   // update of the vectors w and r
   void  z_replace_variable_slack_by_slack_upd_w_r(Tag_true
-						  /*is_nonnegative*/);
+                                                  /*is_nonnegative*/);
   void  z_replace_variable_slack_by_slack_upd_w_r(Tag_false
-						  /*is_nonnegative*/);
-    
+                                                  /*is_nonnegative*/);
+
   // update of the parts r_C and r_S_B
   void  update_r_C_r_S_B__j(ET& x_j);
   void  update_r_C_r_S_B__j_i(ET& x_j, ET& x_i);
   void  update_r_C_r_S_B__i(ET& x_i);
-    
-  // update of w and r_B_O 
+
+  // update of w and r_B_O
   void  update_w_r_B_O__j(ET& x_j);
   void  update_w_r_B_O__j_i(ET& x_j, ET& x_i);
   void  update_w_r_B_O__i(ET& x_i);
-    
-    
+
+
   bool  basis_matrix_stays_regular( );
 
   // current solution
@@ -1091,53 +1091,53 @@ private:
   void  compute_solution(Tag_false /*is_nonnegative*/);
 
   void  compute__x_B_S( Tag_false  has_no_inequalities,
-			Tag_false /*is_nonnegative*/);
+                        Tag_false /*is_nonnegative*/);
   void  compute__x_B_S( Tag_false  has_no_inequalities,
-			Tag_true  /*is_nonnegative*/);
+                        Tag_true  /*is_nonnegative*/);
   void  compute__x_B_S( Tag_true  has_no_inequalities,
-			Tag_false /*is_nonnegative*/);
+                        Tag_false /*is_nonnegative*/);
   void  compute__x_B_S( Tag_true  has_no_inequalities,
-			Tag_true  /*is_nonnegative*/);
+                        Tag_true  /*is_nonnegative*/);
   void  compute__x_B_S( bool  has_no_inequalities,
-			Tag_true  is_nonnegative) {
+                        Tag_true  is_nonnegative) {
     if (has_no_inequalities)
       compute__x_B_S (Tag_true(), is_nonnegative);
     else
       compute__x_B_S (Tag_false(), is_nonnegative);
   }
-    
+
   void  compute__x_B_S( bool  has_no_inequalities,
-			Tag_false  is_nonnegative) {
+                        Tag_false  is_nonnegative) {
     if (has_no_inequalities)
       compute__x_B_S (Tag_true(), is_nonnegative);
     else
       compute__x_B_S (Tag_false(), is_nonnegative);
-  }  
+  }
 
   void  multiply__A_S_BxB_O( Value_iterator in, Value_iterator out) const;
-    
+
   ET    multiply__A_ixO(int row) const;
   void  multiply__A_CxN_O(Value_iterator out) const;
   bool  check_r_C(Tag_true  /*is_nonnegative*/) const;
   bool  check_r_C(Tag_false /*is_nonnegative*/) const;
-    
+
   void  multiply__A_S_BxN_O(Value_iterator out) const;
   bool  check_r_S_B(Tag_true  /*is_nonnegative*/) const;
   bool  check_r_S_B(Tag_false /*is_nonnegative*/) const;
-    
+
   void  multiply__2D_B_OxN_O(Value_iterator out) const;
   bool  check_r_B_O(Tag_true  /*is_nonnegative*/) const;
   bool  check_r_B_O(Tag_false /*is_nonnegative*/) const;
-        
+
   void  multiply__2D_OxN_O(Value_iterator out) const;
   bool  check_w(Tag_true  /*is_nonnegative*/) const;
   bool  check_w(Tag_false /*is_nonnegative*/) const;
-    
+
   // utility routines for QP's in nonstandard form:
   ET original_variable_value_under_bounds(int i) const;
   ET nonbasic_original_variable_value (int i) const;
 
-public: 
+public:
   // for original variables
   ET variable_numerator_value(int i) const;
   ET unbounded_direction_value(int i) const;
@@ -1150,11 +1150,11 @@ public:
       return lambda[i];
     else {
       int k = in_C[i];     // position of i in C
-      if (k != -1) 
-	return lambda[k];
-      else 
-	return et0;
-    }   
+      if (k != -1)
+        return lambda[k];
+      else
+        return et0;
+    }
 }
 
 private:
@@ -1171,7 +1171,7 @@ private:
   void  print_ratio_1_slack(int k, const ET& x_k, const ET& q_k);
 
   const char*  variable_type( int k) const;
-    
+
   // ensure container size
   template <class Container>
   void ensure_size(Container& c, typename Container::size_type desired_size) {
@@ -1180,7 +1180,7 @@ private:
       c.push_back(Value_type());
     }
   }
-    
+
 private:
 
 private:  // (inefficient) access to bounds of variables:
@@ -1205,12 +1205,12 @@ private:  // (inefficient) access to bou
     const Kind kind;      // whether the bound is finite or not
     const ET value;       // bound's value in case it is finite
 
-    Bnd(bool is_upper, bool is_finite, const ET& value) 
+    Bnd(bool is_upper, bool is_finite, const ET& value)
       : kind(is_upper? (is_finite? FINITE : PLUS_INF) :
-	     (is_finite? FINITE : MINUS_INF)),
-	value(value) {}
+             (is_finite? FINITE : MINUS_INF)),
+        value(value) {}
     Bnd(Kind kind, const ET& value) : kind(kind), value(value) {}
-    
+
     bool operator==(const ET& v) const { return kind == FINITE && value == v; }
     bool operator==(const Bnd& b) const {
       return kind == b.kind && (kind != FINITE || value == b.value);
@@ -1219,13 +1219,13 @@ private:  // (inefficient) access to bou
     bool operator<(const ET& v) const { return kind == FINITE && value < v; }
     bool operator<(const Bnd& b) const {
       return kind < b.kind ||
-	(kind == b.kind && kind == FINITE && value < b.value);
+        (kind == b.kind && kind == FINITE && value < b.value);
     }
     bool operator<=(const Bnd& b) const { return *this < b || *this == b; }
     bool operator>(const ET& v) const { return kind == FINITE && value > v; }
     bool operator>(const Bnd& b)  const { return !(*this <= b); }
     bool operator>=(const Bnd& b) const { return !(*this < b); }
-    
+
     Bnd operator*(const ET& f) const { return Bnd(kind, value*f); }
   };
 
@@ -1256,7 +1256,7 @@ public:
   // the third version, too, see ratio_test_1__t_j().)
 
   // computation of mu_j with standard form
-  template < class RndAccIt1, class RndAccIt2, class NT >  
+  template < class RndAccIt1, class RndAccIt2, class NT >
   NT
   mu_j( int j, RndAccIt1 lambda_it, RndAccIt2 x_it, const NT& dd) const
   {
@@ -1274,18 +1274,18 @@ public:
     } else {                                        // slack or artificial
 
       mu_j__slack_or_artificial( mu_j, j, lambda_it, dd,
-				 no_ineq);
+                                 no_ineq);
 
     }
 
     return mu_j;
   }
-    
+
   // computation of mu_j with upper bounding
-  template < class RndAccIt1, class RndAccIt2, class NT >  
+  template < class RndAccIt1, class RndAccIt2, class NT >
   NT
   mu_j( int j, RndAccIt1 lambda_it, RndAccIt2 x_it, const NT& w_j,
-	const NT& dd) const
+        const NT& dd) const
   {
     NT  mu_j;
 
@@ -1301,7 +1301,7 @@ public:
     } else {                                        // slack or artificial
 
       mu_j__slack_or_artificial( mu_j, j, lambda_it, dd,
-				 no_ineq);
+                                 no_ineq);
 
     }
 
@@ -1313,20 +1313,20 @@ public:
   mu_j( int j) const
   {
     CGAL_qpe_assertion(!is_basic(j));
-    
+
     if (!check_tag(Is_nonnegative()) &&
-	!check_tag(Is_linear()) &&
-	!is_phaseI && is_original(j)) {
+        !check_tag(Is_linear()) &&
+        !is_phaseI && is_original(j)) {
       return mu_j(j,
-		  lambda.begin(),
-		  basic_original_variables_numerator_begin(),
-		  w_j_numerator(j),
-		  variables_common_denominator());
+                  lambda.begin(),
+                  basic_original_variables_numerator_begin(),
+                  w_j_numerator(j),
+                  variables_common_denominator());
     } else {
       return mu_j(j,
-		  lambda.begin(),
-		  basic_original_variables_numerator_begin(),
-		  variables_common_denominator());
+                  lambda.begin(),
+                  basic_original_variables_numerator_begin(),
+                  variables_common_denominator());
     }
   }
 
@@ -1347,18 +1347,18 @@ private:
   {
     mu_j += inv_M_B.inner_product_l
       ( lambda_it,
-	A_by_index_iterator( C.begin(),
-			     A_by_index_accessor( *(qp_A + j))));
+        A_by_index_iterator( C.begin(),
+                             A_by_index_accessor( *(qp_A + j))));
   }
 
-  template < class NT, class It > inline                     
+  template < class NT, class It > inline
   void
-  mu_j__linear_part( NT& mu_j, int j, It lambda_it, 
-		     bool has_no_inequalities) const {
-    if (has_no_inequalities) 
+  mu_j__linear_part( NT& mu_j, int j, It lambda_it,
+                     bool has_no_inequalities) const {
+    if (has_no_inequalities)
       mu_j__linear_part (mu_j, j, lambda_it, Tag_true());
     else
-      mu_j__linear_part (mu_j, j, lambda_it, Tag_false());     
+      mu_j__linear_part (mu_j, j, lambda_it, Tag_false());
   }
 
   template < class NT, class It > inline          // LP case, standard form
@@ -1367,14 +1367,14 @@ private:
   {
     // nop
   }
-    
+
   template < class NT, class It > inline          // LP case, upper bounded
   void
   mu_j__quadratic_part( NT&, int, It, const NT& /*w_j*/, const NT& /*dd*/,
-			Tag_true) const
+                        Tag_true) const
   {
     // nop
-  }    
+  }
 
   template < class NT, class It > inline          // QP case, standard form
   void
@@ -1383,24 +1383,24 @@ private:
     if ( is_phaseII) {
       // 2 D_Bj^T * x_B
       mu_j += inv_M_B.inner_product_x
-	( x_it,
-	  D_pairwise_iterator_input_type( B_O.begin(),
-			       D_pairwise_accessor_input_type(qp_D, j)));
+        ( x_it,
+          D_pairwise_iterator_input_type( B_O.begin(),
+                               D_pairwise_accessor_input_type(qp_D, j)));
     }
   }
 
   template < class NT, class It > inline          // QP case, upper bounded
   void
   mu_j__quadratic_part( NT& mu_j, int j, It x_it, const NT& w_j,
-			const NT& dd, Tag_false) const
+                        const NT& dd, Tag_false) const
   {
     if ( is_phaseII) {
       mu_j += dd * w_j;
       // 2 D_Bj^T * x_B
       mu_j += inv_M_B.inner_product_x
-	( x_it,
-	  D_pairwise_iterator_input_type( B_O.begin(),
-			       D_pairwise_accessor_input_type(qp_D, j)));
+        ( x_it,
+          D_pairwise_iterator_input_type( B_O.begin(),
+                               D_pairwise_accessor_input_type(qp_D, j)));
     }
   }
 
@@ -1446,16 +1446,16 @@ private:
 
   template < class NT, class It >  inline
   void
-  mu_j__slack_or_artificial( NT& mu_j, int j, It lambda_it, 
-			     const NT& dd, bool has_no_inequalities) const {
+  mu_j__slack_or_artificial( NT& mu_j, int j, It lambda_it,
+                             const NT& dd, bool has_no_inequalities) const {
     if (has_no_inequalities)
       mu_j__slack_or_artificial (mu_j, j, lambda_it, dd, Tag_true());
     else
       mu_j__slack_or_artificial (mu_j, j, lambda_it, dd, Tag_false());
   }
 
-  
-  
+
+
 };
 
 // ----------------------------------------------------------------------------
@@ -1473,7 +1473,7 @@ template < class Q, typename ET, typenam
 void  QP_solver<Q, ET, Tags>::
 transition( Tag_false)
 {
-  typedef  Creator_2< D_iterator, int, 
+  typedef  Creator_2< D_iterator, int,
     D_pairwise_accessor >  D_transition_creator_accessor;
 
   typedef  Creator_2< Index_iterator, D_pairwise_accessor,
@@ -1481,27 +1481,27 @@ transition( Tag_false)
 
   // initialization of vector w and vector r_B_O:
   if (!check_tag(Is_nonnegative())) {
-    init_w();                      
+    init_w();
     init_r_B_O();
   }
 
-  // here is what we need in the transition: an iterator that steps through 
+  // here is what we need in the transition: an iterator that steps through
   // the basic indices, where dereferencing
-  // yields an iterator through the corresponding row of D, restricted 
-  // to the basic indices. This means that we select the principal minor of D 
+  // yields an iterator through the corresponding row of D, restricted
+  // to the basic indices. This means that we select the principal minor of D
   // corresponding to the current basis.
- 
+
   // To realize this, we transform B_O.begin() via the function h where
   //   h(i) = D_pairwise_iterator
-  //           (B_O.begin(), 
+  //           (B_O.begin(),
   //            D_pairwise_accessor(qp_D, i))
 
 
-  inv_M_B.transition 
-    (boost::make_transform_iterator 
+  inv_M_B.transition
+    (boost::make_transform_iterator
      (B_O.begin(),
-      boost::bind 
-      (D_transition_creator_iterator(), B_O.begin(), 
+      boost::bind
+      (D_transition_creator_iterator(), B_O.begin(),
        boost::bind (D_transition_creator_accessor(), qp_D, _1))));
 }
 
@@ -1527,26 +1527,26 @@ ratio_test_init__2_D_Bj( Value_iterator
 {
   if ( is_phaseII) {
     ratio_test_init__2_D_Bj( two_D_Bj_it, j_,
-			     Tag_false(), no_ineq);
+                             Tag_false(), no_ineq);
   }
 }
 
 template < typename Q, typename ET, typename Tags > inline                                  // QP, no ineq.
 void  QP_solver<Q, ET, Tags>::
 ratio_test_init__2_D_Bj( Value_iterator two_D_Bj_it, int j_, Tag_false,
-			 Tag_true )
+                         Tag_true )
 {
   // store exact version of `2 D_{B_O,j}'
   D_pairwise_accessor  d_accessor( qp_D, j_);
   std::copy( D_pairwise_iterator( B_O.begin(), d_accessor),
-	     D_pairwise_iterator( B_O.end  (), d_accessor),
-	     two_D_Bj_it);
+             D_pairwise_iterator( B_O.end  (), d_accessor),
+             two_D_Bj_it);
 }
 
 template < typename Q, typename ET, typename Tags > inline                                  // QP, has ineq
 void  QP_solver<Q, ET, Tags>::
 ratio_test_init__2_D_Bj( Value_iterator two_D_Bj_it, int j_, Tag_false,
-			 Tag_false)
+                         Tag_false)
 {
   // store exact version of `2 D_{B_O,j}'
   if ( j_ < qp_n) {                               // original variable
@@ -1571,7 +1571,7 @@ ratio_test_1__q_x_O( Tag_false)
     inv_M_B.multiply_x(     A_Cj.begin(),    q_x_O.begin());
   } else {                                            // phase II
     inv_M_B.multiply  (     A_Cj.begin(), two_D_Bj.begin(),
-			    q_lambda.begin(),    q_x_O.begin());
+                            q_lambda.begin(),    q_x_O.begin());
   }
 }
 
@@ -1593,16 +1593,16 @@ ratio_test_1__q_x_S( Tag_false)
   if ( j < qp_n) {
     typedef typename std::iterator_traits<A_by_index_iterator>::value_type RT;
     std::transform( q_x_S.begin(),
-		    q_x_S.begin()+S_B.size(),
-		    A_by_index_iterator( S_B.begin(),
-					 A_by_index_accessor( *(qp_A + j))),
-		    q_x_S.begin(),
-		    boost::bind(std::minus<ET>(),
-				_1,
-				boost::bind(std::multiplies<ET>(), d,
-				  boost::bind(
-				    NT_converter<RT,ET>(),
-				    _2))));
+                    q_x_S.begin()+S_B.size(),
+                    A_by_index_iterator( S_B.begin(),
+                                         A_by_index_accessor( *(qp_A + j))),
+                    q_x_S.begin(),
+                    boost::bind(std::minus<ET>(),
+                                _1,
+                                boost::bind(std::multiplies<ET>(), d,
+                                  boost::bind(
+                                    NT_converter<RT,ET>(),
+                                    _2))));
   }
 
   // q_x_S = -+ ( A_S_BxB_O * q_x_O - A_S_Bxj)
@@ -1616,7 +1616,7 @@ ratio_test_1__q_x_S( Tag_false)
 template < typename Q, typename ET, typename Tags >  inline                                 // no check
 void  QP_solver<Q, ET, Tags>::
 ratio_test_1__t_i( Index_iterator, Index_iterator,
-		   Value_iterator, Value_iterator, Tag_true)
+                   Value_iterator, Value_iterator, Tag_true)
 {
   // nop
 }
@@ -1624,7 +1624,7 @@ ratio_test_1__t_i( Index_iterator, Index
 template < typename Q, typename ET, typename Tags >  inline                                 // check
 void  QP_solver<Q, ET, Tags>::
 ratio_test_1__t_i( Index_iterator i_it, Index_iterator end_it,
-		   Value_iterator x_it, Value_iterator   q_it, Tag_false)
+                   Value_iterator x_it, Value_iterator   q_it, Tag_false)
 {
   // check `t_i's
   for ( ; i_it != end_it; ++i_it, ++x_it, ++q_it) {
@@ -1653,15 +1653,15 @@ ratio_test_1__t_j( Tag_false)
 {
   if ( is_phaseII) {
 
-    // compute `nu' and `mu_j' 
+    // compute `nu' and `mu_j'
     mu = mu_j(j);
     nu = inv_M_B.inner_product(     A_Cj.begin(), two_D_Bj.begin(),
-				    q_lambda.begin(),    q_x_O.begin());
+                                    q_lambda.begin(),    q_x_O.begin());
     if ( j < qp_n) {                                // original variable
       nu -= d*ET( (*(qp_D + j))[ j]);
     }
     CGAL_qpe_assertion_msg(nu <= et0,
-			   "nu <= et0 violated -- is your D matrix positive semidefinite?");
+                           "nu <= et0 violated -- is your D matrix positive semidefinite?");
 
     // check `t_j'
     CGAL_qpe_assertion(mu != et0);
@@ -1685,7 +1685,7 @@ ratio_test_2__p( Tag_true)
 {
   // get column index of entering variable in basis
   int  col = in_B[ j];
- 
+
   CGAL_qpe_assertion( col >= 0);
   col += l;
 
@@ -1694,13 +1694,13 @@ ratio_test_2__p( Tag_true)
   int             row;
   unsigned int    k;
   for (   k = 0,            row = 0,   it = q_lambda.begin();
-	  k < C.size();
-	  ++k,              ++row,     ++it                   ) {
+          k < C.size();
+          ++k,              ++row,     ++it                   ) {
     *it = inv_M_B.entry( row, col);
   }
   for (   k = 0,            row = l,   it = q_x_O.begin();
-	  k < B_O.size();
-	  ++k,              ++row,     ++it                   ) {
+          k < B_O.size();
+          ++k,              ++row,     ++it                   ) {
     *it = inv_M_B.entry( row, col);
   }
 }
@@ -1730,16 +1730,16 @@ ratio_test_2__p( Tag_false)
     bool            sign = slack_A[ j].second;
 
     for (   i_it =  B_O.begin(),   v_it = tmp_x.begin();
-	    i_it != B_O.end();
-	    ++i_it,                ++v_it                ) {
-      *v_it = ( sign ? 
-		*((*(qp_A+ *i_it))+ row) : - (*((*(qp_A + *i_it))+ row)));
+            i_it != B_O.end();
+            ++i_it,                ++v_it                ) {
+      *v_it = ( sign ?
+                *((*(qp_A+ *i_it))+ row) : - (*((*(qp_A + *i_it))+ row)));
     }
 
     // compute  ( p_l | p_x_O )^T = M_B^{-1} * ( 0 | A_{S_j,B_O} )^T
     std::fill_n( tmp_l.begin(), C.size(), et0);
     inv_M_B.multiply( tmp_l     .begin(), tmp_x  .begin(),
-		      q_lambda.begin(),   q_x_O.begin());
+                      q_lambda.begin(),   q_x_O.begin());
 
     j += qp_n;
   }
@@ -1751,8 +1751,8 @@ ratio_test_2__p( Tag_false)
 
   // p_x_S = +- ( A_S_BxB_O * p_x_O)
   for (   i_it =  B_S.begin(),   v_it = q_x_S.begin();
-	  i_it != B_S.end();
-	  ++i_it,                ++v_it                ) {
+          i_it != B_S.end();
+          ++i_it,                ++v_it                ) {
     if ( ! slack_A[ *i_it - qp_n].second) *v_it = -(*v_it);
   }
 }
@@ -1785,29 +1785,29 @@ update_1( Tag_false)
     }
 
   } else {                                            // phase II
-        
+
     if ((i == j) && (i >= 0)) {
       enter_and_leave_variable();
     } else {
 
       if ( ( i >= 0) && basis_matrix_stays_regular()) {
 
-	// leave variable from basis, if
-	// - some leaving variable was found  and
-	// - basis matrix stays regular
-	leave_variable();
+        // leave variable from basis, if
+        // - some leaving variable was found  and
+        // - basis matrix stays regular
+        leave_variable();
 
       } else {
 
-	// enter variable into basis, if
-	// - no leaving variable was found  or
-	// - basis matrix would become singular when variable i leaves
-
-	if ( i < 0 ) {
-	  enter_variable();
-	} else {
-	  z_replace_variable();
-	}
+        // enter variable into basis, if
+        // - no leaving variable was found  or
+        // - basis matrix would become singular when variable i leaves
+
+        if ( i < 0 ) {
+          enter_variable();
+        } else {
+          z_replace_variable();
+        }
       }
     }
   }
@@ -1853,8 +1853,8 @@ replace_variable( Tag_false)
       // regular artificial variables are only removed
       // from the problem after phase I
       // art_s_i == -1 -> there is no special artificial variable
-      // art_s_i == -2 -> there was a special artificial variable, 
-      // but has been removed  
+      // art_s_i == -2 -> there was a special artificial variable,
+      // but has been removed
       art_s_i = -2;
       art_A.pop_back();
       CGAL_qpe_assertion(in_B[in_B.size()-1] == -1); // really removed?
@@ -1879,31 +1879,31 @@ basis_matrix_stays_regular()
 {
   CGAL_qpe_assertion( is_phaseII);
   int new_row, k;
-    
-  if ( has_ineq && (i >= qp_n)) {	// slack variable
+
+  if ( has_ineq && (i >= qp_n)) {        // slack variable
     new_row = slack_A[ i-qp_n].first;
     A_row_by_index_accessor  a_accessor =
       boost::bind (A_accessor( qp_A, 0, qp_n), _1, new_row);
     typedef typename std::iterator_traits<A_row_by_index_iterator>::value_type RT;
     std::transform(A_row_by_index_iterator( B_O.begin(), a_accessor),
-		   A_row_by_index_iterator( B_O.end  (), a_accessor),
-		   tmp_x.begin(),
-		   NT_converter<RT,ET>());
+                   A_row_by_index_iterator( B_O.end  (), a_accessor),
+                   tmp_x.begin(),
+                   NT_converter<RT,ET>());
     inv_M_B.multiply( tmp_x.begin(),                        // dummy (not used)
-		      tmp_x.begin(), tmp_l_2.begin(), tmp_x_2.begin(),
-		      Tag_false(),                                 // QP
-		      Tag_false());                             // ignore 1st argument
+                      tmp_x.begin(), tmp_l_2.begin(), tmp_x_2.begin(),
+                      Tag_false(),                                 // QP
+                      Tag_false());                             // ignore 1st argument
     return ( -inv_M_B.inner_product_x( tmp_x_2.begin(), tmp_x.begin()) != et0);
 
-	
-  } else {						// check original variable
+
+  } else {                                                // check original variable
     k = l+in_B[ i];
     return ( inv_M_B.entry( k, k) != et0);
   }
 
   /* ToDo: check, if really not needed in 'update_1':
      - basis has already minimal size  or
-     || ( B_O.size()==C.size()) 
+     || ( B_O.size()==C.size())
   */
 }
 
@@ -1937,20 +1937,20 @@ compute__x_B_S( Tag_false /*has_equaliti
   // b_S_B - ( A_S_BxB_O * x_B_O)
   B_by_index_accessor  b_accessor( qp_b);
   std::transform( B_by_index_iterator( S_B.begin(), b_accessor),
-		  B_by_index_iterator( S_B.end  (), b_accessor),
-		  x_B_S.begin(),
-		  x_B_S.begin(),
-		  compose2_2( std::minus<ET>(),
-			      boost::bind1st( std::multiplies<ET>(), d),
-			      Identity<ET>()));
-				
+                  B_by_index_iterator( S_B.end  (), b_accessor),
+                  x_B_S.begin(),
+                  x_B_S.begin(),
+                  compose2_2( std::minus<ET>(),
+                              boost::bind1st( std::multiplies<ET>(), d),
+                              Identity<ET>()));
+
   // b_S_B - ( A_S_BxB_O * x_B_O) - r_S_B
   std::transform(x_B_S.begin(), x_B_S.begin()+S_B.size(),
-		 r_S_B.begin(), x_B_S.begin(),
-		 compose2_2(std::minus<ET>(),
-			    Identity<ET>(),
-			    boost::bind1st( std::multiplies<ET>(), d)));
-                        
+                 r_S_B.begin(), x_B_S.begin(),
+                 compose2_2(std::minus<ET>(),
+                            Identity<ET>(),
+                            boost::bind1st( std::multiplies<ET>(), d)));
+
 
   // x_B_S = +- ( b_S_B - A_S_BxB_O * x_B_O)
   Value_iterator  x_it = x_B_S.begin();
@@ -1958,7 +1958,7 @@ compute__x_B_S( Tag_false /*has_equaliti
   for ( i_it = B_S.begin(); i_it != B_S.end(); ++i_it, ++x_it) {
     if ( slack_A[ *i_it - qp_n].second) *x_it = -(*x_it);
   }
-       
+
 }
 
 namespace QP_solver_impl {
@@ -1986,10 +1986,10 @@ compute__x_B_S( Tag_false /*has_equaliti
   B_by_index_accessor  b_accessor( qp_b);
   typedef typename std::iterator_traits<B_by_index_iterator>::value_type RT;
   std::transform( B_by_index_iterator( S_B.begin(), b_accessor),
-		  B_by_index_iterator( S_B.end  (), b_accessor),
-		  x_B_S.begin(),
-		  x_B_S.begin(),
-		  QP_solver_impl::submul<ET,RT>(d));
+                  B_by_index_iterator( S_B.end  (), b_accessor),
+                  x_B_S.begin(),
+                  x_B_S.begin(),
+                  QP_solver_impl::submul<ET,RT>(d));
 
   // x_B_S = +- ( b_S_B - A_S_BxB_O * x_B_O)
   Value_iterator  x_it = x_B_S.begin();
@@ -1997,7 +1997,7 @@ compute__x_B_S( Tag_false /*has_equaliti
   for ( i_it = B_S.begin(); i_it != B_S.end(); ++i_it, ++x_it) {
     if ( slack_A[ *i_it - qp_n].second) *x_it = -(*x_it);
   }
-       
+
 }
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/QP_solver/QP_solver_impl.h 5.0.3-1/include/CGAL/QP_solver/QP_solver_impl.h
--- 5.0.2-3/include/CGAL/QP_solver/QP_solver_impl.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/QP_solver_impl.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/QP_solver_impl.h $
-// $Id: QP_solver_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/QP_solver_impl.h $
+// $Id: QP_solver_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
@@ -31,14 +31,14 @@ QP_solver<Q, ET, Tags>::
 transition( )
 {
     CGAL_qpe_debug {
-	if ( vout.verbose()) {
-	    vout2 << std::endl
-		  << "----------------------" << std::endl
-		  << 'T';
-	    vout1 << "[ t"; vout  << "ransition to phase II"; vout1 << " ]";
-	    vout  << std::endl;
-	    vout2 << "----------------------";
-	}
+        if ( vout.verbose()) {
+            vout2 << std::endl
+                  << "----------------------" << std::endl
+                  << 'T';
+            vout1 << "[ t"; vout  << "ransition to phase II"; vout1 << " ]";
+            vout  << std::endl;
+            vout2 << "----------------------";
+        }
     }
 
     // update status
@@ -51,7 +51,7 @@ transition( )
     //ensure_size(tmp_x_2, tmp_x.size());
     // update basis inverse
     CGAL_qpe_debug {
-	vout4 << std::endl << "basis-inverse:" << std::endl;
+        vout4 << std::endl << "basis-inverse:" << std::endl;
     }
     transition( Is_linear());
     CGAL_qpe_debug {
@@ -64,16 +64,16 @@ transition( )
     std::transform( C_by_index_iterator( B_O.begin(), c_accessor),
                     C_by_index_iterator( B_O.end  (), c_accessor),
                     minus_c_B.begin(),
-		    boost::bind(
-		      NT_converter<RT,ET>(),
-		      boost::bind(std::negate<RT>(), _1)));
-    
+                    boost::bind(
+                      NT_converter<RT,ET>(),
+                      boost::bind(std::negate<RT>(), _1)));
+
     // compute initial solution of phase II
     compute_solution(Is_nonnegative());
 
     // diagnostic output
     CGAL_qpe_debug {
-	if ( vout.verbose()) print_solution();
+        if ( vout.verbose()) print_solution();
     }
 
     // notify pricing strategy
@@ -94,7 +94,7 @@ solution_numerator( ) const
     if (check_tag(Is_nonnegative()) || is_phaseI) {
       // standard form or phase I; it suffices to go
       // through the basic variables; all D- and c-entries
-      // are obtained through the appropriate iterators 
+      // are obtained through the appropriate iterators
       Index_const_iterator  i_it;
       Value_const_iterator  x_i_it, c_it;
 
@@ -107,16 +107,16 @@ solution_numerator( ) const
         // compute quadratic part: 2D_i x
         s = et0;
         if ( is_QP && is_phaseII) {
-	  // half the off-diagonal contribution
-	  s += std::inner_product(x_B_O.begin(), x_i_it,
-				  D_pairwise_iterator(
-					 B_O.begin(),
-					 D_pairwise_accessor( qp_D, i)),
-				  et0);
-	  // the other half
-	  s *= et2;
-	  // diagonal contribution
-	  s += ET( (*(qp_D + i))[ i]) * *x_i_it;
+          // half the off-diagonal contribution
+          s += std::inner_product(x_B_O.begin(), x_i_it,
+                                  D_pairwise_iterator(
+                                         B_O.begin(),
+                                         D_pairwise_accessor( qp_D, i)),
+                                  et0);
+          // the other half
+          s *= et2;
+          // diagonal contribution
+          s += ET( (*(qp_D + i))[ i]) * *x_i_it;
         }
         // add linear part: 2c_i
         s -= d * et2 * ET( *c_it);
@@ -125,39 +125,39 @@ solution_numerator( ) const
         z += s * *x_i_it; // endowed with a factor of d*d now
       }
     } else {
-      // nonstandard form and phase II, 
+      // nonstandard form and phase II,
       // take all original variables into account; all D- and c-entries
       // are obtained from the input data directly
       // order in i_it and j_it matches original variable order
       if (is_QP) {
-	// quadratic part
-	i=0;
-	for (Variable_numerator_iterator 
-	       i_it = this->original_variables_numerator_begin(); 
-	     i_it < this->original_variables_numerator_end(); ++i_it, ++i) {
-	  // do something only if *i_it != 0
-	  if (*i_it == et0) continue;
-	  s = et0; // contribution of i-th row
-	  Variable_numerator_iterator j_it = 
-	    this->original_variables_numerator_begin();
-	  // half the off-diagonal contribution
-	  j=0;
-	  for (; j<i; ++j_it, ++j)
-	    s += ET(*((*(qp_D+i))+j)) * *j_it;
-	  // the other half
-	  s *= et2;
-	  // the diagonal entry
-	  s += ET(*((*(qp_D+i))+j)) * *j_it;
-	  // accumulate
-	  z += s * *i_it;
-	}
+        // quadratic part
+        i=0;
+        for (Variable_numerator_iterator
+               i_it = this->original_variables_numerator_begin();
+             i_it < this->original_variables_numerator_end(); ++i_it, ++i) {
+          // do something only if *i_it != 0
+          if (*i_it == et0) continue;
+          s = et0; // contribution of i-th row
+          Variable_numerator_iterator j_it =
+            this->original_variables_numerator_begin();
+          // half the off-diagonal contribution
+          j=0;
+          for (; j<i; ++j_it, ++j)
+            s += ET(*((*(qp_D+i))+j)) * *j_it;
+          // the other half
+          s *= et2;
+          // the diagonal entry
+          s += ET(*((*(qp_D+i))+j)) * *j_it;
+          // accumulate
+          z += s * *i_it;
+        }
       }
       // linear part
       j=0; s = et0;
-      for (Variable_numerator_iterator 
-	     j_it = this->original_variables_numerator_begin();
-	   j_it < this->original_variables_numerator_end(); ++j_it, ++j)
-	s +=  et2 * ET(*(qp_c+j)) * *j_it;
+      for (Variable_numerator_iterator
+             j_it = this->original_variables_numerator_begin();
+           j_it < this->original_variables_numerator_end(); ++j_it, ++j)
+        s +=  et2 * ET(*(qp_c+j)) * *j_it;
       z += d * s;
     }
     // finally, add the constant term (phase II only)
@@ -174,8 +174,8 @@ pivot_step( )
 {
     ++m_pivots;
 
-    
-  
+
+
     // diagnostic output
     CGAL_qpe_debug {
         vout2 << std::endl
@@ -183,63 +183,63 @@ pivot_step( )
               << "Pivot Step" << std::endl
               << "==========" << std::endl;
     }
-  
-  
+
+
     vout  << "[ phase " << ( is_phaseI ? "I" : "II")
-	  << ", iteration " << m_pivots << " ]" << std::endl;
-    
-	    
+          << ", iteration " << m_pivots << " ]" << std::endl;
+
+
     // pricing
     // -------
     pricing();
 
-	    
+
     // check for optimality
     if ( j < 0) {
 
         if ( is_phaseI) {                               // phase I
-	    // since we no longer assume full row rank and subsys assumption
-	    // we have to strengthen the precondition for infeasibility
-            if (this->solution_numerator() > et0) {    
-	      // problem is infeasible
-	        m_phase  = 3;
-	        m_status = QP_INFEASIBLE;
-	        
-		vout << "  ";
-		vout << "problem is INFEASIBLE" << std::endl;
-	       
-	    } else {  // Drive/remove artificials out of basis
-	        expel_artificial_variables_from_basis();
-	        transition();
-	    }
+            // since we no longer assume full row rank and subsys assumption
+            // we have to strengthen the precondition for infeasibility
+            if (this->solution_numerator() > et0) {
+              // problem is infeasible
+                m_phase  = 3;
+                m_status = QP_INFEASIBLE;
+
+                vout << "  ";
+                vout << "problem is INFEASIBLE" << std::endl;
+
+            } else {  // Drive/remove artificials out of basis
+                expel_artificial_variables_from_basis();
+                transition();
+            }
         } else {                                        // phase II
 
-	    // optimal solution found
-	    m_phase  = 3;
+            // optimal solution found
+            m_phase  = 3;
             m_status = QP_OPTIMAL;
-  
-	    vout << "  ";
-	    vout  << "solution is OPTIMAL" << std::endl;
-            
+
+            vout << "  ";
+            vout  << "solution is OPTIMAL" << std::endl;
+
         }
         return;
     }
 
-	    
+
     // ratio test & update (step 1)
     // ----------------------------
     // initialize ratio test
     ratio_test_init();
-    
+
 
     // diagnostic output
     CGAL_qpe_debug {
-	if ( vout2.verbose() && is_QP && is_phaseII) {
-	    vout2.out() << std::endl
-			<< "----------------------------" << std::endl
-			<< "Ratio Test & Update (Step 1)" << std::endl
-			<< "----------------------------" << std::endl;
-	}
+        if ( vout2.verbose() && is_QP && is_phaseII) {
+            vout2.out() << std::endl
+                        << "----------------------------" << std::endl
+                        << "Ratio Test & Update (Step 1)" << std::endl
+                        << "----------------------------" << std::endl;
+        }
     }
 
     // loop (step 1)
@@ -252,28 +252,28 @@ pivot_step( )
         if ( q_i == et0) {
             m_phase  = 3;
             m_status = QP_UNBOUNDED;
-            
-	    vout << "  ";
-	    vout << "problem is UNBOUNDED" << std::endl;
-	    
-	    CGAL_qpe_debug {
-		//nu should be zero in this case
-		// note: (-1)/hat{\nu} is stored instead of \hat{\nu}
-		// todo kf: as this is just used for an assertion check,
-		// all the following lines should only be executed if
-		// assertions are enabled...
-		nu = inv_M_B.inner_product(     A_Cj.begin(), two_D_Bj.begin(),
-		    q_lambda.begin(),    q_x_O.begin());
-	        if (is_QP) {
-		    if (j < qp_n) {
-		        nu -= d*ET(*((*(qp_D+j))+j));
-		    }
-		}
-		CGAL_qpe_assertion(nu == et0);
+
+            vout << "  ";
+            vout << "problem is UNBOUNDED" << std::endl;
+
+            CGAL_qpe_debug {
+                //nu should be zero in this case
+                // note: (-1)/hat{\nu} is stored instead of \hat{\nu}
+                // todo kf: as this is just used for an assertion check,
+                // all the following lines should only be executed if
+                // assertions are enabled...
+                nu = inv_M_B.inner_product(     A_Cj.begin(), two_D_Bj.begin(),
+                    q_lambda.begin(),    q_x_O.begin());
+                if (is_QP) {
+                    if (j < qp_n) {
+                        nu -= d*ET(*((*(qp_D+j))+j));
+                    }
+                }
+                CGAL_qpe_assertion(nu == et0);
             }
             return;
         }
-	
+
         // update
         update_1();
 
@@ -281,56 +281,56 @@ pivot_step( )
 
     // ratio test & update (step 2)
     // ----------------------------
-/*    
+/*
     if ( i >= 0) {
 
-	// diagnostic output
-	CGAL_qpe_debug {
-	    vout2 << std::endl
-		  << "----------------------------" << std::endl
-		  << "Ratio Test & Update (Step 2)" << std::endl
-		  << "----------------------------" << std::endl;
-	}
-
-	// compute index of entering variable
-	j += in_B.size();
-
-	// loop (step 2)
-	while ( ( i >= 0) && basis_matrix_stays_regular()) {
-
-	    // update
-	    update_2( Is_linear());
-
-	    // ratio test
-	    ratio_test_2( Is_linear());
-	}
+        // diagnostic output
+        CGAL_qpe_debug {
+            vout2 << std::endl
+                  << "----------------------------" << std::endl
+                  << "Ratio Test & Update (Step 2)" << std::endl
+                  << "----------------------------" << std::endl;
+        }
+
+        // compute index of entering variable
+        j += in_B.size();
+
+        // loop (step 2)
+        while ( ( i >= 0) && basis_matrix_stays_regular()) {
+
+            // update
+            update_2( Is_linear());
+
+            // ratio test
+            ratio_test_2( Is_linear());
+        }
     }
 */
     // instead of the above piece of code we now have
     // diagnostic output
     if (is_RTS_transition) {
         is_RTS_transition = false;
-     
+
         CGAL_qpe_debug {
             vout2 << std::endl
-		  << "----------------------------" << std::endl
-		  << "Ratio Test & Update (Step 2)" << std::endl
-		  << "----------------------------" << std::endl;
+                  << "----------------------------" << std::endl
+                  << "Ratio Test & Update (Step 2)" << std::endl
+                  << "----------------------------" << std::endl;
         }
 
         // compute index of entering variable
         j += static_cast<int>(in_B.size());
 
         ratio_test_2( Is_linear());
-    
+
         while ((i >= 0) && basis_matrix_stays_regular()) {
-        
-	    update_2(Is_linear());
-	
-	    ratio_test_2(Is_linear());
-	
+
+            update_2(Is_linear());
+
+            ratio_test_2(Is_linear());
+
         }
-    } 
+    }
 
 
 
@@ -339,21 +339,21 @@ pivot_step( )
     CGAL_qpe_assertion_msg( i < 0, "Step 3 should never be reached!");
 
     // diagnostic output
-    
+
     if ( vout.verbose()) print_basis();
     if ( vout.verbose()) print_solution();
 
     // transition to phase II (if possible)
     // ------------------------------------
     if ( is_phaseI && ( art_basic == 0)) {
-	CGAL_qpe_debug {
-	    if ( vout2.verbose()) {
-		vout2.out() << std::endl
-			    << "all artificial variables are nonbasic"
-			    << std::endl;
-	    }
-	}
-	transition();
+        CGAL_qpe_debug {
+            if ( vout2.verbose()) {
+                vout2.out() << std::endl
+                            << "all artificial variables are nonbasic"
+                            << std::endl;
+            }
+        }
+        transition();
     }
 }
 
@@ -365,12 +365,12 @@ pricing( )
 {
     // diagnostic output
     CGAL_qpe_debug {
-	if ( vout2.verbose()) {
-	    vout2 << std::endl
-		  << "-------" << std::endl
-		  << "Pricing" << std::endl
-		  << "-------" << std::endl;
-	}
+        if ( vout2.verbose()) {
+            vout2 << std::endl
+                  << "-------" << std::endl
+                  << "Pricing" << std::endl
+                  << "-------" << std::endl;
+        }
     }
 
     // call pricing strategy
@@ -380,18 +380,18 @@ pricing( )
 
     if ( vout.verbose()) {
       if ( j < 0) {
-	CGAL_qpe_debug {
-	  vout2 << "entering variable: none" << std::endl;
-	}
+        CGAL_qpe_debug {
+          vout2 << "entering variable: none" << std::endl;
+        }
       } else {
-	vout  << "  ";
-	vout  << "entering: ";
-	vout  << j;
-	CGAL_qpe_debug {
-	  vout2 << " (" << variable_type( j) << ')' << std::endl;
-	  vout2 << "direction: "
-		<< ((direction == 1) ? "positive" : "negative") << std::endl;
-	}
+        vout  << "  ";
+        vout  << "entering: ";
+        vout  << j;
+        CGAL_qpe_debug {
+          vout2 << " (" << variable_type( j) << ')' << std::endl;
+          vout2 << "direction: "
+                << ((direction == 1) ? "positive" : "negative") << std::endl;
+        }
       }
     }
 }
@@ -416,15 +416,15 @@ ratio_test_init__A_Cj( Value_iterator A_
     // store exact version of `A_Cj' (implicit conversion)
     if ( j_ < qp_n) {                                   // original variable
 
-	CGAL::transform_n( *(qp_A + j_), qp_m, A_Cj_it,
-	    NT_converter<A_entry,ET>());
+        CGAL::transform_n( *(qp_A + j_), qp_m, A_Cj_it,
+            NT_converter<A_entry,ET>());
 
     } else {                                            // artificial variable
 
-	unsigned int  k = j_;
-	k -= qp_n;
-	std::fill_n( A_Cj_it, qp_m, et0);
-	A_Cj_it[ k] = ( art_A[ k].second ? -et1 : et1);
+        unsigned int  k = j_;
+        k -= qp_n;
+        std::fill_n( A_Cj_it, qp_m, et0);
+        A_Cj_it[ k] = ( art_A[ k].second ? -et1 : et1);
     }
 }
 
@@ -437,9 +437,9 @@ ratio_test_init__A_Cj( Value_iterator A_
       A_by_index_accessor  a_accessor( *(qp_A + j_));
       typedef typename std::iterator_traits<A_by_index_iterator>::value_type RT;
       std::transform(A_by_index_iterator( C.begin(), a_accessor),
-		     A_by_index_iterator( C.end  (), a_accessor),
-		     A_Cj_it,
-		     NT_converter<RT,ET>());
+                     A_by_index_iterator( C.end  (), a_accessor),
+                     A_Cj_it,
+                     NT_converter<RT,ET>());
 
     } else {
       unsigned int  k = j_;
@@ -449,7 +449,7 @@ ratio_test_init__A_Cj( Value_iterator A_
       if ( k < static_cast<unsigned int>(slack_A.size())) {                      // slack variable
 
         A_Cj_it[ in_C[ slack_A[ k].first]] = ( slack_A[ k].second ? -et1
-						                      :  et1);
+                                                                      :  et1);
 
       } else {                                        // artificial variable
         k -= static_cast<unsigned int>(slack_A.size());
@@ -457,16 +457,16 @@ ratio_test_init__A_Cj( Value_iterator A_
         if ( j_ != art_s_i) {                           // normal art.
 
           A_Cj_it[ in_C[ art_A[ k].first]] = ( art_A[ k].second ? -et1
-						                      :  et1);
+                                                                      :  et1);
 
         } else {                                        // special art.
           S_by_index_accessor  s_accessor( art_s.begin());
-	  typedef typename std::iterator_traits<S_by_index_iterator>::value_type RT;
+          typedef typename std::iterator_traits<S_by_index_iterator>::value_type RT;
           std::transform(S_by_index_iterator( C.begin(), s_accessor),
-			 S_by_index_iterator( C.end  (), s_accessor),
-			 A_Cj_it,
-			 NT_converter<RT,ET>());
-        }	
+                         S_by_index_iterator( C.end  (), s_accessor),
+                         A_Cj_it,
+                         NT_converter<RT,ET>());
+        }
       }
     }
 }
@@ -480,58 +480,58 @@ ratio_test_1( )
 
     // diagnostic output
     CGAL_qpe_debug {
-	if ( vout2.verbose()) {
-	    vout2.out() << std::endl;
-	    if ( is_LP || is_phaseI) {
-		vout2.out() << "----------" << std::endl
-			    << "Ratio Test" << std::endl
-			    << "----------" << std::endl;
-	    } else {
-		vout2.out() << "Ratio Test (Step 1)" << std::endl
-			    << "-------------------" << std::endl;
-	    }
-	    if ( vout3.verbose()) {
-		vout3.out() << "    A_Cj: ";
-		std::copy( A_Cj.begin(), A_Cj.begin()+C.size(),
-			   std::ostream_iterator<ET>( vout3.out()," "));
-		vout3.out() << std::endl;
-		if ( is_QP && is_phaseII) {
-		    vout3.out() << "  2 D_Bj: ";
-		    std::copy( two_D_Bj.begin(), two_D_Bj.begin()+B_O.size(),
-			       std::ostream_iterator<ET>( vout3.out()," "));
-		    vout3.out() << std::endl;
-		}
-		vout3.out() << std::endl;
-	    }
-	}
+        if ( vout2.verbose()) {
+            vout2.out() << std::endl;
+            if ( is_LP || is_phaseI) {
+                vout2.out() << "----------" << std::endl
+                            << "Ratio Test" << std::endl
+                            << "----------" << std::endl;
+            } else {
+                vout2.out() << "Ratio Test (Step 1)" << std::endl
+                            << "-------------------" << std::endl;
+            }
+            if ( vout3.verbose()) {
+                vout3.out() << "    A_Cj: ";
+                std::copy( A_Cj.begin(), A_Cj.begin()+C.size(),
+                           std::ostream_iterator<ET>( vout3.out()," "));
+                vout3.out() << std::endl;
+                if ( is_QP && is_phaseII) {
+                    vout3.out() << "  2 D_Bj: ";
+                    std::copy( two_D_Bj.begin(), two_D_Bj.begin()+B_O.size(),
+                               std::ostream_iterator<ET>( vout3.out()," "));
+                    vout3.out() << std::endl;
+                }
+                vout3.out() << std::endl;
+            }
+        }
     }
-    
+
     // compute `q_lambda' and `q_x'
     ratio_test_1__q_x_O( Is_linear());
     ratio_test_1__q_x_S( no_ineq);
 
     // diagnostic output
     CGAL_qpe_debug {
-	if ( vout3.verbose()) {
-	    if ( is_QP && is_phaseII) {
-		vout3.out() << "q_lambda: ";
-		std::copy( q_lambda.begin(), q_lambda.begin()+C.size(),
-			   std::ostream_iterator<ET>( vout3.out()," "));
-		vout3.out() << std::endl;
-	    }
-	    vout3.out() << "   q_x_O: ";
-	    std::copy( q_x_O.begin(), q_x_O.begin()+B_O.size(),
-		       std::ostream_iterator<ET>( vout3.out()," "));
-	    vout3.out() << std::endl;
-
-	    if ( has_ineq) {
-		vout3.out() << "   q_x_S: ";
-		std::copy( q_x_S.begin(), q_x_S.begin()+B_S.size(),
-			   std::ostream_iterator<ET>( vout3.out()," "));
-		vout3.out() << std::endl;
-	    }
-	    vout3.out() << std::endl;
-	}
+        if ( vout3.verbose()) {
+            if ( is_QP && is_phaseII) {
+                vout3.out() << "q_lambda: ";
+                std::copy( q_lambda.begin(), q_lambda.begin()+C.size(),
+                           std::ostream_iterator<ET>( vout3.out()," "));
+                vout3.out() << std::endl;
+            }
+            vout3.out() << "   q_x_O: ";
+            std::copy( q_x_O.begin(), q_x_O.begin()+B_O.size(),
+                       std::ostream_iterator<ET>( vout3.out()," "));
+            vout3.out() << std::endl;
+
+            if ( has_ineq) {
+                vout3.out() << "   q_x_S: ";
+                std::copy( q_x_S.begin(), q_x_S.begin()+B_S.size(),
+                           std::ostream_iterator<ET>( vout3.out()," "));
+                vout3.out() << std::endl;
+            }
+            vout3.out() << std::endl;
+        }
     }
 
     // check `t_i's
@@ -546,16 +546,16 @@ ratio_test_1( )
             vout2.out() << "t_min_j: " << x_i << '/' << q_i << std::endl;
             vout2.out() << std::endl;
         }
-    }    
+    }
 
     // what happens, if all original variables are nonbasic?
 /*
     ratio_test_1__t_i(   B_O.begin(),   B_O.end(),
-		       x_B_O.begin(), q_x_O.begin(), Tag_false());
+                       x_B_O.begin(), q_x_O.begin(), Tag_false());
     ratio_test_1__t_i(   B_S.begin(),   B_S.end(),
-		       x_B_S.begin(), q_x_S.begin(), no_ineq);
-*/		       
-    ratio_test_1__t_min_B(no_ineq);    
+                       x_B_S.begin(), q_x_S.begin(), no_ineq);
+*/
+    ratio_test_1__t_min_B(no_ineq);
 
     // check `t_j'
     ratio_test_1__t_j( Is_linear());
@@ -565,49 +565,49 @@ ratio_test_1( )
         if ( vout2.verbose()) {
             for ( unsigned int k = 0; k < static_cast<unsigned int>(B_O.size()); ++k) {
                 print_ratio_1_original(k, x_B_O[k], q_x_O[k]);
-            }     
+            }
             if ( has_ineq) {
                 for ( unsigned int k = 0; k < static_cast<unsigned int>(B_S.size()); ++k) {
                     /*
                     vout2.out() << "t_S_" << k << ": "
-				    << x_B_S[ k] << '/' << q_x_S[ k]
-				    << ( ( q_i > et0) && ( i == B_S[ k]) ? " *":"")
-				    << std::endl;
-				    */
-				    print_ratio_1_slack(k, x_B_S[k], q_x_S[k]);
+                                    << x_B_S[ k] << '/' << q_x_S[ k]
+                                    << ( ( q_i > et0) && ( i == B_S[ k]) ? " *":"")
+                                    << std::endl;
+                                    */
+                                    print_ratio_1_slack(k, x_B_S[k], q_x_S[k]);
                 }
             }
-	    if ( is_QP && is_phaseII) {
-		vout2.out() << std::endl
-			    << "  t_j: " << mu << '/' << nu
-			    << ( ( q_i > et0) && ( i < 0) ? " *" : "")
-			    << std::endl;
-	    }
-	    vout2.out() << std::endl;
-	}
+            if ( is_QP && is_phaseII) {
+                vout2.out() << std::endl
+                            << "  t_j: " << mu << '/' << nu
+                            << ( ( q_i > et0) && ( i < 0) ? " *" : "")
+                            << std::endl;
+            }
+            vout2.out() << std::endl;
+        }
     }
     if ( q_i > et0) {
       if ( i < 0) {
-	vout2 << "leaving variable: none" << std::endl;
+        vout2 << "leaving variable: none" << std::endl;
       } else {
-	vout << ", ";
-	vout  << "leaving: ";
-	vout  << i;
-	CGAL_qpe_debug {
-	  if ( vout2.verbose()) {
-	    if ( ( i < qp_n) || ( i >= static_cast<int>( qp_n+slack_A.size())) ) {
-	      vout2.out() << " (= B_O[ " << in_B[ i] << "]: "
-			  << variable_type( i) << ')';
-	    } else {
-	      vout2.out() << " (= B_S[ " << in_B[ i] << "]: slack)";
-	    }
-	  }
-	  vout2 << std::endl;
-	}
-	
+        vout << ", ";
+        vout  << "leaving: ";
+        vout  << i;
+        CGAL_qpe_debug {
+          if ( vout2.verbose()) {
+            if ( ( i < qp_n) || ( i >= static_cast<int>( qp_n+slack_A.size())) ) {
+              vout2.out() << " (= B_O[ " << in_B[ i] << "]: "
+                          << variable_type( i) << ')';
+            } else {
+              vout2.out() << " (= B_S[ " << in_B[ i] << "]: slack)";
+            }
+          }
+          vout2 << std::endl;
+        }
+
       }
     }
-    
+
 }
 
 
@@ -619,7 +619,7 @@ ratio_test_1__t_min_j(Tag_true /*is_nonn
 
 // By the pricing step we have the following precondition
 // direction == +1 => x_O_v_i[j] == (LOWER v ZERO)
-// direction == -1 => x_O_v_i[j] == (UPPER v ZERO) 
+// direction == -1 => x_O_v_i[j] == (UPPER v ZERO)
 template < typename Q, typename ET, typename Tags >                         // Upper bounded
 void  QP_solver<Q, ET, Tags>::
 ratio_test_1__t_min_j(Tag_false /*is_nonnegative*/)
@@ -644,7 +644,7 @@ ratio_test_1__t_min_j(Tag_false /*is_non
                     ratio_test_bound_index = UPPER;
                 } else {                            // has infinite upper bound
                     x_i = et1;
-                    q_i = et0;                    
+                    q_i = et0;
                 }
             }
         } else {                                    // direction == -1
@@ -692,7 +692,7 @@ ratio_test_1__t_min_B(Tag_false /*has_eq
                         q_x_O.begin(), Is_nonnegative());
     ratio_test_1_B_S__t_i(B_S.begin(), B_S.end(), x_B_S.begin(),
                         q_x_S.begin(), Is_nonnegative());
-}    
+}
 
 // ratio test for the basic original variables
 template < typename Q, typename ET, typename Tags >                         // Standard form
@@ -700,13 +700,13 @@ void  QP_solver<Q, ET, Tags>::
 ratio_test_1_B_O__t_i(Index_iterator i_it, Index_iterator end_it,
                     Value_iterator x_it, Value_iterator q_it,
                     Tag_true  /*is_nonnegative*/)
-{    
+{
     for ( ; i_it != end_it; ++i_it, ++x_it, ++q_it ) {
         test_implicit_bounds_dir_pos(*i_it, *x_it, *q_it, i, x_i, q_i);
     }
 }
 
-// ratio test for the basic original variables                    
+// ratio test for the basic original variables
 template < typename Q, typename ET, typename Tags >                         // Upper bounded
 void  QP_solver<Q, ET, Tags>::
 ratio_test_1_B_O__t_i(Index_iterator i_it, Index_iterator end_it,
@@ -762,7 +762,7 @@ ratio_test_1_B_S__t_i(Index_iterator i_i
     } else {
         for ( ; i_it != end_it; ++i_it, ++x_it, ++q_it ) {
             test_implicit_bounds_dir_neg(*i_it, *x_it, *q_it, i, x_i, q_i);
-        }    
+        }
     }
 }
 
@@ -770,9 +770,9 @@ ratio_test_1_B_S__t_i(Index_iterator i_i
 // note that this function writes the member variables i, x_i, q_i
 template < typename Q, typename ET, typename Tags >
 void  QP_solver<Q, ET, Tags>::
-test_implicit_bounds_dir_pos(int k, const ET& x_k, const ET& q_k, 
+test_implicit_bounds_dir_pos(int k, const ET& x_k, const ET& q_k,
                                 int& i_min, ET& d_min, ET& q_min)
-{   
+{
     if (q_k > et0) {
       // BLAND rule: In case the ratios are the same, only update if the new index
       // is smaller. The special artificial variable is always made to leave first.
@@ -788,7 +788,7 @@ test_implicit_bounds_dir_pos(int k, cons
 // note that this function writes the member variables i, x_i, q_i
 template < typename Q, typename ET, typename Tags >
 void  QP_solver<Q, ET, Tags>::
-test_implicit_bounds_dir_neg(int k, const ET& x_k, const ET& q_k, 
+test_implicit_bounds_dir_neg(int k, const ET& x_k, const ET& q_k,
                                 int& i_min, ET& d_min, ET& q_min)
 {
     if (q_k < et0) {
@@ -808,7 +808,7 @@ test_implicit_bounds_dir_neg(int k, cons
 // are in the context of upper bounding misnomers
 template < typename Q, typename ET, typename Tags >
 void  QP_solver<Q, ET, Tags>::
-test_explicit_bounds_dir_pos(int k, const ET& x_k, const ET& q_k, 
+test_explicit_bounds_dir_pos(int k, const ET& x_k, const ET& q_k,
                                 int& i_min, ET& d_min, ET& q_min)
 {
     if (q_k > et0) {                                // check for lower bound
@@ -833,7 +833,7 @@ test_explicit_bounds_dir_pos(int k, cons
                 d_min = diff;
                 q_min = -q_k;
                 ratio_test_bound_index = UPPER;
-            }    
+            }
         }
     }
 }
@@ -844,7 +844,7 @@ test_explicit_bounds_dir_pos(int k, cons
 // are in the context of upper bounding misnomers
 template < typename Q, typename ET, typename Tags >
 void  QP_solver<Q, ET, Tags>::
-test_explicit_bounds_dir_neg(int k, const ET& x_k, const ET& q_k, 
+test_explicit_bounds_dir_neg(int k, const ET& x_k, const ET& q_k,
                                 int& i_min, ET& d_min, ET& q_min)
 {
     if (q_k < et0) {                                // check for lower bound
@@ -869,7 +869,7 @@ test_explicit_bounds_dir_neg(int k, cons
                 d_min = diff;
                 q_min = q_k;
                 ratio_test_bound_index = UPPER;
-            }    
+            }
         }
     }
 }
@@ -880,7 +880,7 @@ test_explicit_bounds_dir_neg(int k, cons
 // are in the context of upper bounding misnomers
 template < typename Q, typename ET, typename Tags >
 void  QP_solver<Q, ET, Tags>::
-test_mixed_bounds_dir_pos(int k, const ET& x_k, const ET& q_k, 
+test_mixed_bounds_dir_pos(int k, const ET& x_k, const ET& q_k,
                                 int& i_min, ET& d_min, ET& q_min)
 {
     if (q_k > et0) {                                // check for lower bound
@@ -895,7 +895,7 @@ test_mixed_bounds_dir_pos(int k, const E
                   q_min = q_k;
                   ratio_test_bound_index = LOWER;
               } // phase  I II switch
-              
+
             }
         } else {                                    // artificial variable
             // BLAND rule: In case the ratios are the same, only update if the new index
@@ -927,7 +927,7 @@ test_mixed_bounds_dir_pos(int k, const E
 // are in the context of upper bounding misnomers
 template < typename Q, typename ET, typename Tags >
 void  QP_solver<Q, ET, Tags>::
-test_mixed_bounds_dir_neg(int k, const ET& x_k, const ET& q_k, 
+test_mixed_bounds_dir_neg(int k, const ET& x_k, const ET& q_k,
                                 int& i_min, ET& d_min, ET& q_min)
 {
     if (q_k < et0) {                                // check for lower bound
@@ -965,7 +965,7 @@ test_mixed_bounds_dir_neg(int k, const E
             }
         }
     }
-}    
+}
 
 
 template < typename Q, typename ET, typename Tags >                                         // QP case
@@ -975,37 +975,37 @@ ratio_test_2( Tag_false)
 {
     // diagnostic output
     CGAL_qpe_debug {
-	if ( vout2.verbose()) {
-	    vout2.out() << std::endl
-			<< "Ratio Test (Step 2)" << std::endl
-			<< "-------------------" << std::endl;
-	}
+        if ( vout2.verbose()) {
+            vout2.out() << std::endl
+                        << "Ratio Test (Step 2)" << std::endl
+                        << "-------------------" << std::endl;
+        }
     }
 
     // compute `p_lambda' and `p_x' (Note: `p_...' is stored in `q_...')
     ratio_test_2__p( no_ineq);
- 
+
     // diagnostic output
     CGAL_qpe_debug {
-	if ( vout3.verbose()) {
-	    vout3.out() << "p_lambda: ";
-	    std::copy( q_lambda.begin(), q_lambda.begin()+C.size(),
-		       std::ostream_iterator<ET>( vout3.out()," "));
-	    vout3.out() << std::endl;
-	    vout3.out() << "   p_x_O: ";
-	    std::copy( q_x_O.begin(), q_x_O.begin()+B_O.size(),
-		       std::ostream_iterator<ET>( vout3.out()," "));
-	    vout3.out() << std::endl;
-	    if ( has_ineq) {
-		vout3.out() << "   p_x_S: ";
-		std::copy( q_x_S.begin(), q_x_S.begin()+B_S.size(),
-			   std::ostream_iterator<ET>( vout3.out()," "));
-		vout3.out() << std::endl;
-	    }
-	    vout3.out() << std::endl;
-	}
+        if ( vout3.verbose()) {
+            vout3.out() << "p_lambda: ";
+            std::copy( q_lambda.begin(), q_lambda.begin()+C.size(),
+                       std::ostream_iterator<ET>( vout3.out()," "));
+            vout3.out() << std::endl;
+            vout3.out() << "   p_x_O: ";
+            std::copy( q_x_O.begin(), q_x_O.begin()+B_O.size(),
+                       std::ostream_iterator<ET>( vout3.out()," "));
+            vout3.out() << std::endl;
+            if ( has_ineq) {
+                vout3.out() << "   p_x_S: ";
+                std::copy( q_x_S.begin(), q_x_S.begin()+B_S.size(),
+                           std::ostream_iterator<ET>( vout3.out()," "));
+                vout3.out() << std::endl;
+            }
+            vout3.out() << std::endl;
+        }
     }
-    
+
     // Idea here: At this point, the goal is to increase \mu_j until either we
     // become optimal (\mu_j=0), or one of the variables in x^*_\hat{B} drops
     // down to zero.
@@ -1045,7 +1045,7 @@ ratio_test_2( Tag_false)
     // the one whose delta_k equals
     //
     //    delta_min:= min {delta_k | k in \hat{B} and (q_it)_k < 0 }
-    //    
+    //
     // So in order to handle the standard-form case, we would compute this
     // minimum.  Once we have delta_min, we need to check whether we get
     // optimal BEFORE a variable drops to zero.  As delta = mu_j - mu_j(t_1),
@@ -1055,7 +1055,7 @@ ratio_test_2( Tag_false)
     // notation is misleading.)
     //
     // Now to the nonstandard-form case.
-    
+
     // fw: By definition delta_min >= 0, such that initializing
     // delta_min with -mu_j(t_1) has the desired effect that a basic variable
     // is leaving only if 0 <= delta_min < -mu_j(t_1).
@@ -1065,9 +1065,9 @@ ratio_test_2( Tag_false)
     //
     // Since mu_j(t_1) has been computed in ratio test step 1 we can
     // reuse it.
-      
+
     x_i = mu;                                     // initialize minimum
-    q_i = -et1;                                        // with -mu_j(t_1) 
+    q_i = -et1;                                        // with -mu_j(t_1)
 
     Value_iterator  x_it = x_B_O.begin();
     Value_iterator  q_it = q_x_O.begin();
@@ -1098,21 +1098,21 @@ ratio_test_2( Tag_false)
     }
 
     CGAL_qpe_debug {
-	if ( vout2.verbose()) {
-	    for ( unsigned int k = 0; k < static_cast<unsigned int>(B_O.size()); ++k) {
-		vout2.out() << "mu_j_O_" << k << ": - "
-			    << x_B_O[ k] << '/' << q_x_O[ k]
-			    << ( ( q_i < et0) && ( i == B_O[ k]) ? " *" : "")
-			    << std::endl;
-	    }
-	    for ( unsigned int k = 0; k < static_cast<unsigned int>(B_S.size()); ++k) {
-		vout2.out() << "mu_j_S_" << k << ": - "
-			    << x_B_S[ k] << '/' << q_x_S[ k]
-			    << ( ( q_i < et0) && ( i == B_S[ k]) ? " *" : "")
-			    << std::endl;
-	    }
-	    vout2.out() << std::endl;
-	}
+        if ( vout2.verbose()) {
+            for ( unsigned int k = 0; k < static_cast<unsigned int>(B_O.size()); ++k) {
+                vout2.out() << "mu_j_O_" << k << ": - "
+                            << x_B_O[ k] << '/' << q_x_O[ k]
+                            << ( ( q_i < et0) && ( i == B_O[ k]) ? " *" : "")
+                            << std::endl;
+            }
+            for ( unsigned int k = 0; k < static_cast<unsigned int>(B_S.size()); ++k) {
+                vout2.out() << "mu_j_S_" << k << ": - "
+                            << x_B_S[ k] << '/' << q_x_S[ k]
+                            << ( ( q_i < et0) && ( i == B_S[ k]) ? " *" : "")
+                            << std::endl;
+            }
+            vout2.out() << std::endl;
+        }
     }
     if ( i < 0) {
       vout2 << "leaving variable: none" << std::endl;
@@ -1121,16 +1121,16 @@ ratio_test_2( Tag_false)
       vout  << "leaving"; vout2 << " variable"; vout << ": ";
       vout  << i;
       if ( vout2.verbose()) {
-	if ( i < qp_n) {
-	  vout2.out() << " (= B_O[ " << in_B[ i] << "]: original)"
-		      << std::endl;
-	} else {
-	  vout2.out() << " (= B_S[ " << in_B[ i] << "]: slack)"
-		      << std::endl;
-	}
+        if ( i < qp_n) {
+          vout2.out() << " (= B_O[ " << in_B[ i] << "]: original)"
+                      << std::endl;
+        } else {
+          vout2.out() << " (= B_S[ " << in_B[ i] << "]: slack)"
+                      << std::endl;
+        }
       }
     }
-    
+
 }
 
 // update (step 1)
@@ -1140,27 +1140,27 @@ QP_solver<Q, ET, Tags>::
 update_1( )
 {
     CGAL_qpe_debug {
-	if ( vout2.verbose()) {
-	    vout2.out() << std::endl;
-	    if ( is_LP || is_phaseI) {
-		vout2.out() << "------" << std::endl
-			    << "Update" << std::endl
-			    << "------" << std::endl;
-	    } else {
-		vout2.out() << "Update (Step 1)" << std::endl
-			    << "---------------" << std::endl;
-	    }
-	}
+        if ( vout2.verbose()) {
+            vout2.out() << std::endl;
+            if ( is_LP || is_phaseI) {
+                vout2.out() << "------" << std::endl
+                            << "Update" << std::endl
+                            << "------" << std::endl;
+            } else {
+                vout2.out() << "Update (Step 1)" << std::endl
+                            << "---------------" << std::endl;
+            }
+        }
     }
 
     // update basis & basis inverse
     update_1( Is_linear());
     CGAL_qpe_assertion(check_basis_inverse());
-    
+
     // check the updated vectors r_C and r_S_B
     CGAL_expensive_assertion(check_r_C(Is_nonnegative()));
     CGAL_expensive_assertion(check_r_S_B(Is_nonnegative()));
-    
+
     // check the vectors r_B_O and w in phaseII for QPs
     CGAL_qpe_debug {
         if (is_phaseII && is_QP) {
@@ -1171,8 +1171,8 @@ update_1( )
 
     // compute current solution
     compute_solution(Is_nonnegative());
-    
-    // check feasibility 
+
+    // check feasibility
     CGAL_qpe_debug {
       if (j < 0 && !is_RTS_transition) // todo kf: is this too conservative?
                  // Note: the above condition is necessary because of the
@@ -1184,18 +1184,18 @@ update_1( )
                  // of the variable (in the non-standard-form case), resp., as
                  // the routines is_solution_feasible() and
                  // is_solution_feasible_for_auxiliary_problem() assume.
-	if (is_phaseI) {
-	  CGAL_expensive_assertion(
+        if (is_phaseI) {
+          CGAL_expensive_assertion(
             is_solution_feasible_for_auxiliary_problem());
-	} else {
-	  CGAL_expensive_assertion(is_solution_feasible());
-	}
+        } else {
+          CGAL_expensive_assertion(is_solution_feasible());
+        }
       else
-	vout2 << "(feasibility not checked in intermediate step)" << std::endl;
+        vout2 << "(feasibility not checked in intermediate step)" << std::endl;
       CGAL_expensive_assertion(check_tag(Is_nonnegative()) ||
-			       r_C.size() == C.size());
+                               r_C.size() == C.size());
     }
-	 
+
 }
 
 // update (step 2)
@@ -1205,9 +1205,9 @@ QP_solver<Q, ET, Tags>::
 update_2( Tag_false)
 {
     CGAL_qpe_debug {
-	vout2 << std::endl
-	      << "Update (Step 2)" << std::endl
-	      << "---------------" << std::endl;
+        vout2 << std::endl
+              << "Update (Step 2)" << std::endl
+              << "---------------" << std::endl;
     }
 
     // leave variable from basis
@@ -1215,7 +1215,7 @@ update_2( Tag_false)
     CGAL_qpe_debug {
         check_basis_inverse();
     }
-    
+
     // check the updated vectors r_C, r_S_B, r_B_O and w
     CGAL_expensive_assertion(check_r_C(Is_nonnegative()));
     CGAL_expensive_assertion(check_r_S_B(Is_nonnegative()));
@@ -1225,7 +1225,7 @@ update_2( Tag_false)
     // compute current solution
     compute_solution(Is_nonnegative());
 }
- 
+
 template < typename Q, typename ET, typename Tags >
 void
 QP_solver<Q, ET, Tags>::
@@ -1233,56 +1233,56 @@ expel_artificial_variables_from_basis( )
 {
     int row_ind;
     ET r_A_Cj;
-    
+
     CGAL_qpe_debug {
         vout2 << std::endl
-	      << "---------------------------------------------" << std::endl
-	      << "Expelling artificial variables from the basis" << std::endl
-	      << "---------------------------------------------" << std::endl;
+              << "---------------------------------------------" << std::endl
+              << "Expelling artificial variables from the basis" << std::endl
+              << "---------------------------------------------" << std::endl;
     }
-  
 
-  
+
+
     for (unsigned int i_ = 0; i_ < static_cast<unsigned int>(qp_n + slack_A.size()); ++i_) {
-      if (!is_basic(i_)) { 
+      if (!is_basic(i_)) {
       ratio_test_init__A_Cj( A_Cj.begin(), i_, no_ineq);
       }
     }
 
-    
+
     // try to pivot the artificials out of the basis
     // Note that we do not notify the pricing strategy about variables
     // leaving the basis, furthermore the pricing strategy does not
     // know about variables entering the basis.
     // The partial pricing strategies that keep the set of nonbasic vars
-    // explicitly are synchronized during transition from phaseI to phaseII 
+    // explicitly are synchronized during transition from phaseI to phaseII
     for (unsigned int i_ = static_cast<unsigned int>(qp_n + slack_A.size()); i_ < static_cast<unsigned int>(in_B.size()); ++i_) {
-      if (is_basic(i_)) { 					// is basic
-        row_ind = in_B[i_];  
-        
+      if (is_basic(i_)) {                                         // is basic
+        row_ind = in_B[i_];
+
         //CGAL_qpe_assertion(row_ind >= 0);
-        
-	    
+
+
         // determine first possible entering variable,
         // if there is any
         for (unsigned int j_ = 0; j_ < static_cast<unsigned int>(qp_n + slack_A.size()); ++j_) {
-	        if (!is_basic(j_)) {  				// is nonbasic
+                if (!is_basic(j_)) {                                  // is nonbasic
             ratio_test_init__A_Cj( A_Cj.begin(), j_, no_ineq);
-                        
+
             r_A_Cj = inv_M_B.inv_M_B_row_dot_col(row_ind, A_Cj.begin());
-                       
+
             if (r_A_Cj != et0) {
               ratio_test_1__q_x_O(Is_linear());
               i = i_;
               j = j_;
               update_1(Is_linear());
               break;
-            } 
+            }
           }
         }
       }
     }
-  
+
     if ((art_basic != 0) && no_ineq) {
       // the vector in_C was not used in phase I, but now we remove redundant
       // constraints and switch to has_ineq treatment, hence we need it to
@@ -1295,7 +1295,7 @@ expel_artificial_variables_from_basis( )
       // now reset the no_ineq and has_ineq flags to match the situation
       no_ineq = no_ineq && !diagnostics.redundant_equations;
       has_ineq = !no_ineq;
-    
+
       // remove the remaining ones with their corresponding equality constraints
       // Note: the special artificial variable can always be driven out of the
       // basis
@@ -1321,9 +1321,9 @@ QP_solver<Q, ET, Tags>::
 replace_variable( )
 {
     CGAL_qpe_debug {
-	vout2 <<   "<--> nonbasic (" << variable_type( j) << ") variable " << j
-	      << " replaces basic (" << variable_type( i) << ") variable " << i
-	      << std::endl << std::endl;
+        vout2 <<   "<--> nonbasic (" << variable_type( j) << ") variable " << j
+              << " replaces basic (" << variable_type( i) << ") variable " << i
+              << std::endl << std::endl;
     }
 
     // replace variable
@@ -1339,7 +1339,7 @@ replace_variable_original_original( )
 {
     // updates for the upper bounded case
     replace_variable_original_original_upd_r(Is_nonnegative());
-    
+
     int  k = in_B[ i];
 
     // replace original variable [ in: j | out: i ]
@@ -1347,40 +1347,40 @@ replace_variable_original_original( )
     in_B  [ j] = k;
        B_O[ k] = j;
 
-    minus_c_B[ k] = 
-      ( is_phaseI ? 
-	( j < qp_n ? et0 : ET(-aux_c[j-qp_n-slack_A.size()])) : -ET( *(qp_c+ j)));
+    minus_c_B[ k] =
+      ( is_phaseI ?
+        ( j < qp_n ? et0 : ET(-aux_c[j-qp_n-slack_A.size()])) : -ET( *(qp_c+ j)));
 
     if ( is_phaseI) {
-	if ( j >= qp_n) ++art_basic;
-	if ( i >= qp_n) --art_basic;
+        if ( j >= qp_n) ++art_basic;
+        if ( i >= qp_n) --art_basic;
     }
 
     // diagnostic output
     CGAL_qpe_debug {
-	if ( vout2.verbose()) print_basis();
+        if ( vout2.verbose()) print_basis();
     }
-	    
+
     // update basis inverse
     inv_M_B.enter_original_leave_original( q_x_O.begin(), k);
 }
 
-// update of the vector r for U_5 with upper bounding, note that we 
+// update of the vector r for U_5 with upper bounding, note that we
 // need the headings C, and S_{B} before they are updated
-template < typename Q, typename ET, typename Tags >                            // Standard form      
+template < typename Q, typename ET, typename Tags >                            // Standard form
 void  QP_solver<Q, ET, Tags>::
 replace_variable_original_original_upd_r(Tag_true )
 {
 }
 
-// update of the vector r for U_5 with upper bounding, note that we 
+// update of the vector r for U_5 with upper bounding, note that we
 // need the headings C, and S_{B} before they are updated
-template < typename Q, typename ET, typename Tags >                            // Upper bounded      
+template < typename Q, typename ET, typename Tags >                            // Upper bounded
 void  QP_solver<Q, ET, Tags>::
 replace_variable_original_original_upd_r(Tag_false )
 {
     ET      x_j, x_i;
-    
+
     if (is_artificial(j)) {
         if (!is_artificial(i)) {
             x_i = (ratio_test_bound_index == LOWER) ? *(qp_l+i) : *(qp_u+i);
@@ -1408,10 +1408,10 @@ template < typename Q, typename ET, type
 void  QP_solver<Q, ET, Tags>::
 replace_variable_slack_slack( )
 {
-    
+
     // updates for the upper bounded case
-    replace_variable_slack_slack_upd_r(Is_nonnegative()); 
-    
+    replace_variable_slack_slack_upd_r(Is_nonnegative());
+
     int  k = in_B[ i];
 
     // replace slack variable [ in: j | out: i ]
@@ -1433,7 +1433,7 @@ replace_variable_slack_slack( )
 
     // diagnostic output
     CGAL_qpe_debug {
-	if ( vout2.verbose()) print_basis();
+        if ( vout2.verbose()) print_basis();
     }
 
     // update basis inverse
@@ -1441,33 +1441,33 @@ replace_variable_slack_slack( )
       boost::bind( A_accessor( qp_A, 0, qp_n), _1, new_row);
     typedef typename std::iterator_traits<A_row_by_index_iterator>::value_type RT;
     std::transform(A_row_by_index_iterator( B_O.begin(), a_accessor),
-		   A_row_by_index_iterator( B_O.end  (), a_accessor),
-		   tmp_x.begin(),
-		   NT_converter<RT,ET>());
+                   A_row_by_index_iterator( B_O.end  (), a_accessor),
+                   tmp_x.begin(),
+                   NT_converter<RT,ET>());
     if ( art_s_i > 0) {                                 // special artificial
-	tmp_x[ in_B[ art_s_i]] = ET( art_s[ new_row]);
+        tmp_x[ in_B[ art_s_i]] = ET( art_s[ new_row]);
     }
     inv_M_B.enter_slack_leave_slack( tmp_x.begin(), k);
 }
 
-// update of the vector r for U_6 with upper bounding, note that we 
+// update of the vector r for U_6 with upper bounding, note that we
 // need the headings C, and S_{B} before they are updated
-template < typename Q, typename ET, typename Tags >                            // Standard form      
+template < typename Q, typename ET, typename Tags >                            // Standard form
 void  QP_solver<Q, ET, Tags>::
 replace_variable_slack_slack_upd_r(Tag_true )
 {
 }
 
-// update of the vector r for U_6 with upper bounding, note that we 
+// update of the vector r for U_6 with upper bounding, note that we
 // need the headings C, and S_{B} before they are updated
-template < typename Q, typename ET, typename Tags >                            // Upper bounded      
+template < typename Q, typename ET, typename Tags >                            // Upper bounded
 void  QP_solver<Q, ET, Tags>::
 replace_variable_slack_slack_upd_r(Tag_false )
 {
     int     sigma_j = slack_A[ j-qp_n].first;
-    
+
     // swap r_gamma_C(sigma_j) in r_C with r_gamma_S_B(sigma_i) in r_S_B
-    std::swap(r_C[in_C[sigma_j]], r_S_B[in_B[i]]); 
+    std::swap(r_C[in_C[sigma_j]], r_S_B[in_B[i]]);
 }
 
 
@@ -1476,8 +1476,8 @@ void  QP_solver<Q, ET, Tags>::
 replace_variable_slack_original( )
 {
     // updates for the upper bounded case
-    replace_variable_slack_original_upd_r(Is_nonnegative()); 
-     
+    replace_variable_slack_original_upd_r(Is_nonnegative());
+
     int  k = in_B[ i];
 
     // leave original variable [ out: i ]
@@ -1505,7 +1505,7 @@ replace_variable_slack_original( )
        C.pop_back();
     // diagnostic output
     CGAL_qpe_debug {
-	if ( vout2.verbose()) print_basis();
+        if ( vout2.verbose()) print_basis();
     }
 
     // update basis inverse
@@ -1514,17 +1514,17 @@ replace_variable_slack_original( )
     inv_M_B.enter_slack_leave_original();
 }
 
-// update of the vector r for U_8 with upper bounding, note that we 
+// update of the vector r for U_8 with upper bounding, note that we
 // need the headings C, and S_{B} before they are updated
-template < typename Q, typename ET, typename Tags >                            // Standard form      
+template < typename Q, typename ET, typename Tags >                            // Standard form
 void  QP_solver<Q, ET, Tags>::
 replace_variable_slack_original_upd_r(Tag_true )
 {
 }
 
-// update of the vector r for U_8 with upper bounding, note that we 
+// update of the vector r for U_8 with upper bounding, note that we
 // need the headings C, and S_{B} before they are updated
-template < typename Q, typename ET, typename Tags >                            // Upper bounded      
+template < typename Q, typename ET, typename Tags >                            // Upper bounded
 void  QP_solver<Q, ET, Tags>::
 replace_variable_slack_original_upd_r(Tag_false )
 {
@@ -1532,16 +1532,16 @@ replace_variable_slack_original_upd_r(Ta
         ET  x_i = (ratio_test_bound_index == LOWER) ? *(qp_l+i) : *(qp_u+i);
         update_r_C_r_S_B__i(x_i);
     }
-    
+
     int     sigma_j = slack_A[ j-qp_n].first;
-    
+
     // append r_gamma_C(sigma_j) from r_C to r_S_B:
     r_S_B.push_back(r_C[in_C[sigma_j]]);
-    
+
     // remove r_gamma_C(sigma_j) from r_C:
     r_C[in_C[sigma_j]] = r_C.back();
     r_C.pop_back();
-    
+
     // update x_O_v_i
     if (!is_artificial(i)) // original and not artificial?
       x_O_v_i[i] = ratio_test_bound_index;
@@ -1554,16 +1554,16 @@ replace_variable_original_slack( )
 {
     // updates for the upper bounded case
     replace_variable_original_slack_upd_r(Is_nonnegative());
-    
+
     int  k = in_B[ i];
 
     // enter original variable [ in: j ]
 
     minus_c_B[ B_O.size()]
-      = ( is_phaseI ? 
-	  ( j < qp_n ? et0 : ET(-aux_c[j-qp_n-slack_A.size()]))
-	  : -ET( *(qp_c+ j)));
-    
+      = ( is_phaseI ?
+          ( j < qp_n ? et0 : ET(-aux_c[j-qp_n-slack_A.size()]))
+          : -ET( *(qp_c+ j)));
+
 
     in_B  [ j] = static_cast<int>(B_O.size());
        B_O.push_back( j);
@@ -1574,7 +1574,7 @@ replace_variable_original_slack( )
        B_S[ k         ] = B_S.back();
        S_B[ k         ] = S_B.back();
     in_B  [ B_S.back()] = k;
-    in_B  [ i         ] = -1; 
+    in_B  [ i         ] = -1;
        B_S.pop_back();
        S_B.pop_back();
 
@@ -1586,7 +1586,7 @@ replace_variable_original_slack( )
        C.push_back( new_row);
     // diagnostic output
     CGAL_qpe_debug {
-	if ( vout2.verbose()) print_basis();
+        if ( vout2.verbose()) print_basis();
     }
 
     // update basis inverse
@@ -1594,27 +1594,27 @@ replace_variable_original_slack( )
       boost::bind (A_accessor( qp_A, 0, qp_n), _1, new_row);
     typedef typename std::iterator_traits<A_row_by_index_iterator>::value_type RT;
     std::transform(A_row_by_index_iterator( B_O.begin(), a_accessor),
-		   A_row_by_index_iterator( B_O.end  (), a_accessor),
-		   tmp_x.begin(),
-		   NT_converter<RT,ET>());
+                   A_row_by_index_iterator( B_O.end  (), a_accessor),
+                   tmp_x.begin(),
+                   NT_converter<RT,ET>());
     if ( art_s_i > 0) {                                 // special art.
-	tmp_x[ in_B[ art_s_i]] = ET( art_s[ new_row]);
+        tmp_x[ in_B[ art_s_i]] = ET( art_s[ new_row]);
     }
     inv_M_B.enter_original_leave_slack( q_x_O.begin(), tmp_x.begin());
-    
+
 }
 
-// update of the vector r for U_7 with upper bounding, note that we 
+// update of the vector r for U_7 with upper bounding, note that we
 // need the headings C, and S_{B} before they are updated
-template < typename Q, typename ET, typename Tags >                            // Standard form      
+template < typename Q, typename ET, typename Tags >                            // Standard form
 void  QP_solver<Q, ET, Tags>::
 replace_variable_original_slack_upd_r(Tag_true )
 {
 }
 
-// update of the vector r for U_7 with upper bounding, note that we 
+// update of the vector r for U_7 with upper bounding, note that we
 // need the headings C, and S_{B} before they are updated
-template < typename Q, typename ET, typename Tags >                            // Upper bounded      
+template < typename Q, typename ET, typename Tags >                            // Upper bounded
 void  QP_solver<Q, ET, Tags>::
 replace_variable_original_slack_upd_r(Tag_false )
 {
@@ -1622,14 +1622,14 @@ replace_variable_original_slack_upd_r(Ta
         ET x_j = nonbasic_original_variable_value(j);
         update_r_C_r_S_B__j(x_j);
     }
-    
+
     // append r_gamma_S_B(sigma_i) from r_S_B to r_C
     r_C.push_back(r_S_B[in_B[i]]);
-    
+
     // remove r_gamma_S_B(sigma_i) from r_S_B
     r_S_B[in_B[i]] = r_S_B.back();
     r_S_B.pop_back();
-    
+
     // update x_O_v_i
     if (!is_artificial(j)) {
         x_O_v_i[j] = BASIC;
@@ -1643,7 +1643,7 @@ remove_artificial_variable_and_constrain
 {
     // updates for the upper bounded case
     remove_artificial_variable_and_constraint_upd_r(Is_nonnegative());
-    
+
     int  k = in_B[ i];
 
     // leave artificial (original) variable [ out: i ]
@@ -1658,7 +1658,7 @@ remove_artificial_variable_and_constrain
 
     int old_row = art_A[i - qp_n - slack_A.size()].first;
 
-    // leave its equality constraint 
+    // leave its equality constraint
     int  l = in_C[ old_row];
      b_C[ l       ] = b_C[ C.size()-1];
        C[ l       ] = C.back();
@@ -1667,7 +1667,7 @@ remove_artificial_variable_and_constrain
        C.pop_back();
     // diagnostic output
     CGAL_qpe_debug {
-	if ( vout2.verbose()) print_basis();
+        if ( vout2.verbose()) print_basis();
     }
 
     // update basis inverse
@@ -1677,7 +1677,7 @@ remove_artificial_variable_and_constrain
 }
 
 // update of the vector r with upper bounding for the removal of an
-// artificial variable with its equality constraint, note that we 
+// artificial variable with its equality constraint, note that we
 // need the headings C before it is updated
 template < typename Q, typename ET, typename Tags >                                 // Standard form
 void  QP_solver<Q, ET, Tags>::
@@ -1686,51 +1686,51 @@ remove_artificial_variable_and_constrain
 }
 
 // update of the vector r with upper bounding for the removal of an
-// artificial variable with its equality constraint, note that we 
+// artificial variable with its equality constraint, note that we
 // need the headings C before it is updated
 template < typename Q, typename ET, typename Tags >                                 // Upper bounded
 void  QP_solver<Q, ET, Tags>::
 remove_artificial_variable_and_constraint_upd_r(Tag_false )
 {
     int sigma_i = art_A[i - qp_n - slack_A.size()].first;
-    
+
     // remove r_gamma_C(sigma_i) from r_C
     r_C[in_C[sigma_i]] = r_C.back();
     r_C.pop_back();
 }
 
 // update that occurs only with upper bounding in ratio test step 1
-template < typename Q, typename ET, typename Tags >            
+template < typename Q, typename ET, typename Tags >
 void  QP_solver<Q, ET, Tags>::
 enter_and_leave_variable( )
 {
-    
+
     CGAL_qpe_assertion((i == j) && (i >= 0));
-    
+
     CGAL_qpe_debug {
-	vout2 <<   "<--> nonbasic (" << variable_type( j) << ") variable " << j
-	      << " enters and leaves basis" << std::endl << std::endl;
+        vout2 <<   "<--> nonbasic (" << variable_type( j) << ") variable " << j
+              << " enters and leaves basis" << std::endl << std::endl;
     }
 
-    
+
     ET diff;
     ET x_j = nonbasic_original_variable_value(j);
-    
+
     if (ratio_test_bound_index == LOWER) {
         diff = x_j - ET(*(qp_l+j));
     } else {
         diff = x_j - ET(*(qp_u+j));
     }
-    
+
     if (is_phaseI) {
         update_r_C_r_S_B__j(diff);
     } else {
         update_w_r_B_O__j(diff);
         update_r_C_r_S_B__j(diff);
     }
-    
+
     x_O_v_i[j] = ratio_test_bound_index;
-    
+
     // notify pricing strategy (it has called enter_basis on i before)
     strategyP->leaving_basis (i);
 
@@ -1748,97 +1748,97 @@ enter_variable( )
 {
   CGAL_qpe_assertion (is_phaseII);
     CGAL_qpe_debug {
-	vout2 << "--> nonbasic (" << variable_type( j) << ") variable "
-	      << j << " enters basis" << std::endl << std::endl;
+        vout2 << "--> nonbasic (" << variable_type( j) << ") variable "
+              << j << " enters basis" << std::endl << std::endl;
     }
 
     // update basis & basis inverse:
     if (no_ineq || (j < qp_n)) {              // original variable
-    
+
         // updates for the upper bounded case:
         enter_variable_original_upd_w_r(Is_nonnegative());
 
-	// enter original variable [ in: j ]:
-	if (minus_c_B.size() <= B_O.size()) { // Note: minus_c_B and the
-					      // containers resized in this
-					      // if-block are only enlarged
-					      // and never made smaller
-					      // (while B_O always has the
-					      // correct size). We check here
-					      // whether we need to enlarge
-					      // them.
-	  CGAL_qpe_assertion(minus_c_B.size() == B_O.size());
-	    minus_c_B.push_back(et0);
-	        q_x_O.push_back(et0);
-	      tmp_x  .push_back(et0);
-	      tmp_x_2.push_back(et0);
-	     two_D_Bj.push_back(et0);
-	        x_B_O.push_back(et0);
-	}
-	minus_c_B[B_O.size()] = -ET(*(qp_c+ j)); // Note: B_O has always the
-					       // correct size.
-	
-	in_B[j] = static_cast<int>(B_O.size());
-	B_O.push_back(j);
-
-	// diagnostic output
-	CGAL_qpe_debug {
-	    if (vout2.verbose())
-	      print_basis();
-	}
-	    
-	// update basis inverse
-	// note: (-1)\hat{\nu} is stored instead of \hat{\nu}
-	inv_M_B.enter_original(q_lambda.begin(), q_x_O.begin(), -nu);
-	
+        // enter original variable [ in: j ]:
+        if (minus_c_B.size() <= B_O.size()) { // Note: minus_c_B and the
+                                              // containers resized in this
+                                              // if-block are only enlarged
+                                              // and never made smaller
+                                              // (while B_O always has the
+                                              // correct size). We check here
+                                              // whether we need to enlarge
+                                              // them.
+          CGAL_qpe_assertion(minus_c_B.size() == B_O.size());
+            minus_c_B.push_back(et0);
+                q_x_O.push_back(et0);
+              tmp_x  .push_back(et0);
+              tmp_x_2.push_back(et0);
+             two_D_Bj.push_back(et0);
+                x_B_O.push_back(et0);
+        }
+        minus_c_B[B_O.size()] = -ET(*(qp_c+ j)); // Note: B_O has always the
+                                               // correct size.
+
+        in_B[j] = static_cast<int>(B_O.size());
+        B_O.push_back(j);
+
+        // diagnostic output
+        CGAL_qpe_debug {
+            if (vout2.verbose())
+              print_basis();
+        }
+
+        // update basis inverse
+        // note: (-1)\hat{\nu} is stored instead of \hat{\nu}
+        inv_M_B.enter_original(q_lambda.begin(), q_x_O.begin(), -nu);
+
     } else {                                  // slack variable
 
         // updates for the upper bounded case:
         enter_variable_slack_upd_w_r(Is_nonnegative());
 
-	// enter slack variable [ in: j ]:
-	in_B  [ j] = static_cast<int>(B_S.size());
-	   B_S.push_back( j);
-	   S_B.push_back( slack_A[ j-qp_n].first);
-
-	// leave inequality constraint [ out: j ]:
-	int old_row = slack_A[ j-qp_n].first;
-	int k = in_C[old_row];
-	
-	// reflect change of active constraints heading C in b_C:
-	b_C[ k] = b_C[C.size()-1];
-		
-	   C[ k] = C.back();
-	in_C[ C.back()      ] = k;
-	in_C[ old_row       ] = -1;
-	   C.pop_back();
-	
-	// diagnostic output:
-	CGAL_qpe_debug {
-	    if (vout2.verbose())
-	      print_basis();
-	}
-
-	// update basis inverse:
-	inv_M_B.swap_constraint(k);  // swap to back
-	inv_M_B.enter_slack();       // drop drop
+        // enter slack variable [ in: j ]:
+        in_B  [ j] = static_cast<int>(B_S.size());
+           B_S.push_back( j);
+           S_B.push_back( slack_A[ j-qp_n].first);
+
+        // leave inequality constraint [ out: j ]:
+        int old_row = slack_A[ j-qp_n].first;
+        int k = in_C[old_row];
+
+        // reflect change of active constraints heading C in b_C:
+        b_C[ k] = b_C[C.size()-1];
+
+           C[ k] = C.back();
+        in_C[ C.back()      ] = k;
+        in_C[ old_row       ] = -1;
+           C.pop_back();
+
+        // diagnostic output:
+        CGAL_qpe_debug {
+            if (vout2.verbose())
+              print_basis();
+        }
+
+        // update basis inverse:
+        inv_M_B.swap_constraint(k);  // swap to back
+        inv_M_B.enter_slack();       // drop drop
     }
 
     // variable entered:
     j -= static_cast<int>(in_B.size());
 }
 
-// update of the vectors w and r for U_1 with upper bounding, note that we 
+// update of the vectors w and r for U_1 with upper bounding, note that we
 // need the headings C, S_{B}, B_{O} before they are updated
-template < typename Q, typename ET, typename Tags >                            // Standard form      
+template < typename Q, typename ET, typename Tags >                            // Standard form
 void  QP_solver<Q, ET, Tags>::
 enter_variable_original_upd_w_r(Tag_true )
 {
 }
 
-// update of the vectors w and r for U_1 with upper bounding, note that we 
+// update of the vectors w and r for U_1 with upper bounding, note that we
 // need the headings C, S_{B}, B_{O} before they are updated
-template < typename Q, typename ET, typename Tags >                            // Upper bounded     
+template < typename Q, typename ET, typename Tags >                            // Upper bounded
 void  QP_solver<Q, ET, Tags>::
 enter_variable_original_upd_w_r(Tag_false )
 {
@@ -1848,36 +1848,36 @@ enter_variable_original_upd_w_r(Tag_fals
     // Note: w needs to be updated before r_C, r_S_B
     update_w_r_B_O__j(x_j);
     update_r_C_r_S_B__j(x_j);
-    
+
     // append w_j to r_B_O
     if (!check_tag(Is_linear())) // (kf.)
       r_B_O.push_back(w[j]);
-    
+
     // update x_O_v_i
     x_O_v_i[j] = BASIC;
 }
 
-// update of the vectors w and r for U_3 with upper bounding, note that we 
+// update of the vectors w and r for U_3 with upper bounding, note that we
 // need the headings C, S_{B}, B_{O} before they are updated
-template < typename Q, typename ET, typename Tags >                            // Standard form      
+template < typename Q, typename ET, typename Tags >                            // Standard form
 void  QP_solver<Q, ET, Tags>::
 enter_variable_slack_upd_w_r(Tag_true )
 {
 }
 
-// update of the vectors w and r for U_3 with upper bounding, note that we 
+// update of the vectors w and r for U_3 with upper bounding, note that we
 // need the headings C, S_{B}, B_{O} before they are updated
-template < typename Q, typename ET, typename Tags >                            // Upper bounded     
+template < typename Q, typename ET, typename Tags >                            // Upper bounded
 void  QP_solver<Q, ET, Tags>::
 enter_variable_slack_upd_w_r(Tag_false )
 {
-    
-    int     sigma_j = slack_A[ j-qp_n].first;       
-    
+
+    int     sigma_j = slack_A[ j-qp_n].first;
+
     // append r_gamma_C(sigma_j) to r_S_B
     r_S_B.push_back(r_C[in_C[sigma_j]]);
-    
-    // remove r_gamma_C(sigma_j) from r_C   
+
+    // remove r_gamma_C(sigma_j) from r_C
     r_C[in_C[sigma_j]] = r_C.back();
     r_C.pop_back();
 }
@@ -1889,68 +1889,68 @@ QP_solver<Q, ET, Tags>::
 leave_variable( )
 {
     CGAL_qpe_debug {
-	vout2 << "<-- basic (" << variable_type( i) << ") variable "
-	      << i << " leaves basis" << std::endl << std::endl;
+        vout2 << "<-- basic (" << variable_type( i) << ") variable "
+              << i << " leaves basis" << std::endl << std::endl;
     }
 
     // update basis & basis inverse
     int  k = in_B[ i];
     if ( no_ineq || ( i < qp_n)) {                      // original variable
-        
+
         // updates for the upper bounded case
         leave_variable_original_upd_w_r(Is_nonnegative());
 
-	// leave original variable [ out: i ]
-	in_B  [ B_O.back()] = k;
-	in_B  [ i         ] = -1; 
-	//in_B  [ B_O.back()] = k;
-	   B_O[ k] = B_O.back(); B_O.pop_back();
-
-	minus_c_B [ k] = minus_c_B [ B_O.size()];
-	  two_D_Bj[ k] =   two_D_Bj[ B_O.size()];
-	  
-
-	// diagnostic output
-	CGAL_qpe_debug {
-	    if ( vout2.verbose()) print_basis();
-	}
-
-	// update basis inverse
-	inv_M_B.swap_variable( k);
-	inv_M_B.leave_original();
+        // leave original variable [ out: i ]
+        in_B  [ B_O.back()] = k;
+        in_B  [ i         ] = -1;
+        //in_B  [ B_O.back()] = k;
+           B_O[ k] = B_O.back(); B_O.pop_back();
+
+        minus_c_B [ k] = minus_c_B [ B_O.size()];
+          two_D_Bj[ k] =   two_D_Bj[ B_O.size()];
+
+
+        // diagnostic output
+        CGAL_qpe_debug {
+            if ( vout2.verbose()) print_basis();
+        }
+
+        // update basis inverse
+        inv_M_B.swap_variable( k);
+        inv_M_B.leave_original();
 
     } else {                                            // slack variable
-        
+
         // updates for the upper bounded case
         leave_variable_slack_upd_w_r(Is_nonnegative());
 
-	// leave slack variable [ out: i ]
-	in_B  [ B_S.back()] = k;      // former last var moves to position k
-	in_B  [ i         ] = -1;     // i gets deleted
-	   B_S[ k] = B_S.back(); B_S.pop_back();
-	   S_B[ k] = S_B.back(); S_B.pop_back();
-
-	// enter inequality constraint [ in: i ]
-	int new_row = slack_A[ i-qp_n].first;
-
-	A_Cj[ C.size()] = ( j < qp_n ? ET( *((*(qp_A + j))+ new_row)) : et0);
-
-	 b_C[ C.size()] = ET( *(qp_b+ new_row));
-	in_C[ new_row ] = static_cast<int>(C.size());
-	   C.push_back( new_row);
-
-	// diagnostic output
-	CGAL_qpe_debug {
-	    if ( vout2.verbose()) print_basis();
-	}
-
-	// update basis inverse
-	A_row_by_index_accessor  a_accessor =
-	  boost::bind (A_accessor( qp_A, 0, qp_n), _1, new_row);
-	std::copy( A_row_by_index_iterator( B_O.begin(), a_accessor),
-		   A_row_by_index_iterator( B_O.end  (), a_accessor),
-		   tmp_x.begin());
-	inv_M_B.leave_slack( tmp_x.begin());
+        // leave slack variable [ out: i ]
+        in_B  [ B_S.back()] = k;      // former last var moves to position k
+        in_B  [ i         ] = -1;     // i gets deleted
+           B_S[ k] = B_S.back(); B_S.pop_back();
+           S_B[ k] = S_B.back(); S_B.pop_back();
+
+        // enter inequality constraint [ in: i ]
+        int new_row = slack_A[ i-qp_n].first;
+
+        A_Cj[ C.size()] = ( j < qp_n ? ET( *((*(qp_A + j))+ new_row)) : et0);
+
+         b_C[ C.size()] = ET( *(qp_b+ new_row));
+        in_C[ new_row ] = static_cast<int>(C.size());
+           C.push_back( new_row);
+
+        // diagnostic output
+        CGAL_qpe_debug {
+            if ( vout2.verbose()) print_basis();
+        }
+
+        // update basis inverse
+        A_row_by_index_accessor  a_accessor =
+          boost::bind (A_accessor( qp_A, 0, qp_n), _1, new_row);
+        std::copy( A_row_by_index_iterator( B_O.begin(), a_accessor),
+                   A_row_by_index_iterator( B_O.end  (), a_accessor),
+                   tmp_x.begin());
+        inv_M_B.leave_slack( tmp_x.begin());
     }
 
     // notify pricing strategy
@@ -1960,55 +1960,55 @@ leave_variable( )
     i = -1;
 }
 
-// update of the vectors w and r for U_2 with upper bounding, note that we 
+// update of the vectors w and r for U_2 with upper bounding, note that we
 // need the headings C, S_{B}, B_{O} before they are updated
-template < typename Q, typename ET, typename Tags >                            // Standard form      
+template < typename Q, typename ET, typename Tags >                            // Standard form
 void  QP_solver<Q, ET, Tags>::
 leave_variable_original_upd_w_r(Tag_true )
 {
 }
 
-// update of the vectors w and r for U_2 with upper bounding, note that we 
+// update of the vectors w and r for U_2 with upper bounding, note that we
 // need the headings C, S_{B}, B_{O} before they are updated
-template < typename Q, typename ET, typename Tags >                            // Upper bounded      
+template < typename Q, typename ET, typename Tags >                            // Upper bounded
 void  QP_solver<Q, ET, Tags>::
 leave_variable_original_upd_w_r(Tag_false )
 {
 
     ET      x_i = (ratio_test_bound_index == LOWER) ? *(qp_l+i) : *(qp_u+i);
-    
+
     // Note: w needs to be updated before r_C, r_S_B
     update_w_r_B_O__i(x_i);
-    update_r_C_r_S_B__i(x_i);    
-    
+    update_r_C_r_S_B__i(x_i);
+
     // remove r_beta_O(i) from r_B_O
     if (!check_tag(Is_linear())) { // (kf.)
       r_B_O[in_B[i]] = r_B_O.back();
       r_B_O.pop_back();
     }
-    
+
     // update x_O_v_i
     x_O_v_i[i] = ratio_test_bound_index;
 }
 
-// update of the vectors w and r for U_4 with upper bounding, note that we 
+// update of the vectors w and r for U_4 with upper bounding, note that we
 // need the headings C, S_{B}, B_{O} before they are updated
-template < typename Q, typename ET, typename Tags >                            // Standard form      
+template < typename Q, typename ET, typename Tags >                            // Standard form
 void  QP_solver<Q, ET, Tags>::
 leave_variable_slack_upd_w_r(Tag_true )
 {
 }
 
-// update of the vectors w and r for U_4 with upper bounding, note that we 
+// update of the vectors w and r for U_4 with upper bounding, note that we
 // need the headings C, S_{B}, B_{O} before they are updated
-template < typename Q, typename ET, typename Tags >                            // Upper bounded      
+template < typename Q, typename ET, typename Tags >                            // Upper bounded
 void  QP_solver<Q, ET, Tags>::
 leave_variable_slack_upd_w_r(Tag_false )
 {
-    
+
     // append r_gamma_S_B(sigma_i) to r_C
     r_C.push_back(r_S_B[in_B[i]]);
-    
+
     // remove r_gamma_S_B(sigma_i) from r_S_B
     r_S_B[in_B[i]] = r_S_B.back();
     r_S_B.pop_back();
@@ -2021,9 +2021,9 @@ void QP_solver<Q, ET, Tags>::
 z_replace_variable( )
 {
     CGAL_qpe_debug {
-	vout2 <<   "<--> nonbasic (" << variable_type( j) << ") variable " << j
-	      << " z_replaces basic (" << variable_type( i) << ") variable " << i
-	      << std::endl << std::endl;
+        vout2 <<   "<--> nonbasic (" << variable_type( j) << ") variable " << j
+              << " z_replaces basic (" << variable_type( i) << ") variable " << i
+              << std::endl << std::endl;
     }
 
     // replace variable
@@ -2056,17 +2056,17 @@ z_replace_variable( Tag_false)
 
     // update basis and basis inverse
     if ( leave_original) {
-        if ( enter_original) {               
-	    z_replace_variable_original_by_original();
-	} else {                             
-	    z_replace_variable_original_by_slack();
-	}
+        if ( enter_original) {
+            z_replace_variable_original_by_original();
+        } else {
+            z_replace_variable_original_by_slack();
+        }
     } else {
         if ( enter_original) {
-	    z_replace_variable_slack_by_original();
-	} else {
-	    z_replace_variable_slack_by_slack();
-	}
+            z_replace_variable_slack_by_original();
+        } else {
+            z_replace_variable_slack_by_slack();
+        }
     }
     strategyP->leaving_basis( i);
 }
@@ -2079,7 +2079,7 @@ z_replace_variable_original_by_original(
 {
     // updates for the upper bounded case
     z_replace_variable_original_by_original_upd_w_r(Is_nonnegative());
-    
+
     int  k = in_B[ i];
 
     // replace original variable [ in: j | out: i ]
@@ -2091,49 +2091,49 @@ z_replace_variable_original_by_original(
 
     // diagnostic output
     CGAL_qpe_debug {
-	if ( vout2.verbose()) print_basis();
+        if ( vout2.verbose()) print_basis();
     }
-	
+
     // compute s_delta
     D_pairwise_accessor  d_accessor( qp_D, j);
-    ET                   s_delta =d_accessor(j)-d_accessor(i); 
-    	    
+    ET                   s_delta =d_accessor(j)-d_accessor(i);
+
     // update basis inverse
     // note: (-1)\hat{\nu} is stored instead of \hat{\nu}
-    inv_M_B.z_replace_original_by_original( q_lambda.begin(), q_x_O.begin(), 
+    inv_M_B.z_replace_original_by_original( q_lambda.begin(), q_x_O.begin(),
         s_delta, -nu, k);
 
 }
 
-// update of the vectors w and r for U_Z_1 with upper bounding, note that we 
+// update of the vectors w and r for U_Z_1 with upper bounding, note that we
 // need the headings C, S_{B}, B_{O} before they are updated
-template < typename Q, typename ET, typename Tags >                            // Standard form      
+template < typename Q, typename ET, typename Tags >                            // Standard form
 void  QP_solver<Q, ET, Tags>::
 z_replace_variable_original_by_original_upd_w_r(Tag_true )
 {
 }
 
-// update of the vectors w and r for U_Z_1 with upper bounding, note that we 
+// update of the vectors w and r for U_Z_1 with upper bounding, note that we
 // need the headings C, S_{B}, B_{O} before they are updated
-template < typename Q, typename ET, typename Tags >                           
-// Upper bounded      
+template < typename Q, typename ET, typename Tags >
+// Upper bounded
 void  QP_solver<Q, ET, Tags>::
 z_replace_variable_original_by_original_upd_w_r(Tag_false )
 {
 
     ET      x_j = nonbasic_original_variable_value(j);
     ET      x_i = (ratio_test_bound_index == LOWER) ? *(qp_l+i) : *(qp_u+i);
-    
+
     // Note: w needs to be updated before r_C, r_S_B
     update_w_r_B_O__j_i(x_j, x_i);
     update_r_C_r_S_B__j_i(x_j, x_i);
-    
-    // replace r_beta_O(i) with w_j    
+
+    // replace r_beta_O(i) with w_j
     r_B_O[in_B[i]] = w[j];
-    
+
     // update x_O_v_i
     x_O_v_i[j] = BASIC;
-    x_O_v_i[i] = ratio_test_bound_index;    
+    x_O_v_i[i] = ratio_test_bound_index;
 }
 
 
@@ -2144,7 +2144,7 @@ z_replace_variable_original_by_slack( )
 {
     // updates for the upper bounded case
     z_replace_variable_original_by_slack_upd_w_r(Is_nonnegative());
-    
+
     int  k = in_B[ i];
 
     // leave original variable [ out: i ]
@@ -2168,10 +2168,10 @@ z_replace_variable_original_by_slack( )
     in_C[ C.back()] = l;
     in_C[ old_row ] = -1;
        C.pop_back();
-    
+
     // diagnostic output
     CGAL_qpe_debug {
-	if ( vout2.verbose()) print_basis();
+        if ( vout2.verbose()) print_basis();
     }
 
     // update basis inverse
@@ -2181,7 +2181,7 @@ z_replace_variable_original_by_slack( )
 
 }
 
-// update of the vectors w and r for U_Z_2 with upper bounding, note that we 
+// update of the vectors w and r for U_Z_2 with upper bounding, note that we
 // need the headings C, S_{B}, B_{O} before they are updated
 template < typename Q, typename ET, typename Tags >                         // Standard form
 void  QP_solver<Q, ET, Tags>::
@@ -2190,7 +2190,7 @@ z_replace_variable_original_by_slack_upd
 }
 
 
-// update of the vectors w and r for U_Z_2 with upper bounding, note that we 
+// update of the vectors w and r for U_Z_2 with upper bounding, note that we
 // need the headings C, S_{B}, B_{O} before they are updated
 template < typename Q, typename ET, typename Tags >                         // Upper bounded
 void  QP_solver<Q, ET, Tags>::
@@ -2198,26 +2198,26 @@ z_replace_variable_original_by_slack_upd
 {
 
     ET      x_i = (ratio_test_bound_index == LOWER) ? *(qp_l+i) : *(qp_u+i);
-    
+
     // Note: w needs to be updated before r_C, r_S_B
     update_w_r_B_O__i(x_i);
     update_r_C_r_S_B__i(x_i);
-    
+
     int     sigma_j = slack_A[ j-qp_n].first;
-    
+
     // append r_gamma_C(sigma_j) to r_S_B
     r_S_B.push_back(r_C[in_C[sigma_j]]);
-    
+
     // remove r_gamma_C(sigma_j) from r_C
     r_C[in_C[sigma_j]] = r_C.back();
     r_C.pop_back();
-    
-    // remove r_beta_O(i) from r_B_O    
+
+    // remove r_beta_O(i) from r_B_O
     if (!check_tag(Is_linear())) { // (kf.)
       r_B_O[in_B[i]] = r_B_O.back();
       r_B_O.pop_back();
     }
-    
+
     // update x_O_v_i
     x_O_v_i[i] = ratio_test_bound_index;
 }
@@ -2230,29 +2230,29 @@ z_replace_variable_slack_by_original( )
 {
     // updates for the upper bounded case
     z_replace_variable_slack_by_original_upd_w_r(Is_nonnegative());
-    
+
     int  k = in_B[ i];
     if (minus_c_B.size() <= B_O.size()) {  // Note: minus_c_B and the
-					   // containers resized in this
-					   // if-block are only enlarged
-					   // and never made smaller
-					   // (while B_O always has the
-					   // correct size). We check here
-					   // whether we need to enlarge
-					   // them.
+                                           // containers resized in this
+                                           // if-block are only enlarged
+                                           // and never made smaller
+                                           // (while B_O always has the
+                                           // correct size). We check here
+                                           // whether we need to enlarge
+                                           // them.
       CGAL_qpe_assertion(minus_c_B.size() == B_O.size());
-	 minus_c_B.push_back(et0);
-	     q_x_O.push_back(et0);
-	   tmp_x  .push_back(et0);
-	   tmp_x_2.push_back(et0);
-	  two_D_Bj.push_back(et0);
-	     x_B_O.push_back(et0);
+         minus_c_B.push_back(et0);
+             q_x_O.push_back(et0);
+           tmp_x  .push_back(et0);
+           tmp_x_2.push_back(et0);
+          two_D_Bj.push_back(et0);
+             x_B_O.push_back(et0);
     }
 
     // enter original variable [ in: j ]
 
     minus_c_B[ B_O.size()] = -ET( *(qp_c+ j));
-    
+
 
     in_B  [ j] = static_cast<int>(B_O.size());
        B_O.push_back( j);
@@ -2262,7 +2262,7 @@ z_replace_variable_slack_by_original( )
        B_S[ k         ] = B_S.back();
        S_B[ k         ] = S_B.back();
     in_B  [ B_S.back()] = k;
-    in_B  [ i         ] = -1; 
+    in_B  [ i         ] = -1;
        B_S.pop_back();
        S_B.pop_back();
 
@@ -2272,10 +2272,10 @@ z_replace_variable_slack_by_original( )
      b_C[ C.size()] = ET( *(qp_b+ new_row));
     in_C[ new_row ] = static_cast<int>(C.size());
        C.push_back( new_row);
-    
+
     // diagnostic output
     CGAL_qpe_debug {
-	if ( vout2.verbose()) print_basis();
+        if ( vout2.verbose()) print_basis();
     }
 
     // update basis inverse
@@ -2285,20 +2285,20 @@ z_replace_variable_slack_by_original( )
     A_row_by_index_accessor  a_accessor =
       boost::bind (A_accessor( qp_A, 0, qp_n), _1, new_row);
     std::copy( A_row_by_index_iterator( B_O.begin(), a_accessor),
-	       A_row_by_index_iterator( B_O.end  (), a_accessor),
-	       tmp_x.begin());
-    
-    
+               A_row_by_index_iterator( B_O.end  (), a_accessor),
+               tmp_x.begin());
+
+
     // prepare kappa
-    ET  kappa = d * ET(*((*(qp_A + j))+new_row)) 
+    ET  kappa = d * ET(*((*(qp_A + j))+new_row))
                 - inv_M_B.inner_product_x( tmp_x.begin(), q_x_O.begin());
-		
-	// note: (-1)/hat{\nu} is stored instead of \hat{\nu}	 
+
+        // note: (-1)/hat{\nu} is stored instead of \hat{\nu}
     inv_M_B.z_replace_slack_by_original( q_lambda.begin(), q_x_O.begin(),
-                                          tmp_x.begin(), kappa, -nu);    
+                                          tmp_x.begin(), kappa, -nu);
 }
 
-// update of the vectors w and r for U_Z_3 with upper bounding, note that we 
+// update of the vectors w and r for U_Z_3 with upper bounding, note that we
 // need the headings C, S_{B}, B_{O} before they are updated
 template < typename Q, typename ET, typename Tags >                            // Standard form
 void  QP_solver<Q, ET, Tags>::
@@ -2306,7 +2306,7 @@ z_replace_variable_slack_by_original_upd
 {
 }
 
-// update of the vectors w and r for U_Z_3 with upper bounding, note that we 
+// update of the vectors w and r for U_Z_3 with upper bounding, note that we
 // need the headings C, S_{B}, B_{O} before they are updated
 template < typename Q, typename ET, typename Tags >                             // Upper bounded
 void  QP_solver<Q, ET, Tags>::
@@ -2315,21 +2315,21 @@ z_replace_variable_slack_by_original_upd
 
     ET      x_j = nonbasic_original_variable_value(j);
 
-    // Note: w needs to be updated before r_C, r_S_B    
+    // Note: w needs to be updated before r_C, r_S_B
     update_w_r_B_O__j(x_j);
     update_r_C_r_S_B__j(x_j);
-        
+
     // append r_gamma_S_B(sigma_i) to r_C
     r_C.push_back(r_S_B[in_B[i]]);
-    
+
     // remove r_gamma_S_B(sigma_i) from r_S_B
     r_S_B[in_B[i]] = r_S_B.back();
     r_S_B.pop_back();
-    
-    // append w_j to r_B_O    
+
+    // append w_j to r_B_O
     if (!check_tag(Is_linear())) // (kf.)
       r_B_O.push_back(w[j]);
-    
+
     // update x_O_v_i
     x_O_v_i[j] = BASIC;
 }
@@ -2342,7 +2342,7 @@ z_replace_variable_slack_by_slack( )
 {
     // updates for the upper bounded case
     z_replace_variable_slack_by_slack_upd_w_r(Is_nonnegative());
-    
+
     int  k = in_B[ i];
 
     // replace slack variable [ in: j | out: i ]
@@ -2364,7 +2364,7 @@ z_replace_variable_slack_by_slack( )
 
     // diagnostic output
     CGAL_qpe_debug {
-	    if ( vout2.verbose()) print_basis();
+            if ( vout2.verbose()) print_basis();
     }
 
     // update basis inverse
@@ -2372,14 +2372,14 @@ z_replace_variable_slack_by_slack( )
     A_row_by_index_accessor  a_accessor =
       boost::bind ( A_accessor( qp_A, 0, qp_n), _1, new_row);
     std::copy( A_row_by_index_iterator( B_O.begin(), a_accessor),
-	       A_row_by_index_iterator( B_O.end  (), a_accessor),
-	       tmp_x.begin());
+               A_row_by_index_iterator( B_O.end  (), a_accessor),
+               tmp_x.begin());
 
 
     inv_M_B.z_replace_slack_by_slack( tmp_x.begin(), k);
 }
 
-// update of the vectors w and r for U_Z_4 with upper bounding, note that we 
+// update of the vectors w and r for U_Z_4 with upper bounding, note that we
 // need the headings C, S_{B}, B_{O} before they are updated
 template < typename Q, typename ET, typename Tags >                             // Standard form
 void  QP_solver<Q, ET, Tags>::
@@ -2388,17 +2388,17 @@ z_replace_variable_slack_by_slack_upd_w_
 }
 
 
-// update of the vectors w and r for U_Z_4 with upper bounding, note that we 
+// update of the vectors w and r for U_Z_4 with upper bounding, note that we
 // need the headings C, S_{B}, B_{O} before they are updated
 template < typename Q, typename ET, typename Tags >                             // Upper bounded
 void  QP_solver<Q, ET, Tags>::
 z_replace_variable_slack_by_slack_upd_w_r(Tag_false )
 {
-    
+
     int     sigma_j = slack_A[ j-qp_n].first;
-    
+
     // swap r_sigma_j in r_C with r_sigma_i in r_S_B
-    std::swap(r_C[in_C[sigma_j]], r_S_B[in_B[i]]);           
+    std::swap(r_C[in_C[sigma_j]], r_S_B[in_B[i]]);
 }
 
 // update of the vectors r_C and r_S_B with "x_j" column
@@ -2408,21 +2408,21 @@ update_r_C_r_S_B__j(ET& x_j)
 {
     // update of vector r_{C}
     A_by_index_accessor     a_accessor_j(*(qp_A + j));
-    
+
     A_by_index_iterator     A_C_j_it(C.begin(), a_accessor_j);
-    
+
     for (Value_iterator r_C_it = r_C.begin(); r_C_it != r_C.end();
                                                     ++r_C_it, ++A_C_j_it) {
-        *r_C_it -= x_j * ET(*A_C_j_it); 
+        *r_C_it -= x_j * ET(*A_C_j_it);
     }
-    
+
     // update of r_{S_{B}}
     A_by_index_iterator     A_S_B_j_it(S_B.begin(), a_accessor_j);
-        
+
     for (Value_iterator r_S_B_it = r_S_B.begin(); r_S_B_it != r_S_B.end();
                                                 ++r_S_B_it, ++A_S_B_j_it) {
         *r_S_B_it -= x_j * ET(*A_S_B_j_it);
-    }   
+    }
 }
 
 // update of the vectors r_C and r_S_B with "x_j" and "x_i" column
@@ -2433,22 +2433,22 @@ update_r_C_r_S_B__j_i(ET& x_j, ET& x_i)
     // update of vector r_{C}
     A_by_index_accessor     a_accessor_j(*(qp_A+j));
     A_by_index_accessor     a_accessor_i(*(qp_A+i));
-    
+
     A_by_index_iterator     A_C_j_it(C.begin(), a_accessor_j);
     A_by_index_iterator     A_C_i_it(C.begin(), a_accessor_i);
-    
+
     for (Value_iterator r_C_it = r_C.begin(); r_C_it != r_C.end();
                                         ++r_C_it, ++A_C_j_it, ++A_C_i_it) {
-        *r_C_it += (x_i * ET(*A_C_i_it)) - (x_j * ET(*A_C_j_it)); 
+        *r_C_it += (x_i * ET(*A_C_i_it)) - (x_j * ET(*A_C_j_it));
     }
-    
+
     // update of vector r_{S_{B}}
     A_by_index_iterator     A_S_B_j_it(S_B.begin(), a_accessor_j);
     A_by_index_iterator     A_S_B_i_it(S_B.begin(), a_accessor_i);
 
     for (Value_iterator r_S_B_it = r_S_B.begin(); r_S_B_it != r_S_B.end();
                                     ++r_S_B_it, ++A_S_B_j_it, ++A_S_B_i_it) {
-        *r_S_B_it += (x_i * ET(*A_S_B_i_it)) - (x_j * ET(*A_S_B_j_it)); 
+        *r_S_B_it += (x_i * ET(*A_S_B_i_it)) - (x_j * ET(*A_S_B_j_it));
     }
 }
 
@@ -2460,19 +2460,19 @@ update_r_C_r_S_B__i(ET& x_i)
     // update of vector r_{C}
     A_by_index_accessor     a_accessor_i(*(qp_A+i));
     A_by_index_iterator     A_C_i_it(C.begin(), a_accessor_i);
-    
-    for (Value_iterator r_C_it = r_C.begin(); r_C_it != r_C.end(); 
+
+    for (Value_iterator r_C_it = r_C.begin(); r_C_it != r_C.end();
                                                     ++r_C_it, ++A_C_i_it) {
-        *r_C_it += x_i * ET(*A_C_i_it); 
+        *r_C_it += x_i * ET(*A_C_i_it);
     }
-    
+
     // update of r_{S_{B}}
     A_by_index_iterator     A_S_B_i_it(S_B.begin(), a_accessor_i);
-    
+
     for (Value_iterator r_S_B_it = r_S_B.begin(); r_S_B_it != r_S_B.end();
                                                 ++r_S_B_it, ++A_S_B_i_it) {
         *r_S_B_it += x_i * ET(*A_S_B_i_it);
-    }   
+    }
 }
 
 
@@ -2490,16 +2490,16 @@ update_w_r_B_O__j(ET& x_j)
   // Note: we only do anything it we are dealing with a QP.
   if (!check_tag(Is_linear())) {
     D_pairwise_accessor     d_accessor_j(qp_D, j);
-    
+
     // update of vector w:
     for (int it = 0; it < qp_n; ++it)
       w[it] -= d_accessor_j(it) * x_j;
-    
+
     // update of r_B_O:
     D_pairwise_iterator D_B_O_j_it(B_O.begin(), d_accessor_j);
     for (Value_iterator r_B_O_it = r_B_O.begin();
-	 r_B_O_it != r_B_O.end();
-	 ++r_B_O_it, ++D_B_O_j_it)
+         r_B_O_it != r_B_O.end();
+         ++r_B_O_it, ++D_B_O_j_it)
         *r_B_O_it -= *D_B_O_j_it * x_j;
   }
 }
@@ -2516,17 +2516,17 @@ update_w_r_B_O__j_i(ET& x_j, ET& x_i)
   if (!check_tag(Is_linear())) {
     D_pairwise_accessor     d_accessor_i(qp_D, i);
     D_pairwise_accessor     d_accessor_j(qp_D, j);
-    
+
     // update of vector w
     for (int it = 0; it < qp_n; ++it)
         w[it] += (d_accessor_i(it) * x_i) - (d_accessor_j(it) * x_j);
-    
+
     // update of r_B_O
     D_pairwise_iterator D_B_O_j_it(B_O.begin(), d_accessor_j);
     D_pairwise_iterator D_B_O_i_it(B_O.begin(), d_accessor_i);
     for (Value_iterator r_B_O_it = r_B_O.begin();
-	 r_B_O_it != r_B_O.end();
-	 ++r_B_O_it, ++D_B_O_j_it, ++D_B_O_i_it)
+         r_B_O_it != r_B_O.end();
+         ++r_B_O_it, ++D_B_O_j_it, ++D_B_O_i_it)
         *r_B_O_it += (*D_B_O_i_it * x_i) - (*D_B_O_j_it * x_j);
   }
 }
@@ -2543,15 +2543,15 @@ update_w_r_B_O__i(ET& x_i)
 
     // update of vector w:
     D_pairwise_accessor     d_accessor_i(qp_D, i);
-    
+
     for (int it = 0; it < qp_n; ++it)
         w[it] += d_accessor_i(it) * x_i;
-    
+
     // update of r_B_O:
     D_pairwise_iterator D_B_O_i_it(B_O.begin(), d_accessor_i);
     for (Value_iterator r_B_O_it = r_B_O.begin();
-	 r_B_O_it != r_B_O.end();
-	 ++r_B_O_it, ++D_B_O_i_it)
+         r_B_O_it != r_B_O.end();
+         ++r_B_O_it, ++D_B_O_i_it)
         *r_B_O_it += *D_B_O_i_it * x_i;
   }
 }
@@ -2564,8 +2564,8 @@ compute_solution(Tag_true)
 {
   // compute current solution, original variables and lambdas
   inv_M_B.multiply( b_C.begin(), minus_c_B.begin(),
-		    lambda.begin(), x_B_O.begin());
-  
+                    lambda.begin(), x_B_O.begin());
+
   // compute current solution, slack variables
   compute__x_B_S(no_ineq, Is_nonnegative());
 }
@@ -2575,29 +2575,29 @@ compute_solution(Tag_true)
 template < typename Q, typename ET, typename Tags >                                      // Upper bounded
 void  QP_solver<Q, ET, Tags>::
 compute_solution(Tag_false)
-{ 
+{
   // compute the difference b_C - r_C
   std::transform(b_C.begin(), b_C.begin()+C.size(), // Note: r_C.size() ==
-						    // C.size() always holds,
-						    // whereas b_C.size() >=
-						    // C.size() in general.
-		 r_C.begin(),  tmp_l.begin(), std::minus<ET>());
-        
+                                                    // C.size() always holds,
+                                                    // whereas b_C.size() >=
+                                                    // C.size() in general.
+                 r_C.begin(),  tmp_l.begin(), std::minus<ET>());
+
   // compute the difference minus_c_B - r_B_O:
   if (is_phaseII && is_QP) {
-    std::transform(minus_c_B.begin(), minus_c_B.begin() + B_O.size(), 
-		   r_B_O.begin(), tmp_x.begin(), std::minus<ET>());
-    
+    std::transform(minus_c_B.begin(), minus_c_B.begin() + B_O.size(),
+                   r_B_O.begin(), tmp_x.begin(), std::minus<ET>());
+
     // compute current solution, original variables and lambdas:
     inv_M_B.multiply( tmp_l.begin(), tmp_x.begin(),
-		      lambda.begin(), x_B_O.begin());
+                      lambda.begin(), x_B_O.begin());
   } else {                                          // r_B_O == 0
-    
-    // compute current solution, original variables and lambdas        
+
+    // compute current solution, original variables and lambdas
     inv_M_B.multiply( tmp_l.begin(), minus_c_B.begin(),
-		      lambda.begin(), x_B_O.begin());
+                      lambda.begin(), x_B_O.begin());
   }
-  
+
   // compute current solution, slack variables
   compute__x_B_S( no_ineq, Is_nonnegative());
 }
@@ -2608,7 +2608,7 @@ multiply__A_S_BxB_O(Value_iterator in, V
 {
   // initialize with zero vector
   std::fill_n( out, B_S.size(), et0);
-  
+
   // foreach original column of A in B_O (artificial columns are zero in S_B
   A_column              a_col;                             // except special)
   Index_const_iterator  row_it, col_it;
@@ -2617,24 +2617,24 @@ multiply__A_S_BxB_O(Value_iterator in, V
   for ( col_it = B_O.begin(); col_it != B_O.end(); ++col_it, ++in) {
     const ET in_value = *in;
     out_it   = out;
-    
-    if ( *col_it < qp_n) {	                        // original variable
+
+    if ( *col_it < qp_n) {                                // original variable
       a_col = *(qp_A+ *col_it);
-      
+
       // foreach row of A in S_B
       for ( row_it = S_B.begin(); row_it != S_B.end(); ++row_it,
-	      ++out_it) {
-	A_entry x = a_col[*row_it];
-	*out_it += ET(x) * in_value;
+              ++out_it) {
+        A_entry x = a_col[*row_it];
+        *out_it += ET(x) * in_value;
       }
     } else {
       if ( *col_it == art_s_i) {                  // special artificial
-	
-	// foreach row of 'art_s'
-	for ( row_it = S_B.begin(); row_it != S_B.end(); ++row_it,
-		++out_it) {
-	  *out_it += ET( art_s[ *row_it]) * in_value;
-	}
+
+        // foreach row of 'art_s'
+        for ( row_it = S_B.begin(); row_it != S_B.end(); ++row_it,
+                ++out_it) {
+          *out_it += ET( art_s[ *row_it]) * in_value;
+        }
       }
     }
   }
@@ -2657,7 +2657,7 @@ check_r_C(Tag_false) const
     // compute t_r_C from scratch
     t_r_C.resize(C.size(), et0);
     multiply__A_CxN_O(t_r_C.begin());
-    
+
     // compare r_C and the from scratch computed t_r_C
     bool failed = false;
     int count = 0;
@@ -2688,7 +2688,7 @@ check_r_S_B(Tag_false) const
     // compute t_r_S_B from scratch
     t_r_S_B.resize(S_B.size(), et0);
     multiply__A_S_BxN_O(t_r_S_B.begin());
-    
+
     // compare r_S_B and the from scratch computed t_r_S_B
     bool failed = false;
     int count = 0;
@@ -2715,7 +2715,7 @@ multiply__2D_B_OxN_O(Value_iterator out)
 
     Value_iterator          out_it;
     ET                      value;
-    
+
     // foreach entry in r_B_O
     out_it = out;
     for (Index_const_iterator row_it = B_O.begin(); row_it != B_O.end();
@@ -2726,7 +2726,7 @@ multiply__2D_B_OxN_O(Value_iterator out)
                 value = nonbasic_original_variable_value(i);
                 *out_it += d_accessor_i(i) * value;
             }
-        }    
+        }
     }
 }
 
@@ -2747,7 +2747,7 @@ check_r_B_O(Tag_false) const
     // compute t_r_B_O from scratch
     t_r_B_O.resize(B_O.size(), et0);
     multiply__2D_B_OxN_O(t_r_B_O.begin());
-    
+
     // compare r_B_O and the from scratch computed t_r_B_O
     bool failed = false;
     int count = 0;
@@ -2758,7 +2758,7 @@ check_r_B_O(Tag_false) const
             failed = true;
         }
     }
-    return (!failed);   
+    return (!failed);
 }
 
 // compares the updated vector w with t_w=2D_{O,N_O}*x_N_O
@@ -2778,7 +2778,7 @@ check_w(Tag_false) const
     // compute t_w from scratch
     t_w.resize( qp_n, et0);
     multiply__2D_OxN_O(t_w.begin());
-    
+
     // compare w and the from scratch computed t_w
     bool  failed = false;
     Value_const_iterator    t_w_it = t_w.begin();
@@ -2798,23 +2798,23 @@ check_basis_inverse()
 {
     // diagnostic output
     CGAL_qpe_debug {
-	vout4 << "check: " << std::flush;
+        vout4 << "check: " << std::flush;
     }
     bool ok;
     if (is_phaseI) {
-    	ok = check_basis_inverse(Tag_true());
+            ok = check_basis_inverse(Tag_true());
     } else {
         ok = check_basis_inverse( Is_linear());
     }
 
     // diagnostic output
     CGAL_qpe_debug {
-	if ( ok) {
-	    vout4 << "check ok";
-	} else {
-	    vout4 << "check failed";
-	}
-	vout4 << std::endl;
+        if ( ok) {
+            vout4 << "check ok";
+        } else {
+            vout4 << "check failed";
+        }
+        vout4 << std::endl;
     }
 
     return ok;
@@ -2825,7 +2825,7 @@ bool  QP_solver<Q, ET, Tags>::
 check_basis_inverse( Tag_true)
 {
     CGAL_qpe_debug {
-	vout4 << std::endl;
+        vout4 << std::endl;
     }
     bool res = true;
     unsigned int    row, rows =   static_cast<unsigned int>(C.size());
@@ -2833,37 +2833,37 @@ check_basis_inverse( Tag_true)
     Index_iterator  i_it = B_O.begin();
     Value_iterator  q_it;
 
-    
+
     // BG: is this a real check?? How does the special artifical
     // variable come in, e.g.? OK: it comes in through
     // ratio_test_init__A_Cj
     for ( col = 0; col < cols; ++col, ++i_it) {
-	ratio_test_init__A_Cj( tmp_l.begin(), *i_it,
-			       no_ineq);
-	inv_M_B.multiply_x( tmp_l.begin(), q_x_O.begin());
-
-	CGAL_qpe_debug {
-       	    if ( vout4.verbose()) {
-		std::copy( tmp_l.begin(), tmp_l.begin()+rows,
-			   std::ostream_iterator<ET>( vout4.out(), " "));
-		vout4.out() << " ||  ";
-		std::copy( q_x_O.begin(), q_x_O.begin()+cols,
-			   std::ostream_iterator<ET>( vout4.out(), " "));
-		vout4.out() << std::endl;
-	    }
-	}
-
-	q_it = q_x_O.begin();
-	for ( row = 0; row < rows; ++row, ++q_it) {
-	    if ( *q_it != ( row == col ? d : et0)) {
-		if ( ! vout4.verbose()) {
-		    std::cerr << std::endl << "basis-inverse check: ";
-		}
-		std::cerr << "failed ( row=" << row << " | col=" << col << " )"
-		          << std::endl;
-		res = false;
-	    }
-	}
+        ratio_test_init__A_Cj( tmp_l.begin(), *i_it,
+                               no_ineq);
+        inv_M_B.multiply_x( tmp_l.begin(), q_x_O.begin());
+
+        CGAL_qpe_debug {
+                   if ( vout4.verbose()) {
+                std::copy( tmp_l.begin(), tmp_l.begin()+rows,
+                           std::ostream_iterator<ET>( vout4.out(), " "));
+                vout4.out() << " ||  ";
+                std::copy( q_x_O.begin(), q_x_O.begin()+cols,
+                           std::ostream_iterator<ET>( vout4.out(), " "));
+                vout4.out() << std::endl;
+            }
+        }
+
+        q_it = q_x_O.begin();
+        for ( row = 0; row < rows; ++row, ++q_it) {
+            if ( *q_it != ( row == col ? d : et0)) {
+                if ( ! vout4.verbose()) {
+                    std::cerr << std::endl << "basis-inverse check: ";
+                }
+                std::cerr << "failed ( row=" << row << " | col=" << col << " )"
+                          << std::endl;
+                res = false;
+            }
+        }
     }
 
     return res;
@@ -2880,73 +2880,73 @@ check_basis_inverse( Tag_false)
     Index_iterator  i_it;
 
     CGAL_qpe_debug {
-	vout4 << std::endl;
+        vout4 << std::endl;
     }
     // left part of M_B
     std::fill_n( tmp_l.begin(), rows, et0);
     for ( col = 0; col < rows; ++col) {
 
-	// get column of A_B^T (i.e. row of A_B)
-	row = ( has_ineq ? C[ col] : col);
-	v_it = tmp_x.begin();
-	for ( i_it = B_O.begin(); i_it != B_O.end(); ++i_it, ++v_it) {
-	    *v_it = ( *i_it < qp_n ? *((*(qp_A+ *i_it))+ row) :  // original
-		      art_A[ *i_it - qp_n].first != static_cast<int>(row) ? et0 :// artific.
-		      ( art_A[ *i_it - qp_n].second ? -et1 : et1));
-	}
-// 	if ( art_s_i >= 0) {              // special artificial variable?
-// 	  CGAL_qpe_assertion (static_cast<int>(in_B.size()) == art_s_i+1);  
-// 	  // the special artificial variable has never been
-// 	  // removed from the basis, consider it
-// 	  tmp_x[ in_B[ art_s_i]] = art_s[ row];
-// 	} 
+        // get column of A_B^T (i.e. row of A_B)
+        row = ( has_ineq ? C[ col] : col);
+        v_it = tmp_x.begin();
+        for ( i_it = B_O.begin(); i_it != B_O.end(); ++i_it, ++v_it) {
+            *v_it = ( *i_it < qp_n ? *((*(qp_A+ *i_it))+ row) :  // original
+                      art_A[ *i_it - qp_n].first != static_cast<int>(row) ? et0 :// artific.
+                      ( art_A[ *i_it - qp_n].second ? -et1 : et1));
+        }
+//         if ( art_s_i >= 0) {              // special artificial variable?
+//           CGAL_qpe_assertion (static_cast<int>(in_B.size()) == art_s_i+1);
+//           // the special artificial variable has never been
+//           // removed from the basis, consider it
+//           tmp_x[ in_B[ art_s_i]] = art_s[ row];
+//         }
 // BG: currently, this check only runs in phase II, where we have no
 // articficials
-	CGAL_qpe_assertion (art_s_i < 0);
-	
-	inv_M_B.multiply( tmp_l.begin(), tmp_x.begin(),
-			  q_lambda.begin(), q_x_O.begin());
-
-	CGAL_qpe_debug {
-	    if ( vout4.verbose()) {
-		std::copy( tmp_l.begin(), tmp_l.begin()+rows,
-			   std::ostream_iterator<ET>( vout4.out(), " "));
-		vout4.out() << "| ";
-		std::copy( tmp_x.begin(), tmp_x.begin()+cols,
-			   std::ostream_iterator<ET>( vout4.out(), " "));
-		vout4.out() << " ||  ";
-		std::copy( q_lambda.begin(), q_lambda.begin()+rows,
-			   std::ostream_iterator<ET>( vout4.out(), " "));
-		vout4.out() << " |  ";
-		std::copy( q_x_O.begin(), q_x_O.begin()+cols,
-			   std::ostream_iterator<ET>( vout4.out(), " "));
-		vout4.out() << std::endl;
-	    }
-	}
-
-	v_it = q_lambda.begin();
-	for ( row = 0; row < rows; ++row, ++v_it) {
-	    if ( *v_it != ( row == col ? d : et0)) {
-		if ( ! vout4.verbose()) {
-		    std::cerr << std::endl << "basis-inverse check: ";
-		}
-		std::cerr << "failed ( row=" << row << " | col=" << col << " )"
-		          << std::endl;
-		//		return false;
-		res = false;
-	    }
-	}
-	v_it = std::find_if( q_x_O.begin(), q_x_O.begin()+cols,
-			     boost::bind2nd( std::not_equal_to<ET>(), et0));
-	if ( v_it != q_x_O.begin()+cols) {
-	    if ( ! vout4.verbose()) {
-		std::cerr << std::endl << "basis-inverse check: ";
-	    }
-	    std::cerr << "failed ( row=" << rows+(v_it-q_x_O.begin())
-		      << " | col=" << col << " )" << std::endl;
-	    // ToDo: return false;
-	    res = false;
-	}
+        CGAL_qpe_assertion (art_s_i < 0);
+
+        inv_M_B.multiply( tmp_l.begin(), tmp_x.begin(),
+                          q_lambda.begin(), q_x_O.begin());
+
+        CGAL_qpe_debug {
+            if ( vout4.verbose()) {
+                std::copy( tmp_l.begin(), tmp_l.begin()+rows,
+                           std::ostream_iterator<ET>( vout4.out(), " "));
+                vout4.out() << "| ";
+                std::copy( tmp_x.begin(), tmp_x.begin()+cols,
+                           std::ostream_iterator<ET>( vout4.out(), " "));
+                vout4.out() << " ||  ";
+                std::copy( q_lambda.begin(), q_lambda.begin()+rows,
+                           std::ostream_iterator<ET>( vout4.out(), " "));
+                vout4.out() << " |  ";
+                std::copy( q_x_O.begin(), q_x_O.begin()+cols,
+                           std::ostream_iterator<ET>( vout4.out(), " "));
+                vout4.out() << std::endl;
+            }
+        }
+
+        v_it = q_lambda.begin();
+        for ( row = 0; row < rows; ++row, ++v_it) {
+            if ( *v_it != ( row == col ? d : et0)) {
+                if ( ! vout4.verbose()) {
+                    std::cerr << std::endl << "basis-inverse check: ";
+                }
+                std::cerr << "failed ( row=" << row << " | col=" << col << " )"
+                          << std::endl;
+                //                return false;
+                res = false;
+            }
+        }
+        v_it = std::find_if( q_x_O.begin(), q_x_O.begin()+cols,
+                             boost::bind2nd( std::not_equal_to<ET>(), et0));
+        if ( v_it != q_x_O.begin()+cols) {
+            if ( ! vout4.verbose()) {
+                std::cerr << std::endl << "basis-inverse check: ";
+            }
+            std::cerr << "failed ( row=" << rows+(v_it-q_x_O.begin())
+                      << " | col=" << col << " )" << std::endl;
+            // ToDo: return false;
+            res = false;
+        }
     }
     vout4 << "= = = = = = = = = =" << std::endl;
 
@@ -2954,59 +2954,59 @@ check_basis_inverse( Tag_false)
     if ( is_phaseI) std::fill_n( tmp_x.begin(), B_O.size(), et0);
     i_it = B_O.begin();
     for ( col = 0; col < cols; ++col, ++i_it) {
-	ratio_test_init__A_Cj  ( tmp_l.begin(), *i_it, 
-				 no_ineq);
-	ratio_test_init__2_D_Bj( tmp_x.begin(), *i_it, Tag_false());
-	inv_M_B.multiply( tmp_l.begin(), tmp_x.begin(),
-			  q_lambda.begin(), q_x_O.begin());
-
-	CGAL_qpe_debug {
-	    if ( vout4.verbose()) {
-		std::copy( tmp_l.begin(), tmp_l.begin()+rows,
-			   std::ostream_iterator<ET>( vout4.out(), " "));
-		vout4.out() << "| ";
-		std::copy( tmp_x.begin(), tmp_x.begin()+cols,
-			   std::ostream_iterator<ET>( vout4.out(), " "));
-		vout4.out() << " ||  ";
-		std::copy( q_lambda.begin(), q_lambda.begin()+rows,
-			   std::ostream_iterator<ET>( vout4.out(), " "));
-		vout4.out() << " |  ";
-		std::copy( q_x_O.begin(), q_x_O.begin()+cols,
-			   std::ostream_iterator<ET>( vout4.out(), " "));
-		vout4.out() << std::endl;
-	    }
-	}
-
-	v_it = std::find_if( q_lambda.begin(), q_lambda.begin()+rows,
-			     boost::bind2nd( std::not_equal_to<ET>(), et0));
-	if ( v_it != q_lambda.begin()+rows) {
-	    if ( ! vout4.verbose()) {
-		std::cerr << std::endl << "basis-inverse check: ";
-	    }
-	    std::cerr << "failed ( row=" << v_it-q_lambda.begin()
-		      << " | col=" << col << " )" << std::endl;
-	    //	    return false;
-	    res = false;
-	}
-	v_it = q_x_O.begin();
-	for ( row = 0; row < cols; ++row, ++v_it) {
-	    if ( *v_it != ( row == col ? d : et0)) {
-		if ( ! vout4.verbose()) {
-		    std::cerr << std::endl << "basis-inverse check: ";
-		}
-		std::cerr << "failed ( row=" << row+rows << " | col="
-			  << col << " )" << std::endl;
-		//		return false;
-		res = false;
-	    }
-	}
+        ratio_test_init__A_Cj  ( tmp_l.begin(), *i_it,
+                                 no_ineq);
+        ratio_test_init__2_D_Bj( tmp_x.begin(), *i_it, Tag_false());
+        inv_M_B.multiply( tmp_l.begin(), tmp_x.begin(),
+                          q_lambda.begin(), q_x_O.begin());
+
+        CGAL_qpe_debug {
+            if ( vout4.verbose()) {
+                std::copy( tmp_l.begin(), tmp_l.begin()+rows,
+                           std::ostream_iterator<ET>( vout4.out(), " "));
+                vout4.out() << "| ";
+                std::copy( tmp_x.begin(), tmp_x.begin()+cols,
+                           std::ostream_iterator<ET>( vout4.out(), " "));
+                vout4.out() << " ||  ";
+                std::copy( q_lambda.begin(), q_lambda.begin()+rows,
+                           std::ostream_iterator<ET>( vout4.out(), " "));
+                vout4.out() << " |  ";
+                std::copy( q_x_O.begin(), q_x_O.begin()+cols,
+                           std::ostream_iterator<ET>( vout4.out(), " "));
+                vout4.out() << std::endl;
+            }
+        }
+
+        v_it = std::find_if( q_lambda.begin(), q_lambda.begin()+rows,
+                             boost::bind2nd( std::not_equal_to<ET>(), et0));
+        if ( v_it != q_lambda.begin()+rows) {
+            if ( ! vout4.verbose()) {
+                std::cerr << std::endl << "basis-inverse check: ";
+            }
+            std::cerr << "failed ( row=" << v_it-q_lambda.begin()
+                      << " | col=" << col << " )" << std::endl;
+            //            return false;
+            res = false;
+        }
+        v_it = q_x_O.begin();
+        for ( row = 0; row < cols; ++row, ++v_it) {
+            if ( *v_it != ( row == col ? d : et0)) {
+                if ( ! vout4.verbose()) {
+                    std::cerr << std::endl << "basis-inverse check: ";
+                }
+                std::cerr << "failed ( row=" << row+rows << " | col="
+                          << col << " )" << std::endl;
+                //                return false;
+                res = false;
+            }
+        }
     }
     return res;
 }
 
 // filtered strategies are only allowed if the input type as
 // indicated by C_entry is double; this may still fail if the
-// types of some other program entries are not double, but 
+// types of some other program entries are not double, but
 // since the filtered stuff is internal anyway, we can probably
 // live with this simple check
 template < typename Q, typename ET, typename Tags >
@@ -3019,23 +3019,23 @@ set_pricing_strategy
 
     if (strategy == QP_DANTZIG)
       strategyP = new QP_full_exact_pricing<Q, ET, Tags>;
-    else if (strategy == QP_FILTERED_DANTZIG)    
+    else if (strategy == QP_FILTERED_DANTZIG)
       // choose between FF (double) and FE (anything else)
-      strategyP = 
-	new typename QP_solver_impl::Filtered_pricing_strategy_selector
-	<Q, ET, Tags, C_entry>::FF;
+      strategyP =
+        new typename QP_solver_impl::Filtered_pricing_strategy_selector
+        <Q, ET, Tags, C_entry>::FF;
     else if (strategy == QP_PARTIAL_DANTZIG)
       strategyP = new QP_partial_exact_pricing<Q, ET, Tags>;
     else if (strategy == QP_PARTIAL_FILTERED_DANTZIG
-	     || strategy == QP_CHOOSE_DEFAULT)   
+             || strategy == QP_CHOOSE_DEFAULT)
       // choose between PF (double) and PE (anything else)
-      strategyP = 
-	new typename QP_solver_impl::Filtered_pricing_strategy_selector
-	<Q, ET, Tags, C_entry>::PF;
-    else if (strategy == QP_BLAND) 
+      strategyP =
+        new typename QP_solver_impl::Filtered_pricing_strategy_selector
+        <Q, ET, Tags, C_entry>::PF;
+    else if (strategy == QP_BLAND)
       strategyP = new QP_exact_bland_pricing<Q, ET, Tags>;
     CGAL_qpe_assertion(strategyP != static_cast<Pricing_strategy*>(0));
-   
+
     if ( phase() != -1) strategyP->set( *this, vout2);
 }
 
@@ -3062,11 +3062,11 @@ print_program( ) const
     // objective function
     vout4.out() << std::endl << "objective function:" << std::endl;
     if ( is_QP) {
-	vout4.out() << "--> output of MATRIX must go here <--";
-	vout4.out() << std::endl;
+        vout4.out() << "--> output of MATRIX must go here <--";
+        vout4.out() << std::endl;
     }
     std::copy( qp_c, qp_c+qp_n,
-	       std::ostream_iterator<C_entry>( vout4.out(), " "));
+               std::ostream_iterator<C_entry>( vout4.out(), " "));
     vout4.out() << "(+ " << qp_c0 << ") ";
     vout4.out() << std::endl;
     vout4.out() << std::endl;
@@ -3075,46 +3075,46 @@ print_program( ) const
     vout4.out() << "constraints:" << std::endl;
     for ( row = 0; row < qp_m; ++row) {
 
-	// original variables
-	for (i = 0; i < qp_n; ++i) 
-	  vout4.out() << *((*(qp_A+ i))+row) << ' ';
-
-	// slack variables
-	if ( ! slack_A.empty()) {
-	    vout4.out() << " |  ";
-	    for ( i = 0; i < static_cast<int>(slack_A.size()); ++i) {
-		vout4.out() << ( slack_A[ i].first != row ? " 0" :
-		               ( slack_A[ i].second ? "-1" : "+1")) << ' ';
-	    }
-	}
-
-	// artificial variables
-	if ( ! art_A.empty()) {
-	    vout4.out() << " |  ";
-	    for ( i = 0; i < static_cast<int>(art_A.size()); ++i) {
-	      if (art_s_i == i+qp_n+static_cast<int>(slack_A.size()))
-		vout4.out() << " * ";          // for special artificial column
-	      vout4.out() << ( art_A[ i].first != row ? " 0" :
-		             ( art_A[ i].second ? "-1" : "+1")) << ' ';
-	    }
-	}
-	if ( ! art_s.empty()) vout4.out() << " |  " << art_s[ row] << ' ';
-
-	// rhs
-	vout4.out() << " |  "
-		    << ( *(qp_r+ row) == CGAL::EQUAL      ? ' ' :
-		       ( *(qp_r+ row) == CGAL::SMALLER ? '<' : '>')) << "=  "
-		    << *(qp_b+ row);
-		    if (!is_nonnegative) {
-		        vout4.out() << " - " << multiply__A_ixO(row);
-		    }
-		    vout4.out() << std::endl;
+        // original variables
+        for (i = 0; i < qp_n; ++i)
+          vout4.out() << *((*(qp_A+ i))+row) << ' ';
+
+        // slack variables
+        if ( ! slack_A.empty()) {
+            vout4.out() << " |  ";
+            for ( i = 0; i < static_cast<int>(slack_A.size()); ++i) {
+                vout4.out() << ( slack_A[ i].first != row ? " 0" :
+                               ( slack_A[ i].second ? "-1" : "+1")) << ' ';
+            }
+        }
+
+        // artificial variables
+        if ( ! art_A.empty()) {
+            vout4.out() << " |  ";
+            for ( i = 0; i < static_cast<int>(art_A.size()); ++i) {
+              if (art_s_i == i+qp_n+static_cast<int>(slack_A.size()))
+                vout4.out() << " * ";          // for special artificial column
+              vout4.out() << ( art_A[ i].first != row ? " 0" :
+                             ( art_A[ i].second ? "-1" : "+1")) << ' ';
+            }
+        }
+        if ( ! art_s.empty()) vout4.out() << " |  " << art_s[ row] << ' ';
+
+        // rhs
+        vout4.out() << " |  "
+                    << ( *(qp_r+ row) == CGAL::EQUAL      ? ' ' :
+                       ( *(qp_r+ row) == CGAL::SMALLER ? '<' : '>')) << "=  "
+                    << *(qp_b+ row);
+                    if (!is_nonnegative) {
+                        vout4.out() << " - " << multiply__A_ixO(row);
+                    }
+                    vout4.out() << std::endl;
     }
     vout4.out() << std::endl;
-    
+
     // explicit bounds
     if (!is_nonnegative) {
-        vout4.out() << "explicit bounds:" << std::endl; 
+        vout4.out() << "explicit bounds:" << std::endl;
         for (int i = 0; i < qp_n; ++i) {
             if (*(qp_fl+i)) {                   // finite lower bound
                 vout4.out() << *(qp_l+i);
@@ -3142,48 +3142,48 @@ print_basis( ) const
       vout2 << "basic variables" << ( has_ineq ? "  " : "") << ":  ";
     }
     std::copy( B_O.begin(), B_O.end  (),
-	       std::ostream_iterator<int>( vout.out(), " "));
+               std::ostream_iterator<int>( vout.out(), " "));
     CGAL_qpe_debug {
       if ( vout2.verbose()) {
-	if ( has_ineq && ( ! slack_A.empty())) {
-	  vout2.out() << " |  ";
-	  std::copy( B_S.begin(), B_S.end(),
-		     std::ostream_iterator<int>( vout2.out(), " "));
-	}
-	if ( is_phaseI) {
-	  vout2.out() << " (# of artificials: " << art_basic << ')';
-	}
-	if ( has_ineq) {
-	  vout2.out() << std::endl
-		      << "basic constraints:  ";
-	  for (Index_const_iterator i_it = 
-		 C.begin(); i_it != C.end(); ++i_it) {
-	    label = (*(qp_r+ *i_it) == CGAL::EQUAL) ? 'e' : 'i';
-	    vout2.out() << *i_it << ":" << label << " ";
-	  }
-	  /*
-	    std::copy( C.begin(), C.begin()+(C.size()-slack_A.size()),
-	    std::ostream_iterator<int>( vout2.out(), " "));
-	    if ( ! slack_A.empty()) {
-	    vout2.out() << " |  ";
-	    std::copy( C.end() - slack_A.size(), C.end(),
-	    std::ostream_iterator<int>( vout2.out(), " "));
-	    }
-	  */
-	}
-	if ( vout3.verbose()) {
-	  vout3.out() << std::endl
-		      << std::endl
-		      << "    in_B: ";
-	  std::copy( in_B.begin(), in_B.end(),
-		     std::ostream_iterator<int>( vout3.out(), " "));
-	  if ( has_ineq) {
-	    vout3.out() << std::endl
-			<< "    in_C: ";
-	    std::copy( in_C.begin(), in_C.end(),
-		       std::ostream_iterator<int>( vout3.out(), " "));
-	  }
-	}
+        if ( has_ineq && ( ! slack_A.empty())) {
+          vout2.out() << " |  ";
+          std::copy( B_S.begin(), B_S.end(),
+                     std::ostream_iterator<int>( vout2.out(), " "));
+        }
+        if ( is_phaseI) {
+          vout2.out() << " (# of artificials: " << art_basic << ')';
+        }
+        if ( has_ineq) {
+          vout2.out() << std::endl
+                      << "basic constraints:  ";
+          for (Index_const_iterator i_it =
+                 C.begin(); i_it != C.end(); ++i_it) {
+            label = (*(qp_r+ *i_it) == CGAL::EQUAL) ? 'e' : 'i';
+            vout2.out() << *i_it << ":" << label << " ";
+          }
+          /*
+            std::copy( C.begin(), C.begin()+(C.size()-slack_A.size()),
+            std::ostream_iterator<int>( vout2.out(), " "));
+            if ( ! slack_A.empty()) {
+            vout2.out() << " |  ";
+            std::copy( C.end() - slack_A.size(), C.end(),
+            std::ostream_iterator<int>( vout2.out(), " "));
+            }
+          */
+        }
+        if ( vout3.verbose()) {
+          vout3.out() << std::endl
+                      << std::endl
+                      << "    in_B: ";
+          std::copy( in_B.begin(), in_B.end(),
+                     std::ostream_iterator<int>( vout3.out(), " "));
+          if ( has_ineq) {
+            vout3.out() << std::endl
+                        << "    in_C: ";
+            std::copy( in_C.begin(), in_C.end(),
+                       std::ostream_iterator<int>( vout3.out(), " "));
+          }
+        }
       }
     }
     vout.out() << std::endl;
@@ -3198,28 +3198,28 @@ print_solution( ) const
 {
   CGAL_qpe_debug {
     if ( vout3.verbose()) {
-	   vout3.out() << std::endl
+           vout3.out() << std::endl
             << "     b_C: ";
-	   std::copy( b_C.begin(), b_C.begin()+C.size(),
-		   std::ostream_iterator<ET>( vout3.out()," "));
-	   vout3.out() << std::endl
+           std::copy( b_C.begin(), b_C.begin()+C.size(),
+                   std::ostream_iterator<ET>( vout3.out()," "));
+           vout3.out() << std::endl
             << "  -c_B_O: ";
-	   std::copy( minus_c_B.begin(), minus_c_B.begin()+B_O.size(),
-		   std::ostream_iterator<ET>( vout3.out()," "));
-	   if (!is_nonnegative) {
-	       vout3.out() << std::endl
+           std::copy( minus_c_B.begin(), minus_c_B.begin()+B_O.size(),
+                   std::ostream_iterator<ET>( vout3.out()," "));
+           if (!is_nonnegative) {
+               vout3.out() << std::endl
                 << "     r_C: ";
-	       std::copy( r_C.begin(), r_C.begin()+r_C.size(),
-	           std::ostream_iterator<ET>( vout3.out(), " "));
-	       vout3.out() << std::endl
-	           << "   r_B_O: ";
-	       std::copy( r_B_O.begin(), r_B_O.begin()+r_B_O.size(),
-	           std::ostream_iterator<ET>( vout3.out(), " "));
-	       if (r_B_O.size() == 0)
-		 vout3.out() << "< will only be allocated in phase II>";
+               std::copy( r_C.begin(), r_C.begin()+r_C.size(),
+                   std::ostream_iterator<ET>( vout3.out(), " "));
+               vout3.out() << std::endl
+                   << "   r_B_O: ";
+               std::copy( r_B_O.begin(), r_B_O.begin()+r_B_O.size(),
+                   std::ostream_iterator<ET>( vout3.out(), " "));
+               if (r_B_O.size() == 0)
+                 vout3.out() << "< will only be allocated in phase II>";
 
-	   }
-	   vout3.out() << std::endl;
+           }
+           vout3.out() << std::endl;
     }
     if ( vout2.verbose()) {
         vout2.out() << std::endl << "  lambda: ";
@@ -3233,9 +3233,9 @@ print_solution( ) const
             vout2.out() << "   x_N_O: ";
             for (int i = 0; i < qp_n; ++i) {
                 if (!is_basic(i)) {
-                    vout2.out() << d * 
-		      nonbasic_original_variable_value(i);
-                    vout2.out() << " ";    
+                    vout2.out() << d *
+                      nonbasic_original_variable_value(i);
+                    vout2.out() << " ";
                 }
             }
             vout2.out() << std::endl;
@@ -3252,10 +3252,10 @@ print_solution( ) const
     }
   }
   vout << "  ";
-  vout.out() 
-    << "solution: " 
-    << solution_numerator() << " / " << solution_denominator() 
-    << "  ~= " 
+  vout.out()
+    << "solution: "
+    << solution_numerator() << " / " << solution_denominator()
+    << "  ~= "
     << to_double
     (CGAL::Quotient<ET>(solution_numerator(), solution_denominator()))
     << std::endl;
@@ -3297,7 +3297,7 @@ print_ratio_1_original(int k, const ET&
                     vout2.out() << "t_O_" << k << ": "
                     << "-inf" << '/' << q_k
                     << ( ( q_i != et0) && ( i == B_O[ k]) ? " *" : "")
-                    << std::endl;                
+                    << std::endl;
                 }
             } else {                                // artificial variable
                 vout2.out() << "t_O_" << k << ": "
@@ -3311,7 +3311,7 @@ print_ratio_1_original(int k, const ET&
                     vout2.out() << "t_O_" << k << ": "
                     << (d * ET(*(qp_l+B_O[k]))) - x_k << '/' << q_k
                     << ( ( q_i != et0) && ( i == B_O[ k]) ? " *" : "")
-                    << std::endl;                    
+                    << std::endl;
                 } else {                            // upper bound infinity
                     vout2.out() << "t_O_" << k << ": "
                     << "inf" << '/' << q_k
@@ -3347,14 +3347,14 @@ print_ratio_1_slack(int k, const ET& x_k
             vout2.out() << "t_S_" << k << ": "
             << "inf" << '/' << q_k
             << ( ( q_i != et0) && ( i == B_S[ k]) ? " *" : "")
-            << std::endl;        
+            << std::endl;
         }
     } else {                                        // upper bounded
         if (q_k * ET(direction) > et0) {            // check for lower bound
             vout2.out() << "t_S_" << k << ": "
             << x_k << '/' << q_k
             << ( ( q_i != et0) && ( i == B_S[ k]) ? " *" : "")
-            << std::endl;            
+            << std::endl;
         } else if (q_k * ET(direction) < et0) {     // check for upper bound
             vout2.out() << "t_S_" << k << ": "
             << "inf" << '/' << q_k
@@ -3375,18 +3375,18 @@ const char*  QP_solver<Q, ET, Tags>::
 variable_type( int k) const
 {
     return ( k <        qp_n                 ? "original"  :
-	   ( k < static_cast<int>( qp_n+slack_A.size()) ? "slack"     :
-	                                       "artificial"));
+           ( k < static_cast<int>( qp_n+slack_A.size()) ? "slack"     :
+                                               "artificial"));
 }
 
-template < typename Q, typename ET, typename Tags > 
+template < typename Q, typename ET, typename Tags >
 bool QP_solver<Q, ET, Tags>::
 is_artificial(int k) const
 {
-    return (k >= static_cast<int>(qp_n+slack_A.size())); 
+    return (k >= static_cast<int>(qp_n+slack_A.size()));
 }
 
-template < typename Q, typename ET, typename Tags > 
+template < typename Q, typename ET, typename Tags >
 int QP_solver<Q, ET, Tags>::
 get_l() const
 {
diff -pruN 5.0.2-3/include/CGAL/QP_solver/QP_solver_nonstandardform_impl.h 5.0.3-1/include/CGAL/QP_solver/QP_solver_nonstandardform_impl.h
--- 5.0.2-3/include/CGAL/QP_solver/QP_solver_nonstandardform_impl.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/QP_solver_nonstandardform_impl.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/QP_solver_nonstandardform_impl.h $
-// $Id: QP_solver_nonstandardform_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/QP_solver_nonstandardform_impl.h $
+// $Id: QP_solver_nonstandardform_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
@@ -43,9 +43,9 @@ ET QP_solver<Q, ET, Tags>::variable_nume
   // Returns the current value of an *original* variable.
   CGAL_qpe_assertion( 0 <= i && i < qp_n );
   if (check_tag(Is_nonnegative())) {
-    if (in_B[i] < 0) 
+    if (in_B[i] < 0)
       return et0;
-    else 
+    else
       return x_B_O[in_B[i]];
   }
 
@@ -120,19 +120,19 @@ void  QP_solver<Q, ET, Tags>::
 multiply__A_CxN_O(Value_iterator out) const
 {
   CGAL_qpe_assertion(!check_tag(Is_nonnegative()));
-  
+
   // initialize with zero vector:
   std::fill_n(out, C.size(), et0);
-  
+
   for (int i = 0; i < qp_n; ++i)
     if (!is_basic(i)) {
       const ET x_i = nonbasic_original_variable_value(i);
       const A_column a_col = *(qp_A+i);
       Value_iterator out_it = out;
       for (Index_const_iterator row_it = C.begin();
-	   row_it != C.end();
-	   ++row_it, ++out_it)
-	*out_it += x_i * ET(*(a_col+ *row_it));
+           row_it != C.end();
+           ++row_it, ++out_it)
+        *out_it += x_i * ET(*(a_col+ *row_it));
     }
 }
 
@@ -154,13 +154,13 @@ multiply__2D_OxN_O(Value_iterator out) c
 
   // initialize with zero vector:
   std::fill_n(out, B_O.size(), et0);
-  
+
   for (int row_it = 0; row_it < qp_n; ++row_it, ++out) {
     D_pairwise_accessor d_row(qp_D, row_it);
     for (int i = 0; i < qp_n; ++i)
       if (!is_basic(i)) {
-	const ET value = nonbasic_original_variable_value(i);
-	*out += d_row(i) * value;
+        const ET value = nonbasic_original_variable_value(i);
+        *out += d_row(i) * value;
       }
   }
 }
@@ -175,16 +175,16 @@ multiply__A_S_BxN_O(Value_iterator out)
 {
   // initialize with zero vector:
   std::fill_n(out, S_B.size(), et0);
-  
+
   for (int i = 0; i < qp_n; ++i)
     if (!is_basic(i)) {
       const ET x_i = nonbasic_original_variable_value(i);
       const A_column a_col = *(qp_A+i);
       Value_iterator out_it = out;
       for (Index_const_iterator row_it = S_B.begin();
-	   row_it != S_B.end();
-	   ++row_it, ++out_it)
-	*out_it += x_i * ET(*(a_col+ *row_it));
+           row_it != S_B.end();
+           ++row_it, ++out_it)
+        *out_it += x_i * ET(*(a_col+ *row_it));
     }
 }
 
@@ -197,7 +197,7 @@ void  QP_solver<Q, ET, Tags>::
 init_r_B_O()
 {
   CGAL_qpe_assertion(!check_tag(Is_nonnegative()) &&
-			!check_tag(Is_linear()));
+                        !check_tag(Is_linear()));
   r_B_O.resize(B_O.size());
   multiply__2D_B_OxN_O(r_B_O.begin());
 }
@@ -211,7 +211,7 @@ void  QP_solver<Q, ET, Tags>::
 init_w()
 {
   CGAL_qpe_assertion(!check_tag(Is_nonnegative()) &&
-			!check_tag(Is_linear()));
+                        !check_tag(Is_linear()));
   w.resize(qp_n);
   multiply__2D_OxN_O(w.begin());
 }
diff -pruN 5.0.2-3/include/CGAL/QP_solver/Unbounded_direction.h 5.0.3-1/include/CGAL/QP_solver/Unbounded_direction.h
--- 5.0.2-3/include/CGAL/QP_solver/Unbounded_direction.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/QP_solver/Unbounded_direction.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/QP_solver/include/CGAL/QP_solver/Unbounded_direction.h $
-// $Id: Unbounded_direction.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/QP_solver/include/CGAL/QP_solver/Unbounded_direction.h $
+// $Id: Unbounded_direction.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr
 //                 Bernd Gaertner <gaertner@inf.ethz.ch>
diff -pruN 5.0.2-3/include/CGAL/Qt/AlphaShapeGraphicsItem.h 5.0.3-1/include/CGAL/Qt/AlphaShapeGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/AlphaShapeGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/AlphaShapeGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/AlphaShapeGraphicsItem.h $
-// $Id: AlphaShapeGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/AlphaShapeGraphicsItem.h $
+// $Id: AlphaShapeGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -42,9 +42,9 @@ public:
 public:
 
   QRectF boundingRect() const;
-  
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
+
   virtual void operator()(typename T::Face_handle fh);
 
   const QPen& verticesPen() const
@@ -132,7 +132,7 @@ protected:
 
   typename T::Vertex_handle vh;
   typename T::Point p;
-  CGAL::Bbox_2 bb;  
+  CGAL::Bbox_2 bb;
   bool bb_initialized;
   QRectF bounding_rect;
 
@@ -161,7 +161,7 @@ AlphaShapeGraphicsItem<T>::AlphaShapeGra
 }
 
 template <typename T>
-QRectF 
+QRectF
 AlphaShapeGraphicsItem<T>::boundingRect() const
 {
   return bounding_rect;
@@ -169,7 +169,7 @@ AlphaShapeGraphicsItem<T>::boundingRect(
 
 
 template <typename T>
-void 
+void
 AlphaShapeGraphicsItem<T>::operator()(typename T::Face_handle fh)
 {
   if(visible_edges) {
@@ -188,7 +188,7 @@ AlphaShapeGraphicsItem<T>::operator()(ty
 }
 
 template <typename T>
-void 
+void
 AlphaShapeGraphicsItem<T>::drawAll(QPainter *painter)
 {
   painterostream = PainterOstream<Geom_traits>(painter);
@@ -198,7 +198,7 @@ AlphaShapeGraphicsItem<T>::drawAll(QPain
   for(typename T::Finite_faces_iterator fit = t->finite_faces_begin();
       fit != t->finite_faces_end();
       ++fit){
-    
+
     if(t->classify(fit) == T::INTERIOR){
       Triangle_2 triangle = t->triangle(fit);
       painterostream << triangle;
@@ -226,7 +226,7 @@ AlphaShapeGraphicsItem<T>::drawAll(QPain
 }
 
 template <typename T>
-void 
+void
 AlphaShapeGraphicsItem<T>::paintVertices(QPainter *painter)
 {
   if(visibleVertices()) {
@@ -245,7 +245,7 @@ AlphaShapeGraphicsItem<T>::paintVertices
 }
 
 template <typename T>
-void 
+void
 AlphaShapeGraphicsItem<T>::paintOneVertex(const typename T::Point& point)
 {
   Converter<Geom_traits> convert;
@@ -258,7 +258,7 @@ AlphaShapeGraphicsItem<T>::paintOneVerte
 }
 
 template <typename T>
-void 
+void
 AlphaShapeGraphicsItem<T>::paintVertex(typename T::Vertex_handle vh)
 {
   Converter<Geom_traits> convert;
@@ -271,8 +271,8 @@ AlphaShapeGraphicsItem<T>::paintVertex(t
 }
 
 template <typename T>
-void 
-AlphaShapeGraphicsItem<T>::paint(QPainter *painter, 
+void
+AlphaShapeGraphicsItem<T>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem * /*option*/,
                                     QWidget * /*widget*/)
 {
@@ -284,11 +284,11 @@ AlphaShapeGraphicsItem<T>::paint(QPainte
   } else {
     m_painter = painter;
     painterostream = PainterOstream<Geom_traits>(painter);
-    CGAL::apply_to_range (*t, 
+    CGAL::apply_to_range (*t,
                           typename T::Point(option->exposedRect.left(),
-                                            option->exposedRect.bottom()), 
+                                            option->exposedRect.bottom()),
                           typename T::Point(option->exposedRect.right(),
-                                            option->exposedRect.top()), 
+                                            option->exposedRect.top()),
                           *this);
   }
     */
@@ -297,7 +297,7 @@ AlphaShapeGraphicsItem<T>::paint(QPainte
 // We let the bounding box only grow, so that when vertices get removed
 // the maximal bbox gets refreshed in the GraphicsView
 template <typename T>
-void 
+void
 AlphaShapeGraphicsItem<T>::updateBoundingBox()
 {
   prepareGeometryChange();
@@ -309,11 +309,11 @@ AlphaShapeGraphicsItem<T>::updateBoundin
     bb = t->finite_vertices_begin()->point().bbox();
     bb_initialized = true;
   }
-  
+
   if(t->dimension() <2){
     for(typename T::Finite_vertices_iterator it = t->finite_vertices_begin();
-	it != t->finite_vertices_end();
-	++it){
+        it != t->finite_vertices_end();
+        ++it){
       bb = bb + it->point().bbox();
     }
   } else {
@@ -332,7 +332,7 @@ AlphaShapeGraphicsItem<T>::updateBoundin
 
 
 template <typename T>
-void 
+void
 AlphaShapeGraphicsItem<T>::modelChanged()
 {
   if((t->number_of_vertices() == 0) ){
diff -pruN 5.0.2-3/include/CGAL/Qt/ApolloniusGraphGraphicsItem.h 5.0.3-1/include/CGAL/Qt/ApolloniusGraphGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/ApolloniusGraphGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/ApolloniusGraphGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/ApolloniusGraphGraphicsItem.h $
-// $Id: ApolloniusGraphGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/ApolloniusGraphGraphicsItem.h $
+// $Id: ApolloniusGraphGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -41,13 +41,13 @@ public:
   ApolloniusGraphGraphicsItem(AG* ag);
 
 
-  QRectF 
+  QRectF
   boundingRect() const;
-  
-  void 
+
+  void
   paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
-  void 
+
+  void
   modelChanged();
 
   const QPen& edgesPen() const
@@ -85,7 +85,7 @@ ApolloniusGraphGraphicsItem<AG,K>::Apoll
 }
 
 template <typename AG, typename K>
-QRectF 
+QRectF
 ApolloniusGraphGraphicsItem<AG,K>::boundingRect() const
 {
   QRectF rect = CGAL::Qt::viewportsBbox(scene());
@@ -94,7 +94,7 @@ ApolloniusGraphGraphicsItem<AG,K>::bound
 
 
 template <typename AG, typename K>
-void 
+void
 ApolloniusGraphGraphicsItem<AG,K>::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget * /*w*/)
 {
 
@@ -102,7 +102,7 @@ ApolloniusGraphGraphicsItem<AG,K>::paint
   QRectF rect = option->exposedRect;
   PainterOstream<K> pos(painter, rect);
   for(typename AG::Sites_iterator it = ag->sites_begin();
-	 it != ag->sites_end(); it++ ) {
+         it != ag->sites_end(); it++ ) {
     pos << typename K::Circle_2(it->point(), square( it->weight()));
   }
 
@@ -112,7 +112,7 @@ ApolloniusGraphGraphicsItem<AG,K>::paint
 
 
   template <typename AG, typename K>
-void 
+void
   ApolloniusGraphGraphicsItem<AG,K>::modelChanged()
 {
   update();
diff -pruN 5.0.2-3/include/CGAL/Qt/Basic_viewer_qt.h 5.0.3-1/include/CGAL/Qt/Basic_viewer_qt.h
--- 5.0.2-3/include/CGAL/Qt/Basic_viewer_qt.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/Basic_viewer_qt.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/Basic_viewer_qt.h $
-// $Id: Basic_viewer_qt.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/Basic_viewer_qt.h $
+// $Id: Basic_viewer_qt.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
 
@@ -18,7 +18,7 @@
 
 #ifdef CGAL_USE_BASIC_VIEWER
 
-#ifdef __GNUC__ 
+#ifdef __GNUC__
 #if  __GNUC__ >= 9
 #  pragma GCC diagnostic push
 #  pragma GCC diagnostic ignored "-Wdeprecated-copy"
@@ -35,7 +35,7 @@
 #include <QGLBuffer>
 #include <QOpenGLShaderProgram>
 
-#ifdef __GNUC__ 
+#ifdef __GNUC__
 #if __GNUC__ >= 9
 #  pragma GCC diagnostic pop
 #endif
@@ -59,14 +59,14 @@ const char vertex_source_color[] =
     "attribute highp vec4 vertex;\n"
     "attribute highp vec3 normal;\n"
     "attribute highp vec3 color;\n"
-    
+
     "uniform highp mat4 mvp_matrix;\n"
     "uniform highp mat4 mv_matrix; \n"
-    
+
     "varying highp vec4 fP; \n"
     "varying highp vec3 fN; \n"
     "varying highp vec4 fColor; \n"
-    
+
     "uniform highp float point_size; \n"
     "void main(void)\n"
     "{\n"
@@ -89,20 +89,20 @@ const char fragment_source_color[] =
     "uniform highp vec4 light_spec; \n"
     "uniform highp vec4 light_amb;  \n"
     "uniform float spec_power ; \n"
-    
+
     "void main(void) { \n"
-    
+
     "   highp vec3 L = light_pos.xyz - fP.xyz; \n"
     "   highp vec3 V = -fP.xyz; \n"
-    
+
     "   highp vec3 N = normalize(fN); \n"
     "   L = normalize(L); \n"
     "   V = normalize(V); \n"
-    
+
     "   highp vec3 R = reflect(-L, N); \n"
     "   highp vec4 diffuse = max(dot(N,L), 0.0) * light_diff * fColor; \n"
     "   highp vec4 specular = pow(max(dot(R,V), 0.0), spec_power) * light_spec; \n"
-    
+
     "gl_FragColor = light_amb*fColor + diffuse  ; \n"
     "} \n"
     "\n"
@@ -142,14 +142,14 @@ const char vertex_source_color_comp[] =
     "attribute highp vec4 vertex;\n"
     "attribute highp vec3 normal;\n"
     "attribute highp vec3 color;\n"
-    
+
     "uniform highp mat4 mvp_matrix;\n"
     "uniform highp mat4 mv_matrix; \n"
-    
+
     "varying highp vec4 fP; \n"
     "varying highp vec3 fN; \n"
     "varying highp vec4 fColor; \n"
-    
+
     "uniform highp float point_size; \n"
     "void main(void)\n"
     "{\n"
@@ -175,20 +175,20 @@ const char fragment_source_color_comp[]
     "uniform highp vec4 light_spec; \n"
     "uniform highp vec4 light_amb;  \n"
     "uniform highp float spec_power ; \n"
-    
+
     "void main(void) { \n"
-    
+
     "   highp vec3 L = light_pos.xyz - fP.xyz; \n"
     "   highp vec3 V = -fP.xyz; \n"
-    
+
     "   highp vec3 N = normalize(fN); \n"
     "   L = normalize(L); \n"
     "   V = normalize(V); \n"
-    
+
     "   highp vec3 R = reflect(-L, N); \n"
     "   highp vec4 diffuse = max(dot(N,L), 0.0) * light_diff * fColor; \n"
     "   highp vec4 specular = pow(max(dot(R,V), 0.0), spec_power) * light_spec; \n"
-    
+
     "gl_FragColor = light_amb*fColor + diffuse  ; \n"
     "} \n"
     "\n"
@@ -235,7 +235,7 @@ inline CGAL::Color get_random_color(CGAL
 }
 //------------------------------------------------------------------------------
 class Basic_viewer_qt : public CGAL::QGLViewer
-{  
+{
 public:
   typedef CGAL::Exact_predicates_inexact_constructions_kernel Local_kernel;
   typedef Local_kernel::Point_3  Local_point;
@@ -257,7 +257,7 @@ public:
     m_use_mono_color(use_mono_color),
     m_inverse_normal(inverse_normal),
     m_size_points(7.),
-    m_size_edges(3.1),    
+    m_size_edges(3.1),
     m_vertices_mono_color(200, 60, 60),
     m_edges_mono_color(0, 0, 0),
     m_faces_mono_color(60, 60, 200),
@@ -290,7 +290,7 @@ public:
     m_buffer_for_colored_faces(&arrays[POS_COLORED_FACES],
                                nullptr,
                                &m_bounding_box,
-                               &arrays[COLOR_FACES], 
+                               &arrays[COLOR_FACES],
                                &arrays[FLAT_NORMAL_COLORED_FACES],
                                &arrays[SMOOTH_NORMAL_COLORED_FACES])
   {
@@ -328,66 +328,66 @@ public:
             m_buffer_for_mono_faces.is_empty() &&
             m_buffer_for_colored_faces.is_empty());
   }
-  
+
   const CGAL::Bbox_3& bounding_box() const
   { return m_bounding_box; }
 
   bool has_zero_x() const
   {
     return
-      m_buffer_for_mono_points.has_zero_x() && 
+      m_buffer_for_mono_points.has_zero_x() &&
       m_buffer_for_colored_points.has_zero_x() &&
       m_buffer_for_mono_segments.has_zero_x() &&
       m_buffer_for_colored_segments.has_zero_x() &&
       m_buffer_for_mono_faces.has_zero_x() &&
       m_buffer_for_colored_faces.has_zero_x();
-  }  
+  }
 
   bool has_zero_y() const
   {
     return
-      m_buffer_for_mono_points.has_zero_y() && 
+      m_buffer_for_mono_points.has_zero_y() &&
       m_buffer_for_colored_points.has_zero_y() &&
       m_buffer_for_mono_segments.has_zero_y() &&
       m_buffer_for_colored_segments.has_zero_y() &&
       m_buffer_for_mono_faces.has_zero_y() &&
       m_buffer_for_colored_faces.has_zero_y();
   }
-  
+
   bool has_zero_z() const
   {
     return
-      m_buffer_for_mono_points.has_zero_z() && 
+      m_buffer_for_mono_points.has_zero_z() &&
       m_buffer_for_colored_points.has_zero_z() &&
       m_buffer_for_mono_segments.has_zero_z() &&
       m_buffer_for_colored_segments.has_zero_z() &&
       m_buffer_for_mono_faces.has_zero_z() &&
       m_buffer_for_colored_faces.has_zero_z();
   }
-  
+
   template<typename KPoint>
   void add_point(const KPoint& p)
   { m_buffer_for_mono_points.add_point(p); }
 
   template<typename KPoint>
   void add_point(const KPoint& p, const CGAL::Color& acolor)
-  { m_buffer_for_colored_points.add_point(p, acolor); } 
-  
+  { m_buffer_for_colored_points.add_point(p, acolor); }
+
   template<typename KPoint>
   void add_segment(const KPoint& p1, const KPoint& p2)
   { m_buffer_for_mono_segments.add_segment(p1, p2); }
-  
+
   template<typename KPoint>
   void add_segment(const KPoint& p1, const KPoint& p2,
                    const CGAL::Color& acolor)
-  { m_buffer_for_colored_segments.add_segment(p1, p2, acolor); } 
+  { m_buffer_for_colored_segments.add_segment(p1, p2, acolor); }
 
   bool is_a_face_started() const
   {
     return m_buffer_for_mono_faces.is_a_face_started() ||
       m_buffer_for_colored_faces.is_a_face_started();
   }
-  
+
   void face_begin()
   {
     if (is_a_face_started())
@@ -396,7 +396,7 @@ public:
     }
     else
     { m_buffer_for_mono_faces.face_begin(); }
-  } 
+  }
 
   void face_begin(const CGAL::Color& acolor)
   {
@@ -417,7 +417,7 @@ public:
     { return m_buffer_for_colored_faces.add_point_in_face(kp); }
     return false;
   }
-  
+
   template<typename KPoint, typename KVector>
   bool add_point_in_face(const KPoint& kp, const KVector& p_normal)
   {
@@ -455,34 +455,34 @@ protected:
   {
     rendering_program_face.removeAllShaders();
     rendering_program_p_l.removeAllShaders();
-    
+
     // Create the buffers
     for (unsigned int i=0; i<NB_VBO_BUFFERS; ++i)
     {
       if(!buffers[i].isCreated() && !buffers[i].create())
       { std::cerr<<"VBO Creation number "<<i<<" FAILED"<<std::endl; }
     }
-    
+
     for (int i=0; i<NB_VAO_BUFFERS; ++i)
     {
       if(!vao[i].isCreated() && !vao[i].create())
       { std::cerr<<"VAO Creation number "<<i<<" FAILED"<<std::endl; }
     }
-    
+
     // Vertices and segments shader
-    
-    const char* source_ = isOpenGL_4_3() 
+
+    const char* source_ = isOpenGL_4_3()
         ? vertex_source_p_l
         : vertex_source_p_l_comp;
-    
+
     QOpenGLShader *vertex_shader_p_l = new QOpenGLShader(QOpenGLShader::Vertex);
     if(!vertex_shader_p_l->compileSourceCode(source_))
     { std::cerr<<"Compiling vertex source FAILED"<<std::endl; }
 
-    source_ = isOpenGL_4_3() 
+    source_ = isOpenGL_4_3()
         ? fragment_source_p_l
         : fragment_source_p_l_comp;
-    
+
     QOpenGLShader *fragment_shader_p_l= new QOpenGLShader(QOpenGLShader::Fragment);
     if(!fragment_shader_p_l->compileSourceCode(source_))
     { std::cerr<<"Compiling fragmentsource FAILED"<<std::endl; }
@@ -495,19 +495,19 @@ protected:
     { std::cerr<<"linking Program FAILED"<<std::endl; }
 
     // Faces shader
-    
-    source_ = isOpenGL_4_3() 
+
+    source_ = isOpenGL_4_3()
             ? vertex_source_color
             : vertex_source_color_comp;
-    
+
     QOpenGLShader *vertex_shader_face = new QOpenGLShader(QOpenGLShader::Vertex);
     if(!vertex_shader_face->compileSourceCode(source_))
     { std::cerr<<"Compiling vertex source FAILED"<<std::endl; }
 
-    source_ = isOpenGL_4_3() 
+    source_ = isOpenGL_4_3()
             ? fragment_source_color
             : fragment_source_color_comp;
-    
+
     QOpenGLShader *fragment_shader_face= new QOpenGLShader(QOpenGLShader::Fragment);
     if(!fragment_shader_face->compileSourceCode(source_))
     { std::cerr<<"Compiling fragmentsource FAILED"<<std::endl; }
@@ -515,7 +515,7 @@ protected:
     if(!rendering_program_face.addShader(vertex_shader_face))
     { std::cerr<<"adding vertex shader FAILED"<<std::endl; }
     if(!rendering_program_face.addShader(fragment_shader_face))
-    { std::cerr<<"adding fragment shader FAILED"<<std::endl; }    
+    { std::cerr<<"adding fragment shader FAILED"<<std::endl; }
     if(!rendering_program_face.link())
     { std::cerr<<"linking Program FAILED"<<std::endl; }
   }
@@ -528,7 +528,7 @@ protected:
 
     // 1.1) Mono points
     vao[VAO_MONO_POINTS].bind();
-    
+
     unsigned int bufn = 0;
     assert(bufn<NB_VBO_BUFFERS);
     buffers[bufn].bind();
@@ -540,9 +540,9 @@ protected:
     buffers[bufn].release();
 
     rendering_program_p_l.disableAttributeArray("color");
-    
+
     vao[VAO_MONO_POINTS].release();
-    
+
     // 1.2) Color points
     vao[VAO_COLORED_POINTS].bind();
 
@@ -555,7 +555,7 @@ protected:
     rendering_program_p_l.setAttributeBuffer("vertex",GL_FLOAT,0,3);
     buffers[bufn].release();
 
-    ++bufn;    
+    ++bufn;
     assert(bufn<NB_VBO_BUFFERS);
     buffers[bufn].bind();
     buffers[bufn].allocate(arrays[COLOR_POINTS].data(),
@@ -567,11 +567,11 @@ protected:
     vao[VAO_COLORED_POINTS].release();
 
     // 2) SEGMENT SHADER
-    
+
     // 2.1) Mono segments
     vao[VAO_MONO_SEGMENTS].bind();
-    
-    ++bufn;    
+
+    ++bufn;
     assert(bufn<NB_VBO_BUFFERS);
     buffers[bufn].bind();
     buffers[bufn].allocate(arrays[POS_MONO_SEGMENTS].data(),
@@ -587,7 +587,7 @@ protected:
 
     // 1.2) Color segments
     vao[VAO_COLORED_SEGMENTS].bind();
-    
+
     ++bufn;
     assert(bufn<NB_VBO_BUFFERS);
     buffers[bufn].bind();
@@ -608,9 +608,9 @@ protected:
     buffers[bufn].release();
 
     vao[VAO_COLORED_SEGMENTS].release();
-    
+
     rendering_program_p_l.release();
-    
+
     // 3) FACE SHADER
     rendering_program_face.bind();
 
@@ -627,7 +627,7 @@ protected:
     rendering_program_face.setAttributeBuffer("vertex",GL_FLOAT,0,3);
 
     buffers[bufn].release();
-    
+
     // 3.1.2) normals of the mono faces
     ++bufn;
     assert(bufn<NB_VBO_BUFFERS);
@@ -646,7 +646,7 @@ protected:
     }
     rendering_program_face.enableAttributeArray("normal");
     rendering_program_face.setAttributeBuffer("normal",GL_FLOAT,0,3);
-    
+
     buffers[bufn].release();
 
     // 3.1.3) color of the mono faces
@@ -655,8 +655,8 @@ protected:
 
     // 3.2) Color faces
     vao[VAO_COLORED_FACES].bind();
-  
-    // 3.2.1) points of the color faces    
+
+    // 3.2.1) points of the color faces
     ++bufn;
     assert(bufn<NB_VBO_BUFFERS);
     buffers[bufn].bind();
@@ -664,9 +664,9 @@ protected:
                            static_cast<int>(arrays[POS_COLORED_FACES].size()*sizeof(float)));
     rendering_program_face.enableAttributeArray("vertex");
     rendering_program_face.setAttributeBuffer("vertex",GL_FLOAT,0,3);
-      
+
     buffers[bufn].release();
-    
+
     // 3.2.2) normals of the color faces
     ++bufn;
     assert(bufn<NB_VBO_BUFFERS);
@@ -685,9 +685,9 @@ protected:
     }
     rendering_program_face.enableAttributeArray("normal");
     rendering_program_face.setAttributeBuffer("normal",GL_FLOAT,0,3);
-    
+
     buffers[bufn].release();
-    
+
     // 3.2.3) colors of the faces
     ++bufn;
     assert(bufn<NB_VBO_BUFFERS);
@@ -696,13 +696,13 @@ protected:
                            static_cast<int>(arrays[COLOR_FACES].size()*sizeof(float)));
     rendering_program_face.enableAttributeArray("color");
     rendering_program_face.setAttributeBuffer("color",GL_FLOAT,0,3);
-    
+
     buffers[bufn].release();
-    
+
     vao[VAO_COLORED_FACES].release();
-    
+
     rendering_program_face.release();
-    
+
     m_are_buffers_initialized = true;
   }
 
@@ -734,13 +734,13 @@ protected:
 
     CGAL::Bbox_3 bb;
     if (bb==bounding_box()) // Case of "empty" bounding box
-    {    
+    {
       bb=Local_point(CGAL::ORIGIN).bbox();
       bb=bb + Local_point(1,1,1).bbox(); // To avoid a warning from Qglviewer
     }
     else
     { bb=bounding_box(); }
-    
+
     QVector4D position((bb.xmax()-bb.xmin())/2,
                        (bb.ymax()-bb.ymin())/2,
                        bb.zmax(), 0.0);
@@ -764,7 +764,7 @@ protected:
     rendering_program_face.setUniformValue(mvpLocation, mvpMatrix);
     rendering_program_face.setUniformValue(mvLocation, mvMatrix);
     rendering_program_face.release();
-     
+
     rendering_program_p_l.bind();
     int mvpLocation2 = rendering_program_p_l.uniformLocation("mvp_matrix");
     rendering_program_p_l.setUniformValue(mvpLocation2, mvpMatrix);
@@ -792,7 +792,7 @@ protected:
       rendering_program_p_l.setUniformValue("point_size", GLfloat(m_size_points));
       glDrawArrays(GL_POINTS, 0, static_cast<GLsizei>(arrays[POS_MONO_POINTS].size()/3));
       vao[VAO_MONO_POINTS].release();
-      
+
       vao[VAO_COLORED_POINTS].bind();
       if (m_use_mono_color)
       {
@@ -888,7 +888,7 @@ protected:
       if (has_zero_x())      { cx=1.; }
       else if (has_zero_y()) { cy=1.; }
       else                   { cz=1.; }
-    
+
       camera()->setViewDirection(CGAL::qglviewer::Vec(-cx,-cy,-cz));
       constraint.setRotationConstraintDirection(CGAL::qglviewer::Vec(cx, cy, cz));
       camera()->frame()->setConstraint(&constraint);
@@ -900,7 +900,7 @@ protected:
     initialize_buffers();
     update();
   }
-  
+
   virtual void init()
   {
     // Restore previous viewer state.
@@ -936,10 +936,10 @@ protected:
     glHint(GL_LINE_SMOOTH_HINT, GL_FASTEST);
 
     compile_shaders();
-      
+
     CGAL::Bbox_3 bb;
     if (bb==bounding_box()) // Case of "empty" bounding box
-    {    
+    {
       bb=Local_point(CGAL::ORIGIN).bbox();
       bb=bb + Local_point(1,1,1).bbox(); // To avoid a warning from Qglviewer
     }
@@ -963,7 +963,7 @@ protected:
       { arrays[k][i]=-arrays[k][i]; }
     }
   }
-  
+
   virtual void keyPressEvent(QKeyEvent *e)
   {
     const ::Qt::KeyboardModifiers modifiers = e->modifiers();
@@ -1150,7 +1150,7 @@ protected:
   bool m_flatShading;
   bool m_use_mono_color;
   bool m_inverse_normal;
-  
+
   double m_size_points;
   double m_size_edges;
 
@@ -1197,14 +1197,14 @@ protected:
   Buffer_for_vao<float> m_buffer_for_colored_segments;
   Buffer_for_vao<float> m_buffer_for_mono_faces;
   Buffer_for_vao<float> m_buffer_for_colored_faces;
-  
+
   static const unsigned int NB_VBO_BUFFERS=(END_POS-BEGIN_POS)+
     (END_COLOR-BEGIN_COLOR)+2; // +2 for 2 vectors of normals
 
   QGLBuffer buffers[NB_VBO_BUFFERS];
 
   // The following enum gives the indices of the differents vao.
-  enum 
+  enum
     { VAO_MONO_POINTS=0,
       VAO_COLORED_POINTS,
       VAO_MONO_SEGMENTS,
@@ -1228,7 +1228,7 @@ namespace CGAL
 
   template<class T>
   void draw(const T&, const char* ="", bool=false)
-  { 
+  {
     std::cerr<<"Impossible to draw, CGAL_USE_BASIC_VIEWER is not defined."<<std::endl;
   }
 
diff -pruN 5.0.2-3/include/CGAL/Qt/camera.h 5.0.3-1/include/CGAL/Qt/camera.h
--- 5.0.2-3/include/CGAL/Qt/camera.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/camera.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,8 +6,8 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/camera.h $
-// $Id: camera.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/camera.h $
+// $Id: camera.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 
 
@@ -388,11 +388,11 @@ public:
   void computeProjectionMatrix() const;
   void computeModelViewMatrix() const;
   //!Sets the frustum according to the current type of the camera
-  //! (PERSPECTIVE or ORTHOGRAPHIC) in this order : 
+  //! (PERSPECTIVE or ORTHOGRAPHIC) in this order :
   //! left, right, top, bottom, near, far
   void setFrustum(double frustum[6]);
-  //!Fills `frustum` from the current frustum of the camera according 
-  //! to the current type (PERSPECTIVE or ORTHOGRAPHIC) in this order : 
+  //!Fills `frustum` from the current frustum of the camera according
+  //! to the current type (PERSPECTIVE or ORTHOGRAPHIC) in this order :
   //! left, right, top, bottom, near, far
   void getFrustum(double frustum[6]);
   void getProjectionMatrix(GLfloat m[16]) const;
diff -pruN 5.0.2-3/include/CGAL/Qt/camera_impl.h 5.0.3-1/include/CGAL/Qt/camera_impl.h
--- 5.0.2-3/include/CGAL/Qt/camera_impl.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/camera_impl.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,8 +6,8 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/camera_impl.h $
-// $Id: camera_impl.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/camera_impl.h $
+// $Id: camera_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 
 #ifdef CGAL_HEADER_ONLY
@@ -68,7 +68,7 @@ Camera::Camera(QObject *parent)
   // Dummy values
   setScreenWidthAndHeight(600, 400);
 
-  
+
   // focusDistance is set from setFieldOfView()
 
   // #CONNECTION# Camera copy constructor
@@ -1476,7 +1476,7 @@ int project(qreal objx, qreal objy, qrea
       fTempo[6]=projection[2]*fTempo[0]+projection[6]*fTempo[1]+projection[10]*fTempo[2]+projection[14]*fTempo[3];
       fTempo[7]=projection[3]*fTempo[0]+projection[7]*fTempo[1]+projection[11]*fTempo[2]+projection[15]*fTempo[3];
       //The result normalizes between -1 and 1
-      if(fTempo[7]==0.0)	//The w value
+      if(fTempo[7]==0.0)        //The w value
          return 0;
       fTempo[7]=1.0/fTempo[7];
       //Perspective division
@@ -1488,7 +1488,7 @@ int project(qreal objx, qreal objy, qrea
       *winX=(fTempo[4]*0.5+0.5)*viewport[2]+viewport[0];
       *winY=(fTempo[5]*0.5+0.5)*viewport[3]+viewport[1];
       //This is only correct when glDepthRange(0.0, 1.0)
-      *winZ=(1.0+fTempo[6])*0.5;	//Between 0 and 1
+      *winZ=(1.0+fTempo[6])*0.5;        //Between 0 and 1
       return 1;
 }
 
@@ -1688,12 +1688,12 @@ CGAL_INLINE_FUNCTION
    /* last check */
    if (0.0 == r3[3])
       return 0;
-   s = 1.0 / r3[3];		/* now back substitute row 3 */
+   s = 1.0 / r3[3];                /* now back substitute row 3 */
    r3[4] *= s;
    r3[5] *= s;
    r3[6] *= s;
    r3[7] *= s;
-   m2 = r2[3];			/* now back substitute row 2 */
+   m2 = r2[3];                        /* now back substitute row 2 */
    s = 1.0 / r2[2];
    r2[4] = s * (r2[4] - r3[4] * m2), r2[5] = s * (r2[5] - r3[5] * m2),
       r2[6] = s * (r2[6] - r3[6] * m2), r2[7] = s * (r2[7] - r3[7] * m2);
@@ -1703,14 +1703,14 @@ CGAL_INLINE_FUNCTION
    m0 = r0[3];
    r0[4] -= r3[4] * m0, r0[5] -= r3[5] * m0,
       r0[6] -= r3[6] * m0, r0[7] -= r3[7] * m0;
-   m1 = r1[2];			/* now back substitute row 1 */
+   m1 = r1[2];                        /* now back substitute row 1 */
    s = 1.0 / r1[1];
    r1[4] = s * (r1[4] - r2[4] * m1), r1[5] = s * (r1[5] - r2[5] * m1),
       r1[6] = s * (r1[6] - r2[6] * m1), r1[7] = s * (r1[7] - r2[7] * m1);
    m0 = r0[2];
    r0[4] -= r2[4] * m0, r0[5] -= r2[5] * m0,
       r0[6] -= r2[6] * m0, r0[7] -= r2[7] * m0;
-   m0 = r0[1];			/* now back substitute row 0 */
+   m0 = r0[1];                        /* now back substitute row 0 */
    s = 1.0 / r0[0];
    r0[4] = s * (r0[4] - r1[4] * m0), r0[5] = s * (r0[5] - r1[5] * m0),
       r0[6] = s * (r0[6] - r1[6] * m0), r0[7] = s * (r0[7] - r1[7] * m0);
@@ -2372,14 +2372,14 @@ void Camera::getFrustum(double frustum[6
         E(projectionMatrix_[14]),F(projectionMatrix_[10]);
     double B1 = (B+1)/(1-B), D1 = (1-D)/(D+1),
         E1=(E+1)/(1-E);
-    
+
     l = -2*B1/(1+B1*A);
     r = 2+A*l;
     t = 2*D1/(C*(1+D1));
     b =t -2/C;
     n = -2/(F*(1+E1));
     f=n-2/F;
-    
+
   }
   frustum[0] = l;
   frustum[1] = r;
diff -pruN 5.0.2-3/include/CGAL/Qt/CGAL_Qt_config.h 5.0.3-1/include/CGAL/Qt/CGAL_Qt_config.h
--- 5.0.2-3/include/CGAL/Qt/CGAL_Qt_config.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/CGAL_Qt_config.h	2020-08-01 19:02:21.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/CGAL_Qt_config.h $
-// $Id: CGAL_Qt_config.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/CGAL_Qt_config.h $
+// $Id: CGAL_Qt_config.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent Rineau
 
diff -pruN 5.0.2-3/include/CGAL/Qt/CircularArcGraphicsItem.h 5.0.3-1/include/CGAL/Qt/CircularArcGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/CircularArcGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/CircularArcGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/CircularArcGraphicsItem.h $
-// $Id: CircularArcGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/CircularArcGraphicsItem.h $
+// $Id: CircularArcGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -43,9 +43,9 @@ public:
 
 public:
   QRectF boundingRect() const;
-  
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
+
 
   const QPen& verticesPen() const
   {
@@ -66,7 +66,7 @@ public:
   {
     edges_pen = pen;
   }
-  
+
   void setArc(const Circular_arc_2& a);
 
   Circular_arc_2 arc() const
@@ -90,7 +90,7 @@ protected:
 
 
 template <typename CK>
-void 
+void
 CircularArcGraphicsItem<CK>::setArc(const Circular_arc_2& a)
 {
   arc_ = a;
@@ -107,7 +107,7 @@ CircularArcGraphicsItem<CK>::CircularArc
 }
 
 template <typename CK>
-QRectF 
+QRectF
 CircularArcGraphicsItem<CK>::boundingRect() const
 {
   return bounding_rect;
@@ -117,19 +117,19 @@ CircularArcGraphicsItem<CK>::boundingRec
 
 
 template <typename CK>
-void 
-CircularArcGraphicsItem<CK>::paint(QPainter *painter, 
+void
+CircularArcGraphicsItem<CK>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem * /*option*/,
                                     QWidget * /*widget*/)
 {
   painter->setPen(this->edgesPen());
   painterostream = PainterOstream<CK>(painter);
-  
+
   painterostream << arc_;
 }
 
 template <typename CK>
-void 
+void
 CircularArcGraphicsItem<CK>::updateBoundingBox()
 {
   Converter<CK> convert;
@@ -140,7 +140,7 @@ CircularArcGraphicsItem<CK>::updateBound
 
 
 template <typename CK>
-void 
+void
 CircularArcGraphicsItem<CK>::modelChanged()
 {
   updateBoundingBox();
diff -pruN 5.0.2-3/include/CGAL/Qt/ConstrainedTriangulationGraphicsItem.h 5.0.3-1/include/CGAL/Qt/ConstrainedTriangulationGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/ConstrainedTriangulationGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/ConstrainedTriangulationGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/ConstrainedTriangulationGraphicsItem.h $
-// $Id: ConstrainedTriangulationGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/ConstrainedTriangulationGraphicsItem.h $
+// $Id: ConstrainedTriangulationGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -35,7 +35,7 @@ public:
     constraints_pen = this->edgesPen();
     constraints_pen.setColor(::Qt::red);
   }
-  
+
   void operator()(typename T::Face_handle fh);
 
   const QPen& constraintsPen() const
@@ -75,7 +75,7 @@ private:
 };
 
 template <typename T>
-void 
+void
 ConstrainedTriangulationGraphicsItem<T>::drawAll(QPainter *painter)
 {
   this->painterostream = PainterOstream<Geom_traits>(painter);
@@ -90,22 +90,22 @@ ConstrainedTriangulationGraphicsItem<T>:
       this->painterostream << this->t->segment(*eit);
     }
   }
-  
+
   this->paintVertices(painter);
 }
 
 template <typename T>
-void 
+void
 ConstrainedTriangulationGraphicsItem<T>::operator()(typename T::Face_handle fh)
 {
   for (int i=0; i<3; i++) {
     if ( fh < fh->neighbor(i) || this->t->is_infinite(fh->neighbor(i)) )  {
       if(this->visibleConstraints() && this->t->is_constrained(typename T::Edge(fh,i))){
         this->m_painter->setPen(constraintsPen());
-	this->painterostream << this->t->segment(fh,i);
+        this->painterostream << this->t->segment(fh,i);
       } else if( this->visibleEdges() ){
-	this->m_painter->setPen(this->edgesPen());
-	this->painterostream << this->t->segment(fh,i);
+        this->m_painter->setPen(this->edgesPen());
+        this->painterostream << this->t->segment(fh,i);
       }
     }
     if(this->visibleVertices()) {
diff -pruN 5.0.2-3/include/CGAL/Qt/constraint.h 5.0.3-1/include/CGAL/Qt/constraint.h
--- 5.0.2-3/include/CGAL/Qt/constraint.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/constraint.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/constraint.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/constraint.h $
 // $Id: constraint.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 #ifndef QGLVIEWER_CONSTRAINT_H
diff -pruN 5.0.2-3/include/CGAL/Qt/constraint_impl.h 5.0.3-1/include/CGAL/Qt/constraint_impl.h
--- 5.0.2-3/include/CGAL/Qt/constraint_impl.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/constraint_impl.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/constraint_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/constraint_impl.h $
 // $Id: constraint_impl.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 
diff -pruN 5.0.2-3/include/CGAL/Qt/Converter.h 5.0.3-1/include/CGAL/Qt/Converter.h
--- 5.0.2-3/include/CGAL/Qt/Converter.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/Converter.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/Converter.h $
-// $Id: Converter.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/Converter.h $
+// $Id: Converter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -64,7 +64,7 @@ public:
 private:
   bool clippingRectIsInitialized;
   CGAL_Iso_rectangle_2 clippingRect;
-  
+
 
 public:
 
@@ -99,18 +99,18 @@ public:
     return QPointF(to_double(p.x()), to_double(p.y()));
   }
 
-      
+
   CGAL_Segment_2 operator()(const QLineF& qs) const
   {
     return CGAL_Segment_2(operator()(qs.p1()), operator()(qs.p2()));
   }
- 
+
   QLineF operator()(const CGAL_Segment_2 &s) const
   {
     return QLineF(operator()(s.source()), operator()(s.target()));
   }
 
-  
+
   CGAL_Iso_rectangle_2 operator()(const QRectF& qr) const
   {
     return CGAL_Iso_rectangle_2(operator()(qr.bottomLeft()), operator()(qr.topRight()));
@@ -126,12 +126,12 @@ public:
   QRectF operator()(const CGAL::Bbox_2& bb) const
   {
     return QRectF(bb.xmin(),
-		  bb.ymin(),
-		  bb.xmax()-bb.xmin(),
-		  bb.ymax()-bb.ymin());
+                  bb.ymin(),
+                  bb.xmax()-bb.xmin(),
+                  bb.ymax()-bb.ymin());
   }
 
-     
+
   QLineF operator()(const CGAL_Ray_2 &r) const
   {
     CGAL_assertion(clippingRectIsInitialized);
diff -pruN 5.0.2-3/include/CGAL/Qt/CreateOpenGLContext.h 5.0.3-1/include/CGAL/Qt/CreateOpenGLContext.h
--- 5.0.2-3/include/CGAL/Qt/CreateOpenGLContext.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/CreateOpenGLContext.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/CreateOpenGLContext.h $
-// $Id: CreateOpenGLContext.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/CreateOpenGLContext.h $
+// $Id: CreateOpenGLContext.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent Rineau and Maxime Gimeno
 #ifndef CGAL_QT_CREATE_OPENGL_CONTEXT_H
diff -pruN 5.0.2-3/include/CGAL/Qt/debug.h 5.0.3-1/include/CGAL/Qt/debug.h
--- 5.0.2-3/include/CGAL/Qt/debug.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/debug.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/debug.h $
-// $Id: debug.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/debug.h $
+// $Id: debug.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -37,7 +37,7 @@ CGAL_QT_EXPORT void traverse_resources(c
                                         int indent = 0);
 
 /**
- * Call this in the end of an OpenGL implementation to check if it returns errors. 
+ * Call this in the end of an OpenGL implementation to check if it returns errors.
  */
 template <typename QtOpenGLFunctions>
 void opengl_check_errors(QtOpenGLFunctions* gl,
diff -pruN 5.0.2-3/include/CGAL/Qt/debug_impl.h 5.0.3-1/include/CGAL/Qt/debug_impl.h
--- 5.0.2-3/include/CGAL/Qt/debug_impl.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/debug_impl.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/debug_impl.h $
-// $Id: debug_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/debug_impl.h $
+// $Id: debug_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
-   
+
 #ifdef CGAL_HEADER_ONLY
 #define CGAL_INLINE_FUNCTION inline
 
@@ -34,7 +34,7 @@ void traverse_resources(const QString& n
 {
   std::cerr << qPrintable(QString(indent, ' '))
             << qPrintable(name);
-  QString fullname = 
+  QString fullname =
     dirname.isEmpty() ?
     name :
     dirname + "/" + name;
diff -pruN 5.0.2-3/include/CGAL/Qt/DelaunayMeshTriangulationGraphicsItem.h 5.0.3-1/include/CGAL/Qt/DelaunayMeshTriangulationGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/DelaunayMeshTriangulationGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/DelaunayMeshTriangulationGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/DelaunayMeshTriangulationGraphicsItem.h $
-// $Id: DelaunayMeshTriangulationGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/DelaunayMeshTriangulationGraphicsItem.h $
+// $Id: DelaunayMeshTriangulationGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent Rineau <Laurent.Rineau@geometryfactory.com>
 
@@ -49,7 +49,7 @@ public:
   {
     setSeedsPen(QPen(::Qt::black, 10.));
   }
-  
+
   void operator()(typename T::Face_handle fh);
 
   const QBrush& facesInDomainBrush() const
@@ -162,7 +162,7 @@ protected:
   bool visible_seeds;
   bool visible_inside_edges;
   typename std::list<Point>::iterator seeds_begin, seeds_end;
-  
+
   QBrush in_domain_brush;
   QBrush blind_brush;
   QPen voronoi_pen;
@@ -170,7 +170,7 @@ protected:
 };
 
 template <typename T>
-void 
+void
 DelaunayMeshTriangulationGraphicsItem<T>::drawAll(QPainter *painter)
 {
   if(visibleFacesInDomain())
@@ -179,10 +179,10 @@ DelaunayMeshTriangulationGraphicsItem<T>
     painter->setBrush(facesInDomainBrush());
     painter->setPen(::Qt::NoPen);
     for(typename T::Finite_faces_iterator fit = this->t->finite_faces_begin();
-	fit != this->t->finite_faces_end();
-	++fit){
+        fit != this->t->finite_faces_end();
+        ++fit){
       if(fit->is_in_domain()){
-	this->painterostream << this->t->triangle(fit);
+        this->painterostream << this->t->triangle(fit);
       }
     }
     painter->setBrush(::Qt::NoBrush);
@@ -207,10 +207,10 @@ DelaunayMeshTriangulationGraphicsItem<T>
     painter->setBrush(blindFacesBrush());
     painter->setPen(::Qt::NoPen);
     for(typename T::Finite_faces_iterator fit = this->t->finite_faces_begin();
-	fit != this->t->finite_faces_end();
-	++fit){
+        fit != this->t->finite_faces_end();
+        ++fit){
       if(fit->is_blind()){
-	this->painterostream << this->t->triangle(fit);
+        this->painterostream << this->t->triangle(fit);
       }
     }
     painter->setBrush(::Qt::NoBrush);
@@ -268,7 +268,7 @@ DelaunayMeshTriangulationGraphicsItem<T>
 }
 
 template <typename T>
-void 
+void
 DelaunayMeshTriangulationGraphicsItem<T>::operator()(typename T::Face_handle fh)
 {
   if(visibleFacesInDomain()) {
diff -pruN 5.0.2-3/include/CGAL/Qt/DemosMainWindow.h 5.0.3-1/include/CGAL/Qt/DemosMainWindow.h
--- 5.0.2-3/include/CGAL/Qt/DemosMainWindow.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/DemosMainWindow.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/DemosMainWindow.h $
-// $Id: DemosMainWindow.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/DemosMainWindow.h $
+// $Id: DemosMainWindow.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -40,15 +40,15 @@ namespace Qt {
 // forward declaration
 class GraphicsViewNavigation;
 
-class CGAL_QT_EXPORT DemosMainWindow : public QMainWindow 
+class CGAL_QT_EXPORT DemosMainWindow : public QMainWindow
 {
   Q_OBJECT
 
 public:
   enum Option { NoOption = 0x0,
-		Size     = 0x1,
-		Position = 0x2,
-		State    = 0x4};
+                Size     = 0x1,
+                Position = 0x2,
+                State    = 0x4};
 
   Q_DECLARE_FLAGS(Options, Option)
 
@@ -57,7 +57,7 @@ public:
 
   virtual void open(QString)
   {
-    std::cerr << "You should implement open(QString);" << std::endl; 
+    std::cerr << "You should implement open(QString);" << std::endl;
   }
 
 public:
@@ -85,7 +85,7 @@ protected:
 
   void writeState(QString groupname = "MainWindow");
   void readState(QString groupname = "MainWindow",
-		 Options what_to_save = Options(Size|State));
+                 Options what_to_save = Options(Size|State));
 
 protected Q_SLOTS:
   void setUseAntialiasing(bool checked);
diff -pruN 5.0.2-3/include/CGAL/Qt/DemosMainWindow_impl.h 5.0.3-1/include/CGAL/Qt/DemosMainWindow_impl.h
--- 5.0.2-3/include/CGAL/Qt/DemosMainWindow_impl.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/DemosMainWindow_impl.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/DemosMainWindow_impl.h $
-// $Id: DemosMainWindow_impl.h 8b30d9c 2020-01-13T15:52:36+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/DemosMainWindow_impl.h $
+// $Id: DemosMainWindow_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
-   
+
 #ifdef CGAL_HEADER_ONLY
 #define CGAL_INLINE_FUNCTION inline
 
@@ -92,7 +92,7 @@ DemosMainWindow::~DemosMainWindow()
 }
 
 CGAL_INLINE_FUNCTION
-void 
+void
 DemosMainWindow::dragEnterEvent(QDragEnterEvent *event)
 {
   if (event->mimeData()->hasFormat("text/uri-list"))
@@ -100,7 +100,7 @@ DemosMainWindow::dragEnterEvent(QDragEnt
 }
 
 CGAL_INLINE_FUNCTION
-void 
+void
 DemosMainWindow::dropEvent(QDropEvent *event)
 {
   Q_FOREACH(QUrl url, event->mimeData()->urls()) {
@@ -118,7 +118,7 @@ DemosMainWindow::addNavigation(QGraphics
   graphicsView->viewport()->installEventFilter(navigation);
   graphicsView->installEventFilter(navigation);
   QObject::connect(navigation, SIGNAL(mouseCoordinates(QString)),
-		   xycoord, SLOT(setText(QString)));
+                   xycoord, SLOT(setText(QString)));
   view = graphicsView;
 }
 
@@ -165,16 +165,16 @@ DemosMainWindow::setupExportSVG(QAction*
 {
   this->view = view;
   connect(action, SIGNAL(triggered(bool)),
-	  this, SLOT(exportSVG()));
+          this, SLOT(exportSVG()));
 }
 
 CGAL_INLINE_FUNCTION
 void DemosMainWindow::exportSVG()
 {
   QString fileName = QFileDialog::getSaveFileName(this,
-						  tr("Export to SVG"),
-						  ".",
-						  tr("SVG (*.svg)\n"));
+                                                  tr("Export to SVG"),
+                                                  ".",
+                                                  tr("SVG (*.svg)\n"));
 
   QSvgGenerator svg;
   svg.setFileName(fileName);
@@ -203,7 +203,7 @@ DemosMainWindow::setUseAntialiasing(bool
 CGAL_INLINE_FUNCTION
 void
 DemosMainWindow::setUseOpenGL(bool checked)
-{ 
+{
   if(checked) {
     QGLWidget* new_viewport = new QGLWidget;
 
@@ -226,7 +226,7 @@ DemosMainWindow::setUseOpenGL(bool check
 }
 
 CGAL_INLINE_FUNCTION
-QMenu* 
+QMenu*
 DemosMainWindow::getMenu(QString objectName, QString title)
 {
   QMenu* menu = nullptr;
@@ -251,7 +251,7 @@ DemosMainWindow::getMenu(QString objectN
 }
 
 CGAL_INLINE_FUNCTION
-void 
+void
 DemosMainWindow::popupAboutBox(QString title, QString html_resource_name)
 {
   QFile about_CGAL(html_resource_name);
@@ -274,8 +274,8 @@ DemosMainWindow::popupAboutBox(QString t
 
   QLabel* mb_label = mb.findChild<QLabel*>("qt_msgbox_label");
   if(mb_label) {
-    mb_label->setTextInteractionFlags(mb_label->textInteractionFlags() | 
-                                      ::Qt::LinksAccessibleByMouse | 
+    mb_label->setTextInteractionFlags(mb_label->textInteractionFlags() |
+                                      ::Qt::LinksAccessibleByMouse |
                                       ::Qt::LinksAccessibleByKeyboard);
   }
   else {
@@ -299,7 +299,7 @@ QMenu* DemosMainWindow::getHelpMenu()
 }
 
 CGAL_INLINE_FUNCTION
-void 
+void
 DemosMainWindow::addAboutCGAL(QMenu* menuHelp)
 {
   if(!menuHelp) {
@@ -312,7 +312,7 @@ DemosMainWindow::addAboutCGAL(QMenu* men
 }
 
 CGAL_INLINE_FUNCTION
-void 
+void
 DemosMainWindow::addAboutDemo(QString htmlResourceName, QMenu* menuHelp)
 {
   if(!menuHelp) {
@@ -350,14 +350,14 @@ DemosMainWindow::setMaxNumberOfRecentFil
 }
 
 CGAL_INLINE_FUNCTION
-unsigned int 
+unsigned int
 DemosMainWindow::maxNumberOfRecentFiles() const
 {
   return maxNumRecentFiles;
 }
 
 CGAL_INLINE_FUNCTION
-void 
+void
 DemosMainWindow::openRecentFile_aux()
 {
   QAction *action = qobject_cast<QAction *>(sender());
@@ -366,7 +366,7 @@ DemosMainWindow::openRecentFile_aux()
 }
 
 CGAL_INLINE_FUNCTION
-void 
+void
 DemosMainWindow::addToRecentFiles(QString fileName)
 {
   QStringList files = settings.value("recentFileList").toStringList();
@@ -408,13 +408,13 @@ DemosMainWindow::addRecentFiles(QMenu* m
 }
 
 CGAL_INLINE_FUNCTION
-void 
+void
 DemosMainWindow::updateRecentFileActions()
 {
   QStringList files = settings.value("recentFileList").toStringList();
 
   int numRecentFiles = qMin(files.size(), (int)this->maxNumberOfRecentFiles());
-  
+
   for (int i = 0; i < numRecentFiles; ++i) {
     QString strippedName = QFileInfo(files[i]).fileName();
     QString text = tr("&%1 %2").arg(i).arg(strippedName);
@@ -424,14 +424,14 @@ DemosMainWindow::updateRecentFileActions
   }
   for (unsigned int j = numRecentFiles; j < maxNumberOfRecentFiles(); ++j)
     recentFileActs[j]->setVisible(false);
-  
+
   recentFilesSeparator->setVisible(numRecentFiles > 0);
 }
 
 CGAL_INLINE_FUNCTION
 void DemosMainWindow::writeState(QString groupname)
 {
-  
+
 
   settings.beginGroup(groupname);
   settings.setValue("size", size());
@@ -443,8 +443,8 @@ void DemosMainWindow::writeState(QString
 CGAL_INLINE_FUNCTION
 void DemosMainWindow::readState(QString groupname, Options /*what_to_save*/)
 {
-  
-  
+
+
   settings.beginGroup(groupname);
   resize(settings.value("size", this->size()).toSize());
 
diff -pruN 5.0.2-3/include/CGAL/Qt/domUtils.h 5.0.3-1/include/CGAL/Qt/domUtils.h
--- 5.0.2-3/include/CGAL/Qt/domUtils.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/domUtils.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/domUtils.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/domUtils.h $
 // $Id: domUtils.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 #ifndef QGLVIEWER_DOMUTILS_H
diff -pruN 5.0.2-3/include/CGAL/Qt/frame.h 5.0.3-1/include/CGAL/Qt/frame.h
--- 5.0.2-3/include/CGAL/Qt/frame.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/frame.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/frame.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/frame.h $
 // $Id: frame.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 #ifndef QGLVIEWER_FRAME_H
diff -pruN 5.0.2-3/include/CGAL/Qt/frame_impl.h 5.0.3-1/include/CGAL/Qt/frame_impl.h
--- 5.0.2-3/include/CGAL/Qt/frame_impl.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/frame_impl.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/frame_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/frame_impl.h $
 // $Id: frame_impl.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 
diff -pruN 5.0.2-3/include/CGAL/Qt/GraphicsItem.h 5.0.3-1/include/CGAL/Qt/GraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/GraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/GraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/GraphicsItem.h $
-// $Id: GraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/GraphicsItem.h $
+// $Id: GraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
diff -pruN 5.0.2-3/include/CGAL/Qt/GraphicsViewCircleInput.h 5.0.3-1/include/CGAL/Qt/GraphicsViewCircleInput.h
--- 5.0.2-3/include/CGAL/Qt/GraphicsViewCircleInput.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/GraphicsViewCircleInput.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/GraphicsViewCircleInput.h $
-// $Id: GraphicsViewCircleInput.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/GraphicsViewCircleInput.h $
+// $Id: GraphicsViewCircleInput.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -21,7 +21,7 @@
 #include <QRectF>
 #include <QPointF>
 #include <QGraphicsItem>
-#include <QGraphicsEllipseItem> 
+#include <QGraphicsEllipseItem>
 #include <QGraphicsScene>
 #include <QGraphicsSceneMouseEvent>
 #include <QPainter>
@@ -40,18 +40,18 @@ template <typename K>
 class GraphicsViewCircleInput : public GraphicsViewInput
 {
 public:
-  GraphicsViewCircleInput(QObject *parent, QGraphicsScene* s, int pointsOnCircle=1); 
+  GraphicsViewCircleInput(QObject *parent, QGraphicsScene* s, int pointsOnCircle=1);
 
 protected:
-    
+
   virtual void mousePressEvent(QGraphicsSceneMouseEvent *event);
   virtual void mouseMoveEvent(QGraphicsSceneMouseEvent *event);
   virtual void keyPressEvent(QKeyEvent *event);
-  
+
   bool eventFilter(QObject *obj, QEvent *event);
-  
 
-  
+
+
 
 private:
 
@@ -61,14 +61,14 @@ private:
   QGraphicsEllipseItem *qcircle;
   QPointF qp, qq, qr;
   Point_2 p, q, r;
-  QGraphicsScene *scene_;  
+  QGraphicsScene *scene_;
   Converter<K> convert;
 };
 
 
 template <typename K>
 GraphicsViewCircleInput<K>::GraphicsViewCircleInput(QObject *parent, QGraphicsScene* s, int pointsOnCircle)
-  : GraphicsViewInput(parent), m_pointsOnCircle(pointsOnCircle), 
+  : GraphicsViewInput(parent), m_pointsOnCircle(pointsOnCircle),
     count(0), qcircle(new QGraphicsEllipseItem()), scene_(s)
 {
   qcircle->hide();
@@ -77,9 +77,9 @@ GraphicsViewCircleInput<K>::GraphicsView
 
 
 template <typename K>
-void 
+void
 GraphicsViewCircleInput<K>::mousePressEvent(QGraphicsSceneMouseEvent *event)
-{ 
+{
   if(event->modifiers()  & ::Qt::ShiftModifier){
     return;
   }
@@ -91,16 +91,16 @@ GraphicsViewCircleInput<K>::mousePressEv
     } else {
       qq = event->scenePos();
       if(qp != qq){
-	qcircle->hide();
-	q = convert(qq);
-	if(m_pointsOnCircle == 1){
-	  typename K::FT sd = squared_distance(p,q);
-	  Q_EMIT generate(CGAL::make_object(std::make_pair(p, sd)));
-	} else {
-	  Q_EMIT generate(CGAL::make_object(std::make_pair(p, q)));
-	}
-	count = 0;
-      } 
+        qcircle->hide();
+        q = convert(qq);
+        if(m_pointsOnCircle == 1){
+          typename K::FT sd = squared_distance(p,q);
+          Q_EMIT generate(CGAL::make_object(std::make_pair(p, sd)));
+        } else {
+          Q_EMIT generate(CGAL::make_object(std::make_pair(p, q)));
+        }
+        count = 0;
+      }
     }
   } else {
     if(count == 0){
@@ -110,16 +110,16 @@ GraphicsViewCircleInput<K>::mousePressEv
     } else if(count == 1){
       qq = event->scenePos();
       if(qp != qq){
-	q = convert(qq);
-	count = 2;
+        q = convert(qq);
+        count = 2;
       }
     } else { // count == 2
       qr  = event->scenePos();
       r = convert(qr);
       typename K::Collinear_2 collinear;
       if(! collinear(p,q,r)){
-	Q_EMIT generate(CGAL::make_object(CGAL::make_array(p,q,r)));
-	count = 0;
+        Q_EMIT generate(CGAL::make_object(CGAL::make_array(p,q,r)));
+        count = 0;
       }
     }
   }
@@ -127,7 +127,7 @@ GraphicsViewCircleInput<K>::mousePressEv
 
 
 template <typename K>
-void 
+void
 GraphicsViewCircleInput<K>::mouseMoveEvent(QGraphicsSceneMouseEvent *event)
 {
   CGAL::Bbox_2 bb;
@@ -143,10 +143,10 @@ GraphicsViewCircleInput<K>::mouseMoveEve
       return;
     } else {
       if(m_pointsOnCircle == 1){
-	typename K::FT sd = squared_distance(p,q);
-	bb = construct_circle(p, sd).bbox();
+        typename K::FT sd = squared_distance(p,q);
+        bb = construct_circle(p, sd).bbox();
       } else {
-	bb = construct_circle(p, q).bbox();
+        bb = construct_circle(p, q).bbox();
       }
     }
   } else { // count == 2
@@ -166,8 +166,8 @@ GraphicsViewCircleInput<K>::mouseMoveEve
 
 
 template <typename K>
-void 
-GraphicsViewCircleInput<K>::keyPressEvent ( QKeyEvent * event ) 
+void
+GraphicsViewCircleInput<K>::keyPressEvent ( QKeyEvent * event )
 {
   if(event->key() == ::Qt::Key_Delete){
     if(count>0){
@@ -179,7 +179,7 @@ GraphicsViewCircleInput<K>::keyPressEven
 
 
 template <typename K>
-bool 
+bool
 GraphicsViewCircleInput<K>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMousePress) {
@@ -198,7 +198,7 @@ GraphicsViewCircleInput<K>::eventFilter(
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 } // namespace Qt
 
diff -pruN 5.0.2-3/include/CGAL/Qt/GraphicsViewCircularArcInput.h 5.0.3-1/include/CGAL/Qt/GraphicsViewCircularArcInput.h
--- 5.0.2-3/include/CGAL/Qt/GraphicsViewCircularArcInput.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/GraphicsViewCircularArcInput.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/GraphicsViewCircularArcInput.h $
-// $Id: GraphicsViewCircularArcInput.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/GraphicsViewCircularArcInput.h $
+// $Id: GraphicsViewCircularArcInput.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -21,8 +21,8 @@
 #include <QRectF>
 #include <QPointF>
 #include <QGraphicsItem>
-#include <QGraphicsEllipseItem> 
-#include <QGraphicsLineItem> 
+#include <QGraphicsEllipseItem>
+#include <QGraphicsLineItem>
 #include <QGraphicsScene>
 #include <QGraphicsSceneMouseEvent>
 #include <QPainter>
@@ -42,19 +42,19 @@ template <typename K>
 class GraphicsViewCircularArcInput : public GraphicsViewInput
 {
 public:
-  GraphicsViewCircularArcInput(QObject *parent, QGraphicsScene* s); 
+  GraphicsViewCircularArcInput(QObject *parent, QGraphicsScene* s);
   ~GraphicsViewCircularArcInput();
 
 protected:
-    
+
   virtual void mousePressEvent(QGraphicsSceneMouseEvent *event);
   virtual void mouseMoveEvent(QGraphicsSceneMouseEvent *event);
   virtual void keyPressEvent(QKeyEvent *event);
-  
+
   bool eventFilter(QObject *obj, QEvent *event);
-  
 
-  
+
+
 
 private:
   typedef typename K::Circular_arc_2 Circular_arc_2;
@@ -67,7 +67,7 @@ private:
   CircularArcGraphicsItem<K> *qcarc;
   QPointF qp, qq, qr;
   Point_2 p, q, r, ap, aq, ar;
-  QGraphicsScene *scene_;  
+  QGraphicsScene *scene_;
   Converter<K> convert;
 };
 
@@ -93,9 +93,9 @@ GraphicsViewCircularArcInput<K>::~Graphi
 
 
 template <typename K>
-void 
+void
 GraphicsViewCircularArcInput<K>::mousePressEvent(QGraphicsSceneMouseEvent *event)
-{  
+{
   if(event->modifiers()  & ::Qt::ShiftModifier){
     return;
   }
@@ -130,7 +130,7 @@ GraphicsViewCircularArcInput<K>::mousePr
 
 
 template <typename K>
-void 
+void
 GraphicsViewCircularArcInput<K>::mouseMoveEvent(QGraphicsSceneMouseEvent *event)
 {
   if(count == 0){
@@ -153,11 +153,11 @@ GraphicsViewCircularArcInput<K>::mouseMo
       return;
     } else {
       if(CGAL::orientation(p, q, r) == CGAL::RIGHT_TURN) {
-	ap = p; ar = r; aq = q;
-	qcarc->setArc(Circular_arc_2(p,r,q));
+        ap = p; ar = r; aq = q;
+        qcarc->setArc(Circular_arc_2(p,r,q));
       } else {
-	ap = q; ar = r; aq = p;
-	qcarc->setArc(Circular_arc_2(q,r,p));
+        ap = q; ar = r; aq = p;
+        qcarc->setArc(Circular_arc_2(q,r,p));
       }
       qcarc->show();
     }
@@ -166,15 +166,15 @@ GraphicsViewCircularArcInput<K>::mouseMo
 
 
 template <typename K>
-void 
-GraphicsViewCircularArcInput<K>::keyPressEvent ( QKeyEvent * event ) 
+void
+GraphicsViewCircularArcInput<K>::keyPressEvent ( QKeyEvent * event )
 {
   if(event->key() == ::Qt::Key_Delete){
     if(count>0){
       --count;
     }
   }
-  
+
   if(event->key() == ::Qt::Key_Escape){
     count = 0;
   }
@@ -183,7 +183,7 @@ GraphicsViewCircularArcInput<K>::keyPres
 
 
 template <typename K>
-bool 
+bool
 GraphicsViewCircularArcInput<K>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMousePress) {
@@ -202,7 +202,7 @@ GraphicsViewCircularArcInput<K>::eventFi
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 } // namespace Qt
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Qt/GraphicsViewInput.h 5.0.3-1/include/CGAL/Qt/GraphicsViewInput.h
--- 5.0.2-3/include/CGAL/Qt/GraphicsViewInput.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/GraphicsViewInput.h	2020-08-01 19:02:21.000000000 +0000
@@ -4,10 +4,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/GraphicsViewInput.h $
-// $Id: GraphicsViewInput.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/GraphicsViewInput.h $
+// $Id: GraphicsViewInput.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -33,7 +33,7 @@ class CGAL_QT_EXPORT GraphicsViewInput
   Q_OBJECT
 
 public:
-  GraphicsViewInput(QObject* parent) 
+  GraphicsViewInput(QObject* parent)
     : QObject(parent)
   {}
 
diff -pruN 5.0.2-3/include/CGAL/Qt/GraphicsViewIsoRectangleInput.h 5.0.3-1/include/CGAL/Qt/GraphicsViewIsoRectangleInput.h
--- 5.0.2-3/include/CGAL/Qt/GraphicsViewIsoRectangleInput.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/GraphicsViewIsoRectangleInput.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/GraphicsViewIsoRectangleInput.h $
-// $Id: GraphicsViewIsoRectangleInput.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/GraphicsViewIsoRectangleInput.h $
+// $Id: GraphicsViewIsoRectangleInput.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -21,7 +21,7 @@
 #include <QRectF>
 #include <QPointF>
 #include <QGraphicsItem>
-#include <QGraphicsRectItem> 
+#include <QGraphicsRectItem>
 #include <QGraphicsScene>
 #include <QGraphicsSceneMouseEvent>
 #include <QPainter>
@@ -40,19 +40,19 @@ template <typename K>
 class GraphicsViewIsoRectangleInput : public GraphicsViewInput
 {
 public:
-  GraphicsViewIsoRectangleInput(QObject *parent, QGraphicsScene* s); 
+  GraphicsViewIsoRectangleInput(QObject *parent, QGraphicsScene* s);
   ~GraphicsViewIsoRectangleInput();
 
 protected:
-    
+
   virtual void mousePressEvent(QGraphicsSceneMouseEvent *event);
   virtual void mouseMoveEvent(QGraphicsSceneMouseEvent *event);
   virtual void keyPressEvent(QKeyEvent *event);
-  
+
   bool eventFilter(QObject *obj, QEvent *event);
-  
 
-  
+
+
 
 private:
 
@@ -61,7 +61,7 @@ private:
   Point_2 p, q, r;
   QGraphicsRectItem *rectItem;
   QPointF rect_first_point;
-  QGraphicsScene *scene_;  
+  QGraphicsScene *scene_;
   Converter<K> convert;
 };
 
@@ -84,9 +84,9 @@ GraphicsViewIsoRectangleInput<K>::~Graph
 
 
 template <typename K>
-void 
+void
 GraphicsViewIsoRectangleInput<K>::mousePressEvent(QGraphicsSceneMouseEvent *event)
-{  
+{
   if(event->modifiers()  & ::Qt::ShiftModifier){
     return;
   }
@@ -95,7 +95,7 @@ GraphicsViewIsoRectangleInput<K>::mouseP
       // we have clicked twice
       Q_EMIT generate(CGAL::make_object(convert(rectItem->rect())));
       rectItem->hide();
-    } else { 
+    } else {
       // we enter a first point
       rect_first_point = event->scenePos();
       rectItem->setRect(QRectF(rect_first_point, rect_first_point));
@@ -106,27 +106,27 @@ GraphicsViewIsoRectangleInput<K>::mouseP
 
 
 template <typename K>
-void 
+void
 GraphicsViewIsoRectangleInput<K>::mouseMoveEvent(QGraphicsSceneMouseEvent *event)
 {
   // todo: only do this if no modifiers are pressed at the same time
   if(rectItem->isVisible()) {
     rectItem->setRect(QRectF(rect_first_point,
-			     event->scenePos()));
+                             event->scenePos()));
   }
 }
 
 
 template <typename K>
-void 
-GraphicsViewIsoRectangleInput<K>::keyPressEvent ( QKeyEvent * event ) 
+void
+GraphicsViewIsoRectangleInput<K>::keyPressEvent ( QKeyEvent * event )
 {
 }
 
 
 
 template <typename K>
-bool 
+bool
 GraphicsViewIsoRectangleInput<K>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMousePress) {
@@ -145,7 +145,7 @@ GraphicsViewIsoRectangleInput<K>::eventF
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 } // namespace Qt
 
diff -pruN 5.0.2-3/include/CGAL/Qt/GraphicsViewLineInput.h 5.0.3-1/include/CGAL/Qt/GraphicsViewLineInput.h
--- 5.0.2-3/include/CGAL/Qt/GraphicsViewLineInput.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/GraphicsViewLineInput.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/GraphicsViewLineInput.h $
-// $Id: GraphicsViewLineInput.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/GraphicsViewLineInput.h $
+// $Id: GraphicsViewLineInput.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -21,7 +21,7 @@
 #include <QRectF>
 #include <QPointF>
 #include <QGraphicsItem>
-#include <QGraphicsLineItem> 
+#include <QGraphicsLineItem>
 #include <QGraphicsScene>
 #include <QGraphicsSceneMouseEvent>
 #include <QPainter>
@@ -42,15 +42,15 @@ public:
   GraphicsViewLineInput(QObject *parent, QGraphicsScene* s);
 
 protected:
-    
+
   virtual void mousePressEvent(QGraphicsSceneMouseEvent *event);
   virtual void mouseMoveEvent(QGraphicsSceneMouseEvent *event);
   virtual void keyPressEvent(QKeyEvent *event);
-  
+
   bool eventFilter(QObject *obj, QEvent *event);
-  
 
-  
+
+
 
 private:
 
@@ -62,7 +62,7 @@ private:
   QPointF qsp, qtp;
   typename K::Point_2 sp, tp;
   typename K::Line_2 l;
-  QGraphicsScene *scene_;  
+  QGraphicsScene *scene_;
   Converter<K> convert;
 };
 
@@ -99,9 +99,9 @@ GraphicsViewLineInput<K>::qlinef()
 }
 
 template <typename K>
-void 
+void
 GraphicsViewLineInput<K>::mousePressEvent(QGraphicsSceneMouseEvent *event)
-{  
+{
   if(event->modifiers()  & ::Qt::ShiftModifier){
     return;
   }
@@ -124,20 +124,20 @@ GraphicsViewLineInput<K>::mousePressEven
 
 
 template <typename K>
-void 
+void
 GraphicsViewLineInput<K>::mouseMoveEvent(QGraphicsSceneMouseEvent *event)
 {
   qtp = event->scenePos();
   if(qtp == qsp){
     qtp = QPointF(qsp.x()+1, qsp.y());
-  } 
+  }
   line.setLine(qlinef());
 }
 
 
 template <typename K>
-void 
-GraphicsViewLineInput<K>::keyPressEvent ( QKeyEvent * event ) 
+void
+GraphicsViewLineInput<K>::keyPressEvent ( QKeyEvent * event )
 {
   if(event->key() != ::Qt::Key_Delete){ // need an anchored namespace to get away from CGAL::Qt
     return;
@@ -151,7 +151,7 @@ GraphicsViewLineInput<K>::keyPressEvent
 
 
 template <typename K>
-bool 
+bool
 GraphicsViewLineInput<K>::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMousePress) {
@@ -170,7 +170,7 @@ GraphicsViewLineInput<K>::eventFilter(QO
     // standard event processing
     return QObject::eventFilter(obj, event);
   }
-} 
+}
 
 } // namespace Qt
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Qt/GraphicsViewNavigation.h 5.0.3-1/include/CGAL/Qt/GraphicsViewNavigation.h
--- 5.0.2-3/include/CGAL/Qt/GraphicsViewNavigation.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/GraphicsViewNavigation.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/GraphicsViewNavigation.h $
-// $Id: GraphicsViewNavigation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/GraphicsViewNavigation.h $
+// $Id: GraphicsViewNavigation.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -45,7 +45,7 @@ class CGAL_QT_EXPORT GraphicsViewNavigat
 public:
   GraphicsViewNavigation();
   ~GraphicsViewNavigation();
-  
+
   bool eventFilter(QObject *obj, QEvent *event);
 
 private:
diff -pruN 5.0.2-3/include/CGAL/Qt/GraphicsViewNavigation_impl.h 5.0.3-1/include/CGAL/Qt/GraphicsViewNavigation_impl.h
--- 5.0.2-3/include/CGAL/Qt/GraphicsViewNavigation_impl.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/GraphicsViewNavigation_impl.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/GraphicsViewNavigation_impl.h $
-// $Id: GraphicsViewNavigation_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/GraphicsViewNavigation_impl.h $
+// $Id: GraphicsViewNavigation_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
-   
+
 #ifdef CGAL_HEADER_ONLY
 #define CGAL_INLINE_FUNCTION inline
 
@@ -59,7 +59,7 @@ namespace Qt {
   }
 
   CGAL_INLINE_FUNCTION
-  bool 
+  bool
   GraphicsViewNavigation::eventFilter(QObject *obj, QEvent *event)
   {
     QGraphicsView* v = qobject_cast<QGraphicsView*>(obj);
@@ -73,7 +73,7 @@ namespace Qt {
         return false;
       }
     }
-    switch(event->type()) 
+    switch(event->type())
     {
     case QEvent::KeyPress: {
       QKeyEvent *keyEvent = static_cast<QKeyEvent*>(event);
@@ -181,12 +181,12 @@ namespace Qt {
       QString xy = QString(" ") + QString::number(pos.x(),'g', 6) + " , " + QString::number(pos.y(),'g', 6) + " ";
       Q_EMIT mouseCoordinates(xy);
       if(rectItem->isVisible()) {
-	QPointF size = v->mapToScene(mouseEvent->pos());
-	size = size - rect_first_point;
+        QPointF size = v->mapToScene(mouseEvent->pos());
+        size = size - rect_first_point;
         rectItem->setRect(rect_first_point.x(),
-			  rect_first_point.y(),
-			  size.x(),
-			  size.y());
+                          rect_first_point.y(),
+                          size.x(),
+                          size.y());
       }
       if( dragging )
       {
@@ -233,7 +233,7 @@ namespace Qt {
 
 
   CGAL_INLINE_FUNCTION
-  void 
+  void
   GraphicsViewNavigation::scaleView(QGraphicsView* v, qreal scaleFactor)
   {
     QPointF center = v->mapToScene(v->viewport()->rect().center());
@@ -271,11 +271,11 @@ namespace Qt {
     int horizontalScrollBarValue = v->horizontalScrollBar()->value();
     int verticalScrollBarValue = v->verticalScrollBar()->value();
 
-    if( (horizontalScrollBarValue + dx <= 
+    if( (horizontalScrollBarValue + dx <=
          v->horizontalScrollBar()->maximum()) &&
         (horizontalScrollBarValue + dx >=
          v->horizontalScrollBar()->minimum()) &&
-        (verticalScrollBarValue + dy <= 
+        (verticalScrollBarValue + dy <=
          v->verticalScrollBar()->maximum()) &&
         (verticalScrollBarValue + dy >=
          v->verticalScrollBar()->minimum()) )
@@ -307,7 +307,7 @@ namespace Qt {
   CGAL_INLINE_FUNCTION
   void GraphicsViewNavigation::display_parameters(QGraphicsView* v)
   {
-    std::cerr << 
+    std::cerr <<
       boost::format("matrix translation=(%1%, %2%)\n"
                     "       rotation=(%3% - %4% )\n"
                     "                (%5% - %6% )\n")
@@ -334,10 +334,10 @@ namespace Qt {
       % vp_top_left.y() % vp_bottom_right.y();
     std::cerr <<
       boost::format("scrollbars=(%1% <= %2% <= %3%) x (%4% <= %5% <= %6%)\n")
-      % v->horizontalScrollBar()->minimum() 
+      % v->horizontalScrollBar()->minimum()
       % v->horizontalScrollBar()->value()
       % v->horizontalScrollBar()->maximum()
-      % v->verticalScrollBar()->minimum() 
+      % v->verticalScrollBar()->minimum()
       % v->verticalScrollBar()->value()
       % v->verticalScrollBar()->maximum();
   }
diff -pruN 5.0.2-3/include/CGAL/Qt/GraphicsViewPointInput.h 5.0.3-1/include/CGAL/Qt/GraphicsViewPointInput.h
--- 5.0.2-3/include/CGAL/Qt/GraphicsViewPointInput.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/GraphicsViewPointInput.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Qt/GraphicsViewPointInput.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Qt/GraphicsViewPointInput.h $
 // $Id: GraphicsViewPointInput.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 
diff -pruN 5.0.2-3/include/CGAL/Qt/GraphicsViewPolygonWithHolesInput.h 5.0.3-1/include/CGAL/Qt/GraphicsViewPolygonWithHolesInput.h
--- 5.0.2-3/include/CGAL/Qt/GraphicsViewPolygonWithHolesInput.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/GraphicsViewPolygonWithHolesInput.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/GraphicsViewPolygonWithHolesInput.h $
-// $Id: GraphicsViewPolygonWithHolesInput.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/GraphicsViewPolygonWithHolesInput.h $
+// $Id: GraphicsViewPolygonWithHolesInput.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -53,9 +53,9 @@ template <typename K>
 class GraphicsViewPolygonWithHolesInput : public GraphicsViewInput
 {
 public:
-  GraphicsViewPolygonWithHolesInput(QObject *parent, QGraphicsScene* s); 
+  GraphicsViewPolygonWithHolesInput(QObject *parent, QGraphicsScene* s);
   ~GraphicsViewPolygonWithHolesInput();
-  
+
 public Q_SLOTS:
   void processInput(CGAL::Object o);
 
@@ -63,15 +63,15 @@ typedef CGAL::Polygon_2<K> Polygon;
 typedef CGAL::Polygon_with_holes_2<K> Polygon_with_holes;
 
 protected:
-    
+
   virtual void keyPressEvent(QKeyEvent *event);
-  
+
   bool eventFilter(QObject *obj, QEvent *event);
-  
+
 private:
 
   Polygon polygon;
-  std::list<Polygon> holes; 
+  std::list<Polygon> holes;
   Polygon_with_holes pwh;  // this one collects the input polygons
 
   CGAL::Qt::PolygonWithHolesGraphicsItem<Polygon_with_holes> * pwhItem;
@@ -79,7 +79,7 @@ private:
 
   bool polygon_input;
   typedef typename K::Point_2 Point_2;
-  QGraphicsScene *scene_;  
+  QGraphicsScene *scene_;
 };
 
 
@@ -91,13 +91,13 @@ GraphicsViewPolygonWithHolesInput<K>::Gr
   pwhItem->setBrush(::Qt::yellow);
   scene_->addItem(pwhItem);
   pwhItem->hide();
-  
+
   pi = new CGAL::Qt::GraphicsViewPolylineInput<K>(parent,s);
   QObject::connect(pi, SIGNAL(generate(CGAL::Object)),
-		   this, SLOT(processInput(CGAL::Object)));
+                   this, SLOT(processInput(CGAL::Object)));
 
   QObject::connect(this, SIGNAL(modelChanged()),
-		   pwhItem, SLOT(modelChanged()));
+                   pwhItem, SLOT(modelChanged()));
 
 }
 
@@ -116,21 +116,21 @@ GraphicsViewPolygonWithHolesInput<K>::pr
    std::list<Point_2> points;
   if(CGAL::assign(points, o)){
     if((points.size() == 1)&& polygon.size()>0){
-    
+
     } else {
       polygon.clear();
       if(points.front() == points.back()){
-	points.pop_back();
+        points.pop_back();
       }
       polygon.insert(polygon.vertices_begin(), points.begin(), points.end());
       if(holes.empty()){
-	if(polygon.orientation() == CGAL::CLOCKWISE){
-	  polygon.reverse_orientation();
-	}
+        if(polygon.orientation() == CGAL::CLOCKWISE){
+          polygon.reverse_orientation();
+        }
       } else {
-	if(polygon.orientation() == CGAL::COUNTERCLOCKWISE){
-	  polygon.reverse_orientation();
-	}
+        if(polygon.orientation() == CGAL::COUNTERCLOCKWISE){
+          polygon.reverse_orientation();
+        }
       }
       holes.push_back(polygon);
       typename std::list<Polygon>::iterator it = holes.begin();
@@ -139,20 +139,20 @@ GraphicsViewPolygonWithHolesInput<K>::pr
     }
     Q_EMIT( modelChanged());
     polygon_input = false;
-  } 
+  }
 }
 
 
 template <typename K>
-void 
-GraphicsViewPolygonWithHolesInput<K>::keyPressEvent ( QKeyEvent * event ) 
+void
+GraphicsViewPolygonWithHolesInput<K>::keyPressEvent ( QKeyEvent * event )
 {
 }
 
 
 
 template <typename K>
-bool 
+bool
 GraphicsViewPolygonWithHolesInput<K>::eventFilter(QObject *obj, QEvent *event)
 {
   if(polygon_input){
@@ -160,19 +160,19 @@ GraphicsViewPolygonWithHolesInput<K>::ev
   } else {
     if (event->type() == QEvent::GraphicsSceneMousePress) {
       QGraphicsSceneMouseEvent *mouseEvent = static_cast<QGraphicsSceneMouseEvent *>(event);
-      
+
       if(mouseEvent->modifiers()  & ::Qt::ShiftModifier){
-	return QObject::eventFilter(obj, event);;
+        return QObject::eventFilter(obj, event);;
       }
       if(mouseEvent->button() == ::Qt::LeftButton) {
-	polygon_input = true;
-	return pi->eventFilter(obj, event);
+        polygon_input = true;
+        return pi->eventFilter(obj, event);
       } else if(mouseEvent->button() == ::Qt::RightButton) {
-	Q_EMIT( generate(CGAL::make_object(pwh)));
-	pwh.clear();
-	holes.clear();
-	polygon_input = false;
-	Q_EMIT( modelChanged());
+        Q_EMIT( generate(CGAL::make_object(pwh)));
+        pwh.clear();
+        holes.clear();
+        polygon_input = false;
+        Q_EMIT( modelChanged());
       }
       return true;
     } else if (event->type() == QEvent::KeyPress) {
@@ -184,7 +184,7 @@ GraphicsViewPolygonWithHolesInput<K>::ev
       return QObject::eventFilter(obj, event);
     }
   }
-} 
+}
 
 } // namespace Qt
 
diff -pruN 5.0.2-3/include/CGAL/Qt/GraphicsViewPolylineInput.h 5.0.3-1/include/CGAL/Qt/GraphicsViewPolylineInput.h
--- 5.0.2-3/include/CGAL/Qt/GraphicsViewPolylineInput.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/GraphicsViewPolylineInput.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/GraphicsViewPolylineInput.h $
-// $Id: GraphicsViewPolylineInput.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/GraphicsViewPolylineInput.h $
+// $Id: GraphicsViewPolylineInput.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -47,12 +47,12 @@ public:
   {
     n_ = n;
   }
-  
+
   bool eventFilter(QObject *obj, QEvent *event);
-  
+
 protected:
   // protected constructor
-  GraphicsViewPolylineInput_non_templated_base(QObject* parent, 
+  GraphicsViewPolylineInput_non_templated_base(QObject* parent,
                                      QGraphicsScene* s,
                                      int n = 0,
                                      bool closed = true);
@@ -95,7 +95,7 @@ protected:
   void generate_polygon() {
     std::list<typename K::Point_2> points;
     Converter<K> convert;
-    convert(points, this->polygon); 
+    convert(points, this->polygon);
     if(closed_ && points.size()>2){
       points.push_back(points.front());
     }
diff -pruN 5.0.2-3/include/CGAL/Qt/GraphicsViewPolylineInput_impl.h 5.0.3-1/include/CGAL/Qt/GraphicsViewPolylineInput_impl.h
--- 5.0.2-3/include/CGAL/Qt/GraphicsViewPolylineInput_impl.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/GraphicsViewPolylineInput_impl.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/GraphicsViewPolylineInput_impl.h $
-// $Id: GraphicsViewPolylineInput_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/GraphicsViewPolylineInput_impl.h $
+// $Id: GraphicsViewPolylineInput_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
-   
+
 #ifdef CGAL_HEADER_ONLY
 #define CGAL_INLINE_FUNCTION inline
 
@@ -21,7 +21,7 @@
 #endif
 
 #include <QGraphicsItem>
-#include <QGraphicsPathItem> 
+#include <QGraphicsPathItem>
 #include <QGraphicsScene>
 #include <QGraphicsSceneMouseEvent>
 #include <QPainter>
@@ -46,7 +46,7 @@ GraphicsViewPolylineInput_non_templated_
 CGAL_INLINE_FUNCTION
 bool
 GraphicsViewPolylineInput_non_templated_base::mousePressEvent(QGraphicsSceneMouseEvent *event)
-{ 
+{
   if( event->modifiers() ){
     return false;
   }
@@ -90,7 +90,7 @@ GraphicsViewPolylineInput_non_templated_
 
 
 CGAL_INLINE_FUNCTION
-void 
+void
 GraphicsViewPolylineInput_non_templated_base::rubberbands(const QPointF& p)
 {
   if(polygon.empty()){
@@ -102,7 +102,7 @@ GraphicsViewPolylineInput_non_templated_
     scene_->addItem(b);
   }
   if( !e){
-    e = new QGraphicsLineItem();    
+    e = new QGraphicsLineItem();
     e->setPen(QPen(::Qt::red, 0, ::Qt::SolidLine, ::Qt::RoundCap, ::Qt::RoundJoin));
     scene_->addItem(e);
   }
@@ -111,12 +111,12 @@ GraphicsViewPolylineInput_non_templated_
     b->setLine(bLine);
   }
   QLineF eLine(polygon.back(), p);
-  e->setLine(eLine); 
+  e->setLine(eLine);
 }
 
 
 CGAL_INLINE_FUNCTION
-void 
+void
 GraphicsViewPolylineInput_non_templated_base::mouseMoveEvent(QGraphicsSceneMouseEvent *event)
 {
   sp = event->scenePos();
@@ -126,7 +126,7 @@ GraphicsViewPolylineInput_non_templated_
 
 CGAL_INLINE_FUNCTION
 bool
-GraphicsViewPolylineInput_non_templated_base::keyPressEvent ( QKeyEvent * event ) 
+GraphicsViewPolylineInput_non_templated_base::keyPressEvent ( QKeyEvent * event )
 {
   if( event->modifiers() )
     return false;
@@ -174,7 +174,7 @@ GraphicsViewPolylineInput_non_templated_
 
 
 CGAL_INLINE_FUNCTION
-bool 
+bool
 GraphicsViewPolylineInput_non_templated_base::eventFilter(QObject *obj, QEvent *event)
 {
   if (event->type() == QEvent::GraphicsSceneMousePress) {
diff -pruN 5.0.2-3/include/CGAL/Qt/image_interface.h 5.0.3-1/include/CGAL/Qt/image_interface.h
--- 5.0.2-3/include/CGAL/Qt/image_interface.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/image_interface.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/image_interface.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/image_interface.h $
 // $Id: image_interface.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 
diff -pruN 5.0.2-3/include/CGAL/Qt/keyFrameInterpolator.h 5.0.3-1/include/CGAL/Qt/keyFrameInterpolator.h
--- 5.0.2-3/include/CGAL/Qt/keyFrameInterpolator.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/keyFrameInterpolator.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/keyFrameInterpolator.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/keyFrameInterpolator.h $
 // $Id: keyFrameInterpolator.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 #ifndef QGLVIEWER_KEY_FRAME_INTERPOLATOR_H
diff -pruN 5.0.2-3/include/CGAL/Qt/keyFrameInterpolator_impl.h 5.0.3-1/include/CGAL/Qt/keyFrameInterpolator_impl.h
--- 5.0.2-3/include/CGAL/Qt/keyFrameInterpolator_impl.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/keyFrameInterpolator_impl.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/keyFrameInterpolator_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/keyFrameInterpolator_impl.h $
 // $Id: keyFrameInterpolator_impl.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 #ifdef CGAL_HEADER_ONLY
diff -pruN 5.0.2-3/include/CGAL/Qt/LineGraphicsItem.h 5.0.3-1/include/CGAL/Qt/LineGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/LineGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/LineGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/LineGraphicsItem.h $
-// $Id: LineGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/LineGraphicsItem.h $
+// $Id: LineGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -41,9 +41,9 @@ public:
 
 public:
   QRectF boundingRect() const;
-  
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
+
 
   const QPen& Pen() const
   {
@@ -56,7 +56,7 @@ public:
     this->pen = pen_;
   }
 
-  
+
   void setLine(const Line_2& a);
 
   Line_2 line() const
@@ -77,7 +77,7 @@ protected:
 
 
 template <typename CK>
-void 
+void
 LineGraphicsItem<CK>::setLine(const Line_2& a)
 {
   line_ = a;
@@ -93,7 +93,7 @@ LineGraphicsItem<CK>::LineGraphicsItem()
 }
 
 template <typename CK>
-QRectF 
+QRectF
 LineGraphicsItem<CK>::boundingRect() const
 {
   if(scene()){
@@ -106,8 +106,8 @@ LineGraphicsItem<CK>::boundingRect() con
 
 
 template <typename CK>
-void 
-LineGraphicsItem<CK>::paint(QPainter *painter, 
+void
+LineGraphicsItem<CK>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem * /*option*/,
                                     QWidget * /*widget*/)
 {
@@ -120,7 +120,7 @@ LineGraphicsItem<CK>::paint(QPainter *pa
 
 
 template <typename CK>
-void 
+void
 LineGraphicsItem<CK>::modelChanged()
 {
   update();
diff -pruN 5.0.2-3/include/CGAL/Qt/manipulatedCameraFrame.h 5.0.3-1/include/CGAL/Qt/manipulatedCameraFrame.h
--- 5.0.2-3/include/CGAL/Qt/manipulatedCameraFrame.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/manipulatedCameraFrame.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/manipulatedCameraFrame.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/manipulatedCameraFrame.h $
 // $Id: manipulatedCameraFrame.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 
diff -pruN 5.0.2-3/include/CGAL/Qt/manipulatedCameraFrame_impl.h 5.0.3-1/include/CGAL/Qt/manipulatedCameraFrame_impl.h
--- 5.0.2-3/include/CGAL/Qt/manipulatedCameraFrame_impl.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/manipulatedCameraFrame_impl.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/manipulatedCameraFrame_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/manipulatedCameraFrame_impl.h $
 // $Id: manipulatedCameraFrame_impl.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 
diff -pruN 5.0.2-3/include/CGAL/Qt/manipulatedFrame.h 5.0.3-1/include/CGAL/Qt/manipulatedFrame.h
--- 5.0.2-3/include/CGAL/Qt/manipulatedFrame.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/manipulatedFrame.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/manipulatedFrame.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/manipulatedFrame.h $
 // $Id: manipulatedFrame.h 1968f2c 2020-01-02T10:00:05+01:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-only
 
diff -pruN 5.0.2-3/include/CGAL/Qt/manipulatedFrame_impl.h 5.0.3-1/include/CGAL/Qt/manipulatedFrame_impl.h
--- 5.0.2-3/include/CGAL/Qt/manipulatedFrame_impl.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/manipulatedFrame_impl.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/manipulatedFrame_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/manipulatedFrame_impl.h $
 // $Id: manipulatedFrame_impl.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 
diff -pruN 5.0.2-3/include/CGAL/Qt/mouseGrabber.h 5.0.3-1/include/CGAL/Qt/mouseGrabber.h
--- 5.0.2-3/include/CGAL/Qt/mouseGrabber.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/mouseGrabber.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/mouseGrabber.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/mouseGrabber.h $
 // $Id: mouseGrabber.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 
diff -pruN 5.0.2-3/include/CGAL/Qt/mouseGrabber_impl.h 5.0.3-1/include/CGAL/Qt/mouseGrabber_impl.h
--- 5.0.2-3/include/CGAL/Qt/mouseGrabber_impl.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/mouseGrabber_impl.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/mouseGrabber_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/mouseGrabber_impl.h $
 // $Id: mouseGrabber_impl.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 
diff -pruN 5.0.2-3/include/CGAL/Qt/PainterOstream.h 5.0.3-1/include/CGAL/Qt/PainterOstream.h
--- 5.0.2-3/include/CGAL/Qt/PainterOstream.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/PainterOstream.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/PainterOstream.h $
-// $Id: PainterOstream.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/PainterOstream.h $
+// $Id: PainterOstream.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -72,13 +72,13 @@ private:
   typedef typename K::Triangle_2 Triangle_2;
   typedef typename K::Iso_rectangle_2 Iso_rectangle_2;
   typedef typename K::Circle_2 Circle_2;
-  typedef typename internal::Circular_kernel_2_types<K>::Circular_arc_point_2 
+  typedef typename internal::Circular_kernel_2_types<K>::Circular_arc_point_2
     Circular_arc_point_2;
-  typedef typename internal::Circular_kernel_2_types<K>::Circular_arc_2 
+  typedef typename internal::Circular_kernel_2_types<K>::Circular_arc_2
     Circular_arc_2;
-  typedef typename internal::Circular_kernel_2_types<K>::Line_arc_2 
+  typedef typename internal::Circular_kernel_2_types<K>::Line_arc_2
     Line_arc_2;
-  
+
 public:
   PainterOstream(QPainter* p, QRectF rect = QRectF())
     : qp(p), convert(rect)
@@ -89,21 +89,21 @@ public:
     qp->drawPoint(convert(p));
     return *this;
   }
-  
+
   PainterOstream& operator<<(const Segment_2& s)
   {
     qp->drawLine(convert(s.source()), convert(s.target()));
     return *this;
   }
-  
-  
+
+
   PainterOstream& operator<<(const Ray_2& r)
   {
     qp->drawLine(convert(r));
     return *this;
   }
 
-  
+
   PainterOstream& operator<<(const Line_2& l)
   {
     qp->drawLine(convert(l));
@@ -152,9 +152,9 @@ public:
     const typename K::Circular_arc_point_2 & target = arc.target();
 
     double asource = std::atan2( -to_double(source.y() - center.y()),
-				 to_double(source.x() - center.x())); 
+                                 to_double(source.x() - center.x()));
     double atarget = std::atan2( -to_double(target.y() - center.y()),
-				 to_double(target.x() - center.x()));
+                                 to_double(target.x() - center.x()));
 
     std::swap(asource, atarget);
     double aspan = atarget - asource;
@@ -163,28 +163,28 @@ public:
       aspan += 2 * CGAL_PI;
 
     const double coeff = 180*16/CGAL_PI;
-    qp->drawArc(convert(circ.bbox()), 
-		(int)(asource * coeff), 
-	         (int)(aspan * coeff));
+    qp->drawArc(convert(circ.bbox()),
+                (int)(asource * coeff),
+                 (int)(aspan * coeff));
     return *this;
   }
 
   PainterOstream& operator<<(const Line_arc_2& arc)
   {
     (*this) << Segment_2(Point_2(to_double(arc.source().x()), to_double(arc.source().y())),
-			 Point_2(to_double(arc.target().x()), to_double(arc.target().y())));
+                         Point_2(to_double(arc.target().x()), to_double(arc.target().y())));
      return *this;
   }
 
-  void draw_parabola_segment(const  Point_2& center, const Line_2& line, 
-			     const  Point_2& source, const Point_2& target)
+  void draw_parabola_segment(const  Point_2& center, const Line_2& line,
+                             const  Point_2& source, const Point_2& target)
   {
     if (CGAL::collinear(source,target,center))
-      qp->drawLine(convert(source), convert(target));      
+      qp->drawLine(convert(source), convert(target));
     else
     {
       const Point_2 proj_source = line.projection(source);
-      const Point_2 proj_target = line.projection(target);      
+      const Point_2 proj_target = line.projection(target);
       const Point_2 intersection = circumcenter(proj_source,
                                                 proj_target,
                                                 center);
diff -pruN 5.0.2-3/include/CGAL/Qt/PointsGraphicsItem.h 5.0.3-1/include/CGAL/Qt/PointsGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/PointsGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/PointsGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/PointsGraphicsItem.h $
-// $Id: PointsGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/PointsGraphicsItem.h $
+// $Id: PointsGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -43,9 +43,9 @@ public:
 
 public:
   QRectF boundingRect() const;
-  
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
+
 
   const QPen& verticesPen() const
   {
@@ -85,7 +85,7 @@ protected:
 
 template <typename P>
 PointsGraphicsItem<P>::PointsGraphicsItem(P * p_)
-  :  points(p_), painterostream(0),  draw_vertices(true)   
+  :  points(p_), painterostream(0),  draw_vertices(true)
 {
   setVerticesPen(QPen(::Qt::red, 3.));
   if(points->size() == 0){
@@ -96,7 +96,7 @@ PointsGraphicsItem<P>::PointsGraphicsIte
 }
 
 template <typename P>
-QRectF 
+QRectF
 PointsGraphicsItem<P>::boundingRect() const
 {
   return bounding_rect;
@@ -106,8 +106,8 @@ PointsGraphicsItem<P>::boundingRect() co
 
 
 template <typename P>
-void 
-PointsGraphicsItem<P>::paint(QPainter *painter, 
+void
+PointsGraphicsItem<P>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem * /*option*/,
                                     QWidget * /*widget*/)
 {
@@ -129,7 +129,7 @@ PointsGraphicsItem<P>::paint(QPainter *p
 // We let the bounding box only grow, so that when vertices get removed
 // the maximal bbox gets refreshed in the GraphicsView
 template <typename P>
-void 
+void
 PointsGraphicsItem<P>::updateBoundingBox()
 {
   Converter<Traits> convert;
@@ -142,7 +142,7 @@ PointsGraphicsItem<P>::updateBoundingBox
 
 
 template <typename P>
-void 
+void
 PointsGraphicsItem<P>::modelChanged()
 {
   if((points->size() == 0) ){
diff -pruN 5.0.2-3/include/CGAL/Qt/PointsInKdTreeGraphicsItem.h 5.0.3-1/include/CGAL/Qt/PointsInKdTreeGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/PointsInKdTreeGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/PointsInKdTreeGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/PointsInKdTreeGraphicsItem.h $
-// $Id: PointsInKdTreeGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/PointsInKdTreeGraphicsItem.h $
+// $Id: PointsInKdTreeGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -90,7 +90,7 @@ public:
   QRectF boundingRect() const;
 
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
+
 
   const QPen& verticesPen() const
   {
@@ -119,7 +119,7 @@ protected:
 
 template <typename KdTree>
 PointsInKdTreeGraphicsItem<KdTree>::PointsInKdTreeGraphicsItem(KdTree * p_)
-  :  kdtree(p_), painterostream(0),  draw_vertices(true)   
+  :  kdtree(p_), painterostream(0),  draw_vertices(true)
 {
   setVerticesPen(QPen(::Qt::red, 3.));
   if(kdtree->size() == 0){
@@ -131,7 +131,7 @@ PointsInKdTreeGraphicsItem<KdTree>::Poin
 }
 
 template <typename KdTree>
-QRectF 
+QRectF
 PointsInKdTreeGraphicsItem<KdTree>::boundingRect() const
 {
   return bounding_rect;
@@ -143,8 +143,8 @@ PointsInKdTreeGraphicsItem<KdTree>::boun
 
 
 template <typename KdTree>
-void 
-PointsInKdTreeGraphicsItem<KdTree>::paint(QPainter *painter, 
+void
+PointsInKdTreeGraphicsItem<KdTree>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem *option,
                                     QWidget * /*widget*/)
 {
@@ -160,7 +160,7 @@ PointsInKdTreeGraphicsItem<KdTree>::pain
 // We let the bounding box only grow, so that when vertices get removed
 // the maximal bbox gets refreshed in the GraphicsView
 template <typename KdTree>
-void 
+void
 PointsInKdTreeGraphicsItem<KdTree>::updateBoundingBox()
 {
   prepareGeometryChange();
@@ -172,7 +172,7 @@ PointsInKdTreeGraphicsItem<KdTree>::upda
 
 
 template <typename KdTree>
-void 
+void
 PointsInKdTreeGraphicsItem<KdTree>::modelChanged()
 {
   if((kdtree->size() == 0) ){
diff -pruN 5.0.2-3/include/CGAL/Qt/PolygonGraphicsItem.h 5.0.3-1/include/CGAL/Qt/PolygonGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/PolygonGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/PolygonGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/PolygonGraphicsItem.h $
-// $Id: PolygonGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/PolygonGraphicsItem.h $
+// $Id: PolygonGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -41,9 +41,9 @@ public:
 
 public:
   QRectF boundingRect() const;
-  
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
+
 
   const QPen& verticesPen() const
   {
@@ -107,7 +107,7 @@ protected:
 template <typename P>
 PolygonGraphicsItem<P>::PolygonGraphicsItem(P * p_)
   :  poly(p_), painterostream(0),
-     draw_edges(true), draw_vertices(true)   
+     draw_edges(true), draw_vertices(true)
 {
   setVerticesPen(QPen(::Qt::red, 3.));
   setEdgesPen(QPen(::Qt::black, 0));
@@ -116,7 +116,7 @@ PolygonGraphicsItem<P>::PolygonGraphicsI
 }
 
 template <typename P>
-QRectF 
+QRectF
 PolygonGraphicsItem<P>::boundingRect() const
 {
   return bounding_rect;
@@ -126,8 +126,8 @@ PolygonGraphicsItem<P>::boundingRect() c
 
 
 template <typename P>
-void 
-PolygonGraphicsItem<P>::paint(QPainter *painter, 
+void
+PolygonGraphicsItem<P>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem * /*option*/,
                                     QWidget * /*widget*/)
 {
@@ -159,7 +159,7 @@ PolygonGraphicsItem<P>::paint(QPainter *
 // We let the bounding box only grow, so that when vertices get removed
 // the maximal bbox gets refreshed in the GraphicsView
 template <typename P>
-void 
+void
 PolygonGraphicsItem<P>::updateBoundingBox()
 {
   Converter<Traits> convert;
@@ -172,7 +172,7 @@ PolygonGraphicsItem<P>::updateBoundingBo
 
 
 template <typename P>
-void 
+void
 PolygonGraphicsItem<P>::modelChanged()
 {
   updateBoundingBox();
diff -pruN 5.0.2-3/include/CGAL/Qt/PolygonWithHolesGraphicsItem.h 5.0.3-1/include/CGAL/Qt/PolygonWithHolesGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/PolygonWithHolesGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/PolygonWithHolesGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/PolygonWithHolesGraphicsItem.h $
-// $Id: PolygonWithHolesGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/PolygonWithHolesGraphicsItem.h $
+// $Id: PolygonWithHolesGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -41,16 +41,16 @@ public:
 
 public:
   QRectF boundingRect() const;
-  
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
+
 
   const QBrush& brush() const
   {
     return brush_;
   }
 
-  
+
   void setBrush(const QBrush& b)
   {
     brush_ = b;
@@ -108,7 +108,7 @@ protected:
 template <typename P>
 PolygonWithHolesGraphicsItem<P>::PolygonWithHolesGraphicsItem(P * p_)
   :  poly(p_), painterostream(0),
-     draw_vertices(true)   
+     draw_vertices(true)
 {
   setVerticesPen(QPen(::Qt::red, 3.));
   if(poly->outer_boundary().size() == 0){
@@ -119,7 +119,7 @@ PolygonWithHolesGraphicsItem<P>::Polygon
 }
 
 template <typename P>
-QRectF 
+QRectF
 PolygonWithHolesGraphicsItem<P>::boundingRect() const
 {
   return bounding_rect;
@@ -129,10 +129,10 @@ PolygonWithHolesGraphicsItem<P>::boundin
 
 
 template <typename P>
-void 
-PolygonWithHolesGraphicsItem<P>::paint(QPainter *painter, 
-				       const QStyleOptionGraphicsItem * /*option*/,
-				       QWidget * /*widget*/)
+void
+PolygonWithHolesGraphicsItem<P>::paint(QPainter *painter,
+                                       const QStyleOptionGraphicsItem * /*option*/,
+                                       QWidget * /*widget*/)
 {
   Converter<Traits> convert;
   QPainterPath border;
@@ -147,11 +147,11 @@ PolygonWithHolesGraphicsItem<P>::paint(Q
   for(++it;
       it != poly->outer_boundary().vertices_end();
       ++it){
-    border.lineTo(convert(*it)); 
+    border.lineTo(convert(*it));
   }
   border.lineTo(firstPoint);
 
- 
+
   for(typename P::Hole_const_iterator hit = poly->holes_begin();
       hit != poly->holes_end();
       ++hit){
@@ -159,13 +159,13 @@ PolygonWithHolesGraphicsItem<P>::paint(Q
     QPointF firstPoint = convert(*it);
     border.moveTo(firstPoint);
     for(++it;
-	it != hit->vertices_end();
-	++it){
-      border.lineTo(convert(*it)); 
+        it != hit->vertices_end();
+        ++it){
+      border.lineTo(convert(*it));
     }
     border.lineTo(firstPoint);
   }
-  
+
   painter->setBrush(this->brush());
   painter->drawPath(border);
 
@@ -186,7 +186,7 @@ PolygonWithHolesGraphicsItem<P>::paint(Q
 // We let the bounding box only grow, so that when vertices get removed
 // the maximal bbox gets refreshed in the GraphicsView
 template <typename P>
-void 
+void
 PolygonWithHolesGraphicsItem<P>::updateBoundingBox()
 {
   Converter<Traits> convert;
@@ -199,7 +199,7 @@ PolygonWithHolesGraphicsItem<P>::updateB
 
 
 template <typename P>
-void 
+void
 PolygonWithHolesGraphicsItem<P>::modelChanged()
 {
   if((poly->outer_boundary().size() == 0) ){
diff -pruN 5.0.2-3/include/CGAL/Qt/PolylinesGraphicsItem.h 5.0.3-1/include/CGAL/Qt/PolylinesGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/PolylinesGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/PolylinesGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/PolylinesGraphicsItem.h $
-// $Id: PolylinesGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/PolylinesGraphicsItem.h $
+// $Id: PolylinesGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -45,9 +45,9 @@ public:
 
 public:
   QRectF boundingRect() const;
-  
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
+
 
   const QPen& verticesPen() const
   {
@@ -100,7 +100,7 @@ protected:
 template <typename P>
 PolylinesGraphicsItem<P>::PolylinesGraphicsItem(P * p_)
   :  polylines(p_), painterostream(0),
-     draw_edges(true), draw_vertices(true)   
+     draw_edges(true), draw_vertices(true)
 {
   setVerticesPen(QPen(::Qt::red, 3.));
   updateBoundingBox();
@@ -108,7 +108,7 @@ PolylinesGraphicsItem<P>::PolylinesGraph
 }
 
 template <typename P>
-QRectF 
+QRectF
 PolylinesGraphicsItem<P>::boundingRect() const
 {
   return bounding_rect;
@@ -118,15 +118,15 @@ PolylinesGraphicsItem<P>::boundingRect()
 
 
 template <typename P>
-void 
-PolylinesGraphicsItem<P>::paint(QPainter *painter, 
+void
+PolylinesGraphicsItem<P>::paint(QPainter *painter,
                                 const QStyleOptionGraphicsItem * /*option*/,
                                 QWidget * /*widget*/)
 {
 
   painterostream = PainterOstream<Traits>(painter);
 
-  painter->setPen(this->edgesPen());  
+  painter->setPen(this->edgesPen());
   for(typename P::iterator it = polylines->begin();
       it != polylines->end();
       it++){
@@ -145,7 +145,7 @@ PolylinesGraphicsItem<P>::paint(QPainter
 // We let the bounding box only grow, so that when vertices get removed
 // the maximal bbox gets refreshed in the GraphicsView
 template <typename P>
-void 
+void
 PolylinesGraphicsItem<P>::updateBoundingBox()
 {
   Converter<Traits> convert;
@@ -165,7 +165,7 @@ PolylinesGraphicsItem<P>::updateBounding
 
 
 template <typename P>
-void 
+void
 PolylinesGraphicsItem<P>::modelChanged()
 {
   updateBoundingBox();
diff -pruN 5.0.2-3/include/CGAL/Qt/PowerdiagramGraphicsItem.h 5.0.3-1/include/CGAL/Qt/PowerdiagramGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/PowerdiagramGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/PowerdiagramGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/PowerdiagramGraphicsItem.h $
-// $Id: PowerdiagramGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/PowerdiagramGraphicsItem.h $
+// $Id: PowerdiagramGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -40,7 +40,7 @@ template <typename RT>
 class PowerdiagramGraphicsItem : public GraphicsItem
 {
 
-  typedef typename RT::Geom_traits Geom_traits;      
+  typedef typename RT::Geom_traits Geom_traits;
   typedef typename Kernel_traits<typename RT::Bare_point>::Kernel K;
   typedef typename K::Segment_2 Segment_2;
   typedef typename K::Line_2 Line_2;
@@ -50,13 +50,13 @@ public:
   PowerdiagramGraphicsItem(RT  * rt_);
 
 
-  QRectF 
+  QRectF
   boundingRect() const;
-  
-  void 
+
+  void
   paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
-  void 
+
+  void
   modelChanged();
 
   const QPen& edgesPen() const
@@ -84,22 +84,22 @@ PowerdiagramGraphicsItem<RT>::Powerdiagr
 }
 
 template <typename RT>
-QRectF 
+QRectF
 PowerdiagramGraphicsItem<RT>::boundingRect() const
 {
   QRectF rect = CGAL::Qt::viewportsBbox(scene());
 
   return rect;
 }
- 
+
 
 template <typename RT>
-void 
+void
 PowerdiagramGraphicsItem<RT>::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget * /*w*/)
 {
   QRectF rect = option->exposedRect;
   PainterOstream<K> pos(painter, rect);
-  
+
   painter->setPen(edgesPen());
   for(typename RT::Finite_edges_iterator eit = rt->finite_edges_begin();
       eit != rt->finite_edges_end();
@@ -114,13 +114,13 @@ PowerdiagramGraphicsItem<RT>::paint(QPai
       pos << r;
     }else if(CGAL::assign(l,o)) {
       pos << l;
-    } 
+    }
   }
 }
 
 
 template <typename T>
-void 
+void
 PowerdiagramGraphicsItem<T>::modelChanged()
 {
   update();
diff -pruN 5.0.2-3/include/CGAL/Qt/qglviewer.h 5.0.3-1/include/CGAL/Qt/qglviewer.h
--- 5.0.2-3/include/CGAL/Qt/qglviewer.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/qglviewer.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,8 +6,8 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/qglviewer.h $
-// $Id: qglviewer.h 1968f2c 2020-01-02T10:00:05+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/qglviewer.h $
+// $Id: qglviewer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 
 #ifndef QGLVIEWER_QGLVIEWER_H
@@ -70,7 +70,7 @@ implementation.
 class CGAL_QT_EXPORT QGLViewer : public QOpenGLWidget, public QOpenGLFunctions {
   Q_OBJECT
 
-public:  
+public:
   //todo check if this is used. If not remove it
   explicit QGLViewer(QGLContext* context, QWidget *parent = 0,
                      ::Qt::WindowFlags flags = 0);
@@ -117,9 +117,9 @@ public:
   qglviewer::Camera::drawAllPaths(). Actual camera and path edition will be
   implemented in the future. */
   bool cameraIsEdited() const { return cameraIsEdited_; }
-  
+
   /*!
-   * \brief isSharing returns true if the viewer was created from an existing one, 
+   * \brief isSharing returns true if the viewer was created from an existing one,
    * and therefore is sharing its context with it.
    */
   bool isSharing() const;
@@ -378,21 +378,21 @@ public:
   Note that if the QGLViewer is embedded in an other QWidget, it returns \c true
   when the top level widget is in full screen mode. */
   bool isFullScreen() const { return fullScreen_; }
-  
+
   /*! Returns the recommended size for the QGLViewer. Default value is 600x400
    * pixels. */
   virtual QSize sizeHint() const { return QSize(600, 400); }
   /*!
-   * Sets the offset of the scene. The offset is the difference between the origin 
+   * Sets the offset of the scene. The offset is the difference between the origin
    * of the world and the origin of the scene. It is relevant when the whole scene is translated
    * of a big number, because there is a useless loss of precision when drawing.
-   * 
-   * The offset must be added to the drawn coordinates, and substracted from the computation 
+   *
+   * The offset must be added to the drawn coordinates, and substracted from the computation
    * \attention  the result of pointUnderPixel is the real item translated by the offset.
-   * 
+   *
    */
   void setOffset(qglviewer::Vec offset);
-  
+
   /*!
    * returns the offset of the scene.
    * \see `setOffset()`
@@ -428,7 +428,7 @@ protected:
 
 protected:
   void displayFPS();
-  
+
 
 //@}
 
@@ -1167,13 +1167,13 @@ protected:
   QMap<WheelBindingPrivate, MouseActionPrivate> wheelBinding_;
   QMap<ClickBindingPrivate, qglviewer::ClickAction> clickBinding_;
   ::Qt::Key currentlyPressedKey_;
-  
+
   // S t a t e   F i l e
   QString stateFileName_;
 
   // H e l p   w i n d o w
   QTabWidget *helpWidget_;
-  
+
   //internal drawing buffers
   enum VBO
   {
@@ -1200,11 +1200,11 @@ protected:
   std::size_t axis_size;
   QOpenGLFramebufferObject* stored_fbo;
   //S n a p s h o t
-  QImage* takeSnapshot(qglviewer::SnapShotBackground  background_color, 
+  QImage* takeSnapshot(qglviewer::SnapShotBackground  background_color,
                        QSize finalSize, double oversampling, bool expand);
-  
+
   //Internal Projection Matrix
-  
+
   // O f f s e t
   qglviewer::Vec _offset;
   //C o n t e x t
@@ -1215,9 +1215,9 @@ protected:
 public:
   //! Is used to know if the openGL context is 4.3 or ES 2.0.
   //! @returns `true` if the context is 4.3.
-  //! @returns `false` if the context is ES 2.0.  
+  //! @returns `false` if the context is ES 2.0.
   bool isOpenGL_4_3()const {return is_ogl_4_3; }
-  
+
 };
 
 } //end CGAL
diff -pruN 5.0.2-3/include/CGAL/Qt/qglviewer_impl.h 5.0.3-1/include/CGAL/Qt/qglviewer_impl.h
--- 5.0.2-3/include/CGAL/Qt/qglviewer_impl.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/qglviewer_impl.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,8 +6,8 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/qglviewer_impl.h $
-// $Id: qglviewer_impl.h 1968f2c 2020-01-02T10:00:05+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/qglviewer_impl.h $
+// $Id: qglviewer_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 
 #ifdef CGAL_HEADER_ONLY
@@ -202,7 +202,7 @@ This method is automatically called once
 
 Overload init() instead of this method to modify viewer specific OpenGL state.
 
-If a 4.3 context could not be set, a ES 2.0 context will be used instead. 
+If a 4.3 context could not be set, a ES 2.0 context will be used instead.
  \see `isOpenGL_4_3()`
 */
 CGAL_INLINE_FUNCTION
@@ -214,7 +214,7 @@ void CGAL::QGLViewer::initializeGL() {
     if ( !context()->isValid()
          || format.majorVersion() != 4
          || QCoreApplication::arguments().contains(QStringLiteral("--old")))
-      
+
     {
       format.setDepthBufferSize(24);
       format.setStencilBufferSize(8);
@@ -223,7 +223,7 @@ void CGAL::QGLViewer::initializeGL() {
       format.setSamples(0);
       format.setOption(QSurfaceFormat::DebugContext);
       QSurfaceFormat::setDefaultFormat(format);
-      
+
       needNewContext();
       qDebug()<<"GL 4.3 context initialization failed. ";
       is_ogl_4_3 = false;
@@ -232,7 +232,7 @@ void CGAL::QGLViewer::initializeGL() {
     {
       is_ogl_4_3 = true;
     }
-    
+
     QSurfaceFormat cur_f = QOpenGLContext::currentContext()->format();
     const char* rt =(cur_f.renderableType() == QSurfaceFormat::OpenGLES) ? "GLES" : "GL";
     qDebug()<<"Using context "
@@ -258,7 +258,7 @@ void CGAL::QGLViewer::initializeGL() {
   glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
   // Calls user defined method. Default emits a signal.
   init();
-  
+
   //OpenGL buffers and programs initialization
   for(int i=0; i<VAO_size; ++i)
   {
@@ -312,11 +312,11 @@ void CGAL::QGLViewer::initializeGL() {
       "} \n"
       "\n"
     };
-    
-    //It is said in the doc that a QOpenGLShader is 
-    // only destroyed with the QOpenGLShaderProgram 
+
+    //It is said in the doc that a QOpenGLShader is
+    // only destroyed with the QOpenGLShaderProgram
     //it has been linked with.
-    
+
     QOpenGLShader vertex_shader(QOpenGLShader::Vertex);
     QOpenGLShader fragment_shader(QOpenGLShader::Fragment);
     if(is_ogl_4_3)
@@ -325,7 +325,7 @@ void CGAL::QGLViewer::initializeGL() {
       {
         std::cerr<<"Compiling vertex source FAILED"<<std::endl;
       }
-      
+
       if(!fragment_shader.compileSourceCode(f_s))
       {
         std::cerr<<"Compiling fragmentsource FAILED"<<std::endl;
@@ -337,7 +337,7 @@ void CGAL::QGLViewer::initializeGL() {
       {
         std::cerr<<"Compiling vertex source FAILED"<<std::endl;
       }
-      
+
       if(!fragment_shader.compileSourceCode(f_source_comp))
       {
         std::cerr<<"Compiling fragmentsource FAILED"<<std::endl;
@@ -407,7 +407,7 @@ void CGAL::QGLViewer::initializeGL() {
       "#version 150 \n"
       "in vec4 color; \n"
       "in vec4 fP; \n"
-      "in vec3 fN; \n"  
+      "in vec3 fN; \n"
       " out vec4 out_color; \n"
       "void main(void) { \n"
       "   vec4 light_pos = vec4(0.0f, 0.0f, 1.0f, 1.0f);  \n"
@@ -427,18 +427,18 @@ void CGAL::QGLViewer::initializeGL() {
       "   vec3 R = reflect(-L, N); \n"
       "   vec4 diffuse = max(abs(dot(N,L)),0.0) * light_diff*color; \n"
       "   vec4 specular = pow(max(dot(R,V), 0.0), spec_power) * light_spec; \n"
-      
+
       "out_color = color*light_amb + diffuse + specular; \n"
       "out_color = vec4(out_color.xyz, 1.0f); \n"
       "} \n"
       "\n"
     };
-    
+
     const char fragment_source_comp[] =
     {
       "varying highp vec4 color; \n"
       "varying highp vec4 fP; \n"
-      "varying highp vec3 fN; \n"  
+      "varying highp vec3 fN; \n"
       "void main(void) { \n"
       "   highp vec4 light_pos = vec4(0.0, 0.0, 1.0, 1.0);  \n"
       "   highp vec4 light_diff = vec4(1.0, 1.0, 1.0, 1.0); \n"
@@ -457,15 +457,15 @@ void CGAL::QGLViewer::initializeGL() {
       "   highp vec3 R = reflect(-L, N); \n"
       "   highp vec4 diffuse = max(abs(dot(N,L)),0.0) * light_diff*color; \n"
       "   highp vec4 specular = pow(max(dot(R,V), 0.0), spec_power) * light_spec; \n"
-      
+
       "gl_FragColor = color*light_amb + diffuse + specular; \n"
       "gl_FragColor = vec4(gl_FragColor.xyz, 1.0); \n"
       "} \n"
       "\n"
     };
-    
-    //It is said in the doc that a QOpenGLShader is 
-    // only destroyed with the QOpenGLShaderProgram 
+
+    //It is said in the doc that a QOpenGLShader is
+    // only destroyed with the QOpenGLShaderProgram
     //it has been linked with.
     if(is_ogl_4_3)
     {
@@ -473,7 +473,7 @@ void CGAL::QGLViewer::initializeGL() {
       {
         std::cerr<<"Compiling vertex source FAILED"<<std::endl;
       }
-      
+
       if(!fragment_shader.compileSourceCode(fragment_source))
       {
         std::cerr<<"Compiling fragmentsource FAILED"<<std::endl;
@@ -485,7 +485,7 @@ void CGAL::QGLViewer::initializeGL() {
       {
         std::cerr<<"Compiling vertex source FAILED"<<std::endl;
       }
-      
+
       if(!fragment_shader.compileSourceCode(fragment_source_comp))
       {
         std::cerr<<"Compiling fragmentsource FAILED"<<std::endl;
@@ -578,7 +578,7 @@ void CGAL::QGLViewer::postDraw() {
   if (axisIsDrawn()) {
     drawAxis(1.0);
   }
-  
+
 
   drawVisualHints();
   // FPS computation
@@ -590,7 +590,7 @@ void CGAL::QGLViewer::postDraw() {
     fpsCounter_ = 0;
   }
 
-  
+
   glDisable(GL_DEPTH_TEST);
 
   if (FPSIsDisplayed())
@@ -693,7 +693,7 @@ void CGAL::QGLViewer::setDefaultShortcut
       tr("Increases fly speed", "INCREASE_FLYSPEED action description");
   keyboardActionDescription_[qglviewer::DECREASE_FLYSPEED] =
       tr("Decreases fly speed", "DECREASE_FLYSPEED action description");
-  
+
   // K e y f r a m e s   s h o r t c u t   k e y s
   setPathKey(::Qt::Key_F1, 1);
   setPathKey(::Qt::Key_F2, 2);
@@ -1067,11 +1067,11 @@ void CGAL::QGLViewer::closeEvent(QCloseE
   C : closeEvent called
   D : destructor called
 
-  E	N	C	D
-  y	y
-  y	n		y
-  n	y	y
-  n	n	y	y
+  E        N        C        D
+  y        y
+  y        n                y
+  n        y        y
+  n        n        y        y
 
   closeEvent is called iif the widget is NOT embedded.
 
@@ -1174,7 +1174,7 @@ void CGAL::QGLViewer::select(const QPoin
 drawWithNames().
 */
 CGAL_INLINE_FUNCTION
-void CGAL::QGLViewer::beginSelection(const QPoint &point) 
+void CGAL::QGLViewer::beginSelection(const QPoint &point)
 {
   makeCurrent();
   glEnable(GL_SCISSOR_TEST);
@@ -1182,7 +1182,7 @@ void CGAL::QGLViewer::beginSelection(con
 }
 
 /*! This method is called by select() after scene elements were drawn by
-drawWithNames(). 
+drawWithNames().
  It clears the OpenGL state set by beginSelection*/
 CGAL_INLINE_FUNCTION
 void CGAL::QGLViewer::endSelection(const QPoint &point) {
@@ -3132,10 +3132,10 @@ void CGAL::QGLViewer::drawVisualHints()
   glDrawArrays(GL_LINES, 0, static_cast<GLsizei>(grid_size));
   vaos[GRID].release();
   rendering_program.release();
-  
+
   rendering_program_light.bind();
   vaos[GRID_AXIS].bind();
-  
+
   rendering_program_light.setUniformValue("mvp_matrix", mvpMatrix);
   rendering_program_light.setUniformValue("mv_matrix", mvMatrix);
   glDrawArrays(GL_TRIANGLES, 0, static_cast<GLsizei>(g_axis_size/9));
@@ -3159,12 +3159,12 @@ void CGAL::QGLViewer::drawVisualHints()
   vaos[AXIS].bind();
   int viewport[4];
   int scissor[4];
-  
+
   // The viewport and the scissor are changed to fit the upper right
   // corner. Original values are saved.
   glGetIntegerv(GL_VIEWPORT, viewport);
   glGetIntegerv(GL_SCISSOR_BOX, scissor);
-  
+
   // Axis viewport size, in pixels
   int size = 100;
   glViewport(width()*devicePixelRatio()-size, height()*devicePixelRatio()-size, size, size);
@@ -3175,8 +3175,8 @@ void CGAL::QGLViewer::drawVisualHints()
   glViewport(viewport[0],viewport[1],viewport[2],viewport[3]);
   vaos[AXIS].release();
   rendering_program_light.release();
-  
-  //P i v o t - P o i n t 
+
+  //P i v o t - P o i n t
   if (visualHint_ & 1)
   {
     std::vector<float> vertices;
@@ -3215,7 +3215,7 @@ void CGAL::QGLViewer::drawVisualHints()
     vaos[PIVOT_POINT].release();
     rendering_program.release();
   }
-  
+
 }
 
 /*! Defines the mask that will be used to drawVisualHints(). The only available
@@ -3238,13 +3238,13 @@ void CGAL::QGLViewer::resetVisualHints()
 //       A x i s   a n d   G r i d   d i s p l a y   l i s t s                //
 ////////////////////////////////////////////////////////////////////////////////
 
-/*! Draws a 3D arrow between the 3D point \p from and the 3D point \p to. 
+/*! Draws a 3D arrow between the 3D point \p from and the 3D point \p to.
 \p data is filled with the three components of a point, then its normal, and then its color, which makes it filled like this:
 [P1.x-P1.y-P1.z-N1.x-N1.y-N1.z-C1.r-C1.g-C1.b|P2.x-P2.y-P2.z-N2.x-N2.y-N2.z-C2.r-C2.g-C2.b|...]
 */
 CGAL_INLINE_FUNCTION
 void CGAL::QGLViewer::drawArrow(double r,double R, int prec, CGAL::qglviewer::Vec from,
-                          CGAL::qglviewer::Vec to, CGAL::qglviewer::Vec color, 
+                          CGAL::qglviewer::Vec to, CGAL::qglviewer::Vec color,
                           std::vector<float> &data) {
   using std::cos;
   using std::sin;
@@ -3426,7 +3426,7 @@ void CGAL::QGLViewer::drawArrow(double r
 
 The axis orientation matches the current modelView matrix state:
 three arrows (red, green and blue) of length \p length are drawn along the
-positive X, Y and Z directions in the top right corner of the screen. 
+positive X, Y and Z directions in the top right corner of the screen.
 X arrow is red, Y arrow is green and Z arrow is blue.*/
 CGAL_INLINE_FUNCTION
 void CGAL::QGLViewer::drawAxis(qreal length) {
@@ -3442,11 +3442,11 @@ void CGAL::QGLViewer::drawAxis(qreal len
   rendering_program_light.enableAttributeArray("vertex");
   rendering_program_light.setAttributeBuffer("vertex",GL_FLOAT,0,3,
                                              static_cast<int>(9*sizeof(float)));
-  
+
   rendering_program_light.enableAttributeArray("normal");
   rendering_program_light.setAttributeBuffer("normal",GL_FLOAT,3*sizeof(float),3,
                                              static_cast<int>(9*sizeof(float)));
-  
+
   rendering_program_light.enableAttributeArray("colors");
   rendering_program_light.setAttributeBuffer("colors",GL_FLOAT,6*sizeof(float),3,
                                              static_cast<int>(9*sizeof(float)));
@@ -3462,7 +3462,7 @@ coordinate system).
 \p size (OpenGL units) and \p nbSubdivisions define its geometry.*/
 CGAL_INLINE_FUNCTION
 void CGAL::QGLViewer::drawGrid(qreal size, int nbSubdivisions) {
-  
+
   //The Grid
   std::vector<float> v_Grid;
   for (int i=0; i<=nbSubdivisions; ++i)
@@ -3494,7 +3494,7 @@ void CGAL::QGLViewer::drawGrid(qreal siz
   vaos[GRID].release();
   rendering_program.release();
   grid_size = v_Grid.size();
-  
+
   //The Axis
   std::vector<float> d_axis;
   d_axis.resize(0);
@@ -3510,11 +3510,11 @@ void CGAL::QGLViewer::drawGrid(qreal siz
   rendering_program_light.enableAttributeArray("vertex");
   rendering_program_light.setAttributeBuffer("vertex",GL_FLOAT,0,3,
                                              static_cast<int>(9*sizeof(float)));
-  
+
   rendering_program_light.enableAttributeArray("normal");
   rendering_program_light.setAttributeBuffer("normal",GL_FLOAT,3*sizeof(float),3,
                                              static_cast<int>(9*sizeof(float)));
-  
+
   rendering_program_light.enableAttributeArray("colors");
   rendering_program_light.setAttributeBuffer("colors",GL_FLOAT,6*sizeof(float),3,
                                              static_cast<int>(9*sizeof(float)));
@@ -3823,7 +3823,7 @@ void CGAL::QGLViewer::initFromDOMElement
       // #CONNECTION# default values from defaultConstructor()
       // setMouseTracking(DomUtils::boolFromDom(child, "mouseTracking", false));
       // if ((child.attribute("cameraMode", "revolve") == "fly") &&
-      // (cameraIsInRevolveMode())) 	toggleCameraMode();
+      // (cameraIsInRevolveMode()))         toggleCameraMode();
 
       QDomElement ch = child.firstChild().toElement();
       while (!ch.isNull()) {
@@ -3909,14 +3909,14 @@ GLuint CGAL::QGLViewer::bufferTextureId(
 
 CGAL_INLINE_FUNCTION
 void CGAL::QGLViewer::setOffset(CGAL::qglviewer::Vec offset)
-{ 
-  this->_offset = offset; 
+{
+  this->_offset = offset;
 }
 
 CGAL_INLINE_FUNCTION
-CGAL::qglviewer::Vec CGAL::QGLViewer::offset()const 
-{ 
-  return _offset; 
+CGAL::qglviewer::Vec CGAL::QGLViewer::offset()const
+{
+  return _offset;
 }
 
 CGAL_INLINE_FUNCTION
@@ -4039,7 +4039,7 @@ QImage* CGAL::QGLViewer::takeSnapshot( C
     nbX++;
   if (nbY * subSize.height() < finalSize.height())
     nbY++;
-  GLdouble frustum[6]; 
+  GLdouble frustum[6];
   camera()->getFrustum(frustum);
   QOpenGLFramebufferObject fbo(size,QOpenGLFramebufferObject::CombinedDepthStencil, GL_TEXTURE_2D, GL_RGBA32F);
   stored_fbo = &fbo;
diff -pruN 5.0.2-3/include/CGAL/Qt/qglviewer_impl_list.h 5.0.3-1/include/CGAL/Qt/qglviewer_impl_list.h
--- 5.0.2-3/include/CGAL/Qt/qglviewer_impl_list.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/qglviewer_impl_list.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/qglviewer_impl_list.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/qglviewer_impl_list.h $
 // $Id: qglviewer_impl_list.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 
diff -pruN 5.0.2-3/include/CGAL/Qt/quaternion.h 5.0.3-1/include/CGAL/Qt/quaternion.h
--- 5.0.2-3/include/CGAL/Qt/quaternion.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/quaternion.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/quaternion.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/quaternion.h $
 // $Id: quaternion.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 
diff -pruN 5.0.2-3/include/CGAL/Qt/quaternion_impl.h 5.0.3-1/include/CGAL/Qt/quaternion_impl.h
--- 5.0.2-3/include/CGAL/Qt/quaternion_impl.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/quaternion_impl.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/quaternion_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/quaternion_impl.h $
 // $Id: quaternion_impl.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 
diff -pruN 5.0.2-3/include/CGAL/Qt/RegularGridGraphicsItem.h 5.0.3-1/include/CGAL/Qt/RegularGridGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/RegularGridGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/RegularGridGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/RegularGridGraphicsItem.h $
-// $Id: RegularGridGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/RegularGridGraphicsItem.h $
+// $Id: RegularGridGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -46,9 +46,9 @@ public:
 public:
 
   QRectF boundingRect() const;
-  
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
+
 
   const QPen& verticesPen() const
   {
@@ -122,7 +122,7 @@ protected:
 }
 
   template <typename K>
-QRectF 
+QRectF
   RegularGridGraphicsItem<K>::boundingRect() const
 {
   QRectF rect = CGAL::Qt::viewportsBbox(scene());
@@ -135,8 +135,8 @@ QRectF
 
 
   template <typename K>
-void 
-  RegularGridGraphicsItem<K>::paint(QPainter *painter, 
+void
+  RegularGridGraphicsItem<K>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem * /*option*/,
                                     QWidget * /*widget*/)
 {
@@ -147,13 +147,13 @@ void
   double r = rect.right();
 
   if(b > t) std::swap(b,t); // because things are upside down in Qt
-  
+
   painterostream = PainterOstream<Geom_traits>(painter);
   painter->setPen(this->edgesPen());
 
   double ll = l;
   ll = dx * static_cast<int>(ll/dx);
-  
+
   for(; ll < r; ll += dx){
     painterostream << Segment_2(Point_2(ll,b),
                                 Point_2(ll,t));
@@ -162,7 +162,7 @@ void
 
   double bb = b;
   bb = dy * static_cast<int>(bb/dy);
-  
+
   for(; bb < t; bb += dy){
     painterostream << Segment_2(Point_2(l,bb),
                                 Point_2(r,bb));
@@ -182,13 +182,13 @@ void
 }
 
   template <typename K>
-void 
+void
   RegularGridGraphicsItem<K>::updateBoundingBox()
 {}
 
 
   template <typename K>
-void 
+void
   RegularGridGraphicsItem<K>::modelChanged()
 {
   update();
diff -pruN 5.0.2-3/include/CGAL/Qt/RegularGridVectorFieldGraphicsItem.h 5.0.3-1/include/CGAL/Qt/RegularGridVectorFieldGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/RegularGridVectorFieldGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/RegularGridVectorFieldGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/RegularGridVectorFieldGraphicsItem.h $
-// $Id: RegularGridVectorFieldGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/RegularGridVectorFieldGraphicsItem.h $
+// $Id: RegularGridVectorFieldGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -45,9 +45,9 @@ public:
 public:
 
   QRectF boundingRect() const;
-  
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
+
 
   const QPen& verticesPen() const
   {
@@ -118,7 +118,7 @@ protected:
 }
 
   template <typename T, typename K>
-QRectF 
+QRectF
   RegularGridVectorFieldGraphicsItem<T,K>::boundingRect() const
 {
   return bounding_rect;
@@ -130,8 +130,8 @@ QRectF
 
 
   template <typename T, typename K>
-void 
-  RegularGridVectorFieldGraphicsItem<T,K>::paint(QPainter *painter, 
+void
+  RegularGridVectorFieldGraphicsItem<T,K>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem * /*option*/,
                                     QWidget * /*widget*/)
 {
@@ -167,7 +167,7 @@ void
 // We let the bounding box only grow, so that when vertices get removed
 // the maximal bbox gets refreshed in the GraphicsView
   template <typename T, typename K>
-void 
+void
   RegularGridVectorFieldGraphicsItem<T,K>::updateBoundingBox()
 {
 
@@ -179,7 +179,7 @@ void
 
 
   template <typename T, typename K>
-void 
+void
   RegularGridVectorFieldGraphicsItem<T,K>::modelChanged()
 {
   update();
diff -pruN 5.0.2-3/include/CGAL/Qt/RegularTriangulationGraphicsItem.h 5.0.3-1/include/CGAL/Qt/RegularTriangulationGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/RegularTriangulationGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/RegularTriangulationGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/RegularTriangulationGraphicsItem.h $
-// $Id: RegularTriangulationGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/RegularTriangulationGraphicsItem.h $
+// $Id: RegularTriangulationGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -33,7 +33,7 @@ namespace Qt {
 template <typename T>
 class RegularTriangulationGraphicsItem : public GraphicsItem
 {
-  typedef typename T::Geom_traits Geom_traits;      
+  typedef typename T::Geom_traits Geom_traits;
   typedef typename Kernel_traits<typename T::Bare_point>::Kernel K;
   typedef typename K::Segment_2 Segment_2;
 
@@ -45,9 +45,9 @@ public:
 public:
 
   QRectF boundingRect() const;
-  
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
+
   virtual void operator()(typename T::Face_handle fh);
 
   const QPen& verticesPen() const
@@ -105,7 +105,7 @@ protected:
 
   typename T::Vertex_handle vh;
   typename T::Point p;
-  CGAL::Bbox_2 bb;  
+  CGAL::Bbox_2 bb;
   bool bb_initialized;
   QRectF bounding_rect;
 
@@ -120,7 +120,7 @@ template <typename T>
 RegularTriangulationGraphicsItem<T>::RegularTriangulationGraphicsItem(T * t_)
   :  t(t_), painterostream(0), bb(0,0,0,0), bb_initialized(false),
      visible_edges(true), visible_vertices(true)
-     
+
 {
   setVerticesPen(QPen(::Qt::red, 3.));
   if(t->number_of_vertices() == 0){
@@ -131,7 +131,7 @@ RegularTriangulationGraphicsItem<T>::Reg
 }
 
 template <typename T>
-QRectF 
+QRectF
 RegularTriangulationGraphicsItem<T>::boundingRect() const
 {
   return bounding_rect;
@@ -139,15 +139,15 @@ RegularTriangulationGraphicsItem<T>::bou
 
 
 template <typename T>
-void 
+void
 RegularTriangulationGraphicsItem<T>::operator()(typename T::Face_handle fh)
 {
-  
+
   if(visible_edges) {
     for (int i=0; i<3; i++) {
       if (fh < fh->neighbor(i) || t->is_infinite(fh->neighbor(i))){
         m_painter->setPen(this->edgesPen());
-	Segment_2 s(fh->vertex(T::cw(i))->point().point(), fh->vertex(T::ccw(i))->point().point());
+        Segment_2 s(fh->vertex(T::cw(i))->point().point(), fh->vertex(T::ccw(i))->point().point());
         painterostream << s;
       }
     }
@@ -157,16 +157,16 @@ RegularTriangulationGraphicsItem<T>::ope
       paintOneVertex(fh->vertex(i)->point());
     }
   }
-  
+
 }
 
 template <typename T>
-void 
+void
 RegularTriangulationGraphicsItem<T>::drawAll(QPainter *painter)
 {
   painterostream = PainterOstream<K>(painter);
- 
-  
+
+
   if(visibleEdges()) {
     for(typename T::Finite_edges_iterator eit = t->finite_edges_begin();
         eit != t->finite_edges_end();
@@ -178,11 +178,11 @@ RegularTriangulationGraphicsItem<T>::dra
     }
   }
   paintVertices(painter);
-  
+
 }
 
 template <typename T>
-void 
+void
 RegularTriangulationGraphicsItem<T>::paintVertices(QPainter *painter)
 {
   if(visibleVertices()) {
@@ -190,12 +190,12 @@ RegularTriangulationGraphicsItem<T>::pai
 
     painterostream = PainterOstream<K>(painter);
     painter->setPen(verticesPen());
-    
+
     for(typename T::Finite_vertices_iterator it = t->finite_vertices_begin();
         it != t->finite_vertices_end();
         it++){
 
-      typename K::Circle_2 circ(it->point().point(), it->point().weight()); 
+      typename K::Circle_2 circ(it->point().point(), it->point().weight());
       painterostream << circ;
     }
 
@@ -212,7 +212,7 @@ RegularTriangulationGraphicsItem<T>::pai
 }
 
 template <typename T>
-void 
+void
 RegularTriangulationGraphicsItem<T>::paintOneVertex(const typename T::Point& point)
 {
   Converter<K> convert;
@@ -226,8 +226,8 @@ RegularTriangulationGraphicsItem<T>::pai
 }
 
 template <typename T>
-void 
-RegularTriangulationGraphicsItem<T>::paint(QPainter *painter, 
+void
+RegularTriangulationGraphicsItem<T>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem * /*option*/,
                                     QWidget * /*widget*/)
 {
@@ -240,11 +240,11 @@ RegularTriangulationGraphicsItem<T>::pai
   } else {
     m_painter = painter;
     painterostream = PainterOstream<K>(painter);
-    CGAL::apply_to_range (*t, 
+    CGAL::apply_to_range (*t,
                           typename T::Point(typename T::Bare_point(option->exposedRect.left(),
-								   option->exposedRect.bottom()),0), 
+                                                                   option->exposedRect.bottom()),0),
                           typename T::Point(typename T::Bare_point(option->exposedRect.right(),
-								   option->exposedRect.top()),0), 
+                                                                   option->exposedRect.top()),0),
                           *this);
   }
 #endif
@@ -253,7 +253,7 @@ RegularTriangulationGraphicsItem<T>::pai
 // We let the bounding box only grow, so that when vertices get removed
 // the maximal bbox gets refreshed in the GraphicsView
 template <typename T>
-void 
+void
 RegularTriangulationGraphicsItem<T>::updateBoundingBox()
 {
   prepareGeometryChange();
@@ -265,11 +265,11 @@ RegularTriangulationGraphicsItem<T>::upd
     bb = t->finite_vertices_begin()->point().bbox();
     bb_initialized = true;
   }
-  
+
   if(t->dimension() <2){
     for(typename T::Finite_vertices_iterator it = t->finite_vertices_begin();
-	it != t->finite_vertices_end();
-	++it){
+        it != t->finite_vertices_end();
+        ++it){
       typename K::Circle_2 circ(it->point().point(), it->point().weight());
       bb = bb + circ.bbox();
     }
@@ -290,7 +290,7 @@ RegularTriangulationGraphicsItem<T>::upd
 
 
 template <typename T>
-void 
+void
 RegularTriangulationGraphicsItem<T>::modelChanged()
 {
   if((t->number_of_vertices() == 0) ){
diff -pruN 5.0.2-3/include/CGAL/Qt/resources.h 5.0.3-1/include/CGAL/Qt/resources.h
--- 5.0.2-3/include/CGAL/Qt/resources.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/resources.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/resources.h $
-// $Id: resources.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/resources.h $
+// $Id: resources.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent Rineau <Laurent.Rineau@geometryfactory.com>
 
diff -pruN 5.0.2-3/include/CGAL/Qt/resources_impl.h 5.0.3-1/include/CGAL/Qt/resources_impl.h
--- 5.0.2-3/include/CGAL/Qt/resources_impl.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/resources_impl.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,13 +3,13 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/resources_impl.h $
-// $Id: resources_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/resources_impl.h $
+// $Id: resources_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent Rineau <Laurent.Rineau@geometryfactory.com>
-   
+
 #ifdef CGAL_HEADER_ONLY
 #define CGAL_INLINE_FUNCTION inline
 
@@ -26,7 +26,7 @@
 CGAL_INLINE_FUNCTION
 void CGAL_Qt_init_resources() {
   Q_INIT_RESOURCE(File);
-  Q_INIT_RESOURCE(Triangulation_2); 
+  Q_INIT_RESOURCE(Triangulation_2);
   Q_INIT_RESOURCE(Input);
   Q_INIT_RESOURCE(CGAL);
 }
diff -pruN 5.0.2-3/include/CGAL/Qt/SegmentDelaunayGraphGraphicsItem.h 5.0.3-1/include/CGAL/Qt/SegmentDelaunayGraphGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/SegmentDelaunayGraphGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/SegmentDelaunayGraphGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/SegmentDelaunayGraphGraphicsItem.h $
-// $Id: SegmentDelaunayGraphGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/SegmentDelaunayGraphGraphicsItem.h $
+// $Id: SegmentDelaunayGraphGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent Rineau <Laurent.Rineau@geometryfactory.com>
 
@@ -34,7 +34,7 @@ namespace Qt {
 
 template <typename T>
 class SegmentDelaunayGraphGraphicsItem : public GraphicsItem
-{ 
+{
   typedef typename T::Geom_traits Geom_traits;
   typedef typename T::Point_2 Point_2;
   typedef typename Kernel_traits<Point_2> ::Kernel Kern;
@@ -54,7 +54,7 @@ public:
       voronoi_pen(::Qt::blue, 0)
   {
   }
-  
+
 
   void updateBoundingBox();
 
@@ -62,9 +62,9 @@ public:
 
 
   QRectF boundingRect() const;
- 
+
  void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
- 
+
   const QPen& verticesPen() const
   {
     return vertices_pen;
@@ -108,7 +108,7 @@ protected:
 };
 
 template <typename T>
-void 
+void
 SegmentDelaunayGraphGraphicsItem<T>::drawDualEdge(QPainter * /*painter*/, typename T::Edge e)
 {
    CGAL_precondition( ! t->is_infinite(e) );
@@ -132,7 +132,7 @@ SegmentDelaunayGraphGraphicsItem<T>::dra
 
 
 template <typename T>
-void 
+void
 SegmentDelaunayGraphGraphicsItem<T>::drawAll(QPainter *painter, const QStyleOptionGraphicsItem *option)
 {
   QRectF rect = option->exposedRect;
@@ -147,11 +147,11 @@ SegmentDelaunayGraphGraphicsItem<T>::dra
     m_painter->setPen(this->segmentPen());
       typename T::Finite_vertices_iterator vit;
       for (vit = t->finite_vertices_begin();
-	   vit != t->finite_vertices_end(); ++vit) {
-	typename T::Site_2 s = vit->site();
-	if ( s.is_segment() ) {
-	  painterostream << s.segment();
-	}
+           vit != t->finite_vertices_end(); ++vit) {
+        typename T::Site_2 s = vit->site();
+        if ( s.is_segment() ) {
+          painterostream << s.segment();
+        }
       }
     }
     {
@@ -161,17 +161,17 @@ SegmentDelaunayGraphGraphicsItem<T>::dra
     Converter<Kern> convert;
       typename T::Finite_vertices_iterator vit;
       for (vit = t->finite_vertices_begin();
-	   vit != t->finite_vertices_end(); ++vit) {
-	typename T::Site_2 s = vit->site();
-	if ( s.is_input() ) {
-	  //*widget << CGAL::red();
-	} else {
-	  //*widget << CGAL::yellow();
-	}
-	if ( s.is_point() ) {
+           vit != t->finite_vertices_end(); ++vit) {
+        typename T::Site_2 s = vit->site();
+        if ( s.is_input() ) {
+          //*widget << CGAL::red();
+        } else {
+          //*widget << CGAL::yellow();
+        }
+        if ( s.is_point() ) {
           QPointF point = matrix.map(convert(s.point()));
           m_painter->drawPoint(point);
-	}
+        }
       }
     }
 
@@ -179,7 +179,7 @@ SegmentDelaunayGraphGraphicsItem<T>::dra
 
 /*
 template <typename T>
-void 
+void
 SegmentDelaunayGraphGraphicsItem<T>::operator()(typename T::Face_handle fh)
 {
   if(visibleFacesInDomain()) {
@@ -196,7 +196,7 @@ SegmentDelaunayGraphGraphicsItem<T>::ope
 
 
 template <typename T>
-QRectF 
+QRectF
 SegmentDelaunayGraphGraphicsItem<T>::boundingRect() const
 {
 
@@ -206,7 +206,7 @@ SegmentDelaunayGraphGraphicsItem<T>::bou
 
 
 template <typename T>
-void 
+void
 SegmentDelaunayGraphGraphicsItem<T>::modelChanged()
 {
   if((t->number_of_vertices() == 0) ){
@@ -218,7 +218,7 @@ SegmentDelaunayGraphGraphicsItem<T>::mod
 }
 
 template <typename T>
-void 
+void
 SegmentDelaunayGraphGraphicsItem<T>::updateBoundingBox()
 {
   prepareGeometryChange();
@@ -233,8 +233,8 @@ SegmentDelaunayGraphGraphicsItem<T>::upd
   /*
   if(t->dimension() <2){
     for(typename T::Finite_vertices_iterator it = t->finite_vertices_begin();
-	it != t->finite_vertices_end();
-	++it){
+        it != t->finite_vertices_end();
+        ++it){
       bb = bb + it->point().bbox();
     }
   } else {
@@ -255,8 +255,8 @@ SegmentDelaunayGraphGraphicsItem<T>::upd
 
 
 template <typename T>
-void 
-SegmentDelaunayGraphGraphicsItem<T>::paint(QPainter *painter, 
+void
+SegmentDelaunayGraphGraphicsItem<T>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem *option,
                                     QWidget * /*widget*/)
 {
diff -pruN 5.0.2-3/include/CGAL/Qt/SegmentDelaunayGraphLinfGraphicsItem.h 5.0.3-1/include/CGAL/Qt/SegmentDelaunayGraphLinfGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/SegmentDelaunayGraphLinfGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/SegmentDelaunayGraphLinfGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/SegmentDelaunayGraphLinfGraphicsItem.h $
-// $Id: SegmentDelaunayGraphLinfGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/SegmentDelaunayGraphLinfGraphicsItem.h $
+// $Id: SegmentDelaunayGraphLinfGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -36,7 +36,7 @@ namespace Qt {
 
 template <typename T>
 class SegmentDelaunayGraphLinfGraphicsItem : public GraphicsItem
-{ 
+{
   typedef typename T::Geom_traits Geom_traits;
   typedef typename T::Point_2 Point_2;
   typedef typename Kernel_traits<Point_2> ::Kernel Kern;
@@ -56,7 +56,7 @@ public:
       voronoi_pen(::Qt::blue)
   {
   }
-  
+
 
   void updateBoundingBox();
 
@@ -64,9 +64,9 @@ public:
 
 
   QRectF boundingRect() const;
- 
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
- 
+
   const QPen& verticesPen() const
   {
     return vertices_pen;
@@ -110,7 +110,7 @@ protected:
 };
 
 template <typename T>
-void 
+void
 SegmentDelaunayGraphLinfGraphicsItem<T>::drawDualEdge(QPainter * /*painter*/, typename T::Edge e)
 {
   CGAL_precondition( ! t->is_infinite(e) );
@@ -122,11 +122,11 @@ SegmentDelaunayGraphLinfGraphicsItem<T>:
 //  CGAL::Polychainray_2<Kern>          pcr;
 //  CGAL::Polychainsegment_2<Kern>      pcs;
 
-//  std::cout << "debug drawDE pcl type= " 
+//  std::cout << "debug drawDE pcl type= "
 //            << typeid(pcl).name() << std::endl;
-//  std::cout << "debug drawDE pcr type= " 
+//  std::cout << "debug drawDE pcr type= "
 //            << typeid(pcr).name() << std::endl;
-//  std::cout << "debug drawDE pcs type= " 
+//  std::cout << "debug drawDE pcs type= "
 //            << typeid(pcs).name() << std::endl;
 
   Object o = t->primal(e);
@@ -134,32 +134,32 @@ SegmentDelaunayGraphLinfGraphicsItem<T>:
   //std::cout << "debug drawDE trying to assign object at "
   //          << &o << std::endl;
 
-  if (CGAL::assign(pcl, o)) { 
-    /* m_painter->setPen(::Qt::cyan); 
-       std::cerr << "line " << std::endl; */ 
+  if (CGAL::assign(pcl, o)) {
+    /* m_painter->setPen(::Qt::cyan);
+       std::cerr << "line " << std::endl; */
 //    std::cout << "debug drawDE pcl-assigned object at "
 //              << &o << std::endl;
-    //painterostream << pcl; 
-    pcl.draw(painterostream);      
+    //painterostream << pcl;
+    pcl.draw(painterostream);
   }
-  else if (CGAL::assign(pcr, o)) { 
-    /* m_painter->setPen(::Qt::magenta); 
-       std::cerr << "segment " << std::endl; */ 
+  else if (CGAL::assign(pcr, o)) {
+    /* m_painter->setPen(::Qt::magenta);
+       std::cerr << "segment " << std::endl; */
 //    std::cout << "debug drawDE pcr-assigned object at "
 //              << &o << std::endl;
     //painterostream << pcr;
-    pcr.draw(painterostream);      
+    pcr.draw(painterostream);
   }
-  else if (CGAL::assign(pcs, o))  { 
-    /* m_painter->setPen(::Qt::darkMagenta);  
-       std::cerr << "ray " << r << std::endl;  */ 
+  else if (CGAL::assign(pcs, o))  {
+    /* m_painter->setPen(::Qt::darkMagenta);
+       std::cerr << "ray " << r << std::endl;  */
 //    std::cout << "debug drawDE pcs-assigned object at "
 //              << &o << std::endl;
-    //painterostream << pcs; 
-    pcs.draw(painterostream);      
+    //painterostream << pcs;
+    pcs.draw(painterostream);
   }
-  else { 
-    std::cerr << "error: drawDualEdge unknown curve" << std::endl; 
+  else {
+    std::cerr << "error: drawDualEdge unknown curve" << std::endl;
   }
 
   /* m_painter->setPen(::Qt::black); */
@@ -167,7 +167,7 @@ SegmentDelaunayGraphLinfGraphicsItem<T>:
 
 
 template <typename T>
-void 
+void
 SegmentDelaunayGraphLinfGraphicsItem<T>::drawAll(QPainter *painter, const QStyleOptionGraphicsItem *option)
 {
   QRectF rect = option->exposedRect;
@@ -182,11 +182,11 @@ SegmentDelaunayGraphLinfGraphicsItem<T>:
     m_painter->setPen(this->segmentPen());
       typename T::Finite_vertices_iterator vit;
       for (vit = t->finite_vertices_begin();
-	   vit != t->finite_vertices_end(); ++vit) {
-	typename T::Site_2 s = vit->site();
-	if ( s.is_segment() ) {
-	  painterostream << s.segment();
-	}
+           vit != t->finite_vertices_end(); ++vit) {
+        typename T::Site_2 s = vit->site();
+        if ( s.is_segment() ) {
+          painterostream << s.segment();
+        }
       }
     }
     {
@@ -196,17 +196,17 @@ SegmentDelaunayGraphLinfGraphicsItem<T>:
     Converter<Kern> convert;
       typename T::Finite_vertices_iterator vit;
       for (vit = t->finite_vertices_begin();
-	   vit != t->finite_vertices_end(); ++vit) {
-	typename T::Site_2 s = vit->site();
-	if ( s.is_input() ) {
-	  //*widget << CGAL::red();
-	} else {
-	  //*widget << CGAL::yellow();
-	}
-	if ( s.is_point() ) {
+           vit != t->finite_vertices_end(); ++vit) {
+        typename T::Site_2 s = vit->site();
+        if ( s.is_input() ) {
+          //*widget << CGAL::red();
+        } else {
+          //*widget << CGAL::yellow();
+        }
+        if ( s.is_point() ) {
           QPointF point = matrix.map(convert(s.point()));
           m_painter->drawPoint(point);
-	}
+        }
       }
     }
 
@@ -214,7 +214,7 @@ SegmentDelaunayGraphLinfGraphicsItem<T>:
 
 /*
 template <typename T>
-void 
+void
 SegmentDelaunayGraphLinfGraphicsItem<T>::operator()(typename T::Face_handle fh)
 {
   if(visibleFacesInDomain()) {
@@ -231,7 +231,7 @@ SegmentDelaunayGraphLinfGraphicsItem<T>:
 
 
 template <typename T>
-QRectF 
+QRectF
 SegmentDelaunayGraphLinfGraphicsItem<T>::boundingRect() const
 {
 
@@ -241,7 +241,7 @@ SegmentDelaunayGraphLinfGraphicsItem<T>:
 
 
 template <typename T>
-void 
+void
 SegmentDelaunayGraphLinfGraphicsItem<T>::modelChanged()
 {
   if((t->number_of_vertices() == 0) ){
@@ -253,7 +253,7 @@ SegmentDelaunayGraphLinfGraphicsItem<T>:
 }
 
 template <typename T>
-void 
+void
 SegmentDelaunayGraphLinfGraphicsItem<T>::updateBoundingBox()
 {
   prepareGeometryChange();
@@ -268,8 +268,8 @@ SegmentDelaunayGraphLinfGraphicsItem<T>:
   /*
   if(t->dimension() <2){
     for(typename T::Finite_vertices_iterator it = t->finite_vertices_begin();
-	it != t->finite_vertices_end();
-	++it){
+        it != t->finite_vertices_end();
+        ++it){
       bb = bb + it->point().bbox();
     }
   } else {
@@ -290,8 +290,8 @@ SegmentDelaunayGraphLinfGraphicsItem<T>:
 
 
 template <typename T>
-void 
-SegmentDelaunayGraphLinfGraphicsItem<T>::paint(QPainter *painter, 
+void
+SegmentDelaunayGraphLinfGraphicsItem<T>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem *option,
                                     QWidget * /*widget*/)
 {
diff -pruN 5.0.2-3/include/CGAL/Qt/SegmentsGraphicsItem.h 5.0.3-1/include/CGAL/Qt/SegmentsGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/SegmentsGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/SegmentsGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/SegmentsGraphicsItem.h $
-// $Id: SegmentsGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/SegmentsGraphicsItem.h $
+// $Id: SegmentsGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -43,9 +43,9 @@ public:
 
 public:
   QRectF boundingRect() const;
-  
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
+
 
   const QPen& verticesPen() const
   {
@@ -87,7 +87,7 @@ protected:
 template <typename P>
 SegmentsGraphicsItem<P>::SegmentsGraphicsItem(P * p_)
   :  segments(p_), painterostream(0),
-     draw_edges(true), draw_vertices(true)   
+     draw_edges(true), draw_vertices(true)
 {
   setVerticesPen(QPen(::Qt::red, 3.));
 
@@ -96,7 +96,7 @@ SegmentsGraphicsItem<P>::SegmentsGraphic
 }
 
 template <typename P>
-QRectF 
+QRectF
 SegmentsGraphicsItem<P>::boundingRect() const
 {
   return bounding_rect;
@@ -106,8 +106,8 @@ SegmentsGraphicsItem<P>::boundingRect()
 
 
 template <typename P>
-void 
-SegmentsGraphicsItem<P>::paint(QPainter *painter, 
+void
+SegmentsGraphicsItem<P>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem * /*option*/,
                                     QWidget * /*widget*/)
 {
@@ -124,7 +124,7 @@ SegmentsGraphicsItem<P>::paint(QPainter
 // We let the bounding box only grow, so that when vertices get removed
 // the maximal bbox gets refreshed in the GraphicsView
 template <typename P>
-void 
+void
 SegmentsGraphicsItem<P>::updateBoundingBox()
 {
   Converter<Traits> convert;
@@ -144,7 +144,7 @@ SegmentsGraphicsItem<P>::updateBoundingB
 
 
 template <typename P>
-void 
+void
 SegmentsGraphicsItem<P>::modelChanged()
 {
   updateBoundingBox();
diff -pruN 5.0.2-3/include/CGAL/Qt/StreamLinesGraphicsItem.h 5.0.3-1/include/CGAL/Qt/StreamLinesGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/StreamLinesGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/StreamLinesGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/StreamLinesGraphicsItem.h $
-// $Id: StreamLinesGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/StreamLinesGraphicsItem.h $
+// $Id: StreamLinesGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -47,13 +47,13 @@ public:
   StreamLinesGraphicsItem(SL* sl);
 
 
-  QRectF 
+  QRectF
   boundingRect() const;
-  
-  void 
+
+  void
   paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
-  void 
+
+  void
   modelChanged();
 
   const QPen& edgesPen() const
@@ -81,7 +81,7 @@ StreamLinesGraphicsItem<SL,K>::StreamLin
 }
 
 template <typename SL, typename K>
-QRectF 
+QRectF
 StreamLinesGraphicsItem<SL,K>::boundingRect() const
 {
   QRectF rect = CGAL::Qt::viewportsBbox(scene());
@@ -90,7 +90,7 @@ StreamLinesGraphicsItem<SL,K>::boundingR
 
 
 template <typename SL, typename K>
-void 
+void
 StreamLinesGraphicsItem<SL,K>::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget * /*w*/)
 {
   painter->setPen(this->edgesPen());
@@ -110,7 +110,7 @@ StreamLinesGraphicsItem<SL,K>::paint(QPa
 
 
   template <typename SL, typename K>
-void 
+void
   StreamLinesGraphicsItem<SL,K>::modelChanged()
 {
   update();
diff -pruN 5.0.2-3/include/CGAL/Qt/TriangulationGraphicsItem.h 5.0.3-1/include/CGAL/Qt/TriangulationGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/TriangulationGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/TriangulationGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/TriangulationGraphicsItem.h $
-// $Id: TriangulationGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/TriangulationGraphicsItem.h $
+// $Id: TriangulationGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -42,9 +42,9 @@ public:
 public:
 
   QRectF boundingRect() const;
-  
+
   void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
+
   virtual void operator()(typename T::Face_handle fh);
 
   const QPen& verticesPen() const
@@ -111,7 +111,7 @@ protected:
 
   typename T::Vertex_handle vh;
   typename T::Point p;
-  CGAL::Bbox_2 bb;  
+  CGAL::Bbox_2 bb;
   bool bb_initialized;
   QRectF bounding_rect;
 
@@ -138,7 +138,7 @@ TriangulationGraphicsItem<T>::Triangulat
 }
 
 template <typename T>
-QRectF 
+QRectF
 TriangulationGraphicsItem<T>::boundingRect() const
 {
   return bounding_rect;
@@ -146,7 +146,7 @@ TriangulationGraphicsItem<T>::boundingRe
 
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::operator()(typename T::Face_handle fh)
 {
   if(visible_edges) {
@@ -165,11 +165,11 @@ TriangulationGraphicsItem<T>::operator()
 }
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::drawAll(QPainter *painter)
 {
   painterostream = PainterOstream<Geom_traits>(painter);
- 
+
   if(visibleEdges()) {
     for(typename T::Finite_edges_iterator eit = t->finite_edges_begin();
         eit != t->finite_edges_end();
@@ -181,7 +181,7 @@ TriangulationGraphicsItem<T>::drawAll(QP
 }
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::paintVertices(QPainter *painter)
 {
   if(visibleVertices()) {
@@ -200,7 +200,7 @@ TriangulationGraphicsItem<T>::paintVerti
 }
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::paintOneVertex(const typename T::Point& point)
 {
   Converter<Geom_traits> convert;
@@ -213,7 +213,7 @@ TriangulationGraphicsItem<T>::paintOneVe
 }
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::paintVertex(typename T::Vertex_handle vh)
 {
   Converter<Geom_traits> convert;
@@ -226,8 +226,8 @@ TriangulationGraphicsItem<T>::paintVerte
 }
 
 template <typename T>
-void 
-TriangulationGraphicsItem<T>::paint(QPainter *painter, 
+void
+TriangulationGraphicsItem<T>::paint(QPainter *painter,
                                     const QStyleOptionGraphicsItem *option,
                                     QWidget * /*widget*/)
 {
@@ -238,11 +238,11 @@ TriangulationGraphicsItem<T>::paint(QPai
   } else {
     m_painter = painter;
     painterostream = PainterOstream<Geom_traits>(painter);
-    CGAL::apply_to_range (*t, 
+    CGAL::apply_to_range (*t,
                           typename T::Point(option->exposedRect.left(),
-                                            option->exposedRect.bottom()), 
+                                            option->exposedRect.bottom()),
                           typename T::Point(option->exposedRect.right(),
-                                            option->exposedRect.top()), 
+                                            option->exposedRect.top()),
                           *this);
   }
 }
@@ -250,7 +250,7 @@ TriangulationGraphicsItem<T>::paint(QPai
 // We let the bounding box only grow, so that when vertices get removed
 // the maximal bbox gets refreshed in the GraphicsView
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::updateBoundingBox()
 {
   prepareGeometryChange();
@@ -262,11 +262,11 @@ TriangulationGraphicsItem<T>::updateBoun
     bb = t->finite_vertices_begin()->point().bbox();
     bb_initialized = true;
   }
-  
+
   if(t->dimension() <2){
     for(typename T::Finite_vertices_iterator it = t->finite_vertices_begin();
-	it != t->finite_vertices_end();
-	++it){
+        it != t->finite_vertices_end();
+        ++it){
       bb = bb + it->point().bbox();
     }
   } else {
@@ -285,7 +285,7 @@ TriangulationGraphicsItem<T>::updateBoun
 
 
 template <typename T>
-void 
+void
 TriangulationGraphicsItem<T>::modelChanged()
 {
   if((t->number_of_vertices() == 0) ){
diff -pruN 5.0.2-3/include/CGAL/Qt/utility.h 5.0.3-1/include/CGAL/Qt/utility.h
--- 5.0.2-3/include/CGAL/Qt/utility.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/utility.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/utility.h $
-// $Id: utility.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/utility.h $
+// $Id: utility.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
diff -pruN 5.0.2-3/include/CGAL/Qt/utility_impl.h 5.0.3-1/include/CGAL/Qt/utility_impl.h
--- 5.0.2-3/include/CGAL/Qt/utility_impl.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/utility_impl.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/utility_impl.h $
-// $Id: utility_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/utility_impl.h $
+// $Id: utility_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
-   
+
 #ifdef CGAL_HEADER_ONLY
 #define CGAL_INLINE_FUNCTION inline
 
@@ -37,9 +37,9 @@ QRectF mapToScene(const QGraphicsView* v
   QPointF size = v->mapToScene(rect.bottomRight());
   size -= top_left;
   return QRectF(top_left.x(),
-		top_left.y(),
-		size.x(),
-		size.y());
+                top_left.y(),
+                size.x(),
+                size.y());
 }
 
 CGAL_INLINE_FUNCTION
diff -pruN 5.0.2-3/include/CGAL/Qt/vec.h 5.0.3-1/include/CGAL/Qt/vec.h
--- 5.0.2-3/include/CGAL/Qt/vec.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/vec.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,8 +6,8 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/vec.h $
-// $Id: vec.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/vec.h $
+// $Id: vec.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 
 #ifndef QGLVIEWER_VEC_H
@@ -107,7 +107,7 @@ and can hence be used in place of Vec. S
   // Vec(const Vec& v) : x(v.x), y(v.y), z(v.z) {}
 
   /*! Equal operator. */
-#ifdef DOXYGEN_RUNNING  
+#ifdef DOXYGEN_RUNNING
   Vec &operator=(const Vec &v) {
     x = v.x;
     y = v.y;
diff -pruN 5.0.2-3/include/CGAL/Qt/vec_impl.h 5.0.3-1/include/CGAL/Qt/vec_impl.h
--- 5.0.2-3/include/CGAL/Qt/vec_impl.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/vec_impl.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,8 +6,8 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/vec_impl.h $
-// $Id: vec_impl.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/vec_impl.h $
+// $Id: vec_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 
 #ifdef CGAL_HEADER_ONLY
@@ -169,6 +169,6 @@ void Vec::initFromDOMElement(const QDomE
 CGAL_INLINE_FUNCTION
 std::ostream &operator<<(std::ostream &o, const Vec &v) {
   return o << v.x << '\t' << v.y << '\t' << v.z;
-}  
+}
 
 }} // namespace CGAL::qglviewer
diff -pruN 5.0.2-3/include/CGAL/Qt/viewer_actions.h 5.0.3-1/include/CGAL/Qt/viewer_actions.h
--- 5.0.2-3/include/CGAL/Qt/viewer_actions.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/viewer_actions.h	2020-08-01 19:02:21.000000000 +0000
@@ -6,7 +6,7 @@
  This file is part of a fork of the QGLViewer library version 2.7.0.
 
 *****************************************************************************/
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/viewer_actions.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/viewer_actions.h $
 // $Id: viewer_actions.h 1ef976e 2019-10-19T16:09:56+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-only
 #ifndef VIEWER_ACTIONS_H
diff -pruN 5.0.2-3/include/CGAL/Qt/VoronoiGraphicsItem.h 5.0.3-1/include/CGAL/Qt/VoronoiGraphicsItem.h
--- 5.0.2-3/include/CGAL/Qt/VoronoiGraphicsItem.h	2020-02-21 20:03:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Qt/VoronoiGraphicsItem.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/GraphicsView/include/CGAL/Qt/VoronoiGraphicsItem.h $
-// $Id: VoronoiGraphicsItem.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/GraphicsView/include/CGAL/Qt/VoronoiGraphicsItem.h $
+// $Id: VoronoiGraphicsItem.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
@@ -43,13 +43,13 @@ public:
   VoronoiGraphicsItem(DT  * dt_);
 
 
-  QRectF 
+  QRectF
   boundingRect() const;
-  
-  void 
+
+  void
   paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
-  
-  void 
+
+  void
   modelChanged();
 
   const QPen& edgesPen() const
@@ -77,7 +77,7 @@ VoronoiGraphicsItem<DT>::VoronoiGraphics
 }
 
 template <typename DT>
-QRectF 
+QRectF
 VoronoiGraphicsItem<DT>::boundingRect() const
 {
   QRectF rect = CGAL::Qt::viewportsBbox(scene());
@@ -86,12 +86,12 @@ VoronoiGraphicsItem<DT>::boundingRect()
 
 
 template <typename DT>
-void 
+void
 VoronoiGraphicsItem<DT>::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget * /*w*/)
 {
   QRectF rect = option->exposedRect;
   PainterOstream<typename DT::Geom_traits> pos(painter, rect);
-  
+
   painter->setPen(edgesPen());
   for(typename DT::Finite_edges_iterator eit = dt->finite_edges_begin();
       eit != dt->finite_edges_end();
@@ -106,13 +106,13 @@ VoronoiGraphicsItem<DT>::paint(QPainter
       pos << r;
     }else if(CGAL::assign(l,o)) {
       pos << l;
-    } 
+    }
   }
 }
 
 
 template <typename T>
-void 
+void
 VoronoiGraphicsItem<T>::modelChanged()
 {
   update();
diff -pruN 5.0.2-3/include/CGAL/Quotient_fwd.h 5.0.3-1/include/CGAL/Quotient_fwd.h
--- 5.0.2-3/include/CGAL/Quotient_fwd.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Quotient_fwd.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Quotient_fwd.h $
-// $Id: Quotient_fwd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Quotient_fwd.h $
+// $Id: Quotient_fwd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -17,10 +17,10 @@
 namespace CGAL{
   template < typename NT >
   struct Split_double;
-  
+
   template <class NT_>
   class Quotient;
-  
+
 } //namespace CGAL
 
 #endif //CGAL_QUOTIENT_FWD_H
diff -pruN 5.0.2-3/include/CGAL/Quotient.h 5.0.3-1/include/CGAL/Quotient.h
--- 5.0.2-3/include/CGAL/Quotient.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Quotient.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999-2007  
+// Copyright (c) 1999-2007
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Quotient.h $
-// $Id: Quotient.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Quotient.h $
+// $Id: Quotient.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -142,7 +142,7 @@ class Quotient
   }
 
 #ifdef CGAL_ROOT_OF_2_ENABLE_HISTOGRAM_OF_NUMBER_OF_DIGIT_ON_THE_COMPLEX_CONSTRUCTOR
-  int tam() const { return std::max(num.tam(), den.tam()); }
+  int tam() const { return (std::max)(num.tam(), den.tam()); }
 #endif
 
  public:
@@ -306,11 +306,11 @@ CGAL_MEDIUM_INLINE
 Quotient<NT>&
 Quotient<NT>::operator+= (const CGAL_double(NT)& r)
 {
-  //num += r * den; 
-  NT r_num, r_den; 
+  //num += r * den;
+  NT r_num, r_den;
   Split_double<NT>()(r,r_num,r_den);
   num = num*r_den + r_num*den;
-  den *=r_den; 
+  den *=r_den;
   return *this;
 }
 
@@ -320,10 +320,10 @@ Quotient<NT>&
 Quotient<NT>::operator-= (const CGAL_double(NT)& r)
 {
   //num -= r * den;
-  NT r_num, r_den; 
+  NT r_num, r_den;
   Split_double<NT>()(r,r_num,r_den);
   num =  num*r_den - r_num*den;
-  den *= r_den; 
+  den *= r_den;
   return *this;
 }
 
@@ -333,11 +333,11 @@ Quotient<NT>&
 Quotient<NT>::operator*= (const CGAL_double(NT)& r)
 {
   // num *= r;
-  
-  NT r_num, r_den; 
+
+  NT r_num, r_den;
   Split_double<NT>()(r,r_num,r_den);
   num *= r_num;
-  den *= r_den; 
+  den *= r_den;
   return *this;
 }
 
@@ -347,10 +347,10 @@ Quotient<NT>&
 Quotient<NT>::operator/= (const CGAL_double(NT)& r)
 {
   CGAL_precondition( r != 0 );
-  NT r_num, r_den; 
+  NT r_num, r_den;
   Split_double<NT>()(r,r_num,r_den);
   num *= r_den;
-  den *= r_num; 
+  den *= r_num;
   return *this;
 }
 
@@ -402,15 +402,15 @@ operator>>(std::istream& in, Quotient<NT
   if(!in) return in;
   std::istream::sentry s(in); // skip whitespace
   if(in.peek()!='/'){
-	  if(!in.good()){
-		  in.clear(std::ios_base::eofbit);
-		  // unlikely to be some other reason?
-	  }
+          if(!in.good()){
+                  in.clear(std::ios_base::eofbit);
+                  // unlikely to be some other reason?
+          }
   } else {
-	  char c;
-	  in.get(c); // remove the '/'
-	  in >> den;
-	  if(!in) return in;
+          char c;
+          in.get(c); // remove the '/'
+          in >> den;
+          if(!in) return in;
   }
   r=Quotient<NT>(num,den);
   return in;
diff -pruN 5.0.2-3/include/CGAL/radial_orient_normals.h 5.0.3-1/include/CGAL/radial_orient_normals.h
--- 5.0.2-3/include/CGAL/radial_orient_normals.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/radial_orient_normals.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/radial_orient_normals.h $
-// $Id: radial_orient_normals.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/radial_orient_normals.h $
+// $Id: radial_orient_normals.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Laurent Saboret
@@ -99,7 +99,7 @@ radial_orient_normals(
 
       // Point's normal
       Vector_ref vec2 = get(normal_pmap, *it);
-      
+
       //         ->               ->
       // Orients vec2 parallel to vec1
       double dot = vec1 * vec2;
@@ -144,7 +144,7 @@ radial_orient_normals(
     typedef typename Kernel_traits<Point>::Kernel Kernel;
     return radial_orient_normals(
       first,beyond,
-      point_pmap, normal_pmap, 
+      point_pmap, normal_pmap,
       Kernel());
 }
 /// @endcond
diff -pruN 5.0.2-3/include/CGAL/Random_access_adaptor.h 5.0.3-1/include/CGAL/Random_access_adaptor.h
--- 5.0.2-3/include/CGAL/Random_access_adaptor.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Random_access_adaptor.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Random_access_adaptor.h $
-// $Id: Random_access_adaptor.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Random_access_adaptor.h $
+// $Id: Random_access_adaptor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
diff -pruN 5.0.2-3/include/CGAL/Random_access_value_adaptor.h 5.0.3-1/include/CGAL/Random_access_value_adaptor.h
--- 5.0.2-3/include/CGAL/Random_access_value_adaptor.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Random_access_value_adaptor.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Random_access_value_adaptor.h $
-// $Id: Random_access_value_adaptor.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Random_access_value_adaptor.h $
+// $Id: Random_access_value_adaptor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
diff -pruN 5.0.2-3/include/CGAL/random_convex_hull_in_disc_2.h 5.0.3-1/include/CGAL/random_convex_hull_in_disc_2.h
--- 5.0.2-3/include/CGAL/random_convex_hull_in_disc_2.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/include/CGAL/random_convex_hull_in_disc_2.h	2020-08-01 19:02:21.000000000 +0000
@@ -7,8 +7,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generator/include/CGAL/random_convex_hull_in_disc_2.h $
-// $Id: random_convex_hull_in_disc_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generator/include/CGAL/random_convex_hull_in_disc_2.h $
+// $Id: random_convex_hull_in_disc_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -179,7 +179,7 @@ void random_convex_hull_in_disc_2(std::s
   do {  // Initialization
     long init =
         static_cast<long>((std::min)(static_cast<std::size_t>(100), n - simulated_points));
-    
+
     generate_points_annulus(init, -CGAL_PI, CGAL_PI, 0, radius, l,
                             gen);
 
@@ -193,7 +193,7 @@ void random_convex_hull_in_disc_2(std::s
 
   std::size_t T = n;
   if (!fast) T = static_cast<std::size_t>(std::floor(n / std::pow(std::log(static_cast<double>(n)), 2)));
-  
+
   while (simulated_points < n) {
     // l is a list coming from a convex hull operation. we are moving the
     // points s.t the angles are from -pi to pi.
diff -pruN 5.0.2-3/include/CGAL/Random_convex_hull_traits_2.h 5.0.3-1/include/CGAL/Random_convex_hull_traits_2.h
--- 5.0.2-3/include/CGAL/Random_convex_hull_traits_2.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/include/CGAL/Random_convex_hull_traits_2.h	2020-08-01 19:02:21.000000000 +0000
@@ -7,8 +7,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generator/include/CGAL/Random_convex_hull_traits_2.h $
-// $Id: Random_convex_hull_traits_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generator/include/CGAL/Random_convex_hull_traits_2.h $
+// $Id: Random_convex_hull_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -18,35 +18,35 @@
 #define CGAL_RANDOM_CONVEX_HULL_TRAITS_2_H
 
 namespace CGAL{
-	template<class R_>
-class Random_convex_hull_traits_2 
+        template<class R_>
+class Random_convex_hull_traits_2
 {
   public:
     typedef R_                            R;
     typedef typename R::FT                FT;
     typedef typename R::Point_2           Point_2;
-    typedef typename R::Segment_2		  Segment_2;
-   	typedef typename R::Compare_x_2		  Compare_x_2;
-   	typedef typename R::Compare_y_2		  Compare_y_2;
-   	typedef typename R::Orientation_2	  Orientation_2;
+    typedef typename R::Segment_2                  Segment_2;
+           typedef typename R::Compare_x_2                  Compare_x_2;
+           typedef typename R::Compare_y_2                  Compare_y_2;
+           typedef typename R::Orientation_2          Orientation_2;
 
 
     Compare_x_2
     compare_x_2_object() const
     {
-    	return Compare_x_2(); 
+            return Compare_x_2();
     }
 
     Compare_y_2
     compare_y_2_object() const
     {
-    	return Compare_y_2();
+            return Compare_y_2();
     }
 
     Orientation_2
-    orientation_2_object() const 
+    orientation_2_object() const
     {
-    	return Orientation_2();
+            return Orientation_2();
     }
 
 };
diff -pruN 5.0.2-3/include/CGAL/random_convex_set_2.h 5.0.3-1/include/CGAL/random_convex_set_2.h
--- 5.0.2-3/include/CGAL/random_convex_set_2.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/include/CGAL/random_convex_set_2.h	2020-08-01 19:02:21.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1998  
+// Copyright (c) 1998
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generator/include/CGAL/random_convex_set_2.h $
-// $Id: random_convex_set_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generator/include/CGAL/random_convex_set_2.h $
+// $Id: random_convex_set_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Random_convex_set_traits_2.h 5.0.3-1/include/CGAL/Random_convex_set_traits_2.h
--- 5.0.2-3/include/CGAL/Random_convex_set_traits_2.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/include/CGAL/Random_convex_set_traits_2.h	2020-08-01 19:02:21.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1998  
+// Copyright (c) 1998
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generator/include/CGAL/Random_convex_set_traits_2.h $
-// $Id: Random_convex_set_traits_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generator/include/CGAL/Random_convex_set_traits_2.h $
+// $Id: Random_convex_set_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 
@@ -41,8 +41,8 @@ struct Random_convex_set_traits_2 : publ
   {
     FT
     operator()( const Point_2& p) const
-    { 
-      return (std::max)( CGAL_NTS abs( p.x()), CGAL_NTS abs( p.y())); 
+    {
+      return (std::max)( CGAL_NTS abs( p.x()), CGAL_NTS abs( p.y()));
     }
   };
 
diff -pruN 5.0.2-3/include/CGAL/Random.h 5.0.3-1/include/CGAL/Random.h
--- 5.0.2-3/include/CGAL/Random.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Random.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Random_numbers/include/CGAL/Random.h $
-// $Id: Random.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Random_numbers/include/CGAL/Random.h $
+// $Id: Random.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schoenherr <sven@inf.ethz.ch>, Sylvain Pion, Andreas Fabri
 
@@ -38,24 +38,24 @@
 
 namespace CGAL {
 
-  namespace internal { 
+  namespace internal {
     struct Random_print_seed{};
   }
 
 class Random {
 public:
   // types
-  
+
   struct State {
     std::string rng;
     unsigned int random_value, val, seed;
-    
+
     State()
     {}
-    
-    State(std::string rng, 
-          unsigned int random_value, 
-          unsigned int val, 
+
+    State(std::string rng,
+          unsigned int random_value,
+          unsigned int val,
           unsigned int seed)
       : rng(rng), random_value(random_value), val(val), seed(seed)
     {}
@@ -64,10 +64,10 @@ public:
   CGAL_EXPORT Random( );
   CGAL_EXPORT Random( internal::Random_print_seed );
   CGAL_EXPORT Random( unsigned int  seed );
-  
+
   // seed
   CGAL_EXPORT unsigned int get_seed ( ) const;
-    
+
   // operations
   bool get_bool( )
   {
@@ -85,11 +85,11 @@ public:
     boost::uniform_smallint<result_type> dist(static_cast<result_type>(lower),
                                               static_cast<result_type>(upper-1));
     boost::variate_generator<boost::rand48&, boost::uniform_smallint<result_type> > generator(rng,dist);
-    
+
     return static_cast<IntType>(generator());
   }
 
-  
+
   template <typename IntType>
   IntType
   uniform_smallint(IntType lower)
@@ -111,7 +111,7 @@ public:
     // uniform_int has a closed interval, CGAL a halfopen
     boost::uniform_int<IntType> dist(lower,upper);
     boost::variate_generator<boost::rand48&, boost::uniform_int<IntType> > generator(rng,dist);
-    
+
     return generator();
   }
 
@@ -129,16 +129,16 @@ public:
   {
     return uniform_int<IntType>(0,9);
   }
- 
 
-  
+
+
   template <typename IntType>
   IntType
   operator () (IntType upper)
   {
     return uniform_int<IntType>(0, upper-1);
   }
- 
+
   int
   get_int(int lower, int upper)
   {
@@ -153,7 +153,7 @@ public:
     // uniform_real as well as CGAL have a halfopen interval
     boost::uniform_real<RealType> dist(lower,upper);
     boost::variate_generator<boost::rand48&, boost::uniform_real<RealType> > generator(rng,dist);
-    
+
     return generator();
   }
 
@@ -181,7 +181,7 @@ public:
     // uniform_01 as well as CGAL have a halfopen interval
     boost::uniform_01<RealType> dist;
     boost::variate_generator<boost::rand48&, boost::uniform_01<RealType> > generator(rng,dist);
-    
+
     return generator();
   }
 
@@ -192,7 +192,7 @@ public:
     return uniform_real<double>(lower, upper);
   }
 
-    // state 
+    // state
     CGAL_EXPORT void save_state( State& state) const;
     CGAL_EXPORT void restore_state( const State& state);
 
@@ -203,7 +203,7 @@ public:
     template <int b>
     int get_bits()
     {
-	CGAL_assertion(0<b && b<16);
+        CGAL_assertion(0<b && b<16);
         if (val == 0) {
             random_value = (421U * random_value + 2073U) % 32749U;
             val = random_value;
@@ -213,10 +213,10 @@ public:
         return ret;
     }
 
-    
+
   bool    operator==(Random rd) const
   {
-    return (rng == rd.rng) 
+    return (rng == rd.rng)
       && (random_value == rd.random_value)
       && (val == rd.val)
       && (seed == rd.seed);
@@ -226,7 +226,7 @@ public:
     // data members
     unsigned int random_value; // Current 15 bits random value.
     unsigned int val; // random_value shifted by used bits.
-    unsigned int seed; 
+    unsigned int seed;
     boost::rand48 rng;
 };
 
diff -pruN 5.0.2-3/include/CGAL/Random_impl.h 5.0.3-1/include/CGAL/Random_impl.h
--- 5.0.2-3/include/CGAL/Random_impl.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Random_impl.h	2020-08-01 19:02:47.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Random_numbers/include/CGAL/Random_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Random_numbers/include/CGAL/Random_impl.h $
 // $Id: Random_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/random_polygon_2.h 5.0.3-1/include/CGAL/random_polygon_2.h
--- 5.0.2-3/include/CGAL/random_polygon_2.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/include/CGAL/random_polygon_2.h	2020-08-01 19:02:21.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generator/include/CGAL/random_polygon_2.h $
-// $Id: random_polygon_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generator/include/CGAL/random_polygon_2.h $
+// $Id: random_polygon_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
@@ -26,16 +26,16 @@
 namespace CGAL {
 
 //
-// Using the provided point generator, generates a set of n points and 
-// produces  a simple polygon from the unique subset of points within this 
+// Using the provided point generator, generates a set of n points and
+// produces  a simple polygon from the unique subset of points within this
 // set.
-// 
-// Each of the p possible simple polygons for the unique point set is 
-// generated with probability greater than 0 but the polygons are not 
+//
+// Each of the p possible simple polygons for the unique point set is
+// generated with probability greater than 0 but the polygons are not
 // generated with uniform probability.
 //
 template <class PointGenerator, class OutputIterator, class Traits>
-OutputIterator random_polygon_2(std::size_t n,  OutputIterator result, 
+OutputIterator random_polygon_2(std::size_t n,  OutputIterator result,
                                 const PointGenerator& pg, const Traits& traits)
 {
    typedef typename Traits::Point_2           Point_2;
@@ -62,7 +62,7 @@ OutputIterator random_polygon_2(std::siz
 
 template <class PointGenerator, class OutputIterator>
 inline
-OutputIterator random_polygon_2( std::size_t n,  OutputIterator result, 
+OutputIterator random_polygon_2( std::size_t n,  OutputIterator result,
                                  const PointGenerator& pg )
 {
    typedef typename std::iterator_traits<PointGenerator>::value_type  Point_2;
@@ -71,7 +71,7 @@ OutputIterator random_polygon_2( std::si
 }
 
 template <class ForwardIterator, class Traits>
-bool duplicate_points(ForwardIterator first, ForwardIterator beyond, 
+bool duplicate_points(ForwardIterator first, ForwardIterator beyond,
                       const Traits& )
 {
    typedef typename Traits::Point_2      Point_2;
@@ -95,7 +95,7 @@ bool duplicate_points(ForwardIterator fi
 // removing any duplicates.  Thus fewer than n points may be inserted into
 // the output iterator.
 template <class InputIterator, class Size, class OutputIterator, class Traits>
-OutputIterator copy_n_unique(InputIterator first, Size n, 
+OutputIterator copy_n_unique(InputIterator first, Size n,
                              OutputIterator result,
                              const Traits& )
 {
@@ -109,7 +109,7 @@ OutputIterator copy_n_unique(InputIterat
       {
           *result = *first;
           result++;
-      }   
+      }
       first++;
    }
    return result;
@@ -117,7 +117,7 @@ OutputIterator copy_n_unique(InputIterat
 
 template <class InputIterator, class Size, class OutputIterator>
 inline
-OutputIterator copy_n_unique(InputIterator first, Size n, 
+OutputIterator copy_n_unique(InputIterator first, Size n,
                              OutputIterator result)
 {
    typedef typename std::iterator_traits<InputIterator>::value_type  Point_2;
diff -pruN 5.0.2-3/include/CGAL/Random_polygon_2_sweep.h 5.0.3-1/include/CGAL/Random_polygon_2_sweep.h
--- 5.0.2-3/include/CGAL/Random_polygon_2_sweep.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/include/CGAL/Random_polygon_2_sweep.h	2020-08-01 19:02:21.000000000 +0000
@@ -3,12 +3,12 @@
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generator/include/CGAL/Random_polygon_2_sweep.h $
-// $Id: Random_polygon_2_sweep.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generator/include/CGAL/Random_polygon_2_sweep.h $
+// $Id: Random_polygon_2_sweep.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -87,7 +87,7 @@ class Less_segments {
 };
 
 template <class ForwardIterator, class PolygonTraits>
-class Vertex_data : 
+class Vertex_data :
        public i_polygon::Vertex_data_base<ForwardIterator, PolygonTraits>
 {
 public:
@@ -260,9 +260,9 @@ insertion_event(Tree *tree, Vertex_index
             std::cout << "conflict2 is next_vt" << std::endl;
 #endif
             conflict1 = prev_vt;
-	    conflict2 = next_vt;
+            conflict2 = next_vt;
             return false;
-      
+
     }
     Edge_data
         &td_prev = edges[prev_vt.as_int()],
@@ -275,24 +275,24 @@ insertion_event(Tree *tree, Vertex_index
     std::pair<typename Tree::iterator, bool> result;
     if (left_turn) {
         result = tree->insert(prev_vt);
-	// CGAL_polygon_assertion(result.second)
-	td_prev.tree_it = result.first;
+        // CGAL_polygon_assertion(result.second)
+        td_prev.tree_it = result.first;
         td_prev.is_in_tree = true;
         if (!this->is_simple_result) return false;
         result = tree->insert(mid_vt);
-	// CGAL_polygon_assertion(result.second)
-	td_mid.tree_it = result.first;
+        // CGAL_polygon_assertion(result.second)
+        td_mid.tree_it = result.first;
         td_mid.is_in_tree = true;
         if (!this->is_simple_result) return false;
     } else {
         result = tree->insert(mid_vt);
-	// CGAL_polygon_assertion(result.second)
-	td_mid.tree_it = result.first;
+        // CGAL_polygon_assertion(result.second)
+        td_mid.tree_it = result.first;
         td_mid.is_in_tree = true;
         if (!this->is_simple_result) return false;
         result = tree->insert(prev_vt);
-	// CGAL_polygon_assertion(result.second)
-	td_prev.tree_it = result.first;
+        // CGAL_polygon_assertion(result.second)
+        td_prev.tree_it = result.first;
         td_prev.is_in_tree = true;
         if (!this->is_simple_result) return false;
     }
@@ -333,28 +333,28 @@ replacement_event(Tree *tree, Vertex_ind
     Vertex_index cur_vt = (td.is_left_to_right) ? next_edge : cur_edge;
     if (cur_seg != tree->begin()) {
         It seg_below = cur_seg;
-	--seg_below;
-	if (!on_right_side(cur_vt, *seg_below, true)) {
-	    // found conflict cur_seg - seg_below
+        --seg_below;
+        if (!on_right_side(cur_vt, *seg_below, true)) {
+            // found conflict cur_seg - seg_below
 #if defined(CGAL_POLY_GENERATOR_DEBUG)
             std::cout << "conflict2 is seg_below" << std::endl;
 #endif
             conflict1 = *cur_seg;
-	    conflict2 = *seg_below;
-	    return false;
+            conflict2 = *seg_below;
+            return false;
         }
     }
     It seg_above = cur_seg;
     ++ seg_above;
     if (seg_above != tree->end()) {
         if (!on_right_side(cur_vt, *seg_above, false)) {
-	    // found conflict cur_seg - seg_above
+            // found conflict cur_seg - seg_above
 #if defined(CGAL_POLY_GENERATOR_DEBUG)
             std::cout << "conflict2 is seg_above" << std::endl;
 #endif
             conflict1 = *cur_seg;
-	    conflict2 = *seg_above;
-	    return false;
+            conflict2 = *seg_above;
+            return false;
         }
     }
     // replace the segment
@@ -390,7 +390,7 @@ template <class ForwardIterator, class P
 void
 Vertex_data<ForwardIterator, PolygonTraits>::
 find_conflict_between(Tree *, Vertex_index cur_vt,
-                      typename Tree::iterator seg1, 
+                      typename Tree::iterator seg1,
                       typename Tree::iterator seg2)
 {
 #if defined(CGAL_POLY_GENERATOR_DEBUG)
@@ -400,19 +400,19 @@ find_conflict_between(Tree *, Vertex_ind
     It between_seg = seg1;
     ++between_seg;
     if (!on_right_side(cur_vt, *between_seg, false)) {
-	// found conflict between_seg - seg1
+        // found conflict between_seg - seg1
 #if defined(CGAL_POLY_GENERATOR_DEBUG)
         std::cout << "conflict1 is seg1" << std::endl;
 #endif
         conflict1 = *seg1;
-	conflict2 = *between_seg;
+        conflict2 = *between_seg;
     } else {
-	// found conflict between_seg - seg2
+        // found conflict between_seg - seg2
 #if defined(CGAL_POLY_GENERATOR_DEBUG)
         std::cout << "conflict1 is seg2" << std::endl;
 #endif
         conflict1 = *seg2;
-	conflict2 = *between_seg;
+        conflict2 = *between_seg;
     }
 }
 
@@ -441,7 +441,7 @@ deletion_event(Tree *tree, Vertex_index
         It prev_seg_copy = mid_seg;
         ++prev_seg_copy;
         if (prev_seg_copy != prev_seg) {
-	    find_conflict(tree, cur_vt, prev_seg, mid_seg);
+            find_conflict(tree, cur_vt, prev_seg, mid_seg);
             return false;
         }
     }
@@ -453,25 +453,25 @@ deletion_event(Tree *tree, Vertex_index
     // Check if the vertex that is removed lies between the two tree edges.
     if (seg_above != tree->end()) {
         if (!on_right_side(cur_vt, *seg_above, false)) {
-	    // found conflicts prev_seg - seg_above and mid_seg - seg_above
+            // found conflicts prev_seg - seg_above and mid_seg - seg_above
 #if defined(CGAL_POLY_GENERATOR_DEBUG)
             std::cout << "conflict2 is seg_above" << std::endl;
 #endif
             conflict1 = prev_vt;
-	    conflict2 = *seg_above;
-	    return false;
+            conflict2 = *seg_above;
+            return false;
         }
     }
     if (seg_above != tree->begin()) {
         --seg_above;  // which turns it into seg_below
         if (!on_right_side(cur_vt, *seg_above, true)) {
-	    // found conflicts prev_seg - seg_below and mid_seg - seg_below
+            // found conflicts prev_seg - seg_below and mid_seg - seg_below
 #if defined(CGAL_POLY_GENERATOR_DEBUG)
             std::cout << "conflict2 is --seg_above" << std::endl;
 #endif
             conflict1 = prev_vt;
-	    conflict2 = *seg_above;
-	    return false;
+            conflict2 = *seg_above;
+            return false;
         }
     }
     return true;
@@ -482,27 +482,27 @@ void Vertex_data<ForwardIterator, Polygo
 sweep(Tree *tree)
 {
     if (this->m_size < 3)
-    	return;
+            return;
     bool success = true;
     for (Index_t i=0; i< this->m_size; ++i) {
         Vertex_index cur = index_at_rank(Vertex_order(i));
-	    Vertex_index prev_vt = prev(cur), next_vt = next(cur);
-	    if (ordered_left_to_right(cur, next_vt)) {
-	        if (ordered_left_to_right(cur, prev_vt))
-	            success = insertion_event(tree, prev_vt, cur, next_vt);
-	        else
-	            success = replacement_event(tree, prev_vt, cur);
-	    } else {
-	        if (ordered_left_to_right(cur, prev_vt))
-	            success = replacement_event(tree, cur, prev_vt);
-	        else
-	            success = deletion_event(tree, prev_vt, cur);
-	    }
-	    if (!success)
-	        break;
+            Vertex_index prev_vt = prev(cur), next_vt = next(cur);
+            if (ordered_left_to_right(cur, next_vt)) {
+                if (ordered_left_to_right(cur, prev_vt))
+                    success = insertion_event(tree, prev_vt, cur, next_vt);
+                else
+                    success = replacement_event(tree, prev_vt, cur);
+            } else {
+                if (ordered_left_to_right(cur, prev_vt))
+                    success = replacement_event(tree, cur, prev_vt);
+                else
+                    success = deletion_event(tree, prev_vt, cur);
+            }
+            if (!success)
+                break;
     }
     if (!success)
-    	this->is_simple_result = false;
+            this->is_simple_result = false;
 }
 }
 // ----- End of implementation of i_generator_polygon functions. -----
@@ -523,15 +523,15 @@ check_simple_polygon(Iterator points_beg
     std::pair<std::ptrdiff_t, std::ptrdiff_t> result;
     if (vertex_data.is_simple_result) {
         result.first = result.second = -1;
-	return result;
+        return result;
     }
     // swap with vertex_data.conflict1, vertex_data.conflict2;
     if (vertex_data.conflict1.as_int() < vertex_data.conflict2.as_int()) {
-	result.first = vertex_data.conflict1.as_int();
-	result.second = vertex_data.conflict2.as_int();
+        result.first = vertex_data.conflict1.as_int();
+        result.second = vertex_data.conflict2.as_int();
     } else {
         result.first = vertex_data.conflict2.as_int();
-	result.second = vertex_data.conflict1.as_int();
+        result.second = vertex_data.conflict1.as_int();
     }
     return result;
 }
@@ -554,11 +554,11 @@ void make_simple_polygon(Iterator points
 
     do {
         swap_interval = check_simple_polygon(points_begin,
-	                                     points_end, polygon_traits);
+                                             points_end, polygon_traits);
 #if defined(CGAL_POLY_GENERATOR_DEBUG)
         std::cout << swap_interval.first << " "
-                  << swap_interval.second << std::endl; 
-        CGAL_polygon_assertion(swap_interval.first >= -1 && 
+                  << swap_interval.second << std::endl;
+        CGAL_polygon_assertion(swap_interval.first >= -1 &&
                                swap_interval.second >= -1 &&
                                swap_interval.first < size &&
                                swap_interval.second < size);
@@ -567,13 +567,13 @@ void make_simple_polygon(Iterator points
         // or with -1 is given indicating that the polygon was simple.
         // For positive nonsense values, one needs to know the how
         // many points there are...
-	if (swap_interval.first <= -1 || swap_interval.second <= -1)
-	    break;
+        if (swap_interval.first <= -1 || swap_interval.second <= -1)
+            break;
         // swap with vertex_data.conflict1, vertex_data.conflict2;
-	Iterator b = points_begin;
-	std::advance(b, swap_interval.first+1);
-	Iterator e = b;
-	std::advance(e, swap_interval.second-swap_interval.first);
+        Iterator b = points_begin;
+        std::advance(b, swap_interval.first+1);
+        Iterator e = b;
+        std::advance(e, swap_interval.second-swap_interval.first);
         std::reverse(b, e);
     } while (true);
 }
diff -pruN 5.0.2-3/include/CGAL/Random_polygon_traits_2.h 5.0.3-1/include/CGAL/Random_polygon_traits_2.h
--- 5.0.2-3/include/CGAL/Random_polygon_traits_2.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/include/CGAL/Random_polygon_traits_2.h	2020-08-01 19:02:21.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000  
+// Copyright (c) 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generator/include/CGAL/Random_polygon_traits_2.h $
-// $Id: Random_polygon_traits_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generator/include/CGAL/Random_polygon_traits_2.h $
+// $Id: Random_polygon_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Susan Hert <hert@mpi-sb.mpg.de>
 
@@ -24,7 +24,7 @@ namespace CGAL {
 //-----------------------------------------------------------------------//
 
 template <class R_>
-class Random_polygon_traits_2 
+class Random_polygon_traits_2
 {
   public:
     typedef R_                            R;
diff -pruN 5.0.2-3/include/CGAL/random_selection.h 5.0.3-1/include/CGAL/random_selection.h
--- 5.0.2-3/include/CGAL/random_selection.h	2020-02-21 20:03:14.000000000 +0000
+++ 5.0.3-1/include/CGAL/random_selection.h	2020-08-01 19:02:21.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Generator/include/CGAL/random_selection.h $
-// $Id: random_selection.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Generator/include/CGAL/random_selection.h $
+// $Id: random_selection.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>
 
@@ -52,6 +52,6 @@ OutputIterator random_selection( RandomA
     return random_selection( first, last, n, result, get_default_random());
 }
 
-} //namespace CGAL    
+} //namespace CGAL
 
 #endif // CGAL_RANDOM_SELECTION_H //
diff -pruN 5.0.2-3/include/CGAL/random_simplify_point_set.h 5.0.3-1/include/CGAL/random_simplify_point_set.h
--- 5.0.2-3/include/CGAL/random_simplify_point_set.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/random_simplify_point_set.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/random_simplify_point_set.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/random_simplify_point_set.h $
 // $Id: random_simplify_point_set.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/range_search_delaunay_2.h 5.0.3-1/include/CGAL/range_search_delaunay_2.h
--- 5.0.2-3/include/CGAL/range_search_delaunay_2.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/range_search_delaunay_2.h	2020-08-01 19:02:39.000000000 +0000
@@ -1,12 +1,12 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Max-Planck-Institute Saarbruecken (Germany). All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_2/include/CGAL/range_search_delaunay_2.h $
-// $Id: range_search_delaunay_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_2/include/CGAL/range_search_delaunay_2.h $
+// $Id: range_search_delaunay_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Matthias Baesken
 
@@ -28,16 +28,16 @@
 
 namespace CGAL {
 
-// was 
+// was
 // std::map<typename Dt::Vertex *,int, std::less<typename Dt::Vertex *> >
 
 template<class Dt,class Circle,class OutputIterator,class MAP_TYPE>
-void dfs(const Dt& delau, 
-         MAP_TYPE& mark, 
-         typename Dt::Vertex_handle v, 
-	 const Circle& C, 
-	 OutputIterator res,
-	 bool first_vertex)
+void dfs(const Dt& delau,
+         MAP_TYPE& mark,
+         typename Dt::Vertex_handle v,
+         const Circle& C,
+         OutputIterator res,
+         bool first_vertex)
 {
     typedef typename Dt::Geom_traits               Gt;
     typedef typename Dt::Vertex_circulator         Vertex_circulator;
@@ -45,45 +45,45 @@ void dfs(const Dt& delau,
     typedef typename Gt::Bounded_side_2            Bounded_side_2;
 
     Bounded_side_2  test;
-    
+
     if (! first_vertex) *res = v;
-    
+
     //mark_vertex v
     mark[v] = true;
-    
+
     // get incident vertices of v ...
     Vertex_circulator vc = delau.incident_vertices(v);
     Vertex_circulator start =vc;
-     
+
     Vertex_handle act;
-     
+
     // go through the vertices ...
     do {
        act = vc;
- 
+
        if (! delau.is_infinite(act)) {
-	 // test, if act is marked ...
-         bool is_marked = mark[act];     
-       
-         if ((! is_marked) && !( test(C,act->point()) == ON_UNBOUNDED_SIDE) ) 
-           dfs(delau, mark, act, C, res, false);       
-       }             
+         // test, if act is marked ...
+         bool is_marked = mark[act];
+
+         if ((! is_marked) && !( test(C,act->point()) == ON_UNBOUNDED_SIDE) )
+           dfs(delau, mark, act, C, res, false);
+       }
        vc++;
-    } while (vc != start);     
+    } while (vc != start);
 }
 
 
 // second dfs uses test - predicate function object ...
 
 template<class Dt,class Circle,class OutputIterator,class MAP_TYPE,class Pred>
-bool dfs(const Dt& delau, 
-         MAP_TYPE& mark, 
-         typename Dt::Vertex_handle v, 
-	 const Circle& C, 
-	 OutputIterator res,
-	 bool first_vertex,
-	 bool return_if_predicate_succeded,
-	 Pred& pred)
+bool dfs(const Dt& delau,
+         MAP_TYPE& mark,
+         typename Dt::Vertex_handle v,
+         const Circle& C,
+         OutputIterator res,
+         bool first_vertex,
+         bool return_if_predicate_succeded,
+         Pred& pred)
 {
     typedef typename Dt::Geom_traits               Gt;
     typedef typename Dt::Vertex_circulator         Vertex_circulator;
@@ -91,51 +91,51 @@ bool dfs(const Dt& delau,
     typedef typename Gt::Bounded_side_2            Bounded_side_2;
 
     Bounded_side_2  test;
-    
+
     if (! first_vertex) {
       if (pred(v->point())) {
          *res = v;
-	 
-	 if (return_if_predicate_succeded) return true;
+
+         if (return_if_predicate_succeded) return true;
       }
     }
-    
+
     //mark_vertex v
     mark[v] = true;
-    
+
     // get incident vertices of v ...
     Vertex_circulator vc = delau.incident_vertices(v);
     Vertex_circulator start =vc;
-     
+
     Vertex_handle act;
-     
+
     // go through the vertices ...
     do {
        act = vc;
- 
+
        if (! delau.is_infinite(act)) {
-	 // test, if act is marked ...
-         bool is_marked = mark[act];    
-       
-         if ((! is_marked) && !( test(C,act->point()) == ON_UNBOUNDED_SIDE) ) 
-           if (dfs(delau, mark, act, C, res, false, return_if_predicate_succeded, pred)) return true;       
-       }             
+         // test, if act is marked ...
+         bool is_marked = mark[act];
+
+         if ((! is_marked) && !( test(C,act->point()) == ON_UNBOUNDED_SIDE) )
+           if (dfs(delau, mark, act, C, res, false, return_if_predicate_succeded, pred)) return true;
+       }
        vc++;
-    } while (vc != start);   
-    
-    return false;  
+    } while (vc != start);
+
+    return false;
 }
 
 
 template<class Dt,class Circle,class OutputIterator,class MAP_TYPE,class Pred>
-void dfs_using_predicate(const Dt& delau, 
-         MAP_TYPE& mark, 
-         typename Dt::Vertex_handle v, 
-	 const Circle& C, 
-	 OutputIterator res,
-	 bool first_vertex,
-	 bool return_if_predicate_succeded,
-	 Pred& pred)
+void dfs_using_predicate(const Dt& delau,
+         MAP_TYPE& mark,
+         typename Dt::Vertex_handle v,
+         const Circle& C,
+         OutputIterator res,
+         bool first_vertex,
+         bool return_if_predicate_succeded,
+         Pred& pred)
 {
   bool val = dfs(delau, mark, v, C, res, first_vertex, return_if_predicate_succeded, pred);
   pred.set_result(val);
@@ -145,10 +145,10 @@ void dfs_using_predicate(const Dt& delau
 
 
 template<class Dt, class Circle, class OutputIterator>
-OutputIterator range_search(Dt& delau, 
-                            const Circle& C, 
-			    OutputIterator res)
-{ 
+OutputIterator range_search(Dt& delau,
+                            const Circle& C,
+                            OutputIterator res)
+{
   typedef typename Dt::Geom_traits                    Gt;
   typedef typename Dt::Point                          Point;
   typedef typename Dt::Vertex_handle                  Vertex_handle;
@@ -159,60 +159,60 @@ OutputIterator range_search(Dt& delau,
   Bounded_side_2  test;
 
   if (delau.number_of_vertices() == 0) return res;
-  if (delau.number_of_vertices() == 1) 
-  { 
+  if (delau.number_of_vertices() == 1)
+  {
        // get the one vertex ...
        Vertex_iterator vit = delau.finite_vertices_begin();
        Point p = vit->point();
-       
+
        if (! (test(C, p) == ON_UNBOUNDED_SIDE)){
         *res= vit; res++;
        }
        return res;
-   }  
-     
+   }
+
    // normal case ...
    Point p = Construct_center_2()(C);
-   Vertex_handle v = lookup(delau, p);  
-   bool new_v = false;     
+   Vertex_handle v = lookup(delau, p);
+   bool new_v = false;
 
    // we have to insert the center ...
    if ( v == nullptr )
-   { 
+   {
        new_v = true;
-       v = delau.insert(p); 
+       v = delau.insert(p);
    }
-     
+
    //std::map<Vertex*,int, std::less<Vertex*> > mark;
    Unique_hash_map<Vertex_handle, bool> mark;
-     
+
    dfs(delau,mark,v,C,res,new_v);
-     
+
    if (new_v)
-   { 
+   {
      delau.remove(v);
-   }    
-   
-   return res;        
+   }
+
+   return res;
 }
-   
 
-   
-// triangular range search ...   
+
+
+// triangular range search ...
 // Note that the function only works correctly with exact constructions
 // because it computes the circumcenter of the points a, b, and c
-// and then performs a range query with this circle. 
+// and then performs a range query with this circle.
 // When vertices of the trinagulation are on the circle the outcome
 // is not deterministic.
 // A solution would be to not constuct a circle, but to use the
 // function CGAL::side_of_bounded_circle
 
 template<class Dt, class OutputIterator>
-OutputIterator range_search(Dt& delau, 
-                            const typename Dt::Point& a, 
-			    const typename Dt::Point& b, 
+OutputIterator range_search(Dt& delau,
+                            const typename Dt::Point& a,
+                            const typename Dt::Point& b,
                             const typename Dt::Point& c,
-			    OutputIterator res)
+                            OutputIterator res)
 {
   typedef typename Dt::Geom_traits                    Gt;
   typedef typename Dt::Point                          Point;
@@ -220,36 +220,36 @@ OutputIterator range_search(Dt& delau,
   typedef typename Dt::Vertex_handle                  Vertex_handle;
   typedef typename Gt::Orientation_2                  Orientation_2;
   typedef typename Gt::Construct_circle_2             Construct_circle_2;
-  
+
   Orientation_2 test_ori;
-   
+
   int orient = (int)(test_ori(a,b,c));
   Circle C = Construct_circle_2()(a,b,c);
   std::list<Vertex_handle> L;
   range_search(delau, C, std::back_inserter(L));
-      
+
   typename std::list<Vertex_handle>::const_iterator it = L.begin();
-      
+
   for(;it != L.end();it++)
   { Point p = (*it)->point();
     if ( ((int)(test_ori(a,b,p))) == - orient ||
          ((int)(test_ori(b,c,p))) == - orient ||
-         ((int)(test_ori(c,a,p))) == - orient ) { }     
+         ((int)(test_ori(c,a,p))) == - orient ) { }
     else { *res = *it; res++; }
   }
-  return res;     
+  return res;
 }
 
 
 // rectangular range search ....
 
 template<class Dt,class OutputIterator>
-OutputIterator range_search(Dt& delau, 
-                            const typename Dt::Point& a1, 
-			    const typename Dt::Point& b1, 
+OutputIterator range_search(Dt& delau,
+                            const typename Dt::Point& a1,
+                            const typename Dt::Point& b1,
                             const typename Dt::Point& c1,
-			    const typename Dt::Point& d1,
-			    OutputIterator res)
+                            const typename Dt::Point& d1,
+                            OutputIterator res)
 // a1 upper left, b1 lower left , c1 lower right
 {
   typedef typename Dt::Geom_traits                    Gt;
@@ -258,20 +258,20 @@ OutputIterator range_search(Dt& delau,
   typedef typename Dt::Vertex_handle                  Vertex_handle;
   typedef typename Gt::Orientation_2                  Orientation_2;
   typedef typename Gt::Construct_circle_2             Construct_circle_2;
-  
+
   Point a=a1,b=b1,c=c1,d=d1;
-    
-  if (Orientation_2()(a,b,c) == RIGHT_TURN) 
+
+  if (Orientation_2()(a,b,c) == RIGHT_TURN)
   { Point tmp = b;
     b = d;
     d = tmp;
   }
-   
+
   Circle C = Construct_circle_2()(a,b,c);
-     
+
   std::list<Vertex_handle> L;
   range_search(delau, C, std::back_inserter(L));
-  typename std::list<Vertex_handle>::const_iterator it = L.begin();     
+  typename std::list<Vertex_handle>::const_iterator it = L.begin();
 
   for(;it != L.end();it++)
   { Point p = (*it)->point();
@@ -279,7 +279,7 @@ OutputIterator range_search(Dt& delau,
          Orientation_2()(c,d,p) == RIGHT_TURN || Orientation_2()(d,a,p) == RIGHT_TURN )  { }
     else { *res = *it; res++; }
   }
-  return res;     
+  return res;
 }
 
 
@@ -290,12 +290,12 @@ OutputIterator range_search(Dt& delau,
 
 
 template<class Dt, class Circle, class OutputIterator,class Pred>
-OutputIterator range_search(Dt& delau, 
-                            const Circle& C, 
-			    OutputIterator res,
-			    Pred& pred,
-			    bool return_if_succeded)
-{ 
+OutputIterator range_search(Dt& delau,
+                            const Circle& C,
+                            OutputIterator res,
+                            Pred& pred,
+                            bool return_if_succeded)
+{
   typedef typename Dt::Geom_traits                    Gt;
   typedef typename Dt::Point                          Point;
   typedef typename Dt::Vertex_handle                  Vertex_handle;
@@ -306,58 +306,58 @@ OutputIterator range_search(Dt& delau,
   Bounded_side_2  test;
 
   if (delau.number_of_vertices() == 0) return res;
-  if (delau.number_of_vertices() == 1) 
-  { 
+  if (delau.number_of_vertices() == 1)
+  {
        // get the one vertex ...
        Vertex_iterator vit = delau.finite_vertices_begin();
        Point p = vit->point();
-       
+
        if (! (test(C, p) == ON_UNBOUNDED_SIDE)){
         *res= vit; res++;
        }
-       
+
        bool val = pred(p);
        pred.set_result(val);
-       
+
        return res;
-   }  
-     
+   }
+
    // normal case ...
    Point p = Construct_center_2()(C);
-   Vertex_handle v = lookup(delau, p);  
-   bool new_v = false;     
+   Vertex_handle v = lookup(delau, p);
+   bool new_v = false;
 
    // we have to insert the center ...
    if ( v == nullptr )
-   { 
+   {
        new_v = true;
-       v = delau.insert(p); 
+       v = delau.insert(p);
    }
-     
+
    //std::map<Vertex*,int, std::less<Vertex*> > mark;
    Unique_hash_map<Vertex_handle, bool> mark;
-   
+
    dfs_using_predicate(delau,mark,v,C,res,new_v, return_if_succeded, pred);
-     
+
    if (new_v)
-   { 
+   {
      delau.remove(v);
-   }    
-   
-   return res;        
+   }
+
+   return res;
 }
-   
-   
-// triangular range search ...   
+
+
+// triangular range search ...
 
 template<class Dt, class OutputIterator,class Pred>
-OutputIterator range_search(Dt& delau, 
-                            const typename Dt::Point& a, 
-			    const typename Dt::Point& b, 
+OutputIterator range_search(Dt& delau,
+                            const typename Dt::Point& a,
+                            const typename Dt::Point& b,
                             const typename Dt::Point& c,
-			    OutputIterator res,
-			    Pred& pred,
-			    bool return_if_succeded)			    
+                            OutputIterator res,
+                            Pred& pred,
+                            bool return_if_succeded)
 {
   typedef typename Dt::Geom_traits                    Gt;
   typedef typename Dt::Point                          Point;
@@ -365,40 +365,40 @@ OutputIterator range_search(Dt& delau,
   typedef typename Dt::Vertex_handle                  Vertex_handle;
   typedef typename Gt::Orientation_2                  Orientation_2;
   typedef typename Gt::Construct_circle_2             Construct_circle_2;
-  
+
   Orientation_2 test_ori;
-   
+
   int orient = (int)(test_ori(a,b,c));
   Circle C = Construct_circle_2()(a,b,c);
   std::list<Vertex_handle> L;
-  
+
   range_search(delau, C, std::back_inserter(L), pred, return_if_succeded);
   if (return_if_succeded) return res;
-      
+
   typename std::list<Vertex_handle>::const_iterator it = L.begin();
-      
+
   for(;it != L.end();it++)
   { Point p = (*it)->point();
     if ( ((int)(test_ori(a,b,p))) == - orient ||
          ((int)(test_ori(b,c,p))) == - orient ||
-         ((int)(test_ori(c,a,p))) == - orient ) { }     
+         ((int)(test_ori(c,a,p))) == - orient ) { }
     else { *res = *it; res++; }
   }
-  return res;     
+  return res;
 }
 
 
 // rectangular range search ....
 
 template<class Dt,class OutputIterator,class Pred>
-OutputIterator range_search(Dt& delau, 
-                            const typename Dt::Point& a1, 
-			    const typename Dt::Point& b1, 
+OutputIterator range_search(Dt& delau,
+                            const typename Dt::Point& a1,
+                            const typename Dt::Point& b1,
                             const typename Dt::Point& c1,
-			    const typename Dt::Point& d1,
-			    OutputIterator res,
-			    Pred& pred,
-			    bool return_if_succeded)
+                            const typename Dt::Point& d1,
+                            OutputIterator res,
+                            Pred& pred,
+                            bool return_if_succeded)
 // a1 upper left, b1 lower left , c1 lower right
 {
   typedef typename Dt::Geom_traits                    Gt;
@@ -407,24 +407,24 @@ OutputIterator range_search(Dt& delau,
   typedef typename Dt::Vertex_handle                  Vertex_handle;
   typedef typename Gt::Orientation_2                  Orientation_2;
   typedef typename Gt::Construct_circle_2             Construct_circle_2;
-  
+
   Point a=a1,b=b1,c=c1,d=d1;
-    
-  if (Orientation_2()(a,b,c) == RIGHT_TURN) 
+
+  if (Orientation_2()(a,b,c) == RIGHT_TURN)
   { Point tmp = b;
     b = d;
     d = tmp;
   }
-   
+
   Circle C = Construct_circle_2()(a,b,c);
-     
+
   std::list<Vertex_handle> L;
-  
+
   range_search(delau, C, std::back_inserter(L), pred, return_if_succeded);
   if (return_if_succeded) return res;
-  
-  
-  typename std::list<Vertex_handle>::const_iterator it = L.begin();     
+
+
+  typename std::list<Vertex_handle>::const_iterator it = L.begin();
 
   for(;it != L.end();it++)
   { Point p = (*it)->point();
@@ -432,7 +432,7 @@ OutputIterator range_search(Dt& delau,
          Orientation_2()(c,d,p) == RIGHT_TURN || Orientation_2()(d,a,p) == RIGHT_TURN )  { }
     else { *res = *it; res++; }
   }
-  return res;     
+  return res;
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Range_segment_tree_traits.h 5.0.3-1/include/CGAL/Range_segment_tree_traits.h
--- 5.0.2-3/include/CGAL/Range_segment_tree_traits.h	2020-02-21 20:04:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Range_segment_tree_traits.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/SearchStructures/include/CGAL/Range_segment_tree_traits.h $
-// $Id: Range_segment_tree_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/SearchStructures/include/CGAL/Range_segment_tree_traits.h $
+// $Id: Range_segment_tree_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Gabriele Neyer
 
@@ -29,7 +29,7 @@ namespace CGAL {
 template<class Key_1>
   class C_Compare_1{
   public:
-    
+
     bool operator()(const Key_1& k1, const Key_1& k2)
     {
       return SMALLER == compare_x(k1,k2);
@@ -39,7 +39,7 @@ template<class Key_1>
 template<class Key_2>
   class C_Compare_2{
   public:
-    
+
     bool operator()(const Key_2& k1, const Key_2& k2)
     {
       return SMALLER == compare_y(k1,k2);
@@ -49,7 +49,7 @@ template<class Key_2>
 template<class Key_3>
   class C_Compare_3{
   public:
-    
+
     bool operator()(const Key_3& k1, const Key_3& k2)
     {
       return SMALLER == compare_z(k1,k2);
@@ -353,7 +353,7 @@ class Range_segment_tree_set_traits_3{
 
 };
 
-  
+
 
 
 template <class Rep>
diff -pruN 5.0.2-3/include/CGAL/Range_tree_d.h 5.0.3-1/include/CGAL/Range_tree_d.h
--- 5.0.2-3/include/CGAL/Range_tree_d.h	2020-02-21 20:04:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Range_tree_d.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/SearchStructures/include/CGAL/Range_tree_d.h $
-// $Id: Range_tree_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/SearchStructures/include/CGAL/Range_tree_d.h $
+// $Id: Range_tree_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Gabriele Neyer
 
@@ -24,13 +24,13 @@
 #include <list>
 #include <vector>
 
-// A d-dimensional Range Tree or a multilayer tree consisting of Range 
-// and other trees that are derived public 
+// A d-dimensional Range Tree or a multilayer tree consisting of Range
+// and other trees that are derived public
 // Tree_base<C_Data, C_Window, C_Interface>
 // can be construced within this class.
 // C_Data: container class which contains the d-dimensional data the tree holds.
 // C_Window: Query window -- a d-dimensional interval
-// C_Interface: Interface for the class with functions that allow to 
+// C_Interface: Interface for the class with functions that allow to
 // access the data.
 // cf. file Tree_interface.h, class point_interface for the requirements.
 
@@ -57,18 +57,18 @@ public:
 
   Range_tree_node()
     : sublayer(0)
-  {} 
+  {}
 
   Range_tree_node( Range_tree_node    * p_left,
-		   Range_tree_node    * p_right,
-		   const  Data & v_obj,
-		   const  Key  & v_key )
+                   Range_tree_node    * p_right,
+                   const  Data & v_obj,
+                   const  Key  & v_key )
     : Base(p_left, p_right), object( v_obj ), key( v_key ), sublayer(0)
   {}
-  
+
   Range_tree_node( Range_tree_node    * p_left,
-		   Range_tree_node    * p_right,
-		   const  Key  & v_key )
+                   Range_tree_node    * p_right,
+                   const  Key  & v_key )
     : Base(p_left, p_right), key( v_key ), sublayer(0)
   {}
 
@@ -77,7 +77,7 @@ public:
     if (sublayer != 0)
       delete sublayer;
   }
-  
+
   Data object;
   Key key;
   Tree_base_type *sublayer;
@@ -99,7 +99,7 @@ protected:
   C_Interface m_interface;
   int is_built;
 
- 
+
   // A vertex is of this type:
   //  struct Range_tree_node;
 
@@ -108,11 +108,11 @@ protected:
   typedef Range_tree_node<C_Data,C_Window,C_Interface> Range_tree_node2;
   typedef Range_tree_node<C_Data,C_Window,C_Interface> *link_type;
 
-  static link_type& left(link_type x) { 
+  static link_type& left(link_type x) {
     return x->left_link;
   }
   static link_type& right(link_type x) {
-    return x->right_link;   
+    return x->right_link;
   }
 
   static link_type& parent(link_type x) {
@@ -127,22 +127,22 @@ protected:
     if(header!=0)
       return header->parent_link;
     // return parent(header);
-    else 
+    else
       return 0;
   }
 
   bool is_less_equal(const Key&  x, const Key&  y) const
   {
     return (!m_interface.comp(y,x));
-  }  
-  
+  }
+
   // this tree is not a recursion anchor
   bool is_anchor() const {return false;}
 
   // returns true, if the object lies inside of win
   bool is_inside( C_Window const &win,  C_Data const& object) const
   {
-    if(is_less_equal(m_interface.get_left(win), m_interface.get_key(object)) 
+    if(is_less_equal(m_interface.get_left(win), m_interface.get_key(object))
        && m_interface.comp(m_interface.get_key(object),m_interface.get_right(win)))
    //half open
 //       && is_less_equal(m_interface.get_key(object),m_interface.get_right(win)))
@@ -170,49 +170,49 @@ protected:
     while(current!=last)
     {
       if (m_interface.comp(m_interface.get_key(*current),m_interface.get_key(*prev)))
-	startpoints.push_back(current);
+        startpoints.push_back(current);
       prev = current++;
     }
     while(startpoints.size()>1)
     {
       while(startpoints.size()>1)
       {
-	current_first = startpoints.front();
-	startpoints.erase(startpoints.begin());
-	current_middle = startpoints.front();
-	startpoints.erase(startpoints.begin());
-	if(startpoints.size()>0)
-	  current_last = startpoints.front();
-	else 
-	  current_last = last;
-	tmp_startpoints.push_back(current_first);
-	std::inplace_merge(current_first, current_middle, current_last, 
-		      m_interface.key_comp);
+        current_first = startpoints.front();
+        startpoints.erase(startpoints.begin());
+        current_middle = startpoints.front();
+        startpoints.erase(startpoints.begin());
+        if(startpoints.size()>0)
+          current_last = startpoints.front();
+        else
+          current_last = last;
+        tmp_startpoints.push_back(current_first);
+        std::inplace_merge(current_first, current_middle, current_last,
+                      m_interface.key_comp);
       }
       if(startpoints.size()>0)
       {
-	tmp_startpoints.push_back(startpoints.front());
-	startpoints.erase(startpoints.begin());
+        tmp_startpoints.push_back(startpoints.front());
+        startpoints.erase(startpoints.begin());
       }
       startpoints.swap(tmp_startpoints);
     }
   }
 
 
-  // recursive function 
+  // recursive function
   // (current,last) describe an interval of length n of sorted elements,
   // for this interval a tree is build containing these elements.
   // the most left child is returend in prevchild.
 
   template <class T>
-  void build_range_tree(int n, link_type& leftchild, 
-			link_type& rightchild,
-			link_type& prevchild, 
-			link_type& leftmostlink,
-			T& current, 
-			const T& last,
-			T& sublevel_first,
-			T& sublevel_last)
+  void build_range_tree(int n, link_type& leftchild,
+                        link_type& rightchild,
+                        link_type& prevchild,
+                        link_type& leftmostlink,
+                        T& current,
+                        const T& last,
+                        T& sublevel_first,
+                        T& sublevel_last)
   {
     // only two elements ==> two leaves and a parent is constructed
     if (n==2)
@@ -220,13 +220,13 @@ protected:
       sublevel_first = current;
 
       link_type  vleft = new Range_tree_node2( 0, 0,
-                                  (*current), m_interface.get_key(*current) ); 
+                                  (*current), m_interface.get_key(*current) );
       //CGAL_NIL CGAL_NIL first two arguments
       CGAL_Tree_assertion( vleft != 0);
 
       ++current;
       link_type  vright = new Range_tree_node2( 0,0,
-                                  (*current), m_interface.get_key(*current) ); 
+                                  (*current), m_interface.get_key(*current) );
       //CGAL_NIL CGAL_NIL first two arguments
       CGAL_Tree_assertion( vright != 0);
       current++;
@@ -241,56 +241,56 @@ protected:
       rightchild = vright;
       prevchild = vparent;
       if ( leftmostlink == 0)
-	leftmostlink = leftchild;
+        leftmostlink = leftchild;
 
       Tree_base<C_Data, C_Window> *g = sublayer_tree->clone();
-      
+
       T sub_first = sublevel_first;
       T sub_last = sublevel_last;
-   
+
       g->make_tree(sub_first, sub_last);
-      
+
       vparent->sublayer= g;
     }
     else
       // only one element ==> one leaf is constructed
       if(n==1)
       {
-	sublevel_first = current;
-	link_type vright = new Range_tree_node2( 0, 0,
-	                           (*current), m_interface.get_key(*current) );
-	//CGAL_NIL CGAL_NIL first two arguments
+        sublevel_first = current;
+        link_type vright = new Range_tree_node2( 0, 0,
+                                   (*current), m_interface.get_key(*current) );
+        //CGAL_NIL CGAL_NIL first two arguments
         CGAL_Tree_assertion( vright != 0); //CGAL_NIL
-	current++;
-	sublevel_last = current;
-	prevchild = vright;
-	rightchild = vright;
+        current++;
+        sublevel_last = current;
+        prevchild = vright;
+        rightchild = vright;
       }
       else
       {
-	// recursiv call for the construction. the interval is devided.
-	T sublevel_left, sublevel_right;
-	build_range_tree(n - (int)n/2, leftchild, rightchild, 
-			 prevchild, leftmostlink, current, last, 
-			 sublevel_first, sublevel_left);
-	link_type vparent = new Range_tree_node2( prevchild, 0,
+        // recursiv call for the construction. the interval is devided.
+        T sublevel_left, sublevel_right;
+        build_range_tree(n - (int)n/2, leftchild, rightchild,
+                         prevchild, leftmostlink, current, last,
+                         sublevel_first, sublevel_left);
+        link_type vparent = new Range_tree_node2( prevchild, 0,
                                         rightchild->key );
-	//CGAL_NIL argument
+        //CGAL_NIL argument
         CGAL_Tree_assertion( vparent != 0);
 
-	prevchild->parent_link = vparent;
+        prevchild->parent_link = vparent;
 
-	build_range_tree((int)n/2, leftchild, rightchild, 
-			 prevchild, leftmostlink, current, 
-			 last, sublevel_right, sublevel_last);
-	vparent->right_link = prevchild;
-	prevchild->parent_link = vparent;
-	prevchild = vparent;
-	Tree_base<C_Data, C_Window> *g = sublayer_tree->clone();
-	T sub_first = sublevel_first;
-	T sub_last = sublevel_last;
-	g->make_tree(sub_first, sub_last);
-	vparent->sublayer = g;
+        build_range_tree((int)n/2, leftchild, rightchild,
+                         prevchild, leftmostlink, current,
+                         last, sublevel_right, sublevel_last);
+        vparent->right_link = prevchild;
+        prevchild->parent_link = vparent;
+        prevchild = vparent;
+        Tree_base<C_Data, C_Window> *g = sublayer_tree->clone();
+        T sub_first = sublevel_first;
+        T sub_last = sublevel_last;
+        g->make_tree(sub_first, sub_last);
+        vparent->sublayer = g;
       }
   }
 
@@ -299,15 +299,15 @@ protected:
   void delete_tree(link_type v)
   {
     if (v->left_link != 0)
-    { 
+    {
        delete_tree(left(v));
        delete_tree(right(v));
     }
     delete v;
-  }	    
-		    
-  
-  // the vertex from that the way from root to the left interval bound 
+  }
+
+
+  // the vertex from that the way from root to the left interval bound
   // and the right interval bound splits.
   link_type findSplitNode(Window const &key)
   {
@@ -317,20 +317,20 @@ protected:
     {
 //      if(m_interface.comp(m_interface.get_right(key), v->key))
       if(is_less_equal(m_interface.get_right(key), v->key))
-	v = left(v);
-      else 
-	if(m_interface.comp(v->key, m_interface.get_left(key)))
-	  v = right(v);
-	else
-	  break;
+        v = left(v);
+      else
+        if(m_interface.comp(v->key, m_interface.get_left(key)))
+          v = right(v);
+        else
+          break;
     }
 
     return v;
   }
 
   template <class T>
-  void report_subtree(link_type v, 
-		      T result)
+  void report_subtree(link_type v,
+                      T result)
   {
     if(left(v)!=0)
     {
@@ -341,33 +341,33 @@ protected:
       (*result++)=v->object;
   }
 
-  bool is_valid(link_type& v, link_type&  leftmost_child, 
-		link_type& rightmost_child) const
+  bool is_valid(link_type& v, link_type&  leftmost_child,
+                link_type& rightmost_child) const
   {
-    link_type leftmost_child_l, rightmost_child_l,  leftmost_child_r, 
+    link_type leftmost_child_l, rightmost_child_l,  leftmost_child_r,
       rightmost_child_r;
     if (v->sublayer != 0)
     {
       Tree_base<C_Data, C_Window> *T= v->sublayer;
       if(! T->is_valid())
-	return false;
+        return false;
     }
     if(left(v)!=0)
     {
       if(!is_valid(left(v), leftmost_child_l, rightmost_child_l))
-	return false;
+        return false;
       if(!is_valid(right(v), leftmost_child_r, rightmost_child_r))
-	return false;
-      if(m_interface.comp(v->key, rightmost_child_l->key) || 
-	 m_interface.comp(rightmost_child_l->key, v->key))
-	return false;
+        return false;
+      if(m_interface.comp(v->key, rightmost_child_l->key) ||
+         m_interface.comp(rightmost_child_l->key, v->key))
+        return false;
       rightmost_child = rightmost_child_r;
       leftmost_child = leftmost_child_l;
     }
     else
     {
       rightmost_child = v;
-      leftmost_child = v;      
+      leftmost_child = v;
     }
     return true;
   }
@@ -384,13 +384,13 @@ public:
 
   // construction of a tree
   Range_tree_d(Tree_base<C_Data, C_Window> const &fact):
-    sublayer_tree(fact.clone()), is_built(false), header(0) 
+    sublayer_tree(fact.clone()), is_built(false), header(0)
   {}
 
   // destruction
   virtual ~Range_tree_d()
   {
-    link_type v=root();   
+    link_type v=root();
 
     if (v!=0)
       delete_tree(v);
@@ -402,36 +402,36 @@ public:
 
 
  // a prototype of the tree is returned
-  Tree_base<C_Data, C_Window> *clone() const 
-  { 
-    return new Range_tree_d(*this, true); 
-  }
-  
-  bool make_tree(const typename std::list< C_Data>::iterator& beg, 
-		 const typename std::list< C_Data>::iterator& end,
-		 typename tbt::lit * =0){ 
+  Tree_base<C_Data, C_Window> *clone() const
+  {
+    return new Range_tree_d(*this, true);
+  }
+
+  bool make_tree(const typename std::list< C_Data>::iterator& beg,
+                 const typename std::list< C_Data>::iterator& end,
+                 typename tbt::lit * =0){
     return make_tree_impl(beg,end);
   }
 
 #ifdef stlvector
-  bool make_tree(const typename std::vector< C_Data>::iterator& beg, 
-		 const typename std::vector< C_Data>::iterator& end,
-		 typename tbt::vbit * =0){ 
+  bool make_tree(const typename std::vector< C_Data>::iterator& beg,
+                 const typename std::vector< C_Data>::iterator& end,
+                 typename tbt::vbit * =0){
     return make_tree_impl(beg,end);
   }
 #endif
 #ifdef carray
-  bool make_tree(const C_Data *beg, 
-		 const C_Data *end){
+  bool make_tree(const C_Data *beg,
+                 const C_Data *end){
     return make_tree_impl(beg,end);
   }
 #endif
 
   // the tree is build according to the input elements in [first,last)
   template<class T>
-  inline  
-  bool make_tree_impl(T first, 
-		      T last) // af: was &   todo: can we turn it in const& ??  
+  inline
+  bool make_tree_impl(T first,
+                      T last) // af: was &   todo: can we turn it in const& ??
   {
     link_type leftchild, rightchild, prevchild, leftmostlink;
 
@@ -439,7 +439,7 @@ public:
       is_built = true;
     else
       return false;
-    
+
     if(first == last) {
       is_built = false;
       return true;
@@ -447,14 +447,14 @@ public:
 
     int n = static_cast<int>(std::distance(first,last));
     dynamic_merge(first, last);
-    
+
     leftmostlink = 0;
     T sublevel_first, sublevel_last;
-    
-    build_range_tree(n, leftchild, rightchild, prevchild, 
-		     leftmostlink, first, last, 
-		     sublevel_first, sublevel_last);
-    
+
+    build_range_tree(n, leftchild, rightchild, prevchild,
+                     leftmostlink, first, last,
+                     sublevel_first, sublevel_last);
+
     header = new Range_tree_node2();
     header->right_link = rightchild;
     header->parent_link = prevchild;
@@ -465,17 +465,17 @@ public:
 
 
   std::back_insert_iterator< std::list< C_Data> > window_query
-          ( C_Window const &win, 
-	    std::back_insert_iterator< std::list< C_Data> > out,
-	    typename tbt::lbit * =0){
+          ( C_Window const &win,
+            std::back_insert_iterator< std::list< C_Data> > out,
+            typename tbt::lbit * =0){
     return window_query_impl(win,out);
   }
 
 
   std::back_insert_iterator< std::vector< C_Data> > window_query
-          ( C_Window const &win, 
-	    std::back_insert_iterator< std::vector< C_Data> > out,
-	    typename tbt::vbit * =0){
+          ( C_Window const &win,
+            std::back_insert_iterator< std::vector< C_Data> > out,
+            typename tbt::vbit * =0){
     return window_query_impl(win,out);
   }
 
@@ -487,16 +487,16 @@ public:
 #endif
 
 #ifdef ostreamiterator
-  std::ostream_iterator< C_Data>  window_query( C_Window const &win, 
-		     std::ostream_iterator< C_Data> out,
-		     typename tbt::oit *dummy=0){
+  std::ostream_iterator< C_Data>  window_query( C_Window const &win,
+                     std::ostream_iterator< C_Data> out,
+                     typename tbt::oit *dummy=0){
     return window_query_impl(win,out);
   }
 #endif
 
   // all elements that ly in win are inserted in result
   template <class X>
-  inline  
+  inline
   X window_query_impl( C_Window const &win, X result)
   {
     if(is_less_equal(m_interface.get_right(win), m_interface.get_left(win)))
@@ -507,77 +507,77 @@ public:
     if(left(split_node)==0)
     {
       if(is_inside(win,split_node->object))
-	(*result++)=split_node->object;
-    }	  
+        (*result++)=split_node->object;
+    }
     else
     {
       link_type v = (link_type) split_node->left_link;
 
       while(left(v)!=0)
       {
-	if(is_less_equal(m_interface.get_left(win),v->key))
-	{
-	  link_type w = right(v);
-	  if(left(w)!=0)
-	  {
-	    Tree_base<C_Data, C_Window> *T= (w)->sublayer;
-	    if(T->is_anchor())
-	      report_subtree(w,result);
-	    else
-	      T->window_query(win, result);
-	  }
-	  else
-	    if(is_inside(win,w->object))
-	      (*result++)=(w)->object;
-	  v = left(v);
-	}
-	else
-	  v = right(v);
+        if(is_less_equal(m_interface.get_left(win),v->key))
+        {
+          link_type w = right(v);
+          if(left(w)!=0)
+          {
+            Tree_base<C_Data, C_Window> *T= (w)->sublayer;
+            if(T->is_anchor())
+              report_subtree(w,result);
+            else
+              T->window_query(win, result);
+          }
+          else
+            if(is_inside(win,w->object))
+              (*result++)=(w)->object;
+          v = left(v);
+        }
+        else
+          v = right(v);
       }                 // end while
       if(is_inside(win,v->object))
-	(*result++)=v->object;
+        (*result++)=v->object;
       v = right(split_node);
       while(right(v)!=0)
       {
-//	if(is_less_equal(v->key, m_interface.get_right(win))) closed interval
-	if(m_interface.comp(v->key, m_interface.get_right(win))) 
-	  //half open interval
-	{
-	  if(left(left(v))!=0)
-	  {
-	    Tree_base<C_Data, C_Window> *T= (left(v))->sublayer;
-	    if(T->is_anchor())
-	      report_subtree(left(v),result);
-	    else
-	      T->window_query(win, result);
-	  }
-	  else
-	  {
-	    if(is_inside(win,left(v)->object))
-	      (*result++)=left(v)->object; 
-	  }
-	  v = right(v);
-	}
-	else
-	  v = left(v);
+//        if(is_less_equal(v->key, m_interface.get_right(win))) closed interval
+        if(m_interface.comp(v->key, m_interface.get_right(win)))
+          //half open interval
+        {
+          if(left(left(v))!=0)
+          {
+            Tree_base<C_Data, C_Window> *T= (left(v))->sublayer;
+            if(T->is_anchor())
+              report_subtree(left(v),result);
+            else
+              T->window_query(win, result);
+          }
+          else
+          {
+            if(is_inside(win,left(v)->object))
+              (*result++)=left(v)->object;
+          }
+          v = right(v);
+        }
+        else
+          v = left(v);
       }//end while
       if(is_inside(win,v->object))
       {
-	(*result++)=v->object; 
+        (*result++)=v->object;
       }
     }
     return result;
   }
 
-  std::back_insert_iterator< std::list< C_Data> > enclosing_query( C_Window const &win, 
-			     std::back_insert_iterator< std::list< C_Data> > out,
-			     typename tbt::lbit * =0){
+  std::back_insert_iterator< std::list< C_Data> > enclosing_query( C_Window const &win,
+                             std::back_insert_iterator< std::list< C_Data> > out,
+                             typename tbt::lbit * =0){
     return enclosing_query_impl(win,out);
   }
 
-  std::back_insert_iterator< std::vector< C_Data> > enclosing_query( C_Window const &win, 
-			     std::back_insert_iterator< std::vector< C_Data> > out,
-			     typename tbt::vbit * =0){
+  std::back_insert_iterator< std::vector< C_Data> > enclosing_query( C_Window const &win,
+                             std::back_insert_iterator< std::vector< C_Data> > out,
+                             typename tbt::vbit * =0){
     return enclosing_query_impl(win,out);
   }
 
@@ -589,14 +589,14 @@ public:
 #endif
 
 #ifdef ostreamiterator
-  std::ostream_iterator< C_Data>  enclosing_query( C_Window const &win, 
-			     std::ostream_iterator< C_Data> out,
-			     typename tbt::oit *dummy=0){
+  std::ostream_iterator< C_Data>  enclosing_query( C_Window const &win,
+                             std::ostream_iterator< C_Data> out,
+                             typename tbt::oit *dummy=0){
     return enclosing_query_impl(win,out);
   }
 #endif
 
-  // a window query is performed 
+  // a window query is performed
   template <class T>
   inline
   T enclosing_query_impl(C_Window const &win, T result)
diff -pruN 5.0.2-3/include/CGAL/Range_tree_k.h 5.0.3-1/include/CGAL/Range_tree_k.h
--- 5.0.2-3/include/CGAL/Range_tree_k.h	2020-02-21 20:04:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Range_tree_k.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/SearchStructures/include/CGAL/Range_tree_k.h $
-// $Id: Range_tree_k.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/SearchStructures/include/CGAL/Range_tree_k.h $
+// $Id: Range_tree_k.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Gabriele Neyer
 
@@ -16,12 +16,12 @@
 #include <CGAL/license/SearchStructures.h>
 
 
-// Predefined k-dimensional Range Trees (k=1..4) 
+// Predefined k-dimensional Range Trees (k=1..4)
 // The trees can either be templated with d arbitrary types
-// (e.g., Range_tree_3) 
+// (e.g., Range_tree_3)
 // or with an unary type for each dimension
 // (e.g., Range_tree_uni_4).
-// The container class and sequence container class as well as the 
+// The container class and sequence container class as well as the
 // interfaces are defined in these classes.
 
 #include <iostream>
@@ -39,7 +39,7 @@ namespace CGAL {
 
 template <class C_Traits_1>
 class Range_tree_1
-{ 
+{
 
 public:
   typedef C_Traits_1 Traits;
@@ -52,7 +52,7 @@ public:
   typedef typename C_Traits_1::compare_1 compare_1;
 
 
-  typedef tree_point_traits<Key, Interval, Key_1, 
+  typedef tree_point_traits<Key, Interval, Key_1,
                             key_1, low_1, high_1, compare_1> I1;
 
   typedef Tree_anchor<Key, Interval> Tree_anchor_type;
@@ -69,16 +69,16 @@ public:
   }
 
   template <class T>
-  Range_tree_1(const T& first, 
-	       const T& last)  
+  Range_tree_1(const T& first,
+               const T& last)
     : anchor(new Tree_anchor_type), range_tree_1(new Range_tree_1_type(*anchor))
   {
    range_tree_1->make_tree(first,last);
   }
 
   template <class T>
-  bool make_tree(const T& first, 
-		 const T& last)
+  bool make_tree(const T& first,
+                 const T& last)
   {
     delete range_tree_1;
     delete anchor;
@@ -88,8 +88,8 @@ public:
   }
 
   template <class T>
-  T  window_query(Interval const &win,  
-		  const T& result)
+  T  window_query(Interval const &win,
+                  const T& result)
   {
     return range_tree_1->window_query(win, result);
   }
@@ -111,7 +111,7 @@ public:
 
 template <class C_Traits_2>
 class Range_tree_2
-{ 
+{
 
 public:
   typedef C_Traits_2 Traits;
@@ -129,10 +129,10 @@ public:
   typedef typename C_Traits_2::compare_2 compare_2;
 
 
-  typedef tree_point_traits<Key, Interval, 
+  typedef tree_point_traits<Key, Interval,
                             Key_1, key_1, low_1, high_1, compare_1> I1;
 
-  typedef tree_point_traits<Key, Interval, 
+  typedef tree_point_traits<Key, Interval,
                             Key_2, key_2, low_2, high_2, compare_2> I2;
 
 
@@ -153,8 +153,8 @@ public:
   {}
 
   template <class T>
-  Range_tree_2(const T& first, 
-	       const T& last)
+  Range_tree_2(const T& first,
+               const T& last)
     : anchor(new Tree_anchor_type),
       range_tree_1(new Range_tree_1_type(*anchor)),
       range_tree_2(new Range_tree_2_type(*range_tree_1))
@@ -163,8 +163,8 @@ public:
   }
 
   template <class T>
-  bool make_tree(const T& first, 
-		 const T& last)
+  bool make_tree(const T& first,
+                 const T& last)
   {
     delete range_tree_2;
     delete range_tree_1;
@@ -174,10 +174,10 @@ public:
     range_tree_2 = new Range_tree_2_type(*range_tree_1);
     return range_tree_2->make_tree(first,last);
   }
-  
+
   template <class T>
-  T window_query(Interval const &win,  
-		 const T& result)
+  T window_query(Interval const &win,
+                 const T& result)
   {
     return range_tree_2->window_query(win, result);
   }
@@ -198,7 +198,7 @@ public:
 // Ti is the type of each dimension of the tree.
 template <class C_Traits_3>
 class Range_tree_3
-{ 
+{
 public:
   typedef C_Traits_3 Traits;
   typedef typename C_Traits_3::Key Key;
@@ -225,7 +225,7 @@ public:
   typedef tree_point_traits<Key, Interval, Key_2,
                             key_2, low_2, high_2, compare_2> I2;
 
-  typedef tree_point_traits<Key, Interval, Key_3, 
+  typedef tree_point_traits<Key, Interval, Key_3,
                             key_3, low_3, high_3, compare_3> I3;
 
   typedef Tree_anchor<Key, Interval> Tree_anchor_type;
@@ -246,10 +246,10 @@ public:
       range_tree_2(new Range_tree_2_type(*range_tree_1)),
       range_tree_3(new Range_tree_3_type(*range_tree_2))
   {}
-  
+
   template <class T>
-  Range_tree_3(const T& first, 
-	       const T& last)
+  Range_tree_3(const T& first,
+               const T& last)
     : anchor(new Tree_anchor_type),
       range_tree_1(new Range_tree_1_type(*anchor)),
       range_tree_2(new Range_tree_2_type(*range_tree_1)),
@@ -259,8 +259,8 @@ public:
   }
 
   template <class T>
-  bool make_tree(const T& first, 
-		 const T& last)
+  bool make_tree(const T& first,
+                 const T& last)
   {
     delete range_tree_3;
     delete range_tree_2;
@@ -272,10 +272,10 @@ public:
     range_tree_3 = new Range_tree_3_type(*range_tree_2);
     return range_tree_3->make_tree(first,last);
   }
-  
+
   template <class T>
-  T  window_query(Interval const &win,  
-		  const T& result)
+  T  window_query(Interval const &win,
+                  const T& result)
   {
     return range_tree_3->window_query(win, result);
   }
@@ -300,7 +300,7 @@ public:
 
 template <class C_Traits_4>
 class Range_tree_4
-{ 
+{
 public:
   typedef C_Traits_4 Traits;
   typedef typename C_Traits_4::Key Key;
@@ -327,16 +327,16 @@ public:
   typedef typename C_Traits_4::compare_4 compare_4;
 
   typedef tree_point_traits<Key, Interval, Key_1,
-                            key_1, low_1, high_1, compare_1> I1;  
+                            key_1, low_1, high_1, compare_1> I1;
 
   typedef tree_point_traits<Key, Interval, Key_2,
-                            key_2, low_2, high_2, compare_2> I2;  
+                            key_2, low_2, high_2, compare_2> I2;
 
   typedef tree_point_traits<Key, Interval, Key_3,
-                            key_3, low_3, high_3, compare_3> I3;  
+                            key_3, low_3, high_3, compare_3> I3;
 
-  typedef tree_point_traits<Key, Interval, Key_4, 
-                            key_4, low_4, high_4, compare_4> I4;  
+  typedef tree_point_traits<Key, Interval, Key_4,
+                            key_4, low_4, high_4, compare_4> I4;
 
   typedef Tree_anchor<Key, Interval> Tree_anchor_type;
   Tree_anchor_type *anchor;
@@ -362,8 +362,8 @@ public:
   {}
 
   template <class T>
-  Range_tree_4(const T& first, 
-	       const T& last)
+  Range_tree_4(const T& first,
+               const T& last)
     : anchor(new Tree_anchor_type),
       range_tree_1(new Range_tree_1_type(*anchor)),
       range_tree_2(new Range_tree_2_type(*range_tree_1)),
@@ -374,8 +374,8 @@ public:
   }
 
   template <class T>
-  bool make_tree(const T& first, 
-		 const T& last)
+  bool make_tree(const T& first,
+                 const T& last)
   {
     delete range_tree_4;
     delete range_tree_3;
@@ -391,8 +391,8 @@ public:
   }
 
   template <class T>
-  T  window_query(Interval const &win,  
-		  const T& result)
+  T  window_query(Interval const &win,
+                  const T& result)
   {
     return range_tree_4->window_query(win, result);
   }
diff -pruN 5.0.2-3/include/CGAL/rational_rotation.h 5.0.3-1/include/CGAL/rational_rotation.h
--- 5.0.2-3/include/CGAL/rational_rotation.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/rational_rotation.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/rational_rotation.h $
-// $Id: rational_rotation.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/rational_rotation.h $
+// $Id: rational_rotation.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 
 #ifndef CGAL_RATIONAL_ROTATION_H
 #define CGAL_RATIONAL_ROTATION_H
diff -pruN 5.0.2-3/include/CGAL/Rational_traits.h 5.0.3-1/include/CGAL/Rational_traits.h
--- 5.0.2-3/include/CGAL/Rational_traits.h	2020-02-21 20:02:45.000000000 +0000
+++ 5.0.3-1/include/CGAL/Rational_traits.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_foundations/include/CGAL/Rational_traits.h $
-// $Id: Rational_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_foundations/include/CGAL/Rational_traits.h $
+// $Id: Rational_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -12,11 +12,11 @@
 //
 // =============================================================================
 
-// This file is for backward compatibility 
+// This file is for backward compatibility
 // Rational_traits will be replaced by Fraction_traits
 
 #ifndef CGAL_RATIONAL_TRAITS_H
-#define CGAL_RATIONAL_TRAITS_H 
+#define CGAL_RATIONAL_TRAITS_H
 
 #include <CGAL/number_type_basic.h>
 #include <CGAL/Fraction_traits.h>
@@ -27,14 +27,14 @@ namespace CGAL {
 
 namespace internal{
 
-template <class Rational, bool > 
+template <class Rational, bool >
 struct Rational_traits_base
 {
     typedef Rational RT;
-    
+
     const RT& numerator   (const Rational& r) const { return r; }
     RT denominator (const Rational&) const { return RT(1); }
-    
+
     template<class T>
     Rational make_rational(const T & x) const
     { return x; }
@@ -44,10 +44,10 @@ struct Rational_traits_base
     { return make_rational(x.first, x.second); }
 
     Rational make_rational(const RT & n, const RT & d) const
-    { return n / d; } 
+    { return n / d; }
 };
 
-template <class Rational> 
+template <class Rational>
 struct Rational_traits_base<Rational, true>
 {
 private:
@@ -57,19 +57,19 @@ private:
 
 public:
     typedef typename FT::Numerator_type RT;
-    
+
     RT numerator (const Rational& r) const {
-        RT num,den; 
+        RT num,den;
         Decomose()(r,num,den);
         return num;
     }
 
-    RT denominator (const Rational& r) const { 
-        RT num,den; 
-        Decomose()(r,num,den); 
-        return den; 
+    RT denominator (const Rational& r) const {
+        RT num,den;
+        Decomose()(r,num,den);
+        return den;
     }
-    
+
     template<class T>
     Rational make_rational(const T & x) const
     { return x; }
@@ -80,7 +80,7 @@ public:
 
     template<class N,class D>
     Rational make_rational(const N& n, const D& d,typename boost::enable_if_c<is_implicit_convertible<N,RT>::value&&is_implicit_convertible<D,RT>::value,int>::type=0) const
-    { return Compose()(n,d); } 
+    { return Compose()(n,d); }
 
     template<class N,class D>
     Rational make_rational(const N& n, const D& d,typename boost::enable_if_c<!is_implicit_convertible<N,RT>::value||!is_implicit_convertible<D,RT>::value,int>::type=0) const
@@ -88,11 +88,11 @@ public:
 };
 }// namespace internal
 
-// use Fraction_traits if Is_fraction && Num and Den are the same 
+// use Fraction_traits if Is_fraction && Num and Den are the same
 template <class T>
-class Rational_traits 
+class Rational_traits
     : public internal::Rational_traits_base<T,
-::boost::is_same<typename Fraction_traits<T>::Is_fraction,Tag_true>::value 
+::boost::is_same<typename Fraction_traits<T>::Is_fraction,Tag_true>::value
 &&
 ::boost::is_same<
 typename Fraction_traits<T>::Numerator_type,
diff -pruN 5.0.2-3/include/CGAL/Ray_2.h 5.0.3-1/include/CGAL/Ray_2.h
--- 5.0.2-3/include/CGAL/Ray_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Ray_2.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Ray_2.h $
-// $Id: Ray_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Ray_2.h $
+// $Id: Ray_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
@@ -186,7 +186,7 @@ public:
     return !(*this == r);
   }
 
-  Ray_2 
+  Ray_2
   transform(const Aff_transformation_2 &t) const
   {
     return Ray_2(t.transform(source()), t.transform(second_point()));
@@ -197,7 +197,7 @@ public:
 
 template <class R >
 std::ostream&
-insert(std::ostream& os, const Ray_2<R>& r, const Cartesian_tag&) 
+insert(std::ostream& os, const Ray_2<R>& r, const Cartesian_tag&)
 {
     switch(get_mode(os)) {
     case IO::ASCII :
@@ -234,7 +234,7 @@ operator<<(std::ostream& os, const Ray_2
 
 template <class R >
 std::istream&
-extract(std::istream& is, Ray_2<R>& r, const Cartesian_tag&) 
+extract(std::istream& is, Ray_2<R>& r, const Cartesian_tag&)
 {
     typename R::Point_2 p, q;
     is >> p >> q;
@@ -246,7 +246,7 @@ extract(std::istream& is, Ray_2<R>& r, c
 
 template <class R >
 std::istream&
-extract(std::istream& is, Ray_2<R>& r, const Homogeneous_tag&) 
+extract(std::istream& is, Ray_2<R>& r, const Homogeneous_tag&)
 {
   typename R::Point_2 p, q;
   is >> p >> q;
diff -pruN 5.0.2-3/include/CGAL/Ray_3.h 5.0.3-1/include/CGAL/Ray_3.h
--- 5.0.2-3/include/CGAL/Ray_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Ray_3.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Ray_3.h $
-// $Id: Ray_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Ray_3.h $
+// $Id: Ray_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/read_vtk_image_data.h 5.0.3-1/include/CGAL/read_vtk_image_data.h
--- 5.0.2-3/include/CGAL/read_vtk_image_data.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/read_vtk_image_data.h	2020-08-01 19:02:17.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/read_vtk_image_data.h $
-// $Id: read_vtk_image_data.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/read_vtk_image_data.h $
+// $Id: read_vtk_image_data.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -27,12 +27,12 @@ struct VTK_to_ImageIO_type_mapper {
   unsigned int wdim;
 };
 
-static const VTK_to_ImageIO_type_mapper VTK_to_ImageIO_type[VTK_ID_TYPE] = 
+static const VTK_to_ImageIO_type_mapper VTK_to_ImageIO_type[VTK_ID_TYPE] =
   { { WK_UNKNOWN, SGN_UNKNOWN,  0}, //  0=VTK_VOID
     { WK_UNKNOWN, SGN_UNKNOWN,  0}, //  1=VTK_BIT
     { WK_FIXED,   SGN_SIGNED,   1}, //  2=VTK_CHAR
     { WK_FIXED,   SGN_UNSIGNED, 1}, //  3=VTK_UNSIGNED_CHAR
-    { WK_FIXED,   SGN_SIGNED,   2}, //  4=VTK_SHORT 
+    { WK_FIXED,   SGN_SIGNED,   2}, //  4=VTK_SHORT
     { WK_FIXED,   SGN_UNSIGNED, 2}, //  5=VTK_UNSIGNED_SHORT
     { WK_FIXED,   SGN_SIGNED,   4}, //  6=VTK_INT
     { WK_FIXED,   SGN_UNSIGNED, 4}, //  7=VTK_UNSIGNED_INT
@@ -40,11 +40,11 @@ static const VTK_to_ImageIO_type_mapper
     { WK_FIXED,   SGN_UNSIGNED, 8}, //  9=VTK_UNSIGNED_LONG
     { WK_FLOAT,   SGN_SIGNED,   4}, // 10=VTK_FLOAT
     { WK_FIXED,   SGN_SIGNED,   8}  // 11=VTK_DOUBLE
- }; 
+ };
 
 } //end anonymous namespace
 
-inline 
+inline
 Image_3
 read_vtk_image_data(vtkImageData* vtk_image, Image_3::Own owning = Image_3::OWN_THE_DATA)
 {
@@ -71,11 +71,15 @@ read_vtk_image_data(vtkImageData* vtk_im
   if(vtk_type == VTK_SIGNED_CHAR) vtk_type = VTK_CHAR;
   if(vtk_type < 0 || vtk_type > VTK_DOUBLE)
     vtk_type = VTK_DOUBLE;
-  const VTK_to_ImageIO_type_mapper& imageio_type = 
+  const VTK_to_ImageIO_type_mapper& imageio_type =
     VTK_to_ImageIO_type[vtk_type];
   image->wdim = imageio_type.wdim;
   image->wordKind = imageio_type.wordKind;
   image->sign = imageio_type.sign;
+  if (!vtk_image->GetPointData() || !vtk_image->GetPointData()->GetScalars()) {
+    ::_freeImage(image);
+    return Image_3();
+  }
   CGAL_assertion(vtk_image->GetPointData()->GetScalars()->GetNumberOfTuples() == dims[0]*dims[1]*dims[2]);
   if(owning == Image_3::OWN_THE_DATA) {
     image->data = ::ImageIO_alloc(dims[0]*dims[1]*dims[2]*image->wdim);
diff -pruN 5.0.2-3/include/CGAL/Real_embeddable_traits.h 5.0.3-1/include/CGAL/Real_embeddable_traits.h
--- 5.0.2-3/include/CGAL/Real_embeddable_traits.h	2020-02-21 20:02:45.000000000 +0000
+++ 5.0.3-1/include/CGAL/Real_embeddable_traits.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_foundations/include/CGAL/Real_embeddable_traits.h $
-// $Id: Real_embeddable_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_foundations/include/CGAL/Real_embeddable_traits.h $
+// $Id: Real_embeddable_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -32,17 +32,17 @@ struct Is_zero_selector< T, Null_functor
     bool operator()( const T& x ) const {
       return x == T(0);
     }
-  }; 
+  };
 };
 
-template < class Type_ , class Is_real_embeddable_  > 
+template < class Type_ , class Is_real_embeddable_  >
 class Real_embeddable_traits_base{
 public:
   typedef Type_                 Type;
   typedef Is_real_embeddable_   Is_real_embeddable;
   typedef Null_tag              Boolean;
-  typedef Null_tag              Sign; 
-  typedef Null_tag              Comparison_result; 
+  typedef Null_tag              Sign;
+  typedef Null_tag              Comparison_result;
 
   typedef Null_functor Abs;
   typedef Null_functor Sgn;
@@ -54,23 +54,23 @@ public:
   typedef Null_functor To_double;
   typedef Null_functor To_interval;
 };
-  
+
 template< class Type_ >
 class Real_embeddable_traits_base<Type_, CGAL::Tag_true> {
 public:
   typedef Type_                    Type;
-  typedef Tag_true                 Is_real_embeddable; 
+  typedef Tag_true                 Is_real_embeddable;
   typedef bool                     Boolean;
-  typedef CGAL::Sign               Sign; 
-  typedef CGAL::Comparison_result  Comparison_result; 
-  
+  typedef CGAL::Sign               Sign;
+  typedef CGAL::Comparison_result  Comparison_result;
+
 private:
-  typedef typename Algebraic_structure_traits< Type >::Is_zero AST_Is_zero; 
+  typedef typename Algebraic_structure_traits< Type >::Is_zero AST_Is_zero;
 public:
   //! The generic \c Is_zero functor implementation uses one comparison
-  typedef typename INTERN_RET::Is_zero_selector< Type, AST_Is_zero >::Type 
+  typedef typename INTERN_RET::Is_zero_selector< Type, AST_Is_zero >::Type
   Is_zero;
-  
+
   //! The generic \c Is_finite functor returns true
   class Is_finite : public CGAL::cpp98::unary_function< Type, Boolean > {
   public:
@@ -78,7 +78,7 @@ public:
       return true;
     }
   };
-    
+
   //! The generic \c Abs functor implementation
   //! uses one comparisons and the unary minus if necessary.
   class Abs
@@ -89,9 +89,9 @@ public:
       return( x < Type(0) ) ? -x : x;
     }
   };
-    
+
   //! The generic \c Sgn functor implementation uses two comparisons.
-  class Sgn 
+  class Sgn
     : public CGAL::cpp98::unary_function< Type, ::CGAL::Sign > {
   public:
     //! the function call.
@@ -103,34 +103,34 @@ public:
       return ZERO;
     }
   };
-    
+
   //! The generic \c Is_positive functor implementation uses one comparison.
-  class Is_positive 
+  class Is_positive
     : public CGAL::cpp98::unary_function< Type, Boolean > {
-  public:        
+  public:
     //! the function call.
     Boolean operator()( const Type& x ) const {
       return x > Type(0);
     }
   };
-    
+
   //! The generic \c Is_negative functor implementation uses one comparison.
-  class Is_negative 
+  class Is_negative
     : public CGAL::cpp98::unary_function< Type, Boolean > {
-  public:        
+  public:
     //! the function call.
     Boolean operator()( const Type& x ) const {
       return x < Type(0);
     }
   };
-        
+
   //! The generic \c Compare functor implementation uses two comparisons.
-  class Compare 
+  class Compare
     : public CGAL::cpp98::binary_function< Type, Type,
                                 Comparison_result > {
   public:
     //! the function call.
-    Comparison_result operator()( const Type& x, 
+    Comparison_result operator()( const Type& x,
         const Type& y) const {
       if( x < y )
         return SMALLER;
@@ -138,19 +138,19 @@ public:
         return LARGER;
       return EQUAL;
     }
-        
+
     CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR_WITH_RT( Type,
         Comparison_result )
       };
-  
+
   class To_double : public CGAL::cpp98::unary_function< Type, double > {
   public:
     double operator()( const Type& x ) const {
       return static_cast<double>(x);
     }
   };
-  
-  class To_interval 
+
+  class To_interval
     : public CGAL::cpp98::unary_function< Type, std::pair<double,double> > {
   public:
     std::pair<double,double> operator()( const Type& x ) const {
@@ -159,12 +159,12 @@ public:
     }
   };
 };
-    
+
 } // INTERN_RET
 
 
-template< class Type_ > 
-class Real_embeddable_traits 
+template< class Type_ >
+class Real_embeddable_traits
   : public INTERN_RET::Real_embeddable_traits_base<Type_,CGAL::Tag_false> {};
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Real_timer.h 5.0.3-1/include/CGAL/Real_timer.h
--- 5.0.2-3/include/CGAL/Real_timer.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Real_timer.h	2020-08-01 19:02:46.000000000 +0000
@@ -1,18 +1,18 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Profiling_tools/include/CGAL/Real_timer.h $
-// $Id: Real_timer.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Profiling_tools/include/CGAL/Real_timer.h $
+// $Id: Real_timer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>  
+//
+// Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>
 //                 Matthias Baesken <baesken@informatik.uni-halle.de>
 
 #ifndef CGAL_REAL_TIMER_H
@@ -27,9 +27,9 @@ namespace CGAL {
 
 // SECTION: A Timer Measuring Real-Time
 // ========================================================================
-// 
+//
 // DEFINITION
-// 
+//
 // A timer `t' of type Real_timer is an object with a state. It is either
 // running or it is stopped. The state is controlled with `t.start()'
 // and `t.stop()'. The timer counts the time elapsed since its creation
@@ -70,7 +70,7 @@ public:
     double   precision()  const;
     // Returns timer precison. Computes it dynamically at first call.
     // Returns -1.0 if timer system call fails, which, for a proper coded
-    // test towards precision leads to an immediate stop of an otherwise 
+    // test towards precision leads to an immediate stop of an otherwise
     // infinite loop (fixed tolerance * total time >= precision).
     double   max BOOST_PREVENT_MACRO_SUBSTITUTION ()        const { return DBL_MAX; }
 };
@@ -100,8 +100,8 @@ inline void Real_timer::reset() {
     interv  = 0;
     elapsed = 0.0;
     if (running) {
-	started = get_real_time();
-	++ interv;
+        started = get_real_time();
+        ++ interv;
     } else {
         started = 0.0;
     }
@@ -110,7 +110,7 @@ inline void Real_timer::reset() {
 inline double Real_timer::time() const {
     if (running) {
         double t = get_real_time();
-	return elapsed + (t - started);
+        return elapsed + (t - started);
     }
     return elapsed;
 }
diff -pruN 5.0.2-3/include/CGAL/Real_timer_impl.h 5.0.3-1/include/CGAL/Real_timer_impl.h
--- 5.0.2-3/include/CGAL/Real_timer_impl.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Real_timer_impl.h	2020-08-01 19:02:46.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Profiling_tools/include/CGAL/Real_timer_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Profiling_tools/include/CGAL/Real_timer_impl.h $
 // $Id: Real_timer_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Reconstruction_triangulation_3.h 5.0.3-1/include/CGAL/Reconstruction_triangulation_3.h
--- 5.0.2-3/include/CGAL/Reconstruction_triangulation_3.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Reconstruction_triangulation_3.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Poisson_surface_reconstruction_3/include/CGAL/Reconstruction_triangulation_3.h $
-// $Id: Reconstruction_triangulation_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Poisson_surface_reconstruction_3/include/CGAL/Reconstruction_triangulation_3.h $
+// $Id: Reconstruction_triangulation_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -342,7 +342,7 @@ public:
     Vertex_handle v = Base::insert(p, lt, ch, li, lj);
     v->type() = static_cast<unsigned char>(type);
     return v;
-    
+
   }
 
   /// Insert the [first, beyond) range of points in the triangulation using a spatial sort.
@@ -392,14 +392,14 @@ public:
 
     fractions.clear();
     fractions.push_back(1.0);
-    
+
     double m = static_cast<double>(n);
-    
+
     while(m > 500){
       m /= 2;
       fractions.push_front(m/n);
     }
-    
+
     insert_fraction(visitor);
     return 0;
   }
@@ -455,7 +455,7 @@ public:
   template <class CellIt>
   Vertex_handle
   insert_in_hole(const Point_with_normal& p, CellIt cell_begin, CellIt cell_end,
-	         Cell_handle begin, int i,
+                 Cell_handle begin, int i,
                  Point_type type = STEINER)
   {
       Vertex_handle v = Base::insert_in_hole(p, cell_begin, cell_end, begin, i);
@@ -491,7 +491,7 @@ public:
   {
     constrained_vertex = v;
   }
-  
+
 
 }; // end of Reconstruction_triangulation_3
 
diff -pruN 5.0.2-3/include/CGAL/rectangular_3_center_2.h 5.0.3-1/include/CGAL/rectangular_3_center_2.h
--- 5.0.2-3/include/CGAL/rectangular_3_center_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/rectangular_3_center_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/rectangular_3_center_2.h $
-// $Id: rectangular_3_center_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/rectangular_3_center_2.h $
+// $Id: rectangular_3_center_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 
@@ -158,15 +158,15 @@ rectangular_3_center_2_type1(
     RandomAccessIterator e = l;
     bool b_empty = true;
     Min< FT > minft;
-    Gamma gamma = boost::bind(minft, 
-		       boost::bind(dist, v(r, i), _1),
-		       boost::bind(dist, v(r, 2 + i), _1));
-    
+    Gamma gamma = boost::bind(minft,
+                       boost::bind(dist, v(r, i), _1),
+                       boost::bind(dist, v(r, 2 + i), _1));
+
     while (e - s > 1) {
       // step (a)
       RandomAccessIterator m = s + (e - s - 1) / 2;
       std::nth_element(s, m, e, boost::bind(less<FT>(), boost::bind(gamma, _1), boost::bind(gamma, _2)));
-      
+
       // step (b)
       Rectangle b_prime = bounding_box_2(m + 1, e, t);
       if (!b_empty)
@@ -237,7 +237,7 @@ struct Rectangular_3_center_2_type2_oper
   typedef typename R::Construct_point_2_below_left_implicit_point_2
     Construct_point_2_below_left_implicit_point_2;
   typedef boost::function1<FT,Point_2>           Delta;
-  
+
   Delta  delta() const { return delta_; }
   Less_x_2  less_x_2_object() const { return r_.less_x_2_object(); }
   Less_y_2  less_y_2_object() const { return r_.less_y_2_object(); }
@@ -251,7 +251,7 @@ struct Rectangular_3_center_2_type2_oper
   { return r_.construct_vertex_2_object(); }
   Construct_iso_rectangle_2 construct_iso_rectangle_2_object() const
   { return r_.construct_iso_rectangle_2_object(); }
-  
+
   Construct_point_2_below_left_implicit_point_2
   pt_b_l() const
   { return r_.construct_point_2_below_left_implicit_point_2_object(); }
@@ -264,12 +264,12 @@ struct Rectangular_3_center_2_type2_oper
   Construct_point_2_above_right_implicit_point_2
   pt_a_r() const
   { return r_.construct_point_2_above_right_implicit_point_2_object(); }
-  
+
   Min_x_2 minx() const { return Min_x_2(less_x_2_object()); }
   Min_y_2 miny() const { return Min_y_2(less_y_2_object()); }
   Max_x_2 maxx() const { return Max_x_2(less_x_2_object()); }
   Max_y_2 maxy() const { return Max_y_2(less_y_2_object()); }
-  
+
   private:
     R& r_;
     Delta delta_;
@@ -315,7 +315,7 @@ struct Rectangular_3_center_2_type2_oper
 
   X_compare  compare_x() const { return less_x_2_object(); }
   Y_compare  compare_y() const { return greater_y_2_object(); }
-  
+
   Point place_x_square(bool constraint_empty,
                        const Rectangle& constraint,
                        const Point& first_uncovered,
@@ -328,7 +328,7 @@ struct Rectangular_3_center_2_type2_oper
                     v(bbox, 2)),
                3);
     }
-  
+
     Point place_x_square(bool constraint_empty,
                          const Rectangle& constraint,
                          const Rectangle& bbox) const
@@ -339,7 +339,7 @@ struct Rectangular_3_center_2_type2_oper
                     v(bbox, 2)),
                3);
     }
-  
+
     Point place_x_square(const Point& so_far,
                          const Rectangle& bbox,
                          FT radius) const
@@ -350,7 +350,7 @@ struct Rectangular_3_center_2_type2_oper
                     so_far),
              3);
     }
-  
+
     Point place_y_square(bool constraint_empty,
                          const Rectangle& constraint,
                          const Point& first_uncovered,
@@ -363,7 +363,7 @@ struct Rectangular_3_center_2_type2_oper
                       miny()(first_uncovered, v(constraint, 0))),
                1);
     }
-  
+
     Point place_y_square(bool constraint_empty,
                          const Rectangle& constraint,
                          const Rectangle& bbox) const
@@ -374,7 +374,7 @@ struct Rectangular_3_center_2_type2_oper
                     constraint_empty ? v(bbox, 2) : v(constraint, 0)),
                1);
     }
-  
+
     Point place_y_square(const Point& so_far,
                          const Rectangle& bbox,
                          FT radius) const
@@ -386,37 +386,37 @@ struct Rectangular_3_center_2_type2_oper
                            so_far)),
                1);
     }
-  
+
     Point update_x_square(const Point& s, const Point& newp) const
     {
       Construct_iso_rectangle_2 rect = construct_iso_rectangle_2_object();
       Construct_vertex_2        v    = construct_vertex_2_object();
-  
+
       return v(rect(minx()(s, newp), s), 3);
     }
-  
+
     Point update_y_square(const Point& s, const Point& newp) const {
       Construct_iso_rectangle_2 rect = construct_iso_rectangle_2_object();
       Construct_vertex_2        v    = construct_vertex_2_object();
-  
+
       return v(rect(s, miny()(s, newp)), 1);
     }
-  
+
     FT compute_x_distance(const Point& extreme,
                           const Rectangle& constraint) const
     { return distance()(extreme, construct_vertex_2_object()(constraint, 1)); }
-  
+
     FT compute_y_distance(const Point& extreme,
                           const Rectangle& constraint) const
     { return distance()(extreme, construct_vertex_2_object()(constraint, 3)); }
-  
+
     Point construct_corner_square(const Rectangle& bbox, FT r) const
     { return pt_a_r()(construct_vertex_2_object()(bbox, 0),
                       construct_vertex_2_object()(bbox, 0), r); }
-  
+
     Point construct_x_square(const Point& p, FT r) const
     { return pt_b_r()(p, p, r); }
-  
+
     Point construct_y_square(const Point& p, FT r) const
     { return pt_a_l()(p, p, r); }
 };
@@ -453,7 +453,7 @@ struct Rectangular_3_center_2_type2_oper
 
   X_compare  compare_x() const { return greater_x_2_object(); }
   Y_compare  compare_y() const { return greater_y_2_object(); }
-  
+
   Point place_x_square(bool constraint_empty,
                        const Rectangle& constraint,
                        const Point& first_uncovered,
@@ -466,7 +466,7 @@ struct Rectangular_3_center_2_type2_oper
                   v(bbox, 3)),
              2);
   }
-  
+
   Point place_x_square(bool constraint_empty,
                        const Rectangle& constraint,
                        const Rectangle& bbox) const
@@ -477,7 +477,7 @@ struct Rectangular_3_center_2_type2_oper
                   v(bbox, 3)),
              2);
   }
-  
+
   Point place_x_square(const Point& so_far,
                        const Rectangle& bbox,
                        FT radius) const
@@ -489,7 +489,7 @@ struct Rectangular_3_center_2_type2_oper
                   so_far),
              2);
   }
-  
+
   Point place_y_square(bool constraint_empty,
                        const Rectangle& constraint,
                        const Point& first_uncovered,
@@ -502,7 +502,7 @@ struct Rectangular_3_center_2_type2_oper
                     miny()(first_uncovered, v(constraint, 0))),
              0);
   }
-  
+
   Point place_y_square(bool constraint_empty,
                        const Rectangle& constraint,
                        const Rectangle& bbox) const
@@ -513,7 +513,7 @@ struct Rectangular_3_center_2_type2_oper
                   constraint_empty ? v(bbox, 2) : v(constraint, 0)),
              0);
   }
-  
+
   Point place_y_square(const Point& so_far,
                        const Rectangle& bbox,
                        FT radius) const
@@ -525,34 +525,34 @@ struct Rectangular_3_center_2_type2_oper
                                           v(bbox, 2), radius))),
              0);
   }
-  
+
   Point update_x_square(const Point& s, const Point& newp) const {
     Construct_iso_rectangle_2 rect = construct_iso_rectangle_2_object();
     Construct_vertex_2        v    = construct_vertex_2_object();
     return v(rect(maxx()(s, newp), s), 2);
   }
-  
+
   Point update_y_square(const Point& s, const Point& newp) const {
     Construct_iso_rectangle_2 rect = construct_iso_rectangle_2_object();
     Construct_vertex_2        v    = construct_vertex_2_object();
     return v(rect(s, miny()(s, newp)), 0);
   }
-  
+
   FT compute_x_distance(const Point& extreme,
                         const Rectangle& constraint) const
   { return distance()(extreme, construct_vertex_2_object()(constraint, 0)); }
-  
+
   FT compute_y_distance(const Point& extreme,
                         const Rectangle& constraint) const
   { return distance()(extreme, construct_vertex_2_object()(constraint, 2)); }
-  
+
   Point construct_corner_square(const Rectangle& bbox, FT r) const
   { return pt_a_l()(construct_vertex_2_object()(bbox, 2),
                     construct_vertex_2_object()(bbox, 0), r); }
-  
+
   Point construct_x_square(const Point& p, FT r) const
   { return pt_b_l()(p, p, r); }
-  
+
   Point construct_y_square(const Point& p, FT r) const
   { return pt_a_r()(p, p, r); }
 };
@@ -590,7 +590,7 @@ struct Rectangular_3_center_2_type2_oper
 
   X_compare  compare_x() const { return greater_x_2_object(); }
   Y_compare  compare_y() const { return less_y_2_object(); }
-  
+
   Point place_x_square(bool constraint_empty,
                        const Rectangle& constraint,
                        const Point& first_uncovered,
@@ -603,7 +603,7 @@ struct Rectangular_3_center_2_type2_oper
                   v(bbox, 0)),
              1);
   }
-  
+
   Point place_x_square(bool constraint_empty,
                        const Rectangle& constraint,
                        const Rectangle& bbox) const
@@ -614,7 +614,7 @@ struct Rectangular_3_center_2_type2_oper
                   v(bbox, 0)),
              1);
   }
-  
+
   Point place_x_square(const Point& so_far,
                        const Rectangle& bbox,
                        FT radius) const
@@ -626,7 +626,7 @@ struct Rectangular_3_center_2_type2_oper
                   so_far),
              1);
   }
-  
+
   Point place_y_square(bool constraint_empty,
                        const Rectangle& constraint,
                        const Point& first_uncovered,
@@ -639,7 +639,7 @@ struct Rectangular_3_center_2_type2_oper
                     maxy()(first_uncovered, v(constraint, 2))),
              3);
   }
-  
+
   Point place_y_square(bool constraint_empty,
                        const Rectangle& constraint,
                        const Rectangle& bbox) const
@@ -650,7 +650,7 @@ struct Rectangular_3_center_2_type2_oper
                   constraint_empty ? v(bbox, 0) : v(constraint, 2)),
              3);
   }
-  
+
   Point place_y_square(const Point& so_far,
                        const Rectangle& bbox,
                        FT radius) const
@@ -662,34 +662,34 @@ struct Rectangular_3_center_2_type2_oper
                                   v(bbox, 0), radius), so_far)),
              3);
   }
-  
+
   Point update_x_square(const Point& s, const Point& newp) const {
     Construct_iso_rectangle_2 rect = construct_iso_rectangle_2_object();
     Construct_vertex_2        v    = construct_vertex_2_object();
     return v(rect(maxx()(s, newp), s), 1);
   }
-  
+
   Point update_y_square(const Point& s, const Point& newp) const {
     Construct_iso_rectangle_2 rect = construct_iso_rectangle_2_object();
     Construct_vertex_2        v    = construct_vertex_2_object();
     return v(rect(s, maxy()(s, newp)), 3);
   }
-  
+
   FT compute_x_distance(const Point& extreme,
                         const Rectangle& constraint) const
   { return distance()(extreme, construct_vertex_2_object()(constraint, 3)); }
-  
+
   FT compute_y_distance(const Point& extreme,
                         const Rectangle& constraint) const
   { return distance()(extreme, construct_vertex_2_object()(constraint, 1)); }
-  
+
   Point construct_corner_square(const Rectangle& bbox, FT r) const
   { return pt_b_l()(construct_vertex_2_object()(bbox, 2),
                     construct_vertex_2_object()(bbox, 2), r); }
-  
+
   Point construct_x_square(const Point& p, FT r) const
   { return pt_a_l()(p, p, r); }
-  
+
   Point construct_y_square(const Point& p, FT r) const
   { return pt_b_r()(p, p, r); }
 };
@@ -726,7 +726,7 @@ struct Rectangular_3_center_2_type2_oper
 
   X_compare  compare_x() const { return less_x_2_object(); }
   Y_compare  compare_y() const { return less_y_2_object(); }
-  
+
   Point place_x_square(bool constraint_empty,
                        const Rectangle& constraint,
                        const Point& first_uncovered,
@@ -739,7 +739,7 @@ struct Rectangular_3_center_2_type2_oper
                   v(bbox, 1)),
              0);
   }
-  
+
   Point place_x_square(bool constraint_empty,
                        const Rectangle& constraint,
                        const Rectangle& bbox) const
@@ -750,7 +750,7 @@ struct Rectangular_3_center_2_type2_oper
                   v(bbox, 1)),
              0);
   }
-  
+
   Point place_x_square(const Point& so_far,
                        const Rectangle& bbox,
                        FT radius) const
@@ -762,7 +762,7 @@ struct Rectangular_3_center_2_type2_oper
                   so_far),
              0);
   }
-  
+
   Point place_y_square(bool constraint_empty,
                        const Rectangle& constraint,
                        const Point& first_uncovered,
@@ -775,7 +775,7 @@ struct Rectangular_3_center_2_type2_oper
                     maxy()(first_uncovered, v(constraint, 2))),
              2);
   }
-  
+
   Point place_y_square(bool constraint_empty,
                        const Rectangle& constraint,
                        const Rectangle& bbox) const
@@ -786,7 +786,7 @@ struct Rectangular_3_center_2_type2_oper
                   constraint_empty ? v(bbox, 0) : v(constraint, 2)),
              2);
   }
-  
+
   Point place_y_square(const Point& so_far,
                        const Rectangle& bbox,
                        FT radius) const
@@ -798,34 +798,34 @@ struct Rectangular_3_center_2_type2_oper
                                   v(bbox, 0), radius), so_far)),
              2);
   }
-  
+
   Point update_x_square(const Point& s, const Point& newp) const {
     Construct_iso_rectangle_2 rect = construct_iso_rectangle_2_object();
     Construct_vertex_2        v    = construct_vertex_2_object();
     return v(rect(minx()(s, newp), s), 0);
   }
-  
+
   Point update_y_square(const Point& s, const Point& newp) const {
     Construct_iso_rectangle_2 rect = construct_iso_rectangle_2_object();
     Construct_vertex_2        v    = construct_vertex_2_object();
     return v(rect(s, maxy()(s, newp)), 2);
   }
-  
+
   FT compute_x_distance(const Point& extreme,
                         const Rectangle& constraint) const
   { return distance()(extreme, construct_vertex_2_object()(constraint, 2)); }
-  
+
   FT compute_y_distance(const Point& extreme,
                         const Rectangle& constraint) const
   { return distance()(extreme, construct_vertex_2_object()(constraint, 0)); }
-  
+
   Point construct_corner_square(const Rectangle& bbox, FT r) const
   { return pt_b_r()(construct_vertex_2_object()(bbox, 0),
                     construct_vertex_2_object()(bbox, 2), r); }
-  
+
   Point construct_x_square(const Point& p, FT r) const
   { return pt_a_r()(p, p, r); }
-  
+
   Point construct_y_square(const Point& p, FT r) const
   { return pt_b_l()(p, p, r); }
 };
@@ -921,9 +921,9 @@ rectangular_3_center_2_type2(
   while (e - s > 6) {
     std::ptrdiff_t cutoff = (e - s) / 2;
     RandomAccessIterator m = s + cutoff - 1;
-    std::nth_element(s, m, e, 
-		boost::bind(less<FT>(), boost::bind(op.delta(), _1), boost::bind(op.delta(), _2)));
-    
+    std::nth_element(s, m, e,
+                boost::bind(less<FT>(), boost::bind(op.delta(), _1), boost::bind(op.delta(), _2)));
+
     // step (b)
     IP pos = min_max_element(m + 1, e, op.compare_x(), op.compare_y());
     // extreme points of the two other squares
@@ -959,9 +959,9 @@ rectangular_3_center_2_type2(
     // step (a)
     std::ptrdiff_t cutoff = (e - s) / fraction;
     RandomAccessIterator m = s + cutoff - 1;
-    std::nth_element(s, m, e, 
-		boost::bind(less<FT>(), boost::bind(op.delta(), _1), boost::bind(op.delta(), _2)));
-    
+    std::nth_element(s, m, e,
+                boost::bind(less<FT>(), boost::bind(op.delta(), _1), boost::bind(op.delta(), _2)));
+
     // step (b)
     IP pos = min_max_element(m + 1, e, op.compare_x(), op.compare_y());
     // extreme points of the two other squares
@@ -978,22 +978,22 @@ rectangular_3_center_2_type2(
     // to Q_t and Q_r are covered by q_t and q_r
     if ((Q_t_empty || op.compute_x_distance(q_t, Q_t) <= op.delta()(*m)) &&
         (Q_r_empty || op.compute_y_distance(q_r, Q_r) <= op.delta()(*m))) {
-      boost::function1<bool,FT> 
+      boost::function1<bool,FT>
         greater_delta_m = boost::bind(less< FT >(), op.delta()(*m));
       CGAL_optimisation_assertion_code(RandomAccessIterator iii =)
         find_if(e,
                 l,
                 boost::bind(logical_and< bool >(),
-		     boost::bind(greater_delta_m,
-			  boost::bind(op.distance(), q_t, _1)),
-		     boost::bind(greater_delta_m,
-			  boost::bind(op.distance(), q_r, _1))));
+                     boost::bind(greater_delta_m,
+                          boost::bind(op.distance(), q_t, _1)),
+                     boost::bind(greater_delta_m,
+                          boost::bind(op.distance(), q_r, _1))));
         CGAL_optimisation_assertion(iii == l);
     }
     // check whether the points in [f,s) are covered
     {
-      boost::function1<bool,FT> 
-	le_delta_m = boost::bind(greater_equal<FT>(), op.delta()(*m));
+      boost::function1<bool,FT>
+        le_delta_m = boost::bind(greater_equal<FT>(), op.delta()(*m));
       RandomAccessIterator iii =
         partition(f, s, boost::bind(le_delta_m, boost::bind(op.delta(), _1)));
       iii = partition(iii, s,
@@ -1007,7 +1007,7 @@ rectangular_3_center_2_type2(
     // partition the range [m+1, e) into ranges
     // [m+1, b1), [b1, b2),   [b2, b3) and [b3, e)
     //     R      G cap q_t  G cap q_r      none
-    boost::function1<bool,FT> 
+    boost::function1<bool,FT>
       le_delta_m = boost::bind(greater_equal<FT>(), op.delta()(*m), _1);
     RandomAccessIterator b2 =
       partition(m + 1, e, boost::bind(le_delta_m, boost::bind(op.distance(), q_t, _1)));
@@ -1100,9 +1100,9 @@ rectangular_3_center_2_type2(
       // step 1
       RandomAccessIterator s_m = s_b + (s_e - s_b - 1) / 2;
       std::nth_element(s_b, s_m, s_e,
-                  boost::bind(less<FT>(), 
-		       boost::bind(op.delta(), _1), 
-		       boost::bind(op.delta(), _2)));
+                  boost::bind(less<FT>(),
+                       boost::bind(op.delta(), _1),
+                       boost::bind(op.delta(), _2)));
 
       // step 2 (as above)
       Point q_t_m = q_t_afap;
@@ -1141,9 +1141,9 @@ CGAL_3CENTER_REPEAT_CHECK:
     boost::function1<bool,FT>
       le_delta_sb = boost::bind(greater_equal<FT>(), op.delta()(*s_b), _1);
     b2 = partition(s_b + 1, e, boost::bind(le_delta_sb,
-				    boost::bind(op.distance(), q_t, _1)));
+                                    boost::bind(op.distance(), q_t, _1)));
     b1 = partition(s_b + 1, b2, boost::bind(le_delta_sb,
-				     boost::bind(op.distance(), q_r, _1)));
+                                     boost::bind(op.distance(), q_r, _1)));
     b3 = partition(b2, e,
                    boost::bind(le_delta_sb, boost::bind(op.distance(), q_r, _1)));
 
@@ -1152,13 +1152,13 @@ CGAL_3CENTER_REPEAT_CHECK:
         (!Q_r_empty && op.compute_y_distance(q_r, Q_r) > op.delta()(*s_b))) {
       // no covering
       if (b1 - s < cutoff) {
-	// in degenerate situations it can happen that the number of
-	// points in R is too small => decrease radius and check again
-	--s_b;
-	CGAL_optimisation_assertion(!loopcheck);
-	CGAL_optimisation_assertion(s != s_b);
-	CGAL_optimisation_assertion_code(loopcheck = true;)
-	goto CGAL_3CENTER_REPEAT_CHECK;
+        // in degenerate situations it can happen that the number of
+        // points in R is too small => decrease radius and check again
+        --s_b;
+        CGAL_optimisation_assertion(!loopcheck);
+        CGAL_optimisation_assertion(s != s_b);
+        CGAL_optimisation_assertion_code(loopcheck = true;)
+        goto CGAL_3CENTER_REPEAT_CHECK;
       }
       s = b1;
       rho_min = op.delta()(*s_b);
@@ -1228,12 +1228,12 @@ CGAL_3CENTER_REPEAT_CHECK:
     // we have to take the next smaller radius
     RandomAccessIterator next =
       max_element_if(s, s_b,
-                     boost::bind(less<FT>(), 
-			  boost::bind(op.delta(), _1), 
-			  boost::bind(op.delta(), _2)),
+                     boost::bind(less<FT>(),
+                          boost::bind(op.delta(), _1),
+                          boost::bind(op.delta(), _2)),
                      boost::bind(not_equal_to<FT>(),
-			  op.delta()(*s_b),
-			  boost::bind(op.delta(), _1)));
+                          op.delta()(*s_b),
+                          boost::bind(op.delta(), _1)));
     rho_max = op.delta()(*s_b);
     q_t_at_rho_max = q_t, q_r_at_rho_max = q_r;
     CGAL_optimisation_assertion(op.delta()(*next) < op.delta()(*s_b));
@@ -1355,8 +1355,8 @@ CGAL_3CENTER_REPEAT_CHECK:
             t + 1,
             e,
             boost::bind(logical_and<bool>(),
-		 boost::bind(greater_rho_max, boost::bind(op.distance(), q_t, _1)),
-		 boost::bind(greater_rho_max, boost::bind(op.distance(), q_r, _1)))))
+                 boost::bind(greater_rho_max, boost::bind(op.distance(), q_t, _1)),
+                 boost::bind(greater_rho_max, boost::bind(op.distance(), q_r, _1)))))
         {
           rho_min = try_rho;
           q_t_q_r_cover_at_rho_min = 0;
@@ -1395,15 +1395,15 @@ CGAL_3CENTER_REPEAT_CHECK:
   if (s_at_rho_min != e_at_rho_min) {
     boost::function1<FT,Point>
       mydist = boost::bind(Min<FT>(),
-		    boost::bind(op.distance(), q_t_at_rho_min, _1),
-		    boost::bind(op.distance(), q_r_at_rho_min, _1));
+                    boost::bind(op.distance(), q_t_at_rho_min, _1),
+                    boost::bind(op.distance(), q_r_at_rho_min, _1));
     rad_2 =
       max BOOST_PREVENT_MACRO_SUBSTITUTION (
         rad_2,
         mydist(*max_element(s_at_rho_min, e_at_rho_min,
-                            boost::bind(less< FT >(), 
-				 boost::bind(mydist, _1), 
-				 boost::bind(mydist, _2)))));
+                            boost::bind(less< FT >(),
+                                 boost::bind(mydist, _1),
+                                 boost::bind(mydist, _2)))));
   }
   CGAL_optimisation_assertion(rad_2 == 0 || rad_2 > rho_min);
 
diff -pruN 5.0.2-3/include/CGAL/rectangular_p_center_2.h 5.0.3-1/include/CGAL/rectangular_p_center_2.h
--- 5.0.2-3/include/CGAL/rectangular_p_center_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/rectangular_p_center_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/rectangular_p_center_2.h $
-// $Id: rectangular_p_center_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/rectangular_p_center_2.h $
+// $Id: rectangular_p_center_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 
@@ -174,13 +174,13 @@ rectangular_p_center_2_binary_search(
   CGAL_optimisation_assertion(
     c_diffs.size() == pierce_it.number_of_points() *
     (pierce_it.number_of_points() - 1));
-  
+
   // sort it:
   sort( c_diffs.begin(), c_diffs.end());
   // search it:
   int b( 0);
   int e( c_diffs.size());
-  
+
   // invariant of the following loop:
   // forall 0 <= a < b: c_diffs[a] is infeasible  AND
   // forall e <= a < c_diffs.size(): c_diffs[a] is feasible
@@ -196,7 +196,7 @@ rectangular_p_center_2_binary_search(
     }
   } // while ( e > b)
   CGAL_optimisation_assertion( e == b);
-  
+
   // return the result:
   r = c_diffs[e];
   OutputIterator o_return( pierce_it( r, o, ok));
@@ -265,14 +265,14 @@ rectangular_p_center_2_matrix_search(
     x_coords.push_back(p->x());
     y_coords.push_back(p->y());
   }
-  
+
   // sort coordinates:
   sort( x_coords.begin(), x_coords.end());
   sort( y_coords.begin(), y_coords.end());
-  
+
   // create matrices:
   MatrixContainer matrices;
-  
+
   // create matrix of x-differences:
   matrices.push_back(
     Matrix( x_coords.begin(),
@@ -280,7 +280,7 @@ rectangular_p_center_2_matrix_search(
             x_coords.begin(),
             x_coords.end(),
             mop));
-  
+
   // create matrix of y-differences:
   matrices.push_back(
     Matrix( y_coords.begin(),
@@ -375,7 +375,7 @@ bool is_distance_greater_than_p
     ++it;
     --p;
   }
-  if (it!=end) return true; 
+  if (it!=end) return true;
   return false;
 }
 
@@ -384,7 +384,7 @@ bool is_distance_greater_than_p
   (Iterator begin,Iterator end,
    typename std::iterator_traits<Iterator>::difference_type p)
 {
-  return 
+  return
     is_distance_greater_than_p(begin,end,p,
       typename std::iterator_traits<Iterator>::iterator_category());
 }
@@ -403,7 +403,7 @@ rectangular_p_center_2(ForwardIterator f
   CGAL_optimisation_precondition(p >= 2 && p < 5);
   r=0;
   if ( !internal::is_distance_greater_than_p(f,l,p) ) return std::copy(f,l,o);
-  
+
   if (p == 2)
     return rectangular_2_center_2(f, l, o, r, t);
   else if (p == 3)
diff -pruN 5.0.2-3/include/CGAL/Rectangular_p_center_traits_2.h 5.0.3-1/include/CGAL/Rectangular_p_center_traits_2.h
--- 5.0.2-3/include/CGAL/Rectangular_p_center_traits_2.h	2020-02-21 20:03:00.000000000 +0000
+++ 5.0.3-1/include/CGAL/Rectangular_p_center_traits_2.h	2020-08-01 19:02:16.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Bounding_volumes/include/CGAL/Rectangular_p_center_traits_2.h $
-// $Id: Rectangular_p_center_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Bounding_volumes/include/CGAL/Rectangular_p_center_traits_2.h $
+// $Id: Rectangular_p_center_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 
@@ -63,7 +63,7 @@ struct I_Infinity_distance_2
   // https://cgal.geometryfactory.com/CGAL/testsuite/CGAL-4.14-I-95/Rectangular_p_center_2_Examples/TestReport_afabri_x64_Cygwin-Windows10_MSVC2017-Release-64bits.gz
   I_Infinity_distance_2()
   {}
-  
+
   I_Infinity_distance_2(const I_Infinity_distance_2&)
   {}
 
@@ -71,7 +71,7 @@ struct I_Infinity_distance_2
   {
     return *this;
   }
-  
+
   typename R::FT
   operator()(const Point_2< R >& q1, const Point_2< R >& q2) const {
     return (std::max)(CGAL_NTS abs(q1.x() - q2.x()),
@@ -86,8 +86,8 @@ struct I_Signed_infinity_distance_2
 {
   typename R::FT
   operator()(const Point_2< R >& q1, const Point_2< R >& q2) const
-  { 
-    return (std::max)(q1.x() - q2.x(), q1.y() - q2.y()); 
+  {
+    return (std::max)(q1.x() - q2.x(), q1.y() - q2.y());
   }
 };
 
diff -pruN 5.0.2-3/include/CGAL/Referenced_argument.h 5.0.3-1/include/CGAL/Referenced_argument.h
--- 5.0.2-3/include/CGAL/Referenced_argument.h	2020-02-21 20:03:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/Referenced_argument.h	2020-08-01 19:02:28.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/Referenced_argument.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/Referenced_argument.h $
 // $Id: Referenced_argument.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/refine_mesh_3.h 5.0.3-1/include/CGAL/refine_mesh_3.h
--- 5.0.2-3/include/CGAL/refine_mesh_3.h	2020-02-21 20:03:37.000000000 +0000
+++ 5.0.3-1/include/CGAL/refine_mesh_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/refine_mesh_3.h $
-// $Id: refine_mesh_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/refine_mesh_3.h $
+// $Id: refine_mesh_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -374,10 +374,10 @@ BOOST_PARAMETER_FUNCTION((internal::Mesh
                           (dump_after_perturb_prefix_, (std::string), "" )
                           (dump_after_exude_prefix_, (std::string), "" )
                           (number_of_initial_points_, (int), -1)
-			  (maximal_number_of_vertices_, (std::size_t), 0)
+                          (maximal_number_of_vertices_, (std::size_t), 0)
                           (nonlinear_growth_of_balls_, (bool), false)
-			  (pointer_to_error_code_, (Mesh_error_code*), ((Mesh_error_code*)0))
-			  (pointer_to_stop_atomic_boolean_, (internal::Mesh_3_options::Pointer_to_stop_atomic_boolean_t), ((internal::Mesh_3_options::Pointer_to_stop_atomic_boolean_t)0))
+                          (pointer_to_error_code_, (Mesh_error_code*), ((Mesh_error_code*)0))
+                          (pointer_to_stop_atomic_boolean_, (internal::Mesh_3_options::Pointer_to_stop_atomic_boolean_t), ((internal::Mesh_3_options::Pointer_to_stop_atomic_boolean_t)0))
                           )
                          )
 {
@@ -450,7 +450,7 @@ CGAL_PRAGMA_DIAG_POP
 } // end namespace parameters
 
 
-  
+
 #if defined(BOOST_MSVC)
 #  pragma warning(push)
 #  pragma warning(disable:4003) // not enough actual parameters for macro
@@ -555,7 +555,7 @@ void refine_mesh_3_impl(C3T3& c3t3,
 #ifndef CGAL_NO_ATOMIC
                  , mesh_options.pointer_to_stop_atomic_boolean
 #endif
-		 );
+                 );
   double refine_time = mesher.refine_mesh(mesh_options.dump_after_refine_surface_prefix);
   c3t3.clear_manifold_info();
 
diff -pruN 5.0.2-3/include/CGAL/refine_periodic_3_mesh_3.h 5.0.3-1/include/CGAL/refine_periodic_3_mesh_3.h
--- 5.0.2-3/include/CGAL/refine_periodic_3_mesh_3.h	2020-02-21 20:03:52.000000000 +0000
+++ 5.0.3-1/include/CGAL/refine_periodic_3_mesh_3.h	2020-08-01 19:02:38.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Periodic_3_mesh_3/include/CGAL/refine_periodic_3_mesh_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Periodic_3_mesh_3/include/CGAL/refine_periodic_3_mesh_3.h $
 // $Id: refine_periodic_3_mesh_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Regular_complex_d.h 5.0.3-1/include/CGAL/Regular_complex_d.h
--- 5.0.2-3/include/CGAL/Regular_complex_d.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Regular_complex_d.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_d/include/CGAL/Regular_complex_d.h $
-// $Id: Regular_complex_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_d/include/CGAL/Regular_complex_d.h $
+// $Id: Regular_complex_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 //---------------------------------------------------------------------
@@ -49,13 +49,13 @@ template <class R> class Regular_complex
 template <class R> class Convex_hull_d;
 
 #define forall_rc_vertices(x,RC)\
-for(x = (RC).vertices_begin(); x != (RC).vertices_end(); ++x) 
+for(x = (RC).vertices_begin(); x != (RC).vertices_end(); ++x)
 #define forall_rc_simplices(x,RC)\
-for(x = (RC).simplices_begin(); x != (RC).simplices_end(); ++x) 
+for(x = (RC).simplices_begin(); x != (RC).simplices_end(); ++x)
 
 
 template <class Refs>
-class RC_vertex_d 
+class RC_vertex_d
 
 { typedef RC_vertex_d<Refs> Self;
   typedef typename Refs::Point_d Point_d;
@@ -96,7 +96,7 @@ public:
 
 
 template <class Refs>
-class RC_simplex_d 
+class RC_simplex_d
 { typedef RC_simplex_d<Refs>  Self;
   typedef typename Refs::Point_d Point_d;
   typedef typename Refs::Vertex_handle Vertex_handle;
@@ -107,7 +107,7 @@ class RC_simplex_d
 protected:
   std::vector<Vertex_handle>   vertices;    // array of vertices
   std::vector<Simplex_handle>  neighbors;   // opposite simplices
-  std::vector<int>             opposite_vertices; 
+  std::vector<int>             opposite_vertices;
                                // indices of opposite vertices
 
   //------ only for convex hulls ------------------
@@ -122,7 +122,7 @@ protected:
 
   void set_vertex(int i, Vertex_handle v) { vertices[i] = v; }
   void set_neighbor(int i, Simplex_handle s) { neighbors[i]=s; }
-  void set_opposite_vertex_index(int i, int index) 
+  void set_opposite_vertex_index(int i, int index)
   { opposite_vertices[i]=index; }
 
   //------ only for convex hulls ------------------
@@ -132,23 +132,23 @@ protected:
   //------ only for convex hulls ------------------
 
 public:
-  typedef typename std::vector<Vertex_handle>::const_iterator 
+  typedef typename std::vector<Vertex_handle>::const_iterator
           VIV_iterator;
   struct Point_from_VIV_iterator {
     typedef Vertex_handle argument_type;
     typedef Point_d      result_type;
-    result_type& operator()(argument_type& x) const 
+    result_type& operator()(argument_type& x) const
     { return x->point(); }
-    const result_type& operator()(const argument_type& x) const 
+    const result_type& operator()(const argument_type& x) const
     { return x->point(); }
   };
 
   typedef CGAL::Iterator_project<VIV_iterator,Point_from_VIV_iterator,
     const Point_d&, const Point_d*> Point_const_iterator;
 
-  Point_const_iterator points_begin() const 
+  Point_const_iterator points_begin() const
   { return Point_const_iterator(vertices.begin()); }
-  Point_const_iterator points_end() const 
+  Point_const_iterator points_end() const
   { return Point_const_iterator(vertices.end()); }
 
   void* pp;
@@ -164,12 +164,12 @@ public:
     typedef const Point_d*                  pointer;
     typedef const Point_d&                  reference;
 
-    typedef typename std::vector<Vertex_handle>::const_iterator 
+    typedef typename std::vector<Vertex_handle>::const_iterator
       ra_vertex_iterator;
 
     Point_const_iterator() : _it() {}
     Point_const_iterator(ra_vertex_iterator it) : _it(it) {}
-      
+
     value_type operator*() const { return (*_it)->point(); }
     pointer operator->() const { return &(operator*()); }
 
@@ -180,9 +180,9 @@ public:
 
     self& operator+=(difference_type i) { _it+=i; return *this; }
     self& operator-=(difference_type i) { _it-=i; return *this; }
-    self operator+(difference_type i) const 
+    self operator+(difference_type i) const
     { self tmp=*this; tmp+=i; return tmp; }
-    self operator-(difference_type i) const 
+    self operator-(difference_type i) const
     { self tmp=*this; tmp-=i; return tmp; }
 
     difference_type operator-(self x) const { return _it-x._it; }
@@ -193,28 +193,28 @@ public:
     bool operator<(self x) const { (x - *this) > 0; }
 
     private:
-      ra_vertex_iterator _it;  
+      ra_vertex_iterator _it;
   }; // Point_const_iterator
 
-  Point_const_iterator points_begin() const 
+  Point_const_iterator points_begin() const
   { return Point_const_iterator(vertices.begin()); }
-  Point_const_iterator points_end() const 
+  Point_const_iterator points_end() const
   { return Point_const_iterator(vertices.end()); }
 
   #endif
-          
+
 
   RC_simplex_d() : pp(nullptr) {}
-  RC_simplex_d(int dmax) : 
+  RC_simplex_d(int dmax) :
     vertices(dmax+1), neighbors(dmax+1), opposite_vertices(dmax+1), pp(nullptr)
-  { for (int i = 0; i <= dmax; i++) { 
-      neighbors[i] = Simplex_handle(); 
-      vertices[i] = Vertex_handle(); 
+  { for (int i = 0; i <= dmax; i++) {
+      neighbors[i] = Simplex_handle();
+      vertices[i] = Vertex_handle();
       opposite_vertices[i] = -1;
     }
     visited_ = false;
   }
-  ~RC_simplex_d() {} 
+  ~RC_simplex_d() {}
 
   void print(std::ostream& O=std::cout) const
   {
@@ -228,10 +228,10 @@ public:
   }
 
 #ifdef CGAL_USE_LEDA
-  LEDA_MEMORY(RC_simplex_d) 
+  LEDA_MEMORY(RC_simplex_d)
 #endif
 
-}; 
+};
 
 template <typename R>
 std::ostream& operator<<(std::ostream& O, const RC_simplex_d<R>& s)
@@ -239,7 +239,7 @@ std::ostream& operator<<(std::ostream& O
 
 
 /*{\Manpage {Regular_complex_d}{R}{Regular Simplicial Complex}{C}}*/
-/*{\Mdefinition 
+/*{\Mdefinition
 
 An instance |\Mvar| of type |\Mname| is a regular abstract or concrete
 simplicial complex. An abstract simplicial complex is a family |\Mvar|
@@ -255,7 +255,7 @@ neighbors if they share $k-1$ vertices.
 set of maximal simplices forms a connected set under the neighboring
 relation.  A simplicial complex is called \emph{regular} if all
 maximal simplices in the complex have the same dimension and if the
-complex is connected.  
+complex is connected.
 
 A concrete simplicial complex is an abstract simplicial complex in
 which a point in some ambient space is associated with each vertex.
@@ -275,7 +275,7 @@ All maximal simplices in a regular simpl
 dimension, which we denote |dcur|.  For each maximal
 simplex\cgalFootnote{we drop the adjective maximal in the sequel} in
 |\Mvar| there is an item of type |RC_simplex_d| and for each vertex
-there is an item of type |rc_vertex|.  Each maximal simplex has |1+dcur| 
+there is an item of type |rc_vertex|.  Each maximal simplex has |1+dcur|
 vertices indexed from $0$ to |dcur|. For any simplex $s$ and any
 index $i$, |C.vertex_of(s,i)| returns the $i$-th vertex of $s$. There
 may or may not be a simplex $t$ opposite to (the vertex with index)
@@ -286,7 +286,7 @@ set.  The function |C.opposite(s,i)| ret
 returns |nil| otherwise. If $t$ exists then $s$ and $t$ share |dcur|
 vertices, namely all but vertex $i$ of $s$ and vertex
 |C.opposite_vertex(s,i)| of $t$. Assume that $t = |C.opposite(s,i)|$
-exists and let |j = C.opposite_vertex(s,i)|. Then |s = C.opposite(t,j)| 
+exists and let |j = C.opposite_vertex(s,i)|. Then |s = C.opposite(t,j)|
 and |i = C.opposite_vertex(t,j)| and
 \begin{eqnarray*}
 \lefteqn{\{|C.vertex_of(s,0)|,|C.vertex_of(s,1)|,\ldots,
@@ -318,7 +318,7 @@ sharing a face.
 
 template <class R_>
 class Regular_complex_d
-{ 
+{
 typedef Regular_complex_d<R_> Self;
 public:
 /*{\Mtypes 4}*/
@@ -364,11 +364,11 @@ protected:
 
 private:
 
-  Regular_complex_d(const Regular_complex_d<R>& ); 
-  Regular_complex_d& operator=(const Regular_complex_d<R>& ); 
+  Regular_complex_d(const Regular_complex_d<R>& );
+  Regular_complex_d& operator=(const Regular_complex_d<R>& );
 
   void clean_dynamic_memory()
-  { 
+  {
     vertices_.clear();
     simplices_.clear();
 }
@@ -377,7 +377,7 @@ public:
 
 /*{\Mcreation}*/
 
-Regular_complex_d(int d = 2, const R& Kernel = R()) 
+Regular_complex_d(int d = 2, const R& Kernel = R())
 /*{\Mcreate creates an instance |\Mvar| of type |\Mtype|. The
 dimension of the underlying space is $d$ and |\Mvar| is initialized to
 the empty regular complex.  Thus |dcur| equals $-1$. The traits class
@@ -399,7 +399,7 @@ the traits class is to be found at the e
 /* In the destructor for |Regular_complex_d|, we have to release the
    storage which was allocated for the simplices and the vertices. */
 
-/*{\Mtext The data type |\Mtype| offers neither copy constructor nor 
+/*{\Mtext The data type |\Mtype| offers neither copy constructor nor
           assignment operator.}*/
 
 /*{\Moperations 3 3}*/
@@ -412,39 +412,39 @@ int current_dimension() const { return d
 /*{\Mop returns the current dimension of the simplices in the
 complex.}*/
 
-Vertex_handle vertex(Simplex_handle s, int i) const 
+Vertex_handle vertex(Simplex_handle s, int i) const
 /*{\Mop returns the $i$-th vertex of $s$.\\
 \precond $0 \leq i \leq |current_dimension|$. }*/
 { CGAL_assertion(0<=i&&i<=dcur);
   return s->vertex(i); }
 
-Vertex_const_handle vertex(Simplex_const_handle s, int i) const 
+Vertex_const_handle vertex(Simplex_const_handle s, int i) const
 { CGAL_assertion(0<=i&&i<=dcur);
   return s->vertex(i); }
 
-Point_d associated_point(Vertex_handle v) const 
+Point_d associated_point(Vertex_handle v) const
 /*{\Mop returns the point associated with vertex |v|.}*/
 { return v->point(); }
 
-Point_d associated_point(Vertex_const_handle v) const 
+Point_d associated_point(Vertex_const_handle v) const
 { return v->point(); }
 
 
-int index(Vertex_handle v) const 
+int index(Vertex_handle v) const
 /*{\Mop returns the index of $v$ in |C.simplex(v)|.}*/
 { return v->index(); }
 
-int index(Vertex_const_handle v) const 
+int index(Vertex_const_handle v) const
 { return v->index(); }
 
 
-Simplex_handle simplex(Vertex_handle v) const 
+Simplex_handle simplex(Vertex_handle v) const
 /*{\Mop returns a simplex of which $v$ is a vertex. Note that this
 simplex is not unique. }*/
-{ return v->simplex(); } 
+{ return v->simplex(); }
 
-Simplex_const_handle simplex(Vertex_const_handle v) const 
-{ return v->simplex(); } 
+Simplex_const_handle simplex(Vertex_const_handle v) const
+{ return v->simplex(); }
 
 Point_d associated_point(Simplex_handle s, int i) const
 /*{\Mop same as |C.associated_point(C.vertex(s,i))|.}*/
@@ -453,13 +453,13 @@ Point_d associated_point(Simplex_handle
 Point_d associated_point(Simplex_const_handle s, int i) const
 { return associated_point(vertex(s,i)); }
 
-Simplex_handle opposite_simplex(Simplex_handle s,int i) const 
+Simplex_handle opposite_simplex(Simplex_handle s,int i) const
 /*{\Mop returns the simplex opposite to the $i$-th vertex of $s$
 (|Simplex_handle()| is there is no such simplex).\\ \precond $0 \leq i \leq |dcur|$. }*/
 { CGAL_assertion(0<=i&&i<=dcur);
   return s->neighbor(i); }
 
-Simplex_const_handle opposite_simplex(Simplex_const_handle s,int i) const 
+Simplex_const_handle opposite_simplex(Simplex_const_handle s,int i) const
 { CGAL_assertion(0<=i&&i<=dcur);
   return s->neighbor(i); }
 
@@ -484,35 +484,35 @@ to be used with care as they may invalid
 void clear(int d = 0)
 /*{\Mop reinitializes |\Mvar| to the empty complex in dimension |dim|.}*/
 { clean_dynamic_memory();
-  dmax = d; dcur = -1; 
+  dmax = d; dcur = -1;
 }
 
 void set_current_dimension(int d) { dcur = d; }
 /*{\Mop sets |dcur| to |d|. }*/
 
-Simplex_handle new_simplex() 
+Simplex_handle new_simplex()
 /*{\Mop adds a new simplex to |\Mvar| and returns it. The new simplex
 has no vertices yet.}*/
-{ 
+{
   Simplex s(dmax);
   Simplex_handle  h = simplices_.insert(s);
   return h;
 }
 
-Vertex_handle  new_vertex() 
+Vertex_handle  new_vertex()
 /*{\Mop adds a new vertex to |\Mvar| and returns it. The new vertex
         has no associated simplex nor index yet. The associated point
         is the point |Regular_complex_d::nil_point| which is a static
         member of class |Regular_complex_d.|}*/
-{ 
-  return vertices_.emplace(nil_point); 
+{
+  return vertices_.emplace(nil_point);
 }
 
-Vertex_handle  new_vertex(const Point_d& p) 
+Vertex_handle  new_vertex(const Point_d& p)
 /*{\Mop adds a new vertex to |\Mvar| and returns it. The new vertex
         has |p| as the associated point, but is has no associated
         simplex nor index yet.}*/
-{ 
+{
   return vertices_.emplace(p);
 }
 
@@ -520,7 +520,7 @@ void associate_vertex_with_simplex(Simpl
 /*{\Mop sets the $i$-th vertex of |s| to |v| and records this fact in
 $v$. The latter occurs only if $v$ is non-nil.}*/
 { s -> set_vertex(i,v);
-  if ( v != Vertex_handle() ) { 
+  if ( v != Vertex_handle() ) {
     v -> set_simplex(s); v -> set_index(i);
   }
 }
@@ -563,7 +563,7 @@ Size_type number_of_vertices() const  {
 Size_type number_of_simplices() const  { return this->simplices_.size();}
 
 void print_statistics(std::ostream& os = std::cout) const
-{ 
+{
   os << "Regular_complex_d - statistic" << std::endl;
   os << "number of vertices = " << number_of_vertices() << std::endl;
   os << "number of simplices = " << number_of_simplices() << std::endl;
@@ -595,7 +595,7 @@ std::list<Simplex_handle> all_simplices(
   forall_rc_simplices(it,*this) res.push_back(it);
   return res; }
 
-std::list<Simplex_const_handle> all_simplices() const 
+std::list<Simplex_const_handle> all_simplices() const
 { std::list<Simplex_const_handle> res; Simplex_const_iterator it;
   forall_rc_simplices(it,*this) res.push_back(it);
   return res; }
@@ -606,7 +606,7 @@ std::list<Vertex_handle> all_vertices()
   forall_rc_vertices(it,*this) res.push_back(it);
   return res; }
 
-std::list<Vertex_const_handle> all_vertices() const 
+std::list<Vertex_const_handle> all_vertices() const
 { std::list<Vertex_const_handle> res; Vertex_const_iterator it;
   forall_rc_vertices(it,*this) res.push_back(it);
   return res; }
@@ -619,18 +619,18 @@ static const Point_d nil_point;
 }; // Regular_complex_d<R>
 
 // init static member:
-template <class R> 
+template <class R>
 const typename Regular_complex_d<R>::Point_d Regular_complex_d<R>::nil_point;
 
 
 template <class R>
 void Regular_complex_d<R>::check_topology() const
-{ 
-  Simplex_const_handle s,t; 
+{
+  Simplex_const_handle s,t;
   Vertex_const_handle v;
-  int i,j,k; 
+  int i,j,k;
   if (dcur == -1) {
-    if (!vertices_.empty() || !simplices_.empty() ) 
+    if (!vertices_.empty() || !simplices_.empty() )
       CGAL_error_msg(      "check_topology: dcur is -1 but there are vertices or simplices");
   }
 
@@ -643,26 +643,26 @@ void Regular_complex_d<R>::check_topolog
     for(i = 0; i <= dcur; i++) {
       for (j = i + 1; j <= dcur; j++) {
         if (vertex(s,i) == vertex(s,j))
-          CGAL_error_msg(          "check_topology: a simplex with two equal vertices"); 
+          CGAL_error_msg(          "check_topology: a simplex with two equal vertices");
       }
     }
   }
 
   forall_rc_simplices(s,*this) {
     for(i = 0; i <= dcur; i++) {
-      if ((t = opposite_simplex(s,i)) != Simplex_const_handle()) { 
-        int l = index_of_opposite_vertex(s,i); 
-        if (s != opposite_simplex(t,l) || 
+      if ((t = opposite_simplex(s,i)) != Simplex_const_handle()) {
+        int l = index_of_opposite_vertex(s,i);
+        if (s != opposite_simplex(t,l) ||
             i != index_of_opposite_vertex(t,l))
-          CGAL_error_msg(          "check_topology: neighbor relation is not symmetric"); 
+          CGAL_error_msg(          "check_topology: neighbor relation is not symmetric");
 
         for (j = 0; j <= dcur; j++) {
           if (j != i) {
             // j must also occur as a vertex of t
-            for (k = 0; k <= dcur && 
+            for (k = 0; k <= dcur &&
                    ( vertex(s,j) != vertex(t,k) || k == l); k++) {}
-            if (k > dcur) 
-              CGAL_error_msg(              "check_topology: too few shared vertices."); 
+            if (k > dcur)
+              CGAL_error_msg(              "check_topology: too few shared vertices.");
           }
         }
       }
@@ -672,11 +672,11 @@ void Regular_complex_d<R>::check_topolog
 
 template <class R>
 void Regular_complex_d<R>::check_topology_and_geometry() const
-{ 
+{
   check_topology();
   Vertex_const_handle v;
   forall_rc_vertices(v,*this) {
-    if ( v == Vertex_const_handle() || 
+    if ( v == Vertex_const_handle() ||
          associated_point(v).identical(Regular_complex_d<R>::nil_point) )
       CGAL_error_msg("check_topology_and_geometry: \
       vertex with nil_point or no associated point.");
@@ -687,7 +687,7 @@ void Regular_complex_d<R>::check_topolog
   Simplex_const_handle s;
   forall_rc_simplices(s,*this) {
     std::vector<Point_d> A(dcur + 1);
-    for (int i = 0; i <= dcur; i++) 
+    for (int i = 0; i <= dcur; i++)
       A[i] = associated_point(s,i);
     if ( !affinely_independent(A.begin(),A.end()) )
       CGAL_error_msg("check_topology_and_geometry: \
@@ -696,13 +696,13 @@ void Regular_complex_d<R>::check_topolog
 }
 
 
-/*{\Mtext 
+/*{\Mtext
 \headerline{Iteration Statements}
 
-{\bf forall\_rc\_simplices}($s,C$)       
+{\bf forall\_rc\_simplices}($s,C$)
 $\{$ ``the simplices of $C$ are successively assigned to $s$'' $\}$
 
-{\bf forall\_rc\_vertices}($v,C$)       
+{\bf forall\_rc\_vertices}($v,C$)
 $\{$ ``the vertices of $C$ are successively assigned to $v$'' $\}$
 
 }*/
diff -pruN 5.0.2-3/include/CGAL/Regular_grid_2.h 5.0.3-1/include/CGAL/Regular_grid_2.h
--- 5.0.2-3/include/CGAL/Regular_grid_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Regular_grid_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_lines_2/include/CGAL/Regular_grid_2.h $
-// $Id: Regular_grid_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_lines_2/include/CGAL/Regular_grid_2.h $
+// $Id: Regular_grid_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Abdelkrim Mebarki <Abdelkrim.Mebarki@sophia.inria.fr>
 
-#ifndef CGAL_REGULAR_GRID_2_H_ 
+#ifndef CGAL_REGULAR_GRID_2_H_
 #define CGAL_REGULAR_GRID_2_H_
 
 #include <CGAL/license/Stream_lines_2.h>
@@ -56,7 +56,7 @@ public:
 
   inline typename Geom_traits::Iso_rectangle_2 bbox() const;
 
-  std::pair<Vector_2,FT> 
+  std::pair<Vector_2,FT>
   get_field(const Point_2 & p) const
     {
       CGAL_streamlines_precondition(is_in_domain(p));
@@ -78,10 +78,10 @@ public:
   inline std::pair<FT, FT> get_size()
     {
       return std::pair<FT,
-	FT>(domain_size_x,
-	    domain_size_y);
+        FT>(domain_size_x,
+            domain_size_y);
     }
-    
+
   inline FT container_value(int i) const
     {
       if (i < 2*number_of_samples_x*number_of_samples_y)
@@ -97,12 +97,12 @@ typename Regular_grid_2<StreamLinesTrait
 Regular_grid_2<StreamLinesTraits_2>::bbox() const
 {
   return typename Geom_traits::Iso_rectangle_2(0.0, 0.0,
-					       domain_size_x,
-					       domain_size_y);
+                                               domain_size_x,
+                                               domain_size_y);
 }
 
 template <class StreamLinesTraits_2>
-inline int 
+inline int
 Regular_grid_2<StreamLinesTraits_2>::get_index(int i, int j) const
 {
   return 2*(number_of_samples_x*j + i);
@@ -110,9 +110,9 @@ Regular_grid_2<StreamLinesTraits_2>::get
 
 template <class StreamLinesTraits_2>
 Regular_grid_2<StreamLinesTraits_2>::Regular_grid_2(int m,
-						    int
-						    n,const FT & x,
-						    const FT & y)
+                                                    int
+                                                    n,const FT & x,
+                                                    const FT & y)
 {
   number_of_samples_x = m;
   number_of_samples_y = n;
@@ -133,9 +133,9 @@ Regular_grid_2<StreamLinesTraits_2>::get
 
 template <class StreamLinesTraits_2>
 inline void
-Regular_grid_2<StreamLinesTraits_2>::set_field(int i, 
-					       int j, const Vector_2
-					       & v)
+Regular_grid_2<StreamLinesTraits_2>::set_field(int i,
+                                               int j, const Vector_2
+                                               & v)
 {
   CGAL_streamlines_precondition(is_in_samples(i,j));
   int index = get_index(i,j);
@@ -149,23 +149,23 @@ Regular_grid_2<StreamLinesTraits_2>::is_
   const
 {
   return ((p.x()>=0.0) && (p.x()<=domain_size_x) && (p.y()>=0.0) &&
-	  (p.y()<=domain_size_y));
+          (p.y()<=domain_size_y));
 }
 
 template <class StreamLinesTraits_2>
-bool 
+bool
 Regular_grid_2<StreamLinesTraits_2>::is_in_samples(int i,
-						   int j)
+                                                   int j)
   const
 {
   return ((i>=0) && (i<=number_of_samples_x-1) && (j>=0) &&
-	  (j<=number_of_samples_y-1));
+          (j<=number_of_samples_y-1));
 }
 
 template <class StreamLinesTraits_2>
-typename Regular_grid_2<StreamLinesTraits_2>::Vector_2 
+typename Regular_grid_2<StreamLinesTraits_2>::Vector_2
 Regular_grid_2<StreamLinesTraits_2>::get_vector_field(const Point_2 &
-						      p) const
+                                                      p) const
 {
   FT fXv,fYv;
   FT x = (p.x() / domain_size_x) *  (number_of_samples_x-1);
@@ -207,7 +207,7 @@ Regular_grid_2<StreamLinesTraits_2>::get
 template <class StreamLinesTraits_2>
 typename Regular_grid_2<StreamLinesTraits_2>::FT
 Regular_grid_2<StreamLinesTraits_2>::get_density_field(const Point_2 & ) const
-						       
+
 {
   return 1.0;
 }
diff -pruN 5.0.2-3/include/CGAL/Regularization/regularize_planes.h 5.0.3-1/include/CGAL/Regularization/regularize_planes.h
--- 5.0.2-3/include/CGAL/Regularization/regularize_planes.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Regularization/regularize_planes.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Regularization/regularize_planes.h $
-// $Id: regularize_planes.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Regularization/regularize_planes.h $
+// $Id: regularize_planes.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -21,7 +21,7 @@
 #include <CGAL/Shape_detection/Efficient_RANSAC.h>
 
 namespace CGAL {
-  
+
 // ----------------------------------------------------------------------------
 // Private section
 // ----------------------------------------------------------------------------
@@ -52,7 +52,7 @@ struct Plane_cluster
   { }
 };
 
-  
+
 template <typename Traits>
 typename Traits::Vector_3 regularize_normal
   (const typename Traits::Vector_3& n,
@@ -96,7 +96,7 @@ typename Traits::Vector_3 regularize_nor
     return n;
 }
 
-template <typename Traits>  
+template <typename Traits>
 typename Traits::Vector_3 regularize_normals_from_prior
   (const typename Traits::Vector_3& np,
    const typename Traits::Vector_3& n,
@@ -113,7 +113,7 @@ typename Traits::Vector_3 regularize_nor
   Point pt_symmetry = CGAL::ORIGIN + cos_symmetry* symmetry_direction;
 
   Plane plane_symmetry (pt_symmetry, symmetry_direction);
-		
+
   Line line;
   CGAL::Object ob_1 = CGAL::intersection (plane_orthogonality, plane_symmetry);
   if (!assign(line, ob_1))
@@ -125,11 +125,11 @@ typename Traits::Vector_3 regularize_nor
   if (R <= 1)  // 2 (or 1) possible points intersecting the unit sphere and line
     {
       FT delta = std::sqrt ((FT)1. - R);
-      Vector line_vector(line); 
+      Vector line_vector(line);
       line_vector = line_vector / std::sqrt (line_vector * line_vector);
       Point pt1 = projected_origin + delta * line_vector;
       Point pt2 = projected_origin - delta * line_vector;
-			
+
       Point pt_n = CGAL::ORIGIN + n;
       if (CGAL::squared_distance (pt_n, pt1) <= CGAL::squared_distance (pt_n, pt2))
         return Vector (CGAL::ORIGIN, pt1);
@@ -187,14 +187,14 @@ void compute_parallel_clusters (PlaneRan
 
   typedef typename Traits::FT FT;
   typedef typename Traits::Vector_3 Vector;
-  
+
   // find pairs of epsilon-parallel primitives and store them in parallel_planes
   std::vector<std::vector<std::size_t> > parallel_planes (planes.size ());
   for (std::size_t i = 0; i < std::size_t(planes.size ()); ++ i)
     {
       typename PlaneRange::iterator it = planes.begin() + i;
       Vector v1 = get(plane_map, *it).orthogonal_vector();
-          
+
       for (std::size_t j = 0; j < std::size_t(planes.size()); ++ j)
         {
           if (i == j)
@@ -210,14 +210,14 @@ void compute_parallel_clusters (PlaneRan
 
 
   std::vector<bool> is_available (planes.size (), true);
-      
+
   for (std::size_t i = 0; i < std::size_t(planes.size()); ++ i)
     {
 
       if(is_available[i])
         {
           const typename Traits::Plane_3& plane = get(plane_map, *(planes.begin() + i));
-          
+
           is_available[i] = false;
 
           clusters.push_back (Plane_cluster<Traits>());
@@ -225,17 +225,17 @@ void compute_parallel_clusters (PlaneRan
 
           //initialization containers
           clu.planes.push_back (i);
-              
+
           std::vector<std::size_t> index_container_former_ring_parallel;
           index_container_former_ring_parallel.push_back(i);
-              
+
           std::list<std::size_t> index_container_current_ring_parallel;
 
           //propagation over the pairs of epsilon-parallel primitives
           bool propagation=true;
           clu.normal = plane.orthogonal_vector ();
           clu.area = areas[i];
-			
+
           do
             {
               propagation = false;
@@ -248,25 +248,25 @@ void compute_parallel_clusters (PlaneRan
                   for (std::size_t l = 0; l < parallel_planes[plane_index].size(); ++ l)
                     {
                       std::size_t it = parallel_planes[plane_index][l];
-                      
+
                       Vector normal_it = get(plane_map, *(planes.begin() + it)).orthogonal_vector ();
 
                       if(is_available[it]
                          && std::fabs (normal_it*clu.normal) > 1. - tolerance_cosangle )
-                        {	
+                        {
                           propagation = true;
                           index_container_current_ring_parallel.push_back(it);
                           is_available[it]=false;
-                              
+
                           if(clu.normal * normal_it <0)
                             normal_it = -normal_it;
 
                           clu.normal = (FT)clu.area * clu.normal
                             + (FT)areas[it] * normal_it;
-                          FT norm = (FT)1. / std::sqrt (clu.normal.squared_length()); 
+                          FT norm = (FT)1. / std::sqrt (clu.normal.squared_length());
                           clu.normal = norm * clu.normal;
                           clu.area += areas[it];
-                        }	
+                        }
                     }
                 }
 
@@ -304,12 +304,12 @@ void cluster_symmetric_cosangles (std::v
                                   typename Traits::FT tolerance_cosangle_ortho)
 {
   typedef typename Traits::FT FT;
-  
+
   std::vector < FT > cosangle_centroids;
   std::vector < std::size_t> list_cluster_index;
   for( std::size_t i = 0; i < clusters.size(); ++ i)
     list_cluster_index.push_back(static_cast<std::size_t>(-1));
-      
+
   std::size_t mean_index = 0;
   for (std::size_t i = 0; i < clusters.size(); ++ i)
     {
@@ -318,7 +318,7 @@ void cluster_symmetric_cosangles (std::v
           list_cluster_index[i] = mean_index;
           FT mean = clusters[i].area * clusters[i].cosangle_symmetry;
           FT mean_area = clusters[i].area;
-              
+
           for (std::size_t j = i+1; j < clusters.size(); ++ j)
             {
               if (list_cluster_index[j] == static_cast<std::size_t>(-1)
@@ -354,7 +354,7 @@ void subgraph_mutually_orthogonal_cluste
 {
   typedef typename Traits::FT FT;
   typedef typename Traits::Vector_3 Vector;
-  
+
   std::vector < std::vector < std::size_t> > subgraph_clusters;
   std::vector < std::size_t> subgraph_clusters_max_area_index;
 
@@ -402,7 +402,7 @@ void subgraph_mutually_orthogonal_cluste
                               max_area = clusters[cluster_index_2].area;
                               index_max_area = cluster_index_2;
                             }
-                        }	
+                        }
                     }
                 }
 
@@ -448,7 +448,7 @@ void subgraph_mutually_orthogonal_cluste
 
   for (std::size_t i = 0; i < subgraph_clusters_prop.size(); ++ i)
     {
-	
+
       std::size_t index_current=subgraph_clusters_max_area_index[i];
 
       Vector vec_current=regularize_normal<Traits>
@@ -479,7 +479,7 @@ void subgraph_mutually_orthogonal_cluste
 
               for (std::size_t j = 0; j < clusters[cluster_index].orthogonal_clusters.size(); ++ j)
                 {
-                  std::size_t cluster_index_2 = clusters[cluster_index].orthogonal_clusters[j];						
+                  std::size_t cluster_index_2 = clusters[cluster_index].orthogonal_clusters[j];
                   if(clusters[cluster_index_2].is_free)
                     {
                       propagation = true;
@@ -493,9 +493,9 @@ void subgraph_mutually_orthogonal_cluste
                          clusters[cluster_index_2].cosangle_symmetry);
                       clusters[cluster_index_2].normal = new_vect;
                     }
-                }	
+                }
             }
-			
+
           //update containers
           index_container_former_ring.clear();
           for(std::list < std::size_t>::iterator it = index_container_current_ring.begin();
@@ -508,7 +508,7 @@ void subgraph_mutually_orthogonal_cluste
         }while(propagation);
     }
 }
-                                    
+
 
 } // namespace PlaneRegularization
 } // namespace internal
@@ -520,10 +520,10 @@ void subgraph_mutually_orthogonal_cluste
 // ----------------------------------------------------------------------------
 
 /// \ingroup PkgShapeDetectionRef
-  
-  /*! 
+
+  /*!
     Given a set of detected planes with their corresponding inlier sets,
-    this function enables to regularize the planes: 
+    this function enables to regularize the planes:
 
     - Planes near parallel can be made exactly parallel;
 
@@ -551,7 +551,7 @@ void subgraph_mutually_orthogonal_cluste
     It can be omitted if the value type of the iterator of `PlaneRange` is convertible to `Plane_3<Kernel>`.
 
     \tparam IndexMap must be a model of `ReadablePropertyMap` with value type `int`.
-    
+
     \tparam Kernel must be a geometric traits class.
     It can be omitted and deduced automatically from the value type of `PointMap`.
 
@@ -583,7 +583,7 @@ void subgraph_mutually_orthogonal_cluste
 
     \param symmetry_direction chosen axis for symmetry
     regularization. %Default value is the Z axis.
-*/ 
+*/
 
 // This variant requires all parameters
 template <typename PointRange,
@@ -626,7 +626,7 @@ void regularize_planes(const PointRange&
   tolerance_angle = tolerance_angle * (FT)CGAL_PI / (FT)(180);
   FT tolerance_cosangle = (FT)(1. - std::cos (tolerance_angle));
   FT tolerance_cosangle_ortho = (FT)(std::cos ((FT)0.5 * (FT)CGAL_PI - (FT)tolerance_angle));
-      
+
   // clustering the parallel primitives and store them in clusters
   // & compute the normal, size and cos angle to the symmetry
   // direction of each cluster
@@ -638,7 +638,7 @@ void regularize_planes(const PointRange&
 
   if (regularize_orthogonality)
     {
-      //discovery orthogonal relationship between clusters 
+      //discovery orthogonal relationship between clusters
       for (std::size_t i = 0; i < clusters.size(); ++ i)
         {
           for (std::size_t j = i + 1; j < clusters.size(); ++ j)
@@ -651,7 +651,7 @@ void regularize_planes(const PointRange&
             }
         }
     }
-      
+
   if (regularize_axis_symmetry)
     {
       //clustering the symmetry cos angle and store their centroids in
@@ -660,14 +660,14 @@ void regularize_planes(const PointRange&
       internal::PlaneRegularization::cluster_symmetric_cosangles<Kernel>
         (clusters, tolerance_cosangle, tolerance_cosangle_ortho);
     }
-  
+
   //find subgraphs of mutually orthogonal clusters (store index of
   //clusters in subgraph_clusters), and select the cluster of
   //largest area
   if (regularize_orthogonality || regularize_axis_symmetry)
     internal::PlaneRegularization::subgraph_mutually_orthogonal_clusters<Kernel>
       (clusters, (regularize_axis_symmetry ? symmetry_direction : CGAL::NULL_VECTOR));
-      
+
   //recompute optimal plane for each primitive after normal regularization
   for (std::size_t i=0; i < clusters.size(); ++ i)
     {
@@ -706,9 +706,9 @@ void regularize_planes(const PointRange&
               if (clusters[i].coplanar_group[j] == static_cast<std::size_t>(-1))
                 {
                   const Plane& plane = get(plane_map, *(planes.begin() + index_prim));
-                  
+
                   clusters[i].coplanar_group[j] = cop_index;
-                  
+
                   Point pt_reg = plane.projection(centroids[index_prim]);
                   Plane plan_reg(pt_reg,vec_reg);
 
@@ -726,21 +726,21 @@ void regularize_planes(const PointRange&
                             clusters[i].coplanar_group[k] = cop_index;
                         }
                     }
-                  cop_index++; 
+                  cop_index++;
                 }
             }
           //regularize primitive position by computing barycenter of coplanar planes
           std::vector<Point> pt_bary (cop_index, Point ((FT)0., (FT)0., (FT)0.));
           std::vector<FT> area (cop_index, 0.);
-      
+
           for (std::size_t j = 0; j < clusters[i].planes.size (); ++ j)
             {
               std::size_t index_prim = clusters[i].planes[j];
               std::size_t group = clusters[i].coplanar_group[j];
-              
+
               Point pt_reg = get(plane_map, *(planes.begin()+index_prim)).projection(centroids[index_prim]);
 
-              pt_bary[group] = CGAL::barycenter (pt_bary[group], area[group], pt_reg, areas[index_prim]); 
+              pt_bary[group] = CGAL::barycenter (pt_bary[group], area[group], pt_reg, areas[index_prim]);
               area[group] += areas[index_prim];
             }
 
@@ -758,7 +758,7 @@ void regularize_planes(const PointRange&
                 put(plane_map, *(planes.begin() + index_prim), plane_reg);
             }
         }
-    } 
+    }
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Regularization.h 5.0.3-1/include/CGAL/Regularization.h
--- 5.0.2-3/include/CGAL/Regularization.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Regularization.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Regularization.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Regularization.h $
 // $Id: Regularization.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/regular_neighbor_coordinates_2.h 5.0.3-1/include/CGAL/regular_neighbor_coordinates_2.h
--- 5.0.2-3/include/CGAL/regular_neighbor_coordinates_2.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/regular_neighbor_coordinates_2.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interpolation/include/CGAL/regular_neighbor_coordinates_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interpolation/include/CGAL/regular_neighbor_coordinates_2.h $
 // $Id: regular_neighbor_coordinates_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Regular_triangulation_2.h 5.0.3-1/include/CGAL/Regular_triangulation_2.h
--- 5.0.2-3/include/CGAL/Regular_triangulation_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Regular_triangulation_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Regular_triangulation_2.h $
-// $Id: Regular_triangulation_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Regular_triangulation_2.h $
+// $Id: Regular_triangulation_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Frederic Fichel, Mariette Yvinec, Julia Floetotto
@@ -167,7 +167,7 @@ public:
   };
 
   typedef Iterator_range<Prevent_deref<All_vertices_iterator> > All_vertex_handles;
-  
+
   class Finite_vertices_iterator :
     public Filter_iterator<Finite_vib, Hidden_tester>
   {
@@ -184,7 +184,7 @@ public:
  };
 
   typedef Iterator_range<Prevent_deref<Finite_vertices_iterator> > Finite_vertex_handles;
-  
+
   class Hidden_vertices_iterator :
     public Filter_iterator<Finite_vib, Unhidden_tester>
   {
@@ -201,7 +201,7 @@ public:
  };
 
   typedef Iterator_range<Prevent_deref<Hidden_vertices_iterator> > Hidden_vertex_handles;
-  
+
  //for backward compatibility
   typedef Finite_faces_iterator                Face_iterator;
   typedef Finite_edges_iterator                Edge_iterator;
@@ -339,17 +339,17 @@ public:
   All_vertices_iterator all_vertices_begin() const;
   All_vertices_iterator all_vertices_end() const;
   All_vertex_handles all_vertex_handles() const;
-  
+
   Finite_vertices_iterator finite_vertices_begin() const;
   Finite_vertices_iterator finite_vertices_end() const;
   Finite_vertex_handles finite_vertex_handles() const;
-  
+
   Vertex_handle finite_vertex() const;
 
   Hidden_vertices_iterator hidden_vertices_begin() const;
   Hidden_vertices_iterator hidden_vertices_end() const;
   Hidden_vertex_handles hidden_vertex_handles() const;
-  
+
 //  Vertex_handle file_input(std::istream& is);
 //  void file_output(std::ostream& os) const;
 
@@ -2192,7 +2192,7 @@ all_vertices_end() const
   return CGAL::filter_iterator(Base::all_vertices_end(),
                                Hidden_tester());
 }
-  
+
 template < class Gt, class Tds >
 typename Regular_triangulation_2<Gt,Tds>::All_vertex_handles
 Regular_triangulation_2<Gt,Tds>::
@@ -2200,7 +2200,7 @@ all_vertex_handles() const
 {
   return make_prevent_deref_range(all_vertices_begin(),all_vertices_end());
 }
-  
+
 template < class Gt, class Tds >
 typename Regular_triangulation_2<Gt,Tds>::Finite_vertices_iterator
 Regular_triangulation_2<Gt,Tds>::
@@ -2211,7 +2211,7 @@ finite_vertices_begin() const
                                Base::finite_vertices_begin());
 }
 
-  
+
 template < class Gt, class Tds >
 typename Regular_triangulation_2<Gt,Tds>::Vertex_handle
 Regular_triangulation_2<Gt,Tds>::
@@ -2238,7 +2238,7 @@ finite_vertex_handles() const
 {
   return make_prevent_deref_range(finite_vertices_begin(),finite_vertices_end());
 }
- 
+
 template < class Gt, class Tds >
 typename Regular_triangulation_2<Gt,Tds>::Hidden_vertices_iterator
 Regular_triangulation_2<Gt,Tds>::
@@ -2257,7 +2257,7 @@ hidden_vertices_end() const
   return CGAL::filter_iterator(Base::finite_vertices_end(),
                                Unhidden_tester());
 }
-  
+
 template < class Gt, class Tds >
 typename Regular_triangulation_2<Gt,Tds>::Hidden_vertex_handles
 Regular_triangulation_2<Gt,Tds>::
@@ -2265,7 +2265,7 @@ hidden_vertex_handles() const
 {
   return make_prevent_deref_range(hidden_vertices_begin(),hidden_vertices_end());
 }
-  
+
 template < class Gt, class Tds >
 typename Regular_triangulation_2<Gt,Tds>::Vertex_handle
 Regular_triangulation_2<Gt,Tds>::
diff -pruN 5.0.2-3/include/CGAL/Regular_triangulation_3.h 5.0.3-1/include/CGAL/Regular_triangulation_3.h
--- 5.0.2-3/include/CGAL/Regular_triangulation_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Regular_triangulation_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Regular_triangulation_3.h $
-// $Id: Regular_triangulation_3.h 85712ba 2020-01-14T15:03:20+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Regular_triangulation_3.h $
+// $Id: Regular_triangulation_3.h ad23db2 2020-06-30T16:36:58+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -147,6 +147,7 @@ public:
   using Tr_Base::geom_traits;
 #endif
   using Tr_Base::adjacent_vertices;
+  using Tr_Base::adjacent_vertices_threadsafe;
   using Tr_Base::cw;
   using Tr_Base::ccw;
   using Tr_Base::construct_point;
@@ -412,7 +413,7 @@ public:
 
 #ifndef CGAL_TRIANGULATION_3_DONT_INSERT_RANGE_OF_POINTS_WITH_INFO
 private:
-  
+
   //top stands for tuple-or-pair
   template <class Info>
   const Weighted_point& top_get_first(const std::pair<Weighted_point,Info>& pair) const { return pair.first; }
@@ -425,7 +426,7 @@ private:
 
   template <class Info>
   const Info& top_get_second(const boost::tuple<Weighted_point,Info>& tuple) const { return boost::get<1>(tuple); }
-  
+
   // Functor to go from an index of a container of Weighted_point to
   // the corresponding Bare_point
   template<class Construct_bare_point, class Container>
@@ -1711,7 +1712,7 @@ nearest_power_vertex(const Bare_point& p
   while(true)
   {
     Vertex_handle tmp = nearest;
-    adjacent_vertices(nearest, std::back_inserter(vs));
+    adjacent_vertices_threadsafe(nearest, std::back_inserter(vs));
     for(typename std::vector<Vertex_handle>::const_iterator
          vsit = vs.begin(); vsit != vs.end(); ++vsit)
       tmp = nearest_power_vertex(p, tmp, *vsit);
diff -pruN 5.0.2-3/include/CGAL/Regular_triangulation_adaptation_policies_2.h 5.0.3-1/include/CGAL/Regular_triangulation_adaptation_policies_2.h
--- 5.0.2-3/include/CGAL/Regular_triangulation_adaptation_policies_2.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Regular_triangulation_adaptation_policies_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Regular_triangulation_adaptation_policies_2.h $
-// $Id: Regular_triangulation_adaptation_policies_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Regular_triangulation_adaptation_policies_2.h $
+// $Id: Regular_triangulation_adaptation_policies_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Regular_triangulation_adaptation_traits_2.h 5.0.3-1/include/CGAL/Regular_triangulation_adaptation_traits_2.h
--- 5.0.2-3/include/CGAL/Regular_triangulation_adaptation_traits_2.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Regular_triangulation_adaptation_traits_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Regular_triangulation_adaptation_traits_2.h $
-// $Id: Regular_triangulation_adaptation_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Regular_triangulation_adaptation_traits_2.h $
+// $Id: Regular_triangulation_adaptation_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Regular_triangulation_cell_base_3.h 5.0.3-1/include/CGAL/Regular_triangulation_cell_base_3.h
--- 5.0.2-3/include/CGAL/Regular_triangulation_cell_base_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Regular_triangulation_cell_base_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Regular_triangulation_cell_base_3.h $
-// $Id: Regular_triangulation_cell_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Regular_triangulation_cell_base_3.h $
+// $Id: Regular_triangulation_cell_base_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Christophe Delage <christophe.delage@sophia.inria.fr>
@@ -58,17 +58,17 @@ public:
 
   Regular_triangulation_cell_base_3(Vertex_handle v0,
                                     Vertex_handle v1,
-				    Vertex_handle v2,
+                                    Vertex_handle v2,
                                     Vertex_handle v3)
     : Cb(v0, v1, v2, v3) {}
 
   Regular_triangulation_cell_base_3(Vertex_handle v0,
                                     Vertex_handle v1,
-				    Vertex_handle v2,
+                                    Vertex_handle v2,
                                     Vertex_handle v3,
-				    Cell_handle   n0,
+                                    Cell_handle   n0,
                                     Cell_handle   n1,
-				    Cell_handle   n2,
+                                    Cell_handle   n2,
                                     Cell_handle   n3)
     : Cb(v0, v1, v2, v3, n0, n1, n2, n3) {}
 
@@ -88,7 +88,7 @@ public:
   {
     return _hidden;
   }
-  
+
   void hide_point(const Point& p)
   { hide_point_internal<Memory_policy>(p); }
   void unhide_point(const Point_iterator pit)
diff -pruN 5.0.2-3/include/CGAL/Regular_triangulation_cell_base_with_weighted_circumcenter_3.h 5.0.3-1/include/CGAL/Regular_triangulation_cell_base_with_weighted_circumcenter_3.h
--- 5.0.2-3/include/CGAL/Regular_triangulation_cell_base_with_weighted_circumcenter_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Regular_triangulation_cell_base_with_weighted_circumcenter_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Regular_triangulation_cell_base_with_weighted_circumcenter_3.h $
-// $Id: Regular_triangulation_cell_base_with_weighted_circumcenter_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Regular_triangulation_cell_base_with_weighted_circumcenter_3.h $
+// $Id: Regular_triangulation_cell_base_with_weighted_circumcenter_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -54,7 +54,7 @@ public:
   template < typename TDS2 >
   struct Rebind_TDS {
     typedef typename Cb::template Rebind_TDS<TDS2>::Other         Cb2;
-    typedef 
+    typedef
       Regular_triangulation_cell_base_with_weighted_circumcenter_3<GT, Cb2>
       Other;
   };
@@ -64,8 +64,8 @@ public:
 
   Regular_triangulation_cell_base_with_weighted_circumcenter_3
         (const Regular_triangulation_cell_base_with_weighted_circumcenter_3 &c)
-    : Cb(c), 
-      weighted_circumcenter_(c.weighted_circumcenter_ != nullptr ? 
+    : Cb(c),
+      weighted_circumcenter_(c.weighted_circumcenter_ != nullptr ?
                              new Point_3(*(c.weighted_circumcenter_)) :
                              nullptr)
   {}
@@ -80,12 +80,12 @@ public:
   }
 
   Regular_triangulation_cell_base_with_weighted_circumcenter_3(
-	                    Vertex_handle v0, Vertex_handle v1,
+                            Vertex_handle v0, Vertex_handle v1,
                             Vertex_handle v2, Vertex_handle v3)
     : Cb(v0, v1, v2, v3), weighted_circumcenter_(nullptr) {}
 
   Regular_triangulation_cell_base_with_weighted_circumcenter_3(
-	                    Vertex_handle v0, Vertex_handle v1,
+                            Vertex_handle v0, Vertex_handle v1,
                             Vertex_handle v2, Vertex_handle v3,
                             Cell_handle   n0, Cell_handle   n1,
                             Cell_handle   n2, Cell_handle   n3)
@@ -122,7 +122,7 @@ public:
   weighted_circumcenter(const Geom_traits& gt = Geom_traits()) const
   {
       if (weighted_circumcenter_ == nullptr) {
-    	  weighted_circumcenter_ 
+              weighted_circumcenter_
             = new Point_3(this->Cb::weighted_circumcenter(gt));
       } else {
         CGAL_expensive_assertion(
diff -pruN 5.0.2-3/include/CGAL/Regular_triangulation_euclidean_traits_3.h 5.0.3-1/include/CGAL/Regular_triangulation_euclidean_traits_3.h
--- 5.0.2-3/include/CGAL/Regular_triangulation_euclidean_traits_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Regular_triangulation_euclidean_traits_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Regular_triangulation_euclidean_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Regular_triangulation_euclidean_traits_3.h $
 // $Id: Regular_triangulation_euclidean_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Regular_triangulation_face_base_2.h 5.0.3-1/include/CGAL/Regular_triangulation_face_base_2.h
--- 5.0.2-3/include/CGAL/Regular_triangulation_face_base_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Regular_triangulation_face_base_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Regular_triangulation_face_base_2.h $
-// $Id: Regular_triangulation_face_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Regular_triangulation_face_base_2.h $
+// $Id: Regular_triangulation_face_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Frederic Fichel, Mariette Yvinec
 
@@ -51,23 +51,23 @@ public:
    : Fbase(),  vlist()
   {}
 
-  Regular_triangulation_face_base_2(Vertex_handle v0, 
-				    Vertex_handle v1, 
-				    Vertex_handle v2)
+  Regular_triangulation_face_base_2(Vertex_handle v0,
+                                    Vertex_handle v1,
+                                    Vertex_handle v2)
     : Fbase(v0,v1,v2), vlist()
   { }
 
-  Regular_triangulation_face_base_2(Vertex_handle v0, 
-				    Vertex_handle v1, 
-				    Vertex_handle v2,
-				    Face_handle n0, 
-				    Face_handle n1, 
-				    Face_handle n2)
+  Regular_triangulation_face_base_2(Vertex_handle v0,
+                                    Vertex_handle v1,
+                                    Vertex_handle v2,
+                                    Face_handle n0,
+                                    Face_handle n1,
+                                    Face_handle n2)
     : Fbase(v0,v1,v2,n0,n1,n2),  vlist()
   { }
 
   ~Regular_triangulation_face_base_2()
-  { 
+  {
     vlist.clear();
   }
 
@@ -80,6 +80,6 @@ public:
 
 };
 
-} //namespace CGAL 
+} //namespace CGAL
 
 #endif // CGAL_REGULAR_TRIANGULATION_FACE_BASE_2_H
diff -pruN 5.0.2-3/include/CGAL/Regular_triangulation.h 5.0.3-1/include/CGAL/Regular_triangulation.h
--- 5.0.2-3/include/CGAL/Regular_triangulation.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Regular_triangulation.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/Regular_triangulation.h $
-// $Id: Regular_triangulation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/Regular_triangulation.h $
+// $Id: Regular_triangulation.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Clement Jamin
@@ -29,7 +29,7 @@ class Regular_triangulation
 : public Triangulation<
     Regular_triangulation_traits_adapter<Traits_>,
     typename Default::Get<
-      TDS_, 
+      TDS_,
       Triangulation_data_structure<
         typename Regular_triangulation_traits_adapter<Traits_>::Dimension,
         Triangulation_vertex<Regular_triangulation_traits_adapter<Traits_> >,
@@ -51,7 +51,7 @@ class Regular_triangulation
 
   typedef typename RTTraits::Orientation_d                 Orientation_d;
   typedef typename RTTraits::Power_side_of_power_sphere_d  Power_side_of_power_sphere_d;
-  typedef typename RTTraits::In_flat_power_side_of_power_sphere_d          
+  typedef typename RTTraits::In_flat_power_side_of_power_sphere_d
                                                            In_flat_power_side_of_power_sphere_d;
   typedef typename RTTraits::Flat_orientation_d            Flat_orientation_d;
   typedef typename RTTraits::Construct_flat_orientation_d  Construct_flat_orientation_d;
@@ -65,7 +65,7 @@ public: // PUBLIC NESTED TYPES
   typedef typename Base::Full_cell                Full_cell;
   typedef typename Base::Facet                    Facet;
   typedef typename Base::Face                     Face;
-  
+
   typedef Maximal_dimension_                      Maximal_dimension;
 
   typedef typename Base::Point_const_iterator     Point_const_iterator;
@@ -187,7 +187,7 @@ public:
 
   // - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - REMOVALS
 
-  // Warning: these functions are not correct since they do not restore hidden 
+  // Warning: these functions are not correct since they do not restore hidden
   // vertices
 
   Full_cell_handle remove(Vertex_handle);
@@ -233,7 +233,7 @@ public:
       Facet ft;
       Full_cell_handle c = locate (*p, lt, f, ft, hint);
       Vertex_handle v = insert (*p, lt, f, ft, c);
-      
+
       hint = v == Vertex_handle() ? c : v->full_cell();
     }
     return number_of_vertices() - n;
@@ -469,7 +469,7 @@ private:
 // - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - REMOVALS
 
 
-// Warning: this function is not correct since it does not restore hidden 
+// Warning: this function is not correct since it does not restore hidden
 // vertices
 template< typename Traits, typename TDS >
 typename Regular_triangulation<Traits, TDS>::Full_cell_handle
@@ -806,10 +806,10 @@ Regular_triangulation<Traits, TDS>
       Vertex_handle v = s->vertex(f.index(0));
       typename RTTraits::Compute_weight_d pw =
         geom_traits().compute_weight_d_object();
-      
+
       if (pw(p) == pw(v->point()))
         return v;
-      // If dim == 0 and the new point has a bigger weight, 
+      // If dim == 0 and the new point has a bigger weight,
       // we just replace the point, and the former point gets hidden
       else if (current_dimension() == 0)
       {
@@ -863,14 +863,14 @@ Regular_triangulation<Traits, TDS>
     CGAL_assertion( ZERO != o );
       if( NEGATIVE == o )
         reorient_full_cells();
-      
+
     // We just inserted the second finite point and the right infinite
     // cell is like : (inf_v, v), but we want it to be (v, inf_v) to be
     // consistent with the rest of the cells
     if (current_dimension() == 1)
     {
       // Is "inf_v_cell" the right infinite cell? Then inf_v_index should be 1
-      if (inf_v_cell->neighbor(inf_v_index)->index(inf_v_cell) == 0 
+      if (inf_v_cell->neighbor(inf_v_index)->index(inf_v_cell) == 0
         && inf_v_index == 0)
       {
         inf_v_cell->swap_vertices(current_dimension() - 1, current_dimension());
@@ -880,7 +880,7 @@ Regular_triangulation<Traits, TDS>
         inf_v_cell = inf_v_cell->neighbor((inf_v_index + 1) % 2);
         inf_v_index = inf_v_cell->index(infinite_vertex());
         // Is "inf_v_cell" the right infinite cell? Then inf_v_index should be 1
-        if (inf_v_cell->neighbor(inf_v_index)->index(inf_v_cell) == 0 
+        if (inf_v_cell->neighbor(inf_v_index)->index(inf_v_cell) == 0
           && inf_v_index == 0)
         {
           inf_v_cell->swap_vertices(current_dimension() - 1, current_dimension());
@@ -896,7 +896,7 @@ typename Regular_triangulation<Traits, T
 Regular_triangulation<Traits, TDS>
 ::insert_if_in_star(const Weighted_point & p,
                     Vertex_handle star_center,
-                    Locate_type lt, 
+                    Locate_type lt,
                     const Face & f,
                     const Facet &,
                     Full_cell_handle s)
@@ -913,7 +913,7 @@ Regular_triangulation<Traits, TDS>
         geom_traits().compute_weight_d_object();
       if (pw(p) == pw(v->point()))
         return v;
-      // If dim == 0 and the new point has a bigger weight, 
+      // If dim == 0 and the new point has a bigger weight,
       // we replace the point
       else if (current_dimension() == 0)
       {
@@ -1140,7 +1140,7 @@ Regular_triangulation<Traits, TDS>
           ch->neighbor(i)->vertex(ch->neighbor(i)->index(ch));
         if (!is_infinite(opposite_vh))
         {
-          Power_side_of_power_sphere_d side = 
+          Power_side_of_power_sphere_d side =
             geom_traits().power_side_of_power_sphere_d_object();
           if (side(points_begin(ch),
                    points_end(ch),
diff -pruN 5.0.2-3/include/CGAL/Regular_triangulation_traits_adapter.h 5.0.3-1/include/CGAL/Regular_triangulation_traits_adapter.h
--- 5.0.2-3/include/CGAL/Regular_triangulation_traits_adapter.h	2020-02-21 20:04:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/Regular_triangulation_traits_adapter.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/Regular_triangulation_traits_adapter.h $
-// $Id: Regular_triangulation_traits_adapter.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/Regular_triangulation_traits_adapter.h $
+// $Id: Regular_triangulation_traits_adapter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Clement Jamin
@@ -46,7 +46,7 @@ public:
   typedef typename Base::Construct_point_d             Construct_point_d;
   typedef typename Base::Compute_weight_d              Compute_weight_d;
   typedef typename Base::Power_side_of_power_sphere_d  Power_side_of_power_sphere_d;
-  typedef typename Base::In_flat_power_side_of_power_sphere_d 
+  typedef typename Base::In_flat_power_side_of_power_sphere_d
                                                        In_flat_power_side_of_power_sphere_d;
 
   //===========================================================================
@@ -85,7 +85,7 @@ public:
     Orientation_d(const RTTraits &kernel)
       : m_traits(kernel) {}
 
-    template <typename ForwardIterator> 
+    template <typename ForwardIterator>
     result_type operator()(ForwardIterator start, ForwardIterator end) const
     {
       Construct_point_d cp = m_traits.construct_point_d_object();
@@ -105,11 +105,11 @@ public:
 
   public:
     typedef Flat_orientation_d result_type;
-    
+
     Construct_flat_orientation_d(const RTTraits &kernel)
       : m_traits(kernel) {}
 
-    template <typename ForwardIterator> 
+    template <typename ForwardIterator>
     result_type operator()(ForwardIterator start, ForwardIterator end) const
     {
       Construct_point_d cp = m_traits.construct_point_d_object();
@@ -130,12 +130,12 @@ public:
 
   public:
     typedef Orientation result_type;
-    
+
     In_flat_orientation_d(const RTTraits &kernel)
       : m_traits(kernel) {}
 
-    template <typename ForwardIterator> 
-    result_type operator()(Flat_orientation_d orient, 
+    template <typename ForwardIterator>
+    result_type operator()(Flat_orientation_d orient,
       ForwardIterator start, ForwardIterator end) const
     {
       Construct_point_d cp = m_traits.construct_point_d_object();
@@ -148,7 +148,7 @@ public:
   };
 
   //===========================================================================
-  
+
   // Required by TriangulationTraits
   class Contained_in_affine_hull_d
   {
@@ -156,12 +156,12 @@ public:
 
   public:
     typedef bool result_type;
-    
+
     Contained_in_affine_hull_d(const RTTraits &kernel)
       : m_traits(kernel) {}
 
-    template <typename ForwardIterator> 
-    result_type operator()(ForwardIterator start, ForwardIterator end, 
+    template <typename ForwardIterator>
+    result_type operator()(ForwardIterator start, ForwardIterator end,
                            const Weighted_point_d & p) const
     {
       Construct_point_d cp = m_traits.construct_point_d_object();
@@ -182,7 +182,7 @@ public:
 
   public:
     typedef Comparison_result result_type;
-    
+
     Compare_lexicographically_d(const RTTraits &kernel)
       : m_traits(kernel) {}
 
@@ -193,7 +193,7 @@ public:
       return m_traits.compare_lexicographically_d_object()(cp(p), cp(q));
     }
   };
-  
+
   //===========================================================================
 
   // Only for Triangulation_off_ostream.h (undocumented)
@@ -203,7 +203,7 @@ public:
 
   public:
     typedef FT result_type;
-    
+
     Compute_coordinate_d(const RTTraits &kernel)
       : m_traits(kernel) {}
 
@@ -225,7 +225,7 @@ public:
 
   public:
     typedef int result_type;
-    
+
     Point_dimension_d(const RTTraits &kernel)
       : m_traits(kernel) {}
 
@@ -236,7 +236,7 @@ public:
       return m_traits.point_dimension_d_object()(cp(p));
     }
   };
-  
+
   //===========================================================================
   // Object creation
   //===========================================================================
@@ -246,31 +246,31 @@ public:
     return Less_coordinate_d(*this);
   }
   Contained_in_affine_hull_d contained_in_affine_hull_d_object() const
-  { 
-    return Contained_in_affine_hull_d(*this); 
+  {
+    return Contained_in_affine_hull_d(*this);
   }
   Orientation_d orientation_d_object() const
   {
-    return Orientation_d(*this); 
+    return Orientation_d(*this);
   }
   Construct_flat_orientation_d construct_flat_orientation_d_object() const
-  { 
+  {
     return Construct_flat_orientation_d(*this);
   }
   In_flat_orientation_d in_flat_orientation_d_object() const
-  { 
+  {
     return In_flat_orientation_d(*this);
   }
   Compare_lexicographically_d compare_lexicographically_d_object() const
-  { 
+  {
     return Compare_lexicographically_d(*this);
   }
   Compute_coordinate_d compute_coordinate_d_object() const
-  { 
+  {
     return Compute_coordinate_d(*this);
   }
   Point_dimension_d point_dimension_d_object() const
-  { 
+  {
     return Point_dimension_d(*this);
   }
 };
diff -pruN 5.0.2-3/include/CGAL/Regular_triangulation_vertex_base_2.h 5.0.3-1/include/CGAL/Regular_triangulation_vertex_base_2.h
--- 5.0.2-3/include/CGAL/Regular_triangulation_vertex_base_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Regular_triangulation_vertex_base_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Regular_triangulation_vertex_base_2.h $
-// $Id: Regular_triangulation_vertex_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Regular_triangulation_vertex_base_2.h $
+// $Id: Regular_triangulation_vertex_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
@@ -23,7 +23,7 @@ namespace CGAL {
 
 template < class GT,
            class Vb = Triangulation_ds_vertex_base_2<> >
-class Regular_triangulation_vertex_base_2 
+class Regular_triangulation_vertex_base_2
   :   public Vb
 {
   typedef typename Vb::Triangulation_data_structure     TDS;
@@ -50,7 +50,7 @@ private:
 public:
   Regular_triangulation_vertex_base_2 ()
     : Vb(), _hidden(false) {}
-  Regular_triangulation_vertex_base_2(const Weighted_point & p) 
+  Regular_triangulation_vertex_base_2(const Weighted_point & p)
     :  Vb(), _p(p), _hidden(false) {}
   Regular_triangulation_vertex_base_2(const Weighted_point & p, Face_handle f)
     : Vb(f),_p(p), _hidden(false) {}
@@ -68,8 +68,8 @@ public:
 
 template < class GT, class Vb >
 std::istream&
-operator>>(std::istream &is, 
-	   Regular_triangulation_vertex_base_2<GT, Vb> &v)
+operator>>(std::istream &is,
+           Regular_triangulation_vertex_base_2<GT, Vb> &v)
   // non combinatorial information. Default = point
 {
   return is >> static_cast<Vb&>(v) >> v.point();
@@ -77,8 +77,8 @@ operator>>(std::istream &is,
 
 template < class GT, class Vb >
 std::ostream&
-operator<<(std::ostream &os, 
-	   const Regular_triangulation_vertex_base_2<GT, Vb> &v)
+operator<<(std::ostream &os,
+           const Regular_triangulation_vertex_base_2<GT, Vb> &v)
   // non combinatorial information. Default = point
 {
   return os << static_cast<const Vb&>(v) << v.point();
diff -pruN 5.0.2-3/include/CGAL/Regular_triangulation_vertex_base_3.h 5.0.3-1/include/CGAL/Regular_triangulation_vertex_base_3.h
--- 5.0.2-3/include/CGAL/Regular_triangulation_vertex_base_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Regular_triangulation_vertex_base_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Regular_triangulation_vertex_base_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Regular_triangulation_vertex_base_3.h $
 // $Id: Regular_triangulation_vertex_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/remove_far_points_in_mesh_3.h 5.0.3-1/include/CGAL/remove_far_points_in_mesh_3.h
--- 5.0.2-3/include/CGAL/remove_far_points_in_mesh_3.h	2020-02-21 20:03:37.000000000 +0000
+++ 5.0.3-1/include/CGAL/remove_far_points_in_mesh_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/remove_far_points_in_mesh_3.h $
-// $Id: remove_far_points_in_mesh_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/remove_far_points_in_mesh_3.h $
+// $Id: remove_far_points_in_mesh_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -22,7 +22,7 @@
 #include <CGAL/disable_warnings.h>
 
 namespace CGAL {
-  
+
 namespace Mesh_3 {
 
 /************************************************
@@ -58,7 +58,7 @@ class Remove_far_points<C3T3, Parallel_t
 {
 public:
   Remove_far_points(C3T3 &c3t3) : m_c3t3(c3t3) {}
-  
+
   void remove_far_points()
   {
     m_c3t3.remove_far_points();
diff -pruN 5.0.2-3/include/CGAL/remove_outliers.h 5.0.3-1/include/CGAL/remove_outliers.h
--- 5.0.2-3/include/CGAL/remove_outliers.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/remove_outliers.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/remove_outliers.h $
-// $Id: remove_outliers.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/remove_outliers.h $
+// $Id: remove_outliers.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Laurent Saboret and Nader Salman and Pierre Alliez
@@ -146,7 +146,7 @@ remove_outliers(
 {
   using parameters::choose_parameter;
   using parameters::get_parameter;
-  
+
   // geometric types
   typedef typename Point_set_processing_3::GetPointMap<PointRange, NamedParameters>::type PointMap;
   typedef typename Point_set_processing_3::GetK<PointRange, NamedParameters>::Kernel Kernel;
@@ -158,9 +158,9 @@ remove_outliers(
   double threshold_distance = choose_parameter(get_parameter(np, internal_np::threshold_distance), 0.);
   const std::function<bool(double)>& callback = choose_parameter(get_parameter(np, internal_np::callback),
                                                                std::function<bool(double)>());
-  
+
   typedef typename Kernel::FT FT;
-  
+
   // basic geometric types
   typedef typename Kernel::Point_3 Point;
 
@@ -186,7 +186,7 @@ remove_outliers(
 
   // Instanciate a KD-tree search.
   // Note: We have to convert each input iterator to Point_3.
-  std::vector<Point> kd_tree_points; 
+  std::vector<Point> kd_tree_points;
   for(it = points.begin(); it != points.end(); it++)
     kd_tree_points.push_back( get(point_map, *it) );
   Tree tree(kd_tree_points.begin(), kd_tree_points.end());
diff -pruN 5.0.2-3/include/CGAL/representation_tags.h 5.0.3-1/include/CGAL/representation_tags.h
--- 5.0.2-3/include/CGAL/representation_tags.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/representation_tags.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/representation_tags.h $
-// $Id: representation_tags.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/representation_tags.h $
+// $Id: representation_tags.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 #ifndef CGAL_REPRESENTATION_TAGS_H
 #define CGAL_REPRESENTATION_TAGS_H
 
diff -pruN 5.0.2-3/include/CGAL/Residue.h 5.0.3-1/include/CGAL/Residue.h
--- 5.0.2-3/include/CGAL/Residue.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Residue.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,17 +3,17 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Modular_arithmetic/include/CGAL/Residue.h $
-// $Id: Residue.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Modular_arithmetic/include/CGAL/Residue.h $
+// $Id: Residue.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Michael Hemmer
 
 /*! \file CGAL/Residue.h
     \brief Defines the class CGAL::Residue and CGAL::Modular_traits.
- 
-    Provides the \c CGAL::Modular_traits specialization for the build in number 
-    types. 
+
+    Provides the \c CGAL::Modular_traits specialization for the build in number
+    types.
 */
 
 #ifndef CGAL_RESIDUE_H
@@ -28,14 +28,14 @@ namespace CGAL {
 
 
 /*! \brief Specialization of CGAL::NT_traits for \c Residue, which is a model
- * of the \c Field concept. 
+ * of the \c Field concept.
  * \ingroup CGAL_NT_traits_spec
  */
 template <>
 class Algebraic_structure_traits<Residue>
     : public Algebraic_structure_traits_base< Residue ,Field_tag >{
-public: 
-    typedef CGAL::Tag_true Is_exact; 
+public:
+    typedef CGAL::Tag_true Is_exact;
 };
 
 CGAL_DEFINE_COERCION_TRAITS_FROM_TO(short,CGAL::Residue)
@@ -45,4 +45,4 @@ CGAL_DEFINE_COERCION_TRAITS_FROM_TO(long
 } //namespace CGAL
 
 #endif //#ifnedef CGAL_RESIDUE_H 1
- 
+
diff -pruN 5.0.2-3/include/CGAL/result_of.h 5.0.3-1/include/CGAL/result_of.h
--- 5.0.2-3/include/CGAL/result_of.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/result_of.h	2020-08-01 19:02:47.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/result_of.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/result_of.h $
 // $Id: result_of.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Ridges.h 5.0.3-1/include/CGAL/Ridges.h
--- 5.0.2-3/include/CGAL/Ridges.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Ridges.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Ridges_3/include/CGAL/Ridges.h $
-// $Id: Ridges.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Ridges_3/include/CGAL/Ridges.h $
+// $Id: Ridges.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Pouget and Frédéric Cazals
@@ -26,18 +26,18 @@
 #include <CGAL/Bbox_3.h>
 
 namespace CGAL {
- 
+
 enum Ridge_interrogation_type {MAX_RIDGE, MIN_RIDGE, CREST_RIDGE};
 
-enum Ridge_type {NO_RIDGE=0, 
-		 MAX_ELLIPTIC_RIDGE, MAX_HYPERBOLIC_RIDGE, MAX_CREST_RIDGE, 
-		 MIN_ELLIPTIC_RIDGE, MIN_HYPERBOLIC_RIDGE, MIN_CREST_RIDGE};
- 
+enum Ridge_type {NO_RIDGE=0,
+                 MAX_ELLIPTIC_RIDGE, MAX_HYPERBOLIC_RIDGE, MAX_CREST_RIDGE,
+                 MIN_ELLIPTIC_RIDGE, MIN_HYPERBOLIC_RIDGE, MIN_CREST_RIDGE};
+
 //are ridges tagged as elliptic or hyperbolic using 3rd or 4th order
 //differential quantitities?
 //with Ridge_order_3 P1 and P2 are not used and the sharpness is not defined.
 enum Ridge_order {Ridge_order_3 = 3, Ridge_order_4 = 4};
-  
+
 //---------------------------------------------------------------------------
 //Ridge_line : a connected sequence of edges of a
 //TriangularPolyhedralSurface crossed by a
@@ -53,12 +53,12 @@ template < class TriangleMesh > class Ri
 {
   typedef typename boost::property_map<TriangleMesh,CGAL::vertex_point_t>::type VPM;
   typedef typename boost::property_traits<VPM>::value_type Point_3;
-  typedef typename Kernel_traits<Point_3>::Kernel Kernel; 
+  typedef typename Kernel_traits<Point_3>::Kernel Kernel;
 public:
-  
+
   typedef typename Kernel::FT         FT;
   typedef typename boost::graph_traits<TriangleMesh>::halfedge_descriptor halfedge_descriptor;
-  typedef std::pair< halfedge_descriptor, FT> Ridge_halfedge; 
+  typedef std::pair< halfedge_descriptor, FT> Ridge_halfedge;
   typedef Ridge_halfedge ridge_halfhedge;  //kept for backward compatibility
 
   Ridge_type line_type() const {return m_line_type;}
@@ -75,7 +75,7 @@ public:
 
   //constructor
   Ridge_line(const TriangleMesh& P);
-  
+
   /* The output is : line_type, strength, sharpness, list of points of
      the polyline. An insert operator << is also available.
    */
@@ -89,14 +89,14 @@ protected:
   const TriangleMesh& P;
   //one of MAX_ELLIPTIC_RIDGE, MAX_HYPERBOLIC_RIDGE, MAX_CREST_RIDGE,
   //MIN_ELLIPTIC_RIDGE, MIN_HYPERBOLIC_RIDGE or MIN_CREST_RIDGE
-  Ridge_type m_line_type;  
+  Ridge_type m_line_type;
   std::list<Ridge_halfedge> m_line;
   FT m_strength;// = integral of ppal curvature along the line
   FT m_sharpness;// = (integral of second derivative of curvature
-		 // along the line) multiplied by the squared of 
+                 // along the line) multiplied by the squared of
                  // the size of the model
-		 // (which is the radius of the smallest enclosing
-		 // ball)
+                 // (which is the radius of the smallest enclosing
+                 // ball)
 };
 
 //--------------------------------------------------------------------------
@@ -106,10 +106,10 @@ protected:
  //constructor
 template < class TriangleMesh >
 Ridge_line<TriangleMesh>::
-Ridge_line(const TriangleMesh& P) 
+Ridge_line(const TriangleMesh& P)
   : P(P), m_strength(0.), m_sharpness(0.)
 {}
-   
+
 
 template < class TriangleMesh >
 template <class VertexPointMap>
@@ -118,20 +118,20 @@ dump_4ogl(std::ostream& out_stream,
           VertexPointMap vpm) const
 {
   out_stream << line_type() << " "
-	     << strength() << " "
-	     << sharpness() << " ";
+             << strength() << " "
+             << sharpness() << " ";
   typedef typename boost::property_traits<VertexPointMap>::value_type Point_3;
   typename std::list<Ridge_halfedge >::const_iterator
-    iter = line()->begin(), 
+    iter = line()->begin(),
     ite =  line()->end();
   for (;iter!=ite;iter++){
     //he: p->q, r is the crossing point
     Point_3 p = get(vpm, target(opposite(iter->first,P),P)),
       q = get(vpm,target(iter->first,P));
     Point_3 r = CGAL::barycenter(p, iter->second, q);
-    out_stream << " " << r ;	
+    out_stream << " " << r ;
   }
-  out_stream  << std::endl;  
+  out_stream  << std::endl;
 }
 
 //verbose output
@@ -142,24 +142,24 @@ dump_verbose(std::ostream& out_stream, V
 {
   typedef typename boost::property_traits<VertexPointMap>::value_type Point_3;
   out_stream << "Line type is : " << line_type() << std::endl
-	     << "Strength is :  " << strength() << std::endl
-	     << "Sharpness is : " << sharpness() << std::endl
-	     << "Polyline point coordinates are : " << std::endl;
+             << "Strength is :  " << strength() << std::endl
+             << "Sharpness is : " << sharpness() << std::endl
+             << "Polyline point coordinates are : " << std::endl;
 
   typename std::list<Ridge_halfedge>::const_iterator
-    iter = line()->begin(), 
+    iter = line()->begin(),
     ite =  line()->end();
   for (;iter!=ite;iter++){
     //he: p->q, r is the crossing point
     Point_3 p = get(vpm, target(opposite(iter->first,P),P)),
       q = get(vpm,target(iter->first,P));
     Point_3 r = CGAL::barycenter(p, iter->second, q);
-    out_stream << r << std::endl;	
+    out_stream << r << std::endl;
   }
 }
 
 template <class TriangleMesh>
-std::ostream& 
+std::ostream&
 operator<<(std::ostream& out_stream, const Ridge_line<TriangleMesh>& ridge_line)
 {
   ridge_line.dump_verbose(out_stream);
@@ -171,15 +171,15 @@ operator<<(std::ostream& out_stream, con
 //---------------------------------------------------------------------------
 //Ridge_approximation
 //--------------------------------------------------------------------------
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
-           class VertexVectorMap > 
+           class VertexVectorMap >
 class Ridge_approximation
 {
   typedef typename boost::property_map<TriangleMesh,vertex_point_t>::const_type VPM;
   typedef typename boost::property_traits<VPM>::value_type Point_3;
   typedef typename Kernel_traits<Point_3>::Kernel Kernel;
- public:  
+ public:
   typedef typename Kernel::FT        FT;
   typedef typename Kernel::Vector_3  Vector_3;
   typedef typename boost::graph_traits<TriangleMesh>::vertex_descriptor     vertex_descriptor;
@@ -199,22 +199,22 @@ class Ridge_approximation
   typedef CGAL::Ridge_line<TriangleMesh>  Ridge_line;
 
   Ridge_approximation(const TriangleMesh &P,
-		      const VertexFTMap& vertex2k1_pm, 
-		      const VertexFTMap& vertex2k2_pm,
-		      const VertexFTMap& vertex2b0_pm, 
-		      const VertexFTMap& vertex2b3_pm,
-		      const VertexVectorMap& vertex2d1_pm, 
-		      const VertexVectorMap& vertex2d2_pm,
-		      const VertexFTMap& vertex2P1_pm, 
-		      const VertexFTMap& vertex2P2_pm);
- 
+                      const VertexFTMap& vertex2k1_pm,
+                      const VertexFTMap& vertex2k2_pm,
+                      const VertexFTMap& vertex2b0_pm,
+                      const VertexFTMap& vertex2b3_pm,
+                      const VertexVectorMap& vertex2d1_pm,
+                      const VertexVectorMap& vertex2d2_pm,
+                      const VertexFTMap& vertex2P1_pm,
+                      const VertexFTMap& vertex2P2_pm);
+
   template <class OutputIterator>
   OutputIterator compute_max_ridges(OutputIterator it, Ridge_order ord = Ridge_order_3);
   template <class OutputIterator>
   OutputIterator compute_min_ridges(OutputIterator it, Ridge_order ord = Ridge_order_3);
   template <class OutputIterator>
   OutputIterator compute_crest_ridges(OutputIterator it, Ridge_order ord = Ridge_order_3);
-  
+
   //Find MAX_RIDGE, MIN_RIDGE or CREST_RIDGE ridges iterate on P facets,
   //find a non-visited, regular (i.e. if there is a coherent
   //orientation of ppal dir at the facet vertices), 2Xing triangle,
@@ -222,14 +222,14 @@ class Ridge_approximation
   //create a Ridge line.  Each time an edge is added the strength and
   //sharpness(if Ridge_order_4) are updated.
   template <class OutputIterator>
-  OutputIterator compute_ridges(Ridge_interrogation_type r_type, 
-			  OutputIterator ridge_lines_it,
-			  Ridge_order ord = Ridge_order_3);
+  OutputIterator compute_ridges(Ridge_interrogation_type r_type,
+                          OutputIterator ridge_lines_it,
+                          Ridge_order ord = Ridge_order_3);
 
  protected:
   const TriangleMesh& P;
   FT squared_model_size;//squared radius of the smallest enclosing sphere of the TriangleMesh
-		//used to make the sharpness scale independent and iso indep
+                //used to make the sharpness scale independent and iso indep
   Ridge_order tag_order;
 
   typedef std::map<face_descriptor, bool> Facet2bool_map_type;
@@ -245,11 +245,11 @@ class Ridge_approximation
   //the crossed edges and more precise type from MAX_ELLIPTIC_RIDGE,
   //MAX_HYPERBOLIC_RIDGE, MAX_CREST_RIDGE, MIN_ELLIPTIC_RIDGE,
   //MIN_HYPERBOLIC_RIDGE, MIN_CREST_RIDGE or NO_RIDGE
-  Ridge_type facet_ridge_type(const face_descriptor f, 
-			      halfedge_descriptor& he1, 
-			      halfedge_descriptor& he2,
-			      Ridge_interrogation_type r_type);
-  
+  Ridge_type facet_ridge_type(const face_descriptor f,
+                              halfedge_descriptor& he1,
+                              halfedge_descriptor& he2,
+                              Ridge_interrogation_type r_type);
+
   //is an edge crossed by a BLUE/RED ridge? (color is MAX_RIDGE or
   //MIN_RIDGE ).  As we only test edges of regular triangles, the ppal
   //direction at endpoints d_p and d_q cannot be orthogonal. If both
@@ -259,16 +259,16 @@ class Ridge_approximation
   //non-vanishing extremalities, a crossing occurs if their sign
   //differ; Assuming the accute rule to orient the ppal directions,
   //there is a crossing iff d_p.d_q * b_p*b_q < 0
-  void xing_on_edge(const halfedge_descriptor he, 
-		    bool& is_crossed, 
-		    Ridge_interrogation_type color);
- 
+  void xing_on_edge(const halfedge_descriptor he,
+                    bool& is_crossed,
+                    Ridge_interrogation_type color);
+
   //given a ridge segment of a given color, in a triangle crossing he1
   //(v_p1 -> v_q1) and he2 (v_p2 -> v_q2) return true if it is
   //elliptic, false if it is hyperbolic.
   bool tag_as_elliptic_hyperbolic(const Ridge_interrogation_type color,
-				  const halfedge_descriptor he1, 
-				  const halfedge_descriptor he2);
+                                  const halfedge_descriptor he1,
+                                  const halfedge_descriptor he2);
 
   //for the computation with tag_order == 3 only
   //for a ridge segment [r1,r2] in a triangle (v1,v2,v3), let r = r2 -
@@ -279,62 +279,62 @@ class Ridge_approximation
   //appearing at least at two vertices of the facet.
   //
   // for color = MAX_RIDGE, sign = 1 if MAX_ELLIPTIC_RIDGE, -1 if
-  // MAX_HYPERBOLIC_RIDGE 
+  // MAX_HYPERBOLIC_RIDGE
   //
   // for color = MIN_RIDGE, sign = -1 if MIN_ELLIPTIC_RIDGE, 1 if
   // MIN_HYPERBOLIC_RIDGE
-  int b_sign_pointing_to_ridge(const vertex_descriptor v1, 
-			       const vertex_descriptor v2,
-			       const vertex_descriptor v3,
-			       const Vector_3 r1, const Vector_3 r2, 
-			       const Ridge_interrogation_type color);
+  int b_sign_pointing_to_ridge(const vertex_descriptor v1,
+                               const vertex_descriptor v2,
+                               const vertex_descriptor v3,
+                               const Vector_3 r1, const Vector_3 r2,
+                               const Ridge_interrogation_type color);
 
   //a ridge line begins with a segment in a triangle given by the 2 he
   //crossed
-  void init_ridge_line(Ridge_line* ridge_line, 
-		       const halfedge_descriptor h1, 
-		       const halfedge_descriptor h2, 
-		       const Ridge_type r_type);
+  void init_ridge_line(Ridge_line* ridge_line,
+                       const halfedge_descriptor h1,
+                       const halfedge_descriptor h2,
+                       const Ridge_type r_type);
   //When the line is extended with a he, the bary coord of the
   //crossing point is computed, the pair (he,coord) is added and the
-  //weights are updated 
-  void addback(Ridge_line* ridge_line, 
-	       const halfedge_descriptor he, 
-	       const Ridge_type r_type);
-  void addfront(Ridge_line* ridge_line, 
-		const halfedge_descriptor he,
-		const Ridge_type r_type);
+  //weights are updated
+  void addback(Ridge_line* ridge_line,
+               const halfedge_descriptor he,
+               const Ridge_type r_type);
+  void addfront(Ridge_line* ridge_line,
+                const halfedge_descriptor he,
+                const Ridge_type r_type);
 
   //compute the barycentric coordinate of the xing point (blue or red)
   //for he: p->q (wrt the extremality values b0/3).  coord is st
   //xing_point = coord*p + (1-coord)*q
-  FT bary_coord(const halfedge_descriptor he, 
-		const Ridge_type r_type);
+  FT bary_coord(const halfedge_descriptor he,
+                const Ridge_type r_type);
 };
 
 
 // IMPLEMENTATION OF Ridge_approximation members
 /////////////////////////////////////////////////////////////////////////////
 //constructor
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
-           class VertexVectorMap > 
+           class VertexVectorMap >
 Ridge_approximation< TriangleMesh, VertexFTMap , VertexVectorMap >::
 Ridge_approximation(const TriangleMesh &p,
-                    const VertexFTMap& vertex2k1_pm, 
+                    const VertexFTMap& vertex2k1_pm,
                     const VertexFTMap& vertex2k2_pm,
-                    const VertexFTMap& vertex2b0_pm, 
+                    const VertexFTMap& vertex2b0_pm,
                     const VertexFTMap& vertex2b3_pm,
-                    const VertexVectorMap& vertex2d1_pm, 
+                    const VertexVectorMap& vertex2d1_pm,
                     const VertexVectorMap& vertex2d2_pm,
-                    const VertexFTMap& vertex2P1_pm, 
+                    const VertexFTMap& vertex2P1_pm,
                     const VertexFTMap& vertex2P2_pm)
-  : P(p), k1(vertex2k1_pm), k2(vertex2k2_pm), b0(vertex2b0_pm), b3(vertex2b3_pm), 
+  : P(p), k1(vertex2k1_pm), k2(vertex2k2_pm), b0(vertex2b0_pm), b3(vertex2b3_pm),
           P1(vertex2P1_pm), P2(vertex2P2_pm), d1(vertex2d1_pm), d2(vertex2d2_pm),
           vpm(get(CGAL::vertex_point,p))
 {
   //init the is_visited_map and check that the mesh is a triangular one.
-  face_iterator itb,ite; 
+  face_iterator itb,ite;
   boost::tie(itb,ite) = faces(P);
   for(;itb!=ite;itb++) {
     is_visited_map[*itb] = false;
@@ -352,16 +352,16 @@ Ridge_approximation(const TriangleMesh &
   width = (std::max)(width,yw);
   double zw =  bb.zmax() - bb.zmin();
   width = (std::max)(width,zw);
-           
+
   squared_model_size = (width*width)/4.0 ;
 
   tag_order = Ridge_order_3;
 }
 
 
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
-           class VertexVectorMap > 
+           class VertexVectorMap >
 template <class OutputIterator>
 OutputIterator
 Ridge_approximation< TriangleMesh, VertexFTMap , VertexVectorMap  >::
@@ -372,9 +372,9 @@ compute_max_ridges(OutputIterator it, Ri
 }
 
 
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
-           class VertexVectorMap > 
+           class VertexVectorMap >
 template <class OutputIterator>
 OutputIterator
 Ridge_approximation< TriangleMesh, VertexFTMap , VertexVectorMap  >::
@@ -385,9 +385,9 @@ compute_min_ridges(OutputIterator it, Ri
 }
 
 
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
-           class VertexVectorMap > 
+           class VertexVectorMap >
 template <class OutputIterator>
 OutputIterator
 Ridge_approximation< TriangleMesh, VertexFTMap , VertexVectorMap  >::
@@ -398,9 +398,9 @@ compute_crest_ridges(OutputIterator it,
 }
 
 
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
-           class VertexVectorMap > 
+           class VertexVectorMap >
 template <class OutputIterator>
 OutputIterator
 Ridge_approximation< TriangleMesh, VertexFTMap , VertexVectorMap  >::
@@ -412,7 +412,7 @@ compute_ridges(Ridge_interrogation_type
   face_iterator itb,ite;
   boost::tie(itb,ite) = faces(P);
   for(;itb!=ite;itb++) is_visited_map[*itb] = false;
-  
+
   boost::tie(itb,ite) = faces(P);
   for(;itb!=ite;itb++)
     {
@@ -420,71 +420,71 @@ compute_ridges(Ridge_interrogation_type
       if (is_visited_map.find(f)->second) continue;
       is_visited_map.find(f)->second = true;
       halfedge_descriptor h1, h2, curhe1, curhe2, curhe;
-      
+
       //h1 h2 are the hedges crossed if any, r_type should be
       //MAX_RIDGE, MIN_RIDGE or CREST_RIDGE ; cur_ridge_type should be
       //MAX_ELLIPTIC_RIDGE, MAX_HYPERBOLIC_RIDGE, MAX_CREST_RIDGE,
       //MIN_ELLIPTIC_RIDGE, MIN_HYPERBOLIC_RIDGE, MIN_CREST_RIDGE or NO_RIDGE
       Ridge_type cur_ridge_type = facet_ridge_type(f,h1,h2,r_type);
       if ( cur_ridge_type == NO_RIDGE ) continue;
-      
+
       //a ridge_line is beginning and stored
       Ridge_line* cur_ridge_line = new Ridge_line(P);
       init_ridge_line(cur_ridge_line, h1, h2, cur_ridge_type);
       *ridge_lines_it++ = cur_ridge_line;
-    
+
       //next triangle adjacent to h1 (push_front)
-      if ( ! is_border_edge(h1,P) ) 
-	{
-	  f = face(opposite(h1,P),P);
-	  curhe = h1;
-	  while (cur_ridge_type == facet_ridge_type(f,curhe1,curhe2,r_type))
-	    {
-	      //follow the ridge from curhe
-	      if (is_visited_map.find(f)->second) break;
-	      is_visited_map.find(f)->second = true;
-	      if (opposite(curhe,P) == curhe1) curhe = curhe2;
-	      else curhe = curhe1;//curhe stays at the ridge extremity
-	      addfront(cur_ridge_line, curhe, cur_ridge_type);
-	      if ( ! is_border_edge(curhe,P) ) f = face(opposite(curhe,P),P);
-	      else break;
-	    }
-	  //exit from the while if
-	  //1. border or already visited (this is a ridge loop)
-	  //2. not same type, then do not set visisted cause a MAX_ELLIPTIC_RIDGE
-	  //	  follows a MAX_HYPERBOLIC_RIDGE
-	}
+      if ( ! is_border_edge(h1,P) )
+        {
+          f = face(opposite(h1,P),P);
+          curhe = h1;
+          while (cur_ridge_type == facet_ridge_type(f,curhe1,curhe2,r_type))
+            {
+              //follow the ridge from curhe
+              if (is_visited_map.find(f)->second) break;
+              is_visited_map.find(f)->second = true;
+              if (opposite(curhe,P) == curhe1) curhe = curhe2;
+              else curhe = curhe1;//curhe stays at the ridge extremity
+              addfront(cur_ridge_line, curhe, cur_ridge_type);
+              if ( ! is_border_edge(curhe,P) ) f = face(opposite(curhe,P),P);
+              else break;
+            }
+          //exit from the while if
+          //1. border or already visited (this is a ridge loop)
+          //2. not same type, then do not set visisted cause a MAX_ELLIPTIC_RIDGE
+          //          follows a MAX_HYPERBOLIC_RIDGE
+        }
 
       //next triangle adjacent to h2 (push_back)
-      if ( ! is_border_edge(h2,P) ) 
-	{
-	  f = face(opposite(h2,P),P);
-	  curhe = h2;
-	  while (cur_ridge_type ==
-		 facet_ridge_type(f,curhe1,curhe2,r_type))
-	    {
-	      //follow the ridge from curhe
-	      if (is_visited_map.find(f)->second) break;
-	      is_visited_map.find(f)->second = true;
-	      if (opposite(curhe,P) == curhe1) curhe = curhe2;
-	      else curhe = curhe1;
-	      addback(cur_ridge_line, curhe, cur_ridge_type);
-	      if ( ! is_border_edge(curhe,P) ) f = face(opposite(curhe,P),P);
-	      else break;
-	    }
-	} 
+      if ( ! is_border_edge(h2,P) )
+        {
+          f = face(opposite(h2,P),P);
+          curhe = h2;
+          while (cur_ridge_type ==
+                 facet_ridge_type(f,curhe1,curhe2,r_type))
+            {
+              //follow the ridge from curhe
+              if (is_visited_map.find(f)->second) break;
+              is_visited_map.find(f)->second = true;
+              if (opposite(curhe,P) == curhe1) curhe = curhe2;
+              else curhe = curhe1;
+              addback(cur_ridge_line, curhe, cur_ridge_type);
+              if ( ! is_border_edge(curhe,P) ) f = face(opposite(curhe,P),P);
+              else break;
+            }
+        }
     }
   return ridge_lines_it;
 }
 
 
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
-           class VertexVectorMap > 
+           class VertexVectorMap >
 Ridge_type
 Ridge_approximation< TriangleMesh, VertexFTMap , VertexVectorMap  >::
 facet_ridge_type(const face_descriptor f, halfedge_descriptor& he1, halfedge_descriptor&
-		 he2, Ridge_interrogation_type r_type)
+                 he2, Ridge_interrogation_type r_type)
 {
   //polyhedral data
   //we have v1--h1-->v2--h2-->v3--h3-->v1
@@ -497,32 +497,32 @@ facet_ridge_type(const face_descriptor f
 
   //check for regular facet
   //i.e. if there is a coherent orientation of ppal dir at the facet vertices
-  if ( get(d1,v1)*get(d1,v2) * get(d1,v1)*get(d1,v3) * get(d1,v2)*get(d1,v3) < 0 ) 
+  if ( get(d1,v1)*get(d1,v2) * get(d1,v1)*get(d1,v3) * get(d1,v2)*get(d1,v3) < 0 )
     return NO_RIDGE;
-   
+
   //determine potential crest color
   //MAX_CREST_RIDGE if |sum(k1)|>|sum(k2)| sum over facet vertices vi
   //MIN_CREST_RIDGE if |sum(k1)|<|sum(k2)|
   Ridge_type crest_color = NO_RIDGE;
-  if (r_type == CREST_RIDGE) 
+  if (r_type == CREST_RIDGE)
     {
-      if ( CGAL::abs(get(k1,v1)+get(k1,v2)+get(k1,v3)) > CGAL::abs(get(k2, v1)+get(k2,v2)+get(k2,v3)) ) 
-	crest_color = MAX_CREST_RIDGE; 
-      if ( CGAL::abs(get(k1,v1)+get(k1,v2)+get(k1,v3)) < CGAL::abs(get(k2,v1)+get(k2,v2)+get(k2,v3)) ) 
-	crest_color = MIN_CREST_RIDGE;
-      if ( CGAL::abs(get(k1,v1)+get(k1,v2)+get(k1,v3)) == CGAL::abs(get(k2,v1)+get(k2,v2)+get(k2,v3)) ) 
-	return NO_RIDGE;
+      if ( CGAL::abs(get(k1,v1)+get(k1,v2)+get(k1,v3)) > CGAL::abs(get(k2, v1)+get(k2,v2)+get(k2,v3)) )
+        crest_color = MAX_CREST_RIDGE;
+      if ( CGAL::abs(get(k1,v1)+get(k1,v2)+get(k1,v3)) < CGAL::abs(get(k2,v1)+get(k2,v2)+get(k2,v3)) )
+        crest_color = MIN_CREST_RIDGE;
+      if ( CGAL::abs(get(k1,v1)+get(k1,v2)+get(k1,v3)) == CGAL::abs(get(k2,v1)+get(k2,v2)+get(k2,v3)) )
+        return NO_RIDGE;
     }
-  
+
   //compute Xing on the 3 edges
   bool h1_is_crossed = false, h2_is_crossed = false, h3_is_crossed = false;
-  if ( r_type == MAX_RIDGE || crest_color == MAX_CREST_RIDGE ) 
+  if ( r_type == MAX_RIDGE || crest_color == MAX_CREST_RIDGE )
     {
       xing_on_edge(h1, h1_is_crossed, MAX_RIDGE);
       xing_on_edge(h2, h2_is_crossed, MAX_RIDGE);
       xing_on_edge(h3, h3_is_crossed, MAX_RIDGE);
     }
-  if ( r_type == MIN_RIDGE || crest_color == MIN_CREST_RIDGE ) 
+  if ( r_type == MIN_RIDGE || crest_color == MIN_CREST_RIDGE )
     {
       xing_on_edge(h1, h1_is_crossed, MIN_RIDGE);
       xing_on_edge(h2, h2_is_crossed, MIN_RIDGE);
@@ -530,51 +530,51 @@ facet_ridge_type(const face_descriptor f
     }
 
   //there are either 0 or 2 crossed edges
-  if ( !h1_is_crossed && !h2_is_crossed && !h3_is_crossed ) 
-    return NO_RIDGE; 
+  if ( !h1_is_crossed && !h2_is_crossed && !h3_is_crossed )
+    return NO_RIDGE;
   if (h1_is_crossed && h2_is_crossed && !h3_is_crossed)
     {
-      he1 = h1; 
+      he1 = h1;
       he2 = h2;
     }
   if (h1_is_crossed && !h2_is_crossed && h3_is_crossed)
     {
-      he1 = h1; 
+      he1 = h1;
       he2 = h3;
     }
   if (!h1_is_crossed && h2_is_crossed && h3_is_crossed)
     {
-      he1 = h2; 
+      he1 = h2;
       he2 = h3;
     }
   //check there is no other case (just one edge crossed)
   CGAL_postcondition ( !( (h1_is_crossed && !h2_is_crossed && !h3_is_crossed)
-			  || (!h1_is_crossed && h2_is_crossed && !h3_is_crossed)
-			  || (!h1_is_crossed && !h2_is_crossed && h3_is_crossed)) );
+                          || (!h1_is_crossed && h2_is_crossed && !h3_is_crossed)
+                          || (!h1_is_crossed && !h2_is_crossed && h3_is_crossed)) );
 
   //There is a ridge segment in the triangle, determine its type elliptic/hyperbolic
-  bool is_elliptic;  
-  if ( r_type == MAX_RIDGE || crest_color == MAX_CREST_RIDGE ) 
+  bool is_elliptic;
+  if ( r_type == MAX_RIDGE || crest_color == MAX_CREST_RIDGE )
     is_elliptic = tag_as_elliptic_hyperbolic(MAX_RIDGE, he1, he2);
   else is_elliptic = tag_as_elliptic_hyperbolic(MIN_RIDGE, he1, he2);
-  
-  if (r_type == MAX_RIDGE) 
+
+  if (r_type == MAX_RIDGE)
     {if (is_elliptic) return MAX_ELLIPTIC_RIDGE;
     else return MAX_HYPERBOLIC_RIDGE; }
   if (crest_color == MAX_CREST_RIDGE && is_elliptic) return MAX_CREST_RIDGE;
 
-  if (r_type == MIN_RIDGE) 
+  if (r_type == MIN_RIDGE)
     {if (is_elliptic) return MIN_ELLIPTIC_RIDGE;
     else return MIN_HYPERBOLIC_RIDGE; }
   if (crest_color == MIN_CREST_RIDGE && is_elliptic) return MIN_CREST_RIDGE;
-  
+
   return NO_RIDGE;
 }
 
 
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
-           class VertexVectorMap > 
+           class VertexVectorMap >
 void
 Ridge_approximation< TriangleMesh, VertexFTMap , VertexVectorMap  >::
 xing_on_edge(const halfedge_descriptor he, bool& is_crossed, Ridge_interrogation_type color)
@@ -588,7 +588,7 @@ xing_on_edge(const halfedge_descriptor h
     b_p = get(b0,target(opposite(he,P),P));
     b_q = get(b0,target(he,P));
   }
-  else {     
+  else {
     b_p = get(b3,target(opposite(he,P),P));
     b_q = get(b3,target(he,P));
   }
@@ -600,68 +600,68 @@ xing_on_edge(const halfedge_descriptor h
 }
 
 
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
-           class VertexVectorMap > 
-bool 
+           class VertexVectorMap >
+bool
 Ridge_approximation< TriangleMesh, VertexFTMap , VertexVectorMap  >::
 tag_as_elliptic_hyperbolic(const Ridge_interrogation_type color,
-                           const halfedge_descriptor he1, 
+                           const halfedge_descriptor he1,
                            const halfedge_descriptor he2)
 {
   const vertex_descriptor v_p1 = target(opposite(he1,P),P), v_q1 = target(he1,P),
     v_p2 = target(opposite(he2,P),P), v_q2 = target(he2,P); // hei: pi->qi
 
   FT coord1, coord2;
-  if (color == MAX_RIDGE) 
+  if (color == MAX_RIDGE)
     {
       coord1 = CGAL::abs(get(b0,v_q1)) / ( CGAL::abs(get(b0,v_p1)) + CGAL::abs(get(b0,v_q1)) );
-      coord2 = CGAL::abs(get(b0,v_q2)) / ( CGAL::abs(get(b0,v_p2)) + CGAL::abs(get(b0,v_q2)) ); 
+      coord2 = CGAL::abs(get(b0,v_q2)) / ( CGAL::abs(get(b0,v_p2)) + CGAL::abs(get(b0,v_q2)) );
     }
-  else 
+  else
     {
       coord1 = CGAL::abs(get(b3,v_q1)) / ( CGAL::abs(get(b3,v_p1)) + CGAL::abs(get(b3,v_q1)) );
-      coord2 = CGAL::abs(get(b3,v_q2)) / ( CGAL::abs(get(b3,v_p2)) + CGAL::abs(get(b3,v_q2)) ); 
+      coord2 = CGAL::abs(get(b3,v_q2)) / ( CGAL::abs(get(b3,v_p2)) + CGAL::abs(get(b3,v_q2)) );
     }
 
   if ( tag_order == Ridge_order_3 ) {
     Vector_3 r1 = CGAL::barycenter(get(vpm, v_p1), coord1, get(vpm, v_q1)) - ORIGIN,
-             r2 = CGAL::barycenter(get(vpm,v_p2), coord2, get(vpm,v_q2)) - ORIGIN; 
+             r2 = CGAL::barycenter(get(vpm,v_p2), coord2, get(vpm,v_q2)) - ORIGIN;
     //identify the 3 different vertices v_p1, v_q1 and v3 = v_p2 or v_q2
     vertex_descriptor v3;
     if (v_p2 == v_p1 || v_p2 == v_q1) v3 = v_q2;
     else v3 = v_p2;
 
-    int b_sign = b_sign_pointing_to_ridge(v_p1, v_q1, v3, r1, r2, color); 
+    int b_sign = b_sign_pointing_to_ridge(v_p1, v_q1, v3, r1, r2, color);
 
-    if (color == MAX_RIDGE) 
-      if (b_sign == 1) return true; 
+    if (color == MAX_RIDGE)
+      if (b_sign == 1) return true;
       else return false;
-    else if (b_sign == -1) return true; 
+    else if (b_sign == -1) return true;
       else return false;
   }
   else {//tag_order == Ridge_order_4, check the sign of the meanvalue of the signs
     //      of Pi at the two crossing points
     FT sign_P;
-    if (color == MAX_RIDGE) 
+    if (color == MAX_RIDGE)
       sign_P =  get(P1,v_p1)*coord1 + get(P1,v_q1)*(1-coord1)
-	+ get(P1,v_p2)*coord2 + get(P1,v_q2)*(1-coord2);
-    else sign_P =  get(P2,v_p1)*coord1 + get(P2,v_q1)*(1-coord1) 
-	+ get(P2,v_p2)*coord2 + get(P2,v_q2)*(1-coord2);
+        + get(P1,v_p2)*coord2 + get(P1,v_q2)*(1-coord2);
+    else sign_P =  get(P2,v_p1)*coord1 + get(P2,v_q1)*(1-coord1)
+        + get(P2,v_p2)*coord2 + get(P2,v_q2)*(1-coord2);
 
     if ( sign_P < 0 ) return true; else return false;
   }
 }
 
 
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
-           class VertexVectorMap > 
+           class VertexVectorMap >
 int Ridge_approximation< TriangleMesh, VertexFTMap , VertexVectorMap  >::
-b_sign_pointing_to_ridge(const vertex_descriptor v1, 
+b_sign_pointing_to_ridge(const vertex_descriptor v1,
                          const vertex_descriptor v2,
                          const vertex_descriptor v3,
-                         const Vector_3 r1, const Vector_3 r2, 
+                         const Vector_3 r1, const Vector_3 r2,
                          const Ridge_interrogation_type color)
 {
   Vector_3 r = r2 - r1, dv1, dv2, dv3;
@@ -680,31 +680,31 @@ b_sign_pointing_to_ridge(const vertex_de
     bv3 = get(b3,v3);
     dv1 = get(d2,v1);
     dv2 = get(d2,v2);
-    dv3 = get(d2,v3);    
+    dv3 = get(d2,v3);
   }
   if ( r != CGAL::NULL_VECTOR ) r = r/CGAL::sqrt(r*r);
   FT sign1, sign2, sign3;
   sign1 = bv1*(r1 - (get(vpm, v1)-ORIGIN) + (((get(vpm, v1)-ORIGIN)-r1)*r)*r )*dv1;
   sign2 = bv2*(r1 - (get(vpm, v2)-ORIGIN) + (((get(vpm, v2)-ORIGIN)-r1)*r)*r )*dv2;
   sign3 = bv3*(r1 - (get(vpm, v3)-ORIGIN) + (((get(vpm, v3)-ORIGIN)-r1)*r)*r )*dv3;
-  
+
   int compt = 0;
   if ( sign1 > 0 ) compt++; else if (sign1 < 0) compt--;
   if ( sign2 > 0 ) compt++; else if (sign2 < 0) compt--;
   if ( sign3 > 0 ) compt++; else if (sign3 < 0) compt--;
-  
+
   if (compt > 0) return 1; else return -1;
 }
 
 
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
-           class VertexVectorMap > 
+           class VertexVectorMap >
 void Ridge_approximation< TriangleMesh, VertexFTMap , VertexVectorMap  >::
-init_ridge_line(Ridge_line* ridge_line, 
-		const halfedge_descriptor h1, 
-		const halfedge_descriptor h2, 
-		const Ridge_type r_type)
+init_ridge_line(Ridge_line* ridge_line,
+                const halfedge_descriptor h1,
+                const halfedge_descriptor h2,
+                const Ridge_type r_type)
 {
   ridge_line->line_type() = r_type;
   ridge_line->line()->push_back(Ridge_halfedge(h1, bary_coord(h1,r_type)));
@@ -712,12 +712,12 @@ init_ridge_line(Ridge_line* ridge_line,
 }
 
 
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
-           class VertexVectorMap > 
+           class VertexVectorMap >
 void Ridge_approximation< TriangleMesh, VertexFTMap , VertexVectorMap  >::
 addback(Ridge_line* ridge_line, const halfedge_descriptor he,
-	const Ridge_type r_type)
+        const Ridge_type r_type)
 {
   halfedge_descriptor he_cur = ( --(ridge_line->line()->end()) )->first;
   FT coord_cur = ( --(ridge_line->line()->end()) )->second;//bary_coord(he_cur);
@@ -730,38 +730,38 @@ addback(Ridge_line* ridge_line, const ha
   FT k1x, k2x; //abs value of the ppal curvatures at the Xing point on he.
   FT k_second = 0; // abs value of the second derivative of the curvature
                // along the line of curvature
-  k1x = CGAL::abs(get(k1,v_p)) * coord + CGAL::abs(get(k1,v_q)) * (1-coord) ;   
-  k2x = CGAL::abs(get(k2,v_p)) * coord + CGAL::abs(get(k2,v_q)) * (1-coord) ;   
+  k1x = CGAL::abs(get(k1,v_p)) * coord + CGAL::abs(get(k1,v_q)) * (1-coord) ;
+  k2x = CGAL::abs(get(k2,v_p)) * coord + CGAL::abs(get(k2,v_q)) * (1-coord) ;
 
-  if ( (ridge_line->line_type() == MAX_ELLIPTIC_RIDGE) 
-       || (ridge_line->line_type() == MAX_HYPERBOLIC_RIDGE) 
+  if ( (ridge_line->line_type() == MAX_ELLIPTIC_RIDGE)
+       || (ridge_line->line_type() == MAX_HYPERBOLIC_RIDGE)
        || (ridge_line->line_type() == MAX_CREST_RIDGE) ) {
-    ridge_line->strength() += k1x * CGAL::sqrt(segment * segment); 
-    if (tag_order == Ridge_order_4) { 
-      if (k1x != k2x) 
-	k_second =CGAL::abs(( CGAL::abs(get(P1,v_p)) * coord + CGAL::abs(get(P1,v_q)) * (1-coord) )/(k1x-k2x));
+    ridge_line->strength() += k1x * CGAL::sqrt(segment * segment);
+    if (tag_order == Ridge_order_4) {
+      if (k1x != k2x)
+        k_second =CGAL::abs(( CGAL::abs(get(P1,v_p)) * coord + CGAL::abs(get(P1,v_q)) * (1-coord) )/(k1x-k2x));
       ridge_line->sharpness() += k_second * CGAL::sqrt(segment * segment) * squared_model_size; }
   }
-  if ( (ridge_line->line_type() == MIN_ELLIPTIC_RIDGE) 
-       || (ridge_line->line_type() == MIN_HYPERBOLIC_RIDGE) 
+  if ( (ridge_line->line_type() == MIN_ELLIPTIC_RIDGE)
+       || (ridge_line->line_type() == MIN_HYPERBOLIC_RIDGE)
        || (ridge_line->line_type() == MIN_CREST_RIDGE) ) {
-   ridge_line->strength() += k2x * CGAL::sqrt(segment * segment); 
+   ridge_line->strength() += k2x * CGAL::sqrt(segment * segment);
    if (tag_order == Ridge_order_4) {
-     if (k1x != k2x) 
+     if (k1x != k2x)
        k_second =CGAL::abs(( CGAL::abs(get(P2,v_p)) * coord + CGAL::abs(get(P2,v_q)) * (1-coord) )/(k1x-k2x));
      ridge_line->sharpness() += k_second * CGAL::sqrt(segment * segment) * squared_model_size; }
-   } 
+   }
   ridge_line->line()->push_back( Ridge_halfedge(he, coord));
 }
 
 
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
-           class VertexVectorMap > 
+           class VertexVectorMap >
 void Ridge_approximation< TriangleMesh, VertexFTMap , VertexVectorMap  >::
-addfront(Ridge_line* ridge_line, 
-	 const halfedge_descriptor he, 
-	 const Ridge_type r_type)
+addfront(Ridge_line* ridge_line,
+         const halfedge_descriptor he,
+         const Ridge_type r_type)
 {
   halfedge_descriptor he_cur = ( ridge_line->line()->begin() )->first;
   FT coord_cur = ( ridge_line->line()->begin() )->second;
@@ -774,47 +774,47 @@ addfront(Ridge_line* ridge_line,
   FT k1x, k2x; //abs value of the ppal curvatures at the Xing point on he.
   FT k_second = 0.; // abs value of the second derivative of the curvature
                // along the line of curvature
-  k1x = CGAL::abs(get(k1,v_p)) * coord + CGAL::abs(get(k1,v_q)) * (1-coord) ;   
-  k2x = CGAL::abs(get(k2,v_p)) * coord + CGAL::abs(get(k2,v_q)) * (1-coord) ;   
+  k1x = CGAL::abs(get(k1,v_p)) * coord + CGAL::abs(get(k1,v_q)) * (1-coord) ;
+  k2x = CGAL::abs(get(k2,v_p)) * coord + CGAL::abs(get(k2,v_q)) * (1-coord) ;
 
-  if ( (ridge_line->line_type() == MAX_ELLIPTIC_RIDGE) 
-       || (ridge_line->line_type() == MAX_HYPERBOLIC_RIDGE) 
+  if ( (ridge_line->line_type() == MAX_ELLIPTIC_RIDGE)
+       || (ridge_line->line_type() == MAX_HYPERBOLIC_RIDGE)
        || (ridge_line->line_type() == MAX_CREST_RIDGE) ) {
-    ridge_line->strength() += k1x * CGAL::sqrt(segment * segment); 
+    ridge_line->strength() += k1x * CGAL::sqrt(segment * segment);
    if (tag_order == Ridge_order_4) {
-     if (k1x != k2x) 
+     if (k1x != k2x)
        k_second =CGAL::abs(( CGAL::abs(get(P1,v_p)) * coord + CGAL::abs(get(P1,v_q)) * (1-coord) )/(k1x-k2x));
      ridge_line->sharpness() += k_second * CGAL::sqrt(segment * segment) * squared_model_size; }
   }
-  if ( (ridge_line->line_type() == MIN_ELLIPTIC_RIDGE) 
-       || (ridge_line->line_type() == MIN_HYPERBOLIC_RIDGE) 
+  if ( (ridge_line->line_type() == MIN_ELLIPTIC_RIDGE)
+       || (ridge_line->line_type() == MIN_HYPERBOLIC_RIDGE)
        || (ridge_line->line_type() == MIN_CREST_RIDGE) ) {
-   ridge_line->strength() += k2x * CGAL::sqrt(segment * segment); 
+   ridge_line->strength() += k2x * CGAL::sqrt(segment * segment);
    if (tag_order == Ridge_order_4) {
-     if (k1x != k2x) 
+     if (k1x != k2x)
        k_second =CGAL::abs(( CGAL::abs(get(P2,v_p)) * coord + CGAL::abs(get(P2,v_q)) * (1-coord) )/(k1x-k2x));
      ridge_line->sharpness() += k_second * CGAL::sqrt(segment * segment) * squared_model_size; }
-   } 
+   }
   ridge_line->line()->push_front( Ridge_halfedge(he, coord));
 }
 
 
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
-           class VertexVectorMap > 
-typename Ridge_approximation< TriangleMesh, VertexFTMap , VertexVectorMap>::FT 
+           class VertexVectorMap >
+typename Ridge_approximation< TriangleMesh, VertexFTMap , VertexVectorMap>::FT
 Ridge_approximation< TriangleMesh, VertexFTMap , VertexVectorMap>::
 bary_coord(const halfedge_descriptor he, const Ridge_type r_type)
 {
   FT b_p = 0., b_q = 0.; // extremalities at p and q for he: p->q
-  if ( (r_type == MAX_ELLIPTIC_RIDGE) 
-       || (r_type == MAX_HYPERBOLIC_RIDGE) 
+  if ( (r_type == MAX_ELLIPTIC_RIDGE)
+       || (r_type == MAX_HYPERBOLIC_RIDGE)
        || (r_type == MAX_CREST_RIDGE) ) {
     b_p = get(b0,target(opposite(he,P),P));
     b_q = get(b0,target(he,P));
   }
-  if ( (r_type == MIN_ELLIPTIC_RIDGE) 
-       || (r_type == MIN_HYPERBOLIC_RIDGE) 
+  if ( (r_type == MIN_ELLIPTIC_RIDGE)
+       || (r_type == MIN_HYPERBOLIC_RIDGE)
        || (r_type == MIN_CREST_RIDGE) ) {
     b_p = get(b3,target(opposite(he,P),P));
     b_q = get(b3,target(he,P));
@@ -822,92 +822,92 @@ bary_coord(const halfedge_descriptor he,
   //denominator cannot be 0 since there is no crossing when both extremalities are 0
   return CGAL::abs(b_q) / ( CGAL::abs(b_q) + CGAL::abs(b_p) );
 }
-  
+
 
 //---------------------------------------------------------------------------
 //Global functions
 //--------------------------------------------------------------------------
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
            class VertexVectorMap,
            class OutputIterator>
 OutputIterator compute_max_ridges(const TriangleMesh &P,
-                                  const VertexFTMap& vertex2k1_pm, 
+                                  const VertexFTMap& vertex2k1_pm,
                                   const VertexFTMap& vertex2k2_pm,
-                                  const VertexFTMap& vertex2b0_pm, 
+                                  const VertexFTMap& vertex2b0_pm,
                                   const VertexFTMap& vertex2b3_pm,
-                                  const VertexVectorMap& vertex2d1_pm, 
+                                  const VertexVectorMap& vertex2d1_pm,
                                   const VertexVectorMap& vertex2d2_pm,
-                                  const VertexFTMap& vertex2P1_pm, 
+                                  const VertexFTMap& vertex2P1_pm,
                                   const VertexFTMap& vertex2P2_pm,
-                                  OutputIterator it, 
+                                  OutputIterator it,
                                   Ridge_order order = Ridge_order_3)
 {
-  typedef Ridge_approximation < TriangleMesh, 
+  typedef Ridge_approximation < TriangleMesh,
                                 VertexFTMap, VertexVectorMap > Ridge_approximation;
-  
-  Ridge_approximation ridge_approximation(P, 
-					  vertex2k1_pm, vertex2k2_pm,
-					  vertex2b0_pm, vertex2b3_pm,
-					  vertex2d1_pm, vertex2d2_pm,
-					  vertex2P1_pm, vertex2P2_pm );
-  return ridge_approximation.compute_max_ridges(it, order);  
+
+  Ridge_approximation ridge_approximation(P,
+                                          vertex2k1_pm, vertex2k2_pm,
+                                          vertex2b0_pm, vertex2b3_pm,
+                                          vertex2d1_pm, vertex2d2_pm,
+                                          vertex2P1_pm, vertex2P2_pm );
+  return ridge_approximation.compute_max_ridges(it, order);
 }
 
 
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
            class VertexVectorMap,
            class OutputIterator>
 OutputIterator compute_min_ridges(const TriangleMesh &P,
-                                  const VertexFTMap& vertex2k1_pm, 
+                                  const VertexFTMap& vertex2k1_pm,
                                   const VertexFTMap& vertex2k2_pm,
-                                  const VertexFTMap& vertex2b0_pm, 
+                                  const VertexFTMap& vertex2b0_pm,
                                   const VertexFTMap& vertex2b3_pm,
-                                  const VertexVectorMap& vertex2d1_pm, 
+                                  const VertexVectorMap& vertex2d1_pm,
                                   const VertexVectorMap& vertex2d2_pm,
-                                  const VertexFTMap& vertex2P1_pm, 
+                                  const VertexFTMap& vertex2P1_pm,
                                   const VertexFTMap& vertex2P2_pm,
-                                  OutputIterator it, 
+                                  OutputIterator it,
                                   Ridge_order order = Ridge_order_3)
 {
-  typedef Ridge_approximation < TriangleMesh, 
+  typedef Ridge_approximation < TriangleMesh,
                                 VertexFTMap, VertexVectorMap > Ridge_approximation;
-  
-  Ridge_approximation ridge_approximation(P, 
-					  vertex2k1_pm, vertex2k2_pm,
-					  vertex2b0_pm, vertex2b3_pm,
-					  vertex2d1_pm, vertex2d2_pm,
-					  vertex2P1_pm, vertex2P2_pm );
-  return ridge_approximation.compute_min_ridges(it, order);  
+
+  Ridge_approximation ridge_approximation(P,
+                                          vertex2k1_pm, vertex2k2_pm,
+                                          vertex2b0_pm, vertex2b3_pm,
+                                          vertex2d1_pm, vertex2d2_pm,
+                                          vertex2P1_pm, vertex2P2_pm );
+  return ridge_approximation.compute_min_ridges(it, order);
 }
 
 
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
            class VertexVectorMap,
            class OutputIterator>
 OutputIterator compute_crest_ridges(const TriangleMesh &P,
-				    const VertexFTMap& vertex2k1_pm, 
-				    const VertexFTMap& vertex2k2_pm,
-				    const VertexFTMap& vertex2b0_pm, 
-				    const VertexFTMap& vertex2b3_pm,
-				    const VertexVectorMap& vertex2d1_pm, 
-				    const VertexVectorMap& vertex2d2_pm,
-				    const VertexFTMap& vertex2P1_pm, 
-				    const VertexFTMap& vertex2P2_pm,
-				    OutputIterator it, 
-				    Ridge_order order = Ridge_order_3)
+                                    const VertexFTMap& vertex2k1_pm,
+                                    const VertexFTMap& vertex2k2_pm,
+                                    const VertexFTMap& vertex2b0_pm,
+                                    const VertexFTMap& vertex2b3_pm,
+                                    const VertexVectorMap& vertex2d1_pm,
+                                    const VertexVectorMap& vertex2d2_pm,
+                                    const VertexFTMap& vertex2P1_pm,
+                                    const VertexFTMap& vertex2P2_pm,
+                                    OutputIterator it,
+                                    Ridge_order order = Ridge_order_3)
 {
-  typedef Ridge_approximation < TriangleMesh, 
+  typedef Ridge_approximation < TriangleMesh,
                                 VertexFTMap, VertexVectorMap > Ridge_approximation;
-  
-  Ridge_approximation ridge_approximation(P, 
-					  vertex2k1_pm, vertex2k2_pm,
-					  vertex2b0_pm, vertex2b3_pm,
-					  vertex2d1_pm, vertex2d2_pm,
-					  vertex2P1_pm, vertex2P2_pm );
-  return ridge_approximation.compute_crest_ridges(it, order);  
+
+  Ridge_approximation ridge_approximation(P,
+                                          vertex2k1_pm, vertex2k2_pm,
+                                          vertex2b0_pm, vertex2b3_pm,
+                                          vertex2d1_pm, vertex2d2_pm,
+                                          vertex2P1_pm, vertex2P2_pm );
+  return ridge_approximation.compute_crest_ridges(it, order);
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Rigid_triangle_mesh_collision_detection.h 5.0.3-1/include/CGAL/Rigid_triangle_mesh_collision_detection.h
--- 5.0.2-3/include/CGAL/Rigid_triangle_mesh_collision_detection.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Rigid_triangle_mesh_collision_detection.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Rigid_triangle_mesh_collision_detection.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Rigid_triangle_mesh_collision_detection.h $
 // $Id: Rigid_triangle_mesh_collision_detection.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Robust_circumcenter_filtered_traits_3.h 5.0.3-1/include/CGAL/Robust_circumcenter_filtered_traits_3.h
--- 5.0.2-3/include/CGAL/Robust_circumcenter_filtered_traits_3.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Robust_circumcenter_filtered_traits_3.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Poisson_surface_reconstruction_3/include/CGAL/Robust_circumcenter_filtered_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Poisson_surface_reconstruction_3/include/CGAL/Robust_circumcenter_filtered_traits_3.h $
 // $Id: Robust_circumcenter_filtered_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Robust_circumcenter_traits_3.h 5.0.3-1/include/CGAL/Robust_circumcenter_traits_3.h
--- 5.0.2-3/include/CGAL/Robust_circumcenter_traits_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Robust_circumcenter_traits_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Robust_circumcenter_traits_3.h $
-// $Id: Robust_circumcenter_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Robust_circumcenter_traits_3.h $
+// $Id: Robust_circumcenter_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -42,12 +42,12 @@ public:
 
   typedef Cartesian_converter<typename K::Kernel, EK>  To_exact;
   typedef Cartesian_converter<EK, typename K::Kernel>  Back_from_exact;
-  
+
 
   Bare_point operator() ( const Weighted_point_3 & p,
-			  const Weighted_point_3 & q,
-			  const Weighted_point_3 & r,
-			  const Weighted_point_3 & s) const
+                          const Weighted_point_3 & q,
+                          const Weighted_point_3 & r,
+                          const Weighted_point_3 & s) const
   {
     To_exact to_exact;
     Back_from_exact back_from_exact;
@@ -55,14 +55,14 @@ public:
       exact_weighted_circumcenter = EK().construct_weighted_circumcenter_3_object();
 
     return back_from_exact(exact_weighted_circumcenter(to_exact(p),
-						       to_exact(q),
-						       to_exact(r),
-						       to_exact(s)));
+                                                       to_exact(q),
+                                                       to_exact(r),
+                                                       to_exact(s)));
   }
 
   Bare_point operator() ( const Weighted_point_3 & p,
-			  const Weighted_point_3 & q,
-			  const Weighted_point_3 & r) const
+                          const Weighted_point_3 & q,
+                          const Weighted_point_3 & r) const
   {
     To_exact to_exact;
     Back_from_exact back_from_exact;
@@ -70,12 +70,12 @@ public:
       exact_weighted_circumcenter = EK().construct_weighted_circumcenter_3_object();
 
     return back_from_exact(exact_weighted_circumcenter(to_exact(p),
-						       to_exact(q),
-						       to_exact(r)));
+                                                       to_exact(q),
+                                                       to_exact(r)));
   }
 
   Bare_point operator() ( const Weighted_point_3 & p,
-			  const Weighted_point_3 & q) const
+                          const Weighted_point_3 & q) const
   {
     To_exact to_exact;
     Back_from_exact Back_from_exact;
@@ -83,7 +83,7 @@ public:
       exact_weighted_circumcenter = EK().construct_weighted_circumcenter_3_object();
 
     return back_from_exact(exact_weighted_circumcenter(to_exact(p),
-						       to_exact(q)));
+                                                       to_exact(q)));
   }
 };
 
@@ -94,13 +94,13 @@ class Robust_circumcenter_traits_3
   typedef Exact_predicates_exact_constructions_kernel EK;
  public:
   typedef CGAL::Robust_construction<EK::Construct_circumcenter_3,
-	                            Cartesian_converter<K, EK>,
-				    Cartesian_converter<EK, K>,
-				    typename K::Point_3 >   Construct_circumcenter_3;
+                                    Cartesian_converter<K, EK>,
+                                    Cartesian_converter<EK, K>,
+                                    typename K::Point_3 >   Construct_circumcenter_3;
   typedef CGAL::Robust_construction<EK::Compute_squared_radius_3,
-	                            Cartesian_converter<K, EK>,
-				    Cartesian_converter<EK, K>,
-				    typename K::FT >        Compute_squared_radius_3;
+                                    Cartesian_converter<K, EK>,
+                                    Cartesian_converter<EK, K>,
+                                    typename K::FT >        Compute_squared_radius_3;
 
   Construct_circumcenter_3
   construct_circumcenter_3_object() const
diff -pruN 5.0.2-3/include/CGAL/Robust_construction.h 5.0.3-1/include/CGAL/Robust_construction.h
--- 5.0.2-3/include/CGAL/Robust_construction.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Robust_construction.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/Robust_construction.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/Robust_construction.h $
 // $Id: Robust_construction.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Robust_weighted_circumcenter_filtered_traits_3.h 5.0.3-1/include/CGAL/Robust_weighted_circumcenter_filtered_traits_3.h
--- 5.0.2-3/include/CGAL/Robust_weighted_circumcenter_filtered_traits_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Robust_weighted_circumcenter_filtered_traits_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Robust_weighted_circumcenter_filtered_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Robust_weighted_circumcenter_filtered_traits_3.h $
 // $Id: Robust_weighted_circumcenter_filtered_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Root_for_circles_2_2.h 5.0.3-1/include/CGAL/Root_for_circles_2_2.h
--- 5.0.2-3/include/CGAL/Root_for_circles_2_2.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Root_for_circles_2_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_circles/include/CGAL/Root_for_circles_2_2.h $
-// $Id: Root_for_circles_2_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_circles/include/CGAL/Root_for_circles_2_2.h $
+// $Id: Root_for_circles_2_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_ALGEBRAIC_KERNEL_FOR_CIRCLES_ROOT_FOR_CIRCLES_2_2_H
@@ -39,46 +39,46 @@ class Root_for_circles_2_2 {
   private:
     Handle_for<Root_of_2> x_;
     Handle_for<Root_of_2> y_;
-    
+
   public:
   Root_for_circles_2_2(){}
-  
+
   Root_for_circles_2_2(const Root_of_2& r1, const Root_of_2& r2)
     : x_(r1), y_(r2)
   {
     // When it is an interval this assertion dont compile
-    //CGAL_assertion((r1.is_rational() || r2.is_rational()) || 
+    //CGAL_assertion((r1.is_rational() || r2.is_rational()) ||
     //               (r1.gamma() == r2.gamma()));
   }
 
-  const Root_of_2& x() const 
+  const Root_of_2& x() const
   { return get_pointee_or_identity(x_); }
-    
-  const Root_of_2& y() const 
+
+  const Root_of_2& y() const
   { return get_pointee_or_identity(y_); }
 
   CGAL::Bbox_2 bbox() const
   {
-    CGAL::Interval_nt<> 
+    CGAL::Interval_nt<>
      ix=to_interval(x()),
      iy=to_interval(y());
     return CGAL::Bbox_2(ix.inf(),iy.inf(),
-	                ix.sup(),iy.sup());
+                        ix.sup(),iy.sup());
     /*
       const Root_of_2 &ox = x();
       const Root_of_2 &oy = y();
 
       if(ox.is_rational() || oy.is_rational()) {
-        CGAL::Interval_nt<> 
+        CGAL::Interval_nt<>
           ix=to_interval(ox),
           iy=to_interval(oy);
         return CGAL::Bbox_2(ix.inf(),iy.inf(),
-	                ix.sup(),iy.sup());
+                        ix.sup(),iy.sup());
       }
 
       // delta must be the same
       // WE HAVE TO TEST THE EXECUTION TIME
-      // IT STILL NOT POSSIBLE BECAUSE OF THE 
+      // IT STILL NOT POSSIBLE BECAUSE OF THE
       // PROBLEM ON THE ARRANGEMENT
       // (it is very likely to make it better with this changing)
       const CGAL::Interval_nt<true> alpha1 = to_interval(ox.alpha());
@@ -90,23 +90,23 @@ class Root_for_circles_2_2 {
       const CGAL::Interval_nt<true> ix = alpha1 + beta1 * sqrtg;
       const CGAL::Interval_nt<true> iy = alpha2 + beta2 * sqrtg;
       return CGAL::Bbox_2(ix.inf(),iy.inf(),
-	                ix.sup(),iy.sup());
+                        ix.sup(),iy.sup());
     */
   }
 
   template < typename RT >
   friend bool operator == ( const Root_for_circles_2_2<RT>& r1,
-   	                    const Root_for_circles_2_2<RT>& r2 );
+                               const Root_for_circles_2_2<RT>& r2 );
 
 };
-  
+
 template < typename RT >
-bool 
+bool
 operator == ( const Root_for_circles_2_2<RT>& r1,
-	      const Root_for_circles_2_2<RT>& r2 )
+              const Root_for_circles_2_2<RT>& r2 )
 { if (CGAL::identical(r1.x_, r2.x_) && CGAL::identical(r1.y_, r2.y_))
-	  return true;
-  return (r1.x() == r2.x()) && (r1.y() == r2.y()); 
+          return true;
+  return (r1.x() == r2.x()) && (r1.y() == r2.y());
 }
 
 template < typename RT >
@@ -120,7 +120,7 @@ operator>>(std::istream & is, Root_for_c
 {
   typedef typename Root_of_traits< RT >::RootOf_2         Root_of_2;
   Root_of_2 x,y;
-  
+
   is >> x >> y;
   if(is)
     r = Root_for_circles_2_2<RT>(x,y);
diff -pruN 5.0.2-3/include/CGAL/Root_for_spheres_2_3.h 5.0.3-1/include/CGAL/Root_for_spheres_2_3.h
--- 5.0.2-3/include/CGAL/Root_for_spheres_2_3.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Root_for_spheres_2_3.h	2020-08-01 19:02:09.000000000 +0000
@@ -4,13 +4,13 @@
 // This file is part of CGAL (www.cgal.org).
 //
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_for_spheres/include/CGAL/Root_for_spheres_2_3.h $
-// $Id: Root_for_spheres_2_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_for_spheres/include/CGAL/Root_for_spheres_2_3.h $
+// $Id: Root_for_spheres_2_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -48,17 +48,17 @@ class Root_for_spheres_2_3 {
     Root_of_2 x_;
     Root_of_2 y_;
     Root_of_2 z_;
-    
+
   public:
   Root_for_spheres_2_3(){}
-  
-  
+
+
   Root_for_spheres_2_3(const Root_of_2& r1,
-		       const Root_of_2& r2,
-		       const Root_of_2& r3)
+                       const Root_of_2& r2,
+                       const Root_of_2& r3)
     : x_(r1), y_(r2), z_(r3)
   {
-    // This assertion sont work if Root_of_2 is 
+    // This assertion sont work if Root_of_2 is
     // Interval_nt (and dont have is_rational, gamma, etc..)
     /*CGAL_assertion(
                 ((r1.is_rational() && r2.is_rational()) ||
@@ -71,22 +71,22 @@ class Root_for_spheres_2_3 {
     );*/
   }
 
-  const Root_of_2& x() const 
+  const Root_of_2& x() const
   { return x_; }
-    
-  const Root_of_2& y() const 
+
+  const Root_of_2& y() const
   { return y_; }
 
-  const Root_of_2& z() const 
+  const Root_of_2& z() const
   { return z_; }
 
-  // On fait l'evaluation de (x,y,z) pour le plan 
+  // On fait l'evaluation de (x,y,z) pour le plan
   // aX + bY + cZ + d, donne
   const Root_of_2 evaluate(const Polynomial_1_3 &p) const {
     return (p.a() * x()) + (p.b() * y()) + (p.c() * z()) + p.d();
   }
 
-  // On fait l'evaluation de (x,y,z) pour le plan 
+  // On fait l'evaluation de (x,y,z) pour le plan
   // (X-a)^2 + (Y-b)^2 + (Z-c)^2 - r_sq, donne
   const Root_of_2 evaluate(const Polynomial_for_spheres_2_3 &p) const {
     return square(x() - p.a()) +
@@ -100,12 +100,12 @@ class Root_for_spheres_2_3 {
     Root_of_2 t;
     bool already = false;
     if(!is_zero(p.a1())) {
-      t = (x() - p.b1())/p.a1(); 
+      t = (x() - p.b1())/p.a1();
       already = true;
     } else if(p.b1() != x()) return false;
     if(!is_zero(p.a2())) {
       if(!already) {
-        t = (y() - p.b2())/p.a2(); 
+        t = (y() - p.b2())/p.a2();
         already = true;
       }
       else if((p.a2() * t + p.b2()) != y()) return false;
@@ -123,18 +123,18 @@ class Root_for_spheres_2_3 {
     const Root_of_2 &oy = y();
     const Root_of_2 &oz = z();
 
-    CGAL::Interval_nt<> 
+    CGAL::Interval_nt<>
         ix=to_interval(ox),
         iy=to_interval(oy),
         iz=to_interval(oz);
       return CGAL::Bbox_3(ix.inf(),iy.inf(),iz.inf(),
-	                ix.sup(),iy.sup(),iz.sup());
-    /* 
+                        ix.sup(),iy.sup(),iz.sup());
+    /*
     // Note: This is a more efficient version
-    // but it won't work (in the future) 
+    // but it won't work (in the future)
     // with some Lazy_Curved_kernel_3
     // because is_rational(), gamma(), etc.. is not defined
-    // for Interval_nt<false> data type	
+    // for Interval_nt<false> data type
     const Root_of_2 &ox = x();
     const Root_of_2 &oy = y();
     const Root_of_2 &oz = z();
@@ -144,12 +144,12 @@ class Root_for_spheres_2_3 {
     const bool z_rat = oz.is_rational();
 
     if(((x_rat?1:0) + (y_rat?1:0) +(z_rat?1:0)) > 1) {
-      CGAL::Interval_nt<> 
+      CGAL::Interval_nt<>
         ix=to_interval(ox),
         iy=to_interval(oy),
         iz=to_interval(oz);
       return CGAL::Bbox_3(ix.inf(),iy.inf(),iz.inf(),
-	                ix.sup(),iy.sup(),iz.sup());
+                        ix.sup(),iy.sup(),iz.sup());
     }
 
     if(z_rat) {
@@ -163,7 +163,7 @@ class Root_for_spheres_2_3 {
       const CGAL::Interval_nt<true> iy = alpha2 + beta2 * sqrtg;
       const CGAL::Interval_nt<true> iz = to_interval(oz);
       return CGAL::Bbox_3(ix.inf(),iy.inf(),iz.inf(),
-	                ix.sup(),iy.sup(),iz.sup());
+                        ix.sup(),iy.sup(),iz.sup());
     }
 
     if(y_rat) {
@@ -177,7 +177,7 @@ class Root_for_spheres_2_3 {
       const CGAL::Interval_nt<true> iz = alpha2 + beta2 * sqrtg;
       const CGAL::Interval_nt<true> iy = to_interval(oy);
       return CGAL::Bbox_3(ix.inf(),iy.inf(),iz.inf(),
-	                ix.sup(),iy.sup(),iz.sup());
+                        ix.sup(),iy.sup(),iz.sup());
     }
 
     if(x_rat) {
@@ -191,7 +191,7 @@ class Root_for_spheres_2_3 {
       const CGAL::Interval_nt<true> iz = alpha2 + beta2 * sqrtg;
       const CGAL::Interval_nt<true> ix = to_interval(ox);
       return CGAL::Bbox_3(ix.inf(),iy.inf(),iz.inf(),
-	                ix.sup(),iy.sup(),iz.sup());
+                        ix.sup(),iy.sup(),iz.sup());
     }
 
     const CGAL::Interval_nt<true> alpha1 = to_interval(ox.alpha());
@@ -204,18 +204,18 @@ class Root_for_spheres_2_3 {
     const CGAL::Interval_nt<true> sqrtg = CGAL::sqrt(g);
     const CGAL::Interval_nt<true> ix = alpha1 + beta1 * sqrtg;
     const CGAL::Interval_nt<true> iy = alpha2 + beta2 * sqrtg;
-    const CGAL::Interval_nt<true> iz = alpha3 + beta3 * sqrtg; 
+    const CGAL::Interval_nt<true> iz = alpha3 + beta3 * sqrtg;
     return CGAL::Bbox_3(ix.inf(),iy.inf(),iz.inf(),
-	                ix.sup(),iy.sup(),iz.sup());
+                        ix.sup(),iy.sup(),iz.sup());
     */
   }
 
 };
 
 template < typename RT >
-bool 
+bool
 operator == ( const Root_for_spheres_2_3<RT>& r1,
-	      const Root_for_spheres_2_3<RT>& r2 )
+              const Root_for_spheres_2_3<RT>& r2 )
 { return (r1.x() == r2.x()) && (r1.y() == r2.y()) && (r1.z() == r2.z()); }
 
 template < typename RT >
@@ -229,7 +229,7 @@ operator>>(std::istream & is, Root_for_s
 {
   typedef typename Root_of_traits< RT >::RootOf_2         Root_of_2;
   Root_of_2 x,y,z;
-  
+
   is >> x >> y >> z;
   if(is)
     r = Root_for_spheres_2_3<RT>(x,y,z);
diff -pruN 5.0.2-3/include/CGAL/Root_of_traits.h 5.0.3-1/include/CGAL/Root_of_traits.h
--- 5.0.2-3/include/CGAL/Root_of_traits.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Root_of_traits.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Root_of_traits.h $
-// $Id: Root_of_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Root_of_traits.h $
+// $Id: Root_of_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -44,7 +44,7 @@ make_root_of_2(const NT &a, const NT &b,
 }
 
 template < class NT >
-inline 
+inline
 typename Root_of_traits< NT >::Root_of_2
 make_sqrt(const NT &a)
 {
@@ -53,37 +53,37 @@ make_sqrt(const NT &a)
 }
 
 template < class NT , class OutputIterator>
-inline 
+inline
 OutputIterator
 compute_roots_of_2(const NT &a_, const NT &b_, const NT &c_, OutputIterator oit)
 {
   typedef typename Root_of_traits<NT>::Root_of_1 Root_of_1;
   typedef typename Root_of_traits<NT>::Root_of_2 Root_of_2;
-  typename CGAL::Coercion_traits<Root_of_1,NT>::Cast cast; 
+  typename CGAL::Coercion_traits<Root_of_1,NT>::Cast cast;
   Root_of_1 a(cast(a_)), b(cast(b_)), c(cast(c_));
-    
+
   if ( a != 0 ) {
     Root_of_1 a0_  (-b/(2*a));
     Root_of_1 root_(CGAL_NTS square(a0_) - c/a);
     switch(CGAL::sign(root_)){
-    case CGAL::NEGATIVE: return oit; 
+    case CGAL::NEGATIVE: return oit;
     case CGAL::ZERO: *oit++ = Root_of_2(a0_);  return oit;
     default:
-      // two roots 
+      // two roots
       *oit++ = make_root_of_2(a0_,Root_of_1(-1),root_);
       *oit++ = make_root_of_2(a0_,Root_of_1( 1),root_);
-      return oit; 
+      return oit;
     }
   }
-  else { 
-    *oit++ = -c/b; return oit;   
+  else {
+    *oit++ = -c/b; return oit;
   }
 }
 
 
 namespace internal {
 
-BOOST_MPL_HAS_XXX_TRAIT_NAMED_DEF(Has_typedef_Arithmetic_kernel,Arithmetic_kernel,false)  
+BOOST_MPL_HAS_XXX_TRAIT_NAMED_DEF(Has_typedef_Arithmetic_kernel,Arithmetic_kernel,false)
 
 template <class NT,bool has_AK=Has_typedef_Arithmetic_kernel<Get_arithmetic_kernel<NT> >::value>
 struct Get_rational_type{
@@ -95,9 +95,9 @@ struct Get_rational_type<NT,true>{
   typedef typename Get_arithmetic_kernel<NT>::Arithmetic_kernel::Rational type;
 };
 
-  
+
 //Default or not a field.
-//If no specialization of Get_arithmetic_kernel is available, a field type compatible with NT 
+//If no specialization of Get_arithmetic_kernel is available, a field type compatible with NT
 //is made using CGAL::Quotient
 template < typename NT, class Algebraic_category>
 struct Root_of_traits_helper{
@@ -125,13 +125,13 @@ struct Root_of_traits_helper{
             return Root_of_2(a,b,c,s);
         }
     };
-  
+
 private:
   typedef CGAL::Algebraic_structure_traits<Root_of_2> AST;
 public:
-  typedef typename AST::Square  Square; 
+  typedef typename AST::Square  Square;
   typedef typename AST::Inverse Inverse;
-  
+
   struct Make_sqrt {
     typedef Root_of_2 result_type;
     Root_of_2 operator()(const NT& x) const {
@@ -147,7 +147,7 @@ struct Root_of_traits_helper < FT, Field
 private:
     typedef Fraction_traits<FT> FrT;
     // Field must be a Type (Decomposable)
-    // We have the typedef as VC10 fails with 
+    // We have the typedef as VC10 fails with
     // static_assert(FrT::Is_fraction::value)
     typedef typename FrT::Is_fraction ISF;
     CGAL_static_assertion((ISF::value));
@@ -179,15 +179,15 @@ public:
             RT c_ = c_num * a_den * b_den;
 
             return make_root_of_2<RT>(a_,b_,c_,smaller);
-        } 
+        }
     };
 
 private:
   typedef CGAL::Algebraic_structure_traits<Root_of_2> AST;
 public:
-  typedef typename AST::Square  Square; 
+  typedef typename AST::Square  Square;
   typedef typename AST::Inverse Inverse;
-  
+
   struct Make_sqrt{
     typedef Root_of_2 result_type;
     Root_of_2 operator()(const FT& x) const {
@@ -224,9 +224,9 @@ struct Root_of_traits_helper < NT, Field
 private:
   typedef CGAL::Algebraic_structure_traits<Root_of_2> AST;
 public:
-  typedef typename AST::Square  Square; 
+  typedef typename AST::Square  Square;
   typedef typename AST::Inverse Inverse;
-  
+
   struct Make_sqrt{
     typedef Root_of_2 result_type;
     Root_of_2 operator()(const NT& x) const {
@@ -284,14 +284,14 @@ struct Root_of_traits<Interval_nt<B> >{
         return a + b * CGAL_NTS sqrt(c) ;
     }
   };
-  
+
 private:
   typedef CGAL::Algebraic_structure_traits<Interval_nt<B> > AST;
 public:
-  typedef typename AST::Square  Square; 
+  typedef typename AST::Square  Square;
   typedef typename AST::Inverse Inverse;
   typedef typename AST::Sqrt    Make_sqrt;
-  
+
 };
 
 
diff -pruN 5.0.2-3/include/CGAL/Root_of_traits_specializations.h 5.0.3-1/include/CGAL/Root_of_traits_specializations.h
--- 5.0.2-3/include/CGAL/Root_of_traits_specializations.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Root_of_traits_specializations.h	2020-08-01 19:02:36.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Root_of_traits_specializations.h $
-// $Id: Root_of_traits_specializations.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Root_of_traits_specializations.h $
+// $Id: Root_of_traits_specializations.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -93,11 +93,11 @@ public:
           return new Lazy_exact_ro2<NT>(a, b, c, smaller);
         };
     };
-  
+
 private:
   typedef CGAL::Algebraic_structure_traits<Root_of_2> AST;
 public:
-  typedef typename AST::Square  Square; 
+  typedef typename AST::Square  Square;
   typedef typename AST::Inverse Inverse;
 
   struct Make_sqrt{
diff -pruN 5.0.2-3/include/CGAL/Rotational_sweep_visibility_2.h 5.0.3-1/include/CGAL/Rotational_sweep_visibility_2.h
--- 5.0.2-3/include/CGAL/Rotational_sweep_visibility_2.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Rotational_sweep_visibility_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Visibility_2/include/CGAL/Rotational_sweep_visibility_2.h $
-// $Id: Rotational_sweep_visibility_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Visibility_2/include/CGAL/Rotational_sweep_visibility_2.h $
+// $Id: Rotational_sweep_visibility_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -22,7 +22,7 @@
 #include <CGAL/bounding_box.h>
 #include <CGAL/assertions.h>
 #include <CGAL/Kernel/global_functions_2.h>
-#include <boost/unordered_map.hpp> 
+#include <boost/unordered_map.hpp>
 #include <iterator>
 
 
@@ -94,7 +94,7 @@ private:
       if (v1 == v2)
         return false;
       else
-        // I know this is dirty but it speeds up by 25%. Michael 
+        // I know this is dirty but it speeds up by 25%. Michael
         return &(*v1)<&(*v2);
 //        return Visibility_2::
 //          compare_xy_2(geom_traits, v1->point(), v2->point()) == SMALLER;
@@ -243,7 +243,7 @@ private:
     }
 
   };
-  
+
   const Arrangement_2 *p_arr;
   const Geometry_traits_2 *geom_traits;
 
@@ -286,9 +286,9 @@ public:
   }
 
   const std::string name() const { return std::string("R_visibility_2"); }
-  
-  template <typename VARR> 
-  typename VARR::Face_handle 
+
+  template <typename VARR>
+  typename VARR::Face_handle
   compute_visibility(
           const Point_2& q, const Halfedge_const_handle e, VARR& arr_out) const
   {
@@ -395,8 +395,8 @@ public:
       return arr_out.faces_begin();
   }
 
-  template <typename VARR> 
-  typename VARR::Face_handle 
+  template <typename VARR>
+  typename VARR::Face_handle
   compute_visibility(
           const Point_2& q, const Face_const_handle f, VARR& arr_out) const
   {
diff -pruN 5.0.2-3/include/CGAL/RS/ak_1.h 5.0.3-1/include/CGAL/RS/ak_1.h
--- 5.0.2-3/include/CGAL/RS/ak_1.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/ak_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/ak_1.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/ak_1.h $
 // $Id: ak_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/RS/ak_z_1.h 5.0.3-1/include/CGAL/RS/ak_z_1.h
--- 5.0.2-3/include/CGAL/RS/ak_z_1.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/ak_z_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/ak_z_1.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/ak_z_1.h $
 // $Id: ak_z_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/RS/algebraic_1.h 5.0.3-1/include/CGAL/RS/algebraic_1.h
--- 5.0.2-3/include/CGAL/RS/algebraic_1.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/algebraic_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/algebraic_1.h $
-// $Id: algebraic_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/algebraic_1.h $
+// $Id: algebraic_1.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author: Luis Peñaranda <luis.penaranda@gmx.com>
@@ -95,7 +95,7 @@ boost::totally_ordered<Algebraic_1<Polyn
         }
         // XXX: This implementation assumes that the bound type is Gmpfr
         // and that T can be exactly converted to Gmpq. This constructor
-        // can handle types such as int, unsigned and long. 
+        // can handle types such as int, unsigned and long.
         template <class T>
         Algebraic_1(const T &t){
                 typedef typename Ptraits::Shift         shift;
diff -pruN 5.0.2-3/include/CGAL/RS/algebraic_z_1.h 5.0.3-1/include/CGAL/RS/algebraic_z_1.h
--- 5.0.2-3/include/CGAL/RS/algebraic_z_1.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/algebraic_z_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/algebraic_z_1.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/algebraic_z_1.h $
 // $Id: algebraic_z_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/RS/bisection_refiner_1.h 5.0.3-1/include/CGAL/RS/bisection_refiner_1.h
--- 5.0.2-3/include/CGAL/RS/bisection_refiner_1.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/bisection_refiner_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/bisection_refiner_1.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/bisection_refiner_1.h $
 // $Id: bisection_refiner_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/RS/comparator_1.h 5.0.3-1/include/CGAL/RS/comparator_1.h
--- 5.0.2-3/include/CGAL/RS/comparator_1.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/comparator_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/comparator_1.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/comparator_1.h $
 // $Id: comparator_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/RS/dyadic.h 5.0.3-1/include/CGAL/RS/dyadic.h
--- 5.0.2-3/include/CGAL/RS/dyadic.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/dyadic.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/dyadic.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/dyadic.h $
 // $Id: dyadic.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/RS/exact_signat_1.h 5.0.3-1/include/CGAL/RS/exact_signat_1.h
--- 5.0.2-3/include/CGAL/RS/exact_signat_1.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/exact_signat_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/exact_signat_1.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/exact_signat_1.h $
 // $Id: exact_signat_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/RS/functors_1.h 5.0.3-1/include/CGAL/RS/functors_1.h
--- 5.0.2-3/include/CGAL/RS/functors_1.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/functors_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/functors_1.h $
-// $Id: functors_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/functors_1.h $
+// $Id: functors_1.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author: Luis Peñaranda <luis.penaranda@gmx.com>
@@ -371,7 +371,7 @@ public CGAL::cpp98::binary_function<Poly
                 typedef typename Ptraits::Substitute                    Subst;
                 std::vector<CGAL::Gmpfi> substitutions;
                 substitutions.push_back(CGAL::Gmpfi(l,r));
-                CGAL::Gmpfi eval=Subst()(p,     
+                CGAL::Gmpfi eval=Subst()(p,
                                          substitutions.begin(),
                                          substitutions.end());
                 return eval.sign();
diff -pruN 5.0.2-3/include/CGAL/RS/functors_z_1.h 5.0.3-1/include/CGAL/RS/functors_z_1.h
--- 5.0.2-3/include/CGAL/RS/functors_z_1.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/functors_z_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/functors_z_1.h $
-// $Id: functors_z_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/functors_z_1.h $
+// $Id: functors_z_1.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author: Luis Peñaranda <luis.penaranda@gmx.com>
@@ -408,7 +408,7 @@ public CGAL::cpp98::binary_function<Poly
                 typedef typename Ptraits::Substitute                    Subst;
                 std::vector<CGAL::Gmpfi> substitutions;
                 substitutions.push_back(CGAL::Gmpfi(l,r));
-                CGAL::Gmpfi eval=Subst()(p,     
+                CGAL::Gmpfi eval=Subst()(p,
                                          substitutions.begin(),
                                          substitutions.end());
                 return eval.sign();
diff -pruN 5.0.2-3/include/CGAL/RS/Gmpfr_make_unique.h 5.0.3-1/include/CGAL/RS/Gmpfr_make_unique.h
--- 5.0.2-3/include/CGAL/RS/Gmpfr_make_unique.h	2020-02-21 20:02:46.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/Gmpfr_make_unique.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/Gmpfr_make_unique.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/Gmpfr_make_unique.h $
 // $Id: Gmpfr_make_unique.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/RS/polynomial_converter_1.h 5.0.3-1/include/CGAL/RS/polynomial_converter_1.h
--- 5.0.2-3/include/CGAL/RS/polynomial_converter_1.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/polynomial_converter_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/polynomial_converter_1.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/polynomial_converter_1.h $
 // $Id: polynomial_converter_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/RS/rs23_k_isolator_1.h 5.0.3-1/include/CGAL/RS/rs23_k_isolator_1.h
--- 5.0.2-3/include/CGAL/RS/rs23_k_isolator_1.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/rs23_k_isolator_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/rs23_k_isolator_1.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/rs23_k_isolator_1.h $
 // $Id: rs23_k_isolator_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/RS/rs2_calls.h 5.0.3-1/include/CGAL/RS/rs2_calls.h
--- 5.0.2-3/include/CGAL/RS/rs2_calls.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/rs2_calls.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/rs2_calls.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/rs2_calls.h $
 // $Id: rs2_calls.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/RS/rs2_isolator_1.h 5.0.3-1/include/CGAL/RS/rs2_isolator_1.h
--- 5.0.2-3/include/CGAL/RS/rs2_isolator_1.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/rs2_isolator_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/rs2_isolator_1.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/rs2_isolator_1.h $
 // $Id: rs2_isolator_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/RS/rs3_k_refiner_1.h 5.0.3-1/include/CGAL/RS/rs3_k_refiner_1.h
--- 5.0.2-3/include/CGAL/RS/rs3_k_refiner_1.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/rs3_k_refiner_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/rs3_k_refiner_1.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/rs3_k_refiner_1.h $
 // $Id: rs3_k_refiner_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/RS/rs3_refiner_1.h 5.0.3-1/include/CGAL/RS/rs3_refiner_1.h
--- 5.0.2-3/include/CGAL/RS/rs3_refiner_1.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/rs3_refiner_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/rs3_refiner_1.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/rs3_refiner_1.h $
 // $Id: rs3_refiner_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/RS/signat_1.h 5.0.3-1/include/CGAL/RS/signat_1.h
--- 5.0.2-3/include/CGAL/RS/signat_1.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/RS/signat_1.h	2020-08-01 19:02:09.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_kernel_d/include/CGAL/RS/signat_1.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_kernel_d/include/CGAL/RS/signat_1.h $
 // $Id: signat_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Runge_kutta_integrator_2.h 5.0.3-1/include/CGAL/Runge_kutta_integrator_2.h
--- 5.0.2-3/include/CGAL/Runge_kutta_integrator_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Runge_kutta_integrator_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_lines_2/include/CGAL/Runge_kutta_integrator_2.h $
-// $Id: Runge_kutta_integrator_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_lines_2/include/CGAL/Runge_kutta_integrator_2.h $
+// $Id: Runge_kutta_integrator_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Abdelkrim Mebarki <Abdelkrim.Mebarki@sophia.inria.fr>
 
@@ -52,25 +52,25 @@ public:
   Point_2 operator()(const Point_2 & p, const Vector_field_2 & vector_field_2, const FT & integration_step, Vector_2 v, const bool & index) const;
 
   inline FT get_default_integration_step()
-    { 
-      return default_integration_step; 
+    {
+      return default_integration_step;
     }
-  Euler_integrator_2 * get_euler_integrator_2() 
-    { 
-      return &euler_integrator_2; 
+  Euler_integrator_2 * get_euler_integrator_2()
+    {
+      return &euler_integrator_2;
     }
   inline FT distance(const Point_2 & p, const Point_2 & q)
     {
       return sqrt(((p.x() - q.x())*(p.x() - q.x()))+((p.y()
-						      -
-						      q.y())*(p.y() - q.y())));
+                                                      -
+                                                      q.y())*(p.y() - q.y())));
     }
 };
 
 template <class VectorField_2>
 Runge_kutta_integrator_2<VectorField_2>::
 Runge_kutta_integrator_2()
-  : euler_integrator_2(), 
+  : euler_integrator_2(),
     default_integration_step(euler_integrator_2.get_default_integration_step())
 {}
 
diff -pruN 5.0.2-3/include/CGAL/Scalar_factor_traits.h 5.0.3-1/include/CGAL/Scalar_factor_traits.h
--- 5.0.2-3/include/CGAL/Scalar_factor_traits.h	2020-02-21 20:02:45.000000000 +0000
+++ 5.0.3-1/include/CGAL/Scalar_factor_traits.h	2020-08-01 19:02:08.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Algebraic_foundations/include/CGAL/Scalar_factor_traits.h $
-// $Id: Scalar_factor_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Algebraic_foundations/include/CGAL/Scalar_factor_traits.h $
+// $Id: Scalar_factor_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -29,21 +29,21 @@ namespace CGAL {
 /*! \nosubgrouping
  *  \ingroup NiX_Scalar_factor_traits_spec
  *  \brief traits class for scalar factor extraction
- *  
- *  A model of the concept ScalarFactorTraits. 
- * 
- *  This is the default implementation of NiX::Scalar_factor_traits. 
- *  It is valid for most basic number types as Integer, Rational etc. 
+ *
+ *  A model of the concept ScalarFactorTraits.
+ *
+ *  This is the default implementation of NiX::Scalar_factor_traits.
+ *  It is valid for most basic number types as Integer, Rational etc.
  */
 template< class NT >
 class Scalar_factor_traits {
 public:
     // the supported number type
     typedef NT Type;
-    // NT is also 
+    // NT is also
     typedef NT Scalar;
 
-    // functor computing the scalar factor of a basic number type. 
+    // functor computing the scalar factor of a basic number type.
     class Scalar_factor {
         static Scalar scalar_factor(const NT& a, Integral_domain_tag) {
             typename Algebraic_structure_traits<NT>::Unit_part upart;
@@ -53,19 +53,19 @@ public:
         static Scalar scalar_factor(const NT& a, Field_tag) {
             return (a == NT(0)) ? NT(0) : NT(1);
         }
-        static Scalar scalar_factor(const NT& /* a */, 
+        static Scalar scalar_factor(const NT& /* a */,
                                     const Scalar& /* d */,
                                     Integral_domain_tag) {
             return Scalar(1);
         }
-        static Scalar scalar_factor(const NT& a, 
+        static Scalar scalar_factor(const NT& a,
                                     const Scalar& d,
                                     Field_tag) {
             return (a == NT(0) && d == Scalar(0)) ? NT(0) : NT(1);
         }
-        static Scalar scalar_factor(const NT& a, 
+        static Scalar scalar_factor(const NT& a,
                                     const Scalar& d,
-                                    Unique_factorization_domain_tag) { 
+                                    Unique_factorization_domain_tag) {
             if( d == Scalar(0)) {
                 return a;
             } else {
@@ -73,7 +73,7 @@ public:
                 return gcd(a,d);
             }
         }
-    public: 
+    public:
         // argument type
         typedef NT argument_type;
         // first argument type
@@ -82,16 +82,16 @@ public:
         typedef Scalar second_argument_type;
         // result type
         typedef Scalar result_type;
-  
+
         // determine extractable scalar factor
         Scalar operator () (const NT& a) {
-            CGAL_static_assertion(( ::boost::is_same< NT,Scalar >::value));  
+            CGAL_static_assertion(( ::boost::is_same< NT,Scalar >::value));
             typedef typename Algebraic_structure_traits<NT>::Algebraic_category SAT;
             return scalar_factor(a, SAT());
         }
         // determine extractable scalar factor
-        Scalar operator () (const NT& a, const Scalar& d) {     
-            CGAL_static_assertion(( ::boost::is_same< NT,Scalar >::value));  
+        Scalar operator () (const NT& a, const Scalar& d) {
+            CGAL_static_assertion(( ::boost::is_same< NT,Scalar >::value));
             typedef typename Algebraic_structure_traits<NT>::Algebraic_category SAT;
             return scalar_factor(a,d,SAT());
         }
@@ -116,7 +116,7 @@ public:
 
 /*! \ingroup NiX_Scalar_factor_traits
  *  \brief removes the scalar factor
- * 
+ *
  *   Removes the scalar factor provided by NiX::Scalar_factor_traits
  */
 template <class NT>
@@ -125,7 +125,7 @@ void remove_scalar_factor(NT& x){
     typedef typename SFT::Scalar Scalar;
     typename SFT::Scalar_factor sfac;
     typename SFT::Scalar_div    sdiv;
-    
+
     Scalar scalar=sfac(x);
     if(scalar != Scalar(0))
         sdiv(x,scalar);
@@ -136,12 +136,12 @@ inline
 typename CGAL::Scalar_factor_traits<NT>::Scalar
 scalar_factor(const NT& x){
     typename CGAL::Scalar_factor_traits<NT>::Scalar_factor scalar_factor;
-	return scalar_factor(x);
+        return scalar_factor(x);
 }
 
 template <class NT>
 inline
-typename CGAL::Scalar_factor_traits<NT>::Scalar 
+typename CGAL::Scalar_factor_traits<NT>::Scalar
 scalar_factor(const NT& x,
         const typename CGAL::Scalar_factor_traits<NT>::Scalar& d)
 {
diff -pruN 5.0.2-3/include/CGAL/Scale_space_reconstruction_3/Advancing_front_mesher.h 5.0.3-1/include/CGAL/Scale_space_reconstruction_3/Advancing_front_mesher.h
--- 5.0.2-3/include/CGAL/Scale_space_reconstruction_3/Advancing_front_mesher.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Scale_space_reconstruction_3/Advancing_front_mesher.h	2020-08-01 19:02:47.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Scale_space_reconstruction_3/include/CGAL/Scale_space_reconstruction_3/Advancing_front_mesher.h $
-// $Id: Advancing_front_mesher.h 8c4f590 2019-10-19T16:20:43+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Scale_space_reconstruction_3/include/CGAL/Scale_space_reconstruction_3/Advancing_front_mesher.h $
+// $Id: Advancing_front_mesher.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s):      Simon Giraudot
@@ -23,7 +23,7 @@ namespace CGAL
 
 namespace Scale_space_reconstruction_3
 {
-  
+
 /** \ingroup PkgScaleSpaceReconstruction3Classes
  *
  *  Surface mesher for scale space reconstruction based on
@@ -32,7 +32,7 @@ namespace Scale_space_reconstruction_3
  *  This class applies the advancing front reconstruction algorithm
  *  with the possibility of using an upper bound on the length of the
  *  produced facets.
- * 
+ *
  *  \cgalModels CGAL::Scale_space_reconstruction_3::Mesher
  *
  *  \tparam Geom_traits geometric traits class. It must be a
@@ -45,7 +45,7 @@ class Advancing_front_mesher
 {
   typedef typename Geom_traits::FT FT;
   typedef typename Geom_traits::Point_3                        Point;          ///< defines the point type.
-  
+
   typedef std::array< unsigned int, 3 >       Facet;
 private:
 
@@ -83,7 +83,7 @@ private:
   Priority m_priority;
   FT m_radius_ratio_bound;
   FT m_beta;
-  
+
 public:
 
   /**
@@ -120,7 +120,7 @@ public:
 
 };
 
-  
+
 } // namespace Scale_space_reconstruction_3
 
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Scale_space_reconstruction_3/Alpha_shape_mesher.h 5.0.3-1/include/CGAL/Scale_space_reconstruction_3/Alpha_shape_mesher.h
--- 5.0.2-3/include/CGAL/Scale_space_reconstruction_3/Alpha_shape_mesher.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Scale_space_reconstruction_3/Alpha_shape_mesher.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Scale_space_reconstruction_3/include/CGAL/Scale_space_reconstruction_3/Alpha_shape_mesher.h $
-// $Id: Alpha_shape_mesher.h 8c4f590 2019-10-19T16:20:43+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Scale_space_reconstruction_3/include/CGAL/Scale_space_reconstruction_3/Alpha_shape_mesher.h $
+// $Id: Alpha_shape_mesher.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s):      Thijs van Lankveld, Simon Giraudot
@@ -24,12 +24,12 @@ namespace CGAL
 
 namespace Scale_space_reconstruction_3
 {
-  
+
 /** \ingroup PkgScaleSpaceReconstruction3Classes
  *
  *  Surface mesher for scale space reconstruction based on
  *  `CGAL::Alpha_shape_3`.
- * 
+ *
  *  The surface can be constructed either for a fixed neighborhood
  *  radius, or for a dynamic radius. When constructing the surface for
  *  exactly one neighborhood radius, it is faster to set
@@ -42,7 +42,7 @@ namespace Scale_space_reconstruction_3
  *  changing the radius of a dynamic surface. In either case, it is possible to
  *  change the point set while maintaining the same radius.
  *
- *  The surface can be stored either as an unordered collection of triangles, 
+ *  The surface can be stored either as an unordered collection of triangles,
  *  or as a collection ordered by shells. A shell is a maximally connected
  *  component of the surface where connected facets are locally oriented
  *  towards the same side of the surface.
@@ -65,7 +65,7 @@ class Alpha_shape_mesher
 public:
   typedef typename Geom_traits::FT FT;
   typedef typename Geom_traits::Point_3                        Point;          ///< defines the point type.
-  
+
   typedef std::array< unsigned int, 3 >       Facet;                 ///< defines a triple of point indices indicating a triangle of the surface.
 private:
   typedef std::list< Facet >                         Facetset;              ///< defines a collection of triples.
@@ -84,7 +84,7 @@ private:
   typedef std::vector< Facet_iterator >              FacetIterSet;
 
 private:
-  
+
   // Constructing the surface.
   typedef CGAL::Shape_construction_3<Geom_traits, FixedSurface> Shape_construction_3;
 
@@ -96,7 +96,7 @@ private:
   typedef typename Shape::Facet                       SFacet;
   typedef typename Shape::Edge                        Edge;
   typedef std::pair<Vertex_handle, Vertex_handle>     VEdge;
-    
+
   typedef typename Shape::Vertex_iterator             Vertex_iterator;
   typedef typename Shape::Cell_iterator               Cell_iterator;
   typedef typename Shape::Facet_iterator              SFacet_iterator;
@@ -108,11 +108,11 @@ private:
   typedef typename Shape::Finite_vertices_iterator    Finite_vertices_iterator;
 
   typedef typename Shape::Facet_circulator            SFacet_circulator;
-  
+
   typedef typename Shape::All_cells_iterator          All_cells_iterator;
 
   typedef typename Shape::Classification_type         Classification_type;
-  
+
   typedef std::map<SFacet, unsigned int> Map_facet_to_shell;
   typedef typename std::array<std::set<SFacet>, 2 >   Bubble;
 
@@ -144,14 +144,14 @@ private:
   std::map<SFacet, std::size_t> _map_f2b;
 
   FT _squared_radius;
-  
+
 public:
 
   /**
    *  Constructs an alpha shape mesher.
    *
    *  \param squared_radius \f$\alpha\f$ parameter of the alpha shape algorithm.
-   *  \param separate_shells determines whether to collect the surface per shell. 
+   *  \param separate_shells determines whether to collect the surface per shell.
    *  \param force_manifold determines if the surface is forced to be 2-manifold.
    *  \param border_angle sets the maximal angle between two facets
    *  such that the edge is seen as a border.
@@ -187,7 +187,7 @@ public:
     clear_surface();
 
     _shape = Shape_construction_3().construct (begin, end, _squared_radius);
-    
+
     // If shells are not separated and no manifold constraint is given,
     // then the quick collection of facets can be applied
     if (!_separate_shells && !_force_manifold)
@@ -239,7 +239,7 @@ public:
   /** \warning Changes to the surface may change its topology.
    */
   Facet_iterator surface_begin() { return _surface.begin(); }
-    
+
   /// gives a past-the-end iterator of the triples in the surface.
   Facet_const_iterator surface_end() const { return _surface.end(); }
   /// gives a past-the-end iterator of the triples in the surface.
@@ -303,14 +303,14 @@ public:
         return _surface.end();
     return _shells[ shell+1 ];
   }
-  
+
   /// gives an iterator to the first triple of the garbage facets
   /// that may be discarded if 2-manifold output is required.
   Facet_const_iterator garbage_begin() const { return _garbage.begin(); }
   /// gives an iterator to the first triple of the garbage facets
   /// that may be discarded if 2-manifold output is required.
   Facet_iterator garbage_begin() { return _garbage.begin(); }
-    
+
   /// gives a past-the-end iterator of the triples of the garbage facets
   /// that may be discarded if 2-manifold output is required.
   Facet_const_iterator garbage_end() const { return _garbage.end(); }
@@ -319,7 +319,7 @@ public:
   Facet_iterator garbage_end() { return _garbage.end(); }
 
 private:
-  
+
   void deinit_shape()
   {
     if (_shape != nullptr)
@@ -328,7 +328,7 @@ private:
       _shape = nullptr;
     }
   }
-  
+
   void clear_surface()
   {
     _shells.clear();
@@ -336,7 +336,7 @@ private:
     _garbage.clear();
     deinit_shape();
   }
-  
+
   void collect_facets ()
   {
     // We check each of the facets: if it is not handled and either regular or singular,
@@ -387,7 +387,7 @@ private:
       }
     }
   }
-  
+
   inline bool is_handled( Cell_handle c, unsigned int li ) const
   {
     switch( li ) {
@@ -410,7 +410,7 @@ private:
     }
   }
   inline void mark_handled( SFacet f ) { mark_handled( f.first, f.second ); }
- 
+
   inline void mark_opposite_handled( SFacet f )
   {
 
@@ -427,30 +427,30 @@ private:
     else if (cl == Shape::REGULAR)
     {
       SFacet fac = (_shape->classify (f.first) == Shape::EXTERIOR)
-	? f
-	: _shape->mirror_facet (f);
+        ? f
+        : _shape->mirror_facet (f);
 
       typename std::map<SFacet, std::size_t>::iterator
-	search = _map_f2b.find (fac);
+        search = _map_f2b.find (fac);
 
       if (search == _map_f2b.end ())
-	return;
-      
+        return;
+
       unsigned int layer = (_bubbles[search->second][0].find (fac) == _bubbles[search->second][0].end ())
-	? 0 : 1;
+        ? 0 : 1;
 
       typename std::set<SFacet>::iterator it = _bubbles[search->second][layer].begin ();
 
       // If bubble has already been handled, no need to do it again
       if (is_handled (*it))
-	return;
-      
+        return;
+
       for (;it != _bubbles[search->second][layer].end (); ++ it)
       {
         _garbage.push_back (ordered_facet_indices (*it));
         mark_handled (*it);
       }
-      
+
     }
 
 
@@ -520,7 +520,7 @@ private:
       // the opposite layer should be ignored
       if (_force_manifold)
         mark_opposite_handled (f);
-		
+
       // Pivot over each of the facet's edges and continue the surface at the next regular or singular facet.
       for( int i = 0; i < 4; ++i ) {
         // Skip the current facet.
@@ -532,7 +532,7 @@ private:
         ni = i;
         a = f.first->vertex( f.second );
         cl = _shape->classify( SFacet(n, ni) );
-	    
+
         while( cl != Shape::REGULAR && cl != Shape::SINGULAR ) {
           p = n;
           n = n->neighbor(ni);
@@ -555,16 +555,16 @@ private:
     std::set<Cell_handle> done;
 
     unsigned int nb_facets_removed = 0;
-  
+
     unsigned int nb_skipped = 0;
     for (Cell_iterator cit = _shape->cells_begin (); cit != _shape->cells_end (); ++ cit)
     {
       if (_shape->is_infinite (cit))
-	continue;
+        continue;
       if (_shape->classify (cit) != Shape::INTERIOR)
-	continue;
+        continue;
       if (done.find (cit) != done.end ())
-	continue;
+        continue;
 
       std::set<VEdge> borders;
       std::vector<Cell_handle> cells;
@@ -633,7 +633,7 @@ private:
               if (_shape->classify (f0) != Shape::REGULAR
                   || _shape->classify (f1) != Shape::REGULAR)
                 continue;
-		      
+
               double angle = Geom_traits().compute_approximate_dihedral_angle_3_object()(vedge.first->point (),
                                                                                          vedge.second->point (),
                                                                                          c->vertex (i)->point (),
@@ -667,7 +667,7 @@ private:
             continue;
 
           ++ layer;
-	      
+
           std::stack<SFacet> stack;
           stack.push (start);
 
@@ -755,7 +755,7 @@ private:
               // If the edge is a border, propagation stops in this direction.
               if (borders.find (vedge) != borders.end ())
                 continue;
-		      
+
               while( cl != Shape::REGULAR && cl != Shape::SINGULAR ) {
                 p = n;
                 n = n->neighbor(ni);
@@ -764,7 +764,7 @@ private:
                 a = n->vertex(pi);
                 cl = _shape->classify( SFacet(n, ni) );
               }
-		      
+
               stack.push (SFacet (n, ni));
 
             }
@@ -773,7 +773,7 @@ private:
         }
 
       }
-            
+
       // If number of layers is != 2, ignore volume and discard bubble
       if (layer != 1)
       {
@@ -789,10 +789,10 @@ private:
           }
         _bubbles.pop_back ();
       }
-      
+
     }
   }
-  
+
 
   void fix_nonmanifold_edges()
   {
@@ -807,20 +807,20 @@ private:
     // Store for each pair edge/shell the incident facets
     Edge_shell_map_triples eshell_triples;
     std::map<Facet, SFacet> map_t2f;
-  
+
     for (typename Map_facet_to_shell::iterator fit = _map_f2s.begin ();
          fit != _map_f2s.end (); ++ fit)
     {
       SFacet f = fit->first;
       Facet t = ordered_facet_indices (f);
       map_t2f[t] = f;
-	      
+
       for (unsigned int k = 0; k < 3; ++ k)
       {
         Vertex_handle v0 = f.first->vertex ((f.second + k + 1)%4);
         Vertex_handle v1 = f.first->vertex ((f.second + (k+1)%3 + 1)%4);
         VEdge vedge = (v0 < v1) ? std::make_pair (v0, v1) : std::make_pair (v1, v0);
-		  
+
         std::pair<Edge_shell_map_triples_iterator, bool>
           search = eshell_triples.insert (std::make_pair (std::make_pair (vedge, fit->second),
                                                           std::set<Facet>()));
@@ -834,13 +834,13 @@ private:
     {
       // If an edge has more than 2 incident facets for one shell, it is non-manifold
       if (eit->second.size () < 3)
-	continue;
+        continue;
 
       ++ nb_nm_edges;
 
       Facet_iterator tit = _shells[eit->first.second];
       Facet_iterator end = (eit->first.second == _shells.size () - 1)
-	? _surface.end () : _shells[eit->first.second + 1];
+        ? _surface.end () : _shells[eit->first.second + 1];
 
       // Remove facets until the edge is manifold in this shell
       while (tit != end && eit->second.size () > 2)
@@ -863,7 +863,7 @@ private:
         }
 
       }
-	  
+
     }
   }
 
@@ -882,7 +882,7 @@ private:
   {
     Vertex_handle vother = f.first->vertex (f.second);
     bool v1found = false;
-  
+
     for (unsigned int i = 0; i < 4; ++ i)
     {
       Vertex_handle vi = f.first->vertex (i);
@@ -901,7 +901,7 @@ private:
       }
     }
   }
-  
+
   void fix_nonmanifold_vertices()
   {
 
@@ -917,12 +917,12 @@ private:
     {
       Facet_iterator begin = _shells[i];
       Facet_iterator end = (i+1 == _shells.size ()) ? _surface.end () : _shells[i+1];
-      
+
       Facetset tmp;
       tmp.splice (tmp.end(), _surface, begin, end);
-      
+
       tmp.sort();
-      _shells[i] = tmp.begin ();      
+      _shells[i] = tmp.begin ();
       _surface.splice(end, tmp, tmp.begin(), tmp.end());
     }
 
@@ -939,10 +939,10 @@ private:
       Vertex_shell_map_facets vshell_facets;
 
       for (typename Map_facet_to_shell::iterator fit = _map_f2s.begin ();
-	   fit != _map_f2s.end (); ++ fit)
+           fit != _map_f2s.end (); ++ fit)
       {
         SFacet f = fit->first;
-	  
+
         for (unsigned int k = 0; k < 3; ++ k)
         {
           Vertex_handle v = f.first->vertex ((f.second+k+1)%4);
@@ -953,11 +953,11 @@ private:
           search.first->second.push_back (f);
 
         }
-	  
+
       }
 
       for (Vertex_shell_map_facet_iterator fit = vshell_facets.begin ();
-	   fit != vshell_facets.end (); ++ fit)
+           fit != vshell_facets.end (); ++ fit)
       {
         if (fit->second.size () < 2)
           continue;
@@ -967,12 +967,12 @@ private:
 
         UF uf;
         std::map<SFacet, UF_handle> map_f2h;
-	  
+
         for (unsigned int i = 0; i < fit->second.size (); ++ i)
           map_f2h.insert (std::make_pair (fit->second[i], uf.make_set (fit->second[i])));
 
         std::map<Vertex_handle, SFacet> map_v2f;
-	    
+
         for (unsigned int i = 0; i < fit->second.size (); ++ i)
         {
           Vertex_handle v1, v2;
@@ -1034,7 +1034,7 @@ private:
             ? _surface.end () : _shells[shell + 1];
 
           unsigned int tindex = 0;
-	      
+
           while (tit != end && tindex < triples.size ())
           {
             Facet_iterator current = tit ++;
@@ -1063,7 +1063,7 @@ private:
 
 };
 
-  
+
 } // namespace Scale_space_reconstruction_3
 
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Scale_space_reconstruction_3/internal/Auto_count.h 5.0.3-1/include/CGAL/Scale_space_reconstruction_3/internal/Auto_count.h
--- 5.0.2-3/include/CGAL/Scale_space_reconstruction_3/internal/Auto_count.h	2020-02-21 20:04:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Scale_space_reconstruction_3/internal/Auto_count.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Scale_space_reconstruction_3/include/CGAL/Scale_space_reconstruction_3/internal/Auto_count.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Scale_space_reconstruction_3/include/CGAL/Scale_space_reconstruction_3/internal/Auto_count.h $
 // $Id: Auto_count.h 8c4f590 2019-10-19T16:20:43+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Scale_space_reconstruction_3/Jet_smoother.h 5.0.3-1/include/CGAL/Scale_space_reconstruction_3/Jet_smoother.h
--- 5.0.2-3/include/CGAL/Scale_space_reconstruction_3/Jet_smoother.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Scale_space_reconstruction_3/Jet_smoother.h	2020-08-01 19:02:47.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Scale_space_reconstruction_3/include/CGAL/Scale_space_reconstruction_3/Jet_smoother.h $
-// $Id: Jet_smoother.h 8c4f590 2019-10-19T16:20:43+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Scale_space_reconstruction_3/include/CGAL/Scale_space_reconstruction_3/Jet_smoother.h $
+// $Id: Jet_smoother.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s):      Simon Giraudot
@@ -26,12 +26,12 @@ namespace CGAL
 
 namespace Scale_space_reconstruction_3
 {
-  
+
 /** \ingroup PkgScaleSpaceReconstruction3Classes
  *
  *  %Smoother for scale space reconstruction based on
  *  `CGAL::jet_smooth_point_set()`.
- * 
+ *
  *  \cgalModels CGAL::Scale_space_reconstruction_3::Smoother
  *
  *  \tparam Geom_traits geometric traits class. It must be a
@@ -84,7 +84,7 @@ public:
     CGAL::jet_smooth_point_set<ConcurrencyTag>
     (points, m_k, CGAL::parameters::degree_fitting(m_degree_fitting).degree_monge(m_degree_monge));
   }
-  
+
 };
 
 
diff -pruN 5.0.2-3/include/CGAL/Scale_space_reconstruction_3/Shape_construction_3.h 5.0.3-1/include/CGAL/Scale_space_reconstruction_3/Shape_construction_3.h
--- 5.0.2-3/include/CGAL/Scale_space_reconstruction_3/Shape_construction_3.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Scale_space_reconstruction_3/Shape_construction_3.h	2020-08-01 19:02:47.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Scale_space_reconstruction_3/include/CGAL/Scale_space_reconstruction_3/Shape_construction_3.h $
-// $Id: Shape_construction_3.h 8c4f590 2019-10-19T16:20:43+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Scale_space_reconstruction_3/include/CGAL/Scale_space_reconstruction_3/Shape_construction_3.h $
+// $Id: Shape_construction_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s):      Thijs van Lankveld
@@ -32,7 +32,7 @@
 
 namespace CGAL {
 
-// provides a generalized constructor for the shape of a set of points. 
+// provides a generalized constructor for the shape of a set of points.
 /* \ingroup PkgScaleSpaceReconstruction3Classes
  *  The shape of a set of points is ill-defined. Specifically,
  *  because a set of points has no inherent notion of connectivity,
@@ -73,8 +73,8 @@ class Shape_construction_3
 public:
 /// \name Types
 /// \{
-	typedef typename GeomTraits::FT                                         FT;                 ///< defines the number field type.
-	typedef typename GeomTraits::Point_3                                    Point;              ///< defines the point type.
+        typedef typename GeomTraits::FT                                         FT;                 ///< defines the number field type.
+        typedef typename GeomTraits::Point_3                                    Point;              ///< defines the point type.
 #ifdef DOXYGEN_RUNNING
     typedef unspecified_type                  Triangulation_data_structure;                     ///< defines the triangulation data structure type.
     typedef Delaunay_triangulation_3< GeomTraits, Triangulation_data_structure >    Triangulation;  ///< defines the triangulation type.
@@ -112,7 +112,7 @@ public:
         if( shape ) return new Shape( *shape, squared_radius, Shape::GENERAL );
         else return new Shape( squared_radius, Shape::GENERAL );
     }
-    
+
     /// constructs a new shape.
     /** Important note: Shape_construction_3 does not take responsibility for destroying
      *  the object after use.
@@ -163,11 +163,11 @@ public:
     typedef Delaunay_triangulation_3< GeomTraits, Tds >                     Triangulation;
     typedef Fixed_alpha_shape_3< Triangulation >                            Shape;
 
-	typedef typename GeomTraits::FT                                         FT;
-	typedef typename GeomTraits::Point_3                                    Point;
+        typedef typename GeomTraits::FT                                         FT;
+        typedef typename GeomTraits::Point_3                                    Point;
 private:
     typedef internal::Auto_count<Point>                                     PointIndex;
-       
+
 public:
     Shape_construction_3() {}
 
@@ -179,7 +179,7 @@ public:
         if( shape ) return new Shape( *shape, squared_radius );
         else return new Shape( squared_radius );
     }
-    
+
     //  Construct a new shape.
     /*  Note: Shape_construction_3 does not take responsibility for destroying
      *  the object after use.
diff -pruN 5.0.2-3/include/CGAL/Scale_space_reconstruction_3/Weighted_PCA_smoother.h 5.0.3-1/include/CGAL/Scale_space_reconstruction_3/Weighted_PCA_smoother.h
--- 5.0.2-3/include/CGAL/Scale_space_reconstruction_3/Weighted_PCA_smoother.h	2020-02-21 20:04:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Scale_space_reconstruction_3/Weighted_PCA_smoother.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Scale_space_reconstruction_3/include/CGAL/Scale_space_reconstruction_3/Weighted_PCA_smoother.h $
-// $Id: Weighted_PCA_smoother.h 8c4f590 2019-10-19T16:20:43+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Scale_space_reconstruction_3/include/CGAL/Scale_space_reconstruction_3/Weighted_PCA_smoother.h $
+// $Id: Weighted_PCA_smoother.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s):      Thijs van Lankveld, Simon Giraudot
@@ -35,12 +35,12 @@ namespace CGAL
 
 namespace Scale_space_reconstruction_3
 {
-  
+
 /** \ingroup PkgScaleSpaceReconstruction3Classes
  *
  *  %Smoother for scale space reconstruction based on a principal
  *  component analysis weighted by the local density of points.
- * 
+ *
  *  \cgalModels CGAL::Scale_space_reconstruction_3::Smoother
  *
  *  \tparam Geom_traits geometric traits class. It must be a
@@ -78,12 +78,12 @@ public:
   typedef typename Geom_traits::Point_3 Point; ///< defines the point typ.e
   typedef typename Geom_traits::Vector_3 Vector; ///< defines the vector type.
 private:
-  
+
 
   typedef boost::tuple<Point, std::size_t> Point_and_size_t;
   typedef std::vector<unsigned int> CountVec;
   typedef std::vector<Point> Pointset;
-  
+
   typedef Search_traits_3<Geom_traits> Traits_base;
   typedef CGAL::Search_traits_adapter<Point_and_size_t,
                                       CGAL::Nth_of_tuple_property_map<0, Point_and_size_t>,
@@ -129,7 +129,7 @@ public:
   {
     _tree.clear();
     _points.clear();
-    
+
     std::size_t i = 0;
     std::size_t size = std::size_t(end - begin);
     _tree.reserve(size);
@@ -145,16 +145,16 @@ public:
 
     if (_squared_radius == -1)
       estimate_neighborhood_squared_radius();
-    
+
     // Collect the number of neighbors of each point.
     // This can be done concurrently.
     CountVec neighbors (_tree.size(), 0);
     try_parallel (ComputeNN (_points, _tree, _squared_radius, neighbors), 0, _tree.size());
-    
+
     // Compute the transformed point locations.
     // This can be done concurrently.
     try_parallel (AdvanceSS (_tree, neighbors, _points), 0, _tree.size());
-    
+
     i = 0;
     for (InputIterator it = begin; it != end; ++ it)
       *it = _points[i ++];
@@ -212,21 +212,21 @@ private:
       for (std::size_t i = begin; i < end; ++i)
         func(i);
   }
-  
+
   struct Inc
   {
     unsigned int * i;
-      
+
     Inc(unsigned int& i)
       : i(&i)
     {}
-      
+
     template <typename T>
     void operator()(const T&) const
     {
       ++(*i);
     }
-      
+
   };
 
   // Compute the number of neighbors of a point that lie within a fixed radius.
@@ -244,7 +244,7 @@ private:
     ComputeNN(const Pointset& points, const Search_tree&  tree,
               const FT& sq_radius, CountVec& nn)
       : _pts(points), _tree(tree), _sq_rd(sqrt(sq_radius)), _nn(nn) {}
-    
+
 #ifdef CGAL_LINKED_WITH_TBB
     void operator()( const tbb::blocked_range< std::size_t >& range ) const {
       for( std::size_t i = range.begin(); i != range.end(); ++i )
@@ -268,11 +268,11 @@ private:
     const Search_tree&  _tree;
     const CountVec&     _nn;
     Pointset&           _pts;
-    
+
   public:
     AdvanceSS(const Search_tree& tree, const CountVec& nn, Pointset& points)
       : _tree(tree), _nn(nn),_pts(points) {}
-    
+
 #ifdef CGAL_LINKED_WITH_TBB
     void operator()( const tbb::blocked_range< std::size_t >& range ) const {
       for( std::size_t i = range.begin(); i != range.end(); ++i )
@@ -304,7 +304,7 @@ private:
         Vector v (CGAL::ORIGIN, boost::get<0>(nit->first));
         barycenter = barycenter + ((1.0 / _nn[boost::get<1>(nit->first)]) / weight_sum) * v;
       }
-	
+
       std::array<FT, 6> covariance = {{ 0., 0., 0., 0., 0., 0. }};
       column = 0;
       // Compute covariance matrix of Weighted PCA
@@ -339,7 +339,7 @@ private:
       _pts[i] = barycenter + b2p - ((norm * b2p) * norm);
     }
   }; // class AdvanceSS
-  
+
 };
 
 
diff -pruN 5.0.2-3/include/CGAL/Scale_space_surface_reconstruction_3.h 5.0.3-1/include/CGAL/Scale_space_surface_reconstruction_3.h
--- 5.0.2-3/include/CGAL/Scale_space_surface_reconstruction_3.h	2020-02-21 20:04:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Scale_space_surface_reconstruction_3.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Scale_space_reconstruction_3/include/CGAL/Scale_space_surface_reconstruction_3.h $
-// $Id: Scale_space_surface_reconstruction_3.h 8c4f590 2019-10-19T16:20:43+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Scale_space_reconstruction_3/include/CGAL/Scale_space_surface_reconstruction_3.h $
+// $Id: Scale_space_surface_reconstruction_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s):      Thijs van Lankveld, Simon Giraudot
@@ -37,7 +37,7 @@ namespace CGAL
  *  connectivity of the facets back to the original point set. This
  *  latest option makes it possible to reconstruct an interpolative
  *  surface on a noisy point set.
- *  
+ *
  *  \tparam Geom_traits is the geometric traits class. It must be a
  *  model of `DelaunayTriangulationTraits_3`. It must have a
  *  `RealEmbeddable` field number type. Generally,
@@ -73,7 +73,7 @@ public:
   // Default algorithms used (same as in old API)
   typedef Scale_space_reconstruction_3::Weighted_PCA_smoother<Geom_traits> Weighted_PCA_smoother;
   typedef Scale_space_reconstruction_3::Alpha_shape_mesher<Geom_traits> Alpha_shape_mesher;
-  
+
 private:
 
   Point_vector m_points;
@@ -85,7 +85,7 @@ public:
 
   /// @{
   /// \name Initialization
-  
+
   /**
    * Empty constructor.
    */
@@ -125,7 +125,7 @@ public:
   {
     m_points.push_back (p);
   }
-  
+
   /// inserts a collection of points into the scale-space at the current scale.
   /** \tparam InputIterator is an iterator over the point collection.
    *  The value type of the iterator must be a `Point`.
@@ -151,7 +151,7 @@ public:
 
   /// @{
   /// \name Algorithms
-  
+
   /// increases the scale by a number of iterations.
   /** Each iteration the scale is increased, the points set at a higher scale
    *  is computed. At a higher scale, the points set is smoother.
@@ -232,7 +232,7 @@ public:
 
   /// gives the number of points of the surface.
   std::size_t number_of_points() const { return m_points.size(); }
-  
+
   /// gives an iterator to the first point at the current scale.
   /** \warning Changes to the scale-space do not cause an automatic update to
    *  the surface.
@@ -244,10 +244,10 @@ public:
    *  the surface.
    */
   Point_iterator points_end() { return m_points.end(); }
-  
+
   /// gives an iterator to the first point at the current scale.
   Point_const_iterator points_begin() const { return m_points.begin(); }
-  
+
   /// gives a past-the-end iterator of the points at the current scale.
   Point_const_iterator points_end() const { return m_points.end(); }
 
@@ -278,7 +278,7 @@ template <typename Geom_traits>
 std::ostream& operator<< (std::ostream& os, const CGAL::Scale_space_surface_reconstruction_3<Geom_traits>& ss)
 {
   typedef CGAL::Scale_space_surface_reconstruction_3<Geom_traits> Reconstruction;
-  
+
   os << "OFF" << std::endl
      << ss.number_of_points() << " " << ss.number_of_facets() << " 0" << std::endl;
   for (typename Reconstruction::Point_const_iterator it = ss.points_begin();
diff -pruN 5.0.2-3/include/CGAL/SCIP_mixed_integer_program_traits.h 5.0.3-1/include/CGAL/SCIP_mixed_integer_program_traits.h
--- 5.0.2-3/include/CGAL/SCIP_mixed_integer_program_traits.h	2020-02-21 20:04:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/SCIP_mixed_integer_program_traits.h	2020-08-01 19:02:52.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Solver_interface/include/CGAL/SCIP_mixed_integer_program_traits.h $
-// $Id: SCIP_mixed_integer_program_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Solver_interface/include/CGAL/SCIP_mixed_integer_program_traits.h $
+// $Id: SCIP_mixed_integer_program_traits.h 202430d 2020-04-20T15:51:48+02:00 Dmitry Anisimov
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Liangliang Nan
@@ -20,216 +20,215 @@
 
 namespace CGAL {
 
-	/// \ingroup PkgSolver
-	///
-	/// This class provides an interface for formulating and solving 
-	/// mixed integer programs (constrained or unconstrained) using 
-	/// \ref thirdpartySCIP. 
-	///
-	/// \ref thirdpartySCIP must be available on the system.
-	///
-	/// \cond SKIP_IN_MANUAL
-	/// \tparam FT Number type
-	/// \endcond
-	///
-	/// \cgalModels `MixedIntegerProgramTraits`
-	///
-	/// \sa `GLPK_mixed_integer_program_traits`
-
-	template <typename FT>
-	class SCIP_mixed_integer_program_traits : public Mixed_integer_program_traits<FT>
-	{
-		/// \cond SKIP_IN_MANUAL
-	public:
-                typedef CGAL::Mixed_integer_program_traits<FT>		Base_class;
-		typedef typename Base_class::Variable			Variable;
+        /// \ingroup PkgSolverInterfaceRef
+        ///
+        /// This class provides an interface for formulating and solving
+        /// mixed integer programs (constrained or unconstrained) using
+        /// \ref thirdpartySCIP.
+        ///
+        /// \ref thirdpartySCIP must be available on the system.
+        ///
+        /// \cond SKIP_IN_MANUAL
+        /// \tparam FT Number type
+        /// \endcond
+        ///
+        /// \cgalModels `MixedIntegerProgramTraits`
+        ///
+        /// \sa `GLPK_mixed_integer_program_traits`
+        template <typename FT>
+        class SCIP_mixed_integer_program_traits : public Mixed_integer_program_traits<FT>
+        {
+                /// \cond SKIP_IN_MANUAL
+        public:
+                typedef CGAL::Mixed_integer_program_traits<FT>                Base_class;
+                typedef typename Base_class::Variable                        Variable;
                 typedef typename Base_class::Linear_constraint          Linear_constraint;
                 typedef typename Base_class::Linear_objective           Linear_objective;
-		typedef typename Linear_objective::Sense		Sense;
-		typedef typename Variable::Variable_type		Variable_type;
+                typedef typename Linear_objective::Sense                Sense;
+                typedef typename Variable::Variable_type                Variable_type;
 
-	public:
+        public:
 
-		/// Solves the program. Returns false if fails.
-		virtual bool solve();
-		/// \endcond
-	};
-
-	//////////////////////////////////////////////////////////////////////////
-
-	// implementation
-
-	template<typename FT>
-	bool SCIP_mixed_integer_program_traits<FT>::solve()
-	{
-		Base_class::error_message_.clear();
-
-		Scip* scip = 0;
-		SCIP_CALL(SCIPcreate(&scip));
-		SCIP_CALL(SCIPincludeDefaultPlugins(scip));
-
-		// Disables scip output to stdout
-		SCIPmessagehdlrSetQuiet(SCIPgetMessagehdlr(scip), TRUE);
-
-		// Uses wall clock time because getting CPU user seconds
-		// involves calling times() which is very expensive
-		SCIP_CALL(SCIPsetIntParam(scip, "timing/clocktype", SCIP_CLOCKTYPE_WALL));
-
-		// Creates empty problem 
-		SCIP_CALL(SCIPcreateProbBasic(scip, "Solver_interface"));
-
-		// Creates variables
-		std::vector<SCIP_VAR*> scip_variables;
-		for (std::size_t i = 0; i < Base_class::variables_.size(); ++i) {
-			const Variable* var = Base_class::variables_[i];
-			SCIP_VAR* v = 0;
-
-			double lb, ub;
-			var->get_bounds(lb, ub);
-
-			switch (var->variable_type())
-			{
-			case Variable::CONTINUOUS:
-				SCIP_CALL(SCIPcreateVar(scip, &v, var->name().c_str(), lb, ub, 0.0, SCIP_VARTYPE_CONTINUOUS, TRUE, FALSE, 0, 0, 0, 0, 0));
-				break;
-			case Variable::INTEGER:
-				SCIP_CALL(SCIPcreateVar(scip, &v, var->name().c_str(), lb, ub, 0.0, SCIP_VARTYPE_INTEGER, TRUE, FALSE, 0, 0, 0, 0, 0));
-				break;
-			case Variable::BINARY:
-				SCIP_CALL(SCIPcreateVar(scip, &v, var->name().c_str(), 0, 1, 0.0, SCIP_VARTYPE_BINARY, TRUE, FALSE, 0, 0, 0, 0, 0));
-				break;
-			}
-			// Adds the SCIP_VAR object to the scip problem
-			SCIP_CALL(SCIPaddVar(scip, v));
-
-			// Stores the SCIP_VAR pointer for later access
-			scip_variables.push_back(v);
-		}
-
-		// Adds constraints
-
-		std::vector<SCIP_CONS*> scip_constraints;
-		for (std::size_t i = 0; i < Base_class::constraints_.size(); ++i) {
-			const Linear_constraint* c = Base_class::constraints_[i];
-			const std::unordered_map<const Variable*, double>& coeffs = c->coefficients();
-			typename std::unordered_map<const Variable*, double>::const_iterator cur = coeffs.begin();
-
-			std::vector<SCIP_VAR*>	cstr_variables(coeffs.size());
-			std::vector<double>		cstr_values(coeffs.size());
-			std::size_t idx = 0;
-			for (; cur != coeffs.end(); ++cur) {
-				std::size_t var_idx = cur->first->index();
-				double coeff = cur->second;
-				cstr_variables[idx] = scip_variables[var_idx];
-				cstr_values[idx] = coeff;
-				++idx;
-			}
-
-			// Creates SCIP_CONS object
-			SCIP_CONS* cons = 0;
-			const std::string& name = c->name();
-
-			double lb, ub;
-			c->get_bounds(lb, ub);
-
-			SCIP_CALL(SCIPcreateConsLinear(scip, &cons, name.c_str(), int(coeffs.size()), cstr_variables.data(), cstr_values.data(), lb, ub, TRUE, TRUE, TRUE, TRUE, TRUE, FALSE, FALSE, FALSE, FALSE, FALSE));
-
-			// Adds the constraint to scip
-			SCIP_CALL(SCIPaddCons(scip, cons));			
-
-			// Stores the constraint for later on
-			scip_constraints.push_back(cons);
-		}
-
-		// Sets objective
-
-		// Determines the coefficient of each variable in the objective function
-		const std::unordered_map<const Variable*, double>& obj_coeffs = Base_class::objective_->coefficients();
-		typename std::unordered_map<const Variable*, double>::const_iterator cur = obj_coeffs.begin();
-		for (; cur != obj_coeffs.end(); ++cur) {
-			const Variable* var = cur->first;
-			double coeff = cur->second;
-			SCIP_CALL(SCIPchgVarObj(scip, scip_variables[var->index()], coeff));
-		}
-
-		// Sets the objective sense
-		bool minimize = (Base_class::objective_->sense() == Linear_objective::MINIMIZE);
-		SCIP_CALL(SCIPsetObjsense(scip, minimize ? SCIP_OBJSENSE_MINIMIZE : SCIP_OBJSENSE_MAXIMIZE));
-
-		// Turns presolve on (it's the SCIP default).
-		bool presolve = true;
-		if (presolve)
-			SCIP_CALL(SCIPsetIntParam(scip, "presolving/maxrounds", -1)); // maximal number of presolving rounds (-1: unlimited, 0: off)
-		else
-			SCIP_CALL(SCIPsetIntParam(scip, "presolving/maxrounds", 0));  // disable presolve
-
-		bool status = false;
-		// This tells scip to start the solution process
-		if (SCIPsolve(scip) == SCIP_OKAY) {
-			// Gets the best found solution from scip
-			SCIP_SOL* sol = SCIPgetBestSol(scip);
-			if (sol) {
-				// If optimal or feasible solution is found.
-				Base_class::result_.resize(Base_class::variables_.size());
-				for (std::size_t i = 0; i < Base_class::variables_.size(); ++i) {
-					FT x = SCIPgetSolVal(scip, sol, scip_variables[i]);
-
-					Variable* v = Base_class::variables_[i];
-					if (v->variable_type() != Variable::CONTINUOUS)
-						x = static_cast<int>(std::round(x));
-
-					v->set_solution_value(x);
-					Base_class::result_[i] = x;
-				}
-				status = true;
-			}
-		}
-
-		// Reports the status: optimal, infeasible, etc.
-		SCIP_STATUS scip_status = SCIPgetStatus(scip);
-		switch (scip_status) {
-		case SCIP_STATUS_OPTIMAL:
-			// Provides info only if fails.
-			break;
-		case SCIP_STATUS_GAPLIMIT:
-			// To be consistent with the other solvers.
-			// Provides info only if fails.
-			break;
-		case SCIP_STATUS_INFEASIBLE:
-			Base_class::error_message_ = "model was infeasible";
-			break;
-		case SCIP_STATUS_UNBOUNDED:
-			Base_class::error_message_ = "model was unbounded";
-			break;
-		case SCIP_STATUS_INFORUNBD:
-			Base_class::error_message_ = "model was either infeasible or unbounded";
-			break;
-		case SCIP_STATUS_TIMELIMIT:
-			Base_class::error_message_ = "aborted due to time limit";
-			break;
-		default:
-			Base_class::error_message_ = "aborted with status: " + std::to_string(scip_status);
-			break;
-		}
-
-		SCIP_CALL(SCIPresetParams(scip));
-
-		// Since the SCIPcreateVar captures all variables, we have to release them now
-		for (std::size_t i = 0; i < scip_variables.size(); ++i)
-			SCIP_CALL(SCIPreleaseVar(scip, &scip_variables[i]));
-		scip_variables.clear();
-
-		// The same for the constraints
-		for (std::size_t i = 0; i < scip_constraints.size(); ++i)
-			SCIP_CALL(SCIPreleaseCons(scip, &scip_constraints[i]));
-		scip_constraints.clear();
-
-		// After releasing all vars and cons we can free the scip problem.
-		// Remember this has always to be the last call to scip
-		SCIP_CALL(SCIPfree(&scip));
+                /// Solves the program. Returns false if fails.
+                virtual bool solve();
+                /// \endcond
+        };
+
+        //////////////////////////////////////////////////////////////////////////
+
+        // implementation
+
+        template<typename FT>
+        bool SCIP_mixed_integer_program_traits<FT>::solve()
+        {
+                Base_class::error_message_.clear();
+
+                Scip* scip = 0;
+                SCIP_CALL(SCIPcreate(&scip));
+                SCIP_CALL(SCIPincludeDefaultPlugins(scip));
+
+                // Disables scip output to stdout
+                SCIPmessagehdlrSetQuiet(SCIPgetMessagehdlr(scip), TRUE);
+
+                // Uses wall clock time because getting CPU user seconds
+                // involves calling times() which is very expensive
+                SCIP_CALL(SCIPsetIntParam(scip, "timing/clocktype", SCIP_CLOCKTYPE_WALL));
+
+                // Creates empty problem
+                SCIP_CALL(SCIPcreateProbBasic(scip, "Solver_interface"));
+
+                // Creates variables
+                std::vector<SCIP_VAR*> scip_variables;
+                for (std::size_t i = 0; i < Base_class::variables_.size(); ++i) {
+                        const Variable* var = Base_class::variables_[i];
+                        SCIP_VAR* v = 0;
+
+                        double lb, ub;
+                        var->get_bounds(lb, ub);
+
+                        switch (var->variable_type())
+                        {
+                        case Variable::CONTINUOUS:
+                                SCIP_CALL(SCIPcreateVar(scip, &v, var->name().c_str(), lb, ub, 0.0, SCIP_VARTYPE_CONTINUOUS, TRUE, FALSE, 0, 0, 0, 0, 0));
+                                break;
+                        case Variable::INTEGER:
+                                SCIP_CALL(SCIPcreateVar(scip, &v, var->name().c_str(), lb, ub, 0.0, SCIP_VARTYPE_INTEGER, TRUE, FALSE, 0, 0, 0, 0, 0));
+                                break;
+                        case Variable::BINARY:
+                                SCIP_CALL(SCIPcreateVar(scip, &v, var->name().c_str(), 0, 1, 0.0, SCIP_VARTYPE_BINARY, TRUE, FALSE, 0, 0, 0, 0, 0));
+                                break;
+                        }
+                        // Adds the SCIP_VAR object to the scip problem
+                        SCIP_CALL(SCIPaddVar(scip, v));
+
+                        // Stores the SCIP_VAR pointer for later access
+                        scip_variables.push_back(v);
+                }
+
+                // Adds constraints
+
+                std::vector<SCIP_CONS*> scip_constraints;
+                for (std::size_t i = 0; i < Base_class::constraints_.size(); ++i) {
+                        const Linear_constraint* c = Base_class::constraints_[i];
+                        const std::unordered_map<const Variable*, double>& coeffs = c->coefficients();
+                        typename std::unordered_map<const Variable*, double>::const_iterator cur = coeffs.begin();
+
+                        std::vector<SCIP_VAR*>        cstr_variables(coeffs.size());
+                        std::vector<double>                cstr_values(coeffs.size());
+                        std::size_t idx = 0;
+                        for (; cur != coeffs.end(); ++cur) {
+                                std::size_t var_idx = cur->first->index();
+                                double coeff = cur->second;
+                                cstr_variables[idx] = scip_variables[var_idx];
+                                cstr_values[idx] = coeff;
+                                ++idx;
+                        }
+
+                        // Creates SCIP_CONS object
+                        SCIP_CONS* cons = 0;
+                        const std::string& name = c->name();
+
+                        double lb, ub;
+                        c->get_bounds(lb, ub);
+
+                        SCIP_CALL(SCIPcreateConsLinear(scip, &cons, name.c_str(), int(coeffs.size()), cstr_variables.data(), cstr_values.data(), lb, ub, TRUE, TRUE, TRUE, TRUE, TRUE, FALSE, FALSE, FALSE, FALSE, FALSE));
+
+                        // Adds the constraint to scip
+                        SCIP_CALL(SCIPaddCons(scip, cons));
+
+                        // Stores the constraint for later on
+                        scip_constraints.push_back(cons);
+                }
+
+                // Sets objective
+
+                // Determines the coefficient of each variable in the objective function
+                const std::unordered_map<const Variable*, double>& obj_coeffs = Base_class::objective_->coefficients();
+                typename std::unordered_map<const Variable*, double>::const_iterator cur = obj_coeffs.begin();
+                for (; cur != obj_coeffs.end(); ++cur) {
+                        const Variable* var = cur->first;
+                        double coeff = cur->second;
+                        SCIP_CALL(SCIPchgVarObj(scip, scip_variables[var->index()], coeff));
+                }
+
+                // Sets the objective sense
+                bool minimize = (Base_class::objective_->sense() == Linear_objective::MINIMIZE);
+                SCIP_CALL(SCIPsetObjsense(scip, minimize ? SCIP_OBJSENSE_MINIMIZE : SCIP_OBJSENSE_MAXIMIZE));
+
+                // Turns presolve on (it's the SCIP default).
+                bool presolve = true;
+                if (presolve)
+                        SCIP_CALL(SCIPsetIntParam(scip, "presolving/maxrounds", -1)); // maximal number of presolving rounds (-1: unlimited, 0: off)
+                else
+                        SCIP_CALL(SCIPsetIntParam(scip, "presolving/maxrounds", 0));  // disable presolve
+
+                bool status = false;
+                // This tells scip to start the solution process
+                if (SCIPsolve(scip) == SCIP_OKAY) {
+                        // Gets the best found solution from scip
+                        SCIP_SOL* sol = SCIPgetBestSol(scip);
+                        if (sol) {
+                                // If optimal or feasible solution is found.
+                                Base_class::result_.resize(Base_class::variables_.size());
+                                for (std::size_t i = 0; i < Base_class::variables_.size(); ++i) {
+                                        FT x = SCIPgetSolVal(scip, sol, scip_variables[i]);
+
+                                        Variable* v = Base_class::variables_[i];
+                                        if (v->variable_type() != Variable::CONTINUOUS)
+                                                x = static_cast<int>(std::round(x));
+
+                                        v->set_solution_value(x);
+                                        Base_class::result_[i] = x;
+                                }
+                                status = true;
+                        }
+                }
+
+                // Reports the status: optimal, infeasible, etc.
+                SCIP_STATUS scip_status = SCIPgetStatus(scip);
+                switch (scip_status) {
+                case SCIP_STATUS_OPTIMAL:
+                        // Provides info only if fails.
+                        break;
+                case SCIP_STATUS_GAPLIMIT:
+                        // To be consistent with the other solvers.
+                        // Provides info only if fails.
+                        break;
+                case SCIP_STATUS_INFEASIBLE:
+                        Base_class::error_message_ = "model was infeasible";
+                        break;
+                case SCIP_STATUS_UNBOUNDED:
+                        Base_class::error_message_ = "model was unbounded";
+                        break;
+                case SCIP_STATUS_INFORUNBD:
+                        Base_class::error_message_ = "model was either infeasible or unbounded";
+                        break;
+                case SCIP_STATUS_TIMELIMIT:
+                        Base_class::error_message_ = "aborted due to time limit";
+                        break;
+                default:
+                        Base_class::error_message_ = "aborted with status: " + std::to_string(scip_status);
+                        break;
+                }
+
+                SCIP_CALL(SCIPresetParams(scip));
+
+                // Since the SCIPcreateVar captures all variables, we have to release them now
+                for (std::size_t i = 0; i < scip_variables.size(); ++i)
+                        SCIP_CALL(SCIPreleaseVar(scip, &scip_variables[i]));
+                scip_variables.clear();
+
+                // The same for the constraints
+                for (std::size_t i = 0; i < scip_constraints.size(); ++i)
+                        SCIP_CALL(SCIPreleaseCons(scip, &scip_constraints[i]));
+                scip_constraints.clear();
+
+                // After releasing all vars and cons we can free the scip problem.
+                // Remember this has always to be the last call to scip
+                SCIP_CALL(SCIPfree(&scip));
 
-		return status;
-	}
+                return status;
+        }
 
 } // namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Search_traits_2.h 5.0.3-1/include/CGAL/Search_traits_2.h
--- 5.0.2-3/include/CGAL/Search_traits_2.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Search_traits_2.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Search_traits_2.h $
-// $Id: Search_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Search_traits_2.h $
+// $Id: Search_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Hans Tangelder (<hanst@cs.uu.nl>)
 
@@ -21,7 +21,7 @@
 namespace CGAL {
 
 
-  template <class K > 
+  template <class K >
 
   class Search_traits_2 {
 
@@ -40,12 +40,12 @@ namespace CGAL {
 
     typedef typename K::Construct_iso_rectangle_2 Construct_iso_box_d;
     typedef typename K::FT FT;
-  
+
     Construct_cartesian_const_iterator_d construct_cartesian_const_iterator_d_object() const {
        return Construct_cartesian_const_iterator_d();
-    }  
+    }
   };
 
-  
+
 } // namespace CGAL
 #endif // CGAL_SEARCH_TRAITS_2_H
diff -pruN 5.0.2-3/include/CGAL/Search_traits_3.h 5.0.3-1/include/CGAL/Search_traits_3.h
--- 5.0.2-3/include/CGAL/Search_traits_3.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Search_traits_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Search_traits_3.h $
-// $Id: Search_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Search_traits_3.h $
+// $Id: Search_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Hans Tangelder (<hanst@cs.uu.nl>)
 
@@ -40,13 +40,13 @@ namespace CGAL {
     typedef typename K::Construct_center_3 Construct_center_d;
     typedef typename K::Compute_squared_radius_3 Compute_squared_radius_d;
     typedef typename K::FT FT;
-  
+
     Construct_cartesian_const_iterator_d construct_cartesian_const_iterator_d_object() const {
        return Construct_cartesian_const_iterator_d();
     }
-  
+
   };
 
-  
+
 } // namespace CGAL
 #endif // SEARCH_TRAITS_3_H
diff -pruN 5.0.2-3/include/CGAL/Search_traits_adapter.h 5.0.3-1/include/CGAL/Search_traits_adapter.h
--- 5.0.2-3/include/CGAL/Search_traits_adapter.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Search_traits_adapter.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Search_traits_adapter.h $
-// $Id: Search_traits_adapter.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Search_traits_adapter.h $
+// $Id: Search_traits_adapter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot
 
@@ -30,13 +30,13 @@
 namespace CGAL{
 
 using ::get;
-  
+
 template <class Point_with_info,class PointPropertyMap,class Base_traits>
 class Search_traits_adapter;
-  
+
 template <class Point_with_info,class PointPropertyMap,class Base_distance>
 class Distance_adapter;
-  
+
 namespace internal{
 
 BOOST_MPL_HAS_XXX_TRAIT_NAMED_DEF(Has_typedef_Iso_box_d,Iso_box_d,false)
@@ -55,7 +55,7 @@ struct Get_iso_box_d<T,true>
 {
   typedef typename T::Iso_box_d type;
 };
-  
+
   template <class Point_with_info,class PointPropertyMap,class Base_traits>
   struct Spatial_searching_default_distance< ::CGAL::Search_traits_adapter<Point_with_info,PointPropertyMap,Base_traits> >{
     typedef ::CGAL::Distance_adapter<Point_with_info,
@@ -64,8 +64,8 @@ struct Get_iso_box_d<T,true>
   };
 
 } //namespace internal
-  
-  
+
+
 template <class Point_with_info,class PointPropertyMap,class Base_traits>
 class Search_traits_adapter : public Base_traits{
   PointPropertyMap ppmap;
@@ -78,21 +78,21 @@ public:
                           const Base_traits& base=Base_traits()
   ):Base_traits(base),ppmap(ppmap_){}
 
-  
+
   typedef Point_with_info                                       Point_d;
   typedef typename Base_traits::FT                              FT;
   typedef typename Base_traits::Dimension                       Dimension;
-  
+
 
   // Default if point map is lvalue: use Construct_cartesian_const_iterator_d
   struct Construct_cartesian_const_iterator_d_lvalue: public Base_traits::Construct_cartesian_const_iterator_d{
     PointPropertyMap ppmap;
     typedef typename Base_traits::Construct_cartesian_const_iterator_d Base;
-    
+
     Construct_cartesian_const_iterator_d_lvalue
     (const typename Base_traits::Construct_cartesian_const_iterator_d& base, const PointPropertyMap& ppmap_)
       :Base_traits::Construct_cartesian_const_iterator_d(base), ppmap(ppmap_){}
-    
+
     typename Base_traits::Cartesian_const_iterator_d operator()(const Point_with_info& p) const
     { return Base::operator() (get(ppmap,p)); }
 
@@ -100,9 +100,9 @@ public:
     { return Base::operator() (get(ppmap,p),0); }
 
     // These 2 additional operators forward the call to Base_traits.
-    // This is needed because of an undocumented requirement of 
-    // Orthogonal_k_neighbor_search and Orthogonal_incremental_neighbor_search: 
-    // Traits::Construct_cartesian_const_iterator should be callable 
+    // This is needed because of an undocumented requirement of
+    // Orthogonal_k_neighbor_search and Orthogonal_incremental_neighbor_search:
+    // Traits::Construct_cartesian_const_iterator should be callable
     // on the query point type. If the query point type is the same as
     // Point_with_info, we disable it.
 
@@ -122,7 +122,7 @@ public:
       ) const
     { return Base::operator() (p,0); }
   };
-  
+
   // If point map is not lvalue, use this work-around that stores a
   // Point object in a shared pointer to avoid iterating on a temp
   // object
@@ -136,7 +136,7 @@ public:
                                    typename std::iterator_traits<typename Base::Cartesian_const_iterator_d>::value_type,
                                    std::random_access_iterator_tag
                                    > Facade;
-    
+
     typedef typename std::iterator_traits<typename Base::Cartesian_const_iterator_d>::value_type
     Dereference_type;
     typedef typename boost::property_traits<PointPropertyMap>::value_type
@@ -146,13 +146,13 @@ public:
     std::size_t idx;
 
   public:
-    
+
     No_lvalue_iterator() : point(NULL), idx(0) { }
     No_lvalue_iterator(const Point& point) : point(new Point(point)), idx(0) { }
     No_lvalue_iterator(const Point& point, int) : point(new Point(point)), idx(Base::Dimension::value) { }
-    
+
   private:
-    
+
     friend class boost::iterator_core_access;
     void increment()
     {
@@ -164,7 +164,7 @@ public:
       --idx;
       CGAL_assertion(point != boost::shared_ptr<Point>());
     }
-  
+
     void advance(std::ptrdiff_t n)
     {
       idx += n;
@@ -174,7 +174,7 @@ public:
     std::ptrdiff_t distance_to(const No_lvalue_iterator& other) const
     {
       return other.idx - this->idx;
-      
+
     }
     bool equal(const No_lvalue_iterator& other) const
     {
@@ -191,11 +191,11 @@ public:
   struct Construct_cartesian_const_iterator_d_no_lvalue {
     typedef No_lvalue_iterator result_type;
     PointPropertyMap ppmap;
-    
+
     Construct_cartesian_const_iterator_d_no_lvalue
     (const typename Base_traits::Construct_cartesian_const_iterator_d&, const PointPropertyMap& ppmap_)
       : ppmap(ppmap_) { }
-    
+
     No_lvalue_iterator operator()(const Point_with_info& p) const
     { return No_lvalue_iterator(get(ppmap, p)); }
 
@@ -203,9 +203,9 @@ public:
     { return No_lvalue_iterator(get(ppmap, p),0); }
 
     // These 2 additional operators forward the call to Base_traits.
-    // This is needed because of an undocumented requirement of 
-    // Orthogonal_k_neighbor_search and Orthogonal_incremental_neighbor_search: 
-    // Traits::Construct_cartesian_const_iterator should be callable 
+    // This is needed because of an undocumented requirement of
+    // Orthogonal_k_neighbor_search and Orthogonal_incremental_neighbor_search:
+    // Traits::Construct_cartesian_const_iterator should be callable
     // on the query point type. If the query point type is the same as
     // Point_with_info, we disable it.
 
@@ -242,7 +242,7 @@ public:
              Construct_cartesian_const_iterator_d_lvalue,
              Construct_cartesian_const_iterator_d_no_lvalue>::type
     Construct_cartesian_const_iterator_d;
-  
+
   struct Construct_iso_box_d: public Base::Construct_iso_box_d{
     PointPropertyMap ppmap;
     typedef typename Base_traits::FT  FT; // needed for VC++, because otherwise it is taken from the private typedef of the base class
@@ -256,9 +256,9 @@ public:
       return Base_functor::operator() (get(ppmap,p),get(ppmap,q));
     }
   };
-  
+
   const PointPropertyMap& point_property_map() const {return ppmap;}
-  
+
   Construct_cartesian_const_iterator_d construct_cartesian_const_iterator_d_object() const {
     return Construct_cartesian_const_iterator_d(
       Base::construct_cartesian_const_iterator_d_object(),
@@ -272,17 +272,17 @@ class Distance_adapter : public Base_dis
   typedef typename Base_distance::FT FT;
 
 public:
-    
+
   Distance_adapter( const PointPropertyMap& ppmap_=PointPropertyMap(),
                          const Base_distance& distance=Base_distance()
   ):Base_distance(distance),ppmap(ppmap_){}
 
   using Base_distance::transformed_distance;
-  
+
   typedef Point_with_info Point_d;
   typedef typename Base_distance::Query_item Query_item;
 
-  const PointPropertyMap& point_property_map() const {return ppmap;}    
+  const PointPropertyMap& point_property_map() const {return ppmap;}
 
   FT transformed_distance(const Query_item& p1, const Point_with_info& p2) const
   {
@@ -305,12 +305,12 @@ public:
   FT max_distance_to_rectangle(const Query_item& p,const CGAL::Kd_tree_rectangle<FT,Dimension>& b) const
   {
     return Base_distance::max_distance_to_rectangle(p,b);
-  }  
+  }
   template <class FT,class Dimension>
   FT max_distance_to_rectangle(const Query_item& p,const CGAL::Kd_tree_rectangle<FT,Dimension>& b,std::vector<FT>& dists) const
   {
     return Base_distance::max_distance_to_rectangle(p,b,dists);
-  }  
+  }
 };
 
 }//namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Search_traits_d.h 5.0.3-1/include/CGAL/Search_traits_d.h
--- 5.0.2-3/include/CGAL/Search_traits_d.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Search_traits_d.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Search_traits_d.h $
-// $Id: Search_traits_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Search_traits_d.h $
+// $Id: Search_traits_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Hans Tangelder (<hanst@cs.uu.nl>)
 
@@ -35,12 +35,12 @@ namespace CGAL {
     typedef typename K::Iso_box_d Iso_box_d;
     typedef typename K::Sphere_d Sphere_d;
     typedef typename K::FT FT;
-    
+
     Construct_cartesian_const_iterator_d construct_cartesian_const_iterator_d_object() const {
        return Construct_cartesian_const_iterator_d();
-    }  
+    }
   };
 
-  
+
 } // namespace CGAL
 #endif // CGAL_SEARCH_TRAITS_D_H
diff -pruN 5.0.2-3/include/CGAL/Search_traits.h 5.0.3-1/include/CGAL/Search_traits.h
--- 5.0.2-3/include/CGAL/Search_traits.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Search_traits.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Search_traits.h $
-// $Id: Search_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Search_traits.h $
+// $Id: Search_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Hans Tangelder (<hanst@cs.uu.nl>)
 
@@ -22,7 +22,7 @@
 namespace CGAL {
   template <class FT_, class Point, class CartesianCoordinateIterator, class ConstructCartesianCoordinateIterator, typename D = Dynamic_dimension_tag>
   class Search_traits {
-    
+
   public:
 
     typedef D Dimension;
@@ -31,13 +31,13 @@ namespace CGAL {
     typedef ConstructCartesianCoordinateIterator Construct_cartesian_const_iterator_d;
     typedef Point Point_d;
     typedef FT_ FT;
-    
+
     Construct_cartesian_const_iterator_d construct_cartesian_const_iterator_d_object() const {
        return Construct_cartesian_const_iterator_d();
     }
-  
+
   };
 
-  
+
 } // namespace CGAL
 #endif //  KD_TREE_TRAITS_POINT_H
diff -pruN 5.0.2-3/include/CGAL/Segment_2.h 5.0.3-1/include/CGAL/Segment_2.h
--- 5.0.2-3/include/CGAL/Segment_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_2.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Segment_2.h $
-// $Id: Segment_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Segment_2.h $
+// $Id: Segment_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
@@ -72,7 +72,7 @@ public:
 
   typename cpp11::result_of<typename R::Construct_source_2( Segment_2)>::type
   source() const
-  { 
+  {
     return R_().construct_source_2_object()(*this);
   }
 
@@ -94,10 +94,10 @@ public:
     return target();
   }
 
-  
+
   typename cpp11::result_of<typename R_::Construct_min_vertex_2(Segment_2)>::type
   min BOOST_PREVENT_MACRO_SUBSTITUTION() const;
-  
+
   typename cpp11::result_of<typename R_::Construct_max_vertex_2( Segment_2)>::type
   max BOOST_PREVENT_MACRO_SUBSTITUTION () const;
 
@@ -112,7 +112,7 @@ public:
 
   bool        is_horizontal() const;
   bool        is_vertical() const;
-  bool        has_on(const Point_2 &p) const;  
+  bool        has_on(const Point_2 &p) const;
   bool        collinear_has_on(const Point_2 &p) const;
   FT          squared_length() const;
 
@@ -153,7 +153,7 @@ public:
   Line_2
   supporting_line() const
   {
-    typename R::Construct_line_2 construct_line;  
+    typename R::Construct_line_2 construct_line;
     return construct_line(*this);
   }
 
@@ -175,7 +175,7 @@ CGAL_KERNEL_INLINE
 typename cpp11::result_of<typename R_::Construct_min_vertex_2( Segment_2<R_> )>::type
 Segment_2<R_>::min BOOST_PREVENT_MACRO_SUBSTITUTION () const
 {
-  typename R_::Less_xy_2 less_xy; 
+  typename R_::Less_xy_2 less_xy;
   return less_xy(source(),target()) ? source() : target();
 }
 
@@ -184,7 +184,7 @@ CGAL_KERNEL_INLINE
 typename cpp11::result_of<typename R_::Construct_max_vertex_2( Segment_2<R_> )>::type
 Segment_2<R_>::max BOOST_PREVENT_MACRO_SUBSTITUTION () const
 {
-  typename R_::Less_xy_2 less_xy; 
+  typename R_::Less_xy_2 less_xy;
   return less_xy(source(),target()) ? target() : source();
 }
 
@@ -236,9 +236,9 @@ bool
 Segment_2<R_>::
 has_on(const typename R_::Point_2 &p) const
 {
-  return R_().are_ordered_along_line_2_object()(source(), 
-					       p, 
-					       target());
+  return R_().are_ordered_along_line_2_object()(source(),
+                                               p,
+                                               target());
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Segment_3.h 5.0.3-1/include/CGAL/Segment_3.h
--- 5.0.2-3/include/CGAL/Segment_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_3.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Segment_3.h $
-// $Id: Segment_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Segment_3.h $
+// $Id: Segment_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Stefan Schirra
 
@@ -70,7 +70,7 @@ public:
 
   typename cpp11::result_of<typename R::Construct_source_3(Segment_3)>::type
   source() const
-  { 
+  {
     return R_().construct_source_3_object()(*this);
   }
 
@@ -91,7 +91,7 @@ public:
   {
     return target();
   }
- 
+
   typename cpp11::result_of<typename R_::Construct_min_vertex_3(Segment_3)>::type
   min BOOST_PREVENT_MACRO_SUBSTITUTION () const;
 
@@ -127,9 +127,9 @@ public:
 
   bool has_on(const Point_3 &p) const
   { // TODO : use one predicate.
-    return R_().are_ordered_along_line_3_object()(source(), 
-					         p, 
-					         target());
+    return R_().are_ordered_along_line_3_object()(source(),
+                                                 p,
+                                                 target());
   }
 
   Segment_3 opposite() const
@@ -166,7 +166,7 @@ CGAL_KERNEL_INLINE
 typename cpp11::result_of<typename R_::Construct_min_vertex_3( Segment_3<R_> ) >::type
 Segment_3<R_>::min BOOST_PREVENT_MACRO_SUBSTITUTION () const
 {
-  typename R_::Less_xyz_3 less_xyz; 
+  typename R_::Less_xyz_3 less_xyz;
   return less_xyz(source(),target()) ? source() : target();
 }
 
@@ -175,7 +175,7 @@ CGAL_KERNEL_INLINE
 typename cpp11::result_of<typename R_::Construct_max_vertex_3( Segment_3<R_> ) >::type
 Segment_3<R_>::max BOOST_PREVENT_MACRO_SUBSTITUTION () const
 {
-  typename R_::Less_xyz_3 less_xyz; 
+  typename R_::Less_xyz_3 less_xyz;
   return less_xyz(source(),target()) ? target() : source();
 }
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Are_parallel_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Are_parallel_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Are_parallel_C2.h	2020-02-21 20:04:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Are_parallel_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Are_parallel_C2.h $
-// $Id: Are_parallel_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Are_parallel_C2.h $
+// $Id: Are_parallel_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -44,7 +44,7 @@ private:
 private:
   Boolean   predicate(const Site_2& p, const Site_2& q) const {
     CGAL_precondition( p.is_segment() && q.is_segment() );
-    
+
     Segment_2 s1 = p.segment();
     Segment_2 s2 = q.segment();
 
@@ -58,7 +58,7 @@ private:
       y4 = s2.target().y();
 
     FT det = determinant<FT>(x2 - x1, x4 - x3,
-			     y2 - y1, y4 - y3);
+                             y2 - y1, y4 - y3);
 
     return ( CGAL::sign(det) == CGAL::ZERO );
   }
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Are_same_points_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Are_same_points_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Are_same_points_C2.h	2020-02-21 20:04:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Are_same_points_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Are_same_points_C2.h $
-// $Id: Are_same_points_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Are_same_points_C2.h $
+// $Id: Are_same_points_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -49,14 +49,14 @@ private:
   {
     return
       ( are_same(s.source(), t.source()) &&
-	are_same(s.target(), t.target()) ) ||
+        are_same(s.target(), t.target()) ) ||
       ( are_same(s.source(), t.target()) &&
-	are_same(s.target(), t.source()) );
+        are_same(s.target(), t.source()) );
   }
 
   Boolean   predicate(const Site_2& p, const Site_2& q, const Tag_false&) const
   {
-    return are_same(p.point(), q.point()); 
+    return are_same(p.point(), q.point());
   }
 
   Boolean   predicate(const Site_2& p, const Site_2& q, const Tag_true&) const
@@ -66,8 +66,8 @@ private:
       Site_2 t[2] = { q.supporting_site(0), q.supporting_site(1) };
 
       if (  ( are_same(s[0], t[0]) && are_same(s[1], t[1]) ) ||
-	    ( are_same(s[0], t[1]) && are_same(s[1], t[0]) )  ) {
-	return true;
+            ( are_same(s[0], t[1]) && are_same(s[1], t[0]) )  ) {
+        return true;
       }
     }
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Are_same_segments_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Are_same_segments_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Are_same_segments_C2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Are_same_segments_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Are_same_segments_C2.h $
-// $Id: Are_same_segments_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Are_same_segments_C2.h $
+// $Id: Are_same_segments_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Arrangement_enum.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Arrangement_enum.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Arrangement_enum.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Arrangement_enum.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Arrangement_enum.h $
-// $Id: Arrangement_enum.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Arrangement_enum.h $
+// $Id: Arrangement_enum.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -43,22 +43,22 @@ namespace Internal {
                   // points of (q1,q2)
       INTERIOR,  // (p1,p2) and q, and q is an interior point of (p1,p2)
       TOUCH_11_INTERIOR_1, // (p1,p2) and (q1,q2), and p1, q1 are
-			   // identical and q2 is an interior point of (p1,p2)
+                           // identical and q2 is an interior point of (p1,p2)
       TOUCH_11_INTERIOR_2, // (p1,p2) and (q1,q2), and p1, q1 are
-			   // identical and p2 is an interior point of
-			   // (q1,q2)
+                           // identical and p2 is an interior point of
+                           // (q1,q2)
       TOUCH_12_INTERIOR_1, // (p1,p2) and (q1,q2), and p1, q2 are
                            // identical and q1 is an interior point of (p1,p2)
       TOUCH_12_INTERIOR_2, // (p1,p2) and (q1,q2), and p1, q2 are
-			   // identical and p2 is an interior point of (q1,q2)
+                           // identical and p2 is an interior point of (q1,q2)
       TOUCH_21_INTERIOR_1, // (p1,p2) and (q1,q2), and p2, q1 are
-			   // identical and q2 is an interior point of (p1,p2)
+                           // identical and q2 is an interior point of (p1,p2)
       TOUCH_21_INTERIOR_2, // (p1,p2) and (q1,q2), and p2, q1 are
-  			   // identical and p1 is an interior point of (q1,q2)
+                             // identical and p1 is an interior point of (q1,q2)
       TOUCH_22_INTERIOR_1, // (p1,p2) and (q1,q2), and p2, q2 are
-			   // identical and q1 is an interior point of (p1,p2)
+                           // identical and q1 is an interior point of (p1,p2)
       TOUCH_22_INTERIOR_2, // (p1,p2) and (q1,q2), and p2, q2 are
-		           // identical and p1 is an interior point of (q1,q2)
+                           // identical and p1 is an interior point of (q1,q2)
       OVERLAPPING_11, // (p1,p2) and (q1,q2), and (p1,q1) is the overlap
       OVERLAPPING_12, // (p1,p2) and (q1,q2), and (p1,q1) is the overlap
       OVERLAPPING_21, // (p1,p2) and (q1,q2), and (p2,q1) is the overlap
@@ -77,41 +77,41 @@ namespace Internal {
     static Arrangement_type opposite(const Arrangement_type& at) {
       // this returns the result if we swap the order of the arguments...
       if ( at == TOUCH_12 ) {
-	return TOUCH_21;
+        return TOUCH_21;
       } else if ( at == TOUCH_21 ) {
-	return TOUCH_12;
+        return TOUCH_12;
       } else if ( at == INTERIOR_1 ) {
-	return INTERIOR_2;
+        return INTERIOR_2;
       } else if ( at == INTERIOR_2 ) {
-	return INTERIOR_1;
+        return INTERIOR_1;
       } else if ( at == TOUCH_11_INTERIOR_1 ) {
-	return TOUCH_11_INTERIOR_2;
+        return TOUCH_11_INTERIOR_2;
       } else if ( at == TOUCH_11_INTERIOR_2 ) {
-	return TOUCH_11_INTERIOR_1;
+        return TOUCH_11_INTERIOR_1;
       } else if ( at == TOUCH_12_INTERIOR_1 ) {
-	return TOUCH_21_INTERIOR_2;
+        return TOUCH_21_INTERIOR_2;
       } else if ( at == TOUCH_12_INTERIOR_2 ) {
-	return TOUCH_21_INTERIOR_1;
+        return TOUCH_21_INTERIOR_1;
       } else if ( at == TOUCH_21_INTERIOR_1 ) {
-	return TOUCH_12_INTERIOR_2;
+        return TOUCH_12_INTERIOR_2;
       } else if ( at == TOUCH_21_INTERIOR_2 ) {
-	return TOUCH_12_INTERIOR_1;
+        return TOUCH_12_INTERIOR_1;
       } else if ( at == TOUCH_22_INTERIOR_1 ) {
-	return TOUCH_22_INTERIOR_2;
+        return TOUCH_22_INTERIOR_2;
       } else if ( at == TOUCH_22_INTERIOR_2 ) {
-	return TOUCH_22_INTERIOR_1;
+        return TOUCH_22_INTERIOR_1;
       } else if ( at == OVERLAPPING_12 ) {
-	return OVERLAPPING_21;
+        return OVERLAPPING_21;
       } else if ( at == OVERLAPPING_21 ) {
-	return OVERLAPPING_12;
+        return OVERLAPPING_12;
       } else if ( at == TOUCH_INTERIOR_12 ) {
-	return TOUCH_INTERIOR_11;
+        return TOUCH_INTERIOR_11;
       } else if ( at == TOUCH_INTERIOR_22 ) {
-	return TOUCH_INTERIOR_21;
+        return TOUCH_INTERIOR_21;
       } else if ( at == TOUCH_INTERIOR_11 ) {
-	return TOUCH_INTERIOR_12;
+        return TOUCH_INTERIOR_12;
       } else if ( at == TOUCH_INTERIOR_21 ) {
-	return TOUCH_INTERIOR_22;
+        return TOUCH_INTERIOR_22;
       }
       return at;
     }
@@ -120,7 +120,7 @@ namespace Internal {
 #ifdef CGAL_SEGMENT_DELAUNAY_GRAPH_2_ARRANGEMENT_TYPE_OUTPUT_OPERATOR
   static
   std::ostream& operator<<(std::ostream& os,
-			   const Arrangement_enum::Arrangement_type& at)
+                           const Arrangement_enum::Arrangement_type& at)
   {
     typedef Arrangement_enum AT;
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Arrangement_type_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Arrangement_type_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Arrangement_type_C2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Arrangement_type_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Arrangement_type_C2.h $
-// $Id: Arrangement_type_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Arrangement_type_C2.h $
+// $Id: Arrangement_type_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -74,9 +74,9 @@ public:
 
 private:
   result_type compute_type_C2(const RT& x1, const RT& y1,
-			      const RT& x2, const RT& y2,
-			      const RT& x3, const RT& y3,
-			      const RT& x4, const RT& y4) const
+                              const RT& x2, const RT& y2,
+                              const RT& x3, const RT& y3,
+                              const RT& x4, const RT& y4) const
   {
     RT delta = -determinant<RT>(x2 - x1, x4 - x3, y2 - y1, y4 - y3);
 
@@ -90,8 +90,8 @@ private:
 
   result_type
   non_parallel_C2(const RT& x1, const RT& y1, const RT& x2, const RT& y2,
-		  const RT& x3, const RT& y3, const RT& x4, const RT& y4,
-		  const RT& D) const
+                  const RT& x3, const RT& y3, const RT& x4, const RT& y4,
+                  const RT& D) const
   {
     RT Dt = -determinant<RT>(x3 - x1, x4 - x3, y3 - y1, y4 - y3);
     RT Ds = determinant<RT>(x2 - x1, x3 - x1, y2 - y1, y3 - y1);
@@ -110,7 +110,7 @@ private:
     Sign s_s_minus_1 = s_sdiff * s_D;
 
     if ( s_t == CGAL::NEGATIVE || s_t_minus_1 == CGAL::POSITIVE ||
-	 s_s == CGAL::NEGATIVE || s_s_minus_1 == CGAL::POSITIVE ) {
+         s_s == CGAL::NEGATIVE || s_s_minus_1 == CGAL::POSITIVE ) {
       //  t < 0 or t > 1 or s < 0 or s > 1
       return Enum::DISJOINT;
     }
@@ -133,27 +133,27 @@ private:
 
     if ( it == 0 ) {
       if ( is == 0 ) {
-	return Enum::TOUCH_11;
+        return Enum::TOUCH_11;
       } else if ( is == 1 ) {
-	return Enum::TOUCH_12;
+        return Enum::TOUCH_12;
       } else {
-	return Enum::TOUCH_INTERIOR_12;
+        return Enum::TOUCH_INTERIOR_12;
       }
     } else if ( it == 1 ) {
       if ( is == 0 ) {
-	return Enum::TOUCH_21;
+        return Enum::TOUCH_21;
       } else if ( is == 1 ) {
-	return Enum::TOUCH_22;
+        return Enum::TOUCH_22;
       } else {
-	return Enum::TOUCH_INTERIOR_22;
+        return Enum::TOUCH_INTERIOR_22;
       }
     } else {
       if ( is == 0 ) {
-	return Enum::TOUCH_INTERIOR_11;
+        return Enum::TOUCH_INTERIOR_11;
       } else if ( is == 1 ) {
-	return Enum::TOUCH_INTERIOR_21;
+        return Enum::TOUCH_INTERIOR_21;
       } else {
-	return Enum::CROSSING;
+        return Enum::CROSSING;
       }
     }
   }
@@ -161,9 +161,9 @@ private:
 
   result_type
   parallel_C2(const RT& x1, const RT& y1, const RT& x2, const RT& y2,
-	      const RT& x3, const RT& y3, const RT& x4, const RT& y4) const
+              const RT& x3, const RT& y3, const RT& x4, const RT& y4) const
   {
-    RT D1 = determinant<RT>(x2 - x1, x3 - x1,	y2 - y1, y3 - y1);
+    RT D1 = determinant<RT>(x2 - x1, x3 - x1,        y2 - y1, y3 - y1);
 
     if ( CGAL::sign( D1 ) != CGAL::ZERO ) {
       return Enum::DISJOINT;
@@ -199,7 +199,7 @@ private:
     } else if ( s_t3_minus_1 == CGAL::ZERO ) { // t3 == 1
       it3 = 1;
     } else if ( s_t3 == CGAL::POSITIVE &&
-		s_t3_minus_1 == CGAL::NEGATIVE ) { // 0 < t3 < 1
+                s_t3_minus_1 == CGAL::NEGATIVE ) { // 0 < t3 < 1
       it3 = 2;
     } else if ( s_t3 == CGAL::NEGATIVE ) { // t3 < 0
       it3 = -1;
@@ -212,7 +212,7 @@ private:
     } else if ( s_t4_minus_1 == CGAL::ZERO ) { // t4 == 1
       it4 = 1;
     } else if ( s_t4 == CGAL::POSITIVE &&
-		s_t4_minus_1 == CGAL::NEGATIVE ) { // 0 < t4 < 1
+                s_t4_minus_1 == CGAL::NEGATIVE ) { // 0 < t4 < 1
       it4 = 2;
     } else if ( s_t4 == CGAL::NEGATIVE ) { // t4 < 0
       it4 = -1;
@@ -223,61 +223,61 @@ private:
     // decode now
     if ( it3 == -1 ) {
       if ( it4 == -1 ) {
-	return Enum::DISJOINT;
+        return Enum::DISJOINT;
       } else if ( it4 == 0 ) {
-	return Enum::TOUCH_12;
+        return Enum::TOUCH_12;
       } else if ( it4 == 1 ) {
-	return Enum::TOUCH_22_INTERIOR_2;
+        return Enum::TOUCH_22_INTERIOR_2;
       } else if ( it4 == 2 ) {
-	return Enum::OVERLAPPING_12;
+        return Enum::OVERLAPPING_12;
       } else { // it4 == 3
-	return Enum::INTERIOR_2;
+        return Enum::INTERIOR_2;
       }
     } else if ( it3 == 0 ) {
       CGAL_assertion( it4 != 0 );
       if ( it4 == -1 ) {
-	return Enum::TOUCH_11;
+        return Enum::TOUCH_11;
       } else if ( it4 == 1 ) {
-	return Enum::IDENTICAL;
+        return Enum::IDENTICAL;
       } else if ( it4 == 2 ) {
-	return Enum::TOUCH_11_INTERIOR_1;
+        return Enum::TOUCH_11_INTERIOR_1;
       } else { // it4 == 3
-	return Enum::TOUCH_11_INTERIOR_2;
+        return Enum::TOUCH_11_INTERIOR_2;
       }
     } else if ( it3 == 1 ) {
       CGAL_assertion( it4 != 1 );
       if ( it4 == -1 ) {
-	return Enum::TOUCH_21_INTERIOR_2;
+        return Enum::TOUCH_21_INTERIOR_2;
       } else if ( it4 == 0 ) {
-	return Enum::IDENTICAL;
+        return Enum::IDENTICAL;
       } else if ( it4 == 2 ) {
-	return Enum::TOUCH_21_INTERIOR_1;
+        return Enum::TOUCH_21_INTERIOR_1;
       } else { // it4 == 3
-	return Enum::TOUCH_21;
+        return Enum::TOUCH_21;
       }
     } else if ( it3 == 2 ) {
       if ( it4 == -1 ) {
-	return Enum::OVERLAPPING_11;
+        return Enum::OVERLAPPING_11;
       } else if ( it4 == 0 ) {
-	return Enum::TOUCH_12_INTERIOR_1;
+        return Enum::TOUCH_12_INTERIOR_1;
       } else if ( it4 == 1 ) {
-	return Enum::TOUCH_22_INTERIOR_1;
+        return Enum::TOUCH_22_INTERIOR_1;
       } else if ( it4 == 2 ) {
-	return Enum::INTERIOR_1;
+        return Enum::INTERIOR_1;
       } else { // it4 == 3
-	return Enum::OVERLAPPING_21;
+        return Enum::OVERLAPPING_21;
       }
     } else { // it3 == 3  ( t3 > 1 )
       if ( it4 == -1 ) {
-	return Enum::INTERIOR_2;
+        return Enum::INTERIOR_2;
       } else if ( it4 == 0 ) {
-	return Enum::TOUCH_12_INTERIOR_2;
+        return Enum::TOUCH_12_INTERIOR_2;
       } else if ( it4 == 1 ) {
-	return Enum::TOUCH_22;
+        return Enum::TOUCH_22;
       } else if ( it4 == 2 ) {
-	return Enum::OVERLAPPING_22;
+        return Enum::OVERLAPPING_22;
       } else { // it4 == 3
-	return Enum::DISJOINT;
+        return Enum::DISJOINT;
       }
     }
   }
@@ -328,7 +328,7 @@ private:
 
   result_type
   arrangement_type_same_point(const Site_2& p, const Site_2& q,
-			      unsigned int ip, unsigned int iq) const
+                              unsigned int ip, unsigned int iq) const
   {
     CGAL_precondition( ip < 2 && iq < 2 );
 
@@ -344,17 +344,17 @@ private:
 
     if ( Orientation_2()(p1, p2, p3) != COLLINEAR ) {
       if ( ip == 0 ) {
-	if ( iq == 0 ) {
-	  return TOUCH_11;
-	} else {
-	  return TOUCH_12;
-	}
+        if ( iq == 0 ) {
+          return TOUCH_11;
+        } else {
+          return TOUCH_12;
+        }
       } else {
-	if ( iq == 0 ) {
-	  return TOUCH_21;
-	} else {
-	  return TOUCH_22;
-	}
+        if ( iq == 0 ) {
+          return TOUCH_21;
+        } else {
+          return TOUCH_22;
+        }
       }
 
     } else {
@@ -362,9 +362,9 @@ private:
       Segment_2 s2 = q.segment();
 
       return parallel_C2( s1.source().x(), s1.source().y(),
-			  s1.target().x(), s1.target().y(),
-			  s2.source().x(), s2.source().y(),
-			  s2.target().x(), s2.target().y() );
+                          s1.target().x(), s1.target().y(),
+                          s2.source().x(), s2.source().y(),
+                          s2.target().x(), s2.target().y() );
     }
   }
 
@@ -394,9 +394,9 @@ private:
     Segment_2 s2 = q.segment();
 
     result_type res = compute_type_C2( s1.source().x(), s1.source().y(),
-				       s1.target().x(), s1.target().y(),
-				       s2.source().x(), s2.source().y(),
-				       s2.target().x(), s2.target().y() );
+                                       s1.target().x(), s1.target().y(),
+                                       s2.source().x(), s2.source().y(),
+                                       s2.target().x(), s2.target().y() );
 
     return res;
   }
@@ -442,15 +442,15 @@ public:
 
     if ( p.is_point() ) {
       if ( q.is_point() ) {
-	return arrangement_type_pp(p, q);
+        return arrangement_type_pp(p, q);
       } else {
-	return arrangement_type_ps(p, q);
+        return arrangement_type_ps(p, q);
       }
     } else {
       if ( q.is_point() ) {
-	return opposite( arrangement_type_ps(q, p) );
+        return opposite( arrangement_type_ps(q, p) );
       } else {
-	return arrangement_type_ss(p, q);
+        return arrangement_type_ss(p, q);
       }
     }
   }
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Arrangement_type_non_intersecting_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Arrangement_type_non_intersecting_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Arrangement_type_non_intersecting_C2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Arrangement_type_non_intersecting_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Arrangement_type_non_intersecting_C2.h $
-// $Id: Arrangement_type_non_intersecting_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Arrangement_type_non_intersecting_C2.h $
+// $Id: Arrangement_type_non_intersecting_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -135,15 +135,15 @@ public:
 
     if ( p.is_point() ) {
       if ( q.is_point() ) {
-	return arrangement_type_pp(p, q);
+        return arrangement_type_pp(p, q);
       } else {
-	return arrangement_type_ps(p, q);
+        return arrangement_type_ps(p, q);
       }
     } else {
       if ( q.is_point() ) {
-	return opposite( arrangement_type_ps(q, p) );
+        return opposite( arrangement_type_ps(q, p) );
       } else {
-	return arrangement_type_ss(p, q);
+        return arrangement_type_ss(p, q);
       }
     }
   }
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/basic.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/basic.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/basic.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/basic.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/basic.h $
-// $Id: basic.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/basic.h $
+// $Id: basic.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Basic_predicates_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Basic_predicates_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Basic_predicates_C2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Basic_predicates_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Basic_predicates_C2.h $
-// $Id: Basic_predicates_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Basic_predicates_C2.h $
+// $Id: Basic_predicates_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -162,7 +162,7 @@ public:    //    compute_supporting_line
 
   static
   void compute_supporting_line(const Site_2& s,
-			       RT& a, RT& b, RT& c)
+                               RT& a, RT& b, RT& c)
   {
     a = s.source().y() - s.target().y();
     b = s.target().x() - s.source().x();
@@ -179,7 +179,7 @@ public:    //    compute_supporting_line
 
   static
   void compute_supporting_line(const Segment_2& s,
-			       RT& a, RT& b, RT& c)
+                               RT& a, RT& b, RT& c)
   {
     a = s.source().y() - s.target().y();
     b = s.target().x() - s.source().x();
@@ -291,7 +291,7 @@ public:
   static
   Comparison_result
   compare_squared_distances_to_lines(const Point_2& p,
-				     const Line_2& l1,
+                                     const Line_2& l1,
                                      const Line_2& l2)
   {
     RT d2_l1 = CGAL::square(l1.a() * p.x() + l1.b() * p.y() + l1.c());
@@ -332,7 +332,7 @@ public:
     os2 = oriented_side_of_line(l, s.target());
 
     return ( (os1 == ON_POSITIVE_SIDE && os2 != ON_NEGATIVE_SIDE) ||
-	     (os1 != ON_NEGATIVE_SIDE && os2 == ON_POSITIVE_SIDE) );
+             (os1 != ON_NEGATIVE_SIDE && os2 == ON_POSITIVE_SIDE) );
   }
 
 };
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Cartesian_converter.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Cartesian_converter.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Cartesian_converter.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Cartesian_converter.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Cartesian_converter.h $
-// $Id: Cartesian_converter.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Cartesian_converter.h $
+// $Id: Cartesian_converter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -47,43 +47,43 @@ private:
   {
     if ( t.is_point() ) {
       if ( t.is_input() ) {
-	return K2_Site_2::construct_site_2( Base::operator()(t.point()) );
+        return K2_Site_2::construct_site_2( Base::operator()(t.point()) );
       } else {
-	return K2_Site_2::construct_site_2
-	  ( Base::operator()(t.source_of_supporting_site(0)),
-	    Base::operator()(t.target_of_supporting_site(0)),
-	    Base::operator()(t.source_of_supporting_site(1)),
-	    Base::operator()(t.target_of_supporting_site(1)) );
+        return K2_Site_2::construct_site_2
+          ( Base::operator()(t.source_of_supporting_site(0)),
+            Base::operator()(t.target_of_supporting_site(0)),
+            Base::operator()(t.source_of_supporting_site(1)),
+            Base::operator()(t.target_of_supporting_site(1)) );
       }
     }
 
     if ( t.is_input() ) {
       return K2_Site_2::construct_site_2
-	( Base::operator()(t.source_of_supporting_site()),
-	  Base::operator()(t.target_of_supporting_site()) );
+        ( Base::operator()(t.source_of_supporting_site()),
+          Base::operator()(t.target_of_supporting_site()) );
     } else {
       if ( t.is_input(0) ) {
-	return K2_Site_2::construct_site_2
-	  ( Base::operator()(t.source_of_supporting_site()),
-	    Base::operator()(t.target_of_supporting_site()),
-	    Base::operator()(t.source_of_crossing_site(1)),
-	    Base::operator()(t.target_of_crossing_site(1)),
-	    true );
+        return K2_Site_2::construct_site_2
+          ( Base::operator()(t.source_of_supporting_site()),
+            Base::operator()(t.target_of_supporting_site()),
+            Base::operator()(t.source_of_crossing_site(1)),
+            Base::operator()(t.target_of_crossing_site(1)),
+            true );
       } else if ( t.is_input(1) ) {
-	return K2_Site_2::construct_site_2
-	  ( Base::operator()(t.source_of_supporting_site()),
-	    Base::operator()(t.target_of_supporting_site()),
-	    Base::operator()(t.source_of_crossing_site(0)),
-	    Base::operator()(t.target_of_crossing_site(0)),
-	    false );
+        return K2_Site_2::construct_site_2
+          ( Base::operator()(t.source_of_supporting_site()),
+            Base::operator()(t.target_of_supporting_site()),
+            Base::operator()(t.source_of_crossing_site(0)),
+            Base::operator()(t.target_of_crossing_site(0)),
+            false );
       } else {
-	return K2_Site_2::construct_site_2
-	  ( Base::operator()(t.source_of_supporting_site()),
-	    Base::operator()(t.target_of_supporting_site()),
-	    Base::operator()(t.source_of_crossing_site(0)),
-	    Base::operator()(t.target_of_crossing_site(0)),
-	    Base::operator()(t.source_of_crossing_site(1)),
-	    Base::operator()(t.target_of_crossing_site(1)) );
+        return K2_Site_2::construct_site_2
+          ( Base::operator()(t.source_of_supporting_site()),
+            Base::operator()(t.target_of_supporting_site()),
+            Base::operator()(t.source_of_crossing_site(0)),
+            Base::operator()(t.target_of_crossing_site(0)),
+            Base::operator()(t.source_of_crossing_site(1)),
+            Base::operator()(t.target_of_crossing_site(1)) );
       }
     }
   }
@@ -98,7 +98,7 @@ private:
     // t is a segment
     return K2_Site_2::construct_site_2
       ( Base::operator()(t.source_of_supporting_site()),
-	Base::operator()(t.target_of_supporting_site()) );    
+        Base::operator()(t.target_of_supporting_site()) );
   }
 
 public:
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Compare_x_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Compare_x_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Compare_x_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Compare_x_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Compare_x_2.h $
-// $Id: Compare_x_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Compare_x_2.h $
+// $Id: Compare_x_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Compare_y_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Compare_y_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Compare_y_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Compare_y_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Compare_y_2.h $
-// $Id: Compare_y_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Compare_y_2.h $
+// $Id: Compare_y_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Constructions_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Constructions_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Constructions_C2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Constructions_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Constructions_C2.h $
-// $Id: Constructions_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Constructions_C2.h $
+// $Id: Constructions_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -60,19 +60,19 @@ public:
   }
 
   result_type operator()(const Point_2& p0, const Point_2& p1,
-			 const Point_2& q0, const Point_2& q1) const {
+                         const Point_2& q0, const Point_2& q1) const {
     return Site_2(p0, p1, q0, q1);
   }
 
   result_type operator()(const Point_2& p0, const Point_2& p1,
-			 const Point_2& q0, const Point_2& q1,
-			 bool b) const {
+                         const Point_2& q0, const Point_2& q1,
+                         bool b) const {
     return Site_2(p0, p1, q0, q1, b);
   }
 
   result_type operator()(const Point_2& p0, const Point_2& p1,
-			 const Point_2& q0, const Point_2& q1,
-			 const Point_2& r0, const Point_2& r1) const {
+                         const Point_2& q0, const Point_2& q1,
+                         const Point_2& r0, const Point_2& r1) const {
     return Site_2(p0, p1, q0, q1, r0, r1);
   }
 };
@@ -114,7 +114,7 @@ public:
 
 public:
   Point_2 operator()(const Site_2& s1, const Site_2& s2,
-		     const Site_2& s3) const
+                     const Site_2& s3) const
   {
     Voronoi_vertex_2 v(s1, s2, s3);
     return v.point();
@@ -138,7 +138,7 @@ public:
 
 public:
   Circle_2 operator() (const Site_2& s1, const Site_2& s2,
-		       const Site_2& s3) const
+                       const Site_2& s3) const
   {
     Voronoi_vertex_2 v(s1, s2, s3);
     return v.circle();
@@ -220,7 +220,7 @@ public:
   typedef Ray_2                                 result_type;
 
   Ray_2 operator()(const Site_2& p, const Site_2& q,
-		   const Site_2& r) const
+                   const Site_2& r) const
   {
     CGAL_assertion( !(p.is_segment() && q.is_segment()) );
 
@@ -233,7 +233,7 @@ public:
       p2 = p.point();
     } else if ( p.is_point() && q.is_segment() ) {
       CGAL_assertion( are_same_points(p, q.source_site()) ||
-		      are_same_points(p, q.target_site()) );
+                      are_same_points(p, q.target_site()) );
       p1 = are_same_points(p, q.source_site()) ? q.target() : q.source();
       p2 = p.point();
     } else {
@@ -271,7 +271,7 @@ public:
   typedef Object_2                             result_type;
 
   result_type operator()(const Site_2& p, const Site_2& q,
-			 const Site_2& r, const Site_2& s) const
+                         const Site_2& r, const Site_2& s) const
   {
     Construct_svd_vertex_2 circumcenter;
     Point_2 vpqr = circumcenter(p, q, r);
@@ -280,16 +280,16 @@ public:
     Equal_2 same_points;
 
     if ( (p.is_point() && q.is_point()) ||
-	 (p.is_segment() && q.is_segment()) ) {
+         (p.is_segment() && q.is_segment()) ) {
       Segment_2 vorseg(vpqr, vqps);
       return CGAL::make_object(vorseg);
     }
     if ( p.is_point() ) {
       // check is p is an endpoint of q
       if (  same_points( p, q.source_site() ) ||
-	    same_points( p, q.target_site() )  ) {
-	Segment_2 vorseg(vpqr, vqps);
-	return CGAL::make_object(vorseg);
+            same_points( p, q.target_site() )  ) {
+        Segment_2 vorseg(vpqr, vqps);
+        return CGAL::make_object(vorseg);
       }
       Line_2 l = q.segment().supporting_line();
       Parabola_segment_2 vorseg(p.point(), l, vpqr, vqps);
@@ -297,7 +297,7 @@ public:
     }
     // check is q is an endpoint of p
     if ( same_points(q, p.source_site()) ||
-	 same_points(q, p.target_site()) ) {
+         same_points(q, p.target_site()) ) {
       Segment_2 vorseg(vpqr, vqps);
       return CGAL::make_object(vorseg);
     }
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Construct_storage_site_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Construct_storage_site_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Construct_storage_site_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Construct_storage_site_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Construct_storage_site_2.h $
-// $Id: Construct_storage_site_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Construct_storage_site_2.h $
+// $Id: Construct_storage_site_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -38,58 +38,58 @@ protected:
   typedef typename Geom_traits::Intersections_tag    ITag;
 
   result_type construct(const Point_handle& h1,
-			const Point_handle& h2,
-			const Point_handle& h3,
-			const Point_handle& h4, const Tag_true&) const {
+                        const Point_handle& h2,
+                        const Point_handle& h3,
+                        const Point_handle& h4, const Tag_true&) const {
     return Storage_site_2::construct_storage_site_2(h1, h2, h3, h4);
   }
 
   inline
   result_type construct(const Point_handle& h1,
-			const Point_handle& h2,
-			const Point_handle& h3,
-			const Point_handle& h4,
-			const Point_handle& h5,
-			const Point_handle& h6, const Tag_true&) const {
+                        const Point_handle& h2,
+                        const Point_handle& h3,
+                        const Point_handle& h4,
+                        const Point_handle& h5,
+                        const Point_handle& h6, const Tag_true&) const {
     return Storage_site_2::construct_storage_site_2(h1, h2, h3, h4, h5, h6);
   }
 
   inline
   result_type construct(const Point_handle& h1,
-			const Point_handle& h2,
-			const Point_handle& h3,
-			const Point_handle& h4,
-			bool is_first_exact, const Tag_true&) const {
+                        const Point_handle& h2,
+                        const Point_handle& h3,
+                        const Point_handle& h4,
+                        bool is_first_exact, const Tag_true&) const {
     return Storage_site_2::construct_storage_site_2(h1, h2, h3, h4,
-						    is_first_exact);
+                                                    is_first_exact);
   }
 
-  
+
   result_type construct(const Point_handle&,
-			const Point_handle&,
-			const Point_handle&,
-			const Point_handle&, const Tag_false&) const {
+                        const Point_handle&,
+                        const Point_handle&,
+                        const Point_handle&, const Tag_false&) const {
     CGAL_error();
     return Storage_site_2();
   }
 
   inline
   result_type construct(const Point_handle&,
-			const Point_handle&,
-			const Point_handle&,
-			const Point_handle&,
-			const Point_handle&,
-			const Point_handle&, const Tag_false&) const {
+                        const Point_handle&,
+                        const Point_handle&,
+                        const Point_handle&,
+                        const Point_handle&,
+                        const Point_handle&, const Tag_false&) const {
     CGAL_error();
     return Storage_site_2();
   }
 
   inline
   result_type construct(const Point_handle&,
-			const Point_handle&,
-			const Point_handle&,
-			const Point_handle&,
-			bool /* is_first_exact */, const Tag_false&) const {
+                        const Point_handle&,
+                        const Point_handle&,
+                        const Point_handle&,
+                        bool /* is_first_exact */, const Tag_false&) const {
     CGAL_error();
     return Storage_site_2();
   }
@@ -102,52 +102,52 @@ public:
 
   inline
   result_type operator()(const Point_handle& h1,
-			 const Point_handle& h2) const {
+                         const Point_handle& h2) const {
     return Storage_site_2::construct_storage_site_2(h1, h2);
   }
 
   inline
   result_type operator()(const Point_handle& h1,
-			 const Point_handle& h2,
-			 const Point_handle& h3,
-			 const Point_handle& h4) const {
+                         const Point_handle& h2,
+                         const Point_handle& h3,
+                         const Point_handle& h4) const {
     return construct(h1, h2, h3, h4, ITag());
   }
 
   inline
   result_type operator()(const Point_handle& h1,
-			 const Point_handle& h2,
-			 const Point_handle& h3,
-			 const Point_handle& h4,
-			 const Point_handle& h5,
-			 const Point_handle& h6) const {
+                         const Point_handle& h2,
+                         const Point_handle& h3,
+                         const Point_handle& h4,
+                         const Point_handle& h5,
+                         const Point_handle& h6) const {
     return construct(h1, h2, h3, h4, h5, h6, ITag());
   }
 
   inline
   result_type operator()(const Point_handle& h1,
-			 const Point_handle& h2,
-			 const Point_handle& h3,
-			 const Point_handle& h4,
-			 bool is_first_exact) const {
+                         const Point_handle& h2,
+                         const Point_handle& h3,
+                         const Point_handle& h4,
+                         bool is_first_exact) const {
     return construct(h1, h2, h3, h4, is_first_exact, ITag());
   }
 
   // constructs the point of intersection
   inline
   result_type operator()(const Storage_site_2& ss0,
-			 const Storage_site_2& ss1) const {
+                         const Storage_site_2& ss1) const {
     CGAL_precondition( ss0.is_segment() && ss1.is_segment() );
     return Storage_site_2::construct_storage_site_2
       ( ss0.source_of_supporting_site(),
-	ss0.target_of_supporting_site(),
-	ss1.source_of_supporting_site(),
-	ss1.target_of_supporting_site() );
+        ss0.target_of_supporting_site(),
+        ss1.source_of_supporting_site(),
+        ss1.target_of_supporting_site() );
   }
 
   Storage_site_2
   split_on_point_first_subsegment(const Storage_site_2& s,
-				  const Storage_site_2& p) const
+                                  const Storage_site_2& p) const
   {
     // Splits the first storage site which is a segment using the
     // second storage site which is an exact point
@@ -158,159 +158,159 @@ public:
     // computing the first sub-segment
     if ( s.is_input(0) ) {
       if ( p.is_input() ) {
-	// both segment and point are input
-	return operator()(s.source_of_supporting_site(), p.point());
+        // both segment and point are input
+        return operator()(s.source_of_supporting_site(), p.point());
       } else {
-	// segment is input but point is intersection of two segments
-	Storage_site_2 supp0 = s.supporting_site();
-	Storage_site_2 supp1 = p.supporting_site(0);
-
-	typename Geom_traits::Are_parallel_2 are_parallel =
-	  Geom_traits().are_parallel_2_object();
-
-	if ( are_parallel(supp0.site(), supp1.site()) ) {
-	  supp1 = p.supporting_site(1);
-	}
-	return operator()( supp0.source_of_supporting_site(),
-			   supp0.target_of_supporting_site(),
-			   supp1.source_of_supporting_site(),
-			   supp1.target_of_supporting_site(),
-			   true );
+        // segment is input but point is intersection of two segments
+        Storage_site_2 supp0 = s.supporting_site();
+        Storage_site_2 supp1 = p.supporting_site(0);
+
+        typename Geom_traits::Are_parallel_2 are_parallel =
+          Geom_traits().are_parallel_2_object();
+
+        if ( are_parallel(supp0.site(), supp1.site()) ) {
+          supp1 = p.supporting_site(1);
+        }
+        return operator()( supp0.source_of_supporting_site(),
+                           supp0.target_of_supporting_site(),
+                           supp1.source_of_supporting_site(),
+                           supp1.target_of_supporting_site(),
+                           true );
       }
     } else {
       if ( p.is_input() ) {
-	// point is input but source of segment is not
-	return operator()( s.source_of_supporting_site(),
-			   p.point(),
-			   s.source_of_crossing_site(0),
-			   s.target_of_crossing_site(0),
-			   false );
+        // point is input but source of segment is not
+        return operator()( s.source_of_supporting_site(),
+                           p.point(),
+                           s.source_of_crossing_site(0),
+                           s.target_of_crossing_site(0),
+                           false );
       } else {
-	Storage_site_2 supp0 = s.supporting_site();
-	Storage_site_2 supp1 = p.supporting_site(0);
+        Storage_site_2 supp0 = s.supporting_site();
+        Storage_site_2 supp1 = p.supporting_site(0);
 
-	typename Geom_traits::Are_parallel_2 are_parallel =
-	  Geom_traits().are_parallel_2_object();
+        typename Geom_traits::Are_parallel_2 are_parallel =
+          Geom_traits().are_parallel_2_object();
 
-	if ( are_parallel(supp0.site(), supp1.site()) ) {
-	  supp1 = p.supporting_site(1);
-	}
-
-	return operator()( supp0.source_of_supporting_site(),
-			   supp0.target_of_supporting_site(),
-			   s.source_of_crossing_site(0),
-			   s.target_of_crossing_site(0),
-			   supp1.source_of_supporting_site(),
-			   supp1.target_of_supporting_site() );
+        if ( are_parallel(supp0.site(), supp1.site()) ) {
+          supp1 = p.supporting_site(1);
+        }
+
+        return operator()( supp0.source_of_supporting_site(),
+                           supp0.target_of_supporting_site(),
+                           s.source_of_crossing_site(0),
+                           s.target_of_crossing_site(0),
+                           supp1.source_of_supporting_site(),
+                           supp1.target_of_supporting_site() );
       }
     }
   }
 
   Storage_site_2
   split_on_point_second_subsegment(const Storage_site_2& s,
-				   const Storage_site_2& p) const
+                                   const Storage_site_2& p) const
   {
     CGAL_precondition( s.is_segment() && p.is_point() );
 
     // computing the second sub-segment
     if ( s.is_input(1) ) {
       if ( p.is_input() ) {
-	// both segment and point are input
-	return operator()(p.point(), s.target_of_supporting_site());
+        // both segment and point are input
+        return operator()(p.point(), s.target_of_supporting_site());
       } else {
-	// segment is input but point is intersection of two segments
-	Storage_site_2 supp0 = s.supporting_site();
-	Storage_site_2 supp1 = p.supporting_site(0);
-
-	typename Geom_traits::Are_parallel_2 are_parallel =
-	  Geom_traits().are_parallel_2_object();
-
-	if ( are_parallel(supp0.site(), supp1.site()) ) {
-	  supp1 = p.supporting_site(1);
-	}
-	return operator()( supp0.source_of_supporting_site(),
-			   supp0.target_of_supporting_site(),
-			   supp1.source_of_supporting_site(),
-			   supp1.target_of_supporting_site(),
-			   false );
+        // segment is input but point is intersection of two segments
+        Storage_site_2 supp0 = s.supporting_site();
+        Storage_site_2 supp1 = p.supporting_site(0);
+
+        typename Geom_traits::Are_parallel_2 are_parallel =
+          Geom_traits().are_parallel_2_object();
+
+        if ( are_parallel(supp0.site(), supp1.site()) ) {
+          supp1 = p.supporting_site(1);
+        }
+        return operator()( supp0.source_of_supporting_site(),
+                           supp0.target_of_supporting_site(),
+                           supp1.source_of_supporting_site(),
+                           supp1.target_of_supporting_site(),
+                           false );
       }
     } else {
       if ( p.is_input() ) {
-	// point is input but source of segment is not
-	return operator()( p.point(),
-			   s.target_of_supporting_site(),
-			   s.source_of_crossing_site(1),
-			   s.target_of_crossing_site(1),
-			   true );
+        // point is input but source of segment is not
+        return operator()( p.point(),
+                           s.target_of_supporting_site(),
+                           s.source_of_crossing_site(1),
+                           s.target_of_crossing_site(1),
+                           true );
       } else {
-	Storage_site_2 supp0 = s.supporting_site();
-	Storage_site_2 supp1 = p.supporting_site(0);
+        Storage_site_2 supp0 = s.supporting_site();
+        Storage_site_2 supp1 = p.supporting_site(0);
 
-	typename Geom_traits::Are_parallel_2 are_parallel =
-	  Geom_traits().are_parallel_2_object();
+        typename Geom_traits::Are_parallel_2 are_parallel =
+          Geom_traits().are_parallel_2_object();
 
-	if ( are_parallel(supp0.site(), supp1.site()) ) {
-	  supp1 = p.supporting_site(1);
-	}
-
-	return operator()( supp0.source_of_supporting_site(),
-			   supp0.target_of_supporting_site(),
-			   supp1.source_of_supporting_site(),
-			   supp1.target_of_supporting_site(),
-			   s.source_of_crossing_site(1),
-			   s.target_of_crossing_site(1) );
+        if ( are_parallel(supp0.site(), supp1.site()) ) {
+          supp1 = p.supporting_site(1);
+        }
+
+        return operator()( supp0.source_of_supporting_site(),
+                           supp0.target_of_supporting_site(),
+                           supp1.source_of_supporting_site(),
+                           supp1.target_of_supporting_site(),
+                           s.source_of_crossing_site(1),
+                           s.target_of_crossing_site(1) );
       }
     }
   }
 
   Storage_site_2
   construct_first_subsegment(const Storage_site_2& ss0,
-			     const Storage_site_2& ss1,
-			     const Tag_true&) const
+                             const Storage_site_2& ss1,
+                             const Tag_true&) const
   {
     if ( ss0.is_input(0) ) {
       return Storage_site_2::construct_storage_site_2
-	( ss0.source_of_supporting_site(),
-	  ss0.target_of_supporting_site(),
-	  ss1.source_of_supporting_site(),
-	  ss1.target_of_supporting_site(), true );
+        ( ss0.source_of_supporting_site(),
+          ss0.target_of_supporting_site(),
+          ss1.source_of_supporting_site(),
+          ss1.target_of_supporting_site(), true );
     } else {
       return Storage_site_2::construct_storage_site_2
-	( ss0.source_of_supporting_site(),
-	  ss0.target_of_supporting_site(),
-	  ss0.source_of_crossing_site(0),
-	  ss0.target_of_crossing_site(0),
-	  ss1.source_of_supporting_site(),
-	  ss1.target_of_supporting_site() );
+        ( ss0.source_of_supporting_site(),
+          ss0.target_of_supporting_site(),
+          ss0.source_of_crossing_site(0),
+          ss0.target_of_crossing_site(0),
+          ss1.source_of_supporting_site(),
+          ss1.target_of_supporting_site() );
     }
   }
 
   Storage_site_2
   construct_second_subsegment(const Storage_site_2& ss0,
-			      const Storage_site_2& ss1,
-			      const Tag_true&) const
+                              const Storage_site_2& ss1,
+                              const Tag_true&) const
   {
     if ( ss0.is_input(1) ) {
       return Storage_site_2::construct_storage_site_2
-	( ss0.source_of_supporting_site(),
-	  ss0.target_of_supporting_site(),
-	  ss1.source_of_supporting_site(),
-	  ss1.target_of_supporting_site(), false );
+        ( ss0.source_of_supporting_site(),
+          ss0.target_of_supporting_site(),
+          ss1.source_of_supporting_site(),
+          ss1.target_of_supporting_site(), false );
     } else {
       return Storage_site_2::construct_storage_site_2
-	( ss0.source_of_supporting_site(),
-	  ss0.target_of_supporting_site(),
-	  ss1.source_of_supporting_site(),
-	  ss1.target_of_supporting_site(),
-	  ss0.source_of_crossing_site(1),
-	  ss0.target_of_crossing_site(1) );
+        ( ss0.source_of_supporting_site(),
+          ss0.target_of_supporting_site(),
+          ss1.source_of_supporting_site(),
+          ss1.target_of_supporting_site(),
+          ss0.source_of_crossing_site(1),
+          ss0.target_of_crossing_site(1) );
     }
   }
 
   Storage_site_2
   construct_first_subsegment(const Storage_site_2&,
-			     const Storage_site_2&,
-			     const Tag_false&) const
+                             const Storage_site_2&,
+                             const Tag_false&) const
   {
     CGAL_error();
     return Storage_site_2();
@@ -318,8 +318,8 @@ public:
 
   Storage_site_2
   construct_second_subsegment(const Storage_site_2&,
-			      const Storage_site_2&,
-			      const Tag_false&) const
+                              const Storage_site_2&,
+                              const Tag_false&) const
   {
     CGAL_error();
     return Storage_site_2();
@@ -330,15 +330,15 @@ public:
   // determines if the first or segment subsegment is constructed
   inline
   result_type operator()(const Storage_site_2& ss0,
-			 const Storage_site_2& ss1,
-			 bool first) const {
+                         const Storage_site_2& ss1,
+                         bool first) const {
     //    CGAL_precondition( ss0.is_segment() && ss1.is_segment() );
     CGAL_precondition( ss0.is_segment() );
     if ( ss1.is_point() ) {
       if ( first ) {
-	return split_on_point_first_subsegment(ss0, ss1);
+        return split_on_point_first_subsegment(ss0, ss1);
       } else {
-	return split_on_point_second_subsegment(ss0, ss1);
+        return split_on_point_second_subsegment(ss0, ss1);
       }
     }
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Construct_storage_site_with_info_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Construct_storage_site_with_info_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Construct_storage_site_with_info_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Construct_storage_site_with_info_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Construct_storage_site_with_info_2.h $
-// $Id: Construct_storage_site_with_info_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Construct_storage_site_with_info_2.h $
+// $Id: Construct_storage_site_with_info_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -45,7 +45,7 @@ public:
   // constructs the point of intersection
   inline
   result_type operator()(const Storage_site_2& ss0,
-			 const Storage_site_2& ss1) const {
+                         const Storage_site_2& ss1) const {
     Storage_site_2 ssx = Base::operator()(ss0, ss1);
     Info infox = Merge_info()(ss0.info(), ss1.info());
     ssx.set_info(infox);
@@ -57,8 +57,8 @@ public:
   // determines if the first or segment subsegment is constructed
   inline
   result_type operator()(const Storage_site_2& ss0,
-			 const Storage_site_2& ss1,
-			 bool first) const {
+                         const Storage_site_2& ss1,
+                         bool first) const {
     Storage_site_2 s = Base::operator()(ss0, ss1, first);
     Info is = Convert_info()(ss0.info(), ss1.info(), first);
     s.set_info(is);
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Filtered_traits_base_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Filtered_traits_base_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Filtered_traits_base_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Filtered_traits_base_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Filtered_traits_base_2.h $
-// $Id: Filtered_traits_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Filtered_traits_base_2.h $
+// $Id: Filtered_traits_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -43,17 +43,17 @@ namespace CGAL {
 //-----------------------------------------------------------------------
 
 template<class CK_t, class CK_MTag, class EK_t, class EK_MTag,
-	 class FK_t, class FK_MTag, class C2E_t, class C2F_t,
-	 class ITag>
+         class FK_t, class FK_MTag, class C2E_t, class C2F_t,
+         class ITag>
 class Segment_Delaunay_graph_filtered_traits_base_2
 {
 private:
   typedef
   Segment_Delaunay_graph_filtered_traits_base_2<CK_t, CK_MTag,
-						EK_t, EK_MTag,
-						FK_t, FK_MTag,
-						C2E_t, C2F_t,
-						ITag>  Self;
+                                                EK_t, EK_MTag,
+                                                FK_t, FK_MTag,
+                                                C2E_t, C2F_t,
+                                                ITag>  Self;
 
   typedef Segment_Delaunay_graph_traits_base_2<CK_t,CK_MTag,ITag> CK_traits;
   typedef Segment_Delaunay_graph_traits_base_2<FK_t,FK_MTag,ITag> FK_traits;
@@ -77,7 +77,7 @@ private:
   Cartesian_converter<EK, CK, To_double<typename EK::RT> >  E2C_t;
   typedef
   CGAL_SEGMENT_DELAUNAY_GRAPH_2_NS::Cartesian_converter<EK,CK,E2C_t>   E2C;
-  
+
   // Types for the construction kernel
   typedef typename CK::Point_2                CK_Point_2;
   typedef typename CK::Line_2                 CK_Line_2;
@@ -168,15 +168,16 @@ public:
   //---------------------------------
   typedef typename CK::Construct_object_2     Construct_object_2;
   typedef typename CK::Assign_2               Assign_2;
+  typedef typename CK::Construct_point_2      Construct_point_2;
 
   // CONSTRUCTIONS
   //--------------
   // vertex and Voronoi circle
   typedef
   Filtered_construction<CK_Construct_svd_vertex_2,
-			EK_Construct_svd_vertex_2,
-			FK_Construct_svd_vertex_2,
-			C2E, C2F, E2C, F2C>
+                        EK_Construct_svd_vertex_2,
+                        FK_Construct_svd_vertex_2,
+                        C2E, C2F, E2C, F2C>
   Construct_svd_vertex_2;
 
   // L2 traits do not contain bisector constructions
@@ -305,32 +306,32 @@ public:
   Equal_2;
 
   typedef
-  Filtered_predicate<EK_Are_parallel_2,	FK_Are_parallel_2, C2E, C2F>
+  Filtered_predicate<EK_Are_parallel_2,        FK_Are_parallel_2, C2E, C2F>
   Are_parallel_2;
 
   typedef
   Filtered_predicate<EK_Oriented_side_of_bisector_2,
-		     FK_Oriented_side_of_bisector_2, C2E, C2F>
+                     FK_Oriented_side_of_bisector_2, C2E, C2F>
   Oriented_side_of_bisector_2;
 
   typedef
   Filtered_predicate<EK_Vertex_conflict_2,
-		     FK_Vertex_conflict_2, C2E, C2F>
+                     FK_Vertex_conflict_2, C2E, C2F>
   Vertex_conflict_2;
 
   typedef
   Filtered_predicate<EK_Finite_edge_interior_conflict_2,
-		     FK_Finite_edge_interior_conflict_2, C2E, C2F>
+                     FK_Finite_edge_interior_conflict_2, C2E, C2F>
   Finite_edge_interior_conflict_2;
 
   typedef
   Filtered_predicate<EK_Infinite_edge_interior_conflict_2,
-		     FK_Infinite_edge_interior_conflict_2, C2E, C2F>
+                     FK_Infinite_edge_interior_conflict_2, C2E, C2F>
   Infinite_edge_interior_conflict_2;
 
   typedef
   Filtered_predicate<EK_Is_degenerate_edge_2,
-		     FK_Is_degenerate_edge_2, C2E, C2F>
+                     FK_Is_degenerate_edge_2, C2E, C2F>
   Is_degenerate_edge_2;
 
   typedef typename CK::Less_x_2 Less_x_2;
@@ -363,20 +364,25 @@ public:
   }
 
   Construct_object_2
-  construct_object_2_object() const { 
+  construct_object_2_object() const {
     return Construct_object_2();
   }
 
+  Construct_point_2
+  construct_point_2_object() const {
+    return Construct_point_2();
+  }
+
   // CONSTRUCTIONS
   //--------------
   Construct_svd_vertex_2
-  construct_svd_vertex_2_object() const { 
+  construct_svd_vertex_2_object() const {
     return Construct_svd_vertex_2();
   }
 
   /*
   Construct_site_2
-  construct_site_2_object() const { 
+  construct_site_2_object() const {
     return Construct_site_2();
   }
   */
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Filtered_traits_concept_check_tags.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Filtered_traits_concept_check_tags.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Filtered_traits_concept_check_tags.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Filtered_traits_concept_check_tags.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Filtered_traits_concept_check_tags.h $
-// $Id: Filtered_traits_concept_check_tags.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Filtered_traits_concept_check_tags.h $
+// $Id: Filtered_traits_concept_check_tags.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Finite_edge_interior_conflict_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Finite_edge_interior_conflict_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Finite_edge_interior_conflict_C2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Finite_edge_interior_conflict_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Finite_edge_interior_conflict_C2.h $
-// $Id: Finite_edge_interior_conflict_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Finite_edge_interior_conflict_C2.h $
+// $Id: Finite_edge_interior_conflict_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -40,7 +40,7 @@ public:
 
   typedef Basic_predicates_C2<K>              Base;
   typedef Voronoi_vertex_C2<K,Method_tag>     Voronoi_vertex_2;
-  
+
   typedef typename Base::Point_2              Point_2;
   typedef typename Base::Segment_2            Segment_2;
   typedef typename Base::Line_2               Line_2;
@@ -56,7 +56,7 @@ public:
 
   typedef typename Base::Homogeneous_point_2  Homogeneous_point_2;
 
-  using Base::opposite_line;  
+  using Base::opposite_line;
   using Base::compute_supporting_line;
   using Base::oriented_side_of_line;
   using Base::compare_squared_distances_to_line;
@@ -85,8 +85,8 @@ private:
 
   Boolean
   is_interior_in_conflict_both(const Site_2& p, const Site_2& q,
-			       const Site_2& r, const Site_2& s,
-			       const Site_2& t, Method_tag tag) const
+                               const Site_2& r, const Site_2& s,
+                               const Site_2& t, Method_tag tag) const
   {
     Boolean   in_conflict(false);
 
@@ -113,8 +113,8 @@ private:
 
   bool
   is_interior_in_conflict_both_pp(const Site_2& sp, const Site_2& sq,
-				  const Site_2& r, const Site_2& s,
-				  const Site_2& t, Method_tag ) const
+                                  const Site_2& r, const Site_2& s,
+                                  const Site_2& t, Method_tag ) const
   {
     CGAL_precondition( sp.is_point() && sq.is_point() );
 
@@ -127,23 +127,23 @@ private:
     Oriented_side op, oq;
 
     if ( same_points(sp, t.source_site()) ||
-	 same_points(sp, t.target_site()) ) {
+         same_points(sp, t.target_site()) ) {
       op = ON_ORIENTED_BOUNDARY;
     } else {
       op = oriented_side_of_line(lt, p);
     }
 
     if ( same_points(sq, t.source_site()) ||
-	 same_points(sq, t.target_site()) ) {
+         same_points(sq, t.target_site()) ) {
       oq = ON_ORIENTED_BOUNDARY;
     } else {
       oq = oriented_side_of_line(lt, q);
     }
-    
+
 
     if ((op == ON_POSITIVE_SIDE && oq == ON_NEGATIVE_SIDE) ||
-	(op == ON_NEGATIVE_SIDE && oq == ON_POSITIVE_SIDE) ||
-	(op == ON_ORIENTED_BOUNDARY || oq == ON_ORIENTED_BOUNDARY)) {
+        (op == ON_NEGATIVE_SIDE && oq == ON_POSITIVE_SIDE) ||
+        (op == ON_ORIENTED_BOUNDARY || oq == ON_ORIENTED_BOUNDARY)) {
       return true;
     }
 
@@ -155,7 +155,7 @@ private:
     Voronoi_vertex_2 vpqr(sp, sq, r);
     Voronoi_vertex_2 vqps(sq, sp, s);
 
-    
+
     Line_2 lperp;
     if ( res == SMALLER ) {
       // p is closer to lt than q
@@ -175,8 +175,8 @@ private:
 
   bool
   is_interior_in_conflict_both_ss(const Site_2& p, const Site_2& q,
-				  const Site_2& , const Site_2& ,
-				  const Site_2& , Method_tag) const
+                                  const Site_2& , const Site_2& ,
+                                  const Site_2& , Method_tag) const
   {
     CGAL_USE(p);
     CGAL_USE(q);
@@ -188,15 +188,15 @@ private:
 
   Boolean
   is_interior_in_conflict_both_ps(const Site_2& p, const Site_2& q,
-				  const Site_2& r, const Site_2& s,
-				  const Site_2& t, Method_tag tag) const
+                                  const Site_2& r, const Site_2& s,
+                                  const Site_2& t, Method_tag tag) const
   {
     CGAL_precondition( p.is_point() && q.is_segment() );
 
     if ( same_points(p, q.source_site()) ||
-	 same_points(p, q.target_site()) ) {
+         same_points(p, q.target_site()) ) {
       return false;
-    }   
+    }
 
     if ( t.is_point() ) {
       return is_interior_in_conflict_both_ps_p(p, q, r, s, t, tag);
@@ -208,8 +208,8 @@ private:
 
   Boolean
   is_interior_in_conflict_both_ps_p(const Site_2& p, const Site_2& q,
-				    const Site_2& r, const Site_2& s,
-				    const Site_2& t, Method_tag ) const
+                                    const Site_2& r, const Site_2& s,
+                                    const Site_2& t, Method_tag ) const
   {
     CGAL_precondition( t.is_point() );
 
@@ -227,7 +227,7 @@ private:
     Voronoi_vertex_2 vqps(q, p, s);
 
     Line_2 lperp = compute_perpendicular(lq, p.point());
-      
+
     Oriented_side opqr = vpqr.oriented_side(lperp);
     Oriented_side oqps = vqps.oriented_side(lperp);
 
@@ -248,8 +248,8 @@ private:
 
   Boolean
   is_interior_in_conflict_both_ps_s(const Site_2& sp, const Site_2& sq,
-				    const Site_2& r, const Site_2& s,
-				    const Site_2& st, Method_tag ) const
+                                    const Site_2& r, const Site_2& s,
+                                    const Site_2& st, Method_tag ) const
   {
     CGAL_precondition( st.is_segment() );
     Point_2 p = sp.point();
@@ -258,11 +258,11 @@ private:
     Line_2 lq = compute_supporting_line(sq.supporting_site());
 
     if ( oriented_side_of_line(lq, p) == ON_NEGATIVE_SIDE ) {
-      lq = opposite_line(lq); 
+      lq = opposite_line(lq);
     }
 
     if ( same_points(sp, st.source_site()) ||
-	 same_points(sp, st.target_site()) ) {
+         same_points(sp, st.target_site()) ) {
 
       Line_2 lqperp = compute_perpendicular(lq, p);
 
@@ -273,8 +273,8 @@ private:
       Oriented_side oqps = vqps.oriented_side(lqperp);
 
       Boolean   on_different_parabola_arcs =
-	 ((opqr == ON_NEGATIVE_SIDE) & (oqps == ON_POSITIVE_SIDE)) |
-	 ((opqr == ON_POSITIVE_SIDE) & (oqps == ON_NEGATIVE_SIDE));
+         ((opqr == ON_NEGATIVE_SIDE) & (oqps == ON_POSITIVE_SIDE)) |
+         ((opqr == ON_POSITIVE_SIDE) & (oqps == ON_NEGATIVE_SIDE));
 
       //if ( !on_different_parabola_arcs ) { return true; }
       if (certainly( !on_different_parabola_arcs ) ) { return true; }
@@ -282,32 +282,32 @@ private:
 
       Site_2 t1;
       if ( same_points(sp, st.source_site()) ) {
-	t1 = st.target_site();
+        t1 = st.target_site();
       } else {
-	t1 = st.source_site();
+        t1 = st.source_site();
       }
 
       Oriented_side o_t1;
 
       if ( same_points(t1, sq.source_site()) ||
-	   same_points(t1, sq.target_site()) ) {
-	o_t1 = ON_ORIENTED_BOUNDARY;
+           same_points(t1, sq.target_site()) ) {
+        o_t1 = ON_ORIENTED_BOUNDARY;
       } else if (  !check_if_exact(t1, ITag()) &&
-		   ( same_segments(t1.supporting_site(0),
-				   sq.supporting_site()) ||
-		     same_segments(t1.supporting_site(1),
-				   sq.supporting_site()) )  ) {
-	o_t1 = ON_ORIENTED_BOUNDARY;
+                   ( same_segments(t1.supporting_site(0),
+                                   sq.supporting_site()) ||
+                     same_segments(t1.supporting_site(1),
+                                   sq.supporting_site()) )  ) {
+        o_t1 = ON_ORIENTED_BOUNDARY;
       } else {
-	o_t1 = oriented_side_of_line(lq, t1.point());
+        o_t1 = oriented_side_of_line(lq, t1.point());
       }
 
       if ( o_t1 == ON_NEGATIVE_SIDE ) {
-	return true;
+        return true;
       }
-	     
+
       Comparison_result res =
-	compare_squared_distances_to_line(lq, p, t1.point());
+        compare_squared_distances_to_line(lq, p, t1.point());
 
       return ( res == LARGER );
     }
@@ -321,18 +321,18 @@ private:
     Comparison_result res =
       CGAL::compare(lt.a() * lq.b(), lt.b() * lq.a());
     bool are_parallel = (res == EQUAL);
-      
+
     if ( are_parallel ) {
       Sign sgn = CGAL::sign(lt.a() * lq.a() + lt.b() * lq.b());
       bool have_opposite_directions = (sgn == NEGATIVE);
       if ( have_opposite_directions ) { lq = opposite_line(lq); }
 
       if ( oriented_side_of_line(lq, p) == oriented_side_of_line(lt, p) ) {
-	return true;
+        return true;
       }
 
       if ( have_opposite_directions ) {
-	lq = opposite_line(lq); 	  
+        lq = opposite_line(lq);
       }
     }
 
@@ -344,11 +344,11 @@ private:
     Oriented_side o_l_pqr = vpqr.oriented_side(l);
     Oriented_side o_l_qps = vqps.oriented_side(l);
     if (certainly( (o_l_pqr == ON_POSITIVE_SIDE) &
-	           (o_l_qps == ON_NEGATIVE_SIDE) ) )
+                   (o_l_qps == ON_NEGATIVE_SIDE) ) )
         return false;
     if (certainly( (o_l_pqr == ON_NEGATIVE_SIDE) &
-	           (o_l_qps == ON_POSITIVE_SIDE) ) )
-	return true;
+                   (o_l_qps == ON_POSITIVE_SIDE) ) )
+        return true;
     if (! is_certain((o_l_pqr == -o_l_qps) & (o_l_pqr != ZERO)))
         return indeterminate<Boolean>();
 
@@ -365,7 +365,7 @@ private:
     // if ( !on_different_parabola_arcs ) { return true; }
     if (certainly( !on_different_parabola_arcs ) ) { return true; }
     if (! is_certain( !on_different_parabola_arcs ) ) { return indeterminate<Boolean>(); }
-      
+
     Homogeneous_point_2 pv = projection_on_line(lq, p);
     Homogeneous_point_2 hp(p);
 
@@ -376,8 +376,8 @@ private:
     CGAL_assertion( o_l_pv != ON_ORIENTED_BOUNDARY );
 
     CGAL_assertion( o_l_pqr != ON_ORIENTED_BOUNDARY ||
-		    o_l_qps != ON_ORIENTED_BOUNDARY );
-    
+                    o_l_qps != ON_ORIENTED_BOUNDARY );
+
     if ( o_l_pqr == ON_ORIENTED_BOUNDARY ) {
       return ( o_l_qps == o_l_pv );
     } else {
@@ -390,8 +390,8 @@ private:
 
   Boolean
   is_interior_in_conflict_both_sp(const Site_2& p, const Site_2& q,
-				  const Site_2& r, const Site_2& s,
-				  const Site_2& t, Method_tag tag) const
+                                  const Site_2& r, const Site_2& s,
+                                  const Site_2& t, Method_tag tag) const
   {
     return is_interior_in_conflict_both_ps(q, p, s, r, t, tag);
   }
@@ -403,10 +403,10 @@ private:
 
   bool
   is_interior_in_conflict_touch(const Site_2& p, const Site_2& q,
-				const Site_2& r, const Site_2& s,
-				const Site_2& t, Method_tag tag) const
+                                const Site_2& r, const Site_2& s,
+                                const Site_2& t, Method_tag tag) const
   {
-    // checks if interior of voronoi edge is in conflict if both extrema 
+    // checks if interior of voronoi edge is in conflict if both extrema
     // of the voronoi edge touch the corresponding circles.
     // return true if interior is in conflict; false otherwise
     if ( t.is_segment() ) { return false; }
@@ -433,16 +433,16 @@ private:
 #else
     // OLD CODE: buggy if the edge is degenerate
     if ( (p.is_point() && q.is_point()) ||
-	 (p.is_segment() && q.is_segment()) ) { 
+         (p.is_segment() && q.is_segment()) ) {
       return true;
     }
 #endif
 
     if ( p.is_point() && q.is_segment() ) {
       Line_2 lq = compute_supporting_line(q.supporting_site());
-    
+
       Comparison_result res =
-	compare_squared_distances_to_line(lq, p.point(), t.point());
+        compare_squared_distances_to_line(lq, p.point(), t.point());
 
       return (res != SMALLER);
     }
@@ -457,8 +457,8 @@ private:
 
   bool
   is_interior_in_conflict_none(const Site_2& p, const Site_2& q,
-			       const Site_2& r, const Site_2& s,
-			       const Site_2& t, Method_tag tag) const
+                               const Site_2& r, const Site_2& s,
+                               const Site_2& t, Method_tag tag) const
   {
     if ( t.is_segment() ) { return false; }
 
@@ -482,8 +482,8 @@ private:
 
   bool
   is_interior_in_conflict_none_pp(const Site_2& p, const Site_2& q,
-				  const Site_2& , const Site_2& ,
-				  const Site_2& t, Method_tag ) const
+                                  const Site_2& , const Site_2& ,
+                                  const Site_2& t, Method_tag ) const
   {
     CGAL_USE(p);
     CGAL_USE(q);
@@ -496,16 +496,16 @@ private:
 
   bool
   is_interior_in_conflict_none_ps(const Site_2& sp, const Site_2& sq,
-				  const Site_2& r, const Site_2& s,
-				  const Site_2& st, Method_tag ) const
+                                  const Site_2& r, const Site_2& s,
+                                  const Site_2& st, Method_tag ) const
   {
     CGAL_precondition( sp.is_point() && sq.is_segment() && st.is_point() );
 
     if ( same_points(sp, sq.source_site()) ||
-	 same_points(sp, sq.target_site()) ) {
+         same_points(sp, sq.target_site()) ) {
       return false;
     }
-   
+
     Line_2 lq = compute_supporting_line(sq.supporting_site());
 
     Voronoi_vertex_2 vpqr(sp, sq, r);
@@ -539,8 +539,8 @@ private:
 
   bool
   is_interior_in_conflict_none_sp(const Site_2& p, const Site_2& q,
-				  const Site_2& r, const Site_2& s,
-				  const Site_2& t, Method_tag tag) const
+                                  const Site_2& r, const Site_2& s,
+                                  const Site_2& t, Method_tag tag) const
   {
     return is_interior_in_conflict_none_ps(q, p, s, r, t, tag);
   }
@@ -549,8 +549,8 @@ private:
 
   bool
   is_interior_in_conflict_none_ss(const Site_2& p, const Site_2& q,
-				  const Site_2& r, const Site_2& s,
-				  const Site_2& t, Method_tag ) const
+                                  const Site_2& r, const Site_2& s,
+                                  const Site_2& t, Method_tag ) const
   {
     CGAL_precondition( p.is_segment() && q.is_segment() && t.is_point() );
 
@@ -565,27 +565,27 @@ private:
       Site_2 tpqr = Site_2::construct_site_2(vpqr.degenerate_point());
 
       if ( same_points(tpqr, p.source_site()) ||
-	   same_points(tpqr, p.target_site()) ) {
-	if ( vqps.oriented_side(lp) != ON_POSITIVE_SIDE ) {
-	  lp = opposite_line(lp);
-	}
+           same_points(tpqr, p.target_site()) ) {
+        if ( vqps.oriented_side(lp) != ON_POSITIVE_SIDE ) {
+          lp = opposite_line(lp);
+        }
       }
     } else {
       if ( vpqr.oriented_side(lp) != ON_POSITIVE_SIDE ) {
-	lp = opposite_line(lp);
+        lp = opposite_line(lp);
       }
     }
 #if 0 // OLD CODE
     if (  ( vpqr.is_degenerate_Voronoi_circle() &&
-	    same_points(vpqr.degenerate_point(), p.source_site()) ) ||
-	  ( vpqr.is_degenerate_Voronoi_circle() &&
-	    same_points(vpqr.degenerate_point(), p.target_site()) )  ) {
+            same_points(vpqr.degenerate_point(), p.source_site()) ) ||
+          ( vpqr.is_degenerate_Voronoi_circle() &&
+            same_points(vpqr.degenerate_point(), p.target_site()) )  ) {
       if ( vqps.oriented_side(lp) != ON_POSITIVE_SIDE ) {
-	lp = opposite_line(lp);
+        lp = opposite_line(lp);
       }
     } else {
       if ( vpqr.oriented_side(lp) != ON_POSITIVE_SIDE ) {
-	lp = opposite_line(lp);
+        lp = opposite_line(lp);
       }
     }
 #endif
@@ -595,27 +595,27 @@ private:
       Site_2 tpqr = Site_2::construct_site_2(vpqr.degenerate_point());
 
       if ( same_points(tpqr, q.source_site()) ||
-	   same_points(tpqr, q.target_site()) ) {
-	if ( vqps.oriented_side(lq) != ON_POSITIVE_SIDE ) {
-	  lq = opposite_line(lq);
-	}
+           same_points(tpqr, q.target_site()) ) {
+        if ( vqps.oriented_side(lq) != ON_POSITIVE_SIDE ) {
+          lq = opposite_line(lq);
+        }
       }
     } else {
       if ( vpqr.oriented_side(lq) != ON_POSITIVE_SIDE ) {
-	lq = opposite_line(lq);
+        lq = opposite_line(lq);
       }
     }
 #if 0 // OLD CODE
     if (  ( vpqr.is_degenerate_Voronoi_circle() &&
-	    same_points(vpqr.degenerate_point(), q.source_site()) ) ||
-	  ( vpqr.is_degenerate_Voronoi_circle() &&
-	    same_points(vpqr.degenerate_point(), q.target_site()) )  ) {
+            same_points(vpqr.degenerate_point(), q.source_site()) ) ||
+          ( vpqr.is_degenerate_Voronoi_circle() &&
+            same_points(vpqr.degenerate_point(), q.target_site()) )  ) {
       if ( vqps.oriented_side(lq) != ON_POSITIVE_SIDE ) {
-	lq = opposite_line(lq);
+        lq = opposite_line(lq);
       }
     } else {
       if ( vpqr.oriented_side(lq) != ON_POSITIVE_SIDE ) {
-	lq = opposite_line(lq);
+        lq = opposite_line(lq);
       }
     }
 #endif
@@ -642,7 +642,7 @@ private:
     }
 
     CGAL_precondition( ot_lp != ON_ORIENTED_BOUNDARY &&
-		       ot_lq != ON_ORIENTED_BOUNDARY );
+                       ot_lq != ON_ORIENTED_BOUNDARY );
 
     // check of lperp separates the two Voronoi vertices
     Oriented_side opqr_perp = vpqr.oriented_side(lperp);
@@ -651,7 +651,7 @@ private:
     bool on_different_side =
       (opqr_perp == ON_POSITIVE_SIDE &&
        oqps_perp == ON_NEGATIVE_SIDE) ||
-      (opqr_perp == ON_NEGATIVE_SIDE && 
+      (opqr_perp == ON_NEGATIVE_SIDE &&
        oqps_perp == ON_POSITIVE_SIDE);
 
     return ( on_different_side );
@@ -666,7 +666,7 @@ public:
   typedef Site_2            argument_type;
 
   Boolean   operator()(const Site_2& p, const Site_2& q, const Site_2& r,
-		       const Site_2& s, const Site_2& t, Sign sgn) const
+                       const Site_2& s, const Site_2& t, Sign sgn) const
   {
     if ( sgn == POSITIVE ) {
       return is_interior_in_conflict_none(p, q, r, s, t, Method_tag());
@@ -679,7 +679,7 @@ public:
 
 
   Boolean   operator()(const Site_2& p, const Site_2& q, const Site_2& ,
-		       const Site_2& t, Sign sgn) const
+                       const Site_2& t, Sign sgn) const
   {
     if ( t.is_point() ) {
       return ( sgn == NEGATIVE );
@@ -702,7 +702,7 @@ public:
   }
 
   Boolean   operator()(const Site_2& p, const Site_2& q, const Site_2& t,
-		       Sign ) const
+                       Sign ) const
   {
     if ( p.is_segment() || q.is_segment()) {
       return false;
@@ -725,7 +725,7 @@ public:
       same_points(p, t.source_site()) || same_points(p, t.target_site());
     bool bq =
       same_points(q, t.source_site()) || same_points(q, t.target_site());
-						       
+
 
     return ( bp && bq );
   }
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Infinite_edge_interior_conflict_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Infinite_edge_interior_conflict_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Infinite_edge_interior_conflict_C2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Infinite_edge_interior_conflict_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Infinite_edge_interior_conflict_C2.h $
-// $Id: Infinite_edge_interior_conflict_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Infinite_edge_interior_conflict_C2.h $
+// $Id: Infinite_edge_interior_conflict_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -46,7 +46,7 @@ private:
 
 public:
   Boolean   operator()(const Site_2& q, const Site_2& s, const Site_2& r,
-		       const Site_2& t, Sign sgn) const
+                       const Site_2& t, Sign sgn) const
   {
     if ( t.is_segment() ) {
       return false;
@@ -75,12 +75,12 @@ public:
 
     if ( s.is_segment() && r.is_segment() && same_segments(s, r) ) {
       CGAL_assertion( same_points(q, s.source_site()) ||
-		      same_points(q, s.target_site()) );
+                      same_points(q, s.target_site()) );
       Site_2 ss;
       if ( same_points(q, s.source_site()) ) {
-	ss = s.target_site();
+        ss = s.target_site();
       } else {
-	ss = s.source_site();
+        ss = s.source_site();
       }
       // MK::ERROR: write this code using the compare_x_2 and
       //    compare_y_2 predicates instead of computing the inner
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/in_place_edge_list.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/in_place_edge_list.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/in_place_edge_list.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/in_place_edge_list.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/in_place_edge_list.h $
-// $Id: in_place_edge_list.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/in_place_edge_list.h $
+// $Id: in_place_edge_list.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -36,7 +36,7 @@ namespace internal {
 
     In_place_edge_list_iterator(const Edge& e, unsigned int idx)
       : e(e), idx(idx) {}
-    
+
     In_place_edge_list_iterator(const Self& other)
     {
       e = other.e;
@@ -154,7 +154,7 @@ public:
 
   inline bool is_first(const Edge& e) const {
     return ( (e.first == _front.first &&
-	      e.second == _front.second) );
+              e.second == _front.second) );
   }
 
 public:
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Is_degenerate_edge_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Is_degenerate_edge_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Is_degenerate_edge_C2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Is_degenerate_edge_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Is_degenerate_edge_C2.h $
-// $Id: Is_degenerate_edge_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Is_degenerate_edge_C2.h $
+// $Id: Is_degenerate_edge_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -50,7 +50,7 @@ public:
   typedef Site_2        argument_type;
 
   Boolean   operator()(const Site_2& p, const Site_2& q,
-		       const Site_2& r, const Site_2& s) const
+                       const Site_2& r, const Site_2& s) const
   {
     Voronoi_vertex_2 vpqr(p, q, r);
     if ( vpqr.incircle_no_easy(s) == POSITIVE ) { return false; }
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Kernel_wrapper_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Kernel_wrapper_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Kernel_wrapper_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Kernel_wrapper_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Kernel_wrapper_2.h $
-// $Id: Kernel_wrapper_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Kernel_wrapper_2.h $
+// $Id: Kernel_wrapper_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -79,7 +79,7 @@ public:
 
   typedef typename
   Internal::SDG_Which_site<Kernel_base,Intersections_tag>::Construct_site_2
-  Construct_site_2;  
+  Construct_site_2;
 };
 
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Orientation_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Orientation_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Orientation_C2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Orientation_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Orientation_C2.h $
-// $Id: Orientation_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Orientation_C2.h $
+// $Id: Orientation_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -36,7 +36,7 @@ class Orientation_C2
 {
 private:
   typedef Basic_predicates_C2<K>              Base;
-  
+
 public:
   typedef typename Base::Orientation          Orientation;
 
@@ -72,20 +72,20 @@ private:
   }
 
   bool have_common_support(const Site_2& p, const Site_2& q,
-			   Site_2& support) const
+                           Site_2& support) const
   {
     CGAL_precondition( !p.is_input() && !q.is_input() );
 
     if ( same_segments(p.supporting_site(0),
-		       q.supporting_site(0)) ||
-	 same_segments(p.supporting_site(0),
-		       q.supporting_site(1)) ) {
+                       q.supporting_site(0)) ||
+         same_segments(p.supporting_site(0),
+                       q.supporting_site(1)) ) {
       support = p.supporting_site(0);
       return true;
     } else if ( same_segments(p.supporting_site(1),
-			      q.supporting_site(0)) ||
-		same_segments(p.supporting_site(1),
-			      q.supporting_site(1)) ) {
+                              q.supporting_site(0)) ||
+                same_segments(p.supporting_site(1),
+                              q.supporting_site(1)) ) {
       support =  p.supporting_site(1);
       return true;
     }
@@ -101,13 +101,13 @@ private:
   //-------------------------------------------------------------
 
   Orientation predicate(const Site_2& p, const Site_2& q,
-			const Site_2& r, const Tag_false&) const
+                        const Site_2& r, const Tag_false&) const
   {
     return Orientation_2()(p.point(), q.point(), r.point());
   }
 
   Orientation predicate(const Site_2& p, const Site_2& q,
-			const Site_2& r, const Tag_true&) const
+                        const Site_2& r, const Tag_true&) const
   {
 #if 1
     // do geometric filtering
@@ -117,44 +117,44 @@ private:
     Site_2 support;
     if ( !pe && !qe && !re ) {
       if ( have_common_support(p, q, support) &&
-	   have_common_support(support, r) ) {
-	return COLLINEAR;
+           have_common_support(support, r) ) {
+        return COLLINEAR;
       }
     } else if ( !pe && !qe ) {
       if ( have_common_support(p, q, support) &&
-	   is_endpoint(r, support) ) {
-	return COLLINEAR;
+           is_endpoint(r, support) ) {
+        return COLLINEAR;
       }
     } else if ( !pe && !re ) {
       if ( have_common_support(p, r, support) &&
-	   is_endpoint(q, support) ) {
-	return COLLINEAR;
+           is_endpoint(q, support) ) {
+        return COLLINEAR;
       }
     } else if ( !qe && !re ) {
       if ( have_common_support(q, r, support) &&
-	   is_endpoint(p, support) ) {
-	return COLLINEAR;
+           is_endpoint(p, support) ) {
+        return COLLINEAR;
       }
     } else if ( !pe ) {
       Site_2 s0 = p.supporting_site(0);
       Site_2 s1 = p.supporting_site(1);
       if ( (is_endpoint(q, s0) && is_endpoint(r, s0)) ||
-	   (is_endpoint(q, s1) && is_endpoint(r, s1)) ) {
-	return COLLINEAR;
+           (is_endpoint(q, s1) && is_endpoint(r, s1)) ) {
+        return COLLINEAR;
       }
     } else if ( !qe ) {
       Site_2 s0 = q.supporting_site(0);
       Site_2 s1 = q.supporting_site(1);
       if ( (is_endpoint(p, s0) && is_endpoint(r, s0)) ||
-	   (is_endpoint(p, s1) && is_endpoint(r, s1)) ) {
-	return COLLINEAR;
+           (is_endpoint(p, s1) && is_endpoint(r, s1)) ) {
+        return COLLINEAR;
       }
     } else if ( !re ) {
       Site_2 s0 = r.supporting_site(0);
       Site_2 s1 = r.supporting_site(1);
       if ( (is_endpoint(q, s0) && is_endpoint(p, s0)) ||
-	   (is_endpoint(q, s1) && is_endpoint(p, s1)) ) {
-	return COLLINEAR;
+           (is_endpoint(q, s1) && is_endpoint(p, s1)) ) {
+        return COLLINEAR;
       }
     }
 #endif
@@ -167,7 +167,7 @@ public:
   typedef Site_2                       argument_type;
 
   Orientation operator()(const Site_2& p, const Site_2& q,
-			 const Site_2& r) const
+                         const Site_2& r) const
   {
     CGAL_precondition( p.is_point() && q.is_point() && r.is_point() );
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Oriented_side_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Oriented_side_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Oriented_side_C2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Oriented_side_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Oriented_side_C2.h $
-// $Id: Oriented_side_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Oriented_side_C2.h $
+// $Id: Oriented_side_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -38,7 +38,7 @@ private:
 
   typedef Basic_predicates_C2<K>              Base;
   typedef Voronoi_vertex_C2<K,Method_tag>     Voronoi_vertex_2;
-  
+
   typedef typename Base::Point_2              Point_2;
   typedef typename Base::Segment_2            Segment_2;
   typedef typename Base::Line_2               Line_2;
@@ -60,7 +60,7 @@ public:
   // is the direction of the supporting line of s, rotated by 90
   // degrees counterclockwise.
   Oriented_side operator()(const Site_2& s1, const Site_2& s2,
-			   const Site_2& s, const Site_2& p) const
+                           const Site_2& s, const Site_2& p) const
   {
     CGAL_precondition(s1.is_point() || s2.is_point());
     CGAL_precondition(s1.is_segment() || s2.is_segment());
@@ -72,8 +72,8 @@ public:
   // wrt the line that is passes through the point p and its direction
   // is the direction of the supporting line of s, rotated by 90
   // degrees counterclockwise.
-  Oriented_side operator()(const Site_2& q, 
-			   const Site_2& s, const Site_2& p) const
+  Oriented_side operator()(const Site_2& q,
+                           const Site_2& s, const Site_2& p) const
   {
     CGAL_precondition( q.is_point() );
     CGAL_precondition( s.is_segment() && p.is_point() );
@@ -89,8 +89,8 @@ public:
   // is the direction of the supporting line of s, rotated by 90
   // degrees counterclockwise.
   Oriented_side operator()(const Site_2& s1, const Site_2& s2,
-			   const Site_2& s3,
-			   const Site_2& s, const Site_2& p) const
+                           const Site_2& s3,
+                           const Site_2& s, const Site_2& p) const
   {
     CGAL_precondition( s.is_segment() && p.is_point() );
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Oriented_side_of_bisector_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Oriented_side_of_bisector_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Oriented_side_of_bisector_C2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Oriented_side_of_bisector_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Oriented_side_of_bisector_C2.h $
-// $Id: Oriented_side_of_bisector_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Oriented_side_of_bisector_C2.h $
+// $Id: Oriented_side_of_bisector_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -71,7 +71,7 @@ private:
 
   bool is_degenerate(const Site_2& s) const
   {
-    CGAL_precondition( s.is_segment() );    
+    CGAL_precondition( s.is_segment() );
     return same_points( s.source_site(), s.target_site() );
   }
 
@@ -79,14 +79,14 @@ private:
 
   Comparison_result
   compare_distances_pp(const Site_2& p1, const Site_2& p2,
-		       const Site_2& q) const
+                       const Site_2& q) const
   {
     CGAL_precondition( p1.is_point() && p2.is_point() );
     CGAL_precondition( !same_points(p1,p2) );
 
     if ( same_points(q, p1) ) { return SMALLER; }
     if ( same_points(q, p2) ) { return LARGER; }
-    
+
     return
       compare_distance_to_point(q.point(), p1.point(), p2.point());
   }
@@ -95,7 +95,7 @@ private:
 
   Comparison_result
   compare_distances_sp(const Site_2& s, const Site_2& p,
-		       const Site_2& q) const
+                       const Site_2& q) const
   {
     CGAL_precondition( s.is_segment() && p.is_point() );
     CGAL_precondition( !is_degenerate(s) );
@@ -113,17 +113,17 @@ private:
       Line_2 lp = compute_perpendicular(ls, p.point());
 
       if ( is_trg ) {
-	lp = opposite_line(lp);
+        lp = opposite_line(lp);
       }
 
       Oriented_side os = oriented_side_of_line(lp, q.point());
 
       if ( os == ON_POSITIVE_SIDE ) {
-	return LARGER;
+        return LARGER;
       } else if ( os == ON_NEGATIVE_SIDE) {
-	return SMALLER;
+        return SMALLER;
       } else {
-	return EQUAL;
+        return EQUAL;
       }
     }
 
@@ -157,7 +157,7 @@ private:
 
   Comparison_result
   compare_distances_ss(const Site_2& s1, const Site_2& s2,
-		       const Site_2& q) const
+                       const Site_2& q) const
   {
     CGAL_precondition( s1.is_segment() && s2.is_segment() );
     CGAL_precondition( !is_degenerate(s1) );
@@ -180,7 +180,7 @@ private:
 
 
     Point_2 qq = q.point();
-    
+
     Point_2 ssrc1 = s1.source(), strg1 = s1.target();
 
     Line_2 ls1 = compute_supporting_line(s1.supporting_site());
@@ -194,7 +194,7 @@ private:
     Line_2 ltrg2 = compute_perpendicular(ls2, strg2);
 
     // idx1 and idx2 indicate if q is to the left (source endpoint
-    // side), the right side (target endpoint side) or inside 
+    // side), the right side (target endpoint side) or inside
     // the band of s1 and s2 respectively; if q is on the boundary of
     // the band we assign it to the adjacent halfplane; for left
     // halfplane the value is -1; for the band the value is 0; for the
@@ -207,7 +207,7 @@ private:
     } else {
       Oriented_side os_trg1 = oriented_side_of_line(ltrg1, qq);
       if ( os_trg1 != ON_POSITIVE_SIDE ) {
-	idx1 = 1;
+        idx1 = 1;
       }
     }
 
@@ -217,7 +217,7 @@ private:
     } else {
       Oriented_side os_trg2 = oriented_side_of_line(ltrg2, qq);
       if ( os_trg2 != ON_POSITIVE_SIDE ) {
-	idx2 = 1;
+        idx2 = 1;
       }
     }
 
@@ -227,38 +227,38 @@ private:
     if ( idx1 == -1 ) {
       RT d2_s1 = compute_squared_distance(qq, ssrc1);
       if ( idx2 == -1 ) {
-	if ( same_points(s1.source_site(), s2.source_site()) ) {
-	  return EQUAL;
-	}
-	RT d2_s2 = compute_squared_distance(qq, ssrc2);
-	return CGAL::compare(d2_s1, d2_s2);
+        if ( same_points(s1.source_site(), s2.source_site()) ) {
+          return EQUAL;
+        }
+        RT d2_s2 = compute_squared_distance(qq, ssrc2);
+        return CGAL::compare(d2_s1, d2_s2);
       } else if ( idx2 == 1 ) {
-	if ( same_points(s1.source_site(), s2.target_site()) ) {
-	  return EQUAL;
-	}
-	RT d2_s2 = compute_squared_distance(qq, strg2);
-	return CGAL::compare(d2_s1, d2_s2);
+        if ( same_points(s1.source_site(), s2.target_site()) ) {
+          return EQUAL;
+        }
+        RT d2_s2 = compute_squared_distance(qq, strg2);
+        return CGAL::compare(d2_s1, d2_s2);
       } else {
-	std::pair<RT,RT> d2_s2 = compute_squared_distance(qq, ls2);
-	return CGAL::compare(d2_s1 * d2_s2.second, d2_s2.first);
+        std::pair<RT,RT> d2_s2 = compute_squared_distance(qq, ls2);
+        return CGAL::compare(d2_s1 * d2_s2.second, d2_s2.first);
       }
     } else if ( idx1 == 1 ) {
       RT d2_s1 = compute_squared_distance(qq, strg1);
       if ( idx2 == -1 ) {
-	if ( same_points(s1.target_site(), s2.source_site()) ) {
-	  return EQUAL;
-	}
-	RT d2_s2 = compute_squared_distance(qq, ssrc2);
-	return CGAL::compare(d2_s1, d2_s2);
+        if ( same_points(s1.target_site(), s2.source_site()) ) {
+          return EQUAL;
+        }
+        RT d2_s2 = compute_squared_distance(qq, ssrc2);
+        return CGAL::compare(d2_s1, d2_s2);
       } else if ( idx2 == 1 ) {
-	if ( same_points(s1.target_site(), s2.target_site()) ) {
-	  return EQUAL;
-	}
-	RT d2_s2 = compute_squared_distance(qq, strg2);
-	return CGAL::compare(d2_s1, d2_s2);
+        if ( same_points(s1.target_site(), s2.target_site()) ) {
+          return EQUAL;
+        }
+        RT d2_s2 = compute_squared_distance(qq, strg2);
+        return CGAL::compare(d2_s1, d2_s2);
       } else {
-	std::pair<RT,RT> d2_s2 = compute_squared_distance(qq, ls2);
-	return CGAL::compare(d2_s1 * d2_s2.second, d2_s2.first);
+        std::pair<RT,RT> d2_s2 = compute_squared_distance(qq, ls2);
+        return CGAL::compare(d2_s1 * d2_s2.second, d2_s2.first);
       }
     }
 
@@ -275,7 +275,7 @@ private:
     CGAL_assertion( idx2 == 0 );
     std::pair<RT,RT> d2_s2 = compute_squared_distance(qq, ls2);
     return CGAL::compare(d2_s1.first * d2_s2.second,
-			 d2_s2.first * d2_s1.second);
+                         d2_s2.first * d2_s1.second);
   }
 
   //-----------------------------------------------------------------
@@ -283,7 +283,7 @@ private:
 
   Oriented_side
   compare_distances(const Site_2& t1, const Site_2& t2,
-		    const Site_2& q) const
+                    const Site_2& q) const
   {
     Comparison_result r;
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Predicates_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Predicates_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Predicates_C2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Predicates_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Predicates_C2.h $
-// $Id: Predicates_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Predicates_C2.h $
+// $Id: Predicates_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Segment_Delaunay_graph_2_impl.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Segment_Delaunay_graph_2_impl.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Segment_Delaunay_graph_2_impl.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Segment_Delaunay_graph_2_impl.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Segment_Delaunay_graph_2_impl.h $
-// $Id: Segment_Delaunay_graph_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Segment_Delaunay_graph_2_impl.h $
+// $Id: Segment_Delaunay_graph_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -141,7 +141,7 @@ insert_third(const Site_2& t, const Stor
     if ( s21i3 == NEGATIVE ) {
       f->reorient();
       for (int i = 0; i < 3; i++) {
-	f->neighbor(i)->reorient();
+        f->neighbor(i)->reorient();
       }
     }
   } else {
@@ -152,59 +152,59 @@ insert_third(const Site_2& t, const Stor
     if ( xcmp12 == SMALLER ) {        // x1 < x2
       Comparison_result xcmp23 = compare_x(s2, s3);
       if ( xcmp23 == SMALLER ) {            // x2 < x3
-	flip(f, f->index(v1));
+        flip(f, f->index(v1));
       } else {
-	Comparison_result xcmp31 = compare_x(s3, s1);
-	if ( xcmp31 == SMALLER ) {          // x3 < x1
-	  flip(f, f->index(v0));
-	} else {                            // x1 < x3 < x2
-	  flip(f, f->index(v)); 
-	}
+        Comparison_result xcmp31 = compare_x(s3, s1);
+        if ( xcmp31 == SMALLER ) {          // x3 < x1
+          flip(f, f->index(v0));
+        } else {                            // x1 < x3 < x2
+          flip(f, f->index(v));
+        }
       }
     } else if ( xcmp12 == LARGER ) {  // x1 > x2
       Comparison_result xcmp32 = compare_x(s3, s2);
       if ( xcmp32 == SMALLER ) {            // x3 < x2
-	flip(f, f->index(v1));
+        flip(f, f->index(v1));
       } else {
-	Comparison_result xcmp13 = compare_x(s1, s3);
-	if ( xcmp13 == SMALLER ) {          // x1 < x3
-	  flip(f, f->index(v0));
-	} else {                            // x2 < x3 < x1
-	  flip(f, f->index(v));
-	}
+        Comparison_result xcmp13 = compare_x(s1, s3);
+        if ( xcmp13 == SMALLER ) {          // x1 < x3
+          flip(f, f->index(v0));
+        } else {                            // x2 < x3 < x1
+          flip(f, f->index(v));
+        }
       }
     } else {                          // x1 == x2
       typename Geom_traits::Compare_y_2 compare_y =
-	geom_traits().compare_y_2_object();
+        geom_traits().compare_y_2_object();
 
       Comparison_result ycmp12 = compare_y(s1, s2);
       if ( ycmp12 == SMALLER ) {      // y1 < y2
-	Comparison_result ycmp23 = compare_y(s2, s3);
-	if ( ycmp23 == SMALLER ) {          // y2 < y3
-	  flip(f, f->index(v1));
-	} else {
-	  Comparison_result ycmp31 = compare_y(s3, s1);
-	  if ( ycmp31 == SMALLER ) {        // y3 < y1
-	    flip(f, f->index(v0));
-	  } else {                          // y1 < y3 < y2
-	    flip(f, f->index(v));
-	  }
-	}
+        Comparison_result ycmp23 = compare_y(s2, s3);
+        if ( ycmp23 == SMALLER ) {          // y2 < y3
+          flip(f, f->index(v1));
+        } else {
+          Comparison_result ycmp31 = compare_y(s3, s1);
+          if ( ycmp31 == SMALLER ) {        // y3 < y1
+            flip(f, f->index(v0));
+          } else {                          // y1 < y3 < y2
+            flip(f, f->index(v));
+          }
+        }
       } else if ( ycmp12 == LARGER ) { // y1 > y2
-	Comparison_result ycmp32 = compare_y(s3, s2);
-	if ( ycmp32 == SMALLER ) {           // y3 < y2
-	  flip(f, f->index(v1));
-	} else {
-	  Comparison_result ycmp13 = compare_y(s1, s3);
-	  if ( ycmp13 == SMALLER ) {         // y1 < y3
-	    flip(f, f->index(v0));
-	  } else {                           // y2 < y3 < y1
-	    flip(f, f->index(v));
-	  }
-	}
+        Comparison_result ycmp32 = compare_y(s3, s2);
+        if ( ycmp32 == SMALLER ) {           // y3 < y2
+          flip(f, f->index(v1));
+        } else {
+          Comparison_result ycmp13 = compare_y(s1, s3);
+          if ( ycmp13 == SMALLER ) {         // y1 < y3
+            flip(f, f->index(v0));
+          } else {                           // y2 < y3 < y1
+            flip(f, f->index(v));
+          }
+        }
       } else {
-	// this line should never have been reached
-	CGAL_error();
+        // this line should never have been reached
+        CGAL_error();
       }
     }
   }
@@ -235,7 +235,7 @@ insert_third(const Storage_site_2& ss, V
     }
     ++fc;
   }
-  
+
   return v;
 }
 
@@ -266,7 +266,7 @@ template<class Gt, class ST, class D_S,
 typename Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::Vertex_handle
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 insert_point(const Storage_site_2& ss, const Site_2& t,
-	     Vertex_handle vnear)
+             Vertex_handle vnear)
 {
   CGAL_precondition( t.is_point() );
   CGAL_assertion( number_of_vertices() > 2 );
@@ -347,7 +347,7 @@ template<class Gt, class ST, class D_S,
 typename Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::Vertex_handle
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 insert_point2(const Storage_site_2& ss, const Site_2& t,
-	      Vertex_handle vnearest)
+              Vertex_handle vnearest)
 {
   CGAL_precondition( t.is_point() );
   CGAL_assertion( number_of_vertices() > 2 );
@@ -418,12 +418,12 @@ insert_point2(const Storage_site_2& ss,
 #endif
 
       if ( s1 == s2 ) {
-	interior_in_conflict = edge_interior(e, t, s1);
+        interior_in_conflict = edge_interior(e, t, s1);
       } else {
-	// It seems that there was a problem here when one of the
-	// signs was positive and the other zero. In this case we
-	// still check pretending that both signs where positive
-	interior_in_conflict = edge_interior(e, t, POSITIVE);
+        // It seems that there was a problem here when one of the
+        // signs was positive and the other zero. In this case we
+        // still check pretending that both signs where positive
+        interior_in_conflict = edge_interior(e, t, POSITIVE);
       }
 
       if ( interior_in_conflict ) { break; }
@@ -440,7 +440,7 @@ insert_point2(const Storage_site_2& ss,
   }
 
 
-  // we are in conflict with a Voronoi vertex; start from that and 
+  // we are in conflict with a Voronoi vertex; start from that and
   // find the entire conflict region and then repair the diagram
   List l;
 #ifndef CGAL_SDG_NO_FACE_MAP
@@ -452,7 +452,7 @@ insert_point2(const Storage_site_2& ss,
 
   // MK:: NEED TO WRITE A FUNCTION CALLED find_conflict_region WHICH
   // IS GIVEN A STARTING FACE, A LIST, A FACE MAP, A VERTEX MAP AND A
-  // LIST OF FLIPPED EDGES AND WHAT IS DOES IS INITIALIZE THE CONFLICT 
+  // LIST OF FLIPPED EDGES AND WHAT IS DOES IS INITIALIZE THE CONFLICT
   // REGION AND EXPANDS THE CONFLICT REGION.
   initialize_conflict_region(start_f, l);
 #ifdef CGAL_SDG_NO_FACE_MAP
@@ -517,21 +517,21 @@ find_faces_to_split(const Vertex_handle&
 
       Site_2 sv_ep;
       if ( is_infinite( ff1->vertex(cw_v) ) ) {
-	CGAL_assertion(  !is_infinite( ff1->vertex(ccw_v) )  );
-	CGAL_assertion( ff1->vertex(ccw_v)->site().is_point() );
-	sv_ep = ff1->vertex(ccw_v)->site();
+        CGAL_assertion(  !is_infinite( ff1->vertex(ccw_v) )  );
+        CGAL_assertion( ff1->vertex(ccw_v)->site().is_point() );
+        sv_ep = ff1->vertex(ccw_v)->site();
         os1 = oriented_side(v->site(), sv_ep, sitev_supp, t);
       } else {
-	CGAL_assertion(  !is_infinite( ff1->vertex( cw_v) )  );
-	CGAL_assertion( ff1->vertex( cw_v)->site().is_point() );
-	sv_ep = ff1->vertex( cw_v)->site();
+        CGAL_assertion(  !is_infinite( ff1->vertex( cw_v) )  );
+        CGAL_assertion( ff1->vertex( cw_v)->site().is_point() );
+        sv_ep = ff1->vertex( cw_v)->site();
         os1 = oriented_side(sv_ep, v->site(), sitev_supp, t);
       }
     } else {
       os1 = oriented_side(fc1->vertex(0)->site(),
-			  fc1->vertex(1)->site(),
-			  fc1->vertex(2)->site(),
-			  sitev_supp, t);
+                          fc1->vertex(1)->site(),
+                          fc1->vertex(2)->site(),
+                          sitev_supp, t);
     }
 
     if ( is_infinite(ff2) ) {
@@ -541,25 +541,25 @@ find_faces_to_split(const Vertex_handle&
 
       Site_2 sv_ep;
       if ( is_infinite( ff2->vertex(cw_v) ) ) {
-	CGAL_assertion(  !is_infinite( ff2->vertex(ccw_v) )  );
-	CGAL_assertion( ff2->vertex(ccw_v)->site().is_point() );
-	sv_ep = ff2->vertex(ccw_v)->site();
+        CGAL_assertion(  !is_infinite( ff2->vertex(ccw_v) )  );
+        CGAL_assertion( ff2->vertex(ccw_v)->site().is_point() );
+        sv_ep = ff2->vertex(ccw_v)->site();
         os2 = oriented_side(v->site(), sv_ep, sitev_supp, t);
       } else {
-	CGAL_assertion(  !is_infinite( ff2->vertex( cw_v) )  );
-	CGAL_assertion( ff2->vertex( cw_v)->site().is_point() );
-	sv_ep = ff2->vertex( cw_v)->site();
+        CGAL_assertion(  !is_infinite( ff2->vertex( cw_v) )  );
+        CGAL_assertion( ff2->vertex( cw_v)->site().is_point() );
+        sv_ep = ff2->vertex( cw_v)->site();
         os2 = oriented_side(sv_ep, v->site(), sitev_supp, t);
       }
     } else {
       os2 = oriented_side(fc2->vertex(0)->site(),
-			  fc2->vertex(1)->site(),
-			  fc2->vertex(2)->site(),
-			  sitev_supp, t);
+                          fc2->vertex(1)->site(),
+                          fc2->vertex(2)->site(),
+                          sitev_supp, t);
     }
 
     if ( !found_f1 &&
-	 os1 != ON_POSITIVE_SIDE && os2 == ON_POSITIVE_SIDE ) {
+         os1 != ON_POSITIVE_SIDE && os2 == ON_POSITIVE_SIDE ) {
       f1 = ff2;
       found_f1 = true;
     }
@@ -573,7 +573,7 @@ find_faces_to_split(const Vertex_handle&
     if ( found_f1 && found_f2 ) { break; }
 
     ++fc1, ++fc2;
-  } while ( fc_start != fc1 ); 
+  } while ( fc_start != fc1 );
 
 
   CGAL_assertion( found_f1 && found_f2 );
@@ -586,7 +586,7 @@ template<class Gt, class ST, class D_S,
 typename Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::Vertex_triple
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 insert_exact_point_on_segment(const Storage_site_2& ss, const Site_2& t,
-			      Vertex_handle v)
+                              Vertex_handle v)
 {
   // splits the segment site v->site() in two and inserts represented by t
   // on return the three vertices are, respectively, the vertex
@@ -595,7 +595,7 @@ insert_exact_point_on_segment(const Stor
   CGAL_assertion( t.is_point() );
   CGAL_assertion( t.is_input() );
 
-  Storage_site_2 ssitev = v->storage_site();  
+  Storage_site_2 ssitev = v->storage_site();
 
   CGAL_assertion( ssitev.is_segment() );
 
@@ -628,7 +628,7 @@ template<class Gt, class ST, class D_S,
 typename Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::Vertex_triple
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 insert_point_on_segment(const Storage_site_2& ss, const Site_2& ,
-			Vertex_handle v, const Tag_true&)
+                        Vertex_handle v, const Tag_true&)
 {
   // splits the segment site v->site() in two and inserts the point of
   // intersection of t and v->site()
@@ -704,7 +704,7 @@ template<class Gt, class ST, class D_S,
 typename Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::Vertex_handle
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 insert_segment_interior(const Site_2& t, const Storage_site_2& ss,
-			Vertex_handle vnearest)
+                        Vertex_handle vnearest)
 {
   CGAL_precondition( t.is_segment() );
   CGAL_precondition( number_of_vertices() > 2 );
@@ -727,64 +727,64 @@ insert_segment_interior(const Site_2& t,
 
     if ( vv->is_segment() ) {
       if ( at_res == AT2::DISJOINT || at_res == AT2::TOUCH_1 ||
-	   at_res == AT2::TOUCH_2 || at_res == AT2::TOUCH_11 ||
-	   at_res == AT2::TOUCH_12 || at_res == AT2::TOUCH_21 ||
-	   at_res == AT2::TOUCH_22 ) {
-	// do nothing
+           at_res == AT2::TOUCH_2 || at_res == AT2::TOUCH_11 ||
+           at_res == AT2::TOUCH_12 || at_res == AT2::TOUCH_21 ||
+           at_res == AT2::TOUCH_22 ) {
+        // do nothing
       } else if ( at_res == AT2::IDENTICAL ) {
-	// merge info of identical items
-	merge_info(vv, ss);
-	return vv;
+        // merge info of identical items
+        merge_info(vv, ss);
+        return vv;
       } else if ( at_res == AT2::CROSSING ) {
-	Intersections_tag itag;
-	return insert_intersecting_segment(ss, t, vv, itag);
+        Intersections_tag itag;
+        return insert_intersecting_segment(ss, t, vv, itag);
       } else if ( at_res == AT2::TOUCH_11_INTERIOR_1 ) {
-	Vertex_handle vp = second_endpoint_of_segment(vv);	
-	Storage_site_2 ssvp = vp->storage_site();
-	Storage_site_2 sss = split_storage_site(ss, ssvp, false);
-
-	Storage_site_2 sss1 = split_storage_site(ss, ssvp, true);
-	// merge the info of the first (common) subsegment
-	merge_info(vv, sss1);
-	// merge the info of the (common) splitting endpoint
-	merge_info(vp, ss);
+        Vertex_handle vp = second_endpoint_of_segment(vv);
+        Storage_site_2 ssvp = vp->storage_site();
+        Storage_site_2 sss = split_storage_site(ss, ssvp, false);
+
+        Storage_site_2 sss1 = split_storage_site(ss, ssvp, true);
+        // merge the info of the first (common) subsegment
+        merge_info(vv, sss1);
+        // merge the info of the (common) splitting endpoint
+        merge_info(vp, ss);
 
-	return insert_segment_interior(sss.site(), sss, vp);
+        return insert_segment_interior(sss.site(), sss, vp);
       } else if ( at_res == AT2::TOUCH_12_INTERIOR_1 ) {
-	Vertex_handle vp = first_endpoint_of_segment(vv);	
-	Storage_site_2 ssvp = vp->storage_site();
-	Storage_site_2 sss = split_storage_site(ss, ssvp, true);
+        Vertex_handle vp = first_endpoint_of_segment(vv);
+        Storage_site_2 ssvp = vp->storage_site();
+        Storage_site_2 sss = split_storage_site(ss, ssvp, true);
 
-	/*Storage_site_2 sss1 =*/
+        /*Storage_site_2 sss1 =*/
   split_storage_site(ss, ssvp, false);
-	// merge the info of the second (common) subsegment
-	//	merge_info(vv, sss);
-	// merge the info of the (common) splitting endpoint
-	merge_info(vp, ss);
+        // merge the info of the second (common) subsegment
+        //        merge_info(vv, sss);
+        // merge the info of the (common) splitting endpoint
+        merge_info(vp, ss);
 
-	return insert_segment_interior(sss.site(), sss, vp);
+        return insert_segment_interior(sss.site(), sss, vp);
       } else {
-	// this should never be reached; the only possible values for
-	// at_res are DISJOINT, CROSSING, TOUCH_11_INTERIOR_1
-	// and TOUCH_12_INTERIOR_1
-	CGAL_error();
+        // this should never be reached; the only possible values for
+        // at_res are DISJOINT, CROSSING, TOUCH_11_INTERIOR_1
+        // and TOUCH_12_INTERIOR_1
+        CGAL_error();
       }
     } else {
       CGAL_assertion( vv->is_point() );
       if ( at_res == AT2::INTERIOR ) {
-	Storage_site_2 ssvv = vv->storage_site();
-	if ( ssvv.is_input() ) {
-	  Storage_site_2 ss1 = split_storage_site(ss, ssvv, true);
-	  Storage_site_2 ss2 = split_storage_site(ss, ssvv, false);
-	  // merge the info of the splitting point and the segment
-	  merge_info(vv, ss);
-	  insert_segment_interior(ss1.site(), ss1, vv);
-	  return insert_segment_interior(ss2.site(), ss2, vv);
-	} else {
-	  // this should never be reached; the only possible values for
-	  // at_res are DISJOINT and INTERIOR
-	  CGAL_error();
-	}
+        Storage_site_2 ssvv = vv->storage_site();
+        if ( ssvv.is_input() ) {
+          Storage_site_2 ss1 = split_storage_site(ss, ssvv, true);
+          Storage_site_2 ss2 = split_storage_site(ss, ssvv, false);
+          // merge the info of the splitting point and the segment
+          merge_info(vv, ss);
+          insert_segment_interior(ss1.site(), ss1, vv);
+          return insert_segment_interior(ss2.site(), ss2, vv);
+        } else {
+          // this should never be reached; the only possible values for
+          // at_res are DISJOINT and INTERIOR
+          CGAL_error();
+        }
       }
     }
     ++vc;
@@ -821,7 +821,7 @@ insert_segment_interior(const Site_2& t,
   // segments must have a conflict with at least one vertex
   CGAL_assertion( s == NEGATIVE );
 
-  // we are in conflict with a Voronoi vertex; start from that and 
+  // we are in conflict with a Voronoi vertex; start from that and
   // find the entire conflict region and then repair the diagram
   List l;
 #ifndef CGAL_SDG_NO_FACE_MAP
@@ -833,7 +833,7 @@ insert_segment_interior(const Site_2& t,
 
   // MK:: NEED TO WRITE A FUNCTION CALLED find_conflict_region WHICH
   // IS GIVEN A STARTING FACE, A LIST, A FACE MAP, A VERTEX MAP AND A
-  // LIST OF FLIPPED EDGES AND WHAT IS DOES IS INITIALIZE THE CONFLICT 
+  // LIST OF FLIPPED EDGES AND WHAT IS DOES IS INITIALIZE THE CONFLICT
   // REGION AND EXPANDS THE CONFLICT REGION.
   initialize_conflict_region(start_f, l);
 #ifdef CGAL_SDG_NO_FACE_MAP
@@ -843,28 +843,28 @@ insert_segment_interior(const Site_2& t,
 #endif
 
   CGAL_assertion( vcross.third == AT2::DISJOINT ||
-		  vcross.third == AT2::CROSSING ||
-		  vcross.third == AT2::INTERIOR );
+                  vcross.third == AT2::CROSSING ||
+                  vcross.third == AT2::INTERIOR );
 
   // the following condition becomes true only if intersecting
   // segments are found
   if ( vcross.first ) {
     if ( t.is_segment() ) {
       if ( vcross.third == AT2::CROSSING ) {
-	Intersections_tag itag;
-	return insert_intersecting_segment(ss, t, vcross.second, itag);
+        Intersections_tag itag;
+        return insert_intersecting_segment(ss, t, vcross.second, itag);
       } else if ( vcross.third == AT2::INTERIOR ) {
-	Storage_site_2 ssvv = vcross.second->storage_site();
-	Storage_site_2 ss1 = split_storage_site(ss, ssvv, true);
-	Storage_site_2 ss2 = split_storage_site(ss, ssvv, false);
-	// merge the info of the splitting point and the segment
-	merge_info(vcross.second, ss);
-	insert_segment_interior(ss1.site(), ss1, vcross.second);
-	return insert_segment_interior(ss2.site(), ss2, vcross.second);
+        Storage_site_2 ssvv = vcross.second->storage_site();
+        Storage_site_2 ss1 = split_storage_site(ss, ssvv, true);
+        Storage_site_2 ss2 = split_storage_site(ss, ssvv, false);
+        // merge the info of the splitting point and the segment
+        merge_info(vcross.second, ss);
+        insert_segment_interior(ss1.site(), ss1, vcross.second);
+        return insert_segment_interior(ss2.site(), ss2, vcross.second);
       } else {
-	// this should never be reached; the only possible values for
-	// vcross.third are CROSSING, INTERIOR and DISJOINT
-	CGAL_error();
+        // this should never be reached; the only possible values for
+        // vcross.third are CROSSING, INTERIOR and DISJOINT
+        CGAL_error();
       }
     }
   }
@@ -890,8 +890,8 @@ template<class Gt, class ST, class D_S,
 typename Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::Vertex_handle
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 insert_intersecting_segment_with_tag(const Storage_site_2& /* ss */,
-				     const Site_2& /* t */, Vertex_handle /* v */,
-				     Tag_false)
+                                     const Site_2& /* t */, Vertex_handle /* v */,
+                                     Tag_false)
 {
   print_error_message();
   return Vertex_handle();
@@ -901,8 +901,8 @@ template<class Gt, class ST, class D_S,
 typename Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::Vertex_handle
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 insert_intersecting_segment_with_tag(const Storage_site_2& ss,
-				     const Site_2& t, Vertex_handle v,
-				     Tag_true tag)
+                                     const Site_2& t, Vertex_handle v,
+                                     Tag_true tag)
 {
   CGAL_precondition( t.is_segment() && v->is_segment() );
 
@@ -917,7 +917,7 @@ insert_intersecting_segment_with_tag(con
   Vertex_triple vt = (this->*insert_point_on_segment_ptr)(ss, t, v, tag);
 
   Vertex_handle vsx = vt.first;
-  
+
   Storage_site_2 ss3 = st_.construct_storage_site_2_object()(ss, ssitev, true);
   Storage_site_2 ss4 = st_.construct_storage_site_2_object()(ss, ssitev, false);
   Site_2 s3 = ss3.site();
@@ -1158,7 +1158,7 @@ add_bogus_vertex(Edge e, List& l)
   int i2 = f2->index(v);
 
   CGAL_assertion( ((f1->neighbor(i1) == g1) && (f2->neighbor(i2) == g2)) ||
-		  ((f1->neighbor(i1) == g2) && (f2->neighbor(i2) == g1)) );
+                  ((f1->neighbor(i1) == g2) && (f2->neighbor(i2) == g1)) );
 
   Edge ee, eesym;
   if ( f1->neighbor(i1) == g1 ) {
@@ -1193,8 +1193,8 @@ add_bogus_vertices(List& l)
     Edge esym = sym_edge(e);
     if ( l.is_in_list(esym) ) {
       if ( !esym.first->tds_data().is_selected(esym.second) ) {
-	e.first->tds_data().mark_selected(e.second);
-	edge_list.push_back(e);
+        e.first->tds_data().mark_selected(e.second);
+        edge_list.push_back(e);
       }
     }
     e = l.next(e);
@@ -1229,7 +1229,7 @@ add_bogus_vertices(List& l)
   do {
     Edge esym = sym_edge(e);
     if ( l.is_in_list(esym) &&
-	 edge_list.find(esym) == edge_list.end() ) {
+         edge_list.find(esym) == edge_list.end() ) {
       edge_list.insert(e);
     }
     e = l.next(e);
@@ -1266,7 +1266,7 @@ Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>
 retriangulate_conflict_region(Vertex_handle v, List& l)
 #else
 retriangulate_conflict_region(Vertex_handle v, List& l,
-			      Face_map& fm)
+                              Face_map& fm)
 #endif
 
 {
@@ -1371,7 +1371,7 @@ template<class Gt, class ST, class D_S,
 bool
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 is_linear_chain(const Vertex_handle& v0, const Vertex_handle& v1,
-		const Vertex_handle& v2) const
+                const Vertex_handle& v2) const
 {
   Site_2 tt[3] = { v0->site(), v1->site(), v2->site() };
 
@@ -1423,7 +1423,7 @@ is_flippable(const Face_handle& f, int i
   Storage_site_2 ss = v->storage_site();
   Storage_site_2 ss_other = v_other->storage_site();
   if ( ss_other.is_point() && ss.is_segment() &&
-       is_endpoint_of_segment(ss_other,	ss) && is_star(v_other) ) {
+       is_endpoint_of_segment(ss_other,        ss) && is_star(v_other) ) {
     return false;
   }
 
@@ -1454,8 +1454,8 @@ minimize_degree(const Vertex_handle& v)
       f = e.first;
 
       if ( !f->has_vertex(v) ) {
-	f = e.first->neighbor(e.second);
-	CGAL_assertion( f->has_vertex(v) );
+        f = e.first->neighbor(e.second);
+        CGAL_assertion( f->has_vertex(v) );
       }
 
       fc = --( incident_faces(v,f) );
@@ -1472,8 +1472,8 @@ template<class Gt, class ST, class D_S,
 void
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 equalize_degrees(const Vertex_handle& v, Self& small_d,
-		 std::map<Vertex_handle,Vertex_handle>& vmap,
-		 List& l) const
+                 std::map<Vertex_handle,Vertex_handle>& vmap,
+                 List& l) const
 {
   size_type deg = degree(v);
   CGAL_assertion( l.size() <= deg );
@@ -1507,10 +1507,10 @@ equalize_degrees(const Vertex_handle& v,
       Vertex_handle v_lrg_src = fc->vertex(ccw(id));
       Vertex_handle v_lrg_trg = fc->vertex(cw(id));
       if ( vmap[v_sml_src] == v_lrg_src && vmap[v_sml_trg] == v_lrg_trg ) {
-	found = true;
-	e_large_begin = Edge(fc, id);
-	e_small_begin = e_small;
-	break;
+        found = true;
+        e_large_begin = Edge(fc, id);
+        e_small_begin = e_small;
+        break;
       }
     } while ( ++fc != fc_start );
     if ( found ) { break; }
@@ -1541,10 +1541,10 @@ equalize_degrees(const Vertex_handle& v,
       Face_handle f2 = e_small_new_sym.first;
 
       if ( f2->vertex(e_small_new_sym.second) == vsml_src ) {
-	std::swap(f1, f2);
-	std::swap(e_small_new, e_small_new_sym);
-	CGAL_assertion( f1->vertex(e_small_new.second) == vsml_src );
-	CGAL_assertion( f2->vertex(e_small_new_sym.second) == vsml_trg );
+        std::swap(f1, f2);
+        std::swap(e_small_new, e_small_new_sym);
+        CGAL_assertion( f1->vertex(e_small_new.second) == vsml_src );
+        CGAL_assertion( f2->vertex(e_small_new_sym.second) == vsml_trg );
       }
 
       Edge to_list1(f1, cw(e_small_new.second));
@@ -1568,7 +1568,7 @@ equalize_degrees(const Vertex_handle& v,
   std::cerr << "degree of v: " << deg << std::endl;
 #endif
 
-#if !defined(CGAL_NO_ASSERTIONS) && !defined(NDEBUG)  
+#if !defined(CGAL_NO_ASSERTIONS) && !defined(NDEBUG)
   // we go around the boundary of the conflict region verify that all
   // edges are there
   CGAL_assertion( l.size() == degree(v) );
@@ -1665,8 +1665,8 @@ template<class Gt, class ST, class D_S,
 void
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 find_conflict_region_remove(const Vertex_handle& v,
-			    const Vertex_handle& vnearest,
-			    List& l, Face_map& fm, Sign_map&)
+                            const Vertex_handle& vnearest,
+                            List& l, Face_map& fm, Sign_map&)
 {
   CGAL_precondition( vnearest != Vertex_handle() );
   Storage_site_2 ss = v->storage_site();
@@ -1713,12 +1713,12 @@ find_conflict_region_remove(const Vertex
       Sign s2 = sign_map[e.first->neighbor(e.second)];
 
       if ( s1 == s2 ) {
-	interior_in_conflict = edge_interior(e, t, s1);
+        interior_in_conflict = edge_interior(e, t, s1);
       } else {
-	// It seems that there was a problem here when one of the
-	// signs was positive and the other zero. In this case we
-	// still check pretending that both signs where positive
-	interior_in_conflict = edge_interior(e, t, POSITIVE);
+        // It seems that there was a problem here when one of the
+        // signs was positive and the other zero. In this case we
+        // still check pretending that both signs where positive
+        interior_in_conflict = edge_interior(e, t, POSITIVE);
       }
 
       if ( interior_in_conflict ) { break; }
@@ -1759,7 +1759,7 @@ template<class Gt, class ST, class D_S,
 void
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 fill_hole(const Self& small_d, const Vertex_handle& v, const List& l,
-	  std::map<Vertex_handle,Vertex_handle>& vmap)
+          std::map<Vertex_handle,Vertex_handle>& vmap)
 {
 #if 0
   std::cerr << "size of l  : " << l.size() << std::endl;
@@ -1864,17 +1864,17 @@ fill_hole(const Self& small_d, const Ver
       Face_handle f = fmap[ff_small];
       Face_handle n_small = ff_small->neighbor(i);
       if ( fmap.find(n_small) != fmap.end() ) {
-	// this is one of the new faces
-	f->set_neighbor(i, fmap[n_small]);
+        // this is one of the new faces
+        f->set_neighbor(i, fmap[n_small]);
       } else {
-	// otherwise it is one of the old faces outside the conflict
-	// region; we have to use the edge map in this case
-	Edge e_small_sym = small_d.sym_edge(ff_small, i);
-	CGAL_assertion(emap.find(e_small_sym) != emap.end());
-
-	Edge e_large = emap[e_small_sym];
-	f->set_neighbor(i, e_large.first);
-	e_large.first->set_neighbor(e_large.second, f);
+        // otherwise it is one of the old faces outside the conflict
+        // region; we have to use the edge map in this case
+        Edge e_small_sym = small_d.sym_edge(ff_small, i);
+        CGAL_assertion(emap.find(e_small_sym) != emap.end());
+
+        Edge e_large = emap[e_small_sym];
+        f->set_neighbor(i, e_large.first);
+        e_large.first->set_neighbor(e_large.second, f);
       }
     }
   }
@@ -1923,9 +1923,9 @@ remove_third(const Vertex_handle& v)
     for (int i = 0; i < 4; i++) {
       Edge e = *ec;
       Edge sym = sym_edge(e);
-      if ( e.first->vertex(e.second) !=	sym.first->vertex(sym.second) ) {
-	flip(e);
-	break;
+      if ( e.first->vertex(e.second) !=        sym.first->vertex(sym.second) ) {
+        flip(e);
+        break;
       }
       ++ec;
     }
@@ -1951,15 +1951,15 @@ compute_small_diagram(const Vertex_handl
     if ( !is_infinite(vc) ) {
       Site_2 t = vc->site();
       if ( t.is_input() ) {
-	small_d.insert(t);
+        small_d.insert(t);
       } else if ( t.is_point() ) {
-	small_d.insert(t.supporting_site(0));
-	/*Vertex_handle vnear =*/ small_d.insert(t.supporting_site(1));
-	//	vh_small = sdg_small.nearest_neighbor(t, vnear);
+        small_d.insert(t.supporting_site(0));
+        /*Vertex_handle vnear =*/ small_d.insert(t.supporting_site(1));
+        //        vh_small = sdg_small.nearest_neighbor(t, vnear);
       } else {
-	CGAL_assertion( t.is_segment() );
-	/*Vertex_handle vnear =*/ small_d.insert(t.supporting_site());
-	//	vh_small = sdg_small.nearest_neighbor(t, vnear);
+        CGAL_assertion( t.is_segment() );
+        /*Vertex_handle vnear =*/ small_d.insert(t.supporting_site());
+        //        vh_small = sdg_small.nearest_neighbor(t, vnear);
       }
       //      CGAL_assertion( vh_small != Vertex_handle() );
       //      vmap[vh_small] = vh_large;
@@ -1975,7 +1975,7 @@ template<class Gt, class ST, class D_S,
 void
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 compute_vertex_map(const Vertex_handle& v, const Self& small_d,
-		   std::map<Vertex_handle,Vertex_handle>& vmap) const
+                   std::map<Vertex_handle,Vertex_handle>& vmap) const
 {
   Vertex_circulator vc_start = incident_vertices(v);
   Vertex_circulator vc = vc_start;
@@ -1986,44 +1986,44 @@ compute_vertex_map(const Vertex_handle&
     if ( is_infinite(vh_large) ) {
       vh_small = small_d.infinite_vertex();
       vmap[vh_small] = vh_large;
-    } else { 
+    } else {
 #if !defined(CGAL_NO_ASSERTIONS) && !defined(NDEBUG)
       vh_small = Vertex_handle();
 #endif
       Site_2 t = vc->site();
       if ( t.is_input() ) {
-	if ( t.is_segment() ) {
-	  Vertex_handle vv = small_d.nearest_neighbor( t.source() );
-	  Vertex_circulator vvc_start = small_d.incident_vertices(vv);
-	  Vertex_circulator vvc = vvc_start;
-	  do {
-	    if ( small_d.same_segments(t, vvc) ) {
-	      vh_small = vvc;
-	      break;
-	    }
-	  } while ( ++vvc != vvc_start );
-	  CGAL_assertion( small_d.same_segments(t, vh_small) );
-	} else {
-	  CGAL_assertion( t.is_point() );
-	  vh_small = small_d.nearest_neighbor( t.point() );
-	  CGAL_assertion( small_d.same_points(t, vh_small->site()) );
-	}
+        if ( t.is_segment() ) {
+          Vertex_handle vv = small_d.nearest_neighbor( t.source() );
+          Vertex_circulator vvc_start = small_d.incident_vertices(vv);
+          Vertex_circulator vvc = vvc_start;
+          do {
+            if ( small_d.same_segments(t, vvc) ) {
+              vh_small = vvc;
+              break;
+            }
+          } while ( ++vvc != vvc_start );
+          CGAL_assertion( small_d.same_segments(t, vh_small) );
+        } else {
+          CGAL_assertion( t.is_point() );
+          vh_small = small_d.nearest_neighbor( t.point() );
+          CGAL_assertion( small_d.same_points(t, vh_small->site()) );
+        }
       } else if ( t.is_segment() ) {
-	Vertex_handle vv =
-	  small_d.nearest_neighbor( t.source_site(), Vertex_handle() );
-	Vertex_circulator vvc_start = small_d.incident_vertices(vv);
-	Vertex_circulator vvc = vvc_start;
-	do {
-	  if ( small_d.same_segments(t, vvc) ) {
-	    vh_small = vvc;
-	    break;
-	  }
-	} while ( ++vvc != vvc_start );
-	CGAL_assertion( small_d.same_segments(t, vh_small) );
+        Vertex_handle vv =
+          small_d.nearest_neighbor( t.source_site(), Vertex_handle() );
+        Vertex_circulator vvc_start = small_d.incident_vertices(vv);
+        Vertex_circulator vvc = vvc_start;
+        do {
+          if ( small_d.same_segments(t, vvc) ) {
+            vh_small = vvc;
+            break;
+          }
+        } while ( ++vvc != vvc_start );
+        CGAL_assertion( small_d.same_segments(t, vh_small) );
       } else {
-	CGAL_assertion( t.is_point() );
-	vh_small = small_d.nearest_neighbor( t, Vertex_handle() );
-	CGAL_assertion( small_d.same_points(t, vh_small->site()) );
+        CGAL_assertion( t.is_point() );
+        vh_small = small_d.nearest_neighbor( t, Vertex_handle() );
+        CGAL_assertion( small_d.same_points(t, vh_small->site()) );
       }
       CGAL_assertion( vh_small != Vertex_handle() );
       vmap[vh_small] = vh_large;
@@ -2087,7 +2087,7 @@ remove_degree_d_vertex(const Vertex_hand
     remove_degree_2(v);
     return;
   }
-  
+
   Self sdg_small;
   compute_small_diagram(v, sdg_small);
 
@@ -2161,7 +2161,7 @@ remove_base(const Vertex_handle& v)
     return remove_first(v);
   } else if ( n == 2 ) {
     return remove_second(v);
-  } 
+  }
 
   // secondly check if the point to be deleted is adjacent to a segment
   if ( ssv.is_point() ) {
@@ -2171,7 +2171,7 @@ remove_base(const Vertex_handle& v)
     do {
       Storage_site_2 ss = vc->storage_site();
       if ( ss.is_segment() && is_endpoint_of_segment(ssv, ss) ) {
-	return false;
+        return false;
       }
       ++vc;
     } while ( vc != vc_start );
@@ -2212,7 +2212,7 @@ remove(const Vertex_handle& v)
   if ( is_point ) {
     h1 = ss.point();
   } else {
-    CGAL_assertion( ss.is_segment() );   
+    CGAL_assertion( ss.is_segment() );
     h1 = ss.source_of_supporting_site();
     h2 = ss.target_of_supporting_site();
   }
@@ -2245,7 +2245,7 @@ template<class Gt, class ST, class D_S,
 typename Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::Vertex_handle
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 nearest_neighbor(const Site_2& p,
-		 Vertex_handle start_vertex) const
+                 Vertex_handle start_vertex) const
 {
   CGAL_precondition( p.is_point() );
 
@@ -2268,11 +2268,11 @@ nearest_neighbor(const Site_2& p,
     for (; vit != finite_vertices_end(); ++vit) {
       Vertex_handle v1(vit);
       if ( v1 != vclosest /*&& !is_infinite(v1)*/ ) {
-	Site_2 t0 = vclosest->site();
-	Site_2 t1 = v1->site();
-	if ( side_of_bisector(t0, t1, p) == ON_NEGATIVE_SIDE ) {
-	  vclosest = v1;
-	}
+        Site_2 t0 = vclosest->site();
+        Site_2 t1 = v1->site();
+        if ( side_of_bisector(t0, t1, p) == ON_NEGATIVE_SIDE ) {
+          vclosest = v1;
+        }
       }
     }
     return vclosest;
@@ -2288,14 +2288,14 @@ nearest_neighbor(const Site_2& p,
     Vertex_circulator vc = vc_start;
     do {
       if ( !is_infinite(vc) ) {
-	Vertex_handle v1(vc);
-	Site_2 t1 = v1->site();
-	Oriented_side os = side_of_bisector(t0, t1, p);
-
-	if ( os == ON_NEGATIVE_SIDE ) {
-	  v = v1;
-	  break;
-	}
+        Vertex_handle v1(vc);
+        Site_2 t1 = v1->site();
+        Oriented_side os = side_of_bisector(t0, t1, p);
+
+        if ( os == ON_NEGATIVE_SIDE ) {
+          v = v1;
+          break;
+        }
       }
       ++vc;
     } while ( vc != vc_start );
@@ -2317,8 +2317,8 @@ incircle(const Face_handle& f, const Sit
 {
   if ( !is_infinite(f) ) {
     return incircle(f->vertex(0)->site(),
-		    f->vertex(1)->site(),
-		    f->vertex(2)->site(), q);
+                    f->vertex(1)->site(),
+                    f->vertex(2)->site(), q);
   }
 
   int inf_i(-1); // to avoid compiler warning
@@ -2329,7 +2329,7 @@ incircle(const Face_handle& f, const Sit
     }
   }
   return incircle( f->vertex( ccw(inf_i) )->site(),
-		   f->vertex(  cw(inf_i) )->site(), q );
+                   f->vertex(  cw(inf_i) )->site(), q );
 }
 
 
@@ -2337,14 +2337,14 @@ template<class Gt, class ST, class D_S,
 Sign
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 incircle(const Vertex_handle& v0, const Vertex_handle& v1,
-	      const Vertex_handle& v2, const Vertex_handle& v) const
+              const Vertex_handle& v2, const Vertex_handle& v) const
 {
   CGAL_precondition( !is_infinite(v) );
 
   if ( !is_infinite(v0) && !is_infinite(v1) &&
        !is_infinite(v2) ) {
     return incircle(v0->site(), v1->site(),
-		    v2->site(), v->site());
+                    v2->site(), v->site());
   }
 
   if ( is_infinite(v0) ) {
@@ -2367,7 +2367,7 @@ template<class Gt, class ST, class D_S,
 bool
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 finite_edge_interior(const Face_handle& f, int i, const Site_2& q,
-		     Sign sgn, int) const
+                     Sign sgn, int) const
 {
   if ( !is_infinite( this->_tds.mirror_vertex(f, i) ) ) {
     CGAL_precondition( is_infinite(f->vertex(i)) );
@@ -2395,11 +2395,11 @@ template<class Gt, class ST, class D_S,
 bool
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 finite_edge_interior(const Vertex_handle& v1, const Vertex_handle& v2,
-		     const Vertex_handle& v3, const Vertex_handle& v4,
-		     const Vertex_handle& v, Sign sgn, int) const
+                     const Vertex_handle& v3, const Vertex_handle& v4,
+                     const Vertex_handle& v, Sign sgn, int) const
 {
-  CGAL_precondition( !is_infinite(v1) && !is_infinite(v2) && 
-		     !is_infinite(v) );
+  CGAL_precondition( !is_infinite(v1) && !is_infinite(v2) &&
+                     !is_infinite(v) );
   if ( !is_infinite( v4 ) ) {
     CGAL_precondition( is_infinite(v3) );
 
@@ -2425,7 +2425,7 @@ template<class Gt, class ST, class D_S,
 bool
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 infinite_edge_interior(const Face_handle& f, int i,
-		       const Site_2& q, Sign sgn) const
+                       const Site_2& q, Sign sgn) const
 {
   if ( !is_infinite( f->vertex(ccw(i)) ) ) {
     CGAL_precondition( is_infinite( f->vertex(cw(i)) ) );
@@ -2449,13 +2449,13 @@ template<class Gt, class ST, class D_S,
 bool
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 infinite_edge_interior(const Vertex_handle& v1,
-		       const Vertex_handle& v2,
-		       const Vertex_handle& v3,
-		       const Vertex_handle& v4,
-		       const Vertex_handle& v, Sign sgn) const
+                       const Vertex_handle& v2,
+                       const Vertex_handle& v3,
+                       const Vertex_handle& v4,
+                       const Vertex_handle& v, Sign sgn) const
 {
-  CGAL_precondition( !is_infinite(v3) && !is_infinite(v4) && 
-		     !is_infinite(v) );
+  CGAL_precondition( !is_infinite(v3) && !is_infinite(v4) &&
+                     !is_infinite(v) );
 
   if ( !is_infinite( v1 ) ) {
     CGAL_precondition( is_infinite( v2 ) );
@@ -2480,10 +2480,10 @@ template<class Gt, class ST, class D_S,
 bool
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 edge_interior(const Vertex_handle& v1,
-	      const Vertex_handle& v2,
-	      const Vertex_handle& v3,
-	      const Vertex_handle& v4,
-	      const Vertex_handle& v, Sign sgn) const
+              const Vertex_handle& v2,
+              const Vertex_handle& v3,
+              const Vertex_handle& v4,
+              const Vertex_handle& v, Sign sgn) const
 {
   CGAL_precondition( !is_infinite(v) );
 
@@ -2510,7 +2510,7 @@ template<class Gt, class ST, class D_S,
 bool
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 edge_interior(const Face_handle& f, int i,
-	      const Site_2& q, Sign sgn) const
+              const Site_2& q, Sign sgn) const
 {
   Face_handle g = f->neighbor(i);
 
@@ -2634,16 +2634,16 @@ primal(const Edge e) const
 
   // only one of the adjacent faces is infinite
   CGAL_assertion( is_infinite( e.first ) ||
-		  is_infinite( e.first->neighbor(e.second) )
-		  );
+                  is_infinite( e.first->neighbor(e.second) )
+                  );
 
   CGAL_assertion( !(is_infinite( e.first ) &&
-		    is_infinite( e.first->neighbor(e.second) )
-		    )
-		  );
+                    is_infinite( e.first->neighbor(e.second) )
+                    )
+                  );
 
   CGAL_assertion( is_infinite(e.first->vertex(e.second)) ||
-		  is_infinite(this->_tds.mirror_vertex(e.first, e.second)) );
+                  is_infinite(this->_tds.mirror_vertex(e.first, e.second)) );
 
   Edge ee = e;
   if ( is_infinite( e.first->vertex(e.second) )  ) {
@@ -2696,7 +2696,7 @@ is_valid(bool verbose, int level) const
     if ( f->vertex(e.second) == v ) { continue; }
     if ( !is_infinite(v) ) {
       result = result &&
-	( incircle(f, v->site()) != NEGATIVE );
+        ( incircle(f, v->site()) != NEGATIVE );
     }
     Edge sym_e = sym_edge(e);
     f = sym_e.first;
@@ -2704,7 +2704,7 @@ is_valid(bool verbose, int level) const
 
     if ( !is_infinite(v) ) {
       result = result &&
-	( incircle(f, v->site()) != NEGATIVE );
+        ( incircle(f, v->site()) != NEGATIVE );
     }
   }
 
@@ -2756,7 +2756,7 @@ template<class Gt, class ST, class D_S,
 typename Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::Storage_site_2
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 copy_storage_site(const Storage_site_2& ss_other, Handle_map& hm,
-		  const Tag_false&)
+                  const Tag_false&)
 {
   if ( ss_other.is_segment() ) {
     Point_handle p0 = hm[ ss_other.source_of_supporting_site() ];
@@ -2772,7 +2772,7 @@ template<class Gt, class ST, class D_S,
 typename Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::Storage_site_2
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 copy_storage_site(const Storage_site_2& ss_other, Handle_map& hm,
-		  const Tag_true&)
+                  const Tag_true&)
 {
   if ( ss_other.is_segment() ) {
     if ( ss_other.is_input() ) {
@@ -2855,11 +2855,11 @@ copy(Segment_Delaunay_graph_2& other, Ha
   for (; iit_other != other.isc_.end(); ++iit_other) {
     Site_rep_2 old_srep = *iit_other;
     Site_rep_2 new_srep( hm[boost::tuples::get<0>(old_srep)],
-			 hm[boost::tuples::get<1>(old_srep)],
-			 boost::tuples::get<2>(old_srep) );
+                         hm[boost::tuples::get<1>(old_srep)],
+                         boost::tuples::get<2>(old_srep) );
     isc_.insert( new_srep );
   }
-  
+
   CGAL_assertion( pc_.size() == other.pc_.size() );
   CGAL_assertion( isc_.size() == other.isc_.size() );
 
@@ -2877,7 +2877,7 @@ copy(Segment_Delaunay_graph_2& other, Ha
   DG::operator=(other);
 
   // now we have to update the sotrage sites in each vertex of the
-  // diagram and also update the 
+  // diagram and also update the
 
   // then update the storage sites for each vertex
   Intersections_tag itag;
@@ -2885,7 +2885,7 @@ copy(Segment_Delaunay_graph_2& other, Ha
   Finite_vertices_iterator vit_other = other.finite_vertices_begin();
   Finite_vertices_iterator vit_this = finite_vertices_begin();
   for (; vit_other != other.finite_vertices_end(); vit_other++,
-	 vit_this++) {
+         vit_this++) {
     Storage_site_2 ss_other = vit_other->storage_site();
 
 #ifndef CGAL_NO_ASSERTIONS
@@ -2923,7 +2923,7 @@ first_endpoint_of_segment(const Vertex_h
     // Vertex_handle vv(vc);
     if ( !is_infinite(vc) && vc->is_point() ) {
       if ( same_points(fe, vc->site()) ) {
-	return Vertex_handle(vc);
+        return Vertex_handle(vc);
       }
     }
     vc++;
@@ -2947,7 +2947,7 @@ second_endpoint_of_segment(const Vertex_
     //      Vertex_handle vv(vc);
     if ( !is_infinite(vc) && vc->is_point() ) {
       if ( same_points(fe, vc->site()) ) {
-	return Vertex_handle(vc);
+        return Vertex_handle(vc);
       }
     }
     vc++;
@@ -2968,7 +2968,7 @@ template<class Gt, class ST, class D_S,
 void
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 file_output(std::ostream& os, const Storage_site_2& t,
-	    Point_handle_mapper& P) const
+            Point_handle_mapper& P) const
 {
   CGAL_precondition( t.is_defined() );
 
@@ -3049,7 +3049,7 @@ template<class Gt, class ST, class D_S,
 void
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 file_input(std::istream& is, Storage_site_2& t,
-	   const Point_handle_vector& P, const Tag_false&) const
+           const Point_handle_vector& P, const Tag_false&) const
 {
   int type, input;
   is >> type >> input;
@@ -3073,7 +3073,7 @@ template<class Gt, class ST, class D_S,
 void
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 file_input(std::istream& is, Storage_site_2& t,
-	   const Point_handle_vector& P, const Tag_true&) const
+           const Point_handle_vector& P, const Tag_true&) const
 {
   int type, input;
   is >> type >> input;
@@ -3106,15 +3106,15 @@ file_input(std::istream& is, Storage_sit
       size_type p1, p2, q1, q2;
       is >> p1 >> p2 >> q1 >> q2;
       t = st_.construct_storage_site_2_object()(P[p1], P[p2],
-						P[q1], P[q2], input == 1);
+                                                P[q1], P[q2], input == 1);
     } else {
       // we have a segment whose neither its source nor its target is input
       CGAL_assertion( input == 3 );
       size_type p1, p2, q1, q2, r1, r2;
       is >> p1 >> p2 >> q1 >> q2 >> r1 >> r2;
       t = st_.construct_storage_site_2_object()(P[p1], P[p2],
-						P[q1], P[q2],
-						P[r1], P[r2]);      
+                                                P[q1], P[q2],
+                                                P[r1], P[r2]);
     }
   }
 }
@@ -3125,7 +3125,7 @@ template<class Gt, class ST, class D_S,
 void
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 file_output(std::ostream& os, Point_handle_mapper& P,
-	    bool print_point_container) const
+            bool print_point_container) const
 {
   // ouput to a file
   size_type n = this->_tds.number_of_vertices();
@@ -3154,7 +3154,7 @@ file_output(std::ostream& os, Point_hand
     os << isc_.size();
     if ( is_ascii(os) ) { os << std::endl; }
     for (typename Input_sites_container::const_iterator it = isc_.begin();
-	 it != isc_.end(); ++it) {
+         it != isc_.end(); ++it) {
       os << P[boost::tuples::get<0>(*it)];
       if ( is_ascii(os) ) { os << " "; }
       os << P[boost::tuples::get<1>(*it)];
@@ -3165,10 +3165,10 @@ file_output(std::ostream& os, Point_hand
   std::map<Vertex_handle,size_type> V;
   std::map<Face_handle,size_type> F;
 
-  // first vertex (infinite vertex) 
+  // first vertex (infinite vertex)
   size_type inum = 0;
   V[infinite_vertex()] = inum++;
-  
+
   // finite vertices
   if (is_ascii(os)) os << std::endl;
   for (Finite_vertices_iterator vit = finite_vertices_begin();
@@ -3197,7 +3197,7 @@ file_output(std::ostream& os, Point_hand
     if( is_ascii(os) ) { os << std::endl; }
   }
   if( is_ascii(os) ) { os << std::endl; }
-    
+
   // neighbor pointers of the  faces
   for( All_faces_iterator it = all_faces_begin();
        it != all_faces_end(); ++it) {
@@ -3217,7 +3217,7 @@ template<class Gt, class ST, class D_S,
 void
 Segment_Delaunay_graph_2<Gt,ST,D_S,LTag>::
 file_input(std::istream& is, bool read_handle_vector,
-	   Point_handle_vector& P)
+           Point_handle_vector& P)
 {
   //input from file
   size_type n, m;
@@ -3268,9 +3268,9 @@ file_input(std::istream& is, bool read_h
     CGAL_assertion( d == 1 );
     if ( number_of_vertices() > 0 ) { clear(); }
     file_input(is, ss, P, Intersections_tag());
-    insert_first(ss, *ss.point());  
+    insert_first(ss, *ss.point());
     file_input(is, ss, P, Intersections_tag());
-    insert_second(ss, *ss.point());  
+    insert_second(ss, *ss.point());
     return;
   }
 
@@ -3294,7 +3294,7 @@ file_input(std::istream& is, bool read_h
     // read non-combinatorial info of the vertex
     //    is >> *(V[i]);
   }
-  
+
   // Creation of the faces
   int index;
   int dim = (dimension() == -1 ? 1 : dimension() + 1);
@@ -3312,7 +3312,7 @@ file_input(std::istream& is, bool read_h
     //      is >> *(F[i]) ;
   }
 
-  // Setting the neighbor pointers 
+  // Setting the neighbor pointers
   for (i = 0; i < m; ++i) {
     for (int j = 0; j < dimension()+1; ++j){
       is >> index;
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Segment_Delaunay_graph_hierarchy_2_impl.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Segment_Delaunay_graph_hierarchy_2_impl.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Segment_Delaunay_graph_hierarchy_2_impl.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Segment_Delaunay_graph_hierarchy_2_impl.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Segment_Delaunay_graph_hierarchy_2_impl.h $
-// $Id: Segment_Delaunay_graph_hierarchy_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Segment_Delaunay_graph_hierarchy_2_impl.h $
+// $Id: Segment_Delaunay_graph_hierarchy_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -32,7 +32,7 @@ void
 Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,SDGLx>::
 init_hierarchy(const Geom_traits& gt)
 {
-  hierarchy[0] = this; 
+  hierarchy[0] = this;
   for(unsigned int i = 1; i < sdg_hierarchy_2__maxlevel; ++i) {
     hierarchy[i] = new Base(gt);
   }
@@ -42,7 +42,7 @@ template<class Gt, class ST, class STag,
 Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,SDGLx>::
 Segment_Delaunay_graph_hierarchy_2(const Gt& gt)
   : Base(gt)
-{ 
+{
   init_hierarchy(gt);
 }
 
@@ -53,11 +53,11 @@ Segment_Delaunay_graph_hierarchy_2<Gt,ST
 Segment_Delaunay_graph_hierarchy_2
 (const Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,SDGLx> &sdg)
     : Base(sdg.geom_traits())
-{ 
+{
   // create an empty triangulation to be able to delete it !
   init_hierarchy(sdg.geom_traits());
   copy(sdg);
-} 
+}
 
 //---------------------------------------------------------------------------
 //---------------------------------------------------------------------------
@@ -69,7 +69,7 @@ Segment_Delaunay_graph_hierarchy_2<Gt,ST
 ~Segment_Delaunay_graph_hierarchy_2()
 {
   clear();
-  for(unsigned int i = 1; i < sdg_hierarchy_2__maxlevel; ++i){ 
+  for(unsigned int i = 1; i < sdg_hierarchy_2__maxlevel; ++i){
     delete hierarchy[i];
   }
 }
@@ -104,7 +104,7 @@ template<class Gt, class ST, class STag,
 std::pair<bool,int>
 Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,SDGLx>::
 insert_point(const Point_2& p, const Storage_site_2& ss, int level,
-	     Vertex_handle* vertices)
+             Vertex_handle* vertices)
 {
   CGAL_precondition( level != UNDEFINED_LEVEL );
 
@@ -125,40 +125,40 @@ insert_point(const Point_2& p, const Sto
     Arrangement_type at_res = this->arrangement_type(t, vnear[0]);
 
     CGAL_assertion( at_res == AT2::DISJOINT ||
-		    at_res == AT2::INTERIOR ||
-		    at_res == AT2::IDENTICAL );
+                    at_res == AT2::INTERIOR ||
+                    at_res == AT2::IDENTICAL );
 
     if ( vnear[0]->is_point() ) {
       if ( at_res == AT2::IDENTICAL ) {
-	vertex = vnear[0];
-	merge_info(vertex, ss);
+        vertex = vnear[0];
+        merge_info(vertex, ss);
       } else {
-	vertex = hierarchy[0]->insert_point2(ss, t, vnear[0]);
+        vertex = hierarchy[0]->insert_point2(ss, t, vnear[0]);
       }
     } else { // nearest neighbor is a segment
       CGAL_assertion( vnear[0]->is_segment() );
       CGAL_assertion( at_res == AT2::DISJOINT ||
-		      at_res == AT2::INTERIOR );
+                      at_res == AT2::INTERIOR );
 
       if ( at_res == AT2::INTERIOR ) {
-	CGAL_assertion( t.is_input() );
-	lies_on_seg = true;
+        CGAL_assertion( t.is_input() );
+        lies_on_seg = true;
 
-	int vnear_level = find_level(vnear[0]);
+        int vnear_level = find_level(vnear[0]);
 
-	// I need to find the level of the nearest neighbor that t
-	// lies on and update the level of t
-	if ( new_level < vnear_level ) {
-	  new_level = vnear_level;
-	}
-
-	Vertex_triple vt =
-	  hierarchy[0]->insert_exact_point_on_segment(ss, t, vnear[0]);
-	vertex = vt.first;
-	vs1 = vt.second;
-	vs2 = vt.third;
+        // I need to find the level of the nearest neighbor that t
+        // lies on and update the level of t
+        if ( new_level < vnear_level ) {
+          new_level = vnear_level;
+        }
+
+        Vertex_triple vt =
+          hierarchy[0]->insert_exact_point_on_segment(ss, t, vnear[0]);
+        vertex = vt.first;
+        vs1 = vt.second;
+        vs2 = vt.third;
       } else {
-	vertex = hierarchy[0]->insert_point2(ss, t, vnear[0]);
+        vertex = hierarchy[0]->insert_point2(ss, t, vnear[0]);
       }
     }
   } else if ( n == 0 ) {
@@ -185,40 +185,40 @@ insert_point(const Point_2& p, const Sto
     size_type nv = hierarchy[k]->number_of_vertices();
     if ( nv > 2 ) {
       if ( nv < sdg_hierarchy_2__minsize ) {
-	CGAL_assertion( vnear[k] == Vertex_handle() );
-	vnear[k] = hierarchy[k]->nearest_neighbor(p);
+        CGAL_assertion( vnear[k] == Vertex_handle() );
+        vnear[k] = hierarchy[k]->nearest_neighbor(p);
       }
       Arrangement_type at_res = this->arrangement_type(t, vnear[k]->site());
       if ( at_res == AT2::INTERIOR ) {
-	Vertex_triple vt =
-	  hierarchy[k]->insert_exact_point_on_segment(ss, t, vnear[k]);
-	vertex = vt.first;
-	vs1 = vt.second;
-	vs2 = vt.third;
-
-	CGAL_assertion( (same_segments(vs1_prev->site(), vs1->site()) &&
-			 same_segments(vs2_prev->site(), vs2->site())) ||
-			(same_segments(vs1_prev->site(), vs2->site()) &&
-			 same_segments(vs2_prev->site(), vs1->site())) );
-	if ( same_segments(vs1_prev->site(), vs1->site()) ) {
-	  vs1->set_down(vs1_prev);
-	  vs1_prev->set_up(vs1);
-	  vs1_prev = vs1;
-
-	  vs2->set_down(vs2_prev);
-	  vs2_prev->set_up(vs2);
-	  vs2_prev = vs2;
-	} else {
-	  vs1->set_down(vs2_prev);
-	  vs2_prev->set_up(vs1);
-	  vs2_prev = vs1;
-
-	  vs2->set_down(vs1_prev);
-	  vs1_prev->set_up(vs2);
-	  vs1_prev = vs2;
-	}
+        Vertex_triple vt =
+          hierarchy[k]->insert_exact_point_on_segment(ss, t, vnear[k]);
+        vertex = vt.first;
+        vs1 = vt.second;
+        vs2 = vt.third;
+
+        CGAL_assertion( (same_segments(vs1_prev->site(), vs1->site()) &&
+                         same_segments(vs2_prev->site(), vs2->site())) ||
+                        (same_segments(vs1_prev->site(), vs2->site()) &&
+                         same_segments(vs2_prev->site(), vs1->site())) );
+        if ( same_segments(vs1_prev->site(), vs1->site()) ) {
+          vs1->set_down(vs1_prev);
+          vs1_prev->set_up(vs1);
+          vs1_prev = vs1;
+
+          vs2->set_down(vs2_prev);
+          vs2_prev->set_up(vs2);
+          vs2_prev = vs2;
+        } else {
+          vs1->set_down(vs2_prev);
+          vs2_prev->set_up(vs1);
+          vs2_prev = vs1;
+
+          vs2->set_down(vs1_prev);
+          vs1_prev->set_up(vs2);
+          vs1_prev = vs2;
+        }
       } else {
-	vertex = hierarchy[k]->insert_point(ss, t, vnear[k]);	
+        vertex = hierarchy[k]->insert_point(ss, t, vnear[k]);
       }
     } else if ( nv == 2 ) {
       vertex = hierarchy[k]->insert_third(t, ss);
@@ -243,8 +243,8 @@ template<class Gt, class ST, class STag,
 void
 Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,SDGLx>::
 insert_point(const Site_2& t, const Storage_site_2& ss,
-	     int low, int high, Vertex_handle vbelow,
-	     Vertex_handle* vertices)
+             int low, int high, Vertex_handle vbelow,
+             Vertex_handle* vertices)
 {
   CGAL_precondition( low >= 1 && low <= high );
   CGAL_precondition( vbelow != Vertex_handle() );
@@ -272,9 +272,9 @@ insert_point(const Site_2& t, const Stor
       vertex = hierarchy[k]->insert_third(t, ss);
     } else {
       if ( ss.is_input() ) {
-	vertex = hierarchy[k]->insert_no_register(ss, t.point(), vnear[k]);
+        vertex = hierarchy[k]->insert_no_register(ss, t.point(), vnear[k]);
       } else {
-	break;
+        break;
       }
       // ideally what should be instead of the break-statement above is the
       // following statement(s) in the #if-#endif block
@@ -307,7 +307,7 @@ typename
 Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,SDGLx>::Vertex_handle
 Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,SDGLx>::
 insert_segment(const Point_2& p0, const Point_2& p1,
-	       const Storage_site_2& ss, int level)
+               const Storage_site_2& ss, int level)
 {
   // the tag is true so we DO insert segments in hierarchy
   if ( level == UNDEFINED_LEVEL ) {
@@ -348,7 +348,7 @@ insert_segment(const Point_2& p0, const
 
     vertex = hierarchy[0]->insert_third(ss, vertices0[0], vertices1[0]);
     insert_segment_in_upper_levels(t, vertex->storage_site(),
-				   vertex, vertices0, level, stag);
+                                   vertex, vertices0, level, stag);
   } else {
     vertex = insert_segment_interior(t, ss, vertices0, level);
   }
@@ -361,7 +361,7 @@ typename
 Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,SDGLx>::Vertex_handle
 Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,SDGLx>::
 insert_segment_interior(const Site_2& t, const Storage_site_2& ss,
-			const Vertex_handle* vertices, int level)
+                        const Vertex_handle* vertices, int level)
 {
   // insert the interior of a segment, and DO insert segments in
   // upper levels of the hierarchy
@@ -392,44 +392,44 @@ insert_segment_interior(const Site_2& t,
     Arrangement_type at_res = this->arrangement_type(t, vv);
     if ( vv->is_segment() ) {
       if ( at_res == AT2::DISJOINT || at_res == AT2::TOUCH_1 ||
-	   at_res == AT2::TOUCH_2 || at_res == AT2::TOUCH_11 ||
-	   at_res == AT2::TOUCH_12 || at_res == AT2::TOUCH_21 ||
-	   at_res == AT2::TOUCH_22 ) {
-	// do nothing
+           at_res == AT2::TOUCH_2 || at_res == AT2::TOUCH_11 ||
+           at_res == AT2::TOUCH_12 || at_res == AT2::TOUCH_21 ||
+           at_res == AT2::TOUCH_22 ) {
+        // do nothing
       } else if ( at_res == AT2::IDENTICAL ) {
-	// merge info of identical items
-	merge_info(vv, ss);
-	return vv;
+        // merge info of identical items
+        merge_info(vv, ss);
+        return vv;
       } else if ( at_res == AT2::CROSSING ) {
-	return insert_intersecting_segment_with_tag(ss, t, vv, level,
-						    itag, stag);
+        return insert_intersecting_segment_with_tag(ss, t, vv, level,
+                                                    itag, stag);
       } else if ( at_res == AT2::TOUCH_11_INTERIOR_1 ) {
-	Vertex_handle vp = second_endpoint_of_segment(vv);
+        Vertex_handle vp = second_endpoint_of_segment(vv);
 
-	Storage_site_2 sss = split_storage_site(ss, vp->storage_site(), true);
-	// merge the info of the first (common) subsegment
-	merge_info(vv, sss);
+        Storage_site_2 sss = split_storage_site(ss, vp->storage_site(), true);
+        // merge the info of the first (common) subsegment
+        merge_info(vv, sss);
 
-	return insert_segment_on_point(ss, vp, level, 1);
+        return insert_segment_on_point(ss, vp, level, 1);
       } else if ( at_res == AT2::TOUCH_12_INTERIOR_1 ) {
-	Vertex_handle vp = first_endpoint_of_segment(vv);
-	return insert_segment_on_point(ss, vp, level, 0);
+        Vertex_handle vp = first_endpoint_of_segment(vv);
+        return insert_segment_on_point(ss, vp, level, 0);
       } else {
-	// this should never be reached; the only possible values for
-	// at_res are DISJOINT, CROSSING, TOUCH_11_INTERIOR_1
-	// and TOUCH_12_INTERIOR_1
-	CGAL_error();
+        // this should never be reached; the only possible values for
+        // at_res are DISJOINT, CROSSING, TOUCH_11_INTERIOR_1
+        // and TOUCH_12_INTERIOR_1
+        CGAL_error();
       }
     } else {
       CGAL_assertion( vv->is_point() );
       if ( at_res == AT2::INTERIOR ) {
-	Storage_site_2 svv = vv->storage_site();
-	if ( svv.is_input() ) {
-	  return insert_segment_on_point(ss, vv, level, 2);
-	} else {
-	  // MK::ERROR:: not ready yet
-	  CGAL_error();
-	}
+        Storage_site_2 svv = vv->storage_site();
+        if ( svv.is_input() ) {
+          return insert_segment_on_point(ss, vv, level, 2);
+        } else {
+          // MK::ERROR:: not ready yet
+          CGAL_error();
+        }
       }
     }
     ++vc;
@@ -460,7 +460,7 @@ insert_segment_interior(const Site_2& t,
   // segments must have a conflict with at least one vertex
   CGAL_assertion( s == NEGATIVE );
 
-  // we are in conflict with a Voronoi vertex; start from that and 
+  // we are in conflict with a Voronoi vertex; start from that and
   // find the entire conflict region and then repair the diagram
   List l;
   Face_map fm;
@@ -472,22 +472,22 @@ insert_segment_interior(const Site_2& t,
   hierarchy[0]->expand_conflict_region(start_f, t, l, fm, sign_map, vcross);
 
   CGAL_assertion( vcross.third == AT2::DISJOINT ||
-		  vcross.third == AT2::CROSSING ||
-		  vcross.third == AT2::INTERIOR );
+                  vcross.third == AT2::CROSSING ||
+                  vcross.third == AT2::INTERIOR );
 
   // the following condition becomes true only if intersecting
   // segments are found
   if ( vcross.first ) {
     if ( t.is_segment() ) {
       if ( vcross.third == AT2::CROSSING ) {
-	return insert_intersecting_segment_with_tag(ss, t, vcross.second,
-						    level, itag, stag);
+        return insert_intersecting_segment_with_tag(ss, t, vcross.second,
+                                                    level, itag, stag);
       } else if ( vcross.third == AT2::INTERIOR ) {
-	return insert_segment_on_point(ss, vcross.second, level, 2);
+        return insert_segment_on_point(ss, vcross.second, level, 2);
       } else {
-	// this should never be reached; the only possible values for
-	// vcross.third are CROSSING, INTERIOR and DISJOINT
-	CGAL_error();
+        // this should never be reached; the only possible values for
+        // vcross.third are CROSSING, INTERIOR and DISJOINT
+        CGAL_error();
       }
     }
   }
@@ -508,9 +508,9 @@ template<class Gt, class ST, class STag,
 void
 Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,SDGLx>::
 insert_segment_in_upper_levels(const Site_2& t, const Storage_site_2& ss,
-			       Vertex_handle vbelow,
-			       const Vertex_handle* vertices,
-			       int level, Tag_true /* stag */)
+                               Vertex_handle vbelow,
+                               const Vertex_handle* vertices,
+                               int level, Tag_true /* stag */)
 {
   CGAL_precondition( vertices != nullptr );
   CGAL_precondition( vbelow != Vertex_handle() );
@@ -525,7 +525,7 @@ insert_segment_in_upper_levels(const Sit
       Vertex_handle v0(hierarchy[k]->finite_vertices_begin());
       Vertex_handle v1(++(hierarchy[k]->finite_vertices_begin()));
       CGAL_precondition( v0 != Vertex_handle() &&
-			 v1 != Vertex_handle() );
+                         v1 != Vertex_handle() );
       vertex = hierarchy[k]->insert_third(ss, v0, v1);
     } else {
       vertex = hierarchy[k]->insert_segment_interior(t, ss, vertices[k]);
@@ -549,9 +549,9 @@ typename
 Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,SDGLx>::Vertex_handle
 Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,SDGLx>::
 insert_segment_on_point(const Storage_site_2& ss,
-			const Vertex_handle& v,
-			int level, int which)
-{  
+                        const Vertex_handle& v,
+                        int level, int which)
+{
   // inserts the segment represented by ss in the case where this
   // segment goes through a point which has already been inserted and
   // corresponds to the vertex handle v
@@ -596,9 +596,9 @@ typename
 Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,SDGLx>::Vertex_handle
 Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,SDGLx>::
 insert_intersecting_segment_with_tag(const Storage_site_2& ss,
-				     const Site_2& t, Vertex_handle v,
-				     int level,
-				     Tag_true itag, Tag_false /* stag */)
+                                     const Site_2& t, Vertex_handle v,
+                                     int level,
+                                     Tag_true itag, Tag_false /* stag */)
 {
   CGAL_precondition( t.is_segment() && v->is_segment() );
 
@@ -643,9 +643,9 @@ typename
 Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,SDGLx>::Vertex_handle
 Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,SDGLx>::
 insert_intersecting_segment_with_tag(const Storage_site_2& ss,
-				     const Site_2& t, Vertex_handle v,
-				     int level,
-				     Tag_true itag, Tag_true /* stag */)
+                                     const Site_2& t, Vertex_handle v,
+                                     int level,
+                                     Tag_true itag, Tag_true /* stag */)
 {
   CGAL_precondition( t.is_segment() && v->is_segment() );
 
@@ -684,20 +684,20 @@ insert_intersecting_segment_with_tag(con
 
     if ( k > 0 ) {
       CGAL_assertion( (same_segments(v1->site(), v1_old->site()) &&
-		       same_segments(v2->site(), v2_old->site())) ||
-		      (same_segments(v1->site(), v2_old->site()) &&
-		       same_segments(v2->site(), v1_old->site()))
-		      );
+                       same_segments(v2->site(), v2_old->site())) ||
+                      (same_segments(v1->site(), v2_old->site()) &&
+                       same_segments(v2->site(), v1_old->site()))
+                      );
       if ( same_segments(v1->site(), v1_old->site()) ) {
-	v1->set_down(v1_old);
-	v2->set_down(v2_old);
-	v1_old->set_up(v1);
-	v2_old->set_up(v2);
+        v1->set_down(v1_old);
+        v2->set_down(v2_old);
+        v1_old->set_up(v1);
+        v2_old->set_up(v2);
       } else {
-	v1->set_down(v2_old);
-	v2->set_down(v1_old);
-	v1_old->set_up(v2);
-	v2_old->set_up(v1);
+        v1->set_down(v2_old);
+        v2->set_down(v1_old);
+        v1_old->set_up(v2);
+        v2_old->set_up(v1);
       }
       vsx_old->set_up(vsx);
       vsx->set_down(vsx_old);
@@ -756,7 +756,7 @@ remove(const Vertex_handle& v)
   if ( is_point ) {
     h1 = ss.point();
   } else {
-    CGAL_assertion( ss.is_segment() );   
+    CGAL_assertion( ss.is_segment() );
     h1 = ss.source_of_supporting_site();
     h2 = ss.target_of_supporting_site();
   }
@@ -814,8 +814,8 @@ template<class Gt, class ST, class STag,
 void
 Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,SDGLx>::
 nearest_neighbor(const Site_2& t,
-		 Vertex_handle vnear[sdg_hierarchy_2__maxlevel],
-		 bool /* force_point */) const
+                 Vertex_handle vnear[sdg_hierarchy_2__maxlevel],
+                 bool /* force_point */) const
 {
   CGAL_precondition( t.is_point() );
 
@@ -823,8 +823,8 @@ nearest_neighbor(const Site_2& t,
   int level  = sdg_hierarchy_2__maxlevel;
 
   // find the highest level with enough vertices
-  while ( hierarchy[--level]->number_of_vertices() 
-	  < sdg_hierarchy_2__minsize ) {
+  while ( hierarchy[--level]->number_of_vertices()
+          < sdg_hierarchy_2__minsize ) {
     if ( !level ) break;  // do not go below 0
   }
   for (unsigned int i = level + 1; i < sdg_hierarchy_2__maxlevel; i++) {
@@ -833,7 +833,7 @@ nearest_neighbor(const Site_2& t,
 
   while ( level > 0 ) {
     vnear[level] = nearest =
-      hierarchy[level]->nearest_neighbor(t, nearest);  
+      hierarchy[level]->nearest_neighbor(t, nearest);
 
     CGAL_assertion( !hierarchy[level]->is_infinite(vnear[level]) );
     CGAL_assertion( vnear[level] != Vertex_handle() );
@@ -889,25 +889,25 @@ copy(const Segment_Delaunay_graph_hierar
   // compute a map at lower level
   std::map< Vertex_handle, Vertex_handle > V;
   {
-    for(Finite_vertices_iterator it = hierarchy[0]->finite_vertices_begin(); 
-	it != hierarchy[0]->finite_vertices_end(); ++it) {
+    for(Finite_vertices_iterator it = hierarchy[0]->finite_vertices_begin();
+        it != hierarchy[0]->finite_vertices_end(); ++it) {
       if ( it->up() != Vertex_handle() ) {
-	V[ it->up()->down() ] = it;
+        V[ it->up()->down() ] = it;
       }
     }
   }
   {
     for(unsigned int i = 1; i < sdg_hierarchy_2__maxlevel; ++i) {
-      for(Finite_vertices_iterator it = hierarchy[i]->finite_vertices_begin(); 
-	  it != hierarchy[i]->finite_vertices_end(); ++it) {
-	// down pointer goes in original instead in copied triangulation
-	it->set_down(V[it->down()]);
-	// make reverse link
-	it->down()->set_up( it );
-	// make map for next level
-	if ( it->up() != Vertex_handle() ) {
-	  V[ it->up()->down() ] = it;
-	}
+      for(Finite_vertices_iterator it = hierarchy[i]->finite_vertices_begin();
+          it != hierarchy[i]->finite_vertices_end(); ++it) {
+        // down pointer goes in original instead in copied triangulation
+        it->set_down(V[it->down()]);
+        // make reverse link
+        it->down()->set_up( it );
+        // make map for next level
+        if ( it->up() != Vertex_handle() ) {
+          V[ it->up()->down() ] = it;
+        }
       }
     }
   }
@@ -965,15 +965,15 @@ is_valid(bool verbose, int level) const
     }
   }
   //verify that lower level has no down pointers
-  for( Finite_vertices_iterator it = hierarchy[0]->finite_vertices_begin(); 
+  for( Finite_vertices_iterator it = hierarchy[0]->finite_vertices_begin();
        it != hierarchy[0]->finite_vertices_end(); ++it) {
     result = result && ( it->down() == Vertex_handle() );
   }
 
   //verify that other levels has down pointer and reciprocal link is fine
   for(unsigned int i = 1; i < sdg_hierarchy_2__maxlevel; ++i) {
-    for( Finite_vertices_iterator it = hierarchy[i]->finite_vertices_begin(); 
-	 it != hierarchy[i]->finite_vertices_end(); ++it) {
+    for( Finite_vertices_iterator it = hierarchy[i]->finite_vertices_begin();
+         it != hierarchy[i]->finite_vertices_end(); ++it) {
       Vertex_handle vit(it);
       result = result && ( it->down()->up() == vit );
     }
@@ -1043,7 +1043,7 @@ file_output(std::ostream& os) const
   for (unsigned int i = 0; i < sdg_hierarchy_2__maxlevel; ++i) {
     int inum = 0;
     for (Finite_vertices_iterator vit = hierarchy[i]->finite_vertices_begin();
-	 vit != hierarchy[i]->finite_vertices_end(); ++vit) {
+         vit != hierarchy[i]->finite_vertices_end(); ++vit) {
       V[i][vit] = inum++;
     }
   }
@@ -1054,17 +1054,17 @@ file_output(std::ostream& os) const
   // create the map of up and down pointers
   for (unsigned int i = 0; i < sdg_hierarchy_2__maxlevel; ++i) {
     for (Finite_vertices_iterator vit = hierarchy[i]->finite_vertices_begin();
-	 vit != hierarchy[i]->finite_vertices_end(); ++vit) {
+         vit != hierarchy[i]->finite_vertices_end(); ++vit) {
       if ( vit->up() != Vertex_handle() ) {
-	V_up[i][vit] = V[i+1][vit->up()];
+        V_up[i][vit] = V[i+1][vit->up()];
       } else {
-	V_up[i][vit] = -1;
+        V_up[i][vit] = -1;
       }
 
       if ( vit->down() != Vertex_handle() ) {
-	V_down[i][vit] = V[i-1][vit->down()];
+        V_down[i][vit] = V[i-1][vit->down()];
       } else {
-	V_down[i][vit] = -1;
+        V_down[i][vit] = -1;
       }
     }
   }
@@ -1077,7 +1077,7 @@ file_output(std::ostream& os) const
     os << hierarchy[i]->number_of_vertices();
     if ( is_ascii(os) ) { os << std::endl; }
     for (Finite_vertices_iterator vit = hierarchy[i]->finite_vertices_begin();
-	 vit != hierarchy[i]->finite_vertices_end(); ++vit) {
+         vit != hierarchy[i]->finite_vertices_end(); ++vit) {
       os << V[i][vit];
       if ( is_ascii(os) ) { os << " "; }
       os << V_down[i][vit];
@@ -1115,7 +1115,7 @@ file_input(std::istream& is)
     V[i].resize(hierarchy[i]->number_of_vertices());
     int j = 0;
     for (Finite_vertices_iterator vit = hierarchy[i]->finite_vertices_begin();
-	 vit != hierarchy[i]->finite_vertices_end(); ++vit, ++j) {
+         vit != hierarchy[i]->finite_vertices_end(); ++vit, ++j) {
       V[i][j] = vit;
     }
   }
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Sqrt_extension_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Sqrt_extension_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Sqrt_extension_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Sqrt_extension_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Sqrt_extension_2.h $
-// $Id: Sqrt_extension_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Sqrt_extension_2.h $
+// $Id: Sqrt_extension_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -40,7 +40,7 @@ private:
 public:
   typedef NT                 FT;
   typedef NT                 RT;
-  
+
 public:
   Sqrt_extension_2()
     : a0_(0), a1_(0), a2_(0), a3_(0), A_(0), B_(0) {}
@@ -49,7 +49,7 @@ public:
   Sqrt_extension_2(const NT& a)
     : a0_(a), a1_(0), a2_(0), a3_(0), A_(0), B_(0) {}
   Sqrt_extension_2(const NT& a0, const NT& a1, const NT& a2,
-		   const NT& a3, const NT& A, const NT& B)
+                   const NT& a3, const NT& A, const NT& B)
     : a0_(a0), a1_(a1), a2_(a2), a3_(a3), A_(A), B_(B)
   {
     CGAL_exactness_precondition( !(CGAL::is_negative(A_)) );
@@ -137,7 +137,7 @@ public:
     double Bd = CGAL::to_double(B_);
 
     return (a0d + a1d * CGAL::sqrt(Ad) + a2d * CGAL::sqrt(Bd)
-	    + a3d * CGAL::sqrt(Ad * Bd));
+            + a3d * CGAL::sqrt(Ad * Bd));
   }
 
 };
@@ -153,7 +153,7 @@ Sqrt_extension_2<NT>
 operator*(const Sqrt_extension_2<NT>& x, const NT& n)
 {
   return Sqrt_extension_2<NT>(x.a() * n, x.b() * n, x.c() * n,
-			      x.d() * n, x.e(), x.f());
+                              x.d() * n, x.e(), x.f());
 }
 
 
@@ -194,8 +194,8 @@ operator+(const Sqrt_extension_2<NT>& x,
   CGAL_exactness_precondition( CGAL::compare(x.f(), y.f()) == EQUAL );
 
   return Sqrt_extension_2<NT>(x.a() + y.a(), x.b() + y.b(),
-			      x.c() + y.c(), x.d() + y.d(),
-			      x.e(), x.f());
+                              x.c() + y.c(), x.d() + y.d(),
+                              x.e(), x.f());
 }
 
 
@@ -231,7 +231,7 @@ operator-(const Sqrt_extension_2<NT>& x,
 //===================================================================
 
 
-template <class NT> 
+template <class NT>
 class Algebraic_structure_traits<Sqrt_extension_2<NT> >
     :public Algebraic_structure_traits_base<Sqrt_extension_2<NT>,CGAL::Integral_domain_without_division_tag>{
 private:
@@ -246,55 +246,55 @@ class Real_embeddable_traits<Sqrt_extens
 private:
     typedef Real_embeddable_traits<NT> RET_NT;
 public:
-    
+
     typedef Sqrt_extension_2<NT> Real_embeddable;
-    
-    class Abs 
+
+    class Abs
         : public CGAL::cpp98::unary_function< Real_embeddable, Real_embeddable >{
     public:
         Real_embeddable operator()(const Real_embeddable& x) const {
             return (x>=0)?x:-x;
         }
-    };    
+    };
 
-    class Sgn 
+    class Sgn
         : public CGAL::cpp98::unary_function< Real_embeddable, CGAL::Sign >{
     public:
         CGAL::Sign operator()(const Real_embeddable& x) const {
             return x.sign();
         }
     };
-    
-    class Compare 
+
+    class Compare
         : public CGAL::cpp98::binary_function< Real_embeddable,
                                                Real_embeddable,
                                                CGAL::Comparison_result >
     {
     public:
         CGAL::Comparison_result operator()(
-                const Real_embeddable& x, 
+                const Real_embeddable& x,
                 const Real_embeddable& y) const {
             CGAL_exactness_precondition( CGAL::compare(x.e(), y.e()) == EQUAL );
             CGAL_exactness_precondition( CGAL::compare(x.f(), y.f()) == EQUAL );
             return (x - y).sign();
         }
     };
-    
-    class To_double 
+
+    class To_double
         : public CGAL::cpp98::unary_function< Real_embeddable, double >{
     public:
         double operator()(const Real_embeddable& x) const {
             return x.to_double();
         }
     };
-    
-    class To_interval 
+
+    class To_interval
         : public CGAL::cpp98::unary_function< Real_embeddable, std::pair< double, double > >{
     public:
         std::pair<double,double> operator()(const Real_embeddable& x) const {
             return x.to_interval();
         }
-    };   
+    };
 };
 
 // operator <<
@@ -305,7 +305,7 @@ operator<<(Stream& os, const Sqrt_extens
 {
   os << "(" << x.a()  << ")+(" << x.b() << ") sqrt{" << x.e() << "}";
   os << "+(" << x.c() << ") sqrt{" << x.f() << "}";
-  os << "+(" << x.d() << ") sqrt{(" << x.e() << ") (" << x.f() 
+  os << "+(" << x.d() << ") sqrt{(" << x.e() << ") (" << x.f()
      << ")}";
   return os;
 }
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Traits_base_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Traits_base_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Traits_base_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Traits_base_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Traits_base_2.h $
-// $Id: Traits_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Traits_base_2.h $
+// $Id: Traits_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
@@ -61,7 +61,7 @@ public:
 
   // BASIC TYPES
   //------------
-  
+
   typedef
   CGAL_SEGMENT_DELAUNAY_GRAPH_2_NS::Kernel_wrapper_2<R,ITag>  Kernel;
   typedef Kernel                                              K;
@@ -96,6 +96,7 @@ public:
   //-------------------------------
   typedef typename Kernel::Construct_object_2     Construct_object_2;
   typedef typename Kernel::Assign_2               Assign_2;
+  typedef typename Kernel::Construct_point_2      Construct_point_2;
 
   // CONSTRUCTIONS
   //--------------
@@ -182,14 +183,19 @@ public:
   }
 
   Construct_object_2
-  construct_object_2_object() const { 
+  construct_object_2_object() const {
     return Construct_object_2();
   }
 
+  Construct_point_2
+  construct_point_2_object() const {
+    return Construct_point_2();
+  }
+
   // CONSTRUCTIONS
   //--------------
   Construct_svd_vertex_2
-  construct_svd_vertex_2_object() const { 
+  construct_svd_vertex_2_object() const {
     return Construct_svd_vertex_2();
   }
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Traits_wrapper_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Traits_wrapper_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Traits_wrapper_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Traits_wrapper_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Traits_wrapper_2.h $
-// $Id: Traits_wrapper_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Traits_wrapper_2.h $
+// $Id: Traits_wrapper_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Triangulation_face_base_with_edges_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Triangulation_face_base_with_edges_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Triangulation_face_base_with_edges_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Triangulation_face_base_with_edges_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Triangulation_face_base_with_edges_2.h $
-// $Id: Triangulation_face_base_with_edges_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Triangulation_face_base_with_edges_2.h $
+// $Id: Triangulation_face_base_with_edges_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -28,7 +28,7 @@ namespace CGAL {
 
 
 template < class Gt,
-	   class Fb = Triangulation_ds_face_base_2<> >
+           class Fb = Triangulation_ds_face_base_2<> >
 class Triangulation_face_base_with_edges_2
   : public Fb
 {
@@ -51,7 +51,7 @@ public:
   struct Rebind_TDS {
     typedef typename Fb::template Rebind_TDS<TDS2>::Other  Vb2;
     typedef Triangulation_face_base_with_edges_2<Gt,Vb2>   Other;
-  }; 
+  };
 
 
 public:
@@ -61,17 +61,17 @@ public:
   { init(); }
 
   Triangulation_face_base_with_edges_2(Vertex_handle v0,
-				       Vertex_handle v1,
-				       Vertex_handle v2)
+                                       Vertex_handle v1,
+                                       Vertex_handle v2)
     : Base(v0,v1,v2)
   { init(); }
 
   Triangulation_face_base_with_edges_2(Vertex_handle v0,
-				       Vertex_handle v1,
-				       Vertex_handle v2,
-				       Face_handle n0,
-				       Face_handle n1,
-				       Face_handle n2)
+                                       Vertex_handle v1,
+                                       Vertex_handle v2,
+                                       Face_handle n0,
+                                       Face_handle n1,
+                                       Face_handle n2)
     : Base(v0,v1,v2,n0,n1,n2)
   { init(); }
 
@@ -82,14 +82,14 @@ public:
   {
     CGAL_precondition( i >= 0 && i <= 2 );
     return ( next_edge_in_list[i].first != Face_handle() ||
-	     prev_edge_in_list[i].first != Face_handle() );
+             prev_edge_in_list[i].first != Face_handle() );
   }
 
   void set_next(int i, const Edge& next)
   {
     CGAL_precondition( i >= 0 && i <= 2 );
     CGAL_precondition( next.first == Face_handle() ||
-		       (next.second >= 0 && next.second <= 2) );
+                       (next.second >= 0 && next.second <= 2) );
     next_edge_in_list[i] = next;
   }
 
@@ -97,7 +97,7 @@ public:
   {
     CGAL_precondition( i >= 0 && i <= 2 );
     CGAL_precondition( prev.first == Face_handle() ||
-		       (prev.second >= 0 && prev.second <= 2) );
+                       (prev.second >= 0 && prev.second <= 2) );
     prev_edge_in_list[i] = prev;
   }
 
@@ -140,6 +140,6 @@ protected:
 
 
 
-} //namespace CGAL 
+} //namespace CGAL
 
 #endif // CGAL_TRIANGULATION_FACE_BASE_WITH_EDGES_2_H
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Vertex_conflict_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Vertex_conflict_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Vertex_conflict_C2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Vertex_conflict_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Vertex_conflict_C2.h $
-// $Id: Vertex_conflict_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Vertex_conflict_C2.h $
+// $Id: Vertex_conflict_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -58,28 +58,28 @@ private:
   Are_same_segments_2  same_segments;
 
   bool is_on_common_support(const Site_2& s1, const Site_2& s2,
-			    const Point_2& p) const
+                            const Point_2& p) const
   {
     CGAL_precondition( !s1.is_input() && !s2.is_input() );
 
     if (  same_segments(s1.supporting_site(0),
-			s2.supporting_site(0)) ||
-	  same_segments(s1.supporting_site(0),
-			s2.supporting_site(1))  ) {
+                        s2.supporting_site(0)) ||
+          same_segments(s1.supporting_site(0),
+                        s2.supporting_site(1))  ) {
       Site_2 support = s1.supporting_site(0);
       Site_2 tp = Site_2::construct_site_2(p);
 
       return (  same_points(support.source_site(), tp) ||
-		same_points(support.target_site(), tp)  );
+                same_points(support.target_site(), tp)  );
     } else if (  same_segments(s1.supporting_site(1),
-			       s2.supporting_site(1)) ||
-		 same_segments(s1.supporting_site(1),
-			       s2.supporting_site(0))  ) {
+                               s2.supporting_site(1)) ||
+                 same_segments(s1.supporting_site(1),
+                               s2.supporting_site(0))  ) {
       Site_2 support = s1.supporting_site(1);
       Site_2 tp = Site_2::construct_site_2(p);
 
       return (  same_points(support.source_site(), tp) ||
-		same_points(support.target_site(), tp)  );      
+                same_points(support.target_site(), tp)  );
     }
     return false;
   }
@@ -96,19 +96,19 @@ private:
   }
 
   bool have_common_support(const Site_2& s, const Point_2& p1,
-			   const Point_2& p2) const
+                           const Point_2& p2) const
   {
     CGAL_precondition( !s.is_input() );
 
     Site_2 t = Site_2::construct_site_2(p1, p2);
 
     return ( same_segments(s.supporting_site(0), t) ||
-	     same_segments(s.supporting_site(1), t) );
+             same_segments(s.supporting_site(1), t) );
   }
 
 private:
   Sign incircle_ppp(const Site_2& p, const Site_2& q,
-		    const Site_2& t, const Tag_false&) const
+                    const Site_2& t, const Tag_false&) const
   {
     Point_2 pp = p.point(), qp = q.point(), tp = t.point();
 
@@ -128,7 +128,7 @@ private:
     RT dtpy = pp.y() - tp.y();
     RT dtqx = qp.x() - tp.x();
     RT minus_dtqy = -qp.y() + tp.y();
-    
+
     Sign s = sign_of_determinant(dtpx, dtpy, minus_dtqy, dtqx);
 
     CGAL_assertion( s != ZERO );
@@ -137,7 +137,7 @@ private:
   }
 
   Sign incircle_ppp(const Site_2& p, const Site_2& q,
-		    const Site_2& t, const Tag_true&) const
+                    const Site_2& t, const Tag_true&) const
   {
     Orientation o = COLLINEAR; // the initialization was done in
                                // order a compiler warning
@@ -153,41 +153,41 @@ private:
     // convex hull
     if ( !p_exact || !q_exact || !t_exact ) {
       if ( !p_exact && !q_exact && !t_exact ) {
-	if ( have_common_support(p, q) &&
-	     have_common_support(q, t) ) {
-	  o = COLLINEAR;
-	  filtered = true;
-	}
+        if ( have_common_support(p, q) &&
+             have_common_support(q, t) ) {
+          o = COLLINEAR;
+          filtered = true;
+        }
       } else if ( !p_exact && !q_exact && t_exact ) {
-	if ( is_on_common_support(p, q, t.point()) ) {
-	  o = COLLINEAR;
-	  filtered = true;
-	}
+        if ( is_on_common_support(p, q, t.point()) ) {
+          o = COLLINEAR;
+          filtered = true;
+        }
       } else if ( !p_exact && q_exact && !t_exact ) {
-	if ( is_on_common_support(p, t, q.point()) ) {
-	  o = COLLINEAR;
-	  filtered = true;
-	}
+        if ( is_on_common_support(p, t, q.point()) ) {
+          o = COLLINEAR;
+          filtered = true;
+        }
       } else if ( p_exact && !q_exact && !t_exact ) {
-	if ( is_on_common_support(t, q, p.point()) ) {
-	  o = COLLINEAR;
-	  filtered = true;
-	}
+        if ( is_on_common_support(t, q, p.point()) ) {
+          o = COLLINEAR;
+          filtered = true;
+        }
       } else if ( !p_exact && q_exact && t_exact ) {
-	if ( have_common_support(p, q.point(), t.point()) ) {
-	  o = COLLINEAR;
-	  filtered = true;
-	}
+        if ( have_common_support(p, q.point(), t.point()) ) {
+          o = COLLINEAR;
+          filtered = true;
+        }
       } else if ( p_exact && !q_exact && t_exact ) {
-	if ( have_common_support(q, p.point(), t.point()) ) {
-	  o = COLLINEAR;
-	  filtered = true;
-	}
+        if ( have_common_support(q, p.point(), t.point()) ) {
+          o = COLLINEAR;
+          filtered = true;
+        }
       } else if ( p_exact && q_exact && !t_exact ) {
-	if ( have_common_support(t, p.point(), q.point()) ) {
-	  o = COLLINEAR;
-	  filtered = true;
-	}
+        if ( have_common_support(t, p.point(), q.point()) ) {
+          o = COLLINEAR;
+          filtered = true;
+        }
       }
     }
 
@@ -211,9 +211,9 @@ private:
     RT dtpy = pp.y() - tp.y();
     RT dtqx = qp.x() - tp.x();
     RT minus_dtqy = -qp.y() + tp.y();
-    
+
     Sign s = sign_of_determinant(dtpx, dtpy, minus_dtqy, dtqx);
-    
+
     CGAL_assertion( s != ZERO );
 
     return s;
@@ -221,7 +221,7 @@ private:
 
 
   Sign incircle_p(const Site_2& p, const Site_2& q,
-		  const Site_2& t) const
+                  const Site_2& t) const
   {
     CGAL_precondition( t.is_point() );
 
@@ -244,57 +244,57 @@ private:
       // activated if a lot of intersection points appear on the
       // convex hull
       if ( !p_exact || !q_exact || !t_exact ) {
-	if ( !p_exact && !q_exact && !t_exact ) {
-	  if ( have_common_support(p, q) &&
-	       have_common_support(q, t) ) {
-	    o = COLLINEAR;
-	    filtered = true;
-	  }
-	} else if ( !p_exact && !q_exact && t_exact ) {
-	  if ( is_on_common_support(p, q, t.point()) ) {
-	    o = COLLINEAR;
-	    filtered = true;
-	  }
-	} else if ( !p_exact && q_exact && !t_exact ) {
-	  if ( is_on_common_support(p, t, q.point()) ) {
-	    o = COLLINEAR;
-	    filtered = true;
-	  }
-	} else if ( p_exact && !q_exact && !t_exact ) {
-	  if ( is_on_common_support(t, q, p.point()) ) {
-	    o = COLLINEAR;
-	    filtered = true;
-	  }
-	} else if ( !p_exact && q_exact && t_exact ) {
-	  if ( have_common_support(p, q.point(), t.point()) ) {
-	    o = COLLINEAR;
-	    filtered = true;
-	  }
-	} else if ( p_exact && !q_exact && t_exact ) {
-	  if ( have_common_support(q, p.point(), t.point()) ) {
-	    o = COLLINEAR;
-	    filtered = true;
-	  }
-	} else if ( p_exact && q_exact && !t_exact ) {
-	  if ( have_common_support(t, p.point(), q.point()) ) {
-	    o = COLLINEAR;
-	    filtered = true;
-	  }
-	}
+        if ( !p_exact && !q_exact && !t_exact ) {
+          if ( have_common_support(p, q) &&
+               have_common_support(q, t) ) {
+            o = COLLINEAR;
+            filtered = true;
+          }
+        } else if ( !p_exact && !q_exact && t_exact ) {
+          if ( is_on_common_support(p, q, t.point()) ) {
+            o = COLLINEAR;
+            filtered = true;
+          }
+        } else if ( !p_exact && q_exact && !t_exact ) {
+          if ( is_on_common_support(p, t, q.point()) ) {
+            o = COLLINEAR;
+            filtered = true;
+          }
+        } else if ( p_exact && !q_exact && !t_exact ) {
+          if ( is_on_common_support(t, q, p.point()) ) {
+            o = COLLINEAR;
+            filtered = true;
+          }
+        } else if ( !p_exact && q_exact && t_exact ) {
+          if ( have_common_support(p, q.point(), t.point()) ) {
+            o = COLLINEAR;
+            filtered = true;
+          }
+        } else if ( p_exact && !q_exact && t_exact ) {
+          if ( have_common_support(q, p.point(), t.point()) ) {
+            o = COLLINEAR;
+            filtered = true;
+          }
+        } else if ( p_exact && q_exact && !t_exact ) {
+          if ( have_common_support(t, p.point(), q.point()) ) {
+            o = COLLINEAR;
+            filtered = true;
+          }
+        }
       }
 
       Point_2 pp = p.point(), qp = q.point(), tp = t.point();
 
       if ( !filtered ) {
-	// MK::ERROR: here I should call a kernel object, not a
-	// function...; actually here (and everywhere in this class)
-	// use the orientation predicate for sites; it does some
-	// geometric filtering...
-	o = orientation(pp, qp, tp);
+        // MK::ERROR: here I should call a kernel object, not a
+        // function...; actually here (and everywhere in this class)
+        // use the orientation predicate for sites; it does some
+        // geometric filtering...
+        o = orientation(pp, qp, tp);
       }
 
       if ( o != COLLINEAR ) {
-	return (o == LEFT_TURN) ? POSITIVE : NEGATIVE;
+        return (o == LEFT_TURN) ? POSITIVE : NEGATIVE;
       }
 
       // MK::ERROR: change the following code to use the compare_x_2
@@ -303,7 +303,7 @@ private:
       RT dtpy = pp.y() - tp.y();
       RT dtqx = qp.x() - tp.x();
       RT minus_dtqy = -qp.y() + tp.y();
-      
+
       Sign s = sign_of_determinant(dtpx, dtpy, minus_dtqy, dtqx);
 
       CGAL_assertion( s != ZERO );
@@ -331,7 +331,7 @@ private:
 
 
   Sign incircle_pps(const Site_2& p, const Site_2& q,
-		    const Site_2& t) const
+                    const Site_2& t) const
   {
     CGAL_precondition( p.is_point() && q.is_point() );
 
@@ -345,9 +345,9 @@ private:
     bool is_q_on_t = is_q_tsrc || is_q_ttrg;
 
     if ( is_p_on_t && is_q_on_t ) {
-	// if t is the segment joining p and q then t must be a vertex
-	// on the convex hull
-	return NEGATIVE;
+        // if t is the segment joining p and q then t must be a vertex
+        // on the convex hull
+        return NEGATIVE;
     } else if ( is_p_on_t ) {
       // p is an endpoint of t
       // in this case the p,q,oo vertex is destroyed only if the
@@ -371,7 +371,7 @@ private:
       Orientation o2 = orientation(pp, qq, t.target());
 
       if ( o1 == RIGHT_TURN || o2 == RIGHT_TURN ) {
-	return NEGATIVE;
+        return NEGATIVE;
       }
       return POSITIVE;
     }
@@ -379,7 +379,7 @@ private:
 
 
   Sign incircle_sps(const Site_2& p, const Site_2& q,
-		    const Site_2& t) const
+                    const Site_2& t) const
   {
     CGAL_precondition( p.is_segment() && q.is_point() );
 
@@ -402,7 +402,7 @@ private:
 
 
   Sign incircle_pss(const Site_2& p, const Site_2& q,
-		    const Site_2& t) const
+                    const Site_2& t) const
   {
     CGAL_precondition( p.is_point() && q.is_segment() );
 
@@ -428,7 +428,7 @@ private:
 
 
   Sign incircle_s(const Site_2& p, const Site_2& q,
-		  const Site_2& t) const
+                  const Site_2& t) const
   {
     CGAL_precondition( t.is_segment() );
 
@@ -448,7 +448,7 @@ public:
 
 
   Sign operator()(const Site_2& p, const Site_2& q,
-		  const Site_2& r, const Site_2& t) const
+                  const Site_2& r, const Site_2& t) const
   {
 #ifdef CGAL_PROFILE
     // In case CGAL profile is called then output the sites in case of
@@ -461,13 +461,13 @@ public:
       std::string suffix("-failure-log.cin");
       std::string fname;
       if ( np == 3 ) {
-	fname = "ppp";
+        fname = "ppp";
       } else if ( np == 2 ) {
-	fname = "pps";
+        fname = "pps";
       } else if ( np == 1 ) {
-	fname = "pss";
+        fname = "pss";
       } else {
-	fname = "sss";
+        fname = "sss";
       }
       fname += suffix;
       std::ofstream ofs(fname.c_str(), std::ios_base::app);
@@ -513,10 +513,10 @@ public:
   }
 
 
-  
+
 
   Sign operator()(const Site_2& p, const Site_2& q,
-		  const Site_2& t) const
+                  const Site_2& t) const
   {
 #ifdef CGAL_PROFILE
     // In case CGAL profile is called then output the sites in case of
@@ -537,11 +537,11 @@ public:
     if ( p.is_point() && q.is_segment() ) {
       // p must be an endpoint of q
       CGAL_assertion( same_points(p, q.source_site()) ||
-		      same_points(p, q.target_site()) );
+                      same_points(p, q.target_site()) );
     } else if ( p.is_segment() && q.is_point() ) {
       // q must be an endpoint of p
       CGAL_assertion( same_points(p.source_site(), q) ||
-		      same_points(p.target_site(), q) );
+                      same_points(p.target_site(), q) );
     }
 
     if ( t.is_point() ) {
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_C2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_C2.h $
-// $Id: Voronoi_vertex_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_C2.h $
+// $Id: Voronoi_vertex_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -66,7 +66,7 @@ protected:
   typedef typename Base::Site_2   Site_2;
 public:
   Voronoi_vertex_C2(const Site_2& p, const Site_2& q,
-		    const Site_2& r)
+                    const Site_2& r)
     : Base(p, q, r) {}
 };
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_ring_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_ring_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_ring_C2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_ring_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_ring_C2.h $
-// $Id: Voronoi_vertex_ring_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_ring_C2.h $
+// $Id: Voronoi_vertex_ring_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -82,7 +82,7 @@ private:
   compute_ppp(const Site_2& sp, const Site_2& sq, const Site_2& sr)
   {
     CGAL_precondition( sp.is_point() && sq.is_point() &&
-		       sr.is_point() );
+                       sr.is_point() );
 
     Point_2 p = sp.point(), q = sq.point(), r = sr.point();
 
@@ -92,13 +92,13 @@ private:
     RT nq = CGAL::square(q.x()) + CGAL::square(q.y());
     RT nr = CGAL::square(r.x()) + CGAL::square(r.y());
 
-    ux_ppp = 
+    ux_ppp =
       np * (q.y() - r.y()) + nq * (r.y() - p.y()) + nr * (p.y() - q.y());
     uy_ppp =
       -(np * (q.x() - r.x()) + nq * (r.x() - p.x()) + nr * (p.x() - q.x()));
     uz_ppp = RT(2) * ( (q.x() * r.y() - r.x() * q.y()) +
-		       (r.x() * p.y() - p.x() * r.y()) +
-		       (p.x() * q.y() - q.x() * p.y()) );
+                       (r.x() * p.y() - p.x() * r.y()) +
+                       (p.x() * q.y() - q.x() * p.y()) );
   }
 
   //--------------------------------------------------------------------------
@@ -107,7 +107,7 @@ private:
   compute_pss(const Site_2& p, const Site_2& q, const Site_2& r)
   {
     CGAL_precondition( p.is_point() && q.is_segment() &&
-		       r.is_segment() );
+                       r.is_segment() );
 
     v_type = PSS;
 
@@ -127,7 +127,7 @@ private:
       return;
     }
 
-    
+
 
     RT a1, b1, c1, a2, b2, c2;
     compute_supporting_line(q.supporting_site(), a1, b1, c1);
@@ -152,7 +152,7 @@ private:
     } else if ( sgn_c1_ == ZERO ) {
       CGAL_assertion( pq );
       if ( same_points(p, q.target_site()) ) {
-	a1 = -a1;  b1 = -b1;  c1_ = -c1_;
+        a1 = -a1;  b1 = -b1;  c1_ = -c1_;
       }
     }
 
@@ -161,7 +161,7 @@ private:
     } else if ( sgn_c2_ == ZERO ) {
       CGAL_assertion( pr );
       if ( same_points(p, r.source_site()) ) {
-	a2 = -a2;  b2 = -b2;  c2_ = -c2_;
+        a2 = -a2;  b2 = -b2;  c2_ = -c2_;
       }
     }
 
@@ -179,9 +179,9 @@ private:
       Sqrt_1 vz(-a1 * a2 - b1 * b2, RT(1), D1D2);
 
       ux = Sqrt_3(J + pp.x() * vz,
-		  Zero, Zero, Zero, Zero, Zero);
+                  Zero, Zero, Zero, Zero, Zero);
       uy = Sqrt_3(I + pp.y() * vz,
-		  Zero, Zero, Zero, Zero, Zero);
+                  Zero, Zero, Zero, Zero, Zero);
       uz = Sqrt_3(vz, Zero, Zero, Zero, Zero, Zero);
     } else if ( pr ) {
       RT J = a2 * c1_;
@@ -197,9 +197,9 @@ private:
       Sqrt_1 vz(-a1 * a2 - b1 * b2, RT(1), D1D2);
 
       ux = Sqrt_3(J + pp.x() * vz,
-		  Zero, Zero, Zero, Zero, Zero);
+                  Zero, Zero, Zero, Zero, Zero);
       uy = Sqrt_3(I + pp.y() * vz,
-		  Zero, Zero, Zero, Zero, Zero);
+                  Zero, Zero, Zero, Zero, Zero);
       uz = Sqrt_3(vz, Zero, Zero, Zero, Zero, Zero);
     } else {
       Line_2 lq(a1, b1, c1_);
@@ -223,7 +223,7 @@ private:
 
     RT I = b1 * c2_ + b2 * c1_;
     RT J = a1 * c2_ + a2 * c1_;
-    
+
     RT c1c2 = RT(2) * c1_ * c2_;
     RT a1a2 = a1 * a2;
     RT b1b2 = b1 * b2;
@@ -273,7 +273,7 @@ private:
       s_rho = s1 * CGAL::sign(e);
     }
 
-    
+
     Sqrt_1 rho = Zero;
     if ( s_rho == POSITIVE ) {
       rho = One;
@@ -281,7 +281,7 @@ private:
       rho = -One;
     }
 
-    
+
     Sqrt_1 vz(-a1a2 - b1b2, RT(1), D1D2);
 
     RT A = a1a2 - b1b2;
@@ -302,7 +302,7 @@ private:
   compute_pps(const Site_2& p, const Site_2& q, const Site_2& r)
   {
     CGAL_precondition( p.is_point() && q.is_point() &&
-		       r.is_segment() );
+                       r.is_segment() );
 
     v_type = PPS;
 
@@ -316,11 +316,11 @@ private:
 
 
     if ( same_points(p, r.source_site()) ||
-	 same_points(p, r.target_site()) ) {
+         same_points(p, r.target_site()) ) {
       c_ = RT(0);
     }
     if ( same_points(q, r.source_site()) ||
-	 same_points(q, r.target_site()) ) {
+         same_points(q, r.target_site()) ) {
       cq_ = RT(0);
     }
 
@@ -333,7 +333,7 @@ private:
 
       CGAL_assertion( s1 != ZERO );
       if ( s1 == NEGATIVE ) {
-	a = -a;  b = -b;  c = -c;  c_ = -c_;  cq_ = -cq_;
+        a = -a;  b = -b;  c = -c;  c_ = -c_;  cq_ = -cq_;
       }
     }
 
@@ -377,13 +377,13 @@ private:
   //--------------------------------------------------------------------------
 
   bool check_if_exact(const Site_2& , unsigned int ,
-		      const Tag_false&) const
+                      const Tag_false&) const
   {
     return true;
   }
 
   bool check_if_exact(const Site_2& s, unsigned int i,
-		      const Tag_true&) const
+                      const Tag_true&) const
   {
     return s.is_input(i);
   }
@@ -394,36 +394,36 @@ private:
   // pass it so that we do not have to recompute it
   bool
   is_on_positive_halfspace(const Site_2& supp,
-			   const Site_2& s, const Line_2& l) const
+                           const Site_2& s, const Line_2& l) const
   {
     CGAL_precondition( supp.is_segment() && s.is_segment() );
-    
+
     if ( same_segments(supp.supporting_site(),
-		       s.supporting_site()) ) {
+                       s.supporting_site()) ) {
       return false;
     }
 
     if ( same_points(supp.source_site(), s.source_site()) ||
-	 same_points(supp.target_site(), s.source_site()) ) {
+         same_points(supp.target_site(), s.source_site()) ) {
       return oriented_side_of_line(l, s.target()) == ON_POSITIVE_SIDE;
     }
 
     if ( same_points(supp.source_site(), s.target_site()) ||
-	 same_points(supp.target_site(), s.target_site()) ) {
+         same_points(supp.target_site(), s.target_site()) ) {
       return oriented_side_of_line(l, s.source()) == ON_POSITIVE_SIDE;
     }
 
     ITag itag;
 
     if ( !check_if_exact(s, 0, itag) &&
-	 same_segments(supp.supporting_site(),
-		       s.crossing_site(0)) ) {
+         same_segments(supp.supporting_site(),
+                       s.crossing_site(0)) ) {
       return oriented_side_of_line(l, s.target()) == ON_POSITIVE_SIDE;
     }
 
     if ( !check_if_exact(s, 1, itag) &&
-	 same_segments(supp.supporting_site(),
-		       s.crossing_site(1)) ) {
+         same_segments(supp.supporting_site(),
+                       s.crossing_site(1)) ) {
       return oriented_side_of_line(l, s.source()) == ON_POSITIVE_SIDE;
     }
 
@@ -434,62 +434,62 @@ private:
 
   void
   orient_lines(const Site_2& p, const Site_2& q,
-	       const Site_2& r, RT a[], RT b[], RT c[]) const 
+               const Site_2& r, RT a[], RT b[], RT c[]) const
   {
     CGAL_precondition( p.is_segment() && q.is_segment() &&
-		       r.is_segment() );
+                       r.is_segment() );
 
     Line_2 l[3];
     l[0] = compute_supporting_line(p.supporting_site());
     l[1] = compute_supporting_line(q.supporting_site());
     l[2] = compute_supporting_line(r.supporting_site());
-    
+
     bool is_oriented[3] = {false, false, false};
 
     if ( is_on_positive_halfspace(p, q, l[0]) ||
-	 is_on_positive_halfspace(p, r, l[0]) ) {
+         is_on_positive_halfspace(p, r, l[0]) ) {
       is_oriented[0] = true;
     } else {
       l[0] = opposite_line(l[0]);
       if ( is_on_positive_halfspace(p, q, l[0]) ||
-	   is_on_positive_halfspace(p, r, l[0]) ) {
-	is_oriented[0] = true;
+           is_on_positive_halfspace(p, r, l[0]) ) {
+        is_oriented[0] = true;
       } else {
-	l[0] = opposite_line(l[0]);
+        l[0] = opposite_line(l[0]);
       }
     }
 
     if ( is_on_positive_halfspace(q, p, l[1]) ||
-	 is_on_positive_halfspace(q, r, l[1]) ) {
+         is_on_positive_halfspace(q, r, l[1]) ) {
       is_oriented[1] = true;
     } else {
        l[1] = opposite_line(l[1]);
       if ( is_on_positive_halfspace(q, p, l[1]) ||
-	   is_on_positive_halfspace(q, r, l[1]) ) {
-	is_oriented[1] = true;
+           is_on_positive_halfspace(q, r, l[1]) ) {
+        is_oriented[1] = true;
       } else {
-	l[1] = opposite_line(l[1]);
+        l[1] = opposite_line(l[1]);
       }
     }
 
     if ( is_on_positive_halfspace(r, p, l[2]) ||
-	 is_on_positive_halfspace(r, q, l[2]) ) {
+         is_on_positive_halfspace(r, q, l[2]) ) {
       is_oriented[2] = true;
     } else {
       l[2] = opposite_line(l[2]);
       if ( is_on_positive_halfspace(r, p, l[2]) ||
-	   is_on_positive_halfspace(r, q, l[2]) ) {
-	is_oriented[2] = true;
+           is_on_positive_halfspace(r, q, l[2]) ) {
+        is_oriented[2] = true;
       } else {
-	l[2] = opposite_line(l[2]);
+        l[2] = opposite_line(l[2]);
       }
     }
 
     if ( is_oriented[0] && is_oriented[1] && is_oriented[2] ) {
       for (int i = 0; i < 3; i++) {
-	a[i] = l[i].a();
-	b[i] = l[i].b();
-	c[i] = l[i].c();
+        a[i] = l[i].a();
+        b[i] = l[i].b();
+        c[i] = l[i].c();
       }
       return;
     }
@@ -497,9 +497,9 @@ private:
     int i_no(-1);
     for (int i = 0; i < 3; i++) {
       if ( !is_oriented[i] ) {
-	i_no = i;
-	CGAL_assertion( is_oriented[(i+1)%3] && is_oriented[(i+2)%3] );
-	break;
+        i_no = i;
+        CGAL_assertion( is_oriented[(i+1)%3] && is_oriented[(i+2)%3] );
+        break;
       }
     }
 
@@ -513,10 +513,10 @@ private:
     RT z[3];
     for (int i = 0; i < 3; i++) {
       z[i] = l[(i+1)%3].a() * l[(i+2)%3].b()
-	- l[(i+2)%3].a() * l[(i+1)%3].b();
+        - l[(i+2)%3].a() * l[(i+1)%3].b();
     }
 
-    
+
     Sqrt_1 Zero(RT(0), RT(0), d[0]);
     Sqrt_1 sqrt_D0(RT(0), RT(1), d[0]);
 
@@ -534,9 +534,9 @@ private:
       l[i_no] = opposite_line(l[i_no]);
 
       for (int i = 0; i < 3; i++) {
-	a[i] = l[i].a();
-	b[i] = l[i].b();
-	c[i] = l[i].c();
+        a[i] = l[i].a();
+        b[i] = l[i].b();
+        c[i] = l[i].c();
       }
       return;
     }
@@ -555,9 +555,9 @@ private:
     if ( s_minus_vz_2 == NEGATIVE ) {
       // the other orientation does not correspond to a CCW triangle.
       for (int i = 0; i < 3; i++) {
-	a[i] = l[i].a();
-	b[i] = l[i].b();
-	c[i] = l[i].c();
+        a[i] = l[i].a();
+        b[i] = l[i].b();
+        c[i] = l[i].c();
       }
       return;
     }
@@ -606,7 +606,7 @@ private:
   compute_sss(const Site_2& p, const Site_2& q, const Site_2& r)
   {
     CGAL_precondition( p.is_segment() && q.is_segment() &&
-		       r.is_segment() );
+                       r.is_segment() );
 
     v_type = SSS;
 
@@ -628,11 +628,11 @@ private:
     Sqrt_1 D2 = Zero + D[2];
 
     ux = Sqrt_3(cx[0] * sqrt_D0, cx[1] + Zero, cx[2] + Zero,
-		Zero, D1, D2);
+                Zero, D1, D2);
     uy = Sqrt_3(cy[0] * sqrt_D0, cy[1] + Zero, cy[2] + Zero,
-		Zero, D1, D2);
+                Zero, D1, D2);
     uz = Sqrt_3(cz[0] * sqrt_D0, cz[1] + Zero, cz[2] + Zero,
-		Zero, D1, D2);      
+                Zero, D1, D2);
   }
 
   //--------------------------------------------------------------------------
@@ -673,9 +673,9 @@ private:
   {
     CGAL_precondition( p.is_point() && s.is_segment() );
     return ( same_points(p, s.source_site()) ||
-	     same_points(p, s.target_site()) );
+             same_points(p, s.target_site()) );
   }
-  
+
 
   //--------------------------------------------------------------------------
   //--------------------------------------------------------------------------
@@ -693,7 +693,7 @@ private:
     return s_uz * s_l;
   }
 
-  
+
   //--------------------------------------------------------------------------
 
   Orientation
@@ -724,7 +724,7 @@ private:
 
     return s_uz * s_l;
   }
-    
+
 
   //--------------------------------------------------------------------------
   //--------------------------------------------------------------------------
@@ -739,21 +739,21 @@ private:
   //--------------------------------------------------------------------------
 
   Sign check_easy_degeneracies(const Site_2& t, PPS_Type,
-			       bool& use_result) const
+                               bool& use_result) const
   {
     CGAL_precondition( t.is_point() );
 
     use_result = false;
     if (  ( p_.is_point() && same_points(p_, t) ) ||
-	  ( q_.is_point() && same_points(q_, t) ) ||
-	  ( r_.is_point() && same_points(r_, t) )  ) {
+          ( q_.is_point() && same_points(q_, t) ) ||
+          ( r_.is_point() && same_points(r_, t) )  ) {
       use_result = true;
       return ZERO;
     }
 
-    if (  ( p_.is_segment() && is_endpoint_of(t, p_) ) || 
-	  ( q_.is_segment() && is_endpoint_of(t, q_) ) ||
-	  ( r_.is_segment() && is_endpoint_of(t, r_) )  ) {
+    if (  ( p_.is_segment() && is_endpoint_of(t, p_) ) ||
+          ( q_.is_segment() && is_endpoint_of(t, q_) ) ||
+          ( r_.is_segment() && is_endpoint_of(t, r_) )  ) {
       use_result = true;
       return POSITIVE;
     }
@@ -763,7 +763,7 @@ private:
 
   inline
   Sign check_easy_degeneracies(const Site_2& t, PSS_Type,
-			       bool& use_result) const
+                               bool& use_result) const
   {
     CGAL_precondition( t.is_point() );
     return check_easy_degeneracies(t, PPS_Type(), use_result);
@@ -771,7 +771,7 @@ private:
 
   inline
   Sign check_easy_degeneracies(const Site_2& t, SSS_Type,
-			       bool& use_result) const
+                               bool& use_result) const
   {
     CGAL_USE(t);
     CGAL_precondition( t.is_point() );
@@ -783,7 +783,7 @@ private:
   //--------------------------------------------------------------------------
 
   template<class Type>
-  inline  
+  inline
   Sign incircle_p(const Site_2& st, Type type) const
   {
     CGAL_precondition( st.is_point() );
@@ -893,7 +893,7 @@ private:
   //--------------------------------------------------------------------------
   //--------------------------------------------------------------------------
 
-  Sign incircle_p(const Site_2& t) const 
+  Sign incircle_p(const Site_2& t) const
   {
     if ( is_degenerate_Voronoi_circle() ) {
       return POSITIVE;
@@ -918,7 +918,7 @@ private:
     return s;
   }
 
-  Sign incircle_p_no_easy(const Site_2& t) const 
+  Sign incircle_p_no_easy(const Site_2& t) const
   {
     Sign s(ZERO);
     switch ( v_type ) {
@@ -990,7 +990,7 @@ private:
   //--------------------------------------------------------------------------
   //--------------------------------------------------------------------------
 
-  
+
   Sign incircle(const Line_2& l, PPP_Type) const
   {
     Point_2 pref = p_ref().point();
@@ -1019,7 +1019,7 @@ private:
     Sqrt_1 vy = uy_pps - pref.y() * uz_pps;
 
     Sqrt_1 Rs = CGAL::square(vx) + CGAL::square(vy);
-    
+
     RT Ns = CGAL::square(l.a()) + CGAL::square(l.b());
 
     Sqrt_1 Ls =
@@ -1094,36 +1094,36 @@ private:
 
     if ( v_type == PPP || v_type == PPS ) {
       if (  p_.is_point() && q_.is_point() &&
-	    is_endpoint_of(p_, t) && is_endpoint_of(q_, t)  ) {
-	return NEGATIVE;
+            is_endpoint_of(p_, t) && is_endpoint_of(q_, t)  ) {
+        return NEGATIVE;
       }
 
       if (  p_.is_point() && r_.is_point() &&
-	    is_endpoint_of(p_, t) && is_endpoint_of(r_, t)  ){
-	return NEGATIVE;
+            is_endpoint_of(p_, t) && is_endpoint_of(r_, t)  ){
+        return NEGATIVE;
       }
 
       if (  q_.is_point() && r_.is_point() &&
-	    is_endpoint_of(q_, t) && is_endpoint_of(r_, t)  ){
-	return NEGATIVE;
+            is_endpoint_of(q_, t) && is_endpoint_of(r_, t)  ){
+        return NEGATIVE;
       }
     }
 
     if ( v_type == PSS ) {
       if ( p_.is_segment() &&
-	   same_segments(p_.supporting_site(),
-			 t.supporting_site()) ) {
-	return POSITIVE;
+           same_segments(p_.supporting_site(),
+                         t.supporting_site()) ) {
+        return POSITIVE;
       }
       if ( q_.is_segment() &&
-	   same_segments(q_.supporting_site(),
-			 t.supporting_site()) ) {
-	return POSITIVE;
+           same_segments(q_.supporting_site(),
+                         t.supporting_site()) ) {
+        return POSITIVE;
       }
       if ( r_.is_segment() &&
-	   same_segments(r_.supporting_site(),
-			 t.supporting_site()) ) {
-	return POSITIVE;
+           same_segments(r_.supporting_site(),
+                         t.supporting_site()) ) {
+        return POSITIVE;
       }
     }
 
@@ -1135,8 +1135,8 @@ private:
   {
     Sign d1, d2;
     if (  ( p_.is_point() && same_points(p_, t.source_site()) ) ||
-	  ( q_.is_point() && same_points(q_, t.source_site()) ) ||
-	  ( r_.is_point() && same_points(r_, t.source_site()) )  ) {
+          ( q_.is_point() && same_points(q_, t.source_site()) ) ||
+          ( r_.is_point() && same_points(r_, t.source_site()) )  ) {
       d1 = ZERO;
     } else {
       d1 = incircle_p(t.source_site());
@@ -1144,8 +1144,8 @@ private:
     if ( d1 == NEGATIVE ) { return NEGATIVE; }
 
     if (  ( p_.is_point() && same_points(p_, t.target_site()) ) ||
-	  ( q_.is_point() && same_points(q_, t.target_site()) ) ||
-	  ( r_.is_point() && same_points(r_, t.target_site()) )  ) {
+          ( q_.is_point() && same_points(q_, t.target_site()) ) ||
+          ( r_.is_point() && same_points(r_, t.target_site()) )  ) {
       d2 = ZERO;
     } else {
       d2 = incircle_p(t.target_site());
@@ -1164,7 +1164,7 @@ private:
 
     if ( sl == ZERO ) {
       if (os1 == ON_ORIENTED_BOUNDARY || os2 == ON_ORIENTED_BOUNDARY) {
-	return ZERO;
+        return ZERO;
       }
       return ( os1 == os2 ) ? POSITIVE : ZERO;
     }
@@ -1174,9 +1174,9 @@ private:
 
   //--------------------------------------------------------------------------
 
-  
 
-  Sign incircle_s(const Site_2& t) const 
+
+  Sign incircle_s(const Site_2& t) const
   {
     CGAL_precondition( t.is_segment() );
 
@@ -1184,47 +1184,47 @@ private:
       // case 1: the new segment is not adjacent to the center of the
       //         degenerate Voronoi circle
       if (  !same_points( p_ref(), t.source_site() ) &&
-	    !same_points( p_ref(), t.target_site() )  ) {
-	return POSITIVE;
+            !same_points( p_ref(), t.target_site() )  ) {
+        return POSITIVE;
       }
 
       CGAL_assertion( v_type == PSS );
 
       if ( p_.is_segment() &&
-	   same_segments(p_.supporting_site(),
-			 t.supporting_site()) ) {
-	return ZERO;
+           same_segments(p_.supporting_site(),
+                         t.supporting_site()) ) {
+        return ZERO;
       }
 
       if ( q_.is_segment() &&
-	   same_segments(q_.supporting_site(),
-			 t.supporting_site()) ) {
-	return ZERO;
+           same_segments(q_.supporting_site(),
+                         t.supporting_site()) ) {
+        return ZERO;
       }
 
       if ( r_.is_segment() &&
-	   same_segments(r_.supporting_site(),
-			 t.supporting_site()) ) {
-	return ZERO;
+           same_segments(r_.supporting_site(),
+                         t.supporting_site()) ) {
+        return ZERO;
       }
 
       Site_2 pr;
       Site_2 sp, sq;
       if ( p_.is_point() ) {
-	CGAL_assertion( q_.is_segment() && r_.is_segment() );
-	pr = p_;
-	sp = q_;
-	sq = r_;
+        CGAL_assertion( q_.is_segment() && r_.is_segment() );
+        pr = p_;
+        sp = q_;
+        sq = r_;
       } else if ( q_.is_point() ) {
-	CGAL_assertion( r_.is_segment() && p_.is_segment() );
-	pr = q_;
-	sp = r_;
-	sq = p_;
+        CGAL_assertion( r_.is_segment() && p_.is_segment() );
+        pr = q_;
+        sp = r_;
+        sq = p_;
       } else {
-	CGAL_assertion( p_.is_segment() && q_.is_segment() );
-	pr = r_;
-	sp = p_;
-	sq = q_;
+        CGAL_assertion( p_.is_segment() && q_.is_segment() );
+        pr = r_;
+        sp = p_;
+        sq = q_;
       }
 
       Point_2 pq = sq.source(), pp = sp.source(), pt = t.source();
@@ -1236,8 +1236,8 @@ private:
       Point_2 pr_ = pr.point();
 
       if ( CGAL::orientation(pr_, pp, pt) == LEFT_TURN &&
-	   CGAL::orientation(pr_, pq, pt) == RIGHT_TURN ) {
-	return NEGATIVE;
+           CGAL::orientation(pr_, pq, pt) == RIGHT_TURN ) {
+        return NEGATIVE;
       }
       return ZERO;
     } // if ( is_degenerate_Voronoi_circle() )
@@ -1353,7 +1353,7 @@ public:
       typedef Algebraic_structure_traits<FT> AST;
       return x(typename AST::Algebraic_category());
   }
-    
+
   inline FT y() const {
       typedef Algebraic_structure_traits<FT> AST;
       return y(typename AST::Algebraic_category());
@@ -1381,20 +1381,20 @@ public:
     switch (v_type) {
     case PPP:    case PPS:    case PSS:
       {
-	Point_2 pref = p_ref().point();
-	FT dx2 = CGAL::square(x() - pref.x());
-	FT dy2 = CGAL::square(y() - pref.y());
-	return dx2 + dy2;
+        Point_2 pref = p_ref().point();
+        FT dx2 = CGAL::square(x() - pref.x());
+        FT dy2 = CGAL::square(y() - pref.y());
+        return dx2 + dy2;
       }
       break;
     case SSS:
       {
-	Line_2 l = compute_supporting_line(p_.supporting_site());
-	Homogeneous_point_2 q = compute_projection(l, point());
+        Line_2 l = compute_supporting_line(p_.supporting_site());
+        Homogeneous_point_2 q = compute_projection(l, point());
 
-	FT dx2 = CGAL::square(x() - q.x());
-	FT dy2 = CGAL::square(y() - q.y());
-	return dx2 + dy2;
+        FT dx2 = CGAL::square(x() - q.x());
+        FT dy2 = CGAL::square(y() - q.y());
+        return dx2 + dy2;
       }
       break;
     default:
@@ -1406,7 +1406,7 @@ public:
     if ( is_degenerate_Voronoi_circle() ) {
       return degenerate_point();
     }
-    
+
     return Point_2(x(), y());
   }
 
@@ -1428,8 +1428,8 @@ public:
 
 public:
   Voronoi_vertex_ring_C2(const Site_2& p,
-			 const Site_2& q,
-			 const Site_2& r)
+                         const Site_2& q,
+                         const Site_2& r)
     : p_(p), q_(q), r_(r)
   {
     compute_vertex(p, q, r);
@@ -1437,7 +1437,7 @@ public:
 
   //--------------------------------------------------------------------------
 
-  Sign incircle(const Site_2& t) const 
+  Sign incircle(const Site_2& t) const
   {
     Sign s;
 
@@ -1450,7 +1450,7 @@ public:
     return s;
   }
 
-  Sign incircle_no_easy(const Site_2& t) const 
+  Sign incircle_no_easy(const Site_2& t) const
   {
     Sign s;
 
@@ -1466,7 +1466,7 @@ public:
   //--------------------------------------------------------------------------
 
 
-  Orientation orientation(const Line_2& l) const 
+  Orientation orientation(const Line_2& l) const
   {
     Orientation o(COLLINEAR);
     switch ( v_type ) {
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_sqrt_field_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_sqrt_field_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_sqrt_field_C2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_sqrt_field_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_sqrt_field_C2.h $
-// $Id: Voronoi_vertex_sqrt_field_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_sqrt_field_C2.h $
+// $Id: Voronoi_vertex_sqrt_field_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -75,7 +75,7 @@ private:
   compute_ppp(const Site_2& sp, const Site_2& sq, const Site_2& sr)
   {
     CGAL_precondition( sp.is_point() && sq.is_point() &&
-		       sr.is_point() );
+                       sr.is_point() );
 
     Point_2 p = sp.point(), q = sq.point(), r = sr.point();
 
@@ -86,8 +86,8 @@ private:
     ux = np * (q.y() - r.y()) + nq * (r.y() - p.y()) + nr * (p.y() - q.y());
     uy = -(np * (q.x() - r.x()) + nq * (r.x() - p.x()) + nr * (p.x() - q.x()));
     uz = FT(2) * ( (q.x() * r.y() - r.x() * q.y()) +
-		   (r.x() * p.y() - p.x() * r.y()) +
-		   (p.x() * q.y() - q.x() * p.y()) );
+                   (r.x() * p.y() - p.x() * r.y()) +
+                   (p.x() * q.y() - q.x() * p.y()) );
   }
 
   //--------------------------------------------------------------------------
@@ -110,7 +110,7 @@ private:
 #endif
 
     CGAL_precondition( p.is_point() && q.is_segment() &&
-		       r.is_segment() );
+                       r.is_segment() );
 
     bool pq =
       same_points(p, q.source_site()) || same_points(p, q.target_site());
@@ -151,7 +151,7 @@ private:
 
       CGAL_assertion( pq );
       if ( same_points(p, q.target_site()) ) {
-	a1 = -a1;  b1 = -b1;  c1_ = -c1_;
+        a1 = -a1;  b1 = -b1;  c1_ = -c1_;
       }
     }
 
@@ -161,7 +161,7 @@ private:
 
       CGAL_assertion( pr );
       if ( same_points(p, r.source_site()) ) {
-	a2 = -a2;  b2 = -b2;  c2_ = -c2_;
+        a2 = -a2;  b2 = -b2;  c2_ = -c2_;
       }
     }
 
@@ -256,7 +256,7 @@ private:
   compute_pps(const Site_2& p, const Site_2& q, const Site_2& r)
   {
     CGAL_precondition( p.is_point() && q.is_point() &&
-		       r.is_segment() );
+                       r.is_segment() );
     FT a, b, c;
     compute_supporting_line(r.supporting_site(), a, b, c);
 
@@ -266,11 +266,11 @@ private:
     FT cq_ = a * qq.x() + b * qq.y() + c;
 
     if ( same_points(p, r.source_site()) ||
-	 same_points(p, r.target_site()) ) {
+         same_points(p, r.target_site()) ) {
       c_ = FT(0);
     }
     if ( same_points(q, r.source_site()) ||
-	 same_points(q, r.target_site()) ) {
+         same_points(q, r.target_site()) ) {
       cq_ = FT(0);
     }
 
@@ -288,7 +288,7 @@ private:
 
       CGAL_assertion( s1 != ZERO );
       if ( s1 == NEGATIVE ) {
-	a = -a;  b = -b;  c = -c;  c_ = -c_;  cq_ = -cq_;
+        a = -a;  b = -b;  c = -c;  c_ = -c_;  cq_ = -cq_;
       }
     }
 #endif
@@ -344,13 +344,13 @@ private:
 
   //--------------------------------------------------------------------------
   bool check_if_exact(const Site_2& , unsigned int ,
-		      const Tag_false&) const
+                      const Tag_false&) const
   {
     return true;
-  } 
+  }
 
   bool check_if_exact(const Site_2& s, unsigned int i,
-		      const Tag_true&) const
+                      const Tag_true&) const
   {
     return s.is_input(i);
   }
@@ -361,36 +361,36 @@ private:
   // pass it so that we do not have to recompute it
   bool
   is_on_positive_halfspace(const Site_2& supp,
-			   const Site_2& s, const Line_2& l) const
+                           const Site_2& s, const Line_2& l) const
   {
     CGAL_precondition( supp.is_segment() && s.is_segment() );
 
     if ( same_segments(supp.supporting_site(),
-		       s.supporting_site()) ) {
+                       s.supporting_site()) ) {
       return false;
     }
 
     if ( same_points(supp.source_site(), s.source_site()) ||
-	 same_points(supp.target_site(), s.source_site()) ) {
+         same_points(supp.target_site(), s.source_site()) ) {
       return oriented_side_of_line(l, s.target()) == ON_POSITIVE_SIDE;
     }
 
     if ( same_points(supp.source_site(), s.target_site()) ||
-	 same_points(supp.target_site(), s.target_site()) ) {
+         same_points(supp.target_site(), s.target_site()) ) {
       return oriented_side_of_line(l, s.source()) == ON_POSITIVE_SIDE;
     }
 
     ITag itag;
 
     if ( !check_if_exact(s, 0, itag) &&
-	 same_segments(supp.supporting_site(),
-		       s.crossing_site(0)) ) {
+         same_segments(supp.supporting_site(),
+                       s.crossing_site(0)) ) {
       return oriented_side_of_line(l, s.target()) == ON_POSITIVE_SIDE;
     }
 
     if ( !check_if_exact(s, 1, itag) &&
-	 same_segments(supp.supporting_site(),
-		       s.crossing_site(1)) ) {
+         same_segments(supp.supporting_site(),
+                       s.crossing_site(1)) ) {
       return oriented_side_of_line(l, s.source()) == ON_POSITIVE_SIDE;
     }
 
@@ -401,63 +401,63 @@ private:
 
   void
   orient_lines(const Site_2& sp, const Site_2& sq,
-	       const Site_2& sr, FT a[], FT b[], FT c[]) const 
+               const Site_2& sr, FT a[], FT b[], FT c[]) const
   {
     CGAL_precondition( sp.is_segment() && sq.is_segment() &&
-		       sr.is_segment() );
+                       sr.is_segment() );
 
     Line_2 l[3];
     l[0] = compute_supporting_line(sp.supporting_site());
     l[1] = compute_supporting_line(sq.supporting_site());
     l[2] = compute_supporting_line(sr.supporting_site());
-    
+
     bool is_oriented[3] = {false, false, false};
 
     if ( is_on_positive_halfspace(sp, sq, l[0]) ||
-    	 is_on_positive_halfspace(sp, sr, l[0]) ) {
+             is_on_positive_halfspace(sp, sr, l[0]) ) {
       is_oriented[0] = true;
     } else {
-      
+
       l[0] = opposite_line(l[0]);
       if ( is_on_positive_halfspace(sp, sq, l[0]) ||
-      	   is_on_positive_halfspace(sp, sr, l[0]) ) {
-	is_oriented[0] = true;
+                 is_on_positive_halfspace(sp, sr, l[0]) ) {
+        is_oriented[0] = true;
       } else {
-	l[0] = opposite_line(l[0]);
+        l[0] = opposite_line(l[0]);
       }
     }
 
     if ( is_on_positive_halfspace(sq, sp, l[1]) ||
-	 is_on_positive_halfspace(sq, sr, l[1]) ) {
+         is_on_positive_halfspace(sq, sr, l[1]) ) {
       is_oriented[1] = true;
     } else {
       l[1] = opposite_line(l[1]);
       if ( is_on_positive_halfspace(sq, sp, l[1]) ||
-	   is_on_positive_halfspace(sq, sr, l[1]) ) {
-	is_oriented[1] = true;
+           is_on_positive_halfspace(sq, sr, l[1]) ) {
+        is_oriented[1] = true;
       } else {
-	l[1] = opposite_line(l[1]);
+        l[1] = opposite_line(l[1]);
       }
     }
 
     if ( is_on_positive_halfspace(sr, sp, l[2]) ||
-	 is_on_positive_halfspace(sr, sq, l[2]) ) {
+         is_on_positive_halfspace(sr, sq, l[2]) ) {
       is_oriented[2] = true;
     } else {
       l[2] = opposite_line(l[2]);
       if ( is_on_positive_halfspace(sr, sp, l[2]) ||
-	   is_on_positive_halfspace(sr, sq, l[2]) ) {
-	is_oriented[2] = true;
+           is_on_positive_halfspace(sr, sq, l[2]) ) {
+        is_oriented[2] = true;
       } else {
-	l[2] = opposite_line(l[2]);
+        l[2] = opposite_line(l[2]);
       }
     }
 
     if ( is_oriented[0] && is_oriented[1] && is_oriented[2] ) {
       for (int i = 0; i < 3; i++) {
-	a[i] = l[i].a();
-	b[i] = l[i].b();
-	c[i] = l[i].c();
+        a[i] = l[i].a();
+        b[i] = l[i].b();
+        c[i] = l[i].c();
       }
       return;
     }
@@ -465,9 +465,9 @@ private:
     int i_no(-1);
     for (int i = 0; i < 3; i++) {
       if ( !is_oriented[i] ) {
-	i_no = i;
-	CGAL_assertion( is_oriented[(i+1)%3] && is_oriented[(i+2)%3] );
-	break;
+        i_no = i;
+        CGAL_assertion( is_oriented[(i+1)%3] && is_oriented[(i+2)%3] );
+        break;
       }
     }
 
@@ -482,7 +482,7 @@ private:
     FT z[3];
     for (int i = 0; i < 3; i++) {
       z[i] = l[(i+1)%3].a() * l[(i+2)%3].b()
-	- l[(i+2)%3].a() * l[(i+1)%3].b();
+        - l[(i+2)%3].a() * l[(i+1)%3].b();
     }
 
 
@@ -496,9 +496,9 @@ private:
       l[i_no] = opposite_line(l[i_no]);
 
       for (int i = 0; i < 3; i++) {
-	a[i] = l[i].a();
-	b[i] = l[i].b();
-	c[i] = l[i].c();
+        a[i] = l[i].a();
+        b[i] = l[i].b();
+        c[i] = l[i].c();
       }
       return;
     }
@@ -517,9 +517,9 @@ private:
     if ( s_minus_vz_2 == NEGATIVE ) {
       // the other orientation does not correspond to a CCW triangle.
       for (int i = 0; i < 3; i++) {
-	a[i] = l[i].a();
-	b[i] = l[i].b();
-	c[i] = l[i].c();
+        a[i] = l[i].a();
+        b[i] = l[i].b();
+        c[i] = l[i].c();
       }
       return;
     }
@@ -550,7 +550,7 @@ private:
 
     FT dist =
       a[(i_no+1)%3] * vx + b[(i_no+1)%3] * vy + c[(i_no+1)%3] * vw;
-    
+
 
     Sign sgn_dist = s_vw * CGAL::sign(dist);
 
@@ -569,7 +569,7 @@ private:
   compute_sss(const Site_2& p, const Site_2& q, const Site_2& r)
   {
     CGAL_precondition( p.is_segment() && q.is_segment() &&
-		       r.is_segment() );
+                       r.is_segment() );
 
     FT a[3], b[3], c[3];
     FT cx[3], cy[3], cz[3], sqrt_D[3];
@@ -621,22 +621,22 @@ private:
       compute_sss(s1, s2, s3);
     } else if ( v_type == PPS ) {
       if ( s1.is_segment() ) {
-	compute_pps(s2, s3, s1);
-	pps_idx = 1;
+        compute_pps(s2, s3, s1);
+        pps_idx = 1;
       } else if ( s2.is_segment() ) {
-	compute_pps(s3, s1, s2);
-	pps_idx = 2;
+        compute_pps(s3, s1, s2);
+        pps_idx = 2;
       } else {
-	compute_pps(s1, s2, s3);
-	pps_idx = 0;
+        compute_pps(s1, s2, s3);
+        pps_idx = 0;
       }
     } else {
       if ( s1.is_point() ) {
-	compute_pss(s1, s2, s3);
+        compute_pss(s1, s2, s3);
       } else if ( s2.is_point() ) {
-	compute_pss(s2, s3, s1);
+        compute_pss(s2, s3, s1);
       } else {
-	compute_pss(s3, s1, s2);
+        compute_pss(s3, s1, s2);
       }
     }
   }
@@ -647,9 +647,9 @@ private:
   {
     CGAL_precondition( p.is_point() && s.is_segment() );
    return ( same_points(p, s.source_site()) ||
-	    same_points(p, s.target_site()) );
+            same_points(p, s.target_site()) );
   }
-  
+
 
   //--------------------------------------------------------------------------
   //--------------------------------------------------------------------------
@@ -665,21 +665,21 @@ private:
 
   Sign
   check_easy_degeneracies(const Site_2& t, PPS_Type,
-			  bool& use_result) const
+                          bool& use_result) const
   {
     CGAL_precondition( t.is_point() );
 
     use_result = false;
     if (  ( p_.is_point() && same_points(p_, t) ) ||
-	  ( q_.is_point() && same_points(q_, t) ) ||
-	  ( r_.is_point() && same_points(r_, t) )  ) {
+          ( q_.is_point() && same_points(q_, t) ) ||
+          ( r_.is_point() && same_points(r_, t) )  ) {
       use_result = true;
       return ZERO;
     }
 
-    if (  ( p_.is_segment() && is_endpoint_of(t, p_) ) || 
-	  ( q_.is_segment() && is_endpoint_of(t, q_) ) ||
-	  ( r_.is_segment() && is_endpoint_of(t, r_) )  ) {
+    if (  ( p_.is_segment() && is_endpoint_of(t, p_) ) ||
+          ( q_.is_segment() && is_endpoint_of(t, q_) ) ||
+          ( r_.is_segment() && is_endpoint_of(t, r_) )  ) {
       use_result = true;
       return POSITIVE;
     }
@@ -689,7 +689,7 @@ private:
 
   Sign
   check_easy_degeneracies(const Site_2& t, PSS_Type,
-			  bool& use_result) const
+                          bool& use_result) const
   {
     CGAL_precondition( t.is_point() );
 
@@ -698,7 +698,7 @@ private:
 
   Sign
   check_easy_degeneracies(const Site_2& t, SSS_Type,
-			  bool& use_result) const
+                          bool& use_result) const
   {
     CGAL_precondition( t.is_point() );
 
@@ -713,7 +713,7 @@ private:
   Sign incircle_p(const Site_2& st, PPP_Type) const
   {
     CGAL_precondition( st.is_point() );
-    
+
     Point_2 t = st.point();
 
     Oriented_side os =
@@ -755,7 +755,7 @@ private:
 
   //--------------------------------------------------------------------------
 
-  Sign incircle_p(const Site_2& t) const 
+  Sign incircle_p(const Site_2& t) const
   {
     if ( is_degenerate_Voronoi_circle() ) {
       return POSITIVE;
@@ -780,7 +780,7 @@ private:
     return s;
   }
 
-  Sign incircle_p_no_easy(const Site_2& t) const 
+  Sign incircle_p_no_easy(const Site_2& t) const
   {
     Sign s(ZERO);
     switch ( v_type ) {
@@ -849,18 +849,18 @@ private:
 
     if ( v_type == PPP || v_type == PPS ) {
       if (  p_.is_point() && q_.is_point() &&
-	    is_endpoint_of(p_, t) && is_endpoint_of(q_, t)  ) {
-	return NEGATIVE;
+            is_endpoint_of(p_, t) && is_endpoint_of(q_, t)  ) {
+        return NEGATIVE;
       }
 
       if (  p_.is_point() && r_.is_point() &&
-	    is_endpoint_of(p_, t) && is_endpoint_of(r_, t)  ){
-	return NEGATIVE;
+            is_endpoint_of(p_, t) && is_endpoint_of(r_, t)  ){
+        return NEGATIVE;
       }
 
       if (  q_.is_point() && r_.is_point() &&
-	    is_endpoint_of(q_, t) && is_endpoint_of(r_, t)  ){
-	return NEGATIVE;
+            is_endpoint_of(q_, t) && is_endpoint_of(r_, t)  ){
+        return NEGATIVE;
       }
     }
 
@@ -869,49 +869,49 @@ private:
     if(v_type == PPP){
       Site_2 const *p1 = nullptr;
       if(is_endpoint_of(p_, t)){
-	p1 = &p_;
+        p1 = &p_;
       } else if(is_endpoint_of(q_, t)){
-	p1 = &q_;
+        p1 = &q_;
       } else if(is_endpoint_of(r_, t)){
-	p1 = &r_;
+        p1 = &r_;
       }
       if(p1 != nullptr){
         // As the Voronoi circle and the segment t touch in p1,
         // it is enough to check that the center and the non-touching point of the segment
         // are not in the same halfspace defined by the tangent line through p1
-	Site_2 p2 = other_site(*p1, t);
-	  Point_2 v(x(),y());
-        
-	  Compute_scalar_product_2 csp;
-	  return -CGAL::sign( csp((v - p1->point()), (p2.point()- p1->point())) );
+        Site_2 p2 = other_site(*p1, t);
+          Point_2 v(x(),y());
+
+          Compute_scalar_product_2 csp;
+          return -CGAL::sign( csp((v - p1->point()), (p2.point()- p1->point())) );
       }
 
     } else if(v_type == PPS){
       Site_2 const *p1, *p2, *seg;
-      if(p_.is_point()){ 
-	p1 = &p_;
-	if(q_.is_point()){
-	  p2 = &q_;
-	  seg = &r_;
-	} else {
-	  p2 = &r_;
-	  seg = &q_;
-	} 
+      if(p_.is_point()){
+        p1 = &p_;
+        if(q_.is_point()){
+          p2 = &q_;
+          seg = &r_;
+        } else {
+          p2 = &r_;
+          seg = &q_;
+        }
       } else {
-	seg = &p_;
-	p1 = &q_;
-	p2 = &r_;
+        seg = &p_;
+        p1 = &q_;
+        p2 = &r_;
       }
 
       if(! is_endpoint_of(*p2, t)){
-	std::swap(p1,p2);
+        std::swap(p1,p2);
       }
-	if(is_endpoint_of(*p2, t)){
-	  Site_2 tp = other_site(*p2, t);
-	  Point_2 v(x(),y());
-	  Compute_scalar_product_2 csp;
+        if(is_endpoint_of(*p2, t)){
+          Site_2 tp = other_site(*p2, t);
+          Point_2 v(x(),y());
+          Compute_scalar_product_2 csp;
           return -CGAL::sign( csp((v - p2->point()), (tp.point()- p2->point())) );
-	}
+        }
     }
     // code added by Andreas + Monique -- end
 #endif // CGAL_DISABLE_AM_CODE
@@ -929,11 +929,11 @@ private:
       else { pt = &r_; }
 
       if ( is_endpoint_of(*pt, t) ) {
-	Site_2 tp = other_site(*pt, t);
-	Point_2 v(x(), y());
-	Compute_scalar_product_2 csp;
-	return
-	  -CGAL::sign( csp(v - pt->point(), tp.point()- pt->point()) );
+        Site_2 tp = other_site(*pt, t);
+        Point_2 v(x(), y());
+        Compute_scalar_product_2 csp;
+        return
+          -CGAL::sign( csp(v - pt->point(), tp.point()- pt->point()) );
       }
     }
     // code added by Menelaos -- end
@@ -941,32 +941,32 @@ private:
 
     if ( v_type == PSS ) {
       if ( p_.is_segment() &&
-	   same_segments(p_.supporting_site(),
-			 t.supporting_site()) ) {
-	return POSITIVE;
+           same_segments(p_.supporting_site(),
+                         t.supporting_site()) ) {
+        return POSITIVE;
       }
       if ( q_.is_segment() &&
-	   same_segments(q_.supporting_site(),
-			 t.supporting_site()) ) {
-	return POSITIVE;
+           same_segments(q_.supporting_site(),
+                         t.supporting_site()) ) {
+        return POSITIVE;
       }
       if ( r_.is_segment() &&
-	   same_segments(r_.supporting_site(),
-			 t.supporting_site()) ) {
-	return POSITIVE;
+           same_segments(r_.supporting_site(),
+                         t.supporting_site()) ) {
+        return POSITIVE;
       }
     }
 
     return incircle_s_no_easy(t, 0);
   }
 
-  
+
   Sign incircle_s_no_easy(const Site_2& t, int) const
   {
     Sign d1, d2;
     if (  ( p_.is_point() && same_points(p_, t.source_site()) ) ||
-	  ( q_.is_point() && same_points(q_, t.source_site()) ) ||
-	  ( r_.is_point() && same_points(r_, t.source_site()) )  ) {
+          ( q_.is_point() && same_points(q_, t.source_site()) ) ||
+          ( r_.is_point() && same_points(r_, t.source_site()) )  ) {
       d1 = ZERO;
     } else {
       d1 = incircle_p(t.source_site());
@@ -976,8 +976,8 @@ private:
     if (! is_certain(d1 == NEGATIVE) ) { return indeterminate<Sign>(); }
 
     if (  ( p_.is_point() && same_points(p_, t.target_site()) ) ||
-	  ( q_.is_point() && same_points(q_, t.target_site()) ) ||
-	  ( r_.is_point() && same_points(r_, t.target_site()) )  ) {
+          ( q_.is_point() && same_points(q_, t.target_site()) ) ||
+          ( r_.is_point() && same_points(r_, t.target_site()) )  ) {
       d2 = ZERO;
     } else {
       d2 = incircle_p(t.target_site());
@@ -1000,7 +1000,7 @@ private:
 
     if ( sl == ZERO ) {
       if (os1 == ON_ORIENTED_BOUNDARY || os2 == ON_ORIENTED_BOUNDARY) {
-	return ZERO;
+        return ZERO;
       }
       return ( os1 == os2 ) ? POSITIVE : ZERO;
     }
@@ -1010,7 +1010,7 @@ private:
 
   //--------------------------------------------------------------------------
 
-  Sign incircle_s(const Site_2& t) const 
+  Sign incircle_s(const Site_2& t) const
   {
     CGAL_precondition( t.is_segment() );
 
@@ -1018,47 +1018,47 @@ private:
       // case 1: the new segment is not adjacent to the center of the
       //         degenerate Voronoi circle
       if (  !same_points( p_ref(), t.source_site() ) &&
-	    !same_points( p_ref(), t.target_site() )  ) {
-	return POSITIVE;
+            !same_points( p_ref(), t.target_site() )  ) {
+        return POSITIVE;
       }
 
       CGAL_assertion( v_type == PSS );
 
       if ( p_.is_segment() &&
-	   same_segments(p_.supporting_site(),
-			 t.supporting_site()) ) {
-	return ZERO;
+           same_segments(p_.supporting_site(),
+                         t.supporting_site()) ) {
+        return ZERO;
       }
 
       if ( q_.is_segment() &&
-	   same_segments(q_.supporting_site(),
-			 t.supporting_site()) ) {
-	return ZERO;
+           same_segments(q_.supporting_site(),
+                         t.supporting_site()) ) {
+        return ZERO;
       }
 
       if ( r_.is_segment() &&
-	   same_segments(r_.supporting_site(),
-			 t.supporting_site()) ) {
-	return ZERO;
+           same_segments(r_.supporting_site(),
+                         t.supporting_site()) ) {
+        return ZERO;
       }
 
       Site_2 pr;
       Site_2 sp, sq;
       if ( p_.is_point() ) {
-	CGAL_assertion( q_.is_segment() && r_.is_segment() );
-	pr = p_;
-	sp = q_;
-	sq = r_;
+        CGAL_assertion( q_.is_segment() && r_.is_segment() );
+        pr = p_;
+        sp = q_;
+        sq = r_;
       } else if ( q_.is_point() ) {
-	CGAL_assertion( r_.is_segment() && p_.is_segment() );
-	pr = q_;
-	sp = r_;
-	sq = p_;
+        CGAL_assertion( r_.is_segment() && p_.is_segment() );
+        pr = q_;
+        sp = r_;
+        sq = p_;
       } else {
-	CGAL_assertion( p_.is_segment() && q_.is_segment() );
-	pr = r_;
-	sp = p_;
-	sq = q_;
+        CGAL_assertion( p_.is_segment() && q_.is_segment() );
+        pr = r_;
+        sp = p_;
+        sq = q_;
       }
 
       Point_2 pq = sq.source(), pp = sp.source(), pt = t.source();
@@ -1070,8 +1070,8 @@ private:
       Point_2 pr_ = pr.point();
 
       if ( CGAL::orientation(pr_, pp, pt) == LEFT_TURN &&
-	   CGAL::orientation(pr_, pq, pt) == RIGHT_TURN ) {
-	return NEGATIVE;
+           CGAL::orientation(pr_, pq, pt) == RIGHT_TURN ) {
+        return NEGATIVE;
       }
       return ZERO;
     } // if ( is_degenerate_Voronoi_circle() )
@@ -1164,19 +1164,19 @@ public:
     switch (v_type) {
     case PPP:    case PPS:    case PSS:
       {
-	Point_2 pref = p_ref().point();
-	FT dx2 = CGAL::square(x() - pref.x());
-	FT dy2 = CGAL::square(y() - pref.y());
-	return dx2 + dy2;
+        Point_2 pref = p_ref().point();
+        FT dx2 = CGAL::square(x() - pref.x());
+        FT dy2 = CGAL::square(y() - pref.y());
+        return dx2 + dy2;
       }
     case SSS:
       {
-	Line_2 l = compute_supporting_line(p_.supporting_site());
-	Homogeneous_point_2 q = compute_projection(l, point());
+        Line_2 l = compute_supporting_line(p_.supporting_site());
+        Homogeneous_point_2 q = compute_projection(l, point());
 
-	FT dx2 = CGAL::square(x() - q.x());
-	FT dy2 = CGAL::square(y() - q.y());
-	return dx2 + dy2;
+        FT dx2 = CGAL::square(x() - q.x());
+        FT dy2 = CGAL::square(y() - q.y());
+        return dx2 + dy2;
       }
     default:
       return FT(0);
@@ -1188,7 +1188,7 @@ public:
     if ( is_degenerate_Voronoi_circle() ) {
       return degenerate_point();
     }
-    
+
     return Point_2(x(), y());
   }
 
@@ -1210,8 +1210,8 @@ public:
 
 public:
   Voronoi_vertex_sqrt_field_C2(const Site_2& p,
-			       const Site_2& q,
-			       const Site_2& r)
+                               const Site_2& q,
+                               const Site_2& r)
     : p_(p), q_(q), r_(r)
   {
     compute_vertex(p, q, r);
@@ -1219,7 +1219,7 @@ public:
 
   //--------------------------------------------------------------------------
 
-  Sign incircle(const Site_2& t) const 
+  Sign incircle(const Site_2& t) const
   {
     if ( t.is_point() ) {
       return incircle_p(t);
@@ -1227,7 +1227,7 @@ public:
     return incircle_s(t);
   }
 
-  Sign incircle_no_easy(const Site_2& t) const 
+  Sign incircle_no_easy(const Site_2& t) const
   {
     Sign s;
 
@@ -1243,7 +1243,7 @@ public:
   //--------------------------------------------------------------------------
 
 
-  Orientation orientation(const Line_2& l) const 
+  Orientation orientation(const Line_2& l) const
   {
     return CGAL::sign(l.a() * x() + l.b() * y() + l.c());
   }
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_sqrt_field_new_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_sqrt_field_new_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_sqrt_field_new_C2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_sqrt_field_new_C2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_sqrt_field_new_C2.h $
-// $Id: Voronoi_vertex_sqrt_field_new_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2/Voronoi_vertex_sqrt_field_new_C2.h $
+// $Id: Voronoi_vertex_sqrt_field_new_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -87,7 +87,7 @@ private:
     CGAL_precondition( p.is_point() && s.is_segment() );
 
     return ( same_points(p, s.source_site()) ||
-	     same_points(p, s.target_site()) );
+             same_points(p, s.target_site()) );
   }
 
   // given that p is an endpoint of seg (not checked), returns the
@@ -117,10 +117,10 @@ private:
 
   void
   compute_vv(const Site_2& sp, const Site_2& sq, const Site_2& sr,
-	     const PPP_Type&) const
+             const PPP_Type&) const
   {
     CGAL_precondition( sp.is_point() && sq.is_point() &&
-		       sr.is_point() );
+                       sr.is_point() );
 
     // the following check is not really needed in this
     if ( is_vv_computed ) { return; }
@@ -137,8 +137,8 @@ private:
     ux = np * (q.y() - r.y()) + nq * (r.y() - p.y()) + nr * (p.y() - q.y());
     uy = -(np * (q.x() - r.x()) + nq * (r.x() - p.x()) + nr * (p.x() - q.x()));
     uz = FT(2) * ( (q.x() * r.y() - r.x() * q.y()) +
-		   (r.x() * p.y() - p.x() * r.y()) +
-		   (p.x() * q.y() - q.x() * p.y()) );
+                   (r.x() * p.y() - p.x() * r.y()) +
+                   (p.x() * q.y() - q.x() * p.y()) );
 
     vv = Point_2(ux / uz, uy / uz);
   }
@@ -150,10 +150,10 @@ private:
 
   void
   compute_vv(const Site_2& sp, const Site_2& sq, const Site_2& sr,
-	     const PPS_Type&) const
+             const PPS_Type&) const
   {
     CGAL_precondition( sp.is_point() && sq.is_point() &&
-		       sr.is_segment() );
+                       sr.is_segment() );
 
     if ( is_vv_computed ) { return; }
     is_vv_computed = true;
@@ -167,11 +167,11 @@ private:
     FT cq_ = a * qq.x() + b * qq.y() + c;
 
     if ( same_points(sp, sr.source_site()) ||
-	 same_points(sp, sr.target_site()) ) {
+         same_points(sp, sr.target_site()) ) {
       c_ = FT(0);
     }
     if ( same_points(sq, sr.source_site()) ||
-	 same_points(sq, sr.target_site()) ) {
+         same_points(sq, sr.target_site()) ) {
       cq_ = FT(0);
     }
 
@@ -189,7 +189,7 @@ private:
 
       CGAL_assertion( s1 != ZERO );
       if ( s1 == NEGATIVE ) {
-	a = -a;  b = -b;  c = -c;  c_ = -c_;  cq_ = -cq_;
+        a = -a;  b = -b;  c = -c;  c_ = -c_;  cq_ = -cq_;
       }
     }
 #endif
@@ -254,7 +254,7 @@ private:
 
   void
   compute_vv(const Site_2& sp, const Site_2& sq, const Site_2& sr,
-	     const PSS_Type&) const
+             const PSS_Type&) const
   {
 #ifdef CGAL_PROFILE
     // In case CGAL profile is called then output the sites in case of
@@ -271,7 +271,7 @@ private:
 #endif
 
     CGAL_precondition( sp.is_point() && sq.is_segment() &&
-		       sr.is_segment() );
+                       sr.is_segment() );
 
     if ( is_vv_computed ) { return; }
     is_vv_computed = true;
@@ -311,7 +311,7 @@ private:
 
       CGAL_assertion( pq );
       if ( same_points(sp, sq.target_site()) ) {
-	a1 = -a1;  b1 = -b1;  c1_ = -c1_;
+        a1 = -a1;  b1 = -b1;  c1_ = -c1_;
       }
     }
 
@@ -321,7 +321,7 @@ private:
 
       CGAL_assertion( pr );
       if ( same_points(sp, sr.source_site()) ) {
-	a2 = -a2;  b2 = -b2;  c2_ = -c2_;
+        a2 = -a2;  b2 = -b2;  c2_ = -c2_;
       }
     }
 
@@ -421,13 +421,13 @@ private:
   //--------------------------------------------------------------------------
 
   bool check_if_exact(const Site_2& , unsigned int ,
-		      const Tag_false&) const
+                      const Tag_false&) const
   {
     return true;
-  } 
+  }
 
   bool check_if_exact(const Site_2& s, unsigned int i,
-		      const Tag_true&) const
+                      const Tag_true&) const
   {
     return s.is_input(i);
   }
@@ -438,36 +438,36 @@ private:
   // pass it so that we do not have to recompute it
   bool
   is_on_positive_halfspace(const Site_2& supp,
-			   const Site_2& s, const Line_2& l) const
+                           const Site_2& s, const Line_2& l) const
   {
     CGAL_precondition( supp.is_segment() && s.is_segment() );
 
     if ( same_segments(supp.supporting_site(),
-		       s.supporting_site()) ) {
+                       s.supporting_site()) ) {
       return false;
     }
 
     if ( same_points(supp.source_site(), s.source_site()) ||
-	 same_points(supp.target_site(), s.source_site()) ) {
+         same_points(supp.target_site(), s.source_site()) ) {
       return oriented_side_of_line(l, s.target()) == ON_POSITIVE_SIDE;
     }
 
     if ( same_points(supp.source_site(), s.target_site()) ||
-	 same_points(supp.target_site(), s.target_site()) ) {
+         same_points(supp.target_site(), s.target_site()) ) {
       return oriented_side_of_line(l, s.source()) == ON_POSITIVE_SIDE;
     }
 
     ITag itag;
 
     if ( !check_if_exact(s, 0, itag) &&
-	 same_segments(supp.supporting_site(),
-		       s.crossing_site(0)) ) {
+         same_segments(supp.supporting_site(),
+                       s.crossing_site(0)) ) {
       return oriented_side_of_line(l, s.target()) == ON_POSITIVE_SIDE;
     }
 
     if ( !check_if_exact(s, 1, itag) &&
-	 same_segments(supp.supporting_site(),
-		       s.crossing_site(1)) ) {
+         same_segments(supp.supporting_site(),
+                       s.crossing_site(1)) ) {
       return oriented_side_of_line(l, s.source()) == ON_POSITIVE_SIDE;
     }
 
@@ -477,63 +477,63 @@ private:
 
   void
   orient_lines(const Site_2& sp, const Site_2& sq,
-	       const Site_2& sr, FT a[], FT b[], FT c[]) const
+               const Site_2& sr, FT a[], FT b[], FT c[]) const
   {
     CGAL_precondition( sp.is_segment() && sq.is_segment() &&
-		       sr.is_segment() );
+                       sr.is_segment() );
 
     Line_2 l[3];
     l[0] = compute_supporting_line(sp.supporting_site());
     l[1] = compute_supporting_line(sq.supporting_site());
     l[2] = compute_supporting_line(sr.supporting_site());
-    
+
     bool is_oriented[3] = {false, false, false};
 
     if ( is_on_positive_halfspace(sp, sq, l[0]) ||
-    	 is_on_positive_halfspace(sp, sr, l[0]) ) {
+             is_on_positive_halfspace(sp, sr, l[0]) ) {
       is_oriented[0] = true;
     } else {
-      
+
       l[0] = opposite_line(l[0]);
       if ( is_on_positive_halfspace(sp, sq, l[0]) ||
-      	   is_on_positive_halfspace(sp, sr, l[0]) ) {
-	is_oriented[0] = true;
+                 is_on_positive_halfspace(sp, sr, l[0]) ) {
+        is_oriented[0] = true;
       } else {
-	l[0] = opposite_line(l[0]);
+        l[0] = opposite_line(l[0]);
       }
     }
 
     if ( is_on_positive_halfspace(sq, sp, l[1]) ||
-	 is_on_positive_halfspace(sq, sr, l[1]) ) {
+         is_on_positive_halfspace(sq, sr, l[1]) ) {
       is_oriented[1] = true;
     } else {
       l[1] = opposite_line(l[1]);
       if ( is_on_positive_halfspace(sq, sp, l[1]) ||
-	   is_on_positive_halfspace(sq, sr, l[1]) ) {
-	is_oriented[1] = true;
+           is_on_positive_halfspace(sq, sr, l[1]) ) {
+        is_oriented[1] = true;
       } else {
-	l[1] = opposite_line(l[1]);
+        l[1] = opposite_line(l[1]);
       }
     }
 
     if ( is_on_positive_halfspace(sr, sp, l[2]) ||
-	 is_on_positive_halfspace(sr, sq, l[2]) ) {
+         is_on_positive_halfspace(sr, sq, l[2]) ) {
       is_oriented[2] = true;
     } else {
       l[2] = opposite_line(l[2]);
       if ( is_on_positive_halfspace(sr, sp, l[2]) ||
-	   is_on_positive_halfspace(sr, sq, l[2]) ) {
-	is_oriented[2] = true;
+           is_on_positive_halfspace(sr, sq, l[2]) ) {
+        is_oriented[2] = true;
       } else {
-	l[2] = opposite_line(l[2]);
+        l[2] = opposite_line(l[2]);
       }
     }
 
     if ( is_oriented[0] && is_oriented[1] && is_oriented[2] ) {
       for (int i = 0; i < 3; i++) {
-	a[i] = l[i].a();
-	b[i] = l[i].b();
-	c[i] = l[i].c();
+        a[i] = l[i].a();
+        b[i] = l[i].b();
+        c[i] = l[i].c();
       }
       return;
     }
@@ -541,9 +541,9 @@ private:
     int i_no(-1);
     for (int i = 0; i < 3; i++) {
       if ( !is_oriented[i] ) {
-	i_no = i;
-	CGAL_assertion( is_oriented[(i+1)%3] && is_oriented[(i+2)%3] );
-	break;
+        i_no = i;
+        CGAL_assertion( is_oriented[(i+1)%3] && is_oriented[(i+2)%3] );
+        break;
       }
     }
 
@@ -558,7 +558,7 @@ private:
     FT z[3];
     for (int i = 0; i < 3; i++) {
       z[i] = l[(i+1)%3].a() * l[(i+2)%3].b()
-	- l[(i+2)%3].a() * l[(i+1)%3].b();
+        - l[(i+2)%3].a() * l[(i+1)%3].b();
     }
 
 
@@ -572,9 +572,9 @@ private:
       l[i_no] = opposite_line(l[i_no]);
 
       for (int i = 0; i < 3; i++) {
-	a[i] = l[i].a();
-	b[i] = l[i].b();
-	c[i] = l[i].c();
+        a[i] = l[i].a();
+        b[i] = l[i].b();
+        c[i] = l[i].c();
       }
       return;
     }
@@ -593,9 +593,9 @@ private:
     if ( s_minus_vz_2 == NEGATIVE ) {
       // the other orientation does not correspond to a CCW triangle.
       for (int i = 0; i < 3; i++) {
-	a[i] = l[i].a();
-	b[i] = l[i].b();
-	c[i] = l[i].c();
+        a[i] = l[i].a();
+        b[i] = l[i].b();
+        c[i] = l[i].c();
       }
       return;
     }
@@ -626,7 +626,7 @@ private:
 
     FT dist =
       a[(i_no+1)%3] * vx + b[(i_no+1)%3] * vy + c[(i_no+1)%3] * vw;
-    
+
 
     Sign sgn_dist = s_vw * CGAL::sign(dist);
 
@@ -642,10 +642,10 @@ private:
 
   void
   compute_vv(const Site_2& sp, const Site_2& sq, const Site_2& sr,
-	     const SSS_Type&) const
+             const SSS_Type&) const
   {
     CGAL_precondition( sp.is_segment() && sq.is_segment() &&
-		       sr.is_segment() );
+                       sr.is_segment() );
 
     if ( is_vv_computed ) { return; }
     is_vv_computed = true;
@@ -682,8 +682,8 @@ private:
   inline
   FT
   squared_radius(const Point_2& vv,
-		 const Site_2& p, const Site_2& /*q*/, const Site_2& /*r*/,
-		 const Type&) const
+                 const Site_2& p, const Site_2& /*q*/, const Site_2& /*r*/,
+                 const Type&) const
   {
     CGAL_precondition( p.is_point() );
 
@@ -697,8 +697,8 @@ private:
   inline
   FT
   squared_radius(const Point_2& vv,
-		 const Site_2& p, const Site_2& q, const Site_2& r,
-		 const SSS_Type&) const
+                 const Site_2& p, const Site_2& q, const Site_2& r,
+                 const SSS_Type&) const
   {
     CGAL_USE(q);
     CGAL_USE(r);
@@ -724,8 +724,8 @@ private:
   // the incircle test when the query object t is a point
   template<class Type>
   Sign incircle_p(const Point_2& vv,
-		  const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const Type& type) const
+                  const Site_2& p, const Site_2& q, const Site_2& r,
+                  const Site_2& t, const Type& type) const
   {
     CGAL_precondition( t.is_point() );
 
@@ -741,13 +741,13 @@ private:
   //--------------------------------------------------------------------------
 
   Sign incircle_p(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const PPP_Type&) const
+                  const Site_2& t, const PPP_Type&) const
   {
     CGAL_precondition( p.is_point() );
     CGAL_precondition( q.is_point() );
     CGAL_precondition( r.is_point() );
     CGAL_precondition( t.is_point() );
-    
+
     Oriented_side os =
       side_of_oriented_circle(p.point(), q.point(), r.point(), t.point());
     if ( os == ON_POSITIVE_SIDE ) { return NEGATIVE; }
@@ -761,7 +761,7 @@ private:
   //--------------------------------------------------------------------------
 
   Sign incircle_p(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const PPS_Type& type) const
+                  const Site_2& t, const PPS_Type& type) const
   {
     CGAL_precondition( p.is_point() );
     CGAL_precondition( q.is_point() );
@@ -792,7 +792,7 @@ private:
   //--------------------------------------------------------------------------
 
   Sign incircle_p(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const PSS_Type& type) const
+                  const Site_2& t, const PSS_Type& type) const
   {
     CGAL_precondition( p.is_point() );
     CGAL_precondition( q.is_segment() );
@@ -810,7 +810,7 @@ private:
 
     // if p and t are the same point, then return ZERO
     if ( same_points(p, t) ) { return ZERO; }
-    
+
     // if t is an endpoint of either q or r, then t has to be outside
     // the Voronoi circle and thus the result is POSITIVE
     if ( is_endpoint_of(t, q) || is_endpoint_of(t, r) ) {
@@ -828,19 +828,19 @@ private:
   //--------------------------------------------------------------------------
 
   Sign incircle_p(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const SSS_Type& type) const
+                  const Site_2& t, const SSS_Type& type) const
   {
     CGAL_precondition( p.is_segment() );
     CGAL_precondition( q.is_segment() );
     CGAL_precondition( r.is_segment() );
-    CGAL_precondition( t.is_point() ); 
+    CGAL_precondition( t.is_point() );
 
     // easy degeneracies --- start
 
     // if t is an endpoint of p, q or r, then t has to lie outside the
     // Voronoi circle of p, q and r and thus the result is positive
     if ( is_endpoint_of(t, p) || is_endpoint_of(t, q) ||
-	 is_endpoint_of(t, r) ) {
+         is_endpoint_of(t, r) ) {
       return POSITIVE;
     }
 
@@ -859,8 +859,8 @@ private:
   inline
   Sign
   incircle_xxxl(const Point_2& vv,
-		const Site_2& p, const Site_2& q, const Site_2& r,
-		const Line_2& l, const Type& type) const
+                const Site_2& p, const Site_2& q, const Site_2& r,
+                const Line_2& l, const Type& type) const
   {
     FT r2 = squared_radius(vv, p, q, r, type);
 
@@ -896,14 +896,14 @@ private:
   // there is no conflict, otherwise there is a conflict.
   template<class Type>
   Sign incircle_xxxs(const Site_2& p, const Site_2& q, const Site_2& r,
-		     const Site_2& t, const Type& type) const
+                     const Site_2& t, const Type& type) const
   {
     CGAL_precondition( t.is_segment() );
 
     Sign d1, d2;
     if (  ( p.is_point() && same_points(p, t.source_site()) ) ||
-	  ( q.is_point() && same_points(q, t.source_site()) ) ||
-	  ( r.is_point() && same_points(r, t.source_site()) )  ) {
+          ( q.is_point() && same_points(q, t.source_site()) ) ||
+          ( r.is_point() && same_points(r, t.source_site()) )  ) {
       d1 = ZERO;
     } else {
       d1 = incircle_p(p, q, r, t.source_site(), type);
@@ -913,8 +913,8 @@ private:
     if (  !is_certain(d1 == NEGATIVE)  ) { return indeterminate<Sign>(); }
 
     if (   ( p.is_point() && same_points(p, t.target_site()) ) ||
-	   ( q.is_point() && same_points(q, t.target_site()) ) ||
-	   ( r.is_point() && same_points(r, t.target_site()) )  ) {
+           ( q.is_point() && same_points(q, t.target_site()) ) ||
+           ( r.is_point() && same_points(r, t.target_site()) )  ) {
       d2 = ZERO;
     } else {
       d2 = incircle_p(p, q, r, t.target_site(), type);
@@ -926,7 +926,7 @@ private:
     Line_2 l = compute_supporting_line(t.supporting_site());
     compute_vv(p, q, r, type);
     Sign sl = incircle_xxxl(vv, p, q, r, l, type);
-    
+
     if (  certainly( sl == POSITIVE )  ) { return sl; }
     if (  !is_certain( sl == POSITIVE )  ) { return indeterminate<Sign>(); }
 
@@ -937,7 +937,7 @@ private:
 
     if ( sl == ZERO ) {
       if (os1 == ON_ORIENTED_BOUNDARY || os2 == ON_ORIENTED_BOUNDARY) {
-	return ZERO;
+        return ZERO;
       }
       return ( os1 == os2 ) ? POSITIVE : ZERO;
     }
@@ -951,7 +951,7 @@ private:
   //--------------------------------------------------------------------------
 
   Sign incircle_s(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const PPP_Type& type) const
+                  const Site_2& t, const PPP_Type& type) const
   {
     CGAL_precondition( p.is_point() );
     CGAL_precondition( q.is_point() );
@@ -986,7 +986,7 @@ private:
       Point_2 p1 = pp1->point();
       Point_2 p2 = other_site(*pp1, t).point();
       compute_vv(p, q, r, type);
-        
+
       Compute_scalar_product_2 csp;
       return -CGAL::sign( csp(vv - p1, p2 - p1) );
     }
@@ -1004,7 +1004,7 @@ private:
   //--------------------------------------------------------------------------
 
   Sign incircle_s(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const PPS_Type& type) const
+                  const Site_2& t, const PPS_Type& type) const
   {
     CGAL_precondition( p.is_point() );
     CGAL_precondition( q.is_point() );
@@ -1046,7 +1046,7 @@ private:
   //--------------------------------------------------------------------------
 
   Sign incircle_s(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const PSS_Type& type) const
+                  const Site_2& t, const PSS_Type& type) const
   {
     CGAL_precondition( p.is_point() );
     CGAL_precondition( q.is_segment() );
@@ -1064,11 +1064,11 @@ private:
 
       // check if t has the same support as either q or r
       if ( same_segments(q.supporting_site(), t.supporting_site()) ) {
-	return ZERO;
+        return ZERO;
       }
 
       if ( same_segments(r.supporting_site(), t.supporting_site()) ) {
-	return ZERO;
+        return ZERO;
       }
 
 
@@ -1081,8 +1081,8 @@ private:
       Point_2 p_ = p.point();
 
       if ( CGAL::orientation(p_, q_, t_) == LEFT_TURN &&
-	   CGAL::orientation(p_, r_, t_) == RIGHT_TURN ) {
-	return NEGATIVE;
+           CGAL::orientation(p_, r_, t_) == RIGHT_TURN ) {
+        return NEGATIVE;
       }
       return ZERO;
     }
@@ -1126,7 +1126,7 @@ private:
 
   inline
   Sign incircle_s(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const SSS_Type& type) const
+                  const Site_2& t, const SSS_Type& type) const
   {
     CGAL_precondition( p.is_segment() );
     CGAL_precondition( q.is_segment() );
@@ -1169,7 +1169,7 @@ private:
 
 
   Sign incircle_p(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t) const
+                  const Site_2& t) const
   {
     CGAL_precondition( t.is_point() );
 
@@ -1178,19 +1178,19 @@ private:
       return incircle_p(p, q, r, t, PPP_Type());
     case PPS:
       if ( p.is_segment() ) {
-	return incircle_p(q, r, p, t, PPS_Type());
+        return incircle_p(q, r, p, t, PPS_Type());
       } else if ( q.is_segment() ) {
-	return incircle_p(r, p, q, t, PPS_Type());
+        return incircle_p(r, p, q, t, PPS_Type());
       } else {
-	return incircle_p(p, q, r, t, PPS_Type());
+        return incircle_p(p, q, r, t, PPS_Type());
       }
     case PSS:
       if ( p.is_point() ) {
-	return incircle_p(p, q, r, t, PSS_Type());
+        return incircle_p(p, q, r, t, PSS_Type());
       } else if ( q.is_point() ) {
-	return incircle_p(q, r, p, t, PSS_Type());
+        return incircle_p(q, r, p, t, PSS_Type());
       } else {
-	return incircle_p(r, p, q, t, PSS_Type());
+        return incircle_p(r, p, q, t, PSS_Type());
       }
       return incircle_p(p, q, r, t, PSS_Type());
     default: // case SSS
@@ -1201,7 +1201,7 @@ private:
 
 
   Sign incircle_s(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t) const
+                  const Site_2& t) const
   {
     CGAL_precondition( t.is_segment() );
 
@@ -1210,19 +1210,19 @@ private:
       return incircle_s(p, q, r, t, PPP_Type());
     case PPS:
       if ( p.is_segment() ) {
-	return incircle_s(q, r, p, t, PPS_Type());
+        return incircle_s(q, r, p, t, PPS_Type());
       } else if ( q_.is_segment() ) {
-	return incircle_s(r, p, q, t, PPS_Type());
+        return incircle_s(r, p, q, t, PPS_Type());
       } else {
-	return incircle_s(p, q, r, t, PPS_Type());
+        return incircle_s(p, q, r, t, PPS_Type());
       }
     case PSS:
       if ( p.is_point() ) {
-	return incircle_s(p, q, r, t, PSS_Type());
+        return incircle_s(p, q, r, t, PSS_Type());
       } else if ( q.is_point() ) {
-	return incircle_s(q, r, p, t, PSS_Type());
+        return incircle_s(q, r, p, t, PSS_Type());
       } else {
-	return incircle_s(r, p, q, t, PSS_Type());
+        return incircle_s(r, p, q, t, PSS_Type());
       }
     default: // case SSS
       return incircle_s(p, q, r, t, SSS_Type());
@@ -1232,8 +1232,8 @@ private:
 
 public:
   Voronoi_vertex_sqrt_field_new_C2(const Site_2& p,
-				   const Site_2& q,
-				   const Site_2& r)
+                                   const Site_2& q,
+                                   const Site_2& r)
     : p_(p), q_(q), r_(r), is_vv_computed(false)
   {
     v_type = compute_type(p, q, r);
@@ -1273,29 +1273,29 @@ public:
     if ( !is_vv_computed ) {
       switch ( v_type ) {
       case PPP:
-	compute_vv(p_, q_, r_, PPP_Type());
-	break;
+        compute_vv(p_, q_, r_, PPP_Type());
+        break;
       case PPS:
-	if ( p_.is_segment() ) {
-	  compute_vv(q_, r_, p_, PPS_Type());
-	} else if ( q_.is_segment() ) {
-	  compute_vv(r_, p_, q_, PPS_Type());
-	} else {
-	  compute_vv(p_, q_, r_, PPS_Type());
-	}
-	break;
+        if ( p_.is_segment() ) {
+          compute_vv(q_, r_, p_, PPS_Type());
+        } else if ( q_.is_segment() ) {
+          compute_vv(r_, p_, q_, PPS_Type());
+        } else {
+          compute_vv(p_, q_, r_, PPS_Type());
+        }
+        break;
       case PSS:
-	if ( p_.is_point() ) {
-	  compute_vv(p_, q_, r_, PSS_Type());
-	} else if ( q_.is_point() ) {
-	  compute_vv(q_, r_, p_, PSS_Type());
-	} else {
-	  compute_vv(r_, p_, q_, PSS_Type());
-	}
-	break;
+        if ( p_.is_point() ) {
+          compute_vv(p_, q_, r_, PSS_Type());
+        } else if ( q_.is_point() ) {
+          compute_vv(q_, r_, p_, PSS_Type());
+        } else {
+          compute_vv(r_, p_, q_, PSS_Type());
+        }
+        break;
       default: // case SSS:
-	compute_vv(p_, q_, r_, SSS_Type());
-	break;
+        compute_vv(p_, q_, r_, SSS_Type());
+        break;
       }
     }
 
@@ -1313,7 +1313,7 @@ public:
 
 
   inline Sign operator()(const Site_2& p, const Site_2& q, const Site_2& r,
-			 const Site_2& t) const
+                         const Site_2& t) const
   {
     if ( t.is_point() ) {
       return incircle_p(p, q, r, t);
@@ -1325,8 +1325,8 @@ private:
 
   template<class Type>
   Sign incircle_p_no_easy(const Point_2& vv,
-			  const Site_2& p, const Site_2& q, const Site_2& r,
-			  const Site_2& t, const Type& type) const
+                          const Site_2& p, const Site_2& q, const Site_2& r,
+                          const Site_2& t, const Type& type) const
   {
     CGAL_precondition( t.is_point() );
 
@@ -1339,9 +1339,9 @@ private:
     return CGAL::compare(d2, r2);
   }
 
-  
+
   Sign incircle_p_no_easy(const Site_2& p, const Site_2& q, const Site_2& r,
-			  const Site_2& t) const
+                          const Site_2& t) const
   {
     Sign s(ZERO);
     switch ( v_type ) {
@@ -1351,27 +1351,27 @@ private:
     case PPS:
       PPS_Type pps;
       if ( p.is_segment() ) {
-	compute_vv(q, r, p, pps);
-	s = incircle_p_no_easy(vv, q, r, p, t, pps);
+        compute_vv(q, r, p, pps);
+        s = incircle_p_no_easy(vv, q, r, p, t, pps);
       } else if ( q.is_segment() ) {
-	compute_vv(r, p, q, pps);
-	s = incircle_p_no_easy(vv, r, p, q, t, pps);
+        compute_vv(r, p, q, pps);
+        s = incircle_p_no_easy(vv, r, p, q, t, pps);
       } else {
-	compute_vv(p, q, r, pps);
-	s = incircle_p_no_easy(vv, p, q, r, t, pps);
+        compute_vv(p, q, r, pps);
+        s = incircle_p_no_easy(vv, p, q, r, t, pps);
       }
       break;
     case PSS:
       PSS_Type pss;
       if ( p.is_point() ) {
-	compute_vv(p, q, r, pss);
-	s = incircle_p_no_easy(vv, p, q, r, t, pss);
+        compute_vv(p, q, r, pss);
+        s = incircle_p_no_easy(vv, p, q, r, t, pss);
       } else if ( q.is_point() ) {
-	compute_vv(q, r, p, pss);
-	s = incircle_p_no_easy(vv, q, r, p, t, pss);
+        compute_vv(q, r, p, pss);
+        s = incircle_p_no_easy(vv, q, r, p, t, pss);
       } else {
-	compute_vv(r, p, q, pss);
-	s = incircle_p_no_easy(vv, r, p, q, t, pss);
+        compute_vv(r, p, q, pss);
+        s = incircle_p_no_easy(vv, r, p, q, t, pss);
       }
       break;
     case SSS:
@@ -1386,26 +1386,26 @@ private:
 
 
   Sign incircle_s_no_easy(const Site_2& p, const Site_2& q, const Site_2& r,
-			  const Site_2& t) const 
+                          const Site_2& t) const
   {
     switch ( v_type ) {
     case PPP:
       return incircle_xxxs(p, q, r, t, PPP_Type());
     case PPS:
       if ( p.is_segment() ) {
-	return incircle_xxxs(q, r, p, t, PPS_Type());
+        return incircle_xxxs(q, r, p, t, PPS_Type());
       } else if ( q_.is_segment() ) {
-	return incircle_xxxs(r, p, q, t, PPS_Type());
+        return incircle_xxxs(r, p, q, t, PPS_Type());
       } else {
-	return incircle_xxxs(p, q, r, t, PPS_Type());
+        return incircle_xxxs(p, q, r, t, PPS_Type());
       }
     case PSS:
       if ( p.is_point() ) {
-	return incircle_xxxs(p, q, r, t, PSS_Type());
+        return incircle_xxxs(p, q, r, t, PSS_Type());
       } else if ( q.is_point() ) {
-	return incircle_xxxs(q, r, p, t, PSS_Type());
+        return incircle_xxxs(q, r, p, t, PSS_Type());
       } else {
-	return incircle_xxxs(r, p, q, t, PSS_Type());
+        return incircle_xxxs(r, p, q, t, PSS_Type());
       }
     default: // case SSS:
       return incircle_xxxs(p, q, r, t, SSS_Type());
@@ -1438,20 +1438,20 @@ public:
       break;
     case PPS:
       if ( p_.is_segment() ) {
-	compute_vv(q_, r_, p_, PPS_Type());
+        compute_vv(q_, r_, p_, PPS_Type());
       } else if ( q_.is_segment() ) {
-	compute_vv(r_, p_, q_, PPS_Type());
+        compute_vv(r_, p_, q_, PPS_Type());
       } else {
-	compute_vv(p_, q_, r_, PPS_Type());
+        compute_vv(p_, q_, r_, PPS_Type());
       }
       break;
     case PSS:
       if ( p_.is_point() ) {
-	compute_vv(p_, q_, r_, PSS_Type());
+        compute_vv(p_, q_, r_, PSS_Type());
       } else if ( q_.is_point() ) {
-	compute_vv(q_, r_, p_, PSS_Type());
+        compute_vv(q_, r_, p_, PSS_Type());
       } else {
-	compute_vv(r_, p_, q_, PSS_Type());
+        compute_vv(r_, p_, q_, PSS_Type());
       }
       break;
     default: // case SSS:
@@ -1473,7 +1473,7 @@ private:
   const Site_2& p_, &q_, &r_;
 
   // indicates whether the Voronoi vertex has been computed
-  mutable bool is_vv_computed; 
+  mutable bool is_vv_computed;
 
   // the type of the Voronoi vertex
   vertex_t v_type;
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_2.h	2020-02-21 20:04:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2.h $
-// $Id: Segment_Delaunay_graph_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_2.h $
+// $Id: Segment_Delaunay_graph_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -114,7 +114,7 @@ namespace Internal {
 
     Site operator()(const Node& x) const {
       if ( boost::tuples::get<2>(x) /*x.third*/ ) { // it is a point
-	return Site::construct_site_2( *boost::tuples::get<0>(x) );
+        return Site::construct_site_2( *boost::tuples::get<0>(x) );
       }
       return Site::construct_site_2
         (*boost::tuples::get<0>(x), *boost::tuples::get<1>(x));
@@ -128,7 +128,7 @@ namespace Internal {
     Check_type_equality_for_info()
     {
       ERROR__INFO_TYPES_OF_insert_AND_Storage_traits_with_info_2_MUST_MATCH
-	(T(), U());
+        (T(), U());
     }
   };
 
@@ -150,11 +150,11 @@ class Segment_Delaunay_graph_Linf_2;
 
 
 template<class Gt,
-	 class ST = Segment_Delaunay_graph_storage_traits_2<Gt>,
-	 class D_S = Triangulation_data_structure_2 < 
+         class ST = Segment_Delaunay_graph_storage_traits_2<Gt>,
+         class D_S = Triangulation_data_structure_2 <
                 Segment_Delaunay_graph_vertex_base_2<ST>,
                 Segment_Delaunay_graph_face_base_2<Gt> >,
-	 class LTag = Tag_false >
+         class LTag = Tag_false >
 class Segment_Delaunay_graph_2
   : private Triangulation_2<
           Segment_Delaunay_graph_traits_wrapper_2<Gt>, D_S >
@@ -252,7 +252,7 @@ protected:
   struct Point_handle_less_than {
     // less than
     bool operator()(const const_Point_handle& x,
-		    const const_Point_handle& y) const {
+                    const const_Point_handle& y) const {
       return &(*x) < &(*y);
     }
   };
@@ -265,7 +265,7 @@ protected:
 public:
   typedef boost::transform_iterator<Proj_input_to_site, All_inputs_iterator>
   Input_sites_iterator;
-  
+
   typedef boost::transform_iterator<Proj_site, Finite_vertices_iterator>
   Output_sites_iterator;
 protected:
@@ -302,7 +302,7 @@ protected:
 
   // the edge list
   typedef typename
-  CGAL_SEGMENT_DELAUNAY_GRAPH_2_NS::Internal::Which_list<Edge,List_tag>::List 
+  CGAL_SEGMENT_DELAUNAY_GRAPH_2_NS::Internal::Which_list<Edge,List_tag>::List
   List;
 
 
@@ -320,11 +320,11 @@ protected:
 
   Vertex_triple
   insert_point_on_segment(const Storage_site_2& ss, const Site_2& t,
-			  Vertex_handle v, const Tag_true&);
+                          Vertex_handle v, const Tag_true&);
 
   Vertex_triple
   insert_exact_point_on_segment(const Storage_site_2& ss, const Site_2& t,
-				Vertex_handle v);
+                                Vertex_handle v);
 
 private:
   // CREATION helper
@@ -352,7 +352,7 @@ public:
   // CREATION
   //---------
   Segment_Delaunay_graph_2(const Geom_traits& gt = Geom_traits(),
-			   const Storage_traits& st = Storage_traits())
+                           const Storage_traits& st = Storage_traits())
     : DG(gt), st_(st)
   {
     setup_insert_on_pointers_l2();
@@ -360,8 +360,8 @@ public:
 
   template< class Input_iterator >
   Segment_Delaunay_graph_2(Input_iterator first, Input_iterator beyond,
-			   const Geom_traits& gt = Geom_traits(),
-			   const Storage_traits& st = Storage_traits())
+                           const Geom_traits& gt = Geom_traits(),
+                           const Storage_traits& st = Storage_traits())
     : DG(gt), st_(st)
   {
     setup_insert_on_pointers_l2();
@@ -438,11 +438,11 @@ public:
   }
 
   inline Finite_edges_iterator finite_edges_begin() const {
-    return DG::finite_edges_begin();    
+    return DG::finite_edges_begin();
   }
 
   inline Finite_edges_iterator finite_edges_end() const {
-    return DG::finite_edges_end();    
+    return DG::finite_edges_end();
   }
 
   inline All_faces_iterator all_faces_begin() const {
@@ -482,7 +482,7 @@ public:
   }
 
   inline Output_sites_iterator output_sites_end() const {
-    return Output_sites_iterator(finite_vertices_end());    
+    return Output_sites_iterator(finite_vertices_end());
   }
 
 public:
@@ -490,22 +490,22 @@ public:
   //------------
   inline Face_circulator
   incident_faces(Vertex_handle v,
-		 Face_handle f = Face_handle()) const {
+                 Face_handle f = Face_handle()) const {
     return DG::incident_faces(v, f);
   }
 
   inline Vertex_circulator
   incident_vertices(Vertex_handle v,
-		    Face_handle f = Face_handle()) const { 
+                    Face_handle f = Face_handle()) const {
     return DG::incident_vertices(v, f);
   }
 
   inline Edge_circulator
   incident_edges(Vertex_handle v,
-		 Face_handle f = Face_handle()) const {
+                 Face_handle f = Face_handle()) const {
     return DG::incident_edges(v, f);
   }
- 
+
 public:
   // PREDICATES
   //-----------
@@ -538,7 +538,7 @@ public:
   }
 
   template<class Input_iterator>
-  size_type insert(Input_iterator first, Input_iterator beyond,	Tag_false)
+  size_type insert(Input_iterator first, Input_iterator beyond,        Tag_false)
   {
     // do it the obvious way: insert them as they come;
     // one might think though that it might be better to first insert
@@ -746,8 +746,8 @@ protected:
   // insert a point without registering it in the input sites
   // container: useful for the hierarchy
   inline Vertex_handle insert_no_register(const Storage_site_2& ss,
-					  const Point_2& p,
-					  Vertex_handle vnear) {
+                                          const Point_2& p,
+                                          Vertex_handle vnear) {
     return insert_point(ss, p, vnear);
   }
 
@@ -759,7 +759,7 @@ public:
     Storage_site_2 ss =
       st_.construct_storage_site_2_object()(php.first, php.second);
     Vertex_handle v = insert_segment(ss, Site_2::construct_site_2(p0, p1),
-				     Vertex_handle());
+                                     Vertex_handle());
     if ( v == Vertex_handle() ) {
       unregister_input_site(php.first, php.second);
     }
@@ -769,9 +769,9 @@ public:
   // inserting a segment whose endpoints have already been inserted
   // update input site container
   inline Vertex_handle insert(const Vertex_handle& v0,
-			      const Vertex_handle& v1) {
+                              const Vertex_handle& v1) {
     CGAL_precondition( v0->storage_site().is_point() &&
-		       v1->storage_site().is_point() );
+                       v1->storage_site().is_point() );
 
     Point_handle h0 = v0->storage_site().point();
     Point_handle h1 = v1->storage_site().point();
@@ -791,8 +791,8 @@ public:
     return v;
   }
 
-  inline Vertex_handle insert(const Point_2& p0, const Point_2& p1, 
-			      Vertex_handle vnear) {
+  inline Vertex_handle insert(const Point_2& p0, const Point_2& p1,
+                              Vertex_handle vnear) {
     // update input site container
     Point_handle_pair php = register_input_site(p0, p1);
     Storage_site_2 ss =
@@ -812,20 +812,20 @@ public:
   Vertex_handle insert(const Site_2& t, Vertex_handle vnear)
   {
     // the intended use is to unify the calls to insert(...);
-    // thus the site must be an exact one; 
+    // thus the site must be an exact one;
     CGAL_precondition( t.is_input() );
 
     // update input site container
 
     if ( t.is_segment() ) {
       Point_handle_pair php =
-	register_input_site( t.source_of_supporting_site(),
-			     t.target_of_supporting_site() );
+        register_input_site( t.source_of_supporting_site(),
+                             t.target_of_supporting_site() );
       Storage_site_2 ss =
-	st_.construct_storage_site_2_object()(php.first, php.second);
+        st_.construct_storage_site_2_object()(php.first, php.second);
       Vertex_handle v = insert_segment(ss, t, vnear);
       if ( v == Vertex_handle() ) {
-	unregister_input_site( php.first, php.second );
+        unregister_input_site( php.first, php.second );
       }
       return v;
     } else if ( t.is_point() ) {
@@ -841,8 +841,8 @@ public:
 protected:
   template<class SSite>
   inline void convert_info1(SSite& ss_trg, const SSite& ss_src,
-			    bool is_src, int,
-			    typename SSite::Has_info_tag const* = 0) const
+                            bool is_src, int,
+                            typename SSite::Has_info_tag const* = 0) const
   {
     //    std::cerr << "converting info..." << std::flush;
     typename Storage_traits::Convert_info convert = st_.convert_info_object();
@@ -853,23 +853,23 @@ protected:
 
   template<class SSite>
   inline void convert_info1(SSite& /*  ss_trg */,
-			    const SSite& /* ss_src */, bool, char) const
+                            const SSite& /* ss_src */, bool, char) const
   {
   }
 
   void convert_info(Storage_site_2& ss_trg,
-		    const Storage_site_2& ss_src, bool is_src) const {
+                    const Storage_site_2& ss_src, bool is_src) const {
     CGAL_precondition( ss_src.is_segment() && ss_trg.is_point() );
     CGAL_precondition( ss_src.is_input() && ss_trg.is_input() );
     CGAL_assertion( (is_src && same_points(ss_src.source_site(), ss_trg)) ||
-		    (!is_src && same_points(ss_src.target_site(), ss_trg))
-		    );
+                    (!is_src && same_points(ss_src.target_site(), ss_trg))
+                    );
     convert_info1(ss_trg, ss_src, is_src, 0);
   }
 
   template<class SSite>
   inline void merge_info1(Vertex_handle v, const SSite& ss, int,
-			  typename SSite::Has_info_tag const* = 0)
+                          typename SSite::Has_info_tag const* = 0)
   {
     //    std::cerr << "merging info..." << std::flush;
     Storage_site_2 ss_v = v->storage_site();
@@ -891,47 +891,47 @@ protected:
   // site with the new info
   inline void merge_info(Vertex_handle v, const Storage_site_2& ss)  {
     CGAL_precondition( (v->storage_site().is_segment() &&
-			ss.is_segment() &&
-			same_segments(v->site(), ss.site())) ||
-		       (v->storage_site().is_point() &&
-			ss.is_point() &&
-			same_points(v->site(), ss.site())) ||
-    		       (v->storage_site().is_point() &&	ss.is_segment())
-    		       );
+                        ss.is_segment() &&
+                        same_segments(v->site(), ss.site())) ||
+                       (v->storage_site().is_point() &&
+                        ss.is_point() &&
+                        same_points(v->site(), ss.site())) ||
+                           (v->storage_site().is_point() &&        ss.is_segment())
+                           );
     merge_info1(v, ss, 0);
   }
 
 public:
   template<typename Info_t>
   inline Vertex_handle insert(const Site_2& t,
-			      const Info_t& info) {
+                              const Info_t& info) {
     return insert(t, info, Vertex_handle());
   }
 
   template<typename Info_t>
   Vertex_handle insert(const Site_2& t,
-		       const Info_t& info,
-		       Vertex_handle vnear)
+                       const Info_t& info,
+                       Vertex_handle vnear)
   {
     typedef typename Storage_traits::Info Info;
     CGAL_SEGMENT_DELAUNAY_GRAPH_2_NS::Internal::
       Check_type_equality_for_info<Info_t, Info>();
     // the intended use is to unify the calls to insert(...);
-    // thus the site must be an exact one; 
+    // thus the site must be an exact one;
     CGAL_precondition( t.is_input() );
 
     // update input site container
 
     if ( t.is_segment() ) {
       Point_handle_pair php =
-	register_input_site( t.source_of_supporting_site(),
-			     t.target_of_supporting_site() );
+        register_input_site( t.source_of_supporting_site(),
+                             t.target_of_supporting_site() );
       Storage_site_2 ss =
-	st_.construct_storage_site_2_object()(php.first, php.second);
+        st_.construct_storage_site_2_object()(php.first, php.second);
       ss.set_info(info);
       Vertex_handle v = insert_segment(ss, t, vnear);
       if ( v == Vertex_handle() ) {
-	unregister_input_site( php.first, php.second );
+        unregister_input_site( php.first, php.second );
       }
       return v;
     } else if ( t.is_point() ) {
@@ -950,15 +950,15 @@ public:
 protected:
   bool is_star(const Vertex_handle& v) const;
   bool is_linear_chain(const Vertex_handle& v0, const Vertex_handle& v1,
-		       const Vertex_handle& v2) const;
+                       const Vertex_handle& v2) const;
   bool is_flippable(const Face_handle& f, int i) const;
 
   void minimize_degree(const Vertex_handle& v);
 
   // this method does not really do the job as intended, i.e., for removal
   void equalize_degrees(const Vertex_handle& v, Self& small_d,
-			std::map<Vertex_handle,Vertex_handle>& vmap,
-			List& l) const;
+                        std::map<Vertex_handle,Vertex_handle>& vmap,
+                        List& l) const;
 
   void expand_conflict_region_remove(const Face_handle& in_f,
                                      const Site_2& t,
@@ -967,8 +967,8 @@ protected:
                                      Sign_map& sign_map);
 
   void find_conflict_region_remove(const Vertex_handle& v,
-				   const Vertex_handle& vnearest,
-				   List& l, Face_map& fm, Sign_map& vm);
+                                   const Vertex_handle& vnearest,
+                                   List& l, Face_map& fm, Sign_map& vm);
 
   template<class OutputItFaces>
   OutputItFaces get_faces(const List& l, OutputItFaces fit) const
@@ -986,8 +986,8 @@ protected:
 
   template<class OutputItFaces>
   OutputItFaces get_faces(const List& l, Face_handle f,
-			  std::map<Face_handle,bool>& fmap,
-			  OutputItFaces fit) const
+                          std::map<Face_handle,bool>& fmap,
+                          OutputItFaces fit) const
   {
     // if the face has been visited return
     if ( fmap.find(f) != fmap.end() ) { return fit; }
@@ -1003,7 +1003,7 @@ protected:
       Face_handle n = f->neighbor(i);
       Edge ee(n, n->index( this->_tds.mirror_vertex(f,i) ));
       if ( !l.is_in_list(ee) ) {
-	fit = get_faces(l, n, fmap, fit);
+        fit = get_faces(l, n, fmap, fit);
       }
     }
     return fit;
@@ -1012,7 +1012,7 @@ protected:
   size_type count_faces(const List& l) const;
 
   void fill_hole(const Self& small_d, const Vertex_handle& v, const List& l,
-		 std::map<Vertex_handle,Vertex_handle>& vmap);
+                 std::map<Vertex_handle,Vertex_handle>& vmap);
 
   bool remove_first(const Vertex_handle& v);
   bool remove_second(const Vertex_handle& v);
@@ -1020,7 +1020,7 @@ protected:
 
   void compute_small_diagram(const Vertex_handle& v, Self& small_d) const;
   void compute_vertex_map(const Vertex_handle& v, const Self& small_d,
-			  std::map<Vertex_handle,Vertex_handle>& vmap) const;
+                          std::map<Vertex_handle,Vertex_handle>& vmap) const;
   void remove_degree_d_vertex(const Vertex_handle& v);
 
   bool remove_base(const Vertex_handle& v);
@@ -1040,11 +1040,11 @@ protected:
   }
 
   inline void unregister_input_site(const Point_handle& h1,
-				    const Point_handle& h2)
-  {   
+                                    const Point_handle& h2)
+  {
     Site_rep_2 rep(h1, h2, false);
     typename Input_sites_container::iterator it = isc_.find(rep);
-    
+
     Site_rep_2 sym_rep(h2, h1, false);
     typename Input_sites_container::iterator sym_it = isc_.find(sym_rep);
 
@@ -1080,7 +1080,7 @@ protected:
 
   inline
   Point_handle_pair register_input_site(const Point_handle& h0,
-					const Point_handle& h1)
+                                        const Point_handle& h1)
   {
     CGAL_precondition( h0 != h1 );
     Site_rep_2 rep(h0, h1, false);
@@ -1093,40 +1093,40 @@ protected:
   Vertex_handle  insert_third(const Storage_site_2& ss, const Point_2& p);
   Vertex_handle  insert_third(const Site_2& t, const Storage_site_2& ss);
   Vertex_handle  insert_third(const Storage_site_2& ss, Vertex_handle v0,
-			      Vertex_handle v1);
+                              Vertex_handle v1);
 
   Vertex_handle insert_point(const Storage_site_2& ss, const Point_2& p,
-			     Vertex_handle vnear);
+                             Vertex_handle vnear);
   Vertex_handle insert_point(const Storage_site_2& ss,
-			     const Site_2& t, Vertex_handle vnear);
+                             const Site_2& t, Vertex_handle vnear);
   Vertex_handle insert_point2(const Storage_site_2& ss,
-			      const Site_2& t, Vertex_handle vnear);
+                              const Site_2& t, Vertex_handle vnear);
 
   Vertex_handle insert_segment(const Storage_site_2& ss, const Site_2& t,
-			       Vertex_handle vnear);
+                               Vertex_handle vnear);
 
   Vertex_handle insert_segment_interior(const Site_2& t,
-					const Storage_site_2& ss,
-					Vertex_handle vnear);
+                                        const Storage_site_2& ss,
+                                        Vertex_handle vnear);
 
   template<class ITag>
   inline
   Vertex_handle insert_intersecting_segment(const Storage_site_2& ss,
-					    const Site_2& t,
-					    Vertex_handle v,
-					    ITag tag) {
+                                            const Site_2& t,
+                                            Vertex_handle v,
+                                            ITag tag) {
     return insert_intersecting_segment_with_tag(ss, t, v, tag);
   }
 
   Vertex_handle
   insert_intersecting_segment_with_tag(const Storage_site_2& ss,
-				       const Site_2& t,
-				       Vertex_handle v, Tag_false);
+                                       const Site_2& t,
+                                       Vertex_handle v, Tag_false);
 
   Vertex_handle
   insert_intersecting_segment_with_tag(const Storage_site_2& ss,
-				       const Site_2& t,
-				       Vertex_handle v, Tag_true);
+                                       const Site_2& t,
+                                       Vertex_handle v, Tag_true);
 
 
 
@@ -1138,13 +1138,13 @@ public:
   }
 
   inline Vertex_handle nearest_neighbor(const Point_2& p,
-					Vertex_handle vnear) const {
+                                        Vertex_handle vnear) const {
     return nearest_neighbor(Site_2::construct_site_2(p), vnear);
   }
 
 protected:
   Vertex_handle nearest_neighbor(const Site_2& p,
-				 Vertex_handle vnear) const;
+                                 Vertex_handle vnear) const;
 
 
 protected:
@@ -1156,17 +1156,17 @@ protected:
   typedef std::vector<Point_handle> Point_handle_vector;
 
   void file_output(std::ostream&, const Storage_site_2&,
-		   Point_handle_mapper&) const;
+                   Point_handle_mapper&) const;
 
   void file_output(std::ostream&, Point_handle_mapper&,
-		   bool print_point_container) const;
+                   bool print_point_container) const;
 
   void file_input(std::istream&, Storage_site_2&,
-		  const Point_handle_vector&, const Tag_true&) const;
+                  const Point_handle_vector&, const Tag_true&) const;
   void file_input(std::istream&, Storage_site_2&,
-		  const Point_handle_vector&, const Tag_false&) const;
+                  const Point_handle_vector&, const Tag_false&) const;
   void file_input(std::istream&, bool read_handle_vector,
-		  Point_handle_vector&);
+                  Point_handle_vector&);
 
 public:
   void file_input(std::istream& is) {
@@ -1193,7 +1193,7 @@ public:
     return str;
   }
 
-  template < class Stream > 
+  template < class Stream >
   Stream& draw_skeleton(Stream& str) const
   {
     Finite_edges_iterator eit = finite_edges_begin();
@@ -1202,13 +1202,13 @@ public:
       Site_2 q = eit->first->vertex( ccw(eit->second) )->site();
 
       bool is_endpoint_of_seg =
-	( p.is_segment() && q.is_point() &&
-	  is_endpoint_of_segment(q, p) ) ||
-	( p.is_point() && q.is_segment() &&
-	  is_endpoint_of_segment(p, q) );
+        ( p.is_segment() && q.is_point() &&
+          is_endpoint_of_segment(q, p) ) ||
+        ( p.is_point() && q.is_segment() &&
+          is_endpoint_of_segment(p, q) );
 
       if ( !is_endpoint_of_seg ) {
-	draw_dual_edge(*eit, str);
+        draw_dual_edge(*eit, str);
       }
     }
     return str;
@@ -1229,7 +1229,7 @@ public:
     Object o = primal(e);
 
     if (CGAL::assign(l, o))   str << l;
-    if (CGAL::assign(s, o))   str << s; 
+    if (CGAL::assign(s, o))   str << s;
     if (CGAL::assign(r, o))   str << r;
     if (CGAL::assign(ps, o))  ps.draw(str);
 
@@ -1279,11 +1279,11 @@ protected:
 
   Storage_site_2
   copy_storage_site(const Storage_site_2& ss_other,
-		    Handle_map& hm, const Tag_false&);
+                    Handle_map& hm, const Tag_false&);
 
   Storage_site_2
   copy_storage_site(const Storage_site_2& ss_other,
-		    Handle_map& hm, const Tag_true&);
+                    Handle_map& hm, const Tag_true&);
 
   void copy(Segment_Delaunay_graph_2& other);
   void copy(Segment_Delaunay_graph_2& other, Handle_map& hm);
@@ -1328,7 +1328,7 @@ protected:
   Edge flip(Face_handle& f, int i) {
     CGAL_precondition ( f != Face_handle() );
     CGAL_precondition (i == 0 || i == 1 || i == 2);
-    CGAL_precondition( this->dimension()==2 ); 
+    CGAL_precondition( this->dimension()==2 );
 
     CGAL_precondition( f->vertex(i) != this->_tds.mirror_vertex(f, i) );
 
@@ -1385,8 +1385,8 @@ protected:
   //------------------------------------------
   inline
   Storage_site_2 split_storage_site(const Storage_site_2& ss0,
-				    const Storage_site_2& ss1,
-				    bool first)
+                                    const Storage_site_2& ss1,
+                                    bool first)
   {
     // Split the first storage site which is a segment using the
     // second storage site which is an exact point
@@ -1407,7 +1407,7 @@ public:
   Object primal(const Edge e) const;
 
   inline Object primal(const Edge_circulator& ec) const {
-    return primal(*ec); 
+    return primal(*ec);
   }
 
   inline Object primal(const Finite_edges_iterator& ei) const {
@@ -1422,12 +1422,12 @@ public:
   inline Point_2 circumcenter(const Face_handle& f) const {
     CGAL_precondition( this->dimension()==2 || !is_infinite(f) );
     return circumcenter(f->vertex(0)->site(),
-			f->vertex(1)->site(),
-			f->vertex(2)->site());
+                        f->vertex(1)->site(),
+                        f->vertex(2)->site());
   }
 
-  inline Point_2 circumcenter(const Site_2& t0, const Site_2& t1, 
-			      const Site_2& t2) const {
+  inline Point_2 circumcenter(const Site_2& t0, const Site_2& t1,
+                              const Site_2& t2) const {
     return
     geom_traits().construct_svd_vertex_2_object()(t0, t1, t2);
   }
@@ -1465,7 +1465,7 @@ protected:
   void retriangulate_conflict_region(Vertex_handle v, List& l);
 #else
   void retriangulate_conflict_region(Vertex_handle v, List& l,
-				     Face_map& fm);
+                                     Face_map& fm);
 #endif
 
 
@@ -1555,8 +1555,8 @@ protected:
   }
 
   inline Construct_sdg_bisector_segment_2
-  construct_sdg_bisector_segment_2_object() const { 
-    return Construct_sdg_bisector_segment_2(); 
+  construct_sdg_bisector_segment_2_object() const {
+    return Construct_sdg_bisector_segment_2();
   }
 
 protected:
@@ -1576,11 +1576,11 @@ protected:
 
   inline
   bool is_endpoint_of_segment(const Storage_site_2& p,
-			      const Storage_site_2& s) const
+                              const Storage_site_2& s) const
   {
     CGAL_precondition( p.is_point() && s.is_segment() );
     return ( same_points(p, s.source_site()) ||
-	     same_points(p, s.target_site()) );
+             same_points(p, s.target_site()) );
   }
 
   inline
@@ -1595,17 +1595,17 @@ protected:
   //   ON_ORIENTED_BOUNDARY if q is on the bisector of t1 and t2
   inline
   Oriented_side side_of_bisector(const Storage_site_2 &t1,
-				 const Storage_site_2 &t2,
-				 const Storage_site_2 &q) const {
+                                 const Storage_site_2 &t2,
+                                 const Storage_site_2 &q) const {
     return
       geom_traits().oriented_side_of_bisector_2_object()(t1.site(),
-							 t2.site(),
-							 q.site());
+                                                         t2.site(),
+                                                         q.site());
   }
 
   inline
   Sign incircle(const Storage_site_2 &t1, const Storage_site_2 &t2,
-		const Storage_site_2 &t3, const Storage_site_2 &q) const {
+                const Storage_site_2 &t3, const Storage_site_2 &q) const {
 #ifdef CGAL_PROFILE_SDG_DUMP_INCIRCLE
     typedef typename Geom_traits::FT  FT;
     if ( !Algebraic_structure_traits<FT>::Is_exact::value ) {
@@ -1619,17 +1619,17 @@ protected:
     }
 #endif
     return geom_traits().vertex_conflict_2_object()(t1.site(),
-						    t2.site(),
-						    t3.site(),
-						    q.site());
+                                                    t2.site(),
+                                                    t3.site(),
+                                                    q.site());
   }
 
   inline
   Sign incircle(const Storage_site_2 &t1, const Storage_site_2 &t2,
-		const Storage_site_2 &q) const {
+                const Storage_site_2 &q) const {
     return geom_traits().vertex_conflict_2_object()(t1.site(),
-						    t2.site(),
-						    q.site());
+                                                    t2.site(),
+                                                    q.site());
   }
 
   inline
@@ -1639,10 +1639,10 @@ protected:
 
   inline
   bool finite_edge_interior(const Storage_site_2& t1,
-			    const Storage_site_2& t2,
-			    const Storage_site_2& t3,
-			    const Storage_site_2& t4,
-			    const Storage_site_2& q, Sign sgn) const {
+                            const Storage_site_2& t2,
+                            const Storage_site_2& t3,
+                            const Storage_site_2& t4,
+                            const Storage_site_2& q, Sign sgn) const {
     return
       geom_traits().finite_edge_interior_conflict_2_object()
       (t1.site(), t2.site(), t3.site(), t4.site(), q.site(), sgn);
@@ -1650,52 +1650,52 @@ protected:
 
   inline
   bool finite_edge_interior(const Face_handle& f, int i,
-			    const Storage_site_2& q, Sign sgn) const {
+                            const Storage_site_2& q, Sign sgn) const {
     CGAL_precondition( !is_infinite(f) &&
-		       !is_infinite(f->neighbor(i)) );
+                       !is_infinite(f->neighbor(i)) );
     return finite_edge_interior( f->vertex( ccw(i) )->site(),
-				 f->vertex(  cw(i) )->site(),
-				 f->vertex(     i  )->site(),
-				 this->_tds.mirror_vertex(f, i)->site(),
-				 q.site(), sgn);
+                                 f->vertex(  cw(i) )->site(),
+                                 f->vertex(     i  )->site(),
+                                 this->_tds.mirror_vertex(f, i)->site(),
+                                 q.site(), sgn);
   }
 
   inline
   bool finite_edge_interior(const Storage_site_2& t1,
-			    const Storage_site_2& t2,
-			    const Storage_site_2& t3,
-			    const Storage_site_2& q,
-			    Sign sgn) const {
+                            const Storage_site_2& t2,
+                            const Storage_site_2& t3,
+                            const Storage_site_2& q,
+                            Sign sgn) const {
     return geom_traits().finite_edge_interior_conflict_2_object()(t1.site(),
-								  t2.site(),
-								  t3.site(),
-								  q.site(),
-								  sgn);
+                                                                  t2.site(),
+                                                                  t3.site(),
+                                                                  q.site(),
+                                                                  sgn);
   }
 
   inline
   bool finite_edge_interior(const Storage_site_2& t1,
-			    const Storage_site_2& t2,
-			    const Storage_site_2& q,
-			    Sign sgn) const {
+                            const Storage_site_2& t2,
+                            const Storage_site_2& q,
+                            Sign sgn) const {
     return
       geom_traits().finite_edge_interior_conflict_2_object()(t1.site(),
-							     t2.site(),
-							     q.site(),
-							     sgn);
+                                                             t2.site(),
+                                                             q.site(),
+                                                             sgn);
   }
 
   bool finite_edge_interior(const Face_handle& f, int i,
-			    const Storage_site_2& p, Sign sgn,
-			    int j) const {
+                            const Storage_site_2& p, Sign sgn,
+                            int j) const {
     return finite_edge_interior(f, i, p.site(), sgn, j);
   }
 
   inline
   bool infinite_edge_interior(const Storage_site_2& t2,
-			      const Storage_site_2& t3,
-			      const Storage_site_2& t4,
-			      const Storage_site_2& q, Sign sgn) const {
+                              const Storage_site_2& t3,
+                              const Storage_site_2& t4,
+                              const Storage_site_2& q, Sign sgn) const {
     return
       geom_traits().infinite_edge_interior_conflict_2_object()
       (t2.site(), t3.site(), t4.site(), q.site(), sgn);
@@ -1703,20 +1703,20 @@ protected:
 
   inline
   bool infinite_edge_interior(const Face_handle& f, int i,
-			      const Storage_site_2& q, Sign sgn) const
+                              const Storage_site_2& q, Sign sgn) const
   {
     return infinite_edge_interior(f, i, q, sgn);
   }
 
   inline
   bool edge_interior(const Face_handle& f, int i,
-		     const Storage_site_2& t, Sign sgn) const {
+                     const Storage_site_2& t, Sign sgn) const {
     return edge_interior(f, i, t.site(), sgn);
   }
 
   inline
   bool edge_interior(const Edge& e,
-		     const Storage_site_2& t, Sign sgn) const {
+                     const Storage_site_2& t, Sign sgn) const {
     return edge_interior(e.first, e.second, t, sgn);
   }
 
@@ -1728,7 +1728,7 @@ protected:
 
   inline
   Arrangement_type arrangement_type(const Storage_site_2& p,
-				    const Storage_site_2& q) const {
+                                    const Storage_site_2& q) const {
     return arrangement_type(p.site(), q.site());
   }
 
@@ -1740,7 +1740,7 @@ protected:
   inline Oriented_side
   oriented_side(const Storage_site_2& s1, const Storage_site_2& s2,
                 const Storage_site_2& supp,
-		const Storage_site_2& p) const
+                const Storage_site_2& p) const
   {
     CGAL_precondition( supp.is_segment() && p.is_point() );
     return
@@ -1750,13 +1750,13 @@ protected:
 
   inline Oriented_side
   oriented_side(const Storage_site_2& s1, const Storage_site_2& s2,
-		const Storage_site_2& s3, const Storage_site_2& supp,
-		const Storage_site_2& p) const {
+                const Storage_site_2& s3, const Storage_site_2& supp,
+                const Storage_site_2& p) const {
     CGAL_precondition( supp.is_segment() && p.is_point() );
     return geom_traits().oriented_side_2_object()(s1.site(),
-						  s2.site(),
-						  s3.site(),
-						  supp.site(), p.site());
+                                                  s2.site(),
+                                                  s3.site(),
+                                                  supp.site(), p.site());
   }
 
 
@@ -1790,7 +1790,7 @@ protected:
   {
     CGAL_precondition( p.is_point() && s.is_segment() );
     return ( same_points(p, s.source_site()) ||
-	     same_points(p, s.target_site()) );
+             same_points(p, s.target_site()) );
   }
 
   inline
@@ -1805,13 +1805,13 @@ protected:
   //   ON_ORIENTED_BOUNDARY if q is on the bisector of t1 and t2
   inline
   Oriented_side side_of_bisector(const Site_2 &t1, const Site_2 &t2,
-				 const Site_2 &q) const {
+                                 const Site_2 &q) const {
     return geom_traits().oriented_side_of_bisector_2_object()(t1, t2, q);
   }
 
   inline
   Sign incircle(const Site_2 &t1, const Site_2 &t2,
-		const Site_2 &t3, const Site_2 &q) const {
+                const Site_2 &t3, const Site_2 &q) const {
 #ifdef CGAL_PROFILE_SDG_DUMP_INCIRCLE
     typedef typename Geom_traits::FT  FT;
     if ( !Algebraic_structure_traits<FT>::Is_exact::value ) {
@@ -1829,7 +1829,7 @@ protected:
 
   inline
   Sign incircle(const Site_2 &t1, const Site_2 &t2,
-		const Site_2 &q) const {
+                const Site_2 &q) const {
     return geom_traits().vertex_conflict_2_object()(t1, t2, q);
   }
 
@@ -1838,20 +1838,20 @@ protected:
 
   inline
   Sign incircle(const Vertex_handle& v0, const Vertex_handle& v1,
-		const Vertex_handle& v) const {
+                const Vertex_handle& v) const {
     CGAL_precondition( !is_infinite(v0) && !is_infinite(v1)
-		       && !is_infinite(v) );
+                       && !is_infinite(v) );
 
     return incircle( v0->site(), v1->site(), v->site());
   }
 
   Sign incircle(const Vertex_handle& v0, const Vertex_handle& v1,
-		const Vertex_handle& v2, const Vertex_handle& v) const;
+                const Vertex_handle& v2, const Vertex_handle& v) const;
 
   inline
   bool finite_edge_interior(const Site_2& t1, const Site_2& t2,
-			    const Site_2& t3, const Site_2& t4,
-			    const Site_2& q,  Sign sgn) const {
+                            const Site_2& t3, const Site_2& t4,
+                            const Site_2& q,  Sign sgn) const {
     return
       geom_traits().finite_edge_interior_conflict_2_object()
       (t1,t2,t3,t4,q,sgn);
@@ -1859,54 +1859,54 @@ protected:
 
   inline
   bool finite_edge_interior(const Face_handle& f, int i,
-			    const Site_2& q, Sign sgn) const {
+                            const Site_2& q, Sign sgn) const {
     CGAL_precondition( !is_infinite(f) &&
-		       !is_infinite(f->neighbor(i)) );
+                       !is_infinite(f->neighbor(i)) );
     return finite_edge_interior( f->vertex( ccw(i) )->site(),
-				 f->vertex(  cw(i) )->site(),
-				 f->vertex(     i  )->site(),
-				 this->_tds.mirror_vertex(f, i)->site(),
-				 q, sgn);
+                                 f->vertex(  cw(i) )->site(),
+                                 f->vertex(     i  )->site(),
+                                 this->_tds.mirror_vertex(f, i)->site(),
+                                 q, sgn);
   }
 
   inline
   bool finite_edge_interior(const Vertex_handle& v1, const Vertex_handle& v2,
-			    const Vertex_handle& v3, const Vertex_handle& v4,
-			    const Vertex_handle& v, Sign sgn) const {
+                            const Vertex_handle& v3, const Vertex_handle& v4,
+                            const Vertex_handle& v, Sign sgn) const {
     CGAL_precondition( !is_infinite(v1) && !is_infinite(v2) &&
-		       !is_infinite(v3) && !is_infinite(v4) &&
-		       !is_infinite(v) );
+                       !is_infinite(v3) && !is_infinite(v4) &&
+                       !is_infinite(v) );
     return finite_edge_interior( v1->site(), v2->site(),
-				 v3->site(), v4->site(),
-				 v->site(), sgn);
+                                 v3->site(), v4->site(),
+                                 v->site(), sgn);
   }
 
   inline
   bool finite_edge_interior(const Site_2& t1, const Site_2& t2,
-			    const Site_2& t3, const Site_2& q,
-			    Sign sgn) const {
+                            const Site_2& t3, const Site_2& q,
+                            Sign sgn) const {
     return
     geom_traits().finite_edge_interior_conflict_2_object()(t1,t2,t3,q,sgn);
   }
 
   inline
   bool finite_edge_interior(const Site_2& t1, const Site_2& t2,
-			    const Site_2& q,  Sign sgn) const {
+                            const Site_2& q,  Sign sgn) const {
     return
     geom_traits().finite_edge_interior_conflict_2_object()(t1,t2,q,sgn);
   }
 
   bool finite_edge_interior(const Face_handle& f, int i,
-			    const Site_2& p, Sign sgn, int) const;
+                            const Site_2& p, Sign sgn, int) const;
 
   bool finite_edge_interior(const Vertex_handle& v1, const Vertex_handle& v2,
-			    const Vertex_handle& v3, const Vertex_handle& v4,
-			    const Vertex_handle& v, Sign, int) const;
+                            const Vertex_handle& v3, const Vertex_handle& v4,
+                            const Vertex_handle& v, Sign, int) const;
 
   inline
   bool infinite_edge_interior(const Site_2& t2, const Site_2& t3,
-			      const Site_2& t4, const Site_2& q,
-			      Sign sgn) const {
+                              const Site_2& t4, const Site_2& q,
+                              Sign sgn) const {
     return
       geom_traits().infinite_edge_interior_conflict_2_object()
       (t2,t3,t4,q,sgn);
@@ -1914,29 +1914,29 @@ protected:
 
 
   bool infinite_edge_interior(const Face_handle& f, int i,
-			      const Site_2& q, Sign sgn) const;
+                              const Site_2& q, Sign sgn) const;
 
   bool infinite_edge_interior(const Vertex_handle& v1,
-			      const Vertex_handle& v2,
-			      const Vertex_handle& v3,
-			      const Vertex_handle& v4,
-			      const Vertex_handle& v,
-			      Sign sgn) const;
+                              const Vertex_handle& v2,
+                              const Vertex_handle& v3,
+                              const Vertex_handle& v4,
+                              const Vertex_handle& v,
+                              Sign sgn) const;
 
   bool edge_interior(const Face_handle& f, int i,
-		     const Site_2& t, Sign sgn) const;
+                     const Site_2& t, Sign sgn) const;
 
   bool edge_interior(const Edge& e,
-		     const Site_2& t, Sign sgn) const {
+                     const Site_2& t, Sign sgn) const {
     return edge_interior(e.first, e.second, t, sgn);
   }
 
   bool edge_interior(const Vertex_handle& v1,
-		     const Vertex_handle& v2,
-		     const Vertex_handle& v3,
-		     const Vertex_handle& v4,
-		     const Vertex_handle& v,
-		     Sign sgn) const;
+                     const Vertex_handle& v2,
+                     const Vertex_handle& v3,
+                     const Vertex_handle& v4,
+                     const Vertex_handle& v,
+                     Sign sgn) const;
 
   inline Arrangement_type
   arrangement_type(const Site_2& t, const Vertex_handle& v) const {
@@ -1961,28 +1961,28 @@ protected:
 
   inline Oriented_side
   oriented_side(const Site_2& s1, const Site_2& s2, const Site_2& s3,
-		const Site_2& supp, const Site_2& p) const {
+                const Site_2& supp, const Site_2& p) const {
     CGAL_precondition( supp.is_segment() && p.is_point() );
     return geom_traits().oriented_side_2_object()(s1, s2, s3, supp, p);
   }
 
   bool is_degenerate_edge(const Site_2& p1,
-			  const Site_2& p2,
-			  const Site_2& p3,
-			  const Site_2& p4) const {
+                          const Site_2& p2,
+                          const Site_2& p3,
+                          const Site_2& p4) const {
     return geom_traits().is_degenerate_edge_2_object()
       (p1, p2, p3, p4);
   }
 
   bool is_degenerate_edge(const Vertex_handle& v1,
-			  const Vertex_handle& v2,
-			  const Vertex_handle& v3,
-			  const Vertex_handle& v4) const {
+                          const Vertex_handle& v2,
+                          const Vertex_handle& v3,
+                          const Vertex_handle& v4) const {
     CGAL_precondition( !is_infinite(v1) && !is_infinite(v2) &&
-		       !is_infinite(v3) && !is_infinite(v4) );
+                       !is_infinite(v3) && !is_infinite(v4) );
 
     return is_degenerate_edge(v1->site(), v2->site(),
-			      v3->site(), v4->site());
+                              v3->site(), v4->site());
   }
 
   bool is_degenerate_edge(const Face_handle& f, int i) const {
@@ -2006,7 +2006,7 @@ protected:
 
 template<class Gt, class D_S, class LTag>
 std::istream& operator>>(std::istream& is,
-			 Segment_Delaunay_graph_2<Gt,D_S,LTag>& sdg)
+                         Segment_Delaunay_graph_2<Gt,D_S,LTag>& sdg)
 {
   sdg.file_input(is);
   return is;
@@ -2014,7 +2014,7 @@ std::istream& operator>>(std::istream& i
 
 template<class Gt, class D_S, class LTag>
 std::ostream& operator<<(std::ostream& os,
-			 const Segment_Delaunay_graph_2<Gt,D_S,LTag>& sdg)
+                         const Segment_Delaunay_graph_2<Gt,D_S,LTag>& sdg)
 {
   sdg.file_output(os);
   return os;
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_adaptation_policies_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_adaptation_policies_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_adaptation_policies_2.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_adaptation_policies_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Segment_Delaunay_graph_adaptation_policies_2.h $
-// $Id: Segment_Delaunay_graph_adaptation_policies_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Segment_Delaunay_graph_adaptation_policies_2.h $
+// $Id: Segment_Delaunay_graph_adaptation_policies_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -36,7 +36,7 @@ struct Segment_Delaunay_graph_degeneracy
    CGAL_VORONOI_DIAGRAM_2_INS::Segment_Delaunay_graph_edge_tester_2<SDG2>,
    CGAL_VORONOI_DIAGRAM_2_INS::Segment_Delaunay_graph_face_tester_2<SDG2>,
    CGAL_VORONOI_DIAGRAM_2_INS::Default_site_inserter<typename SDG2::Site_2,
-						     SDG2>,
+                                                     SDG2>,
    CGAL_VORONOI_DIAGRAM_2_INS::Default_site_remover<SDG2> >
 {
   typedef typename SDG2::Point_2                   Point_2;
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_adaptation_traits_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_adaptation_traits_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_adaptation_traits_2.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_adaptation_traits_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Segment_Delaunay_graph_adaptation_traits_2.h $
-// $Id: Segment_Delaunay_graph_adaptation_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Segment_Delaunay_graph_adaptation_traits_2.h $
+// $Id: Segment_Delaunay_graph_adaptation_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -31,7 +31,7 @@ struct Segment_Delaunay_graph_adaptation
   : public CGAL_VORONOI_DIAGRAM_2_INS::Adaptation_traits_base_2
   <SDG2,
    CGAL_VORONOI_DIAGRAM_2_INS::Site_accessor<typename SDG2::Site_2,
-					     SDG2,Tag_false>,
+                                             SDG2,Tag_false>,
    CGAL_VORONOI_DIAGRAM_2_INS::Segment_Delaunay_graph_Voronoi_point_2<SDG2>,
    CGAL_VORONOI_DIAGRAM_2_INS::Segment_Delaunay_graph_nearest_site_2<SDG2> >
 {
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_face_base_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_face_base_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_face_base_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_face_base_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_face_base_2.h $
-// $Id: Segment_Delaunay_graph_face_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_face_base_2.h $
+// $Id: Segment_Delaunay_graph_face_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -23,10 +23,10 @@
 #include <CGAL/Triangulation_ds_face_base_2.h>
 
 
-namespace CGAL { 
+namespace CGAL {
 
 template < typename Gt, typename Fb = Triangulation_ds_face_base_2<> >
-class Segment_Delaunay_graph_face_base_2 
+class Segment_Delaunay_graph_face_base_2
   : public Fb
 {
 private:
@@ -67,9 +67,9 @@ private:
     void initialize_in_place_edge_list()
     {
       for (int i = 0; i < 3; ++i) {
-	selected[i] = false;
-	next_[i] = sentinel_edge();
-	prev_[i] = sentinel_edge();
+        selected[i] = false;
+        next_[i] = sentinel_edge();
+        prev_[i] = sentinel_edge();
       }
     }
 
@@ -100,7 +100,7 @@ private:
     {
       prev_[i] = prev;
     }
-  
+
     inline bool is_in_list(unsigned int i) const {
       return next_[i].second != -1 || prev_[i].second != -1;
     }
@@ -120,17 +120,17 @@ public:
   Segment_Delaunay_graph_face_base_2()
     : Fb() {}
 
-  Segment_Delaunay_graph_face_base_2(Vertex_handle v0, 
-				     Vertex_handle v1, 
-				     Vertex_handle v2)
+  Segment_Delaunay_graph_face_base_2(Vertex_handle v0,
+                                     Vertex_handle v1,
+                                     Vertex_handle v2)
     : Fb(v0,v1,v2) {}
 
-  Segment_Delaunay_graph_face_base_2(Vertex_handle v0, 
-				     Vertex_handle v1, 
-				     Vertex_handle v2,
-				     Face_handle n0, 
-				     Face_handle n1, 
-				     Face_handle n2)
+  Segment_Delaunay_graph_face_base_2(Vertex_handle v0,
+                                     Vertex_handle v1,
+                                     Vertex_handle v2,
+                                     Face_handle n0,
+                                     Face_handle n1,
+                                     Face_handle n2)
     : Fb(v0,v1,v2,n0,n1,n2) {}
 
 
@@ -142,7 +142,7 @@ public:
 };
 
 
-} //namespace CGAL 
+} //namespace CGAL
 
 #include <CGAL/enable_warnings.h>
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_filtered_traits_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_filtered_traits_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_filtered_traits_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_filtered_traits_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_filtered_traits_2.h $
-// $Id: Segment_Delaunay_graph_filtered_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_filtered_traits_2.h $
+// $Id: Segment_Delaunay_graph_filtered_traits_2.h 9a17c8d 2020-04-16T16:28:01+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -27,12 +27,7 @@
 #include <CGAL/Segment_Delaunay_graph_2/Filtered_traits_concept_check_tags.h>
 
 // includes for the default parameters of the filtered traits
-#ifdef CGAL_USE_GMP
-#include <CGAL/Gmpq.h>
-#else
-#include <CGAL/Quotient.h>
-#include <CGAL/MP_Float.h>
-#endif
+#include <CGAL/internal/Exact_type_selector.h>
 
 #include <CGAL/Simple_cartesian.h>
 #include <CGAL/Interval_arithmetic.h>
@@ -55,24 +50,20 @@ namespace CGAL {
 
 // this traits class does support intersecting segments
 template<class CK,
-	 class CK_MTag = Field_with_sqrt_tag,
-#ifdef CGAL_USE_GMP
-	 class EK      = Simple_cartesian< Gmpq >,
-#else
-	 class EK      = Simple_cartesian< Quotient<MP_Float> >,
-#endif
-	 class EK_MTag = Field_tag,
-	 class FK      = Simple_cartesian< Interval_nt<false> >,
-	 class FK_MTag = Field_with_sqrt_tag,
-	 class C2E     = Cartesian_converter<CK, EK>,
-	 class C2F     =
-	 Cartesian_converter<CK, FK, To_interval<typename CK::RT> > >
+         class CK_MTag = Field_with_sqrt_tag,
+         class EK      = Simple_cartesian< internal::Exact_field_selector<double>::Type >,
+         class EK_MTag = Field_tag,
+         class FK      = Simple_cartesian< Interval_nt<false> >,
+         class FK_MTag = Field_with_sqrt_tag,
+         class C2E     = Cartesian_converter<CK, EK>,
+         class C2F     =
+         Cartesian_converter<CK, FK, To_interval<typename CK::RT> > >
 struct Segment_Delaunay_graph_filtered_traits_2
   : public Segment_Delaunay_graph_filtered_traits_base_2<CK, CK_MTag,
-							 EK, EK_MTag,
-							 FK, FK_MTag,
-							 C2E, C2F,
-							 Tag_true>
+                                                         EK, EK_MTag,
+                                                         FK, FK_MTag,
+                                                         C2E, C2F,
+                                                         Tag_true>
 {
 public:
   Segment_Delaunay_graph_filtered_traits_2() {
@@ -84,16 +75,16 @@ public:
 
 
 template<class CK, class EK, class EK_MTag, class FK, class FK_MTag,
-	 class C2E, class C2F>
+         class C2E, class C2F>
 struct Segment_Delaunay_graph_filtered_traits_2<CK, Field_tag,
-						EK, EK_MTag,
-						FK, FK_MTag,
-						C2E, C2F>
+                                                EK, EK_MTag,
+                                                FK, FK_MTag,
+                                                C2E, C2F>
   : public Segment_Delaunay_graph_filtered_traits_base_2<CK, Integral_domain_without_division_tag,
-							 EK, EK_MTag,
-							 FK, FK_MTag,
-							 C2E, C2F,
-							 Tag_true>
+                                                         EK, EK_MTag,
+                                                         FK, FK_MTag,
+                                                         C2E, C2F,
+                                                         Tag_true>
 {
 public:
   Segment_Delaunay_graph_filtered_traits_2() {
@@ -103,16 +94,16 @@ public:
 };
 
 template<class CK, class CK_MTag, class EK, class FK, class FK_MTag,
-	 class C2E, class C2F>
+         class C2E, class C2F>
 struct Segment_Delaunay_graph_filtered_traits_2<CK, CK_MTag,
-						EK, Field_tag,
-						FK, FK_MTag,
-						C2E, C2F>
+                                                EK, Field_tag,
+                                                FK, FK_MTag,
+                                                C2E, C2F>
   : public Segment_Delaunay_graph_filtered_traits_base_2<CK, CK_MTag,
-							 EK, Integral_domain_without_division_tag,
-							 FK, FK_MTag,
-							 C2E, C2F,
-							 Tag_true>
+                                                         EK, Integral_domain_without_division_tag,
+                                                         FK, FK_MTag,
+                                                         C2E, C2F,
+                                                         Tag_true>
 {
 public:
   Segment_Delaunay_graph_filtered_traits_2() {
@@ -122,16 +113,16 @@ public:
 };
 
 template<class CK, class CK_MTag, class EK, class EK_MTag, class FK,
-	 class C2E, class C2F>
+         class C2E, class C2F>
 struct Segment_Delaunay_graph_filtered_traits_2<CK, CK_MTag,
-						EK, EK_MTag,
-						FK, Field_tag,
-						C2E, C2F>
+                                                EK, EK_MTag,
+                                                FK, Field_tag,
+                                                C2E, C2F>
   : public Segment_Delaunay_graph_filtered_traits_base_2<CK, CK_MTag,
-							 EK, EK_MTag,
-							 FK, Integral_domain_without_division_tag,
-							 C2E, C2F,
-							 Tag_true>
+                                                         EK, EK_MTag,
+                                                         FK, Integral_domain_without_division_tag,
+                                                         C2E, C2F,
+                                                         Tag_true>
 {
 public:
   Segment_Delaunay_graph_filtered_traits_2() {
@@ -141,16 +132,16 @@ public:
 };
 
 template<class CK, class CK_MTag, class EK, class FK,
-	 class C2E, class C2F>
+         class C2E, class C2F>
 struct Segment_Delaunay_graph_filtered_traits_2<CK, CK_MTag,
-						EK, Field_tag,
-						FK, Field_tag,
-						C2E, C2F>
+                                                EK, Field_tag,
+                                                FK, Field_tag,
+                                                C2E, C2F>
   : public Segment_Delaunay_graph_filtered_traits_base_2<CK, CK_MTag,
-							 EK, Integral_domain_without_division_tag,
-							 FK, Integral_domain_without_division_tag,
-							 C2E, C2F,
-							 Tag_true>
+                                                         EK, Integral_domain_without_division_tag,
+                                                         FK, Integral_domain_without_division_tag,
+                                                         C2E, C2F,
+                                                         Tag_true>
 {
 public:
   Segment_Delaunay_graph_filtered_traits_2() {
@@ -159,16 +150,16 @@ public:
 };
 
 template<class CK, class EK, class EK_MTag, class FK,
-	 class C2E, class C2F>
+         class C2E, class C2F>
 struct Segment_Delaunay_graph_filtered_traits_2<CK, Field_tag,
-						 EK, EK_MTag,
-						 FK, Field_tag,
-						 C2E, C2F>
+                                                 EK, EK_MTag,
+                                                 FK, Field_tag,
+                                                 C2E, C2F>
   : public Segment_Delaunay_graph_filtered_traits_base_2<CK, Integral_domain_without_division_tag,
-							 EK, EK_MTag,
-							 FK, Integral_domain_without_division_tag,
-							 C2E, C2F,
-							 Tag_true>
+                                                         EK, EK_MTag,
+                                                         FK, Integral_domain_without_division_tag,
+                                                         C2E, C2F,
+                                                         Tag_true>
 {
 public:
   Segment_Delaunay_graph_filtered_traits_2() {
@@ -177,16 +168,16 @@ public:
 };
 
 template<class CK, class EK, class FK, class FK_MTag,
-	 class C2E, class C2F>
+         class C2E, class C2F>
 struct Segment_Delaunay_graph_filtered_traits_2<CK, Field_tag,
-						EK, Field_tag,
-						FK, FK_MTag,
-						C2E, C2F>
+                                                EK, Field_tag,
+                                                FK, FK_MTag,
+                                                C2E, C2F>
   : public Segment_Delaunay_graph_filtered_traits_base_2<CK, Integral_domain_without_division_tag,
-							 EK, Integral_domain_without_division_tag,
-							 FK, FK_MTag,
-							 C2E, C2F,
-							 Tag_true>
+                                                         EK, Integral_domain_without_division_tag,
+                                                         FK, FK_MTag,
+                                                         C2E, C2F,
+                                                         Tag_true>
 {
 public:
   Segment_Delaunay_graph_filtered_traits_2() {
@@ -196,14 +187,14 @@ public:
 
 template<class CK, class EK, class FK, class C2E, class C2F>
 struct Segment_Delaunay_graph_filtered_traits_2<CK, Field_tag,
-						EK, Field_tag,
-						FK, Field_tag,
-						C2E, C2F>
+                                                EK, Field_tag,
+                                                FK, Field_tag,
+                                                C2E, C2F>
   : public Segment_Delaunay_graph_filtered_traits_base_2<CK, Integral_domain_without_division_tag,
-							 EK, Integral_domain_without_division_tag,
-							 FK, Integral_domain_without_division_tag,
-							 C2E, C2F,
-							 Tag_true>
+                                                         EK, Integral_domain_without_division_tag,
+                                                         FK, Integral_domain_without_division_tag,
+                                                         C2E, C2F,
+                                                         Tag_true>
 {};
 
 //=========================================================================
@@ -211,24 +202,24 @@ struct Segment_Delaunay_graph_filtered_t
 
 // this traits class does NOT support intersecting segments
 template<class CK,
-	 class CK_MTag = Field_with_sqrt_tag,
+         class CK_MTag = Field_with_sqrt_tag,
 #ifdef CGAL_USE_GMP
-	 class EK      = Simple_cartesian< Gmpq >,
+         class EK      = Simple_cartesian< Gmpq >,
 #else
-	 class EK      = Simple_cartesian< MP_Float >,
+         class EK      = Simple_cartesian< MP_Float >,
 #endif
-	 class EK_MTag = Integral_domain_without_division_tag,
-	 class FK      = Simple_cartesian< Interval_nt<false> >,
-	 class FK_MTag = Field_with_sqrt_tag,
-	 class C2E     = Cartesian_converter<CK, EK>,
-	 class C2F     =
-	 Cartesian_converter<CK, FK, To_interval<typename CK::RT> > >
+         class EK_MTag = Integral_domain_without_division_tag,
+         class FK      = Simple_cartesian< Interval_nt<false> >,
+         class FK_MTag = Field_with_sqrt_tag,
+         class C2E     = Cartesian_converter<CK, EK>,
+         class C2F     =
+         Cartesian_converter<CK, FK, To_interval<typename CK::RT> > >
 struct Segment_Delaunay_graph_filtered_traits_without_intersections_2
   : public Segment_Delaunay_graph_filtered_traits_base_2<CK, CK_MTag,
-							 EK, EK_MTag,
-							 FK, FK_MTag,
-							 C2E, C2F,
-							 Tag_false>
+                                                         EK, EK_MTag,
+                                                         FK, FK_MTag,
+                                                         C2E, C2F,
+                                                         Tag_false>
 {
   Segment_Delaunay_graph_filtered_traits_without_intersections_2() {
     SDG2_INS::Concept_check_tags_wi<Integral_domain_without_division_tag,CK_MTag,2>();
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_hierarchy_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_hierarchy_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_hierarchy_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_hierarchy_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_hierarchy_2.h $
-// $Id: Segment_Delaunay_graph_hierarchy_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_hierarchy_2.h $
+// $Id: Segment_Delaunay_graph_hierarchy_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -55,13 +55,13 @@ const unsigned int sdg_hierarchy_2__maxl
 //--------------------------------------------------------------------
 
 template < class Gt,
-	   class ST = Segment_Delaunay_graph_storage_traits_2<Gt>,
-	   class STag = Tag_false,
-	   class D_S = Triangulation_data_structure_2<
+           class ST = Segment_Delaunay_graph_storage_traits_2<Gt>,
+           class STag = Tag_false,
+           class D_S = Triangulation_data_structure_2<
               Segment_Delaunay_graph_hierarchy_vertex_base_2<
-		Segment_Delaunay_graph_vertex_base_2<ST> >,
+                Segment_Delaunay_graph_vertex_base_2<ST> >,
               Segment_Delaunay_graph_face_base_2<Gt> >,
-	   class LTag = Tag_false,
+           class LTag = Tag_false,
            class SDGLx = Segment_Delaunay_graph_2<Gt,ST,D_S,LTag> >
 class Segment_Delaunay_graph_hierarchy_2
   : public SDGLx
@@ -147,8 +147,8 @@ public:
 
   template<class Input_iterator>
   Segment_Delaunay_graph_hierarchy_2(Input_iterator first,
-				     Input_iterator beyond,
-				     const Gt& gt=Gt())
+                                     Input_iterator beyond,
+                                     const Gt& gt=Gt())
     : Base(gt)
   {
     init_hierarchy(gt);
@@ -179,7 +179,7 @@ public:
   }
 
   template<class Input_iterator>
-  size_type insert(Input_iterator first, Input_iterator beyond,	Tag_true)
+  size_type insert(Input_iterator first, Input_iterator beyond,        Tag_true)
   {
     std::vector<Site_2> site_vec;
     for (Input_iterator it = first; it != beyond; ++it) {
@@ -195,7 +195,7 @@ public:
   }
 
   template<class Input_iterator>
-  size_type insert(Input_iterator first, Input_iterator beyond,	Tag_false)
+  size_type insert(Input_iterator first, Input_iterator beyond,        Tag_false)
   {
     // do it the obvious way: insert them as they come;
     // one might think though that it might be better to first insert
@@ -210,7 +210,7 @@ public:
 
   Vertex_handle  insert(const Point_2& p) {
     Point_handle ph = this->register_input_site(p);
-    Storage_site_2 ss = 
+    Storage_site_2 ss =
       this->st_.construct_storage_site_2_object()(ph);
     return insert_point(p, ss, UNDEFINED_LEVEL);
   }
@@ -235,24 +235,24 @@ public:
   }
 
   Vertex_handle insert(const Point_2& p0, const Point_2& p1,
-		       Vertex_handle) {
+                       Vertex_handle) {
     return insert(p0, p1);
   }
 
   Vertex_handle  insert(const Site_2& t) {
     // the intended use is to unify the calls to insert(...);
-    // thus the site must be an exact one; 
+    // thus the site must be an exact one;
     CGAL_precondition( t.is_input() );
 
     if ( t.is_segment() ) {
       Point_handle_pair php =
-	this->register_input_site(t.source(), t.target());
+        this->register_input_site(t.source(), t.target());
       Storage_site_2 ss =
-	this->st_.construct_storage_site_2_object()(php.first, php.second);
+        this->st_.construct_storage_site_2_object()(php.first, php.second);
       Vertex_handle v =
-	insert_segment(t.source(), t.target(), ss, UNDEFINED_LEVEL);
+        insert_segment(t.source(), t.target(), ss, UNDEFINED_LEVEL);
       if ( v == Vertex_handle() ) {
-	this->unregister_input_site( php.first, php.second );
+        this->unregister_input_site( php.first, php.second );
       }
       return v;
     } else if ( t.is_point() ) {
@@ -277,19 +277,19 @@ public:
     CGAL_SEGMENT_DELAUNAY_GRAPH_2_NS::Internal::
       Check_type_equality_for_info<Info_t, Info>();
     // the intended use is to unify the calls to insert(...);
-    // thus the site must be an exact one; 
+    // thus the site must be an exact one;
     CGAL_precondition( t.is_input() );
 
     if ( t.is_segment() ) {
       Point_handle_pair php =
-	this->register_input_site(t.source(), t.target());
+        this->register_input_site(t.source(), t.target());
       Storage_site_2 ss =
-	this->st_.construct_storage_site_2_object()(php.first, php.second);
+        this->st_.construct_storage_site_2_object()(php.first, php.second);
       ss.set_info(info);
       Vertex_handle v =
-	insert_segment(t.source(), t.target(), ss, UNDEFINED_LEVEL);
+        insert_segment(t.source(), t.target(), ss, UNDEFINED_LEVEL);
       if ( v == Vertex_handle() ) {
-	this->unregister_input_site( php.first, php.second );
+        this->unregister_input_site( php.first, php.second );
       }
       return v;
     } else if ( t.is_point() ) {
@@ -312,13 +312,13 @@ public:
 
 protected:
   Vertex_handle insert_point(const Point_2& p, const Storage_site_2& ss,
-			     int level) {
+                             int level) {
     if ( level == UNDEFINED_LEVEL ) {
       level = random_level();
     }
 
     Vertex_handle vertices[sdg_hierarchy_2__maxlevel];
-  
+
     insert_point(p, ss, level, vertices);
 
     return vertices[0];
@@ -327,59 +327,59 @@ protected:
   //  std::pair<bool,Vertex_triple>
   std::pair<bool,int>
                 insert_point(const Point_2& p, const Storage_site_2& ss,
-			     int level, Vertex_handle* vertices);
+                             int level, Vertex_handle* vertices);
 
   void          insert_point(const Site_2& t, const Storage_site_2& ss,
-			     int low, int high, Vertex_handle vbelow,
-			     Vertex_handle* vertices);
+                             int low, int high, Vertex_handle vbelow,
+                             Vertex_handle* vertices);
 
   Vertex_handle insert_segment(const Point_2& p0, const Point_2& p1,
-			       const Storage_site_2& ss, int level); 
+                               const Storage_site_2& ss, int level);
 
   Vertex_handle insert_segment_interior(const Site_2& t,
-					const Storage_site_2& ss,
-					const Vertex_handle* vertices0,
-					int level);
+                                        const Storage_site_2& ss,
+                                        const Vertex_handle* vertices0,
+                                        int level);
 
   void insert_segment_in_upper_levels(const Site_2& t,
-				      const Storage_site_2& ss,
-				      Vertex_handle vbelow,
-				      const Vertex_handle* vertices0,
-				      int level, Tag_true);
+                                      const Storage_site_2& ss,
+                                      Vertex_handle vbelow,
+                                      const Vertex_handle* vertices0,
+                                      int level, Tag_true);
 
   void insert_segment_in_upper_levels(const Site_2& ,
-				      const Storage_site_2& ,
-				      Vertex_handle ,
-				      const Vertex_handle* ,
-				      int , Tag_false) {}
+                                      const Storage_site_2& ,
+                                      Vertex_handle ,
+                                      const Vertex_handle* ,
+                                      int , Tag_false) {}
 
   Vertex_handle insert_segment_on_point(const Storage_site_2& ss,
-					const Vertex_handle& v,
-					int level, int which);
+                                        const Vertex_handle& v,
+                                        int level, int which);
 
   template<class Tag>
   Vertex_handle
   insert_intersecting_segment_with_tag(const Storage_site_2&,
-				       const Site_2& ,
-				       Vertex_handle ,
-				       int , Tag_false /* itag */, Tag) {
+                                       const Site_2& ,
+                                       Vertex_handle ,
+                                       int , Tag_false /* itag */, Tag) {
     print_error_message();
     return Vertex_handle();
   }
 
   Vertex_handle
   insert_intersecting_segment_with_tag(const Storage_site_2& ss,
-				       const Site_2& t,
-				       Vertex_handle v,
-				       int level,
-				       Tag_true itag, Tag_false stag);
+                                       const Site_2& t,
+                                       Vertex_handle v,
+                                       int level,
+                                       Tag_true itag, Tag_false stag);
 
   Vertex_handle
   insert_intersecting_segment_with_tag(const Storage_site_2& ss,
-				       const Site_2& t,
-				       Vertex_handle v,
-				       int level,
-				       Tag_true itag, Tag_true stag);
+                                       const Site_2& t,
+                                       Vertex_handle v,
+                                       int level,
+                                       Tag_true itag, Tag_true stag);
 
 public:
   // REMOVAL METHODS
@@ -390,7 +390,7 @@ public:
   // NEAREST NEIGHBOR LOCATION
   //--------------------------
   Vertex_handle  nearest_neighbor(const Point_2& p,
-				  bool force_point = false) const;
+                                  bool force_point = false) const;
 
   Vertex_handle  nearest_neighbor(const Point_2& p, Vertex_handle) const
   {
@@ -399,8 +399,8 @@ public:
 
 protected:
   void nearest_neighbor(const Site_2& p,
-			Vertex_handle vnear[sdg_hierarchy_2__maxlevel],
-			bool force_point) const; 
+                        Vertex_handle vnear[sdg_hierarchy_2__maxlevel],
+                        bool force_point) const;
 
 public:
   // MISCELLANEOUS
@@ -466,8 +466,8 @@ protected:
 
 template<class Gt, class STag, class D_S, class LTag>
 std::istream& operator>>(std::istream& is,
-			 Segment_Delaunay_graph_hierarchy_2<Gt,STag,D_S,LTag>&
-			 sdgh)
+                         Segment_Delaunay_graph_hierarchy_2<Gt,STag,D_S,LTag>&
+                         sdgh)
 {
   sdgh.file_input(is);
   return is;
@@ -475,14 +475,14 @@ std::istream& operator>>(std::istream& i
 
 template<class Gt, class STag, class D_S, class LTag>
 std::ostream& operator<<(std::ostream& os,
-			 const
-			 Segment_Delaunay_graph_hierarchy_2<Gt,STag,D_S,LTag>&
-			 sdgh)
+                         const
+                         Segment_Delaunay_graph_hierarchy_2<Gt,STag,D_S,LTag>&
+                         sdgh)
 {
   sdgh.file_output(os);
   return os;
 }
-			 
+
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_hierarchy_vertex_base_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_hierarchy_vertex_base_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_hierarchy_vertex_base_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_hierarchy_vertex_base_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_hierarchy_vertex_base_2.h $
-// $Id: Segment_Delaunay_graph_hierarchy_vertex_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_hierarchy_vertex_base_2.h $
+// $Id: Segment_Delaunay_graph_hierarchy_vertex_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -49,7 +49,7 @@ public:
     : V_Base(), up_( Vertex_handle() ), down_( Vertex_handle() ) {}
 
   Segment_Delaunay_graph_hierarchy_vertex_base_2(const Storage_site_2& ss,
-						 Face_handle f)
+                                                 Face_handle f)
     : V_Base(ss,f), up_( Vertex_handle() ), down_( Vertex_handle() ) {}
 
 public:  // for use in hierarchy only
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/basic.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/basic.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/basic.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/basic.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/basic.h $
-// $Id: basic.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/basic.h $
+// $Id: basic.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Basic_predicates_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Basic_predicates_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Basic_predicates_C2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Basic_predicates_C2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Basic_predicates_C2.h $
-// $Id: Basic_predicates_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Basic_predicates_C2.h $
+// $Id: Basic_predicates_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -534,7 +534,7 @@ public:
   static
   Comparison_result
   compare_linf_distances_to_lines(const Point_2& p,
-				     const Line_2& l1,
+                                     const Line_2& l1,
                                      const Line_2& l2)
   {
     Homogeneous_point_2 hl1 = compute_linf_projection_hom(l1, p);
@@ -1381,14 +1381,14 @@ public:
 
   inline static
   bool check_if_exact(const Site_2& , unsigned int ,
-		      const Tag_false&)
+                      const Tag_false&)
   {
     return true;
   }
 
   inline static
   bool check_if_exact(const Site_2& s, unsigned int i,
-		      const Tag_true&)
+                      const Tag_true&)
   {
     return s.is_input(i);
   }
@@ -1399,38 +1399,38 @@ public:
   // pass it so that we do not have to recompute it
   static bool
   is_on_positive_halfspace(const Site_2& supp,
-			   const Site_2& s, const Line_2& l)
+                           const Site_2& s, const Line_2& l)
   {
     CGAL_precondition( supp.is_segment() && s.is_segment() );
     Are_same_points_2 same_points;
     Are_same_segments_2 same_segments;
 
     if ( same_segments(supp.supporting_site(),
-		       s.supporting_site()) ) {
+                       s.supporting_site()) ) {
       return false;
     }
 
     if ( same_points(supp.source_site(), s.source_site()) ||
-	 same_points(supp.target_site(), s.source_site()) ) {
+         same_points(supp.target_site(), s.source_site()) ) {
       return oriented_side_of_line(l, s.target()) == ON_POSITIVE_SIDE;
     }
 
     if ( same_points(supp.source_site(), s.target_site()) ||
-	 same_points(supp.target_site(), s.target_site()) ) {
+         same_points(supp.target_site(), s.target_site()) ) {
       return oriented_side_of_line(l, s.source()) == ON_POSITIVE_SIDE;
     }
 
     ITag itag;
 
     if ( !check_if_exact(s, 0, itag) &&
-	 same_segments(supp.supporting_site(),
-		       s.crossing_site(0)) ) {
+         same_segments(supp.supporting_site(),
+                       s.crossing_site(0)) ) {
       return oriented_side_of_line(l, s.target()) == ON_POSITIVE_SIDE;
     }
 
     if ( !check_if_exact(s, 1, itag) &&
-	 same_segments(supp.supporting_site(),
-		       s.crossing_site(1)) ) {
+         same_segments(supp.supporting_site(),
+                       s.crossing_site(1)) ) {
       return oriented_side_of_line(l, s.source()) == ON_POSITIVE_SIDE;
     }
 
@@ -1511,7 +1511,7 @@ public:
       Line_2 l[])
   {
     CGAL_precondition( p.is_segment() && q.is_segment() &&
-		       r.is_segment() );
+                       r.is_segment() );
 
     l[0] = compute_supporting_line(p.supporting_site());
     l[1] = compute_supporting_line(q.supporting_site());
@@ -1520,41 +1520,41 @@ public:
     bool is_oriented[3] = {false, false, false};
 
     if ( is_on_positive_halfspace(p, q, l[0]) ||
-	 is_on_positive_halfspace(p, r, l[0]) ) {
+         is_on_positive_halfspace(p, r, l[0]) ) {
       is_oriented[0] = true;
     } else {
       l[0] = opposite_line(l[0]);
       if ( is_on_positive_halfspace(p, q, l[0]) ||
-	   is_on_positive_halfspace(p, r, l[0]) ) {
-	is_oriented[0] = true;
+           is_on_positive_halfspace(p, r, l[0]) ) {
+        is_oriented[0] = true;
       } else {
-	l[0] = opposite_line(l[0]);
+        l[0] = opposite_line(l[0]);
       }
     }
 
     if ( is_on_positive_halfspace(q, p, l[1]) ||
-	 is_on_positive_halfspace(q, r, l[1]) ) {
+         is_on_positive_halfspace(q, r, l[1]) ) {
       is_oriented[1] = true;
     } else {
        l[1] = opposite_line(l[1]);
       if ( is_on_positive_halfspace(q, p, l[1]) ||
-	   is_on_positive_halfspace(q, r, l[1]) ) {
-	is_oriented[1] = true;
+           is_on_positive_halfspace(q, r, l[1]) ) {
+        is_oriented[1] = true;
       } else {
-	l[1] = opposite_line(l[1]);
+        l[1] = opposite_line(l[1]);
       }
     }
 
     if ( is_on_positive_halfspace(r, p, l[2]) ||
-	 is_on_positive_halfspace(r, q, l[2]) ) {
+         is_on_positive_halfspace(r, q, l[2]) ) {
       is_oriented[2] = true;
     } else {
       l[2] = opposite_line(l[2]);
       if ( is_on_positive_halfspace(r, p, l[2]) ||
-	   is_on_positive_halfspace(r, q, l[2]) ) {
-	is_oriented[2] = true;
+           is_on_positive_halfspace(r, q, l[2]) ) {
+        is_oriented[2] = true;
       } else {
-	l[2] = opposite_line(l[2]);
+        l[2] = opposite_line(l[2]);
       }
     }
 
@@ -1565,9 +1565,9 @@ public:
     int i_no(-1);
     for (int i = 0; i < 3; i++) {
       if ( !is_oriented[i] ) {
-	i_no = i;
-	CGAL_assertion( is_oriented[(i+1)%3] && is_oriented[(i+2)%3] );
-	break;
+        i_no = i;
+        CGAL_assertion( is_oriented[(i+1)%3] && is_oriented[(i+2)%3] );
+        break;
       }
     }
 
@@ -1717,7 +1717,7 @@ public:
     CGAL_precondition( p.is_point() && s.is_segment() );
     Are_same_points_2 same_points;
     return ( same_points(p, s.source_site()) ||
-	     same_points(p, s.target_site())   );
+             same_points(p, s.target_site())   );
   }
 
   // Orient the segment s and return result as a line.
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Bisector_Linf.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Bisector_Linf.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Bisector_Linf.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Bisector_Linf.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Bisector_Linf.h $
-// $Id: Bisector_Linf.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Bisector_Linf.h $
+// $Id: Bisector_Linf.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Constructions_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Constructions_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Constructions_C2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Constructions_C2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Constructions_C2.h $
-// $Id: Constructions_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Constructions_C2.h $
+// $Id: Constructions_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Filtered_traits_base_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Filtered_traits_base_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Filtered_traits_base_2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Filtered_traits_base_2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Filtered_traits_base_2.h $
-// $Id: Filtered_traits_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Filtered_traits_base_2.h $
+// $Id: Filtered_traits_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -46,8 +46,8 @@ namespace CGAL {
 //-----------------------------------------------------------------------
 
 template<class CK_t, class CK_MTag, class EK_t, class EK_MTag,
-	 class FK_t, class FK_MTag, class C2E_t, class C2F_t,
-	 class ITag>
+         class FK_t, class FK_MTag, class C2E_t, class C2F_t,
+         class ITag>
 class Segment_Delaunay_graph_Linf_filtered_traits_base_2
  : public Segment_Delaunay_graph_filtered_traits_base_2
             <CK_t, CK_MTag, EK_t, EK_MTag,
@@ -56,10 +56,10 @@ class Segment_Delaunay_graph_Linf_filter
 private:
   typedef
   Segment_Delaunay_graph_Linf_filtered_traits_base_2<CK_t, CK_MTag,
-						EK_t, EK_MTag,
-						FK_t, FK_MTag,
-						C2E_t, C2F_t,
-						ITag>  Self;
+                                                EK_t, EK_MTag,
+                                                FK_t, FK_MTag,
+                                                C2E_t, C2F_t,
+                                                ITag>  Self;
 
   typedef
   Segment_Delaunay_graph_filtered_traits_base_2
@@ -206,16 +206,16 @@ public:
   // vertex, bisector, and Voronoi circle
   typedef
   Filtered_construction<CK_Construct_svd_vertex_2,
-			EK_Construct_svd_vertex_2,
-			FK_Construct_svd_vertex_2,
-			C2E, C2F, E2C, F2C>
+                        EK_Construct_svd_vertex_2,
+                        FK_Construct_svd_vertex_2,
+                        C2E, C2F, E2C, F2C>
   Construct_svd_vertex_2;
 
   //typedef
   //Filtered_construction<CK_Construct_sdg_bisector_2,
-  //			EK_Construct_sdg_bisector_2,
-  //			FK_Construct_sdg_bisector_2,
-  //			C2E, C2F, E2C, F2C>
+  //                        EK_Construct_sdg_bisector_2,
+  //                        FK_Construct_sdg_bisector_2,
+  //                        C2E, C2F, E2C, F2C>
   //Construct_sdg_bisector_2;
 
   // Linf traits contain bisector constructions
@@ -367,27 +367,27 @@ public:
 
   typedef
   Filtered_predicate<EK_Oriented_side_of_bisector_2,
-		     FK_Oriented_side_of_bisector_2, C2E, C2F>
+                     FK_Oriented_side_of_bisector_2, C2E, C2F>
   Oriented_side_of_bisector_2;
 
   typedef
   Filtered_predicate<EK_Vertex_conflict_2,
-		     FK_Vertex_conflict_2, C2E, C2F>
+                     FK_Vertex_conflict_2, C2E, C2F>
   Vertex_conflict_2;
 
   typedef
   Filtered_predicate<EK_Finite_edge_interior_conflict_2,
-		     FK_Finite_edge_interior_conflict_2, C2E, C2F>
+                     FK_Finite_edge_interior_conflict_2, C2E, C2F>
   Finite_edge_interior_conflict_2;
 
   typedef
   Filtered_predicate<EK_Infinite_edge_interior_conflict_2,
-		     FK_Infinite_edge_interior_conflict_2, C2E, C2F>
+                     FK_Infinite_edge_interior_conflict_2, C2E, C2F>
   Infinite_edge_interior_conflict_2;
 
   //typedef
   //Filtered_predicate<EK_Is_degenerate_edge_2,
-  //		     FK_Is_degenerate_edge_2, C2E, C2F>
+  //                     FK_Is_degenerate_edge_2, C2E, C2F>
   //Is_degenerate_edge_2;
 
 private:
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Finite_edge_interior_conflict_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Finite_edge_interior_conflict_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Finite_edge_interior_conflict_C2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Finite_edge_interior_conflict_C2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Finite_edge_interior_conflict_C2.h $
-// $Id: Finite_edge_interior_conflict_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Finite_edge_interior_conflict_C2.h $
+// $Id: Finite_edge_interior_conflict_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -104,8 +104,8 @@ private:
 
   Boolean
   is_interior_in_conflict_both(const Site_2& p, const Site_2& q,
-			       const Site_2& r, const Site_2& s,
-			       const Site_2& t, Method_tag tag) const
+                               const Site_2& r, const Site_2& s,
+                               const Site_2& t, Method_tag tag) const
   {
     Boolean   in_conflict(false);
 
@@ -136,8 +136,8 @@ private:
 
   bool
   is_interior_in_conflict_both_pp(const Site_2& sp, const Site_2& sq,
-				  const Site_2& r, const Site_2& s,
-				  const Site_2& t, Method_tag ) const
+                                  const Site_2& r, const Site_2& s,
+                                  const Site_2& t, Method_tag ) const
   {
     CGAL_precondition( sp.is_point() && sq.is_point() );
 
@@ -151,14 +151,14 @@ private:
     Oriented_side op, oq;
 
     if ( same_points(sp, t.source_site()) ||
-	 same_points(sp, t.target_site()) ) {
+         same_points(sp, t.target_site()) ) {
       op = ON_ORIENTED_BOUNDARY;
     } else {
       op = oriented_side_of_line(lt, p);
     }
 
     if ( same_points(sq, t.source_site()) ||
-	 same_points(sq, t.target_site()) ) {
+         same_points(sq, t.target_site()) ) {
       oq = ON_ORIENTED_BOUNDARY;
     } else {
       oq = oriented_side_of_line(lt, q);
@@ -166,8 +166,8 @@ private:
 
 
     if ((op == ON_POSITIVE_SIDE && oq == ON_NEGATIVE_SIDE) ||
-	(op == ON_NEGATIVE_SIDE && oq == ON_POSITIVE_SIDE) ||
-	(op == ON_ORIENTED_BOUNDARY || oq == ON_ORIENTED_BOUNDARY)) {
+        (op == ON_NEGATIVE_SIDE && oq == ON_POSITIVE_SIDE) ||
+        (op == ON_ORIENTED_BOUNDARY || oq == ON_ORIENTED_BOUNDARY)) {
       return true;
     }
 
@@ -199,8 +199,8 @@ private:
 
   bool
   is_interior_in_conflict_both_ss(const Site_2& p, const Site_2& q,
-				  const Site_2& , const Site_2& ,
-				  const Site_2& , Method_tag) const
+                                  const Site_2& , const Site_2& ,
+                                  const Site_2& , Method_tag) const
   {
     CGAL_precondition( p.is_segment() && q.is_segment() );
     CGAL_USE(p);
@@ -212,13 +212,13 @@ private:
 
   Boolean
   is_interior_in_conflict_both_ps(const Site_2& p, const Site_2& q,
-				  const Site_2& r, const Site_2& s,
-				  const Site_2& t, Method_tag tag) const
+                                  const Site_2& r, const Site_2& s,
+                                  const Site_2& t, Method_tag tag) const
   {
     CGAL_precondition( p.is_point() && q.is_segment() );
 
     if ( same_points(p, q.source_site()) ||
-	 same_points(p, q.target_site()) ) {
+         same_points(p, q.target_site()) ) {
       return false;
     }
 
@@ -232,8 +232,8 @@ private:
 
   Boolean
   is_interior_in_conflict_both_ps_p(const Site_2& p, const Site_2& q,
-				    const Site_2& r, const Site_2& s,
-				    const Site_2& t, Method_tag ) const
+                                    const Site_2& r, const Site_2& s,
+                                    const Site_2& t, Method_tag ) const
   {
     CGAL_precondition( t.is_point() );
 
@@ -273,8 +273,8 @@ private:
 
   Boolean
   is_interior_in_conflict_both_ps_s(const Site_2& sp, const Site_2& sq,
-				    const Site_2& r, const Site_2& s,
-				    const Site_2& st, Method_tag ) const
+                                    const Site_2& r, const Site_2& s,
+                                    const Site_2& st, Method_tag ) const
   {
     CGAL_precondition( st.is_segment() );
 
@@ -288,7 +288,7 @@ private:
     }
 
     if ( same_points(sp, st.source_site()) ||
-	 same_points(sp, st.target_site()) ) {
+         same_points(sp, st.target_site()) ) {
 
       Line_2 lqperp = compute_linf_perpendicular(lq, p);
 
@@ -301,8 +301,8 @@ private:
       CGAL_SDG_DEBUG( std::cout
           << "debug endpt case computing ondifparabarcs" << std::endl; );
       Boolean   on_different_parabola_arcs =
-	 ((opqr == ON_NEGATIVE_SIDE) & (oqps == ON_POSITIVE_SIDE)) |
-	 ((opqr == ON_POSITIVE_SIDE) & (oqps == ON_NEGATIVE_SIDE));
+         ((opqr == ON_NEGATIVE_SIDE) & (oqps == ON_POSITIVE_SIDE)) |
+         ((opqr == ON_POSITIVE_SIDE) & (oqps == ON_NEGATIVE_SIDE));
 
       //if ( !on_different_parabola_arcs ) { return true; }
       if (certainly( !on_different_parabola_arcs ) ) { return true; }
@@ -312,32 +312,32 @@ private:
 
       Site_2 t1;
       if ( same_points(sp, st.source_site()) ) {
-	t1 = st.target_site();
+        t1 = st.target_site();
       } else {
-	t1 = st.source_site();
+        t1 = st.source_site();
       }
 
       Oriented_side o_t1;
 
       if ( same_points(t1, sq.source_site()) ||
-	   same_points(t1, sq.target_site()) ) {
-	o_t1 = ON_ORIENTED_BOUNDARY;
+           same_points(t1, sq.target_site()) ) {
+        o_t1 = ON_ORIENTED_BOUNDARY;
       } else if (  !check_if_exact(t1, ITag()) &&
-		   ( same_segments(t1.supporting_site(0),
-				   sq.supporting_site()) ||
-		     same_segments(t1.supporting_site(1),
-				   sq.supporting_site()) )  ) {
-	o_t1 = ON_ORIENTED_BOUNDARY;
+                   ( same_segments(t1.supporting_site(0),
+                                   sq.supporting_site()) ||
+                     same_segments(t1.supporting_site(1),
+                                   sq.supporting_site()) )  ) {
+        o_t1 = ON_ORIENTED_BOUNDARY;
       } else {
-	o_t1 = oriented_side_of_line(lq, t1.point());
+        o_t1 = oriented_side_of_line(lq, t1.point());
       }
 
       if ( o_t1 == ON_NEGATIVE_SIDE ) {
-	return true;
+        return true;
       }
 
       Comparison_result res =
-	compare_linf_distances_to_line(lq, p, t1.point());
+        compare_linf_distances_to_line(lq, p, t1.point());
 
       return ( res == LARGER );
     } // end of case: point p is an endpoint of segment t
@@ -358,11 +358,11 @@ private:
       if ( have_opposite_directions ) { lq = opposite_line(lq); }
 
       if ( oriented_side_of_line(lq, p) == oriented_side_of_line(lt, p) ) {
-	return true;
+        return true;
       }
 
       if ( have_opposite_directions ) {
-	lq = opposite_line(lq);
+        lq = opposite_line(lq);
       }
     }
 
@@ -374,11 +374,11 @@ private:
     Oriented_side o_l_pqr = vpqr.oriented_side(l);
     Oriented_side o_l_qps = vqps.oriented_side(l);
     if (certainly( (o_l_pqr == ON_POSITIVE_SIDE) &
-	           (o_l_qps == ON_NEGATIVE_SIDE) ) )
+                   (o_l_qps == ON_NEGATIVE_SIDE) ) )
         return false;
     if (certainly( (o_l_pqr == ON_NEGATIVE_SIDE) &
-	           (o_l_qps == ON_POSITIVE_SIDE) ) )
-	return true;
+                   (o_l_qps == ON_POSITIVE_SIDE) ) )
+        return true;
     if (! is_certain((o_l_pqr == -o_l_qps) & (o_l_pqr != ZERO)))
         return indeterminate<Boolean>();
 
@@ -410,7 +410,7 @@ private:
     CGAL_assertion( o_l_pv != ON_ORIENTED_BOUNDARY );
 
     CGAL_assertion( o_l_pqr != ON_ORIENTED_BOUNDARY ||
-		    o_l_qps != ON_ORIENTED_BOUNDARY );
+                    o_l_qps != ON_ORIENTED_BOUNDARY );
 
     if ( o_l_pqr == ON_ORIENTED_BOUNDARY ) {
       return ( o_l_qps == o_l_pv );
@@ -424,8 +424,8 @@ private:
 
   Boolean
   is_interior_in_conflict_both_sp(const Site_2& p, const Site_2& q,
-				  const Site_2& r, const Site_2& s,
-				  const Site_2& t, Method_tag tag) const
+                                  const Site_2& r, const Site_2& s,
+                                  const Site_2& t, Method_tag tag) const
   {
     return is_interior_in_conflict_both_ps(q, p, s, r, t, tag);
   }
@@ -437,8 +437,8 @@ private:
 
   bool
   is_interior_in_conflict_touch(const Site_2& p, const Site_2& q,
-				const Site_2& r, const Site_2& s,
-				const Site_2& t, Method_tag tag) const
+                                const Site_2& r, const Site_2& s,
+                                const Site_2& t, Method_tag tag) const
   {
     // checks if interior of voronoi edge is in conflict if both extrema
     // of the voronoi edge touch the corresponding circles.
@@ -487,7 +487,7 @@ private:
 #else
     // OLD CODE: buggy if the edge is degenerate
     if ( (p.is_point() && q.is_point()) ||
-	 (p.is_segment() && q.is_segment()) ) {
+         (p.is_segment() && q.is_segment()) ) {
       return true;
     }
 #endif
@@ -496,7 +496,7 @@ private:
       Line_2 lq = compute_supporting_line(q.supporting_site());
 
       Comparison_result res =
-	compare_linf_distances_to_line(lq, p.point(), t.point());
+        compare_linf_distances_to_line(lq, p.point(), t.point());
 
       return (res != SMALLER);
     }
@@ -513,8 +513,8 @@ private:
 
   bool
   is_interior_in_conflict_none(const Site_2& p, const Site_2& q,
-			       const Site_2& r, const Site_2& s,
-			       const Site_2& t, Method_tag tag) const
+                               const Site_2& r, const Site_2& s,
+                               const Site_2& t, Method_tag tag) const
   {
     if ( t.is_segment() ) { return false; }
 
@@ -538,8 +538,8 @@ private:
 
   bool
   is_interior_in_conflict_none_pp(const Site_2& p, const Site_2& q,
-				  const Site_2& , const Site_2& ,
-				  const Site_2& t, Method_tag ) const
+                                  const Site_2& , const Site_2& ,
+                                  const Site_2& t, Method_tag ) const
   {
     CGAL_precondition( p.is_point() && q.is_point() && t.is_point() );
     CGAL_USE(p);
@@ -552,13 +552,13 @@ private:
 
   bool
   is_interior_in_conflict_none_ps(const Site_2& sp, const Site_2& sq,
-				  const Site_2& r, const Site_2& s,
-				  const Site_2& st, Method_tag ) const
+                                  const Site_2& r, const Site_2& s,
+                                  const Site_2& st, Method_tag ) const
   {
     CGAL_precondition( sp.is_point() && sq.is_segment() && st.is_point() );
 
     if ( same_points(sp, sq.source_site()) ||
-	 same_points(sp, sq.target_site()) ) {
+         same_points(sp, sq.target_site()) ) {
       return false;
     }
 
@@ -595,8 +595,8 @@ private:
 
   bool
   is_interior_in_conflict_none_sp(const Site_2& p, const Site_2& q,
-				  const Site_2& r, const Site_2& s,
-				  const Site_2& t, Method_tag tag) const
+                                  const Site_2& r, const Site_2& s,
+                                  const Site_2& t, Method_tag tag) const
   {
     return is_interior_in_conflict_none_ps(q, p, s, r, t, tag);
   }
@@ -605,8 +605,8 @@ private:
 
   bool
   is_interior_in_conflict_none_ss(const Site_2& p, const Site_2& q,
-				  const Site_2& r, const Site_2& s,
-				  const Site_2& t, Method_tag ) const
+                                  const Site_2& r, const Site_2& s,
+                                  const Site_2& t, Method_tag ) const
   {
     CGAL_precondition( p.is_segment() && q.is_segment() && t.is_point() );
 
@@ -621,27 +621,27 @@ private:
       Site_2 tpqr = Site_2::construct_site_2(vpqr.degenerate_point());
 
       if ( same_points(tpqr, p.source_site()) ||
-	   same_points(tpqr, p.target_site()) ) {
-	if ( vqps.oriented_side(lp) != ON_POSITIVE_SIDE ) {
-	  lp = opposite_line(lp);
-	}
+           same_points(tpqr, p.target_site()) ) {
+        if ( vqps.oriented_side(lp) != ON_POSITIVE_SIDE ) {
+          lp = opposite_line(lp);
+        }
       }
     } else {
       if ( vpqr.oriented_side(lp) != ON_POSITIVE_SIDE ) {
-	lp = opposite_line(lp);
+        lp = opposite_line(lp);
       }
     }
 #if 0 // OLD CODE
     if (  ( vpqr.is_degenerate_Voronoi_circle() &&
-	    same_points(vpqr.degenerate_point(), p.source_site()) ) ||
-	  ( vpqr.is_degenerate_Voronoi_circle() &&
-	    same_points(vpqr.degenerate_point(), p.target_site()) )  ) {
+            same_points(vpqr.degenerate_point(), p.source_site()) ) ||
+          ( vpqr.is_degenerate_Voronoi_circle() &&
+            same_points(vpqr.degenerate_point(), p.target_site()) )  ) {
       if ( vqps.oriented_side(lp) != ON_POSITIVE_SIDE ) {
-	lp = opposite_line(lp);
+        lp = opposite_line(lp);
       }
     } else {
       if ( vpqr.oriented_side(lp) != ON_POSITIVE_SIDE ) {
-	lp = opposite_line(lp);
+        lp = opposite_line(lp);
       }
     }
 #endif
@@ -651,27 +651,27 @@ private:
       Site_2 tpqr = Site_2::construct_site_2(vpqr.degenerate_point());
 
       if ( same_points(tpqr, q.source_site()) ||
-	   same_points(tpqr, q.target_site()) ) {
-	if ( vqps.oriented_side(lq) != ON_POSITIVE_SIDE ) {
-	  lq = opposite_line(lq);
-	}
+           same_points(tpqr, q.target_site()) ) {
+        if ( vqps.oriented_side(lq) != ON_POSITIVE_SIDE ) {
+          lq = opposite_line(lq);
+        }
       }
     } else {
       if ( vpqr.oriented_side(lq) != ON_POSITIVE_SIDE ) {
-	lq = opposite_line(lq);
+        lq = opposite_line(lq);
       }
     }
 #if 0 // OLD CODE
     if (  ( vpqr.is_degenerate_Voronoi_circle() &&
-	    same_points(vpqr.degenerate_point(), q.source_site()) ) ||
-	  ( vpqr.is_degenerate_Voronoi_circle() &&
-	    same_points(vpqr.degenerate_point(), q.target_site()) )  ) {
+            same_points(vpqr.degenerate_point(), q.source_site()) ) ||
+          ( vpqr.is_degenerate_Voronoi_circle() &&
+            same_points(vpqr.degenerate_point(), q.target_site()) )  ) {
       if ( vqps.oriented_side(lq) != ON_POSITIVE_SIDE ) {
-	lq = opposite_line(lq);
+        lq = opposite_line(lq);
       }
     } else {
       if ( vpqr.oriented_side(lq) != ON_POSITIVE_SIDE ) {
-	lq = opposite_line(lq);
+        lq = opposite_line(lq);
       }
     }
 #endif
@@ -698,7 +698,7 @@ private:
     }
 
     CGAL_precondition( ot_lp != ON_ORIENTED_BOUNDARY &&
-		       ot_lq != ON_ORIENTED_BOUNDARY );
+                       ot_lq != ON_ORIENTED_BOUNDARY );
 
     // check of lperp separates the two Voronoi vertices
     Oriented_side opqr_perp = vpqr.oriented_side(lperp);
@@ -722,7 +722,7 @@ public:
   typedef Site_2            argument_type;
 
   Boolean   operator()(const Site_2& p, const Site_2& q, const Site_2& r,
-		       const Site_2& s, const Site_2& t, Sign sgn) const
+                       const Site_2& s, const Site_2& t, Sign sgn) const
   {
     Boolean retval;
     CGAL_SDG_DEBUG(
@@ -746,7 +746,7 @@ public:
 
   // philaris: tocheck
   Boolean   operator()(const Site_2& p, const Site_2& q, const Site_2& r,
-		       const Site_2& t, Sign sgn) const
+                       const Site_2& t, Sign sgn) const
   {
     CGAL_SDG_DEBUG(
         std::cout << "debug finite-edge-int-cf entering (p,q,r,t,sgn)= ("
@@ -1218,7 +1218,7 @@ public:
   }
 
   Boolean   operator()(const Site_2& p, const Site_2& q, const Site_2& t,
-		       Sign sgn) const
+                       Sign sgn) const
   {
     CGAL_SDG_DEBUG(
         std::cout << "debug finite-edge-int-cf entering (p,q,t,sgn)= "
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Infinite_edge_interior_conflict_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Infinite_edge_interior_conflict_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Infinite_edge_interior_conflict_C2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Infinite_edge_interior_conflict_C2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Infinite_edge_interior_conflict_C2.h $
-// $Id: Infinite_edge_interior_conflict_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Infinite_edge_interior_conflict_C2.h $
+// $Id: Infinite_edge_interior_conflict_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -77,7 +77,7 @@ private:
 
 public:
   Boolean   operator()(const Site_2& q, const Site_2& s, const Site_2& r,
-		       const Site_2& t, Sign sgn) const
+                       const Site_2& t, Sign sgn) const
   {
 
     CGAL_SDG_DEBUG(
@@ -308,7 +308,7 @@ public:
             << ' ' << sgn << " returns "
             << ( sgn == NEGATIVE ) << std::endl;);
         return ( sgn == NEGATIVE );
-      } 
+      }
       else
       {
         if (sgn == NEGATIVE) {
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Orientation_Linf_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Orientation_Linf_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Orientation_Linf_C2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Orientation_Linf_C2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Orientation_Linf_C2.h $
-// $Id: Orientation_Linf_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Orientation_Linf_C2.h $
+// $Id: Orientation_Linf_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -50,9 +50,9 @@ private:
   typedef typename Base::Oriented_side        Oriented_side;
   typedef typename Base::Sign                 Sign;
 
-  // the orientation Linf predicate for three points 
+  // the orientation Linf predicate for three points
   typedef Orientation_Linf_2<K>               Orientation_Linf_points_2;
-  
+
   typedef SegmentDelaunayGraph_2::Are_same_points_C2<K>   Are_same_points_2;
   typedef SegmentDelaunayGraph_2::Are_same_segments_C2<K> Are_same_segments_2;
 
@@ -73,20 +73,20 @@ private:
   }
 
   bool have_common_support(const Site_2& p, const Site_2& q,
-			   Site_2& support) const
+                           Site_2& support) const
   {
     CGAL_precondition( !p.is_input() && !q.is_input() );
 
     if ( same_segments(p.supporting_site(0),
-		       q.supporting_site(0)) ||
-	 same_segments(p.supporting_site(0),
-		       q.supporting_site(1)) ) {
+                       q.supporting_site(0)) ||
+         same_segments(p.supporting_site(0),
+                       q.supporting_site(1)) ) {
       support = p.supporting_site(0);
       return true;
     } else if ( same_segments(p.supporting_site(1),
-			      q.supporting_site(0)) ||
-		same_segments(p.supporting_site(1),
-			      q.supporting_site(1)) ) {
+                              q.supporting_site(0)) ||
+                same_segments(p.supporting_site(1),
+                              q.supporting_site(1)) ) {
       support =  p.supporting_site(1);
       return true;
     }
@@ -102,14 +102,14 @@ private:
   //-------------------------------------------------------------
 
   OrientationLinf predicate(const Site_2& p, const Site_2& q,
-			const Site_2& r, const Tag_false&) const
+                        const Site_2& r, const Tag_false&) const
   {
     return Orientation_Linf_points_2()(
-	    p.point(), q.point(), r.point());
+            p.point(), q.point(), r.point());
   }
 
   OrientationLinf predicate(const Site_2& p, const Site_2& q,
-			const Site_2& r, const Tag_true&) const
+                        const Site_2& r, const Tag_true&) const
   {
 #if 1
     // do geometric filtering
@@ -119,44 +119,44 @@ private:
     Site_2 support;
     if ( !pe && !qe && !re ) {
       if ( have_common_support(p, q, support) &&
-	   have_common_support(support, r) ) {
-	return DEGENERATE;
+           have_common_support(support, r) ) {
+        return DEGENERATE;
       }
     } else if ( !pe && !qe ) {
       if ( have_common_support(p, q, support) &&
-	   is_endpoint(r, support) ) {
-	return DEGENERATE;
+           is_endpoint(r, support) ) {
+        return DEGENERATE;
       }
     } else if ( !pe && !re ) {
       if ( have_common_support(p, r, support) &&
-	   is_endpoint(q, support) ) {
-	return DEGENERATE;
+           is_endpoint(q, support) ) {
+        return DEGENERATE;
       }
     } else if ( !qe && !re ) {
       if ( have_common_support(q, r, support) &&
-	   is_endpoint(p, support) ) {
-	return DEGENERATE;
+           is_endpoint(p, support) ) {
+        return DEGENERATE;
       }
     } else if ( !pe ) {
       Site_2 s0 = p.supporting_site(0);
       Site_2 s1 = p.supporting_site(1);
       if ( (is_endpoint(q, s0) && is_endpoint(r, s0)) ||
-	   (is_endpoint(q, s1) && is_endpoint(r, s1)) ) {
-	return DEGENERATE;
+           (is_endpoint(q, s1) && is_endpoint(r, s1)) ) {
+        return DEGENERATE;
       }
     } else if ( !qe ) {
       Site_2 s0 = q.supporting_site(0);
       Site_2 s1 = q.supporting_site(1);
       if ( (is_endpoint(p, s0) && is_endpoint(r, s0)) ||
-	   (is_endpoint(p, s1) && is_endpoint(r, s1)) ) {
-	return DEGENERATE;
+           (is_endpoint(p, s1) && is_endpoint(r, s1)) ) {
+        return DEGENERATE;
       }
     } else if ( !re ) {
       Site_2 s0 = r.supporting_site(0);
       Site_2 s1 = r.supporting_site(1);
       if ( (is_endpoint(q, s0) && is_endpoint(p, s0)) ||
-	   (is_endpoint(q, s1) && is_endpoint(p, s1)) ) {
-	return DEGENERATE;
+           (is_endpoint(q, s1) && is_endpoint(p, s1)) ) {
+        return DEGENERATE;
       }
     }
 #endif
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Oriented_side_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Oriented_side_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Oriented_side_C2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Oriented_side_C2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Oriented_side_C2.h $
-// $Id: Oriented_side_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Oriented_side_C2.h $
+// $Id: Oriented_side_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -76,8 +76,8 @@ public:
   // is the direction of the supporting line of s, rotated by 90
   // degrees counterclockwise.
   Oriented_side operator()(const Site_2& s1, const Site_2& s2,
-			   const Site_2& s3,
-			   const Site_2& s, const Site_2& p) const
+                           const Site_2& s3,
+                           const Site_2& s, const Site_2& p) const
   {
     CGAL_precondition( s.is_segment() && p.is_point() );
 
@@ -99,8 +99,8 @@ public:
 
   // tie breaker for finite vertex
   Oriented_side operator()(const Site_2& s1, const Site_2& s2,
-			   const Site_2& s3,
-			   const Site_2& s, const Site_2& p,
+                           const Site_2& s3,
+                           const Site_2& s, const Site_2& p,
                            const Point_2 & pt) const
   {
     CGAL_precondition( s.is_segment() && p.is_point() );
@@ -202,7 +202,7 @@ public:
   // is the direction of the supporting line of s, rotated by 90
   // degrees counterclockwise.
   Oriented_side operator()(const Site_2& s1, const Site_2& s2,
-			   const Site_2& s, const Site_2& p) const
+                           const Site_2& s, const Site_2& p) const
   {
     CGAL_precondition( s.is_segment() && p.is_point() );
 
@@ -319,7 +319,7 @@ public:
 
   // tie breaker for infinite vertex
   Oriented_side operator()(const Site_2& s1, const Site_2& s2,
-			   const Site_2& s, const Site_2& p,
+                           const Site_2& s, const Site_2& p,
                            const Point_2 & pt) const
   {
     CGAL_precondition( s.is_segment() && p.is_point() );
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Oriented_side_of_bisector_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Oriented_side_of_bisector_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Oriented_side_of_bisector_C2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Oriented_side_of_bisector_C2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Oriented_side_of_bisector_C2.h $
-// $Id: Oriented_side_of_bisector_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Oriented_side_of_bisector_C2.h $
+// $Id: Oriented_side_of_bisector_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -81,7 +81,7 @@ private:
 
   Comparison_result
   compare_distances_pp(const Site_2& p1, const Site_2& p2,
-		       const Site_2& q) const
+                       const Site_2& q) const
   {
     CGAL_precondition( p1.is_point() && p2.is_point() );
     CGAL_precondition( !same_points(p1,p2) );
@@ -99,7 +99,7 @@ private:
 
   Comparison_result
   compare_distances_sp(const Site_2& s, const Site_2& p,
-		       const Site_2& q) const
+                       const Site_2& q) const
   {
 
     //CGAL_SDG_DEBUG(std::cout << "debug compare_distances_sp entering "
@@ -122,7 +122,7 @@ private:
       Line_2 lp = compute_linf_perpendicular(ls, p.point());
 
       if ( is_trg ) {
-	lp = opposite_line(lp);
+        lp = opposite_line(lp);
       }
 
       const Oriented_side os = oriented_side_of_line(lp, q.point());
@@ -132,9 +132,9 @@ private:
           << " has os=" << os << std::endl;);
 
       if ( os == ON_POSITIVE_SIDE ) {
-	return LARGER;
+        return LARGER;
       } else if ( os == ON_NEGATIVE_SIDE) {
-	return SMALLER;
+        return SMALLER;
       } else {
         // philaris: here, point is closer, not interior of segment
         //return LARGER;
@@ -168,7 +168,7 @@ private:
 
   Comparison_result
   compare_distances_ss(const Site_2& s1, const Site_2& s2,
-		       const Site_2& q) const
+                       const Site_2& q) const
   {
     CGAL_precondition( s1.is_segment() && s2.is_segment() );
     CGAL_precondition( !is_degenerate(s1) );
@@ -223,7 +223,7 @@ private:
     } else {
       os_trg1 = oriented_side_of_line(ltrg1, qq);
       if ( os_trg1 != ON_POSITIVE_SIDE ) {
-	idx1 = 1;
+        idx1 = 1;
       }
     }
 
@@ -235,7 +235,7 @@ private:
     } else {
       os_trg2 = oriented_side_of_line(ltrg2, qq);
       if ( os_trg2 != ON_POSITIVE_SIDE ) {
-	idx2 = 1;
+        idx2 = 1;
       }
     }
 
@@ -251,15 +251,15 @@ private:
 
     if ( idx1 == -1 ) {
       if ( idx2 == -1 ) {
-	if ( same_points(s1.source_site(), s2.source_site()) ) {
-	  return EQUAL;
-	}
-	return compare_distance_to_point_linf(qq, ssrc1, ssrc2);
+        if ( same_points(s1.source_site(), s2.source_site()) ) {
+          return EQUAL;
+        }
+        return compare_distance_to_point_linf(qq, ssrc1, ssrc2);
       } else if ( idx2 == 1 ) {
-	if ( same_points(s1.source_site(), s2.target_site()) ) {
-	  return EQUAL;
-	}
-	return compare_distance_to_point_linf(qq, ssrc1, strg2);
+        if ( same_points(s1.source_site(), s2.target_site()) ) {
+          return EQUAL;
+        }
+        return compare_distance_to_point_linf(qq, ssrc1, strg2);
       } else {
         const RT d2_s1 = compute_linf_distance(ssrc1, qq);
         const std::pair<RT,RT> d2_s2 = compute_linf_distance(qq, ls2);
@@ -267,15 +267,15 @@ private:
       }
     } else if ( idx1 == 1 ) {
       if ( idx2 == -1 ) {
-	if ( same_points(s1.target_site(), s2.source_site()) ) {
-	  return EQUAL;
-	}
-	return compare_distance_to_point_linf(qq, strg1, ssrc2);
+        if ( same_points(s1.target_site(), s2.source_site()) ) {
+          return EQUAL;
+        }
+        return compare_distance_to_point_linf(qq, strg1, ssrc2);
       } else if ( idx2 == 1 ) {
-	if ( same_points(s1.target_site(), s2.target_site()) ) {
-	  return EQUAL;
-	}
-	return compare_distance_to_point_linf(qq, strg1, strg2);
+        if ( same_points(s1.target_site(), s2.target_site()) ) {
+          return EQUAL;
+        }
+        return compare_distance_to_point_linf(qq, strg1, strg2);
       } else {
         // here closest2 is inside segment s2
         const RT d2_s1 = compute_linf_distance(strg1, qq);
@@ -308,7 +308,7 @@ private:
 
   Oriented_side
   compare_distances(const Site_2& t1, const Site_2& t2,
-		    const Site_2& q) const
+                    const Site_2& q) const
   {
     Comparison_result r;
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Predicates_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Predicates_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Predicates_C2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Predicates_C2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Predicates_C2.h $
-// $Id: Predicates_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Predicates_C2.h $
+// $Id: Predicates_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Segment_Delaunay_graph_Linf_2_impl.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Segment_Delaunay_graph_Linf_2_impl.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Segment_Delaunay_graph_Linf_2_impl.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Segment_Delaunay_graph_Linf_2_impl.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Segment_Delaunay_graph_Linf_2_impl.h $
-// $Id: Segment_Delaunay_graph_Linf_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Segment_Delaunay_graph_Linf_2_impl.h $
+// $Id: Segment_Delaunay_graph_Linf_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -18,7 +18,7 @@ template<class Gt, class ST, class D_S,
 void
 Segment_Delaunay_graph_Linf_2<Gt,ST,D_S,LTag>::
 face_output(const char *before, Face_handle f,
-	    const char *after) const
+            const char *after) const
 {
   std::cout << before;
   if (is_infinite(f->vertex(0))) {
@@ -288,7 +288,7 @@ find_faces_to_split(const Vertex_handle&
     // before it was:
     //   os1 == ON_POSITIVE_SIDE && os2 != ON_POSITIVE_SIDE
     if ( !found_f2 &&
-	 os1 != ON_NEGATIVE_SIDE && os2 == ON_NEGATIVE_SIDE ) {
+         os1 != ON_NEGATIVE_SIDE && os2 == ON_NEGATIVE_SIDE ) {
       f2 = ff2;
       found_f2 = true;
       count_pon_zeros = count_zeros;
@@ -476,7 +476,7 @@ template<class Gt, class ST, class D_S,
 typename Segment_Delaunay_graph_Linf_2<Gt,ST,D_S,LTag>::Vertex_triple
 Segment_Delaunay_graph_Linf_2<Gt,ST,D_S,LTag>::
 insert_exact_point_on_segment(const Storage_site_2& ss, const Site_2& t,
-			      Vertex_handle v)
+                              Vertex_handle v)
 {
   // splits the segment site v->site() in two and inserts represented by t
   // on return the three vertices are, respectively, the vertex
@@ -615,7 +615,7 @@ template<class Gt, class ST, class D_S,
 typename Segment_Delaunay_graph_Linf_2<Gt,ST,D_S,LTag>::Vertex_triple
 Segment_Delaunay_graph_Linf_2<Gt,ST,D_S,LTag>::
 insert_point_on_segment(const Storage_site_2& ss, const Site_2& ,
-			Vertex_handle v, const Tag_true&)
+                        Vertex_handle v, const Tag_true&)
 {
   // splits the segment site v->site() in two and inserts the point of
   // intersection of t and v->site()
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Segment_Delaunay_graph_Linf_hierarchy_2_impl.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Segment_Delaunay_graph_Linf_hierarchy_2_impl.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Segment_Delaunay_graph_Linf_hierarchy_2_impl.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Segment_Delaunay_graph_Linf_hierarchy_2_impl.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Segment_Delaunay_graph_Linf_hierarchy_2_impl.h $
-// $Id: Segment_Delaunay_graph_Linf_hierarchy_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Segment_Delaunay_graph_Linf_hierarchy_2_impl.h $
+// $Id: Segment_Delaunay_graph_Linf_hierarchy_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -30,7 +30,7 @@ void
 Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::
 init_hierarchy(const Geom_traits& gt)
 {
-  hierarchy[0] = this; 
+  hierarchy[0] = this;
   for(unsigned int i = 1; i < sdg_hierarchy_2__maxlevel; ++i) {
     hierarchy[i] = new Base(gt);
   }
@@ -40,7 +40,7 @@ template<class Gt, class ST, class STag,
 Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::
 Segment_Delaunay_graph_Linf_hierarchy_2(const Gt& gt)
   : Base(gt)
-{ 
+{
   init_hierarchy(gt);
 }
 
@@ -51,11 +51,11 @@ Segment_Delaunay_graph_Linf_hierarchy_2<
 Segment_Delaunay_graph_Linf_hierarchy_2
 (const Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag> &sdg)
     : Base(sdg.geom_traits())
-{ 
+{
   // create an empty triangulation to be able to delete it !
   init_hierarchy(sdg.geom_traits());
   copy(sdg);
-} 
+}
 
 //---------------------------------------------------------------------------
 //---------------------------------------------------------------------------
@@ -63,11 +63,11 @@ Segment_Delaunay_graph_Linf_hierarchy_2
 //---------------------------------------------------------------------------
 //---------------------------------------------------------------------------
 template<class Gt, class ST, class STag, class D_S, class LTag>
-Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>:: 
+Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::
 ~Segment_Delaunay_graph_Linf_hierarchy_2()
 {
   clear();
-  for(unsigned int i = 1; i < sdg_hierarchy_2__maxlevel; ++i){ 
+  for(unsigned int i = 1; i < sdg_hierarchy_2__maxlevel; ++i){
     delete hierarchy[i];
   }
 }
@@ -102,7 +102,7 @@ template<class Gt, class ST, class STag,
 std::pair<bool,int>
 Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::
 insert_point(const Point_2& p, const Storage_site_2& ss, int level,
-	     Vertex_handle* vertices)
+             Vertex_handle* vertices)
 {
   CGAL_SDG_DEBUG(std::cout << "debug hier insert_point " << p << " at level "
                  << level << std::endl;);
@@ -126,42 +126,42 @@ insert_point(const Point_2& p, const Sto
     Arrangement_type at_res = this->arrangement_type(t, vnear[0]);
 
     CGAL_assertion( at_res == AT2::DISJOINT ||
-		    at_res == AT2::INTERIOR ||
-		    at_res == AT2::IDENTICAL );
+                    at_res == AT2::INTERIOR ||
+                    at_res == AT2::IDENTICAL );
 
     if ( vnear[0]->is_point() ) {
       CGAL_SDG_DEBUG(std::cout << "debug hier insert_point nearest is point"
                      << std::endl;);
       if ( at_res == AT2::IDENTICAL ) {
-	vertex = vnear[0];
-	merge_info(vertex, ss);
+        vertex = vnear[0];
+        merge_info(vertex, ss);
       } else {
-	vertex = hierarchy[0]->insert_point2(ss, t, vnear[0]);
+        vertex = hierarchy[0]->insert_point2(ss, t, vnear[0]);
       }
     } else { // nearest neighbor is a segment
       CGAL_assertion( vnear[0]->is_segment() );
       CGAL_assertion( at_res == AT2::DISJOINT ||
-		      at_res == AT2::INTERIOR );
+                      at_res == AT2::INTERIOR );
 
       if ( at_res == AT2::INTERIOR ) {
-	CGAL_assertion( t.is_input() );
-	lies_on_seg = true;
+        CGAL_assertion( t.is_input() );
+        lies_on_seg = true;
 
-	int vnear_level = find_level(vnear[0]);
+        int vnear_level = find_level(vnear[0]);
 
-	// I need to find the level of the nearest neighbor that t
-	// lies on and update the level of t
-	if ( new_level < vnear_level ) {
-	  new_level = vnear_level;
-	}
-
-	Vertex_triple vt =
-	  hierarchy[0]->insert_exact_point_on_segment(ss, t, vnear[0]);
-	vertex = vt.first;
-	vs1 = vt.second;
-	vs2 = vt.third;
+        // I need to find the level of the nearest neighbor that t
+        // lies on and update the level of t
+        if ( new_level < vnear_level ) {
+          new_level = vnear_level;
+        }
+
+        Vertex_triple vt =
+          hierarchy[0]->insert_exact_point_on_segment(ss, t, vnear[0]);
+        vertex = vt.first;
+        vs1 = vt.second;
+        vs2 = vt.third;
       } else {
-	vertex = hierarchy[0]->insert_point2(ss, t, vnear[0]);
+        vertex = hierarchy[0]->insert_point2(ss, t, vnear[0]);
       }
     }
   } else if ( n == 0 ) {
@@ -188,40 +188,40 @@ insert_point(const Point_2& p, const Sto
     size_type nv = hierarchy[k]->number_of_vertices();
     if ( nv > 2 ) {
       if ( nv < sdg_hierarchy_2__minsize ) {
-	CGAL_assertion( vnear[k] == Vertex_handle() );
-	vnear[k] = hierarchy[k]->nearest_neighbor(p);
+        CGAL_assertion( vnear[k] == Vertex_handle() );
+        vnear[k] = hierarchy[k]->nearest_neighbor(p);
       }
       Arrangement_type at_res = this->arrangement_type(t, vnear[k]->site());
       if ( at_res == AT2::INTERIOR ) {
-	Vertex_triple vt =
-	  hierarchy[k]->insert_exact_point_on_segment(ss, t, vnear[k]);
-	vertex = vt.first;
-	vs1 = vt.second;
-	vs2 = vt.third;
-
-	CGAL_assertion( (same_segments(vs1_prev->site(), vs1->site()) &&
-			 same_segments(vs2_prev->site(), vs2->site())) ||
-			(same_segments(vs1_prev->site(), vs2->site()) &&
-			 same_segments(vs2_prev->site(), vs1->site())) );
-	if ( same_segments(vs1_prev->site(), vs1->site()) ) {
-	  vs1->set_down(vs1_prev);
-	  vs1_prev->set_up(vs1);
-	  vs1_prev = vs1;
-
-	  vs2->set_down(vs2_prev);
-	  vs2_prev->set_up(vs2);
-	  vs2_prev = vs2;
-	} else {
-	  vs1->set_down(vs2_prev);
-	  vs2_prev->set_up(vs1);
-	  vs2_prev = vs1;
-
-	  vs2->set_down(vs1_prev);
-	  vs1_prev->set_up(vs2);
-	  vs1_prev = vs2;
-	}
+        Vertex_triple vt =
+          hierarchy[k]->insert_exact_point_on_segment(ss, t, vnear[k]);
+        vertex = vt.first;
+        vs1 = vt.second;
+        vs2 = vt.third;
+
+        CGAL_assertion( (same_segments(vs1_prev->site(), vs1->site()) &&
+                         same_segments(vs2_prev->site(), vs2->site())) ||
+                        (same_segments(vs1_prev->site(), vs2->site()) &&
+                         same_segments(vs2_prev->site(), vs1->site())) );
+        if ( same_segments(vs1_prev->site(), vs1->site()) ) {
+          vs1->set_down(vs1_prev);
+          vs1_prev->set_up(vs1);
+          vs1_prev = vs1;
+
+          vs2->set_down(vs2_prev);
+          vs2_prev->set_up(vs2);
+          vs2_prev = vs2;
+        } else {
+          vs1->set_down(vs2_prev);
+          vs2_prev->set_up(vs1);
+          vs2_prev = vs1;
+
+          vs2->set_down(vs1_prev);
+          vs1_prev->set_up(vs2);
+          vs1_prev = vs2;
+        }
       } else {
-	vertex = hierarchy[k]->insert_point(ss, t, vnear[k]);	
+        vertex = hierarchy[k]->insert_point(ss, t, vnear[k]);
       }
     } else if ( nv == 2 ) {
       vertex = hierarchy[k]->insert_third(t, ss);
@@ -246,8 +246,8 @@ template<class Gt, class ST, class STag,
 void
 Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::
 insert_point(const Site_2& t, const Storage_site_2& ss,
-	     int low, int high, Vertex_handle vbelow,
-	     Vertex_handle* vertices)
+             int low, int high, Vertex_handle vbelow,
+             Vertex_handle* vertices)
 {
   CGAL_precondition( low >= 1 && low <= high );
   CGAL_precondition( vbelow != Vertex_handle() );
@@ -275,9 +275,9 @@ insert_point(const Site_2& t, const Stor
       vertex = hierarchy[k]->insert_third(t, ss);
     } else {
       if ( ss.is_input() ) {
-	vertex = hierarchy[k]->insert_no_register(ss, t.point(), vnear[k]);
+        vertex = hierarchy[k]->insert_no_register(ss, t.point(), vnear[k]);
       } else {
-	break;
+        break;
       }
       // ideally what should be instead of the break-statement above is the
       // following statement(s) in the #if-#endif block
@@ -310,10 +310,10 @@ typename
 Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::Vertex_handle
 Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::
 insert_segment(const Point_2& p0, const Point_2& p1,
-	       const Storage_site_2& ss, int level)
+               const Storage_site_2& ss, int level)
 {
 
-  CGAL_SDG_DEBUG(std::cout << "debug hier insert_segment " 
+  CGAL_SDG_DEBUG(std::cout << "debug hier insert_segment "
                  << p0 << ' ' << p1 << std::endl;);
 
   // the tag is true so we DO insert segments in hierarchy
@@ -355,7 +355,7 @@ insert_segment(const Point_2& p0, const
 
     vertex = hierarchy[0]->insert_third(ss, vertices0[0], vertices1[0]);
     insert_segment_in_upper_levels(t, vertex->storage_site(),
-				   vertex, vertices0, level, stag);
+                                   vertex, vertices0, level, stag);
   } else {
     vertex = insert_segment_interior(t, ss, vertices0, level);
   }
@@ -368,7 +368,7 @@ typename
 Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::Vertex_handle
 Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::
 insert_segment_interior(const Site_2& t, const Storage_site_2& ss,
-			const Vertex_handle* vertices, int level)
+                        const Vertex_handle* vertices, int level)
 {
   // insert the interior of a segment, and DO insert segments in
   // upper levels of the hierarchy
@@ -384,7 +384,7 @@ insert_segment_interior(const Site_2& t,
   Intersections_tag          itag;
   Segments_in_hierarchy_tag  stag;
 
-  CGAL_SDG_DEBUG(std::cout << "debug insert_segment_interior t=" << t 
+  CGAL_SDG_DEBUG(std::cout << "debug insert_segment_interior t=" << t
                  << " at level " << level << std::endl;);
 
   // find the first conflict
@@ -402,46 +402,46 @@ insert_segment_interior(const Site_2& t,
     Arrangement_type at_res = this->arrangement_type(t, vv);
     if ( vv->is_segment() ) {
       if ( at_res == AT2::DISJOINT || at_res == AT2::TOUCH_1 ||
-	   at_res == AT2::TOUCH_2 || at_res == AT2::TOUCH_11 ||
-	   at_res == AT2::TOUCH_12 || at_res == AT2::TOUCH_21 ||
-	   at_res == AT2::TOUCH_22 ) {
-	// do nothing
+           at_res == AT2::TOUCH_2 || at_res == AT2::TOUCH_11 ||
+           at_res == AT2::TOUCH_12 || at_res == AT2::TOUCH_21 ||
+           at_res == AT2::TOUCH_22 ) {
+        // do nothing
       } else if ( at_res == AT2::IDENTICAL ) {
-	// merge info of identical items
-	merge_info(vv, ss);
-	return vv;
+        // merge info of identical items
+        merge_info(vv, ss);
+        return vv;
       } else if ( at_res == AT2::CROSSING ) {
         CGAL_SDG_DEBUG(std::cout << "debug insert_segment_interior crossing "
                        << t << " and " << *vv << std::endl;);
-	return insert_intersecting_segment_with_tag(ss, t, vv, level,
-						    itag, stag);
+        return insert_intersecting_segment_with_tag(ss, t, vv, level,
+                                                    itag, stag);
       } else if ( at_res == AT2::TOUCH_11_INTERIOR_1 ) {
-	Vertex_handle vp = second_endpoint_of_segment(vv);
+        Vertex_handle vp = second_endpoint_of_segment(vv);
 
-	Storage_site_2 sss = split_storage_site(ss, vp->storage_site(), true);
-	// merge the info of the first (common) subsegment
-	merge_info(vv, sss);
+        Storage_site_2 sss = split_storage_site(ss, vp->storage_site(), true);
+        // merge the info of the first (common) subsegment
+        merge_info(vv, sss);
 
-	return insert_segment_on_point(ss, vp, level, 1);
+        return insert_segment_on_point(ss, vp, level, 1);
       } else if ( at_res == AT2::TOUCH_12_INTERIOR_1 ) {
-	Vertex_handle vp = first_endpoint_of_segment(vv);
-	return insert_segment_on_point(ss, vp, level, 0);
+        Vertex_handle vp = first_endpoint_of_segment(vv);
+        return insert_segment_on_point(ss, vp, level, 0);
       } else {
-	// this should never be reached; the only possible values for
-	// at_res are DISJOINT, CROSSING, TOUCH_11_INTERIOR_1
-	// and TOUCH_12_INTERIOR_1
-	CGAL_error();
+        // this should never be reached; the only possible values for
+        // at_res are DISJOINT, CROSSING, TOUCH_11_INTERIOR_1
+        // and TOUCH_12_INTERIOR_1
+        CGAL_error();
       }
     } else {
       CGAL_assertion( vv->is_point() );
       if ( at_res == AT2::INTERIOR ) {
-	Storage_site_2 svv = vv->storage_site();
-	if ( svv.is_input() ) {
-	  return insert_segment_on_point(ss, vv, level, 2);
-	} else {
-	  // MK::ERROR:: not ready yet
-	  CGAL_error();
-	}
+        Storage_site_2 svv = vv->storage_site();
+        if ( svv.is_input() ) {
+          return insert_segment_on_point(ss, vv, level, 2);
+        } else {
+          // MK::ERROR:: not ready yet
+          CGAL_error();
+        }
       }
     }
     ++vc;
@@ -449,7 +449,7 @@ insert_segment_interior(const Site_2& t,
 
 
 
-  CGAL_SDG_DEBUG(std::cout << "debug insert_segment_interior t=" << t 
+  CGAL_SDG_DEBUG(std::cout << "debug insert_segment_interior t=" << t
                  << " start looking for vert cf " << std::endl;);
 
   // first look for conflict with vertex
@@ -479,9 +479,9 @@ insert_segment_interior(const Site_2& t,
 
 #ifdef CGAL_SDG_VERBOSE
   // debug
-  std::cout << "debug hier insert_segment_interior t=" 
-    << t << " with " 
-    << (is_infinite(start_f)? "infinite" : "finite") 
+  std::cout << "debug hier insert_segment_interior t="
+    << t << " with "
+    << (is_infinite(start_f)? "infinite" : "finite")
     << " face [" ;
   if (is_infinite(start_f->vertex(0))) {
     std::cout << " infv";
@@ -498,11 +498,11 @@ insert_segment_interior(const Site_2& t,
   } else {
     std::cout << ' ' << start_f->vertex(2)->site();
   }
-  std::cout << "] has sign s=" << s << std::endl; 
+  std::cout << "] has sign s=" << s << std::endl;
 
 #endif
 
-  // we are in conflict with a Voronoi vertex; start from that and 
+  // we are in conflict with a Voronoi vertex; start from that and
   // find the entire conflict region and then repair the diagram
   List l;
   Face_map fm;
@@ -514,23 +514,23 @@ insert_segment_interior(const Site_2& t,
   hierarchy[0]->expand_conflict_region(start_f, t, l, fm, sign_map, vcross);
 
   CGAL_assertion( vcross.third == AT2::DISJOINT ||
-		  vcross.third == AT2::CROSSING ||
-		  vcross.third == AT2::INTERIOR );
+                  vcross.third == AT2::CROSSING ||
+                  vcross.third == AT2::INTERIOR );
 
   // the following condition becomes true only if intersecting
   // segments are found
   if ( vcross.first ) {
     if ( t.is_segment() ) {
       if ( vcross.third == AT2::CROSSING ) {
-	Intersections_tag itag;
-	return insert_intersecting_segment_with_tag(ss, t, vcross.second,
-						    level, itag, stag);
+        Intersections_tag itag;
+        return insert_intersecting_segment_with_tag(ss, t, vcross.second,
+                                                    level, itag, stag);
       } else if ( vcross.third == AT2::INTERIOR ) {
-	return insert_segment_on_point(ss, vcross.second, level, 2);
+        return insert_segment_on_point(ss, vcross.second, level, 2);
       } else {
-	// this should never be reached; the only possible values for
-	// vcross.third are CROSSING, INTERIOR and DISJOINT
-	CGAL_error();
+        // this should never be reached; the only possible values for
+        // vcross.third are CROSSING, INTERIOR and DISJOINT
+        CGAL_error();
       }
     }
   }
@@ -551,9 +551,9 @@ template<class Gt, class ST, class STag,
 void
 Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::
 insert_segment_in_upper_levels(const Site_2& t, const Storage_site_2& ss,
-			       Vertex_handle vbelow,
-			       const Vertex_handle* vertices,
-			       int level, Tag_true /* stag */)
+                               Vertex_handle vbelow,
+                               const Vertex_handle* vertices,
+                               int level, Tag_true /* stag */)
 {
   CGAL_precondition( vertices != nullptr );
   CGAL_precondition( vbelow != Vertex_handle() );
@@ -568,7 +568,7 @@ insert_segment_in_upper_levels(const Sit
       Vertex_handle v0(hierarchy[k]->finite_vertices_begin());
       Vertex_handle v1(++(hierarchy[k]->finite_vertices_begin()));
       CGAL_precondition( v0 != Vertex_handle() &&
-			 v1 != Vertex_handle() );
+                         v1 != Vertex_handle() );
       vertex = hierarchy[k]->insert_third(ss, v0, v1);
     } else {
       vertex = hierarchy[k]->insert_segment_interior(t, ss, vertices[k]);
@@ -592,9 +592,9 @@ typename
 Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::Vertex_handle
 Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::
 insert_segment_on_point(const Storage_site_2& ss,
-			const Vertex_handle& v,
-			int level, int which)
-{  
+                        const Vertex_handle& v,
+                        int level, int which)
+{
   // inserts the segment represented by ss in the case where this
   // segment goes through a point which has already been inserted and
   // corresponds to the vertex handle v
@@ -639,9 +639,9 @@ typename
 Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::Vertex_handle
 Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::
 insert_intersecting_segment_with_tag(const Storage_site_2& ss,
-				     const Site_2& t, Vertex_handle v,
-				     int level,
-				     Tag_true itag, Tag_false /* stag */)
+                                     const Site_2& t, Vertex_handle v,
+                                     int level,
+                                     Tag_true itag, Tag_false /* stag */)
 {
   CGAL_precondition( t.is_segment() && v->is_segment() );
 
@@ -686,9 +686,9 @@ typename
 Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::Vertex_handle
 Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::
 insert_intersecting_segment_with_tag(const Storage_site_2& ss,
-				     const Site_2& t, Vertex_handle v,
-				     int level,
-				     Tag_true itag, Tag_true /* stag */)
+                                     const Site_2& t, Vertex_handle v,
+                                     int level,
+                                     Tag_true itag, Tag_true /* stag */)
 {
   CGAL_precondition( t.is_segment() && v->is_segment() );
 
@@ -727,20 +727,20 @@ insert_intersecting_segment_with_tag(con
 
     if ( k > 0 ) {
       CGAL_assertion( (same_segments(v1->site(), v1_old->site()) &&
-		       same_segments(v2->site(), v2_old->site())) ||
-		      (same_segments(v1->site(), v2_old->site()) &&
-		       same_segments(v2->site(), v1_old->site()))
-		      );
+                       same_segments(v2->site(), v2_old->site())) ||
+                      (same_segments(v1->site(), v2_old->site()) &&
+                       same_segments(v2->site(), v1_old->site()))
+                      );
       if ( same_segments(v1->site(), v1_old->site()) ) {
-	v1->set_down(v1_old);
-	v2->set_down(v2_old);
-	v1_old->set_up(v1);
-	v2_old->set_up(v2);
+        v1->set_down(v1_old);
+        v2->set_down(v2_old);
+        v1_old->set_up(v1);
+        v2_old->set_up(v2);
       } else {
-	v1->set_down(v2_old);
-	v2->set_down(v1_old);
-	v1_old->set_up(v2);
-	v2_old->set_up(v1);
+        v1->set_down(v2_old);
+        v2->set_down(v1_old);
+        v1_old->set_up(v2);
+        v2_old->set_up(v1);
       }
       vsx_old->set_up(vsx);
       vsx->set_down(vsx_old);
@@ -799,7 +799,7 @@ remove(const Vertex_handle& v)
   if ( is_point ) {
     h1 = ss.point();
   } else {
-    CGAL_assertion( ss.is_segment() );   
+    CGAL_assertion( ss.is_segment() );
     h1 = ss.source_of_supporting_site();
     h2 = ss.target_of_supporting_site();
   }
@@ -840,7 +840,7 @@ remove(const Vertex_handle& v)
 //---------------------------------------------------------------------------
 template<class Gt, class ST, class STag, class D_S, class LTag>
 typename
-Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::Vertex_handle 
+Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::Vertex_handle
 Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::
 nearest_neighbor(const Point_2& p, bool force_point) const
 {
@@ -857,8 +857,8 @@ template<class Gt, class ST, class STag,
 void
 Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::
 nearest_neighbor(const Site_2& t,
-		 Vertex_handle vnear[sdg_hierarchy_2__maxlevel],
-		 bool /* force_point */) const
+                 Vertex_handle vnear[sdg_hierarchy_2__maxlevel],
+                 bool /* force_point */) const
 {
   CGAL_precondition( t.is_point() );
 
@@ -866,8 +866,8 @@ nearest_neighbor(const Site_2& t,
   int level  = sdg_hierarchy_2__maxlevel;
 
   // find the highest level with enough vertices
-  while ( hierarchy[--level]->number_of_vertices() 
-	  < sdg_hierarchy_2__minsize ) {
+  while ( hierarchy[--level]->number_of_vertices()
+          < sdg_hierarchy_2__minsize ) {
     if ( !level ) break;  // do not go below 0
   }
   for (unsigned int i = level + 1; i < sdg_hierarchy_2__maxlevel; i++) {
@@ -876,7 +876,7 @@ nearest_neighbor(const Site_2& t,
 
   while ( level > 0 ) {
     vnear[level] = nearest =
-      hierarchy[level]->nearest_neighbor(t, nearest);  
+      hierarchy[level]->nearest_neighbor(t, nearest);
 
     CGAL_assertion( !hierarchy[level]->is_infinite(vnear[level]) );
     CGAL_assertion( vnear[level] != Vertex_handle() );
@@ -897,7 +897,7 @@ nearest_neighbor(const Site_2& t,
 //---------------------------------------------------------------------------
 template<class Gt, class ST, class STag, class D_S, class LTag>
 void
-Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::   
+Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::
 copy(const Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag> &sdg)
 {
 #ifndef CGAL_NO_ASSERTIONS
@@ -932,25 +932,25 @@ copy(const Segment_Delaunay_graph_Linf_h
   // compute a map at lower level
   std::map< Vertex_handle, Vertex_handle > V;
   {
-    for(Finite_vertices_iterator it = hierarchy[0]->finite_vertices_begin(); 
-	it != hierarchy[0]->finite_vertices_end(); ++it) {
+    for(Finite_vertices_iterator it = hierarchy[0]->finite_vertices_begin();
+        it != hierarchy[0]->finite_vertices_end(); ++it) {
       if ( it->up() != Vertex_handle() ) {
-	V[ it->up()->down() ] = it;
+        V[ it->up()->down() ] = it;
       }
     }
   }
   {
     for(unsigned int i = 1; i < sdg_hierarchy_2__maxlevel; ++i) {
-      for(Finite_vertices_iterator it = hierarchy[i]->finite_vertices_begin(); 
-	  it != hierarchy[i]->finite_vertices_end(); ++it) {
-	// down pointer goes in original instead in copied triangulation
-	it->set_down(V[it->down()]);
-	// make reverse link
-	it->down()->set_up( it );
-	// make map for next level
-	if ( it->up() != Vertex_handle() ) {
-	  V[ it->up()->down() ] = it;
-	}
+      for(Finite_vertices_iterator it = hierarchy[i]->finite_vertices_begin();
+          it != hierarchy[i]->finite_vertices_end(); ++it) {
+        // down pointer goes in original instead in copied triangulation
+        it->set_down(V[it->down()]);
+        // make reverse link
+        it->down()->set_up( it );
+        // make map for next level
+        if ( it->up() != Vertex_handle() ) {
+          V[ it->up()->down() ] = it;
+        }
       }
     }
   }
@@ -963,7 +963,7 @@ copy(const Segment_Delaunay_graph_Linf_h
 
 template<class Gt, class ST, class STag, class D_S, class LTag>
 void
-Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>:: 
+Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::
 clear()
 {
   for(unsigned int i = 0; i < sdg_hierarchy_2__maxlevel; ++i) {
@@ -973,7 +973,7 @@ clear()
 
 template<class Gt, class ST, class STag, class D_S, class LTag>
 void
-Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>:: 
+Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::
 swap(Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>& other)
 {
   Base* temp;
@@ -992,7 +992,7 @@ swap(Segment_Delaunay_graph_Linf_hierarc
 //---------------------------------------------------------------------------
 template<class Gt, class ST, class STag, class D_S, class LTag>
 bool
-Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>:: 
+Segment_Delaunay_graph_Linf_hierarchy_2<Gt,ST,STag,D_S,LTag>::
 is_valid(bool verbose, int level) const
 {
   // philaris: the level argument has to do with debugging level
@@ -1006,14 +1006,14 @@ is_valid(bool verbose, int level) const
 
 //#undef DEBUGVALIDHIER
 
-#ifdef DEBUGVALIDHIER  
-  std::cout << "debug hierarchy is_valid entering" 
+#ifdef DEBUGVALIDHIER
+  std::cout << "debug hierarchy is_valid entering"
     << " level=" << level << std::endl;
 #endif
 
   //verify correctness of triangulation at all levels
   for(unsigned int i = 0; i < sdg_hierarchy_2__maxlevel; ++i) {
-#ifdef DEBUGVALIDHIER  
+#ifdef DEBUGVALIDHIER
     std::cout << "debug hierarchy is_valid level " << i << std::endl;
 #endif
     if ( verbose ) {
@@ -1021,8 +1021,8 @@ is_valid(bool verbose, int level) const
     }
     bool is_valid_level = hierarchy[i]->is_valid(verbose, level);
 
-#ifdef DEBUGVALIDHIER  
-    std::cout << "debug level=" << i 
+#ifdef DEBUGVALIDHIER
+    std::cout << "debug level=" << i
       << " validity=" << is_valid_level << std::endl;
 #endif
 
@@ -1032,20 +1032,20 @@ is_valid(bool verbose, int level) const
     }
   }
   //verify that lower level has no down pointers
-  for( Finite_vertices_iterator it = hierarchy[0]->finite_vertices_begin(); 
+  for( Finite_vertices_iterator it = hierarchy[0]->finite_vertices_begin();
        it != hierarchy[0]->finite_vertices_end(); ++it) {
     result = result && ( it->down() == Vertex_handle() );
   }
 
   //verify that other levels has down pointer and reciprocal link is fine
   for(unsigned int i = 1; i < sdg_hierarchy_2__maxlevel; ++i) {
-    for( Finite_vertices_iterator it = hierarchy[i]->finite_vertices_begin(); 
-	 it != hierarchy[i]->finite_vertices_end(); ++it) {
+    for( Finite_vertices_iterator it = hierarchy[i]->finite_vertices_begin();
+         it != hierarchy[i]->finite_vertices_end(); ++it) {
       Vertex_handle vit(it);
       result = result && ( it->down()->up() == vit );
     }
   }
-#ifdef DEBUGVALIDHIER  
+#ifdef DEBUGVALIDHIER
   std::cout << "debug hierarchy is_valid returns " << result << std::endl;
 #endif
   return result;
@@ -1066,11 +1066,11 @@ print_error_message() const
   std::cerr << std::endl;
   std::cerr << "WARNING:" << std::endl;
   std::cerr << "A segment-segment intersection was found."
-	    << std::endl;
+            << std::endl;
   std::cerr << "The Segment_Delaunay_graph_Linf_hierarchy_2 class is not"
-	    << " configured to handle this situation." << std::endl;
+            << " configured to handle this situation." << std::endl;
   std::cerr << "Please look at the documentation on how to handle"
-	    << " this behavior." << std::endl;
+            << " this behavior." << std::endl;
   std::cerr << std::endl;
 }
 
@@ -1109,7 +1109,7 @@ file_output(std::ostream& os) const
   for (unsigned int i = 0; i < sdg_hierarchy_2__maxlevel; ++i) {
     int inum = 0;
     for (Finite_vertices_iterator vit = hierarchy[i]->finite_vertices_begin();
-	 vit != hierarchy[i]->finite_vertices_end(); ++vit) {
+         vit != hierarchy[i]->finite_vertices_end(); ++vit) {
       V[i][vit] = inum++;
     }
   }
@@ -1120,17 +1120,17 @@ file_output(std::ostream& os) const
   // create the map of up and down pointers
   for (unsigned int i = 0; i < sdg_hierarchy_2__maxlevel; ++i) {
     for (Finite_vertices_iterator vit = hierarchy[i]->finite_vertices_begin();
-	 vit != hierarchy[i]->finite_vertices_end(); ++vit) {
+         vit != hierarchy[i]->finite_vertices_end(); ++vit) {
       if ( vit->up() != Vertex_handle() ) {
-	V_up[i][vit] = V[i+1][vit->up()];
+        V_up[i][vit] = V[i+1][vit->up()];
       } else {
-	V_up[i][vit] = -1;
+        V_up[i][vit] = -1;
       }
 
       if ( vit->down() != Vertex_handle() ) {
-	V_down[i][vit] = V[i-1][vit->down()];
+        V_down[i][vit] = V[i-1][vit->down()];
       } else {
-	V_down[i][vit] = -1;
+        V_down[i][vit] = -1;
       }
     }
   }
@@ -1143,7 +1143,7 @@ file_output(std::ostream& os) const
     os << hierarchy[i]->number_of_vertices();
     if ( is_ascii(os) ) { os << std::endl; }
     for (Finite_vertices_iterator vit = hierarchy[i]->finite_vertices_begin();
-	 vit != hierarchy[i]->finite_vertices_end(); ++vit) {
+         vit != hierarchy[i]->finite_vertices_end(); ++vit) {
       os << V[i][vit];
       if ( is_ascii(os) ) { os << " "; }
       os << V_down[i][vit];
@@ -1181,7 +1181,7 @@ file_input(std::istream& is)
     V[i].resize(hierarchy[i]->number_of_vertices());
     int j = 0;
     for (Finite_vertices_iterator vit = hierarchy[i]->finite_vertices_begin();
-	 vit != hierarchy[i]->finite_vertices_end(); ++vit, ++j) {
+         vit != hierarchy[i]->finite_vertices_end(); ++vit, ++j) {
       V[i][j] = vit;
     }
   }
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Traits_base_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Traits_base_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Traits_base_2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Traits_base_2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Traits_base_2.h $
-// $Id: Traits_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Traits_base_2.h $
+// $Id: Traits_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -39,7 +39,7 @@ public:
 
   // BASIC TYPES
   //------------
-  
+
   typedef Segment_Delaunay_graph_traits_base_2<R, MTag, ITag> Base;
 
   typedef typename Base::Kernel Kernel;
@@ -87,7 +87,7 @@ public:
   // PREDICATES
   //-----------
 
-  // used by triangulation 
+  // used by triangulation
   //typedef
   //CGAL_SEGMENT_DELAUNAY_GRAPH_LINF_2_NS::Orientation_Linf_C2<K>
   //Orientation_2;
@@ -120,7 +120,7 @@ public:
   // CONSTRUCTIONS
   //--------------
   Construct_svd_vertex_2
-  construct_svd_vertex_2_object() const { 
+  construct_svd_vertex_2_object() const {
     return Construct_svd_vertex_2();
   }
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Vertex_conflict_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Vertex_conflict_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Vertex_conflict_C2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Vertex_conflict_C2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Vertex_conflict_C2.h $
-// $Id: Vertex_conflict_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Vertex_conflict_C2.h $
+// $Id: Vertex_conflict_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -88,28 +88,28 @@ private:
   Are_same_segments_2  same_segments;
 
   bool is_on_common_support(const Site_2& s1, const Site_2& s2,
-			    const Point_2& p) const
+                            const Point_2& p) const
   {
     CGAL_precondition( !s1.is_input() && !s2.is_input() );
 
     if (  same_segments(s1.supporting_site(0),
-			s2.supporting_site(0)) ||
-	  same_segments(s1.supporting_site(0),
-			s2.supporting_site(1))  ) {
+                        s2.supporting_site(0)) ||
+          same_segments(s1.supporting_site(0),
+                        s2.supporting_site(1))  ) {
       Site_2 support = s1.supporting_site(0);
       Site_2 tp = Site_2::construct_site_2(p);
 
       return (  same_points(support.source_site(), tp) ||
-		same_points(support.target_site(), tp)  );
+                same_points(support.target_site(), tp)  );
     } else if (  same_segments(s1.supporting_site(1),
-			       s2.supporting_site(1)) ||
-		 same_segments(s1.supporting_site(1),
-			       s2.supporting_site(0))  ) {
+                               s2.supporting_site(1)) ||
+                 same_segments(s1.supporting_site(1),
+                               s2.supporting_site(0))  ) {
       Site_2 support = s1.supporting_site(1);
       Site_2 tp = Site_2::construct_site_2(p);
 
       return (  same_points(support.source_site(), tp) ||
-		same_points(support.target_site(), tp)  );
+                same_points(support.target_site(), tp)  );
     }
     return false;
   }
@@ -126,19 +126,19 @@ private:
   }
 
   bool have_common_support(const Site_2& s, const Point_2& p1,
-			   const Point_2& p2) const
+                           const Point_2& p2) const
   {
     CGAL_precondition( !s.is_input() );
 
     Site_2 t = Site_2::construct_site_2(p1, p2);
 
     return ( same_segments(s.supporting_site(0), t) ||
-	     same_segments(s.supporting_site(1), t) );
+             same_segments(s.supporting_site(1), t) );
   }
 
 private:
   Sign incircle_ppp(const Site_2& p, const Site_2& q,
-		    const Site_2& t, const Tag_false&) const
+                    const Site_2& t, const Tag_false&) const
   {
     Point_2 pp = p.point(), qp = q.point(), tp = t.point();
 
@@ -174,7 +174,7 @@ private:
   }
 
   Sign incircle_ppp(const Site_2& p, const Site_2& q,
-		    const Site_2& t, const Tag_true&) const
+                    const Site_2& t, const Tag_true&) const
   {
     Orientation o = DEGENERATE; // the initialization was done in
                                // order a compiler warning
@@ -190,41 +190,41 @@ private:
     // convex hull
     if ( !p_exact || !q_exact || !t_exact ) {
       if ( !p_exact && !q_exact && !t_exact ) {
-	if ( have_common_support(p, q) &&
-	     have_common_support(q, t) ) {
-	  o = COLLINEAR;
-	  filtered = true;
-	}
+        if ( have_common_support(p, q) &&
+             have_common_support(q, t) ) {
+          o = COLLINEAR;
+          filtered = true;
+        }
       } else if ( !p_exact && !q_exact && t_exact ) {
-	if ( is_on_common_support(p, q, t.point()) ) {
-	  o = COLLINEAR;
-	  filtered = true;
-	}
+        if ( is_on_common_support(p, q, t.point()) ) {
+          o = COLLINEAR;
+          filtered = true;
+        }
       } else if ( !p_exact && q_exact && !t_exact ) {
-	if ( is_on_common_support(p, t, q.point()) ) {
-	  o = COLLINEAR;
-	  filtered = true;
-	}
+        if ( is_on_common_support(p, t, q.point()) ) {
+          o = COLLINEAR;
+          filtered = true;
+        }
       } else if ( p_exact && !q_exact && !t_exact ) {
-	if ( is_on_common_support(t, q, p.point()) ) {
-	  o = COLLINEAR;
-	  filtered = true;
-	}
+        if ( is_on_common_support(t, q, p.point()) ) {
+          o = COLLINEAR;
+          filtered = true;
+        }
       } else if ( !p_exact && q_exact && t_exact ) {
-	if ( have_common_support(p, q.point(), t.point()) ) {
-	  o = COLLINEAR;
-	  filtered = true;
-	}
+        if ( have_common_support(p, q.point(), t.point()) ) {
+          o = COLLINEAR;
+          filtered = true;
+        }
       } else if ( p_exact && !q_exact && t_exact ) {
-	if ( have_common_support(q, p.point(), t.point()) ) {
-	  o = COLLINEAR;
-	  filtered = true;
-	}
+        if ( have_common_support(q, p.point(), t.point()) ) {
+          o = COLLINEAR;
+          filtered = true;
+        }
       } else if ( p_exact && q_exact && !t_exact ) {
-	if ( have_common_support(t, p.point(), q.point()) ) {
-	  o = COLLINEAR;
-	  filtered = true;
-	}
+        if ( have_common_support(t, p.point(), q.point()) ) {
+          o = COLLINEAR;
+          filtered = true;
+        }
       }
     }
 
@@ -266,7 +266,7 @@ private:
 
   // check if (p, inf, q) conflicts with t
   Sign incircle_p(const Site_2& p, const Site_2& q,
-		  const Site_2& t) const
+                  const Site_2& t) const
   {
     CGAL_precondition( t.is_point() );
 
@@ -289,58 +289,58 @@ private:
       // activated if a lot of intersection points appear on the
       // convex hull
       if ( !p_exact || !q_exact || !t_exact ) {
-	if ( !p_exact && !q_exact && !t_exact ) {
-	  if ( have_common_support(p, q) &&
-	       have_common_support(q, t) ) {
-	    o = COLLINEAR;
-	    filtered = true;
-	  }
-	} else if ( !p_exact && !q_exact && t_exact ) {
-	  if ( is_on_common_support(p, q, t.point()) ) {
-	    o = COLLINEAR;
-	    filtered = true;
-	  }
-	} else if ( !p_exact && q_exact && !t_exact ) {
-	  if ( is_on_common_support(p, t, q.point()) ) {
-	    o = COLLINEAR;
-	    filtered = true;
-	  }
-	} else if ( p_exact && !q_exact && !t_exact ) {
-	  if ( is_on_common_support(t, q, p.point()) ) {
-	    o = COLLINEAR;
-	    filtered = true;
-	  }
-	} else if ( !p_exact && q_exact && t_exact ) {
-	  if ( have_common_support(p, q.point(), t.point()) ) {
-	    o = COLLINEAR;
-	    filtered = true;
-	  }
-	} else if ( p_exact && !q_exact && t_exact ) {
-	  if ( have_common_support(q, p.point(), t.point()) ) {
-	    o = COLLINEAR;
-	    filtered = true;
-	  }
-	} else if ( p_exact && q_exact && !t_exact ) {
-	  if ( have_common_support(t, p.point(), q.point()) ) {
-	    o = COLLINEAR;
-	    filtered = true;
-	  }
-	}
+        if ( !p_exact && !q_exact && !t_exact ) {
+          if ( have_common_support(p, q) &&
+               have_common_support(q, t) ) {
+            o = COLLINEAR;
+            filtered = true;
+          }
+        } else if ( !p_exact && !q_exact && t_exact ) {
+          if ( is_on_common_support(p, q, t.point()) ) {
+            o = COLLINEAR;
+            filtered = true;
+          }
+        } else if ( !p_exact && q_exact && !t_exact ) {
+          if ( is_on_common_support(p, t, q.point()) ) {
+            o = COLLINEAR;
+            filtered = true;
+          }
+        } else if ( p_exact && !q_exact && !t_exact ) {
+          if ( is_on_common_support(t, q, p.point()) ) {
+            o = COLLINEAR;
+            filtered = true;
+          }
+        } else if ( !p_exact && q_exact && t_exact ) {
+          if ( have_common_support(p, q.point(), t.point()) ) {
+            o = COLLINEAR;
+            filtered = true;
+          }
+        } else if ( p_exact && !q_exact && t_exact ) {
+          if ( have_common_support(q, p.point(), t.point()) ) {
+            o = COLLINEAR;
+            filtered = true;
+          }
+        } else if ( p_exact && q_exact && !t_exact ) {
+          if ( have_common_support(t, p.point(), q.point()) ) {
+            o = COLLINEAR;
+            filtered = true;
+          }
+        }
       }
 
       Point_2 pp = p.point(), qp = q.point(), tp = t.point();
 
       if ( !filtered ) {
-	// MK::ERROR: here I should call a kernel object, not a
-	// function...; actually here (and everywhere in this class)
-	// use the orientation predicate for sites; it does some
-	// geometric filtering...
-	// philaris: I think we call an object now
-	o = orientation_linf(pp, qp, tp);
+        // MK::ERROR: here I should call a kernel object, not a
+        // function...; actually here (and everywhere in this class)
+        // use the orientation predicate for sites; it does some
+        // geometric filtering...
+        // philaris: I think we call an object now
+        o = orientation_linf(pp, qp, tp);
       }
 
       if ( o != DEGENERATE ) {
-	return (o == LEFT_TURN) ? POSITIVE : NEGATIVE;
+        return (o == LEFT_TURN) ? POSITIVE : NEGATIVE;
       }
 
       // here orientation Linf is degenerate
@@ -691,7 +691,7 @@ private:
 
   // philaris: here Linf is very different from L2
   Sign incircle_pps(const Site_2& p, const Site_2& q,
-		    const Site_2& t) const
+                    const Site_2& t) const
   {
     CGAL_precondition( p.is_point() && q.is_point() );
 
@@ -708,9 +708,9 @@ private:
     const bool is_q_on_t = is_q_tsrc || is_q_ttrg;
 
     if ( is_p_on_t && is_q_on_t ) {
-	// if t is the segment joining p and q then t must be a vertex
-	// on the convex hull
-	return NEGATIVE;
+        // if t is the segment joining p and q then t must be a vertex
+        // on the convex hull
+        return NEGATIVE;
     } else {
       // here, neither p nor q is on t
       if (is_site_h_or_v(t)) {
@@ -789,7 +789,7 @@ private:
 
 
   Sign incircle_sps(const Site_2& p, const Site_2& q,
-		    const Site_2& t) const
+                    const Site_2& t) const
   {
     CGAL_precondition( p.is_segment() && q.is_point() );
 
@@ -1043,7 +1043,7 @@ private:
 
 
   Sign incircle_pss(const Site_2& p, const Site_2& q,
-		    const Site_2& t) const
+                    const Site_2& t) const
   {
     CGAL_precondition( p.is_point() && q.is_segment() );
 
@@ -1304,7 +1304,7 @@ private:
 
   // check if (p, inf, q) conflicts with t
   Sign incircle_s(const Site_2& p, const Site_2& q,
-		  const Site_2& t) const
+                  const Site_2& t) const
   {
     CGAL_precondition( t.is_segment() );
 
@@ -1324,7 +1324,7 @@ public:
 
 
   Sign operator()(const Site_2& p, const Site_2& q,
-		  const Site_2& r, const Site_2& t) const
+                  const Site_2& r, const Site_2& t) const
   {
 
     CGAL_SDG_DEBUG(std::cout
@@ -1344,13 +1344,13 @@ public:
       std::string suffix("-failure-log.cin");
       std::string fname;
       if ( np == 3 ) {
-	fname = "ppp";
+        fname = "ppp";
       } else if ( np == 2 ) {
-	fname = "pps";
+        fname = "pps";
       } else if ( np == 1 ) {
-	fname = "pss";
+        fname = "pss";
       } else {
-	fname = "sss";
+        fname = "sss";
       }
       fname += suffix;
       std::ofstream ofs(fname.c_str(), std::ios_base::app);
@@ -1385,7 +1385,7 @@ public:
 
   // check if (p, q, inf) conflicts with t
   Sign operator()(const Site_2& p, const Site_2& q,
-		  const Site_2& t) const
+                  const Site_2& t) const
   {
     CGAL_SDG_DEBUG(std::cout << "debug: Vertex_conflict (pqit)= ("
         << p << ") (" << q << ") inf (" << t << ")"
@@ -1413,11 +1413,11 @@ public:
     if ( p.is_point() && q.is_segment() ) {
       // p must be an endpoint of q
       CGAL_assertion( same_points(p, q.source_site()) ||
-		      same_points(p, q.target_site()) );
+                      same_points(p, q.target_site()) );
     } else if ( p.is_segment() && q.is_point() ) {
       // q must be an endpoint of p
       CGAL_assertion( same_points(p.source_site(), q) ||
-		      same_points(p.target_site(), q) );
+                      same_points(p.target_site(), q) );
     }
     */
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_C2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_C2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_C2.h $
-// $Id: Voronoi_vertex_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_C2.h $
+// $Id: Voronoi_vertex_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -57,7 +57,7 @@ protected:
   typedef typename Base::Site_2   Site_2;
 public:
   Voronoi_vertex_C2(const Site_2& p, const Site_2& q,
-		    const Site_2& r)
+                    const Site_2& r)
     : Base(p, q, r) {}
 };
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_ring_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_ring_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_ring_C2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_ring_C2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_ring_C2.h $
-// $Id: Voronoi_vertex_ring_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_ring_C2.h $
+// $Id: Voronoi_vertex_ring_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -142,7 +142,7 @@ private:
   const
   {
     CGAL_precondition( sp.is_point() && sq.is_point() &&
-		       sr.is_point() );
+                       sr.is_point() );
 
     CGAL_SDG_DEBUG(std::cout << "debug vring entering compute_ppp"
         << std::endl;);
@@ -297,7 +297,7 @@ private:
     Comparison_result cmpxrmin = CGAL::compare(r.x(), x_min);
     Comparison_result cmpxrmax = CGAL::compare(r.x(), x_max);
     if (cmpxrmin == SMALLER) {
-	// here r.x() < x_min <= x_max
+        // here r.x() < x_min <= x_max
         if (! is_set_x_min) {
           x_min = r.x();
         }
@@ -457,7 +457,7 @@ private:
     }
 
     Comparison_result cmpsides =
-	CGAL::compare(x_max - x_min, y_max - y_min);
+        CGAL::compare(x_max - x_min, y_max - y_min);
 
     // if bounding box is non-square and points are not
     // on corners of it, then grow it to become square
@@ -473,15 +473,15 @@ private:
           break;
         }
         // grow only if any point is inside vertical sides
-	if (((CGAL::compare(p.x(), x_min) == EQUAL)   &&
-	     (CGAL::compare(p.y(), y_max) == SMALLER) &&
-	     (CGAL::compare(p.y(), y_min) == LARGER)     ) ||
-	    ((CGAL::compare(q.x(), x_min) == EQUAL)   &&
-	     (CGAL::compare(q.y(), y_max) == SMALLER) &&
-	     (CGAL::compare(q.y(), y_min) == LARGER)     ) ||
-	    ((CGAL::compare(r.x(), x_min) == EQUAL)   &&
-	     (CGAL::compare(r.y(), y_max) == SMALLER) &&
-	     (CGAL::compare(r.y(), y_min) == LARGER)     )   )
+        if (((CGAL::compare(p.x(), x_min) == EQUAL)   &&
+             (CGAL::compare(p.y(), y_max) == SMALLER) &&
+             (CGAL::compare(p.y(), y_min) == LARGER)     ) ||
+            ((CGAL::compare(q.x(), x_min) == EQUAL)   &&
+             (CGAL::compare(q.y(), y_max) == SMALLER) &&
+             (CGAL::compare(q.y(), y_min) == LARGER)     ) ||
+            ((CGAL::compare(r.x(), x_min) == EQUAL)   &&
+             (CGAL::compare(r.y(), y_max) == SMALLER) &&
+             (CGAL::compare(r.y(), y_min) == LARGER)     )   )
         { // grow rectangle to the right
           CGAL_SDG_DEBUG(std::cout << "debug vring grow right" << std::endl;);
           x_max = x_min + y_max - y_min;
@@ -501,15 +501,15 @@ private:
           break;
         }
         // grow only if any point is inside horizontal sides
-	if (((CGAL::compare(p.y(), y_min) == EQUAL)   &&
-	     (CGAL::compare(p.x(), x_max) == SMALLER) &&
-	     (CGAL::compare(p.x(), x_min) == LARGER)     ) ||
-	    ((CGAL::compare(q.y(), y_min) == EQUAL)   &&
-	     (CGAL::compare(q.x(), x_max) == SMALLER) &&
-	     (CGAL::compare(q.x(), x_min) == LARGER)     ) ||
-	    ((CGAL::compare(r.y(), y_min) == EQUAL)   &&
-	     (CGAL::compare(r.x(), x_max) == SMALLER) &&
-	     (CGAL::compare(r.x(), x_min) == LARGER)     )   )
+        if (((CGAL::compare(p.y(), y_min) == EQUAL)   &&
+             (CGAL::compare(p.x(), x_max) == SMALLER) &&
+             (CGAL::compare(p.x(), x_min) == LARGER)     ) ||
+            ((CGAL::compare(q.y(), y_min) == EQUAL)   &&
+             (CGAL::compare(q.x(), x_max) == SMALLER) &&
+             (CGAL::compare(q.x(), x_min) == LARGER)     ) ||
+            ((CGAL::compare(r.y(), y_min) == EQUAL)   &&
+             (CGAL::compare(r.x(), x_max) == SMALLER) &&
+             (CGAL::compare(r.x(), x_min) == LARGER)     )   )
         { // grow rectangle upwards
           CGAL_SDG_DEBUG(std::cout
               << "debug vring grow upwards" << std::endl;);
@@ -538,7 +538,7 @@ private:
   const
   {
     CGAL_precondition( p.is_point() && q.is_segment() &&
-		       r.is_segment() );
+                       r.is_segment() );
 
     CGAL_SDG_DEBUG(std::cout << "debug: compute_pss entering p=" << p
        << " q=" << q << " r=" << r << std::endl;);
@@ -1374,7 +1374,7 @@ private:
   const
   {
     CGAL_precondition( p.is_point() && q.is_point() &&
-		       r.is_segment() );
+                       r.is_segment() );
 
     CGAL_SDG_DEBUG(std::cout
         << "debug: vring compute_pps entering p=" << p
@@ -1396,7 +1396,7 @@ private:
   const
   {
     CGAL_precondition( p.is_point() && q.is_point() &&
-		       r.is_segment() );
+                       r.is_segment() );
 
     CGAL_SDG_DEBUG(std::cout
         << "debug: vring compute_pps_bisectors entering p=" << p
@@ -1514,7 +1514,7 @@ private:
   const
   {
     CGAL_precondition( p.is_segment() && q.is_segment() &&
-		       r.is_segment() );
+                       r.is_segment() );
     const bool is_psrc_q = is_endpoint_of(p.source_site(), q);
     const bool is_psrc_r = is_endpoint_of(p.source_site(), r);
     const bool is_ptrg_q = is_endpoint_of(p.target_site(), q);
@@ -1734,14 +1734,14 @@ private:
   //--------------------------------------------------------------------------
 
   Sign check_easy_degeneracies(const Site_2& t, PPS_Type,
-			       bool& use_result) const
+                               bool& use_result) const
   {
     CGAL_precondition( t.is_point() );
 
     use_result = false;
     if (  ( p_.is_point() && same_points(p_, t) ) ||
-	  ( q_.is_point() && same_points(q_, t) ) ||
-	  ( r_.is_point() && same_points(r_, t) )  ) {
+          ( q_.is_point() && same_points(q_, t) ) ||
+          ( r_.is_point() && same_points(r_, t) )  ) {
       use_result = true;
       return ZERO;
     }
@@ -1769,7 +1769,7 @@ private:
 
   inline
   Sign check_easy_degeneracies(const Site_2& t, PSS_Type,
-			       bool& use_result) const
+                               bool& use_result) const
   {
     CGAL_precondition( t.is_point() );
 
@@ -1778,7 +1778,7 @@ private:
 
   inline
   Sign check_easy_degeneracies(const Site_2& t, SSS_Type,
-			       bool& use_result) const
+                               bool& use_result) const
   {
     CGAL_precondition( t.is_point() );
     use_result = false;
@@ -2581,36 +2581,36 @@ private:
 
     if ( v_type == PPP || v_type == PPS ) {
       if (  p_.is_point() && q_.is_point() &&
-	    is_endpoint_of(p_, t) && is_endpoint_of(q_, t)  ) {
-	return NEGATIVE;
+            is_endpoint_of(p_, t) && is_endpoint_of(q_, t)  ) {
+        return NEGATIVE;
       }
 
       if (  p_.is_point() && r_.is_point() &&
-	    is_endpoint_of(p_, t) && is_endpoint_of(r_, t)  ){
-	return NEGATIVE;
+            is_endpoint_of(p_, t) && is_endpoint_of(r_, t)  ){
+        return NEGATIVE;
       }
 
       if (  q_.is_point() && r_.is_point() &&
-	    is_endpoint_of(q_, t) && is_endpoint_of(r_, t)  ){
-	return NEGATIVE;
+            is_endpoint_of(q_, t) && is_endpoint_of(r_, t)  ){
+        return NEGATIVE;
       }
     }
 
     if ( v_type == PSS ) {
       if ( p_.is_segment() &&
-	   same_segments(p_.supporting_site(),
-			 t.supporting_site()) ) {
-	return POSITIVE;
+           same_segments(p_.supporting_site(),
+                         t.supporting_site()) ) {
+        return POSITIVE;
       }
       if ( q_.is_segment() &&
-	   same_segments(q_.supporting_site(),
-			 t.supporting_site()) ) {
-	return POSITIVE;
+           same_segments(q_.supporting_site(),
+                         t.supporting_site()) ) {
+        return POSITIVE;
       }
       if ( r_.is_segment() &&
-	   same_segments(r_.supporting_site(),
-			 t.supporting_site()) ) {
-	return POSITIVE;
+           same_segments(r_.supporting_site(),
+                         t.supporting_site()) ) {
+        return POSITIVE;
       }
     }
 
@@ -3003,7 +3003,7 @@ private:
 
     if ( sl == ZERO ) {
       if (os1 == ON_ORIENTED_BOUNDARY || os2 == ON_ORIENTED_BOUNDARY) {
-	return ZERO;
+        return ZERO;
       }
       return ( os1 == os2 ) ? POSITIVE : ZERO;
     }
@@ -3320,47 +3320,47 @@ private:
       // case 1: the new segment is not adjacent to the center of the
       //         degenerate Voronoi circle
       if (  !same_points( p_ref(), t.source_site() ) &&
-	    !same_points( p_ref(), t.target_site() )  ) {
-	return POSITIVE;
+            !same_points( p_ref(), t.target_site() )  ) {
+        return POSITIVE;
       }
 
       CGAL_assertion( v_type == PSS );
 
       if ( p_.is_segment() &&
-	   same_segments(p_.supporting_site(),
-			 t.supporting_site()) ) {
-	return ZERO;
+           same_segments(p_.supporting_site(),
+                         t.supporting_site()) ) {
+        return ZERO;
       }
 
       if ( q_.is_segment() &&
-	   same_segments(q_.supporting_site(),
-			 t.supporting_site()) ) {
-	return ZERO;
+           same_segments(q_.supporting_site(),
+                         t.supporting_site()) ) {
+        return ZERO;
       }
 
       if ( r_.is_segment() &&
-	   same_segments(r_.supporting_site(),
-			 t.supporting_site()) ) {
-	return ZERO;
+           same_segments(r_.supporting_site(),
+                         t.supporting_site()) ) {
+        return ZERO;
       }
 
       Site_2 pr;
       Site_2 sp, sq;
       if ( p_.is_point() ) {
-	CGAL_assertion( q_.is_segment() && r_.is_segment() );
-	pr = p_;
-	sp = q_;
-	sq = r_;
+        CGAL_assertion( q_.is_segment() && r_.is_segment() );
+        pr = p_;
+        sp = q_;
+        sq = r_;
       } else if ( q_.is_point() ) {
-	CGAL_assertion( r_.is_segment() && p_.is_segment() );
-	pr = q_;
-	sp = r_;
-	sq = p_;
+        CGAL_assertion( r_.is_segment() && p_.is_segment() );
+        pr = q_;
+        sp = r_;
+        sq = p_;
       } else {
-	CGAL_assertion( p_.is_segment() && q_.is_segment() );
-	pr = r_;
-	sp = p_;
-	sq = q_;
+        CGAL_assertion( p_.is_segment() && q_.is_segment() );
+        pr = r_;
+        sp = p_;
+        sq = q_;
       }
 
       Point_2 pq = sq.source(), pp = sp.source(), pt = t.source();
@@ -3372,8 +3372,8 @@ private:
       Point_2 pr_ = pr.point();
 
       if ( CGAL::orientation(pr_, pp, pt) == LEFT_TURN &&
-	   CGAL::orientation(pr_, pq, pt) == RIGHT_TURN ) {
-	return NEGATIVE;
+           CGAL::orientation(pr_, pq, pt) == RIGHT_TURN ) {
+        return NEGATIVE;
       }
       return ZERO;
     } // if ( is_degenerate_Voronoi_circle() )
@@ -3530,21 +3530,21 @@ public:
     switch (v_type) {
     case PPP:    case PPS:    case PSS:
       {
-	Point_2 pref = p_ref().point();
-	//FT absdx = CGAL::abs(x() - pref.x());
-	//FT absdy = CGAL::abs(y() - pref.y());
+        Point_2 pref = p_ref().point();
+        //FT absdx = CGAL::abs(x() - pref.x());
+        //FT absdy = CGAL::abs(y() - pref.y());
         return (CGAL::max)( CGAL::abs(x() - pref.x()),
-		            CGAL::abs(y() - pref.y()) );
+                            CGAL::abs(y() - pref.y()) );
       }
       break;
     case SSS:
       {
-	Line_2 l = compute_supporting_line(p_.supporting_site());
-	Homogeneous_point_2 q = compute_linf_projection_hom(l, point());
+        Line_2 l = compute_supporting_line(p_.supporting_site());
+        Homogeneous_point_2 q = compute_linf_projection_hom(l, point());
 
-	FT dx = CGAL::abs(x() - q.x());
-	FT dy = CGAL::abs(y() - q.y());
-	return (CGAL::max)(dx, dy);
+        FT dx = CGAL::abs(x() - q.x());
+        FT dy = CGAL::abs(y() - q.y());
+        return (CGAL::max)(dx, dy);
       }
       break;
     default:
@@ -3580,8 +3580,8 @@ public:
 
 public:
   Voronoi_vertex_ring_C2(const Site_2& p,
-			 const Site_2& q,
-			 const Site_2& r)
+                         const Site_2& q,
+                         const Site_2& r)
     : p_(p), q_(q), r_(r), is_v_computed(false)
   {
     CGAL_SDG_DEBUG(std::cout << "Voronoi_vertex_ring_C2()" << std::endl;);
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_sqrt_field_new_C2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_sqrt_field_new_C2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_sqrt_field_new_C2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_sqrt_field_new_C2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_sqrt_field_new_C2.h $
-// $Id: Voronoi_vertex_sqrt_field_new_C2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2/Voronoi_vertex_sqrt_field_new_C2.h $
+// $Id: Voronoi_vertex_sqrt_field_new_C2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -149,10 +149,10 @@ private:
 
   void
   compute_vv(const Site_2& sp, const Site_2& sq, const Site_2& sr,
-	     const PPP_Type&) const
+             const PPP_Type&) const
   {
     CGAL_precondition( sp.is_point() && sq.is_point() &&
-		       sr.is_point() );
+                       sr.is_point() );
 
     //CGAL_SDG_DEBUG(std::cout << "debug vsqrnew entering compute_vv" << std::endl;);
 
@@ -315,7 +315,7 @@ private:
     Comparison_result cmpxrmin = CGAL::compare(r.x(), x_min);
     Comparison_result cmpxrmax = CGAL::compare(r.x(), x_max);
     if (cmpxrmin == SMALLER) {
-	// here r.x() < x_min <= x_max
+        // here r.x() < x_min <= x_max
         if (! is_set_x_min) {
           x_min = r.x();
         }
@@ -475,7 +475,7 @@ private:
     }
 
     Comparison_result cmpsides =
-	CGAL::compare(x_max - x_min, y_max - y_min);
+        CGAL::compare(x_max - x_min, y_max - y_min);
 
     // if bounding box is non-square and points are not
     // on corners of it, then grow it to become square
@@ -489,15 +489,15 @@ private:
           break;
         }
         // grow only if any point is inside vertical sides
-	if (((CGAL::compare(p.x(), x_min) == EQUAL)   &&
-	     (CGAL::compare(p.y(), y_max) == SMALLER) &&
-	     (CGAL::compare(p.y(), y_min) == LARGER)     ) ||
-	    ((CGAL::compare(q.x(), x_min) == EQUAL)   &&
-	     (CGAL::compare(q.y(), y_max) == SMALLER) &&
-	     (CGAL::compare(q.y(), y_min) == LARGER)     ) ||
-	    ((CGAL::compare(r.x(), x_min) == EQUAL)   &&
-	     (CGAL::compare(r.y(), y_max) == SMALLER) &&
-	     (CGAL::compare(r.y(), y_min) == LARGER)     )   )
+        if (((CGAL::compare(p.x(), x_min) == EQUAL)   &&
+             (CGAL::compare(p.y(), y_max) == SMALLER) &&
+             (CGAL::compare(p.y(), y_min) == LARGER)     ) ||
+            ((CGAL::compare(q.x(), x_min) == EQUAL)   &&
+             (CGAL::compare(q.y(), y_max) == SMALLER) &&
+             (CGAL::compare(q.y(), y_min) == LARGER)     ) ||
+            ((CGAL::compare(r.x(), x_min) == EQUAL)   &&
+             (CGAL::compare(r.y(), y_max) == SMALLER) &&
+             (CGAL::compare(r.y(), y_min) == LARGER)     )   )
         { // grow rectangle to the right
           //CGAL_SDG_DEBUG(std::cout << "debug vsqrnew grow right" << std::endl;);
           x_max = x_min + y_max - y_min;
@@ -516,15 +516,15 @@ private:
           break;
         }
         // grow only if any point is inside horizontal sides
-	if (((CGAL::compare(p.y(), y_min) == EQUAL)   &&
-	     (CGAL::compare(p.x(), x_max) == SMALLER) &&
-	     (CGAL::compare(p.x(), x_min) == LARGER)     ) ||
-	    ((CGAL::compare(q.y(), y_min) == EQUAL)   &&
-	     (CGAL::compare(q.x(), x_max) == SMALLER) &&
-	     (CGAL::compare(q.x(), x_min) == LARGER)     ) ||
-	    ((CGAL::compare(r.y(), y_min) == EQUAL)   &&
-	     (CGAL::compare(r.x(), x_max) == SMALLER) &&
-	     (CGAL::compare(r.x(), x_min) == LARGER)     )   )
+        if (((CGAL::compare(p.y(), y_min) == EQUAL)   &&
+             (CGAL::compare(p.x(), x_max) == SMALLER) &&
+             (CGAL::compare(p.x(), x_min) == LARGER)     ) ||
+            ((CGAL::compare(q.y(), y_min) == EQUAL)   &&
+             (CGAL::compare(q.x(), x_max) == SMALLER) &&
+             (CGAL::compare(q.x(), x_min) == LARGER)     ) ||
+            ((CGAL::compare(r.y(), y_min) == EQUAL)   &&
+             (CGAL::compare(r.x(), x_max) == SMALLER) &&
+             (CGAL::compare(r.x(), x_min) == LARGER)     )   )
         { // grow rectangle upwards
           //CGAL_SDG_DEBUG(std::cout << "debug vsqrnew grow upwards" << std::endl;);
           y_max = y_min + x_max - x_min;
@@ -913,10 +913,10 @@ private:
 
   void
   compute_vv(const Site_2& sp, const Site_2& sq, const Site_2& sr,
-	     const PPS_Type& type) const
+             const PPS_Type& type) const
   {
     CGAL_precondition( sp.is_point() && sq.is_point() &&
-		       sr.is_segment() );
+                       sr.is_segment() );
     CGAL_USE(type);
 
     CGAL_SDG_DEBUG(std::cout
@@ -1033,7 +1033,7 @@ private:
 
   void
   compute_vv(const Site_2& sp, const Site_2& sq, const Site_2& sr,
-	     const PSS_Type&) const
+             const PSS_Type&) const
   {
 #ifdef CGAL_PROFILE
     // In case CGAL profile is called then output the sites in case of
@@ -1050,7 +1050,7 @@ private:
 #endif
 
     CGAL_precondition( sp.is_point() && sq.is_segment() &&
-		       sr.is_segment() );
+                       sr.is_segment() );
 
     CGAL_SDG_DEBUG(std::cout
         << "debug: computevv PSS entering p=" << sp
@@ -1475,10 +1475,10 @@ private:
 
   void
   compute_vv(const Site_2& sp, const Site_2& sq, const Site_2& sr,
-	     const SSS_Type&) const
+             const SSS_Type&) const
   {
     CGAL_precondition( sp.is_segment() && sq.is_segment() &&
-		       sr.is_segment() );
+                       sr.is_segment() );
 
     if ( is_vv_computed ) { return; }
     is_vv_computed = true;
@@ -1672,8 +1672,8 @@ private:
   inline
   FT
   linf_radius(const Point_2& vv,
-		 const Site_2& p, const Site_2& /*q*/, const Site_2& /*r*/,
-		 const Type&) const
+                 const Site_2& p, const Site_2& /*q*/, const Site_2& /*r*/,
+                 const Type&) const
   {
     CGAL_precondition( p.is_point() );
 
@@ -1720,8 +1720,8 @@ private:
   inline
   FT
   linf_radius(const Point_2& vv,
-		 const Site_2& p, const Site_2& q, const Site_2& r,
-		 const SSS_Type&) const
+                 const Site_2& p, const Site_2& q, const Site_2& r,
+                 const SSS_Type&) const
   {
     CGAL_assertion( p.is_segment() && q.is_segment() && r.is_segment() );
     CGAL_USE(q);
@@ -2550,8 +2550,8 @@ private:
   // the incircle test when the query object t is a point
   template<class Type>
   Sign incircle_p(const Point_2& vv,
-		  const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const Type& type) const
+                  const Site_2& p, const Site_2& q, const Site_2& r,
+                  const Site_2& t, const Type& type) const
   {
     CGAL_precondition( t.is_point() );
 
@@ -3085,7 +3085,7 @@ private:
   //--------------------------------------------------------------------------
 
   Sign incircle_p(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const PPP_Type&) const
+                  const Site_2& t, const PPP_Type&) const
   {
     CGAL_precondition( p.is_point() );
     CGAL_precondition( q.is_point() );
@@ -3122,7 +3122,7 @@ private:
   //--------------------------------------------------------------------------
 
   Sign incircle_p(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const PPS_Type& type) const
+                  const Site_2& t, const PPS_Type& type) const
   {
     CGAL_precondition( p.is_point() );
     CGAL_precondition( q.is_point() );
@@ -3170,7 +3170,7 @@ private:
   //--------------------------------------------------------------------------
 
   Sign incircle_p(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const PSS_Type& type) const
+                  const Site_2& t, const PSS_Type& type) const
   {
     CGAL_precondition( p.is_point() );
     CGAL_precondition( q.is_segment() );
@@ -3256,7 +3256,7 @@ private:
   //--------------------------------------------------------------------------
 
   Sign incircle_p(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const SSS_Type& type) const
+                  const Site_2& t, const SSS_Type& type) const
   {
     CGAL_precondition( p.is_segment() );
     CGAL_precondition( q.is_segment() );
@@ -3287,8 +3287,8 @@ private:
   inline
   Sign
   incircle_xxxl(const Point_2& vv,
-		const Site_2& p, const Site_2& q, const Site_2& r,
-		const Line_2& l, const Type& type) const
+                const Site_2& p, const Site_2& q, const Site_2& r,
+                const Line_2& l, const Type& type) const
   {
     FT radius = linf_radius(vv, p, q, r, type);
 
@@ -3364,7 +3364,7 @@ private:
   // there is no conflict, otherwise there is a conflict.
   template<class Type>
   Sign incircle_xxxs(const Site_2& p, const Site_2& q, const Site_2& r,
-		     const Site_2& t, const Type& type) const
+                     const Site_2& t, const Type& type) const
   {
     CGAL_precondition( t.is_segment() );
 
@@ -3684,7 +3684,7 @@ private:
 
     if ( sl == ZERO ) {
       if (os1 == ON_ORIENTED_BOUNDARY || os2 == ON_ORIENTED_BOUNDARY) {
-	return ZERO;
+        return ZERO;
       }
       return ( os1 == os2 ) ? POSITIVE : ZERO;
     }
@@ -4029,7 +4029,7 @@ private:
   //--------------------------------------------------------------------------
 
   Sign incircle_s(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const PPP_Type& type) const
+                  const Site_2& t, const PPP_Type& type) const
   {
     CGAL_precondition( p.is_point() );
     CGAL_precondition( q.is_point() );
@@ -4088,7 +4088,7 @@ private:
   //--------------------------------------------------------------------------
 
   Sign incircle_s(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const PPS_Type& type) const
+                  const Site_2& t, const PPS_Type& type) const
   {
     CGAL_precondition( p.is_point() );
     CGAL_precondition( q.is_point() );
@@ -4140,7 +4140,7 @@ private:
   //--------------------------------------------------------------------------
 
   Sign incircle_s(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const PSS_Type& type) const
+                  const Site_2& t, const PSS_Type& type) const
   {
     CGAL_precondition( p.is_point() );
     CGAL_precondition( q.is_segment() );
@@ -4174,11 +4174,11 @@ private:
 
       // check if t has the same support as either q or r
       if ( same_segments(q.supporting_site(), t.supporting_site()) ) {
-	return ZERO;
+        return ZERO;
       }
 
       if ( same_segments(r.supporting_site(), t.supporting_site()) ) {
-	return ZERO;
+        return ZERO;
       }
 
       CGAL_SDG_DEBUG(std::cout
@@ -4199,8 +4199,8 @@ private:
         << std::endl;);
 
       if ( CGAL::orientation(p_, q_, t_) == LEFT_TURN &&
-	   CGAL::orientation(p_, r_, t_) == RIGHT_TURN ) {
-	return NEGATIVE;
+           CGAL::orientation(p_, r_, t_) == RIGHT_TURN ) {
+        return NEGATIVE;
       }
       return ZERO;
     }
@@ -4345,7 +4345,7 @@ private:
 
   inline
   Sign incircle_s(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t, const SSS_Type& type) const
+                  const Site_2& t, const SSS_Type& type) const
   {
     CGAL_precondition( p.is_segment() );
     CGAL_precondition( q.is_segment() );
@@ -4388,7 +4388,7 @@ private:
 
 
   Sign incircle_p(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t) const
+                  const Site_2& t) const
   {
     CGAL_precondition( t.is_point() );
 
@@ -4397,19 +4397,19 @@ private:
       return incircle_p(p, q, r, t, PPP_Type());
     case PPS:
       if ( p.is_segment() ) {
-	return incircle_p(q, r, p, t, PPS_Type());
+        return incircle_p(q, r, p, t, PPS_Type());
       } else if ( q.is_segment() ) {
-	return incircle_p(r, p, q, t, PPS_Type());
+        return incircle_p(r, p, q, t, PPS_Type());
       } else {
-	return incircle_p(p, q, r, t, PPS_Type());
+        return incircle_p(p, q, r, t, PPS_Type());
       }
     case PSS:
       if ( p.is_point() ) {
-	return incircle_p(p, q, r, t, PSS_Type());
+        return incircle_p(p, q, r, t, PSS_Type());
       } else if ( q.is_point() ) {
-	return incircle_p(q, r, p, t, PSS_Type());
+        return incircle_p(q, r, p, t, PSS_Type());
       } else {
-	return incircle_p(r, p, q, t, PSS_Type());
+        return incircle_p(r, p, q, t, PSS_Type());
       }
       return incircle_p(p, q, r, t, PSS_Type());
     default: // case SSS
@@ -4420,7 +4420,7 @@ private:
 
 
   Sign incircle_s(const Site_2& p, const Site_2& q, const Site_2& r,
-		  const Site_2& t) const
+                  const Site_2& t) const
   {
     CGAL_precondition( t.is_segment() );
 
@@ -4433,19 +4433,19 @@ private:
       return incircle_s(p, q, r, t, PPP_Type());
     case PPS:
       if ( p.is_segment() ) {
-	return incircle_s(q, r, p, t, PPS_Type());
+        return incircle_s(q, r, p, t, PPS_Type());
       } else if ( q_.is_segment() ) {
-	return incircle_s(r, p, q, t, PPS_Type());
+        return incircle_s(r, p, q, t, PPS_Type());
       } else {
-	return incircle_s(p, q, r, t, PPS_Type());
+        return incircle_s(p, q, r, t, PPS_Type());
       }
     case PSS:
       if ( p.is_point() ) {
-	return incircle_s(p, q, r, t, PSS_Type());
+        return incircle_s(p, q, r, t, PSS_Type());
       } else if ( q.is_point() ) {
-	return incircle_s(q, r, p, t, PSS_Type());
+        return incircle_s(q, r, p, t, PSS_Type());
       } else {
-	return incircle_s(r, p, q, t, PSS_Type());
+        return incircle_s(r, p, q, t, PSS_Type());
       }
     default: // case SSS
       return incircle_s(p, q, r, t, SSS_Type());
@@ -4455,8 +4455,8 @@ private:
 
 public:
   Voronoi_vertex_sqrt_field_new_C2(const Site_2& p,
-				   const Site_2& q,
-				   const Site_2& r)
+                                   const Site_2& q,
+                                   const Site_2& r)
     : p_(p), q_(q), r_(r), is_vv_computed(false)
   {
     v_type = compute_type(p, q, r);
@@ -4496,29 +4496,29 @@ public:
     if ( !is_vv_computed ) {
       switch ( v_type ) {
       case PPP:
-	compute_vv(p_, q_, r_, PPP_Type());
-	break;
+        compute_vv(p_, q_, r_, PPP_Type());
+        break;
       case PPS:
-	if ( p_.is_segment() ) {
-	  compute_vv(q_, r_, p_, PPS_Type());
-	} else if ( q_.is_segment() ) {
-	  compute_vv(r_, p_, q_, PPS_Type());
-	} else {
-	  compute_vv(p_, q_, r_, PPS_Type());
-	}
-	break;
+        if ( p_.is_segment() ) {
+          compute_vv(q_, r_, p_, PPS_Type());
+        } else if ( q_.is_segment() ) {
+          compute_vv(r_, p_, q_, PPS_Type());
+        } else {
+          compute_vv(p_, q_, r_, PPS_Type());
+        }
+        break;
       case PSS:
-	if ( p_.is_point() ) {
-	  compute_vv(p_, q_, r_, PSS_Type());
-	} else if ( q_.is_point() ) {
-	  compute_vv(q_, r_, p_, PSS_Type());
-	} else {
-	  compute_vv(r_, p_, q_, PSS_Type());
-	}
-	break;
+        if ( p_.is_point() ) {
+          compute_vv(p_, q_, r_, PSS_Type());
+        } else if ( q_.is_point() ) {
+          compute_vv(q_, r_, p_, PSS_Type());
+        } else {
+          compute_vv(r_, p_, q_, PSS_Type());
+        }
+        break;
       default: // case SSS:
-	compute_vv(p_, q_, r_, SSS_Type());
-	break;
+        compute_vv(p_, q_, r_, SSS_Type());
+        break;
       }
     }
 
@@ -4544,7 +4544,7 @@ public:
 
 
   inline Sign operator()(const Site_2& p, const Site_2& q, const Site_2& r,
-			 const Site_2& t) const
+                         const Site_2& t) const
   {
     if ( t.is_point() ) {
       return incircle_p(p, q, r, t);
@@ -4556,8 +4556,8 @@ private:
 
   template<class Type>
   Sign incircle_p_no_easy(const Point_2& vv,
-			  const Site_2& p, const Site_2& q, const Site_2& r,
-			  const Site_2& t, const Type& type) const
+                          const Site_2& p, const Site_2& q, const Site_2& r,
+                          const Site_2& t, const Type& type) const
   {
     CGAL_precondition( t.is_point() );
 
@@ -4593,7 +4593,7 @@ private:
 
 
   Sign incircle_p_no_easy(const Site_2& p, const Site_2& q, const Site_2& r,
-			  const Site_2& t) const
+                          const Site_2& t) const
   {
     Sign s(ZERO);
     switch ( v_type ) {
@@ -4603,27 +4603,27 @@ private:
     case PPS:
       PPS_Type pps;
       if ( p.is_segment() ) {
-	compute_vv(q, r, p, pps);
-	s = incircle_p_no_easy(vv, q, r, p, t, pps);
+        compute_vv(q, r, p, pps);
+        s = incircle_p_no_easy(vv, q, r, p, t, pps);
       } else if ( q.is_segment() ) {
-	compute_vv(r, p, q, pps);
-	s = incircle_p_no_easy(vv, r, p, q, t, pps);
+        compute_vv(r, p, q, pps);
+        s = incircle_p_no_easy(vv, r, p, q, t, pps);
       } else {
-	compute_vv(p, q, r, pps);
-	s = incircle_p_no_easy(vv, p, q, r, t, pps);
+        compute_vv(p, q, r, pps);
+        s = incircle_p_no_easy(vv, p, q, r, t, pps);
       }
       break;
     case PSS:
       PSS_Type pss;
       if ( p.is_point() ) {
-	compute_vv(p, q, r, pss);
-	s = incircle_p_no_easy(vv, p, q, r, t, pss);
+        compute_vv(p, q, r, pss);
+        s = incircle_p_no_easy(vv, p, q, r, t, pss);
       } else if ( q.is_point() ) {
-	compute_vv(q, r, p, pss);
-	s = incircle_p_no_easy(vv, q, r, p, t, pss);
+        compute_vv(q, r, p, pss);
+        s = incircle_p_no_easy(vv, q, r, p, t, pss);
       } else {
-	compute_vv(r, p, q, pss);
-	s = incircle_p_no_easy(vv, r, p, q, t, pss);
+        compute_vv(r, p, q, pss);
+        s = incircle_p_no_easy(vv, r, p, q, t, pss);
       }
       break;
     case SSS:
@@ -4638,26 +4638,26 @@ private:
 
 
   Sign incircle_s_no_easy(const Site_2& p, const Site_2& q, const Site_2& r,
-			  const Site_2& t) const
+                          const Site_2& t) const
   {
     switch ( v_type ) {
     case PPP:
       return incircle_xxxs(p, q, r, t, PPP_Type());
     case PPS:
       if ( p.is_segment() ) {
-	return incircle_xxxs(q, r, p, t, PPS_Type());
+        return incircle_xxxs(q, r, p, t, PPS_Type());
       } else if ( q_.is_segment() ) {
-	return incircle_xxxs(r, p, q, t, PPS_Type());
+        return incircle_xxxs(r, p, q, t, PPS_Type());
       } else {
-	return incircle_xxxs(p, q, r, t, PPS_Type());
+        return incircle_xxxs(p, q, r, t, PPS_Type());
       }
     case PSS:
       if ( p.is_point() ) {
-	return incircle_xxxs(p, q, r, t, PSS_Type());
+        return incircle_xxxs(p, q, r, t, PSS_Type());
       } else if ( q.is_point() ) {
-	return incircle_xxxs(q, r, p, t, PSS_Type());
+        return incircle_xxxs(q, r, p, t, PSS_Type());
       } else {
-	return incircle_xxxs(r, p, q, t, PSS_Type());
+        return incircle_xxxs(r, p, q, t, PSS_Type());
       }
     default: // case SSS:
       return incircle_xxxs(p, q, r, t, SSS_Type());
@@ -4690,20 +4690,20 @@ public:
       break;
     case PPS:
       if ( p_.is_segment() ) {
-	compute_vv(q_, r_, p_, PPS_Type());
+        compute_vv(q_, r_, p_, PPS_Type());
       } else if ( q_.is_segment() ) {
-	compute_vv(r_, p_, q_, PPS_Type());
+        compute_vv(r_, p_, q_, PPS_Type());
       } else {
-	compute_vv(p_, q_, r_, PPS_Type());
+        compute_vv(p_, q_, r_, PPS_Type());
       }
       break;
     case PSS:
       if ( p_.is_point() ) {
-	compute_vv(p_, q_, r_, PSS_Type());
+        compute_vv(p_, q_, r_, PSS_Type());
       } else if ( q_.is_point() ) {
-	compute_vv(q_, r_, p_, PSS_Type());
+        compute_vv(q_, r_, p_, PSS_Type());
       } else {
-	compute_vv(r_, p_, q_, PSS_Type());
+        compute_vv(r_, p_, q_, PSS_Type());
       }
       break;
     default: // case SSS:
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2.h $
-// $Id: Segment_Delaunay_graph_Linf_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_2.h $
+// $Id: Segment_Delaunay_graph_Linf_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -66,11 +66,11 @@
 namespace CGAL {
 
 template<class Gt,
-	 class ST = Segment_Delaunay_graph_storage_traits_2<Gt>,
-	 class D_S = Triangulation_data_structure_2 <
+         class ST = Segment_Delaunay_graph_storage_traits_2<Gt>,
+         class D_S = Triangulation_data_structure_2 <
                 Segment_Delaunay_graph_vertex_base_2<ST>,
                 Segment_Delaunay_graph_face_base_2<Gt> >,
-	 class LTag = Tag_false >
+         class LTag = Tag_false >
 class Segment_Delaunay_graph_Linf_2
   : public Segment_Delaunay_graph_2< Gt, ST, D_S, LTag >
 {
@@ -169,7 +169,7 @@ public:
   // CREATION
   //---------
   Segment_Delaunay_graph_Linf_2(const Geom_traits& gt = Geom_traits(),
-			   const Storage_traits& st = Storage_traits())
+                           const Storage_traits& st = Storage_traits())
     : Base(gt,st)
   {
     setup_insert_on_pointers_linf();
@@ -177,8 +177,8 @@ public:
 
   template< class Input_iterator >
   Segment_Delaunay_graph_Linf_2(Input_iterator first, Input_iterator beyond,
-			   const Geom_traits& gt = Geom_traits(),
-			   const Storage_traits& st = Storage_traits())
+                           const Geom_traits& gt = Geom_traits(),
+                           const Storage_traits& st = Storage_traits())
     : Base(gt, st)
   {
     setup_insert_on_pointers_linf();
@@ -216,17 +216,17 @@ public:
 
   Vertex_triple
   insert_point_on_segment(const Storage_site_2& ss, const Site_2& t,
-			  Vertex_handle v, const Tag_true&);
+                          Vertex_handle v, const Tag_true&);
 
   Vertex_triple
   insert_exact_point_on_segment(const Storage_site_2& ss, const Site_2& t,
-				Vertex_handle v);
+                                Vertex_handle v);
 
 
   // Linf tiebreaker for finite vertex
   inline Oriented_side
   oriented_side(const Site_2& s1, const Site_2& s2, const Site_2& s3,
-		const Site_2& supp, const Site_2& p,
+                const Site_2& supp, const Site_2& p,
                 const Point_2& pt ) const {
     CGAL_precondition( supp.is_segment() && p.is_point() );
     return Base::geom_traits().oriented_side_2_object()(
@@ -236,7 +236,7 @@ public:
   // Linf tiebreaker for infinite vertex
   inline Oriented_side
   oriented_side(const Site_2& s1, const Site_2& s2,
-		const Site_2& supp, const Site_2& p,
+                const Site_2& supp, const Site_2& p,
                 const Point_2& pt ) const {
     CGAL_precondition( supp.is_segment() && p.is_point() );
     return Base::geom_traits().oriented_side_2_object()(
@@ -380,8 +380,8 @@ public:
     os << "Convex-hull of sdg:" << std::endl;
     os << "-------------------" << std::endl;
     Vertex_handle v_inf = infinite_vertex();
-    Vertex_circulator	 vc1 = incident_vertices(v_inf);
-    Vertex_circulator	 vc2 = vc1;
+    Vertex_circulator         vc1 = incident_vertices(v_inf);
+    Vertex_circulator         vc2 = vc1;
     CGAL_precondition(is_infinite(v_inf));
     /*if (is_infinite(v_inf)){
       os << "vertex 0 : " << inf_vertex << std::endl;
@@ -424,13 +424,13 @@ public:
       Site_2 q = eit->first->vertex( ccw(eit->second) )->site();
 
       bool is_endpoint_of_seg =
-	( p.is_segment() && q.is_point() &&
-	  is_endpoint_of_segment(q, p) ) ||
-	( p.is_point() && q.is_segment() &&
-	  is_endpoint_of_segment(p, q) );
+        ( p.is_segment() && q.is_point() &&
+          is_endpoint_of_segment(q, p) ) ||
+        ( p.is_point() && q.is_segment() &&
+          is_endpoint_of_segment(p, q) );
 
       if ( !is_endpoint_of_seg ) {
-	draw_dual_edge(*eit, str);
+        draw_dual_edge(*eit, str);
       }
     }
     return str;
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_filtered_traits_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_filtered_traits_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_filtered_traits_2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_filtered_traits_2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_filtered_traits_2.h $
-// $Id: Segment_Delaunay_graph_Linf_filtered_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_filtered_traits_2.h $
+// $Id: Segment_Delaunay_graph_Linf_filtered_traits_2.h 9a17c8d 2020-04-16T16:28:01+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -24,12 +24,8 @@
 #include <CGAL/Segment_Delaunay_graph_2/Filtered_traits_concept_check_tags.h>
 
 // includes for the default parameters of the filtered traits
-#ifdef CGAL_USE_GMP
-#include <CGAL/Gmpq.h>
-#else
-#include <CGAL/Quotient.h>
-#include <CGAL/MP_Float.h>
-#endif
+#include <CGAL/internal/Exact_type_selector.h>
+
 
 #include <CGAL/Simple_cartesian.h>
 #include <CGAL/Interval_arithmetic.h>
@@ -52,24 +48,20 @@ namespace CGAL {
 
 // this traits class does support intersecting segments
 template<class CK,
-	 class CK_MTag = Field_with_sqrt_tag,
-#ifdef CGAL_USE_GMP
-	 class EK      = Simple_cartesian< Gmpq >,
-#else
-	 class EK      = Simple_cartesian< Quotient<MP_Float> >,
-#endif
-	 class EK_MTag = Field_tag,
-	 class FK      = Simple_cartesian< Interval_nt<false> >,
-	 class FK_MTag = Field_with_sqrt_tag,
-	 class C2E     = Cartesian_converter<CK, EK>,
-	 class C2F     =
-	 Cartesian_converter<CK, FK, To_interval<typename CK::RT> > >
+         class CK_MTag = Field_with_sqrt_tag,
+         class EK      = Simple_cartesian< internal::Exact_field_selector<double>::Type >,
+         class EK_MTag = Field_tag,
+         class FK      = Simple_cartesian< Interval_nt<false> >,
+         class FK_MTag = Field_with_sqrt_tag,
+         class C2E     = Cartesian_converter<CK, EK>,
+         class C2F     =
+         Cartesian_converter<CK, FK, To_interval<typename CK::RT> > >
 struct Segment_Delaunay_graph_Linf_filtered_traits_2
   : public Segment_Delaunay_graph_Linf_filtered_traits_base_2<CK, CK_MTag,
-							 EK, EK_MTag,
-							 FK, FK_MTag,
-							 C2E, C2F,
-							 Tag_true>
+                                                         EK, EK_MTag,
+                                                         FK, FK_MTag,
+                                                         C2E, C2F,
+                                                         Tag_true>
 {
 public:
   Segment_Delaunay_graph_Linf_filtered_traits_2() {
@@ -81,16 +73,16 @@ public:
 
 
 template<class CK, class EK, class EK_MTag, class FK, class FK_MTag,
-	 class C2E, class C2F>
+         class C2E, class C2F>
 struct Segment_Delaunay_graph_Linf_filtered_traits_2<CK, Field_tag,
-						EK, EK_MTag,
-						FK, FK_MTag,
-						C2E, C2F>
+                                                EK, EK_MTag,
+                                                FK, FK_MTag,
+                                                C2E, C2F>
   : public Segment_Delaunay_graph_Linf_filtered_traits_base_2<CK, Integral_domain_without_division_tag,
-							 EK, EK_MTag,
-							 FK, FK_MTag,
-							 C2E, C2F,
-							 Tag_true>
+                                                         EK, EK_MTag,
+                                                         FK, FK_MTag,
+                                                         C2E, C2F,
+                                                         Tag_true>
 {
 public:
   Segment_Delaunay_graph_Linf_filtered_traits_2() {
@@ -100,16 +92,16 @@ public:
 };
 
 template<class CK, class CK_MTag, class EK, class FK, class FK_MTag,
-	 class C2E, class C2F>
+         class C2E, class C2F>
 struct Segment_Delaunay_graph_Linf_filtered_traits_2<CK, CK_MTag,
-						EK, Field_tag,
-						FK, FK_MTag,
-						C2E, C2F>
+                                                EK, Field_tag,
+                                                FK, FK_MTag,
+                                                C2E, C2F>
   : public Segment_Delaunay_graph_Linf_filtered_traits_base_2<CK, CK_MTag,
-							 EK, Integral_domain_without_division_tag,
-							 FK, FK_MTag,
-							 C2E, C2F,
-							 Tag_true>
+                                                         EK, Integral_domain_without_division_tag,
+                                                         FK, FK_MTag,
+                                                         C2E, C2F,
+                                                         Tag_true>
 {
 public:
   Segment_Delaunay_graph_Linf_filtered_traits_2() {
@@ -119,16 +111,16 @@ public:
 };
 
 template<class CK, class CK_MTag, class EK, class EK_MTag, class FK,
-	 class C2E, class C2F>
+         class C2E, class C2F>
 struct Segment_Delaunay_graph_Linf_filtered_traits_2<CK, CK_MTag,
-						EK, EK_MTag,
-						FK, Field_tag,
-						C2E, C2F>
+                                                EK, EK_MTag,
+                                                FK, Field_tag,
+                                                C2E, C2F>
   : public Segment_Delaunay_graph_Linf_filtered_traits_base_2<CK, CK_MTag,
-							 EK, EK_MTag,
-							 FK, Integral_domain_without_division_tag,
-							 C2E, C2F,
-							 Tag_true>
+                                                         EK, EK_MTag,
+                                                         FK, Integral_domain_without_division_tag,
+                                                         C2E, C2F,
+                                                         Tag_true>
 {
 public:
   Segment_Delaunay_graph_Linf_filtered_traits_2() {
@@ -138,16 +130,16 @@ public:
 };
 
 template<class CK, class CK_MTag, class EK, class FK,
-	 class C2E, class C2F>
+         class C2E, class C2F>
 struct Segment_Delaunay_graph_Linf_filtered_traits_2<CK, CK_MTag,
-						EK, Field_tag,
-						FK, Field_tag,
-						C2E, C2F>
+                                                EK, Field_tag,
+                                                FK, Field_tag,
+                                                C2E, C2F>
   : public Segment_Delaunay_graph_Linf_filtered_traits_base_2<CK, CK_MTag,
-							 EK, Integral_domain_without_division_tag,
-							 FK, Integral_domain_without_division_tag,
-							 C2E, C2F,
-							 Tag_true>
+                                                         EK, Integral_domain_without_division_tag,
+                                                         FK, Integral_domain_without_division_tag,
+                                                         C2E, C2F,
+                                                         Tag_true>
 {
 public:
   Segment_Delaunay_graph_Linf_filtered_traits_2() {
@@ -156,16 +148,16 @@ public:
 };
 
 template<class CK, class EK, class EK_MTag, class FK,
-	 class C2E, class C2F>
+         class C2E, class C2F>
 struct Segment_Delaunay_graph_Linf_filtered_traits_2<CK, Field_tag,
-						 EK, EK_MTag,
-						 FK, Field_tag,
-						 C2E, C2F>
+                                                 EK, EK_MTag,
+                                                 FK, Field_tag,
+                                                 C2E, C2F>
   : public Segment_Delaunay_graph_Linf_filtered_traits_base_2<CK, Integral_domain_without_division_tag,
-							 EK, EK_MTag,
-							 FK, Integral_domain_without_division_tag,
-							 C2E, C2F,
-							 Tag_true>
+                                                         EK, EK_MTag,
+                                                         FK, Integral_domain_without_division_tag,
+                                                         C2E, C2F,
+                                                         Tag_true>
 {
 public:
   Segment_Delaunay_graph_Linf_filtered_traits_2() {
@@ -174,16 +166,16 @@ public:
 };
 
 template<class CK, class EK, class FK, class FK_MTag,
-	 class C2E, class C2F>
+         class C2E, class C2F>
 struct Segment_Delaunay_graph_Linf_filtered_traits_2<CK, Field_tag,
-						EK, Field_tag,
-						FK, FK_MTag,
-						C2E, C2F>
+                                                EK, Field_tag,
+                                                FK, FK_MTag,
+                                                C2E, C2F>
   : public Segment_Delaunay_graph_Linf_filtered_traits_base_2<CK, Integral_domain_without_division_tag,
-							 EK, Integral_domain_without_division_tag,
-							 FK, FK_MTag,
-							 C2E, C2F,
-							 Tag_true>
+                                                         EK, Integral_domain_without_division_tag,
+                                                         FK, FK_MTag,
+                                                         C2E, C2F,
+                                                         Tag_true>
 {
 public:
   Segment_Delaunay_graph_Linf_filtered_traits_2() {
@@ -193,14 +185,14 @@ public:
 
 template<class CK, class EK, class FK, class C2E, class C2F>
 struct Segment_Delaunay_graph_Linf_filtered_traits_2<CK, Field_tag,
-						EK, Field_tag,
-						FK, Field_tag,
-						C2E, C2F>
+                                                EK, Field_tag,
+                                                FK, Field_tag,
+                                                C2E, C2F>
   : public Segment_Delaunay_graph_Linf_filtered_traits_base_2<CK, Integral_domain_without_division_tag,
-							 EK, Integral_domain_without_division_tag,
-							 FK, Integral_domain_without_division_tag,
-							 C2E, C2F,
-							 Tag_true>
+                                                         EK, Integral_domain_without_division_tag,
+                                                         FK, Integral_domain_without_division_tag,
+                                                         C2E, C2F,
+                                                         Tag_true>
 {};
 
 //=========================================================================
@@ -208,24 +200,24 @@ struct Segment_Delaunay_graph_Linf_filte
 
 // this traits class does NOT support intersecting segments
 template<class CK,
-	 class CK_MTag = Field_with_sqrt_tag,
+         class CK_MTag = Field_with_sqrt_tag,
 #ifdef CGAL_USE_GMP
-	 class EK      = Simple_cartesian< Gmpq >,
+         class EK      = Simple_cartesian< Gmpq >,
 #else
-	 class EK      = Simple_cartesian< CGAL::Quotient<MP_Float> >,
+         class EK      = Simple_cartesian< CGAL::Quotient<MP_Float> >,
 #endif
-	 class EK_MTag = Integral_domain_without_division_tag,
-	 class FK      = Simple_cartesian< Interval_nt<false> >,
-	 class FK_MTag = Field_with_sqrt_tag,
-	 class C2E     = Cartesian_converter<CK, EK>,
-	 class C2F     =
-	 Cartesian_converter<CK, FK, To_interval<typename CK::RT> > >
+         class EK_MTag = Integral_domain_without_division_tag,
+         class FK      = Simple_cartesian< Interval_nt<false> >,
+         class FK_MTag = Field_with_sqrt_tag,
+         class C2E     = Cartesian_converter<CK, EK>,
+         class C2F     =
+         Cartesian_converter<CK, FK, To_interval<typename CK::RT> > >
 struct Segment_Delaunay_graph_Linf_filtered_traits_without_intersections_2
   : public Segment_Delaunay_graph_Linf_filtered_traits_base_2<CK, CK_MTag,
-							 EK, EK_MTag,
-							 FK, FK_MTag,
-							 C2E, C2F,
-							 Tag_false>
+                                                         EK, EK_MTag,
+                                                         FK, FK_MTag,
+                                                         C2E, C2F,
+                                                         Tag_false>
 {
   Segment_Delaunay_graph_Linf_filtered_traits_without_intersections_2() {
     SDG2_INS::Concept_check_tags_wi<Integral_domain_without_division_tag,CK_MTag,2>();
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_hierarchy_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_hierarchy_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_hierarchy_2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_hierarchy_2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_hierarchy_2.h $
-// $Id: Segment_Delaunay_graph_Linf_hierarchy_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_hierarchy_2.h $
+// $Id: Segment_Delaunay_graph_Linf_hierarchy_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -24,13 +24,13 @@
 namespace CGAL {
 
 template < class Gt,
-	   class ST = Segment_Delaunay_graph_storage_traits_2<Gt>,
-	   class STag = Tag_false,
-	   class D_S = Triangulation_data_structure_2<
+           class ST = Segment_Delaunay_graph_storage_traits_2<Gt>,
+           class STag = Tag_false,
+           class D_S = Triangulation_data_structure_2<
               Segment_Delaunay_graph_hierarchy_vertex_base_2<
-		Segment_Delaunay_graph_vertex_base_2<ST> >,
+                Segment_Delaunay_graph_vertex_base_2<ST> >,
               Segment_Delaunay_graph_face_base_2<Gt> >,
-	   class LTag = Tag_false>
+           class LTag = Tag_false>
 class Segment_Delaunay_graph_Linf_hierarchy_2
   : public Segment_Delaunay_graph_hierarchy_2<Gt,ST,STag,D_S,LTag,
              Segment_Delaunay_graph_Linf_2<Gt,ST,D_S,LTag> >
@@ -50,8 +50,8 @@ class Segment_Delaunay_graph_Linf_hierar
 
   template<class Input_iterator>
   Segment_Delaunay_graph_Linf_hierarchy_2(Input_iterator first,
-				     Input_iterator beyond,
-				     const Gt& gt=Gt())
+                                     Input_iterator beyond,
+                                     const Gt& gt=Gt())
     : Base(first, beyond, gt)
   {
   }
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_traits_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_traits_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_Linf_traits_2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_Linf_traits_2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_traits_2.h $
-// $Id: Segment_Delaunay_graph_Linf_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Segment_Delaunay_graph_Linf_traits_2.h $
+// $Id: Segment_Delaunay_graph_Linf_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -37,9 +37,9 @@ namespace CGAL {
 // the following definition is okay when giving Field_with_sqrt_tag
 // for all other tags I need a specialization
 template<class R,
-	 class MTag =
-	 typename Algebraic_structure_traits<typename R::FT>::Algebraic_category
-	 /*Field_tag*/>
+         class MTag =
+         typename Algebraic_structure_traits<typename R::FT>::Algebraic_category
+         /*Field_tag*/>
 struct Segment_Delaunay_graph_Linf_traits_2
   : public Segment_Delaunay_graph_Linf_traits_base_2<R,MTag,Tag_true> {};
 
@@ -82,29 +82,29 @@ template<class R>
 struct Segment_Delaunay_graph_Linf_traits_2<Filtered_kernel<R>,Field_tag>
   : public
   Segment_Delaunay_graph_filtered_traits_2<R,Field_tag,
-					   typename Filtered_kernel<R>::Exact_kernel,
-					   Field_tag,
-					   typename Filtered_kernel<R>::Approximate_kernel,
-					   Field_with_sqrt_tag>
+                                           typename Filtered_kernel<R>::Exact_kernel,
+                                           Field_tag,
+                                           typename Filtered_kernel<R>::Approximate_kernel,
+                                           Field_with_sqrt_tag>
 {};
 
 template<class R>
 struct Segment_Delaunay_graph_Linf_traits_2<Filtered_kernel<R>,Field_with_sqrt_tag>
   : public
   Segment_Delaunay_graph_filtered_traits_2<R,Field_with_sqrt_tag,
-					   typename Filtered_kernel<R>::Exact_kernel,
-					   Field_tag,
-					   typename Filtered_kernel<R>::Approximate_kernel,
-					   Field_with_sqrt_tag>
+                                           typename Filtered_kernel<R>::Exact_kernel,
+                                           Field_tag,
+                                           typename Filtered_kernel<R>::Approximate_kernel,
+                                           Field_with_sqrt_tag>
 {};
 
 //=========================================================================
 
 // this traits class does NOT support intersecting segments
 template<class R,
-	 class MTag = 
-	 typename Algebraic_structure_traits<typename R::FT>::Algebraic_category
-	 /*Integral_domain_without_division_tag*/>
+         class MTag =
+         typename Algebraic_structure_traits<typename R::FT>::Algebraic_category
+         /*Integral_domain_without_division_tag*/>
 struct Segment_Delaunay_graph_Linf_traits_without_intersections_2
   : public Segment_Delaunay_graph_Linf_traits_base_2<R,MTag,Tag_false> {};
 
@@ -134,26 +134,26 @@ Segment_Delaunay_graph_Linf_traits_witho
 template<class R>
 struct
 Segment_Delaunay_graph_Linf_traits_without_intersections_2<Filtered_kernel<R>,
-						      Integral_domain_without_division_tag>
+                                                      Integral_domain_without_division_tag>
   : public
   Segment_Delaunay_graph_filtered_traits_without_intersections_2<R,Integral_domain_without_division_tag,
-					    typename Filtered_kernel<R>::Exact_kernel,
-					    Integral_domain_without_division_tag,
-					    typename Filtered_kernel<R>::Approximate_kernel,
-					    Field_with_sqrt_tag>
+                                            typename Filtered_kernel<R>::Exact_kernel,
+                                            Integral_domain_without_division_tag,
+                                            typename Filtered_kernel<R>::Approximate_kernel,
+                                            Field_with_sqrt_tag>
 {};
 
 template<class R>
 struct
 Segment_Delaunay_graph_Linf_traits_without_intersections_2<Filtered_kernel<R>,
-						      Field_with_sqrt_tag>
+                                                      Field_with_sqrt_tag>
   : public
   Segment_Delaunay_graph_filtered_traits_without_intersections_2<R,
-					    Field_with_sqrt_tag,
-					    typename Filtered_kernel<R>::Exact_kernel,
-					    Integral_domain_without_division_tag,
-					    typename Filtered_kernel<R>::Approximate_kernel,
-					    Field_with_sqrt_tag>
+                                            Field_with_sqrt_tag,
+                                            typename Filtered_kernel<R>::Exact_kernel,
+                                            Integral_domain_without_division_tag,
+                                            typename Filtered_kernel<R>::Approximate_kernel,
+                                            Field_with_sqrt_tag>
 {};
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_simple_site_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_simple_site_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_simple_site_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_simple_site_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_simple_site_2.h $
-// $Id: Segment_Delaunay_graph_simple_site_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_simple_site_2.h $
+// $Id: Segment_Delaunay_graph_simple_site_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -34,7 +34,7 @@ namespace CGAL {
    */
 
 template <class R_>
-class Segment_Delaunay_graph_simple_site_2 
+class Segment_Delaunay_graph_simple_site_2
 {
 public:
   typedef R_ R;
@@ -75,21 +75,21 @@ public:
   // these "constructors" are defined in order to conform with the
   // specs; they will produce a run-time error if used
   static Self construct_site_2(const Point_2& /*p1*/, const Point_2& /*p2*/,
-			       const Point_2& /*q1*/, const Point_2& /*q2*/) {
+                               const Point_2& /*q1*/, const Point_2& /*q2*/) {
     no_constructor_support();
     return Self();
   }
 
   static Self construct_site_2(const Point_2& , const Point_2& ,
-			       const Point_2& , const Point_2& ,
-			       bool ) {
+                               const Point_2& , const Point_2& ,
+                               bool ) {
     no_constructor_support();
     return Self();
   }
 
   static Self construct_site_2(const Point_2& , const Point_2& ,
-			       const Point_2& , const Point_2& ,
-			       const Point_2& , const Point_2& ) {
+                               const Point_2& , const Point_2& ,
+                               const Point_2& , const Point_2& ) {
     no_constructor_support();
     return Self();
   }
@@ -104,7 +104,7 @@ public:
   bool is_input() const { return true; }
   bool is_input(unsigned int) const { return true; }
 
-  const Point_2& point() const { 
+  const Point_2& point() const {
     CGAL_precondition ( is_point() );
     return p_[0];
   }
@@ -146,17 +146,17 @@ public:
 
 
   Segment_2 segment() const {
-    CGAL_precondition ( is_segment() ); 
+    CGAL_precondition ( is_segment() );
     return Segment_2( p_[0], p_[1] );
   }
 
   const Point_2& source() const {
-    CGAL_precondition ( is_segment() ); 
+    CGAL_precondition ( is_segment() );
     return p_[0];
   }
 
   const Point_2& target() const {
-    CGAL_precondition ( is_segment() ); 
+    CGAL_precondition ( is_segment() );
     return p_[1];
   }
 
@@ -215,8 +215,8 @@ protected:
 
 template <class R>
 std::ostream&
-operator<<(std::ostream& os, 
-	   const Segment_Delaunay_graph_simple_site_2<R>& s)
+operator<<(std::ostream& os,
+           const Segment_Delaunay_graph_simple_site_2<R>& s)
 {
   if (!s.is_defined())
     return os << "u";
@@ -228,7 +228,7 @@ operator<<(std::ostream& os,
 template <class R>
 std::istream &
 operator>>(std::istream &is,
-	   Segment_Delaunay_graph_simple_site_2<R>& t)
+           Segment_Delaunay_graph_simple_site_2<R>& t)
 {
   typedef Segment_Delaunay_graph_simple_site_2<R>   Site_2;
   typedef typename Site_2::Point_2                  Point_2;
@@ -257,7 +257,7 @@ operator<<(Stream& str, Segment_Delaunay
       str << "p " << t.point();
     } else {
       str << "s " << t.segment().source() << "  "
-	  << t.segment().target();
+          << t.segment().target();
     }
   }
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_simple_storage_site_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_simple_storage_site_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_simple_storage_site_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_simple_storage_site_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_simple_storage_site_2.h $
-// $Id: Segment_Delaunay_graph_simple_storage_site_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_simple_storage_site_2.h $
+// $Id: Segment_Delaunay_graph_simple_storage_site_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -37,7 +37,7 @@ template<class STraits> class Construct_
 
 
 template <class STraits>
-class Segment_Delaunay_graph_simple_storage_site_2 
+class Segment_Delaunay_graph_simple_storage_site_2
 {
   friend class
   CGAL_SEGMENT_DELAUNAY_GRAPH_2_NS::Construct_storage_site_2<STraits>;
@@ -65,7 +65,7 @@ protected:
 
   // constructs segment site using input segment
   static Self construct_storage_site_2(const Handle& hp1,
-				       const Handle& hp2) {
+                                       const Handle& hp2) {
     Self t;
     t.initialize_site(hp1, hp2);
     return t;
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_site_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_site_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_site_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_site_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_site_2.h $
-// $Id: Segment_Delaunay_graph_site_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_site_2.h $
+// $Id: Segment_Delaunay_graph_site_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -32,7 +32,7 @@ namespace CGAL {
    */
 
 template <class Gt>
-class Segment_Delaunay_graph_site_2 
+class Segment_Delaunay_graph_site_2
 {
 public:
   typedef Gt Geom_traits;
@@ -63,7 +63,7 @@ public:
   // constructs point site using the point of intersection of the
   // segments (p1,p2) and (q1,q2)
   static Self construct_site_2(const Point_2& p1, const Point_2& p2,
-			       const Point_2& q1, const Point_2& q2) {
+                               const Point_2& q1, const Point_2& q2) {
     Self t;
     t.initialize_site(p1, p2, q1, q2);
     return t;
@@ -73,8 +73,8 @@ public:
   // segment-pairs (p1,p2)-(q1,q2) and (p1,p2)-(q3,q4) as endpoints;
   // the segment (p1,p2) is a segment that supports the actual segment
   static Self construct_site_2(const Point_2& p1, const Point_2& p2,
-			       const Point_2& q1, const Point_2& q2,
-			       const Point_2& r1, const Point_2& r2) {
+                               const Point_2& q1, const Point_2& q2,
+                               const Point_2& r1, const Point_2& r2) {
     Self t;
     t.initialize_site(p1, p2, q1, q2, r1, r2);
     return t;
@@ -84,10 +84,10 @@ public:
   // (p1,p2) (that depends on the boolean is_first_exact) and the
   // intersection of (p1,p2) with (q1,q2) as the other endpoint
   static Self construct_site_2(const Point_2& p1, const Point_2& p2,
-			       const Point_2& q1, const Point_2& q2,
-			       bool is_first_exact) {
+                               const Point_2& q1, const Point_2& q2,
+                               bool is_first_exact) {
     Self t;
-    t.initialize_site(p1, p2, q1, q2, is_first_exact); 
+    t.initialize_site(p1, p2, q1, q2, is_first_exact);
     return t;
  }
 
@@ -132,7 +132,7 @@ public:
     return (i == 0) ? p_[3] : p_[5];
   }
 
-  Point_2 point() const { 
+  Point_2 point() const {
     CGAL_precondition ( is_point() );
     if ( !is_input() ) {
       return compute_intersection_point(p_[2], p_[3], p_[4], p_[5]);
@@ -142,17 +142,17 @@ public:
   }
 
   Segment_2 segment() const {
-    CGAL_precondition ( is_segment() ); 
+    CGAL_precondition ( is_segment() );
     return Segment_2( source(), target() );
   }
 
   Point_2 source() const {
-    CGAL_precondition ( is_segment() ); 
+    CGAL_precondition ( is_segment() );
     return compute_source();
   }
 
   Point_2 target() const {
-    CGAL_precondition ( is_segment() ); 
+    CGAL_precondition ( is_segment() );
     return compute_target();
   }
 
@@ -210,7 +210,7 @@ protected:
     p_[1] = p2;
   }
   void initialize_site(const Point_2& p1, const Point_2& p2,
-		       const Point_2& q1, const Point_2& q2)
+                       const Point_2& q1, const Point_2& q2)
   {
     // MK: Sort the segments s1 and s2 in lexicographical order so
     //     that the computation of the intersection point is always
@@ -224,8 +224,8 @@ protected:
 
 
   void initialize_site(const Point_2& p1, const Point_2& p2,
-		       const Point_2& q1, const Point_2& q2,
-		       const Point_2& r1, const Point_2& r2)
+                       const Point_2& q1, const Point_2& q2,
+                       const Point_2& r1, const Point_2& r2)
   {
     type_ = 14;
     p_[0] = p1;
@@ -237,8 +237,8 @@ protected:
   }
 
   void initialize_site(const Point_2& p1, const Point_2& p2,
-		       const Point_2& q1, const Point_2& q2,
-		       bool is_first_exact)
+                       const Point_2& q1, const Point_2& q2,
+                       bool is_first_exact)
   {
     type_ = (is_first_exact ? 10 : 6);
     p_[0] = p1;
@@ -273,7 +273,7 @@ protected:
   // computes the point of intersection of the segments p1p2 and p3p4
   static Point_2
   compute_intersection_point(const Point_2& p1, const Point_2& p2,
-			     const Point_2& p3, const Point_2& p4)
+                             const Point_2& p3, const Point_2& p4)
   {
     RT x1 = p1.x(), y1 = p1.y();
     RT x2 = p2.x(), y2 = p2.y();
@@ -297,8 +297,8 @@ protected:
 
 template <class R>
 std::ostream&
-operator<<(std::ostream& os, 
-	   const Segment_Delaunay_graph_site_2<R>& s)
+operator<<(std::ostream& os,
+           const Segment_Delaunay_graph_site_2<R>& s)
 {
   if (!s.is_defined())
     return os << "u";
@@ -310,7 +310,7 @@ operator<<(std::ostream& os,
 template <class R>
 std::istream &
 operator>>(std::istream &is,
-	   Segment_Delaunay_graph_site_2<R>& t)
+           Segment_Delaunay_graph_site_2<R>& t)
 {
   typedef Segment_Delaunay_graph_site_2<R>   Site_2;
   typedef typename Site_2::Point_2           Point_2;
@@ -341,7 +341,7 @@ operator<<(Stream& str, Segment_Delaunay
       str << "p " << t.point();
     } else {
       str << "s " << t.segment().source() << "  "
-	  << t.segment().target();
+          << t.segment().target();
     }
   }
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_storage_site_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_storage_site_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_storage_site_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_storage_site_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_storage_site_2.h $
-// $Id: Segment_Delaunay_graph_storage_site_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_storage_site_2.h $
+// $Id: Segment_Delaunay_graph_storage_site_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -37,7 +37,7 @@ template<class STraits> class Construct_
 
 
 template <class STraits>
-class Segment_Delaunay_graph_storage_site_2 
+class Segment_Delaunay_graph_storage_site_2
 {
   friend class
   CGAL_SEGMENT_DELAUNAY_GRAPH_2_NS::Construct_storage_site_2<STraits>;
@@ -63,7 +63,7 @@ protected:
 
   // constructs segment site corresponding to the segment (*hp1,*hp2)
   static Self construct_storage_site_2(const Handle& hp1,
-				       const Handle& hp2) {
+                                       const Handle& hp2) {
     Self t;
     t.initialize_site(hp1, hp2);
     return t;
@@ -72,9 +72,9 @@ protected:
   // constructs point site using the point of intersection of the
   // segments (*hp1,*hp2) and (*hq1,*hq2)
   static Self construct_storage_site_2(const Handle& hp1,
-				       const Handle& hp2,
-				       const Handle& hq1,
-				       const Handle& hq2) {
+                                       const Handle& hp2,
+                                       const Handle& hq1,
+                                       const Handle& hq2) {
     Self t;
     t.initialize_site(hp1, hp2, hq1, hq2);
     return t;
@@ -84,11 +84,11 @@ protected:
   // intersection of the pairs of segments (*hp1,*hp2), (*hq1,*hq2)
   // and (*hp1,*hp2), (*hr1,*hr2)
   static Self construct_storage_site_2(const Handle& hp1,
-				       const Handle& hp2,
-				       const Handle& hq1,
-				       const Handle& hq2,
-				       const Handle& hr1,
-				       const Handle& hr2) {
+                                       const Handle& hp2,
+                                       const Handle& hq1,
+                                       const Handle& hq2,
+                                       const Handle& hr1,
+                                       const Handle& hr2) {
     Self t;
     t.initialize_site(hp1, hp2, hq1, hq2, hr1, hr2);
     return t;
@@ -98,10 +98,10 @@ protected:
   // (*hp1,*hp2) (that depends on the boolean is_first_exact) and the
   // intersection of (*hp1,*hp2) with (*hq1,*hq2) as the other endpoint
   static Self construct_storage_site_2(const Handle& hp1,
-				       const Handle& hp2,
-				       const Handle& hq1,
-				       const Handle& hq2,
-				       bool is_first_exact) {
+                                       const Handle& hp2,
+                                       const Handle& hq1,
+                                       const Handle& hq2,
+                                       bool is_first_exact) {
     Self t;
     t.initialize_site(hp1, hp2, hq1, hq2, is_first_exact);
     return t;
@@ -221,22 +221,22 @@ public:
   Site_2 site() const {
     if ( is_point() ) {
       if ( is_input() ) {
-	return Site_2::construct_site_2(*h_[0]);
+        return Site_2::construct_site_2(*h_[0]);
       } else {
-	return Site_2::construct_site_2(*h_[2], *h_[3], *h_[4], *h_[5]);
+        return Site_2::construct_site_2(*h_[2], *h_[3], *h_[4], *h_[5]);
       }
     } else {
       if ( is_input() ) {
-	return Site_2::construct_site_2(*h_[0], *h_[1]);
+        return Site_2::construct_site_2(*h_[0], *h_[1]);
       } else if ( is_input(0) ) {
-	return Site_2::construct_site_2(*h_[0], *h_[1], *h_[4],
-					*h_[5], true);
+        return Site_2::construct_site_2(*h_[0], *h_[1], *h_[4],
+                                        *h_[5], true);
       } else if ( is_input(1) ) {
-	return Site_2::construct_site_2(*h_[0], *h_[1], *h_[2],
-					*h_[3], false);
+        return Site_2::construct_site_2(*h_[0], *h_[1], *h_[2],
+                                        *h_[3], false);
       } else {
-	return Site_2::construct_site_2(*h_[0], *h_[1], *h_[2],
-					*h_[3], *h_[4], *h_[5]);
+        return Site_2::construct_site_2(*h_[0], *h_[1], *h_[2],
+                                        *h_[3], *h_[4], *h_[5]);
       }
     }
   }
@@ -257,7 +257,7 @@ protected:
     h_[1] = hp2;
   }
   void initialize_site(const Handle& hp1, const Handle& hp2,
-		       const Handle& hq1, const Handle& hq2)
+                       const Handle& hq1, const Handle& hq2)
   {
     // MK: Sort the segments s1 and s2 in lexicographical order so
     //     that the computation of the intersection point is always
@@ -271,8 +271,8 @@ protected:
 
 
   void initialize_site(const Handle& hp1, const Handle& hp2,
-		       const Handle& hq1, const Handle& hq2,
-		       const Handle& hr1, const Handle& hr2)
+                       const Handle& hq1, const Handle& hq2,
+                       const Handle& hr1, const Handle& hr2)
   {
     type_ = 14;
     h_[0] = hp1;
@@ -284,8 +284,8 @@ protected:
   }
 
   void initialize_site(const Handle& hp1, const Handle& hp2,
-		       const Handle& hq1, const Handle& hq2,
-		       bool is_first_exact)
+                       const Handle& hq1, const Handle& hq2,
+                       bool is_first_exact)
   {
     type_ = (is_first_exact ? 10 : 6);
     h_[0] = hp1;
@@ -306,29 +306,29 @@ protected:
 
     if ( other.is_point() ) {
       if ( other.is_input() ) {
-	h_[0] = other.h_[0];
+        h_[0] = other.h_[0];
       } else {
-	h_[2] = other.h_[2];
-	h_[3] = other.h_[3];
-	h_[4] = other.h_[4];
-	h_[5] = other.h_[5];
+        h_[2] = other.h_[2];
+        h_[3] = other.h_[3];
+        h_[4] = other.h_[4];
+        h_[5] = other.h_[5];
       }
     } else {
       h_[0] = other.h_[0];
       h_[1] = other.h_[1];
       if ( !other.is_input() ) {
-	if ( other.is_input(0) ) {
-	  h_[4] = other.h_[4];
-	  h_[5] = other.h_[5];
-	} else if ( other.is_input(1) ) {
-	  h_[2] = other.h_[2];
-	  h_[3] = other.h_[3];
-	} else {
-	  h_[2] = other.h_[2];
-	  h_[3] = other.h_[3];
-	  h_[4] = other.h_[4];
-	  h_[5] = other.h_[5];
-	}
+        if ( other.is_input(0) ) {
+          h_[4] = other.h_[4];
+          h_[5] = other.h_[5];
+        } else if ( other.is_input(1) ) {
+          h_[2] = other.h_[2];
+          h_[3] = other.h_[3];
+        } else {
+          h_[2] = other.h_[2];
+          h_[3] = other.h_[3];
+          h_[4] = other.h_[4];
+          h_[5] = other.h_[5];
+        }
       }
     }
   }
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_storage_site_with_info_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_storage_site_with_info_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_storage_site_with_info_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_storage_site_with_info_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_storage_site_with_info_2.h $
-// $Id: Segment_Delaunay_graph_storage_site_with_info_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_storage_site_with_info_2.h $
+// $Id: Segment_Delaunay_graph_storage_site_with_info_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -75,7 +75,7 @@ private:
 public:
   // COPY CONSTRUCTOR
   //-----------------
-  Segment_Delaunay_graph_storage_site_with_info_2(const Self& other) 
+  Segment_Delaunay_graph_storage_site_with_info_2(const Self& other)
     : Base(other)
   {
     info_set_ = other.info_set_;
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_storage_traits_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_storage_traits_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_storage_traits_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_storage_traits_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_storage_traits_2.h $
-// $Id: Segment_Delaunay_graph_storage_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_storage_traits_2.h $
+// $Id: Segment_Delaunay_graph_storage_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_storage_traits_with_info_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_storage_traits_with_info_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_storage_traits_with_info_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_storage_traits_with_info_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_storage_traits_with_info_2.h $
-// $Id: Segment_Delaunay_graph_storage_traits_with_info_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_storage_traits_with_info_2.h $
+// $Id: Segment_Delaunay_graph_storage_traits_with_info_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -37,9 +37,9 @@ private:
   typedef typename Base::Storage_site_2                Base_storage_site_2;
 
   typedef Segment_Delaunay_graph_storage_traits_with_info_2<Gt,
-							    Info,
-							    Convert_info,
-							    Merge_info>
+                                                            Info,
+                                                            Convert_info,
+                                                            Merge_info>
   Self;
 
 public:
@@ -47,8 +47,8 @@ public:
 
   typedef
   Segment_Delaunay_graph_storage_site_with_info_2<Self,
-						  Info,
-						  Base_storage_site_2>
+                                                  Info,
+                                                  Base_storage_site_2>
   Storage_site_2;
 
   typedef
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_traits_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_traits_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_traits_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_traits_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_traits_2.h $
-// $Id: Segment_Delaunay_graph_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_traits_2.h $
+// $Id: Segment_Delaunay_graph_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -38,9 +38,9 @@ namespace CGAL {
 // the following definition is okay when giving Field_with_sqrt_tag
 // for all other tags I need a specialization
 template<class R,
-	 class MTag =
-	 typename Algebraic_structure_traits<typename R::FT>::Algebraic_category
-	 /*Field_tag*/>
+         class MTag =
+         typename Algebraic_structure_traits<typename R::FT>::Algebraic_category
+         /*Field_tag*/>
 struct Segment_Delaunay_graph_traits_2
   : public Segment_Delaunay_graph_traits_base_2<R,MTag,Tag_true> {};
 
@@ -83,29 +83,29 @@ template<class R>
 struct Segment_Delaunay_graph_traits_2<Filtered_kernel<R>,Field_tag>
   : public
   Segment_Delaunay_graph_filtered_traits_2<R,Field_tag,
-					   typename Filtered_kernel<R>::Exact_kernel,
-					   Field_tag,
-					   typename Filtered_kernel<R>::Approximate_kernel,
-					   Field_with_sqrt_tag>
+                                           typename Filtered_kernel<R>::Exact_kernel,
+                                           Field_tag,
+                                           typename Filtered_kernel<R>::Approximate_kernel,
+                                           Field_with_sqrt_tag>
 {};
 
 template<class R>
 struct Segment_Delaunay_graph_traits_2<Filtered_kernel<R>,Field_with_sqrt_tag>
   : public
   Segment_Delaunay_graph_filtered_traits_2<R,Field_with_sqrt_tag,
-					   typename Filtered_kernel<R>::Exact_kernel,
-					   Field_tag,
-					   typename Filtered_kernel<R>::Approximate_kernel,
-					   Field_with_sqrt_tag>
+                                           typename Filtered_kernel<R>::Exact_kernel,
+                                           Field_tag,
+                                           typename Filtered_kernel<R>::Approximate_kernel,
+                                           Field_with_sqrt_tag>
 {};
 
 //=========================================================================
 
 // this traits class does NOT support intersecting segments
 template<class R,
-	 class MTag = 
-	 typename Algebraic_structure_traits<typename R::FT>::Algebraic_category
-	 /*Integral_domain_without_division_tag*/>
+         class MTag =
+         typename Algebraic_structure_traits<typename R::FT>::Algebraic_category
+         /*Integral_domain_without_division_tag*/>
 struct Segment_Delaunay_graph_traits_without_intersections_2
   : public Segment_Delaunay_graph_traits_base_2<R,MTag,Tag_false> {};
 
@@ -135,26 +135,26 @@ Segment_Delaunay_graph_traits_without_in
 template<class R>
 struct
 Segment_Delaunay_graph_traits_without_intersections_2<Filtered_kernel<R>,
-						      Integral_domain_without_division_tag>
+                                                      Integral_domain_without_division_tag>
   : public
   Segment_Delaunay_graph_filtered_traits_without_intersections_2<R,Integral_domain_without_division_tag,
-					    typename Filtered_kernel<R>::Exact_kernel,
-					    Integral_domain_without_division_tag,
-					    typename Filtered_kernel<R>::Approximate_kernel,
-					    Field_with_sqrt_tag>
+                                            typename Filtered_kernel<R>::Exact_kernel,
+                                            Integral_domain_without_division_tag,
+                                            typename Filtered_kernel<R>::Approximate_kernel,
+                                            Field_with_sqrt_tag>
 {};
 
 template<class R>
 struct
 Segment_Delaunay_graph_traits_without_intersections_2<Filtered_kernel<R>,
-						      Field_with_sqrt_tag>
+                                                      Field_with_sqrt_tag>
   : public
   Segment_Delaunay_graph_filtered_traits_without_intersections_2<R,
-					    Field_with_sqrt_tag,
-					    typename Filtered_kernel<R>::Exact_kernel,
-					    Integral_domain_without_division_tag,
-					    typename Filtered_kernel<R>::Approximate_kernel,
-					    Field_with_sqrt_tag>
+                                            Field_with_sqrt_tag,
+                                            typename Filtered_kernel<R>::Exact_kernel,
+                                            Integral_domain_without_division_tag,
+                                            typename Filtered_kernel<R>::Approximate_kernel,
+                                            Field_with_sqrt_tag>
 {};
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Segment_Delaunay_graph_vertex_base_2.h 5.0.3-1/include/CGAL/Segment_Delaunay_graph_vertex_base_2.h
--- 5.0.2-3/include/CGAL/Segment_Delaunay_graph_vertex_base_2.h	2020-02-21 20:04:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_Delaunay_graph_vertex_base_2.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_vertex_base_2.h $
-// $Id: Segment_Delaunay_graph_vertex_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_2/include/CGAL/Segment_Delaunay_graph_vertex_base_2.h $
+// $Id: Segment_Delaunay_graph_vertex_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -47,7 +47,7 @@ public:
   typedef typename Geom_traits::Site_2             Site_2;
   typedef typename Storage_traits::Storage_site_2  Storage_site_2;
   typedef D_S                                       Data_structure;
-  
+
   typedef typename D_S::Face_handle                 Face_handle;
   typedef typename D_S::Vertex_handle               Vertex_handle;
 
@@ -58,11 +58,11 @@ public:
     typedef Segment_Delaunay_graph_vertex_base_2<STraits,Vb2>  Other;
   };
 
-  
+
   Segment_Delaunay_graph_vertex_base_2 () : Vb(), ss_() {}
-    
+
   Segment_Delaunay_graph_vertex_base_2(const Storage_site_2& ss,
-				       Face_handle f)
+                                       Face_handle f)
     : Vb(f), ss_(ss)  {}
 
   void set_site(const Storage_site_2& ss) { ss_ = ss; }
@@ -78,7 +78,7 @@ public:
 #endif
 
   //the following trivial is_valid to allow
-  // the user of derived face base classes 
+  // the user of derived face base classes
   // to add their own purpose checking
   bool is_valid(bool /* verbose */ = false, int /* level */ = 0) const
   { return true; }
@@ -90,7 +90,7 @@ private:
 };
 
 
-} //namespace CGAL 
+} //namespace CGAL
 
 #include <CGAL/enable_warnings.h>
 
diff -pruN 5.0.2-3/include/CGAL/segment_intersection_points_2.h 5.0.3-1/include/CGAL/segment_intersection_points_2.h
--- 5.0.2-3/include/CGAL/segment_intersection_points_2.h	2020-02-21 20:03:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/segment_intersection_points_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Convex_hull_2/include/CGAL/segment_intersection_points_2.h $
-// $Id: segment_intersection_points_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Convex_hull_2/include/CGAL/segment_intersection_points_2.h $
+// $Id: segment_intersection_points_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Stefan Schirra 
+//
+// Author(s)     : Stefan Schirra
 
 #ifndef CGAL_SEGMENT_INTERSECTION_POINTS_2_H
 #define CGAL_SEGMENT_INTERSECTION_POINTS_2_H
@@ -92,7 +92,7 @@ segment_intersection_points_2(ForwardIte
     typedef typename ITraits::value_type          value_type;
     typedef CGAL::Kernel_traits<value_type>       KTraits;
     typedef typename KTraits::Kernel              Kernel;
-    return segment_intersection_points_2( first, last, result, Kernel()); 
+    return segment_intersection_points_2( first, last, result, Kernel());
 }
 
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Segment_tree_d.h 5.0.3-1/include/CGAL/Segment_tree_d.h
--- 5.0.2-3/include/CGAL/Segment_tree_d.h	2020-02-21 20:04:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_tree_d.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/SearchStructures/include/CGAL/Segment_tree_d.h $
-// $Id: Segment_tree_d.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/SearchStructures/include/CGAL/Segment_tree_d.h $
+// $Id: Segment_tree_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Gabriele Neyer
 
@@ -24,7 +24,7 @@
 #include <CGAL/Tree_base.h>
 
 // A d-dimensional Segment Tree or a multilayer tree consisting of a Segment
-// and other trees that are derived public Tree_base<C_Data, C_Window, 
+// and other trees that are derived public Tree_base<C_Data, C_Window,
 // C_Interface> can be constructed within this class.
 // C_Data: container class which contains the d-dim data the tree holds.
 // C_Window: Query window -- a d-dimensional interval
@@ -59,17 +59,17 @@ public:
   {}
 
   Segment_tree_node(const Key& p_left_key,
-		    const Key& p_right_key)
+                    const Key& p_right_key)
     : left_key(p_left_key), right_key(p_right_key), sublayer(0)
   {}
 
   Segment_tree_node(Segment_tree_node * p_left,
-		    Segment_tree_node * p_right,
-		    const Key& p_left_key,
-		    const Key& p_right_key)
+                    Segment_tree_node * p_right,
+                    const Key& p_left_key,
+                    const Key& p_right_key)
     : Base(p_left,p_right), left_key(p_left_key), right_key(p_right_key), sublayer(0)
   {}
-  
+
   ~Segment_tree_node(){
     objects.clear();
     if (sublayer != 0)//(tree_base_type *)
@@ -89,18 +89,18 @@ private:
 public:
   typedef Tree_base<C_Data, C_Window> tbt;
 protected:
-  Tree_base<C_Data, C_Window> *sublayer_tree; 
+  Tree_base<C_Data, C_Window> *sublayer_tree;
 
   // type of a vertex
   // struct Segment_tree_node;
-  
+
   friend struct Segment_tree_node<C_Data,C_Window,C_Interface>;
   typedef Segment_tree_node<C_Data,C_Window,C_Interface> Segment_tree_node_t;
   typedef Segment_tree_node<C_Data,C_Window,C_Interface> *link_type;
-  
+
   typedef std::allocator<Segment_tree_node_t> allocator_type;
   allocator_type alloc;
-  
+
   C_Interface m_interface;
   bool is_built;
 
@@ -108,13 +108,13 @@ protected:
   bool is_less_equal(const Key& x, const Key&  y) const
   {
     return (!m_interface.comp(y,x));
-  }   
-  
-  static link_type left(link_type x) { 
+  }
+
+  static link_type left(link_type x) {
     return x->left_link;
   }
   static link_type right(link_type x) {
-    return x->right_link; 
+    return x->right_link;
    }
   static link_type parent(link_type x) {
     return x->parent_link;
@@ -126,16 +126,16 @@ protected:
   link_type leftmost(){return left(header);}
   link_type root() const{
     if(header!=0)
-      return header->parent_link; 
+      return header->parent_link;
     return 0;
   }
-  
+
   // returns true, if the object lies inside of win
   bool is_inside( C_Window const &win,  C_Data const& object) const
   {
-    if(is_less_equal(m_interface.get_left_win(win), m_interface.get_left(object)) 
+    if(is_less_equal(m_interface.get_left_win(win), m_interface.get_left(object))
        && is_less_equal(m_interface.get_right(object),
-			m_interface.get_right_win(win)))
+                        m_interface.get_right_win(win)))
     {
       return sublayer_tree->is_inside(win,object);
     }
@@ -144,23 +144,23 @@ protected:
 
   // this tree is not a recursion anchor
   bool is_anchor() const
-  { return false;}  
+  { return false;}
 
   void insert_segment(link_type v,  C_Data& element)
   {
-    if ((is_less_equal(m_interface.get_left(element), v->left_key) && 
-	 is_less_equal(v->right_key, m_interface.get_right(element)))
-	|| left(v)==CGAL_TREE_BASE_nullptr)
+    if ((is_less_equal(m_interface.get_left(element), v->left_key) &&
+         is_less_equal(v->right_key, m_interface.get_right(element)))
+        || left(v)==CGAL_TREE_BASE_nullptr)
       v->objects.push_back( element);
     else
      {
        if (!is_less_equal((*left(v)).right_key, m_interface.get_left(element)))
-	 insert_segment(left(v), element);
+         insert_segment(left(v), element);
        if (!is_less_equal(m_interface.get_right(element), (*right(v)).left_key))
-	 insert_segment(right(v), element);
-     }	
+         insert_segment(right(v), element);
+     }
    }
-  
+
   // according to the list of elements at vertex v, a sublayer tree for these
   // elements is created.
    void build_next_dimension(link_type v)
@@ -180,7 +180,7 @@ protected:
        v->sublayer = g;
        if (!v->sublayer->is_anchor())
        {
-	 v->objects.clear();
+         v->objects.clear();
        }
      }
    }
@@ -211,29 +211,29 @@ protected:
 
   // the skeleton of the segment tree is constructed here.
    void build_segment_tree(int n, link_type& leftchild, link_type& rightchild,
-		   link_type& prevchild, link_type& leftmostlink,
-		   int& index, int last, const std::vector<Key>& keys)
-   { 
+                   link_type& prevchild, link_type& leftmostlink,
+                   int& index, int last, const std::vector<Key>& keys)
+   {
      // only two elements ==> two leaves and a parent is constructed
      if (n==2)
      {
        link_type vright;
        link_type vleft = new_Segment_tree_node_t
-	 (keys[index], keys[index+1]);
+         (keys[index], keys[index+1]);
        index++;
        if(index+1>last)
        {
          vright = new_Segment_tree_node_t
-	   (keys[index], keys[index]);
+           (keys[index], keys[index]);
        }
        else
        {
-	 vright = new_Segment_tree_node_t
-	   (keys[index], keys[index+1]);
+         vright = new_Segment_tree_node_t
+           (keys[index], keys[index+1]);
        }
        index++;
        link_type vparent = new_Segment_tree_node_t
-	 (vleft, vright, vleft->left_key, vright->right_key);
+         (vleft, vright, vleft->left_key, vright->right_key);
 
        vleft->parent_link = vparent;
        vright->parent_link = vparent;
@@ -241,52 +241,52 @@ protected:
        rightchild = vright;
        prevchild = vparent;
        if(leftmostlink == CGAL_TREE_BASE_nullptr)
-	 leftmostlink = leftchild;
+         leftmostlink = leftchild;
      }
      else
        // only one element ==> one leaf is constructed
        if(n==1)
        {
-	 link_type vright;
-	 if(index+1 > last){
-	   vright = new_Segment_tree_node_t
-	     (keys[index], keys[index]);
-	 }
-	 else{
-	   vright = new_Segment_tree_node_t
-	     (keys[index], keys[index+1]);
-	 }
-	 index++;
+         link_type vright;
+         if(index+1 > last){
+           vright = new_Segment_tree_node_t
+             (keys[index], keys[index]);
+         }
+         else{
+           vright = new_Segment_tree_node_t
+             (keys[index], keys[index+1]);
+         }
+         index++;
 
-	 prevchild = vright;
-	 rightchild = vright;
+         prevchild = vright;
+         rightchild = vright;
        }
        else
        {
-	 // recursiv call for the construction. the interval is devided.
-	 build_segment_tree(n - (int)n/2, leftchild, rightchild, 
-			 prevchild, leftmostlink, index, last, keys);
-	 link_type vparent = new_Segment_tree_node_t
-	   (prevchild, CGAL_TREE_BASE_nullptr, prevchild->left_key, prevchild->left_key);
-	 prevchild->parent_link   = vparent;
-	 build_segment_tree((int)n/2, leftchild, rightchild, 
-			 prevchild, leftmostlink, index, last, keys);
-	 vparent->right_link = prevchild;
-	 prevchild->parent_link = vparent;
-	 vparent->right_key = prevchild->right_key;
-	 prevchild = vparent;
+         // recursiv call for the construction. the interval is devided.
+         build_segment_tree(n - (int)n/2, leftchild, rightchild,
+                         prevchild, leftmostlink, index, last, keys);
+         link_type vparent = new_Segment_tree_node_t
+           (prevchild, CGAL_TREE_BASE_nullptr, prevchild->left_key, prevchild->left_key);
+         prevchild->parent_link   = vparent;
+         build_segment_tree((int)n/2, leftchild, rightchild,
+                         prevchild, leftmostlink, index, last, keys);
+         vparent->right_link = prevchild;
+         prevchild->parent_link = vparent;
+         vparent->right_key = prevchild->right_key;
+         prevchild = vparent;
        }
    }
 
   void delete_tree(link_type v)
   {
     if(v->left_link!=CGAL_TREE_BASE_nullptr)
-    { 
+    {
       delete_tree(left(v));
       delete_tree(right(v));
     }
     delete_node(v);
-  }	    
+  }
 
   void delete_node(Segment_tree_node_t* node_ptr)
   {
@@ -296,53 +296,53 @@ protected:
 
   // all elements that contain win are inserted into result
   template <class A>
-  inline  
+  inline
   A enclosing_query( C_Window const &win,
-		     A result,
-		     link_type v)
+                     A result,
+                     link_type v)
    {
-     if(is_less_equal(m_interface.get_right_win(win), v->left_key) 
-	|| is_less_equal(v->right_key,m_interface.get_left_win(win)))
+     if(is_less_equal(m_interface.get_right_win(win), v->left_key)
+        || is_less_equal(v->right_key,m_interface.get_left_win(win)))
        return result;
      if (v->sublayer!=0 && (!v->sublayer->is_anchor())) //(tree_base_type *)
      {
        Tree_base<C_Data, C_Window> *T = v->sublayer;
 
        std::list< C_Data> tmp_result;
-       std::back_insert_iterator<std::list< C_Data> > tmp_back_inserter = 
-	 std::back_inserter(tmp_result);
+       std::back_insert_iterator<std::list< C_Data> > tmp_back_inserter =
+         std::back_inserter(tmp_result);
        T->enclosing_query(win, tmp_back_inserter);
        typename std::list<  C_Data>::iterator tmp = tmp_result.begin();
        while(tmp!=tmp_result.end())
        {
-	 if(is_less_equal(m_interface.get_left(*tmp), 
-			  m_interface.get_left_win(win)))
-	 {
-	   if(is_less_equal(m_interface.get_right_win(win), 
-			    m_interface.get_right(*tmp)))
-	     if(is_less_equal(v->left_key, m_interface.get_left_win(win)))
-	       *result++=(*tmp);
-	 }
-	 tmp++;
+         if(is_less_equal(m_interface.get_left(*tmp),
+                          m_interface.get_left_win(win)))
+         {
+           if(is_less_equal(m_interface.get_right_win(win),
+                            m_interface.get_right(*tmp)))
+             if(is_less_equal(v->left_key, m_interface.get_left_win(win)))
+               *result++=(*tmp);
+         }
+         tmp++;
        }
      }
      else
      {
        if(! v->objects.empty())
        {
-	 typename std::list< C_Data>::iterator j=v->objects.begin();
-	 while (j!= v->objects.end())
-	 {
-	   if(is_less_equal(m_interface.get_left(*j), 
-			    m_interface.get_left_win(win)))
-	   {
-	     if(is_less_equal(m_interface.get_right_win(win), 
-			      m_interface.get_right(*j)))
-	       if(is_less_equal(v->left_key, m_interface.get_left_win(win)))
-		 *result++=(*j);
-	   }
-	   j++;
-	 }
+         typename std::list< C_Data>::iterator j=v->objects.begin();
+         while (j!= v->objects.end())
+         {
+           if(is_less_equal(m_interface.get_left(*j),
+                            m_interface.get_left_win(win)))
+           {
+             if(is_less_equal(m_interface.get_right_win(win),
+                              m_interface.get_right(*j)))
+               if(is_less_equal(v->left_key, m_interface.get_left_win(win)))
+                 *result++=(*j);
+           }
+           j++;
+         }
        }
      }
      if(left(v))
@@ -356,62 +356,62 @@ protected:
 
   // all elements that habe non empty intersection with win are put into result
   template <class A>
-  inline 
+  inline
   A window_query( C_Window const &win,
-		  A result,
-		  const link_type& v) // af: was not const
+                  A result,
+                  const link_type& v) // af: was not const
    {
-     if(is_less_equal(m_interface.get_right_win(win), v->left_key) || 
-	is_less_equal(v->right_key,m_interface.get_left_win(win)))
+     if(is_less_equal(m_interface.get_right_win(win), v->left_key) ||
+        is_less_equal(v->right_key,m_interface.get_left_win(win)))
        return result;
      if (v->sublayer!=0 && (!v->sublayer->is_anchor())) //(tree_base_type *)
      {
        Tree_base<C_Data, C_Window> *T = v->sublayer;
 
        std::list< C_Data> tmp_result;
-       std::back_insert_iterator<std::list< C_Data> > tmp_back_inserter = 
-	 std::back_inserter(tmp_result);
+       std::back_insert_iterator<std::list< C_Data> > tmp_back_inserter =
+         std::back_inserter(tmp_result);
        T->window_query(win, tmp_back_inserter);
        typename std::list< C_Data>::iterator tmp = tmp_result.begin();
        while(tmp!=tmp_result.end())
        {
-	 if(m_interface.comp(m_interface.get_left(*tmp), 
-			   m_interface.get_left_win(win)))
-	 {
-	   if(is_less_equal(v->left_key, m_interface.get_left_win(win))){
-	     *result++=(*tmp);
-	   }
-	 }
-	 else
-	 {
-	   if(is_less_equal(v->left_key,m_interface.get_left(*tmp))){
-	     *result++=(*tmp);
-	   }
-	 }
-	 tmp++;
+         if(m_interface.comp(m_interface.get_left(*tmp),
+                           m_interface.get_left_win(win)))
+         {
+           if(is_less_equal(v->left_key, m_interface.get_left_win(win))){
+             *result++=(*tmp);
+           }
+         }
+         else
+         {
+           if(is_less_equal(v->left_key,m_interface.get_left(*tmp))){
+             *result++=(*tmp);
+           }
+         }
+         tmp++;
        }
      }
      else
      {
        if(! v->objects.empty())
        {
-	 typename std::list< C_Data>::iterator j=v->objects.begin();
-	 while (j!= v->objects.end())
-	 {
-	   if(m_interface.comp(m_interface.get_left(*j), m_interface.get_left_win(win)))
-	   {
-	     if(is_less_equal(v->left_key, m_interface.get_left_win(win)))
-	     {
-	       *result++=(*j);
-	     }
-	   }
-	   else
-	     if(is_less_equal(v->left_key,m_interface.get_left(*j)))
-	     {
-	       *result++=(*j);
-	     }
-	   j++;
-	 }
+         typename std::list< C_Data>::iterator j=v->objects.begin();
+         while (j!= v->objects.end())
+         {
+           if(m_interface.comp(m_interface.get_left(*j), m_interface.get_left_win(win)))
+           {
+             if(is_less_equal(v->left_key, m_interface.get_left_win(win)))
+             {
+               *result++=(*j);
+             }
+           }
+           else
+             if(is_less_equal(v->left_key,m_interface.get_left(*j)))
+             {
+               *result++=(*j);
+             }
+           j++;
+         }
        }
      }
      if(left(v))
@@ -421,44 +421,44 @@ protected:
      }
      return result;
    }
-  
+
   bool is_valid(const link_type& v) const // af:was not const reference
   {
     if (v->sublayer != 0)//(tree_base_type *)
     {
       Tree_base<C_Data, C_Window> *T=v->sublayer;
       if(! T->is_valid())
-	return false;
+        return false;
     }
     if(left(v)!=CGAL_TREE_BASE_nullptr)
     {
       if(!is_valid(left(v)))
-	return false;
+        return false;
       if(!is_valid(right(v)))
-	return false;
+        return false;
     }
     if(! v->objects.empty())
     {
-//      true falls das Object das Segment enthaelt, 
-//	  der parent aber das Segment nicht enthaelt.
+//      true falls das Object das Segment enthaelt,
+//          der parent aber das Segment nicht enthaelt.
       typename std::list< C_Data>::iterator j=v->objects.begin();
       link_type parent_of_v = parent(v);
       while (j!= v->objects.end())
       {
-	if(!is_less_equal(m_interface.get_left(*j), v->left_key))
-	  return false;
-	if(!is_less_equal( v->right_key, m_interface.get_right(*j)))
-	  return false;
-	if (parent_of_v != root())
-	  if((is_less_equal(m_interface.get_left(*j), parent_of_v->left_key))&& 
-	     (is_less_equal( parent_of_v->right_key, 
-			     m_interface.get_right(*j))))
-	    return false;
-	j++;
+        if(!is_less_equal(m_interface.get_left(*j), v->left_key))
+          return false;
+        if(!is_less_equal( v->right_key, m_interface.get_right(*j)))
+          return false;
+        if (parent_of_v != root())
+          if((is_less_equal(m_interface.get_left(*j), parent_of_v->left_key))&&
+             (is_less_equal( parent_of_v->right_key,
+                             m_interface.get_right(*j))))
+            return false;
+        j++;
       }
     }
     return true;
-  } 
+  }
 
 
 
@@ -474,37 +474,37 @@ public:
     sublayer_tree(sub_tree.clone()), is_built(false), header(CGAL_TREE_BASE_nullptr)
   {}
 
-  // destruction 
+  // destruction
   ~Segment_tree_d()
   {
     link_type v=root();
     if(v!=CGAL_TREE_BASE_nullptr)
       delete_tree(v);
-    if (header!=0)  
+    if (header!=0)
       delete_node(header);
     if(sublayer_tree!=0)
       delete sublayer_tree;
   }
-   
+
   // clone creates a prototype
-  Tree_base<C_Data, C_Window> *clone() const { 
+  Tree_base<C_Data, C_Window> *clone() const {
     return new Segment_tree_d(*this, true); }
 
   bool make_tree(const typename std::list< C_Data>::iterator& beg,
-		const typename std::list< C_Data>::iterator& end,
-                 typename tbt::lit * =0){ 
+                const typename std::list< C_Data>::iterator& end,
+                 typename tbt::lit * =0){
     return make_tree_impl(beg,end);
   }
 
   #ifdef stlvector
-  bool make_tree(const typename std::vector< C_Data>::iterator& beg, 
+  bool make_tree(const typename std::vector< C_Data>::iterator& beg,
                  const typename std::vector< C_Data>::iterator& end,
-                 typename tbt::vbit * =0){ 
+                 typename tbt::vbit * =0){
     return make_tree_impl(beg,end);
   }
   #endif
   #ifdef carray
-  bool make_tree(const C_Data *beg, 
+  bool make_tree(const C_Data *beg,
                  const C_Data *end){
      return make_tree_impl(beg,end);
    }
@@ -512,7 +512,7 @@ public:
 
   // the tree is build according to Data [first,last)
   template<class A>
-  inline 
+  inline
   bool make_tree_impl(const A& first, const A& last)
   {
     if(!is_built)
@@ -526,16 +526,16 @@ public:
     while(count!=last)
     {
       if (m_interface.comp(m_interface.get_left(*count),
-			 m_interface.get_right(*count)))
-      { 
-	keys[n++]=m_interface.get_left(*count);
-	keys[n++]=m_interface.get_right(*count);
+                         m_interface.get_right(*count)))
+      {
+        keys[n++]=m_interface.get_left(*count);
+        keys[n++]=m_interface.get_right(*count);
       }
       else
       {
-	CGAL_Tree_warning_msg(m_interface.comp(m_interface.get_left(*count),
-					     m_interface.get_right(*count)), 
-				  "invalid segment ignored");
+        CGAL_Tree_warning_msg(m_interface.comp(m_interface.get_left(*count),
+                                             m_interface.get_right(*count)),
+                                  "invalid segment ignored");
       }
       count++;
     }
@@ -552,10 +552,10 @@ public:
     keys2[0]=keys[0];
     for(m=1;m<n;m++)
     {
-      if(m_interface.comp(keys[m],keys2[num-1])|| 
-	 m_interface.comp(keys2[num-1],keys[m]))
+      if(m_interface.comp(keys[m],keys2[num-1])||
+         m_interface.comp(keys2[num-1],keys[m]))
       {
-	keys2[num++]=keys[m];
+        keys2[num++]=keys[m];
       }
     }
 
@@ -565,8 +565,8 @@ public:
     link_type leftmostlink = CGAL_TREE_BASE_nullptr;
 
     int start = 0;
-    build_segment_tree(num-1, leftchild, rightchild, prevchild, 
-		      leftmostlink, start, num-1, keys2);
+    build_segment_tree(num-1, leftchild, rightchild, prevchild,
+                      leftmostlink, start, num-1, keys2);
 
     header = new_Segment_tree_node_t();
     header->right_link = rightchild;
@@ -579,8 +579,8 @@ public:
     do
     {
       if (m_interface.comp(m_interface.get_left(*current),
-			 m_interface.get_right(*current)))
-	insert_segment(r, *current);
+                         m_interface.get_right(*current)))
+        insert_segment(r, *current);
     }while(++current!=last);
 
     link_type v=root();
@@ -590,7 +590,7 @@ public:
 
 
   std::back_insert_iterator< std::list< C_Data> > window_query
-          ( C_Window const &win, 
+          ( C_Window const &win,
             std::back_insert_iterator< std::list< C_Data> > out,
             typename tbt::lbit * =0){
     return window_query_impl(win,out);
@@ -598,7 +598,7 @@ public:
 
 
   std::back_insert_iterator< std::vector< C_Data> > window_query
-          ( C_Window const &win, 
+          ( C_Window const &win,
             std::back_insert_iterator< std::vector< C_Data> > out,
             typename tbt::vbit * =0){
     return window_query_impl(win,out);
@@ -610,7 +610,7 @@ public:
   #endif
 
 #ifdef ostreamiterator
-  std::ostream_iterator< C_Data>  window_query( C_Window const &win, 
+  std::ostream_iterator< C_Data>  window_query( C_Window const &win,
                      std::ostream_iterator< C_Data> out,
                      typename tbt::oit *dummy=0){
     return window_query_impl(win,out);
@@ -621,33 +621,33 @@ public:
 
   // all elements that ly inside win are inserted into result
   template <class A>
-  inline A window_query_impl( C_Window const &win, 
-			     A result,typename tbt::lbit * =0)
+  inline A window_query_impl( C_Window const &win,
+                             A result,typename tbt::lbit * =0)
   {
-    if(is_less_equal(m_interface.get_right_win(win), 
-		     m_interface.get_left_win(win)))
-    { 
-      CGAL_Tree_warning_msg(m_interface.comp(m_interface.get_right_win(win), 
-					       m_interface.get_left_win(win)),
-				"invalid window -- query ignored");
+    if(is_less_equal(m_interface.get_right_win(win),
+                     m_interface.get_left_win(win)))
+    {
+      CGAL_Tree_warning_msg(m_interface.comp(m_interface.get_right_win(win),
+                                               m_interface.get_left_win(win)),
+                                "invalid window -- query ignored");
       return result;
     }
     link_type v = root();
     if(v!=CGAL_TREE_BASE_nullptr)
-      return window_query(win, result, v);  
+      return window_query(win, result, v);
     return result;
   }
 
-  
-  std::back_insert_iterator< std::list< C_Data> > enclosing_query( 
-	       C_Window const &win, 
+
+  std::back_insert_iterator< std::list< C_Data> > enclosing_query(
+               C_Window const &win,
                std::back_insert_iterator< std::list< C_Data> > out,
                typename tbt::lbit * =0){
     return enclosing_query_impl(win,out);
   }
 
-  std::back_insert_iterator< std::vector< C_Data> > enclosing_query( 
-	      C_Window const &win, 
+  std::back_insert_iterator< std::vector< C_Data> > enclosing_query(
+              C_Window const &win,
               std::back_insert_iterator< std::vector< C_Data> > out,
               typename tbt::vbit * =0){
     return enclosing_query_impl(win,out);
@@ -661,10 +661,10 @@ public:
   #endif
 
 #ifdef ostreamiterator
-  std::ostream_iterator< C_Data>  
-  enclosing_query( C_Window const &win, 
-		   std::ostream_iterator< C_Data> out,
-		   typename tbt::oit *dummy=0){
+  std::ostream_iterator< C_Data>
+  enclosing_query( C_Window const &win,
+                   std::ostream_iterator< C_Data> out,
+                   typename tbt::oit *dummy=0){
     return enclosing_query_impl(win,out);
   }
 #endif
@@ -674,15 +674,15 @@ public:
   // all objects that enclose win are inserted into result
   template <class A>
   inline
-  A enclosing_query_impl( C_Window const &win, 
-			  A result, typename tbt::lbit * =0)
+  A enclosing_query_impl( C_Window const &win,
+                          A result, typename tbt::lbit * =0)
   {
-    if(is_less_equal(m_interface.get_right_win(win), 
-		     m_interface.get_left_win(win)))
-    { 
-      CGAL_Tree_warning_msg(m_interface.comp(m_interface.get_right_win(win), 
-					       m_interface.get_left_win(win)),
-				"invalid window -- query ignored");
+    if(is_less_equal(m_interface.get_right_win(win),
+                     m_interface.get_left_win(win)))
+    {
+      CGAL_Tree_warning_msg(m_interface.comp(m_interface.get_right_win(win),
+                                               m_interface.get_left_win(win)),
+                                "invalid window -- query ignored");
       return result;
     }
     link_type v = root();
diff -pruN 5.0.2-3/include/CGAL/Segment_tree_k.h 5.0.3-1/include/CGAL/Segment_tree_k.h
--- 5.0.2-3/include/CGAL/Segment_tree_k.h	2020-02-21 20:04:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Segment_tree_k.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/SearchStructures/include/CGAL/Segment_tree_k.h $
-// $Id: Segment_tree_k.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/SearchStructures/include/CGAL/Segment_tree_k.h $
+// $Id: Segment_tree_k.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Gabriele Neyer
 
@@ -16,12 +16,12 @@
 #include <CGAL/license/SearchStructures.h>
 
 
-// Predefined k-dimensional Segment Trees (k=1..4) 
+// Predefined k-dimensional Segment Trees (k=1..4)
 // The trees can either be templated with d arbitrary types
-// (e.g., Segment_tree_3) 
+// (e.g., Segment_tree_3)
 // or with an unary type for each dimension
 // (e.g., Segment_tree_uni_4).
-// The container class and sequence container class as well as the 
+// The container class and sequence container class as well as the
 // data accessors are defined in these classes.
 
 #include <iostream>
@@ -35,7 +35,7 @@ namespace CGAL {
 
 template <class C_Traits_1>
 class Segment_tree_1
-{ 
+{
 public:
   typedef  C_Traits_1 Traits;
   typedef typename C_Traits_1::Key Key;
@@ -46,9 +46,9 @@ public:
   typedef typename C_Traits_1::high_1 high_1;
   typedef typename C_Traits_1::compare_1 compare_1;
 
-  typedef tree_interval_traits<Interval, Interval, Key_1,  
-                               low_1, high_1, low_1, 
-                               high_1, compare_1> I1; 
+  typedef tree_interval_traits<Interval, Interval, Key_1,
+                               low_1, high_1, low_1,
+                               high_1, compare_1> I1;
 
 
   typedef Tree_anchor<Interval, Interval> Tree_anchor_type;
@@ -61,18 +61,18 @@ public:
   Segment_tree_1()
     : anchor(new Tree_anchor_type), segment_tree_1(new Segment_tree_1_type(*anchor))
   {}
-  
+
   template <class T>
-  Segment_tree_1(const T& first, 
-		 const T& last) 
+  Segment_tree_1(const T& first,
+                 const T& last)
     : anchor(new Tree_anchor_type), segment_tree_1(new Segment_tree_1_type(*anchor))
  {
    segment_tree_1->make_tree(first,last);
   }
 
   template <class T>
-  bool make_tree(const T& first, 
-		 const T& last)
+  bool make_tree(const T& first,
+                 const T& last)
   {
     delete segment_tree_1;
     delete anchor;
@@ -81,13 +81,13 @@ public:
     return segment_tree_1->make_tree(first,last);
   }
 
-  template <class T>  
+  template <class T>
   T  window_query(Interval const &win, const T& result)
   {
     return segment_tree_1->window_query(win, result);
   }
 
-  template <class T>  
+  template <class T>
   T  enclosing_query(Interval const &win, const T& result)
   {
     return segment_tree_1->enclosing_query(win, result);
@@ -109,7 +109,7 @@ public:
 
 template <class C_Traits_2>
 class Segment_tree_2
-{ 
+{
 public:
   typedef C_Traits_2 Traits;
   typedef typename C_Traits_2::Key Key;
@@ -128,13 +128,13 @@ public:
   typedef typename std::list<Interval>::iterator l_iterator;
   typedef typename std::vector<Interval>::iterator v_iterator;
 
-  typedef tree_interval_traits<Interval, Interval, Key_1,  
-                               low_1,  high_1, 
-                               low_1,  high_1, compare_1> I1; 
-
-  typedef tree_interval_traits<Interval, Interval, Key_2,  
-                               low_2,  high_2, 
-                               low_2,  high_2, compare_2> I2; 
+  typedef tree_interval_traits<Interval, Interval, Key_1,
+                               low_1,  high_1,
+                               low_1,  high_1, compare_1> I1;
+
+  typedef tree_interval_traits<Interval, Interval, Key_2,
+                               low_2,  high_2,
+                               low_2,  high_2, compare_2> I2;
 
   typedef Tree_anchor<Interval, Interval> Tree_anchor_type;
   Tree_anchor_type *anchor;
@@ -152,18 +152,18 @@ public:
   {}
 
   template <class T>
-  Segment_tree_2(const T& first, 
-		 const T& last)
+  Segment_tree_2(const T& first,
+                 const T& last)
     : anchor( new Tree_anchor_type),
       segment_tree_1(new Segment_tree_1_type(*anchor)),
-      segment_tree_2(new Segment_tree_2_type(*segment_tree_1))  
+      segment_tree_2(new Segment_tree_2_type(*segment_tree_1))
   {
     segment_tree_2->make_tree(first,last);
   }
 
   template <class T>
-  bool make_tree(const T& first, 
-		 const T& last)
+  bool make_tree(const T& first,
+                 const T& last)
   {
     delete segment_tree_2;
     delete segment_tree_1;
@@ -173,7 +173,7 @@ public:
     segment_tree_2 = new Segment_tree_2_type(*segment_tree_1);
     return segment_tree_2->make_tree(first,last);
   }
-  
+
   template <class T>
   T  window_query(Interval const &win, const T& result)
   {
@@ -203,7 +203,7 @@ public:
 // Ti is the type of each dimension of the tree.
 template <class C_Traits_3>
 class Segment_tree_3
-{ 
+{
 public:
   typedef C_Traits_3 Traits;
   typedef typename C_Traits_3::Key Key;
@@ -227,14 +227,14 @@ public:
   typedef typename std::list<Interval>::iterator l_iterator;
   typedef typename std::vector<Interval>::iterator v_iterator;
 
-  typedef tree_interval_traits<Interval, Interval, Key_1,  
-                               low_1, high_1, low_1, high_1,  compare_1> I1; 
+  typedef tree_interval_traits<Interval, Interval, Key_1,
+                               low_1, high_1, low_1, high_1,  compare_1> I1;
 
-  typedef tree_interval_traits<Interval, Interval, Key_2,  
+  typedef tree_interval_traits<Interval, Interval, Key_2,
                                low_2, high_2, low_2, high_2,  compare_2> I2;
 
 
-  typedef tree_interval_traits<Interval, Interval, Key_3, 
+  typedef tree_interval_traits<Interval, Interval, Key_3,
                                low_3, high_3, low_3, high_3,  compare_3> I3;
 
 
@@ -258,8 +258,8 @@ public:
   {}
 
   template <class T>
-  Segment_tree_3(const T& first, 
-		 const T& last)
+  Segment_tree_3(const T& first,
+                 const T& last)
     : anchor(new Tree_anchor_type),
       segment_tree_1(new Segment_tree_1_type(*anchor)),
       segment_tree_2(new Segment_tree_2_type(*segment_tree_1)),
@@ -269,8 +269,8 @@ public:
   }
 
   template <class T>
-  bool make_tree(const T& first, 
-		 const T& last)
+  bool make_tree(const T& first,
+                 const T& last)
   {
     delete segment_tree_3;
     delete segment_tree_2;
@@ -283,13 +283,13 @@ public:
     return segment_tree_3->make_tree(first,last);
   }
 
-  template <class T>  
+  template <class T>
   T window_query(Interval const &win, const T& result)
   {
     return (*segment_tree_3).window_query(win, result);
   }
 
-  template <class T>  
+  template <class T>
   T  enclosing_query(Interval const &win, const T& result)
   {
     return (*segment_tree_3).enclosing_query(win, result);
@@ -314,7 +314,7 @@ public:
 // Ti is the type of each dimension of the tree.
 template <class C_Traits_4>
 class Segment_tree_4
-{ 
+{
 public:
   typedef C_Traits_4 Traits;
   typedef typename C_Traits_4::Key Key;
@@ -343,17 +343,17 @@ public:
   typedef typename std::list<Interval>::iterator l_iterator;
   typedef typename std::vector<Interval>::iterator v_iterator;
 
-  typedef tree_interval_traits<Interval, Interval, Key_1, 
+  typedef tree_interval_traits<Interval, Interval, Key_1,
                                low_1, high_1, low_1, high_1, compare_1> I1;
 
-  typedef tree_interval_traits<Interval, Interval, Key_2,  
-                               low_2, high_2, low_2, high_2, compare_2> I2; 
+  typedef tree_interval_traits<Interval, Interval, Key_2,
+                               low_2, high_2, low_2, high_2, compare_2> I2;
 
-  typedef tree_interval_traits<Interval, Interval, Key_3, 
-                               low_3, high_3, low_3, high_3, compare_3> I3; 
+  typedef tree_interval_traits<Interval, Interval, Key_3,
+                               low_3, high_3, low_3, high_3, compare_3> I3;
 
-  typedef tree_interval_traits<Interval, Interval, Key_4,  
-                               low_4, high_4, low_4, high_4, compare_4> I4; 
+  typedef tree_interval_traits<Interval, Interval, Key_4,
+                               low_4, high_4, low_4, high_4, compare_4> I4;
 
 
   typedef Tree_anchor<Interval, Interval> Tree_anchor_type;
@@ -380,8 +380,8 @@ public:
   {}
 
   template <class T>
-  Segment_tree_4(const T& first, 
-		 const T& last)
+  Segment_tree_4(const T& first,
+                 const T& last)
     : anchor(new Tree_anchor_type),
       segment_tree_1(new Segment_tree_1_type(*anchor)),
       segment_tree_2(new Segment_tree_2_type(*segment_tree_1)),
@@ -392,8 +392,8 @@ public:
   }
 
   template <class T>
-  bool make_tree(const T& first, 
-		 const T& last)
+  bool make_tree(const T& first,
+                 const T& last)
   {
     delete segment_tree_4;
     delete segment_tree_3;
diff -pruN 5.0.2-3/include/CGAL/SEP_header.h 5.0.3-1/include/CGAL/SEP_header.h
--- 5.0.2-3/include/CGAL/SEP_header.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/SEP_header.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/SEP_header.h $
-// $Id: SEP_header.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/SEP_header.h $
+// $Id: SEP_header.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Rineau
@@ -50,7 +50,7 @@ struct SEP_header_aux
   Int_dict int_dict;
   Double_dict double_dict;
   String_dict string_dict;
-  
+
 public:
   template <typename Tuple_string_variant>
   SEP_header_aux& operator<<(const Tuple_string_variant& tuple)
@@ -105,7 +105,7 @@ BOOST_FUSION_ADAPT_STRUCT(
 namespace CGAL {
 
 class SEP_header {
-  
+
   boost::array<std::size_t, 3> _n;
   boost::array<double, 3> _d;
   boost::array<double, 3> _o;
@@ -119,7 +119,7 @@ public:
   SEP_header(std::string fileName) : _dim(-1) {
     std::ifstream input(fileName.c_str());
     if(!input) {
-      std::cerr << "Error: cannot open the header file \"" 
+      std::cerr << "Error: cannot open the header file \""
                 << fileName << "\"!\n";
       return;
     }
@@ -164,7 +164,7 @@ public:
     else return it->second;
   }
   /// @}
-  
+
   /// non-const getters
   /// @{
   double& get_o(int i) { return _o[i-1]; }
diff -pruN 5.0.2-3/include/CGAL/SEP_to_ImageIO.h 5.0.3-1/include/CGAL/SEP_to_ImageIO.h
--- 5.0.2-3/include/CGAL/SEP_to_ImageIO.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/SEP_to_ImageIO.h	2020-08-01 19:02:17.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/CGAL_ImageIO/include/CGAL/SEP_to_ImageIO.h $
-// $Id: SEP_to_ImageIO.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/CGAL_ImageIO/include/CGAL/SEP_to_ImageIO.h $
+// $Id: SEP_to_ImageIO.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Rineau
@@ -63,10 +63,10 @@ public:
     boost::filesystem::path headerFile(fileName);
     boost::filesystem::path dataFile(string_field("in"));
 #if BOOST_FILESYSTEM_VERSION == 2
-    dataFile = boost::filesystem::complete(dataFile, 
+    dataFile = boost::filesystem::complete(dataFile,
                                            boost::filesystem::complete(headerFile.parent_path()));
 #else
-    dataFile = boost::filesystem::absolute(dataFile, 
+    dataFile = boost::filesystem::absolute(dataFile,
                                            boost::filesystem::absolute(headerFile.parent_path()));
 #endif
     if(!load_data(dataFile.string())) {
@@ -88,7 +88,7 @@ public:
 
 protected :
 
-  bool load_data(std::string dataFilename) 
+  bool load_data(std::string dataFilename)
   {
     if(_im) delete _im;
     _im = new _image;
@@ -141,11 +141,11 @@ protected :
 
     // Compute number of element
     const std::size_t size = n(1) * n(2) * n(3);
-    
+
     // Allocate array
     _data = new T[size];
     _im->data = (void*)_data;
-    
+
     // // Read file
     if(_readImageData(_im) < 0) return false;
    // char* buffer = reinterpret_cast<char*>(_data);
diff -pruN 5.0.2-3/include/CGAL/Set_movable_separability_2/internal/Circle_arrangment.h 5.0.3-1/include/CGAL/Set_movable_separability_2/internal/Circle_arrangment.h
--- 5.0.2-3/include/CGAL/Set_movable_separability_2/internal/Circle_arrangment.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Set_movable_separability_2/internal/Circle_arrangment.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Set_movable_separability_2/include/CGAL/Set_movable_separability_2/internal/Circle_arrangment.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Set_movable_separability_2/include/CGAL/Set_movable_separability_2/internal/Circle_arrangment.h $
 // $Id: Circle_arrangment.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Set_movable_separability_2/internal/Utils.h 5.0.3-1/include/CGAL/Set_movable_separability_2/internal/Utils.h
--- 5.0.2-3/include/CGAL/Set_movable_separability_2/internal/Utils.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Set_movable_separability_2/internal/Utils.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Set_movable_separability_2/include/CGAL/Set_movable_separability_2/internal/Utils.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Set_movable_separability_2/include/CGAL/Set_movable_separability_2/internal/Utils.h $
 // $Id: Utils.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/is_pullout_direction.h 5.0.3-1/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/is_pullout_direction.h
--- 5.0.2-3/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/is_pullout_direction.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/is_pullout_direction.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Set_movable_separability_2/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/is_pullout_direction.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Set_movable_separability_2/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/is_pullout_direction.h $
 // $Id: is_pullout_direction.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/pullout_directions.h 5.0.3-1/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/pullout_directions.h
--- 5.0.2-3/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/pullout_directions.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/pullout_directions.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Set_movable_separability_2/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/pullout_directions.h $
-// $Id: pullout_directions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Set_movable_separability_2/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/pullout_directions.h $
+// $Id: pullout_directions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s): Shahar    <shasha94@gmail.com>
@@ -28,40 +28,40 @@ namespace Single_mold_translational_cast
  * \param[in] traits the traits to use.
  *
  *   algorithm:
- *   	this function implements a very simple algorithm... it just keep at any stage the current
- *   	intersection in  [firstClockwise,secondClockwise].
- *   	When a new semicircle appear the possible cases are as such:
- *   	(let f:=firstClockwise, s:=secondClockwise, a:=newSemicircleFirstClockwise , b:=newSemicircleSecondClockwise)
- *	REMEBER THAT THIS ARE SEGMENTS ON A CIRCLE! NOT ON A LINE!
+ *           this function implements a very simple algorithm... it just keep at any stage the current
+ *           intersection in  [firstClockwise,secondClockwise].
+ *           When a new semicircle appear the possible cases are as such:
+ *           (let f:=firstClockwise, s:=secondClockwise, a:=newSemicircleFirstClockwise , b:=newSemicircleSecondClockwise)
+ *        REMEBER THAT THIS ARE SEGMENTS ON A CIRCLE! NOT ON A LINE!
  * 1. [f,s] contained in [a,b]
- *   	     f	   s	  	  *      f		s   *          f	s  *     f	s
- *   	a		b	  *      a		b   *     a		b  *     a		b
- *   	_________________     	  *      _________________  *     _________________*     _________________
- *   	     f	   s		  *      f		s   *          f	s  *     f	s
+ *                f           s                    *      f                s   *          f        s  *     f        s
+ *           a                b          *      a                b   *     a                b  *     a                b
+ *           _________________               *      _________________  *     _________________*     _________________
+ *                f           s                  *      f                s   *          f        s  *     f        s
  * %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  * 2.  a contained in (f,s] and b is not  /  or in other words / s in [a,b) and f is not in [a,b] (it is enough to ask if s is in [a,b] since fs+ab is less than 2*pi)
- * 		   f		s	  *	 f	s
- *   		a		b *   		a	b
- *   	_________________ 	  *   	_________________
- *   		f	s	  *   		fs
+ *                    f                s          *         f        s
+ *                   a                b *                   a        b
+ *           _________________           *           _________________
+ *                   f        s          *                   fs
  * %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  * 3. b contained in [f,s) and a is not /  or in other words / f in (a,b] and s is not in [a,b] (it is enough to ask if f is in [a,b] since fs is shorter the ab)
- * 	    	   f	    s	  * 	    	f	s
- *       a		b	  *   a		b
- *   	_________________ *   	_________________
- *   	   f	s	  *    		fs
+ *                        f            s          *                     f        s
+ *       a                b          *   a                b
+ *           _________________ *           _________________
+ *              f        s          *                    fs
  * %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
- * 4. 	no intersection between [f,s] and [a,b] / case a: or in other words /  f,s are not in [a,b]
- *   	     f	   s  	    *  	f		s
- *   	b		a   *	b		a
- *   	_________________   * 	_________________
- *   	NO INTERSECTION!    *  	NO INTERSECTION! (the only case in which this is possible is if (f,s) was not changes, and then (f,s) is an open arc)
+ * 4.         no intersection between [f,s] and [a,b] / case a: or in other words /  f,s are not in [a,b]
+ *                f           s              *          f                s
+ *           b                a   *        b                a
+ *           _________________   *         _________________
+ *           NO INTERSECTION!    *          NO INTERSECTION! (the only case in which this is possible is if (f,s) was not changes, and then (f,s) is an open arc)
  * %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  * 5. Illegal cases
- *  	f		s *  	f		s
- *   	     a	   b	  *    	     b	  a
- *   	__________________*	__________________
- *   	THIS CASE CANT HAPPEN!! [a,b] is an semicircle, and (f,s) is a semicircle or less
+ *          f                s *          f                s
+ *                a           b          *                 b          a
+ *           __________________*        __________________
+ *           THIS CASE CANT HAPPEN!! [a,b] is an semicircle, and (f,s) is a semicircle or less
  */
 template <typename CastingTraits_2>
 std::pair<bool, std::pair<typename CastingTraits_2::Direction_2,
diff -pruN 5.0.2-3/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/top_edges.h 5.0.3-1/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/top_edges.h
--- 5.0.2-3/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/top_edges.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/top_edges.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Set_movable_separability_2/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/top_edges.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Set_movable_separability_2/include/CGAL/Set_movable_separability_2/Single_mold_translational_casting/top_edges.h $
 // $Id: top_edges.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/deprecated/Region_growing.h 5.0.3-1/include/CGAL/Shape_detection/deprecated/Region_growing.h
--- 5.0.2-3/include/CGAL/Shape_detection/deprecated/Region_growing.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/deprecated/Region_growing.h	2020-08-01 19:02:51.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/deprecated/Region_growing.h $
-// $Id: Region_growing.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/deprecated/Region_growing.h $
+// $Id: Region_growing.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Florent Lafarge, Simon Giraudot
@@ -52,7 +52,7 @@ namespace Shape_detection {
 
   #ifdef DOXYGEN_NS
     namespace deprecated {
-  #endif 
+  #endif
 
   /*!
   \ingroup PkgShapeDetectionDEPR
@@ -67,10 +67,10 @@ namespace Shape_detection {
   */
   template<class Traits>
   class Region_growing_depr {
-    
+
   public:
-    
-    /// \name Types 
+
+    /// \name Types
     /// @{
 
     /// \cond SKIP_IN_MANUAL
@@ -111,10 +111,10 @@ namespace Shape_detection {
         typename std::vector<boost::shared_ptr<Shape> >::const_iterator> Base;
 
       Shape_range(boost::shared_ptr<std::vector<boost::shared_ptr<Shape> > >
-      extracted_shapes) : 
+      extracted_shapes) :
       Base(make_range(extracted_shapes->begin(),
       extracted_shapes->end())), m_extracted_shapes(extracted_shapes) { }
-    
+
     private:
       boost::shared_ptr<std::vector<boost::shared_ptr<Shape> > >
       m_extracted_shapes; // keeps a reference to the shape vector
@@ -128,7 +128,7 @@ namespace Shape_detection {
       Plane_range(boost::shared_ptr<std::vector<boost::shared_ptr<Plane_shape> > >
         extracted_shapes) : Base(make_range(extracted_shapes->begin(),
         extracted_shapes->end())), m_extracted_shapes(extracted_shapes) { }
-    
+
     private:
       boost::shared_ptr<std::vector<boost::shared_ptr<Plane_shape> > >
         m_extracted_shapes; // keeps a reference to the shape vector
@@ -152,7 +152,7 @@ namespace Shape_detection {
     };
 
     typedef boost::filter_iterator<Filter_unassigned_points,
-      boost::counting_iterator<std::size_t, boost::use_default, std::ptrdiff_t> > 
+      boost::counting_iterator<std::size_t, boost::use_default, std::ptrdiff_t> >
       Point_index_iterator;
     ///< iterator for indices of points.
     /// \endcond
@@ -161,19 +161,19 @@ namespace Shape_detection {
     typedef unspecified_type Point_index_range;
     ///< An `Iterator_range` with a bidirectional iterator with value type `std::size_t`
     ///  as indices into the input data that has not been assigned to a shape.
-    ///  As this range class has no `size()` method, the method 
+    ///  As this range class has no `size()` method, the method
     ///  `Efficient_RANSAC::number_of_unassigned_points()` is provided.
-#else 
+#else
     typedef Iterator_range<Point_index_iterator> Point_index_range;
-#endif     
+#endif
 
     /// @}
 
-    /// \name Parameters 
+    /// \name Parameters
     /// @{
-    
+
     /*!
-      %Parameters for the shape detection algorithm. They are explained in detail 
+      %Parameters for the shape detection algorithm. They are explained in detail
       in Section \ref Shape_detection_RANSACParameters of the User Manual.
     */
     struct Parameters {
@@ -186,19 +186,19 @@ namespace Shape_detection {
 
       std::size_t min_points; ///< Minimum number of points of a shape. %Default value: 1% of total number of input points.
       FT epsilon;             ///< Maximum tolerance Euclidean distance from a point and a shape. %Default value: 1% of bounding box diagonal.
-      FT normal_threshold;	  ///< Maximum tolerance normal deviation from a point's normal to the normal on shape at projected point. %Default value: 0.9 (around 25 degrees).
-      FT cluster_epsilon;	    ///< Maximum distance between points to be considered connected. %Default value: 1% of bounding box diagonal.
+      FT normal_threshold;          ///< Maximum tolerance normal deviation from a point's normal to the normal on shape at projected point. %Default value: 0.9 (around 25 degrees).
+      FT cluster_epsilon;            ///< Maximum distance between points to be considered connected. %Default value: 1% of bounding box diagonal.
     };
 
     /// @}
 
   private:
-    
+
     class My_point_map {
 
       Input_iterator input_iterator_first;
       Point_map point_map;
-      
+
     public:
       typedef typename Point_map::value_type value_type;
       typedef typename Point_map::reference reference;
@@ -212,7 +212,7 @@ namespace Shape_detection {
       reference operator[](key_type k) const {
         return get(point_map, *(input_iterator_first + k));
       }
-      
+
       friend reference get (const My_point_map& pmap, key_type idx) {
         return pmap[idx];
       }
@@ -225,7 +225,7 @@ namespace Shape_detection {
     typedef CGAL::Fuzzy_sphere<Search_traits> Fuzzy_sphere;
     typedef CGAL::Orthogonal_k_neighbor_search<Search_traits> Neighbor_search;
     typedef typename Neighbor_search::Distance Distance;
-    
+
     class Sort_by_planarity
     {
       Input_iterator m_first;
@@ -235,7 +235,7 @@ namespace Shape_detection {
       FT m_cluster_epsilon;
       mutable boost::shared_ptr<std::vector<std::size_t> > nb_points;
       mutable boost::shared_ptr<std::vector<FT> > score;
-      
+
     public:
       Sort_by_planarity (Input_iterator first,
                          Point_map point_map,
@@ -252,13 +252,13 @@ namespace Shape_detection {
       void compute_score (const std::size_t& idx) const
       {
         static std::vector<std::size_t> neighbors;
-        
+
         neighbors.clear();
         Sphere fs (get(m_point_map, *(m_first + idx)), m_cluster_epsilon * 2, 0, m_tree.traits());
         m_tree.search (std::back_inserter (neighbors), fs);
 
         (*nb_points)[idx] = neighbors.size();
-        
+
         Plane dummy;
         (*score)[idx]
           = CGAL::linear_least_squares_fitting_3
@@ -269,7 +269,7 @@ namespace Shape_detection {
            dummy,
            CGAL::Dimension_tag<0>());
       }
-      
+
       bool operator() (const std::size_t& a, const std::size_t& b) const
       {
         if ((*score)[a] == -1.)
@@ -296,7 +296,7 @@ namespace Shape_detection {
 
     // Maps index into points to assigned extracted primitive.
     std::vector<int> m_shape_index;
-    std::size_t m_num_available_points; 
+    std::size_t m_num_available_points;
     std::size_t m_num_total_points;
 
     // Give the index of the subset of point i.
@@ -308,20 +308,20 @@ namespace Shape_detection {
 
     // Iterators of input data.
     bool m_valid_iterators;
-    Input_iterator m_input_iterator_first, m_input_iterator_beyond; 
+    Input_iterator m_input_iterator_first, m_input_iterator_beyond;
     Point_map m_point_map;
     Normal_map m_normal_map;
-    My_point_map m_index_map;    
+    My_point_map m_index_map;
     Tree* m_tree;
-    
+
   public:
 
     /// \name Initialization
     /// @{
 
-    /*! 
+    /*!
       Constructs an empty shape detection object.
-    */ 
+    */
     Region_growing_depr (Traits t = Traits())
       : m_traits(t)
       , m_num_available_points(0)
@@ -330,9 +330,9 @@ namespace Shape_detection {
       , m_tree (nullptr)
     {}
 
-    /*! 
+    /*!
       Releases all memory allocated by this instances including shapes.
-    */ 
+    */
     ~Region_growing_depr() {
       clear();
     }
@@ -350,7 +350,7 @@ namespace Shape_detection {
       Retrieves the point property map.
     */
     const Point_map& point_map() const { return m_point_map; }
-    
+
     /*!
       Retrieves the normal property map.
     */
@@ -389,7 +389,7 @@ namespace Shape_detection {
         m_index_map = My_point_map (m_input_iterator_first, m_point_map);
         clear();
 
-        m_extracted_shapes = 
+        m_extracted_shapes =
           boost::make_shared<std::vector<boost::shared_ptr<Shape> > >();
 
         m_num_available_points = m_num_total_points = std::distance(
@@ -408,12 +408,12 @@ namespace Shape_detection {
       Shape_detection::Plane<Traits> >();`.
 
       \note So far, region growing algorithm only supports plane detection.
-    */ 
+    */
     template <class Shape_type>
     void add_shape_factory() {
       CGAL_static_assertion_msg ((boost::is_convertible<Shape_type, Plane_shape>::value),
                                  "Region growing only supports Plane shapes.");
-      
+
       m_shape_factories.push_back(factory<Shape_type>);
     }
 
@@ -422,7 +422,7 @@ namespace Shape_detection {
       These structures only depend on the input data, i.e. the points and
       normal vectors. This method is called by `detect()`, if it was not called
       before by the user.
-    */ 
+    */
     bool preprocess() {
       if (m_num_total_points == 0)
         return false;
@@ -440,7 +440,7 @@ namespace Shape_detection {
     /// @{
     /*!
       Removes all shape types registered for detection.
-     */ 
+     */
     void clear_shape_factories() {
       m_shape_factories.clear();
     }
@@ -448,9 +448,9 @@ namespace Shape_detection {
     /*!
       Removes all detected shapes.
       All internal structures are cleaned, including formerly detected shapes.
-      Thus iterators and ranges retrieved through `shapes()`, `planes()` and `indices_of_unassigned_points()` 
+      Thus iterators and ranges retrieved through `shapes()`, `planes()` and `indices_of_unassigned_points()`
       are invalidated.
-    */ 
+    */
     void clear()
     {
       // If there is no data yet, there are no data structures.
@@ -465,18 +465,18 @@ namespace Shape_detection {
 
       std::vector<int>().swap(m_shape_index);
 
-      m_extracted_shapes = 
+      m_extracted_shapes =
         boost::make_shared<std::vector<boost::shared_ptr<Shape> > >();
-      
+
       m_num_available_points = m_num_total_points;
     }
 
     /// @}
 
-    /// \name Detection 
+    /// \name Detection
     /// @{
 
-    /*! 
+    /*!
       Performs the shape detection.
 
       \param options %Parameters for shape detection.
@@ -505,7 +505,7 @@ namespace Shape_detection {
         return false;
 
       // Reset data structures possibly used by former search.
-      m_extracted_shapes = 
+      m_extracted_shapes =
         boost::make_shared<std::vector<boost::shared_ptr<Shape> > >();
       m_num_available_points = m_num_total_points;
 
@@ -516,10 +516,10 @@ namespace Shape_detection {
                                          CGAL::Property_map_to_unary_function<Point_map>(m_point_map)),
          boost::make_transform_iterator (m_input_iterator_beyond,
                                          CGAL::Property_map_to_unary_function<Point_map>(m_point_map)));
-      
+
       FT bbox_diagonal = (FT) CGAL::sqrt(
           (bbox.xmax() - bbox.xmin()) * (bbox.xmax() - bbox.xmin())
-        + (bbox.ymax() - bbox.ymin()) * (bbox.ymax() - bbox.ymin()) 
+        + (bbox.ymax() - bbox.ymin()) * (bbox.ymax() - bbox.ymin())
         + (bbox.zmax() - bbox.zmin()) * (bbox.zmax() - bbox.zmin()));
 
       // Epsilon or cluster_epsilon have been set by the user?
@@ -527,13 +527,13 @@ namespace Shape_detection {
       m_options.epsilon = (m_options.epsilon < 0)
         ? bbox_diagonal * (FT) 0.01 : m_options.epsilon;
 
-      m_options.cluster_epsilon = (m_options.cluster_epsilon < 0) 
+      m_options.cluster_epsilon = (m_options.cluster_epsilon < 0)
         ? bbox_diagonal * (FT) 0.01 : m_options.cluster_epsilon;
-      
+
       // Minimum number of points has been set?
-      m_options.min_points = 
-        (m_options.min_points >= m_num_available_points) ? 
-          (std::size_t)((FT)0.01 * m_num_available_points) : 
+      m_options.min_points =
+        (m_options.min_points >= m_num_available_points) ?
+          (std::size_t)((FT)0.01 * m_num_available_points) :
           m_options.min_points;
       m_options.min_points = (m_options.min_points < 10) ? 10 : m_options.min_points;
 
@@ -541,13 +541,13 @@ namespace Shape_detection {
       m_shape_index.assign(m_num_available_points, -1);
 
       Distance tr_dist (m_index_map);
-      
+
       // Initialization structures.
       int class_index = -1;
 
       if (callback && !callback(0.))
         return false;
-      
+
       std::vector<std::size_t> neighbors;
 
       std::vector<std::size_t> sorted_indices (m_num_total_points);
@@ -574,19 +574,19 @@ namespace Shape_detection {
           return false;
 
         std::size_t i = sorted_indices[I];
-        
+
         Input_iterator it = m_input_iterator_first + i;
-        
+
         if (m_shape_index[i] != -1)
           continue;
 
         m_shape_index[i] = ++ class_index;
-        
-        int conti = 0; // to accelerate least_square fitting 
+
+        int conti = 0; // to accelerate least_square fitting
 
         Vector plane_normal = get(m_normal_map, *it);
         plane_normal = plane_normal / std::sqrt(plane_normal * plane_normal);
-        
+
         Plane optimal_plane(get(m_point_map, *it),
                             plane_normal);
 
@@ -610,18 +610,18 @@ namespace Shape_detection {
                icfrit != index_container_former_ring.end(); ++ icfrit)
           {
             std::size_t point_index = *icfrit;
-                              
+
             Input_iterator pit = m_input_iterator_first + point_index;
 
             neighbors.clear();
             Sphere fs (get(m_point_map, *pit), m_options.cluster_epsilon, 0, m_tree->traits());
             m_tree->search (std::back_inserter (neighbors), fs);
-                
+
             for (std::size_t nb = 0; nb < neighbors.size(); ++ nb)
             {
               std::size_t neighbor_index = neighbors[nb];
               Input_iterator nbit = m_input_iterator_first + neighbor_index;
-                    
+
               if (m_shape_index[neighbor_index] != -1)
                 continue;
 
@@ -652,11 +652,11 @@ namespace Shape_detection {
             index_container.push_back(*lit);
           }
           index_container_current_ring.clear();
-          
+
           conti++;
           if (index_container.size() < 5)
             continue;
-          
+
           if ((conti < 10) || (conti<50 && conti % 10 == 0) || (conti>50 && conti % 500 == 0))
           {
             std::list<Point> listp;
@@ -682,7 +682,7 @@ namespace Shape_detection {
 
           // BUG something fishy around here.
           m_num_available_points -= index_container.size();
-          
+
           p->compute (index_container,  m_input_iterator_first, m_traits,
                       m_point_map, m_normal_map, m_options.epsilon, m_options.normal_threshold);
           p->m_indices.clear();
@@ -706,7 +706,7 @@ namespace Shape_detection {
     /// @}
 
     /// \name Access
-    /// @{            
+    /// @{
     /*!
       Returns an `Iterator_range` with a bidirectional iterator with value type
       `boost::shared_ptr<Shape>` over the detected shapes in the order of detection.
@@ -727,30 +727,30 @@ namespace Shape_detection {
     Plane_range planes() const {
       boost::shared_ptr<std::vector<boost::shared_ptr<Plane_shape> > > planes
         = boost::make_shared<std::vector<boost::shared_ptr<Plane_shape> > >();
-      
+
       for (std::size_t i = 0; i < m_extracted_shapes->size(); ++ i)
       {
         boost::shared_ptr<Plane_shape> pshape
           = boost::dynamic_pointer_cast<Plane_shape>((*m_extracted_shapes)[i]);
-        
+
         // Ignore all shapes other than plane.
         if (pshape != boost::shared_ptr<Plane_shape>())
           planes->push_back (pshape);
       }
       return Plane_range(planes);
     }
-      
-    /*! 
+
+    /*!
       Number of points not assigned to a shape.
-    */ 
+    */
     std::size_t number_of_unassigned_points() {
       return m_num_available_points;
     }
-    
-    /*! 
-      Returns an `Iterator_range` with a bidirectional iterator with the value type 
+
+    /*!
+      Returns an `Iterator_range` with a bidirectional iterator with the value type
       `std::size_t` as indices into the input data that has not been assigned to a shape.
-    */ 
+    */
     Point_index_range indices_of_unassigned_points() {
       Filter_unassigned_points fup(m_shape_index);
 
@@ -767,7 +767,7 @@ namespace Shape_detection {
 
   #ifdef DOXYGEN_NS
     } // namespace deprecated
-  #endif 
+  #endif
 
 } // namespace Shape_detection
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/deprecated/Shape_detection_traits.h 5.0.3-1/include/CGAL/Shape_detection/deprecated/Shape_detection_traits.h
--- 5.0.2-3/include/CGAL/Shape_detection/deprecated/Shape_detection_traits.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/deprecated/Shape_detection_traits.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/deprecated/Shape_detection_traits.h $
-// $Id: Shape_detection_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/deprecated/Shape_detection_traits.h $
+// $Id: Shape_detection_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -31,30 +31,30 @@
 
 namespace CGAL {
 namespace Shape_detection {
-  
+
   #ifdef DOXYGEN_NS
     namespace deprecated {
-  #endif 
+  #endif
 
   /*!
     \ingroup PkgShapeDetectionDEPR
-    \brief A traits class to use with the shape detection 
+    \brief A traits class to use with the shape detection
     classes `Efficient_RANSAC` and `deprecated::Region_growing`.
-    
+
     \cgalModels `EfficientRANSACTraits`
 
-    \tparam Gt a model of the concept `#Kernel` with `Gt::FT` being 
+    \tparam Gt a model of the concept `#Kernel` with `Gt::FT` being
     `float` or `double`.
 
-    \tparam InputRange is a model of `Range` with random access iterators, 
+    \tparam InputRange is a model of `Range` with random access iterators,
     providing input points and normals through the following two property maps.
 
-    \tparam InputPointMap is a model of `ReadablePropertyMap` with 
-    `std::iterator_traits<Input_range::iterator>::%value_type` as key type and 
+    \tparam InputPointMap is a model of `ReadablePropertyMap` with
+    `std::iterator_traits<Input_range::iterator>::%value_type` as key type and
     `Gt::Point_3` as value type.
 
-    \tparam InputNormalMap is a model of `ReadablePropertyMap` with 
-    `std::iterator_traits<Input_range::iterator>::%value_type` as key type and 
+    \tparam InputNormalMap is a model of `ReadablePropertyMap` with
+    `std::iterator_traits<Input_range::iterator>::%value_type` as key type and
     `Gt::Vector_3` as value type.
   */
   template <class Gt,
@@ -95,7 +95,7 @@ namespace Shape_detection {
     : m_gt(gt) { }
 
     typedef typename Gt::Construct_point_3 Construct_point_3;
-    Construct_point_3 construct_point_3_object() const 
+    Construct_point_3 construct_point_3_object() const
     { return m_gt.construct_point_3_object(); }
 
     typedef typename Gt::Construct_vector_3 Construct_vector_3;
@@ -103,7 +103,7 @@ namespace Shape_detection {
     { return m_gt.construct_vector_3_object(); }
 
     typedef typename Gt::Construct_point_2 Construct_point_2;
-    Construct_point_2 construct_point_2_object() const 
+    Construct_point_2 construct_point_2_object() const
     { return m_gt.construct_point_2_object(); }
 
     typedef typename Gt::Construct_vector_2 Construct_vector_2;
@@ -113,7 +113,7 @@ namespace Shape_detection {
     typedef typename Gt::Construct_sphere_3 Construct_sphere_3;
     Construct_sphere_3 construct_sphere_3_object() const
     { return m_gt.construct_sphere_3_object(); }
-    
+
     typedef typename Gt::Construct_line_3 Construct_line_3;
     Construct_line_3 construct_line_3_object() const
     { return m_gt.construct_line_3_object(); }
@@ -121,7 +121,7 @@ namespace Shape_detection {
     typedef typename Gt::Construct_circle_2 Construct_circle_2;
     Construct_circle_2 construct_circle_2_object() const
     { return m_gt.construct_circle_2_object(); }
-    
+
     typedef typename Gt::Construct_point_on_3 Construct_point_on_3;
     Construct_point_on_3 construct_point_on_3_object() const
     { return m_gt.construct_point_on_3_object(); }
@@ -137,11 +137,11 @@ namespace Shape_detection {
     typedef typename Gt::Compute_x_3 Compute_x_3;
     Compute_x_3 compute_x_3_object() const
     { return m_gt.compute_x_3_object(); }
-    
+
     typedef typename Gt::Compute_y_3 Compute_y_3;
     Compute_y_3 compute_y_3_object() const
     { return m_gt.compute_y_3_object(); }
-    
+
     typedef typename Gt::Compute_z_3 Compute_z_3;
     Compute_z_3 compute_z_3_object() const
     { return m_gt.compute_z_3_object(); }
@@ -153,11 +153,11 @@ namespace Shape_detection {
     typedef typename Gt::Compute_squared_length_2 Compute_squared_length_2;
     Compute_squared_length_2 compute_squared_length_2_object() const
     { return m_gt.compute_squared_length_2_object(); }
-    
+
     typedef typename Gt::Construct_scaled_vector_3 Construct_scaled_vector_3;
     Construct_scaled_vector_3 construct_scaled_vector_3_object() const
     { return m_gt.construct_scaled_vector_3_object(); }
-    
+
     typedef typename Gt::Construct_sum_of_vectors_3 Construct_sum_of_vectors_3;
     Construct_sum_of_vectors_3 construct_sum_of_vectors_3_object() const
     { return m_gt.construct_sum_of_vectors_3_object(); }
@@ -165,11 +165,11 @@ namespace Shape_detection {
     typedef typename Gt::Construct_translated_point_3 Construct_translated_point_3;
     Construct_translated_point_3 construct_translated_point_3_object() const
     { return m_gt.construct_translated_point_3_object(); }
-    
+
     typedef typename Gt::Compute_scalar_product_3 Compute_scalar_product_3;
     Compute_scalar_product_3 compute_scalar_product_3_object() const
     { return m_gt.compute_scalar_product_3_object(); }
-    
+
     typedef typename Gt::Construct_cross_product_vector_3 Construct_cross_product_vector_3;
     Construct_cross_product_vector_3 construct_cross_product_vector_3_object() const
     { return m_gt.construct_cross_product_vector_3_object(); }
@@ -189,7 +189,7 @@ namespace Shape_detection {
     typedef typename Gt::Compute_squared_radius_2 Compute_squared_radius_2;
     Compute_squared_radius_2 compute_squared_radius_2_object() const
     { return m_gt.compute_squared_radius_2_object(); }
-    
+
     typedef typename Gt::Collinear_2 Collinear_2;
     Collinear_2 collinear_2_object() const
     { return m_gt.collinear_2_object(); }
@@ -197,14 +197,14 @@ namespace Shape_detection {
     typedef typename Gt::Intersect_3 Intersect_3;
     Intersect_3 intersection_3_object() const
     { return m_gt.intersection_3_object(); }
-    
+
   private:
     Gt m_gt;
   };
 
   #ifdef DOXYGEN_NS
     } // namespace deprecated
-  #endif 
+  #endif
 
 } // namespace Shape_detection
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Cone.h 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Cone.h
--- 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Cone.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Cone.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Cone.h $
-// $Id: Cone.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Cone.h $
+// $Id: Cone.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -24,12 +24,12 @@ namespace CGAL {
   namespace Shape_detection {
   /*!
     \brief Cone implements Shape_base.
-    
+
     The cone is represented by its apex, the axis, and the opening angle.
     This representation models an open infinite single-cone.
-    
+
     \tparam Traits must be a model of `EfficientRANSACTraits`.
-    
+
     \ingroup PkgShapeDetectionRANSACShapes
   */
   template <class Traits>
@@ -48,28 +48,28 @@ namespace CGAL {
     /// \endcond
 
     Cone() : Shape_base<Traits>(), m_wrap(false) {}
-      
+
     /*!
       Opening angle between the axis and the surface of the cone.
      */
     FT angle() const {
         return m_angle;
     }
-    
+
     /*!
       Apex of the cone.
      */
     Point_3 apex() const {
         return m_apex;
     }
-    
+
     /*!
       Axis points from the apex into the cone.
      */
     Vector_3 axis() const {
         return m_axis;
     }
-    
+
     /*!
       Helper function to write apex, axis and angle of the cone and
       number of assigned points into a string.
@@ -77,18 +77,18 @@ namespace CGAL {
     /// \cond SKIP_IN_MANUAL
     std::string info() const {
         std::stringstream sstr;
-        
+
         sstr << "Type: cone apex: (" << this->get_x(m_apex) << ", " << this->get_y(m_apex);
         sstr << ", " << this->get_z(m_apex) << ") axis: (" << this->get_x(m_axis) << ", ";
         sstr << this->get_y(m_axis) << ", " << this->get_z(m_axis) << ") angle:" << m_angle;
         sstr << " #Pts: " << this->m_indices.size();
-        
+
         return sstr.str();
     }
 
     /*!
     Computes squared Euclidean distance from query point to the shape.
-    */ 
+    */
     FT squared_distance(const Point_3 &p) const {
       Vector_3 toApex = this->constr_vec(m_apex, p);
       FT a = this->sqlen(toApex);
@@ -182,7 +182,7 @@ namespace CGAL {
       Point_3 c3 = this->transl(m_apex, v3);
 
       m_axis = this->cross_pdct(this->constr_vec(c2, c1), this->constr_vec(c3, c1));
-      m_axis = (this->scalar_pdct(orthLineInPlane, m_axis) < 0) ? 
+      m_axis = (this->scalar_pdct(orthLineInPlane, m_axis) < 0) ?
         this->scale(m_axis, FT(-1)) : m_axis;
       length = CGAL::sqrt(this->sqlen(m_axis));
       if (length == 0)
@@ -216,18 +216,18 @@ namespace CGAL {
           FT d = m_neg_sin_ang * b;
 
           // far on other side?
-          dists[i] = 
+          dists[i] =
             (b < 0 && c - d < 0) ? a : CGAL::abs(c + d) * CGAL::abs(c + d);
         }
       }
 
-    virtual void cos_to_normal(const std::vector<std::size_t> &indices, 
+    virtual void cos_to_normal(const std::vector<std::size_t> &indices,
                                std::vector<FT> &angles) const {
       for (std::size_t i = 0;i<indices.size();i++) {
           // construct vector orthogonal to axis in direction of the point
         Vector_3 a = this->constr_vec(m_apex, this->point(indices[i]));
 
-          Vector_3 b = this->cross_pdct(m_axis, 
+          Vector_3 b = this->cross_pdct(m_axis,
                                          this->cross_pdct(m_axis, a));
           b = (this->scalar_pdct(a, b) < 0) ? this->scale(b, FT(-1)) : b;
           FT length = CGAL::sqrt(this->sqlen(b));
@@ -239,7 +239,7 @@ namespace CGAL {
 
           b = this->scale(b, (FT)1.0 / length);
           b = this->sum_vectors(
-            this->scale(b, m_cos_ang), 
+            this->scale(b, m_cos_ang),
             this->scale(m_axis, m_neg_sin_ang));
 
           angles[i] = CGAL::abs(this->scalar_pdct(this->normal(indices[i]), b));
@@ -258,12 +258,12 @@ namespace CGAL {
 
       b = this->scale(b, (FT)1.0 / length);
       b = this->sum_vectors(
-        this->scale(b, m_cos_ang), 
+        this->scale(b, m_cos_ang),
         this->scale(m_axis, m_neg_sin_ang));
 
       return CGAL::abs(this->scalar_pdct(n, b));
     }
-      
+
     virtual std::size_t minimum_sample_size() const {
           return 3;
       }
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Cylinder.h 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Cylinder.h
--- 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Cylinder.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Cylinder.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Cylinder.h $
-// $Id: Cylinder.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Cylinder.h $
+// $Id: Cylinder.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -22,15 +22,15 @@
 
 namespace CGAL {
   namespace Shape_detection {
-    
+
   /*!
     \brief Cylinder implements Shape_base. The cylinder is represented
     by the axis, that is a point and direction, and the radius. The cylinder is
     unbounded, thus caps are not modeled.
-    
-    \tparam Traits must be a model of `EfficientRANSACTraits` with the additional 
+
+    \tparam Traits must be a model of `EfficientRANSACTraits` with the additional
     requirement for cylinders (see `EfficientRANSACTraits` documentation).
-    
+
     \ingroup PkgShapeDetectionRANSACShapes
   */
   template <class Traits>
@@ -85,7 +85,7 @@ namespace CGAL {
 
     /*!
       Computes squared Euclidean distance from query point to the shape.
-      */ 
+      */
     FT squared_distance(const Point_3 &p) const {
       Vector_3 a = this->constr_vec(m_axis);
       a = this->scale(a, (FT)1.0 / CGAL::sqrt(this->sqlen(a)));
@@ -100,7 +100,7 @@ namespace CGAL {
 
   protected:
       /// \cond SKIP_IN_MANUAL
-    
+
     // ------------------------------------------------------------------------
     // Utilities
     // ------------------------------------------------------------------------
@@ -124,7 +124,7 @@ namespace CGAL {
       }
       axis = this->scale(axis, FT(1.0) / axisL);
 
-      // establish two directions in the plane axis * x = 0, 
+      // establish two directions in the plane axis * x = 0,
       // whereas xDir is the projected n1
       Vector_3 xDir = this->sum_vectors(
         n1, this->scale(axis, -this->scalar_pdct(n1, axis)));
@@ -245,7 +245,7 @@ namespace CGAL {
       }
       else m_wrap_u = false;
     }
-    
+
     // The u coordinate corresponds to the rotation around the axis and
     // therefore needs to be wrapped around.
     virtual void post_wrap(const std::vector<unsigned int> &bitmap,
@@ -282,7 +282,7 @@ namespace CGAL {
             update_label(labels, (std::max<unsigned int>)(w, l), l);
           }
         }
-        
+
         // handle mid indices
         for (std::size_t y = 1;y<v_extent - 1;y++) {
           l = bitmap[y * u_extent];
@@ -338,7 +338,7 @@ namespace CGAL {
         }
       }
 
-    virtual void cos_to_normal(const std::vector<std::size_t> &indices, 
+    virtual void cos_to_normal(const std::vector<std::size_t> &indices,
                               std::vector<FT> &angles) const {
       Vector_3 a = this->constr_vec(m_axis);
       a = this->scale(a, (FT)1.0 / CGAL::sqrt(this->sqlen(a)));
@@ -384,7 +384,7 @@ namespace CGAL {
     Line_3 m_axis;
     Point_3 m_point_on_axis;
     mutable bool m_wrap_u;
-      
+
     /// \endcond
   };
 }
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Efficient_RANSAC.h 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Efficient_RANSAC.h
--- 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Efficient_RANSAC.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Efficient_RANSAC.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Efficient_RANSAC.h $
-// $Id: Efficient_RANSAC.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Efficient_RANSAC.h $
+// $Id: Efficient_RANSAC.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -46,7 +46,7 @@ namespace CGAL {
 
 /*!
   \ingroup PkgShapeDetectionRANSAC
-  
+
   \brief Shape detection algorithm based on the RANSAC method.
 
   Given a point set in 3D space with unoriented normals, sampled on surfaces,
@@ -80,7 +80,7 @@ namespace CGAL {
     ///< iterator for indices of points.
     /// \endcond
 
-    /// \name Types 
+    /// \name Types
     /// @{
     /// \cond SKIP_IN_MANUAL
     typedef typename Traits::Input_range::iterator Input_iterator;
@@ -137,19 +137,19 @@ namespace CGAL {
     typedef unspecified_type Point_index_range;
     ///< `Iterator_range` with a bidirectional iterator with value type `std::size_t`
     ///  as indices into the input data that has not been assigned to a shape.
-    ///  As this range class has no `size()` method, the method 
+    ///  As this range class has no `size()` method, the method
     ///  `Efficient_RANSAC::number_of_unassigned_points()` is provided.
-#else 
+#else
     typedef Iterator_range<Point_index_iterator>
       Point_index_range;
-#endif     
+#endif
 
     /// @}
-    
-    /// \name Parameters 
+
+    /// \name Parameters
     /// @{
       /*!
-       Parameters for the shape detection algorithm. They are explained in detail 
+       Parameters for the shape detection algorithm. They are explained in detail
        in Section \ref Shape_detection_RANSACParameters  of the User Manual.
        */
     struct Parameters {
@@ -161,11 +161,49 @@ namespace CGAL {
         , cluster_epsilon(-1)
       {}
 
-      FT probability;         ///< Probability to control search endurance. %Default value: 5%.
-      std::size_t min_points; ///< Minimum number of points of a shape. %Default value: 1% of total number of input points.
-      FT epsilon;             ///< Maximum tolerance Euclidean distance from a point and a shape. %Default value: 1% of bounding box diagonal.
-      FT normal_threshold;	  ///< Maximum tolerance normal deviation from a point's normal to the normal on a shape at the projected point. %Default value: 0.9 (around 25 degrees).
-      FT cluster_epsilon;	    ///< Maximum distance between points to be considered connected. %Default value: 1% of bounding box diagonal.
+      /*!
+        Probability to control search endurance.
+        %Default value is 0.05.
+
+        A lower probability provides a higher reliability and determinism at the cost
+        of longer running time due to a higher search endurance.
+
+        It must belong to the interval [0, 1].
+      */
+      FT probability;
+
+      /*!
+        Minimum number of points in a shape.
+        %Default value is 1% of total number of input points.
+
+        It must belong to the interval [0, +inf).
+      */
+      std::size_t min_points;
+
+      /*!
+        Maximum acceptable Euclidean distance between a point and a shape.
+        %Default value is 1% of the bounding box diagonal.
+
+        It must belong to the interval [0, +inf).
+      */
+      FT epsilon;
+
+      /*!
+        Maximum threshold on the dot product between the estimated
+        shape's normal and the point's normal, that is the cosine of the angle (cos(25°) = 0.9).
+        %Default value is 0.9 (around 25 degrees).
+
+        It must belong to the interval [0, 1].
+      */
+      FT normal_threshold;
+
+      /*!
+        Maximum acceptable Euclidean distance between points, which are assumed to be neighbors.
+        %Default value is 1% of the bounding box diagonal.
+
+        It must belong to the interval [0, +inf).
+      */
+      FT cluster_epsilon;
     };
     /// @}
 
@@ -188,9 +226,9 @@ namespace CGAL {
   /// \name Initialization
   /// @{
 
-    /*! 
+    /*!
       Constructs an empty shape detection object.
-    */ 
+    */
     Efficient_RANSAC(Traits t = Traits())
       : m_traits(t)
       , m_direct_octrees(nullptr)
@@ -201,9 +239,9 @@ namespace CGAL {
       , m_valid_iterators(false)
     {}
 
-    /*! 
+    /*!
       Releases all memory allocated by this instance including shapes.
-    */ 
+    */
     ~Efficient_RANSAC() {
       clear();
     }
@@ -221,7 +259,7 @@ namespace CGAL {
       Retrieves the point property map.
     */
     const Point_map& point_map() const { return m_point_pmap; }
-    
+
     /*!
       Retrieves the normal property map.
     */
@@ -258,7 +296,7 @@ namespace CGAL {
 
         clear();
 
-        m_extracted_shapes = 
+        m_extracted_shapes =
           boost::make_shared<std::vector<boost::shared_ptr<Shape> > >();
 
         m_num_available_points = m_num_total_points = std::distance(
@@ -271,9 +309,9 @@ namespace CGAL {
       For example, for registering a plane as detectable shape, you should call
       `ransac.add_shape_factory< Shape_detection::Plane<Traits> >();`. Note
       that if your call is within a template, you should add the `template`
-      keyword just before `add_shape_factory`: 
+      keyword just before `add_shape_factory`:
       `ransac.template add_shape_factory< Shape_detection::Plane<Traits> >();`.
-    */ 
+    */
     template <class Shape_type>
     void add_shape_factory() {
       m_shape_factories.push_back(factory<Shape_type>);
@@ -284,7 +322,7 @@ namespace CGAL {
       These structures only depend on the input data, i.e. the points and
       normal vectors. This method is called by `detect()`, if it was not called
       before by the user.
-    */ 
+    */
     bool preprocess() {
       if (m_num_total_points == 0)
         return false;
@@ -355,7 +393,7 @@ namespace CGAL {
     /// @{
     /*!
       Removes all shape types registered for detection.
-     */ 
+     */
     void clear_shape_factories() {
       m_shape_factories.clear();
     }
@@ -363,7 +401,7 @@ namespace CGAL {
     /*!
       Frees memory allocated for the internal search structures but keeps the detected shapes.
       It invalidates the range retrieved using `unassigned_points()`.
-     */ 
+     */
     void clear_octrees() {
       // If there is no data yet, there are no data structures.
       if (!m_valid_iterators)
@@ -375,7 +413,7 @@ namespace CGAL {
       }
 
       if (m_direct_octrees) {
-        for (std::size_t i = 0;i<m_num_subsets;i++) 
+        for (std::size_t i = 0;i<m_num_subsets;i++)
           delete m_direct_octrees[i];
         delete [] m_direct_octrees;
 
@@ -388,9 +426,9 @@ namespace CGAL {
     /*!
       Calls `clear_octrees()` and removes all detected shapes.
       All internal structures are cleaned, including formerly detected shapes.
-      Thus iterators and ranges retrieved through `shapes()`, `planes()` and `indices_of_unassigned_points()` 
+      Thus iterators and ranges retrieved through `shapes()`, `planes()` and `indices_of_unassigned_points()`
       are invalidated.
-    */ 
+    */
     void clear() {
       // If there is no data yet, there are no data structures.
       if (!m_valid_iterators)
@@ -398,9 +436,9 @@ namespace CGAL {
 
       std::vector<int>().swap(m_shape_index);
 
-      m_extracted_shapes = 
+      m_extracted_shapes =
         boost::make_shared<std::vector<boost::shared_ptr<Shape> > >();
-      
+
       m_num_available_points = m_num_total_points;
 
       clear_octrees();
@@ -408,10 +446,10 @@ namespace CGAL {
     }
     /// @}
 
-    /// \name Detection 
+    /// \name Detection
     /// @{
 
-    /*! 
+    /*!
       Performs the shape detection. Shape types considered during the detection
       are those registered using `add_shape_factory()`.
 
@@ -427,7 +465,7 @@ namespace CGAL {
 
       \return `true` if shape types have been registered and
               input data has been set. Otherwise, `false` is returned.
-    */ 
+    */
     bool detect(const Parameters &options = Parameters(),
                 const std::function<bool(double)>& callback
                 = std::function<bool(double)>())
@@ -446,9 +484,9 @@ namespace CGAL {
 
       if (callback && !callback(0.))
         return false;
-      
+
       // Reset data structures possibly used by former search
-      m_extracted_shapes = 
+      m_extracted_shapes =
         boost::make_shared<std::vector<boost::shared_ptr<Shape> > >();
       m_num_available_points = m_num_total_points;
 
@@ -460,7 +498,7 @@ namespace CGAL {
       Bbox_3 bbox = m_global_octree->boundingBox();
       FT bbox_diagonal = (FT) CGAL::sqrt(
           (bbox.xmax() - bbox.xmin()) * (bbox.xmax() - bbox.xmin())
-        + (bbox.ymax() - bbox.ymin()) * (bbox.ymax() - bbox.ymin()) 
+        + (bbox.ymax() - bbox.ymin()) * (bbox.ymax() - bbox.ymin())
         + (bbox.zmax() - bbox.zmin()) * (bbox.zmax() - bbox.zmin()));
 
       // Epsilon or cluster_epsilon have been set by the user?
@@ -468,16 +506,16 @@ namespace CGAL {
       m_options.epsilon = (m_options.epsilon < 0)
         ? bbox_diagonal * (FT) 0.01 : m_options.epsilon;
 
-      m_options.cluster_epsilon = (m_options.cluster_epsilon < 0) 
+      m_options.cluster_epsilon = (m_options.cluster_epsilon < 0)
         ? bbox_diagonal * (FT) 0.01 : m_options.cluster_epsilon;
 
       // Minimum number of points has been set?
-      m_options.min_points = 
-        (m_options.min_points >= m_num_available_points) ? 
-          (std::size_t)((FT)0.01 * m_num_available_points) : 
+      m_options.min_points =
+        (m_options.min_points >= m_num_available_points) ?
+          (std::size_t)((FT)0.01 * m_num_available_points) :
           m_options.min_points;
       m_options.min_points = (m_options.min_points < 10) ? 10 : m_options.min_points;
-      
+
       // Initializing the shape index
       m_shape_index.assign(m_num_available_points, -1);
 
@@ -509,7 +547,7 @@ namespace CGAL {
 
       bool force_exit = false;
       bool keep_searching = true;
-      
+
       do { // main loop
         best_expected = 0;
 
@@ -520,13 +558,13 @@ namespace CGAL {
             std::set<std::size_t> indices;
             bool done = false;
             do {
-              do 
+              do
               first_sample = get_default_random()(
                 static_cast<unsigned int>(m_num_available_points));
               while (m_shape_index[first_sample] != -1);
 
               done = m_global_octree->drawSamplesFromCellContainingPoint(
-                get(m_point_pmap, 
+                get(m_point_pmap,
                 *(m_input_iterator_first + first_sample)),
                 select_random_octree_level(),
                 indices,
@@ -535,14 +573,14 @@ namespace CGAL {
 
               if (callback && !callback(num_invalid / double(m_num_total_points)))
                 return false;
-      
+
             } while (m_shape_index[first_sample] != -1 || !done);
 
             generated_candidates++;
 
             //add candidate for each type of primitives
             for(typename std::vector<Shape *(*)()>::iterator it =
-              m_shape_factories.begin(); it != m_shape_factories.end(); it++)	{
+              m_shape_factories.begin(); it != m_shape_factories.end(); it++)        {
                 if (callback && !callback(num_invalid / double(m_num_total_points)))
                   return false;
                 Shape *p = (Shape *) (*it)();
@@ -552,7 +590,7 @@ namespace CGAL {
                   m_traits,
                   m_point_pmap,
                   m_normal_pmap,
-                  m_options.epsilon, 
+                  m_options.epsilon,
                   m_options.normal_threshold);
 
                 if (p->is_valid()) {
@@ -568,7 +606,7 @@ namespace CGAL {
                   else {
                     failed_candidates++;
                     delete p;
-                  }        
+                  }
                 }
                 else {
                   failed_candidates++;
@@ -580,16 +618,16 @@ namespace CGAL {
             {
               force_exit = true;
             }
-            
+
             keep_searching = (stop_probability(m_options.min_points,
-              m_num_available_points - num_invalid, 
+              m_num_available_points - num_invalid,
               generated_candidates, m_global_octree->maxLevel())
                     > m_options.probability);
         } while( !force_exit
           && stop_probability((std::size_t) best_expected,
-                             m_num_available_points - num_invalid, 
+                             m_num_available_points - num_invalid,
                              generated_candidates,
-                             m_global_octree->maxLevel()) 
+                             m_global_octree->maxLevel())
                 > m_options.probability
           && keep_searching);
         // end of generate candidate
@@ -604,13 +642,13 @@ namespace CGAL {
         // Now get the best candidate in the current set of all candidates
         // Note that the function sorts the candidates:
         //  the best candidate is always the last element of the vector
-        
-        Shape *best_candidate = 
+
+        Shape *best_candidate =
           get_best_candidate(candidates, m_num_available_points - num_invalid);
 
         if (callback && !callback(num_invalid / double(m_num_total_points)))
           return false;
-        
+
         // If search is done and the best candidate is too small, we are done.
         if (!keep_searching && best_candidate->m_score < m_options.min_points)
           break;
@@ -620,7 +658,7 @@ namespace CGAL {
 
         best_candidate->m_indices.clear();
 
-        best_candidate->m_score = 
+        best_candidate->m_score =
           m_global_octree->score(best_candidate,
                                  m_shape_index,
                                  FT(3) * m_options.epsilon,
@@ -630,12 +668,12 @@ namespace CGAL {
 
         best_candidate->connected_component(best_candidate->m_indices,
                                             m_options.cluster_epsilon);
-        
+
         if (callback && !callback(num_invalid / double(m_num_total_points)))
           return false;
         // check score against min_points and clear out candidates if too low
         if (best_candidate->indices_of_assigned_points().size() <
-          m_options.min_points) 
+          m_options.min_points)
         {
           if (!(best_candidate->indices_of_assigned_points().empty()))
             for (std::size_t i = 0;i < candidates.size() - 1;i++) {
@@ -651,7 +689,7 @@ namespace CGAL {
 
           if (callback && !callback(num_invalid / double(m_num_total_points)))
             return false;
-          
+
           // Trimming candidates list
           std::size_t empty = 0, occupied = 0;
           while (empty < candidates.size()) {
@@ -695,7 +733,7 @@ namespace CGAL {
 
             if (callback && !callback(num_invalid / double(m_num_total_points)))
               return false;
-            
+
             //2. remove the points
             const std::vector<std::size_t> &indices_points_best_candidate =
               best_candidate->indices_of_assigned_points();
@@ -711,13 +749,13 @@ namespace CGAL {
                 int(m_extracted_shapes->size()) - 1;
 
               num_invalid++;
-              
+
               for (std::size_t j = 0;j<m_num_subsets;j++) {
                 if (m_direct_octrees[j] && m_direct_octrees[j]->m_root) {
                   std::size_t offset = m_direct_octrees[j]->offset();
 
                   if (offset <= indices_points_best_candidate.at(i) &&
-                      (indices_points_best_candidate.at(i) - offset) 
+                      (indices_points_best_candidate.at(i) - offset)
                       < m_direct_octrees[j]->size()) {
                     m_available_octree_sizes[j]--;
                   }
@@ -730,14 +768,14 @@ namespace CGAL {
 
             if (callback && !callback(num_invalid / double(m_num_total_points)))
               return false;
-            
+
             std::vector<std::size_t> subset_sizes(m_num_subsets);
             subset_sizes[0] = m_available_octree_sizes[0];
             for (std::size_t i = 1;i<m_num_subsets;i++) {
               subset_sizes[i] = subset_sizes[i-1] + m_available_octree_sizes[i];
             }
-  
-  
+
+
             //3. Remove points from candidates common with extracted primitive
             //#pragma omp parallel for
             best_expected = 0;
@@ -747,7 +785,7 @@ namespace CGAL {
                 candidates[i]->compute_bound(
                   subset_sizes[candidates[i]->m_nb_subset_used - 1],
                   m_num_available_points - num_invalid);
-  
+
                 if (candidates[i]->max_bound() < m_options.min_points) {
                   delete candidates[i];
                   candidates[i] = nullptr;
@@ -758,10 +796,10 @@ namespace CGAL {
                 }
               }
             }
-  
+
             if (callback && !callback(num_invalid / double(m_num_total_points)))
               return false;
-            
+
             std::size_t start = 0, end = candidates.size() - 1;
             while (start < end) {
               while (candidates[start] && start < end) start++;
@@ -773,9 +811,9 @@ namespace CGAL {
                 end--;
               }
             }
-  
+
             if (candidates[end]) end++;
-  
+
             candidates.resize(end);
           }
         else if (!keep_searching)
@@ -783,10 +821,10 @@ namespace CGAL {
 
         if (callback && !callback(num_invalid / double(m_num_total_points)))
           return false;
-        
+
         keep_searching = (stop_probability(m_options.min_points,
             m_num_available_points - num_invalid,
-            generated_candidates, 
+            generated_candidates,
             m_global_octree->maxLevel())
               > m_options.probability);
       }
@@ -801,14 +839,14 @@ namespace CGAL {
       candidates.resize(0);
 
       m_num_available_points -= num_invalid;
- 
+
       return true;
     }
 
     /// @}
 
     /// \name Access
-    /// @{            
+    /// @{
     /*!
       Returns an `Iterator_range` with a bidirectional iterator with value type
       `boost::shared_ptr<Shape>` over the detected shapes in the order of detection.
@@ -818,7 +856,7 @@ namespace CGAL {
     Shape_range shapes() const {
       return Shape_range(m_extracted_shapes);
     }
-      
+
     /*!
       Returns an `Iterator_range` with a bidirectional iterator with
       value type `boost::shared_ptr<Plane_shape>` over only the
@@ -829,30 +867,30 @@ namespace CGAL {
     Plane_range planes() const {
       boost::shared_ptr<std::vector<boost::shared_ptr<Plane_shape> > > planes
         = boost::make_shared<std::vector<boost::shared_ptr<Plane_shape> > >();
-      
+
       for (std::size_t i = 0; i < m_extracted_shapes->size(); ++ i)
       {
         boost::shared_ptr<Plane_shape> pshape
           = boost::dynamic_pointer_cast<Plane_shape>((*m_extracted_shapes)[i]);
-        
+
         // Ignore all shapes other than plane
         if (pshape != boost::shared_ptr<Plane_shape>())
           planes->push_back (pshape);
       }
       return Plane_range(planes);
     }
-      
-    /*! 
+
+    /*!
       Number of points not assigned to a shape.
-    */ 
+    */
     std::size_t number_of_unassigned_points() const {
       return m_num_available_points;
     }
-    
-    /*! 
+
+    /*!
       Returns an `Iterator_range` with a bidirectional iterator with value type `std::size_t`
-      as indices into the input data that has not been assigned to a shape. 
-    */ 
+      as indices into the input data that has not been assigned to a shape.
+    */
     Point_index_range indices_of_unassigned_points() {
       Filter_unassigned_points fup(m_shape_index);
 
@@ -889,7 +927,7 @@ namespace CGAL {
                   candidates.end(),
                   comp);
 
-        //refine the best one 
+        //refine the best one
         improve_bound(candidates.back(),
                      num_available_points, m_num_subsets,
                      m_options.min_points);
@@ -918,7 +956,7 @@ namespace CGAL {
 
           //test again after refined
           if (candidates.back()->min_bound() >
-            candidates.at(position_stop)->max_bound()) 
+            candidates.at(position_stop)->max_bound())
             break;//the intervals do not overlaps anymore
         }
 
@@ -939,7 +977,7 @@ namespace CGAL {
         return false;
 
       candidate->m_nb_subset_used =
-        (candidate->m_nb_subset_used >= m_num_subsets) ? 
+        (candidate->m_nb_subset_used >= m_num_subsets) ?
         m_num_subsets - 1 : candidate->m_nb_subset_used;
 
       //what it does is add another subset and recompute lower and upper bound
@@ -956,14 +994,14 @@ namespace CGAL {
 
       do {
         new_score = m_direct_octrees[candidate->m_nb_subset_used]->score(
-          candidate, 
-          m_shape_index, 
+          candidate,
+          m_shape_index,
           m_options.epsilon,
           m_options.normal_threshold);
 
         candidate->m_score += new_score;
-        
-        num_points_evaluated += 
+
+        num_points_evaluated +=
           m_available_octree_sizes[candidate->m_nb_subset_used];
 
         new_sampled_points +=
@@ -979,11 +1017,11 @@ namespace CGAL {
 
       return true;
     }
-    
+
     inline FT stop_probability(std::size_t largest_candidate, std::size_t num_pts, std::size_t num_candidates, std::size_t octree_depth) const {
       return (std::min<FT>)(std::pow((FT) 1.f - (FT) largest_candidate / FT(num_pts * octree_depth * 4), (int) num_candidates), (FT) 1);
     }
-    
+
   private:
     Parameters m_options;
 
@@ -999,7 +1037,7 @@ namespace CGAL {
 
     // maps index into points to assigned extracted primitive
     std::vector<int> m_shape_index;
-    std::size_t m_num_available_points; 
+    std::size_t m_num_available_points;
     std::size_t m_num_total_points;
 
     //give the index of the subset of point i
@@ -1011,7 +1049,7 @@ namespace CGAL {
 
     // iterators of input data
     bool m_valid_iterators;
-    Input_iterator m_input_iterator_first, m_input_iterator_beyond; 
+    Input_iterator m_input_iterator_first, m_input_iterator_beyond;
     Point_map m_point_pmap;
     Normal_map m_normal_pmap;
   };
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Efficient_RANSAC_traits.h 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Efficient_RANSAC_traits.h
--- 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Efficient_RANSAC_traits.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Efficient_RANSAC_traits.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Efficient_RANSAC_traits.h $
-// $Id: Efficient_RANSAC_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Efficient_RANSAC_traits.h $
+// $Id: Efficient_RANSAC_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -22,12 +22,12 @@ namespace CGAL {
   /*!
     \ingroup PkgShapeDetectionRANSAC
     \brief %Default traits class for the `CGAL::Shape_detection::Efficient_RANSAC`.
-    
+
     \cgalModels `EfficientRANSACTraits`
 
     \tparam Gt must be a model of the concept `Kernel` with `Gt::FT` being `float` or `double`.
 
-    \tparam InputRange must be a model of `Range` with random access iterators, 
+    \tparam InputRange must be a model of `Range` with random access iterators,
     providing input points and normals through the following property maps.
 
     \tparam InputPointMap must be a model of `ReadablePropertyMap` with `std::iterator_traits<Input_range::iterator>::%value_type` as key type and `Geom_traits::Point_3` as value type.
@@ -72,7 +72,7 @@ namespace CGAL {
       : m_gt(gt) {}
 
     typedef typename Gt::Construct_point_3 Construct_point_3;
-    Construct_point_3 construct_point_3_object() const 
+    Construct_point_3 construct_point_3_object() const
     { return m_gt.construct_point_3_object(); }
 
     typedef typename Gt::Construct_vector_3 Construct_vector_3;
@@ -80,7 +80,7 @@ namespace CGAL {
     { return m_gt.construct_vector_3_object(); }
 
     typedef typename Gt::Construct_point_2 Construct_point_2;
-    Construct_point_2 construct_point_2_object() const 
+    Construct_point_2 construct_point_2_object() const
     { return m_gt.construct_point_2_object(); }
 
     typedef typename Gt::Construct_vector_2 Construct_vector_2;
@@ -90,7 +90,7 @@ namespace CGAL {
     typedef typename Gt::Construct_sphere_3 Construct_sphere_3;
     Construct_sphere_3 construct_sphere_3_object() const
     { return m_gt.construct_sphere_3_object(); }
-    
+
     typedef typename Gt::Construct_line_3 Construct_line_3;
     Construct_line_3 construct_line_3_object() const
     { return m_gt.construct_line_3_object(); }
@@ -98,7 +98,7 @@ namespace CGAL {
     typedef typename Gt::Construct_circle_2 Construct_circle_2;
     Construct_circle_2 construct_circle_2_object() const
     { return m_gt.construct_circle_2_object(); }
-    
+
     typedef typename Gt::Construct_point_on_3 Construct_point_on_3;
     Construct_point_on_3 construct_point_on_3_object() const
     { return m_gt.construct_point_on_3_object(); }
@@ -114,11 +114,11 @@ namespace CGAL {
     typedef typename Gt::Compute_x_3 Compute_x_3;
     Compute_x_3 compute_x_3_object() const
     { return m_gt.compute_x_3_object(); }
-    
+
     typedef typename Gt::Compute_y_3 Compute_y_3;
     Compute_y_3 compute_y_3_object() const
     { return m_gt.compute_y_3_object(); }
-    
+
     typedef typename Gt::Compute_z_3 Compute_z_3;
     Compute_z_3 compute_z_3_object() const
     { return m_gt.compute_z_3_object(); }
@@ -130,11 +130,11 @@ namespace CGAL {
     typedef typename Gt::Compute_squared_length_2 Compute_squared_length_2;
     Compute_squared_length_2 compute_squared_length_2_object() const
     { return m_gt.compute_squared_length_2_object(); }
-    
+
     typedef typename Gt::Construct_scaled_vector_3 Construct_scaled_vector_3;
     Construct_scaled_vector_3 construct_scaled_vector_3_object() const
     { return m_gt.construct_scaled_vector_3_object(); }
-    
+
     typedef typename Gt::Construct_sum_of_vectors_3 Construct_sum_of_vectors_3;
     Construct_sum_of_vectors_3 construct_sum_of_vectors_3_object() const
     { return m_gt.construct_sum_of_vectors_3_object(); }
@@ -142,11 +142,11 @@ namespace CGAL {
     typedef typename Gt::Construct_translated_point_3 Construct_translated_point_3;
     Construct_translated_point_3 construct_translated_point_3_object() const
     { return m_gt.construct_translated_point_3_object(); }
-    
+
     typedef typename Gt::Compute_scalar_product_3 Compute_scalar_product_3;
     Compute_scalar_product_3 compute_scalar_product_3_object() const
     { return m_gt.compute_scalar_product_3_object(); }
-    
+
     typedef typename Gt::Construct_cross_product_vector_3 Construct_cross_product_vector_3;
     Construct_cross_product_vector_3 construct_cross_product_vector_3_object() const
     { return m_gt.construct_cross_product_vector_3_object(); }
@@ -166,7 +166,7 @@ namespace CGAL {
     typedef typename Gt::Compute_squared_radius_2 Compute_squared_radius_2;
     Compute_squared_radius_2 compute_squared_radius_2_object() const
     { return m_gt.compute_squared_radius_2_object(); }
-    
+
     typedef typename Gt::Collinear_2 Collinear_2;
     Collinear_2 collinear_2_object() const
     { return m_gt.collinear_2_object(); }
@@ -176,7 +176,7 @@ namespace CGAL {
     ///
     Intersect_3 intersection_3_object() const
     { return m_gt.intersection_3_object(); }
-    
+
   private:
     Gt m_gt;
   };
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Octree.h 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Octree.h
--- 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Octree.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Octree.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Octree.h $
-// $Id: Octree.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Octree.h $
+// $Id: Octree.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -27,14 +27,14 @@ extern int scoreTime;
 
 namespace CGAL {
   namespace Shape_detection {
-  
-    template<class Traits> 
+
+    template<class Traits>
     class Efficient_RANSAC;
-    
+
   namespace internal {
 
     const std::size_t size_t_max = (std::numeric_limits<std::size_t>::max)();
-  
+
     template<class Sdt>
     class DirectPointAccessor {
     public:
@@ -43,7 +43,7 @@ namespace CGAL {
 
       DirectPointAccessor() {}
       DirectPointAccessor(const Input_iterator &begin,
-                          const Input_iterator &beyond, 
+                          const Input_iterator &beyond,
                           std::size_t offset) : m_first(begin), m_offset(offset) {
         m_beyond = (beyond == begin) ? begin : beyond - 1;
       }
@@ -221,9 +221,9 @@ namespace CGAL {
 
       Point_3 transl(const Point_3& p, const Vector_3 &v)
       { return m_traits.construct_translated_point_3_object()(p, v); }
-        
+
     public:
-      Octree(Sd_traits const& traits) 
+      Octree(Sd_traits const& traits)
         : m_traits(traits), m_bucket_size(20), m_set_max_level(10), m_root(nullptr) {}
       Octree(Sd_traits const& traits,
              const Input_iterator &first,
@@ -231,7 +231,7 @@ namespace CGAL {
              Point_map& point_pmap,
              Normal_map& normal_pmap,
              std::size_t offset = 0,
-             std::size_t bucketSize = 20, 
+             std::size_t bucketSize = 20,
              std::size_t maxLevel = 10)
              : PointAccessor(first, beyond, offset),
                m_traits(traits),
@@ -276,7 +276,7 @@ namespace CGAL {
         {
           FT bbox_diagonal = (FT) CGAL::sqrt(
             (m_bBox.xmax() - m_bBox.xmin()) * (m_bBox.xmax() - m_bBox.xmin())
-            + (m_bBox.ymax() - m_bBox.ymin()) * (m_bBox.ymax() - m_bBox.ymin()) 
+            + (m_bBox.ymax() - m_bBox.ymin()) * (m_bBox.ymax() - m_bBox.ymin())
             + (m_bBox.zmax() - m_bBox.zmin()) * (m_bBox.zmax() - m_bBox.zmin()));
 
           m_set_max_level = std::size_t (std::log (bbox_diagonal
@@ -294,7 +294,7 @@ namespace CGAL {
           m_max_level = std::max<std::size_t>(m_max_level, cell->level);
           if (cell->level == m_set_max_level)
             continue;
-          
+
           std::size_t zLowYHighXSplit, zLowYLowXSplit, zLowYSplit;
           std::size_t zHighYSplit, zHighYHighXSplit, zHighYLowXSplit;
 
@@ -307,14 +307,14 @@ namespace CGAL {
               zLowYLowXSplit = split(cell->first,
                                      zLowYSplit, 0, get_x(cell->center));
               zLowYHighXSplit = split(zLowYSplit + 1,
-                                      zSplit, 0, get_x(cell->center)); 
+                                      zSplit, 0, get_x(cell->center));
             }
             else {
               zLowYLowXSplit = size_t_max;
               zLowYHighXSplit = split(cell->first, zSplit, 0, get_x(cell->center));
             }
 
-            zHighYSplit = split(zSplit + 1, cell->last, 1, get_y(cell->center));  
+            zHighYSplit = split(zSplit + 1, cell->last, 1, get_y(cell->center));
 
             if (zHighYSplit != size_t_max) {
               zHighYHighXSplit = split(zHighYSplit + 1,
@@ -336,23 +336,23 @@ namespace CGAL {
             zHighYSplit = split(cell->first,
                                 cell->last,
                                 1,
-                                get_y(cell->center)); 
+                                get_y(cell->center));
 
             if (zHighYSplit != size_t_max) {
-              zHighYHighXSplit = split(zHighYSplit + 1, 
-                                       cell->last, 
-                                       0, 
+              zHighYHighXSplit = split(zHighYSplit + 1,
+                                       cell->last,
+                                       0,
                                        get_x(cell->center));
 
-              zHighYLowXSplit = split(cell->first, 
+              zHighYLowXSplit = split(cell->first,
                                       zHighYSplit,
-                                      0, 
-                                      get_x(cell->center)); 
+                                      0,
+                                      get_x(cell->center));
             }
             else {
               zHighYLowXSplit = size_t_max;
               zHighYHighXSplit = split(cell->first,
-                                       cell->last, 
+                                       cell->last,
                                        0,
                                        get_x(cell->center));
             }
@@ -367,7 +367,7 @@ namespace CGAL {
                 if (cell->first <= zLowYLowXSplit) {
                   //---
                   cell->child[7] = new Cell(cell->first,
-                                            zLowYLowXSplit, 
+                                            zLowYLowXSplit,
                                             transl(cell->center, constr_vec(
                                               ORIGIN, constr_pt(-width,-width,-width))),
                                             cell->level + 1);
@@ -381,7 +381,7 @@ namespace CGAL {
               if (zLowYLowXSplit < zLowYSplit || zLowYLowXSplit == size_t_max) {
                 //+--
                 cell->child[6] = new Cell(zLowYLowXSplit + 1,
-                                          zLowYSplit, 
+                                          zLowYSplit,
                                           transl(cell->center, constr_vec(
                                             ORIGIN, constr_pt(width,-width,-width))),
                                           cell->level + 1);
@@ -396,8 +396,8 @@ namespace CGAL {
 
               if (zLowYSplit < zLowYHighXSplit || zLowYSplit == size_t_max) {
                 //-+-
-                cell->child[5] = new Cell(zLowYSplit + 1, 
-                                          zLowYHighXSplit, 
+                cell->child[5] = new Cell(zLowYSplit + 1,
+                                          zLowYHighXSplit,
                                           transl(cell->center, constr_vec(
                                             ORIGIN, constr_pt(-width, width,-width))),
                                           cell->level + 1);
@@ -411,7 +411,7 @@ namespace CGAL {
             if (zLowYHighXSplit < zSplit || zLowYHighXSplit == size_t_max) {
               //++-
               cell->child[4] = new Cell(zLowYHighXSplit + 1,
-                                        zSplit, 
+                                        zSplit,
                                         transl(cell->center, constr_vec(
                                           ORIGIN, constr_pt(width, width,-width))),
                                         cell->level + 1);
@@ -442,7 +442,7 @@ namespace CGAL {
             if (zHighYLowXSplit < zHighYSplit || zHighYLowXSplit == size_t_max) {
               //+-+
               cell->child[2] = new Cell(zHighYLowXSplit + 1,
-                                        zHighYSplit, 
+                                        zHighYSplit,
                                         transl(cell->center, constr_vec(
                                           ORIGIN, constr_pt(width,-width, width))),
                                         cell->level + 1);
@@ -458,9 +458,9 @@ namespace CGAL {
             if (zHighYSplit < zHighYHighXSplit || zHighYSplit == size_t_max) {
               //-++
               cell->child[1] = new Cell(zHighYSplit + 1,
-                                        zHighYHighXSplit, 
+                                        zHighYHighXSplit,
                                         transl(cell->center, constr_vec(
-                                          ORIGIN, constr_pt(-width, width, width))), 
+                                          ORIGIN, constr_pt(-width, width, width))),
                                         cell->level + 1);
 
               if (cell->child[1]->size() > m_bucket_size)
@@ -472,7 +472,7 @@ namespace CGAL {
           if (zHighYHighXSplit <= cell->last || zHighYHighXSplit == size_t_max) {
             if (zHighYHighXSplit < cell->last || zHighYHighXSplit == size_t_max) {
               //+++
-              cell->child[0] = new Cell(zHighYHighXSplit + 1, 
+              cell->child[0] = new Cell(zHighYHighXSplit + 1,
                                         cell->last,
                                         transl(cell->center, constr_vec(
                                           ORIGIN, constr_pt(width, width, width))),
@@ -549,25 +549,25 @@ namespace CGAL {
 
       std::size_t fullScore(Shape *candidate,
                        std::vector<int> &shapeIndex,
-                       FT epsilon, 
+                       FT epsilon,
                        FT normal_threshold) {
 
         std::vector<std::size_t> indices(m_root->size());
         for (std::size_t i = 0;i<m_root->size();i++) {
           indices[i] = index(m_root->first + i);
         }
-        
-        candidate->cost_function(this->begin() + m_root->first, 
+
+        candidate->cost_function(this->begin() + m_root->first,
                                  this->begin() + m_root->last,
                                  shapeIndex,
-                                 epsilon, 
-                                 normal_threshold, 
+                                 epsilon,
+                                 normal_threshold,
                                  indices);
 
         return candidate->m_indices.size();
       }
 
-      std::size_t score(Shape *candidate, 
+      std::size_t score(Shape *candidate,
                    std::vector<int> &shapeIndex,
                    FT epsilon,
                    FT normal_threshold) {
@@ -599,8 +599,8 @@ namespace CGAL {
               }
             }
 
-            candidate->cost_function(epsilon, 
-                                     normal_threshold, 
+            candidate->cost_function(epsilon,
+                                     normal_threshold,
                                      indices);
           }
           else {
@@ -621,7 +621,7 @@ namespace CGAL {
       const Bbox_3 &boundingBox() {
         return m_bBox;
       }
-        
+
       const Bbox_3 &buildBoundingCube() {
         FT min[] = {std::numeric_limits<FT>::infinity(),
                     std::numeric_limits<FT>::infinity(),
@@ -642,7 +642,7 @@ namespace CGAL {
 
         m_bBox = Bbox_3(min[0], min[1], min[2], max[0], max[1], max[2]);
 
-        m_width = (std::max)(max[0] - min[0], 
+        m_width = (std::max)(max[0] - min[0],
           (std::max)(max[1] - min[1], max[2] - min[2])) * (FT) 0.5;
         m_center = constr_pt((min[0] + max[0]) * (FT) 0.5,
                              (min[1] + max[1]) * (FT) 0.5,
@@ -653,7 +653,7 @@ namespace CGAL {
 
       // returns index of last point below threshold
       std::size_t split(std::size_t first, std::size_t last, std::size_t dimension, FT threshold) {
-        if (last == size_t_max || first == size_t_max) 
+        if (last == size_t_max || first == size_t_max)
           return size_t_max;
 
         if (first > last)
@@ -718,7 +718,7 @@ namespace CGAL {
     };
   }
   }
-  
+
 }
 
 #endif
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Plane.h 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Plane.h
--- 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Plane.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Plane.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Plane.h $
-// $Id: Plane.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Plane.h $
+// $Id: Plane.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -23,10 +23,10 @@ namespace CGAL {
   namespace Shape_detection {
   /*!
     \ingroup PkgShapeDetectionRANSACShapes
-    
+
     \brief Plane implements Shape_base. The plane is represented by the normal vector and the distance to the origin.
-    
-    \tparam Traits must be a model of `EfficientRANSACTraits` with the additional 
+
+    \tparam Traits must be a model of `EfficientRANSACTraits` with the additional
     requirement for planes (see `EfficientRANSACTraits` documentation).
   */
   template <class Traits>
@@ -54,21 +54,21 @@ namespace CGAL {
     operator Plane_3() const {
       return Plane_3(this->get_x(m_normal), this->get_y(m_normal), this->get_z(m_normal), m_d);
     }
-            
+
     /*!
       Normal vector of the plane.
      */
     Vector_3 plane_normal() const {
       return m_normal;
     }
-            
+
     /*!
       Signed distance from the origin.
      */
     FT d() const {
       return m_d;
     }
-    
+
     /// \cond SKIP_IN_MANUAL
     /*!
       Computes squared Euclidean distance from query point to the shape.
@@ -102,7 +102,7 @@ namespace CGAL {
       m_base1 = p.base1 () / std::sqrt (p.base1() * p.base1 ());
       m_base2 = p.base2 () / std::sqrt (p.base2() * p.base2 ());
       m_normal = p.orthogonal_vector () / std::sqrt (p.orthogonal_vector () * p.orthogonal_vector ());
-      
+
       m_d = p.d();
 
     }
@@ -113,7 +113,7 @@ namespace CGAL {
      */
     std::string info() const {
       std::stringstream sstr;
-      sstr << "Type: plane (" << this->get_x(m_normal) << ", " << this->get_y(m_normal) 
+      sstr << "Type: plane (" << this->get_x(m_normal) << ", " << this->get_y(m_normal)
         << ", " << this->get_z(m_normal) << ")x - " << m_d << "= 0"
         << " #Pts: " << this->m_indices.size();
 
@@ -139,8 +139,8 @@ namespace CGAL {
       }
 
       m_normal = this->scale(m_normal, (FT)1.0 / length);
-      m_d = -(this->get_x(p1) * this->get_x(m_normal) 
-        + this->get_y(p1) * this->get_y(m_normal) 
+      m_d = -(this->get_x(p1) * this->get_x(m_normal)
+        + this->get_y(p1) * this->get_y(m_normal)
         + this->get_z(p1) * this->get_z(m_normal));
 
       //check deviation of the 3 normal
@@ -167,7 +167,7 @@ namespace CGAL {
 
     virtual void parameters(const std::vector<std::size_t> &indices,
                             std::vector<std::pair<FT, FT> > &parameterSpace,
-                            FT &,                    
+                            FT &,
                             FT min[2],
                             FT max[2]) const {
       // Transform first point before to initialize min/max
@@ -190,18 +190,18 @@ namespace CGAL {
         parameterSpace[i] = std::pair<FT, FT>(u, v);
       }
     }
-    
+
     virtual void squared_distance(const std::vector<std::size_t> &indices,
                                   std::vector<FT> &dists) const {
       for (std::size_t i = 0;i<indices.size();i++) {
         const FT d = this->scalar_pdct(
-          this->constr_vec(m_point_on_primitive, this->point(indices[i])), 
+          this->constr_vec(m_point_on_primitive, this->point(indices[i])),
           m_normal);
         dists[i] = d * d;
       }
     }
 
-    virtual void cos_to_normal(const std::vector<std::size_t> &indices, 
+    virtual void cos_to_normal(const std::vector<std::size_t> &indices,
                                std::vector<FT> &angles) const {
       for (std::size_t i = 0;i<indices.size();i++) {
         angles[i] = CGAL::abs(
@@ -211,8 +211,8 @@ namespace CGAL {
 
     FT cos_to_normal(const Point_3 &, const Vector_3 &n) const{
       return CGAL::abs(this->scalar_pdct(n, m_normal));
-    } 
-    
+    }
+
     virtual std::size_t minimum_sample_size() const {
       return 3;
     }
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/property_map.h 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/property_map.h
--- 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/property_map.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/property_map.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/property_map.h $
-// $Id: property_map.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/property_map.h $
+// $Id: property_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -32,7 +32,7 @@ namespace Shape_detection {
   {
     typedef CGAL::Shape_detection::Shape_base<Traits> Shape;
     boost::shared_ptr<std::vector<int> > m_indices;
-    
+
   public:
     typedef std::size_t key_type; ///< %Index of the point in the random access point range.
     typedef int value_type; ///< %Index of the shape (-1 if the point is not assigned to any shape).
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Shape_base.h 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Shape_base.h
--- 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Shape_base.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Shape_base.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Shape_base.h $
-// $Id: Shape_base.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Shape_base.h $
+// $Id: Shape_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -40,7 +40,7 @@ namespace CGAL {
     template<class PointAccessor>
     class Octree;
   }
-    
+
     /*!
      \ingroup PkgShapeDetectionRANSACShapes
      \brief Base class for shape types that defines an interface to construct a
@@ -87,14 +87,14 @@ namespace CGAL {
     }
 
     virtual ~Shape_base() {}
-      
+
     /*!
       Returns the indices of the points in the input range assigned to this shape.
      */
     const std::vector<std::size_t> & indices_of_assigned_points() const {
       return m_indices;
     }
-      
+
     /*!
       Returns a string containing the shape type
       and the numerical parameters.
@@ -109,13 +109,13 @@ namespace CGAL {
     virtual FT squared_distance(const Point_3 &p) const = 0;
 
   protected:
-      
+
     /*!
       Constructs the shape based on a minimal set of samples from the
       input data.
      */
     virtual void create_shape(const std::vector<std::size_t> &indices) = 0;
-    
+
     /*!
       Determines the largest cluster of inlier points. A point belongs to a cluster
       if there is a point in the cluster closer than `cluster_epsilon` distance.
@@ -127,7 +127,7 @@ namespace CGAL {
 
       if (!this->supports_connected_component())
         return connected_component_kdTree(indices, cluster_epsilon);
-      
+
       // Fetching parameters
       FT min[] = {0,0}, max[] = {0,0};
 
@@ -192,7 +192,7 @@ namespace CGAL {
           curLabel = (nw != 0) ?
             (std::min<unsigned int>)(curLabel, nw) : curLabel;
 
-          curLabel = (ne != 0) ? 
+          curLabel = (ne != 0) ?
             (std::min<unsigned int>)(curLabel, ne) : curLabel;
 
           // Update merge map.
@@ -234,7 +234,7 @@ namespace CGAL {
       for (std::size_t i = 0;i<parameter_space.size();i++) {
         int u = (int)((parameter_space[i].first - min[0]) / cluster_epsilon);
         int v = (int)((parameter_space[i].second - min[1]) / cluster_epsilon);
-        
+
         u = (u < 0) ? 0 : (((std::size_t)u >= u_extent) ? (int)u_extent - 1 : u);
         v = (v < 0) ? 0 : (((std::size_t)v >= v_extent) ? (int)v_extent - 1 : v);
 
@@ -254,7 +254,7 @@ namespace CGAL {
       for (std::size_t i = 0;i<parameter_space.size();i++) {
         int u = (int)((parameter_space[i].first - min[0]) / cluster_epsilon);
         int v = (int)((parameter_space[i].second - min[1]) / cluster_epsilon);
-        
+
         u = (u < 0) ? 0 : (((std::size_t)u >= u_extent) ? (int)u_extent - 1 : u);
         v = (v < 0) ? 0 : (((std::size_t)v >= v_extent) ? (int)v_extent - 1 : v);
 
@@ -266,7 +266,7 @@ namespace CGAL {
 
       return m_score = indices.size();
     }
-    
+
     /*!
       Determines the largest cluster with a point-to-point
       distance not larger than `cluster_epsilon`. This general version performs
@@ -293,7 +293,7 @@ namespace CGAL {
 
       // construct kd tree
       Kd_Tree tree(pts.begin(), pts.end());
-      
+
       std::stack<std::size_t> stack;
       std::size_t unlabeled = pts.size();
       std::size_t label = 1;
@@ -328,7 +328,7 @@ namespace CGAL {
             }
           }
         }
-        
+
         // Track most prominent label and remaining points
         unlabeled -= assigned;
         if (assigned > best_size) {
@@ -351,7 +351,7 @@ namespace CGAL {
       }
 
       indices = tmp_indices;
-      
+
       return indices.size();
     }
 
@@ -382,7 +382,7 @@ namespace CGAL {
     point(std::size_t i) const {
       return get(this->m_point_pmap, *(this->m_first + i));
     }
-    
+
     /*!
       Retrieves the normal vector from its index.
      */
@@ -406,7 +406,7 @@ namespace CGAL {
             return a->max_bound() < b->max_bound();
         }
     };
-      
+
     FT expected_value() const {
       return (m_lower_bound + m_upper_bound) / 2.f;
     }
@@ -433,7 +433,7 @@ namespace CGAL {
     // return last computed score, or -1 if no score yet
     FT inline score() const {
       return FT(m_score);
-    } 
+    }
 
     int inline subsets() const {
       return m_nb_subset_used;
@@ -496,7 +496,7 @@ namespace CGAL {
       for (std::size_t i = 0;i<num;i++)
         indices[i] = m_indices[get_default_random()(
           static_cast<unsigned int>(m_indices.size()))];
-      
+
       std::vector<FT> dists(num), angles(num);
       other->squared_distance(indices, dists);
       other->cos_to_normal(indices, angles);
@@ -554,7 +554,7 @@ namespace CGAL {
 
       create_shape(indices);
     }
-    
+
     void compute(const std::set<std::size_t>& indices,
                  Input_iterator first,
                  Traits traits,
@@ -602,7 +602,7 @@ namespace CGAL {
     }
 
     template<typename T> bool is_finite(T arg) {
-      return arg == arg && 
+      return arg == arg &&
         arg != std::numeric_limits<T>::infinity() &&
         arg != -std::numeric_limits<T>::infinity();
     }
@@ -618,11 +618,11 @@ namespace CGAL {
       m_upper_bound = -1 - m_upper_bound;
     }
 
-    void hypergeometrical_dist(const std::ptrdiff_t UN, 
+    void hypergeometrical_dist(const std::ptrdiff_t UN,
                                const std::ptrdiff_t x,
-                               const std::ptrdiff_t n, 
+                               const std::ptrdiff_t n,
                                FT &low,
-                               FT &high) {                           
+                               FT &high) {
       const FT q = FT(x * n * double(UN - x) * (UN - n) / (UN - 1));
       const FT sq = CGAL::sqrt(q);
       low  = (x * n - sq) / UN;
@@ -646,7 +646,7 @@ namespace CGAL {
     FT get_x(const Point_3& p) const { return m_traits.compute_x_3_object()(p); }
     FT get_y(const Point_3& p) const { return m_traits.compute_y_3_object()(p); }
     FT get_z(const Point_3& p) const { return m_traits.compute_z_3_object()(p); }
-    
+
     Point_3 constr_pt() const
     { return m_traits.construct_point_3_object()(ORIGIN); }
     Point_3 constr_pt(FT x, FT y, FT z) const
@@ -671,7 +671,7 @@ namespace CGAL {
 
   protected:
     /// \endcond
-    // 
+    //
     /// \cond SKIP_IN_MANUAL
     /*!
       Contains indices of the inliers of the candidate, access
@@ -702,7 +702,7 @@ namespace CGAL {
     Point_map m_point_pmap;
     Normal_map m_normal_pmap;
     /// \endcond
-  };  
+  };
 }
 }
 #endif
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Sphere.h 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Sphere.h
--- 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Sphere.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Sphere.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Sphere.h $
-// $Id: Sphere.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Sphere.h $
+// $Id: Sphere.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -25,14 +25,14 @@ namespace CGAL {
     /*!
      \ingroup PkgShapeDetectionRANSACShapes
      \brief Sphere implements Shape_base. The sphere is represented by its center and the radius.
-     \tparam Traits must be a model of `EfficientRANSACTraits` with the additional 
+     \tparam Traits must be a model of `EfficientRANSACTraits` with the additional
              requirement for spheres (see `EfficientRANSACTraits` documentation).
      */
   template <class Traits>
   class Sphere : public Shape_base<Traits> {
     using Shape_base<Traits>::update_label;
 
-  public:    
+  public:
     /// \cond SKIP_IN_MANUAL
     typedef typename Traits::Point_map Point_map;
       ///< property map to access the location of an input point.
@@ -64,7 +64,7 @@ namespace CGAL {
     Point_3 center() const {
       return this->sph_center(m_sphere);
     }
-      
+
     /*!
       Access to the radius of the sphere.
      */
@@ -79,13 +79,13 @@ namespace CGAL {
     FT squared_distance(const Point_3 &p) const {
       const FT d = CGAL::sqrt(
         this->sqlen(this->constr_vec(
-          p, this->sph_center(m_sphere)))) 
+          p, this->sph_center(m_sphere))))
         - CGAL::sqrt(this->sqradius(m_sphere));
       return d * d;
     }
-    
+
     /*!
-      Helper function to write center, 
+      Helper function to write center,
       radius of the sphere and number of assigned points into a string.
      */
     std::string info() const {
@@ -200,7 +200,7 @@ namespace CGAL {
       }
     }
 
-    virtual void cos_to_normal(const std::vector<std::size_t> &indices, 
+    virtual void cos_to_normal(const std::vector<std::size_t> &indices,
                                std::vector<FT> &angles) const {
       for (std::size_t i = 0;i<indices.size();i++) {
         Vector_3 n = this->constr_vec(
@@ -227,7 +227,7 @@ namespace CGAL {
       sphere_normal = this->scale(sphere_normal, (FT)1.0 / length);
       return CGAL::abs(this->scalar_pdct(sphere_normal, n));
     }
-      
+
     virtual std::size_t minimum_sample_size() const {
       return 3;
     }
@@ -340,7 +340,7 @@ namespace CGAL {
       m_wrap_right = abs(max[0] - CGAL_M_PI_2 * rad) < (cluster_epsilon * 0.5);
       m_wrap_left = abs(min[0] + CGAL_M_PI_2 * rad) < (cluster_epsilon * 0.5);
 
-      FT diff_top = CGAL::abs(-FT(CGAL_PI * rad) - min[1]) 
+      FT diff_top = CGAL::abs(-FT(CGAL_PI * rad) - min[1])
         + FT(CGAL_PI * rad) - max[1];
       m_wrap_top = diff_top < cluster_epsilon;
 
@@ -442,7 +442,7 @@ namespace CGAL {
           // First index
           l = bitmap[(m_equator + 1) * u_extent - 1];
           unsigned int ws = bitmap[(m_equator + 3) * u_extent - 1];
-          
+
           if (l && ws && l != ws) {
             l = (std::min<unsigned int>)(ws, l);
             update_label(labels, (std::max<unsigned int>)(ws, l), l);
@@ -542,7 +542,7 @@ namespace CGAL {
     virtual bool supports_connected_component() const {
       return true;
     }
-    
+
   private:
     Sphere_3 m_sphere;
     mutable bool m_wrap_right, m_wrap_top, m_wrap_left;
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Torus.h 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Torus.h
--- 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC/Torus.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC/Torus.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Torus.h $
-// $Id: Torus.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC/Torus.h $
+// $Id: Torus.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -28,7 +28,7 @@ namespace CGAL {
       \ingroup PkgShapeDetectionRANSACShapes
       \brief Torus implements Shape_base. The torus is represented by the
       symmetry axis, its center on the axis, and the major and minor radii.
-     \tparam Traits must be a model of `EfficientRANSACTraits` with the additional 
+     \tparam Traits must be a model of `EfficientRANSACTraits` with the additional
              requirement for tori (see `EfficientRANSACTraits` documentation).
      */
   template <class Traits>
@@ -54,7 +54,7 @@ namespace CGAL {
     /// \endcond
 
     Torus() : Shape_base<Traits>() {}
-      
+
     /*!
       Direction of symmetry axis.
      */
@@ -68,14 +68,14 @@ namespace CGAL {
     Point_3 center() const {
       return m_center;
     }
-      
+
     /*!
       Major radius of the torus.
      */
     FT major_radius() const {
       return m_majorRad;
     }
-      
+
     /*!
       Minor radius of the torus.
       */
@@ -105,7 +105,7 @@ namespace CGAL {
       */
     FT squared_distance(const Point_3 &p) const {
       const Vector_3 d = this->constr_vec(m_center, p);
-      
+
       // height over symmetry plane
       const FT height = this->scalar_pdct(d, m_axis);
 
@@ -300,7 +300,7 @@ namespace CGAL {
       }
     }
 
-    virtual void cos_to_normal(const std::vector<std::size_t> &indices, 
+    virtual void cos_to_normal(const std::vector<std::size_t> &indices,
                                std::vector<FT> &angles) const {
       for (std::size_t i = 0;i<indices.size();i++) {
         Vector_3 d = this->constr_vec(m_center, this->point(indices[i]));
@@ -334,7 +334,7 @@ namespace CGAL {
                                            this->cross_pdct(m_axis, d));
       if (this->scalar_pdct(in_plane, d) < 0)
         in_plane = -in_plane;
-      
+
       float length = CGAL::sqrt(this->sqlen(in_plane));
 
       // If length is 0 the point is on the axis, maybe in the apex. We
@@ -350,7 +350,7 @@ namespace CGAL {
 
       return CGAL::abs(d * n);
     }
-      
+
     virtual std::size_t minimum_sample_size() const {
         return 4;
     }
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC.h 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC.h
--- 5.0.2-3/include/CGAL/Shape_detection/Efficient_RANSAC.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Efficient_RANSAC.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Efficient_RANSAC.h $
 // $Id: Efficient_RANSAC.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Region_growing/internal/property_map.h 5.0.3-1/include/CGAL/Shape_detection/Region_growing/internal/property_map.h
--- 5.0.2-3/include/CGAL/Shape_detection/Region_growing/internal/property_map.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Region_growing/internal/property_map.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Region_growing/internal/property_map.h $
-// $Id: property_map.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Region_growing/internal/property_map.h $
+// $Id: property_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -30,11 +30,11 @@ namespace Shape_detection {
 namespace internal {
 
   template<
-  typename ItemRange, 
+  typename ItemRange,
   typename PropertyMap>
   class Item_property_map {
-                        
-  public: 
+
+  public:
     using Item_range = ItemRange;
     using Property_map = PropertyMap;
 
@@ -44,14 +44,14 @@ namespace internal {
     using category = boost::lvalue_property_map_tag;
 
     Item_property_map(
-      const Item_range& item_range, 
-      const Property_map& property_map) : 
+      const Item_range& item_range,
+      const Property_map& property_map) :
     m_item_range(item_range),
-    m_property_map(property_map) 
+    m_property_map(property_map)
     { }
 
-    reference operator[](const key_type item_index) const { 
-                
+    reference operator[](const key_type item_index) const {
+
       CGAL_precondition(item_index >= 0);
       CGAL_precondition(item_index < m_item_range.size());
 
@@ -60,12 +60,12 @@ namespace internal {
     }
 
     friend inline reference get(
-      const Item_property_map& item_map, 
-      const key_type key) { 
-      
+      const Item_property_map& item_map,
+      const key_type key) {
+
       return item_map[key];
     }
-                
+
   private:
     const Item_range& m_item_range;
     const Property_map& m_property_map;
@@ -73,10 +73,10 @@ namespace internal {
 
   template<typename ItemRange>
   class Item_to_index_property_map {
-                        
+
   public:
     using Item_range = ItemRange;
-            
+
     using Iterator = typename Item_range::const_iterator;
     using Item = typename Iterator::value_type;
 
@@ -86,8 +86,8 @@ namespace internal {
 
     using Item_map = std::map<key_type, value_type>;
 
-    Item_to_index_property_map(const Item_range& item_range) : 
-    m_item_range(item_range) { 
+    Item_to_index_property_map(const Item_range& item_range) :
+    m_item_range(item_range) {
 
       value_type i = 0;
       for (const auto& item : item_range) {
@@ -97,48 +97,48 @@ namespace internal {
       }
     }
 
-    value_type operator[](const key_type& key) const { 
+    value_type operator[](const key_type& key) const {
 
       const auto& value = m_item_map.find(key);
-    
-      if (value == m_item_map.end()) 
+
+      if (value == m_item_map.end())
         return value_type(-1);
-    
+
       return value->second;
     }
 
     friend inline value_type get(
-      const Item_to_index_property_map& item_to_index_map, 
-      const key_type& key) { 
-      
+      const Item_to_index_property_map& item_to_index_map,
+      const key_type& key) {
+
       return item_to_index_map[key];
     }
-                
+
   private:
     const Item_range& m_item_range;
     Item_map m_item_map;
   };
 
   class Seed_property_map {
-                        
+
   public:
     using key_type = std::size_t;
     using value_type = std::size_t;
     using category = boost::lvalue_property_map_tag;
 
     Seed_property_map(
-      const std::vector<std::size_t>& seeds) : 
-    m_seeds(seeds) 
+      const std::vector<std::size_t>& seeds) :
+    m_seeds(seeds)
     { }
 
-    value_type operator[](const key_type key) const { 
+    value_type operator[](const key_type key) const {
       return m_seeds[key];
     }
 
     friend value_type get(
-      const Seed_property_map& seed_map, 
-      const key_type key) { 
-        
+      const Seed_property_map& seed_map,
+      const key_type key) {
+
       return seed_map[key];
     }
 
@@ -149,9 +149,9 @@ namespace internal {
 } // namespace internal
 
 namespace RG {
-  
+
   class Point_to_shape_index_map {
-    
+
   public:
     using key_type = std::size_t;
     using value_type = int;
@@ -163,7 +163,7 @@ namespace RG {
     template<typename PointRange>
     Point_to_shape_index_map(
       const PointRange& points,
-      const std::vector< std::vector<std::size_t> >& regions) : 
+      const std::vector< std::vector<std::size_t> >& regions) :
     m_indices(new std::vector<int>(points.size(), -1)) {
 
       for (std::size_t i = 0; i < regions.size(); ++i)
@@ -172,9 +172,9 @@ namespace RG {
     }
 
     inline friend value_type get(
-      const Point_to_shape_index_map& point_to_shape_index_map, 
+      const Point_to_shape_index_map& point_to_shape_index_map,
       const key_type key) {
-      
+
       const auto& indices = *(point_to_shape_index_map.m_indices);
       return indices[key];
     }
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Region_growing/internal/utils.h 5.0.3-1/include/CGAL/Shape_detection/Region_growing/internal/utils.h
--- 5.0.2-3/include/CGAL/Shape_detection/Region_growing/internal/utils.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Region_growing/internal/utils.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Region_growing/internal/utils.h $
-// $Id: utils.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Region_growing/internal/utils.h $
+// $Id: utils.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -34,16 +34,16 @@ namespace CGAL {
 namespace Shape_detection {
 namespace internal {
 
-  template<typename GeomTraits> 
+  template<typename GeomTraits>
   class Default_sqrt {
-    
+
   private:
     using Traits = GeomTraits;
     using FT = typename Traits::FT;
 
   public:
-    FT operator()(const FT value) const { 
-      
+    FT operator()(const FT value) const {
+
       CGAL_precondition(value >= FT(0));
       return static_cast<FT>(CGAL::sqrt(CGAL::to_double(value)));
     }
@@ -52,15 +52,15 @@ namespace internal {
   BOOST_MPL_HAS_XXX_TRAIT_NAMED_DEF(Has_nested_type_Sqrt, Sqrt, false)
 
   // Case: do_not_use_default = false.
-  template<typename GeomTraits, 
+  template<typename GeomTraits,
   bool do_not_use_default = Has_nested_type_Sqrt<GeomTraits>::value>
   class Get_sqrt {
-        
+
   public:
     using Traits = GeomTraits;
     using Sqrt = Default_sqrt<Traits>;
 
-    static Sqrt sqrt_object(const Traits& ) { 
+    static Sqrt sqrt_object(const Traits& ) {
       return Sqrt();
     }
   };
@@ -68,12 +68,12 @@ namespace internal {
   // Case: do_not_use_default = true.
   template<typename GeomTraits>
   class Get_sqrt<GeomTraits, true> {
-        
+
   public:
     using Traits = GeomTraits;
     using Sqrt = typename Traits::Sqrt;
 
-    static Sqrt sqrt_object(const Traits& traits) { 
+    static Sqrt sqrt_object(const Traits& traits) {
       return traits.sqrt_object();
     }
   };
@@ -81,13 +81,13 @@ namespace internal {
   template<typename FT>
   struct Compare_scores {
     const std::vector<FT>& m_scores;
-      
-    Compare_scores(const std::vector<FT>& scores) : 
-    m_scores(scores) 
+
+    Compare_scores(const std::vector<FT>& scores) :
+    m_scores(scores)
     { }
 
     bool operator()(const std::size_t i, const std::size_t j) const {
-        
+
       CGAL_precondition(i >= 0 && i < m_scores.size());
       CGAL_precondition(j >= 0 && j < m_scores.size());
 
@@ -108,18 +108,18 @@ namespace internal {
     using Traits = typename Kernel_traits<Plane_3>::Kernel;
     using FT = typename Traits::FT;
 
-    using Local_traits = 
+    using Local_traits =
     CGAL::Exact_predicates_inexact_constructions_kernel;
-    using To_local_converter = 
+    using To_local_converter =
     Cartesian_converter<Traits, Local_traits>;
 
-		using Local_FT = typename Local_traits::FT;
+                using Local_FT = typename Local_traits::FT;
     using Local_point_3 = typename Local_traits::Point_3;
-		using Local_plane_3 = typename Local_traits::Plane_3;
+                using Local_plane_3 = typename Local_traits::Plane_3;
 
     planes.clear();
     planes.reserve(regions.size());
-    
+
     std::vector<Local_point_3> points;
     const To_local_converter to_local_converter = To_local_converter();
 
@@ -141,16 +141,16 @@ namespace internal {
       Local_point_3 fitted_centroid;
 
       CGAL::linear_least_squares_fitting_3(
-        points.begin(), points.end(), 
-        fitted_plane, fitted_centroid, 
-        CGAL::Dimension_tag<0>(), 
-        Local_traits(), 
+        points.begin(), points.end(),
+        fitted_plane, fitted_centroid,
+        CGAL::Dimension_tag<0>(),
+        Local_traits(),
         CGAL::Eigen_diagonalize_traits<Local_FT, 3>());
 
-		  const Plane_3 plane = Plane_3(
-        static_cast<FT>(fitted_plane.a()), 
-        static_cast<FT>(fitted_plane.b()), 
-        static_cast<FT>(fitted_plane.c()), 
+                  const Plane_3 plane = Plane_3(
+        static_cast<FT>(fitted_plane.a()),
+        static_cast<FT>(fitted_plane.b()),
+        static_cast<FT>(fitted_plane.c()),
         static_cast<FT>(fitted_plane.d()));
       planes.push_back(plane);
     }
@@ -173,13 +173,13 @@ namespace RG {
     using Vector_3 = typename Traits::Vector_3;
 
     template<
-    typename Input_range, 
+    typename Input_range,
     typename Point_map>
     Plane(
       const Input_range& input_range,
       const Point_map point_map,
       const std::vector<std::size_t>& region,
-      const Plane_3& plane) { 
+      const Plane_3& plane) {
 
       FT x = FT(0), y = FT(0), z = FT(0);
       for (const std::size_t idx : region) {
@@ -191,7 +191,7 @@ namespace RG {
       x /= static_cast<FT>(region.size());
       y /= static_cast<FT>(region.size());
       z /= static_cast<FT>(region.size());
-      
+
       m_centroid = Point_3(x, y, z);
       m_base1 = plane.base1() / static_cast<FT>(CGAL::sqrt(
         CGAL::to_double(plane.base1() * plane.base1())));
@@ -207,7 +207,7 @@ namespace RG {
     Point_3 to_3d(const Point_2& query) const {
       return m_centroid + query.x() * m_base1 + query.y() * m_base2;
     }
-  
+
   private:
     Point_3 m_centroid;
     Vector_3 m_base1, m_base2;
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing.h 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing.h
--- 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing.h $
-// $Id: Region_growing.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing.h $
+// $Id: Region_growing.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -29,19 +29,19 @@ namespace Shape_detection {
 
   /*!
     \ingroup PkgShapeDetectionRG
-    
+
     \brief Main class/entry point for running the region growing algorithm.
 
     This version of the region growing algorithm enables to detect regions in a set
-    of user-defined items 
-    - given a way to access neighbors of each item via the `NeighborQuery` parameter class and 
+    of user-defined items
+    - given a way to access neighbors of each item via the `NeighborQuery` parameter class and
     - control if items form a valid region type via the `RegionType` parameter class,
     - the `SeedMap` property map enables to define the seeding order of items and skip unnecessary items.
-    
-    \tparam InputRange 
+
+    \tparam InputRange
     must be a model of `ConstRange`.
 
-    \tparam NeighborQuery 
+    \tparam NeighborQuery
     must be a model of `NeighborQuery`.
 
     \tparam RegionType
@@ -52,8 +52,8 @@ namespace Shape_detection {
     %Default is `CGAL::Identity_property_map`.
   */
   template<
-  typename InputRange, 
-  typename NeighborQuery, 
+  typename InputRange,
+  typename NeighborQuery,
   typename RegionType,
   typename SeedMap = CGAL::Identity_property_map<std::size_t> >
   class Region_growing {
@@ -76,34 +76,34 @@ namespace Shape_detection {
 
     /*!
       \brief initializes the region growing algorithm.
-      
-      \param input_range 
+
+      \param input_range
       a range of input items for region growing
 
-      \param neighbor_query 
-      an instance of `NeighborQuery` that is used internally to 
+      \param neighbor_query
+      an instance of `NeighborQuery` that is used internally to
       access item's neighbors
 
-      \param region_type 
-      an instance of `RegionType` that is used internally to 
+      \param region_type
+      an instance of `RegionType` that is used internally to
       control if items form a valid region type
 
-      \param seed_map 
-      an instance of `SeedMap` property map that is used internally to 
-      set the order of items in the region growing processing queue. If it maps 
+      \param seed_map
+      an instance of `SeedMap` property map that is used internally to
+      set the order of items in the region growing processing queue. If it maps
       to `std::size_t(-1)`, the corresponding item is skipped.
 
       \pre `input_range.size() > 0`
     */
     Region_growing(
-      const InputRange& input_range, 
-      NeighborQuery& neighbor_query, 
+      const InputRange& input_range,
+      NeighborQuery& neighbor_query,
       RegionType& region_type,
       const SeedMap seed_map = SeedMap()) :
     m_input_range(input_range),
     m_neighbor_query(neighbor_query),
     m_region_type(region_type),
-    m_seed_map(seed_map) { 
+    m_seed_map(seed_map) {
 
       CGAL_precondition(input_range.size() > 0);
       clear();
@@ -111,14 +111,14 @@ namespace Shape_detection {
 
     /// @}
 
-    /// \name Detection 
+    /// \name Detection
     /// @{
 
     /*!
-      \brief runs the region growing algorithm and fills an output iterator 
+      \brief runs the region growing algorithm and fills an output iterator
       with the found regions.
 
-      \tparam OutputIterator 
+      \tparam OutputIterator
       must be an output iterator whose value type is `std::vector<std::size_t>`.
 
       \param regions
@@ -149,9 +149,9 @@ namespace Shape_detection {
           propagate(seed_index, region);
 
           // Check global conditions.
-          if (!m_region_type.is_valid_region(region)) 
+          if (!m_region_type.is_valid_region(region))
             revert(region);
-          else 
+          else
             *(regions++) = region;
         }
       }
@@ -161,15 +161,15 @@ namespace Shape_detection {
     /// @}
 
     /// \name Unassigned Items
-    /// @{  
+    /// @{
 
     /*!
       \brief fills an output iterator with indices of all unassigned items.
-      
-      \tparam OutputIterator 
+
+      \tparam OutputIterator
       must be an output iterator whose value type is `std::size_t`.
 
-      \param output 
+      \param output
       an output iterator that stores indices of all items, which are not assigned
       to any region
 
@@ -177,7 +177,7 @@ namespace Shape_detection {
     */
     template<typename OutputIterator>
     OutputIterator unassigned_items(OutputIterator output) const {
-      
+
       // Return indices of all unassigned items.
       for (std::size_t i = 0; i < m_input_range.size(); ++i) {
         const std::size_t seed_index = get(m_seed_map, i);
@@ -189,7 +189,7 @@ namespace Shape_detection {
         CGAL_precondition(
           seed_index >= 0 && seed_index < m_input_range.size());
 
-        if (!m_visited[seed_index]) 
+        if (!m_visited[seed_index])
           *(output++) = seed_index;
       }
       return output;
@@ -199,7 +199,7 @@ namespace Shape_detection {
 
     /// \cond SKIP_IN_MANUAL
     void clear() {
-                
+
       m_visited.clear();
       m_visited.resize(m_input_range.size(), false);
     }
@@ -232,7 +232,7 @@ namespace Shape_detection {
 
       Indices neighbors;
       while (
-        !running_queue[depth_index].empty() || 
+        !running_queue[depth_index].empty() ||
         !running_queue[!depth_index].empty()) {
 
         // Call the next item index of the queue and remove it from the queue.
@@ -253,7 +253,7 @@ namespace Shape_detection {
           CGAL_precondition(
             neighbor_index >= 0 && neighbor_index < m_input_range.size());
 
-          if (!m_visited[neighbor_index] && 
+          if (!m_visited[neighbor_index] &&
             m_region_type.is_part_of_region(item_index, neighbor_index, region)) {
 
             // Add this neighbor to the other queue so that we can visit it later.
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/K_neighbor_query.h 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/K_neighbor_query.h
--- 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/K_neighbor_query.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/K_neighbor_query.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/K_neighbor_query.h $
-// $Id: K_neighbor_query.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/K_neighbor_query.h $
+// $Id: K_neighbor_query.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -42,26 +42,26 @@ namespace Point_set {
   /*!
     \ingroup PkgShapeDetectionRGOnPoints
 
-    \brief K nearest neighbors search in a set of `Kernel::Point_2` or 
+    \brief K nearest neighbors search in a set of `Kernel::Point_2` or
     `Kernel::Point_3`.
 
     This class returns the K nearest neighbors of a query point in a point set.
 
-    \tparam GeomTraits 
+    \tparam GeomTraits
     must be a model of `Kernel`.
 
-    \tparam InputRange 
+    \tparam InputRange
     must be a model of `ConstRange` whose iterator type is `RandomAccessIterator`.
 
-    \tparam PointMap 
-    must be an `LvaluePropertyMap` whose key type is the value type of the input 
+    \tparam PointMap
+    must be an `LvaluePropertyMap` whose key type is the value type of the input
     range and value type is `Kernel::Point_2` or `Kernel::Point_3`.
 
     \cgalModels `NeighborQuery`
   */
   template<
-  typename GeomTraits, 
-  typename InputRange, 
+  typename GeomTraits,
+  typename InputRange,
   typename PointMap>
   class K_neighbor_query {
 
@@ -73,38 +73,38 @@ namespace Point_set {
     using Point_map = PointMap;
 
     using Point = typename Point_map::value_type;
-    
-    using Index_to_point_map = 
+
+    using Index_to_point_map =
     internal::Item_property_map<Input_range, Point_map>;
 
     using Search_base = typename std::conditional<
-      std::is_same<typename Traits::Point_2, Point>::value, 
-      CGAL::Search_traits_2<Traits>, 
+      std::is_same<typename Traits::Point_2, Point>::value,
+      CGAL::Search_traits_2<Traits>,
       CGAL::Search_traits_3<Traits> >::type;
 
-    using Search_traits = 
+    using Search_traits =
     CGAL::Search_traits_adapter<std::size_t, Index_to_point_map, Search_base>;
 
-    using Distance = 
+    using Distance =
     CGAL::Distance_adapter<
-      std::size_t, 
-      Index_to_point_map, 
+      std::size_t,
+      Index_to_point_map,
       CGAL::Euclidean_distance<Search_base> >;
 
-    using Splitter = 
+    using Splitter =
     CGAL::Sliding_midpoint<Search_traits>;
 
-    using Search_tree = 
+    using Search_tree =
     CGAL::Kd_tree<Search_traits, Splitter, CGAL::Tag_true>;
 
-    using Neighbor_search = 
+    using Neighbor_search =
     CGAL::Orthogonal_k_neighbor_search<
-      Search_traits, 
-      Distance, 
-      Splitter, 
+      Search_traits,
+      Distance,
+      Splitter,
       Search_tree>;
 
-    using Tree = 
+    using Tree =
     typename Neighbor_search::Tree;
     /// \endcond
 
@@ -114,22 +114,22 @@ namespace Point_set {
     /*!
       \brief initializes a Kd-tree with input points.
 
-      \param input_range 
+      \param input_range
       an instance of `InputRange` with 2D or 3D points
 
-      \param k 
+      \param k
       the number of returned neighbors per each query point. %Default is 12.
 
       \param point_map
-      an instance of `PointMap` that maps an item from `input_range` 
+      an instance of `PointMap` that maps an item from `input_range`
       to `Kernel::Point_2` or to `Kernel::Point_3`
 
       \pre `input_range.size() > 0`
       \pre `k > 0`
     */
     K_neighbor_query(
-      const InputRange& input_range, 
-      const std::size_t k = 12, 
+      const InputRange& input_range,
+      const std::size_t k = 12,
       const PointMap point_map = PointMap()) :
     m_input_range(input_range),
     m_number_of_neighbors(k),
@@ -140,7 +140,7 @@ namespace Point_set {
       boost::counting_iterator<std::size_t>(0),
       boost::counting_iterator<std::size_t>(m_input_range.size()),
       Splitter(),
-      Search_traits(m_index_to_point_map)) { 
+      Search_traits(m_index_to_point_map)) {
 
       CGAL_precondition(input_range.size() > 0);
       CGAL_precondition(k > 0);
@@ -151,12 +151,12 @@ namespace Point_set {
     /// @}
 
     /// \name Access
-    /// @{ 
+    /// @{
 
     /*!
       \brief implements `NeighborQuery::operator()()`.
 
-      This operator finds indices of the `k` closest points to the point with 
+      This operator finds indices of the `k` closest points to the point with
       the index `query_index` using a Kd-tree. These indices are returned in `neighbors`.
 
       \param query_index
@@ -168,18 +168,18 @@ namespace Point_set {
       \pre `query_index >= 0 && query_index < input_range.size()`
     */
     void operator()(
-      const std::size_t query_index, 
+      const std::size_t query_index,
       std::vector<std::size_t>& neighbors) const {
 
       CGAL_precondition(query_index >= 0);
       CGAL_precondition(query_index < m_input_range.size());
 
       Neighbor_search neighbor_search(
-        m_tree, 
-        get(m_index_to_point_map, query_index), 
-        static_cast<unsigned int>(m_number_of_neighbors), 
-        0, 
-        true, 
+        m_tree,
+        get(m_index_to_point_map, query_index),
+        static_cast<unsigned int>(m_number_of_neighbors),
+        0,
+        true,
         m_distance);
 
       neighbors.clear();
@@ -193,7 +193,7 @@ namespace Point_set {
 
     // Fields.
     const Input_range& m_input_range;
-    
+
     const std::size_t m_number_of_neighbors;
 
     const Point_map m_point_map;
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_line_fit_region.h 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_line_fit_region.h
--- 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_line_fit_region.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_line_fit_region.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_line_fit_region.h $
-// $Id: Least_squares_line_fit_region.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_line_fit_region.h $
+// $Id: Least_squares_line_fit_region.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -34,36 +34,37 @@ namespace CGAL {
 namespace Shape_detection {
 namespace Point_set {
 
-  /*! 
+  /*!
     \ingroup PkgShapeDetectionRGOnPoints
 
-    \brief Region type based on the quality of the least squares line 
+    \brief Region type based on the quality of the least squares line
     fit applied to 2D points.
 
-    This class fits a line to chunks of points in a 2D point set and controls 
-    the quality of this fit. If all quality conditions are satisfied, the chunk
-    is accepted as a valid region, otherwise rejected.
+    This class fits a line, using \ref PkgPrincipalComponentAnalysisDRef "PCA",
+    to chunks of points in a 2D point set and controls the quality of this fit.
+    If all quality conditions are satisfied, the chunk is accepted as a valid region,
+    otherwise rejected.
 
-    \tparam GeomTraits 
+    \tparam GeomTraits
     must be a model of `Kernel`.
 
-    \tparam InputRange 
+    \tparam InputRange
     must be a model of `ConstRange` whose iterator type is `RandomAccessIterator`.
 
-    \tparam PointMap 
-    must be an `LvaluePropertyMap` whose key type is the value type of the input 
+    \tparam PointMap
+    must be an `LvaluePropertyMap` whose key type is the value type of the input
     range and value type is `Kernel::Point_2`.
 
-    \tparam NormalMap 
-    must be an `LvaluePropertyMap` whose key type is the value type of the input 
+    \tparam NormalMap
+    must be an `LvaluePropertyMap` whose key type is the value type of the input
     range and value type is `Kernel::Vector_2`.
-    
+
     \cgalModels `RegionType`
   */
   template<
-  typename GeomTraits, 
-  typename InputRange, 
-  typename PointMap, 
+  typename GeomTraits,
+  typename InputRange,
+  typename PointMap,
   typename NormalMap>
   class Least_squares_line_fit_region {
 
@@ -71,7 +72,7 @@ namespace Point_set {
 
     /// \name Types
     /// @{
-    
+
     /// \cond SKIP_IN_MANUAL
     using Traits = GeomTraits;
     using Input_range = InputRange;
@@ -109,26 +110,26 @@ namespace Point_set {
     /*!
       \brief initializes all internal data structures.
 
-      \param input_range 
-      an instance of `InputRange` with 2D points and 
+      \param input_range
+      an instance of `InputRange` with 2D points and
       corresponding 2D normal vectors
 
-      \param distance_threshold 
+      \param distance_threshold
       the maximum distance from a point to a line. %Default is 1.
 
-      \param angle_threshold 
-      the maximum accepted angle in degrees between the normal of a point and 
+      \param angle_threshold
+      the maximum accepted angle in degrees between the normal of a point and
       the normal of a line. %Default is 25 degrees.
 
-      \param min_region_size 
+      \param min_region_size
       the minimum number of 2D points a region must have. %Default is 2.
 
       \param point_map
-      an instance of `PointMap` that maps an item from `input_range` 
+      an instance of `PointMap` that maps an item from `input_range`
       to `Kernel::Point_2`
 
       \param normal_map
-      an instance of `NormalMap` that maps an item from `input_range` 
+      an instance of `NormalMap` that maps an item from `input_range`
       to `Kernel::Vector_2`
 
       \param traits
@@ -140,12 +141,12 @@ namespace Point_set {
       \pre `min_region_size > 0`
     */
     Least_squares_line_fit_region(
-      const InputRange& input_range, 
-      const FT distance_threshold = FT(1), 
-      const FT angle_threshold = FT(25), 
-      const std::size_t min_region_size = 2, 
-      const PointMap point_map = PointMap(), 
-      const NormalMap normal_map = NormalMap(), 
+      const InputRange& input_range,
+      const FT distance_threshold = FT(1),
+      const FT angle_threshold = FT(25),
+      const std::size_t min_region_size = 2,
+      const PointMap point_map = PointMap(),
+      const NormalMap normal_map = NormalMap(),
       const GeomTraits traits = GeomTraits()) :
     m_input_range(input_range),
     m_distance_threshold(distance_threshold),
@@ -172,7 +173,7 @@ namespace Point_set {
     /// @}
 
     /// \name Access
-    /// @{ 
+    /// @{
 
     /*!
       \brief implements `RegionType::is_part_of_region()`.
@@ -193,7 +194,7 @@ namespace Point_set {
     */
     bool is_part_of_region(
       const std::size_t,
-      const std::size_t query_index, 
+      const std::size_t query_index,
       const std::vector<std::size_t>&) const {
 
       CGAL_precondition(query_index >= 0);
@@ -207,13 +208,13 @@ namespace Point_set {
       CGAL_precondition(normal_length > FT(0));
       const Vector_2 query_normal = normal / normal_length;
 
-      const FT distance_to_fitted_line = 
+      const FT distance_to_fitted_line =
       m_sqrt(m_squared_distance_2(query_point, m_line_of_best_fit));
-      
-      const FT cos_value = 
+
+      const FT cos_value =
       CGAL::abs(m_scalar_product_2(query_normal, m_normal_of_best_fit));
 
-      return (( distance_to_fitted_line <= m_distance_threshold ) && 
+      return (( distance_to_fitted_line <= m_distance_threshold ) &&
         ( cos_value >= m_normal_threshold ));
     }
 
@@ -245,24 +246,24 @@ namespace Point_set {
 
       CGAL_precondition(region.size() > 0);
       if (region.size() == 1) { // create new reference line and normal
-                    
+
         CGAL_precondition(region[0] >= 0);
         CGAL_precondition(region[0] < m_input_range.size());
 
-        // The best fit line will be a line through this point with 
+        // The best fit line will be a line through this point with
         // its normal being the point's normal.
         const auto& key = *(m_input_range.begin() + region[0]);
 
         const Point_2& point = get(m_point_map, key);
         const Vector_2& normal = get(m_normal_map, key);
-                    
+
         const FT normal_length = m_sqrt(m_squared_length_2(normal));
-        
+
         CGAL_precondition(normal_length > FT(0));
-        m_normal_of_best_fit = 
+        m_normal_of_best_fit =
         normal / normal_length;
-        
-        m_line_of_best_fit = 
+
+        m_line_of_best_fit =
         Line_2(point, m_normal_of_best_fit).perpendicular(point);
 
       } else { // update reference line and normal
@@ -283,22 +284,22 @@ namespace Point_set {
         Local_line_2 fitted_line;
         Local_point_2 fitted_centroid;
 
-        // The best fit line will be a line fitted to all region points with 
+        // The best fit line will be a line fitted to all region points with
         // its normal being perpendicular to the line.
         CGAL::linear_least_squares_fitting_2(
-          points.begin(), points.end(), 
-          fitted_line, fitted_centroid, 
-          CGAL::Dimension_tag<0>(), 
-          Local_traits(), 
+          points.begin(), points.end(),
+          fitted_line, fitted_centroid,
+          CGAL::Dimension_tag<0>(),
+          Local_traits(),
           CGAL::Eigen_diagonalize_traits<Local_FT, 2>());
-                    
-        m_line_of_best_fit = 
+
+        m_line_of_best_fit =
         Line_2(
-          static_cast<FT>(fitted_line.a()), 
-          static_cast<FT>(fitted_line.b()), 
+          static_cast<FT>(fitted_line.a()),
+          static_cast<FT>(fitted_line.b()),
           static_cast<FT>(fitted_line.c()));
-                    
-        const Vector_2 normal = 
+
+        const Vector_2 normal =
         m_line_of_best_fit.perpendicular(m_line_of_best_fit.point(0)).to_vector();
         const FT normal_length = m_sqrt(m_squared_length_2(normal));
 
@@ -310,17 +311,17 @@ namespace Point_set {
     /// @}
 
   private:
-        
+
     // Fields.
     const Input_range& m_input_range;
-            
+
     const FT m_distance_threshold;
     const FT m_normal_threshold;
     const std::size_t m_min_region_size;
 
     const Point_map m_point_map;
     const Normal_map m_normal_map;
-            
+
     const Squared_length_2 m_squared_length_2;
     const Squared_distance_2 m_squared_distance_2;
     const Scalar_product_2 m_scalar_product_2;
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_line_fit_sorting.h 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_line_fit_sorting.h
--- 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_line_fit_sorting.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_line_fit_sorting.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_line_fit_sorting.h $
-// $Id: Least_squares_line_fit_sorting.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_line_fit_sorting.h $
+// $Id: Least_squares_line_fit_sorting.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -35,25 +35,25 @@ namespace CGAL {
 namespace Shape_detection {
 namespace Point_set {
 
-  /*! 
+  /*!
     \ingroup PkgShapeDetectionRGOnPoints
 
     \brief Sorting of 2D points with respect to the local line fit quality.
 
-    Indices of 2D input points are sorted with respect to the quality of the 
+    Indices of 2D input points are sorted with respect to the quality of the
     least squares line fit applied to the neighboring points of each point.
 
-    \tparam GeomTraits 
+    \tparam GeomTraits
     must be a model of `Kernel`.
 
-    \tparam InputRange 
+    \tparam InputRange
     must be a model of `ConstRange` whose iterator type is `RandomAccessIterator`.
 
-    \tparam NeighborQuery 
+    \tparam NeighborQuery
     must be a model of `NeighborQuery`.
 
-    \tparam PointMap 
-    must be an `LvaluePropertyMap` whose key type is the value type of the input 
+    \tparam PointMap
+    must be an `LvaluePropertyMap` whose key type is the value type of the input
     range and value type is `Kernel::Point_2`.
   */
   template<
@@ -77,7 +77,7 @@ namespace Point_set {
     /// \endcond
 
     #ifdef DOXYGEN_RUNNING
-      /*! 
+      /*!
         an `LvaluePropertyMap` whose key and value type is `std::size_t`.
         This map provides an access to the ordered indices of input points.
       */
@@ -92,15 +92,15 @@ namespace Point_set {
     /*!
       \brief initializes all internal data structures.
 
-      \param input_range 
+      \param input_range
       an instance of `InputRange` with 2D points
 
-      \param neighbor_query 
-      an instance of `NeighborQuery` that is used internally to 
+      \param neighbor_query
+      an instance of `NeighborQuery` that is used internally to
       access point's neighbors
 
       \param point_map
-      an instance of `PointMap` that maps an item from `input_range` 
+      an instance of `PointMap` that maps an item from `input_range`
       to `Kernel::Point_2`
 
       \pre `input_range.size() > 0`
@@ -112,12 +112,12 @@ namespace Point_set {
     m_input_range(input_range),
     m_neighbor_query(neighbor_query),
     m_point_map(point_map),
-    m_to_local_converter() { 
-      
+    m_to_local_converter() {
+
       CGAL_precondition(input_range.size() > 0);
-      
+
       m_order.resize(m_input_range.size());
-      for (std::size_t i = 0; i < m_input_range.size(); ++i) 
+      for (std::size_t i = 0; i < m_input_range.size(); ++i)
         m_order[i] = i;
       m_scores.resize(m_input_range.size());
     }
@@ -131,7 +131,7 @@ namespace Point_set {
       \brief sorts indices of input points.
     */
     void sort() {
-      
+
       compute_scores();
       CGAL_postcondition(m_scores.size() > 0);
 
@@ -171,7 +171,7 @@ namespace Point_set {
       std::vector<Local_point_2> points;
 
       for (std::size_t i = 0; i < m_input_range.size(); ++i) {
-        
+
         neighbors.clear();
         m_neighbor_query(i, neighbors);
         neighbors.push_back(i);
@@ -191,10 +191,10 @@ namespace Point_set {
         Local_point_2 fitted_centroid;
 
         m_scores[i] = CGAL::linear_least_squares_fitting_2(
-          points.begin(), points.end(), 
-          fitted_line, fitted_centroid, 
-          CGAL::Dimension_tag<0>(), 
-          Local_traits(), 
+          points.begin(), points.end(),
+          fitted_line, fitted_centroid,
+          CGAL::Dimension_tag<0>(),
+          Local_traits(),
           CGAL::Eigen_diagonalize_traits<Local_FT, 2>());
       }
     }
@@ -203,7 +203,7 @@ namespace Point_set {
     const Input_range& m_input_range;
     Neighbor_query& m_neighbor_query;
     const Point_map m_point_map;
-    
+
     std::vector<std::size_t> m_order;
     std::vector<Local_FT> m_scores;
 
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_plane_fit_region.h 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_plane_fit_region.h
--- 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_plane_fit_region.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_plane_fit_region.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_plane_fit_region.h $
-// $Id: Least_squares_plane_fit_region.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_plane_fit_region.h $
+// $Id: Least_squares_plane_fit_region.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -34,36 +34,37 @@ namespace CGAL {
 namespace Shape_detection {
 namespace Point_set {
 
-  /*! 
+  /*!
     \ingroup PkgShapeDetectionRGOnPoints
 
-    \brief Region type based on the quality of the least squares plane 
+    \brief Region type based on the quality of the least squares plane
     fit applied to 3D points.
 
-    This class fits a plane to chunks of points in a 3D point set and controls 
-    the quality of this fit. If all quality conditions are satisfied, the chunk
-    is accepted as a valid region, otherwise rejected.
+    This class fits a plane, using \ref PkgPrincipalComponentAnalysisDRef "PCA",
+    to chunks of points in a 3D point set and controls the quality of this fit.
+    If all quality conditions are satisfied, the chunk is accepted as a valid region,
+    otherwise rejected.
 
-    \tparam GeomTraits 
+    \tparam GeomTraits
     must be a model of `Kernel`.
 
-    \tparam InputRange 
+    \tparam InputRange
     must be a model of `ConstRange` whose iterator type is `RandomAccessIterator`.
 
-    \tparam PointMap 
-    must be an `LvaluePropertyMap` whose key type is the value type of the input 
+    \tparam PointMap
+    must be an `LvaluePropertyMap` whose key type is the value type of the input
     range and value type is `Kernel::Point_3`.
 
-    \tparam NormalMap 
-    must be an `LvaluePropertyMap` whose key type is the value type of the input 
+    \tparam NormalMap
+    must be an `LvaluePropertyMap` whose key type is the value type of the input
     range and value type is `Kernel::Vector_3`.
-    
+
     \cgalModels `RegionType`
   */
   template<
-  typename GeomTraits, 
-  typename InputRange, 
-  typename PointMap, 
+  typename GeomTraits,
+  typename InputRange,
+  typename PointMap,
   typename NormalMap>
   class Least_squares_plane_fit_region {
 
@@ -109,26 +110,26 @@ namespace Point_set {
     /*!
       \brief initializes all internal data structures.
 
-      \param input_range 
-      an instance of `InputRange` with 3D points and 
+      \param input_range
+      an instance of `InputRange` with 3D points and
       corresponding 3D normal vectors
 
-      \param distance_threshold 
+      \param distance_threshold
       the maximum distance from a point to a plane. %Default is 1.
 
-      \param angle_threshold 
-      the maximum accepted angle in degrees between the normal of a point and 
+      \param angle_threshold
+      the maximum accepted angle in degrees between the normal of a point and
       the normal of a plane. %Default is 25 degrees.
 
-      \param min_region_size 
+      \param min_region_size
       the minimum number of 3D points a region must have. %Default is 3.
 
       \param point_map
-      an instance of `PointMap` that maps an item from `input_range` 
+      an instance of `PointMap` that maps an item from `input_range`
       to `Kernel::Point_3`
 
       \param normal_map
-      an instance of `NormalMap` that maps an item from `input_range` 
+      an instance of `NormalMap` that maps an item from `input_range`
       to `Kernel::Vector_3`
 
       \param traits
@@ -140,13 +141,13 @@ namespace Point_set {
       \pre `min_region_size > 0`
     */
     Least_squares_plane_fit_region(
-      const InputRange& input_range, 
-      const FT distance_threshold = FT(1), 
-      const FT angle_threshold = FT(25), 
-      const std::size_t min_region_size = 3, 
-      const PointMap point_map = PointMap(), 
-      const NormalMap normal_map = NormalMap(), 
-      const GeomTraits traits = GeomTraits()) : 
+      const InputRange& input_range,
+      const FT distance_threshold = FT(1),
+      const FT angle_threshold = FT(25),
+      const std::size_t min_region_size = 3,
+      const PointMap point_map = PointMap(),
+      const NormalMap normal_map = NormalMap(),
+      const GeomTraits traits = GeomTraits()) :
     m_input_range(input_range),
     m_distance_threshold(distance_threshold),
     m_normal_threshold(static_cast<FT>(
@@ -172,7 +173,7 @@ namespace Point_set {
     /// @}
 
     /// \name Access
-    /// @{ 
+    /// @{
 
     /*!
       \brief implements `RegionType::is_part_of_region()`.
@@ -193,7 +194,7 @@ namespace Point_set {
     */
     bool is_part_of_region(
       const std::size_t,
-      const std::size_t query_index, 
+      const std::size_t query_index,
       const std::vector<std::size_t>&) const {
 
       CGAL_precondition(query_index >= 0);
@@ -201,19 +202,19 @@ namespace Point_set {
 
       const auto& key = *(m_input_range.begin() + query_index);
       const Point_3& query_point = get(m_point_map, key);
-      
+
       const Vector_3& normal = get(m_normal_map, key);
       const FT normal_length = m_sqrt(m_squared_length_3(normal));
       CGAL_precondition(normal_length > FT(0));
       const Vector_3 query_normal = normal / normal_length;
 
-      const FT distance_to_fitted_plane = 
+      const FT distance_to_fitted_plane =
       m_sqrt(m_squared_distance_3(query_point, m_plane_of_best_fit));
-      
-      const FT cos_value = 
+
+      const FT cos_value =
       CGAL::abs(m_scalar_product_3(query_normal, m_normal_of_best_fit));
 
-      return (( distance_to_fitted_plane <= m_distance_threshold ) && 
+      return (( distance_to_fitted_plane <= m_distance_threshold ) &&
         ( cos_value >= m_normal_threshold ));
     }
 
@@ -245,24 +246,24 @@ namespace Point_set {
 
       CGAL_precondition(region.size() > 0);
       if (region.size() == 1) { // create new reference plane and normal
-                    
+
         CGAL_precondition(region[0] >= 0);
         CGAL_precondition(region[0] < m_input_range.size());
 
-        // The best fit plane will be a plane through this point with 
+        // The best fit plane will be a plane through this point with
         // its normal being the point's normal.
         const auto& key = *(m_input_range.begin() + region[0]);
 
         const Point_3& point = get(m_point_map, key);
         const Vector_3& normal = get(m_normal_map, key);
-                    
+
         const FT normal_length = m_sqrt(m_squared_length_3(normal));
-        
+
         CGAL_precondition(normal_length > FT(0));
-        m_normal_of_best_fit = 
+        m_normal_of_best_fit =
         normal / normal_length;
-        
-        m_plane_of_best_fit = 
+
+        m_plane_of_best_fit =
         Plane_3(point, m_normal_of_best_fit);
 
       } else { // update reference plane and normal
@@ -283,22 +284,22 @@ namespace Point_set {
         Local_plane_3 fitted_plane;
         Local_point_3 fitted_centroid;
 
-        // The best fit plane will be a plane fitted to all region points with 
+        // The best fit plane will be a plane fitted to all region points with
         // its normal being perpendicular to the plane.
         CGAL::linear_least_squares_fitting_3(
-          points.begin(), points.end(), 
-          fitted_plane, fitted_centroid, 
-          CGAL::Dimension_tag<0>(), 
-          Local_traits(), 
+          points.begin(), points.end(),
+          fitted_plane, fitted_centroid,
+          CGAL::Dimension_tag<0>(),
+          Local_traits(),
           CGAL::Eigen_diagonalize_traits<Local_FT, 3>());
-                    
-        m_plane_of_best_fit = 
+
+        m_plane_of_best_fit =
         Plane_3(
-          static_cast<FT>(fitted_plane.a()), 
-          static_cast<FT>(fitted_plane.b()), 
-          static_cast<FT>(fitted_plane.c()), 
+          static_cast<FT>(fitted_plane.a()),
+          static_cast<FT>(fitted_plane.b()),
+          static_cast<FT>(fitted_plane.c()),
           static_cast<FT>(fitted_plane.d()));
-                    
+
         const Vector_3 normal = m_plane_of_best_fit.orthogonal_vector();
         const FT normal_length = m_sqrt(m_squared_length_3(normal));
 
@@ -310,7 +311,7 @@ namespace Point_set {
     /// @}
 
   private:
-        
+
     // Fields.
     const Input_range& m_input_range;
 
@@ -320,7 +321,7 @@ namespace Point_set {
 
     const Point_map m_point_map;
     const Normal_map m_normal_map;
-            
+
     const Squared_length_3 m_squared_length_3;
     const Squared_distance_3 m_squared_distance_3;
     const Scalar_product_3 m_scalar_product_3;
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_plane_fit_sorting.h 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_plane_fit_sorting.h
--- 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_plane_fit_sorting.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_plane_fit_sorting.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_plane_fit_sorting.h $
-// $Id: Least_squares_plane_fit_sorting.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Least_squares_plane_fit_sorting.h $
+// $Id: Least_squares_plane_fit_sorting.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -35,25 +35,25 @@ namespace CGAL {
 namespace Shape_detection {
 namespace Point_set {
 
-  /*! 
+  /*!
     \ingroup PkgShapeDetectionRGOnPoints
 
     \brief Sorting of 3D points with respect to the local plane fit quality.
 
-    Indices of 3D input points are sorted with respect to the quality of the 
+    Indices of 3D input points are sorted with respect to the quality of the
     least squares plane fit applied to the neighboring points of each point.
 
-    \tparam GeomTraits 
+    \tparam GeomTraits
     must be a model of `Kernel`.
 
-    \tparam InputRange 
+    \tparam InputRange
     must be a model of `ConstRange` whose iterator type is `RandomAccessIterator`.
 
-    \tparam NeighborQuery 
+    \tparam NeighborQuery
     must be a model of `NeighborQuery`.
 
-    \tparam PointMap 
-    must be an `LvaluePropertyMap` whose key type is the value type of the input 
+    \tparam PointMap
+    must be an `LvaluePropertyMap` whose key type is the value type of the input
     range and value type is `Kernel::Point_3`.
   */
   template<
@@ -75,9 +75,9 @@ namespace Point_set {
     using Point_map = PointMap;
     using Seed_map = internal::Seed_property_map;
     /// \endcond
-    
+
     #ifdef DOXYGEN_RUNNING
-      /*! 
+      /*!
         an `LvaluePropertyMap` whose key and value type is `std::size_t`.
         This map provides an access to the ordered indices of input points.
       */
@@ -92,15 +92,15 @@ namespace Point_set {
     /*!
       \brief initializes all internal data structures.
 
-      \param input_range 
+      \param input_range
       an instance of `InputRange` with 3D points
 
-      \param neighbor_query 
-      an instance of `NeighborQuery` that is used internally to 
+      \param neighbor_query
+      an instance of `NeighborQuery` that is used internally to
       access point's neighbors
 
       \param point_map
-      an instance of `PointMap` that maps an item from `input_range` 
+      an instance of `PointMap` that maps an item from `input_range`
       to `Kernel::Point_3`
 
       \pre `input_range.size() > 0`
@@ -112,12 +112,12 @@ namespace Point_set {
     m_input_range(input_range),
     m_neighbor_query(neighbor_query),
     m_point_map(point_map),
-    m_to_local_converter() { 
-      
+    m_to_local_converter() {
+
       CGAL_precondition(input_range.size() > 0);
-      
+
       m_order.resize(m_input_range.size());
-      for (std::size_t i = 0; i < m_input_range.size(); ++i) 
+      for (std::size_t i = 0; i < m_input_range.size(); ++i)
         m_order[i] = i;
       m_scores.resize(m_input_range.size());
     }
@@ -131,7 +131,7 @@ namespace Point_set {
       \brief sorts indices of input points.
     */
     void sort() {
-      
+
       compute_scores();
       CGAL_postcondition(m_scores.size() > 0);
 
@@ -171,7 +171,7 @@ namespace Point_set {
       std::vector<Local_point_3> points;
 
       for (std::size_t i = 0; i < m_input_range.size(); ++i) {
-        
+
         neighbors.clear();
         m_neighbor_query(i, neighbors);
         neighbors.push_back(i);
@@ -191,10 +191,10 @@ namespace Point_set {
         Local_point_3 fitted_centroid;
 
         m_scores[i] = CGAL::linear_least_squares_fitting_3(
-          points.begin(), points.end(), 
-          fitted_plane, fitted_centroid, 
-          CGAL::Dimension_tag<0>(), 
-          Local_traits(), 
+          points.begin(), points.end(),
+          fitted_plane, fitted_centroid,
+          CGAL::Dimension_tag<0>(),
+          Local_traits(),
           CGAL::Eigen_diagonalize_traits<Local_FT, 3>());
       }
     }
@@ -203,7 +203,7 @@ namespace Point_set {
     const Input_range& m_input_range;
     Neighbor_query& m_neighbor_query;
     const Point_map m_point_map;
-    
+
     std::vector<std::size_t> m_order;
     std::vector<Local_FT> m_scores;
 
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Sphere_neighbor_query.h 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Sphere_neighbor_query.h
--- 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Sphere_neighbor_query.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Sphere_neighbor_query.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Sphere_neighbor_query.h $
-// $Id: Sphere_neighbor_query.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set/Sphere_neighbor_query.h $
+// $Id: Sphere_neighbor_query.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -42,32 +42,32 @@ namespace Point_set {
   /*!
     \ingroup PkgShapeDetectionRGOnPoints
 
-    \brief Fuzzy sphere neighbors search in a set of `Kernel::Point_2` 
+    \brief Fuzzy sphere neighbors search in a set of `Kernel::Point_2`
     or `Kernel::Point_3`.
 
     This class returns all neighbors of a query point, which fall in a sphere of
     the fixed radius centered at this point.
 
-    \tparam GeomTraits 
+    \tparam GeomTraits
     must be a model of `Kernel`.
 
-    \tparam InputRange 
+    \tparam InputRange
     must be a model of `ConstRange` whose iterator type is `RandomAccessIterator`.
 
-    \tparam PointMap 
-    must be an `LvaluePropertyMap` whose key type is the value type of the input 
+    \tparam PointMap
+    must be an `LvaluePropertyMap` whose key type is the value type of the input
     range and value type is `Kernel::Point_2` or `Kernel::Point_3`.
 
     \cgalModels `NeighborQuery`
   */
   template<
-  typename GeomTraits, 
-  typename InputRange, 
+  typename GeomTraits,
+  typename InputRange,
   typename PointMap>
   class Sphere_neighbor_query {
 
   public:
-            
+
     /// \name Types
     /// @{
 
@@ -83,27 +83,27 @@ namespace Point_set {
     typedef typename GeomTraits::FT FT;
 
     /// \cond SKIP_IN_MANUAL
-    using Index_to_point_map = 
+    using Index_to_point_map =
     internal::Item_property_map<Input_range, Point_map>;
 
     using Search_base = typename std::conditional<
-      std::is_same<typename Traits::Point_2, Point>::value, 
-      CGAL::Search_traits_2<Traits>, 
+      std::is_same<typename Traits::Point_2, Point>::value,
+      CGAL::Search_traits_2<Traits>,
       CGAL::Search_traits_3<Traits> >::type;
-                    
-    using Search_traits = 
+
+    using Search_traits =
     CGAL::Search_traits_adapter<std::size_t, Index_to_point_map, Search_base>;
-      
-    using Splitter = 
+
+    using Splitter =
     CGAL::Sliding_midpoint<Search_traits>;
-      
-    using Fuzzy_sphere 
+
+    using Fuzzy_sphere
     = CGAL::Fuzzy_sphere<Search_traits>;
-      
-    using Tree 
+
+    using Tree
     = CGAL::Kd_tree<Search_traits, Splitter, CGAL::Tag_true>;
     /// \endcond
-                
+
     /// @}
 
     /// \name Initialization
@@ -112,23 +112,23 @@ namespace Point_set {
     /*!
       \brief initializes a Kd-tree with input points.
 
-      \param input_range 
+      \param input_range
       an instance of `InputRange` with 2D or 3D points
 
-      \param sphere_radius 
-      the fixed radius of the fuzzy sphere used for searching neighbors 
+      \param sphere_radius
+      the fixed radius of the fuzzy sphere used for searching neighbors
       of a query point. %Default is 1.
 
       \param point_map
-      an instance of `PointMap` that maps an item from `input_range` 
+      an instance of `PointMap` that maps an item from `input_range`
       to `Kernel::Point_2` or to `Kernel::Point_3`
 
       \pre `input_range.size() > 0`
       \pre `sphere_radius > 0`
     */
     Sphere_neighbor_query(
-      const InputRange& input_range, 
-      const FT sphere_radius = FT(1), 
+      const InputRange& input_range,
+      const FT sphere_radius = FT(1),
       const PointMap point_map = PointMap()) :
     m_input_range(input_range),
     m_sphere_radius(sphere_radius),
@@ -138,7 +138,7 @@ namespace Point_set {
       boost::counting_iterator<std::size_t>(0),
       boost::counting_iterator<std::size_t>(m_input_range.size()),
       Splitter(),
-      Search_traits(m_index_to_point_map)) { 
+      Search_traits(m_index_to_point_map)) {
 
       CGAL_precondition(input_range.size() > 0);
       CGAL_precondition(sphere_radius > FT(0));
@@ -149,7 +149,7 @@ namespace Point_set {
     /// @}
 
     /// \name Access
-    /// @{ 
+    /// @{
 
     /*!
       \brief implements `NeighborQuery::operator()()`.
@@ -167,18 +167,18 @@ namespace Point_set {
       \pre `query_index >= 0 && query_index < input_range.size()`
     */
     void operator()(
-      const std::size_t query_index, 
+      const std::size_t query_index,
       std::vector<std::size_t>& neighbors) const {
-                
+
       CGAL_precondition(query_index >= 0);
       CGAL_precondition(query_index < m_input_range.size());
-      
+
       const std::size_t sphere_center = query_index;
-      
+
       const Fuzzy_sphere sphere(
-        sphere_center, 
-        m_sphere_radius, 
-        FT(0), 
+        sphere_center,
+        m_sphere_radius,
+        FT(0),
         m_tree.traits());
 
       neighbors.clear();
@@ -191,7 +191,7 @@ namespace Point_set {
 
     // Fields.
     const Input_range& m_input_range;
-    
+
     const FT m_sphere_radius;
 
     const Point_map m_point_map;
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set.h 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set.h
--- 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_point_set.h $
 // $Id: Region_growing_on_point_set.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/Least_squares_plane_fit_region.h 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/Least_squares_plane_fit_region.h
--- 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/Least_squares_plane_fit_region.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/Least_squares_plane_fit_region.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/Least_squares_plane_fit_region.h $
-// $Id: Least_squares_plane_fit_region.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/Least_squares_plane_fit_region.h $
+// $Id: Least_squares_plane_fit_region.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -42,35 +42,36 @@
 namespace CGAL {
 namespace Shape_detection {
 namespace Polygon_mesh {
-  
+
   /*!
     \ingroup PkgShapeDetectionRGOnMesh
 
-    \brief Region type based on the quality of the least squares plane 
+    \brief Region type based on the quality of the least squares plane
     fit applied to faces of a polygon mesh.
 
-    This class fits a plane to chunks of faces in a polygon mesh and controls 
-    the quality of this fit. If all quality conditions are satisfied, the chunk
-    is accepted as a valid region, otherwise rejected.
+    This class fits a plane, using \ref PkgPrincipalComponentAnalysisDRef "PCA",
+    to chunks of faces in a polygon mesh and controls the quality of this fit.
+    If all quality conditions are satisfied, the chunk is accepted as a valid region,
+    otherwise rejected.
 
-    \tparam GeomTraits 
+    \tparam GeomTraits
     must be a model of `Kernel`.
 
-    \tparam PolygonMesh 
+    \tparam PolygonMesh
     must be a model of `FaceListGraph`.
 
-    \tparam FaceRange 
-    must be a model of `ConstRange` whose iterator type is `RandomAccessIterator` and 
+    \tparam FaceRange
+    must be a model of `ConstRange` whose iterator type is `RandomAccessIterator` and
     value type is the face type of a polygon mesh.
 
-    \tparam VertexToPointMap 
+    \tparam VertexToPointMap
     must be an `LvaluePropertyMap` whose key type is the vertex type of a polygon mesh and
     value type is `Kernel::Point_3`.
-    
+
     \cgalModels `RegionType`
   */
   template<
-  typename GeomTraits, 
+  typename GeomTraits,
   typename PolygonMesh,
   typename FaceRange = typename PolygonMesh::Face_range,
   typename VertexToPointMap = typename boost::property_map<PolygonMesh, CGAL::vertex_point_t>::type>
@@ -97,6 +98,7 @@ namespace Polygon_mesh {
     using Squared_length_3 = typename Traits::Compute_squared_length_3;
     using Squared_distance_3 = typename Traits::Compute_squared_distance_3;
     using Scalar_product_3 = typename Traits::Compute_scalar_product_3;
+    using Cross_product_3 = typename Traits::Construct_cross_product_vector_3;
 
     using Get_sqrt = internal::Get_sqrt<Traits>;
     using Sqrt = typename Get_sqrt::Sqrt;
@@ -116,21 +118,21 @@ namespace Polygon_mesh {
     /*!
       \brief initializes all internal data structures.
 
-      \param pmesh 
+      \param pmesh
       an instance of `PolygonMesh` that represents a polygon mesh
 
-      \param distance_threshold 
+      \param distance_threshold
       the maximum distance from the furthest vertex of a face to a plane. %Default is 1.
 
-      \param angle_threshold 
-      the maximum accepted angle in degrees between the normal of a face and 
+      \param angle_threshold
+      the maximum accepted angle in degrees between the normal of a face and
       the normal of a plane. %Default is 25 degrees.
 
-      \param min_region_size 
+      \param min_region_size
       the minimum number of faces a region must have. %Default is 1.
-      
-      \param vertex_to_point_map 
-      an instance of `VertexToPointMap` that maps a polygon mesh 
+
+      \param vertex_to_point_map
+      an instance of `VertexToPointMap` that maps a polygon mesh
       vertex to `Kernel::Point_3`
 
       \param traits
@@ -143,10 +145,10 @@ namespace Polygon_mesh {
     */
     Least_squares_plane_fit_region(
       const PolygonMesh& pmesh,
-      const FT distance_threshold = FT(1), 
-      const FT angle_threshold = FT(25), 
-      const std::size_t min_region_size = 1, 
-      const VertexToPointMap vertex_to_point_map = VertexToPointMap(), 
+      const FT distance_threshold = FT(1),
+      const FT angle_threshold = FT(25),
+      const std::size_t min_region_size = 1,
+      const VertexToPointMap vertex_to_point_map = VertexToPointMap(),
       const GeomTraits traits = GeomTraits()) :
     m_face_graph(pmesh),
     m_face_range(faces(m_face_graph)),
@@ -160,6 +162,7 @@ namespace Polygon_mesh {
     m_squared_length_3(traits.compute_squared_length_3_object()),
     m_squared_distance_3(traits.compute_squared_distance_3_object()),
     m_scalar_product_3(traits.compute_scalar_product_3_object()),
+    m_cross_product_3(traits.construct_cross_product_vector_3_object()),
     m_sqrt(Get_sqrt::sqrt_object(traits)),
     m_to_local_converter() {
 
@@ -173,7 +176,7 @@ namespace Polygon_mesh {
     /// @}
 
     /// \name Access
-    /// @{ 
+    /// @{
 
     /*!
       \brief implements `RegionType::is_part_of_region()`.
@@ -194,24 +197,28 @@ namespace Polygon_mesh {
     */
     bool is_part_of_region(
       const std::size_t,
-      const std::size_t query_index, 
+      const std::size_t query_index,
       const std::vector<std::size_t>&) const {
 
       CGAL_precondition(query_index >= 0);
       CGAL_precondition(query_index < m_face_range.size());
 
       const auto face = *(m_face_range.begin() + query_index);
-                
+
       Vector_3 face_normal;
       get_face_normal(face, face_normal);
 
-      const FT distance_to_fitted_plane = 
+      const FT distance_to_fitted_plane =
       get_max_face_distance(face);
-      
-      const FT cos_value = 
-      CGAL::abs(m_scalar_product_3(face_normal, m_normal_of_best_fit));
+      if (distance_to_fitted_plane < FT(0))
+        return false;
 
-      return (( distance_to_fitted_plane <= m_distance_threshold ) && 
+      // The sign of this scalar product is important, as it indicates
+      // into which side of the plane the face's normal points.
+      const FT cos_value =
+      m_scalar_product_3(face_normal, m_normal_of_best_fit);
+
+      return (( distance_to_fitted_plane <= m_distance_threshold ) &&
         ( cos_value >= m_normal_threshold ));
     }
 
@@ -232,7 +239,7 @@ namespace Polygon_mesh {
     /*!
       \brief implements `RegionType::update()`.
 
-      This function fits the least squares plane to all vertices of the faces 
+      This function fits the least squares plane to all vertices of the faces
       from the `region`.
 
       \param region
@@ -248,7 +255,7 @@ namespace Polygon_mesh {
         CGAL_precondition(region[0] >= 0);
         CGAL_precondition(region[0] < m_face_range.size());
 
-        // The best fit plane will be a plane through this face centroid with 
+        // The best fit plane will be a plane through this face centroid with
         // its normal being the face's normal.
         const auto face = *(m_face_range.begin() + region[0]);
         Point_3 face_centroid;
@@ -256,7 +263,7 @@ namespace Polygon_mesh {
         get_face_centroid(face, face_centroid);
         get_face_normal(face, m_normal_of_best_fit);
 
-        m_plane_of_best_fit = 
+        m_plane_of_best_fit =
         Plane_3(face_centroid, m_normal_of_best_fit);
 
       } else { // update reference plane and normal
@@ -272,7 +279,7 @@ namespace Polygon_mesh {
 
           const auto vertices = vertices_around_face(hedge, m_face_graph);
           for (const auto vertex : vertices) {
-                            
+
             const Point_3& tmp_point = get(m_vertex_to_point_map, vertex);
             points.push_back(m_to_local_converter(tmp_point));
           }
@@ -284,25 +291,63 @@ namespace Polygon_mesh {
 
         // The best fit plane will be a plane fitted to all vertices of all
         // region faces with its normal being perpendicular to the plane.
+        // Given that the points, and no normals, are used in estimating
+        // the plane, the estimated normal will point into an arbitray
+        // one of the two possible directions.
+        // We flip it into the correct direction (the one that the majority
+        // of faces agree with) below.
+        // This fix is proposed by nh2:
+        // https://github.com/CGAL/cgal/pull/4563
         CGAL::linear_least_squares_fitting_3(
-          points.begin(), points.end(), 
-          fitted_plane, fitted_centroid, 
-          CGAL::Dimension_tag<0>(), 
-          Local_traits(), 
+          points.begin(), points.end(),
+          fitted_plane, fitted_centroid,
+          CGAL::Dimension_tag<0>(),
+          Local_traits(),
           CGAL::Eigen_diagonalize_traits<Local_FT, 3>());
 
-        m_plane_of_best_fit = 
+        const Plane_3 unoriented_plane_of_best_fit =
         Plane_3(
-          static_cast<FT>(fitted_plane.a()), 
-          static_cast<FT>(fitted_plane.b()), 
-          static_cast<FT>(fitted_plane.c()), 
+          static_cast<FT>(fitted_plane.a()),
+          static_cast<FT>(fitted_plane.b()),
+          static_cast<FT>(fitted_plane.c()),
           static_cast<FT>(fitted_plane.d()));
 
-        const Vector_3 normal = m_plane_of_best_fit.orthogonal_vector();
-        const FT normal_length = m_sqrt(m_squared_length_3(normal));
+        Vector_3 unoriented_plane_normal =
+        unoriented_plane_of_best_fit.orthogonal_vector();
+
+        const FT squared_length = m_squared_length_3(unoriented_plane_normal);
+        if (squared_length != FT(0)) {
+          const FT normal_length = m_sqrt(squared_length);
+          CGAL_precondition(normal_length > FT(0));
+          unoriented_plane_normal /= normal_length;
+        }
+
+        // Compute actual direction of plane's normal sign
+        // based on faces belonging to that region.
+        // Approach:
+        // Each face gets one vote to keep or flip the current plane normal.
+        Vector_3 face_normal;
+        long votes_to_keep_normal = 0;
+
+        for (const std::size_t face_index : region) {
+          const auto face = *(m_face_range.begin() + face_index);
+
+          get_face_normal(face, face_normal);
+          const bool agrees =
+          m_scalar_product_3(face_normal, unoriented_plane_normal) > FT(0);
+          votes_to_keep_normal += (agrees ? 1 : -1);
+        }
+        const bool flip_normal = (votes_to_keep_normal < 0);
 
-        CGAL_precondition(normal_length > FT(0));
-        m_normal_of_best_fit = normal / normal_length;
+        m_plane_of_best_fit =
+        flip_normal
+          ? unoriented_plane_of_best_fit.opposite()
+          : unoriented_plane_of_best_fit;
+
+        m_normal_of_best_fit =
+        flip_normal
+          ? (-1 * unoriented_plane_normal)
+          : unoriented_plane_normal;
       }
     }
 
@@ -310,9 +355,9 @@ namespace Polygon_mesh {
 
   private:
 
-    template<typename Face>  
+    template<typename Face>
     void get_face_centroid(
-      const Face& face, 
+      const Face& face,
       Point_3& face_centroid) const {
 
       const auto hedge = halfedge(face, m_face_graph);
@@ -324,7 +369,7 @@ namespace Polygon_mesh {
       FT x = FT(0);
       FT y = FT(0);
       FT z = FT(0);
-                
+
       for (const auto vertex : vertices) {
         const Point_3& point = get(m_vertex_to_point_map, vertex);
 
@@ -334,7 +379,7 @@ namespace Polygon_mesh {
 
         sum += FT(1);
       }
-      
+
       CGAL_precondition(sum > FT(0));
       x /= sum;
       y /= sum;
@@ -345,7 +390,7 @@ namespace Polygon_mesh {
 
     template<typename Face>
     void get_face_normal(
-      const Face& face, 
+      const Face& face,
       Vector_3& face_normal) const {
 
       // Compute normal of the face.
@@ -359,30 +404,43 @@ namespace Polygon_mesh {
       const Point_3& point2 = get(m_vertex_to_point_map, *vertex); ++vertex;
       const Point_3& point3 = get(m_vertex_to_point_map, *vertex);
 
-      const Vector_3 tmp_normal = CGAL::normal(point1, point2, point3);
-      const FT tmp_normal_length = m_sqrt(m_squared_length_3(tmp_normal));
-
-      CGAL_precondition(tmp_normal_length > FT(0));
-      face_normal = tmp_normal / tmp_normal_length;
+      const Vector_3 u = point2 - point1;
+      const Vector_3 v = point3 - point1;
+      face_normal = m_cross_product_3(u, v);
+      const FT squared_length = m_squared_length_3(face_normal);
+      if (squared_length == FT(0))
+        return;
+
+      const FT normal_length = m_sqrt(squared_length);
+      CGAL_precondition(normal_length > FT(0));
+      face_normal /= normal_length;
     }
 
     // The maximum distance from the vertices of the face to the best fit plane.
     template<typename Face>
     FT get_max_face_distance(const Face& face) const {
 
+      const FT a = CGAL::abs(m_plane_of_best_fit.a());
+      const FT b = CGAL::abs(m_plane_of_best_fit.b());
+      const FT c = CGAL::abs(m_plane_of_best_fit.c());
+      const FT d = CGAL::abs(m_plane_of_best_fit.d());
+
+      if (a == FT(0) && b == FT(0) && c == FT(0) && d == FT(0))
+        return -FT(1);
+
       const auto hedge = halfedge(face, m_face_graph);
       const auto vertices = vertices_around_face(hedge, m_face_graph);
 
       FT max_face_distance = -FT(1);
       for (const auto vertex : vertices) {
-        
-        const Point_3& point = 
+
+        const Point_3& point =
         get(m_vertex_to_point_map, vertex);
 
-        const FT distance = 
+        const FT distance =
         m_sqrt(m_squared_distance_3(point, m_plane_of_best_fit));
-        
-        max_face_distance = 
+
+        max_face_distance =
         (CGAL::max)(distance, max_face_distance);
       }
       CGAL_postcondition(max_face_distance != -FT(1));
@@ -397,12 +455,13 @@ namespace Polygon_mesh {
     const FT m_distance_threshold;
     const FT m_normal_threshold;
     const std::size_t m_min_region_size;
-            
+
     const Vertex_to_point_map m_vertex_to_point_map;
 
     const Squared_length_3 m_squared_length_3;
     const Squared_distance_3 m_squared_distance_3;
     const Scalar_product_3 m_scalar_product_3;
+    const Cross_product_3 m_cross_product_3;
     const Sqrt m_sqrt;
 
     const To_local_converter m_to_local_converter;
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/Least_squares_plane_fit_sorting.h 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/Least_squares_plane_fit_sorting.h
--- 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/Least_squares_plane_fit_sorting.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/Least_squares_plane_fit_sorting.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/Least_squares_plane_fit_sorting.h $
-// $Id: Least_squares_plane_fit_sorting.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/Least_squares_plane_fit_sorting.h $
+// $Id: Least_squares_plane_fit_sorting.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -48,28 +48,28 @@ namespace Polygon_mesh {
 
     \brief Sorting of polygon mesh faces with respect to the local plane fit quality.
 
-    Indices of faces in a polygon mesh are sorted with respect to the quality of the 
+    Indices of faces in a polygon mesh are sorted with respect to the quality of the
     least squares plane fit applied to the vertices of neighboring faces of each face.
 
-    \tparam GeomTraits 
+    \tparam GeomTraits
     must be a model of `Kernel`.
 
-    \tparam PolygonMesh 
+    \tparam PolygonMesh
     must be a model of `FaceListGraph`.
 
-    \tparam NeighborQuery 
+    \tparam NeighborQuery
     must be a model of `NeighborQuery`.
 
-    \tparam FaceRange 
-    must be a model of `ConstRange` whose iterator type is `RandomAccessIterator` and 
+    \tparam FaceRange
+    must be a model of `ConstRange` whose iterator type is `RandomAccessIterator` and
     value type is the face type of a polygon mesh.
 
-    \tparam VertexToPointMap 
+    \tparam VertexToPointMap
     must be an `LvaluePropertyMap` whose key type is the vertex type of a polygon mesh and
     value type is `Kernel::Point_3`.
   */
   template<
-  typename GeomTraits, 
+  typename GeomTraits,
   typename PolygonMesh,
   typename NeighborQuery,
   typename FaceRange = typename PolygonMesh::Face_range,
@@ -91,7 +91,7 @@ namespace Polygon_mesh {
     /// \endcond
 
     #ifdef DOXYGEN_RUNNING
-      /*! 
+      /*!
         an `LvaluePropertyMap` whose key and value type is `std::size_t`.
         This map provides an access to the ordered indices of polygon mesh faces.
       */
@@ -106,15 +106,15 @@ namespace Polygon_mesh {
     /*!
       \brief initializes all internal data structures.
 
-      \param pmesh 
+      \param pmesh
       an instance of `PolygonMesh` that represents a polygon mesh
 
-      \param neighbor_query 
-      an instance of `NeighborQuery` that is used internally to 
+      \param neighbor_query
+      an instance of `NeighborQuery` that is used internally to
       access face's neighbors
 
-      \param vertex_to_point_map 
-      an instance of `VertexToPointMap` that maps a polygon mesh 
+      \param vertex_to_point_map
+      an instance of `VertexToPointMap` that maps a polygon mesh
       vertex to `Kernel::Point_3`
 
       \pre `faces(pmesh).size() > 0`
@@ -146,7 +146,7 @@ namespace Polygon_mesh {
       \brief sorts indices of polygon mesh faces.
     */
     void sort() {
-      
+
       compute_scores();
       CGAL_postcondition(m_scores.size() > 0);
 
@@ -186,12 +186,12 @@ namespace Polygon_mesh {
       std::vector<Local_point_3> points;
 
       for (std::size_t i = 0; i < m_face_range.size(); ++i) {
-        
+
         neighbors.clear();
         m_neighbor_query(i, neighbors);
         neighbors.push_back(i);
 
-        points.clear();  
+        points.clear();
         for (std::size_t j = 0; j < neighbors.size(); ++j) {
 
           CGAL_precondition(neighbors[j] >= 0);
@@ -202,7 +202,7 @@ namespace Polygon_mesh {
 
           const auto vertices = vertices_around_face(hedge, m_face_graph);
           for (const auto vertex : vertices) {
-                            
+
             const auto& tmp_point = get(m_vertex_to_point_map, vertex);
             points.push_back(m_to_local_converter(tmp_point));
           }
@@ -213,10 +213,10 @@ namespace Polygon_mesh {
         Local_point_3 fitted_centroid;
 
         m_scores[i] = CGAL::linear_least_squares_fitting_3(
-          points.begin(), points.end(), 
-          fitted_plane, fitted_centroid, 
-          CGAL::Dimension_tag<0>(), 
-          Local_traits(), 
+          points.begin(), points.end(),
+          fitted_plane, fitted_centroid,
+          CGAL::Dimension_tag<0>(),
+          Local_traits(),
           CGAL::Eigen_diagonalize_traits<Local_FT, 3>());
       }
     }
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/One_ring_neighbor_query.h 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/One_ring_neighbor_query.h
--- 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/One_ring_neighbor_query.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/One_ring_neighbor_query.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/One_ring_neighbor_query.h $
-// $Id: One_ring_neighbor_query.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh/One_ring_neighbor_query.h $
+// $Id: One_ring_neighbor_query.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -40,20 +40,20 @@ namespace Polygon_mesh {
 
     \brief Edge-adjacent faces connectivity in a polygon mesh.
 
-    This class returns all faces, which are edge-adjacent to a query face in a 
+    This class returns all faces, which are edge-adjacent to a query face in a
     polygon mesh being a `PolygonMesh`.
 
-    \tparam PolygonMesh 
+    \tparam PolygonMesh
     must be a model of `FaceListGraph`.
 
-    \tparam FaceRange 
-    must be a model of `ConstRange` whose iterator type is `RandomAccessIterator` and 
+    \tparam FaceRange
+    must be a model of `ConstRange` whose iterator type is `RandomAccessIterator` and
     value type is the face type of a polygon mesh.
 
     \cgalModels `NeighborQuery`
   */
   template<
-  typename PolygonMesh, 
+  typename PolygonMesh,
   typename FaceRange = typename PolygonMesh::Face_range>
   class One_ring_neighbor_query {
 
@@ -63,7 +63,7 @@ namespace Polygon_mesh {
     using Face_graph = PolygonMesh;
     using Face_range = FaceRange;
 
-    using Face_to_index_map 
+    using Face_to_index_map
     = internal::Item_to_index_property_map<Face_range>;
     /// \endcond
 
@@ -73,7 +73,7 @@ namespace Polygon_mesh {
     /*!
       \brief initializes all internal data structures.
 
-      \param pmesh 
+      \param pmesh
       an instance of a `PolygonMesh` that represents a polygon mesh
 
       \pre `faces(pmesh).size() > 0`
@@ -82,7 +82,7 @@ namespace Polygon_mesh {
       const PolygonMesh& pmesh) :
     m_face_graph(pmesh),
     m_face_range(faces(m_face_graph)),
-    m_face_to_index_map(m_face_range) { 
+    m_face_to_index_map(m_face_range) {
 
       CGAL_precondition(m_face_range.size() > 0);
     }
@@ -90,13 +90,13 @@ namespace Polygon_mesh {
     /// @}
 
     /// \name Access
-    /// @{ 
+    /// @{
 
     /*!
       \brief implements `NeighborQuery::operator()()`.
 
-      This operator retrieves indices of all faces, 
-      which are edge-adjacent to the face with the index `query_index`. 
+      This operator retrieves indices of all faces,
+      which are edge-adjacent to the face with the index `query_index`.
       These indices are returned in `neighbors`.
 
       \param query_index
@@ -108,7 +108,7 @@ namespace Polygon_mesh {
       \pre `query_index >= 0 && query_index < faces(pmesh).size()`
     */
     void operator()(
-      const std::size_t query_index, 
+      const std::size_t query_index,
       std::vector<std::size_t>& neighbors) const {
 
       neighbors.clear();
@@ -122,7 +122,7 @@ namespace Polygon_mesh {
       const auto faces = faces_around_face(query_hedge, m_face_graph);
       for (const auto face : faces) {
         const std::size_t face_index = get(m_face_to_index_map, face);
-        
+
         if (face_index != std::size_t(-1)) // not a null face
           neighbors.push_back(face_index);
       }
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh.h 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh.h
--- 5.0.2-3/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Region_growing/Region_growing_on_polygon_mesh.h $
 // $Id: Region_growing_on_polygon_mesh.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Shape_detection/Region_growing.h 5.0.3-1/include/CGAL/Shape_detection/Region_growing.h
--- 5.0.2-3/include/CGAL/Shape_detection/Region_growing.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection/Region_growing.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection/Region_growing.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection/Region_growing.h $
 // $Id: Region_growing.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Shape_detection_3.h 5.0.3-1/include/CGAL/Shape_detection_3.h
--- 5.0.2-3/include/CGAL/Shape_detection_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection_3.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection_3.h $
-// $Id: Shape_detection_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection_3.h $
+// $Id: Shape_detection_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -25,7 +25,7 @@
 #define CGAL_DEPRECATED_MESSAGE_DETAILS \
   "CGAL::Shape_detection_3 namespace has been replaced by the namespace "\
   "CGAL::Shape_detection."
-  
+
 #include <CGAL/internal/deprecation_warning.h>
 
 namespace CGAL {
diff -pruN 5.0.2-3/include/CGAL/Shape_detection.h 5.0.3-1/include/CGAL/Shape_detection.h
--- 5.0.2-3/include/CGAL/Shape_detection.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Shape_detection.h	2020-08-01 19:02:51.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Shape_detection/include/CGAL/Shape_detection.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Shape_detection/include/CGAL/Shape_detection.h $
 // $Id: Shape_detection.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/sibson_gradient_fitting.h 5.0.3-1/include/CGAL/sibson_gradient_fitting.h
--- 5.0.2-3/include/CGAL/sibson_gradient_fitting.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/sibson_gradient_fitting.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interpolation/include/CGAL/sibson_gradient_fitting.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interpolation/include/CGAL/sibson_gradient_fitting.h $
 // $Id: sibson_gradient_fitting.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Side_of_bounded_square_2.h 5.0.3-1/include/CGAL/Side_of_bounded_square_2.h
--- 5.0.2-3/include/CGAL/Side_of_bounded_square_2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Side_of_bounded_square_2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Side_of_bounded_square_2.h $
-// $Id: Side_of_bounded_square_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Side_of_bounded_square_2.h $
+// $Id: Side_of_bounded_square_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
diff -pruN 5.0.2-3/include/CGAL/Side_of_oriented_square_2.h 5.0.3-1/include/CGAL/Side_of_oriented_square_2.h
--- 5.0.2-3/include/CGAL/Side_of_oriented_square_2.h	2020-02-21 20:04:15.000000000 +0000
+++ 5.0.3-1/include/CGAL/Side_of_oriented_square_2.h	2020-08-01 19:02:50.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Segment_Delaunay_graph_Linf_2/include/CGAL/Side_of_oriented_square_2.h $
-// $Id: Side_of_oriented_square_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Segment_Delaunay_graph_Linf_2/include/CGAL/Side_of_oriented_square_2.h $
+// $Id: Side_of_oriented_square_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Panagiotis Cheilaris, Sandeep Kumar Dey, Evanthia Papadopoulou
 //philaris@gmail.com, sandeep.kr.dey@gmail.com, evanthia.papadopoulou@usi.ch
@@ -86,7 +86,7 @@ namespace CGAL {
           Comparison_result cytr = compare_y_2(t,r);
 
           // if t equals any one of p,q,r return zero
-	  if (((cxtp == EQUAL) && (cytp == EQUAL)) ||
+          if (((cxtp == EQUAL) && (cytp == EQUAL)) ||
               ((cxtq == EQUAL) && (cytq == EQUAL)) ||
               ((cxtr == EQUAL) && (cytr == EQUAL))   )
           {
@@ -122,21 +122,21 @@ namespace CGAL {
                return (Oriented_side)
                  (((int) orientation_Linf(r,q,t)) *
                   ((int) side_of_bounded_square_2(r,q,t,p)) ) ;
-	    }
+            }
             if ((cxtq != EQUAL) && (cytq != EQUAL)
                 && (! (orientation_Linf(p,r,t)==DEGENERATE))) {
                // p r t q
                return (Oriented_side)
                  (((int) orientation_Linf(p,r,t)) *
                   ((int) side_of_bounded_square_2(p,r,t,q)) ) ;
-	    }
+            }
             if ((cxtr != EQUAL) && (cytr != EQUAL)
                 && (! (orientation_Linf(q,p,t)==DEGENERATE))) {
                // q p t r
                return (Oriented_side)
                  (((int) orientation_Linf(q,p,t)) *
                   ((int) side_of_bounded_square_2(q,p,t,r)) ) ;
-	    }
+            }
             CGAL_SDG_DEBUG(std::cout << "debug side_of_os about to return "
               << "ON_ORIENTED_BOUNDARY" << std::endl;);
             return ON_ORIENTED_BOUNDARY;
diff -pruN 5.0.2-3/include/CGAL/Side_of_triangle_mesh.h 5.0.3-1/include/CGAL/Side_of_triangle_mesh.h
--- 5.0.2-3/include/CGAL/Side_of_triangle_mesh.h	2020-02-21 20:03:55.000000000 +0000
+++ 5.0.3-1/include/CGAL/Side_of_triangle_mesh.h	2020-08-01 19:02:41.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polygon_mesh_processing/include/CGAL/Side_of_triangle_mesh.h $
-// $Id: Side_of_triangle_mesh.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polygon_mesh_processing/include/CGAL/Side_of_triangle_mesh.h $
+// $Id: Side_of_triangle_mesh.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sebastien Loriot and Ilker O. Yaz
 
@@ -27,7 +27,7 @@
 
 namespace CGAL {
 
-/** 
+/**
  * \ingroup PkgPolygonMeshProcessingRef
  * This class provides an efficient point location functionality with respect to a domain bounded
  * by one or several disjoint closed triangle meshes.
@@ -179,7 +179,7 @@ public:
    * returns the location of a query point
    * @param point the query point to be located with respect to the input
             polyhedral surface
-   * @return 
+   * @return
    *   - `CGAL::ON_BOUNDED_SIDE` if the point is inside the volume bounded by the input triangle mesh
    *   - `CGAL::ON_BOUNDARY` if the point is on triangle mesh
    *   - `CGAL::ON_UNBOUNDED_SIDE` if the point is outside triangle mesh
diff -pruN 5.0.2-3/include/CGAL/Simple_cartesian.h 5.0.3-1/include/CGAL/Simple_cartesian.h
--- 5.0.2-3/include/CGAL/Simple_cartesian.h	2020-02-21 20:03:01.000000000 +0000
+++ 5.0.3-1/include/CGAL/Simple_cartesian.h	2020-08-01 19:02:17.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000-2004  
+// Copyright (c) 2000-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Cartesian_kernel/include/CGAL/Simple_cartesian.h $
-// $Id: Simple_cartesian.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Cartesian_kernel/include/CGAL/Simple_cartesian.h $
+// $Id: Simple_cartesian.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Herve Bronnimann, Sylvain Pion
 
diff -pruN 5.0.2-3/include/CGAL/Simple_circular_kernel_2.h 5.0.3-1/include/CGAL/Simple_circular_kernel_2.h
--- 5.0.2-3/include/CGAL/Simple_circular_kernel_2.h	2020-02-21 20:03:07.000000000 +0000
+++ 5.0.3-1/include/CGAL/Simple_circular_kernel_2.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,16 +3,16 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_2/include/CGAL/Simple_circular_kernel_2.h $
-// $Id: Simple_circular_kernel_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_2/include/CGAL/Simple_circular_kernel_2.h $
+// $Id: Simple_circular_kernel_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud, Sylvain Pion, Julien Hazebrouck, Pedro Machado
 
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SIMPLE_CIRCULAR_KERNEL_2_H
@@ -64,7 +64,7 @@ struct Circular_kernel_base_ref_count: p
   struct Handle { typedef T    type; };
 
   template < typename Kernel2 >
-  struct Base { typedef Circular_kernel_base_ref_count<Kernel2, LinearKernelBase, AlgebraicKernel>  Type; };  
+  struct Base { typedef Circular_kernel_base_ref_count<Kernel2, LinearKernelBase, AlgebraicKernel>  Type; };
 
   #define CGAL_Circular_Kernel_pred(Y,Z) \
     typedef CircularFunctors::Y<CircularKernel> Y; \
@@ -82,9 +82,9 @@ struct Circular_kernel_2
   <
   internal::Circular_kernel_base_ref_count
   < Circular_kernel_2<LinearKernel,AlgebraicKernel>,
-    typename LinearKernel:: template 
+    typename LinearKernel:: template
     Base<Circular_kernel_2<LinearKernel,AlgebraicKernel> >::Type,
-    AlgebraicKernel 
+    AlgebraicKernel
   >,
   Circular_kernel_2<LinearKernel,AlgebraicKernel>
   >
@@ -93,7 +93,7 @@ struct Circular_kernel_2
   // Please remove this if you consider it to be sloppy
   struct Circular_tag{};
   typedef Circular_tag Definition_tag;
-  //  
+  //
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Simple_homogeneous.h 5.0.3-1/include/CGAL/Simple_homogeneous.h
--- 5.0.2-3/include/CGAL/Simple_homogeneous.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Simple_homogeneous.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Homogeneous_kernel/include/CGAL/Simple_homogeneous.h $
-// $Id: Simple_homogeneous.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Homogeneous_kernel/include/CGAL/Simple_homogeneous.h $
+// $Id: Simple_homogeneous.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra, Sylvain Pion
- 
+
 #ifndef CGAL_SIMPLE_HOMOGENEOUS_H
 #define CGAL_SIMPLE_HOMOGENEOUS_H
 
diff -pruN 5.0.2-3/include/CGAL/Simple_polygon_visibility_2.h 5.0.3-1/include/CGAL/Simple_polygon_visibility_2.h
--- 5.0.2-3/include/CGAL/Simple_polygon_visibility_2.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Simple_polygon_visibility_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Visibility_2/include/CGAL/Simple_polygon_visibility_2.h $
-// $Id: Simple_polygon_visibility_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Visibility_2/include/CGAL/Simple_polygon_visibility_2.h $
+// $Id: Simple_polygon_visibility_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -27,12 +27,12 @@
 #include <CGAL/assertions.h>
 #include <stack>
 
-// TODO:  
-// * fix handle needles = O(nlogn)  
+// TODO:
+// * fix handle needles = O(nlogn)
 
 namespace CGAL {
 
-  template<class Arrangement_2_, class RegularizationCategory = CGAL::Tag_true> 
+  template<class Arrangement_2_, class RegularizationCategory = CGAL::Tag_true>
     class Simple_polygon_visibility_2 {
 
   public:
@@ -44,7 +44,7 @@ namespace CGAL {
   typedef typename K::Intersect_2                       Intersect_2;
 
   typedef typename Arrangement_2::Vertex_const_handle   Vertex_const_handle;
-  typedef typename Arrangement_2::Halfedge_const_handle       
+  typedef typename Arrangement_2::Halfedge_const_handle
   Halfedge_const_handle;
   typedef typename Arrangement_2::Halfedge_handle       Halfedge_handle;
   typedef typename Arrangement_2::Ccb_halfedge_const_circulator
@@ -67,7 +67,7 @@ namespace CGAL {
   Simple_polygon_visibility_2() : p_arr(nullptr), traits(nullptr) {}
 
   /*! Constructor given an arrangement and the Regularization tag. */
-  Simple_polygon_visibility_2(const Arrangement_2& arr): 
+  Simple_polygon_visibility_2(const Arrangement_2& arr):
   p_arr(&arr) {
     traits = p_arr->geometry_traits();
     point_location.attach(arr);
@@ -76,7 +76,7 @@ namespace CGAL {
     inserted_artificial_starting_vertex = false;
   }
 
-  
+
   std::string name() const { return std::string("S_visibility_2"); }
 
   /*! Method to check if the visibility object is attached or not to
@@ -114,8 +114,8 @@ namespace CGAL {
 
   /*! Computes the visibility object from the query point 'q' in the face
     'face' and constructs the output in 'out_arr'*/
-  template <typename VARR> 
-  typename VARR::Face_handle 
+  template <typename VARR>
+  typename VARR::Face_handle
   compute_visibility(const Point_2& q,
                      const Face_const_handle face,
                      VARR& out_arr) const
@@ -124,7 +124,7 @@ namespace CGAL {
     CGAL_precondition(!face->is_unbounded());
 
     out_arr.clear();
-    
+
     query_pt_is_vertex = false;
     query_pt_is_on_halfedge = false;
     inserted_artificial_starting_vertex = false;
@@ -146,12 +146,12 @@ namespace CGAL {
 
   /*! Computes the visibility region of the query point 'q' located on the
     halfedge 'he' and constructs the output in 'out_arr'*/
-  template <typename VARR> 
-  typename VARR::Face_handle 
+  template <typename VARR>
+  typename VARR::Face_handle
   compute_visibility(
-		     const Point_2& q, 
-		     const Halfedge_const_handle he,
-		     VARR& out_arr ) const
+                     const Point_2& q,
+                     const Halfedge_const_handle he,
+                     VARR& out_arr ) const
   {
 
     out_arr.clear();
@@ -206,7 +206,7 @@ namespace CGAL {
   mutable Arr_point_location point_location;
 
   /*! Stack of visibile points; manipulated when going through the sequence
-    of input vertices; contains the vertices of the visibility region after 
+    of input vertices; contains the vertices of the visibility region after
     the run of the algorithm*/
   mutable std::stack<Point_2> stack;
   /*! Sequence of input vertices*/
@@ -229,7 +229,7 @@ namespace CGAL {
     while(!stack.empty()) {
       const Point_2& top = stack.top();
       if (top != q || query_pt_is_vertex) {
-	points.push_back(top);
+        points.push_back(top);
       }
       stack.pop();
     }
@@ -241,45 +241,45 @@ namespace CGAL {
 
 
     // Quick fix for now. Can be done faster
-    bool is_degenerate = false; 
+    bool is_degenerate = false;
 
     for(typename std::vector<Point_2>::size_type i = 0; i < points.size()-2;i++){
       if(CGAL::orientation(points[i],points[i+1],points[i+2]) == CGAL::COLLINEAR){
-	is_degenerate = true;
-	break; 
+        is_degenerate = true;
+        break;
       }
     }
     if(is_degenerate){
       //std::cout << is_degenerate << std::endl;
       std::vector<Segment_2> segments;
-	
+
       for(typename std::vector<Point_2>::size_type i = 0;i < points.size() - 1; ++i)
-	{
-	  segments.push_back(Segment_2(points[i], points[i+1]));
-	}
+        {
+          segments.push_back(Segment_2(points[i], points[i+1]));
+        }
       CGAL::insert(out_arr, segments.begin(), segments.end());
     }else{
       points.pop_back();
-      //std::cout << " ordanary " << std::endl; 	
+      //std::cout << " ordanary " << std::endl;
       typename VARR::Vertex_handle v_last, v_first;
-      v_last = v_first = 
+      v_last = v_first =
         out_arr.insert_in_face_interior(points[0],out_arr.unbounded_face());
-	
+
       for(unsigned int i = 0; i < points.size()-1; i++){
-	if(points[i] < points[(i+1)]){
-	  v_last = out_arr.insert_from_left_vertex (
-						    Segment_2(points[i], points[i+1]), v_last
-						    )->target();
-	} else {
-	  v_last = out_arr.insert_from_right_vertex(
-						    Segment_2(points[i], points[i+1]), v_last
-						    )->target();
-	}        
+        if(points[i] < points[(i+1)]){
+          v_last = out_arr.insert_from_left_vertex (
+                                                    Segment_2(points[i], points[i+1]), v_last
+                                                    )->target();
+        } else {
+          v_last = out_arr.insert_from_right_vertex(
+                                                    Segment_2(points[i], points[i+1]), v_last
+                                                    )->target();
+        }
       }
       out_arr.insert_at_vertices(
-				 Segment_2(points.front(), points.back()),
-				 v_last, v_first
-				 );
+                                 Segment_2(points.front(), points.back()),
+                                 v_last, v_first
+                                 );
 
     }
 
@@ -298,7 +298,7 @@ namespace CGAL {
   }
 
 
-  /*! Finds a visible vertex from the query point 'q' in 'face' 
+  /*! Finds a visible vertex from the query point 'q' in 'face'
     to start the algorithm from*/
   Ccb_halfedge_const_circulator find_visible_start(Face_const_handle face,
                                                    const Point_2 &q) const
@@ -308,33 +308,33 @@ namespace CGAL {
     if(const Halfedge_const_handle* e =
        boost::get<Halfedge_const_handle>(&(result)))
       {
-	CGAL_assertion((*e)->face() == face);
-	Point_2 p(q.x(),
-		  traits->compute_y_at_x_2_object()(
-						    Line_2((*e)->source()->point(),
-							   (*e)->target()->point()) ,
-						    q.x()));
+        CGAL_assertion((*e)->face() == face);
+        Point_2 p(q.x(),
+                  traits->compute_y_at_x_2_object()(
+                                                    Line_2((*e)->source()->point(),
+                                                           (*e)->target()->point()) ,
+                                                    q.x()));
 
-	vertices.push_back(p);
-	inserted_artificial_starting_vertex = true;
+        vertices.push_back(p);
+        inserted_artificial_starting_vertex = true;
 
-	return (*e)->next()->ccb();
+        return (*e)->next()->ccb();
       }
     else if (const Vertex_const_handle* v =
-	     boost::get<Vertex_const_handle>(&(result)))
+             boost::get<Vertex_const_handle>(&(result)))
       {
-	Halfedge_around_vertex_const_circulator cir =
-	(*v)->incident_halfedges();
+        Halfedge_around_vertex_const_circulator cir =
+        (*v)->incident_halfedges();
 
-	while(face != cir->face()) {
-	  ++cir;
-	}
-	return cir->next()->ccb();
+        while(face != cir->face()) {
+          ++cir;
+        }
+        return cir->next()->ccb();
       }
     else
       {
-	CGAL_assertion_msg(false, "Should not be reachable.");
-	return Ccb_halfedge_const_circulator();
+        CGAL_assertion_msg(false, "Should not be reachable.");
+        return Ccb_halfedge_const_circulator();
       }
   }
 
@@ -366,45 +366,45 @@ namespace CGAL {
     Ray_2 ray_origin( q, vertices[0] );
     do {
       switch(upcase) {
-      case LEFT: 
-	left(i, w, q);
-	break;
+      case LEFT:
+        left(i, w, q);
+        break;
       case RIGHT:
-	right(i, w, q);
-	break;
+        right(i, w, q);
+        break;
       case SCANA:
-	scana(i, w, q);
-	break;
+        scana(i, w, q);
+        break;
       case SCANB:
-	scanb(i, w);
-	break;
+        scanb(i, w);
+        break;
       case SCANC:
-	scanc(i, w);
-	break;
+        scanc(i, w);
+        break;
       case SCAND:
-	scand(i, w);
-	break;
+        scand(i, w);
+        break;
       case FINISH:
-	break;
+        break;
       }
       if ( upcase == LEFT ) {
         Point_2 s_t = stack.top();
         stack.pop();
         if (traits->orientation_2_object()(q, vertices[0], stack.top() )
-	    == RIGHT_TURN
-	    &&
-	    traits->orientation_2_object()(q, vertices[0], s_t)
-	    == LEFT_TURN )
-	  {
-	    Segment_2 seg( stack.top(), s_t );
-	    if (Object_2 result = Intersect_2()(seg, ray_origin) )
-	      {
-		const Point_2 * ipoint = object_cast<Point_2>(&result);
-		CGAL_assertion( ipoint != nullptr );
-		s_t = *ipoint;
-		upcase = SCANB;
-	      }
-	  }
+            == RIGHT_TURN
+            &&
+            traits->orientation_2_object()(q, vertices[0], s_t)
+            == LEFT_TURN )
+          {
+            Segment_2 seg( stack.top(), s_t );
+            if (Object_2 result = Intersect_2()(seg, ray_origin) )
+              {
+                const Point_2 * ipoint = object_cast<Point_2>(&result);
+                CGAL_assertion( ipoint != nullptr );
+                s_t = *ipoint;
+                upcase = SCANB;
+              }
+          }
         stack.push( s_t );
       }
     } while(upcase != FINISH);
@@ -421,38 +421,38 @@ namespace CGAL {
       Point_2 s_t_prev = stack.top();
       stack.push( s_t );
       Orientation orient1 = traits->orientation_2_object()(
-							   q,
-							   vertices[i],
-							   vertices[i+1] );
+                                                           q,
+                                                           vertices[i],
+                                                           vertices[i+1] );
 
       if ( orient1 != RIGHT_TURN ) {
-	// Case L2
-	upcase = LEFT;
-	stack.push( vertices[i+1] );
-	w = vertices[i+1];
-	i++;
+        // Case L2
+        upcase = LEFT;
+        stack.push( vertices[i+1] );
+        w = vertices[i+1];
+        i++;
       } else {
-	Orientation orient2 = traits->orientation_2_object()(
-							     s_t_prev,
-							     vertices[i],
-							     vertices[i+1] );
-
-	if ( orient2 == RIGHT_TURN ) {
-	  // Case L3
-	  upcase = SCANA;
-	  w = vertices[i+1];
-	  i++;
-	} else {
-	  // Case L4
-	  upcase = RIGHT;
-	  w = vertices[i];
-	  i++;
-	}
-      } 
+        Orientation orient2 = traits->orientation_2_object()(
+                                                             s_t_prev,
+                                                             vertices[i],
+                                                             vertices[i+1] );
+
+        if ( orient2 == RIGHT_TURN ) {
+          // Case L3
+          upcase = SCANA;
+          w = vertices[i+1];
+          i++;
+        } else {
+          // Case L4
+          upcase = RIGHT;
+          w = vertices[i];
+          i++;
+        }
+      }
     }
   }
 
-  /*! Scans the stack such that all vertices that were pushed before to the 
+  /*! Scans the stack such that all vertices that were pushed before to the
     stack and are now not visible anymore. */
   void right(Size_type& i, Point_2& w, const Point_2& q) const {
     Point_2 s_j;
@@ -472,23 +472,23 @@ namespace CGAL {
 
       orient2 = traits->orientation_2_object()( q, s_j_prev, vertices[i]);
       if ( orient1 != LEFT_TURN && orient2 != RIGHT_TURN ) {
-	mode = 1;
-	break;
+        mode = 1;
+        break;
       }
 
       Segment_2 seg2( vertices[i-1], vertices[i] );
       Segment_2 seg( s_j_prev, s_j );
       if ( vertices[i-1] != s_j )
-	{
-	  Object_2 result = Intersect_2()( seg, seg2 );
-	  if(result) {
-	    const Point_2 * ipoint = object_cast<Point_2>(&result);
-	    CGAL_assertion( ipoint != nullptr );
-	    u = *ipoint;
-	    mode = 2;
-	    break;
-	  }
-	}
+        {
+          Object_2 result = Intersect_2()( seg, seg2 );
+          if(result) {
+            const Point_2 * ipoint = object_cast<Point_2>(&result);
+            CGAL_assertion( ipoint != nullptr );
+            u = *ipoint;
+            mode = 2;
+            break;
+          }
+        }
     }
 
     CGAL_assertion( mode != 0 );
@@ -496,54 +496,54 @@ namespace CGAL {
       orient1 = traits->orientation_2_object()(q, vertices[i], vertices[i+1] );
 
       orient2 = traits->orientation_2_object()(vertices[i-1],
-					       vertices[i],
-					       vertices[i+1] );
+                                               vertices[i],
+                                               vertices[i+1] );
 
       if ( orient1 == RIGHT_TURN ) {
-	// Case R1
-	// Since the next action is RIGHT, we do not compute the intersection
-	// of (s_j,s_j_prev) and the ray (query_pt, vertices[i]),
-	// thus, (s_j,s_j_prev) is not shortcutted, but it is harmless
-	upcase = RIGHT;
-	stack.push( s_j );
-	w = vertices[i];
-	i++;
+        // Case R1
+        // Since the next action is RIGHT, we do not compute the intersection
+        // of (s_j,s_j_prev) and the ray (query_pt, vertices[i]),
+        // thus, (s_j,s_j_prev) is not shortcutted, but it is harmless
+        upcase = RIGHT;
+        stack.push( s_j );
+        w = vertices[i];
+        i++;
       } else if ( orient2 == RIGHT_TURN ) {
-	// Case R2
-	Ray_2 ray( q, vertices[i] );
-	Segment_2 seg( s_j_prev, s_j );
-
-	Object_2 result = Intersect_2()( seg, ray );
-	const Point_2 * ipoint = object_cast<Point_2>(&result);
-
-	CGAL_assertion( ipoint != nullptr );
-
-	u = *ipoint;
-	if ( stack.top() != u ) {
-	  stack.push( u );
-	}
-	upcase = LEFT;
-	stack.push( vertices[i] );
-	stack.push( vertices[i+1] );
-	w = vertices[i+1];
-	i++;
+        // Case R2
+        Ray_2 ray( q, vertices[i] );
+        Segment_2 seg( s_j_prev, s_j );
+
+        Object_2 result = Intersect_2()( seg, ray );
+        const Point_2 * ipoint = object_cast<Point_2>(&result);
+
+        CGAL_assertion( ipoint != nullptr );
+
+        u = *ipoint;
+        if ( stack.top() != u ) {
+          stack.push( u );
+        }
+        upcase = LEFT;
+        stack.push( vertices[i] );
+        stack.push( vertices[i+1] );
+        w = vertices[i+1];
+        i++;
       } else {
-	// Case R3
-	Ray_2 ray( q, vertices[i] );
-	Segment_2 seg( s_j_prev, s_j );
-
-	Object_2 result = Intersect_2()( seg, ray );
-	const Point_2 * ipoint = object_cast<Point_2>(&result);
-
-	CGAL_assertion( ipoint != nullptr );
-
-	u = *ipoint;
-	if ( stack.top() != u ) {
-	  stack.push( u );
-	}
-	upcase = SCANC;
-	w = vertices[i];
-	i++;
+        // Case R3
+        Ray_2 ray( q, vertices[i] );
+        Segment_2 seg( s_j_prev, s_j );
+
+        Object_2 result = Intersect_2()( seg, ray );
+        const Point_2 * ipoint = object_cast<Point_2>(&result);
+
+        CGAL_assertion( ipoint != nullptr );
+
+        u = *ipoint;
+        if ( stack.top() != u ) {
+          stack.push( u );
+        }
+        upcase = SCANC;
+        w = vertices[i];
+        i++;
       }
     } else if ( mode == 2 ) {
       // Case R4
@@ -564,7 +564,7 @@ namespace CGAL {
 
     if ( orient1 == RIGHT_TURN ) {
       bool fwd = traits->
-	collinear_are_ordered_along_line_2_object()(q, stack.top(), u );
+        collinear_are_ordered_along_line_2_object()(q, stack.top(), u );
 
       if ( !fwd ) {
         // Case A1
@@ -631,15 +631,15 @@ namespace CGAL {
     }
     w = vertices[k+1];
   }
-  
+
   /*! Scan edges v_i,v_{i+1},...,v_n, until find an edge intersecting given ray
     or given segment. is_ray = true -> ray, false -> segment.
     The intersection point is returned by u */
   Size_type scan_edges( Size_type i,
-			const Point_2& ray_begin,
-			const Point_2& ray_end,
-			Point_2& u,
-			bool is_ray ) const
+                        const Point_2& ray_begin,
+                        const Point_2& ray_end,
+                        Point_2& u,
+                        bool is_ray ) const
   {
     Orientation old_orient = RIGHT_TURN;
     Ray_2 ray( ray_begin, ray_end );
@@ -648,20 +648,20 @@ namespace CGAL {
     Object_2 result;
     for ( k = i; k+1 < vertices.size(); k++ ) {
       Orientation curr_orient = traits->orientation_2_object()(
-							       ray_begin,
-							       ray_end,
-							       vertices[k+1] );
+                                                               ray_begin,
+                                                               ray_end,
+                                                               vertices[k+1] );
       if ( curr_orient != old_orient ) {
         // Orientation switch, an intersection may occur
         Segment_2 seg( vertices[k], vertices[k+1] );
         if ( is_ray ) {
-	  result = Intersect_2()( seg, ray );
-	  if(result)
-	    break;
+          result = Intersect_2()( seg, ray );
+          if(result)
+            break;
         } else {
-	  result = Intersect_2()( seg, s2 );
-	  if(result)
-	    break;
+          result = Intersect_2()( seg, s2 );
+          if(result)
+            break;
         }
       }
       old_orient = curr_orient;
diff -pruN 5.0.2-3/include/CGAL/Simple_spherical_kernel_3.h 5.0.3-1/include/CGAL/Simple_spherical_kernel_3.h
--- 5.0.2-3/include/CGAL/Simple_spherical_kernel_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Simple_spherical_kernel_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Simple_spherical_kernel_3.h $
-// $Id: Simple_spherical_kernel_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Simple_spherical_kernel_3.h $
+// $Id: Simple_spherical_kernel_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Sebastien Loriot, Julien Hazebrouck, Damien Leroy
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SIMPLE_SPHERICAL_KERNEL_3_H
@@ -39,33 +39,33 @@
 
 namespace CGAL {
   namespace internal {
-    
+
     template < class SphericalKernel, class LinearKernelBase >
       struct Spherical_kernel_base_no_ref_count: public LinearKernelBase
-				 // takes classes in internal sub-namespace
+                                 // takes classes in internal sub-namespace
       {
         typedef internal::Circular_arc_point_3<SphericalKernel>                        Circular_arc_point_3;
         typedef internal::Line_arc_3<SphericalKernel>                                  Line_arc_3;
         typedef internal::Circular_arc_3<SphericalKernel>                              Circular_arc_3;
-       
+
         // The mechanism that allows to specify reference-counting or not.
         template < typename T >
         struct Handle { typedef T    type; };
 
         #define CGAL_Spherical_Kernel_pred(Y,Z) typedef SphericalFunctors::Y<SphericalKernel> Y; \
-	    Y Z() const { return Y(); }
+            Y Z() const { return Y(); }
         #define CGAL_Spherical_Kernel_cons(Y,Z) CGAL_Spherical_Kernel_pred(Y,Z)
         #define CGAL_Spherical_Kernel_overload_cons(Y,Z) CGAL_Spherical_Kernel_pred(Y,Z)
         #define CGAL_Spherical_Kernel_overload_pred(Y,Z) CGAL_Spherical_Kernel_pred(Y,Z)
-        
+
         #define CGAL_Spherical_Kernel_pred_on_sphere(Y,Z) typedef SphericalFunctors::Y<SphericalKernel> Y; \
-	    Y Z(const CGAL::Sphere_3<SphericalKernel>& S) const { return Y(S); }
-        
-        
-        
+            Y Z(const CGAL::Sphere_3<SphericalKernel>& S) const { return Y(S); }
+
+
+
         #include <CGAL/Circular_kernel_3/interface_macros.h>
       };
-    
+
   } // namespace internal
 
   template < class LinearKernel, class AlgebraicKernel >
@@ -101,7 +101,7 @@ namespace CGAL {
 
       // public classes
       typedef CGAL::Object Object_3;
-  
+
     };
 
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/simplest_rational_in_interval.h 5.0.3-1/include/CGAL/simplest_rational_in_interval.h
--- 5.0.2-3/include/CGAL/simplest_rational_in_interval.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/simplest_rational_in_interval.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2002  
+// Copyright (c) 2002
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/simplest_rational_in_interval.h $
-// $Id: simplest_rational_in_interval.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/simplest_rational_in_interval.h $
+// $Id: simplest_rational_in_interval.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/simple_transformations_d.h 5.0.3-1/include/CGAL/simple_transformations_d.h
--- 5.0.2-3/include/CGAL/simple_transformations_d.h	2020-02-21 20:03:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/simple_transformations_d.h	2020-08-01 19:02:28.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2000,2001  
+// Copyright (c) 2000,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_d/include/CGAL/simple_transformations_d.h $
-// $Id: simple_transformations_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_d/include/CGAL/simple_transformations_d.h $
+// $Id: simple_transformations_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel
 
diff -pruN 5.0.2-3/include/CGAL/Sixtuple.h 5.0.3-1/include/CGAL/Sixtuple.h
--- 5.0.2-3/include/CGAL/Sixtuple.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sixtuple.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999,2001  
+// Copyright (c) 1999,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Sixtuple.h $
-// $Id: Sixtuple.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Sixtuple.h $
+// $Id: Sixtuple.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/Skin_surface_3.h 5.0.3-1/include/CGAL/Skin_surface_3.h
--- 5.0.2-3/include/CGAL/Skin_surface_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Skin_surface_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/Skin_surface_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/Skin_surface_3.h $
 // $Id: Skin_surface_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Skin_surface_base_3.h 5.0.3-1/include/CGAL/Skin_surface_base_3.h
--- 5.0.2-3/include/CGAL/Skin_surface_base_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Skin_surface_base_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/Skin_surface_base_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/Skin_surface_base_3.h $
 // $Id: Skin_surface_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Skin_surface_filtered_traits_3.h 5.0.3-1/include/CGAL/Skin_surface_filtered_traits_3.h
--- 5.0.2-3/include/CGAL/Skin_surface_filtered_traits_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Skin_surface_filtered_traits_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/Skin_surface_filtered_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/Skin_surface_filtered_traits_3.h $
 // $Id: Skin_surface_filtered_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Skin_surface_marching_tetrahedra_observer_3.h 5.0.3-1/include/CGAL/Skin_surface_marching_tetrahedra_observer_3.h
--- 5.0.2-3/include/CGAL/Skin_surface_marching_tetrahedra_observer_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Skin_surface_marching_tetrahedra_observer_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/Skin_surface_marching_tetrahedra_observer_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/Skin_surface_marching_tetrahedra_observer_3.h $
 // $Id: Skin_surface_marching_tetrahedra_observer_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Skin_surface_polyhedral_items_3.h 5.0.3-1/include/CGAL/Skin_surface_polyhedral_items_3.h
--- 5.0.2-3/include/CGAL/Skin_surface_polyhedral_items_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Skin_surface_polyhedral_items_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/Skin_surface_polyhedral_items_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/Skin_surface_polyhedral_items_3.h $
 // $Id: Skin_surface_polyhedral_items_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Skin_surface_polyhedral_items_with_face_information.h 5.0.3-1/include/CGAL/Skin_surface_polyhedral_items_with_face_information.h
--- 5.0.2-3/include/CGAL/Skin_surface_polyhedral_items_with_face_information.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Skin_surface_polyhedral_items_with_face_information.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/Skin_surface_polyhedral_items_with_face_information.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/Skin_surface_polyhedral_items_with_face_information.h $
 // $Id: Skin_surface_polyhedral_items_with_face_information.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Skin_surface_quadratic_surface_3.h 5.0.3-1/include/CGAL/Skin_surface_quadratic_surface_3.h
--- 5.0.2-3/include/CGAL/Skin_surface_quadratic_surface_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Skin_surface_quadratic_surface_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/Skin_surface_quadratic_surface_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/Skin_surface_quadratic_surface_3.h $
 // $Id: Skin_surface_quadratic_surface_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Skin_surface_refinement_policy_3.h 5.0.3-1/include/CGAL/Skin_surface_refinement_policy_3.h
--- 5.0.2-3/include/CGAL/Skin_surface_refinement_policy_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Skin_surface_refinement_policy_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/Skin_surface_refinement_policy_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/Skin_surface_refinement_policy_3.h $
 // $Id: Skin_surface_refinement_policy_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Skin_surface_traits_3.h 5.0.3-1/include/CGAL/Skin_surface_traits_3.h
--- 5.0.2-3/include/CGAL/Skin_surface_traits_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Skin_surface_traits_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/Skin_surface_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/Skin_surface_traits_3.h $
 // $Id: Skin_surface_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Skiplist.h 5.0.3-1/include/CGAL/Skiplist.h
--- 5.0.2-3/include/CGAL/Skiplist.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Skiplist.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Skiplist.h $
-// $Id: Skiplist.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Skiplist.h $
+// $Id: Skiplist.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Philipp Moeller
@@ -35,7 +35,7 @@ public:
   typedef const T& const_reference;
   typedef T*       pointer;
   typedef const T* const_pointer;
-  
+
 private:
   struct Node {
     explicit Node(const T& t) : t_(t) {}
@@ -70,7 +70,7 @@ public:
   typedef typename all_list::size_type size_type;
   typedef typename all_list::difference_type difference_type;
 
-  struct all_iterator : 
+  struct all_iterator :
     public boost::iterator_adaptor<
       all_iterator
     , typename all_list::iterator
@@ -79,14 +79,14 @@ public:
   {
   public:
     all_iterator() {}
-    all_iterator(typename all_list::iterator it) 
+    all_iterator(typename all_list::iterator it)
       : all_iterator::iterator_adaptor_(it) {}
   private:
     friend class boost::iterator_core_access;
     T& dereference() const { return this->base()->get(); }
   };
 
-  struct skip_iterator : 
+  struct skip_iterator :
     public boost::iterator_adaptor<
       skip_iterator
     , typename skip_list::iterator
@@ -95,19 +95,19 @@ public:
   {
   public:
     skip_iterator() {}
-    skip_iterator(typename skip_list::iterator it) 
+    skip_iterator(typename skip_list::iterator it)
       : skip_iterator::iterator_adaptor_(it) {}
     operator all_iterator() const { return all_list::s_iterator_to(*this->base()); }
   private:
     friend class boost::iterator_core_access;
     T& dereference() const { return this->base()->get(); }
   };
-  
+
   typedef boost::iterator_range<all_iterator>  all_range;
   typedef boost::iterator_range<skip_iterator> skip_range;
 
   Skiplist() {}
-  ~Skiplist() 
+  ~Skiplist()
   {
     clear();
   }
@@ -124,7 +124,7 @@ public:
 
   /// The semantics of front and back try to be consistent with
   /// push_back and push_front. Questionable.
-  
+
   /// Returns front of the skiplist
   const_reference
   front() const { return skip_.front().get(); }
@@ -140,13 +140,13 @@ public:
   /// Returns back of the skiplist
   reference
   back() { return skip_.back().get(); }
-  
-  all_iterator all_begin() 
-  { 
+
+  all_iterator all_begin()
+  {
     return all_.begin();
   }
-  all_iterator all_end() 
-  { 
+  all_iterator all_end()
+  {
     return all_.end();
   }
 
@@ -279,15 +279,15 @@ public:
     return all_.erase_and_dispose(it.base(), Node_disposer());
   }
 
-  void splice(skip_iterator pos, Skiplist& other, 
+  void splice(skip_iterator pos, Skiplist& other,
               skip_iterator first, skip_iterator last)
   {
-    all_iterator alllast = last == other.skip_end() ? 
+    all_iterator alllast = last == other.skip_end() ?
       other.all_.end() : other.all_.iterator_to(*last.base());
     all_iterator allpos = pos == skip_end() ?
       all_end() : all_.iterator_to(*pos.base());
-    
-    all_.splice(allpos.base(), other.all_, 
+
+    all_.splice(allpos.base(), other.all_,
                 other.all_.iterator_to(*first.base()), alllast.base());
     skip_.splice(pos.base(), other.skip_, first.base(), last.base());
   }
@@ -300,7 +300,7 @@ public:
 
   bool empty() const { return all_.empty(); }
 
-  void swap(Skiplist& other) 
+  void swap(Skiplist& other)
   {
     using std::swap;
     this->all_.swap(other.all_);
@@ -321,7 +321,7 @@ private:
 };
 
 template<typename T>
-void swap(Skiplist<T>& a, Skiplist<T>& b) 
+void swap(Skiplist<T>& a, Skiplist<T>& b)
 {
   a.swap(b);
 }
diff -pruN 5.0.2-3/include/CGAL/Small_side_angle_bisector_decomposition_2.h 5.0.3-1/include/CGAL/Small_side_angle_bisector_decomposition_2.h
--- 5.0.2-3/include/CGAL/Small_side_angle_bisector_decomposition_2.h	2020-02-21 20:03:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Small_side_angle_bisector_decomposition_2.h	2020-08-01 19:02:33.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Minkowski_sum_2/include/CGAL/Small_side_angle_bisector_decomposition_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Minkowski_sum_2/include/CGAL/Small_side_angle_bisector_decomposition_2.h $
 // $Id: Small_side_angle_bisector_decomposition_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Small_unordered_map.h 5.0.3-1/include/CGAL/Small_unordered_map.h
--- 5.0.2-3/include/CGAL/Small_unordered_map.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Small_unordered_map.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Small_unordered_map.h $
-// $Id: Small_unordered_map.h 0460176 2019-12-10T13:52:33+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Small_unordered_map.h $
+// $Id: Small_unordered_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri
@@ -18,7 +18,7 @@
 //#define CGAL_SMALL_UNORDERED_MAP_STATS
 namespace CGAL {
 
-  
+
 template <typename K, typename T, typename H, unsigned int M>
 class Small_unordered_map{
 #ifdef    CGAL_SMALL_UNORDERED_MAP_STATS
@@ -26,7 +26,7 @@ class Small_unordered_map{
 #endif
   int head = -2;
   mutable std::array<int, M>    occupied;
-  std::array<int, M>            unfreelist; 
+  std::array<int, M>            unfreelist;
   std::array<std::pair<K,T>, M> data;
   const H hash = {};
 
@@ -36,7 +36,7 @@ public:
     occupied.fill(-1);
   }
 
-#ifdef CGAL_SMALL_UNORDERED_MAP_STATS  
+#ifdef CGAL_SMALL_UNORDERED_MAP_STATS
   ~Small_unordered_map()
   {
     int total = 0;
@@ -47,18 +47,18 @@ public:
         std::cout << i << " " << collisions[i] << std::endl;
       }
     }
-    std::cout << "Total: " << total << " " << 100 * (double(total) / double(total + collisions[0])) << "%" << std::endl; 
+    std::cout << "Total: " << total << " " << 100 * (double(total) / double(total + collisions[0])) << "%" << std::endl;
   }
 #endif
-  
-  /// Set only once for a key and not more than N 
+
+  /// Set only once for a key and not more than N
   void set(const K& k, const T& t)
   {
     unsigned int h  = hash(k)%M;
     unsigned i = h;
-#ifdef CGAL_SMALL_UNORDERED_MAP_STATS    
+#ifdef CGAL_SMALL_UNORDERED_MAP_STATS
     int collision = 0;
-#endif     
+#endif
     do {
       if(occupied[i]== -1){
         occupied[i] = 1;
@@ -66,19 +66,19 @@ public:
         data[i].second = t;
         unfreelist[i] = head;
         head = i;
-#ifdef  CGAL_SMALL_UNORDERED_MAP_STATS        
+#ifdef  CGAL_SMALL_UNORDERED_MAP_STATS
         if(collision>19){
           std::cerr << collision << " collisions" << std::endl;
         }else{
           ++collisions[collision];
         }
-#endif        
+#endif
         return;
       }
       i = (i+1)%M;
-#ifdef CGAL_SMALL_UNORDERED_MAP_STATS   
+#ifdef CGAL_SMALL_UNORDERED_MAP_STATS
       ++collision;
-#endif      
+#endif
     }while(i != h);
     CGAL_error();
   }
@@ -130,7 +130,7 @@ public:
       pos = map.unfreelist[pos];
       return *this;
     }
-    
+
     const std::pair<K,T>& operator*()const
     {
       return map.data[pos];
@@ -151,7 +151,7 @@ public:
   {
     occupied[it.pos] = -1;
   }
-  
+
   friend struct iterator;
 };
 
diff -pruN 5.0.2-3/include/CGAL/Snap_rounding_2.h 5.0.3-1/include/CGAL/Snap_rounding_2.h
--- 5.0.2-3/include/CGAL/Snap_rounding_2.h	2020-02-21 20:04:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Snap_rounding_2.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Snap_rounding_2/include/CGAL/Snap_rounding_2.h $
-// $Id: Snap_rounding_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Snap_rounding_2/include/CGAL/Snap_rounding_2.h $
+// $Id: Snap_rounding_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -386,9 +386,9 @@ bool Hot_pixel<Traits_>::intersect_right
     Comparison_result c_source = compare_x(p_right, src);
 
     return (((seg_dir == SEG_LEFT || seg_dir == SEG_DOWN_LEFT ||
-	      seg_dir == SEG_UP_LEFT) && c_target != EQUAL) ||
+              seg_dir == SEG_UP_LEFT) && c_target != EQUAL) ||
             ((seg_dir == SEG_RIGHT || seg_dir == SEG_DOWN_RIGHT ||
-	      seg_dir == SEG_UP_RIGHT) && c_source != EQUAL));
+              seg_dir == SEG_UP_RIGHT) && c_source != EQUAL));
   }
   return false;
 }
@@ -416,7 +416,7 @@ bool Hot_pixel<Traits_>::intersect_bot(c
     Comparison_result c_source = compare_x(construct_vertex(seg, 0), p_right);
 
     return(c_p != EQUAL || (seg_dir == SEG_UP_LEFT && c_target != EQUAL) ||
-	   (seg_dir == SEG_DOWN_RIGHT && c_source != EQUAL));
+           (seg_dir == SEG_DOWN_RIGHT && c_source != EQUAL));
   } else if (assign(s,result))
     return(true);
   else
@@ -454,9 +454,9 @@ bool Hot_pixel<Traits_>::intersect_top(c
       return(false);// were checked
     else
       return(((seg_dir == SEG_DOWN || seg_dir == SEG_DOWN_LEFT ||
-	       seg_dir == SEG_DOWN_RIGHT) && c3 != EQUAL) ||
+               seg_dir == SEG_DOWN_RIGHT) && c3 != EQUAL) ||
              ((seg_dir == SEG_UP || seg_dir == SEG_UP_LEFT ||
-	       seg_dir == SEG_UP_RIGHT) && c4 != EQUAL));
+               seg_dir == SEG_UP_RIGHT) && c4 != EQUAL));
   }
   return(false);
 }
@@ -507,17 +507,17 @@ bool Hot_pixel_dir_cmp<Traits_>::operato
 
   // Point segment intersects only one pixel, thus ignored
   return((seg_dir == SEG_UP_RIGHT &&  (cx == SMALLER || (cx == EQUAL &&
-							 cy == SMALLER))) ||
-	 (seg_dir == SEG_UP_LEFT && (cx == LARGER || (cx == EQUAL &&
-						      cy == SMALLER))) ||
-	 (seg_dir == SEG_DOWN_RIGHT && (cx == SMALLER || (cx == EQUAL &&
-							  cy == LARGER))) ||
+                                                         cy == SMALLER))) ||
+         (seg_dir == SEG_UP_LEFT && (cx == LARGER || (cx == EQUAL &&
+                                                      cy == SMALLER))) ||
+         (seg_dir == SEG_DOWN_RIGHT && (cx == SMALLER || (cx == EQUAL &&
+                                                          cy == LARGER))) ||
          (seg_dir == SEG_DOWN_LEFT && (cx == LARGER || (cx == EQUAL &&
-							cy == LARGER))) ||
-	 (seg_dir == SEG_UP && cy == SMALLER) ||
+                                                        cy == LARGER))) ||
+         (seg_dir == SEG_UP && cy == SMALLER) ||
          (seg_dir == SEG_DOWN && cy == LARGER) ||
-	 (seg_dir == SEG_LEFT && cx == LARGER) ||
-	 (seg_dir == SEG_RIGHT && cx == SMALLER));
+         (seg_dir == SEG_LEFT && cx == LARGER) ||
+         (seg_dir == SEG_RIGHT && cx == SMALLER));
 }
 
 /*! */
diff -pruN 5.0.2-3/include/CGAL/Snap_rounding_kd_2.h 5.0.3-1/include/CGAL/Snap_rounding_kd_2.h
--- 5.0.2-3/include/CGAL/Snap_rounding_kd_2.h	2020-02-21 20:04:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Snap_rounding_kd_2.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Snap_rounding_2/include/CGAL/Snap_rounding_kd_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Snap_rounding_2/include/CGAL/Snap_rounding_kd_2.h $
 // $Id: Snap_rounding_kd_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Snap_rounding_traits_2.h 5.0.3-1/include/CGAL/Snap_rounding_traits_2.h
--- 5.0.2-3/include/CGAL/Snap_rounding_traits_2.h	2020-02-21 20:04:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Snap_rounding_traits_2.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Snap_rounding_2/include/CGAL/Snap_rounding_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Snap_rounding_2/include/CGAL/Snap_rounding_traits_2.h $
 // $Id: Snap_rounding_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/sorted_matrix_search.h 5.0.3-1/include/CGAL/sorted_matrix_search.h
--- 5.0.2-3/include/CGAL/sorted_matrix_search.h	2020-02-21 20:03:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/sorted_matrix_search.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Matrix_search/include/CGAL/sorted_matrix_search.h $
-// $Id: sorted_matrix_search.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Matrix_search/include/CGAL/sorted_matrix_search.h $
+// $Id: sorted_matrix_search.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 
@@ -148,7 +148,7 @@ sorted_matrix_search(InputIterator f, In
   using std::remove_if;
   using std::logical_or;
   using std::equal_to;
-  
+
   typedef typename Traits::Matrix                   Matrix;
   typedef typename Traits::Value                    Value;
   typedef Padded_matrix< Matrix >                   PaddedMatrix;
@@ -156,12 +156,12 @@ sorted_matrix_search(InputIterator f, In
   typedef std::vector< Cell >                       Cell_container;
   typedef typename Cell_container::iterator         Cell_iterator;
   // typedef typename Cell_container::reverse_iterator Cell_reverse_iterator;
-  
+
   Cell_container active_cells;
-  
+
   // set of input matrices must not be empty:
   CGAL_optimisation_precondition( f != l);
-  
+
   // for each input matrix insert a cell into active_cells:
   InputIterator i( f);
   int maxdim( -1);
@@ -175,33 +175,33 @@ sorted_matrix_search(InputIterator f, In
     ++i;
   }
   CGAL_optimisation_precondition( maxdim > 0);
-  
-  
+
+
   // current cell dimension:
   int ccd( 1);
   // set ccd to a power of two >= maxdim:
   while ( ccd < maxdim)
     ccd <<= 1;
-  
-  
-  
+
+
+
 
   // now start the search:
 
   for (;;) {
-  
+
     if ( ccd > 1) {
       // ------------------------------------------------------
       // divide cells:
       ccd >>= 1;
-    
-    
+
+
       // reserve is required here!
       // otherwise one of the insert operations might cause
       // a reallocation invalidating j
       // (should typically result in a segfault)
       // active_cells.reserve( 4 * active_cells.size());
-  
+
       for ( int j = static_cast<int>(active_cells.size()) - 1 ; j >= 0 ; -- j )
       {
       //for ( Cell_reverse_iterator j( active_cells.rbegin());
@@ -209,46 +209,46 @@ sorted_matrix_search(InputIterator f, In
       //      ++j) {
 
         Cell lRefCell = active_cells.at(j) ;
-        
+
         // upper-left quarter:
         // Cell( (*j).matrix(),
         //       (*j).x_min(),
         //       (*j).y_min()) remains in active_cells,
         // since it is implicitly shortened by decreasing ccd
-    
+
         // lower-left quarter:
         active_cells.push_back(
           Cell( lRefCell.matrix(),
                 lRefCell.x_min(),
                 lRefCell.y_min() + ccd));
-    
+
         // upper-right quarter:
         active_cells.push_back(
           Cell( lRefCell.matrix(),
                 lRefCell.x_min() + ccd,
                 lRefCell.y_min()));
-    
+
         // lower-right quarter:
         active_cells.push_back(
           Cell( lRefCell.matrix(),
                 lRefCell.x_min() + ccd,
                 lRefCell.y_min() + ccd));
-    
+
       } // for all active cells
     } // if ( ccd > 1)
     else if ( active_cells.size() <= 1) //!!! maybe handle <= 3
       break;
-      
+
     // there has to be at least one cell left:
     CGAL_optimisation_assertion( active_cells.size() > 0);
-    
+
     // ------------------------------------------------------
     // compute medians of smallest and largest elements:
-    
-    
+
+
     int lower_median_rank = static_cast<int>((active_cells.size() - 1) >> 1);
     int upper_median_rank = static_cast<int>(active_cells.size() >> 1);
-    
+
 
     // compute upper median of cell's minima:
     std::nth_element(active_cells.begin(),
@@ -257,12 +257,12 @@ sorted_matrix_search(InputIterator f, In
                 boost::bind(
                   t.compare_strictly(),
                   boost::bind(Cell_min<Cell>(), _1),
-		  boost::bind(Cell_min<Cell>(), _2)));
-    
+                  boost::bind(Cell_min<Cell>(), _2)));
+
     Cell_iterator lower_median_cell =
       active_cells.begin() + upper_median_rank;
     Value lower_median = (lower_median_cell->min)();
-    
+
     // compute lower median of cell's maxima:
     std::nth_element(active_cells.begin(),
                 active_cells.begin() + lower_median_rank,
@@ -271,11 +271,11 @@ sorted_matrix_search(InputIterator f, In
                   t.compare_strictly(),
                   boost::bind(Cell_max< Cell >(ccd), _1),
                   boost::bind(Cell_max< Cell >(ccd), _2)));
-    
+
     Cell_iterator upper_median_cell =
       active_cells.begin() + lower_median_rank;
     Value upper_median = (upper_median_cell->max)(ccd);
-    
+
     // restore lower_median_cell, if it has been displaced
     // by the second search
     if ((lower_median_cell->min)() != lower_median)
@@ -283,23 +283,23 @@ sorted_matrix_search(InputIterator f, In
         find_if(active_cells.begin(),
                 active_cells.end(),
                 boost::bind(
-		  equal_to< Value >(), 
-		  lower_median,
-		  boost::bind(Cell_min< Cell >(), _1)));
+                  equal_to< Value >(),
+                  lower_median,
+                  boost::bind(Cell_min< Cell >(), _1)));
     CGAL_optimisation_assertion(lower_median_cell != active_cells.end());
     // ------------------------------------------------------
     // test feasibility of medians and remove cells accordingly:
     Cell_iterator new_end;
-    
-    
+
+
     if ( t.is_feasible( lower_median))
       if ( t.is_feasible( upper_median)) {
         // lower_median and upper_median are feasible
-    
+
         // discard cells with all entries greater than
         // min( lower_median, upper_median) except for
         // one cell defining this minimum
-    
+
         Cell_iterator min_median_cell;
         Value min_median;
         if ( lower_median < upper_median) {
@@ -310,88 +310,88 @@ sorted_matrix_search(InputIterator f, In
           min_median_cell = upper_median_cell;
           min_median = upper_median;
         }
-    
+
         // save min_median_cell:
         iter_swap( min_median_cell, active_cells.begin());
-    
+
         new_end =
           remove_if(
             active_cells.begin() + 1,
             active_cells.end(),
             boost::bind(
-              t.compare_non_strictly(), 
-	      min_median,
+              t.compare_non_strictly(),
+              min_median,
               boost::bind(Cell_min< Cell >(), _1)));
-    
+
       } // lower_median and upper_median are feasible
       else { // lower_median is feasible, but upper_median is not
-    
+
         // discard cells with all entries greater than
         // lower_median or all entries smaller than
         // upper_median except for the lower median cell
-    
+
         // save lower_median_cell:
         iter_swap( lower_median_cell, active_cells.begin());
-    
+
         new_end =
           remove_if(
             active_cells.begin() + 1,
             active_cells.end(),
             boost::bind(
               logical_or< bool >(),
-	      boost::bind(
-	        t.compare_non_strictly(),
-		lower_median,
+              boost::bind(
+                t.compare_non_strictly(),
+                lower_median,
                 boost::bind(Cell_min< Cell >(), _1)),
-	      boost::bind(
+              boost::bind(
                   t.compare_non_strictly(),
                   boost::bind(Cell_max< Cell >( ccd), _1),
-		  upper_median)));
-    
+                  upper_median)));
+
       } // lower_median is feasible, but upper_median is not
     else
       if ( t.is_feasible( upper_median)) {
         // upper_median is feasible, but lower_median is not
-    
+
         // discard cells with all entries greater than
         // upper_median or all entries smaller than
         // lower_median except for the upper median cell
-    
+
         // save upper_median_cell:
         iter_swap( upper_median_cell, active_cells.begin());
-    
+
         new_end =
           remove_if(
             active_cells.begin() + 1,
             active_cells.end(),
-	    boost::bind(
+            boost::bind(
               logical_or< bool >(),
-	      boost::bind(
-		t.compare_non_strictly(),
-		upper_median,
+              boost::bind(
+                t.compare_non_strictly(),
+                upper_median,
                 boost::bind(Cell_min< Cell >(), _1)),
-	      boost::bind(
+              boost::bind(
                 t.compare_non_strictly(),
-		boost::bind(Cell_max< Cell >( ccd), _1),
-		lower_median)));
-    
+                boost::bind(Cell_max< Cell >( ccd), _1),
+                lower_median)));
+
       } // upper_median is feasible, but lower_median is not
       else { // both upper_median and lower_median are infeasible
-    
+
         // discard cells with all entries smaller than
         // max BOOST_PREVENT_MACRO_SUBSTITUTION ( lower_median, upper_median)
-    
+
         new_end =
           remove_if(
             active_cells.begin(),
             active_cells.end(),
             boost::bind(
               t.compare_non_strictly(),
-	      boost::bind(Cell_max< Cell >( ccd), _1),
-	      max BOOST_PREVENT_MACRO_SUBSTITUTION ( lower_median, upper_median)));
-    
+              boost::bind(Cell_max< Cell >( ccd), _1),
+              max BOOST_PREVENT_MACRO_SUBSTITUTION ( lower_median, upper_median)));
+
       } // both upper_median and lower_median are infeasible
-    
+
     active_cells.erase( new_end, active_cells.end());
   } // for (;;)
 
diff -pruN 5.0.2-3/include/CGAL/Sorted_matrix_search_traits_adaptor.h 5.0.3-1/include/CGAL/Sorted_matrix_search_traits_adaptor.h
--- 5.0.2-3/include/CGAL/Sorted_matrix_search_traits_adaptor.h	2020-02-21 20:03:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sorted_matrix_search_traits_adaptor.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Matrix_search/include/CGAL/Sorted_matrix_search_traits_adaptor.h $
-// $Id: Sorted_matrix_search_traits_adaptor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Matrix_search/include/CGAL/Sorted_matrix_search_traits_adaptor.h $
+// $Id: Sorted_matrix_search_traits_adaptor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 
diff -pruN 5.0.2-3/include/CGAL/Spatial_lock_grid_3.h 5.0.3-1/include/CGAL/Spatial_lock_grid_3.h
--- 5.0.2-3/include/CGAL/Spatial_lock_grid_3.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Spatial_lock_grid_3.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Spatial_lock_grid_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Spatial_lock_grid_3.h $
 // $Id: Spatial_lock_grid_3.h 3560053 2020-01-21T10:05:19+01:00 Maxime Gimeno
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/spatial_sort.h 5.0.3-1/include/CGAL/spatial_sort.h
--- 5.0.2-3/include/CGAL/spatial_sort.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/spatial_sort.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/spatial_sort.h $
-// $Id: spatial_sort.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/spatial_sort.h $
+// $Id: spatial_sort.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Christophe Delage
@@ -32,12 +32,12 @@ namespace internal {
     template <class RandomAccessIterator, class Policy, class Kernel>
     void spatial_sort (
                        RandomAccessIterator begin, RandomAccessIterator end,
-                       const Kernel &k, 
-		       Policy /*policy*/,
-		       typename Kernel::Point_2 *,
-		       std::ptrdiff_t threshold_hilbert,
-		       std::ptrdiff_t threshold_multiscale,
-		       double ratio)
+                       const Kernel &k,
+                       Policy /*policy*/,
+                       typename Kernel::Point_2 *,
+                       std::ptrdiff_t threshold_hilbert,
+                       std::ptrdiff_t threshold_multiscale,
+                       double ratio)
     {
       typedef std::iterator_traits<RandomAccessIterator> Iterator_traits;
       typedef typename Iterator_traits::difference_type Diff_t;
@@ -46,23 +46,23 @@ namespace internal {
         boost::random_number_generator<boost::rand48, Diff_t> rng(random);
         CGAL::cpp98::random_shuffle(begin,end,rng);
 
-	if (threshold_hilbert==0) threshold_hilbert=4;
-	if (threshold_multiscale==0) threshold_multiscale=16;
-	if (ratio==0.0) ratio=0.25;
+        if (threshold_hilbert==0) threshold_hilbert=4;
+        if (threshold_multiscale==0) threshold_multiscale=16;
+        if (ratio==0.0) ratio=0.25;
 
-        (Multiscale_sort<Sort> (Sort (k, threshold_hilbert), 
-				threshold_multiscale, ratio)) (begin, end);
+        (Multiscale_sort<Sort> (Sort (k, threshold_hilbert),
+                                threshold_multiscale, ratio)) (begin, end);
     }
 
     template <class RandomAccessIterator, class Policy, class Kernel>
     void spatial_sort (
                        RandomAccessIterator begin, RandomAccessIterator end,
-                       const Kernel &k, 
-		       Policy /*policy*/,
-		       typename Kernel::Point_3 *,
-		       std::ptrdiff_t threshold_hilbert,
-		       std::ptrdiff_t threshold_multiscale,
-		       double ratio)
+                       const Kernel &k,
+                       Policy /*policy*/,
+                       typename Kernel::Point_3 *,
+                       std::ptrdiff_t threshold_hilbert,
+                       std::ptrdiff_t threshold_multiscale,
+                       double ratio)
     {
       typedef std::iterator_traits<RandomAccessIterator> Iterator_traits;
       typedef typename Iterator_traits::difference_type Diff_t;
@@ -71,23 +71,23 @@ namespace internal {
         boost::random_number_generator<boost::rand48, Diff_t> rng(random);
         CGAL::cpp98::random_shuffle(begin,end, rng);
 
-	if (threshold_hilbert==0) threshold_hilbert=8;
-	if (threshold_multiscale==0) threshold_multiscale=64;
-	if (ratio==0.0) ratio=0.125;
+        if (threshold_hilbert==0) threshold_hilbert=8;
+        if (threshold_multiscale==0) threshold_multiscale=64;
+        if (ratio==0.0) ratio=0.125;
 
-        (Multiscale_sort<Sort> (Sort (k, threshold_hilbert), 
-				threshold_multiscale, ratio)) (begin, end);
+        (Multiscale_sort<Sort> (Sort (k, threshold_hilbert),
+                                threshold_multiscale, ratio)) (begin, end);
     }
 
     template <class RandomAccessIterator, class Policy, class Kernel>
     void spatial_sort (
-		       RandomAccessIterator begin, RandomAccessIterator end,
-                       const Kernel &k, 
-		       Policy /*policy*/,
-		       typename Kernel::Point_d *,
-		       std::ptrdiff_t threshold_hilbert,
-		       std::ptrdiff_t threshold_multiscale,
-		       double ratio)
+                       RandomAccessIterator begin, RandomAccessIterator end,
+                       const Kernel &k,
+                       Policy /*policy*/,
+                       typename Kernel::Point_d *,
+                       std::ptrdiff_t threshold_hilbert,
+                       std::ptrdiff_t threshold_multiscale,
+                       double ratio)
     {
       typedef std::iterator_traits<RandomAccessIterator> Iterator_traits;
       typedef typename Iterator_traits::difference_type Diff_t;
@@ -96,12 +96,12 @@ namespace internal {
         boost::random_number_generator<boost::rand48, Diff_t> rng(random);
         CGAL::cpp98::random_shuffle(begin,end, rng);
 
-	if (threshold_hilbert==0) threshold_hilbert=10;
-	if (threshold_multiscale==0) threshold_multiscale=500;
-	if (ratio==0.0) ratio=0.05;
+        if (threshold_hilbert==0) threshold_hilbert=10;
+        if (threshold_multiscale==0) threshold_multiscale=500;
+        if (ratio==0.0) ratio=0.05;
 
-        (Multiscale_sort<Sort> (Sort (k, threshold_hilbert), 
-				threshold_multiscale, ratio)) (begin, end);
+        (Multiscale_sort<Sort> (Sort (k, threshold_hilbert),
+                                threshold_multiscale, ratio)) (begin, end);
     }
 
 }
@@ -110,24 +110,24 @@ namespace internal {
 template <class RandomAccessIterator, class Policy, class Kernel>
 void spatial_sort (RandomAccessIterator begin, RandomAccessIterator end,
                    const Kernel &k,
-		   Policy policy,
-		   std::ptrdiff_t threshold_hilbert=0,
-		   std::ptrdiff_t threshold_multiscale=0,
-		   double ratio=0.0)
+                   Policy policy,
+                   std::ptrdiff_t threshold_hilbert=0,
+                   std::ptrdiff_t threshold_multiscale=0,
+                   double ratio=0.0)
 {
     typedef std::iterator_traits<RandomAccessIterator> ITraits;
     typedef typename ITraits::value_type               value_type;
 
     internal::spatial_sort(begin, end, k, policy, static_cast<value_type *> (0),
-			   threshold_hilbert,threshold_multiscale,ratio);
+                           threshold_hilbert,threshold_multiscale,ratio);
 }
 
 template <class RandomAccessIterator>
 void spatial_sort (RandomAccessIterator begin, RandomAccessIterator end,
-		   Hilbert_sort_median_policy policy,
-		   std::ptrdiff_t threshold_hilbert=0,
-		   std::ptrdiff_t threshold_multiscale=0,
-		   double ratio=0.0)
+                   Hilbert_sort_median_policy policy,
+                   std::ptrdiff_t threshold_hilbert=0,
+                   std::ptrdiff_t threshold_multiscale=0,
+                   double ratio=0.0)
 {
     typedef std::iterator_traits<RandomAccessIterator> ITraits;
     typedef typename ITraits::value_type               value_type;
@@ -135,14 +135,14 @@ void spatial_sort (RandomAccessIterator
     typedef typename KTraits::Kernel                   Kernel;
 
     spatial_sort (begin, end, Kernel(), policy,
-		  threshold_hilbert,threshold_multiscale,ratio);
+                  threshold_hilbert,threshold_multiscale,ratio);
 }
 template <class RandomAccessIterator>
 void spatial_sort (RandomAccessIterator begin, RandomAccessIterator end,
-		   Hilbert_sort_middle_policy policy,
-		   std::ptrdiff_t threshold_hilbert=0,
-		   std::ptrdiff_t threshold_multiscale=0,
-		   double ratio=0.0)
+                   Hilbert_sort_middle_policy policy,
+                   std::ptrdiff_t threshold_hilbert=0,
+                   std::ptrdiff_t threshold_multiscale=0,
+                   double ratio=0.0)
 {
     typedef std::iterator_traits<RandomAccessIterator> ITraits;
     typedef typename ITraits::value_type               value_type;
@@ -150,31 +150,31 @@ void spatial_sort (RandomAccessIterator
     typedef typename KTraits::Kernel                   Kernel;
 
     spatial_sort (begin, end, Kernel(), policy,
-		  threshold_hilbert,threshold_multiscale,ratio);
+                  threshold_hilbert,threshold_multiscale,ratio);
 }
 
 
 template <class RandomAccessIterator, class Kernel>
 void spatial_sort (RandomAccessIterator begin, RandomAccessIterator end,
                    const Kernel &k,
-		   std::ptrdiff_t threshold_hilbert=0,
-		   std::ptrdiff_t threshold_multiscale=0,
-		   double ratio=0.0)
+                   std::ptrdiff_t threshold_hilbert=0,
+                   std::ptrdiff_t threshold_multiscale=0,
+                   double ratio=0.0)
 {
     spatial_sort (begin, end, k,
-		  Hilbert_sort_median_policy(),
-		  threshold_hilbert,threshold_multiscale,ratio);
+                  Hilbert_sort_median_policy(),
+                  threshold_hilbert,threshold_multiscale,ratio);
 }
 
 template <class RandomAccessIterator>
 void spatial_sort (RandomAccessIterator begin, RandomAccessIterator end,
-		   std::ptrdiff_t threshold_hilbert=0,
-		   std::ptrdiff_t threshold_multiscale=0,
-		   double ratio=0.0)
+                   std::ptrdiff_t threshold_hilbert=0,
+                   std::ptrdiff_t threshold_multiscale=0,
+                   double ratio=0.0)
 {
     spatial_sort (begin, end,
-		  Hilbert_sort_median_policy(),
-		  threshold_hilbert,threshold_multiscale,ratio);
+                  Hilbert_sort_median_policy(),
+                  threshold_hilbert,threshold_multiscale,ratio);
 }
 
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/spatial_sort_on_sphere.h 5.0.3-1/include/CGAL/spatial_sort_on_sphere.h
--- 5.0.2-3/include/CGAL/spatial_sort_on_sphere.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/spatial_sort_on_sphere.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/spatial_sort_on_sphere.h $
-// $Id: spatial_sort_on_sphere.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/spatial_sort_on_sphere.h $
+// $Id: spatial_sort_on_sphere.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Olivier Devillers
@@ -54,29 +54,29 @@ void spatial_sort_on_sphere (
 template <class RandomAccessIterator, class Policy, class Kernel>
 void spatial_sort_on_sphere (RandomAccessIterator begin, RandomAccessIterator end,
                    const Kernel &k,
-		   Policy policy,
-		   double sq_r=1.0,
-		   const typename Kernel::Point_3 &p = typename Kernel::Point_3(0,0,0),
-		   std::ptrdiff_t threshold_hilbert=0,
-		   std::ptrdiff_t threshold_multiscale=0,
-		   double ratio=0.0)
+                   Policy policy,
+                   double sq_r=1.0,
+                   const typename Kernel::Point_3 &p = typename Kernel::Point_3(0,0,0),
+                   std::ptrdiff_t threshold_hilbert=0,
+                   std::ptrdiff_t threshold_multiscale=0,
+                   double ratio=0.0)
 {
     typedef std::iterator_traits<RandomAccessIterator> ITraits;
     typedef typename ITraits::value_type               value_type;
 
     internal::spatial_sort_on_sphere(begin, end, k, policy, static_cast<value_type *> (0),
-			   sq_r,p, threshold_hilbert,threshold_multiscale,ratio);
+                           sq_r,p, threshold_hilbert,threshold_multiscale,ratio);
 }
 
 template <class RandomAccessIterator>
 void spatial_sort_on_sphere (RandomAccessIterator begin, RandomAccessIterator end,
-		   Hilbert_sort_median_policy policy,
-		   double sq_r=1.0,
-		   const typename CGAL::Kernel_traits<typename std::iterator_traits<RandomAccessIterator>::value_type>::Kernel::Point_3 &p =
-		     typename CGAL::Kernel_traits<typename std::iterator_traits<RandomAccessIterator>::value_type>::Kernel::Point_3(0,0,0),
-		   std::ptrdiff_t threshold_hilbert=0,
-		   std::ptrdiff_t threshold_multiscale=0,
-		   double ratio=0.0)
+                   Hilbert_sort_median_policy policy,
+                   double sq_r=1.0,
+                   const typename CGAL::Kernel_traits<typename std::iterator_traits<RandomAccessIterator>::value_type>::Kernel::Point_3 &p =
+                     typename CGAL::Kernel_traits<typename std::iterator_traits<RandomAccessIterator>::value_type>::Kernel::Point_3(0,0,0),
+                   std::ptrdiff_t threshold_hilbert=0,
+                   std::ptrdiff_t threshold_multiscale=0,
+                   double ratio=0.0)
 {
     typedef std::iterator_traits<RandomAccessIterator> ITraits;
     typedef typename ITraits::value_type               value_type;
@@ -84,17 +84,17 @@ void spatial_sort_on_sphere (RandomAcces
     typedef typename KTraits::Kernel                   Kernel;
 
     spatial_sort_on_sphere (begin, end, Kernel(), policy, sq_r, p,
-		  threshold_hilbert,threshold_multiscale,ratio);
+                  threshold_hilbert,threshold_multiscale,ratio);
 }
 template <class RandomAccessIterator>
 void spatial_sort_on_sphere (RandomAccessIterator begin, RandomAccessIterator end,
-		   Hilbert_sort_middle_policy policy,
-		   double sq_r=1.0,
-		   const typename CGAL::Kernel_traits<typename std::iterator_traits<RandomAccessIterator>::value_type>::Kernel::Point_3 &p =
-		     typename CGAL::Kernel_traits<typename std::iterator_traits<RandomAccessIterator>::value_type>::Kernel::Point_3(0,0,0),
-		   std::ptrdiff_t threshold_hilbert=0,
-		   std::ptrdiff_t threshold_multiscale=0,
-		   double ratio=0.0)
+                   Hilbert_sort_middle_policy policy,
+                   double sq_r=1.0,
+                   const typename CGAL::Kernel_traits<typename std::iterator_traits<RandomAccessIterator>::value_type>::Kernel::Point_3 &p =
+                     typename CGAL::Kernel_traits<typename std::iterator_traits<RandomAccessIterator>::value_type>::Kernel::Point_3(0,0,0),
+                   std::ptrdiff_t threshold_hilbert=0,
+                   std::ptrdiff_t threshold_multiscale=0,
+                   double ratio=0.0)
 {
     typedef std::iterator_traits<RandomAccessIterator> ITraits;
     typedef typename ITraits::value_type               value_type;
@@ -102,36 +102,36 @@ void spatial_sort_on_sphere (RandomAcces
     typedef typename KTraits::Kernel                   Kernel;
 
     spatial_sort_on_sphere (begin, end, Kernel(), policy, sq_r,p,
-		  threshold_hilbert,threshold_multiscale,ratio);
+                  threshold_hilbert,threshold_multiscale,ratio);
 }
 
 
 template <class RandomAccessIterator, class Kernel>
 void spatial_sort_on_sphere (RandomAccessIterator begin, RandomAccessIterator end,
-		   const Kernel &k,
-		   double sq_r = 1.0,
+                   const Kernel &k,
+                   double sq_r = 1.0,
            const typename Kernel::Point_3 &p = typename Kernel::Point_3(0,0,0),
            std::ptrdiff_t threshold_hilbert=0,
-		   std::ptrdiff_t threshold_multiscale=0,
-		   double ratio=0.0)
+                   std::ptrdiff_t threshold_multiscale=0,
+                   double ratio=0.0)
 {
     spatial_sort_on_sphere (begin, end, k,
-		  Hilbert_sort_median_policy(), sq_r, p,
-		  threshold_hilbert,threshold_multiscale,ratio);
+                  Hilbert_sort_median_policy(), sq_r, p,
+                  threshold_hilbert,threshold_multiscale,ratio);
 }
 
 template <class RandomAccessIterator>
 void spatial_sort_on_sphere (RandomAccessIterator begin, RandomAccessIterator end,
            double sq_r = 1.0,
-		   const typename CGAL::Kernel_traits<typename std::iterator_traits<RandomAccessIterator>::value_type>::Kernel::Point_3 &p =
-	       typename CGAL::Kernel_traits<typename std::iterator_traits<RandomAccessIterator>::value_type>::Kernel::Point_3(0,0,0),
-		   std::ptrdiff_t threshold_hilbert=0,
-		   std::ptrdiff_t threshold_multiscale=0,
-		   double ratio=0.0)
+                   const typename CGAL::Kernel_traits<typename std::iterator_traits<RandomAccessIterator>::value_type>::Kernel::Point_3 &p =
+               typename CGAL::Kernel_traits<typename std::iterator_traits<RandomAccessIterator>::value_type>::Kernel::Point_3(0,0,0),
+                   std::ptrdiff_t threshold_hilbert=0,
+                   std::ptrdiff_t threshold_multiscale=0,
+                   double ratio=0.0)
 {
     spatial_sort_on_sphere (begin, end,
-		  Hilbert_sort_median_policy(), sq_r,p,
-		  threshold_hilbert,threshold_multiscale,ratio);
+                  Hilbert_sort_median_policy(), sq_r,p,
+                  threshold_hilbert,threshold_multiscale,ratio);
 }
 
 } // end of namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Spatial_sort_traits_adapter_2.h 5.0.3-1/include/CGAL/Spatial_sort_traits_adapter_2.h
--- 5.0.2-3/include/CGAL/Spatial_sort_traits_adapter_2.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Spatial_sort_traits_adapter_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/Spatial_sort_traits_adapter_2.h $
-// $Id: Spatial_sort_traits_adapter_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/Spatial_sort_traits_adapter_2.h $
+// $Id: Spatial_sort_traits_adapter_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sebastien Loriot
@@ -21,7 +21,7 @@
 
 
 namespace CGAL{
-  
+
 using ::get;
 
 template<class Base_traits,class PointPropertyMap>
@@ -57,7 +57,7 @@ public:
 
   Less_x_2 less_x_2_object () const {return Less_x_2(ppmap_,static_cast<const Gt*>(this)->less_x_2_object() );}
   Less_y_2 less_y_2_object () const {return Less_y_2(ppmap_,static_cast<const Gt*>(this)->less_y_2_object() );}
-  
+
   const PointPropertyMap& point_property_map() const {return ppmap_;}
 
 };
diff -pruN 5.0.2-3/include/CGAL/Spatial_sort_traits_adapter_3.h 5.0.3-1/include/CGAL/Spatial_sort_traits_adapter_3.h
--- 5.0.2-3/include/CGAL/Spatial_sort_traits_adapter_3.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Spatial_sort_traits_adapter_3.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/Spatial_sort_traits_adapter_3.h $
-// $Id: Spatial_sort_traits_adapter_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/Spatial_sort_traits_adapter_3.h $
+// $Id: Spatial_sort_traits_adapter_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sebastien Loriot
@@ -21,7 +21,7 @@
 namespace CGAL{
 
 using ::get;
-  
+
 template<class Base_traits,class PointPropertyMap>
 class Spatial_sort_traits_adapter_3:public Base_traits{
   PointPropertyMap ppmap_;
@@ -65,9 +65,9 @@ public:
   Less_x_3 less_x_3_object () const {return Less_x_3(ppmap_,static_cast<const Gt*>(this)->less_x_3_object() );}
   Less_y_3 less_y_3_object () const {return Less_y_3(ppmap_,static_cast<const Gt*>(this)->less_y_3_object() );}
   Less_z_3 less_z_3_object () const {return Less_z_3(ppmap_,static_cast<const Gt*>(this)->less_z_3_object() );}
-  
+
   const PointPropertyMap& point_property_map() const {return ppmap_;}
-  
+
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Spatial_sort_traits_adapter_d.h 5.0.3-1/include/CGAL/Spatial_sort_traits_adapter_d.h
--- 5.0.2-3/include/CGAL/Spatial_sort_traits_adapter_d.h	2020-02-21 20:04:22.000000000 +0000
+++ 5.0.3-1/include/CGAL/Spatial_sort_traits_adapter_d.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_sorting/include/CGAL/Spatial_sort_traits_adapter_d.h $
-// $Id: Spatial_sort_traits_adapter_d.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_sorting/include/CGAL/Spatial_sort_traits_adapter_d.h $
+// $Id: Spatial_sort_traits_adapter_d.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sebastien Loriot
@@ -20,7 +20,7 @@
 namespace CGAL{
 
 using ::get;
-  
+
 template<class Base_traits,class PointPropertyMap>
 class Spatial_sort_traits_adapter_d:public Base_traits{
   PointPropertyMap ppmap_;
@@ -34,8 +34,8 @@ public:
   typedef typename boost::property_traits<PointPropertyMap>::key_type Point_d;
   typedef typename boost::call_traits<Point_d>::param_type Arg_type;
 
-    
-    
+
+
   struct Point_dimension_d: public Base_traits::Point_dimension_d{
     Point_dimension_d(const PointPropertyMap& ppmap,const typename Base_traits::Point_dimension_d& base):
       Base_traits::Point_dimension_d(base),ppmap_(ppmap){}
@@ -63,15 +63,15 @@ public:
       return static_cast<const typename Base_traits::Compute_coordinate_d*>(this)->operator()(get(ppmap_,p),i);
     }
   };
- 
- 
+
+
 
   Point_dimension_d point_dimension_d_object () const {return Point_dimension_d(ppmap_,static_cast<const Gt*>(this)->point_dimension_d_object() );}
   Less_coordinate_d less_coordinate_d_object () const {return Less_coordinate_d(ppmap_,static_cast<const Gt*>(this)->less_coordinate_d_object() );}
   Compute_coordinate_d compute_coordinate_d_object () const {return Compute_coordinate_d(ppmap_,static_cast<const Gt*>(this)->compute_coordinate_d_object() );}
-  
+
   const PointPropertyMap& point_property_map() const {return ppmap_;}
-  
+
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Sphere_3.h 5.0.3-1/include/CGAL/Sphere_3.h
--- 5.0.2-3/include/CGAL/Sphere_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sphere_3.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Sphere_3.h $
-// $Id: Sphere_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Sphere_3.h $
+// $Id: Sphere_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -125,14 +125,14 @@ public:
   has_on(const Point_3_ &p) const
   {
     return R().has_on_3_object()(*this, p);
-  }  
+  }
 
   typename R::Boolean
   has_on(const Circle_3 &c) const
   {
     return R().has_on_3_object()(*this, c);
   }
-  
+
   typename R::Boolean
   has_on_boundary(const Point_3_ &p) const
   {
diff -pruN 5.0.2-3/include/CGAL/Spherical_kernel_3.h 5.0.3-1/include/CGAL/Spherical_kernel_3.h
--- 5.0.2-3/include/CGAL/Spherical_kernel_3.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Spherical_kernel_3.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,15 +3,15 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Spherical_kernel_3.h $
-// $Id: Spherical_kernel_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Spherical_kernel_3.h $
+// $Id: Spherical_kernel_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado, 
+// Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado,
 //             Sebastien Loriot, Julien Hazebrouck, Damien Leroy
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SPHERICAL_KERNEL_3_H
@@ -39,31 +39,31 @@
 
 namespace CGAL {
   namespace internal {
-    
+
     template < class SphericalKernel, class LinearKernelBase >
       struct Spherical_kernel_base_ref_count: public LinearKernelBase
-				 // takes classes in internal sub-namespace
+                                 // takes classes in internal sub-namespace
       {
         typedef internal::Circular_arc_point_3<SphericalKernel>                        Circular_arc_point_3;
         typedef internal::Line_arc_3<SphericalKernel>                                  Line_arc_3;
         typedef internal::Circular_arc_3<SphericalKernel>                              Circular_arc_3;
-       
+
         // The mechanism that allows to specify reference-counting or not.
         template < typename T >
         struct Handle { typedef Handle_for<T>    type; };
 
         #define CGAL_Spherical_Kernel_pred(Y,Z) typedef SphericalFunctors::Y<SphericalKernel> Y; \
-	    Y Z() const { return Y(); }
+            Y Z() const { return Y(); }
         #define CGAL_Spherical_Kernel_cons(Y,Z) CGAL_Spherical_Kernel_pred(Y,Z)
         #define CGAL_Spherical_Kernel_overload_cons(Y,Z) CGAL_Spherical_Kernel_pred(Y,Z)
         #define CGAL_Spherical_Kernel_overload_pred(Y,Z) CGAL_Spherical_Kernel_pred(Y,Z)
-      
+
         #define CGAL_Spherical_Kernel_pred_on_sphere(Y,Z) typedef SphericalFunctors::Y<SphericalKernel> Y; \
-	    Y Z(const CGAL::Sphere_3<SphericalKernel>& S) const { return Y(S); }
-        
+            Y Z(const CGAL::Sphere_3<SphericalKernel>& S) const { return Y(S); }
+
         #include <CGAL/Circular_kernel_3/interface_macros.h>
       };
-    
+
   } // namespace internal
 
   template < class LinearKernel, class AlgebraicKernel >
@@ -99,7 +99,7 @@ namespace CGAL {
 
       // public classes
       typedef CGAL::Object Object_3;
-  
+
     };
 
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Spherical_kernel_intersections.h 5.0.3-1/include/CGAL/Spherical_kernel_intersections.h
--- 5.0.2-3/include/CGAL/Spherical_kernel_intersections.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Spherical_kernel_intersections.h	2020-08-01 19:02:18.000000000 +0000
@@ -3,18 +3,18 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Spherical_kernel_intersections.h $
-// $Id: Spherical_kernel_intersections.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Spherical_kernel_intersections.h $
+// $Id: Spherical_kernel_intersections.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud, Sylvain Pion, Pedro Machado
 
-// Partially supported by the IST Programme of the EU as a 
-// STREP (FET Open) Project under Contract No  IST-006413 
+// Partially supported by the IST Programme of the EU as a
+// STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 
 #ifndef CGAL_SPHERICAL_KERNEL_INTERNAL_FUNCTIONS_ON_INTERSECTION_3_H
-#define CGAL_SPHERICAL_KERNEL_INTERNAL_FUNCTIONS_ON_INTERSECTION_3_H 
+#define CGAL_SPHERICAL_KERNEL_INTERNAL_FUNCTIONS_ON_INTERSECTION_3_H
 
 #include <CGAL/license/Circular_kernel_3.h>
 
diff -pruN 5.0.2-3/include/CGAL/Spherical_kernel_type_equality_wrapper.h 5.0.3-1/include/CGAL/Spherical_kernel_type_equality_wrapper.h
--- 5.0.2-3/include/CGAL/Spherical_kernel_type_equality_wrapper.h	2020-02-21 20:03:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Spherical_kernel_type_equality_wrapper.h	2020-08-01 19:02:18.000000000 +0000
@@ -4,13 +4,13 @@
 // This file is part of CGAL (www.cgal.org)
 //
 // Partially supported by the IST Programme of the EU as a Shared-cost
-// RTD (FET Open) Project under Contract No  IST-2000-26473 
-// (ECG - Effective Computational Geometry for Curves and Surfaces) 
-// and a STREP (FET Open) Project under Contract No  IST-006413 
+// RTD (FET Open) Project under Contract No  IST-2000-26473
+// (ECG - Effective Computational Geometry for Curves and Surfaces)
+// and a STREP (FET Open) Project under Contract No  IST-006413
 // (ACS -- Algorithms for Complex Shapes)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Circular_kernel_3/include/CGAL/Spherical_kernel_type_equality_wrapper.h $
-// $Id: Spherical_kernel_type_equality_wrapper.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Circular_kernel_3/include/CGAL/Spherical_kernel_type_equality_wrapper.h $
+// $Id: Spherical_kernel_type_equality_wrapper.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
diff -pruN 5.0.2-3/include/CGAL/Splitters.h 5.0.3-1/include/CGAL/Splitters.h
--- 5.0.2-3/include/CGAL/Splitters.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Splitters.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Splitters.h $
-// $Id: Splitters.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Splitters.h $
+// $Id: Splitters.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Hans Tangelder (<hanst@cs.uu.nl>)
 
-// Defines rules used for constructing a split node. That is, it implements, 
+// Defines rules used for constructing a split node. That is, it implements,
 // in several ways, the concept
 // Boxtree_splitter<FT>.
 
@@ -29,23 +29,23 @@ namespace CGAL {
   private:
     unsigned int the_bucket_size;
     FT the_aspect_ratio;
-    
+
   public:
-	  //default bucket_size should be 10
-    Splitter_base(unsigned int bucket_size = 10, 
-		  FT aspect_ratio = FT(3))
+          //default bucket_size should be 10
+    Splitter_base(unsigned int bucket_size = 10,
+                  FT aspect_ratio = FT(3))
       : the_bucket_size(bucket_size),
-	the_aspect_ratio(aspect_ratio)
+        the_aspect_ratio(aspect_ratio)
     {}
-    
-    FT 
-    aspect_ratio() const 
+
+    FT
+    aspect_ratio() const
     {
       return the_aspect_ratio;
     }
-    
-    unsigned int 
-    bucket_size() const 
+
+    unsigned int
+    bucket_size() const
     {
       return the_bucket_size;
     }
@@ -55,8 +55,8 @@ namespace CGAL {
 
   template <class SearchTraits,
             class Separator_= Plane_separator<typename SearchTraits::FT>  >
-  class Median_of_max_spread 
-    : public Splitter_base<typename SearchTraits::FT> 
+  class Median_of_max_spread
+    : public Splitter_base<typename SearchTraits::FT>
   {
 
     typedef Splitter_base<typename SearchTraits::FT> Base;
@@ -64,7 +64,7 @@ namespace CGAL {
     typedef typename SearchTraits::FT FT;
     typedef Point_container<SearchTraits> Container;
     typedef Separator_ Separator;
-    
+
     Median_of_max_spread()
       : Base()
     {}
@@ -72,12 +72,12 @@ namespace CGAL {
     Median_of_max_spread(unsigned int bucket_size)
       : Base(bucket_size)
     {}
-    
-    void 
-    operator() (Separator& sep, 
-		Container& c0,
-		Container& c1) const
-    {        
+
+    void
+    operator() (Separator& sep,
+                Container& c0,
+                Container& c1) const
+    {
       sep=Separator(c0.max_tight_span_coord(),FT(0));
       sep.set_cutting_value(c0.median(sep.cutting_dimension()));
       c0.split(c1,sep,true);
@@ -85,9 +85,9 @@ namespace CGAL {
   };
 
   template <class SearchTraits,
-	    class Separator_= Plane_separator<typename SearchTraits::FT>  > 
+            class Separator_= Plane_separator<typename SearchTraits::FT>  >
   class Fair
-    : public Splitter_base<typename SearchTraits::FT> 
+    : public Splitter_base<typename SearchTraits::FT>
   {
 
     typedef Splitter_base<typename SearchTraits::FT> Base;
@@ -95,24 +95,24 @@ namespace CGAL {
     typedef typename SearchTraits::FT FT;
     typedef Point_container<SearchTraits> Container;
     typedef Separator_ Separator;
-    
+
     Fair()
       : Base()
     {}
 
-    Fair(unsigned int bucket_size, 
-	 FT aspect_ratio=FT(3))
+    Fair(unsigned int bucket_size,
+         FT aspect_ratio=FT(3))
       : Base(bucket_size, aspect_ratio)
     {}
 
-    void 
+    void
     operator()(Separator& sep, Container& c0, Container& c1) const
     {
       // find legal cut with max spread
       sep=Separator(c0.max_tight_span_coord_balanced(this->aspect_ratio()),
-		    FT(0));
+                    FT(0));
       sep.set_cutting_value(c0.balanced_fair(sep.cutting_dimension(),
-					     this->aspect_ratio()));
+                                             this->aspect_ratio()));
       c0.split(c1,sep);
     }
   };
@@ -120,120 +120,120 @@ namespace CGAL {
   template <class SearchTraits,
            class Separator_= Plane_separator<typename SearchTraits::FT>  >
   class Sliding_fair
-    : public Splitter_base<typename SearchTraits::FT> 
+    : public Splitter_base<typename SearchTraits::FT>
   {
-    
+
     typedef Splitter_base<typename SearchTraits::FT> Base;
-    
+
   public:
     typedef typename SearchTraits::FT FT;
     typedef Point_container<SearchTraits> Container;
     typedef Separator_ Separator;
-    
+
     Sliding_fair()
       : Base()
     {}
-    
-    Sliding_fair(unsigned int bucket_size, 
-		 FT aspect_ratio=FT(3))
+
+    Sliding_fair(unsigned int bucket_size,
+                 FT aspect_ratio=FT(3))
       : Base(bucket_size, aspect_ratio)
     {}
-    
-    void 
+
+    void
     operator() (Separator& sep, Container& c0, Container& c1)  const
     {
       // find legal cut with max spread
-      
+
       sep = Separator(c0.max_tight_span_coord_balanced(this->aspect_ratio()),
-		      FT(0));
-      
+                      FT(0));
+
       sep.set_cutting_value(c0.balanced_sliding_fair(sep.cutting_dimension(),
-						     this->aspect_ratio()));
+                                                     this->aspect_ratio()));
       c0.split(c1,sep,true);
     }
   };
 
 
   template <class SearchTraits,
-	    class Separator_= Plane_separator<typename SearchTraits::FT>  >
+            class Separator_= Plane_separator<typename SearchTraits::FT>  >
   class Sliding_midpoint
-    : public Splitter_base<typename SearchTraits::FT> 
+    : public Splitter_base<typename SearchTraits::FT>
   {
-    
+
     typedef Splitter_base<typename SearchTraits::FT> Base;
-    
+
   public:
     typedef typename SearchTraits::FT FT;
     typedef Point_container<SearchTraits> Container;
     typedef Separator_ Separator;
-    
+
     Sliding_midpoint()
       : Base()
     {}
-    
+
     Sliding_midpoint(unsigned int bucket_size)
       : Base(bucket_size)
     {}
 
-    void 
+    void
     operator()(Separator& sep, Container& c0, Container& c1) const
     {
       CGAL_assertion(c0.is_valid());
       CGAL_assertion(c1.is_valid());
-	  int cutdim = c0.max_span_coord();
+          int cutdim = c0.max_span_coord();
 
-	  //Bugfix: avoid linear tree in degenerated cases
-	  if(c0.tight_bounding_box().min_coord(cutdim) != c0.tight_bounding_box().max_coord(cutdim)){
-		  sep = Separator(cutdim,
-				  (c0.max_span_upper() + c0.max_span_lower())/FT(2));
-	  }
-	  else{
-		  cutdim = c0.max_tight_span_coord();
-		  sep = Separator(cutdim,
-				  (c0.max_tight_span_upper() + c0.max_tight_span_lower())/FT(2));
-	  }
+          //Bugfix: avoid linear tree in degenerated cases
+          if(c0.tight_bounding_box().min_coord(cutdim) != c0.tight_bounding_box().max_coord(cutdim)){
+                  sep = Separator(cutdim,
+                                  (c0.max_span_upper() + c0.max_span_lower())/FT(2));
+          }
+          else{
+                  cutdim = c0.max_tight_span_coord();
+                  sep = Separator(cutdim,
+                                  (c0.max_tight_span_upper() + c0.max_tight_span_lower())/FT(2));
+          }
 
-      FT max_span_lower = 
-	c0.tight_bounding_box().min_coord(cutdim);
+      FT max_span_lower =
+        c0.tight_bounding_box().min_coord(cutdim);
 
       CGAL_assertion(max_span_lower >= c0.bounding_box().min_coord(cutdim));
-      FT max_span_upper = 
-	c0.tight_bounding_box().max_coord(cutdim);
-      
+      FT max_span_upper =
+        c0.tight_bounding_box().max_coord(cutdim);
+
       CGAL_assertion(max_span_upper <= c0.bounding_box().max_coord(cutdim));
       if (max_span_upper <= sep.cutting_value()) {
-	sep.set_cutting_value(max_span_upper); 
-      };      
-      if (max_span_lower >= sep.cutting_value()) {    
-	sep.set_cutting_value(max_span_lower); 
-      };   
-      c0.split(c1,sep,true); 
+        sep.set_cutting_value(max_span_upper);
+      };
+      if (max_span_lower >= sep.cutting_value()) {
+        sep.set_cutting_value(max_span_lower);
+      };
+      c0.split(c1,sep,true);
     }
   };
-  
+
   template <class SearchTraits,
-	    class Separator_= Plane_separator<typename SearchTraits::FT>  >
+            class Separator_= Plane_separator<typename SearchTraits::FT>  >
   class Median_of_rectangle
-    : public Splitter_base<typename SearchTraits::FT> 
+    : public Splitter_base<typename SearchTraits::FT>
   {
-    
+
     typedef Splitter_base<typename SearchTraits::FT> Base;
-    
+
   public:
     typedef typename SearchTraits::FT FT;
     typedef Point_container<SearchTraits> Container;
     typedef Separator_ Separator;
-    
-    
+
+
     Median_of_rectangle()
       : Base()
     {}
-    
+
     Median_of_rectangle(unsigned int bucket_size)
       : Base(bucket_size)
     {}
 
-    void 
+    void
     operator() (Separator& sep, Container& c0, Container& c1) const
     {
       sep = Separator(c0.max_span_coord(),FT(0));
@@ -243,39 +243,39 @@ namespace CGAL {
   };
 
   template <class SearchTraits,
-	   class Separator_= Plane_separator<typename SearchTraits::FT>  >
+           class Separator_= Plane_separator<typename SearchTraits::FT>  >
   class Midpoint_of_max_spread
-    : public Splitter_base<typename SearchTraits::FT> 
+    : public Splitter_base<typename SearchTraits::FT>
   {
     typedef Splitter_base<typename SearchTraits::FT> Base;
-    
+
   public:
     typedef typename SearchTraits::FT FT;
     typedef Point_container<SearchTraits> Container;
     typedef Separator_ Separator;
-    
+
 
     Midpoint_of_max_spread()
       : Base()
     {}
-    
+
     Midpoint_of_max_spread(unsigned int bucket_size)
       : Base(bucket_size)
     {}
-    
-    void 
+
+    void
     operator()(Separator& sep, Container& c0, Container& c1) const
     {
       sep = Separator(c0.max_tight_span_coord(),
-		      (c0.max_tight_span_upper() + c0.max_tight_span_lower())/FT(2));
+                      (c0.max_tight_span_upper() + c0.max_tight_span_lower())/FT(2));
       c0.split(c1,sep);
     }
   };
-  
+
   template <class SearchTraits,
-	   class Separator_= Plane_separator<typename SearchTraits::FT>  >
+           class Separator_= Plane_separator<typename SearchTraits::FT>  >
   class Midpoint_of_rectangle
-  : public Splitter_base<typename SearchTraits::FT> 
+  : public Splitter_base<typename SearchTraits::FT>
   {
 
     typedef Splitter_base<typename SearchTraits::FT> Base;
@@ -283,24 +283,24 @@ namespace CGAL {
     typedef typename SearchTraits::FT FT;
     typedef Point_container<SearchTraits> Container;
     typedef Separator_ Separator;
-    
-    
+
+
     Midpoint_of_rectangle()
       : Base()
     {}
-    
+
     Midpoint_of_rectangle(unsigned int bucket_size)
       : Base(bucket_size)
     {}
-    
-    void 
+
+    void
     operator()(Separator& sep, Container& c0, Container& c1) const
     {
       sep = Separator(c0.max_span_coord(),
-		      (c0.max_span_upper() + c0.max_span_lower())/FT(2));
-      c0.split(c1,sep);          
+                      (c0.max_span_upper() + c0.max_span_lower())/FT(2));
+      c0.split(c1,sep);
     }
-    
+
   };
 
 } // namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Sqrt_extension/Algebraic_extension_traits.h 5.0.3-1/include/CGAL/Sqrt_extension/Algebraic_extension_traits.h
--- 5.0.2-3/include/CGAL/Sqrt_extension/Algebraic_extension_traits.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sqrt_extension/Algebraic_extension_traits.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Sqrt_extension/Algebraic_extension_traits.h $
-// $Id: Algebraic_extension_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Sqrt_extension/Algebraic_extension_traits.h $
+// $Id: Algebraic_extension_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -20,9 +20,9 @@ namespace CGAL {
 
 template <class COEFF, class ROOT, class ACDE_TAG,class FP_TAG>
 class Algebraic_extension_traits<CGAL::Sqrt_extension<COEFF,ROOT,ACDE_TAG,FP_TAG> > {
-/* needed to 'add up' sqrt_extensions in iterator range such that all roots 
-   are collected in order to keep operation time minimal all scalar coeffs 
-   are set to 1 by standardise. 
+/* needed to 'add up' sqrt_extensions in iterator range such that all roots
+   are collected in order to keep operation time minimal all scalar coeffs
+   are set to 1 by standardise.
    TODO .. find a better name, if you want to.
 */
     template <class Type_>
@@ -34,7 +34,7 @@ class Algebraic_extension_traits<CGAL::S
             return Type_(1);
         }
     };
-    
+
   template <class COEFF_, class ROOT_,class ACDE_TAG_,class FP_TAG_>
   class Standardise<CGAL::Sqrt_extension<COEFF_,ROOT_,ACDE_TAG_,FP_TAG_> > {
         Standardise<COEFF_> standardise;
@@ -42,7 +42,7 @@ class Algebraic_extension_traits<CGAL::S
     typedef CGAL::Sqrt_extension<COEFF_,ROOT_,ACDE_TAG_,FP_TAG_> Type_;
         typedef Type_ argument_type;
         typedef Type_ result_type;
-    Type_ operator () (const Type_& a) const {       
+    Type_ operator () (const Type_& a) const {
             if (a.a1() != COEFF_(0)){
                 return Type_(standardise(a.a0()),standardise(a.a1()),a.root());
             }else{
@@ -52,13 +52,13 @@ class Algebraic_extension_traits<CGAL::S
     };
 
 public:
-    //! \name Typedefs 
+    //! \name Typedefs
     //! the number type for which this instance has been instantiated
     typedef CGAL::Sqrt_extension<COEFF,ROOT,ACDE_TAG,FP_TAG> Type;
     //! Sqrt_extension as a number type is extended
     typedef ::CGAL::Tag_true Is_extended;
-    
-    /*! computes the factor which normalizes a number to be integral 
+
+    /*! computes the factor which normalizes a number to be integral
      *  after multiplication
      */
     class Normalization_factor{
@@ -81,13 +81,13 @@ public:
                 result = tmp1*Type(normalization_factor(tmp2.a0()));
                 CGAL_postcondition(result.a1() != COEFF(0));
             }else{
-                result = Type(normalization_factor(a.a0())); 
-            }           
+                result = Type(normalization_factor(a.a0()));
+            }
             return result;
         }
     };
 
-    /*! returns the extension factor needed for the gcd_utcf computation 
+    /*! returns the extension factor needed for the gcd_utcf computation
      *  for more details see ... TODO!!
      */
     class Denominator_for_algebraic_integers {
@@ -99,13 +99,13 @@ public:
         //! determine denominator for algebraic integers
     public:
         Type operator () (const Type& a) {
-            
+
             typedef Algebraic_extension_traits<COEFF> AET;
             typename AET::Denominator_for_algebraic_integers dfai;
 
             Standardise<COEFF> standardise;
             if (a.a1() != COEFF(0)) {
-                COEFF tmp = 
+                COEFF tmp =
                     standardise(a.a0())
                     + standardise(a.a1())
                     + standardise(COEFF(a.root()));
@@ -116,13 +116,13 @@ public:
         }
 
         /*! overloaded operator for computing the denominator out of an iterator
-          range accumulates all root expressions which appear in the range to 
-          the most complex term and uses this term to determine the denominator 
+          range accumulates all root expressions which appear in the range to
+          the most complex term and uses this term to determine the denominator
           for algebraic integers
         */
         template <class InputIterator>
         Type operator () (InputIterator begin, InputIterator end) {
-            Type a = std::accumulate(::boost::make_transform_iterator(begin,Standardise<Type>()), 
+            Type a = std::accumulate(::boost::make_transform_iterator(begin,Standardise<Type>()),
                     ::boost::make_transform_iterator(end  ,Standardise<Type>()), Type(0));
             return (*this)(a);
         }
diff -pruN 5.0.2-3/include/CGAL/Sqrt_extension/Algebraic_structure_traits.h 5.0.3-1/include/CGAL/Sqrt_extension/Algebraic_structure_traits.h
--- 5.0.2-3/include/CGAL/Sqrt_extension/Algebraic_structure_traits.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sqrt_extension/Algebraic_structure_traits.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Sqrt_extension/Algebraic_structure_traits.h $
-// $Id: Algebraic_structure_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Sqrt_extension/Algebraic_structure_traits.h $
+// $Id: Algebraic_structure_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -51,7 +51,7 @@ class Sqrt_extension_algebraic_structure
                                       CGAL::Integral_domain_without_division_tag > {
 public:
     typedef CGAL::Integral_domain_tag Algebraic_category;
-    
+
     class Integral_division
       : public CGAL::cpp98::binary_function< Type, Type, Type > {
     public:
@@ -60,40 +60,40 @@ public:
       }
       CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR( Type )
     };
-    
+
 private:
   typedef typename Type::NT COEFF;
   typedef typename Type::ROOT ROOT;
   typedef typename CGAL::Coercion_traits< ROOT, COEFF >::Cast Root_nt_cast;
   typedef CGAL::Algebraic_structure_traits<COEFF> AST_COEFF;
-  typedef typename AST_COEFF::Divides Divides_coeff;   
+  typedef typename AST_COEFF::Divides Divides_coeff;
 public:
-  class Divides 
+  class Divides
     : public CGAL::cpp98::binary_function<Type,Type,typename Divides_coeff::result_type>{
     typedef typename Divides_coeff::result_type BOOL;
   public:
-    BOOL operator()( const Type& x, const Type& y) const {  
+    BOOL operator()( const Type& x, const Type& y) const {
       Type q;
       return (*this)(x,y,q);
     }
-    
-    BOOL operator()( const Type& x, const Type& y, Type& q) const {       
+
+    BOOL operator()( const Type& x, const Type& y, Type& q) const {
       Divides_coeff divides;
-        
+
 //            std::cout<<"integral domain for sqrt"<<std::endl;
       BOOL result;
       COEFF q1, q2;
       if(x.is_extended()){
 //                std::cout<<" y is extended "<<std::endl;
         COEFF denom = x.a0()*x.a0() - x.a1()*x.a1() * Root_nt_cast()(x.root());
-        if ( denom == COEFF(0) ) {   
+        if ( denom == COEFF(0) ) {
           // this is for the rare case in which root is a square
-          // and the (pseudo) algebraic conjugate of p becomes zero 
+          // and the (pseudo) algebraic conjugate of p becomes zero
           result = divides(COEFF(2)*x.a0(),y.a0(),q1);
           if(!result) return false;
           result = divides(COEFF(2)*x.a1(),y.a1(),q2);
           if(!result) return false;
-          q = Type(q1 + q2); 
+          q = Type(q1 + q2);
         }else{
           q = y;
           q *= Type(x.a0(),-x.a1(),x.root());
@@ -108,7 +108,7 @@ public:
         if(y.is_extended()){
           result = divides(x.a0(),y.a0(),q1);
           if(!result) return false;
-          result = divides(x.a0(),y.a1(),q2);  
+          result = divides(x.a0(),y.a1(),q2);
           if(!result) return false;
           q = Type(q1, q2, y.root());
         }else{
@@ -118,12 +118,12 @@ public:
         }
       }
       if(q*x==y)
-        return true; 
+        return true;
       else
         return false;
     }
     CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR_WITH_RT(Type,BOOL)
-  }; 
+  };
 };
 
 template< class Type >
diff -pruN 5.0.2-3/include/CGAL/Sqrt_extension/Chinese_remainder_traits.h 5.0.3-1/include/CGAL/Sqrt_extension/Chinese_remainder_traits.h
--- 5.0.2-3/include/CGAL/Sqrt_extension/Chinese_remainder_traits.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sqrt_extension/Chinese_remainder_traits.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Sqrt_extension/Chinese_remainder_traits.h $
-// $Id: Chinese_remainder_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Sqrt_extension/Chinese_remainder_traits.h $
+// $Id: Chinese_remainder_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Michael Hemmer <hemmer@informatik.uni-mainz.de> 
+//
+// Author(s)     : Michael Hemmer <hemmer@informatik.uni-mainz.de>
 
 #ifndef CGAL_SQRT_EXTENSION_CHINESE_REMAINDER_TRAITS
 #define CGAL_SQRT_EXTENSION_CHINESE_REMAINDER_TRAITS
@@ -18,37 +18,37 @@
 #include <CGAL/Sqrt_extension/Sqrt_extension_type.h>
 
 namespace CGAL {
- 
-template <class NT, class ROOT, class ACDE_TAG,class FP_TAG> 
+
+template <class NT, class ROOT, class ACDE_TAG,class FP_TAG>
 class Chinese_remainder_traits<CGAL::Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG> >{
 private:
-  typedef CGAL::Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG> EXT;   
+  typedef CGAL::Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG> EXT;
     typedef Chinese_remainder_traits<NT> CRT_NT;
     typedef Chinese_remainder_traits<ROOT> CRT_ROOT;
 
 public :
     typedef EXT Type;
     typedef typename CRT_NT::Scalar_type Scalar_type;
-    
+
     struct Chinese_remainder{
         void operator() (
-                const Scalar_type& m1, const Scalar_type& m2, 
-                const Scalar_type& m, 
-                const Scalar_type& s,  const Scalar_type& t,  
-                const Type& u1, const Type& u2, 
-                Type& u) const 
+                const Scalar_type& m1, const Scalar_type& m2,
+                const Scalar_type& m,
+                const Scalar_type& s,  const Scalar_type& t,
+                const Type& u1, const Type& u2,
+                Type& u) const
         {
             NT   a0,a1;
             ROOT root;
             typename CRT_NT::Chinese_remainder chinese_remainder_nt;
             chinese_remainder_nt(m1,m2,m,s,t,u1.a0(),u2.a0(),a0);
-            
-            CGAL_postcondition_msg(!((u1.is_extended() && !u2.is_extended()) 
+
+            CGAL_postcondition_msg(!((u1.is_extended() && !u2.is_extended())
                             || (!u1.is_extended() && u2.is_extended())),
                     " chinese remainder not possible for these numbers");
 
             if(u1.is_extended() || u2.is_extended()){
-                chinese_remainder_nt(m1,m2,m,s,t,u1.a1(),u2.a1(),a1);            
+                chinese_remainder_nt(m1,m2,m,s,t,u1.a1(),u2.a1(),a1);
                 typename CRT_ROOT::Chinese_remainder chinese_remainder_root;
                 chinese_remainder_root(m1,m2,m,s,t,u1.root(),u2.root(),root);
                 u=Type(a0,a1,root);
@@ -60,7 +60,7 @@ public :
                 const Scalar_type& m1, const Type& u1,
                 const Scalar_type& m2, const Type& u2,
                 Scalar_type& m, Type& u) const {
-            Scalar_type s,t; 
+            Scalar_type s,t;
             CGAL::extended_euclidean_algorithm(m1,m2,s,t);
             m = m1 * m2;
             this->operator()(m1,m2,m,s,t,u1,u2,u);
@@ -68,6 +68,6 @@ public :
     };
 };
 
-} // namespace CGAL 
+} // namespace CGAL
 
 #endif // CGAL_SQRT_EXTENSION_CHINESE_REMAINDER_TRAITS
diff -pruN 5.0.2-3/include/CGAL/Sqrt_extension/Coercion_traits.h 5.0.3-1/include/CGAL/Sqrt_extension/Coercion_traits.h
--- 5.0.2-3/include/CGAL/Sqrt_extension/Coercion_traits.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sqrt_extension/Coercion_traits.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Sqrt_extension/Coercion_traits.h $
-// $Id: Coercion_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Sqrt_extension/Coercion_traits.h $
+// $Id: Coercion_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -22,7 +22,7 @@ namespace CGAL {
 
 /////////// COERCION_TRAITS BEGIN
 
-// <EXT,int> and vice versa 
+// <EXT,int> and vice versa
 template <class COEFF, class ROOT, class ACDE_TAG,class FP_TAG>
 struct Coercion_traits_for_level<Sqrt_extension<COEFF, ROOT, ACDE_TAG,FP_TAG>,CGAL_int(COEFF),CTL_SQRT_EXT>{
 public:
diff -pruN 5.0.2-3/include/CGAL/Sqrt_extension/convert_to_bfi.h 5.0.3-1/include/CGAL/Sqrt_extension/convert_to_bfi.h
--- 5.0.2-3/include/CGAL/Sqrt_extension/convert_to_bfi.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sqrt_extension/convert_to_bfi.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Sqrt_extension/convert_to_bfi.h $
-// $Id: convert_to_bfi.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Sqrt_extension/convert_to_bfi.h $
+// $Id: convert_to_bfi.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -38,13 +38,13 @@ class Sqrt_extension_bfi_cache {
   typedef std::pair<long , ROOT> Input;
   typedef BFI                    Output;
   typedef typename Coercion_traits<ROOT,BFI>::Cast Cast;
-  typedef typename Algebraic_structure_traits<BFI>::Sqrt Sqrt; 
+  typedef typename Algebraic_structure_traits<BFI>::Sqrt Sqrt;
 
   struct Creator : public CGAL::cpp98::unary_function<BFI,Input> {
     BFI operator()(const Input& pair){
-      return Sqrt()(Cast()(pair.second)); 
+      return Sqrt()(Cast()(pair.second));
     }
-  };    
+  };
 
 public:
   typedef Cache<Input,Output,Creator> Cache_type;
@@ -53,11 +53,11 @@ public:
   {
     CGAL_STATIC_THREAD_LOCAL_VARIABLE_0(Cache_type, cache_);
     return cache_;
-  } 
+  }
 
 };
 
-} // namespace INTERN_SQRT_EXTENSION 
+} // namespace INTERN_SQRT_EXTENSION
 
 
 template <typename NT, typename ROOT, typename ACDE_TAG, typename FP_TAG>
@@ -93,12 +93,12 @@ convert_to_bfi(const CGAL::Sqrt_extensio
   CGAL_assertion(lower(result) == lower(result_));
   CGAL_assertion(upper(result) == upper(result_));
 #endif
-  return result; 
+  return result;
 }
 
-} // namespace CGAL 
+} // namespace CGAL
 
-#endif 
+#endif
 
 
 #endif  // CGAL_SQRT_EXTENSION_CONVERT_TO_BFI_H
diff -pruN 5.0.2-3/include/CGAL/Sqrt_extension/Eigen_NumTraits.h 5.0.3-1/include/CGAL/Sqrt_extension/Eigen_NumTraits.h
--- 5.0.2-3/include/CGAL/Sqrt_extension/Eigen_NumTraits.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sqrt_extension/Eigen_NumTraits.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Sqrt_extension/Eigen_NumTraits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Sqrt_extension/Eigen_NumTraits.h $
 // $Id: Eigen_NumTraits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Sqrt_extension/Fraction_traits.h 5.0.3-1/include/CGAL/Sqrt_extension/Fraction_traits.h
--- 5.0.2-3/include/CGAL/Sqrt_extension/Fraction_traits.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sqrt_extension/Fraction_traits.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Sqrt_extension/Fraction_traits.h $
-// $Id: Fraction_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Sqrt_extension/Fraction_traits.h $
+// $Id: Fraction_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -106,10 +106,10 @@ public:
                 decompose(ext.a1(),a1_num,a1_den);
                 common_den=common_factor(a0_den,a1_den);
                 typename CGAL::Coercion_traits<NUM,DEN>::Cast cast;
-                a0_num = cast(a0_num) * 
+                a0_num = cast(a0_num) *
                          cast(CGAL::integral_division(a1_den,common_den));
-                a1_num = cast(a1_num) * 
-                         cast(CGAL::integral_division(a0_den,common_den)); 
+                a1_num = cast(a1_num) *
+                         cast(CGAL::integral_division(a0_den,common_den));
                 den = CGAL::integral_division(a0_den,common_den)*a1_den;
                 num = Numerator_type(a0_num,a1_num,ext.root());
             }else{
diff -pruN 5.0.2-3/include/CGAL/Sqrt_extension/Get_arithmetic_kernel.h 5.0.3-1/include/CGAL/Sqrt_extension/Get_arithmetic_kernel.h
--- 5.0.2-3/include/CGAL/Sqrt_extension/Get_arithmetic_kernel.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sqrt_extension/Get_arithmetic_kernel.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Sqrt_extension/Get_arithmetic_kernel.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Sqrt_extension/Get_arithmetic_kernel.h $
 // $Id: Get_arithmetic_kernel.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Sqrt_extension/io.h 5.0.3-1/include/CGAL/Sqrt_extension/io.h
--- 5.0.2-3/include/CGAL/Sqrt_extension/io.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sqrt_extension/io.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Sqrt_extension/io.h $
-// $Id: io.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Sqrt_extension/io.h $
+// $Id: io.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -27,7 +27,7 @@ template<class NT, class ROOT, class ACD
 void
 input_ascii(std::istream& is , Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG>& result){
 
-  typedef Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG> EXT; 
+  typedef Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG> EXT;
 
     char c;
     NT a0;
@@ -52,7 +52,7 @@ input_ascii(std::istream& is , Sqrt_exte
 
     if ( root  < ROOT(0)) CGAL_error_msg("input error: non-negative root expected");
 
-    if ( root == ROOT(0)) 
+    if ( root == ROOT(0))
         result =  EXT(a0);
     else
         result = EXT(a0,a1,root);
@@ -63,7 +63,7 @@ void
 output_maple(std::ostream& os, const Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG>& x){
     CGAL::IO::Mode o_mode=::CGAL::get_mode(os);
     ::CGAL::set_mode(os,CGAL::IO::PRETTY);
-    
+
     if ( x.a0() != NT(0)){
         if ( x.a1() != NT(0)){
             os << x.a0()
@@ -92,7 +92,7 @@ output_benchmark( std::ostream& os, cons
        << ", " << bmformat( x.root()) << " )";
 }
 
-// Benchmark_rep specialization 
+// Benchmark_rep specialization
 template < class NT, class ROOT, class ACDE_TAG, class FP_TAG >
 class Benchmark_rep< CGAL::Sqrt_extension< NT,ROOT, ACDE_TAG, FP_TAG> > {
     const CGAL::Sqrt_extension< NT,ROOT,ACDE_TAG,FP_TAG>& t;
@@ -100,14 +100,14 @@ public:
     //! initialize with a const reference to \a t.
     Benchmark_rep( const CGAL::Sqrt_extension< NT,ROOT,ACDE_TAG,FP_TAG>& tt) : t(tt) {}
     //! perform the output, calls \c operator\<\< by default.
-    std::ostream& operator()( std::ostream& out) const { 
+    std::ostream& operator()( std::ostream& out) const {
         output_benchmark( out, t );
         return out;
     }
-    
+
     static std::string get_benchmark_name() {
         std::stringstream ss;
-        ss << "Sqrt_extension< " << Benchmark_rep< NT >::get_benchmark_name() 
+        ss << "Sqrt_extension< " << Benchmark_rep< NT >::get_benchmark_name()
            << ", " << Benchmark_rep< ROOT>::get_benchmark_name() << " >";
         return ss.str();
     }
@@ -135,7 +135,7 @@ std::ostream& operator << (std::ostream&
         const Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG>& ext){
     switch(CGAL::get_mode(os)) {
     case CGAL::IO::PRETTY:
-        output_maple(os,ext); break; 
+        output_maple(os,ext); break;
     default:
         os<<"EXT["<<ext.a0()<<","<<ext.a1()<<","<<ext.root()<<"]"; break;
     }
diff -pruN 5.0.2-3/include/CGAL/Sqrt_extension/Modular_traits.h 5.0.3-1/include/CGAL/Sqrt_extension/Modular_traits.h
--- 5.0.2-3/include/CGAL/Sqrt_extension/Modular_traits.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sqrt_extension/Modular_traits.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Sqrt_extension/Modular_traits.h $
-// $Id: Modular_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Sqrt_extension/Modular_traits.h $
+// $Id: Modular_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -24,9 +24,9 @@ namespace CGAL {
 
 template< class COEFF, class ROOT, class ACDE_TAG, class FP_TAG>
 class Modular_traits< Sqrt_extension<COEFF,ROOT,ACDE_TAG,FP_TAG> > {
-    
+
 private:
-  typedef Sqrt_extension<COEFF,ROOT,ACDE_TAG,FP_TAG> EXT; 
+  typedef Sqrt_extension<COEFF,ROOT,ACDE_TAG,FP_TAG> EXT;
     typedef Modular_traits<COEFF> MT_COEFF;
     typedef Modular_traits<ROOT>  MT_ROOT;
     typedef typename MT_COEFF::Residue_type Residue_type_coeff;
@@ -35,7 +35,7 @@ public:
     typedef EXT NT;
     typedef typename MT_COEFF::Is_modularizable Is_modularizable;
     typedef Sqrt_extension<Residue_type_coeff, Residue_type_root, ACDE_TAG,FP_TAG> Residue_type;
-    
+
     struct Modular_image{
         Residue_type operator()(const EXT& a){
             typename MT_ROOT::Modular_image mod_image_root;
@@ -55,7 +55,7 @@ public:
         NT operator()(const Residue_type& a){
             typename MT_ROOT::Modular_image_representative mod_image_inv_root;
             typename MT_COEFF::Modular_image_representative mod_image_inv_coeff;
-            
+
             if(a.is_extended()){
                 return NT(
                         mod_image_inv_coeff(a.a0()),
diff -pruN 5.0.2-3/include/CGAL/Sqrt_extension/Real_embeddable_traits.h 5.0.3-1/include/CGAL/Sqrt_extension/Real_embeddable_traits.h
--- 5.0.2-3/include/CGAL/Sqrt_extension/Real_embeddable_traits.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sqrt_extension/Real_embeddable_traits.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Sqrt_extension/Real_embeddable_traits.h $
-// $Id: Real_embeddable_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Sqrt_extension/Real_embeddable_traits.h $
+// $Id: Real_embeddable_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -33,24 +33,24 @@ class Real_embeddable_traits< Sqrt_exten
             return x.sign();
         }
     };
-    
+
     class Compare
         : public CGAL::cpp98::binary_function< Type, Type, Comparison_result > {
     public:
         Comparison_result operator()( const Type& x, const Type& y) const {
-            // must be from the same extension 
+            // must be from the same extension
             return x.compare(y);
         }
         Comparison_result operator()( const Type& x, const COEFF& y) const {
-            // must be from the same extension 
+            // must be from the same extension
             return x.compare(y);
         }
         Comparison_result operator()( const COEFF& x, const Type& y) const {
-            // must be from the same extension 
+            // must be from the same extension
             return CGAL::opposite( y.compare(x) );
         }
-        
-        CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR_WITH_RT( Type, 
+
+        CGAL_IMPLICIT_INTEROPERABLE_BINARY_OPERATOR_WITH_RT( Type,
                 Comparison_result )
     };
 
diff -pruN 5.0.2-3/include/CGAL/Sqrt_extension/Scalar_factor_traits.h 5.0.3-1/include/CGAL/Sqrt_extension/Scalar_factor_traits.h
--- 5.0.2-3/include/CGAL/Sqrt_extension/Scalar_factor_traits.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sqrt_extension/Scalar_factor_traits.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Sqrt_extension/Scalar_factor_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Sqrt_extension/Scalar_factor_traits.h $
 // $Id: Scalar_factor_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Sqrt_extension/Sqrt_extension_type.h 5.0.3-1/include/CGAL/Sqrt_extension/Sqrt_extension_type.h
--- 5.0.2-3/include/CGAL/Sqrt_extension/Sqrt_extension_type.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sqrt_extension/Sqrt_extension_type.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Sqrt_extension/Sqrt_extension_type.h $
-// $Id: Sqrt_extension_type.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Sqrt_extension/Sqrt_extension_type.h $
+// $Id: Sqrt_extension_type.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -30,7 +30,7 @@
 
 #include <CGAL/number_type_basic.h>
 #include <boost/operators.hpp>
-#include <CGAL/Interval_arithmetic.h> 
+#include <CGAL/Interval_arithmetic.h>
 #include <CGAL/Sqrt_extension_fwd.h>
 #include <boost/optional.hpp>
 #include <boost/type_traits/is_same.hpp>
@@ -85,15 +85,15 @@ protected:
   std::pair<double,double> cached_value() const {return std::pair<double,double>();}
   void update_cached_value(const std::pair<double,double>&) const {}
 };
-  
- 
+
+
 template <>
 class Interval_optional_caching< ::CGAL::Tag_true >
 {
 protected:
   typedef boost::optional< std::pair<double,double> > Cached_interval;
   mutable Cached_interval interval_;
-  void invalidate_interval() {interval_=Cached_interval();}  
+  void invalidate_interval() {interval_=Cached_interval();}
   bool is_cached() const {return (interval_?true:false);}
   std::pair<double,double> cached_value() const {return *interval_;}
   void update_cached_value(const std::pair<double,double>& i) const {interval_=i;}
@@ -110,7 +110,7 @@ class Sqrt_extension : public internal::
 public:
     typedef NT_ NT;
     typedef ROOT_ ROOT;
-    typedef ACDE_TAG_ ACDE_TAG; 
+    typedef ACDE_TAG_ ACDE_TAG;
     typedef Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG> Self;
 private:
     NT a0_;
@@ -120,9 +120,9 @@ private:
 
     typedef CGAL::Algebraic_structure_traits<NT> Algebraic_structure_traits_nt;
     typedef CGAL::Real_embeddable_traits<NT> Real_embeddable_traits_nt;
-    
+
     typedef typename CGAL::Coercion_traits< ROOT, NT >::Cast Root_nt_cast;
-    
+
 public:
     //! Default constructor of \c Sqrt_extension
     Sqrt_extension()
@@ -137,14 +137,14 @@ public:
     //non-documented: used for Make_sqrt
     Sqrt_extension(const ROOT& root,bool)
           :a0_(NT(0)), a1_(NT(1)), root_(root), is_extended_(true) {}
-          
+
     /*!\brief Explicit constructor of Sqrt_extension, from any type NTX.
      * \pre NT must constructible from NTX */
     template <class NTX>
     explicit Sqrt_extension(const NTX& i)
         : a0_(NT(i)), a1_(NT(0)), root_(ROOT(0)), is_extended_(false) {}
 
- 
+
 
     /*! \brief Expicite constructor of Sqrt_extension, from
      *  \c Sqrt_extension<NTX,ROOTX>.
@@ -174,7 +174,7 @@ public:
      *  \c polynomial. The bool
      *  \pre NT must constructible from (NTX,NTX)
      *  \pre ROOT must constructible from (NTX,NTX)
-     */    
+     */
   template <class NTX>
   explicit Sqrt_extension(const NTX& a, const NTX& b, const NTX& c, const bool is_smaller,
     typename boost::enable_if< boost::mpl::and_<
@@ -188,10 +188,10 @@ public:
       a0_ = compose_nt(-b,2*a);
       root_ = CGAL_NTS square(a0_) - compose_root(c,a);
       if(CGAL_NTS is_zero(root_)) {
-	is_extended_ = false;
+        is_extended_ = false;
       } else {
-	a1_ = (is_smaller ? -1 : 1);
-	is_extended_ = true;
+        a1_ = (is_smaller ? -1 : 1);
+        is_extended_ = true;
       }
     }
     else {
@@ -203,7 +203,7 @@ public:
     }
   }
 
-  
+
   Self conjugate() const
   {
     if(!is_extended_) return *this;
@@ -223,21 +223,21 @@ public:
     NT&        a1()       { return a1_; }
     NT&        beta()       { return a1_; }  //for backward compatibility
     //! Access operator for root_, \c const
-    inline const ROOT& root() const { return root_; }  
+    inline const ROOT& root() const { return root_; }
     inline const ROOT& gamma() const { return root_; }  //for backward compatibility
     //! Access operator for is_extended_, \c const
     inline const bool& is_extended() const { return is_extended_; }
     inline bool is_rational() const {
       CGAL_precondition( (boost::is_same<NT,ROOT>::value) || !"NT and ROOT should be identical and rational");
       return !is_extended_;} //for backward compatibility
-    
+
     //!check if the number is an extension (test the values) and update the internal flag
     inline bool check_if_is_extended() {
-      if(CGAL_NTS is_zero(a1_) || CGAL_NTS is_zero(root_)) 
+      if(CGAL_NTS is_zero(a1_) || CGAL_NTS is_zero(root_))
         is_extended_ = false;
       return is_extended_;
     }
-    
+
     //! Access operator for root_
     //ROOT& root() { return root_; }
 
@@ -257,31 +257,31 @@ public:
     {
       if (! is_extended_)
           return CGAL_NTS to_interval(a0_);
-      
+
       const CGAL::Interval_nt<false>&  a0_int = CGAL_NTS to_interval(a0_);
       const CGAL::Interval_nt<false>&  a1_int = CGAL_NTS to_interval(a1_);
       const CGAL::Interval_nt<false>&  root_int = CGAL_NTS to_interval(root_);
 
       CGAL::Interval_nt<false>::Protector p;
-      const CGAL::Interval_nt<false>&  x_int = 
+      const CGAL::Interval_nt<false>&  x_int =
           a0_int + (a1_int * CGAL::sqrt(root_int));
 
       std::pair<double, double> res(x_int.inf(), x_int.sup());
       this->update_cached_value(res);
       return res;
     }
-    
+
     std::pair<double,double> to_interval() const
     {
       std::pair<double,double> ret=this->is_cached()?this->cached_value():compute_to_interval();
       return ret;
-    }    
+    }
 
     //! propagates the simplify command to the members of xx
     void simplify(){
       if(is_extended_){
         if(CGAL_NTS is_zero(a1_)){
-          is_extended_ = false; 
+          is_extended_ = false;
         }else{
           CGAL_NTS simplify(a1_);
           CGAL_NTS simplify(root_);
@@ -317,7 +317,7 @@ public:
             return CGAL_NTS sign(a0());
 
         if (FP_TAG::value){
-          const std::pair<double, double>&  x_in = this->to_interval(); 
+          const std::pair<double, double>&  x_in = this->to_interval();
 
           if (x_in.first > 0)
             return (CGAL::POSITIVE);
@@ -399,8 +399,8 @@ public:
                 return *this = Self (a0_-p.a0_);
         }
     }
-      
-    Self& operator *= (const Self& p){   
+
+    Self& operator *= (const Self& p){
       this->invalidate_interval();
         if(is_extended_){
             if (p.is_extended_){
@@ -408,7 +408,7 @@ public:
                 Self::check_roots(*this, p);
                 #endif
                 return *this = Self (
-                        a0_*p.a0_+a1_*p.a1_*Root_nt_cast()(root_),  
+                        a0_*p.a0_+a1_*p.a1_*Root_nt_cast()(root_),
                         a0_*p.a1_+a1_*p.a0_,
                         root_);
             }else{
@@ -419,20 +419,20 @@ public:
                 return *this = Self (a0_*p.a0_, a0_*p.a1_, p.root_);
             else
                 return *this = Self (a0_*p.a0_);
-        }   
+        }
     }
     Self& operator /= (const Self& p) {
       this->invalidate_interval();
 
         CGAL_assertion( ! CGAL_NTS is_zero(p) );
         typename CGAL::Algebraic_structure_traits<NT>::Integral_division idiv;
-        
+
         if(p.is_extended_){
             NT denom = p.a0_*p.a0_ - p.a1_*p.a1_ * Root_nt_cast()(p.root_);
-            if ( CGAL_NTS is_zero(denom) ) {                         
+            if ( CGAL_NTS is_zero(denom) ) {
                 // this is for the rare case in which root is a square
-                // and the (pseudo) algebraic conjugate of p becomes zero 
-                *this = Self(idiv(a0_, NT(2)*p.a0_) + idiv( a1_, NT(2)*p.a1_));                
+                // and the (pseudo) algebraic conjugate of p becomes zero
+                *this = Self(idiv(a0_, NT(2)*p.a0_) + idiv( a1_, NT(2)*p.a1_));
             }else{
                 *this *= Self(p.a0_,-p.a1_,p.root_);
                 *this =  Self( idiv(a0_,denom), idiv(a1_,denom), root_);
@@ -444,7 +444,7 @@ public:
                 *this = Self(idiv(a0_,p.a0_));
             }
         }
-        return *this; 
+        return *this;
     }
 
 //------------------------------------------------------------------
@@ -499,7 +499,7 @@ public:
     }
 
 
-    CGAL::Comparison_result 
+    CGAL::Comparison_result
         compare (const CGAL_int(NT)& num) const {
         return this->compare(NT(num));
     }
@@ -512,9 +512,9 @@ compare (const NT& num) const {
         return (CGAL::compare (a0_, num));
 
     if (FP_TAG::value){
-      const std::pair<double, double>&  x_in = this->to_interval(); 
-      const std::pair<double, double>&  y_in = CGAL::to_interval (num); 
-      
+      const std::pair<double, double>&  x_in = this->to_interval();
+      const std::pair<double, double>&  y_in = CGAL::to_interval (num);
+
       if (x_in.second < y_in.first)
         return (SMALLER);
       else if (x_in.first > y_in.second)
@@ -526,7 +526,7 @@ compare (const NT& num) const {
 
 // compare of two values that may be in different extension
 // However, the default is, that the the numbers are defined over the same
-// extension. 
+// extension.
 CGAL::Comparison_result
   compare(const Self& y, bool in_same_extension = !ACDE_TAG::value ) const
 {
@@ -540,9 +540,9 @@ CGAL::Comparison_result
 
     if (FP_TAG::value)
     {
-      const std::pair<double, double>&  x_in = this->to_interval(); 
-      const std::pair<double, double>&  y_in = y.to_interval(); 
-      
+      const std::pair<double, double>&  x_in = this->to_interval();
+      const std::pair<double, double>&  y_in = y.to_interval();
+
       if (x_in.second < y_in.first)
         return (SMALLER);
       else if (x_in.first > y_in.second)
@@ -735,7 +735,7 @@ struct NT_converter < Sqrt_extension<NT1
     }
 };
 
-// UNARY 
+// UNARY
 template <class NT,class ROOT,class ACDE_TAG,class FP_TAG> Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG>
   operator + (const Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG>& p) { return p; }
 
@@ -748,24 +748,24 @@ operator - (const Sqrt_extension<NT,ROOT
 }
 
 
-// BINARY 
+// BINARY
 
-template<class NT, class ROOT,class ACDE_TAG,class FP_TAG> inline 
+template<class NT, class ROOT,class ACDE_TAG,class FP_TAG> inline
 Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG> min BOOST_PREVENT_MACRO_SUBSTITUTION(
 const Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG> & x,
 const Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG> & y){
   return (std::min)(x,y);
 }
-template<class NT, class ROOT,class ACDE_TAG,class FP_TAG> inline 
+template<class NT, class ROOT,class ACDE_TAG,class FP_TAG> inline
 Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG> max BOOST_PREVENT_MACRO_SUBSTITUTION(
 const Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG> & x,
 const Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG> & y){
   return (std::max)(x,y);
 }
 
-template <class NT, class ROOT,class ACDE_TAG,class FP_TAG> inline 
+template <class NT, class ROOT,class ACDE_TAG,class FP_TAG> inline
 CGAL::Comparison_result compare (
-    const Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG>& x, 
+    const Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG>& x,
     const Sqrt_extension<NT,ROOT,ACDE_TAG,FP_TAG>& y,
     bool in_same_extension = !ACDE_TAG::value ){
   return x.compare(y,in_same_extension);
diff -pruN 5.0.2-3/include/CGAL/Sqrt_extension/Wang_traits.h 5.0.3-1/include/CGAL/Sqrt_extension/Wang_traits.h
--- 5.0.2-3/include/CGAL/Sqrt_extension/Wang_traits.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sqrt_extension/Wang_traits.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Sqrt_extension/Wang_traits.h $
-// $Id: Wang_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Sqrt_extension/Wang_traits.h $
+// $Id: Wang_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -21,32 +21,32 @@
 namespace CGAL {
 namespace internal{
 
-template <class NT_> class Wang_traits; 
+template <class NT_> class Wang_traits;
 
 template <class AS, class ROOT, class ACDE_TAG, class FP_TAG>
 class Wang_traits< CGAL::Sqrt_extension<AS,ROOT,ACDE_TAG,FP_TAG> >{
-    typedef Wang_traits<AS> WT; 
+    typedef Wang_traits<AS> WT;
 public:
     // the supported number type
   typedef  CGAL::Sqrt_extension<AS,ROOT,ACDE_TAG,FP_TAG> NT;
-    // the scalar type (same as Scalar factor traits ?) 
+    // the scalar type (same as Scalar factor traits ?)
     typedef typename WT::Scalar Scalar;
 
-    struct Wang { 
-        bool 
+    struct Wang {
+        bool
         operator()
             (const NT& ext, const Scalar& m, NT& n, Scalar& d) const {
             typename Algebraic_structure_traits<Scalar>::Integral_division idiv;
-            typename WT::Wang wang; 
-            
+            typename WT::Wang wang;
+
             AS     a0,a1;
-            Scalar d0,d1; 
+            Scalar d0,d1;
             ROOT root;
             n = NT(0);
             d = Scalar(0);
-            
+
             if(!wang(ext.a0(),m,a0,d0)) return false;
-            
+
             if(ext.is_extended()){
                 if(!wang(ext.a1(),m,a1,d1)) return false;
                 d  = d0 * idiv(d1,CGAL::gcd(d0,d1));
@@ -54,10 +54,10 @@ public:
                 a1 = a1 * idiv(d,d1);
                 n  = NT(a0,a1,ext.root());
             }else{
-                d = d0; 
+                d = d0;
                 n = NT(a0);
             }
-            return true; 
+            return true;
         }
     };
 };
diff -pruN 5.0.2-3/include/CGAL/Sqrt_extension_fwd.h 5.0.3-1/include/CGAL/Sqrt_extension_fwd.h
--- 5.0.2-3/include/CGAL/Sqrt_extension_fwd.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sqrt_extension_fwd.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Sqrt_extension_fwd.h $
-// $Id: Sqrt_extension_fwd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Sqrt_extension_fwd.h $
+// $Id: Sqrt_extension_fwd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -20,9 +20,9 @@
 
 namespace CGAL{
 
-template <class NT_,class ROOT_, class AllowCompareDifferentExtensions = ::CGAL::Tag_false, class FilterPredicates = ::CGAL::Tag_false > 
+template <class NT_,class ROOT_, class AllowCompareDifferentExtensions = ::CGAL::Tag_false, class FilterPredicates = ::CGAL::Tag_false >
 class Sqrt_extension;
-  
+
 } //namespace CGAL
 
 #endif // CGAL_SQRT_EXTENSION_FWD_H
diff -pruN 5.0.2-3/include/CGAL/Sqrt_extension.h 5.0.3-1/include/CGAL/Sqrt_extension.h
--- 5.0.2-3/include/CGAL/Sqrt_extension.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sqrt_extension.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/Sqrt_extension.h $
-// $Id: Sqrt_extension.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/Sqrt_extension.h $
+// $Id: Sqrt_extension.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -17,17 +17,17 @@
 
 // COMMENTS FROM EXACUS
 /*! \ingroup NiX_Sqrt_extension
-\brief represents an extension of a number type by one square root. 
+\brief represents an extension of a number type by one square root.
 
  An instance of this class
-represents  an extension of the type NT by a square root of the 
-type ROOT. In case NT and ROOT do not coincide, 
-NT must be constructible from ROOT.  The number type NT 
-must be at least a model of the IntegralDomainWithoutDiv concept. 
-
-An Sqrt_extension is a model of RealComparable if NT is RealComparable.\n  
-The <B>algebraic type</B> of NiX::Sqrt_extension depends on the algebraic type 
-of NT: 
+represents  an extension of the type NT by a square root of the
+type ROOT. In case NT and ROOT do not coincide,
+NT must be constructible from ROOT.  The number type NT
+must be at least a model of the IntegralDomainWithoutDiv concept.
+
+An Sqrt_extension is a model of RealComparable if NT is RealComparable.\n
+The <B>algebraic type</B> of NiX::Sqrt_extension depends on the algebraic type
+of NT:
 - IntegralDomainWithoutDiv -> IntegralDomainWithoutDiv
 - IntegralDomain           -> IntegralDomain
 - UFDomain                 -> IntegralDomain
@@ -38,9 +38,9 @@ of NT:
 
 Note that NT and ROOT can themselves be an instance of
 NiX::Sqrt_extension, yielding a nested extension.\n
-Note that the extension of an UFDomain or EuclideanRing is just an 
-IntegralDomain, since the extension in general destroys the unique 
-factorization property. 
+Note that the extension of an UFDomain or EuclideanRing is just an
+IntegralDomain, since the extension in general destroys the unique
+factorization property.
 */
 
 #include <CGAL/number_type_basic.h>
diff -pruN 5.0.2-3/include/CGAL/squared_distance_2_1.h 5.0.3-1/include/CGAL/squared_distance_2_1.h
--- 5.0.2-3/include/CGAL/squared_distance_2_1.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/squared_distance_2_1.h	2020-08-01 19:02:20.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1998-2004  
+// Copyright (c) 1998-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Distance_2/include/CGAL/squared_distance_2_1.h $
-// $Id: squared_distance_2_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Distance_2/include/CGAL/squared_distance_2_1.h $
+// $Id: squared_distance_2_1.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 //                 Michel Hoffmann <hoffmann@inf.ethz.ch>
@@ -32,12 +32,12 @@
 namespace CGAL {
 
 namespace internal {
-  
+
   template <class K>
   inline typename K::FT
   squared_distance(const typename K::Point_2 & pt1,
-		   const typename K::Point_2 & pt2,
-		   const K& k)
+                   const typename K::Point_2 & pt2,
+                   const K& k)
   {
     typename K::Vector_2 vec = k.construct_vector_2_object()(pt2, pt1);
     return (typename K::FT)k.compute_squared_length_2_object()(vec);
@@ -46,9 +46,9 @@ namespace internal {
   template <class K>
   typename K::FT
   squared_distance(const typename K::Point_2 &pt,
-		   const typename K::Line_2 &line,
-		   const K&,
-		   const Homogeneous_tag&)
+                   const typename K::Line_2 &line,
+                   const K&,
+                   const Homogeneous_tag&)
   {
     typedef typename K::RT RT;
     typedef typename K::FT FT;
@@ -63,9 +63,9 @@ namespace internal {
   template <class K>
   typename K::FT
   squared_distance(const typename K::Point_2 &pt,
-		   const typename K::Line_2 &line,
-		   const K&,
-		   const Cartesian_tag&)
+                   const typename K::Line_2 &line,
+                   const K&,
+                   const Cartesian_tag&)
   {
     typedef typename K::FT FT;
     const FT & a = line.a();
@@ -79,9 +79,9 @@ namespace internal {
   template <class K>
   typename K::FT
   squared_distance(const typename K::Point_2 &pt,
-		   const typename K::Line_2 &line,
-		   const K& k)
-  {  
+                   const typename K::Line_2 &line,
+                   const K& k)
+  {
     typedef typename K::Kernel_tag Tag;
     Tag tag;
     return squared_distance(pt, line, k, tag);
@@ -89,18 +89,18 @@ namespace internal {
 
   template <class K>
   inline typename K::FT
-  squared_distance(const typename K::Line_2 &line, 
-		   const typename K::Point_2 &pt,
-		   const K& k)
+  squared_distance(const typename K::Line_2 &line,
+                   const typename K::Point_2 &pt,
+                   const K& k)
   {
     return internal::squared_distance(pt, line, k);
   }
-  
+
   template <class K>
   typename K::FT
   squared_distance(const typename K::Point_2 &pt,
-		   const typename K::Ray_2 &ray,
-		   const K& k)
+                   const typename K::Ray_2 &ray,
+                   const K& k)
   {
     typedef typename K::Vector_2 Vector_2;
     typename K::Construct_vector_2 construct_vector;
@@ -114,8 +114,8 @@ namespace internal {
   template <class K>
   inline typename K::FT
   squared_distance(const typename K::Ray_2 &ray,
-		   const typename K::Point_2 &pt,
-		   const K& k)
+                   const typename K::Point_2 &pt,
+                   const K& k)
   {
     return internal::squared_distance(pt, ray, k);
   }
@@ -123,8 +123,8 @@ namespace internal {
   template <class K>
   typename K::FT
   squared_distance(const typename K::Point_2 &pt,
-		   const typename K::Segment_2 &seg,
-		   const K& k)
+                   const typename K::Segment_2 &seg,
+                   const K& k)
   {
     typename K::Construct_vector_2 construct_vector;
     typedef typename K::Vector_2 Vector_2;
@@ -144,8 +144,8 @@ namespace internal {
   template <class K>
   inline typename K::FT
   squared_distance(const typename K::Segment_2 &seg,
-		   const typename K::Point_2 &pt,
-		   const K& k)
+                   const typename K::Point_2 &pt,
+                   const K& k)
   {
     return internal::squared_distance(pt, seg, k);
   }
@@ -153,32 +153,32 @@ namespace internal {
   template <class K>
   typename K::FT
   squared_distance_parallel(const typename K::Segment_2 &seg1,
-			    const typename K::Segment_2 &seg2,
-			    const K& k)
+                            const typename K::Segment_2 &seg2,
+                            const K& k)
   {
     typedef typename K::Vector_2 Vector_2;
     const Vector_2 &dir1 = seg1.direction().vector();
     const Vector_2 &dir2 = seg2.direction().vector();
     if (same_direction(dir1, dir2, k)) {
       if (!is_acute_angle(seg1.source(), seg1.target(), seg2.source(), k))
-	return internal::squared_distance(seg1.target(), seg2.source(), k);
+        return internal::squared_distance(seg1.target(), seg2.source(), k);
       if (!is_acute_angle(seg1.target(), seg1.source(), seg2.target(), k))
-	return internal::squared_distance(seg1.source(), seg2.target(), k);
+        return internal::squared_distance(seg1.source(), seg2.target(), k);
     } else {
       if (!is_acute_angle(seg1.source(), seg1.target(), seg2.target(), k))
-	return internal::squared_distance(seg1.target(), seg2.target(), k);
+        return internal::squared_distance(seg1.target(), seg2.target(), k);
       if (!is_acute_angle(seg1.target(), seg1.source(), seg2.source(), k))
-	return internal::squared_distance(seg1.source(), seg2.source(), k);
+        return internal::squared_distance(seg1.source(), seg2.source(), k);
     }
     return internal::squared_distance(seg2.source(), seg1.supporting_line(), k);
   }
 
   template <class K>
-  inline typename K::RT 
-  _distance_measure_sub(const typename K::RT &startwcross, 
-			const typename K::RT &endwcross,
-			const typename K::Point_2 &start, 
-			const typename K::Point_2 &end)
+  inline typename K::RT
+  _distance_measure_sub(const typename K::RT &startwcross,
+                        const typename K::RT &endwcross,
+                        const typename K::Point_2 &start,
+                        const typename K::Point_2 &end)
   {
     return  CGAL_NTS abs(wmult((K*)0, startwcross, end.hw())) -
       CGAL_NTS abs(wmult((K*)0, endwcross, start.hw()));
@@ -187,8 +187,8 @@ namespace internal {
   template <class K>
   typename K::FT
   squared_distance(const typename K::Segment_2 &seg1,
-		   const typename K::Segment_2 &seg2,
-		   const K& k)
+                   const typename K::Segment_2 &seg2,
+                   const K& k)
   {
     typedef typename K::RT RT;
     typedef typename K::FT FT;
@@ -206,83 +206,83 @@ namespace internal {
       crossing1 = (c1e >= RT(0));
     } else {
       if (c1e <= RT(0)) {
-	if (c1s == RT(0) && c1e == RT(0))
-	  return internal::squared_distance_parallel(seg1, seg2, k);
-	crossing1 = true;
+        if (c1s == RT(0) && c1e == RT(0))
+          return internal::squared_distance_parallel(seg1, seg2, k);
+        crossing1 = true;
       } else {
-	crossing1 = (c1s == RT(0));
+        crossing1 = (c1s == RT(0));
       }
     }
     if (c2s < RT(0)) {
       crossing2 = (c2e >= RT(0));
     } else {
       if (c2e <= RT(0)) {
-	if (c2s == RT(0) && c2e == RT(0))
-	  return internal::squared_distance_parallel(seg1, seg2, k);
-	crossing2 = true;
+        if (c2s == RT(0) && c2e == RT(0))
+          return internal::squared_distance_parallel(seg1, seg2, k);
+        crossing2 = true;
       } else {
-	crossing2 = (c2s == RT(0));
+        crossing2 = (c2s == RT(0));
       }
     }
 
     if (crossing1) {
       if (crossing2)
-	return (FT)0;
+        return (FT)0;
       RT dm;
       dm = _distance_measure_sub<K>(c2s,c2e, seg2.source(), seg2.target());
       if (dm < RT(0)) {
-	return internal::squared_distance(seg2.source(), seg1, k);
+        return internal::squared_distance(seg2.source(), seg1, k);
       } else {
-	if (dm > RT(0)) {
-	  return internal::squared_distance(seg2.target(), seg1, k);
-	} else {
-	  // parallel, should not happen (no crossing)
-	  return internal::squared_distance_parallel(seg1, seg2, k);
-	}
+        if (dm > RT(0)) {
+          return internal::squared_distance(seg2.target(), seg1, k);
+        } else {
+          // parallel, should not happen (no crossing)
+          return internal::squared_distance_parallel(seg1, seg2, k);
+        }
       }
     } else {
       if (crossing2) {
-	RT dm;
-	dm =
-	  _distance_measure_sub<K>(c1s, c1e,seg1.source(),seg1.target());
-	if (dm < RT(0)) {
-	  return internal::squared_distance(seg1.source(), seg2, k);
-	} else {
-	  if (dm > RT(0)) {
-	    return internal::squared_distance(seg1.target(), seg2, k);
-	  } else {
-	    // parallel, should not happen (no crossing)
-	    return internal::squared_distance_parallel(seg1, seg2, k);
-	  }
-	}
+        RT dm;
+        dm =
+          _distance_measure_sub<K>(c1s, c1e,seg1.source(),seg1.target());
+        if (dm < RT(0)) {
+          return internal::squared_distance(seg1.source(), seg2, k);
+        } else {
+          if (dm > RT(0)) {
+            return internal::squared_distance(seg1.target(), seg2, k);
+          } else {
+            // parallel, should not happen (no crossing)
+            return internal::squared_distance_parallel(seg1, seg2, k);
+          }
+        }
       } else {
 
-	FT min1, min2;
-	RT dm = _distance_measure_sub<K>(
-				      c1s, c1e, seg1.source(), seg1.target());
-	if (dm == RT(0))
-	  return internal::squared_distance_parallel(seg1, seg2, k);
-	min1 = (dm < RT(0)) ?
-	  internal::squared_distance(seg1.source(), seg2, k):
-	  internal::squared_distance(seg1.target(), seg2, k);
-	dm = _distance_measure_sub<K>(
-				   c2s, c2e, seg2.source(), seg2.target());
-	if (dm == RT(0))  // should not happen.
-	  return internal::squared_distance_parallel(seg1, seg2, k);
-	min2 = (dm < RT(0)) ?
-	  internal::squared_distance(seg2.source(), seg1, k):
-	  internal::squared_distance(seg2.target(), seg1, k);
-	return (min1 < min2) ? min1 : min2;
+        FT min1, min2;
+        RT dm = _distance_measure_sub<K>(
+                                      c1s, c1e, seg1.source(), seg1.target());
+        if (dm == RT(0))
+          return internal::squared_distance_parallel(seg1, seg2, k);
+        min1 = (dm < RT(0)) ?
+          internal::squared_distance(seg1.source(), seg2, k):
+          internal::squared_distance(seg1.target(), seg2, k);
+        dm = _distance_measure_sub<K>(
+                                   c2s, c2e, seg2.source(), seg2.target());
+        if (dm == RT(0))  // should not happen.
+          return internal::squared_distance_parallel(seg1, seg2, k);
+        min2 = (dm < RT(0)) ?
+          internal::squared_distance(seg2.source(), seg1, k):
+          internal::squared_distance(seg2.target(), seg1, k);
+        return (min1 < min2) ? min1 : min2;
       }
     }
   }
 
   template <class K>
-  inline typename K::RT 
-  _distance_measure_sub(const typename K::RT &startwcross, 
-			const typename K::RT &endwcross,
-			const typename K::Vector_2 &start, 
-			const typename K::Vector_2 &end)
+  inline typename K::RT
+  _distance_measure_sub(const typename K::RT &startwcross,
+                        const typename K::RT &endwcross,
+                        const typename K::Vector_2 &start,
+                        const typename K::Vector_2 &end)
   {
     return  CGAL_NTS abs(wmult((K*)0, startwcross, end.hw())) -
       CGAL_NTS abs(wmult((K*)0, endwcross, start.hw()));
@@ -291,8 +291,8 @@ namespace internal {
   template <class K>
   typename K::FT
   squared_distance_parallel(const typename K::Segment_2 &seg,
-			    const typename K::Ray_2 &ray,
-			    const K& k)
+                            const typename K::Ray_2 &ray,
+                            const K& k)
   {
     typedef typename K::Vector_2 Vector_2;
     const Vector_2 &dir1 = seg.direction().vector();
@@ -300,10 +300,10 @@ namespace internal {
 
     if (same_direction(dir1, dir2, k)) {
       if (!is_acute_angle(seg.source(), seg.target(), ray.source(), k))
-	return internal::squared_distance(seg.target(), ray.source(), k);
+        return internal::squared_distance(seg.target(), ray.source(), k);
     } else {
       if (!is_acute_angle(seg.target(), seg.source(), ray.source(), k))
-	return internal::squared_distance(seg.source(), ray.source(), k);
+        return internal::squared_distance(seg.source(), ray.source(), k);
     }
     return internal::squared_distance(ray.source(), seg.supporting_line(), k);
   }
@@ -311,8 +311,8 @@ namespace internal {
   template <class K>
   typename K::FT
   squared_distance(const typename K::Segment_2 &seg,
-		   const typename K::Ray_2 &ray,
-		   const K& k)
+                   const typename K::Ray_2 &ray,
+                   const K& k)
   {
     typename K::Construct_vector_2 construct_vector;
     typedef typename K::RT RT;
@@ -333,11 +333,11 @@ namespace internal {
       crossing1 = (c1e >= RT(0));
     } else {
       if (c1e <= RT(0)) {
-	if (c1s == RT(0) && c1e == RT(0))
-	  return internal::squared_distance_parallel(seg, ray, k);
-	crossing1 = true;
+        if (c1s == RT(0) && c1e == RT(0))
+          return internal::squared_distance_parallel(seg, ray, k);
+        crossing1 = true;
       } else {
-	crossing1 = (c1s == RT(0));
+        crossing1 = (c1s == RT(0));
       }
     }
     switch (orientation(seg.source(), seg.target(), ray.source())) {
@@ -354,32 +354,32 @@ namespace internal {
 
     if (crossing1) {
       if (crossing2)
-	return FT(0);
+        return FT(0);
       return internal::squared_distance(ray.source(), seg, k);
     } else {
       if (crossing2) {
-	RT dm;
-	dm = _distance_measure_sub<K>(c1s, c1e, startvec, endvec);
-	if (dm < RT(0)) {
-	  return internal::squared_distance(seg.source(), ray, k);
-	} else {
-	  if (dm > RT(0)) {
-	    return internal::squared_distance(seg.target(), ray, k);
-	  } else {
-	    // parallel, should not happen (no crossing)
-	    return internal::squared_distance_parallel(seg, ray, k);
-	  }
-	}
+        RT dm;
+        dm = _distance_measure_sub<K>(c1s, c1e, startvec, endvec);
+        if (dm < RT(0)) {
+          return internal::squared_distance(seg.source(), ray, k);
+        } else {
+          if (dm > RT(0)) {
+            return internal::squared_distance(seg.target(), ray, k);
+          } else {
+            // parallel, should not happen (no crossing)
+            return internal::squared_distance_parallel(seg, ray, k);
+          }
+        }
       } else {
-	FT min1, min2;
-	RT dm = _distance_measure_sub<K>(c1s, c1e, startvec, endvec);
-	if (dm == RT(0))
-	  return internal::squared_distance_parallel(seg, ray, k);
-	min1 = (dm < RT(0))
-	  ? internal::squared_distance(seg.source(), ray, k)
-	  : internal::squared_distance(seg.target(), ray, k);
-	min2 = internal::squared_distance(ray.source(), seg, k);
-	return (min1 < min2) ? min1 : min2;
+        FT min1, min2;
+        RT dm = _distance_measure_sub<K>(c1s, c1e, startvec, endvec);
+        if (dm == RT(0))
+          return internal::squared_distance_parallel(seg, ray, k);
+        min1 = (dm < RT(0))
+          ? internal::squared_distance(seg.source(), ray, k)
+          : internal::squared_distance(seg.target(), ray, k);
+        min2 = internal::squared_distance(ray.source(), seg, k);
+        return (min1 < min2) ? min1 : min2;
       }
     }
   }
@@ -387,8 +387,8 @@ namespace internal {
   template <class K>
   inline typename K::FT
   squared_distance(const typename K::Ray_2 &ray,
-		   const typename K::Segment_2 &seg,
-		   const K& k)
+                   const typename K::Segment_2 &seg,
+                   const K& k)
   {
     return internal::squared_distance(seg, ray, k);
   }
@@ -396,22 +396,22 @@ namespace internal {
   template <class K>
   typename K::FT
   _sqd_to_line(const typename K::Vector_2 &diff,
-	       const typename K::RT & wcross, 
-	       const typename K::Vector_2 &dir )
+               const typename K::RT & wcross,
+               const typename K::Vector_2 &dir )
   {
     typedef typename K::RT RT;
     typedef typename K::FT FT;
     RT numerator = CGAL_NTS square(wcross);
     RT denominator = wmult((K*)0, RT(wdot(dir,dir, K())),
-			   diff.hw(), diff.hw());
+                           diff.hw(), diff.hw());
     return Rational_traits<FT>().make_rational(numerator, denominator);
   }
 
   template <class K>
   typename K::FT
   squared_distance(const typename K::Segment_2 &seg,
-		   const typename K::Line_2 &line,
-		   const K& k)
+                   const typename K::Line_2 &line,
+                   const K& k)
   {
     typename K::Construct_vector_2 construct_vector;
     typedef typename K::RT RT;
@@ -433,9 +433,9 @@ namespace internal {
       crossing1 = (c1e >= RT(0));
     } else {
       if (c1e <= RT(0)) {
-	crossing1 = true;
+        crossing1 = true;
       } else {
-	crossing1 = (c1s == RT(0));
+        crossing1 = (c1s == RT(0));
       }
     }
 
@@ -445,9 +445,9 @@ namespace internal {
       RT dm;
       dm = _distance_measure_sub<K>(c1s, c1e, startvec, endvec);
       if (dm <= RT(0)) {
-	return _sqd_to_line<K>(startvec, c1s, linedir);
+        return _sqd_to_line<K>(startvec, c1s, linedir);
       } else {
-	return _sqd_to_line<K>(endvec, c1e, linedir);
+        return _sqd_to_line<K>(endvec, c1e, linedir);
       }
     }
   }
@@ -455,8 +455,8 @@ namespace internal {
   template <class K>
   inline typename K::FT
   squared_distance(const typename K::Line_2 &line,
-		   const typename K::Segment_2 &seg,
-		   const K& k)
+                   const typename K::Segment_2 &seg,
+                   const K& k)
   {
     return internal::squared_distance(seg, line, k);
   }
@@ -473,20 +473,20 @@ namespace internal {
     typedef typename K::FT FT;
     if (!is_acute_angle(ray1dir, from1to2, k)) {
       if (!same_direction(ray1dir, ray2dir, k))
-	return (typename K::FT)k.compute_squared_length_2_object()(from1to2);
+        return (typename K::FT)k.compute_squared_length_2_object()(from1to2);
     }
     RT wcr, w;
     wcr = wcross(ray1dir, from1to2, k);
     w = from1to2.hw();
     return (typename K::FT)(FT(wcr*wcr)
-			    / FT(wmult((K*)0, RT(wdot(ray1dir, ray1dir, k)), w, w)));
+                            / FT(wmult((K*)0, RT(wdot(ray1dir, ray1dir, k)), w, w)));
   }
 
   template <class K>
   typename K::FT
   squared_distance(const typename K::Ray_2 &ray1,
-		   const typename K::Ray_2 &ray2,
-		   const K& k)
+                   const typename K::Ray_2 &ray2,
+                   const K& k)
   {
     typename K::Construct_vector_2 construct_vector;
     typedef typename K::Vector_2 Vector_2;
@@ -511,26 +511,26 @@ namespace internal {
 
     if (crossing1) {
       if (crossing2)
-	return (FT)0;
+        return (FT)0;
       return internal::squared_distance(ray2.source(), ray1, k);
     } else {
       if (crossing2) {
-	return internal::squared_distance(ray1.source(), ray2, k);
+        return internal::squared_distance(ray1.source(), ray2, k);
       } else {
 
-	FT min1, min2;
-	min1 = internal::squared_distance(ray1.source(), ray2, k);
-	min2 = internal::squared_distance(ray2.source(), ray1, k);
-	return (min1 < min2) ? min1 : min2;
+        FT min1, min2;
+        min1 = internal::squared_distance(ray1.source(), ray2, k);
+        min2 = internal::squared_distance(ray2.source(), ray1, k);
+        return (min1 < min2) ? min1 : min2;
       }
     }
   }
-  
+
   template <class K>
   typename K::FT
   squared_distance(const typename K::Line_2 &line,
-		   const typename K::Ray_2 &ray,
-		   const K& k)
+                   const typename K::Ray_2 &ray,
+                   const K& k)
   {
     typename K::Construct_vector_2 construct_vector;
     typedef typename K::FT FT;
@@ -540,10 +540,10 @@ namespace internal {
     FT sign_dist = k.compute_scalar_product_2_object()(diff,normalvec);
     if (sign_dist < FT(0)) {
       if (is_acute_angle(normalvec, ray.direction().vector(), k) )
-	return (FT)0;
+        return (FT)0;
     } else {
       if (is_obtuse_angle(normalvec, ray.direction().vector(), k) )
-	return (FT)0;
+        return (FT)0;
     }
     return (typename K::FT)((sign_dist*sign_dist)/k.compute_squared_length_2_object()(normalvec));
   }
@@ -551,8 +551,8 @@ namespace internal {
   template <class K>
   inline typename K::FT
   squared_distance(const typename K::Ray_2 &ray,
-		   const typename K::Line_2 &line,
-		   const K& k)
+                   const typename K::Line_2 &line,
+                   const K& k)
   {
     return internal::squared_distance(line, ray, k);
   }
@@ -560,8 +560,8 @@ namespace internal {
   template <class K>
   inline typename K::FT
   squared_distance(const typename K::Line_2 &line1,
-		   const typename K::Line_2 &line2,
-		   const K& k)
+                   const typename K::Line_2 &line2,
+                   const K& k)
   {
     typedef typename K::FT FT;
     if (internal::parallel(line1, line2, k))
@@ -573,9 +573,9 @@ namespace internal {
   template <class K>
   void
   distance_index(int &ind,
-		 const typename K::Point_2 &pt,
-		 const typename K::Ray_2 &ray,
-		 const K& k)
+                 const typename K::Point_2 &pt,
+                 const typename K::Ray_2 &ray,
+                 const K& k)
   {
     typename K::Construct_vector_2 construct_vector;
     if (!is_acute_angle(ray.direction().vector(), construct_vector(ray.source(), pt), k)) {
@@ -588,9 +588,9 @@ namespace internal {
   template <class K>
   void
   distance_index(int &ind,
-		 const typename K::Point_2 &pt,
-		 const typename K::Segment_2 &seg,
-		 const K& k)
+                 const typename K::Point_2 &pt,
+                 const typename K::Segment_2 &seg,
+                 const K& k)
   {
     if (!is_acute_angle(seg.target(),seg.source(),pt, k)) {
       ind = 0;
@@ -606,9 +606,9 @@ namespace internal {
   template <class K>
   inline typename K::FT
   squared_distance_indexed(const typename K::Point_2 &pt,
-			   const typename K::Ray_2 &ray, 
-			   int ind,
-			   const K& k)
+                           const typename K::Ray_2 &ray,
+                           int ind,
+                           const K& k)
   {
     if (ind == 0)
       return internal::squared_distance(pt, ray.source(), k);
@@ -618,9 +618,9 @@ namespace internal {
   template <class K>
   inline typename K::FT
   squared_distance_indexed(const typename K::Point_2 &pt,
-			   const typename K::Segment_2 &seg, 
-			   int ind,
-			   const K& k)
+                           const typename K::Segment_2 &seg,
+                           int ind,
+                           const K& k)
   {
     if (ind == 0)
       return internal::squared_distance(pt, seg.source(), k);
@@ -628,7 +628,7 @@ namespace internal {
       return internal::squared_distance(pt, seg.target(), k);
     return internal::squared_distance(pt, seg.supporting_line(), k);
   }
-  
+
 } // namespace internal
 
 template <class K>
diff -pruN 5.0.2-3/include/CGAL/squared_distance_2_2.h 5.0.3-1/include/CGAL/squared_distance_2_2.h
--- 5.0.2-3/include/CGAL/squared_distance_2_2.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/squared_distance_2_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1998-2004  
+// Copyright (c) 1998-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Distance_2/include/CGAL/squared_distance_2_2.h $
-// $Id: squared_distance_2_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Distance_2/include/CGAL/squared_distance_2_2.h $
+// $Id: squared_distance_2_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -38,10 +38,10 @@ namespace internal {
   template <class K>
   void
   distance_index(int &ind1,
-		 int &ind2,
-		 const typename K::Point_2 &pt,
-		 const typename K::Triangle_2 &triangle,
-		 const K& k )
+                 int &ind2,
+                 const typename K::Point_2 &pt,
+                 const typename K::Triangle_2 &triangle,
+                 const K& k )
   {
     typename K::Left_turn_2 leftturn = k.left_turn_2_object();
     typedef typename K::Point_2 Point_2;
@@ -50,159 +50,159 @@ namespace internal {
     const Point_2 &vt2 = triangle.vertex(2);
     if (leftturn(vt0, vt1, vt2)) {
       if (leftturn(pt, vt1, vt0)) {
-	if (!is_acute_angle(vt0, vt1, pt, k)) {
-	  if (leftturn(pt, vt2, vt1)) {
-	    if (!is_acute_angle(vt1, vt2, pt, k)) {
-	      ind1 = 2; ind2 = -1;
-	      return;
-	    }
-	    if (!is_acute_angle(vt2, vt1, pt, k)) {
-	      ind1 = 1; ind2 = -1;
-	      return;
-	    }
-	    ind1 = 1; ind2 = 2;
-	    return;
-	  }
-	  ind1 = 1; ind2 = -1;
-	  return;
-	}
-	if (!is_acute_angle(vt1, vt0, pt, k)) {
-	  if (leftturn(pt, vt0, vt2)) {
-	    if (!is_acute_angle(vt0, vt2, pt, k)) {
-	      ind1 = 2; ind2 = -1;
-	      return;
-	    }
-	    if (!is_acute_angle(vt2, vt0, pt, k)) {
-	      ind1 = 0; ind2 = -1;
-	      return;
-	    }
-	    ind1 = 2; ind2 = 0;
-	    return;
-	  }
-	  ind1 = 0; ind2 = -1;
-	  return;
-	}
-	ind1 = 0; ind2 = 1;
-	return;
+        if (!is_acute_angle(vt0, vt1, pt, k)) {
+          if (leftturn(pt, vt2, vt1)) {
+            if (!is_acute_angle(vt1, vt2, pt, k)) {
+              ind1 = 2; ind2 = -1;
+              return;
+            }
+            if (!is_acute_angle(vt2, vt1, pt, k)) {
+              ind1 = 1; ind2 = -1;
+              return;
+            }
+            ind1 = 1; ind2 = 2;
+            return;
+          }
+          ind1 = 1; ind2 = -1;
+          return;
+        }
+        if (!is_acute_angle(vt1, vt0, pt, k)) {
+          if (leftturn(pt, vt0, vt2)) {
+            if (!is_acute_angle(vt0, vt2, pt, k)) {
+              ind1 = 2; ind2 = -1;
+              return;
+            }
+            if (!is_acute_angle(vt2, vt0, pt, k)) {
+              ind1 = 0; ind2 = -1;
+              return;
+            }
+            ind1 = 2; ind2 = 0;
+            return;
+          }
+          ind1 = 0; ind2 = -1;
+          return;
+        }
+        ind1 = 0; ind2 = 1;
+        return;
       } else {
-	if (leftturn(pt, vt2, vt1)) {
-	  if (!is_acute_angle(vt1, vt2, pt, k)) {
-	    if (leftturn(pt, vt0, vt2)) {
-	      if (!is_acute_angle(vt0, vt2, pt, k)) {
-		ind1 = 2; ind2 = -1;
-		return;
-	      }
-	      if (!is_acute_angle(vt2, vt0, pt, k)) {
-		ind1 = 0; ind2 = -1;
-		return;
-	      }
-	      ind1 = 2; ind2 = 0;
-	      return;
-	    }
-	    ind1 = 0; ind2 = -1;
-	    return;
-	  }
-	  if (!is_acute_angle(vt2, vt1, pt, k)) {
-	    ind1 = 1; ind2 = -1;
-	    return;
-	  }
-	  ind1 = 1; ind2 = 2;
-	  return;
-	} else {
-	  if (leftturn(pt, vt0, vt2)) {
-	    if (!is_acute_angle(vt2, vt0, pt, k)) {
-	      ind1 = 0; ind2 = -1;
-	      return;
-	    }
-	    if (!is_acute_angle(vt0, vt2, pt, k)) {
-	      ind1 = 2; ind2 = -1;
-	      return;
-	    }
-	    ind1 = 2; ind2 = 0;
-	    return;
-	  } else {
-	    ind1 = -1; ind2 = -1; // point inside or on boundary.
-	    return;
-	  }
-	}
+        if (leftturn(pt, vt2, vt1)) {
+          if (!is_acute_angle(vt1, vt2, pt, k)) {
+            if (leftturn(pt, vt0, vt2)) {
+              if (!is_acute_angle(vt0, vt2, pt, k)) {
+                ind1 = 2; ind2 = -1;
+                return;
+              }
+              if (!is_acute_angle(vt2, vt0, pt, k)) {
+                ind1 = 0; ind2 = -1;
+                return;
+              }
+              ind1 = 2; ind2 = 0;
+              return;
+            }
+            ind1 = 0; ind2 = -1;
+            return;
+          }
+          if (!is_acute_angle(vt2, vt1, pt, k)) {
+            ind1 = 1; ind2 = -1;
+            return;
+          }
+          ind1 = 1; ind2 = 2;
+          return;
+        } else {
+          if (leftturn(pt, vt0, vt2)) {
+            if (!is_acute_angle(vt2, vt0, pt, k)) {
+              ind1 = 0; ind2 = -1;
+              return;
+            }
+            if (!is_acute_angle(vt0, vt2, pt, k)) {
+              ind1 = 2; ind2 = -1;
+              return;
+            }
+            ind1 = 2; ind2 = 0;
+            return;
+          } else {
+            ind1 = -1; ind2 = -1; // point inside or on boundary.
+            return;
+          }
+        }
       }
     } else {
       if (leftturn(pt, vt2, vt0)) {
-	if (!is_acute_angle(vt0, vt2, pt, k)) {
-	  if (leftturn(pt, vt1, vt2)) {
-	    if (!is_acute_angle(vt2, vt1, pt, k)) {
-	      ind1 = 1; ind2 = -1;
-	      return;
-	    }
-	    if (!is_acute_angle(vt1, vt2, pt, k)) {
-	      ind1 = 2; ind2 = -1;
-	      return;
-	    }
-	    ind1 = 2; ind2 = 1;
-	    return;
-	  }
-	  ind1 = 2; ind2 = -1;
-	  return;
-	}
-	if (!is_acute_angle(vt2, vt0, pt, k)) {
-	  if (leftturn(pt, vt0, vt1)) {
-	    if (!is_acute_angle(vt0, vt1, pt, k)) {
-	      ind1 = 1; ind2 = -1;
-	      return;
-	    }
-	    if (!is_acute_angle(vt1, vt0, pt, k)) {
-	      ind1 = 0; ind2 = -1;
-	      return;
-	    }
-	    ind1 = 1; ind2 = 0;
-	    return;
-	  }
-	  ind1 = 0; ind2 = -1;
-	  return;
-	}
-	ind1 = 0; ind2 = 2;
-	return;
+        if (!is_acute_angle(vt0, vt2, pt, k)) {
+          if (leftturn(pt, vt1, vt2)) {
+            if (!is_acute_angle(vt2, vt1, pt, k)) {
+              ind1 = 1; ind2 = -1;
+              return;
+            }
+            if (!is_acute_angle(vt1, vt2, pt, k)) {
+              ind1 = 2; ind2 = -1;
+              return;
+            }
+            ind1 = 2; ind2 = 1;
+            return;
+          }
+          ind1 = 2; ind2 = -1;
+          return;
+        }
+        if (!is_acute_angle(vt2, vt0, pt, k)) {
+          if (leftturn(pt, vt0, vt1)) {
+            if (!is_acute_angle(vt0, vt1, pt, k)) {
+              ind1 = 1; ind2 = -1;
+              return;
+            }
+            if (!is_acute_angle(vt1, vt0, pt, k)) {
+              ind1 = 0; ind2 = -1;
+              return;
+            }
+            ind1 = 1; ind2 = 0;
+            return;
+          }
+          ind1 = 0; ind2 = -1;
+          return;
+        }
+        ind1 = 0; ind2 = 2;
+        return;
       } else {
-	if (leftturn(pt, vt1, vt2)) {
-	  if (!is_acute_angle(vt2, vt1, pt, k)) {
-	    if (leftturn(pt, vt0, vt1)) {
-	      if (!is_acute_angle(vt0, vt1, pt, k)) {
-		ind1 = 1; ind2 = -1;
-		return;
-	      }
-	      if (!is_acute_angle(vt1, vt0, pt, k)) {
-		ind1 = 0; ind2 = -1;
-		return;
-	      }
-	      ind1 = 1; ind2 = 0;
-	      return;
-	    }
-	    ind1 = 0; ind2 = -1;
-	    return;
-	  }
-	  if (!is_acute_angle(vt1, vt2, pt, k)) {
-	    ind1 = 2; ind2 = -1;
-	    return;
-	  }
-	  ind1 = 2; ind2 = 1;
-	  return;
-	} else {
-	  if (leftturn(pt, vt0, vt1)) {
-	    if (!is_acute_angle(vt1, vt0, pt, k)) {
-	      ind1 = 0; ind2 = -1;
-	      return;
-	    }
-	    if (!is_acute_angle(vt0, vt1, pt, k)) {
-	      ind1 = 1; ind2 = -1;
-	      return;
-	    }
-	    ind1 = 1; ind2 = 0;
-	    return;
-	  } else {
-	    ind1 = -1; ind2 = -1; // point inside or on boundary.
-	    return;
-	  }
-	}
+        if (leftturn(pt, vt1, vt2)) {
+          if (!is_acute_angle(vt2, vt1, pt, k)) {
+            if (leftturn(pt, vt0, vt1)) {
+              if (!is_acute_angle(vt0, vt1, pt, k)) {
+                ind1 = 1; ind2 = -1;
+                return;
+              }
+              if (!is_acute_angle(vt1, vt0, pt, k)) {
+                ind1 = 0; ind2 = -1;
+                return;
+              }
+              ind1 = 1; ind2 = 0;
+              return;
+            }
+            ind1 = 0; ind2 = -1;
+            return;
+          }
+          if (!is_acute_angle(vt1, vt2, pt, k)) {
+            ind1 = 2; ind2 = -1;
+            return;
+          }
+          ind1 = 2; ind2 = 1;
+          return;
+        } else {
+          if (leftturn(pt, vt0, vt1)) {
+            if (!is_acute_angle(vt1, vt0, pt, k)) {
+              ind1 = 0; ind2 = -1;
+              return;
+            }
+            if (!is_acute_angle(vt0, vt1, pt, k)) {
+              ind1 = 1; ind2 = -1;
+              return;
+            }
+            ind1 = 1; ind2 = 0;
+            return;
+          } else {
+            ind1 = -1; ind2 = -1; // point inside or on boundary.
+            return;
+          }
+        }
       }
     }
   }
@@ -213,9 +213,9 @@ namespace internal {
   template <class K>
   typename K::FT
   squared_distance_indexed(const typename K::Point_2 &pt,
-			   const typename K::Triangle_2 &triangle, 
-			   int ind1, int ind2,
-			   const K& k)
+                           const typename K::Triangle_2 &triangle,
+                           int ind1, int ind2,
+                           const K& k)
   {
     typedef typename K::FT      FT;
     typedef typename K::Line_2  Line_2;
@@ -224,8 +224,8 @@ namespace internal {
     if (ind2 == -1)
       return internal::squared_distance(pt, triangle.vertex(ind1), k);
     return internal::squared_distance(pt,
-		 Line_2(triangle.vertex(ind1), triangle.vertex(ind2)),
-				   k);
+                 Line_2(triangle.vertex(ind1), triangle.vertex(ind2)),
+                                   k);
   }
 
 
@@ -233,8 +233,8 @@ namespace internal {
   template <class K>
   typename K::FT
   squared_distance(const typename K::Point_2 &pt,
-		   const typename K::Triangle_2 &triangle,
-		   const K& k)
+                   const typename K::Triangle_2 &triangle,
+                   const K& k)
   {
     int ind1,ind2;
     distance_index<K>(ind1, ind2, pt, triangle, k);
@@ -245,8 +245,8 @@ namespace internal {
   template <class K>
   inline typename K::FT
   squared_distance(const typename K::Triangle_2 & triangle,
-		   const typename K::Point_2 & pt,
-		   const K& k)
+                   const typename K::Point_2 & pt,
+                   const K& k)
   {
     return internal::squared_distance(pt, triangle, k);
   }
@@ -255,8 +255,8 @@ namespace internal {
   template <class K>
   typename K::FT
   squared_distance(const typename K::Line_2 &line,
-		   const typename K::Triangle_2 &triangle,
-		   const K& k)
+                   const typename K::Triangle_2 &triangle,
+                   const K& k)
   {
     typedef typename K::FT FT;
     Oriented_side side0;
@@ -271,7 +271,7 @@ namespace internal {
     for (i=1; i<3; i++) {
       dist = internal::squared_distance(triangle.vertex(i),line,k);
       if (dist < mindist)
-	mindist = dist;
+        mindist = dist;
     }
     return mindist;
   }
@@ -280,8 +280,8 @@ namespace internal {
   template <class K>
   inline typename K::FT
   squared_distance(const typename K::Triangle_2 & triangle,
-		   const typename K::Line_2 & line,
-		   const K& k)
+                   const typename K::Line_2 & line,
+                   const K& k)
   {
     return internal::squared_distance(line, triangle, k);
   }
@@ -290,8 +290,8 @@ namespace internal {
   template <class K>
   typename K::FT
   squared_distance(const typename K::Ray_2 &ray,
-		   const typename K::Triangle_2 &triangle,
-		   const K& k)
+                   const typename K::Triangle_2 &triangle,
+                   const K& k)
   {
     typedef typename K::FT       FT;
     typedef typename K::Point_2  Point_2;
@@ -306,9 +306,9 @@ namespace internal {
       distance_index<K>(ind1, pt, ray, k);
       dist = squared_distance_indexed(pt, ray, ind1, k);
       if (dist < mindist) {
-	ind_ray = ind1;
-	ind_tr1 = i; ind_tr2 = -1;
-	mindist = dist;
+        ind_ray = ind1;
+        ind_tr1 = i; ind_tr2 = -1;
+        mindist = dist;
       }
     }
     // now check if all vertices are on the right side of the separating line.
@@ -321,18 +321,18 @@ namespace internal {
       const Point_2 &vt1 = triangle.vertex(ind_tr1);
       const Point_2 &vt2 = triangle.vertex(ind_tr2);
       if (clockwise(ray.direction().vector(), vt2-vt1, k)) {
-	mindist = FT(0);
+        mindist = FT(0);
       }
     } else {
-      // Check if all the triangle vertices lie 
+      // Check if all the triangle vertices lie
       // at the same side of the segment.
       const Line_2 &sl = ray.supporting_line();
       Oriented_side or_s = sl.oriented_side(triangle.vertex(0));
       for (i=1; i<3; i++) {
-	if (sl.oriented_side(triangle.vertex(i)) != or_s) {
-	  mindist = FT(0);
-	  break;
-	}
+        if (sl.oriented_side(triangle.vertex(i)) != or_s) {
+          mindist = FT(0);
+          break;
+        }
       }
     }
     return mindist;
@@ -342,8 +342,8 @@ namespace internal {
   template <class K>
   inline typename K::FT
   squared_distance(const typename K::Triangle_2 & triangle,
-		   const typename K::Ray_2 & ray,
-		   const K& k)
+                   const typename K::Ray_2 & ray,
+                   const K& k)
   {
     return internal::squared_distance(ray, triangle, k);
   }
@@ -352,8 +352,8 @@ namespace internal {
   template <class K>
   typename K::FT
   squared_distance(const typename K::Segment_2 &seg,
-		   const typename K::Triangle_2 &triangle,
-		   const K& k)
+                   const typename K::Triangle_2 &triangle,
+                   const K& k)
   {
     typedef typename K::FT       FT;
     typedef typename K::Point_2  Point_2;
@@ -366,9 +366,9 @@ namespace internal {
       distance_index<K>(ind1, ind2, pt, triangle, k);
       dist = internal::squared_distance_indexed(pt, triangle, ind1, ind2, k);
       if (dist < mindist) {
-	ind_seg = i;
-	ind_tr1 = ind1; ind_tr2 = ind2;
-	mindist = dist;
+        ind_seg = i;
+        ind_tr1 = ind1; ind_tr2 = ind2;
+        mindist = dist;
       }
     }
     for (i=0; i<3; i++) {
@@ -376,9 +376,9 @@ namespace internal {
       distance_index<K>(ind1, pt, seg, k);
       dist = internal::squared_distance_indexed(pt, seg, ind1, k);
       if (dist < mindist) {
-	ind_seg = ind1;
-	ind_tr1 = i; ind_tr2 = -1;
-	mindist = dist;
+        ind_seg = ind1;
+        ind_tr1 = i; ind_tr2 = -1;
+        mindist = dist;
       }
     }
     // now check if all vertices are on the right side of the separating line.
@@ -393,19 +393,19 @@ namespace internal {
       const Point_2 &vt2 = triangle.vertex(ind_tr2);
       Orientation or_s = orientation(vt1, vt2, seg.source());
       if (orientation(vt1, vt2, seg.target()) != or_s) {
-	mindist = FT(0);
+        mindist = FT(0);
       }
     } else {
-      // Check if all the triangle vertices lie 
+      // Check if all the triangle vertices lie
       // at the same side of the segment.
       const Point_2 &vt1 = seg.source();
       const Point_2 &vt2 = seg.target();
       Orientation or_s = orientation(vt1, vt2, triangle.vertex(0));
       for (i=1; i<3; i++) {
-	if (orientation(vt1, vt2, triangle.vertex(i)) != or_s) {
-	  mindist = FT(0);
-	  break;
-	}
+        if (orientation(vt1, vt2, triangle.vertex(i)) != or_s) {
+          mindist = FT(0);
+          break;
+        }
       }
     }
     return mindist;
@@ -415,8 +415,8 @@ namespace internal {
   template <class K>
   inline typename K::FT
   squared_distance(const typename K::Triangle_2 & triangle,
-		   const typename K::Segment_2 & seg,
-		   const K& k)
+                   const typename K::Segment_2 & seg,
+                   const K& k)
   {
     return internal::squared_distance(seg, triangle, k);
   }
@@ -426,8 +426,8 @@ namespace internal {
   template <class K>
   typename K::FT
   squared_distance(const typename K::Triangle_2 &triangle1,
-		   const typename K::Triangle_2 &triangle2,
-		   const K& k)
+                   const typename K::Triangle_2 &triangle2,
+                   const K& k)
   {
     typedef typename K::FT       FT;
     typedef typename K::Point_2  Point_2;
@@ -441,9 +441,9 @@ namespace internal {
       distance_index<K>(ind1, ind2, pt, triangle2, k);
       dist = squared_distance_indexed(pt, triangle2, ind1, ind2, k);
       if (dist < mindist) {
-	ind1_1 = i; ind1_2 = -1;
-	ind2_1 = ind1; ind2_2 = ind2;
-	mindist = dist;
+        ind1_1 = i; ind1_2 = -1;
+        ind2_1 = ind1; ind2_2 = ind2;
+        mindist = dist;
       }
     }
     for (i=0; i<3; i++) {
@@ -451,9 +451,9 @@ namespace internal {
       distance_index<K>(ind1, ind2, pt, triangle1, k);
       dist = squared_distance_indexed(pt, triangle1, ind1, ind2, k);
       if (dist < mindist) {
-	ind1_1 = ind1; ind1_2 = ind2;
-	ind2_1 = i; ind2_2 = -1;
-	mindist = dist;
+        ind1_1 = ind1; ind1_2 = ind2;
+        ind2_1 = i; ind2_2 = -1;
+        mindist = dist;
       }
     }
     // now check if all vertices are on the right side of the
@@ -468,20 +468,20 @@ namespace internal {
       const Point_2 &vt2 = triangle1.vertex(ind1_2);
       Orientation or_s = orientation(vt1, vt2, triangle2.vertex(0));
       for (i=1; i<3; i++) {
-	if (orientation(vt1, vt2, triangle2.vertex(i)) != or_s) {
-	  mindist = FT(0);
-	  break;
-	}
+        if (orientation(vt1, vt2, triangle2.vertex(i)) != or_s) {
+          mindist = FT(0);
+          break;
+        }
       }
     } else {
       const Point_2 &vt1 = triangle2.vertex(ind2_1);
       const Point_2 &vt2 = triangle2.vertex(ind2_2);
       Orientation or_s = orientation(vt1, vt2, triangle1.vertex(0));
       for (i=1; i<3; i++) {
-	if (orientation(vt1, vt2, triangle1.vertex(i)) != or_s) {
-	  mindist = FT(0);
-	  break;
-	}
+        if (orientation(vt1, vt2, triangle1.vertex(i)) != or_s) {
+          mindist = FT(0);
+          break;
+        }
       }
     }
     return mindist;
@@ -492,7 +492,7 @@ namespace internal {
 template <class K>
 inline typename K::FT
 squared_distance(const Point_2<K> &pt,
-		 const Triangle_2<K> &triangle)
+                 const Triangle_2<K> &triangle)
 {
   return internal::squared_distance(pt, triangle, K());
 }
@@ -500,7 +500,7 @@ squared_distance(const Point_2<K> &pt,
 template <class K>
 inline typename K::FT
 squared_distance(const Triangle_2<K> &triangle,
-		 const Point_2<K> &pt)
+                 const Point_2<K> &pt)
 {
   return internal::squared_distance(pt, triangle, K());
 }
@@ -508,7 +508,7 @@ squared_distance(const Triangle_2<K> &tr
 template <class K>
 inline typename K::FT
 squared_distance(const Line_2<K> &line,
-		 const Triangle_2<K> &triangle)
+                 const Triangle_2<K> &triangle)
 {
   return internal::squared_distance(line, triangle, K());
 }
@@ -516,7 +516,7 @@ squared_distance(const Line_2<K> &line,
 template <class K>
 inline typename K::FT
 squared_distance(const Triangle_2<K> &triangle,
-		 const Line_2<K> &line)
+                 const Line_2<K> &line)
 {
   return internal::squared_distance(line, triangle, K());
 }
@@ -524,7 +524,7 @@ squared_distance(const Triangle_2<K> &tr
 template <class K>
 inline typename K::FT
 squared_distance(const Ray_2<K> &ray,
-		 const Triangle_2<K> &triangle)
+                 const Triangle_2<K> &triangle)
 {
   return internal::squared_distance(ray, triangle, K());
 }
@@ -532,7 +532,7 @@ squared_distance(const Ray_2<K> &ray,
 template <class K>
 inline typename K::FT
 squared_distance(const Triangle_2<K> &triangle,
-		 const Ray_2<K> &ray)
+                 const Ray_2<K> &ray)
 {
   return internal::squared_distance(ray, triangle, K());
 }
@@ -540,7 +540,7 @@ squared_distance(const Triangle_2<K> &tr
 template <class K>
 inline typename K::FT
 squared_distance(const Segment_2<K> &seg,
-		 const Triangle_2<K> &triangle)
+                 const Triangle_2<K> &triangle)
 {
   return internal::squared_distance(seg, triangle, K());
 }
@@ -548,7 +548,7 @@ squared_distance(const Segment_2<K> &seg
 template <class K>
 inline typename K::FT
 squared_distance(const Triangle_2<K> &triangle,
-		 const Segment_2<K> &seg)
+                 const Segment_2<K> &seg)
 {
   return internal::squared_distance(seg, triangle, K());
 }
@@ -556,7 +556,7 @@ squared_distance(const Triangle_2<K> &tr
 template <class K>
 inline typename K::FT
 squared_distance(const Triangle_2<K> &triangle1,
-		 const Triangle_2<K> &triangle2)
+                 const Triangle_2<K> &triangle2)
 {
   return internal::squared_distance(triangle1, triangle2, K());
 }
diff -pruN 5.0.2-3/include/CGAL/squared_distance_2.h 5.0.3-1/include/CGAL/squared_distance_2.h
--- 5.0.2-3/include/CGAL/squared_distance_2.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/squared_distance_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1998  
+// Copyright (c) 1998
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Distance_2/include/CGAL/squared_distance_2.h $
-// $Id: squared_distance_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Distance_2/include/CGAL/squared_distance_2.h $
+// $Id: squared_distance_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
diff -pruN 5.0.2-3/include/CGAL/squared_distance_3_0.h 5.0.3-1/include/CGAL/squared_distance_3_0.h
--- 5.0.2-3/include/CGAL/squared_distance_3_0.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/squared_distance_3_0.h	2020-08-01 19:02:20.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1998  
+// Copyright (c) 1998
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Distance_3/include/CGAL/squared_distance_3_0.h $
-// $Id: squared_distance_3_0.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Distance_3/include/CGAL/squared_distance_3_0.h $
+// $Id: squared_distance_3_0.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman, Andreas Fabri
 
@@ -44,7 +44,7 @@ bool is_null(const typename K::Vector_3
 template <class K>
 typename K::RT
 wdot(const typename K::Vector_3 &u,
-     const typename K::Vector_3 &v, 
+     const typename K::Vector_3 &v,
      const K&)
 {
     return  (u.hx()*v.hx() + u.hy()*v.hy() + u.hz()*v.hz());
@@ -53,30 +53,30 @@ wdot(const typename K::Vector_3 &u,
 template <class K>
 typename K::RT
 wdot_tag(const typename K::Point_3 &p,
-	 const typename K::Point_3 &q,
-	 const typename K::Point_3 &r, 
-	 const K&,
-	 const Cartesian_tag&)
+         const typename K::Point_3 &q,
+         const typename K::Point_3 &r,
+         const K&,
+         const Cartesian_tag&)
 {
   return  ( (p.x() - q.x()) * (r.x()- q.x())
-	    + (p.y()- q.y())* (r.y()- q.y())
-	    + (p.z()- q.z()) * (r.z() - q.z()) );
+            + (p.y()- q.y())* (r.y()- q.y())
+            + (p.z()- q.z()) * (r.z() - q.z()) );
 }
 
 template <class K>
 typename K::RT
 wdot_tag(const typename K::Point_3 &p,
-	 const typename K::Point_3 &q,
-	 const typename K::Point_3 &r, 
-	 const K&,
-	 const Homogeneous_tag&)
+         const typename K::Point_3 &q,
+         const typename K::Point_3 &r,
+         const K&,
+         const Homogeneous_tag&)
 {
     return  ( (p.hx() * q.hw() - q.hx() * p.hw())
-	      * (r.hx() * q.hw() - q.hx() * r.hw())
-	      + (p.hy() * q.hw() - q.hy() * p.hw())
-	      * (r.hy() * q.hw() - q.hy() * r.hw())
-	      + (p.hz() * q.hw() - q.hz() * p.hw())
-	      * (r.hz() * q.hw() - q.hz() * r.hw()));
+              * (r.hx() * q.hw() - q.hx() * r.hw())
+              + (p.hy() * q.hw() - q.hy() * p.hw())
+              * (r.hy() * q.hw() - q.hy() * r.hw())
+              + (p.hz() * q.hw() - q.hz() * p.hw())
+              * (r.hz() * q.hw() - q.hz() * r.hw()));
 }
 
 template <class K>
@@ -84,9 +84,9 @@ inline
 typename K::RT
 wdot(const typename K::Point_3 &p,
      const typename K::Point_3 &q,
-     const typename K::Point_3 &r, 
+     const typename K::Point_3 &r,
      const K& k)
-{ 
+{
   typedef typename K::Kernel_tag Tag;
   Tag tag;
   return wdot_tag(p, q, r, k, tag);
@@ -98,7 +98,7 @@ wdot(const typename K::Point_3 &p,
 template <class K>
 typename K::Vector_3
 wcross(const typename K::Vector_3 &u,
-       const typename K::Vector_3 &v, 
+       const typename K::Vector_3 &v,
        const K&)
 {
   typedef typename K::Vector_3 Vector_3;
@@ -110,45 +110,45 @@ wcross(const typename K::Vector_3 &u,
 
 
 template <class K>
-inline 
-bool 
+inline
+bool
 is_acute_angle(const typename K::Vector_3 &u,
-	       const typename K::Vector_3 &v, 
-	       const K& k)
+               const typename K::Vector_3 &v,
+               const K& k)
 {
     typedef typename K::RT RT;
     return RT(wdot(u, v, k)) > RT(0) ;
 }
 
 template <class K>
-inline 
-bool 
+inline
+bool
 is_straight_angle(const typename K::Vector_3 &u,
-		  const typename K::Vector_3 &v, 
-		  const K& k)
+                  const typename K::Vector_3 &v,
+                  const K& k)
 {
     typedef typename K::RT RT;
     return RT(wdot(u, v, k)) == RT(0) ;
 }
 
 template <class K>
-inline 
-bool 
+inline
+bool
 is_obtuse_angle(const typename K::Vector_3 &u,
-		const typename K::Vector_3 &v, 
-		const K& k)
+                const typename K::Vector_3 &v,
+                const K& k)
 {
     typedef typename K::RT RT;
     return RT(wdot(u, v, k)) < RT(0) ;
 }
 
 template <class K>
-inline 
-bool 
+inline
+bool
 is_acute_angle(const typename K::Point_3 &p,
-	       const typename K::Point_3 &q,
-	       const typename K::Point_3 &r, 
-	       const K& k)
+               const typename K::Point_3 &q,
+               const typename K::Point_3 &r,
+               const K& k)
 {
     typedef typename K::RT RT;
     return RT(wdot(p, q, r, k)) > RT(0) ;
@@ -156,33 +156,33 @@ is_acute_angle(const typename K::Point_3
 
 template <class K>
 inline
-bool 
+bool
 is_straight_angle(const typename K::Point_3 &p,
-		  const typename K::Point_3 &q,
-		  const typename K::Point_3 &r, 
-		  const K& k)
+                  const typename K::Point_3 &q,
+                  const typename K::Point_3 &r,
+                  const K& k)
 {
     typedef typename K::RT RT;
     return RT(wdot(p, q, r, k)) == RT(0) ;
 }
 
 template <class K>
-inline 
-bool 
+inline
+bool
 is_obtuse_angle(const typename K::Point_3 &p,
-		const typename K::Point_3 &q, 
-		const typename K::Point_3 &r, 
-		  const K& k)
+                const typename K::Point_3 &q,
+                const typename K::Point_3 &r,
+                  const K& k)
 {
     typedef typename K::RT RT;
     return RT(wdot(p, q, r, k)) < RT(0) ;
 }
 template <class K>
-inline 
+inline
 typename K::FT
 squared_distance(const typename K::Point_3 & pt1,
-		 const typename K::Point_3 & pt2, 
-		 const K& k)
+                 const typename K::Point_3 & pt2,
+                 const K& k)
 {
   return k.compute_squared_distance_3_object()(pt1, pt2);
 }
@@ -191,8 +191,8 @@ squared_distance(const typename K::Point
 template <class K>
 typename K::FT
 squared_distance_to_plane(const typename K::Vector_3 & normal,
-			  const typename K::Vector_3 & diff, 
-			  const K& k)
+                          const typename K::Vector_3 & diff,
+                          const K& k)
 {
   typedef typename K::RT RT;
   typedef typename K::FT FT;
@@ -207,15 +207,15 @@ squared_distance_to_plane(const typename
 template <class K>
 typename K::FT
 squared_distance_to_line(const typename K::Vector_3 & dir,
-			 const typename K::Vector_3 & diff, 
-			 const K& k)
+                         const typename K::Vector_3 & diff,
+                         const K& k)
 {
   typedef typename K::Vector_3 Vector_3;
   typedef typename K::RT RT;
   typedef typename K::FT FT;
   Vector_3 wcr = wcross(dir, diff, k);
   return FT(wcr*wcr)/FT(wmult(
-			      (K*)0, RT(wdot(dir, dir, k)), diff.hw(), diff.hw()));
+                              (K*)0, RT(wdot(dir, dir, k)), diff.hw(), diff.hw()));
 }
 
 
@@ -223,10 +223,10 @@ template <class K>
 inline
 bool
 same_direction_tag(const typename K::Vector_3 &u,
-		   const typename K::Vector_3 &v,
-		   const K&,
-		   const Cartesian_tag&)
-{ 
+                   const typename K::Vector_3 &v,
+                   const K&,
+                   const Cartesian_tag&)
+{
   typedef typename K::FT FT;
   const FT& ux = u.x();
   const FT& uy = u.y();
@@ -243,7 +243,7 @@ same_direction_tag(const typename K::Vec
     } else {
       return CGAL_NTS sign(uz) == CGAL_NTS sign(v.z());
     }
-  } 
+  }
 }
 
 
@@ -251,10 +251,10 @@ template <class K>
 inline
 bool
 same_direction_tag(const typename K::Vector_3 &u,
-		   const typename K::Vector_3 &v,
-		   const K&,
-		   const Homogeneous_tag&)
-{   
+                   const typename K::Vector_3 &v,
+                   const K&,
+                   const Homogeneous_tag&)
+{
   typedef typename K::RT RT;
   const RT& uhx = u.hx();
   const RT& uhy = u.hy();
@@ -279,9 +279,9 @@ template <class K>
 inline
 bool
 same_direction(const typename K::Vector_3 &u,
-	       const typename K::Vector_3 &v,
-	       const K& k)
-{  
+               const typename K::Vector_3 &v,
+               const K& k)
+{
   typedef typename K::Kernel_tag Tag;
   Tag tag;
   return same_direction_tag(u, v, k, tag);
@@ -291,38 +291,38 @@ same_direction(const typename K::Vector_
 } // namespace internal
 
 template <class K>
-inline 
+inline
 typename K::FT
 squared_distance(const Point_3<K> & pt1,
-		 const Point_3<K> & pt2)
+                 const Point_3<K> & pt2)
 {
   return internal::squared_distance(pt1,pt2, K());
 }
 
 
 template <class K>
-inline 
+inline
 typename K::FT
 squared_distance(const Weighted_point_3<K> & pt1,
-		 const Weighted_point_3<K> & pt2)
+                 const Weighted_point_3<K> & pt2)
 {
   return internal::squared_distance(pt1.point(),pt2.point(), K());
 }
 
 template <class K>
-inline 
+inline
 typename K::FT
 squared_distance(const Weighted_point_3<K> & pt1,
-		 const Point_3<K> & pt2)
+                 const Point_3<K> & pt2)
 {
   return internal::squared_distance(pt1.point(),pt2, K());
 }
 
 template <class K>
-inline 
+inline
 typename K::FT
 squared_distance(const Point_3<K> & pt1,
-		 const Weighted_point_3<K> & pt2)
+                 const Weighted_point_3<K> & pt2)
 {
   return internal::squared_distance(pt1,pt2.point(), K());
 }
@@ -330,10 +330,10 @@ squared_distance(const Point_3<K> & pt1,
 
 
 template <class K>
-inline 
+inline
 typename K::FT
 squared_distance_to_plane(const Vector_3<K> & normal,
-			  const Vector_3<K> & diff)
+                          const Vector_3<K> & diff)
 {
   return internal::squared_distance_to_plane(normal, diff, K());
 }
@@ -343,7 +343,7 @@ template <class K>
 inline
 typename K::FT
 squared_distance_to_line(const Vector_3<K> & dir,
-			 const Vector_3<K> & diff)
+                         const Vector_3<K> & diff)
 {
   return internal::squared_distance_to_line(dir, diff, K());
 }
diff -pruN 5.0.2-3/include/CGAL/squared_distance_3_1.h 5.0.3-1/include/CGAL/squared_distance_3_1.h
--- 5.0.2-3/include/CGAL/squared_distance_3_1.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/squared_distance_3_1.h	2020-08-01 19:02:20.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1998-2004  
+// Copyright (c) 1998-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Distance_3/include/CGAL/squared_distance_3_1.h $
-// $Id: squared_distance_3_1.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Distance_3/include/CGAL/squared_distance_3_1.h $
+// $Id: squared_distance_3_1.h f483506 2020-06-23T18:47:55+02:00 Laurent Rineau
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman, Andreas Fabri
 
@@ -148,7 +148,7 @@ squared_distance(
     const typename K::Point_3 &pt,
     const typename K::Segment_3 &seg,
     const K& k)
-{ 
+{
   typedef typename K::Kernel_tag Tag;
   Tag tag;
   return squared_distance(pt, seg, k, tag);
@@ -156,7 +156,7 @@ squared_distance(
 
 
 template <class K>
-inline 
+inline
 typename K::FT
 squared_distance(
     const typename K::Segment_3 & seg,
@@ -217,7 +217,7 @@ compare_distance_pssC3(
         }
       }
     }
-    return compare(d1*e2, d2*e1);
+    return CGAL::compare(d1*e2, d2*e1);
 }
 
 template <class K>
@@ -253,7 +253,7 @@ compare_distance_ppsC3(
         }
       }
     }
-    return compare(d1*e2, d2);
+    return CGAL::compare(d1*e2, d2);
 }
 
 
@@ -267,7 +267,7 @@ squared_distance_parallel(
   typedef typename K::Vector_3 Vector_3;
     const Vector_3 &dir1 = seg1.direction().vector();
     const Vector_3 &dir2 = seg2.direction().vector();
- 
+
     if (same_direction(dir1, dir2, k)) {
         if (!is_acute_angle(seg1.source(), seg1.target(), seg2.source(), k))
             return squared_distance(seg1.target(), seg2.source(), k);
@@ -286,11 +286,11 @@ squared_distance_parallel(
 
 template <class K>
 inline
-typename K::RT 
+typename K::RT
 _distance_measure_sub(typename K::RT startwdist, typename K::RT endwdist,
-			 const typename K::Vector_3 &start, 
-			 const typename K::Vector_3 &end,
-			 const K&)
+                         const typename K::Vector_3 &start,
+                         const typename K::Vector_3 &end,
+                         const K&)
 {
     return  CGAL_NTS abs(wmult((K*)0, startwdist, end.hw())) -
             CGAL_NTS abs(wmult((K*)0, endwdist, start.hw()));
@@ -318,14 +318,14 @@ squared_distance(
         return squared_distance(start1, seg2, k);
     if (start2 == end2)
         return squared_distance(start2, seg1, k);
-    
+
     Vector_3 dir1, dir2, normal;
     dir1 = seg1.direction().vector();
     dir2 = seg2.direction().vector();
     normal = wcross(dir1, dir2, k);
     if (is_null(normal, k))
         return squared_distance_parallel(seg1, seg2, k);
-    
+
     bool crossing1, crossing2;
     RT sdm_s1to2, sdm_e1to2, sdm_s2to1, sdm_e2to1;
     Vector_3 perpend1, perpend2, s2mins1, e2mins1, e1mins2;
@@ -338,7 +338,7 @@ squared_distance(
     sdm_e1to2 = wdot(perpend2, e1mins2, k);
     sdm_s2to1 = wdot(perpend1, s2mins1, k);
     sdm_e2to1 = wdot(perpend1, e2mins1, k);
-    
+
     if (sdm_s1to2 < RT(0)) {
         crossing1 = (sdm_e1to2 >= RT(0));
     } else {
@@ -357,12 +357,12 @@ squared_distance(
             crossing2 = (sdm_s2to1 == RT(0));
         }
     }
-    
+
     if (crossing1) {
         if (crossing2) {
             return squared_distance_to_plane(normal, s2mins1, k);
         }
-    
+
         RT dm;
         dm = _distance_measure_sub(
                   sdm_s2to1, sdm_e2to1, s2mins1, e2mins1, k);
@@ -411,7 +411,7 @@ squared_distance(
             return (min1 < min2) ? min1 : min2;
         }
     }
-    
+
 }
 
 
@@ -572,8 +572,8 @@ squared_distance(
     Vector_3 segdir = seg.direction().vector();
     Vector_3 normal = wcross(segdir, linedir, k);
     if (is_null(normal, k))
-        return squared_distance_to_line(linedir, 
-					construct_vector(linepoint,start), k);
+        return squared_distance_to_line(linedir,
+                                        construct_vector(linepoint,start), k);
 
     bool crossing;
     RT sdm_ss2l, sdm_se2l;
@@ -768,7 +768,7 @@ squared_distance(
     const typename K::Line_3 &line1,
     const typename K::Line_3 &line2,
     const K& k)
-{   
+{
   typename K::Construct_vector_3 construct_vector;
     typedef typename K::Vector_3 Vector_3;
 
@@ -792,7 +792,7 @@ template <class K>
 inline
 typename K::FT
 squared_distance(const Point_3<K> &pt,
-		 const Line_3<K> &line)
+                 const Line_3<K> &line)
 {
   return internal::squared_distance(pt, line, K());
 }
@@ -872,7 +872,7 @@ template <class K>
 inline
 typename K::FT
 squared_distance(const Segment_3<K> &seg1,
-		 const Segment_3<K> &seg2)
+                 const Segment_3<K> &seg2)
 {
   return internal::squared_distance(seg1, seg2, K());
 }
@@ -948,8 +948,8 @@ ray_ray_squared_distance_parallel(
     const Vector_3<K> &ray2dir,
     const Vector_3<K> &s1_min_s2)
 {
-  return internal::ray_ray_squared_distance_parallel(ray1dir, ray2dir, 
-						  s1_min_s2, K());
+  return internal::ray_ray_squared_distance_parallel(ray1dir, ray2dir,
+                                                  s1_min_s2, K());
 }
 
 template <class K>
@@ -996,7 +996,7 @@ typename K::FT
 squared_distance(
     const Line_3<K> &line1,
     const Line_3<K> &line2)
-{  
+{
     return internal::squared_distance(line1, line2, K());
 }
 
diff -pruN 5.0.2-3/include/CGAL/squared_distance_3_2.h 5.0.3-1/include/CGAL/squared_distance_3_2.h
--- 5.0.2-3/include/CGAL/squared_distance_3_2.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/squared_distance_3_2.h	2020-08-01 19:02:20.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1998-2004  
+// Copyright (c) 1998-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Distance_3/include/CGAL/squared_distance_3_2.h $
-// $Id: squared_distance_3_2.h 97ba3ec 2019-11-06T17:45:34+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Distance_3/include/CGAL/squared_distance_3_2.h $
+// $Id: squared_distance_3_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman, Andreas Fabri
 
@@ -35,9 +35,9 @@ namespace internal {
 
 template <class K>
 bool
-contains_vector(const typename K::Plane_3 &pl, 
-		const typename K::Vector_3 &vec,
-		const K&)
+contains_vector(const typename K::Plane_3 &pl,
+                const typename K::Vector_3 &vec,
+                const K&)
 {
   typedef typename K::RT RT;
   return pl.a()*vec.hx() + pl.b()*vec.hy() + pl.c() * vec.hz() == RT(0);
@@ -209,10 +209,10 @@ on_left_of_triangle_edge(const typename
 
   typedef typename K::RT RT;
 
-  const bool result = 
+  const bool result =
     RT(wdot(wcross(edge,
                    normal,
-                   k), 
+                   k),
             diff,
             k)) <= RT(0);
   return result;
@@ -245,16 +245,16 @@ squared_distance_to_triangle(
         // The case normal==NULL_VECTOR covers the case when the triangle
         // is colinear, or even more degenerate. In that case, we can
         // simply take also the distance to the three segments.
-        typename K::FT d1 = squared_distance(pt, 
+        typename K::FT d1 = squared_distance(pt,
                                              typename K::Segment_3(t2, t0),
                                              k);
-        typename K::FT d2 = squared_distance(pt, 
+        typename K::FT d2 = squared_distance(pt,
                                              typename K::Segment_3(t1, t2),
                                              k);
-        typename K::FT d3 = squared_distance(pt, 
+        typename K::FT d3 = squared_distance(pt,
                                              typename K::Segment_3(t0, t1),
                                              k);
-       
+
         return (std::min)( (std::min)(d1, d2), d3);
       }
 }
@@ -286,7 +286,7 @@ contains_vector(const Plane_3<K> &pl, co
 
 
 template <class K>
-inline 
+inline
 typename K::FT
 squared_distance(
     const Point_3<K> & pt,
@@ -298,7 +298,7 @@ squared_distance(
 
 
 template <class K>
-inline 
+inline
 typename K::FT
 squared_distance(
     const Plane_3<K> & plane,
@@ -319,7 +319,7 @@ squared_distance(
 
 
 template <class K>
-inline 
+inline
 typename K::FT
 squared_distance(
     const Plane_3<K> & p,
@@ -341,7 +341,7 @@ squared_distance(
 
 
 template <class K>
-inline 
+inline
 typename K::FT
 squared_distance(
     const Plane_3<K> & plane,
@@ -363,7 +363,7 @@ squared_distance(
 
 
 template <class K>
-inline 
+inline
 typename K::FT
 squared_distance(
     const Plane_3<K> & plane,
diff -pruN 5.0.2-3/include/CGAL/squared_distance_3.h 5.0.3-1/include/CGAL/squared_distance_3.h
--- 5.0.2-3/include/CGAL/squared_distance_3.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/squared_distance_3.h	2020-08-01 19:02:20.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1998  
+// Copyright (c) 1998
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Distance_3/include/CGAL/squared_distance_3.h $
-// $Id: squared_distance_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Distance_3/include/CGAL/squared_distance_3.h $
+// $Id: squared_distance_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
diff -pruN 5.0.2-3/include/CGAL/squared_distance_utils.h 5.0.3-1/include/CGAL/squared_distance_utils.h
--- 5.0.2-3/include/CGAL/squared_distance_utils.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/squared_distance_utils.h	2020-08-01 19:02:20.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1998  
+// Copyright (c) 1998
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Distance_2/include/CGAL/squared_distance_utils.h $
-// $Id: squared_distance_utils.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Distance_2/include/CGAL/squared_distance_utils.h $
+// $Id: squared_distance_utils.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
@@ -35,7 +35,7 @@ bool is_null(const  typename K::Vector_2
 
 template <class K>
 typename K::RT
-wdot(const typename K::Vector_2 &u, 
+wdot(const typename K::Vector_2 &u,
      const typename K::Vector_2 &v,
      const K&)
 {
@@ -46,10 +46,10 @@ wdot(const typename K::Vector_2 &u,
 
 template <class K>
 typename K::RT wdot_tag(const typename K::Point_2 &p,
-			const typename K::Point_2 &q,
-			const typename K::Point_2 &r,
-			const K&,
-			const Cartesian_tag&)
+                        const typename K::Point_2 &q,
+                        const typename K::Point_2 &r,
+                        const K&,
+                        const Cartesian_tag&)
 {
   return  (p.x() - q.x()) * (r.x() - q.x())
           + (p.y() - q.y()) * (r.y() - q.y());
@@ -58,10 +58,10 @@ typename K::RT wdot_tag(const typename K
 
 template <class K>
 typename K::RT wdot_tag(const typename K::Point_2 &p,
-			const typename K::Point_2 &q,
-			const typename K::Point_2 &r,
-			const K&,
-			const Homogeneous_tag&)
+                        const typename K::Point_2 &q,
+                        const typename K::Point_2 &r,
+                        const K&,
+                        const Homogeneous_tag&)
 {
   return  (p.hx() * q.hw() - q.hx() * p.hw())
           * (r.hx() * q.hw() - q.hx() * r.hw())
@@ -72,9 +72,9 @@ typename K::RT wdot_tag(const typename K
 
 template <class K>
 typename K::RT wdot(const typename K::Point_2 &p,
-		    const typename K::Point_2 &q,
-		    const typename K::Point_2 &r,
-		    const K& k)
+                    const typename K::Point_2 &q,
+                    const typename K::Point_2 &r,
+                    const K& k)
 {
   typedef typename K::Kernel_tag Tag;
   Tag tag;
@@ -96,12 +96,12 @@ wcross(const typename K::Vector_2 &u,
 
 template <class K>
 inline
-typename K::RT 
+typename K::RT
 wcross_tag(const typename K::Point_2 &p,
-	   const typename K::Point_2 &q,
-	   const typename K::Point_2 &r,
-	   const K&,
-	   const Homogeneous_tag&)
+           const typename K::Point_2 &q,
+           const typename K::Point_2 &r,
+           const K&,
+           const Homogeneous_tag&)
 {
     return CGAL::determinant(
         p.hx(), q.hx(), r.hx(),
@@ -113,12 +113,12 @@ wcross_tag(const typename K::Point_2 &p,
 
 template <class K>
 inline
-typename K::FT 
+typename K::FT
 wcross_tag(const typename K::Point_2 &p,
-	   const typename K::Point_2 &q,
-	   const typename K::Point_2 &r,
-	   const K&,
-	   const Cartesian_tag&)
+           const typename K::Point_2 &q,
+           const typename K::Point_2 &r,
+           const K&,
+           const Cartesian_tag&)
 {
   return (q.x()-p.x())*(r.y()-q.y()) - (q.y()-p.y())*(r.x()-q.x());
 }
@@ -126,9 +126,9 @@ wcross_tag(const typename K::Point_2 &p,
 
 template <class K>
 typename K::RT wcross(const typename K::Point_2 &p,
-		      const typename K::Point_2 &q,
-		      const typename K::Point_2 &r,
-		      const K& k)
+                      const typename K::Point_2 &q,
+                      const typename K::Point_2 &r,
+                      const K& k)
 {
   typedef typename K::Kernel_tag Tag;
   Tag tag;
@@ -140,8 +140,8 @@ typename K::RT wcross(const typename K::
 
 template <class K>
 inline bool is_acute_angle(const typename K::Vector_2 &u,
-			   const typename K::Vector_2 &v,
-			   const K& k)
+                           const typename K::Vector_2 &v,
+                           const K& k)
 {
     typedef typename K::RT RT;
     return RT(wdot(u, v, k)) > RT(0) ;
@@ -149,8 +149,8 @@ inline bool is_acute_angle(const typenam
 
 template <class K>
 inline bool is_straight_angle(const typename K::Vector_2 &u,
-			      const typename K::Vector_2 &v,
-			      const K& k)
+                              const typename K::Vector_2 &v,
+                              const K& k)
 {
     typedef typename K::RT RT;
     return RT(wdot(u, v, k)) == RT(0) ;
@@ -158,8 +158,8 @@ inline bool is_straight_angle(const type
 
 template <class K>
 inline bool is_obtuse_angle(const typename K::Vector_2 &u,
-			    const typename K::Vector_2 &v,
-			    const K& k)
+                            const typename K::Vector_2 &v,
+                            const K& k)
 {
     typedef typename K::RT RT;
     return RT(wdot(u, v, k)) < RT(0) ;
@@ -167,9 +167,9 @@ inline bool is_obtuse_angle(const typena
 
 template <class K>
 inline bool is_acute_angle(const typename K::Point_2 &p,
-			   const typename K::Point_2 &q, 
-			   const typename K::Point_2 &r,
-			   const K& k)
+                           const typename K::Point_2 &q,
+                           const typename K::Point_2 &r,
+                           const K& k)
 {
     typedef typename K::RT RT;
     return RT(wdot(p, q, r, k)) > RT(0) ;
@@ -177,9 +177,9 @@ inline bool is_acute_angle(const typenam
 
 template <class K>
 inline bool is_straight_angle(const typename K::Point_2 &p,
-			      const typename K::Point_2 &q, 
-			      const typename K::Point_2 &r,
-			      const K& k)
+                              const typename K::Point_2 &q,
+                              const typename K::Point_2 &r,
+                              const K& k)
 {
     typedef typename K::RT RT;
     return RT(wdot(p, q, r, k)) == RT(0) ;
@@ -187,9 +187,9 @@ inline bool is_straight_angle(const type
 
 template <class K>
 inline bool is_obtuse_angle(const typename K::Point_2 &p,
-			    const typename K::Point_2 &q, 
-			    const typename K::Point_2 &r,
-			    const K& k)
+                            const typename K::Point_2 &q,
+                            const typename K::Point_2 &r,
+                            const K& k)
 {
     typedef typename K::RT RT;
     return RT(wdot(p, q, r, k)) < RT(0) ;
@@ -197,8 +197,8 @@ inline bool is_obtuse_angle(const typena
 
 template <class K>
 inline bool counterclockwise(const typename K::Vector_2 &u,
-			     const typename K::Vector_2 &v,
-			     const K& k)
+                             const typename K::Vector_2 &v,
+                             const K& k)
 {
     typedef typename K::RT RT;
     return RT(wcross(u,v, k)) > RT(0);
@@ -206,8 +206,8 @@ inline bool counterclockwise(const typen
 
 template <class K>
 inline bool left_turn(const typename K::Vector_2 &u,
-		      const typename K::Vector_2 &v,
-		      const K& k)
+                      const typename K::Vector_2 &v,
+                      const K& k)
 {
     typedef typename K::RT RT;
     return RT(wcross(u,v, k)) > RT(0);
@@ -215,8 +215,8 @@ inline bool left_turn(const typename K::
 
 template <class K>
 inline bool clockwise(const typename K::Vector_2 &u,
-		      const typename K::Vector_2 &v,
-		      const K& k)
+                      const typename K::Vector_2 &v,
+                      const K& k)
 {
     typedef typename K::RT RT;
     return RT(wcross(u,v, k)) < RT(0);
@@ -224,8 +224,8 @@ inline bool clockwise(const typename K::
 
 template <class K>
 inline bool right_turn(const typename K::Vector_2 &u,
-		       const typename K::Vector_2 &v,
-		       const K& k)
+                       const typename K::Vector_2 &v,
+                       const K& k)
 {
     typedef typename K::RT RT;
     return RT(wcross(u,v, k)) < RT(0);
@@ -233,8 +233,8 @@ inline bool right_turn(const typename K:
 
 template <class K>
 inline bool collinear(const typename K::Vector_2 &u,
-		      const typename K::Vector_2 &v,
-		      const K& k)
+                      const typename K::Vector_2 &v,
+                      const K& k)
 {
     typedef typename K::RT RT;
     return RT(wcross(u,v, k)) == RT(0);
@@ -248,10 +248,10 @@ template <class K>
 inline
 bool
 same_direction_tag(const typename K::Vector_2 &u,
-		   const typename K::Vector_2 &v,
-		   const K&,
-		   const Cartesian_tag&)
-{ 
+                   const typename K::Vector_2 &v,
+                   const K&,
+                   const Cartesian_tag&)
+{
   typedef typename K::FT FT;
   const FT& ux = u.x();
   const FT& uy = u.y();
@@ -259,7 +259,7 @@ same_direction_tag(const typename K::Vec
       return CGAL_NTS sign(ux) == CGAL_NTS sign(v.x());
   } else {
     return CGAL_NTS sign(uy) == CGAL_NTS sign(v.y());
-  } 
+  }
 }
 
 
@@ -267,10 +267,10 @@ template <class K>
 inline
 bool
 same_direction_tag(const typename K::Vector_2 &u,
-		   const typename K::Vector_2 &v,
-		   const K&,
-		   const Homogeneous_tag&)
-{   
+                   const typename K::Vector_2 &v,
+                   const K&,
+                   const Homogeneous_tag&)
+{
   typedef typename K::RT RT;
   const RT& uhx = u.hx();
   const RT& uhy = u.hy();
@@ -286,9 +286,9 @@ template <class K>
 inline
 bool
 same_direction(const typename K::Vector_2 &u,
-	       const typename K::Vector_2 &v,
-	       const K& k)
-{  
+               const typename K::Vector_2 &v,
+               const K& k)
+{
   typedef typename K::Kernel_tag Tag;
   Tag tag;
   return same_direction_tag(u,v, k, tag);
diff -pruN 5.0.2-3/include/CGAL/sse2.h 5.0.3-1/include/CGAL/sse2.h
--- 5.0.2-3/include/CGAL/sse2.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/sse2.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999,2007  
+// Copyright (c) 1999,2007
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/sse2.h $
-// $Id: sse2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/sse2.h $
+// $Id: sse2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -22,7 +22,7 @@
 #if defined ( _MSC_VER )
 #define CGAL_ALIGN_16  __declspec(align(16))
 #elif defined( __GNUC__ )
-#define  CGAL_ALIGN_16 __attribute__((aligned(16))) 
+#define  CGAL_ALIGN_16 __attribute__((aligned(16)))
 #endif
 
 #endif // CGAL_SSE2_H
diff -pruN 5.0.2-3/include/CGAL/Static_filtered_predicate.h 5.0.3-1/include/CGAL/Static_filtered_predicate.h
--- 5.0.2-3/include/CGAL/Static_filtered_predicate.h	2020-02-21 20:03:13.000000000 +0000
+++ 5.0.3-1/include/CGAL/Static_filtered_predicate.h	2020-08-01 19:02:20.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Filtered_kernel/include/CGAL/Static_filtered_predicate.h $
-// $Id: Static_filtered_predicate.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Filtered_kernel/include/CGAL/Static_filtered_predicate.h $
+// $Id: Static_filtered_predicate.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -16,7 +16,7 @@
 #include <CGAL/Epic_converter.h>
 
 namespace CGAL {
-  
+
 template <typename AK, typename FP, typename EpicP>
 class Static_filtered_predicate {
 public:
@@ -24,7 +24,7 @@ public:
   EpicP epicp;
   typedef typename AK::FT IA;
   typedef typename FP::result_type result_type;
-  
+
   template <typename A1>
   result_type operator()(const A1& a1) const
   {
@@ -35,10 +35,10 @@ public:
     if(! aa1.second){
       return fp(a1);
     }
-    
+
     return epicp(aa1.first);
   }
-  
+
   template <typename A1>
   result_type operator()(const A1& a1, const Null_vector& v) const
   {
@@ -49,10 +49,10 @@ public:
     if(! aa1.second){
       return fp(a1, v);
     }
-    
+
     return epicp(aa1.first, v);
   }
-    
+
   template <typename A1, typename A2>
   result_type operator()(const A1& a1, const A2& a2) const
   {
@@ -122,7 +122,7 @@ public:
     return epicp(aa1.first, aa2.first, aa3.first);
   }
 
-    
+
   template <typename A1, typename A2, typename A3, typename A4>
   result_type operator()(const A1& a1, const A2& a2, const A3& a3, const A4& a4) const
   {
@@ -150,7 +150,7 @@ public:
     }
     return epicp(aa1.first, aa2.first, aa3.first, aa4.first);
   }
-  
+
   template <typename A1, typename A2, typename A3, typename A4, typename A5>
   result_type operator()(const A1& a1, const A2& a2, const A3& a3, const A4& a4, const A5& a5) const
   {
@@ -265,7 +265,7 @@ public:
     return epicp(aa1.first, aa2.first, aa3.first, aa4.first, aa5.first, aa6.first, aa7.first);
   }
 
-  
+
   template <typename A1, typename A2, typename A3, typename A4, typename A5, typename A6, typename A7, typename A8>
   result_type operator()(const A1& a1, const A2& a2, const A3& a3, const A4& a4, const A5& a5, const A6& a6, const A7& a7, const A8& a8) const
   {
diff -pruN 5.0.2-3/include/CGAL/stddef.h 5.0.3-1/include/CGAL/stddef.h
--- 5.0.2-3/include/CGAL/stddef.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/stddef.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/stddef.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/stddef.h $
 // $Id: stddef.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 
diff -pruN 5.0.2-3/include/CGAL/Straight_skeleton_2/assertions.h 5.0.3-1/include/CGAL/Straight_skeleton_2/assertions.h
--- 5.0.2-3/include/CGAL/Straight_skeleton_2/assertions.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Straight_skeleton_2/assertions.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Straight_skeleton_2/assertions.h $
-// $Id: assertions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Straight_skeleton_2/assertions.h $
+// $Id: assertions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
 
 #ifndef CGAL_STRAIGHT_SKELETON_ASSERTIONS_H
@@ -25,7 +25,7 @@
 #  define CGAL_stskel_expensive_postcondition(EX)         (CGAL::possibly(EX)?(static_cast<void>(0)): ::CGAL::postcondition_fail( # EX , __FILE__, __LINE__))
 #  define CGAL_stskel_expensive_postcondition_msg(EX,MSG) (CGAL::possibly(EX)?(static_cast<void>(0)): ::CGAL::postcondition_fail( # EX , __FILE__, __LINE__, MSG))
 #  define CGAL_stskel_expensive_postcondition_code(CODE)  CODE
-#endif 
+#endif
 
 
 namespace CGAL {
@@ -44,4 +44,4 @@ template<class Handle> inline bool handl
 
 #endif // CGAL_STRAIGHT_SKELETON_ASSERTIONS_H //
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Straight_skeleton_2/debug.h 5.0.3-1/include/CGAL/Straight_skeleton_2/debug.h
--- 5.0.2-3/include/CGAL/Straight_skeleton_2/debug.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Straight_skeleton_2/debug.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Straight_skeleton_2/debug.h $
-// $Id: debug.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Straight_skeleton_2/debug.h $
+// $Id: debug.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
 
 #ifndef CGAL_STRAIGHT_SKELETON_DEBUG_H
@@ -67,9 +67,9 @@ template<class N>
 inline std::string n2str( N const& n )
 {
   std::ostringstream ss ; ss << std::setprecision(19)  ;
-  
+
   ss << CGAL_NTS to_double(n) ;
-  
+
   return ss.str();
 }
 
@@ -99,14 +99,14 @@ inline CORE::BigFloat to_big_float( NT c
 
 inline std::string n2str( CGAL::MP_Float const& n )
 {
-  std::ostringstream ss ; 
+  std::ostringstream ss ;
   ss << to_big_float(n) ;
   return ss.str();
 }
 
 inline std::string n2str( CGAL::Quotient< CGAL::MP_Float > const& n )
 {
-  std::ostringstream ss ; 
+  std::ostringstream ss ;
   ss << to_big_float(n) ;
   return ss.str();
 }
@@ -129,21 +129,21 @@ inline std::string n2str( CGAL::Quotient
 template<class XY>
 inline std::string xy2str( XY const& xy )
 {
-  std::ostringstream ss ; 
+  std::ostringstream ss ;
   ss << "(" << n2str(xy.x()) << "," << n2str(xy.y()) << ")" ;
   return ss.str();
 }
 template<class D>
 inline std::string dir2str( D const& d )
 {
-  std::ostringstream ss ; 
+  std::ostringstream ss ;
   ss << "(" << n2str(d.dx()) << "," << n2str(d.dy()) << ")" ;
   return ss.str();
 }
 template<class P>
 inline std::string p2str( P const& p )
 {
-  std::ostringstream ss ; 
+  std::ostringstream ss ;
   ss << "(" << n2str(p.x()) << "," << n2str(p.y()) << ")" ;
   return ss.str();
 }
@@ -169,7 +169,7 @@ inline std::string vh2str( VH const& vh
 template<class P>
 inline std::string s2str( P const& s, P const& t )
 {
-  std::ostringstream ss ; 
+  std::ostringstream ss ;
   ss << "{" << p2str(s) << "-" << p2str(t) << "}" ;
   return ss.str();
 }
@@ -184,10 +184,10 @@ inline std::string e2str( E const& e )
   if ( e.is_bisector() )
   {
     ss << "B" << e.id()
-       << "[E" << e.defining_contour_edge()->id() 
+       << "[E" << e.defining_contour_edge()->id()
        << ",E" << e.opposite()->defining_contour_edge()->id() << "]"
        << " (/" << ( e.slope() == CGAL::ZERO ? "·" : ( e.slope() == CGAL::NEGATIVE ? "-" : "+" ) )
-       << " " << e.opposite()->vertex()->time() << "->" << e.vertex()->time() << ")" ; 
+       << " " << e.opposite()->vertex()->time() << "->" << e.vertex()->time() << ")" ;
   }
   else
   {
@@ -207,27 +207,27 @@ inline std::string eh2str( EH const& eh
 template<class BH>
 inline std::string newb2str( char const* name, BH const& b )
 {
-  std::ostringstream ss ; 
-  
-  ss << "New Bisector " 
-     << name 
+  std::ostringstream ss ;
+
+  ss << "New Bisector "
+     << name
      << " is B" << b->id()
-     << " [E" << b->defining_contour_edge()->id() 
+     << " [E" << b->defining_contour_edge()->id()
      << ",E" << b->opposite()->defining_contour_edge()->id()
-     << "] {B" << b->prev()->id() 
-     << "->N"  << b->prev()->vertex()->id() 
-     << "->B" << b->id() 
-     << "->N" << b->vertex()->id() 
+     << "] {B" << b->prev()->id()
+     << "->N"  << b->prev()->vertex()->id()
+     << "->B" << b->id()
+     << "->N" << b->vertex()->id()
      << "->B" << b->next()->id()
      << "}" ;
-     
+
   return ss.str();
 }
 
 template<class VH, class Triedge>
 inline std::string newn2str( char const* name, VH const& v, Triedge const& aTriedge )
 {
-  std::ostringstream ss ; 
+  std::ostringstream ss ;
 
   ss << "New Node " << name <<" is N" << v->id() << " at " << v->point()
      << " [E" << aTriedge.e0()->id()
@@ -235,7 +235,7 @@ inline std::string newn2str( char const*
      << ",E" << aTriedge.e2()->id()
      << "] incident halfedge: B" << v->halfedge()->id()
      << "  primary bisector: B" << v->primary_bisector()->id() ;
-     
+
   return ss.str();
 }
 
@@ -246,7 +246,7 @@ inline std::string newn2str( char const*
 #  define CGAL_STSKEL_BUILDER_TRACE(l,m) if ( l <= CGAL_STRAIGHT_SKELETON_ENABLE_TRACE ) CGAL_STSKEL_TRACE(m)
 #  define CGAL_STSKEL_BUILDER_TRACE_IF(c,l,m) if ( (c) && l <= CGAL_STRAIGHT_SKELETON_ENABLE_TRACE ) CGAL_STSKEL_TRACE(m)
 #else
-#  define CGAL_STSKEL_DEBUG_CODE(code) 
+#  define CGAL_STSKEL_DEBUG_CODE(code)
 #  define CGAL_STSKEL_BUILDER_TRACE(l,m)
 #  define CGAL_STSKEL_BUILDER_TRACE_IF(c,l,m)
 #endif
@@ -284,7 +284,7 @@ bool sEnableTraitsTrace = false ;
 #  define CGAL_STSKEL_VALIDITY_TRACE(m) CGAL_STSKEL_TRACE(m)
 #  define CGAL_STSKEL_VALIDITY_TRACE_IF(cond,m) if ( cond ) CGAL_STSKEL_VALIDITY_TRACE(m)
 #else
-#  define CGAL_STSKEL_VALIDITY_TRACE(m) 
+#  define CGAL_STSKEL_VALIDITY_TRACE(m)
 #  define CGAL_STSKEL_VALIDITY_TRACE_IF(cond,m)
 #endif
 
@@ -347,4 +347,4 @@ template<> char const* kernel_type<CORE:
 #endif // CGAL_STRAIGHT_SKELETON_DEBUG_H //
 // EOF //
 
- 
+
diff -pruN 5.0.2-3/include/CGAL/Straight_skeleton_2/Polygon_offset_builder_2_impl.h 5.0.3-1/include/CGAL/Straight_skeleton_2/Polygon_offset_builder_2_impl.h
--- 5.0.2-3/include/CGAL/Straight_skeleton_2/Polygon_offset_builder_2_impl.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Straight_skeleton_2/Polygon_offset_builder_2_impl.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Straight_skeleton_2/Polygon_offset_builder_2_impl.h $
-// $Id: Polygon_offset_builder_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Straight_skeleton_2/Polygon_offset_builder_2_impl.h $
+// $Id: Polygon_offset_builder_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -48,7 +48,7 @@ Polygon_offset_builder_2<Ss,Gt,Cont,Visi
 template<class Ss, class Gt, class Cont, class Visitor>
 typename Polygon_offset_builder_2<Ss,Gt,Cont,Visitor>::Halfedge_const_handle
 Polygon_offset_builder_2<Ss,Gt,Cont,Visitor>::LocateHook( FT                    aTime
-                                                        , Halfedge_const_handle aBisector 
+                                                        , Halfedge_const_handle aBisector
                                                         , bool                  aIncludeLastBisector
                                                         , Hook_position&        rPos
                                                         )
@@ -61,11 +61,11 @@ Polygon_offset_builder_2<Ss,Gt,Cont,Visi
   {
     Halfedge_const_handle lPrev = aBisector->prev();
     Halfedge_const_handle lNext = aBisector->next();
-    
+
     CGAL_POLYOFFSET_TRACE(2,"Testing hook on " << e2str(*aBisector) ) ;
-                          
+
     CGAL_POLYOFFSET_TRACE(4, "Next: " << e2str(*lNext) << " - Prev: " << e2str(*lPrev) ) ;
-                          
+
     if ( !IsVisited(aBisector) )
     {
       if ( aBisector->slope() != ZERO )
@@ -77,11 +77,11 @@ Polygon_offset_builder_2<Ss,Gt,Cont,Visi
         //
         //  (src-time <= time <= tgt-time ) || ( tgt-time <= time <= src-time )
         //
-        
+
         Comparison_result lTimeWrtSrcTime = lPrev->is_bisector() ? Compare_offset_against_event_time(aTime,lPrev    ->vertex()) : LARGER ;
         Comparison_result lTimeWrtTgtTime = lNext->is_bisector() ? Compare_offset_against_event_time(aTime,aBisector->vertex()) : LARGER ;
         CGAL_POLYOFFSET_TRACE(3,"  TimeWrtSrcTime: " << lTimeWrtSrcTime << " TimeWrtTgtTime: " << lTimeWrtTgtTime ) ;
-        
+
         //
         // The above test expressed in terms of comparisons of src/tgt time against aTime is:
         //
@@ -95,38 +95,38 @@ Polygon_offset_builder_2<Ss,Gt,Cont,Visi
         //     && ( time-wrt-src-time == ZERO || time-wrt-src-time == LARGER  )
         // )
         //
-        // But since bisectors of slope zero are skipped, both comparisons cannot be zero, thus, the test above is really: 
+        // But since bisectors of slope zero are skipped, both comparisons cannot be zero, thus, the test above is really:
         //
         //    ( ( time-wrt-src-time == ZERO || time-wrt-src-time == SMALLER )  && (                              time-wrt-tgt-time == LARGER ) )
         // || ( (                              time-wrt-src-time == SMALLER )  && ( time-wrt-tgt-time == ZERO || time-wrt-tgt-time == LARGER ) )
         // || ( ( time-wrt-tgt-time == ZERO || time-wrt-tgt-time == SMALLER )  && (                              time-wrt-src-time == LARGER ) )
         // || ( (                              time-wrt-tgt-time == SMALLER )  && ( time-wrt-src-time == ZERO || time-wrt-src-time == LARGER ) )
-        // 
+        //
         // Which actually boils down to this:
         //
         if ( lTimeWrtSrcTime != lTimeWrtTgtTime )
         {
           CGAL_stskel_intrinsic_test_assertion( !CGAL_SS_i::is_time_clearly_not_within_possibly_inexact_bisector_time_interval(aTime,aBisector) ) ;
-          
+
           bool lLocalPeak = false ;
-          
+
           if ( aBisector->slope() == POSITIVE && lTimeWrtSrcTime == EQUAL )
           {
             Halfedge_const_handle lPrev = aBisector->prev();
             while ( lPrev->is_bisector() && ( lPrev->slope() == ZERO ) )
              lPrev = lPrev->prev();
-             
+
             lLocalPeak = ( lPrev->slope() == NEGATIVE ) ;
-          }   
-        
+          }
+
           if ( !lLocalPeak )
           {
-            rPos = ( lTimeWrtTgtTime == EQUAL ? TARGET : lTimeWrtSrcTime == EQUAL ? SOURCE : INSIDE ) ; 
-            
+            rPos = ( lTimeWrtTgtTime == EQUAL ? TARGET : lTimeWrtSrcTime == EQUAL ? SOURCE : INSIDE ) ;
+
             rHook = aBisector ;
-            
+
             CGAL_POLYOFFSET_TRACE(2, "  Hook found here at " << Hook_position2Str(rPos) ) ;
-            
+
             break ;
           }
           else
@@ -137,18 +137,18 @@ Polygon_offset_builder_2<Ss,Gt,Cont,Visi
         else
         {
           CGAL_stskel_intrinsic_test_assertion( !CGAL_SS_i::is_time_clearly_within_possibly_inexact_bisector_time_interval(aTime,aBisector) ) ;
-          
+
           CGAL_POLYOFFSET_TRACE(2, "  Hook not found here.") ;
         }
-      }  
+      }
       else
       {
-        CGAL_POLYOFFSET_TRACE(2,"Bisector is a roof peak.");  
+        CGAL_POLYOFFSET_TRACE(2,"Bisector is a roof peak.");
       }
     }
     else
     {
-      CGAL_POLYOFFSET_TRACE(2,"Bisector already visited");  
+      CGAL_POLYOFFSET_TRACE(2,"Bisector already visited");
     }
     aBisector = lPrev ;
   }
@@ -161,7 +161,7 @@ typename Polygon_offset_builder_2<Ss,Gt,
 Polygon_offset_builder_2<Ss,Gt,Cont,Visitor>::LocateSeed( FT aTime, Halfedge_const_handle aBorder )
 {
   CGAL_POLYOFFSET_TRACE(2,"\nLocating seed for face " << e2str(*aBorder) ) ;
-    
+
   Hook_position lPos ;
   Halfedge_const_handle rSeed = LocateHook(aTime,aBorder->prev(),false,lPos);
   if ( handle_assigned(rSeed) )
@@ -169,12 +169,12 @@ Polygon_offset_builder_2<Ss,Gt,Cont,Visi
     if ( !IsUsedSeed(rSeed) )
     {
       SetIsUsedSeed(rSeed);
-      
+
       CGAL_postcondition( rSeed->prev()->is_bisector() ) ;
-      
-      // If a seed hook is found right at a bisector source, 
+
+      // If a seed hook is found right at a bisector source,
       // the next hook will be found right at the prev bisector's target, which would be a mistake,
-      // so we ajust the seed as the (target) of the prev 
+      // so we ajust the seed as the (target) of the prev
       if ( lPos == SOURCE )
         rSeed = rSeed->prev() ;
     }
@@ -201,9 +201,9 @@ Polygon_offset_builder_2<Ss,Gt,Cont,Visi
        ; ++ f
       )
     rSeed = LocateSeed(aTime,*f);
-  
+
   CGAL_POLYOFFSET_TRACE(2,"Seed:" << eh2str(rSeed) ) ;
-  
+
   return rSeed;
 }
 
@@ -211,7 +211,7 @@ Polygon_offset_builder_2<Ss,Gt,Cont,Visi
 template<class Ss, class Gt, class Cont, class Visitor>
 void Polygon_offset_builder_2<Ss,Gt,Cont,Visitor>::AddOffsetVertex( FT                    aTime
                                                                   , Halfedge_const_handle aHook
-                                                                  , ContainerPtr          aPoly 
+                                                                  , ContainerPtr          aPoly
                                                                   )
 {
   Visit(aHook);
@@ -220,13 +220,13 @@ void Polygon_offset_builder_2<Ss,Gt,Cont
 
   if ( !lP )
     lP = mVisitor.on_offset_point_overflowed(aHook) ;
-    
+
   CGAL_postcondition(bool(lP));
-  
+
   CGAL_POLYOFFSET_TRACE(1,"Found offset point p=" << p2str(*lP) << " at offset " << aTime << " along bisector " << e2str(*aHook) << " reaching " << v2str(*aHook->vertex()) ) ;
-  
+
   mVisitor.on_offset_point(*lP);
-  
+
   if ( lP != mLastPoint )
   {
     aPoly->push_back(*lP);
@@ -249,39 +249,39 @@ OutputIterator Polygon_offset_builder_2<
   ContainerPtr lPoly( new Container() ) ;
 
   mVisitor.on_offset_contour_started();
-  
+
   Halfedge_const_handle lHook = aSeed ;
   std::vector <Halfedge_const_handle > visited_hooks;
   do
   {
     CGAL_POLYOFFSET_TRACE(1,"STEP " << mStepID ) ;
-    
+
     Halfedge_const_handle lLastHook = lHook ;
     Hook_position lPos ;
     lHook = LocateHook(aTime,lHook->prev(),true,lPos) ;
     Visit(lLastHook);
-    
-    if ( handle_assigned(lHook) ) 
+
+    if ( handle_assigned(lHook) )
     {
       AddOffsetVertex(aTime,lHook, lPoly);
       CGAL_POLYOFFSET_TRACE(1,"B" << lLastHook->id() << " and B" << lHook->id() << " visited." ) ;
 
       lHook = lHook->opposite();
-      
+
       visited_hooks.push_back(lLastHook);
     }
-    
+
   }
   while ( handle_assigned(lHook) && lHook != aSeed  && !IsVisited(lHook)) ;
 
   bool lComplete = ( lHook == aSeed )  ;
-  
+
   CGAL_POLYOFFSET_TRACE(1,"Offset polygon of " << lPoly->size() << " vertices traced." << ( lComplete ? "COMPLETE" : "INCOMPLETE" ) ) ;
-  
+
   CGAL_assertion ( !lComplete || ( lComplete && lPoly->size() >= 3 ) ) ;
-  
+
   mVisitor.on_offset_contour_finished( lComplete );
-  
+
   if ( lComplete )
     *aOut++ = lPoly ;
   else
@@ -310,17 +310,17 @@ OutputIterator Polygon_offset_builder_2<
   CGAL_POLYOFFSET_DEBUG_CODE( mStepID = 0 ) ;
 
   mVisitor.on_construction_started(aTime);
-  
+
   mLastPoint = boost::none ;
-  
+
   ResetBisectorData();
 
   CGAL_POLYOFFSET_TRACE(1,"Constructing offset polygons for offset: " << aTime ) ;
   for ( Halfedge_const_handle lSeed = LocateSeed(aTime); handle_assigned(lSeed); lSeed = LocateSeed(aTime) )
     aOut = TraceOffsetPolygon(aTime,lSeed,aOut);
-  
+
   mVisitor.on_construction_finished();
-  
+
   return aOut ;
 }
 
@@ -329,52 +329,52 @@ typename Polygon_offset_builder_2<Ss,Gt,
 Polygon_offset_builder_2<Ss,Gt,Cont,Visitor>::CreateTrisegment ( Vertex_const_handle aNode ) const
 {
   CGAL_precondition(handle_assigned(aNode));
-  
+
   Trisegment_2_ptr r ;
-  
+
   CGAL_POLYOFFSET_TRACE(3,"Creating Trisegment for " << v2str(*aNode) ) ;
-  
+
   if ( aNode->is_skeleton() )
   {
     Triedge const& lEventTriedge =  aNode->event_triedge() ;
-    
+
     r = CreateTrisegment(lEventTriedge) ;
-    
+
     CGAL_stskel_intrinsic_test_assertion
     (
       !CGAL_SS_i::is_possibly_inexact_distance_clearly_not_equal_to( Construct_ss_event_time_and_point_2(mTraits)(r)->get<0>()
                                                                    , aNode->time()
-                                                                   )  
+                                                                   )
     ) ;
-    
+
     CGAL_POLYOFFSET_TRACE(3,"Event triedge=" << lEventTriedge ) ;
-    
+
     if ( r->degenerate_seed_id() == Trisegment_2::LEFT )
     {
      CGAL_POLYOFFSET_TRACE(3,"Left seed is degenerate." ) ;
-      
+
       Vertex_const_handle lLeftSeed = GetSeedVertex(aNode
                                                    ,aNode->primary_bisector()->prev()->opposite()
                                                    ,lEventTriedge.e0()
                                                    ,lEventTriedge.e1()
-                                                   ) ; 
-      if ( handle_assigned(lLeftSeed) ) 
+                                                   ) ;
+      if ( handle_assigned(lLeftSeed) )
         r->set_child_l( CreateTrisegment(lLeftSeed) ) ; // Recursive call
     }
     else if ( ! aNode->is_split() && r->degenerate_seed_id() == Trisegment_2::RIGHT )
     {
       CGAL_POLYOFFSET_TRACE(3,"Right seed is degenerate." ) ;
-      
+
       Vertex_const_handle lRightSeed = GetSeedVertex(aNode
                                                     ,aNode->primary_bisector()->opposite()->next()
                                                     ,lEventTriedge.e1()
                                                     ,lEventTriedge.e2()
-                                                    ) ; 
-      if ( handle_assigned(lRightSeed) ) 
+                                                    ) ;
+      if ( handle_assigned(lRightSeed) )
         r->set_child_r( CreateTrisegment(lRightSeed) ) ; // Recursive call
     }
   }
-    
+
   return r ;
 }
 
@@ -383,21 +383,21 @@ typename Polygon_offset_builder_2<Ss,Gt,
 Polygon_offset_builder_2<Ss,Gt,Cont,Visitor>::GetSeedVertex ( Vertex_const_handle   aNode
                                                             , Halfedge_const_handle aBisector
                                                             , Halfedge_const_handle aEa
-                                                            , Halfedge_const_handle aEb 
+                                                            , Halfedge_const_handle aEb
                                                             ) const
 {
   Vertex_const_handle rSeed ;
-    
+
   if ( Is_bisector_defined_by(aBisector,aEa,aEb) )
   {
     rSeed = aBisector->vertex();
-    
+
     CGAL_POLYOFFSET_TRACE(3,"Seed of N" << aNode->id() << " for vertex (E" << aEa->id() << ",E" << aEb->id() << ") directly found: V" << rSeed->id() ) ;
   }
-  else 
+  else
   {
     typedef typename Vertex::Halfedge_around_vertex_const_circulator Halfedge_around_vertex_const_circulator ;
-    
+
     Halfedge_around_vertex_const_circulator cb = aNode->halfedge_around_vertex_begin() ;
     Halfedge_around_vertex_const_circulator c  = cb ;
     do
@@ -411,7 +411,7 @@ Polygon_offset_builder_2<Ss,Gt,Cont,Visi
     }
     while ( !handle_assigned(rSeed) && ++ c != cb ) ;
   }
-  
+
   return rSeed ;
 }
 
diff -pruN 5.0.2-3/include/CGAL/Straight_skeleton_2/Straight_skeleton_aux.h 5.0.3-1/include/CGAL/Straight_skeleton_2/Straight_skeleton_aux.h
--- 5.0.2-3/include/CGAL/Straight_skeleton_2/Straight_skeleton_aux.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Straight_skeleton_2/Straight_skeleton_aux.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Straight_skeleton_2/Straight_skeleton_aux.h $
-// $Id: Straight_skeleton_aux.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Straight_skeleton_2/Straight_skeleton_aux.h $
+// $Id: Straight_skeleton_aux.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -33,75 +33,75 @@ namespace CGAL_SS_i
 {
 
 template<class K> struct Has_inexact_constructions
-{ 
+{
   typedef typename K::FT FT ;
-  
+
   typedef typename boost::mpl::if_< boost::mpl::or_< boost::is_same<FT,double>
                                                    , boost::is_same<FT,Interval_nt_advanced>
-                                                   > 
+                                                   >
                                   , Tag_true
                                   , Tag_false
-                                  >::type type ; 
+                                  >::type type ;
 } ;
 
 //
 // This record encapsulates the defining contour halfedges for a node (both contour and skeleton)
 //
 template<class Handle_>
-class Triedge 
+class Triedge
 {
 public:
 
   typedef Handle_ Handle ;
-  
+
   typedef Triedge<Handle> Self ;
-  
+
   Triedge() {}
-  
-  // Contour nodes (input polygon vertices) have only 2 defining contour edges    
+
+  // Contour nodes (input polygon vertices) have only 2 defining contour edges
   Triedge ( Handle aE0, Handle aE1 )
   {
-    mE[0] = aE0 ; 
-    mE[1] = aE1 ; 
+    mE[0] = aE0 ;
+    mE[1] = aE1 ;
     // mE[2] gets default constructed, i.e., "null".
-  }              
-  
-  // Skeleton nodes (offset polygon vertices) have 3 defining contour edges    
+  }
+
+  // Skeleton nodes (offset polygon vertices) have 3 defining contour edges
   Triedge ( Handle aE0, Handle aE1 , Handle aE2 )
   {
     mE[0] = aE0 ;
     mE[1] = aE1 ;
     mE[2] = aE2 ;
-  }              
-  
+  }
+
   Handle e( unsigned idx ) const { CGAL_assertion(idx<3); return mE[idx]; }
-  
+
   Handle e0() const { return e(0); }
   Handle e1() const { return e(1); }
   Handle e2() const { return e(2); }
-  
+
   bool is_valid() const { return handle_assigned(e0()) && handle_assigned(e1()); }
-  
+
   bool is_contour () const { return !handle_assigned(e2()) ; }
   bool is_skeleton() const { return  handle_assigned(e2()) ; }
-  
+
   bool is_contour_terminal() const { return e0() == e1() ; }
-  
+
   bool is_skeleton_terminal() const { return e0() == e1() || e1() == e2() ; }
-  
+
   // Returns true if the triedges store the same 3 halfedges (in any order)
-  friend bool operator == ( Self const& x, Self const& y ) 
-  { 
-    return x.number_of_unique_edges() == y.number_of_unique_edges() && CountInCommon(x,y) == x.number_of_unique_edges() ; 
+  friend bool operator == ( Self const& x, Self const& y )
+  {
+    return x.number_of_unique_edges() == y.number_of_unique_edges() && CountInCommon(x,y) == x.number_of_unique_edges() ;
   }
-  
+
   friend bool operator != ( Self const& x, Self const& y ) { return !(x==y) ; }
-  
+
   friend Self operator & ( Self const& x, Self const& y )
   {
     return Self(x.e0(), x.e1(), ( x.e0() == y.e0() || x.e1() == y.e0() ) ? y.e1() : y.e0()  ) ;
   }
-  
+
   friend std::ostream& operator<< ( std::ostream& ss, Self const& t )
   {
     ss << "{E" ;
@@ -113,27 +113,27 @@ public:
     ss << "}" ;
     return ss ;
   }
-  
+
 private:
-  
+
   static void insert_handle_id( std::ostream& ss, Handle aH )
-  {  
+  {
     if ( handle_assigned(aH) )
          ss << aH->id() ;
     else ss << "#" ;
   }
-  
+
   // returns 1 if aE is one of the halfedges stored in this triedge, 0 otherwise.
   int contains ( Handle aE ) const
   {
     return aE == e0() || aE == e1() || aE == e2() ? 1 : 0 ;
   }
-  
+
   int number_of_unique_edges() const
-  { 
+  {
     return is_contour() ? ( is_contour_terminal() ? 1 : 2 ) : ( is_skeleton_terminal() ? 2 : 3 ) ;
   }
-  
+
   // Returns the number of common halfedges in the two triedges x and y
   static int CountInCommon( Self const& x, Self const& y )
   {
@@ -151,7 +151,7 @@ private:
 
     return x.contains(lE[0]) + x.contains(lE[1]) + ( lC > 2 ? x.contains(lE[2]) : 0 ) ;
   }
-  
+
   Handle mE[3];
 } ;
 
@@ -159,7 +159,7 @@ private:
 } // namespace CGAL_SS_i
 
 enum Trisegment_collinearity
-{ 
+{
     TRISEGMENT_COLLINEARITY_NONE
   , TRISEGMENT_COLLINEARITY_01
   , TRISEGMENT_COLLINEARITY_12
@@ -172,18 +172,18 @@ inline char const* trisegment_collineari
 {
   switch ( c )
   {
-    case TRISEGMENT_COLLINEARITY_NONE : return "<>" ;  
-    case TRISEGMENT_COLLINEARITY_01   : return "<0,1>" ; 
-    case TRISEGMENT_COLLINEARITY_12   : return "<1,2>" ; 
-    case TRISEGMENT_COLLINEARITY_02   : return "<0,2>" ; 
-    case TRISEGMENT_COLLINEARITY_ALL  : return "<0,1,2>" ; 
+    case TRISEGMENT_COLLINEARITY_NONE : return "<>" ;
+    case TRISEGMENT_COLLINEARITY_01   : return "<0,1>" ;
+    case TRISEGMENT_COLLINEARITY_12   : return "<1,2>" ;
+    case TRISEGMENT_COLLINEARITY_02   : return "<0,2>" ;
+    case TRISEGMENT_COLLINEARITY_ALL  : return "<0,1,2>" ;
   }
-  
+
   return "!!UNKNOWN COLLINEARITY!!" ;
 }
 
 
-namespace internal 
+namespace internal
 {
 
 template <>
diff -pruN 5.0.2-3/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_2_impl.h 5.0.3-1/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_2_impl.h
--- 5.0.2-3/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_2_impl.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_2_impl.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_2_impl.h $
-// $Id: Straight_skeleton_builder_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_2_impl.h $
+// $Id: Straight_skeleton_builder_2_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -52,16 +52,16 @@ Straight_skeleton_builder_2<Gt,Ss,V>::St
 }
 
 template<class Gt, class Ss, class V>
-typename Straight_skeleton_builder_2<Gt,Ss,V>::Halfedge_handle 
+typename Straight_skeleton_builder_2<Gt,Ss,V>::Halfedge_handle
 Straight_skeleton_builder_2<Gt,Ss,V>::validate( Halfedge_handle aH ) const
 {
   if ( !handle_assigned(aH) )
     throw std::runtime_error("Incomplete straight skeleton");
   return aH ;
 }
-  
+
 template<class Gt, class Ss, class V>
-typename Straight_skeleton_builder_2<Gt,Ss,V>::Vertex_handle 
+typename Straight_skeleton_builder_2<Gt,Ss,V>::Vertex_handle
 Straight_skeleton_builder_2<Gt,Ss,V>::validate( Vertex_handle aH ) const
 {
   if ( !handle_assigned(aH) )
@@ -77,7 +77,7 @@ void Straight_skeleton_builder_2<Gt,Ss,V
 }
 
 template<class Gt, class Ss, class V>
-typename Straight_skeleton_builder_2<Gt,Ss,V>::EventPtr 
+typename Straight_skeleton_builder_2<Gt,Ss,V>::EventPtr
 Straight_skeleton_builder_2<Gt,Ss,V>::PopEventFromPQ()
 {
   EventPtr rR = mPQ.top(); mPQ.pop();
@@ -92,24 +92,24 @@ typename Straight_skeleton_builder_2<Gt,
 Straight_skeleton_builder_2<Gt,Ss,V>::FindEdgeEvent( Vertex_handle aLNode, Vertex_handle aRNode, Triedge const& aPrevEventTriedge  )
 {
   EventPtr rResult ;
- 
+
   Triedge lTriedge = GetVertexTriedge(aLNode) & GetVertexTriedge(aRNode) ;
-  
+
   if ( lTriedge.is_valid()  && lTriedge != aPrevEventTriedge )
   {
     Trisegment_2_ptr lTrisegment = CreateTrisegment(lTriedge,aLNode,aRNode);
-    
+
     if ( ExistEvent(lTrisegment) )
     {
       Comparison_result lLNodeD = CompareEvents(lTrisegment,aLNode) ;
       Comparison_result lRNodeD = CompareEvents(lTrisegment,aRNode) ;
-      
+
       if ( lLNodeD != SMALLER && lRNodeD != SMALLER )
       {
         rResult = EventPtr( new EdgeEvent( lTriedge, lTrisegment, aLNode, aRNode ) ) ;
 
         mVisitor.on_edge_event_created(aLNode, aRNode) ;
-        
+
         CGAL_STSKEL_DEBUG_CODE( SetEventTimeAndPoint(*rResult) );
       }
       else
@@ -123,55 +123,55 @@ Straight_skeleton_builder_2<Gt,Ss,V>::Fi
 
 
 template<class Gt, class Ss, class V>
-typename Straight_skeleton_builder_2<Gt,Ss,V>::EventPtr 
+typename Straight_skeleton_builder_2<Gt,Ss,V>::EventPtr
 Straight_skeleton_builder_2<Gt,Ss,V>::IsPseudoSplitEvent( EventPtr const& aEvent, Vertex_handle_pair aOpp, Site const& aSite )
 {
   EventPtr rPseudoSplitEvent ;
-  
+
   if ( aSite != INSIDE )
   {
     SplitEvent& lEvent = dynamic_cast<SplitEvent&>(*aEvent) ;
-    
+
     Triedge           const& lEventTriedge    = lEvent.triedge();
     Trisegment_2_ptr  const& lEventTrisegment = lEvent.trisegment();
     Vertex_handle            lSeedN           = lEvent.seed0();
-    
+
     Vertex_handle lOppL = aOpp.first ;
     Vertex_handle lOppR = aOpp.second ;
-    
+
     if ( aSite == AT_SOURCE )
     {
-      Halfedge_handle lOppPrevBorder = GetVertexTriedge(lOppL).e0() ; 
-      
+      Halfedge_handle lOppPrevBorder = GetVertexTriedge(lOppL).e0() ;
+
       if ( lEventTriedge.e0() != lOppPrevBorder && lEventTriedge.e1() != lOppPrevBorder )
       {
         rPseudoSplitEvent = EventPtr( new PseudoSplitEvent(lEventTriedge,lEventTrisegment,lOppL,lSeedN,true) ) ;
-  
+
         CGAL_STSKEL_BUILDER_TRACE(1,"Pseudo-split-event found against N" << lOppL->id() ) ;
-        
+
         mVisitor.on_pseudo_split_event_created(lOppL,lSeedN) ;
       }
     }
-    else // aSite == AT_TARGET 
+    else // aSite == AT_TARGET
     {
       Vertex_handle lOppNextN = GetNextInLAV(lOppR) ;
-      
-      Halfedge_handle lOppNextBorder = GetVertexTriedge(lOppNextN).e0() ; 
-      
+
+      Halfedge_handle lOppNextBorder = GetVertexTriedge(lOppNextN).e0() ;
+
       if ( lEventTriedge.e0() != lOppNextBorder && lEventTriedge.e1() != lOppNextBorder )
       {
-        rPseudoSplitEvent = EventPtr( new PseudoSplitEvent(lEventTriedge, lEventTrisegment, lSeedN, lOppR,false) ) ;  
-  
+        rPseudoSplitEvent = EventPtr( new PseudoSplitEvent(lEventTriedge, lEventTrisegment, lSeedN, lOppR,false) ) ;
+
         CGAL_STSKEL_BUILDER_TRACE(1,"Pseudo-split-event found against N" << lOppR->id() ) ;
-        
+
         mVisitor.on_pseudo_split_event_created(lSeedN,lOppR) ;
       }
     }
   }
-  
+
   if ( rPseudoSplitEvent )
     rPseudoSplitEvent->SetTimeAndPoint(aEvent->time(),aEvent->point());
-  
+
   return rPseudoSplitEvent ;
 }
 
@@ -190,18 +190,18 @@ void Straight_skeleton_builder_2<Gt,Ss,V
   if ( IsOppositeEdgeFacingTheSplitSeed(aNode,aTriedge.e2()) )
   {
     Trisegment_2_ptr lTrisegment = CreateTrisegment(aTriedge,aNode);
-    
+
     if ( lTrisegment->collinearity() != TRISEGMENT_COLLINEARITY_02 && ExistEvent(lTrisegment) )
     {
       if ( CompareEvents(lTrisegment,aNode) != SMALLER )
       {
         EventPtr lEvent = EventPtr( new SplitEvent (aTriedge,lTrisegment,aNode) ) ;
-        
+
         mVisitor.on_split_event_created(aNode) ;
- 
+
         CGAL_STSKEL_DEBUG_CODE( SetEventTimeAndPoint(*lEvent) ) ;
-  
-        AddSplitEvent(aNode,lEvent);      
+
+        AddSplitEvent(aNode,lEvent);
       }
     }
   }
@@ -213,10 +213,10 @@ void Straight_skeleton_builder_2<Gt,Ss,V
 {
   // lLBorder and lRBorder are the consecutive contour edges forming the reflex wavefront.
   Triedge const& lTriedge = GetVertexTriedge(aNode);
-  
+
   Halfedge_handle lLBorder = lTriedge.e0();
   Halfedge_handle lRBorder = lTriedge.e1();
-  
+
   CGAL_STSKEL_BUILDER_TRACE(3
                       ,"Finding SplitEvent for N" << aNode->id()
                       << " LBorder: E" << lLBorder->id() << " RBorder: E" << lRBorder->id()
@@ -229,7 +229,7 @@ void Straight_skeleton_builder_2<Gt,Ss,V
     if ( lOpposite != lLBorder && lOpposite != lRBorder )
     {
       Triedge lEventTriedge(lLBorder, lRBorder, lOpposite);
-      
+
       if ( lEventTriedge != aPrevEventTriedge )
       {
         CollectSplitEvent(aNode, lEventTriedge ) ;
@@ -244,13 +244,13 @@ void Straight_skeleton_builder_2<Gt,Ss,V
 template<class Gt, class Ss, class V>
 void Straight_skeleton_builder_2<Gt,Ss,V>::CollectNewEvents( Vertex_handle aNode, Triedge const& aPrevEventTriedge )
 {
-  // A Straight Skeleton is the trace of the 'grassfire propagation' that corresponds to the inward move of all the vertices 
+  // A Straight Skeleton is the trace of the 'grassfire propagation' that corresponds to the inward move of all the vertices
   // of a polygon along their angular bisectors.
   // Since vertices are the common endpoints of contour edges, the propagation corresponds to contour edges moving inward,
   // shrinking and expanding as neccesasry to keep the vertices along the angular bisectors.
   // At each instant in time the current location of vertices (and edges) describe the current 'Offset polygon'
   // (with at time zero corresponds to the input polygon).
-  // 
+  //
   // An 'edge wavefront' is a moving contour edge.
   // A 'vertex wavefront' is the wavefront of two consecutive edge wavefronts (sharing a moving vertex).
   //
@@ -270,13 +270,13 @@ void Straight_skeleton_builder_2<Gt,Ss,V
   // wavefront (edgea,edgeb) collides with (edgec,edged), the two resulting polygons will contain (edgea,edgec) and (edgeb,edged).
   // Furthermore, one of the new vertices can be a reflex vertex generating a reflex wavefront which can further produce more split or
   // vertex events (or edge events of course)
-  // 
+  //
   // Each vertex wavefront (reflex or not) results in one and only one event from a set of possible events.
   // It can result in a edge event against the vertex wavefronts emerging from the adjacent vertices (in the current polygon, not
-  // in the input polygon); or it can result in a split event (or vertex event) against any other wavefront in the rest of 
+  // in the input polygon); or it can result in a split event (or vertex event) against any other wavefront in the rest of
   // current polygon.
 
-  
+
   // Adjacent vertices in the current polygon containing aNode (called LAV)
   Vertex_handle lPrev = GetPrevInLAV(aNode) ;
   Vertex_handle lNext = GetNextInLAV(aNode) ;
@@ -289,23 +289,23 @@ void Straight_skeleton_builder_2<Gt,Ss,V
 
   if ( IsReflex(aNode) )
     CollectSplitEvents(aNode, aPrevEventTriedge) ;
-    
+
   EventPtr lLEdgeEvent = FindEdgeEvent( lPrev , aNode, aPrevEventTriedge ) ;
   EventPtr lREdgeEvent = FindEdgeEvent( aNode , lNext, aPrevEventTriedge ) ;
 
   bool lAcceptL = !!lLEdgeEvent ;
   bool lAcceptR = !!lREdgeEvent ;
-    
+
   if ( lAcceptL )
     InsertEventInPQ(lLEdgeEvent);
-    
+
   if ( lAcceptR )
     InsertEventInPQ(lREdgeEvent);
 }
 
 // Handles the special case of two simultaneous edge events, that is, two edges
 // collapsing along the line/point were they meet at the same time.
-// This ocurrs when the bisector emerging from vertex 'aA' is defined by the same pair of 
+// This ocurrs when the bisector emerging from vertex 'aA' is defined by the same pair of
 // contour edges as the bisector emerging from vertex 'aB' (but in opposite order).
 //
 template<class Gt, class Ss, class V>
@@ -324,7 +324,7 @@ void Straight_skeleton_builder_2<Gt,Ss,V
   Vertex_handle lIAV = lIA->vertex() ;
   Vertex_handle lOBV = lOB->vertex() ;
   // Vertex_handle lIBV = lIB->vertex() ;
-  
+
   CGAL_STSKEL_BUILDER_TRACE ( 2
                             ,    "OA: B" << lOA->id() << '\n'
                               << "IA: B" << lIA->id() << '\n'
@@ -361,46 +361,46 @@ void Straight_skeleton_builder_2<Gt,Ss,V
 
   CGAL_STSKEL_BUILDER_TRACE ( 1, "B" << lOA->id() << " and B" << lIA->id() << " erased." ) ;
   mDanglingBisectors.push_back(lOA);
-  
+
   //
   // The code above corrects the links for vertices aA/aB to the erased halfedges lOA and lIA.
   // However, any of these vertices (aA/aB) maybe one of the twin vertices of a split event.
   // If that's the case, the erased halfedge maybe be linked to a 'couple' of those vertices.
   // This situation is corrected below:
 
-  
+
   if ( !lOAV->has_infinite_time() && lOAV != aA && lOAV != aB )
   {
     Link(lOAV,lIB);
-    
-    CGAL_STSKEL_BUILDER_TRACE ( 1, "N" << lOAV->id() << " has B" << lOA->id() 
-                              << " as it's halfedge. Replacing it with B" << lIB->id() 
+
+    CGAL_STSKEL_BUILDER_TRACE ( 1, "N" << lOAV->id() << " has B" << lOA->id()
+                              << " as it's halfedge. Replacing it with B" << lIB->id()
                               ) ;
   }
   if ( !lIAV->has_infinite_time() && lIAV != aA && lIAV != aB )
   {
     Link(lIAV,lOB);
-    
-    CGAL_STSKEL_BUILDER_TRACE ( 1, "N" << lIAV->id() << " has B" << lIA->id() 
-                              << " as it's halfedge. Replacing it with B" << lOB->id() 
+
+    CGAL_STSKEL_BUILDER_TRACE ( 1, "N" << lIAV->id() << " has B" << lIA->id()
+                              << " as it's halfedge. Replacing it with B" << lOB->id()
                               ) ;
   }
-  
+
   CGAL_STSKEL_BUILDER_TRACE ( 2, "N" << aA->id() << " halfedge: B" << aA->halfedge()->id() ) ;
   CGAL_STSKEL_BUILDER_TRACE ( 2, "N" << aB->id() << " halfedge: B" << aB->halfedge()->id() ) ;
 
   SetBisectorSlope(aA,aB);
 
   CGAL_assertion( aA->primary_bisector() == lIB ) ;
-  
+
   CGAL_STSKEL_BUILDER_TRACE ( 1, "Wavefront: E" << lIB->defining_contour_edge()->id() << " and E" << lIB->opposite()->defining_contour_edge()->id() << " anhiliated each other." ) ;
-  
+
   if ( lOAV->has_infinite_time() )
   {
     CGAL_STSKEL_BUILDER_TRACE ( 2, "Ficticius N" << lOAV->id() << " erased." ) ;
     EraseNode(lOAV);
   }
-  
+
   if ( lOBV->has_infinite_time() )
   {
     CGAL_STSKEL_BUILDER_TRACE ( 2, "Ficticius N" << lOBV->id() << " erased." ) ;
@@ -448,7 +448,7 @@ template<class Gt, class Ss, class V>
 void Straight_skeleton_builder_2<Gt,Ss,V>::CreateInitialEvents()
 {
   Triedge const cNull_triedge ;
-  
+
   CGAL_STSKEL_BUILDER_TRACE(0, "Creating initial events...");
   for ( Vertex_iterator v = mSSkel->vertices_begin(); v != mSSkel->vertices_end(); ++ v )
   {
@@ -471,7 +471,7 @@ void Straight_skeleton_builder_2<Gt,Ss,V
     Vertex_handle lPrev = GetPrevInLAV(v) ;
     Vertex_handle lNext = GetNextInLAV(v) ;
 
-    Orientation lOrientation = CGAL::orientation(lPrev->point(),v->point(),lNext->point()); 
+    Orientation lOrientation = CGAL::orientation(lPrev->point(),v->point(),lNext->point());
     if ( lOrientation == COLLINEAR )
     {
       SetIsDegenerate(v);
@@ -502,27 +502,27 @@ void Straight_skeleton_builder_2<Gt,Ss,V
                              << " (Out)\n B" << lIBisector->id() << " (In)"
                              ) ;
   }
-  
+
   for( Face_iterator fit = mSSkel->SSkel::Base::faces_begin(); fit != mSSkel->SSkel::Base::faces_end(); ++fit)
   {
     Halfedge_handle lBorder    = fit->halfedge();
     Halfedge_handle lLBisector = lBorder->prev();
     Halfedge_handle lRBisector = lBorder->next();
-    
+
     Vertex_handle lInfNode = mSSkel->SSkel::Base::vertices_push_back( Vertex( mVertexID++ ) ) ;
     InitVertexData(lInfNode);
     CGAL_assertion(lInfNode->has_null_point());
 
     lRBisector->HBase_base::set_next( lLBisector  );
     lLBisector->HBase_base::set_prev( lRBisector );
-        
+
     lRBisector->HBase_base::set_vertex(lInfNode);
-        
+
     lInfNode->VBase::set_halfedge(lRBisector);
-        
+
     SetBisectorSlope(lRBisector,POSITIVE);
     SetBisectorSlope(lLBisector,NEGATIVE);
-    
+
     CGAL_STSKEL_BUILDER_TRACE(3
                              ,"Closing face of E" << lBorder->id()
                              << " with a ficticious vertex. B" << lRBisector->id()
@@ -549,14 +549,14 @@ Straight_skeleton_builder_2<Gt,Ss,V>::Co
 
   Vertex_handle lLSeed = aEvent.seed0() ;
   Vertex_handle lRSeed = aEvent.seed1() ;
-  
+
   Vertex_handle lNewNode = mSSkel->SSkel::Base::vertices_push_back( Vertex( mVertexID++, aEvent.point(), aEvent.time(), false, false) ) ;
   InitVertexData(lNewNode);
 
   mGLAV.push_back(lNewNode);
- 
+
   SetTrisegment(lNewNode,aEvent.trisegment());
- 
+
   CGAL_STSKEL_BUILDER_TRACE
   ( 3
   ,    "LSeed: N" << lLSeed->id() << " processed\n"
@@ -581,7 +581,7 @@ Straight_skeleton_builder_2<Gt,Ss,V>::Co
                               << 'N' << lLSeed->id() << " removed from LAV\n"
                               << 'N' << lRSeed->id() << " removed from LAV\n"
                            );
-  
+
   return lNewNode ;
 }
 
@@ -593,44 +593,44 @@ Straight_skeleton_builder_2<Gt,Ss,V>::Lo
   Vertex_handle_pair rResult ;
 
   CGAL_STSKEL_DEBUG_CODE( bool lFound = false ; )
-  
+
   // Vertex_handle lSeed = aEvent->seed0();
-  
+
   CGAL_STSKEL_BUILDER_TRACE ( 3, "Looking up for E" << aBorder->id() << ". P=" << aEvent->point() ) ;
-   
+
   for ( typename std::list<Vertex_handle>::const_iterator vi = mGLAV.begin(); vi != mGLAV.end(); ++ vi )
   {
     Vertex_handle v = *vi;
-    
+
     Triedge const& lTriedge = GetVertexTriedge(v);
-      
+
     Vertex_handle lPrevN = GetPrevInLAV(v);
     Vertex_handle lNextN = GetNextInLAV(v);
-    
+
     if ( lTriedge.e0() == aBorder )
     {
-      Halfedge_handle lPrevBorder = GetEdgeEndingAt(lPrevN) ; 
-      Halfedge_handle lNextBorder = GetEdgeEndingAt(lNextN) ; 
-      
+      Halfedge_handle lPrevBorder = GetEdgeEndingAt(lPrevN) ;
+      Halfedge_handle lNextBorder = GetEdgeEndingAt(lNextN) ;
+
       CGAL_STSKEL_DEBUG_CODE( lFound = true ; )
 
       CGAL_STSKEL_BUILDER_TRACE ( 3
                                 , "Subedge found in SLAV: N" << lPrevN->id() << "->N" << v->id()
                                   << " (E" << lPrevBorder->id() << "->E" << aBorder->id() << "->E" << lNextBorder->id() << ")"
                                 ) ;
-      
+
       Oriented_side lLSide = EventPointOrientedSide(*aEvent, lPrevBorder, aBorder    , lPrevN, false ) ;
       Oriented_side lRSide = EventPointOrientedSide(*aEvent, aBorder    , lNextBorder, v     , true  ) ;
-                                                   
+
       if ( lLSide != ON_POSITIVE_SIDE && lRSide != ON_NEGATIVE_SIDE )
       {
-        if ( lLSide != ON_ORIENTED_BOUNDARY || lRSide != ON_ORIENTED_BOUNDARY ) 
+        if ( lLSide != ON_ORIENTED_BOUNDARY || lRSide != ON_ORIENTED_BOUNDARY )
         {
           rSite = ( lLSide == ON_ORIENTED_BOUNDARY ? AT_SOURCE : ( lRSide == ON_ORIENTED_BOUNDARY ?  AT_TARGET : INSIDE ) ) ;
-            
+
           rResult = std::make_pair(lPrevN,v) ;
-          
-          CGAL_STSKEL_BUILDER_TRACE ( 3, "Split point found at the " 
+
+          CGAL_STSKEL_BUILDER_TRACE ( 3, "Split point found at the "
                                     << ( rSite == AT_SOURCE ? "SOURCE vertex" : ( rSite == AT_TARGET ? "TARGET vertex" : "strict inside" ) )
                                     << " of the offset edge."
                                     ) ;
@@ -640,10 +640,10 @@ Straight_skeleton_builder_2<Gt,Ss,V>::Lo
         {
           CGAL_STSKEL_BUILDER_TRACE ( 3, "Opposite edge collapsed to a point" ) ;
         }
-      } 
+      }
     }
   }
-  
+
 #ifdef CGAL_STRAIGHT_SKELETON_ENABLE_TRACE
   if ( !handle_assigned(rResult.first) )
   {
@@ -652,10 +652,10 @@ Straight_skeleton_builder_2<Gt,Ss,V>::Lo
       CGAL_STSKEL_BUILDER_TRACE(1,"Split event is no longer valid. Opposite edge vanished.");
     }
     else
-    { 
+    {
       CGAL_STSKEL_BUILDER_TRACE(1,"Split event is no longer valid. Point not inside the opposite edge offset zone.");
     }
-  } 
+  }
 #endif
 
   return rResult ;
@@ -675,7 +675,7 @@ Straight_skeleton_builder_2<Gt,Ss,V>::Co
 
   Vertex_handle lNewNodeA = mSSkel->SSkel::Base::vertices_push_back( Vertex( mVertexID++, aEvent.point(), aEvent.time(), true, false ) ) ;
   Vertex_handle lNewNodeB = mSSkel->SSkel::Base::vertices_push_back( Vertex( mVertexID++, aEvent.point(), aEvent.time(), true, false ) ) ;
-  
+
   InitVertexData(lNewNodeA);
   InitVertexData(lNewNodeB);
   SetTrisegment(lNewNodeA,aEvent.trisegment());
@@ -683,11 +683,11 @@ Straight_skeleton_builder_2<Gt,Ss,V>::Co
 
   mGLAV.push_back(lNewNodeA);
   mGLAV.push_back(lNewNodeB);
-  
+
   Vertex_handle lSeed = aEvent.seed0() ;
- 
+
   CGAL_STSKEL_BUILDER_TRACE ( 3, "Seed: N" << lSeed->id() << " processed" ) ;
-  
+
   SetIsProcessed(lSeed) ;
   mGLAV.remove(lSeed);
 
@@ -733,12 +733,12 @@ Straight_skeleton_builder_2<Gt,Ss,V>::Co
 
   mGLAV.push_back(lNewNodeA);
   mGLAV.push_back(lNewNodeB);
-  
+
   InitVertexData(lNewNodeA);
   InitVertexData(lNewNodeB);
   SetTrisegment(lNewNodeA,aEvent.trisegment());
   SetTrisegment(lNewNodeB,aEvent.trisegment());
-  
+
   CGAL_STSKEL_BUILDER_TRACE
   (
    3
@@ -746,7 +746,7 @@ Straight_skeleton_builder_2<Gt,Ss,V>::Co
     << "RSeed: N" << lRSeed->id() << " processed"
   ) ;
 
-  
+
   SetIsProcessed(lLSeed) ;
   SetIsProcessed(lRSeed) ;
   mGLAV.remove(lLSeed);
@@ -775,7 +775,7 @@ Straight_skeleton_builder_2<Gt,Ss,V>::Co
                               << 'N' << lRSeed->id() << " removed from LAV"
                            );
 
-  
+
   rResult = std::make_pair(lNewNodeA,lNewNodeB);
 
   mSplitNodes.push_back(rResult);
@@ -793,49 +793,49 @@ template<class Gt, class Ss, class V>
 bool Straight_skeleton_builder_2<Gt,Ss,V>::IsValidEdgeEvent( EdgeEvent const& aEvent )
 {
   bool rResult = false ;
-  
+
   Vertex_handle lLSeed = aEvent.seed0() ;
   Vertex_handle lRSeed = aEvent.seed1() ;
-  
+
   Vertex_handle lPrevLSeed = GetPrevInLAV(lLSeed) ;
   Vertex_handle lNextRSeed = GetNextInLAV(lRSeed) ;
-  
+
   if ( lPrevLSeed != lNextRSeed )
   {
     Halfedge_handle lPrevE0 = GetEdgeEndingAt(lPrevLSeed) ;
     Halfedge_handle lE0     = aEvent.triedge().e0() ;
     Halfedge_handle lE2     = aEvent.triedge().e2() ;
     Halfedge_handle lNextE2 = GetEdgeStartingAt(lNextRSeed) ;
-    
+
     CGAL_STSKEL_BUILDER_TRACE(3, "PrevLSeed=N" << lPrevLSeed->id() << " PrevE0=E" << lPrevE0->id() ) ;
     CGAL_STSKEL_BUILDER_TRACE(3, "NextRSeed=N" << lNextRSeed->id() << " NextE2=E" << lNextE2->id() ) ;
-    
+
     Oriented_side lLSide = EventPointOrientedSide(aEvent, lPrevE0, lE0    , lPrevLSeed, false ) ;
     Oriented_side lRSide = EventPointOrientedSide(aEvent, lE2    , lNextE2, lNextRSeed, true  ) ;
-    
+
     bool lLSideOK = ( lLSide != ON_POSITIVE_SIDE ) ;
     bool lRSideOK = ( lRSide != ON_NEGATIVE_SIDE ) ;
-    
+
     CGAL_STSKEL_BUILDER_TRACE_IF( !lLSideOK
                                 ,3
                                 ,"Invalid edge event: " << aEvent.triedge() << " NewNode is before E" << lE0->id()
                                 << " source N" << lPrevLSeed->id()
                                 ) ;
-                                
+
     CGAL_STSKEL_BUILDER_TRACE_IF( !lRSideOK
                                 ,3
                                 ,"Invalid edge event: " << aEvent.triedge() << " NewNode is past E" << lE2->id()
-                                 << " target N" << lNextRSeed->id() 
+                                 << " target N" << lNextRSeed->id()
                                 ) ;
-                                
-    rResult = lLSideOK && lRSideOK ;                                 
+
+    rResult = lLSideOK && lRSideOK ;
   }
   else
   {
     // Triangle collapse. No need to test explicitely.
     rResult = true ;
   }
-  return rResult ; 
+  return rResult ;
 }
 
 template<class Gt, class Ss, class V>
@@ -849,17 +849,17 @@ void Straight_skeleton_builder_2<Gt,Ss,V
     Vertex_handle lRSeed = lEvent.seed1() ;
 
     Vertex_handle lNewNode = ConstructEdgeEventNode(lEvent);
-  
+
     Halfedge_handle lLOBisector = lLSeed->primary_bisector() ;
     Halfedge_handle lROBisector = lRSeed->primary_bisector() ;
     Halfedge_handle lLIBisector = lLOBisector->opposite();
     Halfedge_handle lRIBisector = lROBisector->opposite();
-  
+
     Vertex_handle lRIFicNode = lROBisector->vertex() ;
     Vertex_handle lLOFicNode = lLOBisector->vertex() ;
-    
+
     CrossLink(lLOBisector,lNewNode);
-    
+
     Link(lROBisector,lNewNode);
 
     CrossLinkFwd(lROBisector,lLIBisector) ;
@@ -867,64 +867,64 @@ void Straight_skeleton_builder_2<Gt,Ss,V
     Halfedge_handle lDefiningBorderA = lNewNode->halfedge()->defining_contour_edge();
     Halfedge_handle lDefiningBorderB = lNewNode->halfedge()->opposite()->prev()->opposite()->defining_contour_edge();
     Halfedge_handle lDefiningBorderC = lNewNode->halfedge()->opposite()->prev()->defining_contour_edge();
-  
+
     lNewNode->VBase::set_event_triedge( lEvent.triedge() ) ;
-    
+
     Triedge lTri(lDefiningBorderA,lDefiningBorderB,lDefiningBorderC);
-    
+
     SetVertexTriedge( lNewNode, lTri ) ;
-    
+
     SetBisectorSlope(lLSeed,lNewNode);
     SetBisectorSlope(lRSeed,lNewNode);
-  
+
     CGAL_STSKEL_BUILDER_TRACE( 1, "E" << lRSeed->halfedge()->defining_contour_edge()->id() << " collapsed." );
     CGAL_STSKEL_BUILDER_TRACE( 3, "Ficticious node along collapsed face is N" << lRIFicNode->id() << " between B" << lROBisector->id() << " and B" << lLIBisector->id() ) ;
-    
+
     if ( lLOFicNode->has_infinite_time() )
     {
       CGAL_STSKEL_BUILDER_TRACE(3,"Creating new Edge Event's Bisector");
-  
+
       Halfedge_handle lNOBisector = mSSkel->SSkel::Base::edges_push_back ( Halfedge(mEdgeID),Halfedge(mEdgeID+1) );
-  
+
       Halfedge_handle lNIBisector = lNOBisector->opposite();
       mEdgeID += 2 ;
-  
+
       CrossLinkFwd(lNOBisector        , lLOBisector->next());
       CrossLinkFwd(lRIBisector->prev(), lNIBisector        );
 
       CrossLink(lNOBisector,lLOFicNode);
-      
+
       SetBisectorSlope(lNOBisector,POSITIVE);
       SetBisectorSlope(lNIBisector,NEGATIVE);
-            
+
       CrossLinkFwd(lNIBisector, lRIBisector);
       CrossLinkFwd(lLOBisector, lNOBisector);
-  
+
       Link(lNOBisector,lLOBisector->face());
       Link(lNIBisector,lRIBisector->face());
-      
+
       Link(lNIBisector,lNewNode);
-  
+
       CGAL_STSKEL_BUILDER_TRACE( 2, newn2str("",lNewNode,lTri) ) ;
       CGAL_STSKEL_BUILDER_TRACE( 2, newb2str("O",lNOBisector) ) ;
       CGAL_STSKEL_BUILDER_TRACE( 2, newb2str("I",lNIBisector) ) ;
-  
+
       CGAL_STSKEL_BUILDER_TRACE ( 2, "Ficticius N" << lRIFicNode->id() << " erased." ) ;
       EraseNode(lRIFicNode);
-      
+
       SetupNewNode(lNewNode) ;
-      
+
       UpdatePQ(lNewNode, lEvent.triedge());
-     
+
       mVisitor.on_edge_event_processed(lLSeed,lRSeed,lNewNode) ;
     }
     else
     {
-      CGAL_STSKEL_BUILDER_TRACE( 2, newn2str("",lNewNode,lTri) 
+      CGAL_STSKEL_BUILDER_TRACE( 2, newn2str("",lNewNode,lTri)
                                     << ".\nThis is a multiple node (A node with these defining edges already exist in the LAV)"
                                );
     }
-    
+
     CGAL_STSKEL_BUILDER_TRACE( 1, "Wavefront: " << wavefront2str(lNewNode) );
   }
 }
@@ -943,75 +943,75 @@ void Straight_skeleton_builder_2<Gt,Ss,V
   if ( IsValidSplitEvent(lEvent) )
   {
     Vertex_handle lSeed = lEvent.seed0();
-   
+
     Vertex_handle lOppL = aOpp.first ;
     Vertex_handle lOppR = aOpp.second ;
-    
+
     Halfedge_handle lOppIBisector_L = lOppL->primary_bisector()->opposite();
     Halfedge_handle lOppOBisector_R = lOppR->primary_bisector();
-    
+
     Vertex_handle lOppFicNode = lOppOBisector_R->vertex() ;
     (void)lOppFicNode; // variable may be unused
-    
+
     CGAL_assertion(lOppOBisector_R->next() == lOppIBisector_L ) ;
     CGAL_assertion(lOppIBisector_L->prev() == lOppOBisector_R ) ;
     CGAL_assertion(lOppFicNode->has_infinite_time());
-    
-    
+
+
     CGAL_STSKEL_BUILDER_TRACE(2,"Splitted face: N" << lOppR->id()
                                 << "->B" << lOppOBisector_R->id()
                                 << "->N" << lOppFicNode->id()
                                 << "->B" << lOppIBisector_L->id()
                                 << "->N" << lOppL->id()
-                             ) ;   
-                             
+                             ) ;
+
     CGAL_STSKEL_BUILDER_TRACE(2,"Ficticious node for right half of opposite edge: N" << lOppFicNode->id() ) ;
-      
+
     Halfedge_handle lOppBorder = lEvent.triedge().e2() ;
-  
+
     Vertex_handle lNewNode_L, lNewNode_R ;
     boost::tie(lNewNode_L,lNewNode_R) = ConstructSplitEventNodes(lEvent,lOppR);
-  
+
     // Triedge lTriedge = aEvent->triedge();
-        
+
     // Halfedge_handle lReflexLBorder = lTriedge.e0();
     // Halfedge_handle lReflexRBorder = lTriedge.e1();
-  
+
     Halfedge_handle lNOBisector_L = mSSkel->SSkel::Base::edges_push_back ( Halfedge(mEdgeID  ),Halfedge(mEdgeID+1) );
     Halfedge_handle lNOBisector_R = mSSkel->SSkel::Base::edges_push_back ( Halfedge(mEdgeID+2),Halfedge(mEdgeID+3) );
     Halfedge_handle lNIBisector_L = lNOBisector_L->opposite();
     Halfedge_handle lNIBisector_R = lNOBisector_R->opposite();
-  
+
     mEdgeID += 4 ;
-    
+
     Halfedge_handle lXOBisector = lSeed->primary_bisector() ;
     Halfedge_handle lXIBisector = lXOBisector->opposite();
-    
+
     Halfedge_handle lXONextBisector = lXOBisector->next();
     Halfedge_handle lXIPrevBisector = lXIBisector->prev();
-  
+
     Vertex_handle lXOFicNode = lXOBisector->vertex() ;
     CGAL_assertion(lXOFicNode->has_infinite_time());
-    
+
     CGAL_STSKEL_BUILDER_TRACE(2,"Ficticious node for left reflex face: N" << lXOFicNode->id() ) ;
     CGAL_STSKEL_BUILDER_TRACE(2,"Ficticious node for right reflex face: N" << lXIPrevBisector->vertex()->id() ) ;
-    
+
     Link(lNewNode_L,lXOBisector);
     Link(lNewNode_R,lNIBisector_L) ;
-    
+
     Link(lXOBisector,lNewNode_L);
-    
+
     Link(lNOBisector_L,lXOBisector->face());
     Link(lNIBisector_L,lOppBorder ->face());
     Link(lNOBisector_R,lOppBorder ->face());
     Link(lNIBisector_R,lXIBisector->face());
-  
+
     Link(lNIBisector_L,lNewNode_R);
     Link(lNIBisector_R,lNewNode_R);
-  
+
     Link(lNOBisector_L,lXOFicNode);
-    
-    
+
+
     CrossLinkFwd(lXOBisector    ,lNOBisector_L);
     CrossLinkFwd(lNOBisector_L  ,lXONextBisector);
     CrossLinkFwd(lXIPrevBisector,lNIBisector_R);
@@ -1019,37 +1019,37 @@ void Straight_skeleton_builder_2<Gt,Ss,V
     CrossLinkFwd(lOppOBisector_R,lNIBisector_L);
     CrossLinkFwd(lNIBisector_L  ,lNOBisector_R);
     CrossLinkFwd(lNOBisector_R  ,lOppIBisector_L);
-    
+
     SetBisectorSlope(lSeed,lNewNode_L);
-  
+
     Vertex_handle lNewFicNode = mSSkel->SSkel::Base::vertices_push_back( Vertex( mVertexID++ ) ) ;
     InitVertexData(lNewFicNode);
     CGAL_assertion(lNewFicNode->has_null_point());
     CrossLink(lNOBisector_R,lNewFicNode);
-    
+
     SetBisectorSlope(lNOBisector_L,POSITIVE);
     SetBisectorSlope(lNIBisector_L,NEGATIVE);
     SetBisectorSlope(lNOBisector_R,POSITIVE);
     SetBisectorSlope(lNIBisector_R,NEGATIVE);
-    
+
     CGAL_STSKEL_BUILDER_TRACE(2,"(New) ficticious node for left half of opposite edge: N" << lNewFicNode->id() ) ;
-    
+
     Halfedge_handle lNewNode_L_DefiningBorderA = lNewNode_L->halfedge()->defining_contour_edge();
     Halfedge_handle lNewNode_L_DefiningBorderB = lNewNode_L->halfedge()->opposite()->prev()->opposite()->defining_contour_edge();
     Halfedge_handle lNewNode_L_DefiningBorderC = lNewNode_L->halfedge()->opposite()->prev()->defining_contour_edge();
     Halfedge_handle lNewNode_R_DefiningBorderA = lNewNode_R->halfedge()->defining_contour_edge();
     Halfedge_handle lNewNode_R_DefiningBorderB = lNewNode_R->halfedge()->opposite()->prev()->opposite()->defining_contour_edge();
     Halfedge_handle lNewNode_R_DefiningBorderC = lNewNode_R->halfedge()->opposite()->prev()->defining_contour_edge();
-  
+
     lNewNode_L->VBase::set_event_triedge( lEvent.triedge() ) ;
     lNewNode_R->VBase::set_event_triedge( lEvent.triedge() ) ;
-    
+
     Triedge lTriL( lNewNode_L_DefiningBorderA,lNewNode_L_DefiningBorderB,lNewNode_L_DefiningBorderC ) ;
     Triedge lTriR( lNewNode_R_DefiningBorderA,lNewNode_R_DefiningBorderB,lNewNode_R_DefiningBorderC ) ;
-    
+
     SetVertexTriedge( lNewNode_L, lTriL ) ;
     SetVertexTriedge( lNewNode_R, lTriR ) ;
-    
+
     CGAL_STSKEL_BUILDER_TRACE(2,   newn2str("L",lNewNode_L,lTriL) << std::endl
                                 << newn2str("R",lNewNode_R,lTriR) << std::endl
                                 << newb2str("OL",lNOBisector_L)   << std::endl
@@ -1057,19 +1057,19 @@ void Straight_skeleton_builder_2<Gt,Ss,V
                                 << newb2str("OR",lNOBisector_R)   << std::endl
                                 << newb2str("IR",lNIBisector_R)
                              ) ;
-      
+
     CGAL_STSKEL_BUILDER_TRACE( 1, "Wavefronts:\n  " << wavefront2str(lNewNode_L) << "\n  " << wavefront2str(lNewNode_R) );
-    
+
     SetupNewNode(lNewNode_L) ;
     SetupNewNode(lNewNode_R) ;
-    
+
     UpdatePQ(lNewNode_L, lEvent.triedge());
     UpdatePQ(lNewNode_R, lEvent.triedge());
-  
+
     mVisitor.on_split_event_processed(lSeed,lNewNode_L,lNewNode_R) ;
   }
 
-      
+
 }
 
 template<class Gt, class Ss, class V>
@@ -1080,15 +1080,15 @@ void Straight_skeleton_builder_2<Gt,Ss,V
   {
     Halfedge_handle lLE = GetEdgeEndingAt  (aNode);
     Halfedge_handle lRE = GetEdgeStartingAt(aNode);
-    
+
     Vector_2 lLV = CreateVector(lLE);
     Vector_2 lRV = CreateVector(lRE);
-  
+
     Orientation lOrientation = CGAL::orientation(lLV,lRV) ;
     if ( lOrientation == COLLINEAR )
     {
       SetIsDegenerate(aNode);
-      CGAL_STSKEL_BUILDER_TRACE(1, "COLLINEAR *NEW* vertex: N" << aNode->id() << " (E" << lLE->id() << ",E" << lRE->id() << ")" ) ; 
+      CGAL_STSKEL_BUILDER_TRACE(1, "COLLINEAR *NEW* vertex: N" << aNode->id() << " (E" << lLE->id() << ",E" << lRE->id() << ")" ) ;
     }
     else if ( lOrientation == RIGHT_TURN )
     {
@@ -1103,7 +1103,7 @@ template<class Direction>
 bool counterclockwise_at_or_in_between_2( Direction const& p, Direction const& q, Direction const& r )
 {
   typedef typename Kernel_traits<Direction>::Kernel K ;
-  
+
   return p == q || p == r || K().counterclockwise_in_between_2_object()(p,q,r) ;
 }
 
@@ -1112,36 +1112,36 @@ bool Straight_skeleton_builder_2<Gt,Ss,V
 {
   Vertex_handle lSeed0 = aEvent.seed0();
   Vertex_handle lSeed1 = aEvent.seed1();
-  
+
   Halfedge_handle lEL0 = GetEdgeEndingAt  (lSeed0);
   Halfedge_handle lER0 = GetEdgeStartingAt(lSeed0);
-  
+
   Halfedge_handle lEL1 = GetEdgeEndingAt  (lSeed1);
   Halfedge_handle lER1 = GetEdgeStartingAt(lSeed1);
-  
+
   Direction_2 lDL0 = - CreateDirection(lEL0);
   Direction_2 lDL1 = - CreateDirection(lEL1);
   Direction_2 lDR0 =   CreateDirection(lER0);
   Direction_2 lDR1 =   CreateDirection(lER1);
-  
+
   bool lV01Degenerate = (lDL0 == lDR1) ;
   bool lV10Degenerate = (lDL1 == lDR0) ;
-  
-  
+
+
   CGAL_STSKEL_BUILDER_TRACE(3, "Validating pseudo-split event. Resulting re-connection: "
                            << "\nE" << lEL0->id() << " [DL0:" << dir2str(lDL0) << "]"
                            << "->E" << lER1->id() << " [DR1:" << dir2str(lDR1) << "]" << ( lV01Degenerate ? " (degenerate)" : "" )
                            << "\nE" << lEL1->id() << " [DL1:" << dir2str(lDL1) << "]"
                            << "->E" << lER0->id() << " [DR0:" << dir2str(lDR0) << "]" << ( lV10Degenerate ? " (degenerate)" : "" )
                            ) ;
-  
+
   bool lTangled ;
-   
+
   if ( !lV01Degenerate )
   {
     bool lEL1V_Tangled = counterclockwise_at_or_in_between_2(lDL1,lDR1,lDL0);
     bool lER0V_Tangled = counterclockwise_at_or_in_between_2(lDR0,lDR1,lDL0);
-    
+
     lTangled = lEL1V_Tangled || lER0V_Tangled ;
   }
   else if ( !lV10Degenerate )
@@ -1155,7 +1155,7 @@ bool Straight_skeleton_builder_2<Gt,Ss,V
   {
     lTangled = (lDL0 == lDL1) ;
   }
-  
+
   CGAL_STSKEL_BUILDER_TRACE_IF(lTangled, 3, "Tangled profile. Pseudo-split event is invalid");
 
   return !lTangled ;
@@ -1165,7 +1165,7 @@ template<class Gt, class Ss, class V>
 void Straight_skeleton_builder_2<Gt,Ss,V>::HandlePseudoSplitEvent( EventPtr aEvent )
 {
   PseudoSplitEvent& lEvent = dynamic_cast<PseudoSplitEvent&>(*aEvent) ;
-  
+
   if ( IsValidPseudoSplitEvent(lEvent) )
   {
     Vertex_handle lLSeed = lEvent.seed0() ;
@@ -1173,57 +1173,57 @@ void Straight_skeleton_builder_2<Gt,Ss,V
 
     Vertex_handle lNewNode_L, lNewNode_R ;
     boost::tie(lNewNode_L,lNewNode_R) = ConstructPseudoSplitEventNodes(lEvent);
-  
+
     Halfedge_handle lNBisector_LO = mSSkel->SSkel::Base::edges_push_back ( Halfedge(mEdgeID  ),Halfedge(mEdgeID+1) );
     Halfedge_handle lNBisector_RO = mSSkel->SSkel::Base::edges_push_back ( Halfedge(mEdgeID+2),Halfedge(mEdgeID+3) );
     Halfedge_handle lNBisector_LI = lNBisector_LO->opposite();
     Halfedge_handle lNBisector_RI = lNBisector_RO->opposite();
-  
+
     mEdgeID += 4 ;
-    
+
     Halfedge_handle lSBisector_LO = lLSeed->primary_bisector() ;
     Halfedge_handle lSBisector_LI = lSBisector_LO->opposite();
-  
+
     Halfedge_handle lSBisector_RO = lRSeed->primary_bisector() ;
     Halfedge_handle lSBisector_RI = lSBisector_RO->opposite();
-  
+
     Halfedge_handle lSBisector_LO_Next = lSBisector_LO->next();
     Halfedge_handle lSBisector_RO_Next = lSBisector_RO->next();
     Halfedge_handle lSBisector_LI_Prev = lSBisector_LI->prev();
     Halfedge_handle lSBisector_RI_Prev = lSBisector_RI->prev();
-    
+
     Vertex_handle lFicNod_SLO = lSBisector_LO->vertex();
-    CGAL_assertion_code(Vertex_handle lFicNod_SLI = lSBisector_LI_Prev->vertex();) // unused 
+    CGAL_assertion_code(Vertex_handle lFicNod_SLI = lSBisector_LI_Prev->vertex();) // unused
     Vertex_handle lFicNod_SRO = lSBisector_RO->vertex();
     CGAL_assertion_code(Vertex_handle lFicNod_SRI = lSBisector_RI_Prev->vertex();) // unused
-    
+
     CGAL_assertion( lFicNod_SLO->has_infinite_time() ) ;
     CGAL_assertion( lFicNod_SLI->has_infinite_time() ) ;
     CGAL_assertion( lFicNod_SRO->has_infinite_time() ) ;
     CGAL_assertion( lFicNod_SRI->has_infinite_time() ) ;
-    
+
     Link(lNBisector_LO, lSBisector_LO->face());
     Link(lNBisector_LI, lSBisector_RI->face());
     Link(lNBisector_RO, lSBisector_RO->face());
     Link(lNBisector_RI, lSBisector_LI->face());
-    
+
     CrossLink(lSBisector_LO, lNewNode_L );
     CrossLink(lSBisector_RO, lNewNode_R );
-    
+
     CrossLink(lNBisector_LO, lFicNod_SLO );
     CrossLink(lNBisector_RO, lFicNod_SRO );
-    
+
     SetBisectorSlope(lNBisector_LO,POSITIVE);
     SetBisectorSlope(lNBisector_LI,NEGATIVE);
     SetBisectorSlope(lNBisector_RO,POSITIVE);
     SetBisectorSlope(lNBisector_RI,NEGATIVE);
-    
+
     Link(lNBisector_LI, lNewNode_L);
     Link(lNBisector_RI, lNewNode_R);
 
     Link(lNewNode_L, lSBisector_LO);
     Link(lNewNode_R, lSBisector_RO);
-    
+
     CrossLinkFwd(lSBisector_LO,lNBisector_LO);
     CrossLinkFwd(lNBisector_LO,lSBisector_LO_Next);
     CrossLinkFwd(lSBisector_LI_Prev,lNBisector_RI);
@@ -1232,26 +1232,26 @@ void Straight_skeleton_builder_2<Gt,Ss,V
     CrossLinkFwd(lNBisector_LI,lSBisector_RI);
     CrossLinkFwd(lSBisector_RO,lNBisector_RO);
     CrossLinkFwd(lNBisector_RO,lSBisector_RO_Next);
-  
+
     SetBisectorSlope(lLSeed,lNewNode_L);
     SetBisectorSlope(lRSeed,lNewNode_R);
-    
+
     Halfedge_handle lNewNode_L_DefiningBorderA = lNewNode_L->halfedge()->defining_contour_edge();
     Halfedge_handle lNewNode_L_DefiningBorderB = lNewNode_L->halfedge()->next()->opposite()->defining_contour_edge();
     Halfedge_handle lNewNode_L_DefiningBorderC = lNewNode_L->halfedge()->opposite()->prev()->defining_contour_edge();
     Halfedge_handle lNewNode_R_DefiningBorderA = lNewNode_R->halfedge()->defining_contour_edge();
     Halfedge_handle lNewNode_R_DefiningBorderB = lNewNode_R->halfedge()->next()->opposite()->defining_contour_edge();
     Halfedge_handle lNewNode_R_DefiningBorderC = lNewNode_R->halfedge()->opposite()->prev()->defining_contour_edge();
-  
+
     lNewNode_L->VBase::set_event_triedge( lEvent.triedge() ) ;
     lNewNode_R->VBase::set_event_triedge( lEvent.triedge() ) ;
-    
+
     Triedge lTriL( lNewNode_L_DefiningBorderA, lNewNode_L_DefiningBorderB, lNewNode_L_DefiningBorderC ) ;
     Triedge lTriR( lNewNode_R_DefiningBorderA, lNewNode_R_DefiningBorderB, lNewNode_R_DefiningBorderC ) ;
-    
+
     SetVertexTriedge( lNewNode_L, lTriL ) ;
     SetVertexTriedge( lNewNode_R, lTriR ) ;
-  
+
     CGAL_STSKEL_BUILDER_TRACE(2,   newn2str("L",lNewNode_L,lTriL) << std::endl
                                 << newn2str("R",lNewNode_R,lTriR) << std::endl
                                 << newb2str("OL",lNBisector_LO)   << std::endl
@@ -1259,35 +1259,35 @@ void Straight_skeleton_builder_2<Gt,Ss,V
                                 << newb2str("OR",lNBisector_RO)   << std::endl
                                 << newb2str("IR",lNBisector_RI)
                              ) ;
-  
+
     CGAL_STSKEL_BUILDER_TRACE( 1, "Wavefronts:\n  " << wavefront2str(lNewNode_L) << "\n  " << wavefront2str(lNewNode_R) );
-    
+
     SetupNewNode(lNewNode_L) ;
     SetupNewNode(lNewNode_R) ;
-    
+
     UpdatePQ(lNewNode_L, lEvent.triedge());
     UpdatePQ(lNewNode_R, lEvent.triedge());
-  
+
     mVisitor.on_pseudo_split_event_processed(lLSeed,lRSeed,lNewNode_L,lNewNode_R) ;
-  }  
+  }
 }
 
 template<class Gt, class Ss, class V>
 void Straight_skeleton_builder_2<Gt,Ss,V>::HandleSplitOrPseudoSplitEvent( EventPtr aEvent )
 {
   Halfedge_handle lOppEdge = aEvent->triedge().e2() ;
-  
+
   Site lSite;
-  
+
   Vertex_handle_pair lOpp = LookupOnSLAV(lOppEdge,aEvent,lSite);
-  
+
   if ( handle_assigned(lOpp.first) )
   {
     EventPtr lPseudoSplitEvent = IsPseudoSplitEvent(aEvent,lOpp,lSite);
     if ( lPseudoSplitEvent )
          HandlePseudoSplitEvent(lPseudoSplitEvent);
-    else HandleSplitEvent(aEvent,lOpp);  
-  }  
+    else HandleSplitEvent(aEvent,lOpp);
+  }
 }
 
 template<class Gt, class Ss, class V>
@@ -1315,33 +1315,33 @@ void Straight_skeleton_builder_2<Gt,Ss,V
   for (;;)
   {
     InsertNextSplitEventsInPQ();
-       
+
     if ( !mPQ.empty() )
     {
       EventPtr lEvent = PopEventFromPQ();
-    
-      if ( lEvent->type() != Event::cEdgeEvent )    
+
+      if ( lEvent->type() != Event::cEdgeEvent )
         AllowNextSplitEvent(lEvent->seed0());
-    
+
       if ( !IsProcessed(lEvent) )
       {
         CGAL_STSKEL_BUILDER_TRACE (1,"\nS" << mStepID << " Event: " << *lEvent ) ;
-    
+
         SetEventTimeAndPoint(*lEvent) ;
-        
+
         switch ( lEvent->type() )
         {
           case Event::cEdgeEvent       : HandleEdgeEvent              (lEvent) ; break ;
           case Event::cSplitEvent      : HandleSplitOrPseudoSplitEvent(lEvent) ; break ;
-          case Event::cPseudoSplitEvent: HandlePseudoSplitEvent       (lEvent) ; break ; 
+          case Event::cPseudoSplitEvent: HandlePseudoSplitEvent       (lEvent) ; break ;
         }
-    
+
         ++ mStepID ;
       }
-    }   
+    }
     else break ;
   }
-  
+
   mVisitor.on_propagation_finished();
 }
 
@@ -1355,7 +1355,7 @@ void Straight_skeleton_builder_2<Gt,Ss,V
   Halfedge_handle lIBisectorR1 = lRNode->primary_bisector()->opposite();
   Halfedge_handle lIBisectorL2 = lIBisectorL1->next()->opposite();
   Halfedge_handle lIBisectorR2 = lIBisectorR1->next()->opposite();
-  
+
   CGAL_STSKEL_BUILDER_TRACE(2
                       ,"Merging SplitNodes: (L) N" << lLNode->id() << " and (R) N" << lRNode->id() << ".\n"
                        << "  LOut: B" << lLNode->primary_bisector()->id() << '\n'
@@ -1363,7 +1363,7 @@ void Straight_skeleton_builder_2<Gt,Ss,V
                        << "  LIn1: B" << lIBisectorL1->id() << '\n'
                        << "  RIn1: B" << lIBisectorR1->id() << '\n'
                        << "  LIn2: B" << lIBisectorL2->id() << '\n'
-                       << "  RIn2: B" << lIBisectorR2->id() 
+                       << "  RIn2: B" << lIBisectorR2->id()
                        );
 
   if ( lIBisectorL1->vertex() == lRNode )
@@ -1403,13 +1403,13 @@ void TraceMultinode( char const* t, Half
 {
   std::ostringstream ss ;
   ss << t ;
-  
+
   do
   {
     ss << "B" << b->id() << " N" << b->vertex()->id() << " " ;
   }
   while ( b = b->next(), b != e ) ;
-  
+
   std::string s = ss.str();
   CGAL_STSKEL_BUILDER_TRACE(0, s);
 }
@@ -1434,18 +1434,18 @@ void TraceFinalBisectors( Vertex_handle
   do
   {
     double phi = angle_wrt_X((*c)->vertex()->point(),(*c)->opposite()->vertex()->point());
-    
-    CGAL_STSKEL_BUILDER_TRACE(2, "  N" << v->id() << " in=B" << (*c)->id() 
-                        << " E" << (*c)->defining_contour_edge()->id() 
-                        << " out=B" << (*c)->opposite()->id() 
-                        << " E" << (*c)->opposite()->defining_contour_edge()->id() 
+
+    CGAL_STSKEL_BUILDER_TRACE(2, "  N" << v->id() << " in=B" << (*c)->id()
+                        << " E" << (*c)->defining_contour_edge()->id()
+                        << " out=B" << (*c)->opposite()->id()
+                        << " E" << (*c)->opposite()->defining_contour_edge()->id()
                         << " phi=" << phi
                         );
-    
+
     ++ c ;
   }
   while( c != cb ) ;
-  
+
 }
 #endif
 
@@ -1453,62 +1453,62 @@ template<class Vertex_handle, class Half
 bool ValidateFinalBisectorsAfterMerge( Vertex_handle /* v */, Halfedge_around_vertex_circulator cb )
 {
   bool rOK = true ;
-  
+
   Halfedge_around_vertex_circulator c = cb ;
 
   do
   {
     if ( (*c)->defining_contour_edge() != (*c)->prev()->defining_contour_edge() )
       rOK = false ;
-      
+
     ++ c ;
   }
   while( rOK && c != cb ) ;
-  
+
   return rOK ;
-  
+
 }
 
 template<class Gt, class Ss, class V>
 void Straight_skeleton_builder_2<Gt,Ss,V>::RelinkBisectorsAroundMultinode( Vertex_handle const& v0, Halfedge_handle_vector& aLinks )
 {
   CGAL_assertion( aLinks.size() > 0 ) ;
-  
+
   CGAL_STSKEL_BUILDER_TRACE(4, "Relinking " << aLinks.size() << " bisectors around N" << v0->id() ) ;
-  
+
   // Connect the bisectors with each other following the CCW ordering
-  
-  Halfedge_handle first_he = aLinks.front();        
+
+  Halfedge_handle first_he = aLinks.front();
   Halfedge_handle prev_he  = first_he ;
-  
+
   first_he->HBase_base::set_vertex(v0);
-  
+
   for ( typename Halfedge_handle_vector::iterator i = std::next(aLinks.begin()), ei = aLinks.end(); i != ei ; ++ i )
   {
     Halfedge_handle he = *i ;
 
     he->HBase_base::set_vertex(v0);
-            
+
     Halfedge_handle prev_he_opp = prev_he->opposite();
-    
+
     he         ->HBase_base::set_next(prev_he_opp);
     prev_he_opp->HBase_base::set_prev(he);
 
     CGAL_STSKEL_BUILDER_TRACE(4, "Relinking B" << he->id() << "->B" << prev_he_opp->id() ) ;
-    
+
     prev_he = he ;
   }
 
   Halfedge_handle prev_he_opp = prev_he->opposite();
-    
+
   first_he   ->HBase_base::set_next(prev_he_opp);
   prev_he_opp->HBase_base::set_prev(first_he);
 
   CGAL_STSKEL_BUILDER_TRACE(4, "Relinking B" << first_he->id() << "->B" << prev_he_opp->id() ) ;
-  
-  // Reset the main halfedge for v0  
+
+  // Reset the main halfedge for v0
   v0->VBase::set_halfedge(first_he) ;
-  
+
   CGAL_STSKEL_DEBUG_CODE( TraceFinalBisectors(v0,v0->halfedge_around_vertex_begin()); )
 
   CGAL_postcondition( ValidateFinalBisectorsAfterMerge(v0,v0->halfedge_around_vertex_begin()) ) ;
@@ -1525,13 +1525,13 @@ void Straight_skeleton_builder_2<Gt,Ss,V
   // Each ->next() halfedge in the profile points to a subsequent node.
   // The second halfedge in the pair is past-the-end (it points to the first node around the face that IS NOT part of the multinode)
   //
-  
+
   // Halfedge_handle oend = validate(aMN.end->opposite());
-  
+
   Halfedge_handle h = aMN.begin ;
- 
+
   aMN.bisectors_to_relink.push_back(h);
-  
+
   // Traverse the profile collecting:
   //  The nodes to be removed from the HDS (all but the first)
   //  The bisectors to be removed from the HDS (each bisector pointing to the next node in the multinode)
@@ -1552,19 +1552,19 @@ void Straight_skeleton_builder_2<Gt,Ss,V
       ccw = validate(ccw->opposite()->prev()) ;
       if ( ccw != ccw_end )
            aMN.bisectors_to_relink.push_back(ccw);
-      else break ;  
-    }    
+      else break ;
+    }
     if ( h != aMN.begin )
     {
       aMN.nodes_to_remove.push_back(h->vertex());
     }
-      
+
     h = nx;
   }
   while ( h != aMN.end ) ;
-  
+
   aMN.bisectors_to_relink.push_back(aMN.end->opposite());
-  
+
   CGAL_STSKEL_DEBUG_CODE( TraceMultinode("Preprocessing multinode: ", aMN.begin,aMN.end) ) ;
 }
 
@@ -1573,13 +1573,13 @@ void Straight_skeleton_builder_2<Gt,Ss,V
 // relinking the other bisectors.
 //
 template<class Gt, class Ss, class V>
-void Straight_skeleton_builder_2<Gt,Ss,V>::ProcessMultinode( Multinode&              aMN 
-                                                           , Halfedge_handle_vector& rBisectorsToRemove 
+void Straight_skeleton_builder_2<Gt,Ss,V>::ProcessMultinode( Multinode&              aMN
+                                                           , Halfedge_handle_vector& rBisectorsToRemove
                                                            , Vertex_handle_vector&   rNodesToRemove
                                                            )
 {
   bool lDoNotProcess = false ;
-  
+
   Halfedge_handle h = aMN.begin ;
 
   do
@@ -1588,11 +1588,11 @@ void Straight_skeleton_builder_2<Gt,Ss,V
       lDoNotProcess = true ;
   }
   while ( h = h->next(), !lDoNotProcess && h != aMN.end ) ;
-  
+
   if ( !lDoNotProcess )
   {
     CGAL_STSKEL_DEBUG_CODE( TraceMultinode("Processing multinode: ", aMN.begin,aMN.end) ) ;
-    
+
     Halfedge_handle h = aMN.begin ;
     do
     {
@@ -1601,11 +1601,11 @@ void Straight_skeleton_builder_2<Gt,Ss,V
     while ( h = h->next(), h != aMN.end ) ;
 
     std::copy(aMN.bisectors_to_remove.begin(), aMN.bisectors_to_remove.end(), std::back_inserter(rBisectorsToRemove));
-    
+
     for( Vertex_handle_vector_iterator vi = aMN.nodes_to_remove.begin(), evi = aMN.nodes_to_remove.end() ; vi != evi ; ++ vi )
       rNodesToRemove.push_back(*vi) ;
-     
-    RelinkBisectorsAroundMultinode(aMN.v,aMN.bisectors_to_relink);    
+
+    RelinkBisectorsAroundMultinode(aMN.v,aMN.bisectors_to_relink);
   }
 }
 
@@ -1623,15 +1623,15 @@ Straight_skeleton_builder_2<Gt,Ss,V>::Cr
 //
 // If moving edges Ei,Ej collide with moving edge Ek causing Ej to collapse, Ei and Ek becomes consecutive and a new
 // polygon vertex (Ei,Ek) appears in the wavefront.
-// If moving edges Ei,Ej collide with moving edge Ek causing Ek to be split in two halves, L(Ek) amd R(Ek) resp, two new 
+// If moving edges Ei,Ej collide with moving edge Ek causing Ek to be split in two halves, L(Ek) amd R(Ek) resp, two new
 // polygon vertices appears in the wavefront; namely: (Ei,R(Ek)) and (L(Ek),Ej))
 // If moving edge Ei,Ej collide with both Ek,El simultaneously causing the edges to cross-connect, two new vertices
 // (Ei,Ek) and (El,Ej) appear in the wavefront.
 //
 // In all those 3 cases, each new polygon vertex is represented in the straight skeleton as a skeleton node.
 // Every skeleton node is describing the coallision of at least 3 edges (called the "defining edges" of the node)
-// and it has at least 3 incident bisectors, each one pairing 2 out of the total number of defining egdes. 
-// 
+// and it has at least 3 incident bisectors, each one pairing 2 out of the total number of defining egdes.
+//
 // Any skeleton node has a degree of at least 3, but if more than 3 edges collide simultaneously, the corresponding
 // skeleton node has a higher degree. (the degree of the node is exactly the number of colliding edges)
 //
@@ -1640,7 +1640,7 @@ Straight_skeleton_builder_2<Gt,Ss,V>::Cr
 // of the proper degree is needed.
 //
 // Two skeleton nodes are "coincident" IFF they have 2 defining edges in common and each triedge of edges collide
-// at the same time and point. IOW, 2 nodes are coincident if they represent the simultaneous 
+// at the same time and point. IOW, 2 nodes are coincident if they represent the simultaneous
 // coallison of exactly 4 edges (the union of 2 triedges with 2 common elements is a set of 4).
 //
 template<class Gt, class Ss, class V>
@@ -1665,7 +1665,7 @@ void Straight_skeleton_builder_2<Gt,Ss,V
   // That is, the triedge of defining edges that correspond to each skeleton node around the face follow this
   // sequence: (Ei,Ea,Eb), (Ei,Eb,Ec), (Ei,Ec,Ed), ...
   //
-  // Any 2_ consecutive_ skeleton nodes around a face share 2 out of the 3 defining edges, which is one of the 
+  // Any 2_ consecutive_ skeleton nodes around a face share 2 out of the 3 defining edges, which is one of the
   // neccesary conditions for "coincidence". Therefore, coincident nodes can only come as consecutive along a face
   //
 
@@ -1700,7 +1700,7 @@ void Straight_skeleton_builder_2<Gt,Ss,V
         if ( ! v->has_infinite_time() )
         {
           CGAL_assertion ( v->is_skeleton() ) ;
-          
+
           if ( !AreSkeletonNodesCoincident(v0,v) )
           {
             if ( h0->next() != h )
@@ -1712,7 +1712,7 @@ void Straight_skeleton_builder_2<Gt,Ss,V
         }
 
         h = validate(h->next());
-      } 
+      }
 
       if ( h0->next() != h )
         lMultinodes.push_back( CreateMultinode(h0,h) );
@@ -1721,27 +1721,27 @@ void Straight_skeleton_builder_2<Gt,Ss,V
 
   //
   // The merging loop removes all but one of the coincident skeleton nodes and the halfedges between them.
-  // But it can't physically erase those from the HDS while looping, so the nodes/bisector to erase 
+  // But it can't physically erase those from the HDS while looping, so the nodes/bisector to erase
   // are collected in these sequences are erased after the merging loop.
-  // 
+  //
   Halfedge_handle_vector lBisectorsToRemove ;
   Vertex_handle_vector   lNodesToRemove ;
 
   for ( typename MultinodeVector::iterator it = lMultinodes.begin(), eit = lMultinodes.end() ; it != eit ; ++ it )
     PreprocessMultinode(**it);
-    
+
   std::sort(lMultinodes.begin(), lMultinodes.end(), MultinodeComparer());
-    
+
   for ( typename MultinodeVector::iterator it = lMultinodes.begin(), eit = lMultinodes.end() ; it != eit ; ++ it )
     ProcessMultinode(**it,lBisectorsToRemove,lNodesToRemove);
-  
+
   for( Halfedge_handle_vector_iterator hi = lBisectorsToRemove.begin(), ehi = lBisectorsToRemove.end() ; hi != ehi ; ++ hi )
   {
     CGAL_STSKEL_BUILDER_TRACE(1, "B" << (*hi)->id() << " removed.");
     (*hi)->HBase_base::reset_id(-1);
-    mSSkel->SSkel::Base::edges_erase(*hi);    
+    mSSkel->SSkel::Base::edges_erase(*hi);
   }
-    
+
   for( Vertex_handle_vector_iterator vi = lNodesToRemove.begin(), evi = lNodesToRemove.end() ; vi != evi ; ++ vi )
     EraseNode(*vi);
 }
@@ -1752,18 +1752,18 @@ bool Straight_skeleton_builder_2<Gt,Ss,V
   CGAL_STSKEL_BUILDER_TRACE(0, "\n\nFinishing up...");
 
   mVisitor.on_cleanup_started();
-  
+
   std::for_each( mSplitNodes.begin()
                 ,mSplitNodes.end  ()
                 ,boost::bind(&Straight_skeleton_builder_2<Gt,Ss,V>::MergeSplitNodes,this,_1)
                ) ;
-  
+
   std::for_each( mDanglingBisectors.begin()
                 ,mDanglingBisectors.end  ()
                 ,boost::bind(&Straight_skeleton_builder_2<Gt,Ss,V>::EraseBisector,this,_1)
                ) ;
-               
-  MergeCoincidentNodes();             
+
+  MergeCoincidentNodes();
 
   mVisitor.on_cleanup_finished();
 
@@ -1782,31 +1782,31 @@ template<class Gt, class Ss, class V>
 typename Straight_skeleton_builder_2<Gt,Ss,V>::SSkelPtr Straight_skeleton_builder_2<Gt,Ss,V>::construct_skeleton( bool aNull_if_failed )
 {
   bool ok = false ;
-  
+
   try
   {
     ok = Run() ;
   }
-  catch( std::exception const& e ) 
+  catch( std::exception const& e )
   {
     mVisitor.on_error ( e.what() ) ;
     CGAL_STSKEL_BUILDER_TRACE(0,"EXCEPTION THROWN (" << e.what() << ") during straight skeleton construction.");
   }
-  catch(...) 
+  catch(...)
   {
     mVisitor.on_error ( "Unhandled exception" ) ;
     CGAL_STSKEL_BUILDER_TRACE(0,"UNHANDLED EXCEPTION during straight skeleton construction.");
   }
 
-  if ( !ok ) 
+  if ( !ok )
   {
     CGAL_STSKEL_BUILDER_TRACE(0,"Invalid result.");
     if ( aNull_if_failed )
-      mSSkel = SSkelPtr() ; 
+      mSSkel = SSkelPtr() ;
   }
 
   mVisitor.on_algorithm_finished(ok);
-  
+
   return mSSkel ;
 }
 
diff -pruN 5.0.2-3/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_events_2.h 5.0.3-1/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_events_2.h
--- 5.0.2-3/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_events_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_events_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_events_2.h $
-// $Id: Straight_skeleton_builder_events_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_events_2.h $
+// $Id: Straight_skeleton_builder_events_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -28,9 +28,9 @@ class Event_2 : public Ref_counted_base
 {
   typedef SSkel_  SSkel ;
   typedef Traits_ Traits ;
-  
+
 public:
- 
+
   typedef Event_2<SSkel,Traits> Self ;
 
   typedef boost::intrusive_ptr<Self> SelfPtr ;
@@ -38,14 +38,14 @@ public:
   typedef typename Traits::Point_2          Point_2 ;
   typedef typename Traits::FT               FT ;
   typedef typename Traits::Trisegment_2_ptr Trisegment_2_ptr ;
-  
+
   typedef typename SSkel::Vertex                Vertex ;
   typedef typename SSkel::Halfedge_handle       Halfedge_handle ;
   typedef typename SSkel::Halfedge_const_handle Halfedge_const_handle ;
   typedef typename SSkel::Vertex_handle         Vertex_handle ;
-  
+
   typedef CGAL_SS_i::Triedge<Halfedge_handle> Triedge ;
-  
+
   enum Type { cEdgeEvent, cSplitEvent, cPseudoSplitEvent } ;
 
 public:
@@ -74,7 +74,7 @@ public:
   {
     ss << "[" ;
     e.dump(ss);
-    ss << " p=(" << e.point().x() << "," << e.point().y() << ") t=" << e.time() << "] " 
+    ss << " p=(" << e.point().x() << "," << e.point().y() << ") t=" << e.time() << "] "
        << trisegment_collinearity_to_string(e.trisegment()->collinearity()) ;
     return ss ;
   }
@@ -109,7 +109,7 @@ class Edge_event_2 : public Event_2<SSke
 public:
 
   Edge_event_2 ( Triedge const&          aTriedge
-               , Trisegment_2_ptr const& aTrisegment 
+               , Trisegment_2_ptr const& aTrisegment
                , Vertex_handle           aLSeed
                , Vertex_handle           aRSeed
                )
@@ -148,7 +148,7 @@ class Split_event_2 : public Event_2<SSk
 
   typedef typename SSkel::Halfedge_handle Halfedge_handle ;
   typedef typename SSkel::Vertex_handle   Vertex_handle ;
-  
+
   typedef typename Base::Type             Type ;
   typedef typename Base::Triedge          Triedge ;
   typedef typename Base::Trisegment_2_ptr Trisegment_2_ptr ;
@@ -156,7 +156,7 @@ class Split_event_2 : public Event_2<SSk
 public:
 
   Split_event_2 ( Triedge const&          aTriedge
-                , Trisegment_2_ptr const& aTrisegment 
+                , Trisegment_2_ptr const& aTrisegment
                 , Vertex_handle           aSeed
                 )
     :
@@ -170,9 +170,9 @@ public:
   virtual Vertex_handle seed1() const { return mSeed ; }
 
   void set_opposite_rnode( Vertex_handle aOppR ) { mOppR = aOppR ; }
-  
+
   Vertex_handle opposite_rnode() const { return mOppR ; }
-  
+
 private :
 
   virtual void dump ( std::ostream& ss ) const
@@ -192,7 +192,7 @@ class Pseudo_split_event_2 : public Even
 {
   typedef SSkel_  SSkel ;
   typedef Traits_ Traits ;
-  
+
   typedef Event_2<SSkel,Traits> Base ;
 
   typedef typename SSkel::Halfedge_handle Halfedge_handle ;
@@ -205,7 +205,7 @@ class Pseudo_split_event_2 : public Even
 public:
 
   Pseudo_split_event_2 ( Triedge const&          aTriedge
-                       , Trisegment_2_ptr const& aTrisegment 
+                       , Trisegment_2_ptr const& aTrisegment
                        , Vertex_handle           aSeed0
                        , Vertex_handle           aSeed1
                        , bool                    aOppositeIs0
@@ -223,20 +223,20 @@ public:
   virtual Vertex_handle seed1() const { return mSeed1 ; }
 
   bool opposite_node_is_seed_0() const { return mOppositeIs0 ; }
-  
+
   bool is_at_source_vertex() const { return opposite_node_is_seed_0() ; }
-  
+
   Vertex_handle opposite_seed() const { return opposite_node_is_seed_0() ? seed0() : seed1() ; }
-  
+
 private :
 
   virtual void dump ( std::ostream& ss ) const
   {
     this->Base::dump(ss);
-    
+
     ss << " ("
-       << "Seed0=" << mSeed0->id() << (  mOppositeIs0 ? " {Opp} " : " " ) 
-       << "Seed1=" << mSeed1->id() << ( !mOppositeIs0 ? " {Opp}"  : "" ) 
+       << "Seed0=" << mSeed0->id() << (  mOppositeIs0 ? " {Opp} " : " " )
+       << "Seed1=" << mSeed1->id() << ( !mOppositeIs0 ? " {Opp}"  : "" )
        << ")" ;
   }
 
diff -pruN 5.0.2-3/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_traits_2_aux.h 5.0.3-1/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_traits_2_aux.h
--- 5.0.2-3/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_traits_2_aux.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_traits_2_aux.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_traits_2_aux.h $
-// $Id: Straight_skeleton_builder_traits_2_aux.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Straight_skeleton_2/Straight_skeleton_builder_traits_2_aux.h $
+// $Id: Straight_skeleton_builder_traits_2_aux.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -31,7 +31,7 @@
 
 
 #ifdef CGAL_USE_CORE
-#  include <CGAL/CORE_BigFloat.h>  
+#  include <CGAL/CORE_BigFloat.h>
 #endif
 
 namespace CGAL {
@@ -41,20 +41,20 @@ namespace CGAL_SS_i {
 using boost::optional ;
 using boost::intrusive_ptr ;
 
-template<class T> 
-T const& validate ( boost::optional<T> const& o ) 
-{ 
+template<class T>
+T const& validate ( boost::optional<T> const& o )
+{
   if ( !o )
     throw std::overflow_error("Arithmetic overflow");
-  return *o ;  
+  return *o ;
 }
-  
-template<class NT>  
+
+template<class NT>
 NT const& validate( NT const& n )
-{ 
+{
   if ( !CGAL_NTS is_finite(n) )
     throw std::overflow_error("Arithmetic overflow");
-  return n ;  
+  return n ;
 }
 
 // boost::make_optional is provided in Boost >= 1.34, but not before, so we define our own versions here.
@@ -123,7 +123,7 @@ public:
     EC_result_type er = Exact_construction(To_Exact(a1)) ;
     return From_Exact(er);
   }
-  
+
   template <class A1, class A2>
   result_type
   operator()(const A1 &a1, const A2 &a2) const
@@ -136,12 +136,12 @@ public:
         return From_Filtered(fr);
     }
     catch (Uncertain_conversion_exception&) {}
-    
+
     Protect_FPU_rounding<!Protection> P(CGAL_FE_TONEAREST);
     EC_result_type er = Exact_construction(To_Exact(a1), To_Exact(a2)) ;
     return From_Exact(er);
   }
-  
+
   template <class A1, class A2, class A3>
   result_type
   operator()(const A1 &a1, const A2 &a2, const A3 &a3) const
@@ -154,13 +154,13 @@ public:
         return From_Filtered(fr);
     }
     catch (Uncertain_conversion_exception&) {}
-    
+
     Protect_FPU_rounding<!Protection> P(CGAL_FE_TONEAREST);
     EC_result_type er = Exact_construction(To_Exact(a1), To_Exact(a2), To_Exact(a3)) ;
     return From_Exact(er);
 
   }
-  
+
   template <class A1, class A2, class A3, class A4>
   result_type
   operator()(const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4) const
@@ -173,13 +173,13 @@ public:
         return From_Filtered(fr);
     }
     catch (Uncertain_conversion_exception&) {}
-    
+
     Protect_FPU_rounding<!Protection> P(CGAL_FE_TONEAREST);
     EC_result_type er = Exact_construction(To_Exact(a1), To_Exact(a2), To_Exact(a3), To_Exact(a4)) ;
     return From_Exact(er);
 
   }
-  
+
   template <class A1, class A2, class A3, class A4, class A5>
   result_type
   operator()(const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4, const A5 &a5) const
@@ -192,7 +192,7 @@ public:
         return From_Filtered(fr);
     }
     catch (Uncertain_conversion_exception&) {}
-    
+
     Protect_FPU_rounding<!Protection> P(CGAL_FE_TONEAREST);
     EC_result_type er = Exact_construction(To_Exact(a1), To_Exact(a2), To_Exact(a3), To_Exact(a4), To_Exact(a5)) ;
     return From_Exact(er);
@@ -217,7 +217,7 @@ class Rational
     NT d() const { return mD ; }
 
     CGAL::Quotient<NT> to_quotient() const { return CGAL::Quotient<NT>(mN,mD) ; }
-    
+
     NT to_nt() const { return mN / mD ; }
 
     friend std::ostream& operator << ( std::ostream& os, Rational<NT> const& rat )
@@ -237,19 +237,19 @@ class Rational
 // A straight skeleton event is the simultaneous coallision of 3 ore    ffseted oriented straight line segments
 // e0*,e1*,e2* [e* denotes an _offseted_ edge].
 //
-// A straight skeleton event is the simultaneous coallision of 3 ore    
+// A straight skeleton event is the simultaneous coallision of 3 ore
 //
 // This record stores the segments corresponding to the INPUT edges (e0,e1,e2) whose offsets intersect
 // at the event along with their collinearity.
 //
 // If the event is a an edge-event, then e0*->e1*->e2* must be consecutive right before the event so that
-// after the event e0* and e2* become consecutive. Thus, there are _offset_ vertices (e0*,e1*) and (e1*,e2*) 
+// after the event e0* and e2* become consecutive. Thus, there are _offset_ vertices (e0*,e1*) and (e1*,e2*)
 // in the offset polygon which not neccesarily exist in the original polygon.
 //
 // If the event is a split-event, e0*->e1* must be consecutive right before the event so that after the event
 // e0*->right(e2*) and left(e2*)->e1* become consecutive. Thus, there is an offset vertex (e0*,e1*) in the
 // offset polygon which not neccesarily exist in the original polygon.
-// 
+//
 // The offset vertices (e0*,e1*) and (e1*,e2*) are called the left and right seeds for the event.
 // A seed is a contour node if the vertex is already present in the input polygon, otherwise is a skeleton node.
 // If a seed is a skeleton node is produced by a previous event so it is itself defined as a trisegment, thus,
@@ -262,48 +262,48 @@ class Trisegment_2 : public Ref_counted_
 public:
 
   typedef typename K::Segment_2 Segment_2 ;
-    
+
   typedef intrusive_ptr<Trisegment_2> Self_ptr ;
-  
+
 public:
 
   Trisegment_2 ( Segment_2 const&        aE0
                , Segment_2 const&        aE1
                , Segment_2 const&        aE2
-               , Trisegment_collinearity aCollinearity 
-               ) 
+               , Trisegment_collinearity aCollinearity
+               )
   {
     mCollinearity = aCollinearity ;
-    
+
     mE[0] = aE0 ;
     mE[1] = aE1 ;
     mE[2] = aE2 ;
-    
+
     switch ( mCollinearity )
     {
       case TRISEGMENT_COLLINEARITY_01:
         mCSIdx=0; mNCSIdx=2; break ;
-        
+
       case TRISEGMENT_COLLINEARITY_12:
         mCSIdx=1; mNCSIdx=0; break ;
-        
+
       case TRISEGMENT_COLLINEARITY_02:
         mCSIdx=0; mNCSIdx=1; break ;
-        
+
       case TRISEGMENT_COLLINEARITY_ALL:
         mCSIdx = mNCSIdx = (std::numeric_limits<unsigned>::max)(); break ;
-        
+
       case TRISEGMENT_COLLINEARITY_NONE:
         mCSIdx = mNCSIdx = (std::numeric_limits<unsigned>::max)(); break ;
     }
   }
-    
+
   static Trisegment_2 null() { return Self_ptr() ; }
-  
+
   Trisegment_collinearity collinearity() const { return mCollinearity ; }
 
   Segment_2 const& e( unsigned idx ) const { CGAL_precondition(idx<3) ; return mE[idx] ; }
-  
+
   Segment_2 const& e0() const { return e(0) ; }
   Segment_2 const& e1() const { return e(1) ; }
   Segment_2 const& e2() const { return e(2) ; }
@@ -315,20 +315,20 @@ public:
   Segment_2 const& non_collinear_edge() const { return e(mNCSIdx) ; }
 
   Self_ptr child_l() const { return mChildL ; }
-  Self_ptr child_r() const { return mChildR ; } 
-  
+  Self_ptr child_r() const { return mChildR ; }
+
   void set_child_l( Self_ptr const& aChild ) { mChildL = aChild ; }
   void set_child_r( Self_ptr const& aChild ) { mChildR = aChild ; }
-  
+
   enum SEED_ID { LEFT, RIGHT, UNKNOWN } ;
-      
+
   // Indicates which of the seeds is collinear for a normal collinearity case.
   // PRECONDITION: The collinearity is normal.
   SEED_ID degenerate_seed_id() const
   {
     Trisegment_collinearity c = collinearity();
-      
-    return c == TRISEGMENT_COLLINEARITY_01 ? LEFT : c == TRISEGMENT_COLLINEARITY_12 ? RIGHT : UNKNOWN  ; 
+
+    return c == TRISEGMENT_COLLINEARITY_01 ? LEFT : c == TRISEGMENT_COLLINEARITY_12 ? RIGHT : UNKNOWN  ;
   }
 
   friend std::ostream& operator << ( std::ostream& os, Trisegment_2<K> const& aTrisegment )
@@ -336,40 +336,40 @@ public:
     return os << "[" << s2str(aTrisegment.e0())
               << " " << s2str(aTrisegment.e1())
               << " " << s2str(aTrisegment.e2())
-              << " " << trisegment_collinearity_to_string(aTrisegment.collinearity()) 
+              << " " << trisegment_collinearity_to_string(aTrisegment.collinearity())
               << "]";
   }
-  
+
   friend std::ostream& operator << ( std::ostream& os, Self_ptr const& aPtr )
   {
     recursive_print(os,aPtr,0);
     return os ;
   }
-    
+
   static void recursive_print ( std::ostream& os, Self_ptr const& aTriPtr, int aDepth )
   {
     os << "\n" ;
-    
+
     for ( int i = 0 ; i < aDepth ; ++ i )
       os << "  " ;
-      
+
     if ( aTriPtr )
          os << *aTriPtr ;
     else os << "{null}" ;
-    
+
     if ( aTriPtr->child_l() )
       recursive_print(os,aTriPtr->child_l(),aDepth+1);
-      
+
     if ( aTriPtr->child_r() )
       recursive_print(os,aTriPtr->child_r(),aDepth+1);
   }
-  
+
 private :
-    
+
   Segment_2               mE[3];
   Trisegment_collinearity mCollinearity ;
   unsigned                mCSIdx, mNCSIdx ;
-  
+
   Self_ptr mChildL ;
   Self_ptr mChildR ;
 } ;
@@ -380,9 +380,9 @@ struct Functor_base_2
   typedef typename K::FT        FT ;
   typedef typename K::Point_2   Point_2 ;
   typedef typename K::Segment_2 Segment_2 ;
-  
+
   typedef CGAL_SS_i::Trisegment_2<K> Trisegment_2 ;
-  
+
   typedef typename Trisegment_2::Self_ptr Trisegment_2_ptr ;
 };
 
@@ -406,37 +406,37 @@ struct SS_converter : Converter
 
   typedef boost::tuple<Source_FT,Source_point_2> Source_time_and_point_2 ;
   typedef boost::tuple<Target_FT,Target_point_2> Target_time_and_point_2 ;
-  
+
   typedef boost::optional<Source_FT> Source_opt_FT ;
   typedef boost::optional<Target_FT> Target_opt_FT ;
-  
+
   typedef boost::optional<Source_point_2> Source_opt_point_2 ;
   typedef boost::optional<Target_point_2> Target_opt_point_2 ;
-  
+
   typedef boost::optional<Source_time_and_point_2> Source_opt_time_and_point_2 ;
   typedef boost::optional<Target_time_and_point_2> Target_opt_time_and_point_2 ;
-  
+
   typedef boost::optional<Source_segment_2> Source_opt_segment_2 ;
   typedef boost::optional<Target_segment_2> Target_opt_segment_2 ;
-  
+
   typedef typename Source_trisegment_2::Self_ptr Source_trisegment_2_ptr ;
   typedef typename Target_trisegment_2::Self_ptr Target_trisegment_2_ptr ;
-  
-  
+
+
   Target_FT cvt_n(Source_FT const& n) const  { return this->Converter::operator()(n); }
 
   Target_opt_FT cvt_n(Source_opt_FT const& n) const
-  { 
-    Target_opt_FT r ; 
-    if ( n ) 
+  {
+    Target_opt_FT r ;
+    if ( n )
       r = cvt_n(*n);
-    return r ;  
+    return r ;
   }
-  
+
   Target_point_2   cvt_p(Source_point_2 const& p) const  { return this->Converter::operator()(p); }
 
   Target_segment_2 cvt_s( Source_segment_2 const& e) const { return Target_segment_2(cvt_p(e.source()), cvt_p(e.target()) ) ; }
-  
+
   Target_time_and_point_2 cvt_t_p( Source_time_and_point_2 const& v ) const
   {
     Source_FT      t ;
@@ -444,11 +444,11 @@ struct SS_converter : Converter
     boost::tie(t,p) = v ;
     return Target_time_and_point_2(cvt_n(t),cvt_p(p));
   }
-  
+
   Target_trisegment_2_ptr cvt_single_trisegment( Source_trisegment_2_ptr const& tri ) const
   {
     CGAL_precondition( tri!= Source_trisegment_2_ptr() ) ;
-    
+
     return Target_trisegment_2_ptr ( new Target_trisegment_2(cvt_s(tri->e0())
                                                             ,cvt_s(tri->e1())
                                                             ,cvt_s(tri->e2())
@@ -456,70 +456,70 @@ struct SS_converter : Converter
                                                             )
                                    ) ;
   }
-  
+
   Target_trisegment_2_ptr cvt_trisegment( Source_trisegment_2_ptr const& tri ) const
   {
     Target_trisegment_2_ptr res ;
-    
+
     if ( tri )
     {
       res = cvt_single_trisegment(tri) ;
-      
+
       if ( tri->child_l() )
         res->set_child_l( cvt_trisegment(tri->child_l()) ) ;
-        
+
       if ( tri->child_r() )
         res->set_child_r( cvt_trisegment(tri->child_r() ) ) ;
     }
-      
+
     return res ;
   }
-  
+
   bool operator()( bool v ) const { return v ; }
-  
+
   Trisegment_collinearity  operator()(Trisegment_collinearity c) const { return c ; }
-  
+
   Oriented_side operator()(Oriented_side s) const { return s ; }
-  
+
   Target_FT        operator()(Source_FT const& n) const { return cvt_n(n) ; }
 
   Target_opt_FT    operator()(Source_opt_FT const& n) const { return cvt_n(n) ; }
-  
+
   Target_point_2   operator()( Source_point_2 const& p) const { return cvt_p(p) ; }
 
   Target_segment_2 operator()( Source_segment_2 const& s) const { return cvt_s(s); }
-  
+
   Target_trisegment_2_ptr operator()( Source_trisegment_2_ptr const& tri ) const
   {
     return cvt_trisegment(tri);
   }
-  
+
   Target_time_and_point_2 operator() ( Source_time_and_point_2 const& v ) const
   {
     return cvt_t_p(v);
   }
-  
-  Target_opt_point_2 operator()( Source_opt_point_2 const& p) const 
+
+  Target_opt_point_2 operator()( Source_opt_point_2 const& p) const
   {
-    if ( p ) 
+    if ( p )
          return Target_opt_point_2(cvt_p(*p));
     else return Target_opt_point_2();
   }
 
-  Target_opt_segment_2 operator()( Source_opt_segment_2 const& s) const 
+  Target_opt_segment_2 operator()( Source_opt_segment_2 const& s) const
   {
-    if ( s ) 
+    if ( s )
          return Target_opt_segment_2(cvt_s(*s));
     else return Target_opt_segment_2();
   }
-  
-  Target_opt_time_and_point_2 operator()( Source_opt_time_and_point_2 const& v) const 
-  { 
-    if ( v ) 
+
+  Target_opt_time_and_point_2 operator()( Source_opt_time_and_point_2 const& v) const
+  {
+    if ( v )
          return Target_opt_time_and_point_2(cvt_t_p(*v));
     else return Target_opt_time_and_point_2();
   }
-  
+
 };
 
 } // namespace CGAL_SS_i
diff -pruN 5.0.2-3/include/CGAL/Straight_skeleton_2/test.h 5.0.3-1/include/CGAL/Straight_skeleton_2/test.h
--- 5.0.2-3/include/CGAL/Straight_skeleton_2/test.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Straight_skeleton_2/test.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Straight_skeleton_2/test.h $
-// $Id: test.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Straight_skeleton_2/test.h $
+// $Id: test.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
 
 #ifndef CGAL_STRAIGHT_SKELETON_TEST_H
@@ -21,20 +21,20 @@
 //
 
 //
-// These are assertions that may not be true unless certain external conditions are met, such as the kernel 
+// These are assertions that may not be true unless certain external conditions are met, such as the kernel
 // beigng exact or the input being specifically designed to be non-degenerate, avoid significant round-off, etc.
 //
 #ifdef CGAL_STRAIGHT_SKELETON_ENABLE_INTRINSIC_TESTING
 #  define CGAL_stskel_intrinsic_test_assertion(EX)          ((EX)?(static_cast<void>(0)): ::CGAL::assertion_fail( # EX , __FILE__, __LINE__, 0))
 #  define CGAL_stskel_intrinsic_test_assertion_msg(EX,MSG)  ((EX)?(static_cast<void>(0)): ::CGAL::assertion_fail( # EX , __FILE__, __LINE__, MSG))
 #  define CGAL_stskel_intrinsic_test_assertion_code(CODE)   CODE
-#  define CGAL_stskel_intrinsic_test_trace(m)               std::cerr << m << std::endl 
+#  define CGAL_stskel_intrinsic_test_trace(m)               std::cerr << m << std::endl
 #  define CGAL_stskel_intrinsic_test_trace_if(EX,m)         if ( (EX) ) { std::cerr << m << std::endl ; }
 #else
 #  define CGAL_stskel_intrinsic_test_assertion(EX)         (static_cast<void>(0))
 #  define CGAL_stskel_intrinsic_test_assertion_msg(EX,MSG) (static_cast<void>(0))
 #  define CGAL_stskel_intrinsic_test_assertion_code(CODE)
-#  define CGAL_stskel_intrinsic_test_trace(m)    
+#  define CGAL_stskel_intrinsic_test_trace(m)
 #  define CGAL_stskel_intrinsic_test_trace_if(EX,m)
 #endif
 
@@ -47,67 +47,67 @@ namespace CGAL_SS_i {
 //
 // Their purpose is to detect clearly wrong results without resorting to exact constructions.
 //
-// These are negative tests only. For instance, they don't test whether a number is zero (since it can be 
+// These are negative tests only. For instance, they don't test whether a number is zero (since it can be
 // near zero but not exactly due to roundoff); rather, they test whether a number is clearly not zero,
 // which is a test that can be done robustelly if a pesimistic upper bound on the error is know.
-//  
+//
 // The test are overloaded on number types so if exact constructions are used, the tests are exact.
 
 inline bool is_possibly_inexact_distance_clearly_not_zero ( double n, double eps )
 {
-  return std::abs( CGAL_NTS to_double(n) ) > eps ; 
+  return std::abs( CGAL_NTS to_double(n) ) > eps ;
 }
 
 #ifdef CGAL_CORE_EXPR_H
-inline bool is_possibly_inexact_distance_clearly_not_zero ( CORE::Expr const& n ) 
-{ 
+inline bool is_possibly_inexact_distance_clearly_not_zero ( CORE::Expr const& n )
+{
   return ! CGAL_NTS is_zero(n);
-}  
+}
 #endif
 
 #ifdef CGAL_LEDA_REAL_H
-inline bool is_possibly_inexact_distance_clearly_not_zero ( leda_real const& n ) 
-{ 
+inline bool is_possibly_inexact_distance_clearly_not_zero ( leda_real const& n )
+{
   return ! CGAL_NTS is_zero(n);
-}  
+}
 #endif
 
 #ifdef CGAL_GMPQ_H
-inline bool is_possibly_inexact_distance_clearly_not_zero ( Gmpq const& n ) 
-{ 
+inline bool is_possibly_inexact_distance_clearly_not_zero ( Gmpq const& n )
+{
   return is_possibly_inexact_distance_clearly_not_zero( to_double(n), 1e-8 ) ;
-}  
+}
 #endif
-    
+
 #ifdef CGAL_MP_FLOAT_H
-inline bool is_possibly_inexact_distance_clearly_not_zero ( MP_Float const& n ) 
-{ 
+inline bool is_possibly_inexact_distance_clearly_not_zero ( MP_Float const& n )
+{
   return is_possibly_inexact_distance_clearly_not_zero( to_double(n), 1e-8 ) ;
-}  
+}
 
-inline bool is_possibly_inexact_distance_clearly_not_zero ( Quotient<MP_Float> const& n ) 
-{ 
+inline bool is_possibly_inexact_distance_clearly_not_zero ( Quotient<MP_Float> const& n )
+{
   return is_possibly_inexact_distance_clearly_not_zero( to_double(n), 1e-8 ) ;
-}  
+}
 #endif
 
 #if defined(CGAL_LAZY_EXACT_NT_H)
 template<class NT>
-inline bool is_possibly_inexact_distance_clearly_not_zero ( Lazy_exact_nt<NT> const& n ) 
-{ 
+inline bool is_possibly_inexact_distance_clearly_not_zero ( Lazy_exact_nt<NT> const& n )
+{
   return is_possibly_inexact_distance_clearly_not_zero( to_double(n), 1e-8 ) ;
-}  
+}
 #endif
 
 
 inline bool is_possibly_inexact_distance_clearly_not_zero ( double n )
 {
-  return std::abs( CGAL_NTS to_double(n) ) > 1e-5 ; 
+  return std::abs( CGAL_NTS to_double(n) ) > 1e-5 ;
 }
 
 inline bool is_possibly_inexact_distance_clearly_not_zero ( Interval_nt_advanced const& n )
 {
-  return is_possibly_inexact_distance_clearly_not_zero(to_double(n)); 
+  return is_possibly_inexact_distance_clearly_not_zero(to_double(n));
 }
 
 
@@ -115,20 +115,20 @@ inline bool is_possibly_inexact_distance
 
 
 template<class NT>
-inline bool is_possibly_inexact_distance_clearly_not_equal_to( NT const& n, NT const& m ) 
-{ 
+inline bool is_possibly_inexact_distance_clearly_not_equal_to( NT const& n, NT const& m )
+{
   return is_possibly_inexact_distance_clearly_not_zero(n-m);
 }
 
 template<class NT>
-inline bool is_possibly_inexact_time_clearly_not_zero( NT const& n ) 
-{ 
+inline bool is_possibly_inexact_time_clearly_not_zero( NT const& n )
+{
   return is_possibly_inexact_distance_clearly_not_zero(n);
 }
 
 template<class NT>
-inline bool is_possibly_inexact_time_clearly_not_equal_to( NT const& n, NT const& m ) 
-{ 
+inline bool is_possibly_inexact_time_clearly_not_equal_to( NT const& n, NT const& m )
+{
   return is_possibly_inexact_distance_clearly_not_zero(n-m);
 }
 
@@ -137,9 +137,9 @@ inline bool is_time_clearly_not_within_p
 {
   FT lSrcT = aBisector->opposite()->vertex()->time() ;
   FT lTgtT = aBisector->vertex()->time() ;
-  FT lLoT  = std::min(lSrcT,lTgtT);
-  FT lHiT  = std::max(lSrcT,lTgtT);
-  
+  FT lLoT  = (std::min)(lSrcT,lTgtT);
+  FT lHiT  = (std::max)(lSrcT,lTgtT);
+
   return    ( aT < lLoT || aT > lHiT )
          && is_possibly_inexact_time_clearly_not_equal_to(aT,lLoT)
          && is_possibly_inexact_time_clearly_not_equal_to(aT,lHiT) ;
@@ -150,9 +150,9 @@ inline bool is_time_clearly_within_possi
 {
   FT lSrcT = aBisector->opposite()->vertex()->time() ;
   FT lTgtT = aBisector->vertex()->time() ;
-  FT lLoT  = std::min(lSrcT,lTgtT);
-  FT lHiT  = std::max(lSrcT,lTgtT);
-  
+  FT lLoT  = (std::min)(lSrcT,lTgtT);
+  FT lHiT  = (std::max)(lSrcT,lTgtT);
+
   return    ( lLoT < aT && aT < lHiT )
          && is_possibly_inexact_time_clearly_not_equal_to(aT,lLoT)
          && is_possibly_inexact_time_clearly_not_equal_to(aT,lHiT) ;
@@ -166,4 +166,4 @@ inline bool is_time_clearly_within_possi
 #endif // CGAL_STRAIGHT_SKELETON_TEST_H //
 // EOF //
 
- 
+
diff -pruN 5.0.2-3/include/CGAL/Straight_skeleton_2.h 5.0.3-1/include/CGAL/Straight_skeleton_2.h
--- 5.0.2-3/include/CGAL/Straight_skeleton_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Straight_skeleton_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Straight_skeleton_2.h $
-// $Id: Straight_skeleton_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Straight_skeleton_2.h $
+// $Id: Straight_skeleton_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
 
 #ifndef CGAL_STRAIGHT_SKELETON_2_H
@@ -32,21 +32,21 @@ public :
   typedef Traits_ Traits ;
 
   typedef Straight_skeleton_2<Traits_,Items_,Alloc_> Self ;
-  
+
   typedef CGAL_HALFEDGEDS_DEFAULT <Traits_,Items_,Alloc_> Base ;
-  
+
   typedef typename Base::Vertex_base     Vertex ;
   typedef typename Base::Halfedge_base   Halfedge ;
   typedef typename Base::Face_base       Face ;
-  
+
   typedef typename Base::Vertex_handle   Vertex_handle ;
   typedef typename Base::Halfedge_handle Halfedge_handle  ;
   typedef typename Base::Face_handle     Face_handle  ;
-  
+
   typedef typename Base::Vertex_const_handle   Vertex_const_handle ;
   typedef typename Base::Halfedge_const_handle Halfedge_const_handle  ;
   typedef typename Base::Face_const_handle     Face_const_handle  ;
-  
+
   typedef typename Base::Vertex_iterator   Vertex_iterator ;
   typedef typename Base::Halfedge_iterator Halfedge_iterator  ;
   typedef typename Base::Face_iterator     Face_iterator  ;
@@ -56,16 +56,16 @@ public :
   typedef typename Base::Face_const_iterator     Face_const_iterator  ;
 
   typedef typename Base::size_type size_type ;
-    
+
   Straight_skeleton_2() {}
-  
+
 private :
 
     Vertex_handle   vertices_push_back( const Vertex& v)                   { return Base::vertices_push_back(v); }
     Halfedge_handle edges_push_back( const Halfedge& h, const Halfedge& g) { return Base::edges_push_back(h,g); }
     Halfedge_handle edges_push_back( const Halfedge& h)                    { return Base::edges_push_back(h); }
     Face_handle     faces_push_back( const Face& f)                        { return Base::faces_push_back(f); }
-    
+
     void vertices_pop_front()                                          { Base::vertifces_pop_front(); }
     void vertices_pop_back()                                           { Base::vertifces_pop_back(); }
     void vertices_erase( Vertex_handle v)                              { Base::vertices_erase(v); }
@@ -82,8 +82,8 @@ private :
     void edges_clear()                                                 { Base::edeges_clear(); }
     void faces_clear()                                                 { Base::faces_clear(); }
     void clear()                                                       { Base::clear();}
-    
-    void vertices_splice( Vertex_iterator target, Self &source, Vertex_iterator begin, Vertex_iterator end) 
+
+    void vertices_splice( Vertex_iterator target, Self &source, Vertex_iterator begin, Vertex_iterator end)
       { Base::vertices_splice(target,source,begin,end); }
 
     void halfedges_splice( Halfedge_iterator target, Self &source, Halfedge_iterator begin, Halfedge_iterator end)
@@ -91,25 +91,25 @@ private :
 
     void faces_splice( Face_iterator target, Self &source,  Face_iterator begin, Face_iterator end)
       { Base::faces_splice(target,source,begin,end); }
-    
+
     void normalize_border() { Base::normalize_border(); }
-    
+
 public :
 
     static int id ( Vertex_const_handle h )
     {
       Vertex_const_handle null ;
-      return h != null ? h->id() : -1 ; 
+      return h != null ? h->id() : -1 ;
     }
     static int id ( Halfedge_const_handle h )
     {
       Halfedge_const_handle null ;
-      return h != null ? h->id() : -1 ; 
+      return h != null ? h->id() : -1 ;
     }
     static int id ( Face_const_handle h )
     {
       Face_const_handle null ;
-      return h != null ? 0 : -1 ; 
+      return h != null ? 0 : -1 ;
     }
 
     bool is_valid() const
@@ -118,11 +118,11 @@ public :
       // This is a copy of the validity code in Halfedge_const_decorator with a different reporting mechanism
       //
       CGAL_STSKEL_VALIDITY_TRACE("begin Straight_skeleton::is_valid()" );
-  
+
       bool valid = ( 1 != (this->size_of_halfedges() & 1));
-      
+
       CGAL_STSKEL_VALIDITY_TRACE_IF(!valid,"number of halfedges: " << this->size_of_halfedges() << " is odd." ) ;
-      
+
       // All halfedges.
       Halfedge_const_iterator begin = this->halfedges_begin();
       Halfedge_const_iterator end   = this->halfedges_end();
@@ -131,29 +131,29 @@ public :
       for( ; valid && (begin != end); begin++)
       {
           CGAL_STSKEL_VALIDITY_TRACE("he["<< id(begin) << "]" << ( begin->is_border() ?  " [border]" : "" ) );
-             
+
           // Pointer integrity.
           valid = valid && ( begin->next() != Halfedge_const_handle());
-          if ( ! valid) 
+          if ( ! valid)
           {
             CGAL_STSKEL_VALIDITY_TRACE("ERROR: he["<<id(begin)<<"]->next() == nullptr!");
             break;
           }
           valid = valid && ( begin->opposite() != Halfedge_const_handle());
-          if ( ! valid) 
+          if ( ! valid)
           {
             CGAL_STSKEL_VALIDITY_TRACE("ERROR: he["<<id(begin)<<"]->opposite() == nullptr!");
             break;
           }
           // opposite integrity.
           valid = valid && ( begin->opposite() != begin);
-          if ( ! valid) 
+          if ( ! valid)
           {
             CGAL_STSKEL_VALIDITY_TRACE("ERROR: he["<<id(begin)<<"]->opposite() == he!");
             break;
           }
           valid = valid && ( begin->opposite()->opposite() == begin);
-          if ( ! valid) 
+          if ( ! valid)
           {
             CGAL_STSKEL_VALIDITY_TRACE("ERROR: he["<<id(begin)<<"]->opposite()["<< id(begin->opposite())
                                        <<"]->opposite()["<< id(begin->opposite()->opposite()) <<"] != he!"
@@ -162,7 +162,7 @@ public :
           }
           // previous integrity.
           valid = valid && begin->next()->prev() == begin;
-          if ( ! valid) 
+          if ( ! valid)
           {
             CGAL_STSKEL_VALIDITY_TRACE("ERROR: he["<< id(begin) <<"]->next()["<< id(begin->next())
                                       <<"]->prev()["<< id(begin->next()->prev()) <<"] != he."
@@ -171,7 +171,7 @@ public :
           }
           // vertex integrity.
           valid = valid && begin->vertex() != Vertex_const_handle();
-          if ( ! valid) 
+          if ( ! valid)
           {
               CGAL_STSKEL_VALIDITY_TRACE("ERROR: he["<<id(begin)<<"]->vertex() == nullptr!");
               break;
@@ -179,11 +179,11 @@ public :
           if ( ! begin->vertex()->has_infinite_time() )
           {
             valid = valid && ( begin->vertex() == begin->next()->opposite()->vertex());
-            if ( ! valid) 
+            if ( ! valid)
             {
                 CGAL_STSKEL_VALIDITY_TRACE("ERROR: he["<< id(begin) <<"]->vertex()["<< id(begin->vertex())
                                           <<"] != he->next()["<< id(begin->next())
-                                          <<"]->opposite()["<< id(begin->next()->opposite()) 
+                                          <<"]->opposite()["<< id(begin->next()->opposite())
                                           <<"]->vertex()["<< id(begin->next()->opposite()->vertex())<<"]"
                                           );
                 break;
@@ -191,13 +191,13 @@ public :
           }
           // face integrity.
           valid = valid && ( begin->is_border() || begin->face() != Face_const_handle() );
-          if ( ! valid) 
+          if ( ! valid)
           {
             CGAL_STSKEL_VALIDITY_TRACE("ERROR: he["<<id(begin)<<"]->face() == nullptr.");
             break;
           }
           valid = valid && ( begin->face() == begin->next()->face());
-          if ( ! valid) 
+          if ( ! valid)
           {
             CGAL_STSKEL_VALIDITY_TRACE("ERROR: he["<< id(begin) <<"]->face()["<< id(begin->face())
                                       <<"] != he->next()["<< id(begin->next()) <<"]->face()["<< id(begin->next()->face())<<"]."
@@ -209,108 +209,108 @@ public :
               ++nb;
       }
       CGAL_STSKEL_VALIDITY_TRACE("summe border halfedges (2*nb) = " << 2 * nb );
-      
+
       bool nvalid = ( n == this->size_of_halfedges());
-      
+
       CGAL_STSKEL_VALIDITY_TRACE_IF(valid && !nvalid
-                                   ,"ERROR: counted number of halfedges:" << n 
-                                   << " mismatch with this->size_of_halfedges():" << this->size_of_halfedges() 
+                                   ,"ERROR: counted number of halfedges:" << n
+                                   << " mismatch with this->size_of_halfedges():" << this->size_of_halfedges()
                                    );
-          
+
       valid = valid && nvalid ;
-      
+
       // All vertices.
       Vertex_const_iterator vbegin = this->vertices_begin();
       Vertex_const_iterator vend   = this->vertices_end();
-      
+
       size_type v = 0;
       n = 0;
       bool is_partial_skeleton = false ;
-      
-      for( ; valid && (vbegin != vend); ++vbegin) 
+
+      for( ; valid && (vbegin != vend); ++vbegin)
       {
           // Pointer integrity.
           valid = valid && vbegin->halfedge() != Halfedge_const_handle()  ;
-          if ( ! valid) 
+          if ( ! valid)
           {
             CGAL_STSKEL_VALIDITY_TRACE("ERROR: v["<< id(vbegin) <<"]->halfedge() == nullptr.");
             break;
           }
-          
+
           // cycle-around-vertex test.
           if ( !vbegin->has_infinite_time() )
           {
             valid = valid && vbegin->halfedge()->vertex() == vbegin;
-            if ( ! valid) 
+            if ( ! valid)
             {
-              CGAL_STSKEL_VALIDITY_TRACE("ERROR: v["<< id(vbegin) <<"]->halfedge()["<< id(vbegin->halfedge()) 
+              CGAL_STSKEL_VALIDITY_TRACE("ERROR: v["<< id(vbegin) <<"]->halfedge()["<< id(vbegin->halfedge())
                                         <<"]->vertex()["<< id(vbegin->halfedge()->vertex()) <<"] != v."
                                         );
               break;
             }
-            
+
             CGAL_STSKEL_VALIDITY_TRACE("Circulating halfedges around v["<<id(vbegin)<<"]");
-            
+
             Halfedge_const_handle h =  vbegin->halfedge();
-            if ( h != Halfedge_const_handle()) 
+            if ( h != Halfedge_const_handle())
             {
               Halfedge_const_handle g = h;
-              do 
+              do
               {
-                CGAL_STSKEL_VALIDITY_TRACE("  v->halfedge(): " << id(h) << ", ->next(): " << id(h->next()) 
+                CGAL_STSKEL_VALIDITY_TRACE("  v->halfedge(): " << id(h) << ", ->next(): " << id(h->next())
                                           << ", ->next()->opposite(): " << id(h->next()->opposite())
                                           );
                 ++n;
                 h = h->next()->opposite();
                 valid = valid && ( n <= this->size_of_halfedges() && n!=0);
-                CGAL_STSKEL_VALIDITY_TRACE_IF(!valid,"ERROR: more than " << this->size_of_halfedges() 
+                CGAL_STSKEL_VALIDITY_TRACE_IF(!valid,"ERROR: more than " << this->size_of_halfedges()
                                              << " halfedges around v["<< id(vbegin)<<"]"
                                              );
               } while ( valid && (h != g));
             }
           }
           else is_partial_skeleton = true ;
-          
+
           ++v;
       }
-      
+
       if ( ! is_partial_skeleton )
       {
         bool vvalid = (v == this->size_of_vertices());
-        
+
         CGAL_STSKEL_VALIDITY_TRACE_IF(valid && !vvalid
-                                     ,"ERROR: counted number of vertices:" << v 
+                                     ,"ERROR: counted number of vertices:" << v
                                      << " mismatch with this->size_of_vertices():" << this->size_of_vertices()
-                                     ); 
-            
+                                     );
+
         bool vnvalid = n == this->size_of_halfedges() ;
         CGAL_STSKEL_VALIDITY_TRACE_IF(valid && !vnvalid
-                                     ,"ERROR: counted number of halfedges via vertices:" << n 
-                                     << " mismatch with this->size_of_halfedges():" << this->size_of_halfedges() 
+                                     ,"ERROR: counted number of halfedges via vertices:" << n
+                                     << " mismatch with this->size_of_halfedges():" << this->size_of_halfedges()
                                      );
-        
+
         valid = valid && vvalid && vnvalid ;
       }
-      
+
       // All faces.
       Face_const_iterator fbegin = this->faces_begin();
       Face_const_iterator fend   = this->faces_end();
       size_type f = 0;
       n = 0;
-      for( ; valid && (fbegin != fend); ++fbegin) 
+      for( ; valid && (fbegin != fend); ++fbegin)
       {
-      
+
           valid = valid && ( begin->is_border() || fbegin->halfedge() != Halfedge_const_handle()  );
           if ( ! valid)
           {
             CGAL_STSKEL_VALIDITY_TRACE("ERROR: f["<<id(fbegin)<<"]->halfedge() == nullptr." );
             break;
           }
-          
+
           valid = valid && fbegin->halfedge()->face() == fbegin ;
-          if ( ! valid) 
+          if ( ! valid)
           {
-            CGAL_STSKEL_VALIDITY_TRACE("ERROR: f["<<id(fbegin)<<"]->halfedge()["<< id(fbegin->halfedge()) 
+            CGAL_STSKEL_VALIDITY_TRACE("ERROR: f["<<id(fbegin)<<"]->halfedge()["<< id(fbegin->halfedge())
                                        <<"]->face()["<< id(fbegin->halfedge()->face()) <<"] != f."
                                       );
             break;
@@ -318,44 +318,44 @@ public :
           // cycle-around-face test.
           CGAL_STSKEL_VALIDITY_TRACE("Circulating halfedges around f["<<id(fbegin)<<"]" );
           Halfedge_const_handle h = fbegin->halfedge();
-          if ( h != Halfedge_const_handle()) 
+          if ( h != Halfedge_const_handle())
           {
             Halfedge_const_handle g = h;
-            do 
+            do
             {
               CGAL_STSKEL_VALIDITY_TRACE("  f->halfedge():" << id(h) << ", ->next(): " << id(h->next()));
               ++n;
               h = h->next();
               valid = valid && ( n <= this->size_of_halfedges() && n!=0);
-              CGAL_STSKEL_VALIDITY_TRACE_IF(!valid,"ERROR: more than " << this->size_of_halfedges() 
+              CGAL_STSKEL_VALIDITY_TRACE_IF(!valid,"ERROR: more than " << this->size_of_halfedges()
                                            << " halfedges around f["<< id(fbegin)<<"]"
                                            );
             } while ( valid && (h != g));
           }
           ++f;
       }
-      
+
       bool fvalid = ( f == this->size_of_faces());
-      
+
       CGAL_STSKEL_VALIDITY_TRACE_IF(valid && !fvalid
-                                   ,"ERROR: counted number of faces:" << f 
-                                   << " mismatch with this->size_of_faces():" << this->size_of_faces() 
+                                   ,"ERROR: counted number of faces:" << f
+                                   << " mismatch with this->size_of_faces():" << this->size_of_faces()
                                    );
-          
+
       bool fnvalid = ( n + nb  == this->size_of_halfedges() );
-                     
+
       CGAL_STSKEL_VALIDITY_TRACE_IF(valid && !fnvalid
                                    ,"ERROR: counted number of halfedges via faces:" << n
-                                   << " plus counted number of border halfedges: " << nb  
-                                   << " mismatch with this->size_of_halfedges():" << this->size_of_halfedges() 
+                                   << " plus counted number of border halfedges: " << nb
+                                   << " mismatch with this->size_of_halfedges():" << this->size_of_halfedges()
                                    );
-      
+
       valid = valid && fvalid && fnvalid ;
-      
+
       CGAL_STSKEL_VALIDITY_TRACE ("end of Straight_skeleton_2>::is_valid(): " << ( valid ? "valid." : "NOT VALID.") );
-      
+
       return valid;
-    }    
+    }
 };
 
 
diff -pruN 5.0.2-3/include/CGAL/Straight_skeleton_builder_2.h 5.0.3-1/include/CGAL/Straight_skeleton_builder_2.h
--- 5.0.2-3/include/CGAL/Straight_skeleton_builder_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Straight_skeleton_builder_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,8 +3,8 @@
 // This file is part of CGAL (www.cgal.org).
 //
 
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Straight_skeleton_builder_2.h $
-// $Id: Straight_skeleton_builder_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Straight_skeleton_builder_2.h $
+// $Id: Straight_skeleton_builder_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -46,13 +46,13 @@ struct Dummy_straight_skeleton_builder_2
   typedef typename SSkel::Vertex_const_handle   Vertex_const_handle ;
 
   void on_contour_edge_entered ( Halfedge_const_handle const&  ) const {}
-                               
+
   void on_initialization_started( std::size_t /* size_of_vertices */ ) const {}
-  
+
   void on_initial_events_collected( Vertex_const_handle const& , bool /* is_reflex */, bool /*is_degenerate*/ )  const  {}
-  
+
   void on_edge_event_created( Vertex_const_handle const& /* lnode */
-			    , Vertex_const_handle const& /* rnode */
+                            , Vertex_const_handle const& /* rnode */
                             )  const {}
 
   void on_split_event_created( Vertex_const_handle const&  )  const {}
@@ -60,11 +60,11 @@ struct Dummy_straight_skeleton_builder_2
   void on_pseudo_split_event_created( Vertex_const_handle const& /* lnode */
                                     , Vertex_const_handle const& /* rnode */
                                     )  const {}
-                                    
+
   void on_initialization_finished() const {}
-  
+
   void on_propagation_started() const {}
-  
+
   void on_anihiliation_event_processed ( Vertex_const_handle const& /* node0 */
                                        , Vertex_const_handle const& /* node1 */
                                        )  const  {}
@@ -73,7 +73,7 @@ struct Dummy_straight_skeleton_builder_2
   void on_edge_event_processed( Vertex_const_handle const& /* lseed */
                               , Vertex_const_handle const& /* rseed */
                               , Vertex_const_handle const& /* node */
-                              )  const {} 
+                              )  const {}
 
   void on_split_event_processed( Vertex_const_handle const& /* seed */
                                , Vertex_const_handle const& /* node0 */
@@ -87,15 +87,15 @@ struct Dummy_straight_skeleton_builder_2
                                       )  const {}
 
   void on_vertex_processed( Vertex_const_handle const& )  const {}
-  
+
   void on_propagation_finished() const {}
-  
+
   void on_cleanup_started() const {}
-  
+
   void on_cleanup_finished() const {}
-  
+
   void on_algorithm_finished ( bool /* finished_ok */ ) const {}
-  
+
   void on_error( char const* ) const {}
 } ;
 
@@ -109,11 +109,11 @@ public:
   typedef Visitor_ Visitor ;
 
   typedef boost::shared_ptr<SSkel> SSkelPtr ;
-  
+
 private :
 
   typedef typename Traits::Kernel K ;
-  
+
   typedef typename Traits::FT               FT ;
   typedef typename Traits::Point_2          Point_2 ;
   typedef typename Traits::Vector_2         Vector_2 ;
@@ -121,7 +121,7 @@ private :
   typedef typename Traits::Segment_2        Segment_2 ;
   typedef typename Traits::Trisegment_2     Trisegment_2 ;
   typedef typename Traits::Trisegment_2_ptr Trisegment_2_ptr ;
-  
+
   typedef typename SSkel::Vertex   Vertex ;
   typedef typename SSkel::Halfedge Halfedge ;
   typedef typename SSkel::Face     Face ;
@@ -143,11 +143,11 @@ private :
   typedef typename SSkel::Face_iterator     Face_iterator ;
 
   typedef typename Vertex::Halfedge_around_vertex_circulator Halfedge_around_vertex_circulator ;
-  
+
   typedef typename SSkel::size_type size_type ;
 
   typedef CGAL_SS_i::Triedge<Halfedge_handle> Triedge ;
-  
+
   typedef CGAL_SS_i::Event_2             <SSkel,Traits> Event ;
   typedef CGAL_SS_i::Edge_event_2        <SSkel,Traits> EdgeEvent ;
   typedef CGAL_SS_i::Split_event_2       <SSkel,Traits> SplitEvent ;
@@ -156,27 +156,27 @@ private :
   typedef boost::intrusive_ptr<Event> EventPtr ;
 
   typedef std::pair<Vertex_handle,Vertex_handle> Vertex_handle_pair ;
-  
+
   typedef std::vector<EventPtr>           EventPtr_Vector ;
   typedef std::vector<Halfedge_handle>    Halfedge_handle_vector ;
   typedef std::vector<Vertex_handle>      Vertex_handle_vector ;
   typedef std::vector<Vertex_handle_pair> Vertex_handle_pair_vector ;
-  
+
   typedef typename Halfedge_handle_vector   ::iterator Halfedge_handle_vector_iterator ;
   typedef typename Vertex_handle_vector     ::iterator Vertex_handle_vector_iterator ;
   typedef typename Vertex_handle_pair_vector::iterator Vertex_handle_pair_vector_iterator ;
-  
+
   typedef typename EventPtr_Vector::const_iterator event_const_iterator ;
 
   typedef Straight_skeleton_builder_2<Traits,SSkel,Visitor> Self ;
-  
+
   typedef typename Halfedge::Base_base HBase_base ;
   typedef typename Halfedge::Base      HBase ;
   typedef typename Vertex::Base        VBase ;
   typedef typename Face::Base          FBase ;
-  
+
   enum Site { AT_SOURCE = -1 , INSIDE = 0, AT_TARGET = +1 } ;
-  
+
   struct Multinode : public Ref_counted_base
   {
     Multinode ( Halfedge_handle b, Halfedge_handle e )
@@ -186,7 +186,7 @@ private :
       ,v    (b->vertex())
       ,size (0)
     {}
-      
+
     Halfedge_handle        begin ;
     Halfedge_handle        end ;
     Vertex_handle          v ;
@@ -194,15 +194,15 @@ private :
     Halfedge_handle_vector bisectors_to_relink ;
     Halfedge_handle_vector bisectors_to_remove ;
     Vertex_handle_vector   nodes_to_remove ;
-  } ;  
-  
+  } ;
+
   typedef boost::intrusive_ptr<Multinode> MultinodePtr ;
-  
+
   struct MultinodeComparer
   {
     bool operator() ( MultinodePtr const& x, MultinodePtr const& y ) { return x->size > y->size ; }
   } ;
-  
+
   typedef std::vector<MultinodePtr> MultinodeVector ;
 
   struct Halfedge_ID_compare : CGAL::cpp98::binary_function<bool,Halfedge_handle,Halfedge_handle>
@@ -212,16 +212,16 @@ private :
       return aA->id() < aB->id() ;
     }
   } ;
-  
+
 public:
 
   Straight_skeleton_builder_2 ( boost::optional<FT> aMaxTime = boost::none, Traits const& = Traits(), Visitor const& aVisitor = Visitor() ) ;
-  
+
   SSkelPtr construct_skeleton(  bool aNull_if_failed = true ) ;
 
 private :
 
-  
+
   class Event_compare : public CGAL::cpp98::binary_function<bool,EventPtr,EventPtr>
   {
   public:
@@ -268,9 +268,9 @@ private :
     Triedge           mTriedge ; // Here, E0,E1 corresponds to the vertex (unlike *event* triedges)
     Trisegment_2_ptr  mTrisegment ; // Skeleton nodes cache the full trisegment tree that defines the originating event
   } ;
-  
+
   typedef boost::intrusive_ptr<Vertex_data> Vertex_data_ptr ;
-  
+
 private :
 
   Halfedge_handle validate( Halfedge_handle aH ) const ;
@@ -279,20 +279,20 @@ private :
   void InitVertexData( Vertex_handle aV )
   {
     mVertexData.push_back( Vertex_data_ptr( new Vertex_data(aV,mEventCompare) ) ) ;
-  } 
-  
-  Vertex_data const& GetVertexData( Vertex_const_handle aV ) const 
-  { 
-    CGAL_precondition( handle_assigned(aV) ) ; 
-    return *mVertexData[aV->id()]; 
-  }
-  
-  Vertex_data&  GetVertexData( Vertex_const_handle aV )      
-  { 
-    CGAL_precondition( handle_assigned(aV) ) ; 
-    return *mVertexData[aV->id()]; 
   }
-  
+
+  Vertex_data const& GetVertexData( Vertex_const_handle aV ) const
+  {
+    CGAL_precondition( handle_assigned(aV) ) ;
+    return *mVertexData[aV->id()];
+  }
+
+  Vertex_data&  GetVertexData( Vertex_const_handle aV )
+  {
+    CGAL_precondition( handle_assigned(aV) ) ;
+    return *mVertexData[aV->id()];
+  }
+
   Vertex_handle GetVertex ( int aIdx )
   {
     CGAL_precondition(aIdx>=0);
@@ -304,37 +304,37 @@ private :
   {
     return GetVertexData(aV).mTrisegment ;
   }
-  
+
   void SetTrisegment ( Vertex_handle aV, Trisegment_2_ptr const& aTrisegment )
   {
     GetVertexData(aV).mTrisegment = aTrisegment ;
   }
-  
+
   // Null if aV is a contour node
   Triedge const& GetVertexTriedge ( Vertex_handle aV ) const
   {
     return GetVertexData(aV).mTriedge ;
   }
-  
+
   void SetVertexTriedge ( Vertex_handle aV, Triedge const& aTriedge )
   {
     GetVertexData(aV).mTriedge = aTriedge ;
   }
-  
+
   Segment_2 CreateSegment ( Halfedge_const_handle aH ) const
   {
     Point_2 s = aH->opposite()->vertex()->point() ;
     Point_2 t = aH->vertex()->point() ;
     return K().construct_segment_2_object()(s,t);
   }
-  
+
   Vector_2 CreateVector ( Halfedge_const_handle aH ) const
   {
     Point_2 s = aH->opposite()->vertex()->point() ;
     Point_2 t = aH->vertex()->point() ;
     return K().construct_vector_2_object()(s,t);
   }
-  
+
   Direction_2 CreateDirection ( Halfedge_const_handle aH ) const
   {
     return K().construct_direction_2_object()( CreateVector(aH) );
@@ -343,26 +343,26 @@ private :
   Trisegment_2_ptr CreateTrisegment ( Triedge const& aTriedge ) const
   {
     CGAL_precondition(aTriedge.is_valid() && aTriedge.is_skeleton());
-    
+
     Trisegment_2_ptr r = Construct_ss_trisegment_2(mTraits)(CreateSegment(aTriedge.e0())
                                                            ,CreateSegment(aTriedge.e1())
                                                            ,CreateSegment(aTriedge.e2())
                                                            );
-                                                                        
+
     CGAL_STSKEL_BUILDER_TRACE(5,"Trisegment for " << aTriedge << ":" << r ) ;
-    
+
     CGAL_postcondition_msg((r!= Trisegment_2_ptr()), "Unable to determine edges collinearity");
-      
-    return r ;  
+
+    return r ;
   }
-  
+
   Trisegment_2_ptr CreateTrisegment ( Triedge const& aTriedge, Vertex_handle aLSeed ) const
   {
     Trisegment_2_ptr r = CreateTrisegment( aTriedge ) ;
     r->set_child_l( GetTrisegment(aLSeed) ) ;
     return r ;
   }
-  
+
   Trisegment_2_ptr CreateTrisegment ( Triedge const& aTriedge, Vertex_handle aLSeed, Vertex_handle aRSeed ) const
   {
     Trisegment_2_ptr r = CreateTrisegment( aTriedge ) ;
@@ -370,7 +370,7 @@ private :
     r->set_child_r( GetTrisegment(aRSeed) ) ;
     return r ;
   }
-  
+
   Vertex_handle GetPrevInLAV ( Vertex_handle aV )
   {
     return GetVertex ( GetVertexData(aV).mPrevInLAV ) ;
@@ -395,12 +395,12 @@ private :
   {
     return GetVertexTriedge(aV).e0();
   }
-  
+
   Halfedge_handle GetEdgeStartingAt ( Vertex_handle aV )
   {
     return GetEdgeEndingAt( GetNextInLAV(aV) ) ;
   }
-  
+
   void Exclude ( Vertex_handle aV )
   {
     GetVertexData(aV).mIsExcluded = true ;
@@ -429,7 +429,7 @@ private :
   {
     return GetVertexData(aV).mIsDegenerate ;
   }
-  
+
   void SetIsProcessed ( Vertex_handle aV )
   {
     GetVertexData(aV).mIsProcessed = true ;
@@ -442,7 +442,7 @@ private :
     Vertex_data const& lData = GetVertexData(aV) ;
     return !lData.mIsReflex && !lData.mIsDegenerate ;
   }
-  
+
   bool IsProcessed ( Vertex_handle aV )
   {
     return GetVertexData(aV).mIsProcessed ;
@@ -453,7 +453,7 @@ private :
     CGAL_STSKEL_BUILDER_TRACE(2, "V" << aV->id() << " PQ: " << *aEvent);
     GetVertexData(aV).mSplitEvents.push(aEvent);
   }
-  
+
   EventPtr PopNextSplitEvent ( Vertex_handle aV )
   {
     EventPtr rEvent ;
@@ -463,7 +463,7 @@ private :
       PQ& lPQ = lData.mSplitEvents ;
       if ( !lPQ.empty() )
       {
-        rEvent = lPQ.top(); 
+        rEvent = lPQ.top();
         lPQ.pop();
         lData.mNextSplitEventInMainPQ = true ;
       }
@@ -474,8 +474,8 @@ private :
   void AllowNextSplitEvent ( Vertex_handle aV )
   {
     GetVertexData(aV).mNextSplitEventInMainPQ = false ;
-  }  
-  
+  }
+
   void InsertEventInPQ( EventPtr aEvent ) ;
 
   EventPtr PopEventFromPQ() ;
@@ -483,15 +483,15 @@ private :
   bool ExistEvent ( Trisegment_2_ptr const& aS )
   {
     return Do_ss_event_exist_2(mTraits)(aS,mMaxTime);
-  }  
-  
+  }
+
   bool IsOppositeEdgeFacingTheSplitSeed( Vertex_handle aSeed, Halfedge_handle aOpposite ) const
   {
     if ( aSeed->is_skeleton() )
          return Is_edge_facing_ss_node_2(mTraits)( GetTrisegment(aSeed), CreateSegment(aOpposite) ) ;
     else return Is_edge_facing_ss_node_2(mTraits)( aSeed->point()      , CreateSegment(aOpposite) ) ;
   }
-  
+
   Oriented_side EventPointOrientedSide( Event const&          aEvent
                                       , Halfedge_const_handle aE0
                                       , Halfedge_const_handle aE1
@@ -516,22 +516,22 @@ private :
   {
     return aA->triedge() != aB->triedge() ? CompareEvents( aA->trisegment(), aB->trisegment() ) : EQUAL ;
   }
-  
+
   bool AreEventsSimultaneous( Trisegment_2_ptr const& x, Trisegment_2_ptr const& y ) const
   {
     return Are_ss_events_simultaneous_2(mTraits)(x,y) ;
   }
-  
+
   bool AreEventsSimultaneous( EventPtr const& x, EventPtr const& y ) const
   {
     return AreEventsSimultaneous(x->trisegment(),y->trisegment());
   }
-  
+
   bool AreContourNodesCoincident( Vertex_handle aX, Vertex_handle aY ) const
   {
     CGAL_precondition( aX->is_contour() );
     CGAL_precondition( aY->is_contour() );
-    
+
     return CGAL::compare_xy(aX->point(),aY->point()) == EQUAL ;
   }
 
@@ -541,29 +541,29 @@ private :
     CGAL_precondition(  aY->is_skeleton() );
     CGAL_precondition( !aX->has_infinite_time() );
     CGAL_precondition( !aY->has_infinite_time() );
-    
+
     return AreEventsSimultaneous( GetTrisegment(aX),  GetTrisegment(aY) ) ;
   }
-  
+
   Comparison_result CompareEvents( Trisegment_2_ptr const& aTrisegment, Vertex_handle aSeedNode ) const
   {
     return aSeedNode->is_skeleton() ? aSeedNode->has_infinite_time() ? SMALLER
                                                                      : CompareEvents( aTrisegment, GetTrisegment(aSeedNode) )
                                     : LARGER  ;
   }
-  
+
   void SetBisectorSlope ( Halfedge_handle aBisector, Sign aSlope )
   {
     aBisector->HBase_base::set_slope(aSlope);
   }
-  
+
   void SetBisectorSlope ( Vertex_handle aA, Vertex_handle aB )
   {
     Halfedge_handle lOBisector = aA->primary_bisector();
     Halfedge_handle lIBisector = lOBisector->opposite();
 
     CGAL_precondition( !aA->is_contour() || !aB->is_contour() ) ;
-        
+
     if ( aA->is_contour() )
     {
       SetBisectorSlope(lOBisector,POSITIVE);
@@ -579,14 +579,14 @@ private :
       if ( aA->has_infinite_time() )
       {
         CGAL_precondition( !aB->has_infinite_time());
-        
+
         SetBisectorSlope(lOBisector,NEGATIVE);
         SetBisectorSlope(lIBisector,POSITIVE);
       }
       else if ( aB->has_infinite_time())
       {
         CGAL_precondition( !aA->has_infinite_time());
-        
+
         SetBisectorSlope(lOBisector,NEGATIVE);
         SetBisectorSlope(lIBisector,POSITIVE);
       }
@@ -594,7 +594,7 @@ private :
       {
         CGAL_precondition( !aA->has_infinite_time());
         CGAL_precondition( !aB->has_infinite_time());
-        
+
         Sign lSlope = CompareEvents(GetTrisegment(aB),GetTrisegment(aA));
         SetBisectorSlope(lOBisector,lSlope);
         SetBisectorSlope(lIBisector,opposite(lSlope));
@@ -606,7 +606,7 @@ private :
   {
     boost::optional< boost::tuple<FT,Point_2> > r = Construct_ss_event_time_and_point_2(mTraits)(aS);
     CGAL_postcondition_msg(!!r, "Unable to compute skeleton node coordinates");
-    return *r ;  
+    return *r ;
   }
 
   void SetEventTimeAndPoint( Event& aE )
@@ -614,64 +614,64 @@ private :
     FT      lTime ;
     Point_2 lP ;
     boost::tie(lTime,lP) = ConstructEventTimeAndPoint(aE.trisegment());
-    
+
     aE.SetTimeAndPoint(lTime,lP);
   }
 
-  
+
   void EraseBisector( Halfedge_handle aB )
   {
     CGAL_STSKEL_BUILDER_TRACE(1,"Dangling B" << aB->id() << " and B" << aB->opposite()->id() << " removed.");
-    
+
     mSSkel->SSkel::Base::edges_erase(aB);
   }
 
 #ifdef CGAL_STSKEL_TRACE_ON
   std::string wavefront2str( Vertex_handle v )
   {
-    std::ostringstream ss ; 
-    
-    ss << "N" << GetPrevInLAV(v)->id() << "->N" << v->id() << "->N" << GetNextInLAV(v)->id() 
+    std::ostringstream ss ;
+
+    ss << "N" << GetPrevInLAV(v)->id() << "->N" << v->id() << "->N" << GetNextInLAV(v)->id()
        << "  E" << GetVertexTriedge(v).e0()->id() << "->E" << GetVertexTriedge(v).e1()->id() ;
-       
+
     return ss.str() ;
-    
-  } 
+
+  }
 #endif
-  
+
   void Link( Halfedge_handle aH, Face_handle aF )
   {
     aH->HBase_base::set_face(aF);
   }
-  
+
   void Link( Halfedge_handle aH, Vertex_handle aV )
   {
     aH->HBase_base::set_vertex(aV);
   }
-  
+
   void Link( Vertex_handle aV, Halfedge_handle aH )
   {
     aV->VBase::set_halfedge(aH);
   }
-  
+
   void CrossLinkFwd( Halfedge_handle aPrev, Halfedge_handle aNext )
   {
     aPrev->HBase_base::set_next(aNext);
     aNext->HBase_base::set_prev(aPrev);
   }
-  
+
   void CrossLink( Halfedge_handle aH, Vertex_handle aV )
   {
     Link(aH,aV);
     Link(aV,aH);
   }
-  
+
   Triedge GetCommonTriedge( Vertex_handle aA, Vertex_handle aB ) ;
 
   bool AreBisectorsCoincident ( Halfedge_const_handle aA, Halfedge_const_handle aB ) const ;
-                                    
+
   EventPtr IsPseudoSplitEvent( EventPtr const& aEvent, Vertex_handle_pair aOpp, Site const& aSite ) ;
-  
+
   void CollectSplitEvent( Vertex_handle aNode, Triedge const& aTriedge ) ;
 
   void CollectSplitEvents( Vertex_handle aNode, Triedge const& aPrevEventTriedge  ) ;
@@ -697,33 +697,33 @@ private :
   bool IsValidEdgeEvent        ( EdgeEvent        const& aEvent ) ;
   bool IsValidSplitEvent       ( SplitEvent       const& aEvent ) ;
   bool IsValidPseudoSplitEvent ( PseudoSplitEvent const& aEvent ) ;
-  
+
   void HandleEdgeEvent               ( EventPtr aEvent ) ;
   void HandleSplitEvent              ( EventPtr aEvent, Vertex_handle_pair aOpp ) ;
   void HandlePseudoSplitEvent        ( EventPtr aEvent ) ;
   void HandleSplitOrPseudoSplitEvent ( EventPtr aEvent ) ;
-  
+
   void InsertNextSplitEventInPQ( Vertex_handle v ) ;
   void InsertNextSplitEventsInPQ() ;
-  
+
   bool IsProcessed( EventPtr aEvent ) ;
 
   void Propagate();
-  
+
   void EraseNode ( Vertex_handle aNode ) ;
 
   void MergeSplitNodes ( Vertex_handle_pair aSplitNodes ) ;
-  
+
   void RelinkBisectorsAroundMultinode( Vertex_handle const& v0, Halfedge_handle_vector& aLinks ) ;
-  
+
   void PreprocessMultinode( Multinode& aMN ) ;
-                          
+
   void ProcessMultinode( Multinode& aMN, Halfedge_handle_vector& rHalfedgesToRemove , Vertex_handle_vector& rNodesToRemove ) ;
 
   MultinodePtr CreateMultinode( Halfedge_handle begin, Halfedge_handle end ) ;
-  
+
   void MergeCoincidentNodes() ;
-  
+
   bool FinishUp();
 
   bool Run();
@@ -736,7 +736,7 @@ private:
   Visitor const& mVisitor ;
 
   std::vector<Vertex_data_ptr> mVertexData ;
-  
+
   Vertex_handle_vector   mReflexVertices ;
   Halfedge_handle_vector mDanglingBisectors ;
   Halfedge_handle_vector mContourHalfedges ;
@@ -754,13 +754,13 @@ private:
   int mStepID   ;
 
   boost::optional<FT> mMaxTime ;
-   
+
   PQ mPQ ;
 
   //Output
   SSkelPtr mSSkel ;
 
-private :  
+private :
 
   template<class InputPointIterator, class Converter>
   void enter_valid_contour ( InputPointIterator aBegin, InputPointIterator aEnd, Converter const& cvt )
@@ -775,9 +775,9 @@ private :
 
     InputPointIterator lCurr = aBegin ;
     // InputPointIterator lPrev = aBegin ;
-    
+
     int c = 0 ;
-    
+
     while ( lCurr != aEnd )
     {
       Halfedge_handle lCCWBorder = mSSkel->SSkel::Base::edges_push_back ( Halfedge(mEdgeID),Halfedge(mEdgeID+1)  );
@@ -811,7 +811,7 @@ private :
         SetNextInLAV(lPrevVertex,lVertex    );
 
         SetVertexTriedge(lPrevVertex, Triedge(lPrevCCWBorder,lCCWBorder) ) ;
-        
+
         lCWBorder->HBase_base::set_vertex(lPrevVertex);
 
         lCCWBorder    ->HBase_base::set_prev(lPrevCCWBorder);
@@ -822,13 +822,13 @@ private :
 
         CGAL_STSKEL_BUILDER_TRACE(1,"CCW Border: E" << lCCWBorder->id() << ' ' << lPrevVertex->point() << " -> " << lVertex    ->point());
         CGAL_STSKEL_BUILDER_TRACE(1,"CW  Border: E" << lCWBorder ->id() << ' ' << lVertex    ->point() << " -> " << lPrevVertex->point() );
-        
+
         mVisitor.on_contour_edge_entered(lCCWBorder);
 
       }
 
       // lPrev = lCurr ;
-      
+
       ++ lCurr ;
 
       lPrevVertex    = lVertex ;
@@ -848,21 +848,21 @@ private :
 
     lPrevCCWBorder ->opposite()->HBase_base::set_prev(lFirstCCWBorder->opposite());
     lFirstCCWBorder->opposite()->HBase_base::set_next(lPrevCCWBorder ->opposite());
-    
+
     CGAL_precondition_msg(c >=3, "The contour must have at least 3 _distinct_ vertices" ) ;
-    
+
     CGAL_STSKEL_BUILDER_TRACE(1
                              , "CCW Border: E" << lFirstCCWBorder->id()
                              << ' ' << lPrevVertex ->point() << " -> " << lFirstVertex->point() << '\n'
                              << "CW  Border: E" << lFirstCCWBorder->opposite()->id()
                              << ' ' << lFirstVertex->point() << " -> " << lPrevVertex ->point()
                              );
-                             
+
     mVisitor.on_contour_edge_entered(lFirstCCWBorder);
   }
-  
+
 public:
-  
+
   // This compares INPUT vertices so there is no need to filter it.
   struct AreVerticesEqual
   {
@@ -871,28 +871,28 @@ public:
     {
       return CGAL::compare_xy(x,y) == EQUAL ;
     }
-  } ; 
-  
+  } ;
+
   template<class InputPointIterator, class Converter>
   Straight_skeleton_builder_2& enter_contour ( InputPointIterator aBegin
                                              , InputPointIterator aEnd
-                                             , Converter const&   cvt        
-                                             , bool               aCheckValidity = true 
+                                             , Converter const&   cvt
+                                             , bool               aCheckValidity = true
                                              )
   {
     if ( aCheckValidity )
     {
       typedef typename std::iterator_traits<InputPointIterator>::value_type Input_point;
-      
+
       typedef std::vector<Input_point> Input_point_vector ;
-     
+
       // Remove coincident consecutive vertices
       Input_point_vector lList;
       std::unique_copy(aBegin,aEnd,std::back_inserter(lList),AreVerticesEqual());
 
-      while ( lList.size() > 0 && CGAL::compare_xy(lList.front(),lList.back()) == EQUAL ) 
+      while ( lList.size() > 0 && CGAL::compare_xy(lList.front(),lList.back()) == EQUAL )
         lList.pop_back();
-      
+
       if ( lList.size() >= 3 )
       {
         enter_valid_contour(lList.begin(),lList.end(),cvt);
@@ -905,19 +905,19 @@ public:
     else
     {
       enter_valid_contour(aBegin,aEnd,cvt);
-    } 
+    }
 
     return *this ;
   }
-  
+
   template<class InputPointIterator>
   Straight_skeleton_builder_2& enter_contour ( InputPointIterator aBegin
                                              , InputPointIterator aEnd
-                                             , bool               aCheckValidity = true 
+                                             , bool               aCheckValidity = true
                                              )
   {
     return enter_contour(aBegin, aEnd, Cartesian_converter<K,K>(), aCheckValidity);
-  }                                             
+  }
 
 } ;
 
diff -pruN 5.0.2-3/include/CGAL/Straight_skeleton_builder_traits_2.h 5.0.3-1/include/CGAL/Straight_skeleton_builder_traits_2.h
--- 5.0.2-3/include/CGAL/Straight_skeleton_builder_traits_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Straight_skeleton_builder_traits_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Straight_skeleton_builder_traits_2.h $
-// $Id: Straight_skeleton_builder_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Straight_skeleton_builder_traits_2.h $
+// $Id: Straight_skeleton_builder_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -30,16 +30,16 @@ template<class K>
 struct Construct_ss_trisegment_2 : Functor_base_2<K>
 {
   typedef Functor_base_2<K> Base ;
-  
+
   typedef typename Base::Segment_2        Segment_2 ;
   typedef typename Base::Trisegment_2     Trisegment_2 ;
   typedef typename Base::Trisegment_2_ptr Trisegment_2_ptr ;
-  
+
   typedef Trisegment_2_ptr result_type ;
-  
+
 
   result_type operator() () const { return cgal_make_optional( Trisegment_2::null() ) ; }
-  
+
   result_type operator() ( Segment_2 const& aS0, Segment_2 const& aS1, Segment_2 const& aS2 ) const
   {
     return construct_trisegment(aS0,aS1,aS2);
@@ -122,7 +122,7 @@ struct Oriented_side_of_event_point_wrt_
                                       , Segment_2        const& aE0
                                       , Segment_2        const& aE1
                                       , Trisegment_2_ptr const& aE01Event
-                                      , bool                    aE0isPrimary 
+                                      , bool                    aE0isPrimary
                                       ) const
   {
     Uncertain<Oriented_side> rResult = oriented_side_of_event_point_wrt_bisectorC2(aEvent,aE0,aE1,aE01Event,aE0isPrimary) ;
@@ -203,24 +203,24 @@ struct Construct_ss_event_time_and_point
   typedef typename Base::Trisegment_2_ptr Trisegment_2_ptr ;
 
   typedef boost::tuple<FT,Point_2> rtype ;
-  
+
   typedef boost::optional<rtype> result_type ;
-  
+
 
   result_type operator() ( Trisegment_2_ptr const& aTrisegment ) const
   {
     typename Has_inexact_constructions<K>::type has_inexact_constructions
     CGAL_SUNPRO_INITIALIZE( = typename Has_inexact_constructions<K>::type()) ;
-    
+
     return calc(aTrisegment, has_inexact_constructions);
   }
- 
+
   result_type calc ( Trisegment_2_ptr const& aTrisegment
                    , Tag_false               // kernel already has exact constructions
                    ) const
   {
     bool lOK = false ;
-    
+
     FT      t(0) ;
     Point_2 i = ORIGIN ;
 
@@ -229,27 +229,27 @@ struct Construct_ss_event_time_and_point
     if ( !!ot && certainly( CGAL_NTS certified_is_not_zero(ot->d()) ) )
     {
       t = ot->n() / ot->d();
-      
+
       optional<Point_2> oi = construct_offset_lines_isecC2(aTrisegment);
       if ( oi )
       {
         i = *oi ;
         CGAL_stskel_intrinsic_test_assertion(!is_point_calculation_clearly_wrong(t,i,aTrisegment));
         lOK = true ;
-      } 
+      }
     }
-    
+
     CGAL_STSKEL_ASSERT_CONSTRUCTION_RESULT(lOK,K,"Construct_ss_event_time_and_point_2",aTrisegment);
 
     return cgal_make_optional(lOK,boost::make_tuple(t,i)) ;
   }
-  
+
   result_type calc ( Trisegment_2_ptr const& aTrisegment
                    , Tag_true         // kernel does not provides exact constructions
                    ) const
   {
     bool lOK = false ;
-    
+
     FT      t(0) ;
     Point_2 i = ORIGIN ;
 
@@ -258,22 +258,22 @@ struct Construct_ss_event_time_and_point
     if ( !!ot && certainly( CGAL_NTS certified_is_not_zero(ot->d()) ) )
     {
       t = ot->n() / ot->d();
-      
+
       optional<Point_2> oi = construct_offset_lines_isecC2(aTrisegment);
       if ( oi )
       {
-        if ( is_point_calculation_clearly_wrong(t,*oi,aTrisegment)) 
+        if ( is_point_calculation_clearly_wrong(t,*oi,aTrisegment))
         {
           typedef Exact_predicates_exact_constructions_kernel EK ;
-    
+
           typedef Cartesian_converter<K,EK> BaseC2E;
           typedef Cartesian_converter<EK,K> BaseE2C;
-    
-          SS_converter<BaseC2E> C2E ;  
-          SS_converter<BaseE2C> E2C ;  
-    
+
+          SS_converter<BaseC2E> C2E ;
+          SS_converter<BaseE2C> E2C ;
+
           oi = E2C(construct_offset_lines_isecC2(C2E(aTrisegment)));
-          
+
           if ( oi )
           {
             i   = *oi ;
@@ -287,64 +287,64 @@ struct Construct_ss_event_time_and_point
           lOK = true ;
         }
       }
-      
+
     }
-    
+
     CGAL_STSKEL_ASSERT_CONSTRUCTION_RESULT(lOK,K,"Construct_ss_event_time_and_point_2",aTrisegment);
 
     return cgal_make_optional(lOK,boost::make_tuple(t,i)) ;
   }
-  
-  bool is_point_calculation_clearly_wrong( FT const& t, Point_2 const& p, Trisegment_2_ptr const& aTrisegment ) const 
+
+  bool is_point_calculation_clearly_wrong( FT const& t, Point_2 const& p, Trisegment_2_ptr const& aTrisegment ) const
   {
     bool rR = false ;
-    
+
     if ( is_possibly_inexact_time_clearly_not_zero(t) )
     {
-      Segment_2 const& e0 = aTrisegment->e0() ; 
+      Segment_2 const& e0 = aTrisegment->e0() ;
       Segment_2 const& e1 = aTrisegment->e1() ;
       Segment_2 const& e2 = aTrisegment->e2() ;
-      
+
       Point_2 const& e0s = e0.source();
       Point_2 const& e0t = e0.target();
-      
+
       Point_2 const& e1s = e1.source();
       Point_2 const& e1t = e1.target();
-      
+
       Point_2 const& e2s = e2.source();
       Point_2 const& e2t = e2.target();
-    
+
       FT const very_short(0.1);
       FT const very_short_squared = CGAL_NTS square(very_short);
-      
+
       FT l0 = squared_distance(e0s,e0t) ;
       FT l1 = squared_distance(e1s,e1t) ;
       FT l2 = squared_distance(e2s,e2t) ;
-      
+
       bool e0_is_not_very_short = l0 > very_short_squared ;
       bool e1_is_not_very_short = l1 > very_short_squared ;
       bool e2_is_not_very_short = l2 > very_short_squared ;
-      
+
       FT d0 = squared_distance_from_point_to_lineC2(p.x(),p.y(),e0s.x(),e0s.y(),e0t.x(),e0t.y()).to_nt();
       FT d1 = squared_distance_from_point_to_lineC2(p.x(),p.y(),e1s.x(),e1s.y(),e1t.x(),e1t.y()).to_nt();
       FT d2 = squared_distance_from_point_to_lineC2(p.x(),p.y(),e2s.x(),e2s.y(),e2t.x(),e2t.y()).to_nt();
-    
+
       FT tt = CGAL_NTS square(t);
-      
+
       bool e0_is_clearly_wrong = e0_is_not_very_short && is_possibly_inexact_distance_clearly_not_equal_to(d0,tt) ;
       bool e1_is_clearly_wrong = e1_is_not_very_short && is_possibly_inexact_distance_clearly_not_equal_to(d1,tt) ;
       bool e2_is_clearly_wrong = e2_is_not_very_short && is_possibly_inexact_distance_clearly_not_equal_to(d2,tt) ;
-    
+
       rR = e0_is_clearly_wrong || e1_is_clearly_wrong || e2_is_clearly_wrong ;
-      
+
       CGAL_stskel_intrinsic_test_trace_if(rR
                                         , "\nSkeleton node point calculation is clearly wrong:"
                                           << "\ntime=" << t << " p=" << p2str(p) << " e0=" << s2str(e0) << " e1=" << s2str(e1) << " e2=" << s2str(e2)
                                           << "\nl0=" << inexact_sqrt(l0) << " l1=" << inexact_sqrt(l1) << " l2=" << inexact_sqrt(l2)
-                                          << "\nd0=" << d0 << " d1=" << d1 << " d2=" << d2 << " tt=" << tt 
+                                          << "\nd0=" << d0 << " d1=" << d1 << " d2=" << d2 << " tt=" << tt
                                         ) ;
     }
-    
+
     return rR ;
   }
 };
@@ -369,19 +369,19 @@ template<class K>
 struct Straight_skeleton_builder_traits_2_base
 {
   typedef K Kernel ;
-  
+
   typedef typename K::FT          FT ;
   typedef typename K::Point_2     Point_2 ;
   typedef typename K::Vector_2    Vector_2 ;
   typedef typename K::Direction_2 Direction_2 ;
   typedef typename K::Segment_2   Segment_2 ;
-  
+
   typedef CGAL_SS_i::Trisegment_2<K> Trisegment_2 ;
-  
+
   typedef typename Trisegment_2::Self_ptr Trisegment_2_ptr ;
 
   template<class F> F get( F const* = 0 ) const { return F(); }
-  
+
 } ;
 
 
@@ -408,13 +408,13 @@ public:
 
   typedef Unfiltered_predicate_adaptor<typename Unfiltering::Are_ss_events_simultaneous_2>
     Are_ss_events_simultaneous_2 ;
-    
+
   typedef Unfiltered_predicate_adaptor<typename Unfiltering::Are_ss_edges_parallel_2>
     Are_ss_edges_parallel_2 ;
-    
+
   typedef Unfiltered_predicate_adaptor<typename Unfiltering::Are_ss_edges_collinear_2>
     Are_ss_edges_collinear_2 ;
-    
+
   typedef typename Unfiltering::Construct_ss_event_time_and_point_2 Construct_ss_event_time_and_point_2 ;
   typedef typename Unfiltering::Construct_ss_trisegment_2           Construct_ss_trisegment_2 ;
 } ;
@@ -434,7 +434,7 @@ class Straight_skeleton_builder_traits_2
   typedef Cartesian_converter<EK,K> BaseE2C;
   typedef Cartesian_converter<FK,K> BaseF2C;
   typedef Cartesian_converter<K,K>  BaseC2C;
-  
+
   typedef CGAL_SS_i::SS_converter<BaseC2E> C2E ;
   typedef CGAL_SS_i::SS_converter<BaseC2F> C2F ;
   typedef CGAL_SS_i::SS_converter<BaseE2C> E2C ;
@@ -463,8 +463,8 @@ public:
                             , C2F
                             >
                             Is_edge_facing_ss_node_2 ;
-  
-  typedef Filtered_predicate< typename Exact    ::Oriented_side_of_event_point_wrt_bisector_2 
+
+  typedef Filtered_predicate< typename Exact    ::Oriented_side_of_event_point_wrt_bisector_2
                             , typename Filtering::Oriented_side_of_event_point_wrt_bisector_2
                             , C2E
                             , C2F
@@ -484,31 +484,31 @@ public:
                             , C2F
                             >
                             Are_ss_edges_parallel_2 ;
-                            
+
   typedef Filtered_predicate< typename Exact    ::Are_ss_edges_collinear_2
                             , typename Filtering::Are_ss_edges_collinear_2
                             , C2E
                             , C2F
                             >
                             Are_ss_edges_collinear_2 ;
-                            
+
   typedef CGAL_SS_i::Exceptionless_filtered_construction< typename Unfiltering::Construct_ss_event_time_and_point_2
                                                         , typename Exact      ::Construct_ss_event_time_and_point_2
-                                                        , typename Unfiltering::Construct_ss_event_time_and_point_2 
+                                                        , typename Unfiltering::Construct_ss_event_time_and_point_2
                                                         , C2E
-                                                        , C2C 
+                                                        , C2C
                                                         , E2C
-                                                        , C2C 
+                                                        , C2C
                                                         >
                                                         Construct_ss_event_time_and_point_2 ;
 
-  typedef CGAL_SS_i::Exceptionless_filtered_construction< typename Unfiltering::Construct_ss_trisegment_2 
-                                                        , typename Exact      ::Construct_ss_trisegment_2 
-                                                        , typename Unfiltering::Construct_ss_trisegment_2 
+  typedef CGAL_SS_i::Exceptionless_filtered_construction< typename Unfiltering::Construct_ss_trisegment_2
+                                                        , typename Exact      ::Construct_ss_trisegment_2
+                                                        , typename Unfiltering::Construct_ss_trisegment_2
                                                         , C2E
-                                                        , C2C 
+                                                        , C2C
                                                         , E2C
-                                                        , C2C 
+                                                        , C2C
                                                         >
                                                         Construct_ss_trisegment_2 ;
 } ;
diff -pruN 5.0.2-3/include/CGAL/Straight_skeleton_converter_2.h 5.0.3-1/include/CGAL/Straight_skeleton_converter_2.h
--- 5.0.2-3/include/CGAL/Straight_skeleton_converter_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Straight_skeleton_converter_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Straight_skeleton_converter_2.h $
-// $Id: Straight_skeleton_converter_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Straight_skeleton_converter_2.h $
+// $Id: Straight_skeleton_converter_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
 
 #ifndef CGAL_STRAIGHT_SKELETON_CONVERTER_2_H
@@ -26,7 +26,7 @@ template<class Source_skeleton_
         ,class Target_skeleton_
         ,class NT_converter = typename internal::Default_converter<typename Source_skeleton_::Traits
                                                                ,typename Target_skeleton_::Traits
-                                                               >::Type 
+                                                               >::Type
         >
 struct Straight_skeleton_items_converter_2: Cartesian_converter< typename Source_skeleton_::Traits
                                                                , typename Target_skeleton_::Traits
@@ -35,24 +35,24 @@ struct Straight_skeleton_items_converter
 {
   typedef Source_skeleton_ Source_skeleton ;
   typedef Target_skeleton_ Target_skeleton ;
-  
+
   typedef typename Source_skeleton::Traits Source_traits ;
   typedef typename Target_skeleton::Traits Target_traits ;
-  
+
   typedef Cartesian_converter<Source_traits,Target_traits> Base ;
-  
+
   typedef typename Source_skeleton::Vertex_const_handle   Source_vertex_const_handle ;
   typedef typename Source_skeleton::Halfedge_const_handle Source_halfedge_const_handle ;
   typedef typename Source_skeleton::Face_const_handle     Source_face_const_handle  ;
-  
+
   typedef typename Target_skeleton::Vertex    Target_vertex ;
   typedef typename Target_skeleton::Halfedge  Target_halfedge ;
   typedef typename Target_skeleton::Face      Target_face ;
-  
-  Target_vertex operator() ( Source_vertex_const_handle aV ) const 
+
+  Target_vertex operator() ( Source_vertex_const_handle aV ) const
   {
     CGAL_assertion( handle_assigned(aV) ) ;
-    
+
     return Target_vertex( aV->id()
                         , this->Base::operator()(aV->point())
                         , this->Base::operator()(aV->time ())
@@ -60,18 +60,18 @@ struct Straight_skeleton_items_converter
                         , aV->has_infinite_time()
                         ) ;
   }
-  
-  Target_halfedge operator() ( Source_halfedge_const_handle aH ) const 
+
+  Target_halfedge operator() ( Source_halfedge_const_handle aH ) const
   {
     CGAL_assertion( handle_assigned(aH) ) ;
-    
+
     return Target_halfedge( aH->id(), aH->slope() ) ;
   }
-  
-  Target_face operator() ( Source_face_const_handle aF ) const 
+
+  Target_face operator() ( Source_face_const_handle aF ) const
   {
     CGAL_assertion( handle_assigned(aF) ) ;
-    
+
     return Target_face( aF->id() );
   }
 } ;
@@ -82,26 +82,26 @@ struct Straight_skeleton_converter_2
   typedef Source_skeleton_ Source_skeleton ;
   typedef Target_skeleton_ Target_skeleton ;
   typedef Items_converter_ Items_converter ;
-  
+
   typedef typename Source_skeleton::Traits Source_traits ;
   typedef typename Target_skeleton::Traits Target_traits ;
-  
+
   typedef boost::shared_ptr<Target_skeleton> Target_skeleton_ptr ;
-  
+
   typedef typename Source_skeleton::Vertex_const_iterator   Source_vertex_const_iterator ;
   typedef typename Source_skeleton::Halfedge_const_iterator Source_halfedge_const_iterator ;
   typedef typename Source_skeleton::Face_const_iterator     Source_face_const_iterator  ;
-  
+
   typedef typename Source_skeleton::Halfedge_handle Source_halfedge_handle ;
-  
+
   typedef typename Target_skeleton::Vertex   Target_vertex ;
   typedef typename Target_skeleton::Halfedge Target_halfedge ;
   typedef typename Target_skeleton::Face     Target_face ;
-  
+
   typedef typename Target_skeleton::Vertex_handle   Target_vertex_handle ;
   typedef typename Target_skeleton::Halfedge_handle Target_halfedge_handle ;
   typedef typename Target_skeleton::Face_handle     Target_face_handle  ;
-  
+
   typedef typename Target_skeleton::Vertex_iterator   Target_vertex_iterator ;
   typedef typename Target_skeleton::Halfedge_iterator Target_halfedge_iterator ;
   typedef typename Target_skeleton::Face_iterator     Target_face_iterator  ;
@@ -111,15 +111,15 @@ struct Straight_skeleton_converter_2
   typedef typename Target_halfedge::Base      HBase ;
   typedef typename Target_vertex::Base        VBase ;
   typedef typename Target_face::Base          FBase ;
-  
+
   typedef CGAL_SS_i::Triedge<Source_halfedge_handle> Source_triedge ;
   typedef CGAL_SS_i::Triedge<Target_halfedge_handle> Target_triedge ;
-  
+
   Straight_skeleton_converter_2 ( Items_converter const& aCvt = Items_converter() )
     :
     cvt(aCvt)
   {}
-  
+
   Target_skeleton_ptr operator() ( Source_skeleton const& aSkeleton ) const
   {
     CGAL_assertion(aSkeleton.is_valid());
@@ -128,64 +128,64 @@ struct Straight_skeleton_converter_2
     CGAL_assertion(rResult->is_valid());
     return rResult ;
   }
-  
+
 private :
-  
+
   Target_skeleton_ptr create_unconnected_copy ( Source_skeleton const& aSource ) const
   {
     Target_skeleton_ptr rCopy ( new Target_skeleton ) ;
-    
+
     int lMaxVID =-1, lMaxHID = -1, lMaxFID = -1 ;
-    
+
     for ( Source_vertex_const_iterator vit = aSource.vertices_begin(); vit != aSource.vertices_end(); ++ vit )
       if ( vit->id() > lMaxVID )
         lMaxVID = vit->id();
-        
+
     for ( Source_halfedge_const_iterator hit = aSource.halfedges_begin(); hit != aSource.halfedges_end(); ++ hit )
       if ( hit->id() > lMaxHID )
         lMaxHID = hit->id();
-        
+
     for ( Source_face_const_iterator fit = aSource.faces_begin(); fit != aSource.faces_end(); ++ fit )
       if ( fit->id() > lMaxFID )
         lMaxFID = fit->id();
-    
+
     Target_vertices .clear();
     Target_halfedges.clear();
     Target_faces    .clear();
     Target_vertices .resize(lMaxVID+1);
     Target_halfedges.resize(lMaxHID+1);
     Target_faces    .resize(lMaxFID+1);
-    
+
     for ( Source_vertex_const_iterator vit = aSource.vertices_begin(); vit != aSource.vertices_end(); ++ vit )
     {
-      Target_vertex_handle tv = rCopy->SlsBase::vertices_push_back( cvt(vit) ) ; 
-       
+      Target_vertex_handle tv = rCopy->SlsBase::vertices_push_back( cvt(vit) ) ;
+
       Target_vertices.at(tv->id()) = tv ;
-    }  
-      
+    }
+
     for ( Source_halfedge_const_iterator hit = aSource.halfedges_begin(); hit != aSource.halfedges_end(); ++++ hit )
     {
       // In this loop, `hit` is incremented twice, to iterate on edges. We
       // could have used `edges_begin()` and `edges_end()` instead.
 
-      Target_halfedge_handle    th = rCopy->SlsBase::edges_push_back( cvt(hit), cvt(hit->opposite()) ) ; 
+      Target_halfedge_handle    th = rCopy->SlsBase::edges_push_back( cvt(hit), cvt(hit->opposite()) ) ;
       Target_halfedge_handle oppth = th->opposite();
-      
+
       Target_halfedges.at(   th->id()) = th ;
       Target_halfedges.at(oppth->id()) = oppth ;
-      
-    } 
-    
+
+    }
+
     for ( Source_face_const_iterator fit = aSource.faces_begin(); fit != aSource.faces_end(); ++ fit )
     {
-      Target_face_handle tf = rCopy->SlsBase::faces_push_back( cvt(fit) ) ; 
-      
+      Target_face_handle tf = rCopy->SlsBase::faces_push_back( cvt(fit) ) ;
+
       Target_faces.at(tf->id()) = tf ;
-    }  
-    
+    }
+
     return rCopy ;
   }
-  
+
   void connect_items ( Source_skeleton const& aSource, Target_skeleton& aTarget ) const
   {
     Target_vertex_iterator tvit = aTarget.vertices_begin();
@@ -193,28 +193,28 @@ private :
     {
       CGAL_assertion( handle_assigned(svit) ) ;
       CGAL_assertion( handle_assigned(svit->halfedge()) ) ;
-      
+
       Target_halfedge_handle tgt_halfedge = Target_halfedges.at(svit->halfedge()->id());
-          
+
       CGAL_assertion( handle_assigned(tgt_halfedge) ) ;
       tvit->VBase::set_halfedge(tgt_halfedge);
-      
+
       Target_halfedge_handle tgt_striedge_e0, tgt_striedge_e1, tgt_striedge_e2 ;
-      
+
       Source_triedge const& stri = svit->event_triedge() ;
-      
+
       if ( handle_assigned(stri.e0()) )
         tgt_striedge_e0 = Target_halfedges.at(stri.e0()->id());
-        
+
       if ( handle_assigned(stri.e1()) )
         tgt_striedge_e1 = Target_halfedges.at(stri.e1()->id());
-      
+
       if ( handle_assigned(stri.e2()) )
         tgt_striedge_e2 = Target_halfedges.at(stri.e2()->id());
-        
+
       tvit->VBase::set_event_triedge( Target_triedge(tgt_striedge_e0, tgt_striedge_e1, tgt_striedge_e2) ) ;
     }
-    
+
     Target_halfedge_iterator thit = aTarget.halfedges_begin();
     for ( Source_halfedge_const_iterator shit = aSource.halfedges_begin(); shit != aSource.halfedges_end(); ++ shit, ++ thit )
     {
@@ -222,75 +222,75 @@ private :
       CGAL_assertion( handle_assigned(shit->next    ()) ) ;
       CGAL_assertion( handle_assigned(shit->prev    ()) ) ;
       CGAL_assertion( handle_assigned(shit->vertex  ()) ) ;
-      
+
       Target_halfedge_handle tgt_opposite = Target_halfedges.at(shit->opposite()->id());
       Target_halfedge_handle tgt_next     = Target_halfedges.at(shit->next    ()->id());
       Target_halfedge_handle tgt_prev     = Target_halfedges.at(shit->prev    ()->id());
       Target_vertex_handle   tgt_vertex   = Target_vertices .at(shit->vertex  ()->id());
-      
+
       CGAL_assertion( handle_assigned(tgt_opposite) ) ;
       CGAL_assertion( handle_assigned(tgt_next)     ) ;
       CGAL_assertion( handle_assigned(tgt_prev)     ) ;
       CGAL_assertion( handle_assigned(tgt_vertex)   ) ;
-      
+
       thit->HBase_base::set_opposite (tgt_opposite);
       thit->HBase_base::set_next     (tgt_next);
       thit->HBase_base::set_prev     (tgt_prev);
       thit->HBase_base::set_vertex   (tgt_vertex);
-      
+
       if ( handle_assigned(shit->face()) )
       {
         Target_face_handle tgt_face = Target_faces.at(shit->face()->id());
         CGAL_assertion( handle_assigned(tgt_face) ) ;
         thit->HBase_base::set_face(tgt_face);
       }
-     }  
-    
+     }
+
     Target_face_iterator tfit = aTarget.faces_begin();
     for ( Source_face_const_iterator sfit = aSource.faces_begin(); sfit != aSource.faces_end(); ++ sfit, ++ tfit )
     {
       CGAL_assertion( handle_assigned(sfit->halfedge()) ) ;
-      
+
       Target_halfedge_handle tgt_halfedge = Target_halfedges.at(sfit->halfedge()->id());
-          
+
       CGAL_assertion( handle_assigned(tgt_halfedge) ) ;
-      
+
       tfit->FBase::set_halfedge(tgt_halfedge);
-    }  
+    }
   }
-  
+
   Items_converter const& cvt ;
-  
+
   mutable std::vector<Target_vertex_handle>   Target_vertices ;
   mutable std::vector<Target_halfedge_handle> Target_halfedges;
   mutable std::vector<Target_face_handle>     Target_faces    ;
-  
+
 } ;
 
 template<class Target_skeleton, class Source_skeleton, class Items_converter>
-boost::shared_ptr<Target_skeleton> 
+boost::shared_ptr<Target_skeleton>
 convert_straight_skeleton_2 ( Source_skeleton const& aSrc, Items_converter const& ic )
 {
   typedef Straight_skeleton_converter_2<Source_skeleton,Target_skeleton,Items_converter> Skeleton_converter ;
-  
+
   Skeleton_converter c(ic) ;
-  
+
   return c(aSrc);
-    
+
 }
 
 template<class Target_skeleton, class Source_skeleton>
-boost::shared_ptr<Target_skeleton> 
+boost::shared_ptr<Target_skeleton>
 convert_straight_skeleton_2 ( Source_skeleton const& aSrc )
 {
   typedef Straight_skeleton_items_converter_2<Source_skeleton,Target_skeleton> Items_converter ;
-  
+
   typedef Straight_skeleton_converter_2<Source_skeleton,Target_skeleton,Items_converter> Skeleton_converter ;
-  
+
   Skeleton_converter c ;
-  
+
   return c(aSrc);
-    
+
 }
 
 } // end namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Straight_skeleton_face_base_2.h 5.0.3-1/include/CGAL/Straight_skeleton_face_base_2.h
--- 5.0.2-3/include/CGAL/Straight_skeleton_face_base_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Straight_skeleton_face_base_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Straight_skeleton_face_base_2.h $
-// $Id: Straight_skeleton_face_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Straight_skeleton_face_base_2.h $
+// $Id: Straight_skeleton_face_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -25,7 +25,7 @@ class Straight_skeleton_face_base_base_2
 public:
 
   typedef Straight_skeleton_face_base_base_2<Refs> Base;
-  
+
   typedef Refs                                 HalfedgeDS;
   typedef Tag_true                             Supports_face_halfedge;
   typedef typename Refs::Vertex_handle         Vertex_handle;
@@ -40,23 +40,23 @@ public:
   Straight_skeleton_face_base_base_2() : mID(-1) {}
 
   Straight_skeleton_face_base_base_2( int aID ) : mID(aID) {}
-  
+
 public:
 
   int id() const { return mID ; }
-  
+
   Halfedge_handle       halfedge()       { return mHE; }
   Halfedge_const_handle halfedge() const { return mHE; }
-  
+
   void set_halfedge( Halfedge_handle aHE )  { mHE = aHE; }
-  
+
   void reset_id ( int aID ) { mID = aID ; }
-  
+
 private:
-  
+
   int             mID ;
   Halfedge_handle mHE;
-  
+
 };
 
 template < class Refs >
@@ -67,11 +67,11 @@ public:
   typedef typename Refs::Vertex_handle   Vertex_handle;
   typedef typename Refs::Halfedge_handle Halfedge_handle;
   typedef typename Refs::Face_handle     Face_handle;
-  
+
   typedef Straight_skeleton_face_base_base_2<Refs> Base ;
-  
+
   Straight_skeleton_face_base_2() {}
-  
+
   Straight_skeleton_face_base_2( int aID ) : Base(aID) {}
 
 private:
diff -pruN 5.0.2-3/include/CGAL/Straight_skeleton_halfedge_base_2.h 5.0.3-1/include/CGAL/Straight_skeleton_halfedge_base_2.h
--- 5.0.2-3/include/CGAL/Straight_skeleton_halfedge_base_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Straight_skeleton_halfedge_base_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Straight_skeleton_halfedge_base_2.h $
-// $Id: Straight_skeleton_halfedge_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Straight_skeleton_halfedge_base_2.h $
+// $Id: Straight_skeleton_halfedge_base_2.h 6e4eb71 2020-06-23T18:48:04+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -28,7 +28,7 @@ public:
   typedef Tag_true Supports_halfedge_prev;
   typedef Tag_true Supports_halfedge_vertex;
   typedef Tag_true Supports_halfedge_face;
-  
+
   typedef typename Refs::Vertex_handle         Vertex_handle;
   typedef typename Refs::Vertex_const_handle   Vertex_const_handle;
   typedef typename Refs::Halfedge_handle       Halfedge_handle;
@@ -37,17 +37,17 @@ public:
   typedef typename Refs::Face_const_handle     Face_const_handle;
   typedef typename Refs::Vertex                Vertex;
   typedef typename Refs::Face                  Face;
-  
+
   typedef Straight_skeleton_halfedge_base_base_2<Refs,S> Base_base ;
-  
+
   typedef S Segment_2;
-  
+
 protected:
 
   Straight_skeleton_halfedge_base_base_2() : mF(Face_handle()), mID(-1), mSlope(ZERO) {}
-  
+
   Straight_skeleton_halfedge_base_base_2( int aID ) : mF(Face_handle()), mID(aID), mSlope(ZERO) {}
-  
+
   Straight_skeleton_halfedge_base_base_2( int aID, Sign aSlope ) : mF(Face_handle()), mID(aID), mSlope(aSlope) {}
 
 public:
@@ -65,9 +65,9 @@ public:
   }
 
   bool has_null_segment() const { return this->vertex()->has_null_point() ; }
-  
+
   bool has_infinite_time() const { return this->vertex()->has_infinite_time() ; }
-  
+
   Halfedge_const_handle defining_contour_edge() const { return this->face()->halfedge() ; }
   Halfedge_handle       defining_contour_edge()       { return this->face()->halfedge() ; }
 
@@ -81,7 +81,7 @@ public:
   Vertex_const_handle   vertex  () const { return mV; }
   Face_handle           face    ()       { return mF; }
   Face_const_handle     face    () const { return mF; }
-  
+
   Sign slope() const { return mSlope ; }
 
   bool is_border() const { return mF == Face_handle();}
@@ -91,7 +91,7 @@ public:
   void set_prev    ( Halfedge_handle h) { mPrv = h; }
   void set_vertex  ( Vertex_handle   w) { mV   = w; }
   void set_face    ( Face_handle     g) { mF   = g; }
- 
+
   void set_slope( Sign aSlope ) { mSlope = aSlope ; }
 
   void reset_id ( int aID ) { mID = aID ; }
@@ -115,17 +115,15 @@ public:
   typedef typename Refs::Vertex_handle   Vertex_handle;
   typedef typename Refs::Halfedge_handle Halfedge_handle;
   typedef typename Refs::Face_handle     Face_handle;
-  
+
   typedef Straight_skeleton_halfedge_base_base_2<Refs,S> Base_base ;
-  typedef Straight_skeleton_halfedge_base_2<Refs,S>      Base ;     
-  
+  typedef Straight_skeleton_halfedge_base_2<Refs,S>      Base ;
+
   Straight_skeleton_halfedge_base_2() {}
-  
+
   Straight_skeleton_halfedge_base_2( int aID ) : Base_base(aID) {}
 
   Straight_skeleton_halfedge_base_2( int aID, Sign aSlope ) : Base_base(aID,aSlope) {}
-  
-private:
 
   void set_opposite( Halfedge_handle h )  { Base_base::opposite(h)  ; }
   void set_next    ( Halfedge_handle h )  { Base_base::set_next(h)  ; }
diff -pruN 5.0.2-3/include/CGAL/Straight_skeleton_items_2.h 5.0.3-1/include/CGAL/Straight_skeleton_items_2.h
--- 5.0.2-3/include/CGAL/Straight_skeleton_items_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Straight_skeleton_items_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Straight_skeleton_items_2.h $
-// $Id: Straight_skeleton_items_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Straight_skeleton_items_2.h $
+// $Id: Straight_skeleton_items_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
 //
 #ifndef CGAL_STRAIGHT_SKELETON_ITEMS_2_H
@@ -29,20 +29,20 @@ public:
   {
     typedef typename Traits::RT RT ;
     typedef typename Traits::Point_2 Point ;
-    typedef Straight_skeleton_vertex_base_2 < Refs, Point, RT > Vertex; 
+    typedef Straight_skeleton_vertex_base_2 < Refs, Point, RT > Vertex;
   };
-  
-  template<class Refs, class Traits> 
+
+  template<class Refs, class Traits>
   struct Halfedge_wrapper
   {
     typedef typename Traits::Segment_2 Segment ;
-    typedef Straight_skeleton_halfedge_base_2 < Refs, Segment > Halfedge; 
+    typedef Straight_skeleton_halfedge_base_2 < Refs, Segment > Halfedge;
   };
-  
-  template<class Refs, class Traits> 
-  struct Face_wrapper 
+
+  template<class Refs, class Traits>
+  struct Face_wrapper
   {
-    typedef Straight_skeleton_face_base_2 < Refs > Face; 
+    typedef Straight_skeleton_face_base_2 < Refs > Face;
   } ;
 };
 
@@ -50,4 +50,4 @@ public:
 
 #endif // CGAL_STRAIGHT_SKELETON_ITEMS_2_H //
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Straight_skeleton_vertex_base_2.h 5.0.3-1/include/CGAL/Straight_skeleton_vertex_base_2.h
--- 5.0.2-3/include/CGAL/Straight_skeleton_vertex_base_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Straight_skeleton_vertex_base_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Straight_skeleton_vertex_base_2.h $
-// $Id: Straight_skeleton_vertex_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Straight_skeleton_vertex_base_2.h $
+// $Id: Straight_skeleton_vertex_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -28,7 +28,7 @@ template < class Refs, class P, class N
 class Straight_skeleton_vertex_base_base_2
 {
   enum Flags { IsSplitBit = 0x01, HasInfiniteTimeBit = 0x02 } ;
-  
+
 protected :
 
   class Halfedge_circulator_around_vertex_access_policy
@@ -50,7 +50,7 @@ protected :
       return aImpl->mHandle->face()->halfedge();
     }
   } ;
-  
+
   template<class HalfedgeHandle, class AccessPolicy >
   class Halfedge_circulator_base
     : public boost::iterator_facade< Halfedge_circulator_base< HalfedgeHandle, AccessPolicy >
@@ -75,20 +75,20 @@ protected :
         ( Halfedge_circulator_base<OtherHalfedgeHandle,OtherAccessPolicy> const& aOther )
         : mHandle(aOther.mHandle) {}
 
-      bool operator==( std::nullptr_t p ) const 
+      bool operator==( std::nullptr_t p ) const
       {
         CGAL_USE(p);
-        CGAL_assertion( p == nullptr ); 
+        CGAL_assertion( p == nullptr );
         HalfedgeHandle null ;
         return mHandle == null ;
       }
-      
+
       bool operator!=( std::nullptr_t p ) const { return !(*this == p); }
-      
+
     private :
 
       typedef Halfedge_circulator_base<HalfedgeHandle,AccessPolicy> Self ;
-      
+
       friend class boost::iterator_core_access ;
 
       template < class OtherHalfedgeHandle, class OtherAccessPolicy >
@@ -104,25 +104,25 @@ protected :
       reference dereference() const { return AccessPolicy::access(const_cast<Self*>(this)) ; }
 
     private :
-    
+
       friend class Halfedge_circulator_around_vertex_access_policy ;
       friend class Halfedge_circulator_across_incident_faces_access_policy ;
 
       value_type mHandle ;
   } ;
-  
+
 public:
 
   typedef Straight_skeleton_vertex_base_base_2<Refs, P, N>  Base ;
-  
+
   typedef P Point_2;
   typedef N FT ;
 
   typedef Refs HalfedgeDS;
-  
+
   typedef Tag_true Supports_vertex_halfedge;
   typedef Tag_true Supports_vertex_point;
-  
+
   typedef typename Refs::Vertex_handle         Vertex_handle;
   typedef typename Refs::Vertex_const_handle   Vertex_const_handle;
   typedef typename Refs::Halfedge_handle       Halfedge_handle;
@@ -131,7 +131,7 @@ public:
   typedef typename Refs::Face_const_handle     Face_const_handle;
   typedef typename Refs::Halfedge              Halfedge;
   typedef typename Refs::Face                  Face;
-  
+
   typedef Halfedge_circulator_base< Halfedge_const_handle
                                    ,Halfedge_circulator_around_vertex_access_policy
                                   >
@@ -153,21 +153,21 @@ public:
             Defining_contour_halfedges_circulator ;
 
   typedef CGAL_SS_i::Triedge<Halfedge_handle> Triedge ;
-  
+
 public:
 
   Straight_skeleton_vertex_base_base_2() : mID(-1), mTime(0.0), mFlags(0) {}
-  
+
   // Infinite vertex
   Straight_skeleton_vertex_base_base_2 ( int aID )
     :
       mID   (aID)
-    , mP    (ORIGIN) 
+    , mP    (ORIGIN)
     , mTime ((std::numeric_limits<double>::max)())
     , mFlags(HasInfiniteTimeBit)
   {
   }
-  
+
   // Contour vertex
   Straight_skeleton_vertex_base_base_2 ( int aID, Point_2 const& aP )
     :
@@ -193,11 +193,11 @@ public:
   int id() const { return mID ; }
 
   FT time() const { return mTime ; }
-  
+
   bool has_infinite_time() const { return ( mFlags & HasInfiniteTimeBit ) == HasInfiniteTimeBit ; }
-  
+
   bool has_null_point() const { return has_infinite_time(); }
-  
+
   bool is_split() const { return ( mFlags & IsSplitBit ) == IsSplitBit ; }
 
   Halfedge_const_handle primary_bisector() const { return halfedge()->next(); }
@@ -213,7 +213,7 @@ public:
   {
     return Halfedge_around_vertex_circulator(halfedge());
   }
-  
+
   Defining_contour_halfedges_const_circulator defining_contour_halfedges_begin() const
   {
     return Defining_contour_halfedges_const_circulator(halfedge());
@@ -226,29 +226,29 @@ public:
 
 
   std::size_t degree() const { return CGAL::circulator_size(halfedge_around_vertex_begin()); }
-  
+
   bool is_skeleton() const { return  halfedge()->is_bisector() ; }
   bool is_contour () const { return !halfedge()->is_bisector() ; }
-  
+
   const Point_2& point() const { return mP; }
-  
+
   Halfedge_handle       halfedge()       { return mHE; }
   Halfedge_const_handle halfedge() const { return mHE; }
-  
+
   void set_halfedge( Halfedge_handle aHE)  { mHE = aHE; }
-    
+
   Triedge const& event_triedge() const { return mEventTriedge ; }
-  
+
   void set_event_triedge( Triedge const& aTriedge ) { mEventTriedge = aTriedge ; }
-  
-  
+
+
 public :
-  
+
   void reset_id__internal__    ( int aID ) { mID = aID ; }
   void reset_point__internal__ ( Point_2 const& aP ) { mP = aP ; }
-  
+
 private:
-  
+
   int             mID ;
   Halfedge_handle mHE;
   Triedge         mEventTriedge ;
@@ -273,25 +273,25 @@ public:
   typedef typename Refs::Face_const_handle     Face_const_handle;
   typedef typename Refs::Halfedge              Halfedge;
   typedef typename Refs::Face                  Face;
-  
+
   typedef Straight_skeleton_vertex_base_base_2<Refs,P,N> Base ;
-  
+
   typedef typename Base::Triedge Triedge ;
-  
+
   Straight_skeleton_vertex_base_2() {}
-  
+
   Straight_skeleton_vertex_base_2 ( int aID ) : Base(aID) {}
-  
+
   Straight_skeleton_vertex_base_2 ( int aID, Point_2 const& aP ) : Base(aID,aP) {}
 
   Straight_skeleton_vertex_base_2 ( int aID, Point_2 const& aP, FT aTime, bool aIsSplit, bool aHasInfiniteTime ) : Base(aID,aP,aTime,aIsSplit,aHasInfiniteTime) {}
-  
+
 private:
-    
+
   void set_halfedge     ( Halfedge_handle aHE )     { Base::set_halfedge(aHE) ; }
   void set_event_triedge( Triedge const& aTriedge ) { Base::set_event_triedge( aTriedge); }
   void reset_id         ( int aID )                 { Base::reset_id(aID) ; }
-  
+
 } ;
 
 } // end namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Stream_lines_2.h 5.0.3-1/include/CGAL/Stream_lines_2.h
--- 5.0.2-3/include/CGAL/Stream_lines_2.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Stream_lines_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_lines_2/include/CGAL/Stream_lines_2.h $
-// $Id: Stream_lines_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_lines_2/include/CGAL/Stream_lines_2.h $
+// $Id: Stream_lines_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Abdelkrim Mebarki <Abdelkrim.Mebarki@sophia.inria.fr>
 
-#ifndef CGAL_STREAM_LINES_2_H_ 
+#ifndef CGAL_STREAM_LINES_2_H_
 #define CGAL_STREAM_LINES_2_H_
 
 #include <CGAL/license/Stream_lines_2.h>
@@ -105,7 +105,7 @@ public:
   FT get_separating_distance() const
   {
     return separating_distance;
-  } 
+  }
 
   FT get_saturation_ratio() const
   {
@@ -140,7 +140,7 @@ public:
   }
       _number_of_lines = 0;
       place_stream_lines(*vf_2, *int_2,
-       samp_step);     
+       samp_step);
     }
 protected:
   void place_stream_lines(const Vector_field_2 & vector_field_2, const Integrator_2 & integrator,
@@ -155,7 +155,7 @@ protected:
   void integrate_forward(const Vector_field_2 & vector_field_2, const Integrator_2 & integrator,
        Point_container_2& stl,Point_2&  seed_point,
        Vertex_container_2& stl_vertices, const int & sampling_step);
-  void integrate_backward(const Vector_field_2 & vector_field_2,  const Integrator_2 & integrator, Point_container_2& 
+  void integrate_backward(const Vector_field_2 & vector_field_2,  const Integrator_2 & integrator, Point_container_2&
         stl, Vertex_container_2& stl_vertices, const int & sampling_step);
   void insert_streamline(const Vector_field_2 & vector_field_2, Point_container_2 stl,
        Vertex_container_2 stl_vertices);
@@ -164,7 +164,7 @@ protected:
   void make_iterator();
 public:
   Stream_lines_2(const Vector_field_2 & m_vector_field_2, const Integrator_2 & m_integrator, const FT
-     & m_separating_distance, const FT & m_saturation_ratio, const int & sampling_insertion = 0, const bool & 
+     & m_separating_distance, const FT & m_saturation_ratio, const int & sampling_insertion = 0, const bool &
      step_by_step = false);
   bool continue_next(const Vector_field_2 & vector_field_2, const Integrator_2 & integrator, const int & sampling_step);
   Stream_line_iterator_2 begin();
@@ -185,7 +185,7 @@ public:
     _list.push_front(std::pair<Point_2, Point_2>(p1, p2));
   }
       return _list;
-    } 
+    }
   std::pair<Point_2, FT> get_biggest_circle()
     {
       Pq_element m_Pq = Biggest_circle;
@@ -199,7 +199,7 @@ protected:
   FT min_y;
 protected:
   Stream_line_iterator_2 begin_iterator;
-  Stream_line_iterator_2 end_iterator;  
+  Stream_line_iterator_2 end_iterator;
 private:
   int number_of_points;
 };
@@ -255,13 +255,13 @@ void Stream_lines_2<VectorField_2, Integ
   seed_point = Point_2((max_x+min_x)/2.0,(max_y+min_y)/2.0);
   // the first chosen point can be not valid
 
-  boost::rand48 rng;               
+  boost::rand48 rng;
 
   boost::uniform_real<> ur_x(min_x, max_x);
   boost::uniform_real<> ur_y(min_y, max_y);
   boost::variate_generator<boost::rand48&, boost::uniform_real<> > die_x(rng, ur_x);
   boost::variate_generator<boost::rand48&, boost::uniform_real<> > die_y(rng, ur_y);
-  
+
   while(!vector_field_2.is_in_domain(seed_point))
     {
       // std::cout << "searching valid seed point..\n";
@@ -293,7 +293,7 @@ void Stream_lines_2<VectorField_2, Integ
     }
   make_iterator();
 }
-  
+
 template <class VectorField_2, class Integrator_2>
 bool Stream_lines_2<VectorField_2, Integrator_2>::continue_next(const Vector_field_2 & vector_field_2, const Integrator_2 & integrator, const int & sampling_step)
 {
@@ -309,7 +309,7 @@ bool Stream_lines_2<VectorField_2, Integ
 
 // get the next seed point
 template <class VectorField_2, class Integrator_2>
-void 
+void
 Stream_lines_2<VectorField_2,Integrator_2>::integrate_streamline(const Vector_field_2 & vector_field_2, const Integrator_2 & integrator, Point_container_2& stl, Point_2&
 seed_point_, Vertex_container_2& stl_vertices, const int & sampling_step)
 {
@@ -319,7 +319,7 @@ seed_point_, Vertex_container_2& stl_ver
 
 template <class VectorField_2, class Integrator_2>
 inline
-typename Stream_lines_2<VectorField_2, Integrator_2>::FT 
+typename Stream_lines_2<VectorField_2, Integrator_2>::FT
 Stream_lines_2<VectorField_2, Integrator_2>::find_smallest_circle(const Vertex_handle & pVertex_handle)
 {
   Face_circulator pFace_handle = m_DT.incident_faces(pVertex_handle);
@@ -342,8 +342,8 @@ Stream_lines_2<VectorField_2, Integrator
 }
 
 template <class VectorField_2, class Integrator_2>
-inline 
-typename Stream_lines_2<VectorField_2, Integrator_2>::Vertex_handle 
+inline
+typename Stream_lines_2<VectorField_2, Integrator_2>::Vertex_handle
 Stream_lines_2<VectorField_2, Integrator_2>::insert_point(const Point_2 & pPoint, FT& fDist,bool bDistanceCalculation)
 {
   Vertex_handle pVertex_handle = m_DT.insert(pPoint);
@@ -412,7 +412,7 @@ Stream_lines_2<VectorField_2, Integrator
       {
         if (insertion != insertion_step)
     {
-      stl.push_front(new_point); 
+      stl.push_front(new_point);
       number_of_points++;
       insertion++;
       list_of_point.push_front(new_point);
@@ -476,7 +476,7 @@ Stream_lines_2<VectorField_2, Integrator
       list_of_point.pop_front();
       m_Vertex_handle = insert_point(new_point, stl_vertices.front()->face(), dist, true);
     }
-        insertion_step =  (int) (((dist)-fSepStl_seed) / 
+        insertion_step =  (int) (((dist)-fSepStl_seed) /
                (std::max)((FT) sampling_step,vector_field_2.get_integration_step()));
         if (insertion_step < 0) insertion_step = 0;
         (bEnd) = (((bEnd))||(dist<separating_distance));
@@ -525,7 +525,7 @@ void Stream_lines_2<VectorField_2, Integ
       new_point = integrator(old_point,vector_field_2,false);
       bEnd = !vector_field_2.is_in_domain(new_point);
       FT dist_ = distance(ex_old_point,new_point);
-      bEnd = bEnd || dist_ < 0.9*vector_field_2.get_integration_step() || (new_point == old_point);/* to review */ 
+      bEnd = bEnd || dist_ < 0.9*vector_field_2.get_integration_step() || (new_point == old_point);/* to review */
       if(number_of_points > 30)
   bEnd = bEnd || ((distance(stl.front(), stl.back()))<vector_field_2.get_integration_step());
       //    bEnd = bEnd || (number_of_points > 3000);
@@ -541,7 +541,7 @@ void Stream_lines_2<VectorField_2, Integ
       {
         if (insertion != insertion_step)
     {
-      stl.push_back(new_point); 
+      stl.push_back(new_point);
       number_of_points++;
       insertion++;
       list_of_point.push_back(new_point);
@@ -566,7 +566,7 @@ void Stream_lines_2<VectorField_2, Integ
           m_Vertex_handle = insert_point(new_point, stl_vertices.back()->face(), dist,true);
         }
       // adaptive insertion order coefficient
-      insertion_step =  (int) (((dist)-fSepStl_seed) / 
+      insertion_step =  (int) (((dist)-fSepStl_seed) /
                  (std::max)((FT) sampling_step,vector_field_2.get_integration_step()));
       if (insertion_step < 0) insertion_step = 0;
       list_of_vertex.push_back(m_Vertex_handle);
@@ -608,7 +608,7 @@ void Stream_lines_2<VectorField_2, Integ
       m_Vertex_handle = insert_point(new_point, stl_vertices.back()->face(), dist, true);
     }
         // adaptive insertion order coefficient
-        insertion_step =  (int) (((dist)-fSepStl_seed) / 
+        insertion_step =  (int) (((dist)-fSepStl_seed) /
                (std::max)((FT) sampling_step,vector_field_2.get_integration_step()));
         if (insertion_step < 0) insertion_step = 0;
         //        list_of_vertex.push_front(m_Vertex_handle);
@@ -727,7 +727,7 @@ pq_elements(const Vector_field_2 & vecto
       else
         {
     Pq_next_l = m_Pq_element;
-    if (Pq_element_max_l.template get<3>().second <= Pq_next_l.template get<3>().second) 
+    if (Pq_element_max_l.template get<3>().second <= Pq_next_l.template get<3>().second)
       Pq_element_max_l = Pq_next_l;
     if ((Pq_current_l.template get<3>().second>=Pq_previous_l.template get<3>().second)
         &&(Pq_current_l.template get<3>().second>=Pq_next_l.template get<3>().second))
@@ -774,12 +774,12 @@ pq_elements(const Vector_field_2 & vecto
 
 // get the next seed point
 template <class VectorField_2, class Integrator_2>
-inline 
+inline
 bool
 Stream_lines_2<VectorField_2, Integrator_2>::get_next_seed_point(FT &
                  distance, Point_2 & seed_point_)
 {
-  Vertex_handle v0, v1, v2; 
+  Vertex_handle v0, v1, v2;
   Face_handle fr;
   bool b0,b;
   Pq_element m_Pq_element;
@@ -799,7 +799,7 @@ Stream_lines_2<VectorField_2, Integrator
   Biggest_circle = m_Pq_element;
   return b;
 }
-  
+
 template <class VectorField_2, class Integrator_2>
 typename Stream_lines_2<VectorField_2, Integrator_2>::Stream_line_iterator_2
 Stream_lines_2<VectorField_2, Integrator_2>::begin()
@@ -845,12 +845,12 @@ Stream_lines_2<VectorField_2, Integrator
   fw << "/L {moveto lineto stroke} bind def\n";
   fw << 0.5 << " setlinewidth\n";
   fw << 0.0 << " " << 0.0 << " " << 0.0 << " setrgbcolor\n";
-  
+
   for(it=stl_container_temp.begin(); it!=stl_container_temp.end(); ++it)
     {
       typename Point_container_2::iterator begin_point_iterator = (*it).begin();
       typename Point_container_2::iterator end_point_iterator = (*it).end();
-    
+
       FT i_prec = (*begin_point_iterator).x() - min_x;
       FT j_prec = (*begin_point_iterator).y() - min_y;
       begin_point_iterator++;
@@ -873,7 +873,7 @@ Stream_lines_2<VectorField_2, Integrator
 
 // output an stl file
 template <class VectorField_2, class Integrator_2>
-void 
+void
 Stream_lines_2<VectorField_2, Integrator_2>::print_stream_lines(std::ofstream & fw)
 {
   typename Stream_line_container_2::iterator it;
@@ -897,7 +897,7 @@ Stream_lines_2<VectorField_2, Integrator
 }
 
 template <class VectorField_2, class Integrator_2>
-std::list<typename Stream_lines_2<VectorField_2, Integrator_2>::Point_2> 
+std::list<typename Stream_lines_2<VectorField_2, Integrator_2>::Point_2>
 Stream_lines_2<VectorField_2, Integrator_2>::get_pq()
 {
   std::list<Point_2> _list;
diff -pruN 5.0.2-3/include/CGAL/streamlines_assertions.h 5.0.3-1/include/CGAL/streamlines_assertions.h
--- 5.0.2-3/include/CGAL/streamlines_assertions.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/streamlines_assertions.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_lines_2/include/CGAL/streamlines_assertions.h $
-// $Id: streamlines_assertions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_lines_2/include/CGAL/streamlines_assertions.h $
+// $Id: streamlines_assertions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman, Sven Schoenherr, Abdelkrim Mebarki
 //
diff -pruN 5.0.2-3/include/CGAL/structure_point_set.h 5.0.3-1/include/CGAL/structure_point_set.h
--- 5.0.2-3/include/CGAL/structure_point_set.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/structure_point_set.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/structure_point_set.h $
-// $Id: structure_point_set.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/structure_point_set.h $
+// $Id: structure_point_set.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -92,7 +92,7 @@ public:
       CREASE = 2,      ///< Structure coherent, facet adjacent to an edge
       PLANAR = 3       ///< Structure coherent, facet inside a planar section
     };
-  
+
 private:
 
   class My_point_property_map{
@@ -101,10 +101,10 @@ private:
     typedef Point value_type;
     typedef const value_type& reference;
     typedef std::size_t key_type;
-    typedef boost::lvalue_property_map_tag category;  
+    typedef boost::lvalue_property_map_tag category;
     My_point_property_map (const std::vector<Point>& pts) : points (pts) {}
     reference operator[] (key_type k) const { return points[k]; }
-    friend inline reference get (const My_point_property_map& ppmap, key_type i) 
+    friend inline reference get (const My_point_property_map& ppmap, key_type i)
     { return ppmap[i]; }
   };
 
@@ -137,18 +137,18 @@ private:
       active = true;
     }
   };
-      
+
 
   std::vector<Point> m_points;
   std::vector<Vector> m_normals;
   std::vector<std::size_t> m_indices;
   std::vector<Point_status> m_status;
-    
+
   std::vector<Plane> m_planes;
   std::vector<std::vector<std::size_t> > m_indices_of_assigned_points;
   std::vector<Edge> m_edges;
   std::vector<Corner> m_corners;
-    
+
 public:
 
 
@@ -223,7 +223,7 @@ public:
     PlaneMap plane_map = choose_parameter(get_parameter(np, internal_np::plane_map), PlaneMap());
     PlaneIndexMap index_map = choose_parameter(get_parameter(np, internal_np::plane_index_map), PlaneIndexMap());
     double attraction_factor = choose_parameter(get_parameter(np, internal_np::attraction_factor), 3.);
-    
+
     m_points.reserve(points.size());
     m_normals.reserve(points.size());
     m_indices_of_assigned_points.resize (planes.size());
@@ -305,7 +305,7 @@ public:
         m_status[f[1]] == POINT &&
         m_status[f[2]] == POINT)
       return FREEFORM;
-      
+
     // 1- PLANAR CASE
     if (m_status[f[0]] == PLANE &&
         m_status[f[1]] == PLANE &&
@@ -337,7 +337,7 @@ public:
             else
               return INCOHERENT;
           }
-          
+
         // 2- CREASE CASES
         if (sa == EDGE && sb == EDGE && sc == PLANE)
           {
@@ -373,7 +373,7 @@ public:
                      m_edges[a].planes[1] != m_edges[b].planes[0] &&
                      m_edges[a].planes[1] != m_edges[b].planes[1]))
                   return INCOHERENT;
-                  
+
                 for (std::size_t j = 0; j < m_corners[c].planes.size (); ++ j)
                   {
                     if (m_corners[c].planes[j] == m_edges[a].planes[0])
@@ -398,7 +398,7 @@ public:
                 for (std::size_t j = 0; j < m_corners[c].planes.size (); ++ j)
                   if (m_corners[c].planes[j] == a)
                     return VERTEX;
-                  
+
                 return INCOHERENT;
               }
             else if (sa == PLANE && sb == EDGE)
@@ -406,7 +406,7 @@ public:
                 bool pa = false, b0 = false, b1 = false;
                 if (a != m_edges[b].planes[0] && a != m_edges[b].planes[1])
                   return INCOHERENT;
-                  
+
                 for (std::size_t j = 0; j < m_corners[c].planes.size (); ++ j)
                   {
                     if (m_corners[c].planes[j] == a)
@@ -426,7 +426,7 @@ public:
                 bool a0 = false, a1 = false, pb = false;
                 if (b != m_edges[a].planes[0] && b != m_edges[a].planes[1])
                   return INCOHERENT;
-                  
+
                 for (std::size_t j = 0; j < m_corners[c].planes.size (); ++ j)
                   {
                     if (m_corners[c].planes[j] == b)
@@ -451,7 +451,7 @@ public:
   }
 
 
-  /// \cond SKIP_IN_MANUAL  
+  /// \cond SKIP_IN_MANUAL
 private:
 
 
@@ -461,7 +461,7 @@ private:
     std::vector<Vector> normals;
     std::vector<std::size_t> indices;
     std::vector<Point_status> status;
-      
+
     for (std::size_t i = 0; i < m_points.size (); ++ i)
       if (m_status[i] != SKIPPED)
         {
@@ -472,7 +472,7 @@ private:
             status.back () = PLANE;
           indices.push_back (m_indices[i]);
         }
-      
+
     m_points.swap (points);
     m_normals.swap (normals);
     m_indices.swap (indices);
@@ -484,28 +484,28 @@ private:
   {
     if (m_planes.empty ())
       return;
-      
+
     double radius = epsilon * attraction_factor;
 
 #ifdef CGAL_PSP3_VERBOSE
     std::cerr << "Computing planar points... " << std::endl;
 #endif
-      
+
     project_inliers ();
     resample_planes (epsilon);
-      
+
 #ifdef CGAL_PSP3_VERBOSE
     std::cerr << " -> Done" << std::endl;
     std::cerr << "Finding adjacent primitives... " << std::endl;
 #endif
-      
+
     find_pairs_of_adjacent_primitives (radius);
 
 #ifdef CGAL_PSP3_VERBOSE
     std::cerr << " -> Found " << m_edges.size () << " pair(s) of adjacent primitives." << std::endl;
     std::cerr << "Computing edges... " << std::endl;
 #endif
-      
+
     compute_edges (epsilon);
 
 #ifdef CGAL_PSP3_VERBOSE
@@ -523,7 +523,7 @@ private:
 
     std::cerr << "Computating first set of corners... " << std::endl;
 #endif
-      
+
     compute_corners (radius);
 
 #ifdef CGAL_PSP3_VERBOSE
@@ -532,7 +532,7 @@ private:
     {
       std::size_t size_before = m_points.size ();
 #endif
-        
+
       merge_corners (radius);
 
 #ifdef CGAL_PSP3_VERBOSE
@@ -541,14 +541,14 @@ private:
 
     std::cerr << "Computing corner directions... " << std::endl;
 #endif
-      
+
     compute_corner_directions (epsilon);
 
 #ifdef CGAL_PSP3_VERBOSE
     std::cerr << " -> Done" << std::endl;
     std::cerr << "Refining sampling... " << std::endl;
 #endif
-      
+
     refine_sampling (epsilon);
 
 #ifdef CGAL_PSP3_VERBOSE
@@ -556,7 +556,7 @@ private:
 
     std::cerr << "Cleaning data set... " << std::endl;
 #endif
-      
+
     clean ();
 
 #ifdef CGAL_PSP3_VERBOSE
@@ -585,7 +585,7 @@ private:
         Vector vortho = plane.orthogonal_vector();
         Vector b1 = plane.base1();
         Vector b2 = plane.base2();
-			
+
         b1 = b1 / std::sqrt (b1 * b1);
         b2 = b2 / std::sqrt (b2 * b2);
 
@@ -605,7 +605,7 @@ private:
         CGAL::Bbox_2 box_2d = CGAL::bbox_2 (points_2d.begin(), points_2d.end());
         std::size_t Nx = static_cast<std::size_t>((box_2d.xmax() - box_2d.xmin()) / grid_length) + 1;
         std::size_t Ny = static_cast<std::size_t>((box_2d.ymax() - box_2d.ymin()) / grid_length) + 1;
-          
+
         std::vector<std::vector<bool> > Mask (Nx, std::vector<bool> (Ny, false));
         std::vector<std::vector<bool> > Mask_border (Nx, std::vector<bool> (Ny, false));
         std::vector<std::vector<std::vector<std::size_t> > >
@@ -627,8 +627,8 @@ private:
                 && Mask[i-1][j] && Mask[i][j-1]
                 && Mask[i][j+1] && Mask[i+1][j] )
               Mask[i][j]=true;
-					
-        //finding mask border in 8-connexity	
+
+        //finding mask border in 8-connexity
         for (std::size_t j = 1; j < Ny - 1; ++ j)
           for (std::size_t i = 1; i < Nx - 1; ++ i)
             if( Mask[i][j] &&
@@ -637,7 +637,7 @@ private:
                   !Mask[i][j+1] || !Mask[i+1][j-1] ||
                   !Mask[i+1][j]|| !Mask[i+1][j+1] ) )
               Mask_border[i][j]=true;
-          
+
         for (std::size_t j = 0; j < Ny; ++ j)
           {
             if (Mask[0][j])
@@ -659,12 +659,12 @@ private:
           for (std::size_t i = 0; i < Nx; ++ i)
             if( point_map[i][j].size()>0)
               {
-                //inside: recenter (cell center) the first point of the cell and desactivate the others points 
+                //inside: recenter (cell center) the first point of the cell and desactivate the others points
                 if (!Mask_border[i][j] && Mask[i][j])
                   {
                     double x2pt = (i+0.5) * grid_length + box_2d.xmin();
                     double y2pt = (j+0.4) * grid_length + box_2d.ymin();
-							
+
                     if (i%2 == 1)
                       {
                         x2pt = (i+0.5) * grid_length + box_2d.xmin();
@@ -748,11 +748,11 @@ private:
           continue;
 
         Fuzzy_sphere query (i, radius, 0., tree.traits());
-          
+
         std::vector<std::size_t> neighbors;
         tree.search (std::back_inserter (neighbors), query);
 
-          
+
         for (std::size_t k = 0; k < neighbors.size(); ++ k)
           {
             std::size_t ind_k = m_indices[neighbors[k]];
@@ -775,7 +775,7 @@ private:
     for (std::size_t i = 0; i < m_edges.size(); ++ i)
       {
         const Plane& plane1 = m_planes[m_edges[i].planes[0]];
-        const Plane& plane2 = m_planes[m_edges[i].planes[1]];       
+        const Plane& plane2 = m_planes[m_edges[i].planes[1]];
 
         double angle_A = std::acos (CGAL::abs (plane1.orthogonal_vector() * plane2.orthogonal_vector()));
         double angle_B = CGAL_PI - angle_A;
@@ -800,12 +800,12 @@ private:
 #endif
             continue;
           }
-        
+
         Vector direction_p1 (0., 0., 0.);
         for (std::size_t k = 0; k < m_indices_of_assigned_points[m_edges[i].planes[0]].size(); ++ k)
           {
             std::size_t index_point = m_indices_of_assigned_points[m_edges[i].planes[0]][k];
-              
+
             const Point& point = m_points[index_point];
             Point projected = m_edges[i].support.projection (point);
             if (std::sqrt (CGAL::squared_distance (point, projected))
@@ -820,7 +820,7 @@ private:
         for (std::size_t k = 0; k < m_indices_of_assigned_points[m_edges[i].planes[1]].size(); ++ k)
           {
             std::size_t index_point = m_indices_of_assigned_points[m_edges[i].planes[1]][k];
-              
+
             const Point& point = m_points[index_point];
             Point projected = m_edges[i].support.projection (point);
             if (std::sqrt (CGAL::squared_distance (point, projected))
@@ -832,7 +832,7 @@ private:
           direction_p2 = direction_p2 / std::sqrt (direction_p2 * direction_p2);
 
         double angle = std::acos (direction_p1 * direction_p2);
-      
+
         if (direction_p1.squared_length() == 0
             || direction_p2.squared_length() == 0
             || (CGAL::abs (angle - angle_A) > 1e-2
@@ -847,7 +847,7 @@ private:
   {
     double d_DeltaEdge = std::sqrt (2.) * epsilon;
     double r_edge = d_DeltaEdge / 2.;
-      
+
     for (std::size_t i = 0; i < m_edges.size(); ++ i)
       {
         const Plane& plane1 = m_planes[m_edges[i].planes[0]];
@@ -861,7 +861,7 @@ private:
           }
 
         Vector normal = 0.5 * plane1.orthogonal_vector () + 0.5 * plane2.orthogonal_vector();
-							
+
         //find set of points close (<attraction_radius) to the edge and store in intersection_points
         std::vector<std::size_t> intersection_points;
         for (std::size_t k = 0; k < m_indices_of_assigned_points[m_edges[i].planes[0]].size(); ++ k)
@@ -893,7 +893,7 @@ private:
         Point Pmin = t0p;
         Point Pmax = t0p;
         Vector dir = line.to_vector ();
-          
+
         //compute the segment of the edge
         for (std::size_t k = 0; k < intersection_points.size(); ++ k)
           {
@@ -901,7 +901,7 @@ private:
             const Point& point = m_points[ind];
             Point projected = line.projection (point);
             double d = Vector (t0p, projected) * dir;
-                  
+
             if (d < dmin)
               {
                 dmin = d;
@@ -966,7 +966,7 @@ private:
 
                 if (CGAL::squared_distance (line, m_points[inde]) < d_DeltaEdge * d_DeltaEdge)
                   m_status[inde] = SKIPPED; // Deactive points too close (except best, see below)
-                  
+
                 double distance = CGAL::squared_distance (perfect, m_points[inde]);
                 if (distance < dist_min)
                   {
@@ -994,13 +994,13 @@ private:
             Point anchor (seg[0].x() + (seg[1].x() - seg[0].x()) * (j + 1) / double(number_of_division),
                           seg[0].y() + (seg[1].y() - seg[0].y()) * (j + 1) / double(number_of_division),
                           seg[0].z() + (seg[1].z() - seg[0].z()) * (j + 1) / double(number_of_division));
-              
-            Plane ortho = seg.supporting_line().perpendicular_plane(anchor); 
+
+            Plane ortho = seg.supporting_line().perpendicular_plane(anchor);
 
             std::vector<Point> pts1, pts2;
             //Computation of the permanent angle and directions
             for (std::size_t k = 0; k < division_tab[j].size(); ++ k)
-              { 
+              {
                 std::size_t inde = division_tab[j][k];
                 std::size_t plane = m_indices[inde];
                 if (plane == m_edges[i].planes[0])
@@ -1046,7 +1046,7 @@ private:
 #endif
               }
 
-            
+
             result = CGAL::intersection (plane2,ortho);
             if (result)
               {
@@ -1083,7 +1083,7 @@ private:
 #endif
               }
           }
-        
+
         //if not information enough (not enough edges to create
         //anchor) we unactivate the edge, else we update the angle
         //and directions
@@ -1115,7 +1115,7 @@ private:
       {
         if (plane_edge_adj[i].size () < 2)
           continue;
-          
+
         for (std::size_t j = 0; j < plane_edge_adj[i].size ()- 1; ++ j)
           for (std::size_t k = j + 1; k < plane_edge_adj[i].size (); ++ k)
             {
@@ -1131,7 +1131,7 @@ private:
 
         std::set<std::size_t>::iterator end = edge_adj[i].end();
         end --;
-          
+
         for (std::set<std::size_t>::iterator jit = edge_adj[i].begin ();
              jit != end; ++ jit)
           {
@@ -1147,7 +1147,7 @@ private:
                 std::size_t k = *kit;
                 if (k < j)
                   continue;
-                  
+
                 std::set<std::size_t> planes;
                 planes.insert (m_edges[i].planes[0]);
                 planes.insert (m_edges[i].planes[1]);
@@ -1176,7 +1176,7 @@ private:
 
         typename cpp11::result_of<typename Kernel::Intersect_3(Plane, Plane)>::type
           result = CGAL::intersection(plane1, plane2);
-        
+
         if (result)
           {
             if (const Line* l = boost::get<Line>(&*result))
@@ -1227,17 +1227,17 @@ private:
 
         // test if point is in bbox + delta
         CGAL::Bbox_3 bbox = CGAL::bbox_3 (m_points.begin (), m_points.end ());
-          
+
         double margin_x = 0.1 * (bbox.xmax() - bbox.xmin());
         double X_min = bbox.xmin() - margin_x;
-        double X_max = bbox.xmax() + margin_x; 
+        double X_max = bbox.xmax() + margin_x;
         double margin_y = 0.1 * (bbox.ymax() - bbox.ymin());
         double Y_min = bbox.ymin() - margin_y;
-        double Y_max = bbox.ymax() + margin_y; 
+        double Y_max = bbox.ymax() + margin_y;
         double margin_z = 0.1* (bbox.zmax() - bbox.zmin());
         double Z_min = bbox.zmin() - margin_z;
         double Z_max = bbox.zmax() + margin_z;
-          
+
         if ((m_corners[i].support.x() < X_min) || (m_corners[i].support.x() > X_max)
             || (m_corners[i].support.y() < Y_min) || (m_corners[i].support.y() > Y_max)
             || (m_corners[i].support.z() < Z_min) || (m_corners[i].support.z() > Z_max))
@@ -1276,7 +1276,7 @@ private:
           continue;
 
         int count_plane_number=3;
-        
+
         for (std::size_t kb = k + 1; kb < m_corners.size(); ++ kb)
           {
             if (!(m_corners[kb].active))
@@ -1289,7 +1289,7 @@ private:
 
             for (std::size_t i = 0; i < m_corners[kb].planes.size (); ++ i)
               {
-                bool testtt = true; 
+                bool testtt = true;
                 for (std::size_t l = 0; l < m_corners[k].planes.size(); ++ l)
                   if (m_corners[kb].planes[i] == m_corners[k].planes[l])
                     {
@@ -1315,7 +1315,7 @@ private:
                     m_corners[k].edges.push_back (m_corners[kb].edges[j]);
 
               }
-              
+
             //update barycenter
             m_corners[k].support = CGAL::barycenter (m_corners[k].support, count_plane_number,
                                                      m_corners[kb].support, count_new_plane);
@@ -1327,7 +1327,7 @@ private:
         for (std::size_t i = 0; i < m_corners[k].planes.size(); ++ i)
           normal = normal + (1. / (double)(m_corners[k].planes.size()))
             * m_planes[m_corners[k].planes[i]].orthogonal_vector();
-          
+
         m_points.push_back (m_corners[k].support);
         m_normals.push_back (normal);
         m_indices.push_back (k);
@@ -1342,7 +1342,7 @@ private:
         for (std::size_t ed = 0; ed < m_corners[k].edges.size(); ++ ed)
           {
             if (m_corners[k].edges[ed] < m_edges.size())
-              {  
+              {
                 const Edge& edge = m_edges[m_corners[k].edges[ed]];
 
                 Vector direction (0., 0., 0.);
@@ -1364,7 +1364,7 @@ private:
           }
       }
   }
-    
+
   void refine_sampling (double epsilon)
   {
     double d_DeltaEdge = std::sqrt (2.) * epsilon;
@@ -1373,7 +1373,7 @@ private:
       {
         if (!(m_corners[k].active))
           continue;
-          
+
         for (std::size_t ed = 0; ed < m_corners[k].edges.size(); ++ ed)
           {
             const Edge& edge = m_edges[m_corners[k].edges[ed]];
@@ -1384,7 +1384,7 @@ private:
                 if (CGAL::squared_distance (m_corners[k].support, m_points[edge.indices[i]])
                     < d_DeltaEdge * d_DeltaEdge)
                   m_status[edge.indices[i]] = SKIPPED;
-				
+
                 //if too close from a corner (non dominant side), ->remove
                 if (m_corners[k].directions[ed].squared_length() > 0
                     && (m_corners[k].directions[ed]
@@ -1393,7 +1393,7 @@ private:
                         < 4 * d_DeltaEdge * d_DeltaEdge))
                   m_status[edge.indices[i]] = SKIPPED;
               }
-              
+
           }
       }
 
@@ -1401,12 +1401,12 @@ private:
       {
         if (!(m_corners[k].active))
           continue;
-		
+
         for (std::size_t ed = 0; ed < m_corners[k].edges.size(); ++ ed)
           {
             if (m_corners[k].directions[ed].squared_length() <= 0.)
               continue;
-              
+
             Edge& edge = m_edges[m_corners[k].edges[ed]];
 
             //rajouter un edge a epsilon du cote dominant si pas de point entre SS_edge/2 et 3/2*SS_edge
@@ -1440,7 +1440,7 @@ private:
                 m_indices.push_back (m_corners[k].edges[ed]);
                 edge.indices.push_back (m_points.size() - 1);
               }
-						
+
             //rajouter un edge a 1/3 epsilon du cote dominant
             Point new_edge = m_corners[k].support + m_corners[k].directions[ed] * d_DeltaEdge / 3;
             m_points.push_back (new_edge);
@@ -1453,18 +1453,18 @@ private:
       }
 
   }
-  /// \endcond    
+  /// \endcond
 };
 
 
-  
+
 
 
 // ----------------------------------------------------------------------------
 // Public section
 // ----------------------------------------------------------------------------
 
-/** 
+/**
    \ingroup PkgPointSetProcessing3Algorithms
 
    This is an implementation of the Point Set Structuring algorithm. This
diff -pruN 5.0.2-3/include/CGAL/subdivide_skin_surface_mesh_3.h 5.0.3-1/include/CGAL/subdivide_skin_surface_mesh_3.h
--- 5.0.2-3/include/CGAL/subdivide_skin_surface_mesh_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/subdivide_skin_surface_mesh_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/subdivide_skin_surface_mesh_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/subdivide_skin_surface_mesh_3.h $
 // $Id: subdivide_skin_surface_mesh_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/subdivide_union_of_balls_mesh_3.h 5.0.3-1/include/CGAL/subdivide_union_of_balls_mesh_3.h
--- 5.0.2-3/include/CGAL/subdivide_union_of_balls_mesh_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/subdivide_union_of_balls_mesh_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/subdivide_union_of_balls_mesh_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/subdivide_union_of_balls_mesh_3.h $
 // $Id: subdivide_union_of_balls_mesh_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Subdivision_method_3/internal/Euler_extensions.h 5.0.3-1/include/CGAL/Subdivision_method_3/internal/Euler_extensions.h
--- 5.0.2-3/include/CGAL/Subdivision_method_3/internal/Euler_extensions.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Subdivision_method_3/internal/Euler_extensions.h	2020-08-01 19:02:54.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Subdivision_method_3/include/CGAL/Subdivision_method_3/internal/Euler_extensions.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Subdivision_method_3/include/CGAL/Subdivision_method_3/internal/Euler_extensions.h $
 // $Id: Euler_extensions.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Subdivision_method_3/internal/subdivision_hosts_impl_3.h 5.0.3-1/include/CGAL/Subdivision_method_3/internal/subdivision_hosts_impl_3.h
--- 5.0.2-3/include/CGAL/Subdivision_method_3/internal/subdivision_hosts_impl_3.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Subdivision_method_3/internal/subdivision_hosts_impl_3.h	2020-08-01 19:02:54.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Subdivision_method_3/include/CGAL/Subdivision_method_3/internal/subdivision_hosts_impl_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Subdivision_method_3/include/CGAL/Subdivision_method_3/internal/subdivision_hosts_impl_3.h $
 // $Id: subdivision_hosts_impl_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Subdivision_method_3/subdivision_hosts_3.h 5.0.3-1/include/CGAL/Subdivision_method_3/subdivision_hosts_3.h
--- 5.0.2-3/include/CGAL/Subdivision_method_3/subdivision_hosts_3.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Subdivision_method_3/subdivision_hosts_3.h	2020-08-01 19:02:54.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Subdivision_method_3/include/CGAL/Subdivision_method_3/subdivision_hosts_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Subdivision_method_3/include/CGAL/Subdivision_method_3/subdivision_hosts_3.h $
 // $Id: subdivision_hosts_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Subdivision_method_3/subdivision_masks_3.h 5.0.3-1/include/CGAL/Subdivision_method_3/subdivision_masks_3.h
--- 5.0.2-3/include/CGAL/Subdivision_method_3/subdivision_masks_3.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Subdivision_method_3/subdivision_masks_3.h	2020-08-01 19:02:54.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Subdivision_method_3/include/CGAL/Subdivision_method_3/subdivision_masks_3.h $
-// $Id: subdivision_masks_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Subdivision_method_3/include/CGAL/Subdivision_method_3/subdivision_masks_3.h $
+// $Id: subdivision_masks_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -340,7 +340,7 @@ public:
 
     for (size_t i = 0; i < n; i++, ++vcir) {
       Point_ref p = get(this->vpmap,target(opposite(*vcir, *(this->pmesh)), *(this->pmesh)));
-      R[0] += p[0]; 	R[1] += p[1]; 	R[2] += p[2];
+      R[0] += p[0];         R[1] += p[1];         R[2] += p[2];
     }
     if (n == 6) {
       pt = Point((10*S[0]+R[0])/16, (10*S[1]+R[1])/16, (10*S[2]+R[2])/16);
diff -pruN 5.0.2-3/include/CGAL/Subdivision_method_3/subdivision_methods_3.h 5.0.3-1/include/CGAL/Subdivision_method_3/subdivision_methods_3.h
--- 5.0.2-3/include/CGAL/Subdivision_method_3/subdivision_methods_3.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Subdivision_method_3/subdivision_methods_3.h	2020-08-01 19:02:54.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Subdivision_method_3/include/CGAL/Subdivision_method_3/subdivision_methods_3.h $
-// $Id: subdivision_methods_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Subdivision_method_3/include/CGAL/Subdivision_method_3/subdivision_methods_3.h $
+// $Id: subdivision_methods_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -92,7 +92,7 @@ CGAL_DEPRECATED_MSG("you are using the d
 void CatmullClark_subdivision(PolygonMesh& pmesh, int step) {
   PQQ(pmesh, CatmullClark_mask_3<PolygonMesh>(&pmesh, get(vertex_point,pmesh)), step);
 }
-#endif  
+#endif
 #endif
 
 /*!
@@ -147,7 +147,7 @@ CGAL_DEPRECATED_MSG("you are using the d
 void Loop_subdivision(PolygonMesh& pmesh, int step) {
   PTQ(pmesh, Loop_mask_3<PolygonMesh>(&pmesh, get(vertex_point,pmesh)) , step);
 }
-#endif  
+#endif
 #endif
 
 /*!
@@ -237,7 +237,7 @@ void DooSabin_subdivision(PolygonMesh& p
   for(unsigned int i = 0; i < step; i++)
     internal::DQQ_1step(pmesh, vpm, mask);
 }
-  
+
 template <class PolygonMesh>
 void DooSabin_subdivision(PolygonMesh& pmesh)
 {
@@ -295,7 +295,7 @@ void Sqrt3_subdivision(PolygonMesh& pmes
   for(unsigned int i = 0; i < step; i++)
     internal::Sqrt3_1step(pmesh, vpm, mask, (i%2==1));
 }
-  
+
 template <class PolygonMesh>
 void Sqrt3_subdivision(PolygonMesh& pmesh)
 {
diff -pruN 5.0.2-3/include/CGAL/subdivision_method_3.h 5.0.3-1/include/CGAL/subdivision_method_3.h
--- 5.0.2-3/include/CGAL/subdivision_method_3.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/subdivision_method_3.h	2020-08-01 19:02:54.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Subdivision_method_3/include/CGAL/subdivision_method_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Subdivision_method_3/include/CGAL/subdivision_method_3.h $
 // $Id: subdivision_method_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh/IO/3mf.h 5.0.3-1/include/CGAL/Surface_mesh/IO/3mf.h
--- 5.0.2-3/include/CGAL/Surface_mesh/IO/3mf.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh/IO/3mf.h	2020-08-01 19:02:54.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh/include/CGAL/Surface_mesh/IO/3mf.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh/include/CGAL/Surface_mesh/IO/3mf.h $
 // $Id: 3mf.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh/IO/PLY.h 5.0.3-1/include/CGAL/Surface_mesh/IO/PLY.h
--- 5.0.2-3/include/CGAL/Surface_mesh/IO/PLY.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh/IO/PLY.h	2020-08-01 19:02:54.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh/include/CGAL/Surface_mesh/IO/PLY.h $
-// $Id: PLY.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh/include/CGAL/Surface_mesh/IO/PLY.h $
+// $Id: PLY.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -68,7 +68,7 @@ private:
     std::string prefix(Edge_index) const { return "e:"; }
     std::string prefix(Halfedge_index) const { return "h:"; }
   };
-  
+
   Surface_mesh& m_mesh;
   std::vector<Vertex_index> m_map_v2v;
   bool m_use_floats;
@@ -86,7 +86,7 @@ private:
   std::vector<Abstract_ply_property_to_surface_mesh_property*> m_halfedge_properties;
 
 public:
-  
+
   Surface_mesh_filler (Surface_mesh& mesh)
     : m_mesh (mesh), m_use_floats (false), m_normals(0), m_vcolors(0), m_fcolors(0)
   { }
@@ -155,7 +155,7 @@ public:
         m_fcolor_map = m_mesh.template add_property_map<Face_index, CGAL::Color>("f:color").first;
       return true;
     }
-    
+
     return false;
   }
 
@@ -180,22 +180,22 @@ public:
     m_map_v2v.reserve(element.number_of_items());
     instantiate_properties<Vertex_index> (element, m_vertex_properties);
   }
-  
+
   void instantiate_face_properties (PLY_element& element)
   {
     instantiate_properties<Face_index> (element, m_face_properties);
   }
-  
+
   void instantiate_edge_properties (PLY_element& element)
   {
     instantiate_properties<Edge_index> (element, m_edge_properties);
   }
-  
+
   void instantiate_halfedge_properties (PLY_element& element)
   {
     instantiate_properties<Halfedge_index> (element, m_halfedge_properties);
   }
-  
+
   template <typename Simplex>
   void instantiate_properties  (PLY_element& element,
                                 std::vector<Abstract_ply_property_to_surface_mesh_property*>& properties)
@@ -206,9 +206,9 @@ public:
 
       if (has_simplex_specific_property (property, Simplex()))
         continue;
-      
+
       const std::string& name = property->name();
-      
+
       if (dynamic_cast<PLY_read_typed_number<boost::int8_t>*>(property))
       {
         properties.push_back
@@ -263,7 +263,7 @@ public:
   void process_vertex_line (PLY_element& element)
   {
     Vertex_index vi;
-    
+
     if (m_use_floats)
       process_line<float>(element, vi);
     else
@@ -284,7 +284,7 @@ public:
     Point point (x, y, z);
     vi = m_mesh.add_vertex(point);
     m_map_v2v.push_back(vi);
-    
+
     if (m_normals == 3)
     {
       element.assign (nx, "nx");
@@ -375,7 +375,7 @@ public:
                                         m_map_v2v[std::size_t(v1)]);
     if (hi == m_mesh.null_halfedge())
       return;
-    
+
     ei = m_mesh.edge (hi);
   }
 
@@ -423,7 +423,7 @@ bool fill_simplex_specific_header
   typedef typename SMesh::template Property_map<VIndex, Point> Point_map;
   typedef typename SMesh::template Property_map<VIndex, Vector> Vector_map;
   typedef typename SMesh::template Property_map<VIndex, Color> Vcolor_map;
-  
+
   if (prop == "v:connectivity" ||
       prop == "v:removed")
     return true;
@@ -445,7 +445,7 @@ bool fill_simplex_specific_header
     printers.push_back (new Property_printer<VIndex,Point_map>(sm.points()));
     return true;
   }
-      
+
   bool okay = false;
   if (prop == "v:normal")
   {
@@ -469,7 +469,7 @@ bool fill_simplex_specific_header
       return true;
     }
   }
-      
+
   if (prop == "v:color")
   {
     Vcolor_map pmap;
@@ -485,7 +485,7 @@ bool fill_simplex_specific_header
       return true;
     }
   }
-  
+
   return false;
 }
 
@@ -498,11 +498,11 @@ bool fill_simplex_specific_header
   typedef Surface_mesh<Point> SMesh;
   typedef typename SMesh::Face_index FIndex;
   typedef typename SMesh::template Property_map<FIndex, Color> Fcolor_map;
-  
+
   if (prop == "f:connectivity" ||
       prop == "f:removed")
     return true;
-      
+
   bool okay = false;
   if (prop == "f:color")
   {
@@ -596,12 +596,12 @@ void fill_header (std::ostream& os, cons
   typedef typename SMesh::template Property_map<Simplex, float> Float_map;
   typedef typename SMesh::template Property_map<Simplex, double> Double_map;
   std::vector<std::string> prop = sm.template properties<Simplex>();
-  
+
   for (std::size_t i = 0; i < prop.size(); ++ i)
   {
     if (fill_simplex_specific_header(os, sm, printers, prop[i]))
       continue;
-    
+
     // Cut the "v:" prefix
     std::string name = get_property_raw_name<Point> (prop[i], Simplex());
 
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh/IO.h 5.0.3-1/include/CGAL/Surface_mesh/IO.h
--- 5.0.2-3/include/CGAL/Surface_mesh/IO.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh/IO.h	2020-08-01 19:02:54.000000000 +0000
@@ -5,8 +5,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh/include/CGAL/Surface_mesh/IO.h $
-// $Id: IO.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh/include/CGAL/Surface_mesh/IO.h $
+// $Id: IO.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 
@@ -148,7 +148,7 @@ bool read_off_ascii(Surface_mesh<Point_3
     // properties
     typename Mesh::template Property_map<typename Mesh::Vertex_index, Normal>                 normals;
     typename Mesh::template Property_map<typename Mesh::Vertex_index, Texture_coordinate>     texcoords;
-    
+
     if (has_normals)   normals   = mesh.template add_property_map<typename Mesh::Vertex_index, Normal>("v:normal").first;
     if (has_texcoords) texcoords = mesh.template add_property_map<typename Mesh::Vertex_index, Texture_coordinate>("v:texcoord").first;
 
@@ -164,7 +164,7 @@ bool read_off_ascii(Surface_mesh<Point_3
     }while(1);
 
     // #Vertice, #Faces, #Edges
-    in >> nV >> nF >> nE; 
+    in >> nV >> nF >> nE;
     getline(in,line); // reads eol
 
     mesh.clear();
@@ -246,7 +246,7 @@ bool read_off_ascii(Surface_mesh<Point_3
 /// This function reads an `OFF` file into a `Surface_mesh`. It
 /// supports the `OFF` vertex properties normal, color, and vertex
 /// coordinates. If a property is detected in the `OFF` file, it will be
-/// read into the `mesh` as a vertex property with the name 
+/// read into the `mesh` as a vertex property with the name
 /// `"v:normal"`, `"v:color"`, and `"v:texcoord"`, respectivly.
 ///
 /// @param mesh The mesh that should contain the file contents.
@@ -314,7 +314,7 @@ bool read_off(Surface_mesh<K>& mesh, con
 ///
 /// @returns `true`, if reading succeeded, `false` otherwise
 ///
-#endif 
+#endif
 template <typename K>
 bool write_off(const Surface_mesh<K>& mesh, const std::string& filename)
 {
@@ -340,7 +340,7 @@ bool write_off(const Surface_mesh<K>& me
 ///
 /// @return `true`, if reading succeeded, `false` otherwise
 ///
-#endif 
+#endif
 template <typename K>
 bool read_mesh(Surface_mesh<K>& mesh, const std::string& filename) {
       // clear mesh before reading from file
@@ -376,7 +376,7 @@ bool read_mesh(Surface_mesh<K>& mesh, co
 ///
 #endif
 template <typename K>
-bool write_mesh(const Surface_mesh<K>& mesh, const std::string& filename) 
+bool write_mesh(const Surface_mesh<K>& mesh, const std::string& filename)
 {
       // extract file extension
     std::string::size_type dot(filename.rfind("."));
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh/Properties.h 5.0.3-1/include/CGAL/Surface_mesh/Properties.h
--- 5.0.2-3/include/CGAL/Surface_mesh/Properties.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh/Properties.h	2020-08-01 19:02:54.000000000 +0000
@@ -5,8 +5,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh/include/CGAL/Surface_mesh/Properties.h $
-// $Id: Properties.h 76fe174 2020-01-29T16:29:47+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh/include/CGAL/Surface_mesh/Properties.h $
+// $Id: Properties.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 
@@ -137,7 +137,7 @@ public: // virtual interface of Base_pro
       if(pa != nullptr){
         std::copy((*pa).data_.begin(), (*pa).data_.end(), data_.end()-(*pa).data_.size());
         return true;
-      } 
+      }
       return false;
     }
 
@@ -222,7 +222,7 @@ private:
 
 template<typename, typename>
 class Property_container;
-/// @endcond 
+/// @endcond
 
 
 
@@ -292,7 +292,7 @@ public:
         parrays_.back()->resize(size_);
       }
     }
-  
+
     // Transfer one element with all properties
     // WARNING: properties must be the same in the two containers
     bool transfer(const Property_container& _rhs, std::size_t from, std::size_t to)
@@ -327,7 +327,7 @@ public:
       typedef typename Ref_class::template Get_property_map<Key, T>::type type;
     };
 
-    template <class T> 
+    template <class T>
     std::pair<typename Get_pmap_type<T>::type, bool>
     get(const std::string& name, std::size_t i) const
     {
@@ -366,7 +366,7 @@ public:
 
 
     // get a property by its name. returns invalid property if it does not exist.
-    template <class T> 
+    template <class T>
     std::pair<typename Get_pmap_type<T>::type, bool>
     get(const std::string& name) const
     {
@@ -395,7 +395,7 @@ public:
 
 
     // get the type of property by its name. returns typeid(void) if it does not exist.
-    const std::type_info& 
+    const std::type_info&
     get_type(const std::string& name) const
     {
         for (std::size_t i=0; i<parrays_.size(); ++i)
@@ -406,7 +406,7 @@ public:
 
 
     // delete a property
-    template <class T> 
+    template <class T>
     bool
     remove(typename Get_pmap_type<T>::type& h)
     {
@@ -440,7 +440,7 @@ public:
     {
         for (std::size_t i=0; i<parrays_.size(); ++i)
             parrays_[i]->reserve(n);
-        capacity_ = std::max(n, capacity_);
+        capacity_ = (std::max)(n, capacity_);
     }
 
     // resize all arrays to size n
@@ -465,7 +465,7 @@ public:
         for (std::size_t i=0; i<parrays_.size(); ++i)
             parrays_[i]->push_back();
         ++size_;
-        capacity_ = (std::max(size_, capacity_));
+        capacity_ = ((std::max)(size_, capacity_));
     }
 
     // reset element to its default property values
@@ -487,7 +487,7 @@ public:
     {
       this->parrays_.swap (other.parrays_);
     }
-  
+
 private:
     std::vector<Base_property_array*>  parrays_;
     size_t  size_;
@@ -497,11 +497,11 @@ private:
   /// @endcond
 
 #ifndef DOXYGEN_RUNNING
-/// 
 ///
-/// `Property_map` enables to attach properties to the simplices of a 
+///
+/// `Property_map` enables to attach properties to the simplices of a
 ///  surface mesh.
-/// 
+///
 /// @tparam Key The key type of the property map. It must be a model of `Index`.
 /// @tparam Value The value type of the property.
 ///
@@ -510,7 +510,7 @@ private:
 template <class I, class T, class CRTP_derived_class>
 class Property_map_base
 /// @cond CGAL_DOCUMENT_INTERNALS
-  : public boost::put_get_helper< 
+  : public boost::put_get_helper<
            typename Property_array<T>::reference,
            CRTP_derived_class>
 /// @endcond
@@ -528,7 +528,7 @@ public:
     typedef typename Property_array<T>::const_reference const_reference;
     typedef typename Property_array<T>::iterator iterator;
     typedef typename Property_array<T>::const_iterator const_iterator;
-#else 
+#else
     /// A reference to the value type of the property.
   typedef unspecified_type reference;
 
@@ -549,14 +549,14 @@ public:
     {
         parray_ = nullptr;
     }
-  /// @endcond 
+  /// @endcond
 
 public:
     /// \name Accessing Properties
     //@{
 #ifdef DOXYGEN_RUNNING
     /// Conversion to a Boolean. It is \c true when the property map
-    /// can be used, and \c false otherwise.  
+    /// can be used, and \c false otherwise.
   operator bool () const;
 #else
     operator bool_type() const {
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh/Surface_mesh_fwd.h 5.0.3-1/include/CGAL/Surface_mesh/Surface_mesh_fwd.h
--- 5.0.2-3/include/CGAL/Surface_mesh/Surface_mesh_fwd.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh/Surface_mesh_fwd.h	2020-08-01 19:02:22.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/Surface_mesh/Surface_mesh_fwd.h $
-// $Id: Surface_mesh_fwd.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/Surface_mesh/Surface_mesh_fwd.h $
+// $Id: Surface_mesh_fwd.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 
@@ -20,7 +20,7 @@ namespace CGAL {
 template<typename K>
 class Surface_mesh;
 
-  
+
 } // CGAL
 #endif
 
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh/Surface_mesh.h 5.0.3-1/include/CGAL/Surface_mesh/Surface_mesh.h
--- 5.0.2-3/include/CGAL/Surface_mesh/Surface_mesh.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh/Surface_mesh.h	2020-08-01 19:02:54.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh/include/CGAL/Surface_mesh/Surface_mesh.h $
-// $Id: Surface_mesh.h 61453c6 2020-02-14T14:46:35+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh/include/CGAL/Surface_mesh/Surface_mesh.h $
+// $Id: Surface_mesh.h fa1c724 2020-06-23T12:55:31+01:00 Andreas Fabri
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 
@@ -52,7 +52,7 @@ namespace CGAL {
 
 
 #ifndef DOXYGEN_RUNNING
-    /// Base class for vertex, halfedge, edge, and face index. 
+    /// Base class for vertex, halfedge, edge, and face index.
     ///
     /// \attention Note that `Index` is not a model of the concept `Handle`,
     /// because it cannot be dereferenced.
@@ -64,18 +64,18 @@ namespace CGAL {
     typedef boost::uint32_t size_type;
         /// Constructor. %Default construction creates an invalid index.
         /// We write -1, which is <a href="https://en.cppreference.com/w/cpp/types/numeric_limits">
-        /// <tt>std::numeric_limits<size_type>::max()</tt></a>
-        /// as `size_type` is an unsigned type. 
+        /// <tt>(std::numeric_limits<size_type>::max)()</tt></a>
+        /// as `size_type` is an unsigned type.
         explicit SM_Index(size_type _idx=(std::numeric_limits<size_type>::max)()) : idx_(_idx) {}
 
         /// Get the underlying index of this index
         operator size_type() const { return idx_; }
 
-        /// reset index to be invalid (index=std::numeric_limits<size_type>::max())
+        /// reset index to be invalid (index=(std::numeric_limits<size_type>::max)())
         void reset() { idx_=(std::numeric_limits<size_type>::max)(); }
 
-        /// return whether the index is valid, i.e., the index is not equal to `%std::numeric_limits<size_type>::max()`.
-        bool is_valid() const { 
+        /// return whether the index is valid, i.e., the index is not equal to `%(std::numeric_limits<size_type>::max)()`.
+        bool is_valid() const {
           size_type inf = (std::numeric_limits<size_type>::max)();
           return idx_ != inf;
         }
@@ -119,7 +119,7 @@ namespace CGAL {
         SM_Index operator--(int) { SM_Index tmp(*this); --idx_; return tmp; }
 
         SM_Index operator+=(std::ptrdiff_t n) { idx_ = size_type(std::ptrdiff_t(idx_) + n); return *this; }
-      
+
     private:
         size_type idx_;
     };
@@ -132,7 +132,7 @@ namespace CGAL {
   }
 
     // Implementation for Surface_mesh::Vertex_index
- 
+
     class SM_Vertex_index
  : public SM_Index<SM_Vertex_index>
     {
@@ -212,10 +212,10 @@ namespace CGAL {
         // compatibility with OpenMesh handles
         size_type idx() const { return (size_type)halfedge_ / 2; }
 
-        // resets index to be invalid (index=std::numeric_limits<size_type>::max())
+        // resets index to be invalid (index=(std::numeric_limits<size_type>::max)())
         void reset() { halfedge_.reset(); }
 
-        // returns whether the index is valid, i.e., the index is not equal to std::numeric_limits<size_type>::max().
+        // returns whether the index is valid, i.e., the index is not equal to (std::numeric_limits<size_type>::max)().
         bool is_valid() const { return halfedge_.is_valid(); }
 
         // Are two indices equal?
@@ -268,14 +268,14 @@ namespace CGAL {
   /// \ingroup PkgSurface_mesh
   /// This class is a data structure that can be used as halfedge data structure or polyhedral
   /// surface. It is an alternative to the classes `HalfedgeDS` and `Polyhedron_3`
-  /// defined in the packages  \ref PkgHalfedgeDS and \ref PkgPolyhedron. 
+  /// defined in the packages  \ref PkgHalfedgeDS and \ref PkgPolyhedron.
   /// The main difference is that it is indexed based and not pointer based,
   /// and that the mechanism for adding information to vertices, halfedges, edges,
   /// and faces is much simpler and done at runtime and not at compile time.
   /// When elements are removed, they are only marked as removed, and a garbage
-  /// collection function must be called to really remove them. 
+  /// collection function must be called to really remove them.
   /// @tparam P The type of the \em point property of a vertex. There is no requirement on `P`,
-  ///         besides being default constructible and assignable. 
+  ///         besides being default constructible and assignable.
   ///         In typical use cases it will be a 2D or 3D point type.
   /// \cgalModels `MutableFaceGraph` and `FaceListGraph`
   ///
@@ -419,7 +419,7 @@ public:
   typedef SM_Edge_index Edge_index;
 #endif
 
- 
+
     ///@}
 private: //-------------------------------------------------- connectivity types
 
@@ -485,7 +485,7 @@ private: //-----------------------------
             if(mesh_->has_garbage())
               while ( mesh_->has_valid_index(hnd_) && mesh_->is_removed(hnd_)) ++hnd_;
         }
-  
+
         void decrement()
         {
             --hnd_;
@@ -497,7 +497,7 @@ private: //-----------------------------
         void advance(std::ptrdiff_t n)
         {
             CGAL_assertion(mesh_ != nullptr);
-            
+
             if (mesh_->has_garbage())
             {
               if (n > 0)
@@ -516,7 +516,7 @@ private: //-----------------------------
             if (mesh_->has_garbage())
             {
               bool forward = (other.hnd_ > hnd_);
-              
+
               std::ptrdiff_t out = 0;
               Index_iterator it = *this;
               while (!it.equal(other))
@@ -538,7 +538,7 @@ private: //-----------------------------
             // else
             return std::ptrdiff_t(other.hnd_) - std::ptrdiff_t(this->hnd_);
         }
-      
+
         bool equal(const Index_iterator& other) const
         {
             return this->hnd_ == other.hnd_;
@@ -553,7 +553,7 @@ private: //-----------------------------
 public:
     /// \name Range Types
     ///
-    /// Each range `R` in this section has a nested type `R::iterator`, 
+    /// Each range `R` in this section has a nested type `R::iterator`,
     /// is convertible to `std:pair<R::iterator,R::iterator>`, so that one can use `boost::tie()`,
     /// and can be used with `BOOST_FOREACH()`, as well as with the C++11 range based for-loop.
 
@@ -619,7 +619,7 @@ public:
    typedef Iterator_range<Face_iterator> Face_range;
 #endif
 
-#ifndef DOXYGEN_RUNNING 
+#ifndef DOXYGEN_RUNNING
 
   typedef CGAL::Vertex_around_target_iterator<Surface_mesh> Vertex_around_target_iterator;
   typedef Iterator_range<Vertex_around_target_iterator> Vertex_around_target_range;
@@ -765,19 +765,19 @@ public:
     ///@}
 
 
-public: 
+public:
 
 #ifndef DOXYGEN_RUNNING
     /// \name Circulator Types
     ///
     /// The following circulators enable to iterate through the elements around a face or vertex.
-    /// As explained in the \ref SurfaceMeshOrientation "User Manual", we can speak of a  
+    /// As explained in the \ref SurfaceMeshOrientation "User Manual", we can speak of a
     /// *clockwise* or *counterclockwise*
-    /// traversal, by looking at the surface from the right side.  
+    /// traversal, by looking at the surface from the right side.
     ///@{
 
-    /// \brief This class circulates clockwise through all 
-    /// one-ring neighbors of a vertex. 
+    /// \brief This class circulates clockwise through all
+    /// one-ring neighbors of a vertex.
     ///  A model of `BidirectionalCirculator` with value type `Vertex_index`.
     /// \sa `Halfedge_around_target_circulator`, `Face_around_target_circulator`
 
@@ -818,7 +818,7 @@ public:
 
    /// \brief This class circulates counterclockwise through all faces around a face.
    ///  A model of `BidirectionalCirculator` with value type `Face_index`.
-   ///  Note that the face index is the same after `operator++`, if the neighboring faces share 
+   ///  Note that the face index is the same after `operator++`, if the neighboring faces share
    ///  several halfedges.
 
   typedef  CGAL::Face_around_face_circulator<Surface_mesh> Face_around_face_circulator;
@@ -841,7 +841,7 @@ public:
   typedef CGAL::Out_edge_iterator<Self>     out_edge_iterator;
 
   typedef boost::undirected_tag             directed_category;
-  typedef boost::disallow_parallel_edge_tag edge_parallel_category; 
+  typedef boost::disallow_parallel_edge_tag edge_parallel_category;
 
   struct traversal_category : public virtual boost::bidirectional_graph_tag,
                               public virtual boost::vertex_list_graph_tag,
@@ -901,7 +901,7 @@ public:
     /// adds a new vertex, resizes vertex properties if necessary,
     /// and sets the \em point property to `p`.
     /// \note Several vertices may have the same point property.
-    Vertex_index add_vertex(const Point& p) 
+    Vertex_index add_vertex(const Point& p)
     {
         Vertex_index v = add_vertex();
         vpoint_[v] = p;
@@ -971,7 +971,7 @@ public:
 
     /// if possible, adds a new face with vertices from a range with value type `Vertex_index`.
     /// The function adds halfedges between successive vertices if they are not yet indicent to halfedges,
-    /// or updates the connectivity of halfedges already in place. 
+    /// or updates the connectivity of halfedges already in place.
     /// Resizes halfedge, edge, and face properties if necessary.
     /// \returns the face index of the added face, or `Surface_mesh::null_face()` if the face could not be added.
     template <typename Range>
@@ -982,7 +982,7 @@ public:
     /// \returns the face index of the added face, or `Surface_mesh::null_face()` if the face could not be added.
     Face_index add_face(Vertex_index v0, Vertex_index v1, Vertex_index v2)
     {
-        boost::array<Vertex_index, 3> 
+        boost::array<Vertex_index, 3>
             v = {{v0, v1, v2}};
         return add_face(v);
     }
@@ -991,7 +991,7 @@ public:
     /// \returns the face index of the added face, or `Surface_mesh::null_face()` if the face could not be added.
     Face_index add_face(Vertex_index v0, Vertex_index v1, Vertex_index v2, Vertex_index v3)
     {
-        boost::array<Vertex_index, 4> 
+        boost::array<Vertex_index, 4>
             v = {{v0, v1, v2, v3}};
         return add_face(v);
     }
@@ -999,8 +999,8 @@ public:
     ///@}
 
 
- 
-    /// \name Low-Level Removal Functions 
+
+    /// \name Low-Level Removal Functions
     ///
     /// Although the elements are only marked as removed
     /// their connectivity and properties should not be used.
@@ -1008,7 +1008,7 @@ public:
     /// \warning Functions in this group do not adjust any of
     /// connected elements and usually leave the surface mesh in an
     /// invalid state.
-    /// 
+    ///
     ///
     /// @{
 
@@ -1055,7 +1055,7 @@ public:
   {
     return num_vertices() - number_of_removed_vertices();
   }
- 
+
   /// returns the number of halfedges in the mesh.
   size_type number_of_halfedges() const
   {
@@ -1085,7 +1085,7 @@ public:
     /// removes all vertices, halfedge, edges and faces. Collects garbage and clears all properties.
     void clear();
 
- 
+
     /// reserves space for vertices, halfedges, edges, faces, and their currently
     /// associated properties.
     void reserve(size_type nvertices,
@@ -1107,7 +1107,7 @@ public:
         eprops_.resize(nedges);
         fprops_.resize(nfaces);
     }
-  
+
   bool join(const Surface_mesh& other)
   {
     // increase capacity
@@ -1167,7 +1167,7 @@ public:
       // append the vertex free linked list of `this` to the copy of `other`
       vconn_[vi].halfedge_ = Halfedge_index(vertices_freelist_);
       // update the begin of the vertex free linked list
-      vertices_freelist_ = nv + other.vertices_freelist_; 
+      vertices_freelist_ = nv + other.vertices_freelist_;
     }
     // merge face free list
     if(other.faces_freelist_ != inf_value){
@@ -1182,7 +1182,7 @@ public:
       // append the face free linked list of `this` to the copy of `other`
       fconn_[fi].halfedge_ = Halfedge_index(faces_freelist_);
       // update the begin of the face free linked list
-      faces_freelist_ = nf + other.faces_freelist_; 
+      faces_freelist_ = nf + other.faces_freelist_;
     }
     // merge edge free list
     if(other.edges_freelist_ != inf_value){
@@ -1194,7 +1194,7 @@ public:
       // append the halfedge free linked list of `this` to the copy of `other`
       hconn_[hi].next_halfedge_ = Halfedge_index(edges_freelist_);
       // update the begin of the halfedge free linked list
-      edges_freelist_ = nh + other.edges_freelist_; 
+      edges_freelist_ = nh + other.edges_freelist_;
     }
     // update garbage infos
     garbage_ = garbage_ || other.garbage_;
@@ -1206,22 +1206,22 @@ public:
 
     ///@}
 
-    
+
     /// \name Garbage Collection
     ///
     /// While removing elements only marks them as removed
     /// garbage collection really removes them.
-    /// The API in this section allows to check whether 
+    /// The API in this section allows to check whether
     /// an element is removed, to get the number of
     /// removed elements, and to collect garbage.
     /// The number of elements together with the number of  removed elements is
     /// an upperbound on the index, and is needed
-    /// by algorithms that temporarily store a 
+    /// by algorithms that temporarily store a
     /// property in a vector of the appropriate size.
     /// Note however that by garbage collecting elements get new indices.
     /// In case you store indices in an auxiliary data structure
-    /// or in a property these indices are potentially no longer 
-    /// refering to the right elements. 
+    /// or in a property these indices are potentially no longer
+    /// refering to the right elements.
 
 
     ///@{
@@ -1287,10 +1287,10 @@ public:
     /// \sa `has_garbage()`
     /// \attention By garbage collecting elements get new indices.
     /// In case you store indices in an auxiliary data structure
-    /// or in a property these indices are potentially no longer 
-    /// refering to the right elements. 
+    /// or in a property these indices are potentially no longer
+    /// refering to the right elements.
     void collect_garbage();
-    
+
     //undocumented convenience fucntion that allows to get old-index->new-index information
     template <typename Visitor>
     void collect_garbage(Visitor& visitor);
@@ -1325,7 +1325,7 @@ public:
     bool has_valid_index(Vertex_index v) const
     {
       return ((size_type)v < num_vertices());
-    } 
+    }
 
     /// returns whether the index of halfedge `h` is valid, that is within the current array bounds.
     bool has_valid_index(Halfedge_index h) const
@@ -1345,11 +1345,11 @@ public:
 
     /// @}
     /// @endcond
-    
+
     /// \name Validity Checks
     ///
     /// Functions in this group perform checks for structural
-    /// consistency of a complete surface mesh, or an individual element. 
+    /// consistency of a complete surface mesh, or an individual element.
     /// They are expensive and should only be used in debug configurations.
 
     ///@{
@@ -1360,7 +1360,7 @@ public:
     {
         bool valid = true;
         size_type vcount = 0, hcount = 0, fcount = 0;
-        for(Halfedge_iterator it = halfedges_begin(); it != halfedges_end(); ++it) { 
+        for(Halfedge_iterator it = halfedges_begin(); it != halfedges_end(); ++it) {
             ++hcount;
             valid = valid && next(*it).is_valid();
             valid = valid && opposite(*it).is_valid();
@@ -1422,7 +1422,7 @@ public:
         for(Face_iterator it = faces_begin(); it != faces_end(); ++it) {
           ++fcount;
         }
-        
+
         valid = valid && (vcount == number_of_vertices());
         if(!valid && verbose){
           std::cerr << "#vertices: iterated: " << vcount << " vs number_of_vertices(): " << number_of_vertices()<< std::endl;
@@ -1519,7 +1519,7 @@ public:
     }
 
 
-    /// performs a validity check on a single ede.
+    /// performs a validity check on a single edge.
     bool is_valid(Edge_index e) const {
       Halfedge_index h = halfedge(e);
       return is_valid(h) && is_valid(opposite(h));
@@ -1648,7 +1648,7 @@ public:
         return target(opposite(h));
     }
 
-    /// returns `opposite(next(h))`, that is the next halfedge \ref SurfaceMeshOrientation 
+    /// returns `opposite(next(h))`, that is the next halfedge \ref SurfaceMeshOrientation
     /// "clockwise" around the target vertex of `h`.
     Halfedge_index next_around_target(Halfedge_index h) const
     {
@@ -1662,7 +1662,7 @@ public:
         return prev(opposite(h));
     }
 
-    /// returns `next(opposite(h))`, that is the next halfedge \ref SurfaceMeshOrientation 
+    /// returns `next(opposite(h))`, that is the next halfedge \ref SurfaceMeshOrientation
     /// "clockwise" around the source vertex of `h`.
     Halfedge_index next_around_source(Halfedge_index h) const
     {
@@ -1734,14 +1734,14 @@ public:
     /// if it is incident to a `null_face()`.  A vertex is on a border
     /// if it is isolated or incident to a border halfedge. While for a halfedge and
     /// edge this is a constant time operation, for a vertex it means
-    /// to look at all incident halfedges.  If algorithms operating on a 
+    /// to look at all incident halfedges.  If algorithms operating on a
     /// surface mesh maintain that the halfedge associated to a border vertex is
-    /// a border halfedge, this is a constant time operation too.  
-    /// This section provides functions to check if an element is on a 
+    /// a border halfedge, this is a constant time operation too.
+    /// This section provides functions to check if an element is on a
     /// border and to change the halfedge associated to a border vertex.
     ///@{
 
-    /// returns whether `v` is a border vertex. 
+    /// returns whether `v` is a border vertex.
     /// \cgalAdvancedBegin
     /// With the default value for
     /// `check_all_incident_halfedges` the function iteratates over the incident halfedges.
@@ -1775,7 +1775,7 @@ public:
     }
 
 
-    /// returns whether `e` is a border edge, i.e., if any 
+    /// returns whether `e` is a border edge, i.e., if any
     /// of its two halfedges is a border halfedge.
     bool is_border(Edge_index e) const
     {
@@ -1799,7 +1799,7 @@ public:
     return false;
   }
 
-  /// applies `set_vertex_halfedge_to_border_halfedge(Vertex_index)` on all vertices 
+  /// applies `set_vertex_halfedge_to_border_halfedge(Vertex_index)` on all vertices
   /// around the face associated to `h`.
   void set_vertex_halfedge_to_border_halfedge(Halfedge_index h)
   {
@@ -1816,7 +1816,7 @@ public:
     }
   }
 
-  /// applies `set_vertex_halfedge_to_border_halfedge(Vertex_index)` on all vertices 
+  /// applies `set_vertex_halfedge_to_border_halfedge(Vertex_index)` on all vertices
   /// of the surface mesh.
   void set_vertex_halfedge_to_border_halfedge()
   {
@@ -1879,13 +1879,13 @@ private: //-----------------------------
   };
 
     public:
- 
+
 
  /*! \name Property Handling
 
  A `Properties::Property_map<I,T>` allows to associate properties of type `T` to a vertex, halfdge, edge, or face index type I.
  Properties can be added, and looked up with a string, and they can be removed at runtime.
- The \em point property of type `P` is associated to the string "v:point". 
+ The \em point property of type `P` is associated to the string "v:point".
 
     */
     ///@{
@@ -1902,11 +1902,11 @@ private: //-----------------------------
 #endif
 
     /// adds a property map named `name` with value type `T` and default `t`
-    /// for index type `I`. Returns the property map together with a Boolean 
+    /// for index type `I`. Returns the property map together with a Boolean
     /// that is `true` if a new map was created. In case it already exists
     /// the existing map together with `false` is returned.
 
-  
+
     template<class I, class T>
     std::pair<Property_map<I, T>, bool>
     add_property_map(std::string name=std::string(), const T t=T()) {
@@ -1917,9 +1917,9 @@ private: //-----------------------------
       }
       return Property_selector<I>(this)().template add<T>(name, t);
     }
- 
-    /// returns a property map named `name` with key type `I` and value type `T`, 
-    /// and a Boolean that is `true` if the property exists. 
+
+    /// returns a property map named `name` with key type `I` and value type `T`,
+    /// and a Boolean that is `true` if the property exists.
     /// In case it does not exist the Boolean is `false` and the behavior of
     /// the property map is undefined.
     template <class I, class T>
@@ -1942,7 +1942,7 @@ private: //-----------------------------
     /// property identified by `name`.  `typeid(void)` if `name`
     /// does not identify any property.
     ///
-    /// @tparam I The key type of the property. 
+    /// @tparam I The key type of the property.
 
     template<class I>
     const std::type_info& property_type(const std::string& name)
@@ -1976,7 +1976,7 @@ private: //-----------------------------
 
     /// @cond CGAL_DOCUMENT_INTERNALS
     /// prints property statistics to the stream `out`. The output is human-readable but
-    /// not machine-friendly.  
+    /// not machine-friendly.
     ///
     void property_stats(std::ostream& out = std::cout) const;
     /// @endcond
@@ -2014,18 +2014,18 @@ private: //-----------------------------
   {
     return Vertex_index(vertices_freelist_);
   }
-  
+
   Face_index face_freelist() const
   {
     return Face_index(faces_freelist_);
   }
-  
+
   Edge_index edge_freelist() const
   {
     return Edge_index(edges_freelist_>>1);
   }
 #endif
-  
+
 private: //--------------------------------------------------- helper functions
 
 
@@ -2067,12 +2067,12 @@ private: //-----------------------------
    */
 
   /// \relates Surface_mesh
-  /// Inserts `other` into `sm`. 
+  /// Inserts `other` into `sm`.
   /// Shifts the indices of vertices of `other` by `sm.number_of_vertices() + sm.number_of_removed_vertices()`
   /// and analoguously for halfedges, edges, and faces.
-  /// Copies entries of all property maps which have the same name in `sm` and `other`. 
+  /// Copies entries of all property maps which have the same name in `sm` and `other`.
   /// that is, property maps which are only in `other` are ignored.
-  /// Also copies elements which are marked as removed, and concatenates the freelists of `sm` and `other`. 
+  /// Also copies elements which are marked as removed, and concatenates the freelists of `sm` and `other`.
 
   template <typename P>
   Surface_mesh<P>& operator+=(Surface_mesh<P>& sm, const Surface_mesh<P>& other)
@@ -2083,14 +2083,14 @@ private: //-----------------------------
 
 
   /// \relates Surface_mesh
-  /// Inserts the surface mesh in an output stream in Ascii OFF format. 
+  /// Inserts the surface mesh in an output stream in Ascii OFF format.
   /// Only the \em point property is inserted in the stream.
-  /// If an alternative vertex_point map is given through `np`, 
+  /// If an alternative vertex_point map is given through `np`,
   /// then it  will be used instead of the default one.
   /// \pre `operator<<(std::ostream&,const P&)` must be defined.
-  /// \note The <A HREF="https://en.cppreference.com/w/cpp/io/ios_base/precision">`precision()`</A> 
+  /// \note The <A HREF="https://en.cppreference.com/w/cpp/io/ios_base/precision">`precision()`</A>
   ///       of the output stream might not be sufficient depending on the data to be written.
-   
+
   template <typename P, typename NamedParameters>
   bool write_off(std::ostream& os, const Surface_mesh<P>& sm, const NamedParameters& np) {
     typedef Surface_mesh<P> Mesh;
@@ -2150,7 +2150,7 @@ private: //-----------------------------
     return write_off(os, sm, CGAL::parameters::all_default());
   }
   /// \relates Surface_mesh
-  /// 
+  ///
   /// This operator calls `write_off(std::ostream& os, const CGAL::Surface_mesh& sm)`.
    template <typename P>
   std::ostream& operator<<(std::ostream& os, const Surface_mesh<P>& sm)
@@ -2197,18 +2197,18 @@ private: //-----------------------------
           os << "comment " << line << std::endl;
       }
     }
-  
+
     os << "element vertex " << sm.number_of_vertices() << std::endl;
 
     std::vector<internal::PLY::Abstract_property_printer<VIndex>*> vprinters;
     internal::PLY::fill_header (os, sm, vprinters);
-    
+
     os << "element face " << sm.number_of_faces() << std::endl;
     os << "property list uchar int vertex_indices" << std::endl;
     std::vector<internal::PLY::Abstract_property_printer<FIndex>*> fprinters;
     internal::PLY::fill_header (os, sm, fprinters);
 
-    
+
     std::vector<internal::PLY::Abstract_property_printer<EIndex>*> eprinters;
     if (sm.template properties<EIndex>().size() > 1)
     {
@@ -2239,7 +2239,7 @@ private: //-----------------------------
       }
     }
 
-    os << "end_header" << std::endl;  
+    os << "end_header" << std::endl;
 
     std::vector<int> reindex;
     reindex.resize (sm.num_vertices());
@@ -2258,7 +2258,7 @@ private: //-----------------------------
     }
 
     std::vector<int> polygon;
-    
+
     for(FIndex fi : sm.faces())
     {
       // Get list of vertex indices
@@ -2282,14 +2282,14 @@ private: //-----------------------------
           os.write (reinterpret_cast<char*>(&idx), sizeof(idx));
         }
       }
-      
+
       for (std::size_t i = 0; i < fprinters.size(); ++ i)
       {
         fprinters[i]->print(os, fi);
         if (get_mode (os) == IO::ASCII)
           os << " ";
       }
-      
+
       if (get_mode (os) == IO::ASCII)
         os << std::endl;
     }
@@ -2307,19 +2307,19 @@ private: //-----------------------------
           os.write (reinterpret_cast<char*>(&v0), sizeof(v0));
           os.write (reinterpret_cast<char*>(&v1), sizeof(v1));
         }
-      
+
         for (std::size_t i = 0; i < eprinters.size(); ++ i)
         {
           eprinters[i]->print(os, ei);
           if (get_mode (os) == IO::ASCII)
             os << " ";
         }
-      
+
         if (get_mode (os) == IO::ASCII)
           os << std::endl;
       }
     }
-    
+
     if (!hprinters.empty())
     {
       for(HIndex hi : sm.halfedges())
@@ -2333,19 +2333,19 @@ private: //-----------------------------
           os.write (reinterpret_cast<char*>(&source), sizeof(source));
           os.write (reinterpret_cast<char*>(&target), sizeof(target));
         }
-      
+
         for (std::size_t i = 0; i < hprinters.size(); ++ i)
         {
           hprinters[i]->print(os, hi);
           if (get_mode (os) == IO::ASCII)
             os << " ";
         }
-      
+
         if (get_mode (os) == IO::ASCII)
           os << std::endl;
       }
     }
-    
+
     for (std::size_t i = 0; i < vprinters.size(); ++ i)
       delete vprinters[i];
     for (std::size_t i = 0; i < fprinters.size(); ++ i)
@@ -2354,7 +2354,7 @@ private: //-----------------------------
       delete eprinters[i];
     for (std::size_t i = 0; i < hprinters.size(); ++ i)
       delete hprinters[i];
-    
+
     return true;
   }
 #endif
@@ -2378,11 +2378,11 @@ private: //-----------------------------
 /// @endcond
 
   /// \relates Surface_mesh
-  /// Extracts the surface mesh from an input stream in Ascii OFF, COFF, NOFF, CNOFF 
+  /// Extracts the surface mesh from an input stream in Ascii OFF, COFF, NOFF, CNOFF
   /// format and appends it to the surface mesh `sm`.
   /// The operator reads the point property as well as "v:normal", "v:color", and "f:color".
   /// Vertex texture coordinates are ignored.
-  /// If an alternative vertex_point map is given through `np`, 
+  /// If an alternative vertex_point map is given through `np`,
   /// then it  will be used instead of the default one.
   /// \pre `operator>>(std::istream&,const P&)` must be defined.
   /// \pre The data in the stream must represent a two-manifold. If this is not the case
@@ -2441,17 +2441,17 @@ private: //-----------------------------
       std::istringstream iss(line);
       double x, y, z;
       iss >> iformat(x) >> iformat(y) >> iformat(z);
-      
+
       Vertex_index vi = sm.add_vertex();
       put(vpm, vi, P(x, y, z));
-      
-      
+
+
       vertexmap[i] = vi;
       if(v_has_normals){
         if(!(iss >> v))
         {
           std::cerr<<"This doesn't seem to be a correct NOFF file. Aborting."<<std::endl;
-          is.setstate(std::ios::failbit);          
+          is.setstate(std::ios::failbit);
           return false;
         }
         vnormal[vi] = v;
@@ -2535,7 +2535,7 @@ private: //-----------------------------
   {
     return read_off(is, sm, parameters::all_default());
   }
- 
+
 #if !defined(CGAL_CFG_NO_CPP0X_RVALUE_REFERENCE) && !defined(CGAL_CFG_NO_CPP0X_VARIADIC_TEMPLATES)
 
   /// \cond SKIP_IN_MANUAL
@@ -2578,7 +2578,7 @@ private: //-----------------------------
   bool read_ply(std::istream& is, Surface_mesh<P>& sm, std::string& comments)
   {
     typedef typename Surface_mesh<P>::size_type size_type;
-    
+
     if(!is)
     {
       std::cerr << "Error: cannot open file" << std::endl;
@@ -2587,7 +2587,7 @@ private: //-----------------------------
 
     internal::PLY::PLY_reader reader;
     internal::PLY::Surface_mesh_filler<P> filler(sm);
-  
+
     if (!(reader.init (is)))
     {
       is.setstate(std::ios::failbit);
@@ -2631,7 +2631,7 @@ private: //-----------------------------
 
       if (is_halfedge)
         filler.instantiate_halfedge_properties (element);
-  
+
       for (std::size_t j = 0; j < element.number_of_items(); ++ j)
       {
         for (std::size_t k = 0; k < element.number_of_properties(); ++ k)
@@ -3154,14 +3154,14 @@ namespace internal{
 }
 
 } // CGAL
- 
+
 #ifndef DOXYGEN_RUNNING
 
 namespace std {
 
 #if defined(BOOST_MSVC)
 #  pragma warning(push)
-#  pragma warning(disable:4099) // For VC10 it is class hash 
+#  pragma warning(disable:4099) // For VC10 it is class hash
 #endif
 
 #ifndef CGAL_CFG_NO_STD_HASH
@@ -3187,7 +3187,7 @@ namespace std {
   };
 
   template <>
-  struct hash<CGAL::SM_Face_index > 
+  struct hash<CGAL::SM_Face_index >
     : public CGAL::cpp98::unary_function<CGAL::SM_Face_index, std::size_t> {
 
     std::size_t operator()(const CGAL::SM_Face_index& i) const
@@ -3229,4 +3229,3 @@ namespace boost {
 #include <CGAL/enable_warnings.h>
 
 #endif /* CGAL_SURFACE_MESH_H */
-
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_approximation/approximate_triangle_mesh.h 5.0.3-1/include/CGAL/Surface_mesh_approximation/approximate_triangle_mesh.h
--- 5.0.2-3/include/CGAL/Surface_mesh_approximation/approximate_triangle_mesh.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_approximation/approximate_triangle_mesh.h	2020-08-01 19:02:54.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_approximation/include/CGAL/Surface_mesh_approximation/approximate_triangle_mesh.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_approximation/include/CGAL/Surface_mesh_approximation/approximate_triangle_mesh.h $
 // $Id: approximate_triangle_mesh.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_approximation/L21_metric_plane_proxy.h 5.0.3-1/include/CGAL/Surface_mesh_approximation/L21_metric_plane_proxy.h
--- 5.0.2-3/include/CGAL/Surface_mesh_approximation/L21_metric_plane_proxy.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_approximation/L21_metric_plane_proxy.h	2020-08-01 19:02:54.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_approximation/include/CGAL/Surface_mesh_approximation/L21_metric_plane_proxy.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_approximation/include/CGAL/Surface_mesh_approximation/L21_metric_plane_proxy.h $
 // $Id: L21_metric_plane_proxy.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_approximation/L2_metric_plane_proxy.h 5.0.3-1/include/CGAL/Surface_mesh_approximation/L2_metric_plane_proxy.h
--- 5.0.2-3/include/CGAL/Surface_mesh_approximation/L2_metric_plane_proxy.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_approximation/L2_metric_plane_proxy.h	2020-08-01 19:02:54.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_approximation/include/CGAL/Surface_mesh_approximation/L2_metric_plane_proxy.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_approximation/include/CGAL/Surface_mesh_approximation/L2_metric_plane_proxy.h $
 // $Id: L2_metric_plane_proxy.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_cell_base_3.h 5.0.3-1/include/CGAL/Surface_mesh_cell_base_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_cell_base_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_cell_base_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesh_cell_base_3.h $
-// $Id: Surface_mesh_cell_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesh_cell_base_3.h $
+// $Id: Surface_mesh_cell_base_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Steve Oudot, David Rey, Mariette Yvinec, Laurent Rineau, Andreas Fabri
@@ -26,11 +26,11 @@
 #endif // CGAL_SURFACE_MESHER_TAG_BAD
 
 namespace CGAL {
-  
+
   template < class GT, class Cb = Delaunay_triangulation_cell_base_3<GT> >
-  class Surface_mesh_cell_base_3 : 
-    public Complex_2_in_triangulation_cell_base_3<GT, Cb> 
-  { 
+  class Surface_mesh_cell_base_3 :
+    public Complex_2_in_triangulation_cell_base_3<GT, Cb>
+  {
     typedef Complex_2_in_triangulation_cell_base_3<GT, Cb> Base;
   public:
     typedef Surface_mesh_cell_base_3 <GT, Cb> Self;
@@ -40,58 +40,58 @@ namespace CGAL {
       typedef typename Cb::template Rebind_TDS<TDS3>::Other  Cb3;
       typedef Surface_mesh_cell_base_3 <GT, Cb3> Other;
     };
-    
-    
+
+
     typedef typename GT::Point_3 Point;
-    
+
     typedef typename Base::Triangulation_data_structure Tds;
     typedef typename Tds::Vertex_handle Vertex_handle;
     typedef typename Tds::Cell_handle Cell_handle;
-    
-    
+
+
   private:
-    
+
     // -- fields added to this class --
     Point tab_surface_center_facets [4];
 #ifdef CGAL_SURFACE_MESHER_TAG_BAD
     std::bitset<12> bits;
 #else
-    char bits; // the lower 4 bits for 'facet_visited', 
+    char bits; // the lower 4 bits for 'facet_visited',
                // the higher 4 bits for 'visits'
 #endif
-    
+
   public:
-    
+
     // Constructors
 
-    Surface_mesh_cell_base_3() 
-      : Base(), bits()// c_visited(0) 
+    Surface_mesh_cell_base_3()
+      : Base(), bits()// c_visited(0)
     {}
-    
+
     Surface_mesh_cell_base_3 (Vertex_handle v0,
-			      Vertex_handle v1,
-			      Vertex_handle v2,
-			      Vertex_handle v3) 
-      : Base (v0, v1, v2, v3), bits()// c_visited(0)  
+                              Vertex_handle v1,
+                              Vertex_handle v2,
+                              Vertex_handle v3)
+      : Base (v0, v1, v2, v3), bits()// c_visited(0)
     {}
-    
+
     Surface_mesh_cell_base_3 (Vertex_handle v0,
-			      Vertex_handle v1,
-			      Vertex_handle v2,
-			      Vertex_handle v3,
-			      Cell_handle n0,
-			      Cell_handle n1,
-			      Cell_handle n2,
-			      Cell_handle n3) 
-      : Base (v0, v1, v2, v3, n0, n1, n2, n3), bits()// c_visited(0)  
+                              Vertex_handle v1,
+                              Vertex_handle v2,
+                              Vertex_handle v3,
+                              Cell_handle n0,
+                              Cell_handle n1,
+                              Cell_handle n2,
+                              Cell_handle n3)
+      : Base (v0, v1, v2, v3, n0, n1, n2, n3), bits()// c_visited(0)
     {}
-    
-    
-    
+
+
+
     // Access functions
-    
+
     // Facets
-    
+
     bool is_facet_visited (const int facet) const {
       CGAL_assertion (facet>=0 && facet <4);
 #ifdef CGAL_SURFACE_MESHER_TAG_BAD
@@ -109,16 +109,16 @@ namespace CGAL {
       return (bits & (1 << (facet+4))) != 0;
 #endif
     }
-    
+
     const Point& get_facet_surface_center(const int facet) const {
       CGAL_assertion (facet>=0 && facet <4);
       return(tab_surface_center_facets[facet]);
   }
-    
+
     // Setting functions
-    
+
     // Facets
-    
+
     void set_facet_visited (const int facet) {
       CGAL_assertion (facet>=0 && facet <4);
 #ifdef CGAL_SURFACE_MESHER_TAG_BAD
@@ -127,7 +127,7 @@ namespace CGAL {
       bits |= (1 << facet);
 #endif
     }
-    
+
     void set_visited (const int facet) {
       CGAL_assertion (facet>=0 && facet <4);
 #ifdef CGAL_SURFACE_MESHER_TAG_BAD
@@ -141,12 +141,12 @@ namespace CGAL {
     void set_bad(const int facet) {
       bits[facet+8] = true;
     }
-    
+
     bool is_bad(const int facet) const {
       return bits[facet+8];
     }
 #endif
-    
+
     void reset_visited (const int facet) {
       CGAL_assertion (facet>=0 && facet <4);
 #ifdef CGAL_SURFACE_MESHER_TAG_BAD
@@ -159,9 +159,9 @@ namespace CGAL {
       bits &= ((15 | (15<<4)) & ~(1 << (4+facet)));
 #endif
     }
-    
-    void set_facet_surface_center(const int facet, 
-			  const Point& p) {
+
+    void set_facet_surface_center(const int facet,
+                          const Point& p) {
       CGAL_assertion (facet>=0 && facet <4);
       tab_surface_center_facets[facet]=p;
     }
@@ -170,7 +170,7 @@ namespace CGAL {
     static
     std::string io_signature()
     {
-      return 
+      return
         Get_io_signature<Complex_2_in_triangulation_cell_base_3<GT, Cb> >()();
     }
 #endif
@@ -181,7 +181,7 @@ std::istream&
 operator>>(std::istream &is,
            Surface_mesh_cell_base_3<GT, Cb> &v)
 {
-  return is >> 
+  return is >>
     static_cast<Complex_2_in_triangulation_cell_base_3<GT, Cb>&>(v);
 }
 
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_complex_2_in_triangulation_3.h 5.0.3-1/include/CGAL/Surface_mesh_complex_2_in_triangulation_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_complex_2_in_triangulation_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_complex_2_in_triangulation_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesh_complex_2_in_triangulation_3.h $
-// $Id: Surface_mesh_complex_2_in_triangulation_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesh_complex_2_in_triangulation_3.h $
+// $Id: Surface_mesh_complex_2_in_triangulation_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -31,7 +31,7 @@ class Surface_mesh_complex_2_in_triangul
     public Complex_2_in_triangulation_3<Tr>
 {
 public:
-  Surface_mesh_complex_2_in_triangulation_3 (Tr& tr) 
+  Surface_mesh_complex_2_in_triangulation_3 (Tr& tr)
     : Complex_2_in_triangulation_3<Tr>(tr)
   {
   }
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_default_criteria_3.h 5.0.3-1/include/CGAL/Surface_mesh_default_criteria_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_default_criteria_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_default_criteria_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesh_default_criteria_3.h $
-// $Id: Surface_mesh_default_criteria_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesh_default_criteria_3.h $
+// $Id: Surface_mesh_default_criteria_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Rineau
@@ -34,19 +34,19 @@ public:
   typedef typename Tr::Facet Facet;
 
   Surface_mesh_default_criteria_3(const FT angle_bound,
-				  const FT radius_bound,
-				  const FT distance_bound)
+                                  const FT radius_bound,
+                                  const FT distance_bound)
     : curvature_size_criterion(distance_bound),
       uniform_size_criterion(radius_bound),
       aspect_ratio_criterion(angle_bound)
-      
+
   {
     criterion_vector.reserve(4);
-    
+
     criterion_vector.push_back (&aspect_ratio_criterion);
     criterion_vector.push_back (&uniform_size_criterion);
     criterion_vector.push_back (&curvature_size_criterion);
-    
+
     criteria.set_criteria(criterion_vector);
   }
 
@@ -61,7 +61,7 @@ private:
 
   Surface_mesher::Uniform_size_criterion<Tr> uniform_size_criterion;
   // bound on radii of surface Delaunay balls
-  
+
   Surface_mesher::Aspect_ratio_criterion<Tr> aspect_ratio_criterion;
   // lower bound on minimum angle in degrees
 
@@ -71,7 +71,7 @@ private:
 
 template <typename Tr>
 std::ostream&
-operator<<(std::ostream& os, 
+operator<<(std::ostream& os,
            const typename Surface_mesh_default_criteria_3<Tr>::Quality& /*q*/)
 {
   return os << "q";
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_default_edges_criteria_3.h 5.0.3-1/include/CGAL/Surface_mesh_default_edges_criteria_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_default_edges_criteria_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_default_edges_criteria_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesh_default_edges_criteria_3.h $
-// $Id: Surface_mesh_default_edges_criteria_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesh_default_edges_criteria_3.h $
+// $Id: Surface_mesh_default_edges_criteria_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Rineau
@@ -31,7 +31,7 @@ public:
   typedef typename Tr::Vertex_handle Vertex_handle;
 
   Surface_mesh_default_edges_criteria_3(const FT radius_bound,
-					const FT distance_bound,
+                                        const FT distance_bound,
                                         const Surface& surface,
                                         const bool assure_vertices_are_on_same_curve = true)
     : sq_distance_bound(distance_bound*distance_bound),
@@ -42,7 +42,7 @@ public:
   }
 
   bool is_bad (const Edge& e,
-	       const Point_3& lineic_center) const
+               const Point_3& lineic_center) const
   {
     const Vertex_handle& va = e.first->vertex(e.second);
     const Vertex_handle& vb = e.first->vertex(e.third);
@@ -57,15 +57,15 @@ public:
     typename GT::Compute_squared_distance_3 sq_distance =
       GT().compute_squared_distance_3_object();
 
-    if(sq_radius_bound != FT(0) && 
+    if(sq_radius_bound != FT(0) &&
        sq_distance(va->point(), vb->point()) > sq_radius_bound)
       return true;
-    
-    typename GT::Construct_midpoint_3 midpoint = 
+
+    typename GT::Construct_midpoint_3 midpoint =
       GT().construct_midpoint_3_object();
 
     return sq_distance_bound != FT(0) &&
-      sq_distance(lineic_center, midpoint(va->point(), vb->point())) > 
+      sq_distance(lineic_center, midpoint(va->point(), vb->point())) >
       sq_distance_bound;
   }
 private:
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_default_triangulation_3.h 5.0.3-1/include/CGAL/Surface_mesh_default_triangulation_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_default_triangulation_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_default_triangulation_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesh_default_triangulation_3.h $
-// $Id: Surface_mesh_default_triangulation_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesh_default_triangulation_3.h $
+// $Id: Surface_mesh_default_triangulation_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -57,10 +57,10 @@ namespace CGAL {
 
   } // end Surface_mesher
 
-  typedef Surface_mesher::Surface_mesh_default_triangulation_3_generator<>::Type 
+  typedef Surface_mesher::Surface_mesh_default_triangulation_3_generator<>::Type
      Surface_mesh_default_triangulation_3;
 
-} // end namespace CGAL  
+} // end namespace CGAL
 
 #include <CGAL/enable_warnings.h>
 
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_deformation.h 5.0.3-1/include/CGAL/Surface_mesh_deformation.h
--- 5.0.2-3/include/CGAL/Surface_mesh_deformation.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_deformation.h	2020-08-01 19:02:54.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_deformation/include/CGAL/Surface_mesh_deformation.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_deformation/include/CGAL/Surface_mesh_deformation.h $
 // $Id: Surface_mesh_deformation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Combining_oracle.h 5.0.3-1/include/CGAL/Surface_mesher/Combining_oracle.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Combining_oracle.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Combining_oracle.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Combining_oracle.h $
-// $Id: Combining_oracle.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Combining_oracle.h $
+// $Id: Combining_oracle.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -54,7 +54,7 @@ namespace CGAL {
     CGAL_static_assertion((::boost::is_same<
                          Intersection_point,
                          typename Oracle_b::Intersection_point>::value));
-                        
+
 
     typedef ::CGAL::Multi_surface_3<typename Oracle_a::Surface_3,
       typename Oracle_b::Surface_3> Surface_3;
@@ -68,7 +68,7 @@ namespace CGAL {
     {
     }
 
-    class Intersect_3 
+    class Intersect_3
     {
       Oracle_a& oracle_a;
       Oracle_b& oracle_b;
@@ -77,7 +77,7 @@ namespace CGAL {
         : oracle_a(oracle_a), oracle_b(oracle_b)
       {
       }
-      
+
       Object operator()(const Surface_3& surface, Segment_3 s) const
       {
         const Object obj = oracle_a.intersect_3_object()(surface.surface_a(), s);
@@ -90,14 +90,14 @@ namespace CGAL {
         const Object obj = oracle_a.intersect_3_object()(surface.surface_a(), r);
         if( obj.is_empty() )
           return oracle_b.intersect_3_object()(surface.surface_b(), r);
-        return obj;  
+        return obj;
       }
-      
+
       Object operator()(const Surface_3& surface, const Line_3& l) const {
         const Object obj = oracle_a.intersect_3_object()(surface.surface_a(), l);
         if( obj.is_empty() )
           return oracle_b.intersect_3_object()(surface.surface_b(), l);
-        return obj;  
+        return obj;
       }
     }; // end nested class Intersect_3
 
@@ -113,11 +113,11 @@ namespace CGAL {
 
       // Random points
       template <typename OutputIteratorPoints>
-      OutputIteratorPoints operator() (const Surface_3& surface, 
-                                       OutputIteratorPoints out, 
+      OutputIteratorPoints operator() (const Surface_3& surface,
+                                       OutputIteratorPoints out,
                                        int n = 20) // WARNING: why 20?
       {
-        OutputIteratorPoints out2 = 
+        OutputIteratorPoints out2 =
           oracle_a.construct_initial_points_object()(surface.surface_a(),
                                                      out,
                                                      n);
@@ -126,7 +126,7 @@ namespace CGAL {
                                                           n);
       }
     }; // end nested class Construct_initial_points
-     
+
     Intersect_3 intersect_3_object() const
     {
       return Intersect_3(oracle_a, oracle_b);
@@ -139,7 +139,7 @@ namespace CGAL {
 
     bool is_in_volume(const Surface_3& surface, const Point_3& p) const
     {
-      return( oracle_a.is_in_volume(surface.surface_a(), p) || 
+      return( oracle_a.is_in_volume(surface.surface_a(), p) ||
               oracle_b.is_in_volume(surface.surface_b(), p) );
     }
   };  // end Combining_oracle
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Has_edges.h 5.0.3-1/include/CGAL/Surface_mesher/Has_edges.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Has_edges.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Has_edges.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Has_edges.h $
-// $Id: Has_edges.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Has_edges.h $
+// $Id: Has_edges.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Implicit_surface_oracle_3.h 5.0.3-1/include/CGAL/Surface_mesher/Implicit_surface_oracle_3.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Implicit_surface_oracle_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Implicit_surface_oracle_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Implicit_surface_oracle_3.h $
-// $Id: Implicit_surface_oracle_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Implicit_surface_oracle_3.h $
+// $Id: Implicit_surface_oracle_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -95,7 +95,7 @@ namespace CGAL {
     */
 
   namespace {
-    
+
   template <typename T>
   struct Return_min : CGAL::cpp98::binary_function<T, T, T>
   {
@@ -110,9 +110,9 @@ namespace CGAL {
   template <
     class GT,
     class Surface,
-    class Transform_functor_ = 
+    class Transform_functor_ =
       typename Real_embeddable_traits<typename Surface::FT>::Sgn,
-    class Surface_identifiers_generator_ = 
+    class Surface_identifiers_generator_ =
       Return_min<typename Transform_functor_::result_type>,
     class Point_creator = Creator_uniform_3<typename GT::FT,
                                             typename GT::Point_3>,
@@ -146,7 +146,7 @@ namespace CGAL {
 
     typedef Transform_functor_ Transform_functor;
     typedef Surface_identifiers_generator_ Surface_identifiers_generator;
-    
+
     typedef Point_3 Intersection_point;
 
     typedef Surface Surface_3;
@@ -165,7 +165,7 @@ namespace CGAL {
 
     // Constructors
 //     Implicit_surface_oracle_3 (Visitor visitor_ = Visitor()) :
-//       visitor(visitor_), 
+//       visitor(visitor_),
 //       transform_functor(),
 //       surface_identifiers_generator()
 //     {
@@ -180,7 +180,7 @@ namespace CGAL {
                                  surface_identifiers_generator
                                    = Surface_identifiers_generator(),
                                Visitor visitor_ = Visitor()) :
-      visitor(visitor_), 
+      visitor(visitor_),
       transform_functor(transform_functor),
       surface_identifiers_generator(surface_identifiers_generator)
     {
@@ -189,7 +189,7 @@ namespace CGAL {
 #endif
     }
 
-    class Intersect_3 
+    class Intersect_3
     {
       Visitor visitor;
       Transform_functor transform_functor;
@@ -228,8 +228,8 @@ namespace CGAL {
       Object operator()(const Surface_3& surface, Segment_3 s)
       // s is passed by value, because it is clipped below
       {
-	CGAL_SURFACE_MESHER_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Segment_3)");
-	CGAL_SURFACE_MESHER_TIME_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Segment_3)");
+        CGAL_SURFACE_MESHER_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Segment_3)");
+        CGAL_SURFACE_MESHER_TIME_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Segment_3)");
         typename GT::Construct_point_on_3 point_on =
           GT().construct_point_on_3_object();
 
@@ -242,7 +242,7 @@ namespace CGAL {
         Point_3 b = point_on(s, 1);
 
 #ifdef CGAL_SURFACE_MESHER_DEBUG_IMPLICIT_ORACLE
-        std::cerr << 
+        std::cerr <<
           boost::format("** Implicit_surface_oracle_3::operator()( (%1%), (%2%) )\n")
           % a % b;
 #endif
@@ -266,8 +266,8 @@ namespace CGAL {
       } // end operator()(Surface_3, Segment_3)
 
       Object operator()(const Surface_3& surface, const Ray_3& r) {
-	CGAL_SURFACE_MESHER_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Ray_3)");
-	CGAL_SURFACE_MESHER_TIME_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Ray_3)");
+        CGAL_SURFACE_MESHER_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Ray_3)");
+        CGAL_SURFACE_MESHER_TIME_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Ray_3)");
         typename Sphere_oracle::Intersect_3 clip =
           Sphere_oracle().intersect_3_object();
 
@@ -286,8 +286,8 @@ namespace CGAL {
       } // end operator()(Surface_3, Ray_3)
 
       Object operator()(const Surface_3& surface, const Line_3& l) {
-	CGAL_SURFACE_MESHER_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Line_3)");
-	CGAL_SURFACE_MESHER_TIME_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Line_3)");
+        CGAL_SURFACE_MESHER_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Line_3)");
+        CGAL_SURFACE_MESHER_TIME_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Line_3)");
         typename Sphere_oracle::Intersect_3 clip =
           Sphere_oracle().intersect_3_object();
 
@@ -307,10 +307,10 @@ namespace CGAL {
 
       // debug function
       std::string debug_point(const Surface_3& surface,
-                              const Point& p) 
+                              const Point& p)
       {
         std::stringstream s;
-        s << p << " (distance=" 
+        s << p << " (distance="
           << CGAL::sqrt(CGAL::squared_distance(p,
                                  surface.bounding_sphere().center()))
           << ", value=" << surf_equation(surface, p)
@@ -319,7 +319,7 @@ namespace CGAL {
       }
 
       result_type surf_equation (const Surface_3& surface,
-                                 const Point& p) 
+                                 const Point& p)
       {
         return transform_functor(surface(p));
       } // @TODO, @WARNING: we use x(), y() and z()
@@ -335,7 +335,7 @@ namespace CGAL {
 #ifdef CGAL_SURFACE_MESHER_DEBUG_CLIPPED_SEGMENT
         std::cerr << "clipped_segment( ("  << p1 << "), (" << p2 << ") )\n";
 #endif
-        typename GT::Compute_squared_distance_3 squared_distance = 
+        typename GT::Compute_squared_distance_3 squared_distance =
           GT().compute_squared_distance_3_object();
         typename GT::Construct_midpoint_3 midpoint =
           GT().construct_midpoint_3_object();
@@ -350,12 +350,12 @@ namespace CGAL {
           return Object();
 
 #ifdef CGAL_SURFACE_MESHER_PROFILE
-	int steps = 0;
+        int steps = 0;
 #endif
         while(true)
         {
 #ifdef CGAL_SURFACE_MESHER_PROFILE
-	  ++steps;
+          ++steps;
 #endif
 #ifdef CGAL_SURFACE_MESHER_DEBUG_CLIPPED_SEGMENT
           std::cerr << debug_point(surface, p1) << ", "
@@ -373,12 +373,12 @@ namespace CGAL {
 #endif
             // the following function conditionnally call
             // mid.set_on_surface(...) if mid has such a function.
-            set_on_surface(mid, 
+            set_on_surface(mid,
                            surface_identifiers_generator(value_at_p1,
                                                          value_at_p2));
 
             visitor.new_point(mid);
-	    CGAL_SURFACE_MESHER_HISTOGRAM_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Segment_3) bissection steps", steps)
+            CGAL_SURFACE_MESHER_HISTOGRAM_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Segment_3) bissection steps", steps)
             return make_object(mid);
           }
 
@@ -405,16 +405,16 @@ namespace CGAL {
       Construct_initial_points(const Self& oracle) : oracle(oracle)
       {
       }
-      
+
       // Random points
       template <typename OutputIteratorPoints>
-      OutputIteratorPoints operator() (const Surface_3& surface, 
-                                       OutputIteratorPoints out, 
+      OutputIteratorPoints operator() (const Surface_3& surface,
+                                       OutputIteratorPoints out,
                                        int n = 20) // WARNING: why 20?
       {
         const Sphere_3& sphere = surface.bounding_sphere();
         const Point initial_center = GT().construct_center_3_object()(sphere);
-        const FT squared_radius = 
+        const FT squared_radius =
           GT().compute_squared_radius_3_object()(sphere);
         const FT radius = CGAL::sqrt(squared_radius);
         typename Self::Intersect_3 intersect = oracle.intersect_3_object();
@@ -423,7 +423,7 @@ namespace CGAL {
           Point_creator> random_point_on_sphere(CGAL::to_double(radius));
         typename CGAL::Random_points_in_sphere_3<Point,
           Point_creator> random_point_in_sphere(CGAL::to_double(radius));
-        typename GT::Construct_segment_3 segment_3 = 
+        typename GT::Construct_segment_3 segment_3 =
           GT().construct_segment_3_object();
         typename GT::Construct_vector_3 vector_3 =
           GT().construct_vector_3_object();
@@ -431,13 +431,13 @@ namespace CGAL {
           GT().construct_translated_point_3_object();
 
         Point center = initial_center;
-        while (n>0) 
+        while (n>0)
         {
           const Point p = translate(*random_point_on_sphere++,
                                     vector_3(CGAL::ORIGIN, initial_center));
 
 #ifdef CGAL_SURFACE_MESHER_DEBUG_INITIAL_POINTS
-          std::cerr << "test " 
+          std::cerr << "test "
                     << intersect.debug_point(surface, center)
                     << ", " << intersect.debug_point(surface, p);
 #endif
@@ -476,7 +476,7 @@ namespace CGAL {
     Intersect_3 intersect_3_object() const
     {
       return Intersect_3(visitor,
-                         transform_functor, 
+                         transform_functor,
                          surface_identifiers_generator);
     }
 
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Intersection_data_structure_3.h 5.0.3-1/include/CGAL/Surface_mesher/Intersection_data_structure_3.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Intersection_data_structure_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Intersection_data_structure_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Intersection_data_structure_3.h $
-// $Id: Intersection_data_structure_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Intersection_data_structure_3.h $
+// $Id: Intersection_data_structure_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent RINEAU
@@ -35,8 +35,8 @@ class Intersection_data_structure_3 {
   typedef Simple_cartesian<double> Double_kernel;
   typedef typename Double_kernel::Point_3 DPoint_3;
 
-  typedef Segment_tree_map_traits_3<Double_kernel, 
-				    Type> Traits;
+  typedef Segment_tree_map_traits_3<Double_kernel,
+                                    Type> Traits;
 
   typedef typename GT::Triangle_3 Triangle_3;
   typedef typename GT::Segment_3 Segment_3;
@@ -53,9 +53,9 @@ public:
   {
     const Bbox_3& b = t.bbox();
     return std::make_pair(DPoint_3(b.xmin(), b.ymin(), b.zmin()),
-			  DPoint_3(b.xmax()+epsilon,
-				   b.ymax()+epsilon,
-				   b.zmax()+epsilon));
+                          DPoint_3(b.xmax()+epsilon,
+                                   b.ymax()+epsilon,
+                                   b.zmax()+epsilon));
   }
 
   Interval make_interval(const Type& t) const
@@ -83,9 +83,9 @@ public:
 
   Intersection_type do_intersect_properly(const Triangle_3& t, const Segment_3& s) const
   {
-    typename GT::Construct_vertex_3 vertex = 
+    typename GT::Construct_vertex_3 vertex =
       gt.construct_vertex_3_object();
-    typename GT::Coplanar_3 coplanar = 
+    typename GT::Coplanar_3 coplanar =
       gt.coplanar_3_object();
     typename GT::Do_intersect_3 do_intersect =
       gt.do_intersect_3_object();
@@ -129,7 +129,7 @@ public:
       nb_of_elements(),
       tree(),
       bounding_box(0., 0., 0.,
-		   0., 0., 0.),
+                   0., 0., 0.),
       max_width(),
       epsilon(),
       gt(gt)
@@ -141,7 +141,7 @@ public:
     elements.push_back(e);
     bounding_box = bounding_box + e.bbox();
   }
-  
+
   void create_data_structure()
   {
     using boost::bind;
@@ -151,27 +151,27 @@ public:
       (bounding_box.xmax()-bounding_box.xmin(),
        CGAL_NTS max BOOST_PREVENT_MACRO_SUBSTITUTION
        (bounding_box.ymax()-bounding_box.ymin(),
-	bounding_box.zmax()-bounding_box.zmin()));
+        bounding_box.zmax()-bounding_box.zmin()));
     epsilon = max_width * std::numeric_limits<double>::epsilon();
 
     std::vector<Interval> intervals;
-    for(typename Elements::const_iterator it = elements.begin(), 
-	  end = elements.end(); it != end; ++it) 
+    for(typename Elements::const_iterator it = elements.begin(),
+          end = elements.end(); it != end; ++it)
     {
       intervals.push_back(make_interval(*it));
     }
     tree.make_tree(intervals.begin(),
-		   intervals.end());
-    
+                   intervals.end());
+
 //     tree.make_tree(make_transform_iterator(elements.begin(),
-// 					   bind(&make_interval,_1)),
-// 		   make_transform_iterator(elements.end(),
-// 					   bind(&make_interval,_1)));
+//                                            bind(&make_interval,_1)),
+//                    make_transform_iterator(elements.end(),
+//                                            bind(&make_interval,_1)));
     nb_of_elements = elements.size();
     elements.clear();
   }
 
-  const Bbox_3& bbox() const 
+  const Bbox_3& bbox() const
   {
     return bounding_box;
   }
@@ -184,37 +184,37 @@ public:
   typename GT::Iso_cuboid_3 iso_cuboid() const
   {
     return typename GT::Iso_cuboid_3(bbox().xmin(),
-				     bbox().ymin(),
-				     bbox().zmin(),
-				     bbox().xmax(),
-				     bbox().ymax(),
-				     bbox().zmax());
+                                     bbox().ymin(),
+                                     bbox().zmin(),
+                                     bbox().xmax(),
+                                     bbox().ymax(),
+                                     bbox().zmax());
   }
 
-  typename Elements::size_type number_of_elements() const 
+  typename Elements::size_type number_of_elements() const
   {
     return nb_of_elements;
   }
 
   template <class Type2>
-  Object intersection(const Type2& e) 
-  {    
+  Object intersection(const Type2& e)
+  {
     std::vector<Interval> intervals;
 
     tree.window_query(std::make_pair(make_pure_interval(e), Type()),
-		      std::back_inserter(intervals));
-#ifdef CGAL_SURFACE_MESHER_DEBUG_INTERSECTION_DATA_STRUCTURE    
+                      std::back_inserter(intervals));
+#ifdef CGAL_SURFACE_MESHER_DEBUG_INTERSECTION_DATA_STRUCTURE
     std::cerr << boost::format("intersection percentage: %1$.1f%% query=(%2%, %3%)\n")
       % ( 100. * intervals.size() / number_of_elements() )
       % make_pure_interval(e).first
       % make_pure_interval(e).second;
 #endif
     for(typename std::vector<Interval>::const_iterator it = intervals.begin(),
-	  end = intervals.end(); it != end; ++it) 
+          end = intervals.end(); it != end; ++it)
     {
       Object inter = proper_intersection(it->second, e);
       if(!inter.is_empty())
-	return inter;
+        return inter;
     }
     return Object();
   }
@@ -223,29 +223,29 @@ public:
   std::pair<bool,int> number_of_intersections(const Type2& e)
   {
     int result = 0;
-    
+
     std::vector<Interval> intervals;
 
     tree.window_query(std::make_pair(make_pure_interval(e), Type()),
-				     std::back_inserter(intervals));
-#ifdef CGAL_SURFACE_MESHER_DEBUG_INTERSECTION_DATA_STRUCTURE    
+                                     std::back_inserter(intervals));
+#ifdef CGAL_SURFACE_MESHER_DEBUG_INTERSECTION_DATA_STRUCTURE
     std::cerr << boost::format("number_of_intersections percentage: %1$.1f%% query=(%2%, %3%)\n")
       % ( 100. * intervals.size() / number_of_elements() )
       % make_pure_interval(e).first
       % make_pure_interval(e).second;
 #endif
     for(typename std::vector<Interval>::const_iterator it = intervals.begin(),
-	  end = intervals.end(); it != end; ++it) 
+          end = intervals.end(); it != end; ++it)
     {
       switch(do_intersect_properly(it->second, e)) {
       case INSIDE:
-	++result;
-	break;
+        ++result;
+        break;
       case ON_BOUNDARY:
-	return std::make_pair(false, false);
-	break;
+        return std::make_pair(false, false);
+        break;
       case NO_INTERSECTION:
-	break;
+        break;
       }
     }
     return std::make_pair(true,result);
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Null_oracle_visitor.h 5.0.3-1/include/CGAL/Surface_mesher/Null_oracle_visitor.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Null_oracle_visitor.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Null_oracle_visitor.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Null_oracle_visitor.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Null_oracle_visitor.h $
 // $Id: Null_oracle_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Point_surface_indices_oracle_visitor.h 5.0.3-1/include/CGAL/Surface_mesher/Point_surface_indices_oracle_visitor.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Point_surface_indices_oracle_visitor.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Point_surface_indices_oracle_visitor.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Point_surface_indices_oracle_visitor.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Point_surface_indices_oracle_visitor.h $
 // $Id: Point_surface_indices_oracle_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Poisson_implicit_surface_oracle_3.h 5.0.3-1/include/CGAL/Surface_mesher/Poisson_implicit_surface_oracle_3.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Poisson_implicit_surface_oracle_3.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Poisson_implicit_surface_oracle_3.h	2020-08-01 19:02:40.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Poisson_surface_reconstruction_3/include/CGAL/Surface_mesher/Poisson_implicit_surface_oracle_3.h $
-// $Id: Poisson_implicit_surface_oracle_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Poisson_surface_reconstruction_3/include/CGAL/Surface_mesher/Poisson_implicit_surface_oracle_3.h $
+// $Id: Poisson_implicit_surface_oracle_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -86,13 +86,13 @@ namespace CGAL {
 )
     */
 
- 
+
   template <
     class GT,
     class Surface,
-    class Transform_functor_ = 
+    class Transform_functor_ =
       typename Real_embeddable_traits<typename Surface::FT>::Sgn,
-    class Surface_identifiers_generator_ = 
+    class Surface_identifiers_generator_ =
       Return_min<typename Transform_functor_::result_type>,
     class Point_creator = Creator_uniform_3<typename GT::FT,
                                             typename GT::Point_3>,
@@ -126,7 +126,7 @@ namespace CGAL {
 
     typedef Transform_functor_ Transform_functor;
     typedef Surface_identifiers_generator_ Surface_identifiers_generator;
-    
+
     typedef Point_3 Intersection_point;
 
     typedef Surface Surface_3;
@@ -145,7 +145,7 @@ namespace CGAL {
 
     // Constructors
 //     Poisson_implicit_surface_oracle_3 (Visitor visitor_ = Visitor()) :
-//       visitor(visitor_), 
+//       visitor(visitor_),
 //       transform_functor(),
 //       surface_identifiers_generator()
 //     {
@@ -160,7 +160,7 @@ namespace CGAL {
                                  surface_identifiers_generator
                                    = Surface_identifiers_generator(),
                                Visitor visitor_ = Visitor()) :
-      visitor(visitor_), 
+      visitor(visitor_),
       transform_functor(transform_functor),
       surface_identifiers_generator(surface_identifiers_generator)
     {
@@ -169,7 +169,7 @@ namespace CGAL {
 #endif
     }
 
-    class Intersect_3 
+    class Intersect_3
     {
       Visitor visitor;
       Transform_functor transform_functor;
@@ -208,8 +208,8 @@ namespace CGAL {
       Object operator()(const Surface_3& surface, Segment_3 s)
       // s is passed by value, because it is clipped below
       {
-	CGAL_SURFACE_MESHER_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Segment_3)");
-	CGAL_SURFACE_MESHER_TIME_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Segment_3)");
+        CGAL_SURFACE_MESHER_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Segment_3)");
+        CGAL_SURFACE_MESHER_TIME_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Segment_3)");
         typename GT::Construct_point_on_3 point_on =
           GT().construct_point_on_3_object();
 
@@ -222,7 +222,7 @@ namespace CGAL {
         Point_3 b = point_on(s, 1);
 
 #ifdef CGAL_SURFACE_MESHER_DEBUG_IMPLICIT_ORACLE
-        std::cerr << 
+        std::cerr <<
           boost::format("** Poisson_implicit_surface_oracle_3::operator()( (%1%), (%2%) )\n")
           % a % b;
 #endif
@@ -246,8 +246,8 @@ namespace CGAL {
       } // end operator()(Surface_3, Segment_3)
 
       Object operator()(const Surface_3& surface, const Ray_3& r) {
-	CGAL_SURFACE_MESHER_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Ray_3)");
-	CGAL_SURFACE_MESHER_TIME_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Ray_3)");
+        CGAL_SURFACE_MESHER_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Ray_3)");
+        CGAL_SURFACE_MESHER_TIME_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Ray_3)");
         typename Sphere_oracle::Intersect_3 clip =
           Sphere_oracle().intersect_3_object();
 
@@ -266,8 +266,8 @@ namespace CGAL {
       } // end operator()(Surface_3, Ray_3)
 
       Object operator()(const Surface_3& surface, const Line_3& l) {
-	CGAL_SURFACE_MESHER_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Line_3)");
-	CGAL_SURFACE_MESHER_TIME_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Line_3)");
+        CGAL_SURFACE_MESHER_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Line_3)");
+        CGAL_SURFACE_MESHER_TIME_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Line_3)");
         typename Sphere_oracle::Intersect_3 clip =
           Sphere_oracle().intersect_3_object();
 
@@ -287,10 +287,10 @@ namespace CGAL {
 
       // debug function
       std::string debug_point(const Surface_3& surface,
-                              const Point& p) 
+                              const Point& p)
       {
         std::stringstream s;
-        s << p << " (distance=" 
+        s << p << " (distance="
           << CGAL::sqrt(CGAL::squared_distance(p,
                                  surface.bounding_sphere().center()))
           << ", value=" << surf_equation(surface, p)
@@ -299,7 +299,7 @@ namespace CGAL {
       }
 
       result_type surf_equation (const Surface_3& surface,
-                                 const Point& p) 
+                                 const Point& p)
       {
         return transform_functor(surface(p));
       } // @TODO, @WARNING: we use x(), y() and z()
@@ -315,7 +315,7 @@ namespace CGAL {
 #ifdef CGAL_SURFACE_MESHER_DEBUG_CLIPPED_SEGMENT
         std::cerr << "clipped_segment( ("  << p1 << "), (" << p2 << ") )\n";
 #endif
-        typename GT::Compute_squared_distance_3 squared_distance = 
+        typename GT::Compute_squared_distance_3 squared_distance =
           GT().compute_squared_distance_3_object();
         typename GT::Construct_midpoint_3 midpoint =
           GT().construct_midpoint_3_object();
@@ -336,7 +336,7 @@ namespace CGAL {
           return Object();
 
 #ifdef CGAL_SURFACE_MESHER_PROFILE
-	int steps = 0;
+        int steps = 0;
 #endif
         while(true)
         {
@@ -347,10 +347,10 @@ namespace CGAL {
               return make_object(Point(ORIGIN+ ((value_at_p2 * (p1 - ORIGIN)) - (value_at_p1 * (p2 - ORIGIN))) / (value_at_p2 - value_at_p1)));
               }
           }
-          
+
 
 #ifdef CGAL_SURFACE_MESHER_PROFILE
-	  ++steps;
+          ++steps;
 #endif
 #ifdef CGAL_SURFACE_MESHER_DEBUG_CLIPPED_SEGMENT
           std::cerr << debug_point(surface, p1) << ", "
@@ -371,12 +371,12 @@ namespace CGAL {
 #endif
             // the following function conditionnally call
             // mid.set_on_surface(...) if mid has such a function.
-            set_on_surface(mid, 
+            set_on_surface(mid,
                            surface_identifiers_generator(transform_functor(value_at_p1),
                                                          transform_functor(value_at_p2)));
 
             visitor.new_point(mid);
-	    CGAL_SURFACE_MESHER_HISTOGRAM_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Segment_3) bissection steps", steps)
+            CGAL_SURFACE_MESHER_HISTOGRAM_PROFILER("Implificit_surface_oracle::Intersect_3::operator(Segment_3) bissection steps", steps)
             return make_object(mid);
           }
 
@@ -407,16 +407,16 @@ namespace CGAL {
       Construct_initial_points(const Self& oracle) : oracle(oracle)
       {
       }
-      
+
       // Random points
       template <typename OutputIteratorPoints>
-      OutputIteratorPoints operator() (const Surface_3& surface, 
-                                       OutputIteratorPoints out, 
+      OutputIteratorPoints operator() (const Surface_3& surface,
+                                       OutputIteratorPoints out,
                                        int n = 20) // WARNING: why 20?
       {
         const Sphere_3& sphere = surface.bounding_sphere();
         const Point initial_center = GT().construct_center_3_object()(sphere);
-        const FT squared_radius = 
+        const FT squared_radius =
           GT().compute_squared_radius_3_object()(sphere);
         const FT radius = CGAL::sqrt(squared_radius);
         typename Self::Intersect_3 intersect = oracle.intersect_3_object();
@@ -426,7 +426,7 @@ namespace CGAL {
           Point_creator> random_point_on_sphere(CGAL::to_double(radius), rng);
         typename CGAL::Random_points_in_sphere_3<Point,
           Point_creator> random_point_in_sphere(CGAL::to_double(radius), rng);
-        typename GT::Construct_segment_3 segment_3 = 
+        typename GT::Construct_segment_3 segment_3 =
           GT().construct_segment_3_object();
         typename GT::Construct_vector_3 vector_3 =
           GT().construct_vector_3_object();
@@ -434,13 +434,13 @@ namespace CGAL {
           GT().construct_translated_point_3_object();
 
         Point center = initial_center;
-        while (n>0) 
+        while (n>0)
         {
           const Point p = translate(*random_point_on_sphere++,
                                     vector_3(CGAL::ORIGIN, initial_center));
 
 #ifdef CGAL_SURFACE_MESHER_DEBUG_INITIAL_POINTS
-          std::cerr << "test " 
+          std::cerr << "test "
                     << intersect.debug_point(surface, center)
                     << ", " << intersect.debug_point(surface, p);
 #endif
@@ -479,7 +479,7 @@ namespace CGAL {
     Intersect_3 intersect_3_object() const
     {
       return Intersect_3(visitor,
-                         transform_functor, 
+                         transform_functor,
                          surface_identifiers_generator);
     }
 
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Polyhedral_oracle.h 5.0.3-1/include/CGAL/Surface_mesher/Polyhedral_oracle.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Polyhedral_oracle.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Polyhedral_oracle.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Polyhedral_oracle.h $
-// $Id: Polyhedral_oracle.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Polyhedral_oracle.h $
+// $Id: Polyhedral_oracle.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -50,8 +50,8 @@ public:
   typedef typename Geom_traits::Line_3 Line_3;
   typedef typename Geom_traits::Triangle_3 Triangle_3;
 
-  typedef Polyhedral_oracle<Surface, 
-                            Point_creator, 
+  typedef Polyhedral_oracle<Surface,
+                            Point_creator,
                             Visitor,
                             Has_edges_tag_,
                             mesh_the_whole_bounding_box> Self;
@@ -113,9 +113,9 @@ public:
       pb[0] = s[1].x();
       pb[1] = s[1].y();
       pb[2] = s[1].z();
-      if(surface.pinpolyhedron_ptr->isPinPolyhedron(pa) == 
-	 surface.pinpolyhedron_ptr->isPinPolyhedron(pb))
-	return Object();
+      if(surface.pinpolyhedron_ptr->isPinPolyhedron(pa) ==
+         surface.pinpolyhedron_ptr->isPinPolyhedron(pb))
+        return Object();
 #endif // CGAL_SURFACE_MESHER_POLYHEDRAL_SURFACE_USE_PINPOLYHEDRON
 #ifdef CGAL_SURFACE_MESHER_POLYHEDRAL_SURFACE_USE_OCTREE
       return self.intersect_segment_surface(*surface.subfacets_tree_ptr, s);
@@ -124,14 +124,14 @@ public:
       return surface.subfacets_tree_ptr->intersection(s);
 #endif
     }
-    
+
     Object operator()(const Surface_3& surface, const Ray_3& r) const {
 #ifdef CGAL_SURFACE_MESHER_POLYHEDRAL_SURFACE_USE_OCTREE
       return self.intersect_ray_surface(*surface.subfacets_tree_ptr, r);
 #endif
       return Object();
     }
-      
+
     Object operator()(const Surface_3& surface, const Line_3& l) const {
 #ifdef CGAL_SURFACE_MESHER_POLYHEDRAL_SURFACE_USE_OCTREE
       return self.intersect_line_surface(*surface.subfacets_tree_ptr, l);
@@ -158,9 +158,9 @@ public:
     }
 
     template <typename OutputIteratorPoints>
-    OutputIteratorPoints operator() (const Surface_3& surface, 
-                                     OutputIteratorPoints out, 
-                                     int n = 20) const // WARNING: why 20?    
+    OutputIteratorPoints operator() (const Surface_3& surface,
+                                     OutputIteratorPoints out,
+                                     int n = 20) const // WARNING: why 20?
     {
       for (typename Surface_3::Corner_vertices::const_iterator vit =
              surface.corner_vertices_ptr->begin();
@@ -226,13 +226,13 @@ public:
       Geom_traits().construct_translated_point_3_object();
     typename Geom_traits::Bounded_side_3 bounded_side =
       Geom_traits().bounded_side_3_object();
-    typename Geom_traits::Construct_scaled_vector_3 scale = 
+    typename Geom_traits::Construct_scaled_vector_3 scale =
       Geom_traits().construct_scaled_vector_3_object();
 
     const typename GT::Iso_cuboid_3& cuboid = surface.subfacets_tree_ptr->iso_cuboid();
 
     if( bounded_side(cuboid,
-		     p) == ON_UNBOUNDED_SIDE )
+                     p) == ON_UNBOUNDED_SIDE )
       return false;
 
 #ifdef CGAL_SURFACE_MESHER_DEBUG_INTERSECTION_DATA_STRUCTURE
@@ -245,17 +245,17 @@ public:
     while(! result.first)
     {
       result = surface.subfacets_tree_ptr->
-        number_of_intersections(segment(p, 
-					translate(p, 
-						  scale(vector(ORIGIN,
-							       *random_point++),
-							diameter))));
+        number_of_intersections(segment(p,
+                                        translate(p,
+                                                  scale(vector(ORIGIN,
+                                                               *random_point++),
+                                                        diameter))));
     }
     return (result.second % 2) == 1;
   }
 
   Object intersect_curves_with_triangle(const Surface_3& surface,
-					const Triangle_3& t) const
+                                        const Triangle_3& t) const
   {
     if(! surface.has_edges())
       return Object();
@@ -277,9 +277,9 @@ public:
 //   CGAL::Object intersect_with_surface (Octree data_struct, Elt e) {
 //     typedef CGAL::Data_structure_using_tree_3<Geom_traits> Octree;
 //     for ( typename Octree::Constraint_map_iterator cit = data_struct.c_m.begin();
-// 	  cit != data_struct.c_m.end(); ++cit ) {
+//           cit != data_struct.c_m.end(); ++cit ) {
 //       if (cit->second->does_intersect (e))
-// 	return cit->second->intersection (e);
+//         return cit->second->intersection (e);
 //     }
 
 //     return CGAL::Object();
@@ -293,8 +293,8 @@ public:
       // debug: test if segment is degenerate
       // (can happen, because of rounding in circumcenter computations)
       if (is_degenerate(s)) {
-	std::cerr << "Warning: degenerate segment (" << s << ")\n";
-	return CGAL::Object();
+        std::cerr << "Warning: degenerate segment (" << s << ")\n";
+        return CGAL::Object();
       }
 
       // debug: for detecting whether Marie's code works
@@ -307,10 +307,10 @@ public:
 
 
 //       if ((assign(p, oun) && !assign(p,odeux)) ||
-// 	  !assign(p, oun) && assign(p,odeux))
-// 	std::cout << "s " << s
-// 		  << " " << (assign(p, odeux))
-// 		  << std::endl;
+//           !assign(p, oun) && assign(p,odeux))
+//         std::cout << "s " << s
+//                   << " " << (assign(p, odeux))
+//                   << std::endl;
 
       const Object o = data_struct.intersection(s.vertex(0), s.vertex(1));
       if(const Point_with_index* pi = object_cast<Point_with_index>(&o))
@@ -335,8 +335,8 @@ public:
       // debug: test if segment is degenerate
       // (can happen, because of rounding in circumcenter computations)
       if (is_degenerate(r)) {
-	std::cerr << "Warning: degenerate ray (" << r << ")\n";
-	return CGAL::Object();
+        std::cerr << "Warning: degenerate ray (" << r << ")\n";
+        return CGAL::Object();
       }
       // debug: for detecting whether Marie's code works
       // (we compare with our basic intersection function)
@@ -347,10 +347,10 @@ public:
 //       odeux = oun;
 
 //       if ((assign(p, oun) && !assign(p,odeux)) ||
-// 	  !assign(p, oun) && assign(p,odeux))
-// 	std::cout << "r " << r
-// 		  << " " << (assign(p, odeux))
-// 		  << std::endl;
+//           !assign(p, oun) && assign(p,odeux))
+//         std::cout << "r " << r
+//                   << " " << (assign(p, odeux))
+//                   << std::endl;
 
 //       return odeux;
 
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Profile_counter.h 5.0.3-1/include/CGAL/Surface_mesher/Profile_counter.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Profile_counter.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Profile_counter.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Profile_counter.h $
-// $Id: Profile_counter.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Profile_counter.h $
+// $Id: Profile_counter.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -38,9 +38,9 @@
 #  define CGAL_SURFACE_MESHER_HISTOGRAM_PROFILER(Y, Z)
 #  define CGAL_SURFACE_MESHER_BRANCH_PROFILER(Y, NAME)
 #  define CGAL_SURFACE_MESHER_BRANCH_PROFILER_BRANCH(NAME)
-#  define CGAL_SURFACE_MESHER_BRANCH_PROFILER_3(Y, NAME) 
+#  define CGAL_SURFACE_MESHER_BRANCH_PROFILER_3(Y, NAME)
 #  define CGAL_SURFACE_MESHER_BRANCH_PROFILER_BRANCH_1(NAME)
-#  define CGAL_SURFACE_MESHER_BRANCH_PROFILER_BRANCH_2(NAME) 
+#  define CGAL_SURFACE_MESHER_BRANCH_PROFILER_BRANCH_2(NAME)
 #endif
 
 #endif // CGAL_SURFACE_MESHER_PROFILE_COUNTER_H
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Profile_timer.h 5.0.3-1/include/CGAL/Surface_mesher/Profile_timer.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Profile_timer.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Profile_timer.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Profile_timer.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Profile_timer.h $
 // $Id: Profile_timer.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Sphere_oracle_3.h 5.0.3-1/include/CGAL/Surface_mesher/Sphere_oracle_3.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Sphere_oracle_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Sphere_oracle_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Sphere_oracle_3.h $
-// $Id: Sphere_oracle_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Sphere_oracle_3.h $
+// $Id: Sphere_oracle_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -38,7 +38,7 @@ namespace CGAL {
   {
     // private types
     typedef Sphere_oracle_3<GT, Point_creator, Visitor> Self;
-    
+
     typedef typename GT::Point_3 Point;
     typedef typename GT::FT FT;
     typedef typename GT::Sphere_3 Sphere_3;
@@ -87,11 +87,11 @@ namespace CGAL {
       return on_bounded_side_of_sphere(sphere, p);
     }
 
-    class Intersect_3 
+    class Intersect_3
     {
       const Self& oracle;
 
-      boost::tuple<int, FT, FT> 
+      boost::tuple<int, FT, FT>
       intersection_line_sphere_lambda(const Surface_3& sphere,
                                       const Point& a,
                                       const Point& b) const
@@ -100,7 +100,7 @@ namespace CGAL {
           Let the vectorial line equation:
             m = a + lambda * ( b - a )
           (a, b, and m are points, and lambda if a real.)
-          
+
           Let c be the center of the sphere, of radius r.
           The intersection of the line and the sphere is given by:
             (c-m)^2 = r^2
@@ -122,9 +122,9 @@ namespace CGAL {
 
         typename GT::Construct_vector_3 vector =
           GT().construct_vector_3_object();
-        typename GT::Compute_scalar_product_3 scalar_product = 
+        typename GT::Compute_scalar_product_3 scalar_product =
           GT().compute_scalar_product_3_object();
-        typename GT::Compute_squared_distance_3 squared_distance = 
+        typename GT::Compute_squared_distance_3 squared_distance =
           GT().compute_squared_distance_3_object();
         typename GT::Construct_center_3 center =
           GT().construct_center_3_object();
@@ -145,12 +145,12 @@ namespace CGAL {
         case ZERO:
           return boost::make_tuple(1, ab_ac / ab2, 0);
         case POSITIVE:
-	  {
-	    const FT sqrt_deltaprime = CGAL::sqrt(deltaprime);
-	    return boost::make_tuple(2,
-				     (ab_ac - sqrt_deltaprime) / ab2,
-				     (ab_ac + sqrt_deltaprime) / ab2);
-	  }
+          {
+            const FT sqrt_deltaprime = CGAL::sqrt(deltaprime);
+            return boost::make_tuple(2,
+                                     (ab_ac - sqrt_deltaprime) / ab2,
+                                     (ab_ac + sqrt_deltaprime) / ab2);
+          }
         case NEGATIVE:
           break;
         }
@@ -164,17 +164,17 @@ namespace CGAL {
                                   Assert_on_lambda test) const
       {
         typedef typename GT::Vector_3 Vector;
-        
+
         typename GT::Construct_vector_3 vector =
           GT().construct_vector_3_object();
-        typename GT::Construct_scaled_vector_3 scaled_vector = 
+        typename GT::Construct_scaled_vector_3 scaled_vector =
           GT().construct_scaled_vector_3_object();
-        typename GT::Construct_translated_point_3 translated_point = 
+        typename GT::Construct_translated_point_3 translated_point =
           GT().construct_translated_point_3_object();
 
         int number_of_roots;
         FT root_1, root_2;
-        boost::tie(number_of_roots, root_1, root_2) = 
+        boost::tie(number_of_roots, root_1, root_2) =
           intersection_line_sphere_lambda(sphere, a, b);
 
         const Vector ab = vector(a, b);
@@ -194,30 +194,30 @@ namespace CGAL {
         return Object();
       } // end private_intersection
 
-      struct Lambda_between_0_and_1 : public CGAL::cpp98::unary_function<FT, bool> 
+      struct Lambda_between_0_and_1 : public CGAL::cpp98::unary_function<FT, bool>
       {
         bool operator()(const FT x) const
         {
           return FT(0) <= x && x <= FT(1);
         }
       };
-        
-      struct Lambda_positive : public CGAL::cpp98::unary_function<FT, bool> 
+
+      struct Lambda_positive : public CGAL::cpp98::unary_function<FT, bool>
       {
         bool operator()(const FT x) const
         {
           return FT(0) <= x;
         }
       };
-        
-      struct Always_true : public CGAL::cpp98::unary_function<FT, bool> 
+
+      struct Always_true : public CGAL::cpp98::unary_function<FT, bool>
       {
         bool operator()(const FT) const
         {
           return true;
         }
       };
-        
+
     public:
       Intersect_3(const Self& oracle) : oracle(oracle)
       {
@@ -230,7 +230,7 @@ namespace CGAL {
 
         const Point& a = point_on(s, 0);
         const Point& b = point_on(s, 1);
-        
+
         return private_intersection(sphere, a, b, Lambda_between_0_and_1());
       } // end operator()(Surface_3, Segment_3)
 
@@ -240,7 +240,7 @@ namespace CGAL {
 
         const Point& a = point_on(r, 0);
         const Point& b = point_on(r, 1);
-        
+
         return private_intersection(sphere, a, b, Lambda_positive());
       } // end operator()(Surface_3, Ray_3)
 
@@ -250,7 +250,7 @@ namespace CGAL {
 
         const Point& a = point_on(l, 0);
         const Point& b = point_on(l, 1);
-        
+
         return private_intersection(sphere, a, b, Always_true());
       } // end operator()(Surface_3, Line_3)
 
@@ -261,26 +261,26 @@ namespace CGAL {
                         Point_3& b) const
       {
         typedef typename GT::Vector_3 Vector;
-        
+
         typename GT::Has_on_bounded_side_3 on_bounded_side_of_sphere =
           GT().has_on_bounded_side_3_object();
         typename GT::Construct_vector_3 vector =
           GT().construct_vector_3_object();
-        typename GT::Construct_scaled_vector_3 scaled_vector = 
+        typename GT::Construct_scaled_vector_3 scaled_vector =
           GT().construct_scaled_vector_3_object();
-        typename GT::Construct_translated_point_3 translated_point = 
+        typename GT::Construct_translated_point_3 translated_point =
           GT().construct_translated_point_3_object();
 
         const bool a_in_sphere = on_bounded_side_of_sphere(sphere, a);
-        const bool b_in_sphere = on_bounded_side_of_sphere(sphere, b);        
+        const bool b_in_sphere = on_bounded_side_of_sphere(sphere, b);
 
         if( a_in_sphere && b_in_sphere )
           return true;
 
         int number_of_roots;
         FT root_1, root_2;
-        
-        boost::tie(number_of_roots, root_1, root_2) = 
+
+        boost::tie(number_of_roots, root_1, root_2) =
           intersection_line_sphere_lambda(sphere, a, b);
 
 #ifdef CGAL_SURFACE_MESHER_DEBUG_IMPLICIT_ORACLE
@@ -308,7 +308,7 @@ namespace CGAL {
         {    // do not move point a
           if( root_2 < FT(0) ) // root_x in ]-\infinity, 0[
             return false;      // no intersection
-          else 
+          else
           {
             const Vector ab = vector(a, b);
             if( root_2 <= FT(1) )
@@ -326,14 +326,14 @@ namespace CGAL {
                     Point_3& b) const
       {
         typedef typename GT::Vector_3 Vector;
-        
+
         typename GT::Construct_point_on_3 point_on =
           GT().construct_point_on_3_object();
         typename GT::Construct_vector_3 vector =
           GT().construct_vector_3_object();
-        typename GT::Construct_scaled_vector_3 scaled_vector = 
+        typename GT::Construct_scaled_vector_3 scaled_vector =
           GT().construct_scaled_vector_3_object();
-        typename GT::Construct_translated_point_3 translated_point = 
+        typename GT::Construct_translated_point_3 translated_point =
           GT().construct_translated_point_3_object();
 
         a = point_on(r, 0);
@@ -341,8 +341,8 @@ namespace CGAL {
 
         int number_of_roots;
         FT root_1, root_2;
-        
-        boost::tie(number_of_roots, root_1, root_2) = 
+
+        boost::tie(number_of_roots, root_1, root_2) =
           intersection_line_sphere_lambda(sphere, a, b);
 
         if( number_of_roots == 2 && root_2 > FT(0) )
@@ -365,14 +365,14 @@ namespace CGAL {
                      Point& b) const
       {
         typedef typename GT::Vector_3 Vector;
-        
+
         typename GT::Construct_point_on_3 point_on =
           GT().construct_point_on_3_object();
         typename GT::Construct_vector_3 vector =
           GT().construct_vector_3_object();
-        typename GT::Construct_scaled_vector_3 scaled_vector = 
+        typename GT::Construct_scaled_vector_3 scaled_vector =
           GT().construct_scaled_vector_3_object();
-        typename GT::Construct_translated_point_3 translated_point = 
+        typename GT::Construct_translated_point_3 translated_point =
           GT().construct_translated_point_3_object();
 
         a = point_on(l, 0);
@@ -380,8 +380,8 @@ namespace CGAL {
 
         int number_of_roots;
         FT root_1, root_2;
-        
-        boost::tie(number_of_roots, root_1, root_2) = 
+
+        boost::tie(number_of_roots, root_1, root_2) =
           intersection_line_sphere_lambda(sphere, a, b);
 
         if( number_of_roots == 2 )
@@ -405,18 +405,18 @@ namespace CGAL {
       Construct_initial_points(const Self& oracle) : oracle(oracle)
       {
       }
-      
+
       // Random points
       template <typename OutputIteratorPoints>
-      OutputIteratorPoints operator() (const Surface_3& sphere, 
-                                       OutputIteratorPoints out, 
+      OutputIteratorPoints operator() (const Surface_3& sphere,
+                                       OutputIteratorPoints out,
                                        int n = 20) const // WARNING: why 20?
       {
-        const Point center = 
+        const Point center =
           GT().construct_center_3_object()(sphere);
-        const FT squared_radius = 
+        const FT squared_radius =
           GT().compute_squared_radius_3_object()(sphere);
-        const double radius_in_double = 
+        const double radius_in_double =
           CGAL::sqrt(CGAL::to_double(squared_radius));
 
         typename CGAL::Random_points_on_sphere_3<Point,
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Standard_criteria.h 5.0.3-1/include/CGAL/Surface_mesher/Standard_criteria.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Standard_criteria.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Standard_criteria.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Standard_criteria.h $
-// $Id: Standard_criteria.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Standard_criteria.h $
+// $Id: Standard_criteria.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -54,8 +54,8 @@ namespace CGAL {
       int i = 0;
       q.resize(criteria.size());
       for (typename Criteria::const_iterator cit = criteria.begin(); cit !=
-	     criteria.end(); ++cit)
-	if ((*cit)->is_bad (f, q[i++]))
+             criteria.end(); ++cit)
+        if ((*cit)->is_bad (f, q[i++]))
 #ifndef CGAL_SURFACE_MESHER_DEBUG_CRITERIA
           return true;
       return false;
@@ -151,7 +151,7 @@ namespace CGAL {
       d23=gt.compute_squared_distance_3_object()(p2,p3);
 
       Quality aspect_ratio = 4 * gt.compute_squared_area_3_object()(t)
-	* min_3(d12,d13,d23) / (d12*d13*d23);
+        * min_3(d12,d13,d23) / (d12*d13*d23);
 
       CGAL_assertion (aspect_ratio >= 0 && aspect_ratio <= 1);
       q = aspect_ratio;
@@ -159,16 +159,16 @@ namespace CGAL {
     }
 
   private:
-    static 
+    static
     Quality min_3 (const Quality a, const Quality b, const Quality c) {
       if (a<=b && a<=c)
-	return(a);
+        return(a);
 
       else if (b<=c)
-	return(b);
+        return(b);
 
       else
-	return(c);
+        return(c);
     }
   };  // end Aspect_ratio_criterion
 
@@ -220,10 +220,10 @@ namespace CGAL {
       const FT denom = distance(c, fh.first->get_facet_surface_center(fh.second));
 
       if(denom == FT(0)) {
-	q = 1;
+        q = 1;
       }
       else {
-	q = B / denom;
+        q = B / denom;
       }
       return q < FT(1);
     }
@@ -268,7 +268,7 @@ namespace CGAL {
       const Point& p1 = fh.first->vertex ((fh.second+1)&3)->point();
 
       q =  B / gt.compute_squared_distance_3_object()
-	(p1, fh.first->get_facet_surface_center (fh.second));
+        (p1, fh.first->get_facet_surface_center (fh.second));
       return q < FT(1);
     }
   };  // end Uniform_size_criterion
@@ -311,13 +311,13 @@ namespace CGAL {
       const FT d23 = gt.compute_squared_distance_3_object() (p2, p3);
 
       if (d12 > d13) {
-	if (d12 > d23)
-	  q =  B / d12;
-	else
-	  q = B / d23;
+        if (d12 > d23)
+          q =  B / d12;
+        else
+          q = B / d23;
       }
       else
-	q = B / d13;
+        q = B / d13;
       return q < FT(1);
     }
 
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Surface_mesher_edges_level.h 5.0.3-1/include/CGAL/Surface_mesher/Surface_mesher_edges_level.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Surface_mesher_edges_level.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Surface_mesher_edges_level.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Surface_mesher_edges_level.h $
-// $Id: Surface_mesher_edges_level.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Surface_mesher_edges_level.h $
+// $Id: Surface_mesher_edges_level.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -37,8 +37,8 @@ namespace Surface_mesher {
 
 //   template <class Tr>
 //   typename Tr::Edge
-//   canonical_edge(const Tr& tr, 
-// 		 const typename Tr::Edge e) 
+//   canonical_edge(const Tr& tr,
+//                  const typename Tr::Edge e)
 //   {
 //     typedef typename Tr::Cell_handle Cell_handle;
 //     typedef typename Tr::Vertex_handle Vertex_handle;
@@ -52,41 +52,41 @@ namespace Surface_mesher {
 //     Cell_handle cell = ccirc;
 //     do {
 //       if(Cell_handle(++ccirc) < cell)
-// 	cell = ccirc;
+//         cell = ccirc;
 //     } while(ccirc != begin);
 //     return typename Tr::Edge(cell,
-// 			     cell->index(va),
-// 			     cell->index(vb));
+//                              cell->index(va),
+//                              cell->index(vb));
 //   }
 
 //   template <class Tr,
-// 	    typename ForwardIterator, typename OutputIterator>
+//             typename ForwardIterator, typename OutputIterator>
 //   void canonical_edges(const Tr& tr,
-// 		       ForwardIterator begin,
-// 		       ForwardIterator end,
-// 		       OutputIterator it)
+//                        ForwardIterator begin,
+//                        ForwardIterator end,
+//                        OutputIterator it)
 //   {
 //     typedef typename Tr::Edge Edge;
 
 //     for(ForwardIterator cit = begin; cit != end; ++cit)
 //       for(int i = 1; i < 4; ++i)
-// 	for(int j = 0 ; j < i; ++j)
-// 	  *it++=canonical_edge(tr, Edge(*cit, i, j));
+//         for(int j = 0 ; j < i; ++j)
+//           *it++=canonical_edge(tr, Edge(*cit, i, j));
 //   }
 
-  template <typename Tr, 
-	    typename Surface_mesh_traits>
-  Object 
+  template <typename Tr,
+            typename Surface_mesh_traits>
+  Object
   compute_edge_intersection_curve(const Tr& tr,
-				  const typename Surface_mesh_traits::
-				    Surface_3& surf,
-				  const Surface_mesh_traits& meshtraits,
-				  const typename Tr::Edge& e)
+                                  const typename Surface_mesh_traits::
+                                    Surface_3& surf,
+                                  const Surface_mesh_traits& meshtraits,
+                                  const typename Tr::Edge& e)
   {
 #ifdef CGAL_SURFACE_MESHER_EDGES_DEBUG_INTERSECTION
-    std::cerr << 
+    std::cerr <<
       boost::format("compute_edge_intersection_curve(Edge(%1%, %2%, %3%)="
-		    "(%4%, %5%))\n")
+                    "(%4%, %5%))\n")
       % &*e.first % e.second % e.third
       % e.first->vertex(e.second)->point()
       % e.first->vertex(e.third)->point();
@@ -100,23 +100,23 @@ namespace Surface_mesher {
     typedef typename GT::FT FT;
     typedef typename Surface_mesh_traits::Intersection_point Intersection_point;
 
-    typename GT::Construct_midpoint_3 midpoint = 
+    typename GT::Construct_midpoint_3 midpoint =
       tr.geom_traits().construct_midpoint_3_object();
-    typename GT::Construct_ray_3 create_ray = 
+    typename GT::Construct_ray_3 create_ray =
       tr.geom_traits().construct_ray_3_object();
-    typename GT::Construct_vector_3 create_vector = 
+    typename GT::Construct_vector_3 create_vector =
       tr.geom_traits().construct_vector_3_object();
-    typename GT::Construct_cross_product_vector_3 cross_product = 
+    typename GT::Construct_cross_product_vector_3 cross_product =
       tr.geom_traits().construct_cross_product_vector_3_object();
-    typename GT::Construct_point_on_3 point_on = 
+    typename GT::Construct_point_on_3 point_on =
       tr.geom_traits().construct_point_on_3_object();
-    typename GT::Construct_translated_point_3 translate = 
+    typename GT::Construct_translated_point_3 translate =
       tr.geom_traits().construct_translated_point_3_object();
-    typename GT::Construct_divided_vector_3 divide = 
+    typename GT::Construct_divided_vector_3 divide =
       tr.geom_traits().construct_divided_vector_3_object();
-    typename GT::Construct_scaled_vector_3 scale = 
+    typename GT::Construct_scaled_vector_3 scale =
       tr.geom_traits().construct_scaled_vector_3_object();
-    typename GT::Construct_sum_of_vectors_3 sum = 
+    typename GT::Construct_sum_of_vectors_3 sum =
       tr.geom_traits().construct_sum_of_vectors_3_object();
     typename GT::Compute_squared_length_3 sq_length =
       tr.geom_traits().compute_squared_length_3_object();
@@ -125,7 +125,7 @@ namespace Surface_mesher {
     Edge_dual edge_dual;
     edge_dual.reserve(12);
 
-    // va and vb are the extremities of the edge. 
+    // va and vb are the extremities of the edge.
     const Vertex_handle& va = e.first->vertex(e.second);
     const Vertex_handle& vb = e.first->vertex(e.third);
 
@@ -142,7 +142,7 @@ namespace Surface_mesher {
 
     typename Tr::Cell_circulator circ = tr.incident_cells(e, e.first);
     while(tr.is_infinite(circ)) ++circ; // Start at the first finite
-					// incident cell.
+                                        // incident cell.
     typename Tr::Cell_circulator begin = circ;
 
     typedef typename Edge_dual::size_type size_type;
@@ -173,117 +173,117 @@ namespace Surface_mesher {
       CGAL_assertion(!tr.is_infinite(vc));
       if(tr.is_infinite(vd))
       {
-	const Cell_handle cell_after = ++circ; // increment cell once again.
-	CGAL_assertion_code(++++number_of_infinite_incident_cells);
+        const Cell_handle cell_after = ++circ; // increment cell once again.
+        CGAL_assertion_code(++++number_of_infinite_incident_cells);
 
-	CGAL_assertion(tr.is_infinite(current_cell));
-	CGAL_assertion(tr.is_infinite(next_cell));
-	CGAL_assertion(cell_after != current_cell);
-	CGAL_assertion(!tr.is_infinite(cell_after));
-
-	// last_circumcenter is the circumcenter of the cell before
-	// 'current_cell'. That cell is finite.
-	const Point_3& last_circumcenter = edge_dual[edge_dual.size()-1];
-	// next_circumcenter is the circumcenter of 'cell_after'. That cell
-	// is finite.
-	Point_3 next_circumcenter;
-	// 'cell_after' can be 'begin'.
-	if(cell_after != begin)
-	  next_circumcenter = tr.dual(cell_after);
-	else
-	  next_circumcenter = edge_dual[0];
-
-	// remember vc is finite.
-	const Vector_3 first_vector = 
-	  cross_product(create_vector(va->point(),
-				      vb->point()),
-			create_vector(va->point(),
-				      vc->point()));
-
-	// 'index_d_in_next' is the index of the other finite vertex (with
-	// va and vd), in 'next_cell'.
-	const int index_d_in_next = next_cell->index(current_cell);
-	const Vertex_handle& vd_in_next = next_cell->vertex(index_d_in_next);
-	CGAL_assertion_code(tr.is_infinite(vd_in_next));
-
-	const Vector_3 second_vector = 
-	  cross_product(create_vector(vb->point(), // special
-				      va->point()),// order
-			create_vector(vb->point(),
-				      vd_in_next->point()));
-
-	const Vector_3 middle_vector = sum(first_vector, second_vector);
-
-	const FT sq_norm_first_vector = sq_length(first_vector);
-	const FT sq_norm_second_vector = sq_length(second_vector);
-	const FT sq_norm_middle_vector = sq_length(middle_vector);
+        CGAL_assertion(tr.is_infinite(current_cell));
+        CGAL_assertion(tr.is_infinite(next_cell));
+        CGAL_assertion(cell_after != current_cell);
+        CGAL_assertion(!tr.is_infinite(cell_after));
+
+        // last_circumcenter is the circumcenter of the cell before
+        // 'current_cell'. That cell is finite.
+        const Point_3& last_circumcenter = edge_dual[edge_dual.size()-1];
+        // next_circumcenter is the circumcenter of 'cell_after'. That cell
+        // is finite.
+        Point_3 next_circumcenter;
+        // 'cell_after' can be 'begin'.
+        if(cell_after != begin)
+          next_circumcenter = tr.dual(cell_after);
+        else
+          next_circumcenter = edge_dual[0];
+
+        // remember vc is finite.
+        const Vector_3 first_vector =
+          cross_product(create_vector(va->point(),
+                                      vb->point()),
+                        create_vector(va->point(),
+                                      vc->point()));
+
+        // 'index_d_in_next' is the index of the other finite vertex (with
+        // va and vd), in 'next_cell'.
+        const int index_d_in_next = next_cell->index(current_cell);
+        const Vertex_handle& vd_in_next = next_cell->vertex(index_d_in_next);
+        CGAL_assertion_code(tr.is_infinite(vd_in_next));
+
+        const Vector_3 second_vector =
+          cross_product(create_vector(vb->point(), // special
+                                      va->point()),// order
+                        create_vector(vb->point(),
+                                      vd_in_next->point()));
+
+        const Vector_3 middle_vector = sum(first_vector, second_vector);
+
+        const FT sq_norm_first_vector = sq_length(first_vector);
+        const FT sq_norm_second_vector = sq_length(second_vector);
+        const FT sq_norm_middle_vector = sq_length(middle_vector);
 
 #ifdef CGAL_SURFACE_MESHER_EDGES_DEBUG_INTERSECTION
-	std::cerr << ::boost::format("lengths=%1%, %2%, %3%\n")
-	  % sq_norm_first_vector
-	  % sq_norm_middle_vector
-	  % sq_norm_second_vector;
+        std::cerr << ::boost::format("lengths=%1%, %2%, %3%\n")
+          % sq_norm_first_vector
+          % sq_norm_middle_vector
+          % sq_norm_second_vector;
 #endif
 
-	edge_dual.push_back(translate(last_circumcenter, 
-				      scale(first_vector,
-					    CGAL::sqrt(sq_radius / sq_norm_first_vector))));
-	edge_dual.push_back(translate(edge_middle,
-				      scale(middle_vector,
-					    CGAL::sqrt(sq_radius / sq_norm_middle_vector))));
-	edge_dual.push_back(translate(next_circumcenter,
-				      scale(second_vector,
-					    CGAL::sqrt(sq_radius / sq_norm_second_vector))));
-	if(cell_after != begin) 
-	{
-	  edge_dual.push_back(next_circumcenter);
-	  ++circ; // again (third time), increment circ
-	  CGAL_assertion_code(++number_of_finite_incident_cells);
-	}
+        edge_dual.push_back(translate(last_circumcenter,
+                                      scale(first_vector,
+                                            CGAL::sqrt(sq_radius / sq_norm_first_vector))));
+        edge_dual.push_back(translate(edge_middle,
+                                      scale(middle_vector,
+                                            CGAL::sqrt(sq_radius / sq_norm_middle_vector))));
+        edge_dual.push_back(translate(next_circumcenter,
+                                      scale(second_vector,
+                                            CGAL::sqrt(sq_radius / sq_norm_second_vector))));
+        if(cell_after != begin)
+        {
+          edge_dual.push_back(next_circumcenter);
+          ++circ; // again (third time), increment circ
+          CGAL_assertion_code(++number_of_finite_incident_cells);
+        }
       }
       else // the cell 'current_cell' is finite
-      { 
-	CGAL_assertion_code(++number_of_finite_incident_cells);
-	CGAL_assertion(!tr.is_infinite(current_cell));
+      {
+        CGAL_assertion_code(++number_of_finite_incident_cells);
+        CGAL_assertion(!tr.is_infinite(current_cell));
 
         // Use tr.dual(), which is optimized, when the cell base class as
         // circumcenter().
-	edge_dual.push_back(tr.dual(current_cell));
+        edge_dual.push_back(tr.dual(current_cell));
 
-// 	const int index_of_next_cell = current_cell->index(next_cell);
+//         const int index_of_next_cell = current_cell->index(next_cell);
 
-// 	{ // center of the (finite) facet between current_cell and next_cell
-// 	  const int i = index_of_next_cell(index_of_next_cell, 0);
-// 	  const int j = index_of_next_cell(index_of_next_cell, 1);
-// 	  const int k = index_of_next_cell(index_of_next_cell, 2);
-// 	  edge_dual.push_back(circumcenter(current_cell->vertex(i),
-// 					   current_cell->vertex(j),
-// 					   current_cell->vertex(k)));
-// 	}
+//         { // center of the (finite) facet between current_cell and next_cell
+//           const int i = index_of_next_cell(index_of_next_cell, 0);
+//           const int j = index_of_next_cell(index_of_next_cell, 1);
+//           const int k = index_of_next_cell(index_of_next_cell, 2);
+//           edge_dual.push_back(circumcenter(current_cell->vertex(i),
+//                                            current_cell->vertex(j),
+//                                            current_cell->vertex(k)));
+//         }
       } // end of the case when 'current_cell' is finite
     } while(circ != begin);
 
 #ifdef CGAL_SURFACE_MESHER_EDGES_DEBUG_INTERSECTION
     CGAL_assertion_code(
-    std::cerr << 
+    std::cerr <<
       boost::format("  number of finite/infinite incident cells: %1%/%2%\n"
-		    "  edge_dual.size(): %3%\n")
+                    "  edge_dual.size(): %3%\n")
       % number_of_finite_incident_cells
       % number_of_infinite_incident_cells
       % edge_dual.size();
     )
 #endif
     CGAL_assertion(number_of_infinite_incident_cells == 0 ||
-		   number_of_infinite_incident_cells == 2);
+                   number_of_infinite_incident_cells == 2);
     CGAL_assertion(edge_dual.size() == number_of_finite_incident_cells +
-		   number_of_infinite_incident_cells +
-		   (number_of_infinite_incident_cells!=0 ? 1 : 0) );
+                   number_of_infinite_incident_cells +
+                   (number_of_infinite_incident_cells!=0 ? 1 : 0) );
     CGAL_assertion(edge_dual.size() >= 3);
 
-    Circulator_from_container<Edge_dual> 
+    Circulator_from_container<Edge_dual>
       vor_circ(&edge_dual), vor_begin(vor_circ); //Circulator in the list of
-						//points of the edge dual
-						//(a Voronoi facet).
+                                                //points of the edge dual
+                                                //(a Voronoi facet).
 
     const Point_3& first = *vor_circ++;
     --vor_begin;
@@ -291,11 +291,11 @@ namespace Surface_mesher {
       const Point_3& current = *vor_circ;
       const Point_3& next = *++vor_circ;
 
-      Object o = 
-	meshtraits.intersect_curves_with_triangle(surf,
-						  Triangle_3(current,
-							     next,
-							     first));
+      Object o =
+        meshtraits.intersect_curves_with_triangle(surf,
+                                                  Triangle_3(current,
+                                                             next,
+                                                             first));
 #ifdef CGAL_SURFACE_MESHER_EDGES_DEBUG_INTERSECTION
       CGAL_assertion_code(
       std::cerr << boost::format("  triangle test (%1%, %2%, %3%) = %4%\n")
@@ -309,7 +309,7 @@ namespace Surface_mesher {
         CGAL_assertion_code(
         std::cerr << boost::format("  result=(%1%)\n")
         % (*point);
-			    )
+                            )
 #endif
         return make_object(static_cast<Point_3>(*point));
       }
@@ -318,21 +318,21 @@ namespace Surface_mesher {
     return Object();
   } // end of compute_edge_intersection_curve(Tr, Surface_3, SMTraits, Edge)
 
-  template <typename Tr, 
-	    typename Surface_mesh_traits>
-  typename Tr::Point 
+  template <typename Tr,
+            typename Surface_mesh_traits>
+  typename Tr::Point
   lineic_center(const Tr& tr,
-		  const typename Surface_mesh_traits::Surface_3& surf,
-		  const Surface_mesh_traits& meshtraits,
-		  const typename Tr::Edge& e)
+                  const typename Surface_mesh_traits::Surface_3& surf,
+                  const Surface_mesh_traits& meshtraits,
+                  const typename Tr::Edge& e)
   {
     typedef typename Surface_mesh_traits::Intersection_point Intersection_point;
-    // the following object cast can throw a 'Bad_object_cast' exception 
-    Intersection_point point = 
+    // the following object cast can throw a 'Bad_object_cast' exception
+    Intersection_point point =
       object_cast<Intersection_point>(compute_edge_intersection_curve(tr,
-					     surf,
-					     meshtraits,
-					     e));
+                                             surf,
+                                             meshtraits,
+                                             e));
     return static_cast<typename Tr::Point>(point);
   }
 
@@ -350,7 +350,7 @@ namespace Surface_mesher {
       typedef std::pair<Vertex_handle, Vertex_handle> Pair_of_vertices;
       typedef std::pair<Edge, Point_3> Edge_info;
       typedef ::CGAL::Meshes::Simple_map_container<Pair_of_vertices,
-						   Edge_info> Default_container;
+                                                   Edge_info> Default_container;
     }; // end struct Surface_mesher_edges_base_types
 
   } // end namespace details
@@ -360,7 +360,7 @@ namespace Surface_mesher {
     class Surface_,
     class SurfaceMeshTraits,
     class EdgesCriteria,
-    class Container = 
+    class Container =
       typename details::Surface_mesher_edges_base_types<C2T3>::Default_container
     >
   class Surface_mesher_edges_level_base :
@@ -409,7 +409,7 @@ namespace Surface_mesher {
     void order_pair(T& a, T& b)
     {
       if( b < a )
-	std::swap(a, b);
+        std::swap(a, b);
     }
 
     template <typename T>
@@ -418,14 +418,14 @@ namespace Surface_mesher {
     make_ordered_pair(const T& a, const T& b)
     {
       if( a < b )
-	return std::make_pair(a, b);
+        return std::make_pair(a, b);
       else
-	return std::make_pair(b, a);
+        return std::make_pair(b, a);
     }
 
     static
     Pair_of_vertices make_pair_of_vertices(const Vertex_handle& va,
-					   const Vertex_handle& vb)
+                                           const Vertex_handle& vb)
     {
       return make_ordered_pair(va, vb);
     }
@@ -434,46 +434,46 @@ namespace Surface_mesher {
     Pair_of_vertices make_pair_of_vertices(const Edge e)
     {
       return make_pair_of_vertices(e.first->vertex(e.second),
-				   e.first->vertex(e.third));
+                                   e.first->vertex(e.third));
     }
 
     template <typename ForwardIterator, typename OutputIterator>
     static
     void all_pair_of_vertices(ForwardIterator begin,
-			      ForwardIterator end,
-			      OutputIterator it)
+                              ForwardIterator end,
+                              OutputIterator it)
     {
       for(ForwardIterator cit = begin; cit != end; ++cit)
-	for(int i = 1; i < 4; ++i)
-	  for(int j = 0 ; j < i; ++j)
-	    *it++=make_pair_of_vertices(Edge(*cit, i, j));
+        for(int i = 1; i < 4; ++i)
+          for(int j = 0 ; j < i; ++j)
+            *it++=make_pair_of_vertices(Edge(*cit, i, j));
     }
 
     template <typename ForwardIterator, typename OutputIterator>
     static
     void all_edges(ForwardIterator begin,
-		   ForwardIterator end,
-		   OutputIterator it)
+                   ForwardIterator end,
+                   OutputIterator it)
     {
       std::set<Pair_of_vertices> edges;
       for(ForwardIterator cit = begin; cit != end; ++cit)
-	for(int i = 1; i < 4; ++i)
-	  for(int j = 0 ; j < i; ++j)
-	  {
-	    const Pair_of_vertices pair = make_pair_of_vertices(Edge(*cit, i, j));
-	    if(edges.find(pair) == edges.end())
-	    {
-	      *it++=Edge(*cit, i, j);
-	      edges.insert(pair);
-	    }
-	  }
+        for(int i = 1; i < 4; ++i)
+          for(int j = 0 ; j < i; ++j)
+          {
+            const Pair_of_vertices pair = make_pair_of_vertices(Edge(*cit, i, j));
+            if(edges.find(pair) == edges.end())
+            {
+              *it++=Edge(*cit, i, j);
+              edges.insert(pair);
+            }
+          }
     }
   public:
     // Constructor
-    Surface_mesher_edges_level_base (C2T3& co, 
-				     const Surface& s, 
-				     const Surface_mesh_traits& mesh_traits,
-				     const Edges_criteria& c) :
+    Surface_mesher_edges_level_base (C2T3& co,
+                                     const Surface& s,
+                                     const Surface_mesh_traits& mesh_traits,
+                                     const Edges_criteria& c) :
       Triangulation_mesher_level_traits_3<Tr>(co.triangulation()),
       c2t3(co),
       tr(co.triangulation()),
@@ -498,12 +498,12 @@ namespace Surface_mesher {
 
     Edge get_next_element_impl()
     {
-      const typename Container::value_type container_value = 
-	Container::get_next_element_impl();
+      const typename Container::value_type container_value =
+        Container::get_next_element_impl();
       refinement_point_cache = container_value.second.second;
       const Edge& e = container_value.second.first;
-      CGAL_assertion_code(const Vertex_handle& va = container_value.first.first);    
-      CGAL_assertion_code(const Vertex_handle& vb = container_value.first.second);    
+      CGAL_assertion_code(const Vertex_handle& va = container_value.first.first);
+      CGAL_assertion_code(const Vertex_handle& vb = container_value.first.second);
       CGAL_assertion_code(const Cell_handle& c = e.first);
       CGAL_assertion_code(const int i = e.second);
       CGAL_assertion_code(const int j = e.third);
@@ -518,34 +518,34 @@ namespace Surface_mesher {
     }
 
     Mesher_level_conflict_status private_test_point_conflict_impl(const Point_3& p,
-								  Zone& zone)
+                                                                  Zone& zone)
     {
       if( zone.locate_type == Tr::VERTEX )
       {
-	std::cerr << boost::format("Error: (%1%) is already inserted on edge\n") % p;
-	return CONFLICT_AND_ELEMENT_SHOULD_BE_DROPPED;
+        std::cerr << boost::format("Error: (%1%) is already inserted on edge\n") % p;
+        return CONFLICT_AND_ELEMENT_SHOULD_BE_DROPPED;
       }
       else
-	return NO_CONFLICT;
+        return NO_CONFLICT;
     }
 
     Zone conflicts_zone_impl(const Point_3& p,
-			     const Edge& e) const 
+                             const Edge& e) const
     {
       Zone zone;
 
       // TODO may be avoid the locate here
       zone.cell =
-	tr.locate(p, zone.locate_type, zone.i, zone.j, e.first);
+        tr.locate(p, zone.locate_type, zone.i, zone.j, e.first);
 #ifdef CGAL_SURFACE_MESHER_EDGES_DEBUG_INSERTIONS
-      std::cerr << 
-	boost::format("-> edge Edge(%1%, %2%, %3%)=(%4%, %5%)\n"
-		      "     insertion point: %6% (locate_type=%7%)\n")
-	% &*e.first % e.second % e.third
-	% e.first->vertex(e.second)->point()
-	% e.first->vertex(e.third)->point()
-	% p
-	% zone.locate_type;
+      std::cerr <<
+        boost::format("-> edge Edge(%1%, %2%, %3%)=(%4%, %5%)\n"
+                      "     insertion point: %6% (locate_type=%7%)\n")
+        % &*e.first % e.second % e.third
+        % e.first->vertex(e.second)->point()
+        % e.first->vertex(e.third)->point()
+        % p
+        % zone.locate_type;
 #endif // CGAL_SURFACE_MESHER_EDGES_DEBUG_INSERTIONS
       if(zone.locate_type != Tr::VERTEX)
         tr.find_conflicts(p, zone.cell,
@@ -555,15 +555,15 @@ namespace Surface_mesher {
       return zone;
     }
 
-    void scan_triangulation_impl() 
+    void scan_triangulation_impl()
     {
 #ifdef CGAL_SURFACE_MESHER_VERBOSE
       std::cout << "scanning edges (curves)..." << std::endl;
 #endif // CGAL_SURFACE_MESHER_VERBOSE
       for(Finite_edges_iterator eit = tr.finite_edges_begin();
-	  eit != tr.finite_edges_end();
-	  ++eit)
-	new_edge(*eit);
+          eit != tr.finite_edges_end();
+          ++eit)
+        new_edge(*eit);
 #ifdef CGAL_SURFACE_MESHER_EDGES_DEBUG_INTERSECTION
       std::cout << "number of edges: " << this->size() << std::endl;
 #endif // CGAL_SURFACE_MESHER_EDGES_DEBUG_INTERSECTION
@@ -571,19 +571,19 @@ namespace Surface_mesher {
 
     Mesher_level_conflict_status
     test_point_conflict_from_superior_impl(const Point_3& p,
-					   Zone& zone)
+                                           Zone& zone)
     {
       std::set<Edge> edges;
 
-      all_edges(zone.cells.begin(), zone.cells.end(), 
-		inserter(edges));
+      all_edges(zone.cells.begin(), zone.cells.end(),
+                inserter(edges));
 
       for(typename std::set<Edge>::iterator eit = edges.begin();
-	  eit != edges.end();
-	  ++eit)
-	if( test_if_edge_is_encroached(*eit, p) )
-	  return CONFLICT_BUT_ELEMENT_CAN_BE_RECONSIDERED;
-      
+          eit != edges.end();
+          ++eit)
+        if( test_if_edge_is_encroached(*eit, p) )
+          return CONFLICT_BUT_ELEMENT_CAN_BE_RECONSIDERED;
+
       return NO_CONFLICT;
     }
 
@@ -598,33 +598,33 @@ namespace Surface_mesher {
       CGAL_assertion_code((order_pair(va, vb)));
 
       std::set<Edge> edges;
-      all_edges(zone.cells.begin(), zone.cells.end(), 
-		CGAL::inserter(edges));
+      all_edges(zone.cells.begin(), zone.cells.end(),
+                CGAL::inserter(edges));
 
 #ifdef CGAL_SURFACE_MESHER_EDGES_DEBUG_INSERTIONS
       int number_of_edges_removed = 0;
 #endif // CGAL_SURFACE_MESHER_EDGES_DEBUG_INSERTIONS
 
       for(typename std::set<Edge>::iterator eit = edges.begin();
-	  eit != edges.end();
-	  ++eit)
-	if( !tr.is_infinite(*eit) &&
-	    c2t3.unmark(*eit) )
-	{
-	  CGAL_assertion_code(Vertex_handle eit_va = eit->first->vertex(eit->second));
-	  CGAL_assertion_code(Vertex_handle eit_vb = eit->first->vertex(eit->third));
-	  CGAL_assertion_code(order_pair(eit_va, eit_vb));
-	  CGAL_assertion_code(if(va == eit_va && vb == eit_vb) is_e_removed = true);
-// 	  c2t3.remove_from_complex(*eit);
-	  this->remove_element(make_pair_of_vertices(*eit));
+          eit != edges.end();
+          ++eit)
+        if( !tr.is_infinite(*eit) &&
+            c2t3.unmark(*eit) )
+        {
+          CGAL_assertion_code(Vertex_handle eit_va = eit->first->vertex(eit->second));
+          CGAL_assertion_code(Vertex_handle eit_vb = eit->first->vertex(eit->third));
+          CGAL_assertion_code(order_pair(eit_va, eit_vb));
+          CGAL_assertion_code(if(va == eit_va && vb == eit_vb) is_e_removed = true);
+//           c2t3.remove_from_complex(*eit);
+          this->remove_element(make_pair_of_vertices(*eit));
 #ifdef CGAL_SURFACE_MESHER_EDGES_DEBUG_INSERTIONS
-	  ++number_of_edges_removed;
+          ++number_of_edges_removed;
 #endif
-	}
+        }
 #ifdef CGAL_SURFACE_MESHER_EDGES_DEBUG_INSERTIONS
-      std::cerr << 
-	boost::format("     before insertion: remove %1% edges\n")
-	% number_of_edges_removed;
+      std::cerr <<
+        boost::format("     before insertion: remove %1% edges\n")
+        % number_of_edges_removed;
 #endif
 //       CGAL_assertion(is_e_removed == true);
     }
@@ -633,28 +633,28 @@ namespace Surface_mesher {
     void remove_edges(const Point_3&, const Zone& zone)
     {
       std::set<Edge> edges;
-      all_edges(zone.cells.begin(), zone.cells.end(), 
-		CGAL::inserter(edges));
+      all_edges(zone.cells.begin(), zone.cells.end(),
+                CGAL::inserter(edges));
 
 #ifdef CGAL_SURFACE_MESHER_EDGES_DEBUG_INSERTIONS
       int number_of_edges_removed = 0;
 #endif // CGAL_SURFACE_MESHER_EDGES_DEBUG_INSERTIONS
 
       for(typename std::set<Edge>::iterator eit = edges.begin();
-	  eit != edges.end();
-	  ++eit)
-	if( !tr.is_infinite(*eit) &&
-	    c2t3.unmark(*eit) )
-	{
-	  this->remove_element(make_pair_of_vertices(*eit));
+          eit != edges.end();
+          ++eit)
+        if( !tr.is_infinite(*eit) &&
+            c2t3.unmark(*eit) )
+        {
+          this->remove_element(make_pair_of_vertices(*eit));
 #ifdef CGAL_SURFACE_MESHER_EDGES_DEBUG_INSERTIONS
-	  ++number_of_edges_removed;
+          ++number_of_edges_removed;
 #endif
-	}
+        }
 #ifdef CGAL_SURFACE_MESHER_EDGES_DEBUG_INSERTIONS
-      std::cerr << 
-	boost::format("     before insertion: remove %1% edges\n")
-	% number_of_edges_removed;
+      std::cerr <<
+        boost::format("     before insertion: remove %1% edges\n")
+        % number_of_edges_removed;
 #endif
     }
 
@@ -667,72 +667,72 @@ namespace Surface_mesher {
       std::set<Edge> edges;
 
       all_edges(cellules.begin(), cellules.end(),
-		CGAL::inserter(edges));
+                CGAL::inserter(edges));
 
 #ifdef CGAL_SURFACE_MESHER_EDGES_DEBUG_INSERTIONS
-      std::cerr << 
-	boost::format("     after insertion: %1% new edges \n")
-	% edges.size();
+      std::cerr <<
+        boost::format("     after insertion: %1% new edges \n")
+        % edges.size();
 #endif // CGAL_SURFACE_MESHER_EDGES_DEBUG_INSERTIONS
       for(typename std::set<Edge>::iterator eit = edges.begin();
-	  eit != edges.end();
-	  ++eit)
-	new_edge(*eit);
+          eit != edges.end();
+          ++eit)
+        new_edge(*eit);
 #ifdef CGAL_SURFACE_MESHER_EDGES_DEBUG_INSERTIONS
-      std::cerr << 
-	boost::format("     c2t3.number_of_marked_edges=%1%\n"
-		      "     number of bad edges=%2%\n")
-	% c2t3.number_of_marked_edges()
-	% this->size();
+      std::cerr <<
+        boost::format("     c2t3.number_of_marked_edges=%1%\n"
+                      "     number of bad edges=%2%\n")
+        % c2t3.number_of_marked_edges()
+        % this->size();
 #endif // CGAL_SURFACE_MESHER_EDGES_DEBUG_INSERTIONS
     }
 
-  private: 
+  private:
     /** Test if the edge e is encroached by the point p, that is if the
-	circumscribed sphere centered a the surfacic center of e contains
-	the point p in its interior. */
+        circumscribed sphere centered a the surfacic center of e contains
+        the point p in its interior. */
     bool test_if_edge_is_encroached(const Edge e, const Point_3& p)
     {
       typename GT::Compute_squared_distance_3 sq_distance =
-	tr.geom_traits().compute_squared_distance_3_object();
+        tr.geom_traits().compute_squared_distance_3_object();
 
       if( !tr.is_infinite(e) &&
-	  c2t3.is_marked(e) )
+          c2t3.is_marked(e) )
       {
-	Edge_info& info = c2t3.get_info(e);
-	if(!info.is_cached)
-	{
-	  info.lineic_center = lineic_center(tr, 
-					     surf,
-					     meshtraits,
-					     e);
-	  info.is_cached = true;
-	}
-	if(sq_distance(info.lineic_center, p) <
-	   sq_distance(info.lineic_center,
-		       e.first->vertex(e.second)->point()))
-	{
-	  this->add_bad_element(make_pair_of_vertices(e),
-			    std::make_pair(e,
-					   info.lineic_center));
-	  return true;
-	}
-	else
-	  return false;
+        Edge_info& info = c2t3.get_info(e);
+        if(!info.is_cached)
+        {
+          info.lineic_center = lineic_center(tr,
+                                             surf,
+                                             meshtraits,
+                                             e);
+          info.is_cached = true;
+        }
+        if(sq_distance(info.lineic_center, p) <
+           sq_distance(info.lineic_center,
+                       e.first->vertex(e.second)->point()))
+        {
+          this->add_bad_element(make_pair_of_vertices(e),
+                            std::make_pair(e,
+                                           info.lineic_center));
+          return true;
+        }
+        else
+          return false;
       }
       else
-	return false;
+        return false;
     }
 
     bool is_edge_in_restricted_triangulation(const Edge& e,
-					     Point_3& p) const
+                                             Point_3& p) const
     {
       typedef typename Surface_mesh_traits::Intersection_point Intersection_point;
       const Object obj = compute_edge_intersection_curve(tr,
                                                          surf,
                                                          meshtraits,
                                                          e);
-      if(const Intersection_point* point = 
+      if(const Intersection_point* point =
          object_cast<Intersection_point>(&obj))
       {
         p = static_cast<Point_3>(*point);
@@ -749,17 +749,17 @@ namespace Surface_mesher {
       Point_3 center;
       if(is_edge_in_restricted_triangulation(e, center))
       {
-// 	CGAL_assertion(e == canonical_edge(tr, e));
-	Edge_info info;
-	info.is_cached = true;
-	info.lineic_center = center;
-	c2t3.mark(e, info);
-	if(criteria.is_bad(e, center))
-	{
-	  this->add_bad_element(make_pair_of_vertices(e),
-			    std::make_pair(e,
-					   center));
-	}
+//         CGAL_assertion(e == canonical_edge(tr, e));
+        Edge_info info;
+        info.is_cached = true;
+        info.lineic_center = center;
+        c2t3.mark(e, info);
+        if(criteria.is_bad(e, center))
+        {
+          this->add_bad_element(make_pair_of_vertices(e),
+                            std::make_pair(e,
+                                           center));
+        }
       }
     }
 
@@ -777,7 +777,7 @@ namespace Surface_mesher {
       return "#edges";
     }
 
-    bool check_restricted_delaunay () 
+    bool check_restricted_delaunay ()
     {
       // to be done
       return true;
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Surface_mesher_edges_level_visitor.h 5.0.3-1/include/CGAL/Surface_mesher/Surface_mesher_edges_level_visitor.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Surface_mesher_edges_level_visitor.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Surface_mesher_edges_level_visitor.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Surface_mesher_edges_level_visitor.h $
-// $Id: Surface_mesher_edges_level_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Surface_mesher_edges_level_visitor.h $
+// $Id: Surface_mesher_edges_level_visitor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -41,7 +41,7 @@ namespace CGAL {
       typedef Previous_level Previous_visitor;
 
       Edges_level_visitor(Surface_mesher* surface_mesher_,
-	      Previous_visitor* p)
+              Previous_visitor* p)
         : surface_mesher(surface_mesher_), previous(p) {}
 
       template <typename E, typename P>
@@ -52,12 +52,12 @@ namespace CGAL {
                             const Point& p,
                             Zone zone)
       {
-	surface_mesher->remove_edges(p, zone);
+        surface_mesher->remove_edges(p, zone);
       }
 
       void after_insertion(const Vertex_handle& v)
       {
-	surface_mesher->after_insertion_impl(v);
+        surface_mesher->after_insertion_impl(v);
       }
 
       template <typename E, typename P, typename Z>
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Surface_mesher.h 5.0.3-1/include/CGAL/Surface_mesher/Surface_mesher.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Surface_mesher.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Surface_mesher.h	2020-08-01 19:02:57.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Surface_mesher.h $
-// $Id: Surface_mesher.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Surface_mesher.h $
+// $Id: Surface_mesher.h 627a7b2 2020-04-27T17:08:35+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -83,8 +83,8 @@ namespace CGAL {
     typedef Double_map<Facet, Quality> Bad_facets;
 
     // Constructor
-    Surface_mesher_base (C2T3& co, 
-                         const Surface& s, 
+    Surface_mesher_base (C2T3& co,
+                         const Surface& s,
                          const Surface_mesh_traits& mesh_traits,
                          const Criteria& c) :
       Triangulation_mesher_level_traits_3<Tr>(co.triangulation()),
@@ -143,13 +143,13 @@ namespace CGAL {
     // Remains unchanged
     Tr& triangulation_ref_impl()
       {
-	return tr;
+        return tr;
       }
 
     // Remains unchanged
     const Tr& triangulation_ref_impl() const
       {
-	return tr;
+        return tr;
       }
 
     // Initialization function
@@ -161,36 +161,36 @@ namespace CGAL {
       std::cout << "scanning facets..." << std::endl;
 #endif
       for (Finite_facets_iterator fit = tr.finite_facets_begin(); fit !=
-	     tr.finite_facets_end(); ++fit) {
-	if (tr.dimension() == 3) {
+             tr.finite_facets_end(); ++fit) {
+        if (tr.dimension() == 3) {
           new_facet<true>(*fit);
           // see definition of
           // template <bool> new_facet()
-	}
-	else {
-	  CGAL_assertion (tr.dimension() == 2);
-	  if (is_facet_on_surface(*fit, center)) {
-	    //Cell_handle c;
-	    c2t3.set_in_complex(*fit);
-	    set_facet_surface_center((*fit),center);
-	    //c=(*fit).first;
-	    //c->set_facet_on_surface((*fit).second,true);
-	    //c->set_facet_surface_center((*fit).second,center);
+        }
+        else {
+          CGAL_assertion (tr.dimension() == 2);
+          if (is_facet_on_surface(*fit, center)) {
+            //Cell_handle c;
+            c2t3.set_in_complex(*fit);
+            set_facet_surface_center((*fit),center);
+            //c=(*fit).first;
+            //c->set_facet_on_surface((*fit).second,true);
+            //c->set_facet_surface_center((*fit).second,center);
 
             Quality a_r;
-	    if (criteria.is_bad (*fit, a_r)) {
+            if (criteria.is_bad (*fit, a_r)) {
 #ifdef CGAL_SURFACE_MESHER_TAG_BAD
               fit->first->set_bad(fit->second);
               const Facet mirror_facet = tr.mirror_facet(*fit);
               mirror_facet.first->set_bad(mirror_facet.second);
 #endif // CGAL_SURFACE_MESHER_TAG_BAD
-	      facets_to_refine.insert(*fit,a_r);
-	    }
-	  }
-	  else
-	    c2t3.remove_from_complex(*fit);
-	  //	    (*fit).first->set_facet_on_surface((*fit).second,false);
-	}
+              facets_to_refine.insert(*fit,a_r);
+            }
+          }
+          else
+            c2t3.remove_from_complex(*fit);
+          //            (*fit).first->set_facet_on_surface((*fit).second,false);
+        }
       }
     } // scan_triangulation_impl end
 
@@ -217,16 +217,16 @@ namespace CGAL {
 #ifdef CGAL_MESHES_DEBUG_REFINEMENT_POINTS
         std::cerr << "point from Surface_mesher: ";
 #endif
-	CGAL_assertion (c2t3.face_status(f) == C2T3::REGULAR);
-	//CGAL_assertion (f.first->is_facet_on_surface (f.second));
-	return get_facet_surface_center (f);
-	//return f.first->get_facet_surface_center (f.second);
+        CGAL_assertion (c2t3.face_status(f) == C2T3::REGULAR);
+        //CGAL_assertion (f.first->is_facet_on_surface (f.second));
+        return get_facet_surface_center (f);
+        //return f.first->get_facet_surface_center (f.second);
       }
 
     // Useless here
     void before_conflicts_impl(const Facet&, const Point&
 #ifdef CGAL_SURFACE_MESHER_DEBUG_BEFORE_CONFLICTS
-			                                s)
+                                                        s)
     {
       std::cerr << "Refine_facets: before conflicts of " << s << " ";
 #else
@@ -237,17 +237,17 @@ namespace CGAL {
 
   // Useless here
     Mesher_level_conflict_status private_test_point_conflict_impl(const Point& p,
-								  Zone& zone)
+                                                                  Zone& zone)
     {
       if( zone.locate_type == Tr::VERTEX )
       {
         std::stringstream sstr;
         sstr << "(" << p << ") is already inserted on surface.\n";
         CGAL_error_msg(sstr.str().c_str());
-	return CONFLICT_AND_ELEMENT_SHOULD_BE_DROPPED;
+        return CONFLICT_AND_ELEMENT_SHOULD_BE_DROPPED;
       }
       else
-	return NO_CONFLICT;
+        return NO_CONFLICT;
     }
 
     // Useless here
@@ -261,40 +261,40 @@ namespace CGAL {
 
     Mesher_level_conflict_status
     test_point_conflict_from_superior_impl(const Point& p,
-					   Zone& zone)
+                                           Zone& zone)
       {
-	for (typename Zone::Facets_iterator fit =
-	       zone.internal_facets.begin();
-	     fit != zone.internal_facets.end();
-	     ++fit)
-	  if( test_if_facet_is_encroached(*fit, p) )
-	    return CONFLICT_BUT_ELEMENT_CAN_BE_RECONSIDERED;
-
-	for (typename Zone::Facets_iterator fit =
-	       zone.boundary_facets.begin();
-	     fit != zone.boundary_facets.end();
-	     ++fit)
-	  if( test_if_facet_is_encroached(*fit, p) )
-	    return CONFLICT_BUT_ELEMENT_CAN_BE_RECONSIDERED;
+        for (typename Zone::Facets_iterator fit =
+               zone.internal_facets.begin();
+             fit != zone.internal_facets.end();
+             ++fit)
+          if( test_if_facet_is_encroached(*fit, p) )
+            return CONFLICT_BUT_ELEMENT_CAN_BE_RECONSIDERED;
+
+        for (typename Zone::Facets_iterator fit =
+               zone.boundary_facets.begin();
+             fit != zone.boundary_facets.end();
+             ++fit)
+          if( test_if_facet_is_encroached(*fit, p) )
+            return CONFLICT_BUT_ELEMENT_CAN_BE_RECONSIDERED;
 
-	return NO_CONFLICT;
+        return NO_CONFLICT;
       }
 
     bool test_if_facet_is_encroached(const Facet f, const Point& p)
     {
       if( tr.is_infinite(f.first) )
-	return false;
+        return false;
 
       if (c2t3.face_status(f) == C2T3::REGULAR)
-	{
-	  const Cell_handle& c = f.first;
-	  const int& index = f.second;
+        {
+          const Cell_handle& c = f.first;
+          const int& index = f.second;
 
-	  typename GT::Compute_squared_distance_3 distance =
-	    tr.geom_traits().compute_squared_distance_3_object();
+          typename GT::Compute_squared_distance_3 distance =
+            tr.geom_traits().compute_squared_distance_3_object();
 
-	  // test Delaunay surfacique
-	  Point center = get_facet_surface_center(f);
+          // test Delaunay surfacique
+          Point center = get_facet_surface_center(f);
 
           for(bool exit = false; ; exit = true)
           {
@@ -304,7 +304,7 @@ namespace CGAL {
 
             if( distance(center, p) <
                 distance(center, c->vertex((index+1)&3)->point()) )
-	    {
+            {
               Quality q;
               criteria.is_bad(f, q); // to get q (passed as reference)
               Facet other_side = mirror_facet(f);
@@ -316,8 +316,8 @@ namespace CGAL {
                 facets_to_refine.insert(f, q);
               else
                 facets_to_refine.insert(other_side, q);
-	      return true;
-	    }
+              return true;
+            }
 
 //             if(exit)
               return false;
@@ -328,25 +328,25 @@ namespace CGAL {
                c->vertex((index+2)&3)->point(),
                c->vertex((index+3)&3)->point());
           }
-	}
+        }
       return false;
     }
 
 
   /* returns the conflicts zone */
     Zone conflicts_zone_impl(const Point& p, Facet f) const {
-	Zone zone;
+        Zone zone;
 
-       	// TODO may be avoid the locate here
-	zone.cell =
-	  tr.locate(p, zone.locate_type, zone.i, zone.j, f.first);
+               // TODO may be avoid the locate here
+        zone.cell =
+          tr.locate(p, zone.locate_type, zone.i, zone.j, f.first);
 
         if(zone.locate_type != Tr::VERTEX)
           tr.find_conflicts(p, zone.cell,
                             std::back_inserter(zone.boundary_facets),
                             std::back_inserter(zone.cells),
                             std::back_inserter(zone.internal_facets));
-	return zone;
+        return zone;
     }
 
     ///////////////////////////////////////////////////////////////////////////
@@ -357,19 +357,19 @@ namespace CGAL {
                                Zone& zone) {
       if (tr.dimension() == 3) {
         bool source_facet_is_in_conflict = false;
-	// On s'occupe des facettes de la zone de conflit
-	for (typename Zone::Facets_iterator fit =
-	       zone.internal_facets.begin();
-	     fit != zone.internal_facets.end();
-	     ++fit) {
+        // On s'occupe des facettes de la zone de conflit
+        for (typename Zone::Facets_iterator fit =
+               zone.internal_facets.begin();
+             fit != zone.internal_facets.end();
+             ++fit) {
           if(before_insertion_handle_facet_inside_conflict_zone (*fit,
                                                                  source_facet))
             source_facet_is_in_conflict = true;
         }
 
-	for (typename Zone::Facets_iterator fit =
-	       zone.boundary_facets.begin(); fit !=
-	       zone.boundary_facets.end(); ++fit) {
+        for (typename Zone::Facets_iterator fit =
+               zone.boundary_facets.begin(); fit !=
+               zone.boundary_facets.end(); ++fit) {
           if(before_insertion_handle_facet_on_boundary_of_conflict_zone (*fit,
                                                                          source_facet))
             source_facet_is_in_conflict = true;
@@ -381,7 +381,7 @@ namespace CGAL {
         {
           const Facet source_other_side = mirror_facet(source_facet);
           std::stringstream error_msg;
-          error_msg << 
+          error_msg <<
             boost::format("Surface_mesher ERROR: "
                           "A facet is not in conflict with its refinement point!\n"
                           "Debugging informations:\n"
@@ -402,8 +402,8 @@ namespace CGAL {
       // If dim < 3, then the triangulation has only one facet and the
       // complex has no facet, generically
       else {
-	CGAL_assertion (tr.dimension() == 2);
-	facets_to_refine.clear();
+        CGAL_assertion (tr.dimension() == 2);
+        facets_to_refine.clear();
       }
 //       CGAL_assertion_code(const Facet& source_other_side = mirror_facet(source_facet));
 //       CGAL_assertion(
@@ -432,17 +432,17 @@ namespace CGAL {
       tr.incident_cells (v, std::back_inserter(cellules));
 
       for(typename std::vector<Cell_handle>::iterator cellule =
-	    cellules.begin();
-	  cellule != cellules.end();
-	  ++cellule) 
+            cellules.begin();
+          cellule != cellules.end();
+          ++cellule)
       {
-	// Look at all four facets of the cell, starting with the
-	// facet opposite to the new vertex
-	int indice = (*cellule)->index (v);
-	after_insertion_handle_opposite_facet (Facet (*cellule, indice));
+        // Look at all four facets of the cell, starting with the
+        // facet opposite to the new vertex
+        int indice = (*cellule)->index (v);
+        after_insertion_handle_opposite_facet (Facet (*cellule, indice));
 
-	for (int i = 1; i <= 3; ++i)
-	  after_insertion_handle_incident_facet (Facet (*cellule, (indice+i)&3));
+        for (int i = 1; i <= 3; ++i)
+          after_insertion_handle_incident_facet (Facet (*cellule, (indice+i)&3));
       }
 
 
@@ -469,7 +469,7 @@ namespace CGAL {
 
     // Actions to perform on a facet inside the conflict zone
     bool before_insertion_handle_facet_inside_conflict_zone (const Facet& f,
-                                                             const Facet& source_facet) 
+                                                             const Facet& source_facet)
     {
       const Facet other_side = mirror_facet(f);
 
@@ -479,11 +479,15 @@ namespace CGAL {
       // On enleve la facette de la liste des mauvaises facettes
 #ifdef CGAL_SURFACE_MESHER_TAG_BAD
       if(f.first->is_bad(f.second))
+      {
+#endif // CGAL_SURFACE_MESHER_TAG_BAD
+      if(f.first < other_side.first)
+        facets_to_refine.erase(f);
+      else
+        facets_to_refine.erase(other_side);
+#ifdef CGAL_SURFACE_MESHER_TAG_BAD
+      }
 #endif // CGAL_SURFACE_MESHER_TAG_BAD
-        if(f.first < other_side.first)
-          facets_to_refine.erase(f);
-        else
-          facets_to_refine.erase(other_side);
       // Le compteur des visites est remis a zero
        reset_visited(f);
        reset_visited(other_side);
@@ -512,14 +516,14 @@ namespace CGAL {
       // If the facet is infinite or has been already visited,
       // then there is nothing to do as for it or its edges
       if (tr.is_infinite(f) || is_facet_visited(f))
-	return;
+        return;
 
       new_facet<false>(f);
     }
 
     // Action to perform on any new facet
     template <bool remove_from_complex_if_not_in_restricted_Delaunay>
-    void new_facet (const Facet& f) 
+    void new_facet (const Facet& f)
     {
       const Facet other_side = mirror_facet(f);
 
@@ -536,19 +540,19 @@ namespace CGAL {
       Point center;
       if (is_facet_on_surface(f, center)) {
 
-	// NB: set_in_complex() is implementation independent and
-	// consider both sides of the facet at once
-	c2t3.set_in_complex(f);
-
-	// NB: set_facet_surface_center() is implementation dependent
-	// and each side of the real facet has to be considered
-	// separately
-	set_facet_surface_center(f, center);
-	set_facet_surface_center(other_side, center);
+        // NB: set_in_complex() is implementation independent and
+        // consider both sides of the facet at once
+        c2t3.set_in_complex(f);
+
+        // NB: set_facet_surface_center() is implementation dependent
+        // and each side of the real facet has to be considered
+        // separately
+        set_facet_surface_center(f, center);
+        set_facet_surface_center(other_side, center);
 
-	// On regarde alors si la facette est bonne
+        // On regarde alors si la facette est bonne
         Quality a_r;
-	if (criteria.is_bad (f, a_r)) {
+        if (criteria.is_bad (f, a_r)) {
 #ifdef CGAL_SURFACE_MESHER_TAG_BAD
           f.first->set_bad(f.second);
           other_side.first->set_bad(other_side.second);
@@ -558,7 +562,7 @@ namespace CGAL {
             facets_to_refine.insert (f, a_r);
           else
             facets_to_refine.insert (other_side, a_r);
-	}
+        }
       }
       else
         if( remove_from_complex_if_not_in_restricted_Delaunay )
@@ -583,13 +587,13 @@ namespace CGAL {
       typedef typename Surface_mesh_traits::Intersect_3 Intersect_3;
       Intersect_3 intersect = meshtraits.intersect_3_object();
       typename GT::Is_degenerate_3 is_degenerate;
-        
+
       Object dual = tr.dual(f);
 
       Object intersection;
       // If the dual is a segment
       if (const typename GT::Segment_3* segment_ptr=object_cast<typename GT::Segment_3>(&dual)) {
-	if(is_degenerate(*segment_ptr)) return false;
+        if(is_degenerate(*segment_ptr)) return false;
         intersection = intersect(surf, *segment_ptr);
       }
       // If the dual is a ray
@@ -602,17 +606,17 @@ namespace CGAL {
         // point(0) plus a vector whose coordinates are espilon).
         if(is_degenerate(*ray_ptr)) return false;
 
-	intersection = intersect(surf, *ray_ptr);
+        intersection = intersect(surf, *ray_ptr);
       }
       // If the dual is a line
       else if(const typename GT::Line_3* line_ptr = object_cast<typename GT::Line_3>(&dual)) {
-	intersection = intersect(surf, *line_ptr);
+        intersection = intersect(surf, *line_ptr);
       }
       // Else there is a problem with the dual
       else {
-	std::cerr << "In is_facet_on_surface(const Facet& f, Point& center)\n"
-		  << "file " << __FILE__ << ", line " << __LINE__ << "\n";
-	std::cerr << "Incorrect object type: " << dual.type().name() << "\n";
+        std::cerr << "In is_facet_on_surface(const Facet& f, Point& center)\n"
+                  << "file " << __FILE__ << ", line " << __LINE__ << "\n";
+        std::cerr << "Incorrect object type: " << dual.type().name() << "\n";
         CGAL_error();
       }
 
@@ -687,7 +691,7 @@ namespace CGAL {
                    const Surface& surface,
                    const Surface_mesh_traits& mesh_traits,
                    const Criteria& criteria)
-      : Base(c2t3, surface, mesh_traits, criteria), 
+      : Base(c2t3, surface, mesh_traits, criteria),
         Mesher_lvl(null_mesher_level),
         initialized(false)
     {
@@ -700,8 +704,8 @@ namespace CGAL {
                    const Surface& surface,
                    const Surface_mesh_traits& mesh_traits,
                    const Criteria& criteria,
-		   PreviousLevel& previous)
-      : Base(c2t3, surface, mesh_traits, criteria), 
+                   PreviousLevel& previous)
+      : Base(c2t3, surface, mesh_traits, criteria),
         Mesher_lvl(previous),
         initialized(false)
     {
@@ -713,8 +717,8 @@ namespace CGAL {
     std::string debug_info() const
     {
       std::stringstream s;
-      s << Base::debug_info() 
-	<< "," << Mesher_lvl::previous().debug_info();
+      s << Base::debug_info()
+        << "," << Mesher_lvl::previous().debug_info();
       return s.str();
     }
 
@@ -722,15 +726,15 @@ namespace CGAL {
     {
       std::stringstream s;
       s << Base::debug_info_header()
-	<< "," << Mesher_lvl::previous().debug_info_header();
+        << "," << Mesher_lvl::previous().debug_info_header();
       return s.str();
     }
 
     // Initialization
     void init()
       {
-	scan_triangulation();
-	initialized = true;
+        scan_triangulation();
+        initialized = true;
       }
 
     void refine_mesh () {
@@ -742,39 +746,39 @@ namespace CGAL {
       Tr& tr = this->triangulation_ref_impl();
 
       if(!initialized)
-	init();
+        init();
 
       if (verbose == NOT_VERBOSE)
-	refine (visitor);
+        refine (visitor);
       else {
-	std::cerr << "Refining...\n";
-	int nbsteps = 0;
-	CGAL::Timer timer;
+        std::cerr << "Refining...\n";
+        int nbsteps = 0;
+        CGAL::Timer timer;
         std::cerr << "Legende of the following line: "
                   << "(#vertices,#steps," << this->debug_info_header()
                   << ")\n";
-	std::cerr 
-	  << boost::format("\r             \r"
-			   "(%1%,%2%,%3%) (%|4$.1f| vertices/s)")
-	  % tr.number_of_vertices()
-	  % nbsteps % this->debug_info()
-	  % (nbsteps / timer.time());
-	++nbsteps;
-	timer.start();
-	while (!is_algorithm_done()) {
-	  {
-	    CGAL_SURFACE_MESHER_TIME_PROFILER("Surface_mesher::one_step()");
-	    one_step (visitor);
-	  }
-	  std::cerr 
-	    << boost::format("\r             \r"
-			     "(%1%,%2%,%3%) (%|4$.1f| vertices/s)")
-	    % tr.number_of_vertices()
-	    % nbsteps % this->debug_info()
-	    % (nbsteps / timer.time());
-	  ++nbsteps;
-	}
-	std::cerr << "\ndone.\n";
+        std::cerr
+          << boost::format("\r             \r"
+                           "(%1%,%2%,%3%) (%|4$.1f| vertices/s)")
+          % tr.number_of_vertices()
+          % nbsteps % this->debug_info()
+          % (nbsteps / timer.time());
+        ++nbsteps;
+        timer.start();
+        while (!is_algorithm_done()) {
+          {
+            CGAL_SURFACE_MESHER_TIME_PROFILER("Surface_mesher::one_step()");
+            one_step (visitor);
+          }
+          std::cerr
+            << boost::format("\r             \r"
+                             "(%1%,%2%,%3%) (%|4$.1f| vertices/s)")
+            % tr.number_of_vertices()
+            % nbsteps % this->debug_info()
+            % (nbsteps / timer.time());
+          ++nbsteps;
+        }
+        std::cerr << "\ndone.\n";
       }
 
       initialized = false;
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Surface_mesher_manifold.h 5.0.3-1/include/CGAL/Surface_mesher/Surface_mesher_manifold.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Surface_mesher_manifold.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Surface_mesher_manifold.h	2020-08-01 19:02:57.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Surface_mesher_manifold.h $
-// $Id: Surface_mesher_manifold.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Surface_mesher_manifold.h $
+// $Id: Surface_mesher_manifold.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -60,67 +60,67 @@ namespace CGAL {
       typedef typename Tr::Finite_vertices_iterator Finite_vertices_iterator;
 
       Facet canonical_facet(const Facet& f) const {
-	const Cell_handle& c = f.first;
-	const Cell_handle& c2 = c->neighbor(f.second);
-	return (c2 < c) ? std::make_pair(c2,c2->index(c)) : f;
+        const Cell_handle& c = f.first;
+        const Cell_handle& c2 = c->neighbor(f.second);
+        return (c2 < c) ? std::make_pair(c2,c2->index(c)) : f;
       }
 
       // Action to perform on a facet on the boundary of the conflict zone
-      void 
+      void
       before_insertion_handle_facet_on_boundary_of_conflict_zone(const Facet& f)
       {
-	const Cell_handle& c = f.first;
-	const int i = f.second;
+        const Cell_handle& c = f.first;
+        const int i = f.second;
 
-       	// for each v of f
-	for (int j = 0; j < 4; j++)
-	  if (i != j)
+               // for each v of f
+        for (int j = 0; j < 4; j++)
+          if (i != j)
             bad_vertices.erase(c->vertex(j));
       }
 
-      Facet 
+      Facet
       biggest_incident_facet_in_complex(const Vertex_handle sommet) const
       {
 
-	std::list<Facet> facets;
-	SMMBB::c2t3.incident_facets(sommet, std::back_inserter(facets));
+        std::list<Facet> facets;
+        SMMBB::c2t3.incident_facets(sommet, std::back_inserter(facets));
 
-	typename std::list<Facet>::iterator it = facets.begin();
-	Facet biggest_facet = *it;
-	CGAL_assertion(it!=facets.end());
-
-	for (++it;
-	     it != facets.end();
-	     ++it) {
-	  Facet current_facet = *it;
-	  // is the current facet bigger than the current biggest one
-	  if ( SMMBB::compute_distance_to_facet_center(current_facet, sommet) >
-	       SMMBB::compute_distance_to_facet_center(biggest_facet, sommet) )
-	  {
-	    biggest_facet = current_facet;
-	  }
-	}
-	return biggest_facet;
+        typename std::list<Facet>::iterator it = facets.begin();
+        Facet biggest_facet = *it;
+        CGAL_assertion(it!=facets.end());
+
+        for (++it;
+             it != facets.end();
+             ++it) {
+          Facet current_facet = *it;
+          // is the current facet bigger than the current biggest one
+          if ( SMMBB::compute_distance_to_facet_center(current_facet, sommet) >
+               SMMBB::compute_distance_to_facet_center(biggest_facet, sommet) )
+          {
+            biggest_facet = current_facet;
+          }
+        }
+        return biggest_facet;
       }
 
       void initialize_bad_vertices() const
       {
 #ifdef CGAL_SURFACE_MESHER_VERBOSE
-	std::cerr << "scanning vertices" << std::endl;
+        std::cerr << "scanning vertices" << std::endl;
 #endif
-	int n = 0;
-	for (Finite_vertices_iterator vit = SMMBB::tr.finite_vertices_begin();
-	     vit != SMMBB::tr.finite_vertices_end();
-	     ++vit) {
-	  if ( (SMMBB::c2t3.face_status(vit)  // @TODO: appeler is_regular
-		== C2t3::SINGULAR) ) {
-	    bad_vertices.insert( vit );
-	    ++n;
-	  }
-	}
-	bad_vertices_initialized = true;
+        int n = 0;
+        for (Finite_vertices_iterator vit = SMMBB::tr.finite_vertices_begin();
+             vit != SMMBB::tr.finite_vertices_end();
+             ++vit) {
+          if ( (SMMBB::c2t3.face_status(vit)  // @TODO: appeler is_regular
+                == C2t3::SINGULAR) ) {
+            bad_vertices.insert( vit );
+            ++n;
+          }
+        }
+        bad_vertices_initialized = true;
 #ifdef CGAL_SURFACE_MESHER_VERBOSE
-	std::cerr << "   -> found " << n << " bad vertices\n";
+        std::cerr << "   -> found " << n << " bad vertices\n";
 #endif
       }
 
@@ -129,7 +129,7 @@ namespace CGAL {
                                     const Surface& surface,
                                     const SurfaceMeshTraits& mesh_traits,
                                     const Criteria& criteria)
-	: SMMBB(c2t3, surface, mesh_traits, criteria),
+        : SMMBB(c2t3, surface, mesh_traits, criteria),
           bad_vertices_initialized(false)
       {
 #ifdef CGAL_SURFACE_MESHER_DEBUG_CONSTRUCTORS
@@ -141,83 +141,83 @@ namespace CGAL {
 
       // Tells whether there remain elements to refine
       bool no_longer_element_to_refine_impl() const {
-	if(SMMBB::no_longer_element_to_refine_impl()){
-	  if(! bad_vertices_initialized){
-	    initialize_bad_vertices();
-	  }
-	  return bad_vertices.empty();
-	}
-	return false;
+        if(SMMBB::no_longer_element_to_refine_impl()){
+          if(! bad_vertices_initialized){
+            initialize_bad_vertices();
+          }
+          return bad_vertices.empty();
+        }
+        return false;
       }
 
       // Lazy initialization function
       void scan_triangulation_impl() {
-	SMMBB::scan_triangulation_impl();
+        SMMBB::scan_triangulation_impl();
 #ifdef CGAL_SURFACE_MESHER_VERBOSE
-	std::cerr << "scanning vertices (lazy)" << std::endl;
+        std::cerr << "scanning vertices (lazy)" << std::endl;
 #endif
       }
 
       // Returns the next element to refine
       Facet get_next_element_impl() {
-	if ( !SMMBB::no_longer_element_to_refine_impl() ) {
-	  return SMMBB::get_next_element_impl();
-	}
-	else {
-	  CGAL_assertion(bad_vertices_initialized);
-	  Vertex_handle first_bad_vertex = *(bad_vertices.begin());
-	  return biggest_incident_facet_in_complex(first_bad_vertex);
-	}
+        if ( !SMMBB::no_longer_element_to_refine_impl() ) {
+          return SMMBB::get_next_element_impl();
+        }
+        else {
+          CGAL_assertion(bad_vertices_initialized);
+          Vertex_handle first_bad_vertex = *(bad_vertices.begin());
+          return biggest_incident_facet_in_complex(first_bad_vertex);
+        }
       }
 
       void before_insertion_impl(const Facet& f, const Point& s,
-				 Zone& zone) {
+                                 Zone& zone) {
         if(bad_vertices_initialized)
         {
           for (typename Zone::Facets_iterator fit =
                  zone.boundary_facets.begin(); fit !=
                  zone.boundary_facets.end(); ++fit)
-	    before_insertion_handle_facet_on_boundary_of_conflict_zone (*fit); 
+            before_insertion_handle_facet_on_boundary_of_conflict_zone (*fit);
         }
-	SMMBB::before_insertion_impl(f, s, zone);
+        SMMBB::before_insertion_impl(f, s, zone);
       }
 
     void after_insertion_impl(const Vertex_handle v) {
       SMMBB::after_insertion_impl(v);
 
       if(bad_vertices_initialized){
-	// foreach v' in star of v
-	Vertices vertices;
-	SMMBB::tr.incident_vertices(v, std::back_inserter(vertices));
-
-	// is_regular_or_boundary_for_vertices
-	// is used here also incident edges are not known to be
-	// REGULAR which may cause some singular vertices to be forgotten
-	// This causes no problem because 
-	// those SINGULAR incident SINGULAR edges are going to be handled
-	for (Vertices_iterator vit = vertices.begin();
-	     vit != vertices.end();
-	     ++vit)
-	  if ( SMMBB::c2t3.is_in_complex(*vit)  &&
-	       !SMMBB::c2t3.is_regular_or_boundary_for_vertices(*vit)) {
-	    bad_vertices.insert(*vit);
-	  }
-
-	if ( SMMBB::c2t3.is_in_complex(v) &&
-	     !SMMBB::c2t3.is_regular_or_boundary_for_vertices(v)) {
-	  bad_vertices.insert(v);
-	}
+        // foreach v' in star of v
+        Vertices vertices;
+        SMMBB::tr.incident_vertices(v, std::back_inserter(vertices));
+
+        // is_regular_or_boundary_for_vertices
+        // is used here also incident edges are not known to be
+        // REGULAR which may cause some singular vertices to be forgotten
+        // This causes no problem because
+        // those SINGULAR incident SINGULAR edges are going to be handled
+        for (Vertices_iterator vit = vertices.begin();
+             vit != vertices.end();
+             ++vit)
+          if ( SMMBB::c2t3.is_in_complex(*vit)  &&
+               !SMMBB::c2t3.is_regular_or_boundary_for_vertices(*vit)) {
+            bad_vertices.insert(*vit);
+          }
+
+        if ( SMMBB::c2t3.is_in_complex(v) &&
+             !SMMBB::c2t3.is_regular_or_boundary_for_vertices(v)) {
+          bad_vertices.insert(v);
+        }
       }
     }
-      
+
     std::string debug_info() const
     {
       std::stringstream s;
       s << SMMBB::debug_info() << ",";
-      if(bad_vertices_initialized) 
-	s << bad_vertices.size();
+      if(bad_vertices_initialized)
+        s << bad_vertices.size();
       else
-	s << "non manifold vertices not initialized";
+        s << "non manifold vertices not initialized";
       return s.str();
     }
 
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Surface_mesher_regular_edges.h 5.0.3-1/include/CGAL/Surface_mesher/Surface_mesher_regular_edges.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Surface_mesher_regular_edges.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Surface_mesher_regular_edges.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Surface_mesher_regular_edges.h $
-// $Id: Surface_mesher_regular_edges.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Surface_mesher_regular_edges.h $
+// $Id: Surface_mesher_regular_edges.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -64,38 +64,38 @@ namespace CGAL {
     protected:
       // computes and return an ordered pair of Vertex
       EdgeVV make_edgevv(const Vertex_handle vh1,
-			 const Vertex_handle vh2) const {
-	if (vh1 < vh2) {
-	  return std::make_pair(vh1, vh2);
-	}
-	else {
-	  return std::make_pair(vh2, vh1);
-	}
+                         const Vertex_handle vh2) const {
+        if (vh1 < vh2) {
+          return std::make_pair(vh1, vh2);
+        }
+        else {
+          return std::make_pair(vh2, vh1);
+        }
       }
 
       // computes and returns the Edge type object from the EdgeVV object
       // use tr.is_edge(...)
       Edge edgevv_to_edge(const EdgeVV& arete) const {
-    	Vertex_handle sommet1 = arete.first;
-    	Vertex_handle sommet2 = arete.second;
-    	Cell_handle c;
-	int index1 = -1, index2 = -1;
-	// Initialize the variables `index1` and `index2` to quiet a
-	// warning. Anyway, the function `tr.is_edge()` that is called
-	// after is really slow, so the initialization will be completely
-	// negligible in running time.
-
-	CGAL_assume_code(bool is_edge = )
-	SMB::tr.is_edge(sommet1, sommet2, c, index1, index2);
-	CGAL_assume(is_edge);
+            Vertex_handle sommet1 = arete.first;
+            Vertex_handle sommet2 = arete.second;
+            Cell_handle c;
+        int index1 = -1, index2 = -1;
+        // Initialize the variables `index1` and `index2` to quiet a
+        // warning. Anyway, the function `tr.is_edge()` that is called
+        // after is really slow, so the initialization will be completely
+        // negligible in running time.
+
+        CGAL_assume_code(bool is_edge = )
+        SMB::tr.is_edge(sommet1, sommet2, c, index1, index2);
+        CGAL_assume(is_edge);
 
-    	return make_triple( c, index1, index2 );
+            return make_triple( c, index1, index2 );
       }
 
       // computes and returns the EdgeVV type object from the Edge object
       EdgeVV edge_to_edgevv(const Edge& arete) const {
-	return make_edgevv(arete.first->vertex(arete.second),
-			   arete.first->vertex(arete.third) );
+        return make_edgevv(arete.first->vertex(arete.second),
+                           arete.first->vertex(arete.third) );
       }
 
 
@@ -103,90 +103,90 @@ namespace CGAL {
       // computes and returns the list of Edges in a given Facet side
       Edges edges_in_facet(const Facet& cote) const {
 
-	Edges loe;
-	Cell_handle c = cote.first;
-	int i = cote.second;
-
-	for (int j = 0; j < 3; j++) {
-	  for (int k = j + 1; k < 4; k++) {
-	    if ( (i != j) && (i != k) ){
-	      loe.push_back(make_triple(c, j, k));
-	    }
-	  }
-	}
-	return loe;
+        Edges loe;
+        Cell_handle c = cote.first;
+        int i = cote.second;
+
+        for (int j = 0; j < 3; j++) {
+          for (int k = j + 1; k < 4; k++) {
+            if ( (i != j) && (i != k) ){
+              loe.push_back(make_triple(c, j, k));
+            }
+          }
+        }
+        return loe;
       }
-    
+
     FT compute_distance_to_facet_center(const Facet& f,
-					const Vertex_handle v) const {
+                                        const Vertex_handle v) const {
       const Point& fcenter = f.first->get_facet_surface_center(f.second);
       const Point& vpoint = v->point();
 
       return SMB::tr.geom_traits().compute_squared_distance_3_object()(fcenter,
-								  vpoint );
+                                                                  vpoint );
     }
 
 
       Facet biggest_incident_facet_in_complex(const Edge& arete) const {
-	// Find the first facet in the incident facets
+        // Find the first facet in the incident facets
         // of the edge which is in the Complex
-	// use the list of incident facets in the complex
-	Facet_circulator fcirc = SMB::c2t3.incident_facets(arete);
-	Facet first_facet = *fcirc;
-	Facet biggest_facet = first_facet;
-
-	for (++fcirc;
-	     (*fcirc != first_facet) &&
-	       (*fcirc != SMB::mirror_facet(first_facet));
-	     ++fcirc) {
-	  Vertex_handle fev = edge_to_edgevv(arete).first;
-	  // is the current facet bigger than the current biggest one
-	  if ( compute_distance_to_facet_center(*fcirc, fev) >
-	       compute_distance_to_facet_center(biggest_facet,
+        // use the list of incident facets in the complex
+        Facet_circulator fcirc = SMB::c2t3.incident_facets(arete);
+        Facet first_facet = *fcirc;
+        Facet biggest_facet = first_facet;
+
+        for (++fcirc;
+             (*fcirc != first_facet) &&
+               (*fcirc != SMB::mirror_facet(first_facet));
+             ++fcirc) {
+          Vertex_handle fev = edge_to_edgevv(arete).first;
+          // is the current facet bigger than the current biggest one
+          if ( compute_distance_to_facet_center(*fcirc, fev) >
+               compute_distance_to_facet_center(biggest_facet,
                                                 fev) ) {
-	    biggest_facet = *fcirc;
-	  }
-	  else { // @TODO: il ne faut pas aller voir des deux cotes: c'est
-		 // le meme centre de facet!!!
-	    Facet autre_cote = SMB::mirror_facet(*fcirc);
-	    // is the current facet bigger than the current biggest one
-	    if ( compute_distance_to_facet_center(autre_cote, fev) >
-		 compute_distance_to_facet_center(biggest_facet, fev) ) {
-	      biggest_facet = autre_cote;
-	    }
-	  }
-	}
-	return biggest_facet;
+            biggest_facet = *fcirc;
+          }
+          else { // @TODO: il ne faut pas aller voir des deux cotes: c'est
+                 // le meme centre de facet!!!
+            Facet autre_cote = SMB::mirror_facet(*fcirc);
+            // is the current facet bigger than the current biggest one
+            if ( compute_distance_to_facet_center(autre_cote, fev) >
+                 compute_distance_to_facet_center(biggest_facet, fev) ) {
+              biggest_facet = autre_cote;
+            }
+          }
+        }
+        return biggest_facet;
       }
 
       ///////////////////////
       // For before_insertion
 
       // Actions to perform on a facet inside the conflict zone
-      void 
+      void
       before_insertion_handle_facet_inside_conflict_zone (const Facet& f) {
-	Facet cote = f;
-        //	Facet autre_cote = SMB::mirror_facet(cote);
+        Facet cote = f;
+        //        Facet autre_cote = SMB::mirror_facet(cote);
 
-	if ( SMB::c2t3.face_status(cote) !=
-	     C2t3::NOT_IN_COMPLEX ) {
+        if ( SMB::c2t3.face_status(cote) !=
+             C2t3::NOT_IN_COMPLEX ) {
 
-	  Edges loe = edges_in_facet(cote);
-	  // foreach edge of cote
-	  for ( typename Edges::iterator eit = loe.begin();
-		eit != loe.end();
-		++eit) {
-	    bad_edges.erase( edge_to_edgevv(*eit) );
-	  }
-	}
+          Edges loe = edges_in_facet(cote);
+          // foreach edge of cote
+          for ( typename Edges::iterator eit = loe.begin();
+                eit != loe.end();
+                ++eit) {
+            bad_edges.erase( edge_to_edgevv(*eit) );
+          }
+        }
       }
 
       // Action to perform on a facet on the boundary of the conflict zone
-      void 
+      void
       before_insertion_handle_facet_on_boundary_of_conflict_zone(const Facet& f)
       {
-	// perform the same operations as for an internal facet
-	before_insertion_handle_facet_inside_conflict_zone (f);
+        // perform the same operations as for an internal facet
+        before_insertion_handle_facet_inside_conflict_zone (f);
       }
 
     public:
@@ -216,19 +216,19 @@ namespace CGAL {
 #endif
       int n = 0;
       for (Finite_edges_iterator eit = SMB::tr.finite_edges_begin(); eit !=
-	     SMB::tr.finite_edges_end(); ++eit) {
-	if ( (SMB::c2t3.face_status(*eit)
-	      == C2t3::SINGULAR) ||
-	     ( (!withBoundary) &&
-	       (SMB::c2t3.face_status(*eit)
-		== C2t3::BOUNDARY) ) ) {
-	  bad_edges.insert( edge_to_edgevv(*eit) );
+             SMB::tr.finite_edges_end(); ++eit) {
+        if ( (SMB::c2t3.face_status(*eit)
+              == C2t3::SINGULAR) ||
+             ( (!withBoundary) &&
+               (SMB::c2t3.face_status(*eit)
+                == C2t3::BOUNDARY) ) ) {
+          bad_edges.insert( edge_to_edgevv(*eit) );
           ++n;
-	}
+        }
       }
       bad_edges_initialized = true;
 #ifdef CGAL_SURFACE_MESHER_VERBOSE
-	std::cerr << "   -> found " << n << " bad edges\n";
+        std::cerr << "   -> found " << n << " bad edges\n";
 #endif
     }
 
@@ -254,17 +254,17 @@ namespace CGAL {
     Facet get_next_element_impl() {
 
       if (!SMB::no_longer_element_to_refine_impl()) {
-	return SMB::get_next_element_impl();
+        return SMB::get_next_element_impl();
       }
       else {
         CGAL_assertion(bad_edges_initialized);
-	Edge first_bad_edge = edgevv_to_edge(*(bad_edges.begin()));
-	return biggest_incident_facet_in_complex(first_bad_edge);
+        Edge first_bad_edge = edgevv_to_edge(*(bad_edges.begin()));
+        return biggest_incident_facet_in_complex(first_bad_edge);
       }
     }
 
     void before_insertion_impl(const Facet& f, const Point& s,
-			       Zone& zone) {
+                               Zone& zone) {
       if( bad_edges_initialized )
       {
         for (typename Zone::Facets_iterator fit =
@@ -293,37 +293,37 @@ namespace CGAL {
 
       // foreach f in star(v)
       for (typename Facets::iterator fit = facets.begin();
-	   fit != facets.end();
-	   ++fit) {
-	Facet cote = *fit;
-	Edges loe = edges_in_facet(cote);
-
-	// foreach edge of cote
-	for ( typename Edges::iterator eit = loe.begin();
-	      eit != loe.end();
-	      ++eit ) {
-	  // test if edge is in Complex
-	  if ( SMB::c2t3.face_status(*eit)
-	       != C2t3::NOT_IN_COMPLEX ) {
-	    // test if edge is not regular to store it as a "bad_edge"
-	    // e.g. more than or equal to 3 incident facets (SINGULAR)
-	    // or less than or equal to 1
-	    // (BOUNDARY only, because ISOLATED is NA)
-	    // This test is not efficient because
-	    // edges are tried to be inserted several times
-	    // TODO one day: test if the edge is still singular
-	    if ( (SMB::c2t3.face_status(*eit)
-		  == C2t3::SINGULAR) ||
-		 ( (!withBoundary) &&
-		   (SMB::c2t3.face_status(*eit)
-		    == C2t3::BOUNDARY) ) ) {
-	      bad_edges.insert( edge_to_edgevv(*eit) );
-	    }
-	    else {
-	      bad_edges.erase( edge_to_edgevv(*eit) ); // @TODO: pourquoi?!
-	    }
-	  }
-	}
+           fit != facets.end();
+           ++fit) {
+        Facet cote = *fit;
+        Edges loe = edges_in_facet(cote);
+
+        // foreach edge of cote
+        for ( typename Edges::iterator eit = loe.begin();
+              eit != loe.end();
+              ++eit ) {
+          // test if edge is in Complex
+          if ( SMB::c2t3.face_status(*eit)
+               != C2t3::NOT_IN_COMPLEX ) {
+            // test if edge is not regular to store it as a "bad_edge"
+            // e.g. more than or equal to 3 incident facets (SINGULAR)
+            // or less than or equal to 1
+            // (BOUNDARY only, because ISOLATED is NA)
+            // This test is not efficient because
+            // edges are tried to be inserted several times
+            // TODO one day: test if the edge is still singular
+            if ( (SMB::c2t3.face_status(*eit)
+                  == C2t3::SINGULAR) ||
+                 ( (!withBoundary) &&
+                   (SMB::c2t3.face_status(*eit)
+                    == C2t3::BOUNDARY) ) ) {
+              bad_edges.insert( edge_to_edgevv(*eit) );
+            }
+            else {
+              bad_edges.erase( edge_to_edgevv(*eit) ); // @TODO: pourquoi?!
+            }
+          }
+        }
       }
     }
 
@@ -332,9 +332,9 @@ namespace CGAL {
       std::stringstream s;
       s << SMB::debug_info() << ",";
       if(bad_edges_initialized)
-	s << bad_edges.size();
+        s << bad_edges.size();
       else
-	s << "non manifold edges not initialized";
+        s << "non manifold edges not initialized";
       return s.str();
     }
 
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Surface_mesher_visitor.h 5.0.3-1/include/CGAL/Surface_mesher/Surface_mesher_visitor.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Surface_mesher_visitor.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Surface_mesher_visitor.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Surface_mesher_visitor.h $
-// $Id: Surface_mesher_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Surface_mesher_visitor.h $
+// $Id: Surface_mesher_visitor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -41,7 +41,7 @@ namespace CGAL {
       typedef Previous_level Previous_visitor;
 
       Visitor(Surface_mesher* surface_mesher_,
-	      Previous_visitor* p)
+              Previous_visitor* p)
         : surface_mesher(surface_mesher_), previous(p) {}
 
       template <typename E, typename P>
@@ -52,12 +52,12 @@ namespace CGAL {
                             const Point& p,
                             Zone& zone)
       {
-	surface_mesher->before_insertion_impl(typename Tr::Facet (), p, zone);
+        surface_mesher->before_insertion_impl(typename Tr::Facet (), p, zone);
       }
 
       void after_insertion(const Vertex_handle& v)
       {
-	surface_mesher->restore_restricted_Delaunay(v);
+        surface_mesher->restore_restricted_Delaunay(v);
       }
 
       template <typename E, typename P, typename Z>
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Types_generators.h 5.0.3-1/include/CGAL/Surface_mesher/Types_generators.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Types_generators.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Types_generators.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Types_generators.h $
-// $Id: Types_generators.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Types_generators.h $
+// $Id: Types_generators.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -27,28 +27,28 @@ namespace CGAL {
         typedef typename Base::Complex_2_in_triangulation_3 C2T3;
         typedef typename C2T3::Triangulation Triangulation;
       public:
-	typedef Triangulation Type;
-	typedef Type type;
+        typedef Triangulation Type;
+        typedef Type type;
       }; // end Triangulation_generator<Base>
 
       template <typename Base>
       class Facet_generator {
         typedef typename Triangulation_generator<Base>::type Tr;
       public:
-	typedef typename Tr::Facet Type;
-	typedef Type type;
+        typedef typename Tr::Facet Type;
+        typedef Type type;
       }; // end Facet_generator<Base>
 
       template <typename Base>
       class Edge_generator {
         typedef typename Triangulation_generator<Base>::type Tr;
       public:
-	typedef typename Tr::Edge Type;
-	typedef Type type;
+        typedef typename Tr::Edge Type;
+        typedef Type type;
       }; // end Edge_generator<Base>
 
       template <typename Base, typename Self, typename Element,
-		typename PreviousLevel = Null_mesher_level>
+                typename PreviousLevel = Null_mesher_level>
       class Mesher_level_generator {
         typedef typename Base::Complex_2_in_triangulation_3 C2T3;
         typedef typename C2T3::Triangulation Triangulation;
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Verbose_flag.h 5.0.3-1/include/CGAL/Surface_mesher/Verbose_flag.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Verbose_flag.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Verbose_flag.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Verbose_flag.h $
-// $Id: Verbose_flag.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Verbose_flag.h $
+// $Id: Verbose_flag.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Vertices_on_the_same_psc_element_criterion.h 5.0.3-1/include/CGAL/Surface_mesher/Vertices_on_the_same_psc_element_criterion.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Vertices_on_the_same_psc_element_criterion.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Vertices_on_the_same_psc_element_criterion.h	2020-08-01 19:02:57.000000000 +0000
@@ -4,10 +4,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Vertices_on_the_same_psc_element_criterion.h $
-// $Id: Vertices_on_the_same_psc_element_criterion.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Vertices_on_the_same_psc_element_criterion.h $
+// $Id: Vertices_on_the_same_psc_element_criterion.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -24,19 +24,19 @@ namespace CGAL {
 namespace Surface_mesher {
 
 template <typename Tr, typename Surface>
-class Vertices_on_the_same_psc_element_criterion : 
+class Vertices_on_the_same_psc_element_criterion :
     public Refine_criterion <Tr> {
 public:
   typedef Refine_criterion <Tr> Criterion;
   typedef typename Criterion::Quality Quality;
-  
+
 private:
   typedef typename Tr::Facet Facet;
   typedef typename Tr::Vertex_handle Vertex_handle;
   typedef typename Tr::Cell_handle Cell_handle;
 
   const Surface& surface;
-  
+
 public:
   Vertices_on_the_same_psc_element_criterion(const Surface& surface)
     : surface(surface)
@@ -50,7 +50,7 @@ public:
     const Vertex_handle& v2 = ch->vertex((i+2)&3);
     const Vertex_handle& v3 = ch->vertex((i+3)&3);
 
-    const bool is_bad = 
+    const bool is_bad =
       surface.vertices_not_on_same_surface_patch(v1, v2, v3);
 
     q = (is_bad ? Quality(0) : Quality(1));
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher/Vertices_on_the_same_surface_criterion.h 5.0.3-1/include/CGAL/Surface_mesher/Vertices_on_the_same_surface_criterion.h
--- 5.0.2-3/include/CGAL/Surface_mesher/Vertices_on_the_same_surface_criterion.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher/Vertices_on_the_same_surface_criterion.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher/Vertices_on_the_same_surface_criterion.h $
-// $Id: Vertices_on_the_same_surface_criterion.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher/Vertices_on_the_same_surface_criterion.h $
+// $Id: Vertices_on_the_same_surface_criterion.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -23,7 +23,7 @@ namespace CGAL {
   namespace Surface_mesher {
 
 template <typename Tr>
-class Vertices_on_the_same_surface_criterion : 
+class Vertices_on_the_same_surface_criterion :
     public Refine_criterion <Tr> {
   public:
     typedef Refine_criterion <Tr> Criterion;
@@ -44,10 +44,10 @@ class Vertices_on_the_same_surface_crite
 
       const int& number = v1->point().surface_index();
       if ( number == 0 ||
-	   (v2->point().surface_index() != number) ||
+           (v2->point().surface_index() != number) ||
            (v3->point().surface_index() != number ) )
       {
-	q = Quality(0);
+        q = Quality(0);
         return true;
       }
       else
@@ -55,7 +55,7 @@ class Vertices_on_the_same_surface_crite
         q = Quality(1);
         return false;
       }
-    } 
+    }
 }; // end Vertices_on_the_same_surface_criterion
 
 
diff -pruN 5.0.2-3/include/CGAL/Surface_mesher_generator.h 5.0.3-1/include/CGAL/Surface_mesher_generator.h
--- 5.0.2-3/include/CGAL/Surface_mesher_generator.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesher_generator.h	2020-08-01 19:02:57.000000000 +0000
@@ -4,8 +4,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesher_generator.h $
-// $Id: Surface_mesher_generator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesher_generator.h $
+// $Id: Surface_mesher_generator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Rineau
@@ -135,17 +135,17 @@ namespace CGAL {
       SurfaceMeshTraits_3,
       Criteria,
       Tag>::Mesher_base Mesher_base;
-  
+
     typedef Surface_mesher::Surface_mesher<
       Mesher_base,
       typename Surface_mesher::details::Facet_generator<Mesher_base>::type,
       Null_mesher_level,
       verbosity> Mesher;
-  
+
     typedef Mesher type;
     typedef Mesher Type;
   }; // end struct Surface_mesher_generator
-  
+
 } // end namespace CGAL
 
 #endif // CGAL_SURFACE_MESH_GENERATOR_H
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh.h 5.0.3-1/include/CGAL/Surface_mesh.h
--- 5.0.2-3/include/CGAL/Surface_mesh.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh.h	2020-08-01 19:02:54.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh/include/CGAL/Surface_mesh.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh/include/CGAL/Surface_mesh.h $
 // $Id: Surface_mesh.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/ARAP_parameterizer_3.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/ARAP_parameterizer_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/ARAP_parameterizer_3.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/ARAP_parameterizer_3.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/ARAP_parameterizer_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/ARAP_parameterizer_3.h $
 // $Id: ARAP_parameterizer_3.h e872a79 2020-01-15T17:31:47+01:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Barycentric_mapping_parameterizer_3.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Barycentric_mapping_parameterizer_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Barycentric_mapping_parameterizer_3.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Barycentric_mapping_parameterizer_3.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Barycentric_mapping_parameterizer_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Barycentric_mapping_parameterizer_3.h $
 // $Id: Barycentric_mapping_parameterizer_3.h e872a79 2020-01-15T17:31:47+01:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Circular_border_parameterizer_3.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Circular_border_parameterizer_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Circular_border_parameterizer_3.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Circular_border_parameterizer_3.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Circular_border_parameterizer_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Circular_border_parameterizer_3.h $
 // $Id: Circular_border_parameterizer_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Discrete_authalic_parameterizer_3.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Discrete_authalic_parameterizer_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Discrete_authalic_parameterizer_3.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Discrete_authalic_parameterizer_3.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Discrete_authalic_parameterizer_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Discrete_authalic_parameterizer_3.h $
 // $Id: Discrete_authalic_parameterizer_3.h e872a79 2020-01-15T17:31:47+01:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Discrete_conformal_map_parameterizer_3.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Discrete_conformal_map_parameterizer_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Discrete_conformal_map_parameterizer_3.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Discrete_conformal_map_parameterizer_3.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Discrete_conformal_map_parameterizer_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Discrete_conformal_map_parameterizer_3.h $
 // $Id: Discrete_conformal_map_parameterizer_3.h e872a79 2020-01-15T17:31:47+01:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Error_code.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Error_code.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Error_code.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Error_code.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Error_code.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Error_code.h $
 // $Id: Error_code.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Fixed_border_parameterizer_3.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Fixed_border_parameterizer_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Fixed_border_parameterizer_3.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Fixed_border_parameterizer_3.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Fixed_border_parameterizer_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Fixed_border_parameterizer_3.h $
 // $Id: Fixed_border_parameterizer_3.h e872a79 2020-01-15T17:31:47+01:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/internal/angles.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/internal/angles.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/internal/angles.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/internal/angles.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/internal/angles.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/internal/angles.h $
 // $Id: angles.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/internal/Bool_property_map.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/internal/Bool_property_map.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/internal/Bool_property_map.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/internal/Bool_property_map.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/internal/Bool_property_map.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/internal/Bool_property_map.h $
 // $Id: Bool_property_map.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/internal/Containers_filler.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/internal/Containers_filler.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/internal/Containers_filler.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/internal/Containers_filler.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/internal/Containers_filler.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/internal/Containers_filler.h $
 // $Id: Containers_filler.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/internal/kernel_traits.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/internal/kernel_traits.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/internal/kernel_traits.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/internal/kernel_traits.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/internal/kernel_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/internal/kernel_traits.h $
 // $Id: kernel_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/internal/orbifold_cone_helper.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/internal/orbifold_cone_helper.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/internal/orbifold_cone_helper.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/internal/orbifold_cone_helper.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/internal/orbifold_cone_helper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/internal/orbifold_cone_helper.h $
 // $Id: orbifold_cone_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/internal/validity.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/internal/validity.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/internal/validity.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/internal/validity.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/internal/validity.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/internal/validity.h $
 // $Id: validity.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/IO/File_off.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/IO/File_off.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/IO/File_off.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/IO/File_off.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/IO/File_off.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/IO/File_off.h $
 // $Id: File_off.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/LSCM_parameterizer_3.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/LSCM_parameterizer_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/LSCM_parameterizer_3.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/LSCM_parameterizer_3.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/LSCM_parameterizer_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/LSCM_parameterizer_3.h $
 // $Id: LSCM_parameterizer_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Mean_value_coordinates_parameterizer_3.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Mean_value_coordinates_parameterizer_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Mean_value_coordinates_parameterizer_3.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Mean_value_coordinates_parameterizer_3.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Mean_value_coordinates_parameterizer_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Mean_value_coordinates_parameterizer_3.h $
 // $Id: Mean_value_coordinates_parameterizer_3.h e872a79 2020-01-15T17:31:47+01:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/MVC_post_processor_3.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/MVC_post_processor_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/MVC_post_processor_3.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/MVC_post_processor_3.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/MVC_post_processor_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/MVC_post_processor_3.h $
 // $Id: MVC_post_processor_3.h e872a79 2020-01-15T17:31:47+01:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/orbifold_enums.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/orbifold_enums.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/orbifold_enums.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/orbifold_enums.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/orbifold_enums.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/orbifold_enums.h $
 // $Id: orbifold_enums.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/orbifold_shortest_path.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/orbifold_shortest_path.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/orbifold_shortest_path.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/orbifold_shortest_path.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/orbifold_shortest_path.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/orbifold_shortest_path.h $
 // $Id: orbifold_shortest_path.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Orbifold_Tutte_parameterizer_3.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Orbifold_Tutte_parameterizer_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Orbifold_Tutte_parameterizer_3.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Orbifold_Tutte_parameterizer_3.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Orbifold_Tutte_parameterizer_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Orbifold_Tutte_parameterizer_3.h $
 // $Id: Orbifold_Tutte_parameterizer_3.h e872a79 2020-01-15T17:31:47+01:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/parameterize.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/parameterize.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/parameterize.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/parameterize.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/parameterize.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/parameterize.h $
 // $Id: parameterize.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Square_border_parameterizer_3.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Square_border_parameterizer_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Square_border_parameterizer_3.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Square_border_parameterizer_3.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Square_border_parameterizer_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Square_border_parameterizer_3.h $
 // $Id: Square_border_parameterizer_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Two_vertices_parameterizer_3.h 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Two_vertices_parameterizer_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_parameterization/Two_vertices_parameterizer_3.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_parameterization/Two_vertices_parameterizer_3.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Two_vertices_parameterizer_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/Surface_mesh_parameterization/Two_vertices_parameterizer_3.h $
 // $Id: Two_vertices_parameterizer_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/surface_mesh_parameterization.h 5.0.3-1/include/CGAL/surface_mesh_parameterization.h
--- 5.0.2-3/include/CGAL/surface_mesh_parameterization.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/surface_mesh_parameterization.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_parameterization/include/CGAL/surface_mesh_parameterization.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_parameterization/include/CGAL/surface_mesh_parameterization.h $
 // $Id: surface_mesh_parameterization.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_shortest_path/barycentric.h 5.0.3-1/include/CGAL/Surface_mesh_shortest_path/barycentric.h
--- 5.0.2-3/include/CGAL/Surface_mesh_shortest_path/barycentric.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_shortest_path/barycentric.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_shortest_path/include/CGAL/Surface_mesh_shortest_path/barycentric.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_shortest_path/include/CGAL/Surface_mesh_shortest_path/barycentric.h $
 // $Id: barycentric.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_shortest_path/function_objects.h 5.0.3-1/include/CGAL/Surface_mesh_shortest_path/function_objects.h
--- 5.0.2-3/include/CGAL/Surface_mesh_shortest_path/function_objects.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_shortest_path/function_objects.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_shortest_path/include/CGAL/Surface_mesh_shortest_path/function_objects.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_shortest_path/include/CGAL/Surface_mesh_shortest_path/function_objects.h $
 // $Id: function_objects.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_shortest_path/internal/Cone_expansion_event.h 5.0.3-1/include/CGAL/Surface_mesh_shortest_path/internal/Cone_expansion_event.h
--- 5.0.2-3/include/CGAL/Surface_mesh_shortest_path/internal/Cone_expansion_event.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_shortest_path/internal/Cone_expansion_event.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_shortest_path/include/CGAL/Surface_mesh_shortest_path/internal/Cone_expansion_event.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_shortest_path/include/CGAL/Surface_mesh_shortest_path/internal/Cone_expansion_event.h $
 // $Id: Cone_expansion_event.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_shortest_path/internal/Cone_tree.h 5.0.3-1/include/CGAL/Surface_mesh_shortest_path/internal/Cone_tree.h
--- 5.0.2-3/include/CGAL/Surface_mesh_shortest_path/internal/Cone_tree.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_shortest_path/internal/Cone_tree.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_shortest_path/include/CGAL/Surface_mesh_shortest_path/internal/Cone_tree.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_shortest_path/include/CGAL/Surface_mesh_shortest_path/internal/Cone_tree.h $
 // $Id: Cone_tree.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_shortest_path/internal/misc_functions.h 5.0.3-1/include/CGAL/Surface_mesh_shortest_path/internal/misc_functions.h
--- 5.0.2-3/include/CGAL/Surface_mesh_shortest_path/internal/misc_functions.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_shortest_path/internal/misc_functions.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_shortest_path/include/CGAL/Surface_mesh_shortest_path/internal/misc_functions.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_shortest_path/include/CGAL/Surface_mesh_shortest_path/internal/misc_functions.h $
 // $Id: misc_functions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_shortest_path/Surface_mesh_shortest_path.h 5.0.3-1/include/CGAL/Surface_mesh_shortest_path/Surface_mesh_shortest_path.h
--- 5.0.2-3/include/CGAL/Surface_mesh_shortest_path/Surface_mesh_shortest_path.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_shortest_path/Surface_mesh_shortest_path.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_shortest_path/include/CGAL/Surface_mesh_shortest_path/Surface_mesh_shortest_path.h $
-// $Id: Surface_mesh_shortest_path.h 296caae 2020-02-07T16:27:38+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_shortest_path/include/CGAL/Surface_mesh_shortest_path/Surface_mesh_shortest_path.h $
+// $Id: Surface_mesh_shortest_path.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Stephen Kiazyk
@@ -413,7 +413,7 @@ public:
                                  + (sizeof(Cone_expansion_event) + (sizeof(Cone_expansion_event*)) * m_peakQueueSize)
                                  + (sizeof(Cone_tree_node) * m_nodesAtPeakQueue);
 
-    return std::max(peakNodeUsage, peakQueueUsage);
+    return (std::max)(peakNodeUsage, peakQueueUsage);
   }
 
   /// \endcond
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_shortest_path/Surface_mesh_shortest_path_traits.h 5.0.3-1/include/CGAL/Surface_mesh_shortest_path/Surface_mesh_shortest_path_traits.h
--- 5.0.2-3/include/CGAL/Surface_mesh_shortest_path/Surface_mesh_shortest_path_traits.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_shortest_path/Surface_mesh_shortest_path_traits.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_shortest_path/include/CGAL/Surface_mesh_shortest_path/Surface_mesh_shortest_path_traits.h $
-// $Id: Surface_mesh_shortest_path_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_shortest_path/include/CGAL/Surface_mesh_shortest_path/Surface_mesh_shortest_path_traits.h $
+// $Id: Surface_mesh_shortest_path_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Stephen Kiazyk
@@ -164,7 +164,7 @@ std::ostream& operator<<(std::ostream& o
 }
 
 #ifdef CGAL_SMSP_USE_ROBUST_TRAITS_CODE
-#if defined(CGAL_USE_LEDA) || defined(CGAL_USE_CORE) 
+#if defined(CGAL_USE_LEDA) || defined(CGAL_USE_CORE)
 #ifndef DOXYGEN_RUNNING // needed due to a bug in doxygen
 /*!
 \ingroup PkgSurfaceMeshShortestPathTraitsClasses
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_shortest_path.h 5.0.3-1/include/CGAL/Surface_mesh_shortest_path.h
--- 5.0.2-3/include/CGAL/Surface_mesh_shortest_path.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_shortest_path.h	2020-08-01 19:02:55.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_shortest_path/include/CGAL/Surface_mesh_shortest_path.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_shortest_path/include/CGAL/Surface_mesh_shortest_path.h $
 // $Id: Surface_mesh_shortest_path.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Detail/Common.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Detail/Common.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Detail/Common.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Detail/Common.h	2020-08-01 19:02:55.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Detail/Common.h $
-// $Id: Common.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Detail/Common.h $
+// $Id: Common.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -41,7 +41,7 @@
 
 namespace CGAL {
 
-namespace Surface_mesh_simplification 
+namespace Surface_mesh_simplification
 {
 
 using boost::num_edges ;
@@ -93,13 +93,13 @@ struct No_constrained_edge_map{
 template<class N>
 inline std::string n_to_string( N const& n )
 {
-  return boost::str( boost::format("%|5.19g|") % n ) ;   
+  return boost::str( boost::format("%|5.19g|") % n ) ;
 }
 
 template<class XYZ>
 inline std::string xyz_to_string( XYZ const& xyz )
 {
-  return boost::str( boost::format("(%|5.19g|,%|5.19g|,%|5.19g|)") % xyz.x() % xyz.y() % xyz.z() ) ;   
+  return boost::str( boost::format("(%|5.19g|,%|5.19g|,%|5.19g|)") % xyz.x() % xyz.y() % xyz.z() ) ;
 }
 
 template<class Matrix>
@@ -112,15 +112,15 @@ template<class T>
 inline std::string optional_to_string( boost::optional<T> const& o )
 {
   if ( o )
-       return boost::str( boost::format("%1%") % *o ) ;   
-  else return std::string("NONE");  
+       return boost::str( boost::format("%1%") % *o ) ;
+  else return std::string("NONE");
 }
 
 
 } //namespace CGAL
 
 #if   defined(CGAL_SURFACE_SIMPLIFICATION_ENABLE_TRACE)    \
-   || defined(CGAL_SURFACE_SIMPLIFICATION_ENABLE_LT_TRACE) 
+   || defined(CGAL_SURFACE_SIMPLIFICATION_ENABLE_LT_TRACE)
 #define CGAL_SMS_ENABLE_TRACE
 #endif
 
@@ -135,8 +135,8 @@ namespace internal { namespace  { bool c
        std::ostringstream ss ; ss << m ; std::string s = ss.str(); \
        /*Surface_simplification_external_trace(s)*/ std::cerr << s << std::endl; \
      }
-     
-#  define CGAL_SMS_DEBUG_CODE(code) code     
+
+#  define CGAL_SMS_DEBUG_CODE(code) code
 
 #else
 
@@ -162,15 +162,15 @@ namespace internal { namespace  { bool c
 
 #ifdef CGAL_TESTING_SURFACE_MESH_SIMPLIFICATION
 #  define CGAL_SURF_SIMPL_TEST_assertion(EX)         CGAL_assertion(EX)
-#  define CGAL_SURF_SIMPL_TEST_assertion_msg(EX,MSG) CGAL_assertion_msg(EX,MSG) 
+#  define CGAL_SURF_SIMPL_TEST_assertion_msg(EX,MSG) CGAL_assertion_msg(EX,MSG)
 #  define CGAL_SURF_SIMPL_TEST_assertion_code(CODE)  CGAL_assertion_code(CODE)
 #else
-#  define CGAL_SURF_SIMPL_TEST_assertion(EX) 
-#  define CGAL_SURF_SIMPL_TEST_assertion_msg(EX,MSG) 
-#  define CGAL_SURF_SIMPL_TEST_assertion_code(CODE) 
+#  define CGAL_SURF_SIMPL_TEST_assertion(EX)
+#  define CGAL_SURF_SIMPL_TEST_assertion_msg(EX,MSG)
+#  define CGAL_SURF_SIMPL_TEST_assertion_code(CODE)
 #endif
 
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_DETAIL_COMMON_H //
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Detail/Edge_collapse.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Detail/Edge_collapse.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Detail/Edge_collapse.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Detail/Edge_collapse.h	2020-08-01 19:02:55.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Detail/Edge_collapse.h $
-// $Id: Edge_collapse.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Detail/Edge_collapse.h $
+// $Id: Edge_collapse.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -49,14 +49,14 @@ public:
   typedef GetCost_          GetCost ;
   typedef GetPlacement_     GetPlacement ;
   typedef VisitorT_         VisitorT ;
-  
+
   typedef EdgeCollapse Self ;
-  
+
   typedef Edge_profile<TM,VertexPointMap> Profile ;
-  
+
   typedef boost::graph_traits  <TM>       GraphTraits ;
   typedef boost::graph_traits  <TM const> ConstGraphTraits ;
-  
+
   typedef typename GraphTraits::vertex_descriptor      vertex_descriptor ;
   typedef typename GraphTraits::vertex_iterator        vertex_iterator ;
   typedef typename GraphTraits::halfedge_descriptor    halfedge_descriptor ;
@@ -65,14 +65,14 @@ public:
   typedef CGAL::Halfedge_around_target_iterator<TM> in_edge_iterator ;
   typedef typename GraphTraits::traversal_category     traversal_category ;
   typedef typename GraphTraits::edges_size_type        size_type ;
-  
+
   typedef typename GraphTraits::edge_iterator edge_iterator ;
   typedef VertexPointMap Vertex_point_pmap;
   typedef typename boost::property_traits<Vertex_point_pmap>::value_type Point;
   typedef typename Kernel_traits<Point>::Kernel Traits;
-  
+
   typedef typename Traits::Equal_3 Equal_3 ;
-  
+
   typedef typename Traits::Vector_3 Vector ;
   typedef typename Traits::FT       FT ;
 
@@ -82,83 +82,83 @@ public:
   struct Compare_id
   {
     Compare_id() : mAlgorithm(0) {}
-    
+
     Compare_id( Self const* aAlgorithm ) : mAlgorithm(aAlgorithm) {}
-    
-    bool operator() ( halfedge_descriptor const& a, halfedge_descriptor const& b ) const 
+
+    bool operator() ( halfedge_descriptor const& a, halfedge_descriptor const& b ) const
     {
       return mAlgorithm->get_halfedge_id(a) < mAlgorithm->get_halfedge_id(b);
     }
-    
+
     Self const* mAlgorithm ;
   } ;
-  
+
   struct Compare_cost
   {
     Compare_cost() : mAlgorithm(0) {}
-    
+
     Compare_cost( Self const* aAlgorithm ) : mAlgorithm(aAlgorithm) {}
-    
+
     bool operator() ( halfedge_descriptor const& a, halfedge_descriptor const& b ) const
-    { 
+    {
       // NOTE: A cost is an optional<> value.
       // Absent optionals are ordered first; that is, "none < T" and "T > none" for any defined T != none.
       // In consequence, edges with undefined costs will be promoted to the top of the priority queue and poped out first.
       return mAlgorithm->get_data(a).cost() < mAlgorithm->get_data(b).cost();
     }
-    
+
     Self const* mAlgorithm ;
   } ;
-  
+
   struct edge_id : boost::put_get_helper<size_type, edge_id>
   {
     typedef boost::readable_property_map_tag category;
     typedef size_type                        value_type;
     typedef size_type                        reference;
     typedef halfedge_descriptor                  key_type;
-    
+
     edge_id() : mAlgorithm(0) {}
-    
+
     edge_id( Self const* aAlgorithm ) : mAlgorithm(aAlgorithm) {}
-    
+
     size_type operator[] ( halfedge_descriptor const& e ) const { return mAlgorithm->get_edge_id(e); }
-    
+
     Self const* mAlgorithm ;
   } ;
-  
-  
+
+
   typedef Modifiable_priority_queue<halfedge_descriptor,Compare_cost,edge_id> PQ ;
   typedef typename PQ::handle pq_handle ;
-  
+
   // An Edge_data is associated with EVERY _ edge in the mesh (collapsable or not).
   // It relates the edge with the PQ-handle needed to update the priority queue
   // It also relates the edge with a policy-based cache
   class Edge_data
   {
   public :
-  
+
     Edge_data() : mPQHandle() {}
-    
+
     Cost_type const& cost() const { return mCost ; }
     Cost_type      & cost()       { return mCost ; }
-    
+
     pq_handle PQ_handle() const { return mPQHandle ;}
-    
+
     bool is_in_PQ() const { return mPQHandle != PQ::null_handle() ; }
-    
+
     void set_PQ_handle( pq_handle h ) { mPQHandle = h ; }
-    
+
     void reset_PQ_handle() { mPQHandle = PQ::null_handle() ; }
-    
-  private:  
-    
+
+  private:
+
     Cost_type mCost ;
     pq_handle mPQHandle ;
   } ;
   typedef Edge_data* Edge_data_ptr ;
   typedef boost::scoped_array<Edge_data> Edge_data_array ;
-  
-  
+
+
 public:
 
   EdgeCollapse( TM&                        aSurface
@@ -173,9 +173,9 @@ public:
               ) ;
 
   int run() ;
-  
+
 private:
-  
+
   void Collect();
   void Loop();
   bool Is_collapse_topologically_valid( Profile const& aProfile ) ;
@@ -184,24 +184,24 @@ private:
   bool Is_collapse_geometrically_valid( Profile const& aProfile, Placement_type aPlacement ) ;
   void Collapse( Profile const& aProfile, Placement_type aPlacement ) ;
   void Update_neighbors( vertex_descriptor const& aKeptV ) ;
-  
+
   Profile create_profile ( halfedge_descriptor const& aEdge )
-  { 
+  {
     return Profile(aEdge,mSurface,Vertex_index_map,Vertex_point_map,Edge_index_map, m_has_border);
-  }  
-  
+  }
+
   size_type get_halfedge_id   ( halfedge_descriptor const& aEdge ) const { return Edge_index_map[aEdge]; }
   size_type get_edge_id ( halfedge_descriptor const& aEdge ) const { return get_halfedge_id(aEdge) / 2 ; }
 
   bool is_primary_edge ( halfedge_descriptor const& aEdge ) const { return ( get_halfedge_id(aEdge) % 2 ) == 0 ; }
-  
-  halfedge_descriptor primary_edge ( halfedge_descriptor const& aEdge ) 
-  { 
+
+  halfedge_descriptor primary_edge ( halfedge_descriptor const& aEdge )
+  {
     return is_primary_edge(aEdge) ? aEdge : opposite(aEdge,mSurface) ;
-  }  
-    
-  bool is_border ( halfedge_descriptor const& aEdge ) const { return face(aEdge,mSurface) == boost::graph_traits<TM>::null_face() ; }    
-  
+  }
+
+  bool is_border ( halfedge_descriptor const& aEdge ) const { return face(aEdge,mSurface) == boost::graph_traits<TM>::null_face() ; }
+
   bool is_constrained( halfedge_descriptor const& aEdge ) const { return get(Edge_is_constrained_map,edge(aEdge,mSurface)); }
   bool is_constrained( vertex_descriptor const& aVertex ) const;
 
@@ -210,30 +210,30 @@ private:
   bool is_edge_a_border ( halfedge_descriptor const& aEdge ) const
   {
     return is_border(aEdge) || is_border(opposite(aEdge,mSurface)) ;
-  }    
-  
+  }
+
   bool is_border ( vertex_descriptor const& aV ) const ;
-  
+
   bool is_border_or_constrained ( vertex_descriptor const& aV ) const ;
 
   bool are_shared_triangles_valid( Point const& p0, Point const& p1, Point const& p2, Point const& p3 ) const ;
-  
+
   halfedge_descriptor find_connection ( vertex_descriptor const& v0, vertex_descriptor const& v1 ) const ;
-  
+
   vertex_descriptor find_exterior_link_triangle_3rd_vertex ( halfedge_descriptor const& e, vertex_descriptor const& v0, vertex_descriptor const& v1 ) const ;
-  
-  Edge_data& get_data ( halfedge_descriptor const& aEdge ) const 
-  { 
+
+  Edge_data& get_data ( halfedge_descriptor const& aEdge ) const
+  {
     CGAL_assertion( is_primary_edge(aEdge) ) ;
     return mEdgeDataArray[get_edge_id(aEdge)];
   }
-  
+
   typename boost::property_traits<VertexPointMap>::reference
   get_point ( vertex_descriptor const& aV ) const
   {
     return get(Vertex_point_map,aV);
   }
-  
+
   boost::tuple<vertex_descriptor,vertex_descriptor> get_vertices( halfedge_descriptor const& aEdge ) const
   {
     vertex_descriptor p,q ;
@@ -241,38 +241,38 @@ private:
     q = target(aEdge,mSurface);
     return boost::make_tuple(p,q);
   }
-  
-  boost::tuple<vertex_descriptor,vertex_descriptor> get_vertices( halfedge_descriptor const& aEdge ) 
+
+  boost::tuple<vertex_descriptor,vertex_descriptor> get_vertices( halfedge_descriptor const& aEdge )
   {
     vertex_descriptor p,q ;
     p = source(aEdge,mSurface);
     q = target(aEdge,mSurface);
     return boost::make_tuple(p,q);
   }
-  
+
   std::string vertex_to_string( vertex_descriptor const& v ) const
   {
     Point const& p = get_point(v);
     return boost::str( boost::format("[V%1%:%2%]") % get(Vertex_index_map,v) % xyz_to_string(p) ) ;
   }
-    
+
   std::string edge_to_string ( halfedge_descriptor const& aEdge ) const
   {
     vertex_descriptor p,q ; boost::tie(p,q) = get_vertices(aEdge);
     return boost::str( boost::format("{E%1% %2%->%3%}%4%") % get(Edge_index_map,aEdge) % vertex_to_string(p) % vertex_to_string(q) % ( is_border(aEdge) ? " (BORDER)" : ( is_border(opposite(aEdge,mSurface)) ? " (~BORDER)": "" ) ) ) ;
   }
-  
+
   Cost_type get_cost ( Profile const& aProfile ) const
   {
     return Get_cost(aProfile, get_placement(aProfile) );
   }
-  
+
   Placement_type get_placement( Profile const& aProfile ) const
   {
     return Get_placement(aProfile);
   }
-  
-  void insert_in_PQ( halfedge_descriptor const& aEdge, Edge_data& aData ) 
+
+  void insert_in_PQ( halfedge_descriptor const& aEdge, Edge_data& aData )
   {
     CGAL_SURF_SIMPL_TEST_assertion(is_primary_edge(aEdge)) ;
     CGAL_SURF_SIMPL_TEST_assertion(!aData.is_in_PQ());
@@ -283,19 +283,19 @@ private:
     CGAL_SURF_SIMPL_TEST_assertion(aData.is_in_PQ());
     CGAL_SURF_SIMPL_TEST_assertion(mPQ->contains(aEdge) ) ;
   }
-  
+
   void update_in_PQ( halfedge_descriptor const& aEdge, Edge_data& aData )
   {
     CGAL_SURF_SIMPL_TEST_assertion(is_primary_edge(aEdge)) ;
     CGAL_SURF_SIMPL_TEST_assertion(aData.is_in_PQ());
     CGAL_SURF_SIMPL_TEST_assertion(mPQ->contains(aEdge) ) ;
 
-    aData.set_PQ_handle(mPQ->update(aEdge,aData.PQ_handle())) ; 
+    aData.set_PQ_handle(mPQ->update(aEdge,aData.PQ_handle())) ;
 
     CGAL_SURF_SIMPL_TEST_assertion(aData.is_in_PQ());
     CGAL_SURF_SIMPL_TEST_assertion(mPQ->contains(aEdge) ) ;
-  }   
-  
+  }
+
   void remove_from_PQ( halfedge_descriptor const& aEdge, Edge_data& aData )
   {
     CGAL_SURF_SIMPL_TEST_assertion(is_primary_edge(aEdge)) ;
@@ -306,9 +306,9 @@ private:
 
     CGAL_SURF_SIMPL_TEST_assertion(!aData.is_in_PQ());
     CGAL_SURF_SIMPL_TEST_assertion(!mPQ->contains(aEdge) ) ;
-  }   
-  
-  optional<halfedge_descriptor> pop_from_PQ() 
+  }
+
+  optional<halfedge_descriptor> pop_from_PQ()
   {
     optional<halfedge_descriptor> rEdge = mPQ->extract_top();
     if ( rEdge )
@@ -320,8 +320,8 @@ private:
 
       CGAL_SURF_SIMPL_TEST_assertion(!get_data(*rEdge).is_in_PQ() ) ;
       CGAL_SURF_SIMPL_TEST_assertion(!mPQ->contains(*rEdge)) ;
-    }  
-    return rEdge ;  
+    }
+    return rEdge ;
   }
 
   /// Functions to ensure the backward compatibility before addition of the constrained edge map
@@ -343,7 +343,7 @@ private:
     return vd;
   }
 
-  
+
   /// We wrap this test to avoid penalizing runtime when no constraints are present
   template<class AEdgeIsConstrainedMap>
   bool
@@ -365,7 +365,7 @@ private:
 private:
 
   TM&                   mSurface ;
-  
+
   ShouldStop           const& Should_stop ;
   VertexIndexMap       const& Vertex_index_map ;
   VertexPointMap       const& Vertex_point_map ;
@@ -375,18 +375,18 @@ private:
   GetPlacement         const& Get_placement ;
   VisitorT                    Visitor ;
   bool                        m_has_border ;
-  
+
 private:
 
   Edge_data_array mEdgeDataArray ;
-  
+
   boost::scoped_ptr<PQ> mPQ ;
-    
+
   size_type mInitialEdgeCount ;
-  size_type mCurrentEdgeCount ; 
+  size_type mCurrentEdgeCount ;
 
   FT          mcMaxDihedralAngleCos2 ;
-  
+
   CGAL_SMS_DEBUG_CODE ( unsigned mStep ; )
 } ;
 
@@ -398,4 +398,4 @@ private:
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_I_EDGE_COLLAPSE_H //
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Detail/Edge_collapse_impl.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Detail/Edge_collapse_impl.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Detail/Edge_collapse_impl.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Detail/Edge_collapse_impl.h	2020-08-01 19:02:55.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Detail/Edge_collapse_impl.h $
-// $Id: Edge_collapse_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Detail/Edge_collapse_impl.h $
+// $Id: Edge_collapse_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -16,7 +16,7 @@
 
 namespace CGAL {
 
-namespace Surface_mesh_simplification 
+namespace Surface_mesh_simplification
 {
 
   template<class M, class SP, class VIM, class VPM,class EIM, class ECTM, class CF, class PF, class V>
@@ -30,9 +30,9 @@ namespace Surface_mesh_simplification
                                                     , GetPlacement          const& aGet_placement
                                                     , VisitorT                     aVisitor
                                                     )
-  : 
+  :
    mSurface           (aSurface)
-  ,Should_stop        (aShould_stop) 
+  ,Should_stop        (aShould_stop)
   ,Vertex_index_map   (aVertex_index_map)
   ,Vertex_point_map   (aVertex_point_map)
   ,Edge_index_map     (aEdge_index_map)
@@ -43,7 +43,7 @@ namespace Surface_mesh_simplification
   ,m_has_border       (false)
 {
   const FT cMaxDihedralAngleCos = std::cos( 1.0 * CGAL_PI / 180.0 ) ;
-  
+
   mcMaxDihedralAngleCos2 = cMaxDihedralAngleCos * cMaxDihedralAngleCos ;
 
   halfedge_iterator eb, ee ;
@@ -55,16 +55,16 @@ namespace Surface_mesh_simplification
         break;
       }
     }
-  
-  CGAL_SMS_TRACE(0,"EdgeCollapse of TM with " << (num_edges(aSurface)/2) << " edges" ); 
-  
+
+  CGAL_SMS_TRACE(0,"EdgeCollapse of TM with " << (num_edges(aSurface)/2) << " edges" );
+
   CGAL_SMS_DEBUG_CODE ( mStep = 0 ; )
-  
+
 #ifdef CGAL_SURFACE_SIMPLIFICATION_ENABLE_TRACE
-    vertex_iterator vb, ve ;     
-    for ( boost::tie(vb,ve) = vertices(mSurface) ; vb != ve ; ++ vb )  
+    vertex_iterator vb, ve ;
+    for ( boost::tie(vb,ve) = vertices(mSurface) ; vb != ve ; ++ vb )
       CGAL_SMS_TRACE(1, vertex_to_string(*vb) ) ;
-      
+
     for ( boost::tie(eb,ee) = halfedges(mSurface); eb!=ee; ++eb )
       CGAL_SMS_TRACE(1, edge_to_string(*eb) ) ;
 #endif
@@ -76,19 +76,19 @@ namespace Surface_mesh_simplification
   CGAL_SURF_SIMPL_TEST_assertion( mSurface.is_valid() && mSurface.is_pure_triangle() ) ;
 
   Visitor.OnStarted(mSurface);
-   
+
   // First collect all candidate edges in a PQ
-  Collect(); 
-  
+  Collect();
+
   // Then proceed to collapse each edge in turn
   Loop();
 
   CGAL_SMS_TRACE(0,"Finished: " << (mInitialEdgeCount - mCurrentEdgeCount) << " edges removed." ) ;
 
   int r = (int)(mInitialEdgeCount - mCurrentEdgeCount) ;
-    
+
   Visitor.OnFinished(mSurface);
-    
+
   return r ;
 }
 
@@ -100,21 +100,21 @@ namespace Surface_mesh_simplification
   //
   // Loop over all the _undirected_ edges in the surface putting them in the PQ
   //
-  
+
   Equal_3 equal_points = Traits().equal_3_object();
-    
+
   size_type lSize = num_edges(mSurface);
 
   mInitialEdgeCount = mCurrentEdgeCount = static_cast<size_type>(
                       std::distance( boost::begin(edges(mSurface)),
                                      boost::end(edges(mSurface)) ) );;
-  
+
   mEdgeDataArray.reset( new Edge_data[lSize] ) ;
-  
+
   mPQ.reset( new PQ (lSize, Compare_cost(this), edge_id(this) ) ) ;
-  
+
   std::size_t id = 0 ;
-  
+
   CGAL_SURF_SIMPL_TEST_assertion_code ( size_type lInserted    = 0 ) ;
   CGAL_SURF_SIMPL_TEST_assertion_code ( size_type lNotInserted = 0 ) ;
 
@@ -137,7 +137,7 @@ namespace Surface_mesh_simplification
 
       lData.cost() = get_cost(lProfile) ;
       insert_in_PQ(lEdge,lData);
-      
+
       Visitor.OnCollected(lProfile,lData.cost());
 
       CGAL_SURF_SIMPL_TEST_assertion_code ( ++ lInserted ) ;
@@ -148,10 +148,10 @@ namespace Surface_mesh_simplification
       CGAL_SURF_SIMPL_TEST_assertion_code ( ++ lNotInserted ) ;
     }
 
-    
+
     CGAL_SMS_TRACE(2,edge_to_string(lEdge));
   }
- 
+
   CGAL_SURF_SIMPL_TEST_assertion ( lInserted + lNotInserted == mInitialEdgeCount ) ;
 
   for (typename std::set<halfedge_descriptor>::iterator it=zero_length_edges.begin(),
@@ -225,32 +225,32 @@ namespace Surface_mesh_simplification
     CGAL_SMS_TRACE(1,"Popped " << edge_to_string(*lEdge) ) ;
 
     CGAL_assertion( !is_constrained(*lEdge) );
-    
+
     Profile const& lProfile = create_profile(*lEdge);
 
     Cost_type lCost = get_data(*lEdge).cost();
-    
+
     Visitor.OnSelected(lProfile,lCost,mInitialEdgeCount,mCurrentEdgeCount);
 
-    if ( lCost ) 
+    if ( lCost )
     {
       if ( Should_stop(*lCost,lProfile,mInitialEdgeCount,mCurrentEdgeCount) )
       {
         Visitor.OnStopConditionReached(lProfile);
-          
+
         CGAL_SMS_TRACE(0,"Stop condition reached with InitialEdgeCount=" << mInitialEdgeCount
                        << " CurrentEdgeCount=" << mCurrentEdgeCount
                        << " Current Edge: " << edge_to_string(*lEdge)
                        );
         break ;
       }
-        
+
       if ( Is_collapse_topologically_valid(lProfile) )
       {
         // The external function Get_new_vertex_point() is allowed to return an absent point if there is no way to place the vertex
         // satisfying its constraints. In that case the remaining vertex is simply left unmoved.
         Placement_type lPlacement = get_placement(lProfile);
-        
+
         if ( lPlacement!=boost::none && Is_collapse_geometrically_valid(lProfile,lPlacement) )
         {
           #ifdef CGAL_SURF_SIMPL_INTERMEDIATE_STEPS_PRINTING
@@ -274,9 +274,9 @@ namespace Surface_mesh_simplification
         CGAL_SURF_SIMPL_TEST_assertion_code ( lNonCollapsableCount++ ) ;
 
         Visitor.OnNonCollapsable(lProfile);
-          
+
         CGAL_SMS_TRACE(1,edge_to_string(*lEdge) << " NOT Collapsable"  );
-      }  
+      }
     }
     else
     {
@@ -289,8 +289,8 @@ template<class M, class SP, class VIM, c
 bool EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,CF,PF,V>::is_border( vertex_descriptor const& aV ) const
 {
   bool rR = false ;
-  
-  in_edge_iterator eb, ee ; 
+
+  in_edge_iterator eb, ee ;
   for ( boost::tie(eb,ee) = halfedges_around_target(aV,mSurface) ; eb != ee ; ++ eb )
   {
     halfedge_descriptor lEdge = *eb ;
@@ -299,9 +299,9 @@ bool EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
       rR = true ;
       break ;
     }
-  }  
-    
-  return rR ;  
+  }
+
+  return rR ;
 }
 
 template<class M, class SP, class VIM, class VPM,class EIM,class ECTM, class CF,class PF,class V>
@@ -341,26 +341,26 @@ bool EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
   bool rR = true ;
 
   CGAL_SMS_TRACE(3,"Testing topological collapsabilty of p_q=V" << get(Vertex_index_map,aProfile.v0()) << "(%" << degree(aProfile.v0(),mSurface) << ")"
-                  << "->V" << get(Vertex_index_map,aProfile.v1()) << "(%" << degree(aProfile.v1(),mSurface) << ")" 
+                  << "->V" << get(Vertex_index_map,aProfile.v1()) << "(%" << degree(aProfile.v1(),mSurface) << ")"
                  );
-                 
+
   CGAL_SMS_TRACE(4, "is p_q border:" << aProfile.is_v0_v1_a_border() );
   CGAL_SMS_TRACE(4, "is q_q border:" << aProfile.is_v1_v0_a_border() );
 
-  out_edge_iterator eb1, ee1 ; 
-  out_edge_iterator eb2, ee2 ; 
+  out_edge_iterator eb1, ee1 ;
+  out_edge_iterator eb2, ee2 ;
 
-  CGAL_SMS_TRACE(4,"  t=V" 
+  CGAL_SMS_TRACE(4,"  t=V"
                    << ( aProfile.left_face_exists() ? get(Vertex_index_map,aProfile.vL()) : -1 )
-                   << "(%" 
-                  << ( aProfile.left_face_exists() ? degree(aProfile.vL(),mSurface) : 0 ) 
-                   << ")" 
+                   << "(%"
+                  << ( aProfile.left_face_exists() ? degree(aProfile.vL(),mSurface) : 0 )
+                   << ")"
                  );
-  CGAL_SMS_TRACE(4,"  b=V" 
+  CGAL_SMS_TRACE(4,"  b=V"
                    << ( aProfile.right_face_exists() ? get(Vertex_index_map,aProfile.vR()) : -1 )
-                   << "(%" 
-                  << ( aProfile.right_face_exists() ? degree(aProfile.vR(),mSurface) :0 ) 
-                   << ")" 
+                   << "(%"
+                  << ( aProfile.right_face_exists() ? degree(aProfile.vR(),mSurface) :0 )
+                   << ")"
                    );
 
   // Simple tests handling the case of non-manifold situations at a vertex or edge (pinching)
@@ -389,15 +389,15 @@ bool EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
 
   // The following loop checks the link condition for v0_v1.
   // Specifically, that for every vertex 'k' adjacent to both 'p and 'q', 'pkq' is a face of the mesh.
-  // 
+  //
   for ( boost::tie(eb1,ee1) = halfedges_around_source(aProfile.v0(),mSurface) ; rR && eb1 != ee1 ; ++ eb1 )
   {
     halfedge_descriptor v0_k = *eb1 ;
-    
+
     if ( v0_k != aProfile.v0_v1() )
     {
       vertex_descriptor k = target(v0_k,mSurface);
-      
+
       for ( boost::tie(eb2,ee2) =  halfedges_around_source(k,mSurface) ; rR && eb2 != ee2 ; ++ eb2 )
       {
         halfedge_descriptor k_v1 = *eb2 ;
@@ -414,13 +414,13 @@ bool EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
           // If k is either t or b then p-q-k *might* be a face of the mesh. It won't be if k==t but p->q is border
           // or k==b but q->b is a border (because in that case even though there exists triangles p->q->t (or q->p->b)
           // they are holes, not faces)
-          // 
-     
+          //
+
           bool lIsFace =   ( aProfile.vL() == k && aProfile.left_face_exists () )
                         || ( aProfile.vR() == k && aProfile.right_face_exists() ) ;
-                        
+
           CGAL_SURF_SIMPL_TEST_assertion_code
-          ( 
+          (
             if ( lIsFace )
             {
               // Is k_v1 the halfedge bounding the face 'k-v1-v0'?
@@ -447,16 +447,16 @@ bool EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
             CGAL_SMS_TRACE(3,"  k=V" << get(Vertex_index_map,k) << " IS NOT in a face with p-q. NON-COLLAPSABLE edge." ) ;
             rR = false ;
             break ;
-          }  
-          else 
+          }
+          else
           {
             CGAL_SMS_TRACE(4,"  k=V" << get(Vertex_index_map,k) << " is in a face with p-q") ;
           }
         }
-      }  
+      }
     }
-  }   
-     
+  }
+
   if ( rR )
   {
     /// ensure two constrained edges cannot get merged
@@ -485,7 +485,7 @@ bool EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
       {
         rR = false ;
         CGAL_SMS_TRACE(3,"  both p and q are boundary vertices but p-q is not. NON-COLLAPSABLE edge." ) ;
-      }  
+      }
       else
       {
         bool lTetra = Is_tetrahedron(aProfile.v0_v1());
@@ -507,7 +507,7 @@ bool EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
       }
     }
   }
-  
+
   return rR ;
 }
 
@@ -521,25 +521,25 @@ template<class M, class SP, class VIM, c
 bool EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,CF,PF,V>::Is_open_triangle( halfedge_descriptor const& h1 )
 {
   bool rR = false ;
-  
+
   halfedge_descriptor h2 = next(h1,mSurface);
   halfedge_descriptor h3 = next(h2,mSurface);
-  
-  // First check if it is a triangle 
+
+  // First check if it is a triangle
   if ( next(h3,mSurface) == h1 )
   {
     // Now check if it is open
     CGAL_SMS_TRACE(4,"  p-q is a border edge... checking E" << get(Edge_index_map,h2) << " and E" << get(Edge_index_map,h3) ) ;
-    
-    rR = is_border(h2) && is_border(h3);  
-  
+
+    rR = is_border(h2) && is_border(h3);
+
     CGAL_SURF_SIMPL_TEST_assertion( rR == (  is_border(h1)
                                              && is_border(next(h1,mSurface))
                                              && is_border(next(next(h1,mSurface),mSurface))
-                                          ) 
+                                          )
                                   ) ;
   }
-  
+
   return rR ;
 }
 
@@ -556,30 +556,30 @@ bool EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
   Vector e01 = Traits().construct_vector_3_object()(p0,p1) ;
   Vector e02 = Traits().construct_vector_3_object()(p0,p2) ;
   Vector e03 = Traits().construct_vector_3_object()(p0,p3) ;
-  
+
   Vector n012 = Traits().construct_cross_product_vector_3_object()(e01,e02);
   Vector n023 = Traits().construct_cross_product_vector_3_object()(e02,e03);
-  
+
   FT l012 = Traits().compute_scalar_product_3_object()(n012, n012) ;
   FT l023 = Traits().compute_scalar_product_3_object()(n023, n023) ;
-  
+
   FT larger  = (std::max)(l012,l023);
   FT smaller = (std::min)(l012,l023);
-  
+
   const double cMaxAreaRatio = 1e8 ;
-  
+
   CGAL_SMS_TRACE(4,"    Testing validity of shared triangles:"
                   << "\n      p0=" << xyz_to_string(p0) << "\n      p1=" << xyz_to_string(p1) << "\n      p2=" << xyz_to_string(p2) << "\n      p3=" << xyz_to_string(p3)
                   << "\n      e01=" << xyz_to_string(e01) << "\n      e02=" << xyz_to_string(e02) << "\n      e03=" << xyz_to_string(e03)
                   << "\n      n012=" << xyz_to_string(n012) << "\n      n023=" << xyz_to_string(n023)
                   << "\n      l012=" << n_to_string(l012) << "\n      l023=" << n_to_string(l023)
                  );
-  
+
   if ( larger < cMaxAreaRatio * smaller )
   {
     FT l0123 = Traits().compute_scalar_product_3_object()(n012, n023) ;
     CGAL_SMS_TRACE(4,"\n      l0123=" << n_to_string(l0123) );
-    
+
     if ( CGAL_NTS is_positive(l0123) )
     {
       rR = true ;
@@ -587,14 +587,14 @@ bool EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
     else
     {
       CGAL_SMS_TRACE(4,"\n      lhs: " << n_to_string(( l0123 * l0123 ) / ( l012 * l023 )) << " <= rhs: " << mcMaxDihedralAngleCos2 ) ;
-    
+
       if ( ( l0123 * l0123 ) <= mcMaxDihedralAngleCos2 * ( l012 * l023 ) )
       {
         rR = true ;
       }
     }
   }
-  
+
   return rR ;
 }
 
@@ -604,15 +604,15 @@ template<class M, class SP, class VIM, c
 typename EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,CF,PF,V>::halfedge_descriptor
 EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,CF,PF,V>::find_connection ( vertex_descriptor const& v0, vertex_descriptor const& v1 ) const
 {
-  out_edge_iterator eb, ee ; 
+  out_edge_iterator eb, ee ;
   for ( boost::tie(eb,ee) = halfedges_around_source(v0,mSurface) ; eb != ee ; ++ eb )
   {
     halfedge_descriptor out = *eb ;
     if ( target(out,mSurface) == v1 )
       return out ;
   }
-      
-  return halfedge_descriptor() ;  
+
+  return halfedge_descriptor() ;
 }
 
 // Given the edge 'e' around the link for the collapsinge edge "v0-v1", finds the vertex that makes a triangle adjacent to 'e' but exterior to the link (i.e not containing v0 nor v1)
@@ -622,12 +622,12 @@ typename EdgeCollapse<M,SP,VIM,VPM,EIM,E
 EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,CF,PF,V>::find_exterior_link_triangle_3rd_vertex ( halfedge_descriptor const& e, vertex_descriptor const& v0, vertex_descriptor const& v1 ) const
 {
   vertex_descriptor r ;
-  
+
   if ( handle_assigned(e) )
   {
     vertex_descriptor ra = target(next(e, mSurface), mSurface);
     vertex_descriptor rb = source(prev(e, mSurface), mSurface);
-    
+
     if ( ra == rb && ra != v0 && ra != v1 )
     {
       r = ra ;
@@ -636,14 +636,14 @@ EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,CF,PF
     {
       ra = target(next(opposite(e,mSurface), mSurface), mSurface);
       rb = source(prev(opposite(e,mSurface), mSurface), mSurface);
-      
+
       if ( ra == rb && ra != v0 && ra != v1 )
       {
         r = ra ;
       }
     }
   }
-  
+
   return r ;
 }
 
@@ -667,44 +667,44 @@ bool EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
     link_iterator linkb = aProfile.link().begin();
     link_iterator linke = aProfile.link().end  ();
     link_iterator linkl = std::prev(linke) ;
-    
+
     for ( link_iterator l = linkb ; l != linke && rR ; ++ l )
     {
       link_iterator pv = ( l == linkb ? linkl : std::prev (l) );
       link_iterator nx = ( l == linkl ? linkb : std::next  (l) ) ;
-      
+
       // k0,k1 and k3 are three consecutive vertices along the link.
       vertex_descriptor k1 = *pv ;
       vertex_descriptor k2 = * l ;
       vertex_descriptor k3 = *nx ;
-      
+
       CGAL_SMS_TRACE(4,"  Screening link vertices k1=V" << get(Vertex_index_map,k1) << " k2=V" << get(Vertex_index_map,k2) << " k3=V" << get(Vertex_index_map,k3) ) ;
-      
+
       halfedge_descriptor e12 = find_connection(k1,k2);
       halfedge_descriptor e23 = k3 != k1 ? find_connection(k2,k3) : halfedge_descriptor() ;
-      
+
       // If 'k1-k2-k3' are connected there will be two adjacent triangles 'k0,k1,k2' and 'k0,k2,k3' after the collapse.
       if ( handle_assigned(e12) && handle_assigned(e23) )
       {
         CGAL_SMS_TRACE(4,"    Link triangles shared" ) ;
-        
+
         if ( !are_shared_triangles_valid( *k0, get_point(k1), get_point(k2), get_point(k3) ) )
         {
           CGAL_SMS_TRACE(3,"    Triangles VX-V" << get(Vertex_index_map,k1) << "-V" << get(Vertex_index_map,k2) << " and VX-V" << get(Vertex_index_map,k3) << " are not geometrically valid. Collapse rejected");
           rR = false ;
         }
       }
-      
+
       if ( rR )
       {
         // Also check the triangles 'k0,k1,k2' and it's adjacent along e12: 'k4,k2,k1', if exist
         vertex_descriptor k4 = find_exterior_link_triangle_3rd_vertex(e12,aProfile.v0(),aProfile.v1());
-          
+
         // There is indeed a triangle shared along e12
         if ( handle_assigned(k4) )
         {
           CGAL_SMS_TRACE(4,"    Found exterior link triangle shared along E" << get(Edge_index_map,e12) << " with third vertex: V" << get(Vertex_index_map,k4) ) ;
-          
+
           if ( !are_shared_triangles_valid( get_point(k1), get_point(k4), get_point(k2), *k0 ) )
           {
             CGAL_SMS_TRACE(3,"    Triangles V" << get(Vertex_index_map,k1) << "-V" << get(Vertex_index_map,k4) << " and V" << get(Vertex_index_map,k2) << "-VX are not geometrically valid. Collapse rejected");
@@ -712,17 +712,17 @@ bool EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
           }
         }
       }
-      
+
       if ( rR )
       {
         // And finally, check the triangles 'k0,k2,k3' and it's adjacent e23: 'k5,k3,k2' if exist
         vertex_descriptor k5 = find_exterior_link_triangle_3rd_vertex(e23,aProfile.v0(),aProfile.v1());
-        
+
         // There is indeed a triangle shared along e12
         if ( handle_assigned(k5) )
         {
           CGAL_SMS_TRACE(4,"    Found exterior link triangle shared along E" << get(Edge_index_map,e23) << " with third vertex: V" << get(Vertex_index_map,k5) ) ;
-          
+
           if ( !are_shared_triangles_valid( get_point(k2), get_point(k5), get_point(k3), *k0 ) )
           {
             CGAL_SMS_TRACE(3,"    Triangles V" << get(Vertex_index_map,k2) << "-V" << get(Vertex_index_map,k5) << " and V" << get(Vertex_index_map,k3) << "-VX are not geometrically valid. Collapse rejected");
@@ -730,10 +730,10 @@ bool EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
           }
         }
       }
-    } 
-    
+    }
+
   }
-  
+
   return rR ;
 }
 
@@ -742,30 +742,30 @@ void EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
 {
 
   CGAL_SMS_TRACE(1,"S" << mStep << ". Collapsing " << edge_to_string(aProfile.v0_v1()) ) ;
-  
+
   vertex_descriptor rResult ;
-    
+
   Visitor.OnCollapsing(aProfile,aPlacement);
 
   -- mCurrentEdgeCount ;
-      
+
   CGAL_SURF_SIMPL_TEST_assertion_code( size_type lResultingVertexCount = mSurface.size_of_vertices() ;
                                        size_type lResultingEdgeCount   = mSurface.size_of_halfedges() / 2 ;
-                                     ) ; 
+                                     ) ;
 
   // If the top/bottom facets exists, they are removed and the edges v0vt and Q-B along with them.
   // In that case their corresponding pairs must be pop off the queue
-  
+
   if ( aProfile.left_face_exists() )
   {
     halfedge_descriptor lV0VL = primary_edge(aProfile.vL_v0());
     if ( is_constrained(lV0VL) ) //make sure a constrained edge will not disappear
       lV0VL=primary_edge(aProfile.v1_vL());
-    
+
     CGAL_SMS_TRACE(3,"V0VL E" << get(Edge_index_map,lV0VL)
                     << "(V" <<  get(Vertex_index_map, source(lV0VL,mSurface)) << "->V" << get(Vertex_index_map,target(lV0VL,mSurface)) << ")"
                    ) ;
-                   
+
     Edge_data& lData = get_data(lV0VL) ;
     if ( lData.is_in_PQ() )
     {
@@ -774,9 +774,9 @@ void EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
     }
 
     -- mCurrentEdgeCount ;
-    CGAL_SURF_SIMPL_TEST_assertion_code( -- lResultingEdgeCount ) ; 
+    CGAL_SURF_SIMPL_TEST_assertion_code( -- lResultingEdgeCount ) ;
   }
-  
+
   if ( aProfile.right_face_exists() )
   {
     halfedge_descriptor lVRV1 = primary_edge(aProfile.vR_v1());
@@ -786,7 +786,7 @@ void EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
     CGAL_SMS_TRACE(3,"V1VRE" << get(Edge_index_map,lVRV1)
                     << "(V" <<  get(Vertex_index_map, source(lVRV1,mSurface)) << "->V" << get(Vertex_index_map, target(lVRV1,mSurface)) << ")"
                    ) ;
-                   
+
     Edge_data& lData = get_data(lVRV1) ;
     if ( lData.is_in_PQ() )
     {
@@ -794,12 +794,12 @@ void EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
       remove_from_PQ(lVRV1,lData) ;
     }
     -- mCurrentEdgeCount ;
-    CGAL_SURF_SIMPL_TEST_assertion_code( -- lResultingEdgeCount ) ; 
+    CGAL_SURF_SIMPL_TEST_assertion_code( -- lResultingEdgeCount ) ;
   }
 
   CGAL_SMS_TRACE(1,"Removing:\n  v0v1: E" << get(Edge_index_map,aProfile.v0_v1()) << "(V" << get(Vertex_index_map,aProfile.v0()) << "->V" << get(Vertex_index_map,aProfile.v1()) << ")" );
-  
-    
+
+
   // Perform the actuall collapse.
   // This is an external function.
   // It's REQUIRED to remove ONLY 1 vertex (P or Q) and edges PQ,PT and QB
@@ -808,34 +808,34 @@ void EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
   // All directed edges incident to vertex removed are relink to the vertex kept.
   rResult = halfedge_collapse_bk_compatibility(aProfile.v0_v1(), Edge_is_constrained_map);
 
-  CGAL_SURF_SIMPL_TEST_assertion_code( -- lResultingEdgeCount ) ; 
+  CGAL_SURF_SIMPL_TEST_assertion_code( -- lResultingEdgeCount ) ;
 
-  CGAL_SURF_SIMPL_TEST_assertion_code( -- lResultingVertexCount ) ; 
+  CGAL_SURF_SIMPL_TEST_assertion_code( -- lResultingVertexCount ) ;
 
   CGAL_SURF_SIMPL_TEST_assertion( lResultingEdgeCount * 2 == mSurface.size_of_halfedges() ) ;
 
   CGAL_SURF_SIMPL_TEST_assertion( lResultingVertexCount == mSurface.size_of_vertices() ) ;
 
   CGAL_SURF_SIMPL_TEST_assertion( mSurface.is_valid() && mSurface.is_pure_triangle() ) ;
-  
+
   CGAL_SMS_TRACE(1,"V" << get(Vertex_index_map,rResult) << " kept." ) ;
-                 
+
 #ifdef CGAL_SURFACE_SIMPLIFICATION_ENABLE_TRACE
-  out_edge_iterator eb1, ee1 ;     
-  for ( boost::tie(eb1,ee1) = halfedges_around_source(rResult,mSurface) ; eb1 != ee1 ; ++ eb1 )  
+  out_edge_iterator eb1, ee1 ;
+  for ( boost::tie(eb1,ee1) = halfedges_around_source(rResult,mSurface) ; eb1 != ee1 ; ++ eb1 )
     CGAL_SMS_TRACE(2, edge_to_string(*eb1) ) ;
 #endif
 
-  if ( aPlacement )  
+  if ( aPlacement )
   {
     CGAL_SMS_TRACE(1,"New vertex point: " << xyz_to_string(*aPlacement) ) ;
     put(Vertex_point_map,rResult,*aPlacement) ;
-  }  
+  }
 
   Visitor.OnCollapsed(aProfile,rResult);
 
   Update_neighbors(rResult) ;
-  
+
   CGAL_SMS_DEBUG_CODE ( ++mStep ; )
 }
 
@@ -846,54 +846,54 @@ void EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
 
   //
   // (A) Collect all edges to update their cost: all those around each vertex adjacent to the vertex kept
-  //  
-  
+  //
+
   typedef std::set<halfedge_descriptor,Compare_id> edges ;
-  
+
   edges lToUpdate(Compare_id(this)) ;
   edges lToInsert(Compare_id(this)) ;
-  
+
   // (A.1) Loop around all vertices adjacent to the vertex kept
-  in_edge_iterator eb1, ee1 ; 
+  in_edge_iterator eb1, ee1 ;
   for ( boost::tie(eb1,ee1) = halfedges_around_target(aKeptV,mSurface) ; eb1 != ee1 ; ++ eb1 )
   {
     halfedge_descriptor lEdge1 = *eb1 ;
-    
+
     vertex_descriptor lAdj_k = source(lEdge1,mSurface);
-    
+
     // (A.2) Loop around all edges incident on each adjacent vertex
-    in_edge_iterator eb2, ee2 ; 
+    in_edge_iterator eb2, ee2 ;
     for ( boost::tie(eb2,ee2) = halfedges_around_target(lAdj_k,mSurface) ; eb2 != ee2 ; ++ eb2 )
     {
       halfedge_descriptor lEdge2 = primary_edge(*eb2) ;
-      
+
       Edge_data& lData2 = get_data(lEdge2);
       CGAL_SMS_TRACE(4,"Inedge around V" << get(Vertex_index_map,lAdj_k) << edge_to_string(lEdge2) ) ;
-    
+
       // Only edges still in the PQ needs to be updated, the other needs to be re-inserted
       if ( lData2.is_in_PQ() )
         lToUpdate.insert(lEdge2) ;
       else
         lToInsert.insert(lEdge2) ;
     }
-  }  
-  
+  }
+
   //
   // (B) Proceed to update the costs.
   //
-  
+
   for ( typename edges::iterator it = lToUpdate.begin(), eit = lToUpdate.end() ; it != eit ; ++ it )
   {
     halfedge_descriptor lEdge = *it;
-    
+
     Edge_data& lData = get_data(lEdge);
-    
+
     Profile const& lProfile = create_profile(lEdge);
-    
+
     lData.cost() = get_cost(lProfile) ;
-    
+
     CGAL_SMS_TRACE(3, edge_to_string(lEdge) << " updated in the PQ") ;
-    
+
     update_in_PQ(lEdge,lData);
   }
 
@@ -927,4 +927,4 @@ void EdgeCollapse<M,SP,VIM,VPM,EIM,ECTM,
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_DETAIL_EDGE_COLLAPSE_IMPL_H //
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/edge_collapse.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/edge_collapse.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/edge_collapse.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/edge_collapse.h	2020-08-01 19:02:56.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/edge_collapse.h $
-// $Id: edge_collapse.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/edge_collapse.h $
+// $Id: edge_collapse.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -38,18 +38,18 @@ template<class TM
         >
 int edge_collapse ( TM&                       aSurface
                   , ShouldStop           const& aShould_stop
-                  // optional mesh information policies 
+                  // optional mesh information policies
                   , VertexIndexMap       const& aVertex_index_map     // defaults to get(vertex_index,aSurface)
                   , VertexPointMap       const& aVertex_point_map     // defaults to get(vertex_point,aSurface)
                   , EdgeIndexMap         const& aEdge_index_map       // defaults to get(edge_index,aSurface)
                   , EdgeIsConstrainedMap const& aEdge_is_constrained_map   // defaults to No_constrained_edge_map<TM>()
-                  
+
                   // optional strategy policies - defaults to LindstomTurk
                   , GetCost              const& aGet_cost
                   , GetPlacement         const& aGet_placement
-                  
+
                   , Visitor                     aVisitor
-                  ) 
+                  )
 {
   typedef EdgeCollapse< TM
                       , ShouldStop
@@ -62,7 +62,7 @@ int edge_collapse ( TM&
                       , Visitor
                       >
                       Algorithm;
-                      
+
   Algorithm algorithm( aSurface
                      , aShould_stop
                      , aVertex_index_map
@@ -73,34 +73,34 @@ int edge_collapse ( TM&
                      , aGet_placement
                      , aVisitor
                      ) ;
-                     
+
   return algorithm.run();
-}                          
+}
 
 
 struct Dummy_visitor
 {
-  template<class TM>                                 void OnStarted( TM& ) const {} 
-  template<class TM>                                 void OnFinished ( TM& ) const {} 
-  template<class Profile>                             void OnStopConditionReached( Profile const& ) const {} 
-  template<class Profile, class OFT>                  void OnCollected( Profile const&, OFT const& ) const {}                
-  template<class Profile, class OFT, class Size_type> void OnSelected( Profile const&, OFT const&, Size_type, Size_type ) const {}                
-  template<class Profile, class OPoint>               void OnCollapsing(Profile const&, OPoint const& ) const {}                
+  template<class TM>                                 void OnStarted( TM& ) const {}
+  template<class TM>                                 void OnFinished ( TM& ) const {}
+  template<class Profile>                             void OnStopConditionReached( Profile const& ) const {}
+  template<class Profile, class OFT>                  void OnCollected( Profile const&, OFT const& ) const {}
+  template<class Profile, class OFT, class Size_type> void OnSelected( Profile const&, OFT const&, Size_type, Size_type ) const {}
+  template<class Profile, class OPoint>               void OnCollapsing(Profile const&, OPoint const& ) const {}
   template<class Profile, class VH>                   void OnCollapsed( Profile const&, VH ) const {}
-  template<class Profile>                             void OnNonCollapsable(Profile const& ) const {}                
+  template<class Profile>                             void OnNonCollapsable(Profile const& ) const {}
 } ;
 
 template<class TM, class ShouldStop, class P, class T, class R>
 int edge_collapse ( TM& aSurface
                   , ShouldStop const& aShould_stop
-                  , Named_function_parameters<P,T,R> const& aParams 
-                  ) 
+                  , Named_function_parameters<P,T,R> const& aParams
+                  )
 {
   using parameters::choose_parameter;
   using parameters::get_parameter;
-  
+
   LindstromTurk_params lPolicyParams ;
-  
+
   internal_np::graph_visitor_t vis = internal_np::graph_visitor_t() ;
 
   return edge_collapse(aSurface
@@ -118,16 +118,16 @@ int edge_collapse ( TM& aSurface
   template<class TM, class ShouldStop, class GT, class P, class T, class R>
 int edge_collapse ( TM& aSurface
                   , ShouldStop const& aShould_stop
-                  , Named_function_parameters<P,T,R> const& aParams 
-                  ) 
+                  , Named_function_parameters<P,T,R> const& aParams
+                  )
 {
   using parameters::choose_parameter;
   using parameters::get_parameter;
-  
+
   LindstromTurk_params lPolicyParams ;
-  
+
   internal_np::graph_visitor_t vis = internal_np::graph_visitor_t() ;
-    
+
   return edge_collapse(aSurface
                       ,aShould_stop
                       ,choose_parameter(get_parameter(aParams,internal_np::vertex_index), get_const_property_map(boost::vertex_index, aSurface))
@@ -142,13 +142,13 @@ int edge_collapse ( TM& aSurface
 }
 
 template<class TM, class ShouldStop>
-int edge_collapse ( TM& aSurface, ShouldStop const& aShould_stop ) 
+int edge_collapse ( TM& aSurface, ShouldStop const& aShould_stop )
 {
   return edge_collapse(aSurface,aShould_stop, CGAL::parameters::halfedge_index_map(get(boost::halfedge_index,aSurface)));
 }
 
   template<class TM, class ShouldStop, class GT>
-  int edge_collapse ( TM& aSurface, ShouldStop const& aShould_stop) 
+  int edge_collapse ( TM& aSurface, ShouldStop const& aShould_stop)
 {
   return edge_collapse(aSurface,aShould_stop, CGAL::parameters::halfedge_index_map(get(boost::halfedge_index,aSurface)));
 }
@@ -159,4 +159,4 @@ int edge_collapse ( TM& aSurface, Should
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_EDGE_COLLAPSE_H //
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Edge_collapse_visitor_base.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Edge_collapse_visitor_base.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Edge_collapse_visitor_base.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Edge_collapse_visitor_base.h	2020-08-01 19:02:55.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Edge_collapse_visitor_base.h $
-// $Id: Edge_collapse_visitor_base.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Edge_collapse_visitor_base.h $
+// $Id: Edge_collapse_visitor_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -26,33 +26,33 @@ template<class TM_>
 struct Edge_collapse_visitor_base
 {
   typedef TM_ TM ;
-  
+
   typedef Edge_profile<TM> Profile ;
-  
-  typedef boost::graph_traits  <TM> GraphTraits ; 
-  
+
+  typedef boost::graph_traits  <TM> GraphTraits ;
+
   typedef typename GraphTraits::edges_size_type   size_type ;
   typedef typename GraphTraits::vertex_descriptor vertex_descriptor ;
   typedef typename boost::property_map<TM, CGAL::vertex_point_t>::type Vertex_point_pmap;
   typedef typename boost::property_traits<Vertex_point_pmap>::value_type Point;
   typedef typename Kernel_traits<Point>::Kernel   Kernel ;
   typedef typename Kernel::FT                     FT ;
-  
+
   void OnStarted( TM& ) {}
-  
+
   void OnFinished ( TM& ) {}
-  
+
   void OnStopConditionReached( Profile const& ) {}
-  
+
   void OnCollected( Profile const&, boost::optional<FT> const& ) {}
-  
+
   void OnSelected( Profile const&, boost::optional<FT> const&, size_type, size_type ) {}
-  
+
   void OnCollapsing(Profile const&, boost::optional<Point> const& ) {}
-  
+
   void OnCollapsed( Profile const&, vertex_descriptor const& ) {}
 
-   void OnNonCollapsable(Profile const& ) {}                
+   void OnNonCollapsable(Profile const& ) {}
 } ;
 
 } // namespace Surface_mesh_simplification
@@ -61,4 +61,4 @@ struct Edge_collapse_visitor_base
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_EDGE_COLLAPSE_VISITOR_BASE_H //
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/HalfedgeGraph_Polyhedron_3.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/HalfedgeGraph_Polyhedron_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/HalfedgeGraph_Polyhedron_3.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/HalfedgeGraph_Polyhedron_3.h	2020-08-01 19:02:55.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/HalfedgeGraph_Polyhedron_3.h $
-// $Id: HalfedgeGraph_Polyhedron_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/HalfedgeGraph_Polyhedron_3.h $
+// $Id: HalfedgeGraph_Polyhedron_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -19,5 +19,5 @@
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_HALFEDGEGRAPH_POLYHEDRON_3_H
 // EOF //
- 
- 
+
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Bounded_normal_change_placement.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Bounded_normal_change_placement.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Bounded_normal_change_placement.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Bounded_normal_change_placement.h	2020-08-01 19:02:55.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Bounded_normal_change_placement.h $
-// $Id: Bounded_normal_change_placement.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Bounded_normal_change_placement.h $
+// $Id: Bounded_normal_change_placement.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Andreas Fabri
@@ -16,23 +16,23 @@
 
 namespace CGAL {
 
-namespace Surface_mesh_simplification  
+namespace Surface_mesh_simplification
 {
 
 template<class Placement>
 class Bounded_normal_change_placement
 {
 public:
-    
+
   typedef typename Placement::TM TM ;
-  
+
 public:
-  
+
   Bounded_normal_change_placement(const Placement& placement = Placement() )
     : mPlacement(placement)
   {}
-     
-  template <typename Profile> 
+
+  template <typename Profile>
   boost::optional<typename Profile::Point>
   operator()( Profile const& aProfile) const
   {
@@ -49,7 +49,7 @@ public:
          typename Profile::VertexPointMap ppmap = aProfile.vertex_point_map();
          typename Profile::Triangle_vector::const_iterator it = triangles.begin();
          if(aProfile.left_face_exists()){
-           ++it; 
+           ++it;
          }
          if(aProfile.right_face_exists()){
            ++it;
@@ -60,12 +60,12 @@ public:
            Point q = get(ppmap,t.v1);
            Point r = get(ppmap,t.v2);
            Point q2 = *op;
-           
+
            Vector eqp = Traits().construct_vector_3_object()(q,p) ;
            Vector eqr = Traits().construct_vector_3_object()(q,r) ;
            Vector eq2p = Traits().construct_vector_3_object()(q2,p) ;
            Vector eq2r = Traits().construct_vector_3_object()(q2,r) ;
-           
+
            Vector n1 = Traits().construct_cross_product_vector_3_object()(eqp,eqr);
            Vector n2 = Traits().construct_cross_product_vector_3_object()(eq2p,eq2r);
            if(! is_positive(Traits().compute_scalar_product_3_object()(n1, n2))){
@@ -77,7 +77,7 @@ public:
     }
     return op;
   }
-  
+
 private:
 
   Placement  mPlacement ;
@@ -91,4 +91,4 @@ private:
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_POLICIES_EDGE_COLLAPSE_BOUNDED_NORMAL_CHANGE_PLACEMENT_H
 
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Constrained_placement.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Constrained_placement.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Constrained_placement.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Constrained_placement.h	2020-08-01 19:02:55.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Constrained_placement.h $
-// $Id: Constrained_placement.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Constrained_placement.h $
+// $Id: Constrained_placement.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sebastien Loriot <sebastien.loriot@cgal.org>
@@ -37,7 +37,7 @@ public:
   , Edge_is_constrained_map(map)
   {}
 
-  template <typename Profile> 
+  template <typename Profile>
   optional<typename Profile::Point> operator()( Profile const& aProfile ) const
   {
     typedef typename Profile::TM                                TM;
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Count_ratio_stop_predicate.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Count_ratio_stop_predicate.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Count_ratio_stop_predicate.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Count_ratio_stop_predicate.h	2020-08-01 19:02:55.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Count_ratio_stop_predicate.h $
-// $Id: Count_ratio_stop_predicate.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Count_ratio_stop_predicate.h $
+// $Id: Count_ratio_stop_predicate.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -19,7 +19,7 @@
 
 namespace CGAL {
 
-namespace Surface_mesh_simplification 
+namespace Surface_mesh_simplification
 {
 
 //*******************************************************************************************************************
@@ -30,37 +30,37 @@ namespace Surface_mesh_simplification
 //
 //*******************************************************************************************************************
 
-// 
+//
 // Stops when the ratio of initial to current vertex pairs is below some value.
 //
-template<class TM_>    
+template<class TM_>
 class Count_ratio_stop_predicate
 {
 public:
 
   typedef TM_ TM ;
-  
+
   typedef Edge_profile<TM> Profile ;
-  
+
   typedef typename boost::graph_traits<TM>::edge_descriptor edge_descriptor ;
   typedef typename boost::graph_traits<TM>::edges_size_type size_type ;
-    
+
   Count_ratio_stop_predicate( double aRatio ) : mRatio(aRatio) {}
-  
-  template <typename F> 
+
+  template <typename F>
   bool operator()( F const&       // aCurrentCost
                  , Profile const& // aEdgeProfile
                  , size_type         aInitialCount
                  , size_type         aCurrentCount
-                 ) const 
+                 ) const
   {
     return ( static_cast<double>(aCurrentCount) / static_cast<double>(aInitialCount) ) < mRatio ;
   }
-  
+
 private:
-  
+
   double mRatio ;
-};    
+};
 
 } // namespace Surface_mesh_simplification
 
@@ -68,4 +68,4 @@ private:
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_POLICIES_EDGE_COLLAPSE_COUNT_RATIO_STOP_PREDICATE_H //
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Count_stop_predicate.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Count_stop_predicate.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Count_stop_predicate.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Count_stop_predicate.h	2020-08-01 19:02:55.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Count_stop_predicate.h $
-// $Id: Count_stop_predicate.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Count_stop_predicate.h $
+// $Id: Count_stop_predicate.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -30,10 +30,10 @@ namespace Surface_mesh_simplification
 //
 //*******************************************************************************************************************
 
-// 
+//
 // Stops when the number of edges left falls below a given number.
 //
-template<class TM_>    
+template<class TM_>
 class Count_stop_predicate
 {
 public:
@@ -41,29 +41,29 @@ public:
   typedef TM_ TM ;
 
   //  typedef Edge_profile<TM> Profile ;
-  
+
   typedef typename boost::graph_traits<TM>::edges_size_type size_type ;
-  
+
   // typedef typename Kernel::FT FT ;
 
 public :
-  
+
   Count_stop_predicate( std::size_t aThres ) : mThres(aThres) {}
-  
-  template <typename F, typename Profile> 
+
+  template <typename F, typename Profile>
   bool operator()( F const&         // aCurrentCost
                  , Profile const& // aEdgeProfile
                  , std::size_t    // aInitialCount
                  , std::size_t       aCurrentCount
-                 ) const 
+                 ) const
   {
     return aCurrentCount < mThres ;
   }
-  
+
 private:
-  
+
   std::size_t mThres ;
-};    
+};
 
 } // namespace Surface_mesh_simplification
 
@@ -71,4 +71,4 @@ private:
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_POLICIES_EDGE_COLLAPSE_COUNT_STOP_PREDICATE_H //
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Detail/Lindstrom_Turk_core.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Detail/Lindstrom_Turk_core.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Detail/Lindstrom_Turk_core.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Detail/Lindstrom_Turk_core.h	2020-08-01 19:02:55.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Detail/Lindstrom_Turk_core.h $
-// $Id: Lindstrom_Turk_core.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Detail/Lindstrom_Turk_core.h $
+// $Id: Lindstrom_Turk_core.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -25,7 +25,7 @@
 namespace CGAL {
 
 //
-// This should be in 
+// This should be in
 //
 // Implementation of the collapsing cost and placement strategy from:
 //
@@ -40,53 +40,53 @@ namespace Surface_mesh_simplification
 class LindstromTurkCore
 {
 public:
-    
+
   typedef TM_    TM ;
   typedef Profile_ Profile ;
-  
+
   typedef boost::graph_traits<TM> GraphTraits ;
-  
+
   typedef typename GraphTraits::vertex_descriptor vertex_descriptor ;
   typedef typename GraphTraits::halfedge_descriptor   halfedge_descriptor ;
-  
+
   typedef LindstromTurk_params Params ;
-  
+
   typedef typename Profile::Point Point ;
 
   typedef typename Profile::VertexPointMap Vertex_point_pmap;
   typedef typename boost::property_traits<Vertex_point_pmap>::value_type TM_Point;
-  
+
   typedef typename Kernel_traits<TM_Point>::Kernel TM_Kernel ;
-  
+
   typedef typename Kernel_traits<Point>::Kernel Kernel;
   typedef typename Kernel::Vector_3 Vector ;
   typedef typename Kernel::FT       FT ;
- 
+
   typedef optional<FT>     Optional_FT ;
   typedef optional<Point>  Optional_point ;
   typedef optional<Vector> Optional_vector ;
-  
+
   typedef MatrixC33<Kernel> Matrix ;
-  
+
   typedef typename Profile::Triangle                 Triangle ;
   typedef typename Profile::vertex_descriptor_vector vertex_descriptor_vector ;
-  
+
   typedef typename Profile::Triangle_vector       ::const_iterator const_triangle_iterator ;
   typedef typename Profile::halfedge_descriptor_vector::const_iterator const_border_edge_iterator ;
-  
+
 public:
-  
+
   LindstromTurkCore( Params const& aParams, Profile const& aProfile ) ;
-    
+
   Optional_point compute_placement() ;
   Optional_FT    compute_cost( Optional_point const& p ) ;
-  
+
 private :
 
   struct Triangle_data
   {
     Triangle_data( Vector const& aNormalV, FT const& aNormalL ) : NormalV(aNormalV), NormalL(aNormalL) {}
-    
+
     Vector NormalV ;
     FT     NormalL ;
   } ;
@@ -94,17 +94,17 @@ private :
   {
     Boundary_data ( Point s_, Point t_, Vector const& v_, Vector const& n_ ) : s(s_), t(t_), v(v_), n(n_) {}
 
-    Point  s, t ;      
+    Point  s, t ;
     Vector v, n ;
   } ;
   typedef std::vector<Triangle_data> Triangle_data_vector ;
   typedef std::vector<Boundary_data> Boundary_data_vector ;
-  
+
 private :
-    
+
   void Extract_triangle_data();
   void Extract_boundary_data();
-  
+
   void Add_boundary_preservation_constraints( Boundary_data_vector const& aBdry ) ;
   void Add_volume_preservation_constraints( Triangle_data_vector const& aTriangles );
   void Add_boundary_and_volume_optimization_constraints( Boundary_data_vector const& aBdry, Triangle_data_vector const& aTriangles ) ;
@@ -119,32 +119,32 @@ private :
     return convert(get(mProfile.vertex_point_map(),v));
   }
 
-  static Vector Point_cross_product ( Point const& a, Point const& b ) 
+  static Vector Point_cross_product ( Point const& a, Point const& b )
   {
-    return cross_product(a-ORIGIN,b-ORIGIN); 
+    return cross_product(a-ORIGIN,b-ORIGIN);
   }
 
   // This is the (uX)(Xu) product described in the Lindstrom-Turk paper
-  static Matrix LT_product( Vector const& u ) 
+  static Matrix LT_product( Vector const& u )
   {
     FT a00 = ( u.y()*u.y() ) + ( u.z()*u.z() ) ;
     FT a01 = -u.x()*u.y();
     FT a02 = -u.x()*u.z();
-  
+
     FT a10 = a01 ;
     FT a11 = ( u.x()*u.x() ) + ( u.z()*u.z() ) ;
     FT a12 = - u.y() * u.z();
-  
+
     FT a20 = a02 ;
     FT a21 = a12 ;
     FT a22 =  ( u.x()*u.x() ) + ( u.y()*u.y() ) ;
-  
+
     return Matrix(a00,a01,a02
                  ,a10,a11,a12
                  ,a20,a21,a22
                  );
   }
-  
+
   static FT big_value() { return static_cast<FT>((std::numeric_limits<double>::max)()) ; }
 
   static bool is_finite ( FT     const& n ) { return CGAL_NTS is_finite(n) ; }
@@ -156,21 +156,21 @@ private :
   static optional<T> filter_infinity ( T const& n ) { return is_finite(n) ? optional<T>(n) : optional<T>() ; }
 
   TM& surface() const { return mProfile.surface() ; }
-  
-private:    
 
-  Params const&  mParams ; 
+private:
+
+  Params const&  mParams ;
   Profile const& mProfile ;
 
     void Add_constraint_if_alpha_compatible( Vector const& Ai, FT const& bi ) ;
-  
+
     void Add_constraint_from_gradient ( Matrix const& H, Vector const& c ) ;
 
-private:    
+private:
 
   Triangle_data_vector mTriangle_data ;
   Boundary_data_vector mBdry_data ;
-  
+
   int    mConstraints_n ;
   Matrix mConstraints_A ;
   Vector mConstraints_b ;
@@ -189,4 +189,4 @@ private:
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_POLICIES_EDGE_COLLAPSE_DETAIL_LINDSTROM_TURK_CORE_H //
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Detail/Lindstrom_Turk_core_impl.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Detail/Lindstrom_Turk_core_impl.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Detail/Lindstrom_Turk_core_impl.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Detail/Lindstrom_Turk_core_impl.h	2020-08-01 19:02:55.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Detail/Lindstrom_Turk_core_impl.h $
-// $Id: Lindstrom_Turk_core_impl.h c4c1a0b 2019-10-19T16:00:05+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Detail/Lindstrom_Turk_core_impl.h $
+// $Id: Lindstrom_Turk_core_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
@@ -34,10 +34,10 @@ LindstromTurkCore<TM,K>::LindstromTurkCo
   ,mProfile(aProfile)
   ,mConstraints_n(0)
   ,mConstraints_A(NULL_MATRIX)
-  ,mConstraints_b(NULL_VECTOR) 
+  ,mConstraints_b(NULL_VECTOR)
 {
   double alpha = 1.0 * CGAL_PI / 180.0;
- 
+
   FT cos_alpha = std::cos(alpha);
   FT sin_alpha = std::sin(alpha);
 
@@ -55,24 +55,24 @@ void LindstromTurkCore<TM,K>::Extract_bo
   for ( const_border_edge_iterator it = mProfile.border_edges().begin(), eit = mProfile.border_edges().end() ; it != eit ; ++ it )
   {
     halfedge_descriptor border_edge = *it ;
-    
+
     halfedge_descriptor face_edge = opposite(border_edge,surface()) ;
-        
+
     vertex_descriptor sv = source(face_edge,surface());
     vertex_descriptor tv = target(face_edge,surface());
-    
+
     Point const& sp = get_point(sv);
     Point const& tp = get_point(tv);
-    
+
     Vector v = tp - sp ;
     Vector n = Point_cross_product(tp,sp) ;
-    
+
     CGAL_SMS_LT_TRACE(1,"  Boundary edge. S:" << xyz_to_string(sp) << " T:" << xyz_to_string(tp)
-                      << " V:" << xyz_to_string(v) << " N:" << xyz_to_string(n) 
+                      << " V:" << xyz_to_string(v) << " N:" << xyz_to_string(n)
                       ) ;
-    
+
     mBdry_data.push_back( Boundary_data(sp,tp,v,n) ) ;
-  }  
+  }
 }
 
 template<class TM, class K>
@@ -86,18 +86,18 @@ void LindstromTurkCore<TM,K>::Extract_tr
     Point const& p0 = get_point(tri.v0);
     Point const& p1 = get_point(tri.v1);
     Point const& p2 = get_point(tri.v2);
-    
+
     Vector v01 = p1 - p0 ;
     Vector v02 = p2 - p0 ;
-    
+
     Vector lNormalV = cross_product(v01,v02);
-    
+
     FT lNormalL = Point_cross_product(p0,p1) * (p2-ORIGIN);
-    
+
     CGAL_SMS_LT_TRACE(1,"  Extracting triangle v" << tri.v0 << "->v" << tri.v1 << "->v" << tri.v2
                       << " N:" << xyz_to_string(lNormalV) << " L:" << n_to_string(lNormalL)
                       );
-    
+
     mTriangle_data.push_back(Triangle_data(lNormalV,lNormalL));
   }
 }
@@ -107,15 +107,15 @@ typename LindstromTurkCore<TM,K>::Option
 {
   Optional_point  rPlacementP ;
   Optional_vector lPlacementV ;
-  
+
   CGAL_SMS_LT_TRACE(0,"Computing LT placement for E" << mProfile.v0_v1() << " (V" << mProfile.v0() << "->V" << mProfile.v1() << ")" );
-  
+
   //
   // Each vertex constraint is an equation of the form: Ai * v = bi
   // Where 'v' is a vector representing the vertex,
   // 'Ai' is a (row) vector and 'bi' a scalar.
   //
-  // The vertex is completely determined with 3 such constraints, 
+  // The vertex is completely determined with 3 such constraints,
   // so is the solution to the folloing system:
   //
   //  A.r0(). * v = b0
@@ -135,46 +135,46 @@ typename LindstromTurkCore<TM,K>::Option
   //
   if ( mBdry_data.size() > 0 )
     Add_boundary_preservation_constraints(mBdry_data);
-  
+
   if ( mConstraints_n < 3 )
     Add_volume_preservation_constraints(mTriangle_data);
-    
+
   if ( mConstraints_n < 3 )
-    Add_boundary_and_volume_optimization_constraints(mBdry_data,mTriangle_data); 
-    
+    Add_boundary_and_volume_optimization_constraints(mBdry_data,mTriangle_data);
+
   if ( mConstraints_n < 3 )
     Add_shape_optimization_constraints(mProfile.link());
-  
+
   // It might happen that there were not enough alpha-compatible constraints.
   // In that case there is simply no good vertex placement
-  if ( mConstraints_n == 3 ) 
+  if ( mConstraints_n == 3 )
   {
     // If the matrix is singular it's inverse cannot be computed so an 'absent' value is returned.
     optional<Matrix> lOptional_Ai = inverse_matrix(mConstraints_A);
     if ( lOptional_Ai )
     {
       Matrix const& lAi = *lOptional_Ai ;
-      
+
       CGAL_SMS_LT_TRACE(2,"       b: " << xyz_to_string(mConstraints_b) );
       CGAL_SMS_LT_TRACE(2,"  inv(A): " << matrix_to_string(lAi) );
-      
+
       lPlacementV = filter_infinity(mConstraints_b * lAi) ;
-      
+
       CGAL_SMS_LT_TRACE(0,"  New vertex point: " << xyz_to_string(*lPlacementV) );
     }
     else
     {
       CGAL_SMS_LT_TRACE(1,"  Can't solve optimization, singular system.");
-    }  
+    }
   }
   else
   {
     CGAL_SMS_LT_TRACE(1,"  Can't solve optimization, not enough alpha-compatible constraints.");
-  }  
-  
+  }
+
   if ( lPlacementV )
     rPlacementP = ORIGIN + (*lPlacementV) ;
-    
+
   return rPlacementP;
 }
 
@@ -189,26 +189,26 @@ typename LindstromTurkCore<TM,K>::Option
     Vector lV = (*aP) - ORIGIN ;
 
     FT lSquaredLength = squared_distance(mProfile.p0(),mProfile.p1());
-   
+
     FT lBdryCost   = Compute_boundary_cost(lV ,mBdry_data);
     FT lVolumeCost = Compute_volume_cost  (lV ,mTriangle_data);
     FT lShapeCost  = Compute_shape_cost   (*aP,mProfile.link());
-    
+
     FT lTotalCost =   FT(mParams.VolumeWeight)   * lVolumeCost
                     + FT(mParams.BoundaryWeight) * lBdryCost   * lSquaredLength
                     + FT(mParams.ShapeWeight)    * lShapeCost  * lSquaredLength * lSquaredLength ;
-    
+
     rCost = filter_infinity(lTotalCost);
-    
+
     CGAL_SMS_LT_TRACE(0,  "    Squared edge length: " << n_to_string(lSquaredLength)
                       << "\n    Boundary cost: " << n_to_string(lBdryCost) << " weight: " << mParams.BoundaryWeight
                       << "\n    Volume cost: " << n_to_string(lVolumeCost) << " weight: " << mParams.VolumeWeight
                       << "\n    Shape cost: " << n_to_string(lShapeCost)   << " weight: " << mParams.ShapeWeight
-                      << "\n  TOTAL COST: " << n_to_string(lTotalCost) 
+                      << "\n  TOTAL COST: " << n_to_string(lTotalCost)
                       );
-                      
+
   }
-    
+
   return rCost;
 }
 
@@ -216,43 +216,43 @@ typename LindstromTurkCore<TM,K>::Option
 template<class TM, class K>
 void LindstromTurkCore<TM,K>::Add_boundary_preservation_constraints( Boundary_data_vector const& aBdry )
 {
- 
+
   if ( aBdry.size() > 0 )
   {
-    Vector e1 = NULL_VECTOR ; 
+    Vector e1 = NULL_VECTOR ;
     Vector e2 = NULL_VECTOR ;
 
     FT e1x = FT(0.0), e1y = FT(0.0), e1z = FT(0.0) ;
-    
+
     for ( typename Boundary_data_vector::const_iterator it = aBdry.begin() ; it != aBdry.end() ; ++ it )
     {
       e1 = e1 + it->v ;
       e2 = e2 + it->n ;
-      
+
       FT vx = it->v.x() ;
       FT vy = it->v.y() ;
       FT vz = it->v.z() ;
-      
+
       e1x = e1x + vx;
       e1y = e1y + vy;
       e1z = e1z + vz;
-      
-      CGAL_SMS_LT_TRACE(1,"    vx:" << n_to_string(vx) << " vy:" << n_to_string(vy) << " vz:" << n_to_string(vz) << " e1x:" 
+
+      CGAL_SMS_LT_TRACE(1,"    vx:" << n_to_string(vx) << " vy:" << n_to_string(vy) << " vz:" << n_to_string(vz) << " e1x:"
                             << n_to_string(e1x) << " e1y:" << n_to_string(e1y) << " e1z:" << n_to_string(e1z) );
-    }     
-    
+    }
+
     Matrix H = LT_product(e1);
-    
+
     Vector c = cross_product(e1,e2);
-    
+
     CGAL_SMS_LT_TRACE(1
                       ,"  Adding boundary preservation constraint."
-                       << "\n      SumV:" << xyz_to_string(e1) 
-                       << "\n      SumN:" << xyz_to_string(e2) 
+                       << "\n      SumV:" << xyz_to_string(e1)
+                       << "\n      SumN:" << xyz_to_string(e2)
                        << "\n      H:" << matrix_to_string(H)
-                       << "\n      c:" << xyz_to_string(c)                       
+                       << "\n      c:" << xyz_to_string(c)
                       );
-    
+
     Add_constraint_from_gradient(H,c);
   }
 }
@@ -261,19 +261,19 @@ template<class TM, class K>
 void LindstromTurkCore<TM,K>::Add_volume_preservation_constraints( Triangle_data_vector const& aTriangles )
 {
   CGAL_SMS_LT_TRACE(1,"  Adding volume preservation constraint. " << aTriangles.size() << " triangles.");
-  
+
   Vector lSumV = NULL_VECTOR ;
   FT     lSumL(0) ;
-  
+
   for( typename Triangle_data_vector::const_iterator it = aTriangles.begin(), eit = aTriangles.end() ; it != eit ; ++it )
   {
     lSumV = lSumV + it->NormalV ;
-    lSumL = lSumL + it->NormalL ;  
-  }   
-  
+    lSumL = lSumL + it->NormalL ;
+  }
+
   CGAL_SMS_LT_TRACE(1, "      SumV:" << xyz_to_string(lSumV) << "\n      SumL:" << n_to_string(lSumL) );
-  
-  Add_constraint_if_alpha_compatible(lSumV,lSumL);   
+
+  Add_constraint_if_alpha_compatible(lSumV,lSumL);
 
 }
 
@@ -283,25 +283,25 @@ void LindstromTurkCore<TM,K>::Add_bounda
                                                                             )
 {
   CGAL_SMS_LT_TRACE(1,"  Adding boundary and volume optimization constraints. ");
-  
+
   Matrix H = NULL_MATRIX ;
   Vector c = NULL_VECTOR ;
 
   //
-  // Volume optimization  
+  // Volume optimization
   //
   for( typename Triangle_data_vector::const_iterator it = aTriangles.begin(), eit = aTriangles.end() ; it != eit ; ++it )
   {
     Triangle_data const& lTri = *it ;
-    
+
     H += direct_product(lTri.NormalV,lTri.NormalV) ;
-    
+
     c = c - ( lTri.NormalL * lTri.NormalV ) ;
-  }   
-  
+  }
+
   CGAL_SMS_LT_TRACE(2,"      Hv:" << matrix_to_string(H) << "\n      cv:" << xyz_to_string(c) ) ;
-  
-  
+
+
   if ( aBdry.size() > 0 )
   {
     //
@@ -309,34 +309,34 @@ void LindstromTurkCore<TM,K>::Add_bounda
     //
     Matrix Hb = NULL_MATRIX ;
     Vector cb = NULL_VECTOR ;
-    
+
     for ( typename Boundary_data_vector::const_iterator it = aBdry.begin() ; it != aBdry.end() ; ++ it )
     {
       Matrix H = LT_product(it->v);
       Vector c = cross_product(it->v,it->n);
-      
+
       Hb += H ;
       cb = cb + c ;
-    }     
-    
+    }
+
     CGAL_SMS_LT_TRACE(2,"      Hb:" << matrix_to_string(Hb) << "\n      cb:" << xyz_to_string(cb) ) ;
-    
+
     //
     // Weighted average
     //
     FT lScaledBoundaryWeight = FT(9) * FT(mParams.BoundaryWeight) * squared_distance(mProfile.p0(),mProfile.p1())  ;
-    
+
     H *= mParams.VolumeWeight ;
     c = c * mParams.VolumeWeight ;
-    
+
     H += lScaledBoundaryWeight * Hb ;
     c = c + ( lScaledBoundaryWeight * cb ) ;
-    
+
     CGAL_SMS_LT_TRACE(2,"      H:" << matrix_to_string(H) << "\n      c:" << xyz_to_string(c) ) ;
     CGAL_SMS_LT_TRACE(2,"      VolW:" << mParams.VolumeWeight << " BdryW:" << mParams.BoundaryWeight << " ScaledBdryW:" << lScaledBoundaryWeight ) ;
-    
+
   }
-  
+
   Add_constraint_from_gradient(H,c);
 }
 
@@ -344,19 +344,19 @@ template<class TM, class K>
 void LindstromTurkCore<TM,K>::Add_shape_optimization_constraints( vertex_descriptor_vector const& aLink )
 {
   FT s((double)aLink.size());
-  
+
   Matrix H (  s,0.0,0.0
            ,0.0,  s,0.0
            ,0.0,0.0,  s
            );
-           
+
   Vector c = NULL_VECTOR ;
-  
+
   for( typename vertex_descriptor_vector::const_iterator it = aLink.begin(), eit = aLink.end() ; it != eit ; ++it )
-    c = c + (ORIGIN - get_point(*it)) ;  
-           
+    c = c + (ORIGIN - get_point(*it)) ;
+
   CGAL_SMS_LT_TRACE(1,"  Adding shape optimization constraint. Shape vector: " << xyz_to_string(c) );
-  
+
   Add_constraint_from_gradient(H,c);
 }
 
@@ -369,8 +369,8 @@ LindstromTurkCore<TM,K>::Compute_boundar
   {
     Vector u = (it->t - ORIGIN ) - v ;
     Vector c = cross_product(it->v,u);
-    rCost += c*c;  
-  }     
+    rCost += c*c;
+  }
   return rCost / FT(4) ;
 }
 
@@ -379,17 +379,17 @@ typename LindstromTurkCore<TM,K>::FT
 LindstromTurkCore<TM,K>::Compute_volume_cost( Vector const& v, Triangle_data_vector const& aTriangles )
 {
   FT rCost(0);
-  
+
   for( typename Triangle_data_vector::const_iterator it = aTriangles.begin(), eit = aTriangles.end() ; it != eit ; ++it )
   {
     Triangle_data const& lTri = *it ;
-    
+
     FT lF = lTri.NormalV * v - lTri.NormalL ;
-    
+
     rCost += ( lF * lF ) ;
-    
+
   }
-    
+
   return rCost / FT(36) ;
 }
 
@@ -398,10 +398,10 @@ typename LindstromTurkCore<TM,K>::FT
 LindstromTurkCore<TM,K>::Compute_shape_cost( Point const& p, vertex_descriptor_vector const& aLink )
 {
   FT rCost(0);
-  
+
   for( typename vertex_descriptor_vector::const_iterator it = aLink.begin(), eit = aLink.end() ; it != eit ; ++it )
-    rCost += squared_distance(p,get_point(*it)) ;  
-    
+    rCost += squared_distance(p,get_point(*it)) ;
+
   return rCost ;
 }
 
@@ -411,56 +411,56 @@ void LindstromTurkCore<TM,K>::Add_constr
   CGAL_SMS_LT_TRACE(3,"    Adding new constraints if alpha-compatible.\n      Ai: " << xyz_to_string(Ai) << "\n      bi:" << n_to_string(bi) << ")" );
 
   FT slai = Ai*Ai ;
-  
+
   CGAL_SMS_LT_TRACE(3,"\n      slai: " << n_to_string(slai) << ")" );
-  
+
   if ( is_finite(slai) )
   {
     FT l = CGAL_NTS sqrt( slai ) ;
-  
+
     CGAL_SMS_LT_TRACE(3,"      l: " << n_to_string(l) );
-    
+
     if ( !CGAL_NTS is_zero(l) )
     {
       Vector Ain = Ai / l ;
       FT     bin = bi / l ;
-      
+
       CGAL_SMS_LT_TRACE(3,"      Ain: " << xyz_to_string(Ain) << " bin:" << n_to_string(bin) );
-      
+
       bool lAddIt = true ;
-      
+
       if ( mConstraints_n == 1 )
       {
         FT d01 = mConstraints_A.r0() * Ai  ;
-        
+
         FT sla0 = mConstraints_A.r0() * mConstraints_A.r0() ;
         FT sd01 = d01 * d01 ;
-    
-        FT max = sla0 * slai * mSquared_cos_alpha ;     
-        
+
+        FT max = sla0 * slai * mSquared_cos_alpha ;
+
         CGAL_SMS_LT_TRACE(3,"      Second constraint. d01: " << n_to_string(d01) << " sla0:" << n_to_string(sla0) << " sd01:" << n_to_string(sd01) << " max:" << n_to_string(max) );
-        
+
         if ( sd01 > max )
           lAddIt = false ;
       }
       else if ( mConstraints_n == 2 )
       {
         Vector N = cross_product(mConstraints_A.r0(),mConstraints_A.r1());
-        
+
         FT dc012 = N * Ai ;
-        
+
         FT slc01  = N * N ;
-        FT sdc012 = dc012 * dc012;       
-    
+        FT sdc012 = dc012 * dc012;
+
         FT min = slc01 * slai * mSquared_sin_alpha ;
-        
+
         CGAL_SMS_LT_TRACE(3,"      Third constraint. N: " << xyz_to_string(N) << " dc012:" << n_to_string(dc012) << " slc01:" << n_to_string(slc01)
                           << " sdc012:" << n_to_string(sdc012) << " min:" << n_to_string(min) );
-        
+
         if ( sdc012 <= min )
           lAddIt = false ;
       }
-      
+
       if ( lAddIt )
       {
         switch ( mConstraints_n )
@@ -478,11 +478,11 @@ void LindstromTurkCore<TM,K>::Add_constr
             mConstraints_b = Vector(mConstraints_b.x(),mConstraints_b.y(),bin);
             break ;
         }
-        
+
         CGAL_SMS_LT_TRACE(3,"      Accepting # " << mConstraints_n << " A:" << matrix_to_string(mConstraints_A) << " b:" << xyz_to_string(mConstraints_b) ) ;
-        
+
         ++ mConstraints_n ;
-        
+
       }
       else
       {
@@ -504,21 +504,21 @@ template<class V>
 int index_of_max_component ( V const& v )
 {
   typedef typename Kernel_traits<V>::Kernel::FT FT ;
-  
+
   int i = 0 ;
-  
+
   FT max = v.x();
 
   if ( max < v.y() )
   {
     max = v.y();
     i = 1 ;
-  }  
+  }
   if ( max < v.z() )
   {
     max = v.z();
     i = 2 ;
-  }  
+  }
   return i ;
 }
 
@@ -526,79 +526,79 @@ template<class TM, class K>
 void LindstromTurkCore<TM,K>::Add_constraint_from_gradient ( Matrix const& H, Vector const& c )
 {
   CGAL_SMS_LT_TRACE(3,"    Adding constraint from gradient. Current n=" << mConstraints_n ) ;
-  
+
   CGAL_precondition(mConstraints_n >= 0 && mConstraints_n<=2 );
-  
+
   switch(mConstraints_n)
   {
     case 0 :
-    
+
       Add_constraint_if_alpha_compatible(H.r0(),-c.x());
       Add_constraint_if_alpha_compatible(H.r1(),-c.y());
       Add_constraint_if_alpha_compatible(H.r2(),-c.z());
-      
-      break;  
-      
+
+      break;
+
     case 1 :
       {
         Vector const& A0 = mConstraints_A.r0();
-        
+
         CGAL_assertion( A0 != NULL_VECTOR ) ;
-        
+
         Vector AbsA0( CGAL::abs(A0.x())
                       , CGAL::abs(A0.y())
                       , CGAL::abs(A0.z())
                     );
-           
-        Vector Q0;      
-        switch ( index_of_max_component(AbsA0) ) 
+
+        Vector Q0;
+        switch ( index_of_max_component(AbsA0) )
         {
           // Since A0 is guaranteed to be non-zero, the denominators here are known to be non-zero too.
-          
+
           case 0: Q0 = Vector(- A0.z()/A0.x(),0              ,1              ); break;
           case 1: Q0 = Vector(0              ,- A0.z()/A0.y(),1              ); break;
           case 2: Q0 = Vector(1              ,0              ,- A0.x()/A0.z()); break;
 
            default : Q0 = NULL_VECTOR ; // This should never happen!
         }
-        
+
         CGAL_SMS_LT_TRACE(3,"      Q0:" << xyz_to_string(Q0) ) ;
-        
+
         CGAL_assertion( Q0 != NULL_VECTOR ) ;
-        
+
         Vector Q1 = cross_product(A0,Q0);
-    
+
         Vector A1 = H * Q0 ;
         Vector A2 = H * Q1 ;
-        
+
         FT b1 = - ( Q0 * c ) ;
         FT b2 = - ( Q1 * c ) ;
-        
-        CGAL_SMS_LT_TRACE(3,"      Q1:" << xyz_to_string(Q1) << "\n      A1: " << xyz_to_string(A1) << "\n      A2:" << xyz_to_string(A2) 
+
+        CGAL_SMS_LT_TRACE(3,"      Q1:" << xyz_to_string(Q1) << "\n      A1: " << xyz_to_string(A1) << "\n      A2:" << xyz_to_string(A2)
                           << "\n      b1:" << n_to_string(b1) << "\n      b2:" << n_to_string(b2) ) ;
-        
+
         Add_constraint_if_alpha_compatible(A1,b1);
         Add_constraint_if_alpha_compatible(A2,b2);
-        
+
       }
       break ;
-    
+
     case 2:
       {
-    
+
         Vector Q = cross_product(mConstraints_A.r0(),mConstraints_A.r1());
-        
+
         Vector A2 = H * Q ;
-        
+
         FT b2 = - ( Q * c ) ;
-        
+
         CGAL_SMS_LT_TRACE(3,"      Q:" << xyz_to_string(Q) << "\n      A2: " << xyz_to_string(A2) << "\n      b2:" << n_to_string(b2) ) ;
 
         Add_constraint_if_alpha_compatible(A2,b2);
-        
+
       }
       break ;
-      
+
   }
 }
 
@@ -608,4 +608,4 @@ void LindstromTurkCore<TM,K>::Add_constr
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_POLICIES_EDGE_COLLAPSE_DETAIL_LINDSTROMTURK_CORE_IMPL_H //
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_length_cost.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_length_cost.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_length_cost.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_length_cost.h	2020-08-01 19:02:55.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_length_cost.h $
-// $Id: Edge_length_cost.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_length_cost.h $
+// $Id: Edge_length_cost.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -29,11 +29,11 @@ namespace Surface_mesh_simplification
 class Edge_length_cost
 {
 public:
-  /*  
+  /*
   typedef TM_ TM ;
-  
+
   typedef Edge_profile<TM> Profile ;
-  typedef typename Profile::Point Point;  
+  typedef typename Profile::Point Point;
   typedef typename Kernel_traits<Point>::Kernel Kernel ;
   typedef typename Kernel::FT FT ;
   typedef optional<FT> result_type ;
@@ -43,13 +43,13 @@ public:
   Edge_length_cost()
   {}
 
-  template <typename Profile, typename T> 
+  template <typename Profile, typename T>
   optional<typename Profile::FT> operator()( Profile const& aProfile, T const& /*aPlacement*/ ) const
   {
     typedef optional<typename Profile::FT> result_type;
     return result_type(squared_distance(aProfile.p0(),aProfile.p1()));
   }
-  
+
 };
 
 
@@ -60,4 +60,4 @@ public:
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_POLICIES_EDGE_COLLAPSE_EDGE_LENGHT_COST_H
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_length_stop_predicate.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_length_stop_predicate.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_length_stop_predicate.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_length_stop_predicate.h	2020-08-01 19:02:56.000000000 +0000
@@ -2,7 +2,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_length_stop_predicate.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_length_stop_predicate.h $
 // $Id: Edge_length_stop_predicate.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_profile.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_profile.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_profile.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_profile.h	2020-08-01 19:02:56.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_profile.h $
-// $Id: Edge_profile.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_profile.h $
+// $Id: Edge_profile.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -32,7 +32,7 @@ public:
   typedef TM_ TM ;
   typedef VertexPointMap_ VertexPointMap;
   typedef boost::graph_traits<TM>       GraphTraits ;
-  
+
   typedef typename GraphTraits::vertex_descriptor vertex_descriptor ;
   typedef typename GraphTraits::face_descriptor face_descriptor ;
   typedef typename GraphTraits::halfedge_descriptor halfedge_descriptor ;
@@ -48,29 +48,29 @@ public:
   struct Triangle
   {
     Triangle() {}
-    
+
     Triangle( vertex_descriptor const& a_v0
             , vertex_descriptor const& a_v1
             , vertex_descriptor const& a_v2
-            ) 
+            )
             : v0(a_v0), v1(a_v1), v2(a_v2)
     {
       CGAL_SURF_SIMPL_TEST_assertion( handle_assigned(v0) && handle_assigned(v1) && handle_assigned(v2) ) ;
       CGAL_SURF_SIMPL_TEST_assertion( v0 != v1 && v1 != v2 && v2 != v0 ) ;
     }
-    
+
     vertex_descriptor v0 ;
     vertex_descriptor v1 ;
     vertex_descriptor v2 ;
   } ;
-  
+
   typedef std::vector<vertex_descriptor> vertex_descriptor_vector ;
   typedef std::vector<halfedge_descriptor>   halfedge_descriptor_vector ;
-  
+
   typedef std::vector<Triangle> Triangle_vector ;
-  
+
 public :
-  
+
   template<class VertexIdxMap
           ,class EdgeIdxMap
           >
@@ -79,24 +79,24 @@ public :
                , VertexIdxMap     const& aVertex_index_map
                , VertexPointMap   const& aVertex_point_map
                , EdgeIdxMap       const& aEdge_index_map
-               , bool has_border 
+               , bool has_border
                ) ;
-     
+
 public :
 
   halfedge_descriptor const& v0_v1() const { return mV0V1; }
   halfedge_descriptor const& v1_v0() const { return mV1V0; }
-  
+
   vertex_descriptor const& v0() const { return mV0; }
   vertex_descriptor const& v1() const { return mV1; }
 
-  // These are null if v0v1 is a border (thius there is no face to its left)  
-  vertex_descriptor const&  vL() const { return mVL; } 
+  // These are null if v0v1 is a border (thius there is no face to its left)
+  vertex_descriptor const&  vL() const { return mVL; }
   halfedge_descriptor const& v1_vL() const { return mV1VL; }
   halfedge_descriptor const& vL_v0() const { return mVLV0; }
-  
-  // These are null if v1v0 is a border (thius there is no face to its left)  
-  vertex_descriptor const&  vR() const { return mVR; } 
+
+  // These are null if v1v0 is a border (thius there is no face to its left)
+  vertex_descriptor const&  vR() const { return mVR; }
   halfedge_descriptor const& v0_vR() const { return mV0VR; }
   halfedge_descriptor const& vR_v1() const { return mVRV1; }
 
@@ -107,8 +107,8 @@ public :
     }
     CGAL_HISTOGRAM_PROFILER("triangles.size()", mTriangles.size());
     return mTriangles ; }
-  
-  // The cycle of vertices around the edge  
+
+  // The cycle of vertices around the edge
   vertex_descriptor_vector const& link() const {
     CGAL_PROFILER("link calls");
     if(mLink.empty()){
@@ -116,40 +116,40 @@ public :
       const_cast<Edge_profile*>(this)->Extract_triangles_and_link();
     }
     return mLink ; }
-  
+
   halfedge_descriptor_vector const& border_edges() const {
-    return mBorderEdges ; 
+    return mBorderEdges ;
   }
-  TM& surface() const { return *mSurface ; } 
-  TM& surface_mesh() const { return *mSurface ; } 
- 
+  TM& surface() const { return *mSurface ; }
+  TM& surface_mesh() const { return *mSurface ; }
+
   VertexPointMap vertex_point_map() const { return mvpm ; }
-  
+
 public :
 
-  Point const& p0() const { return mP0; }  
-  Point const& p1() const { return mP1; }  
-  
+  Point const& p0() const { return mP0; }
+  Point const& p1() const { return mP1; }
+
   bool is_v0_v1_a_border() const { return mIsBorderV0V1 ; }
   bool is_v1_v0_a_border() const { return mIsBorderV1V0 ; }
-  
+
   bool left_face_exists () const { return !mIsBorderV0V1 ; }
   bool right_face_exists() const { return !mIsBorderV1V0 ; }
-  
+
 private:
 
   //  typedef typename GraphTraits::in_edge_iterator  in_edge_iterator ;
-  
+
   bool is_border(halfedge_descriptor e) const
   {
     return face(e,*mSurface) == boost::graph_traits<TM>::null_face();
   }
-   
+
 
   void Extract_borders() ;
-   
+
   void Extract_triangles_and_link() ;
-    
+
 private:
 
   halfedge_descriptor mV0V1;
@@ -157,13 +157,13 @@ private:
 
   bool mIsBorderV0V1 ;
   bool mIsBorderV1V0 ;
-  
+
   vertex_descriptor mV0;
   vertex_descriptor mV1;
-  
+
   Point mP0 ;
   Point mP1 ;
-  
+
   vertex_descriptor mVL;
   vertex_descriptor mVR;
 
@@ -171,15 +171,15 @@ private:
   halfedge_descriptor mVLV0;
   halfedge_descriptor mV0VR;
   halfedge_descriptor mVRV1;
-  
+
   vertex_descriptor_vector mLink ;
   halfedge_descriptor_vector   mBorderEdges ;
   Triangle_vector          mTriangles ;
-  
+
   TM* mSurface ;
-  VertexPointMap mvpm;  
+  VertexPointMap mvpm;
 } ;
-  
+
 } // namespace Surface_mesh_simplification
 
 } //namespace CGAL
@@ -188,4 +188,4 @@ private:
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_DETAIL_EDGE_PROFILE_H
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_profile_impl.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_profile_impl.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_profile_impl.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_profile_impl.h	2020-08-01 19:02:56.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_profile_impl.h $
-// $Id: Edge_profile_impl.h c4c1a0b 2019-10-19T16:00:05+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_profile_impl.h $
+// $Id: Edge_profile_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -26,7 +26,7 @@ template<class VertexIdxMap
         >
   Edge_profile<TM,VertexPointMap>::Edge_profile ( halfedge_descriptor  const& aV0V1
                                 , TM&                    aSurface
-                                , VertexIdxMap     const& 
+                                , VertexIdxMap     const&
                                 , VertexPointMap const& aVertex_point_map
                                 , EdgeIdxMap       const&
                                 , bool has_border
@@ -36,33 +36,33 @@ template<class VertexIdxMap
    mV0V1(aV0V1)
   ,mSurface(boost::addressof(aSurface))
     , mvpm(aVertex_point_map)
-  
+
 {
   CGAL_PROFILER("Edge_profile constructor calls");
 
   mLink.reserve(12);
   mTriangles.reserve(16);
   mV1V0 = opposite(v0_v1(),surface_mesh());
-  
+
   mV0 = source(v0_v1(),surface_mesh());
   mV1 = target(v0_v1(),surface_mesh());
-  
+
   CGAL_assertion( mV0 != mV1 );
-  
+
   mP0 = get(vertex_point_map(),mV0);
   mP1 = get(vertex_point_map(),mV1);
-  
+
   mIsBorderV0V1 = is_border(v0_v1());
   mIsBorderV1V0 = is_border(v1_v0());
-  
-  if ( left_face_exists() ) 
+
+  if ( left_face_exists() )
   {
     CGAL_SURF_SIMPL_TEST_assertion( ! is_border(mV0V1) ) ;
 
     mVLV0 = prev(v0_v1(),surface_mesh());
     mV1VL = next(v0_v1(),surface_mesh());
     mVL   = target(v1_vL(),surface_mesh());
-    
+
     CGAL_SURF_SIMPL_TEST_assertion( mV0 != mVL );
     CGAL_SURF_SIMPL_TEST_assertion( mVL == source(vL_v0(),surface_mesh()) );
   }
@@ -70,7 +70,7 @@ template<class VertexIdxMap
   {
     CGAL_SURF_SIMPL_TEST_assertion( is_border(mV0V1) ) ;
   }
-  
+
   if ( right_face_exists() )
   {
     CGAL_SURF_SIMPL_TEST_assertion( ! is_border(mV1V0) ) ;
@@ -78,7 +78,7 @@ template<class VertexIdxMap
     mV0VR = next(v1_v0(),surface_mesh());
     mVRV1 = prev(v1_v0(),surface_mesh());
     mVR   = target(v0_vR(),surface_mesh());
-    
+
     CGAL_SURF_SIMPL_TEST_assertion( mV0 != mVR );
     CGAL_SURF_SIMPL_TEST_assertion( mVR == source(vR_v1(),surface_mesh()) );
   }
@@ -86,7 +86,7 @@ template<class VertexIdxMap
   {
     CGAL_SURF_SIMPL_TEST_assertion( is_border(mV1V0) ) ;
   }
-  
+
   if(has_border){
     Extract_borders();
   }
@@ -116,7 +116,7 @@ template<class VertexIdxMap
     while(e != mV0V1){
     if((b = is_border(e)) || is_border(oe)){
       mBorderEdges.push_back(b?e:oe);
-    } 
+    }
     e = opposite(next(e,surface_mesh()),surface_mesh());
     oe = opposite(e,surface_mesh());
     }
@@ -202,4 +202,4 @@ template<class VertexIdxMap
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_DETAIL_EDGE_PROFILE_IMPL_H
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_cost.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_cost.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_cost.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_cost.h	2020-08-01 19:02:56.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_cost.h $
-// $Id: LindstromTurk_cost.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_cost.h $
+// $Id: LindstromTurk_cost.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -19,27 +19,27 @@
 
 namespace CGAL {
 
-namespace Surface_mesh_simplification  
+namespace Surface_mesh_simplification
 {
 
   template<class TM_>
 class LindstromTurk_cost
 {
 public:
-    
+
   typedef TM_ TM ;
   /*
 
   typedef Edge_profile<TM> Profile ;
   typedef typename Traits::Point_3 Point;
   typedef typename Traits::FT FT ;
-  
+
   typedef optional<FT> result_type ;
   */
 public:
 
   LindstromTurk_cost( LindstromTurk_params const& aParams = LindstromTurk_params() ) : mParams(aParams) {}
-     
+
   template <typename Profile>
   optional<typename Profile::FT>
   operator()( Profile const& aProfile, optional<typename Profile::Point> const& aPlacement ) const
@@ -49,7 +49,7 @@ public:
 
 private:
 
-  LindstromTurk_params mParams ;    
+  LindstromTurk_params mParams ;
 };
 
 } // namespace Surface_mesh_simplification
@@ -58,4 +58,4 @@ private:
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_POLICIES_EDGE_COLLAPSE_LINDSTROMTURK_COST_H //
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk.h	2020-08-01 19:02:56.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk.h $
-// $Id: LindstromTurk.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk.h $
+// $Id: LindstromTurk.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -20,4 +20,4 @@
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_POLICIES_EDGE_COLLAPSE_LINDSTROMTURK_H //
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_params.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_params.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_params.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_params.h	2020-08-01 19:02:56.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_params.h $
-// $Id: LindstromTurk_params.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_params.h $
+// $Id: LindstromTurk_params.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -16,7 +16,7 @@
 
 namespace CGAL {
 
-namespace Surface_mesh_simplification 
+namespace Surface_mesh_simplification
 {
 
 struct LindstromTurk_params
@@ -27,23 +27,23 @@ struct LindstromTurk_params
    ,BoundaryWeight(0.5)
    ,ShapeWeight   (0)
   {}
-  
+
   LindstromTurk_params( double aVolumeWeight, double aBoundaryWeight, double aShapeWeight )
     :
     VolumeWeight  (aVolumeWeight)
    ,BoundaryWeight(aBoundaryWeight)
    ,ShapeWeight   (aShapeWeight)
   {}
-    
+
   double VolumeWeight ;
   double BoundaryWeight ;
   double ShapeWeight ;
 };
-  
+
 } // namespace Surface_mesh_simplification
 
 } //namespace CGAL
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_POLICIES_EDGE_COLLAPSE_LINDSTROMTURK_PARAMS_H
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_placement.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_placement.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_placement.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_placement.h	2020-08-01 19:02:56.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_placement.h $
-// $Id: LindstromTurk_placement.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/LindstromTurk_placement.h $
+// $Id: LindstromTurk_placement.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -19,30 +19,30 @@
 
 namespace CGAL {
 
-namespace Surface_mesh_simplification  
+namespace Surface_mesh_simplification
 {
 
   template<class TM_>
 class LindstromTurk_placement
 {
 public:
-    
+
   typedef TM_ TM ;
-  
+
 public:
 
   LindstromTurk_placement( LindstromTurk_params const& aParams = LindstromTurk_params() ) : mParams(aParams) {}
-     
-  template <typename Profile> 
+
+  template <typename Profile>
   optional<typename Profile::Point>
   operator()( Profile const& aProfile) const
   {
     return LindstromTurkCore<TM,Profile>(mParams,aProfile).compute_placement() ;
   }
-  
+
 private:
 
-  LindstromTurk_params mParams ;    
+  LindstromTurk_params mParams ;
 
 };
 
@@ -53,4 +53,4 @@ private:
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_POLICIES_EDGE_COLLAPSE_LINDSTROMTURK_PLACEMENT_H //
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Midpoint_and_length.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Midpoint_and_length.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Midpoint_and_length.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Midpoint_and_length.h	2020-08-01 19:02:56.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Midpoint_and_length.h $
-// $Id: Midpoint_and_length.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Midpoint_and_length.h $
+// $Id: Midpoint_and_length.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -19,4 +19,4 @@
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_POLICIES_EDGE_COLLAPSE_MIDPOINT_AND_LENGTH_H
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Midpoint_placement.h 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Midpoint_placement.h
--- 5.0.2-3/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Midpoint_placement.h	2020-02-21 20:04:27.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Midpoint_placement.h	2020-08-01 19:02:56.000000000 +0000
@@ -2,8 +2,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Midpoint_placement.h $
-// $Id: Midpoint_placement.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_simplification/include/CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Midpoint_placement.h $
+// $Id: Midpoint_placement.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Fernando Cacciola <fernando.cacciola@geometryfactory.com>
@@ -28,10 +28,10 @@ class Midpoint_placement
 public:
 
   typedef TM_ TM;
-  
+
   Midpoint_placement()
   {}
-  
+
   template <typename Profile>
   optional<typename Profile::Point> operator()( Profile const& aProfile ) const
   {
@@ -46,4 +46,4 @@ public:
 
 #endif // CGAL_SURFACE_MESH_SIMPLIFICATION_POLICIES_EDGE_COLLAPSE_MIDPOINT_PLACEMENT_H //
 // EOF //
- 
+
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_traits_generator_3.h 5.0.3-1/include/CGAL/Surface_mesh_traits_generator_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_traits_generator_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_traits_generator_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesh_traits_generator_3.h $
-// $Id: Surface_mesh_traits_generator_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesh_traits_generator_3.h $
+// $Id: Surface_mesh_traits_generator_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Rineau
@@ -26,7 +26,7 @@ class Sphere_3;
  *  Partial specialization will be in other headers
 */
 template <typename Surface>
-struct Surface_mesh_traits_generator_3 
+struct Surface_mesh_traits_generator_3
 {
   typedef typename Surface::Surface_mesher_traits_3 Type;
   typedef Type type; // for Boost compatiblity (meta-programming)
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_triangulation_generator_3.h 5.0.3-1/include/CGAL/Surface_mesh_triangulation_generator_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_triangulation_generator_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_triangulation_generator_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesh_triangulation_generator_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesh_triangulation_generator_3.h $
 // $Id: Surface_mesh_triangulation_generator_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_mesh_vertex_base_3.h 5.0.3-1/include/CGAL/Surface_mesh_vertex_base_3.h
--- 5.0.2-3/include/CGAL/Surface_mesh_vertex_base_3.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_mesh_vertex_base_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/Surface_mesh_vertex_base_3.h $
-// $Id: Surface_mesh_vertex_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/Surface_mesh_vertex_base_3.h $
+// $Id: Surface_mesh_vertex_base_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Rineau
@@ -20,20 +20,20 @@
 
 namespace CGAL {
 
-  template < class GT, class Vb = Triangulation_vertex_base_3 <GT> > 
-  class Surface_mesh_vertex_base_3 
-    : public Complex_2_in_triangulation_vertex_base_3<GT, Vb> {    
-    
+  template < class GT, class Vb = Triangulation_vertex_base_3 <GT> >
+  class Surface_mesh_vertex_base_3
+    : public Complex_2_in_triangulation_vertex_base_3<GT, Vb> {
+
   public:
     typedef Surface_mesh_vertex_base_3 <GT, Vb> Self;
-    
+
     template < class TDS3 >
     struct Rebind_TDS {
       typedef typename Vb::template Rebind_TDS<TDS3>::Other  Vb3;
       typedef Surface_mesh_vertex_base_3 <GT, Vb3> Other;
     };
-    
-  public:  
+
+  public:
     Surface_mesh_vertex_base_3()
       : Complex_2_in_triangulation_vertex_base_3<GT, Vb>()
     {}
diff -pruN 5.0.2-3/include/CGAL/surface_neighbor_coordinates_3.h 5.0.3-1/include/CGAL/surface_neighbor_coordinates_3.h
--- 5.0.2-3/include/CGAL/surface_neighbor_coordinates_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/surface_neighbor_coordinates_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interpolation/include/CGAL/surface_neighbor_coordinates_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interpolation/include/CGAL/surface_neighbor_coordinates_3.h $
 // $Id: surface_neighbor_coordinates_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/surface_neighbors_3.h 5.0.3-1/include/CGAL/surface_neighbors_3.h
--- 5.0.2-3/include/CGAL/surface_neighbors_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/surface_neighbors_3.h	2020-08-01 19:02:24.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interpolation/include/CGAL/surface_neighbors_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interpolation/include/CGAL/surface_neighbors_3.h $
 // $Id: surface_neighbors_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/surface_reconstruction_points_assertions.h 5.0.3-1/include/CGAL/surface_reconstruction_points_assertions.h
--- 5.0.2-3/include/CGAL/surface_reconstruction_points_assertions.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/surface_reconstruction_points_assertions.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Poisson_surface_reconstruction_3/include/CGAL/surface_reconstruction_points_assertions.h $
-// $Id: surface_reconstruction_points_assertions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Poisson_surface_reconstruction_3/include/CGAL/surface_reconstruction_points_assertions.h $
+// $Id: surface_reconstruction_points_assertions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman, Sven Schoenherr, Laurent Saboret
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_basic_insertion_traits_2.h 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_basic_insertion_traits_2.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_basic_insertion_traits_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_basic_insertion_traits_2.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_basic_insertion_traits_2.h $
-// $Id: Arr_basic_insertion_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_basic_insertion_traits_2.h $
+// $Id: Arr_basic_insertion_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -411,7 +411,7 @@ public:
   Compare_y_at_x_right_2 compare_y_at_x_right_2_object() const
   {
     return (Compare_y_at_x_right_2
-	    (m_base_traits->compare_y_at_x_right_2_object()));
+            (m_base_traits->compare_y_at_x_right_2_object()));
   }
 
   /*! A functor that checks whether two points and two x-monotone curves are
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_batched_pl_ss_visitor.h 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_batched_pl_ss_visitor.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_batched_pl_ss_visitor.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_batched_pl_ss_visitor.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_batched_pl_ss_visitor.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_batched_pl_ss_visitor.h $
 // $Id: Arr_batched_pl_ss_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_construction_event_base.h 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_construction_event_base.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_construction_event_base.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_construction_event_base.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_construction_event_base.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_construction_event_base.h $
 // $Id: Arr_construction_event_base.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_construction_event.h 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_construction_event.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_construction_event.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_construction_event.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_construction_event.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_construction_event.h $
 // $Id: Arr_construction_event.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_construction_ss_visitor.h 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_construction_ss_visitor.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_construction_ss_visitor.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_construction_ss_visitor.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_construction_ss_visitor.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_construction_ss_visitor.h $
 // $Id: Arr_construction_ss_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_construction_subcurve.h 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_construction_subcurve.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_construction_subcurve.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_construction_subcurve.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_construction_subcurve.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_construction_subcurve.h $
 // $Id: Arr_construction_subcurve.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_default_overlay_traits_base.h 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_default_overlay_traits_base.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_default_overlay_traits_base.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_default_overlay_traits_base.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_default_overlay_traits_base.h $
-// $Id: Arr_default_overlay_traits_base.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_default_overlay_traits_base.h $
+// $Id: Arr_default_overlay_traits_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -55,80 +55,80 @@ public:
    * Create a vertex v that corresponds to the coinciding vertices v1 and v2.
    */
   virtual void create_vertex (Vertex_handle_A /* v1 */,
-			      Vertex_handle_B /* v2 */,
-			      Vertex_handle_R /* v */) const
+                              Vertex_handle_B /* v2 */,
+                              Vertex_handle_R /* v */) const
   {}
 
   /*!
    * Create a vertex v that matches v1, which lies of the edge e2.
    */
   virtual void create_vertex (Vertex_handle_A /* v1 */,
-			      Halfedge_handle_B /* e2 */,
-			      Vertex_handle_R /* v */) const
+                              Halfedge_handle_B /* e2 */,
+                              Vertex_handle_R /* v */) const
   {}
 
   /*!
    * Create a vertex v that matches v1, contained in the face f2.
    */
   virtual void create_vertex (Vertex_handle_A /* v1 */,
-			      Face_handle_B /* f2 */,
-			      Vertex_handle_R /* v */) const
+                              Face_handle_B /* f2 */,
+                              Vertex_handle_R /* v */) const
   {}
 
   /*!
    * Create a vertex v that matches v2, which lies of the edge e1.
    */
   virtual void create_vertex (Halfedge_handle_A /* e1 */,
-			      Vertex_handle_B /* v2 */,
-			      Vertex_handle_R /* v */) const
+                              Vertex_handle_B /* v2 */,
+                              Vertex_handle_R /* v */) const
   {}
 
   /*!
    * Create a vertex v that matches v2, contained in the face f1.
    */
   virtual void create_vertex (Face_handle_A /* f1 */,
-			      Vertex_handle_B /* v2 */,
-			      Vertex_handle_R /* v */) const
+                              Vertex_handle_B /* v2 */,
+                              Vertex_handle_R /* v */) const
   {}
 
   /*!
    * Create a vertex v that matches the intersection of the edges e1 and e2.
    */
   virtual void create_vertex (Halfedge_handle_A /* e1 */,
-			      Halfedge_handle_B /* e2 */,
-			      Vertex_handle_R /* v */) const
+                              Halfedge_handle_B /* e2 */,
+                              Vertex_handle_R /* v */) const
   {}
 
   /*!
    * Create an edge e that matches the overlap between e1 and e2.
    */
   virtual void create_edge (Halfedge_handle_A /* e1 */,
-			    Halfedge_handle_B /* e2 */,
-			    Halfedge_handle_R /* e */) const
+                            Halfedge_handle_B /* e2 */,
+                            Halfedge_handle_R /* e */) const
   {}
 
   /*!
    * Create an edge e that matches the edge e1, contained in the face f2.
    */
   virtual void create_edge (Halfedge_handle_A /* e1 */,
-			    Face_handle_B /* f2 */,
-			    Halfedge_handle_R /* e */) const
+                            Face_handle_B /* f2 */,
+                            Halfedge_handle_R /* e */) const
   {}
 
   /*!
    * Create an edge e that matches the edge e2, contained in the face f1.
    */
   virtual void create_edge (Face_handle_A /* f1 */,
-			    Halfedge_handle_B /* e2 */,
-			    Halfedge_handle_R /* e */) const
+                            Halfedge_handle_B /* e2 */,
+                            Halfedge_handle_R /* e */) const
   {}
 
   /*!
    * Create a face f that matches the overlapping region between f1 and f2.
    */
   virtual void create_face (Face_handle_A /* f1 */,
-			    Face_handle_B /* f2 */,
-			    Face_handle_R /* f */) const
+                            Face_handle_B /* f2 */,
+                            Face_handle_R /* f */) const
   {}
 
 };
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_insertion_ss_visitor.h 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_insertion_ss_visitor.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_insertion_ss_visitor.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_insertion_ss_visitor.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_insertion_ss_visitor.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_insertion_ss_visitor.h $
 // $Id: Arr_insertion_ss_visitor.h 092cf8e 2019-10-25T16:26:17+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_insertion_traits_2.h 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_insertion_traits_2.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_insertion_traits_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_insertion_traits_2.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_insertion_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_insertion_traits_2.h $
 // $Id: Arr_insertion_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_no_intersection_insertion_ss_visitor.h 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_no_intersection_insertion_ss_visitor.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_no_intersection_insertion_ss_visitor.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_no_intersection_insertion_ss_visitor.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_no_intersection_insertion_ss_visitor.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_no_intersection_insertion_ss_visitor.h $
 // $Id: Arr_no_intersection_insertion_ss_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_overlay_event.h 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_overlay_event.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_overlay_event.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_overlay_event.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_overlay_event.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_overlay_event.h $
 // $Id: Arr_overlay_event.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_overlay_ss_visitor.h 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_overlay_ss_visitor.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_overlay_ss_visitor.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_overlay_ss_visitor.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_overlay_ss_visitor.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_overlay_ss_visitor.h $
 // $Id: Arr_overlay_ss_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_overlay_subcurve.h 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_overlay_subcurve.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_overlay_subcurve.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_overlay_subcurve.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_overlay_subcurve.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_overlay_subcurve.h $
 // $Id: Arr_overlay_subcurve.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_overlay_traits_2.h 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_overlay_traits_2.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_overlay_traits_2.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_overlay_traits_2.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_overlay_traits_2.h $
-// $Id: Arr_overlay_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_overlay_traits_2.h $
+// $Id: Arr_overlay_traits_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -340,7 +340,7 @@ public:
 
   class Parameter_space_in_x_2;
   class Parameter_space_in_y_2;
-  
+
   /*! A functor that computes intersections between x-monotone curves. */
   class Intersect_2 {
   protected:
@@ -1179,7 +1179,7 @@ public:
     {
       return m_base->compare_x_near_boundary_2_object()(xcv1.base(),
                                                         xcv2.base(),
-							ce);
+                                                        ce);
     }
   };
 
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_vert_decomp_ss_visitor.h 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_vert_decomp_ss_visitor.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Arr_vert_decomp_ss_visitor.h	2020-02-21 20:02:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Arr_vert_decomp_ss_visitor.h	2020-08-01 19:02:13.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_vert_decomp_ss_visitor.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Arrangement_on_surface_2/include/CGAL/Surface_sweep_2/Arr_vert_decomp_ss_visitor.h $
 // $Id: Arr_vert_decomp_ss_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Curve_comparer.h 5.0.3-1/include/CGAL/Surface_sweep_2/Curve_comparer.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Curve_comparer.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Curve_comparer.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/Curve_comparer.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/Curve_comparer.h $
 // $Id: Curve_comparer.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Curve_pair.h 5.0.3-1/include/CGAL/Surface_sweep_2/Curve_pair.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Curve_pair.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Curve_pair.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/Curve_pair.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/Curve_pair.h $
 // $Id: Curve_pair.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Default_event_base.h 5.0.3-1/include/CGAL/Surface_sweep_2/Default_event_base.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Default_event_base.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Default_event_base.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/Default_event_base.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/Default_event_base.h $
 // $Id: Default_event_base.h 092cf8e 2019-10-25T16:26:17+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Default_event.h 5.0.3-1/include/CGAL/Surface_sweep_2/Default_event.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Default_event.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Default_event.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/Default_event.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/Default_event.h $
 // $Id: Default_event.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Default_subcurve.h 5.0.3-1/include/CGAL/Surface_sweep_2/Default_subcurve.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Default_subcurve.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Default_subcurve.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/Default_subcurve.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/Default_subcurve.h $
 // $Id: Default_subcurve.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Default_visitor_base.h 5.0.3-1/include/CGAL/Surface_sweep_2/Default_visitor_base.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Default_visitor_base.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Default_visitor_base.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/Default_visitor_base.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/Default_visitor_base.h $
 // $Id: Default_visitor_base.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Default_visitor.h 5.0.3-1/include/CGAL/Surface_sweep_2/Default_visitor.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Default_visitor.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Default_visitor.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/Default_visitor.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/Default_visitor.h $
 // $Id: Default_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Do_interior_intersect_visitor.h 5.0.3-1/include/CGAL/Surface_sweep_2/Do_interior_intersect_visitor.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Do_interior_intersect_visitor.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Do_interior_intersect_visitor.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/Do_interior_intersect_visitor.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/Do_interior_intersect_visitor.h $
 // $Id: Do_interior_intersect_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Event_comparer.h 5.0.3-1/include/CGAL/Surface_sweep_2/Event_comparer.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Event_comparer.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Event_comparer.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/Event_comparer.h $
-// $Id: Event_comparer.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/Event_comparer.h $
+// $Id: Event_comparer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Tali Zvi <talizvi@post.tau.ac.il>
@@ -177,7 +177,7 @@ private:
         // Both defined on the left boundary - compare them there.
         CGAL_assertion (ind == ARR_MIN_END);
 
-	return m_traits->compare_y_curve_ends_2_object() (cv, e2->curve(), ind);
+        return m_traits->compare_y_curve_ends_2_object() (cv, e2->curve(), ind);
       }
 
       // The curve end is obviously smaller.
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Intersection_points_visitor.h 5.0.3-1/include/CGAL/Surface_sweep_2/Intersection_points_visitor.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Intersection_points_visitor.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Intersection_points_visitor.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/Intersection_points_visitor.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/Intersection_points_visitor.h $
 // $Id: Intersection_points_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/No_intersection_surface_sweep_2_impl.h 5.0.3-1/include/CGAL/Surface_sweep_2/No_intersection_surface_sweep_2_impl.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/No_intersection_surface_sweep_2_impl.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/No_intersection_surface_sweep_2_impl.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/No_intersection_surface_sweep_2_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/No_intersection_surface_sweep_2_impl.h $
 // $Id: No_intersection_surface_sweep_2_impl.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/No_overlap_event_base.h 5.0.3-1/include/CGAL/Surface_sweep_2/No_overlap_event_base.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/No_overlap_event_base.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/No_overlap_event_base.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/No_overlap_event_base.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/No_overlap_event_base.h $
 // $Id: No_overlap_event_base.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/No_overlap_event.h 5.0.3-1/include/CGAL/Surface_sweep_2/No_overlap_event.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/No_overlap_event.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/No_overlap_event.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/No_overlap_event.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/No_overlap_event.h $
 // $Id: No_overlap_event.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/No_overlap_subcurve.h 5.0.3-1/include/CGAL/Surface_sweep_2/No_overlap_subcurve.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/No_overlap_subcurve.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/No_overlap_subcurve.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/No_overlap_subcurve.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/No_overlap_subcurve.h $
 // $Id: No_overlap_subcurve.h 092cf8e 2019-10-25T16:26:17+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Subcurves_visitor.h 5.0.3-1/include/CGAL/Surface_sweep_2/Subcurves_visitor.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Subcurves_visitor.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Subcurves_visitor.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/Subcurves_visitor.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/Subcurves_visitor.h $
 // $Id: Subcurves_visitor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Surface_sweep_2_debug.h 5.0.3-1/include/CGAL/Surface_sweep_2/Surface_sweep_2_debug.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Surface_sweep_2_debug.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Surface_sweep_2_debug.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/Surface_sweep_2_debug.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/Surface_sweep_2_debug.h $
 // $Id: Surface_sweep_2_debug.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Surface_sweep_2_impl.h 5.0.3-1/include/CGAL/Surface_sweep_2/Surface_sweep_2_impl.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Surface_sweep_2_impl.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Surface_sweep_2_impl.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/Surface_sweep_2_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/Surface_sweep_2_impl.h $
 // $Id: Surface_sweep_2_impl.h 4b7a97c 2019-12-05T11:01:08+01:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2/Surface_sweep_2_utils.h 5.0.3-1/include/CGAL/Surface_sweep_2/Surface_sweep_2_utils.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2/Surface_sweep_2_utils.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2/Surface_sweep_2_utils.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2/Surface_sweep_2_utils.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2/Surface_sweep_2_utils.h $
 // $Id: Surface_sweep_2_utils.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2_algorithms.h 5.0.3-1/include/CGAL/Surface_sweep_2_algorithms.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2_algorithms.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2_algorithms.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2_algorithms.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2_algorithms.h $
 // $Id: Surface_sweep_2_algorithms.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Surface_sweep_2.h 5.0.3-1/include/CGAL/Surface_sweep_2.h
--- 5.0.2-3/include/CGAL/Surface_sweep_2.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Surface_sweep_2.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Surface_sweep_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Surface_sweep_2.h $
 // $Id: Surface_sweep_2.h 092cf8e 2019-10-25T16:26:17+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Sweep_line_2_algorithms.h 5.0.3-1/include/CGAL/Sweep_line_2_algorithms.h
--- 5.0.2-3/include/CGAL/Sweep_line_2_algorithms.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/Sweep_line_2_algorithms.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_sweep_2/include/CGAL/Sweep_line_2_algorithms.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_sweep_2/include/CGAL/Sweep_line_2_algorithms.h $
 // $Id: Sweep_line_2_algorithms.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/sweep_observer.h 5.0.3-1/include/CGAL/sweep_observer.h
--- 5.0.2-3/include/CGAL/sweep_observer.h	2020-02-21 20:03:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/sweep_observer.h	2020-08-01 19:02:34.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Nef_2/include/CGAL/sweep_observer.h $
-// $Id: sweep_observer.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Nef_2/include/CGAL/sweep_observer.h $
+// $Id: sweep_observer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 #ifndef CGAL_SWEEP_OBSERVER_H
@@ -21,7 +21,7 @@ namespace CGAL {
 
 // TR is traits
 template <typename TR>
-class client_base 
+class client_base
 {
 public:
   virtual void call(TR) const = 0;
@@ -30,8 +30,8 @@ public:
 
 
 template <typename TR>
-class Event_hook 
-{ 
+class Event_hook
+{
   typedef client_base<TR>* p_client_base;
   typedef std::list< p_client_base > clientlist;
 protected:
@@ -46,13 +46,13 @@ public:
   }
 
   void operator()(TR t) const
-  { if ( clients.empty() ) return; 
+  { if ( clients.empty() ) return;
     for ( typename clientlist::const_iterator it=clients.begin();
           it != clients.end(); ++it )
       (*it)->call(t);
   }
 
-  void attach(p_client_base psb) 
+  void attach(p_client_base psb)
   { clients.push_back(psb); }
 
 };
@@ -67,7 +67,7 @@ protected:
   void (OBS::* p_fnc)(TR);
   // pointer to member of Observer which works on an object of type TR
 public:
-  client( OBS& obs, void (OBS::* p_fnc_init)(TR)  ) : 
+  client( OBS& obs, void (OBS::* p_fnc_init)(TR)  ) :
     obs_ref(obs), p_fnc(p_fnc_init)  {}
 
   void call(TR t) const
@@ -76,7 +76,7 @@ public:
 
 
 template <class OBS, class TR>
-inline void attach(Event_hook<TR>& h, 
+inline void attach(Event_hook<TR>& h,
        OBS& obs, void (OBS::* p_fct)(TR t))
 {
   client<OBS,TR>* ps = new client<OBS,TR>(obs,p_fct);
@@ -85,13 +85,13 @@ inline void attach(Event_hook<TR>& h,
 
 /*{\Moptions outfile=sweep_observer.man}*/
 /*{\Manpage {sweep_observer}{GPS,VT}
-{Observing the plane sweep class}{Obs}}*/  
+{Observing the plane sweep class}{Obs}}*/
 /*{\Mdefinition The data type |\Mname| provides an observer approach
 to the visualization of a sweep algorithm realized by |GPS =
 generic_sweep<T>| by means of an event mechanism. It allows to
 connect the events of an instance of |GPS| to the visualization
 operations provided by the traits class |VT|.}*/
- 
+
 template <class GPS, class VT>
 class sweep_observer  {
 
@@ -99,7 +99,7 @@ class sweep_observer  {
 
   typedef typename GPS::TRAITS GPSTRAITS;
   typedef typename VT::VDEVICE VDEVICE;
-  
+
   void post_init_animation(GPSTRAITS& gpst)
   { vt.post_init_animation(gpst); }
 
@@ -114,41 +114,41 @@ class sweep_observer  {
 
 public :
 
-  /*{\Mcreation 3cm}*/        
+  /*{\Mcreation 3cm}*/
 
   sweep_observer() : vt() {}
-  /*{\Mcreate creates an object of type |VT| which can support a 
-    visualization device to visualize a sweep object of type |GPS|.}*/ 
+  /*{\Mcreate creates an object of type |VT| which can support a
+    visualization device to visualize a sweep object of type |GPS|.}*/
 
   sweep_observer(GPS& gps);
-  /*{\Mcreate creates an object of type |VT| which can support a 
-    visualization device to visualize a sweep object of type |GPS| 
-    and makes it an observer of |gps|.}*/ 
+  /*{\Mcreate creates an object of type |VT| which can support a
+    visualization device to visualize a sweep object of type |GPS|
+    and makes it an observer of |gps|.}*/
 
    /*{\Moperations 2cm 2cm}*/
 
    void attach(GPS& gps);
-   /*{\Mop makes |\Mvar| an observer of |gps|.}*/ 
+   /*{\Mop makes |\Mvar| an observer of |gps|.}*/
 
-   VDEVICE& device() 
+   VDEVICE& device()
    { return vt.device(); }
- 
+
 };
 
-/*{\Mexample 
-A typical sweep observation based on |\Mname| looks like the following 
+/*{\Mexample
+A typical sweep observation based on |\Mname| looks like the following
 little program:
 \begin{Mverb}
   typedef generic_sweep<triang_sweep_traits> triang_sweep;
   triang_sweep Ts(...);
-  sweep_observer< triang_sweep, 
+  sweep_observer< triang_sweep,
                   cgal_window_stream_ts_visualization > Obs(Ts);
   Ts.sweep();
 \end{Mverb}
 This would visualize the sweep actions in the observer window by means
-of the visualization functions provided in 
+of the visualization functions provided in
 |cgal_\-window_\-stream_\-ts_\-visualization|
-}*/    
+}*/
 
 
 template <class GPS, class VT>
@@ -156,17 +156,17 @@ sweep_observer<GPS,VT>::
 sweep_observer(GPS& gps) : vt() { attach(gps); }
 
 template <class GPS, class VT>
-void 
-sweep_observer<GPS,VT>::attach(GPS& gps) 
+void
+sweep_observer<GPS,VT>::attach(GPS& gps)
 {
-  CGAL::attach(gps.post_init_hook, *this, 
-	       &sweep_observer::post_init_animation); 
-  CGAL::attach(gps.pre_event_hook, *this, 
-	       &sweep_observer::pre_event_animation); 
-  CGAL::attach(gps.post_event_hook, *this, 
-	       &sweep_observer::post_event_animation); 
-  CGAL::attach(gps.post_completion_hook, *this, 
-	       &sweep_observer::post_completion_animation); 
+  CGAL::attach(gps.post_init_hook, *this,
+               &sweep_observer::post_init_animation);
+  CGAL::attach(gps.pre_event_hook, *this,
+               &sweep_observer::pre_event_animation);
+  CGAL::attach(gps.post_event_hook, *this,
+               &sweep_observer::post_event_animation);
+  CGAL::attach(gps.post_completion_hook, *this,
+               &sweep_observer::post_completion_animation);
 }
 
 #ifdef THIS_IS_JUST_A_CONCEPT_DEFINITION
@@ -182,11 +182,11 @@ process to a visualization device.  }*/
 
 /*{\Mtypes 5}*/
 typedef some_visualization_device VDEVICE;
-/*{\Mtypemember the visualization device}*/ 
+/*{\Mtypemember the visualization device}*/
 
 /*{\Mcreation 3}*/
 GPS_visualization_concept();
-/*{\Mcreate can be used to initialize and display the visualization 
+/*{\Mcreate can be used to initialize and display the visualization
 device.}*/
 
 /*{\Moperations}*/
@@ -199,7 +199,7 @@ void post_event_animation(GPS::TRAITS& g
 /*{\Mop animation actions after each event handling.}*/
 void post_completion_animation(GPS::TRAITS& gpst)
 /*{\Mop animation actions after the completion phase of the sweep.}*/
-VDEVICE& device() 
+VDEVICE& device()
 /*{\Mop access operation to the visualization device.}*/
 
 /*{\Mtext Note that the entry point for visualization of the sweep
diff -pruN 5.0.2-3/include/CGAL/tags.h 5.0.3-1/include/CGAL/tags.h
--- 5.0.2-3/include/CGAL/tags.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/tags.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/tags.h $
-// $Id: tags.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/tags.h $
+// $Id: tags.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Stefan Schirra
- 
+
 
 #ifndef CGAL_TAGS_H
 #define CGAL_TAGS_H
@@ -41,7 +41,7 @@ using Boolean_tag = std::integral_consta
 */
 
 typedef Boolean_tag<true>   Tag_true;
-typedef Boolean_tag<false>  Tag_false; 
+typedef Boolean_tag<false>  Tag_false;
 
 // the function check_tag is deprecated since CGAL 3.3
 inline bool check_tag( Tag_true)  {return true;}
@@ -51,7 +51,7 @@ struct Null_tag {};
 
 struct Null_functor {
   typedef Null_tag result_type;
-  typedef Null_tag second_argument_type; 
+  typedef Null_tag second_argument_type;
 };
 
 // For concurrency
diff -pruN 5.0.2-3/include/CGAL/TDS_full_cell_default_storage_policy.h 5.0.3-1/include/CGAL/TDS_full_cell_default_storage_policy.h
--- 5.0.2-3/include/CGAL/TDS_full_cell_default_storage_policy.h	2020-02-21 20:04:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/TDS_full_cell_default_storage_policy.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/TDS_full_cell_default_storage_policy.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/TDS_full_cell_default_storage_policy.h $
 // $Id: TDS_full_cell_default_storage_policy.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/TDS_full_cell_mirror_storage_policy.h 5.0.3-1/include/CGAL/TDS_full_cell_mirror_storage_policy.h
--- 5.0.2-3/include/CGAL/TDS_full_cell_mirror_storage_policy.h	2020-02-21 20:04:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/TDS_full_cell_mirror_storage_policy.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/TDS_full_cell_mirror_storage_policy.h $
-// $Id: TDS_full_cell_mirror_storage_policy.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/TDS_full_cell_mirror_storage_policy.h $
+// $Id: TDS_full_cell_mirror_storage_policy.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)    : Samuel Hornus
@@ -40,7 +40,7 @@ public:
     : Base(dmax), mirror_vertices_(dmax+1)
     {}
 
-    void set_mirror_index(const int i, const int index) 
+    void set_mirror_index(const int i, const int index)
     {
         mirror_vertices_[i] = index;
     }
diff -pruN 5.0.2-3/include/CGAL/test_FPU_rounding_mode_impl.h 5.0.3-1/include/CGAL/test_FPU_rounding_mode_impl.h
--- 5.0.2-3/include/CGAL/test_FPU_rounding_mode_impl.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/test_FPU_rounding_mode_impl.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/test_FPU_rounding_mode_impl.h $
-// $Id: test_FPU_rounding_mode_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/test_FPU_rounding_mode_impl.h $
+// $Id: test_FPU_rounding_mode_impl.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -39,7 +39,7 @@ struct Check_FPU_rounding_mode_is_restor
 
 #ifdef CGAL_HEADER_ONLY
 
-inline const Check_FPU_rounding_mode_is_restored& 
+inline const Check_FPU_rounding_mode_is_restored&
 get_static_check_fpu_rounding_mode_is_restored()
 {
   // A static object that emits a warning if the rounding mode at the
@@ -53,7 +53,7 @@ get_static_check_fpu_rounding_mode_is_re
 
 namespace {
   CGAL_UNUSED const Check_FPU_rounding_mode_is_restored &
-    check_fpu_rounding_mode_is_restored 
+    check_fpu_rounding_mode_is_restored
     = get_static_check_fpu_rounding_mode_is_restored();
 }
 
diff -pruN 5.0.2-3/include/CGAL/Tetrahedron_3.h 5.0.3-1/include/CGAL/Tetrahedron_3.h
--- 5.0.2-3/include/CGAL/Tetrahedron_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Tetrahedron_3.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Tetrahedron_3.h $
-// $Id: Tetrahedron_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Tetrahedron_3.h $
+// $Id: Tetrahedron_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/thread.h 5.0.3-1/include/CGAL/thread.h
--- 5.0.2-3/include/CGAL/thread.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/thread.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/thread.h $
-// $Id: thread.h 85712ba 2020-01-14T15:03:20+01:00 Maxime Gimeno
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/thread.h $
+// $Id: thread.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Simon Giraudot
@@ -56,7 +56,7 @@ namespace CGAL {
 namespace cpp11 {
 
 #if CGAL_USE_TBB_THREADS
-  
+
   using std::thread; // std::thread is declared by TBB if TBB_IMPLEMENT_CPP0X == 1
 
   inline void sleep_for (double seconds)
@@ -65,7 +65,7 @@ namespace cpp11 {
     // It takes interval_t types as argument (!= from the std norm)
     std::this_thread::sleep_for(tbb::tick_count::interval_t(seconds));
   }
-  
+
 #else // C++11 implementation
 
   using std::thread;
diff -pruN 5.0.2-3/include/CGAL/Three/Buffer_objects.h 5.0.3-1/include/CGAL/Three/Buffer_objects.h
--- 5.0.2-3/include/CGAL/Three/Buffer_objects.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Buffer_objects.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Buffer_objects.h $
-// $Id: Buffer_objects.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Buffer_objects.h $
+// $Id: Buffer_objects.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Maxime Gimeno
@@ -46,16 +46,16 @@ struct Vao{
   {
     vao->create();
   }
-  
+
   //!
   //! \brief Creates a `Vao` from another one.
-  //! \param program the `QOpenGLShaderProgram` corresponding to the one of `vao` but from 
+  //! \param program the `QOpenGLShaderProgram` corresponding to the one of `vao` but from
   //! the right viewer.
-  //! \param vao the Vao to copy. 
-  //! 
-  //! All `vao`'s vbos will be shared. Use it for shared viewers. 
+  //! \param vao the Vao to copy.
+  //!
+  //! All `vao`'s vbos will be shared. Use it for shared viewers.
   //! `initializeBuffers()` will have to be called again.
-  //! 
+  //!
   //! \attention This must be called within a valid OpenGLContext.
   //! Most of the time, initGL() functions are safe places to do so.
   //!
diff -pruN 5.0.2-3/include/CGAL/Three/Edge_container.h 5.0.3-1/include/CGAL/Three/Edge_container.h
--- 5.0.2-3/include/CGAL/Three/Edge_container.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Edge_container.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Edge_container.h $
-// $Id: Edge_container.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Edge_container.h $
+// $Id: Edge_container.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Maxime Gimeno
@@ -84,7 +84,7 @@ struct DEMO_FRAMEWORK_EXPORT Edge_contai
   /// If the shaders of this program doesn't need one, you can ignore it.
   /// The others should be filled at each `draw()` from the item.
   ///@{
-  
+
   //! getter for the "plane" parameter
   QVector4D getPlane()const;
   //! getter for the "f_matrix" parameter
diff -pruN 5.0.2-3/include/CGAL/Three/exceptions.h 5.0.3-1/include/CGAL/Three/exceptions.h
--- 5.0.2-3/include/CGAL/Three/exceptions.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/exceptions.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/exceptions.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/exceptions.h $
 // $Id: exceptions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Three/Point_container.h 5.0.3-1/include/CGAL/Three/Point_container.h
--- 5.0.2-3/include/CGAL/Three/Point_container.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Point_container.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Point_container.h $
-// $Id: Point_container.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Point_container.h $
+// $Id: Point_container.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Maxime Gimeno
@@ -79,7 +79,7 @@ struct DEMO_FRAMEWORK_EXPORT Point_conta
   /// If the shaders of this program doesn't need one, you can ignore it.
   /// The others should be filled at each `draw()` from the item.
   ///@{
-  
+
   //! getter for the "plane" parameter
   QVector4D getPlane()const;
   //! getter for the "f_matrix" parameter
diff -pruN 5.0.2-3/include/CGAL/Three/Polyhedron_demo_io_plugin_interface.h 5.0.3-1/include/CGAL/Three/Polyhedron_demo_io_plugin_interface.h
--- 5.0.2-3/include/CGAL/Three/Polyhedron_demo_io_plugin_interface.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Polyhedron_demo_io_plugin_interface.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Polyhedron_demo_io_plugin_interface.h $
-// $Id: Polyhedron_demo_io_plugin_interface.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Polyhedron_demo_io_plugin_interface.h $
+// $Id: Polyhedron_demo_io_plugin_interface.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -28,7 +28,7 @@ class Scene_interface;
   /*!
    * This class provides a base for creating a new IO plugin.
    */
-class Polyhedron_demo_io_plugin_interface 
+class Polyhedron_demo_io_plugin_interface
 {
 public:
   //! \brief Initializes the plugin
@@ -73,13 +73,13 @@ public:
   //! @attention When a file is successfully saved, it must be removed from the
   //! list.
   virtual bool save(QFileInfo fileinfo,QList<CGAL::Three::Scene_item*>& ) = 0;
-  
+
   //! If this returns `true`, then the loader will be chosen as default in the
-  //! list of available loaders when saving a file, which means it will be the 
+  //! list of available loaders when saving a file, which means it will be the
   //! first in the list.
   virtual bool isDefaultLoader(const Scene_item*) const { return false; }
   //! If this returns `true`, then the loader will be chosen as default in the
-  //! list of available loaders when loading a file, which means it will be the 
+  //! list of available loaders when loading a file, which means it will be the
   //! first in the list.
   //! @param name is the extension without the dot (e.g. "off" for a .off file)
   virtual bool isDefaultLoader(const QString& name) const { Q_UNUSED(name); return false; }
diff -pruN 5.0.2-3/include/CGAL/Three/Polyhedron_demo_plugin_helper.h 5.0.3-1/include/CGAL/Three/Polyhedron_demo_plugin_helper.h
--- 5.0.2-3/include/CGAL/Three/Polyhedron_demo_plugin_helper.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Polyhedron_demo_plugin_helper.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Polyhedron_demo_plugin_helper.h $
-// $Id: Polyhedron_demo_plugin_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Polyhedron_demo_plugin_helper.h $
+// $Id: Polyhedron_demo_plugin_helper.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s)     : Laurent RINEAU
 
-//! \file Polyhedron_demo_plugin_helper.h 
+//! \file Polyhedron_demo_plugin_helper.h
 #ifndef POLYHEDRON_DEMO_OPERATION_HELPER_H
 #define POLYHEDRON_DEMO_OPERATION_HELPER_H
 
diff -pruN 5.0.2-3/include/CGAL/Three/Polyhedron_demo_plugin_interface.h 5.0.3-1/include/CGAL/Three/Polyhedron_demo_plugin_interface.h
--- 5.0.2-3/include/CGAL/Three/Polyhedron_demo_plugin_interface.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Polyhedron_demo_plugin_interface.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Polyhedron_demo_plugin_interface.h $
-// $Id: Polyhedron_demo_plugin_interface.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Polyhedron_demo_plugin_interface.h $
+// $Id: Polyhedron_demo_plugin_interface.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -31,7 +31,7 @@ class Scene_interface;
   /*!
    * This virtual class provides the basic functions used for making a plugin.
    */
-class Polyhedron_demo_plugin_interface 
+class Polyhedron_demo_plugin_interface
 {
 public:
   //! \brief Initializes the plugin
diff -pruN 5.0.2-3/include/CGAL/Three/Primitive_container.h 5.0.3-1/include/CGAL/Three/Primitive_container.h
--- 5.0.2-3/include/CGAL/Three/Primitive_container.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Primitive_container.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Primitive_container.h $
-// $Id: Primitive_container.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Primitive_container.h $
+// $Id: Primitive_container.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Maxime Gimeno
@@ -150,7 +150,7 @@ public:
   //!
   //! \name Setters for the shaders parameters.
   //!@{
-  
+
   //! Setter for the "selected" uniform parameter.
   void setSelected(bool);
   //! Setter for the "color" parameter.
@@ -163,7 +163,7 @@ public:
   void setTupleSize(int ts);
   //!setter for the clipping. If `b` is `false`, then the clipping box will have no effect.
   void setClipping(bool b);
-  
+
   //!@}
 
   //!
@@ -236,10 +236,10 @@ public:
   //! \brief getCenterSize returns the number of instances of
   //! the item in this container.
   std::size_t getCenterSize()const;
-  
+
   //! \name Getters for the shaders parameters.
   //!@{
-  
+
   //! getter for the "selected" parameter
   bool isSelected()const;
   //! getter for the "color" parameter
diff -pruN 5.0.2-3/include/CGAL/Three/Scene_draw_interface.h 5.0.3-1/include/CGAL/Three/Scene_draw_interface.h
--- 5.0.2-3/include/CGAL/Three/Scene_draw_interface.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Scene_draw_interface.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Scene_draw_interface.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Scene_draw_interface.h $
 // $Id: Scene_draw_interface.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Three/Scene_group_item.h 5.0.3-1/include/CGAL/Three/Scene_group_item.h
--- 5.0.2-3/include/CGAL/Three/Scene_group_item.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Scene_group_item.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Scene_group_item.h $
-// $Id: Scene_group_item.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Scene_group_item.h $
+// $Id: Scene_group_item.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -58,7 +58,7 @@ public :
         * Use it to prevent a child to be destroyed without its parent.
         */
         void lockChild(Scene_interface::Item_id id);
-    
+
         /*!
          * \brief Unlocks a child
          *
@@ -137,7 +137,7 @@ public :
        virtual void renderChildren(Viewer_interface *,
                  QMap<float, int>& picked_item_IDs, const QPoint &picked_pixel,
                  bool with_names);
-    
+
     ///@}
 
     //!Adds a CGAL::Three::Scene_item* to the list of children.
@@ -191,7 +191,7 @@ public :
     }
     //!Sets the alpha value for the froup and all its children.
         virtual void setAlpha(int) Q_DECL_OVERRIDE;
-    
+
     //! \brief Returns a list of all the direct children.
     //!
     //! Only returns children that have this item as a parent.
@@ -226,7 +226,7 @@ public :
     void moveUp(int);
     //!Moves a child down in the list.
     void moveDown(int);
-    
+
     void compute_bbox() const Q_DECL_OVERRIDE{};
 public Q_SLOTS:
     //!\brief Redraws children.
diff -pruN 5.0.2-3/include/CGAL/Three/Scene_interface.h 5.0.3-1/include/CGAL/Three/Scene_interface.h
--- 5.0.2-3/include/CGAL/Three/Scene_interface.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Scene_interface.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Scene_interface.h $
-// $Id: Scene_interface.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Scene_interface.h $
+// $Id: Scene_interface.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -144,8 +144,8 @@ public:
   //! Used to update the selection in the Geometric Objects view.
   virtual void setSelectedItem(Item_id) = 0;
   //! \brief ignore data updating.
-  //! 
-  //! This will ignore all the individual calls to `itemChanged()` until 
+  //!
+  //! This will ignore all the individual calls to `itemChanged()` until
   //! `setUpdatesEnabled()` is called whith `b` being `true`.
   //!
   virtual void setUpdatesEnabled(bool b) =0;
diff -pruN 5.0.2-3/include/CGAL/Three/Scene_item_config.h 5.0.3-1/include/CGAL/Three/Scene_item_config.h
--- 5.0.2-3/include/CGAL/Three/Scene_item_config.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Scene_item_config.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Scene_item_config.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Scene_item_config.h $
 // $Id: Scene_item_config.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Three/Scene_item.h 5.0.3-1/include/CGAL/Three/Scene_item.h
--- 5.0.2-3/include/CGAL/Three/Scene_item.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Scene_item.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Scene_item.h $
-// $Id: Scene_item.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Scene_item.h $
+// $Id: Scene_item.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -240,7 +240,7 @@ public:
   //!
   int getId()const;
 
-  //! invalidates the context menu. Call it when supportsRenderingMode() changes, 
+  //! invalidates the context menu. Call it when supportsRenderingMode() changes,
   //! for example.
   void resetMenu();
   //!Handles key press events.
@@ -334,9 +334,9 @@ public Q_SLOTS:
   void setRenderingMode(int m) { setRenderingMode((RenderingMode)m);}
   //!Sets the rendering mode of the item.
   //!@see RenderingMode
-  virtual void setRenderingMode(RenderingMode m) { 
+  virtual void setRenderingMode(RenderingMode m) {
     if (supportsRenderingMode(m))
-      rendering_mode = m; 
+      rendering_mode = m;
     Q_EMIT redraw();
   }
   //!Sets the RenderingMode to Points.
@@ -372,7 +372,7 @@ public Q_SLOTS:
   void setGouraudPlusEdgesMode(){
     setRenderingMode(GouraudPlusEdges);
   }
-  
+
   //!Emits an aboutToBeDestroyed() signal.
   //!Override this function to delete what needs to be deleted on destruction.
   //!This might be needed as items are not always deleted right away by Qt and this behaviour may cause a simily
@@ -381,7 +381,7 @@ public Q_SLOTS:
   //!Returns the alpha value for the item.
     //! Must be called within a valid openGl context.
     virtual float alpha() const;
-  
+
     //! Sets the value of the aplha Slider for this item.
     //!
     //! Must be overriden;
@@ -486,7 +486,7 @@ protected:
 public:
   //! \brief defaultSaveName returns the name to be used as default
   //! when saving this item.
-  //! 
+  //!
   //! Default is `name()`.
   //! \return A new name for the default value in the "save as" dialog.
   virtual QString defaultSaveName() const { return name(); }
diff -pruN 5.0.2-3/include/CGAL/Three/Scene_item_rendering_helper.h 5.0.3-1/include/CGAL/Three/Scene_item_rendering_helper.h
--- 5.0.2-3/include/CGAL/Three/Scene_item_rendering_helper.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Scene_item_rendering_helper.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Scene_item_rendering_helper.h $
-// $Id: Scene_item_rendering_helper.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Scene_item_rendering_helper.h $
+// $Id: Scene_item_rendering_helper.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Maxime Gimeno
@@ -72,14 +72,14 @@ public:
   QMenu* contextMenu() Q_DECL_OVERRIDE;
 
   /*!
-     * \brief processData calls `computeElements()` 
-     * 
+     * \brief processData calls `computeElements()`
+     *
      * @todo in a dedicated thread so the
      * application does not get stuck while the processing is performed.
      * Emits `dataProcessed()`.
      */
    virtual void processData(Gl_data_names name) const;
-   
+
   //!
   //! \brief setAlpha sets the integer value of the alpha channel of this item.
   //! Also updates the slider value.
@@ -125,7 +125,7 @@ public:
   //!
   void setEdgeContainer(std::size_t id,
                         Edge_container* tc);
-  
+
   //!
   //! \brief setPointContainer sets the `id`th `Point_container` to `tc`.
   //!
@@ -167,7 +167,7 @@ public:
   //! This function should be called in the drawing functions, when `getBuffersFilled()` is `true`.
   //!
   void setBuffersInit(Viewer_interface *viewer, bool val) const;
-  
+
   //! \brief the item's bounding box's diagonal length.
   //!
   //! If the diagonal's length has never been computed, computes it and
@@ -211,7 +211,7 @@ protected:
   //! \param b
   //!
   void setBbox(Bbox b)const ;
-  
+
   virtual void computeElements()const{}
 protected:
   friend struct PRIV;
diff -pruN 5.0.2-3/include/CGAL/Three/Scene_item_with_properties.h 5.0.3-1/include/CGAL/Three/Scene_item_with_properties.h
--- 5.0.2-3/include/CGAL/Three/Scene_item_with_properties.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Scene_item_with_properties.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Scene_item_with_properties.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Scene_item_with_properties.h $
 // $Id: Scene_item_with_properties.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Three/Scene_print_item_interface.h 5.0.3-1/include/CGAL/Three/Scene_print_item_interface.h
--- 5.0.2-3/include/CGAL/Three/Scene_print_item_interface.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Scene_print_item_interface.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Scene_print_item_interface.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Scene_print_item_interface.h $
 // $Id: Scene_print_item_interface.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Three/Scene_transparent_interface.h 5.0.3-1/include/CGAL/Three/Scene_transparent_interface.h
--- 5.0.2-3/include/CGAL/Three/Scene_transparent_interface.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Scene_transparent_interface.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Scene_transparent_interface.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Scene_transparent_interface.h $
 // $Id: Scene_transparent_interface.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Three/Scene_zoomable_item_interface.h 5.0.3-1/include/CGAL/Three/Scene_zoomable_item_interface.h
--- 5.0.2-3/include/CGAL/Three/Scene_zoomable_item_interface.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Scene_zoomable_item_interface.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Scene_zoomable_item_interface.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Scene_zoomable_item_interface.h $
 // $Id: Scene_zoomable_item_interface.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Three/TextRenderer.h 5.0.3-1/include/CGAL/Three/TextRenderer.h
--- 5.0.2-3/include/CGAL/Three/TextRenderer.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/TextRenderer.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/TextRenderer.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/TextRenderer.h $
 // $Id: TextRenderer.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Three/Three.h 5.0.3-1/include/CGAL/Three/Three.h
--- 5.0.2-3/include/CGAL/Three/Three.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Three.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Three.h $
-// $Id: Three.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Three.h $
+// $Id: Three.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -53,13 +53,13 @@ public:
   static int getDefaultLinesWidth();
   /*! \brief Adds a dock widget to the interface
    *
-   * Adds a dock widget in the left section of the MainWindow. If the slot is already 
+   * Adds a dock widget in the left section of the MainWindow. If the slot is already
    * taken, the dock widgets will be tabified.
    */
   void addDockWidget(QDockWidget* dock_widget);
 
   /*! \brief Gets an item of the templated type.
-   * \returns the first `SceneType` item found in the scene's list of currently selected 
+   * \returns the first `SceneType` item found in the scene's list of currently selected
    * items;
    * \returns nullptr if there is no `SceneType` in the list.
    */
diff -pruN 5.0.2-3/include/CGAL/Three/Triangle_container.h 5.0.3-1/include/CGAL/Three/Triangle_container.h
--- 5.0.2-3/include/CGAL/Three/Triangle_container.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Triangle_container.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Triangle_container.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Triangle_container.h $
 // $Id: Triangle_container.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Three/Viewer_config.h 5.0.3-1/include/CGAL/Three/Viewer_config.h
--- 5.0.2-3/include/CGAL/Three/Viewer_config.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Viewer_config.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Viewer_config.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Viewer_config.h $
 // $Id: Viewer_config.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Three/Viewer_interface.h 5.0.3-1/include/CGAL/Three/Viewer_interface.h
--- 5.0.2-3/include/CGAL/Three/Viewer_interface.h	2020-02-21 20:04:32.000000000 +0000
+++ 5.0.3-1/include/CGAL/Three/Viewer_interface.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Three/include/CGAL/Three/Viewer_interface.h $
-// $Id: Viewer_interface.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Three/include/CGAL/Three/Viewer_interface.h $
+// $Id: Viewer_interface.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -108,7 +108,7 @@ public:
   //! \param shared_widget the main viewer of the Application. This will share the
   //!  context and allow synchronized rendering of multiple views.
   //!
-  Viewer_interface(QWidget* parent, QOpenGLWidget* shared_widget) 
+  Viewer_interface(QWidget* parent, QOpenGLWidget* shared_widget)
     : QGLViewer(shared_widget->context(),parent){}
   virtual ~Viewer_interface() {}
 
@@ -118,7 +118,7 @@ public:
   //!
   //! @returns true if the antialiasing is activated.
   virtual bool antiAliasing() const = 0;
-  
+
   // Those two functions are defined in Viewer.cpp
   //! \brief Sets the position and orientation of a frame using a QString.
   //! \param s is usually gotten by dumpFrame() and is of the form "Px Py Pz O1 O2 O3 O4 ", with
@@ -261,7 +261,7 @@ public Q_SLOTS:
   //!
   virtual void SetOrthoProjection( bool b) =0;
 public:
-  
+
   //! Gives acces to recent openGL(4.3) features, allowing use of things like
   //! Geometry Shaders or Depth Textures.
   //! @returns a pointer to an initialized  QOpenGLFunctions_4_3_Core if `isOpenGL_4_3()` is `true`
@@ -274,7 +274,7 @@ public:
   virtual void setCurrentPass(int pass) = 0;
   virtual void setDepthWriting(bool writing_depth) = 0;
   virtual void setDepthPeelingFbo(QOpenGLFramebufferObject* fbo) = 0;
-  
+
   virtual int currentPass()const = 0;
   virtual bool isDepthWriting()const = 0;
   virtual QOpenGLFramebufferObject* depthPeelingFbo() = 0;
diff -pruN 5.0.2-3/include/CGAL/Threetuple.h 5.0.3-1/include/CGAL/Threetuple.h
--- 5.0.2-3/include/CGAL/Threetuple.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Threetuple.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999,2001  
+// Copyright (c) 1999,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Threetuple.h $
-// $Id: Threetuple.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Threetuple.h $
+// $Id: Threetuple.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
- 
+
 #ifndef CGAL_THREETUPLE_H
 #define CGAL_THREETUPLE_H
 
diff -pruN 5.0.2-3/include/CGAL/Timer.h 5.0.3-1/include/CGAL/Timer.h
--- 5.0.2-3/include/CGAL/Timer.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Timer.h	2020-08-01 19:02:46.000000000 +0000
@@ -1,18 +1,18 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Profiling_tools/include/CGAL/Timer.h $
-// $Id: Timer.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Profiling_tools/include/CGAL/Timer.h $
+// $Id: Timer.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>  
+//
+// Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>
 //                 Matthias Baesken <baesken@informatik.uni-halle.de>
 
 #ifndef CGAL_TIMER_H
@@ -25,9 +25,9 @@ namespace CGAL {
 
 // SECTION: A Timer for User-Process Time
 // ========================================================================
-// 
+//
 // DEFINITION
-// 
+//
 // A timer `t' of type Timer is an object with a state. It is either
 // running or it is stopped. The state is controlled with `t.start()'
 // and `t.stop()'. The timer counts the time elapsed since its creation
@@ -68,7 +68,7 @@ public:
     double   precision()  const;
     // Returns timer precison. Computes it dynamically at first call.
     // Returns -1.0 if timer system call fails, which, for a proper coded
-    // test towards precision leads to an immediate stop of an otherwise 
+    // test towards precision leads to an immediate stop of an otherwise
     // infinite loop (fixed tolerance * total time >= precision).
     double   max BOOST_PREVENT_MACRO_SUBSTITUTION ()        const;
 };
@@ -98,8 +98,8 @@ inline void Timer::reset() {
     interv  = 0;
     elapsed = 0.0;
     if (running) {
-	started = user_process_time();
-	++ interv;
+        started = user_process_time();
+        ++ interv;
     } else {
         started = 0.0;
     }
@@ -108,7 +108,7 @@ inline void Timer::reset() {
 inline double Timer::time() const {
     if (running) {
         double t = user_process_time();
-	return elapsed + (t - started);
+        return elapsed + (t - started);
     }
     return elapsed;
 }
diff -pruN 5.0.2-3/include/CGAL/Timer_impl.h 5.0.3-1/include/CGAL/Timer_impl.h
--- 5.0.2-3/include/CGAL/Timer_impl.h	2020-02-21 20:04:09.000000000 +0000
+++ 5.0.3-1/include/CGAL/Timer_impl.h	2020-08-01 19:02:46.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Profiling_tools/include/CGAL/Timer_impl.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Profiling_tools/include/CGAL/Timer_impl.h $
 // $Id: Timer_impl.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Time_stamper.h 5.0.3-1/include/CGAL/Time_stamper.h
--- 5.0.2-3/include/CGAL/Time_stamper.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Time_stamper.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Time_stamper.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Time_stamper.h $
 // $Id: Time_stamper.h c08c632 2019-12-10T13:02:24+01:00 Laurent Rineau
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Tools/chained_map.h 5.0.3-1/include/CGAL/Tools/chained_map.h
--- 5.0.2-3/include/CGAL/Tools/chained_map.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Tools/chained_map.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2000  
+// Copyright (c) 1997-2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hash_map/include/CGAL/Tools/chained_map.h $
-// $Id: chained_map.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hash_map/include/CGAL/Tools/chained_map.h $
+// $Id: chained_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Courtesy of LEDA
 #ifndef CGAL_CHAINED_MAP_H
@@ -27,7 +27,7 @@ template <typename T, typename Allocator
 template <typename T> class chained_map_elem;
 
 template <typename T>
-class chained_map_elem 
+class chained_map_elem
 {
   template<typename T2, typename Alloc> friend class chained_map;
   std::size_t k; T i;
@@ -37,7 +37,7 @@ class chained_map_elem
 template <typename T, typename Allocator>
 class chained_map
 {
-   const std::size_t nullptrKEY; 
+   const std::size_t nullptrKEY;
    const std::size_t NONnullptrKEY;
 
    chained_map_elem<T> STOP;
@@ -51,8 +51,8 @@ class chained_map
    chained_map_elem<T>* old_table;
    chained_map_elem<T>* old_table_end;
    chained_map_elem<T>* old_free;
-   std::size_t old_table_size;           
-   std::size_t old_table_size_1;  
+   std::size_t old_table_size;
+   std::size_t old_table_size_1;
 
    std::size_t old_index;
    typedef std::allocator_traits<Allocator> Allocator_traits;
@@ -66,10 +66,10 @@ public:
 private:
    void init_inf(T& x)   const { x = STOP.i; }
 
-   
+
    chained_map_elem<T>*  HASH(std::size_t x)  const
    { return table + (x & table_size_1);  }
-   
+
    void init_table(std::size_t t);
    void rehash();
    void del_old_table();
@@ -89,15 +89,15 @@ public:
    std::size_t index(chained_map_item it) const { return it->k; }
    T&            inf(chained_map_item it) const { return it->i; }
 
-   chained_map(std::size_t n = 1); 
+   chained_map(std::size_t n = 1);
    chained_map(const chained_map<T, Allocator>& D);
    chained_map& operator=(const chained_map<T, Allocator>& D);
-   
+
 
    void clear_entries();
    void clear();
-   ~chained_map() 
-   { 
+   ~chained_map()
+   {
      if (old_table)
      {
        for (chained_map_item item = old_table ; item != old_table_end ; ++item)
@@ -122,8 +122,8 @@ inline T& chained_map<T, Allocator>::acc
 { chained_map_item p = HASH(x);
 
   if (old_table) del_old_table();
-  if ( p->k == x ) { 
-     old_index = x; 
+  if ( p->k == x ) {
+     old_index = x;
      return p->i;
   }
   else {
@@ -132,14 +132,14 @@ inline T& chained_map<T, Allocator>::acc
       init_inf(p->i);  // initializes p->i to xdef
       old_index = x;
       return p->i;
-    } else 
+    } else
       return access(p,x);
   }
 }
 
 template <typename T, typename Allocator>
 void chained_map<T, Allocator>::init_table(std::size_t t)
-{ 
+{
   table_size = t;
   table_size_1 = t-1;
   table = alloc.allocate(t + t/2);
@@ -148,10 +148,10 @@ void chained_map<T, Allocator>::init_tab
   }
 
   free = table + t;
-  table_end = table + t + t/2;      
+  table_end = table + t + t/2;
 
-  for (chained_map_item p = table; p < free; p++) 
-  { p->succ = &STOP; 
+  for (chained_map_item p = table; p < free; p++)
+  { p->succ = &STOP;
     p->k = nullptrKEY;
   }
   table->k = NONnullptrKEY;
@@ -160,22 +160,22 @@ void chained_map<T, Allocator>::init_tab
 
 template <typename T, typename Allocator>
 inline void chained_map<T, Allocator>::insert(std::size_t x, T y)
-{ chained_map_item q = HASH(x);                                    
-  if ( q->k == nullptrKEY ) {      
-    q->k = x;                                                  
-    q->i = y; 
-  } else { 
-    free->k = x;                                                
-    free->i = y;                                                
-    free->succ = q->succ;                                       
-    q->succ = free++; 
-  }                                         
+{ chained_map_item q = HASH(x);
+  if ( q->k == nullptrKEY ) {
+    q->k = x;
+    q->i = y;
+  } else {
+    free->k = x;
+    free->i = y;
+    free->succ = q->succ;
+    q->succ = free++;
+  }
 }
 
-                                                                            
+
 template <typename T, typename Allocator>
 void chained_map<T, Allocator>::rehash()
-{ 
+{
   old_table = table;
   old_table_end = table_end;
   old_table_size = table_size;
@@ -191,7 +191,7 @@ void chained_map<T, Allocator>::rehash()
   for(p = old_table + 1; p < old_table_mid; p++)
   { std::size_t x = p->k;
     if ( x != nullptrKEY ) // list p is non-empty
-    { chained_map_item q = HASH(x);  
+    { chained_map_item q = HASH(x);
       q->k = x;
       q->i = p->i;
     }
@@ -240,9 +240,9 @@ template <typename T, typename Allocator
 T& chained_map<T, Allocator>::access(chained_map_item p, std::size_t x)
 {
   STOP.k = x;
-  chained_map_item q = p->succ; 
+  chained_map_item q = p->succ;
   while (q->k != x) q = q->succ;
-  if (q != &STOP) 
+  if (q != &STOP)
   { old_index = x;
     return q->i;
   }
@@ -270,11 +270,11 @@ T& chained_map<T, Allocator>::access(cha
 
 
 template <typename T, typename Allocator>
-chained_map<T, Allocator>::chained_map(std::size_t n) : 
+chained_map<T, Allocator>::chained_map(std::size_t n) :
   nullptrKEY(0), NONnullptrKEY(1), old_table(0)
-{ 
+{
   if (n < 512)
-    init_table(512); 
+    init_table(512);
   else {
     std::size_t ts = 1;
     while (ts < n) ts <<= 1;
@@ -284,13 +284,13 @@ chained_map<T, Allocator>::chained_map(s
 
 
 template <typename T, typename Allocator>
-chained_map<T, Allocator>::chained_map(const chained_map<T, Allocator>& D) : 
+chained_map<T, Allocator>::chained_map(const chained_map<T, Allocator>& D) :
   nullptrKEY(0), NONnullptrKEY(1), old_table(0)
-{ 
+{
   init_table(D.table_size);
   STOP.i = D.STOP.i; // xdef
 
-  for(chained_map_item p = D.table + 1; p < D.free; p++) 
+  for(chained_map_item p = D.table + 1; p < D.free; p++)
   { if (p->k != nullptrKEY || p >= D.table + D.table_size)
     { insert(p->k,p->i);
       //D.copy_inf(p->i);  // see chapter Implementation
@@ -300,7 +300,7 @@ chained_map<T, Allocator>::chained_map(c
 
 template <typename T, typename Allocator>
 chained_map<T, Allocator>& chained_map<T, Allocator>::operator=(const chained_map<T, Allocator>& D)
-{ 
+{
   clear_entries();
 
   for (chained_map_item item = table ; item != table_end ; ++item)
@@ -311,7 +311,7 @@ chained_map<T, Allocator>& chained_map<T
   init_table(D.table_size);
   STOP.i = D.STOP.i; // xdef
 
-  for(chained_map_item p = D.table + 1; p < D.free; p++) 
+  for(chained_map_item p = D.table + 1; p < D.free; p++)
   { if (p->k != nullptrKEY || p >= D.table + D.table_size)
     { insert(p->k,p->i);
       //copy_inf(p->i);    // see chapter Implementation
@@ -321,14 +321,14 @@ chained_map<T, Allocator>& chained_map<T
 }
 
 template <typename T, typename Allocator>
-void chained_map<T, Allocator>::clear_entries() 
+void chained_map<T, Allocator>::clear_entries()
 { for(chained_map_item p = table + 1; p < free; p++)
-    if (p->k != nullptrKEY || p >= table + table_size) 
-      p->i = T();  
+    if (p->k != nullptrKEY || p >= table + table_size)
+      p->i = T();
 }
 
 template <typename T, typename Allocator>
-void chained_map<T, Allocator>::clear() 
+void chained_map<T, Allocator>::clear()
 {
   clear_entries();
 
@@ -336,28 +336,28 @@ void chained_map<T, Allocator>::clear()
     destroy(item);
   alloc.deallocate(table, table_end - table);
 
-  init_table(512); 
+  init_table(512);
 }
 
 template <typename T, typename Allocator>
-typename chained_map<T, Allocator>::chained_map_item 
-chained_map<T, Allocator>::lookup(std::size_t x) const 
+typename chained_map<T, Allocator>::chained_map_item
+chained_map<T, Allocator>::lookup(std::size_t x) const
 { chained_map_item p = HASH(x);
   ((std::size_t &)STOP.k) = x;  // cast away const
-  while (p->k != x) 
+  while (p->k != x)
   { p = p->succ; }
   return (p == &STOP) ? 0 : p;
 }
 
 
 template <typename T, typename Allocator>
-typename chained_map<T, Allocator>::chained_map_item 
+typename chained_map<T, Allocator>::chained_map_item
 chained_map<T, Allocator>::first_item() const
 { return next_item(table); }
 
 template <typename T, typename Allocator>
-typename chained_map<T, Allocator>::chained_map_item 
-chained_map<T, Allocator>::next_item(chained_map_item it) const 
+typename chained_map<T, Allocator>::chained_map_item
+chained_map<T, Allocator>::next_item(chained_map_item it) const
 { if (it == 0) return 0;
   do it++; while (it < table + table_size && it->k == nullptrKEY);
   return (it < free ? it : 0);
@@ -372,9 +372,9 @@ void chained_map<T, Allocator>::statisti
   std::size_t used_in_overflow = free - (table + table_size );
   n += used_in_overflow;
   std::cout << "number of entries: " << n << "\n";
-  std::cout << "fraction of entries in first position: " << 
+  std::cout << "fraction of entries in first position: " <<
                ((double) (n - used_in_overflow))/n <<"\n";
-  std::cout << "fraction of empty lists: " << 
+  std::cout << "fraction of empty lists: " <<
                ((double) (n - used_in_overflow))/table_size<<"\n";
 }
 
diff -pruN 5.0.2-3/include/CGAL/to_rational.h 5.0.3-1/include/CGAL/to_rational.h
--- 5.0.2-3/include/CGAL/to_rational.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/to_rational.h	2020-08-01 19:02:36.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 2002  
+// Copyright (c) 2002
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/to_rational.h $
-// $Id: to_rational.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/to_rational.h $
+// $Id: to_rational.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/transforming_iterator.h 5.0.3-1/include/CGAL/transforming_iterator.h
--- 5.0.2-3/include/CGAL/transforming_iterator.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/transforming_iterator.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/transforming_iterator.h $
-// $Id: transforming_iterator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/transforming_iterator.h $
+// $Id: transforming_iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -29,49 +29,49 @@ namespace internal {
 
 // non-empty case
 template<class T,bool=boost::is_empty<T>::value> struct Functor_as_base {
-	Functor_as_base(){}
-	Functor_as_base(T const& t):f(t){}
-	//template<class T2> Functor_as_base(Functor_as_base<T2> const&g):f(g.functor()){}
-	T const& functor()const{return f;}
-	T &      functor()     {return f;}
-	private:
-		T f;
+        Functor_as_base(){}
+        Functor_as_base(T const& t):f(t){}
+        //template<class T2> Functor_as_base(Functor_as_base<T2> const&g):f(g.functor()){}
+        T const& functor()const{return f;}
+        T &      functor()     {return f;}
+        private:
+                T f;
 };
 
 // empty case
 template<class T> struct Functor_as_base<T,true> : public T {
-	Functor_as_base(){}
-	Functor_as_base(T const& t):T(t){}
-	//template<class T2> Functor_as_base(Functor_as_base<T2> const&g):T(g.functor()){}
-	T const& functor()const{return *this;}
-	T &      functor()     {return *this;}
+        Functor_as_base(){}
+        Functor_as_base(T const& t):T(t){}
+        //template<class T2> Functor_as_base(Functor_as_base<T2> const&g):T(g.functor()){}
+        T const& functor()const{return *this;}
+        T &      functor()     {return *this;}
 };
 
 template <typename Derived, typename F, typename Iter, typename Ref, typename Val>
 class transforming_iterator_helper
 {
-	typedef std::iterator_traits<Iter> Iter_traits;
-	typedef typename Iter_traits::reference Iter_ref;
-	typedef typename Default::Get<Ref,
-		decltype(std::declval<F>()(std::declval<Iter_ref>()))
-			>::type reference_;
-
-	typedef typename Default::Get<Val,typename boost::remove_cv<typename boost::remove_reference<reference_>::type>::type>::type value_type;
-
-	// Crappy heuristic. If we have *it that returns a Weighted_point and F that returns a reference to the Point contained in the Weighted_point it takes as argument, we do NOT want the transformed iterator to return a reference to the temporary *it. On the other hand, if *it returns an int n, and F returns a reference to array[n] it is not so good to lose the reference. This probably should be done elsewhere and should at least be made optional...
-	typedef typename boost::mpl::if_<
-	  boost::mpl::or_<boost::is_reference<Iter_ref>,
-			  boost::is_integral<Iter_ref> >,
-	  reference_, value_type>::type reference;
-
-	public:
-	typedef boost::iterator_adaptor<
-		Derived,
-		Iter,
-		value_type,
-		typename Iter_traits::iterator_category,
-		reference
-			> type;
+        typedef std::iterator_traits<Iter> Iter_traits;
+        typedef typename Iter_traits::reference Iter_ref;
+        typedef typename Default::Get<Ref,
+                decltype(std::declval<F>()(std::declval<Iter_ref>()))
+                        >::type reference_;
+
+        typedef typename Default::Get<Val,typename boost::remove_cv<typename boost::remove_reference<reference_>::type>::type>::type value_type;
+
+        // Crappy heuristic. If we have *it that returns a Weighted_point and F that returns a reference to the Point contained in the Weighted_point it takes as argument, we do NOT want the transformed iterator to return a reference to the temporary *it. On the other hand, if *it returns an int n, and F returns a reference to array[n] it is not so good to lose the reference. This probably should be done elsewhere and should at least be made optional...
+        typedef typename boost::mpl::if_<
+          boost::mpl::or_<boost::is_reference<Iter_ref>,
+                          boost::is_integral<Iter_ref> >,
+          reference_, value_type>::type reference;
+
+        public:
+        typedef boost::iterator_adaptor<
+                Derived,
+                Iter,
+                value_type,
+                typename Iter_traits::iterator_category,
+                reference
+                        > type;
 };
 }
 
@@ -80,29 +80,29 @@ class transforming_iterator
 : public internal::transforming_iterator_helper<transforming_iterator<F,Iter,Ref,Val>,F,Iter,Ref,Val>::type,
 private internal::Functor_as_base<F>
 {
-	friend class boost::iterator_core_access;
-	typedef typename internal::transforming_iterator_helper<transforming_iterator,F,Iter,Ref,Val>::type Base;
-	typedef internal::Functor_as_base<F> Functor_base;
-	typename Base::reference dereference()const{
-		return functor()(*this->base_reference());
-	}
-	public:
-	using Functor_base::functor;
-	transforming_iterator(){}
-	explicit transforming_iterator(Iter i,F const& f=F())
-		:Base(i),Functor_base(f){}
-	template<class F2,class I2,class R2,class V2>
-	transforming_iterator(
-		transforming_iterator<F2,I2,R2,V2> const&i,
-		typename boost::enable_if_convertible<I2, Iter>::type* = 0,
-		typename boost::enable_if_convertible<F2, F>::type* = 0)
-		: Base(i.base()),Functor_base(i.functor()) {}
+        friend class boost::iterator_core_access;
+        typedef typename internal::transforming_iterator_helper<transforming_iterator,F,Iter,Ref,Val>::type Base;
+        typedef internal::Functor_as_base<F> Functor_base;
+        typename Base::reference dereference()const{
+                return functor()(*this->base_reference());
+        }
+        public:
+        using Functor_base::functor;
+        transforming_iterator(){}
+        explicit transforming_iterator(Iter i,F const& f=F())
+                :Base(i),Functor_base(f){}
+        template<class F2,class I2,class R2,class V2>
+        transforming_iterator(
+                transforming_iterator<F2,I2,R2,V2> const&i,
+                typename boost::enable_if_convertible<I2, Iter>::type* = 0,
+                typename boost::enable_if_convertible<F2, F>::type* = 0)
+                : Base(i.base()),Functor_base(i.functor()) {}
 
 };
 
 template <typename F, typename Iter> inline
 transforming_iterator<F,Iter> make_transforming_iterator(Iter i, F const&f=F()) {
-	return transforming_iterator<F,Iter>(i,f);
+        return transforming_iterator<F,Iter>(i,f);
 }
 
 }
diff -pruN 5.0.2-3/include/CGAL/transforming_pair_iterator.h 5.0.3-1/include/CGAL/transforming_pair_iterator.h
--- 5.0.2-3/include/CGAL/transforming_pair_iterator.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/transforming_pair_iterator.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/transforming_pair_iterator.h $
-// $Id: transforming_pair_iterator.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/transforming_pair_iterator.h $
+// $Id: transforming_pair_iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -25,38 +25,38 @@ namespace CGAL {
 namespace internal {
 template <class Cat1, class Cat2, bool=boost::is_convertible<Cat1,Cat2>::value>
 struct Min_category {
-	CGAL_static_assertion((boost::is_convertible<Cat2,Cat1>::value));
-	typedef Cat1 type;
+        CGAL_static_assertion((boost::is_convertible<Cat2,Cat1>::value));
+        typedef Cat1 type;
 };
 
 template <class Cat1, class Cat2>
 struct Min_category<Cat1,Cat2,true> {
-	typedef Cat2 type;
+        typedef Cat2 type;
 };
 
 
 template <typename Derived, typename F, typename It1, typename It2, typename Ref, typename Val>
 class transforming_pair_iterator_helper
 {
-	typedef typename Min_category<
-		typename std::iterator_traits<It1>::iterator_category,
-		typename std::iterator_traits<It1>::iterator_category>
-			::type iterator_category;
-
-	typedef typename Default::Get<Ref,
-		decltype(std::declval<F>()(std::declval<typename std::iterator_traits<It1>::reference>(),std::declval<typename std::iterator_traits<It2>::reference>()))
-			>::type reference;
-
-	typedef typename Default::Get<Val,typename boost::remove_cv<typename boost::remove_reference<reference>::type>::type>::type value_type;
-
-	public:
-	typedef boost::iterator_facade<
-		Derived,
-		value_type,
-		iterator_category,
-		reference
-	// expect ptrdiff_t is good enough for difference
-			> type;
+        typedef typename Min_category<
+                typename std::iterator_traits<It1>::iterator_category,
+                typename std::iterator_traits<It1>::iterator_category>
+                        ::type iterator_category;
+
+        typedef typename Default::Get<Ref,
+                decltype(std::declval<F>()(std::declval<typename std::iterator_traits<It1>::reference>(),std::declval<typename std::iterator_traits<It2>::reference>()))
+                        >::type reference;
+
+        typedef typename Default::Get<Val,typename boost::remove_cv<typename boost::remove_reference<reference>::type>::type>::type value_type;
+
+        public:
+        typedef boost::iterator_facade<
+                Derived,
+                value_type,
+                iterator_category,
+                reference
+        // expect ptrdiff_t is good enough for difference
+                        > type;
 };
 }
 
@@ -65,48 +65,48 @@ class transforming_pair_iterator
 : public internal::transforming_pair_iterator_helper<transforming_pair_iterator<F,It1,It2,Ref,Val>,F,It1,It2,Ref,Val>::type,
 private internal::Functor_as_base<F>
 {
-	It1 iter1; It2 iter2;
-	friend class boost::iterator_core_access;
-	typedef typename internal::transforming_pair_iterator_helper<transforming_pair_iterator,F,It1,It2,Ref,Val>::type Base;
-	typedef internal::Functor_as_base<F> Functor_base;
-	typename Base::reference dereference()const{
-		return functor()(*iter1,*iter2);
-	}
-	bool equal(transforming_pair_iterator const&i)const{
-		bool b=(iter1==i.iter1);
-		CGAL_assertion(b==(iter2==i.iter2));
-		//FIXME: or do we want only one driving iterator
-		return b;
-	}
-	void increment(){ ++iter1; ++iter2; }
-	void decrement(){ --iter1; --iter2; }
-	void advance(std::ptrdiff_t n){
-		std::advance(iter1,n);
-		std::advance(iter2,n);
-	}
-	std::ptrdiff_t distance_to(transforming_pair_iterator const&i)const{
-		std::ptrdiff_t dist=std::distance(iter1,i.iter1);
-		CGAL_assertion(dist==std::distance(iter2,i.iter2));
-		return dist;
-	}
-	public:
-	using Functor_base::functor;
-	transforming_pair_iterator(){}
-	explicit transforming_pair_iterator(It1 i1,It2 i2,F const& f=F())
-		:Functor_base(f),iter1(i1),iter2(i2){}
-	template<class F2,class J1,class J2,class R2,class V2>
-	transforming_pair_iterator(
-		transforming_pair_iterator<F2,J1,J2,R2,V2> const&i,
-		typename boost::enable_if_convertible<J1, It1>::type* = 0,
-		typename boost::enable_if_convertible<J2, It2>::type* = 0,
-		typename boost::enable_if_convertible<F2, F>::type* = 0)
-		: Functor_base(i.functor()),iter1(i.iter1),iter2(i.iter2) {}
+        It1 iter1; It2 iter2;
+        friend class boost::iterator_core_access;
+        typedef typename internal::transforming_pair_iterator_helper<transforming_pair_iterator,F,It1,It2,Ref,Val>::type Base;
+        typedef internal::Functor_as_base<F> Functor_base;
+        typename Base::reference dereference()const{
+                return functor()(*iter1,*iter2);
+        }
+        bool equal(transforming_pair_iterator const&i)const{
+                bool b=(iter1==i.iter1);
+                CGAL_assertion(b==(iter2==i.iter2));
+                //FIXME: or do we want only one driving iterator
+                return b;
+        }
+        void increment(){ ++iter1; ++iter2; }
+        void decrement(){ --iter1; --iter2; }
+        void advance(std::ptrdiff_t n){
+                std::advance(iter1,n);
+                std::advance(iter2,n);
+        }
+        std::ptrdiff_t distance_to(transforming_pair_iterator const&i)const{
+                std::ptrdiff_t dist=std::distance(iter1,i.iter1);
+                CGAL_assertion(dist==std::distance(iter2,i.iter2));
+                return dist;
+        }
+        public:
+        using Functor_base::functor;
+        transforming_pair_iterator(){}
+        explicit transforming_pair_iterator(It1 i1,It2 i2,F const& f=F())
+                :Functor_base(f),iter1(i1),iter2(i2){}
+        template<class F2,class J1,class J2,class R2,class V2>
+        transforming_pair_iterator(
+                transforming_pair_iterator<F2,J1,J2,R2,V2> const&i,
+                typename boost::enable_if_convertible<J1, It1>::type* = 0,
+                typename boost::enable_if_convertible<J2, It2>::type* = 0,
+                typename boost::enable_if_convertible<F2, F>::type* = 0)
+                : Functor_base(i.functor()),iter1(i.iter1),iter2(i.iter2) {}
 
 };
 
 template <typename F, typename It1, typename It2> inline
 transforming_pair_iterator<F,It1,It2> make_transforming_pair_iterator(It1 i1, It2 i2, F const&f=F()) {
-	return transforming_pair_iterator<F,It1,It2>(i1,i2,f);
+        return transforming_pair_iterator<F,It1,It2>(i1,i2,f);
 }
 
 }
diff -pruN 5.0.2-3/include/CGAL/Transform_iterator.h 5.0.3-1/include/CGAL/Transform_iterator.h
--- 5.0.2-3/include/CGAL/Transform_iterator.h	2020-02-21 20:03:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/Transform_iterator.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Matrix_search/include/CGAL/Transform_iterator.h $
-// $Id: Transform_iterator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Matrix_search/include/CGAL/Transform_iterator.h $
+// $Id: Transform_iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 
@@ -30,7 +30,7 @@ namespace CGAL {
 template < class OutputIterator, class Operation >
 struct Transform_iterator {
   // Workaround. Added this non standard iterator category for VC8.
-  // Strange that no other iterator complains about this "feature" missing  
+  // Strange that no other iterator complains about this "feature" missing
   typedef std::_Unchecked_iterator_tag _Checked_iterator_category;
   typedef std::output_iterator_tag             iterator_category;
   typedef Transform_iterator< OutputIterator, Operation >   self;
diff -pruN 5.0.2-3/include/CGAL/Tree_assertions.h 5.0.3-1/include/CGAL/Tree_assertions.h
--- 5.0.2-3/include/CGAL/Tree_assertions.h	2020-02-21 20:04:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Tree_assertions.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/SearchStructures/include/CGAL/Tree_assertions.h $
-// $Id: Tree_assertions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/SearchStructures/include/CGAL/Tree_assertions.h $
+// $Id: Tree_assertions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman, Sven Schoenherr, Gabriele Neyer
 //
diff -pruN 5.0.2-3/include/CGAL/Tree_base.h 5.0.3-1/include/CGAL/Tree_base.h
--- 5.0.2-3/include/CGAL/Tree_base.h	2020-02-21 20:04:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Tree_base.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/SearchStructures/include/CGAL/Tree_base.h $
-// $Id: Tree_base.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/SearchStructures/include/CGAL/Tree_base.h $
+// $Id: Tree_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Gabriele Neyer
 
@@ -49,7 +49,7 @@ struct Tree_node_base {
 
 // -------------------------------------------------------------------
 // pure virtual abstract base class.
-// Designed according to the Prototype Design Pattern 
+// Designed according to the Prototype Design Pattern
 // A tree class has to be derived from this class.
 
 template <class C_Data, class C_Window>
@@ -79,51 +79,51 @@ public:
   //virtual Tree_base_type   *clone() const = 0;
 
   // 'make_tree()' returns an object which can be used as argument to 'delete'
-  virtual bool make_tree(const typename std::list<C_Data>::iterator& beg, 
-			 const typename std::list<C_Data>::iterator& end,
-			 lit *dummy=0) =0;
+  virtual bool make_tree(const typename std::list<C_Data>::iterator& beg,
+                         const typename std::list<C_Data>::iterator& end,
+                         lit *dummy=0) =0;
 #ifdef stlvector
-  virtual bool make_tree(const typename std::vector<C_Data>::iterator& beg, 
-			 const typename std::vector<C_Data>::iterator& end,
-			 vit *dummy=0) =0;
+  virtual bool make_tree(const typename std::vector<C_Data>::iterator& beg,
+                         const typename std::vector<C_Data>::iterator& end,
+                         vit *dummy=0) =0;
 #endif
 #ifdef carray
-  virtual bool make_tree(const C_Data *beg, 
+  virtual bool make_tree(const C_Data *beg,
                          const C_Data *end) =0;
 #endif
-  virtual std::back_insert_iterator< std::list<C_Data> > 
+  virtual std::back_insert_iterator< std::list<C_Data> >
     window_query(C_Window const &win,  std::back_insert_iterator<
-		 std::list<C_Data> > out,lbit *dummy=0 ) = 0; 
+                 std::list<C_Data> > out,lbit *dummy=0 ) = 0;
   virtual std::back_insert_iterator< std::vector<C_Data> >
     window_query(C_Window const &win,  std::back_insert_iterator<
-		  std::vector<C_Data> > out,vbit *dummy=0) = 0; 
+                  std::vector<C_Data> > out,vbit *dummy=0) = 0;
 #ifdef carray
-  virtual C_Data * window_query( C_Window const &win, 
-			        C_Data * out) = 0; 
+  virtual C_Data * window_query( C_Window const &win,
+                                C_Data * out) = 0;
 #endif
 #ifdef ostreamiterator
   typedef std::ostream_iterator< C_Data> oit;
-  virtual  std::ostream_iterator< C_Data> window_query( C_Window const &win, 
-				     std::ostream_iterator< C_Data> out,
-					oit *dummy=0	       ) = 0; 
+  virtual  std::ostream_iterator< C_Data> window_query( C_Window const &win,
+                                     std::ostream_iterator< C_Data> out,
+                                        oit *dummy=0               ) = 0;
 #endif
-  virtual  std::back_insert_iterator< std::list< C_Data> > 
+  virtual  std::back_insert_iterator< std::list< C_Data> >
     enclosing_query( C_Window const &win,  std::back_insert_iterator<
-		     std::list< C_Data> > out, lbit *dummy=0 ) = 0; 
-  virtual  std::back_insert_iterator< std::vector< C_Data> > 
+                     std::list< C_Data> > out, lbit *dummy=0 ) = 0;
+  virtual  std::back_insert_iterator< std::vector< C_Data> >
     enclosing_query( C_Window const &win,  std::back_insert_iterator<
-		     std::vector< C_Data> > out,vbit *dummy=0 ) = 0; 
+                     std::vector< C_Data> > out,vbit *dummy=0 ) = 0;
 #ifdef carray
-  virtual   C_Data * enclosing_query( C_Window const &win, 
-				    C_Data *out) = 0; 
+  virtual   C_Data * enclosing_query( C_Window const &win,
+                                    C_Data *out) = 0;
 #endif
 #ifdef ostreamiterator
-  virtual  std::ostream_iterator< C_Data> enclosing_query( C_Window const &win, 
-				           std::ostream_iterator< C_Data> out,
-					   oit *dummy=0) = 0; 
+  virtual  std::ostream_iterator< C_Data> enclosing_query( C_Window const &win,
+                                           std::ostream_iterator< C_Data> out,
+                                           oit *dummy=0) = 0;
 #endif
   virtual bool is_inside( C_Window const &win,
-			  C_Data const& object) const =0;  
+                          C_Data const& object) const =0;
   virtual bool is_anchor()const =0;
   virtual bool is_valid()const =0;
 };
@@ -145,73 +145,73 @@ public:
   typedef Tree_base<C_Data, C_Window> tbt;
 //  Tree_base_type *clone() const { return new Tree_anchor(); }
 
-  bool make_tree(const typename std::list< C_Data>::iterator& /*beg*/, 
-		 const typename std::list< C_Data>::iterator& /*end*/, 
-		 typename tbt::lit * =0) 
+  bool make_tree(const typename std::list< C_Data>::iterator& /*beg*/,
+                 const typename std::list< C_Data>::iterator& /*end*/,
+                 typename tbt::lit * =0)
   {
     return true;
   }
 #ifdef stlvector
-  bool make_tree(const typename std::vector< C_Data>::iterator& /*beg*/, 
-		 const typename std::vector< C_Data>::iterator& /*end*/, 
-		 typename tbt::vit * =0) 
+  bool make_tree(const typename std::vector< C_Data>::iterator& /*beg*/,
+                 const typename std::vector< C_Data>::iterator& /*end*/,
+                 typename tbt::vit * =0)
   {
     return true;
   }
 #endif
 #ifdef carray
-  bool make_tree(const C_Data * /*beg*/, 
-                 const C_Data * /*end*/) 
+  bool make_tree(const C_Data * /*beg*/,
+                 const C_Data * /*end*/)
   {
     return true;
   }
 #endif
-   std::back_insert_iterator< std::list< C_Data> > 
-      window_query( 
-       C_Window const &, 
+   std::back_insert_iterator< std::list< C_Data> >
+      window_query(
+       C_Window const &,
        std::back_insert_iterator< std::list< C_Data> > out,
        typename tbt::lbit * =0){
     return out;
   }
-   
-  std::back_insert_iterator< std::vector< C_Data> >  
-      window_query( C_Window const &, 
-		    std::back_insert_iterator< std::vector< C_Data> > out, 
+
+  std::back_insert_iterator< std::vector< C_Data> >
+      window_query( C_Window const &,
+                    std::back_insert_iterator< std::vector< C_Data> > out,
                     typename tbt::vbit * =0){
     return out;
   }
 #ifdef carray
-   C_Data * window_query( C_Window const &, 
+   C_Data * window_query( C_Window const &,
                      C_Data * out){
     return out;
   }
 #endif
 #ifdef ostreamiterator
    std::ostream_iterator< C_Data> window_query( C_Window const &,
-				        std::ostream_iterator< C_Data> out, 
-					typename tbt::oit *dummy=0){
+                                        std::ostream_iterator< C_Data> out,
+                                        typename tbt::oit *dummy=0){
     return out;
   }
 #endif
    std::back_insert_iterator< std::list< C_Data> > enclosing_query( C_Window const &,
                                    std::back_insert_iterator< std::list< C_Data> > out,
-				   typename tbt::lbit * =0){
+                                   typename tbt::lbit * =0){
     return out;
   }
    std::back_insert_iterator< std::vector< C_Data> > enclosing_query( C_Window const &,
                                    std::back_insert_iterator< std::vector< C_Data> > out,
-				   typename tbt::vbit * =0){
+                                   typename tbt::vbit * =0){
     return out;
   }
 #ifdef carray
-   C_Data * enclosing_query( C_Window const &, 
+   C_Data * enclosing_query( C_Window const &,
                         C_Data * out){
     return out;
   }
 #endif
 #ifdef ostreamiterator
-   std::ostream_iterator< C_Data> enclosing_query( C_Window const &, 
-					   std::ostream_iterator< C_Data> out,
+   std::ostream_iterator< C_Data> enclosing_query( C_Window const &,
+                                           std::ostream_iterator< C_Data> out,
                                            typename tbt::oit *dummy=0){
     return out;
   }
@@ -220,9 +220,9 @@ public:
 
 protected:
 
-  bool is_inside( C_Window const &, 
-		  C_Data const&) const
-  {     
+  bool is_inside( C_Window const &,
+                  C_Data const&) const
+  {
     return true;
   }
   bool is_anchor()const {return true;}
diff -pruN 5.0.2-3/include/CGAL/Tree_traits.h 5.0.3-1/include/CGAL/Tree_traits.h
--- 5.0.2-3/include/CGAL/Tree_traits.h	2020-02-21 20:04:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/Tree_traits.h	2020-08-01 19:02:48.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/SearchStructures/include/CGAL/Tree_traits.h $
-// $Id: Tree_traits.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/SearchStructures/include/CGAL/Tree_traits.h $
+// $Id: Tree_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Gabriele Neyer
 
@@ -16,7 +16,7 @@
 #include <CGAL/license/SearchStructures.h>
 
 
-// Implementation of a minimal tree traits for CGAL trees, derived 
+// Implementation of a minimal tree traits for CGAL trees, derived
 // from Tree_base.h
 // (e.g. Range_tree_d.h and Segment_tree_d.h).
 // Any other interface must at least provide the interface of this class.
@@ -24,9 +24,9 @@
 namespace CGAL {
 
 // Interface as it is expected for one layer of a Range Tree
-template<class C_Data, class C_Window, class C_Key,          
-         class C_Data_func, class C_Window_left_func, 
-	 class C_Window_right_func, class C_Compare>
+template<class C_Data, class C_Window, class C_Key,
+         class C_Data_func, class C_Window_left_func,
+         class C_Window_right_func, class C_Compare>
 class tree_point_traits{
  public:
   typedef  C_Key Key;
@@ -41,8 +41,8 @@ class tree_point_traits{
    C_Key get_right(const  C_Window& dt)
     const {return  C_Window_right_func()(dt);}
 
-  static bool comp( C_Key const& key1,  C_Key const& key2) 
-  {return  C_Compare()(key1, key2);} 
+  static bool comp( C_Key const& key1,  C_Key const& key2)
+  {return  C_Compare()(key1, key2);}
   static bool key_comp( C_Data const& data1,  C_Data const& data2)
   {
     const Key d1= C_Data_func()(data1);
@@ -53,16 +53,16 @@ class tree_point_traits{
 
 
 // Interface as it is expected for one layer of a Segment Tree
-template<class C_Data, class C_Window, class C_Key,  
-         class C_Data_left_func, class C_Data_right_func, 
-	 class C_Window_left_func, class C_Window_right_func, class C_Compare>
+template<class C_Data, class C_Window, class C_Key,
+         class C_Data_left_func, class C_Data_right_func,
+         class C_Window_left_func, class C_Window_right_func, class C_Compare>
 class tree_interval_traits{
  public:
   typedef  C_Data Data;
   typedef  C_Window Window;
   typedef  C_Key Key;
   typedef  C_Compare Compare;
-  
+
    C_Key get_left(const  C_Data&  dt)
     const {return  C_Data_left_func()(dt);}
    C_Key get_right(const  C_Data& dt)
@@ -72,8 +72,8 @@ class tree_interval_traits{
    C_Key get_right_win(const  C_Window& dt)
     const {return  C_Window_right_func()(dt);}
 
-  static bool comp( C_Key const& key1,  C_Key const& key2) 
-    {return  C_Compare()(key1, key2);} 
+  static bool comp( C_Key const& key1,  C_Key const& key2)
+    {return  C_Compare()(key1, key2);}
 };
 
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Triangle_2.h 5.0.3-1/include/CGAL/Triangle_2.h
--- 5.0.2-3/include/CGAL/Triangle_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangle_2.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Triangle_2.h $
-// $Id: Triangle_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Triangle_2.h $
+// $Id: Triangle_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/Triangle_3.h 5.0.3-1/include/CGAL/Triangle_3.h
--- 5.0.2-3/include/CGAL/Triangle_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangle_3.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Triangle_3.h $
-// $Id: Triangle_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Triangle_3.h $
+// $Id: Triangle_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/Triangle_accessor_3.h 5.0.3-1/include/CGAL/Triangle_accessor_3.h
--- 5.0.2-3/include/CGAL/Triangle_accessor_3.h	2020-02-21 20:03:36.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangle_accessor_3.h	2020-08-01 19:02:31.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_3/include/CGAL/Triangle_accessor_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_3/include/CGAL/Triangle_accessor_3.h $
 // $Id: Triangle_accessor_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Triangular_expansion_visibility_2.h 5.0.3-1/include/CGAL/Triangular_expansion_visibility_2.h
--- 5.0.2-3/include/CGAL/Triangular_expansion_visibility_2.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangular_expansion_visibility_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,13 +3,13 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Visibility_2/include/CGAL/Triangular_expansion_visibility_2.h $
-// $Id: Triangular_expansion_visibility_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Visibility_2/include/CGAL/Triangular_expansion_visibility_2.h $
+// $Id: Triangular_expansion_visibility_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
 // Author(s):  Michael Hemmer <michael.hemmer@cgal.org>
-//             
+//
 
 #ifndef CGAL_TRIANGULAR_EXPANSION_VISIBILITY_2_H
 #define CGAL_TRIANGULAR_EXPANSION_VISIBILITY_2_H
@@ -61,7 +61,7 @@ public:
   typedef typename Geometry_traits_2::Object_2          Object_2;
 
   typedef RegularizationCategory                       Regularization_category;
-  
+
   typedef CGAL::Tag_true                      Supports_general_polygon_category;
   typedef CGAL::Tag_true                      Supports_simple_polygon_category;
 
@@ -88,7 +88,7 @@ private:
   // Observer to track any changes of the attached arrangement.
   class Observer : public Arr_observer<Arrangement_2>
   {
-      
+
       typedef Arr_observer<Arrangement_2>                           Base;
       typedef Observer                                              Self;
 
@@ -144,7 +144,7 @@ private:
       void after_remove_outer_ccb(Face_handle) { has_changed = true; }
       void after_remove_inner_ccb(Face_handle) { has_changed = true; }
   };
-  
+
 
 private:
   const Arrangement_2* p_arr;
@@ -159,14 +159,14 @@ private:
   Self& operator= (const Self& );
 
 
-public: 
+public:
   Triangular_expansion_visibility_2() : p_arr(nullptr){}
 
   /*! Constructor given an arrangement. */
   Triangular_expansion_visibility_2 (const Arrangement_2& arr)
     : p_arr(&arr), observer(arr)
   {
-    init_cdt(); 
+    init_cdt();
   }
 
   const std::string name() const { return std::string("T_visibility_2"); }
@@ -182,15 +182,15 @@ public:
       p_arr = &arr;
       observer.detach();
       observer.attach(const_cast<Arrangement_2&>(arr));
-      init_cdt(); 
-    }   
+      init_cdt();
+    }
     //std::cout << "attach done" << std::endl;
   }
 
   void detach() {
     //std::cout << "detach" << std::endl;
     observer.detach();
-    p_arr = nullptr; 
+    p_arr = nullptr;
     p_cdt.reset();
   }
 
@@ -389,58 +389,58 @@ private:
   }
 
   Point_2 ray_seg_intersection(
-      const Point_2& q, const Point_2& b, // the ray 
+      const Point_2& q, const Point_2& b, // the ray
       const Point_2& s, const Point_2& t  // the segment
     ) const {
 
     Ray_2 ray(q,b);
     Segment_2 seg(s,t);
     CGAL_assertion(typename K::Do_intersect_2()(ray,seg));
-    CGAL::Object obj = typename K::Intersect_2()(ray,seg); 
+    CGAL::Object obj = typename K::Intersect_2()(ray,seg);
     Point_2 result =  object_cast<Point_2>(obj);
-    return result; 
+    return result;
   }
 
   void collect_needle(
-      const Point_2& q, 
-      const typename CDT::Vertex_handle vh, 
-      const typename CDT::Face_handle fh, 
+      const Point_2& q,
+      const typename CDT::Vertex_handle vh,
+      const typename CDT::Face_handle fh,
       int index)
   const {
 
-    // the expanded edge should not be constrained 
+    // the expanded edge should not be constrained
     CGAL_assertion(!p_cdt->is_constrained(get_edge(fh,index)));
     CGAL_assertion(!p_cdt->is_infinite(fh));
-    // go into the new face  
-    const typename CDT::Face_handle nfh(fh->neighbor(index)); 
+    // go into the new face
+    const typename CDT::Face_handle nfh(fh->neighbor(index));
     CGAL_assertion(!p_cdt->is_infinite(nfh));
 
-    // get indices of neighbors 
-    int nindex = nfh->index(fh); // index of new vertex and old face 
-    int rindex = p_cdt->ccw(nindex); // index of face behind right edge 
-    int lindex = p_cdt-> cw(nindex); // index of face behind left edge 
-    
-    // get vertices seen from entering edge 
+    // get indices of neighbors
+    int nindex = nfh->index(fh); // index of new vertex and old face
+    int rindex = p_cdt->ccw(nindex); // index of face behind right edge
+    int lindex = p_cdt-> cw(nindex); // index of face behind left edge
+
+    // get vertices seen from entering edge
     const typename CDT::Vertex_handle nvh(nfh->vertex(nindex));
     const typename CDT::Vertex_handle rvh(nfh->vertex(p_cdt->cw (nindex)));
     const typename CDT::Vertex_handle lvh(nfh->vertex(p_cdt->ccw(nindex)));
     CGAL_assertion(!p_cdt->is_infinite(nvh));
     CGAL_assertion(!p_cdt->is_infinite(lvh));
     CGAL_assertion(!p_cdt->is_infinite(rvh));
-    
-    // get edges seen from entering edge 
+
+    // get edges seen from entering edge
     typename CDT::Edge re = get_edge(nfh,p_cdt->ccw(nindex));
     typename CDT::Edge le = get_edge(nfh,p_cdt-> cw(nindex));
-     
-    // do orientation computation once for new vertex 
-    typename K::Orientation_2 orientation = 
+
+    // do orientation computation once for new vertex
+    typename K::Orientation_2 orientation =
       p_cdt->geom_traits().orientation_2_object();
     CGAL::Orientation orient = orientation(q,vh->point(),nvh->point());
-    
-    
+
+
     //std::cout << "\n collect_needle" <<std::endl;
     //std::cout << "q             "<< q << std::endl ;
-    //std::cout << "vh->point()  "<<  vh->point() << std::endl;  
+    //std::cout << "vh->point()  "<<  vh->point() << std::endl;
     //std::cout << "lvh->point()  "<< lvh->point() << std::endl ;
     //std::cout << "nvh->point()  "<< nvh->point() << std::endl ;
     //std::cout << "rvh->point()  "<< rvh->point() << std::endl<< std::endl;
@@ -448,12 +448,12 @@ private:
 
     switch ( orient ) {
     case CGAL::COUNTERCLOCKWISE:
-      // looking on to the right edge 
+      // looking on to the right edge
       if(p_cdt->is_constrained(re)) {
         if(vh != rvh) {
           Point_2 p = ray_seg_intersection(q, vh->point(),
                                            nvh->point(), rvh->point());
-          //std::cout << vh->point() <<" -1- "<< p <<std::endl; 
+          //std::cout << vh->point() <<" -1- "<< p <<std::endl;
           needles.push_back(Segment_2(vh->point(),p));
         }
       } else {
@@ -461,27 +461,27 @@ private:
       }
       break;
     case CGAL::CLOCKWISE:
-      // looking on to the left edge 
+      // looking on to the left edge
       if(p_cdt->is_constrained(le)){
         if(vh != lvh){
           Point_2 p = ray_seg_intersection(q, vh->point(),
                                            nvh->point(), lvh->point());
-          //std::cout << vh->point() <<" -2- "<< p <<std::endl; 
+          //std::cout << vh->point() <<" -2- "<< p <<std::endl;
           needles.push_back(Segment_2(vh->point(),p));
         }
       } else {
         collect_needle(q,vh,nfh,lindex);
-      }      
+      }
       break;
     default:
       CGAL_assertion(orient == CGAL::COLLINEAR);
-      // looking on nvh, so it must be reported 
-      // if it wasn't already (triangles rotate around vh)    
+      // looking on nvh, so it must be reported
+      // if it wasn't already (triangles rotate around vh)
       if(vh != nvh){
-        //std::cout << vh->point() <<" -3- "<< nvh->point() <<std::endl; 
-        needles.push_back(Segment_2(vh->point(),nvh->point())); 
+        //std::cout << vh->point() <<" -3- "<< nvh->point() <<std::endl;
+        needles.push_back(Segment_2(vh->point(),nvh->point()));
       }
-      // but we may also contiue looking along the vertex 
+      // but we may also contiue looking along the vertex
       if(!p_cdt->is_constrained(re)) {
         collect_needle(q,nvh,nfh,rindex);
       }
@@ -492,47 +492,47 @@ private:
     }
   }
 
-  template<class OIT> 
+  template<class OIT>
   OIT expand_edge(
-      const Point_2& q, 
-      const Point_2& left, 
-      const Point_2& right, 
-      typename CDT::Face_handle fh, 
-      int index, 
+      const Point_2& q,
+      const Point_2& left,
+      const Point_2& right,
+      typename CDT::Face_handle fh,
+      int index,
       OIT oit)
   const {
 
-    // the expanded edge should not be constrained 
+    // the expanded edge should not be constrained
     CGAL_assertion(!p_cdt->is_constrained(get_edge(fh,index)));
     CGAL_assertion(!p_cdt->is_infinite(fh));
-    
-    // go into the new face  
-    const typename CDT::Face_handle nfh(fh->neighbor(index)); 
+
+    // go into the new face
+    const typename CDT::Face_handle nfh(fh->neighbor(index));
     CGAL_assertion(!p_cdt->is_infinite(nfh));
 
-    // get indices of neighbors 
-    int nindex = nfh->index(fh); // index of new vertex and old face 
-    int rindex = p_cdt->ccw(nindex); // index of face behind right edge 
-    int lindex = p_cdt-> cw(nindex); // index of face behind left edge 
-    
-    // get vertices seen from entering edge 
+    // get indices of neighbors
+    int nindex = nfh->index(fh); // index of new vertex and old face
+    int rindex = p_cdt->ccw(nindex); // index of face behind right edge
+    int lindex = p_cdt-> cw(nindex); // index of face behind left edge
+
+    // get vertices seen from entering edge
     const typename CDT::Vertex_handle nvh(nfh->vertex(nindex));
     const typename CDT::Vertex_handle rvh(nfh->vertex(p_cdt->cw (nindex)));
     const typename CDT::Vertex_handle lvh(nfh->vertex(p_cdt->ccw(nindex)));
     CGAL_assertion(!p_cdt->is_infinite(nvh));
     CGAL_assertion(!p_cdt->is_infinite(lvh));
     CGAL_assertion(!p_cdt->is_infinite(rvh));
-    
-    // get edges seen from entering edge 
+
+    // get edges seen from entering edge
     typename CDT::Edge re = get_edge(nfh,p_cdt->ccw(nindex));
     typename CDT::Edge le = get_edge(nfh,p_cdt-> cw(nindex));
-     
-    // do orientation computation once for new vertex 
-    typename K::Orientation_2 orientation = 
+
+    // do orientation computation once for new vertex
+    typename K::Orientation_2 orientation =
       p_cdt->geom_traits().orientation_2_object();
     CGAL::Orientation ro = orientation(q,right,nvh->point());
     CGAL::Orientation lo = orientation(q,left ,nvh->point());
-    
+
     CGAL_assertion(typename K::Orientation_2()(q,left ,lvh->point())
            != CGAL::CLOCKWISE);
     CGAL_assertion(typename K::Orientation_2()(q,right,rvh->point())
@@ -540,108 +540,108 @@ private:
 
     //std::cout << (ro == CGAL::COUNTERCLOCKWISE) << " " <<
     //(lo == CGAL::CLOCKWISE) << std::endl;
-    
-    //right edge is seen if new vertex is counter clockwise of right boarder 
+
+    //right edge is seen if new vertex is counter clockwise of right boarder
     if(ro == CGAL::COUNTERCLOCKWISE){
       if(p_cdt->is_constrained(re)){
         // the edge is constrained
-        // report intersection with right boarder ray 
+        // report intersection with right boarder ray
         // if it is not already the right vertex (already reported)
         if(right != rvh->point()){
           *oit++ = ray_seg_intersection(q,right,nvh->point(),rvh->point());
         }
-        
+
         // then report intersection with left boarder if it exists
         if(lo == CGAL::COUNTERCLOCKWISE){
           *oit++ = ray_seg_intersection(q,left,nvh->point(),rvh->point());
         }
       }else{
-        // the edge is not a constrained 
+        // the edge is not a constrained
         if(lo == CGAL::COUNTERCLOCKWISE){
-          // no split needed and return 
+          // no split needed and return
           //std::cout<< "h1"<< std::endl;
           oit = expand_edge(q,left,right,nfh,rindex,oit);
           //std::cout<< "h1 done"<< std::endl;
-          return oit;          
+          return oit;
         }else{
-          // spliting at new vertex 
+          // spliting at new vertex
           //std::cout<< "h2"<< std::endl;
           *oit++ = expand_edge(q,nvh->point(),right,nfh,rindex,oit);
           //std::cout<< "h2 done"<< std::endl;
-        }        
+        }
       }
     }
-    
+
 
     //std::cout << "q             "<< q << std::endl ;
-    //std::cout << "lvh->point()  "<< lvh->point() << std::endl;  
+    //std::cout << "lvh->point()  "<< lvh->point() << std::endl;
     //std::cout << "left          "<< left << std::endl  ;
     //std::cout << "nvh->point()  "<< nvh->point() << std::endl ;
     //std::cout << "right         "<< right << std::endl ;
     //std::cout << "rvh->point()  "<< rvh->point() << std::endl<< std::endl;
-    
-    
-    // determin whether new vertex needs to be reported 
+
+
+    // determin whether new vertex needs to be reported
     if(ro != CGAL::CLOCKWISE && lo != CGAL::COUNTERCLOCKWISE){
-      *oit++ = nvh->point(); 
+      *oit++ = nvh->point();
     }
     if(!Regularization_category::value){
       CGAL_assertion(!(ro == CGAL::COLLINEAR && lo == CGAL::COLLINEAR));
-      // we have to check whether a needle starts here. 
+      // we have to check whether a needle starts here.
       if(p_cdt->is_constrained(le) && !p_cdt->is_constrained(re)
               && ro == CGAL::COLLINEAR)
         collect_needle(q,nvh,nfh,rindex);
 
       if(p_cdt->is_constrained(re) && !p_cdt->is_constrained(le)
               && lo == CGAL::COLLINEAR)
-        collect_needle(q,nvh,nfh,lindex);    
+        collect_needle(q,nvh,nfh,lindex);
     }
 
-    //left edge is seen if new vertex is clockwise of left boarder 
+    //left edge is seen if new vertex is clockwise of left boarder
     if(lo == CGAL::CLOCKWISE){
       if(p_cdt->is_constrained(le)){
         // the edge is constrained
-        // report interesection with right boarder if exists 
+        // report interesection with right boarder if exists
         if(ro == CGAL::CLOCKWISE){
           *oit++ = ray_seg_intersection(q,right,nvh->point(),lvh->point());
         }
-        // then report intersection with left boarder ray 
+        // then report intersection with left boarder ray
         // if it is not already the left vertex (already reported)
         if(left != lvh->point()){
-          *oit++ = ray_seg_intersection(q,left,nvh->point(),lvh->point());          
+          *oit++ = ray_seg_intersection(q,left,nvh->point(),lvh->point());
         }
-        return oit; 
+        return oit;
       }else{
-        // the edge is not a constrained 
+        // the edge is not a constrained
         if(ro == CGAL::CLOCKWISE){
           // no split needed and return
           //std::cout<< "h3"<< std::endl;
           oit = expand_edge(q,left,right,nfh,lindex,oit);
           //std::cout<< "h3 done"<< std::endl;
-          return oit; 
+          return oit;
         }else{
-          // spliting at new vertex 
+          // spliting at new vertex
           //std::cout<< "h4"<< std::endl;
           oit = expand_edge(q,left,nvh->point(),nfh,lindex,oit);
           //std::cout<< "h4 done"<< std::endl;
-          return oit;          
-        }        
+          return oit;
+        }
       }
     }
-    
+
     return oit;
   }
 
 
-  template <typename VARR> 
-  typename VARR::Face_handle 
+  template <typename VARR>
+  typename VARR::Face_handle
   output(std::vector<Point_2>& raw_output, VARR& out_arr) const {
 
     if(!needles.empty()){
-      std::vector<Segment_2> segments(needles.begin(),needles.end()); 
+      std::vector<Segment_2> segments(needles.begin(),needles.end());
       for(unsigned int i = 0; i < raw_output.size(); i++){
-//      //std::cout <<  raw_output[i] << " -- " 
-//                <<  raw_output[(i+1)%raw_output.size()] << std::endl; 
+//      //std::cout <<  raw_output[i] << " -- "
+//                <<  raw_output[(i+1)%raw_output.size()] << std::endl;
         segments.push_back(Segment_2(raw_output[i],
                                      raw_output[(i+1) % raw_output.size()]));
       }
@@ -652,9 +652,9 @@ private:
 
     } else {
       typename VARR::Vertex_handle v_last, v_first;
-      v_last = v_first = 
+      v_last = v_first =
         out_arr.insert_in_face_interior(raw_output[0],out_arr.unbounded_face());
-      
+
       for(unsigned int i = 0; i < raw_output.size()-1; i++){
 //      std::cout <<  raw_output[i] << " -- "
 //                <<  raw_output[(i+1)%raw_output.size()] << std::endl;
@@ -666,7 +666,7 @@ private:
           v_last = out_arr.insert_from_right_vertex(
                              Segment_2(raw_output[i], raw_output[i+1]), v_last
                            )->target();
-        }        
+        }
       }
       out_arr.insert_at_vertices(
                 Segment_2(raw_output.front(), raw_output.back()),
diff -pruN 5.0.2-3/include/CGAL/Triangular_field_2.h 5.0.3-1/include/CGAL/Triangular_field_2.h
--- 5.0.2-3/include/CGAL/Triangular_field_2.h	2020-02-21 20:04:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangular_field_2.h	2020-08-01 19:02:53.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Stream_lines_2/include/CGAL/Triangular_field_2.h $
-// $Id: Triangular_field_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Stream_lines_2/include/CGAL/Triangular_field_2.h $
+// $Id: Triangular_field_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Abdelkrim Mebarki <Abdelkrim.Mebarki@sophia.inria.fr>
 
-#ifndef CGAL_TRIANGULAR_FIELD_2_H_ 
+#ifndef CGAL_TRIANGULAR_FIELD_2_H_
 #define CGAL_TRIANGULAR_FIELD_2_H_
 
 #include <CGAL/license/Stream_lines_2.h>
@@ -26,7 +26,7 @@
 #include <iostream>
 #include <fstream>
 #include <list>
-#include <cmath> 
+#include <cmath>
 #include <string>
 
 #include <CGAL/Triangulation_face_base_with_info_2.h>
@@ -62,43 +62,43 @@ protected:
     {
       std::cout << "reading file...\n";
       while(pBegin != pEnd)
-	{
-	  Point_2 p;
-	  Vector_2 v;
-	  p = (*pBegin);
-	  v = (*vBegin);
-	  m_D_Ttr.insert(p);
-	  field_map[p] = v;
-	  if (m_D_Ttr.number_of_vertices() == 1)
-	    {
-	      maxx = minx = p.x();
-	      maxy = miny = p.y();
-	    }
-	  if(p.x()<minx)
-	    {
-	      minx = p.x();
-	    }
-	  if(p.y()<miny)
-	    {
-	      miny = p.y();
-	    }
-	  if(p.x()>maxx)
-	    {
-	      maxx = p.x();
-	    }
-	  if(p.y()>maxy)
-	    {
-	      maxy = p.y();
-	    }
-	  ++pBegin;
-	  ++vBegin;
-	}
+        {
+          Point_2 p;
+          Vector_2 v;
+          p = (*pBegin);
+          v = (*vBegin);
+          m_D_Ttr.insert(p);
+          field_map[p] = v;
+          if (m_D_Ttr.number_of_vertices() == 1)
+            {
+              maxx = minx = p.x();
+              maxy = miny = p.y();
+            }
+          if(p.x()<minx)
+            {
+              minx = p.x();
+            }
+          if(p.y()<miny)
+            {
+              miny = p.y();
+            }
+          if(p.x()>maxx)
+            {
+              maxx = p.x();
+            }
+          if(p.y()>maxy)
+            {
+              maxy = p.y();
+            }
+          ++pBegin;
+          ++vBegin;
+        }
       std::cout << "number of samples " << m_D_Ttr.number_of_vertices() << "\n";
     }
 public:
   template <class PointInputIterator, class VectorInputIterator>
   Triangular_field_2(PointInputIterator pBegin, PointInputIterator
-		     pEnd, VectorInputIterator vBegin)
+                     pEnd, VectorInputIterator vBegin)
     {
       fill(pBegin, pEnd, vBegin);
     }
@@ -112,7 +112,7 @@ public:
       FT density = get_density_field(p);
       return std::make_pair(v, density);
     }
-  
+
   bool is_in_domain(const Point_2 & p) const;
 
   FT get_integration_step(const Point_2 &) const;
@@ -132,28 +132,28 @@ protected:
     }
 };
 
-template <class StreamLinesTraits_2> 
+template <class StreamLinesTraits_2>
 inline
 typename Triangular_field_2<StreamLinesTraits_2>::Geom_traits::Iso_rectangle_2
 Triangular_field_2<StreamLinesTraits_2>::bbox() const
 {
   return typename Geom_traits::Iso_rectangle_2(minx, miny, maxx,
-					       maxy);
+                                               maxy);
 }
 
 template <class StreamLinesTraits_2>
-bool 
+bool
 Triangular_field_2<StreamLinesTraits_2>::is_in_domain(const Point_2 &
-						      p) const
+                                                      p) const
 {
   Face_handle f = m_D_Ttr.locate(p);
   return !m_D_Ttr.is_infinite(f);
 }
 
 template <class StreamLinesTraits_2>
-typename Triangular_field_2<StreamLinesTraits_2>::Vector_2 
+typename Triangular_field_2<StreamLinesTraits_2>::Vector_2
 Triangular_field_2<StreamLinesTraits_2>::get_vector_field(const
-							  Point_2 & p) 
+                                                          Point_2 & p)
   const
 {
   Face_handle m_Face_handle = m_D_Ttr.locate(p);
@@ -177,9 +177,9 @@ Triangular_field_2<StreamLinesTraits_2>:
   vec.clear();
   vec.push_back(p0); vec.push_back(p1); vec.push_back(p);
   s2 = polygon_area_2(vec.begin(), vec.end(), m_D_Ttr.geom_traits());
-  vec.clear(); 
+  vec.clear();
   s0 = s0 / s; s1 = s1 / s; s2 = s2 / s;
-  Vector_2 v_0 = field_map[p0];  
+  Vector_2 v_0 = field_map[p0];
   Vector_2 v_1 = field_map[p1];
   Vector_2 v_2 = field_map[p2];
   FT x = ((v_0.x()*s0)+(v_1.x()*s1)+(v_2.x()*s2));
@@ -197,8 +197,8 @@ Triangular_field_2<StreamLinesTraits_2>:
 template <class StreamLinesTraits_2>
 typename Triangular_field_2<StreamLinesTraits_2>::FT
 Triangular_field_2<StreamLinesTraits_2>::get_density_field(const
-							   Point_2 &
-							   p) const
+                                                           Point_2 &
+                                                           p) const
 {
   return p.x();
 }
@@ -206,8 +206,8 @@ Triangular_field_2<StreamLinesTraits_2>:
 template<class StreamLinesTraits_2>
 typename Triangular_field_2<StreamLinesTraits_2>::FT
 Triangular_field_2<StreamLinesTraits_2>::get_integration_step(const
-							      Point_2
-							      &) const
+                                                              Point_2
+                                                              &) const
 {
   return 1.0;
 }
diff -pruN 5.0.2-3/include/CGAL/Triangulated_mixed_complex_observer_3.h 5.0.3-1/include/CGAL/Triangulated_mixed_complex_observer_3.h
--- 5.0.2-3/include/CGAL/Triangulated_mixed_complex_observer_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulated_mixed_complex_observer_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/Triangulated_mixed_complex_observer_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/Triangulated_mixed_complex_observer_3.h $
 // $Id: Triangulated_mixed_complex_observer_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/triangulate_mixed_complex_3.h 5.0.3-1/include/CGAL/triangulate_mixed_complex_3.h
--- 5.0.2-3/include/CGAL/triangulate_mixed_complex_3.h	2020-02-21 20:04:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/triangulate_mixed_complex_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/triangulate_mixed_complex_3.h $
-// $Id: triangulate_mixed_complex_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/triangulate_mixed_complex_3.h $
+// $Id: triangulate_mixed_complex_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -363,23 +363,23 @@ construct_anchor_vor(Rt_Simplex const &s
 //    it = find_anchor(anchor_vor2, it);
 //    typename Compute_anchor::Simplex_iterator degenerate_it;
 //    for (degenerate_it = compute_anchor_obj.equivalent_anchors_begin();
-//	 degenerate_it != compute_anchor_obj.equivalent_anchors_end();
-//	 degenerate_it++) {
+//         degenerate_it != compute_anchor_obj.equivalent_anchors_end();
+//         degenerate_it++) {
 //      Anchor_map_iterator tmp;
 //      it2 = anchor_vor2.find(*degenerate_it);
 //      // Possibly not found for 2 Voronoi vertices with the same center,
 //      // If the first vertex is inserted and the second is already found.
 //      // see compute_anchor_obj.anchor_vor(Cell_handle)
 //      if (it2 != anchor_vor2.end()) {
-//	CGAL_assertion(it2 != anchor_vor2.end());
-//	// Merge sets:
-//	while (it2 != it2->second) {
-//	  tmp = it2->second;
-//	  it2->second = it->second;
-//	  it2 = tmp;
-//	  CGAL_assertion(it2 != anchor_vor2.end());
-//	}
-//	it2->second = it->second;
+//        CGAL_assertion(it2 != anchor_vor2.end());
+//        // Merge sets:
+//        while (it2 != it2->second) {
+//          tmp = it2->second;
+//          it2->second = it->second;
+//          it2 = tmp;
+//          CGAL_assertion(it2 != anchor_vor2.end());
+//        }
+//        it2->second = it->second;
 //      }
 //    }
 //  }
diff -pruN 5.0.2-3/include/CGAL/triangulate_power_diagram_3.h 5.0.3-1/include/CGAL/triangulate_power_diagram_3.h
--- 5.0.2-3/include/CGAL/triangulate_power_diagram_3.h	2020-02-21 20:04:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/triangulate_power_diagram_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/triangulate_power_diagram_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/triangulate_power_diagram_3.h $
 // $Id: triangulate_power_diagram_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Triangulation_2/insert_constraints.h 5.0.3-1/include/CGAL/Triangulation_2/insert_constraints.h
--- 5.0.2-3/include/CGAL/Triangulation_2/insert_constraints.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_2/insert_constraints.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_2/insert_constraints.h $
-// $Id: insert_constraints.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_2/insert_constraints.h $
+// $Id: insert_constraints.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Mariette Yvinec
 
diff -pruN 5.0.2-3/include/CGAL/Triangulation_2/internal/Constraint_hierarchy_2.h 5.0.3-1/include/CGAL/Triangulation_2/internal/Constraint_hierarchy_2.h
--- 5.0.2-3/include/CGAL/Triangulation_2/internal/Constraint_hierarchy_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_2/internal/Constraint_hierarchy_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_2/internal/Constraint_hierarchy_2.h $
-// $Id: Constraint_hierarchy_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_2/internal/Constraint_hierarchy_2.h $
+// $Id: Constraint_hierarchy_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Olivier Billet, Mariette Yvinec
 
@@ -18,8 +18,8 @@
 
 #include <CGAL/basic.h>
 #include <utility>
-#include <map> 
-#include <list> 
+#include <map>
+#include <list>
 #include <CGAL/triangulation_assertions.h>
 
 namespace CGAL {
@@ -34,7 +34,7 @@ public:
   typedef std::pair<T, T>                      H_edge;
   typedef T                                    H_vertex;
   typedef Constraint_hierarchy_2<T,
-                                 Compare, 
+                                 Compare,
                                  Data>         Hierarchy;
   typedef std::pair<T, T>                      H_constraint;
   typedef std::list<T>                         H_vertex_list;
@@ -51,7 +51,7 @@ public:
     bool operator()(const H_edge& e1, const H_edge& e2) const {
       if(comp(e1.first, e2.first)) {
         return true;
-      } else if((! comp(e2.first, e1.first)) && //  !less(e1,e2) && !less(e2,e1) == equal 
+      } else if((! comp(e2.first, e1.first)) && //  !less(e1,e2) && !less(e2,e1) == equal
                 comp(e1.second, e2.second)) {
         return true;
       } else {
@@ -70,22 +70,22 @@ public:
     H_vertex_it    current() {return pos;}
     H_vertex_it    vertices_end() {return enclosing->end();}
     std::size_t number_of_vertices() {return enclosing->size();}
-  };                                           
+  };
   typedef std::list<H_context>                 H_context_list;
   typedef typename std::list<H_context>::iterator       H_context_iterator;
 
   typedef std::map<T, Data>                             H_vertex_map;
-  typedef std::map<H_constraint, H_vertex_list*, 
+  typedef std::map<H_constraint, H_vertex_list*,
                    Pair_compare>                        H_c_to_sc_map;
-  typedef std::map<H_edge,   H_context_list*, 
+  typedef std::map<H_edge,   H_context_list*,
                    Pair_compare >                       H_sc_to_c_map;
 
   typedef typename H_c_to_sc_map::const_iterator        H_c_iterator;
   typedef typename H_sc_to_c_map::const_iterator        H_sc_iterator;
-  typedef typename H_vertex_map::const_iterator         H_v_iterator;     
+  typedef typename H_vertex_map::const_iterator         H_v_iterator;
   typedef std::pair<H_constraint, H_vertex_list*>       H_c_value;
   typedef std::pair<H_edge,   H_context_list*>          H_sc_value;
-  
+
 private:
   Compare comp;
   // data for the 1d hierarchy
@@ -93,25 +93,25 @@ private:
   H_sc_to_c_map   sc_to_c_map;
   // data for the 0d hierarchy
   H_vertex_map    vertex_map;
-  
+
 public:
   Constraint_hierarchy_2(const Compare& comp_ = Compare())
     : comp(comp_)
     , c_to_sc_map(Pair_compare(comp))
     , sc_to_c_map(Pair_compare(comp))
   { }
-  Constraint_hierarchy_2(const Constraint_hierarchy_2& ch); 
+  Constraint_hierarchy_2(const Constraint_hierarchy_2& ch);
   ~Constraint_hierarchy_2(){ clear();}
   void clear();
   Constraint_hierarchy_2& operator=(const Constraint_hierarchy_2& ch);
 
-  // Query 
+  // Query
   bool is_subconstrained_edge(T va, T vb) const;
   bool is_constrained_edge(T va, T vb) const;
   bool is_constrained_vertex(T v) const;
-  bool vertices_in_constraint(H_constraint hc,  
-			      H_vertex_it& v_first,
-			      H_vertex_it& v_past) const;
+  bool vertices_in_constraint(H_constraint hc,
+                              H_vertex_it& v_first,
+                              H_vertex_it& v_past) const;
   H_vertex_it vertices_in_constraint_begin(T va, T vb);
   H_vertex_it vertices_in_constraint_end(T va, T vb);
 
@@ -127,14 +127,14 @@ public:
   H_context_iterator contexts_end(T va, T vb);
   std::size_t number_of_constraints() { return c_to_sc_map.size();}
   std::size_t number_of_subconstraints() {return sc_to_c_map.size();}
-  
+
 
   // insert/remove
   void add_Steiner(T va, T vb, T vx);
   bool insert_constraint(T va, T vb);
   void remove_constraint(T va, T vb);
   void split_constraint(T va, T vb, T vc);
-  
+
   void constrain_vertex(T v, Data data=Data());
   void unconstrain_vertex(T v);
   void set_data(T v, Data data);
@@ -149,18 +149,18 @@ public:
   H_c_iterator  c_end()    const{ return c_to_sc_map.end();   }
   H_v_iterator  v_begin()  const{ return vertex_map.begin(); }
   H_v_iterator  v_end()    const{ return vertex_map.end(); }
-  
+
   //Helping functions
   void copy(const Constraint_hierarchy_2& ch);
   void copy(const Constraint_hierarchy_2& ch, std::map<T,T>& vmap);
   void swap(Constraint_hierarchy_2& ch);
 
-private: 
+private:
   H_edge    make_edge(T va, T vb) const;
   H_vertex_it     get_pos(T va, T vb) const;
-  bool      get_contexts(T va, T vb, 
-			 H_context_iterator& ctxt, 
-			 H_context_iterator& past) const;
+  bool      get_contexts(T va, T vb,
+                         H_context_iterator& ctxt,
+                         H_context_iterator& past) const;
 
   H_context_list * get_contexts(T va, T vb) const;
 
@@ -169,7 +169,7 @@ public:
   void   print() const;
 };
 
-template <class T, class Compare, class Data> 
+template <class T, class Compare, class Data>
 Constraint_hierarchy_2<T,Compare,Data>::
 Constraint_hierarchy_2(const Constraint_hierarchy_2& ch)
   : comp(ch.comp)
@@ -179,7 +179,7 @@ Constraint_hierarchy_2(const Constraint_
   copy(ch);
 }
 
-template <class T, class Compare, class Data> 
+template <class T, class Compare, class Data>
 Constraint_hierarchy_2<T,Compare,Data>&
 Constraint_hierarchy_2<T,Compare,Data>::
 operator=(const Constraint_hierarchy_2& ch){
@@ -187,7 +187,7 @@ operator=(const Constraint_hierarchy_2&
   return *this;
 }
 
-template <class T, class Compare, class Data> 
+template <class T, class Compare, class Data>
 void
 Constraint_hierarchy_2<T,Compare,Data>::
 copy(const Constraint_hierarchy_2& ch1)
@@ -204,7 +204,7 @@ copy(const Constraint_hierarchy_2& ch1)
   copy(ch1, vmap);
 }
 
-template <class T, class Compare, class Data> 
+template <class T, class Compare, class Data>
 void
 Constraint_hierarchy_2<T,Compare,Data>::
 copy(const Constraint_hierarchy_2& ch1, std::map<T,T>& vmap)
@@ -240,8 +240,8 @@ copy(const Constraint_hierarchy_2& ch1,
       ctxt2.pos = ctxt2.enclosing->begin();
       H_vertex_it aux = cit1->enclosing->begin();
       while( aux != cit1->pos) {
-	++aux;
-	++ctxt2.pos;
+        ++aux;
+        ++ctxt2.pos;
       }
       hcl2->push_back(ctxt2);
     }
@@ -255,7 +255,7 @@ copy(const Constraint_hierarchy_2& ch1,
   return;
 }
 
-template <class T, class Compare, class Data> 
+template <class T, class Compare, class Data>
 void
 Constraint_hierarchy_2<T,Compare,Data>::
 swap(Constraint_hierarchy_2& ch)
@@ -265,7 +265,7 @@ swap(Constraint_hierarchy_2& ch)
   vertex_map.swap(ch.vertex_map);
 }
 
-template <class T, class Compare, class Data> 
+template <class T, class Compare, class Data>
 bool Constraint_hierarchy_2<T,Compare,Data>::
 is_constrained_vertex(T v) const
 {
@@ -273,14 +273,14 @@ is_constrained_vertex(T v) const
 }
 
 
-template <class T, class Compare, class Data> 
+template <class T, class Compare, class Data>
 bool Constraint_hierarchy_2<T,Compare,Data>::
 is_constrained_edge(T va, T vb) const
 {
   return( c_to_sc_map.find(make_edge(va, vb)) != c_to_sc_map.end() );
 }
 
-template <class T, class Compare, class Data> 
+template <class T, class Compare, class Data>
 bool Constraint_hierarchy_2<T,Compare,Data>::
 is_subconstrained_edge(T va, T vb) const
 {
@@ -288,11 +288,11 @@ is_subconstrained_edge(T va, T vb) const
 }
 
 #if 0
-template <class T, class Compare, class Data> 
+template <class T, class Compare, class Data>
 bool Constraint_hierarchy_2<T,Compare,Data>::
-vertices_in_constraint(H_constraint hc, 
-		       H_vertex_it& v_first,
-		       H_vertex_it& v_past ) const
+vertices_in_constraint(H_constraint hc,
+                       H_vertex_it& v_first,
+                       H_vertex_it& v_past ) const
 {
   H_sc_iterator sc_iter = sc_to_c_map.find(hc);
   if( sc_iter == sc_to_c_map.end() )
@@ -333,8 +333,8 @@ enclosing_constraints(T vaa, T vbb , H_c
   H_context_iterator hcit, past;
   if ( !get_contexts(vaa,vbb, hcit ,past)) return false;
   for (; hcit!=past; hcit++) {
-    hcl.push_back(make_edge(hcit->enclosing->front(), 
-			    hcit->enclosing->back())); 
+    hcl.push_back(make_edge(hcit->enclosing->front(),
+                            hcit->enclosing->back()));
   }
   return true;
 }
@@ -350,7 +350,7 @@ context(T va, T vb)
 }
 
 template <class T, class Compare, class Data>
-std::size_t 
+std::size_t
 Constraint_hierarchy_2<T,Compare,Data>::
 number_of_enclosing_constraints(T va, T vb)
 {
@@ -373,11 +373,11 @@ template <class T, class Compare, class
 typename Constraint_hierarchy_2<T,Compare,Data>::H_context_iterator
 Constraint_hierarchy_2<T,Compare,Data>::
 contexts_end(T va, T vb)
-{   
+{
    H_context_iterator first, last;
    if( !get_contexts(va,vb,first,last))  CGAL_triangulation_assertion(false);
    return last;
-} 
+}
 
 template <class T, class Compare, class Data>
 typename Constraint_hierarchy_2<T,Compare,Data>::H_vertex_it
@@ -388,7 +388,7 @@ vertices_in_constraint_begin(T va, T vb)
   CGAL_triangulation_assertion( cit != c_to_sc_map.end());
   return cit->second->begin();
 }
-  
+
 template <class T, class Compare, class Data>
 typename Constraint_hierarchy_2<T,Compare,Data>::H_vertex_it
 Constraint_hierarchy_2<T,Compare,Data>::
@@ -408,7 +408,7 @@ template <class T, class Compare, class
 bool Constraint_hierarchy_2<T,Compare,Data>::
 insert_constraint(T va, T vb){
   H_edge        he = make_edge(va, vb);
-  H_vertex_list*  children = new H_vertex_list; 
+  H_vertex_list*  children = new H_vertex_list;
 
   children->push_front(he.first);
   children->push_back(he.second);
@@ -446,13 +446,13 @@ remove_constraint(T va, T vb){
   typename H_c_to_sc_map::iterator c_to_sc_it = c_to_sc_map.find(he);
   CGAL_triangulation_assertion(c_to_sc_it != c_to_sc_map.end());
 
-  H_vertex_list *hvl = c_to_sc_it->second; 
-  
+  H_vertex_list *hvl = c_to_sc_it->second;
+
   // We have to look at all subconstraints
-  for(H_vertex_it it = hvl->begin(), succ = it; 
-      ++succ != hvl->end(); 
+  for(H_vertex_it it = hvl->begin(), succ = it;
+      ++succ != hvl->end();
       ++it){
-    typename H_sc_to_c_map::iterator scit = 
+    typename H_sc_to_c_map::iterator scit =
                                    sc_to_c_map.find(make_edge(*it,*succ));
     CGAL_triangulation_assertion(scit != sc_to_c_map.end());
     H_context_list* hcl = scit->second;
@@ -460,8 +460,8 @@ remove_constraint(T va, T vb){
     // and remove the contraint from the context list of the subcontraint
     for(H_context_iterator ctit=hcl->begin(); ctit != hcl->end(); ctit++) {
       if(ctit->enclosing == hvl){
-	    hcl->erase(ctit);
-		break;
+            hcl->erase(ctit);
+                break;
       }
     }
     // If this was the only context in the list, delete the context list
@@ -473,7 +473,7 @@ remove_constraint(T va, T vb){
   c_to_sc_map.erase(c_to_sc_it);
   delete hvl;
 }
- 
+
 
 template <class T, class Compare, class Data>
 void Constraint_hierarchy_2<T,Compare,Data>::
@@ -562,7 +562,7 @@ remove_Steiner(T v, T va, T vb)
 {
   // remove a Steiner point
   CGAL_precondition(!is_constrained_vertex(v));
- 
+
   H_context_list*  hcl1 = get_contexts(va, v);
   CGAL_triangulation_assertion(hcl1 != nullptr);
   H_context_list*  hcl2 = get_contexts(v, vb);
@@ -586,7 +586,7 @@ remove_Steiner(T v, T va, T vb)
 
 /*
   same as add_Steiner
-  precondition : va,vb est une souscontrainte. 
+  precondition : va,vb est une souscontrainte.
 */
 template <class T, class Compare, class Data>
 void Constraint_hierarchy_2<T,Compare,Data>::
@@ -596,7 +596,7 @@ split_constraint(T va, T vb, T vc){
 
 
 template <class T, class Compare, class Data>
-void 
+void
 Constraint_hierarchy_2<T,Compare,Data>::
 add_Steiner(T va, T vb, T vc){
   H_context_list* hcl = get_contexts(va, vb);
@@ -612,11 +612,11 @@ add_Steiner(T va, T vb, T vc){
     ++pos;
     pos = ctit->enclosing->insert(pos, vc);
     --pos;
-    
+
     // set ctxt to the context of (vc,vb)
     // change *ctit in hcl to the context of (va,vc)
     // add ctxt to hcl2 list
-    ctxt.enclosing = ctit->enclosing;  
+    ctxt.enclosing = ctit->enclosing;
     if((*pos)==va)    {
       ctit->pos = pos;
       ctxt.pos = ++pos;
@@ -639,8 +639,8 @@ add_Steiner(T va, T vb, T vc){
     delete hcl2;
   }
   else  sc_to_c_map.insert(std::make_pair(make_edge(vc,vb), hcl2));
-    
-  
+
+
   sc_to_c_map.erase(make_edge(va,vb));
   return;
 }
@@ -662,7 +662,7 @@ Constraint_hierarchy_2<T,Compare,Data>::
 get_contexts(T va, T vb) const
 {
   H_sc_iterator sc_iter = sc_to_c_map.find(make_edge(va,vb));
-  if ( sc_iter == sc_to_c_map.end() ) 
+  if ( sc_iter == sc_to_c_map.end() )
     return nullptr;
   return (*sc_iter).second;
 }
@@ -671,14 +671,14 @@ template <class T, class Compare, class
 inline
 bool
 Constraint_hierarchy_2<T,Compare,Data>::
-get_contexts(T va, T vb, 
-	     H_context_iterator& ctxt, 
-	     H_context_iterator& past) const
+get_contexts(T va, T vb,
+             H_context_iterator& ctxt,
+             H_context_iterator& past) const
 {
   if (H_context_list * hcl = get_contexts(va, vb)) {
     ctxt = hcl->begin();
     past = hcl->end();
-    return true;    
+    return true;
   }
   return false;
 }
@@ -728,7 +728,7 @@ print() const
 //  for(; vnit != vertex_num.end(); vnit++) {
 //    vnit->second = ++num;
 //    std::cerr << "vertex num " << num  << " " << vnit->first->point()
-//	      << std::endl;
+//              << std::endl;
 //  }
 
   H_c_iterator cit=c_begin();
@@ -737,8 +737,8 @@ print() const
   for(; cit != c_end();  cit++){
     std::cout << std::endl ;
     std::cout << "constraint " ;
-    std::cout << vertex_num[cit->first.first]  << " " 
-	      <<  vertex_num[cit->first.second];
+    std::cout << vertex_num[cit->first.first]  << " "
+              <<  vertex_num[cit->first.second];
     std::cout << "  subconstraints " ;
     H_vertex_it vit = cit->second->begin();
     for(; vit != cit->second->end(); vit++){
@@ -748,21 +748,21 @@ print() const
   std::cout << std::endl ;
   for(;scit != sc_end(); scit++){
     std::cout << "subconstraint " ;
-    std::cout << vertex_num[scit->first.first] << " " 
-	      << vertex_num[scit->first.second];
+    std::cout << vertex_num[scit->first.first] << " "
+              << vertex_num[scit->first.second];
     H_constraint_list  hcl;
     enclosing_constraints( scit->first.first, scit->first.second,
-			   hcl);
+                           hcl);
     H_constraint_it hcit=hcl.begin();
     std::cout << "  enclosing " ;
-    for(; hcit != hcl.end(); hcit++) { 
-      std::cout << vertex_num[hcit->first] <<" " 
-		<< vertex_num[hcit->second] ;
+    for(; hcit != hcl.end(); hcit++) {
+      std::cout << vertex_num[hcit->first] <<" "
+                << vertex_num[hcit->second] ;
       std::cout <<  "   " ;
     }
     std::cout << std::endl ;
   }
-  return; 
+  return;
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Triangulation_2/internal/Polyline_constraint_hierarchy_2.h 5.0.3-1/include/CGAL/Triangulation_2/internal/Polyline_constraint_hierarchy_2.h
--- 5.0.2-3/include/CGAL/Triangulation_2/internal/Polyline_constraint_hierarchy_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_2/internal/Polyline_constraint_hierarchy_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_2/internal/Polyline_constraint_hierarchy_2.h $
-// $Id: Polyline_constraint_hierarchy_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_2/internal/Polyline_constraint_hierarchy_2.h $
+// $Id: Polyline_constraint_hierarchy_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Olivier Billet, Mariette Yvinec
 
@@ -19,8 +19,8 @@
 #include <CGAL/basic.h>
 #include <utility>
 #include <map>
-#include <set> 
-#include <list> 
+#include <set>
+#include <list>
 #include <CGAL/Skiplist.h>
 #include <CGAL/triangulation_assertions.h>
 
@@ -60,11 +60,11 @@ private:
   typedef std::list<Constraint> Constraint_list;
 
 public:
-  // the base line is always 
-  class Point_it 
+  // the base line is always
+  class Point_it
     : public boost::iterator_adaptor<
     Point_it
-    , typename Vertex_list::all_iterator 
+    , typename Vertex_list::all_iterator
     , Point
     >
   {
@@ -77,10 +77,10 @@ public:
   };
 
   // only nodes with a vertex_handle that is still in the triangulation
-  class Vertex_it 
+  class Vertex_it
     : public boost::iterator_adaptor<
     Vertex_it
-    , typename Vertex_list::skip_iterator 
+    , typename Vertex_list::skip_iterator
     , Vertex_handle
     , boost::use_default
     , Vertex_handle>
@@ -109,11 +109,11 @@ public:
     Vertex_list* vl_ptr() const {return second;}
 
     operator std::pair<std::pair<Vertex_handle, Vertex_handle>,Vertex_list*>()
-    { 
+    {
       if (second!=nullptr){
         return std::make_pair(std::make_pair(second->front().vertex(),
                                              second->back().vertex()),second);
-      } 
+      }
       return std::make_pair(std::make_pair(Vertex_handle(),Vertex_handle()),second);
     }
 
@@ -166,35 +166,35 @@ public:
     Vertex_it    vertices_end()const {return enclosing->skip_end();}
     Constraint_id  id() { return enclosing; }
     std::size_t    number_of_vertices() const {return enclosing->skip_size(); }
-  };                                           
+  };
 
   typedef std::list<Context>              Context_list;
   typedef typename Context_list::iterator Context_iterator;
 
   typedef std::set<Constraint_id>           Constraint_set;
   typedef std::map<Edge, Context_list*,
-		   Pair_compare>            Sc_to_c_map;
+                   Pair_compare>            Sc_to_c_map;
   typedef typename Constraint_set::iterator C_iterator;
   typedef typename Sc_to_c_map::const_iterator    Sc_iterator;
   typedef Sc_iterator Subconstraint_iterator;
-  
+
 private:
   // data for the 1d hierarchy
   Compare          comp;
   Constraint_set   constraint_set;
   Sc_to_c_map      sc_to_c_map;
-  
+
 public:
   Polyline_constraint_hierarchy_2(const Compare& comp)
     : comp(comp)
     , sc_to_c_map(Pair_compare(comp))
   { }
-  Polyline_constraint_hierarchy_2(const Polyline_constraint_hierarchy_2& ch); 
+  Polyline_constraint_hierarchy_2(const Polyline_constraint_hierarchy_2& ch);
   ~Polyline_constraint_hierarchy_2(){ clear();}
   void clear();
   Polyline_constraint_hierarchy_2& operator=(const Polyline_constraint_hierarchy_2& ch);
 
-  // Query 
+  // Query
   bool is_subconstrained_edge(T va, T vb) const;
   bool is_constrained_edge(T va, T vb) const;
   bool is_constrained_vertex(T v) const;
@@ -222,7 +222,7 @@ public:
   Context_iterator contexts_end(T va, T vb) const;
   std::size_t number_of_constraints() const  { return constraint_set.size();}
   std::size_t number_of_subconstraints()const {return sc_to_c_map.size();}
-  
+
 
   // insert/remove
   void add_Steiner(T va, T vb, T vx);
@@ -251,31 +251,31 @@ public:
   // iterators
 
   Subconstraint_iterator subconstraint_begin() const
-  { 
-    return sc_to_c_map.begin(); 
+  {
+    return sc_to_c_map.begin();
   }
 
   Subconstraint_iterator subconstraint_end() const
-  { 
-    return sc_to_c_map.end();   
+  {
+    return sc_to_c_map.end();
   }
 
   Sc_iterator sc_begin() const{ return sc_to_c_map.begin(); }
   Sc_iterator sc_end()   const{ return sc_to_c_map.end();   }
   C_iterator  c_begin()  const{ return constraint_set.begin(); }
   C_iterator  c_end()    const{ return constraint_set.end();   }
-  
+
   // Helper functions
   void copy(const Polyline_constraint_hierarchy_2& ch);
   void copy(const Polyline_constraint_hierarchy_2& ch, std::map<Vertex_handle,Vertex_handle>& vmap);
   void swap(Polyline_constraint_hierarchy_2& ch);
 
-private: 
+private:
   Edge      make_edge(T va, T vb) const;
   Vertex_it get_pos(T va, T vb) const;
-  bool      get_contexts(T va, T vb, 
-			 Context_iterator& ctxt, 
-			 Context_iterator& past) const;
+  bool      get_contexts(T va, T vb,
+                         Context_iterator& ctxt,
+                         Context_iterator& past) const;
 
   bool      get_contexts(T va, T vb, Context_list*&) const;
 
@@ -352,8 +352,8 @@ copy(const Polyline_constraint_hierarchy
       ctxt2.pos = ctxt2.enclosing->skip_begin();
       Vertex_it aux = cit1->enclosing->skip_begin();
       while( aux != cit1->pos) {
-	++aux;
-	++ctxt2.pos;
+        ++aux;
+        ++ctxt2.pos;
       }
       hcl2->push_back(ctxt2);
     }
@@ -440,8 +440,8 @@ enclosing_constraints(T vaa, T vbb , Con
   Context_iterator hcit, past;
   if ( !get_contexts(vaa,vbb, hcit ,past)) return false;
   for (; hcit!=past; hcit++) {
-    hcl.push_back(make_edge(hcit->enclosing->front(), 
-			    hcit->enclosing->back())); 
+    hcl.push_back(make_edge(hcit->enclosing->front(),
+                            hcit->enclosing->back()));
   }
   return true;
 }
@@ -457,7 +457,7 @@ context(T va, T vb)
 }
 
 template <class T, class Compare, class Data>
-std::size_t 
+std::size_t
 Polyline_constraint_hierarchy_2<T,Compare,Data>::
 number_of_enclosing_constraints(T va, T vb) const
 {
@@ -481,19 +481,19 @@ template <class T, class Compare, class
 typename Polyline_constraint_hierarchy_2<T,Compare,Data>::Context_iterator
 Polyline_constraint_hierarchy_2<T,Compare,Data>::
 contexts_end(T va, T vb) const
-{   
+{
    Context_iterator first, last;
    if( !get_contexts(va,vb,first,last))  CGAL_triangulation_assertion(false);
    return last;
-} 
+}
 
 template <class T, class Compare, class Data>
 void
 Polyline_constraint_hierarchy_2<T,Compare,Data>::
 swap(Constraint_id first, Constraint_id second){
     // We have to look at all subconstraints
-  for(Vertex_it it = first.vl_ptr()->skip_begin(), succ = it, end = first.vl_ptr()->skip_end(); 
-      ++succ != end; 
+  for(Vertex_it it = first.vl_ptr()->skip_begin(), succ = it, end = first.vl_ptr()->skip_end();
+      ++succ != end;
       ++it){
     typename Sc_to_c_map::iterator scit = sc_to_c_map.find(make_edge(*it,*succ));
     CGAL_triangulation_assertion(scit != sc_to_c_map.end());
@@ -502,14 +502,14 @@ swap(Constraint_id first, Constraint_id
     // and replace the context of the constraint
     for(Context_iterator ctit=hcl->begin(); ctit != hcl->end(); ctit++) {
       if(ctit->enclosing == first.vl_ptr()){
-	ctit->enclosing = 0;
-	break;
+        ctit->enclosing = 0;
+        break;
       }
     }
   }
     // We have to look at all subconstraints
-  for(Vertex_it it = second.vl_ptr()->skip_begin(), succ = it, end = second.vl_ptr()->skip_end(); 
-      ++succ != end; 
+  for(Vertex_it it = second.vl_ptr()->skip_begin(), succ = it, end = second.vl_ptr()->skip_end();
+      ++succ != end;
       ++it){
     typename Sc_to_c_map::iterator scit = sc_to_c_map.find(make_edge(*it,*succ));
     CGAL_triangulation_assertion(scit != sc_to_c_map.end());
@@ -518,14 +518,14 @@ swap(Constraint_id first, Constraint_id
     // and replace the context of the constraint
     for(Context_iterator ctit=hcl->begin(); ctit != hcl->end(); ctit++) {
       if(ctit->enclosing == second.vl_ptr()){
-	ctit->enclosing = first.vl_ptr();
-	break;
+        ctit->enclosing = first.vl_ptr();
+        break;
       }
     }
-  }   
+  }
   // We have to look at all subconstraints
-  for(Vertex_it it = first.vl_ptr()->skip_begin(), succ = it, end = first.vl_ptr()->skip_end(); 
-      ++succ != end; 
+  for(Vertex_it it = first.vl_ptr()->skip_begin(), succ = it, end = first.vl_ptr()->skip_end();
+      ++succ != end;
       ++it){
     typename Sc_to_c_map::iterator scit = sc_to_c_map.find(make_edge(*it,*succ));
     CGAL_triangulation_assertion(scit != sc_to_c_map.end());
@@ -534,8 +534,8 @@ swap(Constraint_id first, Constraint_id
     // and replace the context of the constraint
     for(Context_iterator ctit=hcl->begin(); ctit != hcl->end(); ctit++) {
       if(ctit->enclosing == 0){
-	ctit->enclosing = second.vl_ptr();
-	break;
+        ctit->enclosing = second.vl_ptr();
+        break;
       }
     }
   }
@@ -548,10 +548,10 @@ void
 Polyline_constraint_hierarchy_2<T,Compare,Data>::
 remove_constraint(Constraint_id cid){
   constraint_set.erase(cid);
-  
+
   // We have to look at all subconstraints
-  for(Vertex_it it = cid.vl_ptr()->skip_begin(), succ = it, end = cid.vl_ptr()->skip_end(); 
-      ++succ != end; 
+  for(Vertex_it it = cid.vl_ptr()->skip_begin(), succ = it, end = cid.vl_ptr()->skip_end();
+      ++succ != end;
       ++it){
     typename Sc_to_c_map::iterator scit = sc_to_c_map.find(make_edge(*it,*succ));
     CGAL_triangulation_assertion(scit != sc_to_c_map.end());
@@ -560,8 +560,8 @@ remove_constraint(Constraint_id cid){
     // and remove the context of the constraint
     for(Context_iterator ctit=hcl->begin(); ctit != hcl->end(); ctit++) {
       if(ctit->enclosing == cid.vl_ptr()){
-	    hcl->erase(ctit);
-		break;
+            hcl->erase(ctit);
+                break;
       }
     }
     // If the constraint passes several times through the same subconstraint,
@@ -608,12 +608,12 @@ void Polyline_constraint_hierarchy_2<T,C
   CGAL_assertion_msg( vw_sc_iter != sc_to_c_map.end(), "not a subconstraint" );
   Context_list*  vw_hcl = vw_sc_iter->second;
     CGAL_assertion_msg((u == w) || (vw_hcl->size() == 1), "more than one constraint passing through the subconstraint" );
- 
+
   Vertex_list* vertex_list = uv_hcl->front().id().vl_ptr();
   CGAL_assertion_msg(vertex_list  == vw_hcl->front().id().vl_ptr(), "subconstraints from different polyline constraints" );
   // Remove the list item which points to v
   vertex_list->skip(vc.base());
-  
+
   if(u != w){
     // Remove the entries for [u,v] and [v,w]
     sc_to_c_map.erase(uv_sc_iter);
@@ -633,8 +633,8 @@ std::size_t
 Polyline_constraint_hierarchy_2<T,Compare,Data>::remove_points_without_corresponding_vertex(Constraint_id cid)
 {
   std::size_t n = 0;
-  for(Point_it it = points_in_constraint_begin(cid); 
-      it != points_in_constraint_end(cid); ++it) { 
+  for(Point_it it = points_in_constraint_begin(cid);
+      it != points_in_constraint_end(cid); ++it) {
     if(cid.vl_ptr()->is_skipped(it.base())) {
       it = cid.vl_ptr()->erase(it.base());
       ++n;
@@ -662,8 +662,8 @@ Polyline_constraint_hierarchy_2<T,Compar
   constraint_set.erase(first);
   constraint_set.erase(second);
   // We have to look at all subconstraints
-  for(Vertex_it it = second.vl_ptr()->skip_begin(), succ = it, end = second.vl_ptr()->skip_end(); 
-      ++succ != end; 
+  for(Vertex_it it = second.vl_ptr()->skip_begin(), succ = it, end = second.vl_ptr()->skip_end();
+      ++succ != end;
       ++it){
     typename Sc_to_c_map::iterator scit = sc_to_c_map.find(make_edge(*it,*succ));
     CGAL_triangulation_assertion(scit != sc_to_c_map.end());
@@ -672,8 +672,8 @@ Polyline_constraint_hierarchy_2<T,Compar
     // and replace the context of the constraint
     for(Context_iterator ctit=hcl->begin(); ctit != hcl->end(); ctit++) {
       if(ctit->enclosing == second.vl_ptr()){
-	ctit->enclosing = first.vl_ptr();
-	break;
+        ctit->enclosing = first.vl_ptr();
+        break;
       }
     }
   }
@@ -687,8 +687,8 @@ Polyline_constraint_hierarchy_2<T,Compar
 
   // Note that for VC8 with iterator debugging the iterators pointing into second
   // are NOT valid      So we have to update them
-  for(Vertex_it it = back_it, succ = it, end = first.vl_ptr()->skip_end(); 
-      ++succ != end; 
+  for(Vertex_it it = back_it, succ = it, end = first.vl_ptr()->skip_end();
+      ++succ != end;
       ++it){
     typename Sc_to_c_map::iterator scit = sc_to_c_map.find(make_edge(*it,*succ));
     CGAL_triangulation_assertion(scit != sc_to_c_map.end());
@@ -697,8 +697,8 @@ Polyline_constraint_hierarchy_2<T,Compar
     // and update pos in the context of the constraint
     for(Context_iterator ctit=hcl->begin(); ctit != hcl->end(); ctit++) {
       if(ctit->enclosing == first.vl_ptr()){
-	ctit->pos = it;
-	break;
+        ctit->pos = it;
+        break;
       }
     }
     }
@@ -711,12 +711,12 @@ Polyline_constraint_hierarchy_2<T,Compar
 template <class T, class Compare, class Data>
 typename Polyline_constraint_hierarchy_2<T,Compare,Data>::Constraint_id
 Polyline_constraint_hierarchy_2<T,Compare,Data>::concatenate2(Constraint_id first, Constraint_id second)
-{  
+{
   constraint_set.erase(first);
   constraint_set.erase(second);
   // We have to look at all subconstraints
-  for(Vertex_it it = first.vl_ptr()->skip_begin(), succ = it, end = first.vl_ptr()->skip_end(); 
-      ++succ != end; 
+  for(Vertex_it it = first.vl_ptr()->skip_begin(), succ = it, end = first.vl_ptr()->skip_end();
+      ++succ != end;
       ++it){
     typename Sc_to_c_map::iterator scit = sc_to_c_map.find(make_edge(*it,*succ));
     CGAL_triangulation_assertion(scit != sc_to_c_map.end());
@@ -725,8 +725,8 @@ Polyline_constraint_hierarchy_2<T,Compar
     // and replace the context of the constraint
     for(Context_iterator ctit=hcl->begin(); ctit != hcl->end(); ctit++) {
       if(ctit->enclosing == first.vl_ptr()){
-	ctit->enclosing = second.vl_ptr();
-	break;
+        ctit->enclosing = second.vl_ptr();
+        break;
       }
     }
   }
@@ -739,8 +739,8 @@ Polyline_constraint_hierarchy_2<T,Compar
 
   // Note that for VC8 with iterator debugging the iterators pointing into second
   // are NOT valid      So we have to update them
-  for(Vertex_it it = second.vl_ptr()->skip_begin(), succ = it, end = back_it; 
-      ++succ != end; 
+  for(Vertex_it it = second.vl_ptr()->skip_begin(), succ = it, end = back_it;
+      ++succ != end;
       ++it){
     typename Sc_to_c_map::iterator scit = sc_to_c_map.find(make_edge(*it,*succ));
     CGAL_triangulation_assertion(scit != sc_to_c_map.end());
@@ -749,8 +749,8 @@ Polyline_constraint_hierarchy_2<T,Compar
     // and update pos in the context of the constraint
     for(Context_iterator ctit=hcl->begin(); ctit != hcl->end(); ctit++) {
       if(ctit->enclosing == second.vl_ptr()){
-	ctit->pos = it;
-	break;
+        ctit->pos = it;
+        break;
       }
     }
   }
@@ -763,7 +763,7 @@ Polyline_constraint_hierarchy_2<T,Compar
 
   // split a constraint in two constraints, so that vcit becomes the first
   // vertex of the new constraint
-  // returns the new constraint 
+  // returns the new constraint
 template <class T, class Compare, class Data>
 typename Polyline_constraint_hierarchy_2<T,Compare,Data>::Constraint_id
 Polyline_constraint_hierarchy_2<T,Compare,Data>::split(Constraint_id first, Vertex_it vcit)
@@ -780,8 +780,8 @@ Polyline_constraint_hierarchy_2<T,Compar
   constraint_set.insert(first);
   constraint_set.insert(second);
  // We have to look at all subconstraints
-  for(Vertex_it it = second->skip_begin(), succ = it, end = second->skip_end(); 
-      ++succ != end; 
+  for(Vertex_it it = second->skip_begin(), succ = it, end = second->skip_end();
+      ++succ != end;
       ++it){
     typename Sc_to_c_map::iterator scit = sc_to_c_map.find(make_edge(*it,*succ));
     CGAL_triangulation_assertion(scit != sc_to_c_map.end());
@@ -790,8 +790,8 @@ Polyline_constraint_hierarchy_2<T,Compar
     // and replace the context of the constraint
     for(Context_iterator ctit=hcl->begin(); ctit != hcl->end(); ctit++) {
       if(ctit->enclosing == first.vl_ptr()){
-	ctit->enclosing = second;
-	break;
+        ctit->enclosing = second;
+        break;
       }
     }
   }
@@ -814,8 +814,8 @@ Polyline_constraint_hierarchy_2<T,Compar
   constraint_set.insert(first);
   constraint_set.insert(second);
  // We have to look at all subconstraints
-  for(Vertex_it it = second->skip_begin(), succ = it, end = second->skip_end(); 
-      ++succ != end; 
+  for(Vertex_it it = second->skip_begin(), succ = it, end = second->skip_end();
+      ++succ != end;
       ++it){
     typename Sc_to_c_map::iterator scit = sc_to_c_map.find(make_edge(*it,*succ));
     CGAL_triangulation_assertion(scit != sc_to_c_map.end());
@@ -824,8 +824,8 @@ Polyline_constraint_hierarchy_2<T,Compar
     // and replace the context of the constraint
     for(Context_iterator ctit=hcl->begin(); ctit != hcl->end(); ctit++) {
       if(ctit->enclosing == first.vl_ptr()){
-	ctit->enclosing = second;
-	break;
+        ctit->enclosing = second;
+        break;
       }
     }
   }
@@ -842,7 +842,7 @@ typename Polyline_constraint_hierarchy_2
 Polyline_constraint_hierarchy_2<T,Compare,Data>::
 insert_constraint(T va, T vb){
   Edge        he = make_edge(va, vb);
-  Vertex_list*  children = new Vertex_list; 
+  Vertex_list*  children = new Vertex_list;
   Context_list* fathers;
 
   typename Sc_to_c_map::iterator scit = sc_to_c_map.find(he);
@@ -864,14 +864,14 @@ insert_constraint(T va, T vb){
   return children;
 }
 
-  
+
 template <class T, class Compare, class Data>
 typename Polyline_constraint_hierarchy_2<T,Compare,Data>::Vertex_list*
 Polyline_constraint_hierarchy_2<T,Compare,Data>::
 insert_constraint_old_API(T va, T vb){
   Edge        he = make_edge(va, vb);
 
-  Vertex_list*  children = new Vertex_list; 
+  Vertex_list*  children = new Vertex_list;
   Context_list* fathers;
 
   typename Sc_to_c_map::iterator scit = sc_to_c_map.find(he);
@@ -975,7 +975,7 @@ remove_Steiner(T v, T va, T vb)
 {
   // remove a Steiner point
   CGAL_precondition(!is_constrained_vertex(v));
- 
+
   Context_list*  hcl1;
   Context_list*  hcl2;
   if(!get_contexts(va,v,hcl1)) CGAL_triangulation_assertion(false);
@@ -999,7 +999,7 @@ remove_Steiner(T v, T va, T vb)
 
 /*
   same as add_Steiner
-  precondition : va,vb est une souscontrainte. 
+  precondition : va,vb est une souscontrainte.
 */
 template <class T, class Compare, class Data>
 void Polyline_constraint_hierarchy_2<T,Compare,Data>::
@@ -1009,7 +1009,7 @@ split_constraint(T va, T vb, T vc){
 
 
 template <class T, class Compare, class Data>
-void 
+void
 Polyline_constraint_hierarchy_2<T,Compare,Data>::
 add_Steiner(T va, T vb, T vc){
   Context_list* hcl=nullptr;
@@ -1025,11 +1025,11 @@ add_Steiner(T va, T vb, T vc){
     ++pos;
     pos = ctit->enclosing->insert(pos.base(), Node(vc));
     --pos;
-    
+
     // set ctxt to the context of (vc,vb)
     // change *ctit in hcl to the context of (va,vc)
     // add ctxt to hcl2 list
-    ctxt.enclosing = ctit->enclosing;  
+    ctxt.enclosing = ctit->enclosing;
     if(*pos == va) {
       ctit->pos = pos;
       ctxt.pos = ++pos;
@@ -1054,8 +1054,8 @@ add_Steiner(T va, T vb, T vc){
     delete hcl2;
   }
   else  sc_to_c_map.insert(std::make_pair(make_edge(vc,vb), hcl2));
-    
-  
+
+
   sc_to_c_map.erase(make_edge(va,vb));
   return;
 }
@@ -1086,15 +1086,15 @@ template <class T, class Compare, class
 inline
 bool
 Polyline_constraint_hierarchy_2<T,Compare,Data>::
-get_contexts(T va, T vb, 
-	     Context_iterator& ctxt, 
-	     Context_iterator& past) const
+get_contexts(T va, T vb,
+             Context_iterator& ctxt,
+             Context_iterator& past) const
 {
   Context_list* hcl;
   if (!get_contexts(va,vb,hcl)) return false;
   ctxt = hcl->begin();
   past = hcl->end();
-  return true;    
+  return true;
 }
 
 
@@ -1127,7 +1127,7 @@ template <class T, class Compare, class
 void
 Polyline_constraint_hierarchy_2<T,Compare,Data>::
 print() const
-{ 
+{
   C_iterator hcit;
   std::map<T,int>  vertex_num;
   int num = 0;
@@ -1143,7 +1143,7 @@ print() const
 //  for(; vnit != vertex_num.end(); vnit++) {
 //    vnit->second = ++num;
 //    std::cerr << "vertex num " << num  << " " << vnit->first->point()
-//	      << std::endl;
+//              << std::endl;
 //  }
 
   C_iterator cit=c_begin();
@@ -1166,19 +1166,19 @@ print() const
   std::cout << std::endl ;
   for(;scit != sc_end(); scit++){
     std::cout << "subconstraint " ;
-    std::cout << vertex_num[scit->first.first] << " " 
-	      << vertex_num[scit->first.second];
+    std::cout << vertex_num[scit->first.first] << " "
+              << vertex_num[scit->first.second];
     Context_iterator cb, ce;
     get_contexts(scit->first.first, scit->first.second, cb, ce);
-    
+
     std::cout << "  enclosing " ;
-    for(; cb != ce; cb++) { 
+    for(; cb != ce; cb++) {
       std::cout << cb->id().vl_ptr();
       std::cout <<  "   " ;
     }
     std::cout << std::endl ;
   }
-  return; 
+  return;
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Triangulation_2/internal/Triangulation_2_filtered_projection_traits_3.h 5.0.3-1/include/CGAL/Triangulation_2/internal/Triangulation_2_filtered_projection_traits_3.h
--- 5.0.2-3/include/CGAL/Triangulation_2/internal/Triangulation_2_filtered_projection_traits_3.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_2/internal/Triangulation_2_filtered_projection_traits_3.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_2/internal/Triangulation_2_filtered_projection_traits_3.h $
-// $Id: Triangulation_2_filtered_projection_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_2/internal/Triangulation_2_filtered_projection_traits_3.h $
+// $Id: Triangulation_2_filtered_projection_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent Rineau
 
@@ -62,17 +62,17 @@ public:
                                                side_of_oriented_circle_2_object,
                                                normal)
   CGAL_TRIANGULATION_2_PROJ_TRAITS_FILTER_PRED(Less_x_2,
-					       less_x_2_object,
-					       base1)
+                                               less_x_2_object,
+                                               base1)
   CGAL_TRIANGULATION_2_PROJ_TRAITS_FILTER_PRED(Less_y_2,
-					       less_y_2_object,
-					       base2)
+                                               less_y_2_object,
+                                               base2)
   CGAL_TRIANGULATION_2_PROJ_TRAITS_FILTER_PRED(Compare_x_2,
-					       compare_x_2_object,
-					       base1)
+                                               compare_x_2_object,
+                                               base1)
   CGAL_TRIANGULATION_2_PROJ_TRAITS_FILTER_PRED(Compare_y_2,
-					       compare_y_2_object,
-					       base2)
+                                               compare_y_2_object,
+                                               base2)
 }; // end class Triangulation_2_projection_traits_base_3<Filtered_kernel>
 
 } // end namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Triangulation_2/internal/Triangulation_2_projection_traits_base_3.h 5.0.3-1/include/CGAL/Triangulation_2/internal/Triangulation_2_projection_traits_base_3.h
--- 5.0.2-3/include/CGAL/Triangulation_2/internal/Triangulation_2_projection_traits_base_3.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_2/internal/Triangulation_2_projection_traits_base_3.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_2/internal/Triangulation_2_projection_traits_base_3.h $
-// $Id: Triangulation_2_projection_traits_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_2/internal/Triangulation_2_projection_traits_base_3.h $
+// $Id: Triangulation_2_projection_traits_base_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -47,8 +47,8 @@ public:
   }
 
   Orientation operator()(const Point& p,
-			 const Point& q,
-			 const Point& r) const
+                         const Point& q,
+                         const Point& r) const
   {
     CGAL_PROFILER("Projected_orientation_with_normal_3::operator()");
     CGAL_TIME_PROFILER("Projected_orientation_with_normal_3::operator()");
@@ -82,9 +82,9 @@ public:
   }
 
   Oriented_side operator()(const Point& p,
-			   const Point& q,
-			   const Point& r,
-			   const Point& t) const
+                           const Point& q,
+                           const Point& r,
+                           const Point& t) const
   {
     CGAL_PROFILER("Projected_side_of_oriented_circle_with_normal_3::operator()")
     CGAL_TIME_PROFILER("Projected_side_of_oriented_circle_with_normal_3::operator()")
@@ -104,10 +104,10 @@ public:
     const FT k_r = tr * u;
 
     return sign_of_determinant<FT>(
-	tp.x(), tp.y(), tp.z(), (tp2 + k_p) * u2 - k_p * k_p,
-	tr.x(), tr.y(), tr.z(), (tr2 + k_r) * u2 - k_r * k_r,
-	tq.x(), tq.y(), tq.z(), (tq2 + k_q) * u2 - k_q * k_q,
-	 u.x(),  u.y(),  u.z(), u2 * u2);
+        tp.x(), tp.y(), tp.z(), (tp2 + k_p) * u2 - k_p * k_p,
+        tr.x(), tr.y(), tr.z(), (tr2 + k_r) * u2 - k_r * k_r,
+        tq.x(), tq.y(), tq.z(), (tq2 + k_q) * u2 - k_q * k_q,
+         u.x(),  u.y(),  u.z(), u2 * u2);
     // Note that q and r have been swapped in the determinant above, to
     // inverse its sign.
   }
diff -pruN 5.0.2-3/include/CGAL/Triangulation_2/internal/Triangulation_line_face_circulator_2.h 5.0.3-1/include/CGAL/Triangulation_2/internal/Triangulation_line_face_circulator_2.h
--- 5.0.2-3/include/CGAL/Triangulation_2/internal/Triangulation_line_face_circulator_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_2/internal/Triangulation_line_face_circulator_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_2/internal/Triangulation_line_face_circulator_2.h $
-// $Id: Triangulation_line_face_circulator_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_2/internal/Triangulation_line_face_circulator_2.h $
+// $Id: Triangulation_line_face_circulator_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec
 
@@ -27,7 +27,7 @@ namespace CGAL {
 template <class Triangulation_ > //  < class Gt, class Tds >
 class Triangulation_line_face_circulator_2
   :   public Bidirectional_circulator_base< typename Triangulation_::Triangulation_data_structure::Face,
-	                                    std::ptrdiff_t,
+                                            std::ptrdiff_t,
                                             std::size_t>,
       public Triangulation_cw_ccw_2
 {
@@ -43,40 +43,40 @@ public:
   typedef typename Tds::Vertex_handle          Vertex_handle;
   typedef typename Tds::Face_handle            Face_handle;
   typedef typename Tds::Face_circulator        Face_circulator;
-  
+
   typedef typename Triangulation::Point       Point;
   typedef typename Triangulation::Locate_type Locate_type;
 
    enum State {undefined = -1,
-	       vertex_vertex,
-	       vertex_edge,
-	       edge_vertex,
-	       edge_edge};
-            
+               vertex_vertex,
+               vertex_edge,
+               edge_vertex,
+               edge_edge};
+
 private:
   Face_handle pos;
   const Triangulation* _tr;
   State s;
   int i;
   Point p, q;
-            
+
 public:
   Triangulation_line_face_circulator_2()
     : pos(), _tr(nullptr), s(undefined), i(-1)
     {}
-            
+
   Triangulation_line_face_circulator_2(Vertex_handle v,
-				       const Triangulation* tr,
-				       const Point& dir);
+                                       const Triangulation* tr,
+                                       const Point& dir);
 
   Triangulation_line_face_circulator_2(const Point& pp,
-				       const Point& qq,
-				       const Triangulation * t);
-           
+                                       const Point& qq,
+                                       const Triangulation * t);
+
   Triangulation_line_face_circulator_2(const Point& pp,
-				       const Point& qq,
-				       const Face_handle& ff,
-				       const Triangulation* t); 
+                                       const Point& qq,
+                                       const Face_handle& ff,
+                                       const Triangulation* t);
 
   Line_face_circulator&   operator++() ;
   Line_face_circulator&   operator--() ;
@@ -100,11 +100,11 @@ public:
 
   //private:
   Triangulation_line_face_circulator_2(const Face_handle& face,
-				       int index,
-				       State state,
-				       const Triangulation * t,
-				       const Point& pp,
-				       const Point& qq);
+                                       int index,
+                                       State state,
+                                       const Triangulation * t,
+                                       const Point& pp,
+                                       const Point& qq);
 private:
   void increment();
   void decrement();
@@ -113,8 +113,8 @@ private:
 template < class Triangulation >
 inline
 bool
-operator==(typename Triangulation::Triangulation_data_structure::Face_handle fh, 
-	   Triangulation_line_face_circulator_2<Triangulation> fc)
+operator==(typename Triangulation::Triangulation_data_structure::Face_handle fh,
+           Triangulation_line_face_circulator_2<Triangulation> fc)
 {
   return (fc==fh);
 }
@@ -122,8 +122,8 @@ operator==(typename Triangulation::Trian
 template < class Triangulation >
 inline
 bool
-operator!=(typename Triangulation::Triangulation_data_structure::Face_handle fh, 
-	   Triangulation_line_face_circulator_2<Triangulation> fc)
+operator!=(typename Triangulation::Triangulation_data_structure::Face_handle fh,
+           Triangulation_line_face_circulator_2<Triangulation> fc)
 {
   return (fc!=fh);
 }
@@ -131,13 +131,13 @@ operator!=(typename Triangulation::Trian
 template < class Triangulation >
 Triangulation_line_face_circulator_2<Triangulation>::
 Triangulation_line_face_circulator_2(const Face_handle& face,
-				     int index,
-				     State state,
-				     const Triangulation * t,
-				     const Point& pp,
-				     const Point& qq)
-    : pos(face), _tr(t), s(state), i(index),  
-      p(pp), q(qq)            
+                                     int index,
+                                     State state,
+                                     const Triangulation * t,
+                                     const Point& pp,
+                                     const Point& qq)
+    : pos(face), _tr(t), s(state), i(index),
+      p(pp), q(qq)
 {
   CGAL_triangulation_precondition(! t->xy_equal(p, q));
 }
@@ -146,16 +146,16 @@ Triangulation_line_face_circulator_2(con
 template < class Triangulation >
 Triangulation_line_face_circulator_2<Triangulation>::
 Triangulation_line_face_circulator_2(Vertex_handle v,
-				     const Triangulation* tr,
-				     const Point& dir)
+                                     const Triangulation* tr,
+                                     const Point& dir)
   :pos(), _tr(tr), s(undefined)
   // begin at the face incident to v, traversed by the ray from v to
-  // dir 
+  // dir
   // or null iterator
 {
   CGAL_triangulation_precondition((!_tr->is_infinite(v)) &&
-			       (_tr->dimension() == 2)  &&
-			       (! _tr->xy_equal(v->point(),dir)));
+                               (_tr->dimension() == 2)  &&
+                               (! _tr->xy_equal(v->point(),dir)));
   p=v->point();
   q=dir;
 
@@ -165,31 +165,31 @@ Triangulation_line_face_circulator_2(Ver
   Face_circulator done(fc);
   int ic = fc->index(v);
   Vertex_handle  vt= fc->vertex(cw(ic));
-   while( _tr->is_infinite(vt) || 
-	  _tr->orientation(p, q, vt->point()) != LEFT_TURN) {
+   while( _tr->is_infinite(vt) ||
+          _tr->orientation(p, q, vt->point()) != LEFT_TURN) {
     ++fc;
     ic = fc->index(v);
     vt= fc->vertex(cw(ic));
     if (fc == done) { _tr=nullptr; return;}
   }
-  
+
   // now vt is finite and to the left of pq
   Vertex_handle vr = fc-> vertex(ccw(ic));
   Orientation pqr = RIGHT_TURN; // warning "pqr might be used uninitialized"
   while ( (!_tr->is_infinite(vr)) &&
-	  (pqr = _tr->orientation(p, q, vr->point()))== LEFT_TURN ) {
+          (pqr = _tr->orientation(p, q, vr->point()))== LEFT_TURN ) {
     --fc;
     ic = fc->index(v);
     vr = fc-> vertex(ccw(ic));
   }
 
-  // vr can be infinite or finite. 
+  // vr can be infinite or finite.
   // If finite [pqr] is COLLINEAR or RIGHT_TURN
   // reset vt and conclude.  vt is still finite and [pqt] still LEFT_TURN
   ic = fc->index(v);
   vt= fc->vertex(cw(ic));
   CGAL_triangulation_assertion (_tr->orientation(p,q, vt->point())==
-				LEFT_TURN );
+                                LEFT_TURN );
   if (_tr->is_infinite(vr)) {
     --fc;
     ic = fc->index(v);
@@ -214,22 +214,22 @@ Triangulation_line_face_circulator_2(Ver
     s = vertex_vertex;
     i = ccw(ic);
    }
-  else { // pqr==RIGHT_TURN 
+  else { // pqr==RIGHT_TURN
     pos = fc;
     s = vertex_edge;
     i = ic ;
   }
   return;
 }
-  
+
 
 
 
 template < class Triangulation >
 Triangulation_line_face_circulator_2<Triangulation>::
 Triangulation_line_face_circulator_2(const Point& pp,
-				     const Point& qq,
-				     const Triangulation * t)
+                                     const Point& qq,
+                                     const Triangulation * t)
      : pos(), _tr(t), s(undefined), p(pp), q(qq)
   //begins at the  first finite face traversed be the oriented line pq
 {
@@ -242,12 +242,12 @@ Triangulation_line_face_circulator_2(con
   Point r = fc->vertex(ccw(i))->point();
   Orientation pql = _tr->orientation(p, q, l);
   Orientation pqr = _tr->orientation(p, q, r);
-            
+
    do{
     if( (pql == LEFT_TURN) && (pqr == RIGHT_TURN) ){
       *this = ++Line_face_circulator( fc, i, vertex_edge, t, p, q);
            return;
-    } 
+    }
     else if ( (pql == LEFT_TURN) && (pqr == COLLINEAR) ){
       --fc;
       i = fc->index(inf);
@@ -258,36 +258,36 @@ Triangulation_line_face_circulator_2(con
       switch(pqs) {
       case LEFT_TURN:
         pos = Face_handle();
-	return;
+        return;
       case COLLINEAR:
-	fn = fc->neighbor(i);
-	in = fn->index(fc);
-	*this = Line_face_circulator( fn, cw(in),vertex_vertex,t,p,q);
-	return;
+        fn = fc->neighbor(i);
+        in = fn->index(fc);
+        *this = Line_face_circulator( fn, cw(in),vertex_vertex,t,p,q);
+        return;
       case RIGHT_TURN:
-	fn = fc->neighbor(i);
-	Vertex_handle vr = fc->vertex(cw(i)); // vertex corresponding to r
-	in = fn->index(vr);
-	ss = fn->vertex(cw(in))->point();
-	pqs = _tr->orientation(p, q, ss);
-	Orientation pqss = RIGHT_TURN;
-	while ( pqs != LEFT_TURN) {
-	  pqss = pqs;
-	  fn = fn->neighbor(ccw(in));
-	  in = fn->index(vr);
-	  ss = fn->vertex(cw(in))->point();
-	  pqs = _tr->orientation(p, q, ss);
-	}
-	if (pqss == RIGHT_TURN)
-	  *this = Line_face_circulator( fn, in ,vertex_edge,t,p,q);
-	else // pqss = COLLINEAR
-	  *this = Line_face_circulator(fn,ccw(in),vertex_vertex,t,p,q);
-	return;
+        fn = fc->neighbor(i);
+        Vertex_handle vr = fc->vertex(cw(i)); // vertex corresponding to r
+        in = fn->index(vr);
+        ss = fn->vertex(cw(in))->point();
+        pqs = _tr->orientation(p, q, ss);
+        Orientation pqss = RIGHT_TURN;
+        while ( pqs != LEFT_TURN) {
+          pqss = pqs;
+          fn = fn->neighbor(ccw(in));
+          in = fn->index(vr);
+          ss = fn->vertex(cw(in))->point();
+          pqs = _tr->orientation(p, q, ss);
+        }
+        if (pqss == RIGHT_TURN)
+          *this = Line_face_circulator( fn, in ,vertex_edge,t,p,q);
+        else // pqss = COLLINEAR
+          *this = Line_face_circulator(fn,ccw(in),vertex_vertex,t,p,q);
+        return;
       }
     }
 
     // going CCW around convex hull is CW around infinite vertex
-    --fc; 
+    --fc;
     l = r;
     pql = pqr;
     i = fc->index(inf);
@@ -305,9 +305,9 @@ Triangulation_line_face_circulator_2(con
 template < class Triangulation >
 Triangulation_line_face_circulator_2<Triangulation>::
 Triangulation_line_face_circulator_2(const Point& pp,
-				     const Point& qq,
-				     const Face_handle& ff,
-				     const Triangulation* t)
+                                     const Point& qq,
+                                     const Face_handle& ff,
+                                     const Triangulation* t)
   : pos(ff), _tr(t), s(undefined), p(pp), q(qq)
   // precondition : face ff contain p
   // the walk  begins at face ff if ff is a finite face traversed by the
@@ -315,11 +315,11 @@ Triangulation_line_face_circulator_2(con
   // if ff is finite but not traversed by the circulator
   // (this happens when p is a vertex of ff or on an edge) :
   // the circulator may be empty, or the walk begins at a finite face
-  // incident to p 
+  // incident to p
   // if ff is infinite, the walk begin at the first finite face traversed
 {
   CGAL_triangulation_precondition(_tr->is_infinite(ff) ||
-			      _tr->oriented_side(ff,p) != ON_NEGATIVE_SIDE);
+                              _tr->oriented_side(ff,p) != ON_NEGATIVE_SIDE);
   int j;
   if(_tr->is_infinite(pos)){
     *this  = Line_face_circulator(p, q, t);
@@ -334,54 +334,54 @@ Triangulation_line_face_circulator_2(con
       return;
     }
   }
-            
+
   // Test whether p lies on an edge
   for(j = 0; j < 3; j++) {
     if(_tr->orientation(pos->vertex(ccw(j))->point(),
-			pos->vertex(cw(j))->point(),
-			p) == COLLINEAR){
+                        pos->vertex(cw(j))->point(),
+                        p) == COLLINEAR){
       Orientation pqj =
-	_tr->orientation(p, q, pos->vertex(j)->point());
+        _tr->orientation(p, q, pos->vertex(j)->point());
       Orientation pqcwj =
-	_tr->orientation(p, q, pos->vertex(cw(j))->point());
+        _tr->orientation(p, q, pos->vertex(cw(j))->point());
       switch(pqcwj) {
       case COLLINEAR :
-	if(pqj == LEFT_TURN){
-	  s = vertex_vertex;
-	  i = cw(j);
-	  return;
-	} 
-	else if(! _tr->is_infinite(pos->neighbor(j))){
-	  Face_handle n = pos->neighbor(j);
-	  i = cw(n->index(pos)); 
-	  pos = n;
-	  s = vertex_vertex;
-	  return;
-	} else {
+        if(pqj == LEFT_TURN){
+          s = vertex_vertex;
+          i = cw(j);
+          return;
+        }
+        else if(! _tr->is_infinite(pos->neighbor(j))){
+          Face_handle n = pos->neighbor(j);
+          i = cw(n->index(pos));
+          pos = n;
+          s = vertex_vertex;
+          return;
+        } else {
            // singular value
           pos=Face_handle();
-	  return;
-	}
+          return;
+        }
       case LEFT_TURN :
-	i = j;
-	s = (pqj == COLLINEAR) ? vertex_edge :  
-	  edge_edge;
-	break;
+        i = j;
+        s = (pqj == COLLINEAR) ? vertex_edge :
+          edge_edge;
+        break;
       case RIGHT_TURN :
-	switch(pqj){
-	case COLLINEAR:
-	  s = edge_vertex;
-	  i = j;
-	  return;
-	case LEFT_TURN:
-	  s = edge_edge;
-	  i = ccw(j);
-	  return;
-	case RIGHT_TURN:
-	  s = edge_edge;
-	  i = cw(j);
-	  return;
-	}
+        switch(pqj){
+        case COLLINEAR:
+          s = edge_vertex;
+          i = j;
+          return;
+        case LEFT_TURN:
+          s = edge_edge;
+          i = ccw(j);
+          return;
+        case RIGHT_TURN:
+          s = edge_edge;
+          i = cw(j);
+          return;
+        }
       }
     }
   }
@@ -395,8 +395,8 @@ Triangulation_line_face_circulator_2(con
   for(j=0; j<3; j++) {
     if(orient[j] == COLLINEAR) {
       i = j;
-      s = (orient[ccw(j)] == LEFT_TURN) ? edge_vertex : 
-	vertex_edge;
+      s = (orient[ccw(j)] == LEFT_TURN) ? edge_vertex :
+        vertex_edge;
       return;
     }
   }
@@ -424,22 +424,22 @@ increment()
       i = n->index(pos);
       pos = n;
       if (pos->vertex(i) == _tr->infinite_vertex()){
-	o = COLLINEAR;
-	i = cw(i);
-	break;
+        o = COLLINEAR;
+        i = cw(i);
+        break;
       }
       o = _tr->orientation(p, q, pos->vertex(i)->point());
       i = cw(i);
     }while(o == LEFT_TURN);
-            
+
     if(o == COLLINEAR) {
       s = vertex_vertex;
       i = ccw(i);
-    } 
+    }
     else {
       s = vertex_edge;
     }
-  } 
+  }
   else {
     Face_handle n = pos->neighbor(i);
     int ni = n->index(pos);
@@ -447,7 +447,7 @@ increment()
     Orientation o = _tr->is_infinite(pos->vertex(ni)) ?
       COLLINEAR :
       _tr->orientation(p,q,pos->vertex(ni)->point());
-            
+
     switch(o){
     case LEFT_TURN:
       s = edge_edge;
@@ -462,11 +462,11 @@ increment()
       i = ni;
     }
   }
-} 
-            
+}
+
 template < class Triangulation >
 void
-Triangulation_line_face_circulator_2<Triangulation>::             
+Triangulation_line_face_circulator_2<Triangulation>::
 decrement()
 {
   CGAL_triangulation_precondition(pos != Face_handle());
@@ -480,26 +480,26 @@ decrement()
       i = n->index(pos);
       pos = n;
       if (pos->vertex(i) == _tr->infinite_vertex()){
-	o = COLLINEAR;
-	i = ccw(i);
-	break;
+        o = COLLINEAR;
+        i = ccw(i);
+        break;
       }
       o = _tr->orientation(p, q, pos->vertex(i)->point());
       i = ccw(i);
     }while(o == LEFT_TURN);
-            
+
     s = (o == COLLINEAR) ? vertex_vertex : edge_vertex;
-            
-  } 
+
+  }
   else { // s == edge_edge  ||  s == edge_vertex
     // the following is not nice. A better solution is to say
     // that index i is at the vertex that is alone on one side of l(p,q)
     if(s == edge_edge){
       i = (_tr->orientation
-	   (p, q,
-	    pos->vertex(i)->point()) == 
-	   LEFT_TURN)
-	? cw(i) : ccw(i);
+           (p, q,
+            pos->vertex(i)->point()) ==
+           LEFT_TURN)
+        ? cw(i) : ccw(i);
     }
     Face_handle n = pos->neighbor(i);
     i = n->index(pos);
@@ -507,7 +507,7 @@ decrement()
     Orientation o = _tr->is_infinite(pos->vertex(i)) ?
       COLLINEAR :
       _tr->orientation(p, q, pos->vertex(i)->point());
-            
+
     s = (o == COLLINEAR) ? vertex_edge : edge_edge;
   }
 }
@@ -517,19 +517,19 @@ bool
 Triangulation_line_face_circulator_2<Triangulation>::
 locate(const Point& t, Locate_type &lt,  int &li)
 {
-  switch(s){            
+  switch(s){
   case edge_edge:
   case vertex_edge:
     {
       Orientation o =
-	_tr->orientation(pos->vertex(ccw(i))->point(),
-			 pos->vertex(cw(i))->point(),
-			 t);
+        _tr->orientation(pos->vertex(ccw(i))->point(),
+                         pos->vertex(cw(i))->point(),
+                         t);
       if(o == RIGHT_TURN)      return false;
       if(o == COLLINEAR){
-	lt = Triangulation::EDGE;
-	li = i;
-	return true;
+        lt = Triangulation::EDGE;
+        li = i;
+        return true;
       }
       lt = Triangulation::FACE;
       li = 4;//li unused in this case
@@ -538,51 +538,51 @@ locate(const Point& t, Locate_type &lt,
   case vertex_vertex:
     {
       if(_tr->is_infinite(pos->vertex(i))){
-	CGAL_triangulation_assertion(
-	       _tr->orientation( pos->vertex(cw(i))->point(),
-				 pos->vertex(ccw(i))->point(),
-				 t) != LEFT_TURN);
-	lt = Triangulation::OUTSIDE_CONVEX_HULL;
-	li = i;
-	return true;
+        CGAL_triangulation_assertion(
+               _tr->orientation( pos->vertex(cw(i))->point(),
+                                 pos->vertex(ccw(i))->point(),
+                                 t) != LEFT_TURN);
+        lt = Triangulation::OUTSIDE_CONVEX_HULL;
+        li = i;
+        return true;
       }
       const Point &u = pos->vertex(cw(i))->point();
       const Point &v = pos->vertex(i)->point();
       // u == t  was detected earlier
-      if(_tr->compare_x(v,t)==EQUAL && 
-	 _tr->compare_y(v,t)==EQUAL){
-	lt = Triangulation::VERTEX;
-	li = i;
-	return true;
+      if(_tr->compare_x(v,t)==EQUAL &&
+         _tr->compare_y(v,t)==EQUAL){
+        lt = Triangulation::VERTEX;
+        li = i;
+        return true;
       }
       if(_tr->collinear_between(u, t, v)) {
-	lt = Triangulation::EDGE;
-	li = ccw(i);
-	return true;
+        lt = Triangulation::EDGE;
+        li = ccw(i);
+        return true;
       }
       return false;
     }
   default: // edge_vertex
     {
       if(_tr->is_infinite(pos->vertex(i))){
-	lt = Triangulation::OUTSIDE_CONVEX_HULL;
-	li = i;
-	return true;
+        lt = Triangulation::OUTSIDE_CONVEX_HULL;
+        li = i;
+        return true;
       }
       if(_tr->xy_equal(t,pos->vertex(i) ->point()) ){
-	li = i;
-	lt = Triangulation::VERTEX;
-	return true;
+        li = i;
+        lt = Triangulation::VERTEX;
+        return true;
       }
       if(_tr->collinear_between(p, t, pos->vertex(i)->point())) {
-	lt = Triangulation::FACE;
-	return true;
+        lt = Triangulation::FACE;
+        return true;
       }
       return false;
     }
   }
 }
-           
+
 template < class Triangulation >
 inline
 Triangulation_line_face_circulator_2<Triangulation>&
@@ -593,33 +593,33 @@ operator++()
   increment();
   return *this;
 }
-            
+
 template < class Triangulation >
 inline
 Triangulation_line_face_circulator_2<Triangulation>&
-Triangulation_line_face_circulator_2<Triangulation>::            
+Triangulation_line_face_circulator_2<Triangulation>::
 operator--()
 {
   CGAL_triangulation_precondition(pos != Face_handle()) ;
   decrement();
   return *this;
 }
-            
+
 template < class Triangulation >
 inline
 Triangulation_line_face_circulator_2<Triangulation>
-Triangulation_line_face_circulator_2<Triangulation>::             
+Triangulation_line_face_circulator_2<Triangulation>::
 operator++(int)
 {
   Line_face_circulator tmp(*this);
   ++(*this);
   return tmp;
 }
-            
+
 template < class Triangulation >
 inline
 Triangulation_line_face_circulator_2<Triangulation>
-Triangulation_line_face_circulator_2<Triangulation>::             
+Triangulation_line_face_circulator_2<Triangulation>::
 operator--(int)
 {
   Line_face_circulator tmp(*this);
@@ -629,26 +629,26 @@ operator--(int)
 
 template < class Triangulation >
 inline bool
-Triangulation_line_face_circulator_2<Triangulation>::    
+Triangulation_line_face_circulator_2<Triangulation>::
 operator==(const Line_face_circulator& lfc) const
 {
   CGAL_triangulation_precondition( pos != Face_handle() &&
-			       lfc.pos != Face_handle());
+                               lfc.pos != Face_handle());
   return ( _tr == lfc._tr && ( _tr==nullptr ||
             (pos == lfc.pos  && s== lfc.s && p==lfc.p && q==lfc.q) ) );
 }
 
 template < class Triangulation >
 inline bool
-Triangulation_line_face_circulator_2<Triangulation>:: 
+Triangulation_line_face_circulator_2<Triangulation>::
 operator!=(const Line_face_circulator& lfc) const
 {
   return !(*this == lfc);
 }
-            
+
 template < class Triangulation >
 inline bool
-Triangulation_line_face_circulator_2<Triangulation>::   
+Triangulation_line_face_circulator_2<Triangulation>::
 is_empty() const
 {
   return pos == Face_handle();
@@ -656,25 +656,25 @@ is_empty() const
 
 template < class Triangulation >
 inline bool
-Triangulation_line_face_circulator_2<Triangulation>::            
+Triangulation_line_face_circulator_2<Triangulation>::
 operator==(std::nullptr_t CGAL_triangulation_assertion_code(n)) const
 {
   CGAL_triangulation_assertion( n == nullptr);
   return pos == Face_handle();
 }
-            
+
 template < class Triangulation >
 inline bool
-Triangulation_line_face_circulator_2<Triangulation>::            
+Triangulation_line_face_circulator_2<Triangulation>::
 operator!=(std::nullptr_t n) const
 {
   CGAL_triangulation_assertion( n == nullptr);
   return !(*this == n);
 }
-            
+
 template < class Triangulation >
 inline bool
-Triangulation_line_face_circulator_2<Triangulation>:: 
+Triangulation_line_face_circulator_2<Triangulation>::
 collinear_outside() const
 {
 //   return (_tr->is_infinite(*this))
@@ -685,7 +685,7 @@ collinear_outside() const
   // and the convex hull is on the left of the line
   Face_handle fh = pos;
   return ( s == vertex_vertex  &&
-	  (! _tr->is_infinite(fh)) &&
+          (! _tr->is_infinite(fh)) &&
            _tr->is_infinite(fh->neighbor(ccw(i))));
 }
 
diff -pruN 5.0.2-3/include/CGAL/Triangulation_2.h 5.0.3-1/include/CGAL/Triangulation_2.h
--- 5.0.2-3/include/CGAL/Triangulation_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_2.h $
-// $Id: Triangulation_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_2.h $
+// $Id: Triangulation_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Olivier Devillers, Mariette Yvinec
@@ -123,6 +123,8 @@ public:
   typedef typename Tds::Edge_iterator          All_edges_iterator;
   typedef typename Tds::Vertex_iterator        All_vertices_iterator;
 
+  typedef typename Gt::Construct_point_2       Construct_point_2;
+
   class Perturbation_order
   {
     const Self *t;
@@ -143,7 +145,7 @@ public:
     const Triangulation_2 *t;
   public:
     Infinite_tester() {}
-    Infinite_tester(const Triangulation_2 *tr)	  : t(tr) {}
+    Infinite_tester(const Triangulation_2 *tr)          : t(tr) {}
 
     bool operator()(const All_vertices_iterator & vit) const  {
       return t->is_infinite(vit);
@@ -206,16 +208,16 @@ public:
 
   // Range types
 
-  
+
   typedef typename Tds::Face_handles           All_face_handles;
   typedef typename Tds::Vertex_handles         All_vertex_handles;
   typedef typename Tds::Edges                  All_edges;
-  
+
   typedef Iterator_range<Prevent_deref<Finite_faces_iterator> >    Finite_face_handles;
   typedef Iterator_range<Prevent_deref<Finite_vertices_iterator> > Finite_vertex_handles;
   typedef Iterator_range<Finite_edges_iterator>                    Finite_edges;
   typedef Iterator_range<Point_iterator>                           Points;
-  
+
   typedef Point                value_type; // to have a back_inserter
   typedef const value_type&    const_reference;
   typedef value_type&          reference;
@@ -250,7 +252,7 @@ public:
     _infinite_vertex = _tds.insert_first();
     insert(first,last);
   }
-  
+
   //Assignement
   Triangulation_2 &operator=(const Triangulation_2 &tr);
 
@@ -295,7 +297,9 @@ public:
                Face_handle &fr) const;
 
   // GEOMETRIC FEATURES AND CONSTRUCTION
-  Point_2 construct_point(const Point& p) const;
+  typename boost::result_of<const Construct_point_2(const Point&)>::type
+  construct_point(const Point& p) const { return geom_traits().construct_point_2_object()(p); }
+
   const Point& point(Face_handle c, int i) const;
   const Point& point(Vertex_handle v) const;
   Segment segment(Face_handle f, int i) const;
@@ -456,15 +460,15 @@ public:
   Finite_faces_iterator finite_faces_begin() const;
   Finite_faces_iterator finite_faces_end() const;
   Finite_face_handles finite_face_handles() const;
-  
+
   Finite_vertices_iterator finite_vertices_begin() const;
   Finite_vertices_iterator finite_vertices_end() const;
   Finite_vertex_handles finite_vertex_handles() const;
-  
+
   Finite_edges_iterator finite_edges_begin() const;
   Finite_edges_iterator finite_edges_end() const;
   Finite_edges finite_edges() const;
-  
+
   Point_iterator points_begin() const;
   Point_iterator points_end() const;
   Points points() const;
@@ -472,15 +476,15 @@ public:
   All_faces_iterator all_faces_begin() const;
   All_faces_iterator all_faces_end() const;
   All_face_handles all_face_handles() const;
-  
+
   All_vertices_iterator all_vertices_begin() const;
   All_vertices_iterator all_vertices_end() const;
   All_vertex_handles all_vertex_handles() const;
-  
+
   All_edges_iterator all_edges_begin() const;
   All_edges_iterator all_edges_end() const;
   All_edges all_edges() const;
-  
+
 
   //for compatibility with previous versions
   Face_iterator faces_begin() const {return finite_faces_begin();}
@@ -616,7 +620,7 @@ public:
     }
     return os;
   }
-  
+
 #ifndef CGAL_TRIANGULATION_2_DONT_INSERT_RANGE_OF_POINTS_WITH_INFO
 template < class InputIterator >
 std::ptrdiff_t insert(InputIterator first, InputIterator last,
@@ -641,7 +645,7 @@ std::ptrdiff_t insert(InputIterator firs
   return number_of_vertices() - n;
 }
 
-  
+
 #ifndef CGAL_TRIANGULATION_2_DONT_INSERT_RANGE_OF_POINTS_WITH_INFO
     //top stands for tuple-or-pair
   template <class Info>
@@ -709,7 +713,7 @@ public:
   }
 #endif //CGAL_TRIANGULATION_2_DONT_INSERT_RANGE_OF_POINTS_WITH_INFO
 
-  
+
 bool well_oriented(Vertex_handle v) const
 {
   Face_circulator fc = incident_faces(v), done(fc);
@@ -1065,14 +1069,6 @@ is_face(Vertex_handle v1,
 }
 
 template <class Gt, class Tds >
-typename Triangulation_2<Gt, Tds>::Point_2
-Triangulation_2<Gt, Tds>::
-construct_point(const Point& p) const
-{
-  return geom_traits().construct_point_2_object()(p);
-}
-
-template <class Gt, class Tds >
 const typename Triangulation_2<Gt, Tds>::Point&
 Triangulation_2<Gt, Tds>::
 point(Face_handle f, int i) const
@@ -3240,7 +3236,7 @@ finite_edges() const
 {
   return Finite_edges(finite_edges_begin(), finite_edges_end());
 }
-  
+
 template <class Gt, class Tds >
 typename Triangulation_2<Gt, Tds>::Point_iterator
 Triangulation_2<Gt, Tds>::
@@ -3264,7 +3260,7 @@ points() const
 {
   return Points(points_begin(), points_end());
 }
-  
+
 template <class Gt, class Tds >
 typename Triangulation_2<Gt, Tds>::All_faces_iterator
 Triangulation_2<Gt, Tds>::
@@ -3279,7 +3275,7 @@ all_faces_end() const
 {
   return _tds.faces_end();
 }
-  
+
 template <class Gt, class Tds >
 typename Triangulation_2<Gt, Tds>::All_face_handles
 Triangulation_2<Gt, Tds>::
@@ -3303,7 +3299,7 @@ all_vertices_end() const
 {
   return _tds.vertices_end();
 }
-  
+
 template <class Gt, class Tds >
 typename Triangulation_2<Gt, Tds>::All_vertex_handles
 Triangulation_2<Gt, Tds>::
@@ -3335,7 +3331,7 @@ all_edges() const
 {
   return _tds.edges();
 }
-  
+
 template <class Gt, class Tds >
 inline
 typename Triangulation_2<Gt, Tds>::Face_circulator
diff -pruN 5.0.2-3/include/CGAL/Triangulation_2_projection_traits_3.h 5.0.3-1/include/CGAL/Triangulation_2_projection_traits_3.h
--- 5.0.2-3/include/CGAL/Triangulation_2_projection_traits_3.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_2_projection_traits_3.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_2_projection_traits_3.h $
-// $Id: Triangulation_2_projection_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_2_projection_traits_3.h $
+// $Id: Triangulation_2_projection_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent Rineau
 
diff -pruN 5.0.2-3/include/CGAL/Triangulation_2_to_lcc.h 5.0.3-1/include/CGAL/Triangulation_2_to_lcc.h
--- 5.0.2-3/include/CGAL/Triangulation_2_to_lcc.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_2_to_lcc.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_2_to_lcc.h $
-// $Id: Triangulation_2_to_lcc.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_2_to_lcc.h $
+// $Id: Triangulation_2_to_lcc.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Guillaume Damiand <guillaume.damiand@liris.cnrs.fr>
@@ -32,7 +32,7 @@ namespace CGAL {
             typename LCC::Dart_handle >* aface_to_dart=nullptr)
   {
     CGAL_static_assertion( LCC::dimension>=2 && LCC::ambient_dimension==2 );
-    
+
     // Case of empty triangulations.
     if (atr.number_of_vertices()==0) return LCC::null_handle;
 
@@ -62,7 +62,7 @@ namespace CGAL {
     std::map<typename Triangulation::Face_handle, typename LCC::Dart_handle> TC;
     std::map<typename Triangulation::Face_handle, typename LCC::Dart_handle>*
       mytc = (aface_to_dart==nullptr?&TC:aface_to_dart);
-    
+
     itmap_tcell maptcell_it;
 
     typename LCC::Dart_handle res=LCC::null_handle, dart=LCC::null_handle;
@@ -89,7 +89,7 @@ namespace CGAL {
           else if ( it->vertex(2) == atr.infinite_vertex() )
             dart = alcc.previous(res);
         }
-        
+
         for (unsigned int i=0; i<3; ++i)
         {
           switch (i)
@@ -120,7 +120,7 @@ namespace CGAL {
     CGAL_assertion(dart!=LCC::null_handle);
     return dart;
   }
-  
+
 } // namespace CGAL
 
 #endif // CGAL_TRIANGULATION_2_TO_LCC_H
diff -pruN 5.0.2-3/include/CGAL/Triangulation_2_traits_3.h 5.0.3-1/include/CGAL/Triangulation_2_traits_3.h
--- 5.0.2-3/include/CGAL/Triangulation_2_traits_3.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_2_traits_3.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_2_traits_3.h $
-// $Id: Triangulation_2_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_2_traits_3.h $
+// $Id: Triangulation_2_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec
 
@@ -24,7 +24,7 @@
 
 #include <CGAL/triangulation_assertions.h>
 
-namespace CGAL { 
+namespace CGAL {
 
 template<class R>
 class Compare_yz_3
@@ -39,7 +39,7 @@ public:
     return r;
    }
 };
-    
+
 
 template <class R>
 class Side_of_oriented_circle_2_3
@@ -52,33 +52,33 @@ public:
   typedef typename  R::Point_3                   Point;
   typedef typename  R::Coplanar_side_of_bounded_circle_3
                                                  Side_of_bounded_circle_2_3;
-  Oriented_side operator() (const Point& p, 
-			    const Point& q, 
-			    const Point& r,
-			    const Point& s) {
+  Oriented_side operator() (const Point& p,
+                            const Point& q,
+                            const Point& r,
+                            const Point& s) {
     Side_of_bounded_circle_2_3  side;
     Bounded_side bs = side(p,q,r,s);
     return ( bs == ON_UNBOUNDED_SIDE) ? ON_NEGATIVE_SIDE :
       (bs == ON_BOUNDED_SIDE ) ? ON_POSITIVE_SIDE :
       ON_ORIENTED_BOUNDARY;
-  }   
+  }
 };
 
 
 
 template < class R >
-class Triangulation_2_traits_3 
+class Triangulation_2_traits_3
 {
 public:
   typedef R Rep;
   typedef typename Rep::Point_3    Point_2;
   typedef typename Rep::Segment_3  Segment_2;
   typedef typename Rep::Triangle_3 Triangle_2;
- 
+
   typedef typename Rep::Compare_x_3               Compare_x_2;
   typedef Compare_yz_3<Rep>                       Compare_y_2;
   typedef typename Rep::Coplanar_orientation_3    Orientation_2;
-  typedef Side_of_oriented_circle_2_3<Rep>        Side_of_oriented_circle_2;  
+  typedef Side_of_oriented_circle_2_3<Rep>        Side_of_oriented_circle_2;
   typedef typename Rep::Construct_segment_3       Construct_segment_2;
   typedef typename Rep::Construct_triangle_3      Construct_triangle_2;
 
@@ -94,7 +94,7 @@ public:
   Compare_y_2
   compare_y_2_object() const
     { return Compare_y_2();}
-  
+
   Orientation_2
   orientation_2_object() const
     { return Orientation_2();}
@@ -111,5 +111,5 @@ public:
 
 };
 
-} //namespace CGAL 
+} //namespace CGAL
 #endif // CGAL_TRIANGULATION_2_TRAITS_3_H
diff -pruN 5.0.2-3/include/CGAL/Triangulation_3.h 5.0.3-1/include/CGAL/Triangulation_3.h
--- 5.0.2-3/include/CGAL/Triangulation_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Triangulation_3.h $
-// $Id: Triangulation_3.h 8a48be1 2019-12-12T13:10:25+01:00 Mael
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Triangulation_3.h $
+// $Id: Triangulation_3.h 2e8a59d 2020-07-21T15:25:54+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -433,9 +433,11 @@ public:
   typedef typename Tds::Vertex_handles         All_vertex_handles;
   typedef typename Tds::Facets                 All_facets;
   typedef typename Tds::Edges                  All_edges;
-  
+
   typedef typename Tds::Simplex                Simplex;
 
+  typedef typename GT::Construct_point_3       Construct_point_3;
+
 private:
   // This class is used to generate the Finite_*_iterators.
   class Infinite_tester
@@ -521,7 +523,7 @@ public:
 
   typedef Iterator_range<Finite_edges_iterator> Finite_edges;
   typedef Iterator_range<Finite_facets_iterator> Finite_facets;
-  
+
 private:
   // Auxiliary iterators for convenience
   // do not use default template argument to please VC++
@@ -537,7 +539,7 @@ public:
 
 
   typedef Iterator_range<Point_iterator> Points;
-  
+
   // To have a back_inserter
   typedef Point                                               value_type;
   typedef const value_type&                                   const_reference;
@@ -565,7 +567,8 @@ protected:
 
 public:
   template<typename P> // Point or Point_3
-  Point_3 construct_point(const P& p) const
+  typename boost::result_of<Construct_point_3(P)>::type
+  construct_point(const P& p) const
   {
     return geom_traits().construct_point_3_object()(p);
   }
@@ -1127,7 +1130,7 @@ public:
                                           Hidden_points_visitor& hider,
                                           bool *could_lock_zone = nullptr);
 
-  
+
 #ifndef CGAL_TRIANGULATION_3_DONT_INSERT_RANGE_OF_POINTS_WITH_INFO
   template < class InputIterator >
   std::ptrdiff_t insert(InputIterator first, InputIterator last,
@@ -1220,8 +1223,8 @@ public:
   }
 #endif //CGAL_TRIANGULATION_3_DONT_INSERT_RANGE_OF_POINTS_WITH_INFO
 
-  
-  
+
+
   Vertex_handle insert_in_cell(const Point& p, Cell_handle c);
   Vertex_handle insert_in_facet(const Point& p, Cell_handle c, int i);
   Vertex_handle insert_in_facet(const Point& p, const Facet& f) {
@@ -1646,7 +1649,7 @@ private:
   Vertex_handle>::type Vertex_handle_unique_hash_map;
 
   Vertex_triple make_vertex_triple(const Facet& f) const;
-  void make_canonical(Vertex_triple& t) const;
+  void make_canonical_oriented_triple(Vertex_triple& t) const;
 
   template < class VertexRemover >
   VertexRemover& make_hole_2D(Vertex_handle v, std::list<Edge_2D>& hole,
@@ -1767,13 +1770,13 @@ public:
     return CGAL::filter_iterator(cells_end(), Infinite_tester(this));
   }
 
-  
+
   Finite_cell_handles finite_cell_handles() const
   {
-    return make_prevent_deref_range(finite_cells_begin(), finite_cells_end()); 
+    return make_prevent_deref_range(finite_cells_begin(), finite_cells_end());
   }
 
-  
+
   Cell_iterator cells_begin() const { return _tds.cells_begin(); }
   Cell_iterator cells_end() const { return _tds.cells_end(); }
 
@@ -1784,7 +1787,7 @@ public:
   {
     return _tds.cell_handles();
   }
-  
+
   Finite_vertices_iterator finite_vertices_begin() const
   {
     if(number_of_vertices() <= 0)
@@ -1800,9 +1803,9 @@ public:
 
   Finite_vertex_handles finite_vertex_handles() const
   {
-    return make_prevent_deref_range(finite_vertices_begin(), finite_vertices_end()); 
+    return make_prevent_deref_range(finite_vertices_begin(), finite_vertices_end());
   }
-  
+
   Vertex_iterator vertices_begin() const { return _tds.vertices_begin(); }
   Vertex_iterator vertices_end() const { return _tds.vertices_end(); }
 
@@ -1813,7 +1816,7 @@ public:
   {
     return _tds.vertex_handles();
   }
-  
+
   Finite_edges_iterator finite_edges_begin() const
   {
     if(dimension() < 1)
@@ -1830,11 +1833,11 @@ public:
   {
     return Finite_edges(finite_edges_begin(),finite_edges_end());
   }
-  
+
   Edge_iterator edges_begin() const { return _tds.edges_begin(); }
   Edge_iterator edges_end() const { return _tds.edges_end(); }
 
-  
+
   All_edges_iterator all_edges_begin() const { return _tds.edges_begin(); }
   All_edges_iterator all_edges_end() const { return _tds.edges_end(); }
 
@@ -1842,7 +1845,7 @@ public:
   {
     return _tds.edges();
   }
-  
+
   Finite_facets_iterator finite_facets_begin() const
   {
     if(dimension() < 2)
@@ -1863,7 +1866,7 @@ public:
   Facet_iterator facets_begin() const { return _tds.facets_begin(); }
   Facet_iterator facets_end() const { return _tds.facets_end(); }
 
-  
+
   All_facets_iterator all_facets_begin() const { return _tds.facets_begin(); }
   All_facets_iterator all_facets_end() const { return _tds.facets_end(); }
 
@@ -1871,7 +1874,7 @@ public:
   {
     return _tds.facets();
   }
-  
+
   Point_iterator points_begin() const
   {
     return Point_iterator(finite_vertices_begin());
@@ -1885,7 +1888,7 @@ public:
   {
     return Points(points_begin(),points_end());
   }
-  
+
   // cells around an edge
   Cell_circulator incident_cells(const Edge& e) const
   {
@@ -2139,6 +2142,12 @@ public:
   }
 
   template <class OutputIterator>
+  OutputIterator adjacent_vertices_threadsafe(Vertex_handle v, OutputIterator vertices) const
+  {
+    return _tds.adjacent_vertices_threadsafe(v, vertices);
+  }
+
+  template <class OutputIterator>
   OutputIterator adjacent_vertices_and_cells_3(Vertex_handle v, OutputIterator vertices,
                                                std::vector<Cell_handle>& cells) const
   {
@@ -3354,7 +3363,7 @@ side_of_facet(const Point& p,
   {
     // The following precondition is useless because it is written
     // in side_of_facet
-    // 	CGAL_triangulation_precondition(coplanar (p,
+    //         CGAL_triangulation_precondition(coplanar (p,
     //                                             c->vertex(0)->point,
     //                                             c->vertex(1)->point,
     //                                             c->vertex(2)->point));
@@ -3381,7 +3390,7 @@ side_of_facet(const Point& p,
   int inf = c->index(infinite);
   // The following precondition is useless because it is written
   // in side_of_facet
-  // 	CGAL_triangulation_precondition(coplanar (p,
+  //         CGAL_triangulation_precondition(coplanar (p,
   //                                     c->neighbor(inf)->vertex(0)->point(),
   //                                     c->neighbor(inf)->vertex(1)->point(),
   //                                     c->neighbor(inf)->vertex(2)->point()));
@@ -4028,9 +4037,9 @@ insert_outside_convex_hull(const Point&
   {
     case 1:
     {
-      // 	// p lies in the infinite edge neighboring c
-      // 	// on the other side of li
-      // 	return insert_in_edge(p,c->neighbor(1-li),0,1);
+      //         // p lies in the infinite edge neighboring c
+      //         // on the other side of li
+      //         return insert_in_edge(p,c->neighbor(1-li),0,1);
       return insert_in_edge(p,c,0,1);
     }
     case 2:
@@ -4209,7 +4218,7 @@ make_vertex_triple(const Facet& f) const
 template < class Gt, class Tds, class Lds >
 void
 Triangulation_3<Gt,Tds,Lds>::
-make_canonical(Vertex_triple& t) const
+make_canonical_oriented_triple(Vertex_triple& t) const
 {
   int i = (t.first < t.second) ? 0 : 1;
   if(i==0)
@@ -4762,7 +4771,7 @@ make_hole_3D(Vertex_handle v,
     Cell_handle opp_cit = (*cit)->neighbor(indv);
     Facet f(opp_cit, opp_cit->index(*cit));
     Vertex_triple vt = make_vertex_triple(f);
-    make_canonical(vt);
+    make_canonical_oriented_triple(vt);
     outer_map[vt] = f;
     for(int i=0; i<4; i++)
     {
@@ -4789,7 +4798,7 @@ make_hole_3D(Vertex_handle v,
     Cell_handle opp_cit = (*cit)->neighbor(indv);
     Facet f(opp_cit, opp_cit->index(*cit));
     Vertex_triple vt = make_vertex_triple(f);
-    make_canonical(vt);
+    make_canonical_oriented_triple(vt);
     outer_map[vt] = f;
     for(int i=0; i<4; i++)
     {
@@ -4977,7 +4986,7 @@ remove_3D(Vertex_handle v, VertexRemover
         Facet f = std::pair<Cell_handle,int>(it,i);
         Vertex_triple vt_aux = make_vertex_triple(f);
         Vertex_triple vt(vmap[vt_aux.first], vmap[vt_aux.third], vmap[vt_aux.second]);
-        make_canonical(vt);
+        make_canonical_oriented_triple(vt);
         inner_map[vt]= f;
       }
     }
@@ -4992,7 +5001,7 @@ remove_3D(Vertex_handle v, VertexRemover
         Facet f = std::pair<Cell_handle,int>(it,i);
         Vertex_triple vt_aux = make_vertex_triple(f);
         Vertex_triple vt(vmap[vt_aux.first], vmap[vt_aux.third], vmap[vt_aux.second]);
-        make_canonical(vt);
+        make_canonical_oriented_triple(vt);
         inner_map[vt]= f;
       }
     }
@@ -5035,7 +5044,7 @@ remove_3D(Vertex_handle v, VertexRemover
       {
         Facet f = std::pair<Cell_handle,int>(new_ch,i);
         Vertex_triple vt = make_vertex_triple(f);
-        make_canonical(vt);
+        make_canonical_oriented_triple(vt);
         std::swap(vt.second,vt.third);
 
         typename Vertex_triple_Facet_map::iterator oit2 = outer_map.find(vt);
@@ -5173,7 +5182,7 @@ remove_3D(Vertex_handle v, VertexRemover
         Facet f = std::pair<Cell_handle,int>(it,i);
         Vertex_triple vt_aux = make_vertex_triple(f);
         Vertex_triple vt(vmap[vt_aux.first],vmap[vt_aux.third],vmap[vt_aux.second]);
-        make_canonical(vt);
+        make_canonical_oriented_triple(vt);
         inner_map[vt]= f;
       }
     }
@@ -5188,7 +5197,7 @@ remove_3D(Vertex_handle v, VertexRemover
         Facet f = std::pair<Cell_handle,int>(it,i);
         Vertex_triple vt_aux = make_vertex_triple(f);
         Vertex_triple vt(vmap[vt_aux.first],vmap[vt_aux.third],vmap[vt_aux.second]);
-        make_canonical(vt);
+        make_canonical_oriented_triple(vt);
         inner_map[vt]= f;
       }
     }
@@ -5233,7 +5242,7 @@ remove_3D(Vertex_handle v, VertexRemover
       {
         Facet f = std::pair<Cell_handle,int>(new_ch,i);
         Vertex_triple vt = make_vertex_triple(f);
-        make_canonical(vt);
+        make_canonical_oriented_triple(vt);
         std::swap(vt.second,vt.third);
 
         typename Vertex_triple_Facet_map::iterator oit2 = outer_map.find(vt);
@@ -5477,7 +5486,7 @@ remove_3D(Vertex_handle v, VertexRemover
         Facet f = std::pair<Cell_handle,int>(it,i);
         Vertex_triple vt_aux = make_vertex_triple(f);
         Vertex_triple vt(vmap[vt_aux.first], vmap[vt_aux.third], vmap[vt_aux.second]);
-        make_canonical(vt);
+        make_canonical_oriented_triple(vt);
         inner_map[vt] = f;
       }
     }
@@ -5491,7 +5500,7 @@ remove_3D(Vertex_handle v, VertexRemover
         Facet f = std::pair<Cell_handle,int>(it,i);
         Vertex_triple vt_aux = make_vertex_triple(f);
         Vertex_triple vt(vmap[vt_aux.first], vmap[vt_aux.third], vmap[vt_aux.second]);
-        make_canonical(vt);
+        make_canonical_oriented_triple(vt);
         inner_map[vt] = f;
       }
     }
@@ -5538,7 +5547,7 @@ remove_3D(Vertex_handle v, VertexRemover
       {
         Facet f = std::pair<Cell_handle,int>(new_ch,i);
         Vertex_triple vt = make_vertex_triple(f);
-        make_canonical(vt);
+        make_canonical_oriented_triple(vt);
         std::swap(vt.second, vt.third);
         typename Vertex_triple_Facet_map::iterator oit2 = outer_map.find(vt);
         if(oit2 == outer_map.end())
@@ -5865,7 +5874,7 @@ move_if_no_collision(Vertex_handle v, co
         Facet f = std::pair<Cell_handle,int>(it,i);
         Vertex_triple vt_aux = make_vertex_triple(f);
         Vertex_triple vt(vmap[vt_aux.first],vmap[vt_aux.third],vmap[vt_aux.second]);
-        make_canonical(vt);
+        make_canonical_oriented_triple(vt);
         inner_map[vt]= f;
       }
     }
@@ -5880,7 +5889,7 @@ move_if_no_collision(Vertex_handle v, co
         Facet f = std::pair<Cell_handle,int>(it,i);
         Vertex_triple vt_aux = make_vertex_triple(f);
         Vertex_triple vt(vmap[vt_aux.first],vmap[vt_aux.third],vmap[vt_aux.second]);
-        make_canonical(vt);
+        make_canonical_oriented_triple(vt);
         inner_map[vt]= f;
       }
     }
@@ -5926,7 +5935,7 @@ move_if_no_collision(Vertex_handle v, co
       {
         Facet f = std::pair<Cell_handle,int>(new_ch,i);
         Vertex_triple vt = make_vertex_triple(f);
-        make_canonical(vt);
+        make_canonical_oriented_triple(vt);
         std::swap(vt.second,vt.third);
         typename Vertex_triple_Facet_map::iterator oit2 = outer_map.find(vt);
         if(oit2 == outer_map.end())
@@ -6317,7 +6326,7 @@ move_if_no_collision_and_give_new_cells(
         Facet f = std::pair<Cell_handle,int>(it,i);
         Vertex_triple vt_aux = make_vertex_triple(f);
         Vertex_triple vt(vmap[vt_aux.first], vmap[vt_aux.third], vmap[vt_aux.second]);
-        make_canonical(vt);
+        make_canonical_oriented_triple(vt);
         inner_map[vt]= f;
       }
     }
@@ -6332,7 +6341,7 @@ move_if_no_collision_and_give_new_cells(
         Facet f = std::pair<Cell_handle,int>(it,i);
         Vertex_triple vt_aux = make_vertex_triple(f);
         Vertex_triple vt(vmap[vt_aux.first], vmap[vt_aux.third], vmap[vt_aux.second]);
-        make_canonical(vt);
+        make_canonical_oriented_triple(vt);
         inner_map[vt]= f;
       }
     }
@@ -6379,7 +6388,7 @@ move_if_no_collision_and_give_new_cells(
       {
         Facet f = std::pair<Cell_handle, int>(new_ch, i);
         Vertex_triple vt = make_vertex_triple(f);
-        make_canonical(vt);
+        make_canonical_oriented_triple(vt);
         std::swap(vt.second,vt.third);
         typename Vertex_triple_Facet_map::iterator oit2 = outer_map.find(vt);
         if(oit2 == outer_map.end())
@@ -6511,7 +6520,7 @@ _make_big_hole_3D(Vertex_handle v,
 
       Facet f(opp_cit, opp_i);
       Vertex_triple vt = make_vertex_triple(f);
-      make_canonical(vt);
+      make_canonical_oriented_triple(vt);
       outer_map[vt] = f;
       v1->set_cell(opp_cit);
       v2->set_cell(opp_cit);
@@ -6656,7 +6665,7 @@ _remove_cluster_3D(InputIterator first,
           Facet f = std::pair<Cell_handle,int>(it,index);
           Vertex_triple vt_aux = this->make_vertex_triple(f);
           Vertex_triple vt(vmap[vt_aux.first], vmap[vt_aux.third], vmap[vt_aux.second]);
-          this->make_canonical(vt);
+          this->make_canonical_oriented_triple(vt);
           inner_map[vt]= f;
         }
       }
@@ -6671,7 +6680,7 @@ _remove_cluster_3D(InputIterator first,
           Facet f = std::pair<Cell_handle,int>(it,index);
           Vertex_triple vt_aux = this->make_vertex_triple(f);
           Vertex_triple vt(vmap[vt_aux.first], vmap[vt_aux.third], vmap[vt_aux.second]);
-          this->make_canonical(vt);
+          this->make_canonical_oriented_triple(vt);
           inner_map[vt]= f;
         }
       }
@@ -6720,7 +6729,7 @@ _remove_cluster_3D(InputIterator first,
         {
           Facet f = std::pair<Cell_handle,int>(new_ch,index);
           Vertex_triple vt = this->make_vertex_triple(f);
-          this->make_canonical(vt);
+          this->make_canonical_oriented_triple(vt);
           std::swap(vt.second,vt.third);
           typename Vertex_triple_Facet_map::iterator oit2 = outer_map.find(vt);
           if(oit2 == outer_map.end())
diff -pruN 5.0.2-3/include/CGAL/Triangulation_3_to_lcc.h 5.0.3-1/include/CGAL/Triangulation_3_to_lcc.h
--- 5.0.2-3/include/CGAL/Triangulation_3_to_lcc.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_3_to_lcc.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Triangulation_3_to_lcc.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Triangulation_3_to_lcc.h $
 // $Id: Triangulation_3_to_lcc.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/triangulation_assertions.h 5.0.3-1/include/CGAL/triangulation_assertions.h
--- 5.0.2-3/include/CGAL/triangulation_assertions.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/triangulation_assertions.h	2020-08-01 19:02:47.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/triangulation_assertions.h $
-// $Id: triangulation_assertions.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/triangulation_assertions.h $
+// $Id: triangulation_assertions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman, Sven Schoenherr
 //
diff -pruN 5.0.2-3/include/CGAL/Triangulation_cell_base_3.h 5.0.3-1/include/CGAL/Triangulation_cell_base_3.h
--- 5.0.2-3/include/CGAL/Triangulation_cell_base_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_cell_base_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Triangulation_cell_base_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Triangulation_cell_base_3.h $
 // $Id: Triangulation_cell_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Triangulation_cell_base_with_info_3.h 5.0.3-1/include/CGAL/Triangulation_cell_base_with_info_3.h
--- 5.0.2-3/include/CGAL/Triangulation_cell_base_with_info_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_cell_base_with_info_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Triangulation_cell_base_with_info_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Triangulation_cell_base_with_info_3.h $
 // $Id: Triangulation_cell_base_with_info_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Triangulation_conformer_2.h 5.0.3-1/include/CGAL/Triangulation_conformer_2.h
--- 5.0.2-3/include/CGAL/Triangulation_conformer_2.h	2020-02-21 20:03:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_conformer_2.h	2020-08-01 19:02:29.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Mesh_2/include/CGAL/Triangulation_conformer_2.h $
-// $Id: Triangulation_conformer_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Mesh_2/include/CGAL/Triangulation_conformer_2.h $
+// $Id: Triangulation_conformer_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent RINEAU
 
@@ -79,9 +79,9 @@ private:
         return false;
     return true;
   }
-  
+
 public:  /** \name ACCESS TO CLUSTERS */
-  typedef typename Mesh_2::Clusters<Tr>::Cluster_vertices_iterator 
+  typedef typename Mesh_2::Clusters<Tr>::Cluster_vertices_iterator
     Cluster_vertices_iterator;
   typedef typename Mesh_2::Clusters<Tr>::Vertices_in_cluster_iterator
     Vertices_in_cluster_iterator;
@@ -203,7 +203,7 @@ public:
   bool is_conforming_done()
     // This function cannot be "const" because, as edges_to_be_conformed is
     // filtred, its empty() method is not const.
-  { return ( edges_level_Gabriel.no_longer_element_to_refine() 
+  { return ( edges_level_Gabriel.no_longer_element_to_refine()
              && edges_level_Delaunay.no_longer_element_to_refine() );
   }
 
@@ -215,9 +215,9 @@ public:
   {
     return edges_level_Delaunay.one_step(null_visitor);
   }
-  
+
   bool try_one_step_conforming_Gabriel()
-  {  
+  {
     return edges_level_Gabriel.one_step(null_visitor);
   }
 
diff -pruN 5.0.2-3/include/CGAL/Triangulation_data_structure_2.h 5.0.3-1/include/CGAL/Triangulation_data_structure_2.h
--- 5.0.2-3/include/CGAL/Triangulation_data_structure_2.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_data_structure_2.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_2/include/CGAL/Triangulation_data_structure_2.h $
-// $Id: Triangulation_data_structure_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_2/include/CGAL/Triangulation_data_structure_2.h $
+// $Id: Triangulation_data_structure_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec
 
@@ -29,7 +29,7 @@
 #include <CGAL/Unique_hash_map.h>
 #include <CGAL/triangulation_assertions.h>
 #include <CGAL/Triangulation_utils_2.h>
- 
+
 #include <CGAL/Compact_container.h>
 
 #include <CGAL/Triangulation_ds_face_base_2.h>
@@ -40,11 +40,11 @@
 #include <CGAL/IO/File_header_OFF.h>
 #include <CGAL/IO/File_scanner_OFF.h>
 
-namespace CGAL { 
+namespace CGAL {
 
-template < class Vb = Triangulation_ds_vertex_base_2<>, 
+template < class Vb = Triangulation_ds_vertex_base_2<>,
            class Fb = Triangulation_ds_face_base_2<> >
-class Triangulation_data_structure_2 
+class Triangulation_data_structure_2
   :public Triangulation_cw_ccw_2
 {
   typedef Triangulation_data_structure_2<Vb,Fb>  Tds;
@@ -71,7 +71,7 @@ public:
 
   typedef Vertex_base                                Vertex;
   typedef Face_base                                  Face;
-  
+
   typedef Compact_container<Face>                    Face_range;
   typedef Compact_container<Vertex>                  Vertex_range;
 
@@ -89,7 +89,7 @@ public:
   typedef Iterator_range<Prevent_deref<Vertex_iterator> > Vertex_handles;
   typedef Iterator_range<Prevent_deref<Face_iterator> >   Face_handles;
   typedef Iterator_range<Edge_iterator>                   Edges;
-    
+
   typedef Vertex_iterator                            Vertex_handle;
   typedef Face_iterator                              Face_handle;
   typedef std::pair<Face_handle, int>                Edge;
@@ -103,7 +103,7 @@ protected:
 
   //CREATORS - DESTRUCTORS
 public:
-  Triangulation_data_structure_2(); 
+  Triangulation_data_structure_2();
   Triangulation_data_structure_2(const Tds &tds);
   ~Triangulation_data_structure_2();
   Tds& operator= (const Tds &tds);
@@ -112,7 +112,7 @@ public:
   //ACCESS FUNCTIONS
   // We need the const_cast<>s because TDS is not const-correct.
   Face_range& faces()             { return _faces;}
-  Face_range& faces() const 
+  Face_range& faces() const
     { return  const_cast<Tds*>(this)->_faces;}
   Vertex_range& vertices()         {return _vertices;}
   Vertex_range& vertices() const
@@ -123,21 +123,21 @@ public:
   size_type number_of_faces() const ;
   size_type number_of_edges() const;
   size_type number_of_full_dim_faces() const; //number of faces stored by tds
-  
+
   // TEST FEATURES
   bool is_vertex(Vertex_handle v) const;
   bool is_edge(Face_handle fh, int i) const;
   bool is_edge(Vertex_handle va, Vertex_handle vb) const;
-  bool is_edge(Vertex_handle va, Vertex_handle vb, 
-	       Face_handle& fr,  int& i) const;
+  bool is_edge(Vertex_handle va, Vertex_handle vb,
+               Face_handle& fr,  int& i) const;
   bool is_face(Face_handle fh) const;
-  bool is_face(Vertex_handle v1, 
-	       Vertex_handle v2, 
-	       Vertex_handle v3) const;
-  bool is_face(Vertex_handle v1, 
-	       Vertex_handle v2, 
-	       Vertex_handle v3,
-	       Face_handle& fr) const;
+  bool is_face(Vertex_handle v1,
+               Vertex_handle v2,
+               Vertex_handle v3) const;
+  bool is_face(Vertex_handle v1,
+               Vertex_handle v2,
+               Vertex_handle v3,
+               Face_handle& fr) const;
 
   // ITERATORS AND CIRCULATORS
 public:
@@ -158,7 +158,7 @@ public:
     if (dimension() < 2) return faces_end();
     return faces().begin();
   }
-    
+
   Face_iterator faces_end() const {
     return faces().end();
   }
@@ -166,7 +166,7 @@ public:
   Face_handles face_handles() const {
     return make_prevent_deref_range(faces_begin(),faces_end());
   }
-  
+
   Vertex_iterator vertices_begin() const  {
     return vertices().begin();
   }
@@ -178,7 +178,7 @@ public:
   Vertex_handles vertex_handles() const {
     return make_prevent_deref_range(vertices_begin(),vertices_end());
   }
-  
+
   Edge_iterator edges_begin() const {
     return Edge_iterator(this);
   }
@@ -191,18 +191,18 @@ public:
     return Edges(edges_begin(),edges_end());
   }
 
-  Face_circulator incident_faces(Vertex_handle v, 
-				 Face_handle f =  Face_handle()) const{
+  Face_circulator incident_faces(Vertex_handle v,
+                                 Face_handle f =  Face_handle()) const{
     return Face_circulator(v,f);
   }
-  Vertex_circulator incident_vertices(Vertex_handle v, 
-				      Face_handle f = Face_handle()) const
-  {    
-    return Vertex_circulator(v,f);  
+  Vertex_circulator incident_vertices(Vertex_handle v,
+                                      Face_handle f = Face_handle()) const
+  {
+    return Vertex_circulator(v,f);
   }
 
-  Edge_circulator incident_edges(Vertex_handle v, 
-				 Face_handle f = Face_handle()) const{
+  Edge_circulator incident_edges(Vertex_handle v,
+                                 Face_handle f = Face_handle()) const{
     return Edge_circulator(v,f);
   }
 
@@ -210,19 +210,19 @@ public:
     int count = 0;
     Vertex_circulator vc = incident_vertices(v), done(vc);
     if ( ! vc.is_empty()) {
-      do { 
-	count += 1;
+      do {
+        count += 1;
       } while (++vc != done);
     }
     return count;
   }
 
-  
+
   Vertex_handle
   mirror_vertex(Face_handle f, int i) const
   {
     CGAL_triangulation_precondition ( f->neighbor(i) != Face_handle()
-				    && f->dimension() >= 1);
+                                    && f->dimension() >= 1);
   return f->neighbor(i)->vertex(mirror_index(f,i));
   }
 
@@ -231,7 +231,7 @@ public:
   {
     // return the index of opposite vertex in neighbor(i);
     CGAL_triangulation_precondition (f->neighbor(i) != Face_handle() &&
-				     f->dimension() >= 1);
+                                     f->dimension() >= 1);
     if (f->dimension() == 1) {
       CGAL_assertion(i<=1);
       const int j = f->neighbor(i)->index(f->vertex((i==0) ? 1 : 0));
@@ -241,8 +241,8 @@ public:
     return ccw( f->neighbor(i)->index(f->vertex(ccw(i))));
   }
 
-  Edge 
-  mirror_edge(const Edge e) const 
+  Edge
+  mirror_edge(const Edge e) const
   {
     CGAL_triangulation_precondition(e.first->neighbor(e.second) != Face_handle()
                                     && e.first->dimension() >= 1);
@@ -252,17 +252,17 @@ public:
 
   // MODIFY
   void flip(Face_handle f, int i);
- 
+
   Vertex_handle insert_first();
   Vertex_handle insert_second();
   Vertex_handle insert_in_face(Face_handle f);
   Vertex_handle insert_in_edge(Face_handle f, int i);
-  Vertex_handle insert_dim_up(Vertex_handle w = Vertex_handle(), 
-			      bool orient=true);
+  Vertex_handle insert_dim_up(Vertex_handle w = Vertex_handle(),
+                              bool orient=true);
 
   void remove_degree_3(Vertex_handle v, Face_handle f = Face_handle());
-  void remove_1D(Vertex_handle v); 
-   
+  void remove_1D(Vertex_handle v);
+
   void remove_second(Vertex_handle v);
   void remove_first(Vertex_handle v);
   void remove_dim_down(Vertex_handle v);
@@ -274,45 +274,45 @@ public:
 
 //   template< class EdgeIt>
 //   Vertex_handle star_hole(EdgeIt edge_begin,EdgeIt edge_end);
- 
+
 //   template< class EdgeIt>
 //   void  star_hole(Vertex_handle v, EdgeIt edge_begin,  EdgeIt edge_end);
 
 //   template< class EdgeIt, class FaceIt>
-//   Vertex_handle star_hole(EdgeIt edge_begin, 
-// 		    EdgeIt edge_end,
-// 		    FaceIt face_begin,
-// 		    FaceIt face_end);
- 
+//   Vertex_handle star_hole(EdgeIt edge_begin,
+//                     EdgeIt edge_end,
+//                     FaceIt face_begin,
+//                     FaceIt face_end);
+
 //   template< class EdgeIt, class FaceIt>
 //   void  star_hole(Vertex_handle v,
-// 		  EdgeIt edge_begin, 
-// 		  EdgeIt edge_end,
-// 		  FaceIt face_begin,
-// 		  FaceIt face_end);
-  
+//                   EdgeIt edge_begin,
+//                   EdgeIt edge_end,
+//                   FaceIt face_begin,
+//                   FaceIt face_end);
+
   Vertex_handle create_vertex();
   Vertex_handle create_vertex(const Vertex &v);
-  Vertex_handle create_vertex(Vertex_handle v); //calls copy constructor 
+  Vertex_handle create_vertex(Vertex_handle v); //calls copy constructor
   Face_handle create_face();
   Face_handle create_face(const Face& f);
-  Face_handle create_face(Face_handle f); //calls copy constructor 
+  Face_handle create_face(Face_handle f); //calls copy constructor
 
- Face_handle create_face(Face_handle f1, int i1, 
-			  Face_handle f2, int i2, 
-			  Face_handle f3, int i3);
-  Face_handle create_face(Face_handle f1, int i1, 
-			  Face_handle f2, int i2);
+ Face_handle create_face(Face_handle f1, int i1,
+                          Face_handle f2, int i2,
+                          Face_handle f3, int i3);
+  Face_handle create_face(Face_handle f1, int i1,
+                          Face_handle f2, int i2);
   Face_handle create_face(Face_handle f1, int i1, Vertex_handle v);
-  Face_handle create_face(Vertex_handle v1, 
-			  Vertex_handle v2, 
-			  Vertex_handle v3);
-  Face_handle create_face(Vertex_handle v1, 
-			  Vertex_handle v2, 
-			  Vertex_handle v3,
-			  Face_handle f1, 
-			  Face_handle f2, 
-			  Face_handle f3);
+  Face_handle create_face(Vertex_handle v1,
+                          Vertex_handle v2,
+                          Vertex_handle v3);
+  Face_handle create_face(Vertex_handle v1,
+                          Vertex_handle v2,
+                          Vertex_handle v3,
+                          Face_handle f1,
+                          Face_handle f2,
+                          Face_handle f3);
 
   void set_adjacency(Face_handle f0, int i0, Face_handle f1, int i1) const;
 
@@ -352,14 +352,14 @@ public:
 
   // CHECKING
   bool is_valid(bool verbose = false, int level = 0) const;
-  
+
   // HELPING
 private:
   typedef std::pair<Vertex_handle,Vertex_handle> Vh_pair;
 public:
-  void  set_adjacency(Face_handle fh, 
-		      int ih, 
-		      std::map< Vh_pair, Edge>& edge_map);
+  void  set_adjacency(Face_handle fh,
+                      int ih,
+                      std::map< Vh_pair, Edge>& edge_map);
   void reorient_faces();
 private:
   bool dim_down_precondition(Face_handle f, int i);
@@ -417,12 +417,12 @@ public:
   // I/O
   Vertex_handle file_input(std::istream& is, bool skip_first=false);
   void file_output(std::ostream& os,
-		   Vertex_handle v = Vertex_handle(),
-		   bool skip_first=false) const;
+                   Vertex_handle v = Vertex_handle(),
+                   bool skip_first=false) const;
   Vertex_handle off_file_input(std::istream& is, bool verbose=false);
   void  vrml_output(std::ostream& os,
-		    Vertex_handle v = Vertex_handle(),
-		    bool skip_first=false) const;
+                    Vertex_handle v = Vertex_handle(),
+                    bool skip_first=false) const;
 
   // SETTING (had to make them public for use in remove from Triangulations)
   void set_dimension (int n) {_dimension = n ;}
@@ -433,7 +433,7 @@ public:
   /************* START OF MODIFICATIONS ***************/
 
   template< class FaceIt >
-  Vertex_handle insert_in_hole(FaceIt face_begin, FaceIt face_end) 
+  Vertex_handle insert_in_hole(FaceIt face_begin, FaceIt face_end)
   {
     Vertex_handle newv = create_vertex();
     insert_in_hole(newv, face_begin, face_end);
@@ -442,7 +442,7 @@ public:
 
 
   template< class FaceIt >
-  void insert_in_hole(Vertex_handle v, FaceIt face_begin, FaceIt face_end) 
+  void insert_in_hole(Vertex_handle v, FaceIt face_begin, FaceIt face_end)
   {
 
     CGAL_triangulation_precondition(dimension() == 2);
@@ -463,8 +463,8 @@ public:
         ii = newi;
       }
     } while(!found_boundary);
-    // Now we have found ONE edge on the boundary. 
-    // From that one edge we must walk on the boundary 
+    // Now we have found ONE edge on the boundary.
+    // From that one edge we must walk on the boundary
     // of the hole until we've covered the whole thing.
 
     bool complete_walk = false;
@@ -486,14 +486,14 @@ public:
     } while (!complete_walk);
     // At this point, bdry_edges contains the edges that define
     // the boundary of the hole with a specific ordering: for any
-    // two consecutive edges in the vector e1 = (f1, i1), 
-    // e2 = (f2, i2) it holds that 
+    // two consecutive edges in the vector e1 = (f1, i1),
+    // e2 = (f2, i2) it holds that
     //      f1->vertex(cw(i1)) == f2->vertex(ccw(i2))
 
     for (unsigned int jj = 0; jj < bdry_edges.size(); jj++) {
       Face_handle fh = bdry_edges[jj].first;
       int idx = bdry_edges[jj].second;
-      
+
       Vertex_handle v1 = fh->vertex(ccw(idx));
       Vertex_handle v2 = fh->vertex(cw(idx));
 
@@ -531,7 +531,7 @@ public:
 
   template< class EdgeIt>
   Vertex_handle star_hole(EdgeIt edge_begin, EdgeIt edge_end)
-  // creates a new vertex 
+  // creates a new vertex
   // and stars from it
   // the hole described by the range [edge_begin,edge_end[
   // the triangulation is assumed to have dim=2
@@ -541,30 +541,30 @@ public:
      star_hole(newv, edge_begin, edge_end);
      return newv;
   }
- 
+
   template< class EdgeIt>
   void  star_hole(Vertex_handle v, EdgeIt edge_begin,  EdgeIt edge_end)
   // uses vertex v
   // to star the hole described by the range [edge_begin,edge_end[
   // the triangulation is assumed to have dim=2
   // the hole is supposed to be ccw oriented
-  { 
+  {
     std::list<Face_handle> empty_list;
-    star_hole(v, 
-	      edge_begin, 
-	      edge_end, 
-	      empty_list.begin(),
-	      empty_list.end());
-    return;    
+    star_hole(v,
+              edge_begin,
+              edge_end,
+              empty_list.begin(),
+              empty_list.end());
+    return;
   }
 
 
   template< class EdgeIt, class FaceIt>
-  Vertex_handle star_hole(EdgeIt edge_begin, 
-		    EdgeIt edge_end,
-		    FaceIt face_begin,
-		    FaceIt face_end)
-  // creates a new vertex 
+  Vertex_handle star_hole(EdgeIt edge_begin,
+                    EdgeIt edge_end,
+                    FaceIt face_begin,
+                    FaceIt face_end)
+  // creates a new vertex
   // and stars from it
   // the hole described by the range [edge_begin,edge_end[
     // reusing the faces in the range [face_begin,face_end[
@@ -575,13 +575,13 @@ public:
     star_hole(newv, edge_begin, edge_end, face_begin, face_end);
     return newv;
   }
- 
+
   template< class EdgeIt, class FaceIt>
   void  star_hole(Vertex_handle newv,
-		  EdgeIt edge_begin, 
-		  EdgeIt edge_end,
-		  FaceIt face_begin,
-		  FaceIt face_end)
+                  EdgeIt edge_begin,
+                  EdgeIt edge_end,
+                  FaceIt face_begin,
+                  FaceIt face_end)
     // uses vertex v
     // to star the hole described by the range [edge_begin,edge_end[
     // reusing the faces in the range [face_begin,face_end[
@@ -597,7 +597,7 @@ public:
     fn->vertex(cw(in))->set_face(fn);
     Face_handle first_f =  reset_or_create_face(fn, in , newv, fit, face_end);
     Face_handle previous_f=first_f, next_f;
-    ++eit; 
+    ++eit;
 
     for( ; eit != edge_end ; eit++) {
       fn = (*eit).first;
@@ -610,39 +610,39 @@ public:
 
     set_adjacency(next_f, 0, first_f, 1);
     newv->set_face(first_f);
-    return;    
+    return;
   }
 
 private:
   template< class FaceIt>
-  Face_handle  reset_or_create_face(Face_handle fn, 
-			      int in, 
-			      Vertex_handle v,
-			      FaceIt& fit,
-			      const FaceIt& face_end)
+  Face_handle  reset_or_create_face(Face_handle fn,
+                              int in,
+                              Vertex_handle v,
+                              FaceIt& fit,
+                              const FaceIt& face_end)
   {
     if (fit == face_end) return create_face(fn, in, v);
     (*fit)->set_vertices(fn->vertex(cw(in)), fn->vertex(ccw(in)), v);
     (*fit)->set_neighbors(Face_handle(),Face_handle(),fn);
     fn->set_neighbor(in, *fit);
-    return *fit++;    
+    return *fit++;
   }
 
 };
 
 //for backward compatibility
 template < class Gt , class Vb, class Fb>
-class Triangulation_default_data_structure_2 
+class Triangulation_default_data_structure_2
   : public Triangulation_data_structure_2<Vb,Fb>
 {
 public:
   typedef Triangulation_data_structure_2<Vb,Fb>  Tds;
   typedef Triangulation_default_data_structure_2<Gt,Vb,Fb> Tdds;
-  typedef Gt                           Geom_traits; 
+  typedef Gt                           Geom_traits;
 
   Triangulation_default_data_structure_2(const Geom_traits& = Geom_traits())
     : Tds() {}
- 
+
   Triangulation_default_data_structure_2(const Tdds &tdds)
     : Tds(tdds) {}
 };
@@ -656,15 +656,15 @@ public:
   typedef Triangulation_data_structure_2<Vb,Fb>  Tds;
   typedef Triangulation_data_structure_using_list_2<Vb,Fb>  Tdsul;
 
-  Triangulation_data_structure_using_list_2(): Tds() {} 
+  Triangulation_data_structure_using_list_2(): Tds() {}
   Triangulation_data_structure_using_list_2(const Tdsul &tdsul)
     : Tds(tdsul) {}
 };
 
- 
+
 template < class Vb, class Fb>
 Triangulation_data_structure_2<Vb,Fb> ::
-Triangulation_data_structure_2() 
+Triangulation_data_structure_2()
   : _dimension(-2)
 { }
 
@@ -682,7 +682,7 @@ Triangulation_data_structure_2<Vb,Fb> ::
   clear();
 }
 
-//assignement  
+//assignement
 template < class Vb, class Fb>
 Triangulation_data_structure_2<Vb,Fb>&
 Triangulation_data_structure_2<Vb,Fb> ::
@@ -690,7 +690,7 @@ operator= (const Tds &tds)
 {
   copy_tds(tds);
   return *this;
-}  
+}
 
 template <  class Vb, class Fb>
 void
@@ -717,17 +717,17 @@ swap(Tds &tds)
 
 //ACCESS FUNCTIONS
 template <class Vb, class Fb>
-inline 
+inline
 typename Triangulation_data_structure_2<Vb,Fb>::size_type
 Triangulation_data_structure_2<Vb,Fb> ::
-number_of_faces() const 
+number_of_faces() const
 {
   if (dimension() < 2) return 0;
   return faces().size();
 }
 
 template <class Vb, class Fb>
-inline 
+inline
 typename Triangulation_data_structure_2<Vb,Fb>::size_type
 Triangulation_data_structure_2<Vb,Fb>::
 number_of_edges() const
@@ -738,7 +738,7 @@ number_of_edges() const
   default: return 0;
   }
 }
-      
+
 template <class Vb, class Fb>
 typename Triangulation_data_structure_2<Vb,Fb>::size_type
 Triangulation_data_structure_2<Vb,Fb>::
@@ -781,23 +781,23 @@ is_edge(Vertex_handle va, Vertex_handle
   Vertex_circulator vc = incident_vertices(va), done(vc);
   if ( vc == 0) return false;
   do {
-    if( vb == vc ) {return true;} 
+    if( vb == vc ) {return true;}
   } while (++vc != done);
   return false;
 }
- 
+
 
 template <class Vb, class Fb>
 bool
 Triangulation_data_structure_2<Vb,Fb>::
-is_edge(Vertex_handle va, Vertex_handle vb, 
-	Face_handle &fr,  int & i) const
+is_edge(Vertex_handle va, Vertex_handle vb,
+        Face_handle &fr,  int & i) const
 // assume va is a vertex of t
 // returns true (false) if the line segment ab is (is not) an edge of t
 // if true is returned (fr,i) is the edge ab
 // with face fr on the right of a->b
 {
-  Face_handle fc = va->face(); 
+  Face_handle fc = va->face();
   Face_handle start = fc;
   if (fc == 0) return false;
   int inda, indb;
@@ -815,7 +815,7 @@ is_edge(Vertex_handle va, Vertex_handle
 }
 
 template <class Vb, class Fb>
-inline bool 
+inline bool
 Triangulation_data_structure_2<Vb,Fb>::
 is_face(Face_handle fh) const
 {
@@ -826,23 +826,23 @@ is_face(Face_handle fh) const
 }
 
 template <class Vb, class Fb>
-inline bool 
+inline bool
 Triangulation_data_structure_2<Vb,Fb>::
-is_face(Vertex_handle v1, 
-	Vertex_handle v2, 
-	Vertex_handle v3) const
+is_face(Vertex_handle v1,
+        Vertex_handle v2,
+        Vertex_handle v3) const
 {
   Face_handle f;
   return is_face(v1,v2,v3,f);
 }
 
 template <class Vb, class Fb>
-bool 
+bool
 Triangulation_data_structure_2<Vb,Fb>::
-is_face(Vertex_handle v1, 
-	Vertex_handle v2, 
-	Vertex_handle v3,
-	Face_handle &f) const
+is_face(Vertex_handle v1,
+        Vertex_handle v2,
+        Vertex_handle v3,
+        Face_handle &f) const
 {
   if (dimension() != 2) return false;
   int i;
@@ -853,7 +853,7 @@ is_face(Vertex_handle v1,
   int ind1= f->index(v1);
   int ind2= f->index(v2);
   if (v3 == f->vertex(3-ind1-ind2)) { return true;}
-  return false;  
+  return false;
 }
 
 template <class Vb, class Fb>
@@ -864,19 +864,19 @@ flip(Face_handle f, int i)
   CGAL_triangulation_precondition( dimension()==2);
   Face_handle n  = f->neighbor(i);
   int ni = mirror_index(f,i); //ni = n->index(f);
-    
+
   Vertex_handle  v_cw = f->vertex(cw(i));
   Vertex_handle  v_ccw = f->vertex(ccw(i));
 
   // bl == bottom left, tr == top right
   Face_handle tr = f->neighbor(ccw(i));
-  int tri =  mirror_index(f,ccw(i));  
+  int tri =  mirror_index(f,ccw(i));
   Face_handle bl = n->neighbor(ccw(ni));
-  int bli =  mirror_index(n,ccw(ni)); 
-      
+  int bli =  mirror_index(n,ccw(ni));
+
   f->set_vertex(cw(i), n->vertex(ni));
   n->set_vertex(cw(ni), f->vertex(i));
-    
+
   // update the neighborhood relations
   set_adjacency(f, i, bl, bli);
   set_adjacency(f, ccw(i), n, ccw(ni));
@@ -885,29 +885,29 @@ flip(Face_handle f, int i)
   if(v_cw->face() == f) {
     v_cw->set_face(n);
   }
-    
+
   if(v_ccw->face() == n) {
     v_ccw->set_face(f);
   }
 }
-  
+
 template < class Vb, class Fb>
 typename Triangulation_data_structure_2<Vb,Fb>::Vertex_handle
 Triangulation_data_structure_2<Vb,Fb>::
 insert_first( )
 {
   CGAL_triangulation_precondition( number_of_vertices() == 0 &&
-				   dimension()==-2 );
+                                   dimension()==-2 );
   return insert_dim_up();
 }
 
 template < class Vb, class Fb>
-typename Triangulation_data_structure_2<Vb,Fb>::Vertex_handle 
+typename Triangulation_data_structure_2<Vb,Fb>::Vertex_handle
 Triangulation_data_structure_2<Vb,Fb>::
 insert_second()
 {
   CGAL_triangulation_precondition( number_of_vertices() == 1 &&
-				   dimension()==-1 );
+                                   dimension()==-1 );
   return insert_dim_up();
 
 }
@@ -925,10 +925,10 @@ insert_in_face(Face_handle f)
   Vertex_handle v0 = f->vertex(0);
   Vertex_handle v2 = f->vertex(2);
   Vertex_handle v1 = f->vertex(1);
-    
+
   Face_handle n1 = f->neighbor(1);
   Face_handle n2 = f->neighbor(2);
-    
+
   Face_handle f1 = create_face(v0, v, v2, f, n1, Face_handle());
   Face_handle f2 = create_face(v0, v1, v, f, Face_handle(), n2);
 
@@ -958,11 +958,11 @@ Triangulation_data_structure_2<Vb,Fb>::
 insert_in_edge(Face_handle f, int i)
   //insert in the edge opposite to vertex i of face f
 {
-  CGAL_triangulation_precondition(f != Face_handle() && dimension() >= 1); 
+  CGAL_triangulation_precondition(f != Face_handle() && dimension() >= 1);
   if (dimension() == 1) {CGAL_triangulation_precondition(i == 2);}
-  if (dimension() == 2) {CGAL_triangulation_precondition(i == 0 || 
-							 i == 1 || 
-							 i == 2);}
+  if (dimension() == 2) {CGAL_triangulation_precondition(i == 0 ||
+                                                         i == 1 ||
+                                                         i == 2);}
   Vertex_handle v;
   if (dimension() == 1) {
     v = create_vertex();
@@ -979,7 +979,7 @@ insert_in_edge(Face_handle f, int i)
     Face_handle n = f->neighbor(i);
     int in = mirror_index(f,i); //n->index(f);
     v = insert_in_face(f);
-    flip(n,in); 
+    flip(n,in);
     }
 
   return v;
@@ -991,9 +991,9 @@ typename Triangulation_data_structure_2<
 Triangulation_data_structure_2<Vb,Fb>::
 insert_dim_up(Vertex_handle w,  bool orient)
 {
-  // the following function insert 
+  // the following function insert
   // a vertex  v which is outside the affine  hull of Tds
-  // The triangulation will be starred from  v and w 
+  // The triangulation will be starred from  v and w
   // ( geometrically w=  // the infinite vertex )
   // w=nullptr for first and second insertions
   // orient governs the orientation of the resulting triangulation
@@ -1004,8 +1004,8 @@ insert_dim_up(Vertex_handle w,  bool ori
   Face_handle f2;
 
   const int dim = dimension(); //it is the resulting dimension
-    
-  switch (dim) { 
+
+  switch (dim) {
   case -1:
     f1 = create_face(v,Vertex_handle(),Vertex_handle());
     v->set_face(f1);
@@ -1020,64 +1020,64 @@ insert_dim_up(Vertex_handle w,  bool ori
   case 2 :
     {
       std::list<Face_handle> faces_list;
-      Face_iterator ib= face_iterator_base_begin(); 
+      Face_iterator ib= face_iterator_base_begin();
       Face_iterator ib_end = face_iterator_base_end();
       for (; ib != ib_end ; ++ib){
-	faces_list.push_back( ib);
+        faces_list.push_back( ib);
       }
-      
+
       std::list<Face_handle>  to_delete;
       typename std::list<Face_handle>::iterator lfit = faces_list.begin();
       Face_handle f, g;
 
       for ( ; lfit != faces_list.end() ; ++lfit) {
-	f = * lfit;
-	g = create_face(f); //calls copy constructor of face
-	f->set_vertex(dim,v);
-	g->set_vertex(dim,w);
-	set_adjacency(f, dim, g, dim);
-	if (f->has_vertex(w)) to_delete.push_back(g); // flat face to delete
+        f = * lfit;
+        g = create_face(f); //calls copy constructor of face
+        f->set_vertex(dim,v);
+        g->set_vertex(dim,w);
+        set_adjacency(f, dim, g, dim);
+        if (f->has_vertex(w)) to_delete.push_back(g); // flat face to delete
       }
 
       lfit = faces_list.begin();
       for ( ; lfit != faces_list.end() ; ++lfit) {
-	f = * lfit;
-	g = f->neighbor(dim);
-	for(int j = 0; j < dim ; ++j) {
-	  g->set_neighbor(j, f->neighbor(j)->neighbor(dim));
-	}
+        f = * lfit;
+        g = f->neighbor(dim);
+        for(int j = 0; j < dim ; ++j) {
+          g->set_neighbor(j, f->neighbor(j)->neighbor(dim));
+        }
       }
 
       // couldn't unify the code for reorientation mater
-      lfit = faces_list.begin() ; 
+      lfit = faces_list.begin() ;
       if (dim == 1){
-	if (orient) {
-	  (*lfit)->reorient(); ++lfit ;  (*lfit)->neighbor(1)->reorient();
-	}
-	else {
-	  (*lfit)->neighbor(1)->reorient(); ++lfit ; (*lfit)->reorient(); 
-	}
+        if (orient) {
+          (*lfit)->reorient(); ++lfit ;  (*lfit)->neighbor(1)->reorient();
+        }
+        else {
+          (*lfit)->neighbor(1)->reorient(); ++lfit ; (*lfit)->reorient();
+        }
       }
       else { // dimension == 2
-	for( ;lfit  != faces_list.end(); ++lfit ) {
-	  if (orient) {(*lfit)->neighbor(2)->reorient();}
-	  else { (*lfit)->reorient();}
-	}
+        for( ;lfit  != faces_list.end(); ++lfit ) {
+          if (orient) {(*lfit)->neighbor(2)->reorient();}
+          else { (*lfit)->reorient();}
+        }
       }
 
       lfit = to_delete.begin();
       int i1, i2;
       for ( ;lfit  != to_delete.end(); ++lfit){
-	f = *lfit ;
-	int j ;
-	if (f->vertex(0) == w) {j=0;}
-	else {j=1;}
-	f1= f->neighbor(dim); i1= mirror_index(f,dim); //f1->index(f);
-	f2= f->neighbor(j); i2= mirror_index(f,j); //f2->index(f);
-	set_adjacency(f1, i1, f2, i2);
-	delete_face(f);
+        f = *lfit ;
+        int j ;
+        if (f->vertex(0) == w) {j=0;}
+        else {j=1;}
+        f1= f->neighbor(dim); i1= mirror_index(f,dim); //f1->index(f);
+        f2= f->neighbor(j); i2= mirror_index(f,j); //f2->index(f);
+        set_adjacency(f1, i1, f2, i2);
+        delete_face(f);
       }
-    
+
       v->set_face( *(faces_list.begin()));
     }
     break;
@@ -1099,42 +1099,42 @@ remove_degree_3(Vertex_handle v, Face_ha
 
   if (f == Face_handle()) {f= v->face();}
   else { CGAL_triangulation_assertion( f->has_vertex(v));}
-      
+
   int i = f->index(v);
   Face_handle left = f->neighbor(cw(i));
-  int li = mirror_index(f,cw(i)); 
+  int li = mirror_index(f,cw(i));
   Face_handle right = f->neighbor(ccw(i));
-  int ri = mirror_index(f,ccw(i)); 
+  int ri = mirror_index(f,ccw(i));
 
   Face_handle ll, rr;
   Vertex_handle q = left->vertex(li);
   CGAL_triangulation_assertion( left->vertex(li) == right->vertex(ri));
-    
+
   ll = left->neighbor(cw(li));
   if(ll != Face_handle()) {
-    int lli = mirror_index(left,cw(li)); 
+    int lli = mirror_index(left,cw(li));
     ll->set_neighbor(lli, f);
-  } 
+  }
   f->set_neighbor(cw(i), ll);
-  if (f->vertex(ccw(i))->face() == left) f->vertex(ccw(i))->set_face(f);    
-        
+  if (f->vertex(ccw(i))->face() == left) f->vertex(ccw(i))->set_face(f);
+
   rr = right->neighbor(ccw(ri));
   if(rr != Face_handle()) {
     int rri =  mirror_index(right,ccw(ri)); //rr->index(right);
     rr->set_neighbor(rri, f);
-  } 
+  }
   f->set_neighbor(ccw(i), rr);
-  if (f->vertex(cw(i))->face() == right) f->vertex(cw(i))->set_face(f);  
-        
+  if (f->vertex(cw(i))->face() == right) f->vertex(cw(i))->set_face(f);
+
   f->set_vertex(i, q);
   if (q->face() == right || q->face() == left) {
     q->set_face(f);
   }
   delete_face(right);
   delete_face(left);
-        
+
   delete_vertex(v);
-} 
+}
 
 template <class Vb, class Fb>
 void
@@ -1144,7 +1144,7 @@ dim_down(Face_handle f, int i)
   CGAL_triangulation_expensive_precondition( is_valid() );
   CGAL_triangulation_precondition( dimension() == 2 );
   CGAL_triangulation_precondition( number_of_vertices() > 3 );
-  CGAL_triangulation_precondition( degree( f->vertex(i) ) == 
+  CGAL_triangulation_precondition( degree( f->vertex(i) ) ==
                                    number_of_vertices()-1 );
 
   Vertex_handle v = f->vertex(i);
@@ -1177,12 +1177,12 @@ dim_down(Face_handle f, int i)
   Vertex_handle v1 = f->vertex(1);
   f->set_vertex(1, v);
   Face_handle fl = create_face(v, v1, Vertex_handle(),
-	                       n0, f, Face_handle());
+                               n0, f, Face_handle());
   f->set_neighbor(0, fl);
   n0->set_neighbor(1, fl);
   v->set_face(f);
 }
-  
+
 template <class Vb, class Fb>
 void
 Triangulation_data_structure_2<Vb,Fb>::
@@ -1190,7 +1190,7 @@ remove_dim_down(Vertex_handle v)
 {
   Face_handle f;
   switch( dimension()){
-  case -1: 
+  case -1:
     delete_face(v->face());
     break;
   case 0:
@@ -1200,7 +1200,7 @@ remove_dim_down(Vertex_handle v)
     break;
   case 1:
   case 2:
-//  CGAL_triangulation_precondition ( 
+//  CGAL_triangulation_precondition (
 //           (dimension() == 1 &&  number_of_vertices() == 3) ||
 //           (dimension() == 2 && number_of_vertices() > 3) );
     // the faces incident to v are down graded one dimension
@@ -1218,15 +1218,15 @@ remove_dim_down(Vertex_handle v)
     for( ; lfit !=  to_downgrade.end() ; ++lfit) {
       f = *lfit; j = f->index(v);
       if (dimension() == 1) {
-	if (j == 0) 	f->reorient();
-	f->set_vertex(1,Vertex_handle());
-	f->set_neighbor(1, Face_handle());
+        if (j == 0)         f->reorient();
+        f->set_vertex(1,Vertex_handle());
+        f->set_neighbor(1, Face_handle());
       }
       else { //dimension() == 2
-	if (j == 0) f->cw_permute();
-	else if(j == 1) f->ccw_permute();
-	f->set_vertex(2, Vertex_handle());
-	f->set_neighbor(2, Face_handle());
+        if (j == 0) f->cw_permute();
+        else if(j == 1) f->ccw_permute();
+        f->set_vertex(2, Vertex_handle());
+        f->set_neighbor(2, Face_handle());
       }
       f->vertex(0)->set_face(f);
     }
@@ -1235,7 +1235,7 @@ remove_dim_down(Vertex_handle v)
     for( ; lfit !=  to_delete.end() ; ++lfit) {
       delete_face(*lfit);
     }
-  }  
+  }
   delete_vertex(v);
   set_dimension(dimension() -1);
   return;
@@ -1243,11 +1243,11 @@ remove_dim_down(Vertex_handle v)
 
 template <  class Vb, class Fb>
 void
-Triangulation_data_structure_2<Vb,Fb>::  
+Triangulation_data_structure_2<Vb,Fb>::
 remove_1D(Vertex_handle v)
 {
   CGAL_triangulation_precondition( dimension() == 1 &&
-				   number_of_vertices() > 3);
+                                   number_of_vertices() > 3);
   Face_handle f = v->face();
   int i = f->index(v);
   if (i==0) {f = f->neighbor(1);}
@@ -1269,21 +1269,21 @@ Triangulation_data_structure_2<Vb,Fb>::
 remove_second(Vertex_handle v)
 {
   CGAL_triangulation_precondition(number_of_vertices()== 2 &&
- 				  dimension() == 0);
+                                   dimension() == 0);
   remove_dim_down(v);
   return;
 }
 
-    
+
 template <class Vb, class Fb>
 inline void
 Triangulation_data_structure_2<Vb,Fb>::
 remove_first(Vertex_handle v)
 {
-  CGAL_triangulation_precondition(number_of_vertices()== 1 && 
- 				  dimension() == -1);
+  CGAL_triangulation_precondition(number_of_vertices()== 1 &&
+                                   dimension() == -1);
   remove_dim_down(v);
-  return; 
+  return;
 }
 
 template <class Vb, class Fb>
@@ -1305,9 +1305,9 @@ star_hole(Vertex_handle newv, List_edges
   // the triangulation is assumed to have dim=2
   // hole is supposed to be ccw oriented
 {
-   
+
   star_hole(newv, hole.begin(), hole.end());
-  return;	    
+  return;
 }
 
 template <class Vb, class Fb>
@@ -1318,7 +1318,7 @@ make_hole(Vertex_handle v, List_edges& h
   // and return the dscription of the hole in hole
 {
  CGAL_triangulation_precondition(dimension() == 2);
- std::list<Face_handle> to_delete;  
+ std::list<Face_handle> to_delete;
 
  Face_handle  f, fn;
  int i =0, in =0;
@@ -1404,14 +1404,14 @@ create_face( Face_handle fh)
 template <class Vb, class Fb>
 typename Triangulation_data_structure_2<Vb,Fb>::Face_handle
 Triangulation_data_structure_2<Vb,Fb>::
-create_face(Face_handle f1, int i1, 
-	    Face_handle f2, int i2, 
-	    Face_handle f3, int i3)
+create_face(Face_handle f1, int i1,
+            Face_handle f2, int i2,
+            Face_handle f3, int i3)
 {
   Face_handle newf = faces().emplace(f1->vertex(cw(i1)),
-					      f2->vertex(cw(i2)),
-					      f3->vertex(cw(i3)),
-					      f2, f3, f1);
+                                              f2->vertex(cw(i2)),
+                                              f3->vertex(cw(i3)),
+                                              f2, f3, f1);
   f1->set_neighbor(i1,newf);
   f2->set_neighbor(i2,newf);
   f3->set_neighbor(i3,newf);
@@ -1424,9 +1424,9 @@ Triangulation_data_structure_2<Vb,Fb>::
 create_face(Face_handle f1, int i1, Face_handle f2, int i2)
 {
   Face_handle newf = faces().emplace(f1->vertex(cw(i1)),
-					      f2->vertex(cw(i2)),
-					      f2->vertex(ccw(i2)),
-					      f2, Face_handle(), f1);
+                                              f2->vertex(cw(i2)),
+                                              f2->vertex(ccw(i2)),
+                                              f2, Face_handle(), f1);
   f1->set_neighbor(i1,newf);
   f2->set_neighbor(i2,newf);
   return newf;
@@ -1458,7 +1458,7 @@ template <class Vb, class Fb>
 typename Triangulation_data_structure_2<Vb,Fb>::Face_handle
 Triangulation_data_structure_2<Vb,Fb>::
 create_face(Vertex_handle v1, Vertex_handle v2, Vertex_handle v3,
-	    Face_handle f1, Face_handle f2, Face_handle f3)
+            Face_handle f1, Face_handle f2, Face_handle f3)
 {
   Face_handle newf = faces().emplace(v1, v2, v3, f1, f2, f3);
 
@@ -1485,7 +1485,7 @@ delete_face(Face_handle f)
   CGAL_triangulation_expensive_precondition( dimension() != 2 || is_face(f));
   CGAL_triangulation_expensive_precondition( dimension() != 1 || is_edge(f,2));
   CGAL_triangulation_expensive_precondition( dimension() != 0 ||
-					     is_vertex(f->vertex(0)) );
+                                             is_vertex(f->vertex(0)) );
   faces().erase(f);
 }
 
@@ -1637,7 +1637,7 @@ join_vertices(Face_handle f, int i, Vert
   CGAL_triangulation_precondition( i >= 0 && i <= 2 );
 
   // this methods does the "join"-operation and preserves
-  // the vertex v among the two vertices that define the edge (f, i) 
+  // the vertex v among the two vertices that define the edge (f, i)
 
   Vertex_handle v1 = f->vertex( ccw(i) );
   Vertex_handle v2 = f->vertex( cw(i)  );
@@ -1656,7 +1656,7 @@ join_vertices(Face_handle f, int i, Vert
     remove_degree_3(v2, f->neighbor(ccw(i)));
     return v1;
   }
-  
+
   /*
   // The following drawing corrsponds to the variables
   // used in this part...
@@ -1672,10 +1672,10 @@ join_vertices(Face_handle f, int i, Vert
   //           / \       / \
   //          /   \  g  /   \
   //         /  bl \   /  br \
-  //        /       \ /	      \
+  //        /       \ /              \
   //       *---------*---------*
   //      ibl       j=v4      ibr
-  //                                                           
+  //
   // The situation after the "join"-operation is as follows:
   //
   //                 i
@@ -1688,9 +1688,9 @@ join_vertices(Face_handle f, int i, Vert
   //                 *  v1
   //                /|\
   //               / | \
-  //              /  |	\
+  //              /  |        \
   //             / bl|br \
-  //            /    |	  \
+  //            /    |          \
   //           *-----*-----*
   //
   */
@@ -1712,7 +1712,7 @@ join_vertices(Face_handle f, int i, Vert
   int ibr = mirror_index(g, cw(j)  );
 
   // we need to store the faces adjacent to v2 as well as the
-  // indices of v2 w.r.t. these faces, so that afterwards we can set 
+  // indices of v2 w.r.t. these faces, so that afterwards we can set
   // v1 to be the vertex for these faces
   std::vector<Face_handle> star_faces_of_v2;
   std::vector<int> star_indices_of_v2;
@@ -1743,7 +1743,7 @@ join_vertices(Face_handle f, int i, Vert
     star_faces_of_v2[k]->set_vertex( id, v1 );
   }
 
-  // then make sure that all the vertices have correct pointers to 
+  // then make sure that all the vertices have correct pointers to
   // faces
   Vertex_handle v3 = f->vertex(i);
   Vertex_handle v4 = g->vertex(j);
@@ -1789,7 +1789,7 @@ insert_degree_2(Face_handle f, int i)
   //                 i                             / \
   //                 *                            /   \
   //                / \                          /  f  \
-  //               /   \                        / _____	\
+  //               /   \                        / _____        \
   //              /  f  \                      / /  f1 \ \
   //             /       \                     |/   v   \|
   //  v0=ccw(i) *---------* v1=cw(i)  ===>  v0 *----*----* v1
@@ -1870,16 +1870,16 @@ bool
 Triangulation_data_structure_2<Vb,Fb>::
 is_valid(bool verbose, int level) const
 {
-  if(number_of_vertices() == 0){ 
+  if(number_of_vertices() == 0){
     return (dimension() == -2);
   }
 
-      
+
   bool result = (dimension()>= -1);
   CGAL_triangulation_assertion(result);
 
   //count and test the validity of the faces (for positive dimensions)
-  Face_iterator ib = face_iterator_base_begin(); 
+  Face_iterator ib = face_iterator_base_begin();
   Face_iterator ib_end = face_iterator_base_end();
   size_type count_stored_faces =0;
   for ( ; ib != ib_end ; ++ib){
@@ -1889,11 +1889,11 @@ is_valid(bool verbose, int level) const
       CGAL_triangulation_assertion(result);
     }
   }
-  
+
   result = result && (count_stored_faces == number_of_full_dim_faces());
   CGAL_triangulation_assertion(
-		 count_stored_faces == number_of_full_dim_faces());
- 
+                 count_stored_faces == number_of_full_dim_faces());
+
   // vertex count
   size_type vertex_count = 0;
   for(Vertex_iterator vit = vertices_begin(); vit != vertices_end();
@@ -1905,10 +1905,10 @@ is_valid(bool verbose, int level) const
   }
   result = result && (number_of_vertices() == vertex_count);
   CGAL_triangulation_assertion( number_of_vertices() == vertex_count );
-    
+
   //edge count
   size_type edge_count = 0;
-  for(Edge_iterator eit = edges_begin(); eit != edges_end(); ++eit) { 
+  for(Edge_iterator eit = edges_begin(); eit != edges_end(); ++eit) {
     ++edge_count;
   }
 
@@ -1917,9 +1917,9 @@ is_valid(bool verbose, int level) const
   for(Face_iterator fit = faces_begin(); fit != faces_end(); ++fit) {
     ++face_count;
   }
-        
+
   switch(dimension()) {
-  case -1: 
+  case -1:
     result = result && vertex_count == 1 && face_count == 0
       && edge_count == 0;
     CGAL_triangulation_assertion(result);
@@ -1955,7 +1955,7 @@ copy_tds(const TDS_src& tds_src,
         const ConvertVertex& convert_vertex,
         const ConvertFace& convert_face)
 {
-  if (vert != typename TDS_src::Vertex_handle()) 
+  if (vert != typename TDS_src::Vertex_handle())
     CGAL_triangulation_precondition( tds_src.is_vertex(vert));
 
   clear();
@@ -1964,9 +1964,9 @@ copy_tds(const TDS_src& tds_src,
 
   // Number of pointers to cell/vertex to copy per cell.
   int dim = (std::max)(1, dimension() + 1);
- 
+
   if(n == 0) {return Vertex_handle();}
-  
+
   //initializes maps
   Unique_hash_map<typename TDS_src::Vertex_handle,Vertex_handle> vmap;
   Unique_hash_map<typename TDS_src::Face_handle,Face_handle> fmap;
@@ -1979,7 +1979,7 @@ copy_tds(const TDS_src& tds_src,
     convert_vertex(*vit1, *vh);
   }
 
-  //create faces 
+  //create faces
   typename TDS_src::Face_iterator fit1 = tds_src.faces().begin();
   for( ; fit1 != tds_src.faces_end(); ++fit1) {
     Face_handle fh = create_face( convert_face(*fit1) );
@@ -1987,7 +1987,7 @@ copy_tds(const TDS_src& tds_src,
     convert_face(*fit1, *fh);
   }
 
-  //link vertices to a cell 
+  //link vertices to a cell
   vit1 = tds_src.vertices_begin();
   for ( ; vit1 != tds_src.vertices_end(); vit1++) {
     vmap[vit1]->set_face(fmap[vit1->face()]);
@@ -1997,11 +1997,11 @@ copy_tds(const TDS_src& tds_src,
   fit1 = tds_src.faces().begin();
   for ( ; fit1 != tds_src.faces_end(); ++fit1) {
       for (int j = 0; j < dim ; ++j) {
-	fmap[fit1]->set_vertex(j, vmap[fit1->vertex(j)] );
-	fmap[fit1]->set_neighbor(j, fmap[fit1->neighbor(j)]);
+        fmap[fit1]->set_vertex(j, vmap[fit1->vertex(j)] );
+        fmap[fit1]->set_neighbor(j, fmap[fit1->neighbor(j)]);
       }
     }
-   
+
   // remove the post condition because it is false when copying the
   // TDS of a regular triangulation because of hidden vertices
   // CGAL_triangulation_postcondition( is_valid() );
@@ -2016,7 +2016,7 @@ namespace internal { namespace TDS_2{
     Vertex_tgt operator()(const Vertex_src& src) const {
       return Vertex_tgt( src.point() );
     }
-    
+
     void operator()(const Vertex_src&,Vertex_tgt&) const {}
   };
 
@@ -2025,27 +2025,27 @@ namespace internal { namespace TDS_2{
   {
     Face_tgt operator()(const Face_src& /*src*/) const {
       return Face_tgt();
-    } 
-    
+    }
+
     void operator()(const Face_src&,Face_tgt&) const {}
   };
-  
+
   template <class Vertex>
   struct Default_vertex_converter<Vertex,Vertex>
   {
     const Vertex& operator()(const Vertex& src) const {
       return src;
     }
-    
+
     void operator()(const Vertex&,Vertex&) const {}
   };
-  
+
   template <class Face>
   struct Default_face_converter<Face,Face>{
     const Face& operator()(const Face& src) const {
       return src;
-    } 
-    
+    }
+
     void operator()(const Face&,Face&) const {}
   };
 } } //namespace internal::TDS_2
@@ -2072,7 +2072,7 @@ file_output( std::ostream& os, Vertex_ha
   // if non nullptr, v is the vertex to be output first
   // if skip_first is true, the point in the first vertex is not output
   // (it may be for instance the infinite vertex of the triangulation)
-  
+
   size_type n = number_of_vertices();
   size_type m = number_of_full_dim_faces();
   if(is_ascii(os))  os << n << ' ' << m << ' ' << dimension() << std::endl;
@@ -2083,7 +2083,7 @@ file_output( std::ostream& os, Vertex_ha
   Unique_hash_map<Face_handle,int> F;
 
 
-  // first vertex 
+  // first vertex
   int inum = 0;
   if ( v != Vertex_handle()) {
     V[v] = inum++;
@@ -2093,14 +2093,14 @@ file_output( std::ostream& os, Vertex_ha
     if(is_ascii(os))  os << std::endl;
     }
   }
-  
+
   // other vertices
   for( Vertex_iterator vit= vertices_begin(); vit != vertices_end() ; ++vit) {
     if ( v != vit ) {
-	V[vit] = inum++;
-	// os << vit->point();
-	os << *vit;
-	if(is_ascii(os)) os << "\n";
+        V[vit] = inum++;
+        // os << vit->point();
+        os << *vit;
+        if(is_ascii(os)) os << "\n";
     }
   }
   if(is_ascii(os)) os << "\n";
@@ -2119,7 +2119,7 @@ file_output( std::ostream& os, Vertex_ha
     if(is_ascii(os)) os << "\n";
   }
   if(is_ascii(os)) os << "\n";
-    
+
   // neighbor pointers of the  faces
   for( Face_iterator it = face_iterator_base_begin();
        it != face_iterator_base_end(); ++it) {
@@ -2144,7 +2144,7 @@ file_input( std::istream& is, bool skip_
   // if skip_first is true, a first vertex is added (infinite_vertex)
   //set this  first vertex as infinite_Vertex
   if(number_of_vertices() != 0)    clear();
-  
+
   size_type n, m;
   int d;
   is >> n >> m >> d;
@@ -2166,7 +2166,7 @@ file_input( std::istream& is, bool skip_
     V[i] = create_vertex();
     is >> *(V[i]);
   }
-  
+
   // Creation of the faces
   int index;
   int dim = (dimension() == -1 ? 1 :  dimension() + 1);
@@ -2174,27 +2174,27 @@ file_input( std::istream& is, bool skip_
     for(i = 0; i < m; ++i) {
       F[i] = create_face() ;
       for(int j = 0; j < dim ; ++j){
-	is >> index;
-	F[i]->set_vertex(j, V[index]);
-	// The face pointer of vertices is set too often,
-	// but otherwise we had to use a further map
-	V[index]->set_face(F[i]);
+        is >> index;
+        F[i]->set_vertex(j, V[index]);
+        // The face pointer of vertices is set too often,
+        // but otherwise we had to use a further map
+        V[index]->set_face(F[i]);
       }
       // read in non combinatorial info of the face
       is >> *(F[i]) ;
     }
   }
 
-  // Setting the neighbor pointers 
+  // Setting the neighbor pointers
   {
     for(i = 0; i < m; ++i) {
       for(int j = 0; j < dimension()+1; ++j){
-	is >> index;
-	F[i]->set_neighbor(j, F[index]);
+        is >> index;
+        F[i]->set_neighbor(j, F[index]);
       }
     }
   }
-  
+
   return V[0];
 }
 
@@ -2243,11 +2243,11 @@ vrml_output( std::ostream& os, Vertex_ha
    // faces
    for(fit= faces_begin(); fit != faces_end(); ++fit) {
      if (!skip_infinite || !fit->has_vertex(v)) {
-   	os << "\t\t\t";
-	os << vmap[(*fit).vertex(0)] << ", ";
-	os << vmap[(*fit).vertex(1)] << ", ";
-	os << vmap[(*fit).vertex(2)] << ", ";
-	os << "-1, " << std::endl;  
+           os << "\t\t\t";
+        os << vmap[(*fit).vertex(0)] << ", ";
+        os << vmap[(*fit).vertex(1)] << ", ";
+        os << vmap[(*fit).vertex(2)] << ", ";
+        os << "-1, " << std::endl;
      }
    }
    os << "\t\t]" << std::endl;
@@ -2271,8 +2271,8 @@ off_file_input( std::istream& is, bool v
   if (! is) {
     if (scanner.verbose()) {
          std::cerr << " " << std::endl;
-	 std::cerr << "TDS::off_file_input" << std::endl;
-	 std::cerr << " input error: file format is not OFF." << std::endl;
+         std::cerr << "TDS::off_file_input" << std::endl;
+         std::cerr << " input error: file format is not OFF." << std::endl;
     }
     return vinf;
   }
@@ -2307,10 +2307,10 @@ off_file_input( std::istream& is, bool v
     scanner.scan_facet( no, i);
     if( ! is || no != 3) {
       if ( scanner.verbose()) {
-	std::cerr << " " << std::endl;
-	std::cerr << "TDS::off_file_input" << std::endl;
-	std::cerr << "facet " << i << "does not have  3 vertices." 
-		  << std::endl;
+        std::cerr << " " << std::endl;
+        std::cerr << "TDS::off_file_input" << std::endl;
+        std::cerr << "facet " << i << "does not have  3 vertices."
+                  << std::endl;
       }
       is.clear( std::ios::badbit);
       return vinf;
@@ -2324,7 +2324,7 @@ off_file_input( std::istream& is, bool v
     }
 
     for (std::size_t ih  = 0; ih < no; ++ih) {
-	set_adjacency(fh, ih, edge_map);
+        set_adjacency(fh, ih, edge_map);
     }
   }
 
@@ -2335,9 +2335,9 @@ off_file_input( std::istream& is, bool v
    while (!edge_map.empty()) {
      Face_handle fh = edge_map.begin()->second.first;
      int ih = edge_map.begin()->second.second;
-     Face_handle fn = create_face( vinf, 
-				   fh->vertex(cw(ih)), 
-				   fh->vertex(ccw(ih)));
+     Face_handle fn = create_face( vinf,
+                                   fh->vertex(cw(ih)),
+                                   fh->vertex(ccw(ih)));
      vinf->set_face(fn);
      set_adjacency(fn, 0, fh, ih);
      set_adjacency(fn, 1, inf_edge_map);
@@ -2346,8 +2346,8 @@ off_file_input( std::istream& is, bool v
    }
    CGAL_triangulation_assertion(inf_edge_map.empty());
   }
-  
-  
+
+
   // coherent orientation
   reorient_faces();
   return vinf;
@@ -2357,16 +2357,16 @@ off_file_input( std::istream& is, bool v
 template < class Vb, class Fb>
 void
 Triangulation_data_structure_2<Vb,Fb>::
-set_adjacency(Face_handle fh, 
-	      int ih, 
-	      std::map< Vh_pair, Edge>& edge_map)
+set_adjacency(Face_handle fh,
+              int ih,
+              std::map< Vh_pair, Edge>& edge_map)
 {
   // set adjacency to (fh,ih) using the the map edge_map
   // or insert (fh,ih) in edge map
   Vertex_handle vhcw  =  fh->vertex(cw(ih));
-  Vertex_handle vhccw =  fh->vertex(ccw(ih)); 
-  Vh_pair  vhp =  vhcw < vhccw ?  
-                  std::make_pair(vhcw, vhccw) 
+  Vertex_handle vhccw =  fh->vertex(ccw(ih));
+  Vh_pair  vhp =  vhcw < vhccw ?
+                  std::make_pair(vhcw, vhccw)
                 : std::make_pair(vhccw, vhcw) ;
   typename std::map<Vh_pair, Edge>::iterator emapit = edge_map.find(vhp);
   if (emapit == edge_map.end()) {// not found, insert edge
@@ -2376,7 +2376,7 @@ set_adjacency(Face_handle fh,
     Edge e = emapit->second;
     set_adjacency( fh,ih, e.first, e.second);
     edge_map.erase(emapit);
-  } 
+  }
 }
 
 
@@ -2386,9 +2386,9 @@ void
 Triangulation_data_structure_2<Vb,Fb>::
 reorient_faces()
 {
-  // reorient the faces of a triangulation 
+  // reorient the faces of a triangulation
   // needed for example in off_file_input
-  // because the genus is not known, the number of faces 
+  // because the genus is not known, the number of faces
   std::set<Face_handle> oriented_set;
   std::stack<Face_handle>  st;
   Face_iterator fit = faces_begin();
@@ -2396,7 +2396,7 @@ reorient_faces()
 
   while (0 != nf) {
     while ( !oriented_set.insert(fit).second ){
-      ++fit; // find a germ for  non oriented components 
+      ++fit; // find a germ for  non oriented components
     }
     // orient component
     --nf;
@@ -2405,25 +2405,25 @@ reorient_faces()
       Face_handle fh = st.top();
       st.pop();
       for(int ih = 0 ; ih < 3 ; ++ih){
-	Face_handle fn = fh->neighbor(ih);
-	if (oriented_set.insert(fn).second){
-	  int in = fn->index(fh);
-	  if (fn->vertex(cw(in)) != fh->vertex(ccw(ih))) fn->reorient();
+        Face_handle fn = fh->neighbor(ih);
+        if (oriented_set.insert(fn).second){
+          int in = fn->index(fh);
+          if (fn->vertex(cw(in)) != fh->vertex(ccw(ih))) fn->reorient();
           --nf;
-	  st.push(fn);
-	}
+          st.push(fn);
+        }
       }
     }
 
   }
   return;
 }
-	  
+
 
 template <  class Vb, class Fb>
 std::istream&
-operator>>(std::istream& is,  
-	   Triangulation_data_structure_2<Vb,Fb>& tds) 
+operator>>(std::istream& is,
+           Triangulation_data_structure_2<Vb,Fb>& tds)
 {
   tds.file_input(is);
   return is;
@@ -2432,14 +2432,14 @@ operator>>(std::istream& is,
 
 template <  class Vb, class Fb>
 std::ostream&
-operator<<(std::ostream& os, 
-	   const Triangulation_data_structure_2<Vb,Fb>  &tds) 
+operator<<(std::ostream& os,
+           const Triangulation_data_structure_2<Vb,Fb>  &tds)
 {
    tds.file_output(os);
    return os;
 }
 
 
-} //namespace CGAL 
+} //namespace CGAL
 
 #endif //CGAL_TRIANGULATION_DATA_STRUCTURE_2_H
diff -pruN 5.0.2-3/include/CGAL/Triangulation_data_structure_3.h 5.0.3-1/include/CGAL/Triangulation_data_structure_3.h
--- 5.0.2-3/include/CGAL/Triangulation_data_structure_3.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_data_structure_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_3/include/CGAL/Triangulation_data_structure_3.h $
-// $Id: Triangulation_data_structure_3.h 759cb0e 2019-12-10T13:52:41+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_3/include/CGAL/Triangulation_data_structure_3.h $
+// $Id: Triangulation_data_structure_3.h ad23db2 2020-06-30T16:36:58+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -118,7 +118,7 @@ private:
   friend class internal::Triangulation_ds_facet_circulator_3<Tds>;
 
 public:
-    
+
   // Cells
   // N.B.: Concurrent_compact_container requires TBB
 #ifdef CGAL_LINKED_WITH_TBB
@@ -147,7 +147,7 @@ public:
   typedef Compact_container<Vertex>                      Vertex_range;
 #endif
 
-  
+
   typedef typename Cell_range::size_type       size_type;
   typedef typename Cell_range::difference_type difference_type;
 
@@ -165,7 +165,7 @@ public:
 
   typedef Iterator_range<Facet_iterator> Facets;
   typedef Iterator_range<Edge_iterator> Edges;
-  
+
 //private: // In 2D only :
   typedef internal::Triangulation_ds_face_circulator_3<Tds>  Face_circulator;
 
@@ -217,7 +217,7 @@ public:
       a6=v6;
     }
   };
-//#endif  
+//#endif
 
 
 public:
@@ -575,7 +575,7 @@ public:
 
 
   //INSERTION
-  
+
   // Create a finite cell with v1, v2, v3 and v4
   // Precondition: v1, v2, v3 and v4 MUST BE positively oriented
   Vertex_handle insert_first_finite_cell(
@@ -636,9 +636,9 @@ public:
 
   Cell_handles cell_handles() const
   {
-    return make_prevent_deref_range(cells_begin(), cells_end()); 
+    return make_prevent_deref_range(cells_begin(), cells_end());
   }
-  
+
   Cell_iterator raw_cells_begin() const
   {
     return cells().begin();
@@ -665,7 +665,7 @@ public:
   {
     return Facets(facets_begin(), facets_end());
   }
-  
+
   Edge_iterator edges_begin() const
   {
     if ( dimension() < 1 )
@@ -682,7 +682,7 @@ public:
   {
     return Edges(edges_begin(), edges_end());
   }
-  
+
   Vertex_iterator vertices_begin() const
   {
     return vertices().begin();
@@ -695,9 +695,9 @@ public:
 
   Vertex_handles vertex_handles() const
   {
-    return make_prevent_deref_range(vertices_begin(), vertices_end()); 
+    return make_prevent_deref_range(vertices_begin(), vertices_end());
   }
-  
+
   // CIRCULATOR METHODS
 
   // cells around an edge
@@ -776,16 +776,16 @@ private:
                                  IncidentFacetIterator> it) const
   {
         CGAL_triangulation_precondition(dimension() == 3);
-        
+
         std::stack<Cell_handle> cell_stack;
         cell_stack.push(d);
         d->tds_data().mark_in_conflict();
         *it.first++ = d;
-        
+
         do {
                 Cell_handle c = cell_stack.top();
                 cell_stack.pop();
-                
+
                 for (int i=0; i<4; ++i) {
                         if (c->vertex(i) == v)
                                 continue;
@@ -832,7 +832,7 @@ private:
       ++head;
     } while(head != tail);
   }
-  
+
   void just_incident_cells_3(Vertex_handle v,
                              std::vector<Cell_handle>& cells) const
   {
@@ -920,7 +920,7 @@ public:
         output = f.output;
         filter = f.filter;
         return *this;
-      }  
+      }
       Facet_it(const Facet_it&)=default;
     };
     Facet_it facet_it() {
@@ -988,7 +988,7 @@ public:
     Filter filter;
   public:
     Vertex_extractor(Vertex_handle _v, OutputIterator _output, const Tds* _t, Filter _filter):
-    v(_v), treat(_output), t(_t), filter(_filter) 
+    v(_v), treat(_output), t(_t), filter(_filter)
     {
 #if ( BOOST_VERSION >= 105000 )
       tmp_vertices.reserve(64);
@@ -1032,15 +1032,15 @@ public:
 
     void operator()(Cell_handle c) {
       for (int j=0; j<= t->dimension(); ++j) {
-	Vertex_handle w = c->vertex(j);
-	if(filter(w))
-	  continue;
-	if (w != v){
+        Vertex_handle w = c->vertex(j);
+        if(filter(w))
+          continue;
+        if (w != v){
 
           if(! w->visited_for_vertex_extractor){
             w->visited_for_vertex_extractor = true;
             tmp_vertices.push_back(w);
-	    treat(c, v, j);
+            treat(c, v, j);
           }
         }
       }
@@ -1111,7 +1111,7 @@ public:
   void incident_cells_3(Vertex_handle v,
                         std::vector<Cell_handle>& cells) const
   {
-    just_incident_cells_3(v, cells);  
+    just_incident_cells_3(v, cells);
     typename std::vector<Cell_handle>::iterator cit,end;
     for(cit = cells.begin(), end = cells.end();
               cit != end;
@@ -1120,7 +1120,7 @@ public:
       (*cit)->tds_data().clear();
     }
   }
-  
+
   template <class Filter, class OutputIterator>
   OutputIterator
   incident_cells_threadsafe(Vertex_handle v, OutputIterator cells, Filter f = Filter()) const
@@ -1153,7 +1153,7 @@ public:
   {
     return incident_facets<False_filter>(v, facets);
   }
-  
+
   template <class Filter, class OutputIterator>
   OutputIterator
   incident_facets_threadsafe(Vertex_handle v, OutputIterator facets, Filter f = Filter()) const
@@ -1212,7 +1212,7 @@ public:
   template <class Filter, class OutputIterator>
   OutputIterator
   incident_edges_threadsafe(Vertex_handle v, OutputIterator edges,
-			    Filter f = Filter()) const
+                            Filter f = Filter()) const
   {
     CGAL_triangulation_precondition( v != Vertex_handle() );
     CGAL_triangulation_precondition( dimension() >= 1 );
@@ -1225,7 +1225,7 @@ public:
     return visit_incident_cells_threadsafe<
       Vertex_extractor<Edge_feeder_treatment<OutputIterator>,
                        OutputIterator, Filter,
-                       internal::Has_member_visited<Vertex>::value>,
+                       false>,
       OutputIterator>(v, edges, f);
   }
 
@@ -1297,6 +1297,52 @@ public:
     return adjacent_vertices<False_filter>(v, vertices);
   }
 
+  template <class OutputIterator>
+  OutputIterator
+  adjacent_vertices_threadsafe(Vertex_handle v, OutputIterator vertices) const
+  {
+    return adjacent_vertices_threadsafe<False_filter>(v, vertices);
+  }
+
+  template <class Filter, class OutputIterator>
+  OutputIterator
+  adjacent_vertices_threadsafe(Vertex_handle v, OutputIterator vertices,
+                               Filter f = Filter()) const
+  {
+    CGAL_triangulation_precondition(v != Vertex_handle());
+    CGAL_triangulation_precondition(dimension() >= -1);
+    CGAL_triangulation_expensive_precondition(is_vertex(v));
+    CGAL_triangulation_expensive_precondition(is_valid());
+
+    if (dimension() == -1)
+      return vertices;
+
+    if (dimension() == 0) {
+      Vertex_handle v1 = v->cell()->neighbor(0)->vertex(0);
+      if (!f(v1)) *vertices++ = v1;
+      return vertices;
+    }
+
+    if (dimension() == 1) {
+      CGAL_triangulation_assertion(number_of_vertices() >= 3);
+      Cell_handle n0 = v->cell();
+      const int index_v_in_n0 = n0->index(v);
+      CGAL_assume(index_v_in_n0 <= 1);
+      Cell_handle n1 = n0->neighbor(1 - index_v_in_n0);
+      const int index_v_in_n1 = n1->index(v);
+      CGAL_assume(index_v_in_n1 <= 1);
+      Vertex_handle v1 = n0->vertex(1 - index_v_in_n0);
+      Vertex_handle v2 = n1->vertex(1 - index_v_in_n1);
+      if (!f(v1)) *vertices++ = v1;
+      if (!f(v2)) *vertices++ = v2;
+      return vertices;
+    }
+    return visit_incident_cells_threadsafe<
+      Vertex_extractor<Vertex_feeder_treatment<OutputIterator>, OutputIterator, Filter,
+                       false>,
+      OutputIterator>(v, vertices, f);
+  }
+
   template <class Visitor, class OutputIterator, class Filter>
   OutputIterator
   visit_incident_cells(Vertex_handle v, OutputIterator output, Filter f) const
@@ -1323,11 +1369,11 @@ public:
     {
       (*cit)->tds_data().clear();
       visit(*cit);
-    } 
+    }
 
     return visit.result();
   }
-  
+
   template <class Visitor, class OutputIterator, class Filter>
   OutputIterator
   visit_incident_cells_threadsafe(
@@ -1355,14 +1401,14 @@ public:
         ++cit)
     {
       visit(*cit);
-    } 
+    }
 
     return visit.result();
   }
-  
+
   template <class Visitor, class OutputIterator, class Filter>
   OutputIterator
-  visit_incident_cells(Vertex_handle v, OutputIterator output, 
+  visit_incident_cells(Vertex_handle v, OutputIterator output,
                        std::vector<Cell_handle> &cells, Filter f) const
   {
     CGAL_triangulation_precondition( v != Vertex_handle() );
@@ -1419,7 +1465,7 @@ public:
     }
     return visit.result();
   }
-  
+
   // For dimension 3 only
   template <class VertexFilter, class OutputVertexIterator>
   OutputVertexIterator
@@ -1432,12 +1478,12 @@ public:
     CGAL_triangulation_expensive_precondition( is_vertex(v) );
     CGAL_triangulation_expensive_precondition( is_valid() );
 
-    return 
+    return
       visit_incident_cells
       <
         Vertex_extractor<Vertex_feeder_treatment<OutputVertexIterator>,
-                         OutputVertexIterator, 
-                         VertexFilter, 
+                         OutputVertexIterator,
+                         VertexFilter,
                          internal::Has_member_visited<Vertex>::value>,
         OutputVertexIterator
       >(v, vertices, cells, f);
@@ -1474,7 +1520,7 @@ public:
   template <class TDS_src,class ConvertVertex,class ConvertCell>
   Vertex_handle copy_tds(const TDS_src&, typename TDS_src::Vertex_handle,const ConvertVertex&,const ConvertCell&);
 
-  
+
   void swap(Tds & tds);
 
   void clear();
@@ -1685,9 +1731,9 @@ non_recursive_create_star_3(Vertex_handl
     cnew->set_vertex(li, v);
     Cell_handle c_li = c->neighbor(li);
     set_adjacency(cnew, li, c_li, c_li->index(c));
-    
+
     std::stack<iAdjacency_info> adjacency_info_stack;
-  
+
     int ii=0;
     do
     {
@@ -1728,14 +1774,14 @@ non_recursive_create_star_3(Vertex_handl
           cnew = create_cell(c->vertex(0),c->vertex(1),c->vertex(2),c->vertex(3));
           cnew->set_vertex(li, v);
           c_li = c->neighbor(li);
-          set_adjacency(cnew, li, c_li, c_li->index(c));          
+          set_adjacency(cnew, li, c_li, c_li->index(c));
           continue;
         }
         set_adjacency(nnn, zzz, cnew, ii);
       }
       while (++ii==4){
         if ( adjacency_info_stack.empty() ) return cnew;
-        Cell_handle nnn=cnew; 
+        Cell_handle nnn=cnew;
         int zzz;
         adjacency_info_stack.top().update_variables(zzz,cnew,ii,c,li,prev_ind2);
         adjacency_info_stack.pop();
@@ -2592,7 +2638,7 @@ Triangulation_data_structure_3<Vb,Cb,Ct>
   Vertex_handle &v0, Vertex_handle &v1, Vertex_handle &v2, Vertex_handle &v3,
   Vertex_handle v_infinite)
 {
-  CGAL_triangulation_precondition( 
+  CGAL_triangulation_precondition(
     (v_infinite == Vertex_handle() && dimension() == -2)
     || (v_infinite != Vertex_handle() && dimension() == -1));
 
@@ -2942,32 +2988,32 @@ insert_increase_dimension(Vertex_handle
       CGAL_assertion(i==0 || i==1);
       int j = (i == 0) ? 1 : 0;
       Cell_handle d = c->neighbor(j);
-        
+
       c->set_vertex(2,v);
 
       Cell_handle e = c->neighbor(i);
       Cell_handle cnew = c;
       Cell_handle enew = Cell_handle();
-        
+
       while( e != d ){
         enew = create_cell();
         enew->set_vertex(i,e->vertex(j));
         enew->set_vertex(j,e->vertex(i));
         enew->set_vertex(2,star);
-        
+
         set_adjacency(enew, i, cnew, j);
         // false at the first iteration of the loop where it should
         // be neighbor 2
         // it is corrected after the loop
         set_adjacency(enew, 2, e, 2);
         // neighbor j will be set during next iteration of the loop
-        
+
         e->set_vertex(2,v);
 
         e = e->neighbor(i);
         cnew = enew;
       }
-        
+
       d->set_vertex(2,v);
       set_adjacency(enew, j, d, 2);
 
@@ -3285,7 +3331,7 @@ decrease_dimension(Cell_handle c, int i)
   for( ; lfit != to_downgrade.end(); ++lfit) {
     Cell_handle f = *lfit;
     int j = f->index(w);
-    int k; 
+    int k;
     if (f->has_vertex(v, k)) f->set_vertex(k, w);
     if (j != dimension()) {
       f->set_vertex(j, f->vertex(dimension()));
@@ -3314,13 +3360,13 @@ decrease_dimension(Cell_handle c, int i)
     Vertex_handle v0 = c->vertex(0);
     Vertex_handle v1 = c->vertex(1);
     Vertex_handle v2 = c->vertex(2);
-                
+
     int i0 = 0, i1 = 0, i2 = 0;
-                
+
     for(int i=0; i<3; i++) if(n0->neighbor(i) == c) { i0 = i; break; }
     for(int i=0; i<3; i++) if(n1->neighbor(i) == c) { i1 = i; break; }
     for(int i=0; i<3; i++) if(n2->neighbor(i) == c) { i2 = i; break; }
-                
+
     Cell_handle c1 = create_cell(v, v0, v1, Vertex_handle());
     Cell_handle c2 = create_cell(v, v1, v2, Vertex_handle());
 
@@ -3331,42 +3377,42 @@ decrease_dimension(Cell_handle c, int i)
 
     //Cell_handle c3 = create_cell(v, v2, v0, Vertex_handle());
     Cell_handle c3 = c;
-                
+
     c1->set_neighbor(0, n2); n2->set_neighbor(i2, c1);
-    c1->set_neighbor(1, c2); 
+    c1->set_neighbor(1, c2);
     c1->set_neighbor(2, c3);
     c1->set_neighbor(3, Cell_handle());
-                
+
     c2->set_neighbor(0, n0); n0->set_neighbor(i0, c2);
-    c2->set_neighbor(1, c3); 
+    c2->set_neighbor(1, c3);
     c2->set_neighbor(2, c1);
     c2->set_neighbor(3, Cell_handle());
-                
+
     c3->set_neighbor(0, n1); n1->set_neighbor(i1, c3);
-    c3->set_neighbor(1, c1); 
+    c3->set_neighbor(1, c1);
     c3->set_neighbor(2, c2);
     c3->set_neighbor(3, Cell_handle());
-                
+
     v->set_cell(c1);
     v0->set_cell(c1);
     v1->set_cell(c1);
     v2->set_cell(c2);
   }
-        
+
   if(dimension() == 1)
   {
     Cell_handle n0 = c->neighbor(0);
     Cell_handle n1 = c->neighbor(1);
     Vertex_handle v0 = c->vertex(0);
     Vertex_handle v1 = c->vertex(1);
-                
+
     int i0 = 0 , i1 = 0;
-                
+
     for(int i=0; i<2; i++) if(n0->neighbor(i) == c) { i0 = i; break; }
     for(int i=0; i<2; i++) if(n1->neighbor(i) == c) { i1 = i; break; }
-                
+
     Cell_handle c1 = create_cell(v0, v, Vertex_handle(), Vertex_handle());
-                
+
     c->set_vertex(0, v);
     c->set_vertex(1, v1);
     c->set_vertex(2, Vertex_handle());
@@ -3374,22 +3420,22 @@ decrease_dimension(Cell_handle c, int i)
 
     //Cell_handle c2 = create_cell(v, v1, Vertex_handle(), Vertex_handle());
     Cell_handle c2 = c;
-                
-    c1->set_neighbor(0, c2); 
+
+    c1->set_neighbor(0, c2);
     c1->set_neighbor(1, n1); n1->set_neighbor(i1, c1);
     c1->set_neighbor(2, Cell_handle());
     c1->set_neighbor(3, Cell_handle());
-                
+
     c2->set_neighbor(0, n0); n0->set_neighbor(i0, c2);
-    c2->set_neighbor(1, c1); 
+    c2->set_neighbor(1, c1);
     c2->set_neighbor(2, Cell_handle());
     c2->set_neighbor(3, Cell_handle());
-                
+
     v->set_cell(c1);
     v0->set_cell(c1);
     v1->set_cell(c2);
   }
-        
+
   CGAL_triangulation_postcondition(is_valid());
 }
 
@@ -3412,14 +3458,14 @@ is_valid(bool verbose, int level ) const
   switch ( dimension() ) {
   case 3:
     {
-        
+
       if(number_of_vertices() <= 4) {
         if (verbose)
           std::cerr << "wrong number of vertices" << std::endl;
         CGAL_triangulation_assertion(false);
         return false;
       }
-        
+
       size_type vertex_count;
       if ( ! count_vertices(vertex_count,verbose,level) )
         return false;
@@ -3452,16 +3498,16 @@ is_valid(bool verbose, int level ) const
     }
   case 2:
     {
-        
+
       if(number_of_vertices() <= 3) {
         if (verbose)
           std::cerr << "wrong number of vertices" << std::endl;
         CGAL_triangulation_assertion(false);
         return false;
       }
-        
+
       size_type vertex_count;
-      
+
       if ( ! count_vertices(vertex_count,verbose,level) )
         return false;
       if ( number_of_vertices() != vertex_count ) {
@@ -3498,14 +3544,14 @@ is_valid(bool verbose, int level ) const
     }
   case 1:
     {
-        
+
       if(number_of_vertices() <= 1) {
         if (verbose)
           std::cerr << "wrong number of vertices" << std::endl;
         CGAL_triangulation_assertion(false);
         return false;
       }
-        
+
       size_type vertex_count;
       if ( ! count_vertices(vertex_count,verbose,level) )
           return false;
@@ -3792,7 +3838,7 @@ is_valid(Cell_handle c, bool verbose, in
             CGAL_triangulation_assertion(false);
             return false;
           }
-        
+
           int j1n=4,j2n=4,j3n=4;
           if ( ! n->has_vertex(c->vertex((i+1)&3),j1n) ) {
             if (verbose) { std::cerr << "vertex " << ((i+1)&3)
@@ -3815,14 +3861,14 @@ is_valid(Cell_handle c, bool verbose, in
             CGAL_triangulation_assertion(false);
             return false;
           }
-        
+
           if ( in+j1n+j2n+j3n != 6) {
             if (verbose) { std::cerr << "sum of the indices != 6 "
                                      << std::endl; }
             CGAL_triangulation_assertion(false);
             return false;
           }
-        
+
           // tests whether the orientations of this and n are consistent
           if ( ((i+in)&1) == 0 ) { // i and in have the same parity
             if ( j1n == ((in+1)&3) ) {
@@ -3905,7 +3951,7 @@ copy_tds(const TDS_src& tds,
   size_type n = tds.number_of_vertices();
   set_dimension(tds.dimension());
 
-  if (n == 0)  return Vertex_handle(); 
+  if (n == 0)  return Vertex_handle();
 
   // Number of pointers to cell/vertex to copy per cell.
   int dim = (std::max)(1, dimension() + 1);
@@ -3922,7 +3968,7 @@ copy_tds(const TDS_src& tds,
 
   Unique_hash_map< typename TDS_src::Vertex_handle,Vertex_handle > V;
   Unique_hash_map< typename TDS_src::Cell_handle,Cell_handle > F;
-  
+
   for (i=0; i <= n-1; ++i){
     Vertex_handle vh=create_vertex( convert_vertex(*TV[i]) );
     V[ TV[i] ] = vh;
@@ -3964,7 +4010,7 @@ namespace internal { namespace TDS_3{
     Vertex_tgt operator()(const Vertex_src& src) const {
       return Vertex_tgt(src.point());
     }
-    
+
     void operator()(const Vertex_src&,Vertex_tgt&) const {}
   };
 
@@ -3974,26 +4020,26 @@ namespace internal { namespace TDS_3{
     Cell_tgt operator()(const Cell_src&) const {
       return Cell_tgt();
     }
-    
+
     void operator()(const Cell_src&,Cell_tgt&) const {}
   };
-  
+
   template <class Vertex>
   struct Default_vertex_converter<Vertex,Vertex>
   {
     const Vertex& operator()(const Vertex& src) const {
       return src;
     }
-    
+
     void operator()(const Vertex&,Vertex&) const {}
   };
-  
+
   template <class Cell>
   struct Default_cell_converter<Cell,Cell>{
     const Cell& operator()(const Cell& src) const {
       return src;
-    } 
-    
+    }
+
     void operator()(const Cell&,Cell&) const {}
   };
 } } //namespace internal::TDS_3
diff -pruN 5.0.2-3/include/CGAL/Triangulation_data_structure.h 5.0.3-1/include/CGAL/Triangulation_data_structure.h
--- 5.0.2-3/include/CGAL/Triangulation_data_structure.h	2020-02-21 20:04:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_data_structure.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/Triangulation_data_structure.h $
-// $Id: Triangulation_data_structure.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/Triangulation_data_structure.h $
+// $Id: Triangulation_data_structure.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)    : Samuel Hornus
@@ -161,12 +161,12 @@ private:
 
 public:
     Triangulation_data_structure( int dim=0)  /* Concept */
-        : dmax_(get_maximal_dimension<Dimen>::value(dim)), dcur_(-2), 
+        : dmax_(get_maximal_dimension<Dimen>::value(dim)), dcur_(-2),
           vertices_(), full_cells_()
     {
         CGAL_assertion_msg(dmax_ > 0, "maximal dimension must be positive.");
     }
-  
+
     ~Triangulation_data_structure()
     {
         clean_dynamic_memory();
@@ -942,10 +942,10 @@ Triangulation_data_structure<Dim, Vb, Fc
   {
     IITH_task task = task_queue.front();
     task_queue.pop();
-    
+
     Full_cell_handle old_s = full_cell(task.boundary_facet);
     const int facet_index = index_of_covertex(task.boundary_facet);
-    
+
     Full_cell_handle outside_neighbor = neighbor(old_s, facet_index);
     // Here, "new_s" might actually be a new cell, but it might also be "old_s"
     // if it has not been treated already in the meantime
@@ -969,7 +969,7 @@ Triangulation_data_structure<Dim, Vb, Fc
 
       // add the new full_cell to the list of new full_cells
       *new_full_cells++ = new_s;
-  
+
       // check all of |Facet f|'s neighbors
       for (i = 0 ; i <= cur_dim ; ++i)
       {
@@ -1004,7 +1004,7 @@ Triangulation_data_structure<Dim, Vb, Fc
             index,                        // index_of_inside_cell_in_outside_cell
             new_s,                        // future_neighbor
             i,                            // new_cell_index_in_future_neighbor
-            index_of_second_covertex(rot) // index_of_future_neighbor_in_new_cell 
+            index_of_second_covertex(rot) // index_of_future_neighbor_in_new_cell
           ));
         }
       }
@@ -1014,9 +1014,9 @@ Triangulation_data_structure<Dim, Vb, Fc
     if (task.future_neighbor != Full_cell_handle())
     {
       // now the new neighboring full_cell exists, we link both
-      set_neighbors(new_s, 
-                    task.index_of_future_neighbor_in_new_cell, 
-                    task.future_neighbor, 
+      set_neighbors(new_s,
+                    task.index_of_future_neighbor_in_new_cell,
+                    task.future_neighbor,
                     task.new_cell_index_in_future_neighbor);
     }
   }
@@ -1229,7 +1229,7 @@ bool Triangulation_data_structure<Dimen,
         if( ! v->is_valid(verbose) )
             return false;
     }
-    
+
     // FUTURE: for each vertex v, gather incident full_cells. then, check that
     // any full_cell containing v is among those gathered full_cells...
 
diff -pruN 5.0.2-3/include/CGAL/Triangulation_data_structure_using_list_2.h 5.0.3-1/include/CGAL/Triangulation_data_structure_using_list_2.h
--- 5.0.2-3/include/CGAL/Triangulation_data_structure_using_list_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_data_structure_using_list_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_data_structure_using_list_2.h $
-// $Id: Triangulation_data_structure_using_list_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_data_structure_using_list_2.h $
+// $Id: Triangulation_data_structure_using_list_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec
 
@@ -17,7 +17,7 @@
 #include <CGAL/license/Triangulation_2.h>
 
 
-// no longer needed 
+// no longer needed
 // maintained for backwards compatibility
 
 #endif //CGAL_TRIANGULATION_DATA_STRUCTURE_USING_LIST_2_H
diff -pruN 5.0.2-3/include/CGAL/Triangulation_default_data_structure_2.h 5.0.3-1/include/CGAL/Triangulation_default_data_structure_2.h
--- 5.0.2-3/include/CGAL/Triangulation_default_data_structure_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_default_data_structure_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_default_data_structure_2.h $
-// $Id: Triangulation_default_data_structure_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_default_data_structure_2.h $
+// $Id: Triangulation_default_data_structure_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec
 
diff -pruN 5.0.2-3/include/CGAL/Triangulation_ds_cell_base_3.h 5.0.3-1/include/CGAL/Triangulation_ds_cell_base_3.h
--- 5.0.2-3/include/CGAL/Triangulation_ds_cell_base_3.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_ds_cell_base_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_3/include/CGAL/Triangulation_ds_cell_base_3.h $
-// $Id: Triangulation_ds_cell_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_3/include/CGAL/Triangulation_ds_cell_base_3.h $
+// $Id: Triangulation_ds_cell_base_3.h fb83386 2020-05-12T16:58:32+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -38,7 +38,7 @@ public:
   template <typename TDS2>
   struct Rebind_TDS { typedef Triangulation_ds_cell_base_3<TDS2> Other; };
 
-  Triangulation_ds_cell_base_3() 
+  Triangulation_ds_cell_base_3()
   {
 #ifdef SHOW_REMAINING_BAD_ELEMENT_IN_RED
     mark = -1;
@@ -160,10 +160,10 @@ public:
   void set_neighbors(Cell_handle n0, Cell_handle n1,
                      Cell_handle n2, Cell_handle n3)
   {
-    CGAL_triangulation_precondition( this != &*n0 );
-    CGAL_triangulation_precondition( this != &*n1 );
-    CGAL_triangulation_precondition( this != &*n2 );
-    CGAL_triangulation_precondition( this != &*n3 );
+    CGAL_triangulation_precondition( this != n0.operator->() );
+    CGAL_triangulation_precondition( this != n1.operator->() );
+    CGAL_triangulation_precondition( this != n2.operator->() );
+    CGAL_triangulation_precondition( this != n3.operator->() );
     N[0] = n0;
     N[1] = n1;
     N[2] = n2;
@@ -185,7 +185,7 @@ public:
   // TDS internal data access functions.
         TDS_data& tds_data()       { return _tds_data; }
   const TDS_data& tds_data() const { return _tds_data; }
-  
+
 #ifdef SHOW_REMAINING_BAD_ELEMENT_IN_RED
   int mark;
   int mark2;
diff -pruN 5.0.2-3/include/CGAL/Triangulation_ds_circulators_2.h 5.0.3-1/include/CGAL/Triangulation_ds_circulators_2.h
--- 5.0.2-3/include/CGAL/Triangulation_ds_circulators_2.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_ds_circulators_2.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_2/include/CGAL/Triangulation_ds_circulators_2.h $
-// $Id: Triangulation_ds_circulators_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_2/include/CGAL/Triangulation_ds_circulators_2.h $
+// $Id: Triangulation_ds_circulators_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec
 //                 Menelaos Karavelas <mkaravel@cse.nd.edu>
@@ -29,15 +29,15 @@ template < class Tds>
 class Triangulation_ds_face_circulator_2
   : public Bidirectional_circulator_base< typename Tds::Face,
                                  std::ptrdiff_t,
-				 std::size_t>,
+                                 std::size_t>,
     public Triangulation_cw_ccw_2
-      
+
 {
 private:
   typedef
   Bidirectional_circulator_base< typename Tds::Face,
                                  std::ptrdiff_t,
-				 std::size_t>  Base_circulator;
+                                 std::size_t>  Base_circulator;
 
 public:
   typedef Triangulation_ds_face_circulator_2<Tds> Face_circulator;
@@ -47,7 +47,7 @@ public:
   typedef typename Tds::Vertex_handle             Vertex_handle;
 
 
-private: 
+private:
   Vertex_handle _v;
   Face_handle    pos;
 
@@ -55,9 +55,9 @@ public:
   Triangulation_ds_face_circulator_2()
     : _v(), pos()
   {}
-  
-  Triangulation_ds_face_circulator_2(Vertex_handle v, 
-				     Face_handle f = Face_handle());
+
+  Triangulation_ds_face_circulator_2(Vertex_handle v,
+                                     Face_handle f = Face_handle());
 
   Face_circulator& operator++();
   Face_circulator operator++(int);
@@ -77,19 +77,19 @@ public:
   Face&
   operator*() const
   {
-    CGAL_triangulation_precondition(pos != Face_handle() && 
-				 _v != Vertex_handle());
+    CGAL_triangulation_precondition(pos != Face_handle() &&
+                                 _v != Vertex_handle());
     return *pos;
   }
 
   Face*
   operator->() const
   {
-    CGAL_triangulation_precondition(pos != Face_handle() && 
-				 _v != Vertex_handle());
+    CGAL_triangulation_precondition(pos != Face_handle() &&
+                                 _v != Vertex_handle());
     return &*pos;
   }
-  
+
   Face_handle base()  const {return pos;}
   operator Face_handle()  const {return pos;}
 };
@@ -113,7 +113,7 @@ operator!=(typename Tds_::Face_handle fh
 
 template < class Tds >
 class Triangulation_ds_vertex_circulator_2 :
-  public Bidirectional_circulator_base< typename Tds::Vertex, 
+  public Bidirectional_circulator_base< typename Tds::Vertex,
                                        std::ptrdiff_t,
                                        std::size_t>,
   public  Triangulation_cw_ccw_2
@@ -123,26 +123,26 @@ public:
   typedef typename Tds::Face                      Face;
   typedef typename Tds::Vertex                    Vertex;
   typedef typename Tds::Face_handle               Face_handle;
-  typedef typename Tds::Vertex_handle             Vertex_handle; 
+  typedef typename Tds::Vertex_handle             Vertex_handle;
 
 private:
   Vertex_handle _v;
   Face_handle   pos;
   int _ri;
-  
+
 public:
   Triangulation_ds_vertex_circulator_2()
     :  _v(), pos()
   {}
-                
+
   Triangulation_ds_vertex_circulator_2(Vertex_handle v,
-				       Face_handle f = Face_handle());
-       
+                                       Face_handle f = Face_handle());
+
   Vertex_circulator& operator++();
   Vertex_circulator  operator++(int);
   Vertex_circulator& operator--();
   Vertex_circulator  operator--(int);
- 
+
   bool operator==(const Vertex_circulator &vc) const;
   bool operator!=(const Vertex_circulator &vc) const;
 
@@ -158,16 +158,16 @@ public:
   Vertex&
   operator*() const
   {
-    CGAL_triangulation_precondition(pos != Face_handle() && 
-				 _v != Vertex_handle());
+    CGAL_triangulation_precondition(pos != Face_handle() &&
+                                 _v != Vertex_handle());
     return *(pos->vertex(_ri));
   }
 
   Vertex*
   operator->() const
   {
-    CGAL_triangulation_precondition(pos != Face_handle() && 
-				 _v != Vertex_handle());
+    CGAL_triangulation_precondition(pos != Face_handle() &&
+                                 _v != Vertex_handle());
     return &*(pos->vertex(_ri));
   }
 
@@ -196,9 +196,9 @@ operator!=(typename Tds_::Vertex_handle
 
 template < class Tds >
 class Triangulation_ds_edge_circulator_2 :
-  public Bidirectional_circulator_base < typename Tds::Edge, 
+  public Bidirectional_circulator_base < typename Tds::Edge,
                                          std::ptrdiff_t,
-					 std::size_t>,
+                                         std::size_t>,
   public Triangulation_cw_ccw_2
 {
 public:
@@ -219,22 +219,22 @@ public:
   Triangulation_ds_edge_circulator_2()
     : _ri(0), _v(), pos()
   {}
-            
-  Triangulation_ds_edge_circulator_2( Vertex_handle v, 
-				      Face_handle f = Face_handle());
+
+  Triangulation_ds_edge_circulator_2( Vertex_handle v,
+                                      Face_handle f = Face_handle());
 
   Edge_circulator& operator++();
   Edge_circulator operator++(int);
   Edge_circulator& operator--();
   Edge_circulator operator--(int);
- 
+
   bool operator==(const Edge_circulator &vc) const;
   bool operator!=(const Edge_circulator &vc) const;
   bool is_empty() const;
   bool operator==(std::nullptr_t CGAL_triangulation_assertion_code(n)) const;
   bool operator!=(std::nullptr_t CGAL_triangulation_assertion_code(n)) const;
 
-  Edge*  operator->() const { 
+  Edge*  operator->() const {
     edge.first=pos;
     edge.second= _ri;
     return &edge;
@@ -257,19 +257,19 @@ Triangulation_ds_face_circulator_2(Verte
   if (_v == Vertex_handle()) pos = Face_handle();
   else if ( pos == Face_handle()) pos = v->face();
 
-  if (pos ==  Face_handle()|| pos->dimension() < 2) { 
+  if (pos ==  Face_handle()|| pos->dimension() < 2) {
     _v =  Vertex_handle() ; pos = Face_handle(); return;}
   else CGAL_triangulation_precondition( pos->has_vertex(v));
 }
 
-  
+
 template < class Tds >
 Triangulation_ds_face_circulator_2<Tds>&
 Triangulation_ds_face_circulator_2<Tds> ::
 operator++()
 {
-  CGAL_triangulation_precondition( pos != Face_handle() && 
-				 _v != Vertex_handle());
+  CGAL_triangulation_precondition( pos != Face_handle() &&
+                                 _v != Vertex_handle());
   int i = pos->index(_v);
   pos = pos->neighbor(ccw(i));
   return *this;
@@ -280,8 +280,8 @@ Triangulation_ds_face_circulator_2<Tds>
 Triangulation_ds_face_circulator_2<Tds> ::
 operator++(int)
 {
-  CGAL_triangulation_precondition(pos != Face_handle() && 
-				 _v != Vertex_handle());
+  CGAL_triangulation_precondition(pos != Face_handle() &&
+                                 _v != Vertex_handle());
   Face_circulator tmp(*this);
   ++(*this);
   return tmp;
@@ -292,8 +292,8 @@ Triangulation_ds_face_circulator_2<Tds>&
 Triangulation_ds_face_circulator_2<Tds> ::
 operator--()
 {
-   CGAL_triangulation_precondition(pos != Face_handle() && 
-				 _v != Vertex_handle());
+   CGAL_triangulation_precondition(pos != Face_handle() &&
+                                 _v != Vertex_handle());
    int i = pos->index(_v);
    pos = pos->neighbor(cw(i));
    return *this;
@@ -304,8 +304,8 @@ Triangulation_ds_face_circulator_2<Tds>
 Triangulation_ds_face_circulator_2<Tds> ::
 operator--(int)
 {
-  CGAL_triangulation_precondition(pos != Face_handle() && 
-				 _v != Vertex_handle());
+  CGAL_triangulation_precondition(pos != Face_handle() &&
+                                 _v != Vertex_handle());
   Face_circulator tmp(*this);
   --(*this);
   return tmp;
@@ -315,24 +315,24 @@ template < class Tds >
 inline bool
 Triangulation_ds_face_circulator_2<Tds> ::
 operator==(const Face_circulator &fc) const
-{    
-  return (_v == fc._v) &&  (pos == fc.pos);  
+{
+  return (_v == fc._v) &&  (pos == fc.pos);
 }
 
 template < class Tds >
 inline bool
 Triangulation_ds_face_circulator_2<Tds> ::
 operator!=(const Face_circulator &fc) const
-{    
-return ! (*this == fc);  
+{
+return ! (*this == fc);
 }
-   
+
 template < class Tds >
 inline bool
 Triangulation_ds_face_circulator_2<Tds> ::
 is_empty() const
-{    
-return (_v == Vertex_handle() ||  pos == Face_handle() );  
+{
+return (_v == Vertex_handle() ||  pos == Face_handle() );
 }
 
 template < class Tds >
@@ -341,9 +341,9 @@ Triangulation_ds_face_circulator_2<Tds>
 operator==(std::nullptr_t CGAL_triangulation_assertion_code(n)) const
 {
   CGAL_triangulation_assertion( n == nullptr);
-  return (_v == Vertex_handle() ||  pos == Face_handle() );  
+  return (_v == Vertex_handle() ||  pos == Face_handle() );
 }
-        
+
 template < class Tds >
 inline bool
 Triangulation_ds_face_circulator_2<Tds> ::
@@ -355,8 +355,8 @@ operator!=(std::nullptr_t CGAL_triangula
 
 template < class Tds >
 Triangulation_ds_vertex_circulator_2<Tds> ::
-Triangulation_ds_vertex_circulator_2 (Vertex_handle v,  
-				      Face_handle f)
+Triangulation_ds_vertex_circulator_2 (Vertex_handle v,
+                                      Face_handle f)
   : _v( v ), pos(f)
 {
   if (_v == Vertex_handle()) { pos = Face_handle();}
@@ -377,10 +377,10 @@ Triangulation_ds_vertex_circulator_2<Tds
 operator++()
 {
   CGAL_triangulation_precondition(pos != Face_handle() &&
-	                          _v != Vertex_handle());
+                                  _v != Vertex_handle());
   int i = pos->index(_v);
-    
-  if (pos->dimension() == 1) { 
+
+  if (pos->dimension() == 1) {
     CGAL_assertion(i>=0 && i<=1);
     pos = pos->neighbor((i == 0) ? 1 : 0);
     _ri = 1 - pos->index(_v);
@@ -392,7 +392,7 @@ operator++()
   }
   return *this;
 }
-        
+
 template < class Tds >
 Triangulation_ds_vertex_circulator_2<Tds>
 Triangulation_ds_vertex_circulator_2<Tds> ::
@@ -411,8 +411,8 @@ operator--()
   CGAL_triangulation_precondition(pos != Face_handle() &&
                                   _v != Vertex_handle());
   int i = pos->index(_v);
-    
-  if (pos->dimension() == 1) { 
+
+  if (pos->dimension() == 1) {
     CGAL_assertion(i>=0 && i<=1);
     pos = pos->neighbor((i == 0) ? 1 : 0);
     _ri = 1 - pos->index(_v);
@@ -424,10 +424,10 @@ operator--()
   }
   return *this;
 }
-        
+
 template < class Tds >
 Triangulation_ds_vertex_circulator_2<Tds>
-Triangulation_ds_vertex_circulator_2<Tds> ::     
+Triangulation_ds_vertex_circulator_2<Tds> ::
 operator--(int)
 {
   Vertex_circulator tmp(*this);
@@ -442,7 +442,7 @@ operator==(const Vertex_circulator &vc)
 {
   return (_v == vc._v) &&  (_ri == vc._ri) && (pos == vc.pos);
 }
-               
+
 template < class Tds >
 inline bool
 Triangulation_ds_vertex_circulator_2<Tds> ::
@@ -450,7 +450,7 @@ operator!=(const Vertex_circulator &vc)
 {
   return ! (*this == vc);
 }
-               
+
 template < class Tds >
 inline bool
 Triangulation_ds_vertex_circulator_2<Tds> ::
@@ -467,16 +467,16 @@ operator==(std::nullptr_t CGAL_triangula
   CGAL_triangulation_assertion( n == nullptr);
   return (_v == Vertex_handle() || pos == Face_handle());
 }
-        
+
 template < class Tds >
 inline bool
-Triangulation_ds_vertex_circulator_2<Tds> ::        
+Triangulation_ds_vertex_circulator_2<Tds> ::
 operator!=(std::nullptr_t CGAL_triangulation_assertion_code(n)) const
 {
   CGAL_triangulation_assertion( n == nullptr);
   return !(*this == nullptr);
 }
-        
+
 
 template < class Tds >
 Triangulation_ds_edge_circulator_2<Tds> ::
@@ -485,7 +485,7 @@ Triangulation_ds_edge_circulator_2(Verte
 {
   if (_v == Vertex_handle()) { pos = Face_handle();}
   else if (pos==Face_handle()) {pos = v->face();}
- 
+
   if (pos == Face_handle() || pos->dimension() < 1){
     _ri = 0; _v = Vertex_handle(); pos = Face_handle();return;}
   int i = pos->index(_v);
@@ -511,7 +511,7 @@ operator++()
     pos = pos->neighbor(ccw(i));
     i = pos->index(_v);
     _ri = ccw(i);
-  }    
+  }
   return *this;
 }
 
@@ -534,7 +534,7 @@ operator--()
                                   _v != Vertex_handle());
   int i = pos->index(_v);
 
-  if (pos->dimension() == 1) { 
+  if (pos->dimension() == 1) {
     CGAL_assertion(i>=0 && i<=1);
     pos = pos->neighbor((i == 0) ? 1 : 0);
     return *this;
@@ -543,10 +543,10 @@ operator--()
     pos = pos->neighbor(cw(i));
     i = pos->index(_v);
     _ri = ccw(i);
-  }    
+  }
   return *this;
 }
-   
+
 template < class Tds >
 Triangulation_ds_edge_circulator_2<Tds>
 Triangulation_ds_edge_circulator_2<Tds> ::
@@ -564,7 +564,7 @@ operator==(const Edge_circulator &vc) co
 {
   return (_v == vc._v) &&  (_ri == vc._ri) && (pos == vc.pos);
 }
-                
+
 template < class Tds >
 inline bool
 Triangulation_ds_edge_circulator_2<Tds> ::
@@ -589,7 +589,7 @@ operator==(std::nullptr_t CGAL_triangula
   CGAL_triangulation_assertion( n == nullptr);
   return (_v == Vertex_handle() || pos == Face_handle());
 }
-               
+
 template < class Tds >
 inline bool
 Triangulation_ds_edge_circulator_2<Tds> ::
@@ -598,7 +598,7 @@ operator!=(std::nullptr_t CGAL_triangula
   CGAL_triangulation_assertion( n == nullptr);
   return !(*this == nullptr);
 }
-       
+
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/Triangulation_ds_face_2.h 5.0.3-1/include/CGAL/Triangulation_ds_face_2.h
--- 5.0.2-3/include/CGAL/Triangulation_ds_face_2.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_ds_face_2.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_2/include/CGAL/Triangulation_ds_face_2.h $
-// $Id: Triangulation_ds_face_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_2/include/CGAL/Triangulation_ds_face_2.h $
+// $Id: Triangulation_ds_face_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec
 
@@ -19,11 +19,11 @@
 #include <CGAL/basic.h>
 #include <CGAL/Triangulation_utils_2.h>
 
-namespace CGAL { 
+namespace CGAL {
 
 template < class Fb >
 class  Triangulation_ds_face_2
-  : public Fb  
+  : public Fb
 {
 public:
   typedef typename Fb::Triangulation_data_structure Tds;
@@ -37,13 +37,13 @@ public :
   Triangulation_ds_face_2()
     : Fb()
   {}
-    
+
   Triangulation_ds_face_2(Vertex_handle v0, Vertex_handle v1, Vertex_handle v2)
     :  Fb(v0,v1,v2)
   {}
-    
+
   Triangulation_ds_face_2(Vertex_handle v0, Vertex_handle v1, Vertex_handle v2,
-			  Face_handle n0, Face_handle n1, Face_handle n2)
+                          Face_handle n0, Face_handle n1, Face_handle n2)
     :  Fb(v0,v1,v2,n0,n1,n2)
   {}
 
@@ -68,7 +68,7 @@ Triangulation_ds_face_2<Fb>::
 mirror_vertex(int i) const
 {
   CGAL_triangulation_precondition ( this->neighbor(i) != Face_handle()
-				    && this->dimension() >= 1);
+                                    && this->dimension() >= 1);
   //return neighbor(i)->vertex(neighbor(i)->index(this->handle()));
   return this->neighbor(i)->vertex(mirror_index(i));
 }
@@ -80,7 +80,7 @@ mirror_index(int i) const
 {
   // return the index of opposite vertex in neighbor(i);
   CGAL_triangulation_precondition (this->neighbor(i) != Face_handle() &&
-	                           this->dimension() >= 1);
+                                   this->dimension() >= 1);
   if (this->dimension() == 1) {
     return 1 - (this->neighbor(i)->index(this->vertex(1-i)));
   }
@@ -90,13 +90,13 @@ mirror_index(int i) const
 
 template < class Fb >
 bool
-Triangulation_ds_face_2<Fb>::  
+Triangulation_ds_face_2<Fb>::
 is_valid(bool verbose, int level) const
 {
   bool result = Fb::is_valid(verbose, level);
   for(int i = 0; i <= this->dimension(); i++) {
     Face_handle n = this->neighbor(i);
-    // the strange formulation in case dimension()==2 
+    // the strange formulation in case dimension()==2
     // is used to handle the cases of TDS allowing
     // two faces with two common edges
     int in;
@@ -104,7 +104,7 @@ is_valid(bool verbose, int level) const
     else in = mirror_index(i);
     result = result && ( this == &*(n->neighbor(in)) );
     switch(this->dimension()) {
-    case 0 : 
+    case 0 :
       break;
     case 1 :
       result = result &&  in == 1-i;
@@ -112,7 +112,7 @@ is_valid(bool verbose, int level) const
       break;
     case 2 :
       result = result && ( this->vertex(cw(i))  == n->vertex(ccw(in)))
-	              && ( this->vertex(ccw(i)) == n->vertex(cw(in)));
+                      && ( this->vertex(ccw(i)) == n->vertex(cw(in)));
       break;
     }
   }
diff -pruN 5.0.2-3/include/CGAL/Triangulation_ds_face_base_2.h 5.0.3-1/include/CGAL/Triangulation_ds_face_base_2.h
--- 5.0.2-3/include/CGAL/Triangulation_ds_face_base_2.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_ds_face_base_2.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_2/include/CGAL/Triangulation_ds_face_base_2.h $
-// $Id: Triangulation_ds_face_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_2/include/CGAL/Triangulation_ds_face_base_2.h $
+// $Id: Triangulation_ds_face_base_2.h dc12dea 2020-05-04T17:52:26+02:00 Laurent Rineau
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec
 
@@ -21,10 +21,10 @@
 #include <CGAL/Triangulation_utils_2.h>
 #include <CGAL/Dummy_tds_2.h>
 
-namespace CGAL { 
+namespace CGAL {
 
 template < typename TDS = void>
-class Triangulation_ds_face_base_2 
+class Triangulation_ds_face_base_2
 {
 public:
   typedef TDS                          Triangulation_data_structure;
@@ -32,7 +32,7 @@ public:
   typedef typename TDS::Face_handle    Face_handle;
 
   template <typename TDS2>
-  struct Rebind_TDS { typedef Triangulation_ds_face_base_2<TDS2> Other; }; 
+  struct Rebind_TDS { typedef Triangulation_ds_face_base_2<TDS2> Other; };
 
 private:
   Vertex_handle V[3];
@@ -40,21 +40,21 @@ private:
 
 public:
   Triangulation_ds_face_base_2();
-  Triangulation_ds_face_base_2(Vertex_handle v0, 
-			       Vertex_handle v1, 
-			       Vertex_handle v2);
-  Triangulation_ds_face_base_2(Vertex_handle v0, 
-			       Vertex_handle v1, 
-			       Vertex_handle v2,
-			       Face_handle n0, 
-			       Face_handle n1, 
-			       Face_handle n2);
+  Triangulation_ds_face_base_2(Vertex_handle v0,
+                               Vertex_handle v1,
+                               Vertex_handle v2);
+  Triangulation_ds_face_base_2(Vertex_handle v0,
+                               Vertex_handle v1,
+                               Vertex_handle v2,
+                               Face_handle n0,
+                               Face_handle n1,
+                               Face_handle n2);
 
   Vertex_handle vertex(int i) const;
   bool has_vertex(Vertex_handle v) const;
   bool has_vertex(Vertex_handle v, int& i) const ;
   int index(Vertex_handle v) const ;
- 
+
   Face_handle neighbor(int i) const ;
   bool has_neighbor(Face_handle n) const;
   bool has_neighbor(Face_handle n, int& i) const;
@@ -69,14 +69,14 @@ public:
   void reorient();
   void ccw_permute();
   void cw_permute();
-  
+
   int dimension() const;
   //the following trivial is_valid to allow
-  // the user of derived face base classes 
+  // the user of derived face base classes
   // to add their own purpose checking
   bool is_valid(bool /* verbose */ = false, int /* level */ = 0) const
   {return true;}
-  
+
    // For use by Compact_container.
   void * for_compact_container() const {return N[0].for_compact_container(); }
   void * & for_compact_container()     { return N[0].for_compact_container();}
@@ -96,9 +96,9 @@ Triangulation_ds_face_base_2()
 
 template <class TDS>
 Triangulation_ds_face_base_2<TDS> ::
-Triangulation_ds_face_base_2( Vertex_handle v0, 
-			      Vertex_handle v1, 
-			      Vertex_handle v2)
+Triangulation_ds_face_base_2( Vertex_handle v0,
+                              Vertex_handle v1,
+                              Vertex_handle v2)
 {
   set_vertices(v0, v1, v2);
   set_neighbors();
@@ -106,12 +106,12 @@ Triangulation_ds_face_base_2( Vertex_han
 
 template <class TDS>
 Triangulation_ds_face_base_2<TDS> ::
-Triangulation_ds_face_base_2(Vertex_handle v0, 
-			     Vertex_handle v1, 
-			     Vertex_handle v2,
-			     Face_handle n0, 
-			     Face_handle n1, 
-			     Face_handle n2)
+Triangulation_ds_face_base_2(Vertex_handle v0,
+                             Vertex_handle v1,
+                             Vertex_handle v2,
+                             Face_handle n0,
+                             Face_handle n1,
+                             Face_handle n2)
 {
   set_vertices(v0, v1, v2);
   set_neighbors(n0, n1, n2);
@@ -119,14 +119,14 @@ Triangulation_ds_face_base_2(Vertex_hand
 
 
 template <class TDS>
-inline 
+inline
 typename Triangulation_ds_face_base_2<TDS>::Vertex_handle
 Triangulation_ds_face_base_2<TDS>::
 vertex(int i) const
 {
   CGAL_triangulation_precondition( i == 0 || i == 1 || i == 2);
   return V[i];
-} 
+}
 
 
 template <class TDS>
@@ -136,10 +136,10 @@ has_vertex(Vertex_handle v) const
 {
   return (V[0] == v) || (V[1] == v) || (V[2]== v);
 }
-    
+
 template <class TDS>
 inline bool
-Triangulation_ds_face_base_2<TDS> ::    
+Triangulation_ds_face_base_2<TDS> ::
 has_vertex(Vertex_handle v, int& i) const
 {
   if (v == V[0]) {
@@ -156,10 +156,10 @@ has_vertex(Vertex_handle v, int& i) cons
   }
   return false;
 }
-    
-template <class TDS>    
+
+template <class TDS>
 inline int
-Triangulation_ds_face_base_2<TDS> :: 
+Triangulation_ds_face_base_2<TDS> ::
 index(Vertex_handle v) const
 {
   if (v == V[0]) return 0;
@@ -168,27 +168,27 @@ index(Vertex_handle v) const
   return 2;
 }
 
-template <class TDS>    
-inline 
-typename Triangulation_ds_face_base_2<TDS>::Face_handle 
+template <class TDS>
+inline
+typename Triangulation_ds_face_base_2<TDS>::Face_handle
 Triangulation_ds_face_base_2<TDS>::
 neighbor(int i) const
 {
   CGAL_triangulation_precondition( i == 0 || i == 1 || i == 2);
   return N[i];
 }
-    
-template <class TDS>      
-inline bool 
+
+template <class TDS>
+inline bool
 Triangulation_ds_face_base_2<TDS> ::
 has_neighbor(Face_handle n) const
 {
   return (N[0] == n) || (N[1] == n) || (N[2] == n);
 }
-    
-    
-template <class TDS>      
-inline bool 
+
+
+template <class TDS>
+inline bool
 Triangulation_ds_face_base_2<TDS> ::
 has_neighbor(Face_handle n, int& i) const
 {
@@ -207,10 +207,10 @@ has_neighbor(Face_handle n, int& i) cons
   return false;
 }
 
-    
-    
-template <class TDS>      
-inline int 
+
+
+template <class TDS>
+inline int
 Triangulation_ds_face_base_2<TDS> ::
 index(Face_handle n) const
 {
@@ -219,19 +219,19 @@ index(Face_handle n) const
   CGAL_triangulation_assertion( n == N[2] );
   return 2;
 }
-    
-template <class TDS>      
+
+template <class TDS>
 inline void
-Triangulation_ds_face_base_2<TDS> :: 
+Triangulation_ds_face_base_2<TDS> ::
 set_vertex(int i, Vertex_handle v)
 {
   CGAL_triangulation_precondition( i == 0 || i == 1 || i == 2);
   V[i] = v;
 }
-    
-template <class TDS>      
+
+template <class TDS>
 inline void
-Triangulation_ds_face_base_2<TDS> ::     
+Triangulation_ds_face_base_2<TDS> ::
 set_neighbor(int i, Face_handle n)
 {
   CGAL_triangulation_precondition( i == 0 || i == 1 || i == 2);
@@ -239,40 +239,40 @@ set_neighbor(int i, Face_handle n)
   N[i] = n;
 }
 
-template <class TDS>      
+template <class TDS>
 inline void
-Triangulation_ds_face_base_2<TDS> :: 
+Triangulation_ds_face_base_2<TDS> ::
 set_vertices()
 {
   V[0] = V[1] = V[2] = Vertex_handle();
 }
-    
-template <class TDS>      
+
+template <class TDS>
 inline void
-Triangulation_ds_face_base_2<TDS> ::     
+Triangulation_ds_face_base_2<TDS> ::
 set_vertices(Vertex_handle v0,  Vertex_handle v1, Vertex_handle v2)
 {
   V[0] = v0;
   V[1] = v1;
   V[2] = v2;
 }
-    
-template <class TDS>      
+
+template <class TDS>
 inline void
-Triangulation_ds_face_base_2<TDS> :: 
+Triangulation_ds_face_base_2<TDS> ::
 set_neighbors()
 {
   N[0] = N[1] = N[2] = Face_handle();
 }
-    
-template <class TDS>      
+
+template <class TDS>
 inline void
-Triangulation_ds_face_base_2<TDS> :: 
+Triangulation_ds_face_base_2<TDS> ::
 set_neighbors(Face_handle n0,Face_handle n1, Face_handle n2)
 {
-  CGAL_triangulation_precondition( this != &*n0 );
-  CGAL_triangulation_precondition( this != &*n1 );
-  CGAL_triangulation_precondition( this != &*n2 );
+  CGAL_triangulation_precondition( this != n0.operator->() );
+  CGAL_triangulation_precondition( this != n1.operator->() );
+  CGAL_triangulation_precondition( this != n2.operator->() );
   N[0] = n0;
   N[1] = n1;
   N[2] = n2;
@@ -280,7 +280,7 @@ set_neighbors(Face_handle n0,Face_handle
 
 template <class TDS>
 void
-Triangulation_ds_face_base_2<TDS> :: 
+Triangulation_ds_face_base_2<TDS> ::
 reorient()
 {
   //exchange the vertices 0 and 1
@@ -289,7 +289,7 @@ reorient()
 }
 
 template <class TDS>
-inline void 
+inline void
 Triangulation_ds_face_base_2<TDS> ::
 ccw_permute()
 {
@@ -299,7 +299,7 @@ ccw_permute()
 
 
 template <class TDS>
-inline void 
+inline void
 Triangulation_ds_face_base_2<TDS> ::
 cw_permute()
 {
@@ -309,7 +309,7 @@ cw_permute()
 
 
 template < class TDS>
-inline  int 
+inline  int
 Triangulation_ds_face_base_2<TDS> ::
 dimension() const
 {
@@ -349,6 +349,6 @@ public:
 
 
 
-} //namespace CGAL 
+} //namespace CGAL
 
 #endif //CGAL_DS_TRIANGULATION_FACE_BASE_2_H
diff -pruN 5.0.2-3/include/CGAL/Triangulation_ds_full_cell.h 5.0.3-1/include/CGAL/Triangulation_ds_full_cell.h
--- 5.0.2-3/include/CGAL/Triangulation_ds_full_cell.h	2020-02-21 20:04:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_ds_full_cell.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/Triangulation_ds_full_cell.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/Triangulation_ds_full_cell.h $
 // $Id: Triangulation_ds_full_cell.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Triangulation_ds_iterators_2.h 5.0.3-1/include/CGAL/Triangulation_ds_iterators_2.h
--- 5.0.2-3/include/CGAL/Triangulation_ds_iterators_2.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_ds_iterators_2.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_2/include/CGAL/Triangulation_ds_iterators_2.h $
-// $Id: Triangulation_ds_iterators_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_2/include/CGAL/Triangulation_ds_iterators_2.h $
+// $Id: Triangulation_ds_iterators_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec
 
@@ -29,7 +29,7 @@ public:
   typedef typename Tds::Edge           Edge;
   typedef typename Tds::Face_iterator  Face_iterator;
   typedef typename Tds::Face_handle    Face_handle;
-    
+
   typedef Edge            value_type;
   typedef Edge*           pointer;
   typedef Edge&           reference;
@@ -38,7 +38,7 @@ public:
   typedef std::bidirectional_iterator_tag        iterator_category;
 
   typedef Triangulation_ds_edge_iterator_2<Tds>  Edge_iterator;
-  
+
 private:
 const Tds* _tds;
 Face_iterator pos;
@@ -58,7 +58,7 @@ public:
   Edge*     operator->() const;
   Edge&     operator*() const ;
 
-private: 
+private:
   void increment();
   void decrement();
   bool associated_edge();
@@ -70,7 +70,7 @@ private:
 template<class Tds>
 Triangulation_ds_edge_iterator_2<Tds>::
 Triangulation_ds_edge_iterator_2(const Tds * tds)
- :  _tds(tds) 
+ :  _tds(tds)
 {
   edge.second = 0;
   if (_tds->dimension()<= 0) {
@@ -86,7 +86,7 @@ Triangulation_ds_edge_iterator_2(const T
 template<class Tds>
 Triangulation_ds_edge_iterator_2<Tds>::
 Triangulation_ds_edge_iterator_2(const Tds * tds, int )
-  : _tds(tds) 
+  : _tds(tds)
 {
   pos = tds->faces().end();
   edge.second = 0;
@@ -145,13 +145,13 @@ Triangulation_ds_edge_iterator_2<Tds>&
 Triangulation_ds_edge_iterator_2<Tds>::
 operator++()
 {
-  //CGAL_triangulation_precondition(pos != Iterator_base() && 
-  //			       pos != _tds->faces().end());
+  //CGAL_triangulation_precondition(pos != Iterator_base() &&
+  //                               pos != _tds->faces().end());
   do     increment();
   while( pos != _tds->faces().end() && !associated_edge());
   return *this;
 }
-    
+
 
 template<class Tds>
 inline
@@ -159,14 +159,14 @@ Triangulation_ds_edge_iterator_2<Tds>&
 Triangulation_ds_edge_iterator_2<Tds>::
 operator--()
 {
-  // CGAL_triangulation_precondition(pos != Iterator_base() 
+  // CGAL_triangulation_precondition(pos != Iterator_base()
   //                          && *this != Edge_iterator(_tds));
   do      decrement();
   while ( !associated_edge() && *this != Edge_iterator(_tds) );
   return *this;
 }
 
-    
+
 template<class Tds>
 inline
 Triangulation_ds_edge_iterator_2<Tds>
@@ -177,7 +177,7 @@ operator++(int)
   ++(*this);
   return tmp;
 }
-    
+
 template<class Tds>
 inline
 Triangulation_ds_edge_iterator_2<Tds>
@@ -188,7 +188,7 @@ operator--(int)
   --(*this);
   return tmp;
 }
-    
+
 template<class Tds>
 inline
 typename Triangulation_ds_edge_iterator_2<Tds>::Edge*
@@ -203,7 +203,7 @@ template<class Tds>
 inline
 typename Triangulation_ds_edge_iterator_2<Tds>::Edge&
 Triangulation_ds_edge_iterator_2<Tds>::
-operator*() const 
+operator*() const
 {
   edge.first = pos;
   return edge;
diff -pruN 5.0.2-3/include/CGAL/Triangulation_ds_vertex_2.h 5.0.3-1/include/CGAL/Triangulation_ds_vertex_2.h
--- 5.0.2-3/include/CGAL/Triangulation_ds_vertex_2.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_ds_vertex_2.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_2/include/CGAL/Triangulation_ds_vertex_2.h $
-// $Id: Triangulation_ds_vertex_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_2/include/CGAL/Triangulation_ds_vertex_2.h $
+// $Id: Triangulation_ds_vertex_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec
 
@@ -22,8 +22,8 @@
 namespace CGAL {
 
 template <class Vb>
-class  Triangulation_ds_vertex_2 
-  : public Vb 
+class  Triangulation_ds_vertex_2
+  : public Vb
 {
   typedef typename Vb::Triangulation_data_structure Tds;
 public:
@@ -35,7 +35,7 @@ public:
   typedef typename Tds::Vertex_circulator  Vertex_circulator;
   typedef typename Tds::Face_circulator    Face_circulator;
   typedef typename Tds::Edge_circulator    Edge_circulator;
- 
+
   //CREATORS
   Triangulation_ds_vertex_2() : Vb() {}
 
@@ -45,26 +45,26 @@ public:
   //Deprecated access to circulators - for bacward compatibility
   // the following should be const
   // when Face_circulator, Vertex_circulator and Edge_circulator
-  // are created from 
+  // are created from
   // Face_const_handle and Face_const_vertex
-  Vertex_circulator incident_vertices()     
+  Vertex_circulator incident_vertices()
     {return Vertex_circulator(handle());}
- 
-  Vertex_circulator incident_vertices( Face_handle f)  
+
+  Vertex_circulator incident_vertices( Face_handle f)
     {return Vertex_circulator(handle(),f);}
-  
-  Face_circulator incident_faces()  
+
+  Face_circulator incident_faces()
     { return Face_circulator(handle()) ;}
-  
-  Face_circulator incident_faces( Face_handle f)    
+
+  Face_circulator incident_faces( Face_handle f)
     { return Face_circulator(handle(), f);}
-  
-  Edge_circulator incident_edges()   
+
+  Edge_circulator incident_edges()
     { return Edge_circulator(handle());}
-  
-  Edge_circulator incident_edges( Face_handle f)  
+
+  Edge_circulator incident_edges( Face_handle f)
     { return Edge_circulator(handle(), f);}
-  
+
   bool is_valid(bool verbose = false, int level = 0);
 
 private:
@@ -80,7 +80,7 @@ degree() //const
   int count = 0;
   Vertex_circulator vc = incident_vertices(), done(vc);
   if ( ! vc.is_empty()) {
-    do { 
+    do {
       count += 1;
     } while (++vc != done);
   }
@@ -96,20 +96,20 @@ handle()
   for(int i = 0 ; i < 3 ; ++i){
     if ( &*fh->vertex(i) == this) return fh->vertex(i);
   }
-  return Vertex_handle();				    
+  return Vertex_handle();
 }
-    
+
 template <class Vb>
-bool 
-Triangulation_ds_vertex_2<Vb> ::  
-is_valid(bool verbose, int level) 
+bool
+Triangulation_ds_vertex_2<Vb> ::
+is_valid(bool verbose, int level)
 {
   bool result = Vb::is_valid(verbose, level);
   CGAL_triangulation_assertion(result);
   if (this->face() != Face_handle()) { // face==nullptr if dim <0
     result = result && ( &*this->face()->vertex(0) == this ||
-			 &*this->face()->vertex(1) == this ||
-			 &*this->face()->vertex(2) == this );
+                         &*this->face()->vertex(1) == this ||
+                         &*this->face()->vertex(2) == this );
   }
   CGAL_triangulation_assertion(result);
   return result;
diff -pruN 5.0.2-3/include/CGAL/Triangulation_ds_vertex_base_2.h 5.0.3-1/include/CGAL/Triangulation_ds_vertex_base_2.h
--- 5.0.2-3/include/CGAL/Triangulation_ds_vertex_base_2.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_ds_vertex_base_2.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_2/include/CGAL/Triangulation_ds_vertex_base_2.h $
-// $Id: Triangulation_ds_vertex_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_2/include/CGAL/Triangulation_ds_vertex_base_2.h $
+// $Id: Triangulation_ds_vertex_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec
 
@@ -24,7 +24,7 @@
 namespace CGAL {
 
 template < class TDS = void >
-class Triangulation_ds_vertex_base_2 
+class Triangulation_ds_vertex_base_2
 {
 
 public:
@@ -42,7 +42,7 @@ public:
   void set_face(Face_handle f) { _f = f ;}
 
   //the following trivial is_valid to allow
-  // the user of derived face base classes 
+  // the user of derived face base classes
   // to add their own purpose checking
   bool is_valid(bool /*verbose*/=false, int /*level*/= 0) const
     {return face() != Face_handle();}
diff -pruN 5.0.2-3/include/CGAL/Triangulation_ds_vertex_base_3.h 5.0.3-1/include/CGAL/Triangulation_ds_vertex_base_3.h
--- 5.0.2-3/include/CGAL/Triangulation_ds_vertex_base_3.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_ds_vertex_base_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_3/include/CGAL/Triangulation_ds_vertex_base_3.h $
-// $Id: Triangulation_ds_vertex_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_3/include/CGAL/Triangulation_ds_vertex_base_3.h $
+// $Id: Triangulation_ds_vertex_base_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -31,17 +31,17 @@ public:
   template <typename TDS2>
   struct Rebind_TDS { typedef Triangulation_ds_vertex_base_3<TDS2> Other; };
 
-  
+
   Triangulation_ds_vertex_base_3()
-    : _c(), visited_for_vertex_extractor(false) 
+    : _c(), visited_for_vertex_extractor(false)
   {}
 
   Triangulation_ds_vertex_base_3(Cell_handle c)
-    : _c(c), visited_for_vertex_extractor(false) 
+    : _c(c), visited_for_vertex_extractor(false)
   {}
 
-  Cell_handle cell() const 
-  { return _c; }  
+  Cell_handle cell() const
+  { return _c; }
 
   void set_cell(Cell_handle c)
   {
diff -pruN 5.0.2-3/include/CGAL/Triangulation_ds_vertex.h 5.0.3-1/include/CGAL/Triangulation_ds_vertex.h
--- 5.0.2-3/include/CGAL/Triangulation_ds_vertex.h	2020-02-21 20:04:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_ds_vertex.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/Triangulation_ds_vertex.h $
-// $Id: Triangulation_ds_vertex.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/Triangulation_ds_vertex.h $
+// $Id: Triangulation_ds_vertex.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)    : Samuel Hornus
@@ -26,7 +26,7 @@ namespace CGAL {
  * 'Triangulation_ds_vertex<TDS>'
  */
 template< class TDS = void >
-class Triangulation_ds_vertex 
+class Triangulation_ds_vertex
 {
     typedef Triangulation_ds_vertex<TDS>    Self;
 
diff -pruN 5.0.2-3/include/CGAL/Triangulation_face_base_2.h 5.0.3-1/include/CGAL/Triangulation_face_base_2.h
--- 5.0.2-3/include/CGAL/Triangulation_face_base_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_face_base_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_face_base_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_face_base_2.h $
 // $Id: Triangulation_face_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Triangulation_face_base_with_id_2.h 5.0.3-1/include/CGAL/Triangulation_face_base_with_id_2.h
--- 5.0.2-3/include/CGAL/Triangulation_face_base_with_id_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_face_base_with_id_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_face_base_with_id_2.h $
-// $Id: Triangulation_face_base_with_id_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_face_base_with_id_2.h $
+// $Id: Triangulation_face_base_with_id_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mael Rouxel-Labbé
 
diff -pruN 5.0.2-3/include/CGAL/Triangulation_face_base_with_info_2.h 5.0.3-1/include/CGAL/Triangulation_face_base_with_info_2.h
--- 5.0.2-3/include/CGAL/Triangulation_face_base_with_info_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_face_base_with_info_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_face_base_with_info_2.h $
-// $Id: Triangulation_face_base_with_info_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_face_base_with_info_2.h $
+// $Id: Triangulation_face_base_with_info_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec,Sylvain Pion
 
@@ -42,16 +42,16 @@ public:
   Triangulation_face_base_with_info_2()
     : Fb_() {}
 
-  Triangulation_face_base_with_info_2(Vertex_handle v0, 
-				      Vertex_handle v1,
+  Triangulation_face_base_with_info_2(Vertex_handle v0,
+                                      Vertex_handle v1,
                                       Vertex_handle v2)
     : Fb_(v0, v1, v2) {}
 
-  Triangulation_face_base_with_info_2(Vertex_handle v0, 
-				      Vertex_handle v1,
-                                      Vertex_handle v2, 
-                                      Face_handle   n0, 
-				      Face_handle   n1,
+  Triangulation_face_base_with_info_2(Vertex_handle v0,
+                                      Vertex_handle v1,
+                                      Vertex_handle v2,
+                                      Face_handle   n0,
+                                      Face_handle   n1,
                                       Face_handle   n2 )
     : Fb_(v0, v1, v2, n0, n1, n2) {}
 
diff -pruN 5.0.2-3/include/CGAL/Triangulation_face.h 5.0.3-1/include/CGAL/Triangulation_face.h
--- 5.0.2-3/include/CGAL/Triangulation_face.h	2020-02-21 20:04:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_face.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/Triangulation_face.h $
-// $Id: Triangulation_face.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/Triangulation_face.h $
+// $Id: Triangulation_face.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)    : Samuel Hornus
@@ -37,14 +37,14 @@ protected:
 
 public:
     explicit Triangulation_face(Full_cell_handle s) /* Concept */
-    : full_cell_(s), indices_(s->maximal_dimension()+2) 
+    : full_cell_(s), indices_(s->maximal_dimension()+2)
     {
         CGAL_assertion( Full_cell_handle() != s );
         clear();
     }
 
     explicit Triangulation_face(const int maximal_dim) /* Concept */
-    : full_cell_(), indices_(maximal_dim+2) 
+    : full_cell_(), indices_(maximal_dim+2)
     {
         clear();
     }
@@ -79,10 +79,10 @@ public:
         return full_cell()->vertex(j);
     }
 
-// - - - - - - - - - - - - - - - - - -  UPDATE FUNCTIONS	
+// - - - - - - - - - - - - - - - - - -  UPDATE FUNCTIONS
 
     void clear() /* Concept */
-    {    
+    {
         const std::size_t d = indices_.size();
         for(std::size_t i = 0; i < d; ++i )
             indices_[i] = -1;
diff -pruN 5.0.2-3/include/CGAL/Triangulation_full_cell.h 5.0.3-1/include/CGAL/Triangulation_full_cell.h
--- 5.0.2-3/include/CGAL/Triangulation_full_cell.h	2020-02-21 20:04:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_full_cell.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/Triangulation_full_cell.h $
-// $Id: Triangulation_full_cell.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/Triangulation_full_cell.h $
+// $Id: Triangulation_full_cell.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)    : Samuel Hornus
@@ -55,7 +55,7 @@ public:
         typedef typename Base::template Rebind_TDS<TDS2>::Other TDSFullCell2;
         typedef Triangulation_full_cell<TriangulationTraits, Data_, TDSFullCell2> Other;
     };
- 
+
     Triangulation_full_cell(const int d)
         : Base(d), data_() {}
 
diff -pruN 5.0.2-3/include/CGAL/Triangulation_geom_traits_3.h 5.0.3-1/include/CGAL/Triangulation_geom_traits_3.h
--- 5.0.2-3/include/CGAL/Triangulation_geom_traits_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_geom_traits_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Triangulation_geom_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Triangulation_geom_traits_3.h $
 // $Id: Triangulation_geom_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Triangulation.h 5.0.3-1/include/CGAL/Triangulation.h
--- 5.0.2-3/include/CGAL/Triangulation.h	2020-02-21 20:04:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/Triangulation.h $
-// $Id: Triangulation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/Triangulation.h $
+// $Id: Triangulation.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)    : Samuel Hornus
@@ -33,11 +33,11 @@
 namespace CGAL {
 
 // Iterator which iterates over vertex_handle's, but returns a point when
-// dereferenced. If the current 
+// dereferenced. If the current
 // vertex_handle vh == vh_where_point_should_be_substituted, it returns
 // "subtitute_point", otherwise, it returns vh->point()
 template<class VertexHandleConstIter>
-class Substitute_point_in_vertex_iterator 
+class Substitute_point_in_vertex_iterator
 {
   typedef typename std::iterator_traits<VertexHandleConstIter>::value_type Vertex_handle;
   typedef typename Vertex_handle::value_type Vertex;
@@ -55,7 +55,7 @@ public:
 
   result_type operator()(Vertex_handle vh) const
   {
-    if (vh == vh_where_point_should_be_substituted_) 
+    if (vh == vh_where_point_should_be_substituted_)
       return *subtitute_point_;
     else
       return vh->point();
@@ -78,26 +78,26 @@ class Triangulation
                         Triangulation_full_cell<TriangulationTraits> >
                         >::type                      TDS;
     typedef Triangulation<TriangulationTraits, TDS_> Self;
-    
+
 protected:
     typedef typename TriangulationTraits::Flat_orientation_d Flat_orientation_d;
     typedef typename TriangulationTraits::Construct_flat_orientation_d Construct_flat_orientation_d;
     typedef typename TriangulationTraits::In_flat_orientation_d In_flat_orientation_d;
-    
+
     // Wrapper
-    struct Coaffine_orientation_d 
+    struct Coaffine_orientation_d
     {
       boost::optional<Flat_orientation_d>* fop;
       Construct_flat_orientation_d cfo;
       In_flat_orientation_d ifo;
 
       Coaffine_orientation_d(
-        boost::optional<Flat_orientation_d>& x, 
-        Construct_flat_orientation_d const&y, 
+        boost::optional<Flat_orientation_d>& x,
+        Construct_flat_orientation_d const&y,
         In_flat_orientation_d const&z)
       : fop(&x), cfo(y), ifo(z) {}
-      
-      template<class Iter> 
+
+      template<class Iter>
       CGAL::Orientation operator()(Iter a, Iter b) const
       {
         if (*fop)
@@ -144,7 +144,7 @@ public:
     typedef typename TDS::Full_cell_iterator        Full_cell_iterator;
     typedef typename TDS::Full_cell_const_handle    Full_cell_const_handle;
     typedef typename TDS::Full_cell_const_iterator  Full_cell_const_iterator;
-    
+
     typedef typename TDS::Facet_iterator            Facet_iterator;
 
     typedef typename TDS::size_type                 size_type;
@@ -189,8 +189,8 @@ protected: // DATA MEMBERS
     Vertex_handle                               infinity_;
     mutable std::vector<Oriented_side>          orientations_;
     mutable boost::optional<Flat_orientation_d> flat_orientation_;
-    // The user can specify a Flat_orientation_d object to be used for 
-    // orienting simplices of a specific dimension 
+    // The user can specify a Flat_orientation_d object to be used for
+    // orienting simplices of a specific dimension
     // (= preset_flat_orientation_.first)
     // preset_flat_orientation_.first = numeric_limits<int>::max() otherwise)
     std::pair<int, const Flat_orientation_d *>  preset_flat_orientation_;
@@ -229,9 +229,9 @@ public:
     {
         return tds().index_of_covertex(f);
     }
-    
+
 // - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - UTILITIES
-    
+
     // A co-dimension 2 sub-simplex. called a Rotor because we can rotate
     // the two "covertices" around the sub-simplex. Useful for traversing the
     // boundary of a hole. NOT DOCUMENTED
@@ -257,7 +257,7 @@ public:
         int new_second = s->index(std::get<0>(r)->vertex(std::get<2>(r)));
         return Rotor(s, new_second, opposite);
     }
-    
+
     // - - - - - - - - - - - - - - - - - - - - - - - - CREATION / CONSTRUCTORS
 
     Triangulation(int dim, const Geom_traits &k = Geom_traits())
@@ -275,13 +275,13 @@ public:
     }
 
     // With this constructor,
-    // the user can specify a Flat_orientation_d object to be used for 
-    // orienting simplices of a specific dimension 
+    // the user can specify a Flat_orientation_d object to be used for
+    // orienting simplices of a specific dimension
     // (= preset_flat_orientation_.first)
     // It it used for by dark triangulations created by DT::remove
     Triangulation(
       int dim,
-      const std::pair<int, const Flat_orientation_d *> &preset_flat_orientation, 
+      const std::pair<int, const Flat_orientation_d *> &preset_flat_orientation,
       const Geom_traits k = Geom_traits())
         : tds_(dim)
         , kernel_(k)
@@ -294,12 +294,12 @@ public:
     {
         clear();
     }
-    
+
     Triangulation(const Triangulation & t2)
         : tds_(t2.tds_)
         , kernel_(t2.kernel_)
         , infinity_()
-        , preset_flat_orientation_((std::numeric_limits<int>::max)(), 
+        , preset_flat_orientation_((std::numeric_limits<int>::max)(),
                                    (Flat_orientation_d*) nullptr)
         , rng_(t2.rng_)
 #ifdef CGAL_TRIANGULATION_STATISTICS
@@ -332,19 +332,19 @@ public:
        if we manage to passe the information that flags/TDS_data is available or not
        for marking simplices in Delaunay_triangulation::remove. This would be useful
        to make it a little faster, instead of binary searching if a simplex is marked
-       or not... 
-    // NOT DOCUMENTED -- 
+       or not...
+    // NOT DOCUMENTED --
     bool get_visited(Full_cell_handle s) const
     {
         return tds().get_visited(s);
     }
-    // NOT DOCUMENTED -- 
+    // NOT DOCUMENTED --
     bool get_visited(Full_cell_const_handle s) const
     {
         return tds().get_visited(s);
     }
 
-    // NOT DOCUMENTED -- 
+    // NOT DOCUMENTED --
     void set_visited(Full_cell_handle s, bool b) const
     {
         tds().set_visited(s, b);
@@ -353,8 +353,8 @@ public:
     Coaffine_orientation_d coaffine_orientation_predicate() const
     {
       return Coaffine_orientation_d (
-        flat_orientation_, 
-        geom_traits().construct_flat_orientation_d_object(), 
+        flat_orientation_,
+        geom_traits().construct_flat_orientation_d_object(),
         geom_traits().in_flat_orientation_d_object()
       );
     }
@@ -552,7 +552,7 @@ public:
 
     // - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - ELEMENT GATHERING
 
-    
+
     template< typename OutputIterator >
     OutputIterator incident_full_cells(const Face & f, OutputIterator out) const
     {
@@ -628,7 +628,7 @@ public:
     }
 
     Full_cell_handle new_full_cell()
-    { 
+    {
         return tds().new_full_cell();
     }
 
@@ -637,7 +637,7 @@ public:
       return tds().new_vertex();
     }
 
-    Vertex_handle new_vertex(const Point & p) 
+    Vertex_handle new_vertex(const Point & p)
     {
         return tds().new_vertex(p);
     }
@@ -697,7 +697,7 @@ public:
         return insert_in_hole(p, start, end, ft, out);
     }
     template< typename ForwardIterator, typename OutputIterator >
-    Vertex_handle insert_in_hole(const Point & p, ForwardIterator start, ForwardIterator end, const Facet & ft, 
+    Vertex_handle insert_in_hole(const Point & p, ForwardIterator start, ForwardIterator end, const Facet & ft,
                                  OutputIterator out)
     {
         Vertex_handle v = tds().insert_in_hole(start, end, ft, out);
@@ -781,7 +781,7 @@ protected:
 
 }; // Triangulation<...>
 
-// = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = 
+// = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
 
 // CLASS MEMBER FUNCTIONS
 
@@ -804,7 +804,7 @@ Triangulation<TT, TDS>
     }
 }
 
-// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
+// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 // - - - - - - - - - - - - - - - - - - - - - - - - THE REMOVAL METHODS
 
 template < class TT, class TDS >
@@ -819,7 +819,7 @@ Triangulation<TT, TDS>
     return v;
 }
 
-// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
+// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 // - - - - - - - - - - - - - - - - - - - - - - - - THE INSERTION METHODS
 
 template < class TT, class TDS >
@@ -980,15 +980,15 @@ Triangulation<TT, TDS>
             if( NEGATIVE == o )
                 reorient_full_cells();
 
-            
+
         // We just inserted the second finite point and the right infinite
         // cell is like : (inf_v, v), but we want it to be (v, inf_v) to be
         // consistent with the rest of the cells
         if (current_dimension() == 1)
         {
-            // Is "inf_v_cell" the right infinite cell? 
+            // Is "inf_v_cell" the right infinite cell?
             // Then inf_v_index should be 1
-            if (inf_v_cell->neighbor(inf_v_index)->index(inf_v_cell) == 0 
+            if (inf_v_cell->neighbor(inf_v_index)->index(inf_v_cell) == 0
                 && inf_v_index == 0)
             {
                 inf_v_cell->swap_vertices(
@@ -999,9 +999,9 @@ Triangulation<TT, TDS>
             {
                 inf_v_cell = inf_v_cell->neighbor((inf_v_index + 1) % 2);
                 inf_v_index = inf_v_cell->index(infinite_vertex());
-                // Is "inf_v_cell" the right infinite cell? 
+                // Is "inf_v_cell" the right infinite cell?
                 // Then inf_v_index should be 1
-                if (inf_v_cell->neighbor(inf_v_index)->index(inf_v_cell) == 0 
+                if (inf_v_cell->neighbor(inf_v_index)->index(inf_v_cell) == 0
                     && inf_v_index == 0)
                 {
                     inf_v_cell->swap_vertices(
@@ -1013,7 +1013,7 @@ Triangulation<TT, TDS>
     return v;
 }
 
-// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
+// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 // - - - - - - - - - - - - - - - - - - - - THE MAIN LOCATE(...) FUNCTION
 
 template < class TT, class TDS >
@@ -1099,7 +1099,7 @@ Triangulation<TT, TDS>
         // with a random index:
         int j, i = rng_.get_int(0, cur_dim);
         // we check |p| against all the full_cell's hyperplanes in turn
-       
+
         for(j = 0; j <= cur_dim; ++j, i = (i + 1) % (cur_dim + 1) )
         {
             Full_cell_handle next = s->neighbor(i);
@@ -1110,12 +1110,12 @@ Triangulation<TT, TDS>
             }
 
             Substitute_point_in_vertex_iterator<
-              typename Full_cell::Vertex_handle_const_iterator> 
+              typename Full_cell::Vertex_handle_const_iterator>
               spivi(s->vertex(i), &p);
 
             orientations_[i] = orientation_pred(
               boost::make_transform_iterator(s->vertices_begin(), spivi),
-              boost::make_transform_iterator(s->vertices_begin() + cur_dim + 1, 
+              boost::make_transform_iterator(s->vertices_begin() + cur_dim + 1,
                                              spivi));
 
             if( orientations_[i] != NEGATIVE )
@@ -1204,7 +1204,7 @@ Triangulation<TT, TDS>
         return do_locate(p, loc_type, face, facet, start, coaffine_orientation_predicate());
 }
 
-// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
+// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 // - - - - - - - - - - - - - - - - - - - - the locate(...) variants
 
 template < class TT, class TDS >
@@ -1248,7 +1248,7 @@ template < class TT, class TDS >
 bool
 Triangulation<TT, TDS>
 ::is_valid(bool verbose, int level) const
-{ 
+{
     if( ! tds().is_valid(verbose, level) )
         return false;
 
@@ -1321,7 +1321,7 @@ bool Triangulation<TT, TDS>::are_inciden
 // FUNCTIONS THAT ARE NOT MEMBER FUNCTIONS:
 
 template < class TT, class TDS >
-std::istream & 
+std::istream &
 operator>>(std::istream & is, Triangulation<TT, TDS> & tr)
   // reads :
   // - the dimensions (maximal and current)
@@ -1373,7 +1373,7 @@ operator>>(std::istream & is, Triangulat
 }
 
 template < class TT, class TDS >
-std::ostream & 
+std::ostream &
 operator<<(std::ostream & os, const Triangulation<TT, TDS> & tr)
   // writes :
   // - the dimensions (maximal and current)
@@ -1411,7 +1411,7 @@ operator<<(std::ostream & os, const Tria
       os << *tr.infinite_vertex() <<"\n";
     else
       write(os, *tr.infinite_vertex());
-       
+
     for( Vertex_iterator it = tr.vertices_begin(); it != tr.vertices_end(); ++it )
     {
         if( tr.is_infinite(it) )
diff -pruN 5.0.2-3/include/CGAL/Triangulation_hierarchy_2.h 5.0.3-1/include/CGAL/Triangulation_hierarchy_2.h
--- 5.0.2-3/include/CGAL/Triangulation_hierarchy_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_hierarchy_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_hierarchy_2.h $
-// $Id: Triangulation_hierarchy_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_hierarchy_2.h $
+// $Id: Triangulation_hierarchy_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Olivier Devillers <Olivivier.Devillers@sophia.inria.fr>
 //                 Mariette Yvinec  <Mariette.Yvinec@sophia.inria.fr>
@@ -92,10 +92,10 @@ public:
 
   template<class InputIterator>
   Triangulation_hierarchy_2(InputIterator first, InputIterator beyond,
-			    const Geom_traits& traits = Geom_traits())
+                            const Geom_traits& traits = Geom_traits())
     : Tr_Base(traits)
-  { 
-    hierarchy[0] = this; 
+  {
+    hierarchy[0] = this;
     for(int i=1;i<Triangulation_hierarchy_2__maxlevel;++i)
       hierarchy[i] = new Tr_Base(traits);
 
@@ -116,10 +116,10 @@ public:
   // INSERT REMOVE MOVE
   Vertex_handle insert(const Point &p, Face_handle start = Face_handle() );
   Vertex_handle insert(const Point& p,
-		       Locate_type lt,
-		       Face_handle loc, int li );
+                       Locate_type lt,
+                       Face_handle loc, int li );
   Vertex_handle push_back(const Point &p);
- 
+
   template < class InputIterator >
   std::ptrdiff_t insert(InputIterator first, InputIterator last)
   {
@@ -179,26 +179,26 @@ protected: // some internal methods
   // GIVING NEW FACES
 
   template <class OutputItFaces>
-  Vertex_handle insert_and_give_new_faces(const Point  &p, 
+  Vertex_handle insert_and_give_new_faces(const Point  &p,
                                           OutputItFaces fit,
                                           Face_handle start = Face_handle() );
 
   template <class OutputItFaces>
   Vertex_handle insert_and_give_new_faces(const Point& p,
                                           Locate_type lt,
-                                          Face_handle loc, int li, 
+                                          Face_handle loc, int li,
                                           OutputItFaces fit);
 
   template <class OutputItFaces>
-  void remove_and_give_new_faces(Vertex_handle v, 
+  void remove_and_give_new_faces(Vertex_handle v,
                                  OutputItFaces fit);
-	
+
   template <class OutputItFaces>
-  Vertex_handle move_if_no_collision_and_give_new_faces(Vertex_handle v, 
-                                                        const Point &p, OutputItFaces fit);	
+  Vertex_handle move_if_no_collision_and_give_new_faces(Vertex_handle v,
+                                                        const Point &p, OutputItFaces fit);
 
 public:
-	
+
   //LOCATE
   Face_handle
   locate(const Point& p,
@@ -247,18 +247,18 @@ private:
   // systematique instanciation
   template <class Tag>
   void add_hidden_vertices_into_map(Tag,
-				    std::map<Vertex_handle,Vertex_handle >& V)
+                                    std::map<Vertex_handle,Vertex_handle >& V)
   {
-    for (typename Tr_Base::Hidden_vertices_iterator 
-	   it=hierarchy[0]->hidden_vertices_begin(); 
-	 it != hierarchy[0]->hidden_vertices_end(); ++it) {
+    for (typename Tr_Base::Hidden_vertices_iterator
+           it=hierarchy[0]->hidden_vertices_begin();
+         it != hierarchy[0]->hidden_vertices_end(); ++it) {
       if (it->up() != Vertex_handle()) V[ it->up()->down() ] = it;
     }
   }
-  
-  
+
+
   void add_hidden_vertices_into_map(Tag_false ,
-				    std::map<Vertex_handle,Vertex_handle >& )
+                                    std::map<Vertex_handle,Vertex_handle >& )
   {return;}
 };
 
@@ -268,8 +268,8 @@ template <class Tr_>
 Triangulation_hierarchy_2<Tr_>::
 Triangulation_hierarchy_2(const Geom_traits& traits)
   : Tr_Base(traits)
-{ 
-  hierarchy[0] = this; 
+{
+  hierarchy[0] = this;
   for(int i=1;i<Triangulation_hierarchy_2__maxlevel;++i)
     hierarchy[i] = new Tr_Base(traits);
 }
@@ -280,14 +280,14 @@ template <class Tr_>
 Triangulation_hierarchy_2<Tr_>::
 Triangulation_hierarchy_2(const Triangulation_hierarchy_2<Tr_> &tr)
     : Tr_Base()
-{ 
+{
   // create an empty triangulation to be able to delete it !
-  hierarchy[0] = this; 
+  hierarchy[0] = this;
   for(int i=1;i<Triangulation_hierarchy_2__maxlevel;++i)
     hierarchy[i] = new Tr_Base(tr.geom_traits());
   copy_triangulation(tr);
-} 
- 
+}
+
 
 //Assignement
 template <class Tr_>
@@ -309,14 +309,14 @@ copy_triangulation(const Triangulation_h
     for(int i=0;i<Triangulation_hierarchy_2__maxlevel;++i)
     hierarchy[i]->copy_triangulation(*tr.hierarchy[i]);
   }
-   
+
 
   //up and down have been copied in straightforward way
   // compute a map at lower level
   std::map<Vertex_handle, Vertex_handle > V;
   {
-    for( Finite_vertices_iterator it=hierarchy[0]->finite_vertices_begin(); 
-	 it != hierarchy[0]->finite_vertices_end(); ++it) {
+    for( Finite_vertices_iterator it=hierarchy[0]->finite_vertices_begin();
+         it != hierarchy[0]->finite_vertices_end(); ++it) {
       if (it->up() != Vertex_handle()) V[ it->up()->down() ] = it;
     }
   }
@@ -325,15 +325,15 @@ copy_triangulation(const Triangulation_h
 
   {
     for(int i=1;i<Triangulation_hierarchy_2__maxlevel;++i) {
-      for( Finite_vertices_iterator it=hierarchy[i]->finite_vertices_begin(); 
-	   it != hierarchy[i]->finite_vertices_end(); ++it) {
-	// down pointer goes in original instead in copied triangulation
-	it->set_down(V[it->down()]);
-	// make reverse link
-	it->down()->set_up(it);
-	// I think the next line is unnecessary (my)
-	// make map for next level
-	if (it->up()!=  Vertex_handle() ) V[ it->up()->down() ] = it;
+      for( Finite_vertices_iterator it=hierarchy[i]->finite_vertices_begin();
+           it != hierarchy[i]->finite_vertices_end(); ++it) {
+        // down pointer goes in original instead in copied triangulation
+        it->set_down(V[it->down()]);
+        // make reverse link
+        it->down()->set_up(it);
+        // I think the next line is unnecessary (my)
+        // make map for next level
+        if (it->up()!=  Vertex_handle() ) V[ it->up()->down() ] = it;
       }
     }
   }
@@ -343,7 +343,7 @@ copy_triangulation(const Triangulation_h
 /* void */
 /* Triangulation_hierarchy_2<Tr_>::  */
 /* add_hidden_vertices_into_map(Tag_false, */
-/* 			     std::map<Vertex_handle,Vertex_handle >& V) { */
+/*                              std::map<Vertex_handle,Vertex_handle >& V) { */
 /*   return; */
 /* } */
 
@@ -352,10 +352,10 @@ copy_triangulation(const Triangulation_h
 /* void */
 /* Triangulation_hierarchy_2<Tr_>::  */
 /* add_hidden_vertices_into_map(Tag_true, */
-/* 			     std::map<Vertex_handle,Vertex_handle >& V)  */
+/*                              std::map<Vertex_handle,Vertex_handle >& V)  */
 /* { */
 /*   for (typename Tr_Base::Hidden_vertices_iterator  */
-/* 	 it=hierarchy[0]->hidden_vertices_begin();  */
+/*          it=hierarchy[0]->hidden_vertices_begin();  */
 /*        it != hierarchy[0]->hidden_vertices_end(); ++it) { */
 /*     if (it->up() != Vertex_handle()) V[ it->up()->down() ] = it; */
 /*   } */
@@ -381,7 +381,7 @@ Triangulation_hierarchy_2<Tr_>::
 ~Triangulation_hierarchy_2()
 {
   clear();
-  for(int i= 1; i<Triangulation_hierarchy_2__maxlevel; ++i){ 
+  for(int i= 1; i<Triangulation_hierarchy_2__maxlevel; ++i){
     delete hierarchy[i];
   }
 }
@@ -392,7 +392,7 @@ Triangulation_hierarchy_2<Tr_>::
 clear()
 {
         for(int i=0;i<Triangulation_hierarchy_2__maxlevel;++i)
-	hierarchy[i]->clear();
+        hierarchy[i]->clear();
 }
 
 
@@ -407,30 +407,30 @@ is_valid(bool verbose, int level) const
   //verify correctness of triangulation at all levels
   for(i=0;i<Triangulation_hierarchy_2__maxlevel;++i) {
     if(verbose) // pirnt  number of vertices at each level
-      std::cout << "number_of_vertices " 
-		<<  hierarchy[i]->number_of_vertices() << std::endl;
+      std::cout << "number_of_vertices "
+                <<  hierarchy[i]->number_of_vertices() << std::endl;
     result = result && hierarchy[i]->is_valid(verbose,level);
   }
     //verify that lower level has no down pointers
-  for( it = hierarchy[0]->finite_vertices_begin(); 
-       it != hierarchy[0]->finite_vertices_end(); ++it) 
+  for( it = hierarchy[0]->finite_vertices_begin();
+       it != hierarchy[0]->finite_vertices_end(); ++it)
     result = result && ( it->down() ==   Vertex_handle());
   //verify that other levels have down pointer and reciprocal link is fine
   for(i=1;i<Triangulation_hierarchy_2__maxlevel;++i)
-    for( it = hierarchy[i]->finite_vertices_begin(); 
-	 it != hierarchy[i]->finite_vertices_end(); ++it) 
-      result = result && 
-	       ( &*(it->down()->up())  ==  &*(it) );
+    for( it = hierarchy[i]->finite_vertices_begin();
+         it != hierarchy[i]->finite_vertices_end(); ++it)
+      result = result &&
+               ( &*(it->down()->up())  ==  &*(it) );
   //verify that levels have up pointer and reciprocal link is fine
   for(i=0;i<Triangulation_hierarchy_2__maxlevel-1;++i)
-    for( it = hierarchy[i]->finite_vertices_begin(); 
-	 it != hierarchy[i]->finite_vertices_end(); ++it) 
+    for( it = hierarchy[i]->finite_vertices_begin();
+         it != hierarchy[i]->finite_vertices_end(); ++it)
       result = result && ( it->up() ==  Vertex_handle() ||
-	        &*it == &*(it->up())->down() );
+                &*it == &*(it->up())->down() );
   return result;
 }
 
-  
+
 template <class Tr_>
 typename Triangulation_hierarchy_2<Tr_>::Vertex_handle
 Triangulation_hierarchy_2<Tr_>::
@@ -445,7 +445,7 @@ insert(const Point &p, Face_handle loc)
   Vertex_handle vertex=hierarchy[0]->Tr_Base::insert(p,lt,positions[0],i);
   Vertex_handle previous=vertex;
   Vertex_handle first = vertex;
-      
+
   int level  = 1;
   while (level <= vertex_level ){
     vertex=hierarchy[level]->Tr_Base::insert(p,positions[level]);
@@ -462,7 +462,7 @@ typename Triangulation_hierarchy_2<Tr_>:
 Triangulation_hierarchy_2<Tr_>::
 insert(const Point& p,
        Locate_type lt,
-       Face_handle loc, 
+       Face_handle loc,
        int li )
 {
   int vertex_level = random_level();
@@ -500,7 +500,7 @@ push_back(const Point &p)
 }
 
 template <class Tr_>
-void 
+void
 Triangulation_hierarchy_2<Tr_>::
 remove(Vertex_handle v )
 {
@@ -508,7 +508,7 @@ remove(Vertex_handle v )
   int l = 0 ;
   while(1){
     hierarchy[l++]->remove(v);
-    if (u == Vertex_handle()) break; 
+    if (u == Vertex_handle()) break;
     if (l >= Triangulation_hierarchy_2__maxlevel) break;
     v=u; u=v->up();
   }
@@ -525,15 +525,15 @@ remove_and_give_new_faces(Vertex_handle
   while(1){
     if(l==0) hierarchy[l++]->remove_and_give_new_faces(v, fit);
     else hierarchy[l++]->remove(v);
-    if (u == Vertex_handle()) break; 
+    if (u == Vertex_handle()) break;
     if (l >= Triangulation_hierarchy_2__maxlevel) break;
     v=u; u=v->up();
-  }	
+  }
 }
 
 
 template <class Tr_>
-inline void 
+inline void
 Triangulation_hierarchy_2<Tr_>::
 remove_degree_3(Vertex_handle v )
 {
@@ -541,7 +541,7 @@ remove_degree_3(Vertex_handle v )
 }
 
 template <class Tr_>
-inline void 
+inline void
 Triangulation_hierarchy_2<Tr_>::
 remove_first(Vertex_handle v )
 {
@@ -549,7 +549,7 @@ remove_first(Vertex_handle v )
 }
 
 template <class Tr_>
-inline void 
+inline void
 Triangulation_hierarchy_2<Tr_>::
 remove_second(Vertex_handle v )
 {
@@ -565,7 +565,7 @@ move_if_no_collision(Vertex_handle v, co
   while(1) {
     Vertex_handle w = hierarchy[l++]->move_if_no_collision(v, p);
     if(w != v) return w;
-    if (u == Vertex_handle()) break; 
+    if (u == Vertex_handle()) break;
     if (l >= Triangulation_hierarchy_2__maxlevel) break;
     v=u; u=v->up();
   }
@@ -589,21 +589,21 @@ template <class Tr_>
 template <class OutputItFaces>
 typename Triangulation_hierarchy_2<Tr_>::Vertex_handle
 Triangulation_hierarchy_2<Tr_>::
-move_if_no_collision_and_give_new_faces(Vertex_handle v, const Point &p, 
+move_if_no_collision_and_give_new_faces(Vertex_handle v, const Point &p,
                                         OutputItFaces oif)
 {
   Vertex_handle u=v->up(), norm = v;
   int l = 0 ;
   while(1){
     Vertex_handle w;
-    if(l == 0) 
-      w = 
+    if(l == 0)
+      w =
         hierarchy[l++]->move_if_no_collision_and_give_new_faces(v, p, oif);
     else w = hierarchy[l++]->move_if_no_collision(v, p);
 
     if(w != v) return w;
 
-    if (u == Vertex_handle()) break; 
+    if (u == Vertex_handle()) break;
     if (l >= Triangulation_hierarchy_2__maxlevel) break;
     v=u; u=v->up();
   }
@@ -628,7 +628,7 @@ Triangulation_hierarchy_2<Tr_>::insert_a
     hierarchy[0]->Tr_Base::insert_and_give_new_faces(p,lt,positions[0],i,oif);
   Vertex_handle previous=vertex;
   Vertex_handle first = vertex;
-      
+
   int level  = 1;
   while (level <= vertex_level ){
     vertex=hierarchy[level]->Tr_Base::insert(p,positions[level]);
@@ -648,7 +648,7 @@ Triangulation_hierarchy_2<Tr_>::
 insert_and_give_new_faces(const Point  &p,
                           Locate_type lt,
                           Face_handle loc,
-                          int li, 
+                          int li,
                           OutputItFaces oif)
 {
   int vertex_level = random_level();
@@ -713,14 +713,14 @@ locate_in_all(const Point& p,
 
   typename Geom_traits::Construct_point_2
     construct_point = geom_traits().construct_point_2_object();
-  
+
   // find the highest level with enough vertices that is at the same time 2D
-  while ( (hierarchy[--level]->number_of_vertices() 
-	   < static_cast<size_type> (Triangulation_hierarchy_2__minsize ))
-	  || (hierarchy[level]->dimension()<2) ){
+  while ( (hierarchy[--level]->number_of_vertices()
+           < static_cast<size_type> (Triangulation_hierarchy_2__minsize ))
+          || (hierarchy[level]->dimension()<2) ){
     if ( ! level) break;  // do not go below 0
   }
-  if((level>0) && (hierarchy[level]->dimension()<2)){ 
+  if((level>0) && (hierarchy[level]->dimension()<2)){
     level--;
   }
 
@@ -746,10 +746,10 @@ locate_in_all(const Point& p,
 }
     // compare to vertex 2, but only if the triangulation is 2D, because otherwise vertex(2) is  nullptr
     if ( (hierarchy[level]->dimension()==2) && (!  hierarchy[level]->is_infinite(position->vertex(2)))){
-      if ( closer( construct_point(p), 
-		   construct_point(position->vertex(2)->point()),
-		   construct_point(nearest->point())) == SMALLER ){
-	nearest = position->vertex(2);
+      if ( closer( construct_point(p),
+                   construct_point(position->vertex(2)->point()),
+                   construct_point(nearest->point())) == SMALLER ){
+        nearest = position->vertex(2);
       }
     }
     // go at the same vertex on level below
@@ -757,7 +757,7 @@ locate_in_all(const Point& p,
     position = nearest->face();                // incident face
     --level;
   }
-  pos[0]=hierarchy[0]->locate(p,lt,li,loc == Face_handle() ? position : loc);  // at level 0 
+  pos[0]=hierarchy[0]->locate(p,lt,li,loc == Face_handle() ? position : loc);  // at level 0
 }
 
 template <class Tr_>
diff -pruN 5.0.2-3/include/CGAL/Triangulation_hierarchy_3.h 5.0.3-1/include/CGAL/Triangulation_hierarchy_3.h
--- 5.0.2-3/include/CGAL/Triangulation_hierarchy_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_hierarchy_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Triangulation_hierarchy_3.h $
-// $Id: Triangulation_hierarchy_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Triangulation_hierarchy_3.h $
+// $Id: Triangulation_hierarchy_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Olivier Devillers <Olivier.Devillers@sophia.inria.fr>
@@ -191,7 +191,7 @@ public:
 
           for (int level = 1; level <= vertex_level; ++level) {
               v = hints[level] = hierarchy[level]->insert (*p, hints[level]);
-	      set_up_down(v, prev);
+              set_up_down(v, prev);
               prev = v;
           }
       }
@@ -355,34 +355,34 @@ public: // some internal methods
   // GIVING NEW FACES
 
   template <class OutputItCells>
-  Vertex_handle insert_and_give_new_cells(const Point  &p, 
+  Vertex_handle insert_and_give_new_cells(const Point  &p,
                                           OutputItCells fit,
                                           Cell_handle start = Cell_handle() );
-		
+
   template <class OutputItCells>
   Vertex_handle insert_and_give_new_cells(const Point& p,
                                           OutputItCells /* fit */,
                                           Vertex_handle hint)
   {
-    return insert_and_give_new_cells(p, hint == Vertex_handle() ? 
-                                     this->infinite_cell() : hint->cell());			
+    return insert_and_give_new_cells(p, hint == Vertex_handle() ?
+                                     this->infinite_cell() : hint->cell());
   }
 
   template <class OutputItCells>
   Vertex_handle insert_and_give_new_cells(const Point& p,
                                           Locate_type lt,
-                                          Cell_handle c, int li, int lj, 
+                                          Cell_handle c, int li, int lj,
                                           OutputItCells fit);
 
   template <class OutputItCells>
-  void remove_and_give_new_cells(Vertex_handle v, 
+  void remove_and_give_new_cells(Vertex_handle v,
                                  OutputItCells fit);
 
   template <class OutputItCells>
-  Vertex_handle move_if_no_collision_and_give_new_cells(Vertex_handle v, 
+  Vertex_handle move_if_no_collision_and_give_new_cells(Vertex_handle v,
                                                         const Point &p, OutputItCells fit);
-	
-public:	
+
+public:
 
 
   //LOCATE
@@ -414,7 +414,7 @@ protected:
   };
 
   void locate(const Point& p, Locate_type& lt, int& li, int& lj,
-	      locs pos[maxlevel], Cell_handle start = Cell_handle ()) const;
+              locs pos[maxlevel], Cell_handle start = Cell_handle ()) const;
 
   int random_level();
 };
@@ -452,12 +452,12 @@ Triangulation_hierarchy_3(const Triangul
 
   for(int j=1; j<maxlevel; ++j) {
     for( Finite_vertices_iterator it = hierarchy[j]->finite_vertices_begin(),
-	 end = hierarchy[j]->finite_vertices_end(); it != end; ++it) {
-	// current it->down() pointer goes in original instead in copied triangulation
-	set_up_down(it, V[it->down()]);
-	// make map for next level
-	if (it->up() != Vertex_handle())
-	    V[ it->up()->down() ] = it;
+         end = hierarchy[j]->finite_vertices_end(); it != end; ++it) {
+        // current it->down() pointer goes in original instead in copied triangulation
+        set_up_down(it, V[it->down()]);
+        // make map for next level
+        if (it->up() != Vertex_handle())
+            V[ it->up()->down() ] = it;
     }
   }
 }
@@ -500,7 +500,7 @@ is_valid(bool verbose, int level) const
 
   // verify correctness of triangulation at all levels
   for(int i=0; i<maxlevel; ++i)
-	result = result && hierarchy[i]->is_valid(verbose, level);
+        result = result && hierarchy[i]->is_valid(verbose, level);
 
   // verify that lower level has no down pointers
   for( Finite_vertices_iterator it = hierarchy[0]->finite_vertices_begin(),
@@ -510,15 +510,15 @@ is_valid(bool verbose, int level) const
   // verify that other levels has down pointer and reciprocal link is fine
   for(int j=1; j<maxlevel; ++j)
     for( Finite_vertices_iterator it = hierarchy[j]->finite_vertices_begin(),
-	 end = hierarchy[j]->finite_vertices_end(); it != end; ++it)
+         end = hierarchy[j]->finite_vertices_end(); it != end; ++it)
       result = result && &*(it) == &*(it->down()->up());
 
   // verify that other levels has down pointer and reciprocal link is fine
   for(int k=0; k<maxlevel-1; ++k)
     for( Finite_vertices_iterator it = hierarchy[k]->finite_vertices_begin(),
-	 end = hierarchy[k]->finite_vertices_end(); it != end; ++it)
+         end = hierarchy[k]->finite_vertices_end(); it != end; ++it)
       result = result && ( it->up() == Vertex_handle() ||
-	        &*it == &*(it->up())->down() );
+                &*it == &*(it->up())->down() );
 
   return result;
 }
@@ -536,10 +536,10 @@ insert(const Point &p, Cell_handle start
   locate(p, lt, i, j, positions, start);
   // insert at level 0
   Vertex_handle vertex = hierarchy[0]->insert(p,
-	                                      positions[0].lt,
-	                                      positions[0].pos,
-	                                      positions[0].li,
-	                                      positions[0].lj);
+                                              positions[0].lt,
+                                              positions[0].pos,
+                                              positions[0].li,
+                                              positions[0].lj);
   Vertex_handle previous = vertex;
   Vertex_handle first = vertex;
 
@@ -549,10 +549,10 @@ insert(const Point &p, Cell_handle start
           vertex = hierarchy[level]->insert(p);
       else
           vertex = hierarchy[level]->insert(p,
-	                                    positions[level].lt,
-	                                    positions[level].pos,
-	                                    positions[level].li,
-	                                    positions[level].lj);
+                                            positions[level].lt,
+                                            positions[level].pos,
+                                            positions[level].li,
+                                            positions[level].lj);
     set_up_down(vertex, previous);
     previous=vertex;
     level++;
@@ -619,13 +619,13 @@ insert(const Point &p, Locate_type lt, C
     int level = 1;
     while (level <= vertex_level ){
       if (positions[level].pos == Cell_handle())
-	vertex = hierarchy[level]->insert(p);
+        vertex = hierarchy[level]->insert(p);
       else
-	vertex = hierarchy[level]->insert(p,
-	    positions[level].lt,
-	    positions[level].pos,
-	    positions[level].li,
-	    positions[level].lj);
+        vertex = hierarchy[level]->insert(p,
+            positions[level].lt,
+            positions[level].pos,
+            positions[level].li,
+            positions[level].lj);
       set_up_down(vertex, previous);
       previous=vertex;
       level++;
@@ -638,12 +638,12 @@ template <class Tr>
 template <class OutputItCells>
 typename Triangulation_hierarchy_3<Tr>::Vertex_handle
 Triangulation_hierarchy_3<Tr>::
-insert_and_give_new_cells(const Point &p, Locate_type lt, Cell_handle loc, 
+insert_and_give_new_cells(const Point &p, Locate_type lt, Cell_handle loc,
   int li, int lj, OutputItCells fit)
 {
   int vertex_level = random_level();
   // insert at level 0
-  Vertex_handle vertex = 
+  Vertex_handle vertex =
     hierarchy[0]->insert_and_give_new_cells(p,lt,loc,li,lj,fit);
   Vertex_handle previous = vertex;
   Vertex_handle first = vertex;
@@ -658,9 +658,9 @@ insert_and_give_new_cells(const Point &p
     int level = 1;
     while (level <= vertex_level ){
       if (positions[level].pos == Cell_handle())
-	vertex = hierarchy[level]->insert(p);
+        vertex = hierarchy[level]->insert(p);
       else
-	vertex = hierarchy[level]->insert(p,
+        vertex = hierarchy[level]->insert(p,
                                           positions[level].lt,
                                           positions[level].pos,
                                           positions[level].li,
@@ -683,7 +683,7 @@ remove(Vertex_handle v)
     Vertex_handle u = v->up();
     hierarchy[l]->remove(v);
     if (u == Vertex_handle())
-	break;
+        break;
     v = u;
   }
 }
@@ -701,7 +701,7 @@ remove_and_give_new_cells(Vertex_handle
     if(l) hierarchy[l]->remove(v);
     else hierarchy[l]->remove_and_give_new_cells(v, fit);
     if (u == Vertex_handle())
-	break;
+        break;
     v = u;
   }
 }
@@ -711,7 +711,7 @@ typename Triangulation_hierarchy_3<Tr>::
 Triangulation_hierarchy_3<Tr>::
 move_if_no_collision(Vertex_handle v, const Point & p)
 {
-  CGAL_triangulation_precondition(!this->is_infinite(v));	
+  CGAL_triangulation_precondition(!this->is_infinite(v));
   if(v->point() == p) return v;
   Vertex_handle ans;
   for (int l = 0; l < maxlevel; ++l) {
@@ -748,13 +748,13 @@ Triangulation_hierarchy_3<Tr>::
 move_if_no_collision_and_give_new_cells(
   Vertex_handle v, const Point & p, OutputItCells fit)
 {
-  CGAL_triangulation_precondition(!is_infinite(v));	
+  CGAL_triangulation_precondition(!is_infinite(v));
   if(v->point() == p) return v;
   Vertex_handle ans;
   for (int l = 0; l < maxlevel; ++l) {
     Vertex_handle u = v->up();
     if(l) hierarchy[l]->move_if_no_collision(v, p);
-    else ans = 
+    else ans =
            hierarchy[l]->move_if_no_collision_and_give_new_cells(v, p, fit);
     if(ans != v) return ans;
     if (u == Vertex_handle())
@@ -801,7 +801,7 @@ locate(const Point& p, Locate_type& lt,
   // find the highest level with enough vertices
   while (hierarchy[--level]->number_of_vertices() < (size_type) minsize) {
     if ( ! level)
-	break;  // do not go below 0
+        break;  // do not go below 0
   }
 
   for (int i=level+1; i<maxlevel; ++i)
@@ -812,10 +812,10 @@ locate(const Point& p, Locate_type& lt,
     // locate at that level from "position"
     // result is stored in "position" for the next level
     pos[level].pos = position = hierarchy[level]->locate(p,
-	                                                 pos[level].lt,
-	                                                 pos[level].li,
-	                                                 pos[level].lj,
-	                                                 position);
+                                                         pos[level].lt,
+                                                         pos[level].li,
+                                                         pos[level].lj,
+                                                         position);
     // find the nearest vertex.
     Vertex_handle nearest = hierarchy[level]->nearest_vertex_in_cell(p, position);
 
diff -pruN 5.0.2-3/include/CGAL/Triangulation_hierarchy_vertex_base_2.h 5.0.3-1/include/CGAL/Triangulation_hierarchy_vertex_base_2.h
--- 5.0.2-3/include/CGAL/Triangulation_hierarchy_vertex_base_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_hierarchy_vertex_base_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_hierarchy_vertex_base_2.h $
-// $Id: Triangulation_hierarchy_vertex_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_hierarchy_vertex_base_2.h $
+// $Id: Triangulation_hierarchy_vertex_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Olivier Devillers <Olivivier.Devillers@sophia.inria.fr>
 //                 Mariette Yvinec  <Mariette.Yvinec@sophia.inria.fr>
diff -pruN 5.0.2-3/include/CGAL/Triangulation_hierarchy_vertex_base_3.h 5.0.3-1/include/CGAL/Triangulation_hierarchy_vertex_base_3.h
--- 5.0.2-3/include/CGAL/Triangulation_hierarchy_vertex_base_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_hierarchy_vertex_base_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Triangulation_hierarchy_vertex_base_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Triangulation_hierarchy_vertex_base_3.h $
 // $Id: Triangulation_hierarchy_vertex_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Triangulation_incremental_builder_3.h 5.0.3-1/include/CGAL/Triangulation_incremental_builder_3.h
--- 5.0.2-3/include/CGAL/Triangulation_incremental_builder_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_incremental_builder_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/Triangulation_incremental_builder_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/Triangulation_incremental_builder_3.h $
 // $Id: Triangulation_incremental_builder_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Triangulation_simplex_3.h 5.0.3-1/include/CGAL/Triangulation_simplex_3.h
--- 5.0.2-3/include/CGAL/Triangulation_simplex_3.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_simplex_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_3/include/CGAL/Triangulation_simplex_3.h $
-// $Id: Triangulation_simplex_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_3/include/CGAL/Triangulation_simplex_3.h $
+// $Id: Triangulation_simplex_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -44,7 +44,7 @@ public:
 
   // Default constructor initialises to undefined simplex:
   Triangulation_simplex_3() : ref(-1), ch() { }
-	
+
   Triangulation_simplex_3(Vertex_handle vh) {
     set_vertex(vh);
   }
@@ -105,11 +105,11 @@ public:
 
   template < class TDS2 >
   friend bool operator==(Triangulation_simplex_3<TDS2> s0,
-			 Triangulation_simplex_3<TDS2> s1);
+                         Triangulation_simplex_3<TDS2> s1);
   template < class TDS2 >
   friend bool operator< (Triangulation_simplex_3<TDS2> s0,
-			 Triangulation_simplex_3<TDS2> s1);
-	
+                         Triangulation_simplex_3<TDS2> s1);
+
 private:
   void set_vertex(const Vertex_handle vh) {
     ch = vh->cell();
@@ -147,35 +147,35 @@ private:
 template < class TriangulationDataStructure_3 >
 bool
 operator!=(Triangulation_simplex_3<TriangulationDataStructure_3> s0,
-	   Triangulation_simplex_3<TriangulationDataStructure_3> s1) {
+           Triangulation_simplex_3<TriangulationDataStructure_3> s1) {
   return !(s0==s1);
 }
 
 template < class TriangulationDataStructure_3 >
 bool
 operator==(Triangulation_simplex_3<TriangulationDataStructure_3> s0,
-	   Triangulation_simplex_3<TriangulationDataStructure_3> s1) {
+           Triangulation_simplex_3<TriangulationDataStructure_3> s1) {
   typedef Triangulation_simplex_3<TriangulationDataStructure_3> Sim;
   if (s0.dimension() != s1.dimension()) return false;
-	
+
   typename Sim::Cell_handle neighbor;
-	
+
   switch (s0.dimension()) {
   case (0): // Vertex
     return (s0.ch->vertex(s0.index(0)) == s1.ch->vertex(s1.index(0)));
   case (1): // Edge
     return ((s0.ch->vertex(s0.index(0)) == s1.ch->vertex(s1.index(0)) &&
-	     s0.ch->vertex(s0.index(1)) == s1.ch->vertex(s1.index(1))) ||
-	    (s0.ch->vertex(s0.index(1)) == s1.ch->vertex(s1.index(0)) &&
-	     s0.ch->vertex(s0.index(0)) == s1.ch->vertex(s1.index(1))));
+             s0.ch->vertex(s0.index(1)) == s1.ch->vertex(s1.index(1))) ||
+            (s0.ch->vertex(s0.index(1)) == s1.ch->vertex(s1.index(0)) &&
+             s0.ch->vertex(s0.index(0)) == s1.ch->vertex(s1.index(1))));
   case (2):
     if (s0.ch == s1.ch && s0.index(0) == s1.index(0)) {
       return true;
     }
-			
+
     neighbor = s0.ch->neighbor(s0.index(0));
     if (neighbor == s1.ch &&
-	neighbor->index(s0.ch) == s1.index(0)) {
+        neighbor->index(s0.ch) == s1.index(0)) {
       return true;
     }
     return false;
@@ -189,13 +189,13 @@ operator==(Triangulation_simplex_3<Trian
 template < class TriangulationDataStructure_3 >
 bool
 operator<(Triangulation_simplex_3<TriangulationDataStructure_3> s0,
-	  Triangulation_simplex_3<TriangulationDataStructure_3> s1) {
+          Triangulation_simplex_3<TriangulationDataStructure_3> s1) {
   typedef Triangulation_simplex_3<TriangulationDataStructure_3> Sim;
 
   if (s0 == s1) return false;
   if (s0.dimension() < s1.dimension()) return true;
   if (s0.dimension() > s1.dimension()) return false;
-	
+
   // Dimensions are equal, compare the memory addresses of the simplices
   typename Sim::Cell_handle ch1, ch2;
   typename Sim::Vertex_handle vh1, vh2, vh3, vh4;
@@ -203,36 +203,36 @@ operator<(Triangulation_simplex_3<Triang
   case (0): // Vertex
     // Vertextices are not equal
     return (&(*s0.ch->vertex(s0.index(0))) <
-	    &(*s1.ch->vertex(s1.index(0))));
+            &(*s1.ch->vertex(s1.index(0))));
   case (1): // Edge
     vh1 = s0.ch->vertex(s0.index(0));
     vh2 = s0.ch->vertex(s0.index(1));
     vh3 = s1.ch->vertex(s1.index(0));
     vh4 = s1.ch->vertex(s1.index(1));
-			
+
     if ((std::min)(&(*vh1), &(*vh2)) < (std::min)(&(*vh3), &(*vh4)))
       return true;
-			
+
     if ((std::min)(&(*vh1), &(*vh2)) > (std::min)(&(*vh3), &(*vh4)))
       return false;
-			
+
     if ((std::max)(&(*vh1), &(*vh2)) < (std::max)(&(*vh3), &(*vh4)))
       return true;
-			
+
     return false;
   case (2): // Facet
     ch1 = s0.ch->neighbor(s0.index(0));
     ch2 = s1.ch->neighbor(s1.index(0));
-			
+
     if ((std::min)(&(*s0.ch), &(*ch1)) < (std::min)(&(*s1.ch), &(*ch2)))
       return true;
-			
+
     if ((std::min)(&(*s0.ch), &(*ch1)) > (std::min)(&(*s1.ch), &(*ch2)))
       return false;
-			
+
     if ((std::max)(&(*s0.ch), &(*ch1)) < (std::max)(&(*s1.ch), &(*ch2)))
       return true;
-			
+
     return false;
   case (3): // Cell
     return (&(*s0.ch) < &(*s1.ch));
@@ -244,7 +244,7 @@ operator<(Triangulation_simplex_3<Triang
 template < class TriangulationDataStructure_3 >
 std::ostream &
 operator<< (std::ostream& os,
-	    const Triangulation_simplex_3<TriangulationDataStructure_3> &s)
+            const Triangulation_simplex_3<TriangulationDataStructure_3> &s)
 {
   typename TriangulationDataStructure_3::Vertex_handle vh;
   typename TriangulationDataStructure_3::Edge e;
@@ -258,20 +258,20 @@ operator<< (std::ostream& os,
     case 1:
       e = s;
       os << &*(e.first->vertex(e.second)) << " "
-	 << &*(e.first->vertex(e.third));
+         << &*(e.first->vertex(e.third));
       break;
     case 2:
       f = s;
       os << &*(f.first->vertex((f.second+1)&3)) << " "
-	 << &*(f.first->vertex((f.second+2)&3)) << " "
-	 << &*(f.first->vertex((f.second+3)&3));
+         << &*(f.first->vertex((f.second+2)&3)) << " "
+         << &*(f.first->vertex((f.second+3)&3));
       break;
     case 3:
       ch = s;
       os << &*(ch->vertex(0)) << " "
-	 << &*(ch->vertex(1)) << " "
-	 << &*(ch->vertex(2)) << " "
-	 << &*(ch->vertex(3));
+         << &*(ch->vertex(1)) << " "
+         << &*(ch->vertex(2)) << " "
+         << &*(ch->vertex(3));
       break;
   }
   return os;
diff -pruN 5.0.2-3/include/CGAL/Triangulation_structural_filtering_traits.h 5.0.3-1/include/CGAL/Triangulation_structural_filtering_traits.h
--- 5.0.2-3/include/CGAL/Triangulation_structural_filtering_traits.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_structural_filtering_traits.h	2020-08-01 19:02:27.000000000 +0000
@@ -3,12 +3,12 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Triangulation_structural_filtering_traits.h $
-// $Id: Triangulation_structural_filtering_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Triangulation_structural_filtering_traits.h $
+// $Id: Triangulation_structural_filtering_traits.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Laurent Rineau <Laurent.Rineau__CGAL@normalesup.org>
-// 
+//
 
 #ifndef CGAL_TRIANGULATION_STRUCTURAL_FILTERING_TRAITS_H
 #define CGAL_TRIANGULATION_STRUCTURAL_FILTERING_TRAITS_H
diff -pruN 5.0.2-3/include/CGAL/Triangulation_utils_2.h 5.0.3-1/include/CGAL/Triangulation_utils_2.h
--- 5.0.2-3/include/CGAL/Triangulation_utils_2.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_utils_2.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_2/include/CGAL/Triangulation_utils_2.h $
-// $Id: Triangulation_utils_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_2/include/CGAL/Triangulation_utils_2.h $
+// $Id: Triangulation_utils_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec <Mariette.Yvinec@sophia.inria.fr>
 //                 Sylvain Pion
@@ -20,7 +20,7 @@
 
 #include <CGAL/triangulation_assertions.h>
 
-namespace CGAL { 
+namespace CGAL {
 template < class T = void >
 struct Triangulation_cw_ccw_static_2 {
 
@@ -33,11 +33,11 @@ const int Triangulation_cw_ccw_static_2<
 template < class T >
 const int Triangulation_cw_ccw_static_2<T>::cw_map[3] = {2, 0, 1};
 
-class Triangulation_cw_ccw_2 
+class Triangulation_cw_ccw_2
   : public  Triangulation_cw_ccw_static_2<>
 {
 public:
-  static int ccw(const int i) 
+  static int ccw(const int i)
     {
       CGAL_triangulation_precondition( i >= 0 && i < 3);
       return ccw_map[i];
diff -pruN 5.0.2-3/include/CGAL/Triangulation_utils_3.h 5.0.3-1/include/CGAL/Triangulation_utils_3.h
--- 5.0.2-3/include/CGAL/Triangulation_utils_3.h	2020-02-21 20:04:31.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_utils_3.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/TDS_3/include/CGAL/Triangulation_utils_3.h $
-// $Id: Triangulation_utils_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/TDS_3/include/CGAL/Triangulation_utils_3.h $
+// $Id: Triangulation_utils_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Monique Teillaud <Monique.Teillaud@sophia.inria.fr>
@@ -27,7 +27,7 @@ struct Triangulation_utils_base_3
 {
   static const char tab_next_around_edge[4][4];
   static const int tab_vertex_triple_index[4][3];
-  
+
   // copied from Triangulation_utils_2.h to avoid package dependency
   static const int ccw_map[3];
   static const int cw_map[3];
@@ -61,7 +61,7 @@ const int Triangulation_utils_base_3<T>:
 struct Triangulation_utils_3
   : public Triangulation_utils_base_3<>
 {
-  static int ccw(const int i) 
+  static int ccw(const int i)
     {
       CGAL_triangulation_precondition( i >= 0 && i < 3);
       return ccw_map[i];
@@ -78,8 +78,8 @@ struct Triangulation_utils_3
     // index of the next cell when turning around the
     // oriented edge vertex(i) vertex(j) in 3d
     CGAL_triangulation_precondition( ( i >= 0 && i < 4 ) &&
-		                     ( j >= 0 && j < 4 ) &&
-		                     ( i != j ) );
+                                     ( j >= 0 && j < 4 ) &&
+                                     ( i != j ) );
     return tab_next_around_edge[i][j];
   }
 
@@ -89,7 +89,7 @@ struct Triangulation_utils_3
     // indexes of the  jth vertex  of the facet of a cell
     // opposite to vertx i
       CGAL_triangulation_precondition( ( i >= 0 && i < 4 ) &&
-		                     ( j >= 0 && j < 3 ) );
+                                     ( j >= 0 && j < 3 ) );
     return tab_vertex_triple_index[i][j];
   }
 
diff -pruN 5.0.2-3/include/CGAL/Triangulation_vertex_base_2.h 5.0.3-1/include/CGAL/Triangulation_vertex_base_2.h
--- 5.0.2-3/include/CGAL/Triangulation_vertex_base_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_vertex_base_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_vertex_base_2.h $
-// $Id: Triangulation_vertex_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_vertex_base_2.h $
+// $Id: Triangulation_vertex_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec
 
@@ -23,7 +23,7 @@ namespace CGAL {
 
 template < typename GT,
            typename Vb = Triangulation_ds_vertex_base_2<> >
-class Triangulation_vertex_base_2 
+class Triangulation_vertex_base_2
   : public Vb
 
 {
@@ -54,7 +54,7 @@ public:
   Triangulation_vertex_base_2(const Point & p) : Vb(), _p(p) {}
   Triangulation_vertex_base_2(const Point & p, Face_handle f)
     : Vb(f), _p(p) {}
-  Triangulation_vertex_base_2(Face_handle f) : Vb(f) {} 
+  Triangulation_vertex_base_2(Face_handle f) : Vb(f) {}
 
   void set_point(const Point & p) { _p = p; }
   const Point&  point() const { return _p; }
@@ -65,7 +65,7 @@ public:
   Point&        point() { return _p; }
 
   //the following trivial is_valid to allow
-  // the user of derived face base classes 
+  // the user of derived face base classes
   // to add their own purpose checking
   bool is_valid(bool /* verbose */ = false, int /* level */ = 0) const
     {return true;}
@@ -73,24 +73,24 @@ public:
 #ifndef CGAL_NO_DEPRECATED_CODE
   size_type degree(); //should be const
 
-  Vertex_circulator incident_vertices()     
+  Vertex_circulator incident_vertices()
     {return Vertex_circulator(handle());}
- 
-  Vertex_circulator incident_vertices( Face_handle f)  
+
+  Vertex_circulator incident_vertices( Face_handle f)
     {return Vertex_circulator(handle(),f);}
-  
-  Face_circulator incident_faces()  
+
+  Face_circulator incident_faces()
     { return Face_circulator(handle()) ;}
-  
-  Face_circulator incident_faces( Face_handle f)    
+
+  Face_circulator incident_faces( Face_handle f)
     { return Face_circulator(handle(), f);}
-  
-  Edge_circulator incident_edges()   
+
+  Edge_circulator incident_edges()
     { return Edge_circulator(handle());}
-  
-  Edge_circulator incident_edges( Face_handle f)  
+
+  Edge_circulator incident_edges( Face_handle f)
     { return Edge_circulator(handle(), f);}
- 
+
   Vertex_handle handle();
 
 #endif //  CGAL_NO_DEPRECATED_CODE
@@ -121,7 +121,7 @@ degree() //const
   int count = 0;
   Vertex_circulator vc = incident_vertices(), done(vc);
   if ( ! vc.is_empty()) {
-    do { 
+    do {
       count += 1;
     } while (++vc != done);
   }
@@ -136,7 +136,7 @@ handle()
   for(int i = 0 ; i < 3 ; ++i){
     if ( &*fh->vertex(i) == this) return fh->vertex(i);
   }
-  return Vertex_handle();				    
+  return Vertex_handle();
 }
 #endif
 } //namespace CGAL
diff -pruN 5.0.2-3/include/CGAL/Triangulation_vertex_base_3.h 5.0.3-1/include/CGAL/Triangulation_vertex_base_3.h
--- 5.0.2-3/include/CGAL/Triangulation_vertex_base_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_vertex_base_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Triangulation_vertex_base_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Triangulation_vertex_base_3.h $
 // $Id: Triangulation_vertex_base_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Triangulation_vertex_base_with_id_2.h 5.0.3-1/include/CGAL/Triangulation_vertex_base_with_id_2.h
--- 5.0.2-3/include/CGAL/Triangulation_vertex_base_with_id_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_vertex_base_with_id_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -2,10 +2,10 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_vertex_base_with_id_2.h $
-// $Id: Triangulation_vertex_base_with_id_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_vertex_base_with_id_2.h $
+// $Id: Triangulation_vertex_base_with_id_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Fernando Cacciola
 
diff -pruN 5.0.2-3/include/CGAL/Triangulation_vertex_base_with_info_2.h 5.0.3-1/include/CGAL/Triangulation_vertex_base_with_info_2.h
--- 5.0.2-3/include/CGAL/Triangulation_vertex_base_with_info_2.h	2020-02-21 20:04:34.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_vertex_base_with_info_2.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_2/include/CGAL/Triangulation_vertex_base_with_info_2.h $
-// $Id: Triangulation_vertex_base_with_info_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_2/include/CGAL/Triangulation_vertex_base_with_info_2.h $
+// $Id: Triangulation_vertex_base_with_info_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Mariette Yvinec, Sylvain Pion
 
diff -pruN 5.0.2-3/include/CGAL/Triangulation_vertex_base_with_info_3.h 5.0.3-1/include/CGAL/Triangulation_vertex_base_with_info_3.h
--- 5.0.2-3/include/CGAL/Triangulation_vertex_base_with_info_3.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_vertex_base_with_info_3.h	2020-08-01 19:02:59.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation_3/include/CGAL/Triangulation_vertex_base_with_info_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation_3/include/CGAL/Triangulation_vertex_base_with_info_3.h $
 // $Id: Triangulation_vertex_base_with_info_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Triangulation_vertex.h 5.0.3-1/include/CGAL/Triangulation_vertex.h
--- 5.0.2-3/include/CGAL/Triangulation_vertex.h	2020-02-21 20:04:33.000000000 +0000
+++ 5.0.3-1/include/CGAL/Triangulation_vertex.h	2020-08-01 19:02:58.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Triangulation/include/CGAL/Triangulation_vertex.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Triangulation/include/CGAL/Triangulation_vertex.h $
 // $Id: Triangulation_vertex.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/tss.h 5.0.3-1/include/CGAL/tss.h
--- 5.0.2-3/include/CGAL/tss.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/tss.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/tss.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/tss.h $
 // $Id: tss.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 
diff -pruN 5.0.2-3/include/CGAL/tuple.h 5.0.3-1/include/CGAL/tuple.h
--- 5.0.2-3/include/CGAL/tuple.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/tuple.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/tuple.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/tuple.h $
 // $Id: tuple.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Twotuple.h 5.0.3-1/include/CGAL/Twotuple.h
--- 5.0.2-3/include/CGAL/Twotuple.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Twotuple.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999,2001  
+// Copyright (c) 1999,2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Twotuple.h $
-// $Id: Twotuple.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Twotuple.h $
+// $Id: Twotuple.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 
diff -pruN 5.0.2-3/include/CGAL/typeset.h 5.0.3-1/include/CGAL/typeset.h
--- 5.0.2-3/include/CGAL/typeset.h	2020-02-21 20:03:44.000000000 +0000
+++ 5.0.3-1/include/CGAL/typeset.h	2020-08-01 19:02:35.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/NewKernel_d/include/CGAL/typeset.h $
-// $Id: typeset.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/NewKernel_d/include/CGAL/typeset.h $
+// $Id: typeset.h 822bc55 2020-03-27T08:28:48+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Glisse
@@ -33,7 +33,7 @@ namespace CGAL {
       std::conditional<
         contains<X>::value,
         typeset<H,U...>,
-	typeset<H,U...,X>
+        typeset<H,U...,X>
       >::type;
   };
   template<> struct typeset<> {
@@ -41,22 +41,28 @@ namespace CGAL {
     template<class X> using contains = std::false_type;
     template<class X> using add = typeset<X>;
   };
+  struct typeset_all {
+    typedef typeset_all type;
+    template<class X> using contains = std::true_type;
+    template<class X> using add = typeset_all;
+  };
 
   template<class T1, class T2> struct typeset_union_ :
     typeset_union_<typename T1::template add<typename T2::head>::type, typename T2::tail>
   {};
   template<class T> struct typeset_union_ <T, typeset<> > : T {};
+  template<class T> struct typeset_union_ <T, typeset_all > : typeset_all {};
 
   template<class T1, class T2>
     struct typeset_intersection_ {
       typedef typename T1::head H;
       typedef typename typeset_intersection_<typename T1::tail,T2>::type U;
       typedef typename
-	std::conditional<T2::template contains<H>::value,
-	typename U::template add<H>::type, U>::type type;
+        std::conditional<T2::template contains<H>::value,
+        typename U::template add<H>::type, U>::type type;
     };
-  template<class T>
-    struct typeset_intersection_<typeset<>,T> : typeset<> {};
+  template<class T> struct typeset_intersection_<typeset<>, T> : typeset<> {};
+  template<class T> struct typeset_intersection_<typeset_all, T> : T {};
 
   template<class T1, class T2>
     using typeset_union = typename typeset_union_<T1,T2>::type;
diff -pruN 5.0.2-3/include/CGAL/type_traits.h 5.0.3-1/include/CGAL/type_traits.h
--- 5.0.2-3/include/CGAL/type_traits.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/type_traits.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/type_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/type_traits.h $
 // $Id: type_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Umbilics.h 5.0.3-1/include/CGAL/Umbilics.h
--- 5.0.2-3/include/CGAL/Umbilics.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Umbilics.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Ridges_3/include/CGAL/Umbilics.h $
-// $Id: Umbilics.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Ridges_3/include/CGAL/Umbilics.h $
+// $Id: Umbilics.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Pouget and Frédéric Cazals
@@ -37,11 +37,11 @@ class Umbilic
  public:
   typedef typename boost::graph_traits<TriangleMesh>::vertex_descriptor    vertex_descriptor;
   typedef typename boost::graph_traits<TriangleMesh>::halfedge_descriptor  halfedge_descriptor;
-  
+
   //constructor
   Umbilic(const TriangleMesh& P,
           const vertex_descriptor v_init,
-	  const std::list<halfedge_descriptor> contour_init); 
+          const std::list<halfedge_descriptor> contour_init);
 
   //access fct
   vertex_descriptor vertex() const { return v;}
@@ -63,17 +63,17 @@ template <class TriangleMesh>
 Umbilic<TriangleMesh>::
 Umbilic(const TriangleMesh& P,
         const vertex_descriptor v_init,
-	const std::list<halfedge_descriptor> contour_init) 
+        const std::list<halfedge_descriptor> contour_init)
   : P(P), v(v_init), contour(contour_init)
-{} 
+{}
 
 
 template <class TriangleMesh>
-std::ostream& 
+std::ostream&
 operator<<(std::ostream& out_stream, const Umbilic<TriangleMesh>& umbilic)
 {
   typedef typename boost::property_map<TriangleMesh,vertex_point_t>::const_type VPM;
-  VPM vpm = get(vertex_point, umbilic.mesh()); 
+  VPM vpm = get(vertex_point, umbilic.mesh());
   out_stream << "Umbilic at location (" << get(vpm, umbilic.vertex()) <<  ") of type ";
   switch (umbilic.umbilic_type())
     {
@@ -95,7 +95,7 @@ operator<<(std::ostream& out_stream, con
 template < class TriangleMesh, class VertexFTMap, class VertexVectorMap >
 class Umbilic_approximation
 {
-  
+
   typedef typename boost::property_map<TriangleMesh,vertex_point_t>::const_type VPM;
   typedef typename boost::property_traits<VPM>::value_type Point_3;
   typedef typename Kernel_traits<Point_3>::Kernel Kernel;
@@ -116,11 +116,11 @@ class Umbilic_approximation
   typedef CGAL::Umbilic<TriangleMesh> Umbilic;
 
   //constructor : sets propertymaps and the poly_neighbors
-  Umbilic_approximation(const TriangleMesh& P, 
-			const VertexFTMap& vertex2k1_pm, 
-			const VertexFTMap& vertex2k2_pm,
-			const VertexVectorMap& vertex2d1_pm, 
-			const VertexVectorMap& vertex2d2_pm);
+  Umbilic_approximation(const TriangleMesh& P,
+                        const VertexFTMap& vertex2k1_pm,
+                        const VertexFTMap& vertex2k2_pm,
+                        const VertexVectorMap& vertex2d1_pm,
+                        const VertexVectorMap& vertex2d2_pm);
   //identify umbilics as vertices minimizing the function k1-k2 on
   //their patch and for which the index is not 0. We avoid
   //potential umbilics whose contours touch the border.
@@ -129,7 +129,7 @@ class Umbilic_approximation
 
  protected:
   const TriangleMesh& P;
-  
+
   typedef T_PolyhedralSurf_neighbors<TriangleMesh> Poly_neighbors;
   boost::shared_ptr<Poly_neighbors> poly_neighbors;
 
@@ -153,12 +153,12 @@ class Umbilic_approximation
 
 template < class TriangleMesh,  class VertexFTMap, class VertexVectorMap >
 Umbilic_approximation< TriangleMesh, VertexFTMap, VertexVectorMap >::
-Umbilic_approximation(const TriangleMesh& p, 
-		      const VertexFTMap& vertex2k1_pm, 
-		      const VertexFTMap& vertex2k2_pm,
-		      const VertexVectorMap& vertex2d1_pm, 
-		      const VertexVectorMap& vertex2d2_pm)
-  : P(p), k1(vertex2k1_pm), k2(vertex2k2_pm), 
+Umbilic_approximation(const TriangleMesh& p,
+                      const VertexFTMap& vertex2k1_pm,
+                      const VertexFTMap& vertex2k2_pm,
+                      const VertexVectorMap& vertex2d1_pm,
+                      const VertexVectorMap& vertex2d2_pm)
+  : P(p), k1(vertex2k1_pm), k2(vertex2k2_pm),
     d1(vertex2d1_pm), d2(vertex2d2_pm)
 {
   CGAL_precondition(is_triangle_mesh(P));
@@ -173,11 +173,11 @@ OutputIterator Umbilic_approximation< Tr
 compute(OutputIterator umbilics_it, FT size)
 {
   CGAL_precondition( size >= 1 );
-  
+
   std::vector<vertex_descriptor> vces;
   std::list<halfedge_descriptor> contour;
   FT umbilicEstimatorVertex, umbilicEstimatorNeigh;
-  
+
   bool is_umbilic = true;
 
   //MAIN loop on P vertices
@@ -192,8 +192,8 @@ compute(OutputIterator umbilics_it, FT s
     is_umbilic = true;
     //the size of neighbourhood is (size * OneRingSize)
     poly_neighbors->compute_neighbors(vh, vces, contour, size);
-    
-    
+
+
     // avoid umbilics whose contours touch the border (Note may not be
     // desirable?)
     typename std::list<halfedge_descriptor>::const_iterator itb_cont = contour.begin(),
@@ -201,20 +201,20 @@ compute(OutputIterator umbilics_it, FT s
     for (; itb_cont != ite_cont; itb_cont++)
       if ( is_border(*itb_cont, P) ) {is_umbilic = false; continue;}
     if (is_umbilic == false) continue;
-    
+
     //is v an umbilic?
-    //a priori is_umbilic = true, and it switches to false as soon as a 
+    //a priori is_umbilic = true, and it switches to false as soon as a
     //  neigh vertex has a lower umbilicEstimator value
     typename std::vector<vertex_descriptor>::const_iterator itbv = vces.begin(),
       itev = vces.end();
     itbv++;
     for (; itbv != itev; itbv++)
-      {	umbilicEstimatorNeigh = cgal_abs( get(k1,*itbv) - get(k2,*itbv) );
-	if ( umbilicEstimatorNeigh < umbilicEstimatorVertex ) 
-	  {is_umbilic = false; break;}
+      {        umbilicEstimatorNeigh = cgal_abs( get(k1,*itbv) - get(k2,*itbv) );
+        if ( umbilicEstimatorNeigh < umbilicEstimatorVertex )
+          {is_umbilic = false; break;}
       }
     if (is_umbilic == false) continue;
-    
+
     //v is an umbilic (wrt the min of k1-k2), compute the index. If
     //the index is not 0 then we have actually an umbilic which is output
     Umbilic*  cur_umbilic = new Umbilic(P, vh, contour);
@@ -255,7 +255,7 @@ compute_type(Umbilic& umb)
     normal = CGAL::cross_product(get(d1,v), get(d2,v));
   }
   while (itb != (itlast));
-  
+
   //angle (v_last, v_0)
   v = target(*umb.contour_list().begin(), P);
    dirnext = get(d1,v);
@@ -276,25 +276,25 @@ compute_type(Umbilic& umb)
 
 //Global function
 
-template < class TriangleMesh,  
+template < class TriangleMesh,
            class VertexFTMap,
            class VertexVectorMap,
            class OutputIterator>
 OutputIterator compute_umbilics(const TriangleMesh &P,
-                                const VertexFTMap& vertex2k1_pm, 
+                                const VertexFTMap& vertex2k1_pm,
                                 const VertexFTMap& vertex2k2_pm,
-                                const VertexVectorMap& vertex2d1_pm, 
+                                const VertexVectorMap& vertex2d1_pm,
                                 const VertexVectorMap& vertex2d2_pm,
-                                OutputIterator it, 
+                                OutputIterator it,
                                 double size)
 {
-  typedef Umbilic_approximation < TriangleMesh, 
+  typedef Umbilic_approximation < TriangleMesh,
     VertexFTMap, VertexVectorMap > Umbilic_approximation;
-  
-  Umbilic_approximation umbilic_approximation(P, 
-					      vertex2k1_pm, vertex2k2_pm,
-					      vertex2d1_pm, vertex2d2_pm);
-  return umbilic_approximation.compute(it, size);  
+
+  Umbilic_approximation umbilic_approximation(P,
+                                              vertex2k1_pm, vertex2k2_pm,
+                                              vertex2d1_pm, vertex2d2_pm);
+  return umbilic_approximation.compute(it, size);
 }
 
 
diff -pruN 5.0.2-3/include/CGAL/Uncertain.h 5.0.3-1/include/CGAL/Uncertain.h
--- 5.0.2-3/include/CGAL/Uncertain.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/Uncertain.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/Uncertain.h $
-// $Id: Uncertain.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/Uncertain.h $
+// $Id: Uncertain.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Sylvain Pion
@@ -112,7 +112,7 @@ public:
     if (is_certain())
       return _i;
     CGAL_PROFILER(std::string("Uncertain_conversion_exception thrown for CGAL::Uncertain< ")
-		  + typeid(T).name() + " >");
+                  + typeid(T).name() + " >");
     throw Uncertain_conversion_exception(
                   "Undecidable conversion of CGAL::Uncertain<T>");
   }
@@ -208,20 +208,20 @@ Uncertain<T>::indeterminate()
 
 namespace internal {
 
-	// helper class
-	template < typename T >
-	struct Indeterminate_helper {
-		typedef T result_type;
-		result_type operator()() const
-		{ return T(); }
-	};
-
-	template < typename T >
-	struct Indeterminate_helper< Uncertain<T> > {
-		typedef Uncertain<T> result_type;
-		result_type operator()() const
-		{ return Uncertain<T>::indeterminate(); }
-	};
+        // helper class
+        template < typename T >
+        struct Indeterminate_helper {
+                typedef T result_type;
+                result_type operator()() const
+                { return T(); }
+        };
+
+        template < typename T >
+        struct Indeterminate_helper< Uncertain<T> > {
+                typedef Uncertain<T> result_type;
+                result_type operator()() const
+                { return Uncertain<T>::indeterminate(); }
+        };
 
 } // namespace internal
 
@@ -602,14 +602,14 @@ template < typename T >
 inline
 Uncertain<T> operator*(T a, Uncertain<T> b)
 {
-	return Uncertain<T>(a) * b;
+        return Uncertain<T>(a) * b;
 }
 
 template < typename T >
 inline
 Uncertain<T> operator*(Uncertain<T> a, T b)
 {
-	return a * Uncertain<T>(b);
+        return a * Uncertain<T>(b);
 }
 
 // enum_cast overload
diff -pruN 5.0.2-3/include/CGAL/Unfiltered_predicate_adaptor.h 5.0.3-1/include/CGAL/Unfiltered_predicate_adaptor.h
--- 5.0.2-3/include/CGAL/Unfiltered_predicate_adaptor.h	2020-02-21 20:04:24.000000000 +0000
+++ 5.0.3-1/include/CGAL/Unfiltered_predicate_adaptor.h	2020-08-01 19:02:53.000000000 +0000
@@ -1,12 +1,12 @@
 // Copyright (c) 2005-2008 Fernando Luis Cacciola Carballal.
-// All rights reserved. 
+// All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Straight_skeleton_2/include/CGAL/Unfiltered_predicate_adaptor.h $
-// $Id: Unfiltered_predicate_adaptor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Straight_skeleton_2/include/CGAL/Unfiltered_predicate_adaptor.h $
+// $Id: Unfiltered_predicate_adaptor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 // Author(s)     : Sylvain Pion, Fernando Cacciola <fernando_cacciola@ciudad.com.ar>
 //
 
@@ -92,7 +92,7 @@ public:
   template <class A1, class A2, class A3, class A4, class A5>
   result_type
   operator()(const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4,
-	     const A5 &a5) const
+             const A5 &a5) const
 #ifndef CGAL_CFG_OUTOFLINE_TEMPLATE_MEMBER_DEFINITION_BUG
   ;
 #else
@@ -104,7 +104,7 @@ public:
   template <class A1, class A2, class A3, class A4, class A5, class A6>
   result_type
   operator()(const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4,
-	     const A5 &a5, const A6 &a6) const
+             const A5 &a5, const A6 &a6) const
 #ifndef CGAL_CFG_OUTOFLINE_TEMPLATE_MEMBER_DEFINITION_BUG
   ;
 #else
@@ -117,7 +117,7 @@ public:
             class A7>
   result_type
   operator()(const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4,
-	     const A5 &a5, const A6 &a6, const A7 &a7) const
+             const A5 &a5, const A6 &a6, const A7 &a7) const
 #ifndef CGAL_CFG_OUTOFLINE_TEMPLATE_MEMBER_DEFINITION_BUG
   ;
 #else
@@ -198,7 +198,7 @@ template <class CAP>
 typename Unfiltered_predicate_adaptor<CAP>::result_type
 Unfiltered_predicate_adaptor<CAP>::
   operator()(const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4,
-	     const A5 &a5) const
+             const A5 &a5) const
 {
   return static_cast<result_type>(Certified_approx_predicate(a1, a2, a3, a4, a5));
 }
@@ -208,7 +208,7 @@ template <class CAP>
 typename Unfiltered_predicate_adaptor<CAP>::result_type
 Unfiltered_predicate_adaptor<CAP>::
   operator()(const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4,
-	     const A5 &a5, const A6 &a6) const
+             const A5 &a5, const A6 &a6) const
 {
   return static_cast<result_type>(Certified_approx_predicate(a1, a2, a3, a4, a5, a6));
 }
@@ -238,7 +238,7 @@ template <class CAP>
 typename Unfiltered_predicate_adaptor<CAP>::result_type
 Unfiltered_predicate_adaptor<CAP>::
   operator()(const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4,
-             const A5 &a5, const A6 &a6, const A7 &a7, const A8 &a8, 
+             const A5 &a5, const A6 &a6, const A7 &a7, const A8 &a8,
              const A9 &a9 ) const
 {
   return static_cast<result_type>(Certified_approx_predicate(a1, a2, a3, a4, a5, a6, a7, a8, a9));
diff -pruN 5.0.2-3/include/CGAL/Union_find.h 5.0.3-1/include/CGAL/Union_find.h
--- 5.0.2-3/include/CGAL/Union_find.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Union_find.h	2020-08-01 19:02:59.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2000  
+// Copyright (c) 1997-2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Union_find/include/CGAL/Union_find.h $
-// $Id: Union_find.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Union_find/include/CGAL/Union_find.h $
+// $Id: Union_find.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>,
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
@@ -32,7 +32,7 @@ class UF_forward_iterator {
     PTR_   m_p;
 public:
     // should be private and Union_find<...> a friend.
-    PTR_   ptr() const { return m_p; }  
+    PTR_   ptr() const { return m_p; }
 
     typedef UF_forward_iterator<PTR_, V_, R_, P_> Self;
     typedef V_                                    value_type;
@@ -79,11 +79,11 @@ public:
 // allocator concept as defined in the C++ standard.
 
 // Union_find is implemented with union by rank and path compression.
-// The running time for $m$ set operations on $n$ elements is 
+// The running time for $m$ set operations on $n$ elements is
 // $O(n \alpha(m,n))$ where $\alpha(m,n)$ is the extremely slow
 // growing inverse of Ackermann's function.
 
-template <typename T, typename A = CGAL_ALLOCATOR(T) > 
+template <typename T, typename A = CGAL_ALLOCATOR(T) >
 class Union_find {
     struct Union_find_struct {
         typedef Union_find_struct* pointer;
@@ -101,9 +101,9 @@ public:
     typedef Union_find_struct*                               pointer;
     typedef const Union_find_struct*                         const_pointer;
 
-    typedef T                                                value_type; 
-    typedef T&                                               reference; 
-    typedef const T&                                         const_reference; 
+    typedef T                                                value_type;
+    typedef T&                                               reference;
+    typedef const T&                                         const_reference;
 
     typedef internal::UF_forward_iterator< pointer, T, T&, T*>  iterator;
     typedef iterator                                         handle;
@@ -132,7 +132,7 @@ private:
     pointer find( pointer p) const {
         CGAL_assertion(p != 0);
         pointer r = p;
-        while (r->up) 
+        while (r->up)
             r = r->up; // now r is the root;
         while (p->up) {
             pointer u = p->up;
@@ -160,7 +160,7 @@ public:
 
     std::size_t bytes() const {
     // returns the memory consumed
-        return values * sizeof(Union_find_struct) + sizeof( Self); 
+        return values * sizeof(Union_find_struct) + sizeof( Self);
     }
 
     std::size_t size( const_handle p) const { return find(p).ptr()->size; }
@@ -199,7 +199,7 @@ public:
     bool same_set( const_handle p, const_handle q) const {
     // returns true iff $p$ and $q$ belong to the same set.
     // Precond: $p$ and $q$ are in the partition.
-        return find(p) == find(q); 
+        return find(p) == find(q);
     }
 
     iterator begin() { return iterator(m_first); }
@@ -221,7 +221,7 @@ typename Union_find<T,A>::handle Union_f
 
 template <typename T, typename A>
 void Union_find<T,A>::clear() {
-    while (m_first) { 
+    while (m_first) {
         pointer tmp = m_first->next;
         std::allocator_traits<allocator>::destroy(alloc, m_first);
         alloc.deallocate(m_first,1);
@@ -240,7 +240,7 @@ void Union_find<T,A>::unify_sets( handle
         return;
     std::size_t sp = pit->size;
     std::size_t sq = qit->size;
-    if (sp > sq) 
+    if (sp > sq)
         std::swap(pit,qit); // now sp <= sq
     pit->up = qit;  // linking roots
     qit->size += pit->size; // updating size
diff -pruN 5.0.2-3/include/CGAL/Union_of_balls_3.h 5.0.3-1/include/CGAL/Union_of_balls_3.h
--- 5.0.2-3/include/CGAL/Union_of_balls_3.h	2020-02-21 20:04:17.000000000 +0000
+++ 5.0.3-1/include/CGAL/Union_of_balls_3.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Skin_surface_3/include/CGAL/Union_of_balls_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Skin_surface_3/include/CGAL/Union_of_balls_3.h $
 // $Id: Union_of_balls_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Unique_hash_map.h 5.0.3-1/include/CGAL/Unique_hash_map.h
--- 5.0.2-3/include/CGAL/Unique_hash_map.h	2020-02-21 20:03:18.000000000 +0000
+++ 5.0.3-1/include/CGAL/Unique_hash_map.h	2020-08-01 19:02:22.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2000  
+// Copyright (c) 1997-2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Hash_map/include/CGAL/Unique_hash_map.h $
-// $Id: Unique_hash_map.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Hash_map/include/CGAL/Unique_hash_map.h $
+// $Id: Unique_hash_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Seel <seel@mpi-sb.mpg.de>
 //                 Lutz Kettner <kettner@inf.ethz.ch>
@@ -28,7 +28,7 @@
 
 namespace CGAL {
 
-template <class Key_, class Data_, 
+template <class Key_, class Data_,
           class UniqueHashFunction = Handle_hash_function,
           class Allocator_ = CGAL_ALLOCATOR(Data_) >
 class Unique_hash_map {
@@ -59,12 +59,12 @@ public:
 
     Unique_hash_map( const Data& deflt, std::size_t table_size = 1)
         : m_map( table_size) { m_map.xdef() = deflt; }
-    
+
     Unique_hash_map( const Data& deflt,
                      std::size_t table_size,
                      const Hash_function& fct)
         : m_hash_function(fct), m_map( table_size) { m_map.xdef() = deflt; }
-    
+
     Unique_hash_map( Key first1, Key beyond1, Data first2) {
         m_map.xdef() = Data();
         insert( first1, beyond1, first2);
@@ -73,7 +73,7 @@ public:
                      const Data& deflt,
                      std::size_t table_size   = 1,
                      const Hash_function& fct = Hash_function())
-    : m_hash_function(fct), m_map( table_size) { 
+    : m_hash_function(fct), m_map( table_size) {
         m_map.xdef() = deflt;
         insert( first1, beyond1, first2);
     }
@@ -88,8 +88,8 @@ public:
         m_map.clear();
         m_map.xdef() = deflt; }
 
-    bool is_defined( const Key& key) const { 
-        return m_map.lookup( m_hash_function(key)) != 0; 
+    bool is_defined( const Key& key) const {
+        return m_map.lookup( m_hash_function(key)) != 0;
     }
 
     const Data& operator[]( const Key& key) const {
@@ -100,7 +100,7 @@ public:
     }
 
     Data& operator[]( const Key& key) {
-        return m_map.access( m_hash_function(key)); 
+        return m_map.access( m_hash_function(key));
     }
 
     Data insert( Key first1, Key beyond1, Data first2) {
diff -pruN 5.0.2-3/include/CGAL/use.h 5.0.3-1/include/CGAL/use.h
--- 5.0.2-3/include/CGAL/use.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/use.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/use.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/use.h $
 // $Id: use.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/user_classes.h 5.0.3-1/include/CGAL/user_classes.h
--- 5.0.2-3/include/CGAL/user_classes.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/user_classes.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/user_classes.h $
-// $Id: user_classes.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/user_classes.h $
+// $Id: user_classes.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri
 //                 Stefan Schirra
diff -pruN 5.0.2-3/include/CGAL/utility.h 5.0.3-1/include/CGAL/utility.h
--- 5.0.2-3/include/CGAL/utility.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/utility.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 2003  
+// Copyright (c) 2003
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/utility.h $
-// $Id: utility.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/utility.h $
+// $Id: utility.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Michael Hoffmann <hoffmann@inf.ethz.ch>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
diff -pruN 5.0.2-3/include/CGAL/utils_classes.h 5.0.3-1/include/CGAL/utils_classes.h
--- 5.0.2-3/include/CGAL/utils_classes.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/utils_classes.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/utils_classes.h $
-// $Id: utils_classes.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/utils_classes.h $
+// $Id: utils_classes.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -88,40 +88,40 @@ protected:
   __m128d C =_mm_load_sd(&c);
   __m128d D =_mm_load_sd(&d);
 
-  __m128d AB = _mm_max_sd(A,B);  
-  __m128d CD = _mm_max_sd(C,D);  
+  __m128d AB = _mm_max_sd(A,B);
+  __m128d CD = _mm_max_sd(C,D);
   A = _mm_max_sd(AB,CD);
   _mm_store_sd(&a, A);
   return a;
 }
-     
+
 inline double sse2max(double a, double b, double c)
 {
   __m128d A =_mm_load_sd(&a);
   __m128d B =_mm_load_sd(&b);
   __m128d C =_mm_load_sd(&c);
 
-  __m128d AB = _mm_max_sd(A,B);  
+  __m128d AB = _mm_max_sd(A,B);
   A = _mm_max_sd(AB,C);
   _mm_store_sd(&a, A);
   return a;
 }
-      
+
 inline double sse2max(double a, double b)
 {
   __m128d A =_mm_load_sd(&a);
   __m128d B =_mm_load_sd(&b);
 
-  __m128d C = _mm_max_sd(A,B);  
+  __m128d C = _mm_max_sd(A,B);
   _mm_store_sd(&a, C);
   return a;
 }
 
- 
-#if 0  
+
+#if 0
 // Doing things in parallel seems the way to go
-// but copying to/from arrays has too much overhead  
-//  a = max(a,a2) b = max(b,b2)    
+// but copying to/from arrays has too much overhead
+//  a = max(a,a2) b = max(b,b2)
 inline void sse2mmax2(double& a, double a2, double& b, double b2)
 {
    CGAL_ALIGN_16 double res[2];
@@ -132,7 +132,7 @@ inline void sse2mmax2(double& a, double
   res[1] = b2;
   __m128d S =_mm_load_pd(res);
 
-  __m128d C = _mm_max_pd(F,S); 
+  __m128d C = _mm_max_pd(F,S);
 
   _mm_store_pd(res, C);
   a = res[0];
@@ -148,31 +148,31 @@ inline void sse2mmax2(double& a, double
   __m128d C =_mm_load_sd(&c);
   __m128d D =_mm_load_sd(&d);
 
-  __m128d AB = _mm_min_sd(A,B);  
-  __m128d CD = _mm_min_sd(C,D);  
+  __m128d AB = _mm_min_sd(A,B);
+  __m128d CD = _mm_min_sd(C,D);
   A = _mm_min_sd(AB,CD);
   _mm_store_sd(&a, A);
   return a;
 }
-     
+
 inline double sse2min(double a, double b, double c)
 {
   __m128d A =_mm_load_sd(&a);
   __m128d B =_mm_load_sd(&b);
   __m128d C =_mm_load_sd(&c);
 
-  __m128d AB = _mm_min_sd(A,B);  
+  __m128d AB = _mm_min_sd(A,B);
   A = _mm_min_sd(AB,C);
   _mm_store_sd(&a, A);
   return a;
 }
-      
+
 inline double sse2min(double a, double b)
 {
   __m128d A =_mm_load_sd(&a);
   __m128d B =_mm_load_sd(&b);
 
-  __m128d C = _mm_min_sd(A,B);  
+  __m128d C = _mm_min_sd(A,B);
   _mm_store_sd(&a, C);
   return a;
 }
@@ -183,7 +183,7 @@ inline void sse2minmax(double& a, double
   __m128d B =_mm_load_sd(&b);
   __m128d C =_mm_load_sd(&c);
 
-  __m128d AB = _mm_min_sd(A,B);  
+  __m128d AB = _mm_min_sd(A,B);
   A = _mm_min_sd(AB,C);
   _mm_store_sd(&a, A);
 
@@ -199,7 +199,7 @@ struct Max<double> :public CGAL::cpp98::
  Max() {}
 
  double operator()( const double& x, const double& y) const
-    { 
+    {
 #ifdef CGAL_USE_SSE2_MAX
       return sse2max(x,y);
 #else
@@ -208,20 +208,20 @@ struct Max<double> :public CGAL::cpp98::
  }
 
   double operator()( double x, double y, double z) const
-  { 
+  {
 #ifdef CGAL_USE_SSE2_MAX
     return sse2max(x,y,z);
-#else 
-    return (std::max)((std::max)( x, y), z); 
+#else
+    return (std::max)((std::max)( x, y), z);
 #endif
   }
 
   double operator()( double w,double x, double y, double z) const
-  { 
+  {
 #ifdef CGAL_USE_SSE2_MAX
     return sse2max(w,x,y,z);
-#else 
-    return (std::max)((std::max)( x, y), (std::max)(w,z)); 
+#else
+    return (std::max)((std::max)( x, y), (std::max)(w,z));
 #endif
   }
 };
@@ -231,7 +231,7 @@ struct Min<double> :public CGAL::cpp98::
  Min() {}
 
  double operator()( const double& x, const double& y) const
-    { 
+    {
 #ifdef CGAL_USE_SSE2_MAX
       return sse2min(x,y);
 #else
@@ -240,20 +240,20 @@ struct Min<double> :public CGAL::cpp98::
  }
 
   double operator()( double x, double y, double z) const
-  { 
+  {
 #ifdef CGAL_USE_SSE2_MAX
     return sse2min(x,y,z);
-#else 
-    return (std::min)((std::min)( x, y), z); 
+#else
+    return (std::min)((std::min)( x, y), z);
 #endif
   }
 
   double operator()( double w,double x, double y, double z) const
-  { 
+  {
 #ifdef CGAL_USE_SSE2_MAX
     return sse2min(w,x,y,z);
-#else 
-    return (std::min)((std::min)( x, y), (std::min)(w,z)); 
+#else
+    return (std::min)((std::min)( x, y), (std::min)(w,z));
 #endif
   }
 };
diff -pruN 5.0.2-3/include/CGAL/utils.h 5.0.3-1/include/CGAL/utils.h
--- 5.0.2-3/include/CGAL/utils.h	2020-02-21 20:03:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/utils.h	2020-08-01 19:02:36.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Number_types/include/CGAL/utils.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Number_types/include/CGAL/utils.h $
 // $Id: utils.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/value_type_traits.h 5.0.3-1/include/CGAL/value_type_traits.h
--- 5.0.2-3/include/CGAL/value_type_traits.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/value_type_traits.h	2020-08-01 19:02:47.000000000 +0000
@@ -4,7 +4,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/value_type_traits.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/value_type_traits.h $
 // $Id: value_type_traits.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Variational_shape_approximation.h 5.0.3-1/include/CGAL/Variational_shape_approximation.h
--- 5.0.2-3/include/CGAL/Variational_shape_approximation.h	2020-02-21 20:04:26.000000000 +0000
+++ 5.0.3-1/include/CGAL/Variational_shape_approximation.h	2020-08-01 19:02:54.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesh_approximation/include/CGAL/Variational_shape_approximation.h $
-// $Id: Variational_shape_approximation.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesh_approximation/include/CGAL/Variational_shape_approximation.h $
+// $Id: Variational_shape_approximation.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -54,7 +54,7 @@
 #include <iostream>
 #endif
 
-#define CGAL_VSA_INVALID_TAG std::numeric_limits<std::size_t>::max()
+#define CGAL_VSA_INVALID_TAG (std::numeric_limits<std::size_t>::max)()
 
 namespace CGAL {
 
diff -pruN 5.0.2-3/include/CGAL/vcm_estimate_edges.h 5.0.3-1/include/CGAL/vcm_estimate_edges.h
--- 5.0.2-3/include/CGAL/vcm_estimate_edges.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/vcm_estimate_edges.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/vcm_estimate_edges.h $
-// $Id: vcm_estimate_edges.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/vcm_estimate_edges.h $
+// $Id: vcm_estimate_edges.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Jocelyn Meyron and Quentin Mérigot
@@ -25,7 +25,7 @@ namespace CGAL {
 /// determines if a point is on a sharp feature edge from a point set
 /// for which the Voronoi covariance Measures have been computed.
 ///
-/// The sharpness of the edge, specified by parameter `threshold`, 
+/// The sharpness of the edge, specified by parameter `threshold`,
 /// is used to filtered points according to the external angle around a sharp feature.
 ///
 /// A point is considered to be on a sharp feature if the external angle `alpha` at the edge is such that
@@ -71,7 +71,7 @@ vcm_is_on_feature_edge (std::array<FT,6>
                         double threshold)
 {
   return vcm_is_on_feature_edge(cov, threshold,
-				CGAL::Default_diagonalize_traits<double, 3>());
+                                CGAL::Default_diagonalize_traits<double, 3>());
 
 }
 
diff -pruN 5.0.2-3/include/CGAL/vcm_estimate_normals.h 5.0.3-1/include/CGAL/vcm_estimate_normals.h
--- 5.0.2-3/include/CGAL/vcm_estimate_normals.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/vcm_estimate_normals.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/vcm_estimate_normals.h $
-// $Id: vcm_estimate_normals.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/vcm_estimate_normals.h $
+// $Id: vcm_estimate_normals.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s) : Jocelyn Meyron and Quentin Mérigot
@@ -265,7 +265,7 @@ compute_vcm (const PointRange& points,
 
     PointMap point_map = choose_parameter(get_parameter(np, internal_np::point_map), PointMap());
     Kernel kernel;
-    
+
     // First, compute the VCM for each point
     std::vector< std::array<double, 6> > cov;
     std::size_t N = 20;
@@ -303,7 +303,7 @@ compute_vcm (const PointRange& points,
 }
 
 /// \endcond
-  
+
 /// \cond SKIP_IN_MANUAL
 template <typename PointRange,
           typename NamedParameters
@@ -331,9 +331,9 @@ vcm_estimate_normals_internal (PointRang
 
     PointMap point_map = choose_parameter(get_parameter(np, internal_np::point_map), PointMap());
     NormalMap normal_map = choose_parameter(get_parameter(np, internal_np::normal_map), NormalMap());
-    
+
     typedef std::array<double, 6> Covariance;
-    
+
     // Compute the VCM and convolve it
     std::vector<Covariance> cov;
     if (nb_neighbors_convolve == -1) {
@@ -383,7 +383,7 @@ vcm_estimate_normals_internal (PointRang
 /// @endcond
 
 
-/**  
+/**
    \ingroup PkgPointSetProcessing3Algorithms
    Estimates normal directions of the range of `points`
    using the Voronoi Covariance Measure with a radius for the convolution.
diff -pruN 5.0.2-3/include/CGAL/Vector_2.h 5.0.3-1/include/CGAL/Vector_2.h
--- 5.0.2-3/include/CGAL/Vector_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Vector_2.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,14 +1,14 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Vector_2.h $
-// $Id: Vector_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Vector_2.h $
+// $Id: Vector_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
diff -pruN 5.0.2-3/include/CGAL/Vector_3.h 5.0.3-1/include/CGAL/Vector_3.h
--- 5.0.2-3/include/CGAL/Vector_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Vector_3.h	2020-08-01 19:02:27.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Vector_3.h $
-// $Id: Vector_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Vector_3.h $
+// $Id: Vector_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Stefan Schirra
 
@@ -257,7 +257,7 @@ public:
 
 template <class R >
 std::ostream&
-insert(std::ostream& os, const Vector_3<R>& v, const Cartesian_tag&) 
+insert(std::ostream& os, const Vector_3<R>& v, const Cartesian_tag&)
 {
   switch(get_mode(os)) {
     case IO::ASCII :
@@ -305,7 +305,7 @@ operator<<(std::ostream& os, const Vecto
 
 template <class R >
 std::istream&
-extract(std::istream& is, Vector_3<R>& v, const Cartesian_tag&) 
+extract(std::istream& is, Vector_3<R>& v, const Cartesian_tag&)
 {
   typename R::FT x(0), y(0), z(0);
   switch(get_mode(is)) {
@@ -330,7 +330,7 @@ extract(std::istream& is, Vector_3<R>& v
 
 template <class R >
 std::istream&
-extract(std::istream& is, Vector_3<R>& v, const Homogeneous_tag&) 
+extract(std::istream& is, Vector_3<R>& v, const Homogeneous_tag&)
 {
   typename R::RT hx, hy, hz, hw;
   switch(get_mode(is))
diff -pruN 5.0.2-3/include/CGAL/vector.h 5.0.3-1/include/CGAL/vector.h
--- 5.0.2-3/include/CGAL/vector.h	2020-02-21 20:04:11.000000000 +0000
+++ 5.0.3-1/include/CGAL/vector.h	2020-08-01 19:02:47.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997, 1998, 1999, 2000  
+// Copyright (c) 1997, 1998, 1999, 2000
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/STL_Extension/include/CGAL/vector.h $
-// $Id: vector.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/STL_Extension/include/CGAL/vector.h $
+// $Id: vector.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@sophia.inria.fr>
 //                 Lutz Kettner <kettner@mpi-sb.mpg.de>
@@ -35,7 +35,7 @@ namespace internal {
 // We give the vector container class a class based iterator implementation.
 // It ensures that iterator_traits work on compilers not supporting
 // partial specializations and it guarantees that default initialization
-// initializes the internal pointer to 0. Allows explicit construction 
+// initializes the internal pointer to 0. Allows explicit construction
 // from a pointer.
 
 template < class T, class Ref, class Ptr>
@@ -134,7 +134,7 @@ public:
 };
 
 template < class T, class Ref, class Ptr> inline
-vector_iterator<T,Ref,Ptr> 
+vector_iterator<T,Ref,Ptr>
 operator+( std::ptrdiff_t n, vector_iterator<T,Ref,Ptr> i) {
     return i += n;
 }
@@ -178,11 +178,11 @@ protected:
     void construct( iterator i, const T& x) {
       std::allocator_traits<Allocator>::construct(alloc,&*i, x);
     }
-  
+
     void destroy( iterator i) {
       std::allocator_traits<Allocator>::destroy(alloc,&*i);
     }
-  
+
     void destroy( iterator first, iterator last) {
         // destroy in reverse order than construction
         while ( last != first) {
@@ -277,7 +277,7 @@ public:
         range_initialize( first, last, iterator_category());
     }
 
-    ~vector() { 
+    ~vector() {
         destroy( start_, finish);
         deallocate();
     }
@@ -387,7 +387,7 @@ public:
     }
 
     void resize( size_type new_size, const T& x) {
-        if (new_size < size()) 
+        if (new_size < size())
             erase( begin() + new_size, end());
         else
             insert( end(), new_size - size(), x);
@@ -411,7 +411,7 @@ protected:
             std::uninitialized_fill_n( &*result, n, x);
             return result;
         }
-        catch(...) { 
+        catch(...) {
             alloc.deallocate( &*result, n);
             throw;
         }
@@ -426,7 +426,7 @@ protected:
             std::uninitialized_copy( first, last, &*result);
             return result;
         }
-        catch(...) { 
+        catch(...) {
             alloc.deallocate( &*result, n);
             throw;
         }
@@ -493,11 +493,11 @@ protected:
                 iterator new_start = iterator( alloc.allocate(len));
                 iterator new_finish = new_start;
                 try {
-                    new_finish = iterator( 
+                    new_finish = iterator(
                         std::uninitialized_copy(start_, position,&*new_start));
                     new_finish = iterator(
                         std::uninitialized_copy( first, last, &*new_finish));
-                    new_finish = iterator( 
+                    new_finish = iterator(
                         std::uninitialized_copy(position,finish,&*new_finish));
                 }
                 catch(...) {
@@ -544,7 +544,7 @@ void vector<T, Alloc>::insert_aux( itera
                 std::uninitialized_copy(position,finish,&*new_finish));
         }
         catch(...) {
-            destroy( new_start, new_finish); 
+            destroy( new_start, new_finish);
             alloc.deallocate( &*new_start, len);
             throw;
         }
@@ -577,7 +577,7 @@ void vector<T, Alloc>::insert( iterator
                 std::fill(position, old_finish, x_copy);
             }
         } else {
-            const size_type old_size = size();        
+            const size_type old_size = size();
             const size_type len = old_size + (std::max)(old_size, n);
             iterator new_start = iterator( alloc.allocate(len));
             iterator new_finish = new_start;
@@ -586,7 +586,7 @@ void vector<T, Alloc>::insert( iterator
                     std::uninitialized_copy( start_, position, &*new_start));
                 std::uninitialized_fill_n( &*new_finish, n, x);
                 new_finish += n;
-                new_finish = iterator( 
+                new_finish = iterator(
                     std::uninitialized_copy( position, finish, &*new_finish));
             }
             catch(...) {
diff -pruN 5.0.2-3/include/CGAL/version.h 5.0.3-1/include/CGAL/version.h
--- 5.0.2-3/include/CGAL/version.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/version.h	2020-08-01 19:03:00.000000000 +0000
@@ -7,8 +7,8 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/version.h $
-// $Id: version.h 7868c45 2020-01-27T11:24:09+01:00 Laurent Rineau
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/version.h $
+// $Id: version.h 2b01447 2020-02-25T09:46:40+01:00 Laurent Rineau
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : -
@@ -17,12 +17,12 @@
 #define CGAL_VERSION_H
 
 #ifndef SWIG
-#define CGAL_VERSION 5.0.2
-#define CGAL_GIT_HASH 7a1ba12bab47123e5adc4536afef0359fb53ed97
+#define CGAL_VERSION 5.0.3
+#define CGAL_GIT_HASH ff74e7f6e89013c6b08d86369d90f7c35c330a2b
 #endif
-#define CGAL_VERSION_NR 1050021000
+#define CGAL_VERSION_NR 1050031000
 #define CGAL_SVN_REVISION 99999
-#define CGAL_RELEASE_DATE 20200221
+#define CGAL_RELEASE_DATE 20200801
 
 #include <CGAL/version_macros.h>
 
diff -pruN 5.0.2-3/include/CGAL/version_macros.h 5.0.3-1/include/CGAL/version_macros.h
--- 5.0.2-3/include/CGAL/version_macros.h	2020-02-21 20:03:19.000000000 +0000
+++ 5.0.3-1/include/CGAL/version_macros.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,14 +3,14 @@
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Installation/include/CGAL/version_macros.h $
-// $Id: version_macros.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Installation/include/CGAL/version_macros.h $
+// $Id: version_macros.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author     : Laurent Rineau
 
@@ -33,8 +33,8 @@
 
 // The following macro definitions:
 //   - do not use extra parenthesis,
-//   - and do not use whitespace 
-// on purpose, so that the Windows Resource Compiler can understand 
+//   - and do not use whitespace
+// on purpose, so that the Windows Resource Compiler can understand
 // the file generated from src/CGAL_libs_verinfo.rc.in
 #define CGAL_VERSION_MAJOR (CGAL_VERSION_NR/10000000%100)
 #define CGAL_VERSION_MINOR (CGAL_VERSION_NR/100000%100)
diff -pruN 5.0.2-3/include/CGAL/Vertex2Data_Property_Map_with_std_map.h 5.0.3-1/include/CGAL/Vertex2Data_Property_Map_with_std_map.h
--- 5.0.2-3/include/CGAL/Vertex2Data_Property_Map_with_std_map.h	2020-02-21 20:04:10.000000000 +0000
+++ 5.0.3-1/include/CGAL/Vertex2Data_Property_Map_with_std_map.h	2020-08-01 19:02:47.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Ridges_3/include/CGAL/Vertex2Data_Property_Map_with_std_map.h $
-// $Id: Vertex2Data_Property_Map_with_std_map.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Ridges_3/include/CGAL/Vertex2Data_Property_Map_with_std_map.h $
+// $Id: Vertex2Data_Property_Map_with_std_map.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Marc Pouget and Frédéric Cazals
 
 #ifndef CGAL_VERTEX2DATA_PROPERTY_MAP_WITH_STD_MAP_H
-#define CGAL_VERTEX2DATA_PROPERTY_MAP_WITH_STD_MAP_H 
+#define CGAL_VERTEX2DATA_PROPERTY_MAP_WITH_STD_MAP_H
 
 #include <CGAL/license/Ridges_3.h>
 
@@ -30,7 +30,7 @@ class associative_property_map;
 // defines models for Vertex2FTPropertyMap and Vertex2VectorPropertyMap
 //--------------------------------------------------------------------------
 template < class TriangulatedSurfaceMesh >
-class Vertex2Data_Property_Map_with_std_map 
+class Vertex2Data_Property_Map_with_std_map
 {
  public:
   typedef typename TriangulatedSurfaceMesh::Traits::FT        FT;
diff -pruN 5.0.2-3/include/CGAL/Visibility_2/visibility_utils.h 5.0.3-1/include/CGAL/Visibility_2/visibility_utils.h
--- 5.0.2-3/include/CGAL/Visibility_2/visibility_utils.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Visibility_2/visibility_utils.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Visibility_2/include/CGAL/Visibility_2/visibility_utils.h $
-// $Id: visibility_utils.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Visibility_2/include/CGAL/Visibility_2/visibility_utils.h $
+// $Id: visibility_utils.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -27,7 +27,7 @@ namespace Visibility_2 {
 
   template <class Arrangement_2>
 int count_edges_in_face(typename Arrangement_2::Face_const_handle fch) {
-  typedef typename Arrangement_2::Ccb_halfedge_const_circulator 
+  typedef typename Arrangement_2::Ccb_halfedge_const_circulator
                                                   Ccb_halfedge_const_circulator;
 
   Ccb_halfedge_const_circulator circ = fch->outer_ccb();
@@ -53,7 +53,7 @@ void print_simple_face(Face_const_handle
   } while (++ curr != cir);
 }
 
-template <class Arrangement_2> 
+template <class Arrangement_2>
 void print_arrangement(const Arrangement_2& arr) {
   typedef typename Arrangement_2::Edge_const_iterator Edge_const_iterator;
   Edge_const_iterator eit;
@@ -65,7 +65,7 @@ void print_arrangement(const Arrangement
 template <class Arrangement_2>
 void print_arrangement_by_face(const Arrangement_2& arr) {
   typedef typename Arrangement_2::Face_const_iterator     Face_const_iterator;
-  typedef typename Arrangement_2::Ccb_halfedge_const_circulator 
+  typedef typename Arrangement_2::Ccb_halfedge_const_circulator
                                                  Ccb_halfedge_const_circulator;
   Face_const_iterator f;
   for (f = arr.faces_begin() ; f != arr.faces_end() ; f++) {
@@ -77,24 +77,24 @@ void print_arrangement_by_face(const Arr
   }
 }
 
-template <class Geometry_traits_2> 
+template <class Geometry_traits_2>
 Orientation orientation_2(const Geometry_traits_2 *geom_traits,
-                          const typename Geometry_traits_2::Point_2& p, 
-                          const typename Geometry_traits_2::Point_2& q, 
+                          const typename Geometry_traits_2::Point_2& p,
+                          const typename Geometry_traits_2::Point_2& q,
                           const typename Geometry_traits_2::Point_2& r) {
 
-  typename Geometry_traits_2::Orientation_2 orient = 
+  typename Geometry_traits_2::Orientation_2 orient =
                                           geom_traits->orientation_2_object();
   return orient(p, q, r);
 }
 
 template <class Geometry_traits_2>
 bool less_distance_to_point_2(const Geometry_traits_2 *geom_traits,
-                           const typename Geometry_traits_2::Point_2& p, 
-                           const typename Geometry_traits_2::Point_2& q, 
+                           const typename Geometry_traits_2::Point_2& p,
+                           const typename Geometry_traits_2::Point_2& q,
                            const typename Geometry_traits_2::Point_2& r) {
 
-  typename Geometry_traits_2::Less_distance_to_point_2 less_dist = 
+  typename Geometry_traits_2::Less_distance_to_point_2 less_dist =
                                 geom_traits->less_distance_to_point_2_object();
   return less_dist(p, q, r);
 }
@@ -105,7 +105,7 @@ bool collinear(const Geometry_traits_2 *
                const typename Geometry_traits_2::Point_2& q,
                const typename Geometry_traits_2::Point_2& r) {
 
-    typename Geometry_traits_2::Collinear_2 collinear_fnct = 
+    typename Geometry_traits_2::Collinear_2 collinear_fnct =
                                 geom_traits->collinear_2_object();
     return collinear_fnct(p, q, r);
 }
@@ -130,33 +130,33 @@ CGAL::Comparison_result compare_xy_2(
         const typename Geometry_traits_2::Point_2 &q)
 {
 
-  typename Geometry_traits_2::Compare_xy_2 cmp = 
+  typename Geometry_traits_2::Compare_xy_2 cmp =
                             geom_traits->compare_xy_2_object();
   return cmp(p, q);
 }
 
 template <class Geometry_traits_2, class Type1, class Type2>
-typename Geometry_traits_2::FT compute_squared_distance_2(  
+typename Geometry_traits_2::FT compute_squared_distance_2(
                             const Geometry_traits_2 *geom_traits,
-                            const Type1& p, 
+                            const Type1& p,
                             const Type2& seg) {
 
-  typename Geometry_traits_2::Compute_squared_distance_2 compute_dist = 
+  typename Geometry_traits_2::Compute_squared_distance_2 compute_dist =
                               geom_traits->compute_squared_distance_2_object();
   return compute_dist(p, seg);
 }
 
 template <class Geometry_traits_2, class Type1, class Type2>
 bool do_intersect_2(const Geometry_traits_2 *geom_traits,
-                    const Type1& c1, 
+                    const Type1& c1,
                     const Type2& c2) {
 
-  typename Geometry_traits_2::Do_intersect_2 intersect = 
+  typename Geometry_traits_2::Do_intersect_2 intersect =
                               geom_traits->do_intersect_2_object();
   return intersect(c1, c2);
 }
 
-template <class Geometry_traits_2> 
+template <class Geometry_traits_2>
 bool collinear_are_ordered_along_line_2(
         const Geometry_traits_2 *geom_traits,
         const typename Geometry_traits_2::Point_2 &p,
@@ -164,7 +164,7 @@ bool collinear_are_ordered_along_line_2(
         const typename Geometry_traits_2::Point_2 &r)
 {
 
-  typename Geometry_traits_2::Collinear_are_ordered_along_line_2 coll = 
+  typename Geometry_traits_2::Collinear_are_ordered_along_line_2 coll =
                       geom_traits->collinear_are_ordered_along_line_2_object();
   return coll(p, q, r);
 }
@@ -172,7 +172,7 @@ bool collinear_are_ordered_along_line_2(
 template <class Geometry_traits_2, class Type1, class Type2>
 typename Geometry_traits_2::Point_2 construct_projected_point_2(
                                 const Geometry_traits_2 *geom_traits,
-                                const Type1& s, 
+                                const Type1& s,
                                 const Type2& p) {
 
   typedef typename Geometry_traits_2::Point_2         Point_2;
@@ -187,7 +187,7 @@ typename Geometry_traits_2::Point_2 cons
     Number_type d_to_src = compute_squared_distance_2
         <Geometry_traits_2, Point_2, Point_2>(geom_traits, proj_pt, s.source());
     Number_type d_to_trg = compute_squared_distance_2
-        <Geometry_traits_2, Point_2, Point_2>(geom_traits, proj_pt, s.target());              
+        <Geometry_traits_2, Point_2, Point_2>(geom_traits, proj_pt, s.target());
     if (d_to_src < d_to_trg) {
       return s.source();
     }
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Accessor.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Accessor.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Accessor.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Accessor.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Accessor.h $
-// $Id: Accessor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Accessor.h $
+// $Id: Accessor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Adaptation_traits_base_2.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Adaptation_traits_base_2.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Adaptation_traits_base_2.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Adaptation_traits_base_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Adaptation_traits_base_2.h $
-// $Id: Adaptation_traits_base_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Adaptation_traits_base_2.h $
+// $Id: Adaptation_traits_base_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Adaptation_traits_functors.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Adaptation_traits_functors.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Adaptation_traits_functors.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Adaptation_traits_functors.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Adaptation_traits_functors.h $
-// $Id: Adaptation_traits_functors.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Adaptation_traits_functors.h $
+// $Id: Adaptation_traits_functors.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Apollonius_graph_degeneracy_testers.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Apollonius_graph_degeneracy_testers.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Apollonius_graph_degeneracy_testers.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Apollonius_graph_degeneracy_testers.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Apollonius_graph_degeneracy_testers.h $
-// $Id: Apollonius_graph_degeneracy_testers.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Apollonius_graph_degeneracy_testers.h $
+// $Id: Apollonius_graph_degeneracy_testers.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -55,7 +55,7 @@ class Apollonius_graph_edge_tester_2
 
  public:
   bool operator()(const Delaunay_graph& dual,
-		  const Face_handle& f, int i) const
+                  const Face_handle& f, int i) const
   {
     if ( dual.dimension() == 1 ) { return false; }
 
@@ -83,17 +83,17 @@ class Apollonius_graph_edge_tester_2
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const All_edges_iterator& eit) const {
+                  const All_edges_iterator& eit) const {
     return operator()(dual, *eit);
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const Finite_edges_iterator& eit) const {
+                  const Finite_edges_iterator& eit) const {
     return operator()(dual, *eit);
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const Edge_circulator& ec) const {
+                  const Edge_circulator& ec) const {
     return operator()(dual, *ec);
   }
 };
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Apollonius_graph_nearest_site_2.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Apollonius_graph_nearest_site_2.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Apollonius_graph_nearest_site_2.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Apollonius_graph_nearest_site_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Apollonius_graph_nearest_site_2.h $
-// $Id: Apollonius_graph_nearest_site_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Apollonius_graph_nearest_site_2.h $
+// $Id: Apollonius_graph_nearest_site_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -67,11 +67,11 @@ public:
       Vertex_handle v2 = e.first->vertex(CW_CCW_2::cw(e.second) );
 
       Oriented_side os = side_of_bisector(v1->site(), v2->site(), p);
-      
+
       if ( os == ON_ORIENTED_BOUNDARY ) {
-	return e;
+        return e;
       } else {
-	return v;
+        return v;
       }
     }
 
@@ -90,17 +90,17 @@ public:
 
       // do the generic check now
       if ( !dg.is_infinite(v1) ) {
-	os1 = side_of_bisector(v->site(), v1->site(), p);
+        os1 = side_of_bisector(v->site(), v1->site(), p);
       }
       if ( !dg.is_infinite(v2) ) {
-	os2 = side_of_bisector(v->site(), v2->site(), p);
+        os2 = side_of_bisector(v->site(), v2->site(), p);
       }
 
       CGAL_assertion( os1 != ON_NEGATIVE_SIDE );
       CGAL_assertion( os2 != ON_NEGATIVE_SIDE );
 
       if ( os1 == ON_ORIENTED_BOUNDARY && os2 == ON_ORIENTED_BOUNDARY ) {
-	return Face_handle(fc);
+        return Face_handle(fc);
       }
 
       ++fc;
@@ -119,14 +119,14 @@ public:
 
       // do the generic check now
       if ( !dg.is_infinite(v1) ) {
-	os1 = side_of_bisector(v->site(), v1->site(), p);
+        os1 = side_of_bisector(v->site(), v1->site(), p);
       }
 
       CGAL_assertion( os1 != ON_NEGATIVE_SIDE );
 
       if ( os1 != ON_ORIENTED_BOUNDARY ) {
-	++ec;
-	continue;
+        ++ec;
+        continue;
       }
 
       // now find the correct part of the bisector on which the query
@@ -139,7 +139,7 @@ public:
       bool is_inf3 = dg.is_infinite(v3);
 
       typename Geom_traits::Orientation_2 vv_orientation =
-	dg.geom_traits().orientation_2_object();
+        dg.geom_traits().orientation_2_object();
 
       Orientation o2 = LEFT_TURN, o3 = RIGHT_TURN;
       if ( is_inf2 && is_inf3 ) { return *ec; }
@@ -147,67 +147,67 @@ public:
       Site_2 sp(p, 0);
 
       if ( !is_inf2 && is_inf3 ) {
-	Orientation vo2 =
-	  vv_orientation(v->site(), v2->site(), v1->site(),
-			 v->site(), v1->site());
-	Orientation op = vv_orientation(v->site(), v1->site(), sp);
-
-	if ( vo2 != LEFT_TURN && op == LEFT_TURN ) { return *ec; }
-
-	o2 = vv_orientation(v->site(), v2->site(), v1->site(),
-			    v->site().point(), sp);
-	CGAL_assertion( o2 != COLLINEAR );
-	if ( o2 == RIGHT_TURN ) { return *ec; }
+        Orientation vo2 =
+          vv_orientation(v->site(), v2->site(), v1->site(),
+                         v->site(), v1->site());
+        Orientation op = vv_orientation(v->site(), v1->site(), sp);
+
+        if ( vo2 != LEFT_TURN && op == LEFT_TURN ) { return *ec; }
+
+        o2 = vv_orientation(v->site(), v2->site(), v1->site(),
+                            v->site().point(), sp);
+        CGAL_assertion( o2 != COLLINEAR );
+        if ( o2 == RIGHT_TURN ) { return *ec; }
       }
 
       if ( is_inf2 && !is_inf3 ) {
-	Orientation vo3 =
-	  vv_orientation(v->site(), v1->site(), v3->site(),
-			 v->site(), v1->site());
-	Orientation op = vv_orientation(v->site(), v1->site(), sp);
-
-	if ( vo3 != RIGHT_TURN && op == RIGHT_TURN ) { return *ec; }
-
-	o3 = vv_orientation(v->site(), v1->site(), v3->site(),
-			    v->site().point(), sp);
-	CGAL_assertion( o3 != COLLINEAR );
-	if ( o3 == LEFT_TURN ) { return *ec; }
+        Orientation vo3 =
+          vv_orientation(v->site(), v1->site(), v3->site(),
+                         v->site(), v1->site());
+        Orientation op = vv_orientation(v->site(), v1->site(), sp);
+
+        if ( vo3 != RIGHT_TURN && op == RIGHT_TURN ) { return *ec; }
+
+        o3 = vv_orientation(v->site(), v1->site(), v3->site(),
+                            v->site().point(), sp);
+        CGAL_assertion( o3 != COLLINEAR );
+        if ( o3 == LEFT_TURN ) { return *ec; }
       }
 
       if ( !is_inf2 && !is_inf3 ) {
-	Orientation vo2 =
-	  vv_orientation(v->site(), v2->site(), v1->site(),
-			 v->site(), v1->site());
-	Orientation vo3 =
-	  vv_orientation(v->site(), v1->site(), v3->site(),
-			 v->site(), v1->site());
-
-	if ( (vo3 == LEFT_TURN && vo2 != RIGHT_TURN) ||
-	     (vo3 != LEFT_TURN && vo2 == RIGHT_TURN) ) {
-	  o2 = vv_orientation(v->site(), v2->site(), v1->site(),
-			      v->site(), sp);
-	  o3 = vv_orientation(v->site(), v1->site(), v3->site(),
-			      v->site(), sp);
-	  CGAL_assertion( o2 != COLLINEAR && o3 != COLLINEAR );
-	  if ( o2 == RIGHT_TURN && o3 == LEFT_TURN ) { return *ec; }
-	} else {
-	  CGAL_assertion( vo2 == RIGHT_TURN && vo3 == LEFT_TURN );
-
-	  Orientation op = vv_orientation(v->site(), v1->site().point(), sp);
-
-	  if ( op == COLLINEAR ) { return *ec; }
-	  else if ( op == LEFT_TURN ) {
-	    o3 = vv_orientation(v->site(), v1->site(), v3->site(),
-				v->site(), sp);
-	    CGAL_assertion( o3 != COLLINEAR );
-	    if ( o3 == LEFT_TURN ) { return *ec; }
-	  } else {
-	    o2 = vv_orientation(v->site(), v2->site(), v1->site(),
-				v->site(), sp);
-	    CGAL_assertion( o2 != COLLINEAR );
-	    if ( o2 == RIGHT_TURN ) { return *ec; }
-	  }
-	}
+        Orientation vo2 =
+          vv_orientation(v->site(), v2->site(), v1->site(),
+                         v->site(), v1->site());
+        Orientation vo3 =
+          vv_orientation(v->site(), v1->site(), v3->site(),
+                         v->site(), v1->site());
+
+        if ( (vo3 == LEFT_TURN && vo2 != RIGHT_TURN) ||
+             (vo3 != LEFT_TURN && vo2 == RIGHT_TURN) ) {
+          o2 = vv_orientation(v->site(), v2->site(), v1->site(),
+                              v->site(), sp);
+          o3 = vv_orientation(v->site(), v1->site(), v3->site(),
+                              v->site(), sp);
+          CGAL_assertion( o2 != COLLINEAR && o3 != COLLINEAR );
+          if ( o2 == RIGHT_TURN && o3 == LEFT_TURN ) { return *ec; }
+        } else {
+          CGAL_assertion( vo2 == RIGHT_TURN && vo3 == LEFT_TURN );
+
+          Orientation op = vv_orientation(v->site(), v1->site().point(), sp);
+
+          if ( op == COLLINEAR ) { return *ec; }
+          else if ( op == LEFT_TURN ) {
+            o3 = vv_orientation(v->site(), v1->site(), v3->site(),
+                                v->site(), sp);
+            CGAL_assertion( o3 != COLLINEAR );
+            if ( o3 == LEFT_TURN ) { return *ec; }
+          } else {
+            o2 = vv_orientation(v->site(), v2->site(), v1->site(),
+                                v->site(), sp);
+            CGAL_assertion( o2 != COLLINEAR );
+            if ( o2 == RIGHT_TURN ) { return *ec; }
+          }
+        }
       }
       ++ec;
     } while ( ec != ec_start );
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/basic.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/basic.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/basic.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/basic.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/basic.h $
-// $Id: basic.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/basic.h $
+// $Id: basic.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Cached_degeneracy_testers.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Cached_degeneracy_testers.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Cached_degeneracy_testers.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Cached_degeneracy_testers.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Cached_degeneracy_testers.h $
-// $Id: Cached_degeneracy_testers.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Cached_degeneracy_testers.h $
+// $Id: Cached_degeneracy_testers.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -95,22 +95,22 @@ public:
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const Face_handle& f,	int i) const {
+                  const Face_handle& f,        int i) const {
     return operator()(dual, Edge(f,i));
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const Edge_circulator& ec) const {
+                  const Edge_circulator& ec) const {
     return operator()(dual, *ec);
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const All_edges_iterator& eit) const {
+                  const All_edges_iterator& eit) const {
     return operator()(dual, *eit);
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const Finite_edges_iterator& eit) const {
+                  const Finite_edges_iterator& eit) const {
     return operator()(dual, *eit);
   }
 
@@ -144,7 +144,7 @@ public:
     typename Edge_map::iterator it;
     for (it = emap.begin(); it != emap.end(); ++it) {
       valid = valid && dual.tds().is_edge(it->first.first,
-					  it->first.second);
+                                          it->first.second);
     }
     return valid;
   }
@@ -210,22 +210,22 @@ public:
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const Face_handle& f,	int i) const {
+                  const Face_handle& f,        int i) const {
     return operator()(dual, Edge(f,i));
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const Edge_circulator& ec) const {
+                  const Edge_circulator& ec) const {
     return operator()(dual, *ec);
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const All_edges_iterator& eit) const {
+                  const All_edges_iterator& eit) const {
     return operator()(dual, *eit);
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const Finite_edges_iterator& eit) const {
+                  const Finite_edges_iterator& eit) const {
     return operator()(dual, *eit);
   }
 
@@ -415,7 +415,7 @@ public:
     bool valid = true;
     typename Delaunay_graph::All_vertices_iterator vit;
     for (vit = dual.all_vertices_begin();
-	 vit != dual.all_vertices_end(); ++vit) {
+         vit != dual.all_vertices_end(); ++vit) {
       bool b = !vmap.is_defined(vit) || (vmap[vit] != UNDEFINED);
       valid = valid && b;
     }
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Circulator_adaptors.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Circulator_adaptors.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Circulator_adaptors.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Circulator_adaptors.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Circulator_adaptors.h $
-// $Id: Circulator_adaptors.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Circulator_adaptors.h $
+// $Id: Circulator_adaptors.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Connected_components.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Connected_components.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Connected_components.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Connected_components.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Connected_components.h $
-// $Id: Connected_components.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Connected_components.h $
+// $Id: Connected_components.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -47,7 +47,7 @@ class Connected_components
  private:
   struct Halfedge_handle_less {
     bool operator()(const Halfedge_handle& e1,
-		    const Halfedge_handle& e2) const {
+                    const Halfedge_handle& e2) const {
       typename Halfedge::Delaunay_edge de1 = e1->dual();
       typename Halfedge::Delaunay_edge de2 = e2->dual();
 
@@ -66,13 +66,13 @@ class Connected_components
   }
 
   bool is_unmarked(const Halfedge_handle& e,
-		   const Halfedge_handle_map& e_map) const
+                   const Halfedge_handle_map& e_map) const
   {
     return e_map.find(e) == e_map.end();
   }
 
   void dfs(const Voronoi_diagram_2& vd, const Halfedge_handle& e,
-	   Halfedge_handle_map& e_map) const
+           Halfedge_handle_map& e_map) const
   {
     CGAL_precondition( !vd.dual().is_infinite(e->dual()) );
 
@@ -80,14 +80,14 @@ class Connected_components
     mark(e, e_map);
 
     if ( e->has_source() ) {
-      HAVC ec =	vd.incident_halfedges(e->source());
+      HAVC ec =        vd.incident_halfedges(e->source());
       HAVC ec_start = ec;
 
       do {
-	if ( e != ec && e_opp != ec && is_unmarked(ec, e_map) ) {
-	  dfs(vd, ec, e_map);
-	}
-	ec++;
+        if ( e != ec && e_opp != ec && is_unmarked(ec, e_map) ) {
+          dfs(vd, ec, e_map);
+        }
+        ec++;
       } while (ec != ec_start);
     }
 
@@ -96,10 +96,10 @@ class Connected_components
       HAVC ec_start = ec;
 
       do {
-	if ( e != ec && e_opp != ec && is_unmarked(ec, e_map) ) {
-	  dfs(vd, ec, e_map);
-	}
-	ec++;
+        if ( e != ec && e_opp != ec && is_unmarked(ec, e_map) ) {
+          dfs(vd, ec, e_map);
+        }
+        ec++;
       } while (ec != ec_start);
     }
   }
@@ -111,10 +111,10 @@ class Connected_components
 
     size_type n_components = 0;
     for(Halfedge_iterator eit = vd.halfedges_begin();
-	eit != vd.halfedges_end(); ++eit) {
+        eit != vd.halfedges_end(); ++eit) {
       if ( is_unmarked(eit, e_map) ) {
-	n_components++;
-	dfs(vd, eit, e_map);
+        n_components++;
+        dfs(vd, eit, e_map);
       }
     }
     return n_components;
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Construct_dual_points.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Construct_dual_points.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Construct_dual_points.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Construct_dual_points.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Construct_dual_points.h $
-// $Id: Construct_dual_points.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Construct_dual_points.h $
+// $Id: Construct_dual_points.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Default_site_inserters.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Default_site_inserters.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Default_site_inserters.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Default_site_inserters.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Default_site_inserters.h $
-// $Id: Default_site_inserters.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Default_site_inserters.h $
+// $Id: Default_site_inserters.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -45,7 +45,7 @@ struct Default_site_inserter
   // helpful for the case of sites that create multiple vertices
   template<class OutputIterator>
   OutputIterator operator()(Delaunay_graph& dg, const Site_2& t,
-			    OutputIterator oit) const {
+                            OutputIterator oit) const {
     *oit++ = operator()(dg, t);
     return oit;
   }
@@ -86,19 +86,19 @@ public:
     Edge_list        e_list;
     Face_handle_list f_list;
     dg.get_conflicts_and_boundary(t, std::back_inserter(f_list),
-				  std::back_inserter(e_list));
+                                  std::back_inserter(e_list));
 
     for (typename Edge_list::iterator it = e_list.begin();
-	 it != e_list.end(); ++it) {
+         it != e_list.end(); ++it) {
       at_->edge_rejector_object().erase(*it);
     }
 
     for (typename Face_handle_list::iterator it = f_list.begin();
-	 it != f_list.end(); ++it) {
+         it != f_list.end(); ++it) {
       Face_handle f = *it;
       for (int j = 0; j < 3; j++) {
-	Edge e(f, j);
-	at_->edge_rejector_object().erase(e);
+        Edge e(f, j);
+        at_->edge_rejector_object().erase(e);
       }
     }
     return Site_inserter()(dg, t);
@@ -106,7 +106,7 @@ public:
 
   template<class OutputIterator>
   OutputIterator operator()(Delaunay_graph& dg, const Site_2& t,
-			    OutputIterator oit) const {
+                            OutputIterator oit) const {
     *oit++ = operator()(dg, t);
     return oit;
   }
@@ -147,7 +147,7 @@ public:
 
   template<class Iterator>
   int operator()(Delaunay_graph& dg,
-		 Iterator first, Iterator beyond) const {
+                 Iterator first, Iterator beyond) const {
     int n = dg.number_of_vertices();
     for (Iterator it = first; it != beyond; ++it) {
       site_inserter(dg, *it);
@@ -157,13 +157,13 @@ public:
 
   template<class Iterator, class OutputIterator>
   OutputIterator operator()(Delaunay_graph& dg,
-			    Iterator first, Iterator beyond,
-			    OutputIterator oit) const {
+                            Iterator first, Iterator beyond,
+                            OutputIterator oit) const {
     for (Iterator it = first; it != beyond; ++it) {
       oit = site_inserter(dg, *it, oit);
     }
     return oit;
-  }  
+  }
 
 private:
   Site_inserter site_inserter;
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Default_site_removers.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Default_site_removers.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Default_site_removers.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Default_site_removers.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Default_site_removers.h $
-// $Id: Default_site_removers.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Default_site_removers.h $
+// $Id: Default_site_removers.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Degeneracy_tester_binders.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Degeneracy_tester_binders.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Degeneracy_tester_binders.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Degeneracy_tester_binders.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Degeneracy_tester_binders.h $
-// $Id: Degeneracy_tester_binders.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Degeneracy_tester_binders.h $
+// $Id: Degeneracy_tester_binders.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Delaunay_triangulation_degeneracy_testers.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Delaunay_triangulation_degeneracy_testers.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Delaunay_triangulation_degeneracy_testers.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Delaunay_triangulation_degeneracy_testers.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Delaunay_triangulation_degeneracy_testers.h $
-// $Id: Delaunay_triangulation_degeneracy_testers.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Delaunay_triangulation_degeneracy_testers.h $
+// $Id: Delaunay_triangulation_degeneracy_testers.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -49,7 +49,7 @@ class Delaunay_triangulation_edge_tester
 
  public:
   bool operator()(const Delaunay_graph& dual,
-		  const Face_handle& f, int i) const
+                  const Face_handle& f, int i) const
   {
     if ( dual.dimension() == 1 ) { return false; }
 
@@ -79,17 +79,17 @@ class Delaunay_triangulation_edge_tester
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const All_edges_iterator& eit) const {
+                  const All_edges_iterator& eit) const {
     return operator()(dual, *eit);
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const Finite_edges_iterator& eit) const {
+                  const Finite_edges_iterator& eit) const {
     return operator()(dual, *eit);
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const Edge_circulator& ec) const {
+                  const Edge_circulator& ec) const {
     return operator()(dual, *ec);
   }
 };
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Delaunay_triangulation_nearest_site_2.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Delaunay_triangulation_nearest_site_2.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Delaunay_triangulation_nearest_site_2.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Delaunay_triangulation_nearest_site_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Delaunay_triangulation_nearest_site_2.h $
-// $Id: Delaunay_triangulation_nearest_site_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Delaunay_triangulation_nearest_site_2.h $
+// $Id: Delaunay_triangulation_nearest_site_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -68,29 +68,29 @@ class Delaunay_triangulation_nearest_sit
       Comparison_result cr;
 
       do {
-	Edge e = *ec;
-	Vertex_handle v1 = e.first->vertex(CW_CCW_2::ccw(e.second));
-	Vertex_handle v2 = e.first->vertex(CW_CCW_2::cw(e.second) );
-
-	if ( v == v1 ) {
-	  if ( !dg.is_infinite(v2) ) {
-	    cr = compare_distance(p, v2->point(), v->point());
-	    CGAL_assertion( cr != SMALLER );
-	    if ( cr == EQUAL ) {
-	      return e;
-	    }
-	  }
-	} else {
-	  CGAL_assertion( v == v2 );
-	  if ( !dg.is_infinite(v1) ) {
-	    cr = compare_distance(p, v1->point(), v->point());
-	    CGAL_assertion( cr != SMALLER );
-	    if ( cr == EQUAL ) {
-	      return e;
-	    }
-	  }
-	}
-	++ec;
+        Edge e = *ec;
+        Vertex_handle v1 = e.first->vertex(CW_CCW_2::ccw(e.second));
+        Vertex_handle v2 = e.first->vertex(CW_CCW_2::cw(e.second) );
+
+        if ( v == v1 ) {
+          if ( !dg.is_infinite(v2) ) {
+            cr = compare_distance(p, v2->point(), v->point());
+            CGAL_assertion( cr != SMALLER );
+            if ( cr == EQUAL ) {
+              return e;
+            }
+          }
+        } else {
+          CGAL_assertion( v == v2 );
+          if ( !dg.is_infinite(v1) ) {
+            cr = compare_distance(p, v1->point(), v->point());
+            CGAL_assertion( cr != SMALLER );
+            if ( cr == EQUAL ) {
+              return e;
+            }
+          }
+        }
+        ++ec;
       } while ( ec != ec_start );
 
       return v;
@@ -111,17 +111,17 @@ class Delaunay_triangulation_nearest_sit
 
       // do the generic check now
       if ( !dg.is_infinite(v1) ) {
-	cr1 = compare_distance(p, v1->point(), v->point());
+        cr1 = compare_distance(p, v1->point(), v->point());
       }
       if ( !dg.is_infinite(v2) ) {
-	cr2 = compare_distance(p, v2->point(), v->point());
+        cr2 = compare_distance(p, v2->point(), v->point());
       }
 
       CGAL_assertion( cr1 != SMALLER );
       CGAL_assertion( cr2 != SMALLER );
 
       if ( cr1 == EQUAL && cr2 == EQUAL ) {
-	return Face_handle(fc);
+        return Face_handle(fc);
       }
 
       ++fc;
@@ -139,10 +139,10 @@ class Delaunay_triangulation_nearest_sit
 
       // do the generic check now
       if ( !dg.is_infinite(v1) ) {
-	cr1 = compare_distance(p, v1->point(), v->point());
+        cr1 = compare_distance(p, v1->point(), v->point());
       }
       if ( !dg.is_infinite(v2) ) {
-	cr2 = compare_distance(p, v2->point(), v->point());
+        cr2 = compare_distance(p, v2->point(), v->point());
       }
 
       CGAL_assertion( cr1 != SMALLER );
@@ -150,11 +150,11 @@ class Delaunay_triangulation_nearest_sit
       CGAL_assertion( cr1 != EQUAL || cr2 != EQUAL );
 
       if ( cr1 == EQUAL ) {
-	Face_handle f(fc);
-	return Edge(f, CW_CCW_2::cw(index) );
+        Face_handle f(fc);
+        return Edge(f, CW_CCW_2::cw(index) );
       } else if ( cr2 == EQUAL ) {
-	Face_handle f(fc);
-	return Edge(f, CW_CCW_2::ccw(index) );
+        Face_handle f(fc);
+        return Edge(f, CW_CCW_2::ccw(index) );
       }
 
       ++fc;
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Dummy_iterator.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Dummy_iterator.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Dummy_iterator.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Dummy_iterator.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Dummy_iterator.h $
-// $Id: Dummy_iterator.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Dummy_iterator.h $
+// $Id: Dummy_iterator.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Edge_less.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Edge_less.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Edge_less.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Edge_less.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Edge_less.h $
-// $Id: Edge_less.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Edge_less.h $
+// $Id: Edge_less.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Face.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Face.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Face.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Face.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Face.h $
-// $Id: Face.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Face.h $
+// $Id: Face.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -87,7 +87,7 @@ class Face
     // testing for infinity):
     //           vda_->edge_rejector()(vda_->dual(), ec)
     while ( vda_->edge_rejector()(vda_->dual(), ec) ||
-	    vda_->dual().is_infinite(ec) ) {
+            vda_->dual().is_infinite(ec) ) {
       ++ec;
       CGAL_assertion( ec != ec_start );
     }
@@ -102,9 +102,9 @@ class Face
 #endif
 
     return
-      Halfedge_handle( 
-		      Halfedge(vda_, ec->first->neighbor(ec->second), i_mirror)
-		      );
+      Halfedge_handle(
+                      Halfedge(vda_, ec->first->neighbor(ec->second), i_mirror)
+                      );
   }
 
   Ccb_halfedge_circulator ccb() const {
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Finder_classes.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Finder_classes.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Finder_classes.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Finder_classes.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Finder_classes.h $
-// $Id: Finder_classes.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Finder_classes.h $
+// $Id: Finder_classes.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -35,7 +35,7 @@ struct Find_next_halfedge
   typedef typename VDA::Delaunay_graph::Face_handle   Delaunay_face_handle;
 
   void operator()(const VDA* vda, const Delaunay_face_handle& f, int i,
-		  Delaunay_face_handle& fnext, int& inext) const
+                  Delaunay_face_handle& fnext, int& inext) const
   {
     Delaunay_face_handle fcur = f;
     int icur = i, cw_i;
@@ -58,7 +58,7 @@ struct Find_opposite_halfedge
   typedef Find_next_halfedge<VDA>                     Next_halfedge;
 
   void operator()(const VDA* vda, const Delaunay_face_handle& f, int i,
-		  Delaunay_face_handle& fopp, int& iopp) const 
+                  Delaunay_face_handle& fopp, int& iopp) const
   {
     Delaunay_face_handle f1;
     int i1;
@@ -81,7 +81,7 @@ class Find_valid_vertex
   typedef std::map<Delaunay_face_handle,bool>        Delaunay_face_map;
 
   Delaunay_face_handle operator()(const VDA* vda,
-				  const Delaunay_face_handle& f) const
+                                  const Delaunay_face_handle& f) const
   {
     CGAL_precondition( !vda->dual().is_infinite(f) );
     Delaunay_face_map fmap;
@@ -95,8 +95,8 @@ class Find_valid_vertex
 
  private:
   void find_valid_vertex(const VDA* vda, const Delaunay_face_handle& cur,
-			 Delaunay_face_handle& fvalid,
-			 Delaunay_face_map& fmap) const
+                         Delaunay_face_handle& fvalid,
+                         Delaunay_face_map& fmap) const
   {
     if ( fmap.find(cur) != fmap.end() ) { return; }
     fmap[cur] = true;
@@ -109,15 +109,15 @@ class Find_valid_vertex
 
     if ( b[0] || b[1] || b[2] ) {
       if ( fvalid == Delaunay_face_handle() || cur < fvalid ) {
-	if ( !vda->dual().is_infinite(cur) ) {
-	  fvalid = cur;
-	}
+        if ( !vda->dual().is_infinite(cur) ) {
+          fvalid = cur;
+        }
       }
     }
 
     for (int i = 0; i < 3; i++) {
       if ( !vda->dual().is_infinite(cur->neighbor(i)) && !b[i] ) {
-	find_valid_vertex(vda, cur->neighbor(i), fvalid, fmap);
+        find_valid_vertex(vda, cur->neighbor(i), fvalid, fmap);
       }
     }
   }
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Halfedge.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Halfedge.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Halfedge.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Halfedge.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Halfedge.h $
-// $Id: Halfedge.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Halfedge.h $
+// $Id: Halfedge.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -50,12 +50,12 @@ class Halfedge
   }
 
   void find_next(const Delaunay_face_handle& f, int i,
-		 Delaunay_face_handle& fnext, int& inext) const {
+                 Delaunay_face_handle& fnext, int& inext) const {
     Find_next_halfedge<VDA>()(vda_, f, i, fnext, inext);
   }
 
   void find_opposite(const Delaunay_face_handle& f, int i,
-		     Delaunay_face_handle& fopp, int& iopp) const {
+                     Delaunay_face_handle& fopp, int& iopp) const {
     Find_opposite_halfedge<VDA>()(vda_, f, i, fopp, iopp);
   }
 
@@ -84,7 +84,7 @@ public:
   }
 
   Halfedge(const VDA* vda, Delaunay_vertex_handle v1,
-	   Delaunay_vertex_handle v2)
+           Delaunay_vertex_handle v2)
     : vda_(vda), f_(Delaunay_face_handle()), i_(-2), v1_(v1), v2_(v2)
   {
     CGAL_precondition( vda_->dual().dimension() == 1 );
@@ -107,7 +107,7 @@ public:
     } else {
       int i_mirror = vda_->dual().tds().mirror_index(f_, i_);
       return
-	Halfedge_handle( Self(vda_, f_->neighbor(i_), i_mirror) );
+        Halfedge_handle( Self(vda_, f_->neighbor(i_), i_mirror) );
     }
   }
 
@@ -141,7 +141,7 @@ public:
 
     Delaunay_face_handle f, fprev = f_;
     int iprev = i_, i;
-    
+
     // if I want to return also infinite edges replace the test in
     // the while loop by the following test (i.e., should omit the
     // testing for infinity):
@@ -153,7 +153,7 @@ public:
       fprev = f;
       iprev = i;
     } while ( vda_->edge_rejector()(vda_->dual(), f, i) ||
-	      vda_->dual().is_infinite(f, i) );
+              vda_->dual().is_infinite(f, i) );
 
     return Halfedge_handle( Self(vda_, f, i) );
   }
@@ -242,18 +242,18 @@ public:
     if ( vda_->dual().dimension() == 1 ) {
       Delaunay_edge_circulator ec;
       if ( vda_->dual().is_infinite(v1_) ) {
-	CGAL_assertion( !vda_->dual().is_infinite(v2_) );
-	ec = vda_->dual().incident_edges(v2_);
+        CGAL_assertion( !vda_->dual().is_infinite(v2_) );
+        ec = vda_->dual().incident_edges(v2_);
       } else {
-	ec = vda_->dual().incident_edges(v1_);
+        ec = vda_->dual().incident_edges(v1_);
       }
       do {
-	Delaunay_edge e = *ec;
-	if ( (e.first->vertex(0) == v1_ && e.first->vertex(1) == v2_) ||
-	     (e.first->vertex(0) == v2_ && e.first->vertex(1) == v1_) ) {
-	  return e;
-	}
-	++ec;
+        Delaunay_edge e = *ec;
+        if ( (e.first->vertex(0) == v1_ && e.first->vertex(1) == v2_) ||
+             (e.first->vertex(0) == v2_ && e.first->vertex(1) == v1_) ) {
+          return e;
+        }
+        ++ec;
       } while ( true );
     } else {
       return Delaunay_edge(f_, i_);
@@ -309,7 +309,7 @@ public:
       return ( vda_ == other.vda_ && f_ == other.f_ && i_ == other.i_ );
     }
   }
-  
+
   bool operator!=(const Self& other) const {
     return !((*this) == other);
   }
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Handle_adaptor.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Handle_adaptor.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Handle_adaptor.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Handle_adaptor.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Handle_adaptor.h $
-// $Id: Handle_adaptor.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Handle_adaptor.h $
+// $Id: Handle_adaptor.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Identity_rejectors.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Identity_rejectors.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Identity_rejectors.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Identity_rejectors.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Identity_rejectors.h $
-// $Id: Identity_rejectors.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Identity_rejectors.h $
+// $Id: Identity_rejectors.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -49,7 +49,7 @@ struct Identity_edge_rejector
   typedef typename Delaunay_graph::Finite_edges_iterator  Finite_edges_iterator;
 
   bool operator()(const Delaunay_graph& ,
-		  const Face_handle& , int ) const {
+                  const Face_handle& , int ) const {
     return false;
   }
 
@@ -58,17 +58,17 @@ struct Identity_edge_rejector
   }
 
   bool operator()(const Delaunay_graph& ,
-		  const All_edges_iterator& ) const {
+                  const All_edges_iterator& ) const {
     return false;
   }
 
   bool operator()(const Delaunay_graph& ,
-		  const Finite_edges_iterator& ) const {
+                  const Finite_edges_iterator& ) const {
     return false;
   }
 
   bool operator()(const Delaunay_graph& ,
-		  const Edge_circulator& ) const {
+                  const Edge_circulator& ) const {
     return false;
   }
 };
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Iterator_adaptors.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Iterator_adaptors.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Iterator_adaptors.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Iterator_adaptors.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Iterator_adaptors.h $
-// $Id: Iterator_adaptors.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Iterator_adaptors.h $
+// $Id: Iterator_adaptors.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -117,9 +117,9 @@ class Iterator_adaptor_base
 template<class VDA, class Base_it, class Tag = CGAL::Tag_true>
 class Edge_iterator_adaptor
   : public Iterator_adaptor_base<VDA,
-				 Edge_iterator_adaptor<VDA,Base_it,Tag>,
-				 Base_it,
-				 typename VDA::Halfedge>
+                                 Edge_iterator_adaptor<VDA,Base_it,Tag>,
+                                 Base_it,
+                                 typename VDA::Halfedge>
 {
  protected:
   typedef Triangulation_cw_ccw_2   CW_CCW_2;
@@ -162,8 +162,8 @@ class Edge_iterator_adaptor
       int cw_i  = CW_CCW_2::cw( this->cur_->second );
       int ccw_i = CW_CCW_2::ccw( this->cur_->second );
       this->value_ =
-	Halfedge(this->vda_, this->cur_->first->vertex(ccw_i),
-		 this->cur_->first->vertex(cw_i));
+        Halfedge(this->vda_, this->cur_->first->vertex(ccw_i),
+                 this->cur_->first->vertex(cw_i));
       return;
     }
 
@@ -200,9 +200,9 @@ class Edge_iterator_adaptor
 template<class VDA, class Base_it>
 class Halfedge_iterator_adaptor
   : public Iterator_adaptor_base<VDA,
-				 Halfedge_iterator_adaptor<VDA,Base_it>,
-				 Base_it,
-				 typename VDA::Halfedge>
+                                 Halfedge_iterator_adaptor<VDA,Base_it>,
+                                 Base_it,
+                                 typename VDA::Halfedge>
 {
 private:
   typedef Halfedge_iterator_adaptor<VDA,Base_it>   Self;
@@ -300,9 +300,9 @@ private:
 template<class VDA, class Base_it>
 class Face_iterator_adaptor
   : public Iterator_adaptor_base<VDA,
-				 Face_iterator_adaptor<VDA,Base_it>,
-				 Base_it,
-				 typename VDA::Face>
+                                 Face_iterator_adaptor<VDA,Base_it>,
+                                 Base_it,
+                                 typename VDA::Face>
 {
  private:
   typedef Face_iterator_adaptor<VDA,Base_it>    Self;
@@ -321,7 +321,7 @@ class Face_iterator_adaptor
   Face_iterator_adaptor(const VDA* vda = nullptr) : Base(vda) {}
 
   Face_iterator_adaptor(const VDA* vda,
-			const Base_iterator& cur)
+                        const Base_iterator& cur)
     : Base(vda, cur) {}
 
   operator Face_handle() const {
@@ -350,9 +350,9 @@ class Face_iterator_adaptor
 template<class VDA, class Base_it>
 class Vertex_iterator_adaptor :
   public Iterator_adaptor_base<VDA,
-			       Vertex_iterator_adaptor<VDA,Base_it>,
-			       Base_it,
-			       typename VDA::Vertex>
+                               Vertex_iterator_adaptor<VDA,Base_it>,
+                               Base_it,
+                               typename VDA::Vertex>
 {
  private:
   typedef Vertex_iterator_adaptor<VDA,Base_it>    Self;
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Policy_base.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Policy_base.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Policy_base.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Policy_base.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Policy_base.h $
-// $Id: Policy_base.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Policy_base.h $
+// $Id: Policy_base.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -115,8 +115,8 @@ public:
 template<class DG, class ERB, class FRB, class SIB, class SRB>
 class Caching_policy_base
   : public Policy_base_base<DG,
-			    Cached_edge_rejector<ERB>,
-			    Cached_face_rejector<FRB> >
+                            Cached_edge_rejector<ERB>,
+                            Cached_face_rejector<FRB> >
 {
 protected:
   typedef ERB   Edge_rejector_base;
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Regular_triangulation_degeneracy_testers.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Regular_triangulation_degeneracy_testers.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Regular_triangulation_degeneracy_testers.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Regular_triangulation_degeneracy_testers.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Regular_triangulation_degeneracy_testers.h $
-// $Id: Regular_triangulation_degeneracy_testers.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Regular_triangulation_degeneracy_testers.h $
+// $Id: Regular_triangulation_degeneracy_testers.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -51,7 +51,7 @@ class Regular_triangulation_edge_tester_
 
  public:
   bool operator()(const Delaunay_graph& dual,
-		  const Face_handle& f, int i) const
+                  const Face_handle& f, int i) const
   {
     if ( dual.dimension() == 1 ) { return false; }
 
@@ -81,17 +81,17 @@ class Regular_triangulation_edge_tester_
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const All_edges_iterator& eit) const {
+                  const All_edges_iterator& eit) const {
     return operator()(dual, *eit);
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const Finite_edges_iterator& eit) const {
+                  const Finite_edges_iterator& eit) const {
     return operator()(dual, *eit);
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const Edge_circulator& ec) const {
+                  const Edge_circulator& ec) const {
     return operator()(dual, *ec);
   }
 };
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Regular_triangulation_nearest_site_2.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Regular_triangulation_nearest_site_2.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Regular_triangulation_nearest_site_2.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Regular_triangulation_nearest_site_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Regular_triangulation_nearest_site_2.h $
-// $Id: Regular_triangulation_nearest_site_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Regular_triangulation_nearest_site_2.h $
+// $Id: Regular_triangulation_nearest_site_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -70,29 +70,29 @@ class Regular_triangulation_nearest_site
       Comparison_result cr;
 
       do {
-	Edge e = *ec;
-	Vertex_handle v1 = e.first->vertex(CW_CCW_2::ccw(e.second));
-	Vertex_handle v2 = e.first->vertex(CW_CCW_2::cw(e.second) );
-
-	if ( v == v1 ) {
-	  if ( !dg.is_infinite(v2) ) {
-	    cr = cmp_power_distance(p, v2->point(), v->point());
-	    CGAL_assertion( cr != SMALLER );
-	    if ( cr == EQUAL ) {
-	      return e;
-	    }
-	  }
-	} else {
-	  CGAL_assertion( v == v2 );
-	  if ( !dg.is_infinite(v1) ) {
-	    cr = cmp_power_distance(p, v1->point(), v->point());
-	    CGAL_assertion( cr != SMALLER );
-	    if ( cr == EQUAL ) {
-	      return e;
-	    }
-	  }
-	}
-	++ec;
+        Edge e = *ec;
+        Vertex_handle v1 = e.first->vertex(CW_CCW_2::ccw(e.second));
+        Vertex_handle v2 = e.first->vertex(CW_CCW_2::cw(e.second) );
+
+        if ( v == v1 ) {
+          if ( !dg.is_infinite(v2) ) {
+            cr = cmp_power_distance(p, v2->point(), v->point());
+            CGAL_assertion( cr != SMALLER );
+            if ( cr == EQUAL ) {
+              return e;
+            }
+          }
+        } else {
+          CGAL_assertion( v == v2 );
+          if ( !dg.is_infinite(v1) ) {
+            cr = cmp_power_distance(p, v1->point(), v->point());
+            CGAL_assertion( cr != SMALLER );
+            if ( cr == EQUAL ) {
+              return e;
+            }
+          }
+        }
+        ++ec;
       } while ( ec != ec_start );
 
       return v;
@@ -113,17 +113,17 @@ class Regular_triangulation_nearest_site
 
       // do the generic check now
       if ( !dg.is_infinite(v1) ) {
-	cr1 = cmp_power_distance(p, v1->point(), v->point());
+        cr1 = cmp_power_distance(p, v1->point(), v->point());
       }
       if ( !dg.is_infinite(v2) ) {
-	cr2 = cmp_power_distance(p, v2->point(), v->point());
+        cr2 = cmp_power_distance(p, v2->point(), v->point());
       }
 
       CGAL_assertion( cr1 != SMALLER );
       CGAL_assertion( cr2 != SMALLER );
 
       if ( cr1 == EQUAL && cr2 == EQUAL ) {
-	return Face_handle(fc);
+        return Face_handle(fc);
       }
 
       ++fc;
@@ -141,10 +141,10 @@ class Regular_triangulation_nearest_site
 
       // do the generic check now
       if ( !dg.is_infinite(v1) ) {
-	cr1 = cmp_power_distance(p, v1->point(), v->point());
+        cr1 = cmp_power_distance(p, v1->point(), v->point());
       }
       if ( !dg.is_infinite(v2) ) {
-	cr2 = cmp_power_distance(p, v2->point(), v->point());
+        cr2 = cmp_power_distance(p, v2->point(), v->point());
       }
 
       CGAL_assertion( cr1 != SMALLER );
@@ -152,11 +152,11 @@ class Regular_triangulation_nearest_site
       CGAL_assertion( cr1 != EQUAL || cr2 != EQUAL );
 
       if ( cr1 == EQUAL ) {
-	Face_handle f(fc);
-	return Edge(f, CW_CCW_2::cw(index));
+        Face_handle f(fc);
+        return Edge(f, CW_CCW_2::cw(index));
       } else if ( cr2 == EQUAL ) {
-	Face_handle f(fc);
-	return Edge(f, CW_CCW_2::ccw(index));
+        Face_handle f(fc);
+        return Edge(f, CW_CCW_2::ccw(index));
       }
 
       ++fc;
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Segment_Delaunay_graph_degeneracy_testers.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Segment_Delaunay_graph_degeneracy_testers.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Segment_Delaunay_graph_degeneracy_testers.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Segment_Delaunay_graph_degeneracy_testers.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Segment_Delaunay_graph_degeneracy_testers.h $
-// $Id: Segment_Delaunay_graph_degeneracy_testers.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Segment_Delaunay_graph_degeneracy_testers.h $
+// $Id: Segment_Delaunay_graph_degeneracy_testers.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -55,7 +55,7 @@ class Segment_Delaunay_graph_edge_tester
 
  private:
   bool is_degenerate_infinite_edge(const Delaunay_graph& dual,
-				   const Face_handle& f, int i) const
+                                   const Face_handle& f, int i) const
   {
     CGAL_precondition( dual.is_infinite(f, i) );
 
@@ -81,13 +81,13 @@ class Segment_Delaunay_graph_edge_tester
 
       Equal_2 are_equal = dual.geom_traits().equal_2_object();
       if ( !are_equal(v->site(),vv[i]->site().source_site()) &&
-	   !are_equal(v->site(),vv[i]->site().target_site()) ) {
-	return false;
+           !are_equal(v->site(),vv[i]->site().target_site()) ) {
+        return false;
       }
       if ( are_equal(v->site(),vv[i]->site().source_site()) ) {
-	s_end[i] = vv[i]->site().target_site();
+        s_end[i] = vv[i]->site().target_site();
       } else {
-	s_end[i] = vv[i]->site().source_site();
+        s_end[i] = vv[i]->site().source_site();
       }
     }
 
@@ -98,7 +98,7 @@ class Segment_Delaunay_graph_edge_tester
 
  public:
   bool operator()(const Delaunay_graph& dual,
-		  const Face_handle& f, int i) const
+                  const Face_handle& f, int i) const
   {
     if ( dual.dimension() == 1 ) { return false; }
 
@@ -128,17 +128,17 @@ class Segment_Delaunay_graph_edge_tester
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const All_edges_iterator& eit) const {
+                  const All_edges_iterator& eit) const {
     return operator()(dual, *eit);
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const Finite_edges_iterator& eit) const {
+                  const Finite_edges_iterator& eit) const {
     return operator()(dual, *eit);
   }
 
   bool operator()(const Delaunay_graph& dual,
-		  const Edge_circulator& ec) const {
+                  const Edge_circulator& ec) const {
     return operator()(dual, *ec);
   }
 };
@@ -191,19 +191,19 @@ class Segment_Delaunay_graph_face_tester
     size_type n_inf = 0;     // number of infinite edges
     // number of non-degenerate/non-infinite edges
     size_type n_non_degen = 0;
-      
+
     Edge e[2];
     Edge_tester e_tester;
     do {
       if ( e_tester(dual, ec) ) { ++n_degen; }
       else if ( dual.is_infinite(ec) ) { ++n_inf; }
-      else { 
-	if ( !dual.is_infinite(ec) ) {
-	  if ( n_non_degen < 2 ) {
-	    e[n_non_degen] = *ec;
-	  }
-	  n_non_degen++;
-	}
+      else {
+        if ( !dual.is_infinite(ec) ) {
+          if ( n_non_degen < 2 ) {
+            e[n_non_degen] = *ec;
+          }
+          n_non_degen++;
+        }
       }
       deg++;
       ++ec;
@@ -228,13 +228,13 @@ class Segment_Delaunay_graph_face_tester
 
       Equal_2 are_equal = dual.geom_traits().equal_2_object();
       if ( !are_equal(v->site(),vv[i]->site().source_site()) &&
-	   !are_equal(v->site(),vv[i]->site().target_site()) ) {
-	return false;
+           !are_equal(v->site(),vv[i]->site().target_site()) ) {
+        return false;
       }
       if ( are_equal(v->site(),vv[i]->site().source_site()) ) {
-	s_end[i] = vv[i]->site().target_site();
+        s_end[i] = vv[i]->site().target_site();
       } else {
-	s_end[i] = vv[i]->site().source_site();
+        s_end[i] = vv[i]->site().source_site();
       }
     }
 
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Segment_Delaunay_graph_nearest_site_2.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Segment_Delaunay_graph_nearest_site_2.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Segment_Delaunay_graph_nearest_site_2.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Segment_Delaunay_graph_nearest_site_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Segment_Delaunay_graph_nearest_site_2.h $
-// $Id: Segment_Delaunay_graph_nearest_site_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Segment_Delaunay_graph_nearest_site_2.h $
+// $Id: Segment_Delaunay_graph_nearest_site_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -57,33 +57,33 @@ private:
     CGAL_precondition( t.is_segment() );
     if ( t.is_input() ) {
       return Site_2::construct_site_2(t.target_of_supporting_site(),
-				      t.source_of_supporting_site());
+                                      t.source_of_supporting_site());
     } else {
       if ( t.is_input(0) ) {
-	return Site_2::construct_site_2(t.target_of_supporting_site(),
-					t.source_of_supporting_site(),
-					t.target_of_crossing_site(1),
-					t.source_of_crossing_site(1),
-					false);
+        return Site_2::construct_site_2(t.target_of_supporting_site(),
+                                        t.source_of_supporting_site(),
+                                        t.target_of_crossing_site(1),
+                                        t.source_of_crossing_site(1),
+                                        false);
       } else if ( t.is_input(1) ) {
-	return Site_2::construct_site_2(t.target_of_supporting_site(),
-					t.source_of_supporting_site(),
-					t.target_of_crossing_site(0),
-					t.source_of_crossing_site(0),
-					true);
+        return Site_2::construct_site_2(t.target_of_supporting_site(),
+                                        t.source_of_supporting_site(),
+                                        t.target_of_crossing_site(0),
+                                        t.source_of_crossing_site(0),
+                                        true);
       } else {
-	return Site_2::construct_site_2(t.target_of_supporting_site(),
-					t.source_of_supporting_site(),
-					t.target_of_crossing_site(1),
-					t.source_of_crossing_site(1),
-					t.target_of_crossing_site(0),
-					t.source_of_crossing_site(0));
+        return Site_2::construct_site_2(t.target_of_supporting_site(),
+                                        t.source_of_supporting_site(),
+                                        t.target_of_crossing_site(1),
+                                        t.source_of_crossing_site(1),
+                                        t.target_of_crossing_site(0),
+                                        t.source_of_crossing_site(0));
       }
     }
   }
 
   Site_2 orient_segment(const Site_2& s, const Site_2& p,
-			const Orientation_2& orientation) const
+                        const Orientation_2& orientation) const
   {
     CGAL_precondition( s.is_segment() );
     CGAL_precondition( p.is_point() );
@@ -118,11 +118,11 @@ public:
       Vertex_handle v2 = e.first->vertex(CW_CCW_2::cw(e.second) );
 
       Oriented_side os = side_of_bisector(v1->site(), v2->site(), sp);
-      
+
       if ( os == ON_ORIENTED_BOUNDARY ) {
-	return e;
+        return e;
       } else {
-	return v;
+        return v;
       }
     }
 
@@ -144,30 +144,30 @@ public:
       // check if the query point is identical to an endpoint of a
       // segment that has a Voronoi face with zero area.
       if ( !dg.is_infinite(v1) && !dg.is_infinite(v2) ) {
-	Site_2 s1 = v1->site();
-	Site_2 s2 = v2->site();
-	if ( sv.is_point() && equal(sv, sp) &&
-	     s1.is_segment() && s2.is_segment() ) {
-	  bool b1 = equal(sv, s1.source_site()) || equal(sv, s1.target_site());
-	  bool b2 = equal(sv, s2.source_site()) || equal(sv, s2.target_site());
+        Site_2 s1 = v1->site();
+        Site_2 s2 = v2->site();
+        if ( sv.is_point() && equal(sv, sp) &&
+             s1.is_segment() && s2.is_segment() ) {
+          bool b1 = equal(sv, s1.source_site()) || equal(sv, s1.target_site());
+          bool b2 = equal(sv, s2.source_site()) || equal(sv, s2.target_site());
 
-	  if ( b1 && b2 ) { return Face_handle(fc); }
-	}
+          if ( b1 && b2 ) { return Face_handle(fc); }
+        }
       }
 
       // do the generic check now
       if ( !dg.is_infinite(v1) ) {
-	os1 = side_of_bisector(sv, v1->site(), sp);
+        os1 = side_of_bisector(sv, v1->site(), sp);
       }
       if ( !dg.is_infinite(v2) ) {
-	os2 = side_of_bisector(sv, v2->site(), sp);
+        os2 = side_of_bisector(sv, v2->site(), sp);
       }
 
       CGAL_assertion( os1 != ON_NEGATIVE_SIDE );
       CGAL_assertion( os2 != ON_NEGATIVE_SIDE );
 
       if ( os1 == ON_ORIENTED_BOUNDARY && os2 == ON_ORIENTED_BOUNDARY ) {
-	return fc;
+        return fc;
       }
 
       ++fc;
@@ -185,39 +185,39 @@ public:
       // check if the query point is lies on the bisector between a
       // segment and its endpoint
       if ( !dg.is_infinite(v1) ) {
-	Site_2 s1 = v1->site();
-	if ( sv.is_point() &&  s1.is_segment() ) {
-	  bool b = equal(sv, s1.source_site()) || equal(sv, s1.target_site());
+        Site_2 s1 = v1->site();
+        if ( sv.is_point() &&  s1.is_segment() ) {
+          bool b = equal(sv, s1.source_site()) || equal(sv, s1.target_site());
 
-	  if ( b && equal(sv, sp) ) { return *ec; }
+          if ( b && equal(sv, sp) ) { return *ec; }
 
-	  Oriented_side os = side_of_bisector(sv, s1, sp);
+          Oriented_side os = side_of_bisector(sv, s1, sp);
 
-	  if ( b && os == ON_ORIENTED_BOUNDARY ) { return *ec; }
-	}
-	if ( sv.is_segment() && s1.is_point() ) {
-	  bool b = equal(sv.source_site(), s1) || equal(sv.target_site(), s1);
+          if ( b && os == ON_ORIENTED_BOUNDARY ) { return *ec; }
+        }
+        if ( sv.is_segment() && s1.is_point() ) {
+          bool b = equal(sv.source_site(), s1) || equal(sv.target_site(), s1);
 
-	  if ( b && equal(s1, sp) ) { return *ec; }
+          if ( b && equal(s1, sp) ) { return *ec; }
 
-	  Oriented_side os = side_of_bisector(sv, s1, sp);
+          Oriented_side os = side_of_bisector(sv, s1, sp);
 
-	  if ( b && os == ON_ORIENTED_BOUNDARY ) { return *ec; }
-	}
+          if ( b && os == ON_ORIENTED_BOUNDARY ) { return *ec; }
+        }
       }
 
       Oriented_side os1 = ON_POSITIVE_SIDE;
 
       // do the generic check now
       if ( !dg.is_infinite(v1) ) {
-	os1 = side_of_bisector(sv, v1->site(), sp);
+        os1 = side_of_bisector(sv, v1->site(), sp);
       }
 
       CGAL_assertion( os1 != ON_NEGATIVE_SIDE );
 
       if ( os1 != ON_ORIENTED_BOUNDARY ) {
-	++ec;
-	continue;
+        ++ec;
+        continue;
       }
 
       // now find the correct part of the bisector on which the query
@@ -229,7 +229,7 @@ public:
       // if both v and v1 are points there is no need to check for
       // other Voronoi edges; there is only one.
       if ( sv.is_point() && s1.is_point() ) {
-	return *ec;
+        return *ec;
       }
 
       // the vertices v2 and v3 can only be infinite in two cases:
@@ -246,7 +246,7 @@ public:
 
 
       Oriented_side_2 vv_oriented_side =
-	dg.geom_traits().oriented_side_2_object();
+        dg.geom_traits().oriented_side_2_object();
 
       Orientation_2 orientation = dg.geom_traits().orientation_2_object();
 
@@ -255,27 +255,27 @@ public:
       Site_2 sp = Site_2::construct_site_2(p);
 
       if ( sv.is_segment() ) {
-	Site_2 svo = orient_segment(sv, sp, orientation);
-	o2 = vv_oriented_side(sv, v2->site(), s1, svo, sp);
-	o3 = vv_oriented_side(sv, s1, v3->site(), svo, sp);
-	CGAL_assertion( o2 != ON_ORIENTED_BOUNDARY );
-	CGAL_assertion( o3 != ON_ORIENTED_BOUNDARY );
-	if ( o2 == ON_NEGATIVE_SIDE && o3 == ON_POSITIVE_SIDE ) {
-	  return *ec;
-	}
+        Site_2 svo = orient_segment(sv, sp, orientation);
+        o2 = vv_oriented_side(sv, v2->site(), s1, svo, sp);
+        o3 = vv_oriented_side(sv, s1, v3->site(), svo, sp);
+        CGAL_assertion( o2 != ON_ORIENTED_BOUNDARY );
+        CGAL_assertion( o3 != ON_ORIENTED_BOUNDARY );
+        if ( o2 == ON_NEGATIVE_SIDE && o3 == ON_POSITIVE_SIDE ) {
+          return *ec;
+        }
       } else {
-	CGAL_assertion( s1.is_segment() );
-	Site_2 s1o = orient_segment(s1, sp, orientation);
-	o2 = vv_oriented_side(sv, v2->site(), s1, s1o, sp);
-	o3 = vv_oriented_side(sv, s1, v3->site(), s1o, sp);
-	CGAL_assertion( o2 != ON_ORIENTED_BOUNDARY );
-	CGAL_assertion( o3 != ON_ORIENTED_BOUNDARY );
-	if ( o2 == ON_POSITIVE_SIDE && o3 == ON_NEGATIVE_SIDE ) {
-	  return *ec;
-	}
+        CGAL_assertion( s1.is_segment() );
+        Site_2 s1o = orient_segment(s1, sp, orientation);
+        o2 = vv_oriented_side(sv, v2->site(), s1, s1o, sp);
+        o3 = vv_oriented_side(sv, s1, v3->site(), s1o, sp);
+        CGAL_assertion( o2 != ON_ORIENTED_BOUNDARY );
+        CGAL_assertion( o3 != ON_ORIENTED_BOUNDARY );
+        if ( o2 == ON_POSITIVE_SIDE && o3 == ON_NEGATIVE_SIDE ) {
+          return *ec;
+        }
       }
 
-      ++ec;      
+      ++ec;
     } while ( ec != ec_start );
 
     // the point lies in a Voronoi face
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Site_accessors.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Site_accessors.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Site_accessors.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Site_accessors.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Site_accessors.h $
-// $Id: Site_accessors.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Site_accessors.h $
+// $Id: Site_accessors.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Unbounded_edges.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Unbounded_edges.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Unbounded_edges.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Unbounded_edges.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Unbounded_edges.h $
-// $Id: Unbounded_edges.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Unbounded_edges.h $
+// $Id: Unbounded_edges.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Unbounded_faces.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Unbounded_faces.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Unbounded_faces.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Unbounded_faces.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Unbounded_faces.h $
-// $Id: Unbounded_faces.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Unbounded_faces.h $
+// $Id: Unbounded_faces.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Validity_testers.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Validity_testers.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Validity_testers.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Validity_testers.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Validity_testers.h $
-// $Id: Validity_testers.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Validity_testers.h $
+// $Id: Validity_testers.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2/Vertex.h 5.0.3-1/include/CGAL/Voronoi_diagram_2/Vertex.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2/Vertex.h	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2/Vertex.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Vertex.h $
-// $Id: Vertex.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2/Vertex.h $
+// $Id: Vertex.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -68,35 +68,35 @@ class Vertex
     Delaunay_face_handle fvalid = find_valid_vertex(f_);
     for (int i = 0; i < 3; i++) {
       int ccw_i = CW_CCW_2::ccw(i);
-      
+
       // if I want to return also infinite edges replace the test in
       // the if statement by the following test (i.e., should omit the
       // testing for infinity):
       //           !vda_->edge_rejector()(vda_->dual(), fvalid, i)
       if ( !vda_->edge_rejector()(vda_->dual(), fvalid, i) &&
-	   !vda_->dual().is_infinite(fvalid, i) ) {
-	if ( vda_->face_rejector()(vda_->dual(), fvalid->vertex(ccw_i)) ) {
-	  Delaunay_face_handle fopp;
-	  int iopp, i_mirror = vda_->dual().tds().mirror_index(fvalid, i);
-
-	  Find_opposite_halfedge<VDA>()(vda_,
-					fvalid->neighbor(i),
-					i_mirror,
-					fopp, iopp);
+           !vda_->dual().is_infinite(fvalid, i) ) {
+        if ( vda_->face_rejector()(vda_->dual(), fvalid->vertex(ccw_i)) ) {
+          Delaunay_face_handle fopp;
+          int iopp, i_mirror = vda_->dual().tds().mirror_index(fvalid, i);
+
+          Find_opposite_halfedge<VDA>()(vda_,
+                                        fvalid->neighbor(i),
+                                        i_mirror,
+                                        fopp, iopp);
 #if !defined(CGAL_NO_ASSERTIONS) && !defined(NDEBUG)
-	  Halfedge h(vda_, fopp, iopp);
-	  Vertex_handle v_this(*this);
-	  CGAL_assertion( h.has_target() && h.target() == v_this );
+          Halfedge h(vda_, fopp, iopp);
+          Vertex_handle v_this(*this);
+          CGAL_assertion( h.has_target() && h.target() == v_this );
 #endif
-	  return Halfedge_handle( Halfedge(vda_, fopp, iopp) );
-	} else {
+          return Halfedge_handle( Halfedge(vda_, fopp, iopp) );
+        } else {
 #if !defined(CGAL_NO_ASSERTIONS) && !defined(NDEBUG)
-	  Halfedge h(vda_, fvalid, i);
-	  Vertex_handle v_this(*this);
-	  CGAL_assertion( h.has_target() && h.target() == v_this );
+          Halfedge h(vda_, fvalid, i);
+          Vertex_handle v_this(*this);
+          CGAL_assertion( h.has_target() && h.target() == v_this );
 #endif
-	  return Halfedge_handle( Halfedge(vda_, fvalid, i) );
-	}
+          return Halfedge_handle( Halfedge(vda_, fvalid, i) );
+        }
       }
     }
 
@@ -109,7 +109,7 @@ class Vertex
 
   Halfedge_around_vertex_circulator incident_halfedges() const {
     CGAL_assertion( halfedge()->has_target() &&
-		    halfedge()->target() == Vertex_handle(*this) );
+                    halfedge()->target() == Vertex_handle(*this) );
     return Halfedge_around_vertex_circulator( *halfedge() );
   }
 
diff -pruN 5.0.2-3/include/CGAL/Voronoi_diagram_2.h 5.0.3-1/include/CGAL/Voronoi_diagram_2.h
--- 5.0.2-3/include/CGAL/Voronoi_diagram_2.h	2020-02-21 20:04:38.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_diagram_2.h	2020-08-01 19:03:00.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2.h $
-// $Id: Voronoi_diagram_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Voronoi_diagram_2/include/CGAL/Voronoi_diagram_2.h $
+// $Id: Voronoi_diagram_2.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Menelaos Karavelas <mkaravel@iacm.forth.gr>
 
@@ -83,7 +83,7 @@ class Voronoi_diagram_2
   typedef typename Delaunay_graph::Vertex_circulator  Dual_vertex_circulator;
   typedef typename Delaunay_graph::Face_circulator    Dual_face_circulator;
 
-  typedef typename Delaunay_graph::Finite_vertices_iterator 
+  typedef typename Delaunay_graph::Finite_vertices_iterator
   Dual_vertices_iterator;
 
   typedef typename Delaunay_graph::Finite_faces_iterator
@@ -280,13 +280,13 @@ public:
   // CONSTRUCTORS
   //--------------
   Voronoi_diagram_2(const Adaptation_traits& at = Adaptation_traits(),
-		    const Adaptation_policy& ap = Adaptation_policy(),
-		    const Delaunay_geom_traits& gt = Delaunay_geom_traits())
+                    const Adaptation_policy& ap = Adaptation_policy(),
+                    const Delaunay_geom_traits& gt = Delaunay_geom_traits())
     : dual_(gt), ap_(ap), at_(at) {}
 
   Voronoi_diagram_2(const Delaunay_graph& dg, bool swap_dg = false,
-		    const Adaptation_traits& at = Adaptation_traits(),
-		    const Adaptation_policy& ap = Adaptation_policy())
+                    const Adaptation_traits& at = Adaptation_traits(),
+                    const Adaptation_policy& ap = Adaptation_policy())
     : dual_(), ap_(ap), at_(at) {
     if ( swap_dg ) {
       dual_.swap(const_cast<Delaunay_graph&>(dg));
@@ -297,9 +297,9 @@ public:
 
   template<class Iterator>
   Voronoi_diagram_2(Iterator first, Iterator beyond,
-		    const Adaptation_traits& at = Adaptation_traits(),
-		    const Adaptation_policy& ap = Adaptation_policy(),
-		    const Delaunay_geom_traits& gt = Delaunay_geom_traits())
+                    const Adaptation_traits& at = Adaptation_traits(),
+                    const Adaptation_policy& ap = Adaptation_policy(),
+                    const Delaunay_geom_traits& gt = Delaunay_geom_traits())
     : dual_(first, beyond, gt), ap_(ap), at_(at) {}
 
   Voronoi_diagram_2(const Voronoi_diagram_2& other)
@@ -342,22 +342,22 @@ public:
   // SIZE RELATED METHODS
   size_type number_of_vertices() const {
     size_type num_v = 0;
-    for (Vertex_iterator it = vertices_begin();	it != vertices_end();
-	 ++it, ++num_v) {}
+    for (Vertex_iterator it = vertices_begin();        it != vertices_end();
+         ++it, ++num_v) {}
     return num_v;
   }
 
   size_type number_of_faces() const {
     size_type num_f = 0;
     for (Face_iterator it = faces_begin(); it != faces_end();
-	 ++it, ++num_f) {}
+         ++it, ++num_f) {}
     return num_f;
   }
 
   size_type number_of_halfedges() const {
     size_type num_h = 0;
     for (Halfedge_iterator it = halfedges_begin(); it != halfedges_end();
-	 ++it, ++num_h) {}
+         ++it, ++num_h) {}
     return num_h;
   }
 
@@ -411,13 +411,13 @@ public:
  private:
   Non_degenerate_faces_iterator non_degenerate_faces_begin() const {
     return CGAL::filter_iterator( dual_.finite_vertices_end(),
-				  Face_rejector_binder(this),
-				  dual_.finite_vertices_begin() );
+                                  Face_rejector_binder(this),
+                                  dual_.finite_vertices_begin() );
   }
 
   Non_degenerate_faces_iterator non_degenerate_faces_end() const {
     return CGAL::filter_iterator( dual_.finite_vertices_end(),
-				  Face_rejector_binder(this) );
+                                  Face_rejector_binder(this) );
   }
 
  public:
@@ -432,24 +432,24 @@ public:
  private:
   Unbounded_faces_iterator_base unbounded_faces_base_begin() const {
     return CGAL::filter_iterator( non_degenerate_faces_end(),
-				  Bounded_face_tester(this),
-				  non_degenerate_faces_begin() );
+                                  Bounded_face_tester(this),
+                                  non_degenerate_faces_begin() );
   }
 
   Unbounded_faces_iterator_base unbounded_faces_base_end() const {
     return CGAL::filter_iterator( non_degenerate_faces_end(),
-				  Bounded_face_tester(this) );
+                                  Bounded_face_tester(this) );
   }
 
   Bounded_faces_iterator_base bounded_faces_base_begin() const {
     return CGAL::filter_iterator( non_degenerate_faces_end(),
-				  Unbounded_face_tester(this),
-				  non_degenerate_faces_begin() );
+                                  Unbounded_face_tester(this),
+                                  non_degenerate_faces_begin() );
   }
 
   Bounded_faces_iterator_base bounded_faces_base_end() const {
     return CGAL::filter_iterator( non_degenerate_faces_end(),
-				  Unbounded_face_tester(this) );
+                                  Unbounded_face_tester(this) );
   }
 
  public:
@@ -473,13 +473,13 @@ public:
  private:
   Non_degenerate_edges_iterator non_degenerate_edges_begin() const {
     return CGAL::filter_iterator( dual_.finite_edges_end(),
-				  Edge_rejector_binder(this),
-				  dual_.finite_edges_begin() );
+                                  Edge_rejector_binder(this),
+                                  dual_.finite_edges_begin() );
   }
 
   Non_degenerate_edges_iterator non_degenerate_edges_end() const {
     return CGAL::filter_iterator( dual_.finite_edges_end(),
-				  Edge_rejector_binder(this) );
+                                  Edge_rejector_binder(this) );
   }
 
 
@@ -493,13 +493,13 @@ public:
 
   Valid_edges_iterator valid_edges_begin() const {
     return CGAL::filter_iterator( edges_base_end(),
-				  Edge_validity_tester(this),
-				  edges_base_begin() );
+                                  Edge_validity_tester(this),
+                                  edges_base_begin() );
   }
 
   Valid_edges_iterator valid_edges_end() const {
     return CGAL::filter_iterator( edges_base_end(),
-				  Edge_validity_tester(this) );
+                                  Edge_validity_tester(this) );
   }
 
  public:
@@ -522,24 +522,24 @@ public:
  protected:
   Unbounded_edges_iterator_base unbounded_edges_base_begin() const {
     return CGAL::filter_iterator( edges_end(),
-				  Bounded_edge_tester(this),
-				  edges_begin() );
+                                  Bounded_edge_tester(this),
+                                  edges_begin() );
   }
 
   Unbounded_edges_iterator_base unbounded_edges_base_end() const {
     return CGAL::filter_iterator( edges_end(),
-				  Bounded_edge_tester(this) );
+                                  Bounded_edge_tester(this) );
   }
 
   Bounded_edges_iterator_base bounded_edges_base_begin() const {
     return CGAL::filter_iterator( edges_end(),
-				  Unbounded_edge_tester(this),
-				  edges_begin() );
+                                  Unbounded_edge_tester(this),
+                                  edges_begin() );
   }
 
   Bounded_edges_iterator_base bounded_edges_base_end() const {
     return CGAL::filter_iterator( edges_end(),
-				  Unbounded_edge_tester(this) );
+                                  Unbounded_edge_tester(this) );
   }
 
  public:
@@ -563,13 +563,13 @@ public:
  private:
   Non_degenerate_vertices_iterator non_degenerate_vertices_begin() const {
     return CGAL::filter_iterator( dual_.finite_faces_end(),
-				  Vertex_validity_tester(this),
-				  dual_.finite_faces_begin() );
+                                  Vertex_validity_tester(this),
+                                  dual_.finite_faces_begin() );
   }
 
   Non_degenerate_vertices_iterator non_degenerate_vertices_end() const {
     return CGAL::filter_iterator( dual_.finite_faces_end(),
-				  Vertex_validity_tester(this) );
+                                  Vertex_validity_tester(this) );
   }
 
  public:
@@ -583,7 +583,7 @@ public:
 
   // SITE ITERATOR
   Site_iterator sites_begin() const {
-    return Site_iterator(faces_begin());    
+    return Site_iterator(faces_begin());
   }
 
   Site_iterator sites_end() const {
@@ -596,7 +596,7 @@ public:
   }
 
   Ccb_halfedge_circulator ccb_halfedges(const Face_handle& f,
-					const Halfedge_handle& he) const {
+                                        const Halfedge_handle& he) const {
     CGAL_precondition( he->face() == f );
     CGAL_USE(f);
     return Ccb_halfedge_circulator(*he);
@@ -634,22 +634,22 @@ public:
     Query_result ns_qr = nearest_site(dual_, p);
 
     if ( const Delaunay_vertex_handle* dv =
-	 boost::get<Delaunay_vertex_handle>(&ns_qr) ) {
+         boost::get<Delaunay_vertex_handle>(&ns_qr) ) {
       return Face_handle( Face(this, *dv) );
     } else if ( const Delaunay_face_handle *df =
-		boost::get<Delaunay_face_handle>(&ns_qr) ) {
+                boost::get<Delaunay_face_handle>(&ns_qr) ) {
       Find_valid_vertex vertex_finder;
       Delaunay_face_handle dfvalid = vertex_finder(this, *df);
       return Vertex_handle( Vertex(this, dfvalid) );
     } else if ( const Delaunay_edge* de =
-		boost::get<Delaunay_edge>(&ns_qr) ) {
+                boost::get<Delaunay_edge>(&ns_qr) ) {
       CGAL_assertion(  !edge_rejector()(dual_, *de)  );
       if ( dual_.dimension() == 1 ) {
-	Delaunay_vertex_handle v1 =
-	  de->first->vertex(CW_CCW_2::ccw(de->second));
-	Delaunay_vertex_handle v2 =
-	  de->first->vertex(CW_CCW_2::cw(de->second) );
-	return Halfedge_handle( Halfedge(this, v1, v2) );
+        Delaunay_vertex_handle v1 =
+          de->first->vertex(CW_CCW_2::ccw(de->second));
+        Delaunay_vertex_handle v2 =
+          de->first->vertex(CW_CCW_2::cw(de->second) );
+        return Halfedge_handle( Halfedge(this, v1, v2) );
       }
       return Halfedge_handle( Halfedge(this, de->first, de->second) );
     }
@@ -681,13 +681,13 @@ public:
     }
 
     for (Halfedge_iterator it = halfedges_begin(); it != halfedges_end();
-	 ++it) {
+         ++it) {
       valid = valid && it->is_valid();
     }
 
     return valid;
   }
-  
+
   // I/O
   //----
  public:
@@ -797,7 +797,7 @@ public:
 //--------------
 template<class DG, class AT, class AP>
 std::ostream& operator<<(std::ostream& os,
-			 const Voronoi_diagram_2<DG,AT,AP>& vd)
+                         const Voronoi_diagram_2<DG,AT,AP>& vd)
 {
   vd.file_output(os);
   return os;
@@ -806,7 +806,7 @@ std::ostream& operator<<(std::ostream& o
 
 template<class DG, class AT, class AP>
 std::istream& operator>>(std::istream& is,
-			 Voronoi_diagram_2<DG,AT,AP>& vd)
+                         Voronoi_diagram_2<DG,AT,AP>& vd)
 {
   vd.file_input(is);
   return is;
diff -pruN 5.0.2-3/include/CGAL/Voronoi_intersection_2_traits_3.h 5.0.3-1/include/CGAL/Voronoi_intersection_2_traits_3.h
--- 5.0.2-3/include/CGAL/Voronoi_intersection_2_traits_3.h	2020-02-21 20:03:20.000000000 +0000
+++ 5.0.3-1/include/CGAL/Voronoi_intersection_2_traits_3.h	2020-08-01 19:02:23.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Interpolation/include/CGAL/Voronoi_intersection_2_traits_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Interpolation/include/CGAL/Voronoi_intersection_2_traits_3.h $
 // $Id: Voronoi_intersection_2_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/vtkSurfaceMesherContourFilter.h 5.0.3-1/include/CGAL/vtkSurfaceMesherContourFilter.h
--- 5.0.2-3/include/CGAL/vtkSurfaceMesherContourFilter.h	2020-02-21 20:04:30.000000000 +0000
+++ 5.0.3-1/include/CGAL/vtkSurfaceMesherContourFilter.h	2020-08-01 19:02:57.000000000 +0000
@@ -3,8 +3,8 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Surface_mesher/include/CGAL/vtkSurfaceMesherContourFilter.h $
-// $Id: vtkSurfaceMesherContourFilter.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Surface_mesher/include/CGAL/vtkSurfaceMesherContourFilter.h $
+// $Id: vtkSurfaceMesherContourFilter.h 5b2d46c 2020-04-21T10:03:00+02:00 Maxime Gimeno
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 //
@@ -46,7 +46,7 @@ private:
   vtkCGALSurfaceMesherContourFilter(const vtkCGALSurfaceMesherContourFilter&);  // Not implemented.
   void operator=(const vtkCGALSurfaceMesherContourFilter&);  // Not implemented.
 };
-  
+
 // IMPLEMENTATION
 
 #include "vtkCellArray.h"
@@ -77,12 +77,12 @@ vtkCGALSurfaceMesherContourFilter::vtkCG
 {
   Value = 0.;
 }
-  
+
 vtkCGALSurfaceMesherContourFilter::~vtkCGALSurfaceMesherContourFilter()
 {
 }
 
-int 
+int
 vtkCGALSurfaceMesherContourFilter::
 FillInputPortInformation(int, vtkInformation *info)
 {
@@ -130,8 +130,8 @@ int vtkCGALSurfaceMesherContourFilter::R
     return 0;
   Gray_level_image gray_level_image(image, Value);
 
-  GT::FT radius = std::max(image.xdim() * image.vx(),
-                           std::max(image.ydim() * image.vy(),
+  GT::FT radius = (std::max)(image.xdim() * image.vx(),
+                           (std::max)(image.ydim() * image.vy(),
                                     image.zdim() * image.vz())
                            );
   GT::Sphere_3 bounding_sphere(GT::Point_3(image.xdim() * image.vx()/2.,
diff -pruN 5.0.2-3/include/CGAL/Weighted_alpha_shape_euclidean_traits_2.h 5.0.3-1/include/CGAL/Weighted_alpha_shape_euclidean_traits_2.h
--- 5.0.2-3/include/CGAL/Weighted_alpha_shape_euclidean_traits_2.h	2020-02-21 20:02:47.000000000 +0000
+++ 5.0.3-1/include/CGAL/Weighted_alpha_shape_euclidean_traits_2.h	2020-08-01 19:02:09.000000000 +0000
@@ -3,7 +3,7 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Alpha_shapes_2/include/CGAL/Weighted_alpha_shape_euclidean_traits_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Alpha_shapes_2/include/CGAL/Weighted_alpha_shape_euclidean_traits_2.h $
 // $Id: Weighted_alpha_shape_euclidean_traits_2.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Weighted_alpha_shape_euclidean_traits_3.h 5.0.3-1/include/CGAL/Weighted_alpha_shape_euclidean_traits_3.h
--- 5.0.2-3/include/CGAL/Weighted_alpha_shape_euclidean_traits_3.h	2020-02-21 20:02:48.000000000 +0000
+++ 5.0.3-1/include/CGAL/Weighted_alpha_shape_euclidean_traits_3.h	2020-08-01 19:02:10.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Alpha_shapes_3/include/CGAL/Weighted_alpha_shape_euclidean_traits_3.h $
-// $Id: Weighted_alpha_shape_euclidean_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Alpha_shapes_3/include/CGAL/Weighted_alpha_shape_euclidean_traits_3.h $
+// $Id: Weighted_alpha_shape_euclidean_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
 // Author(s)     : Tran Kai Frank DA <Frank.Da@sophia.inria.fr>
 
 #ifndef CGAL_WEIGHTED_ALPHA_SHAPE_EUCLIDEAN_TRAITS_3_H
-#define CGAL_WEIGHTED_ALPHA_SHAPE_EUCLIDEAN_TRAITS_3_H 
+#define CGAL_WEIGHTED_ALPHA_SHAPE_EUCLIDEAN_TRAITS_3_H
 
 #include <CGAL/license/Alpha_shapes_3.h>
 
diff -pruN 5.0.2-3/include/CGAL/Weighted_Minkowski_distance.h 5.0.3-1/include/CGAL/Weighted_Minkowski_distance.h
--- 5.0.2-3/include/CGAL/Weighted_Minkowski_distance.h	2020-02-21 20:04:21.000000000 +0000
+++ 5.0.3-1/include/CGAL/Weighted_Minkowski_distance.h	2020-08-01 19:02:52.000000000 +0000
@@ -3,14 +3,14 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Spatial_searching/include/CGAL/Weighted_Minkowski_distance.h $
-// $Id: Weighted_Minkowski_distance.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Spatial_searching/include/CGAL/Weighted_Minkowski_distance.h $
+// $Id: Weighted_Minkowski_distance.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Hans Tangelder (<hanst@cs.uu.nl>)
 
-// Note: Use p=0 to denote the weighted Linf-distance 
+// Note: Use p=0 to denote the weighted Linf-distance
 // For 0<p<1 Lp is not a metric
 
 #ifndef CGAL_WEIGHTED_MINKOWSKI_DISTANCE_H
@@ -31,13 +31,13 @@ namespace CGAL {
   namespace internal {
     template<class T, class Dim>
       struct Array_or_vector_selector {
-	typedef std::vector<T> type;
-	static void resize(type&v, std::size_t d) { v.resize(d); }
+        typedef std::vector<T> type;
+        static void resize(type&v, std::size_t d) { v.resize(d); }
       };
     template<class T, int D>
       struct Array_or_vector_selector<T, Dimension_tag<D> > {
-	typedef std::array<T,D> type;
-	static void resize(type&, std::size_t CGAL_assertion_code(d)) { CGAL_assertion(d==D); }
+        typedef std::array<T,D> type;
+        static void resize(type&, std::size_t CGAL_assertion_code(d)) { CGAL_assertion(d==D); }
       };
   }
 
@@ -56,7 +56,7 @@ namespace CGAL {
     private:
 
     typedef typename SearchTraits::Cartesian_const_iterator_d Coord_iterator;
-    FT power; 
+    FT power;
 
     Weight_vector the_weights;
 
@@ -65,31 +65,31 @@ namespace CGAL {
 
     // default constructor
     Weighted_Minkowski_distance(const SearchTraits& traits_=SearchTraits())
-      : traits(traits_),power(2) 
+      : traits(traits_),power(2)
     {}
 
-    Weighted_Minkowski_distance(const int d,const SearchTraits& traits_=SearchTraits()) 
+    Weighted_Minkowski_distance(const int d,const SearchTraits& traits_=SearchTraits())
       : traits(traits_),power(2), the_weights(d)
     {
       for (int i = 0; i < d; ++i) the_weights[i]=FT(1);
     }
 
     //default copy constructor and destructor
-    
+
 
     template <class InputIterator>
     Weighted_Minkowski_distance (FT pow, int dim,
-				 InputIterator begin,
-				 InputIterator CGAL_assertion_code(end),
-                                 const SearchTraits& traits_=SearchTraits()) 
+                                 InputIterator begin,
+                                 InputIterator CGAL_assertion_code(end),
+                                 const SearchTraits& traits_=SearchTraits())
       : traits(traits_),power(pow)
     {
       CGAL_assertion(power >= FT(0));
       Weight_vector_traits::resize(the_weights, dim);
       for (int i = 0; i < dim; ++i){
-	the_weights[i] = *begin;
-	++begin;
-	CGAL_assertion(the_weights[i]>=FT(0));
+        the_weights[i] = *begin;
+        ++begin;
+        CGAL_assertion(the_weights[i]>=FT(0));
       }
       CGAL_assertion(begin == end);
     }
@@ -100,308 +100,308 @@ namespace CGAL {
     }
 
     //Dynamic version for runtime dimension
-    inline 
-    FT 
+    inline
+    FT
     transformed_distance(const Query_item& q, const Point_d& p, Dynamic_dimension_tag) const
     {
       FT distance = FT(0);
       typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=
         traits.construct_cartesian_const_iterator_d_object();
       Coord_iterator qit = construct_it(q),
-	             qe = construct_it(q,1), 
-	             pit = construct_it(p);
+                     qe = construct_it(q,1),
+                     pit = construct_it(p);
       if (power == FT(0)) {
-	for (unsigned int i = 0; qit != qe; ++qit, ++i)
-	  if (the_weights[i] * CGAL::abs((*qit) - (*pit)) > distance)
-	    distance = the_weights[i] * CGAL::abs((*qit)-(*pit));
+        for (unsigned int i = 0; qit != qe; ++qit, ++i)
+          if (the_weights[i] * CGAL::abs((*qit) - (*pit)) > distance)
+            distance = the_weights[i] * CGAL::abs((*qit)-(*pit));
       }
       else
-	for (unsigned int i = 0; qit != qe; ++qit, ++i)
-	  distance += 
-	    the_weights[i] * std::pow(CGAL::abs((*qit)-(*pit)),power);
+        for (unsigned int i = 0; qit != qe; ++qit, ++i)
+          distance +=
+            the_weights[i] * std::pow(CGAL::abs((*qit)-(*pit)),power);
       return distance;
     }
 
     //Generic version for DIM > 3
     template <int DIM>
-    inline FT 
+    inline FT
     transformed_distance(const Query_item& q, const Point_d& p, Dimension_tag<DIM>) const
     {
       FT distance = FT(0);
       typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=
         traits.construct_cartesian_const_iterator_d_object();
       Coord_iterator qit = construct_it(q),
-	             qe = construct_it(q,1), 
-	             pit = construct_it(p);
+                     qe = construct_it(q,1),
+                     pit = construct_it(p);
       if (power == FT(0)) {
-	for (unsigned int i = 0; qit != qe; ++qit, ++i)
-	  if (the_weights[i] * CGAL::abs((*qit) - (*pit)) > distance)
-	    distance = the_weights[i] * CGAL::abs((*qit)-(*pit));
+        for (unsigned int i = 0; qit != qe; ++qit, ++i)
+          if (the_weights[i] * CGAL::abs((*qit) - (*pit)) > distance)
+            distance = the_weights[i] * CGAL::abs((*qit)-(*pit));
       }
       else
-	for (unsigned int i = 0; qit != qe; ++qit, ++i)
-	  distance += 
-	    the_weights[i] * std::pow(CGAL::abs((*qit)-(*pit)),power);
+        for (unsigned int i = 0; qit != qe; ++qit, ++i)
+          distance +=
+            the_weights[i] * std::pow(CGAL::abs((*qit)-(*pit)),power);
       return distance;
     }
 
     //DIM = 2 loop unrolled
-    inline FT 
+    inline FT
     transformed_distance(const Query_item& q, const Point_d& p, Dimension_tag<2>) const
     {
       FT distance = FT(0);
       typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=
         traits.construct_cartesian_const_iterator_d_object();
       Coord_iterator qit = construct_it(q),
-	             pit = construct_it(p);
+                     pit = construct_it(p);
       if (power == FT(0)) {
-	  if (the_weights[0] * CGAL::abs((*qit) - (*pit)) > distance)
-	    distance = the_weights[0] * CGAL::abs((*qit)-(*pit));
+          if (the_weights[0] * CGAL::abs((*qit) - (*pit)) > distance)
+            distance = the_weights[0] * CGAL::abs((*qit)-(*pit));
           qit++;pit++;
           if (the_weights[1] * CGAL::abs((*qit) - (*pit)) > distance)
-	    distance = the_weights[1] * CGAL::abs((*qit)-(*pit));
+            distance = the_weights[1] * CGAL::abs((*qit)-(*pit));
       }
       else{
-	  distance += 
-	    the_weights[0] * std::pow(CGAL::abs((*qit)-(*pit)),power);
+          distance +=
+            the_weights[0] * std::pow(CGAL::abs((*qit)-(*pit)),power);
           qit++;pit++;
-          distance += 
-	    the_weights[1] * std::pow(CGAL::abs((*qit)-(*pit)),power);
+          distance +=
+            the_weights[1] * std::pow(CGAL::abs((*qit)-(*pit)),power);
       }
       return distance;
     }
 
     //DIM = 3 loop unrolled
-    inline FT 
+    inline FT
     transformed_distance(const Query_item& q, const Point_d& p, Dimension_tag<3>) const
     {
       FT distance = FT(0);
       typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=
         traits.construct_cartesian_const_iterator_d_object();
       Coord_iterator qit = construct_it(q),
-	             pit = construct_it(p);
+                     pit = construct_it(p);
       if (power == FT(0)) {
-	  if (the_weights[0] * CGAL::abs((*qit) - (*pit)) > distance)
-	    distance = the_weights[0] * CGAL::abs((*qit)-(*pit));
+          if (the_weights[0] * CGAL::abs((*qit) - (*pit)) > distance)
+            distance = the_weights[0] * CGAL::abs((*qit)-(*pit));
           qit++;pit++;
           if (the_weights[1] * CGAL::abs((*qit) - (*pit)) > distance)
-	    distance = the_weights[1] * CGAL::abs((*qit)-(*pit));
+            distance = the_weights[1] * CGAL::abs((*qit)-(*pit));
           qit++;pit++;
           if (the_weights[2] * CGAL::abs((*qit) - (*pit)) > distance)
-	    distance = the_weights[2] * CGAL::abs((*qit)-(*pit));
+            distance = the_weights[2] * CGAL::abs((*qit)-(*pit));
       }
       else{
-	  distance += 
-	    the_weights[0] * std::pow(CGAL::abs((*qit)-(*pit)),power);
+          distance +=
+            the_weights[0] * std::pow(CGAL::abs((*qit)-(*pit)),power);
           qit++;pit++;
-          distance += 
-	    the_weights[1] * std::pow(CGAL::abs((*qit)-(*pit)),power);
+          distance +=
+            the_weights[1] * std::pow(CGAL::abs((*qit)-(*pit)),power);
           qit++;pit++;
-          distance += 
-	    the_weights[2] * std::pow(CGAL::abs((*qit)-(*pit)),power);
+          distance +=
+            the_weights[2] * std::pow(CGAL::abs((*qit)-(*pit)),power);
       }
       return distance;
     }
 
-    inline 
-    FT 
+    inline
+    FT
     min_distance_to_rectangle(const Query_item& q,
-			      const Kd_tree_rectangle<FT,Dimension>& r) const 
+                              const Kd_tree_rectangle<FT,Dimension>& r) const
     {
       FT distance = FT(0);
       typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=
         traits.construct_cartesian_const_iterator_d_object();
       Coord_iterator qit = construct_it(q), qe = construct_it(q,1);
       if (power == FT(0))
-	{
-	  for (unsigned int i = 0; qit != qe; ++qit, ++i) {
-	    if (the_weights[i]*(r.min_coord(i) - 
-				(*qit)) > distance)
-	      distance = the_weights[i] * (r.min_coord(i)-
-					   (*qit));
-	    if (the_weights[i] * ((*qit) - r.max_coord(i)) > 
-		distance)
-	      distance = the_weights[i] * 
-		((*qit)-r.max_coord(i));
-	  }
-	}
+        {
+          for (unsigned int i = 0; qit != qe; ++qit, ++i) {
+            if (the_weights[i]*(r.min_coord(i) -
+                                (*qit)) > distance)
+              distance = the_weights[i] * (r.min_coord(i)-
+                                           (*qit));
+            if (the_weights[i] * ((*qit) - r.max_coord(i)) >
+                distance)
+              distance = the_weights[i] *
+                ((*qit)-r.max_coord(i));
+          }
+        }
       else
-	{
-	  for (unsigned int i = 0; qit != qe; ++qit, ++i) {
-	    if ((*qit) < r.min_coord(i))
-	      distance += the_weights[i] * 
-		std::pow(r.min_coord(i)-(*qit),power);
-	    if ((*qit) > r.max_coord(i))
-	      distance += the_weights[i] * 
-		std::pow((*qit)-r.max_coord(i),power);
-	  }
-	};
+        {
+          for (unsigned int i = 0; qit != qe; ++qit, ++i) {
+            if ((*qit) < r.min_coord(i))
+              distance += the_weights[i] *
+                std::pow(r.min_coord(i)-(*qit),power);
+            if ((*qit) > r.max_coord(i))
+              distance += the_weights[i] *
+                std::pow((*qit)-r.max_coord(i),power);
+          }
+        };
       return distance;
     }
 
-    inline 
-    FT 
+    inline
+    FT
     min_distance_to_rectangle(const Query_item& q,
-			      const Kd_tree_rectangle<FT,Dimension>& r,std::vector<FT>& dists) const {
+                              const Kd_tree_rectangle<FT,Dimension>& r,std::vector<FT>& dists) const {
       FT distance = FT(0);
       typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=
         traits.construct_cartesian_const_iterator_d_object();
       Coord_iterator qit = construct_it(q), qe = construct_it(q,1);
       if (power == FT(0))
-	{
-	  for (unsigned int i = 0; qit != qe; ++qit, ++i) {
-	    if (the_weights[i]*(r.min_coord(i) - 
-				(*qit)) > distance){
+        {
+          for (unsigned int i = 0; qit != qe; ++qit, ++i) {
+            if (the_weights[i]*(r.min_coord(i) -
+                                (*qit)) > distance){
               dists[i] = (r.min_coord(i)-
-		(*qit));
-	      distance = the_weights[i] * dists[i];
+                (*qit));
+              distance = the_weights[i] * dists[i];
             }
-	    if (the_weights[i] * ((*qit) - r.max_coord(i)) > 
-		distance){
-                  dists[i] = 
-		((*qit)-r.max_coord(i));
-	      distance = the_weights[i] * dists[i];
+            if (the_weights[i] * ((*qit) - r.max_coord(i)) >
+                distance){
+                  dists[i] =
+                ((*qit)-r.max_coord(i));
+              distance = the_weights[i] * dists[i];
             }
-	  }
-	}
+          }
+        }
       else
-	{
-	  for (unsigned int i = 0; qit != qe; ++qit, ++i) {
-	    if ((*qit) < r.min_coord(i)){
+        {
+          for (unsigned int i = 0; qit != qe; ++qit, ++i) {
+            if ((*qit) < r.min_coord(i)){
               dists[i] = r.min_coord(i)-(*qit);
-	      distance += the_weights[i] * 
-		std::pow(dists[i],power);
+              distance += the_weights[i] *
+                std::pow(dists[i],power);
             }
-	    if ((*qit) > r.max_coord(i)){
+            if ((*qit) > r.max_coord(i)){
               dists[i] = (*qit)-r.max_coord(i);
-	      distance += the_weights[i] * 
-		std::pow(dists[i],power);
+              distance += the_weights[i] *
+                std::pow(dists[i],power);
             }
-	  }
-	};
+          }
+        };
       return distance;
     }
 
-    inline 
+    inline
     FT
     max_distance_to_rectangle(const Query_item& q,
-			      const Kd_tree_rectangle<FT,Dimension>& r) const {
+                              const Kd_tree_rectangle<FT,Dimension>& r) const {
       FT distance=FT(0);
       typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=
         traits.construct_cartesian_const_iterator_d_object();
       Coord_iterator qit = construct_it(q), qe = construct_it(q,1);
       if (power == FT(0))
-	{
-	  for (unsigned int i = 0; qit != qe; ++qit, ++i) {
-	    if ((*qit) >= (r.min_coord(i) + 
-			 r.max_coord(i))/FT(2.0)) {
-	      if (the_weights[i] * ((*qit) - 
-				    r.min_coord(i)) > distance)
-		distance = the_weights[i] * 
-		  ((*qit)-r.min_coord(i));
-	      else
-		if (the_weights[i] * 
-		    (r.max_coord(i) - (*qit)) > distance)
-		  distance = the_weights[i] * 
-		    ( r.max_coord(i)-(*qit));
+        {
+          for (unsigned int i = 0; qit != qe; ++qit, ++i) {
+            if ((*qit) >= (r.min_coord(i) +
+                         r.max_coord(i))/FT(2.0)) {
+              if (the_weights[i] * ((*qit) -
+                                    r.min_coord(i)) > distance)
+                distance = the_weights[i] *
+                  ((*qit)-r.min_coord(i));
+              else
+                if (the_weights[i] *
+                    (r.max_coord(i) - (*qit)) > distance)
+                  distance = the_weights[i] *
+                    ( r.max_coord(i)-(*qit));
             }
-	  }
-	}
+          }
+        }
       else
-	{
-	  for (unsigned int i = 0; qit != qe; ++qit, ++i) {
-	    if ((*qit) <= (r.min_coord(i)+r.max_coord(i))/FT(2.0))
-	      distance += the_weights[i] * std::pow(r.max_coord(i)-(*qit),power);
-	    else
-	      distance += the_weights[i] * std::pow((*qit)-r.min_coord(i),power);
-	  }
-	};
+        {
+          for (unsigned int i = 0; qit != qe; ++qit, ++i) {
+            if ((*qit) <= (r.min_coord(i)+r.max_coord(i))/FT(2.0))
+              distance += the_weights[i] * std::pow(r.max_coord(i)-(*qit),power);
+            else
+              distance += the_weights[i] * std::pow((*qit)-r.min_coord(i),power);
+          }
+        };
       return distance;
     }
 
-     inline 
+     inline
     FT
     max_distance_to_rectangle(const Query_item& q,
-			      const Kd_tree_rectangle<FT,Dimension>& r,std::vector<FT>& dists) const {
+                              const Kd_tree_rectangle<FT,Dimension>& r,std::vector<FT>& dists) const {
       FT distance=FT(0);
       typename SearchTraits::Construct_cartesian_const_iterator_d construct_it=
         traits.construct_cartesian_const_iterator_d_object();
       Coord_iterator qit = construct_it(q), qe = construct_it(q,1);
       if (power == FT(0))
-	{
-	  for (unsigned int i = 0; qit != qe; ++qit, ++i) {
-	    if ((*qit) >= (r.min_coord(i) + 
-			 r.max_coord(i))/FT(2.0)) {
-	      if (the_weights[i] * ((*qit) - 
-				    r.min_coord(i)) > distance){
+        {
+          for (unsigned int i = 0; qit != qe; ++qit, ++i) {
+            if ((*qit) >= (r.min_coord(i) +
+                         r.max_coord(i))/FT(2.0)) {
+              if (the_weights[i] * ((*qit) -
+                                    r.min_coord(i)) > distance){
                 dists[i] = (*qit)-r.min_coord(i);
-		distance = the_weights[i] * 
-		  (dists[i]);
+                distance = the_weights[i] *
+                  (dists[i]);
               }
-	      else
-		if (the_weights[i] * 
-		    (r.max_coord(i) - (*qit)) > distance){
+              else
+                if (the_weights[i] *
+                    (r.max_coord(i) - (*qit)) > distance){
                       dists[i] =  r.max_coord(i)-(*qit);
-		  distance = the_weights[i] * 
-		    (dists[i]);
+                  distance = the_weights[i] *
+                    (dists[i]);
                 }
             }
-	  }
-	}
+          }
+        }
       else
-	{
-	  for (unsigned int i = 0; qit != qe; ++qit, ++i) {
-	    if ((*qit) <= (r.min_coord(i)+r.max_coord(i))/FT(2.0)){
+        {
+          for (unsigned int i = 0; qit != qe; ++qit, ++i) {
+            if ((*qit) <= (r.min_coord(i)+r.max_coord(i))/FT(2.0)){
               dists[i] = r.max_coord(i)-(*qit);
-	      distance += the_weights[i] * std::pow(dists[i],power);
+              distance += the_weights[i] * std::pow(dists[i],power);
             }
-	    else{
+            else{
               dists[i] = (*qit)-r.min_coord(i);
-	      distance += the_weights[i] * std::pow(dists[i],power);
+              distance += the_weights[i] * std::pow(dists[i],power);
             }
-	  }
-	};
+          }
+        };
       return distance;
     }
-    
-    inline 
-    FT 
+
+    inline
+    FT
     new_distance(FT dist, FT old_off, FT new_off,
-		 int cutting_dimension)  const 
+                 int cutting_dimension)  const
     {
       FT new_dist;
       if (power == FT(0))
-	{
-	  if (the_weights[cutting_dimension]*CGAL::abs(new_off) 
-	      > dist) 
-	    new_dist= 
-	      the_weights[cutting_dimension]*CGAL::abs(new_off);
-	  else new_dist=dist;
-	}
+        {
+          if (the_weights[cutting_dimension]*CGAL::abs(new_off)
+              > dist)
+            new_dist=
+              the_weights[cutting_dimension]*CGAL::abs(new_off);
+          else new_dist=dist;
+        }
       else
-	{
-	  new_dist = dist + the_weights[cutting_dimension] * 
-	    (std::pow(CGAL::abs(new_off),power)-std::pow(CGAL::abs(old_off),power));
-	}
+        {
+          new_dist = dist + the_weights[cutting_dimension] *
+            (std::pow(CGAL::abs(new_off),power)-std::pow(CGAL::abs(old_off),power));
+        }
       return new_dist;
     }
-    
-    inline 
-    FT 
-    transformed_distance(FT d) const 
+
+    inline
+    FT
+    transformed_distance(FT d) const
     {
       if (power <= FT(0)) return d;
       else return std::pow(d,power);
-      
+
     }
-    
-    inline 
-    FT 
-    inverse_of_transformed_distance(FT d) const 
+
+    inline
+    FT
+    inverse_of_transformed_distance(FT d) const
     {
       if (power <= FT(0)) return d;
       else return std::pow(d,1/power);
-      
+
     }
 
   }; // class Weighted_Minkowski_distance
diff -pruN 5.0.2-3/include/CGAL/Weighted_point_2.h 5.0.3-1/include/CGAL/Weighted_point_2.h
--- 5.0.2-3/include/CGAL/Weighted_point_2.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Weighted_point_2.h	2020-08-01 19:02:27.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Weighted_point_2.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Weighted_point_2.h $
 // $Id: Weighted_point_2.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Weighted_point_3.h 5.0.3-1/include/CGAL/Weighted_point_3.h
--- 5.0.2-3/include/CGAL/Weighted_point_3.h	2020-02-21 20:03:25.000000000 +0000
+++ 5.0.3-1/include/CGAL/Weighted_point_3.h	2020-08-01 19:02:27.000000000 +0000
@@ -7,7 +7,7 @@
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Kernel_23/include/CGAL/Weighted_point_3.h $
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Kernel_23/include/CGAL/Weighted_point_3.h $
 // $Id: Weighted_point_3.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
 //
diff -pruN 5.0.2-3/include/CGAL/Width_3.h 5.0.3-1/include/CGAL/Width_3.h
--- 5.0.2-3/include/CGAL/Width_3.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Width_3.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polytope_distance_d/include/CGAL/Width_3.h $
-// $Id: Width_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polytope_distance_d/include/CGAL/Width_3.h $
+// $Id: Width_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Thomas Herrmann, Lutz Kettner
 
@@ -21,7 +21,7 @@
 #include <iostream>
 #include <CGAL/convex_hull_3.h>
 
-#include <CGAL/Polyhedron_3.h> 
+#include <CGAL/Polyhedron_3.h>
 #include <CGAL/HalfedgeDS_list.h>
 
 #include <CGAL/assertions.h>
@@ -47,13 +47,13 @@ class Width_3 {
   // +----------------------------------------------------------------------+
  private:
   //the current best plane coefficients: e1:Ax+By+Cz+1=0
-  //                                     e2:Ax+By+Cz+D=0     
+  //                                     e2:Ax+By+Cz+D=0
   RT A,B,C,D,K;
 
   // Width itself
   RT WNum,WDenom;
 
-  // Planes and directions are derived from these variables 
+  // Planes and directions are derived from these variables
 
   // A list with all quadruples A/K, B/K, C/K, D/K
   std::vector< std::vector<RT> > allsolutions;
@@ -63,7 +63,7 @@ class Width_3 {
 
   //The traits class object
   Traits tco;
-  
+
   //The new origin to know how to translate back
   Point_3 neworigin;
 
@@ -87,18 +87,18 @@ class Width_3 {
     num=WNum;
     denom=WDenom;
   }
-  
+
   Vector_3 get_build_direction() {
     return tco.make_vector(A,B,C);
   }
-  
+
   void get_width_planes(Plane_3& e1, Plane_3& e2) {
     RT a,b,c,d,k;
     get_width_coefficients(a,b,c,d,k);
     e1=tco.make_plane(a,b,c,d);
     e2=tco.make_plane(a,b,c,k);
   }
-    
+
   void get_all_build_directions(std::vector<Vector_3>& alldir) {
     typename std::vector< std::vector<RT> >::iterator it=alloptimal.begin();
     RT a,b,c;
@@ -130,9 +130,9 @@ class Width_3 {
     typename std::vector< std::vector<RT> >::iterator it=allsolutions.begin();
     while(it!=allsolutions.end()) {
       RT d=-((*it)[0])*neworigin.hx()-((*it)[1])*neworigin.hy()
-	-((*it)[2])*neworigin.hz()+((*it)[3])*neworigin.hw();
+        -((*it)[2])*neworigin.hz()+((*it)[3])*neworigin.hw();
       RT k=-((*it)[0])*neworigin.hx()-((*it)[1])*neworigin.hy()
-	-((*it)[2])*neworigin.hz()+((*it)[4])*neworigin.hw();
+        -((*it)[2])*neworigin.hz()+((*it)[4])*neworigin.hw();
       RT a=((*it)[0])*neworigin.hw();
       RT b=((*it)[1])*neworigin.hw();
       RT c=((*it)[2])*neworigin.hw();
@@ -161,7 +161,7 @@ class Width_3 {
   Width_3( InputIterator begin, InputIterator beyond):
     A(0), B(0), C(0), D(2), K(1), WNum(0), WDenom(1) {
     INFOMSG(INFO,"Waiting for new HDS to build class Width_Polyhedron!"
-	    <<std::endl<<"Working with extern additional data structures.");
+            <<std::endl<<"Working with extern additional data structures.");
     typedef typename Traits::ChullTraits CHT;
     typedef Width_polyhedron_items_3                        Items;
     typedef Polyhedron_3< Traits, Items, HalfedgeDS_list>   LocalPolyhedron;
@@ -169,7 +169,7 @@ class Width_3 {
     convex_hull_3( begin, beyond, P, CHT());
     width_3_convex(P);
   }
-  
+
   template <class InputPolyhedron>
   Width_3(InputPolyhedron& Poly):
     A(0), B(0), C(0), D(2), K(1), WNum(0), WDenom(1) {
@@ -182,7 +182,7 @@ class Width_3 {
     allsolutions.clear();
     alloptimal.clear();
   }
-  
+
   // +----------------------------------------------------------------------+
   // | Begin of private function area                                       |
   // +----------------------------------------------------------------------+
@@ -190,7 +190,7 @@ class Width_3 {
   // Just to remember:
   // E1: -axh - byh - czh - kwh <= 0          axh + byh + czh + kwh >= 0
   // E2:  axh + byh + czh + dwh <= 0
-  // VF-pair: 3xE1 + 1xE2 
+  // VF-pair: 3xE1 + 1xE2
   // EE-pair: 2xE1 + 2xE2
   // plane equation in facets: Ax + By + Cz + 1 = 0
   //                           ax + by + cz + k = 0 (A=a/k,...)
@@ -198,7 +198,7 @@ class Width_3 {
   //-----------------------------
   //---Combinatorial functions---
   //-----------------------------
-  
+
   // *** PREPARATION_CHECK ***
   //---------------------------
   //This function determines the next facet if the halfedge e is a
@@ -206,19 +206,19 @@ class Width_3 {
   //PRECONDITION: e is the LAST edge in the go_on or impassable list!
   template <class InputDA, class Halfedge_handle_, class Facet_handle_>
     bool preparation_check(InputDA& dao,
-			   Halfedge_handle_& e, 
-			   Facet_handle_& fnext,
-			   std::vector<Halfedge_handle_>& go_on,
-			   std::vector<Halfedge_handle_>& imp)
+                           Halfedge_handle_& e,
+                           Facet_handle_& fnext,
+                           std::vector<Halfedge_handle_>& go_on,
+                           std::vector<Halfedge_handle_>& imp)
     {
-    //If the halfedge flag impassable is set then we can pop e from the stack 
+    //If the halfedge flag impassable is set then we can pop e from the stack
     //of the possibale go_on edges
     DEBUGMSG(PREPARATION_CHECK,"\nBegin PREPARATION_CHECK");
     DEBUGENDL(PREPARATION_CHECK,"Edge e: "<<e->opposite()->vertex()->point()
-	      <<" --> ",e->vertex()->point());
+              <<" --> ",e->vertex()->point());
     CGAL_precondition(go_on.back()==e);
     DEBUGMSG(ASSERTION_OUTPUT,"e is last element on stack go_on. "
-	     <<"ASSERTION OK.");
+             <<"ASSERTION OK.");
     if ( dao.is_impassable(e) ) {
       DEBUGMSG(PREPARATION_CHECK," is impassable. Erase from go_on.");
       go_on.pop_back();
@@ -229,35 +229,35 @@ class Width_3 {
       //e in the impassable list an pop e from the stack of the go_on edges
       typename InputDA::Halfedge_handle h=e->opposite();
       if(dao.is_visited(h)) {
-	DEBUGMSG(PREPARATION_CHECK," has a visited opposite edge. Set "
-		 <<"impassable flag, push on impassable stack and erase"
-		 <<" from go_on");
-	imp.push_back(e);
-	dao.set_impassable_flag(h,true);
-	go_on.pop_back();
-	DEBUGMSG(PREPARATION_CHECK,"End PREPARATION_CHECK");
-	return false;
+        DEBUGMSG(PREPARATION_CHECK," has a visited opposite edge. Set "
+                 <<"impassable flag, push on impassable stack and erase"
+                 <<" from go_on");
+        imp.push_back(e);
+        dao.set_impassable_flag(h,true);
+        go_on.pop_back();
+        DEBUGMSG(PREPARATION_CHECK,"End PREPARATION_CHECK");
+        return false;
       } else {
-	DEBUGMSG(PREPARATION_CHECK," is a valable candidate. Compute next "
-		 <<"facet and erase from go_on. Set visited flag of all to "
-		 <<"fnext incident edges."); 
-	//e is a valable candidate. Thus set fnext to the next facet we visit
-	fnext=h->facet();
-	//Delete e from go_on and insert the edges of fnext (except opposite
-	//of e) in the go_on list
-	go_on.pop_back();
-	typename InputDA::Halfedge_handle h0=h;
-	h=h->next();
-	while ( h!=h0) {
-	  DEBUGENDL(PREPARATION_CHECK,"Adding edge to go_on stack: ",
-		    h->opposite()->vertex()->point()<<"  -->  "
-		    <<h->vertex()->point());
-	  go_on.push_back(h);
-	  dao.set_visited_flag(h,true);
-	  h=h->next();
-	}
-	DEBUGMSG(PREPARATION_CHECK,"End PREPARATION_CHECK");
-	return true;
+        DEBUGMSG(PREPARATION_CHECK," is a valable candidate. Compute next "
+                 <<"facet and erase from go_on. Set visited flag of all to "
+                 <<"fnext incident edges.");
+        //e is a valable candidate. Thus set fnext to the next facet we visit
+        fnext=h->facet();
+        //Delete e from go_on and insert the edges of fnext (except opposite
+        //of e) in the go_on list
+        go_on.pop_back();
+        typename InputDA::Halfedge_handle h0=h;
+        h=h->next();
+        while ( h!=h0) {
+          DEBUGENDL(PREPARATION_CHECK,"Adding edge to go_on stack: ",
+                    h->opposite()->vertex()->point()<<"  -->  "
+                    <<h->vertex()->point());
+          go_on.push_back(h);
+          dao.set_visited_flag(h,true);
+          h=h->next();
+        }
+        DEBUGMSG(PREPARATION_CHECK,"End PREPARATION_CHECK");
+        return true;
       }
     }
   }
@@ -267,11 +267,11 @@ class Width_3 {
   //To compute the neighbors of a vertex. The vertex is implicitely given
   //as the vertex the halfedge points to.
   template <class Halfedge_handle_, class Vertex_handle_>
-    void neighbors_of(const Halfedge_handle_& h, 
-		      std::vector<Vertex_handle_>& V) {
-    DEBUGMSG(NEIGHBORS_OF,"\nBegin NEIGHBORS_OF"); 
+    void neighbors_of(const Halfedge_handle_& h,
+                      std::vector<Vertex_handle_>& V) {
+    DEBUGMSG(NEIGHBORS_OF,"\nBegin NEIGHBORS_OF");
     DEBUGENDL(NEIGHBORS_OF,"Determining the neighbors of: ",
-	      h->vertex()->point());
+              h->vertex()->point());
     Halfedge_handle_ e=h;
     Halfedge_handle_ e0=e->opposite();
     V.clear();
@@ -293,29 +293,29 @@ class Width_3 {
 
   }
 
-  //During the algorithm we have to build union and minus set 
+  //During the algorithm we have to build union and minus set
   //of two sets and check wheater two sets are cutting each othe ror not
 
   // *** SETMINUS ***
   //------------------
-  //Builds the set A\B where the set A is changed 
+  //Builds the set A\B where the set A is changed
   template <class Vertex_handle_>
-    void setminus(std::vector<Vertex_handle_>& res, 
-		  const std::vector<Vertex_handle_>& 
-		  without) {
+    void setminus(std::vector<Vertex_handle_>& res,
+                  const std::vector<Vertex_handle_>&
+                  without) {
     DEBUGMSG(SETMINUS,"\nBegin SETMINUS");
     typename std::vector<Vertex_handle_>::iterator resit;
-    typename std::vector<Vertex_handle_>::const_iterator 
+    typename std::vector<Vertex_handle_>::const_iterator
       withoutit=without.begin();
     //Scan through all elements of without and check if they are also in res.
     //If so delete the element from res.
     while(withoutit!=without.end()) {
       resit=std::find(res.begin(),res.end(),*withoutit);
       if ( resit!=res.end() ) {
-	CGAL_assertion((*resit)->point()==(*withoutit)->point());
-	DEBUGMSG(ASSERTION_OUTPUT,"Found an element to erase. ASSERTION OK.");
-	DEBUGENDL(SETMINUS,"Erase point: ",(*resit)->point());
-	res.erase(resit);
+        CGAL_assertion((*resit)->point()==(*withoutit)->point());
+        DEBUGMSG(ASSERTION_OUTPUT,"Found an element to erase. ASSERTION OK.");
+        DEBUGENDL(SETMINUS,"Erase point: ",(*resit)->point());
+        res.erase(resit);
       }
       ++withoutit;
     }
@@ -326,19 +326,19 @@ class Width_3 {
   //------------------
   //Builds the union of two sets A and B. The result is stored in A
   //POSTCONDITION: Every element in A is stored once.
-  template <class Vertex_handle_> 
-    void setunion(std::vector<Vertex_handle_>&res, 
-		  std::vector<Vertex_handle_>& uni) {
+  template <class Vertex_handle_>
+    void setunion(std::vector<Vertex_handle_>&res,
+                  std::vector<Vertex_handle_>& uni) {
     DEBUGMSG(SETUNION,"\nBegin SETUNION");
-    typename std::vector<Vertex_handle_>::iterator 
+    typename std::vector<Vertex_handle_>::iterator
       uniit=uni.begin();
     typename std::vector<Vertex_handle_>::iterator resit;
     //Scan the uni set and add every new element in res
     while(uniit!=uni.end()) {
       resit=std::find(res.begin(),res.end(),*uniit);
       if ( resit==res.end() ) {
-	DEBUGENDL(SETUNION,"Insert new point: ",(*uniit)->point());
-	res.push_back(*uniit);
+        DEBUGENDL(SETUNION,"Insert new point: ",(*uniit)->point());
+        res.push_back(*uniit);
       }
       ++uniit;
     }
@@ -347,21 +347,21 @@ class Width_3 {
 
   // *** SETCUT ***
   //----------------
-  //Checks if two sets are cutting each other or not (the common elements are 
+  //Checks if two sets are cutting each other or not (the common elements are
   //not determined
   template <class Vertex_handle_>
-    bool setcut(std::vector<Vertex_handle_>& AA, 
-		std::vector<Vertex_handle_>& BB) {
+    bool setcut(std::vector<Vertex_handle_>& AA,
+                std::vector<Vertex_handle_>& BB) {
     DEBUGMSG(SETCUT,"\nBegin SETCUT");
-    typename std::vector<Vertex_handle_>::iterator 
+    typename std::vector<Vertex_handle_>::iterator
       Ait=AA.begin();
     typename std::vector<Vertex_handle_>::iterator Bfindit;
     while(Ait!=AA.end()) {
       Bfindit=std::find(BB.begin(),BB.end(),*Ait);
       if (Bfindit!=BB.end()) {
-	DEBUGMSG(SETCUT,"The sets are cutting each other. Return true.");
-	DEBUGMSG(SETCUT,"End SETCUT");
-	return true;
+        DEBUGMSG(SETCUT,"The sets are cutting each other. Return true.");
+        DEBUGMSG(SETCUT,"End SETCUT");
+        return true;
       }
       ++Ait;
     }
@@ -384,12 +384,12 @@ class Width_3 {
   //              vector of the plane points to the side where (0,0,0) lies
   template<class InputDA, class Facet_handle_>
     void compute_plane_equation(InputDA,
-				const Facet_handle_& f) {
+                                const Facet_handle_& f) {
     DEBUGMSG(COMPUTE_PLANE_EQUATION,"\nBegin COMPUTE_PLANE_EQUATION");
     DEBUGENDL(COMPUTE_PLANE_EQUATION,"Compute plane equations of facet f: ("
-	      <<f->halfedge()->opposite()->vertex()->point()<<"), (",
-	      f->halfedge()->vertex()->point()<<"), ("
-	      <<f->halfedge()->next()->vertex()->point()<<")");
+              <<f->halfedge()->opposite()->vertex()->point()<<"), (",
+              f->halfedge()->vertex()->point()<<"), ("
+              <<f->halfedge()->next()->vertex()->point()<<")");
     typename InputDA::Halfedge_handle e = f->halfedge();
     typename InputDA::PolyPoint p,q,r;
     q = e -> opposite() -> vertex() -> point();
@@ -403,21 +403,21 @@ class Width_3 {
     DEBUGENDL(COMPUTE_PLANE_EQUATION,"Plane Coefficients: ",f->plane());
     DEBUGMSG(COMPUTE_PLANE_EQUATION,"End COMPUTE_PLANE_EQUATION");
   }
-  
+
   // *** SOLVE_3X3 ***
   //-------------------
   //To solve a special 3x3 system. The rows of the coefficient matrix
   //are the (homogeneous) x,y,z-coordinates of points and the right
-  //hand side is the homogeneous part of the point times the provided 
+  //hand side is the homogeneous part of the point times the provided
   //coefficient. The system is solved with Cramer's Rule. The sign of
-  //the coefficients is chosen in a way that (0,0,0) lies on the positive 
+  //the coefficients is chosen in a way that (0,0,0) lies on the positive
   //side of the plane.
   template<class InputDA, class PolyPoint_>
     void solve_3x3(InputDA,
-		   const PolyPoint_& p, 
-		   const PolyPoint_& q,
-		   const PolyPoint_& r, 
-		   RT& a, RT& b, RT& c, RT& k) {
+                   const PolyPoint_& p,
+                   const PolyPoint_& q,
+                   const PolyPoint_& r,
+                   RT& a, RT& b, RT& c, RT& k) {
     DEBUGMSG(SOLVE_3X3,"\nBegin SOLVE_3X3");
     RT px,py,pz,ph;
     tco.get_point_coordinates(p,px,py,pz,ph);
@@ -435,11 +435,11 @@ class Width_3 {
     RT sig(1);
     if (k<=0) {
       if(k<0) {
-	sig=-1;
-	k=-k;
+        sig=-1;
+        k=-k;
       }
-      else 
-	CGAL_assertion_msg(k!=0,"Couldn't solve plane equation system");
+      else
+        CGAL_assertion_msg(k!=0,"Couldn't solve plane equation system");
     }
     a=sig*(-ph*(qy*rz-ry*qz)+qh*(py*rz-ry*pz)-rh*(py*qz-qy*pz));
     b=sig*(px*(rh*qz-qh*rz)-qx*(rh*pz-ph*rz)+rx*(qh*pz-ph*qz));
@@ -447,29 +447,29 @@ class Width_3 {
 #ifdef GCD_COMPUTATION
     RT dummy=0;
     DEBUGENDL(SOLVE_3X3,"Solution of 3x3 (before GCD computation):\n",a
-	      <<std::endl
-	      <<b<<std::endl<<c<<std::endl<<k<<std::endl); 
+              <<std::endl
+              <<b<<std::endl<<c<<std::endl<<k<<std::endl);
     simplify_solution(a,b,c,k,dummy);
 #endif
     DEBUGENDL(SOLVE_3X3,"Solution of 3x3:\n",a<<std::endl
-	      <<b<<std::endl<<c<<std::endl<<k<<std::endl); 
+              <<b<<std::endl<<c<<std::endl<<k<<std::endl);
     DEBUGMSG(SOLVE_3X3,"End SOLVE_3X3");
   }
-  
+
   // *** SOLVE_4X4 ***
   //-------------------
   //To enumerate EE-pairs we need to solve a 4x4 linear equation system
   //The rows of the coefficient matrix
   //are the (homogeneous) x,y,z-coordinates of points and the right
-  //hand side is the homogeneous part of the point times the provided 
+  //hand side is the homogeneous part of the point times the provided
   //coefficient. The system is solved with Cramer's Rule.
   template<class InputDA, class PolyPoint_>
     bool solve_4x4(InputDA,
-		   const PolyPoint_& p, 
-		   const PolyPoint_& q,
-		   const PolyPoint_& r,
-		   const PolyPoint_& v,
-		   RT& a, RT& b, RT& c, RT& d, RT& k) {
+                   const PolyPoint_& p,
+                   const PolyPoint_& q,
+                   const PolyPoint_& r,
+                   const PolyPoint_& v,
+                   RT& a, RT& b, RT& c, RT& d, RT& k) {
     DEBUGMSG(SOLVE_4X4,"\nBegin SOLVE_4X4");
     RT px,py,pz,ph;
     tco.get_point_coordinates(p,px,py,pz,ph);
@@ -486,22 +486,22 @@ class Width_3 {
     DEBUGENDL(SOLVE_4X4,"",qx<<" "<<qy<<" "<<qz<<" 0 : "<<-qh);
     DEBUGENDL(SOLVE_4X4,"",rx<<" "<<ry<<" "<<rz<<" "<<rh<<" : 0");
     DEBUGENDL(SOLVE_4X4,"",vx<<" "<<vy<<" "<<vz<<" "<<vh<<" : 0");
-    
+
     k=-rh*(px*(qy*vz-vy*qz)-qx*(py*vz-vy*pz)+vx*(py*qz-qy*pz))
       +vh*(px*(qy*rz-ry*qz)-qx*(py*rz-ry*pz)+rx*(py*qz-qy*pz));
     RT sig(1);
     if (k<=0) {
       if (k<0) {
-	sig=-1;
-	k=-k;
-	DEBUGMSG(SOLVE_4X4,"Sign of k (and of all other coefficients) "
-		 <<"changed.");
+        sig=-1;
+        k=-k;
+        DEBUGMSG(SOLVE_4X4,"Sign of k (and of all other coefficients) "
+                 <<"changed.");
       } else {
-	DEBUGMSG(SOLVE_4X4,"No proper solution.");
-	return false;
-      }	
+        DEBUGMSG(SOLVE_4X4,"No proper solution.");
+        return false;
+      }
     }
-    
+
     a=sig*(-ph*(qy*(rz*vh-vz*rh)-ry*qz*vh+vy*qz*rh)
       +qh*(py*(rz*vh-vz*rh)-ry*pz*vh+vy*pz*rh));
     b=sig*(ph*(qx*(rz*vh-vz*rh)-rx*qz*vh+vx*qz*rh)
@@ -524,18 +524,18 @@ class Width_3 {
 
     if (a==0 && b==0 && c==0) {
       DEBUGENDL(SOLVE_4X4,"Solution of 4x4:\n ",a<<std::endl<<b<<std::endl<<c
-		<<std::endl
-		<<d<<std::endl<<k); 
+                <<std::endl
+                <<d<<std::endl<<k);
       CGAL_assertion(a!=0);
       CGAL_error();
     } else {
 #ifdef GCD_COMPUTATION
       DEBUGENDL(SOLVE_4X4,"Unique Solution of 4x4 (before GCD computation):\n",
-		a<<std::endl<<b<<std::endl<<c<<std::endl<<d<<std::endl<<k); 
+                a<<std::endl<<b<<std::endl<<c<<std::endl<<d<<std::endl<<k);
       simplify_solution(a,b,c,d,k);
 #endif
       DEBUGENDL(SOLVE_4X4,"Unique Solution of 4x4:\n",
-		a<<std::endl<<b<<std::endl<<c<<std::endl<<d<<std::endl<<k);
+                a<<std::endl<<b<<std::endl<<c<<std::endl<<d<<std::endl<<k);
       DEBUGMSG(SOLVE_4X4,"End SOLVE_4X4");
     }
     return true;
@@ -544,22 +544,22 @@ class Width_3 {
   // *** CHECK_FEASIBILITY ***
   //---------------------------
   //This function checks the feasibility of a provided quadruple A/K, B/K,
-  //C/K and D/K. Because we do not want to check the feasibility for all 
+  //C/K and D/K. Because we do not want to check the feasibility for all
   //the points the list of points is also expected.
   template<class InputDA, class Vertex_handle_>
     bool check_feasibility(InputDA,
-			   const RT& a, const RT& b, const RT& c, 
-			   const RT& d, const RT& k,
-			   const std::vector<Vertex_handle_>& V) {
+                           const RT& a, const RT& b, const RT& c,
+                           const RT& d, const RT& k,
+                           const std::vector<Vertex_handle_>& V) {
     DEBUGMSG(CHECK_FEASIBILITY,"\nBegin CHECK_FEASIBILITY");
     if (d==k) {
       DEBUGMSG(CHECK_FEASIBILITY,"The planes e1 and e2 are the same. "
-	       <<"Not a feasible solution.");
+               <<"Not a feasible solution.");
       DEBUGMSG(CHECK_FEASIBILITY,"End CHECK_FEASIBILITY");
       return false;
     }
 
-    typename std::vector<Vertex_handle_>::const_iterator 
+    typename std::vector<Vertex_handle_>::const_iterator
       it=V.begin();
     RT tmp;
     while ( it!=V.end() ) {
@@ -569,17 +569,17 @@ class Width_3 {
       //Check if the restrictions according to p are satisfied
       if (tmp+k*ph < 0 || tmp + d*ph > 0) {
 #if CHECK_FEASIBILITY
-	DEBUGENDL(CHECK_FEASIBILITY,"Restriction to point ",
-		  (*it)->point()<<" failed.");
-	if (tmp+k*ph < 0){
-	  DEBUGENDL(CHECK_FEASIBILITY,"E1 not satisfied: ",tmp+k*ph);
-	} else { 
-	  DEBUGENDL(CHECK_FEASIBILITY,"E2 not satisfied: ",tmp+d*ph);
-	}
-#endif
-	DEBUGMSG(CHECK_FEASIBILITY,"Feasibility Check failed.");
-	DEBUGMSG(CHECK_FEASIBILITY,"End CHECK_FEASIBILITY");
-	return false;
+        DEBUGENDL(CHECK_FEASIBILITY,"Restriction to point ",
+                  (*it)->point()<<" failed.");
+        if (tmp+k*ph < 0){
+          DEBUGENDL(CHECK_FEASIBILITY,"E1 not satisfied: ",tmp+k*ph);
+        } else {
+          DEBUGENDL(CHECK_FEASIBILITY,"E2 not satisfied: ",tmp+d*ph);
+        }
+#endif
+        DEBUGMSG(CHECK_FEASIBILITY,"Feasibility Check failed.");
+        DEBUGMSG(CHECK_FEASIBILITY,"End CHECK_FEASIBILITY");
+        return false;
       }
       ++it;
     }
@@ -629,7 +629,7 @@ class Width_3 {
   //To simplify the solutions
   template<class IntNum>
     void simplify_solution(IntNum& a, IntNum& b, IntNum& c, IntNum& d,
-			   IntNum& k) {
+                           IntNum& k) {
     DEBUGMSG(SIMPLIFY_SOLUTION,"\nBegin SIMPLIFY_SOLUTION");
     IntNum r=gcd(a,b);
     IntNum s=gcd(c,d);
@@ -646,59 +646,59 @@ class Width_3 {
     CGAL_assertion(g*(k/g)==k);
     k=k/g;
     DEBUGENDL(SIMPLIFY_SOLUTION,"Simplified solutions: ",a<<" "<<b<<" "<<c
-	      <<" "<<d<<" "<<k);
+              <<" "<<d<<" "<<k);
     DEBUGMSG(SIMPLIFY_SOLUTION,"End SIMPLIFY_SOLUTION");
   }
 #endif
 
   // ---Width functions---
   // *********************
-  
+
   // *** INITIAL_VF_PAIR ***
   //-------------------------
-  //After the first initialization phase we have to compute an initial 
-  //Vertex-Facet pair to start with the enumeration 
+  //After the first initialization phase we have to compute an initial
+  //Vertex-Facet pair to start with the enumeration
   //PRECONDITION: Normal of initial plane points to the interior of the
   //              convex hull
   template<class InputDA, class Facet_handle_, class Polyhedron_,
            class Halfedge_handle_>
     void initial_VF_pair(InputDA& dao,
-			 Facet_handle_& f, 
-			 Polyhedron_& P,
-			 std::vector<Halfedge_handle_>& go_on)
+                         Facet_handle_& f,
+                         Polyhedron_& P,
+                         std::vector<Halfedge_handle_>& go_on)
     {
     DEBUGMSG(INITIAL_VF_PAIR,"\nBegin INITIAL_VF_PAIR");
     DEBUGENDL(INITIAL_VF_PAIR,"Compute initial VF-pair with facet f: ("
-	      <<f->halfedge()->opposite()->vertex()->point()<<"), (",
-	      f->halfedge()->vertex()->point()<<"), ("
-	      <<f->halfedge()->next()->vertex()->point()<<")");
+              <<f->halfedge()->opposite()->vertex()->point()<<"), (",
+              f->halfedge()->vertex()->point()<<"), ("
+              <<f->halfedge()->next()->vertex()->point()<<")");
     typedef typename InputDA::Vertex_handle Vertex_handle;
     //Compute the facet. ==> e2 is fixed
     tco.get_plane_coefficients(f->plane(),A,B,C,K);
     CGAL_assertion(K>0);
     DEBUGMSG(ASSERTION_OUTPUT,"K greater (strictly) than 0. ASSERTION OK.");
 
-    //Start with an impossible configuration for the still unknown 
+    //Start with an impossible configuration for the still unknown
     //coefficient D=K, ie plane E1 == plane E2
     D=K;
     DEBUGENDL(INITIAL_VF_PAIR,"Starting with values:\nA:",A<<std::endl
-	      <<"B: "<<B<<std::endl<<"C: "<<C<<std::endl<<"D: "
-	      <<D<<std::endl<<"K: "<<K);
-    
+              <<"B: "<<B<<std::endl<<"C: "<<C<<std::endl<<"D: "
+              <<D<<std::endl<<"K: "<<K);
+
     std::vector<Vertex_handle> apv;
 #if !(defined(CGAL_KERNEL_NO_ASSERTIONS) || defined(CGAL_NO_ASSERTIONS) \
   || (!defined(CGAL_KERNEL_CHECK_EXPENSIVE) && !defined(CGAL_CHECK_EXPENSIVE))\
   || defined(NDEBUG))
       typename InputDA::Vertex_iterator vtxitass = P.vertices_begin();
       while(vtxitass!=P.vertices_end()) {
-	RT px,py,pz,ph;
-	tco.get_point_coordinates((*vtxitass).point(),px,py,pz,ph);
-	CGAL_expensive_assertion(ph>0);
-	CGAL_expensive_assertion(A*px+B*py+C*pz+K*ph>=0);
-	++vtxitass;
+        RT px,py,pz,ph;
+        tco.get_point_coordinates((*vtxitass).point(),px,py,pz,ph);
+        CGAL_expensive_assertion(ph>0);
+        CGAL_expensive_assertion(A*px+B*py+C*pz+K*ph>=0);
+        ++vtxitass;
       }
       DEBUGMSG(ASSERTION_OUTPUT,"All points satisfy restriction "
-	       <<"type E1. ASSERTION OK>");
+               <<"type E1. ASSERTION OK>");
 #endif
 
     typename InputDA::Vertex_iterator vtxit=P.vertices_begin();
@@ -715,21 +715,21 @@ class Width_3 {
       //Compute the sign of the distance from pi to the current plane e2
       RT distpie1=A*pix + B*piy + C*piz;
       DEBUGENDL(INITIAL_VF_PAIR,"Distance from p to current plane e1: ",
-		distpie1*hompart);
+                distpie1*hompart);
       //If pi is not between e1 and e2, compute a new plane e2 through pi
-      //If pi is also ON the current plane e2, then insert pi in the list 
-      //of current antipodal vertices of the facet f 
+      //If pi is also ON the current plane e2, then insert pi in the list
+      //of current antipodal vertices of the facet f
       if (hompart*distpie1 >= pih*maxdist) {
-	DEBUGMSG(INITIAL_VF_PAIR,"Distance of this point is greater (or equal)"
-		 <<" than all the distances before."
-		 <<"Change plane antipodal vertices.");
-	if (hompart*distpie1 > pih*maxdist) {
-	  DEBUGMSG(INITIAL_VF_PAIR,"Compute new plane e2!");
-	  apv.clear();
-	  hompart=pih;
-	  maxdist=distpie1;
-	}
-	apv.push_back(vtxit);
+        DEBUGMSG(INITIAL_VF_PAIR,"Distance of this point is greater (or equal)"
+                 <<" than all the distances before."
+                 <<"Change plane antipodal vertices.");
+        if (hompart*distpie1 > pih*maxdist) {
+          DEBUGMSG(INITIAL_VF_PAIR,"Compute new plane e2!");
+          apv.clear();
+          hompart=pih;
+          maxdist=distpie1;
+        }
+        apv.push_back(vtxit);
       }
       ++vtxit;
     }
@@ -749,22 +749,22 @@ class Width_3 {
   || defined(NDEBUG))
       CGAL_expensive_assertion(D!=K && D!=0);
       DEBUGMSG(ASSERTION_OUTPUT,"A real plane E2 has been computed. "
-	       <<"ASSERTION OK.");
+               <<"ASSERTION OK.");
       vtxit=P.vertices_begin();
       while (vtxit != P.vertices_end() ) {
-	RT px, py, pz, ph;
-	tco.get_point_coordinates((*vtxit).point(),px,py,pz,ph);
-	CGAL_expensive_assertion(A*px+B*py+C*pz+K*ph>=0);
-	CGAL_expensive_assertion(A*px+B*py+C*pz+D*ph<=0);
-	DEBUGENDL(ASSERTION_OUTPUT,"Restriction values: E1:",
-		  A*px+B*py+C*pz+K*ph<<"  and E2: "<<A*px+B*py+C*pz+D*ph);
-	DEBUGENDL(ASSERTION_OUTPUT,"Restrictions E1 and E2 according to "
-		  <<"point "<<(*vtxit).point()
-		  <<" are both satisfied.","ASSERTION OK.");
-	++vtxit;
+        RT px, py, pz, ph;
+        tco.get_point_coordinates((*vtxit).point(),px,py,pz,ph);
+        CGAL_expensive_assertion(A*px+B*py+C*pz+K*ph>=0);
+        CGAL_expensive_assertion(A*px+B*py+C*pz+D*ph<=0);
+        DEBUGENDL(ASSERTION_OUTPUT,"Restriction values: E1:",
+                  A*px+B*py+C*pz+K*ph<<"  and E2: "<<A*px+B*py+C*pz+D*ph);
+        DEBUGENDL(ASSERTION_OUTPUT,"Restrictions E1 and E2 according to "
+                  <<"point "<<(*vtxit).point()
+                  <<" are both satisfied.","ASSERTION OK.");
+        ++vtxit;
       }
       DEBUGMSG(ASSERTION_OUTPUT,"All restrictions satisfied. "
-	       <<"ASSERTION OK.");
+               <<"ASSERTION OK.");
 #endif
     DEBUGENDL(INITIAL_VF_PAIR,"Initial plane E1:",A<<" "<<B<<" "<<C<<" "<<K);
     DEBUGENDL(INITIAL_VF_PAIR,"Initial plane E2:",A<<" "<<B<<" "<<C<<" "<<D);
@@ -785,7 +785,7 @@ class Width_3 {
     WNum=(K-D)*(K-D);
     WDenom=A*A+B*B+C*C;
     DEBUGENDL(INITIAL_VF_PAIR,"Initial squared width: ",
-	      WNum<<"/"<<WDenom);
+              WNum<<"/"<<WDenom);
 
     //Set all halfedges of f to be possible edges for a rotation
     //The set of these edges is used in the third phase of the algorithm
@@ -801,20 +801,20 @@ class Width_3 {
     }
     DEBUGMSG(INITIAL_VF_PAIR,"End INITIAL_VF_PAIR");
   }
-  
+
   // *** CHECK_ABOUT_VF_PAIRS ***
   //------------------------------
   //This function checks if a facet and a subset of a given set of vertices
   //build a vertex facet pair
   template<class InputDA, class Facet_handle_, class Vertex_handle_>
-    bool 
+    bool
     check_about_VF_pairs(InputDA& dao,
-			 Facet_handle_& f, 
-			 const std::vector<Vertex_handle_>& V)
+                         Facet_handle_& f,
+                         const std::vector<Vertex_handle_>& V)
     {
     DEBUGMSG(CHECK_ABOUT_VF_PAIRS,"\nBegin CHECK_ABOUT_VF_PAIRS");
     DEBUGMSG(CHECK_ABOUT_VF_PAIRS,"Check, if f has antipodal vertices in "
-	     <<"a set.");
+             <<"a set.");
     RT a,b,c,d,k;
     typename std::vector<typename InputDA::Vertex_handle>
       ::const_iterator  vtxit=V.begin();
@@ -832,7 +832,7 @@ class Width_3 {
       d = -a*vx - b*vy - c*vz;
       CGAL_assertion(vh > 0);
       DEBUGMSG(ASSERTION_OUTPUT,"vh is greater than zero (strictly). "
-	       <<"ASSERTION OK.");
+               <<"ASSERTION OK.");
       a=tco.get_a(f->plane())*vh;
       b=tco.get_b(f->plane())*vh;
       c=tco.get_c(f->plane())*vh;
@@ -840,107 +840,107 @@ class Width_3 {
       CGAL_assertion(a*vx+b*vy+c*vz+k*vh>=0);
       CGAL_assertion(a*vx+b*vy+c*vz+d*vh==0);
       DEBUGMSG(ASSERTION_OUTPUT,"Checked: Point on the right side of e1, and "
-	       <<"on e2. ASSERTION OK>");
+               <<"on e2. ASSERTION OK>");
 
       //If v lies on plane e1 then we can continue (v is not antipodal)
       if (d == k) {
-	CGAL_assertion(a*vx+b*vy+c*vz+k*vh==0);
-	DEBUGENDL(CHECK_ABOUT_VF_PAIRS,"Point "<<(*vtxit)->point()
-		  <<" lies on plane ",f->plane()<<". Continue.");
-	++vtxit;
-	continue;
+        CGAL_assertion(a*vx+b*vy+c*vz+k*vh==0);
+        DEBUGENDL(CHECK_ABOUT_VF_PAIRS,"Point "<<(*vtxit)->point()
+                  <<" lies on plane ",f->plane()<<". Continue.");
+        ++vtxit;
+        continue;
       }
       CGAL_assertion(a*vx+b*vy+c*vz+k*vh>0);
       DEBUGMSG(ASSERTION_OUTPUT,"v not on e1. ASSERTION OK.");
-      //Else we look if we can find a witness in the neighborhood of v that 
+      //Else we look if we can find a witness in the neighborhood of v that
       //shows that v is not an antipodal vertex of f
       neighbors_of((*vtxit)->halfedge(),W);
-      
+
       //Assume there is no witness for infeasibility
       feasible = true;
-      
+
       //Scan all possible witnesses
       while(!W.empty()) {
-	neighborit=W.begin();
-	visited_points.push_back(*neighborit);
-	RT nx,ny,nz,nh;
-	tco.get_point_coordinates((*neighborit)->point(),nx,ny,nz,nh);
-	
-	//Check if n (neighbor of v) satisfies restriction type e2
-	//with the presumed plane e2, ie anx+bny+cnz-Dv<=0
-	CGAL_assertion(a*nx+b*ny+c*nz+k*nh>=0);
-	DEBUGMSG(ASSERTION_OUTPUT,"Restrictions E1 is satisfied. "
-		 <<"ASSERTION OK.");
-	if ( a*nx+b*ny+c*nz+d*nh >= 0 ) {
-	  //Could be a violation. Now check if v and n lie on the
-	  //same plane. If so no violation, othervise we can break
-	  if (a*nx+b*ny+c*nz+d*nh == 0 ) {
-	    DEBUGMSG(CHECK_ABOUT_VF_PAIRS,"Additional Antipodal Vertex "
-		     <<"found. Expanding "<<"set of witnesses.");
-	    //v and n are both (so far) antipodal vertices ==>EF-pair
-	    apv.push_back(*neighborit);
-	    //There could now be more witnesses that give violating
-	    //restrictions. Therefore compute the new neighbors of n
-	    std::vector<typename InputDA::Vertex_handle> Wnew;
-	    neighbors_of((*neighborit)->halfedge(),Wnew);
-	    
-	    //Erase v from the vertices to be considered as new witnesses
-	    typename
-	      std::vector<typename InputDA::Vertex_handle>
-	      ::iterator  res= std::find(Wnew.begin(),Wnew.end(),*vtxit);
-	    if ( res!=Wnew.end() ) 
-	      Wnew.erase(res);
-	    //Erase all the elements we already considered from the new
-	    //set of witnesses
-	    setminus(Wnew,visited_points);
-	    //Erase the neighbor vertex itself from the set of witnesses
-	    W.erase(neighborit);
-	    //Compute the new whole set of witnesses, that is add the 
-	    //remaining new ones to the old set of witnesses
-	    setunion(W,Wnew);
-	  } else {
-	    DEBUGENDL(CHECK_ABOUT_VF_PAIRS,"Violation found. Not a feasible "
-		     <<"solution. Violated Point:",(*neighborit)->point());
-	    //there is a violation, so do a break
-	    feasible = false;
-	    break;
-	  }
-	} else {
-	  DEBUGENDL(CHECK_ABOUT_VF_PAIRS,"Restriction E2 also satisfied by "
-		   <<"point:",(*neighborit)->point());
-	  //There is no violating restriction according to the vertex n
-	  //Erase it from the set of witnesses
-	  W.erase(neighborit);
-	}
+        neighborit=W.begin();
+        visited_points.push_back(*neighborit);
+        RT nx,ny,nz,nh;
+        tco.get_point_coordinates((*neighborit)->point(),nx,ny,nz,nh);
+
+        //Check if n (neighbor of v) satisfies restriction type e2
+        //with the presumed plane e2, ie anx+bny+cnz-Dv<=0
+        CGAL_assertion(a*nx+b*ny+c*nz+k*nh>=0);
+        DEBUGMSG(ASSERTION_OUTPUT,"Restrictions E1 is satisfied. "
+                 <<"ASSERTION OK.");
+        if ( a*nx+b*ny+c*nz+d*nh >= 0 ) {
+          //Could be a violation. Now check if v and n lie on the
+          //same plane. If so no violation, othervise we can break
+          if (a*nx+b*ny+c*nz+d*nh == 0 ) {
+            DEBUGMSG(CHECK_ABOUT_VF_PAIRS,"Additional Antipodal Vertex "
+                     <<"found. Expanding "<<"set of witnesses.");
+            //v and n are both (so far) antipodal vertices ==>EF-pair
+            apv.push_back(*neighborit);
+            //There could now be more witnesses that give violating
+            //restrictions. Therefore compute the new neighbors of n
+            std::vector<typename InputDA::Vertex_handle> Wnew;
+            neighbors_of((*neighborit)->halfedge(),Wnew);
+
+            //Erase v from the vertices to be considered as new witnesses
+            typename
+              std::vector<typename InputDA::Vertex_handle>
+              ::iterator  res= std::find(Wnew.begin(),Wnew.end(),*vtxit);
+            if ( res!=Wnew.end() )
+              Wnew.erase(res);
+            //Erase all the elements we already considered from the new
+            //set of witnesses
+            setminus(Wnew,visited_points);
+            //Erase the neighbor vertex itself from the set of witnesses
+            W.erase(neighborit);
+            //Compute the new whole set of witnesses, that is add the
+            //remaining new ones to the old set of witnesses
+            setunion(W,Wnew);
+          } else {
+            DEBUGENDL(CHECK_ABOUT_VF_PAIRS,"Violation found. Not a feasible "
+                     <<"solution. Violated Point:",(*neighborit)->point());
+            //there is a violation, so do a break
+            feasible = false;
+            break;
+          }
+        } else {
+          DEBUGENDL(CHECK_ABOUT_VF_PAIRS,"Restriction E2 also satisfied by "
+                   <<"point:",(*neighborit)->point());
+          //There is no violating restriction according to the vertex n
+          //Erase it from the set of witnesses
+          W.erase(neighborit);
+        }
       } //end while(!W.empty())
-      
+
       //Now we can determine if we have a feasible solution or not. Because
       //the feasible flag can only be set to false during the while-loop
       //we can be sure of the feasibility of our solution (no witness found)
       //if feasible is false then we have found a witness that v is not an
-      //antipodal vertex. So we go on in the list of possible antipodal 
+      //antipodal vertex. So we go on in the list of possible antipodal
       //vertices otherwise.
       if (feasible == true) {
-	DEBUGMSG(CHECK_ABOUT_VF_PAIRS,"All witnesses checked. "
-		 <<"Update width and antipodal vertices. Return true");
-	apv.push_back(*vtxit);
+        DEBUGMSG(CHECK_ABOUT_VF_PAIRS,"All witnesses checked. "
+                 <<"Update width and antipodal vertices. Return true");
+        apv.push_back(*vtxit);
 #ifdef GCD_COMPUTATION
-	simplify_solution(a,b,c,d,k);
+        simplify_solution(a,b,c,d,k);
 #endif
-	update_width(a,b,c,d,k);
-	dao.set_antipodal_vertices(f,apv);
+        update_width(a,b,c,d,k);
+        dao.set_antipodal_vertices(f,apv);
 #ifdef VF_PAIR_OUTPUT
-	DEBUGENDL(VF_PAIR_OUTPUT,"Antipodal vertices of plane: ",
-		  f->plane());
-	typename std::vector<Vertex_handle_>::iterator cavfpit=apv.begin();
-	while(cavfpit!=apv.end()) {
-	  DEBUGENDL(VF_PAIR_OUTPUT,"Antipodal Vertex: ",
-		    (*cavfpit)->point());
-	  ++cavfpit;
-	}
+        DEBUGENDL(VF_PAIR_OUTPUT,"Antipodal vertices of plane: ",
+                  f->plane());
+        typename std::vector<Vertex_handle_>::iterator cavfpit=apv.begin();
+        while(cavfpit!=apv.end()) {
+          DEBUGENDL(VF_PAIR_OUTPUT,"Antipodal Vertex: ",
+                    (*cavfpit)->point());
+          ++cavfpit;
+        }
 #endif
-	DEBUGMSG(CHECK_ABOUT_VF_PAIRS,"End CHECK_ABOUT_VF_PAIRS");
-	return true;
+        DEBUGMSG(CHECK_ABOUT_VF_PAIRS,"End CHECK_ABOUT_VF_PAIRS");
+        return true;
       }
       ++vtxit;
     }//end while(vtxit!=V.end())
@@ -953,8 +953,8 @@ class Width_3 {
   // *** UPDATE_WIDTH ***
   //----------------------
   //This function we use to update the current best width. The old width is
-  //compared with a new provided one and the better solution will we taken 
-  //as the new width. This function also saves all the possible quadruples 
+  //compared with a new provided one and the better solution will we taken
+  //as the new width. This function also saves all the possible quadruples
   //to be the width of the point set.
   void update_width(RT& a, RT& b, RT& c, RT& d, RT& k) {
     //Update the list of all possible solutions
@@ -966,28 +966,28 @@ class Width_3 {
     sol.push_back(d);
     sol.push_back(k);
     allsolutions.push_back(sol);
-    
+
     //Compute the squared width provided by the new solution
     RT tocompareNum=(k-d)*(k-d);
     RT tocompareDenom=(a*a+b*b+c*c);
     DEBUGENDL(UPDATE_WIDTH,"New possible width: ",tocompareNum
-	      <<" / "<<tocompareDenom);
+              <<" / "<<tocompareDenom);
     //Compare with old width
     if (WNum*tocompareDenom >= tocompareNum*WDenom) {
       if (WNum*tocompareDenom > tocompareNum*WDenom){
-	DEBUGMSG(UPDATE_WIDTH,"Optimal width changes");
-	WNum=tocompareNum;
-	WDenom=tocompareDenom;
-	alloptimal.clear();
-	alloptimal.push_back(sol);
-	A=a;
-	B=b;
-	C=c;
-	D=d;
-	K=k;
+        DEBUGMSG(UPDATE_WIDTH,"Optimal width changes");
+        WNum=tocompareNum;
+        WDenom=tocompareDenom;
+        alloptimal.clear();
+        alloptimal.push_back(sol);
+        A=a;
+        B=b;
+        C=c;
+        D=d;
+        K=k;
       } else {
-	//now we have an additional optimal solution
-	alloptimal.push_back(sol);
+        //now we have an additional optimal solution
+        alloptimal.push_back(sol);
       }
     }//end if equal or better width
     DEBUGMSG(UPDATE_WIDTH,"End UPDATE_WIDTH");
@@ -997,21 +997,21 @@ class Width_3 {
   //------------------------
   //During the 3rd phase of the width-algorithm we have to rotate planes to
   //enumerate all possible edge-edge pairs. This rotating (in primal context)
-  //resp. tracking edges (in the dual context) is made by the following 
-  //function. The edge we rotate about is called e. To ensure only to 
-  //enumerate a pair once (...only going forward) we need a set of 
+  //resp. tracking edges (in the dual context) is made by the following
+  //function. The edge we rotate about is called e. To ensure only to
+  //enumerate a pair once (...only going forward) we need a set of
   //already visited vertices (Visited) and a set of vertices from that we know
   //they are antipodal to the first facet (V). In this function we don't
   //know the antipodal vertices of the second facet.
   template <class InputDA, class Halfedge_handle_, class Vertex_handle_>
     void EE_computation(InputDA,
-			Halfedge_handle_& e,
-			std::vector<Vertex_handle_>& V, 
-			std::vector<Vertex_handle_>& Visited,
-			std::vector<Vertex_handle_>& Nnew) {
+                        Halfedge_handle_& e,
+                        std::vector<Vertex_handle_>& V,
+                        std::vector<Vertex_handle_>& Visited,
+                        std::vector<Vertex_handle_>& Nnew) {
     DEBUGMSG(EE_COMPUTATION,"\nBegin EE_COMPUTATION");
     //Compute end points of e and two witnesses: Each in one of the two
-    //facets participating 
+    //facets participating
     Point_3 p,q;
     p=e->opposite()->vertex()->point();
     q=e->vertex()->point();
@@ -1023,7 +1023,7 @@ class Width_3 {
     typename std::vector<typename InputDA::Vertex_handle>
       ::iterator  vtxit=V.begin();
 
-    //Consider all the vertices in V. EE-pairs consist of p,q and the 
+    //Consider all the vertices in V. EE-pairs consist of p,q and the
     //vertex v in V and another neighbor vertex of v
     while(vtxit != V.end() ) {
       std::vector<typename InputDA::Vertex_handle> R;
@@ -1041,95 +1041,95 @@ class Width_3 {
       setminus(R,Visited);
 
       typename std::vector<typename InputDA::Vertex_handle>
-	::iterator rit=R.begin();
+        ::iterator rit=R.begin();
       //Now look at the modified set of neighbor vertices. For each neighbor r
       //we assume (p,q) and (v,r) to be an EE-pair and want then to find
       //witnesses that against this quadruple. If no such witness exist
-      //(p,q) and (v,r) are a legal EE-pair. In that case we break the 
+      //(p,q) and (v,r) are a legal EE-pair. In that case we break the
       //quest and update all the sets Visited Nnew and V. If we have considered
-      //all vertices v in V and all the respective r in R and if we have 
+      //all vertices v in V and all the respective r in R and if we have
       //not found a legal EE-pair, then an error occurs
       while (rit!=R.end()) {
-	RT a,b,c,d,k;
-	//It could be that the system is not uniquely solvable we only want to 
-	//enumerate proper solutions no degenerate ones
-	if(solve_4x4(InputDA(),p,q,(*rit)->point(),(*vtxit)->point(),
-			      a,b,c,d,k)){
-	  DEBUGMSG(EE_COMPUTATION,"Now we check if the provided "
-		   <<"solution is a feasible one.");
+        RT a,b,c,d,k;
+        //It could be that the system is not uniquely solvable we only want to
+        //enumerate proper solutions no degenerate ones
+        if(solve_4x4(InputDA(),p,q,(*rit)->point(),(*vtxit)->point(),
+                              a,b,c,d,k)){
+          DEBUGMSG(EE_COMPUTATION,"Now we check if the provided "
+                   <<"solution is a feasible one.");
 #if !(defined(CGAL_KERNEL_NO_ASSERTIONS) || defined(CGAL_NO_ASSERTIONS) \
   || (!defined(CGAL_KERNEL_CHECK_EXPENSIVE) && !defined(CGAL_CHECK_EXPENSIVE))\
   || defined(NDEBUG))
-	    RT px,py,pz,ph;
-	    tco.get_point_coordinates(p,px,py,pz,ph);
-	    CGAL_expensive_assertion(a*px+b*py+c*pz+k*ph>=0);
-	    CGAL_expensive_assertion(a*px+b*py+c*pz+d*ph<=0);
-	    tco.get_point_coordinates(q,px,py,pz,ph);
-	    CGAL_expensive_assertion(a*px+b*py+c*pz+k*ph>=0);
-	    CGAL_expensive_assertion(a*px+b*py+c*pz+d*ph<=0);
-	    tco.get_point_coordinates((*rit)->point(),px,py,pz,ph);
-	    CGAL_expensive_assertion(a*px+b*py+c*pz+k*ph>=0);
-	    CGAL_expensive_assertion(a*px+b*py+c*pz+d*ph<=0);
-	    tco.get_point_coordinates((*vtxit)->point(),px,py,pz,ph);
-	    CGAL_expensive_assertion(a*px+b*py+c*pz+k*ph>=0);
-	    CGAL_expensive_assertion(a*px+b*py+c*pz+d*ph<=0);
-	    DEBUGMSG(ASSERTION_OUTPUT,"All restrictions to the 4 points "
-		     <<"are satisfied. ASSERTION OK.");
-#endif
-	  if (check_feasibility(InputDA(),a,b,c,d,k,Witnesses)) {
-	    DEBUGMSG(EE_COMPUTATION,"Update Width and compute all "
-		     <<"active restrictions");
-	    //Therefore we update the width
-	    update_width(a,b,c,d,k);
-	    //The next region we consider (because we only go forward) 
-	    //contains (at least) r
-	    Nnew.push_back(*rit);
-
-	    //Now we look if we are in a special case, that is we look if
-	    //other restrictions according to  neighboring vertices of r 
-	    //are also active. If so Nnew is expanded we them.
-	    std::vector<typename InputDA::Vertex_handle> S;
-	    neighbors_of((*rit)->halfedge(),S);
-	    //Because we only go forward we exclude v from the neighbor set S
-	    std::vector<typename InputDA::Vertex_handle> vtemp;
-	    vtemp.push_back(*vtxit);
-	    setminus(S,vtemp);
-	    //The check of more than 4 active restrictions begins
-	    typename
-	      std::vector<typename InputDA::Vertex_handle>
-	      ::iterator sit; 
-	    while(!S.empty()) {
-	      sit=S.begin();
-	      RT sx,sy,sz,sh;
-	      tco.get_point_coordinates((*sit)->point(),sx,sy,sz,sh);
-	      if (a*sx+b*sy+c*sz+d*sh==0) {
-		//This special case occurs now. Thus we extend Nnew
-		Nnew.push_back(*sit);
-		//In the neighborhood of this new active vertex could
-		//also be other new active vertices but we are only interested
-		//in new ones
-		std::vector<typename InputDA::Vertex_handle> T;
-		neighbors_of((*sit)->halfedge(),T);
-		S.erase(sit);
-		setunion(S,T);
-		T.clear();
-		T.push_back(*vtxit);
-		setminus(S,T);
-		setminus(S,Nnew);
-	      } else {
-		//s is not active and we can erase it
-		S.erase(sit);
-	      }
-	    } //end while (!S.empty())
-	    //Since we have now enumerated all EE-pairs with the active 
-	    //restrictions according to p,q and v we can now leave
-	    //Nnew contains now all new active restrictions
-	    DEBUGMSG(EE_COMPUTATION,"End EE_COMPUTATION");
-	    return;
-	  } //end if (feasible)
-	}//end if(proper)
-	//Try next r
-	++rit;
+            RT px,py,pz,ph;
+            tco.get_point_coordinates(p,px,py,pz,ph);
+            CGAL_expensive_assertion(a*px+b*py+c*pz+k*ph>=0);
+            CGAL_expensive_assertion(a*px+b*py+c*pz+d*ph<=0);
+            tco.get_point_coordinates(q,px,py,pz,ph);
+            CGAL_expensive_assertion(a*px+b*py+c*pz+k*ph>=0);
+            CGAL_expensive_assertion(a*px+b*py+c*pz+d*ph<=0);
+            tco.get_point_coordinates((*rit)->point(),px,py,pz,ph);
+            CGAL_expensive_assertion(a*px+b*py+c*pz+k*ph>=0);
+            CGAL_expensive_assertion(a*px+b*py+c*pz+d*ph<=0);
+            tco.get_point_coordinates((*vtxit)->point(),px,py,pz,ph);
+            CGAL_expensive_assertion(a*px+b*py+c*pz+k*ph>=0);
+            CGAL_expensive_assertion(a*px+b*py+c*pz+d*ph<=0);
+            DEBUGMSG(ASSERTION_OUTPUT,"All restrictions to the 4 points "
+                     <<"are satisfied. ASSERTION OK.");
+#endif
+          if (check_feasibility(InputDA(),a,b,c,d,k,Witnesses)) {
+            DEBUGMSG(EE_COMPUTATION,"Update Width and compute all "
+                     <<"active restrictions");
+            //Therefore we update the width
+            update_width(a,b,c,d,k);
+            //The next region we consider (because we only go forward)
+            //contains (at least) r
+            Nnew.push_back(*rit);
+
+            //Now we look if we are in a special case, that is we look if
+            //other restrictions according to  neighboring vertices of r
+            //are also active. If so Nnew is expanded we them.
+            std::vector<typename InputDA::Vertex_handle> S;
+            neighbors_of((*rit)->halfedge(),S);
+            //Because we only go forward we exclude v from the neighbor set S
+            std::vector<typename InputDA::Vertex_handle> vtemp;
+            vtemp.push_back(*vtxit);
+            setminus(S,vtemp);
+            //The check of more than 4 active restrictions begins
+            typename
+              std::vector<typename InputDA::Vertex_handle>
+              ::iterator sit;
+            while(!S.empty()) {
+              sit=S.begin();
+              RT sx,sy,sz,sh;
+              tco.get_point_coordinates((*sit)->point(),sx,sy,sz,sh);
+              if (a*sx+b*sy+c*sz+d*sh==0) {
+                //This special case occurs now. Thus we extend Nnew
+                Nnew.push_back(*sit);
+                //In the neighborhood of this new active vertex could
+                //also be other new active vertices but we are only interested
+                //in new ones
+                std::vector<typename InputDA::Vertex_handle> T;
+                neighbors_of((*sit)->halfedge(),T);
+                S.erase(sit);
+                setunion(S,T);
+                T.clear();
+                T.push_back(*vtxit);
+                setminus(S,T);
+                setminus(S,Nnew);
+              } else {
+                //s is not active and we can erase it
+                S.erase(sit);
+              }
+            } //end while (!S.empty())
+            //Since we have now enumerated all EE-pairs with the active
+            //restrictions according to p,q and v we can now leave
+            //Nnew contains now all new active restrictions
+            DEBUGMSG(EE_COMPUTATION,"End EE_COMPUTATION");
+            return;
+          } //end if (feasible)
+        }//end if(proper)
+        //Try next r
+        ++rit;
       }//end while(!R.empty())
       //Try new v
       ++vtxit;
@@ -1137,17 +1137,17 @@ class Width_3 {
     //There must be a new EE-pair. If not, an error occurs
     std::cerr<<"No new EE-pair found!"<<std::endl;
     CGAL_error();
-  }  
-  
-  
+  }
+
+
   // *** EE_PAIRS ***
   //------------------------
   //This function is similar to EE_computation. The difference is that now
-  //we know the antipodal vertices of BOTH participating facets 
+  //we know the antipodal vertices of BOTH participating facets
   template <class InputDA, class Halfedge_handle_>
     void EE_pairs(InputDA& dao,
-		  Halfedge_handle_& e,
-		  std::vector<Halfedge_handle_>& impassable) {
+                  Halfedge_handle_& e,
+                  std::vector<Halfedge_handle_>& impassable) {
     DEBUGMSG(EE_PAIRS,"\nBegin EE_PAIRS");
     Point_3 p,q;
     p=e->opposite()->vertex()->point();
@@ -1167,61 +1167,61 @@ class Width_3 {
     while (!setcut(V,V2)) {
       do_break = false;
       typename std::vector<typename InputDA::Vertex_handle>
-	::iterator  vtxit=V.begin();
+        ::iterator  vtxit=V.begin();
       std::vector<typename InputDA::Vertex_handle> R;
       while (vtxit!=V.end()) {
-	neighbors_of((*vtxit)->halfedge(),R);
-	std::vector<typename InputDA::Vertex_handle> Witnesses;
-	Witnesses.push_back(w1);
-	Witnesses.push_back(w2);
-	setunion(Witnesses,R);
-	setminus(R,V);
-	setminus(R,Visited);
-	typename std::vector<typename InputDA::Vertex_handle>
-	  ::iterator  rit=R.begin();
-	while (rit!=R.end()) {
-	  RT a,b,c,d,k;
-	  //It could be that the system is not uniquely solvable we only want 
-	  //to enumerate proper solutions no degenerate ones
-	  if(solve_4x4(InputDA(),p,q,(*rit)->point(),(*vtxit)->point(),
-				a,b,c,d,k)){
-	    if (check_feasibility(InputDA(),a,b,c,d,k,Witnesses)) {
-	      update_width(a,b,c,d,k);
-	      N.push_back(*rit);
-	      std::vector<typename InputDA::Vertex_handle> S;
-	      neighbors_of((*rit)->halfedge(),S);
-	      setminus(S,V);
-	      typename 
-		std::vector<typename InputDA::Vertex_handle>
-		::iterator sit; 
-	      while(!S.empty()) {
-		sit=S.begin();
-		RT sx,sy,sz,sh;
-		tco.get_point_coordinates((*sit)->point(),sx,sy,sz,sh);
-		if (a*sx+b*sy+c*sz+d*sh== 0) {
-		  N.push_back(*sit);
-		  std::vector<typename InputDA::Vertex_handle>
-		    T;
-		  neighbors_of((*sit)->halfedge(),T);
-		  S.erase(sit);
-		  setunion(S,T);
-		  T.clear();
-		  T.push_back(*vtxit);
-		  setminus(S,T);
-		  setminus(S,N);
-		} else {
-		  S.erase(sit);
-		}
-	      }//end while (!S.empty())
-	      do_break=true;
-	      break;
-	    }//if (feasible)
-	  }//if(proper)
-	  ++rit;
-	}//end while(!R.empty())
-	if (do_break == true) 
-	  break;
-	++vtxit;
+        neighbors_of((*vtxit)->halfedge(),R);
+        std::vector<typename InputDA::Vertex_handle> Witnesses;
+        Witnesses.push_back(w1);
+        Witnesses.push_back(w2);
+        setunion(Witnesses,R);
+        setminus(R,V);
+        setminus(R,Visited);
+        typename std::vector<typename InputDA::Vertex_handle>
+          ::iterator  rit=R.begin();
+        while (rit!=R.end()) {
+          RT a,b,c,d,k;
+          //It could be that the system is not uniquely solvable we only want
+          //to enumerate proper solutions no degenerate ones
+          if(solve_4x4(InputDA(),p,q,(*rit)->point(),(*vtxit)->point(),
+                                a,b,c,d,k)){
+            if (check_feasibility(InputDA(),a,b,c,d,k,Witnesses)) {
+              update_width(a,b,c,d,k);
+              N.push_back(*rit);
+              std::vector<typename InputDA::Vertex_handle> S;
+              neighbors_of((*rit)->halfedge(),S);
+              setminus(S,V);
+              typename
+                std::vector<typename InputDA::Vertex_handle>
+                ::iterator sit;
+              while(!S.empty()) {
+                sit=S.begin();
+                RT sx,sy,sz,sh;
+                tco.get_point_coordinates((*sit)->point(),sx,sy,sz,sh);
+                if (a*sx+b*sy+c*sz+d*sh== 0) {
+                  N.push_back(*sit);
+                  std::vector<typename InputDA::Vertex_handle>
+                    T;
+                  neighbors_of((*sit)->halfedge(),T);
+                  S.erase(sit);
+                  setunion(S,T);
+                  T.clear();
+                  T.push_back(*vtxit);
+                  setminus(S,T);
+                  setminus(S,N);
+                } else {
+                  S.erase(sit);
+                }
+              }//end while (!S.empty())
+              do_break=true;
+              break;
+            }//if (feasible)
+          }//if(proper)
+          ++rit;
+        }//end while(!R.empty())
+        if (do_break == true)
+          break;
+        ++vtxit;
       }//end while(!V.end())
       setunion(Visited,V);
       V=N;
@@ -1229,22 +1229,22 @@ class Width_3 {
     impassable.pop_back();
     //Go on with next edge
     DEBUGMSG(EE_PAIRS,"End EE_PAIRS");
-  }  
+  }
 
 
   // *** ORIGIN_INSIDE_CH ***
   //-------------------------
   // To ensure that zero lies completly inside the convex hull of a point set.
   // Returns true if the point set is not coplanar, false otherwise
-  // PRECONDITION: Iterator range has at least 3 points 
+  // PRECONDITION: Iterator range has at least 3 points
   template<class InputDA, class Vertex_iterator_>
     bool origin_inside_CH(Vertex_iterator_& start,
-			  Vertex_iterator_& beyond, 
-			  InputDA){
+                          Vertex_iterator_& beyond,
+                          InputDA){
     DEBUGMSG(ORIGIN_INSIDE_CH,"\nBegin ORIGIN_INSIDE_CH");
     typename InputDA::Vertex_iterator first=start;
-    //Take 4 points that build a tetrahedron. This tetrahedron is also 
-    //contained in the convex hull of the points. Thus every point 
+    //Take 4 points that build a tetrahedron. This tetrahedron is also
+    //contained in the convex hull of the points. Thus every point
     //in/on this tetrahedron is a valable point for a new origin
     typename InputDA::PolyPoint p,q,r,s;
     p=(*first).point();
@@ -1266,13 +1266,13 @@ class Width_3 {
 #ifdef GCD_COMPUTATION
     RT dummy=0;
     DEBUGENDL(ORIGIN_INSIDE_CH,"Solution of 3x3 (before GCD "
-	      <<"computation):\n",tmpa<<std::endl
-	      <<tmpb<<std::endl<<tmpc<<std::endl<<tmpk<<std::endl); 
+              <<"computation):\n",tmpa<<std::endl
+              <<tmpb<<std::endl<<tmpc<<std::endl<<tmpk<<std::endl);
     simplify_solution(tmpa,tmpb,tmpc,tmpk,dummy);
 #endif
     if (first==beyond) {
       DEBUGMSG(ORIGIN_INSIDE_CH,"3 coplanar Points. Computed plane through "
-	       <<"these points. Width=0.");
+               <<"these points. Width=0.");
       WNum=0;
       WDenom=1;
       A=tmpa;
@@ -1280,7 +1280,7 @@ class Width_3 {
       C=tmpc;
       K=tmpk;
       DEBUGENDL(ORIGIN_INSIDE_CH,"Solution of 3x3:\n",A<<std::endl
-		<<B<<std::endl<<C<<std::endl<<K<<std::endl); 
+                <<B<<std::endl<<C<<std::endl<<K<<std::endl);
       D=K;
       std::vector <RT> sol;
       sol.push_back(A);
@@ -1298,76 +1298,76 @@ class Width_3 {
       tco.get_point_coordinates(s,sx,sy,sz,sh);
       //Ensure that the 4 points are not coplanar. If so take another 4th point
       while (tmpa*sx+tmpb*sy+tmpc*sz+tmpk*sh==0 && first!=beyond) {
-	s=(*first).point();
-	tco.get_point_coordinates(s,sx,sy,sz,sh);
-	++first;
+        s=(*first).point();
+        tco.get_point_coordinates(s,sx,sy,sz,sh);
+        ++first;
       }
       //If we could not find a valable 4th point, then the set of the points
-      //is coplanar. Therefore the width is zero and we can terminate the 
+      //is coplanar. Therefore the width is zero and we can terminate the
       //algorithm
       if (tmpa*sx+tmpb*sy+tmpc*sz+tmpk*sh==0) {
-	DEBUGMSG(ORIGIN_INSIDE_CH,"n coplanar Points. Compute plane through "
-		 <<"these points. Width=0.");
-	WNum=0;
-	WDenom=1;
-	A=tmpa;
-	B=tmpb;
-	C=tmpc;
-	K=tmpk;
-	DEBUGENDL(ORIGIN_INSIDE_CH,"Solution of 3x3:\n",A<<std::endl
-		  <<B<<std::endl<<C<<std::endl<<K<<std::endl); 
-	D=K;
-	std::vector <RT> sol;
-	sol.push_back(A);
-	sol.push_back(B);
-	sol.push_back(C);
-	sol.push_back(D);
-	sol.push_back(K);
-	allsolutions.push_back(sol);
-	alloptimal.push_back(sol);
-	DEBUGMSG(ORIGIN_INSIDE_CH,"End ORIGIN_INSIDE_CH");
-	return false;
+        DEBUGMSG(ORIGIN_INSIDE_CH,"n coplanar Points. Compute plane through "
+                 <<"these points. Width=0.");
+        WNum=0;
+        WDenom=1;
+        A=tmpa;
+        B=tmpb;
+        C=tmpc;
+        K=tmpk;
+        DEBUGENDL(ORIGIN_INSIDE_CH,"Solution of 3x3:\n",A<<std::endl
+                  <<B<<std::endl<<C<<std::endl<<K<<std::endl);
+        D=K;
+        std::vector <RT> sol;
+        sol.push_back(A);
+        sol.push_back(B);
+        sol.push_back(C);
+        sol.push_back(D);
+        sol.push_back(K);
+        allsolutions.push_back(sol);
+        alloptimal.push_back(sol);
+        DEBUGMSG(ORIGIN_INSIDE_CH,"End ORIGIN_INSIDE_CH");
+        return false;
       } else {
-	//Take center of tetrahedron pqrs
-	RT ux,uy,uz,uh,vx,vy,vz,vh,nox,noy,noz,noh;
-	ux=px*qh+ph*qx;
-	vx=rx*sh+rh*sx;
-	uy=py*qh+ph*qy;
-	vy=ry*sh+rh*sy;
-	uz=pz*qh+ph*qz;
-	vz=rz*sh+rh*sz;
-	uh=RT(2)*ph*qh;
-	vh=RT(2)*rh*sh;
-	nox=ux*vh+uh*vx;
-	noy=uy*vh+uh*vy;
-	noz=uz*vh+uh*vz;
-	noh=RT(2)*uh*vh;
-	neworigin=tco.make_point(nox,noy,noz,noh);
-	CGAL_assertion(noh!=0);
-	DEBUGENDL(ORIGIN_INSIDE_CH,"New Origin: ",neworigin);
-	//Translate all the points
-	first=start;
-	while(first!=beyond) {
-	  typename InputDA::PolyPoint tmp=(*first).point();
-	  RT tmpx,tmpy,tmpz,tmph;
-	  tco.get_point_coordinates(tmp,tmpx,tmpy,tmpz,tmph);
-	  RT newx,newy,newz,newh;
-	  newx=tmpx*noh-tmph*nox;
-	  newy=tmpy*noh-tmph*noy;
-	  newz=tmpz*noh-tmph*noz;
-	  newh=tmph*noh;
-	  DEBUGENDL(ORIGIN_INSIDE_CH,"Old Point: ",(*first).point());
+        //Take center of tetrahedron pqrs
+        RT ux,uy,uz,uh,vx,vy,vz,vh,nox,noy,noz,noh;
+        ux=px*qh+ph*qx;
+        vx=rx*sh+rh*sx;
+        uy=py*qh+ph*qy;
+        vy=ry*sh+rh*sy;
+        uz=pz*qh+ph*qz;
+        vz=rz*sh+rh*sz;
+        uh=RT(2)*ph*qh;
+        vh=RT(2)*rh*sh;
+        nox=ux*vh+uh*vx;
+        noy=uy*vh+uh*vy;
+        noz=uz*vh+uh*vz;
+        noh=RT(2)*uh*vh;
+        neworigin=tco.make_point(nox,noy,noz,noh);
+        CGAL_assertion(noh!=0);
+        DEBUGENDL(ORIGIN_INSIDE_CH,"New Origin: ",neworigin);
+        //Translate all the points
+        first=start;
+        while(first!=beyond) {
+          typename InputDA::PolyPoint tmp=(*first).point();
+          RT tmpx,tmpy,tmpz,tmph;
+          tco.get_point_coordinates(tmp,tmpx,tmpy,tmpz,tmph);
+          RT newx,newy,newz,newh;
+          newx=tmpx*noh-tmph*nox;
+          newy=tmpy*noh-tmph*noy;
+          newz=tmpz*noh-tmph*noz;
+          newh=tmph*noh;
+          DEBUGENDL(ORIGIN_INSIDE_CH,"Old Point: ",(*first).point());
 #ifdef GCD_COMPUTATION
-	  RT dummy=0;
-	  simplify_solution(newx,newy,newz,newh,dummy);
-#endif	
-	  (*first).point()=tco.make_point(newx,newy,newz,newh);
-	  DEBUGENDL(ORIGIN_INSIDE_CH,"New Point: ",(*first).point());
-	  ++first;
-	}
-	DEBUGMSG(ORIGIN_INSIDE_CH,"Zero now inside polyhedron.");
-	DEBUGMSG(ORIGIN_INSIDE_CH,"End ORIGIN_INSIDE_CH");
-	return true;
+          RT dummy=0;
+          simplify_solution(newx,newy,newz,newh,dummy);
+#endif
+          (*first).point()=tco.make_point(newx,newy,newz,newh);
+          DEBUGENDL(ORIGIN_INSIDE_CH,"New Point: ",(*first).point());
+          ++first;
+        }
+        DEBUGMSG(ORIGIN_INSIDE_CH,"Zero now inside polyhedron.");
+        DEBUGMSG(ORIGIN_INSIDE_CH,"End ORIGIN_INSIDE_CH");
+        return true;
       }
     }
   }
@@ -1394,87 +1394,87 @@ class Width_3 {
     //Begin with Phase 2
     if (origin_inside_CH(first,beyond,DA())) {
       DEBUGMSG(WIDTH_3_CONVEX,"Origin is now Inside the Polyhedron. "
-	       <<std::endl
-	       <<"And polyhedron has at least 4 not coplanar vertices");
+               <<std::endl
+               <<"And polyhedron has at least 4 not coplanar vertices");
 
       DA dao;
       std::vector<Halfedge_handle> go_on;
       std::vector<Halfedge_handle> impassable;
 
-      //Ensure that the plane equations are determined because of the 
+      //Ensure that the plane equations are determined because of the
       //compare operator in DA
       Facet_handle feq=P.facets_begin();
       while(feq!=P.facets_end()) {
-	compute_plane_equation(DA(),feq);
-	++feq;
+        compute_plane_equation(DA(),feq);
+        ++feq;
       }
       DEBUGMSG(WIDTH_3_CONVEX,"All plane equations of all facets computed.");
 
       //ensure all flags are false
 #if !(defined(CGAL_KERNEL_NO_ASSERTIONS) || defined(CGAL_NO_ASSERTIONS) \
       || defined(NDEBUG))
-	int halfedgecount=0;
+        int halfedgecount=0;
 #endif
-	Halfedge_handle esf=P.halfedges_begin();
-	while(esf!=P.halfedges_end()) {
+        Halfedge_handle esf=P.halfedges_begin();
+        while(esf!=P.halfedges_end()) {
 #if !(defined(CGAL_KERNEL_NO_ASSERTIONS) || defined(CGAL_NO_ASSERTIONS) \
       || defined(NDEBUG))
           ++halfedgecount;
 #endif
-	  DEBUGENDL(EDGE_INITIALIZING,"Edge e: "
-		    <<esf->opposite()->vertex()->point()
-		    <<" --> ",esf->vertex()->point());
-	  dao.set_visited_flag(esf,false);
-	  dao.set_impassable_flag(esf,false);
-	  ++esf;
-	}
-      
+          DEBUGENDL(EDGE_INITIALIZING,"Edge e: "
+                    <<esf->opposite()->vertex()->point()
+                    <<" --> ",esf->vertex()->point());
+          dao.set_visited_flag(esf,false);
+          dao.set_impassable_flag(esf,false);
+          ++esf;
+        }
+
 #if !(defined(CGAL_KERNEL_NO_ASSERTIONS) || defined(CGAL_NO_ASSERTIONS) \
       || defined(NDEBUG))
       CGAL_assertion(int(P.size_of_halfedges())==halfedgecount);
       DEBUGENDL(WIDTH_3_CONVEX,"Visited all ",halfedgecount
-		<<" halfedges. ASSERTION OK.");
+                <<" halfedges. ASSERTION OK.");
       CGAL_assertion(dao.size_of_visited()==halfedgecount);
       CGAL_assertion(dao.size_of_impassable()==halfedgecount);
       DEBUGMSG(WIDTH_3_CONVEX,"Map sizes of visited and impassable "
-	       <<"halfedges are correct. ASSERTION OK.");
+               <<"halfedges are correct. ASSERTION OK.");
 #endif
       DEBUGMSG(WIDTH_3_CONVEX,"All flags set to false.");
 
-      //Now begin with the main enumeration 
+      //Now begin with the main enumeration
       Facet_handle f = P.facets_begin();
       initial_VF_pair(dao,f,P,go_on);
 
 #if !(defined(CGAL_KERNEL_NO_ASSERTIONS) || defined(CGAL_NO_ASSERTIONS) \
   || (!defined(CGAL_KERNEL_CHECK_EXPENSIVE) && !defined(CGAL_CHECK_EXPENSIVE))\
   || defined(NDEBUG))
-	Vertex_iterator vtxass=P.vertices_begin();
-	while(vtxass!=P.vertices_end()) {
-	  RT px,py,pz,ph;
-	  tco.get_point_coordinates(vtxass->point(),px,py,pz,ph);
-	  CGAL_expensive_assertion(A*px+B*py+C*pz+K*ph>=0);
-	  CGAL_expensive_assertion(A*px+B*py+C*pz+D*ph<=0);
-	  ++vtxass;
-	}
-	//Assert that the initial facet has antipodal vertices
-	//and that all incident edges are visited (flag=true) but
-	//that the impassable flag is not set yet.
-	std::vector<Vertex_handle> avass;
-	dao.get_antipodal_vertices(f,avass);
-	DEBUGENDL(ASSERTION_OUTPUT,"Size of avass: ",avass.size());
-	CGAL_expensive_assertion(avass.size()!=0);
-	Halfedge_handle eass=f->halfedge();
-	Halfedge_handle eass0=eass;
-	CGAL_expensive_assertion(dao.is_visited(eass));
-	CGAL_expensive_assertion(!dao.is_impassable(eass));
-	eass=eass->next();
-	while (eass != eass0) {
-	  CGAL_expensive_assertion(dao.is_visited(eass));
-	  CGAL_expensive_assertion(!dao.is_impassable(eass));
-	  eass=eass->next();
-	}
-	DEBUGMSG(ASSERTION_OUTPUT,"All edges of the first initial facet "
-		 <<"has a visited flag.");
+        Vertex_iterator vtxass=P.vertices_begin();
+        while(vtxass!=P.vertices_end()) {
+          RT px,py,pz,ph;
+          tco.get_point_coordinates(vtxass->point(),px,py,pz,ph);
+          CGAL_expensive_assertion(A*px+B*py+C*pz+K*ph>=0);
+          CGAL_expensive_assertion(A*px+B*py+C*pz+D*ph<=0);
+          ++vtxass;
+        }
+        //Assert that the initial facet has antipodal vertices
+        //and that all incident edges are visited (flag=true) but
+        //that the impassable flag is not set yet.
+        std::vector<Vertex_handle> avass;
+        dao.get_antipodal_vertices(f,avass);
+        DEBUGENDL(ASSERTION_OUTPUT,"Size of avass: ",avass.size());
+        CGAL_expensive_assertion(avass.size()!=0);
+        Halfedge_handle eass=f->halfedge();
+        Halfedge_handle eass0=eass;
+        CGAL_expensive_assertion(dao.is_visited(eass));
+        CGAL_expensive_assertion(!dao.is_impassable(eass));
+        eass=eass->next();
+        while (eass != eass0) {
+          CGAL_expensive_assertion(dao.is_visited(eass));
+          CGAL_expensive_assertion(!dao.is_impassable(eass));
+          eass=eass->next();
+        }
+        DEBUGMSG(ASSERTION_OUTPUT,"All edges of the first initial facet "
+                 <<"has a visited flag.");
 #endif
       // Begin Phase 3
       Facet_handle fnext;
@@ -1482,87 +1482,87 @@ class Width_3 {
       std::vector<Vertex_handle> Visited;
       std::vector<Vertex_handle> N;
       std::vector<Vertex_handle> Nnew;
-      
-      //While there still exist an edge we can rotate an incident facet with 
-      //known antipodal vertices in the other facet with unknown antipodal 
+
+      //While there still exist an edge we can rotate an incident facet with
+      //known antipodal vertices in the other facet with unknown antipodal
       //vertices then do this rotation
       while ( !go_on.empty()) {
-	DEBUGENDL(WIDTH_3_CONVEX,"Size of go_on: ",go_on.size());
+        DEBUGENDL(WIDTH_3_CONVEX,"Size of go_on: ",go_on.size());
 #ifdef GO_ON_OUTPUT
-	DEBUGMSG(GO_ON_OUTPUT,"Edges on stack go_on:");
-	typename std::vector<Halfedge_handle>::iterator 
-	  goonit=go_on.begin();
-	while(goonit!=go_on.end()) {
-	  DEBUGENDL(GO_ON_OUTPUT,"Edge: ",
-		    (*goonit)->opposite()->vertex()->point()<<" --> "
-		    <<(*goonit)->vertex()->point());
-	  ++goonit;
-	}
-#endif
-	//Take last edge on stack go_on
-	e=go_on.back();
-	//Check if e is a proper edge or not. If so determine fnext
-	if (preparation_check(dao,e,fnext,go_on,impassable)) {
-	  DEBUGMSG(WIDTH_3_CONVEX,"Preparation Check successful");
-	  //f is the facet of which we know the antipodal vertices
-	  f=e->facet();
-	  Visited.clear();
-	  dao.get_antipodal_vertices(f,N);
-	  CGAL_assertion (!N.empty());
-	  DEBUGMSG(ASSERTION_OUTPUT,"f has some antipodal vertices. Assertion "
-		   <<"successful.");
-	  while(!check_about_VF_pairs(dao,fnext,N)) {
-	    DEBUGMSG(WIDTH_3_CONVEX,"No new VF-pair. Continue (Begin) "
-		     <<"rotation of the planes.");
-	    EE_computation(DA(),e,N,Visited,Nnew);
-	    DEBUGMSG(WIDTH_3_CONVEX,"Planes have been rotated. Check now "
-		     <<"for a new VF-pair");
-	    setunion(Visited,N);
-	    N=Nnew;
-	  }
-	}
+        DEBUGMSG(GO_ON_OUTPUT,"Edges on stack go_on:");
+        typename std::vector<Halfedge_handle>::iterator
+          goonit=go_on.begin();
+        while(goonit!=go_on.end()) {
+          DEBUGENDL(GO_ON_OUTPUT,"Edge: ",
+                    (*goonit)->opposite()->vertex()->point()<<" --> "
+                    <<(*goonit)->vertex()->point());
+          ++goonit;
+        }
+#endif
+        //Take last edge on stack go_on
+        e=go_on.back();
+        //Check if e is a proper edge or not. If so determine fnext
+        if (preparation_check(dao,e,fnext,go_on,impassable)) {
+          DEBUGMSG(WIDTH_3_CONVEX,"Preparation Check successful");
+          //f is the facet of which we know the antipodal vertices
+          f=e->facet();
+          Visited.clear();
+          dao.get_antipodal_vertices(f,N);
+          CGAL_assertion (!N.empty());
+          DEBUGMSG(ASSERTION_OUTPUT,"f has some antipodal vertices. Assertion "
+                   <<"successful.");
+          while(!check_about_VF_pairs(dao,fnext,N)) {
+            DEBUGMSG(WIDTH_3_CONVEX,"No new VF-pair. Continue (Begin) "
+                     <<"rotation of the planes.");
+            EE_computation(DA(),e,N,Visited,Nnew);
+            DEBUGMSG(WIDTH_3_CONVEX,"Planes have been rotated. Check now "
+                     <<"for a new VF-pair");
+            setunion(Visited,N);
+            N=Nnew;
+          }
+        }
       }
 #if !(defined(CGAL_KERNEL_NO_ASSERTIONS) || defined(CGAL_NO_ASSERTIONS) \
   || (!defined(CGAL_KERNEL_CHECK_EXPENSIVE) && !defined(CGAL_CHECK_EXPENSIVE))\
   || defined(NDEBUG))
       Facet_handle fass=P.facets_begin();
       while(fass!=P.facets_end()) {
-	std::vector<Vertex_handle> apvass;
-	dao.get_antipodal_vertices(fass,apvass);
-	DEBUGENDL(ASSERTION,"Current checking facet: ",fass->plane());
-	CGAL_assertion(!apvass.empty());
-	++fass;
+        std::vector<Vertex_handle> apvass;
+        dao.get_antipodal_vertices(fass,apvass);
+        DEBUGENDL(ASSERTION,"Current checking facet: ",fass->plane());
+        CGAL_assertion(!apvass.empty());
+        ++fass;
       }
       DEBUGMSG(ASSERTION,"All facets have antipodal vertices. "
-	       <<"ASSERTION OK.");
+               <<"ASSERTION OK.");
       Facet_handle fec = P.facets_begin();
       std::vector<Halfedge_handle> fakego_on;
       DA daoec;
       while(fec!=P.facets_end()) {
-	std::vector<Vertex_handle> avec;
-	std::vector<Vertex_handle> avivf;
-	initial_VF_pair(daoec,fec,P,fakego_on);
-	daoec.get_antipodal_vertices(fec,avec);
-	dao.get_antipodal_vertices(fec,avivf);
-	CGAL_assertion(int(avivf.size())==int(avec.size()));
-	CGAL_assertion(int(avec.size())>0);
-	DEBUGENDL(EXPENSIVE_CHECKS_OUTPUT,"Antipodal vertices of facet: ("
-		  <<fec->halfedge()->opposite()->vertex()->point()
-		  <<"), (",fec->halfedge()->vertex()->point()<<"), ("
-		  <<fec->halfedge()->next()->vertex()->point()<<")");
-	std::vector<Vertex_handle>::iterator vtxit=avec.begin();
-	while(vtxit!=avec.end()) {
-	  std::vector<Vertex_handle>::iterator it;
-	  it=std::find(avivf.begin(),avivf.end(),*vtxit);
-	  CGAL_assertion(it!=avivf.end());
-	  DEBUGENDL(EXPENSIVE_CHECKS_OUTPUT,"Antipodal vertex: ",
-		    (*vtxit)->point());
-	  ++vtxit;
-	}
-	++fec;
+        std::vector<Vertex_handle> avec;
+        std::vector<Vertex_handle> avivf;
+        initial_VF_pair(daoec,fec,P,fakego_on);
+        daoec.get_antipodal_vertices(fec,avec);
+        dao.get_antipodal_vertices(fec,avivf);
+        CGAL_assertion(int(avivf.size())==int(avec.size()));
+        CGAL_assertion(int(avec.size())>0);
+        DEBUGENDL(EXPENSIVE_CHECKS_OUTPUT,"Antipodal vertices of facet: ("
+                  <<fec->halfedge()->opposite()->vertex()->point()
+                  <<"), (",fec->halfedge()->vertex()->point()<<"), ("
+                  <<fec->halfedge()->next()->vertex()->point()<<")");
+        std::vector<Vertex_handle>::iterator vtxit=avec.begin();
+        while(vtxit!=avec.end()) {
+          std::vector<Vertex_handle>::iterator it;
+          it=std::find(avivf.begin(),avivf.end(),*vtxit);
+          CGAL_assertion(it!=avivf.end());
+          DEBUGENDL(EXPENSIVE_CHECKS_OUTPUT,"Antipodal vertex: ",
+                    (*vtxit)->point());
+          ++vtxit;
+        }
+        ++fec;
       }
       DEBUGMSG(EXPENSIVE_CHECKS_OUTPUT,"All VF-pairs verified. "
-	       <<"Expensive Check successful.");
+               <<"Expensive Check successful.");
 //
 //    This assertion should not currently be true since the convex hull
 //    polyhedron is triangulated;  no postprocessing is done to merge coplanar
@@ -1574,15 +1574,15 @@ class Width_3 {
       //Begin with phase 4. As long as the set of impassable edges is not empty
       //rotate one of the planes into the other sharing the impassable edge
       while(!impassable.empty()) {
-	//Take top edge on stack impassable
-	e=impassable.back();
-	EE_pairs(dao,e,impassable);
-	//In EE_pairs the top element will be removed
+        //Take top edge on stack impassable
+        e=impassable.back();
+        EE_pairs(dao,e,impassable);
+        //In EE_pairs the top element will be removed
       }
     }
     DEBUGMSG(WIDTH_3_CONVEX,"Width computed.");
   }
-};  
+};
 
 } //namespace CGAL
 
diff -pruN 5.0.2-3/include/CGAL/width_assertions.h 5.0.3-1/include/CGAL/width_assertions.h
--- 5.0.2-3/include/CGAL/width_assertions.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/width_assertions.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polytope_distance_d/include/CGAL/width_assertions.h $
-// $Id: width_assertions.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polytope_distance_d/include/CGAL/width_assertions.h $
+// $Id: width_assertions.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Thomas Herrmann
 
@@ -21,7 +21,7 @@
 
 #ifdef DEBUG
 
-//Turn assertion output on/off 
+//Turn assertion output on/off
 #define ASSERTION_OUTPUT 0
 #define EXPENSIVE_CHECKS_OUTPUT 0
 
diff -pruN 5.0.2-3/include/CGAL/Width_default_traits_3.h 5.0.3-1/include/CGAL/Width_default_traits_3.h
--- 5.0.2-3/include/CGAL/Width_default_traits_3.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Width_default_traits_3.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polytope_distance_d/include/CGAL/Width_default_traits_3.h $
-// $Id: Width_default_traits_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polytope_distance_d/include/CGAL/Width_default_traits_3.h $
+// $Id: Width_default_traits_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Thomas Herrmann, Lutz Kettner
 
@@ -34,7 +34,7 @@ public:
     RT get_hy( const Point_3& p) const { return p.hy(); }
     RT get_hz( const Point_3& p) const { return p.hz(); }
     RT get_hw( const Point_3& p) const { return p.hw(); }
-    void get_point_coordinates( const Point_3& p, 
+    void get_point_coordinates( const Point_3& p,
                                 RT& px, RT& py, RT& pz, RT& ph) const {
         px = get_hx(p);
         py = get_hy(p);
@@ -45,19 +45,19 @@ public:
     RT get_b( const Plane_3& f) const { return f.b(); }
     RT get_c( const Plane_3& f) const { return f.c(); }
     RT get_d( const Plane_3& f) const { return f.d(); }
-    void get_plane_coefficients( const Plane_3& f, 
+    void get_plane_coefficients( const Plane_3& f,
                                  RT& a, RT& b, RT& c, RT& d) const {
         a = get_a(f);
         b = get_b(f);
         c = get_c(f);
         d = get_d(f);
     }
-    
-    Point_3 make_point( const RT& hx, const RT& hy, 
+
+    Point_3 make_point( const RT& hx, const RT& hy,
                         const RT& hz, const RT& hw) const  {
         return Point_3(hx,hy,hz,hw);
     }
-    Plane_3 make_plane( const RT& a, const RT& b, 
+    Plane_3 make_plane( const RT& a, const RT& b,
                         const RT& c, const RT& d) const {
         return Plane_3(a,b,c,d);
     }
diff -pruN 5.0.2-3/include/CGAL/Width_polyhedron_3.h 5.0.3-1/include/CGAL/Width_polyhedron_3.h
--- 5.0.2-3/include/CGAL/Width_polyhedron_3.h	2020-02-21 20:04:08.000000000 +0000
+++ 5.0.3-1/include/CGAL/Width_polyhedron_3.h	2020-08-01 19:02:46.000000000 +0000
@@ -3,10 +3,10 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Polytope_distance_d/include/CGAL/Width_polyhedron_3.h $
-// $Id: Width_polyhedron_3.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Polytope_distance_d/include/CGAL/Width_polyhedron_3.h $
+// $Id: Width_polyhedron_3.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Thomas Herrmann, Lutz Kettner
 
@@ -28,8 +28,8 @@ namespace CGAL {
 
 
 template <class Refs, class Traits>
-class Width_vertex_default_base 
-    : public CGAL::HalfedgeDS_vertex_base< 
+class Width_vertex_default_base
+    : public CGAL::HalfedgeDS_vertex_base<
         Refs, Tag_true, typename Traits::Point_3> {
 private:
     typedef Traits          WT;
@@ -89,25 +89,25 @@ class Data_access {
  private:
   //Precondition: Plane Equation already computed in a deterministic way
   struct Facet_compare {
-    bool operator()(Facet_const_handle f, 
-		    Facet_const_handle g) const {
+    bool operator()(Facet_const_handle f,
+                    Facet_const_handle g) const {
       Width_Traits tco;
       Plane fpp=f->plane();
       Plane gpp=g->plane();
       RT fa,fb,fc,fd,ga,gb,gc,gd;
       tco.get_plane_coefficients(fpp,fa,fb,fc,fd);
       tco.get_plane_coefficients(gpp,ga,gb,gc,gd);
-      return fa<ga 
-	      || ( fa==ga && fb<gb )
-	      || ( fa==ga && fb==gb && fc<gc )
-	      || ( fa==ga && fb==gb && fc==gc && fd<gd );
+      return fa<ga
+              || ( fa==ga && fb<gb )
+              || ( fa==ga && fb==gb && fc<gc )
+              || ( fa==ga && fb==gb && fc==gc && fd<gd );
     }
   };
   //Precondition: Plane Equation already computed in a deterministic way
-  //and a facet is bounded by exactly 3 edges! 
+  //and a facet is bounded by exactly 3 edges!
   struct Halfedge_compare {
-    bool operator()(Halfedge_const_handle e, 
-		    Halfedge_const_handle h) const {
+    bool operator()(Halfedge_const_handle e,
+                    Halfedge_const_handle h) const {
       Width_Traits tco;
       PolyPoint etail=e->opposite()->vertex()->point();
       PolyPoint ehead=e->vertex()->point();
@@ -119,75 +119,75 @@ class Data_access {
       RT htx,hty,htz,hth,hhx,hhy,hhz,hhh;
       tco.get_point_coordinates(htail,htx,hty,htz,hth);
       tco.get_point_coordinates(hhead,hhx,hhy,hhz,hhh);
-      
+
       return (etx*hth <htx*eth ||
-	      ( etx*hth==htx*eth && ety*hth <hty*eth ) ||
-	      ( etx*hth==htx*eth && ety*hth==hty*eth && etz*hth <htz*eth ) ||
-	      ( etx*hth==htx*eth && ety*hth==hty*eth && etz*hth==htz*eth
-	      && ehx*hhh <hhx*ehh ) ||
-	      ( etx*hth==htx*eth && ety*hth==hty*eth && etz*hth==htz*eth 
-	      && ehx*hhh==hhx*ehh && ehy*hhh <hhy*ehh ) ||
-	      ( etx*hth==htx*eth && ety*hth==hty*eth && etz*hth==htz*eth 
-	      && ehx*hhh==hhx*ehh && ehy*hhh==hhy*ehh && ehz*hhh<hhz*ehh )
-	      );
+              ( etx*hth==htx*eth && ety*hth <hty*eth ) ||
+              ( etx*hth==htx*eth && ety*hth==hty*eth && etz*hth <htz*eth ) ||
+              ( etx*hth==htx*eth && ety*hth==hty*eth && etz*hth==htz*eth
+              && ehx*hhh <hhx*ehh ) ||
+              ( etx*hth==htx*eth && ety*hth==hty*eth && etz*hth==htz*eth
+              && ehx*hhh==hhx*ehh && ehy*hhh <hhy*ehh ) ||
+              ( etx*hth==htx*eth && ety*hth==hty*eth && etz*hth==htz*eth
+              && ehx*hhh==hhx*ehh && ehy*hhh==hhy*ehh && ehz*hhh<hhz*ehh )
+              );
     }
   };
 
-  std::map< Facet_const_handle, 
+  std::map< Facet_const_handle,
     std::vector<Vertex_handle>,
-    Facet_compare> 
+    Facet_compare>
     antipodal_vertices;
 
-  std::map< Halfedge_const_handle, 
-    bool, 
-    Halfedge_compare> 
+  std::map< Halfedge_const_handle,
+    bool,
+    Halfedge_compare>
     visited_halfedges;
 
-  std::map< Halfedge_const_handle, 
-    bool, 
-    Halfedge_compare> 
+  std::map< Halfedge_const_handle,
+    bool,
+    Halfedge_compare>
     impassable_halfedges;
-  
+
  public:
   bool is_visited(Halfedge_handle& e) const {
-    typename std::map < Halfedge_const_handle, bool, 
+    typename std::map < Halfedge_const_handle, bool,
       Halfedge_compare > ::const_iterator it;
     it=visited_halfedges.find(e);
     CGAL_assertion(it!=visited_halfedges.end());
     DEBUGENDL(VISITED_CHECK,"Visited flag value of edge "
-	      <<e->opposite()->vertex()->point()
-	      <<" --> ",e->vertex()->point()<<": "<<it->second);
+              <<e->opposite()->vertex()->point()
+              <<" --> ",e->vertex()->point()<<": "<<it->second);
     return it->second;
   }
   void set_visited_flag(Halfedge_handle& e, bool val) {
     DEBUGENDL(VISITED_CHECK,"Set visited flag to: ",val);
     visited_halfedges[e]=val;
   }
-  
+
   bool is_impassable(Halfedge_handle& e) const {
-    typename std::map < Halfedge_const_handle, 
-      bool, 
+    typename std::map < Halfedge_const_handle,
+      bool,
       Halfedge_compare > ::const_iterator it;
     it=impassable_halfedges.find(e);
     CGAL_assertion(it!=impassable_halfedges.end());
     DEBUGENDL(IMPASSABLE_CHECK,"Impassable flag value of edge ",
-	      e->opposite()->vertex()->point()
-	      <<" --> "<<e->vertex()->point()<<": "<<it->second);
+              e->opposite()->vertex()->point()
+              <<" --> "<<e->vertex()->point()<<": "<<it->second);
     return it->second;
   }
   void set_impassable_flag(Halfedge_handle& e, bool val) {
     DEBUGENDL(IMPASSABLE_CHECK,"Set impassable flag to: ",val);
     impassable_halfedges[e]=val;
   }
-  
-  void set_antipodal_vertices(Facet_handle& f, 
-				 std::vector<Vertex_handle>& V) {
+
+  void set_antipodal_vertices(Facet_handle& f,
+                                 std::vector<Vertex_handle>& V) {
     antipodal_vertices[f]=V;
   }
-  
-  void get_antipodal_vertices(Facet_handle& f, 
-			      std::vector<Vertex_handle>& res) const {
-    typename std::map< Facet_const_handle, 
+
+  void get_antipodal_vertices(Facet_handle& f,
+                              std::vector<Vertex_handle>& res) const {
+    typename std::map< Facet_const_handle,
       std::vector<Vertex_handle>, Facet_compare>::const_iterator it;
     it=antipodal_vertices.find(f);
     CGAL_assertion(it!=antipodal_vertices.end());
diff -pruN 5.0.2-3/include/CGAL/wlop_simplify_and_regularize_point_set.h 5.0.3-1/include/CGAL/wlop_simplify_and_regularize_point_set.h
--- 5.0.2-3/include/CGAL/wlop_simplify_and_regularize_point_set.h	2020-02-21 20:03:54.000000000 +0000
+++ 5.0.3-1/include/CGAL/wlop_simplify_and_regularize_point_set.h	2020-08-01 19:02:40.000000000 +0000
@@ -3,11 +3,11 @@
 //
 // This file is part of CGAL (www.cgal.org).
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Point_set_processing_3/include/CGAL/wlop_simplify_and_regularize_point_set.h $
-// $Id: wlop_simplify_and_regularize_point_set.h 254d60f 2019-10-19T15:23:19+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Point_set_processing_3/include/CGAL/wlop_simplify_and_regularize_point_set.h $
+// $Id: wlop_simplify_and_regularize_point_set.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
 //
-// Author(s) : Shihao Wu, Clement Jamin, Pierre Alliez 
+// Author(s) : Shihao Wu, Clement Jamin, Pierre Alliez
 
 #ifndef CGAL_wlop_simplify_and_regularize_point_set_H
 #define CGAL_wlop_simplify_and_regularize_point_set_H
@@ -36,7 +36,7 @@
 #include <CGAL/Point_set_processing_3/internal/Parallel_callback.h>
 #include <tbb/parallel_for.h>
 #include <tbb/blocked_range.h>
-#include <tbb/scalable_allocator.h>  
+#include <tbb/scalable_allocator.h>
 #endif // CGAL_LINKED_WITH_TBB
 
 #include <CGAL/Simple_cartesian.h>
@@ -87,9 +87,9 @@ public:
   typedef typename Kernel::Point_3 PointType;
 };
 
-/// Compute average and repulsion term, then 
+/// Compute average and repulsion term, then
 /// compute and update sample point locations
-/// 
+///
 /// \pre `radius > 0`
 ///
 /// @tparam Kernel Geometric traits class.
@@ -105,8 +105,8 @@ compute_update_sample_point(
   const Tree& original_kd_tree,          ///< original Kd-tree
   const Tree& sample_kd_tree,            ///< sample Kd-tree
   const typename Kernel::FT radius,      ///< neighborhood radius square
-  const std::vector<typename Kernel::FT>& original_densities, ///<  
-  const std::vector<typename Kernel::FT>& sample_densities ///< 
+  const std::vector<typename Kernel::FT>& original_densities, ///<
+  const std::vector<typename Kernel::FT>& sample_densities ///<
 )
 {
   CGAL_point_set_processing_precondition(radius > 0);
@@ -130,7 +130,7 @@ compute_update_sample_point(
 
   //Compute average term
   FT radius2 = radius * radius;
-  Vector average = CGAL::NULL_VECTOR; 
+  Vector average = CGAL::NULL_VECTOR;
   FT weight = (FT)0.0, average_weight_sum = (FT)0.0;
   FT iradius16 = -(FT)4.0 / radius2;
 
@@ -162,10 +162,10 @@ compute_update_sample_point(
   }
   else
   {
-    average = average / average_weight_sum; 
+    average = average / average_weight_sum;
   }
   neighbor_original_points.clear();
-  
+
 
   //Compute repulsion term
 
@@ -175,7 +175,7 @@ compute_update_sample_point(
 
   weight = (FT)0.0;
   FT repulsion_weight_sum = (FT)0.0;
-  Vector repulsion = CGAL::NULL_VECTOR; 
+  Vector repulsion = CGAL::NULL_VECTOR;
 
   iter = neighbor_sample_points.begin();
   for(; iter != neighbor_sample_points.end(); ++iter)
@@ -188,9 +188,9 @@ compute_update_sample_point(
     FT dist2 = CGAL::squared_distance(query, np);
     if (dist2 < 1e-10) continue;
     FT dist = std::sqrt(dist2);
-    
+
     weight = std::exp(dist2 * iradius16) * std::pow(FT(1.0) / dist, 2); // L1
-   
+
     if (!is_sample_densities_empty)
     {
       weight *= sample_densities[sample_index];
@@ -208,7 +208,7 @@ compute_update_sample_point(
   }
   else
   {
-    repulsion = repulsion / repulsion_weight_sum; 
+    repulsion = repulsion / repulsion_weight_sum;
   }
   neighbor_sample_points.clear();
 
@@ -220,7 +220,7 @@ compute_update_sample_point(
 
 /// Compute density weight for each original points,
 /// according to their neighbor original points
-/// 
+///
 /// \pre `k >= 2`, radius > 0
 ///
 /// @tparam Kernel Geometric traits class.
@@ -240,7 +240,7 @@ compute_density_weight_for_original_poin
   // basic geometric types
   typedef typename Kernel::Point_3                         Point;
   typedef typename Kernel::FT                              FT;
-                                                          
+
   //types for range search
   typedef simplify_and_regularize_internal::Kd_tree_element<Kernel> Kd_tree_point;
   typedef simplify_and_regularize_internal::Kd_tree_traits<Kernel> Traits;
@@ -266,7 +266,7 @@ compute_density_weight_for_original_poin
 
     FT dist2 = CGAL::squared_distance(query, np);
     if (dist2 < 1e-8) continue;
-    
+
     density_weight += std::exp(dist2 * iradius16);
   }
 
@@ -277,7 +277,7 @@ compute_density_weight_for_original_poin
 
 /// Compute density weight for sample point,
 /// according to their neighbor sample points
-/// 
+///
 /// \pre `k >= 2`, radius > 0
 ///
 /// @tparam Kernel Geometric traits class.
@@ -321,7 +321,7 @@ compute_density_weight_for_sample_point(
     FT dist2 = CGAL::squared_distance(query, np);
     density_weight += std::exp(dist2 * iradius16);
   }
-  
+
   return density_weight;
 }
 
@@ -333,18 +333,18 @@ compute_density_weight_for_sample_point(
 /// \cond SKIP_IN_MANUAL
 /// This is for parallelization of function: compute_denoise_projection()
 template <typename Kernel, typename Tree, typename RandomAccessIterator>
-class Sample_point_updater 
+class Sample_point_updater
 {
   typedef typename Kernel::Point_3   Point;
   typedef typename Kernel::FT        FT;
 
   std::vector<Point> &update_sample_points;
   std::vector<Point> &sample_points;
-  const Tree &original_kd_tree;            
-  const Tree &sample_kd_tree;              
-  const typename Kernel::FT radius;  
+  const Tree &original_kd_tree;
+  const Tree &sample_kd_tree;
+  const typename Kernel::FT radius;
   const std::vector<typename Kernel::FT> &original_densities;
-  const std::vector<typename Kernel::FT> &sample_densities; 
+  const std::vector<typename Kernel::FT> &sample_densities;
   cpp11::atomic<std::size_t>& advancement;
   cpp11::atomic<bool>& interrupted;
 
@@ -352,14 +352,14 @@ public:
   Sample_point_updater(
     std::vector<Point> &out,
     std::vector<Point> &in,
-    const Tree &_original_kd_tree,            
-    const Tree &_sample_kd_tree,              
+    const Tree &_original_kd_tree,
+    const Tree &_sample_kd_tree,
     const typename Kernel::FT _radius,
     const std::vector<typename Kernel::FT> &_original_densities,
     const std::vector<typename Kernel::FT> &_sample_densities,
     cpp11::atomic<std::size_t>& advancement,
     cpp11::atomic<bool>& interrupted):
-  update_sample_points(out), 
+  update_sample_points(out),
     sample_points(in),
     original_kd_tree(_original_kd_tree),
     sample_kd_tree(_sample_kd_tree),
@@ -367,27 +367,27 @@ public:
     original_densities(_original_densities),
     sample_densities(_sample_densities),
     advancement (advancement),
-    interrupted (interrupted) {} 
+    interrupted (interrupted) {}
 
-  void operator() ( const tbb::blocked_range<size_t>& r ) const 
-  { 
-    for (size_t i = r.begin(); i != r.end(); ++i) 
+  void operator() ( const tbb::blocked_range<size_t>& r ) const
+  {
+    for (size_t i = r.begin(); i != r.end(); ++i)
     {
       if (interrupted)
         break;
       update_sample_points[i] = simplify_and_regularize_internal::
         compute_update_sample_point<Kernel, Tree, RandomAccessIterator>(
-        sample_points[i], 
+        sample_points[i],
         original_kd_tree,
         sample_kd_tree,
-        radius, 
+        radius,
         original_densities,
         sample_densities);
       ++ advancement;
     }
   }
 };
-/// \endcond  
+/// \endcond
 #endif // CGAL_LINKED_WITH_TBB
 
 
@@ -398,17 +398,17 @@ public:
 /**
    \ingroup PkgPointSetProcessing3Algorithms
    This is an implementation of the Weighted Locally Optimal Projection (WLOP) simplification algorithm.
-   The WLOP simplification algorithm can produce a set of 
-   denoised, outlier-free and evenly distributed particles over the original 
-   dense point cloud. 
+   The WLOP simplification algorithm can produce a set of
+   denoised, outlier-free and evenly distributed particles over the original
+   dense point cloud.
    The core of the algorithm is a Weighted Locally Optimal Projection operator
-   with a density uniformization term. 
+   with a density uniformization term.
    For more details, please refer to \cgalCite{wlop-2009}.
 
-   A parallel version of WLOP is provided and requires the executable to be 
+   A parallel version of WLOP is provided and requires the executable to be
    linked against the <a href="https://www.threadingbuildingblocks.org">Intel TBB library</a>.
    To control the number of threads used, the user may use the tbb::task_scheduler_init class.
-   See the <a href="https://www.threadingbuildingblocks.org/documentation">TBB documentation</a> 
+   See the <a href="https://www.threadingbuildingblocks.org/documentation">TBB documentation</a>
    for more details.
 
    \tparam ConcurrencyTag enables sequential versus parallel algorithm.
@@ -416,7 +416,7 @@ public:
    and `Parallel_tag`.
    \tparam PointRange is a model of `Range`. The value type of
    its iterator is the key type of the named parameter `point_map`.
-   \tparam OutputIterator Type of the output iterator. 
+   \tparam OutputIterator Type of the output iterator.
    It must accept objects of type `geom_traits::Point_3`.
 
    \param points input point range.
@@ -428,11 +428,11 @@ public:
      If this parameter is omitted, `CGAL::Identity_property_map<geom_traits::Point_3>` is used.\cgalParamEnd
      \cgalParamBegin{normal_map} a model of `ReadWritePropertyMap` with value type
      `geom_traits::Vector_3`.\cgalParamEnd
-     \cgalParamBegin{select_percentage} percentage of points to retain. The default value is set to 
+     \cgalParamBegin{select_percentage} percentage of points to retain. The default value is set to
      5 (\%).\cgalParamEnd
      \cgalParamBegin{neighbor_radius} spherical neighborhood radius. This is a key parameter that needs to be
-     finely tuned. The result will be irregular if too small, but a larger value will impact the runtime. In 
-     practice, choosing a radius such that the neighborhood of each sample point includes at least two rings 
+     finely tuned. The result will be irregular if too small, but a larger value will impact the runtime. In
+     practice, choosing a radius such that the neighborhood of each sample point includes at least two rings
      of neighboring sample points gives satisfactory result. If this parameter is not provided, it is
      automatically set to 8 times the average spacing of the point set.\cgalParamEnd
      \cgalParamBegin{number_of_iterations} number of iterations to solve the optimsation problem. The default
@@ -463,7 +463,7 @@ wlop_simplify_and_regularize_point_set(
 {
   using parameters::choose_parameter;
   using parameters::get_parameter;
-  
+
   // basic geometric types
   typedef typename Point_set_processing_3::GetPointMap<PointRange, NamedParameters>::type PointMap;
   typedef typename Point_set_processing_3::GetK<PointRange, NamedParameters>::Kernel Kernel;
@@ -489,15 +489,15 @@ wlop_simplify_and_regularize_point_set(
   // to fix: should have at least three distinct points
   // but this is costly to check
   CGAL_point_set_processing_precondition(points.begin() != points.end());
-  CGAL_point_set_processing_precondition(select_percentage >= 0 
+  CGAL_point_set_processing_precondition(select_percentage >= 0
                                          && select_percentage <= 100);
 
   // Random shuffle
   CGAL::cpp98::random_shuffle (points.begin(), points.end());
 
-  // Computes original(input) and sample points size 
+  // Computes original(input) and sample points size
   std::size_t number_of_original = std::distance(points.begin(), points.end());
-  std::size_t number_of_sample = (std::size_t)(FT(number_of_original) * 
+  std::size_t number_of_sample = (std::size_t)(FT(number_of_original) *
                                  (select_percentage / FT(100.0)));
   std::size_t first_index_to_sample = number_of_original - number_of_sample;
 
@@ -510,13 +510,13 @@ wlop_simplify_and_regularize_point_set(
   //Copy sample points
   std::vector<Point> sample_points;
   sample_points.reserve(number_of_sample);
-  unsigned int i;                                     
+  unsigned int i;
 
   for(it = first_sample_iter; it != points.end(); ++it)
   {
     sample_points.push_back(get(point_map, *it));
   }
-  
+
   //compute default neighbor_radius, if no radius in
   if (radius < 0)
   {
@@ -537,13 +537,13 @@ wlop_simplify_and_regularize_point_set(
   std::vector<Kd_tree_element> original_treeElements;
   for (it = first_original_iter, i=0 ; it != points.end() ; ++it, ++i)
     original_treeElements.push_back( Kd_tree_element(get(point_map, *it), i) );
-  Kd_Tree original_kd_tree(original_treeElements.begin(), 
+  Kd_Tree original_kd_tree(original_treeElements.begin(),
                            original_treeElements.end());
 
 
   std::vector<Point> update_sample_points(number_of_sample);
   typename std::vector<Point>::iterator sample_iter;
-  
+
   // Compute original density weight for original points if user needed
   std::vector<FT> original_density_weights;
 
@@ -556,7 +556,7 @@ wlop_simplify_and_regularize_point_set(
                    compute_density_weight_for_original_point<Kernel, Kd_Tree>
                                          (
                                            get(point_map, *it),
-                                           original_kd_tree, 
+                                           original_kd_tree,
                                            radius);
 
       original_density_weights.push_back(density);
@@ -582,29 +582,29 @@ wlop_simplify_and_regularize_point_set(
     {
       FT density = simplify_and_regularize_internal::
                    compute_density_weight_for_sample_point<Kernel, Kd_Tree>
-                   (*sample_iter, 
-                    sample_kd_tree, 
+                   (*sample_iter,
+                    sample_kd_tree,
                     radius);
 
       sample_density_weights.push_back(density);
     }
-    
+
 
     typename std::vector<Point>::iterator update_iter = update_sample_points.begin();
 #ifndef CGAL_LINKED_WITH_TBB
   CGAL_static_assertion_msg (!(boost::is_convertible<ConcurrencyTag, Parallel_tag>::value),
-			     "Parallel_tag is enabled but TBB is unavailable.");
+                             "Parallel_tag is enabled but TBB is unavailable.");
 #else
     //parallel
     if (boost::is_convertible<ConcurrencyTag, Parallel_tag>::value)
     {
       Point_set_processing_3::internal::Parallel_callback
         parallel_callback (callback, iter_number * number_of_sample, iter_n * number_of_sample);
-     
+
       tbb::blocked_range<size_t> block(0, number_of_sample);
       Sample_point_updater<Kernel, Kd_Tree, typename PointRange::iterator> sample_updater(
                            update_sample_points,
-                           sample_points,          
+                           sample_points,
                            original_kd_tree,
                            sample_kd_tree,
                            radius2,
@@ -616,10 +616,10 @@ wlop_simplify_and_regularize_point_set(
        tbb::parallel_for(block, sample_updater);
 
        bool interrupted = parallel_callback.interrupted();
-  
+
        // We interrupt by hand as counter only goes halfway and won't terminate by itself
        parallel_callback.interrupted() = true;
-       parallel_callback.join();       
+       parallel_callback.join();
 
        // If interrupted during this step, nothing is computed, we return NaN
        if (interrupted)
@@ -646,7 +646,7 @@ wlop_simplify_and_regularize_point_set(
           return output;
       }
     }
-    
+
     sample_iter = sample_points.begin();
     for (update_iter = update_sample_points.begin();
          update_iter != update_sample_points.end();
@@ -657,7 +657,7 @@ wlop_simplify_and_regularize_point_set(
   }
 
   // final output
-  for(sample_iter = sample_points.begin(); 
+  for(sample_iter = sample_points.begin();
       sample_iter != sample_points.end(); ++sample_iter)
   {
     *output++ = *sample_iter;
diff -pruN 5.0.2-3/include/CGAL/wmult.h 5.0.3-1/include/CGAL/wmult.h
--- 5.0.2-3/include/CGAL/wmult.h	2020-02-21 20:03:12.000000000 +0000
+++ 5.0.3-1/include/CGAL/wmult.h	2020-08-01 19:02:20.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1998  
+// Copyright (c) 1998
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
-// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.2/Distance_2/include/CGAL/wmult.h $
-// $Id: wmult.h 52164b1 2019-10-19T15:34:59+02:00 Sébastien Loriot
+// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-5.0.3/Distance_2/include/CGAL/wmult.h $
+// $Id: wmult.h 0779373 2020-03-26T13:31:46+01:00 Sébastien Loriot
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman
 
diff -pruN 5.0.2-3/lib/cmake/CGAL/CGALConfig.cmake 5.0.3-1/lib/cmake/CGAL/CGALConfig.cmake
--- 5.0.2-3/lib/cmake/CGAL/CGALConfig.cmake	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/lib/cmake/CGAL/CGALConfig.cmake	2020-08-01 19:00:32.000000000 +0000
@@ -1,4 +1,4 @@
-# 
+#
 # This file is the CGALConfig.cmake for a header-only CGAL installation
 #
 
@@ -50,6 +50,9 @@ else()
     if(NOT EXISTS ${CGAL_ROOT}/include/CGAL/config.h)
       get_filename_component(CGAL_ROOT "${CGAL_ROOT}" DIRECTORY)
     endif()
+    if(NOT EXISTS ${CGAL_ROOT}/include/CGAL/config.h)
+      get_filename_component(CGAL_ROOT "${CGAL_ROOT}" DIRECTORY)
+    endif()
     if(NOT EXISTS ${CGAL_ROOT}/include/CGAL/config.h)
       get_filename_component(CGAL_ROOT "${CGAL_ROOT}" DIRECTORY)
     endif()
diff -pruN 5.0.2-3/lib/cmake/CGAL/CGALConfigVersion.cmake 5.0.3-1/lib/cmake/CGAL/CGALConfigVersion.cmake
--- 5.0.2-3/lib/cmake/CGAL/CGALConfigVersion.cmake	1970-01-01 00:00:00.000000000 +0000
+++ 5.0.3-1/lib/cmake/CGAL/CGALConfigVersion.cmake	2020-08-01 19:00:32.000000000 +0000
@@ -0,0 +1,26 @@
+set(CGAL_MAJOR_VERSION 5)
+set(CGAL_MINOR_VERSION 0)
+set(CGAL_BUGFIX_VERSION 3)
+set(CGAL_VERSION_PUBLIC_RELEASE_VERSION "5.0.3")
+set(CGAL_VERSION_PUBLIC_RELEASE_NAME "CGAL-${CGAL_VERSION_PUBLIC_RELEASE_VERSION}")
+
+if (CGAL_BUGFIX_VERSION AND CGAL_BUGFIX_VERSION GREATER 0)
+  set(CGAL_CREATED_VERSION_NUM "${CGAL_MAJOR_VERSION}.${CGAL_MINOR_VERSION}.${CGAL_BUGFIX_VERSION}")
+else()
+  set(CGAL_CREATED_VERSION_NUM "${CGAL_MAJOR_VERSION}.${CGAL_MINOR_VERSION}")
+endif()
+
+set(PACKAGE_VERSION ${CGAL_CREATED_VERSION_NUM})
+
+if(PACKAGE_VERSION VERSION_LESS PACKAGE_FIND_VERSION)
+  set(PACKAGE_VERSION_COMPATIBLE FALSE)
+else()
+  if(PACKAGE_FIND_VERSION_MAJOR STREQUAL CGAL_MAJOR_VERSION)
+    set(PACKAGE_VERSION_COMPATIBLE TRUE)
+  else()
+    set(PACKAGE_VERSION_COMPATIBLE FALSE)
+  endif()
+  if(PACKAGE_FIND_VERSION STREQUAL PACKAGE_VERSION)
+    set(PACKAGE_VERSION_EXACT TRUE)
+  endif()
+endif()
diff -pruN 5.0.2-3/src/CGAL/assertions.cpp 5.0.3-1/src/CGAL/assertions.cpp
--- 5.0.2-3/src/CGAL/assertions.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/src/CGAL/assertions.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Geert-Jan Giezeman and Sven Schönherr
 
diff -pruN 5.0.2-3/src/CGAL/Color.cpp 5.0.3-1/src/CGAL/Color.cpp
--- 5.0.2-3/src/CGAL/Color.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/src/CGAL/Color.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Hervé Brönnimann
 
diff -pruN 5.0.2-3/src/CGAL/File_header_extended_OFF.cpp 5.0.3-1/src/CGAL/File_header_extended_OFF.cpp
--- 5.0.2-3/src/CGAL/File_header_extended_OFF.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/src/CGAL/File_header_extended_OFF.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/src/CGAL/File_header_OFF.cpp 5.0.3-1/src/CGAL/File_header_OFF.cpp
--- 5.0.2-3/src/CGAL/File_header_OFF.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/src/CGAL/File_header_OFF.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/src/CGAL/File_scanner_OFF.cpp 5.0.3-1/src/CGAL/File_scanner_OFF.cpp
--- 5.0.2-3/src/CGAL/File_scanner_OFF.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/src/CGAL/File_scanner_OFF.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/src/CGAL/File_writer_inventor.cpp 5.0.3-1/src/CGAL/File_writer_inventor.cpp
--- 5.0.2-3/src/CGAL/File_writer_inventor.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/src/CGAL/File_writer_inventor.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/src/CGAL/File_writer_OFF.cpp 5.0.3-1/src/CGAL/File_writer_OFF.cpp
--- 5.0.2-3/src/CGAL/File_writer_OFF.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/src/CGAL/File_writer_OFF.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/src/CGAL/File_writer_VRML_2.cpp 5.0.3-1/src/CGAL/File_writer_VRML_2.cpp
--- 5.0.2-3/src/CGAL/File_writer_VRML_2.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/src/CGAL/File_writer_VRML_2.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/src/CGAL/File_writer_wavefront.cpp 5.0.3-1/src/CGAL/File_writer_wavefront.cpp
--- 5.0.2-3/src/CGAL/File_writer_wavefront.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/src/CGAL/File_writer_wavefront.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Lutz Kettner  <kettner@mpi-sb.mpg.de>
 
diff -pruN 5.0.2-3/src/CGAL/Geomview_stream.cpp 5.0.3-1/src/CGAL/Geomview_stream.cpp
--- 5.0.2-3/src/CGAL/Geomview_stream.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/src/CGAL/Geomview_stream.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,9 +1,9 @@
-// Copyright (c) 1999-2004  
+// Copyright (c) 1999-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
diff -pruN 5.0.2-3/src/CGAL/Interval_arithmetic.cpp 5.0.3-1/src/CGAL/Interval_arithmetic.cpp
--- 5.0.2-3/src/CGAL/Interval_arithmetic.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/src/CGAL/Interval_arithmetic.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999-2004  
+// Copyright (c) 1999-2004
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sylvain Pion
- 
+
 #ifndef CGAL_HEADER_ONLY
 
 #include <CGAL/basic.h>
diff -pruN 5.0.2-3/src/CGAL/kernel.cpp 5.0.3-1/src/CGAL/kernel.cpp
--- 5.0.2-3/src/CGAL/kernel.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/src/CGAL/kernel.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -1,19 +1,19 @@
-// Copyright (c) 1999  
+// Copyright (c) 1999
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri, Stefan Schirra
- 
+
 #ifndef CGAL_HEADER_ONLY
 #include <CGAL/Origin.h>
 #include <CGAL/Origin_impl.h>
diff -pruN 5.0.2-3/src/CGAL/Random.cpp 5.0.3-1/src/CGAL/Random.cpp
--- 5.0.2-3/src/CGAL/Random.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/src/CGAL/Random.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,16 +1,16 @@
-// Copyright (c) 1997-2001  
+// Copyright (c) 1997-2001
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Sven Schönherr <sven@inf.ethz.ch>
 
diff -pruN 5.0.2-3/src/CGAL/Real_timer.cpp 5.0.3-1/src/CGAL/Real_timer.cpp
--- 5.0.2-3/src/CGAL/Real_timer.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/src/CGAL/Real_timer.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,18 +1,18 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>  
+//
+// Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>
 //                 Matthias Baesken <baesken@informatik.uni-halle.de>
 
 #ifndef CGAL_HEADER_ONLY
diff -pruN 5.0.2-3/src/CGAL/test_FPU_rounding_mode.cpp 5.0.3-1/src/CGAL/test_FPU_rounding_mode.cpp
--- 5.0.2-3/src/CGAL/test_FPU_rounding_mode.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/src/CGAL/test_FPU_rounding_mode.cpp	2020-08-01 19:00:33.000000000 +0000
@@ -6,7 +6,7 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent Rineau
 
diff -pruN 5.0.2-3/src/CGAL/Timer.cpp 5.0.3-1/src/CGAL/Timer.cpp
--- 5.0.2-3/src/CGAL/Timer.cpp	2020-02-21 20:00:08.000000000 +0000
+++ 5.0.3-1/src/CGAL/Timer.cpp	2020-08-01 19:00:34.000000000 +0000
@@ -1,18 +1,18 @@
-// Copyright (c) 1997  
+// Copyright (c) 1997
 // Utrecht University (The Netherlands),
 // ETH Zurich (Switzerland),
 // INRIA Sophia-Antipolis (France),
 // Max-Planck-Institute Saarbruecken (Germany),
-// and Tel-Aviv University (Israel).  All rights reserved. 
+// and Tel-Aviv University (Israel).  All rights reserved.
 //
 // This file is part of CGAL (www.cgal.org)
 //
 // $URL$
 // $Id$
 // SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
-// 
 //
-// Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>  
+//
+// Author(s)     : Lutz Kettner  <kettner@inf.ethz.ch>
 //                 Matthias Baesken <baesken@informatik.uni-halle.de>
 
 #ifndef CGAL_HEADER_ONLY
diff -pruN 5.0.2-3/src/CGAL_Core/BigFloat.cpp 5.0.3-1/src/CGAL_Core/BigFloat.cpp
--- 5.0.2-3/src/CGAL_Core/BigFloat.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/src/CGAL_Core/BigFloat.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -7,7 +7,7 @@
  *
  * File: BigFloat.cpp
  * Synopsis:
- *       BigFloat numbers with error bounds 
+ *       BigFloat numbers with error bounds
  *
  *       EXACTNESS PROPERTY:
  *       ==================
@@ -18,7 +18,7 @@
  *       but this again preserves exactness.  Such exactness
  *       properties are used in our Newton iteration/Sturm Sequences.
  *
- * Written by 
+ * Written by
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
diff -pruN 5.0.2-3/src/CGAL_Core/CoreAux.cpp 5.0.3-1/src/CGAL_Core/CoreAux.cpp
--- 5.0.2-3/src/CGAL_Core/CoreAux.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/src/CGAL_Core/CoreAux.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -7,10 +7,10 @@
  *
  * File: CoreAux.cpp
  * Synopsis:
- *       Auxiliary routines such as ceiling of log_2, etc. 
+ *       Auxiliary routines such as ceiling of log_2, etc.
  *       they are not specific to any Core classes.
  *
- * Written by 
+ * Written by
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
diff -pruN 5.0.2-3/src/CGAL_Core/CoreDefs.cpp 5.0.3-1/src/CGAL_Core/CoreDefs.cpp
--- 5.0.2-3/src/CGAL_Core/CoreDefs.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/src/CGAL_Core/CoreDefs.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -7,9 +7,9 @@
  *
  * File: CoreDefs.cpp
  * Synopsis:
- *	 Useful parameters for Core Library which users may change
+ *         Useful parameters for Core Library which users may change
  *
- * Written by 
+ * Written by
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
diff -pruN 5.0.2-3/src/CGAL_Core/CoreIO.cpp 5.0.3-1/src/CGAL_Core/CoreIO.cpp
--- 5.0.2-3/src/CGAL_Core/CoreIO.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/src/CGAL_Core/CoreIO.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -7,7 +7,7 @@
  *
  * File: CoreIO.cpp
  *
- * Written by 
+ * Written by
  *       Zilin Du <zilin@cs.nyu.edu>
  *       Chee Yap <yap@cs.nyu.edu>
  *
diff -pruN 5.0.2-3/src/CGAL_Core/Expr.cpp 5.0.3-1/src/CGAL_Core/Expr.cpp
--- 5.0.2-3/src/CGAL_Core/Expr.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/src/CGAL_Core/Expr.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -7,14 +7,14 @@
  *
  * File: Expr.cpp
  *
- * Written by 
+ * Written by
  *       Koji Ouchi <ouchi@simulation.nyu.edu>
  *       Chee Yap <yap@cs.nyu.edu>
  *       Igor Pechtchanski <pechtcha@cs.nyu.edu>
  *       Vijay Karamcheti <vijayk@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
- *       Sylvain Pion <pion@cs.nyu.edu> 
+ *       Sylvain Pion <pion@cs.nyu.edu>
  *
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
diff -pruN 5.0.2-3/src/CGAL_Core/extLong.cpp 5.0.3-1/src/CGAL_Core/extLong.cpp
--- 5.0.2-3/src/CGAL_Core/extLong.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/src/CGAL_Core/extLong.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -15,11 +15,11 @@
  *      Level i representation of a number n is just i iterations
  *      of log_2 applied to n.
  *
- * Written by 
+ * Written by
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
- *       Sylvain Pion <pion@cs.nyu.edu> 
+ *       Sylvain Pion <pion@cs.nyu.edu>
  *
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
diff -pruN 5.0.2-3/src/CGAL_Core/GmpIO.cpp 5.0.3-1/src/CGAL_Core/GmpIO.cpp
--- 5.0.2-3/src/CGAL_Core/GmpIO.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/src/CGAL_Core/GmpIO.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,7 +6,7 @@
  * This file is part of CGAL (www.cgal.org).
  *
  * file: GmpIO.cpp
- * 		Adapted from multi-files under /cxx in GMP's source distribution
+ *                 Adapted from multi-files under /cxx in GMP's source distribution
  *
  * Zilin Du, 2003
  *
diff -pruN 5.0.2-3/src/CGAL_Core/Real.cpp 5.0.3-1/src/CGAL_Core/Real.cpp
--- 5.0.2-3/src/CGAL_Core/Real.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/src/CGAL_Core/Real.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,16 +6,16 @@
  * This file is part of CGAL (www.cgal.org).
  *
  * File: Real.cpp
- * Synopsis: The Real class is a superclass for all the number 
+ * Synopsis: The Real class is a superclass for all the number
  *           systems in the Core Library (int, long, float, double,
  *           BigInt, BigRat, BigFloat, etc)
- *           
- * Written by 
+ *
+ * Written by
  *       Koji Ouchi <ouchi@simulation.nyu.edu>
  *       Chee Yap <yap@cs.nyu.edu>
  *       Chen Li <chenli@cs.nyu.edu>
  *       Zilin Du <zilin@cs.nyu.edu>
- *       Sylvain Pion <pion@cs.nyu.edu> 
+ *       Sylvain Pion <pion@cs.nyu.edu>
  *
  * WWW URL: http://cs.nyu.edu/exact/
  * Email: exact@cs.nyu.edu
diff -pruN 5.0.2-3/src/CGAL_ImageIO/ImageIO.cpp 5.0.3-1/src/CGAL_ImageIO/ImageIO.cpp
--- 5.0.2-3/src/CGAL_ImageIO/ImageIO.cpp	2020-02-21 20:00:06.000000000 +0000
+++ 5.0.3-1/src/CGAL_ImageIO/ImageIO.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -1,6 +1,6 @@
 // Copyright (c) 2005, 2006 ASCLEPIOS Project, INRIA Sophia-Antipolis (France)
-// Copyright (c) 2007 Geometrica Project, INRIA Sophia-Antipolis (France) 
-// Copyright (c) 2008 GeometryFactory, Sophia-Antipolis (France) 
+// Copyright (c) 2007 Geometrica Project, INRIA Sophia-Antipolis (France)
+// Copyright (c) 2008 GeometryFactory, Sophia-Antipolis (France)
 // All rights reserved.
 //
 // This file is part of the ImageIO Library, and as been adapted for CGAL (www.cgal.org).
diff -pruN 5.0.2-3/src/CGAL_Qt5/debug.cpp 5.0.3-1/src/CGAL_Qt5/debug.cpp
--- 5.0.2-3/src/CGAL_Qt5/debug.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/src/CGAL_Qt5/debug.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,7 +6,7 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
diff -pruN 5.0.2-3/src/CGAL_Qt5/DemosMainWindow.cpp 5.0.3-1/src/CGAL_Qt5/DemosMainWindow.cpp
--- 5.0.2-3/src/CGAL_Qt5/DemosMainWindow.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/src/CGAL_Qt5/DemosMainWindow.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,7 +6,7 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
diff -pruN 5.0.2-3/src/CGAL_Qt5/GraphicsViewNavigation.cpp 5.0.3-1/src/CGAL_Qt5/GraphicsViewNavigation.cpp
--- 5.0.2-3/src/CGAL_Qt5/GraphicsViewNavigation.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/src/CGAL_Qt5/GraphicsViewNavigation.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,7 +6,7 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
diff -pruN 5.0.2-3/src/CGAL_Qt5/GraphicsViewPolylineInput.cpp 5.0.3-1/src/CGAL_Qt5/GraphicsViewPolylineInput.cpp
--- 5.0.2-3/src/CGAL_Qt5/GraphicsViewPolylineInput.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/src/CGAL_Qt5/GraphicsViewPolylineInput.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,7 +6,7 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Andreas Fabri <Andreas.Fabri@geometryfactory.com>
 //                 Laurent Rineau <Laurent.Rineau@geometryfactory.com>
diff -pruN 5.0.2-3/src/CGAL_Qt5/resources.cpp 5.0.3-1/src/CGAL_Qt5/resources.cpp
--- 5.0.2-3/src/CGAL_Qt5/resources.cpp	2020-02-21 20:00:07.000000000 +0000
+++ 5.0.3-1/src/CGAL_Qt5/resources.cpp	2020-08-01 19:00:32.000000000 +0000
@@ -6,7 +6,7 @@
 // $URL$
 // $Id$
 // SPDX-License-Identifier: GPL-3.0-or-later OR LicenseRef-Commercial
-// 
+//
 //
 // Author(s)     : Laurent Rineau <Laurent.Rineau@geometryfactory.com>
 
diff -pruN 5.0.2-3/VERSION 5.0.3-1/VERSION
--- 5.0.2-3/VERSION	2020-02-21 20:04:39.000000000 +0000
+++ 5.0.3-1/VERSION	2020-08-01 19:03:00.000000000 +0000
@@ -1 +1 @@
-5.0.2
\ No newline at end of file
+5.0.3
\ No newline at end of file
